SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
DROP TABLE IF EXISTS `parcoursup`;
CREATE TABLE IF NOT EXISTS `parcoursup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `contrat_etab` varchar(32) NOT NULL COMMENT "Statut de l’établissement de la filière de formation (public, privé…)",
  `cod_uai` varchar(8) NOT NULL COMMENT "Code UAI de l'établissement",
  `g_ea_lib_vx` varchar(125) NOT NULL COMMENT "Établissement",
  `dep` varchar(3) NOT NULL COMMENT "Code départemental de l’établissement",
  `dep_lib` varchar(23) NOT NULL COMMENT "Département de l’établissement",
  `region_etab_aff` varchar(26) NOT NULL COMMENT "Région de l’établissement",
  `acad_mies` varchar(19) NOT NULL COMMENT "Académie de l’établissement",
  `ville_etab` varchar(29) NOT NULL COMMENT "Commune de l’établissement",
  `select_form` varchar(23) NOT NULL COMMENT "Sélectivité",
  `fili` varchar(17) NOT NULL COMMENT "Filière de formation très agrégée",
  `lib_comp_voe_ins` varchar(394) NOT NULL COMMENT "Filière de formation détaillée",
  `form_lib_voe_acc` varchar(73) NOT NULL COMMENT "Filière de formation détaillée bis",
  `detail_forma` varchar(200) NOT NULL COMMENT "Filière de formation très détaillée",
  `capa_fin` int(11) NOT NULL COMMENT "Capacité de l’établissement par formation",
  `voe_tot` int(11) NOT NULL COMMENT "Effectif total des candidats pour une formation",
  `voe_tot_f` int(11) NOT NULL COMMENT "Dont effectif des candidates pour une formation",
  `nb_voe_pp` int(11) NOT NULL COMMENT "Effectif total des candidats en phase principale",
  `nb_voe_pp_internat` int(11) NOT NULL COMMENT "Dont effectif des candidats ayant postulé en internat",
  `nb_voe_pp_bg` int(11) NOT NULL COMMENT "Effectif des candidats néo bacheliers généraux en phase principale",
  `nb_voe_pp_bg_brs` int(11) NOT NULL COMMENT "Dont effectif des candidats boursiers néo bacheliers généraux en phase principale",
  `nb_voe_pp_bt` int(11) NOT NULL COMMENT "Effectif des candidats néo bacheliers technologiques en phase principale",
  `nb_voe_pp_bt_brs` int(11) NOT NULL COMMENT "Dont effectif des candidats boursiers néo bacheliers technologiques en phase principale",
  `nb_voe_pp_bp` int(11) NOT NULL COMMENT "Effectif des candidats néo bacheliers professionnels en phase principale",
  `nb_voe_pp_bp_brs` int(11) NOT NULL COMMENT "Dont effectif des candidats boursiers néo bacheliers professionnels en phase principale",
  `nb_voe_pp_at` int(11) NOT NULL COMMENT "Effectif des autres candidats en phase principale",
  `nb_voe_pc` int(11) NOT NULL COMMENT "Effectif total des candidats en phase complémentaire",
  `nb_voe_pc_bg` int(11) NOT NULL COMMENT "Effectif des candidats néo bacheliers généraux en phase complémentaire",
  `nb_voe_pc_bt` int(11) NOT NULL COMMENT "Effectif des candidats néo bacheliers technologique en phase complémentaire",
  `nb_voe_pc_bp` int(11) NOT NULL COMMENT "Effectif des candidats néo bacheliers professionnels en phase complémentaire",
  `nb_voe_pc_at` int(11) NOT NULL COMMENT "Effectifs des autres candidats en phase complémentaire",
  `nb_cla_pp` int(11) NOT NULL COMMENT "Effectif total des candidats classés par l’établissement en phase principale",
  `nb_cla_pc` int(11) NOT NULL COMMENT "Effectif des candidats classés par l’établissement en phase complémentaire",
  `nb_cla_pp_internat` int(11) NOT NULL COMMENT "Effectif des candidats classés par l’établissement en internat (CPGE)",
  `nb_cla_pp_pasinternat` int(11) NOT NULL COMMENT "Effectif des candidats classés par l’établissement hors internat (CPGE)",
  `nb_cla_pp_bg` int(11) NOT NULL COMMENT "Effectif des candidats néo bacheliers généraux classés par l’établissement",
  `nb_cla_pp_bg_brs` int(11) NOT NULL COMMENT "Dont effectif des candidats boursiers néo bacheliers généraux classés par l’établissement",
  `nb_cla_pp_bt` int(11) NOT NULL COMMENT "Effectif des candidats néo bacheliers technologiques classés par l’établissement",
  `nb_cla_pp_bt_brs` int(11) NOT NULL COMMENT "Dont effectif des candidats boursiers néo bacheliers technologiques classés par l’établissement",
  `nb_cla_pp_bp` int(11) NOT NULL COMMENT "Effectif des candidats néo bacheliers professionnels classés par l’établissement",
  `nb_cla_pp_bp_brs` int(11) NOT NULL COMMENT "Dont effectif des candidats boursiers néo bacheliers professionnels classés par l’établissement",
  `nb_cla_pp_at` int(11) NOT NULL COMMENT "Effectif des autres candidats classés par l’établissement",
  `prop_tot` int(11) NOT NULL COMMENT "Effectif total des candidats ayant reçu une proposition d’admission de la part de l’établissement",
  `acc_tot` int(11) NOT NULL COMMENT "Effectif total des candidats ayant accepté la proposition de l’établissement (admis)",
  `acc_tot_f` int(11) NOT NULL COMMENT "Dont effectif des candidates admises",
  `acc_pp` int(11) NOT NULL COMMENT "Effectif des admis en phase principale",
  `acc_pc` int(11) NOT NULL COMMENT "Effectif des admis en phase complémentaire",
  `acc_debutpp` float NOT NULL COMMENT "Dont effectif des admis ayant reçu leur proposition d’admission à l'ouverture de la procédure principale",
  `acc_datebac` float NOT NULL COMMENT "Dont effectif des admis ayant reçu leur proposition d’admission avant le baccalauréat",
  `acc_finpp` float NOT NULL COMMENT "Dont effectif des admis ayant reçu leur proposition d’admission avant la fin de la procédure principale",
  `acc_internat` int(11) NOT NULL COMMENT "Dont effectif des admis en internat",
  `acc_brs` int(11) NOT NULL COMMENT "Dont effectif des admis boursiers néo bacheliers",
  `acc_neobac` int(11) NOT NULL COMMENT "Effectif des admis néo bacheliers",
  `acc_bg` int(11) NOT NULL COMMENT "Effectif des admis néo bacheliers généraux",
  `acc_bt` int(11) NOT NULL COMMENT "Effectif des admis néo bacheliers technologiques",
  `acc_bp` int(11) NOT NULL COMMENT "Effectif des admis néo bacheliers professionnels",
  `acc_at` int(11) NOT NULL COMMENT "Effectif des autres candidats admis",
  `acc_mention_nonrenseignee` int(11) NOT NULL COMMENT "Dont effectif des admis néo bacheliers sans information sur la mention au bac",
  `acc_sansmention` int(11) NOT NULL COMMENT "Dont effectif des admis néo bacheliers sans mention au bac",
  `acc_ab` int(11) NOT NULL COMMENT "Dont effectif des admis néo bacheliers avec mention Assez Bien au bac",
  `acc_b` int(11) NOT NULL COMMENT "Dont effectif des admis néo bacheliers avec mention Bien au bac",
  `acc_tb` int(11) NOT NULL COMMENT "Dont effectif des admis néo bacheliers avec mention Très Bien au bac",
  `acc_tbf` float NOT NULL COMMENT "Dont effectif des admis néo bacheliers avec mention Très Bien avec félicitations au bac",
  `acc_bg_mention` int(11) NOT NULL COMMENT "Effectif des admis néo bacheliers généraux ayant eu une mention au bac",
  `acc_bt_mention` int(11) NOT NULL COMMENT "Effectif des admis néo bacheliers technologiques ayant eu une mention au bac",
  `acc_bp_mention` int(11) NOT NULL COMMENT "Effectif des admis néo bacheliers professionnels ayant eu une mention au bac",
  `acc_term` int(11) NOT NULL COMMENT "Dont effectif des admis issus du même établissement (BTS/CPGE)",
  `acc_term_f` int(11) NOT NULL COMMENT "Dont effectif des admises issues du même établissement (BTS/CPGE)",
  `acc_aca_orig` int(11) NOT NULL COMMENT "Dont effectif des admis issus de la même académie",
  `acc_aca_orig_idf` int(11) NOT NULL COMMENT "Dont effectif des admis issus de la même académie (Paris/Créteil/Versailles réunies)",
  `pct_acc_debutpp` float NOT NULL COMMENT "% d’admis ayant reçu leur proposition d’admission à l'ouverture de la procédure principale",
  `pct_acc_datebac` float NOT NULL COMMENT "% d’admis ayant reçu leur proposition d’admission avant le baccalauréat",
  `pct_acc_finpp` float NOT NULL COMMENT "% d’admis ayant reçu leur proposition d’admission avant la fin de la procédure principale",
  `pct_f` float NOT NULL COMMENT "% d’admis dont filles",
  `pct_aca_orig` float NOT NULL COMMENT "% d’admis néo bacheliers issus de la même académie",
  `pct_aca_orig_idf` float NOT NULL COMMENT "% d’admis néo bacheliers issus de la même académie (Paris/Créteil/Versailles réunies)",
  `pct_etab_orig` float NOT NULL COMMENT "% d’admis néo bacheliers issus du même établissement (BTS/CPGE)",
  `pct_bours` float NOT NULL COMMENT "% d’admis néo bacheliers boursiers",
  `pct_neobac` float NOT NULL COMMENT "% d’admis néo bacheliers",
  `pct_mention_nonrenseignee` float NOT NULL COMMENT "% d’admis néo bacheliers sans information sur la mention au bac",
  `pct_sansmention` float NOT NULL COMMENT "% d’admis néo bacheliers sans mention au bac",
  `pct_ab` float NOT NULL COMMENT "% d’admis néo bacheliers avec mention Assez Bien au bac",
  `pct_b` float NOT NULL COMMENT "% d’admis néo bacheliers avec mention Bien au bac",
  `pct_tb` float NOT NULL COMMENT "% d’admis néo bacheliers avec mention Très Bien au bac",
  `pct_tbf` float NOT NULL COMMENT "% d’admis néo bacheliers avec mention Très Bien avec félicitations au bac",
  `pct_bg` float NOT NULL COMMENT "% d’admis néo bacheliers généraux",
  `pct_bg_mention` float NOT NULL COMMENT "Dont % d’admis avec mention (BG)",
  `pct_bt` float NOT NULL COMMENT "% d’admis néo bacheliers technologiques",
  `pct_bt_mention` float NOT NULL COMMENT "Dont % d’admis avec mention (BT)",
  `pct_bp` float NOT NULL COMMENT "% d’admis néo bacheliers professionnels",
  `pct_bp_mention` float NOT NULL COMMENT "Dont % d’admis avec mention (BP)",
  `prop_tot_bg` float NOT NULL COMMENT "Effectif des candidats en terminale technologique ayant reçu une proposition d’admission de la part de l’établissement",
  `prop_tot_bg_brs` float NOT NULL COMMENT "Dont effectif des candidats boursiers en terminale technologique ayant reçu une proposition d’admission de la part de l’établissement",
  `prop_tot_bp` float NOT NULL COMMENT "Effectif des candidats en terminale professionnelle ayant reçu une proposition d’admission de la part de l’établissement",
  `prop_tot_bp_brs` float NOT NULL COMMENT "Dont effectif des candidats boursiers en terminale générale professionnelle ayant reçu une proposition d’admission de la part de l’établissement",
  `prop_tot_at` float NOT NULL COMMENT "Effectif des autres candidats ayant reçu une proposition d’admission de la part de l’établissement",
  `lib_grp1` varchar(68) NOT NULL COMMENT "Regroupement 1 effectué par les formations pour les classements",
  `ran_grp1` int(11) NOT NULL COMMENT "Rang du dernier appelé du groupe 1",
  `lib_grp2` varchar(100) NOT NULL COMMENT "Regroupement 2 effectué par les formations pour les classements",
  `ran_grp2` int(11) NOT NULL COMMENT "Rang du dernier appelé du groupe 2",
  `lib_grp3` varchar(100) NOT NULL COMMENT "Regroupement 3 effectué par les formations pour les classements",
  `ran_grp3` int(11) NOT NULL COMMENT "Rang du dernier appelé du groupe 3",
  `list_com` varchar(44) NOT NULL COMMENT "list_com",
  `taux_adm_psup` float NOT NULL COMMENT "Taux d’accès des candidats ayant postulé à la formation (ratio entre le dernier appelé et le nombre vœux PP)",
  `cod_aff_form` varchar(5) NOT NULL COMMENT "Identifiant Parcoursup",
  `lib_for_voe_ins` varchar(376) NOT NULL COMMENT "LIB_FOR_VOE_INS",
  `detail_forma2` varchar(100) NOT NULL COMMENT "Concours communs et banque d'épreuves",
  `lien_form_psup` varchar(74) NOT NULL COMMENT "Lien de la formation sur la plateforme Parcoursup",
  `taux_adm_psup_gen` float NOT NULL COMMENT "Dont taux d’accès des candidats ayant un bac général ayant postulé à la formation",
  `taux_adm_psup_techno` float NOT NULL COMMENT "Dont taux d’accès des candidats ayant un bac technologique ayant postulé à la formation",
  `taux_adm_psup_pro` float NOT NULL COMMENT "Dont taux d’accès des candidats ayant un bac professionnel ayant postulé à la formation",
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(1, "Public", "0541205S", "I.U.T de Nancy-Brabois - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Villers-lès-Nancy", "formation sélective", "BUT", "I.U.T de Nancy-Brabois - Université de Lorraine - BUT - Génie biologique Parcours agronomie", "BUT - Production", "", 54, 700, 376, 694, 0, 448, 49, 74, 12, 0, 0, 172, 6, 0, 4, 0, 2, 582, 2, 0, 0, 399, 40, 46, 6, 0, 0, 137, 293, 56, 33, 56, 0, 31.0, 41.0, 46.0, 0, 11, 51, 44, 7, 0, 5, 0, 2, 19, 24, 6, 0.0, 42, 7, 0, 0, 0, 23, 23, 55.36, 73.21, 82.14, 58.8984375, 45.09375, 45.09375, 0, 21.59765625, 91.09375, 0.0, 3.89990234375, 37.296875, 47.09375, 11.8, 0.0, 86.296875, 82.390625, 13.69921875, 13.69921875, 0.0, 0.0, 189.0, 23.0, 0.0, 0.0, 62.0, "Tous les candidats sauf les Bac technologiques", 268.0, "Bacheliers technologiques toutes séries", 49, "", 0, "Liste d'appel propre à cette formation", 46.0, "6303", "BUT - Génie biologique Parcours agronomie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6303&g_ta_cod=6303", 86.0, 14.0, 0.0),
(2, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Autre formation", "Université de Franche-Comté - Site de Besançon - C.M.I - Cursus Master en Ingénierie - Information et communication - Cursus Master en Ingénierie (CMI) :Conseil en communication numérique", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) :Conseil en communication numérique", 18, 134, 75, 95, 0, 78, 12, 3, 1, 0, 0, 14, 39, 14, 2, 1, 22, 24, 5, 0, 0, 23, 5, 1, 1, 0, 0, 0, 29, 14, 9, 10, 4, 6.0, 10.0, 14.0, 0, 4, 13, 12, 1, 0, 1, 0, 2, 4, 6, 1, 0.0, 10, 1, 0, 0, 0, 5, 5, 42.86, 71.43, 100.0, 64.296875, 38.5, 38.5, 0, 30.796875, 92.890625, 0.0, 15.3984375, 30.796875, 46.1953125, 7.7, 0.0, 92.296875, 76.890625, 7.69921875, 7.69921875, 0.0, 0.0, 27.0, 6.0, 0.0, 0.0, 1.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "16785", "C.M.I - Cursus Master en Ingénierie - Information et communication - Cursus Master en Ingénierie (CMI) :Conseil en communication numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16785&g_ta_cod=16785", 93.0, 7.0, 0.0),
(3, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence", "Université du Mans - Licence - Langues étrangères appliquées - Parcours LEA anglais / allemand", "Licence - Arts-lettres-langues", "LEA anglais / allemand", 80, 145, 95, 113, 0, 72, 18, 12, 6, 7, 5, 22, 32, 7, 8, 3, 14, 112, 20, 0, 0, 72, 18, 12, 6, 7, 5, 21, 132, 22, 19, 19, 3, 18.0, 18.0, 21.0, 0, 9, 17, 14, 3, 0, 5, 0, 7, 6, 3, 1, 0.0, 10, 0, 0, 0, 0, 12, 12, 81.82, 81.82, 95.45, 86.390625, 70.59375, 70.59375, 0, 52.8984375, 77.296875, 0.0, 41.1953125, 35.296875, 17.59765625, 5.9, 0.0, 82.390625, 58.796875, 17.59765625, 0.0, 0.0, 0.0, 77.0, 19.0, 9.0, 6.0, 28.0, "Tous les candidats", 112.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "8737", "Licence - Langues étrangères appliquées - Parcours LEA anglais / allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8737&g_ta_cod=8737", 82.0, 14.0, 5.0),
(4, "Public", "0290070U", "Lycée Jean Chaptal", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Jean Chaptal - BTS - Production - Bioqualité", "BTS - Production", "", 13, 100, 61, 100, 0, 21, 1, 42, 8, 5, 2, 32, 0, 0, 0, 0, 0, 100, 0, 0, 0, 21, 1, 42, 8, 5, 2, 32, 63, 10, 7, 10, 0, 1.0, 6.0, 8.0, 0, 1, 7, 1, 5, 1, 3, 0, 5, 2, 0, 0, 0.0, 0, 1, 1, 2, 2, 4, 4, 10.0, 60.0, 80.0, 70.0, 57.09375, 57.09375, 28.59765625, 14.298828125, 70.0, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 14.298828125, 0.0, 71.390625, 14.298828125, 14.298828125, 14.298828125, 12.0, 1.0, 4.0, 1.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers technologiques toutes séries", 41, "Bacheliers professionnels toutes séries", 4, "Liste d'appel propre à cette formation", 69.0, "33358", "BTS - Production - Bioqualité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33358&g_ta_cod=33358", 20.0, 70.0, 10.0),
(5, "Public", "0330028B", "Lycée Gustave Eiffel", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 64, 1426, 186, 1426, 0, 199, 55, 371, 115, 304, 111, 552, 0, 0, 0, 0, 0, 511, 0, 0, 0, 106, 21, 178, 46, 190, 66, 37, 168, 63, 9, 62, 0, 25.0, 55.0, 60.0, 0, 14, 59, 18, 17, 24, 4, 0, 12, 22, 22, 3, 0.0, 10, 13, 24, 9, 0, 55, 55, 39.68, 87.3, 95.24, 14.298828125, 93.1875, 93.1875, 15.298828125, 23.69921875, 93.6875, 0.0, 20.296875, 37.296875, 37.296875, 5.1, 0.0, 30.5, 16.8984375, 28.796875, 22.0, 40.6953125, 40.6953125, 61.0, 15.0, 38.0, 9.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 84.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 98, "Liste d'appel propre à cette formation", 16.0, "4299", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4299&g_ta_cod=4299", 32.0, 30.0, 38.0),
(6, "Privé enseignement supérieur", "0593202K", "IESEG School of Management - Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole de Commerce", "IESEG School of Management - Lille - Formation des écoles de commerce et de management Bac + 3 - Bachelor in International Business", "Formation des écoles de commerce et de management", "Bachelor in International Business - cursus mixte (français/anglais)", 40, 412, 208, 393, 0, 318, 8, 36, 0, 1, 0, 38, 19, 7, 2, 0, 10, 344, 9, 0, 0, 282, 6, 30, 0, 1, 0, 31, 206, 15, 5, 10, 5, 1.0, 10.0, 12.0, 0, 1, 10, 7, 3, 0, 5, 0, 0, 9, 1, 0, 0.0, 7, 3, 0, 0, 0, 2, 2, 6.67, 66.67, 80.0, 33.296875, 20.0, 20.0, 0, 10.0, 66.6875, 0.0, 0.0, 90.0, 10.0, 0.0, 0.0, 70.0, 70.0, 30.0, 30.0, 0.0, 0.0, 159.0, 5.0, 1.0, 0.0, 26.0, "Tous les candidats", 443.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 87.0, "31744", "Formation des écoles de commerce et de management Bac + 3 - Bachelor in International Business", "IESEG School of Management - Lille", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25874&g_ta_cod=31744", 80.0, 20.0, 0.0),
(7, "Public", "0881705A", "I.U.T Epinal-Hubert Curien - Université de Lorraine", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "BUT", "I.U.T Epinal-Hubert Curien - Université de Lorraine - BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services - Pilotage de la chaîne logistique globale", "BUT - Production", "Management de la production de biens et de services - Pilotage de la chaîne logistique globale", 45, 168, 45, 153, 0, 68, 12, 42, 5, 6, 4, 37, 15, 2, 1, 1, 11, 125, 5, 0, 0, 61, 10, 35, 5, 5, 3, 24, 117, 13, 3, 11, 2, 5.0, 11.0, 13.0, 0, 4, 13, 4, 6, 3, 0, 0, 7, 5, 1, 0, 0.0, 2, 2, 2, 0, 0, 9, 9, 38.46, 84.62, 100.0, 23.09765625, 69.1875, 69.1875, 0, 30.796875, 100.0, 0.0, 53.796875, 38.5, 7.69921875, 0.0, 0.0, 30.796875, 15.3984375, 46.1953125, 15.3984375, 23.09765625, 15.3984375, 52.0, 7.0, 4.0, 3.0, 25.0, "Tous les candidats sauf les Bac technologiques", 84.0, "Bacheliers technologiques toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 82.0, "10764", "BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services - Pilotage de la chaîne logistique globale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10764&g_ta_cod=10764", 31.0, 46.0, 23.0),
(8, "Privé sous contrat d'association", "0570279U", "Lycée professionnel La Providence", "57", "Moselle", "Grand Est", "Nancy-Metz", "Dieuze", "formation sélective", "BTS", "Lycée professionnel La Providence - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 253, 206, 177, 0, 17, 3, 49, 14, 35, 13, 76, 76, 2, 16, 25, 33, 71, 31, 0, 0, 13, 1, 30, 8, 17, 4, 11, 97, 15, 14, 8, 7, 1.0, 8.0, 12.0, 0, 3, 8, 2, 3, 3, 7, 0, 4, 4, 0, 0, 0.0, 0, 1, 3, 0, 0, 7, 7, 6.67, 53.33, 80.0, 93.296875, 87.5, 87.5, 0, 37.5, 53.296875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 25.0, 0.0, 37.5, 12.5, 37.5, 37.5, 13.0, 1.0, 21.0, 8.0, 26.0, "Tous les candidats sauf les Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 40.0, "20019", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20019&g_ta_cod=20019", 33.0, 33.0, 33.0),
(9, "Public", "0370054H", "Lycée professionnel Martin Nadaud", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Saint-Pierre-des-Corps", "formation sélective", "BTS", "Lycée professionnel Martin Nadaud - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 15, 181, 12, 165, 0, 10, 1, 29, 10, 67, 22, 59, 16, 0, 1, 6, 9, 50, 5, 0, 0, 3, 0, 18, 6, 28, 4, 1, 46, 6, 0, 3, 3, 1.0, 3.0, 3.0, 0, 1, 5, 0, 1, 4, 1, 0, 0, 2, 3, 0, 0.0, 0, 1, 4, 2, 0, 5, 5, 16.67, 50.0, 50.0, 0.0, 100.0, 100.0, 40, 20.0, 83.296875, 0.0, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 0.0, 20.0, 20.0, 80.0, 80.0, 2.0, 0.0, 28.0, 6.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 30.0, "17449", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17449&g_ta_cod=17449", 0.0, 33.0, 67.0),
(10, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 150, 404, 216, 263, 0, 168, 71, 15, 9, 6, 4, 74, 141, 18, 23, 21, 79, 262, 138, 0, 0, 168, 71, 15, 9, 6, 4, 73, 397, 83, 40, 43, 40, 28.0, 42.0, 64.0, 0, 28, 48, 31, 11, 6, 35, 1, 27, 15, 5, 0, 0.0, 16, 2, 2, 0, 0, 32, 32, 33.73, 50.6, 77.11, 48.1953125, 66.6875, 66.6875, 0, 58.296875, 57.796875, 2.099609375, 56.296875, 31.296875, 10.3984375, 0.0, 0.0, 64.59375, 33.296875, 22.8984375, 4.19921875, 12.5, 4.19921875, 186.0, 78.0, 26.0, 16.0, 147.0, "Tous les candidats", 262.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "27459", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27459&g_ta_cod=27459", 53.0, 30.0, 17.0),
(11, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Licence", "Université Grenoble Alpes  - Double licence - Droit / Langues étrangères appliquées - Double Licence : Droit-Langues Option Droit administration et politique internationales", "Licence - Droit-économie-gestion", "Double Licence : Droit-Langues Option Droit administration et politique internationales", 36, 1029, 840, 1029, 0, 830, 147, 17, 7, 6, 2, 176, 0, 0, 0, 0, 0, 500, 0, 0, 0, 428, 62, 0, 0, 1, 0, 71, 157, 36, 32, 36, 0, 2.0, 25.0, 31.0, 0, 4, 30, 30, 0, 0, 6, 0, 0, 1, 9, 17, 3.0, 30, 0, 0, 0, 0, 13, 13, 5.56, 69.44, 86.11, 88.890625, 43.296875, 43.296875, 0, 13.298828125, 83.296875, 0.0, 0.0, 3.2998046875, 30.0, 56.7, 10.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 137.0, 28.0, 0.0, 0.0, 20.0, "Tous les candidats", 229.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "5027", "Double licence - Droit / Langues étrangères appliquées - Double Licence : Droit-Langues Option Droit administration et politique internationales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5027&g_ta_cod=5027", 100.0, 0.0, 0.0),
(12, "Public", "0930116W", "Lycée Henri Wallon", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "BTS", "Lycée Henri Wallon - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 790, 389, 790, 0, 50, 28, 212, 131, 257, 164, 271, 0, 0, 0, 0, 0, 390, 0, 0, 0, 20, 11, 146, 100, 136, 87, 88, 121, 30, 14, 30, 0, 3.0, 22.0, 27.0, 0, 12, 16, 4, 4, 8, 14, 0, 9, 5, 2, 0, 0.0, 0, 2, 5, 1, 0, 16, 16, 10.0, 73.33, 90.0, 46.6953125, 100.0, 100.0, 6.2998046875, 75.0, 53.296875, 0.0, 56.296875, 31.296875, 12.5, 0.0, 0.0, 25.0, 0.0, 25.0, 12.5, 50.0, 31.296875, 12.0, 9.0, 44.0, 34.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 21.0, "11160", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11160&g_ta_cod=11160", 33.0, 27.0, 40.0),
(13, "Public", "0922427N", "Lycée Claude Garamont", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Colombes", "formation sélective", "Autre formation", "Lycée Claude Garamont - DN MADE - Graphisme - - Spécialité : Graphisme & image - création et diffusion", "DN MADE", "- Spécialité : Graphisme & image - création et diffusion", 15, 834, 546, 834, 0, 282, 58, 159, 39, 128, 31, 265, 0, 0, 0, 0, 0, 255, 0, 0, 0, 84, 15, 81, 19, 29, 9, 61, 86, 15, 14, 15, 0, 1.0, 12.0, 13.0, 0, 3, 12, 4, 8, 0, 3, 0, 1, 3, 5, 3, 0.0, 3, 8, 0, 0, 0, 3, 6, 6.67, 80.0, 86.67, 93.296875, 25.0, 50.0, 0, 25.0, 80.0, 0.0, 8.298828125, 25.0, 41.6953125, 25.0, 0.0, 33.296875, 25.0, 66.6875, 66.6875, 0.0, 0.0, 27.0, 3.0, 2.0, 0.0, 15.0, "Tous les candidats", 122.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "21939", "DN MADE - Graphisme - - Spécialité : Graphisme & image - création et diffusion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21939&g_ta_cod=21939", 33.0, 67.0, 0.0),
(14, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 300, 1868, 855, 1696, 0, 1215, 222, 128, 28, 37, 15, 316, 172, 26, 18, 6, 122, 1696, 112, 0, 0, 1215, 222, 128, 28, 37, 15, 316, 1448, 273, 89, 227, 46, 116.0, 224.0, 252.0, 0, 34, 177, 155, 14, 8, 96, 0, 53, 78, 41, 5, 0.0, 112, 6, 6, 0, 0, 153, 153, 42.49, 82.05, 92.31, 32.59375, 86.390625, 86.390625, 0, 19.19921875, 64.796875, 0.0, 29.8984375, 44.09375, 23.19921875, 2.8, 0.0, 87.59375, 63.296875, 7.8994140625, 3.39990234375, 4.5, 3.39990234375, 1040.0, 186.0, 27.0, 12.0, 321.0, "Tous les candidats", 1694.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5577", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5577&g_ta_cod=5577", 82.0, 10.0, 5.0),
(15, "Public", "0100023W", "Lycée Marie De Champagne", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BTS", "Lycée Marie De Champagne - BTS - Services - Gestion de la PME", "BTS - Services", "", 36, 604, 348, 604, 0, 42, 14, 191, 68, 176, 84, 195, 0, 0, 0, 0, 0, 489, 0, 0, 0, 30, 9, 183, 62, 176, 84, 100, 134, 33, 23, 33, 0, 6.0, 25.0, 30.0, 0, 13, 31, 2, 10, 19, 2, 0, 9, 20, 1, 1, 0.0, 1, 8, 13, 14, 10, 29, 29, 18.18, 75.76, 90.91, 69.6875, 93.5, 93.5, 45.1953125, 41.8984375, 93.890625, 0.0, 29.0, 64.5, 3.19970703125, 3.2, 0.0, 6.5, 3.19970703125, 32.296875, 25.796875, 61.296875, 41.8984375, 9.0, 2.0, 72.0, 36.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 88, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 33.0, "13420", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13420&g_ta_cod=13420", 6.0, 33.0, 61.0),
(16, "Public", "0670089H", "Lycée Emile Mathis", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Schiltigheim", "formation sélective", "BTS", "Lycée Emile Mathis - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 30, 539, 157, 523, 0, 38, 13, 98, 32, 132, 59, 255, 16, 0, 3, 0, 13, 250, 0, 0, 0, 33, 10, 63, 15, 100, 42, 54, 145, 29, 8, 29, 0, 6.0, 17.0, 22.0, 0, 6, 18, 3, 1, 14, 11, 0, 6, 5, 6, 1, 0.0, 1, 1, 10, 10, 0, 15, 15, 20.69, 58.62, 75.86, 27.59765625, 83.296875, 83.296875, 55.59375, 33.296875, 62.09375, 0.0, 33.296875, 27.796875, 33.296875, 5.6, 0.0, 16.69921875, 5.599609375, 5.599609375, 5.599609375, 77.796875, 55.59375, 20.0, 5.0, 38.0, 13.0, 34.0, "Tous les candidats sauf les Bac professionnels", 128.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 31.0, "7959", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7959&g_ta_cod=7959", 28.0, 14.0, 59.0),
(17, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence_Las", "Université Grenoble Alpes  - Licence - Portail Physique, Chimie, Mécanique, Mathématiques (PCMM)", "Licence - Sciences - technologies - santé", "Physique, Chimie, Mécanique, Mathématiques (PCMM)", 15, 498, 219, 484, 0, 300, 46, 6, 4, 1, 0, 177, 14, 5, 0, 0, 9, 484, 11, 0, 0, 300, 46, 6, 4, 1, 0, 177, 208, 12, 3, 10, 2, 0.0, 1.0, 10.0, 0, 0, 4, 4, 0, 0, 8, 1, 1, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 4, 4, 0.0, 8.33, 83.33, 25.0, 100.0, 100.0, 0, 0.0, 33.296875, 25.0, 25.0, 25.0, 25.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 118.0, 12.0, 1.0, 0.0, 89.0, "Tous les candidats", 1672.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "31930", "Licence - Portail Physique, Chimie, Mécanique, Mathématiques (PCMM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31929&g_ta_cod=31930", 100.0, 0.0, 0.0),
(18, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 60, 406, 309, 353, 0, 271, 66, 12, 5, 4, 1, 66, 53, 17, 0, 2, 34, 353, 51, 0, 0, 271, 66, 12, 5, 4, 1, 66, 404, 58, 42, 42, 16, 42.0, 42.0, 45.0, 0, 12, 41, 39, 2, 0, 17, 0, 13, 15, 11, 2, 0.0, 26, 2, 0, 0, 0, 31, 31, 72.41, 72.41, 77.59, 72.390625, 75.59375, 75.59375, 0, 29.296875, 70.6875, 0.0, 31.69921875, 36.59375, 26.796875, 4.9, 0.0, 95.09375, 63.3984375, 4.8994140625, 4.8994140625, 0.0, 0.0, 287.0, 70.0, 6.0, 1.0, 99.0, "Tous les candidats", 353.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26569", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26569&g_ta_cod=26569", 88.0, 9.0, 3.0),
(19, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Eurasie - Arménien", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères, parcours Eurasie - Arménien", 20, 95, 58, 59, 0, 23, 11, 7, 4, 4, 3, 25, 36, 3, 2, 0, 31, 59, 13, 0, 0, 23, 11, 7, 4, 4, 3, 25, 60, 15, 13, 10, 5, 5.0, 8.0, 11.0, 0, 5, 5, 4, 0, 1, 10, 0, 1, 3, 1, 0, 0.0, 3, 0, 1, 0, 0, 2, 3, 33.33, 53.33, 73.33, 86.6875, 40.0, 60.0, 0, 100.0, 33.296875, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 80.0, 60.0, 0.0, 0.0, 20.0, 20.0, 20.0, 10.0, 3.0, 3.0, 29.0, "Tous les candidats", 81.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "9422", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Eurasie - Arménien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29613&g_ta_cod=9422", 80.0, 0.0, 13.0),
(20, "Public", "0930133P", "Lycée professionnel Mixte THEODORE MONOD", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Noisy-le-Sec", "formation sélective", "Autre formation", "Lycée professionnel Mixte THEODORE MONOD - Mention complémentaire - Technicien ascensoriste, service et modernisation", "Mention complémentaire", "", 15, 105, 0, 105, 0, 0, 0, 0, 0, 99, 58, 6, 0, 0, 0, 0, 0, 105, 0, 0, 0, 0, 0, 0, 0, 99, 58, 6, 66, 9, 0, 9, 0, 1.0, 8.0, 9.0, 0, 6, 9, 0, 0, 9, 0, 0, 5, 3, 1, 0, 0.0, 0, 0, 4, 0, 0, 5, 9, 11.11, 88.89, 100.0, 0.0, 55.59375, 100.0, 0, 66.6875, 100.0, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 44.3984375, 0.0, 0.0, 66.0, 44.0, 0.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "20318", "Mention complémentaire - Technicien ascensoriste, service et modernisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20318&g_ta_cod=20318", 0.0, 0.0, 100.0),
(21, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Langues étrangères appliquées - Parcours Anglais - Allemand", "Licence - Arts-lettres-langues", "Anglais - Allemand", 110, 443, 313, 356, 0, 234, 52, 25, 11, 9, 6, 88, 87, 13, 6, 5, 63, 353, 78, 0, 0, 234, 52, 25, 11, 9, 6, 85, 391, 55, 42, 33, 22, 6.0, 33.0, 44.0, 0, 8, 31, 24, 5, 2, 24, 0, 12, 12, 4, 3, 0.0, 16, 3, 0, 0, 0, 27, 27, 10.91, 60.0, 80.0, 76.390625, 87.09375, 87.09375, 0, 25.796875, 56.3984375, 0.0, 38.6953125, 38.6953125, 12.8984375, 9.7, 0.0, 77.390625, 51.59375, 16.09765625, 9.69921875, 6.5, 0.0, 227.0, 51.0, 8.0, 6.0, 128.0, "Tous les candidats", 353.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "6354", "Licence - Langues étrangères appliquées - Parcours Anglais - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6354&g_ta_cod=6354", 80.0, 15.0, 5.0),
(22, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Double licence - Droit / Langues étrangères appliquées - Droit Langues Anglais/Espagnol", "Licence - Droit-économie-gestion", "Droit Langues Anglais/Espagnol", 170, 648, 540, 648, 0, 545, 120, 14, 1, 4, 1, 85, 0, 0, 0, 0, 0, 648, 0, 0, 0, 545, 120, 14, 1, 4, 1, 85, 648, 171, 147, 171, 0, 168.0, 171.0, 171.0, 0, 34, 155, 151, 4, 0, 16, 1, 27, 54, 52, 19, 2.0, 124, 3, 0, 0, 0, 88, 88, 98.25, 100.0, 100.0, 86.0, 56.796875, 56.796875, 0, 21.8984375, 90.59375, 0.5999755859375, 17.3984375, 34.796875, 33.5, 12.3, 1.3, 97.390625, 80.0, 2.599609375, 1.89990234375, 0.0, 0.0, 545.0, 120.0, 4.0, 1.0, 85.0, "Tous les candidats", 648.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32020", "Double licence - Droit / Langues étrangères appliquées - Droit Langues Anglais/Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32020&g_ta_cod=32020", 95.0, 2.0, 1.0),
(23, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence_Las", "Université de Brest - Licence - Portail ISI - Informatique et Sciences pour l'Ingénieur", "Licence - Sciences - technologies - santé", "ISI - Informatique et Sciences pour l'Ingénieur", 40, 236, 95, 103, 0, 52, 9, 3, 1, 0, 0, 48, 133, 50, 2, 0, 81, 103, 126, 0, 0, 52, 9, 3, 1, 0, 0, 48, 228, 27, 11, 9, 18, 3.0, 9.0, 20.0, 0, 0, 6, 6, 0, 0, 21, 0, 1, 3, 2, 0, 0.0, 5, 0, 0, 0, 0, 2, 2, 11.11, 33.33, 74.07, 40.6953125, 33.296875, 33.296875, 0, 0.0, 22.19921875, 0.0, 16.69921875, 50.0, 33.296875, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 100.0, 16.0, 0.0, 0.0, 123.0, "Tous les candidats", 589.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "29276", "Licence - Portail ISI - Informatique et Sciences pour l'Ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28023&g_ta_cod=29276", 93.0, 4.0, 4.0),
(24, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER Etudes Chinoises", "Licence - Arts-lettres-langues", "LLCER Etudes Chinoises", 125, 590, 477, 578, 0, 274, 77, 24, 10, 22, 15, 258, 12, 1, 1, 1, 9, 571, 9, 0, 0, 274, 77, 24, 10, 22, 15, 251, 511, 122, 92, 118, 4, 56.0, 105.0, 109.0, 0, 16, 54, 40, 7, 7, 68, 0, 25, 21, 8, 0, 0.0, 22, 3, 4, 0, 0, 11, 42, 45.9, 86.07, 89.34, 75.390625, 20.3984375, 77.796875, 0, 29.59765625, 44.296875, 0.0, 46.296875, 38.8984375, 14.798828125, 0.0, 0.0, 74.09375, 40.6953125, 13.0, 5.599609375, 13.0, 7.3994140625, 252.0, 73.0, 21.0, 15.0, 218.0, "Tous les candidats", 603.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 91.0, "9329", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER Etudes Chinoises", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29399&g_ta_cod=9329", 71.0, 18.0, 10.0),
(25, "Public", "0590119J", "Lycée Faidherbe", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Faidherbe - CPGE - MP2I", "Classe préparatoire scientifique", "", 48, 1309, 233, 1309, 928, 1090, 119, 2, 0, 0, 0, 217, 0, 0, 0, 0, 0, 752, 0, 577, 733, 739, 67, 0, 0, 0, 0, 13, 183, 47, 8, 47, 0, 1.0, 35.0, 46.0, 23, 8, 46, 46, 0, 0, 1, 0, 0, 0, 8, 27, 11.0, 46, 0, 0, 4, 0, 32, 32, 2.13, 74.47, 97.87, 17.0, 69.59375, 69.59375, 8.69921875, 17.3984375, 97.890625, 0.0, 0.0, 0.0, 17.3984375, 58.7, 23.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 180.0, 18.0, 0.0, 0.0, 3.0, "Tous les candidats", 297.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "32111", "CPGE - MP2I", "", "", 100.0, 0.0, 0.0),
(26, "Privé sous contrat d'association", "0491941U", "MFR CFA de Beaupréau", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Beaupréau-en-Mauges", "formation sélective", "BTS", "MFR CFA de Beaupréau - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 12, 33, 11, 33, 0, 3, 1, 11, 1, 18, 5, 1, 0, 0, 0, 0, 0, 27, 0, 0, 0, 3, 1, 10, 0, 14, 5, 0, 22, 1, 1, 1, 0, 1.0, 1.0, 1.0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 12.0, 5.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers technologiques toutes séries", 10, "Bacheliers professionnels toutes séries", 13, "Liste d'appel propre à cette formation", 73.0, "33463", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33463&g_ta_cod=33463", 100.0, 0.0, 0.0),
(27, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "Licence", "ICES - Institut Catholique de Vendée - Licence - Science politique - Parcours Sciences politiques", "Licence - Droit-économie-gestion", "Sciences politiques", 140, 657, 320, 479, 0, 417, 41, 10, 2, 1, 0, 51, 178, 117, 8, 1, 52, 458, 28, 0, 0, 406, 38, 9, 2, 1, 0, 42, 414, 128, 55, 115, 13, 36.0, 114.0, 127.0, 0, 15, 108, 106, 2, 0, 20, 0, 18, 47, 40, 3, 0.0, 88, 2, 0, 0, 0, 53, 53, 28.13, 89.06, 99.22, 43.0, 49.09375, 49.09375, 0, 13.8984375, 84.390625, 0.0, 16.69921875, 43.5, 37.0, 2.8, 0.0, 98.09375, 81.5, 1.89990234375, 1.89990234375, 0.0, 0.0, 363.0, 32.0, 1.0, 0.0, 39.0, "Tous les candidats", 457.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "13022", "Licence - Science politique - Parcours Sciences politiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13022&g_ta_cod=13022", 98.0, 2.0, 0.0),
(28, "Public", "0931779D", "Lycée des Métiers de l'horticulture et du paysage", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "BTS", "Lycée des Métiers de l'horticulture et du paysage - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 65, 661, 261, 563, 0, 59, 10, 45, 9, 59, 18, 400, 98, 13, 17, 19, 49, 172, 65, 0, 0, 48, 6, 27, 4, 47, 10, 50, 201, 29, 12, 15, 14, 10.0, 15.0, 25.0, 0, 5, 19, 5, 6, 8, 10, 0, 12, 4, 2, 1, 0.0, 2, 1, 4, 3, 0, 15, 19, 34.48, 51.72, 86.21, 41.3984375, 78.890625, 100.0, 15.798828125, 26.296875, 65.5, 0.0, 63.1953125, 21.09765625, 10.5, 5.3, 0.0, 26.296875, 10.5, 31.59765625, 5.2998046875, 42.09375, 21.09765625, 37.0, 6.0, 55.0, 15.0, 76.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 30.0, "11284", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11284&g_ta_cod=11284", 28.0, 34.0, 38.0),
(29, "Public", "0772737G", "Lycée Internat d'Excellence de Sourdun", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Provins", "formation sélective", "CPGE", "Lycée Internat d'Excellence de Sourdun - CPGE - ECG -  - Mathématiques appliquées + HGG", "Classe préparatoire économique et commerciale", "", 30, 68, 28, 62, 54, 47, 10, 0, 0, 0, 0, 15, 6, 4, 0, 1, 1, 60, 2, 53, 46, 46, 9, 0, 0, 0, 0, 14, 60, 13, 4, 13, 0, 3.0, 13.0, 13.0, 10, 2, 5, 5, 0, 0, 8, 0, 0, 5, 0, 0, 0.0, 5, 0, 0, 0, 0, 3, 5, 23.08, 100.0, 100.0, 30.796875, 60.0, 100.0, 0, 40.0, 38.5, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 48.0, 11.0, 0.0, 0.0, 12.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "31288", "CPGE - ECG -  - Mathématiques appliquées + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31288&g_ta_cod=31288", 100.0, 0.0, 0.0),
(30, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Lettres - Parcours Lettres - Mineure Didactique du Français Langue Étrangère", "Licence - Arts-lettres-langues", "Lettres - Mineure Didactique du Français Langue Étrangère", 21, 126, 90, 71, 0, 28, 6, 1, 1, 8, 4, 34, 55, 10, 1, 4, 40, 71, 52, 0, 0, 28, 6, 1, 1, 8, 4, 34, 109, 21, 12, 9, 12, 2.0, 9.0, 16.0, 0, 4, 4, 3, 0, 1, 17, 0, 1, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 1, 3, 9.52, 42.86, 76.19, 57.09375, 25.0, 75.0, 0, 100.0, 19.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 75.0, 75.0, 0.0, 0.0, 25.0, 0.0, 34.0, 9.0, 11.0, 7.0, 62.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "17376", "Licence - Lettres - Parcours Lettres - Mineure Didactique du Français Langue Étrangère", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17376&g_ta_cod=17376", 71.0, 5.0, 19.0),
(31, "Public", "0130002G", "Lycée Paul Cezanne", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "CPGE", "Lycée Paul Cezanne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 598, 336, 598, 205, 520, 58, 0, 0, 0, 0, 78, 0, 0, 0, 0, 0, 504, 0, 183, 484, 464, 49, 0, 0, 0, 0, 40, 249, 25, 17, 25, 0, 6.0, 17.0, 23.0, 1, 1, 24, 24, 0, 0, 1, 0, 0, 11, 10, 2, 1.0, 24, 0, 0, 3, 3, 15, 15, 24.0, 68.0, 92.0, 68.0, 62.5, 62.5, 12.5, 4.19921875, 96.0, 0.0, 0.0, 45.796875, 41.6953125, 8.3, 4.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 240.0, 26.0, 0.0, 0.0, 9.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "31649", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31269&g_ta_cod=31649", 100.0, 0.0, 0.0),
(32, "Public", "0770934X", "Lycée Leonard De Vinci", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation sélective", "BTS", "Lycée Leonard De Vinci - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1317, 672, 1317, 0, 58, 20, 401, 130, 504, 185, 354, 0, 0, 0, 0, 0, 725, 0, 0, 0, 45, 14, 261, 82, 297, 96, 122, 170, 33, 20, 33, 0, 4.0, 27.0, 31.0, 0, 10, 20, 0, 6, 14, 13, 0, 4, 10, 5, 1, 0.0, 0, 6, 10, 1, 1, 17, 20, 12.12, 81.82, 93.94, 60.59375, 85.0, 100.0, 5, 50.0, 60.59375, 0.0, 20.0, 50.0, 25.0, 5.0, 0.0, 0.0, 0.0, 30.0, 30.0, 70.0, 50.0, 15.0, 3.0, 74.0, 24.0, 29.0, "Tous les candidats sauf les Bac professionnels", 126.0, "Bacheliers professionnels toutes séries", 120, "", 0, "Liste d'appel propre à cette formation", 19.0, "9815", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9815&g_ta_cod=9815", 9.0, 42.0, 48.0),
(33, "Public", "0622238W", "I.U.T. de Béthune", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "BUT", "I.U.T. de Béthune - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle", "BUT - Production", "Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle", 52, 352, 19, 325, 0, 148, 18, 101, 24, 10, 2, 66, 27, 4, 3, 0, 20, 279, 9, 0, 0, 143, 17, 88, 18, 4, 0, 44, 242, 47, 1, 43, 4, 26.0, 42.0, 45.0, 0, 6, 38, 22, 16, 0, 9, 0, 26, 9, 3, 0, 0.0, 7, 5, 0, 0, 0, 31, 31, 55.32, 89.36, 95.74, 2.099609375, 81.59375, 81.59375, 0, 15.798828125, 80.890625, 0.0, 68.390625, 23.69921875, 7.8994140625, 0.0, 0.0, 57.8984375, 18.3984375, 42.09375, 13.19921875, 0.0, 0.0, 118.0, 17.0, 1.0, 0.0, 41.0, "Tous les candidats sauf les Bac technologiques", 173.0, "Bacheliers technologiques toutes séries", 100, "", 0, "Liste d'appel propre à cette formation", 84.0, "7436", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7436&g_ta_cod=7436", 62.0, 38.0, 0.0),
(34, "Public", "0195014X", "Université de Limoges - Antenne de Brive", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation non sélective", "Licence_Las", "Université de Limoges - Antenne de Brive - Licence - Portail Droit - Droit Brive", "Licence - Droit-économie-gestion", "Droit Brive", 20, 183, 129, 144, 0, 78, 20, 18, 6, 4, 2, 44, 39, 10, 1, 0, 28, 143, 36, 0, 0, 78, 20, 18, 6, 4, 2, 43, 137, 19, 15, 9, 10, 2.0, 8.0, 11.0, 0, 2, 6, 4, 2, 0, 13, 0, 3, 2, 1, 0, 0.0, 1, 2, 0, 0, 0, 2, 2, 10.53, 42.11, 57.89, 78.890625, 33.296875, 33.296875, 0, 33.296875, 31.59765625, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 66.6875, 16.69921875, 33.296875, 33.296875, 0.0, 0.0, 68.0, 19.0, 1.0, 1.0, 60.0, "Tous les candidats", 535.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "27741", "Licence - Portail Droit - Droit Brive", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27740&g_ta_cod=27741", 84.0, 11.0, 0.0),
(35, "Privé sous contrat d'association", "0593027V", "Lycée professionnel Industries Lilloises", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée professionnel Industries Lilloises - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 29, 131, 12, 112, 0, 27, 3, 29, 5, 29, 5, 27, 19, 4, 1, 7, 7, 100, 16, 0, 0, 27, 3, 28, 5, 27, 5, 18, 106, 18, 0, 10, 8, 4.0, 10.0, 16.0, 0, 2, 15, 4, 5, 6, 3, 0, 10, 4, 0, 1, 0.0, 0, 2, 3, 2, 0, 12, 12, 22.22, 55.56, 88.89, 0.0, 80.0, 80.0, 13.298828125, 13.298828125, 83.296875, 0.0, 66.6875, 26.69921875, 0.0, 6.7, 0.0, 26.69921875, 0.0, 33.296875, 13.298828125, 40.0, 20.0, 27.0, 3.0, 31.0, 6.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 89.0, "6951", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6951&g_ta_cod=6951", 33.0, 28.0, 39.0),
(36, "Public", "0800009A", "Lycée Louis Thuillier", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Autre formation", "Lycée Louis Thuillier - CPES - Arts", "Classe préparatoire aux études supérieures", "", 24, 261, 197, 261, 0, 193, 28, 14, 5, 15, 1, 39, 0, 0, 0, 0, 0, 64, 0, 0, 0, 62, 10, 1, 1, 0, 0, 1, 58, 21, 18, 20, 0, 5.0, 20.0, 21.0, 0, 4, 20, 18, 1, 1, 1, 0, 1, 7, 4, 6, 2.0, 17, 1, 1, 0, 0, 12, 12, 23.81, 95.24, 100.0, 85.6875, 60.0, 60.0, 0, 20.0, 95.1875, 0.0, 5.0, 35.0, 20.0, 30.0, 10.0, 90.0, 85.0, 5.0, 5.0, 5.0, 5.0, 55.0, 8.0, 1.0, 1.0, 1.0, "Tous les candidats", 63.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "29252", "CPES - Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29252&g_ta_cod=29252", 90.0, 5.0, 5.0),
(37, "Public", "0680034T", "Lycée Louis-Armand", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "Autre formation", "Lycée Louis-Armand - Mention complémentaire - Technicien ascensoriste, service et modernisation", "Mention complémentaire", "", 12, 54, 1, 54, 0, 0, 0, 0, 0, 51, 19, 3, 0, 0, 0, 0, 0, 46, 0, 0, 0, 0, 0, 0, 0, 44, 16, 2, 34, 8, 0, 7, 0, 0.0, 3.0, 6.0, 0, 1, 8, 0, 0, 8, 0, 0, 3, 4, 1, 0, 0.0, 0, 0, 5, 0, 0, 8, 8, 0.0, 37.5, 75.0, 0.0, 100.0, 100.0, 0, 12.5, 100.0, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 62.5, 0.0, 0.0, 32.0, 11.0, 2.0, "Tous les candidats", 42.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "8109", "Mention complémentaire - Technicien ascensoriste, service et modernisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8109&g_ta_cod=8109", 0.0, 0.0, 100.0),
(38, "Privé enseignement supérieur", "0171623X", "CESI Campus de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Lagord", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 42, 1005, 170, 989, 0, 754, 67, 76, 14, 0, 0, 159, 16, 7, 1, 0, 8, 761, 3, 0, 0, 618, 43, 62, 8, 0, 0, 81, 222, 27, 2, 26, 1, 14.0, 26.0, 27.0, 0, 4, 27, 21, 6, 0, 0, 0, 1, 15, 9, 2, 0.0, 21, 5, 0, 0, 0, 14, 14, 51.85, 96.3, 100.0, 7.3994140625, 51.8984375, 51.8984375, 0, 14.798828125, 100.0, 0.0, 3.69970703125, 55.59375, 33.296875, 7.4, 0.0, 77.796875, 77.796875, 22.19921875, 18.5, 0.0, 0.0, 165.0, 10.0, 0.0, 0.0, 44.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "25177", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25177", 78.0, 22.0, 0.0),
(39, "Public", "0590063Y", "Lycée Albert Chatelet", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "CPGE", "Lycée Albert Chatelet - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 381, 263, 381, 234, 349, 67, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 352, 0, 229, 327, 337, 64, 0, 0, 0, 0, 15, 236, 48, 31, 48, 0, 18.0, 40.0, 48.0, 15, 12, 46, 46, 0, 0, 2, 1, 2, 2, 25, 13, 3.0, 43, 0, 0, 12, 8, 45, 45, 37.5, 83.33, 100.0, 64.59375, 97.796875, 97.796875, 26.09765625, 26.09765625, 95.796875, 2.19970703125, 4.2998046875, 4.2998046875, 54.296875, 28.3, 6.5, 100.0, 93.5, 0.0, 0.0, 0.0, 0.0, 230.0, 48.0, 0.0, 0.0, 6.0, "Tous les candidats", 335.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "6738", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6738&g_ta_cod=6738", 100.0, 0.0, 0.0),
(40, "Public", "0380029A", "Lycée Les Eaux Claires", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "Autre formation", "Lycée Les Eaux Claires - Diplôme de Comptabilité et de Gestion", "DCG", "", 40, 768, 357, 644, 0, 257, 60, 160, 68, 12, 7, 215, 124, 19, 17, 2, 86, 262, 12, 0, 0, 155, 36, 87, 35, 0, 0, 20, 240, 33, 10, 31, 2, 19.0, 31.0, 33.0, 0, 10, 29, 11, 18, 0, 4, 0, 3, 16, 10, 0, 0.0, 8, 18, 0, 0, 0, 27, 27, 57.58, 93.94, 100.0, 30.296875, 93.09375, 93.09375, 0, 34.5, 87.890625, 0.0, 10.298828125, 55.1953125, 34.5, 0.0, 0.0, 37.8984375, 27.59765625, 62.09375, 62.09375, 0.0, 0.0, 134.0, 25.0, 0.0, 0.0, 25.0, "Tous les candidats", 262.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "4927", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4927&g_ta_cod=4927", 39.0, 61.0, 0.0),
(41, "Public", "0710026T", "Lycée LEON BLUM", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Le Creusot", "formation sélective", "BTS", "Lycée LEON BLUM - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 176, 122, 160, 0, 6, 2, 61, 25, 59, 28, 34, 16, 0, 4, 4, 8, 129, 3, 0, 0, 6, 2, 56, 21, 51, 23, 16, 112, 12, 10, 10, 2, 2.0, 8.0, 9.0, 0, 5, 10, 0, 4, 6, 2, 0, 5, 2, 3, 0, 0.0, 0, 1, 4, 8, 7, 10, 10, 16.67, 66.67, 75.0, 83.296875, 100.0, 100.0, 80, 50.0, 83.296875, 0.0, 50.0, 20.0, 30.0, 0.0, 0.0, 0.0, 0.0, 40.0, 10.0, 60.0, 40.0, 4.0, 2.0, 48.0, 20.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 75.0, "8631", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8631&g_ta_cod=8631", 0.0, 42.0, 58.0),
(42, "Public", "9741186W", "Lycée de Trois Bassins", "974", "La Réunion", "La Réunion", "La Réunion", "Les Trois-Bassins", "formation sélective", "BTS", "Lycée de Trois Bassins - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 14, 193, 17, 193, 0, 22, 12, 63, 27, 74, 49, 34, 0, 0, 0, 0, 0, 155, 0, 0, 0, 13, 5, 50, 20, 74, 49, 18, 32, 13, 0, 13, 0, 4.0, 13.0, 13.0, 0, 8, 13, 2, 5, 6, 0, 0, 5, 3, 5, 0, 0.0, 0, 2, 6, 10, 0, 13, 13, 30.77, 100.0, 100.0, 0.0, 100.0, 100.0, 76.890625, 61.5, 100.0, 0.0, 38.5, 23.09765625, 38.5, 0.0, 0.0, 15.3984375, 0.0, 38.5, 15.3984375, 46.1953125, 46.1953125, 6.0, 2.0, 9.0, 8.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 22.0, "16185", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16185&g_ta_cod=16185", 15.0, 38.0, 46.0),
(43, "Public", "0310028M", "Lycée Vincent Auriol", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Revel", "formation sélective", "BTS", "Lycée Vincent Auriol - BTS - Production - Développement et Réalisation Bois", "BTS - Production", "", 15, 191, 31, 191, 0, 23, 3, 43, 10, 92, 28, 33, 0, 0, 0, 0, 0, 176, 0, 0, 0, 19, 2, 43, 10, 92, 28, 22, 59, 14, 2, 14, 0, 3.0, 10.0, 13.0, 0, 4, 14, 3, 3, 8, 0, 0, 3, 6, 4, 1, 0.0, 1, 2, 8, 0, 0, 8, 8, 21.43, 71.43, 92.86, 14.298828125, 57.09375, 57.09375, 0, 28.59765625, 100.0, 0.0, 21.3984375, 42.8984375, 28.59765625, 7.1, 0.0, 21.3984375, 7.099609375, 21.3984375, 14.298828125, 57.09375, 57.09375, 12.0, 2.0, 24.0, 6.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 40.0, "4033", "BTS - Production - Développement et Réalisation Bois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4033&g_ta_cod=4033", 21.0, 21.0, 57.0),
(44, "Privé sous contrat d'association", "0442774B", "LGT SAINT FELIX - LA SALLE", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LGT SAINT FELIX - LA SALLE - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 13, 171, 20, 164, 0, 3, 0, 40, 2, 83, 14, 38, 7, 0, 0, 5, 2, 164, 1, 0, 0, 3, 0, 40, 2, 83, 14, 38, 91, 10, 0, 9, 1, 0.0, 4.0, 7.0, 0, 1, 5, 0, 1, 4, 5, 0, 2, 2, 1, 0, 0.0, 0, 0, 3, 1, 0, 5, 5, 0.0, 40.0, 70.0, 0.0, 100.0, 100.0, 20, 20.0, 50.0, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 60.0, 1.0, 0.0, 49.0, 8.0, 16.0, "Tous les candidats sauf les Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 86, "", 0, "Liste d'appel propre à cette formation", 85.0, "5513", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5513&g_ta_cod=5513", 30.0, 30.0, 40.0),
(45, "Public", "9740082W", "Lycée professionnel Rontaunay", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "Autre formation", "Lycée professionnel Rontaunay - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 106, 37, 93, 0, 6, 2, 16, 7, 62, 46, 9, 13, 2, 2, 4, 5, 47, 4, 0, 0, 4, 0, 13, 4, 27, 21, 3, 41, 14, 4, 11, 3, 3.0, 10.0, 11.0, 0, 8, 14, 1, 6, 7, 0, 0, 11, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 14, 14, 21.43, 71.43, 78.57, 28.59765625, 100.0, 100.0, 0, 57.09375, 100.0, 0.0, 78.59375, 21.3984375, 0.0, 0.0, 0.0, 7.099609375, 0.0, 42.8984375, 0.0, 50.0, 21.3984375, 3.0, 0.0, 21.0, 16.0, 2.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "26232", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26232&g_ta_cod=26232", 7.0, 43.0, 50.0),
(46, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Philosophie", "Licence - Sciences humaines et sociales", "", 285, 1235, 678, 986, 0, 556, 83, 24, 6, 13, 3, 393, 249, 64, 18, 9, 158, 983, 238, 0, 0, 556, 83, 24, 6, 13, 3, 390, 1092, 282, 138, 178, 104, 31.0, 176.0, 214.0, 0, 24, 129, 112, 9, 8, 153, 3, 46, 44, 22, 12, 2.0, 74, 5, 1, 0, 0, 25, 99, 10.99, 62.41, 75.89, 48.8984375, 19.3984375, 76.6875, 0, 18.59765625, 45.6953125, 2.2998046875, 35.6953125, 34.09375, 17.09765625, 9.3, 1.6, 86.796875, 57.3984375, 7.0, 3.89990234375, 6.19921875, 0.7999267578125, 557.0, 91.0, 18.0, 8.0, 481.0, "Tous les candidats", 983.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9212", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9212&g_ta_cod=9212", 81.0, 12.0, 5.0),
(47, "Public", "0511026N", "Institut Universitaire de Technologie de Reims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BUT", "Institut Universitaire de Technologie de Reims - BUT - Packaging, emballage et conditionnement", "BUT - Production", "", 50, 301, 158, 301, 0, 133, 13, 92, 14, 1, 1, 75, 0, 0, 0, 0, 0, 208, 0, 0, 0, 119, 11, 49, 4, 0, 0, 40, 141, 47, 29, 47, 0, 23.0, 43.0, 47.0, 0, 3, 41, 28, 13, 0, 6, 0, 11, 23, 4, 3, 0.0, 20, 10, 0, 0, 0, 23, 23, 48.94, 91.49, 100.0, 61.6953125, 56.09375, 56.09375, 0, 7.2998046875, 87.1875, 0.0, 26.796875, 56.09375, 9.798828125, 7.3, 0.0, 68.296875, 48.796875, 31.69921875, 24.3984375, 0.0, 0.0, 76.0, 9.0, 0.0, 0.0, 28.0, "Tous les candidats sauf les Bac technologiques", 140.0, "Bacheliers technologiques toutes séries", 62, "", 0, "Liste d'appel propre à cette formation", 67.0, "6093", "BUT - Packaging, emballage et conditionnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6093&g_ta_cod=6093", 62.0, 38.0, 0.0),
(48, "Public", "9711082Z", "Lycée Nord Grande Terre", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Port-Louis", "formation sélective", "Autre formation", "Lycée Nord Grande Terre - Mention complémentaire - FCIL Technicien de prise en charge de la personne âgée non autonome option maladie d'alzheimer", "Mention complémentaire", "", 15, 43, 37, 43, 0, 0, 0, 3, 3, 37, 30, 3, 0, 0, 0, 0, 0, 33, 0, 0, 0, 0, 0, 0, 0, 32, 27, 1, 31, 14, 13, 14, 0, 8.0, 12.0, 13.0, 0, 10, 13, 0, 0, 13, 1, 0, 8, 5, 0, 0, 0.0, 0, 0, 5, 0, 0, 13, 13, 57.14, 85.71, 92.86, 92.890625, 100.0, 100.0, 0, 76.890625, 92.890625, 0.0, 61.5, 38.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 38.5, 0.0, 0.0, 30.0, 25.0, 1.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "30704", "Mention complémentaire - FCIL Technicien de prise en charge de la personne âgée non autonome option maladie d'alzheimer", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30704&g_ta_cod=30704", 0.0, 0.0, 100.0),
(49, "Privé sous contrat d'association", "0441946B", "Ecole Sup. ENSEC", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Ecole Sup. ENSEC - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 18, 655, 328, 655, 0, 188, 24, 258, 44, 115, 30, 94, 0, 0, 0, 0, 0, 324, 0, 0, 0, 127, 12, 130, 13, 57, 14, 10, 54, 19, 9, 19, 0, 5.0, 16.0, 19.0, 0, 2, 17, 9, 6, 2, 2, 0, 5, 9, 3, 0, 0.0, 5, 5, 2, 0, 0, 17, 17, 26.32, 84.21, 100.0, 47.3984375, 100.0, 100.0, 0, 11.798828125, 89.5, 0.0, 29.3984375, 52.8984375, 17.59765625, 0.0, 0.0, 52.8984375, 29.3984375, 35.296875, 29.3984375, 11.798828125, 11.798828125, 20.0, 3.0, 11.0, 2.0, 5.0, "Tous les candidats sauf les Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 12.0, "5598", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5598&g_ta_cod=5598", 53.0, 32.0, 16.0),
(50, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Psychologie et sciences cognitives", "Licence - Sciences humaines et sociales", "Psychologie et sciences cognitives", 435, 7409, 6349, 7409, 0, 3965, 822, 633, 197, 147, 62, 2664, 0, 0, 0, 0, 0, 7409, 0, 0, 0, 3965, 822, 633, 197, 147, 62, 2664, 1740, 459, 413, 459, 0, 76.0, 344.0, 411.0, 0, 77, 385, 318, 51, 16, 74, 2, 39, 215, 110, 18, 1.0, 288, 42, 14, 0, 0, 291, 291, 16.56, 74.95, 89.54, 90.0, 75.59375, 75.59375, 0, 20.0, 83.890625, 0.5, 10.099609375, 55.796875, 28.59765625, 4.7, 0.3, 82.59375, 74.796875, 13.19921875, 10.8984375, 4.19921875, 3.599609375, 1214.0, 221.0, 39.0, 17.0, 331.0, "Tous les candidats", 2352.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "17850", "Licence - Portail Psychologie et sciences cognitives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27206&g_ta_cod=17850", 82.0, 13.0, 5.0),
(51, "Public", "0060034E", "Lycée des Métiers - Hôtelier et Tourisme Paul Augier", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Autre formation", "Lycée des Métiers - Hôtelier et Tourisme Paul Augier - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 36, 459, 262, 413, 0, 165, 25, 65, 13, 21, 4, 162, 46, 9, 6, 4, 27, 145, 8, 0, 0, 110, 14, 21, 4, 0, 0, 14, 124, 32, 17, 28, 4, 11.0, 28.0, 31.0, 0, 4, 24, 19, 5, 0, 8, 1, 7, 11, 5, 0, 0.0, 13, 3, 0, 0, 0, 13, 13, 34.38, 87.5, 96.88, 53.09375, 54.1953125, 54.1953125, 0, 16.69921875, 75.0, 4.19921875, 29.19921875, 45.796875, 20.796875, 0.0, 0.0, 79.1875, 54.1953125, 20.796875, 12.5, 0.0, 0.0, 92.0, 13.0, 0.0, 0.0, 16.0, "Tous les candidats", 146.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "2220", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2220&g_ta_cod=2220", 81.0, 19.0, 0.0),
(52, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail Histoire / Histoire de l'Art et Archéologie", "Licence - Sciences humaines et sociales", "Histoire / Histoire de l'Art et Archéologie : Histoire", 90, 494, 301, 413, 0, 268, 47, 29, 12, 11, 6, 105, 81, 26, 8, 3, 44, 413, 79, 0, 0, 268, 47, 29, 12, 11, 6, 105, 492, 73, 43, 54, 19, 54.0, 54.0, 67.0, 0, 11, 51, 41, 10, 0, 22, 0, 17, 16, 16, 1, 1.0, 31, 3, 0, 0, 0, 42, 42, 73.97, 73.97, 91.78, 58.8984375, 82.390625, 82.390625, 0, 21.59765625, 69.890625, 0.0, 33.296875, 31.3984375, 31.3984375, 2.0, 2.0, 80.390625, 60.796875, 19.59765625, 5.8994140625, 0.0, 0.0, 294.0, 53.0, 14.0, 7.0, 147.0, "Tous les candidats", 546.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23324", "Licence - Portail Histoire / Histoire de l'Art et Archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23322&g_ta_cod=23324", 78.0, 16.0, 5.0),
(53, "Public", "0681689S", "IFSI Rouffach", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Rouffach", "formation sélective", "IFSI", "Regroupement d'IFSI Université Strasbourg - D.E Infirmier", "D.E secteur sanitaire", "", 43, 2751, 2304, 2751, 0, 463, 90, 537, 161, 301, 106, 1450, 0, 0, 0, 0, 0, 2371, 0, 0, 0, 445, 83, 468, 132, 209, 65, 1249, 661, 46, 39, 46, 0, 0.0, 21.0, 36.0, 0, 8, 28, 15, 6, 7, 18, 0, 8, 13, 6, 1, 0.0, 9, 6, 5, 0, 0, 26, 26, 0.0, 45.65, 78.26, 84.796875, 92.890625, 92.890625, 0, 28.59765625, 60.8984375, 0.0, 28.59765625, 46.3984375, 21.3984375, 3.6, 0.0, 53.59375, 32.09375, 21.3984375, 21.3984375, 25.0, 17.8984375, 186.0, 34.0, 30.0, 16.0, 352.0, "Tous les candidats", 1832.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "23246", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23000&g_ta_cod=23246", 57.0, 15.0, 24.0),
(54, "Public", "0460007H", "Lycée Clement Marot", "46", "Lot", "Occitanie", "Toulouse", "Cahors", "formation sélective", "BTS", "Lycée Clement Marot - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 18, 257, 112, 257, 0, 17, 3, 79, 33, 102, 36, 59, 0, 0, 0, 0, 0, 257, 0, 0, 0, 17, 3, 79, 33, 102, 36, 59, 76, 18, 7, 18, 0, 2.0, 12.0, 14.0, 0, 5, 14, 1, 6, 7, 4, 0, 5, 6, 2, 1, 0.0, 0, 3, 6, 4, 1, 11, 11, 11.11, 66.67, 77.78, 38.8984375, 78.59375, 78.59375, 28.59765625, 35.6953125, 77.796875, 0.0, 35.6953125, 42.8984375, 14.298828125, 7.1, 0.0, 7.099609375, 0.0, 42.8984375, 21.3984375, 50.0, 42.8984375, 8.0, 2.0, 35.0, 13.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 50.0, "5740", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5740&g_ta_cod=5740", 11.0, 39.0, 50.0),
(55, "Public", "0760072R", "Lycée Guillaume Le Conquérant", "76", "Seine-Maritime", "Normandie", "Normandie", "Lillebonne", "formation sélective", "BTS", "Lycée Guillaume Le Conquérant - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 186, 103, 177, 0, 16, 4, 56, 16, 31, 14, 74, 9, 0, 1, 0, 8, 142, 5, 0, 0, 16, 4, 56, 16, 31, 14, 39, 112, 29, 16, 25, 4, 9.0, 23.0, 28.0, 0, 6, 17, 0, 8, 9, 12, 1, 5, 4, 7, 0, 0.0, 0, 5, 6, 5, 0, 17, 17, 31.03, 79.31, 96.55, 55.1953125, 100.0, 100.0, 29.3984375, 35.296875, 58.59375, 5.8994140625, 29.3984375, 23.5, 41.1953125, 0.0, 0.0, 0.0, 0.0, 47.09375, 29.3984375, 52.8984375, 35.296875, 7.0, 2.0, 29.0, 13.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 72.0, "9583", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9583&g_ta_cod=9583", 14.0, 52.0, 34.0),
(56, "Public", "0440069L", "LGT Aristide Briand", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BTS", "LGT Aristide Briand - BTS - Services - Support à l'action managériale", "BTS - Services", "", 16, 230, 168, 222, 0, 17, 2, 102, 39, 50, 23, 53, 8, 0, 1, 1, 6, 157, 1, 0, 0, 15, 1, 82, 25, 41, 17, 19, 88, 17, 15, 16, 1, 2.0, 12.0, 16.0, 0, 6, 13, 1, 7, 5, 4, 0, 7, 4, 2, 0, 0.0, 1, 3, 2, 6, 6, 12, 12, 11.76, 70.59, 94.12, 88.1875, 92.296875, 92.296875, 46.1953125, 46.1953125, 76.5, 0.0, 53.796875, 30.796875, 15.3984375, 0.0, 0.0, 7.69921875, 7.69921875, 53.796875, 23.09765625, 38.5, 15.3984375, 9.0, 1.0, 25.0, 8.0, 13.0, "Tous les candidats sauf les Bac professionnels", 106.0, "Bacheliers professionnels toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 65.0, "5465", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5465&g_ta_cod=5465", 12.0, 47.0, 41.0),
(57, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence_Las", "Université de Lorraine - Site de Metz - Licence - Portail Licence 1ère année Portail Sciences de la vie et de l'environnement", "Licence - Sciences - technologies - santé", "Licence 1ère année Portail Sciences de la vie et de l'environnement", 18, 1142, 817, 1142, 0, 739, 123, 60, 15, 4, 2, 339, 0, 0, 0, 0, 0, 1125, 0, 0, 0, 739, 123, 60, 15, 4, 2, 322, 157, 16, 7, 16, 0, 0.0, 8.0, 16.0, 0, 2, 16, 15, 1, 0, 0, 0, 0, 8, 5, 3, 0.0, 15, 1, 0, 0, 0, 16, 16, 0.0, 50.0, 100.0, 43.796875, 100.0, 100.0, 0, 12.5, 100.0, 0.0, 0.0, 50.0, 31.296875, 18.8, 0.0, 93.796875, 93.796875, 6.2998046875, 6.2998046875, 0.0, 0.0, 135.0, 22.0, 0.0, 0.0, 21.0, "Tous les candidats", 608.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "26941", "Licence - Portail Licence 1ère année Portail Sciences de la vie et de l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26940&g_ta_cod=26941", 94.0, 6.0, 0.0),
(58, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues scandinaves", "Licence - Arts-lettres-langues", "Langues scandinaves", 40, 98, 60, 70, 0, 44, 4, 3, 1, 1, 0, 22, 28, 3, 2, 3, 20, 70, 28, 0, 0, 44, 4, 3, 1, 1, 0, 22, 96, 18, 10, 8, 10, 6.0, 8.0, 14.0, 0, 2, 6, 2, 2, 2, 12, 0, 1, 3, 2, 0, 0.0, 1, 2, 2, 0, 0, 3, 3, 33.33, 44.44, 77.78, 55.59375, 50.0, 50.0, 0, 33.296875, 33.296875, 0.0, 16.69921875, 50.0, 33.296875, 0.0, 0.0, 33.296875, 16.69921875, 33.296875, 33.296875, 33.296875, 33.296875, 46.0, 5.0, 4.0, 2.0, 41.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7083", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues scandinaves", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7083&g_ta_cod=7083", 56.0, 28.0, 17.0),
(59, "Public", "0594366A", "IUT Tourcoing Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BUT", "IUT Tourcoing Université de Lille - BUT - Information communication Parcours communication des organisations", "BUT - Service", "", 58, 1470, 1114, 1470, 0, 873, 139, 230, 77, 11, 3, 356, 0, 0, 0, 0, 0, 611, 0, 0, 0, 265, 31, 149, 47, 0, 0, 197, 203, 56, 46, 56, 0, 13.0, 49.0, 54.0, 0, 8, 38, 25, 13, 0, 18, 0, 3, 7, 21, 7, 0.0, 25, 10, 0, 0, 0, 21, 21, 23.21, 87.5, 96.43, 82.09375, 55.296875, 55.296875, 0, 21.09765625, 67.890625, 0.0, 7.8994140625, 18.3984375, 55.296875, 18.4, 0.0, 65.796875, 65.796875, 34.1953125, 26.296875, 0.0, 0.0, 85.0, 14.0, 0.0, 0.0, 47.0, "Tous les candidats sauf les Bac technologiques", 171.0, "Bacheliers technologiques toutes séries", 136, "", 0, "Liste d'appel propre à cette formation", 21.0, "7112", "BUT - Information communication Parcours communication des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7112&g_ta_cod=7112", 57.0, 39.0, 2.0),
(60, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Arts - Parcours Design", "Licence - Arts-lettres-langues", "Design", 160, 1865, 1401, 1865, 0, 994, 196, 298, 74, 86, 28, 487, 0, 0, 0, 0, 0, 1864, 0, 0, 0, 994, 196, 298, 74, 86, 28, 486, 702, 159, 130, 159, 0, 10.0, 110.0, 135.0, 0, 21, 106, 80, 13, 13, 53, 1, 11, 48, 40, 6, 0.0, 73, 9, 12, 0, 0, 46, 46, 6.29, 69.18, 84.91, 81.796875, 43.3984375, 43.3984375, 0, 19.796875, 66.6875, 0.89990234375, 10.3984375, 45.296875, 37.6953125, 5.7, 0.0, 75.5, 68.890625, 12.298828125, 8.5, 12.298828125, 11.298828125, 400.0, 75.0, 39.0, 11.0, 164.0, "Tous les candidats", 985.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "8025", "Licence - Arts - Parcours Design", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8025&g_ta_cod=8025", 79.0, 11.0, 10.0),
(61, "Public", "0693565A", "I.U.T Jean Moulin de l'Université Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "BUT", "I.U.T Jean Moulin de l'Université Lyon 3 - BUT - Gestion administrative et commerciale des organisations Parcours : Management responsable de projet et des organisations - Management des fonctions supports", "BUT - Service", "Management responsable de projet et des organisations - Management des fonctions supports", 118, 3361, 1956, 3361, 0, 1861, 257, 1118, 304, 19, 8, 363, 0, 0, 0, 0, 0, 1538, 0, 0, 0, 947, 114, 478, 93, 2, 1, 111, 537, 121, 93, 121, 0, 54.0, 121.0, 121.0, 0, 26, 119, 64, 55, 0, 2, 0, 1, 50, 60, 8, 0.0, 64, 54, 0, 0, 0, 54, 54, 44.63, 100.0, 100.0, 76.890625, 45.3984375, 45.3984375, 0, 21.796875, 98.296875, 0.0, 0.7999267578125, 42.0, 50.3984375, 6.7, 0.0, 53.796875, 53.796875, 46.1953125, 45.3984375, 0.0, 0.0, 317.0, 62.0, 1.0, 1.0, 28.0, "Tous les candidats sauf les Bac technologiques", 389.0, "Bacheliers technologiques toutes séries", 240, "", 0, "Liste d'appel propre à cette formation", 19.0, "8581", "BUT - Gestion administrative et commerciale des organisations Parcours : Management responsable de projet et des organisations - Management des fonctions supports", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8581&g_ta_cod=8581", 54.0, 46.0, 0.0),
(62, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Licence", "Université Bordeaux Montaigne - Licence - Arts du spectacle - Parcours Licence 1 Cinéma et audiovisuel", "Licence - Arts-lettres-langues", "Licence 1 Cinéma et audiovisuel", 80, 2060, 1130, 2060, 0, 1330, 289, 92, 30, 58, 17, 580, 0, 0, 0, 0, 0, 2060, 0, 0, 0, 1330, 289, 92, 30, 58, 17, 580, 409, 77, 47, 77, 0, 4.0, 59.0, 71.0, 0, 15, 55, 52, 3, 0, 22, 1, 2, 20, 27, 4, 1.0, 49, 3, 0, 0, 0, 35, 35, 5.19, 76.62, 92.21, 61.0, 63.59375, 63.59375, 0, 27.296875, 71.390625, 1.7998046875, 3.599609375, 36.3984375, 49.09375, 7.3, 1.8, 94.5, 89.09375, 5.5, 5.5, 0.0, 0.0, 303.0, 61.0, 0.0, 0.0, 96.0, "Tous les candidats", 605.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "4406", "Licence - Arts du spectacle - Parcours Licence 1 Cinéma et audiovisuel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4406&g_ta_cod=4406", 90.0, 10.0, 0.0),
(63, "Public", "0753021B", "IFSI Pitié Salpetrière (AP-HP)", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "IFSI", "Regroupement d'IFSI Médecine Sorbonne Université P6 - D.E Infirmier", "D.E secteur sanitaire", "", 274, 11304, 9885, 11304, 0, 1581, 441, 1876, 707, 1354, 654, 6493, 0, 0, 0, 0, 0, 9608, 0, 0, 0, 1540, 425, 1755, 655, 1263, 615, 5050, 1077, 246, 218, 246, 0, 32.0, 150.0, 211.0, 0, 48, 51, 12, 18, 21, 195, 0, 1, 16, 26, 8, 0.0, 12, 18, 20, 0, 0, 9, 48, 13.01, 60.98, 85.77, 88.59375, 17.59765625, 94.09375, 0, 94.09375, 20.69921875, 0.0, 2.0, 31.3984375, 51.0, 15.7, 0.0, 23.5, 23.5, 35.296875, 35.296875, 41.1953125, 39.1953125, 83.0, 73.0, 51.0, 48.0, 904.0, "Tous les candidats", 1541.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "23282", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23003&g_ta_cod=23282", 59.0, 28.0, 13.0),
(64, "Public", "0020012C", "Lycée Jean De La Fontaine", "02", "Aisne", "Hauts-de-France", "Amiens", "Château-Thierry", "formation sélective", "BTS", "Lycée Jean De La Fontaine - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 176, 79, 155, 0, 26, 6, 25, 7, 39, 16, 65, 21, 0, 0, 16, 5, 113, 4, 0, 0, 26, 6, 25, 7, 31, 13, 31, 72, 16, 8, 13, 2, 3.0, 11.0, 14.0, 0, 5, 14, 3, 5, 6, 2, 0, 8, 4, 2, 0, 0.0, 0, 5, 1, 9, 6, 11, 11, 18.75, 68.75, 87.5, 50.0, 78.59375, 78.59375, 64.296875, 35.6953125, 87.5, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 21.3984375, 0.0, 35.6953125, 35.6953125, 42.8984375, 7.099609375, 17.0, 4.0, 31.0, 11.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 54.0, "2041", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2041&g_ta_cod=2041", 31.0, 31.0, 38.0),
(65, "Privé sous contrat d'association", "0690522T", "Lycée Aux Lazaristes", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée Aux Lazaristes - CPGE - MPSI", "Classe préparatoire scientifique", "", 55, 3508, 1060, 3508, 2881, 3239, 209, 0, 0, 0, 0, 269, 0, 0, 0, 0, 0, 966, 0, 869, 935, 960, 45, 0, 0, 0, 0, 6, 267, 59, 13, 59, 0, 9.0, 51.0, 57.0, 32, 0, 59, 59, 0, 0, 0, 0, 0, 0, 0, 25, 34.0, 59, 0, 0, 3, 2, 23, 23, 15.25, 86.44, 96.61, 22.0, 39.0, 39.0, 5.099609375, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 42.4, 57.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 267.0, 11.0, 0.0, 0.0, 0.0, "Tous les candidats", 392.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "8291", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8291&g_ta_cod=8291", 100.0, 0.0, 0.0),
(66, "Public", "0170145R", "I.U.T. La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BUT", "I.U.T. La Rochelle - BUT - Génie biologique parcours biologie médicale et biotechnologie", "BUT - Production", "", 59, 2247, 1617, 2247, 0, 1351, 120, 429, 77, 5, 0, 462, 0, 0, 0, 0, 0, 1097, 0, 0, 0, 740, 53, 282, 46, 0, 0, 75, 181, 61, 43, 61, 0, 42.0, 52.0, 58.0, 0, 6, 52, 30, 22, 0, 9, 0, 1, 10, 28, 13, 0.0, 29, 22, 0, 0, 0, 15, 15, 68.85, 85.25, 95.08, 70.5, 28.796875, 28.796875, 0, 11.5, 85.1875, 0.0, 1.89990234375, 19.19921875, 53.796875, 25.0, 0.0, 57.6953125, 55.796875, 42.296875, 42.296875, 0.0, 0.0, 98.0, 11.0, 0.0, 0.0, 20.0, "Tous les candidats sauf les Bac technologiques", 122.0, "Bacheliers technologiques toutes séries", 102, "", 0, "Liste d'appel propre à cette formation", 10.0, "3056", "BUT - Génie biologique parcours biologie médicale et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3056&g_ta_cod=3056", 61.0, 39.0, 0.0),
(67, "Public", "0870118F", "Lycée Raoul Dautry", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée Raoul Dautry - BTS - Production - Pilotage des procédés", "BTS - Production", "", 13, 111, 29, 101, 0, 7, 0, 22, 5, 29, 14, 43, 10, 0, 1, 4, 5, 51, 3, 0, 0, 6, 0, 17, 4, 18, 8, 10, 42, 12, 3, 10, 2, 2.0, 10.0, 10.0, 0, 2, 7, 2, 3, 2, 5, 0, 4, 2, 1, 0, 0.0, 0, 1, 2, 3, 1, 7, 7, 16.67, 83.33, 83.33, 25.0, 100.0, 100.0, 42.8984375, 28.59765625, 58.296875, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 28.59765625, 0.0, 42.8984375, 14.298828125, 28.59765625, 28.59765625, 4.0, 0.0, 14.0, 4.0, 10.0, "Tous les candidats sauf les Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 50.0, "19986", "BTS - Production - Pilotage des procédés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19986&g_ta_cod=19986", 42.0, 25.0, 33.0),
(68, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Hongrois", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères, parcours Europe - Hongrois", 10, 14, 3, 7, 0, 5, 2, 0, 0, 0, 0, 2, 7, 0, 0, 0, 7, 7, 5, 0, 0, 5, 2, 0, 0, 0, 0, 2, 12, 4, 0, 0, 4, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5.0, 2.0, 0.0, 0.0, 7.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9440", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Hongrois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29641&g_ta_cod=9440", 100.0, 0.0, 0.0),
(69, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Licence", "Université de Strasbourg - Licence - Double diplôme - Licence Droit - Double-diplôme franco-italien en droit Université de Strasbourg /Université de Ferrara", "Licence - Droit-économie-gestion", "Double-diplôme franco-italien en droit Université de Strasbourg /Université de Ferrara", 5, 85, 69, 68, 0, 55, 19, 3, 2, 0, 0, 10, 17, 5, 2, 1, 9, 42, 2, 0, 0, 38, 14, 0, 0, 0, 0, 4, 23, 5, 4, 3, 2, 0.0, 3.0, 3.0, 0, 0, 2, 2, 0, 0, 3, 0, 0, 0, 2, 0, 0.0, 2, 0, 0, 0, 0, 1, 1, 0.0, 60.0, 60.0, 80.0, 50.0, 50.0, 0, 0.0, 40.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 17.0, 6.0, 0.0, 0.0, 6.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "24751", "Licence - Double diplôme - Licence Droit - Double-diplôme franco-italien en droit Université de Strasbourg /Université de Ferrara", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24751&g_ta_cod=24751", 100.0, 0.0, 0.0),
(70, "Public", "0480009Z", "Lycée Emile Peytavin", "48", "Lozère", "Occitanie", "Montpellier", "Mende", "formation sélective", "BTS", "Lycée Emile Peytavin - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 179, 34, 172, 0, 6, 1, 14, 3, 33, 9, 119, 7, 0, 0, 4, 3, 172, 4, 0, 0, 6, 1, 14, 3, 33, 9, 119, 68, 18, 5, 17, 1, 5.0, 9.0, 18.0, 0, 1, 5, 0, 1, 4, 13, 0, 1, 1, 2, 1, 0.0, 0, 1, 3, 1, 0, 5, 5, 27.78, 50.0, 100.0, 27.796875, 100.0, 100.0, 20, 20.0, 27.796875, 0.0, 20.0, 20.0, 40.0, 20.0, 0.0, 0.0, 0.0, 20.0, 20.0, 80.0, 60.0, 2.0, 1.0, 36.0, 12.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 47.0, "5798", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5798&g_ta_cod=5798", 67.0, 6.0, 28.0),
(71, "Public", "0670086E", "Lycée des métiers René Cassin", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée des métiers René Cassin - CPGE - ENS Cachan D2", "Classe préparatoire économique et commerciale", "", 36, 417, 221, 401, 0, 320, 23, 2, 0, 1, 1, 78, 16, 5, 0, 0, 11, 300, 8, 0, 300, 278, 21, 0, 0, 0, 0, 22, 210, 36, 20, 31, 5, 4.0, 29.0, 31.0, 0, 1, 31, 31, 0, 0, 5, 0, 0, 9, 16, 6, 0.0, 31, 0, 0, 0, 0, 27, 27, 11.11, 80.56, 86.11, 55.59375, 87.09375, 87.09375, 0, 3.19970703125, 86.09375, 0.0, 0.0, 29.0, 51.59375, 19.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 187.0, 18.0, 0.0, 0.0, 23.0, "Tous les candidats", 299.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "7944", "CPGE - ENS Cachan D2", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7944&g_ta_cod=7944", 100.0, 0.0, 0.0),
(72, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation non sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Langues étrangères appliquées - Parcours Langues Étrangères Appliquées Anglais Allemand", "Licence - Arts-lettres-langues", "Langues Étrangères Appliquées Anglais Allemand", 60, 258, 181, 194, 0, 105, 24, 24, 6, 9, 3, 56, 64, 16, 10, 2, 36, 192, 61, 0, 0, 105, 24, 24, 6, 9, 3, 54, 243, 60, 45, 32, 28, 7.0, 32.0, 50.0, 0, 6, 30, 18, 12, 0, 30, 0, 12, 15, 3, 0, 0.0, 12, 6, 0, 0, 0, 23, 27, 11.67, 53.33, 83.33, 75.0, 76.6875, 90.0, 0, 20.0, 50.0, 0.0, 40.0, 50.0, 10.0, 0.0, 0.0, 60.0, 40.0, 40.0, 20.0, 0.0, 0.0, 118.0, 30.0, 11.0, 4.0, 82.0, "Tous les candidats", 191.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "11635", "Licence - Langues étrangères appliquées - Parcours Langues Étrangères Appliquées Anglais Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11635&g_ta_cod=11635", 52.0, 35.0, 13.0),
(73, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence_Las", "Université de Paris - Licence - Portail Sciences biomédicales", "Licence - Sciences - technologies - santé", "", 100, 6075, 4656, 6075, 0, 3448, 836, 194, 84, 9, 6, 2424, 0, 0, 0, 0, 0, 6075, 0, 0, 0, 3448, 836, 194, 84, 9, 6, 2424, 877, 100, 79, 100, 0, 2.0, 57.0, 85.0, 0, 17, 97, 97, 0, 0, 3, 0, 2, 27, 56, 11, 1.0, 95, 0, 0, 0, 0, 10, 83, 2.0, 57.0, 85.0, 79.0, 10.298828125, 85.59375, 0, 17.5, 97.0, 0.0, 2.099609375, 27.796875, 57.6953125, 11.3, 1.0, 100.0, 97.890625, 0.0, 0.0, 0.0, 0.0, 838.0, 149.0, 0.0, 0.0, 39.0, "Tous les candidats", 1549.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "28708", "Licence - Portail Sciences biomédicales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28707&g_ta_cod=28708", 100.0, 0.0, 0.0),
(74, "Privé sous contrat d'association", "0690199S", "Ecole Rockefeller", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lyon - D.E Infirmier", "D.E secteur sanitaire", "", 194, 10589, 9012, 10589, 0, 1914, 434, 1681, 485, 1154, 484, 5840, 0, 0, 0, 0, 0, 7921, 0, 0, 0, 1705, 347, 1295, 337, 710, 281, 4211, 1546, 194, 175, 194, 0, 12.0, 100.0, 143.0, 0, 32, 132, 59, 54, 19, 62, 1, 11, 61, 51, 8, 0.0, 52, 49, 19, 0, 0, 76, 76, 6.19, 51.55, 73.71, 90.1875, 57.59375, 57.59375, 0, 24.19921875, 68.0, 0.7999267578125, 8.298828125, 46.1953125, 38.59375, 6.1, 0.0, 44.6953125, 39.3984375, 40.8984375, 37.09375, 14.3984375, 14.3984375, 459.0, 84.0, 132.0, 56.0, 668.0, "Tous les candidats", 2617.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "23163", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23001&g_ta_cod=23163", 57.0, 30.0, 13.0),
(75, "Privé sous contrat d'association", "0312408Z", "Lycée Saliège", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Balma", "formation sélective", "BTS", "Lycée Saliège - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 701, 289, 694, 0, 80, 16, 280, 71, 191, 64, 143, 7, 0, 0, 3, 4, 410, 1, 0, 0, 64, 8, 155, 30, 131, 37, 60, 197, 30, 11, 30, 0, 3.0, 18.0, 26.0, 0, 5, 27, 6, 9, 12, 3, 0, 4, 16, 7, 0, 0.0, 5, 7, 11, 0, 0, 25, 25, 10.0, 60.0, 86.67, 36.6953125, 92.59375, 92.59375, 0, 18.5, 90.0, 0.0, 14.798828125, 59.296875, 25.8984375, 0.0, 0.0, 22.19921875, 18.5, 33.296875, 25.8984375, 44.3984375, 40.6953125, 33.0, 7.0, 69.0, 15.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 87, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 35.0, "4233", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4233&g_ta_cod=4233", 23.0, 33.0, 43.0),
(76, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence", "Université de Perpignan Via Domitia - Licence - Langues étrangères appliquées - Parcours Anglais/Espagnol", "Licence - Arts-lettres-langues", "Anglais/Espagnol", 75, 443, 335, 443, 0, 263, 90, 56, 28, 15, 10, 109, 0, 0, 0, 0, 0, 443, 0, 0, 0, 263, 90, 56, 28, 15, 10, 109, 290, 73, 49, 73, 0, 12.0, 71.0, 71.0, 0, 25, 55, 38, 15, 2, 18, 0, 9, 27, 18, 1, 0.0, 34, 10, 2, 0, 0, 46, 46, 16.44, 97.26, 97.26, 67.09375, 83.59375, 83.59375, 0, 45.5, 75.296875, 0.0, 16.3984375, 49.09375, 32.6953125, 1.8, 0.0, 69.09375, 61.796875, 27.296875, 18.19921875, 3.599609375, 3.599609375, 169.0, 65.0, 4.0, 2.0, 73.0, "Tous les candidats", 405.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "7873", "Licence - Langues étrangères appliquées - Parcours Anglais/Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7873&g_ta_cod=7873", 68.0, 29.0, 3.0),
(77, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "Autre formation", "Université Polytechnique Hauts-de-France - Diplôme d'Université CAES - DU Projet Personnel", "Diplôme d'Université", "DU Projet Personnel", 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 26, 6, 5, 0, 0, 0.0, 0.0, 2.0, 0, 1, 5, 2, 1, 2, 1, 0, 5, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 5, 5, 0.0, 0.0, 33.33, 83.296875, 100.0, 100.0, 0, 20.0, 83.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 40.0, 0.0, 20.0, 0.0, 40.0, 0.0, 8.0, 0.0, 5.0, 2.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25721", "Diplôme d'Université CAES - DU Projet Personnel", "", "", 33.0, 33.0, 33.0),
(78, "Public", "0690274Y", "IUT Lyon1 Site de Villeurbanne Doua", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "BUT", "IUT Lyon1 Site de Villeurbanne Doua - BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Chimie industrielle - Synthèse", "BUT - Production", "Analyse, contrôle-qualité, environnement - Chimie industrielle - Synthèse", 112, 2095, 1204, 2095, 0, 1245, 172, 265, 68, 8, 4, 577, 0, 0, 0, 0, 0, 1572, 0, 0, 0, 1138, 162, 184, 43, 1, 0, 249, 690, 118, 79, 118, 0, 57.0, 103.0, 106.0, 0, 21, 114, 63, 51, 0, 4, 0, 12, 36, 58, 7, 1.0, 62, 40, 0, 0, 0, 57, 57, 48.31, 87.29, 89.83, 66.890625, 50.0, 50.0, 0, 18.3984375, 96.59375, 0.0, 10.5, 31.59765625, 50.8984375, 6.1, 0.9, 55.296875, 54.3984375, 44.6953125, 35.09375, 0.0, 0.0, 469.0, 69.0, 0.0, 0.0, 58.0, "Tous les candidats sauf les Bac technologiques", 592.0, "Bacheliers technologiques toutes séries", 190, "", 0, "Liste d'appel propre à cette formation", 37.0, "8272", "BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Chimie industrielle - Synthèse", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8272&g_ta_cod=8272", 56.0, 44.0, 0.0),
(79, "Public", "0930834B", "Lycée Voillaume", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aulnay-sous-Bois", "formation sélective", "BTS", "Lycée Voillaume - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 105, 1688, 203, 1688, 0, 144, 59, 381, 184, 350, 178, 813, 0, 0, 0, 0, 0, 1688, 0, 0, 0, 144, 59, 381, 184, 350, 178, 813, 295, 96, 8, 96, 0, 25.0, 77.0, 85.0, 0, 38, 75, 7, 36, 32, 21, 0, 27, 31, 17, 0, 0.0, 1, 21, 26, 11, 0, 63, 75, 26.04, 80.21, 88.54, 8.298828125, 84.0, 100.0, 14.69921875, 50.6953125, 78.09375, 0.0, 36.0, 41.296875, 22.69921875, 0.0, 0.0, 9.298828125, 1.2998046875, 48.0, 28.0, 42.6953125, 34.6953125, 19.0, 10.0, 126.0, 66.0, 47.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 174, "Bacheliers technologiques toutes séries", 129, "Liste d'appel propre à cette formation", 21.0, "11216", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11216&g_ta_cod=11216", 20.0, 41.0, 40.0),
(80, "Public", "0510037N", "Lycée professionnel Yser", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée professionnel Yser - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "BTS - Production", "", 15, 271, 43, 269, 0, 60, 7, 48, 5, 64, 14, 97, 2, 1, 0, 0, 1, 183, 0, 0, 0, 58, 6, 48, 5, 64, 14, 13, 78, 13, 3, 13, 0, 3.0, 10.0, 12.0, 0, 1, 12, 2, 3, 7, 1, 0, 4, 4, 3, 1, 0.0, 2, 1, 5, 4, 2, 5, 5, 23.08, 76.92, 92.31, 23.09765625, 41.6953125, 41.6953125, 33.296875, 8.298828125, 92.296875, 0.0, 33.296875, 33.296875, 25.0, 8.3, 0.0, 16.69921875, 16.69921875, 25.0, 8.298828125, 58.296875, 41.6953125, 18.0, 0.0, 40.0, 6.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 52.0, "13424", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13424&g_ta_cod=13424", 15.0, 23.0, 62.0),
(81, "Public", "0090660U", "Université Toulouse 2 - Antenne de Foix", "09", "Ardennes", "Occitanie", "Toulouse", "Foix", "formation non sélective", "Licence", "Université Toulouse 2 - Antenne de Foix - Licence - Sciences sociales - Parcours pluridisciplinaire : histoire, géographie, sociologie, économie", "Licence - Sciences humaines et sociales", "pluridisciplinaire : histoire, géographie, sociologie, économie", 60, 469, 273, 402, 0, 278, 66, 23, 12, 10, 4, 91, 67, 9, 3, 3, 52, 402, 62, 0, 0, 278, 66, 23, 12, 10, 4, 91, 465, 53, 26, 43, 10, 42.0, 43.0, 46.0, 0, 11, 32, 28, 3, 1, 21, 0, 16, 10, 5, 1, 0.0, 14, 1, 1, 0, 0, 19, 19, 79.25, 81.13, 86.79, 49.09375, 59.3984375, 59.3984375, 0, 34.3984375, 60.3984375, 0.0, 50.0, 31.296875, 15.599609375, 3.1, 0.0, 87.5, 43.796875, 9.3984375, 3.099609375, 3.099609375, 3.099609375, 288.0, 68.0, 13.0, 5.0, 138.0, "Tous les candidats", 402.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "18423", "Licence - Sciences sociales - Parcours pluridisciplinaire : histoire, géographie, sociologie, économie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18423&g_ta_cod=18423", 75.0, 19.0, 6.0),
(82, "Public", "0134248X", "Aix-Marseille Université - Site de Marseille Timone", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation non sélective", "PASS", "Aix-Marseille Université - Site de Marseille Timone - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 200, 5053, 3235, 5053, 0, 3839, 765, 167, 73, 38, 17, 1009, 0, 0, 0, 0, 0, 5053, 0, 0, 0, 3839, 765, 167, 73, 38, 17, 1009, 1238, 200, 113, 200, 0, 31.0, 121.0, 180.0, 0, 54, 190, 188, 2, 0, 10, 1, 5, 38, 86, 53, 7.0, 182, 2, 0, 0, 0, 163, 163, 15.5, 60.5, 90.0, 56.5, 85.796875, 85.796875, 0, 28.3984375, 95.0, 0.5, 2.599609375, 20.0, 45.296875, 27.9, 3.7, 98.890625, 95.796875, 1.099853515625, 1.099853515625, 0.0, 0.0, 1148.0, 204.0, 1.0, 1.0, 75.0, "Tous les candidats", 2760.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 41.0, "29261", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27970&g_ta_cod=29261", 99.0, 2.0, 0.0),
(83, "Public", "0520032C", "Lycée professionnel Emile Baudot", "52", "Haute-Marne", "Grand Est", "Reims", "Wassy", "formation sélective", "BTS", "Lycée professionnel Emile Baudot - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 18, 179, 66, 179, 0, 43, 10, 24, 5, 89, 27, 23, 0, 0, 0, 0, 0, 139, 0, 0, 0, 40, 8, 16, 3, 67, 17, 16, 72, 16, 6, 16, 0, 3.0, 11.0, 12.0, 0, 3, 13, 4, 1, 8, 3, 0, 2, 5, 6, 0, 0.0, 3, 0, 8, 4, 1, 8, 8, 18.75, 68.75, 75.0, 37.5, 61.5, 61.5, 30.796875, 23.09765625, 81.296875, 0.0, 15.3984375, 38.5, 46.1953125, 0.0, 0.0, 30.796875, 23.09765625, 7.69921875, 0.0, 61.5, 61.5, 22.0, 5.0, 37.0, 10.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers technologiques toutes séries", 9, "Bacheliers professionnels toutes séries", 33, "Liste d'appel propre à cette formation", 40.0, "29842", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29842&g_ta_cod=29842", 25.0, 6.0, 63.0),
(84, "Public", "0572590F", "Lycée des Métiers Gustave Eiffel", "57", "Moselle", "Grand Est", "Nancy-Metz", "Talange", "formation sélective", "BTS", "Lycée des Métiers Gustave Eiffel - BTS - Production - Enveloppe des bâtiments : conception et réalisation", "BTS - Production", "", 15, 133, 20, 126, 0, 9, 2, 34, 8, 39, 15, 44, 7, 0, 1, 2, 4, 98, 3, 0, 0, 9, 2, 34, 8, 31, 11, 24, 74, 11, 2, 10, 0, 0.0, 10.0, 10.0, 0, 4, 10, 0, 5, 5, 1, 0, 8, 2, 0, 0, 0.0, 0, 0, 2, 2, 0, 8, 8, 0.0, 90.91, 90.91, 18.19921875, 80.0, 80.0, 20, 40.0, 90.890625, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 20.0, 8.0, 2.0, 27.0, 8.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 65.0, "6631", "BTS - Production - Enveloppe des bâtiments : conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6631&g_ta_cod=6631", 9.0, 45.0, 45.0),
(85, "Public", "0380091T", "Lycée Edouard Herriot", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Voiron", "formation sélective", "BTS", "Lycée Edouard Herriot - BTS - Services - Management Commercial Opérationnel (Seconde année possible en apprentissage)", "BTS - Services", "", 34, 445, 212, 445, 0, 31, 7, 202, 58, 139, 47, 73, 0, 0, 0, 0, 0, 445, 0, 0, 0, 31, 7, 202, 58, 139, 47, 73, 176, 28, 13, 28, 0, 1.0, 14.0, 23.0, 0, 6, 25, 1, 13, 11, 3, 0, 10, 10, 5, 0, 0.0, 1, 5, 9, 9, 4, 23, 23, 3.57, 50.0, 82.14, 46.3984375, 92.0, 92.0, 36, 24.0, 89.296875, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 4.0, 4.0, 52.0, 20.0, 44.0, 36.0, 4.0, 2.0, 61.0, 20.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 145, "Liste d'appel propre à cette formation", 52.0, "4955", "BTS - Services - Management Commercial Opérationnel (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4955&g_ta_cod=4955", 4.0, 54.0, 43.0),
(86, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Eurasie - Kurde", "Licence - Arts-lettres-langues", "Eurasie - Kurde", 25, 43, 29, 23, 0, 10, 6, 1, 1, 3, 1, 9, 20, 1, 2, 0, 17, 23, 16, 0, 0, 10, 6, 1, 1, 3, 1, 9, 39, 11, 6, 2, 9, 2.0, 2.0, 4.0, 0, 1, 1, 1, 0, 0, 10, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 18.18, 18.18, 36.36, 54.5, 0.0, 0.0, 0, 100.0, 9.099609375, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 11.0, 7.0, 3.0, 1.0, 23.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9425", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Eurasie - Kurde", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9425&g_ta_cod=9425", 64.0, 9.0, 27.0),
(87, "Public", "0670084C", "Lycée Jean Rostand", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée Jean Rostand - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 1621, 1150, 1621, 1009, 1331, 122, 8, 2, 1, 0, 281, 0, 0, 0, 0, 0, 704, 0, 260, 699, 692, 64, 0, 0, 0, 0, 12, 159, 48, 36, 48, 0, 10.0, 44.0, 46.0, 13, 4, 48, 48, 0, 0, 0, 1, 0, 0, 4, 28, 15.0, 47, 0, 0, 3, 3, 30, 30, 20.83, 91.67, 95.83, 75.0, 62.5, 62.5, 6.2998046875, 8.298828125, 100.0, 2.099609375, 0.0, 0.0, 8.298828125, 58.3, 31.3, 100.0, 97.890625, 0.0, 0.0, 0.0, 0.0, 155.0, 17.0, 0.0, 0.0, 4.0, "Tous les candidats", 225.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "7922", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7922&g_ta_cod=7922", 100.0, 0.0, 0.0),
(88, "Privé sous contrat d'association", "0221593M", "Lycée Pommerit Jaudy", "22", "Côtes-d'armor", "Bretagne", "Rennes", "La Roche-Jaudy", "formation sélective", "BTS", "Lycée Pommerit Jaudy - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 24, 89, 41, 87, 0, 13, 3, 41, 5, 10, 2, 23, 2, 0, 0, 0, 2, 64, 2, 0, 0, 13, 3, 41, 5, 10, 2, 0, 55, 12, 4, 12, 0, 7.0, 12.0, 12.0, 0, 4, 12, 2, 7, 3, 0, 0, 7, 4, 1, 0, 0.0, 1, 3, 1, 3, 1, 11, 11, 58.33, 100.0, 100.0, 33.296875, 91.6875, 91.6875, 25, 33.296875, 100.0, 0.0, 58.296875, 33.296875, 8.298828125, 0.0, 0.0, 16.69921875, 8.298828125, 58.296875, 25.0, 25.0, 8.298828125, 10.0, 3.0, 9.0, 2.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 70.0, "3368", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3368&g_ta_cod=3368", 17.0, 58.0, 25.0),
(89, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Lettres", "Licence - Arts-lettres-langues", "", 230, 888, 681, 680, 0, 475, 88, 25, 6, 22, 12, 158, 208, 29, 23, 13, 143, 680, 198, 0, 0, 475, 88, 25, 6, 22, 12, 158, 878, 150, 117, 91, 59, 89.0, 89.0, 130.0, 0, 29, 81, 65, 8, 8, 69, 2, 31, 27, 13, 8, 0.0, 42, 2, 4, 0, 0, 57, 57, 59.33, 59.33, 86.67, 78.0, 70.390625, 70.390625, 0, 35.796875, 54.0, 2.5, 38.296875, 33.296875, 16.0, 9.9, 0.0, 80.1875, 51.8984375, 9.8984375, 2.5, 9.8984375, 4.8994140625, 504.0, 95.0, 34.0, 22.0, 293.0, "Tous les candidats", 680.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5574", "Licence - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5574&g_ta_cod=5574", 79.0, 7.0, 12.0),
(90, "Public", "0660021P", "Lycée Charles Renouvier", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Prades", "formation sélective", "BTS", "Lycée Charles Renouvier - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 15, 77, 6, 73, 0, 2, 2, 24, 4, 33, 9, 14, 4, 0, 2, 0, 2, 58, 0, 0, 0, 0, 0, 21, 3, 31, 9, 6, 48, 14, 1, 14, 0, 5.0, 13.0, 13.0, 0, 3, 13, 0, 4, 9, 1, 0, 4, 7, 2, 0, 0.0, 0, 2, 7, 11, 1, 13, 13, 35.71, 92.86, 92.86, 7.099609375, 100.0, 100.0, 84.59375, 23.09765625, 92.890625, 0.0, 30.796875, 53.796875, 15.3984375, 0.0, 0.0, 0.0, 0.0, 30.796875, 15.3984375, 69.1875, 53.796875, 0.0, 0.0, 24.0, 6.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 70.0, "7858", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7858&g_ta_cod=7858", 0.0, 29.0, 71.0),
(91, "Public", "0670086E", "Lycée des métiers René Cassin", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée des métiers René Cassin - CPGE - ECT - Option technologique - (en 3 ans, destinée aux bacs professionnels)", "Classe préparatoire économique et commerciale", "(en 3 ans, destinée aux bacs professionnels)", 24, 86, 44, 86, 0, 0, 0, 0, 0, 80, 45, 6, 0, 0, 0, 0, 0, 68, 0, 0, 68, 0, 0, 0, 0, 66, 35, 2, 63, 24, 14, 24, 0, 15.0, 23.0, 24.0, 0, 19, 24, 0, 0, 24, 0, 0, 6, 7, 7, 4, 0.0, 0, 0, 18, 3, 3, 15, 15, 62.5, 95.83, 100.0, 58.296875, 62.5, 62.5, 12.5, 79.1875, 100.0, 0.0, 25.0, 29.19921875, 29.19921875, 16.7, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 61.0, 34.0, 2.0, "Tous les candidats", 67.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "7953", "CPGE - ECT - Option technologique - (en 3 ans, destinée aux bacs professionnels)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7953&g_ta_cod=7953", 0.0, 0.0, 100.0),
(92, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Portail Sciences pour la santé", "Licence - Sciences - technologies - santé", "", 155, 2785, 2072, 2735, 0, 1343, 300, 93, 37, 5, 4, 1294, 50, 16, 2, 3, 29, 2396, 22, 0, 0, 1244, 268, 53, 20, 0, 0, 1099, 1362, 125, 95, 109, 16, 46.0, 54.0, 79.0, 0, 9, 24, 24, 0, 0, 101, 0, 6, 8, 4, 5, 1.0, 18, 0, 0, 0, 0, 17, 17, 36.8, 43.2, 63.2, 76.0, 70.796875, 70.796875, 0, 37.5, 19.19921875, 0.0, 25.0, 33.296875, 16.69921875, 20.8, 4.2, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 636.0, 139.0, 0.0, 0.0, 696.0, "Tous les candidats", 2729.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 64.0, "15007", "Licence - Portail Sciences pour la santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28997&g_ta_cod=15007", 97.0, 2.0, 1.0),
(93, "Public", "0624062D", "IUT LITTORAL (SAINT OMER)", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Omer", "formation sélective", "BUT", "IUT LITTORAL (SAINT OMER) - BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "BUT - Production", "Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", 28, 212, 16, 179, 0, 85, 7, 61, 13, 4, 0, 29, 33, 7, 0, 2, 24, 124, 14, 0, 0, 68, 5, 40, 8, 0, 0, 16, 115, 7, 2, 1, 6, 0.0, 1.0, 7.0, 0, 2, 3, 2, 1, 0, 4, 0, 1, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 1, 1, 0.0, 14.29, 100.0, 28.59765625, 33.296875, 33.296875, 0, 66.6875, 42.8984375, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 58.0, 7.0, 0.0, 0.0, 22.0, "Tous les candidats sauf les Bac technologiques", 82.0, "Bacheliers technologiques toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 69.0, "7529", "BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7529&g_ta_cod=7529", 86.0, 14.0, 0.0),
(94, "Public", "0450042B", "Lycée des Métiers Durzy", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Villemandeur", "formation sélective", "BTS", "Lycée des Métiers Durzy - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 103, 9, 93, 0, 7, 3, 43, 10, 18, 6, 25, 10, 0, 1, 6, 3, 62, 8, 0, 0, 6, 2, 39, 10, 14, 3, 3, 61, 17, 0, 12, 5, 4.0, 12.0, 13.0, 0, 5, 15, 0, 10, 5, 2, 0, 7, 6, 2, 0, 0.0, 0, 6, 2, 10, 0, 15, 15, 23.53, 70.59, 76.47, 0.0, 100.0, 100.0, 66.6875, 33.296875, 88.1875, 0.0, 46.6953125, 40.0, 13.298828125, 0.0, 0.0, 0.0, 0.0, 66.6875, 40.0, 33.296875, 13.298828125, 4.0, 1.0, 19.0, 5.0, 5.0, "Tous les candidats sauf les Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 66.0, "5647", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5647&g_ta_cod=5647", 6.0, 59.0, 35.0),
(95, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 150, 1603, 1424, 1603, 0, 850, 192, 142, 46, 50, 25, 561, 0, 0, 0, 0, 0, 1603, 0, 0, 0, 850, 192, 142, 46, 50, 25, 561, 546, 149, 137, 149, 0, 30.0, 130.0, 135.0, 0, 28, 88, 69, 14, 5, 61, 0, 7, 39, 35, 7, 0.0, 64, 12, 5, 0, 0, 61, 61, 20.13, 87.25, 90.6, 91.890625, 69.296875, 69.296875, 0, 31.796875, 59.09375, 0.0, 8.0, 44.296875, 39.796875, 8.0, 0.0, 78.390625, 72.6875, 15.8984375, 13.599609375, 5.69921875, 5.69921875, 269.0, 63.0, 26.0, 13.0, 202.0, "Tous les candidats", 709.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "15197", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15197&g_ta_cod=15197", 73.0, 17.0, 9.0),
(96, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - Licence - Double diplôme - Licence Droit -  Double diplôme Licence de Droit - DU Droit du climat et du développement durable.", "Licence - Droit-économie-gestion", "Double diplôme Licence de Droit - DU Droit du climat et du développement durable.", 20, 267, 205, 267, 0, 194, 21, 11, 3, 0, 0, 62, 0, 0, 0, 0, 0, 251, 0, 0, 0, 189, 21, 10, 3, 0, 0, 52, 109, 16, 11, 16, 0, 2.0, 11.0, 16.0, 0, 3, 13, 13, 0, 0, 3, 0, 2, 5, 4, 2, 0.0, 11, 0, 0, 0, 0, 5, 5, 12.5, 68.75, 100.0, 68.796875, 38.5, 38.5, 0, 23.09765625, 81.296875, 0.0, 15.3984375, 38.5, 30.796875, 15.4, 0.0, 100.0, 84.59375, 0.0, 0.0, 0.0, 0.0, 91.0, 8.0, 0.0, 0.0, 18.0, "Tous les candidats", 171.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "25444", "Licence - Double diplôme - Licence Droit -  Double diplôme Licence de Droit - DU Droit du climat et du développement durable.", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25444&g_ta_cod=25444", 100.0, 0.0, 0.0),
(97, "Public", "0171325Y", "IFSI Rochefort", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Rochefort", "formation sélective", "IFSI", "Regroupement d'IFSI Université Poitiers - D.E Infirmier", "D.E secteur sanitaire", "", 47, 3643, 3126, 3643, 0, 741, 106, 614, 130, 466, 124, 1822, 0, 0, 0, 0, 0, 2385, 0, 0, 0, 505, 67, 461, 87, 375, 92, 1044, 519, 47, 44, 47, 0, 1.0, 10.0, 40.0, 0, 7, 27, 5, 10, 12, 20, 0, 0, 15, 10, 2, 0.0, 5, 10, 12, 0, 0, 17, 17, 2.13, 21.28, 85.11, 93.59375, 63.0, 63.0, 0, 25.8984375, 57.3984375, 0.0, 0.0, 55.59375, 37.0, 7.4, 0.0, 18.5, 18.5, 37.0, 37.0, 44.3984375, 44.3984375, 40.0, 6.0, 145.0, 43.0, 218.0, "Tous les candidats", 1710.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "23211", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22988&g_ta_cod=23211", 21.0, 38.0, 40.0),
(98, "Privé sous contrat d'association", "0761343X", "Lycée La Chataigneraie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Mesnil-Esnard", "formation sélective", "BTS", "Lycée La Chataigneraie - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 15, 93, 4, 83, 0, 5, 1, 15, 3, 38, 11, 25, 10, 1, 0, 0, 9, 60, 2, 0, 0, 5, 1, 13, 2, 28, 7, 14, 42, 13, 1, 12, 1, 5.0, 11.0, 13.0, 0, 1, 11, 0, 4, 7, 2, 0, 7, 2, 2, 0, 0.0, 0, 0, 4, 6, 0, 11, 11, 38.46, 84.62, 100.0, 7.69921875, 100.0, 100.0, 54.5, 9.099609375, 84.59375, 0.0, 63.59375, 18.19921875, 18.19921875, 0.0, 0.0, 0.0, 0.0, 36.3984375, 0.0, 63.59375, 36.3984375, 3.0, 1.0, 17.0, 4.0, 12.0, "Tous les candidats sauf les Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 61.0, "9643", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9643&g_ta_cod=9643", 8.0, 31.0, 62.0),
(99, "Public", "0180024D", "Lycée Jean Moulin", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Saint-Amand-Montrond", "formation sélective", "BTS", "Lycée Jean Moulin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 19, 225, 101, 170, 0, 17, 4, 64, 13, 56, 25, 33, 55, 0, 36, 6, 13, 98, 6, 0, 0, 14, 3, 42, 7, 34, 16, 8, 78, 16, 6, 14, 1, 6.0, 12.0, 15.0, 0, 8, 15, 3, 6, 6, 1, 0, 6, 7, 1, 1, 0.0, 2, 2, 5, 3, 2, 12, 12, 37.5, 75.0, 93.75, 37.5, 80.0, 80.0, 20, 53.296875, 93.796875, 0.0, 40.0, 46.6953125, 6.69921875, 6.7, 0.0, 20.0, 13.298828125, 40.0, 13.298828125, 40.0, 33.296875, 9.0, 2.0, 23.0, 12.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 58.0, "3103", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3103&g_ta_cod=3103", 19.0, 44.0, 38.0),
(100, "Public", "0511026N", "Institut Universitaire de Technologie de Reims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BUT", "Institut Universitaire de Technologie de Reims - BUT - Gestion logistique et transport", "BUT - Service", "", 56, 514, 117, 438, 0, 164, 18, 101, 35, 41, 23, 132, 76, 11, 19, 2, 44, 305, 27, 0, 0, 156, 15, 69, 19, 17, 9, 63, 254, 54, 8, 40, 14, 7.0, 36.0, 46.0, 0, 8, 39, 19, 17, 3, 15, 0, 21, 15, 3, 0, 0.0, 5, 11, 2, 0, 0, 27, 27, 12.96, 66.67, 85.19, 14.798828125, 69.1875, 69.1875, 0, 20.5, 72.1875, 0.0, 53.796875, 38.5, 7.69921875, 0.0, 0.0, 48.6953125, 12.798828125, 43.59375, 28.19921875, 7.69921875, 5.099609375, 113.0, 17.0, 11.0, 6.0, 58.0, "Tous les candidats sauf les Bac technologiques", 226.0, "Bacheliers technologiques toutes séries", 78, "", 0, "Liste d'appel propre à cette formation", 69.0, "6095", "BUT - Gestion logistique et transport", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6095&g_ta_cod=6095", 57.0, 37.0, 6.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(101, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Licence", "Université Clermont Auvergne - Licence - Etudes européennes et internationales - Parcours Etudes européennes et internationales franco-espagnoles", "Licence - Arts-lettres-langues", "Etudes européennes et internationales franco-espagnoles", 30, 255, 216, 255, 0, 200, 52, 6, 0, 2, 1, 47, 0, 0, 0, 0, 0, 150, 0, 0, 0, 133, 30, 1, 0, 0, 0, 16, 106, 29, 25, 29, 0, 23.0, 27.0, 28.0, 0, 11, 28, 28, 0, 0, 1, 0, 0, 6, 19, 3, 0.0, 28, 0, 0, 0, 0, 9, 9, 79.31, 93.1, 96.55, 86.1875, 32.09375, 32.09375, 0, 39.296875, 96.59375, 0.0, 0.0, 21.3984375, 67.890625, 10.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 99.0, 24.0, 0.0, 0.0, 7.0, "Tous les candidats", 123.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "12224", "Licence - Etudes européennes et internationales - Parcours Etudes européennes et internationales franco-espagnoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12224&g_ta_cod=12224", 100.0, 0.0, 0.0),
(102, "Privé hors contrat", "0190071Z", "Institut Briviste Supérieur Administration et Commerce (Ecole secondaire professionnelle privée)", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BTS", "Institut Briviste Supérieur Administration et Commerce (Ecole secondaire professionnelle privée) - BTS - Services - Support à l'action managériale", "BTS - Services", "", 10, 51, 31, 44, 0, 5, 2, 8, 2, 12, 6, 19, 7, 1, 1, 1, 4, 25, 3, 0, 0, 4, 2, 7, 2, 9, 4, 5, 24, 2, 2, 2, 0, 1.0, 2.0, 2.0, 0, 0, 2, 1, 1, 0, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 50.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 5.0, 2.0, 6.0, 1.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 50.0, "16795", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16795&g_ta_cod=16795", 50.0, 50.0, 0.0),
(103, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Licence", "Université Bordeaux Montaigne - Licence - Arts du spectacle - Parcours Licence 1 Danse", "Licence - Arts-lettres-langues", "Licence 1 Danse", 30, 253, 225, 213, 0, 136, 25, 29, 5, 5, 2, 43, 40, 9, 2, 2, 27, 80, 3, 0, 0, 51, 4, 19, 3, 0, 0, 10, 66, 25, 24, 23, 2, 12.0, 23.0, 25.0, 0, 2, 20, 17, 3, 0, 5, 0, 2, 4, 11, 3, 0.0, 15, 3, 0, 0, 0, 6, 6, 48.0, 92.0, 100.0, 96.0, 30.0, 30.0, 0, 10.0, 80.0, 0.0, 10.0, 20.0, 55.0, 15.0, 0.0, 85.0, 75.0, 15.0, 15.0, 0.0, 0.0, 44.0, 4.0, 0.0, 0.0, 9.0, "Tous les candidats", 79.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "15014", "Licence - Arts du spectacle - Parcours Licence 1 Danse", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15014&g_ta_cod=15014", 80.0, 20.0, 0.0),
(104, "Public", "9741380G", "Lycée de St Paul 4", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Paul", "formation sélective", "BTS", "Lycée de St Paul 4 - BTS - Production - Métiers de l'eau", "BTS - Production", "", 15, 114, 29, 114, 0, 5, 2, 60, 33, 24, 15, 25, 0, 0, 0, 0, 0, 93, 0, 0, 0, 5, 2, 57, 32, 16, 11, 15, 41, 15, 1, 15, 0, 4.0, 14.0, 14.0, 0, 7, 12, 1, 8, 3, 3, 0, 5, 6, 1, 0, 0.0, 0, 4, 3, 4, 0, 12, 12, 26.67, 93.33, 93.33, 6.69921875, 100.0, 100.0, 33.296875, 58.296875, 80.0, 0.0, 41.6953125, 50.0, 8.298828125, 0.0, 0.0, 8.298828125, 0.0, 66.6875, 33.296875, 25.0, 25.0, 3.0, 2.0, 5.0, 3.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 44.0, "23320", "BTS - Production - Métiers de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23320&g_ta_cod=23320", 7.0, 73.0, 20.0),
(105, "Public", "0750707L", "Ecole Nationale De Commerce", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "CPGE", "Ecole Nationale De Commerce - CPGE - ENS Cachan D2", "Classe préparatoire économique et commerciale", "", 48, 1189, 637, 1189, 184, 987, 139, 15, 6, 1, 0, 186, 0, 0, 0, 0, 0, 789, 0, 130, 739, 758, 102, 1, 1, 0, 0, 30, 459, 49, 28, 49, 0, 0.0, 26.0, 47.0, 3, 10, 47, 47, 0, 0, 2, 0, 1, 14, 28, 4, 0.0, 46, 0, 0, 0, 0, 12, 39, 0.0, 53.06, 95.92, 57.09375, 25.5, 83.0, 0, 21.296875, 95.890625, 0.0, 2.099609375, 29.796875, 59.59375, 8.5, 0.0, 100.0, 97.890625, 0.0, 0.0, 0.0, 0.0, 450.0, 54.0, 0.0, 0.0, 9.0, "Tous les candidats", 670.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "9151", "CPGE - ENS Cachan D2", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9151&g_ta_cod=9151", 100.0, 0.0, 0.0),
(106, "Public", "0511951U", "Lycée Jean TALON", "51", "Marne", "Grand Est", "Reims", "Châlons-en-Champagne", "formation sélective", "Autre formation", "Lycée Jean TALON - Diplôme de Comptabilité et de Gestion", "DCG", "", 36, 418, 188, 356, 0, 116, 30, 56, 15, 4, 3, 180, 62, 6, 8, 1, 47, 149, 10, 0, 0, 91, 26, 34, 11, 0, 0, 24, 127, 16, 10, 13, 3, 6.0, 13.0, 16.0, 0, 5, 15, 11, 4, 0, 1, 0, 4, 6, 3, 2, 0.0, 7, 4, 0, 0, 0, 14, 14, 37.5, 81.25, 100.0, 62.5, 93.296875, 93.296875, 0, 33.296875, 93.796875, 0.0, 26.69921875, 40.0, 20.0, 13.3, 0.0, 73.296875, 46.6953125, 26.69921875, 26.69921875, 0.0, 0.0, 72.0, 22.0, 0.0, 0.0, 29.0, "Tous les candidats", 149.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "6161", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6161&g_ta_cod=6161", 75.0, 25.0, 0.0),
(107, "Public", "0750699C", "Lycée Janson De Sailly", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Lycée Janson De Sailly - CPGE - MPSI", "Classe préparatoire scientifique", "", 144, 7141, 2122, 7141, 4472, 6413, 649, 4, 2, 0, 0, 724, 0, 0, 0, 0, 0, 5384, 0, 575, 5209, 4684, 427, 4, 2, 0, 0, 696, 1231, 141, 40, 141, 0, 14.0, 79.0, 122.0, 17, 20, 137, 137, 0, 0, 4, 0, 0, 0, 23, 97, 17.0, 137, 0, 0, 7, 2, 31, 81, 9.93, 56.03, 86.52, 28.3984375, 22.59765625, 59.09375, 5.099609375, 14.599609375, 97.1875, 0.0, 0.0, 0.0, 16.796875, 70.8, 12.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1220.0, 134.0, 0.0, 0.0, 11.0, "Tous les candidats", 1720.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "9130", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9130&g_ta_cod=9130", 100.0, 0.0, 0.0),
(108, "Public", "0132276D", "Lycée professionnel Pierre Latecoere", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Istres", "formation sélective", "Autre formation", "Lycée professionnel Pierre Latecoere - Mention complémentaire - FCIL Technicien réseaux très haut débit fibre optique", "Mention complémentaire", "", 12, 78, 1, 76, 0, 1, 0, 1, 0, 54, 29, 20, 2, 0, 0, 0, 2, 37, 0, 0, 0, 0, 0, 0, 0, 33, 18, 4, 28, 8, 0, 8, 0, 0.0, 8.0, 8.0, 0, 3, 8, 0, 0, 8, 0, 0, 3, 3, 2, 0, 0.0, 0, 0, 5, 0, 0, 5, 5, 0.0, 100.0, 100.0, 0.0, 62.5, 62.5, 0, 37.5, 100.0, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 62.5, 0.0, 0.0, 27.0, 14.0, 1.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "28581", "Mention complémentaire - FCIL Technicien réseaux très haut débit fibre optique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28581&g_ta_cod=28581", 0.0, 0.0, 100.0),
(109, "Public", "0622803K", "Lycée Blaise Pascal", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Longuenesse", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 218, 42, 208, 0, 5, 2, 30, 10, 25, 6, 148, 10, 0, 0, 6, 4, 87, 3, 0, 0, 4, 1, 30, 10, 25, 6, 28, 52, 15, 3, 13, 2, 4.0, 13.0, 14.0, 0, 1, 10, 0, 3, 7, 5, 0, 4, 6, 0, 0, 0.0, 0, 0, 6, 3, 0, 10, 10, 26.67, 86.67, 93.33, 20.0, 100.0, 100.0, 30, 10.0, 66.6875, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 0.0, 0.0, 30.0, 0.0, 70.0, 60.0, 1.0, 1.0, 21.0, 5.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 30.0, "7454", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7454&g_ta_cod=7454", 20.0, 27.0, 53.0),
(110, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "PASS", "Université de Nantes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 80, 3421, 2120, 3421, 0, 2838, 301, 66, 19, 8, 5, 509, 0, 0, 0, 0, 0, 3421, 0, 0, 0, 2838, 301, 66, 19, 8, 5, 509, 305, 80, 51, 80, 0, 12.0, 75.0, 78.0, 0, 7, 80, 80, 0, 0, 0, 0, 0, 0, 31, 47, 2.0, 80, 0, 0, 0, 0, 78, 78, 15.0, 93.75, 97.5, 63.796875, 97.5, 97.5, 0, 8.798828125, 100.0, 0.0, 0.0, 0.0, 38.796875, 58.8, 2.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 302.0, 41.0, 0.0, 0.0, 1.0, "Tous les candidats", 1028.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 10.0, "27984", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27985&g_ta_cod=27984", 100.0, 0.0, 0.0),
(111, "Public", "0300139N", "Lycée agricole Marie Durand", "30", "Gard", "Occitanie", "Montpellier", "Rodilhan", "formation sélective", "BTS", "Lycée agricole Marie Durand - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 34, 257, 68, 229, 0, 31, 6, 67, 5, 31, 12, 100, 28, 6, 2, 3, 17, 149, 15, 0, 0, 31, 6, 58, 3, 26, 10, 34, 126, 23, 4, 17, 6, 7.0, 17.0, 19.0, 0, 1, 12, 3, 3, 6, 11, 0, 8, 3, 1, 0, 0.0, 2, 2, 0, 3, 0, 9, 9, 30.43, 73.91, 82.61, 17.3984375, 75.0, 75.0, 25, 8.298828125, 52.1953125, 0.0, 66.6875, 25.0, 8.298828125, 0.0, 0.0, 25.0, 16.69921875, 25.0, 16.69921875, 50.0, 0.0, 28.0, 5.0, 25.0, 7.0, 32.0, "Tous les candidats sauf les Bac professionnels", 122.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 64.0, "3982", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3982&g_ta_cod=3982", 43.0, 26.0, 30.0),
(112, "Public", "0310017A", "Lycée des Métiers - Paul Mathou", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Gourdan-Polignan", "formation sélective", "BTS", "Lycée des Métiers - Paul Mathou - BTS - Production - Management économique de la construction", "BTS - Production", "", 22, 166, 43, 154, 0, 8, 4, 70, 16, 46, 22, 30, 12, 0, 0, 7, 5, 104, 0, 0, 0, 4, 2, 53, 8, 34, 17, 13, 68, 18, 5, 18, 0, 8.0, 18.0, 18.0, 0, 3, 15, 0, 10, 5, 3, 0, 4, 9, 2, 0, 0.0, 0, 7, 4, 3, 0, 12, 12, 44.44, 100.0, 100.0, 27.796875, 80.0, 80.0, 20, 20.0, 83.296875, 0.0, 26.69921875, 60.0, 13.298828125, 0.0, 0.0, 0.0, 0.0, 66.6875, 46.6953125, 33.296875, 26.69921875, 2.0, 2.0, 28.0, 15.0, 7.0, "Tous les candidats sauf les Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 49.0, "4027", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4027&g_ta_cod=4027", 6.0, 67.0, 28.0),
(113, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte - Licence - Lettres, langues - Parcours Majeure Lettres - Mineure Italien ou Espagnol", "Licence - Arts-lettres-langues", "Majeure Lettres - Mineure Italien ou Espagnol", 50, 81, 61, 49, 0, 36, 9, 3, 0, 1, 0, 9, 32, 8, 2, 2, 20, 49, 20, 0, 0, 36, 9, 3, 0, 1, 0, 9, 70, 9, 7, 5, 4, 5.0, 5.0, 7.0, 0, 1, 3, 1, 1, 1, 6, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 3, 3, 55.56, 55.56, 77.78, 77.796875, 100.0, 100.0, 0, 33.296875, 33.296875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 33.296875, 0.0, 33.296875, 0.0, 33.296875, 33.296875, 40.0, 11.0, 1.0, 0.0, 25.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20967", "Licence - Lettres, langues - Parcours Majeure Lettres - Mineure Italien ou Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20967&g_ta_cod=20967", 33.0, 33.0, 22.0),
(114, "Privé enseignement supérieur", "0755672H", "ESCE", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Programme Grande Ecole - International Business - Campus de Paris ou Lyon", 535, 3566, 1740, 3506, 0, 3031, 167, 219, 14, 10, 4, 246, 60, 27, 3, 0, 30, 3228, 41, 0, 0, 2856, 144, 183, 12, 3, 2, 186, 3269, 114, 68, 106, 8, 106.0, 106.0, 111.0, 0, 9, 98, 90, 6, 2, 16, 1, 22, 54, 19, 2, 0.0, 67, 6, 2, 0, 0, 11, 44, 92.98, 92.98, 97.37, 59.59375, 11.19921875, 44.8984375, 0, 9.19921875, 86.0, 1.0, 22.3984375, 55.09375, 19.3984375, 2.0, 0.0, 91.796875, 68.390625, 6.099609375, 6.099609375, 2.0, 2.0, 2874.0, 145.0, 3.0, 2.0, 208.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "26154", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26154", 93.0, 5.0, 2.0),
(115, "Public", "0680106W", "CNAM Grand Est Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "Autre formation", "CNAM Grand Est Mulhouse - Formation Supérieure de Spécialisation - Administration", "Diplôme d'Université", "Administration", 15, 55, 41, 26, 0, 1, 0, 1, 0, 6, 2, 18, 29, 3, 1, 5, 20, 15, 16, 0, 0, 1, 0, 1, 0, 3, 0, 10, 41, 11, 9, 1, 7, 1.0, 1.0, 5.0, 0, 0, 4, 1, 1, 2, 7, 0, 3, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 4, 4, 9.09, 9.09, 45.45, 81.796875, 100.0, 100.0, 0, 0.0, 36.3984375, 0.0, 75.0, 0.0, 25.0, 0.0, 0.0, 25.0, 25.0, 25.0, 0.0, 50.0, 0.0, 3.0, 0.0, 9.0, 2.0, 23.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "33333", "Formation Supérieure de Spécialisation - Administration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33333&g_ta_cod=33333", 27.0, 9.0, 64.0),
(116, "Privé enseignement supérieur", "0596162C", "Institut Catholique de Lille-Faculté Libre Droit", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Institut Catholique de Lille-Faculté Libre Droit - CUPGE - Droit et Culture Juridique - Classe Préparatoire (Prépa D1)", "CUPGE - Droit-économie-gestion", "", 40, 377, 263, 377, 0, 334, 34, 7, 4, 3, 2, 33, 0, 0, 0, 0, 0, 265, 0, 0, 0, 259, 20, 0, 0, 0, 0, 6, 204, 46, 25, 46, 0, 5.0, 46.0, 46.0, 0, 3, 45, 45, 0, 0, 1, 0, 1, 7, 29, 8, 0.0, 44, 0, 0, 0, 0, 16, 16, 10.87, 100.0, 100.0, 54.296875, 35.59375, 35.59375, 0, 6.69921875, 97.796875, 0.0, 2.19970703125, 15.599609375, 64.390625, 17.8, 0.0, 100.0, 97.796875, 0.0, 0.0, 0.0, 0.0, 201.0, 12.0, 0.0, 0.0, 3.0, "Tous les candidats", 265.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "30116", "CUPGE - Droit et Culture Juridique - Classe Préparatoire (Prépa D1)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30116&g_ta_cod=30116", 100.0, 0.0, 0.0),
(117, "Privé enseignement supérieur", "0750252S", "ISC Paris Business School", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "Ecole de Commerce", "ISC Paris Business School - Formation des écoles de commerce et de management Bac + 3 - Bachelor en management", "Formation des écoles de commerce et de management", "Bachelor en management", 150, 578, 238, 466, 0, 312, 18, 91, 7, 5, 3, 58, 112, 34, 14, 6, 58, 354, 96, 0, 0, 246, 14, 70, 4, 3, 2, 35, 450, 96, 37, 53, 43, 53.0, 53.0, 66.0, 0, 8, 67, 48, 16, 3, 29, 0, 29, 29, 8, 1, 0.0, 26, 11, 1, 0, 0, 15, 52, 55.21, 55.21, 68.75, 38.5, 22.3984375, 77.59375, 0, 11.8984375, 69.796875, 0.0, 43.296875, 43.296875, 11.8984375, 1.5, 0.0, 71.59375, 38.796875, 23.8984375, 16.3984375, 4.5, 1.5, 276.0, 19.0, 9.0, 6.0, 81.0, "Tous les candidats", 402.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "32210", "Formation des écoles de commerce et de management Bac + 3 - Bachelor en management", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32210&g_ta_cod=32210", 73.0, 19.0, 8.0),
(118, "Privé sous contrat d'association", "0442101V", "ARIFTS PAYS DE LA LOIRE - REZE", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Rezé", "formation sélective", "EFTS", "ARIFTS PAYS DE LA LOIRE - REZE - D.E Educateur Spécialisé", "D.E secteur social", "", 50, 658, 549, 658, 0, 100, 18, 108, 19, 42, 10, 408, 0, 0, 0, 0, 0, 564, 0, 0, 0, 79, 16, 89, 13, 32, 8, 364, 103, 50, 42, 50, 0, 19.0, 42.0, 43.0, 0, 0, 7, 5, 2, 0, 43, 0, 0, 5, 1, 1, 0.0, 5, 2, 0, 0, 0, 6, 6, 38.0, 84.0, 86.0, 84.0, 85.6875, 85.6875, 0, 0.0, 14.0, 0.0, 0.0, 71.390625, 14.298828125, 14.3, 0.0, 71.390625, 71.390625, 28.59765625, 28.59765625, 0.0, 0.0, 9.0, 1.0, 1.0, 1.0, 90.0, "Tous les candidats", 129.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "24886", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24886&g_ta_cod=24886", 58.0, 36.0, 4.0),
(119, "Public", "0750667T", "Lycée Condorcet", "75", "Paris", "Ile-de-France", "Paris", "Paris  9e  Arrondissement", "formation sélective", "CPGE", "Lycée Condorcet - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 3267, 1227, 3267, 463, 2972, 363, 2, 0, 0, 0, 293, 0, 0, 0, 0, 0, 1601, 0, 351, 1394, 1566, 205, 0, 0, 0, 0, 35, 679, 47, 11, 47, 0, 19.0, 25.0, 38.0, 3, 11, 47, 47, 0, 0, 0, 0, 0, 0, 18, 28, 1.0, 47, 0, 0, 6, 1, 29, 43, 40.43, 53.19, 80.85, 23.3984375, 61.6953125, 91.5, 12.798828125, 23.3984375, 100.0, 0.0, 0.0, 0.0, 38.296875, 59.6, 2.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 678.0, 86.0, 0.0, 0.0, 1.0, "Tous les candidats", 781.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "8999", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8999&g_ta_cod=8999", 100.0, 0.0, 0.0),
(120, "Public", "0791018C", "IFSI CH Niort", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "IFSI", "Regroupement d'IFSI Université Poitiers - D.E Infirmier", "D.E secteur sanitaire", "", 140, 3854, 3318, 3854, 0, 769, 110, 661, 143, 503, 135, 1921, 0, 0, 0, 0, 0, 2528, 0, 0, 0, 527, 68, 491, 89, 403, 98, 1107, 867, 139, 127, 139, 0, 3.0, 73.0, 125.0, 0, 25, 99, 17, 29, 53, 40, 0, 5, 49, 42, 3, 0.0, 17, 27, 50, 0, 0, 58, 58, 2.16, 52.52, 89.93, 91.390625, 58.59375, 58.59375, 0, 25.296875, 71.1875, 0.0, 5.099609375, 49.5, 42.3984375, 3.0, 0.0, 17.19921875, 17.19921875, 29.296875, 27.296875, 53.5, 50.5, 76.0, 11.0, 244.0, 62.0, 342.0, "Tous les candidats", 1673.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "23215", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22988&g_ta_cod=23215", 17.0, 29.0, 54.0),
(121, "Public", "0750715V", "Lycée Maurice Ravel", "75", "Paris", "Ile-de-France", "Paris", "Paris 20e  Arrondissement", "formation sélective", "BTS", "Lycée Maurice Ravel - BTS - Services - Notariat", "BTS - Services", "", 35, 1443, 1055, 1443, 0, 276, 91, 402, 179, 174, 76, 591, 0, 0, 0, 0, 0, 424, 0, 0, 0, 93, 28, 104, 41, 88, 44, 139, 160, 37, 27, 37, 0, 7.0, 24.0, 31.0, 0, 4, 12, 7, 3, 2, 25, 0, 7, 2, 2, 1, 0.0, 2, 2, 1, 1, 1, 1, 10, 18.92, 64.86, 83.78, 73.0, 8.298828125, 83.296875, 8.298828125, 33.296875, 32.3984375, 0.0, 58.296875, 16.69921875, 16.69921875, 8.3, 0.0, 58.296875, 16.69921875, 25.0, 16.69921875, 16.69921875, 8.298828125, 43.0, 18.0, 7.0, 1.0, 79.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 124.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 13.0, "9186", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9186&g_ta_cod=9186", 68.0, 27.0, 5.0),
(122, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Géographie et aménagement - Parcours Enseignement à distance", "Licence - Sciences humaines et sociales", "Enseignement à distance", 50, 210, 98, 150, 0, 46, 9, 4, 2, 2, 0, 98, 60, 5, 2, 2, 51, 149, 57, 0, 0, 46, 9, 4, 2, 2, 0, 97, 180, 60, 32, 36, 24, 17.0, 36.0, 54.0, 0, 1, 11, 9, 1, 1, 49, 0, 5, 3, 3, 0, 0.0, 4, 1, 1, 0, 0, 7, 7, 28.33, 60.0, 90.0, 53.296875, 63.59375, 63.59375, 0, 9.099609375, 18.296875, 0.0, 45.5, 27.296875, 27.296875, 0.0, 0.0, 81.796875, 36.3984375, 9.099609375, 9.099609375, 9.099609375, 9.099609375, 44.0, 10.0, 4.0, 1.0, 127.0, "Tous les candidats", 148.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "26535", "Licence - Géographie et aménagement - Parcours Enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26535&g_ta_cod=26535", 67.0, 12.0, 10.0),
(123, "Public", "0171418Z", "Lycée Saint-Exupery", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BTS", "Lycée Saint-Exupery - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1337, 624, 1337, 0, 183, 34, 560, 140, 299, 98, 295, 0, 0, 0, 0, 0, 1143, 0, 0, 0, 161, 30, 492, 122, 299, 98, 191, 259, 31, 12, 31, 0, 2.0, 18.0, 25.0, 0, 13, 24, 4, 9, 11, 7, 0, 2, 15, 6, 1, 0.0, 3, 8, 11, 0, 0, 16, 16, 6.45, 58.06, 80.65, 38.6953125, 66.6875, 66.6875, 0, 54.1953125, 77.390625, 0.0, 8.298828125, 62.5, 25.0, 4.2, 0.0, 16.69921875, 12.5, 37.5, 33.296875, 45.796875, 45.796875, 47.0, 8.0, 87.0, 29.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 95, "Bacheliers technologiques toutes séries", 121, "Liste d'appel propre à cette formation", 21.0, "20961", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20961&g_ta_cod=20961", 23.0, 35.0, 42.0),
(124, "Public", "0141687H", "Lycée Jules Verne", "14", "Calvados", "Normandie", "Normandie", "Mondeville", "formation sélective", "Autre formation", "Lycée Jules Verne - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 12, 48, 0, 46, 0, 0, 0, 0, 0, 42, 10, 4, 2, 0, 0, 0, 2, 34, 2, 0, 0, 0, 0, 0, 0, 32, 6, 2, 32, 11, 0, 9, 2, 2.0, 6.0, 9.0, 0, 4, 9, 0, 0, 9, 2, 0, 2, 7, 0, 0, 0.0, 0, 0, 7, 0, 0, 9, 9, 18.18, 54.55, 81.82, 0.0, 100.0, 100.0, 0, 44.3984375, 81.796875, 0.0, 22.19921875, 77.796875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 77.796875, 0.0, 0.0, 29.0, 7.0, 3.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "24687", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24687&g_ta_cod=24687", 0.0, 0.0, 100.0),
(125, "Public", "0942072S", "IUT de Créteil Vitry (Site de Vitry) - UPEC", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "BUT", "IUT de Créteil Vitry (Site de Vitry) - UPEC - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités (Seconde année possible en apprentissage)", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", 84, 5545, 2973, 5545, 0, 2343, 745, 2115, 904, 89, 47, 998, 0, 0, 0, 0, 0, 2940, 0, 0, 0, 1256, 364, 1341, 541, 4, 2, 339, 729, 92, 56, 92, 0, 22.0, 66.0, 83.0, 0, 47, 83, 39, 42, 2, 9, 0, 3, 44, 35, 1, 0.0, 36, 42, 2, 0, 0, 54, 78, 23.91, 71.74, 90.22, 60.8984375, 65.09375, 94.0, 0, 56.59375, 90.1875, 0.0, 3.599609375, 53.0, 42.1953125, 1.2, 0.0, 47.0, 43.3984375, 50.59375, 50.59375, 2.39990234375, 2.39990234375, 339.0, 118.0, 2.0, 1.0, 85.0, "Tous les candidats sauf les Bac technologiques", 679.0, "Bacheliers technologiques toutes séries", 527, "", 0, "Liste d'appel propre à cette formation", 22.0, "25439", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25439&g_ta_cod=25439", 48.0, 50.0, 2.0),
(126, "Public", "9760127J", "Lycée Younoussa Bamana", "976", "Mayotte", "Mayotte", "Mayotte", "Mamoudzou", "formation sélective", "BTS", "Lycée Younoussa Bamana - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 28, 501, 187, 501, 0, 100, 70, 135, 95, 103, 50, 163, 0, 0, 0, 0, 0, 150, 0, 0, 0, 46, 30, 45, 33, 40, 22, 19, 61, 28, 7, 22, 0, 3.0, 14.0, 14.0, 0, 8, 16, 6, 4, 6, 12, 0, 7, 4, 5, 0, 0.0, 3, 4, 2, 8, 3, 16, 16, 10.71, 50.0, 50.0, 25.0, 100.0, 100.0, 50, 50.0, 57.09375, 0.0, 43.796875, 25.0, 31.296875, 0.0, 0.0, 37.5, 18.796875, 25.0, 25.0, 37.5, 12.5, 17.0, 10.0, 21.0, 11.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 13.0, "15013", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15013&g_ta_cod=15013", 29.0, 29.0, 43.0),
(127, "Public", "0680169P", "I.U.T. de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BUT", "I.U.T. de Mulhouse - BUT - Génie mécanique et productique Parcours : Innovation pour l'industrie-Management de processi ndustriel-Simulation numérique et réalité virtuelle", "BUT - Production", "Innovation pour l'industrie-Management de processi ndustriel-Simulation numérique et réalité virtuelle", 52, 589, 46, 560, 0, 309, 37, 175, 32, 8, 5, 68, 29, 3, 4, 0, 22, 419, 12, 0, 0, 251, 20, 126, 20, 3, 1, 39, 262, 39, 3, 33, 6, 2.0, 30.0, 36.0, 0, 5, 30, 18, 12, 0, 9, 0, 9, 7, 12, 2, 0.0, 12, 9, 0, 0, 0, 26, 26, 5.13, 76.92, 92.31, 7.69921875, 86.6875, 86.6875, 0, 16.69921875, 76.890625, 0.0, 30.0, 23.296875, 40.0, 6.7, 0.0, 60.0, 40.0, 40.0, 30.0, 0.0, 0.0, 152.0, 14.0, 0.0, 0.0, 33.0, "Tous les candidats sauf les Bac technologiques", 284.0, "Bacheliers technologiques toutes séries", 134, "", 0, "Liste d'appel propre à cette formation", 74.0, "8134", "BUT - Génie mécanique et productique Parcours : Innovation pour l'industrie-Management de processi ndustriel-Simulation numérique et réalité virtuelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8134&g_ta_cod=8134", 54.0, 46.0, 0.0),
(128, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation non sélective", "Licence_Las", "Université Grenoble Alpes - Antenne de Valence - Licence - Portail Chimie - Biologie", "Licence - Sciences - technologies - santé", "Chimie - Biologie", 25, 680, 482, 680, 0, 382, 73, 37, 5, 0, 0, 261, 0, 0, 0, 0, 0, 680, 0, 0, 0, 382, 73, 37, 5, 0, 0, 261, 222, 22, 18, 22, 0, 0.0, 8.0, 17.0, 0, 2, 18, 17, 1, 0, 4, 1, 2, 8, 5, 2, 0.0, 14, 1, 0, 0, 0, 13, 13, 0.0, 36.36, 77.27, 81.796875, 72.1875, 72.1875, 0, 11.099609375, 81.796875, 5.599609375, 11.099609375, 44.3984375, 27.796875, 11.1, 0.0, 94.390625, 77.796875, 5.599609375, 5.599609375, 0.0, 0.0, 112.0, 23.0, 0.0, 0.0, 106.0, "Tous les candidats", 595.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 56.0, "30998", "Licence - Portail Chimie - Biologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30997&g_ta_cod=30998", 95.0, 5.0, 0.0),
(129, "Public", "0600020W", "Lycée Marie Curie", "60", "Oise", "Hauts-de-France", "Amiens", "Nogent-sur-Oise", "formation sélective", "Autre formation", "Lycée Marie Curie - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 20, 3, 1, 0, 0, 0.0, 0.0, 0.0, 0, 1, 3, 0, 0, 3, 0, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 0.0, 0.0, 0.0, 33.296875, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 15.0, 6.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22516", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(130, "Privé sous contrat d'association", "0290159R", "Lycée St-Sébastien", "29", "Finistère", "Bretagne", "Rennes", "Landerneau", "formation sélective", "BTS", "Lycée St-Sébastien - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 313, 146, 295, 0, 42, 12, 112, 21, 52, 15, 89, 18, 4, 2, 0, 12, 194, 5, 0, 0, 37, 10, 99, 17, 39, 10, 19, 146, 28, 10, 27, 1, 7.0, 25.0, 28.0, 0, 3, 26, 4, 14, 8, 2, 0, 12, 8, 6, 0, 0.0, 1, 6, 7, 0, 0, 26, 26, 25.0, 89.29, 100.0, 35.6953125, 100.0, 100.0, 0, 11.5, 92.890625, 0.0, 46.1953125, 30.796875, 23.09765625, 0.0, 0.0, 15.3984375, 3.7998046875, 53.796875, 23.09765625, 30.796875, 26.8984375, 25.0, 6.0, 31.0, 6.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 102, "Liste d'appel propre à cette formation", 64.0, "3812", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3812&g_ta_cod=3812", 18.0, 54.0, 29.0),
(131, "Privé sous contrat d'association", "0300080Z", "Lycée Emmanuel d'Alzon", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "CPGE", "Lycée Emmanuel d'Alzon - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 48, 129, 50, 115, 64, 93, 7, 0, 0, 0, 0, 22, 14, 7, 0, 0, 7, 109, 11, 62, 105, 93, 7, 0, 0, 0, 0, 16, 118, 10, 2, 8, 2, 6.0, 8.0, 9.0, 2, 1, 6, 6, 0, 0, 4, 0, 2, 3, 0, 1, 0.0, 4, 0, 0, 1, 1, 5, 5, 60.0, 80.0, 90.0, 20.0, 83.296875, 83.296875, 16.69921875, 16.69921875, 60.0, 0.0, 33.296875, 50.0, 0.0, 16.7, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 99.0, 9.0, 0.0, 0.0, 19.0, "Tous les candidats", 109.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "31326", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31326&g_ta_cod=31326", 100.0, 0.0, 0.0),
(132, "Privé hors contrat", "0693453D", "Institut Paul Bocuse", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Ecully", "formation sélective", "Autre formation", "Institut Paul Bocuse - Formation des écoles supérieures de cuisine Bac +3 - Bachelor Management International des Arts Culinaires", "Formation des écoles supérieures de cuisine", "Bachelor Management International des Arts Culinaires, parcours en français", 100, 239, 89, 236, 0, 119, 6, 31, 1, 28, 4, 58, 3, 3, 0, 0, 0, 166, 0, 0, 0, 82, 2, 26, 1, 23, 4, 35, 162, 97, 28, 97, 0, 72.0, 97.0, 97.0, 0, 4, 79, 43, 18, 18, 18, 0, 16, 29, 23, 11, 0.0, 33, 15, 15, 0, 0, 19, 19, 74.23, 100.0, 100.0, 28.8984375, 24.09765625, 24.09765625, 0, 5.099609375, 81.390625, 0.0, 20.296875, 36.6953125, 29.09765625, 13.9, 0.0, 54.3984375, 41.796875, 22.796875, 19.0, 22.796875, 19.0, 79.0, 1.0, 23.0, 4.0, 34.0, "Tous les candidats", 167.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "32258", "Formation des écoles supérieures de cuisine Bac +3 - Bachelor Management International des Arts Culinaires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32258&g_ta_cod=32258", 61.0, 21.0, 19.0),
(133, "Public", "0541205S", "I.U.T de Nancy-Brabois - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Villers-lès-Nancy", "formation sélective", "BUT", "I.U.T de Nancy-Brabois - Université de Lorraine - BUT - Génie biologique parcours biologie médicale et biotechnologie", "BUT - Production", "", 50, 2347, 1709, 2347, 0, 1310, 169, 399, 109, 5, 2, 633, 0, 0, 0, 0, 0, 1619, 0, 0, 0, 1036, 120, 128, 28, 0, 0, 455, 276, 48, 44, 48, 0, 4.0, 36.0, 41.0, 0, 8, 36, 24, 12, 0, 12, 0, 0, 3, 22, 11, 0.0, 24, 12, 0, 0, 0, 26, 26, 8.33, 75.0, 85.42, 91.6875, 72.1875, 72.1875, 0, 22.19921875, 75.0, 0.0, 0.0, 8.298828125, 61.09375, 30.6, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 151.0, 24.0, 0.0, 0.0, 81.0, "Tous les candidats sauf les Bac technologiques", 359.0, "Bacheliers technologiques toutes séries", 74, "", 0, "Liste d'appel propre à cette formation", 18.0, "6305", "BUT - Génie biologique parcours biologie médicale et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6305&g_ta_cod=6305", 73.0, 27.0, 0.0),
(134, "Public", "0850006V", "Lycée Georges CLEMENCEAU", "85", "Vendée", "Pays de la Loire", "Nantes", "Chantonnay", "formation sélective", "BTS", "Lycée Georges CLEMENCEAU - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 476, 200, 449, 0, 33, 11, 42, 6, 19, 6, 355, 27, 0, 2, 5, 20, 109, 12, 0, 0, 30, 9, 41, 5, 19, 6, 19, 88, 11, 6, 9, 2, 6.0, 9.0, 10.0, 0, 3, 8, 4, 2, 2, 3, 0, 4, 2, 2, 0, 0.0, 2, 1, 1, 3, 1, 7, 7, 54.55, 81.82, 90.91, 54.5, 87.5, 87.5, 37.5, 37.5, 72.6875, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 50.0, 25.0, 25.0, 12.5, 25.0, 12.5, 18.0, 5.0, 18.0, 5.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 24.0, "10471", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10471&g_ta_cod=10471", 64.0, 18.0, 18.0),
(135, "Public", "0300930Y", "I.U.T de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BUT", "I.U.T de Nîmes - BUT - Gestion des entreprises et des administrations Parcours : Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", 80, 1849, 931, 1824, 0, 916, 237, 558, 246, 19, 7, 331, 25, 0, 14, 0, 11, 1320, 5, 0, 0, 855, 212, 309, 119, 0, 0, 156, 544, 74, 41, 70, 4, 6.0, 42.0, 55.0, 0, 39, 68, 41, 27, 0, 6, 2, 16, 37, 11, 1, 1.0, 28, 22, 0, 0, 0, 47, 47, 8.11, 56.76, 74.32, 55.3984375, 69.09375, 69.09375, 0, 57.3984375, 91.890625, 2.89990234375, 23.5, 54.3984375, 16.19921875, 1.5, 1.5, 60.296875, 41.1953125, 39.6953125, 32.3984375, 0.0, 0.0, 276.0, 90.0, 0.0, 0.0, 59.0, "Tous les candidats sauf les Bac technologiques", 443.0, "Bacheliers technologiques toutes séries", 329, "", 0, "Liste d'appel propre à cette formation", 42.0, "3989", "BUT - Gestion des entreprises et des administrations Parcours : Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3989&g_ta_cod=3989", 62.0, 38.0, 0.0),
(136, "Public", "0600009J", "Lycée Jean Rostand", "60", "Oise", "Hauts-de-France", "Amiens", "Chantilly", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Services - Support à l'action managériale", "BTS - Services", "", 20, 227, 144, 227, 0, 17, 3, 64, 22, 70, 30, 76, 0, 0, 0, 0, 0, 195, 0, 0, 0, 13, 2, 60, 20, 66, 29, 56, 63, 20, 16, 20, 0, 6.0, 16.0, 18.0, 0, 7, 16, 2, 3, 11, 4, 0, 4, 7, 4, 1, 0.0, 0, 3, 9, 1, 0, 14, 14, 30.0, 80.0, 90.0, 80.0, 87.5, 87.5, 6.2998046875, 43.796875, 80.0, 0.0, 25.0, 43.796875, 25.0, 6.3, 0.0, 12.5, 0.0, 18.796875, 18.796875, 68.796875, 56.296875, 3.0, 2.0, 33.0, 11.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 36.0, "7214", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7214&g_ta_cod=7214", 10.0, 30.0, 60.0),
(137, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Langues étrangères appliquées - Parcours Anglais - Portugais", "Licence - Arts-lettres-langues", "Anglais - Portugais", 30, 125, 79, 100, 0, 49, 19, 10, 5, 12, 4, 29, 25, 4, 3, 2, 16, 99, 16, 0, 0, 49, 19, 10, 5, 12, 4, 28, 105, 27, 20, 20, 7, 5.0, 20.0, 22.0, 0, 8, 16, 9, 5, 2, 11, 0, 8, 6, 2, 0, 0.0, 4, 2, 2, 0, 0, 12, 12, 18.52, 74.07, 81.48, 74.09375, 75.0, 75.0, 0, 50.0, 59.296875, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 56.296875, 25.0, 31.296875, 12.5, 12.5, 12.5, 49.0, 19.0, 10.0, 3.0, 35.0, "Tous les candidats", 98.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "22670", "Licence - Langues étrangères appliquées - Parcours Anglais - Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22670&g_ta_cod=22670", 59.0, 19.0, 22.0),
(138, "Public", "0620052V", "Lycée Edouard Branly", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 30, 155, 10, 150, 0, 10, 0, 42, 11, 46, 17, 52, 5, 0, 1, 3, 1, 95, 1, 0, 0, 10, 0, 41, 10, 34, 13, 10, 64, 25, 1, 23, 1, 15.0, 23.0, 23.0, 0, 9, 23, 1, 9, 13, 2, 0, 6, 9, 5, 3, 0.0, 1, 5, 11, 10, 1, 23, 23, 60.0, 92.0, 92.0, 4.0, 100.0, 100.0, 43.5, 39.09375, 92.0, 0.0, 26.09765625, 39.09375, 21.69921875, 13.0, 0.0, 4.2998046875, 4.2998046875, 39.09375, 21.69921875, 56.5, 47.796875, 7.0, 0.0, 31.0, 12.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 57.0, "7350", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7350&g_ta_cod=7350", 8.0, 40.0, 52.0),
(139, "Public", "0590185F", "Lycée Jean Moulin", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Jean Moulin - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 474, 215, 435, 0, 40, 22, 95, 60, 116, 78, 184, 39, 0, 0, 26, 13, 242, 6, 0, 0, 24, 14, 64, 41, 77, 48, 77, 144, 27, 18, 26, 1, 7.0, 23.0, 27.0, 0, 11, 13, 2, 2, 9, 14, 0, 6, 2, 5, 0, 0.0, 0, 2, 5, 3, 3, 13, 13, 25.93, 85.19, 100.0, 66.6875, 100.0, 100.0, 23.09765625, 84.59375, 48.09375, 0.0, 46.1953125, 15.3984375, 38.5, 0.0, 0.0, 15.3984375, 0.0, 15.3984375, 15.3984375, 69.1875, 38.5, 15.0, 10.0, 64.0, 36.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 91, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 45.0, "6824", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6824&g_ta_cod=6824", 22.0, 19.0, 59.0),
(140, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence_Las", "Université de Bourgogne - site de Dijon - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 30, 617, 443, 617, 0, 378, 91, 26, 11, 6, 3, 207, 0, 0, 0, 0, 0, 614, 0, 0, 0, 378, 91, 26, 11, 6, 3, 204, 273, 23, 17, 23, 0, 0.0, 7.0, 17.0, 0, 1, 18, 16, 2, 0, 5, 0, 10, 5, 3, 0, 0.0, 8, 0, 0, 0, 0, 16, 16, 0.0, 30.43, 73.91, 73.890625, 88.890625, 88.890625, 0, 5.599609375, 78.296875, 0.0, 55.59375, 27.796875, 16.69921875, 0.0, 0.0, 88.890625, 44.3984375, 11.099609375, 0.0, 0.0, 0.0, 164.0, 30.0, 2.0, 1.0, 101.0, "Tous les candidats", 1794.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 68.0, "27636", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27635&g_ta_cod=27636", 91.0, 9.0, 0.0),
(141, "Public", "0611205D", "ANT UFR DROIT SC POLITIQUES UNIVERSITE CAEN NORMANDIE", "61", "Orne", "Normandie", "Normandie", "Damigny", "formation non sélective", "Licence", "ANT UFR DROIT SC POLITIQUES UNIVERSITE CAEN NORMANDIE - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 116, 1042, 734, 772, 0, 539, 129, 73, 20, 21, 11, 139, 270, 85, 18, 6, 161, 767, 240, 0, 0, 539, 129, 73, 20, 21, 11, 134, 757, 81, 50, 42, 39, 6.0, 41.0, 66.0, 0, 14, 51, 40, 11, 0, 30, 0, 25, 17, 8, 1, 0.0, 20, 6, 0, 0, 0, 29, 29, 7.41, 50.62, 81.48, 61.6953125, 56.8984375, 56.8984375, 0, 27.5, 63.0, 0.0, 49.0, 33.296875, 15.69921875, 2.0, 0.0, 78.390625, 39.1953125, 21.59765625, 11.798828125, 0.0, 0.0, 457.0, 95.0, 19.0, 6.0, 216.0, "Tous les candidats", 845.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "27901", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28618&g_ta_cod=27901", 75.0, 21.0, 4.0),
(142, "Public", "0620215X", "Université du littoral - Site de Calais -", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "Autre formation", "Université du littoral - Site de Calais - - DEUST - Animation et gestion des activités physiques, sportives ou culturelles - parcours spécialité football", "DEUST", "parcours spécialité football", 20, 368, 36, 368, 0, 132, 25, 108, 33, 38, 18, 90, 0, 0, 0, 0, 0, 220, 0, 0, 0, 87, 14, 67, 24, 16, 7, 50, 32, 19, 3, 19, 0, 10.0, 17.0, 19.0, 0, 5, 17, 9, 7, 1, 2, 1, 7, 6, 2, 1, 0.0, 4, 4, 1, 0, 0, 10, 10, 52.63, 89.47, 100.0, 15.798828125, 58.796875, 58.796875, 0, 29.3984375, 89.5, 5.8994140625, 41.1953125, 35.296875, 11.798828125, 5.9, 0.0, 52.8984375, 23.5, 41.1953125, 23.5, 5.8994140625, 5.8994140625, 14.0, 3.0, 1.0, 0.0, 7.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "26925", "DEUST - Animation et gestion des activités physiques, sportives ou culturelles - parcours spécialité football", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26925&g_ta_cod=26925", 53.0, 42.0, 5.0),
(143, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence_Las", "Université Grenoble Alpes  - Licence - Portail Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "Sciences pour l'ingénieur", 5, 289, 98, 285, 0, 128, 21, 15, 9, 1, 0, 141, 4, 0, 0, 0, 4, 281, 1, 0, 0, 128, 21, 15, 9, 1, 0, 137, 81, 3, 1, 3, 0, 0.0, 1.0, 2.0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 0.0, 33.33, 66.67, 33.296875, 0.0, 0.0, 0, 0.0, 33.296875, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 33.0, 5.0, 0.0, 0.0, 48.0, "Tous les candidats", 748.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 55.0, "31945", "Licence - Portail Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31944&g_ta_cod=31945", 100.0, 0.0, 0.0),
(144, "Public", "0190244M", "Lycée agricole de Brive-Voutezac", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Voutezac", "formation sélective", "BTS", "Lycée agricole de Brive-Voutezac - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 38, 453, 144, 442, 0, 38, 9, 56, 13, 65, 12, 283, 11, 4, 1, 0, 6, 136, 3, 0, 0, 36, 9, 33, 5, 60, 12, 7, 89, 27, 5, 27, 0, 10.0, 25.0, 27.0, 0, 4, 24, 6, 5, 13, 3, 0, 10, 11, 3, 0, 0.0, 4, 3, 7, 10, 1, 14, 14, 37.04, 92.59, 100.0, 18.5, 58.296875, 58.296875, 41.6953125, 16.69921875, 88.890625, 0.0, 41.6953125, 45.796875, 12.5, 0.0, 0.0, 25.0, 16.69921875, 20.796875, 12.5, 54.1953125, 29.19921875, 25.0, 7.0, 31.0, 5.0, 5.0, "Tous les candidats sauf les Bac professionnels", 76.0, "Bacheliers professionnels toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 30.0, "3159", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3159&g_ta_cod=3159", 33.0, 19.0, 48.0),
(145, "Public", "0590119J", "Lycée Faidherbe", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Faidherbe - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 1305, 864, 1305, 887, 1090, 117, 0, 0, 1, 1, 214, 0, 0, 0, 0, 0, 859, 0, 639, 836, 831, 68, 0, 0, 0, 0, 28, 292, 44, 25, 44, 0, 10.0, 31.0, 42.0, 18, 5, 43, 43, 0, 0, 1, 0, 0, 0, 5, 32, 6.0, 43, 0, 0, 1, 0, 22, 22, 22.73, 70.45, 95.45, 56.796875, 51.1953125, 51.1953125, 2.2998046875, 11.599609375, 97.6875, 0.0, 0.0, 0.0, 11.599609375, 74.4, 14.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 281.0, 33.0, 0.0, 0.0, 11.0, "Tous les candidats", 525.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "6785", "CPGE - B/L - Lettres et sciences sociales", "", "", 100.0, 0.0, 0.0),
(146, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence_Las", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Sciences sanitaires et sociales - Action sociale Santé", "Licence - Sciences humaines et sociales", "Action sociale Santé", 20, 538, 486, 538, 0, 194, 41, 166, 46, 30, 11, 148, 0, 0, 0, 0, 0, 536, 0, 0, 0, 194, 41, 166, 46, 30, 11, 146, 162, 18, 18, 18, 0, 0.0, 10.0, 14.0, 0, 2, 15, 13, 2, 0, 3, 0, 8, 5, 1, 1, 0.0, 5, 2, 0, 0, 0, 10, 10, 0.0, 55.56, 77.78, 100.0, 66.6875, 66.6875, 0, 13.298828125, 83.296875, 0.0, 53.296875, 33.296875, 6.69921875, 6.7, 0.0, 86.6875, 33.296875, 13.298828125, 13.298828125, 0.0, 0.0, 98.0, 20.0, 0.0, 0.0, 33.0, "Tous les candidats", 461.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 50.0, "26675", "Licence - Portail Sciences sanitaires et sociales - Action sociale Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26674&g_ta_cod=26675", 83.0, 17.0, 0.0),
(147, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "Autre formation", "Université de Pau et des Pays de l'Adour - C.M.I - Cursus Master en Ingénierie - Sciences de la vie - Géo-énergies, Environnement et Matériaux", "C.M.I - Cursus Master en Ingénierie", "Géo-énergies, Environnement et Matériaux", 10, 120, 62, 85, 0, 65, 6, 2, 1, 0, 0, 18, 35, 18, 0, 0, 17, 35, 4, 0, 0, 29, 3, 0, 0, 0, 0, 6, 31, 11, 5, 8, 3, 4.0, 8.0, 11.0, 0, 2, 9, 9, 0, 0, 2, 0, 0, 5, 4, 0, 0.0, 9, 0, 0, 0, 0, 5, 5, 36.36, 72.73, 100.0, 45.5, 55.59375, 55.59375, 0, 22.19921875, 81.796875, 0.0, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 25.0, 3.0, 0.0, 0.0, 6.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "29035", "C.M.I - Cursus Master en Ingénierie - Sciences de la vie - Géo-énergies, Environnement et Matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29035&g_ta_cod=29035", 100.0, 0.0, 0.0),
(148, "Public", "0831616F", "Lycée Rouvière", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Rouvière - BTS - Production - Conception des processus de réalisation de produits (1ère année commune) - Parcours Marine Nationale / Maistrance - Défense", "BTS - Production", "Parcours Marine Nationale / Maistrance - Défense", 3, 52, 3, 52, 0, 7, 0, 23, 5, 8, 3, 14, 0, 0, 0, 0, 0, 18, 0, 0, 0, 4, 0, 12, 2, 1, 0, 1, 6, 3, 0, 3, 0, 1.0, 3.0, 3.0, 0, 1, 3, 0, 3, 0, 0, 0, 0, 2, 1, 0, 0.0, 0, 3, 0, 1, 0, 2, 2, 33.33, 100.0, 100.0, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 100.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 6.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "22027", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune) - Parcours Marine Nationale / Maistrance - Défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22027&g_ta_cod=22027", 0.0, 100.0, 0.0),
(149, "Privé sous contrat d'association", "0754030Y", "Lycée Albert de Mun", "75", "Paris", "Ile-de-France", "Paris", "Paris  7e  Arrondissement", "formation sélective", "BTS", "Lycée Albert de Mun - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 70, 1148, 506, 1148, 0, 173, 26, 419, 61, 268, 68, 288, 0, 0, 0, 0, 0, 1099, 0, 0, 0, 173, 26, 418, 61, 261, 68, 247, 420, 75, 30, 75, 0, 10.0, 42.0, 60.0, 0, 9, 63, 8, 36, 19, 12, 0, 15, 38, 7, 3, 0.0, 3, 27, 18, 18, 6, 34, 59, 13.33, 56.0, 80.0, 40.0, 54.0, 93.6875, 28.59765625, 14.298828125, 84.0, 0.0, 23.796875, 60.296875, 11.099609375, 4.8, 0.0, 12.69921875, 4.7998046875, 57.09375, 42.8984375, 30.19921875, 28.59765625, 97.0, 20.0, 72.0, 14.0, 62.0, "Tous les candidats sauf les Bac professionnels", 426.0, "Bacheliers professionnels toutes séries", 87, "", 0, "Liste d'appel propre à cette formation", 45.0, "9497", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9497&g_ta_cod=9497", 20.0, 55.0, 25.0),
(150, "Public", "0870015U", "Lycée Gay-Lussac", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "CPGE", "Lycée Gay-Lussac - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 719, 289, 709, 462, 546, 62, 1, 1, 0, 0, 162, 10, 8, 0, 0, 2, 525, 4, 350, 512, 490, 49, 0, 0, 0, 0, 35, 354, 33, 12, 31, 2, 1.0, 24.0, 31.0, 13, 4, 33, 33, 0, 0, 0, 0, 1, 3, 16, 13, 0.0, 32, 0, 0, 5, 1, 21, 21, 3.03, 72.73, 93.94, 36.3984375, 63.59375, 63.59375, 15.19921875, 12.099609375, 100.0, 0.0, 3.0, 9.099609375, 48.5, 39.4, 0.0, 100.0, 97.0, 0.0, 0.0, 0.0, 0.0, 338.0, 30.0, 0.0, 0.0, 16.0, "Tous les candidats", 522.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "10661", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10661&g_ta_cod=10661", 100.0, 0.0, 0.0),
(151, "Public", "0620257T", "Lycée professionnel Alain Savary", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "Lycée professionnel Alain Savary - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie (Seconde année possible en apprentissage)", "BTS - Services", "", 60, 590, 574, 590, 0, 63, 10, 188, 71, 193, 92, 146, 0, 0, 0, 0, 0, 590, 0, 0, 0, 63, 10, 188, 71, 193, 92, 146, 190, 57, 56, 57, 0, 8.0, 27.0, 49.0, 0, 21, 48, 5, 15, 28, 9, 0, 19, 15, 11, 3, 0.0, 4, 6, 19, 9, 9, 35, 35, 14.04, 47.37, 85.96, 98.1875, 72.890625, 72.890625, 18.796875, 43.796875, 84.1875, 0.0, 39.59375, 31.296875, 22.8984375, 6.3, 0.0, 10.3984375, 8.298828125, 31.296875, 12.5, 58.296875, 39.59375, 19.0, 7.0, 73.0, 35.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 111, "Bacheliers technologiques toutes séries", 153, "Liste d'appel propre à cette formation", 53.0, "7409", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7409&g_ta_cod=7409", 16.0, 35.0, 49.0),
(152, "Public", "0350700W", "Lycée agricole Theodore Monod", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Le Rheu", "formation sélective", "BTS", "Lycée agricole Theodore Monod - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 32, 460, 143, 451, 0, 68, 9, 82, 16, 97, 16, 204, 9, 4, 0, 0, 5, 253, 8, 0, 0, 64, 8, 74, 14, 88, 16, 27, 140, 27, 7, 24, 3, 10.0, 20.0, 27.0, 0, 4, 24, 4, 8, 12, 3, 0, 4, 15, 5, 0, 0.0, 3, 6, 11, 2, 1, 16, 16, 37.04, 74.07, 100.0, 25.8984375, 66.6875, 66.6875, 8.298828125, 16.69921875, 88.890625, 0.0, 16.69921875, 62.5, 20.796875, 0.0, 0.0, 16.69921875, 12.5, 33.296875, 25.0, 50.0, 45.796875, 41.0, 7.0, 32.0, 5.0, 21.0, "Tous les candidats sauf les Bac professionnels", 165.0, "Bacheliers professionnels toutes séries", 71, "", 0, "Liste d'appel propre à cette formation", 52.0, "4670", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4670&g_ta_cod=4670", 22.0, 33.0, 44.0),
(153, "Public", "0542526C", "IFSI Lionnois", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nancy - D.E Infirmier", "D.E secteur sanitaire", "", 130, 5049, 4101, 5049, 0, 1086, 215, 892, 272, 460, 165, 2611, 0, 0, 0, 0, 0, 4326, 0, 0, 0, 993, 184, 766, 222, 379, 125, 2188, 780, 130, 111, 130, 0, 8.0, 68.0, 92.0, 0, 20, 71, 27, 23, 21, 59, 0, 7, 29, 28, 7, 0.0, 25, 19, 20, 0, 0, 54, 54, 6.15, 52.31, 70.77, 85.390625, 76.09375, 76.09375, 0, 28.19921875, 54.59375, 0.0, 9.8984375, 40.796875, 39.3984375, 9.9, 0.0, 38.0, 35.1953125, 32.3984375, 26.796875, 29.59765625, 28.19921875, 114.0, 20.0, 91.0, 39.0, 453.0, "Tous les candidats", 1834.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "23185", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22997&g_ta_cod=23185", 49.0, 24.0, 26.0),
(154, "Privé sous contrat d'association", "0021874B", "Lycée Saint Remy", "02", "Aisne", "Hauts-de-France", "Amiens", "Soissons", "formation sélective", "BTS", "Lycée Saint Remy - BTS - Services - Communication", "BTS - Services", "", 38, 357, 210, 257, 0, 48, 9, 37, 8, 23, 10, 149, 100, 18, 17, 9, 56, 73, 35, 0, 0, 39, 6, 16, 1, 6, 2, 12, 103, 22, 16, 13, 9, 4.0, 13.0, 21.0, 0, 2, 15, 9, 4, 2, 7, 0, 8, 4, 2, 1, 0.0, 3, 2, 2, 0, 0, 12, 12, 18.18, 59.09, 95.45, 72.6875, 80.0, 80.0, 0, 13.298828125, 68.1875, 0.0, 53.296875, 26.69921875, 13.298828125, 6.7, 0.0, 60.0, 20.0, 26.69921875, 13.298828125, 13.298828125, 13.298828125, 45.0, 8.0, 11.0, 3.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 28.0, "2090", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2090&g_ta_cod=2090", 68.0, 18.0, 14.0),
(155, "Privé enseignement supérieur", "0762969P", "CESI Campus de Rouen (St Etienne du Rouvray)", "76", "Seine-Maritime", "Normandie", "Normandie", "Saint-Etienne-du-Rouvray", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 108, 1030, 156, 987, 0, 745, 80, 69, 15, 0, 0, 173, 43, 9, 2, 0, 32, 744, 12, 0, 0, 602, 43, 51, 6, 0, 0, 91, 340, 68, 7, 61, 7, 49.0, 61.0, 65.0, 0, 3, 58, 52, 6, 0, 10, 0, 7, 33, 16, 2, 0.0, 45, 6, 0, 0, 0, 54, 54, 72.06, 89.71, 95.59, 10.298828125, 93.09375, 93.09375, 0, 5.19921875, 85.296875, 0.0, 12.099609375, 56.8984375, 27.59765625, 3.4, 0.0, 89.6875, 77.59375, 10.298828125, 10.298828125, 0.0, 0.0, 252.0, 17.0, 0.0, 0.0, 69.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "25180", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25180", 90.0, 10.0, 0.0),
(156, "Public", "0623920Z", "Université du littoral - Site de Boulogne-sur-Mer", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation non sélective", "Licence_Las", "Université du littoral - Site de Boulogne-sur-Mer - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 43, 312, 234, 237, 0, 137, 36, 44, 16, 2, 2, 54, 75, 35, 2, 1, 37, 237, 70, 0, 0, 137, 36, 44, 16, 2, 2, 54, 252, 35, 22, 24, 11, 2.0, 24.0, 29.0, 0, 7, 23, 16, 7, 0, 12, 0, 11, 7, 4, 1, 0.0, 10, 2, 0, 0, 0, 18, 18, 5.71, 68.57, 82.86, 62.8984375, 78.296875, 78.296875, 0, 30.3984375, 65.6875, 0.0, 47.796875, 30.3984375, 17.3984375, 4.3, 0.0, 69.59375, 43.5, 30.3984375, 8.69921875, 0.0, 0.0, 143.0, 36.0, 1.0, 0.0, 73.0, "Tous les candidats", 838.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27862", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27861&g_ta_cod=27862", 63.0, 29.0, 6.0),
(157, "Public", "0590044C", "Lycée Joseph Marie Jacquard", "59", "Nord", "Hauts-de-France", "Lille", "Caudry", "formation sélective", "Autre formation", "Lycée Joseph Marie Jacquard - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 15, 26, 0, 26, 0, 0, 0, 0, 0, 24, 13, 2, 0, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 23, 12, 1, 21, 8, 0, 8, 0, 8.0, 8.0, 8.0, 0, 5, 8, 0, 0, 8, 0, 0, 5, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 8, 8, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 62.5, 100.0, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 37.5, 0.0, 0.0, 20.0, 11.0, 1.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "6730", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6730&g_ta_cod=6730", 0.0, 0.0, 100.0),
(158, "Public", "0300002P", "Lycée Jean-Baptiste Dumas", "30", "Gard", "Occitanie", "Montpellier", "Alès", "formation sélective", "BTS", "Lycée Jean-Baptiste Dumas - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 15, 101, 0, 100, 0, 3, 0, 28, 7, 43, 18, 26, 1, 0, 0, 0, 1, 74, 0, 0, 0, 3, 0, 26, 6, 36, 14, 9, 51, 13, 0, 12, 0, 4.0, 11.0, 11.0, 0, 4, 11, 1, 4, 6, 2, 1, 2, 3, 1, 4, 0.0, 0, 2, 6, 3, 0, 9, 9, 30.77, 84.62, 84.62, 0.0, 81.796875, 81.796875, 27.296875, 36.3984375, 84.59375, 9.099609375, 18.19921875, 27.296875, 9.099609375, 36.4, 0.0, 9.099609375, 0.0, 36.3984375, 18.19921875, 54.5, 54.5, 1.0, 0.0, 17.0, 7.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 47.0, "3925", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3925&g_ta_cod=3925", 15.0, 31.0, 54.0),
(159, "Public", "0593584A", "Faculté de médecine Henri Warembourg - Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Faculté de médecine Henri Warembourg - Université de Lille - Certificat de capacité d'Orthoptiste", "D.E secteur sanitaire", "", 20, 446, 377, 446, 0, 135, 38, 32, 14, 2, 1, 277, 0, 0, 0, 0, 0, 330, 0, 0, 0, 107, 23, 28, 13, 1, 0, 194, 49, 20, 19, 20, 0, 7.0, 18.0, 20.0, 0, 2, 12, 10, 2, 0, 8, 0, 0, 4, 8, 0, 0.0, 10, 2, 0, 0, 0, 7, 7, 35.0, 90.0, 100.0, 95.0, 58.296875, 58.296875, 0, 16.69921875, 60.0, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 83.296875, 83.296875, 16.69921875, 16.69921875, 0.0, 0.0, 18.0, 2.0, 0.0, 0.0, 26.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "28077", "Certificat de capacité d'Orthoptiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28077&g_ta_cod=28077", 90.0, 10.0, 0.0),
(160, "Public", "0280019U", "Lycée Rotrou", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Dreux", "formation sélective", "BTS", "Lycée Rotrou - BTS - Production - Bioqualité", "BTS - Production", "", 24, 233, 140, 233, 0, 14, 2, 76, 17, 33, 12, 110, 0, 0, 0, 0, 0, 108, 0, 0, 0, 10, 1, 70, 15, 11, 2, 17, 82, 24, 14, 24, 0, 5.0, 18.0, 23.0, 0, 5, 21, 1, 15, 5, 3, 1, 13, 4, 3, 0, 0.0, 0, 4, 3, 12, 7, 16, 16, 20.83, 75.0, 95.83, 58.296875, 76.1875, 76.1875, 57.09375, 23.796875, 87.5, 4.7998046875, 61.8984375, 19.0, 14.298828125, 0.0, 0.0, 4.7998046875, 0.0, 71.390625, 19.0, 23.796875, 14.298828125, 5.0, 1.0, 12.0, 2.0, 11.0, "Tous les candidats sauf les Bac professionnels", 85.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 41.0, "3727", "BTS - Production - Bioqualité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3727&g_ta_cod=3727", 4.0, 75.0, 21.0),
(161, "Public", "0300021K", "Lycée Alphonse DAUDET", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "CPGE", "Lycée Alphonse DAUDET - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 48, 583, 306, 547, 352, 409, 57, 1, 1, 0, 0, 137, 36, 17, 2, 0, 17, 317, 15, 39, 310, 292, 37, 0, 0, 0, 0, 25, 237, 26, 12, 26, 0, 2.0, 26.0, 26.0, 2, 3, 24, 24, 0, 0, 2, 0, 1, 10, 12, 1, 0.0, 23, 0, 0, 4, 3, 17, 17, 7.69, 100.0, 100.0, 46.1953125, 70.796875, 70.796875, 16.69921875, 12.5, 92.296875, 0.0, 4.19921875, 41.6953125, 50.0, 4.2, 0.0, 100.0, 95.796875, 0.0, 0.0, 0.0, 0.0, 217.0, 24.0, 0.0, 0.0, 20.0, "Tous les candidats", 330.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "31325", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31325&g_ta_cod=31325", 100.0, 0.0, 0.0),
(162, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales - Parcours Mathématiques, économie, finances", "Licence - Sciences - technologies - santé", "Mathématiques, économie, finances", 180, 1232, 384, 1071, 0, 694, 157, 33, 15, 8, 4, 336, 161, 22, 5, 1, 133, 1033, 132, 0, 0, 694, 157, 33, 15, 8, 4, 298, 1032, 148, 41, 104, 44, 34.0, 103.0, 129.0, 0, 20, 69, 62, 7, 0, 79, 0, 33, 19, 15, 2, 0.0, 33, 3, 0, 0, 0, 48, 48, 22.97, 69.59, 87.16, 27.69921875, 69.59375, 69.59375, 0, 29.0, 46.59375, 0.0, 47.796875, 27.5, 21.69921875, 2.9, 0.0, 89.890625, 47.796875, 10.099609375, 4.2998046875, 0.0, 0.0, 678.0, 145.0, 3.0, 2.0, 331.0, "Tous les candidats", 1031.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "7044", "Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales - Parcours Mathématiques, économie, finances", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7044&g_ta_cod=7044", 88.0, 10.0, 1.0),
(163, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Sciences de la terre", "Licence - Sciences - technologies - santé", "", 76, 378, 181, 332, 0, 237, 32, 8, 3, 0, 0, 87, 46, 27, 1, 0, 18, 332, 44, 0, 0, 237, 32, 8, 3, 0, 0, 87, 316, 65, 23, 48, 17, 21.0, 45.0, 56.0, 0, 2, 53, 51, 2, 0, 12, 3, 19, 15, 13, 2, 1.0, 29, 2, 0, 0, 0, 28, 28, 32.31, 69.23, 86.15, 35.3984375, 52.796875, 52.796875, 0, 3.7998046875, 81.5, 5.69921875, 35.796875, 28.296875, 24.5, 3.8, 1.9, 96.1875, 54.6953125, 3.7998046875, 3.7998046875, 0.0, 0.0, 222.0, 26.0, 0.0, 0.0, 88.0, "Tous les candidats", 367.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "8820", "Licence - Portail Sciences de la terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29654&g_ta_cod=8820", 94.0, 6.0, 0.0),
(164, "Public", "0300026R", "Lycée Dhuoda", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Dhuoda - BTS - Production - Maintenance des systèmes - option C Systèmes éoliens", "BTS - Production", "", 14, 316, 17, 309, 0, 11, 1, 93, 33, 109, 48, 96, 7, 0, 3, 0, 4, 239, 1, 0, 0, 11, 1, 83, 24, 91, 36, 54, 78, 12, 2, 11, 1, 0.0, 9.0, 10.0, 0, 2, 10, 0, 4, 6, 2, 0, 3, 4, 3, 0, 0.0, 0, 4, 3, 1, 0, 3, 3, 0.0, 75.0, 83.33, 16.69921875, 30.0, 30.0, 10, 20.0, 83.296875, 0.0, 30.0, 40.0, 30.0, 0.0, 0.0, 0.0, 0.0, 40.0, 40.0, 60.0, 30.0, 3.0, 1.0, 32.0, 11.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 52.0, "17291", "BTS - Production - Maintenance des systèmes - option C Systèmes éoliens", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17291&g_ta_cod=17291", 0.0, 50.0, 50.0),
(165, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Russe - confirmé  (niveau B1/B2 attendu)", "Licence - Arts-lettres-langues", "Russe - confirmé  (niveau B1/B2 attendu)", 40, 45, 31, 31, 0, 16, 10, 3, 1, 3, 1, 9, 14, 1, 0, 5, 8, 31, 14, 0, 0, 16, 10, 3, 1, 3, 1, 9, 45, 9, 5, 5, 4, 5.0, 5.0, 8.0, 0, 3, 3, 1, 0, 2, 6, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 55.56, 55.56, 88.89, 55.59375, 66.6875, 66.6875, 0, 100.0, 33.296875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 33.296875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 17.0, 10.0, 8.0, 3.0, 17.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4738", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Russe - confirmé  (niveau B1/B2 attendu)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4738&g_ta_cod=4738", 44.0, 11.0, 33.0),
(166, "Public", "0190609J", "Ecole Forestière de Meymac", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Meymac", "formation sélective", "BTS", "Ecole Forestière de Meymac - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 32, 329, 118, 323, 0, 11, 0, 23, 3, 27, 4, 262, 6, 0, 1, 2, 3, 62, 2, 0, 0, 10, 0, 23, 3, 23, 4, 6, 61, 14, 1, 13, 1, 8.0, 13.0, 14.0, 0, 2, 12, 0, 4, 8, 2, 0, 5, 5, 2, 0, 0.0, 0, 1, 6, 7, 0, 7, 7, 57.14, 92.86, 100.0, 7.099609375, 58.296875, 58.296875, 58.296875, 16.69921875, 85.6875, 0.0, 41.6953125, 41.6953125, 16.69921875, 0.0, 0.0, 0.0, 0.0, 33.296875, 8.298828125, 66.6875, 50.0, 9.0, 0.0, 22.0, 4.0, 8.0, "Tous les candidats sauf les Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 19.0, "3160", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3160&g_ta_cod=3160", 7.0, 36.0, 57.0),
(167, "Public", "0332425G", "IFSI Florence Nightingale", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bordeaux - D.E Infirmier", "D.E secteur sanitaire", "", 68, 7268, 6089, 7268, 0, 1506, 287, 1196, 302, 474, 157, 4092, 0, 0, 0, 0, 0, 5825, 0, 0, 0, 1378, 242, 1040, 241, 317, 107, 3090, 626, 68, 61, 68, 0, 5.0, 48.0, 56.0, 0, 10, 31, 18, 12, 1, 37, 0, 4, 14, 10, 3, 0.0, 15, 11, 1, 0, 0, 23, 23, 7.35, 70.59, 82.35, 89.6875, 74.1875, 74.1875, 0, 32.296875, 45.59375, 0.0, 12.8984375, 45.1953125, 32.296875, 9.7, 0.0, 58.09375, 48.3984375, 38.6953125, 35.5, 3.19970703125, 3.19970703125, 118.0, 24.0, 11.0, 7.0, 382.0, "Tous les candidats", 1807.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 17.0, "23945", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23940&g_ta_cod=23945", 74.0, 22.0, 1.0),
(168, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien", "Licence - Arts-lettres-langues", "Italien", 50, 188, 126, 94, 0, 44, 8, 5, 3, 3, 0, 42, 94, 18, 4, 3, 69, 94, 90, 0, 0, 44, 8, 5, 3, 3, 0, 42, 175, 49, 29, 14, 35, 8.0, 14.0, 33.0, 0, 3, 16, 12, 4, 0, 33, 0, 11, 3, 2, 0, 0.0, 4, 1, 0, 0, 0, 2, 11, 16.33, 28.57, 67.35, 59.1953125, 12.5, 68.796875, 0, 18.796875, 32.6953125, 0.0, 68.796875, 18.796875, 12.5, 0.0, 0.0, 75.0, 25.0, 25.0, 6.2998046875, 0.0, 0.0, 61.0, 12.0, 6.0, 1.0, 100.0, "Tous les candidats", 94.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24748", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24748&g_ta_cod=24748", 71.0, 18.0, 6.0),
(169, "Privé sous contrat d'association", "0761343X", "Lycée La Chataigneraie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Mesnil-Esnard", "formation sélective", "BTS", "Lycée La Chataigneraie - BTS - Production - Architectures en Métal : conception et Réalisation", "BTS - Production", "", 14, 89, 11, 86, 0, 9, 1, 23, 6, 30, 6, 24, 3, 1, 0, 1, 1, 45, 1, 0, 0, 5, 1, 17, 5, 19, 4, 4, 32, 13, 2, 12, 1, 7.0, 10.0, 12.0, 0, 3, 11, 3, 4, 4, 2, 0, 2, 6, 2, 1, 0.0, 1, 4, 4, 5, 0, 11, 11, 53.85, 76.92, 92.31, 15.3984375, 100.0, 100.0, 45.5, 27.296875, 84.59375, 0.0, 18.19921875, 54.5, 18.19921875, 9.1, 0.0, 27.296875, 9.099609375, 36.3984375, 36.3984375, 36.3984375, 36.3984375, 5.0, 1.0, 9.0, 1.0, 4.0, "Tous les candidats sauf les Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 13, "", 0, "Liste d'appel propre à cette formation", 43.0, "20162", "BTS - Production - Architectures en Métal : conception et Réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20162&g_ta_cod=20162", 31.0, 31.0, 38.0),
(170, "Public", "0700905D", "Lycée Edouard Belin", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Vesoul", "formation sélective", "BTS", "Lycée Edouard Belin - BTS - Production - Conception des processus de réalisation de produits (1ère année commune) - Parcours Ingénieur Microtechniques et Systèmes Intelligents", "BTS - Production", "Parcours Ingénieur Microtechniques et Systèmes Intelligents", 5, 63, 10, 63, 0, 25, 3, 12, 1, 7, 3, 19, 0, 0, 0, 0, 0, 28, 0, 0, 0, 17, 1, 7, 1, 3, 1, 1, 20, 6, 1, 6, 0, 1.0, 6.0, 6.0, 0, 0, 6, 4, 2, 0, 0, 0, 0, 4, 2, 0, 0.0, 4, 2, 0, 5, 0, 6, 6, 16.67, 100.0, 100.0, 16.69921875, 100.0, 100.0, 83.296875, 0.0, 100.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 13.0, 0.0, 3.0, 1.0, 1.0, "Tous les candidats sauf les Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 3, "", 0, "Liste d'appel propre à cette formation", 44.0, "29806", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune) - Parcours Ingénieur Microtechniques et Systèmes Intelligents", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29806&g_ta_cod=29806", 67.0, 33.0, 0.0),
(171, "Public", "9840001D", "Lycée des Iles Sous Le Vent", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Uturoa", "formation sélective", "BTS", "Lycée des Iles Sous Le Vent - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 165, 95, 165, 0, 14, 5, 59, 42, 29, 24, 63, 0, 0, 0, 0, 0, 124, 0, 0, 0, 12, 5, 54, 40, 27, 23, 31, 48, 24, 21, 24, 0, 14.0, 20.0, 23.0, 0, 15, 24, 6, 8, 10, 0, 0, 11, 10, 3, 0, 0.0, 1, 4, 8, 13, 10, 24, 24, 58.33, 83.33, 95.83, 87.5, 100.0, 100.0, 54.1953125, 62.5, 100.0, 0.0, 45.796875, 41.6953125, 12.5, 0.0, 0.0, 25.0, 4.19921875, 33.296875, 16.69921875, 41.6953125, 33.296875, 11.0, 4.0, 18.0, 16.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 38.0, "11992", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11992&g_ta_cod=11992", 25.0, 33.0, 42.0),
(172, "Privé sous contrat d'association", "0790080H", "Lycée Saint Joseph", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Bressuire", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 181, 67, 180, 0, 22, 2, 59, 12, 58, 10, 41, 1, 0, 1, 0, 0, 176, 1, 0, 0, 22, 2, 59, 12, 58, 10, 37, 105, 23, 8, 23, 0, 6.0, 20.0, 22.0, 0, 2, 19, 2, 8, 9, 4, 0, 9, 4, 5, 1, 0.0, 0, 3, 7, 8, 5, 17, 17, 26.09, 86.96, 95.65, 34.796875, 89.5, 89.5, 42.09375, 10.5, 82.59375, 0.0, 47.3984375, 21.09765625, 26.296875, 5.3, 0.0, 10.5, 0.0, 42.09375, 15.798828125, 47.3984375, 36.796875, 10.0, 2.0, 43.0, 8.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 69.0, "10117", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10117&g_ta_cod=10117", 22.0, 35.0, 43.0),
(173, "Public", "0630021F", "Lycée La Fayette", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "CPGE", "Lycée La Fayette - CPGE - MPSI", "Classe préparatoire scientifique", "", 35, 821, 254, 821, 491, 629, 84, 0, 0, 0, 0, 192, 0, 0, 0, 0, 0, 538, 0, 325, 523, 521, 65, 0, 0, 0, 0, 17, 217, 36, 11, 36, 0, 13.0, 26.0, 34.0, 9, 7, 34, 34, 0, 0, 2, 0, 1, 2, 20, 10, 1.0, 33, 0, 0, 2, 0, 31, 31, 36.11, 72.22, 94.44, 30.59765625, 91.1875, 91.1875, 5.8994140625, 20.59765625, 94.390625, 0.0, 2.89990234375, 5.8994140625, 58.796875, 29.4, 2.9, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 212.0, 32.0, 0.0, 0.0, 5.0, "Tous les candidats", 308.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "7562", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7562&g_ta_cod=7562", 100.0, 0.0, 0.0),
(174, "Public", "0672198A", "Lycée Le Corbusier", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "BTS", "Lycée Le Corbusier - BTS - Production - Travaux publics", "BTS - Production", "", 23, 257, 26, 242, 0, 42, 6, 78, 14, 31, 7, 91, 15, 4, 3, 2, 6, 152, 1, 0, 0, 40, 5, 69, 11, 25, 4, 18, 106, 16, 1, 14, 1, 1.0, 11.0, 13.0, 0, 6, 14, 4, 7, 3, 2, 0, 9, 5, 0, 0, 0.0, 2, 1, 2, 2, 0, 12, 12, 6.25, 68.75, 81.25, 6.2998046875, 85.6875, 85.6875, 14.298828125, 42.8984375, 87.5, 0.0, 64.296875, 35.6953125, 0.0, 0.0, 0.0, 28.59765625, 14.298828125, 50.0, 7.099609375, 21.3984375, 14.298828125, 24.0, 4.0, 16.0, 4.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 54.0, "7995", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7995&g_ta_cod=7995", 31.0, 50.0, 19.0),
(175, "Public", "0300023M", "Lycée ALBERT CAMUS", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée ALBERT CAMUS - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 53, 1176, 637, 1176, 0, 87, 37, 480, 243, 334, 164, 275, 0, 0, 0, 0, 0, 606, 0, 0, 0, 42, 15, 284, 148, 210, 97, 70, 246, 49, 23, 49, 0, 4.0, 22.0, 38.0, 0, 32, 44, 1, 25, 18, 5, 0, 19, 21, 4, 0, 0.0, 1, 13, 11, 7, 3, 34, 34, 8.16, 44.9, 77.55, 46.8984375, 77.296875, 77.296875, 15.8984375, 72.6875, 89.796875, 0.0, 43.1953125, 47.6953125, 9.099609375, 0.0, 0.0, 2.2998046875, 2.2998046875, 56.796875, 29.5, 40.8984375, 25.0, 11.0, 6.0, 87.0, 42.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 155, "Bacheliers technologiques toutes séries", 196, "Liste d'appel propre à cette formation", 31.0, "3934", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3934&g_ta_cod=3934", 6.0, 55.0, 39.0),
(176, "Privé sous contrat d'association", "0660552S", "Lycée NEOSUP Ecole Maso", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée NEOSUP Ecole Maso - BTS - Services - Diététique", "BTS - Services", "", 32, 470, 354, 441, 0, 127, 21, 114, 32, 18, 4, 182, 29, 11, 3, 0, 15, 251, 10, 0, 0, 103, 18, 34, 9, 2, 1, 112, 167, 27, 19, 24, 2, 5.0, 16.0, 23.0, 0, 3, 12, 7, 5, 0, 15, 0, 3, 6, 3, 0, 0.0, 4, 5, 0, 0, 0, 8, 8, 18.52, 59.26, 85.19, 70.390625, 66.6875, 66.6875, 0, 25.0, 44.3984375, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 58.296875, 33.296875, 41.6953125, 41.6953125, 0.0, 0.0, 52.0, 15.0, 2.0, 1.0, 97.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 197.0, "Bacheliers technologiques toutes séries", 46, "Bacheliers professionnels toutes séries", 2, "Liste d'appel propre à cette formation", 56.0, "14703", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14703&g_ta_cod=14703", 70.0, 26.0, 0.0),
(177, "Public", "0680053N", "I.U.T. de Colmar", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BUT", "I.U.T. de Colmar - BUT - Techniques de commercialisation Parcours :  International Business Management en triple diplôme franco suisse allemand Business international : achat et vente", "BUT - Service", "International Business Management en triple diplôme franco suisse allemand Business international : achat et vente", 32, 389, 184, 389, 0, 282, 31, 52, 12, 3, 3, 52, 0, 0, 0, 0, 0, 101, 0, 0, 0, 96, 2, 1, 0, 0, 0, 4, 57, 31, 17, 31, 0, 15.0, 29.0, 29.0, 0, 1, 30, 29, 1, 0, 1, 1, 0, 7, 13, 9, 0.0, 28, 1, 0, 0, 0, 23, 23, 48.39, 93.55, 93.55, 54.796875, 76.6875, 76.6875, 0, 3.2998046875, 96.796875, 3.2998046875, 0.0, 23.296875, 43.296875, 30.0, 0.0, 96.6875, 93.296875, 3.2998046875, 3.2998046875, 0.0, 0.0, 54.0, 2.0, 0.0, 0.0, 2.0, "Tous les candidats sauf les Bac technologiques", 58.0, "Bacheliers technologiques toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 15.0, "8119", "BUT - Techniques de commercialisation Parcours :  International Business Management en triple diplôme franco suisse allemand Business international : achat et vente", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8119&g_ta_cod=8119", 97.0, 3.0, 0.0),
(178, "Privé sous contrat d'association", "0920919Z", "Lycée Notre Dame de Ste Croix", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Neuilly-sur-Seine", "formation sélective", "CPGE", "Lycée Notre Dame de Ste Croix - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 23, 1592, 838, 1592, 0, 1506, 62, 0, 0, 0, 0, 86, 0, 0, 0, 0, 0, 755, 0, 0, 755, 750, 11, 0, 0, 0, 0, 5, 187, 23, 11, 23, 0, 6.0, 16.0, 20.0, 0, 1, 23, 23, 0, 0, 0, 0, 0, 0, 10, 13, 0.0, 23, 0, 0, 1, 0, 11, 20, 26.09, 69.57, 86.96, 47.796875, 47.796875, 87.0, 4.2998046875, 4.2998046875, 100.0, 0.0, 0.0, 0.0, 43.5, 56.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 184.0, 5.0, 0.0, 0.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "31622", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31410&g_ta_cod=31622", 100.0, 0.0, 0.0),
(179, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues étrangères appliquées - Parcours Allemand / Arabe", "Licence - Arts-lettres-langues", "Allemand / Arabe", 25, 78, 45, 4, 0, 2, 0, 0, 0, 1, 1, 1, 74, 2, 7, 10, 55, 3, 33, 0, 0, 2, 0, 0, 0, 1, 1, 0, 36, 11, 6, 0, 11, 0.0, 0.0, 3.0, 0, 2, 5, 0, 3, 2, 6, 0, 3, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 1, 5, 0.0, 0.0, 27.27, 54.5, 20.0, 100.0, 0, 40.0, 45.5, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 60.0, 20.0, 40.0, 20.0, 3.0, 0.0, 7.0, 4.0, 20.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "28193", "Licence - Langues étrangères appliquées - Parcours Allemand / Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28193&g_ta_cod=28193", 45.0, 27.0, 27.0),
(180, "Public", "0170029P", "Lycée Leonce Vieljeux", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "CPGE", "Lycée Leonce Vieljeux - CPGE - TSI", "Classe préparatoire scientifique", "", 48, 427, 45, 427, 341, 0, 0, 391, 70, 0, 0, 36, 0, 0, 0, 0, 0, 372, 0, 302, 313, 0, 0, 369, 64, 0, 0, 3, 181, 39, 2, 39, 0, 4.0, 38.0, 39.0, 24, 11, 39, 0, 39, 0, 0, 0, 3, 11, 18, 7, 0.0, 0, 36, 0, 3, 0, 11, 11, 10.26, 97.44, 100.0, 5.099609375, 28.19921875, 28.19921875, 7.69921875, 28.19921875, 100.0, 0.0, 7.69921875, 28.19921875, 46.1953125, 17.9, 0.0, 0.0, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 372.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "3029", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3029&g_ta_cod=3029", 0.0, 100.0, 0.0),
(181, "Public", "0750674A", "Lycée Jules SIEGFRIED", "75", "Paris", "Ile-de-France", "Paris", "Paris 10e  Arrondissement", "formation sélective", "BTS", "Lycée Jules SIEGFRIED - BTS - Services - Commerce International", "BTS - Services", "", 24, 2462, 1484, 2462, 0, 312, 92, 585, 245, 887, 455, 678, 0, 0, 0, 0, 0, 1656, 0, 0, 0, 259, 68, 475, 197, 457, 235, 465, 106, 25, 19, 25, 0, 5.0, 23.0, 24.0, 0, 10, 21, 0, 4, 17, 4, 0, 0, 6, 14, 1, 0.0, 0, 4, 17, 2, 2, 6, 18, 20.0, 92.0, 96.0, 76.0, 28.59765625, 85.6875, 9.5, 47.59375, 84.0, 0.0, 0.0, 28.59765625, 66.6875, 4.8, 0.0, 0.0, 0.0, 19.0, 19.0, 81.0, 81.0, 8.0, 4.0, 72.0, 34.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 112, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 7.0, "19898", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19898&g_ta_cod=19898", 12.0, 16.0, 72.0),
(182, "Privé hors contrat", "0261286G", "Ecole technique privée EPSECO", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "Ecole technique privée EPSECO - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 16, 163, 159, 154, 0, 33, 9, 45, 16, 33, 9, 43, 9, 3, 1, 0, 5, 76, 8, 0, 0, 19, 5, 18, 4, 18, 6, 21, 61, 4, 4, 3, 1, 0.0, 2.0, 3.0, 0, 0, 2, 1, 1, 0, 2, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 0.0, 50.0, 75.0, 100.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 18.0, 4.0, 6.0, 0.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers technologiques toutes séries", 20, "Bacheliers professionnels toutes séries", 5, "Liste d'appel propre à cette formation", 40.0, "24305", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24305&g_ta_cod=24305", 25.0, 75.0, 0.0),
(183, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Autre formation", "Institut Catholique de Lyon - ESQESE - Formation professionnelle - Chargé de mission qualité, sécurité, santé au travail et environnement (Bac + 3)", "Formation professionnelle", "", 46, 89, 47, 63, 0, 29, 2, 9, 0, 0, 0, 25, 26, 11, 1, 0, 14, 34, 13, 0, 0, 20, 0, 6, 0, 0, 0, 8, 47, 15, 7, 12, 3, 12.0, 12.0, 13.0, 0, 0, 11, 9, 2, 0, 4, 0, 6, 5, 0, 0, 0.0, 4, 1, 0, 0, 0, 10, 10, 80.0, 80.0, 86.67, 46.6953125, 90.890625, 90.890625, 0, 0.0, 73.296875, 0.0, 54.5, 45.5, 0.0, 0.0, 0.0, 81.796875, 36.3984375, 18.19921875, 9.099609375, 0.0, 0.0, 24.0, 0.0, 0.0, 0.0, 17.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "12194", "Formation professionnelle - Chargé de mission qualité, sécurité, santé au travail et environnement (Bac + 3)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12194&g_ta_cod=12194", 80.0, 20.0, 0.0),
(184, "Privé enseignement supérieur", "0941953M", "ESME Sudria", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Ivry-sur-Seine", "formation sélective", "BTS", "ESME Sudria - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 12, 499, 30, 322, 0, 81, 18, 92, 25, 53, 15, 96, 177, 0, 61, 39, 77, 83, 17, 0, 0, 32, 5, 25, 5, 15, 1, 11, 70, 13, 1, 8, 5, 2.0, 7.0, 11.0, 0, 4, 11, 2, 3, 6, 2, 0, 5, 2, 3, 1, 0.0, 0, 0, 6, 0, 0, 4, 9, 15.38, 53.85, 84.62, 7.69921875, 36.3984375, 81.796875, 0, 36.3984375, 84.59375, 0.0, 45.5, 18.19921875, 27.296875, 9.1, 0.0, 18.19921875, 0.0, 27.296875, 0.0, 54.5, 54.5, 14.0, 2.0, 16.0, 2.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 21.0, "25099", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25099&g_ta_cod=25099", 15.0, 38.0, 46.0),
(185, "Privé sous contrat d'association", "0442774B", "LGT SAINT FELIX - LA SALLE", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LGT SAINT FELIX - LA SALLE - BTS - Production - Electrotechnique", "BTS - Production", "", 23, 142, 4, 137, 0, 12, 0, 27, 3, 79, 17, 19, 5, 1, 0, 2, 2, 135, 3, 0, 0, 12, 0, 27, 3, 79, 17, 17, 102, 16, 1, 14, 2, 1.0, 11.0, 15.0, 0, 3, 15, 1, 2, 12, 1, 0, 6, 6, 3, 0, 0.0, 0, 1, 8, 0, 0, 13, 13, 6.25, 68.75, 93.75, 6.2998046875, 86.6875, 86.6875, 0, 20.0, 93.796875, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 6.69921875, 0.0, 13.298828125, 6.69921875, 80.0, 53.296875, 13.0, 0.0, 48.0, 9.0, 14.0, "Tous les candidats sauf les Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 79, "", 0, "Liste d'appel propre à cette formation", 97.0, "5516", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5516&g_ta_cod=5516", 13.0, 13.0, 75.0),
(186, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Langues étrangères appliquées - Parcours Langues étrangères appliquées, Traduction scientifique et technique, option Anglais  Allemand", "Licence - Arts-lettres-langues", "Langues étrangères appliquées, Traduction scientifique et technique, option Anglais  Allemand", 20, 109, 77, 84, 0, 38, 7, 10, 8, 4, 3, 32, 25, 0, 4, 4, 17, 84, 20, 0, 0, 38, 7, 10, 8, 4, 3, 32, 94, 19, 13, 9, 10, 3.0, 9.0, 12.0, 0, 6, 11, 3, 5, 3, 8, 0, 6, 3, 2, 0, 0.0, 3, 2, 0, 0, 0, 10, 10, 15.79, 47.37, 63.16, 68.390625, 90.890625, 90.890625, 0, 54.5, 57.8984375, 0.0, 54.5, 27.296875, 18.19921875, 0.0, 0.0, 27.296875, 27.296875, 45.5, 18.19921875, 27.296875, 0.0, 35.0, 6.0, 6.0, 4.0, 39.0, "Tous les candidats", 84.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20735", "Licence - Langues étrangères appliquées - Parcours Langues étrangères appliquées, Traduction scientifique et technique, option Anglais  Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20735&g_ta_cod=20735", 47.0, 32.0, 16.0),
(187, "Public", "0820021C", "Lycée Antoine Bourdelle", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Montauban", "formation sélective", "BTS", "Lycée Antoine Bourdelle - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 34, 367, 193, 341, 0, 40, 12, 111, 47, 63, 34, 127, 26, 0, 0, 19, 7, 205, 6, 0, 0, 38, 11, 108, 46, 27, 15, 32, 83, 30, 13, 28, 2, 9.0, 17.0, 26.0, 0, 12, 24, 3, 15, 6, 6, 0, 8, 15, 1, 0, 0.0, 2, 8, 6, 4, 1, 23, 23, 30.0, 56.67, 86.67, 43.296875, 95.796875, 95.796875, 16.69921875, 50.0, 80.0, 0.0, 33.296875, 62.5, 4.19921875, 0.0, 0.0, 12.5, 8.298828125, 62.5, 33.296875, 25.0, 25.0, 12.0, 6.0, 26.0, 12.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 98, "Liste d'appel propre à cette formation", 53.0, "10320", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10320&g_ta_cod=10320", 13.0, 63.0, 23.0),
(188, "Public", "0211986V", "Lycée Les Marcs D'Or", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Les Marcs D'Or - BTS - Production - Bâtiment", "BTS - Production", "", 23, 333, 53, 331, 0, 52, 6, 122, 22, 68, 25, 89, 2, 0, 1, 0, 1, 196, 0, 0, 0, 39, 4, 99, 14, 37, 8, 21, 81, 21, 3, 21, 0, 8.0, 17.0, 19.0, 0, 2, 17, 3, 5, 9, 4, 0, 8, 4, 5, 0, 0.0, 1, 2, 6, 6, 1, 14, 14, 38.1, 80.95, 90.48, 14.298828125, 82.390625, 82.390625, 35.296875, 11.798828125, 81.0, 0.0, 47.09375, 23.5, 29.3984375, 0.0, 0.0, 17.59765625, 5.8994140625, 29.3984375, 11.798828125, 52.8984375, 35.296875, 18.0, 4.0, 27.0, 6.0, 12.0, "Tous les candidats sauf les Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 31.0, "3287", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3287&g_ta_cod=3287", 29.0, 24.0, 48.0),
(189, "Public", "0300021K", "Lycée Alphonse DAUDET", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "CPGE", "Lycée Alphonse DAUDET - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 695, 434, 660, 425, 471, 51, 0, 0, 1, 0, 188, 35, 13, 0, 0, 22, 387, 8, 38, 383, 353, 32, 0, 0, 0, 0, 34, 280, 28, 17, 26, 2, 6.0, 25.0, 27.0, 3, 4, 26, 26, 0, 0, 2, 0, 0, 3, 13, 10, 0.0, 26, 0, 0, 3, 1, 11, 11, 21.43, 89.29, 96.43, 60.6953125, 42.296875, 42.296875, 11.5, 15.3984375, 92.890625, 0.0, 0.0, 11.5, 50.0, 38.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 250.0, 26.0, 0.0, 0.0, 30.0, "Tous les candidats", 389.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "3930", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3930&g_ta_cod=3930", 100.0, 0.0, 0.0),
(190, "Public", "0500017X", "Lycée Alexis De Tocqueville", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "BTS", "Lycée Alexis De Tocqueville - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 15, 208, 183, 208, 0, 39, 8, 20, 4, 94, 22, 55, 0, 0, 0, 0, 0, 208, 0, 0, 0, 39, 8, 20, 4, 94, 22, 55, 73, 14, 14, 14, 0, 1.0, 7.0, 13.0, 0, 2, 10, 1, 0, 9, 4, 0, 0, 1, 5, 4, 0.0, 1, 0, 9, 1, 1, 6, 6, 7.14, 50.0, 92.86, 100.0, 60.0, 60.0, 10, 20.0, 71.390625, 0.0, 0.0, 10.0, 50.0, 40.0, 0.0, 10.0, 10.0, 0.0, 0.0, 90.0, 90.0, 12.0, 3.0, 43.0, 9.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 55.0, "13336", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13336&g_ta_cod=13336", 14.0, 7.0, 79.0),
(191, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Langues : Anglais - Arabe", "Licence - Arts-lettres-langues", "Langues : Anglais - Arabe", 32, 176, 131, 172, 0, 63, 41, 23, 18, 17, 12, 69, 4, 1, 0, 0, 3, 172, 4, 0, 0, 63, 41, 23, 18, 17, 12, 69, 116, 32, 23, 30, 2, 7.0, 27.0, 30.0, 0, 12, 14, 8, 4, 2, 18, 0, 3, 10, 1, 0, 0.0, 7, 2, 2, 0, 0, 6, 6, 21.88, 84.38, 93.75, 71.890625, 42.8984375, 42.8984375, 0, 85.6875, 43.796875, 0.0, 21.3984375, 71.390625, 7.099609375, 0.0, 0.0, 57.09375, 50.0, 28.59765625, 14.298828125, 14.298828125, 14.298828125, 47.0, 28.0, 9.0, 6.0, 45.0, "Tous les candidats", 158.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "19311", "Licence - Portail Langues : Anglais - Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19311&g_ta_cod=19311", 56.0, 31.0, 13.0),
(192, "Privé sous contrat d'association", "0430055B", "Lycée Polyvalent La Chartreuse", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Brives-Charensac", "formation sélective", "Autre formation", "Lycée Polyvalent La Chartreuse - Formation professionnelle - Technicien supérieur de maintenance et d'exploitation en climatique (bac +2)", "Formation professionnelle", "", 12, 5, 0, 4, 0, 0, 0, 0, 0, 1, 0, 3, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 1.0, 0.0, 0.0, "Tous les candidats", 1.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "25388", "Formation professionnelle - Technicien supérieur de maintenance et d'exploitation en climatique (bac +2)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25388&g_ta_cod=25388", 0, 0, 0),
(193, "Public", "0460010L", "Lycée Champollion", "46", "Lot", "Occitanie", "Toulouse", "Figeac", "formation sélective", "BTS", "Lycée Champollion - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 12, 65, 5, 55, 0, 6, 1, 14, 3, 30, 15, 5, 10, 0, 3, 6, 1, 39, 2, 0, 0, 6, 1, 11, 2, 20, 8, 2, 36, 11, 1, 10, 1, 2.0, 9.0, 11.0, 0, 4, 10, 2, 1, 7, 1, 0, 2, 3, 5, 0, 0.0, 2, 0, 6, 0, 0, 8, 8, 18.18, 81.82, 100.0, 9.099609375, 80.0, 80.0, 0, 40.0, 90.890625, 0.0, 20.0, 30.0, 50.0, 0.0, 0.0, 20.0, 20.0, 10.0, 0.0, 70.0, 60.0, 4.0, 1.0, 19.0, 8.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 64.0, "5744", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5744&g_ta_cod=5744", 18.0, 18.0, 64.0),
(194, "Public", "0020049T", "Lycée Pierre de La Ramee", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "CPGE", "Lycée Pierre de La Ramee - CPGE - PCSI", "Classe préparatoire scientifique", "", 24, 342, 129, 342, 242, 167, 25, 0, 0, 1, 1, 174, 0, 0, 0, 0, 0, 305, 0, 242, 200, 165, 24, 0, 0, 0, 0, 140, 137, 23, 5, 22, 0, 3.0, 17.0, 20.0, 11, 4, 17, 17, 0, 0, 6, 0, 2, 4, 7, 2, 2.0, 15, 0, 0, 3, 0, 15, 15, 13.04, 73.91, 86.96, 21.69921875, 88.1875, 88.1875, 17.59765625, 23.5, 73.890625, 0.0, 11.798828125, 23.5, 41.1953125, 11.8, 11.8, 100.0, 88.1875, 0.0, 0.0, 0.0, 0.0, 104.0, 17.0, 0.0, 0.0, 33.0, "Tous les candidats", 202.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "2058", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2058&g_ta_cod=2058", 96.0, 4.0, 0.0),
(195, "Public", "7200011Z", "Lycée professionnel Scamaroni", "2B", "Haute-Corse", "Corse", "Corse", "Bastia", "formation sélective", "BTS", "Lycée professionnel Scamaroni - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 30, 146, 75, 138, 0, 0, 0, 39, 7, 57, 14, 42, 8, 0, 0, 3, 5, 69, 0, 0, 0, 0, 0, 18, 2, 27, 6, 24, 59, 16, 6, 15, 0, 13.0, 15.0, 16.0, 0, 5, 10, 0, 0, 10, 6, 0, 2, 6, 1, 1, 0.0, 0, 0, 8, 7, 3, 10, 10, 81.25, 93.75, 100.0, 37.5, 100.0, 100.0, 70, 50.0, 62.5, 0.0, 20.0, 60.0, 10.0, 10.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 26.0, 7.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 43.0, "11690", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11690&g_ta_cod=11690", 19.0, 19.0, 63.0),
(196, "Public", "0630018C", "Lycée Blaise Pascal", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "CPGE", "Lycée Blaise Pascal - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 1572, 1086, 1572, 1024, 1301, 140, 2, 1, 0, 0, 269, 0, 0, 0, 0, 0, 1327, 0, 643, 1245, 1208, 133, 1, 0, 0, 0, 118, 411, 46, 33, 46, 0, 5.0, 20.0, 43.0, 5, 13, 44, 44, 0, 0, 2, 0, 1, 8, 25, 9, 1.0, 43, 0, 0, 1, 0, 14, 14, 10.87, 43.48, 93.48, 71.6875, 31.796875, 31.796875, 2.2998046875, 29.5, 95.6875, 0.0, 2.2998046875, 18.19921875, 56.796875, 20.5, 2.3, 100.0, 97.6875, 0.0, 0.0, 0.0, 0.0, 387.0, 63.0, 0.0, 0.0, 24.0, "Tous les candidats", 583.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "7547", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7547&g_ta_cod=7547", 100.0, 0.0, 0.0),
(197, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence", "Université du Mans - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER allemand (parcours études européennes inclus)", "Licence - Arts-lettres-langues", "LLCER allemand (parcours études européennes inclus)", 80, 45, 30, 34, 0, 30, 8, 1, 1, 1, 1, 2, 11, 1, 1, 1, 8, 34, 10, 0, 0, 30, 8, 1, 1, 1, 1, 2, 44, 8, 6, 4, 4, 4.0, 4.0, 7.0, 0, 1, 4, 4, 0, 0, 4, 0, 0, 1, 2, 1, 0.0, 4, 0, 0, 0, 0, 3, 3, 50.0, 50.0, 87.5, 75.0, 75.0, 75.0, 0, 25.0, 50.0, 0.0, 0.0, 25.0, 50.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 31.0, 8.0, 1.0, 1.0, 10.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "8739", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER allemand (parcours études européennes inclus)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26878&g_ta_cod=8739", 63.0, 13.0, 25.0),
(198, "Public", "0312267W", "Lycée Des Arènes", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Des Arènes - BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "BTS - Services", "", 12, 750, 342, 750, 0, 302, 65, 91, 29, 90, 42, 267, 0, 0, 0, 0, 0, 619, 0, 0, 0, 301, 65, 52, 19, 56, 26, 210, 37, 13, 8, 13, 0, 3.0, 11.0, 12.0, 0, 4, 11, 7, 1, 3, 2, 0, 0, 4, 6, 1, 0.0, 7, 1, 3, 0, 0, 5, 5, 23.08, 84.62, 92.31, 61.5, 45.5, 45.5, 0, 36.3984375, 84.59375, 0.0, 0.0, 36.3984375, 54.5, 9.1, 0.0, 63.59375, 63.59375, 9.099609375, 9.099609375, 27.296875, 27.296875, 25.0, 7.0, 7.0, 3.0, 3.0, "Tous les candidats sauf les Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 5.0, "4214", "BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4214&g_ta_cod=4214", 69.0, 8.0, 23.0),
(199, "Public", "0692717D", "Lycée Jacques Brel", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Vénissieux", "formation sélective", "BTS", "Lycée Jacques Brel - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 24, 992, 105, 992, 0, 98, 29, 349, 142, 225, 105, 320, 0, 0, 0, 0, 0, 505, 0, 0, 0, 74, 18, 145, 48, 164, 74, 122, 141, 24, 2, 24, 0, 1.0, 17.0, 17.0, 0, 13, 17, 2, 8, 7, 7, 0, 3, 11, 3, 0, 0.0, 2, 6, 6, 1, 1, 16, 16, 4.17, 70.83, 70.83, 8.298828125, 94.09375, 94.09375, 5.8994140625, 76.5, 70.796875, 0.0, 17.59765625, 64.6875, 17.59765625, 0.0, 0.0, 11.798828125, 11.798828125, 47.09375, 35.296875, 41.1953125, 35.296875, 10.0, 4.0, 54.0, 21.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 98, "Liste d'appel propre à cette formation", 20.0, "8545", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8545&g_ta_cod=8545", 8.0, 50.0, 42.0),
(200, "Public", "0750682J", "Lycée Rodin", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "CPGE", "Lycée Rodin - CPGE - ECG -  - Mathématiques approfondies + ESH", "Classe préparatoire économique et commerciale", "", 48, 946, 470, 900, 148, 777, 145, 0, 0, 2, 1, 121, 46, 24, 1, 1, 20, 744, 12, 112, 728, 711, 130, 0, 0, 0, 0, 33, 520, 20, 5, 18, 2, 0.0, 6.0, 19.0, 0, 3, 16, 16, 0, 0, 4, 0, 3, 10, 3, 0, 0.0, 13, 0, 0, 0, 0, 6, 16, 0.0, 30.0, 95.0, 25.0, 37.5, 100.0, 0, 18.796875, 80.0, 0.0, 18.796875, 62.5, 18.796875, 0.0, 0.0, 100.0, 81.296875, 0.0, 0.0, 0.0, 0.0, 494.0, 88.0, 0.0, 0.0, 26.0, "Tous les candidats", 736.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "31872", "CPGE - ECG -  - Mathématiques approfondies + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31872&g_ta_cod=31872", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(201, "Privé sous contrat d'association", "0360686A", "Lycée agricole de Saint-Cyran-du-Jambot", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Saint-Cyran-du-Jambot", "formation sélective", "BTS", "Lycée agricole de Saint-Cyran-du-Jambot - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 20, 87, 56, 79, 0, 11, 1, 13, 2, 33, 10, 22, 8, 1, 0, 2, 5, 54, 7, 0, 0, 11, 1, 13, 2, 27, 10, 3, 52, 9, 8, 8, 1, 2.0, 8.0, 9.0, 0, 3, 9, 0, 2, 7, 0, 0, 4, 3, 2, 0, 0.0, 0, 0, 5, 9, 8, 9, 9, 22.22, 88.89, 100.0, 88.890625, 100.0, 100.0, 100, 33.296875, 100.0, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 0.0, 0.0, 22.19921875, 0.0, 77.796875, 55.59375, 11.0, 1.0, 23.0, 9.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers technologiques toutes séries", 15, "Bacheliers professionnels toutes séries", 27, "Liste d'appel propre à cette formation", 67.0, "24792", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24792&g_ta_cod=24792", 0.0, 22.0, 78.0),
(202, "Public", "0060075Z", "Lycée Les Eucalyptus", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Les Eucalyptus - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 609, 67, 609, 0, 105, 17, 130, 38, 145, 62, 229, 0, 0, 0, 0, 0, 379, 0, 0, 0, 89, 14, 79, 22, 145, 62, 66, 128, 27, 1, 27, 0, 1.0, 22.0, 25.0, 0, 4, 21, 2, 8, 11, 6, 0, 7, 9, 5, 0, 0.0, 1, 5, 8, 4, 0, 18, 18, 3.7, 81.48, 92.59, 3.69970703125, 85.6875, 85.6875, 19, 19.0, 77.796875, 0.0, 33.296875, 42.8984375, 23.796875, 0.0, 0.0, 9.5, 4.7998046875, 38.09375, 23.796875, 52.3984375, 38.09375, 15.0, 4.0, 46.0, 17.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 28.0, "2231", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2231&g_ta_cod=2231", 11.0, 37.0, 52.0),
(203, "Public", "0330021U", "Lycée Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Montaigne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 21, 2514, 1304, 2514, 1686, 2237, 169, 2, 0, 0, 0, 275, 0, 0, 0, 0, 0, 1226, 0, 548, 1039, 1225, 86, 0, 0, 0, 0, 1, 56, 21, 16, 21, 0, 9.0, 19.0, 21.0, 5, 1, 21, 21, 0, 0, 0, 0, 0, 0, 8, 11, 2.0, 21, 0, 0, 2, 1, 16, 16, 42.86, 90.48, 100.0, 76.1875, 76.1875, 76.1875, 9.5, 4.7998046875, 100.0, 0.0, 0.0, 0.0, 38.09375, 52.4, 9.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 56.0, 6.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "31635", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31281&g_ta_cod=31635", 100.0, 0.0, 0.0),
(204, "Public", "0593255T", "Lycée de la Nature et des Biotechnologies, Douai Bio Tech'", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "BTS", "Lycée de la Nature et des Biotechnologies, Douai Bio Tech' - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 24, 179, 50, 165, 0, 19, 3, 53, 11, 19, 3, 74, 14, 2, 3, 3, 6, 97, 8, 0, 0, 18, 3, 45, 9, 14, 2, 20, 84, 15, 5, 13, 2, 4.0, 13.0, 13.0, 0, 3, 12, 3, 7, 2, 3, 0, 4, 5, 3, 0, 0.0, 3, 3, 2, 2, 1, 11, 11, 26.67, 86.67, 86.67, 33.296875, 91.6875, 91.6875, 16.69921875, 25.0, 80.0, 0.0, 33.296875, 41.6953125, 25.0, 0.0, 0.0, 25.0, 25.0, 58.296875, 25.0, 16.69921875, 16.69921875, 16.0, 2.0, 14.0, 2.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 56.0, "6992", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6992&g_ta_cod=6992", 40.0, 47.0, 13.0),
(205, "Public", "0750612H", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART.", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART. - DN MADE - Ornement - - Spécialité : Mosaïque", "DN MADE", "- Spécialité : Mosaïque", 7, 102, 88, 102, 0, 30, 6, 31, 8, 5, 0, 36, 0, 0, 0, 0, 0, 50, 0, 0, 0, 10, 1, 20, 4, 2, 0, 18, 25, 6, 5, 6, 0, 2.0, 5.0, 6.0, 0, 1, 5, 3, 2, 0, 1, 0, 0, 2, 2, 1, 0.0, 3, 2, 0, 0, 0, 1, 3, 33.33, 83.33, 100.0, 83.296875, 20.0, 60.0, 0, 20.0, 83.296875, 0.0, 0.0, 40.0, 40.0, 20.0, 0.0, 60.0, 60.0, 40.0, 40.0, 0.0, 0.0, 8.0, 1.0, 0.0, 0.0, 8.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "21787", "DN MADE - Ornement - - Spécialité : Mosaïque", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21787&g_ta_cod=21787", 67.0, 33.0, 0.0),
(206, "Privé enseignement supérieur", "0251746M", "IRTS de Franche-Comté", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "EFTS", "IRTS de Franche-Comté - D.E Educateur Technique Spécialisé", "D.E secteur social", "", 3, 20, 13, 20, 0, 0, 0, 4, 0, 4, 1, 12, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 0, 4, 0, 3, 1, 12, 8, 6, 2, 6, 0, 4.0, 6.0, 6.0, 0, 1, 1, 0, 0, 1, 5, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 66.67, 100.0, 100.0, 33.296875, 100.0, 100.0, 0, 100.0, 16.69921875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 1.0, 1.0, 7.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "24835", "D.E Educateur Technique Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24835&g_ta_cod=24835", 33.0, 0.0, 67.0),
(207, "Public", "0950650R", "Lycée Jean-Jacques Rousseau", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Sarcelles", "formation sélective", "BTS", "Lycée Jean-Jacques Rousseau - BTS - Services - Commerce International", "BTS - Services", "", 35, 1337, 789, 1337, 0, 173, 76, 458, 225, 248, 129, 458, 0, 0, 0, 0, 0, 956, 0, 0, 0, 151, 66, 319, 164, 207, 105, 279, 133, 35, 24, 35, 0, 4.0, 29.0, 30.0, 0, 15, 30, 3, 18, 9, 5, 0, 10, 15, 5, 0, 0.0, 1, 11, 8, 4, 4, 18, 29, 11.43, 82.86, 85.71, 68.59375, 60.0, 96.6875, 13.298828125, 50.0, 85.6875, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 10.0, 3.2998046875, 60.0, 36.6953125, 30.0, 26.69921875, 13.0, 5.0, 26.0, 11.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 13.0, "11580", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11580&g_ta_cod=11580", 11.0, 60.0, 29.0),
(208, "Public", "0350697T", "I.U.T de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BUT", "I.U.T de Rennes - BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Chimie industrielle - Synthèse", "BUT - Production", "Analyse, contrôle-qualité, environnement - Chimie industrielle - Synthèse", 104, 1736, 984, 1736, 0, 1071, 116, 251, 46, 2, 0, 412, 0, 0, 0, 0, 0, 1324, 0, 0, 0, 889, 82, 177, 26, 0, 0, 258, 523, 103, 58, 103, 0, 5.0, 80.0, 98.0, 0, 16, 90, 68, 22, 0, 13, 0, 3, 37, 41, 9, 0.0, 67, 20, 0, 0, 0, 57, 57, 4.85, 77.67, 95.15, 56.296875, 63.296875, 63.296875, 0, 17.796875, 87.390625, 0.0, 3.2998046875, 41.09375, 45.59375, 10.0, 0.0, 75.59375, 74.390625, 24.3984375, 22.19921875, 0.0, 0.0, 342.0, 44.0, 0.0, 0.0, 75.0, "Tous les candidats sauf les Bac technologiques", 639.0, "Bacheliers technologiques toutes séries", 194, "", 0, "Liste d'appel propre à cette formation", 48.0, "4660", "BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Chimie industrielle - Synthèse", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4660&g_ta_cod=4660", 74.0, 25.0, 0.0),
(209, "Privé sous contrat d'association", "0941934S", "EFREI Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villejuif", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 16, 204, 18, 204, 0, 0, 0, 204, 59, 0, 0, 0, 0, 0, 0, 0, 0, 180, 0, 0, 0, 0, 0, 180, 48, 0, 0, 0, 134, 23, 2, 23, 0, 19.0, 23.0, 23.0, 0, 3, 23, 0, 23, 0, 0, 0, 1, 8, 14, 0, 0.0, 0, 22, 0, 0, 0, 4, 21, 82.61, 100.0, 100.0, 8.69921875, 17.3984375, 91.296875, 0, 13.0, 100.0, 0.0, 4.2998046875, 34.796875, 60.8984375, 0.0, 0.0, 0.0, 0.0, 100.0, 95.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "22902", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=22902", 0.0, 100.0, 0.0),
(210, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 55, 195, 144, 165, 0, 115, 38, 10, 4, 5, 2, 35, 30, 9, 1, 0, 20, 164, 23, 0, 0, 115, 38, 10, 4, 5, 2, 34, 158, 40, 26, 32, 8, 12.0, 32.0, 39.0, 0, 12, 26, 24, 2, 0, 14, 0, 10, 8, 6, 2, 0.0, 15, 1, 0, 0, 0, 23, 23, 30.0, 80.0, 97.5, 65.0, 88.5, 88.5, 0, 46.1953125, 65.0, 0.0, 38.5, 30.796875, 23.09765625, 7.7, 0.0, 92.296875, 57.6953125, 7.69921875, 3.7998046875, 0.0, 0.0, 103.0, 32.0, 3.0, 1.0, 43.0, "Tous les candidats", 164.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "11711", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11711&g_ta_cod=11711", 85.0, 10.0, 0.0),
(211, "Public", "0450092F", "I.U.T d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 12, 268, 16, 265, 0, 0, 0, 248, 46, 0, 0, 17, 3, 0, 1, 0, 2, 115, 0, 0, 0, 0, 0, 111, 21, 0, 0, 4, 66, 7, 0, 7, 0, 0.0, 7.0, 7.0, 0, 1, 7, 0, 7, 0, 0, 0, 0, 2, 5, 0, 0.0, 0, 7, 0, 0, 0, 5, 5, 0.0, 100.0, 100.0, 0.0, 71.390625, 71.390625, 0, 14.298828125, 100.0, 0.0, 0.0, 28.59765625, 71.390625, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 356.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 43.0, "215", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=215", 0.0, 100.0, 0.0),
(212, "Privé sous contrat d'association", "0690671E", "Lycée Jean-Baptiste De La Salle", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "BTS", "Lycée Jean-Baptiste De La Salle - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 32, 1139, 827, 1139, 0, 331, 63, 354, 85, 70, 24, 384, 0, 0, 0, 0, 0, 728, 0, 0, 0, 285, 48, 224, 47, 28, 6, 191, 204, 29, 22, 29, 0, 2.0, 16.0, 22.0, 0, 3, 22, 3, 15, 4, 7, 0, 7, 10, 5, 0, 0.0, 3, 11, 1, 4, 3, 20, 20, 6.9, 55.17, 75.86, 75.890625, 90.890625, 90.890625, 18.19921875, 13.599609375, 75.890625, 0.0, 31.796875, 45.5, 22.69921875, 0.0, 0.0, 13.599609375, 13.599609375, 68.1875, 50.0, 18.19921875, 4.5, 38.0, 13.0, 17.0, 5.0, 75.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 104.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 142, "Liste d'appel propre à cette formation", 23.0, "8326", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8326&g_ta_cod=8326", 34.0, 52.0, 14.0),
(213, "Public", "0330201P", "ENSAM - campus de Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Ecole d'Ingénieur", "Ecole nationale supérieure d'arts et métiers - Formation Bac + 3 - Bachelor de Technologie Arts et Métiers", "Formations  des écoles d'ingénieurs", "Bachelor de Technologie Arts et Métiers", 25, 246, 21, 246, 0, 0, 0, 215, 19, 0, 0, 31, 0, 0, 0, 0, 0, 156, 0, 0, 0, 0, 0, 142, 10, 0, 0, 14, 74, 25, 2, 25, 0, 5.0, 22.0, 23.0, 0, 2, 24, 0, 24, 0, 1, 0, 0, 8, 13, 3, 0.0, 0, 24, 0, 0, 0, 21, 21, 20.0, 88.0, 92.0, 8.0, 87.5, 87.5, 0, 8.298828125, 96.0, 0.0, 0.0, 33.296875, 54.1953125, 12.5, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 6.0, "Tous les candidats", 109.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 41.0, "531", "Formation Bac + 3 - Bachelor de Technologie Arts et Métiers", "Ecole nationale supérieure d'arts et métiers", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=529&g_ta_cod=531", 0.0, 100.0, 0.0),
(214, "Public", "0160003S", "Lycée Marguerite De Valois", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BTS", "Lycée Marguerite De Valois - BTS - Services - Commerce International", "BTS - Services", "", 28, 528, 255, 448, 0, 140, 29, 107, 29, 51, 24, 150, 80, 35, 0, 0, 45, 229, 25, 0, 0, 23, 3, 107, 29, 51, 24, 48, 104, 28, 12, 14, 14, 3.0, 9.0, 23.0, 0, 6, 16, 5, 6, 5, 12, 0, 9, 6, 0, 1, 0.0, 2, 4, 1, 4, 2, 13, 13, 10.71, 32.14, 82.14, 42.8984375, 81.296875, 81.296875, 25, 37.5, 57.09375, 0.0, 56.296875, 37.5, 0.0, 6.3, 0.0, 31.296875, 12.5, 37.5, 25.0, 31.296875, 6.2998046875, 30.0, 3.0, 22.0, 12.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 26.0, "2974", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2974&g_ta_cod=2974", 50.0, 25.0, 25.0),
(215, "Privé sous contrat d'association", "0492113F", "Ecole Supérieure d'Optique de l'Ouest (LTP ESOO)", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Ecole Supérieure d'Optique de l'Ouest (LTP ESOO) - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 70, 415, 289, 415, 0, 163, 18, 84, 16, 40, 11, 128, 0, 0, 0, 0, 0, 321, 0, 0, 0, 150, 15, 48, 5, 30, 7, 93, 139, 79, 57, 79, 0, 66.0, 74.0, 79.0, 0, 6, 65, 45, 16, 4, 14, 0, 26, 29, 9, 1, 0.0, 25, 11, 3, 0, 0, 36, 36, 83.54, 93.67, 100.0, 72.1875, 55.3984375, 55.3984375, 0, 9.19921875, 82.296875, 0.0, 40.0, 44.59375, 13.798828125, 1.5, 0.0, 69.1875, 38.5, 24.59765625, 16.8984375, 6.19921875, 4.599609375, 67.0, 9.0, 20.0, 6.0, 32.0, "Tous les candidats sauf les Bac professionnels", 180.0, "Bacheliers professionnels toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 50.0, "5966", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5966&g_ta_cod=5966", 73.0, 22.0, 5.0),
(216, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Autre formation", "Aix Marseille Université - Site d'Aix-en-Provence - DEUST - Formation de base aux métiers du théâtre", "DEUST", "", 45, 261, 176, 261, 0, 184, 41, 9, 1, 4, 1, 64, 0, 0, 0, 0, 0, 256, 0, 0, 0, 181, 40, 8, 1, 4, 1, 63, 96, 45, 30, 45, 0, 23.0, 36.0, 38.0, 0, 8, 37, 37, 0, 0, 8, 0, 3, 17, 14, 3, 0.0, 34, 0, 0, 0, 0, 12, 12, 51.11, 80.0, 84.44, 66.6875, 32.3984375, 32.3984375, 0, 21.59765625, 82.1875, 0.0, 8.099609375, 45.8984375, 37.796875, 8.1, 0.0, 100.0, 91.890625, 0.0, 0.0, 0.0, 0.0, 80.0, 15.0, 0.0, 0.0, 14.0, "Tous les candidats", 100.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "20672", "DEUST - Formation de base aux métiers du théâtre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20672&g_ta_cod=20672", 93.0, 4.0, 0.0),
(217, "Public", "0680034T", "Lycée Louis-Armand", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BTS", "Lycée Louis-Armand - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 286, 9, 272, 0, 8, 3, 75, 30, 129, 48, 60, 14, 0, 1, 7, 6, 168, 3, 0, 0, 8, 3, 74, 30, 73, 23, 13, 106, 22, 0, 19, 3, 4.0, 17.0, 21.0, 0, 7, 19, 0, 6, 13, 3, 0, 7, 6, 5, 1, 0.0, 0, 1, 11, 4, 0, 18, 18, 18.18, 77.27, 95.45, 0.0, 94.6875, 94.6875, 21.09765625, 36.796875, 86.390625, 0.0, 36.796875, 31.59765625, 26.296875, 5.3, 0.0, 0.0, 0.0, 31.59765625, 5.2998046875, 68.390625, 57.8984375, 4.0, 2.0, 47.0, 13.0, 9.0, "Tous les candidats sauf les Bac professionnels", 90.0, "Bacheliers professionnels toutes séries", 75, "", 0, "Liste d'appel propre à cette formation", 61.0, "8107", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8107&g_ta_cod=8107", 5.0, 36.0, 59.0),
(218, "Public", "0190012K", "Lycée Simone Veil", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BTS", "Lycée Simone Veil - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 16, 201, 114, 183, 0, 30, 12, 54, 17, 44, 24, 55, 18, 0, 5, 1, 12, 166, 4, 0, 0, 30, 12, 54, 17, 27, 14, 55, 79, 16, 8, 14, 2, 2.0, 13.0, 15.0, 0, 4, 11, 4, 3, 4, 5, 0, 6, 4, 0, 1, 0.0, 2, 1, 2, 3, 1, 7, 7, 12.5, 81.25, 93.75, 50.0, 63.59375, 63.59375, 27.296875, 36.3984375, 68.796875, 0.0, 54.5, 36.3984375, 0.0, 9.1, 0.0, 36.3984375, 18.19921875, 27.296875, 9.099609375, 36.3984375, 18.19921875, 12.0, 6.0, 18.0, 9.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 70.0, "3141", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3141&g_ta_cod=3141", 31.0, 31.0, 38.0),
(219, "Public", "0870118F", "Lycée Raoul Dautry", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée Raoul Dautry - BTS - Production - Contrôle industriel et régulation automatique (Seconde année possible en apprentissage)", "BTS - Production", "", 14, 186, 33, 180, 0, 15, 3, 44, 9, 20, 4, 101, 6, 0, 0, 4, 2, 83, 1, 0, 0, 14, 2, 32, 7, 12, 2, 25, 58, 10, 3, 10, 0, 0.0, 10.0, 10.0, 0, 1, 2, 0, 2, 0, 8, 0, 1, 1, 0, 0, 0.0, 0, 1, 0, 1, 0, 1, 1, 0.0, 100.0, 100.0, 30.0, 50.0, 50.0, 50, 50.0, 20.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 9.0, 1.0, 11.0, 1.0, 17.0, "Tous les candidats sauf les Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 12, "", 0, "Liste d'appel propre à cette formation", 44.0, "10682", "BTS - Production - Contrôle industriel et régulation automatique (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10682&g_ta_cod=10682", 80.0, 20.0, 0.0),
(220, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Théâtre", "Licence - Arts-lettres-langues", "Anglais - Mineure Théâtre", 20, 364, 275, 364, 0, 276, 51, 17, 8, 5, 0, 66, 0, 0, 0, 0, 0, 363, 0, 0, 0, 276, 51, 17, 8, 5, 0, 65, 104, 20, 16, 20, 0, 0.0, 14.0, 17.0, 0, 6, 18, 18, 0, 0, 2, 0, 1, 7, 5, 5, 0.0, 17, 0, 0, 0, 0, 2, 14, 0.0, 70.0, 85.0, 80.0, 11.099609375, 77.796875, 0, 33.296875, 90.0, 0.0, 5.599609375, 38.8984375, 27.796875, 27.8, 0.0, 100.0, 94.390625, 0.0, 0.0, 0.0, 0.0, 86.0, 19.0, 1.0, 0.0, 15.0, "Tous les candidats", 161.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "15640", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Théâtre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15640&g_ta_cod=15640", 100.0, 0.0, 0.0),
(221, "Privé sous contrat d'association", "0492406Z", "LGT Sainte-Marie", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "BTS", "LGT Sainte-Marie - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 413, 152, 413, 0, 88, 13, 156, 24, 120, 21, 49, 0, 0, 0, 0, 0, 324, 0, 0, 0, 83, 11, 127, 17, 88, 12, 26, 158, 31, 12, 31, 0, 5.0, 24.0, 30.0, 0, 4, 31, 9, 15, 7, 0, 0, 9, 17, 5, 0, 0.0, 4, 12, 6, 12, 4, 29, 29, 16.13, 77.42, 96.77, 38.6953125, 93.5, 93.5, 38.6953125, 12.8984375, 100.0, 0.0, 29.0, 54.796875, 16.09765625, 0.0, 0.0, 29.0, 12.8984375, 48.3984375, 38.6953125, 22.59765625, 19.3984375, 50.0, 7.0, 49.0, 6.0, 10.0, "Tous les candidats sauf les Bac professionnels", 155.0, "Bacheliers professionnels toutes séries", 77, "", 0, "Liste d'appel propre à cette formation", 56.0, "5906", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5906&g_ta_cod=5906", 29.0, 48.0, 23.0),
(222, "Privé sous contrat d'association", "0831141P", "Lycée la Tourrache", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Autre formation", "Lycée la Tourrache - DN MADE - Innovation sociale - - Spécialité : Design prospectif, design thinking", "DN MADE", "- Spécialité : Design prospectif, design thinking", 15, 124, 85, 124, 0, 62, 17, 19, 5, 10, 3, 33, 0, 0, 0, 0, 0, 79, 0, 0, 0, 39, 14, 15, 3, 6, 3, 19, 51, 9, 7, 9, 0, 0.0, 7.0, 9.0, 0, 2, 6, 4, 1, 1, 3, 0, 4, 1, 1, 0, 0.0, 1, 0, 1, 0, 0, 3, 3, 0.0, 77.78, 100.0, 77.796875, 50.0, 50.0, 0, 33.296875, 66.6875, 0.0, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 66.6875, 16.69921875, 16.69921875, 0.0, 16.69921875, 16.69921875, 23.0, 6.0, 3.0, 2.0, 15.0, "Tous les candidats", 78.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "24354", "DN MADE - Innovation sociale - - Spécialité : Design prospectif, design thinking", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24354&g_ta_cod=24354", 56.0, 33.0, 11.0),
(223, "Public", "0080008R", "Lycée François Bazin", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BTS", "Lycée François Bazin - BTS - Production - Fonderie", "BTS - Production", "", 9, 64, 9, 62, 0, 5, 0, 2, 0, 8, 4, 47, 2, 0, 0, 2, 0, 18, 1, 0, 0, 5, 0, 2, 0, 8, 4, 3, 15, 3, 0, 2, 1, 2.0, 2.0, 2.0, 0, 2, 3, 0, 0, 3, 0, 0, 2, 0, 1, 0, 0.0, 0, 0, 1, 2, 0, 2, 2, 66.67, 66.67, 66.67, 0.0, 66.6875, 66.6875, 66.6875, 66.6875, 100.0, 0.0, 66.6875, 0.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 33.296875, 2.0, 0.0, 9.0, 4.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 5, "Liste d'appel propre à cette formation", 29.0, "2356", "BTS - Production - Fonderie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2356&g_ta_cod=2356", 0.0, 0.0, 100.0),
(224, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence_Las", "Université de Brest - Licence - Portail Economie et management, Finance comptabilité, Pilotage des organisations", "Licence - Droit-économie-gestion", "Economie et management, Finance comptabilité, Pilotage des organisations", 20, 239, 124, 209, 0, 110, 16, 9, 6, 1, 0, 89, 30, 4, 1, 0, 25, 189, 18, 0, 0, 110, 16, 9, 6, 1, 0, 69, 136, 17, 11, 13, 4, 0.0, 10.0, 14.0, 0, 1, 9, 7, 2, 0, 8, 0, 4, 4, 1, 0, 0.0, 5, 0, 0, 0, 0, 5, 5, 0.0, 58.82, 82.35, 64.6875, 55.59375, 55.59375, 0, 11.099609375, 52.8984375, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 77.796875, 55.59375, 22.19921875, 0.0, 0.0, 0.0, 74.0, 11.0, 0.0, 0.0, 58.0, "Tous les candidats", 866.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 90.0, "27830", "Licence - Portail Economie et management, Finance comptabilité, Pilotage des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27829&g_ta_cod=27830", 71.0, 24.0, 6.0),
(225, "Privé sous contrat d'association", "0261357J", "MFREO de Bourg de Péage", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Bourg-de-Péage", "formation sélective", "BTS", "MFREO de Bourg de Péage - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 48, 408, 146, 366, 0, 99, 14, 78, 13, 79, 22, 110, 42, 0, 13, 8, 21, 221, 19, 0, 0, 68, 7, 30, 2, 57, 14, 66, 170, 39, 14, 34, 5, 13.0, 30.0, 37.0, 0, 5, 24, 10, 2, 12, 15, 0, 4, 12, 7, 1, 0.0, 6, 2, 12, 5, 0, 15, 15, 33.33, 76.92, 94.87, 35.8984375, 62.5, 62.5, 20.796875, 20.796875, 61.5, 0.0, 16.69921875, 50.0, 29.19921875, 4.2, 0.0, 41.6953125, 25.0, 8.298828125, 8.298828125, 50.0, 50.0, 33.0, 7.0, 49.0, 13.0, 59.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 105.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 55.0, "3674", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3674&g_ta_cod=3674", 49.0, 10.0, 38.0),
(226, "Public", "0931584S", "Lycée Jean Rostand", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villepinte", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 24, 223, 18, 117, 0, 8, 5, 35, 14, 49, 20, 25, 106, 6, 25, 27, 48, 65, 15, 0, 0, 7, 4, 22, 8, 28, 9, 8, 73, 20, 0, 12, 5, 11.0, 12.0, 16.0, 0, 6, 15, 0, 4, 11, 5, 1, 9, 5, 0, 0, 0.0, 0, 0, 5, 11, 0, 15, 15, 55.0, 60.0, 80.0, 0.0, 100.0, 100.0, 73.296875, 40.0, 75.0, 6.69921875, 60.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 26.69921875, 0.0, 73.296875, 33.296875, 10.0, 6.0, 22.0, 8.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 54.0, "11275", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11275&g_ta_cod=11275", 10.0, 25.0, 65.0),
(227, "Public", "0760091L", "Lycée Jeanne D'Arc", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 817, 523, 807, 0, 77, 22, 275, 108, 266, 130, 189, 10, 0, 0, 6, 4, 446, 0, 0, 0, 64, 13, 154, 57, 167, 77, 61, 199, 33, 21, 33, 0, 2.0, 28.0, 29.0, 0, 13, 29, 2, 11, 16, 4, 0, 13, 14, 2, 0, 0.0, 0, 5, 11, 6, 5, 29, 29, 6.06, 84.85, 87.88, 63.59375, 100.0, 100.0, 20.69921875, 44.796875, 87.890625, 0.0, 44.796875, 48.296875, 6.8994140625, 0.0, 0.0, 6.8994140625, 0.0, 37.8984375, 17.19921875, 55.1953125, 37.8984375, 13.0, 6.0, 88.0, 37.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 141, "Bacheliers technologiques toutes séries", 157, "Liste d'appel propre à cette formation", 42.0, "9594", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9594&g_ta_cod=9594", 12.0, 39.0, 48.0),
(228, "Public", "0250011B", "Lycée Jules Haag", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Jules Haag - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 436, 33, 436, 0, 50, 9, 105, 27, 114, 39, 167, 0, 0, 0, 0, 0, 265, 0, 0, 0, 48, 9, 102, 25, 79, 26, 36, 130, 25, 0, 25, 0, 3.0, 21.0, 24.0, 0, 10, 24, 3, 9, 12, 1, 0, 10, 9, 3, 2, 0.0, 0, 3, 11, 5, 0, 21, 21, 12.0, 84.0, 96.0, 0.0, 87.5, 87.5, 20.796875, 41.6953125, 96.0, 0.0, 41.6953125, 37.5, 12.5, 8.3, 0.0, 12.5, 0.0, 37.5, 12.5, 50.0, 45.796875, 25.0, 4.0, 40.0, 18.0, 14.0, "Tous les candidats sauf les Bac professionnels", 121.0, "Bacheliers professionnels toutes séries", 49, "", 0, "Liste d'appel propre à cette formation", 39.0, "3473", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3473&g_ta_cod=3473", 12.0, 40.0, 48.0),
(229, "Privé sous contrat d'association", "0751883P", "Institut Supérieur Clorivière", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "BTS", "Institut Supérieur Clorivière - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 604, 381, 236, 0, 38, 9, 64, 25, 63, 20, 71, 368, 20, 97, 75, 176, 73, 15, 0, 0, 15, 2, 20, 5, 20, 6, 18, 76, 18, 14, 10, 8, 5.0, 10.0, 18.0, 0, 2, 8, 1, 6, 1, 10, 0, 2, 5, 1, 0, 0.0, 1, 4, 1, 0, 0, 3, 8, 27.78, 55.56, 100.0, 77.796875, 37.5, 100.0, 0, 25.0, 44.3984375, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 12.5, 12.5, 75.0, 50.0, 12.5, 12.5, 13.0, 2.0, 18.0, 6.0, 25.0, "Tous les candidats sauf les Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 31.0, "9356", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9356&g_ta_cod=9356", 33.0, 44.0, 22.0),
(230, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Lettres - Parcours LETTRES CLASSIQUES MAJEURE/mineure Histoire", "Licence - Arts-lettres-langues", "LETTRES CLASSIQUES MAJEURE/mineure Histoire", 20, 305, 212, 270, 0, 181, 32, 2, 1, 3, 2, 84, 35, 14, 2, 1, 18, 268, 35, 0, 0, 181, 32, 2, 1, 3, 2, 82, 176, 19, 8, 11, 8, 0.0, 7.0, 11.0, 0, 6, 8, 6, 2, 0, 11, 0, 6, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 3, 7, 0.0, 36.84, 57.89, 42.09375, 37.5, 87.5, 0, 75.0, 42.09375, 0.0, 75.0, 12.5, 12.5, 0.0, 0.0, 75.0, 25.0, 25.0, 0.0, 0.0, 0.0, 102.0, 25.0, 3.0, 2.0, 68.0, "Tous les candidats", 266.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "24325", "Licence - Lettres - Parcours LETTRES CLASSIQUES MAJEURE/mineure Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24325&g_ta_cod=24325", 84.0, 16.0, 0.0),
(231, "Public", "0260791U", "Lycée agricole De Romans Sur Isere", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Romans-sur-Isère", "formation sélective", "BTS", "Lycée agricole De Romans Sur Isere - BTS - Agricole - Production horticole", "BTS - Agricole", "", 24, 225, 91, 212, 0, 28, 7, 22, 8, 47, 12, 115, 13, 3, 0, 1, 9, 128, 4, 0, 0, 28, 7, 22, 8, 47, 12, 31, 91, 16, 10, 13, 3, 5.0, 13.0, 14.0, 0, 5, 13, 4, 3, 6, 3, 1, 4, 5, 3, 0, 0.0, 2, 3, 3, 3, 2, 7, 7, 31.25, 81.25, 87.5, 62.5, 53.796875, 53.796875, 23.09765625, 38.5, 81.296875, 7.69921875, 30.796875, 38.5, 23.09765625, 0.0, 0.0, 30.796875, 15.3984375, 23.09765625, 23.09765625, 46.1953125, 23.09765625, 21.0, 4.0, 30.0, 6.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 60.0, "3645", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3645&g_ta_cod=3645", 44.0, 19.0, 38.0),
(232, "Public", "0781948U", "Lycée LAVOISIER", "78", "Yvelines", "Ile-de-France", "Versailles", "Porcheville", "formation sélective", "Autre formation", "Lycée LAVOISIER - Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "Mention complémentaire", "", 6, 4, 0, 4, 0, 0, 0, 0, 0, 4, 3, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 2, 2, 0, 4, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 4.0, 2.0, 0.0, "Tous les candidats", 2.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "29691", "Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29691&g_ta_cod=29691", 0, 0, 0),
(233, "Public", "0922398G", "Lycée Gustave Eiffel", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Rueil-Malmaison", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Services - Communication", "BTS - Services", "", 35, 1461, 988, 1461, 0, 186, 45, 488, 175, 231, 99, 556, 0, 0, 0, 0, 0, 626, 0, 0, 0, 139, 32, 248, 84, 117, 51, 122, 187, 30, 25, 29, 0, 0.0, 22.0, 25.0, 0, 11, 28, 4, 18, 6, 2, 0, 8, 14, 4, 2, 0.0, 4, 12, 4, 0, 0, 25, 27, 0.0, 73.33, 83.33, 83.296875, 89.296875, 96.390625, 0, 39.296875, 93.296875, 0.0, 28.59765625, 50.0, 14.298828125, 7.1, 0.0, 14.298828125, 14.298828125, 64.296875, 42.8984375, 21.3984375, 14.298828125, 28.0, 7.0, 38.0, 13.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 157, "Liste d'appel propre à cette formation", 18.0, "11147", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11147&g_ta_cod=11147", 17.0, 63.0, 20.0),
(234, "Public", "0922427N", "Lycée Claude Garamont", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Colombes", "formation sélective", "BTS", "Lycée Claude Garamont - BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "BTS - Services", "", 24, 589, 286, 589, 0, 40, 13, 71, 24, 221, 73, 257, 0, 0, 0, 0, 0, 269, 0, 0, 0, 23, 6, 38, 13, 159, 43, 49, 96, 24, 11, 24, 0, 5.0, 17.0, 20.0, 0, 6, 18, 3, 3, 12, 6, 0, 7, 8, 3, 0, 0.0, 0, 2, 9, 6, 1, 10, 13, 20.83, 70.83, 83.33, 45.796875, 55.59375, 72.1875, 33.296875, 33.296875, 75.0, 0.0, 38.8984375, 44.3984375, 16.69921875, 0.0, 0.0, 16.69921875, 0.0, 16.69921875, 11.099609375, 66.6875, 50.0, 9.0, 3.0, 48.0, 15.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 20.0, "11149", "BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11149&g_ta_cod=11149", 25.0, 21.0, 54.0),
(235, "Privé sous contrat d'association", "0300112J", "Lycée de La CCI", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée de La CCI - BTS - Services - Gestion de la PME", "BTS - Services", "", 34, 356, 212, 294, 0, 23, 5, 94, 46, 88, 42, 89, 62, 14, 3, 6, 39, 176, 6, 0, 0, 21, 4, 64, 29, 58, 24, 33, 130, 26, 15, 22, 4, 5.0, 16.0, 20.0, 0, 11, 19, 3, 9, 7, 7, 0, 9, 8, 2, 0, 0.0, 1, 3, 6, 3, 3, 16, 16, 19.23, 61.54, 76.92, 57.6953125, 84.1875, 84.1875, 15.798828125, 57.8984375, 73.09375, 0.0, 47.3984375, 42.09375, 10.5, 0.0, 0.0, 15.798828125, 5.2998046875, 47.3984375, 15.798828125, 36.796875, 31.59765625, 18.0, 4.0, 38.0, 13.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 55.0, "3969", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3969&g_ta_cod=3969", 19.0, 46.0, 35.0),
(236, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Licence - Double diplôme - Licence Humanités - Double diplôme Licence mention Humanités [Humanités et arts du spectacle] - Diplôme d'université (DU) Cultures, langues et rhétorique 1", "Licence - Arts-lettres-langues", "Double diplôme Licence mention Humanités [Humanités et arts du spectacle] - Diplôme d'université (DU) Cultures, langues et rhétorique 1", 30, 419, 305, 284, 0, 215, 28, 11, 6, 1, 1, 57, 135, 26, 12, 9, 88, 264, 7, 0, 0, 212, 28, 2, 1, 0, 0, 50, 185, 28, 19, 24, 4, 3.0, 24.0, 26.0, 0, 3, 18, 18, 0, 0, 10, 0, 2, 3, 9, 4, 0.0, 16, 0, 0, 0, 0, 6, 16, 10.71, 85.71, 92.86, 67.890625, 33.296875, 88.890625, 0, 16.69921875, 64.296875, 0.0, 11.099609375, 16.69921875, 50.0, 22.2, 0.0, 100.0, 88.890625, 0.0, 0.0, 0.0, 0.0, 152.0, 23.0, 0.0, 0.0, 33.0, "Tous les candidats", 261.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "29412", "Licence - Double diplôme - Licence Humanités - Double diplôme Licence mention Humanités [Humanités et arts du spectacle] - Diplôme d'université (DU) Cultures, langues et rhétorique 1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29412&g_ta_cod=29412", 96.0, 4.0, 0.0),
(237, "Public", "0311092U", "Lycée professionnel des Métiers Eugene MONTEL", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Colomiers", "formation sélective", "Autre formation", "Lycée professionnel des Métiers Eugene MONTEL - Mention complémentaire - Technicien en chaudronnerie aéronautique et spatiale", "Mention complémentaire", "", 12, 58, 3, 55, 0, 0, 0, 0, 0, 49, 9, 6, 3, 0, 0, 3, 0, 40, 2, 0, 0, 0, 0, 0, 0, 37, 5, 3, 38, 6, 0, 3, 2, 2.0, 4.0, 5.0, 0, 0, 4, 0, 0, 4, 2, 0, 1, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 4, 4, 33.33, 66.67, 83.33, 0.0, 100.0, 100.0, 0, 0.0, 66.6875, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 34.0, 5.0, 4.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "25407", "Mention complémentaire - Technicien en chaudronnerie aéronautique et spatiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25407&g_ta_cod=25407", 0.0, 0.0, 100.0),
(238, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Langues étrangères appliquées - Parcours LEA / Anglais / Espagnol", "Licence - Arts-lettres-langues", "LEA / Anglais / Espagnol", 170, 1209, 931, 1209, 0, 837, 208, 128, 44, 33, 16, 211, 0, 0, 0, 0, 0, 1209, 0, 0, 0, 837, 208, 128, 44, 33, 16, 211, 838, 170, 127, 170, 0, 65.0, 153.0, 170.0, 0, 40, 136, 122, 9, 5, 34, 1, 56, 45, 28, 6, 0.0, 75, 3, 1, 0, 0, 118, 118, 38.24, 90.0, 100.0, 74.6875, 86.796875, 86.796875, 0, 29.3984375, 80.0, 0.699951171875, 41.1953125, 33.09375, 20.59765625, 4.4, 0.0, 89.6875, 55.09375, 6.599609375, 2.19970703125, 3.69970703125, 0.699951171875, 633.0, 172.0, 15.0, 6.0, 140.0, "Tous les candidats", 1181.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "24048", "Licence - Langues étrangères appliquées - Parcours LEA / Anglais / Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24048&g_ta_cod=24048", 88.0, 8.0, 4.0),
(239, "Public", "0772432A", "I.U.T de Marne la Vallée", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Champs-sur-Marne", "formation sélective", "BUT", "I.U.T de Marne la Vallée - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation", "BUT - Production", "Réalisation d'applications : conception, développement, validation", 45, 2055, 202, 2055, 0, 1152, 298, 491, 152, 17, 11, 395, 0, 0, 0, 0, 0, 1355, 0, 0, 0, 841, 196, 318, 88, 0, 0, 196, 173, 44, 3, 44, 0, 9.0, 35.0, 42.0, 0, 12, 40, 19, 21, 0, 4, 0, 3, 13, 16, 8, 0.0, 19, 18, 0, 0, 0, 34, 36, 20.45, 79.55, 95.45, 6.7998046875, 85.0, 90.0, 0, 30.0, 90.890625, 0.0, 7.5, 32.5, 40.0, 20.0, 0.0, 47.5, 47.5, 52.5, 45.0, 0.0, 0.0, 72.0, 20.0, 0.0, 0.0, 21.0, "Tous les candidats sauf les Bac technologiques", 164.0, "Bacheliers technologiques toutes séries", 163, "", 0, "Liste d'appel propre à cette formation", 16.0, "9907", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9907&g_ta_cod=9907", 48.0, 52.0, 0.0),
(240, "Privé sous contrat d'association", "0350778F", "Lycée ASSOMPTION", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "CPGE", "Lycée ASSOMPTION - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 712, 271, 710, 154, 601, 34, 2, 0, 0, 0, 107, 2, 1, 0, 0, 1, 607, 0, 133, 607, 557, 30, 0, 0, 0, 0, 50, 328, 38, 15, 38, 0, 0.0, 27.0, 36.0, 3, 1, 35, 35, 0, 0, 3, 0, 0, 13, 20, 2, 0.0, 35, 0, 0, 5, 0, 35, 35, 0.0, 71.05, 94.74, 39.5, 100.0, 100.0, 14.298828125, 2.89990234375, 92.09375, 0.0, 0.0, 37.09375, 57.09375, 5.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 303.0, 18.0, 0.0, 0.0, 25.0, "Tous les candidats", 543.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "4683", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4683&g_ta_cod=4683", 100.0, 0.0, 0.0),
(241, "Privé sous contrat d'association", "0111024D", "Ecole Sup. La Raque", "11", "Aude", "Occitanie", "Montpellier", "Lasbordes", "formation sélective", "BTS", "Ecole Sup. La Raque - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 20, 123, 48, 113, 0, 23, 4, 26, 2, 8, 1, 56, 10, 3, 2, 2, 3, 80, 10, 0, 0, 23, 4, 26, 2, 8, 1, 23, 69, 5, 4, 1, 4, 1.0, 1.0, 5.0, 0, 3, 5, 3, 0, 2, 0, 0, 3, 1, 1, 0, 0.0, 1, 0, 1, 0, 0, 2, 2, 20.0, 20.0, 100.0, 80.0, 40.0, 40.0, 0, 60.0, 100.0, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 60.0, 20.0, 0.0, 0.0, 40.0, 20.0, 21.0, 4.0, 8.0, 3.0, 22.0, "Tous les candidats sauf les Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 71.0, "2476", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2476&g_ta_cod=2476", 60.0, 0.0, 40.0),
(242, "Public", "0271666P", "I.U.T d'Evreux", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BUT", "I.U.T d'Evreux - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client - Stratégie de marque et événementiel", 84, 1073, 508, 1073, 0, 479, 91, 415, 138, 19, 6, 160, 0, 0, 0, 0, 0, 771, 0, 0, 0, 413, 75, 297, 101, 9, 2, 52, 287, 83, 42, 83, 0, 22.0, 65.0, 80.0, 0, 28, 75, 30, 42, 3, 8, 0, 10, 49, 14, 2, 0.0, 27, 36, 2, 0, 0, 62, 62, 26.51, 78.31, 96.39, 50.59375, 82.6875, 82.6875, 0, 37.296875, 90.390625, 0.0, 13.298828125, 65.296875, 18.69921875, 2.7, 0.0, 40.0, 36.0, 56.0, 48.0, 4.0, 2.69970703125, 148.0, 36.0, 3.0, 1.0, 12.0, "Tous les candidats sauf les Bac technologiques", 222.0, "Bacheliers technologiques toutes séries", 185, "", 0, "Liste d'appel propre à cette formation", 38.0, "3721", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3721&g_ta_cod=3721", 46.0, 51.0, 4.0),
(243, "Public", "0623957P", "Université d'Artois - Site d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation non sélective", "Licence", "Université d'Artois - Site d'Arras - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 213, 1104, 545, 1071, 0, 763, 189, 109, 44, 30, 16, 169, 33, 4, 2, 3, 24, 1070, 33, 0, 0, 763, 189, 109, 44, 30, 16, 168, 821, 208, 89, 196, 12, 79.0, 175.0, 195.0, 0, 52, 181, 148, 25, 8, 27, 1, 54, 67, 36, 21, 2.0, 111, 10, 5, 0, 0, 168, 168, 37.98, 84.13, 93.75, 42.796875, 92.796875, 92.796875, 0, 28.69921875, 87.0, 0.5999755859375, 29.796875, 37.0, 19.8984375, 11.6, 1.1, 81.796875, 61.296875, 13.798828125, 5.5, 4.3994140625, 2.7998046875, 620.0, 150.0, 20.0, 10.0, 124.0, "Tous les candidats", 1061.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7516", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7516&g_ta_cod=7516", 80.0, 14.0, 5.0),
(244, "Public", "0381513N", "Ecole des Pupilles de l'Air - lycée de la défense", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Meylan", "formation sélective", "CPGE", "Ecole des Pupilles de l'Air - lycée de la défense - CPGE - MPSI", "Classe préparatoire scientifique", "", 24, 696, 169, 696, 696, 642, 46, 4, 2, 0, 0, 50, 0, 0, 0, 0, 0, 696, 0, 696, 0, 642, 46, 4, 2, 0, 0, 50, 76, 23, 8, 23, 0, 5.0, 20.0, 23.0, 23, 2, 23, 23, 0, 0, 0, 1, 0, 0, 3, 16, 3.0, 22, 0, 0, 0, 0, 5, 5, 21.74, 86.96, 100.0, 34.796875, 21.69921875, 21.69921875, 0, 8.69921875, 100.0, 4.2998046875, 0.0, 0.0, 13.0, 69.6, 13.0, 100.0, 95.6875, 0.0, 0.0, 0.0, 0.0, 76.0, 6.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "4961", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4961&g_ta_cod=4961", 100.0, 0.0, 0.0),
(245, "Public", "0270044B", "Lycée Georges Dumezil", "27", "Eure", "Normandie", "Normandie", "Vernon", "formation sélective", "BTS", "Lycée Georges Dumezil - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 14, 101, 4, 98, 0, 7, 1, 28, 3, 35, 9, 28, 3, 0, 0, 2, 1, 79, 0, 0, 0, 6, 1, 26, 3, 32, 8, 15, 56, 12, 0, 12, 0, 3.0, 11.0, 12.0, 0, 6, 8, 1, 3, 4, 4, 0, 5, 1, 2, 0, 0.0, 0, 2, 1, 3, 0, 5, 5, 25.0, 91.67, 100.0, 0.0, 62.5, 62.5, 37.5, 75.0, 66.6875, 0.0, 62.5, 12.5, 25.0, 0.0, 0.0, 12.5, 0.0, 37.5, 25.0, 50.0, 12.5, 4.0, 1.0, 25.0, 7.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 66.0, "3693", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3693&g_ta_cod=3693", 8.0, 42.0, 50.0),
(246, "Public", "0720048L", "Lycée polyvalent Raphaël Elizé", "72", "Sarthe", "Pays de la Loire", "Nantes", "Sablé-sur-Sarthe", "formation sélective", "Autre formation", "Lycée polyvalent Raphaël Elizé - DN MADE - Objet - - Spécialité : Ebénisterie : Atelier d'expérimentation et de création", "DN MADE", "- Spécialité : Ebénisterie : Atelier d'expérimentation et de création", 15, 246, 127, 246, 0, 81, 16, 53, 8, 28, 4, 84, 0, 0, 0, 0, 0, 246, 0, 0, 0, 81, 16, 53, 8, 28, 4, 84, 49, 14, 5, 14, 0, 3.0, 11.0, 13.0, 0, 1, 6, 4, 2, 0, 8, 0, 1, 4, 1, 0, 0.0, 3, 2, 0, 0, 0, 3, 3, 21.43, 78.57, 92.86, 35.6953125, 50.0, 50.0, 0, 16.69921875, 42.8984375, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 66.6875, 50.0, 33.296875, 33.296875, 0.0, 0.0, 13.0, 3.0, 0.0, 0.0, 21.0, "Tous les candidats", 67.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "24246", "DN MADE - Objet - - Spécialité : Ebénisterie : Atelier d'expérimentation et de création", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24246&g_ta_cod=24246", 29.0, 14.0, 0.0),
(247, "Public", "0572696W", "IFSI CHR Thionville", "57", "Moselle", "Grand Est", "Nancy-Metz", "Thionville", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nancy - D.E Infirmier", "D.E secteur sanitaire", "", 70, 3984, 3215, 3984, 0, 747, 167, 756, 218, 392, 133, 2089, 0, 0, 0, 0, 0, 3376, 0, 0, 0, 680, 144, 642, 176, 329, 103, 1725, 689, 70, 60, 70, 0, 4.0, 41.0, 63.0, 0, 12, 40, 8, 23, 9, 30, 0, 2, 17, 16, 5, 0.0, 8, 21, 9, 0, 0, 37, 37, 5.71, 58.57, 90.0, 85.6875, 92.5, 92.5, 0, 30.0, 57.09375, 0.0, 5.0, 42.5, 40.0, 12.5, 0.0, 20.0, 20.0, 57.5, 52.5, 22.5, 22.5, 102.0, 22.0, 85.0, 22.0, 347.0, "Tous les candidats", 2557.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "23192", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22997&g_ta_cod=23192", 36.0, 40.0, 24.0),
(248, "Public", "0080027L", "Lycée Monge", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "Autre formation", "Lycée Monge - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 9, 5, 0, 0, 0.0, 0.0, 0.0, 0, 6, 9, 0, 3, 6, 0, 0, 8, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 9, 9, 0.0, 0.0, 0.0, 55.59375, 100.0, 100.0, 0, 66.6875, 100.0, 0.0, 88.890625, 11.099609375, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 11.099609375, 0.0, 0.0, 27.0, 14.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22478", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 33.0, 67.0),
(249, "Public", "0840003X", "Lycée Frédéric Mistral", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "CPGE", "Lycée Frédéric Mistral - CPGE - PCSI", "Classe préparatoire scientifique", "", 42, 700, 260, 678, 424, 444, 82, 1, 0, 1, 1, 232, 22, 8, 0, 0, 14, 541, 18, 351, 513, 427, 74, 0, 0, 0, 0, 114, 394, 32, 10, 24, 5, 4.0, 12.0, 26.0, 7, 8, 16, 16, 0, 0, 16, 0, 2, 10, 4, 0, 0.0, 14, 0, 0, 3, 3, 10, 10, 12.5, 37.5, 81.25, 31.296875, 62.5, 62.5, 18.796875, 50.0, 50.0, 0.0, 12.5, 62.5, 25.0, 0.0, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 297.0, 57.0, 0.0, 0.0, 97.0, "Tous les candidats", 541.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "10410", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10410&g_ta_cod=10410", 100.0, 0.0, 0.0),
(250, "Public", "0080047H", "Lycée professionnel des Métiers Jean-Baptiste Clément", "08", "Ariège", "Grand Est", "Reims", "Sedan", "formation sélective", "Autre formation", "Lycée professionnel des Métiers Jean-Baptiste Clément - Mention complémentaire - Maintenance des installations oléohydrauliques et pneumatiques", "Mention complémentaire", "", 15, 24, 1, 21, 0, 1, 1, 0, 0, 12, 7, 8, 3, 1, 0, 2, 0, 20, 1, 0, 0, 1, 1, 0, 0, 12, 7, 7, 21, 9, 1, 8, 1, 7.0, 8.0, 9.0, 0, 3, 6, 0, 0, 6, 3, 0, 3, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 6, 6, 77.78, 88.89, 100.0, 11.099609375, 100.0, 100.0, 0, 50.0, 66.6875, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 1.0, 1.0, 13.0, 7.0, 7.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "21870", "Mention complémentaire - Maintenance des installations oléohydrauliques et pneumatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21870&g_ta_cod=21870", 11.0, 11.0, 78.0),
(251, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Education, socialisation et langage", "Licence - Sciences humaines et sociales", "Education, socialisation et langage", 525, 4501, 3993, 4501, 0, 2641, 635, 460, 160, 109, 53, 1291, 0, 0, 0, 0, 0, 4501, 0, 0, 0, 2641, 635, 460, 160, 109, 53, 1291, 1748, 529, 483, 529, 0, 164.0, 416.0, 487.0, 0, 102, 385, 308, 62, 15, 144, 2, 123, 181, 72, 7, 0.0, 211, 36, 13, 0, 0, 292, 292, 31.0, 78.64, 92.06, 91.296875, 75.796875, 75.796875, 0, 26.5, 72.796875, 0.5, 31.8984375, 47.0, 18.69921875, 1.8, 0.0, 80.0, 54.796875, 16.09765625, 9.3984375, 3.89990234375, 3.39990234375, 1103.0, 237.0, 50.0, 24.0, 397.0, "Tous les candidats", 1897.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "8404", "Licence - Portail Education, socialisation et langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8404&g_ta_cod=8404", 76.0, 16.0, 5.0),
(252, "Public", "0160004T", "Lycée Charles A. COULOMB", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "Autre formation", "Lycée Charles A. COULOMB - DN MADE - Espace - - Spécialité : microarchitecture, design d'évènements et architecture intérieure", "DN MADE", "- Spécialité : microarchitecture, design d'évènements et architecture intérieure", 14, 1374, 1162, 1374, 0, 579, 83, 413, 82, 115, 30, 267, 0, 0, 0, 0, 0, 532, 0, 0, 0, 206, 26, 235, 42, 33, 4, 58, 66, 13, 11, 13, 0, 3.0, 10.0, 10.0, 0, 5, 13, 3, 9, 1, 0, 0, 0, 4, 6, 2, 1.0, 3, 9, 1, 0, 0, 3, 3, 23.08, 76.92, 76.92, 84.59375, 23.09765625, 23.09765625, 0, 38.5, 100.0, 0.0, 0.0, 30.796875, 46.1953125, 15.4, 7.7, 23.09765625, 23.09765625, 69.1875, 69.1875, 7.69921875, 7.69921875, 21.0, 2.0, 3.0, 1.0, 8.0, "Tous les candidats", 68.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "23769", "DN MADE - Espace - - Spécialité : microarchitecture, design d'évènements et architecture intérieure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23769&g_ta_cod=23769", 23.0, 69.0, 8.0),
(253, "Public", "9740839U", "Institut formation soins infirmiers Bellepierre Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "IFSI", "Regroupement d'IFSI Université La Réunion - D.E Infirmier", "D.E secteur sanitaire", "", 91, 2741, 2181, 2741, 0, 666, 289, 417, 235, 242, 169, 1416, 0, 0, 0, 0, 0, 953, 0, 0, 0, 325, 114, 161, 84, 89, 60, 378, 309, 91, 70, 91, 0, 17.0, 75.0, 79.0, 0, 37, 70, 34, 21, 15, 21, 0, 0, 14, 40, 15, 1.0, 34, 21, 15, 0, 0, 69, 69, 18.68, 82.42, 86.81, 76.890625, 98.59375, 98.59375, 0, 52.8984375, 76.890625, 0.0, 0.0, 20.0, 57.09375, 21.4, 1.4, 48.59375, 48.59375, 30.0, 30.0, 21.3984375, 21.3984375, 120.0, 41.0, 29.0, 22.0, 104.0, "Tous les candidats", 376.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "23129", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23013&g_ta_cod=23129", 57.0, 25.0, 18.0),
(254, "Public", "0380083J", "Lycée Galilee", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vienne", "formation sélective", "BTS", "Lycée Galilee - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 227, 12, 210, 0, 11, 3, 50, 12, 107, 32, 42, 17, 0, 10, 2, 5, 148, 8, 0, 0, 8, 1, 42, 7, 84, 25, 14, 118, 22, 0, 16, 4, 3.0, 12.0, 18.0, 0, 8, 18, 0, 7, 11, 4, 2, 10, 4, 1, 1, 0.0, 0, 0, 6, 11, 0, 14, 14, 13.64, 54.55, 81.82, 0.0, 77.796875, 77.796875, 61.09375, 44.3984375, 81.796875, 11.099609375, 55.59375, 22.19921875, 5.599609375, 5.6, 0.0, 0.0, 0.0, 38.8984375, 0.0, 61.09375, 33.296875, 6.0, 1.0, 58.0, 17.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 68.0, "4951", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4951&g_ta_cod=4951", 9.0, 41.0, 50.0),
(255, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues étrangères appliquées - Parcours  LEA Anglais-Russe", "Licence - Arts-lettres-langues", "LEA Anglais-Russe", 35, 220, 154, 200, 0, 125, 44, 14, 7, 12, 6, 49, 20, 1, 2, 0, 17, 200, 18, 0, 0, 125, 44, 14, 7, 12, 6, 49, 184, 31, 22, 27, 4, 17.0, 24.0, 27.0, 0, 10, 25, 22, 2, 1, 6, 0, 9, 12, 2, 2, 0.0, 15, 0, 1, 0, 0, 16, 16, 54.84, 77.42, 87.1, 71.0, 64.0, 64.0, 0, 40.0, 80.59375, 0.0, 36.0, 48.0, 8.0, 8.0, 0.0, 88.0, 60.0, 8.0, 0.0, 4.0, 4.0, 117.0, 40.0, 8.0, 4.0, 49.0, "Tous les candidats", 189.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "2744", "Licence - Langues étrangères appliquées - Parcours  LEA Anglais-Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2744&g_ta_cod=2744", 87.0, 10.0, 3.0),
(256, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Lettres - Parcours Lettres - littérature française, francophone et comparée - A distance", "Licence - Arts-lettres-langues", "Lettres - littérature française, francophone et comparée - A distance", 75, 449, 331, 245, 0, 51, 9, 8, 2, 3, 2, 183, 204, 10, 4, 3, 187, 245, 112, 0, 0, 51, 9, 8, 2, 3, 2, 183, 308, 71, 50, 35, 36, 20.0, 35.0, 51.0, 0, 5, 12, 8, 2, 2, 59, 0, 7, 2, 3, 0, 0.0, 3, 1, 1, 0, 0, 6, 9, 28.17, 49.3, 71.83, 70.390625, 50.0, 75.0, 0, 41.6953125, 16.8984375, 0.0, 58.296875, 16.69921875, 25.0, 0.0, 0.0, 66.6875, 25.0, 16.69921875, 8.298828125, 16.69921875, 8.298828125, 46.0, 10.0, 6.0, 5.0, 246.0, "Tous les candidats", 243.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "20898", "Licence - Lettres - Parcours Lettres - littérature française, francophone et comparée - A distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20898&g_ta_cod=20898", 80.0, 13.0, 4.0),
(257, "Privé sous contrat d'association", "0601701Y", "Lycée Général et Technologique Jean-Paul II", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "BTS", "Lycée Général et Technologique Jean-Paul II - BTS - Services - Commerce International", "BTS - Services", "", 45, 282, 156, 250, 0, 57, 9, 86, 20, 26, 13, 81, 32, 0, 0, 23, 9, 188, 10, 0, 0, 54, 8, 80, 19, 16, 9, 38, 138, 42, 23, 39, 3, 10.0, 31.0, 35.0, 0, 12, 32, 10, 14, 8, 10, 0, 8, 13, 9, 2, 0.0, 6, 10, 8, 4, 3, 32, 32, 23.81, 73.81, 83.33, 54.796875, 100.0, 100.0, 12.5, 37.5, 76.1875, 0.0, 25.0, 40.59375, 28.09765625, 6.3, 0.0, 31.296875, 18.796875, 43.796875, 31.296875, 25.0, 25.0, 42.0, 8.0, 20.0, 11.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 56.0, "7264", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7264&g_ta_cod=7264", 43.0, 36.0, 21.0),
(258, "Public", "0441552Y", "Lycée Polyvalent les Bourdonnieres", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée Polyvalent les Bourdonnieres - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 68, 2281, 1193, 2261, 0, 284, 60, 921, 284, 590, 231, 466, 20, 0, 0, 13, 7, 1316, 1, 0, 0, 213, 38, 656, 176, 267, 84, 180, 245, 62, 33, 61, 1, 4.0, 22.0, 51.0, 0, 22, 46, 10, 22, 14, 16, 0, 17, 23, 5, 1, 0.0, 4, 14, 11, 19, 11, 42, 42, 6.45, 35.48, 82.26, 53.1953125, 91.296875, 91.296875, 41.296875, 47.796875, 74.1875, 0.0, 37.0, 50.0, 10.8984375, 2.2, 0.0, 21.69921875, 8.69921875, 47.796875, 30.3984375, 30.3984375, 23.8984375, 30.0, 13.0, 59.0, 23.0, 51.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 142.0, "Bacheliers professionnels toutes séries", 176, "Bacheliers technologiques toutes séries", 259, "Liste d'appel propre à cette formation", 26.0, "5590", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5590&g_ta_cod=5590", 32.0, 39.0, 29.0),
(259, "Privé sous contrat d'association", "0783351U", "Lycée Notre Dame du Grandchamp", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Notre Dame du Grandchamp - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 32, 395, 191, 395, 0, 0, 0, 378, 53, 0, 0, 17, 0, 0, 0, 0, 0, 104, 0, 0, 104, 0, 0, 104, 16, 0, 0, 0, 66, 34, 19, 34, 0, 32.0, 34.0, 34.0, 0, 3, 34, 0, 34, 0, 0, 0, 0, 2, 13, 18, 1.0, 0, 34, 0, 12, 8, 17, 20, 94.12, 100.0, 100.0, 55.8984375, 50.0, 58.796875, 35.296875, 8.798828125, 100.0, 0.0, 0.0, 5.8994140625, 38.1953125, 52.9, 2.9, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "10089", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10089&g_ta_cod=10089", 0.0, 100.0, 0.0),
(260, "Public", "0350026N", "Lycée Jean Mace", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Jean Mace - BTS - Services - Commerce International", "BTS - Services", "", 35, 1816, 1032, 1816, 0, 582, 102, 600, 156, 195, 73, 439, 0, 0, 0, 0, 0, 630, 0, 0, 0, 320, 46, 202, 56, 37, 15, 71, 111, 31, 20, 31, 0, 7.0, 30.0, 30.0, 0, 9, 27, 14, 7, 6, 4, 0, 6, 7, 14, 0, 0.0, 10, 5, 6, 1, 1, 23, 23, 22.58, 96.77, 96.77, 64.5, 85.1875, 85.1875, 3.69970703125, 33.296875, 87.09375, 0.0, 22.19921875, 25.8984375, 51.8984375, 0.0, 0.0, 51.8984375, 37.0, 25.8984375, 18.5, 22.19921875, 22.19921875, 60.0, 9.0, 17.0, 5.0, 13.0, "Tous les candidats sauf les Bac professionnels", 138.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 9.0, "4630", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4630&g_ta_cod=4630", 58.0, 23.0, 19.0),
(261, "Public", "9760358K", "CUFR Centre Universitaire de Mayotte", "976", "Mayotte", "Mayotte", "Mayotte", "Dembeni", "formation non sélective", "Licence", "CUFR Centre Universitaire de Mayotte - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 120, 1070, 754, 1070, 0, 409, 267, 275, 195, 57, 34, 329, 0, 0, 0, 0, 0, 1070, 0, 0, 0, 409, 267, 275, 195, 57, 34, 329, 403, 105, 77, 105, 0, 28.0, 97.0, 97.0, 0, 64, 84, 61, 23, 0, 21, 0, 67, 16, 1, 0, 0.0, 16, 1, 0, 0, 0, 84, 84, 26.67, 92.38, 92.38, 73.296875, 100.0, 100.0, 0, 76.1875, 80.0, 0.0, 79.796875, 19.0, 1.199951171875, 0.0, 0.0, 72.59375, 19.0, 27.3984375, 1.199951171875, 0.0, 0.0, 221.0, 144.0, 0.0, 0.0, 101.0, "Tous les candidats", 446.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "13862", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13862&g_ta_cod=13862", 74.0, 26.0, 0.0),
(262, "Public", "0692717D", "Lycée Jacques Brel", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Vénissieux", "formation sélective", "BTS", "Lycée Jacques Brel - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 30, 1684, 880, 1684, 0, 87, 33, 681, 316, 503, 266, 413, 0, 0, 0, 0, 0, 502, 0, 0, 0, 30, 6, 229, 99, 177, 84, 66, 184, 29, 18, 29, 0, 3.0, 19.0, 22.0, 0, 12, 26, 2, 12, 12, 3, 0, 12, 11, 2, 1, 0.0, 0, 6, 8, 1, 1, 22, 22, 10.34, 65.52, 75.86, 62.09375, 84.59375, 84.59375, 3.7998046875, 46.1953125, 89.6875, 0.0, 46.1953125, 42.296875, 7.69921875, 3.8, 0.0, 7.69921875, 0.0, 46.1953125, 23.09765625, 46.1953125, 30.796875, 4.0, 2.0, 72.0, 35.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 115, "Bacheliers technologiques toutes séries", 110, "Liste d'appel propre à cette formation", 14.0, "8544", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8544&g_ta_cod=8544", 7.0, 48.0, 45.0),
(263, "Public", "0700018P", "Lycée Georges Colomb", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Lure", "formation sélective", "BTS", "Lycée Georges Colomb - BTS - Services - Tourisme", "BTS - Services", "", 24, 264, 161, 254, 0, 60, 12, 42, 16, 39, 15, 113, 10, 0, 0, 6, 4, 159, 1, 0, 0, 57, 10, 39, 15, 29, 11, 34, 97, 17, 9, 16, 1, 2.0, 11.0, 14.0, 0, 2, 9, 4, 1, 4, 8, 0, 7, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 7, 7, 11.76, 64.71, 82.35, 52.8984375, 77.796875, 77.796875, 0, 22.19921875, 52.8984375, 0.0, 77.796875, 22.19921875, 0.0, 0.0, 0.0, 44.3984375, 0.0, 11.099609375, 11.099609375, 44.3984375, 11.099609375, 32.0, 6.0, 20.0, 8.0, 22.0, "Tous les candidats sauf les Bac professionnels", 118.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 59.0, "28342", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28342&g_ta_cod=28342", 47.0, 24.0, 29.0),
(264, "Privé sous contrat d'association", "0593007Y", "Lycée Frédéric OZANAM", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Frédéric OZANAM - BTS - Services - Métiers des Services à l'environnement", "BTS - Services", "", 20, 109, 41, 106, 0, 32, 2, 23, 2, 12, 6, 39, 3, 0, 1, 2, 0, 106, 3, 0, 0, 32, 2, 23, 2, 12, 6, 39, 72, 16, 6, 14, 2, 7.0, 13.0, 14.0, 0, 1, 13, 3, 7, 3, 3, 0, 5, 7, 1, 0, 0.0, 1, 4, 3, 2, 1, 11, 11, 43.75, 81.25, 87.5, 37.5, 84.59375, 84.59375, 15.3984375, 7.69921875, 81.296875, 0.0, 38.5, 53.796875, 7.69921875, 0.0, 0.0, 23.09765625, 7.69921875, 53.796875, 30.796875, 23.09765625, 23.09765625, 22.0, 2.0, 8.0, 4.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 72.0, "15314", "BTS - Services - Métiers des Services à l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15314&g_ta_cod=15314", 38.0, 44.0, 19.0),
(265, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 393, 2246, 985, 2016, 0, 1145, 221, 361, 100, 44, 22, 466, 230, 27, 24, 17, 162, 1997, 206, 0, 0, 1145, 221, 361, 100, 44, 22, 447, 1889, 367, 132, 266, 101, 35.0, 263.0, 312.0, 0, 54, 200, 131, 49, 20, 167, 1, 121, 53, 21, 4, 0.0, 57, 12, 9, 0, 0, 170, 170, 9.54, 71.66, 85.01, 36.0, 85.0, 85.0, 0, 27.0, 54.5, 0.5, 60.5, 26.5, 10.5, 2.0, 0.0, 65.5, 28.5, 24.5, 6.0, 10.0, 4.5, 978.0, 190.0, 53.0, 26.0, 529.0, "Tous les candidats", 1998.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "10224", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10224&g_ta_cod=10224", 66.0, 23.0, 10.0),
(266, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence_Las", "Université de Montpellier - Licence - Portail Droit - Droit (Faculté de Droit et Science Politique)", "Licence - Droit-économie-gestion", "Droit (Faculté de Droit et Science Politique)", 30, 1598, 1175, 1598, 0, 803, 229, 116, 43, 37, 22, 642, 0, 0, 0, 0, 0, 1598, 0, 0, 0, 803, 229, 116, 43, 37, 22, 642, 302, 27, 20, 27, 0, 1.0, 12.0, 23.0, 0, 8, 17, 13, 3, 1, 10, 0, 1, 8, 5, 3, 0.0, 12, 3, 1, 0, 0, 13, 13, 3.7, 44.44, 85.19, 74.09375, 76.5, 76.5, 0, 47.09375, 63.0, 0.0, 5.8994140625, 47.09375, 29.3984375, 17.6, 0.0, 76.5, 70.59375, 17.59765625, 17.59765625, 5.8994140625, 5.8994140625, 156.0, 36.0, 2.0, 1.0, 136.0, "Tous les candidats", 2408.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "28693", "Licence - Portail Droit - Droit (Faculté de Droit et Science Politique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28692&g_ta_cod=28693", 85.0, 11.0, 4.0),
(267, "Privé sous contrat d'association", "0491027A", "Lycée agricole Campus de Pouillé", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Les Ponts-de-Cé", "formation sélective", "BTS", "Lycée agricole Campus de Pouillé - BTS - Agricole - Production horticole", "BTS - Agricole", "", 32, 145, 63, 140, 0, 29, 6, 24, 3, 38, 6, 49, 5, 0, 0, 1, 4, 115, 4, 0, 0, 28, 5, 21, 2, 36, 6, 30, 87, 15, 9, 13, 2, 5.0, 13.0, 13.0, 0, 0, 10, 1, 1, 8, 5, 0, 1, 6, 3, 0, 0.0, 1, 1, 7, 3, 0, 10, 10, 33.33, 86.67, 86.67, 60.0, 100.0, 100.0, 30, 0.0, 66.6875, 0.0, 10.0, 60.0, 30.0, 0.0, 0.0, 10.0, 10.0, 10.0, 10.0, 80.0, 70.0, 21.0, 3.0, 28.0, 3.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 81.0, "5950", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5950&g_ta_cod=5950", 33.0, 13.0, 53.0),
(268, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations, parcours Europe - Albanais", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Europe - Albanais", 10, 20, 11, 14, 0, 5, 4, 2, 1, 1, 1, 6, 6, 2, 0, 0, 4, 14, 4, 0, 0, 5, 4, 2, 1, 1, 1, 6, 18, 2, 1, 1, 1, 1.0, 1.0, 2.0, 0, 1, 2, 2, 0, 0, 0, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 2, 50.0, 50.0, 100.0, 50.0, 50.0, 100.0, 0, 50.0, 100.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 7.0, 5.0, 1.0, 1.0, 8.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9436", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations, parcours Europe - Albanais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29635&g_ta_cod=9436", 100.0, 0.0, 0.0),
(269, "Public", "0310044E", "Lycée Déodat de Séverac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Déodat de Séverac - BTS - Production - Métiers de la chimie", "BTS - Production", "", 30, 774, 437, 774, 0, 132, 30, 247, 63, 19, 2, 376, 0, 0, 0, 0, 0, 402, 0, 0, 0, 116, 23, 166, 38, 8, 0, 112, 171, 30, 17, 30, 0, 1.0, 19.0, 29.0, 0, 2, 14, 4, 8, 2, 16, 0, 5, 7, 1, 1, 0.0, 1, 6, 2, 4, 1, 10, 10, 3.33, 63.33, 96.67, 56.6953125, 71.390625, 71.390625, 28.59765625, 14.298828125, 46.6953125, 0.0, 35.6953125, 50.0, 7.099609375, 7.1, 0.0, 28.59765625, 7.099609375, 57.09375, 42.8984375, 14.298828125, 14.298828125, 54.0, 14.0, 7.0, 0.0, 56.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 129.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 161, "Liste d'appel propre à cette formation", 39.0, "4057", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4057&g_ta_cod=4057", 33.0, 60.0, 7.0),
(270, "Public", "0750693W", "Lycée Buffon", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "CPGE", "Lycée Buffon - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 2021, 580, 2021, 261, 1876, 270, 1, 1, 0, 0, 144, 0, 0, 0, 0, 0, 1403, 0, 202, 1296, 1340, 174, 1, 1, 0, 0, 62, 402, 45, 10, 45, 0, 18.0, 25.0, 39.0, 2, 7, 43, 43, 0, 0, 2, 0, 0, 5, 31, 7, 0.0, 43, 0, 0, 0, 0, 28, 41, 40.0, 55.56, 86.67, 22.19921875, 65.09375, 95.296875, 0, 16.296875, 95.59375, 0.0, 0.0, 11.599609375, 72.09375, 16.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 398.0, 57.0, 0.0, 0.0, 4.0, "Tous les candidats", 431.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "9114", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9114&g_ta_cod=9114", 100.0, 0.0, 0.0),
(271, "Public", "0141689K", "IFSI CH Lisieux", "14", "Calvados", "Normandie", "Normandie", "Lisieux", "formation sélective", "IFSI", "Regroupement d'IFSI Université Caen - D.E Infirmier", "D.E secteur sanitaire", "", 56, 2755, 2342, 2755, 0, 496, 92, 588, 116, 422, 138, 1249, 0, 0, 0, 0, 0, 2619, 0, 0, 0, 493, 92, 567, 110, 391, 129, 1168, 648, 56, 47, 56, 0, 1.0, 32.0, 52.0, 0, 4, 36, 17, 15, 4, 20, 0, 10, 17, 9, 0, 0.0, 11, 11, 4, 0, 0, 33, 33, 1.79, 57.14, 92.86, 83.890625, 91.6875, 91.6875, 0, 11.099609375, 64.296875, 0.0, 27.796875, 47.1953125, 25.0, 0.0, 0.0, 47.1953125, 30.59765625, 41.6953125, 30.59765625, 11.099609375, 11.099609375, 211.0, 32.0, 54.0, 17.0, 250.0, "Tous les candidats", 1645.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "23095", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23094&g_ta_cod=23095", 63.0, 30.0, 7.0),
(272, "Public", "0442061B", "Lycée agricole Jules Rieffel", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Herblain", "formation sélective", "BTS", "Lycée agricole Jules Rieffel - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 32, 539, 163, 496, 0, 63, 4, 81, 15, 97, 19, 255, 43, 6, 8, 11, 18, 207, 19, 0, 0, 52, 4, 52, 11, 74, 17, 29, 147, 27, 7, 18, 8, 3.0, 18.0, 25.0, 0, 7, 18, 5, 3, 10, 9, 0, 8, 6, 4, 0, 0.0, 1, 3, 6, 0, 0, 14, 14, 11.11, 66.67, 92.59, 25.8984375, 77.796875, 77.796875, 0, 38.8984375, 66.6875, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 27.796875, 5.599609375, 16.69921875, 16.69921875, 55.59375, 33.296875, 35.0, 2.0, 47.0, 12.0, 28.0, "Tous les candidats sauf les Bac professionnels", 127.0, "Bacheliers professionnels toutes séries", 80, "", 0, "Liste d'appel propre à cette formation", 42.0, "5609", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5609&g_ta_cod=5609", 48.0, 15.0, 37.0),
(273, "Public", "0851401L", "LGT Jean de Lattre de Tassigny", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "LGT Jean de Lattre de Tassigny - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 298, 37, 298, 0, 11, 1, 32, 5, 65, 16, 190, 0, 0, 0, 0, 0, 137, 0, 0, 0, 11, 1, 32, 5, 62, 14, 32, 66, 20, 2, 20, 0, 6.0, 20.0, 20.0, 0, 5, 18, 2, 4, 12, 2, 0, 7, 4, 7, 0, 0.0, 0, 2, 9, 0, 0, 16, 16, 30.0, 100.0, 100.0, 10.0, 88.890625, 88.890625, 0, 27.796875, 90.0, 0.0, 38.8984375, 22.19921875, 38.8984375, 0.0, 0.0, 11.099609375, 0.0, 22.19921875, 11.099609375, 66.6875, 50.0, 8.0, 1.0, 31.0, 9.0, 8.0, "Tous les candidats sauf les Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 30.0, "10547", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10547&g_ta_cod=10547", 20.0, 20.0, 60.0),
(274, "Privé sous contrat d'association", "0783351U", "Lycée Notre Dame du Grandchamp", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Notre Dame du Grandchamp - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 67, 1426, 676, 1426, 0, 1327, 42, 1, 0, 0, 0, 98, 0, 0, 0, 0, 0, 508, 0, 0, 508, 508, 20, 0, 0, 0, 0, 0, 352, 67, 27, 67, 0, 13.0, 58.0, 61.0, 0, 2, 67, 67, 0, 0, 0, 0, 0, 0, 10, 51, 6.0, 67, 0, 0, 1, 0, 31, 45, 19.4, 86.57, 91.04, 40.296875, 46.296875, 67.1875, 1.5, 3.0, 100.0, 0.0, 0.0, 0.0, 14.8984375, 76.1, 9.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 352.0, 15.0, 0.0, 0.0, 0.0, "Tous les candidats", 444.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "31268", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31268&g_ta_cod=31268", 100.0, 0.0, 0.0),
(275, "Public", "0721493G", "Lycée Marguerite Yourcenar", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "Autre formation", "Lycée Marguerite Yourcenar - Diplôme de Comptabilité et de Gestion", "DCG", "", 40, 492, 242, 428, 0, 181, 35, 103, 23, 6, 3, 138, 64, 11, 5, 5, 43, 295, 5, 0, 0, 171, 32, 88, 18, 0, 0, 36, 158, 33, 12, 28, 5, 4.0, 27.0, 30.0, 0, 2, 21, 20, 1, 0, 12, 0, 9, 9, 3, 0, 0.0, 12, 0, 0, 0, 0, 17, 17, 12.12, 81.82, 90.91, 36.3984375, 81.0, 81.0, 0, 9.5, 63.59375, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 95.1875, 57.09375, 4.7998046875, 0.0, 0.0, 0.0, 104.0, 20.0, 0.0, 0.0, 26.0, "Tous les candidats", 294.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "8770", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8770&g_ta_cod=8770", 94.0, 6.0, 0.0),
(276, "Privé enseignement supérieur", "0382778N", "Grenoble Ecole de Management", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "Ecole de Commerce", "Grenoble Ecole de Management - Formation des écoles de commerce et de management Bac + 3 - Bachelor in International Business", "Formation des écoles de commerce et de management", "Bachelor in International Business", 50, 191, 93, 181, 0, 153, 8, 12, 3, 0, 0, 16, 10, 6, 0, 0, 4, 141, 5, 0, 0, 124, 5, 7, 1, 0, 0, 10, 129, 37, 20, 33, 4, 20.0, 32.0, 33.0, 0, 2, 33, 29, 4, 0, 4, 0, 4, 18, 10, 1, 0.0, 26, 3, 0, 0, 0, 23, 23, 54.05, 86.49, 89.19, 54.09375, 69.6875, 69.6875, 0, 6.099609375, 89.1875, 0.0, 12.099609375, 54.5, 30.296875, 3.0, 0.0, 87.890625, 78.796875, 12.099609375, 9.099609375, 0.0, 0.0, 112.0, 4.0, 0.0, 0.0, 12.0, "Tous les candidats", 141.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "31811", "Formation des écoles de commerce et de management Bac + 3 - Bachelor in International Business", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31811&g_ta_cod=31811", 89.0, 11.0, 0.0),
(277, "Privé sous contrat d'association", "0380018N", "Lycée ISER-BORDIER", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée ISER-BORDIER - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 457, 243, 457, 0, 41, 11, 200, 56, 106, 33, 110, 0, 0, 0, 0, 0, 428, 0, 0, 0, 40, 11, 193, 52, 106, 33, 89, 258, 32, 15, 32, 0, 1.0, 9.0, 20.0, 0, 2, 16, 3, 7, 6, 16, 2, 9, 4, 1, 0, 0.0, 1, 1, 3, 0, 0, 14, 14, 3.13, 28.13, 62.5, 46.8984375, 87.5, 87.5, 0, 12.5, 50.0, 12.5, 56.296875, 25.0, 6.2998046875, 0.0, 0.0, 18.796875, 6.2998046875, 43.796875, 6.2998046875, 37.5, 18.796875, 25.0, 7.0, 65.0, 13.0, 53.0, "Tous les candidats sauf les Bac professionnels", 225.0, "Bacheliers professionnels toutes séries", 93, "", 0, "Liste d'appel propre à cette formation", 69.0, "4918", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4918&g_ta_cod=4918", 38.0, 34.0, 28.0),
(278, "Public", "0330026Z", "Lycée Francois Magendie", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Autre formation", "Lycée Francois Magendie - DN MADE - Objet - - Spécialité : Design et innovation sociale : modes de vie et pratiques de l'usager", "DN MADE", "- Spécialité : Design et innovation sociale : modes de vie et pratiques de l'usager", 15, 543, 396, 543, 0, 194, 28, 178, 45, 23, 6, 148, 0, 0, 0, 0, 0, 250, 0, 0, 0, 122, 21, 106, 20, 1, 0, 21, 77, 15, 13, 15, 0, 0.0, 10.0, 13.0, 0, 1, 15, 10, 5, 0, 0, 0, 2, 6, 6, 1, 0.0, 8, 5, 0, 0, 0, 3, 3, 0.0, 66.67, 86.67, 86.6875, 20.0, 20.0, 0, 6.69921875, 100.0, 0.0, 13.298828125, 40.0, 40.0, 6.7, 0.0, 66.6875, 53.296875, 33.296875, 33.296875, 0.0, 0.0, 41.0, 9.0, 0.0, 0.0, 4.0, "Tous les candidats", 124.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "24289", "DN MADE - Objet - - Spécialité : Design et innovation sociale : modes de vie et pratiques de l'usager", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24289&g_ta_cod=24289", 67.0, 33.0, 0.0),
(279, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence", "Université des Antilles - Pôle Martinique - Licence - Portail Physique, chimie - Matière, énergie environnement - Martinique", "Licence - Sciences - technologies - santé", "Matière, énergie environnement - Martinique", 75, 126, 71, 113, 0, 76, 23, 3, 2, 1, 1, 33, 13, 7, 0, 0, 6, 113, 12, 0, 0, 76, 23, 3, 2, 1, 1, 33, 126, 14, 7, 13, 1, 9.0, 13.0, 14.0, 0, 4, 7, 6, 0, 1, 7, 0, 2, 3, 2, 0, 0.0, 4, 0, 1, 0, 0, 6, 6, 64.29, 92.86, 100.0, 50.0, 85.6875, 85.6875, 0, 57.09375, 50.0, 0.0, 28.59765625, 42.8984375, 28.59765625, 0.0, 0.0, 85.6875, 57.09375, 0.0, 0.0, 14.298828125, 14.298828125, 82.0, 23.0, 1.0, 1.0, 40.0, "Tous les candidats", 162.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "11840", "Licence - Portail Physique, chimie - Matière, énergie environnement - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28291&g_ta_cod=11840", 71.0, 21.0, 7.0),
(280, "Privé sous contrat d'association", "0650065T", "Lycée Pradeau la Sède-St Pierre", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Pradeau la Sède-St Pierre - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 320, 144, 303, 0, 36, 5, 121, 27, 94, 36, 52, 17, 5, 0, 0, 12, 289, 6, 0, 0, 35, 5, 121, 27, 94, 36, 39, 139, 31, 15, 26, 5, 7.0, 17.0, 22.0, 0, 5, 23, 1, 7, 15, 8, 0, 10, 10, 2, 1, 0.0, 1, 3, 9, 2, 1, 21, 21, 22.58, 54.84, 70.97, 48.3984375, 91.296875, 91.296875, 8.69921875, 21.69921875, 74.1875, 0.0, 43.5, 43.5, 8.69921875, 4.3, 0.0, 4.2998046875, 4.2998046875, 30.3984375, 13.0, 65.1875, 39.09375, 31.0, 5.0, 56.0, 22.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 47.0, "7826", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7826&g_ta_cod=7826", 26.0, 23.0, 52.0),
(281, "Privé sous contrat d'association", "0480680D", "Lycée polyvalent privé Sacre-Coeur", "48", "Lozère", "Occitanie", "Montpellier", "Saint-Chély-d'Apcher", "formation sélective", "Autre formation", "Lycée polyvalent privé Sacre-Coeur - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 20, 24, 7, 22, 0, 0, 0, 0, 0, 12, 3, 10, 2, 0, 0, 1, 1, 14, 1, 0, 0, 0, 0, 0, 0, 11, 3, 3, 15, 2, 0, 1, 1, 1.0, 1.0, 2.0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 50.0, 50.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 11.0, 3.0, 4.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "15805", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15805&g_ta_cod=15805", 50.0, 0.0, 50.0),
(282, "Privé sous contrat d'association", "0211091X", "Lycée Les Arcades", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Les Arcades - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 32, 192, 84, 165, 0, 32, 7, 44, 8, 32, 8, 57, 27, 1, 1, 12, 13, 142, 6, 0, 0, 27, 4, 43, 7, 26, 7, 46, 122, 31, 14, 26, 5, 4.0, 20.0, 27.0, 0, 3, 15, 2, 6, 7, 16, 0, 9, 6, 0, 0, 0.0, 1, 3, 2, 4, 3, 13, 13, 12.9, 64.52, 87.1, 45.1953125, 86.6875, 86.6875, 26.69921875, 20.0, 48.3984375, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 13.298828125, 6.69921875, 40.0, 20.0, 46.6953125, 13.298828125, 19.0, 4.0, 24.0, 6.0, 43.0, "Tous les candidats sauf les Bac professionnels", 104.0, "Bacheliers professionnels toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 81.0, "3230", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3230&g_ta_cod=3230", 42.0, 29.0, 29.0),
(283, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Autre formation", "Université Clermont Auvergne - D.E Ergothérapeute", "D.E secteur sanitaire", "", 12, 278, 244, 278, 0, 88, 4, 29, 4, 2, 0, 159, 0, 0, 0, 0, 0, 116, 0, 0, 0, 50, 3, 10, 3, 1, 0, 55, 36, 12, 12, 12, 0, 6.0, 10.0, 10.0, 0, 1, 5, 3, 1, 1, 7, 0, 0, 3, 0, 2, 0.0, 3, 1, 1, 0, 0, 1, 1, 50.0, 83.33, 83.33, 100.0, 20.0, 20.0, 0, 20.0, 41.6953125, 0.0, 0.0, 60.0, 0.0, 40.0, 0.0, 60.0, 60.0, 20.0, 20.0, 20.0, 20.0, 16.0, 0.0, 1.0, 0.0, 16.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "25957", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25957&g_ta_cod=25957", 83.0, 8.0, 8.0),
(284, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues étrangères appliquées - Parcours Anglais-Japonais", "Licence - Arts-lettres-langues", "Anglais-Japonais", 15, 199, 118, 199, 0, 92, 24, 17, 9, 9, 3, 81, 0, 0, 0, 0, 0, 199, 0, 0, 0, 92, 24, 17, 9, 9, 3, 81, 46, 13, 6, 13, 0, 5.0, 9.0, 12.0, 0, 1, 9, 7, 0, 2, 4, 0, 3, 3, 2, 1, 0.0, 5, 0, 1, 0, 0, 8, 8, 38.46, 69.23, 92.31, 46.1953125, 88.890625, 88.890625, 0, 11.099609375, 69.1875, 0.0, 33.296875, 33.296875, 22.19921875, 11.1, 0.0, 77.796875, 55.59375, 0.0, 0.0, 22.19921875, 11.099609375, 26.0, 6.0, 4.0, 1.0, 14.0, "Tous les candidats", 52.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "5055", "Licence - Langues étrangères appliquées - Parcours Anglais-Japonais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5055&g_ta_cod=5055", 77.0, 8.0, 15.0),
(285, "Public", "0660922U", "Université de Montpellier, Antenne de Perpignan", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence", "Université de Montpellier, Antenne de Perpignan - Licence - Sciences et technologies - Parcours Métiers de l'enseignement, de l'éducation et de la formation (Faculté d'éducation)", "Licence - Sciences - technologies - santé", "Métiers de l'enseignement, de l'éducation et de la formation (Faculté d'éducation)", 78, 416, 338, 416, 0, 231, 55, 51, 16, 5, 3, 129, 0, 0, 0, 0, 0, 415, 0, 0, 0, 231, 55, 51, 16, 5, 3, 128, 291, 76, 70, 76, 0, 9.0, 62.0, 70.0, 0, 15, 53, 46, 7, 0, 23, 0, 11, 30, 9, 3, 0.0, 35, 7, 0, 0, 0, 45, 45, 11.84, 81.58, 92.11, 92.09375, 84.890625, 84.890625, 0, 28.296875, 69.6875, 0.0, 20.796875, 56.59375, 17.0, 5.7, 0.0, 86.796875, 66.0, 13.19921875, 13.19921875, 0.0, 0.0, 196.0, 47.0, 1.0, 1.0, 74.0, "Tous les candidats", 325.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "24415", "Licence - Sciences et technologies - Parcours Métiers de l'enseignement, de l'éducation et de la formation (Faculté d'éducation)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24415&g_ta_cod=24415", 79.0, 20.0, 1.0),
(286, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Institut Catholique Paris - Licence - Lettres - Parcours Lettres modernes", "Licence - Arts-lettres-langues", "Lettres modernes", 120, 303, 235, 205, 0, 155, 8, 4, 1, 0, 0, 46, 98, 16, 2, 0, 80, 205, 92, 0, 0, 155, 8, 4, 1, 0, 0, 46, 293, 31, 27, 14, 17, 8.0, 14.0, 23.0, 0, 2, 17, 17, 0, 0, 14, 0, 4, 7, 6, 0, 0.0, 13, 0, 0, 0, 0, 4, 11, 25.81, 45.16, 74.19, 87.09375, 23.5, 64.6875, 0, 11.798828125, 54.796875, 0.0, 23.5, 41.1953125, 35.296875, 0.0, 0.0, 100.0, 76.5, 0.0, 0.0, 0.0, 0.0, 168.0, 12.0, 0.0, 0.0, 119.0, "Tous les candidats", 205.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9455", "Licence - Lettres - Parcours Lettres modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9455&g_ta_cod=9455", 97.0, 3.0, 0.0),
(287, "Public", "0831242Z", "Lycée du Golfe de Saint Tropez", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Gassin", "formation sélective", "BTS", "Lycée du Golfe de Saint Tropez - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 15, 259, 139, 237, 0, 46, 12, 79, 17, 74, 21, 38, 22, 7, 5, 0, 10, 158, 2, 0, 0, 34, 9, 60, 13, 48, 13, 16, 78, 9, 5, 9, 0, 0.0, 7.0, 9.0, 0, 2, 9, 3, 2, 4, 0, 0, 3, 4, 2, 0, 0.0, 1, 1, 4, 8, 4, 9, 9, 0.0, 77.78, 100.0, 55.59375, 100.0, 100.0, 88.890625, 22.19921875, 100.0, 0.0, 33.296875, 44.3984375, 22.19921875, 0.0, 0.0, 33.296875, 11.099609375, 22.19921875, 11.099609375, 44.3984375, 44.3984375, 17.0, 7.0, 22.0, 8.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers technologiques toutes séries", 37, "Bacheliers professionnels toutes séries", 28, "Liste d'appel propre à cette formation", 41.0, "32233", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32233&g_ta_cod=32233", 33.0, 22.0, 44.0),
(288, "Public", "0782567S", "Lycée Marie Curie", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 58, 1686, 1221, 1686, 0, 263, 69, 568, 197, 57, 28, 798, 0, 0, 0, 0, 0, 822, 0, 0, 0, 183, 41, 423, 136, 34, 20, 182, 314, 56, 39, 55, 0, 4.0, 33.0, 47.0, 0, 14, 41, 7, 32, 2, 15, 0, 9, 22, 8, 2, 0.0, 6, 24, 2, 8, 4, 32, 36, 7.14, 58.93, 83.93, 69.59375, 78.0, 87.796875, 19.5, 34.09375, 73.1875, 0.0, 22.0, 53.6953125, 19.5, 4.9, 0.0, 17.09765625, 14.599609375, 78.0, 58.5, 4.8994140625, 4.8994140625, 76.0, 20.0, 6.0, 2.0, 54.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 137.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 271, "Liste d'appel propre à cette formation", 25.0, "10062", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10062&g_ta_cod=10062", 18.0, 79.0, 4.0),
(289, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER : ITALIEN NON DEBUTANT", "Licence - Arts-lettres-langues", "LLCER : ITALIEN NON DEBUTANT", 55, 176, 127, 121, 0, 58, 15, 4, 3, 3, 2, 56, 55, 2, 3, 1, 49, 121, 52, 0, 0, 58, 15, 4, 3, 3, 2, 56, 158, 31, 22, 11, 20, 5.0, 11.0, 14.0, 0, 3, 7, 4, 2, 1, 24, 0, 4, 3, 0, 0, 0.0, 2, 1, 0, 0, 0, 1, 5, 16.13, 35.48, 45.16, 71.0, 14.298828125, 71.390625, 0, 42.8984375, 22.59765625, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 57.09375, 28.59765625, 28.59765625, 14.298828125, 14.298828125, 0.0, 58.0, 14.0, 4.0, 2.0, 91.0, "Tous les candidats", 156.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "9282", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER : ITALIEN NON DEBUTANT", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28441&g_ta_cod=9282", 87.0, 10.0, 3.0),
(290, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "Licence", "Université de Perpignan Via Domitia - Licence - Lettres - Parcours  Théâtre", "Licence - Arts-lettres-langues", "Théâtre", 6, 53, 35, 53, 0, 40, 14, 2, 1, 2, 2, 9, 0, 0, 0, 0, 0, 16, 0, 0, 0, 13, 5, 0, 0, 0, 0, 3, 9, 6, 2, 6, 0, 3.0, 6.0, 6.0, 0, 2, 5, 5, 0, 0, 1, 0, 0, 0, 2, 2, 1.0, 5, 0, 0, 0, 0, 2, 2, 50.0, 100.0, 100.0, 33.296875, 40.0, 40.0, 0, 40.0, 83.296875, 0.0, 0.0, 0.0, 40.0, 40.0, 20.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 8.0, 4.0, 0.0, 0.0, 1.0, "Tous les candidats", 9.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "18617", "Licence - Lettres - Parcours  Théâtre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18617&g_ta_cod=18617", 100.0, 0.0, 0.0),
(291, "Privé sous contrat d'association", "0920875B", "Lycée Sainte-Marie de Neuilly", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Neuilly-sur-Seine", "formation sélective", "CPGE", "Lycée Sainte-Marie de Neuilly - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 38, 909, 606, 909, 0, 824, 56, 0, 0, 2, 2, 83, 0, 0, 0, 0, 0, 482, 0, 0, 482, 472, 33, 0, 0, 0, 0, 10, 316, 39, 30, 39, 0, 7.0, 24.0, 36.0, 0, 2, 38, 38, 0, 0, 1, 0, 0, 2, 9, 27, 0.0, 38, 0, 0, 2, 2, 18, 29, 17.95, 61.54, 92.31, 76.890625, 47.3984375, 76.296875, 5.2998046875, 5.2998046875, 97.390625, 0.0, 0.0, 5.2998046875, 23.69921875, 71.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 312.0, 17.0, 0.0, 0.0, 4.0, "Tous les candidats", 445.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "11043", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11043&g_ta_cod=11043", 100.0, 0.0, 0.0),
(292, "Privé sous contrat d'association", "0810095N", "Lycée Sainte-Cecile", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "BTS", "Lycée Sainte-Cecile - BTS - Services - Communication", "BTS - Services", "", 35, 333, 222, 329, 0, 75, 11, 86, 18, 55, 24, 113, 4, 0, 1, 1, 2, 238, 1, 0, 0, 65, 10, 79, 17, 47, 22, 47, 118, 26, 16, 25, 1, 4.0, 14.0, 25.0, 0, 8, 21, 10, 7, 4, 5, 0, 10, 9, 2, 0, 0.0, 6, 2, 3, 0, 0, 18, 18, 15.38, 53.85, 96.15, 61.5, 85.6875, 85.6875, 0, 38.09375, 80.796875, 0.0, 47.59375, 42.8984375, 9.5, 0.0, 0.0, 47.59375, 28.59765625, 33.296875, 9.5, 19.0, 14.298828125, 25.0, 6.0, 22.0, 12.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 77.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 67.0, "14673", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14673&g_ta_cod=14673", 42.0, 35.0, 23.0),
(293, "Privé sous contrat d'association", "0492406Z", "LGT Sainte-Marie", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "BTS", "LGT Sainte-Marie - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 306, 26, 294, 0, 103, 14, 61, 11, 43, 12, 87, 12, 0, 0, 8, 4, 193, 0, 0, 0, 96, 12, 57, 9, 27, 4, 13, 106, 35, 1, 35, 0, 16.0, 30.0, 33.0, 0, 9, 33, 19, 9, 5, 2, 0, 19, 9, 3, 2, 0.0, 8, 2, 4, 7, 0, 33, 33, 45.71, 85.71, 94.29, 2.89990234375, 100.0, 100.0, 21.19921875, 27.296875, 94.296875, 0.0, 57.59375, 27.296875, 9.099609375, 6.1, 0.0, 57.59375, 24.19921875, 27.296875, 6.099609375, 15.19921875, 12.099609375, 53.0, 7.0, 25.0, 3.0, 6.0, "Tous les candidats sauf les Bac professionnels", 128.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 53.0, "5909", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5909&g_ta_cod=5909", 60.0, 26.0, 14.0),
(294, "Public", "0920146J", "Lycée Marie Curie", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "CPGE", "Lycée Marie Curie - CPGE - ENS Rennes D1", "Classe préparatoire économique et commerciale", "", 48, 1165, 811, 1165, 0, 1026, 134, 6, 1, 1, 0, 132, 0, 0, 0, 0, 0, 900, 0, 0, 900, 872, 97, 1, 0, 0, 0, 27, 289, 47, 38, 47, 0, 1.0, 37.0, 46.0, 0, 4, 46, 45, 1, 0, 1, 0, 0, 1, 21, 24, 0.0, 45, 1, 0, 3, 2, 21, 30, 2.13, 78.72, 97.87, 80.890625, 45.6953125, 65.1875, 6.5, 8.69921875, 97.890625, 0.0, 0.0, 2.19970703125, 45.6953125, 52.2, 0.0, 97.796875, 97.796875, 2.19970703125, 2.19970703125, 0.0, 0.0, 286.0, 30.0, 0.0, 0.0, 2.0, "Tous les candidats", 439.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "11018", "CPGE - ENS Rennes D1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11018&g_ta_cod=11018", 98.0, 2.0, 0.0),
(295, "Public", "0831764S", "Institut de formation public Var prof de santé IF LA GARDE", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation sélective", "Autre formation", "Institut de formation public Var prof de santé IF LA GARDE - D.E Ergothérapeute", "D.E secteur sanitaire", "", 30, 917, 800, 917, 0, 185, 26, 135, 23, 17, 1, 580, 0, 0, 0, 0, 0, 406, 0, 0, 0, 114, 10, 33, 6, 7, 0, 252, 108, 30, 27, 30, 0, 4.0, 25.0, 27.0, 0, 2, 17, 14, 2, 1, 13, 0, 0, 7, 7, 3, 0.0, 14, 2, 1, 0, 0, 5, 5, 13.33, 83.33, 90.0, 90.0, 29.3984375, 29.3984375, 0, 11.798828125, 56.6953125, 0.0, 0.0, 41.1953125, 41.1953125, 17.6, 0.0, 82.390625, 82.390625, 11.798828125, 11.798828125, 5.8994140625, 5.8994140625, 50.0, 4.0, 2.0, 0.0, 51.0, "Tous les candidats", 146.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "26286", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26286&g_ta_cod=26286", 80.0, 13.0, 3.0),
(296, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Langues étrangères appliquées - Parcours Anglais-Mandarin", "Licence - Arts-lettres-langues", "Anglais-Mandarin", 30, 298, 242, 297, 0, 206, 80, 22, 12, 8, 6, 61, 1, 0, 0, 0, 1, 297, 1, 0, 0, 206, 80, 22, 12, 8, 6, 61, 127, 40, 37, 39, 1, 9.0, 38.0, 38.0, 0, 11, 33, 31, 0, 2, 7, 0, 3, 10, 16, 3, 1.0, 28, 0, 2, 0, 0, 32, 32, 22.5, 95.0, 95.0, 92.5, 97.0, 97.0, 0, 33.296875, 82.5, 0.0, 9.099609375, 30.296875, 48.5, 9.1, 3.0, 93.890625, 84.796875, 0.0, 0.0, 6.099609375, 6.099609375, 95.0, 30.0, 3.0, 1.0, 27.0, "Tous les candidats", 205.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "26326", "Licence - Langues étrangères appliquées - Parcours Anglais-Mandarin", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26326&g_ta_cod=26326", 93.0, 3.0, 5.0),
(297, "Public", "0422048Y", "I.U.T de Roanne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Roanne", "formation sélective", "BUT", "I.U.T de Roanne - BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "BUT - Production", "Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", 45, 484, 40, 452, 0, 230, 30, 154, 28, 6, 3, 62, 32, 4, 4, 0, 24, 340, 8, 0, 0, 197, 25, 106, 21, 2, 1, 35, 252, 26, 3, 21, 4, 7.0, 18.0, 23.0, 0, 3, 16, 5, 9, 2, 10, 0, 3, 8, 2, 3, 0.0, 4, 7, 2, 0, 0, 12, 12, 26.92, 69.23, 88.46, 11.5, 75.0, 75.0, 0, 18.796875, 61.5, 0.0, 18.796875, 50.0, 12.5, 18.8, 0.0, 31.296875, 25.0, 56.296875, 43.796875, 12.5, 12.5, 131.0, 15.0, 2.0, 1.0, 38.0, "Tous les candidats sauf les Bac technologiques", 224.0, "Bacheliers technologiques toutes séries", 117, "", 0, "Liste d'appel propre à cette formation", 75.0, "5372", "BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5372&g_ta_cod=5372", 42.0, 50.0, 8.0),
(298, "Privé sous contrat d'association", "0690563M", "Lycée Saint Louis Saint Bruno", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "Autre formation", "Lycée Saint Louis Saint Bruno - CPES - Arts", "Classe préparatoire aux études supérieures", "", 24, 245, 187, 241, 0, 197, 21, 15, 4, 7, 0, 22, 4, 1, 1, 1, 1, 111, 0, 0, 0, 99, 14, 6, 2, 1, 0, 5, 69, 21, 18, 21, 0, 3.0, 14.0, 21.0, 0, 3, 21, 18, 2, 1, 0, 0, 3, 11, 6, 1, 0.0, 16, 1, 1, 0, 0, 10, 10, 14.29, 66.67, 100.0, 85.6875, 47.59375, 47.59375, 0, 14.298828125, 100.0, 0.0, 14.298828125, 52.3984375, 28.59765625, 4.8, 0.0, 85.6875, 76.1875, 9.5, 4.7998046875, 4.7998046875, 4.7998046875, 61.0, 8.0, 1.0, 0.0, 5.0, "Tous les candidats", 109.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "22007", "CPES - Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22007&g_ta_cod=22007", 86.0, 10.0, 5.0),
(299, "Public", "0590083V", "Lycée Camille Claudel", "59", "Nord", "Hauts-de-France", "Lille", "Fourmies", "formation sélective", "BTS", "Lycée Camille Claudel - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 144, 79, 117, 0, 10, 2, 32, 12, 23, 17, 52, 27, 3, 8, 1, 15, 51, 10, 0, 0, 8, 1, 23, 8, 15, 12, 5, 58, 21, 11, 15, 6, 10.0, 14.0, 19.0, 0, 8, 17, 1, 9, 7, 4, 0, 7, 6, 2, 2, 0.0, 0, 4, 6, 13, 9, 15, 15, 47.62, 66.67, 90.48, 52.3984375, 88.1875, 88.1875, 76.5, 47.09375, 81.0, 0.0, 41.1953125, 35.296875, 11.798828125, 11.8, 0.0, 5.8994140625, 0.0, 52.8984375, 23.5, 41.1953125, 35.296875, 9.0, 3.0, 15.0, 12.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 44.0, "6765", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6765&g_ta_cod=6765", 10.0, 57.0, 33.0),
(300, "Public", "0333234L", "Unité de formation et de recherche sciences médicales Université de Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Autre formation", "Regroupement inter-régions - D.E Audioprothésiste", "D.E secteur sanitaire", "", 17, 779, 521, 779, 0, 237, 42, 31, 12, 4, 3, 507, 0, 0, 0, 0, 0, 463, 0, 0, 0, 158, 18, 2, 0, 0, 0, 303, 145, 16, 13, 16, 0, 1.0, 9.0, 12.0, 0, 0, 3, 3, 0, 0, 13, 0, 0, 2, 0, 1, 0.0, 3, 0, 0, 0, 0, 2, 2, 6.25, 56.25, 75.0, 81.296875, 66.6875, 66.6875, 0, 0.0, 18.796875, 0.0, 0.0, 66.6875, 0.0, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 36.0, 4.0, 0.0, 0.0, 109.0, "Tous les candidats", 551.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "28065", "D.E Audioprothésiste", "Regroupement inter-régions", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28060&g_ta_cod=28065", 94.0, 6.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(301, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "PASS", "Université de Brest - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "ISI - Informatique et Sciences pour l'Ingénieur", 40, 1192, 639, 1192, 0, 792, 124, 20, 4, 6, 5, 374, 0, 0, 0, 0, 0, 1193, 0, 0, 0, 793, 125, 20, 4, 6, 5, 374, 430, 39, 16, 39, 0, 0.0, 16.0, 36.0, 0, 1, 26, 25, 1, 0, 13, 0, 10, 10, 5, 1, 0.0, 15, 1, 0, 0, 0, 17, 17, 0.0, 41.03, 92.31, 41.0, 65.390625, 65.390625, 0, 3.7998046875, 66.6875, 0.0, 38.5, 38.5, 19.19921875, 3.8, 0.0, 96.1875, 57.6953125, 3.7998046875, 3.7998046875, 0.0, 0.0, 338.0, 36.0, 0.0, 0.0, 86.0, "Tous les candidats", 2906.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 49.0, "28217", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27585&g_ta_cod=28217", 97.0, 3.0, 0.0),
(302, "Public", "0030905T", "Lycée professionnel Gustave Eiffel", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Gannat", "formation sélective", "BTS", "Lycée professionnel Gustave Eiffel - BTS - Production - Techniques et services en matériels agricoles", "BTS - Production", "", 6, 59, 0, 59, 0, 2, 0, 12, 0, 39, 5, 6, 0, 0, 0, 0, 0, 51, 0, 0, 0, 2, 0, 12, 0, 37, 5, 0, 31, 5, 0, 5, 0, 1.0, 5.0, 5.0, 0, 0, 5, 0, 0, 5, 0, 0, 4, 0, 0, 1, 0.0, 0, 0, 1, 2, 0, 3, 3, 20.0, 100.0, 100.0, 0.0, 60.0, 60.0, 40, 0.0, 100.0, 0.0, 80.0, 0.0, 0.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 20.0, 2.0, 0.0, 21.0, 2.0, 0.0, "Tous les candidats sauf les Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 83.0, "13361", "BTS - Production - Techniques et services en matériels agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13361&g_ta_cod=13361", 0.0, 0.0, 100.0),
(303, "Public", "0460493L", "Lycée Gaston Monnerville", "46", "Lot", "Occitanie", "Toulouse", "Cahors", "formation sélective", "BTS", "Lycée Gaston Monnerville - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 124, 8, 112, 0, 2, 0, 13, 2, 43, 9, 54, 12, 0, 3, 7, 2, 70, 7, 0, 0, 2, 0, 13, 2, 43, 9, 12, 63, 3, 0, 3, 0, 0.0, 3.0, 3.0, 0, 1, 3, 0, 0, 3, 0, 0, 0, 2, 1, 0, 0.0, 0, 0, 3, 2, 0, 3, 3, 0.0, 100.0, 100.0, 0.0, 100.0, 100.0, 66.6875, 33.296875, 100.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 1.0, 0.0, 37.0, 8.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 62.0, "5752", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5752&g_ta_cod=5752", 0.0, 0.0, 100.0),
(304, "Public", "9760125G", "Lycée Gustave Eiffel De Kahani", "976", "Mayotte", "Mayotte", "Mayotte", "Ouangani", "formation sélective", "BTS", "Lycée Gustave Eiffel De Kahani - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 369, 70, 369, 0, 28, 15, 91, 54, 147, 67, 103, 0, 0, 0, 0, 0, 196, 0, 0, 0, 14, 7, 51, 32, 100, 50, 31, 68, 30, 5, 30, 0, 8.0, 29.0, 30.0, 0, 11, 26, 2, 7, 17, 4, 0, 16, 6, 4, 0, 0.0, 0, 1, 9, 12, 0, 26, 26, 26.67, 96.67, 100.0, 16.69921875, 100.0, 100.0, 46.1953125, 42.296875, 86.6875, 0.0, 61.5, 23.09765625, 15.3984375, 0.0, 0.0, 7.69921875, 0.0, 26.8984375, 3.7998046875, 65.390625, 34.59375, 8.0, 5.0, 36.0, 18.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 22.0, "20114", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20114&g_ta_cod=20114", 7.0, 33.0, 60.0),
(305, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Portail LEA Anglais, Chinois", "Licence - Arts-lettres-langues", "LEA Anglais, Chinois : Université de Brest", 120, 421, 322, 332, 0, 194, 45, 36, 17, 16, 9, 86, 89, 15, 3, 3, 68, 332, 83, 0, 0, 194, 45, 36, 17, 16, 9, 86, 394, 76, 57, 51, 25, 22.0, 51.0, 70.0, 0, 10, 41, 30, 8, 3, 35, 0, 17, 16, 6, 2, 0.0, 21, 2, 1, 0, 0, 30, 30, 28.95, 67.11, 92.11, 75.0, 73.1875, 73.1875, 0, 24.3984375, 53.8984375, 0.0, 41.5, 39.0, 14.599609375, 4.9, 0.0, 73.1875, 51.1953125, 19.5, 4.8994140625, 7.2998046875, 2.39990234375, 198.0, 47.0, 17.0, 8.0, 144.0, "Tous les candidats", 378.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28761", "Licence - Portail LEA Anglais, Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28759&g_ta_cod=28761", 61.0, 21.0, 16.0),
(306, "Public", "0801882L", "Lycée La Hotoie", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée La Hotoie - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 741, 432, 663, 0, 50, 15, 226, 75, 189, 88, 198, 78, 0, 0, 36, 42, 547, 17, 0, 0, 50, 15, 212, 72, 123, 57, 162, 172, 30, 20, 21, 9, 3.0, 18.0, 25.0, 0, 8, 20, 2, 4, 14, 10, 0, 3, 10, 7, 0, 0.0, 1, 4, 12, 3, 0, 16, 16, 10.0, 60.0, 83.33, 66.6875, 80.0, 80.0, 15, 40.0, 66.6875, 0.0, 15.0, 50.0, 35.0, 0.0, 0.0, 10.0, 5.0, 20.0, 20.0, 70.0, 60.0, 22.0, 11.0, 92.0, 44.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 134, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 35.0, "10250", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10250&g_ta_cod=10250", 13.0, 17.0, 70.0),
(307, "Privé sous contrat d'association", "0940822H", "Lycée Claude-Nicolas LEDOUX / EBTP", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vincennes", "formation sélective", "BTS", "Lycée Claude-Nicolas LEDOUX / EBTP - BTS - Production - Management économique de la construction", "BTS - Production", "", 30, 246, 42, 172, 0, 23, 3, 45, 11, 53, 17, 51, 74, 11, 23, 10, 30, 93, 25, 0, 0, 16, 1, 22, 4, 30, 7, 25, 105, 24, 6, 14, 10, 6.0, 14.0, 20.0, 0, 2, 13, 5, 1, 7, 11, 0, 5, 8, 0, 0, 0.0, 3, 0, 5, 0, 0, 4, 13, 25.0, 58.33, 83.33, 25.0, 30.796875, 100.0, 0, 15.3984375, 54.1953125, 0.0, 38.5, 61.5, 0.0, 0.0, 0.0, 38.5, 23.09765625, 7.69921875, 0.0, 53.796875, 38.5, 20.0, 2.0, 27.0, 7.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 53.0, "11451", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11451&g_ta_cod=11451", 50.0, 13.0, 38.0),
(308, "Public", "0672198A", "Lycée Le Corbusier", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "Autre formation", "Lycée Le Corbusier - DN MADE - Graphisme - - Spécialité : Design graphique et stratégies de messages écrits et visuels", "DN MADE", "- Spécialité : Design graphique et stratégies de messages écrits et visuels", 15, 695, 466, 685, 0, 262, 43, 173, 29, 59, 19, 191, 10, 4, 1, 1, 4, 100, 0, 0, 0, 28, 2, 60, 6, 4, 0, 8, 60, 13, 10, 13, 0, 1.0, 12.0, 13.0, 0, 1, 12, 2, 8, 2, 1, 0, 0, 4, 7, 1, 0.0, 2, 8, 2, 0, 0, 7, 7, 7.69, 92.31, 100.0, 76.890625, 58.296875, 58.296875, 0, 8.298828125, 92.296875, 0.0, 0.0, 33.296875, 58.296875, 8.3, 0.0, 16.69921875, 16.69921875, 66.6875, 66.6875, 16.69921875, 16.69921875, 15.0, 1.0, 4.0, 0.0, 5.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "21537", "DN MADE - Graphisme - - Spécialité : Design graphique et stratégies de messages écrits et visuels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21537&g_ta_cod=21537", 23.0, 62.0, 15.0),
(309, "Privé enseignement supérieur", "0690670D", "CRESPA -SCIENCES U", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 3e  Arrondissement", "formation sélective", "BTS", "CRESPA -SCIENCES U - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 100, 901, 415, 772, 0, 147, 25, 320, 79, 131, 37, 174, 129, 23, 37, 27, 42, 481, 8, 0, 0, 110, 14, 225, 46, 86, 24, 60, 299, 45, 22, 41, 4, 5.0, 24.0, 45.0, 0, 4, 36, 8, 17, 11, 9, 0, 18, 15, 3, 0, 0.0, 5, 7, 6, 0, 0, 20, 20, 11.11, 53.33, 100.0, 48.8984375, 55.59375, 55.59375, 0, 11.099609375, 80.0, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 22.19921875, 13.8984375, 47.1953125, 19.3984375, 30.59765625, 16.69921875, 68.0, 8.0, 61.0, 17.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 137.0, "Bacheliers technologiques toutes séries", 248, "Bacheliers professionnels toutes séries", 97, "Liste d'appel propre à cette formation", 62.0, "26521", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26521&g_ta_cod=26521", 29.0, 44.0, 27.0),
(310, "Public", "0754247J", "I.U.T de Paris Descartes", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "BUT", "I.U.T de Paris Descartes - BUT - Carrières sociales Parcours animation sociale et socioculturelle", "BUT - Service", "", 56, 733, 561, 733, 0, 161, 46, 230, 94, 100, 43, 242, 0, 0, 0, 0, 0, 432, 0, 0, 0, 139, 37, 149, 58, 7, 2, 137, 212, 54, 41, 54, 0, 30.0, 44.0, 45.0, 0, 16, 31, 11, 19, 1, 23, 0, 8, 16, 7, 0, 0.0, 10, 12, 1, 0, 0, 8, 30, 55.56, 81.48, 83.33, 75.890625, 25.796875, 96.796875, 0, 51.59375, 57.3984375, 0.0, 25.796875, 51.59375, 22.59765625, 0.0, 0.0, 35.5, 32.296875, 61.296875, 38.6953125, 3.19970703125, 3.19970703125, 50.0, 23.0, 4.0, 2.0, 71.0, "Tous les candidats sauf les Bac technologiques", 103.0, "Bacheliers technologiques toutes séries", 109, "", 0, "Liste d'appel propre à cette formation", 29.0, "9519", "BUT - Carrières sociales Parcours animation sociale et socioculturelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9519&g_ta_cod=9519", 44.0, 50.0, 6.0),
(311, "Public", "0700009E", "Lycée Augustin Cournot", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Gray", "formation sélective", "BTS", "Lycée Augustin Cournot - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 297, 164, 294, 0, 25, 6, 65, 16, 102, 36, 102, 3, 0, 0, 1, 2, 191, 0, 0, 0, 19, 4, 58, 13, 94, 32, 20, 120, 22, 10, 22, 0, 4.0, 15.0, 19.0, 0, 4, 19, 1, 7, 11, 3, 0, 10, 5, 1, 3, 0.0, 0, 2, 7, 8, 5, 17, 17, 18.18, 68.18, 86.36, 45.5, 89.5, 89.5, 42.09375, 21.09765625, 86.390625, 0.0, 52.59375, 26.296875, 5.2998046875, 15.8, 0.0, 5.2998046875, 0.0, 36.796875, 10.5, 57.8984375, 36.796875, 13.0, 3.0, 62.0, 20.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 53.0, "8590", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8590&g_ta_cod=8590", 5.0, 32.0, 64.0),
(312, "Privé sous contrat d'association", "0600071B", "UniLaSalle Beauvais", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "Ecole d'Ingénieur", "UniLaSalle Beauvais - Formation Bac + 3 - Bachelor en Sciences et Ingénierie Géologie et Environnement", "Formations  des écoles d'ingénieurs", "Bachelor en Sciences et Ingénierie Géologie et Environnement", 35, 110, 30, 95, 0, 70, 5, 9, 0, 0, 0, 16, 15, 4, 3, 0, 8, 86, 8, 0, 0, 65, 5, 7, 0, 0, 0, 14, 93, 14, 2, 14, 0, 8.0, 14.0, 14.0, 0, 0, 13, 11, 2, 0, 1, 0, 4, 6, 3, 0, 0.0, 7, 2, 0, 0, 0, 5, 5, 57.14, 100.0, 100.0, 14.298828125, 38.5, 38.5, 0, 0.0, 92.890625, 0.0, 30.796875, 46.1953125, 23.09765625, 0.0, 0.0, 84.59375, 53.796875, 15.3984375, 15.3984375, 0.0, 0.0, 66.0, 5.0, 0.0, 0.0, 18.0, "Tous les candidats", 86.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "7253", "Formation Bac + 3 - Bachelor en Sciences et Ingénierie Géologie et Environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7253&g_ta_cod=7253", 86.0, 14.0, 0.0),
(313, "Public", "0020087J", "INSSET de Saint-Quentin", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation non sélective", "Licence", "INSSET de Saint-Quentin - Licence - Sciences et technologies - Parcours Licence Sciences et Technologies (Portail Sciences)", "Licence - Sciences - technologies - santé", "Licence Sciences et Technologies (Portail Sciences)", 65, 382, 82, 308, 0, 209, 40, 39, 14, 4, 2, 56, 74, 24, 4, 1, 45, 305, 60, 0, 0, 209, 40, 39, 14, 4, 2, 53, 313, 39, 6, 28, 11, 6.0, 28.0, 33.0, 0, 9, 26, 19, 6, 1, 13, 0, 12, 11, 3, 0, 0.0, 9, 4, 1, 0, 0, 19, 19, 15.38, 71.79, 84.62, 15.3984375, 73.09375, 73.09375, 0, 34.59375, 66.6875, 0.0, 46.1953125, 42.296875, 11.5, 0.0, 0.0, 73.09375, 34.59375, 23.09765625, 15.3984375, 3.7998046875, 3.7998046875, 198.0, 40.0, 3.0, 3.0, 79.0, "Tous les candidats", 305.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "2075", "Licence - Sciences et technologies - Parcours Licence Sciences et Technologies (Portail Sciences)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2075&g_ta_cod=2075", 72.0, 26.0, 3.0),
(314, "Public", "0421614B", "Ecole Nationale Supérieure d'Architecture de Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Saint-Etienne - Architecture", "Formations Bac + 5", "", 92, 1377, 800, 1377, 0, 820, 147, 215, 57, 49, 30, 293, 0, 0, 0, 0, 0, 348, 0, 0, 0, 258, 32, 36, 7, 15, 4, 39, 190, 93, 61, 93, 0, 37.0, 85.0, 90.0, 0, 12, 83, 69, 7, 7, 10, 0, 1, 14, 52, 14, 2.0, 69, 7, 6, 0, 0, 26, 26, 39.78, 91.4, 96.77, 65.59375, 31.296875, 31.296875, 0, 14.5, 89.1875, 0.0, 1.199951171875, 16.8984375, 62.6953125, 16.9, 2.4, 83.09375, 83.09375, 8.3984375, 8.3984375, 8.3984375, 7.19921875, 142.0, 21.0, 9.0, 4.0, 20.0, "Tous les candidats", 232.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "5362", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5362&g_ta_cod=5362", 84.0, 8.0, 8.0),
(315, "Public", "0510062R", "Lycée Francois 1er", "51", "Marne", "Grand Est", "Reims", "Vitry-le-François", "formation sélective", "BTS", "Lycée Francois 1er - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 101, 5, 98, 0, 4, 0, 24, 9, 29, 6, 41, 3, 0, 0, 3, 0, 64, 2, 0, 0, 4, 0, 24, 9, 29, 6, 7, 41, 15, 0, 13, 2, 5.0, 12.0, 13.0, 0, 6, 15, 1, 5, 9, 0, 0, 9, 5, 0, 1, 0.0, 0, 1, 5, 10, 0, 14, 14, 33.33, 80.0, 86.67, 0.0, 93.296875, 93.296875, 66.6875, 40.0, 100.0, 0.0, 60.0, 33.296875, 0.0, 6.7, 0.0, 6.69921875, 0.0, 33.296875, 6.69921875, 60.0, 33.296875, 3.0, 0.0, 27.0, 6.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 55.0, "6082", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6082&g_ta_cod=6082", 7.0, 33.0, 60.0),
(316, "Public", "0730858L", "Université Savoie Mont Blanc - Chambéry", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Jacob-Bellecombette", "formation sélective", "Licence", "Université Savoie Mont Blanc - Chambéry - Licence - Langues étrangères appliquées - Parcours LEA Anglais-Français pour étudiants étrangers", "Licence - Arts-lettres-langues", "LEA Anglais-Français pour étudiants étrangers", 10, 45, 30, 45, 0, 15, 6, 7, 2, 2, 2, 21, 0, 0, 0, 0, 0, 34, 0, 0, 0, 12, 6, 5, 2, 2, 2, 15, 27, 9, 7, 9, 0, 1.0, 9.0, 9.0, 0, 4, 5, 2, 2, 1, 4, 0, 3, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 4, 4, 11.11, 100.0, 100.0, 77.796875, 80.0, 80.0, 0, 80.0, 55.59375, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 40.0, 40.0, 40.0, 0.0, 20.0, 0.0, 10.0, 4.0, 2.0, 2.0, 11.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "15005", "Licence - Langues étrangères appliquées - Parcours LEA Anglais-Français pour étudiants étrangers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15005&g_ta_cod=15005", 67.0, 22.0, 11.0),
(317, "Public", "0763470J", "Université de Rouen Normandie - Campus PASS Le Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation non sélective", "PASS", "Université de Rouen Normandie - Campus PASS Le Havre - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Chimie et Sciences de la vie", 90, 2615, 1771, 2615, 0, 2088, 330, 65, 25, 9, 4, 453, 0, 0, 0, 0, 0, 2568, 0, 0, 0, 2088, 330, 65, 25, 9, 4, 406, 456, 88, 67, 88, 0, 11.0, 73.0, 83.0, 0, 19, 85, 83, 1, 1, 3, 0, 0, 14, 36, 34, 1.0, 83, 1, 1, 0, 0, 81, 81, 12.5, 82.95, 94.32, 76.09375, 95.296875, 95.296875, 0, 22.3984375, 96.59375, 0.0, 0.0, 16.5, 42.3984375, 40.0, 1.2, 97.59375, 97.59375, 1.199951171875, 1.199951171875, 1.199951171875, 1.199951171875, 399.0, 72.0, 2.0, 1.0, 50.0, "Tous les candidats", 785.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "28530", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28529&g_ta_cod=28530", 97.0, 2.0, 1.0),
(318, "Public", "0760058A", "Lycée Schuman Perret", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BTS", "Lycée Schuman Perret - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 15, 486, 278, 486, 0, 77, 16, 137, 24, 160, 59, 112, 0, 0, 0, 0, 0, 408, 0, 0, 0, 76, 16, 112, 17, 145, 53, 75, 45, 18, 9, 18, 0, 5.0, 17.0, 17.0, 0, 4, 10, 1, 4, 5, 8, 0, 1, 5, 4, 0, 0.0, 0, 4, 5, 2, 2, 6, 6, 27.78, 94.44, 94.44, 50.0, 60.0, 60.0, 20, 40.0, 55.59375, 0.0, 10.0, 50.0, 40.0, 0.0, 0.0, 10.0, 0.0, 40.0, 40.0, 50.0, 50.0, 5.0, 3.0, 15.0, 3.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 13.0, "9762", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9762&g_ta_cod=9762", 11.0, 39.0, 50.0),
(319, "Public", "0690103M", "Lycée Frédéric Fays", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "BTS", "Lycée Frédéric Fays - BTS - Production - Architectures en Métal : conception et Réalisation", "BTS - Production", "", 18, 405, 60, 405, 0, 40, 10, 169, 36, 81, 31, 115, 0, 0, 0, 0, 0, 301, 0, 0, 0, 39, 10, 152, 29, 62, 24, 48, 97, 18, 3, 18, 0, 0.0, 11.0, 12.0, 0, 5, 13, 1, 4, 8, 5, 0, 4, 5, 4, 0, 0.0, 1, 2, 6, 4, 0, 9, 9, 0.0, 61.11, 66.67, 16.69921875, 69.1875, 69.1875, 30.796875, 38.5, 72.1875, 0.0, 30.796875, 38.5, 30.796875, 0.0, 0.0, 7.69921875, 7.69921875, 30.796875, 15.3984375, 61.5, 46.1953125, 8.0, 1.0, 29.0, 8.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 34.0, "8243", "BTS - Production - Architectures en Métal : conception et Réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8243&g_ta_cod=8243", 11.0, 33.0, 56.0),
(320, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Licence", "Université de Brest - Licence - Portail Economie Gestion parcours international", "Licence - Droit-économie-gestion", "Economie Gestion parcours international", 30, 559, 281, 372, 0, 273, 33, 11, 1, 1, 1, 87, 187, 35, 8, 2, 142, 260, 7, 0, 0, 222, 26, 0, 0, 0, 0, 38, 179, 23, 11, 22, 1, 1.0, 21.0, 23.0, 0, 1, 20, 20, 0, 0, 3, 0, 2, 10, 6, 2, 0.0, 18, 0, 0, 0, 0, 17, 17, 4.35, 91.3, 100.0, 47.796875, 85.0, 85.0, 0, 5.0, 87.0, 0.0, 10.0, 50.0, 30.0, 10.0, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 146.0, 15.0, 0.0, 0.0, 33.0, "Tous les candidats", 257.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "19318", "Licence - Portail Economie Gestion parcours international", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19318&g_ta_cod=19318", 100.0, 0.0, 0.0),
(321, "Public", "9741204R", "Université de la Réunion - Le Tampon", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation non sélective", "PASS", "Université de la Réunion - Le Tampon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 60, 587, 369, 447, 0, 293, 86, 48, 23, 25, 20, 81, 140, 50, 4, 7, 79, 442, 131, 0, 0, 293, 86, 48, 23, 25, 20, 76, 466, 55, 35, 27, 28, 1.0, 26.0, 42.0, 0, 12, 27, 18, 4, 5, 28, 2, 12, 11, 2, 0, 0.0, 12, 0, 1, 0, 0, 18, 18, 1.82, 47.27, 76.36, 63.59375, 66.6875, 66.6875, 0, 44.3984375, 49.09375, 7.3994140625, 44.3984375, 40.6953125, 7.3994140625, 0.0, 0.0, 66.6875, 44.3984375, 14.798828125, 0.0, 18.5, 3.69970703125, 279.0, 78.0, 26.0, 20.0, 135.0, "Tous les candidats", 1356.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "27568", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27569&g_ta_cod=27568", 64.0, 20.0, 15.0),
(322, "Public", "0030098R", "I.U.T. d'Allier - site de Montluçon", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 2, 180, 6, 179, 0, 0, 0, 170, 40, 0, 0, 9, 1, 0, 1, 0, 0, 81, 0, 0, 0, 0, 0, 77, 18, 0, 0, 4, 20, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 340.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "209", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=209", 0, 0, 0),
(323, "Public", "0753471R", "CNAM PARIS", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "Autre formation", "CNAM PARIS - Formation Supérieure de Spécialisation - Informatique - Développement et exploitation", "Diplôme d'Université", "Informatique - Développement et exploitation", 22, 302, 41, 137, 0, 40, 12, 16, 6, 12, 7, 69, 165, 32, 21, 12, 100, 16, 37, 0, 0, 5, 1, 2, 0, 0, 0, 9, 58, 25, 3, 4, 20, 4.0, 4.0, 16.0, 0, 1, 10, 4, 4, 2, 15, 0, 8, 1, 1, 0, 0.0, 0, 1, 1, 0, 0, 2, 9, 16.0, 16.0, 64.0, 12.0, 20.0, 90.0, 0, 10.0, 40.0, 0.0, 80.0, 10.0, 10.0, 0.0, 0.0, 40.0, 0.0, 40.0, 10.0, 20.0, 10.0, 15.0, 2.0, 3.0, 0.0, 32.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "32300", "Formation Supérieure de Spécialisation - Informatique - Développement et exploitation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32300&g_ta_cod=32300", 40.0, 20.0, 12.0),
(324, "Public", "0350710G", "Lycée Francois René De Chateaubriand", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "CPGE", "Lycée Francois René De Chateaubriand - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 1666, 1199, 1666, 1184, 1518, 171, 4, 0, 0, 0, 144, 0, 0, 0, 0, 0, 820, 0, 619, 797, 806, 82, 0, 0, 0, 0, 14, 436, 96, 73, 96, 0, 46.0, 74.0, 93.0, 33, 13, 96, 96, 0, 0, 0, 0, 0, 0, 4, 77, 15.0, 96, 0, 0, 5, 5, 54, 54, 47.92, 77.08, 96.88, 76.0, 56.296875, 56.296875, 5.19921875, 13.5, 100.0, 0.0, 0.0, 0.0, 4.19921875, 80.2, 15.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 423.0, 52.0, 0.0, 0.0, 13.0, "Tous les candidats", 580.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "4675", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4675&g_ta_cod=4675", 100.0, 0.0, 0.0),
(325, "Privé sous contrat d'association", "0641545G", "Institut Agricole Secondaire Jean Errecart", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Saint-Palais", "formation sélective", "BTS", "Institut Agricole Secondaire Jean Errecart - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 48, 383, 145, 383, 0, 105, 16, 87, 11, 91, 25, 100, 0, 0, 0, 0, 0, 293, 0, 0, 0, 93, 16, 75, 9, 80, 21, 45, 137, 50, 15, 50, 0, 18.0, 41.0, 47.0, 0, 8, 46, 19, 11, 16, 4, 0, 17, 17, 12, 0, 0.0, 10, 7, 12, 0, 0, 33, 33, 36.0, 82.0, 94.0, 30.0, 71.6875, 71.6875, 0, 17.3984375, 92.0, 0.0, 37.0, 37.0, 26.09765625, 0.0, 0.0, 41.296875, 21.69921875, 23.8984375, 15.19921875, 34.796875, 26.09765625, 50.0, 8.0, 38.0, 12.0, 15.0, "Tous les candidats sauf les Bac professionnels", 128.0, "Bacheliers professionnels toutes séries", 61, "", 0, "Liste d'appel propre à cette formation", 49.0, "7766", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7766&g_ta_cod=7766", 42.0, 24.0, 34.0),
(326, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Russe", "Licence - Arts-lettres-langues", "Russe", 80, 254, 171, 140, 0, 53, 20, 9, 6, 4, 3, 74, 114, 9, 1, 3, 101, 138, 110, 0, 0, 53, 20, 9, 6, 4, 3, 72, 248, 76, 50, 20, 56, 18.0, 19.0, 50.0, 0, 7, 12, 5, 4, 3, 64, 0, 5, 7, 0, 0, 0.0, 2, 2, 3, 0, 0, 8, 8, 23.68, 25.0, 65.79, 65.796875, 66.6875, 66.6875, 0, 58.296875, 15.798828125, 0.0, 41.6953125, 58.296875, 0.0, 0.0, 0.0, 41.6953125, 16.69921875, 33.296875, 16.69921875, 25.0, 25.0, 62.0, 23.0, 7.0, 5.0, 169.0, "Tous les candidats", 139.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4164", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4164&g_ta_cod=4164", 68.0, 17.0, 7.0),
(327, "Public", "0340838B", "I.U.T de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BUT", "I.U.T de Montpellier - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Développement, intégration d'applications et management du système d?information", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Développement, intégration d'applications et management du système d?information", 120, 2443, 265, 2348, 0, 1339, 261, 487, 126, 30, 18, 492, 95, 0, 38, 0, 57, 1083, 10, 0, 0, 719, 113, 241, 48, 2, 2, 121, 566, 122, 10, 117, 5, 42.0, 102.0, 122.0, 0, 20, 108, 67, 41, 0, 14, 1, 3, 48, 42, 13, 1.0, 67, 37, 0, 0, 0, 67, 67, 34.43, 83.61, 100.0, 8.19921875, 62.0, 62.0, 0, 18.5, 88.5, 0.89990234375, 2.7998046875, 44.3984375, 38.8984375, 12.0, 0.9, 62.0, 62.0, 38.0, 34.296875, 0.0, 0.0, 310.0, 62.0, 0.0, 0.0, 63.0, "Tous les candidats sauf les Bac technologiques", 496.0, "Bacheliers technologiques toutes séries", 253, "", 0, "Liste d'appel propre à cette formation", 32.0, "4524", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Développement, intégration d'applications et management du système d?information", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4524&g_ta_cod=4524", 61.0, 38.0, 0.0),
(328, "Public", "0401002X", "Lycée Haroun Tazieff", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Saint-Paul-lès-Dax", "formation sélective", "BTS", "Lycée Haroun Tazieff - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 30, 293, 41, 286, 0, 39, 6, 78, 15, 79, 11, 90, 7, 0, 1, 1, 5, 237, 3, 0, 0, 39, 6, 78, 15, 78, 11, 42, 129, 23, 4, 22, 1, 6.0, 15.0, 19.0, 0, 5, 17, 2, 5, 10, 6, 2, 5, 6, 3, 1, 0.0, 2, 2, 6, 3, 0, 14, 14, 26.09, 65.22, 82.61, 17.3984375, 82.390625, 82.390625, 17.59765625, 29.3984375, 73.890625, 11.798828125, 29.3984375, 35.296875, 17.59765625, 5.9, 0.0, 11.798828125, 11.798828125, 29.3984375, 11.798828125, 58.796875, 35.296875, 13.0, 1.0, 48.0, 7.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 87, "Liste d'appel propre à cette formation", 63.0, "5220", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5220&g_ta_cod=5220", 13.0, 35.0, 52.0),
(329, "Public", "0596039U", "Université d'Artois - Site de Douai", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation non sélective", "Licence", "Université d'Artois - Site de Douai - Licence - Portail  classique", "Licence - Droit-économie-gestion", "classique", 440, 2011, 1452, 1901, 0, 1360, 355, 239, 122, 44, 19, 258, 110, 22, 13, 4, 71, 1893, 54, 0, 0, 1360, 355, 239, 122, 44, 19, 250, 1558, 427, 314, 394, 32, 103.0, 380.0, 393.0, 0, 125, 357, 291, 47, 19, 70, 0, 113, 137, 77, 26, 4.0, 213, 20, 11, 0, 0, 354, 354, 24.12, 88.99, 92.04, 73.5, 99.1875, 99.1875, 0, 35.0, 83.59375, 0.0, 31.69921875, 38.3984375, 21.59765625, 7.3, 1.1, 81.5, 59.6953125, 13.19921875, 5.599609375, 5.2998046875, 3.099609375, 1129.0, 314.0, 35.0, 18.0, 236.0, "Tous les candidats", 2019.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "7190", "Licence - Portail  classique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7190&g_ta_cod=7190", 76.0, 16.0, 7.0),
(330, "Public", "0622949U", "Lycée Mariette", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "BTS", "Lycée Mariette - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 30, 527, 465, 495, 0, 62, 17, 163, 78, 102, 51, 168, 32, 6, 0, 3, 23, 263, 6, 0, 0, 35, 7, 123, 57, 86, 43, 19, 137, 30, 28, 26, 4, 3.0, 18.0, 23.0, 0, 10, 24, 3, 10, 11, 6, 0, 6, 11, 7, 0, 0.0, 2, 10, 6, 7, 6, 23, 23, 10.0, 60.0, 76.67, 93.296875, 95.796875, 95.796875, 29.19921875, 41.6953125, 80.0, 0.0, 25.0, 45.796875, 29.19921875, 0.0, 0.0, 12.5, 8.298828125, 41.6953125, 41.6953125, 45.796875, 25.0, 25.0, 7.0, 53.0, 28.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers technologiques toutes séries", 66, "Bacheliers professionnels toutes séries", 80, "Liste d'appel propre à cette formation", 38.0, "25284", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25284&g_ta_cod=25284", 20.0, 33.0, 43.0),
(331, "Public", "0380081G", "Lycée Ella Fitzgerald St Romain en Gal", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vienne", "formation sélective", "BTS", "Lycée Ella Fitzgerald St Romain en Gal - BTS - Services - Communication", "BTS - Services", "", 34, 824, 552, 824, 0, 147, 21, 223, 69, 108, 46, 346, 0, 0, 0, 0, 0, 472, 0, 0, 0, 130, 16, 200, 63, 58, 20, 84, 123, 33, 26, 33, 0, 5.0, 27.0, 28.0, 0, 6, 22, 5, 10, 7, 11, 0, 5, 12, 4, 1, 0.0, 4, 6, 7, 1, 1, 14, 14, 15.15, 81.82, 84.85, 78.796875, 63.59375, 63.59375, 4.5, 27.296875, 66.6875, 0.0, 22.69921875, 54.5, 18.19921875, 4.5, 0.0, 22.69921875, 18.19921875, 45.5, 27.296875, 31.796875, 31.796875, 19.0, 3.0, 17.0, 6.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 18.0, "4949", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4949&g_ta_cod=4949", 24.0, 55.0, 21.0),
(332, "Privé sous contrat d'association", "0761343X", "Lycée La Chataigneraie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Mesnil-Esnard", "formation sélective", "Autre formation", "Lycée La Chataigneraie - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 12, 43, 0, 43, 0, 0, 0, 0, 0, 38, 7, 5, 0, 0, 0, 0, 0, 33, 0, 0, 0, 0, 0, 0, 0, 30, 7, 3, 22, 12, 0, 12, 0, 8.0, 11.0, 11.0, 0, 1, 9, 0, 0, 9, 3, 0, 3, 5, 1, 0, 0.0, 0, 0, 6, 0, 0, 9, 9, 66.67, 91.67, 91.67, 0.0, 100.0, 100.0, 0, 11.099609375, 75.0, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 19.0, 6.0, 3.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "33655", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33655&g_ta_cod=33655", 0.0, 0.0, 100.0),
(333, "Public", "0061478Z", "Lycée Léonard De Vinci", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "Autre formation", "Lycée Léonard De Vinci - DN MADE - Objet - - Spécialité : Design produit, usage, conception, innovation, production", "DN MADE", "- Spécialité : Design produit, usage, conception, innovation, production", 15, 659, 406, 646, 0, 233, 36, 184, 40, 54, 14, 175, 13, 0, 1, 1, 11, 169, 4, 0, 0, 71, 3, 66, 16, 7, 1, 25, 86, 14, 8, 12, 2, 0.0, 8.0, 12.0, 0, 1, 11, 3, 6, 2, 3, 0, 0, 3, 7, 1, 0.0, 3, 6, 2, 0, 0, 6, 6, 0.0, 57.14, 85.71, 57.09375, 54.5, 54.5, 0, 9.099609375, 78.59375, 0.0, 0.0, 27.296875, 63.59375, 9.1, 0.0, 27.296875, 27.296875, 54.5, 54.5, 18.19921875, 18.19921875, 28.0, 1.0, 6.0, 1.0, 18.0, "Tous les candidats", 131.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "24348", "DN MADE - Objet - - Spécialité : Design produit, usage, conception, innovation, production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24348&g_ta_cod=24348", 36.0, 43.0, 14.0),
(334, "Public", "0731248K", "Lycée Louis Armand", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "BTS", "Lycée Louis Armand - BTS - Production - Maintenance des véhicules option véhicules de transport routier", "BTS - Production", "", 10, 111, 3, 107, 0, 7, 1, 9, 0, 49, 15, 42, 4, 0, 2, 0, 2, 69, 0, 0, 0, 7, 1, 7, 0, 46, 13, 9, 30, 7, 0, 7, 0, 3.0, 7.0, 7.0, 0, 1, 6, 0, 0, 6, 1, 0, 3, 3, 0, 0, 0.0, 0, 0, 3, 5, 0, 6, 6, 42.86, 100.0, 100.0, 0.0, 100.0, 100.0, 83.296875, 16.69921875, 85.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 5.0, 1.0, 16.0, 4.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 6, "Liste d'appel propre à cette formation", 57.0, "8817", "BTS - Production - Maintenance des véhicules option véhicules de transport routier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8817&g_ta_cod=8817", 0.0, 0.0, 100.0),
(335, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence", "Université du Mans - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER anglais", "Licence - Arts-lettres-langues", "LLCER anglais", 140, 941, 656, 813, 0, 601, 153, 51, 16, 26, 12, 135, 128, 26, 10, 4, 88, 811, 88, 0, 0, 601, 153, 51, 16, 26, 12, 133, 648, 138, 92, 102, 36, 33.0, 99.0, 113.0, 0, 24, 85, 73, 7, 5, 53, 0, 25, 29, 22, 9, 0.0, 55, 2, 3, 0, 0, 71, 71, 23.91, 71.74, 81.88, 66.6875, 83.5, 83.5, 0, 28.19921875, 61.59375, 0.0, 29.3984375, 34.09375, 25.8984375, 10.6, 0.0, 85.890625, 64.6875, 8.19921875, 2.39990234375, 5.8994140625, 3.5, 460.0, 113.0, 11.0, 3.0, 146.0, "Tous les candidats", 810.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8740", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8740&g_ta_cod=8740", 77.0, 12.0, 10.0),
(336, "Public", "0333357V", "I.U.T de Bordeaux - Site Bordeaux - Gradignan", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Gradignan", "formation sélective", "BUT", "I.U.T de Bordeaux - Site Bordeaux - Gradignan - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l?énergie - Automatisme et informatique industrielle - Electronique et systèmes embarqués", "BUT - Production", "Electricité et maîtrise de l?énergie - Automatisme et informatique industrielle - Electronique et systèmes embarqués", 112, 852, 53, 837, 0, 489, 64, 181, 36, 5, 3, 162, 15, 3, 6, 1, 5, 584, 3, 0, 0, 381, 47, 113, 17, 1, 0, 89, 449, 100, 3, 98, 2, 52.0, 70.0, 98.0, 0, 23, 83, 61, 22, 0, 17, 0, 25, 47, 11, 0, 0.0, 39, 19, 0, 0, 0, 67, 67, 52.0, 70.0, 98.0, 3.0, 80.6875, 80.6875, 0, 27.69921875, 83.0, 0.0, 30.09765625, 56.59375, 13.298828125, 0.0, 0.0, 73.5, 47.0, 26.5, 22.8984375, 0.0, 0.0, 260.0, 42.0, 1.0, 0.0, 75.0, "Tous les candidats sauf les Bac technologiques", 453.0, "Bacheliers technologiques toutes séries", 130, "", 0, "Liste d'appel propre à cette formation", 70.0, "4342", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l?énergie - Automatisme et informatique industrielle - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4342&g_ta_cod=4342", 73.0, 27.0, 0.0),
(337, "Public", "0501219D", "Lycée Curie-Corot", "50", "Manche", "Normandie", "Normandie", "Saint-Lô", "formation sélective", "BTS", "Lycée Curie-Corot - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 138, 35, 137, 0, 6, 1, 60, 13, 44, 13, 27, 1, 0, 0, 1, 0, 137, 1, 0, 0, 6, 1, 60, 13, 44, 13, 27, 95, 18, 1, 17, 1, 3.0, 16.0, 17.0, 0, 5, 12, 0, 4, 8, 6, 0, 8, 4, 0, 0, 0.0, 0, 1, 3, 7, 0, 11, 11, 16.67, 88.89, 94.44, 5.599609375, 91.6875, 91.6875, 58.296875, 41.6953125, 66.6875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 8.298828125, 66.6875, 25.0, 6.0, 1.0, 36.0, 12.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 96.0, "6024", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6024&g_ta_cod=6024", 11.0, 39.0, 50.0),
(338, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 1 Capitole - Licence - Double diplôme - Licence Droit - parcours double diplôme international franco-anglais (Bangor)", "Licence - Droit-économie-gestion", "parcours double diplôme international franco-anglais (Bangor)", 30, 389, 325, 375, 0, 325, 36, 5, 2, 0, 0, 45, 14, 4, 0, 0, 10, 90, 2, 0, 0, 82, 5, 0, 0, 0, 0, 8, 73, 28, 26, 27, 1, 8.0, 27.0, 27.0, 0, 1, 25, 25, 0, 0, 3, 0, 0, 0, 10, 14, 1.0, 25, 0, 0, 0, 0, 8, 8, 28.57, 96.43, 96.43, 92.890625, 32.0, 32.0, 0, 4.0, 89.296875, 0.0, 0.0, 0.0, 40.0, 56.0, 4.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 66.0, 4.0, 0.0, 0.0, 7.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "17193", "Licence - Double diplôme - Licence Droit - parcours double diplôme international franco-anglais (Bangor)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17193&g_ta_cod=17193", 93.0, 4.0, 0.0),
(339, "Privé sous contrat d'association", "0690539L", "Lycée Assomption Bellevue", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "BTS", "Lycée Assomption Bellevue - BTS - Services - Support à l'action managériale", "BTS - Services", "", 36, 349, 243, 340, 0, 37, 4, 102, 32, 75, 28, 126, 9, 1, 7, 0, 1, 200, 2, 0, 0, 28, 3, 75, 19, 55, 19, 42, 171, 31, 20, 29, 1, 2.0, 28.0, 28.0, 0, 10, 20, 4, 10, 6, 11, 0, 13, 7, 0, 0, 0.0, 1, 2, 4, 2, 0, 14, 14, 6.45, 90.32, 90.32, 64.5, 70.0, 70.0, 10, 50.0, 64.5, 0.0, 65.0, 35.0, 0.0, 0.0, 0.0, 20.0, 5.0, 50.0, 10.0, 30.0, 20.0, 24.0, 2.0, 46.0, 15.0, 35.0, "Tous les candidats sauf les Bac professionnels", 132.0, "Bacheliers professionnels toutes séries", 63, "", 0, "Liste d'appel propre à cette formation", 57.0, "8298", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8298&g_ta_cod=8298", 29.0, 42.0, 29.0),
(340, "Privé sous contrat d'association", "0480025S", "Lycée polyvalent Notre-Dame", "48", "Lozère", "Occitanie", "Montpellier", "Mende", "formation sélective", "BTS", "Lycée polyvalent Notre-Dame - BTS - Services - Communication", "BTS - Services", "", 26, 327, 190, 297, 0, 31, 4, 36, 10, 27, 10, 203, 30, 0, 7, 7, 16, 127, 10, 0, 0, 30, 3, 34, 10, 25, 9, 38, 112, 12, 7, 9, 3, 1.0, 8.0, 12.0, 0, 2, 5, 3, 2, 0, 7, 0, 2, 3, 0, 0, 0.0, 3, 0, 0, 1, 1, 3, 3, 8.33, 66.67, 100.0, 58.296875, 60.0, 60.0, 20, 40.0, 41.6953125, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 60.0, 60.0, 40.0, 0.0, 0.0, 0.0, 28.0, 3.0, 17.0, 6.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 42.0, "13609", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13609&g_ta_cod=13609", 50.0, 33.0, 17.0),
(341, "Public", "0250043L", "Lycée Xavier Marmier", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Pontarlier", "formation sélective", "Autre formation", "Lycée Xavier Marmier - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 12, 50, 14, 50, 0, 4, 1, 11, 2, 20, 7, 15, 0, 0, 0, 0, 0, 39, 0, 0, 0, 4, 1, 11, 2, 19, 7, 5, 31, 10, 4, 10, 0, 6.0, 10.0, 10.0, 0, 4, 9, 0, 2, 7, 1, 0, 3, 5, 1, 0, 0.0, 0, 0, 6, 0, 0, 9, 9, 60.0, 100.0, 100.0, 40.0, 100.0, 100.0, 0, 44.3984375, 90.0, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 0.0, 0.0, 22.19921875, 0.0, 77.796875, 66.6875, 1.0, 1.0, 16.0, 6.0, 5.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "25391", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25391&g_ta_cod=25391", 0.0, 20.0, 80.0),
(342, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 4 - LEA Anglais/Espagnol - Anglais - Espagnol (LLCER)", "Licence - Arts-lettres-langues", "4 - LEA Anglais/Espagnol - Anglais - Espagnol (LLCER)", 270, 689, 496, 503, 0, 329, 106, 60, 22, 25, 10, 89, 186, 31, 25, 17, 113, 503, 105, 0, 0, 329, 106, 60, 22, 25, 10, 89, 587, 141, 97, 88, 52, 42.0, 87.0, 125.0, 0, 32, 86, 58, 16, 12, 55, 1, 39, 30, 15, 1, 0.0, 35, 3, 8, 0, 0, 71, 71, 29.79, 61.7, 88.65, 68.796875, 82.59375, 82.59375, 0, 37.1953125, 61.0, 1.199951171875, 45.296875, 34.8984375, 17.3984375, 1.2, 0.0, 67.390625, 40.6953125, 18.59765625, 3.5, 14.0, 9.298828125, 338.0, 112.0, 31.0, 13.0, 141.0, "Tous les candidats", 503.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24144", "Licence - Portail 4 - LEA Anglais/Espagnol - Anglais - Espagnol (LLCER)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24144&g_ta_cod=24144", 62.0, 18.0, 18.0),
(343, "Public", "0260035X", "Lycée CAMILLE VERNET", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "CPGE", "Lycée CAMILLE VERNET - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 21, 267, 112, 263, 178, 222, 20, 0, 0, 0, 0, 41, 4, 3, 0, 0, 1, 206, 2, 28, 200, 190, 14, 0, 0, 0, 0, 16, 184, 6, 0, 6, 0, 0.0, 6.0, 6.0, 0, 0, 6, 6, 0, 0, 0, 0, 1, 4, 1, 0, 0.0, 5, 0, 0, 1, 0, 5, 5, 0.0, 100.0, 100.0, 0.0, 83.296875, 83.296875, 16.69921875, 0.0, 100.0, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 169.0, 15.0, 0.0, 0.0, 15.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "31577", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31301&g_ta_cod=31577", 100.0, 0.0, 0.0),
(344, "Privé sous contrat d'association", "0440178E", "Lycée général et technologique Notre-Dame d'Espérance", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BTS", "Lycée général et technologique Notre-Dame d'Espérance - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 143, 72, 124, 0, 19, 3, 44, 6, 19, 9, 42, 19, 4, 0, 7, 8, 95, 4, 0, 0, 17, 3, 40, 5, 17, 8, 21, 71, 16, 7, 14, 2, 3.0, 13.0, 16.0, 0, 2, 13, 3, 6, 4, 3, 0, 3, 7, 3, 0, 0.0, 2, 5, 3, 2, 2, 11, 11, 18.75, 81.25, 100.0, 43.796875, 84.59375, 84.59375, 15.3984375, 15.3984375, 81.296875, 0.0, 23.09765625, 53.796875, 23.09765625, 0.0, 0.0, 23.09765625, 15.3984375, 46.1953125, 38.5, 30.796875, 23.09765625, 13.0, 3.0, 15.0, 6.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 71.0, "5498", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5498&g_ta_cod=5498", 31.0, 44.0, 25.0),
(345, "Public", "0782075G", "Unité de Formation et de Recherche de Sciences de l' Université de Versailles Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation non sélective", "Licence", "Unité de Formation et de Recherche de Sciences de l' Université de Versailles Saint Quentin en Yvelines - Licence - Portail Mathématiques Informatique (MI)", "Licence - Sciences - technologies - santé", "Mathématiques Informatique (MI)", 82, 1082, 215, 1082, 0, 785, 88, 38, 10, 1, 0, 258, 0, 0, 0, 0, 0, 1071, 0, 0, 0, 785, 88, 38, 10, 1, 0, 247, 611, 80, 18, 80, 0, 0.0, 43.0, 66.0, 0, 10, 61, 61, 0, 0, 19, 0, 38, 17, 5, 1, 0.0, 23, 0, 0, 0, 0, 47, 56, 0.0, 53.75, 82.5, 22.5, 77.0, 91.796875, 0, 16.3984375, 76.296875, 0.0, 62.296875, 27.8984375, 8.19921875, 1.6, 0.0, 100.0, 37.6953125, 0.0, 0.0, 0.0, 0.0, 518.0, 64.0, 0.0, 0.0, 86.0, "Tous les candidats", 871.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 79.0, "32593", "Licence - Portail Mathématiques Informatique (MI)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32594&g_ta_cod=32593", 99.0, 0.0, 0.0),
(346, "Public", "0941347D", "Lycée Pablo Picasso", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Fontenay-sous-Bois", "formation sélective", "BTS", "Lycée Pablo Picasso - BTS - Services - Notariat", "BTS - Services", "", 26, 908, 658, 908, 0, 146, 52, 267, 127, 118, 54, 377, 0, 0, 0, 0, 0, 453, 0, 0, 0, 114, 36, 165, 70, 63, 31, 111, 103, 25, 20, 25, 0, 4.0, 15.0, 20.0, 0, 10, 16, 8, 5, 3, 9, 0, 6, 6, 3, 1, 0.0, 3, 4, 3, 0, 0, 11, 15, 16.0, 60.0, 80.0, 80.0, 68.796875, 93.796875, 0, 62.5, 64.0, 0.0, 37.5, 37.5, 18.796875, 6.3, 0.0, 50.0, 18.796875, 31.296875, 25.0, 18.796875, 18.796875, 24.0, 16.0, 13.0, 6.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 90.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 16.0, "11520", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11520&g_ta_cod=11520", 64.0, 20.0, 16.0),
(347, "Public", "0340042L", "Lycée Jean Mermoz", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "CPGE", "Lycée Jean Mermoz - CPGE - TPC", "Classe préparatoire scientifique", "", 30, 171, 97, 171, 0, 0, 0, 162, 41, 0, 0, 9, 0, 0, 0, 0, 0, 120, 0, 0, 120, 0, 0, 116, 24, 0, 0, 4, 77, 30, 22, 30, 0, 10.0, 30.0, 30.0, 0, 9, 30, 0, 30, 0, 0, 0, 0, 7, 12, 10, 1.0, 0, 30, 0, 3, 1, 15, 15, 33.33, 100.0, 100.0, 73.296875, 50.0, 50.0, 10, 30.0, 100.0, 0.0, 0.0, 23.296875, 40.0, 33.3, 3.3, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 107.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "4495", "CPGE - TPC", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4495&g_ta_cod=4495", 0.0, 100.0, 0.0),
(348, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Portail Chimie - Physique-Mathématiques - Sci. de la Terre - Electronique - Informatique - Mathématiques & Informatique Appliqués aux Scie. Humaines (MIASH)", "Licence - Sciences - technologies - santé", "Chimie - Physique-Mathématiques - Sci. de la Terre - Electronique - Informatique - Mathématiques & Informatique Appliqués aux Scie. Humaines (MIASH)", 475, 2587, 863, 2308, 0, 1453, 233, 87, 25, 10, 3, 758, 279, 58, 15, 4, 202, 2261, 251, 0, 0, 1453, 233, 87, 25, 10, 3, 711, 2173, 393, 109, 276, 116, 11.0, 252.0, 341.0, 0, 51, 220, 196, 20, 4, 173, 2, 79, 90, 39, 9, 1.0, 126, 12, 1, 0, 0, 175, 175, 2.8, 64.12, 86.77, 27.69921875, 79.5, 79.5, 0, 23.19921875, 56.0, 0.89990234375, 35.8984375, 40.8984375, 17.69921875, 4.1, 0.5, 89.09375, 57.296875, 9.099609375, 5.5, 1.7998046875, 0.5, 1309.0, 210.0, 11.0, 4.0, 793.0, "Tous les candidats", 2502.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "20468", "Licence - Portail Chimie - Physique-Mathématiques - Sci. de la Terre - Electronique - Informatique - Mathématiques & Informatique Appliqués aux Scie. Humaines (MIASH)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27494&g_ta_cod=20468", 87.0, 10.0, 3.0),
(349, "Public", "0301577B", "Université de Montpellier, Antenne de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "PASS", "Université de Montpellier, Antenne de Nîmes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 50, 2521, 1947, 2521, 0, 1880, 475, 112, 47, 34, 14, 495, 0, 0, 0, 0, 0, 2521, 0, 0, 0, 1880, 475, 112, 47, 34, 14, 495, 371, 47, 45, 47, 0, 4.0, 32.0, 45.0, 0, 14, 43, 43, 0, 0, 4, 0, 1, 5, 17, 18, 2.0, 42, 0, 0, 0, 0, 30, 30, 8.51, 68.09, 95.74, 95.6875, 69.796875, 69.796875, 0, 32.59375, 91.5, 0.0, 2.2998046875, 11.599609375, 39.5, 41.9, 4.7, 100.0, 97.6875, 0.0, 0.0, 0.0, 0.0, 339.0, 84.0, 0.0, 0.0, 32.0, "Tous les candidats", 1110.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "31846", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28811&g_ta_cod=31846", 100.0, 0.0, 0.0),
(350, "Public", "0623920Z", "Université du littoral - Site de Boulogne-sur-Mer", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation non sélective", "Licence", "Université du littoral - Site de Boulogne-sur-Mer - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 36, 95, 80, 88, 0, 66, 24, 10, 6, 0, 0, 12, 7, 1, 1, 0, 5, 86, 6, 0, 0, 66, 24, 10, 6, 0, 0, 10, 90, 18, 17, 18, 0, 10.0, 18.0, 18.0, 0, 9, 17, 13, 4, 0, 1, 0, 5, 7, 3, 2, 0.0, 10, 2, 0, 0, 0, 17, 17, 55.56, 100.0, 100.0, 94.390625, 100.0, 100.0, 0, 52.8984375, 94.390625, 0.0, 29.3984375, 41.1953125, 17.59765625, 11.8, 0.0, 76.5, 58.796875, 23.5, 11.798828125, 0.0, 0.0, 65.0, 23.0, 0.0, 0.0, 14.0, "Tous les candidats", 86.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "7499", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7499&g_ta_cod=7499", 78.0, 22.0, 0.0),
(351, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence_Las", "Université de Perpignan Via Domitia - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 20, 296, 226, 296, 0, 159, 53, 32, 12, 12, 6, 93, 0, 0, 0, 0, 0, 296, 0, 0, 0, 159, 53, 32, 12, 12, 6, 93, 108, 19, 18, 19, 0, 0.0, 13.0, 17.0, 0, 4, 10, 8, 2, 0, 9, 0, 1, 4, 4, 1, 0.0, 8, 1, 0, 0, 0, 8, 8, 0.0, 68.42, 89.47, 94.6875, 80.0, 80.0, 0, 40.0, 52.59375, 0.0, 10.0, 40.0, 40.0, 10.0, 0.0, 80.0, 80.0, 20.0, 10.0, 0.0, 0.0, 41.0, 17.0, 3.0, 2.0, 56.0, "Tous les candidats", 780.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 58.0, "28128", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28127&g_ta_cod=28128", 79.0, 11.0, 5.0),
(352, "Public", "0750660K", "Lycée Fénelon", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Fénelon - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 3088, 1230, 3088, 364, 2784, 291, 1, 0, 0, 0, 303, 0, 0, 0, 0, 0, 2127, 0, 277, 2037, 2054, 241, 0, 0, 0, 0, 73, 696, 48, 18, 48, 0, 8.0, 15.0, 38.0, 1, 4, 47, 47, 0, 0, 1, 0, 0, 0, 24, 20, 3.0, 47, 0, 0, 1, 1, 22, 39, 16.67, 31.25, 79.17, 37.5, 46.796875, 83.0, 2.099609375, 8.5, 97.890625, 0.0, 0.0, 0.0, 51.09375, 42.6, 6.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 694.0, 75.0, 0.0, 0.0, 2.0, "Tous les candidats", 886.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "8987", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8987&g_ta_cod=8987", 100.0, 0.0, 0.0),
(353, "Privé sous contrat d'association", "0350795Z", "Lycée / Pôle Sup de La Salle - Groupe Saint Jean", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée / Pôle Sup de La Salle - Groupe Saint Jean - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 204, 15, 204, 0, 56, 2, 67, 6, 39, 3, 42, 0, 0, 0, 0, 0, 176, 0, 0, 0, 50, 2, 57, 6, 32, 2, 37, 75, 34, 4, 34, 0, 12.0, 31.0, 32.0, 0, 4, 30, 11, 8, 11, 4, 1, 7, 15, 6, 1, 0.0, 4, 7, 11, 2, 0, 28, 28, 35.29, 91.18, 94.12, 11.798828125, 93.296875, 93.296875, 6.69921875, 13.298828125, 88.1875, 3.2998046875, 23.296875, 50.0, 20.0, 3.3, 0.0, 36.6953125, 13.298828125, 26.69921875, 23.296875, 36.6953125, 36.6953125, 24.0, 2.0, 25.0, 2.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 43.0, "4694", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4694&g_ta_cod=4694", 38.0, 24.0, 38.0),
(354, "Public", "0930830X", "Lycée Albert Schweitzer", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Le Raincy", "formation sélective", "BTS", "Lycée Albert Schweitzer - BTS - Services - Commerce International", "BTS - Services", "", 35, 1820, 993, 1820, 0, 355, 147, 555, 261, 280, 147, 630, 0, 0, 0, 0, 0, 519, 0, 0, 0, 109, 44, 153, 72, 111, 63, 146, 128, 34, 17, 34, 0, 8.0, 30.0, 32.0, 0, 15, 28, 10, 12, 6, 6, 0, 4, 17, 6, 1, 0.0, 8, 10, 6, 2, 1, 26, 28, 23.53, 88.24, 94.12, 50.0, 92.890625, 100.0, 7.099609375, 53.59375, 82.390625, 0.0, 14.298828125, 60.6953125, 21.3984375, 3.6, 0.0, 35.6953125, 28.59765625, 42.8984375, 35.6953125, 21.3984375, 21.3984375, 34.0, 16.0, 14.0, 9.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 9.0, "11205", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11205&g_ta_cod=11205", 38.0, 41.0, 21.0),
(355, "Privé sous contrat d'association", "0783720V", "ESEO Paris - Vélizy", "78", "Yvelines", "Ile-de-France", "Versailles", "Vélizy-Villacoublay", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "Bac STL", 4, 28, 12, 26, 0, 0, 0, 26, 10, 0, 0, 0, 2, 0, 2, 0, 0, 18, 0, 0, 0, 0, 0, 18, 6, 0, 0, 0, 17, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "31133", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=31133", 0, 0, 0),
(356, "Public", "0590121L", "Lycée Cesar Baggio", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Lycée Cesar Baggio - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 42, 11, 5, 0, 0, 0.0, 0.0, 3.0, 0, 5, 10, 0, 3, 7, 1, 0, 9, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 10, 10, 0.0, 0.0, 27.27, 45.5, 100.0, 100.0, 0, 50.0, 90.890625, 0.0, 90.0, 0.0, 10.0, 0.0, 0.0, 0.0, 0.0, 30.0, 0.0, 70.0, 10.0, 0.0, 0.0, 23.0, 13.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22295", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 36.0, 64.0),
(357, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "Autre formation", "Lycée Jean Perrin - DN MADE - Objet - - Spécialité : création numérique et services", "DN MADE", "- Spécialité : création numérique et services", 15, 190, 96, 190, 0, 65, 22, 49, 7, 14, 4, 62, 0, 0, 0, 0, 0, 164, 0, 0, 0, 59, 21, 44, 7, 13, 3, 48, 66, 14, 9, 14, 0, 0.0, 13.0, 14.0, 0, 4, 11, 5, 5, 1, 3, 0, 4, 7, 0, 0, 0.0, 3, 3, 1, 0, 0, 4, 4, 0.0, 92.86, 100.0, 64.296875, 36.3984375, 36.3984375, 0, 36.3984375, 78.59375, 0.0, 36.3984375, 63.59375, 0.0, 0.0, 0.0, 45.5, 27.296875, 45.5, 27.296875, 9.099609375, 9.099609375, 24.0, 8.0, 5.0, 1.0, 13.0, "Tous les candidats", 77.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "25356", "DN MADE - Objet - - Spécialité : création numérique et services", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25356&g_ta_cod=25356", 57.0, 36.0, 7.0),
(358, "Public", "0530081A", "Lycée agricampus de Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "Lycée agricampus de Laval - BTS - Agricole - productions animales", "BTS - Agricole", "", 32, 456, 309, 434, 0, 106, 16, 178, 39, 90, 27, 60, 22, 6, 3, 3, 10, 211, 11, 0, 0, 61, 15, 85, 35, 52, 26, 13, 131, 26, 18, 21, 5, 2.0, 17.0, 22.0, 0, 3, 24, 8, 11, 5, 2, 0, 4, 15, 5, 0, 0.0, 5, 10, 5, 9, 4, 17, 17, 7.69, 65.38, 84.62, 69.1875, 70.796875, 70.796875, 37.5, 12.5, 92.296875, 0.0, 16.69921875, 62.5, 20.796875, 0.0, 0.0, 33.296875, 20.796875, 45.796875, 41.6953125, 20.796875, 20.796875, 44.0, 5.0, 27.0, 11.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 44.0, "6221", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6221&g_ta_cod=6221", 38.0, 42.0, 19.0),
(359, "Privé sous contrat d'association", "0690519P", "Lycée Notre Dame Des Minimes", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 15, 1352, 350, 1343, 0, 1335, 132, 0, 0, 0, 0, 8, 9, 9, 0, 0, 0, 1178, 2, 0, 0, 1178, 95, 0, 0, 0, 0, 0, 1068, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1068.0, 95.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "31116", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=31116", 0, 0, 0),
(360, "Public", "9720726G", "Lycée Joseph Pernock", "972", "Martinique", "Martinique", "Martinique", "Le Lorrain", "formation sélective", "BTS", "Lycée Joseph Pernock - BTS - Production - Bioqualité", "BTS - Production", "", 12, 86, 43, 75, 0, 8, 2, 16, 7, 19, 17, 32, 11, 2, 2, 0, 7, 44, 3, 0, 0, 7, 1, 14, 7, 15, 14, 8, 30, 8, 5, 8, 0, 4.0, 7.0, 7.0, 0, 4, 6, 0, 2, 4, 2, 0, 3, 2, 1, 0, 0.0, 0, 2, 1, 6, 4, 6, 6, 50.0, 87.5, 87.5, 62.5, 100.0, 100.0, 100, 66.6875, 75.0, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 16.69921875, 6.0, 1.0, 6.0, 5.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 47.0, "11827", "BTS - Production - Bioqualité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11827&g_ta_cod=11827", 0.0, 50.0, 50.0),
(361, "Public", "0590214M", "Lycée Colbert", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Colbert - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 16, 226, 23, 173, 0, 18, 6, 34, 11, 65, 28, 56, 53, 5, 9, 15, 24, 64, 17, 0, 0, 7, 2, 17, 6, 36, 14, 4, 62, 12, 0, 5, 7, 3.0, 5.0, 10.0, 0, 4, 8, 1, 2, 5, 4, 0, 5, 3, 0, 0, 0.0, 0, 0, 3, 5, 0, 8, 8, 25.0, 41.67, 83.33, 0.0, 100.0, 100.0, 62.5, 50.0, 66.6875, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 12.5, 0.0, 25.0, 0.0, 62.5, 37.5, 9.0, 2.0, 30.0, 13.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 34.0, "6834", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6834&g_ta_cod=6834", 42.0, 17.0, 42.0),
(362, "Public", "0750707L", "Ecole Nationale De Commerce", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "BTS", "Ecole Nationale De Commerce - BTS - Services - Communication", "BTS - Services", "", 70, 4815, 3402, 4815, 0, 913, 208, 1572, 597, 481, 206, 1849, 0, 0, 0, 0, 0, 1224, 0, 0, 0, 286, 65, 549, 227, 225, 92, 164, 250, 75, 59, 74, 0, 32.0, 59.0, 67.0, 0, 22, 60, 20, 34, 6, 15, 0, 4, 35, 18, 3, 0.0, 17, 33, 6, 0, 0, 17, 60, 42.67, 78.67, 89.33, 78.6875, 28.296875, 100.0, 0, 36.6953125, 80.0, 0.0, 6.69921875, 58.296875, 30.0, 5.0, 0.0, 33.296875, 28.296875, 56.6953125, 55.0, 10.0, 10.0, 82.0, 22.0, 22.0, 9.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 120.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 136, "Liste d'appel propre à cette formation", 6.0, "9159", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9159&g_ta_cod=9159", 29.0, 57.0, 13.0),
(363, "Privé sous contrat d'association", "0530068L", "Lycée HAUTE-FOLLIS", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "Lycée HAUTE-FOLLIS - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 293, 174, 259, 0, 42, 7, 80, 15, 74, 17, 63, 34, 8, 8, 6, 12, 185, 10, 0, 0, 37, 6, 69, 12, 65, 13, 14, 137, 27, 13, 23, 3, 8.0, 22.0, 25.0, 0, 6, 23, 5, 11, 7, 3, 0, 14, 6, 3, 0, 0.0, 2, 3, 4, 3, 0, 16, 16, 29.63, 81.48, 92.59, 48.09375, 69.59375, 69.59375, 13, 26.09765625, 85.1875, 0.0, 60.8984375, 26.09765625, 13.0, 0.0, 0.0, 21.69921875, 8.69921875, 47.796875, 13.0, 30.3984375, 17.3984375, 31.0, 4.0, 49.0, 9.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 70.0, "6214", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6214&g_ta_cod=6214", 26.0, 41.0, 30.0),
(364, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Licence - Double diplôme - Licence Humanités - Double diplôme Licence mention Humanités [Humanités, droit, économie-gestion] - Diplôme d'université (DU) Cultures, langues et rhétorique 1", "Licence - Arts-lettres-langues", "Double diplôme Licence mention Humanités [Humanités, droit, économie-gestion] - Diplôme d'université (DU) Cultures, langues et rhétorique 1", 60, 721, 497, 721, 0, 510, 89, 20, 8, 5, 3, 186, 0, 0, 0, 0, 0, 651, 0, 0, 0, 505, 89, 7, 2, 0, 0, 139, 360, 59, 44, 59, 0, 7.0, 44.0, 52.0, 0, 4, 49, 48, 1, 0, 10, 0, 7, 22, 16, 4, 0.0, 41, 1, 0, 0, 0, 21, 34, 11.86, 74.58, 88.14, 74.59375, 42.8984375, 69.390625, 0, 8.19921875, 83.09375, 0.0, 14.298828125, 44.8984375, 32.6953125, 8.2, 0.0, 98.0, 83.6875, 2.0, 2.0, 0.0, 0.0, 310.0, 48.0, 0.0, 0.0, 49.0, "Tous les candidats", 456.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "29413", "Licence - Double diplôme - Licence Humanités - Double diplôme Licence mention Humanités [Humanités, droit, économie-gestion] - Diplôme d'université (DU) Cultures, langues et rhétorique 1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29413&g_ta_cod=29413", 98.0, 2.0, 0.0),
(365, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Langues étrangères appliquées - Parcours Anglais, Italien. Non débutants", "Licence - Arts-lettres-langues", "Anglais, Italien. Non débutants", 15, 90, 72, 90, 0, 60, 17, 7, 3, 1, 1, 22, 0, 0, 0, 0, 0, 89, 0, 0, 0, 60, 17, 7, 3, 1, 1, 21, 89, 14, 11, 14, 0, 13.0, 14.0, 14.0, 0, 3, 12, 11, 1, 0, 2, 0, 6, 1, 4, 1, 0.0, 6, 0, 0, 0, 0, 11, 11, 92.86, 100.0, 100.0, 78.59375, 91.6875, 91.6875, 0, 25.0, 85.6875, 0.0, 50.0, 8.298828125, 33.296875, 8.3, 0.0, 91.6875, 50.0, 8.298828125, 0.0, 0.0, 0.0, 60.0, 17.0, 1.0, 1.0, 21.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "23570", "Licence - Langues étrangères appliquées - Parcours Anglais, Italien. Non débutants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23570&g_ta_cod=23570", 93.0, 7.0, 0.0),
(366, "Public", "0440069L", "LGT Aristide Briand", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "CPGE", "LGT Aristide Briand - CPGE - PCSI", "Classe préparatoire scientifique", "", 47, 615, 211, 575, 428, 509, 56, 0, 0, 0, 0, 66, 40, 22, 0, 0, 18, 455, 13, 342, 445, 426, 44, 0, 0, 0, 0, 29, 404, 31, 11, 28, 3, 9.0, 26.0, 30.0, 6, 4, 29, 29, 0, 0, 2, 0, 0, 9, 16, 4, 0.0, 29, 0, 0, 2, 0, 22, 22, 29.03, 83.87, 96.77, 35.5, 75.890625, 75.890625, 6.8994140625, 13.798828125, 93.5, 0.0, 0.0, 31.0, 55.1953125, 13.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 379.0, 39.0, 0.0, 0.0, 25.0, "Tous les candidats", 455.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "5457", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5457&g_ta_cod=5457", 100.0, 0.0, 0.0),
(367, "Public", "0311086M", "I.U.T de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BUT", "I.U.T de Toulouse - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d?activités - Contrôle de gestion et pilotage de la performance - HORAIRES AMENAGES", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d?activités - Contrôle de gestion et pilotage de la performance - HORAIRES AMENAGES", 26, 278, 105, 243, 0, 113, 22, 78, 26, 5, 2, 47, 35, 0, 20, 0, 15, 67, 8, 0, 0, 38, 5, 17, 4, 0, 0, 12, 63, 26, 7, 20, 6, 10.0, 18.0, 23.0, 0, 3, 20, 10, 10, 0, 6, 0, 5, 11, 3, 1, 0.0, 7, 8, 0, 0, 0, 11, 11, 38.46, 69.23, 88.46, 26.8984375, 55.0, 55.0, 0, 15.0, 76.890625, 0.0, 25.0, 55.0, 15.0, 5.0, 0.0, 50.0, 35.0, 50.0, 40.0, 0.0, 0.0, 29.0, 5.0, 0.0, 0.0, 12.0, "Tous les candidats sauf les Bac technologiques", 41.0, "Bacheliers technologiques toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 25.0, "22025", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d?activités - Contrôle de gestion et pilotage de la performance - HORAIRES AMENAGES", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22025&g_ta_cod=22025", 50.0, 50.0, 0.0),
(368, "Privé sous contrat d'association", "0301433V", "Maison familiale rurale horticole Le Grand Mas", "30", "Gard", "Occitanie", "Montpellier", "Uzès", "formation sélective", "BTS", "Maison familiale rurale horticole Le Grand Mas - BTS - Agricole - Production horticole", "BTS - Agricole", "", 16, 58, 28, 46, 0, 8, 2, 7, 2, 8, 2, 23, 12, 0, 0, 2, 10, 28, 9, 0, 0, 4, 1, 6, 1, 5, 2, 13, 36, 9, 6, 3, 6, 2.0, 2.0, 7.0, 0, 0, 2, 0, 2, 0, 7, 0, 1, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 1, 1, 22.22, 22.22, 77.78, 66.6875, 50.0, 50.0, 0, 0.0, 22.19921875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 4.0, 1.0, 5.0, 2.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 61.0, "4002", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4002&g_ta_cod=4002", 56.0, 44.0, 0.0),
(369, "Privé sous contrat d'association", "0601149Y", "Lycée Saint Vincent", "60", "Oise", "Hauts-de-France", "Amiens", "Senlis", "formation sélective", "BTS", "Lycée Saint Vincent - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 24, 352, 42, 277, 0, 51, 10, 49, 13, 37, 9, 140, 75, 8, 0, 27, 40, 26, 11, 0, 0, 13, 3, 1, 0, 9, 2, 3, 37, 22, 1, 12, 10, 10.0, 12.0, 22.0, 0, 3, 14, 7, 1, 6, 8, 0, 4, 7, 3, 0, 0.0, 4, 1, 5, 2, 1, 12, 12, 45.45, 54.55, 100.0, 4.5, 85.6875, 85.6875, 14.298828125, 21.3984375, 63.59375, 0.0, 28.59765625, 50.0, 21.3984375, 0.0, 0.0, 50.0, 28.59765625, 7.099609375, 7.099609375, 42.8984375, 35.6953125, 14.0, 3.0, 13.0, 3.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 2, "Liste d'appel propre à cette formation", 9.0, "7255", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7255&g_ta_cod=7255", 59.0, 9.0, 32.0),
(370, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Portail Lettres", "Licence - Arts-lettres-langues", "", 150, 479, 373, 402, 0, 275, 68, 12, 6, 7, 4, 108, 77, 12, 10, 0, 55, 401, 75, 0, 0, 275, 68, 12, 6, 7, 4, 107, 430, 64, 46, 43, 21, 13.0, 43.0, 58.0, 0, 15, 35, 31, 4, 0, 29, 0, 18, 12, 1, 3, 1.0, 16, 1, 0, 0, 0, 34, 34, 20.31, 67.19, 90.63, 71.890625, 97.09375, 97.09375, 0, 42.8984375, 54.6953125, 0.0, 51.3984375, 34.296875, 2.89990234375, 8.6, 2.9, 88.59375, 45.6953125, 11.3984375, 2.89990234375, 0.0, 0.0, 260.0, 71.0, 5.0, 3.0, 146.0, "Tous les candidats", 446.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9689", "Licence - Portail Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26793&g_ta_cod=9689", 84.0, 11.0, 5.0),
(371, "Public", "0692800U", "Lycée Charlie Chaplin", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Décines-Charpieu", "formation sélective", "BTS", "Lycée Charlie Chaplin - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 16, 445, 72, 425, 0, 44, 12, 156, 59, 71, 29, 154, 20, 0, 12, 0, 8, 261, 3, 0, 0, 38, 11, 113, 36, 54, 20, 56, 115, 13, 0, 12, 1, 1.0, 8.0, 12.0, 0, 2, 10, 0, 3, 7, 3, 0, 2, 6, 1, 1, 0.0, 0, 2, 6, 0, 0, 8, 8, 7.69, 61.54, 92.31, 0.0, 80.0, 80.0, 0, 20.0, 76.890625, 0.0, 20.0, 60.0, 10.0, 10.0, 0.0, 0.0, 0.0, 30.0, 20.0, 70.0, 60.0, 6.0, 3.0, 31.0, 10.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 134, "Liste d'appel propre à cette formation", 46.0, "8546", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8546&g_ta_cod=8546", 0.0, 46.0, 54.0),
(372, "Public", "0951399E", "Lycée Alfred Kastler", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "CPGE", "Lycée Alfred Kastler - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 20, 317, 145, 296, 0, 244, 47, 3, 0, 2, 1, 47, 21, 10, 2, 1, 8, 217, 5, 0, 217, 202, 35, 0, 0, 0, 0, 15, 146, 12, 8, 11, 1, 0.0, 11.0, 12.0, 0, 2, 12, 12, 0, 0, 0, 0, 1, 3, 6, 2, 0.0, 11, 0, 0, 1, 0, 12, 12, 0.0, 91.67, 100.0, 66.6875, 100.0, 100.0, 8.298828125, 16.69921875, 100.0, 0.0, 8.298828125, 25.0, 50.0, 16.7, 0.0, 100.0, 91.6875, 0.0, 0.0, 0.0, 0.0, 132.0, 19.0, 0.0, 0.0, 14.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "31597", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31399&g_ta_cod=31597", 100.0, 0.0, 0.0),
(373, "Public", "0680007N", "Lycée A. Bartholdi", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BTS", "Lycée A. Bartholdi - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 374, 263, 374, 0, 11, 4, 121, 49, 132, 81, 110, 0, 0, 0, 0, 0, 186, 0, 0, 0, 10, 4, 76, 30, 67, 37, 33, 138, 29, 24, 29, 0, 2.0, 21.0, 25.0, 0, 13, 20, 0, 12, 8, 9, 0, 16, 4, 0, 0, 0.0, 0, 4, 0, 3, 3, 20, 20, 6.9, 72.41, 86.21, 82.796875, 100.0, 100.0, 15, 65.0, 69.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 60.0, 20.0, 40.0, 0.0, 7.0, 3.0, 42.0, 22.0, 28.0, "Tous les candidats sauf les Bac professionnels", 93.0, "Bacheliers professionnels toutes séries", 66, "", 0, "Liste d'appel propre à cette formation", 43.0, "8083", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8083&g_ta_cod=8083", 0.0, 59.0, 41.0),
(374, "Public", "0311586F", "Lycée Toulouse-Lautrec", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Toulouse-Lautrec - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 3259, 1645, 3259, 0, 306, 82, 1230, 465, 938, 446, 785, 0, 0, 0, 0, 0, 1084, 0, 0, 0, 111, 25, 436, 147, 418, 180, 119, 231, 33, 26, 33, 0, 0.0, 21.0, 27.0, 0, 14, 24, 5, 12, 7, 9, 0, 2, 15, 7, 0, 0.0, 4, 11, 7, 1, 1, 20, 20, 0.0, 63.64, 81.82, 78.796875, 83.296875, 83.296875, 4.19921875, 58.296875, 72.6875, 0.0, 8.298828125, 62.5, 29.19921875, 0.0, 0.0, 20.796875, 16.69921875, 50.0, 45.796875, 29.19921875, 29.19921875, 34.0, 15.0, 60.0, 28.0, 47.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 120, "Bacheliers technologiques toutes séries", 166, "Liste d'appel propre à cette formation", 11.0, "4195", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4195&g_ta_cod=4195", 24.0, 39.0, 36.0),
(375, "Public", "0300002P", "Lycée Jean-Baptiste Dumas", "30", "Gard", "Occitanie", "Montpellier", "Alès", "formation sélective", "BTS", "Lycée Jean-Baptiste Dumas - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 563, 488, 555, 0, 24, 7, 145, 53, 206, 102, 180, 8, 0, 0, 4, 4, 295, 4, 0, 0, 18, 5, 98, 34, 133, 61, 46, 191, 34, 33, 31, 3, 7.0, 23.0, 27.0, 0, 13, 27, 0, 10, 17, 7, 0, 6, 14, 6, 1, 0.0, 0, 5, 16, 11, 10, 22, 22, 20.59, 67.65, 79.41, 97.09375, 81.5, 81.5, 40.6953125, 48.09375, 79.390625, 0.0, 22.19921875, 51.8984375, 22.19921875, 3.7, 0.0, 0.0, 0.0, 37.0, 18.5, 63.0, 59.296875, 9.0, 2.0, 83.0, 34.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 109, "Bacheliers technologiques toutes séries", 118, "Liste d'appel propre à cette formation", 45.0, "15940", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15940&g_ta_cod=15940", 0.0, 47.0, 53.0),
(376, "Public", "0560026Z", "Lycée Jean-Baptiste Colbert", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BTS", "Lycée Jean-Baptiste Colbert - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 30, 184, 32, 181, 0, 11, 2, 37, 6, 25, 5, 108, 3, 0, 1, 0, 2, 134, 3, 0, 0, 8, 0, 37, 6, 25, 5, 64, 84, 9, 2, 8, 1, 0.0, 7.0, 9.0, 0, 3, 5, 0, 4, 1, 4, 0, 3, 2, 0, 0, 0.0, 0, 2, 0, 3, 0, 5, 5, 0.0, 77.78, 100.0, 22.19921875, 100.0, 100.0, 60, 60.0, 55.59375, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 80.0, 40.0, 20.0, 0.0, 7.0, 0.0, 24.0, 5.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 54.0, "6428", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6428&g_ta_cod=6428", 33.0, 56.0, 11.0),
(377, "Privé sous contrat d'association", "0442124V", "Ecole Sup. ENACOM", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Ecole Sup. ENACOM - BTS - Services - Tourisme", "BTS - Services", "", 35, 344, 266, 300, 0, 101, 12, 64, 7, 69, 17, 66, 44, 9, 9, 1, 25, 95, 10, 0, 0, 39, 2, 11, 1, 34, 7, 11, 85, 35, 25, 31, 4, 17.0, 30.0, 34.0, 0, 3, 25, 15, 6, 4, 10, 0, 9, 11, 5, 0, 0.0, 10, 2, 4, 0, 0, 22, 22, 48.57, 85.71, 97.14, 71.390625, 88.0, 88.0, 0, 12.0, 71.390625, 0.0, 36.0, 44.0, 20.0, 0.0, 0.0, 60.0, 40.0, 24.0, 8.0, 16.0, 16.0, 41.0, 3.0, 18.0, 4.0, 16.0, "Tous les candidats sauf les Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 31.0, "5624", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5624&g_ta_cod=5624", 69.0, 20.0, 11.0),
(378, "Public", "0660524L", "SUP ENR - partenaire INSA", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "Ecole d'Ingénieur", "Groupe INSA - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 21, 4556, 1456, 4556, 0, 3879, 346, 0, 0, 0, 0, 677, 0, 0, 0, 0, 0, 3184, 0, 0, 0, 2727, 203, 0, 0, 0, 0, 457, 906, 18, 9, 18, 0, 6.0, 10.0, 16.0, 0, 1, 18, 18, 0, 0, 0, 0, 0, 1, 5, 11, 1.0, 18, 0, 0, 0, 0, 3, 3, 33.33, 55.56, 88.89, 50.0, 16.69921875, 16.69921875, 0, 5.599609375, 100.0, 0.0, 0.0, 5.599609375, 27.796875, 61.1, 5.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 802.0, 76.0, 0.0, 0.0, 104.0, "Tous les candidats", 7184.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "486", "Formation d'ingénieur Bac + 5 - Bac Général", "Groupe INSA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=57&g_ta_cod=486", 100.0, 0.0, 0.0),
(379, "Privé sous contrat d'association", "0622196A", "Lycée Baudimont Saint-Charles", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "Lycée Baudimont Saint-Charles - BTS - Services - Tourisme", "BTS - Services", "", 30, 261, 170, 193, 0, 47, 13, 41, 13, 35, 9, 70, 68, 9, 13, 5, 41, 65, 47, 0, 0, 25, 7, 19, 4, 4, 2, 17, 101, 19, 11, 9, 10, 4.0, 9.0, 14.0, 0, 3, 8, 3, 2, 3, 11, 0, 4, 3, 1, 0, 0.0, 1, 2, 1, 2, 2, 8, 8, 21.05, 47.37, 73.68, 57.8984375, 100.0, 100.0, 25, 37.5, 42.09375, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 37.5, 12.5, 25.0, 25.0, 37.5, 12.5, 26.0, 9.0, 10.0, 5.0, 45.0, "Tous les candidats sauf les Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 34.0, "30175", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30175&g_ta_cod=30175", 63.0, 21.0, 16.0),
(380, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe", "Licence - Arts-lettres-langues", "Arabe", 20, 145, 108, 133, 0, 37, 20, 8, 7, 10, 8, 78, 12, 1, 0, 2, 9, 121, 10, 0, 0, 37, 20, 8, 7, 10, 8, 66, 92, 18, 13, 15, 3, 1.0, 15.0, 15.0, 0, 5, 7, 3, 1, 3, 11, 0, 4, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 2, 5, 5.56, 83.33, 83.33, 72.1875, 28.59765625, 71.390625, 0, 71.390625, 38.8984375, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 42.8984375, 0.0, 14.298828125, 0.0, 42.8984375, 42.8984375, 30.0, 18.0, 11.0, 9.0, 44.0, "Tous les candidats", 112.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "9253", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9253&g_ta_cod=9253", 50.0, 11.0, 39.0),
(381, "Public", "0940609B", "IUT de Cachan Université Paris-Saclay", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "BUT", "IUT de Cachan Université Paris-Saclay - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie- Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "BUT - Production", "Electricité et maîtrise de l'énergie- Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", 200, 2217, 178, 2217, 0, 1102, 275, 589, 185, 24, 8, 502, 0, 0, 0, 0, 0, 1462, 0, 0, 0, 824, 189, 408, 107, 3, 1, 227, 911, 195, 17, 195, 0, 115.0, 173.0, 187.0, 0, 48, 172, 79, 93, 0, 23, 0, 20, 99, 51, 2, 0.0, 73, 79, 0, 0, 0, 82, 158, 58.97, 88.72, 95.9, 8.69921875, 47.6953125, 91.890625, 0, 27.8984375, 88.1875, 0.0, 11.599609375, 57.59375, 29.69921875, 1.2, 0.0, 45.8984375, 42.3984375, 54.09375, 45.8984375, 0.0, 0.0, 476.0, 122.0, 0.0, 0.0, 90.0, "Tous les candidats sauf les Bac technologiques", 594.0, "Bacheliers technologiques toutes séries", 401, "", 0, "Liste d'appel propre à cette formation", 44.0, "11440", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie- Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11440&g_ta_cod=11440", 50.0, 50.0, 0.0),
(382, "Privé sous contrat d'association", "0312408Z", "Lycée Saliège", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Balma", "formation sélective", "CPGE", "Lycée Saliège - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 356, 146, 351, 263, 292, 17, 0, 0, 0, 0, 59, 5, 2, 0, 0, 3, 348, 4, 263, 299, 290, 17, 0, 0, 0, 0, 58, 245, 7, 4, 5, 2, 1.0, 3.0, 6.0, 4, 0, 2, 2, 0, 0, 5, 0, 0, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 1, 1, 14.29, 42.86, 85.71, 57.09375, 50.0, 50.0, 0, 0.0, 28.59765625, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 203.0, 13.0, 0.0, 0.0, 42.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "31876", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31874&g_ta_cod=31876", 100.0, 0.0, 0.0),
(383, "Public", "0771436T", "Lycée agricole Bougainville", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Brie-Comte-Robert", "formation sélective", "BTS", "Lycée agricole Bougainville - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 12, 254, 83, 254, 0, 41, 6, 44, 9, 48, 10, 121, 0, 0, 0, 0, 0, 142, 0, 0, 0, 39, 5, 34, 4, 43, 8, 26, 50, 10, 3, 10, 0, 2.0, 9.0, 9.0, 0, 1, 8, 1, 4, 3, 2, 0, 3, 3, 2, 0, 0.0, 0, 2, 3, 5, 0, 8, 8, 20.0, 90.0, 90.0, 30.0, 100.0, 100.0, 62.5, 12.5, 80.0, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 12.5, 0.0, 50.0, 25.0, 37.5, 37.5, 10.0, 3.0, 18.0, 3.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 31.0, "9840", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9840&g_ta_cod=9840", 30.0, 40.0, 30.0),
(384, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "Autre formation", "Avignon Université - C.M.I - Cursus Master en Ingénierie - Sciences de la vie et de la terre - Cursus Master en Ingénierie (CMI) :  Ingénierie des Productions Végétales", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) :  Ingénierie des Productions Végétales", 20, 201, 106, 97, 0, 63, 3, 1, 1, 0, 0, 33, 104, 52, 3, 1, 48, 41, 13, 0, 0, 37, 0, 0, 0, 0, 0, 4, 56, 9, 4, 5, 3, 2.0, 5.0, 8.0, 0, 0, 6, 6, 0, 0, 3, 0, 1, 2, 3, 0, 0.0, 5, 0, 0, 0, 0, 6, 6, 22.22, 55.56, 88.89, 44.3984375, 100.0, 100.0, 0, 0.0, 66.6875, 0.0, 16.69921875, 33.296875, 50.0, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 47.0, 0.0, 0.0, 0.0, 9.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "14973", "C.M.I - Cursus Master en Ingénierie - Sciences de la vie et de la terre - Cursus Master en Ingénierie (CMI) :  Ingénierie des Productions Végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14973&g_ta_cod=14973", 100.0, 0.0, 0.0),
(385, "Privé sous contrat d'association", "0750330B", "Ecole Technique Sup Laboratoire", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Ecole Technique Sup Laboratoire - BTS - Production - Métiers de la chimie", "BTS - Production", "", 32, 396, 246, 389, 0, 87, 17, 100, 25, 8, 3, 194, 7, 0, 1, 0, 6, 334, 7, 0, 0, 87, 17, 93, 24, 6, 2, 148, 146, 27, 13, 26, 1, 11.0, 17.0, 23.0, 0, 2, 10, 2, 7, 1, 17, 1, 5, 2, 2, 0, 0.0, 1, 2, 1, 5, 3, 5, 9, 40.74, 62.96, 85.19, 48.09375, 50.0, 90.0, 50, 20.0, 37.0, 10.0, 50.0, 20.0, 20.0, 0.0, 0.0, 20.0, 10.0, 70.0, 20.0, 10.0, 10.0, 16.0, 6.0, 5.0, 2.0, 91.0, "Tous les candidats sauf les Bac professionnels", 238.0, "Bacheliers professionnels toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 63.0, "12140", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12140&g_ta_cod=12140", 56.0, 37.0, 7.0),
(386, "Public", "0810004P", "Lycée Louis Rascol", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "BTS", "Lycée Louis Rascol - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 301, 152, 297, 0, 29, 11, 98, 30, 77, 47, 93, 4, 0, 0, 3, 1, 258, 1, 0, 0, 29, 11, 97, 29, 77, 47, 55, 144, 35, 22, 35, 0, 14.0, 26.0, 34.0, 0, 16, 28, 2, 14, 12, 7, 0, 13, 10, 4, 1, 0.0, 0, 8, 7, 3, 1, 27, 27, 40.0, 74.29, 97.14, 62.8984375, 96.390625, 96.390625, 10.69921875, 57.09375, 80.0, 0.0, 46.3984375, 35.6953125, 14.298828125, 3.6, 0.0, 7.099609375, 0.0, 50.0, 28.59765625, 42.8984375, 25.0, 14.0, 4.0, 51.0, 34.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 65.0, "10265", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10265&g_ta_cod=10265", 17.0, 43.0, 40.0),
(387, "Public", "0880020U", "Lycée Claude Gellee", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "CPGE", "Lycée Claude Gellee - CPGE - MPSI", "Classe préparatoire scientifique", "", 36, 407, 120, 407, 284, 253, 31, 0, 0, 0, 0, 154, 0, 0, 0, 0, 0, 362, 0, 284, 276, 249, 30, 0, 0, 0, 0, 113, 211, 20, 4, 20, 0, 4.0, 19.0, 20.0, 11, 3, 17, 17, 0, 0, 3, 0, 0, 6, 7, 3, 1.0, 17, 0, 0, 0, 0, 14, 14, 20.0, 95.0, 100.0, 20.0, 82.390625, 82.390625, 0, 17.59765625, 85.0, 0.0, 0.0, 35.296875, 41.1953125, 17.6, 5.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 171.0, 15.0, 0.0, 0.0, 40.0, "Tous les candidats", 283.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "10731", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10731&g_ta_cod=10731", 100.0, 0.0, 0.0),
(388, "Public", "0332192D", "Lycée Hotel.Tourisme Gascogne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "BTS", "Lycée Hotel.Tourisme Gascogne - BTS - Services - Tourisme", "BTS - Services", "", 71, 1546, 1152, 1544, 0, 417, 104, 271, 87, 267, 115, 589, 2, 0, 0, 0, 2, 1139, 1, 0, 0, 404, 98, 242, 74, 180, 70, 313, 345, 62, 48, 61, 1, 9.0, 43.0, 54.0, 0, 16, 53, 20, 13, 20, 9, 0, 12, 30, 9, 2, 0.0, 19, 8, 14, 0, 0, 42, 42, 14.52, 69.35, 87.1, 77.390625, 79.1875, 79.1875, 0, 30.19921875, 85.5, 0.0, 22.59765625, 56.59375, 17.0, 3.8, 0.0, 37.6953125, 35.796875, 24.5, 15.099609375, 37.6953125, 26.3984375, 111.0, 27.0, 102.0, 33.0, 55.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 215.0, "Bacheliers professionnels toutes séries", 165, "Bacheliers technologiques toutes séries", 162, "Liste d'appel propre à cette formation", 35.0, "4429", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4429&g_ta_cod=4429", 44.0, 21.0, 35.0),
(389, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 4 - LEA Anglais/Chinois - Anglais (LLCER)", "Licence - Arts-lettres-langues", "4 - LEA Anglais/Chinois - Anglais (LLCER)", 30, 241, 195, 225, 0, 151, 32, 21, 5, 12, 3, 41, 16, 2, 1, 3, 10, 224, 15, 0, 0, 151, 32, 21, 5, 12, 3, 40, 174, 29, 25, 24, 5, 4.0, 23.0, 26.0, 0, 6, 24, 19, 3, 2, 5, 0, 7, 11, 6, 0, 0.0, 15, 1, 1, 0, 0, 12, 12, 13.79, 79.31, 89.66, 86.1875, 50.0, 50.0, 0, 25.0, 82.796875, 0.0, 29.19921875, 45.796875, 25.0, 0.0, 0.0, 79.1875, 62.5, 12.5, 4.19921875, 8.298828125, 4.19921875, 120.0, 28.0, 12.0, 5.0, 29.0, "Tous les candidats", 223.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "24143", "Licence - Portail 4 - LEA Anglais/Chinois - Anglais (LLCER)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24143&g_ta_cod=24143", 79.0, 14.0, 7.0),
(390, "Public", "0622807P", "Lycée des Métiers - Hotelier", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Le Touquet-Paris-Plage", "formation sélective", "Autre formation", "Lycée des Métiers - Hotelier - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 30, 172, 99, 160, 0, 67, 7, 21, 5, 10, 3, 62, 12, 3, 1, 0, 8, 126, 6, 0, 0, 67, 7, 21, 5, 10, 3, 28, 103, 21, 10, 18, 3, 10.0, 18.0, 19.0, 0, 0, 18, 15, 3, 0, 3, 0, 7, 5, 5, 1, 0.0, 9, 2, 0, 0, 0, 13, 13, 47.62, 85.71, 90.48, 47.59375, 72.1875, 72.1875, 0, 0.0, 85.6875, 0.0, 38.8984375, 27.796875, 27.796875, 5.6, 0.0, 83.296875, 50.0, 16.69921875, 11.099609375, 0.0, 0.0, 54.0, 6.0, 6.0, 1.0, 25.0, "Tous les candidats", 125.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "7459", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7459&g_ta_cod=7459", 86.0, 14.0, 0.0),
(391, "Public", "0690026D", "Lycée du Parc", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 6e  Arrondissement", "formation sélective", "CPGE", "Lycée du Parc - CPGE - BCPST", "Classe préparatoire scientifique", "", 135, 4325, 3121, 4325, 2986, 3752, 331, 5, 1, 4, 2, 564, 0, 0, 0, 0, 0, 3292, 0, 2986, 1367, 3022, 266, 1, 0, 3, 2, 266, 564, 133, 93, 133, 0, 46.0, 111.0, 128.0, 30, 27, 132, 132, 0, 0, 1, 1, 0, 0, 12, 84, 35.0, 131, 0, 0, 1, 1, 30, 30, 34.59, 83.46, 96.24, 69.890625, 22.69921875, 22.69921875, 0.7999267578125, 20.5, 99.1875, 0.7999267578125, 0.0, 0.0, 9.099609375, 63.6, 26.5, 100.0, 99.1875, 0.0, 0.0, 0.0, 0.0, 551.0, 94.0, 0.0, 0.0, 13.0, "Tous les candidats", 769.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "8184", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8184&g_ta_cod=8184", 100.0, 0.0, 0.0),
(392, "Public", "0060001U", "Lycée Jacques Audiberti", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "BTS", "Lycée Jacques Audiberti - BTS - Services - Assurance", "BTS - Services", "", 24, 653, 369, 630, 0, 68, 18, 153, 69, 145, 70, 264, 23, 0, 10, 4, 9, 276, 8, 0, 0, 61, 14, 78, 35, 61, 27, 76, 160, 21, 7, 18, 3, 1.0, 8.0, 13.0, 0, 5, 10, 4, 5, 1, 11, 0, 8, 2, 0, 0, 0.0, 0, 1, 1, 2, 1, 9, 9, 4.76, 38.1, 61.9, 33.296875, 90.0, 90.0, 20, 50.0, 47.59375, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 40.0, 0.0, 50.0, 10.0, 10.0, 10.0, 34.0, 11.0, 25.0, 8.0, 57.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 81.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 36.0, "2182", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2182&g_ta_cod=2182", 43.0, 33.0, 24.0),
(393, "Public", "0921935D", "EREA Toulouse Lautrec", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Vaucresson", "formation sélective", "BTS", "EREA Toulouse Lautrec - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 15, 618, 229, 166, 0, 8, 4, 35, 14, 61, 30, 62, 452, 0, 146, 128, 178, 86, 17, 0, 0, 7, 3, 30, 10, 27, 18, 22, 79, 13, 6, 7, 6, 1.0, 5.0, 11.0, 0, 1, 4, 0, 2, 2, 9, 0, 3, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 4, 4, 7.69, 38.46, 84.62, 46.1953125, 100.0, 100.0, 0, 25.0, 30.796875, 0.0, 75.0, 0.0, 25.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 25.0, 3.0, 1.0, 22.0, 11.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 51.0, "11134", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11134&g_ta_cod=11134", 15.0, 38.0, 46.0),
(394, "Privé sous contrat d'association", "0754696X", "IRTS Paris Ile-de-France", "75", "Paris", "Ile-de-France", "Paris", "Paris 10e  Arrondissement", "formation sélective", "EFTS", "IRTS Paris Ile-de-France - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 55, 352, 322, 352, 0, 59, 8, 87, 13, 57, 10, 149, 0, 0, 0, 0, 0, 316, 0, 0, 0, 54, 8, 80, 12, 50, 9, 132, 118, 53, 46, 53, 0, 0.0, 44.0, 48.0, 0, 7, 23, 7, 10, 6, 30, 0, 11, 10, 2, 0, 0.0, 3, 5, 4, 0, 0, 2, 18, 0.0, 83.02, 90.57, 86.796875, 8.69921875, 78.296875, 0, 30.3984375, 43.3984375, 0.0, 47.796875, 43.5, 8.69921875, 0.0, 0.0, 30.3984375, 13.0, 43.5, 21.69921875, 26.09765625, 17.3984375, 20.0, 2.0, 10.0, 2.0, 67.0, "Tous les candidats", 191.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "23759", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23759&g_ta_cod=23759", 42.0, 38.0, 19.0),
(395, "Public", "0380027Y", "Lycée Champollion", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "CPGE", "Lycée Champollion - CPGE - MP2I", "Classe préparatoire scientifique", "", 48, 1672, 300, 1672, 1302, 1405, 141, 2, 0, 1, 0, 264, 0, 0, 0, 0, 0, 697, 0, 333, 659, 694, 58, 0, 0, 0, 0, 3, 207, 48, 5, 48, 0, 6.0, 43.0, 47.0, 18, 7, 47, 47, 0, 0, 1, 0, 0, 1, 16, 28, 2.0, 47, 0, 0, 1, 0, 30, 30, 12.5, 89.58, 97.92, 10.3984375, 63.796875, 63.796875, 2.099609375, 14.8984375, 97.890625, 0.0, 0.0, 2.099609375, 34.0, 59.6, 4.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 206.0, 30.0, 0.0, 0.0, 1.0, "Tous les candidats", 269.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "32110", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32110&g_ta_cod=32110", 100.0, 0.0, 0.0),
(396, "Public", "0540042C", "Lycée Henri Loritz", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Henri Loritz - BTS - Production - Géologie appliquée", "BTS - Production", "", 24, 413, 101, 413, 0, 150, 14, 19, 1, 3, 0, 241, 0, 0, 0, 0, 0, 202, 0, 0, 0, 141, 13, 5, 1, 1, 0, 55, 90, 22, 5, 22, 0, 11.0, 16.0, 19.0, 0, 1, 16, 15, 1, 0, 6, 0, 4, 6, 5, 1, 0.0, 11, 1, 0, 1, 1, 6, 6, 50.0, 72.73, 86.36, 22.69921875, 37.5, 37.5, 6.2998046875, 6.2998046875, 72.6875, 0.0, 25.0, 37.5, 31.296875, 6.3, 0.0, 93.796875, 68.796875, 6.2998046875, 6.2998046875, 0.0, 0.0, 62.0, 4.0, 1.0, 0.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 111.0, "Bacheliers professionnels toutes séries", 1, "Bacheliers technologiques toutes séries", 3, "Liste d'appel propre à cette formation", 28.0, "6264", "BTS - Production - Géologie appliquée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6264&g_ta_cod=6264", 91.0, 9.0, 0.0),
(397, "Public", "0760164R", "Ecole Nationale Supérieure d'Architecture de Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Darnétal", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Normandie - Architecture", "Formations Bac + 5", "", 110, 1673, 916, 1673, 0, 969, 158, 143, 43, 68, 27, 493, 0, 0, 0, 0, 0, 1186, 0, 0, 0, 739, 102, 83, 15, 61, 22, 303, 254, 109, 64, 109, 0, 27.0, 98.0, 107.0, 0, 11, 96, 81, 7, 8, 13, 0, 1, 25, 59, 10, 1.0, 80, 7, 8, 0, 0, 44, 44, 24.77, 89.91, 98.17, 58.6953125, 45.796875, 45.796875, 0, 11.5, 88.09375, 0.0, 1.0, 26.0, 61.5, 10.4, 1.0, 84.390625, 83.296875, 7.2998046875, 7.2998046875, 8.298828125, 8.298828125, 186.0, 20.0, 11.0, 3.0, 36.0, "Tous les candidats", 302.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "9619", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9619&g_ta_cod=9619", 84.0, 7.0, 8.0),
(398, "Public", "0781945R", "I.U.T de Velizy", "78", "Yvelines", "Ile-de-France", "Versailles", "Vélizy-Villacoublay", "formation sélective", "BUT", "I.U.T de Velizy - BUT - Génie électrique et informatique industrielle Parcours : Électricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Électronique et systèmes embarqués (Seconde année possible en apprentissage)", "BUT - Production", "Électricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Électronique et systèmes embarqués", 58, 1324, 88, 1197, 0, 589, 131, 340, 83, 14, 5, 254, 127, 17, 49, 0, 61, 788, 12, 0, 0, 445, 82, 221, 42, 0, 0, 122, 597, 59, 2, 54, 5, 14.0, 26.0, 51.0, 0, 11, 46, 35, 11, 0, 13, 0, 22, 18, 5, 1, 0.0, 17, 7, 0, 0, 0, 45, 46, 23.73, 44.07, 86.44, 3.39990234375, 97.796875, 100.0, 0, 23.8984375, 78.0, 0.0, 47.796875, 39.09375, 10.8984375, 2.2, 0.0, 76.09375, 37.0, 23.8984375, 15.19921875, 0.0, 0.0, 324.0, 63.0, 0.0, 0.0, 89.0, "Tous les candidats sauf les Bac technologiques", 541.0, "Bacheliers technologiques toutes séries", 239, "", 0, "Liste d'appel propre à cette formation", 65.0, "9992", "BUT - Génie électrique et informatique industrielle Parcours : Électricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Électronique et systèmes embarqués (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9992&g_ta_cod=9992", 78.0, 22.0, 0.0),
(399, "Privé sous contrat d'association", "0755900F", "GOBELINS, l'école de l'image", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "GOBELINS, l'école de l'image - DN MADE - Graphisme - - Spécialité : Design d'identité  (Seconde année en apprentissage)", "DN MADE", "- Spécialité : Design d'identité", 16, 652, 395, 652, 0, 285, 32, 83, 11, 93, 22, 191, 0, 0, 0, 0, 0, 114, 0, 0, 0, 63, 3, 25, 0, 15, 4, 11, 40, 16, 13, 16, 0, 7.0, 16.0, 16.0, 0, 0, 14, 4, 6, 4, 2, 0, 0, 2, 7, 5, 0.0, 4, 6, 4, 0, 0, 1, 8, 43.75, 100.0, 100.0, 81.296875, 7.099609375, 57.09375, 0, 0.0, 87.5, 0.0, 0.0, 14.298828125, 50.0, 35.7, 0.0, 28.59765625, 28.59765625, 42.8984375, 42.8984375, 28.59765625, 28.59765625, 20.0, 0.0, 5.0, 1.0, 4.0, "Tous les candidats", 52.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "24358", "DN MADE - Graphisme - - Spécialité : Design d'identité  (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24358&g_ta_cod=24358", 38.0, 38.0, 25.0),
(400, "Privé sous contrat d'association", "0922116A", "Institut de travail social et de recherches sociales", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Montrouge", "formation sélective", "EFTS", "Institut de travail social et de recherches sociales - D.E Assistant de Service Social", "D.E secteur social", "", 18, 140, 121, 88, 0, 20, 4, 7, 0, 10, 2, 51, 52, 2, 2, 4, 44, 77, 5, 0, 0, 20, 4, 5, 0, 9, 2, 43, 57, 17, 17, 13, 4, 3.0, 13.0, 17.0, 0, 1, 5, 1, 1, 3, 12, 0, 2, 2, 0, 1, 0.0, 1, 0, 2, 0, 0, 3, 4, 17.65, 76.47, 100.0, 100.0, 60.0, 80.0, 0, 20.0, 29.3984375, 0.0, 40.0, 40.0, 0.0, 20.0, 0.0, 20.0, 20.0, 20.0, 0.0, 60.0, 40.0, 13.0, 2.0, 9.0, 2.0, 30.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 88.0, "25302", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23561&g_ta_cod=25302", 41.0, 24.0, 35.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(401, "Public", "0590119J", "Lycée Faidherbe", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Faidherbe - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 2244, 802, 2244, 1687, 1848, 200, 1, 0, 0, 0, 395, 0, 0, 0, 0, 0, 1252, 0, 1029, 1224, 1240, 104, 0, 0, 0, 0, 12, 507, 92, 34, 92, 0, 15.0, 67.0, 89.0, 46, 5, 92, 92, 0, 0, 0, 1, 0, 0, 12, 50, 29.0, 91, 0, 0, 2, 2, 69, 69, 16.3, 72.83, 96.74, 37.0, 75.0, 75.0, 2.19970703125, 5.3994140625, 100.0, 1.099853515625, 0.0, 0.0, 13.0, 54.3, 31.5, 100.0, 98.890625, 0.0, 0.0, 0.0, 0.0, 504.0, 41.0, 0.0, 0.0, 3.0, "Tous les candidats", 682.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "6781", "CPGE - PCSI", "", "", 100.0, 0.0, 0.0),
(402, "Privé sous contrat d'association", "0840082H", "Lycée professionnel Vincent De Paul", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "Autre formation", "Lycée professionnel Vincent De Paul - CPES - Arts", "Classe préparatoire aux études supérieures", "", 24, 17, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 17, 3, 1, 2, 11, 0, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 6, 4, 0, 6, 0.0, 0.0, 3.0, 0, 1, 3, 2, 1, 0, 3, 0, 2, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 50.0, 66.6875, 0.0, 0.0, 0, 33.296875, 50.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 4.0, 1.0, 2.0, 0.0, 7.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34923", "CPES - Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34923&g_ta_cod=34923", 50.0, 33.0, 17.0),
(403, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Espagnol", "Licence - Arts-lettres-langues", "LLCER Espagnol", 80, 147, 120, 121, 0, 91, 28, 4, 2, 0, 0, 26, 26, 7, 3, 0, 16, 121, 26, 0, 0, 91, 28, 4, 2, 0, 0, 26, 147, 13, 12, 11, 2, 10.0, 10.0, 12.0, 0, 3, 9, 9, 0, 0, 4, 0, 2, 2, 5, 0, 0.0, 7, 0, 0, 0, 0, 7, 7, 76.92, 76.92, 92.31, 92.296875, 77.796875, 77.796875, 0, 33.296875, 69.1875, 0.0, 22.19921875, 22.19921875, 55.59375, 0.0, 0.0, 100.0, 77.796875, 0.0, 0.0, 0.0, 0.0, 98.0, 32.0, 0.0, 0.0, 42.0, "Tous les candidats", 121.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "3868", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28002&g_ta_cod=3868", 92.0, 8.0, 0.0),
(404, "Public", "0860021F", "Lycée Guy Chauvet", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Loudun", "formation sélective", "BTS", "Lycée Guy Chauvet - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 24, 224, 21, 196, 0, 21, 4, 63, 13, 62, 15, 50, 28, 1, 0, 8, 19, 146, 6, 0, 0, 21, 4, 55, 10, 58, 14, 12, 101, 18, 2, 16, 1, 3.0, 15.0, 16.0, 0, 6, 16, 1, 7, 8, 2, 0, 8, 7, 1, 0, 0.0, 1, 3, 4, 2, 0, 13, 13, 16.67, 83.33, 88.89, 11.099609375, 81.296875, 81.296875, 12.5, 37.5, 88.890625, 0.0, 50.0, 43.796875, 6.2998046875, 0.0, 0.0, 6.2998046875, 6.2998046875, 43.796875, 18.796875, 50.0, 25.0, 11.0, 2.0, 51.0, 14.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 63.0, "10579", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10579&g_ta_cod=10579", 11.0, 44.0, 44.0),
(405, "Public", "0570058D", "Lycée Louis Vincent", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "CPGE", "Lycée Louis Vincent - CPGE - TSI", "Classe préparatoire scientifique", "", 30, 238, 42, 238, 145, 0, 0, 183, 45, 0, 0, 55, 0, 0, 0, 0, 0, 191, 0, 116, 162, 0, 0, 156, 36, 0, 0, 35, 60, 31, 6, 31, 0, 15.0, 31.0, 31.0, 19, 10, 31, 0, 31, 0, 0, 0, 0, 9, 13, 9, 0.0, 0, 31, 0, 10, 3, 30, 30, 48.39, 100.0, 100.0, 19.3984375, 96.796875, 96.796875, 32.296875, 32.296875, 100.0, 0.0, 0.0, 29.0, 41.8984375, 29.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "6537", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6537&g_ta_cod=6537", 0.0, 100.0, 0.0),
(406, "Public", "0783533S", "Lycée Camille Claudel", "78", "Yvelines", "Ile-de-France", "Versailles", "Mantes-la-Ville", "formation sélective", "BTS", "Lycée Camille Claudel - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 910, 504, 543, 0, 21, 7, 133, 55, 160, 79, 229, 367, 12, 72, 97, 186, 165, 25, 0, 0, 17, 5, 61, 18, 64, 30, 23, 155, 28, 18, 19, 9, 11.0, 19.0, 24.0, 0, 4, 17, 2, 9, 6, 11, 0, 9, 7, 1, 0, 0.0, 0, 4, 4, 2, 1, 13, 14, 39.29, 67.86, 85.71, 64.296875, 76.5, 82.390625, 11.798828125, 23.5, 60.6953125, 0.0, 52.8984375, 41.1953125, 5.8994140625, 0.0, 0.0, 11.798828125, 0.0, 52.8984375, 23.5, 35.296875, 23.5, 19.0, 5.0, 53.0, 21.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 30.0, "10101", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10101&g_ta_cod=10101", 25.0, 32.0, 43.0),
(407, "Privé sous contrat d'association", "0593114P", "Lycée Saint-Paul", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Saint-Paul - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 701, 299, 701, 518, 624, 39, 0, 0, 0, 0, 77, 0, 0, 0, 0, 0, 453, 0, 360, 421, 452, 26, 0, 0, 0, 0, 1, 102, 22, 9, 22, 0, 3.0, 15.0, 22.0, 9, 1, 22, 22, 0, 0, 0, 0, 0, 1, 7, 12, 2.0, 22, 0, 0, 2, 1, 12, 12, 13.64, 68.18, 100.0, 40.8984375, 54.5, 54.5, 9.099609375, 4.5, 100.0, 0.0, 0.0, 4.5, 31.796875, 54.5, 9.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 102.0, 5.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "31579", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31310&g_ta_cod=31579", 100.0, 0.0, 0.0),
(408, "Public", "0060033D", "Lycée Honoré d'Estienne d'Orves (Beau-Site)", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Honoré d'Estienne d'Orves (Beau-Site) - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 20, 510, 454, 490, 0, 52, 14, 144, 52, 142, 65, 152, 20, 3, 0, 6, 11, 226, 3, 0, 0, 32, 7, 96, 35, 52, 22, 46, 126, 21, 20, 20, 1, 0.0, 13.0, 17.0, 0, 3, 16, 4, 7, 5, 5, 0, 7, 7, 2, 0, 0.0, 2, 2, 5, 1, 1, 16, 16, 0.0, 61.9, 80.95, 95.1875, 100.0, 100.0, 6.2998046875, 18.796875, 76.1875, 0.0, 43.796875, 43.796875, 12.5, 0.0, 0.0, 25.0, 12.5, 43.796875, 12.5, 31.296875, 31.296875, 27.0, 8.0, 35.0, 13.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 27.0, "2212", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2212&g_ta_cod=2212", 33.0, 43.0, 24.0),
(409, "Privé sous contrat d'association", "0370881G", "Lycée Marmoutier", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Marmoutier - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 18, 396, 253, 366, 0, 127, 16, 108, 13, 10, 1, 121, 30, 6, 3, 2, 19, 201, 16, 0, 0, 94, 10, 73, 5, 1, 0, 33, 118, 14, 5, 10, 4, 0.0, 7.0, 10.0, 0, 2, 10, 4, 6, 0, 4, 0, 5, 5, 0, 0, 0.0, 2, 3, 0, 2, 0, 6, 6, 0.0, 50.0, 71.43, 35.6953125, 60.0, 60.0, 20, 20.0, 71.390625, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 40.0, 20.0, 60.0, 30.0, 0.0, 0.0, 49.0, 6.0, 2.0, 0.0, 22.0, "Tous les candidats sauf les Bac professionnels", 156.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 43.0, "4903", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4903&g_ta_cod=4903", 43.0, 57.0, 0.0),
(410, "Public", "0750707L", "Ecole Nationale De Commerce", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "BTS", "Ecole Nationale De Commerce - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 1860, 1136, 1860, 0, 60, 19, 651, 308, 599, 328, 550, 0, 0, 0, 0, 0, 892, 0, 0, 0, 60, 19, 280, 126, 325, 200, 227, 134, 35, 30, 35, 0, 7.0, 32.0, 34.0, 0, 16, 30, 2, 14, 14, 5, 0, 6, 11, 11, 2, 0.0, 0, 11, 13, 0, 0, 8, 30, 20.0, 91.43, 97.14, 85.6875, 26.69921875, 100.0, 0, 53.296875, 85.6875, 0.0, 20.0, 36.6953125, 36.6953125, 6.7, 0.0, 6.69921875, 0.0, 46.6953125, 36.6953125, 46.6953125, 43.296875, 2.0, 1.0, 46.0, 29.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 93, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 10.0, "9157", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9157&g_ta_cod=9157", 6.0, 43.0, 51.0),
(411, "Public", "0310047H", "Lycée Ozenne", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Ozenne - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 70, 1198, 547, 1198, 0, 200, 66, 313, 131, 234, 139, 451, 0, 0, 0, 0, 0, 949, 0, 0, 0, 197, 64, 299, 123, 187, 105, 266, 296, 66, 40, 66, 0, 8.0, 59.0, 61.0, 0, 28, 48, 6, 14, 28, 18, 0, 13, 21, 12, 2, 0.0, 5, 10, 20, 1, 1, 43, 43, 12.12, 89.39, 92.42, 60.59375, 89.59375, 89.59375, 2.099609375, 58.296875, 72.6875, 0.0, 27.09765625, 43.796875, 25.0, 4.2, 0.0, 12.5, 10.3984375, 29.19921875, 20.796875, 58.296875, 41.6953125, 61.0, 23.0, 97.0, 58.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 108.0, "Bacheliers professionnels toutes séries", 134, "Bacheliers technologiques toutes séries", 141, "Liste d'appel propre à cette formation", 32.0, "4076", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4076&g_ta_cod=4076", 27.0, 27.0, 45.0),
(412, "Public", "0593584A", "Faculté de médecine Henri Warembourg - Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Faculté de médecine Henri Warembourg - Université de Lille - D.E Audioprothésiste", "D.E secteur sanitaire", "", 25, 350, 224, 350, 0, 115, 32, 12, 4, 3, 2, 220, 0, 0, 0, 0, 0, 311, 0, 0, 0, 114, 31, 12, 4, 3, 2, 182, 90, 25, 22, 25, 0, 2.0, 20.0, 23.0, 0, 2, 12, 12, 0, 0, 13, 0, 1, 3, 7, 1, 0.0, 11, 0, 0, 0, 0, 8, 8, 8.0, 80.0, 92.0, 88.0, 66.6875, 66.6875, 0, 16.69921875, 48.0, 0.0, 8.298828125, 25.0, 58.296875, 8.3, 0.0, 100.0, 91.6875, 0.0, 0.0, 0.0, 0.0, 40.0, 9.0, 0.0, 0.0, 50.0, "Tous les candidats", 106.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "28078", "D.E Audioprothésiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28078&g_ta_cod=28078", 100.0, 0.0, 0.0),
(413, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Gaston Berger - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 70, 1177, 547, 1084, 0, 155, 61, 276, 123, 212, 125, 441, 93, 0, 0, 57, 36, 740, 3, 0, 0, 148, 56, 240, 106, 137, 79, 215, 246, 58, 30, 56, 1, 20.0, 44.0, 53.0, 0, 23, 43, 6, 11, 26, 15, 0, 19, 11, 12, 1, 0.0, 0, 8, 16, 4, 2, 40, 40, 34.48, 75.86, 91.38, 51.6953125, 93.0, 93.0, 9.298828125, 53.5, 74.09375, 0.0, 44.1953125, 25.59765625, 27.8984375, 2.3, 0.0, 14.0, 0.0, 25.59765625, 18.59765625, 60.5, 37.1953125, 37.0, 14.0, 120.0, 63.0, 49.0, "Tous les candidats sauf les Bac professionnels", 261.0, "Bacheliers professionnels toutes séries", 139, "", 0, "Liste d'appel propre à cette formation", 37.0, "6872", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6872&g_ta_cod=6872", 28.0, 28.0, 45.0),
(414, "Public", "0290013G", "Lycée Jules Lesven", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Jules Lesven - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 761, 361, 681, 0, 88, 18, 177, 44, 74, 36, 342, 80, 11, 2, 21, 46, 296, 13, 0, 0, 67, 13, 134, 26, 39, 16, 56, 172, 30, 10, 26, 4, 4.0, 19.0, 28.0, 0, 6, 20, 1, 12, 7, 10, 0, 9, 6, 5, 0, 0.0, 0, 4, 7, 1, 0, 18, 18, 13.33, 63.33, 93.33, 33.296875, 90.0, 90.0, 5, 30.0, 66.6875, 0.0, 45.0, 30.0, 25.0, 0.0, 0.0, 5.0, 0.0, 60.0, 20.0, 35.0, 35.0, 29.0, 6.0, 37.0, 16.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 90.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 152, "Liste d'appel propre à cette formation", 41.0, "3777", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3777&g_ta_cod=3777", 17.0, 57.0, 27.0),
(415, "Public", "0311086M", "I.U.T de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BUT", "I.U.T de Toulouse - BUT - Information communication Parcours information numérique dans les organisations", "BUT - Service", "", 40, 1253, 774, 1253, 0, 645, 122, 281, 87, 9, 4, 318, 0, 0, 0, 0, 0, 1012, 0, 0, 0, 539, 103, 221, 68, 0, 0, 252, 239, 42, 34, 42, 0, 0.0, 27.0, 37.0, 0, 8, 26, 10, 16, 0, 16, 0, 2, 18, 6, 0, 0.0, 10, 14, 0, 0, 0, 16, 16, 0.0, 64.29, 88.1, 81.0, 61.5, 61.5, 0, 30.796875, 61.8984375, 0.0, 7.69921875, 69.1875, 23.09765625, 0.0, 0.0, 38.5, 38.5, 61.5, 53.796875, 0.0, 0.0, 91.0, 23.0, 0.0, 0.0, 49.0, "Tous les candidats sauf les Bac technologiques", 199.0, "Bacheliers technologiques toutes séries", 142, "", 0, "Liste d'appel propre à cette formation", 27.0, "4102", "BUT - Information communication Parcours information numérique dans les organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4102&g_ta_cod=4102", 57.0, 43.0, 0.0),
(416, "Public", "0450051L", "Lycée BENJAMIN FRANKLIN", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "CPGE", "Lycée BENJAMIN FRANKLIN - CPGE - TSI", "Classe préparatoire scientifique", "", 48, 265, 24, 259, 166, 0, 0, 218, 50, 0, 0, 41, 6, 0, 4, 0, 2, 201, 3, 134, 187, 0, 0, 184, 37, 0, 0, 17, 172, 33, 3, 31, 2, 12.0, 31.0, 33.0, 12, 5, 24, 0, 24, 0, 9, 0, 1, 9, 8, 4, 2.0, 0, 23, 0, 5, 0, 22, 22, 36.36, 93.94, 100.0, 9.099609375, 91.6875, 91.6875, 20.796875, 20.796875, 72.6875, 0.0, 4.19921875, 37.5, 33.296875, 16.7, 8.3, 0.0, 0.0, 100.0, 95.796875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 18.0, "Tous les candidats", 201.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "20373", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20373&g_ta_cod=20373", 0.0, 100.0, 0.0),
(417, "Public", "0590010R", "Lycée Paul Hazard", "59", "Nord", "Hauts-de-France", "Lille", "Armentières", "formation sélective", "BTS", "Lycée Paul Hazard - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 424, 224, 424, 0, 37, 18, 76, 42, 76, 47, 235, 0, 0, 0, 0, 0, 241, 0, 0, 0, 35, 16, 74, 40, 76, 47, 56, 92, 19, 10, 19, 0, 5.0, 16.0, 17.0, 0, 12, 17, 0, 3, 14, 2, 0, 7, 7, 2, 1, 0.0, 0, 0, 10, 0, 0, 17, 17, 26.32, 84.21, 89.47, 52.59375, 100.0, 100.0, 0, 70.59375, 89.5, 0.0, 41.1953125, 41.1953125, 11.798828125, 5.9, 0.0, 0.0, 0.0, 17.59765625, 0.0, 82.390625, 58.796875, 13.0, 5.0, 46.0, 27.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 32.0, "6707", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6707&g_ta_cod=6707", 5.0, 21.0, 74.0),
(418, "Public", "0672734H", "Centre Régional Associé au CNAM", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Centre Régional Associé au CNAM - Formation Supérieure de Spécialisation - Informatique - intégration web", "Diplôme d'Université", "Informatique - intégration web", 15, 113, 24, 65, 0, 18, 3, 9, 4, 7, 2, 31, 48, 5, 7, 5, 31, 52, 15, 0, 0, 18, 3, 9, 4, 7, 2, 18, 64, 10, 1, 2, 6, 1.0, 2.0, 7.0, 0, 3, 4, 1, 2, 1, 6, 0, 4, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 10.0, 20.0, 70.0, 10.0, 75.0, 75.0, 0, 75.0, 40.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 50.0, 0.0, 25.0, 0.0, 12.0, 3.0, 12.0, 4.0, 27.0, "Tous les candidats", 52.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "33921", "Formation Supérieure de Spécialisation - Informatique - intégration web", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33921&g_ta_cod=33921", 40.0, 40.0, 20.0),
(419, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences humaines et sociales", "", 330, 6073, 1599, 6073, 0, 3429, 552, 633, 135, 183, 61, 1828, 0, 0, 0, 0, 0, 6073, 0, 0, 0, 3429, 552, 633, 135, 183, 61, 1828, 1220, 321, 86, 320, 0, 38.0, 213.0, 261.0, 0, 46, 173, 126, 28, 19, 148, 0, 58, 69, 33, 13, 0.0, 84, 17, 14, 0, 0, 47, 162, 11.84, 66.36, 81.31, 26.796875, 27.19921875, 93.59375, 0, 26.59765625, 53.8984375, 0.0, 33.5, 39.8984375, 19.09765625, 7.5, 0.0, 72.796875, 48.59375, 16.19921875, 9.798828125, 11.0, 8.099609375, 510.0, 121.0, 39.0, 19.0, 613.0, "Tous les candidats", 1501.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "9319", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28108&g_ta_cod=9319", 79.0, 14.0, 7.0),
(420, "Privé sous contrat d'association", "0370749N", "Lycée Sainte Marguerite", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Chambray-lès-Tours", "formation sélective", "Autre formation", "Lycée Sainte Marguerite - DN MADE - Événement - - Spécialité : Espace de communication et événementiel / Graphisme ? Numérique", "DN MADE", "- Spécialité : Espace de communication et événementiel / Graphisme ? Numérique", 15, 324, 264, 324, 0, 101, 11, 94, 18, 50, 9, 79, 0, 0, 0, 0, 0, 204, 0, 0, 0, 59, 5, 64, 13, 29, 5, 52, 64, 17, 17, 17, 0, 3.0, 15.0, 15.0, 0, 0, 9, 5, 3, 1, 8, 0, 0, 4, 4, 1, 0.0, 5, 3, 1, 0, 0, 5, 5, 17.65, 88.24, 88.24, 100.0, 55.59375, 55.59375, 0, 0.0, 52.8984375, 0.0, 0.0, 44.3984375, 44.3984375, 11.1, 0.0, 55.59375, 55.59375, 33.296875, 33.296875, 11.099609375, 11.099609375, 17.0, 0.0, 7.0, 0.0, 15.0, "Tous les candidats", 88.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "25313", "DN MADE - Événement - - Spécialité : Espace de communication et événementiel / Graphisme ? Numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25313&g_ta_cod=25313", 59.0, 18.0, 24.0),
(421, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Portail Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 182, 1393, 1206, 1380, 0, 764, 155, 146, 43, 26, 14, 444, 13, 3, 0, 0, 10, 1380, 13, 0, 0, 764, 155, 146, 43, 26, 14, 444, 756, 178, 150, 169, 9, 24.0, 129.0, 157.0, 0, 34, 112, 90, 17, 5, 66, 0, 48, 40, 15, 9, 0.0, 51, 9, 4, 0, 0, 51, 51, 13.48, 72.47, 88.2, 84.296875, 45.5, 45.5, 0, 30.3984375, 62.8984375, 0.0, 42.8984375, 35.6953125, 13.3984375, 8.0, 0.0, 80.390625, 45.5, 15.19921875, 8.0, 4.5, 3.599609375, 437.0, 85.0, 14.0, 8.0, 230.0, "Tous les candidats", 1031.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 69.0, "16695", "Licence - Portail Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31206&g_ta_cod=16695", 73.0, 20.0, 7.0),
(422, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 300, 1699, 1267, 1699, 0, 1149, 258, 166, 48, 39, 18, 345, 0, 0, 0, 0, 0, 1695, 0, 0, 0, 1149, 258, 166, 48, 39, 18, 341, 1695, 326, 240, 326, 0, 318.0, 320.0, 322.0, 0, 60, 240, 201, 27, 12, 86, 0, 130, 86, 20, 4, 0.0, 90, 13, 7, 0, 0, 204, 204, 97.55, 98.16, 98.77, 73.59375, 85.0, 85.0, 0, 25.0, 73.59375, 0.0, 54.1953125, 35.796875, 8.298828125, 1.7, 0.0, 83.796875, 37.5, 11.298828125, 5.3994140625, 5.0, 2.89990234375, 1149.0, 258.0, 39.0, 18.0, 341.0, "Tous les candidats", 1696.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4886", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4886&g_ta_cod=4886", 78.0, 13.0, 8.0),
(423, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence_Las", "Université Côte d'Azur - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 40, 2221, 1590, 2221, 0, 1396, 255, 80, 20, 2, 1, 743, 0, 0, 0, 0, 0, 2187, 0, 0, 0, 1396, 255, 80, 20, 2, 1, 709, 377, 34, 23, 34, 0, 0.0, 11.0, 24.0, 0, 6, 24, 24, 0, 0, 10, 0, 0, 6, 11, 7, 0.0, 24, 0, 0, 0, 0, 24, 24, 0.0, 32.35, 70.59, 67.59375, 100.0, 100.0, 0, 25.0, 70.59375, 0.0, 0.0, 25.0, 45.796875, 29.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 273.0, 36.0, 0.0, 0.0, 104.0, "Tous les candidats", 751.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "27214", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27213&g_ta_cod=27214", 100.0, 0.0, 0.0),
(424, "Public", "0763381M", "Sciences Po - campus du Havre - Institut d'études politiques", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Autre formation", "Sciences Po - campus du Havre, de Menton ou de Reims - Hong Kong University - Double diplôme Sciences Po - Hong Kong University", "Sciences politiques", "Double diplôme Sciences Po - Hong Kong University", 7, 58, 39, 58, 0, 58, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0, 7, 3, 2, 3, 0, 0.0, 3.0, 3.0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 1, 2.0, 3, 0, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 66.6875, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 33.3, 66.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 7.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "32574", "Double diplôme Sciences Po - Hong Kong University", "Sciences Po - campus du Havre, de Menton ou de Reims - Hong Kong University", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32573&g_ta_cod=32574", 100.0, 0.0, 0.0),
(425, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence_Las", "Université de Lille - Licence - Portail SESI : chimie-électronique,énergie électrique, automatique (EEEA)-génie civil-informatique-mathématiques-mécanique-physique-physique/chimie", "Licence - Sciences - technologies - santé", "SESI : chimie-électronique,énergie électrique, automatique (EEEA)-génie civil-informatique-mathématiques-mécanique-physique-physique/chimie", 70, 1055, 370, 1010, 0, 653, 134, 16, 8, 2, 1, 339, 45, 12, 4, 0, 29, 1010, 37, 0, 0, 653, 134, 16, 8, 2, 1, 339, 697, 64, 19, 42, 22, 1.0, 35.0, 43.0, 0, 10, 32, 28, 4, 0, 32, 1, 15, 10, 6, 0, 0.0, 16, 0, 0, 0, 0, 24, 24, 1.56, 54.69, 67.19, 29.69921875, 75.0, 75.0, 0, 31.296875, 50.0, 3.099609375, 46.8984375, 31.296875, 18.796875, 0.0, 0.0, 87.5, 50.0, 12.5, 0.0, 0.0, 0.0, 449.0, 90.0, 1.0, 0.0, 235.0, "Tous les candidats", 3363.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28889", "Licence - Portail SESI : chimie-électronique,énergie électrique, automatique (EEEA)-génie civil-informatique-mathématiques-mécanique-physique-physique/chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27164&g_ta_cod=28889", 89.0, 9.0, 2.0),
(426, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Licence", "Université Grenoble Alpes  - Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Double licence : anglais/italien", "Licence - Arts-lettres-langues", "Double licence : anglais/italien", 10, 85, 71, 66, 0, 47, 4, 3, 1, 1, 1, 15, 19, 2, 4, 1, 12, 43, 2, 0, 0, 35, 2, 0, 0, 0, 0, 8, 34, 8, 8, 8, 0, 0.0, 8.0, 8.0, 0, 0, 8, 8, 0, 0, 0, 0, 0, 3, 3, 2, 0.0, 8, 0, 0, 0, 0, 5, 5, 0.0, 100.0, 100.0, 100.0, 62.5, 62.5, 0, 0.0, 100.0, 0.0, 0.0, 37.5, 37.5, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 27.0, 2.0, 0.0, 0.0, 7.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "17991", "Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Double licence : anglais/italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17991&g_ta_cod=17991", 100.0, 0.0, 0.0),
(427, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "Université Angers - C.M.I - Cursus Master en Ingénierie - Sciences de la vie et de la terre - Cursus Master en Ingénierie : Chimie Environnement (CE)", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie : Chimie Environnement (CE)", 15, 237, 127, 107, 0, 69, 8, 1, 0, 1, 0, 36, 130, 67, 3, 0, 60, 36, 5, 0, 0, 26, 1, 0, 0, 0, 0, 10, 38, 6, 4, 5, 1, 3.0, 5.0, 6.0, 0, 1, 5, 5, 0, 0, 1, 0, 0, 2, 3, 0, 0.0, 5, 0, 0, 0, 0, 3, 3, 50.0, 83.33, 100.0, 66.6875, 60.0, 60.0, 0, 20.0, 83.296875, 0.0, 0.0, 40.0, 60.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 27.0, 2.0, 0.0, 0.0, 11.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "15534", "C.M.I - Cursus Master en Ingénierie - Sciences de la vie et de la terre - Cursus Master en Ingénierie : Chimie Environnement (CE)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15534&g_ta_cod=15534", 100.0, 0.0, 0.0),
(428, "Public", "0941775U", "IFSI Bicetre (AP-HP)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Le Kremlin-Bicêtre", "formation sélective", "IFSI", "Regroupement d'IFSI Université Paris Sud (P11) - D.E Infirmier", "D.E secteur sanitaire", "", 199, 6444, 5623, 6444, 0, 688, 197, 972, 401, 875, 442, 3909, 0, 0, 0, 0, 0, 5105, 0, 0, 0, 681, 193, 807, 318, 659, 331, 2958, 988, 211, 172, 211, 0, 16.0, 133.0, 197.0, 0, 36, 91, 40, 10, 41, 120, 0, 13, 39, 28, 9, 2.0, 29, 10, 39, 0, 0, 40, 81, 7.58, 63.03, 93.36, 81.5, 44.0, 89.0, 0, 39.59375, 43.09375, 0.0, 14.298828125, 42.8984375, 30.796875, 9.9, 2.2, 44.0, 31.8984375, 11.0, 11.0, 45.09375, 42.8984375, 212.0, 72.0, 137.0, 77.0, 608.0, "Tous les candidats", 2435.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "23061", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23011&g_ta_cod=23061", 64.0, 9.0, 26.0),
(429, "Public", "0595964M", "Université du littoral - Site de Dunkerque", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "Autre formation", "Université du littoral - Diplôme d'Université - PAREO - DU Avenir", "Diplôme d'Université", "DU Avenir", 40, 66, 34, 36, 0, 14, 3, 17, 10, 3, 1, 2, 30, 10, 5, 5, 10, 36, 20, 0, 0, 14, 3, 17, 10, 3, 1, 2, 82, 28, 12, 9, 12, 6.0, 9.0, 16.0, 0, 8, 23, 9, 9, 5, 5, 0, 12, 10, 1, 0, 0.0, 4, 4, 3, 0, 0, 23, 23, 21.43, 32.14, 57.14, 42.8984375, 100.0, 100.0, 0, 34.796875, 82.09375, 0.0, 52.1953125, 43.5, 4.2998046875, 0.0, 0.0, 39.09375, 17.3984375, 39.09375, 17.3984375, 21.69921875, 13.0, 34.0, 7.0, 10.0, 3.0, 8.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "32892", "Diplôme d'Université - PAREO - DU Avenir", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32892&g_ta_cod=32892", 43.0, 36.0, 21.0),
(430, "Public", "0890045R", "Lycée agricole Auxerre-La-Brosse", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Venoy", "formation sélective", "BTS", "Lycée agricole Auxerre-La-Brosse - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 29, 235, 144, 216, 0, 50, 13, 66, 18, 10, 2, 90, 19, 1, 3, 8, 7, 140, 9, 0, 0, 50, 13, 57, 15, 10, 2, 23, 116, 25, 16, 21, 3, 7.0, 19.0, 22.0, 0, 4, 19, 8, 8, 3, 6, 0, 8, 10, 1, 0, 0.0, 5, 3, 3, 2, 1, 13, 13, 28.0, 76.0, 88.0, 64.0, 68.390625, 68.390625, 10.5, 21.09765625, 76.0, 0.0, 42.09375, 52.59375, 5.2998046875, 0.0, 0.0, 42.09375, 26.296875, 42.09375, 15.798828125, 15.798828125, 15.798828125, 42.0, 11.0, 11.0, 2.0, 22.0, "Tous les candidats sauf les Bac professionnels", 130.0, "Bacheliers professionnels toutes séries", 9, "", 0, "Liste d'appel propre à cette formation", 64.0, "10778", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10778&g_ta_cod=10778", 40.0, 48.0, 12.0),
(431, "Public", "0641823J", "Lycée des Métiers - Hôtelier et de Tourisme", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Biarritz", "formation sélective", "Autre formation", "Lycée des Métiers - Hôtelier et de Tourisme - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 345, 185, 345, 0, 126, 20, 57, 11, 18, 3, 144, 0, 0, 0, 0, 0, 278, 0, 0, 0, 122, 18, 55, 9, 17, 2, 84, 145, 23, 11, 23, 0, 9.0, 21.0, 22.0, 0, 5, 18, 11, 6, 1, 5, 0, 9, 7, 2, 0, 0.0, 7, 2, 0, 0, 0, 11, 11, 39.13, 91.3, 95.65, 47.796875, 61.09375, 61.09375, 0, 27.796875, 78.296875, 0.0, 50.0, 38.8984375, 11.099609375, 0.0, 0.0, 61.09375, 38.8984375, 33.296875, 11.099609375, 5.599609375, 0.0, 78.0, 11.0, 11.0, 0.0, 26.0, "Tous les candidats", 180.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "7789", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7789&g_ta_cod=7789", 65.0, 30.0, 4.0),
(432, "Privé sous contrat d'association", "0802184P", "APRADIS - Site Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "EFTS", "APRADIS - Site Amiens - D.E Assistant de Service Social", "D.E secteur social", "", 32, 111, 102, 111, 0, 25, 6, 25, 3, 9, 1, 52, 0, 0, 0, 0, 0, 75, 0, 0, 0, 19, 4, 14, 2, 5, 1, 37, 70, 38, 36, 38, 0, 28.0, 38.0, 38.0, 0, 3, 15, 6, 6, 3, 23, 0, 6, 7, 2, 0, 0.0, 3, 3, 3, 0, 0, 11, 11, 73.68, 100.0, 100.0, 94.6875, 73.296875, 73.296875, 0, 20.0, 39.5, 0.0, 40.0, 46.6953125, 13.298828125, 0.0, 0.0, 40.0, 20.0, 40.0, 20.0, 20.0, 20.0, 17.0, 4.0, 5.0, 1.0, 35.0, "Tous les candidats", 81.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 68.0, "25238", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25205&g_ta_cod=25238", 45.0, 34.0, 21.0),
(433, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Histoire de l'art et archéologie - Parcours Histoire de l'art et archéologie - A distance", "Licence - Sciences humaines et sociales", "Histoire de l'art et archéologie - A distance", 70, 633, 470, 633, 0, 112, 28, 12, 3, 9, 3, 500, 0, 0, 0, 0, 0, 633, 0, 0, 0, 112, 28, 12, 3, 9, 3, 500, 146, 70, 61, 70, 0, 40.0, 68.0, 68.0, 0, 1, 5, 4, 1, 0, 65, 1, 1, 0, 0, 3, 0.0, 2, 1, 0, 0, 0, 0, 0, 57.14, 97.14, 97.14, 87.09375, 0.0, 0.0, 0, 20.0, 7.099609375, 20.0, 20.0, 0.0, 0.0, 60.0, 0.0, 80.0, 40.0, 20.0, 20.0, 0.0, 0.0, 21.0, 6.0, 0.0, 0.0, 122.0, "Tous les candidats", 163.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "29386", "Licence - Histoire de l'art et archéologie - Parcours Histoire de l'art et archéologie - A distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29386&g_ta_cod=29386", 86.0, 11.0, 3.0),
(434, "Public", "0250010A", "Lycée Louis Pergaud", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Louis Pergaud - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 667, 106, 667, 0, 82, 12, 111, 35, 116, 41, 358, 0, 0, 0, 0, 0, 216, 0, 0, 0, 63, 8, 54, 16, 58, 21, 41, 115, 35, 3, 35, 0, 13.0, 32.0, 35.0, 0, 8, 24, 6, 9, 9, 11, 0, 3, 13, 4, 4, 0.0, 3, 9, 9, 0, 0, 19, 19, 37.14, 91.43, 100.0, 8.599609375, 79.1875, 79.1875, 0, 33.296875, 68.59375, 0.0, 12.5, 54.1953125, 16.69921875, 16.7, 0.0, 25.0, 12.5, 37.5, 37.5, 37.5, 37.5, 42.0, 7.0, 17.0, 4.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 82.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 22.0, "3466", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3466&g_ta_cod=3466", 37.0, 31.0, 31.0),
(435, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Double diplôme - Licence Langues, littératures & civilisations étrangères et régionales - LLCER Allemand Parcours bidisciplinaire binational franco-allemand : Allemand-Anglais / Allemand-Histoire / Allemand-Lettres / Allemand-Philosophie", "Licence - Arts-lettres-langues", "LLCER Allemand Parcours bidisciplinaire binational franco-allemand : Allemand-Anglais / Allemand-Histoire / Allemand-Lettres / Allemand-Philosophie", 30, 71, 54, 58, 0, 49, 4, 1, 1, 0, 0, 8, 13, 1, 0, 1, 11, 43, 2, 0, 0, 37, 2, 0, 0, 0, 0, 6, 45, 8, 7, 8, 0, 7.0, 8.0, 8.0, 0, 1, 8, 8, 0, 0, 0, 1, 0, 0, 5, 2, 0.0, 7, 0, 0, 0, 0, 2, 2, 87.5, 100.0, 100.0, 87.5, 25.0, 25.0, 0, 12.5, 100.0, 12.5, 0.0, 0.0, 62.5, 25.0, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 38.0, 2.0, 0.0, 0.0, 7.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "19496", "Licence - Double diplôme - Licence Langues, littératures & civilisations étrangères et régionales - LLCER Allemand Parcours bidisciplinaire binational franco-allemand : Allemand-Anglais / Allemand-Histoire / Allemand-Lettres / Allemand-Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19496&g_ta_cod=19496", 100.0, 0.0, 0.0),
(436, "Public", "0691860X", "IUT Lyon1 Site de Villeurbanne Gratte-Ciel", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "BUT", "IUT Lyon1 Site de Villeurbanne Gratte-Ciel - BUT - Techniques de commercialisation Parcours : Business développement et management de la relation client - Business international : achat et vente - Marketing digital, e-business et entrepreneuriat - Stratégie de marque et événementiel", "BUT - Service", "Business développement et management de la relation client - Business international : achat et vente - Marketing digital, e-business et entrepreneuriat - Stratégie de marque et événementiel", 224, 9715, 5228, 9715, 0, 5367, 863, 2857, 765, 127, 51, 1364, 0, 0, 0, 0, 0, 3832, 0, 0, 0, 1824, 232, 1845, 422, 50, 21, 113, 950, 216, 150, 216, 0, 31.0, 181.0, 212.0, 0, 39, 211, 104, 107, 0, 5, 0, 1, 52, 131, 26, 1.0, 104, 106, 0, 0, 0, 87, 87, 14.35, 83.8, 98.15, 69.390625, 41.1953125, 41.1953125, 0, 18.5, 97.6875, 0.0, 0.5, 24.59765625, 62.09375, 12.3, 0.5, 49.296875, 49.296875, 50.6953125, 50.1953125, 0.0, 0.0, 531.0, 94.0, 0.0, 0.0, 17.0, "Tous les candidats sauf les Bac technologiques", 1097.0, "Bacheliers technologiques toutes séries", 628, "", 0, "Liste d'appel propre à cette formation", 18.0, "8493", "BUT - Techniques de commercialisation Parcours : Business développement et management de la relation client - Business international : achat et vente - Marketing digital, e-business et entrepreneuriat - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8493&g_ta_cod=8493", 50.0, 50.0, 0.0),
(437, "Public", "0130201Y", "Aix-Marseille Université - Site de Marseille Luminy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  9e  Arrondissement", "formation non sélective", "Licence", "Aix-Marseille Université - Portail Louis Pasteur - Licence - Portail Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales", "Licence - Sciences - technologies - santé", "Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales - site de Luminy", 345, 3979, 2714, 3940, 0, 2251, 448, 222, 73, 14, 9, 1453, 39, 5, 2, 1, 31, 3896, 33, 0, 0, 2251, 448, 222, 73, 14, 9, 1409, 2841, 340, 210, 319, 20, 87.0, 204.0, 270.0, 0, 47, 231, 215, 15, 1, 109, 2, 46, 109, 64, 9, 1.0, 171, 12, 0, 0, 0, 155, 155, 25.59, 60.0, 79.41, 61.796875, 67.09375, 67.09375, 0, 20.296875, 67.890625, 0.89990234375, 19.8984375, 47.1953125, 27.69921875, 3.9, 0.4, 93.09375, 74.0, 6.5, 5.19921875, 0.39996337890625, 0.0, 1730.0, 358.0, 2.0, 1.0, 1012.0, "Tous les candidats", 4756.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 79.0, "23305", "Licence - Portail Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12615&g_ta_cod=23305", 90.0, 9.0, 1.0),
(438, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation non sélective", "PASS", "Université Sorbonne Paris Nord - Antenne de Bobigny - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 30, 5051, 3086, 5051, 0, 3753, 842, 143, 56, 32, 16, 1123, 0, 0, 0, 0, 0, 5049, 0, 0, 0, 3753, 842, 143, 56, 32, 16, 1121, 327, 30, 14, 30, 0, 9.0, 12.0, 27.0, 0, 7, 21, 21, 0, 0, 9, 0, 0, 5, 15, 1, 0.0, 21, 0, 0, 0, 0, 12, 21, 30.0, 40.0, 90.0, 46.6953125, 57.09375, 100.0, 0, 33.296875, 70.0, 0.0, 0.0, 23.796875, 71.390625, 4.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 309.0, 77.0, 0.0, 0.0, 18.0, "Tous les candidats", 2851.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "28688", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28682&g_ta_cod=28688", 100.0, 0.0, 0.0),
(439, "Privé sous contrat d'association", "0290170C", "Lycée Le Likès", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Le Likès - BTS - Services - Commerce International", "BTS - Services", "", 35, 530, 271, 526, 0, 156, 24, 208, 27, 52, 11, 110, 4, 0, 0, 2, 2, 367, 0, 0, 0, 139, 23, 157, 18, 16, 3, 55, 182, 34, 15, 34, 0, 10.0, 28.0, 32.0, 0, 6, 29, 11, 15, 3, 5, 0, 6, 18, 5, 0, 0.0, 8, 12, 3, 1, 0, 29, 29, 29.41, 82.35, 94.12, 44.09375, 100.0, 100.0, 3.39990234375, 20.69921875, 85.296875, 0.0, 20.69921875, 62.09375, 17.19921875, 0.0, 0.0, 37.8984375, 27.59765625, 51.6953125, 41.3984375, 10.298828125, 10.298828125, 82.0, 14.0, 15.0, 3.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 121.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 87, "Liste d'appel propre à cette formation", 42.0, "3815", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3815&g_ta_cod=3815", 44.0, 47.0, 9.0),
(440, "Public", "0800009A", "Lycée Louis Thuillier", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "CPGE", "Lycée Louis Thuillier - CPGE - BCPST", "Classe préparatoire scientifique", "", 96, 1453, 1019, 1453, 995, 1107, 144, 4, 1, 2, 1, 340, 0, 0, 0, 0, 0, 925, 0, 692, 881, 859, 94, 0, 0, 0, 0, 66, 459, 96, 70, 96, 0, 5.0, 63.0, 85.0, 45, 17, 95, 95, 0, 0, 1, 0, 0, 29, 47, 19, 0.0, 95, 0, 0, 6, 5, 34, 34, 5.21, 65.63, 88.54, 72.890625, 35.796875, 35.796875, 6.2998046875, 17.8984375, 99.0, 0.0, 0.0, 30.5, 49.5, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 453.0, 52.0, 0.0, 0.0, 6.0, "Tous les candidats", 633.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "10153", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10153&g_ta_cod=10153", 100.0, 0.0, 0.0),
(441, "Public", "0442448X", "Centre de Ressources, d'Expertise et de Performance Sportive de Nantes (CREPS)", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "CREPS Pays de la Loire - Antenne de Nantes - BPJEPS - Activités de la forme", "BPJEPS", "", 4, 347, 52, 261, 0, 68, 15, 82, 13, 39, 13, 72, 86, 31, 24, 3, 28, 12, 0, 0, 0, 4, 2, 2, 0, 2, 1, 4, 12, 2, 0, 2, 0, 0.0, 2.0, 2.0, 0, 1, 2, 0, 1, 1, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 0.0, 50.0, 50.0, 0, 50.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 4.0, 2.0, 2.0, 1.0, 4.0, "Tous les candidats", 13.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 5.0, "27136", "BPJEPS - Activités de la forme", "CREPS Pays de la Loire - Antenne de Nantes", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23538&g_ta_cod=27136", 0.0, 50.0, 50.0),
(442, "Public", "0921399W", "Lycée Maurice Genevoix", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Montrouge", "formation sélective", "BTS", "Lycée Maurice Genevoix - BTS - Services - Professions immobilières", "BTS - Services", "", 32, 1964, 960, 1964, 0, 237, 63, 578, 200, 608, 305, 541, 0, 0, 0, 0, 0, 1242, 0, 0, 0, 201, 52, 374, 133, 400, 188, 267, 210, 31, 17, 31, 0, 1.0, 14.0, 22.0, 0, 13, 29, 6, 10, 13, 2, 0, 7, 15, 7, 0, 0.0, 3, 8, 11, 0, 0, 10, 29, 3.23, 45.16, 70.97, 54.796875, 34.5, 100.0, 0, 44.796875, 93.5, 0.0, 24.09765625, 51.6953125, 24.09765625, 0.0, 0.0, 20.69921875, 10.298828125, 34.5, 27.59765625, 44.796875, 37.8984375, 40.0, 11.0, 83.0, 38.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 131, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 14.0, "11117", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11117&g_ta_cod=11117", 19.0, 32.0, 48.0),
(443, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Langues étrangères appliquées - Parcours Anglais, Russe. Anglais non débutant et Russe débutant", "Licence - Arts-lettres-langues", "Anglais, Russe. Anglais non débutant et Russe débutant", 55, 281, 184, 213, 0, 133, 30, 10, 4, 4, 1, 66, 68, 16, 6, 4, 42, 213, 66, 0, 0, 133, 30, 10, 4, 4, 1, 66, 279, 55, 24, 35, 20, 35.0, 35.0, 47.0, 0, 9, 30, 24, 6, 0, 25, 0, 14, 9, 7, 0, 0.0, 14, 2, 0, 0, 0, 19, 19, 63.64, 63.64, 85.45, 43.59375, 63.296875, 63.296875, 0, 30.0, 54.5, 0.0, 46.6953125, 30.0, 23.296875, 0.0, 0.0, 80.0, 46.6953125, 20.0, 6.69921875, 0.0, 0.0, 149.0, 35.0, 8.0, 1.0, 106.0, "Tous les candidats", 213.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "23571", "Licence - Langues étrangères appliquées - Parcours Anglais, Russe. Anglais non débutant et Russe débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23571&g_ta_cod=23571", 76.0, 18.0, 4.0),
(444, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "Licence - Arts-lettres-langues", "Allemand", 30, 91, 73, 74, 0, 57, 24, 0, 0, 1, 1, 16, 17, 1, 2, 1, 13, 74, 17, 0, 0, 57, 24, 0, 0, 1, 1, 16, 89, 13, 10, 10, 3, 6.0, 10.0, 13.0, 0, 2, 8, 8, 0, 0, 5, 0, 2, 2, 2, 2, 0.0, 6, 0, 0, 0, 0, 6, 6, 46.15, 76.92, 100.0, 76.890625, 75.0, 75.0, 0, 25.0, 61.5, 0.0, 25.0, 25.0, 25.0, 25.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 57.0, 25.0, 2.0, 1.0, 28.0, "Tous les candidats", 74.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11917", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11917&g_ta_cod=11917", 100.0, 0.0, 0.0),
(445, "Privé sous contrat d'association", "0560180S", "Lycée Notre Dame De La Paix", "56", "Morbihan", "Bretagne", "Rennes", "Ploemeur", "formation sélective", "BTS", "Lycée Notre Dame De La Paix - BTS - Services - Commerce International", "BTS - Services", "", 35, 332, 160, 329, 0, 88, 15, 121, 14, 56, 14, 64, 3, 0, 0, 1, 2, 219, 1, 0, 0, 76, 14, 95, 11, 22, 7, 26, 134, 35, 17, 34, 1, 6.0, 27.0, 31.0, 0, 4, 25, 7, 14, 4, 10, 0, 8, 13, 3, 1, 0.0, 4, 9, 4, 4, 3, 24, 24, 17.14, 77.14, 88.57, 48.59375, 96.0, 96.0, 16, 16.0, 71.390625, 0.0, 32.0, 52.0, 12.0, 4.0, 0.0, 28.0, 16.0, 56.0, 36.0, 16.0, 16.0, 39.0, 8.0, 16.0, 6.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 85.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 58.0, "13698", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13698&g_ta_cod=13698", 43.0, 43.0, 14.0),
(446, "Public", "0672734H", "Centre Régional Associé au CNAM", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Centre Régional Associé au CNAM - Formation Supérieure de Spécialisation - Accompagnement à l?aide alimentaire", "Diplôme d'Université", "Accompagnement à l?aide alimentaire", 15, 14, 10, 4, 0, 1, 1, 0, 0, 0, 0, 3, 10, 2, 0, 1, 7, 2, 6, 0, 0, 1, 1, 0, 0, 0, 0, 1, 56, 9, 7, 1, 3, 1.0, 1.0, 4.0, 0, 0, 5, 2, 2, 1, 4, 0, 3, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 5, 5, 11.11, 11.11, 44.44, 77.796875, 100.0, 100.0, 0, 0.0, 55.59375, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 40.0, 40.0, 40.0, 0.0, 20.0, 0.0, 13.0, 1.0, 16.0, 3.0, 10.0, "Tous les candidats", 2.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "33919", "Formation Supérieure de Spécialisation - Accompagnement à l?aide alimentaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33919&g_ta_cod=33919", 33.0, 44.0, 22.0),
(447, "Public", "0840003X", "Lycée Frédéric Mistral", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "CPGE", "Lycée Frédéric Mistral - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 481, 335, 460, 271, 385, 48, 1, 1, 3, 1, 71, 21, 9, 0, 0, 12, 382, 18, 0, 382, 356, 38, 1, 1, 1, 0, 24, 305, 32, 22, 26, 6, 10.0, 26.0, 31.0, 0, 2, 25, 25, 0, 0, 7, 0, 1, 7, 11, 6, 0.0, 24, 0, 0, 3, 3, 17, 17, 31.25, 81.25, 96.88, 68.796875, 68.0, 68.0, 12, 8.0, 78.09375, 0.0, 4.0, 28.0, 44.0, 24.0, 0.0, 100.0, 96.0, 0.0, 0.0, 0.0, 0.0, 273.0, 30.0, 1.0, 0.0, 30.0, "Tous les candidats", 394.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "10411", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10411&g_ta_cod=10411", 97.0, 0.0, 0.0),
(448, "Public", "0490003M", "Lycée Polyvalent Chevrollier", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Lycée Polyvalent Chevrollier - BTS - Services - Gestion de la PME", "BTS - Services", "", 66, 1182, 710, 1163, 0, 136, 23, 464, 130, 257, 115, 306, 19, 0, 3, 2, 14, 585, 0, 0, 0, 70, 7, 296, 61, 157, 56, 62, 302, 58, 39, 58, 0, 3.0, 35.0, 51.0, 0, 18, 51, 3, 26, 22, 7, 0, 26, 22, 2, 1, 0.0, 1, 11, 13, 7, 4, 47, 47, 5.17, 60.34, 87.93, 67.1875, 92.1875, 92.1875, 13.69921875, 35.296875, 87.890625, 0.0, 51.0, 43.09375, 3.89990234375, 2.0, 0.0, 5.8994140625, 2.0, 51.0, 21.59765625, 43.09375, 25.5, 39.0, 5.0, 110.0, 41.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 102.0, "Bacheliers professionnels toutes séries", 147, "Bacheliers technologiques toutes séries", 184, "Liste d'appel propre à cette formation", 37.0, "5832", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5832&g_ta_cod=5832", 10.0, 50.0, 40.0),
(449, "Public", "0410979S", "INSA Centre Val de Loire", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "Ecole d'Ingénieur", "Groupe INSA - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 202, 9222, 2673, 9222, 0, 8174, 610, 0, 0, 0, 0, 1048, 0, 0, 0, 0, 0, 6666, 0, 0, 0, 5938, 401, 0, 0, 0, 0, 728, 4647, 186, 59, 186, 0, 58.0, 118.0, 169.0, 0, 5, 159, 159, 0, 0, 27, 0, 0, 18, 99, 42, 0.0, 159, 0, 0, 0, 0, 18, 18, 31.18, 63.44, 90.86, 31.69921875, 11.298828125, 11.298828125, 0, 3.099609375, 85.5, 0.0, 0.0, 11.298828125, 62.296875, 26.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 4166.0, 333.0, 0.0, 0.0, 481.0, "Tous les candidats", 13844.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 62.0, "58", "Formation d'ingénieur Bac + 5 - Bac Général", "Groupe INSA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=57&g_ta_cod=58", 100.0, 0.0, 0.0),
(450, "Privé enseignement supérieur", "0592806E", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence_Las", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences - Licence - Portail Economie - Parcours Economie-Finance", "Licence - Droit-économie-gestion", "Parcours Economie-Finance", 30, 257, 129, 155, 0, 120, 20, 4, 2, 2, 2, 29, 102, 43, 2, 2, 55, 133, 27, 0, 0, 111, 16, 0, 0, 0, 0, 22, 139, 12, 6, 8, 4, 0.0, 8.0, 10.0, 0, 1, 7, 7, 0, 0, 5, 0, 3, 4, 0, 0, 0.0, 4, 0, 0, 0, 0, 5, 5, 0.0, 66.67, 83.33, 50.0, 71.390625, 71.390625, 0, 14.298828125, 58.296875, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 100.0, 57.09375, 0.0, 0.0, 0.0, 0.0, 113.0, 18.0, 0.0, 0.0, 26.0, "Tous les candidats", 881.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 85.0, "28824", "Licence - Portail Economie - Parcours Economie-Finance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28388&g_ta_cod=28824", 100.0, 0.0, 0.0),
(451, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquées Anglais/Espagnol - Site de Créteil", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées Anglais/Espagnol - Site de Créteil", 270, 1756, 1351, 1756, 0, 924, 325, 245, 100, 72, 38, 515, 0, 0, 0, 0, 0, 1756, 0, 0, 0, 924, 325, 245, 100, 72, 38, 515, 787, 266, 197, 264, 0, 63.0, 201.0, 237.0, 0, 58, 143, 66, 61, 16, 123, 0, 79, 59, 5, 0, 0.0, 26, 27, 11, 0, 0, 88, 134, 23.68, 75.56, 89.1, 74.09375, 61.5, 93.6875, 0, 40.59375, 53.796875, 0.0, 55.1953125, 41.296875, 3.5, 0.0, 0.0, 46.1953125, 18.19921875, 42.6953125, 18.8984375, 11.19921875, 7.69921875, 184.0, 79.0, 47.0, 27.0, 352.0, "Tous les candidats", 980.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "11494", "Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquées Anglais/Espagnol - Site de Créteil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11494&g_ta_cod=11494", 50.0, 36.0, 14.0),
(452, "Public", "0351858E", "Institut de Formation de Manipulateurs d'Electroradiologie du CHU de Rennes (IFMEM)", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Institut de Formation de Manipulateurs d'Electroradiologie du CHU de Rennes (IFMEM) - D.E manipulateur/trice en électroradiologie médicale", "D.E secteur sanitaire", "", 34, 672, 535, 672, 0, 177, 25, 151, 32, 7, 1, 337, 0, 0, 0, 0, 0, 350, 0, 0, 0, 134, 18, 48, 7, 0, 0, 168, 167, 34, 27, 34, 0, 2.0, 21.0, 29.0, 0, 5, 21, 18, 3, 0, 13, 0, 9, 5, 5, 2, 0.0, 9, 3, 0, 0, 0, 16, 16, 5.88, 61.76, 85.29, 79.390625, 76.1875, 76.1875, 0, 23.796875, 61.796875, 0.0, 42.8984375, 23.796875, 23.796875, 9.5, 0.0, 85.6875, 42.8984375, 14.298828125, 14.298828125, 0.0, 0.0, 70.0, 12.0, 0.0, 0.0, 92.0, "Tous les candidats", 233.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "19402", "D.E manipulateur/trice en électroradiologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19402&g_ta_cod=19402", 82.0, 18.0, 0.0),
(453, "Public", "0380092U", "Lycée Ferdinand Buisson", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Voiron", "formation sélective", "BTS", "Lycée Ferdinand Buisson - BTS - Production - Conception de produits industriels", "BTS - Production", "", 26, 241, 15, 232, 0, 17, 1, 120, 12, 43, 13, 52, 9, 0, 0, 7, 2, 232, 1, 0, 0, 17, 1, 120, 12, 43, 13, 52, 127, 21, 2, 20, 1, 3.0, 17.0, 17.0, 0, 4, 18, 2, 11, 5, 3, 0, 7, 5, 5, 1, 0.0, 2, 6, 3, 4, 0, 18, 18, 14.29, 80.95, 80.95, 9.5, 100.0, 100.0, 22.19921875, 22.19921875, 85.6875, 0.0, 38.8984375, 27.796875, 27.796875, 5.6, 0.0, 11.099609375, 11.099609375, 61.09375, 33.296875, 27.796875, 16.69921875, 11.0, 1.0, 39.0, 12.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 65.0, "18874", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18874&g_ta_cod=18874", 14.0, 62.0, 24.0),
(454, "Public", "0952261S", "CY TECH - Université de Cergy-Pontoise", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "Concours GalaxY - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "Ingénieur en Génie Civil", 40, 431, 116, 420, 0, 406, 95, 0, 0, 0, 0, 14, 11, 9, 0, 0, 2, 350, 0, 0, 0, 350, 75, 0, 0, 0, 0, 0, 235, 38, 7, 38, 0, 3.0, 36.0, 38.0, 0, 8, 38, 38, 0, 0, 0, 0, 6, 20, 11, 1, 0.0, 32, 0, 0, 0, 0, 28, 31, 7.89, 94.74, 100.0, 18.3984375, 73.6875, 81.59375, 0, 21.09765625, 100.0, 0.0, 15.798828125, 52.59375, 28.8984375, 2.6, 0.0, 100.0, 84.1875, 0.0, 0.0, 0.0, 0.0, 235.0, 51.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "31242", "Formation d'ingénieur Bac + 5", "Concours GalaxY", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31208&g_ta_cod=31242", 100.0, 0.0, 0.0),
(455, "Public", "0941301D", "Lycée Frederic Mistral", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Fresnes", "formation sélective", "BTS", "Lycée Frederic Mistral - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 847, 491, 847, 0, 20, 5, 246, 111, 300, 153, 281, 0, 0, 0, 0, 0, 773, 0, 0, 0, 18, 4, 231, 108, 300, 153, 224, 148, 30, 19, 30, 0, 0.0, 18.0, 26.0, 0, 15, 26, 1, 12, 13, 4, 0, 10, 13, 3, 0, 0.0, 0, 8, 8, 7, 3, 18, 26, 0.0, 60.0, 86.67, 63.296875, 69.1875, 100.0, 26.8984375, 57.6953125, 86.6875, 0.0, 38.5, 50.0, 11.5, 0.0, 0.0, 3.7998046875, 0.0, 46.1953125, 30.796875, 50.0, 30.796875, 5.0, 2.0, 61.0, 36.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 134, "Bacheliers technologiques toutes séries", 87, "Liste d'appel propre à cette formation", 27.0, "11518", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11518&g_ta_cod=11518", 3.0, 47.0, 50.0),
(456, "Public", "0680066C", "Lycée Jean Mermoz", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Saint-Louis", "formation sélective", "BTS", "Lycée Jean Mermoz - BTS - Services - Assurance", "BTS - Services", "", 24, 441, 278, 432, 0, 41, 14, 125, 60, 111, 59, 155, 9, 0, 0, 6, 3, 200, 0, 0, 0, 34, 9, 86, 36, 45, 24, 35, 103, 19, 15, 19, 0, 2.0, 17.0, 18.0, 0, 8, 16, 5, 6, 5, 3, 0, 9, 5, 2, 0, 0.0, 2, 2, 3, 8, 8, 16, 16, 10.53, 89.47, 94.74, 78.890625, 100.0, 100.0, 50, 50.0, 84.1875, 0.0, 56.296875, 31.296875, 12.5, 0.0, 0.0, 31.296875, 12.5, 37.5, 12.5, 31.296875, 18.796875, 20.0, 4.0, 24.0, 10.0, 17.0, "Tous les candidats sauf les Bac professionnels", 119.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 38.0, "8128", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8128&g_ta_cod=8128", 32.0, 37.0, 32.0),
(457, "Public", "0300027S", "Lycée Hemingway - De La Camargue", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "Autre formation", "Lycée Hemingway - De La Camargue - Diplôme de Comptabilité et de Gestion", "DCG", "", 40, 675, 323, 675, 0, 265, 76, 174, 69, 16, 9, 220, 0, 0, 0, 0, 0, 500, 0, 0, 0, 261, 74, 156, 60, 0, 0, 83, 286, 40, 15, 40, 0, 2.0, 31.0, 37.0, 0, 8, 35, 25, 10, 0, 5, 0, 13, 20, 0, 2, 0.0, 13, 9, 0, 0, 0, 30, 30, 5.0, 77.5, 92.5, 37.5, 85.6875, 85.6875, 0, 22.8984375, 87.5, 0.0, 37.09375, 57.09375, 0.0, 5.7, 0.0, 71.390625, 37.09375, 28.59765625, 25.69921875, 0.0, 0.0, 190.0, 54.0, 0.0, 0.0, 42.0, "Tous les candidats", 448.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "3958", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3958&g_ta_cod=3958", 73.0, 28.0, 0.0),
(458, "Public", "0930834B", "Lycée Voillaume", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aulnay-sous-Bois", "formation sélective", "BTS", "Lycée Voillaume - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 837, 581, 837, 0, 32, 21, 235, 118, 288, 160, 282, 0, 0, 0, 0, 0, 428, 0, 0, 0, 29, 19, 114, 51, 170, 95, 115, 136, 31, 26, 31, 0, 6.0, 26.0, 30.0, 0, 13, 23, 4, 9, 10, 8, 0, 10, 7, 4, 2, 0.0, 2, 3, 8, 5, 5, 21, 23, 19.35, 83.87, 96.77, 83.890625, 91.296875, 100.0, 21.69921875, 56.5, 74.1875, 0.0, 43.5, 30.3984375, 17.3984375, 8.7, 0.0, 17.3984375, 8.69921875, 39.09375, 13.0, 43.5, 34.796875, 9.0, 6.0, 47.0, 29.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 22.0, "11213", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11213&g_ta_cod=11213", 19.0, 32.0, 48.0),
(459, "Privé enseignement supérieur", "0762733H", "IFEN", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "EFTS", "IFEN - D.E Educateur Spécialisé", "D.E secteur social", "", 38, 237, 203, 237, 0, 37, 5, 38, 9, 13, 3, 149, 0, 0, 0, 0, 0, 147, 0, 0, 0, 22, 2, 20, 5, 5, 1, 100, 54, 38, 35, 38, 0, 25.0, 36.0, 36.0, 0, 2, 10, 7, 3, 0, 28, 0, 4, 5, 1, 0, 0.0, 5, 1, 0, 0, 0, 10, 10, 65.79, 94.74, 94.74, 92.09375, 100.0, 100.0, 0, 20.0, 26.296875, 0.0, 40.0, 50.0, 10.0, 0.0, 0.0, 70.0, 50.0, 30.0, 10.0, 0.0, 0.0, 9.0, 1.0, 0.0, 0.0, 41.0, "Tous les candidats", 56.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "24977", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24977&g_ta_cod=24977", 61.0, 37.0, 3.0),
(460, "Public", "0640055M", "Lycée Louis Barthou", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "CPGE", "Lycée Louis Barthou - CPGE - ECG -  - Mathématiques appliquées + HGG", "Classe préparatoire économique et commerciale", "", 48, 368, 173, 347, 237, 293, 19, 0, 0, 0, 0, 54, 21, 10, 0, 0, 11, 291, 11, 200, 274, 271, 16, 0, 0, 0, 0, 20, 271, 23, 7, 19, 4, 6.0, 18.0, 21.0, 3, 0, 17, 17, 0, 0, 6, 0, 4, 8, 5, 0, 0.0, 13, 0, 0, 2, 1, 12, 12, 26.09, 78.26, 91.3, 30.3984375, 70.59375, 70.59375, 11.798828125, 0.0, 73.890625, 0.0, 23.5, 47.09375, 29.3984375, 0.0, 0.0, 100.0, 76.5, 0.0, 0.0, 0.0, 0.0, 248.0, 15.0, 0.0, 0.0, 23.0, "Tous les candidats", 291.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "31283", "CPGE - ECG -  - Mathématiques appliquées + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31283&g_ta_cod=31283", 100.0, 0.0, 0.0),
(461, "Privé sous contrat d'association", "0641547J", "Lycée professionnel Agricole Saint Christophe", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Saint-Pée-sur-Nivelle", "formation sélective", "BTS", "Lycée professionnel Agricole Saint Christophe - BTS - Agricole - Aquaculture", "BTS - Agricole", "", 34, 186, 34, 171, 0, 34, 0, 31, 1, 56, 10, 50, 15, 2, 1, 1, 11, 121, 6, 0, 0, 29, 0, 25, 1, 47, 8, 20, 103, 31, 3, 28, 3, 10.0, 27.0, 31.0, 0, 2, 25, 4, 11, 10, 6, 0, 9, 9, 6, 1, 0.0, 3, 6, 7, 3, 1, 15, 15, 32.26, 87.1, 100.0, 9.69921875, 60.0, 60.0, 12, 8.0, 80.59375, 0.0, 36.0, 36.0, 24.0, 4.0, 0.0, 16.0, 12.0, 44.0, 24.0, 40.0, 28.0, 26.0, 0.0, 34.0, 6.0, 20.0, "Tous les candidats sauf les Bac professionnels", 73.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 69.0, "7768", "BTS - Agricole - Aquaculture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7768&g_ta_cod=7768", 26.0, 39.0, 35.0),
(462, "Privé sous contrat d'association", "0711896A", "Lycée Saint-Charles", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "BTS", "Lycée Saint-Charles - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 35, 207, 198, 192, 0, 39, 14, 55, 11, 56, 11, 42, 15, 0, 0, 7, 8, 161, 8, 0, 0, 39, 14, 49, 10, 45, 8, 28, 122, 25, 24, 22, 3, 9.0, 21.0, 24.0, 0, 3, 20, 5, 1, 14, 5, 0, 10, 7, 3, 0, 0.0, 1, 1, 8, 8, 8, 13, 13, 36.0, 84.0, 96.0, 96.0, 65.0, 65.0, 40, 15.0, 80.0, 0.0, 50.0, 35.0, 15.0, 0.0, 0.0, 25.0, 5.0, 5.0, 5.0, 70.0, 40.0, 25.0, 8.0, 43.0, 8.0, 22.0, "Tous les candidats sauf les Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 71.0, "8680", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8680&g_ta_cod=8680", 32.0, 4.0, 64.0),
(463, "Privé sous contrat d'association", "0691678Z", "Institut Agricole Sandar", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Limonest", "formation sélective", "BTS", "Institut Agricole Sandar - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 18, 58, 25, 49, 0, 3, 0, 20, 6, 13, 2, 13, 9, 4, 3, 1, 1, 22, 4, 0, 0, 2, 0, 6, 1, 9, 0, 5, 25, 8, 6, 5, 3, 5.0, 5.0, 7.0, 0, 0, 6, 1, 1, 4, 2, 0, 4, 2, 0, 0, 0.0, 0, 0, 2, 3, 3, 6, 6, 62.5, 62.5, 87.5, 75.0, 100.0, 100.0, 50, 0.0, 75.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 16.69921875, 0.0, 16.69921875, 0.0, 66.6875, 33.296875, 4.0, 0.0, 9.0, 0.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 45.0, "8332", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8332&g_ta_cod=8332", 38.0, 13.0, 50.0),
(464, "Public", "0510031G", "Lycée CLEMENCEAU", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "CPGE", "Lycée CLEMENCEAU - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 1155, 347, 1155, 750, 787, 89, 1, 1, 1, 0, 366, 0, 0, 0, 0, 0, 871, 0, 554, 849, 787, 89, 1, 1, 1, 0, 82, 189, 50, 9, 50, 0, 4.0, 40.0, 49.0, 18, 4, 50, 50, 0, 0, 0, 0, 0, 0, 24, 21, 5.0, 50, 0, 0, 5, 2, 41, 41, 8.0, 80.0, 98.0, 18.0, 82.0, 82.0, 10, 8.0, 100.0, 0.0, 0.0, 0.0, 48.0, 42.0, 10.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 185.0, 20.0, 0.0, 0.0, 4.0, "Tous les candidats", 285.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "6057", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6057&g_ta_cod=6057", 100.0, 0.0, 0.0),
(465, "Privé sous contrat d'association", "0595657D", "Institut Saint Vincent De Paul", "59", "Nord", "Hauts-de-France", "Lille", "Loos", "formation sélective", "Autre formation", "Institut Saint Vincent De Paul - DN MADE - Graphisme - - Spécialité : Innovation graphique. Majeure : Innovation. Mineures : Graphisme-Numérique", "DN MADE", "- Spécialité : Innovation graphique. Majeure : Innovation. Mineures : Graphisme-Numérique", 18, 295, 141, 295, 0, 120, 27, 47, 9, 31, 8, 97, 0, 0, 0, 0, 0, 127, 0, 0, 0, 59, 12, 21, 2, 14, 5, 33, 69, 17, 10, 17, 0, 0.0, 14.0, 17.0, 0, 4, 13, 9, 2, 2, 4, 0, 1, 5, 6, 1, 0.0, 8, 2, 2, 0, 0, 9, 9, 0.0, 82.35, 100.0, 58.796875, 69.1875, 69.1875, 0, 30.796875, 76.5, 0.0, 7.69921875, 38.5, 46.1953125, 7.7, 0.0, 69.1875, 61.5, 15.3984375, 15.3984375, 15.3984375, 15.3984375, 35.0, 8.0, 8.0, 4.0, 10.0, "Tous les candidats", 97.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "25035", "DN MADE - Graphisme - - Spécialité : Innovation graphique. Majeure : Innovation. Mineures : Graphisme-Numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25035&g_ta_cod=25035", 65.0, 24.0, 12.0),
(466, "Privé sous contrat d'association", "0593061G", "Lycée Saint Luc Cambrai", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "Autre formation", "Lycée Saint Luc Cambrai - Diplôme de Comptabilité et de Gestion", "DCG", "", 48, 144, 67, 131, 0, 55, 12, 33, 12, 1, 1, 42, 13, 3, 1, 0, 9, 93, 4, 0, 0, 52, 11, 27, 10, 0, 0, 14, 83, 21, 9, 20, 1, 15.0, 20.0, 21.0, 0, 6, 19, 13, 6, 0, 2, 0, 2, 7, 6, 4, 0.0, 12, 5, 0, 0, 0, 19, 19, 71.43, 95.24, 100.0, 42.8984375, 100.0, 100.0, 0, 31.59765625, 90.5, 0.0, 10.5, 36.796875, 31.59765625, 21.1, 0.0, 68.390625, 63.1953125, 31.59765625, 26.296875, 0.0, 0.0, 47.0, 11.0, 0.0, 0.0, 16.0, "Tous les candidats", 92.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "6975", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6975&g_ta_cod=6975", 71.0, 29.0, 0.0),
(467, "Public", "0570085H", "Lycée Jean-Victor Poncelet", "57", "Moselle", "Grand Est", "Nancy-Metz", "Saint-Avold", "formation sélective", "BTS", "Lycée Jean-Victor Poncelet - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 367, 229, 297, 0, 16, 7, 96, 40, 69, 36, 116, 70, 2, 16, 17, 35, 157, 19, 0, 0, 15, 6, 70, 28, 52, 25, 20, 157, 22, 16, 17, 5, 3.0, 14.0, 18.0, 0, 9, 15, 0, 4, 11, 7, 0, 8, 6, 1, 0, 0.0, 0, 3, 4, 10, 7, 14, 14, 13.64, 63.64, 81.82, 72.6875, 93.296875, 93.296875, 66.6875, 60.0, 68.1875, 0.0, 53.296875, 40.0, 6.69921875, 0.0, 0.0, 0.0, 0.0, 26.69921875, 20.0, 73.296875, 26.69921875, 14.0, 5.0, 50.0, 20.0, 26.0, "Tous les candidats sauf les Bac professionnels", 94.0, "Bacheliers professionnels toutes séries", 63, "", 0, "Liste d'appel propre à cette formation", 53.0, "14596", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14596&g_ta_cod=14596", 9.0, 18.0, 73.0),
(468, "Privé hors contrat", "0755237K", "Pôle Paris alternance - Réseau des grandes écoles spécialisées", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "Ecole de Commerce", "Pôle Paris alternance - Réseau des grandes écoles spécialisées - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "Diplôme supérieur en marketing et communication - option Marketing", 150, 443, 245, 365, 0, 197, 30, 77, 9, 17, 9, 74, 78, 35, 9, 5, 29, 9, 0, 0, 0, 6, 0, 2, 0, 0, 0, 1, 9, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 9.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 2.0, "33515", "Formation des écoles de commerce et de management Bac + 3", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33515&g_ta_cod=33515", 0, 0, 0),
(469, "Public", "0631985R", "Lycée Polyvalent Pierre-Joël Bonté", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Riom", "formation sélective", "BTS", "Lycée Polyvalent Pierre-Joël Bonté - BTS - Production - Bâtiment", "BTS - Production", "", 15, 355, 48, 355, 0, 43, 4, 172, 28, 75, 24, 65, 0, 0, 0, 0, 0, 254, 0, 0, 0, 39, 2, 146, 22, 53, 14, 16, 44, 16, 1, 16, 0, 5.0, 13.0, 14.0, 0, 3, 16, 0, 9, 7, 0, 0, 1, 9, 5, 1, 0.0, 0, 8, 7, 6, 0, 12, 12, 31.25, 81.25, 87.5, 6.2998046875, 75.0, 75.0, 37.5, 18.796875, 100.0, 0.0, 6.2998046875, 56.296875, 31.296875, 6.3, 0.0, 0.0, 0.0, 56.296875, 50.0, 43.796875, 43.796875, 4.0, 0.0, 16.0, 4.0, 2.0, "Tous les candidats sauf les Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 18.0, "7678", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7678&g_ta_cod=7678", 0.0, 56.0, 44.0),
(470, "Public", "0220064A", "Lycée professionnel La Closerie", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Quay-Portrieux", "formation sélective", "BTS", "Lycée professionnel La Closerie - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 24, 148, 69, 145, 0, 0, 0, 13, 1, 106, 23, 26, 3, 0, 1, 2, 0, 101, 0, 0, 0, 0, 0, 7, 0, 75, 16, 19, 68, 18, 9, 17, 0, 7.0, 17.0, 18.0, 0, 5, 17, 0, 1, 16, 1, 0, 1, 2, 12, 2, 0.0, 0, 0, 16, 12, 6, 16, 16, 38.89, 94.44, 100.0, 50.0, 94.09375, 94.09375, 70.59375, 29.3984375, 94.390625, 0.0, 5.8994140625, 11.798828125, 70.59375, 11.8, 0.0, 0.0, 0.0, 5.8994140625, 0.0, 94.09375, 94.09375, 0.0, 0.0, 49.0, 9.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 70.0, "19839", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19839&g_ta_cod=19839", 0.0, 11.0, 89.0),
(471, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "PASS", "Université de Rennes 1 - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Physique", 40, 2524, 1538, 2524, 0, 2026, 214, 54, 13, 8, 4, 436, 0, 0, 0, 0, 0, 2522, 0, 0, 0, 2026, 214, 54, 13, 8, 4, 434, 468, 39, 21, 39, 0, 0.0, 14.0, 33.0, 0, 6, 35, 33, 2, 0, 4, 0, 1, 13, 9, 9, 3.0, 32, 2, 0, 0, 0, 30, 30, 0.0, 35.9, 84.62, 53.796875, 85.6875, 85.6875, 0, 17.09765625, 89.6875, 0.0, 2.89990234375, 37.09375, 25.69921875, 25.7, 8.6, 94.296875, 91.390625, 5.69921875, 5.69921875, 0.0, 0.0, 385.0, 47.0, 3.0, 2.0, 74.0, "Tous les candidats", 1817.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "32000", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27360&g_ta_cod=32000", 95.0, 5.0, 0.0),
(472, "Public", "0881587X", "CNAM Grand Est - Epinal", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "Autre formation", "CNAM Grand Est - Epinal - Formation Supérieure de Spécialisation - Informatique - intégration web", "Diplôme d'Université", "Informatique - intégration web", 15, 46, 13, 33, 0, 6, 1, 8, 2, 2, 1, 17, 13, 1, 1, 2, 9, 14, 8, 0, 0, 5, 1, 5, 1, 0, 0, 4, 32, 14, 5, 3, 3, 2.0, 2.0, 3.0, 0, 2, 7, 3, 0, 4, 7, 0, 2, 5, 0, 0, 0.0, 2, 0, 3, 0, 0, 6, 6, 14.29, 14.29, 21.43, 35.6953125, 85.6875, 85.6875, 0, 28.59765625, 50.0, 0.0, 28.59765625, 71.390625, 0.0, 0.0, 0.0, 42.8984375, 28.59765625, 0.0, 0.0, 57.09375, 42.8984375, 7.0, 1.0, 7.0, 4.0, 12.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "33496", "Formation Supérieure de Spécialisation - Informatique - intégration web", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33496&g_ta_cod=33496", 50.0, 7.0, 43.0),
(473, "Privé sous contrat d'association", "0121423G", "Lycée Charles Carnus", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BTS", "Lycée Charles Carnus - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 68, 1, 65, 0, 4, 1, 20, 3, 32, 5, 9, 3, 0, 0, 2, 1, 61, 1, 0, 0, 4, 1, 20, 3, 31, 5, 6, 38, 14, 0, 13, 1, 7.0, 13.0, 13.0, 0, 2, 11, 1, 4, 6, 3, 0, 0, 5, 4, 2, 0.0, 1, 4, 6, 0, 0, 9, 9, 50.0, 92.86, 92.86, 0.0, 81.796875, 81.796875, 0, 18.19921875, 78.59375, 0.0, 0.0, 45.5, 36.3984375, 18.2, 0.0, 9.099609375, 9.099609375, 36.3984375, 36.3984375, 54.5, 54.5, 3.0, 1.0, 17.0, 4.0, 5.0, "Tous les candidats sauf les Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 74.0, "2507", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2507&g_ta_cod=2507", 7.0, 50.0, 43.0),
(474, "Privé sous contrat d'association", "0783351U", "Lycée Notre Dame du Grandchamp", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "BTS", "Lycée Notre Dame du Grandchamp - BTS - Services - Commerce International", "BTS - Services", "", 35, 954, 458, 954, 0, 474, 21, 303, 32, 55, 12, 122, 0, 0, 0, 0, 0, 331, 0, 0, 0, 200, 9, 112, 15, 6, 2, 13, 181, 37, 22, 37, 0, 21.0, 33.0, 37.0, 0, 4, 37, 14, 19, 4, 0, 0, 2, 16, 15, 4, 0.0, 13, 18, 4, 14, 9, 35, 36, 56.76, 89.19, 100.0, 59.5, 94.59375, 97.296875, 37.796875, 10.798828125, 100.0, 0.0, 5.3994140625, 43.1953125, 40.5, 10.8, 0.0, 37.796875, 35.09375, 51.3984375, 48.59375, 10.798828125, 10.798828125, 111.0, 4.0, 4.0, 1.0, 3.0, "Tous les candidats sauf les Bac professionnels", 249.0, "Bacheliers professionnels toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 27.0, "10090", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10090&g_ta_cod=10090", 38.0, 51.0, 11.0),
(475, "Public", "0130221V", "Sciences Po Aix - Institut d'études politiques", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Autre formation", "Réseau ScPo ? concours commun - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Cursus général", "Sciences politiques", "Cursus général", 150, 13797, 8473, 13797, 0, 11642, 1267, 37, 15, 3, 2, 2115, 0, 0, 0, 0, 0, 2500, 0, 0, 0, 1666, 153, 4, 1, 0, 0, 830, 1203, 147, 105, 147, 0, 13.0, 129.0, 135.0, 0, 8, 78, 77, 1, 0, 69, 0, 0, 0, 10, 57, 11.0, 77, 1, 0, 0, 0, 15, 15, 8.84, 87.76, 91.84, 71.390625, 19.19921875, 19.19921875, 0, 10.298828125, 53.09375, 0.0, 0.0, 0.0, 12.798828125, 73.1, 14.1, 98.6875, 98.6875, 1.2998046875, 1.2998046875, 0.0, 0.0, 754.0, 110.0, 0.0, 0.0, 447.0, "Tous les candidats", 1453.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 11.0, "25824", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Cursus général", "Réseau ScPo ? concours commun", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25823&g_ta_cod=25824", 99.0, 1.0, 0.0),
(476, "Public", "0330089T", "Lycée Polyvalent Industriel et Hotelier Jean Monnet", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Libourne", "formation sélective", "BTS", "Lycée Polyvalent Industriel et Hotelier Jean Monnet - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 208, 15, 190, 0, 17, 2, 47, 15, 86, 28, 40, 18, 0, 4, 9, 5, 99, 11, 0, 0, 17, 2, 24, 6, 46, 10, 12, 102, 16, 1, 11, 3, 5.0, 11.0, 12.0, 0, 4, 14, 0, 3, 11, 2, 0, 7, 4, 3, 0, 0.0, 0, 1, 6, 7, 0, 12, 12, 31.25, 68.75, 75.0, 6.2998046875, 85.6875, 85.6875, 50, 28.59765625, 87.5, 0.0, 50.0, 28.59765625, 21.3984375, 0.0, 0.0, 0.0, 0.0, 21.3984375, 7.099609375, 78.59375, 42.8984375, 14.0, 2.0, 53.0, 15.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 52.0, "4312", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4312&g_ta_cod=4312", 0.0, 25.0, 75.0),
(477, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues et interculturalité - Ensemble Europe centrale et orientale", "Licence - Arts-lettres-langues", "Langues et interculturalité - Ensemble Europe centrale et orientale", 45, 212, 166, 162, 0, 92, 26, 14, 9, 9, 8, 47, 50, 6, 0, 8, 36, 162, 28, 0, 0, 92, 26, 14, 9, 9, 8, 47, 162, 24, 19, 16, 8, 4.0, 16.0, 20.0, 0, 4, 15, 11, 1, 3, 9, 0, 4, 5, 5, 1, 0.0, 11, 0, 0, 0, 0, 6, 6, 16.67, 66.67, 83.33, 79.1875, 40.0, 40.0, 0, 26.69921875, 62.5, 0.0, 26.69921875, 33.296875, 33.296875, 6.7, 0.0, 73.296875, 73.296875, 6.69921875, 0.0, 20.0, 0.0, 89.0, 25.0, 9.0, 9.0, 55.0, "Tous les candidats", 161.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "8048", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues et interculturalité - Ensemble Europe centrale et orientale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8048&g_ta_cod=8048", 67.0, 4.0, 25.0),
(478, "Public", "0570030Y", "Lycée Blaise Pascal", "57", "Moselle", "Grand Est", "Nancy-Metz", "Forbach", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 436, 256, 376, 0, 14, 8, 112, 54, 125, 68, 125, 60, 1, 11, 14, 34, 117, 13, 0, 0, 9, 6, 30, 16, 64, 27, 14, 99, 20, 13, 11, 9, 3.0, 11.0, 11.0, 0, 7, 12, 0, 1, 11, 8, 0, 3, 5, 4, 0, 0.0, 0, 0, 9, 3, 2, 12, 12, 15.0, 55.0, 55.0, 65.0, 100.0, 100.0, 25, 58.296875, 60.0, 0.0, 25.0, 41.6953125, 33.296875, 0.0, 0.0, 0.0, 0.0, 8.298828125, 0.0, 91.6875, 75.0, 6.0, 6.0, 46.0, 19.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 31.0, "6520", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6520&g_ta_cod=6520", 15.0, 25.0, 60.0),
(479, "Public", "0022184N", "Institut de Formation en Soins Infirmiers - CHATEAU-THIERRY", "02", "Aisne", "Hauts-de-France", "Amiens", "Château-Thierry", "formation sélective", "IFSI", "Regroupement d'IFSI Université Amiens - D.E Infirmier", "D.E secteur sanitaire", "", 15, 2134, 1763, 2134, 0, 347, 72, 340, 99, 274, 115, 1173, 0, 0, 0, 0, 0, 1432, 0, 0, 0, 286, 57, 253, 64, 201, 71, 692, 276, 15, 11, 15, 0, 0.0, 2.0, 12.0, 0, 1, 11, 2, 6, 3, 4, 0, 1, 6, 3, 1, 0.0, 1, 6, 3, 0, 0, 6, 6, 0.0, 13.33, 80.0, 73.296875, 54.5, 54.5, 0, 9.099609375, 73.296875, 0.0, 9.099609375, 54.5, 27.296875, 9.1, 0.0, 18.19921875, 9.099609375, 54.5, 54.5, 27.296875, 27.296875, 50.0, 11.0, 30.0, 13.0, 153.0, "Tous les candidats", 2592.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "25093", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23008&g_ta_cod=25093", 27.0, 47.0, 27.0),
(480, "Privé sous contrat d'association", "0641547J", "Lycée professionnel Agricole Saint Christophe", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Saint-Pée-sur-Nivelle", "formation sélective", "BTS", "Lycée professionnel Agricole Saint Christophe - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 34, 459, 184, 459, 0, 138, 26, 89, 12, 109, 25, 123, 0, 0, 0, 0, 0, 349, 0, 0, 0, 117, 25, 72, 9, 103, 23, 57, 125, 36, 15, 36, 0, 8.0, 32.0, 35.0, 0, 5, 33, 14, 7, 12, 3, 0, 5, 13, 11, 3, 1.0, 11, 6, 11, 3, 1, 25, 25, 22.22, 88.89, 97.22, 41.6953125, 75.796875, 75.796875, 9.099609375, 15.19921875, 91.6875, 0.0, 15.19921875, 39.3984375, 33.296875, 9.1, 3.0, 42.3984375, 33.296875, 21.19921875, 18.19921875, 36.3984375, 33.296875, 51.0, 10.0, 33.0, 7.0, 16.0, "Tous les candidats sauf les Bac professionnels", 124.0, "Bacheliers professionnels toutes séries", 57, "", 0, "Liste d'appel propre à cette formation", 39.0, "7767", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7767&g_ta_cod=7767", 47.0, 19.0, 33.0),
(481, "Public", "0380033E", "Lycée VAUCANSON", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée VAUCANSON - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 30, 298, 59, 298, 0, 24, 8, 136, 41, 83, 31, 55, 0, 0, 0, 0, 0, 225, 0, 0, 0, 21, 6, 105, 27, 64, 24, 35, 136, 21, 2, 21, 0, 1.0, 18.0, 19.0, 0, 6, 19, 3, 7, 9, 2, 0, 10, 8, 1, 0, 0.0, 1, 3, 5, 0, 0, 16, 16, 4.76, 85.71, 90.48, 9.5, 84.1875, 84.1875, 0, 31.59765625, 90.5, 0.0, 52.59375, 42.09375, 5.2998046875, 0.0, 0.0, 15.798828125, 5.2998046875, 36.796875, 15.798828125, 47.3984375, 26.296875, 13.0, 4.0, 43.0, 14.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 50.0, "4931", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4931&g_ta_cod=4931", 19.0, 33.0, 48.0),
(482, "Public", "0490003M", "Lycée Polyvalent Chevrollier", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Lycée Polyvalent Chevrollier - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 21, 290, 26, 270, 0, 39, 7, 72, 23, 74, 22, 85, 20, 0, 0, 11, 9, 164, 5, 0, 0, 35, 7, 64, 19, 44, 8, 21, 96, 22, 2, 18, 4, 3.0, 15.0, 20.0, 0, 7, 17, 2, 9, 6, 5, 1, 12, 3, 1, 0, 0.0, 0, 2, 2, 7, 0, 15, 15, 13.64, 68.18, 90.91, 9.099609375, 88.1875, 88.1875, 41.1953125, 41.1953125, 77.296875, 5.8994140625, 70.59375, 17.59765625, 5.8994140625, 0.0, 0.0, 11.798828125, 0.0, 52.8984375, 11.798828125, 35.296875, 11.798828125, 23.0, 6.0, 30.0, 5.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 56.0, "5829", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5829&g_ta_cod=5829", 32.0, 41.0, 27.0),
(483, "Public", "0260998U", "I.U.T de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BUT", "I.U.T de Valence - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données", 80, 1529, 131, 1529, 0, 918, 174, 327, 88, 17, 6, 267, 0, 0, 0, 0, 0, 1111, 0, 0, 0, 784, 134, 215, 59, 0, 0, 112, 415, 79, 1, 77, 0, 5.0, 59.0, 73.0, 0, 13, 74, 48, 26, 0, 5, 0, 7, 50, 17, 0, 0.0, 45, 22, 0, 0, 0, 53, 53, 6.33, 74.68, 92.41, 1.2998046875, 71.59375, 71.59375, 0, 17.59765625, 93.6875, 0.0, 9.5, 67.59375, 23.0, 0.0, 0.0, 64.890625, 60.796875, 35.09375, 29.69921875, 0.0, 0.0, 251.0, 44.0, 0.0, 0.0, 18.0, "Tous les candidats sauf les Bac technologiques", 475.0, "Bacheliers technologiques toutes séries", 226, "", 0, "Liste d'appel propre à cette formation", 46.0, "3646", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3646&g_ta_cod=3646", 63.0, 37.0, 0.0),
(484, "Public", "0100025Y", "Lycée Les Lombards", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BTS", "Lycée Les Lombards - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 125, 6, 124, 0, 4, 0, 24, 4, 55, 27, 41, 1, 0, 1, 0, 0, 108, 0, 0, 0, 4, 0, 22, 3, 52, 24, 30, 65, 22, 2, 22, 0, 7.0, 20.0, 21.0, 0, 8, 15, 0, 0, 15, 7, 0, 6, 4, 4, 1, 0.0, 0, 0, 9, 8, 1, 13, 13, 31.82, 90.91, 95.45, 9.099609375, 86.6875, 86.6875, 53.296875, 53.296875, 68.1875, 0.0, 40.0, 26.69921875, 26.69921875, 6.7, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 39.0, 14.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 65.0, "2418", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2418&g_ta_cod=2418", 14.0, 14.0, 73.0),
(485, "Public", "0134319Z", "IUT Aix-Marseille - Site de Marseille St Jérôme", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BUT", "IUT Aix-Marseille - Site de Marseille St Jérôme - BUT - Techniques de commercialisation Parcours : Marketing et management du point de vente - Parcours : Business développement et management de la relation client", "BUT - Service", "Marketing et management du point de vente - Parcours : Business développement et management de la relation client", 60, 3260, 1739, 3260, 0, 1714, 419, 981, 376, 30, 14, 535, 0, 0, 0, 0, 0, 1264, 0, 0, 0, 546, 123, 614, 211, 0, 0, 104, 373, 64, 44, 64, 0, 4.0, 43.0, 57.0, 0, 26, 63, 32, 31, 0, 1, 0, 0, 19, 42, 2, 0.0, 32, 31, 0, 0, 0, 56, 56, 6.25, 67.19, 89.06, 68.796875, 88.890625, 88.890625, 0, 41.296875, 98.390625, 0.0, 0.0, 30.19921875, 66.6875, 3.2, 0.0, 50.796875, 50.796875, 49.1953125, 49.1953125, 0.0, 0.0, 210.0, 60.0, 0.0, 0.0, 24.0, "Tous les candidats sauf les Bac technologiques", 429.0, "Bacheliers technologiques toutes séries", 237, "", 0, "Liste d'appel propre à cette formation", 20.0, "2721", "BUT - Techniques de commercialisation Parcours : Marketing et management du point de vente - Parcours : Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2721&g_ta_cod=2721", 52.0, 48.0, 0.0),
(486, "Public", "0750703G", "Lycée Moliere", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Lycée Moliere - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 1941, 1396, 1923, 236, 1638, 213, 1, 1, 2, 1, 282, 18, 6, 1, 0, 11, 1530, 1, 206, 1473, 1459, 179, 1, 1, 1, 1, 69, 842, 90, 65, 89, 1, 14.0, 52.0, 84.0, 6, 16, 88, 87, 1, 0, 2, 0, 0, 17, 44, 27, 0.0, 87, 1, 0, 0, 0, 23, 63, 15.56, 57.78, 93.33, 72.1875, 26.09765625, 71.59375, 0, 18.19921875, 97.796875, 0.0, 0.0, 19.296875, 50.0, 30.7, 0.0, 98.890625, 98.890625, 1.099853515625, 1.099853515625, 0.0, 0.0, 807.0, 96.0, 0.0, 0.0, 34.0, "Tous les candidats", 1384.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "9140", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9140&g_ta_cod=9140", 99.0, 1.0, 0.0),
(487, "Privé sous contrat d'association", "0500120J", "Lycée Institut Saint-Lo", "50", "Manche", "Normandie", "Normandie", "Agneaux", "formation sélective", "BTS", "Lycée Institut Saint-Lo - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 403, 178, 401, 0, 43, 7, 124, 25, 86, 21, 148, 2, 0, 0, 0, 2, 226, 1, 0, 0, 38, 7, 103, 23, 73, 15, 12, 151, 25, 11, 25, 0, 3.0, 21.0, 22.0, 0, 5, 24, 6, 10, 8, 1, 0, 12, 8, 3, 1, 0.0, 1, 5, 6, 1, 0, 23, 23, 12.0, 84.0, 88.0, 44.0, 95.796875, 95.796875, 4.19921875, 20.796875, 96.0, 0.0, 50.0, 33.296875, 12.5, 4.2, 0.0, 25.0, 4.19921875, 41.6953125, 20.796875, 33.296875, 25.0, 28.0, 6.0, 51.0, 12.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 89, "Liste d'appel propre à cette formation", 47.0, "6014", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6014&g_ta_cod=6014", 28.0, 40.0, 32.0),
(488, "Public", "9840349G", "Université de la Polynésie française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation non sélective", "Licence", "Université de la Polynésie française - Licence - Langues étrangères appliquées - Parcours Anglais & Mandarin", "Licence - Arts-lettres-langues", "Anglais & Mandarin", 40, 131, 95, 99, 0, 63, 24, 9, 5, 4, 2, 23, 32, 5, 3, 1, 23, 99, 20, 0, 0, 63, 24, 9, 5, 4, 2, 23, 109, 26, 21, 16, 10, 6.0, 16.0, 23.0, 0, 5, 11, 10, 1, 0, 15, 0, 6, 3, 1, 1, 0.0, 4, 1, 0, 0, 0, 10, 10, 23.08, 61.54, 88.46, 80.796875, 90.890625, 90.890625, 0, 45.5, 42.296875, 0.0, 54.5, 27.296875, 9.099609375, 9.1, 0.0, 90.890625, 36.3984375, 9.099609375, 9.099609375, 0.0, 0.0, 59.0, 22.0, 4.0, 2.0, 38.0, "Tous les candidats", 98.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "26553", "Licence - Langues étrangères appliquées - Parcours Anglais & Mandarin", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26553&g_ta_cod=26553", 77.0, 15.0, 4.0),
(489, "Public", "0442448X", "Centre de Ressources, d'Expertise et de Performance Sportive de Nantes (CREPS)", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "CREPS Pays de la Loire - Antenne de Nantes - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 4, 68, 19, 54, 0, 17, 3, 16, 3, 5, 3, 16, 14, 4, 4, 0, 6, 5, 0, 0, 0, 1, 0, 2, 1, 0, 0, 2, 5, 3, 1, 3, 0, 3.0, 3.0, 3.0, 0, 1, 1, 0, 1, 0, 2, 0, 0, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 33.296875, 100.0, 100.0, 0, 100.0, 33.296875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "21338", "BPJEPS - Activités aquatiques et de la natation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21338&g_ta_cod=21338", 33.0, 33.0, 33.0),
(490, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 47, 341, 276, 255, 0, 169, 29, 16, 6, 6, 3, 64, 86, 19, 11, 5, 51, 255, 46, 0, 0, 169, 29, 16, 6, 6, 3, 64, 229, 45, 33, 19, 26, 4.0, 19.0, 33.0, 0, 7, 20, 14, 2, 4, 25, 0, 9, 9, 1, 1, 0.0, 7, 1, 3, 0, 0, 13, 17, 8.89, 42.22, 73.33, 73.296875, 65.0, 85.0, 0, 35.0, 44.3984375, 0.0, 45.0, 45.0, 5.0, 5.0, 0.0, 70.0, 35.0, 10.0, 5.0, 20.0, 15.0, 128.0, 28.0, 8.0, 6.0, 74.0, "Tous les candidats", 255.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11101", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11101&g_ta_cod=11101", 64.0, 11.0, 20.0),
(491, "Privé enseignement supérieur", "0694388V", "IRCOM LYON", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "Licence", "IRCOM Angers - Licence - Humanités", "Licence - Sciences humaines et sociales", "", 50, 321, 205, 305, 0, 258, 16, 4, 1, 1, 1, 42, 16, 3, 0, 1, 12, 265, 2, 0, 0, 234, 11, 3, 1, 0, 0, 28, 192, 54, 35, 52, 2, 18.0, 46.0, 52.0, 0, 4, 46, 46, 0, 0, 8, 1, 2, 13, 20, 10, 0.0, 43, 0, 0, 0, 0, 14, 14, 33.33, 85.19, 96.3, 64.796875, 30.3984375, 30.3984375, 0, 8.69921875, 85.1875, 2.19970703125, 4.2998046875, 28.296875, 43.5, 21.7, 0.0, 100.0, 93.5, 0.0, 0.0, 0.0, 0.0, 165.0, 10.0, 0.0, 0.0, 24.0, "Tous les candidats", 326.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 80.0, "26070", "Licence - Humanités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26069&g_ta_cod=26070", 100.0, 0.0, 0.0),
(492, "Public", "0501744Z", "INSTITUT NATIONAL DES SCIENCES ET TECHNIQUES DE LA MER", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "Autre formation", "INSTITUT NATIONAL DES SCIENCES ET TECHNIQUES DE LA MER - Cadre technique génie de l'environnement marin", "Cadre Technique", "", 12, 405, 205, 405, 0, 232, 20, 53, 8, 2, 0, 118, 0, 0, 0, 0, 0, 32, 0, 0, 0, 21, 1, 4, 0, 0, 0, 7, 15, 14, 6, 14, 0, 13.0, 14.0, 14.0, 0, 1, 10, 9, 1, 0, 4, 0, 0, 5, 4, 1, 0.0, 9, 1, 0, 0, 0, 1, 1, 92.86, 100.0, 100.0, 42.8984375, 10.0, 10.0, 0, 10.0, 71.390625, 0.0, 0.0, 50.0, 40.0, 10.0, 0.0, 90.0, 90.0, 10.0, 10.0, 0.0, 0.0, 10.0, 1.0, 0.0, 0.0, 4.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "6032", "Cadre technique génie de l'environnement marin", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6032&g_ta_cod=6032", 93.0, 7.0, 0.0),
(493, "Public", "0010989V", "IFSI du Bugey", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Plateau d'Hauteville", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lyon - D.E Infirmier", "D.E secteur sanitaire", "", 45, 5707, 4825, 5707, 0, 792, 161, 1026, 279, 743, 300, 3146, 0, 0, 0, 0, 0, 4235, 0, 0, 0, 704, 129, 828, 203, 481, 181, 2222, 954, 45, 42, 45, 0, 0.0, 6.0, 30.0, 0, 5, 20, 7, 5, 8, 25, 0, 2, 14, 3, 1, 0.0, 5, 5, 8, 0, 0, 9, 9, 0.0, 13.33, 66.67, 93.296875, 45.0, 45.0, 0, 25.0, 44.3984375, 0.0, 10.0, 70.0, 15.0, 5.0, 0.0, 35.0, 25.0, 25.0, 25.0, 40.0, 40.0, 207.0, 36.0, 128.0, 54.0, 412.0, "Tous les candidats", 3939.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "23159", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23001&g_ta_cod=23159", 49.0, 22.0, 29.0),
(494, "Public", "0711322B", "Lycée professionnel du Gast-Dumorey", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "BTS", "Lycée professionnel du Gast-Dumorey - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 12, 224, 70, 181, 0, 18, 3, 24, 5, 61, 26, 78, 43, 1, 4, 5, 33, 50, 2, 0, 0, 4, 1, 5, 1, 36, 11, 5, 50, 8, 2, 6, 1, 0.0, 5.0, 6.0, 0, 0, 7, 1, 1, 5, 1, 0, 2, 3, 2, 0, 0.0, 0, 0, 5, 4, 1, 7, 7, 0.0, 62.5, 75.0, 25.0, 100.0, 100.0, 57.09375, 0.0, 87.5, 0.0, 28.59765625, 42.8984375, 28.59765625, 0.0, 0.0, 14.298828125, 0.0, 14.298828125, 0.0, 71.390625, 71.390625, 5.0, 1.0, 31.0, 11.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers technologiques toutes séries", 6, "Bacheliers professionnels toutes séries", 37, "Liste d'appel propre à cette formation", 27.0, "33259", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33259&g_ta_cod=33259", 13.0, 13.0, 75.0),
(495, "Privé sous contrat d'association", "0602176P", "APRADIS - Site Beauvais", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "EFTS", "APRADIS - Site Amiens - D.E Educateur Spécialisé", "D.E secteur social", "", 15, 206, 172, 206, 0, 31, 6, 43, 5, 22, 9, 110, 0, 0, 0, 0, 0, 130, 0, 0, 0, 21, 3, 20, 2, 6, 3, 83, 75, 13, 12, 13, 0, 2.0, 13.0, 13.0, 0, 0, 2, 2, 0, 0, 11, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 15.38, 100.0, 100.0, 92.296875, 100.0, 100.0, 0, 0.0, 15.3984375, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 11.0, 2.0, 3.0, 1.0, 51.0, "Tous les candidats", 151.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 50.0, "25210", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25203&g_ta_cod=25210", 62.0, 31.0, 8.0),
(496, "Privé sous contrat d'association", "0754784T", "Ecole de service social de la CRAMIF", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "EFTS", "Ecole de service social de la CRAMIF - D.E Assistant de Service Social", "D.E secteur social", "", 20, 446, 414, 446, 0, 66, 16, 70, 25, 120, 59, 190, 0, 0, 0, 0, 0, 176, 0, 0, 0, 37, 9, 33, 12, 25, 8, 81, 82, 19, 18, 19, 0, 3.0, 15.0, 17.0, 0, 0, 11, 4, 3, 4, 8, 0, 3, 5, 2, 1, 0.0, 2, 2, 4, 0, 0, 1, 7, 15.79, 78.95, 89.47, 94.6875, 9.099609375, 63.59375, 0, 0.0, 57.8984375, 0.0, 27.296875, 45.5, 18.19921875, 9.1, 0.0, 36.3984375, 18.19921875, 27.296875, 18.19921875, 36.3984375, 36.3984375, 17.0, 2.0, 8.0, 1.0, 43.0, "Tous les candidats", 136.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "23450", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23450&g_ta_cod=23450", 47.0, 21.0, 32.0),
(497, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 270, 1134, 772, 881, 0, 620, 183, 49, 17, 27, 8, 185, 253, 43, 17, 17, 176, 877, 232, 0, 0, 620, 183, 49, 17, 27, 8, 181, 971, 253, 159, 183, 68, 48.0, 180.0, 212.0, 0, 65, 162, 130, 16, 16, 91, 2, 74, 59, 17, 10, 0.0, 77, 3, 6, 0, 0, 121, 121, 18.97, 71.15, 83.79, 62.796875, 74.6875, 74.6875, 0, 40.09375, 64.0, 1.199951171875, 45.6953125, 36.3984375, 10.5, 6.2, 0.0, 80.1875, 47.5, 9.8984375, 1.89990234375, 9.8984375, 3.69970703125, 584.0, 162.0, 32.0, 18.0, 312.0, "Tous les candidats", 877.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6132", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6132&g_ta_cod=6132", 75.0, 15.0, 10.0),
(498, "Public", "0950646L", "Lycée René Cassin", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Gonesse", "formation sélective", "BTS", "Lycée René Cassin - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 34, 752, 179, 732, 0, 21, 7, 187, 88, 228, 115, 296, 20, 3, 0, 0, 17, 301, 0, 0, 0, 16, 6, 124, 56, 128, 70, 33, 99, 31, 9, 31, 0, 9.0, 29.0, 29.0, 0, 18, 27, 1, 13, 13, 4, 0, 14, 11, 2, 0, 0.0, 0, 6, 7, 6, 1, 18, 27, 29.03, 93.55, 93.55, 29.0, 66.6875, 100.0, 22.19921875, 66.6875, 87.09375, 0.0, 51.8984375, 40.6953125, 7.3994140625, 0.0, 0.0, 3.69970703125, 0.0, 48.09375, 22.19921875, 48.09375, 25.8984375, 10.0, 5.0, 35.0, 20.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 15.0, "11570", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11570&g_ta_cod=11570", 6.0, 48.0, 45.0),
(499, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : ALLEMAND MAJEURE NON DEBUTANT /mineure suédois ou norvégien ou danois ou néerlandais", "Licence - Arts-lettres-langues", "LLCER : ALLEMAND MAJEURE NON DEBUTANT /mineure suédois ou norvégien ou danois ou néerlandais", 15, 24, 10, 4, 0, 1, 0, 1, 1, 0, 0, 2, 20, 2, 2, 1, 15, 4, 15, 0, 0, 1, 0, 1, 1, 0, 0, 2, 19, 4, 1, 0, 4, 0.0, 0.0, 1.0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 25.0, 25.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.0, 0.0, 1.0, 1.0, 14.0, "Tous les candidats", 4.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24332", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : ALLEMAND MAJEURE NON DEBUTANT /mineure suédois ou norvégien ou danois ou néerlandais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24332&g_ta_cod=24332", 50.0, 25.0, 0.0),
(500, "Public", "0561363C", "I.U.T de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BUT", "I.U.T de Lorient - BUT - Génie industriel et maintenance Parcours : Parcours 1 : Ingénierie des Systèmes Pluri-techniques - Parcours 2 : Management, Méthodes et Maintenance innovante", "BUT - Production", "Parcours 1 : Ingénierie des Systèmes Pluri-techniques - Parcours 2 : Management, Méthodes et Maintenance innovante", 70, 641, 43, 641, 0, 280, 29, 287, 43, 4, 1, 70, 0, 0, 0, 0, 0, 533, 0, 0, 0, 240, 22, 244, 31, 1, 1, 48, 383, 73, 2, 73, 0, 30.0, 69.0, 73.0, 0, 11, 72, 30, 42, 0, 1, 0, 23, 44, 5, 0, 0.0, 15, 34, 0, 0, 0, 65, 65, 41.1, 94.52, 100.0, 2.69970703125, 90.296875, 90.296875, 0, 15.298828125, 98.59375, 0.0, 31.8984375, 61.09375, 6.8994140625, 0.0, 0.0, 41.6953125, 20.796875, 58.296875, 47.1953125, 0.0, 0.0, 178.0, 19.0, 1.0, 1.0, 35.0, "Tous les candidats sauf les Bac technologiques", 263.0, "Bacheliers technologiques toutes séries", 229, "", 0, "Liste d'appel propre à cette formation", 77.0, "6471", "BUT - Génie industriel et maintenance Parcours : Parcours 1 : Ingénierie des Systèmes Pluri-techniques - Parcours 2 : Management, Méthodes et Maintenance innovante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6471&g_ta_cod=6471", 42.0, 58.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(501, "Public", "0932214B", "I.U.T. de Montreuil", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "BUT", "I.U.T. de Montreuil - BUT - Information communication Parcours communication des organisations (Seconde année possible en apprentissage)", "BUT - Service", "", 40, 2983, 2169, 2983, 0, 1426, 317, 876, 358, 30, 7, 651, 0, 0, 0, 0, 0, 907, 0, 0, 0, 418, 87, 385, 146, 2, 0, 102, 256, 42, 36, 42, 0, 2.0, 33.0, 37.0, 0, 11, 36, 23, 13, 0, 6, 0, 2, 12, 16, 6, 0.0, 22, 12, 0, 0, 0, 21, 29, 4.76, 78.57, 88.1, 85.6875, 58.296875, 80.59375, 0, 30.59765625, 85.6875, 0.0, 5.599609375, 33.296875, 44.3984375, 16.7, 0.0, 63.8984375, 61.09375, 36.09375, 33.296875, 0.0, 0.0, 129.0, 40.0, 0.0, 0.0, 35.0, "Tous les candidats sauf les Bac technologiques", 235.0, "Bacheliers technologiques toutes séries", 153, "", 0, "Liste d'appel propre à cette formation", 13.0, "17505", "BUT - Information communication Parcours communication des organisations (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17505&g_ta_cod=17505", 67.0, 33.0, 0.0),
(502, "Public", "0753489K", "ECOLE DU LOUVRE", "75", "Paris", "Ile-de-France", "Paris", "Paris  1er Arrondissement", "formation sélective", "Autre formation", "ECOLE DU LOUVRE - Archéologie, histoire de l'art, anthropologie", "Formations Bac + 3", "", 330, 1602, 1277, 1602, 0, 925, 124, 52, 12, 7, 2, 618, 0, 0, 0, 0, 0, 816, 0, 0, 0, 486, 52, 20, 5, 2, 0, 308, 460, 328, 274, 328, 0, 236.0, 309.0, 318.0, 0, 23, 208, 198, 9, 1, 120, 0, 0, 5, 66, 112, 25.0, 198, 9, 1, 0, 0, 20, 62, 71.95, 94.21, 96.95, 83.5, 9.599609375, 29.796875, 0, 11.099609375, 63.3984375, 0.0, 0.0, 2.39990234375, 31.69921875, 53.8, 12.0, 95.1875, 95.1875, 4.2998046875, 4.2998046875, 0.5, 0.5, 286.0, 32.0, 1.0, 0.0, 164.0, "Tous les candidats", 459.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "26225", "Archéologie, histoire de l'art, anthropologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26225&g_ta_cod=26225", 97.0, 3.0, 0.0),
(503, "Privé enseignement supérieur", "0340138R", "Institut National des Formations Notariales de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Institut National des Formations Notariales de Montpellier - BTS - Services - Notariat", "BTS - Services", "", 20, 376, 305, 376, 0, 98, 25, 109, 34, 43, 17, 126, 0, 0, 0, 0, 0, 99, 0, 0, 0, 38, 10, 25, 3, 8, 2, 28, 71, 21, 19, 21, 0, 7.0, 20.0, 20.0, 0, 2, 12, 9, 3, 0, 9, 1, 4, 5, 2, 0, 0.0, 6, 1, 0, 0, 0, 6, 6, 33.33, 95.24, 95.24, 90.5, 50.0, 50.0, 0, 16.69921875, 57.09375, 8.298828125, 33.296875, 41.6953125, 16.69921875, 0.0, 0.0, 75.0, 50.0, 25.0, 8.298828125, 0.0, 0.0, 26.0, 6.0, 6.0, 1.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers technologiques toutes séries", 32, "Bacheliers professionnels toutes séries", 10, "Liste d'appel propre à cette formation", 24.0, "24383", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24383&g_ta_cod=24383", 71.0, 29.0, 0.0),
(504, "Public", "0100025Y", "Lycée Les Lombards", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BTS", "Lycée Les Lombards - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 36, 418, 48, 361, 0, 40, 12, 78, 26, 78, 30, 165, 57, 2, 26, 0, 29, 173, 1, 0, 0, 37, 10, 64, 20, 39, 13, 33, 119, 27, 1, 26, 1, 4.0, 20.0, 26.0, 0, 8, 20, 6, 3, 11, 7, 0, 9, 8, 2, 1, 0.0, 0, 1, 10, 8, 0, 16, 16, 14.81, 74.07, 96.3, 3.69970703125, 80.0, 80.0, 40, 40.0, 74.09375, 0.0, 45.0, 40.0, 10.0, 5.0, 0.0, 30.0, 0.0, 15.0, 5.0, 55.0, 50.0, 22.0, 7.0, 35.0, 12.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 47.0, "2417", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2417&g_ta_cod=2417", 33.0, 26.0, 41.0),
(505, "Privé sous contrat d'association", "0932019P", "ESIEE Paris", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Noisy-le-Grand", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 10, 198, 15, 198, 0, 0, 0, 198, 58, 0, 0, 0, 0, 0, 0, 0, 0, 99, 0, 0, 0, 0, 0, 99, 20, 0, 0, 0, 91, 10, 0, 10, 0, 7.0, 10.0, 10.0, 0, 0, 10, 0, 10, 0, 0, 0, 0, 4, 6, 0, 0.0, 0, 10, 0, 0, 0, 8, 9, 70.0, 100.0, 100.0, 0.0, 80.0, 90.0, 0, 0.0, 100.0, 0.0, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "22901", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=22901", 0.0, 100.0, 0.0),
(506, "Privé sous contrat d'association", "0783351U", "Lycée Notre Dame du Grandchamp", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "BTS", "Lycée Notre Dame du Grandchamp - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 804, 336, 742, 0, 185, 16, 333, 34, 110, 30, 114, 62, 0, 0, 40, 22, 349, 0, 0, 0, 116, 13, 198, 23, 9, 1, 26, 184, 30, 19, 30, 0, 6.0, 26.0, 29.0, 0, 6, 29, 4, 20, 5, 1, 0, 5, 17, 6, 1, 0.0, 3, 16, 5, 5, 3, 28, 28, 20.0, 86.67, 96.67, 63.296875, 96.59375, 96.59375, 17.19921875, 20.69921875, 96.6875, 0.0, 17.19921875, 58.59375, 20.69921875, 3.4, 0.0, 13.798828125, 10.298828125, 69.0, 55.1953125, 17.19921875, 17.19921875, 58.0, 10.0, 9.0, 1.0, 9.0, "Tous les candidats sauf les Bac professionnels", 246.0, "Bacheliers professionnels toutes séries", 9, "", 0, "Liste d'appel propre à cette formation", 34.0, "10091", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10091&g_ta_cod=10091", 17.0, 67.0, 17.0),
(507, "Public", "0830053G", "Lycée Dumont d'Urville", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Dumont d'Urville - BTS - Services - Gestion de la PME", "BTS - Services", "", 70, 816, 468, 799, 0, 68, 22, 236, 107, 218, 100, 277, 17, 0, 8, 3, 6, 568, 4, 0, 0, 68, 22, 151, 68, 158, 67, 191, 245, 62, 44, 59, 2, 9.0, 48.0, 53.0, 0, 30, 55, 2, 23, 30, 7, 0, 19, 29, 6, 1, 0.0, 1, 15, 20, 2, 2, 50, 50, 14.52, 77.42, 85.48, 71.0, 90.890625, 90.890625, 3.599609375, 54.5, 88.6875, 0.0, 34.5, 52.6953125, 10.8984375, 1.8, 0.0, 3.599609375, 1.7998046875, 41.796875, 27.296875, 54.5, 36.3984375, 6.0, 3.0, 106.0, 45.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 168, "Bacheliers technologiques toutes séries", 168, "Liste d'appel propre à cette formation", 44.0, "10347", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10347&g_ta_cod=10347", 6.0, 40.0, 53.0),
(508, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Sciences et technologies - Parcours  Sciences et apprentissage chez l'enfant", "Licence - Sciences - technologies - santé", "Sciences et apprentissage chez l'enfant", 25, 146, 117, 120, 0, 67, 20, 11, 6, 2, 0, 40, 26, 8, 1, 0, 17, 120, 21, 0, 0, 67, 20, 11, 6, 2, 0, 40, 113, 21, 17, 17, 4, 3.0, 14.0, 20.0, 0, 3, 15, 14, 1, 0, 6, 0, 10, 5, 0, 0, 0.0, 5, 0, 0, 0, 0, 10, 10, 14.29, 66.67, 95.24, 81.0, 66.6875, 66.6875, 0, 20.0, 71.390625, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 93.296875, 33.296875, 6.69921875, 0.0, 0.0, 0.0, 60.0, 16.0, 2.0, 0.0, 43.0, "Tous les candidats", 119.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "20472", "Licence - Sciences et technologies - Parcours  Sciences et apprentissage chez l'enfant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20472&g_ta_cod=20472", 90.0, 10.0, 0.0),
(509, "Privé hors contrat", "9760462Y", "IRTS ANTENNE DE MAYOTTE", "976", "Mayotte", "Mayotte", "Mayotte", "Mamoudzou", "formation sélective", "EFTS", "IRTS ANTENNE DE MAYOTTE - D.E Assistant de Service Social", "D.E secteur social", "", 8, 32, 31, 32, 0, 7, 3, 4, 4, 0, 0, 21, 0, 0, 0, 0, 0, 22, 0, 0, 0, 6, 2, 4, 4, 0, 0, 12, 9, 7, 7, 7, 0, 7.0, 7.0, 7.0, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 8.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "32546", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32546&g_ta_cod=32546", 57.0, 14.0, 29.0),
(510, "Public", "0640011P", "Lycée Louis De Foix", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "BTS", "Lycée Louis De Foix - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 16, 367, 36, 367, 0, 56, 15, 104, 38, 113, 43, 94, 0, 0, 0, 0, 0, 231, 0, 0, 0, 53, 15, 75, 26, 80, 31, 23, 64, 17, 0, 17, 0, 2.0, 12.0, 15.0, 0, 9, 17, 3, 8, 6, 0, 0, 8, 6, 3, 0, 0.0, 2, 2, 5, 2, 0, 14, 14, 11.76, 70.59, 88.24, 0.0, 82.390625, 82.390625, 11.798828125, 52.8984375, 100.0, 0.0, 47.09375, 35.296875, 17.59765625, 0.0, 0.0, 17.59765625, 11.798828125, 47.09375, 11.798828125, 35.296875, 29.3984375, 10.0, 4.0, 18.0, 9.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 28.0, "19300", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19300&g_ta_cod=19300", 18.0, 47.0, 35.0),
(511, "Public", "0190765D", "IFSI CH de Brive", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "IFSI", "Regroupement d'IFSI Université Limoges - D.E Infirmier", "D.E secteur sanitaire", "", 53, 2765, 2333, 2765, 0, 583, 98, 560, 129, 260, 84, 1362, 0, 0, 0, 0, 0, 2381, 0, 0, 0, 567, 90, 513, 113, 201, 62, 1100, 455, 53, 50, 53, 0, 1.0, 28.0, 47.0, 0, 7, 46, 30, 14, 2, 7, 0, 8, 31, 7, 0, 0.0, 23, 13, 2, 0, 0, 17, 17, 1.89, 52.83, 88.68, 94.296875, 37.0, 37.0, 0, 15.19921875, 86.796875, 0.0, 17.3984375, 67.390625, 15.19921875, 0.0, 0.0, 65.1875, 50.0, 30.3984375, 28.296875, 4.2998046875, 4.2998046875, 185.0, 33.0, 11.0, 4.0, 153.0, "Tous les candidats", 1078.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "23154", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22989&g_ta_cod=23154", 66.0, 30.0, 4.0),
(512, "Public", "0333357V", "I.U.T de Bordeaux - Site Bordeaux - Gradignan", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Gradignan", "formation sélective", "BUT", "I.U.T de Bordeaux - Site Bordeaux - Gradignan - BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "BUT - Production", "Science du danger et management des risques professionnels technologiques et environnementaux", 76, 1029, 303, 1029, 0, 566, 50, 249, 36, 16, 2, 198, 0, 0, 0, 0, 0, 636, 0, 0, 0, 375, 30, 154, 19, 0, 0, 107, 361, 74, 22, 74, 0, 40.0, 65.0, 74.0, 0, 8, 59, 39, 20, 0, 15, 0, 15, 33, 9, 2, 0.0, 32, 12, 0, 0, 0, 32, 32, 54.05, 87.84, 100.0, 29.69921875, 54.1953125, 54.1953125, 0, 13.599609375, 79.6875, 0.0, 25.3984375, 55.8984375, 15.298828125, 3.4, 0.0, 66.09375, 54.1953125, 33.8984375, 20.296875, 0.0, 0.0, 182.0, 23.0, 0.0, 0.0, 59.0, "Tous les candidats sauf les Bac technologiques", 288.0, "Bacheliers technologiques toutes séries", 170, "", 0, "Liste d'appel propre à cette formation", 45.0, "4344", "BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4344&g_ta_cod=4344", 62.0, 38.0, 0.0),
(513, "Public", "0595809U", "Lycée de L'Escaut", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée de L'Escaut - BTS - Production - Pilotage des procédés", "BTS - Production", "", 15, 91, 23, 86, 0, 12, 4, 32, 13, 9, 4, 33, 5, 0, 0, 4, 1, 68, 1, 0, 0, 12, 4, 32, 13, 9, 4, 15, 44, 14, 3, 14, 0, 4.0, 11.0, 13.0, 0, 6, 10, 2, 7, 1, 4, 0, 8, 2, 0, 0, 0.0, 0, 2, 0, 3, 2, 10, 10, 28.57, 78.57, 92.86, 21.3984375, 100.0, 100.0, 30, 60.0, 71.390625, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 20.0, 0.0, 70.0, 20.0, 10.0, 0.0, 7.0, 1.0, 9.0, 4.0, 9.0, "Tous les candidats sauf les Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 13, "", 0, "Liste d'appel propre à cette formation", 65.0, "18926", "BTS - Production - Pilotage des procédés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18926&g_ta_cod=18926", 14.0, 71.0, 14.0),
(514, "Public", "0350709F", "Lycée des métiers La Champagne", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Vitré", "formation sélective", "BTS", "Lycée des métiers La Champagne - BTS - Production - Développement et Réalisation Bois (Seconde année en apprentissage)", "BTS - Production", "", 15, 224, 27, 224, 0, 23, 2, 40, 6, 125, 25, 36, 0, 0, 0, 0, 0, 224, 0, 0, 0, 23, 2, 40, 6, 125, 25, 36, 67, 12, 2, 12, 0, 1.0, 8.0, 10.0, 0, 3, 10, 0, 2, 8, 2, 0, 3, 1, 4, 2, 0.0, 0, 0, 7, 0, 0, 5, 5, 8.33, 66.67, 83.33, 16.69921875, 50.0, 50.0, 0, 30.0, 83.296875, 0.0, 30.0, 10.0, 40.0, 20.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 70.0, 6.0, 2.0, 44.0, 11.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 38.0, "18616", "BTS - Production - Développement et Réalisation Bois (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18616&g_ta_cod=18616", 8.0, 25.0, 67.0),
(515, "Public", "0931198X", "Lycée professionnel Alfred Costes", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation sélective", "Autre formation", "Lycée professionnel Alfred Costes - Mention complémentaire - FCIL Scénographie de la communication", "Mention complémentaire", "", 12, 128, 69, 57, 0, 3, 1, 1, 1, 36, 13, 17, 71, 9, 5, 26, 31, 23, 8, 0, 0, 0, 0, 0, 0, 21, 5, 2, 34, 10, 4, 6, 4, 5.0, 6.0, 9.0, 0, 2, 9, 0, 0, 9, 1, 0, 2, 5, 1, 1, 0.0, 0, 0, 7, 0, 0, 8, 9, 50.0, 60.0, 90.0, 40.0, 88.890625, 100.0, 0, 22.19921875, 90.0, 0.0, 22.19921875, 55.59375, 11.099609375, 11.1, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 77.796875, 1.0, 1.0, 26.0, 7.0, 4.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "24734", "Mention complémentaire - FCIL Scénographie de la communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24734&g_ta_cod=24734", 10.0, 0.0, 90.0),
(516, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 55, 170, 149, 153, 0, 109, 31, 11, 5, 2, 0, 31, 17, 5, 1, 1, 10, 152, 17, 0, 0, 109, 31, 11, 5, 2, 0, 30, 158, 30, 27, 25, 5, 18.0, 25.0, 28.0, 0, 9, 21, 20, 0, 1, 9, 0, 7, 6, 4, 4, 0.0, 14, 0, 0, 0, 0, 14, 14, 60.0, 83.33, 93.33, 90.0, 66.6875, 66.6875, 0, 42.8984375, 70.0, 0.0, 33.296875, 28.59765625, 19.0, 19.0, 0.0, 95.1875, 66.6875, 0.0, 0.0, 4.7998046875, 0.0, 106.0, 31.0, 3.0, 0.0, 37.0, "Tous les candidats", 168.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "6502", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26699&g_ta_cod=6502", 80.0, 13.0, 7.0),
(517, "Public", "9741173G", "Lycée La Possession", "974", "La Réunion", "La Réunion", "La Réunion", "La Possession", "formation sélective", "BTS", "Lycée La Possession - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 32, 429, 108, 428, 0, 32, 12, 123, 68, 197, 118, 76, 1, 0, 0, 0, 1, 133, 0, 0, 0, 8, 4, 49, 24, 73, 43, 3, 70, 30, 11, 30, 0, 16.0, 28.0, 28.0, 0, 18, 29, 1, 13, 15, 1, 0, 6, 10, 6, 7, 0.0, 1, 8, 14, 10, 3, 28, 28, 53.33, 93.33, 93.33, 36.6953125, 96.59375, 96.59375, 34.5, 62.09375, 96.6875, 0.0, 20.69921875, 34.5, 20.69921875, 24.1, 0.0, 3.39990234375, 3.39990234375, 44.796875, 27.59765625, 51.6953125, 48.296875, 2.0, 2.0, 31.0, 18.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 19.0, "11951", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11951&g_ta_cod=11951", 7.0, 43.0, 50.0),
(518, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Licence - Droit", "Licence - Droit-économie-gestion", "", 130, 1522, 1081, 1522, 0, 1176, 145, 151, 32, 33, 16, 162, 0, 0, 0, 0, 0, 1522, 0, 0, 0, 1176, 145, 151, 32, 33, 16, 162, 994, 143, 104, 143, 0, 92.0, 124.0, 143.0, 0, 19, 137, 132, 4, 1, 6, 0, 24, 65, 45, 3, 0.0, 108, 4, 1, 0, 0, 93, 93, 64.34, 86.71, 100.0, 72.6875, 67.890625, 67.890625, 0, 13.8984375, 95.796875, 0.0, 17.5, 47.3984375, 32.796875, 2.2, 0.0, 96.390625, 78.796875, 2.89990234375, 2.89990234375, 0.699951171875, 0.699951171875, 831.0, 94.0, 12.0, 5.0, 78.0, "Tous les candidats", 1693.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 95.0, "17417", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17417&g_ta_cod=17417", 97.0, 3.0, 1.0),
(519, "Privé sous contrat d'association", "0492246A", "ESAIP Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saint-Barthélemy-d'Anjou", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 60, 1719, 393, 1711, 0, 1704, 115, 0, 0, 0, 0, 7, 8, 8, 0, 0, 0, 1461, 8, 0, 0, 1461, 87, 0, 0, 0, 0, 0, 1246, 13, 5, 11, 2, 6.0, 11.0, 13.0, 0, 1, 13, 13, 0, 0, 0, 0, 1, 7, 5, 0, 0.0, 12, 0, 0, 0, 0, 8, 8, 46.15, 84.62, 100.0, 38.5, 61.5, 61.5, 0, 7.69921875, 100.0, 0.0, 7.69921875, 53.796875, 38.5, 0.0, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 1246.0, 79.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "262", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=262", 100.0, 0.0, 0.0),
(520, "Public", "0740276Y", "Lycée professionnel agricole", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Contamine-sur-Arve", "formation sélective", "BTS", "Lycée professionnel agricole - BTS - Agricole - productions animales", "BTS - Agricole", "", 16, 152, 106, 145, 0, 28, 5, 57, 6, 38, 8, 22, 7, 2, 0, 0, 5, 137, 3, 0, 0, 26, 4, 57, 6, 38, 8, 16, 72, 17, 9, 16, 1, 6.0, 12.0, 16.0, 0, 2, 15, 1, 7, 7, 2, 0, 5, 8, 1, 1, 0.0, 1, 4, 5, 3, 1, 11, 11, 35.29, 70.59, 94.12, 52.8984375, 73.296875, 73.296875, 20, 13.298828125, 88.1875, 0.0, 33.296875, 53.296875, 6.69921875, 6.7, 0.0, 6.69921875, 6.69921875, 46.6953125, 26.69921875, 46.6953125, 33.296875, 19.0, 3.0, 17.0, 4.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers technologiques toutes séries", 44, "Bacheliers professionnels toutes séries", 25, "Liste d'appel propre à cette formation", 71.0, "30842", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30842&g_ta_cod=30842", 12.0, 47.0, 41.0),
(521, "Public", "0750612H", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART.", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART. - DN MADE - Matériaux - - Spécialité : Textile, couleur, matière, surface", "DN MADE", "- Spécialité : Textile, couleur, matière, surface", 16, 656, 526, 656, 0, 221, 27, 148, 22, 53, 11, 234, 0, 0, 0, 0, 0, 100, 0, 0, 0, 30, 1, 45, 4, 5, 0, 20, 34, 16, 14, 16, 0, 7.0, 16.0, 16.0, 0, 2, 15, 3, 12, 0, 1, 0, 0, 2, 9, 4, 0.0, 3, 12, 0, 0, 0, 3, 4, 43.75, 100.0, 100.0, 87.5, 20.0, 26.69921875, 0, 13.298828125, 93.796875, 0.0, 0.0, 13.298828125, 60.0, 26.7, 0.0, 20.0, 20.0, 80.0, 80.0, 0.0, 0.0, 11.0, 0.0, 1.0, 0.0, 1.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "21799", "DN MADE - Matériaux - - Spécialité : Textile, couleur, matière, surface", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21799&g_ta_cod=21799", 25.0, 75.0, 0.0),
(522, "Privé sous contrat d'association", "0922653J", "Lycée DES METIERS LA SALLE ST NICOLAS", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Issy-les-Moulineaux", "formation sélective", "BTS", "Lycée DES METIERS LA SALLE ST NICOLAS - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 40, 252, 64, 161, 0, 22, 3, 59, 14, 37, 14, 43, 91, 13, 28, 3, 47, 110, 46, 0, 0, 19, 3, 40, 5, 26, 8, 25, 141, 28, 9, 15, 13, 4.0, 15.0, 22.0, 0, 3, 11, 4, 4, 3, 17, 0, 9, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 7, 11, 14.29, 53.57, 78.57, 32.09375, 63.59375, 100.0, 0, 27.296875, 39.296875, 0.0, 81.796875, 18.19921875, 0.0, 0.0, 0.0, 36.3984375, 0.0, 36.3984375, 9.099609375, 27.296875, 9.099609375, 26.0, 7.0, 19.0, 5.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 62.0, "11155", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11155&g_ta_cod=11155", 32.0, 39.0, 29.0),
(523, "Privé sous contrat d'association", "0690519P", "Lycée Notre Dame Des Minimes", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée Notre Dame Des Minimes - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 22, 918, 412, 918, 672, 848, 49, 0, 0, 0, 0, 70, 0, 0, 0, 0, 0, 798, 0, 604, 732, 767, 35, 0, 0, 0, 0, 31, 282, 22, 9, 22, 0, 3.0, 13.0, 21.0, 17, 2, 22, 22, 0, 0, 0, 0, 0, 1, 15, 6, 0.0, 22, 0, 0, 0, 0, 6, 6, 13.64, 59.09, 95.45, 40.8984375, 27.296875, 27.296875, 0, 9.099609375, 100.0, 0.0, 0.0, 4.5, 68.1875, 27.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 281.0, 14.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "31601", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31318&g_ta_cod=31601", 100.0, 0.0, 0.0),
(524, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 90, 529, 213, 376, 0, 188, 67, 38, 22, 28, 13, 122, 153, 29, 28, 14, 82, 375, 149, 0, 0, 188, 67, 38, 22, 28, 13, 121, 471, 90, 34, 40, 49, 5.0, 40.0, 62.0, 0, 27, 53, 28, 15, 10, 37, 0, 40, 12, 1, 0, 0.0, 6, 2, 5, 0, 0, 32, 49, 5.56, 44.44, 68.89, 37.796875, 60.3984375, 92.5, 0, 50.8984375, 58.8984375, 0.0, 75.5, 22.59765625, 1.89990234375, 0.0, 0.0, 52.796875, 11.298828125, 28.296875, 3.7998046875, 18.8984375, 9.3984375, 210.0, 76.0, 34.0, 16.0, 169.0, "Tous les candidats", 374.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "15086", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15086&g_ta_cod=15086", 48.0, 32.0, 19.0),
(525, "Public", "0261161W", "IFSI du CH de Montélimar", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Montélimar", "formation sélective", "IFSI", "Regroupement d'IFSI Université Grenoble Alpes - D.E Infirmier", "D.E secteur sanitaire", "", 63, 4775, 3998, 4775, 0, 692, 118, 1004, 233, 399, 149, 2680, 0, 0, 0, 0, 0, 3810, 0, 0, 0, 637, 104, 855, 185, 316, 107, 2002, 525, 63, 58, 63, 0, 1.0, 30.0, 49.0, 0, 16, 47, 12, 16, 19, 16, 0, 3, 22, 21, 1, 0.0, 11, 14, 19, 0, 0, 24, 24, 1.59, 47.62, 77.78, 92.09375, 51.09375, 51.09375, 0, 34.0, 74.59375, 0.0, 6.3994140625, 46.796875, 44.6953125, 2.1, 0.0, 25.5, 23.3984375, 34.0, 29.796875, 40.3984375, 40.3984375, 125.0, 20.0, 54.0, 17.0, 171.0, "Tous les candidats", 1922.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "23120", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22992&g_ta_cod=23120", 30.0, 38.0, 32.0),
(526, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes nordiques option Danois", "Licence - Arts-lettres-langues", "Etudes nordiques option Danois", 25, 68, 45, 61, 0, 36, 5, 5, 2, 3, 2, 17, 7, 0, 0, 0, 7, 61, 5, 0, 0, 36, 5, 5, 2, 3, 2, 17, 63, 7, 4, 5, 2, 3.0, 5.0, 5.0, 0, 1, 4, 4, 0, 0, 3, 0, 1, 2, 0, 1, 0.0, 3, 0, 0, 0, 0, 1, 1, 42.86, 71.43, 71.43, 57.09375, 25.0, 25.0, 0, 25.0, 57.09375, 0.0, 25.0, 50.0, 0.0, 25.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 34.0, 5.0, 3.0, 2.0, 21.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19497", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes nordiques option Danois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19497&g_ta_cod=19497", 86.0, 14.0, 0.0),
(527, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "Autre formation", "Université Claude Bernard Lyon 1 - DEUST - Animation et gestion des activités sportives, physiques ou culturelles, parcours agent de développement de club sportif", "DEUST", "", 28, 116, 31, 103, 0, 45, 7, 16, 2, 10, 5, 32, 13, 4, 2, 0, 7, 35, 6, 0, 0, 15, 2, 7, 1, 2, 0, 11, 43, 25, 6, 21, 4, 18.0, 19.0, 21.0, 0, 1, 14, 10, 3, 1, 11, 0, 6, 5, 3, 0, 0.0, 6, 1, 1, 0, 0, 5, 5, 72.0, 76.0, 84.0, 24.0, 35.6953125, 35.6953125, 0, 7.099609375, 56.0, 0.0, 42.8984375, 35.6953125, 21.3984375, 0.0, 0.0, 71.390625, 42.8984375, 21.3984375, 7.099609375, 7.099609375, 7.099609375, 17.0, 2.0, 2.0, 0.0, 16.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "8337", "DEUST - Animation et gestion des activités sportives, physiques ou culturelles, parcours agent de développement de club sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8337&g_ta_cod=8337", 64.0, 32.0, 4.0),
(528, "Public", "0420042T", "Lycée Honore D'Urfe", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "Autre formation", "Lycée Honore D'Urfe - Diplôme de Comptabilité et de Gestion", "DCG", "", 28, 609, 294, 548, 0, 230, 66, 108, 40, 16, 7, 194, 61, 7, 6, 3, 45, 296, 4, 0, 0, 171, 49, 66, 22, 0, 0, 59, 181, 25, 11, 23, 2, 1.0, 19.0, 24.0, 0, 12, 22, 15, 7, 0, 3, 0, 4, 13, 3, 2, 0.0, 11, 7, 0, 0, 0, 17, 17, 4.0, 76.0, 96.0, 44.0, 77.296875, 77.296875, 0, 54.5, 88.0, 0.0, 18.19921875, 59.09375, 13.599609375, 9.1, 0.0, 68.1875, 50.0, 31.796875, 31.796875, 0.0, 0.0, 113.0, 36.0, 0.0, 0.0, 39.0, "Tous les candidats", 295.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "5293", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5293&g_ta_cod=5293", 72.0, 28.0, 0.0),
(529, "Privé sous contrat d'association", "0450107X", "Groupe Scolaire Saint Louis", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Montargis", "formation sélective", "BTS", "Groupe Scolaire Saint Louis - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 25, 42, 12, 42, 0, 0, 0, 17, 5, 18, 4, 7, 0, 0, 0, 0, 0, 42, 0, 0, 0, 0, 0, 17, 5, 18, 4, 7, 37, 15, 3, 15, 0, 11.0, 15.0, 15.0, 0, 2, 11, 0, 3, 8, 4, 0, 3, 2, 4, 2, 0.0, 0, 2, 6, 8, 1, 8, 8, 73.33, 100.0, 100.0, 20.0, 72.6875, 72.6875, 72.6875, 18.19921875, 73.296875, 0.0, 27.296875, 18.19921875, 36.3984375, 18.2, 0.0, 0.0, 0.0, 27.296875, 18.19921875, 72.6875, 54.5, 0.0, 0.0, 15.0, 4.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 95.0, "5683", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5683&g_ta_cod=5683", 27.0, 20.0, 53.0),
(530, "Privé sous contrat d'association", "0623136X", "IFSI Croix Rouge Française Calais", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 95, 3568, 2816, 3568, 0, 627, 152, 675, 194, 328, 135, 1938, 0, 0, 0, 0, 0, 2987, 0, 0, 0, 574, 135, 573, 158, 262, 101, 1578, 992, 95, 85, 95, 0, 1.0, 44.0, 78.0, 0, 20, 63, 21, 21, 21, 32, 0, 9, 29, 21, 4, 0.0, 17, 18, 19, 0, 0, 62, 62, 1.05, 46.32, 82.11, 89.5, 98.390625, 98.390625, 0, 31.69921875, 66.296875, 0.0, 14.298828125, 46.0, 33.296875, 6.3, 0.0, 33.296875, 27.0, 33.296875, 28.59765625, 33.296875, 30.19921875, 228.0, 47.0, 109.0, 42.0, 447.0, "Tous les candidats", 4345.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 41.0, "23139", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23139", 42.0, 29.0, 27.0),
(531, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence", "Institut national universitaire Champollion - Licence - Informatique - Parcours Programmation informatique pour l'entreprise et l'innovation technologique", "Licence - Sciences - technologies - santé", "Programmation informatique pour l'entreprise et l'innovation technologique", 60, 442, 46, 442, 0, 299, 65, 40, 9, 6, 3, 97, 0, 0, 0, 0, 0, 442, 0, 0, 0, 299, 65, 40, 9, 6, 3, 97, 317, 62, 1, 62, 0, 17.0, 55.0, 62.0, 0, 12, 43, 36, 4, 3, 19, 0, 28, 10, 3, 2, 0.0, 13, 1, 1, 0, 0, 34, 34, 27.42, 88.71, 100.0, 1.599853515625, 79.09375, 79.09375, 0, 27.8984375, 69.390625, 0.0, 65.09375, 23.296875, 7.0, 4.7, 0.0, 83.6875, 30.19921875, 9.298828125, 2.2998046875, 7.0, 2.2998046875, 234.0, 50.0, 4.0, 2.0, 59.0, "Tous les candidats", 435.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "10310", "Licence - Informatique - Parcours Programmation informatique pour l'entreprise et l'innovation technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10310&g_ta_cod=10310", 81.0, 15.0, 5.0),
(532, "Privé sous contrat d'association", "0932319R", "CEMEA ILE-DE-FRANCE-CFPES", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "EFTS", "CEMEA ILE-DE-FRANCE-CFPES - D.E Educateur Spécialisé", "D.E secteur social", "", 38, 273, 226, 273, 0, 25, 3, 45, 19, 77, 37, 126, 0, 0, 0, 0, 0, 224, 0, 0, 0, 21, 2, 35, 14, 52, 23, 116, 81, 41, 34, 41, 0, 23.0, 41.0, 41.0, 0, 7, 13, 4, 4, 5, 28, 0, 4, 8, 1, 0, 0.0, 4, 3, 2, 0, 0, 6, 11, 56.1, 100.0, 100.0, 82.890625, 46.1953125, 84.59375, 0, 53.796875, 31.69921875, 0.0, 30.796875, 61.5, 7.69921875, 0.0, 0.0, 30.796875, 30.796875, 30.796875, 23.09765625, 38.5, 15.3984375, 10.0, 1.0, 13.0, 7.0, 43.0, "Tous les candidats", 90.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "23701", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23701&g_ta_cod=23701", 22.0, 39.0, 34.0),
(533, "Privé sous contrat d'association", "0451335G", "Lycée Sainte-Croix Saint-Euverte", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "CPGE", "Lycée Sainte-Croix Saint-Euverte - CPGE - MPSI", "Classe préparatoire scientifique", "", 36, 187, 45, 187, 101, 135, 17, 2, 0, 0, 0, 50, 0, 0, 0, 0, 0, 185, 0, 77, 180, 133, 17, 2, 0, 0, 0, 50, 147, 23, 3, 23, 0, 5.0, 21.0, 22.0, 10, 0, 16, 16, 0, 0, 7, 0, 6, 6, 3, 1, 0.0, 10, 0, 0, 0, 0, 9, 9, 21.74, 91.3, 95.65, 13.0, 56.296875, 56.296875, 0, 0.0, 69.59375, 0.0, 37.5, 37.5, 18.796875, 6.3, 0.0, 100.0, 62.5, 0.0, 0.0, 0.0, 0.0, 109.0, 13.0, 0.0, 0.0, 38.0, "Tous les candidats", 173.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "25067", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25067&g_ta_cod=25067", 100.0, 0.0, 0.0),
(534, "Privé sous contrat d'association", "0350793X", "Lycée Frédéric OZANAM", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Cesson-Sévigné", "formation sélective", "BTS", "Lycée Frédéric OZANAM - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 15, 174, 5, 170, 0, 29, 4, 34, 6, 76, 11, 31, 4, 0, 0, 3, 1, 116, 0, 0, 0, 23, 4, 24, 4, 57, 6, 12, 52, 12, 0, 12, 0, 5.0, 12.0, 12.0, 0, 3, 10, 1, 1, 8, 2, 0, 1, 6, 2, 1, 0.0, 1, 0, 8, 6, 0, 8, 8, 41.67, 100.0, 100.0, 0.0, 80.0, 80.0, 60, 30.0, 83.296875, 0.0, 10.0, 60.0, 20.0, 10.0, 0.0, 10.0, 10.0, 10.0, 0.0, 80.0, 80.0, 6.0, 1.0, 32.0, 4.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 53.0, "4687", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4687&g_ta_cod=4687", 17.0, 17.0, 67.0),
(535, "Privé sous contrat d'association", "0900029T", "Lycée Notre Dame Des Anges", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "BTS", "Lycée Notre Dame Des Anges - BTS - Services - Support à l'action managériale", "BTS - Services", "", 30, 186, 121, 155, 0, 8, 2, 53, 22, 50, 25, 44, 31, 4, 16, 0, 11, 103, 7, 0, 0, 4, 1, 43, 18, 36, 15, 20, 96, 21, 16, 19, 2, 3.0, 17.0, 18.0, 0, 5, 12, 0, 6, 6, 9, 0, 5, 5, 1, 1, 0.0, 0, 2, 5, 0, 0, 11, 11, 14.29, 80.95, 85.71, 76.1875, 91.6875, 91.6875, 0, 41.6953125, 57.09375, 0.0, 41.6953125, 41.6953125, 8.298828125, 8.3, 0.0, 0.0, 0.0, 50.0, 16.69921875, 50.0, 41.6953125, 4.0, 1.0, 26.0, 11.0, 22.0, "Tous les candidats sauf les Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 64.0, "10815", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10815&g_ta_cod=10815", 10.0, 48.0, 43.0),
(536, "Privé sous contrat d'association", "0622198C", "Lycée Saint Joseph", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Martin-Boulogne", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 42, 220, 17, 213, 0, 25, 3, 41, 10, 46, 13, 101, 7, 0, 0, 4, 3, 136, 1, 0, 0, 25, 3, 41, 10, 46, 13, 24, 95, 38, 2, 37, 0, 15.0, 31.0, 37.0, 0, 11, 27, 2, 12, 13, 11, 0, 9, 11, 7, 0, 0.0, 0, 8, 10, 5, 0, 27, 27, 39.47, 81.58, 97.37, 5.2998046875, 100.0, 100.0, 18.5, 40.6953125, 71.09375, 0.0, 33.296875, 40.6953125, 25.8984375, 0.0, 0.0, 7.3994140625, 0.0, 44.3984375, 29.59765625, 48.09375, 37.0, 7.0, 2.0, 42.0, 13.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 60.0, "7429", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7429&g_ta_cod=7429", 18.0, 42.0, 39.0),
(537, "Public", "0680003J", "Lycée agricole de Rouffach", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Rouffach", "formation sélective", "BTS", "Lycée agricole de Rouffach - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 27, 400, 178, 395, 0, 19, 2, 37, 6, 42, 11, 297, 5, 0, 0, 4, 1, 98, 0, 0, 0, 19, 2, 35, 4, 33, 5, 11, 77, 20, 13, 20, 0, 12.0, 20.0, 20.0, 0, 1, 17, 5, 9, 3, 3, 0, 9, 6, 2, 0, 0.0, 3, 4, 1, 5, 2, 11, 11, 60.0, 100.0, 100.0, 65.0, 64.6875, 64.6875, 29.3984375, 5.8994140625, 85.0, 0.0, 52.8984375, 35.296875, 11.798828125, 0.0, 0.0, 29.3984375, 17.59765625, 52.8984375, 23.5, 17.59765625, 5.8994140625, 15.0, 0.0, 24.0, 2.0, 11.0, "Tous les candidats sauf les Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 25.0, "8081", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8081&g_ta_cod=8081", 40.0, 45.0, 15.0),
(538, "Public", "0730858L", "Université Savoie Mont Blanc - Chambéry", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Jacob-Bellecombette", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Chambéry - Licence - Droit", "Licence - Droit-économie-gestion", "", 265, 1797, 1312, 1776, 0, 1366, 237, 158, 41, 31, 12, 221, 21, 4, 2, 0, 15, 1775, 11, 0, 0, 1366, 237, 158, 41, 31, 12, 220, 1195, 261, 197, 252, 9, 90.0, 217.0, 237.0, 0, 42, 224, 207, 14, 3, 37, 6, 58, 100, 52, 8, 0.0, 148, 9, 3, 0, 0, 207, 207, 34.48, 83.14, 90.8, 75.5, 92.390625, 92.390625, 0, 18.796875, 85.796875, 2.69970703125, 25.8984375, 44.59375, 23.19921875, 3.6, 0.0, 92.390625, 66.09375, 6.2998046875, 4.0, 1.2998046875, 1.2998046875, 1025.0, 176.0, 9.0, 3.0, 133.0, "Tous les candidats", 1329.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "8811", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8811&g_ta_cod=8811", 91.0, 7.0, 2.0),
(539, "Public", "0750647W", "Lycée Turgot", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "BTS", "Lycée Turgot - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 48, 2791, 293, 2791, 0, 299, 86, 795, 294, 723, 311, 974, 0, 0, 0, 0, 0, 2791, 0, 0, 0, 299, 86, 795, 294, 723, 311, 974, 164, 48, 7, 48, 0, 12.0, 37.0, 42.0, 0, 17, 37, 8, 15, 14, 11, 0, 10, 18, 7, 2, 0.0, 4, 11, 12, 1, 0, 15, 37, 25.0, 77.08, 87.5, 14.599609375, 40.5, 100.0, 2.69970703125, 45.8984375, 77.09375, 0.0, 27.0, 48.59375, 18.8984375, 5.4, 0.0, 21.59765625, 10.798828125, 40.5, 29.69921875, 37.796875, 32.3984375, 34.0, 10.0, 29.0, 17.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 149, "Liste d'appel propre à cette formation", 9.0, "8951", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8951&g_ta_cod=8951", 21.0, 48.0, 31.0),
(540, "Privé sous contrat d'association", "0331495W", "Lycée L 'Assomption - Sainte Clotilde", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée L 'Assomption - Sainte Clotilde - BTS - Services - Commerce International", "BTS - Services", "", 18, 638, 324, 636, 0, 256, 32, 189, 45, 52, 15, 139, 2, 0, 0, 1, 1, 238, 0, 0, 0, 81, 14, 74, 19, 28, 7, 55, 60, 15, 10, 15, 0, 4.0, 12.0, 12.0, 0, 2, 9, 4, 4, 1, 6, 0, 1, 5, 3, 0, 0.0, 3, 4, 1, 4, 3, 9, 9, 26.67, 80.0, 80.0, 66.6875, 100.0, 100.0, 44.3984375, 22.19921875, 60.0, 0.0, 11.099609375, 55.59375, 33.296875, 0.0, 0.0, 44.3984375, 33.296875, 44.3984375, 44.3984375, 11.099609375, 11.099609375, 11.0, 3.0, 14.0, 4.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 14.0, "20396", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20396&g_ta_cod=20396", 40.0, 53.0, 7.0),
(541, "Public", "0640044A", "Lycée des métiers de la chimie Albert Camus", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Mourenx", "formation sélective", "BTS", "Lycée des métiers de la chimie Albert Camus - BTS - Production - Métiers de la chimie", "BTS - Production", "", 15, 307, 163, 307, 0, 36, 6, 123, 21, 11, 3, 137, 0, 0, 0, 0, 0, 166, 0, 0, 0, 33, 4, 123, 21, 9, 2, 1, 62, 13, 4, 13, 0, 1.0, 10.0, 13.0, 0, 2, 13, 1, 12, 0, 0, 0, 6, 7, 0, 0, 0.0, 0, 7, 0, 0, 0, 11, 11, 7.69, 76.92, 100.0, 30.796875, 84.59375, 84.59375, 0, 15.3984375, 100.0, 0.0, 46.1953125, 53.796875, 0.0, 0.0, 0.0, 7.69921875, 0.0, 92.296875, 53.796875, 0.0, 0.0, 16.0, 3.0, 6.0, 2.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 38.0, "7702", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7702&g_ta_cod=7702", 8.0, 92.0, 0.0),
(542, "Privé sous contrat d'association", "0490075R", "ESEO Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 24, 130, 5, 130, 0, 0, 0, 130, 25, 0, 0, 0, 0, 0, 0, 0, 0, 99, 0, 0, 0, 0, 0, 99, 15, 0, 0, 0, 90, 12, 0, 12, 0, 6.0, 12.0, 12.0, 0, 2, 12, 0, 12, 0, 0, 0, 0, 6, 4, 2, 0.0, 0, 12, 0, 0, 0, 6, 6, 50.0, 100.0, 100.0, 0.0, 50.0, 50.0, 0, 16.69921875, 100.0, 0.0, 0.0, 50.0, 33.296875, 16.7, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "22894", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=22894", 0.0, 100.0, 0.0),
(543, "Public", "0940120V", "Lycée Marcelin Berthelot", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "CPGE", "Lycée Marcelin Berthelot - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 1400, 655, 1400, 655, 1264, 176, 0, 0, 1, 1, 135, 0, 0, 0, 0, 0, 623, 0, 101, 597, 611, 77, 0, 0, 0, 0, 12, 246, 19, 12, 19, 0, 1.0, 8.0, 19.0, 1, 2, 19, 19, 0, 0, 0, 0, 0, 0, 9, 10, 0.0, 19, 0, 0, 0, 0, 13, 18, 5.26, 42.11, 100.0, 63.1953125, 68.390625, 94.6875, 0, 10.5, 100.0, 0.0, 0.0, 0.0, 47.3984375, 52.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 241.0, 29.0, 0.0, 0.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "31636", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31295&g_ta_cod=31636", 100.0, 0.0, 0.0),
(544, "Public", "0783752E", "Institut de formation en Ergothérapie du Centre Hospitalier Intercommunal de Meulan-Les Mureaux", "78", "Yvelines", "Ile-de-France", "Versailles", "Les Mureaux", "formation sélective", "Autre formation", "Institut de formation en Ergothérapie du Centre Hospitalier Intercommunal de Meulan-Les Mureaux - D.E Ergothérapeute", "D.E secteur sanitaire", "", 38, 710, 604, 710, 0, 160, 16, 105, 12, 5, 3, 440, 0, 0, 0, 0, 0, 599, 0, 0, 0, 142, 12, 78, 9, 5, 3, 374, 182, 38, 35, 38, 0, 1.0, 17.0, 28.0, 0, 1, 10, 8, 2, 0, 28, 0, 1, 6, 3, 0, 0.0, 7, 2, 0, 0, 0, 5, 5, 2.63, 44.74, 73.68, 92.09375, 50.0, 50.0, 0, 10.0, 26.296875, 0.0, 10.0, 60.0, 30.0, 0.0, 0.0, 80.0, 70.0, 20.0, 20.0, 0.0, 0.0, 50.0, 4.0, 1.0, 1.0, 113.0, "Tous les candidats", 203.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "26457", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26457&g_ta_cod=26457", 84.0, 16.0, 0.0),
(545, "Public", "0031082K", "Lycée Valery Larbaud", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Cusset", "formation sélective", "BTS", "Lycée Valery Larbaud - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 24, 136, 72, 134, 0, 0, 0, 36, 4, 78, 24, 20, 2, 0, 1, 0, 1, 134, 1, 0, 0, 0, 0, 36, 4, 78, 24, 20, 90, 21, 13, 21, 0, 3.0, 17.0, 20.0, 0, 6, 17, 0, 1, 16, 4, 0, 3, 7, 7, 0, 0.0, 0, 1, 13, 7, 4, 13, 13, 14.29, 80.95, 95.24, 61.8984375, 76.5, 76.5, 41.1953125, 35.296875, 81.0, 0.0, 17.59765625, 41.1953125, 41.1953125, 0.0, 0.0, 0.0, 0.0, 5.8994140625, 5.8994140625, 94.09375, 76.5, 0.0, 0.0, 54.0, 19.0, 14.0, "Tous les candidats sauf les Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 75, "", 0, "Liste d'appel propre à cette formation", 95.0, "2157", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2157&g_ta_cod=2157", 5.0, 10.0, 86.0),
(546, "Public", "0690274Y", "IUT Lyon1 Site de Villeurbanne Doua", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "BUT", "IUT Lyon1 Site de Villeurbanne Doua - BUT - Génie biologique Parcours diététique et nutrition", "BUT - Production", "", 28, 1762, 1426, 1762, 0, 750, 103, 323, 77, 19, 8, 670, 0, 0, 0, 0, 0, 1596, 0, 0, 0, 750, 103, 199, 51, 19, 8, 628, 176, 28, 22, 28, 0, 3.0, 18.0, 22.0, 0, 10, 19, 7, 12, 0, 9, 0, 4, 9, 5, 1, 0.0, 7, 8, 0, 0, 0, 8, 8, 10.71, 64.29, 78.57, 78.59375, 42.09375, 42.09375, 0, 52.59375, 67.890625, 0.0, 21.09765625, 47.3984375, 26.296875, 5.3, 0.0, 36.796875, 36.796875, 63.1953125, 42.09375, 0.0, 0.0, 52.0, 12.0, 0.0, 0.0, 70.0, "Tous les candidats sauf les Bac technologiques", 158.0, "Bacheliers technologiques toutes séries", 78, "", 0, "Liste d'appel propre à cette formation", 13.0, "8276", "BUT - Génie biologique Parcours diététique et nutrition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8276&g_ta_cod=8276", 50.0, 50.0, 0.0),
(547, "Public", "0711690B", "I.U.T de Chalon-Sur-Saône", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "BUT", "I.U.T de Chalon-Sur-Saône - BUT - Génie industriel et maintenance Parcours : Management, méthodes, maintenance innovante", "BUT - Production", "Management, méthodes, maintenance innovante", 48, 317, 17, 291, 0, 144, 15, 100, 16, 9, 4, 38, 26, 10, 0, 0, 16, 235, 15, 0, 0, 120, 13, 82, 12, 6, 2, 27, 225, 30, 1, 27, 3, 16.0, 27.0, 30.0, 0, 0, 24, 13, 11, 0, 6, 0, 7, 13, 4, 0, 0.0, 8, 9, 0, 0, 0, 13, 13, 53.33, 90.0, 100.0, 3.2998046875, 54.1953125, 54.1953125, 0, 0.0, 80.0, 0.0, 29.19921875, 54.1953125, 16.69921875, 0.0, 0.0, 54.1953125, 33.296875, 45.796875, 37.5, 0.0, 0.0, 120.0, 13.0, 4.0, 2.0, 28.0, "Tous les candidats sauf les Bac technologiques", 145.0, "Bacheliers technologiques toutes séries", 89, "", 0, "Liste d'appel propre à cette formation", 80.0, "8667", "BUT - Génie industriel et maintenance Parcours : Management, méthodes, maintenance innovante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8667&g_ta_cod=8667", 57.0, 43.0, 0.0),
(548, "Public", "0180036S", "Lycée Henri Brisson", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Vierzon", "formation sélective", "BTS", "Lycée Henri Brisson - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 14, 404, 57, 371, 0, 47, 13, 77, 21, 50, 19, 197, 33, 7, 1, 0, 25, 165, 2, 0, 0, 23, 8, 71, 19, 50, 19, 21, 48, 12, 1, 12, 0, 2.0, 9.0, 9.0, 0, 4, 9, 1, 4, 4, 3, 0, 5, 2, 2, 0, 0.0, 0, 1, 3, 5, 0, 8, 8, 16.67, 75.0, 75.0, 8.298828125, 88.890625, 88.890625, 55.59375, 44.3984375, 75.0, 0.0, 55.59375, 22.19921875, 22.19921875, 0.0, 0.0, 11.099609375, 0.0, 44.3984375, 11.099609375, 44.3984375, 33.296875, 13.0, 6.0, 11.0, 5.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 16.0, "3110", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3110&g_ta_cod=3110", 25.0, 42.0, 33.0),
(549, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Espagnol - Enseignement dispensé à distance", "Licence - Arts-lettres-langues", "Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Espagnol - Enseignement dispensé à distance", 40, 219, 166, 136, 0, 56, 19, 6, 4, 3, 1, 71, 83, 10, 0, 3, 70, 134, 79, 0, 0, 56, 19, 6, 4, 3, 1, 69, 213, 38, 30, 18, 20, 18.0, 18.0, 33.0, 0, 1, 5, 4, 0, 1, 33, 0, 2, 1, 1, 1, 0.0, 3, 0, 0, 0, 0, 3, 3, 47.37, 47.37, 86.84, 78.890625, 60.0, 60.0, 0, 20.0, 13.19921875, 0.0, 40.0, 20.0, 20.0, 20.0, 0.0, 80.0, 60.0, 0.0, 0.0, 20.0, 0.0, 65.0, 21.0, 6.0, 1.0, 136.0, "Tous les candidats", 134.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "23353", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Espagnol - Enseignement dispensé à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23353&g_ta_cod=23353", 76.0, 11.0, 5.0),
(550, "Public", "0930117X", "Lycée Le Corbusier", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "BTS", "Lycée Le Corbusier - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 1272, 82, 1272, 0, 94, 37, 440, 231, 374, 219, 364, 0, 0, 0, 0, 0, 696, 0, 0, 0, 58, 22, 181, 86, 366, 214, 91, 134, 24, 1, 24, 0, 1.0, 22.0, 23.0, 0, 13, 23, 2, 13, 8, 1, 0, 7, 13, 2, 1, 0.0, 1, 9, 6, 10, 0, 19, 23, 4.17, 91.67, 95.83, 4.19921875, 82.59375, 100.0, 43.5, 56.5, 95.796875, 0.0, 30.3984375, 56.5, 8.69921875, 4.3, 0.0, 8.69921875, 4.2998046875, 56.5, 39.09375, 34.796875, 26.09765625, 11.0, 6.0, 48.0, 24.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 89, "Bacheliers technologiques toutes séries", 109, "Liste d'appel propre à cette formation", 17.0, "11163", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11163&g_ta_cod=11163", 8.0, 54.0, 38.0),
(551, "Privé enseignement supérieur", "0741787R", "UCLy Alpes-Europe", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "Licence", "UCLy Alpes-Europe - Licence - Double diplôme - Licence Droit - Double diplôme Licence de Droit + Bachelor of Civil Law (Bachelor irlandais)", "Licence - Droit-économie-gestion", "Double diplôme Licence de Droit + Bachelor of Civil Law (Bachelor irlandais)", 15, 81, 61, 62, 0, 50, 2, 1, 0, 1, 0, 10, 19, 10, 0, 0, 9, 50, 3, 0, 0, 43, 2, 0, 0, 0, 0, 7, 45, 12, 9, 10, 2, 4.0, 10.0, 11.0, 0, 1, 11, 11, 0, 0, 1, 0, 0, 5, 4, 2, 0.0, 11, 0, 0, 0, 0, 6, 6, 33.33, 83.33, 91.67, 75.0, 54.5, 54.5, 0, 9.099609375, 91.6875, 0.0, 0.0, 45.5, 36.3984375, 18.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 38.0, 1.0, 0.0, 0.0, 7.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "32423", "Licence - Double diplôme - Licence Droit - Double diplôme Licence de Droit + Bachelor of Civil Law (Bachelor irlandais)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32423&g_ta_cod=32423", 92.0, 8.0, 0.0),
(552, "Privé enseignement supérieur", "0380272Z", "EGC Nord-Isère", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Villefontaine", "formation sélective", "Ecole de Commerce", "EGC Nord-Isère - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "", 35, 47, 15, 38, 0, 21, 2, 10, 1, 1, 0, 6, 9, 3, 3, 0, 3, 30, 7, 0, 0, 16, 1, 9, 1, 1, 0, 4, 37, 14, 6, 9, 5, 8.0, 9.0, 12.0, 0, 2, 11, 5, 5, 1, 3, 0, 6, 4, 1, 0, 0.0, 2, 2, 1, 0, 0, 10, 10, 57.14, 64.29, 85.71, 42.8984375, 90.890625, 90.890625, 0, 18.19921875, 78.59375, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 45.5, 18.19921875, 45.5, 18.19921875, 9.099609375, 9.099609375, 19.0, 1.0, 1.0, 0.0, 7.0, "Tous les candidats", 30.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "12042", "Formation des écoles de commerce et de management Bac + 3", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12042&g_ta_cod=12042", 50.0, 43.0, 7.0),
(553, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence", "Université de Toulon - Licence - Portail Economie et gestion - Licence d'Economie et Gestion - Campus Toulon Centre Ville", "Licence - Droit-économie-gestion", "Licence d'Economie et Gestion - Campus Toulon Centre Ville", 335, 2140, 976, 1807, 0, 1083, 260, 220, 87, 74, 47, 430, 333, 45, 27, 24, 237, 1734, 278, 0, 0, 1083, 260, 220, 87, 74, 47, 357, 1649, 316, 115, 210, 104, 17.0, 192.0, 234.0, 0, 69, 197, 138, 43, 16, 119, 5, 109, 63, 17, 3, 0.0, 60, 21, 2, 0, 0, 167, 167, 5.38, 60.76, 74.05, 36.3984375, 84.796875, 84.796875, 0, 35.0, 62.296875, 2.5, 55.296875, 32.0, 8.599609375, 1.5, 0.0, 70.09375, 30.5, 21.796875, 10.69921875, 8.099609375, 1.0, 941.0, 210.0, 68.0, 46.0, 463.0, "Tous les candidats", 1785.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "10367", "Licence - Portail Economie et gestion - Licence d'Economie et Gestion - Campus Toulon Centre Ville", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31834&g_ta_cod=10367", 63.0, 24.0, 12.0),
(554, "Public", "0170029P", "Lycée Leonce Vieljeux", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BTS", "Lycée Leonce Vieljeux - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 23, 244, 11, 244, 0, 27, 1, 45, 7, 108, 31, 64, 0, 0, 0, 0, 0, 242, 0, 0, 0, 27, 1, 45, 7, 107, 30, 63, 105, 19, 0, 18, 0, 6.0, 10.0, 14.0, 0, 5, 16, 3, 0, 13, 3, 0, 3, 7, 5, 1, 0.0, 2, 0, 11, 1, 0, 15, 15, 31.58, 52.63, 73.68, 0.0, 93.796875, 93.796875, 6.2998046875, 31.296875, 84.1875, 0.0, 18.796875, 43.796875, 31.296875, 6.3, 0.0, 18.796875, 12.5, 0.0, 0.0, 81.296875, 68.796875, 8.0, 1.0, 62.0, 19.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 94, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 63.0, "3032", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3032&g_ta_cod=3032", 21.0, 5.0, 74.0),
(555, "Privé sous contrat d'association", "0350918H", "Lycée agricole LES VERGERS", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Dol-de-Bretagne", "formation sélective", "BTS", "Lycée agricole LES VERGERS - BTS - Agricole - productions animales", "BTS - Agricole", "", 18, 225, 130, 215, 0, 52, 6, 91, 14, 50, 9, 22, 10, 2, 2, 0, 6, 147, 6, 0, 0, 40, 5, 67, 11, 34, 6, 6, 77, 12, 6, 12, 0, 5.0, 12.0, 12.0, 0, 3, 12, 7, 2, 3, 0, 0, 3, 7, 2, 0, 0.0, 5, 2, 2, 0, 0, 11, 11, 41.67, 100.0, 100.0, 50.0, 91.6875, 91.6875, 0, 25.0, 100.0, 0.0, 25.0, 58.296875, 16.69921875, 0.0, 0.0, 58.296875, 41.6953125, 16.69921875, 16.69921875, 25.0, 16.69921875, 25.0, 3.0, 16.0, 3.0, 7.0, "Tous les candidats sauf les Bac professionnels", 113.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 67.0, "4706", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4706&g_ta_cod=4706", 58.0, 17.0, 25.0),
(556, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Arts plastiques", "Licence - Arts-lettres-langues", "", 365, 2220, 1724, 2220, 0, 1331, 287, 237, 63, 123, 47, 529, 0, 0, 0, 0, 0, 2220, 0, 0, 0, 1331, 287, 237, 63, 123, 47, 529, 1411, 375, 293, 375, 0, 76.0, 286.0, 340.0, 0, 85, 301, 245, 26, 30, 74, 0, 96, 141, 62, 2, 0.0, 165, 18, 22, 0, 0, 148, 148, 20.27, 76.27, 90.67, 78.09375, 49.1953125, 49.1953125, 0, 28.19921875, 80.296875, 0.0, 31.8984375, 46.796875, 20.59765625, 0.7, 0.0, 81.390625, 54.796875, 8.599609375, 6.0, 10.0, 7.2998046875, 957.0, 199.0, 74.0, 22.0, 243.0, "Tous les candidats", 1807.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "4754", "Licence - Arts plastiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4754&g_ta_cod=4754", 78.0, 9.0, 11.0),
(557, "Public", "0350029S", "Lycée Joliot-Curie", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Joliot-Curie - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 28, 415, 25, 397, 0, 40, 1, 144, 18, 91, 24, 122, 18, 0, 0, 15, 3, 249, 0, 0, 0, 32, 0, 140, 16, 58, 12, 19, 131, 27, 0, 26, 0, 4.0, 20.0, 26.0, 0, 4, 26, 2, 11, 13, 1, 0, 7, 12, 5, 2, 0.0, 1, 6, 12, 4, 0, 24, 24, 14.81, 74.07, 96.3, 0.0, 92.296875, 92.296875, 15.3984375, 15.3984375, 96.296875, 0.0, 26.8984375, 46.1953125, 19.19921875, 7.7, 0.0, 7.69921875, 3.7998046875, 42.296875, 23.09765625, 50.0, 46.1953125, 8.0, 0.0, 45.0, 10.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 150, "Liste d'appel propre à cette formation", 62.0, "4643", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4643&g_ta_cod=4643", 7.0, 44.0, 48.0),
(558, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation non sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Lettres - Parcours Lettres Modernes", "Licence - Arts-lettres-langues", "Lettres Modernes", 115, 435, 323, 253, 0, 175, 35, 6, 2, 8, 6, 64, 182, 28, 12, 8, 134, 253, 143, 0, 0, 175, 35, 6, 2, 8, 6, 64, 381, 104, 74, 42, 62, 14.0, 41.0, 62.0, 0, 12, 46, 34, 4, 8, 58, 1, 27, 11, 3, 3, 1.0, 15, 0, 3, 0, 0, 39, 40, 13.46, 39.42, 59.62, 71.1875, 84.796875, 87.0, 0, 26.09765625, 44.1953125, 2.19970703125, 58.6953125, 23.8984375, 6.5, 6.5, 2.2, 73.890625, 32.59375, 8.69921875, 0.0, 17.3984375, 6.5, 189.0, 38.0, 15.0, 9.0, 163.0, "Tous les candidats", 251.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "11645", "Licence - Lettres - Parcours Lettres Modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11645&g_ta_cod=11645", 68.0, 16.0, 15.0),
(559, "Public", "0572697X", "IFSI CHR Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nancy - D.E Infirmier", "D.E secteur sanitaire", "", 300, 5211, 4238, 5211, 0, 1092, 229, 982, 279, 510, 181, 2627, 0, 0, 0, 0, 0, 4452, 0, 0, 0, 1006, 199, 838, 223, 431, 142, 2177, 1704, 304, 258, 303, 0, 21.0, 172.0, 250.0, 0, 56, 179, 55, 78, 46, 125, 1, 27, 85, 54, 12, 0.0, 46, 61, 44, 0, 0, 145, 145, 6.91, 56.58, 82.24, 84.890625, 81.0, 81.0, 0, 31.296875, 58.8984375, 0.5999755859375, 15.099609375, 47.5, 30.19921875, 6.7, 0.0, 30.69921875, 25.69921875, 43.59375, 34.09375, 25.69921875, 24.59765625, 317.0, 66.0, 231.0, 89.0, 769.0, "Tous les candidats", 2775.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "23193", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22997&g_ta_cod=23193", 35.0, 37.0, 28.0),
(560, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Didactique du français langue étrangère (à distance ENEAD)", "Licence - Arts-lettres-langues", "Anglais - Mineure Didactique du français langue étrangère (à distance ENEAD)", 35, 338, 247, 338, 0, 119, 34, 11, 3, 5, 0, 203, 0, 0, 0, 0, 0, 321, 0, 0, 0, 119, 34, 11, 3, 5, 0, 186, 111, 36, 30, 35, 0, 6.0, 32.0, 32.0, 0, 4, 10, 8, 1, 1, 26, 0, 1, 4, 4, 1, 0.0, 7, 1, 1, 0, 0, 2, 5, 16.67, 88.89, 88.89, 83.296875, 20.0, 50.0, 0, 40.0, 27.796875, 0.0, 10.0, 40.0, 40.0, 10.0, 0.0, 80.0, 70.0, 10.0, 10.0, 10.0, 10.0, 38.0, 11.0, 3.0, 0.0, 62.0, "Tous les candidats", 142.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "23998", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Didactique du français langue étrangère (à distance ENEAD)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23998&g_ta_cod=23998", 72.0, 11.0, 14.0),
(561, "Public", "0150008C", "Lycée professionnel Raymond Cortat", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "Autre formation", "Lycée professionnel Raymond Cortat - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 9, 59, 13, 38, 0, 2, 0, 6, 2, 22, 6, 8, 21, 9, 1, 5, 6, 15, 9, 0, 0, 1, 0, 3, 2, 9, 1, 2, 24, 6, 2, 2, 4, 1.0, 2.0, 6.0, 0, 1, 6, 2, 1, 3, 0, 0, 2, 3, 1, 0, 0.0, 1, 1, 2, 0, 0, 4, 4, 16.67, 33.33, 100.0, 33.296875, 66.6875, 66.6875, 0, 16.69921875, 100.0, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 33.296875, 16.69921875, 16.69921875, 16.69921875, 50.0, 33.296875, 4.0, 0.0, 13.0, 2.0, 3.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "29492", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29492&g_ta_cod=29492", 33.0, 17.0, 50.0),
(562, "Public", "0671779V", "Lycée professionnel agricole", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Erstein", "formation sélective", "BTS", "Lycée professionnel agricole - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 26, 189, 83, 182, 0, 21, 4, 15, 1, 31, 15, 115, 7, 0, 2, 1, 4, 87, 5, 0, 0, 21, 4, 15, 1, 31, 15, 20, 79, 21, 14, 18, 3, 3.0, 17.0, 20.0, 0, 8, 17, 6, 2, 9, 4, 0, 11, 4, 1, 1, 0.0, 3, 0, 3, 3, 1, 8, 8, 14.29, 80.95, 95.24, 66.6875, 47.09375, 47.09375, 17.59765625, 47.09375, 81.0, 0.0, 64.6875, 23.5, 5.8994140625, 5.9, 0.0, 35.296875, 17.59765625, 11.798828125, 0.0, 52.8984375, 17.59765625, 18.0, 4.0, 29.0, 13.0, 20.0, "Tous les candidats sauf les Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 48.0, "7987", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7987&g_ta_cod=7987", 33.0, 19.0, 48.0),
(563, "Public", "0440139M", "I.U.T. Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Carquefou", "formation sélective", "BUT", "I.U.T. Nantes - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Management de process industriel - Simulation numérique et réalité virtuelle (Seconde année possible en apprentissage)", "BUT - Production", "Innovation pour l?industrie - Management de process industriel - Simulation numérique et réalité virtuelle", 104, 2035, 146, 2028, 0, 1201, 106, 520, 58, 8, 3, 299, 7, 0, 2, 0, 5, 1483, 1, 0, 0, 959, 82, 309, 37, 1, 0, 214, 781, 106, 3, 106, 0, 30.0, 74.0, 100.0, 0, 8, 95, 53, 42, 0, 11, 0, 3, 48, 42, 2, 0.0, 51, 41, 0, 0, 0, 58, 58, 28.3, 69.81, 94.34, 2.7998046875, 61.09375, 61.09375, 0, 8.3984375, 89.59375, 0.0, 3.19970703125, 50.5, 44.1953125, 2.1, 0.0, 55.796875, 53.6953125, 44.1953125, 43.1953125, 0.0, 0.0, 473.0, 49.0, 0.0, 0.0, 126.0, "Tous les candidats sauf les Bac technologiques", 911.0, "Bacheliers technologiques toutes séries", 329, "", 0, "Liste d'appel propre à cette formation", 61.0, "5480", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Management de process industriel - Simulation numérique et réalité virtuelle (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5480&g_ta_cod=5480", 58.0, 42.0, 0.0),
(564, "Public", "0600020W", "Lycée Marie Curie", "60", "Oise", "Hauts-de-France", "Amiens", "Nogent-sur-Oise", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Production - Métiers de la chimie", "BTS - Production", "", 24, 465, 232, 454, 0, 54, 7, 103, 24, 8, 2, 289, 11, 0, 1, 2, 8, 202, 3, 0, 0, 53, 6, 101, 23, 6, 1, 42, 119, 20, 12, 18, 2, 4.0, 13.0, 17.0, 0, 2, 13, 5, 5, 3, 7, 0, 6, 5, 2, 0, 0.0, 2, 2, 3, 1, 0, 10, 10, 20.0, 65.0, 85.0, 60.0, 76.890625, 76.890625, 7.69921875, 15.3984375, 65.0, 0.0, 46.1953125, 38.5, 15.3984375, 0.0, 0.0, 38.5, 15.3984375, 38.5, 15.3984375, 23.09765625, 23.09765625, 36.0, 5.0, 6.0, 1.0, 28.0, "Tous les candidats sauf les Bac professionnels", 184.0, "Bacheliers professionnels toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 42.0, "7233", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7233&g_ta_cod=7233", 40.0, 45.0, 15.0),
(565, "Public", "0760058A", "Lycée Schuman Perret", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "CPGE", "Lycée Schuman Perret - CPGE - PTSI", "Classe préparatoire scientifique", "", 48, 380, 95, 339, 209, 207, 24, 2, 1, 0, 0, 130, 41, 15, 1, 0, 25, 290, 18, 209, 211, 193, 21, 2, 1, 0, 0, 95, 194, 24, 5, 20, 4, 4.0, 20.0, 23.0, 10, 0, 18, 18, 0, 0, 6, 0, 3, 9, 6, 0, 0.0, 15, 0, 0, 1, 0, 16, 16, 16.67, 83.33, 95.83, 20.796875, 88.890625, 88.890625, 5.599609375, 0.0, 75.0, 0.0, 16.69921875, 50.0, 33.296875, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 153.0, 15.0, 0.0, 0.0, 41.0, "Tous les candidats", 214.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "9579", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9579&g_ta_cod=9579", 100.0, 0.0, 0.0),
(566, "Privé sous contrat d'association", "0640176U", "Institut du Travail Social de Pau", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "EFTS", "Institut du Travail Social de Pau - D.E Educateur Technique Spécialisé", "D.E secteur social", "", 15, 31, 27, 13, 0, 1, 0, 3, 1, 3, 1, 6, 18, 2, 3, 2, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "24965", "D.E Educateur Technique Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24965&g_ta_cod=24965", 0, 0, 0),
(567, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER Etudes vietnamiennes", "Licence - Arts-lettres-langues", "LLCER Etudes vietnamiennes", 37, 134, 85, 61, 0, 22, 9, 1, 0, 1, 0, 37, 73, 19, 4, 2, 48, 61, 71, 0, 0, 22, 9, 1, 0, 1, 0, 37, 132, 43, 29, 12, 31, 7.0, 12.0, 30.0, 0, 4, 9, 6, 1, 2, 34, 0, 5, 3, 1, 0, 0.0, 2, 0, 2, 0, 0, 0, 7, 16.28, 27.91, 69.77, 67.390625, 0.0, 77.796875, 0, 44.3984375, 20.8984375, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 66.6875, 22.19921875, 11.099609375, 0.0, 22.19921875, 22.19921875, 41.0, 15.0, 3.0, 0.0, 83.0, "Tous les candidats", 83.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9334", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER Etudes vietnamiennes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29393&g_ta_cod=9334", 63.0, 14.0, 19.0),
(568, "Public", "0341150R", "Unité de formation et de recherche de médecine Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "Regroupement Nouvelle Aquitaine et Occitanie (Est) - Certificat de capacité d'Orthoptiste", "D.E secteur sanitaire", "", 30, 685, 586, 685, 0, 164, 34, 33, 14, 4, 2, 484, 0, 0, 0, 0, 0, 418, 0, 0, 0, 133, 20, 16, 5, 2, 0, 267, 76, 29, 25, 29, 0, 10.0, 26.0, 28.0, 0, 2, 13, 13, 0, 0, 16, 0, 0, 7, 6, 0, 0.0, 13, 0, 0, 0, 0, 4, 4, 34.48, 89.66, 96.55, 86.1875, 30.796875, 30.796875, 0, 15.3984375, 44.796875, 0.0, 0.0, 53.796875, 46.1953125, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 47.0, 6.0, 0.0, 0.0, 29.0, "Tous les candidats", 99.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "28089", "Certificat de capacité d'Orthoptiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28089&g_ta_cod=28089", 100.0, 0.0, 0.0),
(569, "Privé sous contrat d'association", "0754086J", "Lycée Charles De Foucauld", "75", "Paris", "Ile-de-France", "Paris", "Paris 18e  Arrondissement", "formation sélective", "BTS", "Lycée Charles De Foucauld - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 33, 1214, 108, 614, 0, 111, 28, 162, 52, 125, 38, 216, 600, 78, 228, 34, 260, 158, 35, 0, 0, 30, 6, 52, 14, 45, 12, 31, 149, 31, 7, 18, 13, 6.0, 17.0, 23.0, 0, 3, 20, 7, 8, 5, 11, 0, 4, 13, 3, 0, 0.0, 3, 8, 5, 4, 2, 10, 19, 19.35, 54.84, 74.19, 22.59765625, 50.0, 95.0, 20, 15.0, 64.5, 0.0, 20.0, 65.0, 15.0, 0.0, 0.0, 35.0, 15.0, 40.0, 40.0, 25.0, 25.0, 30.0, 7.0, 29.0, 8.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 22.0, "9512", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9512&g_ta_cod=9512", 45.0, 39.0, 16.0),
(570, "Public", "0180584M", "I.U.T de Bourges", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BUT", "I.U.T de Bourges - BUT - Qualité, logistique industrielle et organisation Parcours : Pilotage de la chaîne logistique globale (Seconde année possible en apprentissage)", "BUT - Production", "Pilotage de la chaîne logistique globale", 28, 191, 40, 171, 0, 93, 11, 39, 9, 9, 3, 30, 20, 2, 1, 3, 14, 141, 12, 0, 0, 89, 11, 31, 7, 3, 1, 18, 104, 22, 3, 18, 4, 7.0, 18.0, 20.0, 0, 5, 15, 9, 5, 1, 7, 0, 11, 4, 0, 0, 0.0, 3, 1, 0, 0, 0, 14, 14, 31.82, 81.82, 90.91, 13.599609375, 93.296875, 93.296875, 0, 33.296875, 68.1875, 0.0, 73.296875, 26.69921875, 0.0, 0.0, 0.0, 60.0, 20.0, 33.296875, 6.69921875, 6.69921875, 0.0, 55.0, 9.0, 3.0, 2.0, 20.0, "Tous les candidats sauf les Bac technologiques", 100.0, "Bacheliers technologiques toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 80.0, "3122", "BUT - Qualité, logistique industrielle et organisation Parcours : Pilotage de la chaîne logistique globale (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3122&g_ta_cod=3122", 59.0, 32.0, 9.0),
(571, "Public", "0310036W", "Lycée Pierre De Fermat", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Pierre De Fermat - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 4281, 1570, 4281, 3518, 3716, 318, 2, 1, 0, 0, 563, 0, 0, 0, 0, 0, 3946, 0, 3518, 2929, 3533, 299, 2, 1, 0, 0, 411, 422, 96, 43, 96, 0, 33.0, 67.0, 85.0, 34, 8, 93, 93, 0, 0, 3, 0, 0, 0, 1, 51, 41.0, 93, 0, 0, 8, 5, 65, 65, 34.38, 69.79, 88.54, 44.796875, 69.890625, 69.890625, 8.599609375, 8.599609375, 96.890625, 0.0, 0.0, 0.0, 1.099853515625, 54.8, 44.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 411.0, 41.0, 0.0, 0.0, 11.0, "Tous les candidats", 577.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "4037", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4037&g_ta_cod=4037", 100.0, 0.0, 0.0),
(572, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Théologie - Parcours Théologie catholique", "Licence - Sciences humaines et sociales", "Théologie catholique", 49, 46, 23, 36, 0, 14, 5, 3, 1, 2, 1, 17, 10, 3, 0, 1, 6, 36, 10, 0, 0, 14, 5, 3, 1, 2, 1, 17, 46, 6, 4, 5, 1, 5.0, 5.0, 5.0, 0, 1, 2, 1, 1, 0, 4, 0, 0, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 1, 1, 83.33, 83.33, 83.33, 66.6875, 50.0, 50.0, 0, 50.0, 33.296875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 17.0, 6.0, 3.0, 1.0, 23.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5891", "Licence - Théologie - Parcours Théologie catholique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5891&g_ta_cod=5891", 83.0, 17.0, 0.0),
(573, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence_Las", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Sciences pour l'ingénieur - Télécommunications et réseaux informatiques", "Licence - Sciences - technologies - santé", "Télécommunications et réseaux informatiques", 2, 31, 7, 24, 0, 12, 2, 1, 1, 0, 0, 11, 7, 1, 0, 0, 6, 24, 3, 0, 0, 12, 2, 1, 1, 0, 0, 11, 16, 1, 0, 1, 0, 0.0, 0.0, 1.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9.0, 1.0, 0.0, 0.0, 7.0, "Tous les candidats", 163.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 92.0, "29661", "Licence - Portail Sciences pour l'ingénieur - Télécommunications et réseaux informatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29660&g_ta_cod=29661", 100.0, 0.0, 0.0),
(574, "Privé enseignement supérieur", "0142428N", "CESI Campus de Caen", "14", "Calvados", "Normandie", "Normandie", "Hérouville-Saint-Clair", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 36, 824, 127, 795, 0, 605, 54, 57, 10, 0, 0, 133, 29, 6, 0, 0, 23, 595, 6, 0, 0, 482, 32, 44, 5, 0, 0, 69, 178, 20, 0, 17, 3, 12.0, 17.0, 20.0, 0, 0, 15, 13, 2, 0, 5, 0, 5, 5, 4, 1, 0.0, 8, 2, 0, 0, 0, 13, 13, 60.0, 85.0, 100.0, 0.0, 86.6875, 86.6875, 0, 0.0, 75.0, 0.0, 33.296875, 33.296875, 26.69921875, 6.7, 0.0, 86.6875, 53.296875, 13.298828125, 13.298828125, 0.0, 0.0, 124.0, 6.0, 0.0, 0.0, 46.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "25171", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25171", 85.0, 15.0, 0.0),
(575, "Privé sous contrat d'association", "0131456M", "Lycée Pastré - Grande Bastide", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  9e  Arrondissement", "formation sélective", "Autre formation", "Lycée Pastré - Grande Bastide - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 84, 25, 51, 0, 10, 2, 7, 1, 19, 11, 15, 33, 8, 9, 2, 14, 30, 4, 0, 0, 8, 1, 2, 0, 8, 4, 12, 37, 6, 2, 2, 3, 2.0, 2.0, 3.0, 0, 2, 5, 2, 2, 1, 1, 0, 3, 1, 1, 0, 0.0, 0, 1, 1, 0, 0, 4, 4, 33.33, 33.33, 50.0, 33.296875, 80.0, 80.0, 0, 40.0, 83.296875, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 40.0, 0.0, 40.0, 20.0, 20.0, 20.0, 11.0, 1.0, 8.0, 4.0, 13.0, "Tous les candidats", 30.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "33818", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33818&g_ta_cod=33818", 50.0, 33.0, 17.0),
(576, "Privé sous contrat d'association", "0850086G", "Ensemble scolaire Saint- Gabriel Saint- Michel", "85", "Vendée", "Pays de la Loire", "Nantes", "Saint-Laurent-sur-Sèvre", "formation sélective", "BTS", "Ensemble scolaire Saint- Gabriel Saint- Michel - BTS - Production - Conception de produits industriels", "BTS - Production", "", 12, 150, 10, 148, 0, 24, 2, 71, 3, 9, 1, 44, 2, 1, 0, 0, 1, 115, 0, 0, 0, 23, 2, 71, 3, 7, 1, 14, 55, 7, 0, 7, 0, 3.0, 7.0, 7.0, 0, 1, 5, 0, 5, 0, 2, 0, 4, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 4, 4, 42.86, 100.0, 100.0, 0.0, 80.0, 80.0, 0, 20.0, 71.390625, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 20.0, 0.0, 0.0, 10.0, 1.0, 3.0, 1.0, 9.0, "Tous les candidats sauf les Bac professionnels", 106.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 76.0, "10492", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10492&g_ta_cod=10492", 0.0, 86.0, 14.0),
(577, "Privé sous contrat d'association", "0831141P", "Lycée la Tourrache", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Autre formation", "Lycée la Tourrache - DN MADE - Espace - - Spécialité : Scénographie et architectures éphémères", "DN MADE", "- Spécialité : Scénographie et architectures éphémères", 15, 311, 265, 311, 0, 115, 18, 81, 15, 34, 5, 81, 0, 0, 0, 0, 0, 91, 0, 0, 0, 32, 3, 47, 7, 7, 0, 5, 52, 15, 14, 15, 0, 1.0, 13.0, 13.0, 0, 1, 14, 6, 7, 1, 1, 0, 1, 8, 5, 0, 0.0, 6, 6, 1, 0, 0, 2, 2, 6.67, 86.67, 86.67, 93.296875, 14.298828125, 14.298828125, 0, 7.099609375, 93.296875, 0.0, 7.099609375, 57.09375, 35.6953125, 0.0, 0.0, 42.8984375, 42.8984375, 50.0, 42.8984375, 7.099609375, 7.099609375, 17.0, 1.0, 2.0, 0.0, 2.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "24356", "DN MADE - Espace - - Spécialité : Scénographie et architectures éphémères", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24356&g_ta_cod=24356", 40.0, 53.0, 7.0),
(578, "Privé sous contrat d'association", "0391146J", "Lycée Pasteur Mont Roland", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Dole", "formation sélective", "BTS", "Lycée Pasteur Mont Roland - BTS - Services - Support à l'action managériale", "BTS - Services", "", 40, 205, 133, 183, 0, 9, 5, 30, 6, 32, 12, 112, 22, 2, 9, 5, 6, 88, 15, 0, 0, 9, 5, 30, 6, 32, 12, 17, 89, 5, 3, 4, 1, 1.0, 4.0, 4.0, 0, 1, 5, 1, 2, 2, 0, 0, 3, 2, 0, 0, 0.0, 0, 2, 0, 1, 1, 4, 4, 20.0, 80.0, 80.0, 60.0, 80.0, 80.0, 20, 20.0, 100.0, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 20.0, 0.0, 40.0, 40.0, 40.0, 0.0, 10.0, 5.0, 32.0, 12.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 48.0, "5183", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5183&g_ta_cod=5183", 20.0, 40.0, 40.0),
(579, "Privé sous contrat d'association", "0941934S", "EFREI Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villejuif", "formation sélective", "BTS", "EFREI Paris - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 22, 699, 68, 699, 0, 110, 26, 225, 74, 136, 49, 228, 0, 0, 0, 0, 0, 571, 0, 0, 0, 105, 23, 214, 69, 127, 43, 125, 135, 22, 1, 22, 0, 3.0, 13.0, 15.0, 0, 6, 19, 7, 6, 6, 3, 1, 6, 6, 3, 3, 0.0, 2, 4, 6, 0, 0, 11, 19, 13.64, 59.09, 68.18, 4.5, 57.8984375, 100.0, 0, 31.59765625, 86.390625, 5.2998046875, 31.59765625, 31.59765625, 15.798828125, 15.8, 0.0, 36.796875, 10.5, 31.59765625, 21.09765625, 31.59765625, 31.59765625, 43.0, 10.0, 16.0, 3.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 88.0, "Bacheliers technologiques toutes séries", 99, "Bacheliers professionnels toutes séries", 19, "Liste d'appel propre à cette formation", 29.0, "25049", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25049&g_ta_cod=25049", 41.0, 27.0, 32.0),
(580, "Privé enseignement supérieur", "0870997L", "3iL", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Ecole d'Ingénieur", "3iL - Formation d'ingénieur Bac + 5 - cycle préparatoire renforcé en sciences pour profils sciences économiques et autres", "Formations  des écoles d'ingénieurs", "cycle préparatoire renforcé en sciences pour profils sciences économiques et autres", 10, 14, 4, 9, 0, 5, 1, 1, 1, 1, 1, 2, 5, 1, 0, 1, 3, 5, 1, 0, 0, 4, 1, 0, 0, 0, 0, 1, 6, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4.0, 1.0, 0.0, 0.0, 2.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "32582", "Formation d'ingénieur Bac + 5 - cycle préparatoire renforcé en sciences pour profils sciences économiques et autres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32582&g_ta_cod=32582", 0, 0, 0),
(581, "Privé sous contrat d'association", "0754042L", "Lycée Le Rebours", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Le Rebours - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 40, 1260, 567, 1260, 0, 83, 14, 500, 159, 392, 138, 285, 0, 0, 0, 0, 0, 602, 0, 0, 0, 43, 7, 257, 65, 200, 59, 102, 210, 37, 19, 37, 0, 4.0, 23.0, 28.0, 0, 14, 33, 4, 17, 12, 4, 0, 11, 16, 6, 0, 0.0, 4, 7, 11, 4, 1, 15, 32, 10.81, 62.16, 75.68, 51.3984375, 45.5, 97.0, 12.099609375, 42.3984375, 89.1875, 0.0, 33.296875, 48.5, 18.19921875, 0.0, 0.0, 12.099609375, 12.099609375, 51.5, 21.19921875, 36.3984375, 33.296875, 21.0, 5.0, 56.0, 17.0, 26.0, "Tous les candidats sauf les Bac professionnels", 219.0, "Bacheliers professionnels toutes séries", 86, "", 0, "Liste d'appel propre à cette formation", 24.0, "9506", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9506&g_ta_cod=9506", 14.0, 51.0, 35.0),
(582, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "PASS", "Université Toulouse 3 Paul Sabatier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 36, 3712, 2283, 3712, 0, 2942, 392, 96, 19, 14, 4, 660, 0, 0, 0, 0, 0, 3712, 0, 0, 0, 2942, 392, 96, 19, 14, 4, 660, 165, 36, 24, 36, 0, 6.0, 30.0, 36.0, 0, 6, 36, 36, 0, 0, 0, 0, 0, 0, 9, 25, 2.0, 36, 0, 0, 0, 0, 32, 32, 16.67, 83.33, 100.0, 66.6875, 88.890625, 88.890625, 0, 16.69921875, 100.0, 0.0, 0.0, 0.0, 25.0, 69.4, 5.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 165.0, 29.0, 0.0, 0.0, 0.0, "Tous les candidats", 971.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 8.0, "29854", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29840&g_ta_cod=29854", 100.0, 0.0, 0.0),
(583, "Public", "0352009U", "Lycée Victor et Hélène BASCH", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "CPGE", "Lycée Victor et Hélène BASCH - CPGE - ENS Cachan D2", "Classe préparatoire économique et commerciale", "", 48, 640, 309, 628, 0, 547, 33, 3, 0, 0, 0, 78, 12, 7, 2, 0, 3, 264, 3, 0, 264, 248, 17, 0, 0, 0, 0, 16, 210, 40, 23, 39, 1, 14.0, 36.0, 39.0, 0, 3, 38, 38, 0, 0, 2, 0, 0, 0, 14, 21, 3.0, 38, 0, 0, 0, 0, 21, 21, 35.0, 90.0, 97.5, 57.5, 55.296875, 55.296875, 0, 7.8994140625, 95.0, 0.0, 0.0, 0.0, 36.796875, 55.3, 7.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 195.0, 13.0, 0.0, 0.0, 15.0, "Tous les candidats", 263.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "4772", "CPGE - ENS Cachan D2", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4772&g_ta_cod=4772", 100.0, 0.0, 0.0),
(584, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence_Las", "Université du Mans - Licence - Portail Sciences de la Vie - Sciences de la Terre", "Licence - Sciences - technologies - santé", "Sciences de la Vie - Sciences de la Terre", 30, 915, 636, 915, 0, 687, 117, 60, 14, 2, 1, 166, 0, 0, 0, 0, 0, 906, 0, 0, 0, 687, 117, 60, 14, 2, 1, 157, 194, 29, 22, 29, 0, 1.0, 18.0, 26.0, 0, 5, 29, 27, 1, 1, 0, 0, 6, 16, 6, 1, 0.0, 21, 1, 1, 0, 0, 27, 27, 3.45, 62.07, 89.66, 75.890625, 93.09375, 93.09375, 0, 17.19921875, 100.0, 0.0, 20.69921875, 55.1953125, 20.69921875, 3.4, 0.0, 93.09375, 72.390625, 3.39990234375, 3.39990234375, 3.39990234375, 3.39990234375, 177.0, 26.0, 1.0, 0.0, 13.0, "Tous les candidats", 530.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "26889", "Licence - Portail Sciences de la Vie - Sciences de la Terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26888&g_ta_cod=26889", 93.0, 3.0, 3.0),
(585, "Privé sous contrat d'association", "0211090W", "Lycée saint bénigne", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée saint bénigne - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 33, 716, 294, 716, 0, 116, 16, 246, 50, 202, 54, 152, 0, 0, 0, 0, 0, 595, 0, 0, 0, 111, 15, 226, 45, 170, 41, 88, 126, 26, 12, 26, 0, 4.0, 20.0, 23.0, 0, 3, 21, 7, 6, 8, 5, 0, 2, 11, 8, 0, 0.0, 6, 6, 7, 5, 3, 19, 19, 15.38, 76.92, 88.46, 46.1953125, 90.5, 90.5, 23.796875, 14.298828125, 80.796875, 0.0, 9.5, 52.3984375, 38.09375, 0.0, 0.0, 33.296875, 28.59765625, 28.59765625, 28.59765625, 38.09375, 33.296875, 33.0, 4.0, 35.0, 8.0, 16.0, "Tous les candidats sauf les Bac professionnels", 113.0, "Bacheliers professionnels toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 22.0, "3221", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3221&g_ta_cod=3221", 27.0, 42.0, 31.0),
(586, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation non sélective", "Licence_Las", "Université de Cergy-Pontoise - CY SUP - Licence - Sciences pour la santé - Licence accès santé première année BI - mineure santé -  option Santé", "Licence - Sciences - technologies - santé", "Licence accès santé première année BI - mineure santé", 15, 662, 493, 662, 0, 366, 99, 49, 27, 4, 3, 243, 0, 0, 0, 0, 0, 659, 0, 0, 0, 366, 99, 49, 27, 4, 3, 240, 88, 16, 11, 16, 0, 3.0, 10.0, 15.0, 0, 4, 12, 12, 0, 0, 4, 0, 0, 3, 6, 3, 0.0, 12, 0, 0, 0, 0, 11, 11, 18.75, 62.5, 93.75, 68.796875, 91.6875, 91.6875, 0, 33.296875, 75.0, 0.0, 0.0, 25.0, 50.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 82.0, 18.0, 0.0, 0.0, 6.0, "Tous les candidats", 121.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "32505", "Licence - Sciences pour la santé - Licence accès santé première année BI - mineure santé -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32504&g_ta_cod=32505", 100.0, 0.0, 0.0),
(587, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 105, 465, 155, 327, 0, 170, 46, 28, 14, 15, 6, 114, 138, 31, 13, 10, 84, 327, 135, 0, 0, 170, 46, 28, 14, 15, 6, 114, 463, 105, 27, 54, 51, 53.0, 54.0, 88.0, 0, 13, 42, 28, 11, 3, 63, 1, 33, 6, 2, 0, 0.0, 6, 1, 1, 0, 0, 20, 37, 50.48, 51.43, 83.81, 25.69921875, 47.59375, 88.09375, 0, 31.0, 40.0, 2.39990234375, 78.59375, 14.298828125, 4.7998046875, 0.0, 0.0, 66.6875, 14.298828125, 26.19921875, 2.39990234375, 7.099609375, 2.39990234375, 202.0, 53.0, 25.0, 8.0, 195.0, "Tous les candidats", 327.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11317", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11317&g_ta_cod=11317", 67.0, 21.0, 10.0),
(588, "Privé sous contrat d'association", "0761735Y", "Lycée Jeanne D'Arc", "76", "Seine-Maritime", "Normandie", "Normandie", "Sainte-Adresse", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Services - Tourisme", "BTS - Services", "", 35, 341, 264, 341, 0, 90, 20, 68, 23, 69, 29, 114, 0, 0, 0, 0, 0, 314, 0, 0, 0, 86, 19, 68, 23, 64, 28, 96, 129, 34, 29, 34, 0, 7.0, 26.0, 29.0, 0, 6, 20, 8, 5, 7, 14, 0, 8, 11, 1, 0, 0.0, 4, 2, 6, 2, 1, 20, 20, 20.59, 76.47, 85.29, 85.296875, 100.0, 100.0, 10, 30.0, 58.796875, 0.0, 40.0, 55.0, 5.0, 0.0, 0.0, 40.0, 20.0, 25.0, 10.0, 35.0, 30.0, 41.0, 12.0, 23.0, 7.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 95.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 48.0, "9675", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9675&g_ta_cod=9675", 44.0, 32.0, 24.0),
(589, "Privé enseignement supérieur", "0442777E", "Facultés libres de l'ouest - UCO - Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Rezé", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Licence - Portail Métiers de l'enseignement MEEF ou Maths appliquées et entreprise -IMA", "Licence - Sciences - technologies - santé", "", 30, 427, 130, 374, 0, 274, 30, 14, 3, 0, 0, 86, 53, 13, 3, 2, 35, 371, 46, 0, 0, 274, 30, 14, 3, 0, 0, 83, 392, 10, 3, 7, 3, 6.0, 7.0, 10.0, 0, 1, 6, 6, 0, 0, 4, 0, 2, 2, 0, 2, 0.0, 4, 0, 0, 0, 0, 5, 5, 60.0, 70.0, 100.0, 30.0, 83.296875, 83.296875, 0, 16.69921875, 60.0, 0.0, 33.296875, 33.296875, 0.0, 33.3, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 273.0, 27.0, 2.0, 2.0, 109.0, "Tous les candidats", 514.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "17421", "Licence - Portail Métiers de l'enseignement MEEF ou Maths appliquées et entreprise -IMA", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5886&g_ta_cod=17421", 90.0, 0.0, 0.0),
(590, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais - Mineure Etudes internationales", "Licence - Arts-lettres-langues", "Portugais - Mineure Etudes internationales", 5, 45, 31, 45, 0, 23, 4, 6, 3, 5, 3, 11, 0, 0, 0, 0, 0, 45, 0, 0, 0, 23, 4, 6, 3, 5, 3, 11, 11, 5, 4, 5, 0, 1.0, 4.0, 4.0, 0, 0, 5, 4, 1, 0, 0, 0, 0, 3, 2, 0, 0.0, 4, 1, 0, 0, 0, 1, 4, 20.0, 80.0, 80.0, 80.0, 20.0, 80.0, 0, 0.0, 100.0, 0.0, 0.0, 60.0, 40.0, 0.0, 0.0, 80.0, 80.0, 20.0, 20.0, 0.0, 0.0, 9.0, 2.0, 0.0, 0.0, 1.0, "Tous les candidats", 18.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "24066", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais - Mineure Etudes internationales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24066&g_ta_cod=24066", 80.0, 20.0, 0.0),
(591, "Public", "0951979K", "I.U.T de Cergy-Pontoise - Site de Pontoise", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "BUT", "I.U.T de Cergy-Pontoise - Site de Pontoise - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client - Business international : achat et vente (Seconde année possible en apprentissage)", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client - Business international : achat et vente", 120, 3772, 1962, 3772, 0, 1727, 451, 1333, 458, 49, 15, 663, 0, 0, 0, 0, 0, 999, 0, 0, 0, 411, 93, 474, 148, 24, 7, 90, 415, 126, 83, 126, 0, 32.0, 126.0, 126.0, 0, 38, 117, 43, 65, 9, 9, 0, 2, 49, 54, 12, 0.0, 42, 64, 9, 0, 0, 99, 108, 25.4, 100.0, 100.0, 65.890625, 84.59375, 92.296875, 0, 32.5, 92.890625, 0.0, 1.699951171875, 41.8984375, 46.1953125, 10.3, 0.0, 36.796875, 35.8984375, 55.59375, 54.6953125, 7.69921875, 7.69921875, 178.0, 46.0, 18.0, 5.0, 34.0, "Tous les candidats sauf les Bac technologiques", 325.0, "Bacheliers technologiques toutes séries", 246, "", 0, "Liste d'appel propre à cette formation", 15.0, "11659", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client - Business international : achat et vente (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11659&g_ta_cod=11659", 38.0, 53.0, 9.0),
(592, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe", "Licence - Arts-lettres-langues", "Arabe", 30, 66, 39, 35, 0, 11, 8, 2, 0, 3, 0, 19, 31, 2, 2, 2, 25, 35, 28, 0, 0, 11, 8, 2, 0, 3, 0, 19, 63, 16, 8, 4, 12, 4.0, 4.0, 13.0, 0, 3, 3, 2, 0, 1, 13, 0, 2, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 25.0, 25.0, 81.25, 50.0, 66.6875, 66.6875, 0, 100.0, 18.796875, 0.0, 66.6875, 0.0, 33.296875, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 33.296875, 0.0, 13.0, 9.0, 5.0, 2.0, 41.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6339", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6339&g_ta_cod=6339", 50.0, 19.0, 31.0),
(593, "Public", "0951750L", "I.U.T de Cergy-Pontoise - Site de Neuville", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "BUT", "I.U.T de Cergy-Pontoise - Site de Neuville - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception (Seconde année possible en apprentissage)", "BUT - Production", "Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception", 105, 2024, 358, 2014, 0, 856, 222, 705, 213, 24, 5, 429, 10, 0, 3, 0, 7, 1000, 1, 0, 0, 590, 137, 315, 77, 0, 0, 95, 610, 100, 14, 99, 1, 52.0, 90.0, 95.0, 0, 34, 92, 47, 45, 0, 8, 0, 21, 49, 21, 1, 0.0, 35, 36, 0, 0, 0, 60, 80, 52.0, 90.0, 95.0, 14.0, 65.1875, 87.0, 0, 37.0, 92.0, 0.0, 22.796875, 53.296875, 22.796875, 1.1, 0.0, 51.09375, 38.0, 48.8984375, 39.09375, 0.0, 0.0, 315.0, 77.0, 0.0, 0.0, 47.0, "Tous les candidats sauf les Bac technologiques", 366.0, "Bacheliers technologiques toutes séries", 323, "", 0, "Liste d'appel propre à cette formation", 34.0, "11618", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11618&g_ta_cod=11618", 50.0, 50.0, 0.0),
(594, "Public", "0631540G", "Institut de Formation de Manipulateurs d-Electroradiologie Médicale", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Autre formation", "Institut de Formation de Manipulateurs d?Electroradiologie Médicale - D.E manipulateur/trice en électroradiologie médicale", "D.E secteur sanitaire", "", 32, 639, 511, 639, 0, 140, 26, 146, 27, 6, 1, 347, 0, 0, 0, 0, 0, 450, 0, 0, 0, 118, 19, 105, 18, 0, 0, 227, 135, 32, 28, 32, 0, 7.0, 24.0, 29.0, 0, 1, 17, 11, 6, 0, 15, 0, 5, 6, 6, 0, 0.0, 6, 6, 0, 0, 0, 12, 12, 21.88, 75.0, 90.63, 87.5, 70.59375, 70.59375, 0, 5.8994140625, 53.09375, 0.0, 29.3984375, 35.296875, 35.296875, 0.0, 0.0, 64.6875, 35.296875, 35.296875, 35.296875, 0.0, 0.0, 46.0, 6.0, 0.0, 0.0, 65.0, "Tous les candidats", 157.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "19426", "D.E manipulateur/trice en électroradiologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19426&g_ta_cod=19426", 72.0, 28.0, 0.0),
(595, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "Licence", "Université des Antilles - Pôle Guadeloupe - Licence - Portail Science politique - Science politique - Guadeloupe", "Licence - Droit-économie-gestion", "Science politique - Guadeloupe", 70, 408, 266, 314, 0, 237, 82, 19, 10, 1, 1, 57, 94, 31, 9, 10, 44, 313, 90, 0, 0, 237, 82, 19, 10, 1, 1, 56, 317, 57, 42, 31, 26, 5.0, 31.0, 49.0, 0, 20, 43, 32, 6, 5, 14, 0, 17, 14, 10, 2, 0.0, 21, 2, 3, 0, 0, 39, 39, 8.77, 54.39, 85.96, 73.6875, 90.6875, 90.6875, 0, 46.5, 75.390625, 0.0, 39.5, 32.59375, 23.296875, 4.7, 0.0, 74.390625, 48.796875, 14.0, 4.69921875, 11.599609375, 7.0, 203.0, 65.0, 11.0, 10.0, 84.0, "Tous les candidats", 369.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "19506", "Licence - Portail Science politique - Science politique - Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29037&g_ta_cod=19506", 70.0, 16.0, 14.0),
(596, "Public", "0623137Y", "IFSI CH Boulogne Sur Mer", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 93, 3989, 3187, 3989, 0, 732, 169, 772, 227, 384, 156, 2101, 0, 0, 0, 0, 0, 3363, 0, 0, 0, 663, 149, 666, 188, 316, 125, 1718, 698, 93, 76, 93, 0, 3.0, 72.0, 91.0, 0, 29, 70, 31, 24, 15, 23, 0, 3, 33, 31, 3, 0.0, 28, 24, 15, 0, 0, 67, 67, 3.23, 77.42, 97.85, 81.6875, 95.6875, 95.6875, 0, 41.3984375, 75.296875, 0.0, 4.2998046875, 47.09375, 44.296875, 4.3, 0.0, 44.296875, 40.0, 34.296875, 34.296875, 21.3984375, 21.3984375, 161.0, 37.0, 90.0, 31.0, 293.0, "Tous les candidats", 3394.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "23140", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23140", 49.0, 28.0, 22.0),
(597, "Privé sous contrat d'association", "0694280C", "ESSCA School of Management - Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "Ecole de Commerce", "ESSCA School of Management - Angers - Formation des écoles de commerce et de management Bac + 3 - Bachelor en Management International", "Formation des écoles de commerce et de management", "Bachelor en Management International", 80, 1017, 443, 1017, 0, 802, 31, 125, 5, 3, 0, 87, 0, 0, 0, 0, 0, 817, 0, 0, 0, 655, 18, 92, 3, 3, 0, 67, 554, 92, 48, 92, 0, 30.0, 92.0, 92.0, 0, 3, 80, 67, 13, 0, 12, 0, 22, 38, 17, 3, 0.0, 50, 8, 0, 0, 0, 41, 41, 32.61, 100.0, 100.0, 52.1953125, 51.296875, 51.296875, 0, 3.7998046875, 87.0, 0.0, 27.5, 47.5, 21.296875, 3.8, 0.0, 83.796875, 62.5, 16.296875, 10.0, 0.0, 0.0, 444.0, 10.0, 1.0, 0.0, 51.0, "Tous les candidats", 1468.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 80.0, "26147", "Formation des écoles de commerce et de management Bac + 3 - Bachelor en Management International", "ESSCA School of Management - Angers", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26144&g_ta_cod=26147", 85.0, 15.0, 0.0),
(598, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence_Las", "Université Sorbonne Paris Nord - Licence - Portail Physique, chimie", "Licence - Sciences - technologies - santé", "", 15, 1052, 650, 1052, 0, 672, 243, 48, 20, 4, 2, 328, 0, 0, 0, 0, 0, 1037, 0, 0, 0, 672, 243, 48, 20, 4, 2, 313, 153, 12, 6, 12, 0, 1.0, 5.0, 8.0, 0, 2, 4, 4, 0, 0, 8, 0, 1, 3, 0, 0, 0.0, 3, 0, 0, 0, 0, 3, 4, 8.33, 41.67, 66.67, 50.0, 75.0, 100.0, 0, 50.0, 33.296875, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 74.0, 25.0, 0.0, 0.0, 78.0, "Tous les candidats", 441.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "28407", "Licence - Portail Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28406&g_ta_cod=28407", 100.0, 0.0, 0.0),
(599, "Privé sous contrat d'association", "0550049E", "Lycée Sainte-Anne", "55", "Meuse", "Grand Est", "Nancy-Metz", "Verdun", "formation sélective", "BTS", "Lycée Sainte-Anne - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 278, 213, 230, 0, 21, 7, 35, 12, 61, 19, 113, 48, 4, 13, 10, 21, 121, 35, 0, 0, 19, 6, 28, 11, 50, 16, 24, 144, 25, 23, 15, 10, 5.0, 15.0, 19.0, 0, 3, 16, 4, 7, 5, 9, 0, 10, 2, 3, 1, 0.0, 2, 1, 3, 2, 2, 10, 10, 20.0, 60.0, 76.0, 92.0, 62.5, 62.5, 12.5, 18.796875, 64.0, 0.0, 62.5, 12.5, 18.796875, 6.3, 0.0, 25.0, 12.5, 43.796875, 6.2998046875, 31.296875, 18.796875, 20.0, 3.0, 52.0, 20.0, 33.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 58, "", 0, "Liste d'appel propre à cette formation", 53.0, "6409", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6409&g_ta_cod=6409", 28.0, 32.0, 40.0),
(600, "Public", "0030038A", "Lycée Polyvalent Jean Monnet", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Yzeure", "formation sélective", "Autre formation", "Lycée Polyvalent Jean Monnet - DN MADE - Objet - - Spécialité : designer produit", "DN MADE", "- Spécialité : designer produit", 15, 359, 205, 320, 0, 105, 13, 99, 16, 34, 5, 82, 39, 6, 3, 8, 22, 110, 7, 0, 0, 35, 3, 51, 9, 2, 0, 22, 72, 14, 7, 11, 3, 0.0, 11.0, 14.0, 0, 1, 10, 7, 3, 0, 4, 0, 2, 4, 4, 0, 0.0, 5, 3, 0, 0, 0, 3, 3, 0.0, 78.57, 100.0, 50.0, 30.0, 30.0, 0, 10.0, 71.390625, 0.0, 20.0, 40.0, 40.0, 0.0, 0.0, 70.0, 50.0, 30.0, 30.0, 0.0, 0.0, 19.0, 1.0, 0.0, 0.0, 17.0, "Tous les candidats", 110.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "21664", "DN MADE - Objet - - Spécialité : designer produit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21664&g_ta_cod=21664", 57.0, 29.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(601, "Public", "0010034G", "Lycée Paul Painleve", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Oyonnax", "formation sélective", "BTS", "Lycée Paul Painleve - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 236, 165, 216, 0, 15, 2, 69, 24, 84, 42, 48, 20, 2, 0, 0, 18, 155, 0, 0, 0, 1, 0, 61, 20, 74, 39, 19, 55, 14, 10, 14, 0, 4.0, 13.0, 13.0, 0, 8, 14, 0, 6, 8, 0, 0, 8, 4, 2, 0, 0.0, 0, 2, 4, 10, 7, 13, 13, 28.57, 92.86, 92.86, 71.390625, 92.890625, 92.890625, 71.390625, 57.09375, 100.0, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 0.0, 0.0, 42.8984375, 14.298828125, 57.09375, 28.59765625, 4.0, 1.0, 30.0, 14.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 28.0, "2011", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2011&g_ta_cod=2011", 0.0, 43.0, 57.0),
(602, "Privé sous contrat d'association", "0610694Y", "Lycée Jeanne D'Arc (Argentan)", "61", "Orne", "Normandie", "Normandie", "Argentan", "formation sélective", "BTS", "Lycée Jeanne D'Arc (Argentan) - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 224, 97, 220, 0, 21, 6, 55, 18, 71, 23, 73, 4, 0, 0, 4, 0, 220, 0, 0, 0, 21, 6, 55, 18, 71, 23, 73, 130, 24, 10, 24, 0, 5.0, 15.0, 21.0, 0, 4, 18, 1, 8, 9, 6, 1, 5, 10, 2, 0, 0.0, 1, 3, 8, 0, 0, 18, 18, 20.83, 62.5, 87.5, 41.6953125, 100.0, 100.0, 0, 22.19921875, 75.0, 5.599609375, 27.796875, 55.59375, 11.099609375, 0.0, 0.0, 5.599609375, 5.599609375, 44.3984375, 16.69921875, 50.0, 44.3984375, 17.0, 5.0, 42.0, 12.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 75.0, "7306", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7306&g_ta_cod=7306", 25.0, 38.0, 38.0),
(603, "Public", "0420077F", "Lycée professionnel Albert Thomas", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Roanne", "formation sélective", "Autre formation", "Lycée professionnel Albert Thomas - Mention complémentaire - FCIL - CAES - Option Services", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 3, 1, 0, 0, 0.0, 0.0, 2.0, 0, 2, 3, 0, 0, 3, 0, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 3, 3, 0.0, 0.0, 66.67, 33.296875, 100.0, 100.0, 0, 66.6875, 100.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 33.296875, 0.0, 0.0, 4.0, 3.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30726", "Mention complémentaire - FCIL - CAES - Option Services", "", "", 0.0, 0.0, 100.0),
(604, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Lettres - Parcours Lettres Modernes", "Licence - Arts-lettres-langues", "Lettres Modernes", 40, 227, 177, 183, 0, 106, 34, 8, 4, 24, 13, 45, 44, 5, 3, 9, 27, 183, 41, 0, 0, 106, 34, 8, 4, 24, 13, 45, 188, 38, 31, 26, 12, 3.0, 25.0, 33.0, 0, 8, 25, 18, 1, 6, 13, 0, 15, 8, 1, 1, 0.0, 7, 0, 3, 0, 0, 25, 25, 7.89, 65.79, 86.84, 81.59375, 100.0, 100.0, 0, 32.0, 65.796875, 0.0, 60.0, 32.0, 4.0, 4.0, 0.0, 72.0, 28.0, 4.0, 0.0, 24.0, 12.0, 90.0, 28.0, 24.0, 15.0, 63.0, "Tous les candidats", 183.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8151", "Licence - Lettres - Parcours Lettres Modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8151&g_ta_cod=8151", 58.0, 18.0, 24.0),
(605, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Psychologie", "Licence - Sciences humaines et sociales", "", 560, 5149, 4185, 5149, 0, 2798, 727, 638, 191, 151, 65, 1562, 0, 0, 0, 0, 0, 5078, 0, 0, 0, 2798, 727, 638, 191, 151, 65, 1491, 5078, 1201, 966, 1201, 0, 1176.0, 1193.0, 1198.0, 0, 215, 777, 579, 153, 45, 424, 4, 363, 296, 97, 17, 0.0, 323, 63, 24, 0, 0, 425, 425, 97.92, 99.33, 99.75, 80.390625, 54.6953125, 54.6953125, 0, 27.69921875, 64.6875, 0.5, 46.6953125, 38.09375, 12.5, 2.2, 0.0, 74.5, 41.59375, 19.69921875, 8.099609375, 5.7998046875, 3.099609375, 2798.0, 727.0, 151.0, 65.0, 1491.0, "Tous les candidats", 5079.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "6361", "Licence - Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6361&g_ta_cod=6361", 73.0, 20.0, 7.0),
(606, "Public", "0130201Y", "Aix-Marseille Université - Site de Marseille Luminy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  9e  Arrondissement", "formation non sélective", "Licence", "Aix-Marseille Université - Portail René Descartes - Licence - Portail Descartes : Informatique, Mathématiques, Mécanique, Physique", "Licence - Sciences - technologies - santé", "Descartes : Informatique, Mathématiques, Mécanique, Physique - site de Luminy", 80, 2557, 648, 2525, 0, 1681, 316, 129, 52, 9, 6, 706, 32, 3, 0, 1, 28, 2525, 29, 0, 0, 1681, 316, 129, 52, 9, 6, 706, 1433, 74, 16, 64, 10, 17.0, 35.0, 54.0, 0, 19, 54, 49, 4, 1, 20, 0, 15, 18, 18, 3, 0.0, 37, 2, 0, 0, 0, 45, 45, 22.97, 47.3, 72.97, 21.59765625, 83.296875, 83.296875, 0, 35.1953125, 73.0, 0.0, 27.796875, 33.296875, 33.296875, 5.6, 0.0, 90.6875, 68.5, 7.3994140625, 3.69970703125, 1.89990234375, 0.0, 1051.0, 201.0, 1.0, 1.0, 373.0, "Tous les candidats", 2916.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 83.0, "23304", "Licence - Portail Descartes : Informatique, Mathématiques, Mécanique, Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12608&g_ta_cod=23304", 91.0, 7.0, 3.0),
(607, "Public", "0721094Y", "Lycée Polyvalent Le Mans Sud", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Le Mans Sud - BTS - Services - Assurance", "BTS - Services", "", 35, 721, 426, 716, 0, 86, 15, 222, 85, 128, 66, 280, 5, 0, 0, 2, 3, 357, 0, 0, 0, 68, 12, 158, 54, 59, 32, 72, 156, 32, 17, 32, 0, 6.0, 22.0, 27.0, 0, 5, 25, 3, 17, 5, 7, 0, 8, 13, 3, 1, 0.0, 1, 12, 4, 5, 3, 22, 22, 18.75, 68.75, 84.38, 53.09375, 88.0, 88.0, 20, 20.0, 78.09375, 0.0, 32.0, 52.0, 12.0, 4.0, 0.0, 12.0, 4.0, 68.0, 48.0, 20.0, 16.0, 22.0, 7.0, 24.0, 10.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 65.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 115, "Liste d'appel propre à cette formation", 33.0, "8762", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8762&g_ta_cod=8762", 22.0, 63.0, 16.0),
(608, "Privé sous contrat d'association", "0142108R", "Lycée Notre Dame De Nazareth", "14", "Calvados", "Normandie", "Normandie", "Douvres-la-Délivrande", "formation sélective", "Autre formation", "Lycée Notre Dame De Nazareth - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 12, 84, 38, 74, 0, 26, 5, 5, 1, 9, 0, 34, 10, 2, 0, 1, 7, 47, 5, 0, 0, 26, 5, 4, 1, 4, 0, 13, 49, 7, 3, 6, 1, 2.0, 6.0, 7.0, 0, 1, 4, 3, 0, 1, 3, 0, 3, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 4, 4, 28.57, 85.71, 100.0, 42.8984375, 100.0, 100.0, 0, 25.0, 57.09375, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 25.0, 0.0, 26.0, 4.0, 4.0, 0.0, 16.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "2922", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2922&g_ta_cod=2922", 71.0, 14.0, 14.0),
(609, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 55, 262, 112, 228, 0, 139, 34, 40, 9, 6, 1, 43, 34, 5, 3, 1, 25, 228, 33, 0, 0, 139, 34, 40, 9, 6, 1, 43, 200, 39, 15, 26, 13, 8.0, 25.0, 37.0, 0, 6, 26, 17, 8, 1, 13, 0, 12, 7, 7, 0, 0.0, 11, 2, 1, 0, 0, 24, 24, 20.51, 64.1, 94.87, 38.5, 92.296875, 92.296875, 0, 23.09765625, 66.6875, 0.0, 46.1953125, 26.8984375, 26.8984375, 0.0, 0.0, 65.390625, 42.296875, 30.796875, 7.69921875, 3.7998046875, 3.7998046875, 109.0, 24.0, 3.0, 1.0, 50.0, "Tous les candidats", 228.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11709", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11709&g_ta_cod=11709", 59.0, 31.0, 8.0),
(610, "Public", "0930834B", "Lycée Voillaume", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aulnay-sous-Bois", "formation sélective", "BTS", "Lycée Voillaume - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 482, 8, 482, 0, 15, 8, 49, 20, 299, 162, 119, 0, 0, 0, 0, 0, 202, 0, 0, 0, 9, 4, 20, 9, 161, 93, 12, 88, 19, 0, 17, 0, 2.0, 15.0, 17.0, 0, 6, 17, 1, 4, 12, 2, 0, 7, 5, 5, 0, 0.0, 0, 0, 10, 2, 0, 15, 15, 10.53, 78.95, 89.47, 0.0, 88.1875, 88.1875, 11.798828125, 35.296875, 89.5, 0.0, 41.1953125, 29.3984375, 29.3984375, 0.0, 0.0, 5.8994140625, 0.0, 23.5, 0.0, 70.59375, 58.796875, 6.0, 3.0, 56.0, 27.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 89, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 25.0, "11211", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11211&g_ta_cod=11211", 5.0, 21.0, 74.0),
(611, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Portail Sciences de la vie et de la terre - Biologie", "Licence - Sciences - technologies - santé", "Biologie", 80, 1178, 792, 1178, 0, 811, 106, 76, 7, 6, 2, 285, 0, 0, 0, 0, 0, 1174, 0, 0, 0, 811, 106, 76, 7, 6, 2, 281, 498, 78, 55, 78, 0, 7.0, 61.0, 76.0, 0, 6, 62, 54, 8, 0, 16, 0, 11, 31, 17, 3, 0.0, 44, 7, 0, 0, 0, 39, 39, 8.97, 78.21, 97.44, 70.5, 62.8984375, 62.8984375, 0, 9.69921875, 79.5, 0.0, 17.69921875, 50.0, 27.3984375, 4.8, 0.0, 87.09375, 71.0, 12.8984375, 11.298828125, 0.0, 0.0, 363.0, 43.0, 2.0, 1.0, 117.0, "Tous les candidats", 1003.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 69.0, "5885", "Licence - Portail Sciences de la vie et de la terre - Biologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28800&g_ta_cod=5885", 88.0, 10.0, 1.0),
(612, "Public", "9740045F", "Lycée Antoine de Saint Exupéry", "974", "La Réunion", "La Réunion", "La Réunion", "Les Avirons", "formation sélective", "BTS", "Lycée Antoine de Saint Exupéry - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 32, 530, 302, 468, 0, 34, 17, 178, 97, 148, 108, 108, 62, 1, 33, 1, 27, 163, 8, 0, 0, 11, 2, 70, 38, 70, 56, 12, 121, 23, 9, 23, 0, 6.0, 22.0, 23.0, 0, 10, 21, 1, 11, 9, 2, 0, 7, 10, 3, 1, 0.0, 1, 8, 5, 7, 2, 20, 20, 26.09, 95.65, 100.0, 39.09375, 95.1875, 95.1875, 33.296875, 47.59375, 91.296875, 0.0, 33.296875, 47.59375, 14.298828125, 4.8, 0.0, 4.7998046875, 4.7998046875, 52.3984375, 38.09375, 42.8984375, 23.796875, 5.0, 2.0, 42.0, 35.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 34.0, "11898", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11898&g_ta_cod=11898", 4.0, 48.0, 48.0),
(613, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence_Las", "Université des Antilles - Pôle Martinique - Licence - Portail Sciences de l'éducation - Sciences de l'éducation - Martinique", "Licence - Sciences humaines et sociales", "Sciences de l'éducation - Martinique", 9, 191, 162, 191, 0, 97, 33, 37, 15, 2, 1, 55, 0, 0, 0, 0, 0, 191, 0, 0, 0, 97, 33, 37, 15, 2, 1, 55, 25, 10, 9, 10, 0, 2.0, 10.0, 10.0, 0, 4, 9, 3, 6, 0, 1, 0, 4, 3, 2, 0, 0.0, 1, 4, 0, 0, 0, 9, 9, 20.0, 100.0, 100.0, 90.0, 100.0, 100.0, 0, 44.3984375, 90.0, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 33.296875, 11.099609375, 66.6875, 44.3984375, 0.0, 0.0, 11.0, 4.0, 0.0, 0.0, 6.0, "Tous les candidats", 104.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "26846", "Licence - Portail Sciences de l'éducation - Sciences de l'éducation - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26845&g_ta_cod=26846", 30.0, 70.0, 0.0),
(614, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Portail Sciences pour l'ingénieur - PCGSI", "Licence - Sciences - technologies - santé", "PCGSI", 67, 919, 201, 860, 0, 586, 77, 45, 5, 2, 0, 227, 59, 7, 0, 0, 52, 860, 57, 0, 0, 586, 77, 45, 5, 2, 0, 227, 579, 54, 8, 37, 17, 0.0, 25.0, 44.0, 0, 5, 15, 15, 0, 0, 39, 0, 7, 7, 1, 0, 0.0, 8, 0, 0, 0, 0, 11, 11, 0.0, 46.3, 81.48, 14.798828125, 73.296875, 73.296875, 0, 33.296875, 27.796875, 0.0, 46.6953125, 46.6953125, 6.69921875, 0.0, 0.0, 100.0, 53.296875, 0.0, 0.0, 0.0, 0.0, 337.0, 48.0, 1.0, 0.0, 227.0, "Tous les candidats", 926.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "32051", "Licence - Portail Sciences pour l'ingénieur - PCGSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32052&g_ta_cod=32051", 87.0, 9.0, 2.0),
(615, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "Licence", "Université des Antilles - Pôle Guadeloupe - Licence - Portail Sciences pour la santé -  Biochimie - Sciences de l'aliment (BSA) / Sciences de la santé (BSS)  - Guadeloupe", "Licence - Sciences - technologies - santé", "Biochimie - Sciences de l'aliment (BSA) / Sciences de la santé (BSS)  - Guadeloupe", 75, 346, 262, 332, 0, 185, 73, 46, 25, 4, 3, 97, 14, 4, 0, 0, 10, 332, 14, 0, 0, 185, 73, 46, 25, 4, 3, 97, 282, 75, 64, 67, 7, 10.0, 67.0, 70.0, 0, 31, 52, 36, 13, 3, 23, 0, 28, 16, 5, 3, 0.0, 17, 6, 1, 0, 0, 50, 50, 13.33, 89.33, 93.33, 85.296875, 96.1875, 96.1875, 0, 59.59375, 69.296875, 0.0, 53.796875, 30.796875, 9.599609375, 5.8, 0.0, 69.1875, 32.6953125, 25.0, 11.5, 5.7998046875, 1.89990234375, 156.0, 60.0, 3.0, 2.0, 87.0, "Tous les candidats", 550.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "11742", "Licence - Portail Sciences pour la santé -  Biochimie - Sciences de l'aliment (BSA) / Sciences de la santé (BSS)  - Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27413&g_ta_cod=11742", 75.0, 21.0, 4.0),
(616, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "PASS", "Université de Franche-Comté - Site de Besançon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 46, 1617, 1117, 1617, 0, 1303, 217, 22, 4, 6, 5, 286, 0, 0, 0, 0, 0, 1618, 0, 0, 0, 1304, 218, 22, 4, 6, 5, 286, 361, 45, 30, 45, 0, 0.0, 21.0, 43.0, 0, 8, 45, 44, 1, 0, 0, 0, 7, 24, 12, 2, 0.0, 38, 0, 0, 0, 0, 40, 40, 0.0, 46.67, 95.56, 66.6875, 88.890625, 88.890625, 0, 17.796875, 100.0, 0.0, 15.599609375, 53.296875, 26.69921875, 4.4, 0.0, 97.796875, 84.390625, 2.19970703125, 0.0, 0.0, 0.0, 357.0, 53.0, 0.0, 0.0, 0.0, "Tous les candidats", 3714.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 59.0, "32592", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27350&g_ta_cod=32592", 98.0, 2.0, 0.0),
(617, "Public", "0142423H", "Centre Régional associé au CNAM de Normandie", "14", "Calvados", "Normandie", "Normandie", "Hérouville-Saint-Clair", "formation sélective", "Autre formation", "CNAM /  lycée Jean Rostand  (CAEN - 76) - Formation Supérieure de Spécialisation - Informatique - support et conseil digital", "Diplôme d'Université", "Informatique - support et conseil digital", 20, 15, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 2, 4, 3, 6, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 3, 0, 0, 3, 0.0, 0.0, 2.0, 0, 0, 1, 0, 1, 0, 2, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 66.67, 0.0, 100.0, 100.0, 0, 0.0, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 1.0, 0.0, 2.0, 2.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34920", "Formation Supérieure de Spécialisation - Informatique - support et conseil digital", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34920&g_ta_cod=34920", 67.0, 33.0, 0.0),
(618, "Public", "0132133Y", "Aix Marseille Université - Site d'Aix-en-Provence (3 Schuman)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Autre formation", "Aix Marseille Université - Site d'Aix-en-Provence (3 Schuman) - Diplôme de Comptabilité et de Gestion", "DCG", "", 50, 1099, 521, 990, 0, 445, 101, 156, 69, 23, 12, 366, 109, 16, 22, 7, 64, 474, 11, 0, 0, 295, 57, 80, 31, 5, 3, 94, 306, 43, 20, 40, 2, 17.0, 31.0, 40.0, 0, 3, 35, 28, 6, 1, 8, 0, 5, 18, 11, 1, 0.0, 23, 6, 1, 0, 0, 28, 28, 39.53, 72.09, 93.02, 46.5, 80.0, 80.0, 0, 8.599609375, 81.390625, 0.0, 14.298828125, 51.3984375, 31.3984375, 2.9, 0.0, 80.0, 65.6875, 17.09765625, 17.09765625, 2.89990234375, 2.89990234375, 191.0, 34.0, 2.0, 0.0, 69.0, "Tous les candidats", 472.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "12910", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12910&g_ta_cod=12910", 79.0, 19.0, 2.0),
(619, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation non sélective", "Licence", "Université Claude Bernard Lyon 1 - Licence - Portail portail Sciences de la Vie et de la Terre", "Licence - Sciences - technologies - santé", "portail Sciences de la Vie et de la Terre", 570, 6573, 4547, 6573, 0, 4033, 626, 245, 62, 11, 4, 2284, 0, 0, 0, 0, 0, 6499, 0, 0, 0, 4033, 626, 245, 62, 11, 4, 2210, 2637, 572, 369, 568, 0, 54.0, 320.0, 448.0, 0, 65, 357, 353, 4, 0, 215, 0, 73, 146, 107, 27, 4.0, 281, 3, 0, 0, 0, 283, 283, 9.44, 55.94, 78.32, 64.5, 79.296875, 79.296875, 0, 18.19921875, 62.3984375, 0.0, 20.3984375, 40.8984375, 30.0, 7.6, 1.1, 98.890625, 78.6875, 1.099853515625, 0.7999267578125, 0.0, 0.0, 1642.0, 273.0, 2.0, 2.0, 982.0, "Tous les candidats", 3535.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "8345", "Licence - Portail portail Sciences de la Vie et de la Terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27056&g_ta_cod=8345", 98.0, 2.0, 0.0),
(620, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence_Las", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 60, 1690, 711, 1690, 0, 1119, 154, 172, 37, 20, 8, 379, 0, 0, 0, 0, 0, 1679, 0, 0, 0, 1118, 154, 172, 37, 20, 8, 369, 244, 58, 22, 58, 0, 6.0, 32.0, 44.0, 0, 9, 43, 41, 2, 0, 15, 0, 12, 23, 7, 1, 0.0, 29, 2, 0, 0, 0, 29, 29, 10.34, 55.17, 75.86, 37.8984375, 67.390625, 67.390625, 0, 20.8984375, 74.09375, 0.0, 27.8984375, 53.5, 16.296875, 2.3, 0.0, 95.296875, 67.390625, 4.69921875, 4.69921875, 0.0, 0.0, 132.0, 22.0, 2.0, 1.0, 100.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "28525", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28524&g_ta_cod=28525", 95.0, 3.0, 2.0),
(621, "Public", "0772448T", "Université Panthéon- Assas Paris2 - Antenne Melun", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation non sélective", "Licence", "Université Panthéon- Assas Paris2 - Antenne Melun - Licence - Droit", "Licence - Droit-économie-gestion", "", 535, 2779, 2039, 2779, 0, 2085, 433, 200, 68, 32, 15, 462, 0, 0, 0, 0, 0, 2779, 0, 0, 0, 2085, 433, 200, 68, 32, 15, 462, 1324, 544, 415, 544, 0, 162.0, 479.0, 518.0, 0, 109, 536, 524, 12, 0, 8, 4, 84, 232, 180, 35, 1.0, 439, 9, 0, 0, 0, 338, 491, 29.78, 88.05, 95.22, 76.296875, 63.09375, 91.59375, 0, 20.296875, 98.5, 0.699951171875, 15.69921875, 43.296875, 33.59375, 6.5, 0.2, 97.796875, 81.890625, 2.19970703125, 1.699951171875, 0.0, 0.0, 1281.0, 256.0, 0.0, 0.0, 20.0, "Tous les candidats", 1451.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "9913", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9913&g_ta_cod=9913", 98.0, 2.0, 0.0),
(622, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Langues étrangères appliquées - Parcours Anglais - Italien", "Licence - Arts-lettres-langues", "Anglais - Italien", 45, 369, 283, 366, 0, 200, 45, 45, 17, 27, 10, 94, 3, 0, 1, 0, 2, 366, 2, 0, 0, 200, 45, 45, 17, 27, 10, 94, 191, 43, 31, 43, 0, 7.0, 33.0, 42.0, 0, 9, 25, 12, 9, 4, 18, 0, 9, 9, 6, 1, 0.0, 9, 5, 2, 0, 0, 23, 23, 16.28, 76.74, 97.67, 72.09375, 92.0, 92.0, 0, 36.0, 58.09375, 0.0, 36.0, 36.0, 24.0, 4.0, 0.0, 48.0, 36.0, 36.0, 20.0, 16.0, 8.0, 95.0, 24.0, 13.0, 6.0, 60.0, "Tous les candidats", 322.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "22667", "Licence - Langues étrangères appliquées - Parcours Anglais - Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22667&g_ta_cod=22667", 51.0, 33.0, 14.0),
(623, "Privé sous contrat d'association", "0590343C", "ISA", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Réseau France Agro3 - Formation d'ingénieur Bac + 5 - Voie d'accès bac technologique", "Formations  des écoles d'ingénieurs", "Voie d'accès bac technologique", 8, 49, 19, 49, 0, 0, 0, 44, 6, 0, 0, 5, 0, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 23, 1, 0, 0, 1, 19, 6, 1, 6, 0, 5.0, 6.0, 6.0, 0, 0, 6, 0, 6, 0, 0, 0, 0, 0, 3, 3, 0.0, 0, 6, 0, 0, 0, 4, 4, 83.33, 100.0, 100.0, 16.69921875, 66.6875, 66.6875, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "25926", "Formation d'ingénieur Bac + 5 - Voie d'accès bac technologique", "Réseau France Agro3", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25924&g_ta_cod=25926", 0.0, 100.0, 0.0),
(624, "Public", "0710026T", "Lycée LEON BLUM", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Le Creusot", "formation sélective", "BTS", "Lycée LEON BLUM - BTS - Production - Environnement nucléaire", "BTS - Production", "", 12, 189, 15, 189, 0, 28, 8, 68, 13, 52, 17, 41, 0, 0, 0, 0, 0, 127, 0, 0, 0, 21, 5, 56, 9, 35, 6, 15, 51, 11, 2, 11, 0, 3.0, 10.0, 11.0, 0, 2, 8, 1, 1, 6, 3, 0, 2, 5, 1, 0, 0.0, 0, 1, 5, 4, 0, 5, 5, 27.27, 90.91, 100.0, 18.19921875, 62.5, 62.5, 50, 25.0, 72.6875, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 12.5, 0.0, 12.5, 12.5, 75.0, 62.5, 13.0, 4.0, 22.0, 6.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 43.0, "13369", "BTS - Production - Environnement nucléaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13369&g_ta_cod=13369", 27.0, 18.0, 55.0),
(625, "Public", "0332744D", "Lycée Elie Faure", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Lormont", "formation sélective", "BTS", "Lycée Elie Faure - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 832, 446, 820, 0, 122, 40, 277, 123, 164, 97, 257, 12, 0, 9, 0, 3, 509, 3, 0, 0, 107, 36, 225, 98, 99, 60, 78, 203, 32, 16, 29, 3, 3.0, 21.0, 23.0, 0, 24, 30, 4, 15, 11, 2, 0, 15, 13, 2, 0, 0.0, 3, 6, 6, 3, 1, 26, 26, 9.38, 65.63, 71.88, 50.0, 86.6875, 86.6875, 10, 80.0, 93.796875, 0.0, 50.0, 43.296875, 6.69921875, 0.0, 0.0, 13.298828125, 10.0, 50.0, 20.0, 36.6953125, 20.0, 27.0, 11.0, 49.0, 31.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 134, "Liste d'appel propre à cette formation", 30.0, "4447", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4447&g_ta_cod=4447", 16.0, 50.0, 34.0),
(626, "Public", "0132932S", "IFSI CH de Martigues", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Martigues", "formation sélective", "IFSI", "Regroupement d'IFSI Université Aix-Marseille - D.E Infirmier", "D.E secteur sanitaire", "", 34, 7493, 6302, 7493, 0, 1021, 277, 1168, 387, 776, 356, 4528, 0, 0, 0, 0, 0, 3512, 0, 0, 0, 776, 175, 534, 153, 92, 31, 2110, 566, 33, 30, 33, 0, 0.0, 2.0, 25.0, 0, 4, 7, 4, 2, 1, 26, 0, 1, 3, 2, 1, 0.0, 3, 2, 1, 0, 0, 6, 6, 0.0, 6.06, 75.76, 90.890625, 85.6875, 85.6875, 0, 57.09375, 21.19921875, 0.0, 14.298828125, 42.8984375, 28.59765625, 14.3, 0.0, 57.09375, 42.8984375, 28.59765625, 28.59765625, 14.298828125, 14.298828125, 207.0, 60.0, 6.0, 5.0, 311.0, "Tous les candidats", 2118.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 16.0, "23032", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22987&g_ta_cod=23032", 55.0, 21.0, 24.0),
(627, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "PASS", "Université Toulouse 3 Paul Sabatier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 75, 1302, 671, 1302, 0, 915, 128, 23, 7, 1, 0, 363, 0, 0, 0, 0, 0, 1302, 0, 0, 0, 915, 128, 23, 7, 1, 0, 363, 629, 69, 28, 69, 0, 1.0, 20.0, 61.0, 0, 4, 39, 38, 1, 0, 30, 0, 12, 19, 5, 3, 0.0, 27, 0, 0, 0, 0, 29, 29, 1.45, 28.99, 88.41, 40.59375, 74.390625, 74.390625, 0, 10.298828125, 56.5, 0.0, 30.796875, 48.6953125, 12.798828125, 7.7, 0.0, 97.390625, 69.1875, 2.599609375, 0.0, 0.0, 0.0, 483.0, 52.0, 0.0, 0.0, 139.0, "Tous les candidats", 6353.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 63.0, "30940", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29840&g_ta_cod=30940", 91.0, 7.0, 0.0),
(628, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Lettres - Parcours Lettres, Arts, Humanité", "Licence - Arts-lettres-langues", "Lettres, Arts, Humanité", 120, 383, 322, 302, 0, 221, 73, 18, 10, 15, 7, 48, 81, 10, 6, 9, 56, 302, 81, 0, 0, 221, 73, 18, 10, 15, 7, 48, 367, 74, 61, 47, 27, 20.0, 47.0, 58.0, 0, 21, 46, 32, 7, 7, 28, 0, 17, 20, 7, 2, 0.0, 23, 3, 3, 0, 0, 44, 44, 27.03, 63.51, 78.38, 82.390625, 95.6875, 95.6875, 0, 45.6953125, 62.1953125, 0.0, 37.0, 43.5, 15.19921875, 4.3, 0.0, 69.59375, 50.0, 15.19921875, 6.5, 15.19921875, 6.5, 223.0, 72.0, 24.0, 11.0, 98.0, "Tous les candidats", 302.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26419", "Licence - Lettres - Parcours Lettres, Arts, Humanité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26419&g_ta_cod=26419", 59.0, 15.0, 23.0),
(629, "Privé enseignement supérieur", "0061690E", "ESRA - Nice", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Autre formation", "ESRA - Formation des écoles supérieure d'art Bac + 3 - Etudes Supérieures en Réalisation Audiovisuelle", "Formation des écoles supérieure d'art", "Etudes Supérieures en Réalisation Audiovisuelle", 100, 420, 146, 370, 0, 251, 24, 18, 2, 9, 2, 92, 50, 10, 7, 8, 25, 319, 18, 0, 0, 221, 21, 17, 2, 6, 0, 75, 312, 81, 27, 70, 11, 21.0, 69.0, 72.0, 0, 6, 61, 52, 7, 2, 20, 0, 20, 26, 12, 3, 0.0, 37, 2, 2, 0, 0, 32, 32, 25.93, 85.19, 88.89, 33.296875, 52.5, 52.5, 0, 9.798828125, 75.296875, 0.0, 32.796875, 42.59375, 19.69921875, 4.9, 0.0, 85.1875, 60.6953125, 11.5, 3.2998046875, 3.2998046875, 3.2998046875, 206.0, 20.0, 7.0, 0.0, 84.0, "Tous les candidats", 735.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 86.0, "26439", "Formation des écoles supérieure d'art Bac + 3 - Etudes Supérieures en Réalisation Audiovisuelle", "ESRA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26436&g_ta_cod=26439", 84.0, 12.0, 2.0),
(630, "Public", "0771940R", "Lycée polyvalent de Noisiel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Noisiel", "formation sélective", "BTS", "Lycée polyvalent de Noisiel - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 24, 319, 22, 315, 0, 20, 6, 81, 20, 108, 42, 106, 4, 1, 0, 0, 3, 247, 1, 0, 0, 20, 6, 77, 19, 87, 32, 63, 107, 21, 3, 20, 1, 5.0, 13.0, 18.0, 0, 6, 14, 2, 5, 7, 7, 0, 7, 6, 1, 0, 0.0, 0, 1, 6, 6, 0, 14, 14, 23.81, 61.9, 85.71, 14.298828125, 100.0, 100.0, 42.8984375, 42.8984375, 66.6875, 0.0, 50.0, 42.8984375, 7.099609375, 0.0, 0.0, 14.298828125, 0.0, 35.6953125, 7.099609375, 50.0, 42.8984375, 19.0, 6.0, 49.0, 18.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 44.0, "9858", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9858&g_ta_cod=9858", 29.0, 29.0, 43.0),
(631, "Public", "0440139M", "I.U.T. Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Carquefou", "formation sélective", "BUT", "I.U.T. Nantes - BUT - Génie thermique et énergie Parcours : Optimisation  énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie - Management de l'énergie pour le bâtiment et l'industrie - Exploitation des installations énergétiques pour le bâtiment et l'industrie (Seconde année possible en apprentissage)", "BUT - Production", "Optimisation  énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie - Management de l'énergie pour le bâtiment et l'industrie - Exploitation des installations énergétiques pour le bâtiment et l'industrie", 78, 991, 97, 981, 0, 516, 62, 332, 49, 3, 1, 130, 10, 0, 8, 0, 2, 843, 3, 0, 0, 459, 50, 281, 43, 0, 0, 103, 601, 69, 5, 68, 1, 26.0, 55.0, 67.0, 0, 5, 59, 31, 28, 0, 10, 0, 6, 36, 11, 5, 1.0, 25, 28, 0, 0, 0, 45, 45, 37.68, 79.71, 97.1, 7.19921875, 76.296875, 76.296875, 0, 8.5, 85.5, 0.0, 10.19921875, 61.0, 18.59765625, 8.5, 1.7, 52.5, 42.3984375, 47.5, 47.5, 0.0, 0.0, 325.0, 43.0, 0.0, 0.0, 75.0, "Tous les candidats sauf les Bac technologiques", 545.0, "Bacheliers technologiques toutes séries", 295, "", 0, "Liste d'appel propre à cette formation", 85.0, "5481", "BUT - Génie thermique et énergie Parcours : Optimisation  énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie - Management de l'énergie pour le bâtiment et l'industrie - Exploitation des installations énergétiques pour le bâtiment et l'industrie (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5481&g_ta_cod=5481", 58.0, 42.0, 0.0),
(632, "Public", "0511430C", "Lycée Joliot-Curie - Lycée des Métiers de la relation client et des services administratifs", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "Lycée Joliot-Curie - Lycée des Métiers de la relation client et des services administratifs - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 76, 15, 76, 0, 8, 2, 8, 2, 32, 15, 28, 0, 0, 0, 0, 0, 68, 0, 0, 0, 7, 1, 7, 2, 26, 12, 28, 35, 11, 2, 11, 0, 4.0, 8.0, 8.0, 0, 2, 4, 1, 0, 3, 7, 0, 2, 0, 2, 0, 0.0, 0, 0, 2, 0, 0, 2, 2, 36.36, 72.73, 72.73, 18.19921875, 50.0, 50.0, 0, 50.0, 36.3984375, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 25.0, 0.0, 0.0, 0.0, 75.0, 50.0, 3.0, 0.0, 12.0, 7.0, 18.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "24371", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24371&g_ta_cod=24371", 45.0, 18.0, 36.0),
(633, "Public", "0750712S", "Lycée Diderot", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Diderot - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 1346, 104, 1346, 0, 145, 46, 421, 179, 348, 157, 432, 0, 0, 0, 0, 0, 595, 0, 0, 0, 76, 16, 185, 71, 197, 94, 137, 108, 24, 0, 24, 0, 3.0, 19.0, 22.0, 0, 10, 18, 2, 9, 7, 6, 0, 3, 6, 7, 2, 0.0, 0, 8, 7, 3, 0, 11, 17, 12.5, 79.17, 91.67, 0.0, 61.09375, 94.390625, 16.69921875, 55.59375, 75.0, 0.0, 16.69921875, 33.296875, 38.8984375, 11.1, 0.0, 11.099609375, 0.0, 50.0, 44.3984375, 38.8984375, 38.8984375, 16.0, 6.0, 32.0, 14.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 13.0, "9175", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9175&g_ta_cod=9175", 17.0, 50.0, 33.0),
(634, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Information et communication", "Licence - Sciences humaines et sociales", "", 45, 3116, 2265, 3116, 0, 1910, 384, 269, 80, 25, 9, 912, 0, 0, 0, 0, 0, 3116, 0, 0, 0, 1910, 384, 269, 80, 25, 9, 912, 257, 45, 37, 44, 0, 3.0, 37.0, 38.0, 0, 9, 30, 29, 1, 0, 15, 0, 0, 6, 20, 4, 0.0, 29, 1, 0, 0, 0, 16, 24, 6.67, 82.22, 84.44, 82.1875, 53.296875, 80.0, 0, 30.0, 66.6875, 0.0, 0.0, 20.0, 66.6875, 13.3, 0.0, 96.6875, 96.6875, 3.2998046875, 3.2998046875, 0.0, 0.0, 181.0, 44.0, 0.0, 0.0, 72.0, "Tous les candidats", 369.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "26813", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26813&g_ta_cod=26813", 93.0, 4.0, 0.0),
(635, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Portail Licence 1ère année Portail Mathématiques - Informatique", "Licence - Sciences - technologies - santé", "Licence 1ère année Portail Mathématiques - Informatique", 320, 1459, 347, 1252, 0, 865, 159, 47, 19, 10, 5, 330, 207, 35, 4, 2, 166, 1207, 129, 0, 0, 865, 159, 47, 19, 10, 5, 285, 1157, 169, 39, 127, 42, 21.0, 126.0, 149.0, 0, 25, 107, 96, 10, 1, 62, 1, 36, 36, 24, 9, 1.0, 64, 5, 1, 0, 0, 86, 86, 12.43, 74.56, 88.17, 23.09765625, 80.390625, 80.390625, 0, 23.3984375, 63.296875, 0.89990234375, 33.59375, 33.59375, 22.3984375, 8.4, 0.9, 89.6875, 59.796875, 9.298828125, 4.69921875, 0.89990234375, 0.89990234375, 771.0, 149.0, 11.0, 6.0, 344.0, "Tous les candidats", 1289.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "6327", "Licence - Portail Licence 1ère année Portail Mathématiques - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26960&g_ta_cod=6327", 89.0, 10.0, 1.0),
(636, "Public", "0930123D", "Lycée Olympe De Gouges", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Noisy-le-Sec", "formation sélective", "CPGE", "Lycée Olympe De Gouges - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 35, 337, 175, 312, 0, 266, 102, 1, 0, 2, 1, 43, 25, 11, 1, 3, 10, 261, 12, 0, 261, 243, 91, 0, 0, 0, 0, 18, 240, 22, 14, 21, 1, 10.0, 19.0, 21.0, 0, 9, 19, 19, 0, 0, 3, 0, 5, 8, 5, 1, 0.0, 14, 0, 0, 4, 3, 17, 19, 45.45, 86.36, 95.45, 63.59375, 89.5, 100.0, 21.09765625, 47.3984375, 86.390625, 0.0, 26.296875, 42.09375, 26.296875, 5.3, 0.0, 100.0, 73.6875, 0.0, 0.0, 0.0, 0.0, 218.0, 83.0, 0.0, 0.0, 22.0, "Tous les candidats", 261.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "31293", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31293&g_ta_cod=31293", 100.0, 0.0, 0.0),
(637, "Public", "0110007Y", "Lycée Jules Fil", "11", "Aude", "Occitanie", "Montpellier", "Carcassonne", "formation sélective", "BTS", "Lycée Jules Fil - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 241, 15, 240, 0, 7, 3, 55, 19, 80, 36, 98, 1, 0, 0, 0, 1, 160, 0, 0, 0, 7, 3, 55, 19, 77, 33, 21, 62, 21, 1, 20, 0, 8.0, 18.0, 19.0, 0, 8, 20, 1, 6, 13, 1, 0, 6, 9, 4, 1, 0.0, 1, 4, 9, 16, 0, 19, 19, 38.1, 85.71, 90.48, 4.7998046875, 95.0, 95.0, 80, 40.0, 95.1875, 0.0, 30.0, 45.0, 20.0, 5.0, 0.0, 5.0, 5.0, 30.0, 20.0, 65.0, 45.0, 2.0, 1.0, 28.0, 11.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 49.0, "2449", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2449&g_ta_cod=2449", 5.0, 29.0, 67.0),
(638, "Public", "0910727W", "Lycée Parc de Vilgenis", "91", "Essonne", "Ile-de-France", "Versailles", "Massy", "formation sélective", "BTS", "Lycée Parc de Vilgenis - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 691, 46, 691, 0, 75, 6, 224, 74, 177, 71, 215, 0, 0, 0, 0, 0, 398, 0, 0, 0, 67, 6, 152, 45, 116, 41, 63, 124, 29, 0, 29, 0, 2.0, 23.0, 29.0, 0, 5, 25, 5, 8, 12, 4, 0, 9, 10, 4, 2, 0.0, 3, 4, 9, 10, 0, 21, 24, 6.9, 79.31, 100.0, 0.0, 84.0, 96.0, 40, 20.0, 86.1875, 0.0, 36.0, 40.0, 16.0, 8.0, 0.0, 20.0, 12.0, 32.0, 16.0, 48.0, 36.0, 11.0, 4.0, 42.0, 12.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 116, "Liste d'appel propre à cette formation", 30.0, "10876", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10876&g_ta_cod=10876", 17.0, 41.0, 41.0),
(639, "Public", "0121471J", "Institut national universitaire Champollion - Campus de Rodez", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation non sélective", "Licence", "Institut national universitaire Champollion - Campus de Rodez - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Accès Kiné", "Licence - Sciences - technologies - santé", "Accès Kiné", 180, 2121, 753, 2121, 0, 1444, 203, 185, 28, 25, 5, 467, 0, 0, 0, 0, 0, 2119, 0, 0, 0, 1444, 203, 185, 28, 25, 5, 465, 686, 176, 50, 176, 0, 26.0, 130.0, 154.0, 0, 23, 148, 135, 13, 0, 28, 0, 43, 73, 30, 2, 0.0, 95, 10, 0, 0, 0, 139, 139, 14.77, 73.86, 87.5, 28.3984375, 93.890625, 93.890625, 0, 15.5, 84.09375, 0.0, 29.09765625, 49.296875, 20.296875, 1.4, 0.0, 91.1875, 64.1875, 8.798828125, 6.7998046875, 0.0, 0.0, 484.0, 73.0, 6.0, 0.0, 156.0, "Tous les candidats", 722.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "2519", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Accès Kiné", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2519&g_ta_cod=2519", 90.0, 9.0, 1.0),
(640, "Public", "0690042W", "Lycée Colbert", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Lycée Colbert - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 32, 893, 240, 893, 0, 66, 14, 242, 96, 261, 127, 324, 0, 0, 0, 0, 0, 471, 0, 0, 0, 43, 8, 134, 45, 193, 86, 101, 129, 30, 3, 30, 0, 6.0, 22.0, 28.0, 0, 9, 24, 1, 10, 13, 6, 1, 6, 13, 3, 1, 0.0, 0, 6, 11, 2, 0, 17, 17, 20.0, 73.33, 93.33, 10.0, 70.796875, 70.796875, 8.298828125, 37.5, 80.0, 4.19921875, 25.0, 54.1953125, 12.5, 4.2, 0.0, 4.19921875, 0.0, 41.6953125, 25.0, 54.1953125, 45.796875, 4.0, 2.0, 46.0, 20.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 102, "Liste d'appel propre à cette formation", 20.0, "8229", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8229&g_ta_cod=8229", 10.0, 43.0, 47.0),
(641, "Privé enseignement supérieur", "0760169W", "Institut National des Formations Notariales", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Institut National des Formations Notariales - BTS - Services - Notariat", "BTS - Services", "", 25, 480, 353, 384, 0, 127, 19, 112, 24, 13, 3, 132, 96, 22, 16, 3, 55, 140, 10, 0, 0, 70, 9, 44, 7, 1, 0, 25, 105, 19, 16, 14, 5, 3.0, 13.0, 18.0, 0, 1, 15, 10, 5, 0, 4, 0, 1, 10, 4, 0, 0.0, 9, 5, 0, 0, 0, 14, 14, 15.79, 68.42, 94.74, 84.1875, 93.296875, 93.296875, 0, 6.69921875, 78.890625, 0.0, 6.69921875, 66.6875, 26.69921875, 0.0, 0.0, 66.6875, 60.0, 33.296875, 33.296875, 0.0, 0.0, 56.0, 4.0, 0.0, 0.0, 22.0, "Tous les candidats", 140.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "9620", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9620&g_ta_cod=9620", 74.0, 26.0, 0.0),
(642, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "PASS", "Université des Antilles - Pôle Martinique - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 50, 335, 231, 167, 0, 117, 23, 12, 6, 5, 2, 33, 168, 86, 6, 3, 73, 167, 162, 0, 0, 117, 23, 12, 6, 5, 2, 33, 316, 43, 30, 16, 27, 3.0, 15.0, 30.0, 0, 8, 30, 25, 3, 2, 13, 0, 13, 13, 4, 0, 0.0, 15, 1, 1, 0, 0, 18, 18, 6.98, 34.88, 69.77, 69.796875, 60.0, 60.0, 0, 26.69921875, 69.796875, 0.0, 43.296875, 43.296875, 13.298828125, 0.0, 0.0, 83.296875, 50.0, 10.0, 3.2998046875, 6.69921875, 3.2998046875, 191.0, 37.0, 8.0, 4.0, 99.0, "Tous les candidats", 1016.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "26832", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26824&g_ta_cod=26832", 81.0, 9.0, 9.0),
(643, "Public", "0951985S", "I.U.T de Cergy-Pontoise - Site de Sarcelles", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Sarcelles", "formation sélective", "BUT", "I.U.T de Cergy-Pontoise - Site de Sarcelles - BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electronique et systèmes embarqués (Seconde année possible en apprentissage)", "BUT - Production", "Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", 66, 1006, 81, 921, 0, 414, 146, 271, 104, 13, 4, 223, 85, 0, 49, 0, 36, 524, 13, 0, 0, 269, 94, 171, 63, 2, 0, 82, 402, 63, 4, 55, 6, 2.0, 45.0, 57.0, 0, 15, 46, 25, 21, 0, 17, 0, 36, 8, 2, 0, 0.0, 7, 3, 0, 0, 0, 26, 45, 3.17, 71.43, 90.48, 6.2998046875, 56.5, 97.796875, 0, 32.59375, 73.0, 0.0, 78.296875, 17.3984375, 4.2998046875, 0.0, 0.0, 54.296875, 15.19921875, 45.6953125, 6.5, 0.0, 0.0, 177.0, 62.0, 0.0, 0.0, 76.0, "Tous les candidats sauf les Bac technologiques", 276.0, "Bacheliers technologiques toutes séries", 197, "", 0, "Liste d'appel propre à cette formation", 51.0, "11661", "BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electronique et systèmes embarqués (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11661&g_ta_cod=11661", 52.0, 48.0, 0.0),
(644, "Public", "0624109E", "Lycée Giraux Sannier", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "Autre formation", "Lycée Giraux Sannier - Diplôme de Comptabilité et de Gestion", "DCG", "", 48, 353, 166, 316, 0, 96, 27, 56, 21, 0, 0, 164, 37, 3, 4, 1, 29, 154, 11, 0, 0, 89, 26, 36, 19, 0, 0, 29, 130, 30, 14, 27, 3, 8.0, 27.0, 28.0, 0, 7, 19, 12, 7, 0, 11, 0, 3, 5, 10, 1, 0.0, 9, 7, 0, 0, 0, 19, 19, 26.67, 90.0, 93.33, 46.6953125, 100.0, 100.0, 0, 36.796875, 63.296875, 0.0, 15.798828125, 26.296875, 52.59375, 5.3, 0.0, 63.1953125, 47.3984375, 36.796875, 36.796875, 0.0, 0.0, 68.0, 18.0, 0.0, 0.0, 34.0, "Tous les candidats", 154.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "7532", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7532&g_ta_cod=7532", 70.0, 27.0, 3.0),
(645, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Histoire / Anglais", "Licence - Sciences humaines et sociales", "", 15, 538, 340, 538, 0, 405, 71, 12, 5, 3, 2, 118, 0, 0, 0, 0, 0, 531, 0, 0, 0, 405, 71, 12, 5, 3, 2, 111, 98, 15, 9, 15, 0, 2.0, 10.0, 11.0, 0, 2, 14, 14, 0, 0, 1, 0, 1, 5, 7, 1, 0.0, 13, 0, 0, 0, 0, 4, 9, 13.33, 66.67, 73.33, 60.0, 28.59765625, 64.296875, 0, 14.298828125, 93.296875, 0.0, 7.099609375, 35.6953125, 50.0, 7.1, 0.0, 100.0, 92.890625, 0.0, 0.0, 0.0, 0.0, 90.0, 12.0, 0.0, 0.0, 8.0, "Tous les candidats", 141.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "23819", "Licence - Histoire / Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23819&g_ta_cod=23819", 100.0, 0.0, 0.0),
(646, "Public", "0942072S", "IUT de Créteil Vitry (Site de Vitry) - UPEC", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "BUT", "IUT de Créteil Vitry (Site de Vitry) - UPEC - BUT - Réseaux et télécommunications Parcours : Cybersécurité - Réseaux Opérateurs et Multimédia", "BUT - Production", "Cybersécurité - Réseaux Opérateurs et Multimédia", 68, 1982, 196, 1982, 0, 870, 244, 683, 265, 36, 8, 393, 0, 0, 0, 0, 0, 1122, 0, 0, 0, 652, 176, 323, 109, 7, 1, 140, 390, 72, 10, 72, 0, 15.0, 49.0, 64.0, 0, 30, 61, 31, 29, 1, 11, 0, 5, 43, 11, 2, 0.0, 29, 26, 1, 0, 0, 37, 57, 20.83, 68.06, 88.89, 13.8984375, 60.6953125, 93.390625, 0, 49.1953125, 84.6875, 0.0, 8.19921875, 70.5, 18.0, 3.3, 0.0, 50.796875, 47.5, 47.5, 42.59375, 1.599853515625, 1.599853515625, 189.0, 67.0, 3.0, 1.0, 53.0, "Tous les candidats sauf les Bac technologiques", 315.0, "Bacheliers technologiques toutes séries", 238, "", 0, "Liste d'appel propre à cette formation", 27.0, "11544", "BUT - Réseaux et télécommunications Parcours : Cybersécurité - Réseaux Opérateurs et Multimédia", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11544&g_ta_cod=11544", 51.0, 47.0, 1.0),
(647, "Public", "0754247J", "I.U.T de Paris Descartes", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "BUT", "I.U.T de Paris Descartes - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Parcours : Business international : achat et vente - Parcours : Marketing et management du point de vente - Parcours : Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Parcours : Business international : achat et vente - Parcours : Marketing et management du point de vente - Parcours : Business développement et management de la relation client", 168, 6373, 3679, 6373, 0, 3586, 643, 1806, 583, 53, 22, 928, 0, 0, 0, 0, 0, 1004, 0, 0, 0, 529, 130, 348, 85, 0, 0, 127, 354, 168, 123, 168, 0, 73.0, 154.0, 163.0, 0, 45, 150, 68, 82, 0, 18, 0, 1, 24, 101, 24, 0.0, 67, 82, 0, 0, 0, 31, 125, 43.45, 91.67, 97.02, 73.1875, 20.69921875, 83.296875, 0, 30.0, 89.296875, 0.0, 0.699951171875, 16.0, 67.296875, 16.0, 0.0, 45.296875, 44.6953125, 54.6953125, 54.6953125, 0.0, 0.0, 154.0, 42.0, 0.0, 0.0, 44.0, "Tous les candidats sauf les Bac technologiques", 231.0, "Bacheliers technologiques toutes séries", 188, "", 0, "Liste d'appel propre à cette formation", 7.0, "9518", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Parcours : Business international : achat et vente - Parcours : Marketing et management du point de vente - Parcours : Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9518&g_ta_cod=9518", 50.0, 50.0, 0.0),
(648, "Public", "0271476H", "IFSI Evreux CH Eure-Seine", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "IFSI", "Regroupement d'IFSI Université Rouen - D.E Infirmier", "D.E secteur sanitaire", "", 131, 2498, 2146, 2498, 0, 486, 108, 483, 137, 259, 97, 1270, 0, 0, 0, 0, 0, 2217, 0, 0, 0, 479, 106, 449, 120, 222, 84, 1067, 1073, 130, 108, 130, 0, 1.0, 59.0, 100.0, 0, 28, 84, 24, 41, 19, 46, 1, 32, 34, 16, 1, 0.0, 10, 23, 18, 0, 0, 68, 68, 0.77, 45.38, 76.92, 83.09375, 81.0, 81.0, 0, 33.296875, 64.59375, 1.199951171875, 38.09375, 40.5, 19.0, 1.2, 0.0, 28.59765625, 11.8984375, 48.796875, 27.3984375, 22.59765625, 21.3984375, 325.0, 71.0, 89.0, 39.0, 414.0, "Tous les candidats", 2041.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 48.0, "23224", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23005&g_ta_cod=23224", 45.0, 38.0, 17.0),
(649, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence", "Université des Antilles - Pôle Martinique - Licence - Arts - Parcours ART", "Licence - Arts-lettres-langues", "ART", 100, 300, 232, 250, 0, 148, 66, 24, 8, 27, 15, 51, 50, 11, 8, 9, 22, 248, 49, 0, 0, 148, 66, 24, 8, 27, 15, 49, 278, 72, 47, 52, 20, 13.0, 51.0, 67.0, 0, 29, 55, 32, 11, 12, 17, 1, 33, 18, 3, 0, 0.0, 14, 0, 7, 0, 0, 37, 37, 18.06, 70.83, 93.06, 65.296875, 67.296875, 67.296875, 0, 52.6953125, 76.390625, 1.7998046875, 60.0, 32.6953125, 5.5, 0.0, 0.0, 58.1953125, 25.5, 20.0, 0.0, 21.796875, 12.69921875, 151.0, 67.0, 34.0, 18.0, 62.0, "Tous les candidats", 248.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "19450", "Licence - Arts - Parcours ART", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19450&g_ta_cod=19450", 61.0, 19.0, 19.0),
(650, "Public", "0711372F", "I.U.T du Creusot", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Le Creusot", "formation sélective", "Autre formation", "I.U.T du Creusot - Formation Supérieure de Spécialisation - Numérique - Parcours Développeur", "Diplôme d'Université", "Numérique - Parcours Développeur", 12, 36, 3, 24, 0, 12, 2, 4, 2, 2, 0, 6, 12, 3, 2, 0, 7, 21, 9, 0, 0, 12, 2, 4, 2, 2, 0, 3, 37, 11, 1, 7, 4, 2.0, 6.0, 9.0, 0, 2, 9, 6, 3, 0, 2, 0, 6, 2, 1, 0, 0.0, 2, 1, 0, 0, 0, 7, 7, 18.18, 54.55, 81.82, 9.099609375, 77.796875, 77.796875, 0, 22.19921875, 81.796875, 0.0, 66.6875, 22.19921875, 11.099609375, 0.0, 0.0, 66.6875, 22.19921875, 33.296875, 11.099609375, 0.0, 0.0, 19.0, 4.0, 3.0, 1.0, 9.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "33068", "Formation Supérieure de Spécialisation - Numérique - Parcours Développeur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33068&g_ta_cod=33068", 64.0, 36.0, 0.0),
(651, "Public", "0332192D", "Lycée Hotel.Tourisme Gascogne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "BTS", "Lycée Hotel.Tourisme Gascogne - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 104, 823, 412, 823, 0, 0, 0, 337, 54, 272, 80, 214, 0, 0, 0, 0, 0, 710, 0, 0, 0, 0, 0, 283, 41, 240, 71, 187, 336, 99, 61, 99, 0, 24.0, 84.0, 95.0, 0, 17, 72, 0, 41, 31, 27, 0, 12, 27, 24, 9, 0.0, 0, 31, 29, 41, 25, 55, 55, 24.24, 84.85, 95.96, 61.59375, 76.390625, 76.390625, 56.8984375, 23.59765625, 72.6875, 0.0, 16.69921875, 37.5, 33.296875, 12.5, 0.0, 0.0, 0.0, 56.8984375, 43.09375, 43.09375, 40.296875, 0.0, 0.0, 115.0, 33.0, 93.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 122.0, "Bacheliers professionnels toutes séries", 207, "Bacheliers technologiques toutes séries", 310, "Liste d'appel propre à cette formation", 78.0, "4428", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4428&g_ta_cod=4428", 20.0, 43.0, 36.0),
(652, "Public", "0595964M", "Université du littoral - Site de Dunkerque", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "Ecole de Commerce", "Université du littoral - Site de Dunkerque - Bachelor en commerce et management à l'international ? ISCID - CO", "Formation des écoles de commerce et de management", "Bachelor en commerce et management à l'international ? ISCID - CO", 80, 593, 294, 528, 0, 288, 33, 52, 12, 10, 4, 178, 65, 13, 8, 2, 42, 197, 22, 0, 0, 149, 16, 13, 1, 2, 1, 33, 200, 51, 24, 41, 10, 15.0, 40.0, 47.0, 0, 7, 34, 29, 4, 1, 17, 1, 14, 10, 8, 0, 1.0, 17, 2, 0, 0, 0, 21, 21, 29.41, 78.43, 92.16, 47.09375, 61.796875, 61.796875, 0, 20.59765625, 66.6875, 2.89990234375, 41.1953125, 29.3984375, 23.5, 0.0, 2.9, 85.296875, 50.0, 11.798828125, 5.8994140625, 2.89990234375, 0.0, 139.0, 16.0, 2.0, 1.0, 44.0, "Tous les candidats", 197.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "25115", "Bachelor en commerce et management à l'international ? ISCID - CO", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25115&g_ta_cod=25115", 82.0, 12.0, 4.0),
(653, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence", "Université des Antilles - Pôle Martinique - Licence - Histoire - Parcours Histoire - Martinique", "Licence - Sciences humaines et sociales", "Histoire - Martinique", 75, 134, 74, 109, 0, 84, 28, 10, 3, 3, 1, 12, 25, 5, 3, 1, 16, 109, 24, 0, 0, 84, 28, 10, 3, 3, 1, 12, 132, 15, 8, 10, 5, 6.0, 10.0, 11.0, 0, 4, 11, 6, 3, 2, 4, 0, 8, 3, 0, 0, 0.0, 1, 1, 1, 0, 0, 10, 10, 40.0, 66.67, 73.33, 53.296875, 90.890625, 90.890625, 0, 36.3984375, 73.296875, 0.0, 72.6875, 27.296875, 0.0, 0.0, 0.0, 54.5, 9.099609375, 27.296875, 9.099609375, 18.19921875, 9.099609375, 89.0, 29.0, 4.0, 2.0, 26.0, "Tous les candidats", 109.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11836", "Licence - Histoire - Parcours Histoire - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11836&g_ta_cod=11836", 53.0, 27.0, 20.0),
(654, "Public", "0680066C", "Lycée Jean Mermoz", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Saint-Louis", "formation sélective", "BTS", "Lycée Jean Mermoz - BTS - Production - Traitement des matériaux", "BTS - Production", "", 15, 110, 20, 101, 0, 12, 1, 47, 13, 5, 2, 37, 9, 0, 6, 0, 3, 55, 1, 0, 0, 12, 1, 31, 6, 2, 0, 10, 46, 10, 1, 10, 0, 3.0, 10.0, 10.0, 0, 2, 7, 0, 6, 1, 3, 0, 2, 4, 1, 0, 0.0, 0, 4, 1, 3, 1, 6, 6, 30.0, 100.0, 100.0, 10.0, 85.6875, 85.6875, 42.8984375, 28.59765625, 70.0, 0.0, 28.59765625, 57.09375, 14.298828125, 0.0, 0.0, 0.0, 0.0, 85.6875, 57.09375, 14.298828125, 14.298828125, 11.0, 1.0, 2.0, 0.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 2, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 53.0, "8122", "BTS - Production - Traitement des matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8122&g_ta_cod=8122", 30.0, 60.0, 10.0),
(655, "Public", "0501744Z", "INSTITUT NATIONAL DES SCIENCES ET TECHNIQUES DE LA MER", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "Autre formation", "INSTITUT NATIONAL DES SCIENCES ET TECHNIQUES DE LA MER - Cadre technique production et valorisation des ressources marines", "Cadre Technique", "", 12, 176, 66, 176, 0, 99, 5, 19, 1, 2, 0, 56, 0, 0, 0, 0, 0, 25, 0, 0, 0, 20, 0, 0, 0, 1, 0, 4, 12, 12, 2, 12, 0, 12.0, 12.0, 12.0, 0, 0, 10, 9, 0, 1, 2, 0, 1, 6, 3, 0, 0.0, 8, 0, 1, 0, 0, 2, 2, 100.0, 100.0, 100.0, 16.69921875, 20.0, 20.0, 0, 0.0, 83.296875, 0.0, 10.0, 60.0, 30.0, 0.0, 0.0, 90.0, 80.0, 0.0, 0.0, 10.0, 10.0, 9.0, 0.0, 1.0, 0.0, 2.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "6033", "Cadre technique production et valorisation des ressources marines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6033&g_ta_cod=6033", 83.0, 8.0, 8.0),
(656, "Public", "0331420P", "IUT Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BUT", "IUT Bordeaux Montaigne - BUT - Information communication Parcours publicité", "BUT - Service", "", 30, 989, 769, 989, 0, 618, 73, 193, 38, 8, 2, 170, 0, 0, 0, 0, 0, 213, 0, 0, 0, 109, 10, 71, 13, 1, 0, 32, 65, 30, 22, 30, 0, 13.0, 27.0, 30.0, 0, 7, 27, 15, 12, 0, 3, 0, 1, 10, 13, 3, 0.0, 15, 11, 0, 0, 0, 11, 11, 43.33, 90.0, 100.0, 73.296875, 40.6953125, 40.6953125, 0, 25.8984375, 90.0, 0.0, 3.69970703125, 37.0, 48.09375, 11.1, 0.0, 55.59375, 55.59375, 44.3984375, 40.6953125, 0.0, 0.0, 28.0, 5.0, 0.0, 0.0, 4.0, "Tous les candidats sauf les Bac technologiques", 39.0, "Bacheliers technologiques toutes séries", 51, "", 0, "Liste d'appel propre à cette formation", 9.0, "4334", "BUT - Information communication Parcours publicité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4334&g_ta_cod=4334", 60.0, 40.0, 0.0),
(657, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence_Las", "Université de Rennes 1 - Licence - Portail Portail informatique électronique", "Licence - Sciences - technologies - santé", "Portail informatique électronique", 40, 309, 93, 203, 0, 89, 16, 10, 0, 2, 2, 102, 106, 41, 4, 0, 61, 182, 86, 0, 0, 89, 16, 10, 0, 2, 2, 81, 245, 31, 10, 14, 17, 1.0, 14.0, 26.0, 0, 0, 14, 13, 1, 0, 17, 0, 6, 6, 2, 0, 0.0, 8, 0, 0, 0, 0, 7, 7, 3.23, 45.16, 83.87, 32.296875, 50.0, 50.0, 0, 0.0, 45.1953125, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 92.890625, 57.09375, 7.099609375, 0.0, 0.0, 0.0, 116.0, 15.0, 2.0, 2.0, 116.0, "Tous les candidats", 1073.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 90.0, "27348", "Licence - Portail Portail informatique électronique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27347&g_ta_cod=27348", 84.0, 16.0, 0.0),
(658, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation non sélective", "PASS", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 30, 4510, 3001, 4510, 0, 3341, 765, 53, 28, 23, 12, 1093, 0, 0, 0, 0, 0, 4506, 0, 0, 0, 3341, 765, 53, 28, 23, 12, 1089, 608, 26, 14, 26, 0, 0.0, 5.0, 17.0, 0, 2, 23, 23, 0, 0, 3, 0, 1, 7, 10, 3, 2.0, 22, 0, 0, 0, 0, 14, 19, 0.0, 19.23, 65.38, 53.796875, 60.8984375, 82.59375, 0, 8.69921875, 88.5, 0.0, 4.2998046875, 30.3984375, 43.5, 13.0, 8.7, 100.0, 95.6875, 0.0, 0.0, 0.0, 0.0, 531.0, 102.0, 0.0, 0.0, 77.0, "Tous les candidats", 3487.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "27913", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27909&g_ta_cod=27913", 100.0, 0.0, 0.0),
(659, "Public", "6200002H", "Lycée Laetitia Bonaparte", "2A", "Corse du Sud", "Corse", "Corse", "Ajaccio", "formation sélective", "BTS", "Lycée Laetitia Bonaparte - BTS - Services - Support à l'action managériale", "BTS - Services", "", 15, 119, 84, 117, 0, 11, 2, 50, 13, 26, 12, 30, 2, 0, 0, 2, 0, 83, 0, 0, 0, 9, 1, 41, 11, 18, 9, 15, 57, 14, 8, 14, 0, 3.0, 12.0, 14.0, 0, 6, 11, 1, 5, 5, 3, 0, 7, 3, 1, 0, 0.0, 1, 1, 2, 4, 2, 11, 11, 21.43, 85.71, 100.0, 57.09375, 100.0, 100.0, 36.3984375, 54.5, 78.59375, 0.0, 63.59375, 27.296875, 9.099609375, 0.0, 0.0, 9.099609375, 9.099609375, 45.5, 9.099609375, 45.5, 18.19921875, 6.0, 1.0, 16.0, 9.0, 7.0, "Tous les candidats sauf les Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 57.0, "11680", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11680&g_ta_cod=11680", 29.0, 36.0, 36.0),
(660, "Public", "0751722P", "Sorbonne Université - Sciences et Ingénierie", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Sciences et Ingénierie - Licence - Portail Sciences de la nature", "Licence - Sciences - technologies - santé", "Sciences de la nature", 320, 6460, 4222, 6460, 0, 3858, 607, 135, 44, 10, 6, 2457, 0, 0, 0, 0, 0, 6460, 0, 0, 0, 3858, 607, 135, 44, 10, 6, 2457, 1745, 319, 234, 319, 0, 79.0, 258.0, 319.0, 0, 35, 265, 257, 8, 0, 54, 3, 3, 33, 156, 59, 11.0, 251, 8, 0, 0, 0, 49, 223, 24.76, 80.88, 100.0, 73.390625, 18.5, 84.1875, 0, 13.19921875, 83.09375, 1.099853515625, 1.099853515625, 12.5, 58.8984375, 22.3, 4.2, 97.0, 94.6875, 3.0, 3.0, 0.0, 0.0, 1513.0, 174.0, 0.0, 0.0, 208.0, "Tous les candidats", 2698.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "30981", "Licence - Portail Sciences de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31059&g_ta_cod=30981", 97.0, 3.0, 0.0),
(661, "Public", "0932221J", "Lycée Blaise Pascal", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villemomble", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 823, 738, 823, 0, 27, 14, 131, 65, 395, 218, 270, 0, 0, 0, 0, 0, 823, 0, 0, 0, 27, 14, 131, 65, 395, 218, 270, 139, 22, 20, 20, 0, 1.0, 13.0, 18.0, 0, 8, 16, 1, 6, 9, 6, 0, 8, 8, 0, 0, 0.0, 1, 1, 6, 2, 2, 14, 15, 4.55, 59.09, 81.82, 90.890625, 87.5, 93.796875, 12.5, 50.0, 72.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 6.2998046875, 6.2998046875, 37.5, 6.2998046875, 56.296875, 37.5, 11.0, 6.0, 57.0, 33.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 90, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 21.0, "18841", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18841&g_ta_cod=18841", 5.0, 41.0, 55.0),
(662, "Privé sous contrat d'association", "0690564N", "Institution des Chartreux", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "BTS", "Institution des Chartreux - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 549, 39, 542, 0, 163, 35, 122, 27, 109, 37, 148, 7, 0, 0, 5, 2, 364, 0, 0, 0, 131, 23, 89, 15, 71, 15, 73, 123, 34, 6, 34, 0, 11.0, 25.0, 32.0, 0, 7, 29, 17, 4, 8, 5, 0, 7, 16, 5, 1, 0.0, 13, 3, 6, 0, 0, 26, 26, 32.35, 73.53, 94.12, 17.59765625, 89.6875, 89.6875, 0, 24.09765625, 85.296875, 0.0, 24.09765625, 55.1953125, 17.19921875, 3.4, 0.0, 58.59375, 44.796875, 13.798828125, 10.298828125, 27.59765625, 20.69921875, 49.0, 12.0, 41.0, 12.0, 24.0, "Tous les candidats sauf les Bac professionnels", 146.0, "Bacheliers professionnels toutes séries", 59, "", 0, "Liste d'appel propre à cette formation", 38.0, "8310", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8310&g_ta_cod=8310", 65.0, 12.0, 24.0),
(663, "Privé enseignement supérieur", "0593202K", "IESEG School of Management - Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole de Commerce", "Concours ACCES - Formation des écoles de commerce et de management Bac + 5", "Formation des écoles de commerce et de management", "", 610, 4766, 2057, 4766, 0, 4379, 76, 82, 6, 1, 0, 304, 0, 0, 0, 0, 0, 2256, 0, 0, 0, 2107, 27, 7, 1, 0, 0, 142, 1800, 727, 313, 727, 0, 593.0, 660.0, 711.0, 0, 8, 689, 686, 3, 0, 38, 2, 42, 249, 308, 83, 5.0, 643, 2, 0, 0, 0, 82, 82, 81.57, 90.78, 97.8, 43.09375, 11.8984375, 11.8984375, 0, 1.199951171875, 94.796875, 0.29998779296875, 6.099609375, 36.09375, 44.6953125, 12.0, 0.7, 99.59375, 93.296875, 0.39996337890625, 0.29998779296875, 0.0, 0.0, 1688.0, 27.0, 0.0, 0.0, 107.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "26010", "Formation des écoles de commerce et de management Bac + 5", "Concours ACCES", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26003&g_ta_cod=26010", 100.0, 0.0, 0.0),
(664, "Privé sous contrat d'association", "0352072M", "Institution St Malo-Providence", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Saint-Malo", "formation sélective", "BTS", "Institution St Malo-Providence - BTS - Services - Commerce International", "BTS - Services", "", 35, 406, 222, 401, 0, 190, 20, 103, 11, 30, 10, 78, 5, 0, 0, 5, 0, 247, 0, 0, 0, 147, 17, 56, 7, 12, 4, 32, 101, 34, 23, 34, 0, 12.0, 29.0, 33.0, 0, 3, 30, 24, 3, 3, 4, 0, 5, 15, 9, 1, 0.0, 20, 3, 2, 4, 2, 27, 27, 35.29, 85.29, 97.06, 67.59375, 90.0, 90.0, 13.298828125, 10.0, 88.1875, 0.0, 16.69921875, 50.0, 30.0, 3.3, 0.0, 80.0, 66.6875, 10.0, 10.0, 10.0, 6.69921875, 66.0, 7.0, 11.0, 4.0, 10.0, "Tous les candidats sauf les Bac professionnels", 116.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 31.0, "4775", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4775&g_ta_cod=4775", 79.0, 12.0, 9.0),
(665, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence_Las", "Université de Rennes 2 - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - STAPS", "", 30, 2744, 1074, 2744, 0, 1822, 198, 267, 57, 67, 25, 588, 0, 0, 0, 0, 0, 2744, 0, 0, 0, 1822, 198, 267, 57, 67, 25, 588, 151, 30, 14, 30, 0, 2.0, 19.0, 26.0, 0, 3, 30, 28, 2, 0, 0, 0, 6, 11, 9, 4, 0.0, 22, 2, 0, 0, 0, 28, 28, 6.67, 63.33, 86.67, 46.6953125, 93.296875, 93.296875, 0, 10.0, 100.0, 0.0, 20.0, 36.6953125, 30.0, 13.3, 0.0, 93.296875, 73.296875, 6.69921875, 6.69921875, 0.0, 0.0, 135.0, 12.0, 2.0, 1.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "29014", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29013&g_ta_cod=29014", 93.0, 7.0, 0.0),
(666, "Public", "0510035L", "Lycée Hugues Libergier", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Hugues Libergier - BTS - Production - Métiers de la chimie", "BTS - Production", "", 24, 352, 188, 352, 0, 74, 18, 86, 17, 6, 1, 186, 0, 0, 0, 0, 0, 241, 0, 0, 0, 74, 18, 86, 17, 6, 1, 75, 124, 22, 9, 22, 0, 4.0, 14.0, 19.0, 0, 5, 15, 3, 10, 2, 7, 0, 9, 3, 3, 0, 0.0, 1, 4, 1, 4, 0, 5, 5, 18.18, 63.64, 86.36, 40.8984375, 33.296875, 33.296875, 26.69921875, 33.296875, 68.1875, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 20.0, 6.69921875, 66.6875, 26.69921875, 13.298828125, 6.69921875, 30.0, 11.0, 2.0, 1.0, 43.0, "Tous les candidats sauf les Bac professionnels", 192.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 55.0, "6071", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6071&g_ta_cod=6071", 27.0, 64.0, 9.0),
(667, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Eurasie - Persan", "Licence - Arts-lettres-langues", "Eurasie - Persan", 55, 120, 72, 72, 0, 27, 3, 3, 3, 1, 1, 41, 48, 4, 1, 0, 43, 64, 33, 0, 0, 27, 3, 3, 3, 1, 1, 33, 97, 30, 23, 10, 20, 9.0, 9.0, 17.0, 0, 0, 4, 4, 0, 0, 26, 0, 0, 1, 3, 0, 0.0, 4, 0, 0, 0, 0, 1, 1, 30.0, 30.0, 56.67, 76.6875, 25.0, 25.0, 0, 0.0, 13.298828125, 0.0, 0.0, 25.0, 75.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 29.0, 3.0, 1.0, 1.0, 63.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "9438", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Eurasie - Persan", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9438&g_ta_cod=9438", 93.0, 3.0, 3.0),
(668, "Privé sous contrat d'association", "0430098Y", "Lycée polyvalent Saint Jacques de Compostelle", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "BTS", "Lycée polyvalent Saint Jacques de Compostelle - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 40, 272, 129, 218, 0, 32, 7, 42, 10, 64, 25, 80, 54, 2, 22, 19, 11, 158, 23, 0, 0, 32, 7, 41, 10, 62, 24, 23, 163, 21, 12, 14, 7, 1.0, 14.0, 18.0, 0, 1, 14, 5, 3, 6, 7, 0, 9, 5, 0, 0, 0.0, 0, 1, 4, 1, 0, 10, 10, 4.76, 66.67, 85.71, 57.09375, 71.390625, 71.390625, 7.099609375, 7.099609375, 66.6875, 0.0, 64.296875, 35.6953125, 0.0, 0.0, 0.0, 35.6953125, 0.0, 21.3984375, 7.099609375, 42.8984375, 28.59765625, 30.0, 7.0, 60.0, 23.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 72.0, "5401", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5401&g_ta_cod=5401", 43.0, 24.0, 33.0),
(669, "Public", "0630054S", "Lycée professionnel Marie Laurencin", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Riom", "formation sélective", "BTS", "Lycée professionnel Marie Laurencin - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 26, 336, 288, 336, 0, 74, 12, 35, 10, 129, 37, 98, 0, 0, 0, 0, 0, 336, 0, 0, 0, 74, 12, 35, 10, 129, 37, 98, 103, 22, 22, 22, 0, 3.0, 8.0, 16.0, 0, 2, 12, 1, 2, 9, 10, 0, 4, 3, 5, 0, 0.0, 1, 0, 7, 4, 4, 7, 7, 13.64, 36.36, 72.73, 100.0, 58.296875, 58.296875, 33.296875, 16.69921875, 54.5, 0.0, 33.296875, 25.0, 41.6953125, 0.0, 0.0, 8.298828125, 8.298828125, 16.69921875, 0.0, 75.0, 58.296875, 5.0, 1.0, 56.0, 16.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 91, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 45.0, "16164", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16164&g_ta_cod=16164", 27.0, 18.0, 55.0),
(670, "Public", "0351914R", "Lycée professionnel maritime Public", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Saint-Malo", "formation sélective", "BTS", "Lycée professionnel maritime Public - BTS - Maritime - Maintenance des systèmes électro-navals", "BTS - Maritime", "", 16, 63, 1, 63, 0, 0, 0, 0, 0, 43, 5, 20, 0, 0, 0, 0, 0, 29, 0, 0, 0, 0, 0, 0, 0, 16, 2, 13, 24, 15, 0, 15, 0, 8.0, 13.0, 15.0, 0, 0, 9, 0, 0, 9, 6, 0, 2, 2, 4, 1, 0.0, 0, 0, 7, 3, 0, 7, 7, 53.33, 86.67, 100.0, 0.0, 77.796875, 77.796875, 33.296875, 0.0, 60.0, 0.0, 22.19921875, 22.19921875, 44.3984375, 11.1, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 77.796875, 0.0, 0.0, 11.0, 1.0, 13.0, "Tous les candidats sauf les Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 44.0, "24474", "BTS - Maritime - Maintenance des systèmes électro-navals", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24474&g_ta_cod=24474", 0.0, 20.0, 80.0),
(671, "Public", "0681839E", "Lycée Joseph Storck (Hotelier)", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Guebwiller", "formation sélective", "Autre formation", "Lycée Joseph Storck (Hotelier) - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 12, 77, 50, 68, 0, 1, 0, 9, 3, 30, 9, 28, 9, 1, 1, 2, 5, 32, 3, 0, 0, 1, 0, 8, 3, 22, 5, 1, 35, 2, 2, 2, 0, 1.0, 2.0, 2.0, 0, 2, 2, 0, 0, 2, 0, 0, 0, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 1, 1, 50.0, 100.0, 100.0, 100.0, 50.0, 50.0, 0, 100.0, 100.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 1.0, 0.0, 22.0, 9.0, 2.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "8174", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8174&g_ta_cod=8174", 0.0, 0.0, 100.0),
(672, "Privé hors contrat", "0611269Y", "INST FORM REGIONAL EN SANTE", "61", "Orne", "Normandie", "Normandie", "Alençon", "formation sélective", "Autre formation", "INST FORM REGIONAL EN SANTE - D.E Psychomotricien", "D.E secteur sanitaire", "", 40, 958, 883, 958, 0, 243, 26, 80, 11, 2, 1, 633, 0, 0, 0, 0, 0, 715, 0, 0, 0, 232, 25, 41, 6, 1, 0, 441, 101, 40, 39, 40, 0, 11.0, 37.0, 40.0, 0, 0, 23, 23, 0, 0, 17, 0, 0, 4, 14, 5, 0.0, 23, 0, 0, 0, 0, 7, 7, 27.5, 92.5, 100.0, 97.5, 30.3984375, 30.3984375, 0, 0.0, 57.5, 0.0, 0.0, 17.3984375, 60.8984375, 21.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 62.0, 4.0, 0.0, 0.0, 37.0, "Tous les candidats", 125.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "26257", "D.E Psychomotricien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26257&g_ta_cod=26257", 100.0, 0.0, 0.0),
(673, "Public", "0810023K", "Lycée Victor Hugo", "81", "Tarn", "Occitanie", "Toulouse", "Gaillac", "formation sélective", "BTS", "Lycée Victor Hugo - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 573, 295, 569, 0, 50, 14, 176, 53, 229, 109, 114, 4, 2, 0, 0, 2, 382, 0, 0, 0, 35, 10, 135, 39, 175, 76, 37, 173, 34, 25, 34, 0, 2.0, 22.0, 28.0, 0, 12, 27, 1, 10, 16, 7, 0, 6, 15, 5, 1, 0.0, 0, 10, 11, 6, 6, 27, 27, 5.88, 64.71, 82.35, 73.5, 100.0, 100.0, 22.19921875, 44.3984375, 79.390625, 0.0, 22.19921875, 55.59375, 18.5, 3.7, 0.0, 3.69970703125, 0.0, 37.0, 37.0, 59.296875, 40.6953125, 25.0, 8.0, 89.0, 43.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 141, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 44.0, "10271", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10271&g_ta_cod=10271", 18.0, 29.0, 53.0),
(674, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Portail Histoire", "Licence - Sciences humaines et sociales", "", 230, 1154, 524, 944, 0, 581, 128, 68, 22, 33, 18, 262, 210, 33, 22, 12, 143, 940, 208, 0, 0, 581, 128, 68, 22, 33, 18, 258, 984, 206, 77, 133, 73, 17.0, 132.0, 163.0, 0, 28, 105, 72, 23, 10, 101, 2, 48, 30, 19, 6, 0.0, 44, 6, 5, 0, 0, 91, 91, 8.25, 64.08, 79.13, 37.3984375, 86.6875, 86.6875, 0, 26.69921875, 51.0, 1.89990234375, 45.6953125, 28.59765625, 18.09765625, 5.7, 0.0, 68.59375, 41.8984375, 21.8984375, 5.69921875, 9.5, 4.7998046875, 506.0, 107.0, 41.0, 23.0, 359.0, "Tous les candidats", 1085.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "2291", "Licence - Portail Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27484&g_ta_cod=2291", 62.0, 24.0, 12.0),
(675, "Public", "0760096S", "Lycée Gustave Flaubert", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "CPGE", "Lycée Gustave Flaubert - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 48, 570, 290, 557, 288, 456, 56, 1, 0, 0, 0, 100, 13, 4, 0, 1, 8, 387, 4, 191, 375, 374, 36, 0, 0, 0, 0, 13, 242, 40, 19, 38, 2, 3.0, 37.0, 38.0, 8, 2, 38, 38, 0, 0, 2, 0, 0, 11, 17, 10, 0.0, 38, 0, 0, 2, 1, 31, 31, 7.5, 92.5, 95.0, 47.5, 81.59375, 81.59375, 5.2998046875, 5.2998046875, 95.0, 0.0, 0.0, 28.8984375, 44.6953125, 26.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 233.0, 21.0, 0.0, 0.0, 9.0, "Tous les candidats", 386.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "31350", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31350&g_ta_cod=31350", 100.0, 0.0, 0.0),
(676, "Privé sous contrat d'association", "0381678T", "Lycée Robin", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vienne", "formation sélective", "BTS", "Lycée Robin - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 30, 161, 77, 161, 0, 0, 0, 33, 3, 78, 13, 50, 0, 0, 0, 0, 0, 145, 0, 0, 0, 0, 0, 31, 3, 71, 11, 43, 45, 28, 17, 28, 0, 24.0, 27.0, 28.0, 0, 0, 9, 0, 0, 9, 19, 0, 0, 5, 3, 1, 0.0, 0, 0, 9, 9, 4, 9, 9, 85.71, 96.43, 100.0, 60.6953125, 100.0, 100.0, 100, 0.0, 32.09375, 0.0, 0.0, 55.59375, 33.296875, 11.1, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 22.0, 4.0, 21.0, "Tous les candidats sauf les Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 73, "", 0, "Liste d'appel propre à cette formation", 55.0, "5134", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5134&g_ta_cod=5134", 25.0, 21.0, 54.0),
(677, "Public", "0781944P", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "Licence_Las", "Université de Versailles - Saint Quentin en Yvelines - Licence - Portail Histoire", "Licence - Sciences humaines et sociales", "", 2, 92, 55, 92, 0, 50, 10, 6, 4, 5, 3, 31, 0, 0, 0, 0, 0, 92, 0, 0, 0, 50, 10, 6, 4, 5, 3, 31, 9, 2, 2, 2, 0, 0.0, 1.0, 1.0, 0, 1, 1, 0, 1, 0, 1, 0, 0, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 1, 1, 0.0, 50.0, 50.0, 100.0, 100.0, 100.0, 0, 100.0, 50.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 2.0, 1.0, 0.0, 0.0, 5.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 7.0, "29016", "Licence - Portail Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29015&g_ta_cod=29016", 50.0, 50.0, 0.0),
(678, "Privé sous contrat d'association", "0763500S", "Lycée polyvalent privé Saint Vincent de Paul", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Autre formation", "Lycée polyvalent privé Saint Vincent de Paul - DN MADE - Événement - - Spécialité : Graphisme et Objets communiquants", "DN MADE", "- Spécialité : Graphisme et Objets communiquants", 18, 301, 207, 219, 0, 92, 10, 33, 4, 40, 9, 54, 82, 21, 8, 8, 45, 98, 11, 0, 0, 55, 3, 15, 2, 14, 1, 14, 91, 17, 12, 14, 3, 1.0, 14.0, 16.0, 0, 1, 12, 8, 1, 3, 5, 0, 1, 6, 5, 0, 0.0, 7, 1, 3, 0, 0, 9, 9, 5.88, 82.35, 94.12, 70.59375, 75.0, 75.0, 0, 8.298828125, 70.59375, 0.0, 8.298828125, 50.0, 41.6953125, 0.0, 0.0, 66.6875, 58.296875, 8.298828125, 8.298828125, 25.0, 25.0, 50.0, 3.0, 12.0, 1.0, 16.0, "Tous les candidats", 98.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "24307", "DN MADE - Événement - - Spécialité : Graphisme et Objets communiquants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24307&g_ta_cod=24307", 59.0, 18.0, 18.0),
(679, "Privé sous contrat d'association", "0133383G", "I.M.F. Marseille", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "EFTS", "I.M.F. Marseille - D.E Assistant de Service Social", "D.E secteur social", "", 28, 140, 127, 140, 0, 24, 5, 19, 3, 14, 5, 83, 0, 0, 0, 0, 0, 112, 0, 0, 0, 20, 4, 15, 2, 8, 2, 69, 70, 30, 26, 30, 0, 11.0, 28.0, 30.0, 0, 3, 10, 3, 4, 3, 20, 0, 4, 3, 3, 0, 0.0, 2, 2, 2, 0, 0, 7, 7, 36.67, 93.33, 100.0, 86.6875, 70.0, 70.0, 0, 30.0, 33.296875, 0.0, 40.0, 30.0, 30.0, 0.0, 0.0, 30.0, 20.0, 40.0, 20.0, 30.0, 20.0, 12.0, 2.0, 3.0, 1.0, 47.0, "Tous les candidats", 90.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "23610", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23610&g_ta_cod=23610", 50.0, 33.0, 10.0),
(680, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Sciences du langage", "Licence - Sciences humaines et sociales", "", 120, 468, 404, 361, 0, 237, 46, 19, 11, 6, 3, 99, 107, 24, 8, 5, 70, 358, 104, 0, 0, 237, 46, 19, 11, 6, 3, 96, 462, 95, 81, 64, 31, 63.0, 63.0, 79.0, 0, 10, 48, 43, 5, 0, 47, 0, 10, 21, 13, 4, 0.0, 36, 2, 0, 0, 0, 36, 36, 66.32, 66.32, 83.16, 85.296875, 75.0, 75.0, 0, 20.796875, 50.5, 0.0, 20.796875, 43.796875, 27.09765625, 8.3, 0.0, 89.59375, 75.0, 10.3984375, 4.19921875, 0.0, 0.0, 260.0, 49.0, 11.0, 6.0, 164.0, "Tous les candidats", 358.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "6360", "Licence - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6360&g_ta_cod=6360", 84.0, 15.0, 1.0),
(681, "Public", "0420043U", "Lycée Jean Monnet", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 15, 774, 441, 774, 0, 156, 26, 224, 47, 211, 54, 183, 0, 0, 0, 0, 0, 350, 0, 0, 0, 70, 7, 137, 23, 104, 17, 39, 62, 14, 8, 14, 0, 1.0, 8.0, 12.0, 0, 5, 12, 1, 4, 7, 2, 0, 3, 4, 4, 1, 0.0, 1, 4, 4, 0, 0, 9, 9, 7.14, 57.14, 85.71, 57.09375, 75.0, 75.0, 0, 41.6953125, 85.6875, 0.0, 25.0, 33.296875, 33.296875, 8.3, 0.0, 8.298828125, 8.298828125, 33.296875, 33.296875, 58.296875, 33.296875, 3.0, 1.0, 38.0, 10.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 11.0, "5304", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5304&g_ta_cod=5304", 14.0, 36.0, 50.0),
(682, "Public", "0850027T", "Lycée Polyvalent Rosa Parks", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée Polyvalent Rosa Parks - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 15, 764, 439, 764, 0, 157, 28, 209, 37, 264, 58, 134, 0, 0, 0, 0, 0, 608, 0, 0, 0, 106, 18, 149, 24, 264, 58, 89, 45, 14, 11, 14, 0, 3.0, 11.0, 13.0, 0, 1, 13, 3, 4, 6, 1, 0, 0, 4, 8, 1, 0.0, 3, 4, 6, 2, 2, 10, 10, 21.43, 78.57, 92.86, 78.59375, 76.890625, 76.890625, 15.3984375, 7.69921875, 92.890625, 0.0, 0.0, 30.796875, 61.5, 7.7, 0.0, 23.09765625, 23.09765625, 30.796875, 30.796875, 46.1953125, 46.1953125, 8.0, 1.0, 24.0, 5.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 10.0, "10479", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10479&g_ta_cod=10479", 29.0, 29.0, 43.0),
(683, "Public", "0400027M", "Lycée polyvalent des métiers de l'aéronautique Jean Taris", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Peyrehorade", "formation sélective", "Autre formation", "Lycée polyvalent des métiers de l'aéronautique Jean Taris - Mention complémentaire - Aéronautique - option avionique", "Mention complémentaire", "", 6, 56, 4, 56, 0, 0, 0, 0, 0, 37, 5, 19, 0, 0, 0, 0, 0, 31, 0, 0, 0, 0, 0, 0, 0, 19, 3, 12, 13, 6, 0, 6, 0, 3.0, 5.0, 6.0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 50.0, 83.33, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 2.0, 0.0, 11.0, "Tous les candidats", 13.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "19691", "Mention complémentaire - Aéronautique - option avionique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19691&g_ta_cod=19691", 0.0, 0.0, 100.0),
(684, "Public", "0942072S", "IUT de Créteil Vitry (Site de Vitry) - UPEC", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "BUT", "IUT de Créteil Vitry (Site de Vitry) - UPEC - BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Matériaux et produits formulés", "BUT - Production", "Analyse, contrôle-qualité, environnement - Matériaux et produits formulés", 78, 1100, 660, 1100, 0, 578, 139, 230, 82, 6, 5, 286, 0, 0, 0, 0, 0, 772, 0, 0, 0, 464, 123, 145, 47, 1, 1, 162, 544, 76, 61, 76, 0, 37.0, 54.0, 74.0, 0, 27, 64, 44, 20, 0, 12, 0, 17, 30, 14, 3, 0.0, 35, 12, 0, 0, 0, 37, 58, 48.68, 71.05, 97.37, 80.296875, 57.796875, 90.59375, 0, 42.1953125, 84.1875, 0.0, 26.59765625, 46.8984375, 21.8984375, 4.7, 0.0, 68.796875, 54.6953125, 31.296875, 18.796875, 0.0, 0.0, 328.0, 98.0, 0.0, 0.0, 112.0, "Tous les candidats sauf les Bac technologiques", 523.0, "Bacheliers technologiques toutes séries", 153, "", 0, "Liste d'appel propre à cette formation", 60.0, "11543", "BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Matériaux et produits formulés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11543&g_ta_cod=11543", 70.0, 30.0, 0.0),
(685, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "PASS", "Université Toulouse 3 Paul Sabatier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Gestion appliquée aux SHS", 36, 2283, 1708, 2283, 0, 1594, 270, 92, 34, 24, 13, 573, 0, 0, 0, 0, 0, 2283, 0, 0, 0, 1594, 270, 92, 34, 24, 13, 573, 469, 35, 27, 35, 0, 0.0, 10.0, 25.0, 0, 7, 33, 29, 4, 0, 2, 0, 1, 13, 14, 5, 0.0, 29, 3, 0, 0, 0, 30, 30, 0.0, 28.57, 71.43, 77.09375, 90.890625, 90.890625, 0, 21.19921875, 94.296875, 0.0, 3.0, 39.3984375, 42.3984375, 15.2, 0.0, 87.890625, 87.890625, 12.099609375, 9.099609375, 0.0, 0.0, 430.0, 64.0, 4.0, 3.0, 27.0, "Tous les candidats", 3113.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "29843", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29840&g_ta_cod=29843", 86.0, 14.0, 0.0),
(686, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 680, 3411, 2457, 3271, 0, 2278, 513, 354, 129, 52, 28, 587, 140, 19, 18, 6, 97, 3245, 111, 0, 0, 2278, 513, 354, 129, 52, 28, 561, 2195, 654, 466, 607, 47, 322.0, 548.0, 608.0, 0, 132, 531, 469, 51, 11, 123, 1, 173, 215, 109, 31, 2.0, 329, 21, 7, 0, 0, 446, 446, 49.24, 83.79, 92.97, 71.296875, 84.0, 84.0, 0, 24.8984375, 81.1875, 0.199981689453125, 32.59375, 40.5, 20.5, 5.8, 0.4, 88.296875, 62.0, 9.599609375, 4.0, 2.099609375, 1.2998046875, 1490.0, 343.0, 29.0, 15.0, 480.0, "Tous les candidats", 3333.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "7619", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26659&g_ta_cod=7619", 86.0, 10.0, 3.0),
(687, "Public", "0290044R", "Lycée De L'Elorn", "29", "Finistère", "Bretagne", "Rennes", "Landerneau", "formation sélective", "BTS", "Lycée De L'Elorn - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 30, 514, 262, 514, 0, 80, 12, 128, 11, 209, 51, 97, 0, 0, 0, 0, 0, 200, 0, 0, 0, 30, 2, 26, 1, 130, 28, 14, 93, 28, 14, 28, 0, 4.0, 21.0, 24.0, 0, 2, 24, 3, 1, 20, 4, 0, 3, 7, 13, 1, 0.0, 3, 1, 17, 5, 3, 21, 21, 14.29, 75.0, 85.71, 50.0, 87.5, 87.5, 20.796875, 8.298828125, 85.6875, 0.0, 12.5, 29.19921875, 54.1953125, 4.2, 0.0, 12.5, 12.5, 4.19921875, 4.19921875, 83.296875, 70.796875, 9.0, 2.0, 57.0, 13.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 23.0, "3783", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3783&g_ta_cod=3783", 21.0, 4.0, 75.0),
(688, "Privé sous contrat d'association", "0593257V", "Institut agricole de Genech", "59", "Nord", "Hauts-de-France", "Lille", "Genech", "formation sélective", "BTS", "Institut agricole de Genech - BTS - Agricole - productions animales", "BTS - Agricole", "", 36, 320, 217, 317, 0, 109, 16, 117, 23, 43, 14, 48, 3, 0, 0, 1, 2, 263, 1, 0, 0, 105, 16, 103, 19, 30, 11, 25, 133, 32, 25, 31, 1, 11.0, 25.0, 31.0, 0, 4, 30, 12, 13, 5, 2, 0, 7, 12, 8, 3, 0.0, 10, 8, 5, 4, 4, 19, 19, 34.38, 78.13, 96.88, 78.09375, 63.296875, 63.296875, 13.298828125, 13.298828125, 93.796875, 0.0, 23.296875, 40.0, 26.69921875, 10.0, 0.0, 40.0, 33.296875, 43.296875, 26.69921875, 16.69921875, 16.69921875, 46.0, 9.0, 19.0, 8.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 102, "Liste d'appel propre à cette formation", 68.0, "6995", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6995&g_ta_cod=6995", 44.0, 41.0, 16.0),
(689, "Privé sous contrat d'association", "0690698J", "Lycée professionnel Des Métiers d'Art SEPR", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Autre formation", "Lycée professionnel Des Métiers d'Art SEPR - DN MADE - Objet - - Spécialité : Création et réalisation de mobilier contemporain", "DN MADE", "- Spécialité : Création et réalisation de mobilier contemporain", 17, 310, 191, 310, 0, 110, 22, 49, 9, 35, 8, 116, 0, 0, 0, 0, 0, 147, 0, 0, 0, 49, 7, 33, 8, 22, 6, 43, 61, 17, 10, 17, 0, 5.0, 13.0, 14.0, 0, 3, 12, 7, 3, 2, 5, 0, 1, 7, 2, 2, 0.0, 6, 3, 2, 0, 0, 5, 5, 29.41, 76.47, 82.35, 58.796875, 41.6953125, 41.6953125, 0, 25.0, 70.59375, 0.0, 8.298828125, 58.296875, 16.69921875, 16.7, 0.0, 58.296875, 50.0, 25.0, 25.0, 16.69921875, 16.69921875, 20.0, 1.0, 7.0, 2.0, 19.0, "Tous les candidats", 77.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "21979", "DN MADE - Objet - - Spécialité : Création et réalisation de mobilier contemporain", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21979&g_ta_cod=21979", 47.0, 18.0, 18.0),
(690, "Public", "0330159U", "Centre de Ressources, d'Expertise et de Performance Sportive Bordeaux-Aquitaine (CREPS)", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive Bordeaux-Aquitaine (CREPS) - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 5, 354, 74, 354, 0, 74, 16, 72, 20, 97, 34, 111, 0, 0, 0, 0, 0, 37, 0, 0, 0, 10, 1, 4, 0, 7, 2, 16, 23, 5, 0, 5, 0, 0.0, 2.0, 2.0, 0, 0, 3, 2, 0, 1, 2, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 0.0, 40.0, 40.0, 0.0, 100.0, 100.0, 0, 0.0, 60.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 66.6875, 0.0, 0.0, 0.0, 33.296875, 0.0, 5.0, 1.0, 4.0, 2.0, 11.0, "Tous les candidats", 30.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 6.0, "27152", "BPJEPS - Activités physiques pour tous", "Centre de Ressources, d'Expertise et de Performance Sportive Bordeaux-Aquitaine (CREPS)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21275&g_ta_cod=27152", 60.0, 20.0, 20.0),
(691, "Public", "0921935D", "EREA Toulouse Lautrec", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Vaucresson", "formation sélective", "BTS", "EREA Toulouse Lautrec - BTS - Services - Notariat", "BTS - Services", "", 15, 488, 351, 455, 0, 77, 20, 120, 50, 60, 21, 198, 33, 0, 20, 0, 13, 241, 3, 0, 0, 68, 16, 69, 28, 41, 12, 63, 95, 14, 11, 12, 2, 3.0, 8.0, 11.0, 0, 1, 6, 1, 3, 2, 8, 0, 3, 2, 1, 0, 0.0, 0, 2, 1, 1, 1, 4, 5, 21.43, 57.14, 78.57, 78.59375, 66.6875, 83.296875, 16.69921875, 16.69921875, 42.8984375, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 16.69921875, 0.0, 50.0, 33.296875, 33.296875, 16.69921875, 21.0, 7.0, 14.0, 3.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 31.0, "11133", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11133&g_ta_cod=11133", 21.0, 50.0, 29.0),
(692, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "PASS", "Université de Nantes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 36, 4843, 3342, 4843, 0, 4066, 488, 50, 17, 8, 5, 719, 0, 0, 0, 0, 0, 4843, 0, 0, 0, 4066, 488, 50, 17, 8, 5, 719, 416, 36, 24, 36, 0, 0.0, 14.0, 29.0, 0, 9, 36, 36, 0, 0, 0, 0, 1, 5, 25, 5, 0.0, 35, 0, 0, 0, 0, 33, 33, 0.0, 38.89, 80.56, 66.6875, 91.6875, 91.6875, 0, 25.0, 100.0, 0.0, 2.7998046875, 13.8984375, 69.390625, 13.9, 0.0, 100.0, 97.1875, 0.0, 0.0, 0.0, 0.0, 413.0, 57.0, 0.0, 0.0, 2.0, "Tous les candidats", 1203.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 15.0, "27996", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27985&g_ta_cod=27996", 100.0, 0.0, 0.0),
(693, "Public", "0750707L", "Ecole Nationale De Commerce", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "Autre formation", "Ecole Nationale De Commerce - Diplôme de Comptabilité et de Gestion", "DCG", "", 96, 2332, 1159, 2332, 0, 964, 312, 661, 277, 35, 15, 672, 0, 0, 0, 0, 0, 998, 0, 0, 0, 616, 182, 227, 96, 0, 0, 155, 556, 92, 51, 92, 0, 38.0, 75.0, 89.0, 0, 33, 81, 51, 30, 0, 11, 0, 2, 28, 44, 7, 0.0, 49, 30, 0, 0, 0, 16, 71, 41.3, 81.52, 96.74, 55.3984375, 19.796875, 87.6875, 0, 40.6953125, 88.0, 0.0, 2.5, 34.59375, 54.296875, 8.6, 0.0, 63.0, 60.5, 37.0, 37.0, 0.0, 0.0, 344.0, 92.0, 0.0, 0.0, 89.0, "Tous les candidats", 726.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "9163", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9163&g_ta_cod=9163", 65.0, 35.0, 0.0),
(694, "Public", "0133015G", "Lycée Pierre Mendès France", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Vitrolles", "formation sélective", "BTS", "Lycée Pierre Mendès France - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 24, 247, 27, 241, 0, 19, 6, 75, 31, 54, 24, 93, 6, 0, 0, 3, 3, 163, 0, 0, 0, 18, 5, 71, 30, 45, 19, 29, 103, 23, 3, 23, 0, 5.0, 18.0, 21.0, 0, 8, 16, 4, 7, 5, 7, 0, 10, 5, 1, 0, 0.0, 1, 2, 3, 10, 0, 16, 16, 21.74, 78.26, 91.3, 13.0, 100.0, 100.0, 62.5, 50.0, 69.59375, 0.0, 62.5, 31.296875, 6.2998046875, 0.0, 0.0, 25.0, 6.2998046875, 43.796875, 12.5, 31.296875, 18.796875, 12.0, 3.0, 24.0, 7.0, 24.0, "Tous les candidats sauf les Bac professionnels", 101.0, "Bacheliers professionnels toutes séries", 49, "", 0, "Liste d'appel propre à cette formation", 62.0, "2795", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2795&g_ta_cod=2795", 26.0, 52.0, 22.0),
(695, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Autre formation", "Université de Bordeaux - Bordeaux Métropole - C.M.I - Cursus Master en Ingénierie - Sciences pour l'ingénieur - Cursus Master En Ingénierie (CMI)  - Mécanique, génie civil et énergétique (MGCE)", "C.M.I - Cursus Master en Ingénierie", "Cursus Master En Ingénierie (CMI)  - Mécanique, génie civil et énergétique (MGCE)", 20, 841, 185, 670, 0, 480, 44, 15, 4, 2, 0, 173, 171, 83, 3, 0, 85, 71, 14, 0, 0, 71, 3, 0, 0, 0, 0, 0, 69, 15, 6, 8, 7, 6.0, 8.0, 15.0, 0, 1, 12, 12, 0, 0, 3, 0, 0, 1, 8, 3, 0.0, 12, 0, 0, 0, 0, 7, 7, 40.0, 53.33, 100.0, 40.0, 58.296875, 58.296875, 0, 8.298828125, 80.0, 0.0, 0.0, 8.298828125, 66.6875, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 63.0, 4.0, 0.0, 0.0, 6.0, "Tous les candidats", 69.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "17897", "C.M.I - Cursus Master en Ingénierie - Sciences pour l'ingénieur - Cursus Master En Ingénierie (CMI)  - Mécanique, génie civil et énergétique (MGCE)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17897&g_ta_cod=17897", 100.0, 0.0, 0.0),
(696, "Public", "0580552K", "Lycée professionnel des métiers Francois Mitterrand", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Château-Chinon (Ville)", "formation sélective", "Autre formation", "Lycée professionnel des métiers Francois Mitterrand - Mention complémentaire - FCIL Ecole européenne du goût et art de la table", "Mention complémentaire", "", 10, 32, 17, 32, 0, 4, 1, 1, 0, 16, 5, 11, 0, 0, 0, 0, 0, 20, 0, 0, 0, 0, 0, 0, 0, 14, 4, 6, 18, 3, 2, 3, 0, 2.0, 3.0, 3.0, 0, 0, 3, 0, 0, 3, 0, 1, 1, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 66.67, 100.0, 100.0, 66.6875, 66.6875, 66.6875, 0, 0.0, 100.0, 33.296875, 33.296875, 0.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 33.296875, 1.0, 1.0, 11.0, 2.0, 6.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "25071", "Mention complémentaire - FCIL Ecole européenne du goût et art de la table", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25071&g_ta_cod=25071", 0.0, 0.0, 100.0),
(697, "Privé sous contrat d'association", "0610692W", "Lycée St Francois De Sales", "61", "Orne", "Normandie", "Normandie", "Alençon", "formation sélective", "BTS", "Lycée St Francois De Sales - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 22, 301, 140, 278, 0, 20, 3, 23, 6, 15, 7, 220, 23, 1, 4, 3, 15, 48, 9, 0, 0, 17, 3, 20, 6, 11, 4, 0, 52, 6, 2, 4, 2, 0.0, 4.0, 4.0, 0, 1, 4, 0, 4, 0, 2, 0, 3, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 3, 3, 0.0, 66.67, 66.67, 33.296875, 75.0, 75.0, 0, 25.0, 66.6875, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 14.0, 2.0, 13.0, 5.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 17.0, "7305", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7305&g_ta_cod=7305", 17.0, 83.0, 0.0),
(698, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Portail LLCER Anglais disciplinaire", "Licence - Arts-lettres-langues", "Anglais (UNIQUEMENT enseignement à distance)", 80, 671, 482, 585, 0, 282, 92, 30, 12, 20, 7, 253, 86, 11, 3, 0, 72, 584, 81, 0, 0, 282, 92, 30, 12, 20, 7, 252, 432, 79, 54, 42, 37, 10.0, 42.0, 68.0, 0, 5, 17, 12, 4, 1, 62, 0, 11, 3, 2, 1, 0.0, 4, 1, 1, 0, 0, 5, 5, 12.66, 53.16, 86.08, 68.390625, 29.3984375, 29.3984375, 0, 29.3984375, 21.5, 0.0, 64.6875, 17.59765625, 11.798828125, 5.9, 0.0, 70.59375, 23.5, 23.5, 5.8994140625, 5.8994140625, 5.8994140625, 173.0, 58.0, 15.0, 6.0, 226.0, "Tous les candidats", 1397.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27534", "Licence - Portail LLCER Anglais disciplinaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27533&g_ta_cod=27534", 70.0, 18.0, 6.0),
(699, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Anglais", "Licence - Arts-lettres-langues", "Anglais", 155, 599, 462, 519, 0, 383, 82, 38, 13, 13, 6, 85, 80, 20, 3, 1, 56, 514, 39, 0, 0, 383, 82, 38, 13, 13, 6, 80, 490, 90, 67, 77, 13, 52.0, 75.0, 83.0, 0, 22, 68, 59, 6, 3, 22, 0, 26, 27, 13, 2, 0.0, 39, 2, 1, 0, 0, 62, 62, 57.78, 83.33, 92.22, 74.390625, 91.1875, 91.1875, 0, 32.3984375, 75.59375, 0.0, 38.1953125, 39.6953125, 19.09765625, 2.9, 0.0, 86.796875, 57.3984375, 8.798828125, 2.89990234375, 4.3994140625, 1.5, 344.0, 72.0, 13.0, 6.0, 101.0, "Tous les candidats", 555.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "6503", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26701&g_ta_cod=6503", 79.0, 13.0, 6.0),
(700, "Public", "0770922J", "Lycée Gaston BACHELARD", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Chelles", "formation sélective", "BTS", "Lycée Gaston BACHELARD - BTS - Production - Electrotechnique", "BTS - Production", "", 23, 345, 7, 330, 0, 19, 5, 46, 10, 186, 75, 79, 15, 0, 10, 0, 5, 221, 2, 0, 0, 14, 3, 42, 10, 142, 55, 23, 99, 20, 0, 18, 2, 2.0, 12.0, 16.0, 0, 8, 20, 0, 7, 13, 0, 0, 9, 8, 3, 0, 0.0, 0, 1, 10, 2, 0, 20, 20, 10.0, 60.0, 80.0, 0.0, 100.0, 100.0, 10, 40.0, 100.0, 0.0, 45.0, 40.0, 15.0, 0.0, 0.0, 0.0, 0.0, 35.0, 5.0, 65.0, 50.0, 3.0, 2.0, 65.0, 24.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 91, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 42.0, "9788", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9788&g_ta_cod=9788", 0.0, 35.0, 65.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(701, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Double licence - Droit / Economie - Droit - Economie", "Licence - Droit-économie-gestion", "Droit - Economie", 60, 3321, 2110, 3321, 0, 2676, 349, 56, 20, 8, 3, 581, 0, 0, 0, 0, 0, 1000, 0, 0, 0, 896, 76, 0, 0, 0, 0, 104, 277, 58, 37, 58, 0, 4.0, 40.0, 48.0, 0, 8, 49, 49, 0, 0, 9, 3, 0, 0, 2, 35, 9.0, 46, 0, 0, 0, 0, 2, 10, 6.9, 68.97, 82.76, 63.796875, 4.099609375, 20.3984375, 0, 16.296875, 84.5, 6.099609375, 0.0, 0.0, 4.099609375, 71.4, 18.4, 100.0, 93.890625, 0.0, 0.0, 0.0, 0.0, 235.0, 36.0, 0.0, 0.0, 42.0, "Tous les candidats", 389.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "9205", "Double licence - Droit / Economie - Droit - Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9205&g_ta_cod=9205", 100.0, 0.0, 0.0),
(702, "Public", "0781944P", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "PASS", "Université de Versailles - Saint Quentin en Yvelines - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Chimie - Biologie", 30, 8092, 5686, 8092, 0, 6514, 1140, 161, 55, 31, 20, 1386, 0, 0, 0, 0, 0, 7909, 0, 0, 0, 6514, 1140, 161, 55, 31, 20, 1203, 263, 30, 27, 30, 0, 3.0, 19.0, 28.0, 0, 6, 26, 25, 1, 0, 4, 2, 1, 0, 5, 14, 4.0, 22, 1, 0, 0, 0, 22, 25, 10.0, 63.33, 93.33, 90.0, 84.59375, 96.1875, 0, 23.09765625, 86.6875, 7.69921875, 3.7998046875, 0.0, 19.19921875, 53.8, 15.4, 96.1875, 84.59375, 3.7998046875, 3.7998046875, 0.0, 0.0, 221.0, 41.0, 0.0, 0.0, 39.0, "Tous les candidats", 894.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 10.0, "29175", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29162&g_ta_cod=29175", 93.0, 7.0, 0.0),
(703, "Privé sous contrat d'association", "0440355X", "Lycée agricole Campus - Lycee Technologique Charles Peguy", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Gorges", "formation sélective", "BTS", "Lycée agricole Campus - Lycee Technologique Charles Peguy - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 34, 133, 84, 116, 0, 15, 1, 19, 2, 50, 6, 32, 17, 1, 0, 8, 8, 89, 8, 0, 0, 14, 1, 15, 1, 46, 6, 14, 85, 20, 15, 18, 2, 8.0, 18.0, 20.0, 0, 3, 15, 2, 5, 8, 5, 0, 3, 7, 4, 1, 0.0, 1, 4, 7, 1, 0, 8, 8, 40.0, 90.0, 100.0, 75.0, 53.296875, 53.296875, 6.69921875, 20.0, 75.0, 0.0, 20.0, 46.6953125, 26.69921875, 6.7, 0.0, 13.298828125, 6.69921875, 33.296875, 26.69921875, 53.296875, 46.6953125, 10.0, 1.0, 45.0, 6.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 77.0, "5546", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5546&g_ta_cod=5546", 20.0, 30.0, 50.0),
(704, "Public", "0912364A", "Lycée polyvalent Nikola Tesla", "91", "Essonne", "Ile-de-France", "Versailles", "Dourdan", "formation sélective", "BTS", "Lycée polyvalent Nikola Tesla - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 24, 182, 9, 172, 0, 2, 0, 26, 9, 99, 36, 45, 10, 0, 6, 0, 4, 171, 1, 0, 0, 2, 0, 26, 9, 99, 36, 44, 98, 23, 1, 22, 1, 2.0, 19.0, 19.0, 0, 4, 19, 0, 4, 15, 4, 0, 12, 7, 0, 0, 0.0, 0, 0, 7, 13, 0, 19, 19, 8.7, 82.61, 82.61, 4.2998046875, 100.0, 100.0, 68.390625, 21.09765625, 82.59375, 0.0, 63.1953125, 36.796875, 0.0, 0.0, 0.0, 0.0, 0.0, 21.09765625, 0.0, 78.890625, 36.796875, 0.0, 0.0, 60.0, 18.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 64.0, "10956", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10956&g_ta_cod=10956", 0.0, 22.0, 78.0),
(705, "Privé sous contrat d'association", "0220116G", "Lycée/Pôle supérieur Saint BRIEUC", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée/Pôle supérieur Saint BRIEUC - BTS - Services - Diététique", "BTS - Services", "", 35, 589, 497, 573, 0, 183, 16, 148, 19, 37, 8, 205, 16, 1, 0, 1, 14, 251, 1, 0, 0, 93, 6, 57, 7, 16, 2, 85, 135, 31, 27, 31, 0, 6.0, 21.0, 29.0, 0, 3, 18, 13, 3, 2, 13, 0, 6, 9, 3, 0, 0.0, 8, 2, 2, 0, 0, 11, 11, 19.35, 67.74, 93.55, 87.09375, 61.09375, 61.09375, 0, 16.69921875, 58.09375, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 72.1875, 44.3984375, 16.69921875, 11.099609375, 11.099609375, 11.099609375, 53.0, 5.0, 8.0, 2.0, 57.0, "Tous les candidats sauf les Bac professionnels", 193.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 36.0, "3345", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3345&g_ta_cod=3345", 74.0, 16.0, 10.0),
(706, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 1 Capitole - Licence - Double diplôme - Licence Droit - parcours double diplôme international franco-allemand (Manheim - Passau)", "Licence - Droit-économie-gestion", "parcours double diplôme international franco-allemand (Manheim - Passau)", 20, 97, 70, 76, 0, 61, 7, 3, 0, 0, 0, 12, 21, 5, 0, 0, 16, 39, 4, 0, 0, 32, 3, 0, 0, 0, 0, 7, 41, 9, 7, 7, 2, 6.0, 7.0, 8.0, 0, 3, 9, 9, 0, 0, 0, 0, 0, 1, 4, 4, 0.0, 9, 0, 0, 0, 0, 5, 5, 66.67, 77.78, 88.89, 77.796875, 55.59375, 55.59375, 0, 33.296875, 100.0, 0.0, 0.0, 11.099609375, 44.3984375, 44.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 33.0, 4.0, 0.0, 0.0, 8.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "4146", "Licence - Double diplôme - Licence Droit - parcours double diplôme international franco-allemand (Manheim - Passau)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4146&g_ta_cod=4146", 100.0, 0.0, 0.0),
(707, "Public", "0590065A", "Lycée Edmond Labbe", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "BTS", "Lycée Edmond Labbe - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 30, 183, 12, 163, 0, 4, 1, 26, 8, 74, 43, 59, 20, 0, 1, 10, 9, 93, 11, 0, 0, 4, 1, 22, 7, 50, 30, 17, 83, 25, 0, 21, 4, 10.0, 21.0, 22.0, 0, 12, 22, 1, 3, 18, 3, 0, 11, 6, 4, 1, 0.0, 0, 1, 10, 3, 0, 20, 20, 40.0, 84.0, 88.0, 0.0, 90.890625, 90.890625, 13.599609375, 54.5, 88.0, 0.0, 50.0, 27.296875, 18.19921875, 4.5, 0.0, 4.5, 0.0, 13.599609375, 4.5, 81.796875, 45.5, 2.0, 1.0, 52.0, 32.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 48.0, "6743", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6743&g_ta_cod=6743", 4.0, 16.0, 80.0),
(708, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives -", "Licence - Sciences - technologies - santé", "", 164, 1974, 617, 1974, 0, 1319, 197, 231, 46, 68, 20, 356, 0, 0, 0, 0, 0, 1974, 0, 0, 0, 1319, 197, 231, 46, 68, 20, 356, 635, 163, 55, 163, 0, 19.0, 122.0, 151.0, 0, 20, 125, 110, 6, 9, 38, 0, 44, 57, 23, 1, 0.0, 70, 3, 8, 0, 0, 121, 121, 11.66, 74.85, 92.64, 33.6953125, 96.796875, 96.796875, 0, 16.0, 76.6875, 0.0, 35.1953125, 45.59375, 18.3984375, 0.8, 0.0, 88.0, 56.0, 4.7998046875, 2.39990234375, 7.19921875, 6.3994140625, 421.0, 69.0, 20.0, 8.0, 170.0, "Tous les candidats", 844.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "6613", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives -", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26948&g_ta_cod=6613", 85.0, 7.0, 8.0),
(709, "Public", "0940580V", "Lycée polyvalent de Cachan", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "BTS", "Lycée polyvalent de Cachan - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 24, 414, 29, 414, 0, 26, 8, 142, 60, 152, 72, 94, 0, 0, 0, 0, 0, 274, 0, 0, 0, 26, 8, 106, 41, 103, 46, 39, 132, 19, 1, 19, 0, 0.0, 14.0, 19.0, 0, 6, 13, 0, 6, 7, 6, 0, 8, 4, 1, 0, 0.0, 0, 1, 4, 5, 1, 8, 13, 0.0, 73.68, 100.0, 5.2998046875, 61.5, 100.0, 38.5, 46.1953125, 68.390625, 0.0, 61.5, 30.796875, 7.69921875, 0.0, 0.0, 0.0, 0.0, 46.1953125, 7.69921875, 53.796875, 30.796875, 3.0, 2.0, 63.0, 23.0, 16.0, "Tous les candidats sauf les Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 86, "", 0, "Liste d'appel propre à cette formation", 41.0, "11368", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11368&g_ta_cod=11368", 0.0, 53.0, 47.0),
(710, "Public", "0480657D", "Lycée agricole De La Lozere", "48", "Lozère", "Occitanie", "Montpellier", "La Canourgue", "formation sélective", "BTS", "Lycée agricole De La Lozere - BTS - Agricole - Aquaculture", "BTS - Agricole", "", 32, 242, 53, 231, 0, 26, 2, 41, 5, 51, 13, 113, 11, 0, 0, 3, 8, 144, 7, 0, 0, 26, 2, 41, 5, 51, 13, 26, 105, 25, 2, 20, 5, 12.0, 19.0, 22.0, 0, 8, 19, 3, 6, 10, 6, 0, 10, 5, 4, 0, 0.0, 2, 2, 5, 6, 1, 11, 11, 48.0, 76.0, 88.0, 8.0, 57.8984375, 57.8984375, 31.59765625, 42.09375, 76.0, 0.0, 52.59375, 26.296875, 21.09765625, 0.0, 0.0, 15.798828125, 10.5, 31.59765625, 10.5, 52.59375, 26.296875, 17.0, 2.0, 34.0, 14.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 61.0, "5814", "BTS - Agricole - Aquaculture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5814&g_ta_cod=5814", 36.0, 24.0, 40.0),
(711, "Privé enseignement supérieur", "0440113J", "INSTITUT NATIONAL DES FORMATIONS NOTARIALES - Site de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "INSTITUT NATIONAL DES FORMATIONS NOTARIALES - Site de Nantes - BTS - Services - Notariat", "BTS - Services", "", 35, 510, 376, 494, 0, 150, 22, 154, 34, 16, 4, 174, 16, 0, 2, 6, 8, 226, 2, 0, 0, 85, 11, 76, 11, 8, 2, 57, 110, 32, 28, 32, 0, 11.0, 28.0, 32.0, 0, 2, 16, 8, 6, 2, 16, 0, 3, 10, 3, 0, 0.0, 6, 5, 2, 0, 0, 13, 13, 34.38, 87.5, 100.0, 87.5, 81.296875, 81.296875, 0, 12.5, 50.0, 0.0, 18.796875, 62.5, 18.796875, 0.0, 0.0, 50.0, 37.5, 37.5, 31.296875, 12.5, 12.5, 22.0, 3.0, 8.0, 2.0, 53.0, "Tous les candidats sauf les Bac professionnels", 174.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 37.0, "5475", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5475&g_ta_cod=5475", 66.0, 28.0, 6.0),
(712, "Public", "0442094M", "Lycée polyvalent Nicolas Appert", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Orvault", "formation sélective", "BTS", "Lycée polyvalent Nicolas Appert - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 665, 50, 655, 0, 118, 17, 280, 71, 118, 37, 139, 10, 0, 0, 6, 4, 390, 0, 0, 0, 114, 16, 190, 40, 45, 10, 41, 137, 22, 3, 22, 0, 0.0, 19.0, 22.0, 0, 5, 20, 1, 14, 5, 2, 0, 10, 9, 1, 0, 0.0, 0, 8, 2, 3, 0, 16, 16, 0.0, 86.36, 100.0, 13.599609375, 80.0, 80.0, 15, 25.0, 90.890625, 0.0, 50.0, 45.0, 5.0, 0.0, 0.0, 5.0, 0.0, 70.0, 40.0, 25.0, 10.0, 4.0, 1.0, 23.0, 7.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 210, "Liste d'appel propre à cette formation", 39.0, "5611", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5611&g_ta_cod=5611", 5.0, 73.0, 23.0),
(713, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail LLCER ESPAGNOL / Lettres", "Licence - Arts-lettres-langues", "LLCER ESPAGNOL / Lettres : Lettres", 20, 73, 58, 56, 0, 41, 8, 4, 1, 1, 0, 10, 17, 1, 1, 4, 11, 56, 16, 0, 0, 41, 8, 4, 1, 1, 0, 10, 72, 8, 8, 6, 2, 6.0, 6.0, 6.0, 0, 0, 6, 5, 0, 1, 2, 0, 3, 1, 1, 1, 0.0, 3, 0, 0, 0, 0, 5, 5, 75.0, 75.0, 75.0, 100.0, 83.296875, 83.296875, 0, 0.0, 75.0, 0.0, 50.0, 16.69921875, 16.69921875, 16.7, 0.0, 83.296875, 50.0, 0.0, 0.0, 16.69921875, 0.0, 42.0, 8.0, 5.0, 1.0, 20.0, "Tous les candidats", 87.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23872", "Licence - Portail LLCER ESPAGNOL / Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23871&g_ta_cod=23872", 75.0, 0.0, 25.0),
(714, "Public", "0332781U", "Lycée professionnel De L Estuaire", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Blaye", "formation sélective", "BTS", "Lycée professionnel De L Estuaire - BTS - Production - Environnement nucléaire", "BTS - Production", "", 15, 199, 18, 199, 0, 31, 5, 63, 9, 61, 16, 44, 0, 0, 0, 0, 0, 161, 0, 0, 0, 29, 4, 56, 6, 55, 15, 21, 60, 12, 1, 12, 0, 5.0, 10.0, 11.0, 0, 3, 12, 1, 5, 6, 0, 0, 4, 2, 5, 1, 0.0, 0, 2, 6, 3, 1, 4, 4, 41.67, 83.33, 91.67, 8.298828125, 33.296875, 33.296875, 25, 25.0, 100.0, 0.0, 33.296875, 16.69921875, 41.6953125, 8.3, 0.0, 8.298828125, 0.0, 41.6953125, 16.69921875, 50.0, 50.0, 15.0, 1.0, 25.0, 6.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 45.0, "19270", "BTS - Production - Environnement nucléaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19270&g_ta_cod=19270", 8.0, 42.0, 50.0),
(715, "Public", "0900231M", "I.U.T de Belfort-Montbéliard", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "BUT", "I.U.T de Belfort-Montbéliard - BUT - Informatique Parcours : Réalisation d?applications : conception, développement, validation -  Administration, gestion et exploitation des données", "BUT - Production", "Réalisation d?applications : conception, développement, validation -  Administration, gestion et exploitation des données", 96, 1088, 119, 893, 0, 509, 105, 191, 64, 17, 9, 176, 195, 53, 13, 5, 124, 547, 47, 0, 0, 385, 72, 96, 28, 0, 0, 66, 478, 87, 9, 70, 17, 16.0, 63.0, 85.0, 0, 8, 63, 54, 9, 0, 24, 1, 18, 33, 9, 2, 0.0, 37, 7, 0, 0, 0, 34, 34, 18.39, 72.41, 97.7, 10.298828125, 54.0, 54.0, 0, 12.69921875, 72.390625, 1.599853515625, 28.59765625, 52.3984375, 14.298828125, 3.2, 0.0, 85.6875, 58.6953125, 14.298828125, 11.099609375, 0.0, 0.0, 309.0, 51.0, 0.0, 0.0, 84.0, "Tous les candidats sauf les Bac technologiques", 441.0, "Bacheliers technologiques toutes séries", 107, "", 0, "Liste d'appel propre à cette formation", 61.0, "10825", "BUT - Informatique Parcours : Réalisation d?applications : conception, développement, validation -  Administration, gestion et exploitation des données", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10825&g_ta_cod=10825", 89.0, 11.0, 0.0),
(716, "Public", "0622276M", "Lycée Jan Lavezzari", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Berck", "formation sélective", "BTS", "Lycée Jan Lavezzari - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 30, 377, 315, 344, 0, 23, 7, 97, 38, 95, 47, 129, 33, 1, 8, 3, 21, 248, 11, 0, 0, 23, 7, 97, 38, 95, 47, 33, 174, 28, 24, 24, 4, 4.0, 15.0, 21.0, 0, 11, 22, 2, 5, 15, 6, 0, 11, 6, 5, 0, 0.0, 1, 1, 9, 7, 5, 19, 19, 14.29, 53.57, 75.0, 85.6875, 86.390625, 86.390625, 31.796875, 50.0, 78.59375, 0.0, 50.0, 27.296875, 22.69921875, 0.0, 0.0, 9.099609375, 4.5, 22.69921875, 4.5, 68.1875, 40.8984375, 15.0, 6.0, 68.0, 32.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 108, "Liste d'appel propre à cette formation", 63.0, "13120", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13120&g_ta_cod=13120", 11.0, 32.0, 57.0),
(717, "Public", "0920802X", "Lycée Jean-Pierre Vernant", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sèvres", "formation sélective", "Autre formation", "Lycée Jean-Pierre Vernant - DN MADE - Matériaux - - Spécialité : Recherches et process en volume textile", "DN MADE", "- Spécialité : Recherches et process en volume textile", 8, 145, 111, 119, 0, 28, 5, 47, 8, 7, 1, 37, 26, 3, 4, 2, 17, 78, 3, 0, 0, 14, 3, 39, 8, 3, 0, 22, 44, 7, 6, 6, 1, 0.0, 5.0, 5.0, 0, 2, 4, 2, 2, 0, 3, 0, 0, 3, 1, 0, 0.0, 2, 2, 0, 0, 0, 1, 1, 0.0, 71.43, 71.43, 85.6875, 25.0, 25.0, 0, 50.0, 57.09375, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 10.0, 3.0, 1.0, 0.0, 15.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "21940", "DN MADE - Matériaux - - Spécialité : Recherches et process en volume textile", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21940&g_ta_cod=21940", 57.0, 29.0, 14.0),
(718, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - HISTOIRE - LLCER ALLEMAND NON DEBUTANT", "Licence - Sciences humaines et sociales", "HISTOIRE - LLCER ALLEMAND NON DEBUTANT", 25, 157, 96, 63, 0, 35, 2, 2, 0, 1, 0, 25, 94, 17, 7, 9, 61, 45, 9, 0, 0, 32, 0, 0, 0, 0, 0, 13, 52, 5, 3, 4, 1, 1.0, 4.0, 4.0, 0, 0, 3, 3, 0, 0, 2, 0, 0, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 1, 2, 20.0, 80.0, 80.0, 60.0, 33.296875, 66.6875, 0, 0.0, 60.0, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 33.0, 1.0, 0.0, 0.0, 19.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "9314", "Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - HISTOIRE - LLCER ALLEMAND NON DEBUTANT", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9314&g_ta_cod=9314", 100.0, 0.0, 0.0),
(719, "Privé sous contrat d'association", "0820904M", "Ecole professionnelle privée Esthétique Cosmétique Skhole d'Art - SGT", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Montauban", "formation sélective", "BTS", "Ecole professionnelle privée Esthétique Cosmétique Skhole d'Art - SGT - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 12, 132, 129, 132, 0, 31, 6, 24, 7, 46, 25, 31, 0, 0, 0, 0, 0, 132, 0, 0, 0, 31, 6, 24, 7, 46, 25, 31, 60, 9, 9, 9, 0, 2.0, 7.0, 9.0, 0, 2, 4, 1, 2, 1, 5, 0, 2, 1, 1, 0, 0.0, 1, 1, 0, 0, 0, 4, 4, 22.22, 77.78, 100.0, 100.0, 100.0, 100.0, 0, 50.0, 44.3984375, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 25.0, 25.0, 50.0, 25.0, 25.0, 0.0, 9.0, 5.0, 29.0, 16.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 68.0, "13603", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13603&g_ta_cod=13603", 33.0, 22.0, 44.0),
(720, "Public", "0560861G", "I.U.T de Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BUT", "I.U.T de Vannes - BUT - Informatique Parcours :  Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données", 96, 1755, 157, 1755, 0, 1105, 143, 405, 61, 11, 2, 234, 0, 0, 0, 0, 0, 902, 0, 0, 0, 586, 68, 248, 35, 0, 0, 68, 361, 95, 8, 95, 0, 9.0, 88.0, 94.0, 0, 18, 92, 51, 41, 0, 3, 0, 1, 38, 48, 5, 0.0, 51, 40, 0, 0, 0, 69, 69, 9.47, 92.63, 98.95, 8.3984375, 75.0, 75.0, 0, 19.59765625, 96.796875, 0.0, 1.099853515625, 41.296875, 52.1953125, 5.4, 0.0, 55.3984375, 55.3984375, 44.59375, 43.5, 0.0, 0.0, 208.0, 27.0, 0.0, 0.0, 24.0, "Tous les candidats sauf les Bac technologiques", 379.0, "Bacheliers technologiques toutes séries", 264, "", 0, "Liste d'appel propre à cette formation", 37.0, "6467", "BUT - Informatique Parcours :  Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6467&g_ta_cod=6467", 55.0, 45.0, 0.0),
(721, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Administration économique et sociale - Parcours AES - Ressources humaines", "Licence - Droit-économie-gestion", "AES - Ressources humaines", 379, 8810, 5767, 8810, 0, 4903, 1345, 1583, 661, 159, 74, 2165, 0, 0, 0, 0, 0, 8758, 0, 0, 0, 4903, 1345, 1583, 661, 159, 74, 2113, 1580, 384, 304, 382, 0, 54.0, 313.0, 340.0, 0, 111, 364, 305, 48, 11, 20, 0, 9, 107, 215, 30, 3.0, 298, 46, 11, 0, 0, 51, 292, 14.06, 81.51, 88.54, 79.1875, 14.0, 80.1875, 0, 30.5, 94.796875, 0.0, 2.5, 29.3984375, 59.09375, 8.2, 0.8, 83.796875, 81.890625, 13.19921875, 12.599609375, 3.0, 3.0, 1248.0, 292.0, 20.0, 10.0, 123.0, "Tous les candidats", 1966.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "9198", "Licence - Administration économique et sociale - Parcours AES - Ressources humaines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9198&g_ta_cod=9198", 83.0, 14.0, 3.0),
(722, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "PASS", "Université de Montpellier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 255, 3579, 2628, 3579, 0, 2705, 527, 102, 35, 22, 11, 750, 0, 0, 0, 0, 0, 3579, 0, 0, 0, 2705, 527, 102, 35, 22, 11, 750, 1156, 249, 192, 249, 0, 12.0, 171.0, 224.0, 0, 35, 192, 184, 7, 1, 57, 0, 35, 72, 62, 23, 0.0, 152, 4, 1, 0, 0, 162, 162, 4.82, 68.67, 89.96, 77.09375, 84.390625, 84.390625, 0, 18.19921875, 77.09375, 0.0, 18.19921875, 37.5, 32.296875, 12.0, 0.0, 95.796875, 79.1875, 3.599609375, 2.099609375, 0.5, 0.5, 923.0, 184.0, 1.0, 0.0, 215.0, "Tous les candidats", 4333.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "31860", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27370&g_ta_cod=31860", 94.0, 5.0, 1.0),
(723, "Privé sous contrat d'association", "0350769W", "Lycée Jean Baptiste Le Taillandier", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Fougères", "formation sélective", "Autre formation", "Lycée Jean Baptiste Le Taillandier - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 15, 12, 0, 12, 0, 0, 0, 0, 0, 8, 3, 4, 0, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 8, 3, 4, 12, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 8.0, 3.0, 4.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "14765", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14765&g_ta_cod=14765", 0.0, 0.0, 100.0),
(724, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes nordiques option Norvégien", "Licence - Arts-lettres-langues", "Etudes nordiques option Norvégien", 25, 109, 73, 94, 0, 59, 13, 1, 0, 1, 1, 33, 15, 0, 0, 0, 15, 94, 7, 0, 0, 59, 13, 1, 0, 1, 1, 33, 85, 16, 12, 13, 3, 7.0, 13.0, 15.0, 0, 2, 11, 11, 0, 0, 5, 0, 1, 7, 1, 2, 0.0, 10, 0, 0, 0, 0, 6, 6, 43.75, 81.25, 93.75, 75.0, 54.5, 54.5, 0, 18.19921875, 68.796875, 0.0, 9.099609375, 63.59375, 9.099609375, 18.2, 0.0, 100.0, 90.890625, 0.0, 0.0, 0.0, 0.0, 51.0, 11.0, 1.0, 1.0, 32.0, "Tous les candidats", 93.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "19499", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes nordiques option Norvégien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19499&g_ta_cod=19499", 88.0, 6.0, 6.0),
(725, "Public", "0753431X", "Sciences Po Paris - Institut d'études politiques", "75", "Paris", "Ile-de-France", "Paris", "Paris  7e  Arrondissement", "formation sélective", "Licence", "Sciences Po - Faculté des Lettres de Sorbonne Université - Licence - Double diplôme - Licence Lettres - Humanités littéraires et Sciences sociales / Filière Lettres", "Licence - Arts-lettres-langues", "Humanités littéraires et Sciences sociales / Filière Lettres", 25, 276, 230, 276, 0, 270, 29, 1, 0, 0, 0, 5, 0, 0, 0, 0, 0, 36, 0, 0, 0, 36, 3, 0, 0, 0, 0, 0, 34, 19, 18, 19, 0, 0.0, 19.0, 19.0, 0, 0, 19, 19, 0, 0, 0, 0, 0, 0, 0, 8, 11.0, 19, 0, 0, 0, 0, 2, 4, 0.0, 100.0, 100.0, 94.6875, 10.5, 21.09765625, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 42.1, 57.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 34.0, 3.0, 0.0, 0.0, 0.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "32554", "Licence - Double diplôme - Licence Lettres - Humanités littéraires et Sciences sociales / Filière Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32554&g_ta_cod=32554", 100.0, 0.0, 0.0),
(726, "Privé sous contrat d'association", "0801911T", "ESIEE-Amiens - UniLaSalle", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Ecole d'Ingénieur", "ESIEE-Amiens - UniLaSalle - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 90, 197, 23, 188, 0, 185, 13, 0, 0, 0, 0, 3, 9, 7, 0, 0, 2, 165, 6, 0, 0, 164, 11, 0, 0, 0, 0, 1, 171, 49, 4, 46, 3, 45.0, 46.0, 47.0, 0, 7, 48, 48, 0, 0, 1, 0, 7, 25, 12, 4, 0.0, 41, 0, 0, 0, 0, 38, 38, 91.84, 93.88, 95.92, 8.19921875, 79.1875, 79.1875, 0, 14.599609375, 98.0, 0.0, 14.599609375, 52.09375, 25.0, 8.3, 0.0, 100.0, 85.390625, 0.0, 0.0, 0.0, 0.0, 168.0, 13.0, 0.0, 0.0, 3.0, "Tous les candidats", 165.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "30782", "Formation d'ingénieur Bac + 5 - Série générale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30782&g_ta_cod=30782", 100.0, 0.0, 0.0),
(727, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "PASS", "Université de La Réunion - Saint Denis - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 80, 898, 591, 898, 0, 682, 199, 48, 29, 13, 9, 155, 0, 0, 0, 0, 0, 884, 0, 0, 0, 682, 199, 48, 29, 13, 9, 141, 508, 82, 48, 82, 0, 13.0, 82.0, 82.0, 0, 23, 74, 65, 8, 1, 8, 0, 20, 14, 18, 16, 6.0, 52, 2, 0, 0, 0, 65, 65, 15.85, 100.0, 100.0, 58.5, 87.796875, 87.796875, 0, 31.09765625, 90.1875, 0.0, 27.0, 18.8984375, 24.296875, 21.6, 8.1, 87.796875, 70.296875, 10.798828125, 2.69970703125, 1.39990234375, 0.0, 412.0, 122.0, 3.0, 2.0, 70.0, "Tous les candidats", 1758.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 92.0, "27565", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27563&g_ta_cod=27565", 87.0, 11.0, 2.0),
(728, "Privé sous contrat d'association", "0951819L", "ECAM EPMI", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "ECAM-ECAM LaSalle - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 120, 1222, 266, 1154, 0, 1007, 84, 0, 0, 0, 0, 147, 68, 39, 0, 0, 29, 913, 48, 0, 0, 835, 52, 0, 0, 0, 0, 78, 895, 93, 20, 71, 22, 21.0, 70.0, 85.0, 0, 12, 70, 70, 0, 0, 23, 0, 30, 37, 3, 0, 0.0, 40, 0, 0, 0, 0, 48, 56, 22.58, 75.27, 91.4, 21.5, 68.59375, 80.0, 0, 17.09765625, 75.296875, 0.0, 42.8984375, 52.8984375, 4.2998046875, 0.0, 0.0, 100.0, 57.09375, 0.0, 0.0, 0.0, 0.0, 801.0, 64.0, 0.0, 0.0, 94.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "29284", "Formation d'ingénieur Bac + 5 - Série générale", "ECAM-ECAM LaSalle", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29277&g_ta_cod=29284", 100.0, 0.0, 0.0),
(729, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Double licence - Sciences biomédicales / Mathématiques et applications - Parcours sélectif bi-diplômant Sciences Biomédicales / Mathématiques et applications - Campus Saint-Germain-des-Prés", "Licence - Sciences - technologies - santé", "Parcours sélectif bi-diplômant Sciences Biomédicales / Mathématiques et applications - Campus Saint-Germain-des-Prés", 6, 440, 308, 440, 0, 213, 29, 1, 0, 1, 1, 225, 0, 0, 0, 0, 0, 274, 0, 0, 0, 133, 11, 0, 0, 0, 0, 141, 96, 5, 4, 5, 0, 0.0, 2.0, 3.0, 0, 1, 2, 2, 0, 0, 3, 0, 0, 0, 2, 0, 0.0, 2, 0, 0, 0, 0, 0, 1, 0.0, 40.0, 60.0, 80.0, 0.0, 50.0, 0, 50.0, 40.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 63.0, 8.0, 0.0, 0.0, 33.0, "Tous les candidats", 122.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "28702", "Double licence - Sciences biomédicales / Mathématiques et applications - Parcours sélectif bi-diplômant Sciences Biomédicales / Mathématiques et applications - Campus Saint-Germain-des-Prés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28702&g_ta_cod=28702", 100.0, 0.0, 0.0),
(730, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence", "Université de Toulon - Licence - Mathématiques - Parcours Licence de Mathématiques", "Licence - Sciences - technologies - santé", "Licence de Mathématiques", 90, 614, 196, 528, 0, 378, 55, 25, 6, 4, 3, 121, 86, 19, 1, 2, 64, 528, 80, 0, 0, 378, 55, 25, 6, 4, 3, 121, 477, 43, 14, 29, 14, 4.0, 28.0, 40.0, 0, 8, 22, 17, 3, 2, 21, 0, 7, 10, 2, 3, 0.0, 12, 2, 1, 0, 0, 18, 18, 9.3, 65.12, 93.02, 32.59375, 81.796875, 81.796875, 0, 36.3984375, 51.1953125, 0.0, 31.796875, 45.5, 9.099609375, 13.6, 0.0, 77.296875, 54.5, 13.599609375, 9.099609375, 9.099609375, 4.5, 294.0, 46.0, 4.0, 4.0, 169.0, "Tous les candidats", 528.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10372", "Licence - Mathématiques - Parcours Licence de Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10372&g_ta_cod=10372", 81.0, 12.0, 7.0),
(731, "Privé sous contrat d'association", "0492147T", "ESSCA School of Management - Cholet", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "Ecole de Commerce", "ESSCA School of Management - Angers - Formation des écoles de commerce et de management Bac + 3 - Bachelor en Management International", "Formation des écoles de commerce et de management", "Bachelor en Management International", 40, 447, 168, 439, 0, 350, 8, 51, 4, 2, 0, 36, 8, 3, 1, 0, 4, 392, 3, 0, 0, 317, 5, 44, 4, 2, 0, 29, 250, 21, 7, 21, 0, 7.0, 21.0, 21.0, 0, 1, 20, 13, 7, 0, 1, 0, 4, 13, 2, 1, 0.0, 10, 6, 0, 0, 0, 14, 14, 33.33, 100.0, 100.0, 33.296875, 70.0, 70.0, 0, 5.0, 95.1875, 0.0, 20.0, 65.0, 10.0, 5.0, 0.0, 65.0, 50.0, 35.0, 30.0, 0.0, 0.0, 201.0, 3.0, 0.0, 0.0, 21.0, "Tous les candidats", 1468.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 89.0, "26145", "Formation des écoles de commerce et de management Bac + 3 - Bachelor en Management International", "ESSCA School of Management - Angers", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26144&g_ta_cod=26145", 67.0, 33.0, 0.0),
(732, "Public", "0501850P", "Lycée Maurice Marland", "50", "Manche", "Normandie", "Normandie", "Granville", "formation sélective", "BTS", "Lycée Maurice Marland - BTS - Services - Diététique", "BTS - Services", "", 14, 614, 521, 608, 0, 163, 16, 191, 33, 26, 7, 228, 6, 0, 0, 3, 3, 164, 0, 0, 0, 44, 2, 61, 12, 17, 3, 42, 57, 15, 15, 15, 0, 6.0, 14.0, 15.0, 0, 1, 9, 3, 5, 1, 6, 0, 0, 5, 4, 0, 0.0, 3, 5, 1, 0, 0, 4, 4, 40.0, 93.33, 100.0, 100.0, 44.3984375, 44.3984375, 0, 11.099609375, 60.0, 0.0, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 33.296875, 33.296875, 55.59375, 55.59375, 11.099609375, 11.099609375, 4.0, 1.0, 6.0, 2.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 14.0, "6037", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6037&g_ta_cod=6037", 47.0, 40.0, 13.0),
(733, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "PASS", "Université de Brest - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 30, 1093, 802, 1093, 0, 734, 116, 21, 4, 8, 7, 330, 0, 0, 0, 0, 0, 1094, 0, 0, 0, 735, 117, 21, 4, 8, 7, 330, 240, 29, 25, 29, 0, 2.0, 20.0, 25.0, 0, 4, 25, 25, 0, 0, 4, 0, 1, 5, 12, 7, 0.0, 24, 0, 0, 0, 0, 23, 23, 6.9, 68.97, 86.21, 86.1875, 92.0, 92.0, 0, 16.0, 86.1875, 0.0, 4.0, 20.0, 48.0, 28.0, 0.0, 100.0, 96.0, 0.0, 0.0, 0.0, 0.0, 218.0, 24.0, 0.0, 0.0, 20.0, "Tous les candidats", 2097.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "28244", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27585&g_ta_cod=28244", 100.0, 0.0, 0.0),
(734, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "Facultés libres de l'Ouest - UCO ANGERS - Economie, Gestion et Ethique de l'Entreprise (diplôme valant reconnaissance de niveau Licence)", "Diplôme d'Etablissement", "Economie, Gestion et Ethique de l'Entreprise (diplôme valant reconnaissance de niveau Licence)", 60, 255, 99, 218, 0, 159, 12, 25, 3, 1, 0, 33, 37, 15, 7, 1, 14, 218, 24, 0, 0, 159, 12, 25, 3, 1, 0, 33, 238, 15, 6, 10, 5, 7.0, 10.0, 13.0, 0, 1, 12, 9, 3, 0, 3, 0, 7, 2, 2, 1, 0.0, 5, 0, 0, 0, 0, 6, 6, 46.67, 66.67, 86.67, 40.0, 50.0, 50.0, 0, 8.298828125, 80.0, 0.0, 58.296875, 16.69921875, 16.69921875, 8.3, 0.0, 75.0, 41.6953125, 25.0, 0.0, 0.0, 0.0, 168.0, 12.0, 1.0, 0.0, 40.0, "Tous les candidats", 218.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "25064", "Economie, Gestion et Ethique de l'Entreprise (diplôme valant reconnaissance de niveau Licence)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25064&g_ta_cod=25064", 80.0, 20.0, 0.0),
(735, "Public", "0221036G", "I.U.T de Lannion", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Lannion", "formation sélective", "BUT", "I.U.T de Lannion - BUT - Information communication Parcours communication des organisations", "BUT - Service", "", 29, 457, 339, 451, 0, 295, 19, 71, 10, 3, 1, 82, 6, 0, 1, 0, 5, 54, 2, 0, 0, 39, 4, 10, 0, 0, 0, 5, 57, 29, 26, 28, 1, 17.0, 28.0, 28.0, 0, 2, 25, 19, 6, 0, 4, 0, 2, 10, 11, 2, 0.0, 17, 6, 0, 0, 0, 22, 22, 58.62, 96.55, 96.55, 89.6875, 88.0, 88.0, 0, 8.0, 86.1875, 0.0, 8.0, 40.0, 44.0, 8.0, 0.0, 76.0, 68.0, 24.0, 24.0, 0.0, 0.0, 38.0, 4.0, 0.0, 0.0, 6.0, "Tous les candidats sauf les Bac technologiques", 44.0, "Bacheliers technologiques toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 12.0, "3357", "BUT - Information communication Parcours communication des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3357&g_ta_cod=3357", 79.0, 21.0, 0.0),
(736, "Public", "0750783U", "Lycée professionnel Chenneviere Malezieux", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "BTS", "Lycée professionnel Chenneviere Malezieux - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 24, 182, 10, 182, 0, 6, 2, 21, 3, 80, 24, 75, 0, 0, 0, 0, 0, 110, 0, 0, 0, 4, 2, 19, 3, 69, 19, 18, 60, 24, 0, 24, 0, 11.0, 24.0, 24.0, 0, 6, 24, 1, 3, 20, 0, 0, 9, 10, 3, 2, 0.0, 0, 0, 15, 4, 0, 4, 23, 45.83, 100.0, 100.0, 0.0, 16.69921875, 95.796875, 16.69921875, 25.0, 100.0, 0.0, 37.5, 41.6953125, 12.5, 8.3, 0.0, 4.19921875, 0.0, 12.5, 0.0, 83.296875, 62.5, 4.0, 2.0, 44.0, 8.0, 0.0, "Tous les candidats sauf les Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 38.0, "19890", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19890&g_ta_cod=19890", 4.0, 13.0, 83.0),
(737, "Public", "0690074F", "Lycée Parc Chabrieres", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Oullins", "formation sélective", "BTS", "Lycée Parc Chabrieres - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 580, 24, 490, 0, 17, 1, 133, 42, 233, 105, 107, 90, 0, 39, 23, 28, 182, 1, 0, 0, 9, 1, 49, 10, 103, 41, 21, 107, 11, 0, 5, 1, 1.0, 2.0, 7.0, 0, 4, 9, 0, 3, 6, 2, 0, 6, 2, 0, 1, 0.0, 0, 0, 3, 0, 0, 8, 8, 9.09, 18.18, 63.64, 0.0, 88.890625, 88.890625, 0, 44.3984375, 81.796875, 0.0, 66.6875, 22.19921875, 0.0, 11.1, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 33.296875, 7.0, 1.0, 50.0, 20.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 104, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 37.0, "8233", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8233&g_ta_cod=8233", 0.0, 36.0, 64.0),
(738, "Public", "0110012D", "Lycée Polyvalent Germaine Tillion", "11", "Aude", "Occitanie", "Montpellier", "Castelnaudary", "formation sélective", "BTS", "Lycée Polyvalent Germaine Tillion - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 216, 98, 151, 0, 10, 7, 60, 27, 32, 14, 49, 65, 7, 20, 17, 21, 124, 27, 0, 0, 10, 7, 55, 22, 30, 12, 29, 127, 23, 10, 15, 6, 8.0, 15.0, 18.0, 0, 10, 18, 1, 9, 8, 5, 1, 8, 4, 5, 0, 0.0, 0, 3, 6, 6, 2, 13, 13, 34.78, 65.22, 78.26, 43.5, 72.1875, 72.1875, 33.296875, 55.59375, 78.296875, 5.599609375, 44.3984375, 22.19921875, 27.796875, 0.0, 0.0, 5.599609375, 0.0, 50.0, 16.69921875, 44.3984375, 33.296875, 11.0, 7.0, 32.0, 14.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 82.0, "2452", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2452&g_ta_cod=2452", 17.0, 43.0, 39.0),
(739, "Public", "0772120L", "Lycée Jean Moulin", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Torcy", "formation sélective", "BTS", "Lycée Jean Moulin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 1235, 545, 1235, 0, 103, 14, 448, 142, 372, 133, 312, 0, 0, 0, 0, 0, 495, 0, 0, 0, 64, 7, 159, 44, 213, 73, 59, 161, 33, 16, 32, 0, 7.0, 23.0, 29.0, 0, 7, 29, 7, 10, 12, 4, 0, 9, 12, 7, 1, 0.0, 2, 8, 10, 3, 2, 28, 28, 21.21, 69.7, 87.88, 48.5, 96.59375, 96.59375, 10.298828125, 24.09765625, 87.890625, 0.0, 31.0, 41.3984375, 24.09765625, 3.4, 0.0, 24.09765625, 6.8994140625, 34.5, 27.59765625, 41.3984375, 34.5, 40.0, 7.0, 45.0, 15.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 18.0, "9862", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9862&g_ta_cod=9862", 24.0, 30.0, 45.0),
(740, "Public", "0910620E", "Lycée Robert Doisneau", "91", "Essonne", "Ile-de-France", "Versailles", "Corbeil-Essonnes", "formation sélective", "CPGE", "Lycée Robert Doisneau - CPGE - TSI", "Classe préparatoire scientifique", "", 30, 233, 15, 220, 0, 0, 0, 200, 52, 0, 0, 20, 13, 0, 9, 0, 4, 198, 6, 0, 198, 0, 0, 191, 50, 0, 0, 7, 152, 30, 2, 28, 2, 16.0, 27.0, 29.0, 0, 4, 30, 0, 30, 0, 0, 0, 5, 14, 11, 0, 0.0, 0, 25, 0, 3, 0, 23, 29, 53.33, 90.0, 96.67, 6.69921875, 76.6875, 96.6875, 10, 13.298828125, 100.0, 0.0, 16.69921875, 46.6953125, 36.6953125, 0.0, 0.0, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 198.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "10839", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10839&g_ta_cod=10839", 0.0, 100.0, 0.0),
(741, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence_Las", "Université de Nantes - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", "", 36, 731, 405, 715, 0, 402, 75, 26, 8, 4, 2, 283, 16, 2, 0, 0, 14, 677, 14, 0, 0, 399, 72, 26, 8, 4, 2, 248, 294, 35, 12, 30, 5, 0.0, 19.0, 27.0, 0, 2, 24, 24, 0, 0, 11, 0, 9, 8, 7, 0, 0.0, 15, 0, 0, 0, 0, 18, 18, 0.0, 54.29, 77.14, 34.296875, 75.0, 75.0, 0, 8.298828125, 68.59375, 0.0, 37.5, 33.296875, 29.19921875, 0.0, 0.0, 100.0, 62.5, 0.0, 0.0, 0.0, 0.0, 172.0, 34.0, 1.0, 1.0, 114.0, "Tous les candidats", 2361.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 56.0, "27003", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27002&g_ta_cod=27003", 97.0, 0.0, 3.0),
(742, "Public", "0440982D", "I.U.T. Saint-Nazaire", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BUT", "I.U.T. Saint-Nazaire - BUT - Génie chimique génie des procédés Parcours : Contrôle, pilotage et optimisation des procédés - Conception des procédés et innovation technologique (Seconde année possible en apprentissage)", "BUT - Production", "Contrôle, pilotage et optimisation des procédés - Conception des procédés et innovation technologique", 78, 776, 330, 694, 0, 424, 44, 120, 19, 5, 0, 145, 82, 33, 5, 0, 44, 565, 30, 0, 0, 371, 34, 84, 14, 2, 0, 108, 459, 45, 17, 39, 6, 6.0, 39.0, 45.0, 0, 4, 34, 27, 7, 0, 11, 0, 10, 20, 4, 0, 0.0, 18, 6, 0, 0, 0, 19, 19, 13.33, 86.67, 100.0, 37.796875, 55.8984375, 55.8984375, 0, 11.798828125, 75.59375, 0.0, 29.3984375, 58.796875, 11.798828125, 0.0, 0.0, 79.390625, 52.8984375, 20.59765625, 17.59765625, 0.0, 0.0, 275.0, 30.0, 2.0, 0.0, 102.0, "Tous les candidats sauf les Bac technologiques", 480.0, "Bacheliers technologiques toutes séries", 86, "", 0, "Liste d'appel propre à cette formation", 81.0, "5554", "BUT - Génie chimique génie des procédés Parcours : Contrôle, pilotage et optimisation des procédés - Conception des procédés et innovation technologique (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5554&g_ta_cod=5554", 82.0, 18.0, 0.0),
(743, "Privé sous contrat d'association", "0141175B", "Lycée Institut Lemonnier", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Institut Lemonnier - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 13, 119, 10, 118, 0, 4, 1, 17, 2, 63, 16, 34, 1, 0, 1, 0, 0, 93, 0, 0, 0, 4, 1, 17, 2, 52, 14, 20, 53, 8, 0, 8, 0, 1.0, 8.0, 8.0, 0, 0, 7, 0, 2, 5, 1, 0, 4, 2, 1, 0, 0.0, 0, 0, 3, 1, 0, 5, 5, 12.5, 100.0, 100.0, 0.0, 71.390625, 71.390625, 14.298828125, 0.0, 87.5, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 0.0, 0.0, 28.59765625, 0.0, 71.390625, 42.8984375, 2.0, 1.0, 32.0, 10.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 65.0, "13381", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13381&g_ta_cod=13381", 0.0, 25.0, 75.0),
(744, "Public", "0750647W", "Lycée Turgot", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "CPGE", "Lycée Turgot - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 1000, 399, 944, 110, 827, 158, 0, 0, 0, 0, 117, 56, 24, 0, 0, 32, 596, 14, 91, 557, 566, 93, 0, 0, 0, 0, 30, 447, 43, 12, 35, 8, 6.0, 18.0, 34.0, 1, 4, 39, 39, 0, 0, 4, 0, 4, 17, 17, 1, 0.0, 35, 0, 0, 1, 1, 22, 39, 13.95, 41.86, 79.07, 27.8984375, 56.3984375, 100.0, 2.599609375, 10.298828125, 90.6875, 0.0, 10.298828125, 43.59375, 43.59375, 2.6, 0.0, 100.0, 89.6875, 0.0, 0.0, 0.0, 0.0, 436.0, 64.0, 0.0, 0.0, 11.0, "Tous les candidats", 557.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "8946", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8946&g_ta_cod=8946", 100.0, 0.0, 0.0),
(745, "Public", "0740006E", "Lycée Louis Lachenal", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Argonay", "formation sélective", "BTS", "Lycée Louis Lachenal - BTS - Production - Développement et Réalisation Bois", "BTS - Production", "", 15, 292, 28, 286, 0, 49, 4, 64, 8, 127, 26, 46, 6, 0, 4, 0, 2, 204, 0, 0, 0, 39, 3, 26, 3, 120, 23, 19, 44, 16, 0, 16, 0, 4.0, 14.0, 16.0, 0, 3, 15, 2, 2, 11, 1, 0, 1, 7, 5, 2, 0.0, 1, 2, 11, 5, 0, 10, 10, 25.0, 87.5, 100.0, 0.0, 66.6875, 66.6875, 33.296875, 20.0, 93.796875, 0.0, 6.69921875, 46.6953125, 33.296875, 13.3, 0.0, 13.298828125, 6.69921875, 13.298828125, 13.298828125, 73.296875, 73.296875, 7.0, 1.0, 18.0, 4.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 22.0, "8860", "BTS - Production - Développement et Réalisation Bois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8860&g_ta_cod=8860", 19.0, 13.0, 69.0),
(746, "Public", "0750676C", "Lycée des Métiers Dorian", "75", "Paris", "Ile-de-France", "Paris", "Paris 11e  Arrondissement", "formation sélective", "CPGE", "Lycée des Métiers Dorian - CPGE - PTSI", "Classe préparatoire scientifique", "", 42, 914, 177, 914, 408, 781, 90, 7, 5, 0, 0, 126, 0, 0, 0, 0, 0, 676, 0, 183, 661, 675, 74, 0, 0, 0, 0, 1, 411, 41, 6, 41, 0, 4.0, 16.0, 36.0, 7, 4, 41, 41, 0, 0, 0, 0, 1, 18, 19, 3, 0.0, 40, 0, 0, 1, 0, 17, 35, 9.76, 39.02, 87.8, 14.599609375, 41.5, 85.390625, 2.39990234375, 9.798828125, 100.0, 0.0, 2.39990234375, 43.8984375, 46.296875, 7.3, 0.0, 100.0, 97.59375, 0.0, 0.0, 0.0, 0.0, 410.0, 49.0, 0.0, 0.0, 1.0, "Tous les candidats", 580.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "9025", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9025&g_ta_cod=9025", 100.0, 0.0, 0.0),
(747, "Public", "0831354W", "Lycée professionnel La Coudoulière", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Six-Fours-les-Plages", "formation sélective", "Autre formation", "Lycée professionnel La Coudoulière - Mention complémentaire - FCIL Moteurs hors bord haute technicité", "Mention complémentaire", "", 6, 21, 2, 21, 0, 1, 1, 0, 0, 16, 6, 4, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 14, 6, 2, 16, 5, 0, 5, 0, 0.0, 5.0, 5.0, 0, 3, 4, 0, 0, 4, 1, 0, 3, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 0.0, 100.0, 100.0, 0.0, 25.0, 25.0, 0, 75.0, 80.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 14.0, 6.0, 2.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "32696", "Mention complémentaire - FCIL Moteurs hors bord haute technicité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32696&g_ta_cod=32696", 0.0, 0.0, 100.0),
(748, "Privé sous contrat d'association", "0261097B", "MFREO d'Anneyron - CFA FRMFREO", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Anneyron", "formation sélective", "BTS", "MFREO d'Anneyron - CFA FRMFREO - BTS - Agricole - Production horticole", "BTS - Agricole", "", 40, 82, 29, 82, 0, 18, 2, 4, 1, 19, 7, 41, 0, 0, 0, 0, 0, 82, 0, 0, 0, 18, 2, 4, 1, 19, 7, 41, 78, 32, 5, 32, 0, 17.0, 31.0, 31.0, 0, 5, 13, 1, 0, 12, 19, 0, 4, 5, 3, 1, 0.0, 1, 0, 8, 7, 0, 8, 8, 53.13, 96.88, 96.88, 15.599609375, 61.5, 61.5, 53.796875, 38.5, 40.59375, 0.0, 30.796875, 38.5, 23.09765625, 7.7, 0.0, 7.69921875, 7.69921875, 0.0, 0.0, 92.296875, 61.5, 18.0, 2.0, 19.0, 7.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 100.0, "3651", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3651&g_ta_cod=3651", 47.0, 6.0, 47.0),
(749, "Privé sous contrat d'association", "0570309B", "INSTIT.REGIONAL TRAVAIL SOCIAL IRTS DE LORRAINE - Le Ban Saint Martin", "57", "Moselle", "Grand Est", "Nancy-Metz", "Le Ban-Saint-Martin", "formation sélective", "EFTS", "INSTIT.REGIONAL TRAVAIL SOCIAL IRTS DE LORRAINE - Le Ban Saint Martin - D.E Educateur Spécialisé", "D.E secteur social", "", 59, 217, 174, 217, 0, 43, 4, 36, 7, 33, 6, 105, 0, 0, 0, 0, 0, 217, 0, 0, 0, 43, 4, 36, 7, 33, 6, 105, 95, 56, 47, 56, 0, 32.0, 50.0, 54.0, 0, 9, 37, 16, 10, 11, 19, 0, 4, 20, 9, 4, 0.0, 13, 9, 11, 0, 0, 37, 37, 57.14, 89.29, 96.43, 83.890625, 100.0, 100.0, 0, 24.296875, 66.09375, 0.0, 10.798828125, 54.09375, 24.296875, 10.8, 0.0, 43.1953125, 35.09375, 27.0, 24.296875, 29.69921875, 29.69921875, 21.0, 2.0, 20.0, 6.0, 34.0, "Tous les candidats", 99.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "24923", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24923&g_ta_cod=24923", 52.0, 20.0, 29.0),
(750, "Public", "0301654K", "Lycée des métiers Geneviève DE GAULLE-ANTHONIOZ", "30", "Gard", "Occitanie", "Montpellier", "Milhaud", "formation sélective", "BTS", "Lycée des métiers Geneviève DE GAULLE-ANTHONIOZ - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 530, 471, 530, 0, 25, 10, 152, 62, 197, 102, 156, 0, 0, 0, 0, 0, 416, 0, 0, 0, 23, 9, 139, 57, 172, 86, 82, 144, 22, 18, 22, 0, 7.0, 14.0, 18.0, 0, 10, 20, 3, 9, 8, 2, 0, 5, 6, 7, 2, 0.0, 3, 4, 8, 6, 5, 17, 17, 31.82, 63.64, 81.82, 81.796875, 85.0, 85.0, 30, 50.0, 90.890625, 0.0, 25.0, 30.0, 35.0, 10.0, 0.0, 15.0, 15.0, 45.0, 20.0, 40.0, 40.0, 11.0, 4.0, 44.0, 21.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 129, "Liste d'appel propre à cette formation", 39.0, "4012", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4012&g_ta_cod=4012", 14.0, 45.0, 41.0),
(751, "Public", "0590073J", "Lycée Auguste Angellier", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "Lycée Auguste Angellier - BTS - Services - Commerce International", "BTS - Services", "", 35, 675, 304, 624, 0, 93, 32, 73, 17, 53, 23, 405, 51, 2, 19, 0, 30, 171, 10, 0, 0, 92, 31, 43, 10, 29, 11, 7, 125, 26, 13, 22, 4, 7.0, 22.0, 24.0, 0, 4, 20, 11, 4, 5, 6, 0, 7, 8, 5, 0, 0.0, 5, 3, 5, 4, 0, 19, 19, 26.92, 84.62, 92.31, 50.0, 95.0, 95.0, 20, 20.0, 76.890625, 0.0, 35.0, 40.0, 25.0, 0.0, 0.0, 55.0, 25.0, 20.0, 15.0, 25.0, 25.0, 58.0, 18.0, 16.0, 5.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 85.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 26.0, "6760", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6760&g_ta_cod=6760", 50.0, 31.0, 19.0),
(752, "Privé sous contrat d'association", "0311876W", "IFRASS", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "EFTS", "IFRASS - D.E Educateur Spécialisé", "D.E secteur social", "", 53, 574, 459, 574, 0, 82, 17, 68, 18, 54, 20, 370, 0, 0, 0, 0, 0, 211, 0, 0, 0, 38, 5, 29, 8, 27, 11, 117, 104, 49, 41, 49, 0, 17.0, 46.0, 47.0, 0, 6, 19, 10, 4, 5, 30, 0, 2, 8, 7, 2, 0.0, 8, 4, 5, 0, 0, 10, 10, 34.69, 93.88, 95.92, 83.6875, 52.59375, 52.59375, 0, 31.59765625, 38.796875, 0.0, 10.5, 42.09375, 36.796875, 10.5, 0.0, 52.59375, 42.09375, 21.09765625, 21.09765625, 26.296875, 26.296875, 13.0, 0.0, 8.0, 6.0, 76.0, "Tous les candidats", 119.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "24860", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24860&g_ta_cod=24860", 59.0, 24.0, 12.0),
(753, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation non sélective", "Licence", "Université Grenoble Alpes - Antenne de Valence - Licence - Langues étrangères appliquées - Parcours Anglais-Allemand", "Licence - Arts-lettres-langues", "Anglais-Allemand", 15, 114, 85, 85, 0, 61, 13, 2, 0, 3, 0, 19, 29, 4, 2, 0, 23, 85, 19, 0, 0, 61, 13, 2, 0, 3, 0, 19, 81, 10, 7, 5, 5, 0.0, 5.0, 9.0, 0, 0, 5, 5, 0, 0, 5, 0, 0, 2, 3, 0, 0.0, 5, 0, 0, 0, 0, 4, 4, 0.0, 50.0, 90.0, 70.0, 80.0, 80.0, 0, 0.0, 50.0, 0.0, 0.0, 40.0, 60.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 47.0, 7.0, 2.0, 0.0, 27.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3670", "Licence - Langues étrangères appliquées - Parcours Anglais-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3670&g_ta_cod=3670", 100.0, 0.0, 0.0),
(754, "Privé enseignement supérieur", "0762380Z", "IRTS-IDS", "76", "Seine-Maritime", "Normandie", "Normandie", "Canteleu", "formation sélective", "EFTS", "IRTS-IDS - D.E Educateur Spécialisé", "D.E secteur social", "", 45, 255, 206, 255, 0, 41, 6, 42, 7, 22, 6, 150, 0, 0, 0, 0, 0, 177, 0, 0, 0, 24, 3, 21, 5, 17, 6, 115, 72, 45, 34, 45, 0, 27.0, 37.0, 39.0, 0, 5, 11, 5, 5, 1, 34, 0, 5, 2, 4, 0, 0.0, 0, 5, 1, 0, 0, 11, 11, 60.0, 82.22, 86.67, 75.59375, 100.0, 100.0, 0, 45.5, 24.3984375, 0.0, 45.5, 18.19921875, 36.3984375, 0.0, 0.0, 45.5, 0.0, 45.5, 45.5, 9.099609375, 9.099609375, 8.0, 2.0, 2.0, 1.0, 56.0, "Tous les candidats", 74.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "24983", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24983&g_ta_cod=24983", 44.0, 38.0, 16.0),
(755, "Privé sous contrat d'association", "0922563L", "ESILV - Paris la Défense", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Courbevoie", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation Bac + 3 - Série générale, STI2D, STMG, STAV, STL, ST2S et bacs pros identifiés - Bachelors Technologiques » et « Bachelors hybrides Technologie et Management »", "Formations  des écoles d'ingénieurs", "Bachelor « Ingénierie Numérique »", 45, 375, 45, 375, 0, 309, 33, 65, 11, 0, 0, 1, 0, 0, 0, 0, 0, 243, 0, 0, 0, 201, 14, 42, 3, 0, 0, 0, 227, 43, 4, 43, 0, 35.0, 38.0, 43.0, 0, 4, 43, 31, 12, 0, 0, 0, 16, 25, 2, 0, 0.0, 19, 8, 0, 0, 0, 19, 36, 81.4, 88.37, 100.0, 9.298828125, 44.1953125, 83.6875, 0, 9.298828125, 100.0, 0.0, 37.1953125, 58.09375, 4.69921875, 0.0, 0.0, 72.09375, 44.1953125, 27.8984375, 18.59765625, 0.0, 0.0, 186.0, 14.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "26467", "Formation Bac + 3 - Série générale, STI2D, STMG, STAV, STL, ST2S et bacs pros identifiés - Bachelors Technologiques » et « Bachelors hybrides Technologie et Management »", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26463&g_ta_cod=26467", 72.0, 28.0, 0.0),
(756, "Public", "0271634E", "Lycée Jean-Baptiste Decretot", "27", "Eure", "Normandie", "Normandie", "Louviers", "formation sélective", "BTS", "Lycée Jean-Baptiste Decretot - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 36, 177, 84, 177, 0, 0, 0, 47, 11, 91, 30, 39, 0, 0, 0, 0, 0, 168, 0, 0, 0, 0, 0, 47, 11, 89, 29, 32, 105, 30, 16, 30, 0, 9.0, 23.0, 27.0, 0, 6, 23, 0, 6, 17, 7, 0, 4, 9, 8, 2, 0.0, 0, 5, 14, 18, 9, 23, 23, 30.0, 76.67, 90.0, 53.296875, 100.0, 100.0, 78.296875, 26.09765625, 76.6875, 0.0, 17.3984375, 39.09375, 34.796875, 8.7, 0.0, 0.0, 0.0, 26.09765625, 21.69921875, 73.890625, 60.8984375, 0.0, 0.0, 50.0, 15.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 79.0, "3713", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3713&g_ta_cod=3713", 13.0, 30.0, 57.0),
(757, "Public", "0782565P", "Lycée Jules Ferry", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "BTS", "Lycée Jules Ferry - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 28, 800, 65, 800, 0, 82, 17, 267, 61, 201, 70, 250, 0, 0, 0, 0, 0, 424, 0, 0, 0, 82, 17, 180, 35, 96, 33, 66, 106, 26, 1, 25, 0, 7.0, 22.0, 23.0, 0, 8, 23, 1, 11, 11, 3, 0, 10, 7, 6, 0, 0.0, 0, 4, 9, 7, 0, 22, 22, 26.92, 84.62, 88.46, 3.7998046875, 95.6875, 95.6875, 30.3984375, 34.796875, 88.5, 0.0, 43.5, 30.3984375, 26.09765625, 0.0, 0.0, 4.2998046875, 0.0, 47.796875, 17.3984375, 47.796875, 39.09375, 7.0, 2.0, 25.0, 7.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 117, "Liste d'appel propre à cette formation", 20.0, "10053", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10053&g_ta_cod=10053", 8.0, 50.0, 42.0),
(758, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence", "Université de Perpignan Via Domitia - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 80, 443, 200, 402, 0, 257, 74, 37, 18, 35, 21, 73, 41, 6, 3, 2, 30, 402, 41, 0, 0, 257, 74, 37, 18, 35, 21, 73, 353, 79, 20, 61, 18, 11.0, 61.0, 73.0, 0, 26, 54, 37, 11, 6, 25, 0, 23, 24, 5, 2, 0.0, 24, 5, 2, 0, 0, 48, 48, 13.92, 77.22, 92.41, 25.296875, 88.890625, 88.890625, 0, 48.09375, 68.390625, 0.0, 42.59375, 44.3984375, 9.298828125, 3.7, 0.0, 68.5, 44.3984375, 20.3984375, 9.298828125, 11.099609375, 3.69970703125, 205.0, 65.0, 29.0, 17.0, 84.0, "Tous les candidats", 399.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7880", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7880&g_ta_cod=7880", 62.0, 23.0, 13.0),
(759, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université de Montpellier - Licence - Administration économique et sociale - Parcours Administration économique et sociale( Institut Montpellier Management - MOMA)", "Licence - Droit-économie-gestion", "Administration économique et sociale( Institut Montpellier Management - MOMA)", 260, 2776, 1537, 2761, 0, 1638, 489, 337, 166, 90, 63, 696, 15, 1, 3, 1, 10, 2707, 14, 0, 0, 1638, 489, 337, 166, 90, 63, 642, 1523, 240, 119, 235, 5, 18.0, 185.0, 219.0, 0, 64, 176, 147, 22, 7, 64, 1, 71, 77, 22, 4, 1.0, 90, 10, 4, 0, 0, 148, 148, 7.5, 77.08, 91.25, 49.59375, 84.09375, 84.09375, 0, 36.3984375, 73.296875, 0.5999755859375, 40.296875, 43.796875, 12.5, 2.3, 0.6, 83.5, 51.09375, 12.5, 5.69921875, 4.0, 2.2998046875, 1021.0, 305.0, 29.0, 24.0, 334.0, "Tous les candidats", 1985.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "4542", "Licence - Administration économique et sociale - Parcours Administration économique et sociale( Institut Montpellier Management - MOMA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4542&g_ta_cod=4542", 80.0, 15.0, 5.0),
(760, "Public", "0312289V", "Lycée Pierre-Paul Riquet", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Saint-Orens-de-Gameville", "formation sélective", "CPGE", "Lycée Pierre-Paul Riquet - CPGE - TSI", "Classe préparatoire scientifique", "", 35, 377, 37, 375, 0, 0, 0, 345, 79, 0, 0, 30, 2, 0, 1, 0, 1, 313, 0, 0, 313, 0, 0, 299, 68, 0, 0, 14, 229, 34, 3, 34, 0, 16.0, 32.0, 33.0, 0, 7, 33, 0, 33, 0, 1, 0, 2, 8, 20, 3, 0.0, 0, 31, 0, 14, 3, 27, 27, 47.06, 94.12, 97.06, 8.798828125, 81.796875, 81.796875, 42.3984375, 21.19921875, 97.09375, 0.0, 6.099609375, 24.19921875, 60.59375, 9.1, 0.0, 0.0, 0.0, 100.0, 93.890625, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 12.0, "Tous les candidats", 313.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "4217", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4217&g_ta_cod=4217", 0.0, 100.0, 0.0),
(761, "Public", "0480688M", "Lycée Théophile Roussel", "48", "Lozère", "Occitanie", "Montpellier", "Saint-Chély-d'Apcher", "formation sélective", "BTS", "Lycée Théophile Roussel - BTS - Production - Traitement des matériaux", "BTS - Production", "", 15, 54, 16, 51, 0, 1, 0, 21, 4, 3, 3, 26, 3, 0, 1, 0, 2, 51, 1, 0, 0, 1, 0, 21, 4, 3, 3, 26, 31, 16, 6, 15, 1, 9.0, 10.0, 16.0, 0, 5, 7, 1, 3, 3, 9, 0, 4, 3, 0, 0, 0.0, 1, 2, 0, 0, 0, 3, 3, 56.25, 62.5, 100.0, 37.5, 42.8984375, 42.8984375, 0, 71.390625, 43.796875, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 14.298828125, 14.298828125, 42.8984375, 28.59765625, 42.8984375, 0.0, 1.0, 0.0, 3.0, 3.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 82.0, "5822", "BTS - Production - Traitement des matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5822&g_ta_cod=5822", 50.0, 31.0, 19.0),
(762, "Public", "0380034F", "Lycée Louise Michel", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée Louise Michel - BTS - Services - Support à l'action managériale", "BTS - Services", "", 32, 486, 356, 479, 0, 33, 11, 192, 83, 143, 67, 111, 7, 0, 0, 4, 3, 299, 1, 0, 0, 29, 8, 136, 57, 72, 30, 62, 167, 31, 24, 31, 0, 2.0, 21.0, 25.0, 0, 20, 24, 1, 15, 8, 7, 2, 15, 5, 1, 1, 0.0, 1, 1, 5, 7, 6, 23, 23, 6.45, 67.74, 80.65, 77.390625, 95.796875, 95.796875, 29.19921875, 83.296875, 77.390625, 8.298828125, 62.5, 20.796875, 4.19921875, 4.2, 0.0, 4.19921875, 4.19921875, 62.5, 4.19921875, 33.296875, 20.796875, 6.0, 1.0, 51.0, 19.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 117, "Liste d'appel propre à cette formation", 43.0, "4934", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4934&g_ta_cod=4934", 6.0, 65.0, 29.0),
(763, "Public", "0780412Z", "Ecole Nationale Supérieure d'Architecture de Versailles", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Versailles - Architecture", "Formations Bac + 5", "", 130, 1978, 1266, 1978, 0, 1195, 192, 134, 34, 78, 26, 571, 0, 0, 0, 0, 0, 381, 0, 0, 0, 236, 25, 20, 5, 9, 3, 116, 234, 131, 94, 131, 0, 73.0, 128.0, 131.0, 0, 15, 94, 86, 4, 4, 37, 1, 8, 23, 47, 11, 4.0, 78, 4, 3, 0, 0, 31, 54, 55.73, 97.71, 100.0, 71.796875, 33.0, 57.3984375, 0, 16.0, 71.796875, 1.099853515625, 8.5, 24.5, 50.0, 11.7, 4.3, 91.5, 83.0, 4.2998046875, 4.2998046875, 4.2998046875, 3.19970703125, 150.0, 21.0, 6.0, 3.0, 64.0, "Tous les candidats", 255.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "9958", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9958&g_ta_cod=9958", 91.0, 6.0, 3.0),
(764, "Public", "0861408N", "Lycée professionnel KYOTO", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée professionnel KYOTO - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 24, 287, 138, 279, 0, 18, 5, 45, 7, 53, 18, 163, 8, 0, 3, 0, 5, 151, 3, 0, 0, 18, 5, 42, 7, 51, 17, 40, 102, 23, 16, 21, 2, 3.0, 20.0, 21.0, 0, 7, 17, 1, 6, 10, 6, 0, 7, 7, 3, 0, 0.0, 0, 4, 6, 0, 0, 8, 8, 13.04, 86.96, 91.3, 69.59375, 47.09375, 47.09375, 0, 41.1953125, 73.890625, 0.0, 41.1953125, 41.1953125, 17.59765625, 0.0, 0.0, 5.8994140625, 0.0, 35.296875, 23.5, 58.796875, 35.296875, 12.0, 3.0, 38.0, 10.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 48.0, "10659", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10659&g_ta_cod=10659", 13.0, 35.0, 52.0),
(765, "Privé sous contrat d'association", "0340194H", "ISEN Méditerranée (Campus Nîmes) CPGE associée YNCREA (ISEN-HEI) Saint Joseph Pierre Rouge", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 10, 58, 4, 55, 0, 0, 0, 55, 14, 0, 0, 0, 3, 0, 3, 0, 0, 46, 3, 0, 0, 0, 0, 46, 12, 0, 0, 0, 46, 2, 1, 2, 0, 2.0, 2.0, 2.0, 0, 1, 2, 0, 2, 0, 0, 0, 0, 2, 0, 0, 0.0, 0, 2, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 50.0, 0.0, 0.0, 0, 50.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "25856", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=25856", 0.0, 100.0, 0.0),
(766, "Public", "0763069Y", "Institut d'Administration des Entreprises (IAE) de l'Université de Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation non sélective", "Licence", "Institut d'Administration des Entreprises (IAE) de l'Université de Rouen - Licence - Gestion", "Licence - Droit-économie-gestion", "", 72, 1122, 607, 1122, 0, 650, 123, 202, 76, 22, 11, 248, 0, 0, 0, 0, 0, 1118, 0, 0, 0, 650, 123, 202, 76, 22, 11, 244, 285, 72, 41, 72, 0, 14.0, 59.0, 68.0, 0, 11, 69, 65, 4, 0, 3, 0, 9, 27, 23, 9, 1.0, 56, 4, 0, 0, 0, 61, 61, 19.44, 81.94, 94.44, 56.8984375, 88.390625, 88.390625, 0, 15.8984375, 95.796875, 0.0, 13.0, 39.09375, 33.296875, 13.0, 1.4, 94.1875, 81.1875, 5.7998046875, 5.7998046875, 0.0, 0.0, 237.0, 46.0, 0.0, 0.0, 33.0, "Tous les candidats", 453.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "30966", "Licence - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30966&g_ta_cod=30966", 94.0, 6.0, 0.0),
(767, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence_Las", "Université de Limoges - Licence - Portail Mathématiques - Parcours commun Maths Info Physique Chimie Génie Civil", "Licence - Sciences - technologies - santé", "Parcours commun Maths Info Physique Chimie Génie Civil", 18, 246, 111, 181, 0, 109, 22, 4, 1, 0, 0, 68, 65, 21, 5, 0, 39, 181, 54, 0, 0, 109, 22, 4, 1, 0, 0, 68, 173, 15, 6, 5, 10, 0.0, 5.0, 12.0, 0, 0, 7, 5, 2, 0, 8, 0, 3, 3, 0, 1, 0.0, 3, 1, 0, 0, 0, 2, 2, 0.0, 33.33, 80.0, 40.0, 28.59765625, 28.59765625, 0, 0.0, 46.6953125, 0.0, 42.8984375, 42.8984375, 0.0, 14.3, 0.0, 71.390625, 42.8984375, 28.59765625, 14.298828125, 0.0, 0.0, 83.0, 18.0, 0.0, 0.0, 82.0, "Tous les candidats", 492.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "31103", "Licence - Portail Mathématiques - Parcours commun Maths Info Physique Chimie Génie Civil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31102&g_ta_cod=31103", 87.0, 13.0, 0.0),
(768, "Public", "0590064Z", "Lycée Jean-Baptiste Corot", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "BTS", "Lycée Jean-Baptiste Corot - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 321, 211, 308, 0, 21, 5, 74, 37, 107, 61, 106, 13, 2, 0, 4, 7, 191, 2, 0, 0, 20, 5, 69, 33, 95, 54, 7, 98, 20, 13, 18, 2, 3.0, 17.0, 17.0, 0, 11, 16, 3, 1, 12, 4, 0, 7, 6, 3, 0, 0.0, 1, 1, 7, 3, 2, 15, 15, 15.0, 85.0, 85.0, 65.0, 93.796875, 93.796875, 18.796875, 68.796875, 80.0, 0.0, 43.796875, 37.5, 18.796875, 0.0, 0.0, 18.796875, 6.2998046875, 6.2998046875, 6.2998046875, 75.0, 43.796875, 13.0, 4.0, 60.0, 38.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 86, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 46.0, "6739", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6739&g_ta_cod=6739", 25.0, 10.0, 65.0),
(769, "Privé sous contrat d'association", "0121423G", "Lycée Charles Carnus", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BTS", "Lycée Charles Carnus - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 356, 155, 355, 0, 48, 11, 106, 23, 114, 30, 87, 1, 0, 0, 0, 1, 274, 1, 0, 0, 46, 10, 93, 19, 95, 24, 40, 145, 27, 5, 26, 1, 6.0, 17.0, 21.0, 0, 3, 23, 3, 9, 11, 4, 0, 8, 8, 6, 1, 0.0, 1, 4, 10, 0, 0, 22, 22, 22.22, 62.96, 77.78, 18.5, 95.6875, 95.6875, 0, 13.0, 85.1875, 0.0, 34.796875, 34.796875, 26.09765625, 4.3, 0.0, 13.0, 4.2998046875, 39.09375, 17.3984375, 47.796875, 43.5, 22.0, 7.0, 53.0, 13.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 54.0, "2509", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2509&g_ta_cod=2509", 26.0, 33.0, 41.0),
(770, "Public", "0310153Y", "École nationale vétérinaire de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Concours des écoles nationales vétérinaires - Concours Première année", "Formations des écoles nationales vétérinaires", "École nationale vétérinaire de Toulouse (31) Formation Bac+6", 40, 5246, 4003, 5246, 0, 5214, 523, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 584, 0, 0, 0, 581, 63, 0, 0, 0, 0, 3, 146, 40, 31, 40, 0, 7.0, 39.0, 40.0, 0, 5, 40, 40, 0, 0, 0, 0, 0, 0, 3, 24, 13.0, 40, 0, 0, 0, 0, 9, 9, 17.5, 97.5, 100.0, 77.5, 22.5, 22.5, 0, 12.5, 100.0, 0.0, 0.0, 0.0, 7.5, 60.0, 32.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 146.0, 18.0, 0.0, 0.0, 0.0, "Tous les candidats", 163.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 3.0, "30878", "Concours Première année", "Concours des écoles nationales vétérinaires", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30874&g_ta_cod=30878", 100.0, 0.0, 0.0),
(771, "Public", "0750612H", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART.", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART. - DN MADE - Spectacle - - Spécialité : Sculpture appliquée à l'espace scénique", "DN MADE", "- Spécialité : Sculpture appliquée à l'espace scénique", 12, 343, 291, 343, 0, 90, 10, 105, 12, 23, 5, 125, 0, 0, 0, 0, 0, 60, 0, 0, 0, 10, 1, 18, 2, 4, 1, 28, 24, 12, 9, 12, 0, 4.0, 10.0, 11.0, 0, 1, 8, 3, 2, 3, 4, 0, 0, 1, 3, 4, 0.0, 3, 2, 3, 0, 0, 2, 2, 33.33, 83.33, 91.67, 75.0, 25.0, 25.0, 0, 12.5, 66.6875, 0.0, 0.0, 12.5, 37.5, 50.0, 0.0, 37.5, 37.5, 25.0, 25.0, 37.5, 37.5, 7.0, 0.0, 3.0, 1.0, 6.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "21803", "DN MADE - Spectacle - - Spécialité : Sculpture appliquée à l'espace scénique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21803&g_ta_cod=21803", 25.0, 25.0, 25.0),
(772, "Privé enseignement supérieur", "9720920T", "INSTITUT CATHOLIQUE EUROPEEN DES AMERIQUES", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "Licence", "INSTITUT CATHOLIQUE EUROPEEN DES AMERIQUES - Licence - Sciences sociales - Parcours Sciences politiques et écologie humaine", "Licence - Droit-économie-gestion", "Sciences politiques et écologie humaine", 60, 85, 56, 72, 0, 56, 8, 8, 6, 1, 0, 7, 13, 7, 0, 0, 6, 60, 9, 0, 0, 51, 8, 6, 4, 0, 0, 3, 69, 24, 15, 23, 1, 22.0, 23.0, 23.0, 0, 4, 22, 22, 0, 0, 2, 0, 3, 9, 7, 3, 0.0, 19, 0, 0, 0, 0, 20, 20, 91.67, 95.83, 95.83, 62.5, 90.890625, 90.890625, 0, 18.19921875, 91.6875, 0.0, 13.599609375, 40.8984375, 31.796875, 13.6, 0.0, 100.0, 86.390625, 0.0, 0.0, 0.0, 0.0, 57.0, 9.0, 0.0, 0.0, 6.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "25358", "Licence - Sciences sociales - Parcours Sciences politiques et écologie humaine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25358&g_ta_cod=25358", 96.0, 4.0, 0.0),
(773, "Public", "0590098L", "Lycée professionnel Placide Courtoy", "59", "Nord", "Hauts-de-France", "Lille", "Hautmont", "formation sélective", "BTS", "Lycée professionnel Placide Courtoy - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 296, 245, 296, 0, 29, 13, 53, 20, 107, 60, 107, 0, 0, 0, 0, 0, 296, 0, 0, 0, 29, 13, 53, 20, 107, 60, 107, 134, 26, 24, 26, 0, 7.0, 22.0, 24.0, 0, 11, 19, 0, 7, 12, 7, 0, 8, 7, 3, 1, 0.0, 0, 3, 8, 8, 7, 17, 17, 26.92, 84.62, 92.31, 92.296875, 89.5, 89.5, 42.09375, 57.8984375, 73.09375, 0.0, 42.09375, 36.796875, 15.798828125, 5.3, 0.0, 0.0, 0.0, 36.796875, 15.798828125, 63.1953125, 42.09375, 11.0, 5.0, 52.0, 29.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 54.0, "19775", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19775&g_ta_cod=19775", 0.0, 50.0, 50.0),
(774, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence", "Université de Perpignan Via Domitia - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 80, 504, 346, 491, 0, 344, 119, 39, 21, 11, 4, 97, 13, 2, 1, 0, 10, 491, 9, 0, 0, 344, 119, 39, 21, 11, 4, 97, 338, 79, 49, 73, 5, 6.0, 73.0, 76.0, 0, 24, 55, 48, 5, 2, 24, 0, 21, 26, 6, 2, 0.0, 32, 1, 1, 0, 0, 49, 49, 7.59, 92.41, 96.2, 62.0, 89.09375, 89.09375, 0, 43.59375, 69.59375, 0.0, 38.1953125, 47.296875, 10.8984375, 3.6, 0.0, 87.296875, 58.1953125, 9.099609375, 1.7998046875, 3.599609375, 1.7998046875, 249.0, 85.0, 5.0, 1.0, 67.0, "Tous les candidats", 491.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7867", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7867&g_ta_cod=7867", 81.0, 11.0, 4.0),
(775, "Public", "0071445H", "Centre de Ressources, d-Expertise et de Performance Sportive d-Auvergne Rhône-Alpes Vallon-Pont-d'Arc (CREPS)", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Vallon-Pont-d'Arc", "formation sélective", "Autre formation", "CREPS Rhône-Alpes - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 1, 22, 4, 22, 0, 6, 1, 6, 0, 4, 0, 6, 0, 0, 0, 0, 0, 9, 0, 0, 0, 3, 1, 3, 0, 2, 0, 1, 8, 1, 0, 1, 0, 0.0, 1.0, 1.0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, 1.0, 1.0, 0.0, 1.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "21876", "BPJEPS - Activités aquatiques et de la natation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21876&g_ta_cod=21876", 100.0, 0.0, 0.0),
(776, "Public", "0021476U", "Lycée Leonard De Vinci", "02", "Aisne", "Hauts-de-France", "Amiens", "Soissons", "formation sélective", "BTS", "Lycée Leonard De Vinci - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 15, 87, 4, 86, 0, 6, 1, 4, 1, 34, 14, 42, 1, 0, 1, 0, 0, 40, 0, 0, 0, 4, 0, 4, 1, 30, 13, 2, 32, 12, 0, 12, 0, 3.0, 11.0, 12.0, 0, 6, 11, 0, 0, 11, 1, 0, 1, 7, 3, 0, 0.0, 0, 0, 10, 6, 0, 11, 11, 25.0, 91.67, 100.0, 0.0, 100.0, 100.0, 54.5, 54.5, 91.6875, 0.0, 9.099609375, 63.59375, 27.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 90.890625, 3.0, 0.0, 23.0, 10.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 5, "Liste d'appel propre à cette formation", 47.0, "2078", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2078&g_ta_cod=2078", 0.0, 0.0, 100.0),
(777, "Public", "0710048S", "Lycée Rene Cassin", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Mâcon", "formation sélective", "BTS", "Lycée Rene Cassin - BTS - Production - Maintenance des matériels de construction et de manutention", "BTS - Production", "", 12, 69, 3, 69, 0, 0, 0, 12, 2, 40, 8, 17, 0, 0, 0, 0, 0, 45, 0, 0, 0, 0, 0, 11, 2, 32, 4, 2, 28, 10, 1, 10, 0, 5.0, 9.0, 10.0, 0, 3, 10, 0, 2, 8, 0, 0, 3, 3, 2, 2, 0.0, 0, 1, 6, 4, 0, 5, 5, 50.0, 90.0, 100.0, 10.0, 50.0, 50.0, 40, 30.0, 100.0, 0.0, 30.0, 30.0, 20.0, 20.0, 0.0, 0.0, 0.0, 20.0, 10.0, 80.0, 60.0, 0.0, 0.0, 20.0, 3.0, 0.0, "Tous les candidats sauf les Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 62.0, "8639", "BTS - Production - Maintenance des matériels de construction et de manutention", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8639&g_ta_cod=8639", 0.0, 20.0, 80.0),
(778, "Public", "0880040R", "Lycée Pierre et Marie Curie", "88", "Vosges", "Grand Est", "Nancy-Metz", "Neufchâteau", "formation sélective", "Autre formation", "Lycée Pierre et Marie Curie - DN MADE - Objet - - Spécialité : création - innovation en ameublement", "DN MADE", "- Spécialité : création - innovation en ameublement", 15, 160, 105, 160, 0, 51, 7, 42, 9, 19, 2, 48, 0, 0, 0, 0, 0, 149, 0, 0, 0, 48, 7, 39, 8, 17, 1, 45, 86, 12, 7, 12, 0, 1.0, 8.0, 11.0, 0, 1, 8, 3, 5, 0, 4, 0, 2, 6, 0, 0, 0.0, 3, 3, 0, 0, 0, 2, 2, 8.33, 66.67, 91.67, 58.296875, 25.0, 25.0, 0, 12.5, 66.6875, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 37.5, 37.5, 62.5, 37.5, 0.0, 0.0, 25.0, 0.0, 2.0, 0.0, 27.0, "Tous les candidats", 118.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "24213", "DN MADE - Objet - - Spécialité : création - innovation en ameublement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24213&g_ta_cod=24213", 33.0, 42.0, 0.0),
(779, "Privé sous contrat d'association", "0451335G", "Lycée Sainte-Croix Saint-Euverte", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Sainte-Croix Saint-Euverte - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 321, 295, 311, 0, 30, 8, 67, 19, 143, 56, 71, 10, 0, 1, 1, 8, 200, 4, 0, 0, 25, 7, 43, 12, 98, 35, 34, 124, 19, 19, 17, 2, 0.0, 8.0, 10.0, 0, 6, 13, 1, 2, 10, 6, 0, 3, 9, 0, 1, 0.0, 0, 2, 8, 0, 0, 13, 13, 0.0, 42.11, 52.63, 100.0, 100.0, 100.0, 0, 46.1953125, 68.390625, 0.0, 23.09765625, 69.1875, 0.0, 7.7, 0.0, 7.69921875, 0.0, 15.3984375, 15.3984375, 76.890625, 61.5, 19.0, 4.0, 51.0, 17.0, 23.0, "Tous les candidats sauf les Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 36.0, "13537", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13537&g_ta_cod=13537", 16.0, 26.0, 58.0),
(780, "Public", "0680053N", "I.U.T. de Colmar", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BUT", "I.U.T. de Colmar - BUT - Carrières juridiques Parcours : Administration et justice - Patrimoine et finance - Entreprise et Association (Seconde année possible en apprentissage)", "BUT - Service", "Administration et justice - Patrimoine et finance - Entreprise et Association", 120, 1873, 1513, 1873, 0, 1013, 185, 530, 152, 31, 7, 299, 0, 0, 0, 0, 0, 1583, 0, 0, 0, 902, 153, 432, 116, 29, 7, 220, 401, 116, 97, 116, 0, 20.0, 94.0, 104.0, 0, 24, 100, 39, 56, 5, 16, 0, 7, 53, 34, 6, 0.0, 38, 50, 5, 0, 0, 68, 68, 17.24, 81.03, 89.66, 83.59375, 68.0, 68.0, 0, 24.0, 86.1875, 0.0, 7.0, 53.0, 34.0, 6.0, 0.0, 39.0, 38.0, 56.0, 50.0, 5.0, 5.0, 170.0, 43.0, 6.0, 1.0, 62.0, "Tous les candidats sauf les Bac technologiques", 317.0, "Bacheliers technologiques toutes séries", 232, "", 0, "Liste d'appel propre à cette formation", 29.0, "8118", "BUT - Carrières juridiques Parcours : Administration et justice - Patrimoine et finance - Entreprise et Association (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8118&g_ta_cod=8118", 44.0, 52.0, 4.0),
(781, "Public", "0930834B", "Lycée Voillaume", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aulnay-sous-Bois", "formation sélective", "BTS", "Lycée Voillaume - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 59, 1175, 553, 1175, 0, 97, 47, 332, 184, 302, 178, 444, 0, 0, 0, 0, 0, 642, 0, 0, 0, 88, 43, 219, 121, 198, 121, 137, 246, 51, 23, 51, 0, 9.0, 37.0, 48.0, 0, 27, 37, 7, 10, 20, 14, 0, 15, 16, 6, 0, 0.0, 4, 8, 10, 5, 2, 34, 36, 17.65, 72.55, 94.12, 45.09375, 91.890625, 97.296875, 13.5, 73.0, 72.5, 0.0, 40.5, 43.1953125, 16.19921875, 0.0, 0.0, 18.8984375, 10.798828125, 27.0, 21.59765625, 54.09375, 27.0, 40.0, 21.0, 93.0, 60.0, 63.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 160, "Bacheliers technologiques toutes séries", 143, "Liste d'appel propre à cette formation", 32.0, "11215", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11215&g_ta_cod=11215", 16.0, 39.0, 45.0),
(782, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Administration économique et sociale", "Licence - Sciences humaines et sociales", "", 282, 5807, 3524, 5807, 0, 3256, 990, 1064, 432, 98, 51, 1389, 0, 0, 0, 0, 0, 5807, 0, 0, 0, 3256, 990, 1064, 432, 98, 51, 1389, 1540, 282, 187, 282, 0, 13.0, 198.0, 246.0, 0, 82, 222, 195, 25, 2, 60, 0, 30, 141, 49, 2, 0.0, 167, 23, 2, 0, 0, 123, 202, 4.61, 70.21, 87.23, 66.296875, 55.3984375, 91.0, 0, 36.8984375, 78.6875, 0.0, 13.5, 63.5, 22.09765625, 0.9, 0.0, 87.796875, 75.1875, 11.298828125, 10.3984375, 0.89990234375, 0.89990234375, 1112.0, 331.0, 6.0, 5.0, 240.0, "Tous les candidats", 2075.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "11082", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11082&g_ta_cod=11082", 89.0, 10.0, 1.0),
(783, "Public", "0060033D", "Lycée Honoré d'Estienne d'Orves (Beau-Site)", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Honoré d'Estienne d'Orves (Beau-Site) - BTS - Services - Notariat", "BTS - Services", "", 23, 763, 566, 763, 0, 166, 46, 223, 81, 108, 50, 266, 0, 0, 0, 0, 0, 494, 0, 0, 0, 131, 31, 173, 63, 95, 45, 95, 122, 25, 17, 25, 0, 3.0, 19.0, 22.0, 0, 3, 20, 10, 8, 2, 5, 0, 3, 15, 2, 0, 0.0, 8, 7, 2, 1, 1, 17, 17, 12.0, 76.0, 88.0, 68.0, 85.0, 85.0, 5, 15.0, 80.0, 0.0, 15.0, 75.0, 10.0, 0.0, 0.0, 50.0, 40.0, 40.0, 35.0, 10.0, 10.0, 48.0, 12.0, 11.0, 3.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 98.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 24.0, "2222", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2222&g_ta_cod=2222", 48.0, 36.0, 16.0),
(784, "Public", "0540040A", "Lycée Frédéric Chopin", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Frédéric Chopin - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 34, 745, 80, 729, 0, 108, 31, 172, 49, 151, 61, 298, 16, 0, 0, 8, 8, 360, 2, 0, 0, 82, 22, 130, 40, 71, 24, 77, 139, 29, 1, 27, 2, 6.0, 21.0, 23.0, 0, 7, 17, 3, 5, 9, 12, 0, 2, 8, 6, 1, 0.0, 3, 4, 8, 1, 0, 16, 16, 20.69, 72.41, 79.31, 3.39990234375, 94.09375, 94.09375, 5.8994140625, 41.1953125, 58.59375, 0.0, 11.798828125, 47.09375, 35.296875, 5.9, 0.0, 17.59765625, 17.59765625, 29.3984375, 23.5, 52.8984375, 47.09375, 22.0, 6.0, 37.0, 11.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 96, "Liste d'appel propre à cette formation", 28.0, "6256", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6256&g_ta_cod=6256", 10.0, 52.0, 34.0),
(785, "Public", "0460580F", "IFSI CH Jean Rougier Cahors", "46", "Lot", "Occitanie", "Toulouse", "Cahors", "formation sélective", "IFSI", "Regroupement d'IFSI Université Toulouse - D.E Infirmier", "D.E secteur sanitaire", "", 35, 5572, 4715, 5572, 0, 757, 153, 998, 289, 758, 270, 3059, 0, 0, 0, 0, 0, 3430, 0, 0, 0, 683, 135, 686, 185, 420, 146, 1641, 891, 35, 27, 35, 0, 0.0, 0.0, 15.0, 0, 4, 14, 7, 3, 4, 21, 0, 2, 10, 2, 0, 0.0, 5, 3, 4, 0, 0, 7, 7, 0.0, 0.0, 42.86, 77.09375, 50.0, 50.0, 0, 28.59765625, 40.0, 0.0, 14.298828125, 71.390625, 14.298828125, 0.0, 0.0, 50.0, 35.6953125, 21.3984375, 21.3984375, 28.59765625, 28.59765625, 269.0, 59.0, 68.0, 31.0, 440.0, "Tous les candidats", 3392.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "25246", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22985&g_ta_cod=25246", 63.0, 14.0, 20.0),
(786, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Licence - Economie et gestion - Parcours Cursus master en ingénierie (CMI) : Data science for social Sciences", "Licence - Droit-économie-gestion", "Cursus master en ingénierie (CMI) : Data science for social Sciences", 30, 732, 257, 459, 0, 328, 86, 14, 3, 2, 0, 115, 273, 90, 15, 6, 162, 150, 2, 0, 0, 98, 22, 0, 0, 0, 0, 52, 112, 24, 7, 24, 0, 7.0, 19.0, 22.0, 0, 4, 14, 14, 0, 0, 10, 0, 3, 4, 4, 3, 0.0, 11, 0, 0, 0, 0, 3, 9, 29.17, 79.17, 91.67, 29.19921875, 21.3984375, 64.296875, 0, 28.59765625, 58.296875, 0.0, 21.3984375, 28.59765625, 28.59765625, 21.4, 0.0, 100.0, 78.59375, 0.0, 0.0, 0.0, 0.0, 70.0, 17.0, 0.0, 0.0, 42.0, "Tous les candidats", 124.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "27089", "Licence - Economie et gestion - Parcours Cursus master en ingénierie (CMI) : Data science for social Sciences", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27089&g_ta_cod=27089", 100.0, 0.0, 0.0),
(787, "Public", "0750699C", "Lycée Janson De Sailly", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Pôle Claude Bernard / Janson de Sailly - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 48, 3273, 1695, 3247, 1600, 2950, 245, 1, 0, 0, 0, 296, 26, 10, 1, 0, 15, 1239, 0, 237, 1070, 1211, 149, 0, 0, 0, 0, 28, 527, 43, 27, 43, 0, 1.0, 14.0, 39.0, 5, 5, 43, 43, 0, 0, 0, 0, 0, 1, 15, 26, 1.0, 43, 0, 0, 0, 0, 16, 22, 2.33, 32.56, 90.7, 62.796875, 37.1953125, 51.1953125, 0, 11.599609375, 100.0, 0.0, 0.0, 2.2998046875, 34.8984375, 60.5, 2.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 522.0, 37.0, 0.0, 0.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "31660", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31369&g_ta_cod=31660", 100.0, 0.0, 0.0),
(788, "Public", "0090559J", "IFSI CH Int Val Ariège", "09", "Ardennes", "Occitanie", "Toulouse", "Pamiers", "formation sélective", "IFSI", "Regroupement d'IFSI Université Toulouse - D.E Infirmier", "D.E secteur sanitaire", "", 63, 5647, 4749, 5647, 0, 835, 175, 998, 293, 699, 268, 3115, 0, 0, 0, 0, 0, 3503, 0, 0, 0, 753, 152, 676, 189, 392, 142, 1682, 886, 63, 52, 63, 0, 0.0, 16.0, 52.0, 0, 6, 37, 21, 9, 7, 26, 0, 4, 20, 12, 1, 0.0, 17, 9, 7, 0, 0, 22, 22, 0.0, 25.4, 82.54, 82.5, 59.5, 59.5, 0, 16.19921875, 58.6953125, 0.0, 10.798828125, 54.09375, 32.3984375, 2.7, 0.0, 56.796875, 45.8984375, 24.296875, 24.296875, 18.8984375, 18.8984375, 307.0, 62.0, 57.0, 26.0, 407.0, "Tous les candidats", 3010.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "23247", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22985&g_ta_cod=23247", 59.0, 22.0, 19.0),
(789, "Public", "0710023P", "Lycée La Prat's", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Cluny", "formation sélective", "BTS", "Lycée La Prat's - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 15, 141, 32, 115, 0, 8, 1, 34, 6, 36, 13, 37, 26, 1, 9, 4, 12, 85, 8, 0, 0, 8, 1, 32, 6, 33, 12, 12, 80, 14, 1, 11, 3, 2.0, 10.0, 12.0, 0, 2, 11, 0, 4, 7, 3, 0, 5, 1, 4, 1, 0.0, 0, 1, 5, 0, 0, 9, 9, 14.29, 71.43, 85.71, 7.099609375, 81.796875, 81.796875, 0, 18.19921875, 78.59375, 0.0, 45.5, 9.099609375, 36.3984375, 9.1, 0.0, 0.0, 0.0, 36.3984375, 9.099609375, 63.59375, 45.5, 6.0, 0.0, 23.0, 8.0, 11.0, "Tous les candidats sauf les Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 71.0, "8628", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8628&g_ta_cod=8628", 0.0, 50.0, 50.0),
(790, "Privé sous contrat d'association", "0570311D", "Lycée De La Salle", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée De La Salle - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 48, 553, 273, 527, 0, 96, 13, 157, 40, 121, 36, 153, 26, 1, 14, 0, 11, 417, 9, 0, 0, 92, 12, 147, 37, 107, 30, 71, 205, 48, 20, 42, 6, 5.0, 20.0, 35.0, 0, 10, 37, 8, 13, 16, 11, 0, 21, 14, 2, 0, 0.0, 4, 4, 8, 3, 2, 35, 35, 10.42, 41.67, 72.92, 41.6953125, 94.59375, 94.59375, 8.099609375, 27.0, 77.09375, 0.0, 56.796875, 37.796875, 5.3994140625, 0.0, 0.0, 21.59765625, 10.798828125, 35.09375, 10.798828125, 43.1953125, 21.59765625, 50.0, 8.0, 60.0, 13.0, 36.0, "Tous les candidats sauf les Bac professionnels", 218.0, "Bacheliers professionnels toutes séries", 87, "", 0, "Liste d'appel propre à cette formation", 58.0, "6585", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6585&g_ta_cod=6585", 29.0, 31.0, 40.0),
(791, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Portail Sciences pour l'ingénieur - Parcours Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "", 78, 1674, 444, 1674, 0, 1014, 251, 109, 36, 17, 8, 534, 0, 0, 0, 0, 0, 1630, 0, 0, 0, 1014, 251, 109, 36, 17, 8, 490, 660, 76, 19, 75, 0, 2.0, 20.0, 50.0, 0, 22, 44, 41, 1, 2, 32, 0, 26, 15, 3, 0, 0.0, 17, 0, 1, 0, 0, 28, 43, 2.63, 26.32, 65.79, 25.0, 63.59375, 97.6875, 0, 50.0, 57.8984375, 0.0, 59.09375, 34.09375, 6.7998046875, 0.0, 0.0, 93.1875, 38.59375, 2.2998046875, 0.0, 4.5, 2.2998046875, 434.0, 113.0, 4.0, 3.0, 213.0, "Tous les candidats", 1143.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 59.0, "24094", "Licence - Portail Sciences pour l'ingénieur - Parcours Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32710&g_ta_cod=24094", 96.0, 1.0, 3.0),
(792, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais - Mineure Anglais", "Licence - Arts-lettres-langues", "Portugais - Mineure Anglais", 8, 76, 51, 74, 0, 52, 11, 5, 1, 2, 1, 15, 2, 0, 0, 0, 2, 74, 2, 0, 0, 52, 11, 5, 1, 2, 1, 15, 30, 8, 4, 7, 1, 1.0, 7.0, 7.0, 0, 1, 4, 4, 0, 0, 4, 0, 3, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 3, 12.5, 87.5, 87.5, 50.0, 50.0, 75.0, 0, 25.0, 50.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 0.0, 0.0, 23.0, 5.0, 1.0, 1.0, 6.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "24063", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais - Mineure Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24063&g_ta_cod=24063", 75.0, 13.0, 0.0),
(793, "Privé sous contrat d'association", "0741307U", "Lycée Jeanne d'Arc", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Thonon-les-Bains", "formation sélective", "BTS", "Lycée Jeanne d'Arc - BTS - Services - Support à l'action managériale", "BTS - Services", "", 15, 88, 58, 85, 0, 4, 0, 26, 8, 43, 16, 12, 3, 0, 2, 1, 0, 71, 0, 0, 0, 3, 0, 24, 7, 37, 13, 7, 58, 12, 8, 12, 0, 1.0, 10.0, 12.0, 0, 4, 10, 0, 3, 7, 2, 0, 4, 6, 0, 0, 0.0, 0, 2, 4, 1, 1, 10, 10, 8.33, 83.33, 100.0, 66.6875, 100.0, 100.0, 10, 40.0, 83.296875, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 0.0, 0.0, 30.0, 20.0, 70.0, 40.0, 2.0, 0.0, 31.0, 11.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 76.0, "8911", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8911&g_ta_cod=8911", 8.0, 33.0, 58.0),
(794, "Privé sous contrat d'association", "0440163N", "LGT Saint-Stanislas", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "LGT Saint-Stanislas - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 784, 253, 784, 0, 668, 48, 0, 0, 0, 0, 116, 0, 0, 0, 0, 0, 664, 0, 0, 664, 634, 42, 0, 0, 0, 0, 30, 411, 46, 19, 46, 0, 13.0, 32.0, 39.0, 0, 4, 45, 45, 0, 0, 1, 0, 0, 7, 32, 6, 0.0, 45, 0, 0, 1, 0, 36, 36, 28.26, 69.57, 84.78, 41.296875, 80.0, 80.0, 2.19970703125, 8.8984375, 97.796875, 0.0, 0.0, 15.599609375, 71.09375, 13.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 396.0, 24.0, 0.0, 0.0, 15.0, "Tous les candidats", 475.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "5493", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5493&g_ta_cod=5493", 100.0, 0.0, 0.0),
(795, "Privé sous contrat d'association", "0595657D", "Institut Saint Vincent De Paul", "59", "Nord", "Hauts-de-France", "Lille", "Loos", "formation sélective", "Autre formation", "Institut Saint Vincent De Paul - DN MADE - Graphisme - - Spécialité : Création culturelle. Majeure : Graphisme. Mineures : Événement ? Numérique", "DN MADE", "- Spécialité : Création culturelle. Majeure : Graphisme. Mineures : Événement ? Numérique", 18, 262, 150, 262, 0, 105, 19, 42, 7, 35, 11, 80, 0, 0, 0, 0, 0, 112, 0, 0, 0, 48, 7, 22, 1, 8, 4, 34, 71, 17, 9, 17, 0, 1.0, 12.0, 16.0, 0, 1, 12, 7, 4, 1, 5, 0, 1, 7, 4, 0, 0.0, 7, 3, 1, 0, 0, 7, 7, 5.88, 70.59, 94.12, 52.8984375, 58.296875, 58.296875, 0, 8.298828125, 70.59375, 0.0, 8.298828125, 58.296875, 33.296875, 0.0, 0.0, 58.296875, 58.296875, 33.296875, 25.0, 8.298828125, 8.298828125, 30.0, 5.0, 3.0, 2.0, 22.0, "Tous les candidats", 106.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "25033", "DN MADE - Graphisme - - Spécialité : Création culturelle. Majeure : Graphisme. Mineures : Événement ? Numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25033&g_ta_cod=25033", 65.0, 29.0, 6.0),
(796, "Public", "0130011S", "Lycée Pasquet", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Arles", "formation sélective", "BTS", "Lycée Pasquet - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 345, 40, 334, 0, 12, 3, 72, 23, 61, 31, 189, 11, 0, 4, 1, 6, 150, 6, 0, 0, 12, 3, 67, 20, 55, 28, 16, 122, 15, 2, 13, 2, 7.0, 12.0, 14.0, 0, 6, 10, 1, 3, 6, 5, 0, 6, 3, 1, 0, 0.0, 0, 1, 3, 3, 0, 10, 10, 46.67, 80.0, 93.33, 13.298828125, 100.0, 100.0, 30, 60.0, 66.6875, 0.0, 60.0, 30.0, 10.0, 0.0, 0.0, 10.0, 0.0, 30.0, 10.0, 60.0, 30.0, 8.0, 3.0, 46.0, 26.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 43.0, "2538", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2538&g_ta_cod=2538", 7.0, 40.0, 53.0),
(797, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol - A distance", "Licence - Arts-lettres-langues", "Espagnol - A distance", 65, 238, 185, 182, 0, 49, 12, 10, 2, 3, 1, 120, 56, 8, 1, 0, 47, 182, 54, 0, 0, 49, 12, 10, 2, 3, 1, 120, 211, 62, 52, 46, 16, 20.0, 45.0, 53.0, 0, 3, 14, 9, 3, 2, 48, 0, 2, 7, 3, 2, 0.0, 8, 2, 2, 0, 0, 4, 8, 32.26, 72.58, 85.48, 83.890625, 28.59765625, 57.09375, 0, 21.3984375, 22.59765625, 0.0, 14.298828125, 50.0, 21.3984375, 14.3, 0.0, 64.296875, 57.09375, 21.3984375, 14.298828125, 14.298828125, 14.298828125, 53.0, 16.0, 2.0, 1.0, 145.0, "Tous les candidats", 182.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20902", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol - A distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20902&g_ta_cod=20902", 76.0, 11.0, 5.0),
(798, "Public", "0460529A", "Lycée professionnel hôtelier Quercy Périgord", "46", "Lot", "Occitanie", "Toulouse", "Souillac", "formation sélective", "Autre formation", "Lycée professionnel hôtelier Quercy Périgord - Mention complémentaire - FCIL Chef de rang à la française - Relais & Chateaux", "Mention complémentaire", "", 15, 59, 24, 55, 0, 5, 2, 8, 3, 23, 6, 19, 4, 0, 2, 0, 2, 42, 1, 0, 0, 5, 2, 8, 3, 23, 6, 6, 38, 8, 1, 8, 0, 2.0, 8.0, 8.0, 0, 2, 8, 1, 1, 6, 0, 0, 6, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 3, 3, 25.0, 100.0, 100.0, 12.5, 37.5, 37.5, 0, 25.0, 100.0, 0.0, 75.0, 12.5, 12.5, 0.0, 0.0, 12.5, 0.0, 12.5, 0.0, 75.0, 25.0, 5.0, 2.0, 21.0, 5.0, 4.0, "Tous les candidats", 42.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "25415", "Mention complémentaire - FCIL Chef de rang à la française - Relais & Chateaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25415&g_ta_cod=25415", 13.0, 13.0, 75.0),
(799, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Economie - Sciences Economiques et Sociales", "Licence - Droit-économie-gestion", "Sciences Economiques et Sociales", 80, 2777, 1333, 2777, 0, 2058, 458, 55, 25, 12, 6, 652, 0, 0, 0, 0, 0, 2726, 0, 0, 0, 2058, 458, 55, 25, 12, 6, 601, 716, 78, 32, 78, 0, 7.0, 55.0, 67.0, 0, 18, 77, 77, 0, 0, 1, 0, 27, 38, 12, 0, 0.0, 50, 0, 0, 0, 0, 20, 69, 8.97, 70.51, 85.9, 41.0, 26.0, 89.59375, 0, 23.3984375, 98.6875, 0.0, 35.09375, 49.3984375, 15.599609375, 0.0, 0.0, 100.0, 64.890625, 0.0, 0.0, 0.0, 0.0, 714.0, 132.0, 0.0, 0.0, 2.0, "Tous les candidats", 937.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "9352", "Licence - Portail Economie - Sciences Economiques et Sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32336&g_ta_cod=9352", 100.0, 0.0, 0.0),
(800, "Public", "9840268U", "Lycée des Métiers -Hotelier de Tahiti", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Punaauia", "formation sélective", "Autre formation", "Lycée des Métiers -Hotelier de Tahiti - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 15, 69, 47, 52, 0, 10, 7, 11, 6, 22, 5, 9, 17, 0, 3, 4, 10, 39, 7, 0, 0, 8, 7, 7, 4, 20, 4, 4, 42, 13, 10, 10, 3, 3.0, 9.0, 12.0, 0, 4, 9, 0, 1, 8, 4, 0, 3, 6, 0, 0, 0.0, 0, 0, 6, 0, 0, 9, 9, 23.08, 69.23, 92.31, 76.890625, 100.0, 100.0, 0, 44.3984375, 69.1875, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 11.099609375, 0.0, 88.890625, 66.6875, 7.0, 6.0, 20.0, 5.0, 9.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "18685", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18685&g_ta_cod=18685", 15.0, 15.0, 62.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(801, "Public", "9720843J", "I.U.T de la Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation sélective", "BUT", "I.U.T de la Martinique - BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "BUT - Production", "Science du danger et management des risques professionnels technologiques et environnementaux", 26, 186, 87, 159, 0, 64, 23, 46, 18, 24, 17, 25, 27, 8, 4, 1, 14, 55, 11, 0, 0, 28, 11, 15, 6, 2, 2, 10, 58, 21, 10, 14, 7, 6.0, 14.0, 18.0, 0, 6, 14, 10, 4, 0, 7, 0, 5, 6, 3, 0, 0.0, 6, 3, 0, 0, 0, 11, 11, 28.57, 66.67, 85.71, 47.59375, 78.59375, 78.59375, 0, 42.8984375, 66.6875, 0.0, 35.6953125, 42.8984375, 21.3984375, 0.0, 0.0, 71.390625, 42.8984375, 28.59765625, 21.3984375, 0.0, 0.0, 27.0, 9.0, 2.0, 2.0, 14.0, "Tous les candidats sauf les Bac technologiques", 39.0, "Bacheliers technologiques toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 35.0, "11847", "BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11847&g_ta_cod=11847", 67.0, 33.0, 0.0),
(802, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 3 Paul Sabatier - Licence - Portail Informatique", "Licence - Sciences - technologies - santé", "", 276, 2258, 333, 2258, 0, 1338, 287, 186, 52, 27, 15, 707, 0, 0, 0, 0, 0, 2258, 0, 0, 0, 1338, 287, 186, 52, 27, 15, 707, 1062, 272, 34, 272, 0, 162.0, 199.0, 250.0, 0, 53, 219, 205, 10, 4, 53, 0, 94, 89, 27, 9, 0.0, 117, 4, 4, 0, 0, 151, 151, 59.56, 73.16, 91.91, 12.5, 68.890625, 68.890625, 0, 24.19921875, 80.5, 0.0, 42.8984375, 40.59375, 12.298828125, 4.1, 0.0, 93.59375, 53.3984375, 4.599609375, 1.7998046875, 1.7998046875, 1.7998046875, 874.0, 174.0, 5.0, 3.0, 163.0, "Tous les candidats", 1372.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 58.0, "4188", "Licence - Portail Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27522&g_ta_cod=4188", 94.0, 4.0, 2.0),
(803, "Privé sous contrat d'association", "0511556P", "IRTS Champagne Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "EFTS", "IRTS Champagne Ardenne - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 20, 176, 169, 176, 0, 35, 4, 43, 10, 21, 7, 77, 0, 0, 0, 0, 0, 85, 0, 0, 0, 20, 2, 17, 4, 9, 2, 39, 31, 20, 20, 20, 0, 9.0, 15.0, 18.0, 0, 1, 9, 5, 3, 1, 11, 0, 2, 6, 0, 1, 0.0, 4, 2, 1, 0, 0, 5, 5, 45.0, 75.0, 90.0, 100.0, 55.59375, 55.59375, 0, 11.099609375, 45.0, 0.0, 22.19921875, 66.6875, 0.0, 11.1, 0.0, 55.59375, 44.3984375, 33.296875, 22.19921875, 11.099609375, 11.099609375, 7.0, 1.0, 2.0, 1.0, 18.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "24902", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24902&g_ta_cod=24902", 60.0, 30.0, 10.0),
(804, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "PASS", "Université des Antilles - Pôle Guadeloupe - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 70, 417, 307, 233, 0, 170, 44, 12, 6, 2, 0, 49, 184, 93, 8, 3, 80, 232, 179, 0, 0, 170, 44, 12, 6, 2, 0, 48, 394, 63, 50, 27, 36, 6.0, 25.0, 52.0, 0, 12, 40, 35, 4, 1, 23, 0, 16, 15, 9, 0, 0.0, 21, 3, 0, 0, 0, 32, 32, 9.52, 39.68, 82.54, 79.390625, 80.0, 80.0, 0, 30.0, 63.5, 0.0, 40.0, 37.5, 22.5, 0.0, 0.0, 87.5, 52.5, 10.0, 7.5, 2.5, 0.0, 249.0, 55.0, 5.0, 2.0, 123.0, "Tous les candidats", 1383.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "29059", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27424&g_ta_cod=29059", 89.0, 10.0, 2.0),
(805, "Privé sous contrat d'association", "0690698J", "Lycée professionnel Des Métiers d'Art SEPR", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "BTS", "Lycée professionnel Des Métiers d'Art SEPR - BTS - Services - Photographie", "BTS - Services", "", 14, 413, 266, 413, 0, 153, 32, 61, 12, 48, 9, 151, 0, 0, 0, 0, 0, 244, 0, 0, 0, 74, 13, 61, 12, 48, 9, 61, 46, 14, 9, 14, 0, 3.0, 11.0, 12.0, 0, 2, 10, 5, 2, 3, 4, 0, 0, 4, 4, 2, 0.0, 5, 2, 3, 0, 0, 3, 3, 21.43, 78.57, 85.71, 64.296875, 30.0, 30.0, 0, 20.0, 71.390625, 0.0, 0.0, 40.0, 40.0, 20.0, 0.0, 50.0, 50.0, 20.0, 20.0, 30.0, 30.0, 22.0, 4.0, 9.0, 2.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 5, "Liste d'appel propre à cette formation", 14.0, "14097", "BTS - Services - Photographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14097&g_ta_cod=14097", 64.0, 14.0, 21.0),
(806, "Public", "0595964M", "Université du littoral - Site de Dunkerque", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation non sélective", "Licence", "Université du littoral - Site de Dunkerque - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 180, 902, 386, 602, 0, 332, 87, 94, 32, 20, 8, 156, 300, 37, 21, 4, 238, 592, 240, 0, 0, 332, 87, 94, 32, 20, 8, 146, 798, 151, 50, 79, 72, 44.0, 79.0, 126.0, 0, 19, 66, 43, 19, 4, 85, 0, 37, 20, 9, 0, 0.0, 24, 3, 2, 0, 0, 61, 61, 29.14, 52.32, 83.44, 33.09375, 92.390625, 92.390625, 0, 28.796875, 43.6953125, 0.0, 56.09375, 30.296875, 13.599609375, 0.0, 0.0, 65.1875, 36.3984375, 28.796875, 4.5, 6.099609375, 3.0, 364.0, 94.0, 17.0, 5.0, 316.0, "Tous les candidats", 590.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "7178", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7178&g_ta_cod=7178", 67.0, 23.0, 9.0),
(807, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation non sélective", "Licence", "Université Gustave Eiffel - Licence - Lettres - Parcours Lettres modernes", "Licence - Arts-lettres-langues", "Lettres modernes", 115, 452, 323, 283, 0, 197, 40, 9, 3, 11, 8, 66, 169, 30, 19, 6, 114, 283, 167, 0, 0, 197, 40, 9, 3, 11, 8, 66, 433, 95, 53, 30, 64, 10.0, 30.0, 66.0, 0, 13, 44, 31, 11, 2, 51, 0, 23, 13, 7, 1, 0.0, 18, 2, 1, 0, 0, 40, 43, 10.53, 31.58, 69.47, 55.796875, 90.890625, 97.6875, 0, 29.5, 46.296875, 0.0, 52.296875, 29.5, 15.8984375, 2.3, 0.0, 70.5, 40.8984375, 25.0, 4.5, 4.5, 2.2998046875, 220.0, 49.0, 12.0, 8.0, 172.0, "Tous les candidats", 283.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9914", "Licence - Lettres - Parcours Lettres modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9914&g_ta_cod=9914", 62.0, 26.0, 7.0),
(808, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 1 Capitole - Licence - Double diplôme - Licence Droit - parcours double diplôme international franco-russe (Moscou)", "Licence - Droit-économie-gestion", "parcours double diplôme international franco-russe (Moscou)", 10, 42, 25, 33, 0, 26, 9, 2, 1, 1, 1, 4, 9, 2, 1, 0, 6, 15, 1, 0, 0, 15, 4, 0, 0, 0, 0, 0, 16, 5, 2, 4, 1, 3.0, 4.0, 4.0, 0, 0, 4, 4, 0, 0, 1, 0, 0, 2, 2, 0, 0.0, 4, 0, 0, 0, 0, 1, 1, 60.0, 80.0, 80.0, 40.0, 25.0, 25.0, 0, 0.0, 80.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 15.0, 4.0, 0.0, 0.0, 1.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "19396", "Licence - Double diplôme - Licence Droit - parcours double diplôme international franco-russe (Moscou)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19396&g_ta_cod=19396", 100.0, 0.0, 0.0),
(809, "Privé sous contrat d'association", "0370748M", "Lycée Saint Gatien", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Joué-lès-Tours", "formation sélective", "BTS", "Lycée Saint Gatien - BTS - Production - Management économique de la construction", "BTS - Production", "", 16, 115, 20, 112, 0, 12, 0, 36, 2, 56, 12, 8, 3, 0, 0, 2, 1, 92, 2, 0, 0, 10, 0, 32, 1, 44, 6, 6, 49, 13, 1, 13, 0, 6.0, 13.0, 13.0, 0, 2, 13, 3, 6, 4, 0, 0, 2, 10, 1, 0, 0.0, 3, 6, 2, 4, 0, 8, 8, 46.15, 100.0, 100.0, 7.69921875, 61.5, 61.5, 30.796875, 15.3984375, 100.0, 0.0, 15.3984375, 76.890625, 7.69921875, 0.0, 0.0, 23.09765625, 23.09765625, 46.1953125, 46.1953125, 30.796875, 15.3984375, 4.0, 0.0, 32.0, 8.0, 1.0, "Tous les candidats sauf les Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 57.0, "4857", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4857&g_ta_cod=4857", 23.0, 46.0, 31.0),
(810, "Public", "0021958T", "IUT de l'Aisne - Site de Soissons-Cuffies", "02", "Aisne", "Hauts-de-France", "Amiens", "Cuffies", "formation sélective", "BUT", "IUT de l'Aisne - Site de Soissons-Cuffies - BUT - Carrières juridiques Parcours : Administration et justice - Entreprise et Association", "BUT - Service", "Administration et justice - Entreprise et Association", 60, 1370, 1031, 1357, 0, 661, 147, 451, 131, 22, 8, 223, 13, 0, 9, 0, 4, 1173, 9, 0, 0, 620, 138, 438, 128, 2, 1, 113, 618, 57, 38, 54, 3, 8.0, 39.0, 54.0, 0, 5, 46, 24, 22, 0, 11, 0, 13, 27, 6, 0, 0.0, 18, 15, 0, 0, 0, 29, 29, 14.04, 68.42, 94.74, 66.6875, 63.0, 63.0, 0, 10.8984375, 80.6875, 0.0, 28.296875, 58.6953125, 13.0, 0.0, 0.0, 52.1953125, 39.09375, 47.796875, 32.59375, 0.0, 0.0, 337.0, 78.0, 2.0, 1.0, 50.0, "Tous les candidats sauf les Bac technologiques", 569.0, "Bacheliers technologiques toutes séries", 443, "", 0, "Liste d'appel propre à cette formation", 75.0, "2098", "BUT - Carrières juridiques Parcours : Administration et justice - Entreprise et Association", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2098&g_ta_cod=2098", 53.0, 47.0, 0.0),
(811, "Privé sous contrat d'association", "0132828D", "Lycée CADENELLE", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 12e  Arrondissement", "formation sélective", "BTS", "Lycée CADENELLE - BTS - Services - Commerce International", "BTS - Services", "", 35, 719, 400, 709, 0, 288, 65, 184, 77, 61, 27, 176, 10, 0, 5, 0, 5, 215, 0, 0, 0, 119, 21, 57, 21, 13, 3, 26, 122, 31, 16, 31, 0, 11.0, 26.0, 29.0, 0, 7, 25, 18, 6, 1, 6, 0, 6, 16, 2, 1, 0.0, 13, 5, 1, 1, 1, 24, 24, 35.48, 83.87, 93.55, 51.59375, 96.0, 96.0, 4, 28.0, 80.59375, 0.0, 24.0, 64.0, 8.0, 4.0, 0.0, 72.0, 52.0, 24.0, 20.0, 4.0, 4.0, 67.0, 12.0, 3.0, 1.0, 20.0, "Tous les candidats sauf les Bac professionnels", 192.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 27.0, "2780", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2780&g_ta_cod=2780", 74.0, 23.0, 3.0),
(812, "Privé sous contrat d'association", "0624488S", "IRTS Hauts-de-France - Site Côte d'Opale", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Etaples", "formation sélective", "EFTS", "IRTS Hauts-de-France - Site Côte d'Opale - D.E Assistant de Service Social", "D.E secteur social", "", 13, 48, 42, 48, 0, 11, 3, 10, 4, 2, 0, 25, 0, 0, 0, 0, 0, 32, 0, 0, 0, 8, 2, 4, 1, 1, 0, 19, 16, 13, 11, 13, 0, 10.0, 13.0, 13.0, 0, 0, 5, 4, 0, 1, 8, 0, 2, 2, 1, 0, 0.0, 2, 0, 1, 0, 0, 5, 5, 76.92, 100.0, 100.0, 84.59375, 100.0, 100.0, 0, 0.0, 38.5, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 80.0, 40.0, 0.0, 0.0, 20.0, 20.0, 6.0, 1.0, 1.0, 0.0, 9.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "25008", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25008&g_ta_cod=25008", 46.0, 31.0, 15.0),
(813, "Public", "0310038Y", "Lycée BELLEVUE", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée BELLEVUE - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 2359, 899, 2359, 0, 1957, 223, 4, 0, 0, 0, 398, 0, 0, 0, 0, 0, 1207, 0, 0, 1207, 1190, 110, 0, 0, 0, 0, 17, 641, 94, 40, 94, 0, 17.0, 68.0, 87.0, 0, 11, 90, 90, 0, 0, 4, 0, 0, 0, 13, 72, 5.0, 90, 0, 0, 3, 0, 68, 68, 18.09, 72.34, 92.55, 42.59375, 75.59375, 75.59375, 3.2998046875, 12.19921875, 95.6875, 0.0, 0.0, 0.0, 14.3984375, 80.0, 5.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 629.0, 82.0, 0.0, 0.0, 12.0, "Tous les candidats", 800.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "4043", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4043&g_ta_cod=4043", 100.0, 0.0, 0.0),
(814, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 475, 2904, 2084, 2904, 0, 2153, 393, 197, 56, 35, 16, 519, 0, 0, 0, 0, 0, 2897, 0, 0, 0, 2153, 393, 197, 56, 35, 16, 512, 1506, 466, 323, 466, 0, 315.0, 409.0, 432.0, 0, 89, 413, 404, 7, 2, 53, 3, 81, 186, 120, 23, 0.0, 324, 5, 0, 0, 0, 391, 391, 67.6, 87.77, 92.7, 69.296875, 94.6875, 94.6875, 0, 21.5, 88.59375, 0.699951171875, 19.59765625, 45.0, 29.09765625, 5.6, 0.0, 97.796875, 78.5, 1.699951171875, 1.199951171875, 0.5, 0.0, 1200.0, 246.0, 4.0, 4.0, 286.0, "Tous les candidats", 1634.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 55.0, "3275", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27635&g_ta_cod=3275", 98.0, 2.0, 0.0),
(815, "Public", "0931235M", "I.U.T de Villetaneuse - Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation sélective", "BUT", "I.U.T de Villetaneuse - Université Sorbonne Paris Nord - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", "BUT - Production", "Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", 104, 1330, 113, 1330, 0, 610, 209, 351, 150, 24, 8, 345, 0, 0, 0, 0, 0, 953, 0, 0, 0, 500, 160, 242, 104, 0, 0, 211, 479, 105, 9, 105, 0, 11.0, 92.0, 105.0, 0, 50, 80, 35, 45, 0, 25, 0, 39, 34, 6, 1, 0.0, 21, 20, 0, 0, 0, 32, 78, 10.48, 87.62, 100.0, 8.599609375, 40.0, 97.5, 0, 62.5, 76.1875, 0.0, 48.796875, 42.5, 7.5, 1.3, 0.0, 43.796875, 26.296875, 56.296875, 25.0, 0.0, 0.0, 200.0, 82.0, 0.0, 0.0, 116.0, "Tous les candidats sauf les Bac technologiques", 411.0, "Bacheliers technologiques toutes séries", 237, "", 0, "Liste d'appel propre à cette formation", 49.0, "11235", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11235&g_ta_cod=11235", 46.0, 54.0, 0.0),
(816, "Privé sous contrat d'association", "0260074P", "Lycée Montplaisir", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "Lycée Montplaisir - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 28, 248, 129, 245, 0, 39, 8, 55, 19, 47, 16, 104, 3, 0, 0, 0, 3, 173, 0, 0, 0, 36, 7, 53, 19, 38, 12, 46, 99, 23, 12, 23, 0, 6.0, 20.0, 22.0, 0, 4, 14, 3, 6, 5, 9, 1, 3, 8, 1, 1, 0.0, 2, 4, 4, 2, 1, 14, 14, 26.09, 86.96, 95.65, 52.1953125, 100.0, 100.0, 14.298828125, 28.59765625, 60.8984375, 7.099609375, 21.3984375, 57.09375, 7.099609375, 7.1, 0.0, 21.3984375, 14.298828125, 42.8984375, 28.59765625, 35.6953125, 28.59765625, 19.0, 7.0, 13.0, 5.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 47.0, "3634", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3634&g_ta_cod=3634", 30.0, 48.0, 22.0),
(817, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Psychologie", "Licence - Sciences humaines et sociales", "", 320, 3262, 2699, 3262, 0, 1682, 427, 490, 153, 167, 63, 923, 0, 0, 0, 0, 0, 3218, 0, 0, 0, 1682, 427, 490, 153, 167, 63, 879, 3218, 574, 475, 574, 0, 563.0, 570.0, 573.0, 0, 104, 383, 259, 84, 40, 191, 2, 184, 138, 49, 9, 1.0, 149, 22, 26, 0, 0, 274, 274, 98.08, 99.3, 99.83, 82.796875, 71.5, 71.5, 0, 27.19921875, 66.6875, 0.5, 48.0, 36.0, 12.798828125, 2.3, 0.3, 67.59375, 38.8984375, 21.8984375, 5.69921875, 10.3984375, 6.7998046875, 1682.0, 427.0, 167.0, 63.0, 879.0, "Tous les candidats", 3219.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "6623", "Licence - Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6623&g_ta_cod=6623", 66.0, 22.0, 11.0),
(818, "Public", "0210018F", "Lycée Hippolyte Fontaine", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Hippolyte Fontaine - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 15, 170, 12, 165, 0, 6, 1, 42, 5, 86, 25, 31, 5, 0, 1, 2, 2, 121, 0, 0, 0, 6, 1, 37, 5, 69, 16, 9, 73, 11, 0, 11, 0, 0.0, 9.0, 11.0, 0, 3, 8, 1, 3, 4, 3, 0, 4, 4, 0, 0, 0.0, 0, 1, 3, 2, 0, 2, 2, 0.0, 81.82, 100.0, 0.0, 25.0, 25.0, 25, 37.5, 72.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 12.5, 0.0, 37.5, 12.5, 50.0, 37.5, 3.0, 1.0, 42.0, 14.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 65.0, "16269", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16269&g_ta_cod=16269", 9.0, 27.0, 64.0),
(819, "Public", "0290012F", "Lycée Vauban", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Vauban - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 30, 243, 10, 233, 0, 13, 2, 51, 4, 78, 19, 91, 10, 0, 0, 9, 1, 145, 5, 0, 0, 13, 2, 51, 4, 59, 13, 22, 106, 24, 0, 20, 4, 4.0, 17.0, 24.0, 0, 5, 22, 1, 5, 16, 2, 0, 5, 12, 4, 1, 0.0, 0, 1, 16, 6, 0, 22, 22, 16.67, 70.83, 100.0, 0.0, 100.0, 100.0, 27.296875, 22.69921875, 91.6875, 0.0, 22.69921875, 54.5, 18.19921875, 4.5, 0.0, 4.5, 0.0, 22.69921875, 4.5, 72.6875, 72.6875, 6.0, 1.0, 54.0, 10.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 49.0, "3768", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3768&g_ta_cod=3768", 8.0, 25.0, 67.0),
(820, "Public", "0760170X", "I.U.T de Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation sélective", "BUT", "I.U.T de Rouen - BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie", "BUT - Production", "Optimisation énergétique pour le bâtiment et l'industrie", 70, 635, 62, 611, 0, 294, 35, 203, 38, 5, 1, 109, 24, 6, 4, 0, 14, 523, 5, 0, 0, 262, 26, 169, 30, 2, 0, 90, 417, 60, 2, 55, 5, 17.0, 45.0, 55.0, 0, 9, 48, 26, 21, 1, 12, 1, 20, 21, 6, 0, 0.0, 10, 16, 1, 0, 0, 41, 41, 28.33, 75.0, 91.67, 3.2998046875, 85.390625, 85.390625, 0, 18.796875, 80.0, 2.099609375, 41.6953125, 43.796875, 12.5, 0.0, 0.0, 54.1953125, 20.796875, 43.796875, 33.296875, 2.099609375, 2.099609375, 218.0, 27.0, 2.0, 0.0, 66.0, "Tous les candidats sauf les Bac technologiques", 336.0, "Bacheliers technologiques toutes séries", 185, "", 0, "Liste d'appel propre à cette formation", 85.0, "9624", "BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9624&g_ta_cod=9624", 60.0, 38.0, 2.0),
(821, "Public", "0110012D", "Lycée Polyvalent Germaine Tillion", "11", "Aude", "Occitanie", "Montpellier", "Castelnaudary", "formation sélective", "BTS", "Lycée Polyvalent Germaine Tillion - BTS - Production - Travaux publics", "BTS - Production", "", 15, 309, 32, 299, 0, 21, 3, 126, 26, 54, 14, 98, 10, 2, 2, 1, 5, 214, 7, 0, 0, 21, 3, 117, 23, 51, 13, 25, 107, 10, 0, 10, 0, 1.0, 6.0, 10.0, 0, 5, 10, 1, 7, 2, 0, 0, 6, 2, 2, 0, 0.0, 0, 2, 2, 2, 0, 6, 6, 10.0, 60.0, 100.0, 0.0, 60.0, 60.0, 20, 50.0, 100.0, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 10.0, 0.0, 70.0, 20.0, 20.0, 20.0, 14.0, 2.0, 34.0, 8.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 50.0, "2454", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2454&g_ta_cod=2454", 10.0, 70.0, 20.0),
(822, "Public", "0590034S", "Lycée Paul Duez", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "BTS", "Lycée Paul Duez - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 112, 4, 106, 0, 3, 1, 25, 6, 57, 23, 21, 6, 0, 0, 5, 1, 106, 1, 0, 0, 3, 1, 25, 6, 57, 23, 21, 68, 19, 0, 19, 0, 9.0, 19.0, 19.0, 0, 5, 19, 1, 9, 9, 0, 0, 6, 9, 2, 2, 0.0, 1, 6, 6, 10, 0, 19, 19, 47.37, 100.0, 100.0, 0.0, 100.0, 100.0, 52.59375, 26.296875, 100.0, 0.0, 31.59765625, 47.3984375, 10.5, 10.5, 0.0, 5.2998046875, 5.2998046875, 47.3984375, 31.59765625, 47.3984375, 31.59765625, 2.0, 1.0, 45.0, 19.0, 5.0, "Tous les candidats sauf les Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 59, "", 0, "Liste d'appel propre à cette formation", 81.0, "6722", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6722&g_ta_cod=6722", 5.0, 47.0, 47.0),
(823, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Université Angers - Licence - Portail Langues étrangères appliquées - Anglais-Italien", "Licence - Arts-lettres-langues", "Anglais-Italien", 33, 206, 163, 169, 0, 102, 30, 14, 7, 6, 4, 47, 37, 7, 4, 5, 21, 169, 19, 0, 0, 102, 30, 14, 7, 6, 4, 47, 188, 19, 15, 15, 4, 15.0, 15.0, 17.0, 0, 2, 12, 10, 0, 2, 7, 0, 1, 5, 4, 2, 0.0, 9, 0, 2, 0, 0, 9, 9, 78.95, 78.95, 89.47, 78.890625, 75.0, 75.0, 0, 16.69921875, 63.1953125, 0.0, 8.298828125, 41.6953125, 33.296875, 16.7, 0.0, 83.296875, 75.0, 0.0, 0.0, 16.69921875, 16.69921875, 107.0, 32.0, 8.0, 5.0, 57.0, "Tous les candidats", 200.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "5929", "Licence - Portail Langues étrangères appliquées - Anglais-Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26984&g_ta_cod=5929", 79.0, 5.0, 11.0),
(824, "Public", "0492137G", "Université Angers-Campus de Cholet", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation non sélective", "Licence", "Université Angers-Campus de Cholet - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 140, 1218, 923, 1181, 0, 890, 175, 133, 43, 32, 16, 126, 37, 9, 1, 2, 25, 1174, 32, 0, 0, 890, 175, 133, 43, 32, 16, 119, 1206, 138, 92, 128, 10, 123.0, 126.0, 127.0, 0, 24, 113, 87, 21, 5, 25, 0, 41, 50, 19, 3, 0.0, 59, 9, 4, 0, 0, 76, 76, 89.13, 91.3, 92.03, 66.6875, 67.296875, 67.296875, 0, 21.19921875, 81.890625, 0.0, 36.296875, 44.1953125, 16.796875, 2.7, 0.0, 77.0, 52.1953125, 18.59765625, 8.0, 4.3994140625, 3.5, 897.0, 175.0, 34.0, 16.0, 141.0, "Tous les candidats", 1231.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "27727", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27728&g_ta_cod=27727", 75.0, 20.0, 5.0),
(825, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Université de Rennes 2 - DEUST - Métiers de la forme", "DEUST", "", 25, 292, 59, 292, 0, 98, 10, 88, 20, 18, 4, 88, 0, 0, 0, 0, 0, 51, 0, 0, 0, 27, 2, 10, 1, 0, 0, 14, 39, 24, 10, 24, 0, 17.0, 21.0, 23.0, 0, 2, 15, 10, 5, 0, 9, 0, 4, 7, 4, 0, 0.0, 8, 3, 0, 0, 0, 4, 4, 70.83, 87.5, 95.83, 41.6953125, 26.69921875, 26.69921875, 0, 13.298828125, 62.5, 0.0, 26.69921875, 46.6953125, 26.69921875, 0.0, 0.0, 66.6875, 53.296875, 33.296875, 20.0, 0.0, 0.0, 18.0, 2.0, 0.0, 0.0, 12.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "19212", "DEUST - Métiers de la forme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19212&g_ta_cod=19212", 71.0, 25.0, 0.0),
(826, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence_Las", "Université du Mans - Licence - Portail Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 2, 58, 22, 58, 0, 31, 7, 4, 0, 1, 1, 22, 0, 0, 0, 0, 0, 57, 0, 0, 0, 31, 7, 4, 0, 1, 1, 21, 14, 2, 0, 2, 0, 0.0, 2.0, 2.0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0, 0.0, 50.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 11.0, 3.0, 0.0, 0.0, 3.0, "Tous les candidats", 199.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 50.0, "26870", "Licence - Portail Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26869&g_ta_cod=26870", 50.0, 50.0, 0.0),
(827, "Privé sous contrat d'association", "0594901G", "IFSI La Croix-Rouge Française Dechy", "59", "Nord", "Hauts-de-France", "Lille", "Dechy", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 105, 4081, 3210, 4081, 0, 752, 194, 803, 254, 354, 153, 2172, 0, 0, 0, 0, 0, 3386, 0, 0, 0, 694, 172, 664, 195, 284, 120, 1744, 1257, 105, 93, 105, 0, 3.0, 47.0, 86.0, 0, 32, 82, 26, 28, 28, 23, 0, 13, 35, 29, 5, 0.0, 20, 23, 26, 0, 0, 81, 81, 2.86, 44.76, 81.9, 88.59375, 98.796875, 98.796875, 0, 39.0, 78.09375, 0.0, 15.8984375, 42.6953125, 35.3984375, 6.1, 0.0, 31.69921875, 24.3984375, 34.09375, 28.0, 34.09375, 31.69921875, 283.0, 58.0, 133.0, 53.0, 559.0, "Tous les candidats", 4566.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "23145", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23145", 35.0, 30.0, 34.0),
(828, "Public", "0390024P", "Lycée professionnel Pierre Vernotte", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Moirans-en-Montagne", "formation sélective", "Autre formation", "Lycée professionnel Pierre Vernotte - DN MADE - Objet - - Spécialité : concept, mobilier et pièces d'exception", "DN MADE", "- Spécialité : concept, mobilier et pièces d'exception", 17, 182, 103, 182, 0, 53, 3, 40, 6, 27, 3, 62, 0, 0, 0, 0, 0, 145, 0, 0, 0, 41, 1, 34, 5, 21, 2, 49, 70, 16, 7, 16, 0, 2.0, 11.0, 13.0, 0, 2, 11, 4, 4, 3, 5, 0, 4, 3, 4, 0, 0.0, 2, 2, 3, 0, 0, 2, 2, 12.5, 68.75, 81.25, 43.796875, 18.19921875, 18.19921875, 0, 18.19921875, 68.796875, 0.0, 36.3984375, 27.296875, 36.3984375, 0.0, 0.0, 36.3984375, 18.19921875, 36.3984375, 18.19921875, 27.296875, 27.296875, 22.0, 1.0, 7.0, 0.0, 21.0, "Tous les candidats", 97.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "21573", "DN MADE - Objet - - Spécialité : concept, mobilier et pièces d'exception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21573&g_ta_cod=21573", 50.0, 25.0, 19.0),
(829, "Public", "0560051B", "Lycée Alain René Lesage", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BTS", "Lycée Alain René Lesage - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 549, 266, 494, 0, 46, 9, 183, 43, 78, 31, 187, 55, 10, 5, 8, 32, 250, 25, 0, 0, 25, 2, 139, 30, 46, 15, 40, 178, 25, 12, 14, 11, 2.0, 14.0, 20.0, 0, 5, 16, 6, 7, 3, 9, 0, 11, 3, 0, 2, 0.0, 0, 3, 2, 1, 0, 12, 12, 8.0, 56.0, 80.0, 48.0, 75.0, 75.0, 6.2998046875, 31.296875, 64.0, 0.0, 68.796875, 18.796875, 0.0, 12.5, 0.0, 37.5, 0.0, 43.796875, 18.796875, 18.796875, 12.5, 26.0, 4.0, 40.0, 15.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 144, "Liste d'appel propre à cette formation", 48.0, "6439", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6439&g_ta_cod=6439", 44.0, 44.0, 12.0),
(830, "Privé sous contrat d'association", "0460038S", "Lycée Saint Etienne", "46", "Lot", "Occitanie", "Toulouse", "Cahors", "formation sélective", "Autre formation", "Lycée Saint Etienne - DN MADE - Graphisme - - Spécialité : Images et médiation", "DN MADE", "- Spécialité : Images et médiation", 16, 206, 124, 206, 0, 71, 18, 49, 10, 37, 7, 49, 0, 0, 0, 0, 0, 100, 0, 0, 0, 41, 15, 30, 4, 12, 2, 17, 73, 15, 9, 15, 0, 1.0, 13.0, 15.0, 0, 2, 9, 5, 3, 1, 6, 0, 1, 6, 2, 0, 0.0, 4, 3, 1, 0, 0, 3, 3, 6.67, 86.67, 100.0, 60.0, 33.296875, 33.296875, 0, 22.19921875, 60.0, 0.0, 11.099609375, 66.6875, 22.19921875, 0.0, 0.0, 55.59375, 44.3984375, 33.296875, 33.296875, 11.099609375, 11.099609375, 32.0, 11.0, 4.0, 0.0, 13.0, "Tous les candidats", 99.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "21688", "DN MADE - Graphisme - - Spécialité : Images et médiation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21688&g_ta_cod=21688", 60.0, 33.0, 7.0),
(831, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Licence", "Université Côte d'Azur - Double licence - Histoire / Lettres -  Double licence Histoire - Lettres", "Licence - Sciences humaines et sociales", "Double licence Histoire - Lettres", 45, 351, 246, 275, 0, 189, 32, 12, 1, 7, 3, 67, 76, 17, 5, 5, 49, 191, 17, 0, 0, 145, 24, 1, 0, 2, 1, 43, 152, 16, 14, 11, 5, 0.0, 11.0, 15.0, 0, 1, 8, 8, 0, 0, 8, 0, 0, 4, 4, 0, 0.0, 8, 0, 0, 0, 0, 7, 7, 0.0, 68.75, 93.75, 87.5, 87.5, 87.5, 0, 12.5, 50.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 108.0, 17.0, 3.0, 2.0, 41.0, "Tous les candidats", 190.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "15626", "Double licence - Histoire / Lettres -  Double licence Histoire - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15626&g_ta_cod=15626", 94.0, 6.0, 0.0),
(832, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Géographie et aménagement - Parcours Géographie", "Licence - Sciences humaines et sociales", "Géographie", 175, 862, 379, 862, 0, 621, 96, 20, 5, 7, 3, 214, 0, 0, 0, 0, 0, 861, 0, 0, 0, 621, 96, 20, 5, 7, 3, 213, 511, 171, 71, 171, 0, 48.0, 139.0, 159.0, 0, 29, 151, 146, 3, 2, 20, 1, 23, 70, 46, 11, 0.0, 124, 2, 1, 0, 0, 42, 135, 28.07, 81.29, 92.98, 41.5, 27.796875, 89.390625, 0, 19.19921875, 88.296875, 0.699951171875, 15.19921875, 46.3984375, 30.5, 7.3, 0.0, 96.6875, 82.09375, 2.0, 1.2998046875, 1.2998046875, 0.699951171875, 404.0, 68.0, 4.0, 1.0, 89.0, "Tous les candidats", 584.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "9207", "Licence - Géographie et aménagement - Parcours Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9207&g_ta_cod=9207", 95.0, 2.0, 2.0),
(833, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Etudes théâtrales - Parcours Théâtre - Mineure Anglais", "Licence - Arts-lettres-langues", "Théâtre - Mineure Anglais", 28, 493, 367, 493, 0, 323, 60, 21, 3, 10, 3, 139, 0, 0, 0, 0, 0, 493, 0, 0, 0, 323, 60, 21, 3, 10, 3, 139, 112, 27, 23, 27, 0, 2.0, 22.0, 24.0, 0, 4, 25, 23, 2, 0, 2, 0, 0, 5, 16, 4, 0.0, 23, 2, 0, 0, 0, 4, 11, 7.41, 81.48, 88.89, 85.1875, 16.0, 44.0, 0, 16.0, 92.59375, 0.0, 0.0, 20.0, 64.0, 16.0, 0.0, 92.0, 92.0, 8.0, 8.0, 0.0, 0.0, 96.0, 15.0, 0.0, 0.0, 12.0, "Tous les candidats", 142.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "15638", "Licence - Etudes théâtrales - Parcours Théâtre - Mineure Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15638&g_ta_cod=15638", 93.0, 7.0, 0.0),
(834, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence_Las", "Université Polytechnique Hauts-de-France - Licence - Portail Gestion", "Licence - Droit-économie-gestion", "", 35, 391, 231, 365, 0, 206, 49, 54, 21, 5, 4, 100, 26, 10, 1, 0, 15, 356, 12, 0, 0, 206, 49, 54, 21, 5, 4, 91, 208, 30, 18, 26, 4, 0.0, 16.0, 26.0, 0, 11, 25, 19, 5, 1, 5, 0, 12, 9, 3, 1, 0.0, 7, 5, 1, 0, 0, 21, 21, 0.0, 53.33, 86.67, 60.0, 84.0, 84.0, 0, 44.0, 83.296875, 0.0, 48.0, 36.0, 12.0, 4.0, 0.0, 76.0, 28.0, 20.0, 20.0, 4.0, 4.0, 144.0, 35.0, 3.0, 3.0, 46.0, "Tous les candidats", 1083.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 87.0, "30081", "Licence - Portail Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7024&g_ta_cod=30081", 77.0, 17.0, 7.0),
(835, "Privé sous contrat d'association", "9720615L", "Lycée AMEP", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée AMEP - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 80, 329, 152, 274, 0, 55, 15, 90, 27, 32, 15, 97, 55, 3, 14, 12, 26, 171, 30, 0, 0, 41, 12, 88, 27, 31, 14, 11, 139, 35, 10, 24, 11, 0.0, 24.0, 30.0, 0, 10, 27, 6, 16, 5, 8, 1, 19, 5, 2, 0, 0.0, 4, 1, 2, 5, 1, 26, 26, 0.0, 68.57, 85.71, 28.59765625, 96.296875, 96.296875, 18.5, 37.0, 77.09375, 3.69970703125, 70.390625, 18.5, 7.3994140625, 0.0, 0.0, 22.19921875, 14.798828125, 59.296875, 3.69970703125, 18.5, 7.3994140625, 26.0, 8.0, 25.0, 13.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 92, "Liste d'appel propre à cette formation", 62.0, "11817", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11817&g_ta_cod=11817", 23.0, 63.0, 14.0),
(836, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Double licence - Sociologie / Economie et gestion - Economie et gestion / sociologie", "Licence - Sciences humaines et sociales", "Economie et gestion / sociologie", 40, 551, 379, 551, 0, 453, 71, 14, 6, 1, 0, 83, 0, 0, 0, 0, 0, 504, 0, 0, 0, 435, 67, 6, 1, 0, 0, 63, 289, 39, 26, 39, 0, 16.0, 31.0, 36.0, 0, 4, 36, 35, 1, 0, 3, 0, 4, 7, 15, 9, 1.0, 32, 0, 0, 0, 0, 16, 16, 41.03, 79.49, 92.31, 66.6875, 44.3984375, 44.3984375, 0, 11.099609375, 92.296875, 0.0, 11.099609375, 19.3984375, 41.6953125, 25.0, 2.8, 97.1875, 88.890625, 2.7998046875, 0.0, 0.0, 0.0, 257.0, 34.0, 0.0, 0.0, 29.0, "Tous les candidats", 430.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "16554", "Double licence - Sociologie / Economie et gestion - Economie et gestion / sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16554&g_ta_cod=16554", 97.0, 3.0, 0.0),
(837, "Public", "0130175V", "Lycée Honore Daumier", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  8e  Arrondissement", "formation sélective", "BTS", "Lycée Honore Daumier - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 1230, 761, 1212, 0, 84, 38, 381, 209, 340, 242, 407, 18, 0, 0, 8, 10, 510, 0, 0, 0, 67, 28, 227, 119, 159, 114, 57, 160, 33, 23, 33, 0, 9.0, 26.0, 29.0, 0, 21, 29, 1, 12, 16, 4, 0, 11, 11, 7, 0, 0.0, 1, 6, 11, 5, 3, 29, 29, 27.27, 78.79, 87.88, 69.6875, 100.0, 100.0, 17.19921875, 72.390625, 87.890625, 0.0, 37.8984375, 37.8984375, 24.09765625, 0.0, 0.0, 3.39990234375, 3.39990234375, 41.3984375, 20.69921875, 55.1953125, 37.8984375, 11.0, 4.0, 73.0, 54.0, 25.0, "Tous les candidats sauf les Bac professionnels", 175.0, "Bacheliers professionnels toutes séries", 152, "", 0, "Liste d'appel propre à cette formation", 27.0, "2622", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2622&g_ta_cod=2622", 15.0, 36.0, 48.0),
(838, "Public", "0770920G", "Lycée polyvalent La Fayette", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Champagne-sur-Seine", "formation sélective", "CPGE", "Lycée polyvalent La Fayette - CPGE - PTSI", "Classe préparatoire scientifique", "", 32, 261, 74, 244, 164, 128, 23, 1, 1, 0, 0, 115, 17, 3, 0, 0, 14, 158, 11, 107, 148, 128, 23, 0, 0, 0, 0, 30, 154, 21, 3, 18, 1, 1.0, 16.0, 21.0, 10, 5, 16, 16, 0, 0, 5, 0, 9, 5, 1, 1, 0.0, 7, 0, 0, 0, 0, 11, 13, 4.76, 76.19, 100.0, 14.298828125, 68.796875, 81.296875, 0, 31.296875, 76.1875, 0.0, 56.296875, 31.296875, 6.2998046875, 6.3, 0.0, 100.0, 43.796875, 0.0, 0.0, 0.0, 0.0, 122.0, 20.0, 0.0, 0.0, 32.0, "Tous les candidats", 157.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "9779", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9779&g_ta_cod=9779", 100.0, 0.0, 0.0),
(839, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence_Las", "Université d'Amiens - Licence - Portail Mathématiques", "Licence - Sciences - technologies - santé", "", 18, 444, 244, 433, 0, 306, 47, 13, 7, 0, 0, 114, 11, 5, 0, 0, 6, 433, 10, 0, 0, 306, 47, 13, 7, 0, 0, 114, 186, 22, 16, 16, 6, 0.0, 9.0, 15.0, 0, 1, 17, 13, 4, 0, 5, 0, 3, 12, 2, 0, 0.0, 10, 4, 0, 0, 0, 13, 13, 0.0, 40.91, 68.18, 72.6875, 76.5, 76.5, 0, 5.8994140625, 77.296875, 0.0, 17.59765625, 70.59375, 11.798828125, 0.0, 0.0, 76.5, 58.796875, 23.5, 23.5, 0.0, 0.0, 124.0, 16.0, 0.0, 0.0, 56.0, "Tous les candidats", 1051.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "28633", "Licence - Portail Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28632&g_ta_cod=28633", 82.0, 18.0, 0.0),
(840, "Public", "0782562L", "Lycée Hoche", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Hoche - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 1950, 939, 1950, 1472, 1789, 102, 2, 0, 0, 0, 159, 0, 0, 0, 0, 0, 954, 0, 302, 885, 938, 64, 0, 0, 0, 0, 16, 173, 24, 10, 24, 0, 0.0, 12.0, 20.0, 4, 0, 22, 22, 0, 0, 2, 0, 0, 0, 2, 17, 3.0, 22, 0, 0, 3, 1, 8, 14, 0.0, 50.0, 83.33, 41.6953125, 36.3984375, 63.59375, 13.599609375, 0.0, 91.6875, 0.0, 0.0, 0.0, 9.099609375, 77.3, 13.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 169.0, 7.0, 0.0, 0.0, 4.0, "Tous les candidats", 427.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "31397", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31397&g_ta_cod=31397", 100.0, 0.0, 0.0),
(841, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "PASS", "Université Clermont Auvergne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 80, 3863, 2651, 3863, 0, 3195, 485, 64, 24, 2, 2, 602, 0, 0, 0, 0, 0, 3860, 0, 0, 0, 3195, 485, 64, 24, 2, 2, 599, 369, 80, 56, 80, 0, 11.0, 79.0, 79.0, 0, 7, 79, 79, 0, 0, 1, 0, 0, 9, 46, 17, 7.0, 79, 0, 0, 0, 0, 75, 75, 13.75, 98.75, 98.75, 70.0, 94.890625, 94.890625, 0, 8.8984375, 98.796875, 0.0, 0.0, 11.3984375, 58.1953125, 21.5, 8.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 368.0, 60.0, 0.0, 0.0, 1.0, "Tous les candidats", 635.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 12.0, "26626", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26629&g_ta_cod=26626", 99.0, 1.0, 0.0),
(842, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation sélective", "Licence", "Université Sorbonne Paris Nord - Double licence - Informatique / Mathématiques - Double Licence Informatique/Mathématiques", "Licence - Sciences - technologies - santé", "Double Licence Informatique/Mathématiques", 45, 2402, 501, 1594, 0, 1136, 319, 48, 21, 1, 1, 409, 808, 274, 38, 7, 489, 576, 81, 0, 0, 505, 100, 0, 0, 0, 0, 71, 439, 50, 8, 17, 29, 0.0, 14.0, 29.0, 0, 4, 22, 22, 0, 0, 28, 0, 3, 7, 10, 2, 0.0, 19, 0, 0, 0, 0, 9, 14, 0.0, 28.0, 58.0, 16.0, 40.8984375, 63.59375, 0, 18.19921875, 44.0, 0.0, 13.599609375, 31.796875, 45.5, 9.1, 0.0, 100.0, 86.390625, 0.0, 0.0, 0.0, 0.0, 330.0, 62.0, 0.0, 0.0, 109.0, "Tous les candidats", 572.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "22026", "Double licence - Informatique / Mathématiques - Double Licence Informatique/Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22026&g_ta_cod=22026", 98.0, 0.0, 0.0),
(843, "Public", "0060033D", "Lycée Honoré d'Estienne d'Orves (Beau-Site)", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "CPGE", "Lycée Honoré d'Estienne d'Orves (Beau-Site) - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 30, 250, 141, 249, 50, 0, 0, 216, 53, 0, 0, 33, 1, 0, 0, 0, 1, 201, 0, 40, 197, 0, 0, 188, 47, 0, 0, 13, 116, 31, 10, 31, 0, 3.0, 24.0, 30.0, 1, 10, 28, 0, 28, 0, 3, 0, 6, 13, 8, 1, 0.0, 0, 22, 0, 9, 3, 26, 26, 9.68, 77.42, 96.77, 32.296875, 92.890625, 92.890625, 32.09375, 35.6953125, 90.296875, 0.0, 21.3984375, 46.3984375, 28.59765625, 3.6, 0.0, 0.0, 0.0, 100.0, 78.59375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 7.0, "Tous les candidats", 183.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "2221", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2221&g_ta_cod=2221", 0.0, 100.0, 0.0),
(844, "Public", "9740078S", "Lycée agricole Emile Boyer de La Giroday", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Paul", "formation sélective", "BTS", "Lycée agricole Emile Boyer de La Giroday - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 16, 92, 23, 88, 0, 7, 1, 31, 20, 28, 16, 22, 4, 0, 0, 0, 4, 71, 1, 0, 0, 7, 1, 26, 17, 26, 15, 12, 41, 16, 4, 16, 0, 4.0, 15.0, 15.0, 0, 9, 12, 1, 4, 7, 4, 0, 6, 5, 1, 0, 0.0, 1, 2, 3, 2, 2, 10, 10, 25.0, 93.75, 93.75, 25.0, 83.296875, 83.296875, 16.69921875, 75.0, 75.0, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 8.298828125, 8.298828125, 33.296875, 16.69921875, 58.296875, 25.0, 7.0, 1.0, 13.0, 8.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 58.0, "11906", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11906&g_ta_cod=11906", 25.0, 25.0, 50.0),
(845, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail Physique / Chimie / Sciences pour l'Ingénieur /  Sciences de la Terre", "Licence - Sciences - technologies - santé", "Physique / Chimie / Sciences pour l'Ingénieur /  Sciences de la Terre : Sciences pour l'ingénieur", 80, 806, 211, 696, 0, 482, 58, 34, 5, 4, 0, 176, 110, 37, 6, 0, 67, 688, 92, 0, 0, 482, 58, 34, 5, 4, 0, 168, 778, 54, 17, 35, 19, 35.0, 35.0, 48.0, 0, 4, 29, 26, 3, 0, 25, 0, 16, 12, 1, 0, 0.0, 11, 2, 0, 0, 0, 17, 17, 64.81, 64.81, 88.89, 31.5, 58.59375, 58.59375, 0, 13.798828125, 53.6953125, 0.0, 55.1953125, 41.3984375, 3.39990234375, 0.0, 0.0, 89.6875, 37.8984375, 10.298828125, 6.8994140625, 0.0, 0.0, 512.0, 63.0, 4.0, 0.0, 222.0, "Tous les candidats", 1335.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "22793", "Licence - Portail Physique / Chimie / Sciences pour l'Ingénieur /  Sciences de la Terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20731&g_ta_cod=22793", 78.0, 15.0, 2.0),
(846, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Licence", "Université de Poitiers - Licence - Lettres - Parcours Renforcé Sciences Politiques", "Licence - Arts-lettres-langues", "Renforcé Sciences Politiques", 60, 734, 542, 734, 0, 648, 90, 4, 1, 0, 0, 82, 0, 0, 0, 0, 0, 301, 0, 0, 0, 297, 40, 0, 0, 0, 0, 4, 190, 59, 49, 59, 0, 12.0, 56.0, 57.0, 0, 8, 58, 58, 0, 0, 1, 0, 0, 1, 10, 41, 6.0, 58, 0, 0, 0, 0, 32, 32, 20.34, 94.92, 96.61, 83.09375, 55.1953125, 55.1953125, 0, 13.798828125, 98.296875, 0.0, 0.0, 1.699951171875, 17.19921875, 70.7, 10.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 188.0, 27.0, 0.0, 0.0, 2.0, "Tous les candidats", 233.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "20738", "Licence - Lettres - Parcours Renforcé Sciences Politiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20738&g_ta_cod=20738", 100.0, 0.0, 0.0),
(847, "Privé sous contrat d'association", "0592965C", "Lycée Industriel et Commercial", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Industriel et Commercial - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 368, 150, 359, 0, 37, 7, 105, 39, 138, 51, 79, 9, 1, 2, 2, 4, 216, 2, 0, 0, 30, 4, 80, 29, 86, 21, 20, 137, 31, 8, 30, 1, 6.0, 21.0, 26.0, 0, 6, 28, 5, 9, 14, 3, 0, 10, 12, 5, 1, 0.0, 1, 4, 13, 12, 2, 28, 28, 19.35, 67.74, 83.87, 25.796875, 100.0, 100.0, 42.8984375, 21.3984375, 90.296875, 0.0, 35.6953125, 42.8984375, 17.8984375, 3.6, 0.0, 17.8984375, 3.599609375, 32.09375, 14.298828125, 50.0, 46.3984375, 19.0, 4.0, 56.0, 13.0, 13.0, "Tous les candidats sauf les Bac professionnels", 112.0, "Bacheliers professionnels toutes séries", 65, "", 0, "Liste d'appel propre à cette formation", 49.0, "14848", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14848&g_ta_cod=14848", 19.0, 29.0, 52.0),
(848, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER :  BOSNIAQUE-CROATE-MONTENEGRIN-SERBE", "Licence - Arts-lettres-langues", "LLCER :  BOSNIAQUE-CROATE-MONTENEGRIN-SERBE", 40, 86, 49, 52, 0, 24, 5, 9, 3, 3, 1, 16, 34, 3, 3, 1, 27, 51, 32, 0, 0, 24, 5, 9, 3, 3, 1, 15, 82, 25, 14, 13, 12, 9.0, 13.0, 19.0, 0, 1, 14, 7, 6, 1, 11, 1, 8, 5, 0, 0, 0.0, 3, 2, 0, 0, 0, 2, 13, 36.0, 52.0, 76.0, 56.0, 14.298828125, 92.890625, 0, 7.099609375, 56.0, 7.099609375, 57.09375, 35.6953125, 0.0, 0.0, 0.0, 50.0, 21.3984375, 42.8984375, 14.298828125, 7.099609375, 0.0, 26.0, 5.0, 4.0, 1.0, 40.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "9267", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER :  BOSNIAQUE-CROATE-MONTENEGRIN-SERBE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9267&g_ta_cod=9267", 52.0, 36.0, 8.0),
(849, "Privé sous contrat d'association", "0631075B", "Institution Saint Alyre", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "CPGE", "Institution Saint Alyre - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 35, 184, 83, 182, 76, 153, 10, 0, 0, 0, 0, 29, 2, 1, 0, 0, 1, 182, 0, 76, 176, 153, 10, 0, 0, 0, 0, 29, 138, 23, 8, 23, 0, 5.0, 20.0, 23.0, 6, 1, 17, 17, 0, 0, 6, 0, 4, 8, 4, 1, 0.0, 13, 0, 0, 6, 3, 12, 12, 21.74, 86.96, 100.0, 34.796875, 70.59375, 70.59375, 35.296875, 5.8994140625, 73.890625, 0.0, 23.5, 47.09375, 23.5, 5.9, 0.0, 100.0, 76.5, 0.0, 0.0, 0.0, 0.0, 118.0, 5.0, 0.0, 0.0, 20.0, "Tous les candidats", 182.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "31287", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31287&g_ta_cod=31287", 100.0, 0.0, 0.0),
(850, "Public", "9740787M", "Lycée Antoine Roussin", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Louis", "formation sélective", "Autre formation", "Lycée Antoine Roussin - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 360, 195, 360, 0, 117, 46, 88, 55, 34, 23, 121, 0, 0, 0, 0, 0, 190, 0, 0, 0, 84, 32, 71, 43, 0, 0, 35, 120, 34, 18, 34, 0, 7.0, 30.0, 34.0, 0, 14, 30, 17, 13, 0, 4, 0, 5, 16, 8, 1, 0.0, 14, 11, 0, 0, 0, 29, 29, 20.59, 88.24, 100.0, 52.8984375, 96.6875, 96.6875, 0, 46.6953125, 88.1875, 0.0, 16.69921875, 53.296875, 26.69921875, 3.3, 0.0, 56.6953125, 46.6953125, 43.296875, 36.6953125, 0.0, 0.0, 57.0, 19.0, 0.0, 0.0, 21.0, "Tous les candidats", 181.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "11933", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11933&g_ta_cod=11933", 59.0, 41.0, 0.0),
(851, "Public", "0390013C", "Lycée Jacques Duhamel", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Dole", "formation sélective", "BTS", "Lycée Jacques Duhamel - BTS - Production - Electrotechnique", "BTS - Production", "", 18, 131, 10, 129, 0, 8, 2, 23, 1, 63, 19, 35, 2, 0, 0, 0, 2, 113, 0, 0, 0, 8, 2, 23, 1, 48, 11, 34, 46, 14, 0, 14, 0, 6.0, 13.0, 13.0, 0, 4, 11, 1, 3, 7, 3, 0, 3, 4, 4, 0, 0.0, 1, 2, 5, 7, 0, 11, 11, 42.86, 92.86, 92.86, 0.0, 100.0, 100.0, 63.59375, 36.3984375, 78.59375, 0.0, 27.296875, 36.3984375, 36.3984375, 0.0, 0.0, 9.099609375, 9.099609375, 27.296875, 18.19921875, 63.59375, 45.5, 7.0, 2.0, 17.0, 6.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 47.0, "5144", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5144&g_ta_cod=5144", 7.0, 29.0, 64.0),
(852, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Chinois - confirmé  (niveau B1/B2 attendu)", "Licence - Arts-lettres-langues", "Chinois - confirmé  (niveau B1/B2 attendu)", 40, 67, 44, 46, 0, 36, 7, 1, 0, 0, 0, 9, 21, 2, 0, 1, 18, 46, 20, 0, 0, 36, 7, 1, 0, 0, 0, 9, 66, 15, 11, 8, 7, 7.0, 8.0, 12.0, 0, 2, 7, 7, 0, 0, 8, 0, 1, 4, 0, 2, 0.0, 6, 0, 0, 0, 0, 5, 5, 46.67, 53.33, 80.0, 73.296875, 71.390625, 71.390625, 0, 28.59765625, 46.6953125, 0.0, 14.298828125, 57.09375, 0.0, 28.6, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 38.0, 7.0, 1.0, 0.0, 26.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4749", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Chinois - confirmé  (niveau B1/B2 attendu)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4749&g_ta_cod=4749", 93.0, 7.0, 0.0),
(853, "Public", "0133479L", "IUT Aix-Marseille - Site de Marseille Luminy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille", "formation sélective", "BUT", "IUT Aix-Marseille - Site de Marseille Luminy - BUT - Réseaux et télécommunications Parcours : Cybersécurité", "BUT - Production", "Cybersécurité", 56, 1453, 145, 1453, 0, 734, 184, 369, 120, 41, 15, 309, 0, 0, 0, 0, 0, 986, 0, 0, 0, 599, 125, 225, 59, 6, 2, 156, 345, 59, 3, 59, 0, 15.0, 40.0, 53.0, 0, 19, 52, 26, 25, 1, 7, 0, 8, 25, 15, 4, 0.0, 21, 22, 1, 0, 0, 47, 47, 25.42, 67.8, 89.83, 5.099609375, 90.390625, 90.390625, 0, 36.5, 88.09375, 0.0, 15.3984375, 48.09375, 28.796875, 7.7, 0.0, 50.0, 40.3984375, 48.09375, 42.296875, 1.89990234375, 1.89990234375, 174.0, 49.0, 1.0, 1.0, 62.0, "Tous les candidats sauf les Bac technologiques", 284.0, "Bacheliers technologiques toutes séries", 211, "", 0, "Liste d'appel propre à cette formation", 34.0, "2702", "BUT - Réseaux et télécommunications Parcours : Cybersécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2702&g_ta_cod=2702", 51.0, 47.0, 2.0),
(854, "Privé sous contrat d'association", "0920875B", "Lycée Sainte-Marie de Neuilly", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Neuilly-sur-Seine", "formation sélective", "CPGE", "Lycée Sainte-Marie de Neuilly - CPGE - Lettres", "Classe préparatoire littéraire", "", 38, 667, 464, 667, 0, 619, 34, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 438, 0, 0, 438, 430, 25, 0, 0, 0, 0, 8, 197, 42, 27, 42, 0, 30.0, 34.0, 38.0, 0, 2, 41, 41, 0, 0, 1, 0, 0, 0, 8, 29, 4.0, 41, 0, 0, 2, 2, 12, 29, 71.43, 80.95, 90.48, 64.296875, 29.296875, 70.6875, 4.8994140625, 4.8994140625, 97.59375, 0.0, 0.0, 0.0, 19.5, 70.7, 9.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 193.0, 14.0, 0.0, 0.0, 4.0, "Tous les candidats", 217.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "11042", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11042&g_ta_cod=11042", 100.0, 0.0, 0.0),
(855, "Privé sous contrat d'association", "0211089V", "Lycée Saint Joseph", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Production - Enveloppe des bâtiments : conception et réalisation", "BTS - Production", "", 8, 96, 11, 94, 0, 10, 0, 43, 8, 21, 6, 20, 2, 0, 1, 0, 1, 68, 0, 0, 0, 10, 0, 39, 7, 17, 3, 2, 44, 9, 0, 9, 0, 3.0, 7.0, 9.0, 0, 0, 8, 3, 2, 3, 1, 0, 3, 3, 2, 0, 0.0, 1, 1, 3, 3, 0, 8, 8, 33.33, 77.78, 100.0, 0.0, 100.0, 100.0, 37.5, 0.0, 88.890625, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 37.5, 12.5, 25.0, 12.5, 37.5, 37.5, 6.0, 0.0, 8.0, 1.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers technologiques toutes séries", 40, "Bacheliers professionnels toutes séries", 9, "Liste d'appel propre à cette formation", 60.0, "25395", "BTS - Production - Enveloppe des bâtiments : conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25395&g_ta_cod=25395", 33.0, 33.0, 33.0),
(856, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - STAPS", "", 300, 6519, 2011, 6519, 0, 4221, 651, 715, 157, 183, 61, 1400, 0, 0, 0, 0, 0, 6510, 0, 0, 0, 4221, 651, 715, 157, 183, 61, 1391, 746, 300, 115, 299, 0, 89.0, 268.0, 287.0, 0, 50, 273, 232, 34, 7, 27, 2, 36, 112, 111, 12, 0.0, 196, 32, 7, 0, 0, 243, 243, 29.67, 89.33, 95.67, 38.296875, 89.0, 89.0, 0, 18.296875, 91.0, 0.699951171875, 13.19921875, 41.0, 40.6953125, 4.4, 0.0, 85.0, 71.796875, 12.5, 11.69921875, 2.599609375, 2.599609375, 592.0, 95.0, 19.0, 3.0, 72.0, "Tous les candidats", 902.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "4388", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26685&g_ta_cod=4388", 85.0, 12.0, 3.0),
(857, "Public", "0711729U", "Lycée Emiland Gauthey", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "BTS", "Lycée Emiland Gauthey - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 518, 251, 517, 0, 46, 8, 207, 62, 185, 74, 79, 1, 0, 1, 0, 0, 389, 0, 0, 0, 42, 8, 176, 48, 137, 57, 34, 160, 18, 12, 18, 0, 1.0, 7.0, 12.0, 0, 5, 16, 4, 6, 6, 2, 0, 12, 2, 2, 0, 0.0, 2, 0, 2, 4, 3, 15, 15, 5.56, 38.89, 66.67, 66.6875, 93.796875, 93.796875, 25, 31.296875, 88.890625, 0.0, 75.0, 12.5, 12.5, 0.0, 0.0, 25.0, 12.5, 37.5, 0.0, 37.5, 12.5, 26.0, 7.0, 49.0, 25.0, 12.0, "Tous les candidats sauf les Bac professionnels", 108.0, "Bacheliers professionnels toutes séries", 68, "", 0, "Liste d'appel propre à cette formation", 34.0, "8671", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8671&g_ta_cod=8671", 22.0, 33.0, 44.0),
(858, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Lettres, langues et sciences du langage", "Licence - Arts-lettres-langues", "Lettres, langues et sciences du langage", 152, 1093, 899, 954, 0, 624, 146, 48, 21, 21, 6, 261, 139, 27, 16, 13, 83, 954, 134, 0, 0, 624, 146, 48, 21, 21, 6, 261, 806, 165, 131, 110, 54, 33.0, 109.0, 138.0, 0, 31, 96, 72, 17, 7, 69, 1, 37, 35, 18, 3, 2.0, 48, 8, 2, 0, 0, 57, 57, 20.0, 66.06, 83.64, 79.390625, 59.3984375, 59.3984375, 0, 32.296875, 58.1953125, 1.0, 38.5, 36.5, 18.796875, 3.1, 2.1, 75.0, 50.0, 17.69921875, 8.298828125, 7.2998046875, 2.099609375, 457.0, 114.0, 27.0, 15.0, 269.0, "Tous les candidats", 955.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26512", "Licence - Portail Lettres, langues et sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26512&g_ta_cod=26512", 73.0, 19.0, 7.0),
(859, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 353, 1343, 884, 1096, 0, 718, 264, 77, 42, 3, 3, 298, 247, 77, 15, 1, 154, 1096, 213, 0, 0, 718, 264, 77, 42, 3, 3, 298, 1191, 264, 164, 172, 92, 50.0, 168.0, 232.0, 0, 53, 148, 137, 10, 1, 116, 2, 53, 58, 27, 8, 0.0, 89, 3, 1, 0, 0, 112, 112, 18.94, 63.64, 87.88, 62.09375, 75.6875, 75.6875, 0, 35.796875, 56.09375, 1.39990234375, 35.796875, 39.1953125, 18.19921875, 5.4, 0.0, 92.59375, 60.09375, 6.7998046875, 2.0, 0.699951171875, 0.699951171875, 715.0, 258.0, 2.0, 2.0, 406.0, "Tous les candidats", 1499.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "26390", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27559&g_ta_cod=26390", 87.0, 11.0, 2.0),
(860, "Public", "0573627H", "IUT de Moselle Est - Site de Forbach - Université de Lorraine", "57", "Moselle", "Grand Est", "Nancy-Metz", "Forbach", "formation sélective", "BUT", "IUT de Moselle Est - Site de Forbach - Université de Lorraine - BUT - Science et génie des matériaux Parcours : Métiers de la caractérisation et de l'expertise des matériaux et des produits - Métiers de l'ingénierie des matériaux et des produits", "BUT - Production", "Métiers de la caractérisation et de l'expertise des matériaux et des produits - Métiers de l'ingénierie des matériaux et des produits", 32, 306, 57, 295, 0, 169, 28, 75, 18, 1, 0, 50, 11, 2, 3, 0, 6, 285, 7, 0, 0, 169, 28, 67, 15, 1, 0, 48, 247, 27, 3, 26, 1, 13.0, 25.0, 27.0, 0, 10, 21, 14, 7, 0, 6, 0, 7, 13, 1, 0, 0.0, 9, 5, 0, 0, 0, 19, 19, 48.15, 92.59, 100.0, 11.099609375, 90.5, 90.5, 0, 47.59375, 77.796875, 0.0, 33.296875, 61.8984375, 4.7998046875, 0.0, 0.0, 66.6875, 42.8984375, 33.296875, 23.796875, 0.0, 0.0, 146.0, 24.0, 0.0, 0.0, 41.0, "Tous les candidats sauf les Bac technologiques", 212.0, "Bacheliers technologiques toutes séries", 73, "", 0, "Liste d'appel propre à cette formation", 97.0, "22594", "BUT - Science et génie des matériaux Parcours : Métiers de la caractérisation et de l'expertise des matériaux et des produits - Métiers de l'ingénierie des matériaux et des produits", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22594&g_ta_cod=22594", 67.0, 33.0, 0.0),
(861, "Privé sous contrat d'association", "9741256X", "Lycée Levavasseur", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée Levavasseur - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 330, 174, 208, 0, 55, 14, 62, 25, 34, 22, 57, 122, 8, 20, 34, 60, 98, 21, 0, 0, 36, 5, 28, 11, 16, 11, 18, 108, 29, 12, 19, 10, 6.0, 16.0, 21.0, 0, 5, 17, 7, 8, 2, 12, 0, 4, 11, 2, 0, 0.0, 4, 7, 2, 6, 3, 17, 17, 20.69, 55.17, 72.41, 41.3984375, 100.0, 100.0, 35.296875, 29.3984375, 58.59375, 0.0, 23.5, 64.6875, 11.798828125, 0.0, 0.0, 41.1953125, 23.5, 47.09375, 41.1953125, 11.798828125, 11.798828125, 32.0, 5.0, 17.0, 11.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 46.0, "11981", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11981&g_ta_cod=11981", 55.0, 38.0, 7.0),
(862, "Public", "0750700D", "Lycée Jean-Baptiste Say", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Lycée Jean-Baptiste Say - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 2264, 1596, 2264, 1031, 1853, 176, 1, 0, 0, 0, 410, 0, 0, 0, 0, 0, 995, 0, 220, 983, 995, 36, 0, 0, 0, 0, 0, 366, 45, 28, 45, 0, 0.0, 16.0, 38.0, 10, 5, 45, 45, 0, 0, 0, 0, 0, 1, 31, 13, 0.0, 45, 0, 0, 4, 3, 19, 34, 0.0, 35.56, 84.44, 62.1953125, 42.1953125, 75.59375, 8.8984375, 11.099609375, 100.0, 0.0, 0.0, 2.19970703125, 68.890625, 28.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 366.0, 25.0, 0.0, 0.0, 0.0, "Tous les candidats", 622.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "9139", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9139&g_ta_cod=9139", 100.0, 0.0, 0.0),
(863, "Public", "0311086M", "I.U.T de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BUT", "I.U.T de Toulouse - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente - Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente - Business développement et management de la relation client", 164, 7044, 3605, 7044, 0, 3547, 600, 2273, 653, 82, 40, 1142, 0, 0, 0, 0, 0, 4501, 0, 0, 0, 2505, 355, 1501, 400, 0, 0, 495, 756, 182, 113, 182, 0, 53.0, 165.0, 179.0, 0, 60, 165, 87, 78, 0, 17, 0, 3, 39, 105, 18, 0.0, 84, 78, 0, 0, 0, 108, 108, 29.12, 90.66, 98.35, 62.09375, 65.5, 65.5, 0, 36.3984375, 90.6875, 0.0, 1.7998046875, 23.59765625, 63.59375, 10.9, 0.0, 52.6953125, 50.8984375, 47.296875, 47.296875, 0.0, 0.0, 449.0, 111.0, 0.0, 0.0, 62.0, "Tous les candidats sauf les Bac technologiques", 716.0, "Bacheliers technologiques toutes séries", 314, "", 0, "Liste d'appel propre à cette formation", 15.0, "4101", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4101&g_ta_cod=4101", 55.0, 45.0, 0.0),
(864, "Public", "0596854E", "Lycée du PAYS DE CONDE", "59", "Nord", "Hauts-de-France", "Lille", "Condé-sur-l'Escaut", "formation sélective", "BTS", "Lycée du PAYS DE CONDE - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 317, 186, 314, 0, 32, 15, 56, 27, 119, 70, 107, 3, 0, 2, 0, 1, 178, 0, 0, 0, 20, 8, 33, 11, 83, 49, 42, 107, 34, 24, 34, 0, 11.0, 30.0, 33.0, 0, 7, 21, 1, 1, 19, 13, 0, 4, 6, 10, 1, 0.0, 0, 0, 17, 15, 12, 21, 21, 32.35, 88.24, 97.06, 70.59375, 100.0, 100.0, 71.390625, 33.296875, 61.796875, 0.0, 19.0, 28.59765625, 47.59375, 4.8, 0.0, 4.7998046875, 0.0, 4.7998046875, 0.0, 90.5, 81.0, 12.0, 5.0, 43.0, 22.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 48.0, "7202", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7202&g_ta_cod=7202", 24.0, 12.0, 65.0),
(865, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université de Montpellier - Licence - Sciences de la vie - Parcours Licence - Sciences de la Vie/Sciences de l'environnement (SVSE) option Prépa concours Agro Véto (PCAV)", "Licence - Sciences - technologies - santé", "Licence - Sciences de la Vie/Sciences de l'environnement (SVSE) option Prépa concours Agro Véto (PCAV)", 40, 1260, 986, 1260, 0, 938, 110, 20, 4, 3, 2, 299, 0, 0, 0, 0, 0, 1260, 0, 0, 0, 938, 110, 20, 4, 3, 2, 299, 178, 37, 29, 37, 0, 4.0, 22.0, 29.0, 0, 4, 33, 33, 0, 0, 4, 0, 1, 4, 20, 8, 0.0, 32, 0, 0, 0, 0, 32, 32, 10.81, 59.46, 78.38, 78.390625, 97.0, 97.0, 0, 12.099609375, 89.1875, 0.0, 3.0, 12.099609375, 60.59375, 24.2, 0.0, 100.0, 97.0, 0.0, 0.0, 0.0, 0.0, 139.0, 18.0, 0.0, 0.0, 39.0, "Tous les candidats", 221.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "31730", "Licence - Sciences de la vie - Parcours Licence - Sciences de la Vie/Sciences de l'environnement (SVSE) option Prépa concours Agro Véto (PCAV)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31730&g_ta_cod=31730", 100.0, 0.0, 0.0),
(866, "Privé sous contrat d'association", "0290340M", "Lycée Estran Fenelon", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Estran Fenelon - BTS - Services - Tourisme", "BTS - Services", "", 35, 402, 309, 402, 0, 117, 24, 106, 22, 62, 15, 117, 0, 0, 0, 0, 0, 332, 0, 0, 0, 113, 23, 90, 20, 41, 12, 88, 116, 35, 30, 35, 0, 10.0, 29.0, 30.0, 0, 12, 30, 14, 9, 7, 5, 0, 7, 15, 8, 0, 0.0, 10, 6, 7, 1, 1, 30, 30, 28.57, 82.86, 85.71, 85.6875, 100.0, 100.0, 3.2998046875, 40.0, 85.6875, 0.0, 23.296875, 50.0, 26.69921875, 0.0, 0.0, 46.6953125, 33.296875, 30.0, 20.0, 23.296875, 23.296875, 39.0, 8.0, 21.0, 5.0, 25.0, "Tous les candidats sauf les Bac professionnels", 127.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 38.0, "3851", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3851&g_ta_cod=3851", 51.0, 29.0, 20.0),
(867, "Public", "0291660X", "Université de Brest - Site de Quimper", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation non sélective", "Licence", "Université de Brest - Licence - Portail LEA Anglais, Chinois", "Licence - Arts-lettres-langues", "LEA Anglais, Chinois : Université de Brest - Site de Quimper", 40, 284, 217, 244, 0, 147, 30, 25, 12, 14, 6, 58, 40, 7, 6, 1, 26, 244, 38, 0, 0, 147, 30, 25, 12, 14, 6, 58, 243, 24, 18, 17, 7, 5.0, 17.0, 23.0, 0, 1, 15, 12, 3, 0, 9, 0, 5, 7, 3, 0, 0.0, 7, 3, 0, 0, 0, 11, 11, 20.83, 70.83, 95.83, 75.0, 73.296875, 73.296875, 0, 6.69921875, 62.5, 0.0, 33.296875, 46.6953125, 20.0, 0.0, 0.0, 80.0, 46.6953125, 20.0, 20.0, 0.0, 0.0, 131.0, 24.0, 11.0, 4.0, 74.0, "Tous les candidats", 376.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28760", "Licence - Portail LEA Anglais, Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28759&g_ta_cod=28760", 79.0, 13.0, 4.0),
(868, "Public", "0620215X", "Université du littoral - Site de Calais -", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation non sélective", "Licence_Las", "Université du littoral - Site de Calais - - Licence - Portail Mathématiques", "Licence - Sciences - technologies - santé", "", 36, 289, 163, 165, 0, 131, 29, 7, 3, 0, 0, 27, 124, 52, 5, 0, 67, 165, 72, 0, 0, 131, 29, 7, 3, 0, 0, 27, 223, 26, 15, 8, 18, 3.0, 8.0, 18.0, 0, 3, 12, 11, 1, 0, 14, 0, 4, 4, 3, 1, 0.0, 7, 1, 0, 0, 0, 9, 9, 11.54, 30.77, 69.23, 57.6953125, 75.0, 75.0, 0, 25.0, 46.1953125, 0.0, 33.296875, 33.296875, 25.0, 8.3, 0.0, 91.6875, 58.296875, 8.298828125, 8.298828125, 0.0, 0.0, 152.0, 30.0, 0.0, 0.0, 62.0, "Tous les candidats", 396.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "27870", "Licence - Portail Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27869&g_ta_cod=27870", 85.0, 15.0, 0.0),
(869, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues étrangères appliquées - Parcours Anglais-Russe", "Licence - Arts-lettres-langues", "Anglais-Russe", 15, 89, 56, 60, 0, 36, 13, 2, 0, 4, 2, 18, 29, 5, 2, 3, 19, 60, 21, 0, 0, 36, 13, 2, 0, 4, 2, 18, 64, 11, 6, 8, 3, 2.0, 8.0, 10.0, 0, 1, 5, 5, 0, 0, 6, 2, 2, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 3, 3, 18.18, 72.73, 90.91, 54.5, 60.0, 60.0, 0, 20.0, 45.5, 40.0, 40.0, 20.0, 0.0, 0.0, 0.0, 100.0, 20.0, 0.0, 0.0, 0.0, 0.0, 29.0, 10.0, 2.0, 1.0, 32.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "5058", "Licence - Langues étrangères appliquées - Parcours Anglais-Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5058&g_ta_cod=5058", 91.0, 0.0, 9.0),
(870, "Privé sous contrat d'association", "0592928M", "Lycée Jeanne D'Arc", "59", "Nord", "Hauts-de-France", "Lille", "Aulnoye-Aymeries", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 45, 169, 164, 139, 0, 20, 9, 43, 13, 41, 21, 35, 30, 3, 9, 3, 15, 90, 20, 0, 0, 16, 6, 24, 5, 33, 15, 17, 105, 29, 28, 22, 7, 17.0, 22.0, 26.0, 0, 6, 17, 4, 4, 9, 12, 0, 7, 5, 5, 0, 0.0, 1, 2, 7, 6, 6, 14, 14, 58.62, 75.86, 89.66, 96.59375, 82.390625, 82.390625, 35.296875, 35.296875, 58.59375, 0.0, 41.1953125, 29.3984375, 29.3984375, 0.0, 0.0, 23.5, 5.8994140625, 23.5, 11.798828125, 52.8984375, 41.1953125, 18.0, 7.0, 32.0, 15.0, 27.0, "Tous les candidats sauf les Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 65.0, "6908", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6908&g_ta_cod=6908", 38.0, 31.0, 31.0),
(871, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Théologie Catholique", "Licence - Sciences humaines et sociales", "", 40, 84, 41, 56, 0, 24, 1, 6, 1, 1, 1, 25, 28, 2, 0, 1, 25, 56, 18, 0, 0, 24, 1, 6, 1, 1, 1, 25, 71, 17, 8, 7, 10, 6.0, 7.0, 11.0, 0, 0, 2, 1, 1, 0, 15, 0, 1, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 35.29, 41.18, 64.71, 47.09375, 100.0, 100.0, 0, 0.0, 11.798828125, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 50.0, 50.0, 50.0, 0.0, 0.0, 0.0, 22.0, 1.0, 1.0, 1.0, 43.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "8070", "Licence - Théologie Catholique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8070&g_ta_cod=8070", 71.0, 12.0, 12.0),
(872, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 430, 7998, 3470, 7998, 0, 5700, 1240, 370, 145, 39, 25, 1889, 0, 0, 0, 0, 0, 7997, 0, 0, 0, 5699, 1240, 370, 145, 39, 25, 1889, 2191, 427, 161, 422, 0, 53.0, 248.0, 350.0, 0, 72, 120, 120, 0, 0, 307, 1, 59, 41, 16, 3, 0.0, 60, 0, 0, 0, 0, 74, 111, 12.41, 58.08, 81.97, 37.6953125, 61.6953125, 92.5, 0, 60.0, 28.09765625, 0.7999267578125, 49.1953125, 34.1953125, 13.298828125, 2.5, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 1272.0, 418.0, 0.0, 0.0, 919.0, "Tous les candidats", 3025.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "11078", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11078&g_ta_cod=11078", 100.0, 0.0, 0.0),
(873, "Public", "0595856V", "Lycée professionnel de L'Yser", "59", "Nord", "Hauts-de-France", "Lille", "Wormhout", "formation sélective", "BTS", "Lycée professionnel de L'Yser - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 30, 316, 266, 316, 0, 24, 9, 91, 38, 80, 46, 121, 0, 0, 0, 0, 0, 243, 0, 0, 0, 24, 9, 83, 36, 80, 46, 56, 134, 26, 23, 26, 0, 3.0, 17.0, 22.0, 0, 5, 17, 2, 3, 12, 9, 0, 4, 9, 4, 0, 0.0, 2, 1, 10, 4, 2, 17, 17, 11.54, 65.38, 84.62, 88.5, 100.0, 100.0, 23.5, 29.3984375, 65.390625, 0.0, 23.5, 52.8984375, 23.5, 0.0, 0.0, 11.798828125, 11.798828125, 17.59765625, 5.8994140625, 70.59375, 58.796875, 14.0, 7.0, 48.0, 25.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers technologiques toutes séries", 67, "Bacheliers professionnels toutes séries", 48, "Liste d'appel propre à cette formation", 44.0, "25138", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25138&g_ta_cod=25138", 27.0, 23.0, 50.0),
(874, "Public", "0130049H", "Lycée Rempart (Rue Du)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  7e  Arrondissement", "formation sélective", "BTS", "Lycée Rempart (Rue Du) - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 287, 31, 194, 0, 11, 4, 45, 22, 81, 50, 57, 93, 3, 21, 24, 45, 99, 15, 0, 0, 9, 2, 23, 9, 49, 25, 18, 78, 14, 0, 7, 7, 0.0, 6.0, 11.0, 0, 4, 11, 2, 2, 7, 3, 0, 2, 5, 3, 1, 0.0, 2, 1, 6, 1, 0, 11, 11, 0.0, 42.86, 78.57, 0.0, 100.0, 100.0, 9.099609375, 36.3984375, 78.59375, 0.0, 18.19921875, 45.5, 27.296875, 9.1, 0.0, 18.19921875, 18.19921875, 18.19921875, 9.099609375, 63.59375, 54.5, 7.0, 2.0, 28.0, 15.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 50.0, "2567", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2567&g_ta_cod=2567", 14.0, 36.0, 50.0),
(875, "Public", "0680031P", "Lycée Albert Schweitzer", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BTS", "Lycée Albert Schweitzer - BTS - Services - Commerce International", "BTS - Services", "", 35, 1157, 648, 1154, 0, 251, 85, 317, 136, 148, 83, 438, 3, 0, 0, 3, 0, 466, 0, 0, 0, 177, 50, 176, 63, 49, 34, 64, 174, 27, 20, 27, 0, 0.0, 20.0, 23.0, 0, 10, 22, 6, 12, 4, 5, 0, 2, 10, 10, 0, 0.0, 5, 11, 4, 5, 5, 20, 20, 0.0, 74.07, 85.19, 74.09375, 90.890625, 90.890625, 22.69921875, 45.5, 81.5, 0.0, 9.099609375, 45.5, 45.5, 0.0, 0.0, 27.296875, 22.69921875, 54.5, 50.0, 18.19921875, 18.19921875, 70.0, 20.0, 23.0, 15.0, 27.0, "Tous les candidats sauf les Bac professionnels", 220.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 21.0, "8099", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8099&g_ta_cod=8099", 33.0, 52.0, 15.0),
(876, "Privé sous contrat d'association", "0721684P", "Lycée Polyvalent Saint-Charles Sainte-Croix", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Saint-Charles Sainte-Croix - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 275, 157, 272, 0, 37, 8, 90, 19, 80, 26, 65, 3, 1, 0, 0, 2, 219, 1, 0, 0, 37, 8, 81, 16, 57, 12, 44, 107, 20, 12, 19, 1, 1.0, 13.0, 17.0, 0, 3, 10, 2, 4, 4, 10, 0, 5, 5, 0, 0, 0.0, 1, 2, 2, 4, 2, 6, 6, 5.0, 65.0, 85.0, 60.0, 60.0, 60.0, 40, 30.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 20.0, 10.0, 40.0, 20.0, 40.0, 20.0, 20.0, 5.0, 30.0, 10.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 62.0, "13066", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13066&g_ta_cod=13066", 25.0, 30.0, 45.0),
(877, "Public", "0440069L", "LGT Aristide Briand", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BTS", "LGT Aristide Briand - BTS - Production - Aéronautique (Seconde année en apprentissage)", "BTS - Production", "", 9, 656, 67, 650, 0, 165, 23, 189, 31, 103, 20, 193, 6, 2, 1, 0, 3, 256, 1, 0, 0, 50, 5, 97, 14, 61, 7, 48, 72, 7, 0, 7, 0, 0.0, 5.0, 6.0, 0, 0, 5, 1, 2, 2, 2, 0, 0, 3, 2, 0, 0.0, 1, 2, 2, 0, 0, 0, 0, 0.0, 71.43, 85.71, 0.0, 0.0, 0.0, 0, 0.0, 71.390625, 0.0, 0.0, 60.0, 40.0, 0.0, 0.0, 20.0, 20.0, 40.0, 40.0, 40.0, 40.0, 15.0, 0.0, 15.0, 2.0, 18.0, "Tous les candidats sauf les Bac professionnels", 124.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 24.0, "5459", "BTS - Production - Aéronautique (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5459&g_ta_cod=5459", 29.0, 29.0, 43.0),
(878, "Privé sous contrat d'association", "9741255W", "Lycée Catholique St Charles", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "Bac STI2D", 5, 38, 1, 37, 0, 0, 0, 37, 12, 0, 0, 0, 1, 0, 1, 0, 0, 29, 0, 0, 0, 0, 0, 29, 8, 0, 0, 0, 28, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0.0, 0, 1, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "31222", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=31222", 0.0, 100.0, 0.0),
(879, "Public", "0620056Z", "Lycée Carnot", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Bruay-la-Buissière", "formation sélective", "BTS", "Lycée Carnot - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 30, 171, 17, 163, 0, 23, 3, 54, 21, 43, 17, 43, 8, 2, 0, 0, 6, 124, 1, 0, 0, 23, 3, 53, 21, 42, 17, 6, 94, 27, 0, 27, 0, 10.0, 23.0, 24.0, 0, 12, 27, 1, 8, 18, 0, 0, 14, 7, 4, 2, 0.0, 0, 1, 12, 7, 0, 27, 27, 37.04, 85.19, 88.89, 0.0, 100.0, 100.0, 25.8984375, 44.3984375, 100.0, 0.0, 51.8984375, 25.8984375, 14.798828125, 7.4, 0.0, 3.69970703125, 0.0, 29.59765625, 3.69970703125, 66.6875, 44.3984375, 14.0, 3.0, 36.0, 15.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 69.0, "7353", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7353&g_ta_cod=7353", 4.0, 30.0, 67.0),
(880, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation non sélective", "Licence", "Université Gustave Eiffel - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LANGUES, LITTERATURES ET CIVILISATIONS ÉTRANGÈRES ET REGIONALES : Espagnol", "Licence - Arts-lettres-langues", "LANGUES, LITTERATURES ET CIVILISATIONS ÉTRANGÈRES ET REGIONALES : Espagnol", 95, 342, 243, 207, 0, 135, 24, 20, 8, 10, 5, 42, 135, 34, 19, 8, 74, 207, 130, 0, 0, 135, 24, 20, 8, 10, 5, 42, 323, 84, 55, 38, 43, 8.0, 37.0, 59.0, 0, 7, 49, 36, 11, 2, 35, 0, 32, 13, 4, 0, 0.0, 14, 3, 0, 0, 0, 43, 44, 9.52, 44.05, 70.24, 65.5, 87.796875, 89.796875, 0, 14.298828125, 58.296875, 0.0, 65.296875, 26.5, 8.19921875, 0.0, 0.0, 73.5, 28.59765625, 22.3984375, 6.099609375, 4.099609375, 0.0, 170.0, 35.0, 14.0, 4.0, 102.0, "Tous les candidats", 207.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9919", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LANGUES, LITTERATURES ET CIVILISATIONS ÉTRANGÈRES ET REGIONALES : Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9919&g_ta_cod=9919", 62.0, 27.0, 11.0),
(881, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence_Las", "Université de La Réunion - Saint Denis - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", ": Université de La Réunion - Saint Denis", 50, 557, 346, 439, 0, 185, 64, 67, 42, 39, 32, 148, 118, 19, 21, 17, 61, 439, 109, 0, 0, 185, 64, 67, 42, 39, 32, 148, 364, 56, 38, 27, 29, 1.0, 27.0, 45.0, 0, 14, 29, 12, 8, 9, 27, 0, 19, 5, 5, 0, 0.0, 6, 1, 3, 0, 0, 25, 25, 1.79, 48.21, 80.36, 67.890625, 86.1875, 86.1875, 0, 48.296875, 51.796875, 0.0, 65.5, 17.19921875, 17.19921875, 0.0, 0.0, 41.3984375, 20.69921875, 27.59765625, 3.39990234375, 31.0, 10.298828125, 132.0, 47.0, 33.0, 28.0, 152.0, "Tous les candidats", 1481.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28309", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26499&g_ta_cod=28309", 34.0, 32.0, 32.0),
(882, "Public", "0771985P", "IFSI Grand Hôpital Est Francilien - Site de Formation Serris", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Magny-le-Hongre", "formation sélective", "IFSI", "Regroupement d'IFSI UPEC (P12)  - D.E Infirmier", "D.E secteur sanitaire", "", 81, 3193, 2802, 3193, 0, 341, 82, 556, 195, 434, 204, 1862, 0, 0, 0, 0, 0, 2178, 0, 0, 0, 316, 71, 389, 125, 269, 119, 1204, 766, 77, 66, 77, 0, 3.0, 35.0, 73.0, 0, 9, 48, 22, 16, 10, 29, 0, 10, 23, 12, 3, 0.0, 15, 14, 9, 0, 0, 45, 46, 3.9, 45.45, 94.81, 85.6875, 93.796875, 95.796875, 0, 18.796875, 62.296875, 0.0, 20.796875, 47.8984375, 25.0, 6.3, 0.0, 45.796875, 31.296875, 33.296875, 29.19921875, 20.796875, 18.796875, 169.0, 41.0, 85.0, 28.0, 391.0, "Tous les candidats", 2476.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "23272", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23006&g_ta_cod=23272", 49.0, 29.0, 22.0),
(883, "Privé enseignement supérieur", "0542455A", "ICN BUSINESS SCHOOL", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Ecole de Commerce", "ICN BUSINESS SCHOOL - Formation des écoles de commerce et de management Bac + 3 - ICN Bachelor en management (dit Sup'Est)", "Formation des écoles de commerce et de management", "ICN Bachelor en management (dit Sup'Est)", 200, 612, 278, 583, 0, 482, 38, 44, 3, 1, 0, 56, 29, 11, 2, 0, 16, 495, 17, 0, 0, 423, 32, 31, 1, 0, 0, 41, 473, 196, 91, 182, 14, 74.0, 181.0, 191.0, 0, 14, 171, 155, 16, 0, 25, 0, 49, 80, 38, 4, 0.0, 111, 11, 0, 0, 0, 154, 154, 37.76, 92.35, 97.45, 46.3984375, 90.09375, 90.09375, 0, 8.19921875, 87.1875, 0.0, 28.69921875, 46.796875, 22.19921875, 2.3, 0.0, 90.59375, 64.890625, 9.3984375, 6.3994140625, 0.0, 0.0, 398.0, 30.0, 0.0, 0.0, 46.0, "Tous les candidats", 705.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 85.0, "28182", "Formation des écoles de commerce et de management Bac + 3 - ICN Bachelor en management (dit Sup'Est)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28182&g_ta_cod=28182", 90.0, 9.0, 1.0),
(884, "Public", "0400002K", "Lycée Gaston Crampe", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Aire-sur-l'Adour", "formation sélective", "BTS", "Lycée Gaston Crampe - BTS - Production - Pilotage des procédés", "BTS - Production", "", 15, 106, 21, 104, 0, 3, 0, 9, 1, 19, 11, 73, 2, 0, 1, 0, 1, 102, 1, 0, 0, 3, 0, 9, 1, 19, 11, 71, 30, 9, 0, 9, 0, 5.0, 9.0, 9.0, 0, 3, 8, 0, 0, 8, 1, 0, 0, 2, 4, 2, 0.0, 0, 0, 8, 0, 0, 8, 8, 55.56, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 37.5, 88.890625, 0.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 1.0, 0.0, 14.0, 7.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 33.0, "5194", "BTS - Production - Pilotage des procédés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5194&g_ta_cod=5194", 0.0, 11.0, 89.0),
(885, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Double licence - Sciences de la terre / Langues, littératures & civilisations étrangères et régionales - Double licence Sciences de la terre - LLCER Japonais ou Chinois ou Arabe (ASTER)", "Licence - Sciences - technologies - santé", "Double licence Sciences de la terre - LLCER Japonais ou Chinois ou Arabe (ASTER)", 15, 435, 273, 145, 0, 80, 20, 0, 0, 1, 1, 64, 290, 111, 12, 2, 165, 39, 4, 0, 0, 28, 6, 0, 0, 0, 0, 11, 39, 10, 6, 8, 2, 2.0, 8.0, 10.0, 0, 2, 8, 8, 0, 0, 2, 0, 0, 0, 6, 2, 0.0, 8, 0, 0, 0, 0, 1, 7, 20.0, 80.0, 100.0, 60.0, 12.5, 87.5, 0, 25.0, 80.0, 0.0, 0.0, 0.0, 75.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 28.0, 7.0, 0.0, 0.0, 11.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "19462", "Double licence - Sciences de la terre / Langues, littératures & civilisations étrangères et régionales - Double licence Sciences de la terre - LLCER Japonais ou Chinois ou Arabe (ASTER)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19462&g_ta_cod=19462", 100.0, 0.0, 0.0),
(886, "Public", "0952196W", "LYCEE POLYVALENT GUSTAVE MONOD", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Enghien-les-Bains", "formation sélective", "BTS", "LYCEE POLYVALENT GUSTAVE MONOD - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 30, 512, 148, 512, 0, 22, 9, 184, 86, 168, 71, 138, 0, 0, 0, 0, 0, 467, 0, 0, 0, 22, 9, 184, 86, 162, 67, 99, 128, 30, 10, 28, 0, 3.0, 21.0, 24.0, 0, 13, 30, 2, 13, 15, 0, 0, 18, 10, 2, 0, 0.0, 1, 2, 9, 4, 0, 23, 30, 10.0, 70.0, 80.0, 33.296875, 76.6875, 100.0, 13.298828125, 43.296875, 100.0, 0.0, 60.0, 33.296875, 6.69921875, 0.0, 0.0, 6.69921875, 3.2998046875, 43.296875, 6.69921875, 50.0, 30.0, 7.0, 3.0, 62.0, 24.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 30.0, "11566", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11566&g_ta_cod=11566", 7.0, 43.0, 50.0),
(887, "Public", "9711082Z", "Lycée Nord Grande Terre", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Port-Louis", "formation sélective", "BTS", "Lycée Nord Grande Terre - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 16, 179, 175, 179, 0, 38, 16, 52, 27, 57, 37, 32, 0, 0, 0, 0, 0, 179, 0, 0, 0, 38, 16, 52, 27, 57, 37, 32, 48, 18, 17, 18, 0, 9.0, 15.0, 16.0, 0, 9, 14, 3, 3, 8, 4, 0, 4, 6, 2, 2, 0.0, 1, 2, 7, 6, 6, 14, 14, 50.0, 83.33, 88.89, 94.390625, 100.0, 100.0, 42.8984375, 64.296875, 77.796875, 0.0, 28.59765625, 42.8984375, 14.298828125, 14.3, 0.0, 21.3984375, 7.099609375, 21.3984375, 14.298828125, 57.09375, 50.0, 20.0, 12.0, 15.0, 9.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 34.0, "11775", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11775&g_ta_cod=11775", 22.0, 22.0, 56.0),
(888, "Privé enseignement supérieur", "0590344D", "INSTITUT CATHOLIQUE LILLE", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "INSTITUT CATHOLIQUE LILLE - Licence - Portail Pluridisciplinaire - Projet personnel", "Licence - Arts-lettres-langues", "Projet personnel", 28, 100, 58, 74, 0, 51, 2, 3, 2, 0, 0, 20, 26, 11, 1, 1, 13, 56, 9, 0, 0, 42, 0, 2, 1, 0, 0, 12, 61, 19, 6, 12, 7, 7.0, 12.0, 17.0, 0, 0, 15, 14, 1, 0, 4, 0, 2, 9, 2, 2, 0.0, 12, 1, 0, 0, 0, 3, 3, 36.84, 63.16, 89.47, 31.59765625, 20.0, 20.0, 0, 0.0, 78.890625, 0.0, 13.298828125, 60.0, 13.298828125, 13.3, 0.0, 93.296875, 80.0, 6.69921875, 6.69921875, 0.0, 0.0, 43.0, 0.0, 0.0, 0.0, 16.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "29153", "Licence - Portail Pluridisciplinaire - Projet personnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29153&g_ta_cod=29153", 89.0, 11.0, 0.0),
(889, "Public", "0755188G", "Sorbonne Université - Médecine", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "Sorbonne Université ? Médecine - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 120, 2115, 2048, 2115, 0, 672, 88, 28, 8, 5, 4, 1410, 0, 0, 0, 0, 0, 531, 0, 0, 0, 218, 14, 0, 0, 0, 0, 313, 220, 120, 119, 120, 0, 58.0, 108.0, 113.0, 0, 9, 43, 43, 0, 0, 77, 0, 0, 2, 21, 18, 2.0, 43, 0, 0, 0, 0, 0, 23, 48.33, 90.0, 94.17, 99.1875, 0.0, 53.5, 0, 20.8984375, 35.796875, 0.0, 0.0, 4.69921875, 48.796875, 41.9, 4.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 88.0, 14.0, 0.0, 0.0, 132.0, "Tous les candidats", 228.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "26345", "Certificat de capacité d'Orthophoniste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26345&g_ta_cod=26345", 100.0, 0.0, 0.0),
(890, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Chimie - Parcours Chimie / Biologie", "Licence - Sciences - technologies - santé", "Chimie / Biologie", 32, 2017, 1555, 2017, 0, 1052, 268, 72, 33, 3, 2, 890, 0, 0, 0, 0, 0, 2017, 0, 0, 0, 1052, 268, 72, 33, 3, 2, 890, 310, 28, 21, 27, 0, 0.0, 10.0, 18.0, 0, 4, 11, 10, 1, 0, 17, 0, 3, 2, 3, 3, 0.0, 8, 0, 0, 0, 0, 4, 11, 0.0, 35.71, 64.29, 75.0, 36.3984375, 100.0, 0, 36.3984375, 39.296875, 0.0, 27.296875, 18.19921875, 27.296875, 27.3, 0.0, 90.890625, 72.6875, 9.099609375, 0.0, 0.0, 0.0, 183.0, 41.0, 0.0, 0.0, 126.0, "Tous les candidats", 491.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "33520", "Licence - Chimie - Parcours Chimie / Biologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33520&g_ta_cod=33520", 96.0, 4.0, 0.0),
(891, "Public", "0940121W", "Lycée D'Arsonval", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "CPGE", "Lycée D'Arsonval - CPGE - PCSI", "Classe préparatoire scientifique", "", 35, 590, 182, 590, 0, 449, 57, 1, 0, 0, 0, 140, 0, 0, 0, 0, 0, 439, 0, 0, 439, 404, 44, 0, 0, 0, 0, 35, 247, 34, 5, 34, 0, 9.0, 20.0, 29.0, 0, 3, 34, 34, 0, 0, 0, 0, 0, 6, 27, 1, 0.0, 34, 0, 0, 1, 0, 33, 34, 26.47, 58.82, 85.29, 14.69921875, 97.09375, 100.0, 2.89990234375, 8.798828125, 100.0, 0.0, 0.0, 17.59765625, 79.390625, 2.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 235.0, 25.0, 0.0, 0.0, 12.0, "Tous les candidats", 277.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "11398", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11398&g_ta_cod=11398", 100.0, 0.0, 0.0),
(892, "Public", "0511196Y", "Lycée de Somme-Vesle", "51", "Marne", "Grand Est", "Reims", "Somme-Vesle", "formation sélective", "BTS", "Lycée de Somme-Vesle - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 16, 156, 78, 150, 0, 9, 2, 36, 7, 8, 3, 97, 6, 1, 1, 0, 4, 56, 4, 0, 0, 8, 2, 36, 7, 8, 3, 4, 52, 12, 6, 10, 2, 3.0, 9.0, 10.0, 0, 2, 12, 4, 7, 1, 0, 0, 7, 3, 2, 0, 0.0, 0, 4, 1, 6, 2, 11, 11, 25.0, 75.0, 83.33, 50.0, 91.6875, 91.6875, 50, 16.69921875, 100.0, 0.0, 58.296875, 25.0, 16.69921875, 0.0, 0.0, 33.296875, 0.0, 58.296875, 33.296875, 8.298828125, 8.298828125, 9.0, 2.0, 9.0, 4.0, 5.0, "Tous les candidats sauf les Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 9, "", 0, "Liste d'appel propre à cette formation", 37.0, "6112", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6112&g_ta_cod=6112", 33.0, 58.0, 8.0),
(893, "Public", "0133288D", "Lycée Jean Monnet", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Vitrolles", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1077, 577, 1067, 0, 104, 38, 410, 194, 319, 168, 234, 10, 0, 3, 0, 7, 450, 0, 0, 0, 65, 17, 164, 59, 152, 73, 69, 188, 31, 14, 31, 0, 2.0, 19.0, 23.0, 0, 7, 24, 7, 7, 10, 7, 0, 7, 11, 6, 0, 0.0, 3, 4, 10, 11, 4, 24, 24, 6.45, 61.29, 74.19, 45.1953125, 100.0, 100.0, 45.796875, 29.19921875, 77.390625, 0.0, 29.19921875, 45.796875, 25.0, 0.0, 0.0, 29.19921875, 12.5, 29.19921875, 16.69921875, 41.6953125, 41.6953125, 32.0, 13.0, 50.0, 23.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 21.0, "2799", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2799&g_ta_cod=2799", 29.0, 32.0, 39.0),
(894, "Public", "0240024W", "Lycée Bertran De Born", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "CPGE", "Lycée Bertran De Born - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 250, 167, 249, 143, 188, 30, 2, 0, 0, 0, 59, 1, 1, 0, 0, 0, 208, 0, 128, 200, 180, 29, 2, 0, 0, 0, 26, 197, 46, 27, 46, 0, 28.0, 43.0, 46.0, 11, 6, 37, 36, 1, 0, 9, 0, 4, 18, 10, 4, 1.0, 32, 1, 0, 3, 1, 32, 32, 60.87, 93.48, 100.0, 58.6953125, 86.5, 86.5, 8.099609375, 16.19921875, 80.390625, 0.0, 10.798828125, 48.59375, 27.0, 10.8, 2.7, 97.296875, 86.5, 2.69970703125, 2.69970703125, 0.0, 0.0, 171.0, 25.0, 0.0, 0.0, 25.0, "Tous les candidats", 208.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "3422", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3422&g_ta_cod=3422", 98.0, 2.0, 0.0),
(895, "Public", "0911786X", "ECOLE PLURIDISCIPLINAIRE CENTRE HOSPITALIER", "91", "Essonne", "Ile-de-France", "Versailles", "Corbeil-Essonnes", "formation sélective", "Autre formation", "ECOLE PLURIDISCIPLINAIRE CENTRE HOSPITALIER - D.E manipulateur/trice en électroradiologie médicale", "D.E secteur sanitaire", "", 35, 621, 503, 621, 0, 74, 23, 213, 76, 14, 8, 320, 0, 0, 0, 0, 0, 422, 0, 0, 0, 59, 18, 169, 62, 5, 2, 189, 124, 34, 29, 34, 0, 7.0, 21.0, 28.0, 0, 8, 25, 2, 23, 0, 9, 0, 7, 15, 2, 1, 0.0, 2, 16, 0, 0, 0, 14, 23, 20.59, 61.76, 82.35, 85.296875, 56.0, 92.0, 0, 32.0, 73.5, 0.0, 28.0, 60.0, 8.0, 4.0, 0.0, 8.0, 8.0, 92.0, 64.0, 0.0, 0.0, 17.0, 5.0, 0.0, 0.0, 29.0, "Tous les candidats", 128.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "19424", "D.E manipulateur/trice en électroradiologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19424&g_ta_cod=19424", 18.0, 79.0, 3.0),
(896, "Public", "0130050J", "Lycée Denis Diderot", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Denis Diderot - DN MADE - Mode - - Spécialité : Modes plurielles : Création vêtements, accessoires, images", "DN MADE", "- Spécialité : Modes plurielles : Création vêtements, accessoires, images", 14, 1055, 862, 1055, 0, 400, 80, 254, 70, 112, 33, 289, 0, 0, 0, 0, 0, 279, 0, 0, 0, 137, 16, 79, 11, 5, 2, 58, 44, 15, 13, 15, 0, 1.0, 11.0, 13.0, 0, 4, 12, 7, 5, 0, 3, 0, 0, 1, 8, 3, 0.0, 7, 5, 0, 0, 0, 2, 2, 6.67, 73.33, 86.67, 86.6875, 16.69921875, 16.69921875, 0, 33.296875, 80.0, 0.0, 0.0, 8.298828125, 66.6875, 25.0, 0.0, 58.296875, 58.296875, 41.6953125, 41.6953125, 0.0, 0.0, 21.0, 5.0, 0.0, 0.0, 5.0, "Tous les candidats", 69.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "24096", "DN MADE - Mode - - Spécialité : Modes plurielles : Création vêtements, accessoires, images", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24096&g_ta_cod=24096", 67.0, 33.0, 0.0),
(897, "Public", "0595856V", "Lycée professionnel de L'Yser", "59", "Nord", "Hauts-de-France", "Lille", "Wormhout", "formation sélective", "Autre formation", "Lycée professionnel de L'Yser - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 13, 2, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 2, 1, 1, 0, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 9.0, 2.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35007", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=35007&g_ta_cod=35007", 50.0, 50.0, 0.0),
(898, "Privé sous contrat d'association", "0593104D", "Lycée Saint Pierre", "59", "Nord", "Hauts-de-France", "Lille", "Fourmies", "formation sélective", "BTS", "Lycée Saint Pierre - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 36, 119, 57, 101, 0, 22, 9, 21, 7, 43, 17, 15, 18, 0, 11, 0, 7, 101, 6, 0, 0, 22, 9, 21, 7, 43, 17, 15, 84, 25, 11, 25, 0, 17.0, 24.0, 24.0, 0, 10, 21, 3, 3, 15, 4, 0, 7, 9, 5, 0, 0.0, 1, 0, 13, 13, 4, 18, 18, 68.0, 96.0, 96.0, 44.0, 85.6875, 85.6875, 61.8984375, 47.59375, 84.0, 0.0, 33.296875, 42.8984375, 23.796875, 0.0, 0.0, 14.298828125, 4.7998046875, 14.298828125, 0.0, 71.390625, 61.8984375, 16.0, 5.0, 37.0, 15.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 94.0, "6983", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6983&g_ta_cod=6983", 28.0, 12.0, 60.0),
(899, "Public", "0050005D", "Lycée professionnel Alpes et Durance Lycée des Métiers pluri-actifs du bois et de l'habitat en montagne", "05", "Hautes-Alpes", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Embrun", "formation sélective", "BTS", "Lycée professionnel Alpes et Durance Lycée des Métiers pluri-actifs du bois et de l'habitat en montagne - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 16, 154, 14, 154, 0, 34, 5, 27, 3, 51, 7, 42, 0, 0, 0, 0, 0, 135, 0, 0, 0, 32, 3, 25, 3, 45, 6, 33, 51, 15, 2, 15, 0, 1.0, 13.0, 15.0, 0, 3, 12, 2, 2, 8, 3, 0, 2, 5, 3, 2, 0.0, 0, 2, 8, 4, 0, 9, 9, 6.67, 86.67, 100.0, 13.298828125, 75.0, 75.0, 33.296875, 25.0, 80.0, 0.0, 16.69921875, 41.6953125, 25.0, 16.7, 0.0, 16.69921875, 0.0, 16.69921875, 16.69921875, 66.6875, 66.6875, 17.0, 3.0, 18.0, 4.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 45.0, "17706", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17706&g_ta_cod=17706", 27.0, 20.0, 53.0),
(900, "Privé sous contrat d'association", "0211091X", "Lycée Les Arcades", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Les Arcades - BTS - Services - Communication", "BTS - Services", "", 30, 467, 311, 467, 0, 109, 13, 124, 14, 67, 23, 167, 0, 0, 0, 0, 0, 237, 0, 0, 0, 78, 12, 56, 4, 30, 7, 73, 77, 28, 20, 28, 0, 9.0, 22.0, 23.0, 0, 2, 11, 8, 2, 1, 17, 0, 1, 10, 0, 0, 0.0, 7, 2, 1, 3, 2, 11, 11, 32.14, 78.57, 82.14, 71.390625, 100.0, 100.0, 27.296875, 18.19921875, 39.296875, 0.0, 9.099609375, 90.890625, 0.0, 0.0, 0.0, 72.6875, 63.59375, 18.19921875, 18.19921875, 9.099609375, 9.099609375, 20.0, 6.0, 11.0, 4.0, 39.0, "Tous les candidats sauf les Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 16.0, "3231", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3231&g_ta_cod=3231", 64.0, 21.0, 14.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(901, "Public", "0382440W", "Lycée des Métiers - Léonard de Vinci", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Villefontaine", "formation sélective", "BTS", "Lycée des Métiers - Léonard de Vinci - BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "BTS - Services", "", 10, 1196, 297, 1157, 0, 472, 75, 203, 52, 134, 38, 348, 39, 10, 6, 0, 23, 106, 1, 0, 0, 41, 1, 10, 3, 44, 11, 11, 33, 10, 5, 9, 1, 3.0, 7.0, 9.0, 0, 0, 8, 7, 0, 1, 2, 0, 0, 1, 6, 1, 0.0, 7, 0, 1, 0, 0, 2, 2, 30.0, 70.0, 90.0, 50.0, 25.0, 25.0, 0, 0.0, 80.0, 0.0, 0.0, 12.5, 75.0, 12.5, 0.0, 87.5, 87.5, 0.0, 0.0, 12.5, 12.5, 20.0, 0.0, 2.0, 1.0, 5.0, "Tous les candidats sauf les Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 5.0, "5108", "BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5108&g_ta_cod=5108", 80.0, 0.0, 20.0),
(902, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Lettres - Parcours Lettres - Enseignement à distance", "Licence - Arts-lettres-langues", "Lettres - Enseignement à distance", 50, 377, 288, 174, 0, 48, 14, 4, 0, 1, 1, 121, 203, 14, 2, 0, 187, 173, 189, 0, 0, 48, 14, 4, 0, 1, 1, 120, 313, 45, 36, 10, 34, 1.0, 10.0, 27.0, 0, 2, 6, 6, 0, 0, 39, 1, 0, 4, 1, 0, 0.0, 5, 0, 0, 0, 0, 3, 3, 2.22, 22.22, 60.0, 80.0, 50.0, 50.0, 0, 33.296875, 13.298828125, 16.69921875, 0.0, 66.6875, 16.69921875, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 61.0, 20.0, 1.0, 1.0, 248.0, "Tous les candidats", 173.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "19539", "Licence - Lettres - Parcours Lettres - Enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19539&g_ta_cod=19539", 76.0, 7.0, 11.0),
(903, "Public", "0320025D", "Lycée D'Artagnan", "32", "Gers", "Occitanie", "Toulouse", "Nogaro", "formation sélective", "BTS", "Lycée D'Artagnan - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 18, 155, 51, 137, 0, 3, 0, 25, 7, 38, 16, 71, 18, 0, 7, 4, 7, 79, 17, 0, 0, 3, 0, 24, 7, 35, 15, 17, 78, 14, 6, 11, 3, 2.0, 7.0, 9.0, 0, 5, 10, 0, 2, 8, 4, 0, 5, 3, 2, 0, 0.0, 0, 0, 5, 5, 4, 8, 8, 14.29, 50.0, 64.29, 42.8984375, 80.0, 80.0, 50, 50.0, 71.390625, 0.0, 50.0, 30.0, 20.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 50.0, 2.0, 0.0, 35.0, 17.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 52.0, "21180", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21180&g_ta_cod=21180", 21.0, 14.0, 64.0),
(904, "Public", "0134061U", "IUT Aix-Marseille - Site d'Aix-En-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BUT", "IUT Aix-Marseille - Site d'Aix-En-Provence - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Parcours : Déploiement d'applications communicantes et sécurisées", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Parcours : Déploiement d'applications communicantes et sécurisées", 108, 2053, 204, 2042, 0, 1121, 243, 450, 122, 16, 7, 455, 11, 0, 5, 0, 6, 921, 1, 0, 0, 575, 120, 302, 76, 0, 0, 44, 445, 111, 9, 110, 1, 10.0, 90.0, 100.0, 0, 25, 104, 57, 47, 0, 7, 0, 12, 43, 46, 2, 1.0, 56, 36, 0, 0, 0, 76, 76, 9.01, 81.08, 90.09, 8.099609375, 73.09375, 73.09375, 0, 24.0, 93.6875, 0.0, 11.5, 41.296875, 44.1953125, 1.9, 1.0, 54.796875, 53.796875, 45.1953125, 34.59375, 0.0, 0.0, 229.0, 35.0, 0.0, 0.0, 23.0, "Tous les candidats sauf les Bac technologiques", 383.0, "Bacheliers technologiques toutes séries", 304, "", 0, "Liste d'appel propre à cette formation", 34.0, "2701", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Parcours : Déploiement d'applications communicantes et sécurisées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2701&g_ta_cod=2701", 51.0, 49.0, 0.0),
(905, "Public", "0210015C", "Lycée Carnot", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "CPGE", "Lycée Carnot - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 1443, 1016, 1443, 924, 1219, 127, 0, 0, 1, 0, 223, 0, 0, 0, 0, 0, 701, 0, 291, 674, 686, 63, 0, 0, 0, 0, 15, 306, 48, 38, 48, 0, 14.0, 35.0, 45.0, 7, 4, 48, 48, 0, 0, 0, 0, 0, 0, 11, 36, 1.0, 48, 0, 0, 4, 3, 31, 31, 29.17, 72.92, 93.75, 79.1875, 64.59375, 64.59375, 8.298828125, 8.298828125, 100.0, 0.0, 0.0, 0.0, 22.8984375, 75.0, 2.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 299.0, 26.0, 0.0, 0.0, 7.0, "Tous les candidats", 427.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "3179", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3179&g_ta_cod=3179", 100.0, 0.0, 0.0),
(906, "Public", "0690040U", "Lycée Hector Guimard", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "BTS", "Lycée Hector Guimard - BTS - Production - Fonderie", "BTS - Production", "", 12, 140, 13, 125, 0, 10, 1, 38, 5, 21, 9, 56, 15, 4, 0, 4, 7, 79, 3, 0, 0, 10, 1, 33, 3, 20, 9, 16, 45, 10, 1, 8, 2, 2.0, 8.0, 8.0, 0, 2, 8, 2, 3, 3, 2, 0, 5, 2, 1, 0, 0.0, 0, 1, 2, 2, 0, 4, 4, 20.0, 80.0, 80.0, 10.0, 50.0, 50.0, 25, 25.0, 80.0, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 25.0, 0.0, 37.5, 12.5, 37.5, 25.0, 9.0, 1.0, 16.0, 7.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 44.0, "8227", "BTS - Production - Fonderie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8227&g_ta_cod=8227", 40.0, 30.0, 30.0),
(907, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien - Mineures Didactique du français langue étrangère OU Etudes internationales", "Licence - Arts-lettres-langues", "Italien - Mineures Didactique du français langue étrangère OU Etudes internationales", 20, 83, 61, 48, 0, 23, 5, 6, 5, 0, 0, 19, 35, 5, 6, 3, 21, 48, 34, 0, 0, 23, 5, 6, 5, 0, 0, 19, 74, 19, 12, 11, 8, 6.0, 11.0, 16.0, 0, 5, 11, 6, 4, 1, 8, 0, 5, 4, 2, 0, 0.0, 3, 2, 1, 0, 0, 2, 8, 31.58, 57.89, 84.21, 63.1953125, 18.19921875, 72.6875, 0, 45.5, 57.8984375, 0.0, 45.5, 36.3984375, 18.19921875, 0.0, 0.0, 54.5, 27.296875, 36.3984375, 18.19921875, 9.099609375, 9.099609375, 27.0, 5.0, 3.0, 2.0, 32.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24061", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien - Mineures Didactique du français langue étrangère OU Etudes internationales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24061&g_ta_cod=24061", 63.0, 21.0, 16.0),
(908, "Public", "9760206V", "Lycée professionnel agricole de COCONI", "976", "Mayotte", "Mayotte", "Mayotte", "Ouangani", "formation sélective", "BTS", "Lycée professionnel agricole de COCONI - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 27, 520, 286, 351, 0, 45, 29, 53, 31, 108, 58, 145, 169, 43, 0, 56, 70, 72, 14, 0, 0, 20, 12, 15, 6, 24, 12, 13, 74, 27, 18, 17, 10, 3.0, 15.0, 25.0, 0, 11, 20, 7, 4, 9, 7, 0, 10, 8, 2, 0, 0.0, 3, 0, 7, 3, 2, 20, 20, 11.11, 55.56, 92.59, 66.6875, 100.0, 100.0, 15, 55.0, 74.09375, 0.0, 50.0, 40.0, 10.0, 0.0, 0.0, 35.0, 15.0, 20.0, 0.0, 45.0, 35.0, 22.0, 12.0, 27.0, 13.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers technologiques toutes séries", 21, "Bacheliers professionnels toutes séries", 25, "Liste d'appel propre à cette formation", 19.0, "26477", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26477&g_ta_cod=26477", 30.0, 30.0, 41.0),
(909, "Public", "0221852U", "UFR Sciences Sociales - Université de Rennes 2 - Site de Saint-Brieuc", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation non sélective", "Licence", "UFR Sciences Sociales - Université de Rennes 2 - Site de Saint-Brieuc - Licence - Langues étrangères appliquées - Parcours Antenne univeritaire de la ville de Saint Brieuc - Langues Etrangères Appliquées : Anglais et Espagnol (niveau B1/B2 attendu pour les 2 langues)", "Licence - Arts-lettres-langues", "Antenne univeritaire de la ville de Saint Brieuc - Langues Etrangères Appliquées : Anglais et Espagnol (niveau B1/B2 attendu pour les 2 langues)", 80, 386, 275, 299, 0, 200, 36, 44, 11, 11, 1, 44, 87, 22, 9, 5, 51, 299, 65, 0, 0, 200, 36, 44, 11, 11, 1, 44, 336, 66, 40, 48, 18, 28.0, 47.0, 55.0, 0, 14, 40, 26, 11, 3, 26, 0, 18, 18, 4, 0, 0.0, 16, 5, 1, 0, 0, 38, 38, 42.42, 71.21, 83.33, 60.59375, 95.0, 95.0, 0, 35.0, 60.59375, 0.0, 45.0, 45.0, 10.0, 0.0, 0.0, 65.0, 40.0, 27.5, 12.5, 7.5, 2.5, 205.0, 40.0, 9.0, 2.0, 77.0, "Tous les candidats", 299.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15503", "Licence - Langues étrangères appliquées - Parcours Antenne univeritaire de la ville de Saint Brieuc - Langues Etrangères Appliquées : Anglais et Espagnol (niveau B1/B2 attendu pour les 2 langues)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15503&g_ta_cod=15503", 62.0, 26.0, 12.0),
(910, "Public", "0750654D", "Lycée Henri IV", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "CPGE", "Lycée Henri IV - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 3572, 1949, 3572, 1967, 3243, 325, 1, 0, 4, 2, 324, 0, 0, 0, 0, 0, 642, 0, 286, 497, 638, 58, 0, 0, 0, 0, 4, 119, 23, 12, 23, 0, 3.0, 16.0, 19.0, 5, 4, 23, 23, 0, 0, 0, 0, 0, 0, 1, 16, 6.0, 23, 0, 0, 1, 0, 5, 14, 13.04, 69.57, 82.61, 52.1953125, 21.69921875, 60.8984375, 4.2998046875, 17.3984375, 100.0, 0.0, 0.0, 0.0, 4.2998046875, 69.6, 26.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 119.0, 12.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "31618", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31358&g_ta_cod=31618", 100.0, 0.0, 0.0),
(911, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 3 Paul Sabatier - Licence - Portail Génie civil", "Licence - Sciences - technologies - santé", "", 98, 961, 261, 961, 0, 602, 97, 100, 21, 4, 3, 255, 0, 0, 0, 0, 0, 961, 0, 0, 0, 602, 97, 100, 21, 4, 3, 255, 528, 94, 17, 94, 0, 26.0, 62.0, 83.0, 0, 12, 88, 80, 8, 0, 6, 0, 44, 35, 9, 0, 0.0, 41, 3, 0, 0, 0, 60, 60, 27.66, 65.96, 88.3, 18.09765625, 68.1875, 68.1875, 0, 13.599609375, 93.59375, 0.0, 50.0, 39.796875, 10.19921875, 0.0, 0.0, 90.890625, 46.59375, 9.099609375, 3.39990234375, 0.0, 0.0, 470.0, 65.0, 1.0, 1.0, 44.0, "Tous les candidats", 755.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 75.0, "17960", "Licence - Portail Génie civil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27520&g_ta_cod=17960", 91.0, 9.0, 0.0),
(912, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Italien et Gestion parcours Techniques quantitatives et management (TQM)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Italien et Gestion parcours Techniques quantitatives et management (TQM)", 10, 99, 61, 99, 0, 71, 11, 1, 0, 3, 1, 24, 0, 0, 0, 0, 0, 99, 0, 0, 0, 71, 11, 1, 0, 3, 1, 24, 38, 10, 7, 10, 0, 1.0, 7.0, 8.0, 0, 0, 7, 7, 0, 0, 3, 0, 1, 0, 5, 1, 0.0, 6, 0, 0, 0, 0, 2, 2, 10.0, 70.0, 80.0, 70.0, 28.59765625, 28.59765625, 0, 0.0, 70.0, 0.0, 14.298828125, 0.0, 71.390625, 14.3, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 29.0, 4.0, 0.0, 0.0, 9.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "8521", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Italien et Gestion parcours Techniques quantitatives et management (TQM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8521&g_ta_cod=8521", 100.0, 0.0, 0.0),
(913, "Public", "0851457X", "I.U.T. La Roche-sur-Yon", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BUT", "I.U.T. La Roche-sur-Yon - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entreprenariat et management", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entreprenariat et management", 84, 530, 240, 474, 0, 326, 21, 109, 14, 1, 1, 38, 56, 0, 33, 0, 23, 345, 7, 0, 0, 250, 10, 77, 5, 0, 0, 18, 200, 83, 45, 81, 2, 40.0, 73.0, 79.0, 0, 5, 81, 52, 29, 0, 2, 0, 10, 47, 24, 0, 0.0, 47, 24, 0, 0, 0, 74, 74, 48.19, 87.95, 95.18, 54.1953125, 91.390625, 91.390625, 0, 6.19921875, 97.59375, 0.0, 12.298828125, 58.0, 29.59765625, 0.0, 0.0, 64.1875, 58.0, 35.796875, 29.59765625, 0.0, 0.0, 116.0, 9.0, 0.0, 0.0, 7.0, "Tous les candidats sauf les Bac technologiques", 150.0, "Bacheliers technologiques toutes séries", 77, "", 0, "Liste d'appel propre à cette formation", 48.0, "10560", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entreprenariat et management", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10560&g_ta_cod=10560", 64.0, 36.0, 0.0),
(914, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Université Angers - Licence - Portail Histoire", "Licence - Sciences humaines et sociales", "", 160, 1464, 748, 1410, 0, 1046, 162, 110, 28, 34, 16, 220, 54, 11, 6, 2, 35, 1410, 28, 0, 0, 1046, 162, 110, 28, 34, 16, 220, 1173, 155, 69, 144, 11, 74.0, 142.0, 146.0, 0, 31, 123, 105, 12, 6, 32, 0, 46, 51, 23, 3, 0.0, 67, 5, 5, 0, 0, 102, 102, 47.74, 91.61, 94.19, 44.5, 82.890625, 82.890625, 0, 25.19921875, 79.390625, 0.0, 37.3984375, 41.5, 18.69921875, 2.4, 0.0, 85.390625, 54.5, 9.798828125, 4.099609375, 4.8994140625, 4.099609375, 908.0, 146.0, 16.0, 9.0, 178.0, "Tous les candidats", 1534.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27730", "Licence - Portail Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27732&g_ta_cod=27730", 80.0, 12.0, 8.0),
(915, "Public", "0060020P", "Lycée Amiral De Grasse", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Grasse", "formation sélective", "BTS", "Lycée Amiral De Grasse - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 454, 224, 454, 0, 93, 14, 143, 42, 136, 50, 82, 0, 0, 0, 0, 0, 335, 0, 0, 0, 89, 12, 118, 33, 76, 24, 52, 128, 35, 15, 35, 0, 7.0, 25.0, 35.0, 0, 6, 32, 13, 10, 9, 3, 0, 15, 15, 2, 0, 0.0, 6, 3, 8, 5, 2, 31, 31, 20.0, 71.43, 100.0, 42.8984375, 96.890625, 96.890625, 15.599609375, 18.796875, 91.390625, 0.0, 46.8984375, 46.8984375, 6.2998046875, 0.0, 0.0, 40.59375, 18.796875, 31.296875, 9.3984375, 28.09765625, 25.0, 31.0, 8.0, 42.0, 12.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 102, "Liste d'appel propre à cette formation", 46.0, "2201", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2201&g_ta_cod=2201", 37.0, 34.0, 29.0),
(916, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Gaston Berger - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 59, 464, 158, 376, 0, 31, 8, 138, 57, 101, 52, 106, 88, 10, 29, 9, 40, 248, 22, 0, 0, 30, 8, 107, 43, 67, 35, 44, 148, 41, 12, 28, 13, 11.0, 20.0, 28.0, 0, 14, 29, 3, 18, 8, 12, 0, 15, 12, 1, 1, 0.0, 1, 6, 7, 6, 2, 28, 28, 26.83, 48.78, 68.29, 29.296875, 96.59375, 96.59375, 20.69921875, 48.296875, 70.6875, 0.0, 51.6953125, 41.3984375, 3.39990234375, 3.4, 0.0, 10.298828125, 3.39990234375, 62.09375, 20.69921875, 27.59765625, 24.09765625, 8.0, 0.0, 59.0, 33.0, 35.0, "Tous les candidats sauf les Bac professionnels", 168.0, "Bacheliers professionnels toutes séries", 73, "", 0, "Liste d'appel propre à cette formation", 64.0, "6863", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6863&g_ta_cod=6863", 20.0, 51.0, 29.0),
(917, "Public", "0690276A", "CNED", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 4e  Arrondissement", "formation sélective", "BTS", "CNED - BTS - Services - Communication", "BTS - Services", "", 3200, 2246, 1408, 1809, 0, 364, 90, 303, 106, 205, 103, 937, 437, 61, 66, 49, 261, 1808, 421, 0, 0, 364, 90, 302, 106, 205, 103, 937, 2230, 444, 269, 336, 108, 333.0, 335.0, 382.0, 0, 36, 119, 47, 40, 32, 325, 3, 60, 36, 16, 4, 0.0, 21, 18, 17, 1, 0, 22, 22, 75.0, 75.45, 86.04, 60.59375, 18.5, 18.5, 0.7999267578125, 30.296875, 26.796875, 2.5, 50.3984375, 30.296875, 13.3984375, 3.4, 0.0, 39.5, 17.59765625, 33.59375, 15.099609375, 26.8984375, 14.298828125, 423.0, 109.0, 253.0, 126.0, 1190.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1092.0, "Bacheliers professionnels toutes séries", 274, "Bacheliers technologiques toutes séries", 443, "Liste d'appel propre à cette formation", 100.0, "20796", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20796&g_ta_cod=20796", 65.0, 20.0, 14.0),
(918, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Etudes théâtrales - Parcours Théâtre - Mineure Cinéma et Audiovisuel", "Licence - Arts-lettres-langues", "Théâtre - Mineure Cinéma et Audiovisuel", 27, 975, 626, 975, 0, 582, 94, 49, 14, 56, 18, 288, 0, 0, 0, 0, 0, 975, 0, 0, 0, 582, 94, 49, 14, 56, 18, 288, 91, 26, 18, 26, 0, 6.0, 25.0, 25.0, 0, 3, 21, 20, 1, 0, 5, 0, 0, 0, 7, 13, 1.0, 20, 1, 0, 0, 0, 1, 6, 23.08, 96.15, 96.15, 69.1875, 4.7998046875, 28.59765625, 0, 14.298828125, 80.796875, 0.0, 0.0, 0.0, 33.296875, 61.9, 4.8, 95.1875, 95.1875, 4.7998046875, 4.7998046875, 0.0, 0.0, 69.0, 13.0, 0.0, 0.0, 18.0, "Tous les candidats", 131.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "9222", "Licence - Etudes théâtrales - Parcours Théâtre - Mineure Cinéma et Audiovisuel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9222&g_ta_cod=9222", 96.0, 4.0, 0.0),
(919, "Public", "0771988T", "I.F.S.I. du centre hospitalier du sud Seine-et-Marne (rentrée en février)", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Fontainebleau", "formation sélective", "IFSI", "Regroupement d'IFSI UPEC (P12)  - D.E Infirmier", "D.E secteur sanitaire", "", 68, 3180, 2787, 3180, 0, 321, 80, 494, 171, 493, 236, 1872, 0, 0, 0, 0, 0, 2123, 0, 0, 0, 293, 69, 353, 107, 306, 135, 1171, 812, 67, 62, 67, 0, 1.0, 25.0, 60.0, 0, 9, 31, 13, 15, 3, 36, 0, 9, 15, 6, 1, 0.0, 8, 11, 3, 0, 0, 17, 20, 1.49, 37.31, 89.55, 92.5, 54.796875, 64.5, 0, 29.0, 46.296875, 0.0, 29.0, 48.3984375, 19.3984375, 3.2, 0.0, 41.8984375, 25.796875, 48.3984375, 35.5, 9.69921875, 9.69921875, 170.0, 44.0, 103.0, 42.0, 417.0, "Tous les candidats", 2637.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "25260", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23006&g_ta_cod=25260", 43.0, 30.0, 21.0),
(920, "Public", "0261505V", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS - BTS - Production - Conception de produits industriels", "BTS - Production", "", 24, 276, 19, 263, 0, 19, 2, 129, 23, 40, 14, 75, 13, 0, 4, 4, 5, 185, 3, 0, 0, 19, 2, 99, 17, 32, 10, 35, 119, 14, 2, 14, 0, 1.0, 11.0, 14.0, 0, 2, 8, 1, 7, 0, 6, 0, 3, 3, 2, 0, 0.0, 1, 4, 0, 3, 0, 6, 6, 7.14, 78.57, 100.0, 14.298828125, 75.0, 75.0, 37.5, 25.0, 57.09375, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 12.5, 12.5, 87.5, 50.0, 0.0, 0.0, 9.0, 2.0, 28.0, 7.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 123, "Liste d'appel propre à cette formation", 67.0, "16809", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16809&g_ta_cod=16809", 14.0, 86.0, 0.0),
(921, "Public", "0692185A", "INSTITUT DES SCIENCES ET TECHNIQUES DE LA READAPTATION UNIVERSITE LYON 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Autre formation", "INSTITUT DES SCIENCES ET TECHNIQUES DE LA READAPTATION UNIVERSITE LYON 1 - D.E Psychomotricien", "D.E secteur sanitaire", "", 65, 2328, 2181, 2328, 0, 551, 97, 156, 50, 8, 5, 1613, 0, 0, 0, 0, 0, 430, 0, 0, 0, 86, 6, 12, 0, 0, 0, 332, 101, 65, 57, 65, 0, 41.0, 60.0, 62.0, 0, 3, 12, 10, 2, 0, 53, 0, 0, 1, 7, 2, 2.0, 10, 2, 0, 0, 0, 4, 4, 63.08, 92.31, 95.38, 87.6875, 33.296875, 33.296875, 0, 25.0, 18.5, 0.0, 0.0, 8.298828125, 58.296875, 16.7, 16.7, 83.296875, 83.296875, 16.69921875, 16.69921875, 0.0, 0.0, 21.0, 6.0, 0.0, 0.0, 78.0, "Tous les candidats", 107.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "26324", "D.E Psychomotricien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26324&g_ta_cod=26324", 89.0, 6.0, 5.0),
(922, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation non sélective", "Licence", "Université Gustave Eiffel - Licence - Langues étrangères appliquées - Parcours LANGUES ÉTRANGÈRES APPLIQUÉES : Anglais-Allemand", "Licence - Arts-lettres-langues", "LANGUES ÉTRANGÈRES APPLIQUÉES : Anglais-Allemand", 45, 195, 134, 147, 0, 89, 20, 17, 7, 4, 2, 37, 48, 10, 8, 4, 26, 147, 46, 0, 0, 89, 20, 17, 7, 4, 2, 37, 176, 43, 30, 27, 15, 11.0, 26.0, 34.0, 0, 4, 28, 19, 6, 3, 15, 0, 11, 12, 4, 1, 0.0, 13, 1, 3, 0, 0, 21, 25, 25.58, 60.47, 79.07, 69.796875, 75.0, 89.296875, 0, 14.298828125, 65.09375, 0.0, 39.296875, 42.8984375, 14.298828125, 3.6, 0.0, 67.890625, 46.3984375, 21.3984375, 3.599609375, 10.69921875, 10.69921875, 94.0, 22.0, 6.0, 3.0, 55.0, "Tous les candidats", 147.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9920", "Licence - Langues étrangères appliquées - Parcours LANGUES ÉTRANGÈRES APPLIQUÉES : Anglais-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9920&g_ta_cod=9920", 63.0, 23.0, 14.0),
(923, "Public", "0930122C", "Lycée CONDORCET", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "BTS", "Lycée CONDORCET - BTS - Production - Traitement des matériaux", "BTS - Production", "", 24, 267, 46, 142, 0, 14, 3, 35, 12, 13, 11, 80, 125, 5, 28, 25, 67, 52, 20, 0, 0, 13, 3, 21, 5, 6, 5, 12, 70, 15, 1, 8, 7, 4.0, 8.0, 11.0, 0, 5, 8, 2, 1, 5, 7, 0, 3, 5, 0, 0, 0.0, 1, 0, 4, 0, 0, 7, 8, 26.67, 53.33, 73.33, 6.69921875, 87.5, 100.0, 0, 62.5, 53.296875, 0.0, 37.5, 62.5, 0.0, 0.0, 0.0, 25.0, 12.5, 12.5, 0.0, 62.5, 50.0, 16.0, 3.0, 6.0, 5.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 36.0, "11183", "BTS - Production - Traitement des matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11183&g_ta_cod=11183", 33.0, 33.0, 33.0),
(924, "Public", "0310044E", "Lycée Déodat de Séverac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Déodat de Séverac - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 47, 643, 33, 580, 0, 24, 6, 92, 24, 270, 100, 194, 63, 6, 18, 0, 39, 310, 14, 0, 0, 12, 2, 72, 20, 181, 64, 45, 206, 49, 2, 43, 6, 9.0, 38.0, 44.0, 0, 17, 39, 2, 10, 27, 10, 0, 12, 16, 8, 3, 0.0, 0, 3, 24, 7, 0, 32, 32, 18.37, 77.55, 89.8, 4.099609375, 82.09375, 82.09375, 17.8984375, 43.59375, 79.59375, 0.0, 30.796875, 41.0, 20.5, 7.7, 0.0, 5.099609375, 0.0, 25.59765625, 7.69921875, 69.1875, 61.5, 11.0, 2.0, 91.0, 30.0, 46.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 139, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 44.0, "4055", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4055&g_ta_cod=4055", 12.0, 31.0, 57.0),
(925, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Sociologie - Philosophie - Sciences de l'Education - Sciences du langage", "Licence - Sciences humaines et sociales", "Mention Sociologie", 100, 1353, 1059, 1296, 0, 792, 223, 80, 24, 34, 13, 390, 57, 4, 6, 3, 44, 1285, 54, 0, 0, 792, 223, 80, 24, 34, 13, 379, 903, 91, 63, 72, 19, 16.0, 47.0, 69.0, 0, 13, 46, 36, 5, 5, 45, 0, 18, 21, 6, 1, 0.0, 23, 1, 4, 0, 0, 29, 29, 17.58, 51.65, 75.82, 69.1875, 63.0, 63.0, 0, 28.296875, 50.5, 0.0, 39.09375, 45.6953125, 13.0, 2.2, 0.0, 78.296875, 50.0, 10.8984375, 2.19970703125, 10.8984375, 8.69921875, 555.0, 161.0, 22.0, 11.0, 266.0, "Tous les candidats", 2366.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "24042", "Licence - Portail Sociologie - Philosophie - Sciences de l'Education - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24038&g_ta_cod=24042", 73.0, 16.0, 11.0),
(926, "Public", "0671557D", "I.U.T. d'Illkirch", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "BUT", "I.U.T. d'Illkirch - BUT - Génie civil - Construction durable Parcours : Travaux Publics en triple diplôme franco-suisse-allemand", "BUT - Production", "Travaux Publics en triple diplôme franco-suisse-allemand", 9, 247, 64, 247, 0, 127, 19, 52, 15, 3, 1, 65, 0, 0, 0, 0, 0, 123, 0, 0, 0, 75, 5, 19, 2, 0, 0, 29, 50, 10, 2, 10, 0, 0.0, 6.0, 9.0, 0, 0, 8, 8, 0, 0, 2, 0, 0, 2, 5, 1, 0.0, 8, 0, 0, 0, 0, 6, 6, 0.0, 60.0, 90.0, 20.0, 75.0, 75.0, 0, 0.0, 80.0, 0.0, 0.0, 25.0, 62.5, 12.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 26.0, 4.0, 0.0, 0.0, 11.0, "Tous les candidats sauf les Bac technologiques", 95.0, "Bacheliers technologiques toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 47.0, "7968", "BUT - Génie civil - Construction durable Parcours : Travaux Publics en triple diplôme franco-suisse-allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7968&g_ta_cod=7968", 90.0, 10.0, 0.0),
(927, "Privé sous contrat d'association", "0753897D", "Lycée Saint Michel de Picpus", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "CPGE", "Lycée Saint Michel de Picpus - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 22, 1651, 793, 1626, 0, 1505, 81, 2, 2, 0, 0, 119, 25, 13, 0, 0, 12, 600, 3, 0, 600, 600, 31, 0, 0, 0, 0, 0, 268, 16, 12, 14, 1, 2.0, 5.0, 13.0, 0, 2, 15, 15, 0, 0, 1, 0, 0, 3, 8, 4, 0.0, 15, 0, 0, 0, 0, 7, 13, 12.5, 31.25, 81.25, 75.0, 46.6953125, 86.6875, 0, 13.298828125, 93.796875, 0.0, 0.0, 20.0, 53.296875, 26.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 267.0, 14.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "31466", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31373&g_ta_cod=31466", 100.0, 0.0, 0.0),
(928, "Public", "0640220S", "Lycée agricole de Pau-Montardon", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Montardon", "formation sélective", "BTS", "Lycée agricole de Pau-Montardon - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 32, 235, 96, 235, 0, 21, 3, 76, 20, 50, 18, 88, 0, 0, 0, 0, 0, 158, 0, 0, 0, 21, 3, 76, 20, 50, 18, 11, 62, 32, 15, 32, 0, 25.0, 30.0, 32.0, 0, 10, 31, 0, 23, 8, 1, 0, 9, 20, 2, 0, 0.0, 0, 18, 4, 20, 11, 24, 24, 78.13, 93.75, 100.0, 46.8984375, 77.390625, 77.390625, 64.5, 32.296875, 96.890625, 0.0, 29.0, 64.5, 6.5, 0.0, 0.0, 0.0, 0.0, 74.1875, 58.09375, 25.796875, 12.8984375, 0.0, 0.0, 30.0, 12.0, 1.0, "Tous les candidats sauf les Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 38.0, "7727", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7727&g_ta_cod=7727", 0.0, 75.0, 25.0),
(929, "Public", "0130143K", "Lycée Paul Langevin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Martigues", "formation sélective", "BTS", "Lycée Paul Langevin - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 120, 8, 114, 0, 2, 0, 72, 13, 26, 14, 14, 6, 0, 1, 0, 5, 102, 2, 0, 0, 2, 0, 68, 12, 22, 12, 10, 50, 12, 0, 12, 0, 3.0, 11.0, 12.0, 0, 5, 11, 0, 6, 5, 1, 0, 9, 2, 0, 0, 0.0, 0, 1, 1, 5, 0, 11, 11, 25.0, 91.67, 100.0, 0.0, 100.0, 100.0, 45.5, 45.5, 91.6875, 0.0, 81.796875, 18.19921875, 0.0, 0.0, 0.0, 0.0, 0.0, 54.5, 9.099609375, 45.5, 9.099609375, 0.0, 0.0, 13.0, 9.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 60.0, "2614", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2614&g_ta_cod=2614", 0.0, 58.0, 42.0),
(930, "Privé sous contrat d'association", "0594278E", "lycée E.P.I.D.", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "lycée E.P.I.D. - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 15, 151, 29, 137, 0, 14, 5, 23, 2, 13, 2, 87, 14, 2, 4, 0, 8, 57, 7, 0, 0, 14, 5, 23, 2, 12, 1, 8, 54, 7, 2, 4, 3, 1.0, 4.0, 6.0, 0, 0, 5, 2, 1, 2, 2, 0, 2, 1, 1, 0, 1.0, 1, 1, 1, 0, 0, 5, 5, 14.29, 57.14, 85.71, 28.59765625, 100.0, 100.0, 0, 0.0, 71.390625, 0.0, 40.0, 20.0, 20.0, 0.0, 20.0, 40.0, 20.0, 20.0, 20.0, 40.0, 20.0, 14.0, 4.0, 10.0, 1.0, 9.0, "Tous les candidats sauf les Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 41.0, "7103", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7103&g_ta_cod=7103", 57.0, 14.0, 29.0),
(931, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Italien", "Licence - Arts-lettres-langues", "Anglais - Mineure Italien", 10, 93, 75, 93, 0, 60, 17, 3, 0, 1, 0, 29, 0, 0, 0, 0, 0, 93, 0, 0, 0, 60, 17, 3, 0, 1, 0, 29, 43, 10, 9, 10, 0, 1.0, 9.0, 9.0, 0, 2, 7, 6, 1, 0, 3, 0, 0, 3, 3, 0, 1.0, 6, 1, 0, 0, 0, 1, 4, 10.0, 90.0, 90.0, 90.0, 14.298828125, 57.09375, 0, 28.59765625, 70.0, 0.0, 0.0, 42.8984375, 42.8984375, 0.0, 14.3, 85.6875, 85.6875, 14.298828125, 14.298828125, 0.0, 0.0, 31.0, 10.0, 0.0, 0.0, 10.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "24008", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24008&g_ta_cod=24008", 90.0, 10.0, 0.0),
(932, "Public", "0631225P", "LPA de Rochefort-Montagne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Rochefort-Montagne", "formation sélective", "BTS", "LPA de Rochefort-Montagne - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 27, 745, 313, 743, 0, 222, 30, 188, 30, 146, 36, 187, 2, 0, 0, 2, 0, 489, 1, 0, 0, 205, 28, 106, 16, 69, 15, 109, 119, 26, 15, 26, 0, 4.0, 21.0, 25.0, 0, 6, 18, 3, 7, 8, 8, 1, 2, 11, 2, 2, 0.0, 1, 7, 7, 3, 1, 8, 8, 15.38, 80.77, 96.15, 57.6953125, 44.3984375, 44.3984375, 16.69921875, 33.296875, 69.1875, 5.599609375, 11.099609375, 61.09375, 11.099609375, 11.1, 0.0, 16.69921875, 5.599609375, 38.8984375, 38.8984375, 44.3984375, 38.8984375, 19.0, 6.0, 35.0, 6.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 104.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 111, "Liste d'appel propre à cette formation", 37.0, "7617", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7617&g_ta_cod=7617", 35.0, 31.0, 35.0),
(933, "Public", "0931613Y", "Lycée Louise Michel", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation sélective", "CPGE", "Lycée Louise Michel - CPGE - ENS Cachan D2", "Classe préparatoire économique et commerciale", "", 27, 368, 187, 313, 0, 208, 63, 55, 29, 0, 0, 50, 55, 15, 12, 1, 27, 232, 13, 0, 232, 177, 54, 42, 23, 0, 0, 13, 182, 26, 12, 19, 7, 7.0, 17.0, 24.0, 0, 11, 22, 9, 13, 0, 4, 0, 2, 15, 5, 0, 0.0, 7, 13, 0, 4, 2, 18, 22, 26.92, 65.38, 92.31, 46.1953125, 81.796875, 100.0, 18.19921875, 50.0, 84.59375, 0.0, 9.099609375, 68.1875, 22.69921875, 0.0, 0.0, 40.8984375, 31.796875, 59.09375, 59.09375, 0.0, 0.0, 126.0, 36.0, 0.0, 0.0, 18.0, "Tous les candidats", 231.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "11279", "CPGE - ENS Cachan D2", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11279&g_ta_cod=11279", 46.0, 54.0, 0.0),
(934, "Privé sous contrat d'association", "0291542U", "IFSI Croix Rouge Française Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bretagne Occidentale - D.E Infirmier", "D.E secteur sanitaire", "", 89, 2330, 1957, 2330, 0, 466, 64, 469, 97, 246, 77, 1149, 0, 0, 0, 0, 0, 2017, 0, 0, 0, 448, 57, 419, 81, 205, 60, 945, 532, 89, 75, 89, 0, 1.0, 58.0, 74.0, 0, 11, 64, 27, 30, 7, 25, 1, 6, 33, 19, 5, 0.0, 23, 27, 7, 0, 0, 56, 56, 1.12, 65.17, 83.15, 84.296875, 87.5, 87.5, 0, 17.19921875, 71.890625, 1.599853515625, 9.3984375, 51.59375, 29.69921875, 7.8, 0.0, 42.1953125, 35.8984375, 46.8984375, 42.1953125, 10.8984375, 10.8984375, 170.0, 17.0, 50.0, 15.0, 156.0, "Tous les candidats", 786.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "23390", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23376&g_ta_cod=23390", 52.0, 37.0, 11.0),
(935, "Public", "9720695Y", "Lycée Acajou 2", "972", "Martinique", "Martinique", "Martinique", "Le Lamentin", "formation sélective", "BTS", "Lycée Acajou 2 - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 23, 115, 5, 102, 0, 7, 2, 12, 5, 74, 45, 9, 13, 1, 0, 11, 1, 37, 1, 0, 0, 1, 1, 8, 4, 28, 19, 0, 38, 19, 2, 17, 1, 13.0, 16.0, 17.0, 0, 10, 17, 0, 2, 15, 1, 0, 6, 8, 3, 0, 0.0, 0, 1, 10, 6, 0, 17, 17, 68.42, 84.21, 89.47, 10.5, 100.0, 100.0, 35.296875, 58.796875, 89.5, 0.0, 35.296875, 47.09375, 17.59765625, 0.0, 0.0, 0.0, 0.0, 11.798828125, 5.8994140625, 88.1875, 58.796875, 1.0, 1.0, 29.0, 19.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 36.0, "11825", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11825&g_ta_cod=11825", 5.0, 11.0, 79.0),
(936, "Privé enseignement supérieur", "0752792C", "IPAG Business School - Campus de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Programme Grande Ecole - American Track", 100, 1739, 856, 1715, 0, 1474, 76, 97, 7, 5, 2, 139, 24, 13, 2, 0, 9, 1638, 7, 0, 0, 1424, 66, 86, 6, 2, 1, 126, 1645, 33, 14, 29, 4, 29.0, 29.0, 31.0, 0, 0, 29, 19, 9, 1, 4, 0, 12, 12, 4, 1, 0.0, 12, 5, 0, 0, 0, 7, 23, 87.88, 87.88, 93.94, 42.3984375, 24.09765625, 79.296875, 0, 0.0, 87.890625, 0.0, 41.3984375, 41.3984375, 13.798828125, 3.4, 0.0, 65.5, 41.3984375, 31.0, 17.19921875, 3.39990234375, 0.0, 1426.0, 66.0, 2.0, 1.0, 129.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "26114", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26114", 70.0, 27.0, 3.0),
(937, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Philosophie / Sociologie - PHILOSOPHIE - SOCIOLOGIE", "Licence - Sciences humaines et sociales", "PHILOSOPHIE - SOCIOLOGIE", 30, 951, 679, 951, 0, 635, 92, 11, 4, 4, 0, 301, 0, 0, 0, 0, 0, 516, 0, 0, 0, 374, 38, 0, 0, 0, 0, 142, 156, 28, 17, 28, 0, 2.0, 17.0, 25.0, 0, 3, 20, 20, 0, 0, 8, 0, 0, 1, 5, 11, 3.0, 20, 0, 0, 0, 0, 1, 6, 7.14, 60.71, 89.29, 60.6953125, 5.0, 30.0, 0, 15.0, 71.390625, 0.0, 0.0, 5.0, 25.0, 55.0, 15.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 114.0, 22.0, 0.0, 0.0, 42.0, "Tous les candidats", 246.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "9312", "Double licence - Philosophie / Sociologie - PHILOSOPHIE - SOCIOLOGIE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9312&g_ta_cod=9312", 100.0, 0.0, 0.0),
(938, "Public", "0930126G", "Lycée Auguste Blanqui", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Ouen-sur-Seine", "formation sélective", "CPGE", "Lycée Auguste Blanqui - CPGE - Lettres", "Classe préparatoire littéraire", "", 36, 372, 228, 326, 111, 195, 75, 1, 0, 3, 2, 127, 46, 20, 2, 1, 23, 215, 15, 70, 211, 193, 74, 1, 0, 0, 0, 21, 172, 24, 14, 22, 2, 3.0, 21.0, 23.0, 5, 3, 14, 14, 0, 0, 10, 0, 2, 6, 5, 1, 0.0, 12, 0, 0, 2, 1, 6, 11, 12.5, 87.5, 95.83, 58.296875, 42.8984375, 78.59375, 14.298828125, 21.3984375, 58.296875, 0.0, 14.298828125, 42.8984375, 35.6953125, 7.1, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 151.0, 60.0, 0.0, 0.0, 20.0, "Tous les candidats", 215.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "11197", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11197&g_ta_cod=11197", 100.0, 0.0, 0.0),
(939, "Privé sous contrat d'association", "0382938M", "MFR Moirans - CFA FRMFREO", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Moirans", "formation sélective", "BTS", "MFR Moirans - CFA FRMFREO - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 26, 277, 242, 144, 0, 9, 2, 31, 7, 51, 18, 53, 133, 14, 19, 40, 60, 54, 9, 0, 0, 2, 0, 10, 3, 36, 14, 6, 56, 5, 3, 3, 2, 1.0, 3.0, 4.0, 0, 1, 3, 0, 0, 3, 2, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 3, 3, 20.0, 60.0, 80.0, 60.0, 100.0, 100.0, 0, 33.296875, 60.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 33.296875, 2.0, 0.0, 36.0, 13.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 36.0, "5131", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5131&g_ta_cod=5131", 0.0, 40.0, 60.0),
(940, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence_Las", "Université de Poitiers - Licence - Portail  -  option Santé", "Licence - Droit-économie-gestion", "", 100, 367, 274, 346, 0, 254, 54, 18, 4, 0, 0, 74, 21, 9, 2, 0, 10, 346, 18, 0, 0, 254, 54, 18, 4, 0, 0, 74, 302, 99, 73, 85, 14, 33.0, 74.0, 86.0, 0, 12, 79, 76, 3, 0, 20, 0, 30, 30, 16, 3, 0.0, 48, 1, 0, 0, 0, 62, 62, 33.33, 74.75, 86.87, 73.6875, 78.5, 78.5, 0, 15.19921875, 79.796875, 0.0, 38.0, 38.0, 20.296875, 3.8, 0.0, 96.1875, 60.796875, 3.7998046875, 1.2998046875, 0.0, 0.0, 223.0, 43.0, 0.0, 0.0, 65.0, "Tous les candidats", 346.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "28732", "Licence - Portail  -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28732&g_ta_cod=28732", 93.0, 6.0, 0.0),
(941, "Public", "0590221V", "Lycée Henri Wallon", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "Autre formation", "Lycée Henri Wallon - Diplôme de Comptabilité et de Gestion", "DCG", "", 48, 584, 267, 490, 0, 174, 56, 94, 45, 20, 14, 202, 94, 11, 12, 5, 66, 210, 29, 0, 0, 135, 36, 49, 25, 1, 1, 25, 181, 25, 16, 16, 9, 13.0, 16.0, 22.0, 0, 6, 18, 14, 4, 0, 7, 0, 3, 8, 5, 2, 0.0, 11, 4, 0, 0, 0, 14, 14, 52.0, 64.0, 88.0, 64.0, 77.796875, 77.796875, 0, 33.296875, 72.0, 0.0, 16.69921875, 44.3984375, 27.796875, 11.1, 0.0, 77.796875, 61.09375, 22.19921875, 22.19921875, 0.0, 0.0, 111.0, 26.0, 1.0, 0.0, 36.0, "Tous les candidats", 209.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "14123", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14123&g_ta_cod=14123", 64.0, 36.0, 0.0),
(942, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales - Parcours Economie-gestion, Sciences cognitives", "Licence - Sciences - technologies - santé", "Economie-gestion, Sciences cognitives", 100, 1086, 455, 1086, 0, 737, 100, 25, 6, 3, 1, 321, 0, 0, 0, 0, 0, 1086, 0, 0, 0, 737, 100, 25, 6, 3, 1, 321, 611, 106, 37, 106, 0, 26.0, 86.0, 103.0, 0, 13, 68, 67, 1, 0, 38, 0, 13, 27, 24, 4, 0.0, 55, 0, 0, 0, 0, 53, 53, 24.53, 81.13, 97.17, 34.8984375, 77.890625, 77.890625, 0, 19.09765625, 64.1875, 0.0, 19.09765625, 39.6953125, 35.296875, 5.9, 0.0, 98.5, 80.890625, 1.5, 0.0, 0.0, 0.0, 444.0, 59.0, 1.0, 0.0, 163.0, "Tous les candidats", 784.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "19133", "Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales - Parcours Economie-gestion, Sciences cognitives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19133&g_ta_cod=19133", 99.0, 1.0, 0.0),
(943, "Public", "0620215X", "Université du littoral - Site de Calais -", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "Autre formation", "Université du littoral - Site de Calais - - DEUST - Bureautique et Communication Multimédia - Parcours Webdesigner/Webdeveloppeur", "DEUST", "Parcours Webdesigner/Webdeveloppeur", 10, 125, 43, 74, 0, 28, 5, 17, 4, 7, 2, 22, 51, 15, 6, 5, 25, 48, 7, 0, 0, 22, 5, 12, 2, 1, 1, 13, 43, 9, 1, 6, 3, 3.0, 6.0, 8.0, 0, 1, 6, 4, 1, 1, 3, 0, 2, 1, 3, 0, 0.0, 2, 1, 1, 0, 0, 5, 5, 33.33, 66.67, 88.89, 11.099609375, 83.296875, 83.296875, 0, 16.69921875, 66.6875, 0.0, 33.296875, 16.69921875, 50.0, 0.0, 0.0, 66.6875, 33.296875, 16.69921875, 16.69921875, 16.69921875, 16.69921875, 19.0, 5.0, 1.0, 1.0, 16.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "32714", "DEUST - Bureautique et Communication Multimédia - Parcours Webdesigner/Webdeveloppeur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32714&g_ta_cod=32714", 78.0, 11.0, 11.0),
(944, "Privé sous contrat d'association", "0060673Z", "Lycée Stanislas", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "CPGE", "Lycée Stanislas - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 769, 431, 769, 571, 700, 56, 2, 0, 0, 0, 67, 0, 0, 0, 0, 0, 607, 0, 474, 526, 580, 43, 0, 0, 0, 0, 27, 214, 26, 21, 26, 0, 0.0, 14.0, 23.0, 22, 2, 26, 26, 0, 0, 0, 0, 0, 1, 16, 9, 0.0, 26, 0, 0, 3, 3, 19, 19, 0.0, 53.85, 88.46, 80.796875, 73.09375, 73.09375, 11.5, 7.69921875, 100.0, 0.0, 0.0, 3.7998046875, 61.5, 34.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 210.0, 14.0, 0.0, 0.0, 4.0, "Tous les candidats", 346.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "31345", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31345&g_ta_cod=31345", 100.0, 0.0, 0.0),
(945, "Public", "0170087C", "Lycée agricole Georges Desclaude", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Saintes", "formation sélective", "BTS", "Lycée agricole Georges Desclaude - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 27, 345, 109, 325, 0, 41, 5, 62, 9, 44, 6, 178, 20, 7, 2, 3, 8, 274, 13, 0, 0, 41, 5, 62, 9, 44, 6, 127, 100, 17, 2, 13, 4, 5.0, 13.0, 16.0, 0, 1, 17, 5, 6, 6, 0, 0, 9, 3, 3, 2, 0.0, 2, 1, 5, 0, 0, 8, 8, 29.41, 76.47, 94.12, 11.798828125, 47.09375, 47.09375, 0, 5.8994140625, 100.0, 0.0, 52.8984375, 17.59765625, 17.59765625, 11.8, 0.0, 29.3984375, 11.798828125, 35.296875, 5.8994140625, 35.296875, 29.3984375, 28.0, 2.0, 23.0, 3.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 41.0, "3046", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3046&g_ta_cod=3046", 29.0, 35.0, 35.0),
(946, "Public", "0620166U", "Lycée Albert Chatelet", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Pol-sur-Ternoise", "formation sélective", "BTS", "Lycée Albert Chatelet - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 336, 175, 314, 0, 52, 13, 119, 47, 52, 26, 91, 22, 0, 0, 15, 7, 232, 1, 0, 0, 52, 13, 119, 47, 42, 20, 19, 101, 31, 17, 31, 0, 9.0, 19.0, 31.0, 0, 14, 31, 6, 18, 7, 0, 0, 20, 6, 5, 0, 0.0, 1, 7, 3, 20, 12, 30, 30, 29.03, 61.29, 100.0, 54.796875, 96.796875, 96.796875, 64.5, 45.1953125, 100.0, 0.0, 64.5, 19.3984375, 16.09765625, 0.0, 0.0, 19.3984375, 3.19970703125, 58.09375, 22.59765625, 22.59765625, 9.69921875, 22.0, 6.0, 42.0, 20.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 41.0, "7392", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7392&g_ta_cod=7392", 19.0, 58.0, 23.0),
(947, "Public", "0132133Y", "Aix Marseille Université - Site d'Aix-en-Provence (3 Schuman)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence (3 Schuman) - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 1278, 7995, 5796, 7995, 0, 5992, 1230, 579, 183, 109, 59, 1315, 0, 0, 0, 0, 0, 7962, 0, 0, 0, 5992, 1230, 579, 183, 109, 59, 1282, 4193, 1272, 952, 1271, 0, 741.0, 1041.0, 1152.0, 0, 280, 1151, 1097, 42, 12, 121, 3, 105, 388, 505, 140, 10.0, 1001, 32, 10, 0, 0, 853, 853, 58.25, 81.84, 90.57, 74.796875, 74.09375, 74.09375, 0, 24.296875, 90.5, 0.29998779296875, 9.099609375, 33.6953125, 43.8984375, 12.2, 0.9, 95.296875, 87.0, 3.599609375, 2.7998046875, 1.0, 0.89990234375, 3384.0, 735.0, 37.0, 26.0, 625.0, "Tous les candidats", 4726.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 58.0, "12527", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28485&g_ta_cod=12527", 94.0, 4.0, 2.0),
(948, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Education et Motricité", "Licence - STAPS", "Education et Motricité", 100, 450, 140, 450, 0, 262, 48, 70, 14, 17, 7, 101, 0, 0, 0, 0, 0, 448, 0, 0, 0, 262, 48, 70, 14, 17, 7, 99, 292, 99, 21, 99, 0, 25.0, 85.0, 94.0, 0, 20, 76, 62, 8, 6, 23, 0, 38, 30, 6, 2, 0.0, 30, 3, 5, 0, 0, 66, 66, 25.25, 85.86, 94.95, 21.19921875, 86.796875, 86.796875, 0, 26.296875, 76.796875, 0.0, 50.0, 39.5, 7.8994140625, 2.6, 0.0, 81.59375, 39.5, 10.5, 3.89990234375, 7.8994140625, 6.599609375, 191.0, 39.0, 15.0, 7.0, 66.0, "Tous les candidats", 335.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "31800", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Education et Motricité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31800&g_ta_cod=31800", 77.0, 17.0, 6.0),
(949, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence_Las", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Russie - Russe", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères, parcours Russie - Russe", 10, 52, 41, 50, 0, 22, 13, 1, 0, 0, 0, 27, 2, 1, 0, 0, 1, 50, 1, 0, 0, 22, 13, 1, 0, 0, 0, 27, 27, 10, 5, 9, 1, 4.0, 6.0, 9.0, 0, 2, 2, 2, 0, 0, 8, 0, 1, 0, 0, 1, 0.0, 1, 0, 0, 0, 0, 0, 1, 40.0, 60.0, 90.0, 50.0, 0.0, 50.0, 0, 100.0, 20.0, 0.0, 50.0, 0.0, 0.0, 50.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 12.0, 8.0, 0.0, 0.0, 15.0, "Tous les candidats", 105.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 74.0, "29628", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Russie - Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29627&g_ta_cod=29628", 100.0, 0.0, 0.0),
(950, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Portail Licence 1ère année Portail Sciences de la vie et de l'environnement", "Licence - Sciences - technologies - santé", "Licence 1ère année Portail Sciences de la vie et de l'environnement", 125, 1338, 915, 1320, 0, 870, 144, 60, 17, 4, 2, 386, 18, 6, 1, 2, 9, 1304, 15, 0, 0, 870, 144, 60, 17, 4, 2, 370, 827, 121, 86, 114, 7, 4.0, 74.0, 95.0, 0, 21, 85, 79, 5, 1, 36, 0, 35, 34, 14, 2, 0.0, 47, 2, 1, 0, 0, 83, 83, 3.31, 61.16, 78.51, 71.09375, 97.59375, 97.59375, 0, 24.69921875, 70.1875, 0.0, 41.1953125, 40.0, 16.5, 2.4, 0.0, 92.890625, 55.296875, 5.8994140625, 2.39990234375, 1.199951171875, 1.199951171875, 584.0, 98.0, 1.0, 0.0, 214.0, "Tous les candidats", 1283.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 75.0, "6617", "Licence - Portail Licence 1ère année Portail Sciences de la vie et de l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26940&g_ta_cod=6617", 92.0, 5.0, 2.0),
(951, "Public", "0510035L", "Lycée Hugues Libergier", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Hugues Libergier - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 15, 503, 345, 503, 0, 133, 24, 161, 47, 28, 3, 181, 0, 0, 0, 0, 0, 394, 0, 0, 0, 133, 24, 121, 34, 28, 3, 112, 75, 14, 11, 14, 0, 3.0, 11.0, 14.0, 0, 4, 11, 5, 5, 1, 3, 0, 3, 5, 3, 0, 0.0, 4, 4, 0, 3, 1, 7, 7, 21.43, 78.57, 100.0, 78.59375, 63.59375, 63.59375, 27.296875, 36.3984375, 78.59375, 0.0, 27.296875, 45.5, 27.296875, 0.0, 0.0, 45.5, 36.3984375, 45.5, 36.3984375, 9.099609375, 0.0, 29.0, 5.0, 5.0, 1.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 31.0, "6072", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6072&g_ta_cod=6072", 36.0, 57.0, 7.0),
(952, "Privé sous contrat d'association", "0550049E", "Lycée Sainte-Anne", "55", "Meuse", "Grand Est", "Nancy-Metz", "Verdun", "formation sélective", "BTS", "Lycée Sainte-Anne - BTS - Services - Support à l'action managériale", "BTS - Services", "", 18, 60, 37, 50, 0, 3, 0, 19, 2, 11, 4, 17, 10, 1, 3, 3, 3, 37, 9, 0, 0, 3, 0, 18, 2, 11, 4, 5, 42, 10, 6, 7, 3, 4.0, 6.0, 10.0, 0, 2, 9, 1, 4, 4, 1, 0, 5, 3, 1, 0, 0.0, 0, 1, 3, 0, 0, 9, 9, 40.0, 60.0, 100.0, 60.0, 100.0, 100.0, 0, 22.19921875, 90.0, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 11.099609375, 0.0, 44.3984375, 11.099609375, 44.3984375, 33.296875, 4.0, 0.0, 13.0, 6.0, 7.0, "Tous les candidats sauf les Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 12, "", 0, "Liste d'appel propre à cette formation", 72.0, "6407", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6407&g_ta_cod=6407", 10.0, 50.0, 40.0),
(953, "Public", "0851457X", "I.U.T. La Roche-sur-Yon", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BUT", "I.U.T. La Roche-sur-Yon - BUT - Information communication Parcours communication des organisations", "BUT - Service", "", 28, 741, 590, 741, 0, 513, 48, 123, 18, 5, 3, 100, 0, 0, 0, 0, 0, 181, 0, 0, 0, 137, 9, 29, 3, 0, 0, 15, 75, 29, 28, 29, 0, 6.0, 26.0, 28.0, 0, 2, 23, 15, 8, 0, 6, 0, 0, 9, 13, 1, 0.0, 15, 8, 0, 0, 0, 17, 17, 20.69, 89.66, 96.55, 96.59375, 73.890625, 73.890625, 0, 8.69921875, 79.296875, 0.0, 0.0, 39.09375, 56.5, 4.3, 0.0, 65.1875, 65.1875, 34.796875, 34.796875, 0.0, 0.0, 44.0, 4.0, 0.0, 0.0, 8.0, "Tous les candidats sauf les Bac technologiques", 68.0, "Bacheliers technologiques toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 13.0, "10561", "BUT - Information communication Parcours communication des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10561&g_ta_cod=10561", 62.0, 34.0, 0.0),
(954, "Public", "0610001V", "Lycée Alain", "61", "Orne", "Normandie", "Normandie", "Alençon", "formation sélective", "BTS", "Lycée Alain - BTS - Production - Electrotechnique", "BTS - Production", "", 8, 150, 9, 147, 0, 4, 1, 36, 8, 44, 19, 63, 3, 0, 1, 2, 0, 100, 0, 0, 0, 4, 1, 34, 8, 41, 19, 21, 49, 8, 0, 8, 0, 0.0, 7.0, 8.0, 0, 2, 7, 0, 4, 3, 1, 0, 2, 4, 1, 0, 0.0, 0, 2, 3, 4, 0, 7, 7, 0.0, 87.5, 100.0, 0.0, 100.0, 100.0, 57.09375, 28.59765625, 87.5, 0.0, 28.59765625, 57.09375, 14.298828125, 0.0, 0.0, 0.0, 0.0, 57.09375, 28.59765625, 42.8984375, 42.8984375, 4.0, 1.0, 24.0, 10.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 56.0, "7290", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7290&g_ta_cod=7290", 13.0, 50.0, 38.0),
(955, "Public", "0820559M", "L.E.G.T.A. Montauban - Capou", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Montauban", "formation sélective", "BTS", "L.E.G.T.A. Montauban - Capou - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 16, 162, 53, 159, 0, 5, 1, 38, 9, 35, 16, 81, 3, 0, 3, 0, 0, 89, 2, 0, 0, 5, 1, 38, 9, 35, 16, 11, 66, 15, 3, 13, 2, 2.0, 12.0, 12.0, 0, 4, 13, 0, 7, 6, 2, 0, 8, 4, 0, 1, 0.0, 0, 3, 2, 0, 0, 12, 12, 13.33, 80.0, 80.0, 20.0, 92.296875, 92.296875, 0, 30.796875, 86.6875, 0.0, 61.5, 30.796875, 0.0, 7.7, 0.0, 0.0, 0.0, 53.796875, 23.09765625, 46.1953125, 15.3984375, 4.0, 1.0, 20.0, 11.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 48.0, "10322", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10322&g_ta_cod=10322", 7.0, 53.0, 40.0),
(956, "Public", "0261459V", "La Prépa des INP - Groupe INP - Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "Ecole d'Ingénieur", "La Prépa des INP - Groupe INP - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 33, 3298, 1073, 3298, 0, 3182, 228, 0, 0, 0, 0, 116, 0, 0, 0, 0, 0, 2322, 0, 0, 0, 2299, 150, 0, 0, 0, 0, 23, 853, 31, 15, 31, 0, 30.0, 30.0, 31.0, 0, 0, 31, 31, 0, 0, 0, 0, 0, 0, 2, 27, 2.0, 31, 0, 0, 0, 0, 15, 15, 96.77, 96.77, 100.0, 48.3984375, 48.3984375, 48.3984375, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 6.5, 87.1, 6.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 839.0, 79.0, 0.0, 0.0, 14.0, "Tous les candidats", 1540.0, "Autres formations", 26, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "158", "Formation d'ingénieur Bac + 5 - Bac général", "La Prépa des INP - Groupe INP", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=1&g_ta_cod=158", 100.0, 0.0, 0.0),
(957, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 130, 1186, 869, 1160, 0, 886, 196, 52, 15, 28, 16, 194, 26, 6, 1, 1, 18, 1160, 21, 0, 0, 886, 196, 52, 15, 28, 16, 194, 617, 131, 88, 119, 12, 20.0, 98.0, 116.0, 0, 21, 87, 80, 6, 1, 44, 0, 23, 35, 22, 7, 0.0, 62, 1, 1, 0, 0, 78, 78, 15.27, 74.81, 88.55, 67.1875, 89.6875, 89.6875, 0, 24.09765625, 66.390625, 0.0, 26.3984375, 40.1953125, 25.296875, 8.0, 0.0, 92.0, 71.296875, 6.8994140625, 1.099853515625, 1.099853515625, 1.099853515625, 464.0, 110.0, 12.0, 8.0, 120.0, "Tous les candidats", 1016.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "5071", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5071&g_ta_cod=5071", 86.0, 11.0, 2.0),
(958, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "PASS", "Université de Lille - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 70, 2483, 1701, 2483, 0, 1788, 339, 51, 21, 15, 8, 629, 0, 0, 0, 0, 0, 2483, 0, 0, 0, 1788, 339, 51, 21, 15, 8, 629, 792, 69, 49, 69, 0, 24.0, 46.0, 62.0, 0, 12, 59, 57, 1, 1, 10, 0, 2, 19, 30, 8, 0.0, 55, 1, 1, 0, 0, 56, 56, 34.78, 66.67, 89.86, 71.0, 94.890625, 94.890625, 0, 20.296875, 85.5, 0.0, 3.39990234375, 32.1953125, 50.796875, 13.6, 0.0, 96.59375, 93.1875, 1.699951171875, 1.699951171875, 1.699951171875, 1.699951171875, 680.0, 119.0, 5.0, 4.0, 96.0, "Tous les candidats", 5047.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "29179", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27162&g_ta_cod=29179", 97.0, 1.0, 1.0),
(959, "Public", "0060033D", "Lycée Honoré d'Estienne d'Orves (Beau-Site)", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Autre formation", "Lycée Honoré d'Estienne d'Orves (Beau-Site) - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 30, 674, 497, 633, 0, 166, 45, 110, 35, 4, 1, 353, 41, 0, 8, 0, 33, 200, 1, 0, 0, 83, 19, 26, 7, 0, 0, 91, 137, 26, 24, 25, 1, 5.0, 16.0, 20.0, 0, 6, 19, 15, 4, 0, 7, 0, 3, 9, 6, 1, 0.0, 13, 3, 0, 0, 0, 18, 18, 19.23, 61.54, 76.92, 92.296875, 94.6875, 94.6875, 0, 31.59765625, 73.09375, 0.0, 15.798828125, 47.3984375, 31.59765625, 5.3, 0.0, 78.890625, 68.390625, 21.09765625, 15.798828125, 0.0, 0.0, 59.0, 14.0, 0.0, 0.0, 64.0, "Tous les candidats", 136.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "2215", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2215&g_ta_cod=2215", 85.0, 15.0, 0.0),
(960, "Privé sous contrat d'association", "0380018N", "Lycée ISER-BORDIER", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée ISER-BORDIER - BTS - Services - Commerce International", "BTS - Services", "", 33, 401, 197, 401, 0, 114, 22, 118, 30, 43, 18, 126, 0, 0, 0, 0, 0, 340, 0, 0, 0, 104, 18, 104, 26, 38, 15, 94, 196, 31, 19, 31, 0, 1.0, 15.0, 23.0, 0, 1, 21, 11, 7, 3, 10, 0, 9, 9, 2, 1, 0.0, 5, 4, 3, 0, 0, 21, 21, 3.23, 48.39, 74.19, 61.296875, 100.0, 100.0, 0, 4.7998046875, 67.6875, 0.0, 42.8984375, 42.8984375, 9.5, 4.8, 0.0, 52.3984375, 23.796875, 33.296875, 19.0, 14.298828125, 14.298828125, 64.0, 12.0, 17.0, 5.0, 53.0, "Tous les candidats sauf les Bac professionnels", 182.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 52.0, "4917", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4917&g_ta_cod=4917", 58.0, 29.0, 13.0),
(961, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Estonien", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Europe - Estonien", 10, 9, 3, 7, 0, 3, 2, 0, 0, 0, 0, 4, 2, 0, 0, 0, 2, 7, 1, 0, 0, 3, 2, 0, 0, 0, 0, 4, 8, 3, 0, 2, 1, 2.0, 2.0, 2.0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 0, 0, 1, 0.0, 1, 0, 0, 0, 0, 0, 0, 66.67, 66.67, 66.67, 0.0, 0.0, 0.0, 0, 0.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 3.0, 2.0, 0.0, 0.0, 5.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9428", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Estonien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29623&g_ta_cod=9428", 100.0, 0.0, 0.0),
(962, "Public", "0770934X", "Lycée Leonard De Vinci", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation sélective", "BTS", "Lycée Leonard De Vinci - BTS - Production - Conception de produits industriels", "BTS - Production", "", 24, 231, 20, 231, 0, 12, 3, 98, 34, 53, 17, 68, 0, 0, 0, 0, 0, 209, 0, 0, 0, 12, 3, 96, 33, 53, 17, 48, 112, 25, 1, 25, 0, 6.0, 18.0, 21.0, 0, 6, 16, 0, 8, 8, 9, 0, 6, 8, 1, 1, 0.0, 0, 3, 7, 6, 0, 14, 16, 24.0, 72.0, 84.0, 4.0, 87.5, 100.0, 37.5, 37.5, 64.0, 0.0, 37.5, 50.0, 6.2998046875, 6.3, 0.0, 0.0, 0.0, 50.0, 18.796875, 50.0, 43.796875, 7.0, 2.0, 24.0, 5.0, 25.0, "Tous les candidats sauf les Bac professionnels", 113.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 65.0, "9812", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9812&g_ta_cod=9812", 12.0, 48.0, 40.0),
(963, "Privé sous contrat d'association", "0383208F", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Corenc", "formation sélective", "BTS", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 361, 170, 350, 0, 66, 8, 163, 30, 52, 13, 69, 11, 1, 5, 0, 5, 265, 3, 0, 0, 56, 5, 133, 23, 39, 10, 37, 168, 26, 12, 24, 2, 7.0, 19.0, 23.0, 0, 4, 25, 9, 11, 5, 1, 1, 6, 14, 3, 1, 0.0, 6, 7, 5, 4, 2, 21, 21, 26.92, 73.08, 88.46, 46.1953125, 84.0, 84.0, 16, 16.0, 96.1875, 4.0, 24.0, 56.0, 12.0, 4.0, 0.0, 36.0, 24.0, 44.0, 28.0, 20.0, 20.0, 37.0, 4.0, 24.0, 5.0, 17.0, "Tous les candidats sauf les Bac professionnels", 198.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 67.0, "5095", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5095&g_ta_cod=5095", 35.0, 46.0, 19.0),
(964, "Public", "0851390Z", "Lycée Leonard de Vinci", "85", "Vendée", "Pays de la Loire", "Nantes", "Montaigu-Vendée", "formation sélective", "Autre formation", "Lycée Leonard de Vinci - DN MADE - Graphisme - - Spécialité : Design d'édition multisupports", "DN MADE", "- Spécialité : Design d'édition multisupports", 15, 781, 506, 781, 0, 326, 54, 171, 34, 89, 22, 195, 0, 0, 0, 0, 0, 154, 0, 0, 0, 67, 6, 65, 13, 8, 0, 14, 60, 15, 13, 15, 0, 3.0, 15.0, 15.0, 0, 2, 15, 10, 5, 0, 0, 0, 0, 1, 13, 1, 0.0, 10, 5, 0, 0, 0, 11, 11, 20.0, 100.0, 100.0, 86.6875, 73.296875, 73.296875, 0, 13.298828125, 100.0, 0.0, 0.0, 6.69921875, 86.6875, 6.7, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 23.0, 3.0, 0.0, 0.0, 3.0, "Tous les candidats", 92.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "29081", "DN MADE - Graphisme - - Spécialité : Design d'édition multisupports", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29081&g_ta_cod=29081", 67.0, 33.0, 0.0),
(965, "Privé sous contrat d'association", "0593117T", "Lycée polyvalent privé La Salle", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée polyvalent privé La Salle - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 55, 690, 305, 641, 0, 124, 17, 222, 46, 147, 46, 148, 49, 6, 14, 11, 18, 291, 4, 0, 0, 83, 12, 118, 24, 52, 8, 38, 152, 37, 20, 36, 0, 18.0, 26.0, 34.0, 0, 7, 35, 13, 16, 6, 2, 0, 13, 19, 3, 0, 0.0, 6, 11, 5, 14, 7, 32, 32, 48.65, 70.27, 91.89, 54.09375, 91.390625, 91.390625, 40, 20.0, 94.59375, 0.0, 37.09375, 54.296875, 8.599609375, 0.0, 0.0, 37.09375, 17.09765625, 45.6953125, 31.3984375, 17.09765625, 14.298828125, 35.0, 7.0, 37.0, 8.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 103, "Liste d'appel propre à cette formation", 35.0, "17470", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17470&g_ta_cod=17470", 41.0, 43.0, 16.0),
(966, "Public", "0860034V", "Lycée Victor-Hugo", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée Victor-Hugo - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 1182, 588, 1154, 0, 138, 24, 459, 148, 222, 91, 335, 28, 0, 8, 4, 16, 315, 6, 0, 0, 24, 4, 137, 33, 134, 46, 20, 104, 24, 12, 19, 3, 6.0, 15.0, 17.0, 0, 5, 14, 0, 6, 8, 9, 0, 5, 7, 2, 0, 0.0, 0, 4, 5, 1, 1, 14, 14, 25.0, 62.5, 70.83, 50.0, 100.0, 100.0, 7.099609375, 35.6953125, 58.296875, 0.0, 35.6953125, 50.0, 14.298828125, 0.0, 0.0, 0.0, 0.0, 42.8984375, 28.59765625, 57.09375, 35.6953125, 11.0, 3.0, 36.0, 11.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 114, "Liste d'appel propre à cette formation", 17.0, "10583", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10583&g_ta_cod=10583", 21.0, 33.0, 42.0),
(967, "Public", "0761688X", "I.U.T du Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BUT", "I.U.T du Havre - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation", "BUT - Production", "Réalisation d'applications : conception, développement, validation", 100, 1396, 131, 1354, 0, 748, 133, 319, 73, 19, 6, 268, 42, 0, 19, 0, 23, 895, 3, 0, 0, 596, 94, 203, 42, 2, 1, 94, 452, 99, 5, 97, 2, 17.0, 77.0, 93.0, 0, 17, 86, 53, 33, 0, 13, 0, 15, 52, 15, 4, 0.0, 46, 25, 0, 0, 0, 73, 73, 17.17, 77.78, 93.94, 5.099609375, 84.890625, 84.890625, 0, 19.796875, 86.890625, 0.0, 17.3984375, 60.5, 17.3984375, 4.7, 0.0, 61.59375, 53.5, 38.3984375, 29.09765625, 0.0, 0.0, 260.0, 49.0, 0.0, 0.0, 44.0, "Tous les candidats sauf les Bac technologiques", 443.0, "Bacheliers technologiques toutes séries", 223, "", 0, "Liste d'appel propre à cette formation", 49.0, "9655", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9655&g_ta_cod=9655", 58.0, 41.0, 0.0),
(968, "Public", "9720429J", "Lycée professionnel Régional de Dillon", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée professionnel Régional de Dillon - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 31, 390, 234, 333, 0, 52, 23, 76, 39, 84, 58, 121, 57, 9, 4, 16, 28, 150, 11, 0, 0, 43, 20, 49, 25, 46, 33, 12, 121, 28, 18, 21, 7, 2.0, 21.0, 24.0, 0, 11, 24, 6, 8, 10, 4, 0, 9, 11, 4, 0, 0.0, 4, 4, 7, 0, 0, 22, 22, 7.14, 75.0, 85.71, 64.296875, 91.6875, 91.6875, 0, 45.796875, 85.6875, 0.0, 37.5, 45.796875, 16.69921875, 0.0, 0.0, 25.0, 16.69921875, 33.296875, 16.69921875, 41.6953125, 29.19921875, 30.0, 14.0, 42.0, 30.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 43.0, "11812", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11812&g_ta_cod=11812", 29.0, 36.0, 36.0),
(969, "Public", "9720350Y", "Lycée Frantz Fanon", "972", "Martinique", "Martinique", "Martinique", "La Trinité", "formation sélective", "BTS", "Lycée Frantz Fanon - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 30, 309, 272, 280, 0, 39, 19, 76, 44, 113, 80, 52, 29, 0, 0, 16, 13, 98, 6, 0, 0, 10, 4, 32, 16, 25, 16, 31, 86, 30, 22, 26, 2, 8.0, 23.0, 25.0, 0, 9, 16, 3, 10, 3, 14, 0, 10, 6, 0, 0, 0.0, 0, 3, 3, 6, 5, 13, 13, 26.67, 76.67, 83.33, 73.296875, 81.296875, 81.296875, 37.5, 56.296875, 53.296875, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 18.796875, 0.0, 62.5, 18.796875, 18.796875, 18.796875, 10.0, 4.0, 23.0, 15.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 30.0, "11809", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11809&g_ta_cod=11809", 20.0, 67.0, 13.0),
(970, "Public", "0370038R", "Lycée Grandmont", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Grandmont - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1642, 805, 1642, 0, 198, 57, 615, 180, 465, 183, 364, 0, 0, 0, 0, 0, 816, 0, 0, 0, 153, 38, 296, 72, 244, 85, 123, 173, 33, 13, 33, 0, 6.0, 24.0, 28.0, 0, 14, 29, 5, 10, 14, 4, 0, 5, 16, 8, 0, 0.0, 5, 6, 13, 2, 1, 28, 28, 18.18, 72.73, 84.85, 39.3984375, 96.59375, 96.59375, 6.8994140625, 48.296875, 87.890625, 0.0, 17.19921875, 55.1953125, 27.59765625, 0.0, 0.0, 17.19921875, 17.19921875, 34.5, 20.69921875, 48.296875, 44.796875, 34.0, 13.0, 55.0, 18.0, 23.0, "Tous les candidats sauf les Bac professionnels", 178.0, "Bacheliers professionnels toutes séries", 61, "", 0, "Liste d'appel propre à cette formation", 15.0, "4842", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4842&g_ta_cod=4842", 21.0, 36.0, 42.0),
(971, "Privé sous contrat d'association", "0312283N", "ERASME", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "EFTS", "ERASME - D.E Educateur Spécialisé", "D.E secteur social", "", 48, 483, 385, 483, 0, 67, 10, 41, 10, 29, 13, 346, 0, 0, 0, 0, 0, 158, 0, 0, 0, 7, 1, 5, 1, 3, 1, 143, 71, 47, 39, 47, 0, 30.0, 44.0, 47.0, 0, 1, 4, 1, 1, 2, 43, 0, 0, 1, 3, 0, 0.0, 1, 1, 2, 0, 0, 2, 2, 63.83, 93.62, 100.0, 83.0, 50.0, 50.0, 0, 25.0, 8.5, 0.0, 0.0, 25.0, 75.0, 0.0, 0.0, 25.0, 25.0, 25.0, 25.0, 50.0, 50.0, 4.0, 1.0, 2.0, 1.0, 64.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "23557", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23557&g_ta_cod=23557", 74.0, 11.0, 15.0),
(972, "Privé enseignement supérieur", "0920674H", "EPF Sceaux", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation Bac + 3 - Série générale, STI2D, STMG, STAV, STL, ST2S et bacs pros identifiés - Bachelors Technologiques » et « Bachelors hybrides Technologie et Management »", "Formations  des écoles d'ingénieurs", "Bachelor Business & Technology « Digital et Stratégies d?Entreprise »", 40, 217, 38, 201, 0, 169, 13, 31, 9, 0, 0, 1, 16, 11, 5, 0, 0, 140, 1, 0, 0, 122, 8, 18, 2, 0, 0, 0, 141, 12, 2, 11, 1, 11.0, 11.0, 11.0, 0, 3, 12, 10, 2, 0, 0, 1, 9, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 8, 9, 91.67, 91.67, 91.67, 16.69921875, 66.6875, 75.0, 0, 25.0, 100.0, 8.298828125, 75.0, 8.298828125, 8.298828125, 0.0, 0.0, 83.296875, 16.69921875, 16.69921875, 0.0, 0.0, 0.0, 123.0, 9.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "26468", "Formation Bac + 3 - Série générale, STI2D, STMG, STAV, STL, ST2S et bacs pros identifiés - Bachelors Technologiques » et « Bachelors hybrides Technologie et Management »", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26463&g_ta_cod=26468", 83.0, 17.0, 0.0),
(973, "Public", "0230025C", "Lycée Raymond Loewy", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "La Souterraine", "formation sélective", "Autre formation", "Lycée Raymond Loewy - DN MADE - Matériaux - - Spécialité : Textile responsable, éthique, prospectif & innovant : du matériau à l'objet", "DN MADE", "- Spécialité : Textile responsable, éthique, prospectif & innovant : du matériau à l'objet", 16, 241, 205, 241, 0, 56, 10, 114, 19, 24, 7, 47, 0, 0, 0, 0, 0, 160, 0, 0, 0, 45, 6, 82, 12, 11, 1, 22, 70, 16, 15, 16, 0, 1.0, 13.0, 15.0, 0, 3, 13, 7, 6, 0, 3, 0, 1, 8, 4, 0, 0.0, 7, 5, 0, 0, 0, 3, 3, 6.25, 81.25, 93.75, 93.796875, 23.09765625, 23.09765625, 0, 23.09765625, 81.296875, 0.0, 7.69921875, 61.5, 30.796875, 0.0, 0.0, 53.796875, 53.796875, 46.1953125, 38.5, 0.0, 0.0, 26.0, 5.0, 1.0, 1.0, 7.0, "Tous les candidats", 103.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "21755", "DN MADE - Matériaux - - Spécialité : Textile responsable, éthique, prospectif & innovant : du matériau à l'objet", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21755&g_ta_cod=21755", 50.0, 44.0, 0.0),
(974, "Public", "0190012K", "Lycée Simone Veil", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "Autre formation", "Lycée Simone Veil - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 37, 7, 3, 0, 0, 0.0, 0.0, 5.0, 0, 3, 7, 0, 4, 3, 0, 0, 6, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 7, 7, 0.0, 0.0, 71.43, 42.8984375, 100.0, 100.0, 0, 42.8984375, 100.0, 0.0, 85.6875, 14.298828125, 0.0, 0.0, 0.0, 0.0, 0.0, 57.09375, 0.0, 42.8984375, 14.298828125, 1.0, 1.0, 25.0, 9.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30555", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 57.0, 43.0),
(975, "Privé enseignement supérieur", "0340994W", "IDELCA Business School", "34", "Hérault", "Occitanie", "Montpellier", "Jacou", "formation sélective", "BTS", "IDELCA Business School - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 17, 281, 116, 267, 0, 49, 7, 87, 22, 46, 17, 85, 14, 2, 0, 4, 8, 226, 6, 0, 0, 46, 5, 81, 22, 44, 15, 55, 135, 5, 1, 3, 2, 0.0, 0.0, 1.0, 0, 1, 4, 1, 3, 0, 1, 0, 3, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 3, 3, 0.0, 0.0, 20.0, 20.0, 75.0, 75.0, 0, 25.0, 80.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 25.0, 0.0, 0.0, 36.0, 6.0, 30.0, 9.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 75.0, "Bacheliers technologiques toutes séries", 56, "Bacheliers professionnels toutes séries", 38, "Liste d'appel propre à cette formation", 63.0, "30187", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30187&g_ta_cod=30187", 40.0, 60.0, 0.0),
(976, "Privé sous contrat d'association", "9720070U", "Lycée de l'Union", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée de l'Union - BTS - Services - Communication", "BTS - Services", "", 45, 185, 119, 179, 0, 40, 11, 61, 17, 21, 14, 57, 6, 0, 1, 0, 5, 69, 3, 0, 0, 13, 3, 25, 6, 21, 14, 10, 65, 6, 4, 6, 0, 5.0, 6.0, 6.0, 0, 2, 5, 1, 1, 3, 1, 0, 1, 2, 1, 1, 0.0, 1, 1, 2, 0, 0, 4, 4, 83.33, 100.0, 100.0, 66.6875, 80.0, 80.0, 0, 40.0, 83.296875, 0.0, 20.0, 40.0, 20.0, 20.0, 0.0, 20.0, 20.0, 20.0, 20.0, 60.0, 40.0, 13.0, 3.0, 19.0, 13.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 39.0, "13590", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13590&g_ta_cod=13590", 17.0, 33.0, 50.0),
(977, "Public", "0540041B", "Lycée Georges de la Tour", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Georges de la Tour - BTS - Services - Notariat", "BTS - Services", "", 24, 825, 574, 817, 0, 150, 37, 209, 83, 78, 30, 380, 8, 0, 6, 0, 2, 240, 0, 0, 0, 70, 16, 101, 30, 25, 7, 44, 107, 22, 18, 22, 0, 3.0, 16.0, 21.0, 0, 3, 15, 5, 8, 2, 7, 0, 0, 11, 4, 0, 0.0, 5, 8, 2, 0, 0, 13, 13, 13.64, 72.73, 95.45, 81.796875, 86.6875, 86.6875, 0, 20.0, 68.1875, 0.0, 0.0, 73.296875, 26.69921875, 0.0, 0.0, 33.296875, 33.296875, 53.296875, 53.296875, 13.298828125, 13.298828125, 25.0, 6.0, 10.0, 4.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 109, "Liste d'appel propre à cette formation", 22.0, "6257", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6257&g_ta_cod=6257", 41.0, 50.0, 9.0),
(978, "Privé sous contrat d'association", "0441653H", "Lycée St Joseph La Joliverie", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Sébastien-sur-Loire", "formation sélective", "BTS", "Lycée St Joseph La Joliverie - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 30, 257, 9, 257, 0, 33, 5, 64, 6, 111, 23, 49, 0, 0, 0, 0, 0, 243, 0, 0, 0, 31, 5, 62, 5, 105, 21, 45, 120, 29, 1, 29, 0, 8.0, 27.0, 27.0, 0, 2, 24, 2, 8, 14, 5, 0, 4, 12, 6, 2, 0.0, 1, 5, 14, 9, 1, 18, 18, 27.59, 93.1, 93.1, 3.39990234375, 75.0, 75.0, 37.5, 8.298828125, 82.796875, 0.0, 16.69921875, 50.0, 25.0, 8.3, 0.0, 8.298828125, 4.19921875, 33.296875, 20.796875, 58.296875, 58.296875, 19.0, 4.0, 52.0, 5.0, 13.0, "Tous les candidats sauf les Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 74, "", 0, "Liste d'appel propre à cette formation", 62.0, "5592", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5592&g_ta_cod=5592", 10.0, 34.0, 55.0),
(979, "Public", "0101016A", "Lycée Edouard Herriot", "10", "Aube", "Grand Est", "Reims", "Sainte-Savine", "formation sélective", "BTS", "Lycée Edouard Herriot - BTS - Services - Commerce International", "BTS - Services", "", 35, 567, 301, 567, 0, 117, 25, 128, 53, 63, 29, 259, 0, 0, 0, 0, 0, 302, 0, 0, 0, 102, 21, 89, 34, 45, 21, 66, 143, 31, 21, 31, 0, 5.0, 25.0, 30.0, 0, 4, 16, 6, 6, 4, 15, 0, 7, 6, 3, 0, 0.0, 3, 3, 3, 0, 0, 12, 12, 16.13, 80.65, 96.77, 67.6875, 75.0, 75.0, 0, 25.0, 51.59375, 0.0, 43.796875, 37.5, 18.796875, 0.0, 0.0, 37.5, 18.796875, 37.5, 18.796875, 25.0, 18.796875, 54.0, 11.0, 13.0, 4.0, 43.0, "Tous les candidats sauf les Bac professionnels", 191.0, "Bacheliers professionnels toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 37.0, "2436", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2436&g_ta_cod=2436", 48.0, 32.0, 19.0),
(980, "Privé enseignement supérieur", "0741787R", "UCLy Alpes-Europe", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "Autre formation", "UCLy Alpes-Europe - Diplôme d'Université - Bachelor Droit et Management / Bachelor of Arts (BA) in Law and Management (Bachelor irlandais)", "Diplôme d'Université", "Bachelor Droit et Management / Bachelor of Arts (BA) in Law and Management (Bachelor irlandais)", 35, 80, 54, 67, 0, 54, 4, 5, 0, 0, 0, 8, 13, 6, 2, 0, 5, 41, 10, 0, 0, 37, 1, 1, 0, 0, 0, 3, 51, 11, 7, 8, 3, 8.0, 8.0, 10.0, 0, 1, 9, 8, 1, 0, 2, 1, 1, 5, 2, 0, 0.0, 7, 0, 0, 0, 0, 3, 3, 72.73, 72.73, 90.91, 63.59375, 33.296875, 33.296875, 0, 11.099609375, 81.796875, 11.099609375, 11.099609375, 55.59375, 22.19921875, 0.0, 0.0, 88.890625, 77.796875, 11.099609375, 0.0, 0.0, 0.0, 43.0, 2.0, 0.0, 0.0, 7.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "32424", "Diplôme d'Université - Bachelor Droit et Management / Bachelor of Arts (BA) in Law and Management (Bachelor irlandais)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32424&g_ta_cod=32424", 91.0, 9.0, 0.0),
(981, "Public", "0060075Z", "Lycée Les Eucalyptus", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Les Eucalyptus - BTS - Production - Conception de produits industriels", "BTS - Production", "", 27, 385, 41, 279, 0, 30, 4, 115, 26, 60, 20, 74, 106, 5, 31, 24, 46, 98, 14, 0, 0, 15, 1, 41, 6, 13, 2, 29, 85, 19, 1, 16, 2, 3.0, 14.0, 16.0, 0, 1, 13, 2, 6, 5, 6, 0, 6, 5, 2, 0, 0.0, 0, 3, 4, 5, 0, 12, 12, 15.79, 73.68, 84.21, 5.2998046875, 92.296875, 92.296875, 38.5, 7.69921875, 68.390625, 0.0, 46.1953125, 38.5, 15.3984375, 0.0, 0.0, 15.3984375, 0.0, 46.1953125, 23.09765625, 38.5, 30.796875, 13.0, 1.0, 13.0, 1.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 35.0, "2230", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2230&g_ta_cod=2230", 16.0, 58.0, 26.0),
(982, "Public", "9741050Y", "Lycée Louis Payen", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Paul", "formation sélective", "BTS", "Lycée Louis Payen - BTS - Services - Notariat", "BTS - Services", "", 15, 303, 228, 282, 0, 55, 23, 113, 78, 40, 26, 74, 21, 3, 2, 0, 16, 130, 3, 0, 0, 30, 8, 52, 34, 40, 26, 8, 62, 14, 13, 12, 2, 2.0, 12.0, 14.0, 0, 7, 9, 2, 6, 1, 5, 0, 2, 5, 2, 0, 0.0, 1, 5, 1, 3, 3, 9, 9, 14.29, 85.71, 100.0, 92.890625, 100.0, 100.0, 33.296875, 77.796875, 64.296875, 0.0, 22.19921875, 55.59375, 22.19921875, 0.0, 0.0, 22.19921875, 11.099609375, 66.6875, 55.59375, 11.099609375, 11.099609375, 18.0, 6.0, 8.0, 4.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 31.0, "23315", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23315&g_ta_cod=23315", 29.0, 57.0, 14.0),
(983, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation sélective", "Licence", "Université Gustave Eiffel - Double licence - Mathématiques / Physique, chimie - Mathématiques, physique-chimie", "Licence - Sciences - technologies - santé", "Mathématiques, physique-chimie", 13, 853, 295, 680, 0, 586, 93, 1, 1, 1, 0, 92, 173, 62, 2, 1, 108, 434, 12, 0, 0, 396, 51, 0, 0, 0, 0, 38, 223, 10, 6, 6, 4, 0.0, 3.0, 7.0, 0, 1, 6, 6, 0, 0, 4, 0, 0, 1, 3, 2, 0.0, 6, 0, 0, 0, 0, 3, 3, 0.0, 30.0, 70.0, 60.0, 50.0, 50.0, 0, 16.69921875, 60.0, 0.0, 0.0, 16.69921875, 50.0, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 197.0, 26.0, 0.0, 0.0, 26.0, "Tous les candidats", 434.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "27091", "Double licence - Mathématiques / Physique, chimie - Mathématiques, physique-chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27091&g_ta_cod=27091", 100.0, 0.0, 0.0),
(984, "Public", "0840855Y", "IFSI du Gipes d'Avignon", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "IFSI", "Regroupement d'IFSI Université Aix-Marseille - D.E Infirmier", "D.E secteur sanitaire", "", 88, 7215, 6069, 7215, 0, 1013, 262, 1151, 381, 731, 340, 4320, 0, 0, 0, 0, 0, 3427, 0, 0, 0, 777, 171, 517, 141, 93, 34, 2040, 523, 88, 77, 88, 0, 9.0, 52.0, 76.0, 0, 26, 50, 39, 10, 1, 38, 0, 7, 24, 19, 0, 0.0, 33, 9, 1, 0, 0, 37, 37, 10.23, 59.09, 86.36, 87.5, 74.0, 74.0, 0, 52.0, 56.796875, 0.0, 14.0, 48.0, 38.0, 0.0, 0.0, 78.0, 66.0, 20.0, 18.0, 2.0, 2.0, 213.0, 58.0, 2.0, 2.0, 272.0, "Tous les candidats", 1600.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 12.0, "23039", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22987&g_ta_cod=23039", 80.0, 16.0, 3.0),
(985, "Public", "0170022G", "Lycée Maurice Merleau-Ponty", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Rochefort", "formation sélective", "BTS", "Lycée Maurice Merleau-Ponty - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 26, 433, 48, 386, 0, 64, 17, 85, 19, 77, 20, 160, 47, 1, 0, 25, 21, 130, 7, 0, 0, 34, 7, 52, 8, 35, 9, 9, 72, 24, 0, 21, 3, 7.0, 16.0, 22.0, 0, 8, 21, 6, 10, 5, 3, 0, 9, 7, 5, 0, 0.0, 3, 6, 3, 4, 0, 18, 18, 29.17, 66.67, 91.67, 0.0, 85.6875, 85.6875, 19, 38.09375, 87.5, 0.0, 42.8984375, 33.296875, 23.796875, 0.0, 0.0, 28.59765625, 14.298828125, 47.59375, 28.59765625, 23.796875, 14.298828125, 13.0, 5.0, 27.0, 8.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 22.0, "3021", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3021&g_ta_cod=3021", 25.0, 50.0, 25.0),
(986, "Public", "0830053G", "Lycée Dumont d'Urville", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "CPGE", "Lycée Dumont d'Urville - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 1360, 404, 1360, 908, 888, 117, 4, 1, 0, 0, 468, 0, 0, 0, 0, 0, 776, 0, 548, 736, 732, 85, 0, 0, 0, 0, 44, 454, 49, 8, 49, 0, 9.0, 23.0, 46.0, 20, 6, 45, 45, 0, 0, 4, 0, 1, 6, 34, 4, 0.0, 44, 0, 0, 7, 0, 30, 30, 18.37, 46.94, 93.88, 16.296875, 66.6875, 66.6875, 15.599609375, 13.298828125, 91.796875, 0.0, 2.19970703125, 13.298828125, 75.59375, 8.9, 0.0, 100.0, 97.796875, 0.0, 0.0, 0.0, 0.0, 441.0, 50.0, 0.0, 0.0, 13.0, "Tous les candidats", 611.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "10342", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10342&g_ta_cod=10342", 100.0, 0.0, 0.0),
(987, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Néerlandais", "Licence - Arts-lettres-langues", "Néerlandais", 25, 111, 57, 49, 0, 22, 6, 3, 2, 5, 3, 19, 62, 6, 4, 9, 43, 49, 60, 0, 0, 22, 6, 3, 2, 5, 3, 19, 107, 23, 11, 5, 18, 2.0, 5.0, 14.0, 0, 2, 9, 5, 0, 4, 14, 0, 7, 0, 1, 1, 0.0, 1, 0, 1, 0, 0, 6, 6, 8.7, 21.74, 60.87, 47.796875, 66.6875, 66.6875, 0, 22.19921875, 39.09375, 0.0, 77.796875, 0.0, 11.099609375, 11.1, 0.0, 55.59375, 11.099609375, 0.0, 0.0, 44.3984375, 11.099609375, 26.0, 8.0, 14.0, 10.0, 60.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7079", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Néerlandais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7079&g_ta_cod=7079", 43.0, 4.0, 48.0),
(988, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "PASS", "Université de La Réunion - Saint Denis - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 120, 931, 692, 908, 0, 559, 183, 112, 65, 48, 39, 189, 23, 9, 2, 3, 9, 901, 22, 0, 0, 559, 183, 112, 65, 48, 39, 182, 690, 117, 96, 108, 9, 10.0, 106.0, 116.0, 0, 47, 85, 49, 20, 16, 32, 2, 42, 22, 15, 4, 0.0, 32, 4, 5, 0, 0, 70, 70, 8.55, 90.6, 99.15, 82.09375, 82.390625, 82.390625, 0, 55.296875, 72.59375, 2.39990234375, 49.3984375, 25.8984375, 17.59765625, 4.7, 0.0, 57.59375, 37.59375, 23.5, 4.69921875, 18.796875, 5.8994140625, 433.0, 129.0, 40.0, 34.0, 145.0, "Tous les candidats", 1882.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "27567", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27563&g_ta_cod=27567", 58.0, 26.0, 15.0),
(989, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence_Las", "Université de Caen Normandie - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences humaines et sociales", "", 150, 1900, 775, 1900, 0, 1404, 161, 128, 26, 26, 7, 342, 0, 0, 0, 0, 0, 1899, 0, 0, 0, 1404, 161, 128, 26, 26, 7, 341, 346, 150, 66, 150, 0, 45.0, 136.0, 141.0, 0, 13, 138, 128, 10, 0, 12, 0, 13, 53, 59, 12, 1.0, 117, 8, 0, 0, 0, 136, 136, 30.0, 90.67, 94.0, 44.0, 98.59375, 98.59375, 0, 9.3984375, 92.0, 0.0, 9.3984375, 38.3984375, 42.796875, 8.7, 0.7, 92.796875, 84.796875, 7.19921875, 5.7998046875, 0.0, 0.0, 260.0, 37.0, 3.0, 0.0, 71.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "27706", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27705&g_ta_cod=27706", 93.0, 7.0, 0.0),
(990, "Privé sous contrat d'association", "0690553B", "Centre Scolaire Notre Dame", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Limas", "formation sélective", "BTS", "Centre Scolaire Notre Dame - BTS - Services - Gestion de la PME", "BTS - Services", "", 25, 226, 126, 196, 0, 19, 5, 37, 7, 49, 14, 91, 30, 6, 8, 0, 16, 102, 7, 0, 0, 16, 4, 29, 4, 38, 9, 19, 80, 16, 9, 14, 2, 5.0, 12.0, 13.0, 0, 2, 12, 1, 4, 7, 4, 0, 3, 4, 5, 0, 0.0, 0, 2, 7, 1, 1, 12, 12, 31.25, 75.0, 81.25, 56.296875, 100.0, 100.0, 8.298828125, 16.69921875, 75.0, 0.0, 25.0, 33.296875, 41.6953125, 0.0, 0.0, 8.298828125, 0.0, 33.296875, 16.69921875, 58.296875, 58.296875, 15.0, 3.0, 19.0, 8.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers technologiques toutes séries", 35, "Bacheliers professionnels toutes séries", 24, "Liste d'appel propre à cette formation", 42.0, "29001", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29001&g_ta_cod=29001", 19.0, 38.0, 44.0),
(991, "Privé sous contrat d'association", "0442725Y", "LPO Talensac - Jeanne Bernard", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LPO Talensac - Jeanne Bernard - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 366, 273, 350, 0, 33, 6, 142, 35, 91, 27, 84, 16, 0, 4, 1, 11, 265, 7, 0, 0, 32, 5, 129, 28, 65, 18, 39, 124, 33, 23, 30, 3, 12.0, 22.0, 29.0, 0, 7, 27, 2, 14, 11, 6, 0, 10, 9, 8, 0, 0.0, 0, 7, 10, 5, 1, 27, 27, 36.36, 66.67, 87.88, 69.6875, 100.0, 100.0, 18.5, 25.8984375, 81.796875, 0.0, 37.0, 33.296875, 29.59765625, 0.0, 0.0, 7.3994140625, 0.0, 51.8984375, 25.8984375, 40.6953125, 37.0, 10.0, 2.0, 26.0, 8.0, 21.0, "Tous les candidats sauf les Bac professionnels", 185.0, "Bacheliers professionnels toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 59.0, "5510", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5510&g_ta_cod=5510", 12.0, 52.0, 36.0),
(992, "Public", "0790036K", "Lycée Jean Moulin", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Thouars", "formation sélective", "BTS", "Lycée Jean Moulin - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 21, 52, 9, 48, 0, 5, 2, 8, 0, 26, 10, 9, 4, 0, 2, 1, 1, 45, 1, 0, 0, 5, 2, 8, 0, 25, 10, 7, 41, 7, 1, 7, 0, 5.0, 7.0, 7.0, 0, 1, 5, 0, 0, 5, 2, 0, 2, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 5, 5, 71.43, 100.0, 100.0, 14.298828125, 100.0, 100.0, 0, 20.0, 71.390625, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 60.0, 4.0, 1.0, 26.0, 11.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 94.0, "10114", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10114&g_ta_cod=10114", 14.0, 14.0, 71.0),
(993, "Privé sous contrat d'association", "0542408Z", "Lycée Charles De Foucauld", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Charles De Foucauld - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 187, 23, 187, 0, 45, 9, 49, 8, 32, 11, 61, 0, 0, 0, 0, 0, 187, 0, 0, 0, 45, 9, 49, 8, 32, 11, 61, 90, 15, 1, 15, 0, 2.0, 7.0, 12.0, 0, 4, 9, 5, 1, 3, 6, 0, 5, 3, 1, 0, 0.0, 1, 0, 3, 0, 0, 9, 9, 13.33, 46.67, 80.0, 6.69921875, 100.0, 100.0, 0, 44.3984375, 60.0, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 55.59375, 11.099609375, 11.099609375, 0.0, 33.296875, 33.296875, 32.0, 7.0, 16.0, 7.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 70.0, "6386", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6386&g_ta_cod=6386", 60.0, 20.0, 20.0),
(994, "Public", "0620011A", "Lycée professionnel Jacques Le Caron", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "Autre formation", "Lycée professionnel Jacques Le Caron - Mention complémentaire - FCIL - CAES - Option Production", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 1.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34999", "Mention complémentaire - FCIL - CAES - Option Production", "", "", 0, 0, 0),
(995, "Public", "0260019E", "Lycée Dr. Gustave Jaume", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Pierrelatte", "formation sélective", "BTS", "Lycée Dr. Gustave Jaume - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 282, 176, 282, 0, 9, 5, 89, 37, 118, 68, 66, 0, 0, 0, 0, 0, 274, 0, 0, 0, 9, 5, 89, 37, 118, 68, 58, 137, 33, 22, 32, 0, 3.0, 19.0, 22.0, 0, 16, 26, 0, 13, 13, 7, 0, 12, 12, 2, 0, 0.0, 0, 7, 7, 9, 8, 20, 20, 9.09, 57.58, 66.67, 66.6875, 76.890625, 76.890625, 34.59375, 61.5, 78.796875, 0.0, 46.1953125, 46.1953125, 7.69921875, 0.0, 0.0, 0.0, 0.0, 50.0, 26.8984375, 50.0, 26.8984375, 3.0, 2.0, 59.0, 34.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 52.0, "3614", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3614&g_ta_cod=3614", 0.0, 52.0, 48.0),
(996, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Licence", "Université de Rennes 1 - Licence - Droit - Parcours Excellence - Rennes", "Licence - Droit-économie-gestion", "Excellence - Rennes", 20, 924, 676, 924, 0, 767, 99, 40, 14, 10, 3, 107, 0, 0, 0, 0, 0, 90, 0, 0, 0, 89, 6, 0, 0, 0, 0, 1, 56, 22, 20, 22, 0, 10.0, 22.0, 22.0, 0, 2, 22, 22, 0, 0, 0, 0, 0, 0, 4, 16, 2.0, 22, 0, 0, 0, 0, 13, 13, 45.45, 100.0, 100.0, 90.890625, 59.09375, 59.09375, 0, 9.099609375, 100.0, 0.0, 0.0, 0.0, 18.19921875, 72.7, 9.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 55.0, 5.0, 0.0, 0.0, 1.0, "Tous les candidats", 68.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "4718", "Licence - Droit - Parcours Excellence - Rennes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4718&g_ta_cod=4718", 100.0, 0.0, 0.0),
(997, "Public", "0110669T", "Lycée agricole Charlemagne", "11", "Aude", "Occitanie", "Montpellier", "Carcassonne", "formation sélective", "BTS", "Lycée agricole Charlemagne - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 32, 845, 356, 845, 0, 201, 32, 228, 49, 176, 48, 240, 0, 0, 0, 0, 0, 541, 0, 0, 0, 156, 21, 157, 30, 135, 38, 93, 129, 33, 11, 33, 0, 6.0, 24.0, 29.0, 0, 10, 27, 4, 11, 12, 6, 0, 9, 9, 7, 2, 0.0, 2, 9, 7, 5, 0, 11, 11, 18.18, 72.73, 87.88, 33.296875, 40.6953125, 40.6953125, 18.5, 37.0, 81.796875, 0.0, 33.296875, 33.296875, 25.8984375, 7.4, 0.0, 14.798828125, 7.3994140625, 40.6953125, 33.296875, 44.3984375, 25.8984375, 28.0, 6.0, 47.0, 12.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 78.0, "Bacheliers professionnels toutes séries", 100, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 26.0, "2465", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2465&g_ta_cod=2465", 30.0, 33.0, 36.0),
(998, "Privé sous contrat d'association", "0333479C", "EFREI - BORDEAUX", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 30, 1909, 381, 1905, 0, 1894, 136, 0, 0, 0, 0, 11, 4, 4, 0, 0, 0, 1706, 2, 0, 0, 1706, 111, 0, 0, 0, 0, 0, 1317, 19, 4, 19, 0, 7.0, 17.0, 19.0, 0, 0, 19, 19, 0, 0, 0, 0, 1, 10, 7, 1, 0.0, 18, 0, 0, 0, 0, 5, 5, 36.84, 89.47, 100.0, 21.09765625, 26.296875, 26.296875, 0, 0.0, 100.0, 0.0, 5.2998046875, 52.59375, 36.796875, 5.3, 0.0, 100.0, 94.6875, 0.0, 0.0, 0.0, 0.0, 1317.0, 92.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "30957", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=30957", 100.0, 0.0, 0.0),
(999, "Public", "0510034K", "Lycée Franklin Roosevelt", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Franklin Roosevelt - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 30, 219, 18, 218, 0, 16, 4, 55, 20, 69, 13, 78, 1, 0, 0, 0, 1, 164, 0, 0, 0, 16, 4, 55, 20, 69, 13, 24, 93, 27, 0, 27, 0, 12.0, 27.0, 27.0, 0, 7, 23, 1, 8, 14, 4, 0, 5, 9, 8, 1, 0.0, 0, 6, 12, 8, 0, 22, 22, 44.44, 100.0, 100.0, 0.0, 95.6875, 95.6875, 34.796875, 30.3984375, 85.1875, 0.0, 21.69921875, 39.09375, 34.796875, 4.3, 0.0, 4.2998046875, 0.0, 34.796875, 26.09765625, 60.8984375, 52.1953125, 7.0, 2.0, 54.0, 10.0, 8.0, "Tous les candidats sauf les Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 68, "", 0, "Liste d'appel propre à cette formation", 51.0, "6067", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6067&g_ta_cod=6067", 4.0, 41.0, 56.0),
(1000, "Privé sous contrat d'association", "0180808F", "IFSI Croix Rouge Française Bourges", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "IFSI", "Regroupement d'IFSI Université Tours - D.E Infirmier", "D.E secteur sanitaire", "", 106, 4053, 3378, 4053, 0, 618, 95, 928, 191, 340, 120, 2167, 0, 0, 0, 0, 0, 3543, 0, 0, 0, 592, 85, 888, 175, 265, 98, 1798, 1193, 106, 91, 106, 0, 0.0, 31.0, 85.0, 0, 16, 65, 26, 24, 15, 41, 0, 13, 31, 19, 2, 0.0, 18, 19, 15, 0, 0, 44, 44, 0.0, 29.25, 80.19, 85.796875, 67.6875, 67.6875, 0, 24.59765625, 61.296875, 0.0, 20.0, 47.6953125, 29.19921875, 3.1, 0.0, 40.0, 27.69921875, 36.8984375, 29.19921875, 23.09765625, 23.09765625, 235.0, 25.0, 70.0, 31.0, 450.0, "Tous les candidats", 2913.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "23258", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22995&g_ta_cod=23258", 43.0, 39.0, 18.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(1001, "Privé sous contrat d'association", "0650065T", "Lycée Pradeau la Sède-St Pierre", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Pradeau la Sède-St Pierre - BTS - Services - Gestion de la PME", "BTS - Services", "", 12, 97, 55, 68, 0, 8, 1, 25, 7, 13, 7, 22, 29, 5, 0, 6, 18, 63, 11, 0, 0, 8, 1, 25, 7, 13, 7, 17, 56, 15, 8, 6, 5, 3.0, 6.0, 11.0, 0, 0, 10, 2, 4, 4, 5, 0, 8, 2, 0, 0, 0.0, 1, 0, 1, 1, 1, 6, 6, 20.0, 40.0, 73.33, 53.296875, 60.0, 60.0, 10, 0.0, 66.6875, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 20.0, 10.0, 40.0, 0.0, 40.0, 10.0, 10.0, 2.0, 16.0, 7.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 81.0, "7828", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7828&g_ta_cod=7828", 27.0, 33.0, 40.0),
(1002, "Public", "0371418R", "Lycée Jacques De Vaucanson", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "CPGE", "Lycée Jacques De Vaucanson - CPGE - PTSI", "Classe préparatoire scientifique", "", 48, 532, 83, 525, 395, 438, 45, 0, 0, 0, 0, 87, 7, 4, 0, 0, 3, 467, 1, 395, 340, 403, 36, 0, 0, 0, 0, 64, 244, 43, 4, 43, 0, 3.0, 35.0, 43.0, 34, 4, 41, 41, 0, 0, 2, 0, 0, 17, 19, 5, 0.0, 41, 0, 0, 10, 3, 24, 24, 6.98, 81.4, 100.0, 9.298828125, 58.5, 58.5, 24.3984375, 9.798828125, 95.296875, 0.0, 0.0, 41.5, 46.296875, 12.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 230.0, 21.0, 0.0, 0.0, 14.0, "Tous les candidats", 341.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "4908", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4908&g_ta_cod=4908", 100.0, 0.0, 0.0),
(1003, "Public", "0220057T", "Lycée Ernest Renan", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée Ernest Renan - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 746, 346, 746, 0, 82, 12, 292, 62, 239, 67, 133, 0, 0, 0, 0, 0, 380, 0, 0, 0, 45, 7, 135, 29, 145, 36, 55, 133, 26, 13, 26, 0, 6.0, 20.0, 23.0, 0, 9, 22, 3, 6, 13, 4, 0, 6, 11, 4, 1, 0.0, 1, 4, 11, 3, 2, 22, 22, 23.08, 76.92, 88.46, 50.0, 100.0, 100.0, 13.599609375, 40.8984375, 84.59375, 0.0, 27.296875, 50.0, 18.19921875, 4.5, 0.0, 13.599609375, 4.5, 27.296875, 18.19921875, 59.09375, 50.0, 21.0, 5.0, 50.0, 17.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 21.0, "3321", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3321&g_ta_cod=3321", 15.0, 23.0, 62.0),
(1004, "Public", "0921230M", "Lycée Leonard De Vinci", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Levallois-Perret", "formation sélective", "BTS", "Lycée Leonard De Vinci - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 28, 789, 497, 789, 0, 135, 38, 195, 81, 176, 82, 283, 0, 0, 0, 0, 0, 723, 0, 0, 0, 130, 38, 183, 76, 169, 79, 241, 136, 24, 19, 24, 0, 3.0, 17.0, 19.0, 0, 12, 22, 3, 5, 14, 2, 0, 5, 9, 6, 2, 0.0, 2, 4, 11, 4, 2, 15, 21, 12.5, 70.83, 79.17, 79.1875, 68.1875, 95.5, 18.19921875, 54.5, 91.6875, 0.0, 22.69921875, 40.8984375, 27.296875, 9.1, 0.0, 13.599609375, 9.099609375, 22.69921875, 18.19921875, 63.59375, 50.0, 20.0, 12.0, 55.0, 26.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 24.0, "12215", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12215&g_ta_cod=12215", 13.0, 29.0, 58.0),
(1005, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Portail Lettres", "Licence - Arts-lettres-langues", "", 5, 52, 42, 27, 0, 9, 1, 7, 3, 1, 1, 10, 25, 6, 4, 0, 15, 27, 22, 0, 0, 9, 1, 7, 3, 1, 1, 10, 39, 2, 2, 1, 1, 0.0, 1.0, 1.0, 0, 1, 2, 1, 1, 0, 0, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 0.0, 50.0, 50.0, 100.0, 0.0, 0.0, 0, 50.0, 100.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 0.0, 0.0, 0.0, 10.0, 1.0, 1.0, 1.0, 18.0, "Tous les candidats", 179.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28945", "Licence - Portail Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28944&g_ta_cod=28945", 50.0, 50.0, 0.0),
(1006, "Privé sous contrat d'association", "0690199S", "Ecole Rockefeller", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "EFTS", "Ecole Rockefeller - D.E Assistant de Service Social", "D.E secteur social", "", 26, 193, 176, 193, 0, 29, 8, 23, 5, 21, 8, 120, 0, 0, 0, 0, 0, 122, 0, 0, 0, 21, 4, 9, 0, 9, 4, 83, 44, 26, 23, 26, 0, 14.0, 22.0, 24.0, 0, 2, 9, 6, 2, 1, 17, 0, 0, 2, 5, 2, 0.0, 6, 2, 1, 0, 0, 3, 3, 53.85, 84.62, 92.31, 88.5, 33.296875, 33.296875, 0, 22.19921875, 34.59375, 0.0, 0.0, 22.19921875, 55.59375, 22.2, 0.0, 66.6875, 66.6875, 22.19921875, 22.19921875, 11.099609375, 11.099609375, 9.0, 2.0, 2.0, 1.0, 31.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "23978", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23978&g_ta_cod=23978", 65.0, 15.0, 12.0),
(1007, "Public", "0590184E", "Lycée Jean Rostand", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "BTS - Services", "", 13, 993, 254, 993, 0, 372, 65, 104, 26, 78, 30, 439, 0, 0, 0, 0, 0, 469, 0, 0, 0, 220, 30, 40, 11, 56, 17, 153, 34, 13, 5, 13, 0, 5.0, 12.0, 12.0, 0, 0, 8, 8, 0, 0, 5, 0, 0, 0, 3, 5, 0.0, 8, 0, 0, 0, 0, 7, 7, 38.46, 92.31, 92.31, 38.5, 87.5, 87.5, 0, 0.0, 61.5, 0.0, 0.0, 0.0, 37.5, 62.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 24.0, 2.0, 0.0, 0.0, 9.0, "Tous les candidats sauf les Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 4.0, "6817", "BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6817&g_ta_cod=6817", 77.0, 8.0, 15.0),
(1008, "Privé sous contrat d'association", "9720615L", "Lycée AMEP", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "Autre formation", "Lycée AMEP - Diplôme de Comptabilité et de Gestion", "DCG", "", 20, 92, 33, 81, 0, 40, 5, 19, 5, 0, 0, 22, 11, 0, 2, 0, 9, 81, 5, 0, 0, 40, 5, 19, 5, 0, 0, 22, 68, 16, 3, 14, 2, 2.0, 13.0, 14.0, 0, 2, 7, 4, 3, 0, 9, 0, 3, 2, 2, 0, 0.0, 3, 1, 0, 0, 0, 7, 7, 12.5, 81.25, 87.5, 18.796875, 100.0, 100.0, 0, 28.59765625, 43.796875, 0.0, 42.8984375, 28.59765625, 28.59765625, 0.0, 0.0, 57.09375, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 30.0, 3.0, 0.0, 0.0, 24.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "11821", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11821&g_ta_cod=11821", 50.0, 44.0, 6.0),
(1009, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Gestion - Parcours Management et gestion à l'international", "Licence - Droit-économie-gestion", "Management et gestion à l'international", 15, 1530, 861, 968, 0, 690, 112, 37, 15, 7, 3, 234, 562, 157, 39, 15, 351, 21, 3, 0, 0, 20, 4, 0, 0, 0, 0, 1, 24, 11, 8, 9, 2, 4.0, 9.0, 11.0, 0, 3, 10, 10, 0, 0, 1, 0, 0, 1, 6, 3, 0.0, 10, 0, 0, 0, 0, 7, 7, 36.36, 81.82, 100.0, 72.6875, 70.0, 70.0, 0, 30.0, 90.890625, 0.0, 0.0, 10.0, 60.0, 30.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 21.0, 4.0, 0.0, 0.0, 3.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 2.0, "24450", "Licence - Gestion - Parcours Management et gestion à l'international", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24450&g_ta_cod=24450", 100.0, 0.0, 0.0),
(1010, "Privé enseignement supérieur", "0922007G", "EDC Paris BS", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Puteaux", "formation sélective", "Ecole de Commerce", "EDC Paris BS - Formation des écoles de commerce et de management Bac + 3 - Bachelor de responsable en gestion et management des entreprises - English Track", "Formation des écoles de commerce et de management", "Bachelor de responsable en gestion et management des entreprises - English Track", 40, 47, 25, 27, 0, 17, 0, 6, 1, 0, 0, 4, 20, 5, 1, 0, 14, 21, 17, 0, 0, 13, 0, 5, 1, 0, 0, 3, 38, 4, 2, 1, 3, 1.0, 1.0, 4.0, 0, 0, 3, 2, 1, 0, 1, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 25.0, 25.0, 100.0, 50.0, 66.6875, 66.6875, 0, 0.0, 75.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 66.6875, 0.0, 33.296875, 0.0, 0.0, 0.0, 18.0, 0.0, 0.0, 0.0, 14.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "33550", "Formation des écoles de commerce et de management Bac + 3 - Bachelor de responsable en gestion et management des entreprises - English Track", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33550&g_ta_cod=33550", 75.0, 25.0, 0.0),
(1011, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Histoire de l'art et archéologie", "Licence - Sciences humaines et sociales", "", 220, 1527, 1031, 1527, 0, 865, 205, 130, 34, 70, 38, 462, 0, 0, 0, 0, 0, 1526, 0, 0, 0, 865, 205, 130, 34, 70, 38, 461, 1526, 240, 169, 240, 0, 237.0, 240.0, 240.0, 0, 43, 151, 126, 14, 11, 89, 0, 52, 64, 28, 7, 0.0, 87, 7, 5, 0, 0, 79, 79, 98.75, 100.0, 100.0, 70.390625, 52.296875, 52.296875, 0, 28.5, 62.8984375, 0.0, 34.3984375, 42.3984375, 18.5, 4.6, 0.0, 83.390625, 57.59375, 9.298828125, 4.599609375, 7.2998046875, 3.2998046875, 865.0, 205.0, 70.0, 38.0, 461.0, "Tous les candidats", 1526.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4557", "Licence - Histoire de l'art et archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4557&g_ta_cod=4557", 80.0, 10.0, 8.0),
(1012, "Privé sous contrat d'association", "0753840S", "Lycée Stanislas", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Stanislas - CPGE - PCSI", "Classe préparatoire scientifique", "", 138, 2887, 1018, 2887, 2298, 2691, 120, 1, 0, 0, 0, 195, 0, 0, 0, 0, 0, 873, 0, 816, 827, 872, 18, 0, 0, 0, 0, 1, 363, 138, 34, 138, 0, 56.0, 123.0, 132.0, 111, 6, 138, 138, 0, 0, 0, 0, 0, 0, 5, 94, 39.0, 138, 0, 0, 46, 8, 64, 93, 40.58, 89.13, 95.65, 24.59765625, 46.3984375, 67.390625, 33.296875, 4.2998046875, 100.0, 0.0, 0.0, 0.0, 3.599609375, 68.1, 28.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 363.0, 15.0, 0.0, 0.0, 0.0, "Tous les candidats", 452.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "9468", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9468&g_ta_cod=9468", 100.0, 0.0, 0.0),
(1013, "Privé sous contrat d'association", "0492246A", "ESAIP Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saint-Barthélemy-d'Anjou", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 8, 222, 79, 219, 0, 0, 0, 0, 0, 0, 0, 219, 3, 0, 0, 0, 3, 186, 3, 0, 0, 0, 0, 0, 0, 0, 0, 186, 169, 6, 1, 5, 1, 3.0, 5.0, 6.0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 50.0, 83.33, 100.0, 16.69921875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 169.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "22861", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22861", 83.0, 17.0, 0.0),
(1014, "Public", "0050007F", "Lycée Aristide Briand", "05", "Hautes-Alpes", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Gap", "formation sélective", "BTS", "Lycée Aristide Briand - BTS - Services - Gestion de la PME", "BTS - Services", "", 28, 215, 124, 178, 0, 14, 2, 60, 23, 48, 17, 56, 37, 8, 3, 5, 21, 129, 9, 0, 0, 7, 1, 56, 22, 47, 17, 19, 126, 16, 10, 13, 2, 2.0, 13.0, 15.0, 0, 7, 14, 2, 5, 7, 2, 0, 8, 6, 0, 0, 0.0, 0, 2, 4, 2, 1, 12, 12, 12.5, 81.25, 93.75, 62.5, 85.6875, 85.6875, 14.298828125, 50.0, 87.5, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 14.298828125, 0.0, 35.6953125, 14.298828125, 50.0, 28.59765625, 12.0, 2.0, 45.0, 17.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 71.0, "18870", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18870&g_ta_cod=18870", 19.0, 31.0, 50.0),
(1015, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues Etrangères Appliquées Anglais-Arabe", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées Anglais-Arabe", 50, 247, 185, 241, 0, 100, 64, 28, 20, 16, 11, 97, 6, 0, 0, 1, 5, 241, 6, 0, 0, 100, 64, 28, 20, 16, 11, 97, 194, 49, 39, 45, 4, 5.0, 36.0, 45.0, 0, 16, 25, 15, 6, 4, 24, 0, 16, 8, 1, 0, 0.0, 5, 4, 0, 0, 0, 12, 12, 10.2, 73.47, 91.84, 79.59375, 48.0, 48.0, 0, 64.0, 51.0, 0.0, 64.0, 32.0, 4.0, 0.0, 0.0, 60.0, 20.0, 24.0, 16.0, 16.0, 0.0, 97.0, 62.0, 7.0, 4.0, 70.0, "Tous les candidats", 241.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8511", "Licence - Portail Langues Etrangères Appliquées Anglais-Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8511&g_ta_cod=8511", 61.0, 22.0, 12.0),
(1016, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 720, 4485, 3248, 4485, 0, 3166, 651, 400, 132, 82, 34, 837, 0, 0, 0, 0, 0, 4453, 0, 0, 0, 3166, 651, 400, 132, 82, 34, 805, 2586, 709, 486, 708, 0, 113.0, 552.0, 651.0, 0, 154, 634, 615, 14, 5, 75, 2, 149, 259, 192, 32, 0.0, 468, 10, 5, 0, 0, 518, 518, 15.94, 77.86, 91.82, 68.5, 81.6875, 81.6875, 0, 24.296875, 89.390625, 0.29998779296875, 23.5, 40.8984375, 30.296875, 5.0, 0.0, 97.0, 73.796875, 2.19970703125, 1.599853515625, 0.7999267578125, 0.7999267578125, 2179.0, 465.0, 7.0, 7.0, 371.0, "Tous les candidats", 3285.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 71.0, "15232", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27476&g_ta_cod=15232", 97.0, 2.0, 1.0),
(1017, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Cinéma et Audiovisuel - Parcours Cinéma et Audiovisuel - Mineure Lettres", "Licence - Arts-lettres-langues", "Cinéma et Audiovisuel - Mineure Lettres", 19, 1078, 583, 1078, 0, 567, 80, 65, 23, 32, 10, 414, 0, 0, 0, 0, 0, 1065, 0, 0, 0, 567, 80, 65, 23, 32, 10, 401, 100, 19, 14, 19, 0, 2.0, 14.0, 16.0, 0, 3, 13, 11, 1, 1, 6, 0, 0, 2, 6, 5, 0.0, 11, 1, 1, 0, 0, 2, 7, 10.53, 73.68, 84.21, 73.6875, 15.3984375, 53.796875, 0, 23.09765625, 68.390625, 0.0, 0.0, 15.3984375, 46.1953125, 38.5, 0.0, 84.59375, 84.59375, 7.69921875, 7.69921875, 7.69921875, 7.69921875, 70.0, 10.0, 3.0, 2.0, 26.0, "Tous les candidats", 163.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "9243", "Licence - Cinéma et Audiovisuel - Parcours Cinéma et Audiovisuel - Mineure Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9243&g_ta_cod=9243", 79.0, 5.0, 11.0),
(1018, "Public", "0270016W", "Lycée Aristide Briand", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "CPGE", "Lycée Aristide Briand - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 412, 132, 403, 252, 290, 29, 1, 0, 0, 0, 112, 9, 3, 0, 0, 6, 339, 5, 215, 318, 271, 25, 0, 0, 0, 0, 68, 262, 25, 3, 24, 1, 0.0, 23.0, 24.0, 9, 2, 20, 20, 0, 0, 5, 0, 1, 6, 12, 1, 0.0, 19, 0, 0, 6, 0, 18, 18, 0.0, 92.0, 96.0, 12.0, 90.0, 90.0, 30, 10.0, 80.0, 0.0, 5.0, 30.0, 60.0, 5.0, 0.0, 100.0, 95.0, 0.0, 0.0, 0.0, 0.0, 200.0, 23.0, 0.0, 0.0, 62.0, "Tous les candidats", 339.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "3682", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3682&g_ta_cod=3682", 100.0, 0.0, 0.0),
(1019, "Public", "0590011S", "Lycée Gustave Eiffel", "59", "Nord", "Hauts-de-France", "Lille", "Armentières", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 765, 127, 726, 0, 59, 10, 114, 30, 74, 26, 479, 39, 5, 0, 4, 30, 232, 6, 0, 0, 48, 7, 108, 28, 60, 22, 16, 130, 30, 2, 26, 3, 8.0, 23.0, 28.0, 0, 8, 26, 8, 7, 11, 4, 0, 8, 10, 7, 1, 0.0, 4, 4, 10, 13, 1, 26, 26, 26.67, 76.67, 93.33, 6.69921875, 100.0, 100.0, 50, 30.796875, 86.6875, 0.0, 30.796875, 38.5, 26.8984375, 3.8, 0.0, 30.796875, 15.3984375, 26.8984375, 15.3984375, 42.296875, 38.5, 45.0, 7.0, 38.0, 14.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 92, "Liste d'appel propre à cette formation", 29.0, "6712", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6712&g_ta_cod=6712", 37.0, 23.0, 40.0),
(1020, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence", "Institut national universitaire Champollion - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 40, 202, 90, 163, 0, 105, 20, 15, 4, 6, 1, 37, 39, 8, 1, 1, 29, 163, 17, 0, 0, 105, 20, 15, 4, 6, 1, 37, 180, 28, 10, 22, 6, 22.0, 22.0, 24.0, 0, 4, 18, 15, 0, 3, 10, 0, 6, 7, 4, 1, 0.0, 11, 0, 1, 0, 0, 16, 16, 78.57, 78.57, 85.71, 35.6953125, 88.890625, 88.890625, 0, 22.19921875, 64.296875, 0.0, 33.296875, 38.8984375, 22.19921875, 5.6, 0.0, 83.296875, 61.09375, 0.0, 0.0, 16.69921875, 5.599609375, 110.0, 21.0, 7.0, 1.0, 48.0, "Tous les candidats", 163.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10304", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10304&g_ta_cod=10304", 68.0, 11.0, 21.0),
(1021, "Public", "0420033H", "Lycée Albert Thomas", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Roanne", "formation sélective", "BTS", "Lycée Albert Thomas - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 449, 281, 449, 0, 29, 7, 131, 51, 139, 73, 150, 0, 0, 0, 0, 0, 402, 0, 0, 0, 29, 7, 121, 45, 117, 56, 135, 154, 20, 15, 20, 0, 1.0, 14.0, 18.0, 0, 8, 17, 1, 8, 8, 3, 0, 11, 6, 0, 0, 0.0, 0, 2, 4, 2, 1, 15, 15, 5.0, 70.0, 90.0, 75.0, 88.1875, 88.1875, 11.798828125, 47.09375, 85.0, 0.0, 64.6875, 35.296875, 0.0, 0.0, 0.0, 5.8994140625, 0.0, 47.09375, 11.798828125, 47.09375, 23.5, 1.0, 1.0, 61.0, 26.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 123, "Liste d'appel propre à cette formation", 46.0, "5275", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5275&g_ta_cod=5275", 5.0, 45.0, 50.0),
(1022, "Public", "0371558T", "INSTITUT DE FORMATION DE MANIPULATEURS D-ÉLECTRORADIOLOGIE MÉDICALE (IFMEM) SITE IFPS DU CHRU DE TOURS", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "Autre formation", "INSTITUT DE FORMATION DE MANIPULATEURS D?ÉLECTRORADIOLOGIE MÉDICALE (IFMEM) SITE IFPS DU CHRU DE TOURS - D.E manipulateur/trice en électroradiologie médicale", "D.E secteur sanitaire", "", 35, 670, 527, 670, 0, 118, 14, 207, 43, 6, 2, 339, 0, 0, 0, 0, 0, 555, 0, 0, 0, 106, 14, 189, 35, 0, 0, 260, 140, 35, 32, 35, 0, 6.0, 18.0, 30.0, 0, 5, 16, 6, 10, 0, 19, 0, 3, 7, 6, 0, 0.0, 5, 8, 0, 0, 0, 10, 10, 17.14, 51.43, 85.71, 91.390625, 62.5, 62.5, 0, 31.296875, 45.6953125, 0.0, 18.796875, 43.796875, 37.5, 0.0, 0.0, 37.5, 31.296875, 62.5, 50.0, 0.0, 0.0, 13.0, 3.0, 0.0, 0.0, 100.0, "Tous les candidats", 184.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "19398", "D.E manipulateur/trice en électroradiologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19398&g_ta_cod=19398", 60.0, 40.0, 0.0),
(1023, "Public", "0350089G", "Ecole Nationale Supérieure d'Architecture de Bretagne", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Bretagne - Architecture", "Formations Bac + 5", "", 90, 2166, 1223, 2166, 0, 1439, 191, 265, 67, 61, 26, 401, 0, 0, 0, 0, 0, 531, 0, 0, 0, 422, 46, 46, 10, 23, 7, 40, 245, 90, 54, 90, 0, 19.0, 86.0, 88.0, 0, 17, 86, 72, 10, 4, 4, 0, 0, 0, 45, 40, 1.0, 72, 10, 4, 0, 0, 37, 37, 21.11, 95.56, 97.78, 60.0, 43.0, 43.0, 0, 19.796875, 95.59375, 0.0, 0.0, 0.0, 52.296875, 46.5, 1.2, 83.6875, 83.6875, 11.599609375, 11.599609375, 4.69921875, 4.69921875, 198.0, 27.0, 7.0, 3.0, 19.0, "Tous les candidats", 324.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "4659", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4659&g_ta_cod=4659", 83.0, 11.0, 6.0),
(1024, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Géographie et aménagement - Parcours Géographie-aménagement", "Licence - Sciences humaines et sociales", "Géographie-aménagement", 175, 867, 378, 617, 0, 412, 94, 28, 6, 15, 4, 162, 250, 47, 24, 13, 166, 617, 231, 0, 0, 412, 94, 28, 6, 15, 4, 162, 848, 193, 65, 102, 91, 101.0, 101.0, 154.0, 0, 26, 92, 73, 12, 7, 101, 1, 33, 41, 13, 4, 0.0, 52, 4, 2, 0, 0, 63, 63, 52.33, 52.33, 79.79, 33.6953125, 68.5, 68.5, 0, 28.296875, 47.6953125, 1.099853515625, 35.8984375, 44.59375, 14.099609375, 4.3, 0.0, 79.296875, 56.5, 13.0, 4.2998046875, 7.599609375, 2.19970703125, 458.0, 106.0, 27.0, 9.0, 312.0, "Tous les candidats", 617.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4558", "Licence - Géographie et aménagement - Parcours Géographie-aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4558&g_ta_cod=4558", 66.0, 21.0, 12.0),
(1025, "Public", "0861408N", "Lycée professionnel KYOTO", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Autre formation", "Lycée professionnel KYOTO - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 12, 180, 95, 180, 0, 65, 14, 25, 5, 17, 6, 73, 0, 0, 0, 0, 0, 129, 0, 0, 0, 59, 12, 24, 5, 11, 3, 35, 57, 10, 6, 10, 0, 1.0, 8.0, 9.0, 0, 1, 7, 4, 0, 3, 3, 0, 1, 2, 3, 1, 0.0, 3, 0, 3, 0, 0, 4, 4, 10.0, 80.0, 90.0, 60.0, 57.09375, 57.09375, 0, 14.298828125, 70.0, 0.0, 14.298828125, 28.59765625, 42.8984375, 14.3, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 42.8984375, 42.8984375, 28.0, 8.0, 7.0, 1.0, 11.0, "Tous les candidats", 96.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "30113", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30113&g_ta_cod=30113", 60.0, 10.0, 30.0),
(1026, "Public", "9741263E", "Lycée Pierre Lagourgue", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation sélective", "BTS", "Lycée Pierre Lagourgue - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 18, 526, 447, 422, 0, 38, 21, 161, 97, 103, 72, 120, 104, 0, 39, 14, 51, 116, 11, 0, 0, 13, 7, 59, 38, 41, 31, 3, 86, 17, 12, 11, 5, 3.0, 10.0, 11.0, 0, 9, 15, 3, 9, 3, 2, 0, 4, 8, 2, 1, 0.0, 3, 5, 3, 2, 2, 14, 14, 17.65, 58.82, 64.71, 70.59375, 93.296875, 93.296875, 13.298828125, 60.0, 88.1875, 0.0, 26.69921875, 53.296875, 13.298828125, 6.7, 0.0, 20.0, 20.0, 60.0, 33.296875, 20.0, 20.0, 5.0, 3.0, 29.0, 20.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 24.0, "20384", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20384&g_ta_cod=20384", 18.0, 65.0, 18.0),
(1027, "Privé enseignement supérieur", "0292369T", "CESI Campus de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 24, 737, 114, 732, 0, 540, 52, 50, 12, 0, 0, 142, 5, 2, 1, 0, 2, 547, 1, 0, 0, 440, 31, 37, 6, 0, 0, 70, 113, 18, 1, 17, 1, 7.0, 17.0, 17.0, 0, 1, 17, 15, 2, 0, 1, 0, 2, 13, 2, 0, 0.0, 14, 1, 0, 0, 0, 16, 16, 38.89, 94.44, 94.44, 5.599609375, 94.09375, 94.09375, 0, 5.8994140625, 94.390625, 0.0, 11.798828125, 76.5, 11.798828125, 0.0, 0.0, 88.1875, 82.390625, 11.798828125, 5.8994140625, 0.0, 0.0, 76.0, 6.0, 0.0, 0.0, 35.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "25170", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25170", 89.0, 11.0, 0.0),
(1028, "Public", "0920136Y", "Lycée Newton-Enrea", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Clichy", "formation sélective", "CPGE", "Lycée Newton-Enrea - CPGE - PTSI", "Classe préparatoire scientifique", "", 40, 593, 99, 570, 305, 487, 62, 1, 0, 0, 0, 82, 23, 9, 0, 0, 14, 424, 6, 251, 408, 397, 42, 0, 0, 0, 0, 27, 289, 39, 7, 37, 2, 0.0, 14.0, 37.0, 21, 2, 38, 38, 0, 0, 1, 0, 3, 14, 20, 1, 0.0, 35, 0, 0, 0, 0, 28, 35, 0.0, 35.9, 94.87, 17.8984375, 73.6875, 92.09375, 0, 5.2998046875, 97.390625, 0.0, 7.8994140625, 36.796875, 52.59375, 2.6, 0.0, 100.0, 92.09375, 0.0, 0.0, 0.0, 0.0, 274.0, 27.0, 0.0, 0.0, 15.0, "Tous les candidats", 421.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "10991", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10991&g_ta_cod=10991", 100.0, 0.0, 0.0),
(1029, "Public", "0221753L", "IFSI CH Lannion", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Lannion", "formation sélective", "IFSI", "Regroupement d'IFSI Université Rennes - D.E Infirmier", "D.E secteur sanitaire", "", 46, 4051, 3428, 4051, 0, 715, 101, 848, 161, 597, 168, 1891, 0, 0, 0, 0, 0, 3692, 0, 0, 0, 677, 89, 778, 139, 541, 146, 1696, 651, 46, 43, 46, 0, 0.0, 20.0, 36.0, 0, 10, 30, 2, 3, 25, 16, 0, 1, 13, 16, 0, 0.0, 2, 3, 24, 0, 0, 26, 26, 0.0, 43.48, 78.26, 93.5, 86.6875, 86.6875, 0, 33.296875, 65.1875, 0.0, 3.2998046875, 43.296875, 53.296875, 0.0, 0.0, 6.69921875, 6.69921875, 10.0, 10.0, 83.296875, 80.0, 77.0, 10.0, 178.0, 55.0, 321.0, "Tous les candidats", 1962.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "23380", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23369&g_ta_cod=23380", 30.0, 11.0, 59.0),
(1030, "Privé sous contrat d'association", "0340992U", "Lycée professionnel Le Sacre Coeur", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation sélective", "BTS", "Lycée professionnel Le Sacre Coeur - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 23, 98, 18, 81, 0, 2, 0, 22, 4, 43, 13, 14, 17, 1, 3, 5, 8, 68, 9, 0, 0, 2, 0, 16, 2, 41, 12, 9, 72, 12, 4, 10, 2, 3.0, 10.0, 10.0, 0, 5, 10, 1, 2, 7, 2, 0, 6, 4, 0, 0, 0.0, 1, 0, 3, 6, 1, 8, 8, 25.0, 83.33, 83.33, 33.296875, 80.0, 80.0, 60, 50.0, 83.296875, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 10.0, 10.0, 20.0, 0.0, 70.0, 30.0, 3.0, 0.0, 41.0, 14.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 83.0, "13613", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13613&g_ta_cod=13613", 8.0, 25.0, 67.0),
(1031, "Public", "0580552K", "Lycée professionnel des métiers Francois Mitterrand", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Château-Chinon (Ville)", "formation sélective", "BTS", "Lycée professionnel des métiers Francois Mitterrand - BTS - Services - Tourisme", "BTS - Services", "", 24, 358, 185, 328, 0, 43, 11, 17, 9, 33, 14, 235, 30, 5, 4, 0, 21, 53, 12, 0, 0, 20, 4, 13, 7, 18, 8, 2, 60, 20, 13, 17, 3, 11.0, 16.0, 18.0, 0, 6, 19, 5, 5, 9, 1, 0, 11, 5, 3, 0, 0.0, 1, 1, 6, 0, 0, 18, 18, 55.0, 80.0, 90.0, 65.0, 94.6875, 94.6875, 0, 31.59765625, 95.0, 0.0, 57.8984375, 26.296875, 15.798828125, 0.0, 0.0, 26.296875, 5.2998046875, 26.296875, 5.2998046875, 47.3984375, 31.59765625, 16.0, 3.0, 17.0, 7.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 15.0, "6691", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6691&g_ta_cod=6691", 30.0, 25.0, 45.0),
(1032, "Privé sous contrat d'association", "0131485U", "Lycée professionnel LE ROCHER", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Salon-de-Provence", "formation sélective", "BTS", "Lycée professionnel LE ROCHER - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 18, 206, 203, 205, 0, 29, 10, 45, 14, 61, 13, 70, 1, 0, 0, 0, 1, 205, 0, 0, 0, 29, 10, 45, 14, 61, 13, 70, 87, 16, 16, 16, 0, 5.0, 11.0, 14.0, 0, 1, 13, 3, 3, 7, 3, 0, 3, 5, 5, 0, 0.0, 2, 1, 7, 6, 6, 12, 12, 31.25, 68.75, 87.5, 100.0, 92.296875, 92.296875, 46.1953125, 7.69921875, 81.296875, 0.0, 23.09765625, 38.5, 38.5, 0.0, 0.0, 23.09765625, 15.3984375, 23.09765625, 7.69921875, 53.796875, 53.796875, 13.0, 5.0, 23.0, 4.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 49.0, "18011", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18011&g_ta_cod=18011", 19.0, 25.0, 56.0),
(1033, "Public", "0130059U", "Lycée professionnel Blaise Pascal", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 12e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Blaise Pascal - DN MADE - Spectacle - - Spécialité 2 : Régie son pour le spectacle vivant", "DN MADE", "- Spécialité 2 : Régie son pour le spectacle vivant", 8, 162, 54, 162, 0, 71, 10, 19, 6, 11, 2, 61, 0, 0, 0, 0, 0, 100, 0, 0, 0, 57, 8, 10, 4, 5, 0, 28, 34, 6, 3, 6, 0, 3.0, 5.0, 5.0, 0, 2, 6, 6, 0, 0, 0, 1, 0, 2, 3, 0, 0.0, 5, 0, 0, 0, 0, 1, 1, 50.0, 83.33, 83.33, 50.0, 16.69921875, 16.69921875, 0, 33.296875, 100.0, 16.69921875, 0.0, 33.296875, 50.0, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 23.0, 5.0, 1.0, 0.0, 7.0, "Tous les candidats", 30.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "24105", "DN MADE - Spectacle - - Spécialité 2 : Régie son pour le spectacle vivant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24105&g_ta_cod=24105", 100.0, 0.0, 0.0),
(1034, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence_Las", "Université de Nantes - Licence - Portail Informatique - MIP", "Licence - Sciences - technologies - santé", "MIP", 18, 227, 57, 215, 0, 95, 28, 7, 3, 0, 0, 113, 12, 3, 0, 0, 9, 215, 9, 0, 0, 95, 28, 7, 3, 0, 0, 113, 129, 18, 2, 14, 4, 1.0, 5.0, 13.0, 0, 2, 4, 4, 0, 0, 14, 0, 1, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 4, 4, 5.56, 27.78, 72.22, 11.099609375, 100.0, 100.0, 0, 50.0, 22.19921875, 0.0, 25.0, 25.0, 50.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 52.0, 16.0, 0.0, 0.0, 76.0, "Tous les candidats", 1191.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "33361", "Licence - Portail Informatique - MIP", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33360&g_ta_cod=33361", 94.0, 6.0, 0.0),
(1035, "Public", "0751722P", "Sorbonne Université - Sciences et Ingénierie", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence_Las", "Sorbonne Université ? Sciences et Ingénierie - Licence - Portail Sciences de l'ingénieur", "Licence - Sciences - technologies - santé", "Sciences de l'ingénieur", 10, 1832, 829, 1832, 0, 987, 255, 49, 25, 2, 2, 794, 0, 0, 0, 0, 0, 1832, 0, 0, 0, 987, 255, 49, 25, 2, 2, 794, 143, 10, 3, 10, 0, 1.0, 2.0, 6.0, 0, 0, 2, 2, 0, 0, 8, 0, 0, 0, 1, 0, 1.0, 2, 0, 0, 0, 0, 0, 0, 10.0, 20.0, 60.0, 30.0, 0.0, 0.0, 0, 0.0, 20.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 109.0, 18.0, 0.0, 0.0, 34.0, "Tous les candidats", 899.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 16.0, "31056", "Licence - Portail Sciences de l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31055&g_ta_cod=31056", 100.0, 0.0, 0.0),
(1036, "Privé hors contrat", "9741605B", "Ecole des métiers de l'accompagnement de la personne", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "Autre formation", "Ecole des métiers de l'accompagnement de la personne - D.E Psychomotricien", "D.E secteur sanitaire", "", 24, 181, 150, 181, 0, 33, 9, 20, 11, 2, 1, 126, 0, 0, 0, 0, 0, 109, 0, 0, 0, 20, 5, 5, 3, 0, 0, 84, 30, 24, 24, 24, 0, 11.0, 13.0, 13.0, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 45.83, 54.17, 54.17, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.0, 0.0, 0.0, 0.0, 28.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "26091", "D.E Psychomotricien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26091&g_ta_cod=26091", 83.0, 13.0, 0.0),
(1037, "Public", "0501928Z", "IUT GRAND OUEST NORMANDIE - Pôle de Cherbourg - Site de Saint-Lô", "50", "Manche", "Normandie", "Normandie", "Saint-Lô", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Cherbourg - Site de Saint-Lô - BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie", "BUT - Production", "Optimisation énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie", 50, 457, 50, 411, 0, 204, 13, 147, 26, 7, 3, 53, 46, 15, 2, 1, 28, 392, 28, 0, 0, 201, 12, 140, 25, 6, 3, 45, 318, 28, 1, 19, 9, 6.0, 19.0, 27.0, 0, 5, 23, 10, 11, 2, 5, 0, 11, 9, 2, 1, 0.0, 2, 9, 1, 0, 0, 16, 16, 21.43, 67.86, 96.43, 3.599609375, 69.59375, 69.59375, 0, 21.69921875, 82.09375, 0.0, 47.796875, 39.09375, 8.69921875, 4.3, 0.0, 43.5, 8.69921875, 47.796875, 39.09375, 8.69921875, 4.2998046875, 151.0, 8.0, 4.0, 3.0, 48.0, "Tous les candidats sauf les Bac technologiques", 241.0, "Bacheliers technologiques toutes séries", 152, "", 0, "Liste d'appel propre à cette formation", 95.0, "6051", "BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6051&g_ta_cod=6051", 54.0, 39.0, 7.0),
(1038, "Public", "0690023A", "Lycée Ampère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "BTS", "Lycée Ampère - BTS - Services - Commerce International", "BTS - Services", "", 35, 2530, 1405, 2530, 0, 633, 147, 938, 377, 283, 155, 676, 0, 0, 0, 0, 0, 708, 0, 0, 0, 233, 40, 267, 81, 106, 61, 102, 184, 34, 22, 34, 0, 3.0, 31.0, 34.0, 0, 8, 28, 4, 18, 6, 6, 1, 2, 19, 4, 2, 0.0, 4, 16, 5, 3, 3, 21, 21, 8.82, 91.18, 100.0, 64.6875, 75.0, 75.0, 10.69921875, 28.59765625, 82.390625, 3.599609375, 7.099609375, 67.890625, 14.298828125, 7.1, 0.0, 14.298828125, 14.298828125, 64.296875, 57.09375, 21.3984375, 17.8984375, 34.0, 10.0, 31.0, 14.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 78.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 195, "Liste d'appel propre à cette formation", 13.0, "8179", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8179&g_ta_cod=8179", 15.0, 65.0, 21.0),
(1039, "Public", "0930121B", "Lycée Jean Jaurès", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "BTS", "Lycée Jean Jaurès - BTS - Services - Support à l'action managériale", "BTS - Services", "", 30, 1024, 726, 1024, 0, 25, 14, 261, 139, 405, 233, 333, 0, 0, 0, 0, 0, 464, 0, 0, 0, 23, 12, 126, 74, 209, 126, 106, 189, 31, 25, 31, 0, 2.0, 21.0, 27.0, 0, 15, 22, 2, 8, 12, 9, 0, 10, 8, 3, 1, 0.0, 1, 4, 7, 4, 3, 15, 22, 6.45, 67.74, 87.1, 80.59375, 68.1875, 100.0, 18.19921875, 68.1875, 71.0, 0.0, 45.5, 36.3984375, 13.599609375, 4.5, 0.0, 9.099609375, 4.5, 36.3984375, 18.19921875, 54.5, 31.796875, 15.0, 10.0, 73.0, 50.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 162, "Bacheliers technologiques toutes séries", 107, "Liste d'appel propre à cette formation", 29.0, "11179", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11179&g_ta_cod=11179", 19.0, 32.0, 48.0),
(1040, "Public", "0590065A", "Lycée Edmond Labbe", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "BTS", "Lycée Edmond Labbe - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 144, 13, 126, 0, 9, 1, 22, 8, 27, 10, 68, 18, 0, 5, 7, 6, 126, 3, 0, 0, 9, 1, 22, 8, 27, 10, 68, 58, 10, 1, 8, 2, 2.0, 8.0, 10.0, 0, 2, 6, 0, 1, 5, 4, 0, 2, 1, 3, 0, 0.0, 0, 1, 3, 1, 0, 6, 6, 20.0, 80.0, 100.0, 10.0, 100.0, 100.0, 16.69921875, 33.296875, 60.0, 0.0, 33.296875, 16.69921875, 50.0, 0.0, 0.0, 0.0, 0.0, 16.69921875, 16.69921875, 83.296875, 50.0, 4.0, 1.0, 26.0, 10.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 59.0, "13553", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13553&g_ta_cod=13553", 10.0, 30.0, 60.0),
(1041, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail Droit / Histoire", "Licence - Droit-économie-gestion", "Droit / Histoire : Droit", 30, 514, 336, 511, 0, 402, 89, 38, 16, 10, 5, 61, 3, 2, 0, 0, 1, 510, 3, 0, 0, 402, 89, 38, 16, 10, 5, 60, 209, 29, 16, 29, 0, 0.0, 21.0, 27.0, 0, 7, 26, 24, 2, 0, 3, 1, 6, 9, 7, 3, 0.0, 19, 0, 0, 0, 0, 19, 19, 0.0, 72.41, 93.1, 55.1953125, 73.09375, 73.09375, 0, 26.8984375, 89.6875, 3.7998046875, 23.09765625, 34.59375, 26.8984375, 11.5, 0.0, 92.296875, 73.09375, 7.69921875, 0.0, 0.0, 0.0, 169.0, 37.0, 0.0, 0.0, 28.0, "Tous les candidats", 647.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "22783", "Licence - Portail Droit / Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22781&g_ta_cod=22783", 90.0, 10.0, 0.0),
(1042, "Public", "0300021K", "Lycée Alphonse DAUDET", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "CPGE", "Lycée Alphonse DAUDET - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 446, 333, 431, 238, 360, 66, 0, 0, 3, 2, 68, 15, 8, 0, 0, 7, 374, 13, 43, 372, 345, 63, 0, 0, 0, 0, 29, 253, 33, 20, 28, 5, 6.0, 28.0, 31.0, 2, 9, 31, 31, 0, 0, 2, 0, 0, 8, 17, 6, 0.0, 31, 0, 0, 5, 4, 24, 24, 18.18, 84.85, 93.94, 60.59375, 77.390625, 77.390625, 16.09765625, 29.0, 93.890625, 0.0, 0.0, 25.796875, 54.796875, 19.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 227.0, 41.0, 0.0, 0.0, 26.0, "Tous les candidats", 378.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "3929", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3929&g_ta_cod=3929", 100.0, 0.0, 0.0),
(1043, "Privé sous contrat d'association", "0280665W", "Lycée Notre Dame", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Chartres", "formation sélective", "BTS", "Lycée Notre Dame - BTS - Production - Métiers de la chimie", "BTS - Production", "", 18, 269, 146, 245, 0, 61, 8, 54, 7, 8, 5, 122, 24, 3, 3, 2, 16, 148, 15, 0, 0, 60, 8, 52, 6, 1, 0, 35, 93, 18, 11, 11, 7, 4.0, 8.0, 13.0, 0, 0, 9, 3, 6, 0, 9, 0, 5, 3, 1, 0, 0.0, 1, 3, 0, 3, 1, 4, 4, 22.22, 44.44, 72.22, 61.09375, 44.3984375, 44.3984375, 33.296875, 0.0, 50.0, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 33.296875, 11.099609375, 66.6875, 33.296875, 0.0, 0.0, 32.0, 4.0, 2.0, 0.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 78.0, "Bacheliers professionnels toutes séries", 1, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 59.0, "3740", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3740&g_ta_cod=3740", 28.0, 72.0, 0.0),
(1044, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Sciences pour l'ingénieur - Parcours Ingénierie Mécanique", "Licence - Sciences - technologies - santé", "Ingénierie Mécanique", 35, 534, 75, 520, 0, 336, 70, 28, 10, 3, 1, 153, 14, 0, 1, 1, 12, 508, 13, 0, 0, 336, 70, 28, 10, 3, 1, 141, 279, 20, 1, 15, 4, 1.0, 9.0, 15.0, 0, 2, 10, 9, 1, 0, 10, 0, 5, 3, 2, 0, 0.0, 4, 1, 0, 0, 0, 8, 8, 5.0, 45.0, 75.0, 5.0, 80.0, 80.0, 0, 20.0, 50.0, 0.0, 50.0, 30.0, 20.0, 0.0, 0.0, 90.0, 40.0, 10.0, 10.0, 0.0, 0.0, 175.0, 42.0, 1.0, 1.0, 95.0, "Tous les candidats", 460.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "7013", "Licence - Sciences pour l'ingénieur - Parcours Ingénierie Mécanique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7013&g_ta_cod=7013", 90.0, 10.0, 0.0),
(1045, "Public", "0600015R", "Lycée Mireille Grenet", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "BTS", "Lycée Mireille Grenet - BTS - Production - Pilotage des procédés", "BTS - Production", "", 15, 85, 21, 79, 0, 3, 0, 12, 2, 24, 7, 40, 6, 0, 1, 4, 1, 79, 2, 0, 0, 3, 0, 12, 2, 24, 7, 40, 41, 8, 3, 7, 1, 1.0, 5.0, 7.0, 0, 1, 7, 0, 3, 4, 1, 0, 5, 1, 1, 0, 0.0, 0, 1, 1, 3, 0, 7, 7, 12.5, 62.5, 87.5, 37.5, 100.0, 100.0, 42.8984375, 14.298828125, 87.5, 0.0, 71.390625, 14.298828125, 14.298828125, 0.0, 0.0, 0.0, 0.0, 42.8984375, 14.298828125, 57.09375, 14.298828125, 0.0, 0.0, 22.0, 5.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 57.0, "20155", "BTS - Production - Pilotage des procédés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20155&g_ta_cod=20155", 0.0, 50.0, 50.0),
(1046, "Public", "0271431J", "Lycée Jacques Prevert", "27", "Eure", "Normandie", "Normandie", "Pont-Audemer", "formation sélective", "BTS", "Lycée Jacques Prevert - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 459, 244, 459, 0, 36, 6, 111, 27, 121, 41, 191, 0, 0, 0, 0, 0, 236, 0, 0, 0, 32, 5, 101, 24, 83, 27, 20, 143, 32, 19, 32, 0, 5.0, 23.0, 27.0, 0, 9, 31, 2, 15, 14, 1, 2, 9, 11, 6, 3, 0.0, 2, 7, 11, 14, 9, 31, 31, 15.63, 71.88, 84.38, 59.3984375, 100.0, 100.0, 45.1953125, 29.0, 96.890625, 6.5, 29.0, 35.5, 19.3984375, 9.7, 0.0, 6.5, 6.5, 48.3984375, 22.59765625, 45.1953125, 35.5, 14.0, 4.0, 50.0, 14.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 96, "Liste d'appel propre à cette formation", 40.0, "3706", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3706&g_ta_cod=3706", 9.0, 47.0, 44.0),
(1047, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues étrangères appliquées - Parcours LEA Anglais-Turc", "Licence - Arts-lettres-langues", "LEA Anglais-Turc", 35, 147, 115, 89, 0, 35, 18, 9, 6, 18, 11, 27, 58, 2, 4, 10, 42, 89, 49, 0, 0, 35, 18, 9, 6, 18, 11, 27, 136, 25, 16, 17, 8, 11.0, 15.0, 20.0, 0, 8, 13, 4, 3, 6, 12, 0, 7, 4, 2, 0, 0.0, 2, 1, 3, 0, 0, 9, 9, 44.0, 60.0, 80.0, 64.0, 69.1875, 69.1875, 0, 61.5, 52.0, 0.0, 53.796875, 30.796875, 15.3984375, 0.0, 0.0, 30.796875, 15.3984375, 23.09765625, 7.69921875, 46.1953125, 23.09765625, 37.0, 20.0, 26.0, 18.0, 60.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20509", "Licence - Langues étrangères appliquées - Parcours LEA Anglais-Turc", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20509&g_ta_cod=20509", 48.0, 20.0, 28.0),
(1048, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Portail Sciences de la vie, de la Terre et de l'environnement (SVTE)", "Licence - Sciences - technologies - santé", "Sciences de la vie, de la Terre et de l'environnement (SVTE) : Sciences de la vie", 310, 4494, 3069, 4465, 0, 2760, 555, 113, 39, 7, 5, 1585, 29, 10, 0, 0, 19, 4421, 29, 0, 0, 2760, 555, 113, 39, 7, 5, 1541, 2526, 304, 202, 284, 20, 77.0, 162.0, 214.0, 0, 49, 189, 182, 6, 1, 115, 1, 34, 56, 69, 27, 2.0, 152, 2, 0, 0, 0, 160, 160, 25.33, 53.29, 70.39, 66.390625, 84.6875, 84.6875, 0, 25.8984375, 62.1953125, 0.5, 18.0, 29.59765625, 36.5, 14.3, 1.1, 96.296875, 80.390625, 3.19970703125, 1.099853515625, 0.5, 0.0, 1545.0, 319.0, 2.0, 2.0, 957.0, "Tous les candidats", 3729.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 66.0, "28612", "Licence - Portail Sciences de la vie, de la Terre et de l'environnement (SVTE)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28609&g_ta_cod=28612", 96.0, 3.0, 1.0),
(1049, "Public", "0250007X", "Lycée Victor Hugo", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Victor Hugo - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 20, 211, 24, 189, 0, 15, 1, 42, 11, 71, 23, 61, 22, 6, 8, 1, 7, 104, 5, 0, 0, 9, 1, 37, 8, 49, 17, 9, 83, 14, 0, 12, 2, 1.0, 8.0, 12.0, 0, 4, 12, 0, 3, 9, 2, 0, 4, 8, 0, 0, 0.0, 0, 1, 7, 1, 0, 8, 8, 7.14, 57.14, 85.71, 0.0, 66.6875, 66.6875, 8.298828125, 33.296875, 85.6875, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 25.0, 8.298828125, 75.0, 58.296875, 5.0, 0.0, 32.0, 12.0, 10.0, "Tous les candidats sauf les Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 50.0, "3453", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3453&g_ta_cod=3453", 0.0, 21.0, 79.0),
(1050, "Public", "0810012Y", "Lycée Jean Jaures", "81", "Tarn", "Occitanie", "Toulouse", "Carmaux", "formation sélective", "Autre formation", "Lycée Jean Jaures - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 24, 97, 16, 74, 0, 20, 5, 10, 5, 27, 7, 17, 23, 6, 4, 7, 6, 51, 13, 0, 0, 19, 4, 9, 4, 17, 4, 6, 65, 14, 3, 8, 6, 4.0, 8.0, 12.0, 0, 6, 13, 3, 5, 5, 1, 0, 9, 4, 0, 0, 0.0, 0, 1, 3, 0, 0, 10, 10, 28.57, 57.14, 85.71, 21.3984375, 76.890625, 76.890625, 0, 46.1953125, 92.890625, 0.0, 69.1875, 30.796875, 0.0, 0.0, 0.0, 23.09765625, 0.0, 38.5, 7.69921875, 38.5, 23.09765625, 23.0, 4.0, 22.0, 5.0, 8.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "30685", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30685&g_ta_cod=30685", 21.0, 43.0, 36.0),
(1051, "Privé sous contrat d'association", "0754030Y", "Lycée Albert de Mun", "75", "Paris", "Ile-de-France", "Paris", "Paris  7e  Arrondissement", "formation sélective", "Autre formation", "Lycée Albert de Mun - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 949, 416, 931, 0, 462, 89, 201, 61, 11, 6, 257, 18, 6, 2, 0, 10, 422, 0, 0, 0, 306, 40, 77, 19, 0, 0, 39, 286, 32, 11, 32, 0, 22.0, 26.0, 32.0, 0, 3, 31, 25, 6, 0, 1, 0, 3, 21, 7, 0, 0.0, 22, 6, 0, 0, 0, 8, 28, 68.75, 81.25, 100.0, 34.3984375, 25.796875, 90.296875, 0, 9.69921875, 96.890625, 0.0, 9.69921875, 67.6875, 22.59765625, 0.0, 0.0, 80.59375, 71.0, 19.3984375, 19.3984375, 0.0, 0.0, 214.0, 31.0, 0.0, 0.0, 22.0, "Tous les candidats", 416.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "9501", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9501&g_ta_cod=9501", 81.0, 19.0, 0.0),
(1052, "Privé sous contrat d'association", "0593058D", "Lycée Vauban", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "Lycée Vauban - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 492, 226, 480, 0, 23, 5, 39, 11, 25, 11, 393, 12, 0, 0, 7, 5, 162, 5, 0, 0, 22, 5, 36, 11, 25, 11, 79, 108, 19, 12, 18, 1, 7.0, 14.0, 15.0, 0, 5, 13, 2, 5, 6, 6, 0, 5, 4, 2, 2, 0.0, 1, 3, 4, 3, 3, 12, 12, 36.84, 73.68, 78.95, 63.1953125, 92.296875, 92.296875, 23.09765625, 38.5, 68.390625, 0.0, 38.5, 30.796875, 15.3984375, 15.4, 0.0, 15.3984375, 7.69921875, 38.5, 23.09765625, 46.1953125, 30.796875, 17.0, 3.0, 27.0, 11.0, 32.0, "Tous les candidats sauf les Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 21.0, "6967", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6967&g_ta_cod=6967", 42.0, 26.0, 32.0),
(1053, "Privé sous contrat d'association", "0492246A", "ESAIP Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saint-Barthélemy-d'Anjou", "formation sélective", "Ecole d'Ingénieur", "ESAIP Angers - Formation Bac + 3 - Bachelor en Ingénierie Informatique et Cybersécurité", "Formations  des écoles d'ingénieurs", "Bachelor en Ingénierie Informatique et Cybersécurité", 65, 255, 26, 216, 0, 124, 6, 32, 3, 7, 1, 53, 39, 11, 2, 1, 25, 212, 36, 0, 0, 124, 6, 32, 3, 7, 1, 49, 203, 48, 7, 41, 7, 2.0, 41.0, 48.0, 0, 1, 24, 19, 3, 2, 24, 1, 11, 11, 0, 1, 0.0, 8, 3, 1, 0, 0, 10, 10, 4.17, 85.42, 100.0, 14.599609375, 41.6953125, 41.6953125, 0, 4.19921875, 50.0, 4.19921875, 45.796875, 45.796875, 0.0, 4.2, 0.0, 79.1875, 33.296875, 12.5, 12.5, 8.298828125, 4.19921875, 109.0, 5.0, 7.0, 1.0, 63.0, "Tous les candidats", 213.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "33996", "Formation Bac + 3 - Bachelor en Ingénierie Informatique et Cybersécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33996&g_ta_cod=33996", 81.0, 13.0, 6.0),
(1054, "Privé sous contrat d'association", "0490073N", "ESA Angers (Angers-49)", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "ESA Angers (Angers-49) - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 32, 115, 48, 96, 0, 15, 0, 30, 7, 29, 3, 22, 19, 1, 3, 5, 10, 74, 8, 0, 0, 13, 0, 27, 5, 24, 3, 10, 74, 20, 9, 15, 5, 9.0, 15.0, 18.0, 0, 5, 18, 1, 8, 9, 2, 0, 11, 5, 1, 1, 0.0, 0, 3, 4, 0, 0, 11, 11, 45.0, 75.0, 90.0, 45.0, 61.09375, 61.09375, 0, 27.796875, 90.0, 0.0, 61.09375, 27.796875, 5.599609375, 5.6, 0.0, 5.599609375, 0.0, 44.3984375, 16.69921875, 50.0, 22.19921875, 14.0, 0.0, 22.0, 3.0, 13.0, "Tous les candidats sauf les Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 75.0, "5847", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5847&g_ta_cod=5847", 10.0, 45.0, 45.0),
(1055, "Privé sous contrat d'association", "T171435T", "EIGSI Casablanca (Maroc)", "99", "Etranger", "Etranger", "Etranger", "Casablanca", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 10, 688, 138, 684, 0, 683, 41, 0, 0, 0, 0, 1, 4, 4, 0, 0, 0, 655, 0, 0, 0, 654, 37, 0, 0, 0, 0, 1, 655, 3, 1, 3, 0, 3.0, 3.0, 3.0, 0, 0, 3, 3, 0, 0, 0, 0, 2, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 100.0, 100.0, 100.0, 33.296875, 66.6875, 66.6875, 0, 0.0, 100.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 100.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 654.0, 37.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "528", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=99&g_ta_cod=528", 100.0, 0.0, 0.0),
(1056, "Public", "9720825P", "Lycée Centre Sud", "972", "Martinique", "Martinique", "Martinique", "Ducos", "formation sélective", "CPGE", "Lycée Centre Sud - CPGE - BCPST", "Classe préparatoire scientifique", "", 26, 249, 156, 249, 133, 179, 47, 5, 1, 0, 0, 65, 0, 0, 0, 0, 0, 149, 0, 85, 140, 139, 36, 0, 0, 0, 0, 10, 105, 24, 18, 24, 0, 7.0, 21.0, 24.0, 10, 13, 23, 23, 0, 0, 1, 0, 0, 3, 17, 3, 0.0, 23, 0, 0, 3, 2, 22, 22, 29.17, 87.5, 100.0, 75.0, 95.6875, 95.6875, 13, 56.5, 95.796875, 0.0, 0.0, 13.0, 73.890625, 13.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 24.0, 0.0, 0.0, 5.0, "Tous les candidats", 117.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "11832", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11832&g_ta_cod=11832", 100.0, 0.0, 0.0),
(1057, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Double diplôme - Licence Economie et gestion - Double diplôme Licence Management international - Diplôme universitaire Compétences en management - site de Créteil", "Licence - Droit-économie-gestion", "Double diplôme Licence Management international - Diplôme universitaire Compétences en management - site de Créteil", 30, 1915, 1123, 1915, 0, 1424, 249, 125, 46, 20, 10, 346, 0, 0, 0, 0, 0, 151, 0, 0, 0, 136, 12, 0, 0, 0, 0, 15, 104, 29, 18, 28, 0, 10.0, 28.0, 28.0, 0, 4, 25, 25, 0, 0, 4, 0, 0, 0, 9, 14, 2.0, 25, 0, 0, 0, 0, 7, 9, 34.48, 96.55, 96.55, 62.09375, 28.0, 36.0, 0, 16.0, 86.1875, 0.0, 0.0, 0.0, 36.0, 56.0, 8.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 90.0, 12.0, 0.0, 0.0, 14.0, "Tous les candidats", 133.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "17334", "Licence - Double diplôme - Licence Economie et gestion - Double diplôme Licence Management international - Diplôme universitaire Compétences en management - site de Créteil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17334&g_ta_cod=17334", 100.0, 0.0, 0.0),
(1058, "Privé enseignement supérieur", "0221844K", "Facultés libres de l'ouest - UCO - Bretagne Nord", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Guingamp", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Bretagne Nord - Licence - Economie et gestion - Parcours Gestion commerce", "Licence - Droit-économie-gestion", "Gestion commerce", 60, 320, 136, 242, 0, 149, 20, 58, 15, 5, 3, 30, 78, 18, 12, 3, 45, 242, 74, 0, 0, 149, 20, 58, 15, 5, 3, 30, 278, 14, 5, 11, 3, 6.0, 11.0, 14.0, 0, 0, 10, 6, 3, 1, 4, 0, 6, 2, 2, 0, 0.0, 2, 1, 1, 0, 0, 7, 7, 42.86, 78.57, 100.0, 35.6953125, 70.0, 70.0, 0, 0.0, 71.390625, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 60.0, 20.0, 30.0, 10.0, 10.0, 10.0, 145.0, 19.0, 7.0, 5.0, 67.0, "Tous les candidats", 242.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "17399", "Licence - Economie et gestion - Parcours Gestion commerce", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17399&g_ta_cod=17399", 64.0, 21.0, 14.0),
(1059, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Information et communication - Parcours Information-Communication - Mineure Arts et Médias", "Licence - Sciences humaines et sociales", "Information-Communication - Mineure Arts et Médias", 93, 4212, 3329, 4212, 0, 2767, 452, 226, 74, 33, 7, 1186, 0, 0, 0, 0, 0, 4212, 0, 0, 0, 2767, 452, 226, 74, 33, 7, 1186, 335, 92, 82, 92, 0, 13.0, 77.0, 83.0, 0, 18, 81, 76, 3, 2, 11, 0, 0, 4, 40, 37, 0.0, 76, 3, 2, 0, 0, 15, 57, 14.13, 83.7, 90.22, 89.09375, 18.5, 70.390625, 0, 22.19921875, 88.0, 0.0, 0.0, 4.8994140625, 49.3984375, 45.7, 0.0, 93.796875, 93.796875, 3.69970703125, 3.69970703125, 2.5, 2.5, 273.0, 46.0, 4.0, 0.0, 49.0, "Tous les candidats", 420.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "15647", "Licence - Information et communication - Parcours Information-Communication - Mineure Arts et Médias", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15647&g_ta_cod=15647", 91.0, 3.0, 4.0),
(1060, "Public", "0590072H", "Lycée De L'Europe", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "Lycée De L'Europe - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 45, 335, 40, 334, 0, 37, 8, 84, 32, 64, 28, 149, 1, 0, 0, 1, 0, 212, 1, 0, 0, 30, 5, 75, 24, 64, 28, 43, 155, 43, 3, 42, 1, 9.0, 40.0, 40.0, 0, 12, 37, 5, 17, 15, 6, 0, 18, 12, 7, 0, 0.0, 4, 6, 9, 14, 1, 37, 37, 20.93, 93.02, 93.02, 7.0, 100.0, 100.0, 37.796875, 32.3984375, 86.0, 0.0, 48.59375, 32.3984375, 18.8984375, 0.0, 0.0, 13.5, 10.798828125, 45.8984375, 16.19921875, 40.5, 24.296875, 20.0, 5.0, 53.0, 25.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 54.0, "6752", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6752&g_ta_cod=6752", 16.0, 44.0, 40.0),
(1061, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Portail Psychologie - Psychologie - Grenoble", "Licence - Sciences humaines et sociales", "Psychologie - Grenoble", 374, 4428, 3661, 4428, 0, 2360, 506, 445, 129, 105, 34, 1518, 0, 0, 0, 0, 0, 4428, 0, 0, 0, 2360, 506, 445, 129, 105, 34, 1518, 1357, 372, 327, 371, 0, 55.0, 288.0, 340.0, 0, 72, 315, 312, 3, 0, 57, 0, 88, 141, 73, 12, 1.0, 224, 3, 0, 0, 0, 300, 300, 14.78, 77.42, 91.4, 87.890625, 95.1875, 95.1875, 0, 22.8984375, 84.6875, 0.0, 27.8984375, 44.796875, 23.19921875, 3.8, 0.3, 99.0, 71.09375, 1.0, 1.0, 0.0, 0.0, 1156.0, 214.0, 0.0, 0.0, 183.0, "Tous les candidats", 1819.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "31717", "Licence - Portail Psychologie - Psychologie - Grenoble", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31718&g_ta_cod=31717", 99.0, 1.0, 0.0),
(1062, "Public", "0670085D", "Lycée Louis Couffignal", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Louis Couffignal - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 24, 225, 22, 213, 0, 10, 0, 79, 28, 74, 31, 50, 12, 2, 5, 0, 5, 187, 5, 0, 0, 10, 0, 74, 24, 62, 25, 41, 113, 16, 1, 14, 2, 1.0, 9.0, 11.0, 0, 5, 11, 0, 4, 7, 5, 0, 6, 4, 1, 0, 0.0, 0, 0, 5, 4, 0, 11, 11, 6.25, 56.25, 68.75, 6.2998046875, 100.0, 100.0, 36.3984375, 45.5, 68.796875, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 0.0, 0.0, 36.3984375, 0.0, 63.59375, 45.5, 8.0, 0.0, 26.0, 10.0, 23.0, "Tous les candidats sauf les Bac professionnels", 117.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 71.0, "7939", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7939&g_ta_cod=7939", 25.0, 31.0, 44.0),
(1063, "Privé sous contrat d'association", "0491027A", "Lycée agricole Campus de Pouillé", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Les Ponts-de-Cé", "formation sélective", "BTS", "Lycée agricole Campus de Pouillé - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 42, 284, 65, 274, 0, 59, 11, 75, 12, 40, 8, 100, 10, 2, 0, 3, 5, 182, 2, 0, 0, 59, 11, 73, 11, 32, 7, 18, 140, 21, 1, 19, 2, 3.0, 19.0, 20.0, 0, 4, 17, 5, 9, 3, 4, 0, 7, 8, 0, 2, 0.0, 2, 6, 2, 4, 0, 9, 9, 14.29, 90.48, 95.24, 4.7998046875, 52.8984375, 52.8984375, 23.5, 23.5, 81.0, 0.0, 41.1953125, 47.09375, 0.0, 11.8, 0.0, 29.3984375, 11.798828125, 52.8984375, 35.296875, 17.59765625, 11.798828125, 46.0, 8.0, 22.0, 7.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 66.0, "5951", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5951&g_ta_cod=5951", 38.0, 43.0, 19.0),
(1064, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Slovaque", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Europe - Slovaque", 10, 9, 3, 4, 0, 1, 1, 0, 0, 1, 0, 2, 5, 0, 0, 1, 4, 4, 3, 0, 0, 1, 1, 0, 0, 1, 0, 2, 7, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 1.0, 2.0, 1.0, 4.0, "Tous les candidats", 4.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9429", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Slovaque", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29625&g_ta_cod=9429", 0, 0, 0),
(1065, "Privé enseignement supérieur", "0755308M", "Institut Saint-Pie X", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Institut Saint-Pie X - Licence - Humanités - Parcours Lettres classiques et/ou Lettres, cultures et patrimoine", "Licence - Arts-lettres-langues", "Lettres classiques et/ou Lettres, cultures et patrimoine", 20, 49, 36, 33, 0, 25, 1, 1, 0, 0, 0, 7, 16, 6, 0, 0, 10, 15, 1, 0, 0, 15, 0, 0, 0, 0, 0, 0, 16, 5, 4, 5, 0, 5.0, 5.0, 5.0, 0, 0, 5, 5, 0, 0, 0, 0, 1, 0, 4, 0, 0.0, 4, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 80.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 20.0, 0.0, 80.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 15.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "17415", "Licence - Humanités - Parcours Lettres classiques et/ou Lettres, cultures et patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17415&g_ta_cod=17415", 100.0, 0.0, 0.0),
(1066, "Public", "0810959C", "Lycée La Borde Basse", "81", "Tarn", "Occitanie", "Toulouse", "Castres", "formation sélective", "BTS", "Lycée La Borde Basse - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 12, 433, 414, 433, 0, 77, 20, 124, 39, 105, 48, 127, 0, 0, 0, 0, 0, 433, 0, 0, 0, 77, 20, 124, 39, 105, 48, 127, 74, 10, 10, 10, 0, 0.0, 8.0, 8.0, 0, 3, 9, 2, 3, 4, 1, 0, 3, 5, 1, 0, 0.0, 0, 3, 3, 2, 2, 5, 5, 0.0, 80.0, 80.0, 100.0, 55.59375, 55.59375, 22.19921875, 33.296875, 90.0, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 22.19921875, 0.0, 33.296875, 33.296875, 44.3984375, 33.296875, 14.0, 4.0, 18.0, 7.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers technologiques toutes séries", 52, "Bacheliers professionnels toutes séries", 33, "Liste d'appel propre à cette formation", 27.0, "30067", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30067&g_ta_cod=30067", 20.0, 40.0, 40.0),
(1067, "Public", "9710981P", "Lycée Iles Du Nord", "978", "Saint-Martin", "Saint-Martin", "Guadeloupe", "Saint-Martin", "formation sélective", "BTS", "Lycée Iles Du Nord - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 15, 43, 7, 33, 0, 4, 1, 11, 2, 12, 5, 6, 10, 1, 0, 5, 4, 19, 7, 0, 0, 2, 1, 5, 0, 10, 4, 2, 25, 6, 1, 2, 3, 2.0, 2.0, 4.0, 0, 4, 6, 1, 1, 4, 0, 0, 4, 1, 1, 0, 0.0, 0, 1, 1, 3, 0, 5, 5, 33.33, 33.33, 66.67, 16.69921875, 83.296875, 83.296875, 50, 66.6875, 100.0, 0.0, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 16.69921875, 0.0, 16.69921875, 16.69921875, 66.6875, 16.69921875, 3.0, 1.0, 14.0, 7.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers technologiques toutes séries", 6, "Bacheliers professionnels toutes séries", 10, "Liste d'appel propre à cette formation", 58.0, "33292", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33292&g_ta_cod=33292", 17.0, 17.0, 67.0),
(1068, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence_Las", "Université des Antilles - Pôle Martinique - Licence - Portail Physique, chimie - Matière, énergie environnement - Martinique", "Licence - Sciences - technologies - santé", "Matière, énergie environnement - Martinique", 25, 164, 113, 102, 0, 74, 21, 6, 3, 0, 0, 22, 62, 26, 4, 2, 30, 102, 57, 0, 0, 74, 21, 6, 3, 0, 0, 22, 141, 24, 18, 10, 14, 1.0, 10.0, 20.0, 0, 4, 11, 9, 2, 0, 13, 0, 7, 3, 1, 0, 0.0, 4, 0, 0, 0, 0, 10, 10, 4.17, 41.67, 83.33, 75.0, 90.890625, 90.890625, 0, 36.3984375, 45.796875, 0.0, 63.59375, 27.296875, 9.099609375, 0.0, 0.0, 81.796875, 36.3984375, 18.19921875, 0.0, 0.0, 0.0, 86.0, 22.0, 2.0, 1.0, 44.0, "Tous les candidats", 157.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28292", "Licence - Portail Physique, chimie - Matière, énergie environnement - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28291&g_ta_cod=28292", 71.0, 29.0, 0.0),
(1069, "Public", "0620042J", "Lycée Andre Malraux", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "Autre formation", "Lycée Andre Malraux - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18, 5, 2, 0, 0, 0.0, 0.0, 1.0, 0, 2, 5, 0, 3, 2, 0, 0, 5, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 5, 5, 0.0, 0.0, 20.0, 40.0, 100.0, 100.0, 0, 40.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 60.0, 0.0, 40.0, 0.0, 0.0, 0.0, 14.0, 6.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22303", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 60.0, 40.0),
(1070, "Privé sous contrat d'association", "0490075R", "ESEO Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "bac STL", 4, 27, 12, 26, 0, 0, 0, 26, 11, 0, 0, 0, 1, 0, 1, 0, 0, 20, 1, 0, 0, 0, 0, 20, 7, 0, 0, 0, 20, 3, 2, 3, 0, 3.0, 3.0, 3.0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 1, 2, 0, 0.0, 0, 3, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 66.6875, 33.296875, 33.296875, 0, 0.0, 100.0, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "22886", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=22886", 0.0, 100.0, 0.0),
(1071, "Public", "0630020E", "Lycée Sidoine Apollinaire", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée Sidoine Apollinaire - BTS - Services - Economie sociale familiale", "BTS - Services", "", 30, 954, 843, 954, 0, 154, 40, 272, 90, 263, 105, 265, 0, 0, 0, 0, 0, 513, 0, 0, 0, 106, 23, 165, 47, 154, 55, 88, 120, 29, 25, 29, 0, 6.0, 23.0, 27.0, 0, 9, 22, 9, 6, 7, 7, 0, 1, 12, 7, 2, 0.0, 9, 5, 7, 2, 2, 14, 14, 20.69, 79.31, 93.1, 86.1875, 63.59375, 63.59375, 9.099609375, 40.8984375, 75.890625, 0.0, 4.5, 54.5, 31.796875, 9.1, 0.0, 40.8984375, 40.8984375, 27.296875, 22.69921875, 31.796875, 31.796875, 29.0, 10.0, 33.0, 11.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 21.0, "7559", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7559&g_ta_cod=7559", 34.0, 28.0, 38.0),
(1072, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation non sélective", "Licence", "Université Gustave Eiffel - Licence - Langues étrangères appliquées - Parcours LANGUES ÉTRANGÈRES APPLIQUÉES : Anglais-Espagnol", "Licence - Arts-lettres-langues", "LANGUES ÉTRANGÈRES APPLIQUÉES : Anglais-Espagnol", 130, 814, 627, 814, 0, 543, 133, 69, 25, 16, 7, 186, 0, 0, 0, 0, 0, 814, 0, 0, 0, 543, 133, 69, 25, 16, 7, 186, 489, 127, 92, 127, 0, 13.0, 115.0, 122.0, 0, 26, 111, 102, 9, 0, 16, 0, 41, 49, 21, 0, 0.0, 62, 8, 0, 0, 0, 107, 109, 10.24, 90.55, 96.06, 72.390625, 96.390625, 98.1875, 0, 23.3984375, 87.390625, 0.0, 36.8984375, 44.09375, 18.8984375, 0.0, 0.0, 91.890625, 55.8984375, 8.099609375, 7.19921875, 0.0, 0.0, 406.0, 97.0, 0.0, 0.0, 64.0, "Tous les candidats", 576.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "9916", "Licence - Langues étrangères appliquées - Parcours LANGUES ÉTRANGÈRES APPLIQUÉES : Anglais-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9916&g_ta_cod=9916", 93.0, 7.0, 0.0),
(1073, "Public", "0101037Y", "Campus des Comtes de champagne - URCA", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation non sélective", "Licence", "Campus des Comtes de champagne - URCA - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 210, 1015, 464, 629, 0, 334, 84, 84, 36, 15, 9, 196, 386, 74, 42, 17, 253, 615, 351, 0, 0, 334, 84, 84, 36, 15, 9, 182, 920, 197, 82, 60, 137, 8.0, 57.0, 140.0, 0, 23, 76, 41, 24, 11, 121, 1, 51, 15, 8, 1, 0.0, 18, 3, 3, 0, 0, 32, 32, 4.06, 28.93, 71.07, 41.59375, 42.09375, 42.09375, 0, 30.296875, 38.59375, 1.2998046875, 67.09375, 19.69921875, 10.5, 1.3, 0.0, 53.8984375, 23.69921875, 31.59765625, 3.89990234375, 14.5, 3.89990234375, 397.0, 92.0, 29.0, 19.0, 382.0, "Tous les candidats", 616.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "22090", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27258&g_ta_cod=22090", 58.0, 27.0, 13.0),
(1074, "Public", "0692185A", "INSTITUT DES SCIENCES ET TECHNIQUES DE LA READAPTATION UNIVERSITE LYON 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Autre formation", "INSTITUT DES SCIENCES ET TECHNIQUES DE LA READAPTATION UNIVERSITE LYON 1 - D.E Ergothérapeute", "D.E secteur sanitaire", "", 7, 533, 479, 533, 0, 131, 31, 38, 16, 8, 6, 356, 0, 0, 0, 0, 0, 150, 0, 0, 0, 39, 9, 5, 3, 0, 0, 106, 25, 14, 13, 14, 0, 4.0, 6.0, 9.0, 0, 1, 3, 3, 0, 0, 11, 0, 0, 0, 2, 1, 0.0, 3, 0, 0, 0, 0, 3, 3, 28.57, 42.86, 64.29, 92.890625, 100.0, 100.0, 0, 33.296875, 21.3984375, 0.0, 0.0, 0.0, 66.6875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 5.0, 2.0, 0.0, 0.0, 20.0, "Tous les candidats", 53.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "26024", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26024&g_ta_cod=26024", 93.0, 7.0, 0.0),
(1075, "Public", "0080008R", "Lycée François Bazin", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BTS", "Lycée François Bazin - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 9, 50, 1, 46, 0, 0, 0, 0, 0, 21, 5, 25, 4, 0, 0, 3, 1, 22, 1, 0, 0, 0, 0, 0, 0, 19, 4, 3, 19, 7, 0, 7, 0, 7.0, 7.0, 7.0, 0, 0, 5, 0, 0, 5, 2, 0, 1, 2, 1, 1, 0.0, 0, 0, 4, 0, 0, 5, 5, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 71.390625, 0.0, 20.0, 40.0, 20.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 16.0, 2.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 1, "Liste d'appel propre à cette formation", 46.0, "2361", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2361&g_ta_cod=2361", 0.0, 0.0, 100.0),
(1076, "Public", "0694123G", "Ecole Normale Supérieure de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "Autre formation", "Ecole Normale Supérieure de Lyon - CPES - Littéraire", "Classe préparatoire aux études supérieures", "", 20, 113, 77, 113, 0, 96, 27, 0, 0, 0, 0, 17, 0, 0, 0, 0, 0, 46, 0, 0, 0, 46, 19, 0, 0, 0, 0, 0, 32, 20, 15, 20, 0, 13.0, 20.0, 20.0, 0, 8, 20, 20, 0, 0, 0, 0, 1, 3, 12, 4, 0.0, 19, 0, 0, 0, 0, 8, 8, 65.0, 100.0, 100.0, 75.0, 40.0, 40.0, 0, 40.0, 100.0, 0.0, 5.0, 15.0, 60.0, 20.0, 0.0, 100.0, 95.0, 0.0, 0.0, 0.0, 0.0, 32.0, 13.0, 0.0, 0.0, 0.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "8589", "CPES - Littéraire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8589&g_ta_cod=8589", 100.0, 0.0, 0.0),
(1077, "Public", "0930830X", "Lycée Albert Schweitzer", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Le Raincy", "formation sélective", "CPGE", "Lycée Albert Schweitzer - CPGE - PCSI", "Classe préparatoire scientifique", "", 60, 757, 291, 752, 247, 540, 154, 4, 0, 2, 1, 206, 5, 3, 0, 1, 1, 427, 0, 1, 427, 387, 96, 0, 0, 0, 0, 40, 326, 57, 16, 57, 0, 11.0, 52.0, 55.0, 0, 10, 55, 55, 0, 0, 2, 0, 1, 8, 36, 8, 2.0, 54, 0, 0, 6, 1, 53, 54, 19.3, 91.23, 96.49, 28.09765625, 96.390625, 98.1875, 10.8984375, 18.19921875, 96.5, 0.0, 1.7998046875, 14.5, 65.5, 14.5, 3.6, 100.0, 98.1875, 0.0, 0.0, 0.0, 0.0, 313.0, 78.0, 0.0, 0.0, 13.0, "Tous les candidats", 399.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "11201", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11201&g_ta_cod=11201", 100.0, 0.0, 0.0),
(1078, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 330, 5047, 3748, 5047, 0, 3247, 1054, 568, 237, 116, 50, 1116, 0, 0, 0, 0, 0, 4960, 0, 0, 0, 3247, 1054, 568, 237, 116, 50, 1029, 1895, 293, 220, 293, 0, 9.0, 166.0, 249.0, 0, 104, 259, 239, 15, 5, 34, 0, 91, 128, 37, 3, 0.0, 151, 12, 5, 0, 0, 122, 238, 3.07, 56.66, 84.98, 75.09375, 47.09375, 91.890625, 0, 40.1953125, 88.390625, 0.0, 35.09375, 49.3984375, 14.298828125, 1.2, 0.0, 92.296875, 58.296875, 5.7998046875, 4.599609375, 1.89990234375, 1.89990234375, 1553.0, 497.0, 14.0, 5.0, 261.0, "Tous les candidats", 2522.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 47.0, "11247", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28404&g_ta_cod=11247", 92.0, 5.0, 2.0),
(1079, "Public", "0100022V", "Lycée Chrestien de Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "CPGE", "Lycée Chrestien de Troyes - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 439, 173, 397, 244, 237, 33, 0, 0, 0, 0, 160, 42, 15, 0, 1, 26, 261, 11, 79, 257, 218, 27, 0, 0, 0, 0, 43, 235, 42, 23, 36, 5, 18.0, 36.0, 41.0, 3, 4, 25, 25, 0, 0, 16, 0, 2, 8, 11, 4, 0.0, 23, 0, 0, 6, 1, 15, 15, 42.86, 85.71, 97.62, 54.796875, 60.0, 60.0, 24, 16.0, 59.5, 0.0, 8.0, 32.0, 44.0, 16.0, 0.0, 100.0, 92.0, 0.0, 0.0, 0.0, 0.0, 190.0, 20.0, 0.0, 0.0, 45.0, "Tous les candidats", 266.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "2406", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2406&g_ta_cod=2406", 100.0, 0.0, 0.0),
(1080, "Public", "0672616E", "Lycée des Métiers Gutenberg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "BTS", "Lycée des Métiers Gutenberg - BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "BTS - Services", "", 30, 392, 190, 334, 0, 30, 9, 36, 7, 119, 48, 149, 58, 9, 11, 0, 38, 92, 16, 0, 0, 21, 7, 17, 1, 50, 20, 4, 96, 27, 11, 21, 4, 11.0, 19.0, 23.0, 0, 10, 26, 5, 4, 17, 1, 0, 5, 10, 11, 0, 0.0, 3, 2, 16, 16, 7, 20, 20, 40.74, 70.37, 85.19, 40.6953125, 76.890625, 76.890625, 61.5, 38.5, 96.296875, 0.0, 19.19921875, 38.5, 42.296875, 0.0, 0.0, 19.19921875, 11.5, 15.3984375, 7.69921875, 65.390625, 61.5, 27.0, 7.0, 33.0, 13.0, 14.0, "Tous les candidats sauf les Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 27.0, "8011", "BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8011&g_ta_cod=8011", 22.0, 15.0, 63.0),
(1081, "Public", "0690192J", "INSA Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "Ecole d'Ingénieur", "Groupe INSA - Formation d'ingénieur Bac + 5 - bac STI2D,STL", "Formations  des écoles d'ingénieurs", "bac STI2D,STL", 23, 676, 84, 676, 0, 0, 0, 622, 198, 0, 0, 54, 0, 0, 0, 0, 0, 120, 0, 0, 0, 0, 0, 111, 24, 0, 0, 9, 43, 24, 3, 24, 0, 11.0, 22.0, 23.0, 0, 11, 24, 0, 24, 0, 0, 0, 0, 0, 5, 17, 2.0, 0, 24, 0, 0, 0, 6, 6, 45.83, 91.67, 95.83, 12.5, 25.0, 25.0, 0, 45.796875, 100.0, 0.0, 0.0, 0.0, 20.796875, 70.8, 8.3, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 58.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 8.0, "67", "Formation d'ingénieur Bac + 5 - bac STI2D,STL", "Groupe INSA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=65&g_ta_cod=67", 0.0, 100.0, 0.0),
(1082, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte - Licence - Arts - Parcours Arts du Spectacle", "Licence - Arts-lettres-langues", "Arts du Spectacle", 30, 122, 85, 96, 0, 48, 15, 11, 3, 8, 4, 29, 26, 6, 1, 2, 17, 96, 24, 0, 0, 48, 15, 11, 3, 8, 4, 29, 107, 25, 18, 19, 6, 7.0, 19.0, 23.0, 0, 4, 15, 11, 2, 2, 10, 0, 8, 4, 3, 0, 0.0, 5, 0, 2, 0, 0, 10, 10, 28.0, 76.0, 92.0, 72.0, 66.6875, 66.6875, 0, 26.69921875, 60.0, 0.0, 53.296875, 26.69921875, 20.0, 0.0, 0.0, 73.296875, 33.296875, 13.298828125, 0.0, 13.298828125, 13.298828125, 49.0, 12.0, 10.0, 5.0, 38.0, "Tous les candidats", 96.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11713", "Licence - Arts - Parcours Arts du Spectacle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11713&g_ta_cod=11713", 72.0, 12.0, 12.0),
(1083, "Public", "0511933Z", "ESIReims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Licence", "ESIReims - Licence - Sciences pour l'ingénieur - Parcours Cycle préparatoire ingénieur ESIReims", "Licence - Sciences - technologies - santé", "Cycle préparatoire ingénieur ESIReims", 16, 276, 98, 276, 0, 185, 24, 8, 4, 0, 0, 83, 0, 0, 0, 0, 0, 160, 0, 0, 0, 117, 12, 0, 0, 0, 0, 43, 69, 15, 10, 15, 0, 2.0, 11.0, 14.0, 0, 0, 14, 14, 0, 0, 1, 0, 0, 2, 8, 4, 0.0, 14, 0, 0, 0, 0, 11, 11, 13.33, 73.33, 93.33, 66.6875, 78.59375, 78.59375, 0, 0.0, 93.296875, 0.0, 0.0, 14.298828125, 57.09375, 28.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 49.0, 6.0, 0.0, 0.0, 20.0, "Tous les candidats", 134.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "26429", "Licence - Sciences pour l'ingénieur - Parcours Cycle préparatoire ingénieur ESIReims", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26429&g_ta_cod=26429", 100.0, 0.0, 0.0),
(1084, "Privé sous contrat d'association", "0300080Z", "Lycée Emmanuel d'Alzon", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "Autre formation", "Lycée Emmanuel d'Alzon - Mention complémentaire - Assistant ingénieur en biologie, biochimie, biotechnologie", "Mention complémentaire", "", 24, 177, 126, 77, 0, 28, 2, 13, 6, 1, 1, 35, 100, 36, 10, 2, 52, 59, 34, 0, 0, 27, 2, 10, 5, 0, 0, 22, 93, 20, 12, 13, 7, 13.0, 13.0, 19.0, 0, 1, 15, 14, 1, 0, 5, 0, 5, 5, 4, 1, 0.0, 9, 1, 0, 0, 0, 8, 8, 65.0, 65.0, 95.0, 60.0, 53.296875, 53.296875, 0, 6.69921875, 75.0, 0.0, 33.296875, 33.296875, 26.69921875, 6.7, 0.0, 93.296875, 60.0, 6.69921875, 6.69921875, 0.0, 0.0, 48.0, 6.0, 0.0, 0.0, 35.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "23892", "Mention complémentaire - Assistant ingénieur en biologie, biochimie, biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23892&g_ta_cod=23892", 90.0, 10.0, 0.0),
(1085, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université de Montpellier - Licence - Portail Licence - physique/chimie/sciences de l'ingénieur (PCSI)", "Licence - Sciences - technologies - santé", "Licence - physique/chimie/sciences de l'ingénieur (PCSI)", 300, 2749, 1290, 2652, 0, 1501, 269, 83, 23, 2, 2, 1066, 97, 14, 3, 1, 79, 2636, 81, 0, 0, 1501, 269, 83, 23, 2, 2, 1050, 1907, 274, 129, 222, 51, 37.0, 138.0, 214.0, 0, 28, 98, 95, 2, 1, 176, 1, 33, 31, 18, 14, 1.0, 63, 0, 1, 0, 0, 81, 81, 13.5, 50.36, 78.1, 47.09375, 82.6875, 82.6875, 0, 28.59765625, 35.796875, 1.0, 33.6953125, 31.59765625, 18.3984375, 14.3, 1.0, 96.890625, 64.296875, 2.0, 0.0, 1.0, 1.0, 1075.0, 205.0, 3.0, 2.0, 816.0, "Tous les candidats", 2697.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 91.0, "31260", "Licence - Portail Licence - physique/chimie/sciences de l'ingénieur (PCSI)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31262&g_ta_cod=31260", 92.0, 6.0, 1.0),
(1086, "Public", "0911975C", "Université d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation non sélective", "Licence", "Université d'Evry Val d'Essonne - Licence - Droit", "Licence - Droit-économie-gestion", "", 420, 2150, 1556, 2150, 0, 1336, 358, 318, 123, 71, 31, 425, 0, 0, 0, 0, 0, 2150, 0, 0, 0, 1336, 358, 318, 123, 71, 31, 425, 1645, 428, 283, 427, 0, 41.0, 325.0, 395.0, 0, 89, 309, 228, 70, 11, 119, 0, 170, 115, 21, 3, 0.0, 99, 36, 4, 0, 0, 219, 289, 9.58, 75.93, 92.29, 66.09375, 70.890625, 93.5, 0, 28.796875, 72.1875, 0.0, 55.0, 37.1953125, 6.7998046875, 1.0, 0.0, 73.796875, 32.0, 22.69921875, 11.69921875, 3.599609375, 1.2998046875, 1118.0, 304.0, 23.0, 13.0, 307.0, "Tous les candidats", 1826.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "10945", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10945&g_ta_cod=10945", 73.0, 22.0, 4.0),
(1087, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte - Licence - Droit", "Licence - Droit-économie-gestion", "", 180, 672, 475, 638, 0, 368, 83, 146, 50, 18, 7, 106, 34, 4, 3, 0, 27, 638, 34, 0, 0, 368, 83, 146, 50, 18, 7, 106, 583, 175, 123, 154, 19, 49.0, 148.0, 158.0, 0, 43, 139, 91, 44, 4, 36, 0, 45, 56, 32, 5, 1.0, 65, 26, 3, 0, 0, 130, 130, 28.0, 84.57, 90.29, 70.296875, 93.5, 93.5, 0, 30.8984375, 79.390625, 0.0, 32.3984375, 40.296875, 23.0, 3.6, 0.7, 65.5, 46.796875, 31.69921875, 18.69921875, 2.89990234375, 2.19970703125, 320.0, 68.0, 14.0, 5.0, 131.0, "Tous les candidats", 637.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11710", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11710&g_ta_cod=11710", 66.0, 28.0, 5.0),
(1088, "Public", "9740015Y", "Lycée professionnel Vue Belle", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Paul", "formation sélective", "BTS", "Lycée professionnel Vue Belle - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 412, 242, 389, 0, 25, 13, 129, 82, 150, 102, 85, 23, 0, 12, 0, 11, 264, 3, 0, 0, 15, 8, 92, 57, 108, 78, 49, 111, 30, 18, 28, 2, 7.0, 24.0, 26.0, 0, 16, 24, 2, 9, 13, 6, 0, 9, 5, 9, 1, 0.0, 0, 2, 13, 10, 5, 24, 24, 23.33, 80.0, 86.67, 60.0, 100.0, 100.0, 41.6953125, 66.6875, 80.0, 0.0, 37.5, 20.796875, 37.5, 4.2, 0.0, 8.298828125, 0.0, 37.5, 8.298828125, 54.1953125, 54.1953125, 3.0, 2.0, 29.0, 23.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 106, "Liste d'appel propre à cette formation", 39.0, "11894", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11894&g_ta_cod=11894", 7.0, 40.0, 53.0),
(1089, "Public", "0942269F", "Pauline Roland", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Chevilly-Larue", "formation sélective", "Autre formation", "Pauline Roland - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 27, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 17, 4, 0, 0, 0.0, 0.0, 2.0, 0, 10, 16, 0, 3, 13, 1, 0, 14, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 16, 16, 0.0, 0.0, 11.76, 23.5, 100.0, 100.0, 0, 62.5, 94.09375, 0.0, 87.5, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 18.796875, 0.0, 81.296875, 12.5, 0.0, 0.0, 25.0, 13.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25600", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 24.0, 76.0),
(1090, "Public", "0910620E", "Lycée Robert Doisneau", "91", "Essonne", "Ile-de-France", "Versailles", "Corbeil-Essonnes", "formation sélective", "Autre formation", "Lycée Robert Doisneau - Diplôme de Comptabilité et de Gestion", "DCG", "", 38, 622, 301, 622, 0, 200, 75, 201, 85, 25, 19, 196, 0, 0, 0, 0, 0, 403, 0, 0, 0, 178, 65, 163, 72, 0, 0, 62, 195, 37, 17, 37, 0, 13.0, 29.0, 34.0, 0, 17, 32, 17, 15, 0, 5, 0, 6, 16, 10, 0, 0.0, 13, 13, 0, 0, 0, 26, 32, 35.14, 78.38, 91.89, 45.8984375, 81.296875, 100.0, 0, 53.09375, 86.5, 0.0, 18.796875, 50.0, 31.296875, 0.0, 0.0, 53.09375, 40.59375, 46.8984375, 40.59375, 0.0, 0.0, 96.0, 36.0, 0.0, 0.0, 13.0, "Tous les candidats", 267.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "10848", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10848&g_ta_cod=10848", 57.0, 43.0, 0.0),
(1091, "Privé sous contrat d'association", "0031041R", "Lycée Anna Rodier", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Moulins", "formation sélective", "BTS", "Lycée Anna Rodier - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 257, 127, 226, 0, 5, 1, 33, 8, 31, 12, 157, 31, 1, 5, 8, 17, 69, 9, 0, 0, 5, 1, 32, 7, 27, 10, 5, 70, 15, 10, 12, 3, 5.0, 10.0, 11.0, 0, 4, 13, 2, 6, 5, 2, 0, 7, 6, 0, 0, 0.0, 0, 3, 3, 3, 3, 10, 10, 33.33, 66.67, 73.33, 66.6875, 76.890625, 76.890625, 23.09765625, 30.796875, 86.6875, 0.0, 53.796875, 46.1953125, 0.0, 0.0, 0.0, 15.3984375, 0.0, 46.1953125, 23.09765625, 38.5, 23.09765625, 6.0, 1.0, 28.0, 9.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 30.0, "2151", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2151&g_ta_cod=2151", 20.0, 47.0, 33.0),
(1092, "Public", "0130006L", "Lycée professionnel Gambetta", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée professionnel Gambetta - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 1616, 880, 1616, 0, 198, 42, 573, 213, 506, 252, 339, 0, 0, 0, 0, 0, 967, 0, 0, 0, 115, 19, 281, 95, 338, 159, 233, 183, 23, 9, 23, 0, 0.0, 14.0, 22.0, 0, 6, 21, 5, 8, 8, 2, 0, 4, 10, 6, 1, 0.0, 2, 7, 8, 4, 2, 16, 16, 0.0, 60.87, 95.65, 39.09375, 76.1875, 76.1875, 19, 28.59765625, 91.296875, 0.0, 19.0, 47.59375, 28.59765625, 4.8, 0.0, 23.796875, 9.5, 38.09375, 33.296875, 38.09375, 38.09375, 56.0, 12.0, 45.0, 19.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 108.0, "Bacheliers professionnels toutes séries", 101, "Bacheliers technologiques toutes séries", 164, "Liste d'appel propre à cette formation", 23.0, "2535", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2535&g_ta_cod=2535", 26.0, 35.0, 39.0),
(1093, "Public", "0420034J", "Lycée Carnot", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Roanne", "formation sélective", "BTS", "Lycée Carnot - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 222, 25, 221, 0, 14, 3, 101, 20, 42, 10, 64, 1, 0, 0, 0, 1, 170, 0, 0, 0, 14, 3, 101, 20, 41, 10, 14, 64, 14, 0, 14, 0, 1.0, 12.0, 13.0, 0, 4, 14, 1, 8, 5, 0, 0, 4, 7, 3, 0, 0.0, 0, 6, 4, 2, 0, 13, 13, 7.14, 85.71, 92.86, 0.0, 92.890625, 92.890625, 14.298828125, 28.59765625, 100.0, 0.0, 28.59765625, 50.0, 21.3984375, 0.0, 0.0, 7.099609375, 0.0, 57.09375, 42.8984375, 35.6953125, 28.59765625, 9.0, 1.0, 18.0, 4.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 44.0, "5276", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5276&g_ta_cod=5276", 7.0, 57.0, 36.0),
(1094, "Privé sous contrat d'association", "0753696K", "EFPP", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "EFTS", "EFPP - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 39, 243, 223, 243, 0, 52, 3, 60, 8, 36, 7, 95, 0, 0, 0, 0, 0, 205, 0, 0, 0, 46, 3, 48, 4, 30, 5, 81, 138, 46, 44, 46, 0, 11.0, 41.0, 45.0, 0, 5, 30, 8, 12, 10, 16, 0, 11, 11, 6, 2, 0.0, 7, 4, 8, 0, 0, 2, 25, 23.91, 89.13, 97.83, 95.6875, 6.69921875, 83.296875, 0, 16.69921875, 65.1875, 0.0, 36.6953125, 36.6953125, 20.0, 6.7, 0.0, 26.69921875, 23.296875, 40.0, 13.298828125, 33.296875, 26.69921875, 35.0, 2.0, 20.0, 4.0, 46.0, "Tous les candidats", 182.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "23754", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23754&g_ta_cod=23754", 37.0, 39.0, 24.0),
(1095, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues étrangères appliquées - Parcours Anglais / Chinois", "Licence - Arts-lettres-langues", "Anglais / Chinois", 32, 571, 453, 571, 0, 302, 94, 54, 23, 34, 16, 181, 0, 0, 0, 0, 0, 555, 0, 0, 0, 302, 94, 54, 23, 34, 16, 165, 209, 30, 23, 30, 0, 0.0, 17.0, 27.0, 0, 3, 13, 7, 5, 1, 17, 0, 3, 9, 1, 0, 0.0, 7, 3, 0, 0, 0, 8, 11, 0.0, 56.67, 90.0, 76.6875, 61.5, 84.59375, 0, 23.09765625, 43.296875, 0.0, 23.09765625, 69.1875, 7.69921875, 0.0, 0.0, 53.796875, 53.796875, 38.5, 23.09765625, 7.69921875, 0.0, 122.0, 37.0, 8.0, 2.0, 58.0, "Tous les candidats", 314.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "28174", "Licence - Langues étrangères appliquées - Parcours Anglais / Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28174&g_ta_cod=28174", 73.0, 17.0, 7.0),
(1096, "Public", "0693044J", "Lycée Jean-Paul Sartre", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Bron", "formation sélective", "BTS", "Lycée Jean-Paul Sartre - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 2467, 1318, 2458, 0, 207, 63, 983, 412, 591, 305, 677, 9, 2, 0, 0, 7, 740, 1, 0, 0, 74, 18, 423, 171, 227, 111, 16, 221, 34, 18, 33, 1, 5.0, 25.0, 29.0, 0, 13, 33, 3, 15, 15, 1, 0, 5, 18, 9, 1, 0.0, 3, 12, 13, 2, 1, 30, 30, 14.71, 73.53, 85.29, 52.8984375, 90.890625, 90.890625, 6.099609375, 39.3984375, 97.09375, 0.0, 15.19921875, 54.5, 27.296875, 3.0, 0.0, 9.099609375, 9.099609375, 45.5, 36.3984375, 45.5, 39.3984375, 35.0, 10.0, 74.0, 30.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 120, "Bacheliers technologiques toutes séries", 166, "Liste d'appel propre à cette formation", 14.0, "8560", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8560&g_ta_cod=8560", 9.0, 44.0, 47.0),
(1097, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence_Las", "Institut national universitaire Champollion - Licence - Portail Mathématiques", "Licence - Sciences - technologies - santé", "", 10, 124, 62, 88, 0, 58, 9, 2, 0, 0, 0, 28, 36, 13, 1, 0, 22, 87, 32, 0, 0, 58, 9, 2, 0, 0, 0, 27, 102, 5, 4, 1, 4, 0.0, 1.0, 4.0, 0, 0, 3, 2, 1, 0, 2, 0, 0, 2, 1, 0, 0.0, 2, 1, 0, 0, 0, 2, 2, 0.0, 20.0, 80.0, 80.0, 66.6875, 66.6875, 0, 0.0, 60.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 61.0, 8.0, 0.0, 0.0, 39.0, "Tous les candidats", 310.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "31235", "Licence - Portail Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31234&g_ta_cod=31235", 80.0, 20.0, 0.0),
(1098, "Public", "0251994G", "Lycée polyvalent Germaine Tillion", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "BTS", "Lycée polyvalent Germaine Tillion - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 32, 582, 325, 559, 0, 42, 18, 199, 69, 170, 82, 148, 23, 1, 0, 6, 16, 301, 8, 0, 0, 40, 17, 144, 48, 93, 42, 24, 168, 33, 18, 25, 6, 5.0, 18.0, 22.0, 0, 19, 30, 4, 12, 14, 3, 0, 7, 17, 6, 0, 0.0, 3, 9, 11, 8, 3, 29, 29, 15.15, 54.55, 66.67, 54.5, 96.6875, 96.6875, 26.69921875, 63.296875, 90.890625, 0.0, 23.296875, 56.6953125, 20.0, 0.0, 0.0, 13.298828125, 10.0, 40.0, 30.0, 46.6953125, 36.6953125, 33.0, 10.0, 70.0, 32.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 38.0, "3494", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3494&g_ta_cod=3494", 15.0, 36.0, 48.0),
(1099, "Public", "9710746J", "Lycée professionnel Augustin Arron", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "BTS", "Lycée professionnel Augustin Arron - BTS - Services - Assurance", "BTS - Services", "", 30, 319, 232, 270, 0, 47, 28, 69, 44, 109, 83, 45, 49, 6, 8, 18, 17, 54, 14, 0, 0, 7, 4, 14, 9, 33, 27, 0, 66, 28, 21, 19, 9, 9.0, 17.0, 26.0, 0, 22, 26, 2, 7, 17, 2, 0, 6, 14, 5, 1, 0.0, 2, 5, 13, 10, 8, 26, 26, 32.14, 60.71, 92.86, 75.0, 100.0, 100.0, 38.5, 84.59375, 92.890625, 0.0, 23.09765625, 53.796875, 19.19921875, 3.8, 0.0, 7.69921875, 7.69921875, 26.8984375, 19.19921875, 65.390625, 50.0, 9.0, 6.0, 40.0, 33.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers technologiques toutes séries", 13, "Bacheliers professionnels toutes séries", 33, "Liste d'appel propre à cette formation", 20.0, "25342", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25342&g_ta_cod=25342", 14.0, 25.0, 61.0),
(1100, "Public", "0910727W", "Lycée Parc de Vilgenis", "91", "Essonne", "Ile-de-France", "Versailles", "Massy", "formation sélective", "BTS", "Lycée Parc de Vilgenis - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 889, 496, 889, 0, 49, 20, 337, 147, 206, 109, 297, 0, 0, 0, 0, 0, 364, 0, 0, 0, 29, 12, 199, 82, 96, 47, 40, 149, 39, 23, 39, 0, 9.0, 35.0, 39.0, 0, 13, 35, 2, 23, 10, 4, 2, 10, 17, 5, 1, 0.0, 1, 15, 7, 2, 0, 32, 34, 23.08, 89.74, 100.0, 59.0, 91.390625, 97.09375, 5.69921875, 37.09375, 89.6875, 5.69921875, 28.59765625, 48.59375, 14.298828125, 2.9, 0.0, 5.69921875, 2.89990234375, 65.6875, 42.8984375, 28.59765625, 20.0, 3.0, 1.0, 40.0, 16.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 138, "Liste d'appel propre à cette formation", 24.0, "10884", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10884&g_ta_cod=10884", 5.0, 69.0, 26.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(1101, "Public", "0230018V", "Lycée Des Metiers Du Batiment", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Felletin", "formation sélective", "BTS", "Lycée Des Metiers Du Batiment - BTS - Production - Finitions, aménagement des bâtiments: conception et réalisation", "BTS - Production", "", 15, 149, 47, 135, 0, 3, 1, 30, 3, 53, 19, 49, 14, 0, 0, 12, 2, 98, 6, 0, 0, 3, 1, 30, 3, 46, 14, 19, 63, 8, 2, 8, 0, 2.0, 7.0, 7.0, 0, 2, 6, 0, 1, 5, 2, 0, 1, 5, 0, 0, 0.0, 0, 1, 4, 0, 0, 3, 3, 25.0, 87.5, 87.5, 25.0, 50.0, 50.0, 0, 33.296875, 75.0, 0.0, 16.69921875, 83.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 16.69921875, 16.69921875, 83.296875, 66.6875, 3.0, 1.0, 40.0, 12.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 52.0, "3390", "BTS - Production - Finitions, aménagement des bâtiments: conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3390&g_ta_cod=3390", 13.0, 25.0, 63.0),
(1102, "Privé sous contrat d'association", "0593078A", "Lycée Depoorter", "59", "Nord", "Hauts-de-France", "Lille", "Hazebrouck", "formation sélective", "BTS", "Lycée Depoorter - BTS - Services - Economie sociale familiale", "BTS - Services", "", 45, 386, 345, 386, 0, 43, 13, 108, 32, 131, 45, 104, 0, 0, 0, 0, 0, 386, 0, 0, 0, 43, 13, 108, 32, 131, 45, 104, 164, 43, 38, 43, 0, 7.0, 23.0, 35.0, 0, 9, 38, 5, 16, 17, 5, 0, 12, 21, 5, 0, 0.0, 4, 10, 12, 10, 9, 37, 37, 16.28, 53.49, 81.4, 88.390625, 97.390625, 97.390625, 26.296875, 23.69921875, 88.390625, 0.0, 31.59765625, 55.296875, 13.19921875, 0.0, 0.0, 13.19921875, 10.5, 42.09375, 26.296875, 44.6953125, 31.59765625, 27.0, 7.0, 67.0, 22.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 93, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 56.0, "6982", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6982&g_ta_cod=6982", 21.0, 40.0, 40.0),
(1103, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "PASS", "Université de Paris - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Sciences psychologiques", 40, 11478, 8596, 11478, 0, 8751, 1829, 333, 133, 67, 30, 2327, 0, 0, 0, 0, 0, 11459, 0, 0, 0, 8751, 1829, 333, 133, 67, 30, 2308, 237, 38, 36, 38, 0, 4.0, 33.0, 35.0, 0, 9, 33, 33, 0, 0, 5, 0, 0, 0, 1, 17, 15.0, 33, 0, 0, 0, 0, 10, 24, 10.53, 86.84, 92.11, 94.6875, 30.296875, 72.6875, 0, 27.296875, 86.796875, 0.0, 0.0, 0.0, 3.0, 51.5, 45.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 190.0, 40.0, 0.0, 0.0, 47.0, "Tous les candidats", 1007.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 5.0, "33540", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28111&g_ta_cod=33540", 100.0, 0.0, 0.0),
(1104, "Public", "0030038A", "Lycée Polyvalent Jean Monnet", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Yzeure", "formation sélective", "BTS", "Lycée Polyvalent Jean Monnet - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 214, 93, 180, 0, 30, 6, 39, 14, 29, 14, 82, 34, 6, 6, 4, 18, 92, 13, 0, 0, 26, 4, 31, 11, 18, 7, 17, 92, 25, 12, 20, 5, 13.0, 20.0, 25.0, 0, 4, 18, 3, 6, 9, 7, 0, 6, 7, 4, 1, 0.0, 2, 3, 7, 14, 8, 16, 16, 52.0, 80.0, 100.0, 48.0, 88.890625, 88.890625, 77.796875, 22.19921875, 72.0, 0.0, 33.296875, 38.8984375, 22.19921875, 5.6, 0.0, 16.69921875, 11.099609375, 33.296875, 16.69921875, 50.0, 38.8984375, 25.0, 4.0, 19.0, 6.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 51.0, "2126", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2126&g_ta_cod=2126", 12.0, 44.0, 44.0),
(1105, "Public", "0831407D", "Lycée du Coudon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation sélective", "BTS", "Lycée du Coudon - BTS - Services - Assurance", "BTS - Services", "", 16, 457, 253, 441, 0, 51, 19, 92, 38, 94, 52, 204, 16, 0, 0, 8, 8, 240, 0, 0, 0, 51, 19, 70, 31, 50, 24, 69, 100, 7, 4, 7, 0, 0.0, 3.0, 5.0, 0, 1, 3, 1, 1, 1, 4, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 1, 1, 2, 2, 0.0, 42.86, 71.43, 57.09375, 66.6875, 66.6875, 33.296875, 33.296875, 42.8984375, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 33.296875, 0.0, 33.296875, 0.0, 33.296875, 33.296875, 17.0, 7.0, 32.0, 12.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 34.0, "20846", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20846&g_ta_cod=20846", 57.0, 29.0, 14.0),
(1106, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "PASS", "Université de Tours - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 80, 2519, 1486, 2519, 0, 2026, 287, 31, 9, 8, 4, 454, 0, 0, 0, 0, 0, 2462, 0, 0, 0, 2026, 287, 31, 9, 8, 4, 397, 635, 79, 38, 79, 0, 2.0, 33.0, 70.0, 0, 10, 77, 77, 0, 0, 2, 0, 3, 33, 26, 10, 5.0, 74, 0, 0, 0, 0, 72, 72, 2.53, 41.77, 88.61, 48.09375, 93.5, 93.5, 0, 13.0, 97.5, 0.0, 3.89990234375, 42.8984375, 33.796875, 13.0, 6.5, 100.0, 96.09375, 0.0, 0.0, 0.0, 0.0, 617.0, 77.0, 0.0, 0.0, 18.0, "Tous les candidats", 2076.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "27816", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27667&g_ta_cod=27816", 100.0, 0.0, 0.0),
(1107, "Public", "0340038G", "Lycée Joffre", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "CPGE", "Lycée Joffre - CPGE - PCSI", "Classe préparatoire scientifique", "", 132, 3140, 1216, 3140, 2270, 2645, 259, 2, 2, 1, 1, 492, 0, 0, 0, 0, 0, 2000, 0, 1532, 1966, 1965, 171, 0, 0, 0, 0, 35, 709, 132, 53, 132, 0, 11.0, 84.0, 122.0, 28, 16, 130, 130, 0, 0, 2, 0, 0, 1, 37, 87, 5.0, 130, 0, 0, 7, 2, 86, 86, 8.33, 63.64, 92.42, 40.1953125, 66.1875, 66.1875, 5.3994140625, 12.298828125, 98.5, 0.0, 0.0, 0.7999267578125, 28.5, 66.9, 3.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 697.0, 67.0, 0.0, 0.0, 12.0, "Tous les candidats", 1001.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "4482", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4482&g_ta_cod=4482", 100.0, 0.0, 0.0),
(1108, "Public", "0590223X", "Lycée Du Hainaut", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée Du Hainaut - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 15, 105, 1, 105, 0, 2, 1, 20, 7, 55, 31, 28, 0, 0, 0, 0, 0, 100, 0, 0, 0, 2, 1, 20, 7, 55, 31, 23, 42, 15, 0, 15, 0, 4.0, 15.0, 15.0, 0, 7, 14, 0, 4, 10, 1, 0, 4, 7, 3, 0, 0.0, 0, 2, 8, 4, 0, 14, 14, 26.67, 100.0, 100.0, 0.0, 100.0, 100.0, 28.59765625, 50.0, 93.296875, 0.0, 28.59765625, 50.0, 21.3984375, 0.0, 0.0, 0.0, 0.0, 28.59765625, 14.298828125, 71.390625, 57.09375, 1.0, 1.0, 24.0, 15.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 50.0, "13171", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13171&g_ta_cod=13171", 0.0, 27.0, 73.0),
(1109, "Public", "0170060Y", "Lycée Bernard Palissy", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Saintes", "formation sélective", "BTS", "Lycée Bernard Palissy - BTS - Production - Conception de produits industriels", "BTS - Production", "", 20, 165, 17, 165, 0, 15, 2, 67, 10, 38, 4, 45, 0, 0, 0, 0, 0, 139, 0, 0, 0, 15, 2, 67, 10, 36, 4, 21, 82, 17, 0, 17, 0, 5.0, 15.0, 16.0, 0, 2, 15, 3, 4, 8, 2, 0, 8, 6, 1, 0, 0.0, 2, 1, 4, 2, 0, 12, 12, 29.41, 88.24, 94.12, 0.0, 80.0, 80.0, 13.298828125, 13.298828125, 88.1875, 0.0, 53.296875, 40.0, 6.69921875, 0.0, 0.0, 20.0, 13.298828125, 26.69921875, 6.69921875, 53.296875, 26.69921875, 12.0, 2.0, 29.0, 4.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 71.0, "3040", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3040&g_ta_cod=3040", 18.0, 35.0, 47.0),
(1110, "Public", "0871030X", "Lycée des Métiers - Jean Monnet", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Autre formation", "Lycée des Métiers - Jean Monnet - Mention complémentaire - FCIL BARISTA", "Mention complémentaire", "", 6, 36, 21, 32, 0, 2, 2, 10, 3, 13, 4, 7, 4, 2, 0, 0, 2, 29, 0, 0, 0, 2, 2, 9, 2, 12, 3, 6, 22, 4, 3, 4, 0, 2.0, 4.0, 4.0, 0, 1, 3, 0, 0, 3, 1, 0, 0, 0, 2, 1, 0.0, 0, 0, 3, 0, 0, 0, 0, 50.0, 100.0, 100.0, 75.0, 0.0, 0.0, 0, 33.296875, 75.0, 0.0, 0.0, 0.0, 66.6875, 33.3, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 10.0, 3.0, 3.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "24275", "Mention complémentaire - FCIL BARISTA", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24275&g_ta_cod=24275", 0.0, 0.0, 100.0),
(1111, "Public", "0912414E", "Ecole Universitaire de premier cycle - Campus d'Evry Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation non sélective", "Licence", "Ecole Universitaire de premier cycle - Campus d'Evry Université Paris-Saclay - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 180, 2306, 1417, 2306, 0, 979, 301, 635, 257, 83, 38, 609, 0, 0, 0, 0, 0, 2306, 0, 0, 0, 979, 301, 635, 257, 83, 38, 609, 941, 175, 104, 175, 0, 10.0, 112.0, 148.0, 0, 48, 149, 111, 22, 16, 26, 0, 71, 64, 14, 0, 0.0, 49, 16, 13, 0, 0, 105, 135, 5.71, 64.0, 84.57, 59.3984375, 70.5, 90.59375, 0, 32.1953125, 85.09375, 0.0, 47.6953125, 43.0, 9.3984375, 0.0, 0.0, 74.5, 32.8984375, 14.798828125, 10.69921875, 10.69921875, 8.69921875, 658.0, 197.0, 36.0, 16.0, 127.0, "Tous les candidats", 1207.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "10944", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10944&g_ta_cod=10944", 77.0, 13.0, 11.0),
(1112, "Public", "0011119L", "Lycée Arbez Carme", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Oyonnax", "formation sélective", "BTS", "Lycée Arbez Carme - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 150, 12, 141, 0, 7, 1, 65, 9, 34, 8, 35, 9, 0, 3, 1, 5, 79, 7, 0, 0, 5, 0, 43, 8, 19, 4, 12, 65, 6, 0, 4, 2, 0.0, 3.0, 5.0, 0, 0, 3, 0, 3, 0, 3, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 2, 0, 2, 2, 0.0, 50.0, 83.33, 0.0, 66.6875, 66.6875, 66.6875, 0.0, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 4.0, 0.0, 14.0, 2.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 54.0, "2018", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2018&g_ta_cod=2018", 17.0, 83.0, 0.0),
(1113, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues étrangères appliquées - Parcours LEA Anglais - Russe", "Licence - Arts-lettres-langues", "LEA Anglais - Russe", 30, 161, 117, 161, 0, 86, 40, 7, 2, 11, 7, 57, 0, 0, 0, 0, 0, 158, 0, 0, 0, 86, 40, 7, 2, 11, 7, 54, 79, 30, 21, 30, 0, 6.0, 25.0, 28.0, 0, 10, 21, 18, 1, 2, 9, 0, 8, 7, 4, 2, 0.0, 10, 1, 2, 0, 0, 7, 19, 20.0, 83.33, 93.33, 70.0, 33.296875, 90.5, 0, 47.59375, 70.0, 0.0, 38.09375, 33.296875, 19.0, 9.5, 0.0, 85.6875, 47.59375, 4.7998046875, 4.7998046875, 9.5, 9.5, 47.0, 19.0, 5.0, 4.0, 23.0, "Tous les candidats", 96.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "9232", "Licence - Langues étrangères appliquées - Parcours LEA Anglais - Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9232&g_ta_cod=9232", 80.0, 7.0, 10.0),
(1114, "Privé sous contrat d'association", "0593007Y", "Lycée Frédéric OZANAM", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Frédéric OZANAM - BTS - Production - Electrotechnique", "BTS - Production", "", 20, 111, 6, 98, 0, 12, 2, 27, 5, 36, 12, 23, 13, 0, 2, 5, 6, 98, 4, 0, 0, 12, 2, 27, 5, 36, 12, 23, 76, 14, 1, 12, 2, 5.0, 12.0, 13.0, 0, 2, 11, 0, 5, 6, 3, 0, 4, 4, 3, 0, 0.0, 0, 5, 2, 2, 0, 11, 11, 35.71, 85.71, 92.86, 7.099609375, 100.0, 100.0, 18.19921875, 18.19921875, 78.59375, 0.0, 36.3984375, 36.3984375, 27.296875, 0.0, 0.0, 0.0, 0.0, 45.5, 45.5, 54.5, 18.19921875, 10.0, 2.0, 33.0, 10.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 97.0, "6947", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6947&g_ta_cod=6947", 14.0, 36.0, 50.0),
(1115, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence_Las", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Mathématiques - MPC (tronc commun en L1 avec Physique-Chimie)", "Licence - Sciences - technologies - santé", "MPC (tronc commun en L1 avec Physique-Chimie )", 4, 144, 75, 142, 0, 111, 16, 1, 0, 0, 0, 30, 2, 1, 0, 0, 1, 142, 2, 0, 0, 111, 16, 1, 0, 0, 0, 30, 53, 4, 2, 3, 1, 0.0, 1.0, 2.0, 0, 1, 3, 3, 0, 0, 1, 1, 0, 1, 0, 1, 0.0, 2, 0, 0, 0, 0, 2, 2, 0.0, 25.0, 50.0, 50.0, 66.6875, 66.6875, 0, 33.296875, 75.0, 33.296875, 0.0, 33.296875, 0.0, 33.3, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 42.0, 6.0, 0.0, 0.0, 11.0, "Tous les candidats", 413.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 82.0, "29653", "Licence - Portail Mathématiques - MPC (tronc commun en L1 avec Physique-Chimie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29652&g_ta_cod=29653", 75.0, 0.0, 25.0),
(1116, "Public", "0380141X", "Ecole Nationale Supérieure d'Architecture de Grenoble", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Grenoble - Architecture", "Formations Bac + 5", "", 120, 2433, 1393, 2433, 0, 1613, 273, 273, 86, 55, 32, 492, 0, 0, 0, 0, 0, 599, 0, 0, 0, 357, 38, 186, 47, 33, 14, 23, 261, 120, 72, 120, 0, 42.0, 114.0, 118.0, 0, 14, 117, 34, 71, 12, 3, 0, 3, 37, 50, 25, 2.0, 33, 69, 12, 0, 0, 49, 49, 35.0, 95.0, 98.33, 60.0, 41.8984375, 41.8984375, 0, 12.0, 97.5, 0.0, 2.599609375, 31.59765625, 42.6953125, 21.4, 1.7, 29.09765625, 28.19921875, 60.6953125, 59.0, 10.298828125, 10.298828125, 113.0, 10.0, 19.0, 4.0, 6.0, "Tous les candidats", 332.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "4960", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4960&g_ta_cod=4960", 31.0, 59.0, 10.0),
(1117, "Public", "0620215X", "Université du littoral - Site de Calais -", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation non sélective", "Licence", "Université du littoral - Site de Calais - - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 180, 1340, 861, 1126, 0, 775, 160, 89, 23, 4, 3, 258, 214, 101, 2, 0, 111, 1120, 192, 0, 0, 775, 160, 89, 23, 4, 3, 252, 1132, 137, 82, 95, 42, 13.0, 93.0, 119.0, 0, 21, 95, 81, 12, 2, 42, 0, 34, 37, 20, 4, 0.0, 52, 8, 1, 0, 0, 79, 79, 9.49, 67.88, 86.86, 59.8984375, 83.1875, 83.1875, 0, 22.09765625, 69.296875, 0.0, 35.796875, 38.8984375, 21.09765625, 4.2, 0.0, 85.296875, 54.6953125, 12.599609375, 8.3984375, 2.099609375, 1.099853515625, 765.0, 154.0, 3.0, 2.0, 318.0, "Tous les candidats", 1436.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "7397", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27866&g_ta_cod=7397", 80.0, 14.0, 4.0),
(1118, "Privé sous contrat d'association", "0280665W", "Lycée Notre Dame", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Chartres", "formation sélective", "BTS", "Lycée Notre Dame - BTS - Services - Communication", "BTS - Services", "", 20, 271, 184, 240, 0, 66, 7, 65, 8, 20, 7, 89, 31, 0, 15, 6, 10, 88, 2, 0, 0, 45, 3, 27, 1, 1, 0, 15, 71, 21, 18, 20, 1, 5.0, 15.0, 20.0, 0, 0, 18, 10, 7, 1, 3, 0, 2, 9, 7, 0, 0.0, 9, 6, 1, 4, 4, 14, 14, 23.81, 71.43, 95.24, 85.6875, 77.796875, 77.796875, 22.19921875, 0.0, 85.6875, 0.0, 11.099609375, 50.0, 38.8984375, 0.0, 0.0, 55.59375, 50.0, 38.8984375, 33.296875, 5.599609375, 5.599609375, 33.0, 2.0, 2.0, 0.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 1, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 33.0, "17447", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17447&g_ta_cod=17447", 62.0, 33.0, 5.0),
(1119, "Public", "0941288P", "I.U.T. de Créteil-Vitry - Site de Créteil- UPEC", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "BUT", "I.U.T. de Créteil-Vitry - Site de Créteil- UPEC - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente - Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente - Business développement et management de la relation client", 104, 6786, 3833, 6786, 0, 2992, 842, 2569, 1021, 110, 52, 1115, 0, 0, 0, 0, 0, 2056, 0, 0, 0, 1045, 255, 698, 228, 0, 0, 313, 549, 112, 78, 111, 0, 13.0, 80.0, 101.0, 0, 32, 95, 55, 40, 0, 17, 0, 5, 35, 47, 8, 0.0, 51, 39, 0, 0, 0, 59, 87, 11.61, 71.43, 90.18, 69.59375, 62.09375, 91.59375, 0, 33.6953125, 84.796875, 0.0, 5.2998046875, 36.796875, 49.5, 8.4, 0.0, 57.8984375, 53.6953125, 42.09375, 41.09375, 0.0, 0.0, 310.0, 95.0, 0.0, 0.0, 80.0, "Tous les candidats sauf les Bac technologiques", 631.0, "Bacheliers technologiques toutes séries", 311, "", 0, "Liste d'appel propre à cette formation", 14.0, "11513", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11513&g_ta_cod=11513", 54.0, 46.0, 0.0),
(1120, "Public", "0470927C", "I.U.T. de Bordeaux - Site d'Agen", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "BUT", "I.U.T. de Bordeaux - Site d'Agen - BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services", "BUT - Production", "Management de la production de biens et de services", 52, 342, 96, 309, 0, 141, 13, 81, 20, 8, 3, 79, 33, 5, 7, 1, 20, 254, 8, 0, 0, 133, 12, 65, 14, 1, 0, 55, 214, 48, 12, 44, 4, 37.0, 43.0, 44.0, 0, 3, 37, 26, 11, 0, 11, 0, 24, 11, 2, 0, 0.0, 8, 5, 0, 0, 0, 26, 26, 77.08, 89.58, 91.67, 25.0, 70.296875, 70.296875, 0, 8.099609375, 77.09375, 0.0, 64.890625, 29.69921875, 5.3994140625, 0.0, 0.0, 70.296875, 21.59765625, 29.69921875, 13.5, 0.0, 0.0, 106.0, 12.0, 1.0, 0.0, 53.0, "Tous les candidats sauf les Bac technologiques", 177.0, "Bacheliers technologiques toutes séries", 75, "", 0, "Liste d'appel propre à cette formation", 82.0, "5792", "BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5792&g_ta_cod=5792", 67.0, 33.0, 0.0),
(1121, "Public", "0624139M", "Université d'Artois - Site de Liévin", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Liévin", "formation non sélective", "Licence", "Université d'Artois - Site de Liévin - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Entraînement sportif - Education et Motricité - Activité Physique adaptée pour la Santé", "Licence - Sciences humaines et sociales", "Entraînement sportif - Education et Motricité - Activité Physique adaptée pour la Santé", 225, 1604, 494, 1604, 0, 1038, 186, 198, 54, 32, 12, 336, 0, 0, 0, 0, 0, 1601, 0, 0, 0, 1038, 186, 198, 54, 32, 12, 333, 664, 225, 74, 225, 0, 92.0, 199.0, 214.0, 0, 49, 168, 148, 14, 6, 57, 0, 51, 69, 45, 3, 0.0, 105, 7, 5, 0, 0, 164, 164, 40.89, 88.44, 95.11, 32.8984375, 97.59375, 97.59375, 0, 29.19921875, 74.6875, 0.0, 30.3984375, 41.09375, 26.796875, 1.8, 0.0, 88.09375, 62.5, 8.298828125, 4.19921875, 3.599609375, 3.0, 440.0, 93.0, 10.0, 5.0, 171.0, "Tous les candidats", 751.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "7535", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Entraînement sportif - Education et Motricité - Activité Physique adaptée pour la Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7535&g_ta_cod=7535", 88.0, 8.0, 4.0),
(1122, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Portail Sociologie", "Licence - Sciences humaines et sociales", "", 282, 1091, 815, 755, 0, 461, 137, 80, 34, 27, 14, 187, 336, 87, 54, 19, 176, 755, 319, 0, 0, 461, 137, 80, 34, 27, 14, 187, 1074, 155, 113, 80, 75, 77.0, 78.0, 135.0, 0, 38, 96, 63, 22, 11, 59, 1, 62, 24, 8, 1, 0.0, 22, 2, 9, 0, 0, 52, 52, 49.68, 50.32, 87.1, 72.890625, 54.1953125, 54.1953125, 0, 39.59375, 61.8984375, 1.0, 64.59375, 25.0, 8.298828125, 1.0, 0.0, 65.59375, 22.8984375, 22.8984375, 2.099609375, 11.5, 9.3984375, 548.0, 152.0, 45.0, 25.0, 347.0, "Tous les candidats", 846.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "10699", "Licence - Portail Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32137&g_ta_cod=10699", 60.0, 26.0, 13.0),
(1123, "Privé sous contrat d'association", "0211091X", "Lycée Les Arcades", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Les Arcades - BTS - Services - Economie sociale familiale", "BTS - Services", "", 32, 325, 281, 302, 0, 61, 18, 86, 22, 85, 32, 70, 23, 1, 3, 4, 15, 172, 8, 0, 0, 38, 10, 55, 10, 55, 18, 24, 114, 25, 23, 25, 0, 5.0, 14.0, 24.0, 0, 5, 20, 6, 5, 9, 5, 0, 11, 8, 1, 0, 0.0, 1, 2, 6, 7, 6, 16, 16, 20.0, 56.0, 96.0, 92.0, 80.0, 80.0, 35, 25.0, 80.0, 0.0, 55.0, 40.0, 5.0, 0.0, 0.0, 30.0, 5.0, 25.0, 10.0, 45.0, 30.0, 24.0, 7.0, 30.0, 12.0, 25.0, "Tous les candidats sauf les Bac professionnels", 99.0, "Bacheliers professionnels toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 47.0, "3232", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3232&g_ta_cod=3232", 36.0, 28.0, 36.0),
(1124, "Public", "0762920L", "Lycée Pierre de Coubertin", "76", "Seine-Maritime", "Normandie", "Normandie", "Bolbec", "formation sélective", "BTS", "Lycée Pierre de Coubertin - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 15, 111, 1, 111, 0, 1, 1, 15, 4, 74, 26, 21, 0, 0, 0, 0, 0, 86, 0, 0, 0, 1, 1, 14, 3, 65, 24, 6, 34, 15, 0, 15, 0, 3.0, 12.0, 15.0, 0, 4, 13, 0, 2, 11, 2, 0, 1, 4, 5, 3, 0.0, 0, 1, 11, 6, 0, 13, 13, 20.0, 80.0, 100.0, 0.0, 100.0, 100.0, 46.1953125, 30.796875, 86.6875, 0.0, 7.69921875, 30.796875, 38.5, 23.1, 0.0, 0.0, 0.0, 15.3984375, 7.69921875, 84.59375, 84.59375, 1.0, 1.0, 26.0, 7.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 5, "Liste d'appel propre à cette formation", 33.0, "17934", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17934&g_ta_cod=17934", 0.0, 13.0, 87.0),
(1125, "Public", "9711046K", "Lycée Chevalier Saint-Georges", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "BTS", "Lycée Chevalier Saint-Georges - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 30, 195, 23, 170, 0, 23, 13, 30, 15, 79, 57, 38, 25, 4, 0, 12, 9, 75, 3, 0, 0, 11, 4, 16, 9, 43, 33, 5, 66, 25, 1, 22, 3, 5.0, 22.0, 25.0, 0, 15, 22, 2, 4, 16, 3, 0, 11, 9, 2, 0, 0.0, 0, 1, 10, 9, 0, 21, 21, 20.0, 88.0, 100.0, 4.0, 95.5, 95.5, 40.8984375, 68.1875, 88.0, 0.0, 50.0, 40.8984375, 9.099609375, 0.0, 0.0, 9.099609375, 0.0, 18.19921875, 4.5, 72.6875, 45.5, 10.0, 4.0, 41.0, 32.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 43.0, "11765", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11765&g_ta_cod=11765", 8.0, 24.0, 68.0),
(1126, "Public", "0080028M", "Lycée professionnel Charles de Gonzague", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BTS", "Lycée professionnel Charles de Gonzague - BTS - Production - Bâtiment", "BTS - Production", "", 15, 325, 58, 301, 0, 13, 3, 35, 10, 34, 14, 219, 24, 0, 11, 1, 12, 62, 12, 0, 0, 5, 1, 23, 4, 28, 11, 6, 58, 14, 2, 9, 5, 4.0, 8.0, 11.0, 0, 5, 11, 0, 5, 6, 3, 0, 4, 3, 2, 2, 0.0, 0, 2, 5, 4, 1, 5, 5, 28.57, 57.14, 78.57, 14.298828125, 45.5, 45.5, 36.3984375, 45.5, 78.59375, 0.0, 36.3984375, 27.296875, 18.19921875, 18.2, 0.0, 0.0, 0.0, 45.5, 18.19921875, 54.5, 45.5, 4.0, 1.0, 17.0, 6.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers technologiques toutes séries", 26, "Bacheliers professionnels toutes séries", 29, "Liste d'appel propre à cette formation", 20.0, "29811", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29811&g_ta_cod=29811", 0.0, 50.0, 50.0),
(1127, "Public", "0791090F", "I.U.T. Poitiers (site Niort)", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BUT", "I.U.T. Poitiers (site Niort) - BUT - Statistique et informatique décisionnelle Parcours : Sciences des données : exploration et modélisation statistique - Sciences des données : visualisation, conception d'outils décisionnels", "BUT - Service", "Sciences des données : exploration et modélisation statistique - Sciences des données : visualisation, conception d'outils décisionnels", 52, 508, 107, 488, 0, 324, 32, 62, 6, 2, 0, 100, 20, 4, 2, 0, 14, 408, 4, 0, 0, 296, 25, 44, 2, 0, 0, 68, 261, 48, 14, 45, 3, 26.0, 37.0, 47.0, 0, 5, 36, 32, 4, 0, 12, 0, 11, 14, 10, 0, 1.0, 23, 2, 0, 0, 0, 17, 17, 54.17, 77.08, 97.92, 29.19921875, 47.1953125, 47.1953125, 0, 13.8984375, 75.0, 0.0, 30.59765625, 38.8984375, 27.796875, 0.0, 2.8, 88.890625, 63.8984375, 11.099609375, 5.599609375, 0.0, 0.0, 177.0, 18.0, 0.0, 0.0, 46.0, "Tous les candidats sauf les Bac technologiques", 359.0, "Bacheliers technologiques toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 83.0, "10137", "BUT - Statistique et informatique décisionnelle Parcours : Sciences des données : exploration et modélisation statistique - Sciences des données : visualisation, conception d'outils décisionnels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10137&g_ta_cod=10137", 88.0, 13.0, 0.0),
(1128, "Public", "0592602H", "I.U.T. de Lille A", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "BUT", "I.U.T. de Lille A - BUT - Génie biologique Parcours diététique et nutrition", "BUT - Production", "", 23, 1442, 1130, 1442, 0, 573, 103, 379, 121, 10, 7, 480, 0, 0, 0, 0, 0, 962, 0, 0, 0, 409, 70, 249, 74, 0, 0, 304, 146, 19, 14, 19, 0, 3.0, 14.0, 15.0, 0, 4, 14, 4, 10, 0, 5, 0, 0, 5, 7, 2, 0.0, 4, 10, 0, 0, 0, 7, 7, 15.79, 73.68, 78.95, 73.6875, 50.0, 50.0, 0, 28.59765625, 73.6875, 0.0, 0.0, 35.6953125, 50.0, 14.3, 0.0, 28.59765625, 28.59765625, 71.390625, 71.390625, 0.0, 0.0, 40.0, 12.0, 0.0, 0.0, 47.0, "Tous les candidats sauf les Bac technologiques", 191.0, "Bacheliers technologiques toutes séries", 123, "", 0, "Liste d'appel propre à cette formation", 22.0, "6890", "BUT - Génie biologique Parcours diététique et nutrition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6890&g_ta_cod=6890", 37.0, 63.0, 0.0),
(1129, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 1 Capitole - Licence - Gestion", "Licence - Droit-économie-gestion", "", 180, 3128, 1645, 3128, 0, 2061, 331, 223, 65, 29, 15, 815, 0, 0, 0, 0, 0, 3128, 0, 0, 0, 2061, 331, 223, 65, 29, 15, 815, 556, 175, 113, 175, 0, 31.0, 157.0, 168.0, 0, 17, 165, 165, 0, 0, 10, 1, 1, 42, 99, 22, 0.0, 163, 0, 0, 0, 0, 135, 135, 17.71, 89.71, 96.0, 64.59375, 81.796875, 81.796875, 0, 10.298828125, 94.296875, 0.5999755859375, 0.5999755859375, 25.5, 60.0, 13.3, 0.0, 100.0, 98.796875, 0.0, 0.0, 0.0, 0.0, 514.0, 74.0, 0.0, 0.0, 42.0, "Tous les candidats", 738.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "4140", "Licence - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4140&g_ta_cod=4140", 100.0, 0.0, 0.0),
(1130, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues étrangères appliquées - Parcours LEA Anglais-Portugais", "Licence - Arts-lettres-langues", "LEA Anglais-Portugais", 40, 160, 113, 111, 0, 52, 18, 15, 4, 16, 10, 28, 49, 3, 7, 7, 32, 110, 48, 0, 0, 52, 18, 15, 4, 16, 10, 27, 144, 32, 21, 19, 13, 13.0, 19.0, 25.0, 0, 7, 18, 9, 6, 3, 14, 0, 14, 3, 0, 1, 0.0, 4, 0, 0, 0, 0, 15, 15, 40.63, 59.38, 78.13, 65.59375, 83.296875, 83.296875, 0, 38.8984375, 56.296875, 0.0, 77.796875, 16.69921875, 0.0, 5.6, 0.0, 50.0, 22.19921875, 33.296875, 0.0, 16.69921875, 0.0, 46.0, 16.0, 21.0, 13.0, 55.0, "Tous les candidats", 111.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "2743", "Licence - Langues étrangères appliquées - Parcours LEA Anglais-Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2743&g_ta_cod=2743", 53.0, 31.0, 16.0),
(1131, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "Licence", "Université des Antilles - Pôle Guadeloupe - Licence - Portail Droit - Droit- Droit / Métiers de l'ingénierie économique et juridique - Guadeloupe", "Licence - Droit-économie-gestion", "Droit- Droit / Métiers de l'ingénierie économique et juridique - Guadeloupe", 600, 733, 548, 612, 0, 438, 187, 83, 58, 15, 9, 76, 121, 26, 21, 6, 68, 612, 120, 0, 0, 438, 187, 83, 58, 15, 9, 76, 737, 296, 226, 221, 71, 211.0, 217.0, 261.0, 0, 108, 228, 174, 45, 9, 68, 0, 102, 67, 43, 15, 1.0, 105, 16, 5, 0, 0, 221, 221, 71.28, 73.31, 88.18, 76.390625, 96.890625, 96.890625, 0, 47.3984375, 77.0, 0.0, 44.6953125, 29.3984375, 18.8984375, 6.6, 0.4, 76.296875, 46.09375, 19.69921875, 7.0, 3.89990234375, 2.19970703125, 463.0, 200.0, 21.0, 14.0, 145.0, "Tous les candidats", 686.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "19651", "Licence - Portail Droit - Droit- Droit / Métiers de l'ingénierie économique et juridique - Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29039&g_ta_cod=19651", 70.0, 22.0, 7.0),
(1132, "Privé sous contrat d'association", "0783344L", "Lycée Notre-Dame Les Oiseaux", "78", "Yvelines", "Ile-de-France", "Versailles", "Verneuil-sur-Seine", "formation sélective", "BTS", "Lycée Notre-Dame Les Oiseaux - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 40, 409, 162, 295, 0, 39, 7, 118, 19, 72, 23, 66, 114, 22, 17, 7, 68, 193, 14, 0, 0, 38, 6, 101, 14, 33, 8, 21, 157, 27, 14, 24, 3, 4.0, 22.0, 24.0, 0, 6, 24, 3, 14, 7, 3, 0, 9, 10, 4, 1, 0.0, 1, 7, 7, 2, 1, 22, 22, 14.81, 81.48, 88.89, 51.8984375, 91.6875, 91.6875, 8.298828125, 25.0, 88.890625, 0.0, 37.5, 41.6953125, 16.69921875, 4.2, 0.0, 12.5, 4.19921875, 58.296875, 29.19921875, 29.19921875, 29.19921875, 36.0, 6.0, 27.0, 6.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 55.0, "10084", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10084&g_ta_cod=10084", 22.0, 52.0, 26.0),
(1133, "Public", "0782549X", "Lycée Louis Bascan", "78", "Yvelines", "Ile-de-France", "Versailles", "Rambouillet", "formation sélective", "BTS", "Lycée Louis Bascan - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 640, 301, 640, 0, 62, 12, 270, 58, 165, 59, 143, 0, 0, 0, 0, 0, 394, 0, 0, 0, 53, 8, 212, 39, 74, 15, 55, 124, 34, 21, 34, 0, 9.0, 27.0, 30.0, 0, 6, 31, 7, 8, 16, 3, 0, 11, 16, 4, 0, 0.0, 1, 4, 15, 13, 9, 27, 27, 26.47, 79.41, 88.24, 61.796875, 87.09375, 87.09375, 41.8984375, 19.3984375, 91.1875, 0.0, 35.5, 51.59375, 12.8984375, 0.0, 0.0, 22.59765625, 3.19970703125, 25.796875, 12.8984375, 51.59375, 48.3984375, 29.0, 7.0, 53.0, 13.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 22.0, "10034", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10034&g_ta_cod=10034", 26.0, 24.0, 50.0),
(1134, "Public", "0750612H", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART.", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART. - DN MADE - Graphisme - - Spécialité : Éditions & typographie imprimées et numériques", "DN MADE", "- Spécialité : Éditions & typographie imprimées et numériques", 15, 992, 717, 992, 0, 373, 76, 212, 35, 78, 18, 329, 0, 0, 0, 0, 0, 101, 0, 0, 0, 26, 1, 47, 3, 2, 1, 26, 32, 16, 10, 16, 0, 7.0, 15.0, 16.0, 0, 2, 15, 8, 6, 1, 1, 0, 0, 3, 10, 2, 0.0, 8, 6, 1, 0, 0, 2, 8, 43.75, 93.75, 100.0, 62.5, 13.298828125, 53.296875, 0, 13.298828125, 93.796875, 0.0, 0.0, 20.0, 66.6875, 13.3, 0.0, 53.296875, 53.296875, 40.0, 40.0, 6.69921875, 6.69921875, 11.0, 1.0, 2.0, 1.0, 1.0, "Tous les candidats", 38.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "21795", "DN MADE - Graphisme - - Spécialité : Éditions & typographie imprimées et numériques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21795&g_ta_cod=21795", 56.0, 38.0, 6.0),
(1135, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 105, 619, 257, 495, 0, 323, 66, 35, 9, 3, 2, 134, 124, 34, 5, 3, 82, 493, 74, 0, 0, 323, 66, 35, 9, 3, 2, 132, 513, 87, 27, 55, 32, 35.0, 55.0, 77.0, 0, 8, 47, 40, 7, 0, 40, 1, 16, 20, 9, 1, 0.0, 28, 2, 0, 0, 0, 33, 33, 40.23, 63.22, 88.51, 31.0, 70.1875, 70.1875, 0, 17.0, 54.0, 2.099609375, 34.0, 42.59375, 19.09765625, 2.1, 0.0, 85.09375, 59.59375, 14.8984375, 4.2998046875, 0.0, 0.0, 323.0, 67.0, 4.0, 2.0, 160.0, "Tous les candidats", 490.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "15376", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15376&g_ta_cod=15376", 85.0, 14.0, 0.0),
(1136, "Public", "0595786U", "Lycée Jean Prouve", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Jean Prouve - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 15, 271, 24, 271, 0, 46, 6, 59, 13, 100, 33, 66, 0, 0, 0, 0, 0, 239, 0, 0, 0, 45, 6, 59, 13, 100, 33, 35, 85, 11, 1, 11, 0, 0.0, 7.0, 9.0, 0, 3, 9, 2, 2, 5, 2, 0, 4, 3, 2, 0, 0.0, 0, 1, 4, 2, 0, 5, 5, 0.0, 63.64, 81.82, 9.099609375, 55.59375, 55.59375, 22.19921875, 33.296875, 81.796875, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 22.19921875, 0.0, 22.19921875, 11.099609375, 55.59375, 44.3984375, 19.0, 6.0, 45.0, 15.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 37.0, "7153", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7153&g_ta_cod=7153", 36.0, 18.0, 45.0),
(1137, "Public", "0670079X", "Lycée Fustel De Coulanges", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée Fustel De Coulanges - CPGE - Ecole nationale des Chartes", "Classe préparatoire littéraire", "", 48, 344, 213, 332, 0, 289, 20, 0, 0, 1, 0, 42, 12, 4, 0, 0, 8, 281, 2, 0, 281, 262, 19, 0, 0, 0, 0, 19, 221, 44, 28, 42, 2, 19.0, 41.0, 44.0, 0, 3, 40, 40, 0, 0, 4, 0, 0, 2, 14, 21, 3.0, 40, 0, 0, 0, 0, 17, 17, 43.18, 93.18, 100.0, 63.59375, 42.5, 42.5, 0, 7.5, 90.890625, 0.0, 0.0, 5.0, 35.0, 52.5, 7.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 205.0, 19.0, 0.0, 0.0, 16.0, "Tous les candidats", 280.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "7915", "CPGE - Ecole nationale des Chartes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7915&g_ta_cod=7915", 100.0, 0.0, 0.0),
(1138, "Public", "0330192E", "Sciences Po Bordeaux - Institut d'études politiques", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Autre formation", "Sciences Po Bordeaux - Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Filière intégrée France-Italie (FIFI)", "Sciences politiques", "Filière intégrée France-Italie (FIFI)", 7, 133, 94, 133, 0, 119, 10, 0, 0, 0, 0, 14, 0, 0, 0, 0, 0, 20, 0, 0, 0, 19, 1, 0, 0, 0, 0, 1, 15, 7, 7, 7, 0, 2.0, 7.0, 7.0, 0, 0, 6, 6, 0, 0, 1, 0, 0, 0, 0, 5, 1.0, 6, 0, 0, 0, 0, 1, 1, 28.57, 100.0, 100.0, 100.0, 16.69921875, 16.69921875, 0, 0.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 83.3, 16.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 14.0, 1.0, 0.0, 0.0, 1.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "25931", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Filière intégrée France-Italie (FIFI)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25931&g_ta_cod=25931", 100.0, 0.0, 0.0),
(1139, "Privé enseignement supérieur", "0755956S", "NEOMA Business School - Campus de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  9e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Global BBA", 90, 3897, 1778, 3897, 0, 3363, 113, 231, 7, 7, 2, 296, 0, 0, 0, 0, 0, 3116, 0, 0, 0, 2767, 75, 129, 4, 2, 1, 218, 2410, 141, 61, 141, 0, 81.0, 139.0, 141.0, 0, 3, 128, 119, 9, 0, 13, 0, 22, 70, 32, 4, 0.0, 98, 8, 0, 0, 0, 33, 94, 57.45, 98.58, 100.0, 43.296875, 25.796875, 73.390625, 0, 2.2998046875, 90.796875, 0.0, 17.19921875, 54.6953125, 25.0, 3.1, 0.0, 93.0, 76.59375, 7.0, 6.2998046875, 0.0, 0.0, 2156.0, 54.0, 2.0, 1.0, 158.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "26122", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26122", 94.0, 6.0, 0.0),
(1140, "Public", "0950645K", "Lycée Van Gogh", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Ermont", "formation sélective", "BTS", "Lycée Van Gogh - BTS - Services - Notariat", "BTS - Services", "", 35, 864, 637, 864, 0, 128, 41, 210, 88, 153, 74, 373, 0, 0, 0, 0, 0, 448, 0, 0, 0, 102, 34, 137, 61, 103, 48, 106, 127, 34, 30, 34, 0, 7.0, 32.0, 33.0, 0, 12, 28, 1, 19, 8, 6, 0, 7, 17, 4, 0, 0.0, 1, 13, 7, 2, 2, 23, 25, 20.59, 94.12, 97.06, 88.1875, 82.09375, 89.296875, 7.099609375, 42.8984375, 82.390625, 0.0, 25.0, 60.6953125, 14.298828125, 0.0, 0.0, 3.599609375, 3.599609375, 67.890625, 46.3984375, 28.59765625, 25.0, 14.0, 4.0, 28.0, 11.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 18.0, "11567", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11567&g_ta_cod=11567", 12.0, 62.0, 26.0),
(1141, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues étrangères appliquées - Parcours Anglais-Espagnol", "Licence - Arts-lettres-langues", "Anglais-Espagnol", 185, 1654, 1278, 1629, 0, 989, 327, 153, 81, 51, 31, 436, 25, 3, 2, 2, 18, 1619, 25, 0, 0, 989, 327, 153, 81, 51, 31, 426, 712, 180, 139, 167, 13, 30.0, 136.0, 160.0, 0, 47, 120, 103, 14, 3, 60, 3, 21, 46, 40, 10, 0.0, 85, 8, 3, 0, 0, 86, 86, 16.67, 75.56, 88.89, 77.1875, 71.6875, 71.6875, 0, 39.1953125, 66.6875, 2.5, 17.5, 38.296875, 33.296875, 8.3, 0.0, 85.796875, 70.796875, 11.69921875, 6.69921875, 2.5, 2.5, 425.0, 146.0, 12.0, 5.0, 225.0, "Tous les candidats", 995.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "4579", "Licence - Langues étrangères appliquées - Parcours Anglais-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4579&g_ta_cod=4579", 88.0, 11.0, 2.0),
(1142, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Musicologie", "Licence - Arts-lettres-langues", "", 80, 381, 181, 335, 0, 205, 35, 34, 11, 13, 6, 83, 46, 8, 1, 1, 36, 335, 43, 0, 0, 205, 35, 34, 11, 13, 6, 83, 378, 73, 31, 57, 16, 55.0, 56.0, 64.0, 0, 16, 48, 41, 6, 1, 25, 1, 26, 16, 2, 2, 1.0, 20, 1, 0, 0, 0, 30, 30, 75.34, 76.71, 87.67, 42.5, 62.5, 62.5, 0, 33.296875, 65.796875, 2.099609375, 54.1953125, 33.296875, 4.19921875, 4.2, 2.1, 85.390625, 41.6953125, 12.5, 2.099609375, 2.099609375, 0.0, 213.0, 37.0, 14.0, 6.0, 116.0, "Tous les candidats", 335.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20585", "Licence - Musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20585&g_ta_cod=20585", 81.0, 14.0, 5.0),
(1143, "Privé sous contrat d'association", "0212195Z", "ESEO Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 4, 202, 69, 198, 0, 0, 0, 0, 0, 0, 0, 198, 4, 0, 0, 0, 4, 153, 4, 0, 0, 0, 0, 0, 0, 0, 0, 153, 136, 2, 0, 0, 2, 0.0, 0.0, 2.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 136.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "22844", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22844", 100.0, 0.0, 0.0),
(1144, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Allemand et Gestion parcours Techniques quantitatives et management(TQM)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Allemand et Gestion parcours Techniques quantitatives et management(TQM)", 10, 127, 72, 127, 0, 90, 10, 5, 1, 1, 0, 31, 0, 0, 0, 0, 0, 127, 0, 0, 0, 90, 10, 5, 1, 1, 0, 31, 40, 9, 5, 9, 0, 3.0, 8.0, 8.0, 0, 0, 7, 7, 0, 0, 2, 0, 0, 1, 4, 2, 0.0, 7, 0, 0, 0, 0, 4, 4, 33.33, 88.89, 88.89, 55.59375, 57.09375, 57.09375, 0, 0.0, 77.796875, 0.0, 0.0, 14.298828125, 57.09375, 28.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 28.0, 5.0, 0.0, 0.0, 12.0, "Tous les candidats", 53.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "8514", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Allemand et Gestion parcours Techniques quantitatives et management(TQM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8514&g_ta_cod=8514", 100.0, 0.0, 0.0),
(1145, "Public", "0060009C", "Lycée Auguste Renoir", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cagnes-sur-Mer", "formation sélective", "BTS", "Lycée Auguste Renoir - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 815, 437, 815, 0, 126, 27, 314, 97, 218, 87, 157, 0, 0, 0, 0, 0, 815, 0, 0, 0, 126, 27, 314, 97, 218, 87, 157, 135, 34, 14, 34, 0, 7.0, 26.0, 31.0, 0, 16, 32, 1, 18, 13, 2, 0, 14, 14, 3, 1, 0.0, 0, 8, 10, 5, 2, 32, 32, 20.59, 76.47, 91.18, 41.1953125, 100.0, 100.0, 15.599609375, 50.0, 94.09375, 0.0, 43.796875, 43.796875, 9.3984375, 3.1, 0.0, 3.099609375, 0.0, 56.296875, 25.0, 40.59375, 31.296875, 12.0, 3.0, 33.0, 15.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 114, "Liste d'appel propre à cette formation", 22.0, "2185", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2185&g_ta_cod=2185", 9.0, 53.0, 38.0),
(1146, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues étrangères appliquées - Parcours Anglais / Italien", "Licence - Arts-lettres-langues", "Anglais / Italien", 32, 273, 201, 234, 0, 108, 39, 26, 15, 27, 15, 73, 39, 3, 5, 8, 23, 228, 23, 0, 0, 108, 39, 26, 15, 27, 15, 67, 175, 30, 14, 15, 14, 0.0, 12.0, 16.0, 0, 9, 17, 7, 3, 7, 13, 0, 14, 2, 1, 0, 0.0, 2, 1, 0, 0, 0, 11, 16, 0.0, 40.0, 53.33, 46.6953125, 64.6875, 94.09375, 0, 52.8984375, 56.6953125, 0.0, 82.390625, 11.798828125, 5.8994140625, 0.0, 0.0, 41.1953125, 11.798828125, 17.59765625, 5.8994140625, 41.1953125, 0.0, 74.0, 31.0, 20.0, 11.0, 59.0, "Tous les candidats", 219.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "28100", "Licence - Langues étrangères appliquées - Parcours Anglais / Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28100&g_ta_cod=28100", 43.0, 23.0, 30.0),
(1147, "Public", "0670186N", "Ecole Nationale Supérieure d'Architecture de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Strasbourg - Architecture", "Formations Bac + 5", "", 116, 2527, 1507, 2527, 0, 1568, 238, 242, 70, 60, 30, 657, 0, 0, 0, 0, 0, 422, 0, 0, 0, 315, 19, 21, 2, 12, 3, 74, 293, 115, 86, 115, 0, 40.0, 101.0, 108.0, 0, 11, 90, 78, 7, 5, 25, 2, 1, 4, 23, 55, 5.0, 75, 7, 5, 0, 0, 17, 17, 34.78, 87.83, 93.91, 74.796875, 18.8984375, 18.8984375, 0, 12.19921875, 78.296875, 2.19970703125, 1.099853515625, 4.3994140625, 25.59765625, 61.1, 5.6, 86.6875, 83.296875, 7.7998046875, 7.7998046875, 5.599609375, 5.599609375, 220.0, 18.0, 7.0, 2.0, 52.0, "Tous les candidats", 333.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "7961", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7961&g_ta_cod=7961", 85.0, 9.0, 6.0),
(1148, "Public", "0760058A", "Lycée Schuman Perret", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BTS", "Lycée Schuman Perret - BTS - Production - Métiers de la chimie", "BTS - Production", "", 30, 604, 296, 604, 0, 94, 20, 129, 25, 38, 16, 343, 0, 0, 0, 0, 0, 374, 0, 0, 0, 86, 17, 129, 25, 38, 16, 121, 155, 29, 12, 28, 0, 3.0, 16.0, 23.0, 0, 5, 22, 8, 10, 4, 7, 1, 9, 10, 2, 0, 0.0, 2, 7, 3, 5, 2, 19, 19, 10.34, 55.17, 79.31, 41.3984375, 86.390625, 86.390625, 22.69921875, 22.69921875, 75.890625, 4.5, 40.8984375, 45.5, 9.099609375, 0.0, 0.0, 36.3984375, 9.099609375, 45.5, 31.796875, 18.19921875, 13.599609375, 39.0, 6.0, 22.0, 7.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 94.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 122, "Liste d'appel propre à cette formation", 40.0, "9582", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9582&g_ta_cod=9582", 31.0, 52.0, 17.0),
(1149, "Privé sous contrat d'association", "0690631L", "ICOF", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "BTS", "ICOF - BTS - Services - Support à l'action managériale", "BTS - Services", "", 32, 334, 239, 189, 0, 11, 1, 78, 21, 61, 24, 39, 145, 10, 48, 21, 66, 101, 47, 0, 0, 9, 1, 42, 9, 40, 14, 10, 135, 20, 17, 9, 11, 5.0, 9.0, 15.0, 0, 4, 15, 2, 4, 9, 5, 0, 8, 5, 2, 0, 0.0, 0, 1, 6, 0, 0, 15, 15, 25.0, 45.0, 75.0, 85.0, 100.0, 100.0, 0, 26.69921875, 75.0, 0.0, 53.296875, 33.296875, 13.298828125, 0.0, 0.0, 13.298828125, 0.0, 26.69921875, 6.69921875, 60.0, 40.0, 13.0, 2.0, 39.0, 16.0, 25.0, "Tous les candidats sauf les Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 53.0, "8315", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8315&g_ta_cod=8315", 20.0, 35.0, 45.0),
(1150, "Public", "0911975C", "Université d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation non sélective", "Licence", "Université d'Evry Val d'Essonne - Licence - Portail Physique-Chimie", "Licence - Sciences - technologies - santé", "Physique-Chimie", 80, 628, 281, 589, 0, 403, 91, 35, 7, 3, 2, 148, 39, 14, 1, 0, 24, 589, 34, 0, 0, 403, 91, 35, 7, 3, 2, 148, 502, 74, 30, 56, 18, 0.0, 26.0, 56.0, 0, 7, 37, 31, 6, 0, 37, 0, 26, 9, 1, 1, 0.0, 8, 3, 0, 0, 0, 23, 34, 0.0, 35.14, 75.68, 40.5, 62.1953125, 91.890625, 0, 18.8984375, 50.0, 0.0, 70.296875, 24.296875, 2.69970703125, 2.7, 0.0, 83.796875, 21.59765625, 16.19921875, 8.099609375, 0.0, 0.0, 362.0, 76.0, 1.0, 1.0, 129.0, "Tous les candidats", 585.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "26346", "Licence - Portail Physique-Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26346&g_ta_cod=26346", 74.0, 22.0, 3.0),
(1151, "Public", "0600021X", "Lycée Jules Uhry", "60", "Oise", "Hauts-de-France", "Amiens", "Creil", "formation sélective", "BTS", "Lycée Jules Uhry - BTS - Services - Support à l'action managériale", "BTS - Services", "", 32, 282, 173, 282, 0, 15, 5, 64, 37, 94, 46, 109, 0, 0, 0, 0, 0, 194, 0, 0, 0, 11, 3, 44, 24, 85, 41, 54, 100, 31, 26, 31, 0, 4.0, 27.0, 28.0, 0, 11, 18, 1, 3, 14, 13, 0, 9, 9, 0, 0, 0.0, 0, 2, 7, 1, 1, 15, 15, 12.9, 87.1, 90.32, 83.890625, 83.296875, 83.296875, 5.599609375, 61.09375, 58.09375, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 5.599609375, 0.0, 16.69921875, 11.099609375, 77.796875, 38.8984375, 7.0, 2.0, 45.0, 24.0, 21.0, "Tous les candidats sauf les Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 41.0, "7243", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7243&g_ta_cod=7243", 23.0, 13.0, 61.0),
(1152, "Public", "0623911P", "Université d'Artois - Site de Lens", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation non sélective", "Licence", "Université d'Artois - Site de Lens - Licence - Informatique", "Licence - Sciences - technologies - santé", "", 100, 656, 60, 631, 0, 425, 94, 54, 19, 3, 0, 149, 25, 6, 1, 1, 17, 616, 13, 0, 0, 425, 94, 54, 19, 3, 0, 134, 510, 95, 9, 88, 7, 43.0, 85.0, 88.0, 0, 16, 59, 53, 6, 0, 36, 0, 30, 19, 7, 3, 0.0, 27, 2, 0, 0, 0, 57, 57, 45.26, 89.47, 92.63, 9.5, 96.59375, 96.59375, 0, 27.09765625, 62.09375, 0.0, 50.796875, 32.1953125, 11.8984375, 5.1, 0.0, 89.796875, 45.796875, 10.19921875, 3.39990234375, 0.0, 0.0, 381.0, 90.0, 1.0, 0.0, 102.0, "Tous les candidats", 574.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "7485", "Licence - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7485&g_ta_cod=7485", 82.0, 16.0, 2.0),
(1153, "Public", "0132210G", "Lycée Jean Lurçat", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Martigues", "formation sélective", "BTS", "Lycée Jean Lurçat - BTS - Production - Architectures en Métal : conception et Réalisation", "BTS - Production", "", 28, 239, 42, 239, 0, 21, 4, 57, 15, 56, 25, 105, 0, 0, 0, 0, 0, 192, 0, 0, 0, 21, 4, 44, 8, 56, 25, 71, 98, 27, 4, 27, 0, 5.0, 21.0, 25.0, 0, 5, 15, 3, 5, 7, 12, 0, 7, 6, 2, 0, 0.0, 0, 2, 6, 2, 0, 12, 12, 18.52, 77.78, 92.59, 14.798828125, 80.0, 80.0, 13.298828125, 33.296875, 55.59375, 0.0, 46.6953125, 40.0, 13.298828125, 0.0, 0.0, 20.0, 0.0, 33.296875, 13.298828125, 46.6953125, 40.0, 21.0, 4.0, 17.0, 9.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 48.0, "2759", "BTS - Production - Architectures en Métal : conception et Réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2759&g_ta_cod=2759", 22.0, 33.0, 44.0),
(1154, "Public", "0692517L", "LPO Camus-Sermenaz", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Rillieux-la-Pape", "formation sélective", "BTS", "LPO Camus-Sermenaz - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 18, 273, 98, 273, 0, 41, 7, 69, 16, 126, 34, 37, 0, 0, 0, 0, 0, 256, 0, 0, 0, 40, 6, 68, 15, 116, 32, 32, 102, 17, 5, 17, 0, 1.0, 9.0, 12.0, 0, 6, 15, 3, 2, 10, 2, 0, 4, 8, 3, 0, 0.0, 2, 1, 8, 3, 1, 5, 5, 5.88, 52.94, 70.59, 29.3984375, 33.296875, 33.296875, 20, 40.0, 88.1875, 0.0, 26.69921875, 53.296875, 20.0, 0.0, 0.0, 20.0, 13.298828125, 13.298828125, 6.69921875, 66.6875, 53.296875, 11.0, 4.0, 59.0, 13.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers technologiques toutes séries", 43, "Bacheliers professionnels toutes séries", 56, "Liste d'appel propre à cette formation", 41.0, "30567", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30567&g_ta_cod=30567", 24.0, 18.0, 59.0),
(1155, "Privé sous contrat d'association", "0440256P", "Lycée St Pierre La Joliverie", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Sébastien-sur-Loire", "formation sélective", "Autre formation", "Lycée St Pierre La Joliverie - Diplôme de Comptabilité et de Gestion", "DCG", "", 40, 378, 155, 374, 0, 180, 22, 69, 15, 2, 1, 123, 4, 0, 0, 0, 4, 283, 0, 0, 0, 167, 21, 64, 13, 2, 1, 50, 207, 32, 16, 32, 0, 13.0, 31.0, 32.0, 0, 4, 26, 20, 6, 0, 6, 0, 8, 9, 8, 1, 0.0, 13, 5, 0, 0, 0, 23, 23, 40.63, 96.88, 100.0, 50.0, 88.5, 88.5, 0, 15.3984375, 81.296875, 0.0, 30.796875, 34.59375, 30.796875, 3.8, 0.0, 76.890625, 50.0, 23.09765625, 19.19921875, 0.0, 0.0, 123.0, 15.0, 0.0, 0.0, 36.0, "Tous les candidats", 283.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "5528", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5528&g_ta_cod=5528", 81.0, 19.0, 0.0),
(1156, "Privé enseignement supérieur", "0011402U", "EGC de l'Ain Bourg-en-Bresse", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "Ecole de Commerce", "EGC de l'Ain Bourg-en-Bresse - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "", 40, 57, 25, 50, 0, 37, 4, 5, 0, 0, 0, 8, 7, 2, 1, 0, 4, 45, 4, 0, 0, 35, 4, 5, 0, 0, 0, 5, 49, 25, 10, 22, 3, 22.0, 22.0, 22.0, 0, 3, 20, 16, 4, 0, 5, 0, 8, 8, 4, 0, 0.0, 11, 1, 0, 0, 0, 17, 17, 88.0, 88.0, 88.0, 40.0, 85.0, 85.0, 0, 15.0, 80.0, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 80.0, 55.0, 20.0, 5.0, 0.0, 0.0, 37.0, 4.0, 0.0, 0.0, 7.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "12051", "Formation des écoles de commerce et de management Bac + 3", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12051&g_ta_cod=12051", 72.0, 28.0, 0.0),
(1157, "Privé sous contrat d'association", "0951819L", "ECAM EPMI", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "ECAM-ECAM LaSalle - Formation d'ingénieur Bac + 5 - Série STI2D", "Formations  des écoles d'ingénieurs", "Bac STI2D", 30, 192, 17, 192, 0, 0, 0, 167, 58, 0, 0, 25, 0, 0, 0, 0, 0, 192, 0, 0, 0, 0, 0, 167, 58, 0, 0, 25, 139, 30, 4, 30, 0, 10.0, 26.0, 30.0, 0, 13, 24, 0, 24, 0, 6, 0, 11, 10, 2, 1, 0.0, 0, 13, 0, 0, 0, 13, 17, 33.33, 86.67, 100.0, 13.298828125, 54.1953125, 70.796875, 0, 54.1953125, 80.0, 0.0, 45.796875, 41.6953125, 8.298828125, 4.2, 0.0, 0.0, 0.0, 100.0, 54.1953125, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 18.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "29300", "Formation d'ingénieur Bac + 5 - Série STI2D", "ECAM-ECAM LaSalle", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29297&g_ta_cod=29300", 0.0, 100.0, 0.0),
(1158, "Privé sous contrat d'association", "0290340M", "Lycée Estran Fenelon", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Estran Fenelon - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 495, 448, 476, 0, 69, 21, 124, 19, 175, 61, 108, 19, 2, 2, 6, 9, 286, 5, 0, 0, 49, 13, 76, 11, 109, 42, 52, 159, 30, 29, 26, 4, 7.0, 19.0, 28.0, 0, 7, 18, 4, 7, 7, 12, 0, 8, 9, 1, 0, 0.0, 2, 3, 5, 3, 3, 17, 17, 23.33, 63.33, 93.33, 96.6875, 94.390625, 94.390625, 16.69921875, 38.8984375, 60.0, 0.0, 44.3984375, 50.0, 5.599609375, 0.0, 0.0, 22.19921875, 11.099609375, 38.8984375, 16.69921875, 38.8984375, 27.796875, 24.0, 8.0, 53.0, 20.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 73.0, "Bacheliers professionnels toutes séries", 113, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 58.0, "16171", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16171&g_ta_cod=16171", 33.0, 37.0, 30.0),
(1159, "Privé enseignement supérieur", "0590346F", "SKEMA Business School - Campus de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole de Commerce", "SKEMA Business School - Campus de Lille - Formation des écoles de commerce et de management Bac + 3 - ESDHEM Economie-Gestion", "Formation des écoles de commerce et de management", "ESDHEM Economie-Gestion", 260, 1131, 494, 1075, 0, 954, 27, 34, 1, 2, 1, 85, 56, 18, 6, 0, 32, 1031, 30, 0, 0, 926, 26, 29, 1, 2, 1, 74, 989, 260, 122, 246, 14, 151.0, 245.0, 252.0, 0, 10, 238, 228, 10, 0, 22, 1, 51, 102, 65, 19, 0.0, 179, 7, 0, 0, 0, 188, 188, 58.08, 94.23, 96.92, 46.8984375, 79.0, 79.0, 0, 4.19921875, 91.5, 0.39996337890625, 21.3984375, 42.8984375, 27.296875, 8.0, 0.0, 95.796875, 75.1875, 4.19921875, 2.89990234375, 0.0, 0.0, 876.0, 24.0, 2.0, 1.0, 83.0, "Tous les candidats", 1176.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "31191", "Formation des écoles de commerce et de management Bac + 3 - ESDHEM Economie-Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31191&g_ta_cod=31191", 96.0, 4.0, 0.0),
(1160, "Public", "0590214M", "Lycée Colbert", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Colbert - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 32, 324, 44, 320, 0, 10, 3, 36, 17, 73, 33, 201, 4, 0, 0, 2, 2, 237, 2, 0, 0, 10, 3, 33, 15, 73, 33, 121, 100, 25, 1, 24, 1, 7.0, 24.0, 24.0, 0, 11, 22, 0, 7, 15, 3, 0, 7, 13, 2, 0, 0.0, 0, 2, 13, 9, 0, 21, 21, 28.0, 96.0, 96.0, 4.0, 95.5, 95.5, 40.8984375, 50.0, 88.0, 0.0, 31.796875, 59.09375, 9.099609375, 0.0, 0.0, 0.0, 0.0, 31.796875, 9.099609375, 68.1875, 59.09375, 4.0, 2.0, 67.0, 31.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 35.0, "6832", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6832&g_ta_cod=6832", 4.0, 32.0, 64.0),
(1161, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Licence", "Université de Rennes 1 - Licence - Mathématiques - Parcours DEFI Mathématiques", "Licence - Sciences - technologies - santé", "DEFI Mathématiques", 48, 661, 220, 649, 0, 565, 52, 4, 1, 0, 0, 80, 12, 3, 0, 0, 9, 496, 3, 0, 0, 462, 41, 0, 0, 0, 0, 34, 419, 44, 17, 41, 3, 19.0, 41.0, 41.0, 0, 1, 37, 37, 0, 0, 7, 0, 1, 5, 19, 11, 1.0, 36, 0, 0, 0, 0, 26, 26, 43.18, 93.18, 93.18, 38.59375, 70.296875, 70.296875, 0, 2.69970703125, 84.09375, 0.0, 2.69970703125, 13.5, 51.3984375, 29.7, 2.7, 100.0, 97.296875, 0.0, 0.0, 0.0, 0.0, 396.0, 37.0, 0.0, 0.0, 23.0, "Tous les candidats", 494.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "19164", "Licence - Mathématiques - Parcours DEFI Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19164&g_ta_cod=19164", 100.0, 0.0, 0.0),
(1162, "Public", "0620215X", "Université du littoral - Site de Calais -", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "Autre formation", "Université du littoral - Site de Calais - - DEUST - Bâtiment et travaux publics", "DEUST", "", 10, 52, 7, 52, 0, 8, 1, 25, 5, 4, 1, 15, 0, 0, 0, 0, 0, 44, 0, 0, 0, 7, 0, 24, 5, 3, 0, 10, 28, 10, 2, 10, 0, 6.0, 10.0, 10.0, 0, 3, 8, 1, 7, 0, 2, 0, 3, 4, 1, 0, 0.0, 1, 4, 0, 0, 0, 8, 8, 60.0, 100.0, 100.0, 20.0, 100.0, 100.0, 0, 37.5, 80.0, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 12.5, 12.5, 87.5, 50.0, 0.0, 0.0, 6.0, 0.0, 2.0, 0.0, 6.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "33348", "DEUST - Bâtiment et travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33348&g_ta_cod=33348", 20.0, 70.0, 10.0),
(1163, "Public", "0090022A", "L.E.G.T.A. de Pamiers", "09", "Ardennes", "Occitanie", "Toulouse", "Pamiers", "formation sélective", "BTS", "L.E.G.T.A. de Pamiers - BTS - Agricole - productions animales", "BTS - Agricole", "", 25, 376, 227, 376, 0, 85, 13, 142, 39, 48, 18, 101, 0, 0, 0, 0, 0, 289, 0, 0, 0, 83, 13, 121, 32, 44, 16, 41, 100, 31, 22, 31, 0, 16.0, 24.0, 30.0, 0, 12, 27, 6, 12, 9, 4, 0, 6, 14, 6, 1, 0.0, 3, 9, 9, 5, 3, 15, 15, 51.61, 77.42, 96.77, 71.0, 55.59375, 55.59375, 18.5, 44.3984375, 87.09375, 0.0, 22.19921875, 51.8984375, 22.19921875, 3.7, 0.0, 22.19921875, 11.099609375, 44.3984375, 33.296875, 33.296875, 33.296875, 37.0, 7.0, 13.0, 7.0, 17.0, "Tous les candidats sauf les Bac professionnels", 186.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 59.0, "2394", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2394&g_ta_cod=2394", 26.0, 42.0, 32.0),
(1164, "Public", "0340012D", "Lycée professionnel Jean Mermoz", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation sélective", "BTS", "Lycée professionnel Jean Mermoz - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 870, 409, 841, 0, 58, 21, 309, 145, 236, 118, 238, 29, 0, 16, 0, 13, 376, 8, 0, 0, 31, 10, 184, 88, 135, 69, 26, 216, 21, 9, 17, 4, 0.0, 8.0, 14.0, 0, 13, 18, 1, 6, 11, 3, 0, 4, 9, 5, 0, 0.0, 1, 4, 9, 6, 1, 13, 13, 0.0, 38.1, 66.67, 42.8984375, 72.1875, 72.1875, 33.296875, 72.1875, 85.6875, 0.0, 22.19921875, 50.0, 27.796875, 0.0, 0.0, 5.599609375, 5.599609375, 33.296875, 22.19921875, 61.09375, 50.0, 10.0, 4.0, 71.0, 39.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers technologiques toutes séries", 190, "Bacheliers professionnels toutes séries", 83, "Liste d'appel propre à cette formation", 34.0, "29488", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29488&g_ta_cod=29488", 5.0, 43.0, 52.0),
(1165, "Public", "0761688X", "I.U.T du Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BUT", "I.U.T du Havre - BUT - Information communication Parcours information numérique dans les organisations", "BUT - Service", "", 20, 635, 401, 635, 0, 351, 47, 113, 29, 6, 3, 165, 0, 0, 0, 0, 0, 309, 0, 0, 0, 205, 27, 73, 19, 2, 2, 29, 84, 21, 16, 21, 0, 5.0, 19.0, 20.0, 0, 2, 16, 12, 4, 0, 5, 0, 1, 7, 8, 0, 0.0, 12, 3, 0, 0, 0, 16, 16, 23.81, 90.48, 95.24, 76.1875, 100.0, 100.0, 0, 12.5, 76.1875, 0.0, 6.2998046875, 43.796875, 50.0, 0.0, 0.0, 75.0, 75.0, 25.0, 18.796875, 0.0, 0.0, 47.0, 5.0, 0.0, 0.0, 7.0, "Tous les candidats sauf les Bac technologiques", 97.0, "Bacheliers technologiques toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 24.0, "9661", "BUT - Information communication Parcours information numérique dans les organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9661&g_ta_cod=9661", 62.0, 38.0, 0.0),
(1166, "Privé sous contrat d'association", "0121423G", "Lycée Charles Carnus", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BTS", "Lycée Charles Carnus - BTS - Services - Gestion de la PME", "BTS - Services", "", 12, 194, 92, 182, 0, 21, 7, 70, 17, 37, 9, 54, 12, 1, 1, 2, 8, 134, 9, 0, 0, 20, 7, 65, 16, 32, 7, 17, 84, 12, 2, 7, 5, 2.0, 5.0, 8.0, 0, 1, 8, 0, 3, 5, 4, 0, 5, 1, 1, 1, 0.0, 0, 0, 3, 0, 0, 7, 7, 16.67, 41.67, 66.67, 16.69921875, 87.5, 87.5, 0, 12.5, 66.6875, 0.0, 62.5, 12.5, 12.5, 12.5, 0.0, 0.0, 0.0, 37.5, 0.0, 62.5, 37.5, 15.0, 5.0, 25.0, 6.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 73.0, "16233", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16233&g_ta_cod=16233", 17.0, 42.0, 42.0),
(1167, "Public", "9741180P", "I.U.T de la Réunion", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BUT", "I.U.T de la Réunion - BUT - Réseaux et télécommunications", "BUT - Production", "", 54, 429, 47, 428, 0, 166, 71, 169, 87, 17, 12, 76, 1, 0, 0, 0, 1, 240, 0, 0, 0, 134, 56, 82, 39, 2, 2, 22, 114, 53, 2, 53, 0, 19.0, 50.0, 51.0, 0, 25, 49, 27, 22, 0, 4, 0, 4, 21, 21, 3, 0.0, 25, 20, 0, 0, 0, 49, 49, 35.85, 94.34, 96.23, 3.7998046875, 100.0, 100.0, 0, 51.0, 92.5, 0.0, 8.19921875, 42.8984375, 42.8984375, 6.1, 0.0, 55.09375, 51.0, 44.8984375, 40.796875, 0.0, 0.0, 55.0, 25.0, 0.0, 0.0, 8.0, "Tous les candidats sauf les Bac technologiques", 69.0, "Bacheliers technologiques toutes séries", 77, "", 0, "Liste d'appel propre à cette formation", 34.0, "11953", "BUT - Réseaux et télécommunications", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11953&g_ta_cod=11953", 53.0, 47.0, 0.0),
(1168, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Autre formation", "Université de Limoges - DEUST - Webmaster et gestionnaire d'intranet", "DEUST", "", 100, 349, 102, 253, 0, 93, 15, 49, 12, 17, 5, 94, 96, 11, 5, 6, 74, 160, 55, 0, 0, 77, 10, 33, 8, 7, 0, 43, 212, 60, 21, 33, 27, 24.0, 32.0, 43.0, 0, 2, 24, 20, 2, 2, 36, 0, 9, 11, 3, 1, 0.0, 12, 1, 2, 0, 0, 2, 2, 40.0, 53.33, 71.67, 35.0, 8.298828125, 8.298828125, 0, 8.298828125, 40.0, 0.0, 37.5, 45.796875, 12.5, 4.2, 0.0, 83.296875, 50.0, 8.298828125, 4.19921875, 8.298828125, 8.298828125, 86.0, 11.0, 9.0, 1.0, 82.0, "Tous les candidats", 159.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "10698", "DEUST - Webmaster et gestionnaire d'intranet", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10698&g_ta_cod=10698", 73.0, 17.0, 5.0),
(1169, "Public", "0590223X", "Lycée Du Hainaut", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "CPGE", "Lycée Du Hainaut - CPGE - TSI", "Classe préparatoire scientifique", "", 48, 268, 37, 263, 161, 0, 0, 173, 61, 0, 0, 90, 5, 0, 4, 0, 1, 238, 1, 161, 187, 0, 0, 173, 61, 0, 0, 65, 135, 37, 6, 37, 0, 10.0, 37.0, 37.0, 23, 8, 26, 0, 26, 0, 11, 0, 3, 10, 10, 3, 0.0, 0, 23, 0, 6, 0, 21, 21, 27.03, 100.0, 100.0, 16.19921875, 80.796875, 80.796875, 23.09765625, 30.796875, 70.296875, 0.0, 11.5, 38.5, 38.5, 11.5, 0.0, 0.0, 0.0, 100.0, 88.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 21.0, "Tous les candidats", 200.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "6850", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6850&g_ta_cod=6850", 0.0, 100.0, 0.0),
(1170, "Public", "9720888H", "LYCEE POLYVALENT VICTOR ANICET", "972", "Martinique", "Martinique", "Martinique", "Saint-Pierre", "formation sélective", "Autre formation", "LYCEE POLYVALENT VICTOR ANICET - DN MADE - Graphisme", "DN MADE", "", 18, 167, 102, 167, 0, 70, 26, 31, 13, 34, 20, 32, 0, 0, 0, 0, 0, 86, 0, 0, 0, 46, 12, 17, 6, 14, 9, 9, 44, 18, 13, 18, 0, 9.0, 16.0, 17.0, 0, 9, 17, 6, 6, 5, 1, 0, 2, 3, 9, 3, 0.0, 6, 6, 3, 0, 0, 12, 12, 50.0, 88.89, 94.44, 72.1875, 70.59375, 70.59375, 0, 52.8984375, 94.390625, 0.0, 11.798828125, 17.59765625, 52.8984375, 17.6, 0.0, 35.296875, 35.296875, 35.296875, 35.296875, 29.3984375, 17.59765625, 20.0, 4.0, 9.0, 7.0, 3.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "25297", "DN MADE - Graphisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25297&g_ta_cod=25297", 33.0, 39.0, 28.0),
(1171, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université de Montpellier - Licence - Sciences de la vie - Parcours Licence - Biologie en apprentissage par problème (APP)", "Licence - Sciences - technologies - santé", "Licence - Biologie en apprentissage par problème (APP)", 40, 477, 333, 477, 0, 257, 64, 38, 8, 4, 1, 178, 0, 0, 0, 0, 0, 476, 0, 0, 0, 257, 64, 38, 8, 4, 1, 177, 117, 40, 29, 40, 0, 12.0, 30.0, 35.0, 0, 3, 32, 29, 1, 2, 8, 0, 3, 14, 13, 2, 0.0, 27, 1, 1, 0, 0, 27, 27, 30.0, 75.0, 87.5, 72.5, 84.390625, 84.390625, 0, 9.3984375, 80.0, 0.0, 9.3984375, 43.796875, 40.59375, 6.3, 0.0, 90.59375, 84.390625, 3.099609375, 3.099609375, 6.2998046875, 3.099609375, 75.0, 17.0, 2.0, 0.0, 37.0, "Tous les candidats", 139.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "31728", "Licence - Sciences de la vie - Parcours Licence - Biologie en apprentissage par problème (APP)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31728&g_ta_cod=31728", 88.0, 8.0, 5.0),
(1172, "Public", "0772276F", "Lycée Jehan De Chelles", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Chelles", "formation sélective", "BTS", "Lycée Jehan De Chelles - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 442, 302, 442, 0, 19, 6, 148, 64, 114, 56, 161, 0, 0, 0, 0, 0, 214, 0, 0, 0, 15, 4, 99, 40, 61, 30, 39, 147, 35, 25, 34, 0, 4.0, 31.0, 32.0, 0, 13, 25, 2, 12, 11, 10, 0, 14, 7, 4, 0, 0.0, 0, 4, 7, 1, 0, 25, 25, 11.43, 88.57, 91.43, 71.390625, 100.0, 100.0, 4, 52.0, 71.390625, 0.0, 56.0, 28.0, 16.0, 0.0, 0.0, 8.0, 0.0, 48.0, 16.0, 44.0, 28.0, 11.0, 4.0, 52.0, 28.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 38.0, "9882", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9882&g_ta_cod=9882", 11.0, 37.0, 51.0),
(1173, "Privé sous contrat d'association", "0622198C", "Lycée Saint Joseph", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Martin-Boulogne", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 40, 291, 39, 260, 0, 17, 1, 36, 7, 47, 15, 160, 31, 3, 9, 7, 12, 112, 12, 0, 0, 17, 1, 36, 7, 42, 12, 17, 107, 25, 0, 20, 5, 10.0, 20.0, 24.0, 0, 6, 22, 4, 6, 12, 3, 0, 12, 7, 3, 0, 0.0, 3, 2, 5, 3, 0, 20, 20, 40.0, 80.0, 96.0, 0.0, 90.890625, 90.890625, 13.599609375, 27.296875, 88.0, 0.0, 54.5, 31.796875, 13.599609375, 0.0, 0.0, 18.19921875, 13.599609375, 27.296875, 9.099609375, 54.5, 22.69921875, 13.0, 2.0, 40.0, 12.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 42.0, "7422", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7422&g_ta_cod=7422", 20.0, 28.0, 52.0),
(1174, "Public", "0020060E", "Lycée agricole et viticole de Crézancy", "02", "Aisne", "Hauts-de-France", "Amiens", "Crézancy", "formation sélective", "BTS", "Lycée agricole et viticole de Crézancy - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 17, 126, 48, 126, 0, 14, 1, 35, 8, 37, 8, 40, 0, 0, 0, 0, 0, 109, 0, 0, 0, 14, 1, 35, 8, 35, 7, 25, 56, 14, 4, 14, 0, 5.0, 13.0, 14.0, 0, 1, 12, 0, 8, 4, 2, 0, 3, 6, 3, 0, 0.0, 0, 8, 1, 11, 4, 12, 12, 35.71, 92.86, 100.0, 28.59765625, 100.0, 100.0, 91.6875, 8.298828125, 85.6875, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 0.0, 66.6875, 66.6875, 33.296875, 8.298828125, 7.0, 1.0, 27.0, 6.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 70.0, "2074", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2074&g_ta_cod=2074", 14.0, 57.0, 29.0),
(1175, "Public", "0781629X", "IFSI du CH de Rambouillet", "78", "Yvelines", "Ile-de-France", "Versailles", "Rambouillet", "formation sélective", "IFSI", "Regroupement d'IFSI UVSQ - D.E Infirmier", "D.E secteur sanitaire", "", 61, 2513, 2201, 2513, 0, 292, 63, 426, 139, 276, 117, 1519, 0, 0, 0, 0, 0, 1748, 0, 0, 0, 290, 63, 336, 101, 158, 68, 964, 668, 61, 48, 61, 0, 1.0, 20.0, 52.0, 0, 6, 38, 16, 18, 4, 23, 0, 13, 16, 8, 1, 0.0, 7, 14, 4, 0, 0, 20, 20, 1.64, 32.79, 85.25, 78.6875, 52.59375, 52.59375, 0, 15.798828125, 62.296875, 0.0, 34.1953125, 42.09375, 21.09765625, 2.6, 0.0, 42.09375, 18.3984375, 47.3984375, 36.796875, 10.5, 10.5, 172.0, 35.0, 21.0, 8.0, 342.0, "Tous les candidats", 1846.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "23293", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23007&g_ta_cod=23293", 57.0, 36.0, 7.0),
(1176, "Privé sous contrat d'association", "0831141P", "Lycée la Tourrache", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Autre formation", "Lycée la Tourrache - DN MADE - Espace - - Spécialité : Paysage et paysage urbain", "DN MADE", "- Spécialité : Paysage et paysage urbain", 15, 238, 182, 238, 0, 103, 16, 48, 11, 16, 3, 71, 0, 0, 0, 0, 0, 188, 0, 0, 0, 85, 12, 39, 7, 10, 2, 54, 50, 15, 10, 15, 0, 2.0, 11.0, 13.0, 0, 3, 12, 7, 4, 1, 3, 0, 0, 8, 2, 2, 0.0, 7, 4, 1, 0, 0, 5, 5, 13.33, 73.33, 86.67, 66.6875, 41.6953125, 41.6953125, 0, 25.0, 80.0, 0.0, 0.0, 66.6875, 16.69921875, 16.7, 0.0, 58.296875, 58.296875, 33.296875, 33.296875, 8.298828125, 8.298828125, 31.0, 4.0, 1.0, 1.0, 10.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "24355", "DN MADE - Espace - - Spécialité : Paysage et paysage urbain", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24355&g_ta_cod=24355", 53.0, 27.0, 13.0),
(1177, "Privé sous contrat d'association", "0692353H", "ISARA", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Réseau France Agro3 - Formation d'ingénieur Bac + 5 - Voie d'accès Bac +1", "Formations  des écoles d'ingénieurs", "Voie d'accès Bac +1", 10, 132, 88, 129, 0, 0, 0, 0, 0, 0, 0, 129, 3, 0, 0, 0, 3, 55, 1, 0, 0, 0, 0, 0, 0, 0, 0, 55, 44, 10, 6, 9, 1, 6.0, 9.0, 9.0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 60.0, 90.0, 90.0, 60.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 44.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "30894", "Formation d'ingénieur Bac + 5 - Voie d'accès Bac +1", "Réseau France Agro3", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30885&g_ta_cod=30894", 100.0, 0.0, 0.0),
(1178, "Privé enseignement supérieur", "0592808G", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines - Licence - Langues étrangères appliquées - Parcours LEA Anglais Allemand", "Licence - Arts-lettres-langues", "LEA Anglais Allemand", 100, 91, 63, 82, 0, 55, 10, 6, 4, 1, 1, 20, 9, 1, 0, 1, 7, 82, 7, 0, 0, 55, 10, 6, 4, 1, 1, 20, 89, 12, 9, 12, 0, 12.0, 12.0, 12.0, 0, 2, 7, 7, 0, 0, 5, 1, 3, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 6, 6, 100.0, 100.0, 100.0, 75.0, 85.6875, 85.6875, 0, 28.59765625, 58.296875, 14.298828125, 42.8984375, 28.59765625, 14.298828125, 0.0, 0.0, 100.0, 42.8984375, 0.0, 0.0, 0.0, 0.0, 56.0, 10.0, 2.0, 2.0, 25.0, "Tous les candidats", 82.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12634", "Licence - Langues étrangères appliquées - Parcours LEA Anglais Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12634&g_ta_cod=12634", 100.0, 0.0, 0.0),
(1179, "Public", "0590119J", "Lycée Faidherbe", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Faidherbe - CPGE - Lettres", "Classe préparatoire littéraire", "", 144, 1482, 1076, 1482, 856, 1338, 166, 4, 3, 2, 0, 138, 0, 0, 0, 0, 0, 1098, 0, 670, 1069, 1064, 124, 1, 1, 0, 0, 33, 645, 148, 113, 148, 0, 36.0, 120.0, 146.0, 44, 21, 144, 144, 0, 0, 4, 0, 0, 2, 29, 90, 23.0, 144, 0, 0, 5, 2, 98, 98, 24.32, 81.08, 98.65, 76.390625, 68.09375, 68.09375, 3.5, 14.599609375, 97.296875, 0.0, 0.0, 1.39990234375, 20.09765625, 62.5, 16.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 624.0, 78.0, 0.0, 0.0, 21.0, "Tous les candidats", 1041.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "6784", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6784&g_ta_cod=6784", 100.0, 0.0, 0.0),
(1180, "Privé sous contrat d'association", "0450758E", "Lycée Saint-Paul Bourdon Blanc", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Saint-Paul Bourdon Blanc - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 28, 342, 23, 342, 0, 64, 9, 81, 20, 88, 32, 109, 0, 0, 0, 0, 0, 261, 0, 0, 0, 60, 8, 75, 17, 65, 21, 61, 103, 28, 1, 26, 0, 6.0, 17.0, 24.0, 0, 9, 25, 9, 3, 13, 3, 0, 6, 11, 7, 1, 0.0, 6, 2, 11, 13, 0, 24, 24, 21.43, 60.71, 85.71, 3.599609375, 96.0, 96.0, 52, 36.0, 89.296875, 0.0, 24.0, 44.0, 28.0, 4.0, 0.0, 36.0, 24.0, 12.0, 8.0, 52.0, 44.0, 36.0, 6.0, 29.0, 10.0, 23.0, "Tous les candidats sauf les Bac professionnels", 98.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 38.0, "5693", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5693&g_ta_cod=5693", 39.0, 14.0, 46.0),
(1181, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Double licence - Géographie et aménagement / Histoire - Géographie - Histoire", "Licence - Sciences humaines et sociales", "Géographie - Histoire", 20, 385, 168, 385, 0, 279, 30, 0, 0, 3, 1, 103, 0, 0, 0, 0, 0, 235, 0, 0, 0, 178, 14, 0, 0, 0, 0, 57, 74, 20, 14, 20, 0, 1.0, 15.0, 18.0, 0, 2, 16, 16, 0, 0, 4, 0, 0, 0, 4, 11, 1.0, 16, 0, 0, 0, 0, 1, 9, 5.0, 75.0, 90.0, 70.0, 6.2998046875, 56.296875, 0, 12.5, 80.0, 0.0, 0.0, 0.0, 25.0, 68.8, 6.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 61.0, 6.0, 0.0, 0.0, 13.0, "Tous les candidats", 93.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "17158", "Double licence - Géographie et aménagement / Histoire - Géographie - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17158&g_ta_cod=17158", 100.0, 0.0, 0.0),
(1182, "Public", "0572757M", "Lycée Georges De La Tour", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "CPGE", "Lycée Georges De La Tour - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 421, 306, 401, 187, 338, 54, 2, 0, 0, 0, 61, 20, 10, 0, 0, 10, 335, 15, 164, 330, 321, 48, 0, 0, 0, 0, 14, 316, 69, 54, 63, 6, 26.0, 63.0, 68.0, 11, 12, 64, 64, 0, 0, 5, 1, 1, 20, 25, 15, 2.0, 62, 0, 0, 15, 13, 58, 58, 37.68, 91.3, 98.55, 78.296875, 90.59375, 90.59375, 23.3984375, 18.796875, 92.796875, 1.599853515625, 1.599853515625, 31.296875, 39.09375, 23.4, 3.1, 100.0, 96.890625, 0.0, 0.0, 0.0, 0.0, 297.0, 47.0, 0.0, 0.0, 19.0, "Tous les candidats", 335.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "6645", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6645&g_ta_cod=6645", 100.0, 0.0, 0.0),
(1183, "Public", "0711137A", "Lycée Camille Claudel", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Digoin", "formation sélective", "BTS", "Lycée Camille Claudel - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 365, 156, 361, 0, 29, 3, 81, 26, 80, 25, 171, 4, 0, 0, 1, 3, 199, 0, 0, 0, 27, 2, 78, 25, 72, 23, 22, 126, 20, 9, 20, 0, 0.0, 16.0, 18.0, 0, 7, 19, 5, 7, 7, 1, 0, 12, 6, 0, 1, 0.0, 1, 2, 4, 3, 0, 16, 16, 0.0, 80.0, 90.0, 45.0, 84.1875, 84.1875, 15.798828125, 36.796875, 95.0, 0.0, 63.1953125, 31.59765625, 0.0, 5.3, 0.0, 26.296875, 5.2998046875, 36.796875, 10.5, 36.796875, 21.09765625, 21.0, 2.0, 50.0, 15.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 36.0, "8657", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8657&g_ta_cod=8657", 25.0, 40.0, 35.0),
(1184, "Privé hors contrat", "0271869K", "Instituts de formation La Musse", "27", "Eure", "Normandie", "Normandie", "Saint-Sébastien-de-Morsent", "formation sélective", "Autre formation", "Instituts de formation La Musse - D.E Audioprothésiste", "D.E secteur sanitaire", "", 50, 249, 139, 249, 0, 79, 9, 18, 7, 2, 0, 150, 0, 0, 0, 0, 0, 207, 0, 0, 0, 73, 8, 16, 5, 2, 0, 116, 128, 49, 26, 49, 0, 11.0, 36.0, 43.0, 0, 4, 27, 20, 7, 0, 22, 0, 8, 14, 5, 0, 0.0, 13, 6, 0, 0, 0, 7, 7, 22.45, 73.47, 87.76, 53.09375, 25.8984375, 25.8984375, 0, 14.798828125, 55.09375, 0.0, 29.59765625, 51.8984375, 18.5, 0.0, 0.0, 74.09375, 48.09375, 25.8984375, 22.19921875, 0.0, 0.0, 62.0, 5.0, 1.0, 0.0, 53.0, "Tous les candidats", 123.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "28093", "D.E Audioprothésiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28093&g_ta_cod=28093", 78.0, 22.0, 0.0),
(1185, "Public", "0561739L", "Université de Bretagne Sud - Site de Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation non sélective", "Licence_Las", "Université de Bretagne Sud - Site de Vannes - Licence - Portail Economie et gestion - Marketing vente, Economie appliquée, Comptabilité Finance, Management des organisations,", "Licence - Droit-économie-gestion", "Marketing vente, Economie appliquée, Comptabilité Finance, Management des organisations,", 20, 439, 238, 385, 0, 227, 38, 32, 10, 7, 2, 119, 54, 14, 3, 0, 37, 358, 24, 0, 0, 227, 38, 32, 10, 7, 2, 92, 207, 17, 10, 13, 4, 0.0, 8.0, 13.0, 0, 2, 15, 13, 2, 0, 2, 0, 10, 5, 0, 0, 0.0, 5, 0, 0, 0, 0, 11, 11, 0.0, 47.06, 76.47, 58.796875, 73.296875, 73.296875, 0, 13.298828125, 88.1875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 86.6875, 33.296875, 13.298828125, 0.0, 0.0, 0.0, 139.0, 17.0, 2.0, 0.0, 54.0, "Tous les candidats", 2144.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 92.0, "26728", "Licence - Portail Economie et gestion - Marketing vente, Economie appliquée, Comptabilité Finance, Management des organisations,", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26727&g_ta_cod=26728", 82.0, 12.0, 6.0),
(1186, "Public", "0010014K", "Lycée Edgar Quinet", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "CPGE", "Lycée Edgar Quinet - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 20, 167, 83, 158, 49, 100, 11, 1, 1, 1, 1, 56, 9, 5, 0, 0, 4, 103, 2, 32, 99, 91, 9, 0, 0, 0, 0, 12, 81, 4, 2, 4, 0, 3.0, 4.0, 4.0, 0, 1, 4, 4, 0, 0, 0, 0, 0, 3, 1, 0, 0.0, 4, 0, 0, 1, 0, 4, 4, 75.0, 100.0, 100.0, 50.0, 100.0, 100.0, 25, 25.0, 100.0, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 70.0, 7.0, 0.0, 0.0, 11.0, "Tous les candidats", 104.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "31317", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31317&g_ta_cod=31317", 100.0, 0.0, 0.0),
(1187, "Public", "0620256S", "Lycée Guy Mollet", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "Lycée Guy Mollet - BTS - Services - Commerce International", "BTS - Services", "", 24, 840, 426, 766, 0, 166, 44, 139, 51, 55, 28, 406, 74, 10, 0, 11, 53, 295, 11, 0, 0, 122, 25, 106, 34, 20, 9, 47, 127, 22, 14, 18, 3, 3.0, 17.0, 19.0, 0, 6, 15, 7, 5, 3, 7, 0, 8, 6, 1, 0, 0.0, 3, 2, 2, 1, 0, 12, 12, 13.64, 77.27, 86.36, 63.59375, 80.0, 80.0, 6.69921875, 40.0, 68.1875, 0.0, 53.296875, 40.0, 6.69921875, 0.0, 0.0, 46.6953125, 20.0, 33.296875, 13.298828125, 20.0, 13.298828125, 65.0, 16.0, 15.0, 6.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 158.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 29.0, "7404", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7404&g_ta_cod=7404", 64.0, 23.0, 14.0),
(1188, "Public", "0891200W", "Lycée Catherine et Raymond JANOT", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Sens", "formation sélective", "BTS", "Lycée Catherine et Raymond JANOT - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 14, 128, 22, 97, 0, 5, 0, 25, 10, 24, 9, 43, 31, 2, 2, 15, 12, 42, 19, 0, 0, 5, 0, 17, 4, 16, 4, 4, 57, 12, 2, 6, 6, 1.0, 5.0, 9.0, 0, 2, 8, 1, 2, 5, 4, 1, 3, 3, 0, 1, 0.0, 1, 0, 3, 3, 1, 8, 8, 8.33, 41.67, 75.0, 16.69921875, 100.0, 100.0, 37.5, 25.0, 66.6875, 12.5, 37.5, 37.5, 0.0, 12.5, 0.0, 12.5, 12.5, 25.0, 0.0, 62.5, 37.5, 7.0, 0.0, 26.0, 8.0, 9.0, "Tous les candidats sauf les Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 43.0, "10795", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10795&g_ta_cod=10795", 8.0, 33.0, 58.0),
(1189, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "PASS", "Université des Antilles - Pôle Guadeloupe - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 20, 866, 641, 866, 0, 730, 219, 47, 32, 7, 3, 82, 0, 0, 0, 0, 0, 863, 0, 0, 0, 730, 219, 47, 32, 7, 3, 79, 75, 24, 21, 24, 0, 2.0, 24.0, 24.0, 0, 8, 24, 24, 0, 0, 0, 0, 0, 1, 7, 16, 0.0, 24, 0, 0, 0, 0, 24, 24, 8.33, 100.0, 100.0, 87.5, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 0.0, 4.19921875, 29.19921875, 66.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 75.0, 24.0, 0.0, 0.0, 0.0, "Tous les candidats", 163.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "27425", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27424&g_ta_cod=27425", 100.0, 0.0, 0.0),
(1190, "Public", "0701048J", "I.U.T de Besançon - Antenne de Vesoul", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Vesoul", "formation sélective", "BUT", "I.U.T de Besançon - Antenne de Vesoul - BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "BUT - Production", "Science du danger et management des risques professionnels technologiques et environnementaux", 50, 533, 173, 514, 0, 268, 26, 142, 26, 28, 10, 76, 19, 4, 2, 0, 13, 326, 13, 0, 0, 192, 20, 95, 17, 7, 3, 32, 252, 38, 15, 33, 3, 2.0, 25.0, 36.0, 0, 4, 32, 21, 9, 2, 6, 0, 17, 10, 4, 1, 0.0, 9, 4, 2, 0, 0, 15, 15, 5.26, 65.79, 94.74, 39.5, 46.8984375, 46.8984375, 0, 12.5, 84.1875, 0.0, 53.09375, 31.296875, 12.5, 3.1, 0.0, 65.59375, 28.09765625, 28.09765625, 12.5, 6.2998046875, 6.2998046875, 135.0, 12.0, 6.0, 3.0, 27.0, "Tous les candidats sauf les Bac technologiques", 221.0, "Bacheliers technologiques toutes séries", 101, "", 0, "Liste d'appel propre à cette formation", 63.0, "8605", "BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8605&g_ta_cod=8605", 71.0, 24.0, 5.0),
(1191, "Public", "9730235T", "Lycée Bertene Juminer", "973", "Guyane", "Guyane", "Guyane", "Saint-Laurent-du-Maroni", "formation sélective", "BTS", "Lycée Bertene Juminer - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 15, 228, 189, 224, 0, 25, 16, 62, 42, 97, 64, 40, 4, 0, 0, 1, 3, 53, 0, 0, 0, 12, 6, 17, 12, 20, 14, 4, 31, 14, 11, 14, 0, 8.0, 14.0, 14.0, 0, 10, 14, 4, 3, 7, 0, 1, 4, 8, 1, 0, 0.0, 2, 1, 6, 11, 8, 14, 14, 57.14, 100.0, 100.0, 78.59375, 100.0, 100.0, 78.59375, 71.390625, 100.0, 7.099609375, 28.59765625, 57.09375, 7.099609375, 0.0, 0.0, 28.59765625, 14.298828125, 21.3984375, 7.099609375, 50.0, 42.8984375, 6.0, 3.0, 15.0, 11.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 20.0, "11862", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11862&g_ta_cod=11862", 29.0, 21.0, 50.0),
(1192, "Public", "0190011J", "Lycée d'Arsonval", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "Autre formation", "Lycée d'Arsonval - CPES - Arts", "Classe préparatoire aux études supérieures", "", 24, 254, 210, 248, 0, 193, 31, 13, 2, 17, 4, 25, 6, 2, 0, 1, 3, 171, 5, 0, 0, 151, 23, 6, 2, 1, 0, 13, 105, 23, 22, 20, 3, 5.0, 15.0, 20.0, 0, 4, 21, 19, 0, 2, 2, 0, 4, 10, 6, 1, 0.0, 15, 0, 2, 0, 0, 5, 5, 21.74, 65.22, 86.96, 95.6875, 23.796875, 23.796875, 0, 19.0, 91.296875, 0.0, 19.0, 47.59375, 28.59765625, 4.8, 0.0, 90.5, 71.390625, 0.0, 0.0, 9.5, 9.5, 89.0, 16.0, 2.0, 1.0, 12.0, "Tous les candidats", 172.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "20759", "CPES - Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20759&g_ta_cod=20759", 91.0, 0.0, 9.0),
(1193, "Public", "0351576Y", "Unité de Formation et de Recherche des Sciences Médicales Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Regroupement Bretagne, Pays de la Loire et Centre-Val de Loire - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 25, 2708, 2618, 2708, 0, 896, 88, 30, 7, 2, 2, 1780, 0, 0, 0, 0, 0, 1732, 0, 0, 0, 761, 62, 15, 5, 2, 2, 954, 161, 25, 25, 25, 0, 1.0, 17.0, 22.0, 0, 0, 11, 11, 0, 0, 14, 0, 0, 0, 7, 3, 1.0, 11, 0, 0, 0, 0, 6, 6, 4.0, 68.0, 88.0, 100.0, 54.5, 54.5, 0, 0.0, 44.0, 0.0, 0.0, 0.0, 63.59375, 27.3, 9.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 73.0, 9.0, 0.0, 0.0, 88.0, "Tous les candidats", 263.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 9.0, "28046", "Certificat de capacité d'Orthophoniste", "Regroupement Bretagne, Pays de la Loire et Centre-Val de Loire", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28043&g_ta_cod=28046", 100.0, 0.0, 0.0),
(1194, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation non sélective", "PASS", "Université Claude Bernard Lyon 1 - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Sciences de la Vie / Sciences de la Terre / Sciences de la Vie et de la Terre (Université Claude Bernard Lyon 1)", 810, 8825, 6123, 8825, 0, 7225, 1175, 180, 76, 26, 13, 1394, 0, 0, 0, 0, 0, 8750, 0, 0, 0, 7225, 1175, 180, 76, 26, 13, 1319, 2424, 819, 556, 819, 0, 119.0, 634.0, 754.0, 0, 170, 764, 759, 4, 1, 55, 1, 50, 248, 343, 111, 11.0, 708, 4, 1, 0, 0, 557, 557, 14.53, 77.41, 92.06, 67.890625, 72.890625, 72.890625, 0, 22.296875, 93.296875, 0.0999908447265625, 6.5, 32.5, 44.8984375, 14.5, 1.4, 99.296875, 92.6875, 0.5, 0.5, 0.0999908447265625, 0.0999908447265625, 2194.0, 399.0, 1.0, 1.0, 216.0, "Tous les candidats", 3616.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "28322", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28157&g_ta_cod=28322", 99.0, 0.0, 0.0),
(1195, "Public", "0750692V", "Lycée Emile Dubois", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "BTS", "Lycée Emile Dubois - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 37, 1958, 879, 1958, 0, 223, 74, 582, 264, 464, 232, 689, 0, 0, 0, 0, 0, 721, 0, 0, 0, 99, 33, 226, 107, 264, 133, 132, 241, 29, 16, 29, 0, 1.0, 19.0, 25.0, 0, 12, 18, 1, 5, 12, 11, 0, 2, 9, 6, 1, 0.0, 0, 5, 11, 1, 1, 10, 18, 3.45, 65.52, 86.21, 55.1953125, 55.59375, 100.0, 5.599609375, 66.6875, 62.09375, 0.0, 11.099609375, 50.0, 33.296875, 5.6, 0.0, 5.599609375, 0.0, 27.796875, 27.796875, 66.6875, 61.09375, 33.0, 18.0, 64.0, 27.0, 65.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 119, "Bacheliers technologiques toutes séries", 219, "Liste d'appel propre à cette formation", 21.0, "9113", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9113&g_ta_cod=9113", 24.0, 31.0, 45.0),
(1196, "Public", "0510034K", "Lycée Franklin Roosevelt", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "CPGE", "Lycée Franklin Roosevelt - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 930, 382, 872, 531, 550, 65, 0, 0, 0, 0, 322, 58, 23, 0, 0, 35, 607, 23, 352, 585, 488, 50, 0, 0, 0, 0, 119, 479, 74, 25, 65, 9, 14.0, 64.0, 73.0, 24, 6, 61, 61, 0, 0, 13, 0, 2, 15, 29, 10, 5.0, 59, 0, 0, 0, 0, 28, 28, 18.92, 86.49, 98.65, 33.796875, 45.8984375, 45.8984375, 0, 9.798828125, 82.390625, 0.0, 3.2998046875, 24.59765625, 47.5, 16.4, 8.2, 100.0, 96.6875, 0.0, 0.0, 0.0, 0.0, 386.0, 39.0, 0.0, 0.0, 93.0, "Tous les candidats", 607.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "6062", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6062&g_ta_cod=6062", 100.0, 0.0, 0.0),
(1197, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation sélective", "Licence", "Université Sorbonne Paris Nord - Licence - Information et communication", "Licence - Sciences humaines et sociales", "", 140, 2566, 1797, 2472, 0, 1339, 365, 271, 112, 39, 14, 823, 94, 12, 22, 0, 60, 1019, 9, 0, 0, 700, 158, 93, 32, 6, 1, 220, 676, 136, 99, 127, 7, 13.0, 78.0, 110.0, 0, 25, 98, 85, 11, 2, 38, 0, 15, 58, 24, 1, 0.0, 70, 11, 2, 0, 0, 34, 80, 9.56, 57.35, 80.88, 72.796875, 34.6953125, 81.59375, 0, 25.5, 72.09375, 0.0, 15.298828125, 59.1953125, 24.5, 1.0, 0.0, 86.6875, 71.390625, 11.19921875, 11.19921875, 2.0, 2.0, 474.0, 102.0, 4.0, 0.0, 142.0, "Tous les candidats", 821.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "11254", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11254&g_ta_cod=11254", 85.0, 12.0, 3.0),
(1198, "Public", "0101037Y", "Campus des Comtes de champagne - URCA", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation non sélective", "Licence", "Campus des Comtes de champagne - URCA - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 120, 504, 252, 399, 0, 252, 58, 45, 13, 21, 4, 81, 105, 11, 16, 8, 70, 399, 103, 0, 0, 252, 58, 45, 13, 21, 4, 81, 444, 88, 46, 55, 33, 13.0, 52.0, 70.0, 0, 14, 47, 32, 10, 5, 41, 0, 23, 19, 5, 0, 0.0, 19, 3, 2, 0, 0, 32, 32, 14.77, 59.09, 79.55, 52.296875, 68.09375, 68.09375, 0, 29.796875, 53.3984375, 0.0, 48.8984375, 40.3984375, 10.599609375, 0.0, 0.0, 68.09375, 40.3984375, 21.296875, 6.3994140625, 10.599609375, 4.2998046875, 233.0, 54.0, 25.0, 6.0, 141.0, "Tous les candidats", 399.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2440", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2440&g_ta_cod=2440", 56.0, 27.0, 14.0),
(1199, "Public", "0301687W", "Université de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "Licence", "Université de Nîmes - Licence - Portail Sciences de la vie -  Biologie-environnement", "Licence - Sciences - technologies - santé", "Biologie-environnement", 200, 2130, 1421, 2107, 0, 1155, 257, 138, 36, 15, 7, 799, 23, 5, 2, 0, 16, 2107, 18, 0, 0, 1155, 257, 138, 36, 15, 7, 799, 1211, 194, 127, 181, 11, 9.0, 117.0, 153.0, 0, 31, 115, 94, 20, 1, 79, 1, 40, 49, 22, 3, 0.0, 66, 7, 1, 0, 0, 95, 95, 4.64, 60.31, 78.87, 65.5, 82.59375, 82.59375, 0, 27.0, 59.296875, 0.89990234375, 34.796875, 42.59375, 19.09765625, 2.6, 0.0, 81.6875, 57.3984375, 17.3984375, 6.099609375, 0.89990234375, 0.89990234375, 615.0, 138.0, 7.0, 3.0, 500.0, "Tous les candidats", 1608.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 63.0, "4021", "Licence - Portail Sciences de la vie -  Biologie-environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28880&g_ta_cod=4021", 81.0, 16.0, 2.0),
(1200, "Public", "0380083J", "Lycée Galilee", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vienne", "formation sélective", "BTS", "Lycée Galilee - BTS - Production - Métiers de la chimie", "BTS - Production", "", 12, 367, 186, 367, 0, 67, 7, 143, 40, 37, 13, 120, 0, 0, 0, 0, 0, 346, 0, 0, 0, 67, 7, 143, 40, 37, 13, 99, 68, 14, 3, 13, 0, 0.0, 4.0, 6.0, 0, 4, 9, 1, 5, 3, 5, 0, 3, 6, 0, 0, 0.0, 1, 3, 2, 3, 0, 7, 7, 0.0, 28.57, 42.86, 21.3984375, 77.796875, 77.796875, 33.296875, 44.3984375, 64.296875, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 11.099609375, 11.099609375, 55.59375, 33.296875, 33.296875, 22.19921875, 6.0, 3.0, 11.0, 2.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers technologiques toutes séries", 78, "Bacheliers professionnels toutes séries", 11, "Liste d'appel propre à cette formation", 32.0, "21241", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21241&g_ta_cod=21241", 21.0, 57.0, 21.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(1201, "Public", "0460010L", "Lycée Champollion", "46", "Lot", "Occitanie", "Toulouse", "Figeac", "formation sélective", "BTS", "Lycée Champollion - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 12, 68, 6, 67, 0, 2, 0, 20, 2, 28, 12, 17, 1, 0, 1, 0, 0, 62, 0, 0, 0, 2, 0, 20, 2, 28, 12, 12, 43, 10, 2, 10, 0, 4.0, 10.0, 10.0, 0, 3, 8, 0, 2, 6, 2, 0, 1, 6, 1, 0, 0.0, 0, 2, 5, 2, 0, 8, 8, 40.0, 100.0, 100.0, 20.0, 100.0, 100.0, 25, 37.5, 80.0, 0.0, 12.5, 75.0, 12.5, 0.0, 0.0, 0.0, 0.0, 25.0, 25.0, 75.0, 62.5, 1.0, 0.0, 24.0, 10.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 88.0, "5743", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5743&g_ta_cod=5743", 10.0, 30.0, 60.0),
(1202, "Public", "0750656F", "Lycée Lavoisier", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "CPGE", "Pôle Lavoisier / Claude Monet - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 48, 1300, 633, 1300, 162, 1137, 109, 2, 0, 0, 0, 161, 0, 0, 0, 0, 0, 1057, 0, 111, 1025, 1010, 88, 0, 0, 0, 0, 47, 465, 46, 18, 46, 0, 1.0, 20.0, 40.0, 1, 6, 43, 43, 0, 0, 3, 0, 0, 9, 24, 10, 0.0, 43, 0, 0, 6, 2, 24, 33, 2.17, 43.48, 86.96, 39.09375, 55.796875, 76.6875, 14, 14.0, 93.5, 0.0, 0.0, 20.8984375, 55.796875, 23.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 451.0, 33.0, 0.0, 0.0, 14.0, "Tous les candidats", 704.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "31361", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31361&g_ta_cod=31361", 100.0, 0.0, 0.0),
(1203, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Arts du spectacle", "Licence - Arts-lettres-langues", "", 80, 318, 225, 278, 0, 190, 40, 21, 7, 13, 6, 54, 40, 10, 0, 0, 30, 278, 37, 0, 0, 190, 40, 21, 7, 13, 6, 54, 284, 63, 39, 58, 5, 18.0, 58.0, 60.0, 0, 12, 46, 43, 2, 1, 17, 0, 21, 10, 12, 2, 1.0, 24, 0, 1, 0, 0, 24, 24, 28.57, 92.06, 95.24, 61.8984375, 52.1953125, 52.1953125, 0, 26.09765625, 73.0, 0.0, 45.6953125, 21.69921875, 26.09765625, 4.3, 2.2, 93.5, 52.1953125, 4.2998046875, 0.0, 2.19970703125, 2.19970703125, 189.0, 43.0, 5.0, 2.0, 73.0, "Tous les candidats", 278.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3549", "Licence - Arts du spectacle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3549&g_ta_cod=3549", 90.0, 6.0, 2.0),
(1204, "Public", "0120024L", "Lycée Alexis Monteil", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "Autre formation", "Lycée Alexis Monteil - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0.0, 0.0, 0.0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 2.0, 2.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22402", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(1205, "Privé sous contrat d'association", "0311213A", "Lycée Issec Pigier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Issec Pigier - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 34, 675, 307, 675, 0, 58, 12, 226, 56, 255, 84, 136, 0, 0, 0, 0, 0, 672, 0, 0, 0, 58, 12, 226, 56, 255, 84, 133, 178, 29, 9, 29, 0, 8.0, 17.0, 23.0, 0, 5, 18, 4, 3, 11, 11, 0, 8, 7, 3, 0, 0.0, 2, 1, 7, 0, 0, 14, 14, 27.59, 58.62, 79.31, 31.0, 77.796875, 77.796875, 0, 27.796875, 62.09375, 0.0, 44.3984375, 38.8984375, 16.69921875, 0.0, 0.0, 22.19921875, 11.099609375, 16.69921875, 5.599609375, 61.09375, 38.8984375, 22.0, 8.0, 92.0, 26.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 125, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 35.0, "13568", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13568&g_ta_cod=13568", 21.0, 28.0, 52.0),
(1206, "Public", "0110012D", "Lycée Polyvalent Germaine Tillion", "11", "Aude", "Occitanie", "Montpellier", "Castelnaudary", "formation sélective", "BTS", "Lycée Polyvalent Germaine Tillion - BTS - Production - Bâtiment", "BTS - Production", "", 30, 385, 63, 381, 0, 19, 3, 151, 36, 64, 19, 147, 4, 0, 0, 1, 3, 269, 0, 0, 0, 19, 3, 150, 35, 64, 19, 36, 165, 27, 2, 27, 0, 2.0, 17.0, 24.0, 0, 3, 23, 2, 13, 8, 4, 0, 11, 10, 2, 0, 0.0, 0, 7, 5, 8, 0, 14, 14, 7.41, 62.96, 88.89, 7.3994140625, 60.8984375, 60.8984375, 34.796875, 13.0, 85.1875, 0.0, 47.796875, 43.5, 8.69921875, 0.0, 0.0, 8.69921875, 0.0, 56.5, 30.3984375, 34.796875, 21.69921875, 7.0, 3.0, 51.0, 16.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 110, "Liste d'appel propre à cette formation", 49.0, "2453", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2453&g_ta_cod=2453", 7.0, 59.0, 33.0),
(1207, "Public", "0261324Y", "Grenoble INP - ESISAR Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 60, 4775, 1109, 4775, 0, 4120, 335, 0, 0, 0, 0, 655, 0, 0, 0, 0, 0, 3269, 0, 0, 0, 3031, 181, 0, 0, 0, 0, 238, 1758, 58, 10, 58, 0, 30.0, 48.0, 55.0, 0, 11, 56, 56, 0, 0, 2, 0, 0, 6, 30, 19, 1.0, 56, 0, 0, 0, 0, 28, 28, 51.72, 82.76, 94.83, 17.19921875, 50.0, 50.0, 0, 19.59765625, 96.59375, 0.0, 0.0, 10.69921875, 53.59375, 33.9, 1.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1657.0, 132.0, 0.0, 0.0, 101.0, "Autres candidats", 8278.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "263", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=263", 100.0, 0.0, 0.0),
(1208, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Portail Sciences pour l?ingénieur franco-allemand - Ingénierie des systèmes intelligents communicants et énergies", "Licence - Sciences - technologies - santé", "Sciences pour l?ingénieur franco-allemand - Ingénierie des systèmes intelligents communicants et énergies", 12, 32, 9, 26, 0, 18, 3, 2, 0, 0, 0, 6, 6, 2, 1, 0, 3, 20, 2, 0, 0, 14, 3, 2, 0, 0, 0, 4, 21, 5, 0, 4, 1, 3.0, 4.0, 5.0, 0, 0, 3, 2, 1, 0, 2, 0, 0, 2, 1, 0, 0.0, 2, 1, 0, 0, 0, 3, 3, 60.0, 80.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 60.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 14.0, 3.0, 0.0, 0.0, 5.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "30734", "Licence - Portail Sciences pour l?ingénieur franco-allemand - Ingénierie des systèmes intelligents communicants et énergies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30734&g_ta_cod=30734", 80.0, 20.0, 0.0),
(1209, "Public", "9720003W", "Lycée Bellevue", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "CPGE", "Lycée Bellevue - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 42, 147, 73, 146, 66, 126, 16, 2, 1, 0, 0, 18, 1, 0, 1, 0, 0, 127, 0, 54, 119, 123, 16, 0, 0, 0, 0, 4, 99, 23, 9, 23, 0, 4.0, 23.0, 23.0, 7, 4, 23, 23, 0, 0, 0, 0, 1, 11, 7, 4, 0.0, 22, 0, 0, 6, 2, 22, 22, 17.39, 100.0, 100.0, 39.09375, 95.6875, 95.6875, 26.09765625, 17.3984375, 100.0, 0.0, 4.2998046875, 47.796875, 30.3984375, 17.4, 0.0, 100.0, 95.6875, 0.0, 0.0, 0.0, 0.0, 95.0, 11.0, 0.0, 0.0, 4.0, "Tous les candidats", 127.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "31322", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31322&g_ta_cod=31322", 100.0, 0.0, 0.0),
(1210, "Privé sous contrat d'association", "0430098Y", "Lycée polyvalent Saint Jacques de Compostelle", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "Autre formation", "Lycée polyvalent Saint Jacques de Compostelle - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 25, 49, 12, 40, 0, 9, 2, 5, 1, 20, 6, 6, 9, 3, 0, 4, 2, 36, 1, 0, 0, 9, 2, 5, 1, 18, 5, 4, 36, 13, 5, 13, 0, 9.0, 13.0, 13.0, 0, 2, 11, 3, 4, 4, 2, 0, 7, 4, 0, 0, 0.0, 2, 1, 1, 0, 0, 11, 11, 69.23, 100.0, 100.0, 38.5, 100.0, 100.0, 0, 18.19921875, 84.59375, 0.0, 63.59375, 36.3984375, 0.0, 0.0, 0.0, 27.296875, 18.19921875, 36.3984375, 9.099609375, 36.3984375, 9.099609375, 9.0, 2.0, 18.0, 5.0, 4.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "25684", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25684&g_ta_cod=25684", 31.0, 38.0, 31.0),
(1211, "Privé sous contrat d'association", "0450848C", "ERTS", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Olivet", "formation sélective", "EFTS", "ERTS - D.E Assistant de Service Social", "D.E secteur social", "", 15, 59, 56, 59, 0, 15, 2, 10, 2, 9, 5, 25, 0, 0, 0, 0, 0, 46, 0, 0, 0, 13, 0, 7, 1, 5, 2, 21, 22, 14, 14, 14, 0, 8.0, 14.0, 14.0, 0, 1, 10, 5, 2, 3, 4, 0, 3, 3, 4, 0, 0.0, 4, 0, 3, 0, 0, 10, 10, 57.14, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 10.0, 71.390625, 0.0, 30.0, 30.0, 40.0, 0.0, 0.0, 50.0, 40.0, 20.0, 0.0, 30.0, 30.0, 7.0, 0.0, 4.0, 1.0, 8.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "24888", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24888&g_ta_cod=24888", 57.0, 14.0, 29.0),
(1212, "Privé sous contrat d'association", "0331503E", "Lycée Sainte Marie Grand Lebrun", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Sainte Marie Grand Lebrun - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 468, 249, 461, 0, 406, 22, 1, 0, 0, 0, 54, 7, 4, 0, 0, 3, 391, 4, 0, 391, 362, 19, 0, 0, 0, 0, 29, 248, 18, 11, 16, 2, 0.0, 10.0, 18.0, 0, 1, 13, 13, 0, 0, 5, 0, 0, 8, 4, 1, 0.0, 13, 0, 0, 1, 0, 11, 11, 0.0, 55.56, 100.0, 61.09375, 84.59375, 84.59375, 7.69921875, 7.69921875, 72.1875, 0.0, 0.0, 61.5, 30.796875, 7.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 227.0, 11.0, 0.0, 0.0, 21.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "31473", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31284&g_ta_cod=31473", 100.0, 0.0, 0.0),
(1213, "Public", "9711052S", "I.U.T de la Guadeloupe - Campus de St-Claude", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Saint-Claude", "formation sélective", "BUT", "I.U.T de la Guadeloupe - Campus de St-Claude - BUT - Carrières sociales parcours coordination et gestion des établissements et services sanitaires et sociaux (Seconde année en apprentissage)", "BUT - Service", "", 15, 136, 122, 132, 0, 34, 22, 65, 36, 15, 11, 18, 4, 0, 0, 0, 4, 88, 2, 0, 0, 28, 18, 52, 27, 0, 0, 8, 55, 15, 13, 14, 0, 2.0, 12.0, 14.0, 0, 7, 14, 5, 9, 0, 1, 0, 5, 7, 2, 0, 0.0, 4, 5, 0, 0, 0, 14, 14, 13.33, 80.0, 93.33, 86.6875, 100.0, 100.0, 0, 50.0, 93.296875, 0.0, 35.6953125, 50.0, 14.298828125, 0.0, 0.0, 35.6953125, 28.59765625, 64.296875, 35.6953125, 0.0, 0.0, 14.0, 11.0, 0.0, 0.0, 9.0, "Tous les candidats sauf les Bac technologiques", 23.0, "Bacheliers technologiques toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 52.0, "32689", "BUT - Carrières sociales parcours coordination et gestion des établissements et services sanitaires et sociaux (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32689&g_ta_cod=32689", 33.0, 67.0, 0.0),
(1214, "Privé sous contrat d'association", "0311177L", "Institut Limayrac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Institut Limayrac - Classe de mise à niveau pour l'entrée en BTS et les poursuites d'études scientifiques", "Année préparatoire", "Classe de mise à niveau pour l'entrée en BTS et les poursuites d'études scientifiques", 35, 167, 109, 147, 0, 22, 4, 36, 5, 14, 7, 75, 20, 10, 1, 0, 9, 95, 11, 0, 0, 15, 2, 33, 4, 10, 3, 37, 94, 34, 22, 29, 5, 11.0, 29.0, 29.0, 0, 5, 21, 6, 13, 2, 13, 0, 10, 10, 1, 0, 0.0, 2, 7, 2, 0, 0, 11, 11, 32.35, 85.29, 85.29, 64.6875, 52.3984375, 52.3984375, 0, 23.796875, 61.796875, 0.0, 47.59375, 47.59375, 4.7998046875, 0.0, 0.0, 28.59765625, 9.5, 61.8984375, 33.296875, 9.5, 9.5, 18.0, 4.0, 7.0, 1.0, 37.0, "Tous les candidats", 95.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "4114", "Classe de mise à niveau pour l'entrée en BTS et les poursuites d'études scientifiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4114&g_ta_cod=4114", 41.0, 50.0, 9.0),
(1215, "Public", "0352379W", "I.U.T de Saint-Malo", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Saint-Malo", "formation sélective", "BUT", "I.U.T de Saint-Malo - BUT - Carrières juridiques Parcours :  Administration et Justice - Association et Entreprise", "BUT - Service", "Administration et Justice - Association et Entreprise", 72, 2453, 1955, 2453, 0, 1280, 202, 720, 173, 49, 17, 404, 0, 0, 0, 0, 0, 1000, 0, 0, 0, 369, 47, 482, 100, 18, 3, 131, 302, 71, 63, 71, 0, 10.0, 59.0, 68.0, 0, 10, 60, 23, 34, 3, 11, 1, 0, 25, 29, 5, 0.0, 22, 34, 3, 0, 0, 32, 32, 14.08, 83.1, 95.77, 88.6875, 53.296875, 53.296875, 0, 16.69921875, 84.5, 1.699951171875, 0.0, 41.6953125, 48.296875, 8.3, 0.0, 38.296875, 36.6953125, 56.6953125, 56.6953125, 5.0, 5.0, 105.0, 19.0, 10.0, 2.0, 63.0, "Tous les candidats sauf les Bac technologiques", 365.0, "Bacheliers technologiques toutes séries", 202, "", 0, "Liste d'appel propre à cette formation", 23.0, "4784", "BUT - Carrières juridiques Parcours :  Administration et Justice - Association et Entreprise", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4784&g_ta_cod=4784", 44.0, 51.0, 6.0),
(1216, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Autre formation", "Université de Bordeaux - Bordeaux Métropole - C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master En Ingénierie (CMI)  - Ingénierie de la statistique et informatique (ISI)", "C.M.I - Cursus Master en Ingénierie", "Cursus Master En Ingénierie (CMI)  - Ingénierie de la statistique et informatique (ISI)", 10, 291, 60, 291, 0, 225, 31, 11, 5, 2, 2, 53, 0, 0, 0, 0, 0, 48, 0, 0, 0, 46, 5, 0, 0, 0, 0, 2, 30, 12, 7, 12, 0, 4.0, 12.0, 12.0, 0, 1, 10, 10, 0, 0, 2, 0, 0, 0, 9, 1, 0.0, 10, 0, 0, 0, 0, 6, 6, 33.33, 100.0, 100.0, 58.296875, 60.0, 60.0, 0, 10.0, 83.296875, 0.0, 0.0, 0.0, 90.0, 10.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 28.0, 4.0, 0.0, 0.0, 2.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "19132", "C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master En Ingénierie (CMI)  - Ingénierie de la statistique et informatique (ISI)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19132&g_ta_cod=19132", 100.0, 0.0, 0.0),
(1217, "Privé enseignement supérieur", "T942095R", "EPITA Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Ecole d'Ingénieur", "Concours Advance - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 70, 1902, 269, 1902, 0, 1897, 134, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1590, 0, 0, 0, 1590, 90, 0, 0, 0, 0, 0, 1178, 76, 5, 76, 0, 61.0, 65.0, 76.0, 0, 4, 76, 76, 0, 0, 0, 0, 5, 17, 38, 16, 0.0, 71, 0, 0, 0, 0, 31, 31, 80.26, 85.53, 100.0, 6.599609375, 40.796875, 40.796875, 0, 5.2998046875, 100.0, 0.0, 6.599609375, 22.3984375, 50.0, 21.1, 0.0, 100.0, 93.390625, 0.0, 0.0, 0.0, 0.0, 1178.0, 60.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 84.0, "480", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Advance", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=124&g_ta_cod=480", 100.0, 0.0, 0.0),
(1218, "Public", "0930126G", "Lycée Auguste Blanqui", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Ouen-sur-Seine", "formation sélective", "BTS", "Lycée Auguste Blanqui - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 23, 1594, 152, 1594, 0, 161, 70, 425, 213, 433, 219, 575, 0, 0, 0, 0, 0, 1089, 0, 0, 0, 141, 63, 255, 117, 349, 177, 344, 146, 24, 4, 24, 0, 1.0, 17.0, 19.0, 0, 8, 17, 1, 6, 10, 7, 0, 2, 9, 5, 1, 0.0, 1, 4, 10, 1, 1, 4, 17, 4.17, 70.83, 79.17, 16.69921875, 23.5, 100.0, 5.8994140625, 47.09375, 70.796875, 0.0, 11.798828125, 52.8984375, 29.3984375, 5.9, 0.0, 5.8994140625, 5.8994140625, 35.296875, 23.5, 58.796875, 58.796875, 23.0, 12.0, 48.0, 23.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 15.0, "20643", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20643&g_ta_cod=20643", 29.0, 29.0, 42.0),
(1219, "Public", "0340038G", "Lycée Joffre", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "CPGE", "Lycée Joffre - CPGE - MPSI", "Classe préparatoire scientifique", "", 95, 3456, 1007, 3456, 2590, 3066, 321, 4, 2, 0, 0, 386, 0, 0, 0, 0, 0, 940, 0, 741, 926, 931, 105, 0, 0, 0, 0, 9, 333, 95, 26, 95, 0, 23.0, 68.0, 93.0, 20, 7, 95, 95, 0, 0, 0, 0, 0, 1, 7, 66, 21.0, 95, 0, 0, 16, 3, 80, 80, 24.21, 71.58, 97.89, 27.3984375, 84.1875, 84.1875, 16.796875, 7.3994140625, 100.0, 0.0, 0.0, 1.099853515625, 7.3994140625, 69.5, 22.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 333.0, 34.0, 0.0, 0.0, 0.0, "Tous les candidats", 531.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "4481", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4481&g_ta_cod=4481", 100.0, 0.0, 0.0),
(1220, "Privé sous contrat d'association", "0120936C", "Site Villefr. de Rouergue du lycée François Marty", "12", "Aveyron", "Occitanie", "Toulouse", "Villefranche-de-Rouergue", "formation sélective", "BTS", "Site Villefr. de Rouergue du lycée François Marty - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 33, 98, 29, 97, 0, 6, 2, 28, 5, 50, 16, 13, 1, 1, 0, 0, 0, 75, 1, 0, 0, 5, 2, 26, 5, 43, 14, 1, 63, 23, 3, 22, 1, 10.0, 22.0, 23.0, 0, 8, 23, 2, 7, 14, 0, 0, 7, 10, 4, 2, 0.0, 0, 5, 11, 0, 0, 19, 19, 43.48, 95.65, 100.0, 13.0, 82.59375, 82.59375, 0, 34.796875, 100.0, 0.0, 30.3984375, 43.5, 17.3984375, 8.7, 0.0, 8.69921875, 0.0, 30.3984375, 21.69921875, 60.8984375, 47.796875, 6.0, 2.0, 36.0, 10.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 77.0, "2500", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2500&g_ta_cod=2500", 9.0, 30.0, 61.0),
(1221, "Public", "0590111A", "Lycée professionnel Sonia Delaunay", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Lycée professionnel Sonia Delaunay - Mention complémentaire - Assistance Conseil Vente à distance", "Mention complémentaire", "", 18, 59, 30, 38, 0, 1, 0, 0, 0, 21, 10, 16, 21, 0, 1, 6, 14, 22, 4, 0, 0, 1, 0, 0, 0, 21, 10, 0, 29, 3, 2, 1, 2, 1.0, 1.0, 1.0, 0, 1, 1, 0, 0, 1, 2, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 33.33, 33.33, 33.33, 66.6875, 100.0, 100.0, 0, 100.0, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 1.0, 0.0, 21.0, 10.0, 7.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "13029", "Mention complémentaire - Assistance Conseil Vente à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13029&g_ta_cod=13029", 67.0, 0.0, 33.0),
(1222, "Public", "0761688X", "I.U.T du Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BUT", "I.U.T du Havre - BUT - Carrières sociales Parcours animation sociale et socioculturelle", "BUT - Service", "", 56, 881, 717, 881, 0, 294, 66, 294, 84, 67, 32, 226, 0, 0, 0, 0, 0, 576, 0, 0, 0, 209, 39, 220, 58, 22, 9, 125, 238, 55, 46, 55, 0, 13.0, 39.0, 47.0, 0, 13, 50, 21, 27, 2, 5, 0, 17, 27, 6, 0, 0.0, 16, 15, 2, 0, 0, 44, 44, 23.64, 70.91, 85.45, 83.59375, 88.0, 88.0, 0, 26.0, 90.890625, 0.0, 34.0, 54.0, 12.0, 0.0, 0.0, 42.0, 32.0, 54.0, 30.0, 4.0, 4.0, 87.0, 17.0, 6.0, 4.0, 32.0, "Tous les candidats sauf les Bac technologiques", 165.0, "Bacheliers technologiques toutes séries", 168, "", 0, "Liste d'appel propre à cette formation", 38.0, "9659", "BUT - Carrières sociales Parcours animation sociale et socioculturelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9659&g_ta_cod=9659", 44.0, 51.0, 5.0),
(1223, "Privé sous contrat d'association", "0492407A", "LGT Urbain MONGAZON", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "CPGE", "LGT Urbain MONGAZON - CPGE - ECG -  - Mathématiques appliquées + HGG", "Classe préparatoire économique et commerciale", "", 24, 201, 87, 194, 92, 168, 12, 0, 0, 1, 1, 25, 7, 4, 0, 0, 3, 182, 7, 82, 177, 168, 12, 0, 0, 0, 0, 14, 150, 10, 2, 9, 1, 7.0, 9.0, 9.0, 3, 0, 9, 9, 0, 0, 1, 0, 0, 6, 2, 1, 0.0, 9, 0, 0, 2, 0, 6, 6, 70.0, 90.0, 90.0, 20.0, 66.6875, 66.6875, 22.19921875, 0.0, 90.0, 0.0, 0.0, 66.6875, 22.19921875, 11.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 137.0, 11.0, 0.0, 0.0, 13.0, "Tous les candidats", 182.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "31340", "CPGE - ECG -  - Mathématiques appliquées + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31340&g_ta_cod=31340", 100.0, 0.0, 0.0),
(1224, "Public", "0930129K", "Lycée professionnel Madeleine Vionnet", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bondy", "formation sélective", "Autre formation", "Lycée professionnel Madeleine Vionnet - Mention complémentaire - FCIL Secrétariat Médico Social", "Mention complémentaire", "", 24, 211, 199, 211, 0, 3, 3, 14, 7, 119, 71, 75, 0, 0, 0, 0, 0, 211, 0, 0, 0, 3, 3, 14, 7, 119, 71, 75, 78, 23, 22, 23, 0, 2.0, 19.0, 22.0, 0, 15, 19, 0, 2, 17, 4, 0, 12, 4, 3, 0, 0.0, 0, 1, 6, 0, 0, 11, 16, 8.7, 82.61, 95.65, 95.6875, 57.8984375, 84.1875, 0, 78.890625, 82.59375, 0.0, 63.1953125, 21.09765625, 15.798828125, 0.0, 0.0, 0.0, 0.0, 10.5, 5.2998046875, 89.5, 31.59765625, 1.0, 1.0, 52.0, 32.0, 17.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "24733", "Mention complémentaire - FCIL Secrétariat Médico Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24733&g_ta_cod=24733", 4.0, 9.0, 87.0),
(1225, "Public", "0870016V", "Lycée Leonard Limosin", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "CPGE", "Lycée Leonard Limosin - CPGE - BCPST", "Classe préparatoire scientifique", "", 35, 1185, 773, 1185, 0, 899, 122, 1, 1, 0, 0, 285, 0, 0, 0, 0, 0, 635, 0, 0, 635, 588, 64, 0, 0, 0, 0, 47, 257, 42, 25, 42, 0, 20.0, 31.0, 41.0, 0, 5, 42, 42, 0, 0, 0, 0, 0, 4, 24, 13, 1.0, 42, 0, 0, 2, 2, 24, 24, 47.62, 73.81, 97.62, 59.5, 57.09375, 57.09375, 4.7998046875, 11.8984375, 100.0, 0.0, 0.0, 9.5, 57.09375, 31.0, 2.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 256.0, 26.0, 0.0, 0.0, 1.0, "Tous les candidats", 329.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "13180", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13180&g_ta_cod=13180", 100.0, 0.0, 0.0),
(1226, "Public", "0623218L", "I.U.T LITTORAL (CALAIS)", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "BUT", "I.U.T LITTORAL (CALAIS) - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines", 52, 396, 185, 317, 0, 116, 20, 133, 51, 1, 0, 67, 79, 19, 14, 0, 46, 272, 22, 0, 0, 107, 17, 113, 43, 1, 0, 51, 233, 50, 32, 44, 6, 12.0, 40.0, 49.0, 0, 4, 34, 13, 21, 0, 16, 0, 8, 13, 11, 2, 0.0, 10, 16, 0, 0, 0, 32, 32, 24.0, 80.0, 98.0, 64.0, 94.09375, 94.09375, 0, 11.798828125, 68.0, 0.0, 23.5, 38.1953125, 32.3984375, 5.9, 0.0, 38.1953125, 29.3984375, 61.796875, 47.09375, 0.0, 0.0, 87.0, 17.0, 1.0, 0.0, 45.0, "Tous les candidats sauf les Bac technologiques", 149.0, "Bacheliers technologiques toutes séries", 124, "", 0, "Liste d'appel propre à cette formation", 86.0, "7468", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7468&g_ta_cod=7468", 56.0, 44.0, 0.0),
(1227, "Privé sous contrat d'association", "0520679F", "Lycée ESTIC", "52", "Haute-Marne", "Grand Est", "Reims", "Saint-Dizier", "formation sélective", "BTS", "Lycée ESTIC - BTS - Services - Support à l'action managériale", "BTS - Services", "", 20, 104, 59, 92, 0, 7, 2, 13, 7, 15, 5, 57, 12, 2, 3, 4, 3, 39, 4, 0, 0, 7, 2, 12, 7, 10, 3, 10, 42, 13, 6, 9, 4, 6.0, 8.0, 12.0, 0, 2, 9, 3, 3, 3, 4, 0, 4, 3, 2, 0, 0.0, 1, 3, 1, 2, 0, 8, 8, 46.15, 61.54, 92.31, 46.1953125, 88.890625, 88.890625, 22.19921875, 22.19921875, 69.1875, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 33.296875, 11.099609375, 33.296875, 33.296875, 33.296875, 11.099609375, 8.0, 2.0, 11.0, 3.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 42.0, "6176", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6176&g_ta_cod=6176", 31.0, 46.0, 23.0),
(1228, "Public", "0573320Z", "Lycée des Métiers - Hotelier Raymond Mondon", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Autre formation", "Lycée des Métiers - Hotelier Raymond Mondon - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 12, 127, 94, 127, 0, 3, 2, 13, 2, 75, 37, 36, 0, 0, 0, 0, 0, 93, 0, 0, 0, 3, 2, 13, 2, 74, 36, 3, 34, 12, 6, 12, 0, 7.0, 12.0, 12.0, 0, 5, 11, 0, 0, 11, 1, 0, 2, 4, 5, 0, 0.0, 0, 0, 9, 0, 0, 11, 11, 58.33, 100.0, 100.0, 50.0, 100.0, 100.0, 0, 45.5, 91.6875, 0.0, 18.19921875, 36.3984375, 45.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 81.796875, 0.0, 0.0, 30.0, 14.0, 1.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "21471", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21471&g_ta_cod=21471", 0.0, 0.0, 100.0),
(1229, "Public", "0760032X", "Lycée Anguier", "76", "Seine-Maritime", "Normandie", "Normandie", "Eu", "formation sélective", "BTS", "Lycée Anguier - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 44, 7, 40, 0, 1, 1, 13, 2, 20, 7, 6, 4, 0, 0, 1, 3, 39, 1, 0, 0, 1, 1, 13, 2, 20, 7, 5, 32, 7, 0, 7, 0, 5.0, 7.0, 7.0, 0, 3, 6, 0, 1, 5, 1, 0, 1, 3, 1, 1, 0.0, 0, 1, 4, 5, 0, 6, 6, 71.43, 100.0, 100.0, 0.0, 100.0, 100.0, 83.296875, 50.0, 85.6875, 0.0, 16.69921875, 50.0, 16.69921875, 16.7, 0.0, 0.0, 0.0, 16.69921875, 16.69921875, 83.296875, 66.6875, 1.0, 1.0, 16.0, 7.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 88.0, "9564", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9564&g_ta_cod=9564", 14.0, 14.0, 71.0),
(1230, "Public", "0540076P", "Lycée Jean Zay", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Jarny", "formation sélective", "BTS", "Lycée Jean Zay - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 15, 77, 7, 73, 0, 8, 0, 23, 4, 22, 6, 20, 4, 0, 1, 2, 1, 45, 3, 0, 0, 7, 0, 23, 4, 14, 4, 1, 43, 10, 0, 8, 2, 4.0, 8.0, 8.0, 0, 0, 10, 1, 3, 6, 0, 0, 2, 7, 1, 0, 0.0, 0, 2, 6, 9, 0, 10, 10, 40.0, 80.0, 80.0, 0.0, 100.0, 100.0, 90, 0.0, 100.0, 0.0, 20.0, 70.0, 10.0, 0.0, 0.0, 10.0, 0.0, 30.0, 20.0, 60.0, 60.0, 7.0, 0.0, 14.0, 3.0, 2.0, "Tous les candidats sauf les Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 59.0, "6286", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6286&g_ta_cod=6286", 10.0, 30.0, 60.0),
(1231, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Université Angers - Licence - Portail Sciences sociales - Tourisme, hôtellerie, restauration, événementiel", "Licence - Sciences humaines et sociales", "Tourisme, hôtellerie, restauration, événementiel", 220, 1308, 1063, 1305, 0, 816, 122, 148, 34, 22, 7, 319, 3, 0, 0, 0, 3, 1304, 3, 0, 0, 816, 122, 148, 34, 22, 7, 318, 857, 219, 178, 217, 2, 70.0, 199.0, 203.0, 0, 26, 173, 151, 21, 1, 46, 0, 54, 67, 46, 6, 0.0, 111, 8, 0, 0, 0, 117, 117, 31.96, 90.87, 92.69, 81.296875, 67.59375, 67.59375, 0, 15.0, 79.0, 0.0, 31.19921875, 38.6953125, 26.59765625, 3.5, 0.0, 87.296875, 64.1875, 12.099609375, 4.599609375, 0.5999755859375, 0.0, 597.0, 78.0, 10.0, 4.0, 150.0, "Tous les candidats", 1075.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 79.0, "5926", "Licence - Portail Sciences sociales - Tourisme, hôtellerie, restauration, événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27338&g_ta_cod=5926", 88.0, 11.0, 1.0),
(1232, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Portail Economie et gestion - Economie et management", "Licence - Droit-économie-gestion", "Economie et management", 570, 4592, 2115, 4559, 0, 2809, 571, 429, 165, 71, 38, 1250, 33, 4, 7, 0, 22, 4476, 30, 0, 0, 2809, 571, 429, 165, 71, 38, 1167, 3178, 563, 219, 541, 22, 296.0, 430.0, 499.0, 0, 119, 370, 309, 52, 9, 193, 2, 159, 144, 52, 12, 1.0, 181, 24, 4, 0, 0, 302, 302, 52.58, 76.38, 88.63, 38.8984375, 81.59375, 81.59375, 0, 32.1953125, 65.6875, 0.5, 43.0, 38.8984375, 14.099609375, 3.2, 0.3, 83.5, 48.8984375, 14.099609375, 6.5, 2.39990234375, 1.099853515625, 2150.0, 449.0, 39.0, 22.0, 717.0, "Tous les candidats", 3533.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 75.0, "7043", "Licence - Portail Economie et gestion - Economie et management", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29710&g_ta_cod=7043", 81.0, 14.0, 5.0),
(1233, "Public", "0540098N", "Centre de Ressources, d'Expertise et de Performance Sportive de Nancy (CREPS)", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Essey-lès-Nancy", "formation sélective", "Autre formation", "CREPS de Nancy - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 4, 141, 26, 141, 0, 32, 4, 33, 9, 35, 15, 41, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 0, 0, 0, 0, 0, 9, 5, 4, 2, 4, 0, 2.0, 3.0, 4.0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 50.0, 75.0, 100.0, 50.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "21301", "BPJEPS - Activités physiques pour tous", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21301&g_ta_cod=21301", 25.0, 25.0, 50.0),
(1234, "Privé sous contrat d'association", "0352824E", "ISEN Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 24, 1606, 264, 1603, 0, 1595, 118, 0, 0, 0, 0, 8, 3, 3, 0, 0, 0, 1441, 2, 0, 0, 1441, 95, 0, 0, 0, 0, 0, 1348, 25, 4, 23, 2, 18.0, 23.0, 25.0, 0, 0, 25, 25, 0, 0, 0, 0, 7, 12, 4, 1, 1.0, 18, 0, 0, 0, 0, 18, 18, 72.0, 92.0, 100.0, 16.0, 72.0, 72.0, 0, 0.0, 100.0, 0.0, 28.0, 48.0, 16.0, 4.0, 4.0, 100.0, 72.0, 0.0, 0.0, 0.0, 0.0, 1348.0, 91.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "77", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=77", 100.0, 0.0, 0.0),
(1235, "Privé sous contrat d'association", "0590347G", "ISEN Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 80, 2124, 450, 2110, 0, 2097, 172, 0, 0, 0, 0, 13, 14, 13, 0, 0, 1, 1891, 9, 0, 0, 1889, 130, 0, 0, 0, 0, 2, 1766, 47, 2, 45, 2, 39.0, 45.0, 47.0, 0, 5, 46, 46, 0, 0, 1, 0, 2, 24, 14, 6, 0.0, 44, 0, 0, 0, 0, 36, 36, 82.98, 95.74, 100.0, 4.2998046875, 78.296875, 78.296875, 0, 10.8984375, 97.890625, 0.0, 4.2998046875, 52.1953125, 30.3984375, 13.0, 0.0, 100.0, 95.6875, 0.0, 0.0, 0.0, 0.0, 1764.0, 131.0, 0.0, 0.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "80", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=80", 100.0, 0.0, 0.0),
(1236, "Privé sous contrat d'association", "0220122N", "Lycée professionnel Montbareil", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Guingamp", "formation sélective", "BTS", "Lycée professionnel Montbareil - BTS - Services - Métiers de la coiffure", "BTS - Services", "", 15, 42, 34, 42, 0, 7, 2, 13, 2, 4, 1, 18, 0, 0, 0, 0, 0, 42, 0, 0, 0, 7, 2, 13, 2, 4, 1, 18, 34, 6, 6, 6, 0, 4.0, 6.0, 6.0, 0, 1, 4, 1, 1, 2, 2, 0, 2, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 2, 2, 66.67, 100.0, 100.0, 100.0, 50.0, 50.0, 0, 25.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 25.0, 0.0, 25.0, 0.0, 50.0, 50.0, 6.0, 2.0, 4.0, 1.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 86.0, "17717", "BTS - Services - Métiers de la coiffure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17717&g_ta_cod=17717", 50.0, 17.0, 33.0),
(1237, "Public", "0772817U", "CREPS d'Ile de France - Antenne de Pontault-Combault", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Pontault-Combault", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS) - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 8, 381, 57, 381, 0, 66, 9, 75, 19, 100, 35, 140, 0, 0, 0, 0, 0, 62, 0, 0, 0, 16, 0, 9, 0, 9, 0, 28, 23, 8, 3, 8, 0, 1.0, 6.0, 7.0, 0, 0, 6, 2, 3, 1, 2, 0, 3, 3, 0, 0, 0.0, 1, 2, 0, 0, 0, 5, 6, 12.5, 75.0, 87.5, 37.5, 83.296875, 100.0, 0, 0.0, 75.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 33.296875, 16.69921875, 50.0, 33.296875, 16.69921875, 0.0, 3.0, 0.0, 4.0, 0.0, 12.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 9.0, "26596", "BPJEPS - Activités physiques pour tous", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21356&g_ta_cod=26596", 38.0, 50.0, 13.0),
(1238, "Privé hors contrat", "0142081L", "IRTS INST REG TRAVAILLEURS SOCIAUX", "14", "Calvados", "Normandie", "Normandie", "Hérouville-Saint-Clair", "formation sélective", "EFTS", "IRTS INST REG TRAVAILLEURS SOCIAUX - D.E Educateur Spécialisé", "D.E secteur social", "", 36, 294, 241, 294, 0, 47, 7, 27, 8, 23, 8, 197, 0, 0, 0, 0, 0, 254, 0, 0, 0, 42, 5, 22, 6, 17, 7, 173, 51, 35, 27, 35, 0, 22.0, 30.0, 30.0, 0, 2, 9, 4, 2, 3, 26, 0, 2, 3, 4, 0, 0.0, 3, 1, 3, 0, 0, 8, 8, 62.86, 85.71, 85.71, 77.09375, 88.890625, 88.890625, 0, 22.19921875, 25.69921875, 0.0, 22.19921875, 33.296875, 44.3984375, 0.0, 0.0, 44.3984375, 33.296875, 22.19921875, 11.099609375, 33.296875, 33.296875, 6.0, 0.0, 3.0, 2.0, 39.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "24823", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24823&g_ta_cod=24823", 60.0, 20.0, 20.0),
(1239, "Public", "0241279K", "I.U.T de Bordeaux - Site de Périgueux", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BUT", "I.U.T de Bordeaux - Site de Périgueux - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 48, 730, 462, 624, 0, 358, 40, 112, 22, 2, 0, 152, 106, 21, 33, 0, 52, 462, 32, 0, 0, 276, 29, 83, 15, 0, 0, 103, 350, 42, 25, 33, 9, 4.0, 26.0, 36.0, 0, 4, 30, 21, 9, 0, 12, 0, 9, 16, 4, 1, 0.0, 16, 5, 0, 0, 0, 17, 17, 9.52, 61.9, 85.71, 59.5, 56.6953125, 56.6953125, 0, 13.298828125, 71.390625, 0.0, 30.0, 53.296875, 13.298828125, 3.3, 0.0, 70.0, 53.296875, 30.0, 16.69921875, 0.0, 0.0, 181.0, 17.0, 0.0, 0.0, 84.0, "Tous les candidats sauf les Bac technologiques", 375.0, "Bacheliers technologiques toutes séries", 88, "", 0, "Liste d'appel propre à cette formation", 74.0, "3445", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3445&g_ta_cod=3445", 74.0, 26.0, 0.0),
(1240, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence", "Université du Mans - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours HORS parcours Masso-Kinésithérapie", "Licence - Sciences - technologies - santé", "HORS parcours Masso-Kinésithérapie", 315, 1856, 557, 1856, 0, 1291, 172, 198, 35, 55, 15, 312, 0, 0, 0, 0, 0, 1852, 0, 0, 0, 1291, 172, 198, 35, 55, 15, 308, 730, 315, 82, 315, 0, 104.0, 266.0, 290.0, 0, 45, 285, 256, 20, 9, 30, 0, 122, 123, 37, 3, 0.0, 151, 7, 5, 0, 0, 283, 283, 33.02, 84.44, 92.06, 26.0, 99.296875, 99.296875, 0, 15.798828125, 90.5, 0.0, 42.796875, 43.1953125, 13.0, 1.1, 0.0, 89.796875, 53.0, 7.0, 2.5, 3.19970703125, 1.7998046875, 576.0, 80.0, 13.0, 7.0, 102.0, "Tous les candidats", 754.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "8747", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours HORS parcours Masso-Kinésithérapie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8747&g_ta_cod=8747", 89.0, 9.0, 3.0),
(1241, "Privé sous contrat d'association", "0850086G", "Ensemble scolaire Saint- Gabriel Saint- Michel", "85", "Vendée", "Pays de la Loire", "Nantes", "Saint-Laurent-sur-Sèvre", "formation sélective", "BTS", "Ensemble scolaire Saint- Gabriel Saint- Michel - BTS - Services - Commerce International", "BTS - Services", "", 18, 120, 56, 102, 0, 39, 6, 21, 3, 13, 3, 29, 18, 7, 1, 0, 10, 74, 8, 0, 0, 37, 5, 21, 3, 7, 0, 9, 62, 19, 10, 17, 2, 7.0, 15.0, 18.0, 0, 0, 15, 7, 5, 3, 4, 0, 7, 6, 1, 1, 0.0, 4, 2, 2, 0, 0, 14, 14, 36.84, 78.95, 94.74, 52.59375, 93.296875, 93.296875, 0, 0.0, 78.890625, 0.0, 46.6953125, 40.0, 6.69921875, 6.7, 0.0, 46.6953125, 26.69921875, 33.296875, 13.298828125, 20.0, 13.298828125, 31.0, 7.0, 4.0, 0.0, 10.0, "Tous les candidats sauf les Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 71.0, "10495", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10495&g_ta_cod=10495", 53.0, 32.0, 16.0),
(1242, "Public", "0830165D", "I.U.T de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation sélective", "BUT", "I.U.T de Toulon - BUT - Génie biologique parcours biologie médicale et biotechnologie", "BUT - Production", "", 55, 2070, 1479, 2070, 0, 1217, 161, 339, 83, 5, 2, 509, 0, 0, 0, 0, 0, 1725, 0, 0, 0, 1121, 148, 211, 39, 0, 0, 393, 339, 53, 41, 53, 0, 6.0, 37.0, 50.0, 0, 6, 47, 29, 18, 0, 6, 0, 2, 4, 36, 5, 0.0, 29, 16, 0, 0, 0, 14, 14, 11.32, 69.81, 94.34, 77.390625, 29.796875, 29.796875, 0, 12.798828125, 88.6875, 0.0, 4.2998046875, 8.5, 76.59375, 10.6, 0.0, 61.6953125, 61.6953125, 38.296875, 34.0, 0.0, 0.0, 192.0, 24.0, 0.0, 0.0, 58.0, "Tous les candidats sauf les Bac technologiques", 405.0, "Bacheliers technologiques toutes séries", 142, "", 0, "Liste d'appel propre à cette formation", 26.0, "10358", "BUT - Génie biologique parcours biologie médicale et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10358&g_ta_cod=10358", 60.0, 40.0, 0.0),
(1243, "Public", "0212015B", "Lycée Simone WEIL", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Simone WEIL - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 805, 723, 805, 0, 114, 35, 224, 75, 264, 94, 203, 0, 0, 0, 0, 0, 459, 0, 0, 0, 75, 22, 122, 37, 205, 74, 57, 139, 24, 22, 24, 0, 4.0, 15.0, 20.0, 0, 6, 24, 5, 8, 11, 0, 0, 3, 12, 7, 2, 0.0, 4, 7, 10, 7, 5, 17, 17, 16.67, 62.5, 83.33, 91.6875, 70.796875, 70.796875, 29.19921875, 25.0, 100.0, 0.0, 12.5, 50.0, 29.19921875, 8.3, 0.0, 20.796875, 16.69921875, 33.296875, 29.19921875, 45.796875, 41.6953125, 14.0, 6.0, 74.0, 23.0, 9.0, "Tous les candidats sauf les Bac professionnels", 79.0, "Bacheliers professionnels toutes séries", 93, "", 0, "Liste d'appel propre à cette formation", 21.0, "3298", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3298&g_ta_cod=3298", 21.0, 33.0, 46.0),
(1244, "Public", "0020059D", "Lycée Gérard de Nerval", "02", "Aisne", "Hauts-de-France", "Amiens", "Soissons", "formation sélective", "BTS", "Lycée Gérard de Nerval - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 225, 133, 161, 0, 14, 4, 50, 19, 52, 30, 45, 64, 7, 18, 11, 28, 95, 21, 0, 0, 13, 3, 39, 13, 37, 20, 6, 112, 30, 21, 20, 9, 5.0, 19.0, 25.0, 0, 14, 26, 6, 9, 11, 4, 0, 14, 8, 4, 0, 0.0, 2, 4, 6, 7, 5, 26, 26, 16.67, 63.33, 83.33, 70.0, 100.0, 100.0, 26.8984375, 53.796875, 86.6875, 0.0, 53.796875, 30.796875, 15.3984375, 0.0, 0.0, 23.09765625, 7.69921875, 34.59375, 15.3984375, 42.296875, 23.09765625, 17.0, 6.0, 38.0, 20.0, 20.0, "Tous les candidats sauf les Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 58.0, "2070", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2070&g_ta_cod=2070", 27.0, 33.0, 40.0),
(1245, "Privé sous contrat d'association", "0850133H", "Lycée Ste Marie Du Port", "85", "Vendée", "Pays de la Loire", "Nantes", "Les Sables-d'Olonne", "formation sélective", "BTS", "Lycée Ste Marie Du Port - BTS - Services - Tourisme", "BTS - Services", "", 35, 280, 216, 280, 0, 109, 8, 66, 7, 49, 12, 56, 0, 0, 0, 0, 0, 217, 0, 0, 0, 103, 8, 58, 6, 25, 6, 31, 104, 35, 27, 35, 0, 5.0, 30.0, 34.0, 0, 6, 32, 16, 10, 6, 3, 0, 10, 12, 7, 3, 0.0, 11, 5, 6, 8, 6, 29, 29, 14.29, 85.71, 97.14, 77.09375, 90.59375, 90.59375, 25, 18.796875, 91.390625, 0.0, 31.296875, 37.5, 21.8984375, 9.4, 0.0, 50.0, 34.3984375, 31.296875, 15.599609375, 18.796875, 18.796875, 58.0, 7.0, 16.0, 2.0, 8.0, "Tous les candidats sauf les Bac professionnels", 155.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 62.0, "10503", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10503&g_ta_cod=10503", 51.0, 31.0, 17.0),
(1246, "Public", "0771658J", "Lycée du Gué-à-Tresmes", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Congis-sur-Thérouanne", "formation sélective", "BTS", "Lycée du Gué-à-Tresmes - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 24, 105, 43, 93, 0, 0, 0, 25, 6, 36, 8, 32, 12, 0, 3, 6, 3, 82, 5, 0, 0, 0, 0, 25, 6, 28, 5, 29, 67, 13, 7, 12, 0, 5.0, 12.0, 13.0, 0, 1, 6, 0, 0, 6, 7, 0, 2, 1, 3, 0, 0.0, 0, 0, 4, 4, 1, 5, 6, 38.46, 92.31, 100.0, 53.796875, 83.296875, 100.0, 66.6875, 16.69921875, 46.1953125, 0.0, 33.296875, 16.69921875, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 30.0, 6.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 81.0, "9845", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9845&g_ta_cod=9845", 31.0, 8.0, 62.0),
(1247, "Public", "0141274J", "Lycée Arcisse De Caumont", "14", "Calvados", "Normandie", "Normandie", "Bayeux", "formation sélective", "BTS", "Lycée Arcisse De Caumont - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 8, 101, 21, 100, 0, 12, 0, 26, 5, 20, 7, 42, 1, 0, 1, 0, 0, 63, 1, 0, 0, 12, 0, 26, 5, 20, 7, 5, 47, 5, 0, 5, 0, 0.0, 5.0, 5.0, 0, 2, 5, 1, 1, 3, 0, 0, 4, 0, 1, 0, 0.0, 0, 0, 1, 3, 0, 5, 5, 0.0, 100.0, 100.0, 0.0, 100.0, 100.0, 60, 40.0, 100.0, 0.0, 80.0, 0.0, 20.0, 0.0, 0.0, 20.0, 0.0, 20.0, 0.0, 60.0, 20.0, 8.0, 0.0, 18.0, 6.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 62.0, "2858", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2858&g_ta_cod=2858", 20.0, 20.0, 60.0),
(1248, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Bi-disciplinaire Occitan - Catalan", "Licence - Arts-lettres-langues", "Bi-disciplinaire Occitan - Catalan", 15, 67, 39, 14, 0, 7, 3, 0, 0, 1, 1, 6, 53, 2, 2, 7, 42, 14, 49, 0, 0, 7, 3, 0, 0, 1, 1, 6, 63, 13, 6, 0, 13, 0.0, 0.0, 7.0, 0, 1, 1, 0, 0, 1, 12, 0, 0, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 0, 0, 0.0, 0.0, 53.85, 46.1953125, 0.0, 0.0, 0, 100.0, 7.69921875, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 9.0, 4.0, 8.0, 8.0, 44.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "30908", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Bi-disciplinaire Occitan - Catalan", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30908&g_ta_cod=30908", 38.0, 31.0, 31.0),
(1249, "Privé enseignement supérieur", "0941890U", "ESIEA Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Ivry-sur-Seine", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 15, 265, 99, 252, 0, 0, 0, 0, 0, 0, 0, 252, 13, 0, 0, 0, 13, 236, 7, 0, 0, 0, 0, 0, 0, 0, 0, 236, 234, 3, 1, 0, 3, 0.0, 0.0, 3.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 100.0, 33.296875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 234.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "23368", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=23368", 67.0, 33.0, 0.0),
(1250, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Techniques Quantitatives et Management (TQM)", "Licence - Droit-économie-gestion", "Techniques Quantitatives et Management (TQM)", 325, 1977, 903, 1977, 0, 1489, 186, 42, 10, 6, 3, 440, 0, 0, 0, 0, 0, 1953, 0, 0, 0, 1489, 186, 42, 10, 6, 3, 416, 1223, 315, 108, 315, 0, 51.0, 248.0, 281.0, 0, 54, 260, 257, 3, 0, 55, 0, 63, 126, 55, 14, 2.0, 197, 0, 0, 0, 0, 233, 233, 16.19, 78.73, 89.21, 34.296875, 89.59375, 89.59375, 0, 20.796875, 82.5, 0.0, 24.19921875, 48.5, 21.19921875, 5.4, 0.8, 98.796875, 75.796875, 1.199951171875, 0.0, 0.0, 0.0, 955.0, 148.0, 0.0, 0.0, 264.0, "Tous les candidats", 1376.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "8532", "Licence - Portail Techniques Quantitatives et Management (TQM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8532&g_ta_cod=8532", 99.0, 1.0, 0.0),
(1251, "Public", "0580758J", "Université de Bourgogne - site de Nevers", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation non sélective", "PASS", "Université de Bourgogne - site de Dijon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 2, 1649, 1261, 1649, 0, 1230, 238, 59, 12, 11, 4, 349, 0, 0, 0, 0, 0, 1640, 0, 0, 0, 1231, 239, 59, 12, 11, 4, 339, 25, 2, 1, 2, 0, 0.0, 0.0, 2.0, 0, 2, 2, 1, 1, 0, 0, 0, 0, 0, 2, 0, 0.0, 1, 1, 0, 0, 0, 2, 2, 0.0, 0.0, 100.0, 50.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 23.0, 5.0, 0.0, 0.0, 1.0, "Tous les candidats", 454.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 8.0, "27974", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27662&g_ta_cod=27974", 50.0, 50.0, 0.0),
(1252, "Public", "0940121W", "Lycée D'Arsonval", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "CPGE", "Lycée D'Arsonval - CPGE - TPC", "Classe préparatoire scientifique", "", 24, 127, 74, 120, 0, 0, 0, 107, 27, 0, 0, 13, 7, 0, 6, 0, 1, 99, 0, 0, 99, 0, 0, 95, 23, 0, 0, 4, 90, 17, 11, 17, 0, 12.0, 17.0, 17.0, 0, 5, 17, 0, 17, 0, 0, 0, 0, 5, 10, 0, 2.0, 0, 17, 0, 1, 1, 4, 12, 70.59, 100.0, 100.0, 64.6875, 23.5, 70.59375, 5.8994140625, 29.3984375, 100.0, 0.0, 0.0, 29.3984375, 58.796875, 0.0, 11.8, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 3.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 100.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "11399", "CPGE - TPC", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11399&g_ta_cod=11399", 0.0, 100.0, 0.0),
(1253, "Public", "0640010N", "Lycée René Cassin Bayonne-Biarritz", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "CPGE", "Lycée René Cassin Bayonne-Biarritz - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 814, 313, 814, 583, 572, 50, 1, 0, 0, 0, 241, 0, 0, 0, 0, 0, 689, 0, 583, 450, 531, 48, 0, 0, 0, 0, 158, 296, 46, 20, 46, 0, 3.0, 35.0, 43.0, 35, 4, 44, 44, 0, 0, 2, 1, 0, 8, 23, 12, 0.0, 43, 0, 0, 13, 4, 43, 43, 6.52, 76.09, 93.48, 43.5, 97.6875, 97.6875, 29.5, 9.099609375, 95.6875, 2.2998046875, 0.0, 18.19921875, 52.296875, 27.3, 0.0, 100.0, 97.6875, 0.0, 0.0, 0.0, 0.0, 282.0, 24.0, 0.0, 0.0, 14.0, "Tous les candidats", 345.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "7690", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7690&g_ta_cod=7690", 100.0, 0.0, 0.0),
(1254, "Public", "0761688X", "I.U.T du Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BUT", "I.U.T du Havre - BUT - Génie mécanique et productique Parcours : Management de process industriel - Simulation numérique et réalité virtuelle", "BUT - Production", "Management de process industriel - Simulation numérique et réalité virtuelle", 52, 735, 58, 731, 0, 355, 41, 246, 50, 5, 2, 125, 4, 0, 1, 0, 3, 548, 1, 0, 0, 304, 26, 158, 33, 0, 0, 86, 304, 50, 2, 50, 0, 32.0, 41.0, 46.0, 0, 6, 46, 24, 22, 0, 4, 0, 11, 26, 9, 0, 0.0, 17, 18, 0, 0, 0, 46, 46, 64.0, 82.0, 92.0, 4.0, 100.0, 100.0, 0, 13.0, 92.0, 0.0, 23.8984375, 56.5, 19.59765625, 0.0, 0.0, 52.1953125, 37.0, 47.796875, 39.09375, 0.0, 0.0, 148.0, 22.0, 0.0, 0.0, 40.0, "Tous les candidats sauf les Bac technologiques", 251.0, "Bacheliers technologiques toutes séries", 167, "", 0, "Liste d'appel propre à cette formation", 57.0, "9653", "BUT - Génie mécanique et productique Parcours : Management de process industriel - Simulation numérique et réalité virtuelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9653&g_ta_cod=9653", 54.0, 46.0, 0.0),
(1255, "Public", "0623911P", "Université d'Artois - Site de Lens", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation non sélective", "Licence", "Université d'Artois - Site de Lens - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 320, 2033, 1356, 1851, 0, 1307, 296, 145, 50, 8, 3, 391, 182, 63, 8, 0, 111, 1836, 115, 0, 0, 1307, 296, 145, 50, 8, 3, 376, 1641, 279, 156, 232, 47, 42.0, 198.0, 237.0, 0, 58, 207, 182, 24, 1, 72, 1, 96, 71, 35, 4, 0.0, 99, 11, 0, 0, 0, 189, 189, 15.05, 70.97, 84.95, 55.8984375, 91.296875, 91.296875, 0, 28.0, 74.1875, 0.5, 46.3984375, 34.296875, 16.8984375, 1.9, 0.0, 87.890625, 47.796875, 11.599609375, 5.2998046875, 0.5, 0.0, 1151.0, 270.0, 3.0, 2.0, 389.0, "Tous les candidats", 2244.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "7489", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27780&g_ta_cod=7489", 86.0, 13.0, 1.0),
(1256, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Espagnol", "Licence - Arts-lettres-langues", "Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Espagnol", 250, 1037, 812, 758, 0, 541, 187, 49, 21, 15, 13, 153, 279, 54, 26, 24, 175, 749, 263, 0, 0, 541, 187, 49, 21, 15, 13, 144, 1015, 181, 138, 118, 63, 116.0, 117.0, 159.0, 0, 44, 112, 94, 10, 8, 69, 0, 52, 41, 14, 5, 0.0, 54, 4, 2, 0, 0, 85, 85, 64.09, 64.64, 87.85, 76.1875, 75.890625, 75.890625, 0, 39.296875, 61.8984375, 0.0, 46.3984375, 36.59375, 12.5, 4.5, 0.0, 83.890625, 48.1953125, 8.8984375, 3.599609375, 7.099609375, 1.7998046875, 597.0, 198.0, 39.0, 31.0, 304.0, "Tous les candidats", 750.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4411", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4411&g_ta_cod=4411", 75.0, 12.0, 12.0),
(1257, "Public", "0910627M", "Lycée Jean Baptiste Corot", "91", "Essonne", "Ile-de-France", "Versailles", "Savigny-sur-Orge", "formation sélective", "BTS", "Lycée Jean Baptiste Corot - BTS - Services - Support à l'action managériale", "BTS - Services", "", 36, 762, 511, 762, 0, 24, 4, 286, 114, 217, 116, 235, 0, 0, 0, 0, 0, 456, 0, 0, 0, 14, 2, 202, 73, 144, 73, 96, 143, 38, 32, 38, 0, 16.0, 36.0, 38.0, 0, 10, 24, 1, 15, 8, 14, 0, 3, 13, 7, 1, 0.0, 0, 14, 7, 12, 9, 22, 24, 42.11, 94.74, 100.0, 84.1875, 91.6875, 100.0, 50, 41.6953125, 63.1953125, 0.0, 12.5, 54.1953125, 29.19921875, 4.2, 0.0, 4.19921875, 0.0, 62.5, 58.296875, 33.296875, 29.19921875, 6.0, 2.0, 52.0, 26.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 84, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 22.0, "10865", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10865&g_ta_cod=10865", 11.0, 45.0, 45.0),
(1258, "Public", "0600021X", "Lycée Jules Uhry", "60", "Oise", "Hauts-de-France", "Amiens", "Creil", "formation sélective", "BTS", "Lycée Jules Uhry - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 33, 649, 326, 649, 0, 51, 18, 194, 86, 210, 102, 194, 0, 0, 0, 0, 0, 276, 0, 0, 0, 31, 13, 107, 43, 103, 52, 35, 124, 31, 18, 31, 0, 6.0, 23.0, 27.0, 0, 12, 29, 2, 12, 15, 2, 0, 12, 14, 2, 1, 0.0, 0, 8, 9, 7, 6, 28, 28, 19.35, 74.19, 87.1, 58.09375, 96.59375, 96.59375, 24.09765625, 41.3984375, 93.5, 0.0, 41.3984375, 48.296875, 6.8994140625, 3.4, 0.0, 6.8994140625, 0.0, 41.3984375, 27.59765625, 51.6953125, 31.0, 16.0, 6.0, 48.0, 21.0, 10.0, "Tous les candidats sauf les Bac professionnels", 101.0, "Bacheliers professionnels toutes séries", 81, "", 0, "Liste d'appel propre à cette formation", 28.0, "7244", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7244&g_ta_cod=7244", 6.0, 39.0, 55.0),
(1259, "Privé enseignement supérieur", "0221844K", "Facultés libres de l'ouest - UCO - Bretagne Nord", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Guingamp", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Bretagne Nord - Licence - Economie et gestion - Parcours Administration Economique et Sociale", "Licence - Droit-économie-gestion", "Administration Economique et Sociale", 50, 211, 107, 134, 0, 83, 15, 24, 4, 5, 4, 22, 77, 19, 9, 0, 49, 134, 64, 0, 0, 83, 15, 24, 4, 5, 4, 22, 196, 11, 6, 8, 2, 6.0, 8.0, 10.0, 0, 2, 10, 5, 3, 2, 1, 0, 2, 6, 1, 1, 0.0, 4, 2, 2, 0, 0, 7, 7, 54.55, 72.73, 90.91, 54.5, 70.0, 70.0, 0, 20.0, 90.890625, 0.0, 20.0, 60.0, 10.0, 10.0, 0.0, 50.0, 40.0, 30.0, 20.0, 20.0, 20.0, 99.0, 17.0, 6.0, 4.0, 58.0, "Tous les candidats", 134.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "17395", "Licence - Economie et gestion - Parcours Administration Economique et Sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17395&g_ta_cod=17395", 55.0, 27.0, 18.0),
(1260, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - ESTBB - Licence - Portail Sciences de la vie - Majeure Biologie Mineure Humanités", "Licence - Sciences - technologies - santé", "Majeure Biologie Mineure Humanités", 72, 1220, 913, 1220, 0, 675, 74, 27, 5, 0, 0, 518, 0, 0, 0, 0, 0, 1015, 0, 0, 0, 623, 63, 17, 3, 0, 0, 375, 525, 79, 64, 79, 0, 20.0, 44.0, 71.0, 0, 4, 68, 67, 1, 0, 11, 0, 2, 32, 31, 3, 0.0, 65, 1, 0, 0, 0, 24, 24, 25.32, 55.7, 89.87, 81.0, 35.296875, 35.296875, 0, 5.8994140625, 86.09375, 0.0, 2.89990234375, 47.09375, 45.59375, 4.4, 0.0, 98.5, 95.59375, 1.5, 1.5, 0.0, 0.0, 369.0, 27.0, 0.0, 0.0, 149.0, "Tous les candidats", 772.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 51.0, "16169", "Licence - Portail Sciences de la vie - Majeure Biologie Mineure Humanités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27792&g_ta_cod=16169", 99.0, 1.0, 0.0),
(1261, "Public", "0911346U", "Lycée Albert Einstein", "91", "Essonne", "Ile-de-France", "Versailles", "Sainte-Geneviève-des-Bois", "formation sélective", "BTS", "Lycée Albert Einstein - BTS - Services - Commerce International", "BTS - Services", "", 35, 1199, 659, 1199, 0, 154, 47, 481, 194, 225, 98, 339, 0, 0, 0, 0, 0, 601, 0, 0, 0, 115, 32, 306, 114, 102, 51, 78, 158, 35, 21, 35, 0, 6.0, 24.0, 30.0, 0, 16, 32, 6, 19, 7, 3, 0, 7, 19, 5, 1, 0.0, 4, 15, 6, 8, 5, 29, 31, 17.14, 68.57, 85.71, 60.0, 90.59375, 96.890625, 25, 50.0, 91.390625, 0.0, 21.8984375, 59.3984375, 15.599609375, 3.1, 0.0, 18.796875, 12.5, 59.3984375, 46.8984375, 21.8984375, 18.796875, 24.0, 9.0, 34.0, 15.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 136, "Liste d'appel propre à cette formation", 20.0, "10930", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10930&g_ta_cod=10930", 20.0, 60.0, 20.0),
(1262, "Public", "0590083V", "Lycée Camille Claudel", "59", "Nord", "Hauts-de-France", "Lille", "Fourmies", "formation sélective", "BTS", "Lycée Camille Claudel - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 15, 114, 28, 114, 0, 8, 2, 25, 6, 22, 8, 59, 0, 0, 0, 0, 0, 61, 0, 0, 0, 8, 2, 24, 6, 17, 6, 12, 39, 16, 4, 16, 0, 8.0, 15.0, 16.0, 0, 4, 12, 0, 5, 7, 4, 0, 3, 7, 1, 1, 0.0, 0, 3, 6, 11, 1, 11, 11, 50.0, 93.75, 100.0, 25.0, 91.6875, 91.6875, 91.6875, 33.296875, 75.0, 0.0, 25.0, 58.296875, 8.298828125, 8.3, 0.0, 0.0, 0.0, 41.6953125, 25.0, 58.296875, 50.0, 8.0, 2.0, 11.0, 4.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 43.0, "6763", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6763&g_ta_cod=6763", 25.0, 31.0, 44.0),
(1263, "Public", "0120870F", "I.U.T de Rodez", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BUT", "I.U.T de Rodez - BUT - Gestion des entreprises et des administrations Parcours : Gestion, entrepreneuriat et management d'activités (alternance possible dès la 2è année) - Gestion comptable, fiscale et financière", "BUT - Service", "Gestion, entrepreneuriat et management d'activités (alternance possible dès la 2è année) - Gestion comptable, fiscale et financière", 80, 1000, 486, 956, 0, 499, 96, 283, 66, 1, 0, 173, 44, 5, 7, 1, 31, 626, 2, 0, 0, 380, 70, 179, 38, 0, 0, 67, 415, 84, 37, 82, 2, 32.0, 63.0, 80.0, 0, 11, 74, 48, 26, 0, 10, 0, 14, 41, 17, 2, 0.0, 41, 19, 0, 0, 0, 54, 54, 38.1, 75.0, 95.24, 44.0, 73.0, 73.0, 0, 14.8984375, 88.09375, 0.0, 18.8984375, 55.3984375, 23.0, 2.7, 0.0, 64.890625, 55.3984375, 35.09375, 25.69921875, 0.0, 0.0, 280.0, 47.0, 0.0, 0.0, 40.0, "Tous les candidats sauf les Bac technologiques", 419.0, "Bacheliers technologiques toutes séries", 180, "", 0, "Liste d'appel propre à cette formation", 63.0, "2497", "BUT - Gestion des entreprises et des administrations Parcours : Gestion, entrepreneuriat et management d'activités (alternance possible dès la 2è année) - Gestion comptable, fiscale et financière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2497&g_ta_cod=2497", 69.0, 31.0, 0.0),
(1264, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail Droit / Histoire", "Licence - Sciences humaines et sociales", "Droit / Histoire : Histoire", 70, 506, 271, 423, 0, 343, 58, 21, 8, 6, 4, 53, 83, 31, 7, 2, 43, 422, 80, 0, 0, 343, 58, 21, 8, 6, 4, 52, 451, 57, 23, 31, 26, 16.0, 30.0, 48.0, 0, 6, 39, 36, 2, 1, 18, 0, 16, 12, 7, 4, 0.0, 23, 0, 0, 0, 0, 29, 29, 28.07, 52.63, 84.21, 40.3984375, 74.390625, 74.390625, 0, 15.3984375, 68.390625, 0.0, 41.0, 30.796875, 17.8984375, 10.3, 0.0, 92.296875, 59.0, 5.099609375, 0.0, 2.599609375, 0.0, 349.0, 59.0, 3.0, 3.0, 78.0, "Tous les candidats", 672.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "22782", "Licence - Portail Droit / Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22781&g_ta_cod=22782", 84.0, 7.0, 7.0),
(1265, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Lettres (à distance ENEAD)", "Licence - Arts-lettres-langues", "Anglais - Mineure Lettres (à distance ENEAD)", 20, 232, 182, 232, 0, 78, 18, 6, 1, 2, 1, 146, 0, 0, 0, 0, 0, 221, 0, 0, 0, 78, 18, 6, 1, 2, 1, 135, 98, 20, 18, 20, 0, 4.0, 14.0, 18.0, 0, 3, 9, 7, 1, 1, 11, 0, 2, 3, 2, 2, 0.0, 6, 1, 0, 0, 0, 3, 5, 20.0, 70.0, 90.0, 90.0, 33.296875, 55.59375, 0, 33.296875, 45.0, 0.0, 22.19921875, 33.296875, 22.19921875, 22.2, 0.0, 77.796875, 66.6875, 11.099609375, 11.099609375, 11.099609375, 0.0, 38.0, 9.0, 2.0, 1.0, 56.0, "Tous les candidats", 151.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "24017", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Lettres (à distance ENEAD)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24017&g_ta_cod=24017", 75.0, 10.0, 10.0),
(1266, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Mathématiques - MPC (tronc commun en L1 avec Physique-Chimie)", "Licence - Sciences - technologies - santé", "MPC (tronc commun en L1 avec Physique-Chimie)", 17, 481, 169, 479, 0, 401, 39, 7, 2, 0, 0, 71, 2, 0, 0, 0, 2, 479, 2, 0, 0, 401, 39, 7, 2, 0, 0, 71, 302, 17, 9, 16, 1, 3.0, 9.0, 15.0, 0, 1, 13, 13, 0, 0, 4, 0, 0, 6, 6, 1, 0.0, 13, 0, 0, 0, 0, 11, 11, 17.65, 52.94, 88.24, 52.8984375, 84.59375, 84.59375, 0, 7.69921875, 76.5, 0.0, 0.0, 46.1953125, 46.1953125, 7.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 271.0, 25.0, 0.0, 0.0, 30.0, "Tous les candidats", 466.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 93.0, "8827", "Licence - Portail Mathématiques - MPC (tronc commun en L1 avec Physique-Chimie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29652&g_ta_cod=8827", 100.0, 0.0, 0.0),
(1267, "Privé sous contrat d'association", "0690634P", "Ecole LA MACHE", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Ecole LA MACHE - BTS - Production - Architectures en Métal : conception et Réalisation", "BTS - Production", "", 15, 272, 27, 272, 0, 19, 5, 127, 19, 77, 25, 49, 0, 0, 0, 0, 0, 118, 0, 0, 0, 3, 0, 77, 10, 37, 3, 1, 52, 15, 0, 15, 0, 7.0, 10.0, 13.0, 0, 0, 14, 0, 6, 8, 1, 0, 1, 7, 6, 0, 0.0, 0, 5, 8, 0, 0, 12, 12, 46.67, 66.67, 86.67, 0.0, 85.6875, 85.6875, 0, 0.0, 93.296875, 0.0, 7.099609375, 50.0, 42.8984375, 0.0, 0.0, 0.0, 0.0, 42.8984375, 35.6953125, 57.09375, 57.09375, 2.0, 0.0, 17.0, 3.0, 1.0, "Tous les candidats sauf les Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 27.0, "8321", "BTS - Production - Architectures en Métal : conception et Réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8321&g_ta_cod=8321", 7.0, 40.0, 53.0),
(1268, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "CPGE", "Université de Bretagne Sud - Site de Lorient - CPGE - ENS Rennes D1", "Classe préparatoire économique et commerciale", "", 24, 364, 240, 364, 0, 299, 27, 21, 9, 0, 0, 44, 0, 0, 0, 0, 0, 207, 0, 0, 207, 190, 15, 13, 5, 0, 0, 4, 148, 23, 18, 23, 0, 7.0, 23.0, 23.0, 0, 3, 23, 22, 1, 0, 0, 0, 1, 5, 14, 3, 0.0, 21, 1, 0, 0, 0, 16, 16, 30.43, 100.0, 100.0, 78.296875, 69.59375, 69.59375, 0, 13.0, 100.0, 0.0, 4.2998046875, 21.69921875, 60.8984375, 13.0, 0.0, 95.6875, 91.296875, 4.2998046875, 4.2998046875, 0.0, 0.0, 137.0, 8.0, 0.0, 0.0, 3.0, "Tous les candidats", 206.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "6495", "CPGE - ENS Rennes D1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6495&g_ta_cod=6495", 96.0, 4.0, 0.0),
(1269, "Public", "0350700W", "Lycée agricole Theodore Monod", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Le Rheu", "formation sélective", "BTS", "Lycée agricole Theodore Monod - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 32, 549, 181, 542, 0, 43, 5, 130, 32, 109, 25, 260, 7, 3, 0, 1, 3, 283, 7, 0, 0, 41, 5, 124, 31, 104, 24, 14, 154, 13, 5, 10, 3, 2.0, 10.0, 11.0, 0, 2, 11, 2, 3, 6, 2, 0, 5, 5, 1, 0, 0.0, 0, 2, 4, 0, 0, 7, 7, 15.38, 76.92, 84.62, 38.5, 63.59375, 63.59375, 0, 18.19921875, 84.59375, 0.0, 45.5, 45.5, 9.099609375, 0.0, 0.0, 18.19921875, 0.0, 27.296875, 18.19921875, 54.5, 36.3984375, 28.0, 3.0, 57.0, 15.0, 12.0, "Tous les candidats sauf les Bac professionnels", 176.0, "Bacheliers professionnels toutes séries", 104, "", 0, "Liste d'appel propre à cette formation", 52.0, "4667", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4667&g_ta_cod=4667", 23.0, 31.0, 46.0),
(1270, "Public", "0642131U", "Antenne du collège STEE de l'Université de Pau (Anglet)", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation non sélective", "Licence", "Antenne du collège STEE de l'Université de Pau (Anglet) - Licence - Physique, chimie - Parcours Physique - Chimie", "Licence - Sciences - technologies - santé", "Physique - Chimie", 80, 468, 202, 393, 0, 267, 31, 16, 5, 0, 0, 110, 75, 24, 2, 0, 49, 390, 73, 0, 0, 267, 31, 16, 5, 0, 0, 107, 408, 51, 22, 30, 20, 0.0, 30.0, 47.0, 0, 1, 27, 23, 4, 0, 24, 0, 13, 9, 5, 0, 0.0, 13, 1, 0, 0, 0, 23, 23, 0.0, 58.82, 92.16, 43.09375, 85.1875, 85.1875, 0, 3.69970703125, 52.8984375, 0.0, 48.09375, 33.296875, 18.5, 0.0, 0.0, 85.1875, 48.09375, 14.798828125, 3.69970703125, 0.0, 0.0, 260.0, 29.0, 0.0, 0.0, 134.0, "Tous les candidats", 389.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7798", "Licence - Physique, chimie - Parcours Physique - Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7798&g_ta_cod=7798", 75.0, 18.0, 4.0),
(1271, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence_Las", "Université Clermont Auvergne - Licence - Portail Mathématiques - Physique SPI -  option Santé", "Licence - Sciences - technologies - santé", "Mathématiques - Physique SPI", 40, 439, 213, 265, 0, 167, 35, 14, 2, 1, 0, 83, 174, 56, 12, 0, 106, 264, 150, 0, 0, 167, 35, 14, 2, 1, 0, 82, 340, 24, 10, 11, 13, 1.0, 11.0, 19.0, 0, 2, 12, 11, 1, 0, 12, 1, 4, 6, 1, 0, 0.0, 7, 0, 0, 0, 0, 5, 5, 4.17, 45.83, 79.17, 41.6953125, 41.6953125, 41.6953125, 0, 16.69921875, 50.0, 8.298828125, 33.296875, 50.0, 8.298828125, 0.0, 0.0, 91.6875, 58.296875, 8.298828125, 0.0, 0.0, 0.0, 187.0, 32.0, 0.0, 0.0, 135.0, "Tous les candidats", 262.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "27503", "Licence - Portail Mathématiques - Physique SPI -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27503&g_ta_cod=27503", 96.0, 4.0, 0.0),
(1272, "Public", "0595876S", "Sciences Po Lille - Institut d'études politiques", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Sciences Po Lille ? Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Double diplôme Franco-Allemand", "Sciences politiques", "Double diplôme Franco-Allemand", 18, 181, 116, 181, 0, 155, 8, 1, 1, 0, 0, 25, 0, 0, 0, 0, 0, 38, 0, 0, 0, 35, 2, 0, 0, 0, 0, 3, 34, 20, 15, 20, 0, 9.0, 19.0, 20.0, 0, 1, 17, 17, 0, 0, 3, 0, 0, 0, 5, 8, 4.0, 17, 0, 0, 0, 0, 0, 0, 45.0, 95.0, 100.0, 75.0, 0.0, 0.0, 0, 5.8994140625, 85.0, 0.0, 0.0, 0.0, 29.3984375, 47.1, 23.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 31.0, 2.0, 0.0, 0.0, 3.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "25832", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Double diplôme Franco-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25832&g_ta_cod=25832", 100.0, 0.0, 0.0),
(1273, "Public", "0360768P", "Université d'Orléans - Centre Univ. de Châteauroux", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Châteauroux", "formation non sélective", "Licence", "Université d'Orléans - Centre Univ. de Châteauroux - Licence - Langues étrangères appliquées - Parcours Anglais/Espagnol", "Licence - Arts-lettres-langues", "Anglais/Espagnol", 45, 329, 246, 265, 0, 180, 63, 40, 18, 8, 4, 37, 64, 18, 9, 4, 33, 263, 38, 0, 0, 180, 63, 40, 18, 8, 4, 35, 218, 33, 24, 22, 11, 1.0, 22.0, 28.0, 0, 10, 24, 15, 8, 1, 9, 1, 13, 8, 2, 0, 0.0, 6, 4, 0, 0, 0, 20, 20, 3.03, 66.67, 84.85, 72.6875, 83.296875, 83.296875, 0, 41.6953125, 72.6875, 4.19921875, 54.1953125, 33.296875, 8.298828125, 0.0, 0.0, 62.5, 25.0, 33.296875, 16.69921875, 4.19921875, 0.0, 137.0, 45.0, 7.0, 5.0, 41.0, "Tous les candidats", 262.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4811", "Licence - Langues étrangères appliquées - Parcours Anglais/Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4811&g_ta_cod=4811", 55.0, 33.0, 9.0),
(1274, "Public", "0940121W", "Lycée D'Arsonval", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "BTS", "Lycée D'Arsonval - BTS - Production - Métiers de la chimie", "BTS - Production", "", 24, 513, 287, 513, 0, 93, 27, 133, 32, 10, 5, 277, 0, 0, 0, 0, 0, 276, 0, 0, 0, 88, 25, 106, 20, 6, 4, 76, 112, 23, 16, 23, 0, 2.0, 12.0, 19.0, 0, 7, 15, 8, 7, 0, 8, 0, 9, 3, 3, 0, 0.0, 2, 4, 0, 2, 2, 10, 14, 8.7, 52.17, 82.61, 69.59375, 66.6875, 93.296875, 13.298828125, 46.6953125, 65.1875, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 53.296875, 13.298828125, 46.6953125, 26.69921875, 0.0, 0.0, 40.0, 11.0, 3.0, 2.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 108.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 35.0, "11400", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11400&g_ta_cod=11400", 52.0, 43.0, 4.0),
(1275, "Privé hors contrat", "0752824M", "Institut supérieur de rééducation psychomotrice", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "Institut supérieur de rééducation psychomotrice - D.E Psychomotricien", "D.E secteur sanitaire", "", 210, 954, 877, 954, 0, 217, 7, 69, 2, 1, 1, 667, 0, 0, 0, 0, 0, 795, 0, 0, 0, 159, 6, 35, 1, 0, 0, 601, 469, 207, 188, 207, 0, 90.0, 198.0, 198.0, 0, 3, 38, 32, 6, 0, 169, 0, 4, 15, 15, 4, 0.0, 29, 5, 0, 0, 0, 3, 20, 43.48, 95.65, 95.65, 90.796875, 7.8994140625, 52.59375, 0, 7.8994140625, 18.3984375, 0.0, 10.5, 39.5, 39.5, 10.5, 0.0, 84.1875, 76.296875, 15.798828125, 13.19921875, 0.0, 0.0, 65.0, 6.0, 0.0, 0.0, 394.0, "Tous les candidats", 560.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 50.0, "26071", "D.E Psychomotricien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26071&g_ta_cod=26071", 79.0, 19.0, 1.0),
(1276, "Public", "9740479C", "Lycée professionnel Amiral Lacaze", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "Autre formation", "Lycée professionnel Amiral Lacaze - Mention complémentaire - Technicien en réseau électrique", "Mention complémentaire", "", 12, 53, 1, 46, 0, 0, 0, 0, 0, 44, 30, 2, 7, 0, 0, 7, 0, 23, 3, 0, 0, 0, 0, 0, 0, 22, 16, 1, 25, 5, 0, 4, 1, 3.0, 4.0, 5.0, 0, 2, 5, 0, 0, 5, 0, 0, 2, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 5, 5, 60.0, 80.0, 100.0, 0.0, 100.0, 100.0, 0, 40.0, 100.0, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 24.0, 16.0, 1.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "26231", "Mention complémentaire - Technicien en réseau électrique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26231&g_ta_cod=26231", 0.0, 0.0, 100.0),
(1277, "Privé enseignement supérieur", "0593500E", "ESME Sudria Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Advance - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 60, 2065, 462, 2065, 0, 2061, 125, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 1829, 0, 0, 0, 1829, 90, 0, 0, 0, 0, 0, 1496, 39, 9, 39, 0, 22.0, 35.0, 39.0, 0, 1, 39, 39, 0, 0, 0, 0, 7, 11, 16, 4, 1.0, 32, 0, 0, 0, 0, 18, 18, 56.41, 89.74, 100.0, 23.09765625, 46.1953125, 46.1953125, 0, 2.599609375, 100.0, 0.0, 17.8984375, 28.19921875, 41.0, 10.3, 2.6, 100.0, 82.09375, 0.0, 0.0, 0.0, 0.0, 1496.0, 66.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 89.0, "127", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Advance", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=124&g_ta_cod=127", 100.0, 0.0, 0.0),
(1278, "Privé sous contrat d'association", "0690519P", "Lycée Notre Dame Des Minimes", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 5, 242, 98, 242, 0, 0, 0, 0, 0, 0, 0, 242, 0, 0, 0, 0, 0, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 209, 185, 2, 2, 2, 0, 1.0, 2.0, 2.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 50.0, 100.0, 100.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 185.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "31124", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=31124", 100.0, 0.0, 0.0),
(1279, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Chinois", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères et Régionales Chinois", 40, 220, 157, 180, 0, 81, 27, 19, 8, 17, 12, 63, 40, 6, 3, 5, 26, 180, 36, 0, 0, 81, 27, 19, 8, 17, 12, 63, 172, 37, 24, 25, 12, 4.0, 25.0, 28.0, 0, 8, 19, 10, 4, 5, 18, 0, 7, 11, 1, 0, 0.0, 9, 1, 2, 0, 0, 10, 10, 10.81, 67.57, 75.68, 64.890625, 52.59375, 52.59375, 0, 42.09375, 51.3984375, 0.0, 36.796875, 57.8984375, 5.2998046875, 0.0, 0.0, 52.59375, 47.3984375, 21.09765625, 5.2998046875, 26.296875, 10.5, 72.0, 24.0, 19.0, 13.0, 63.0, "Tous les candidats", 180.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8502", "Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8502&g_ta_cod=8502", 65.0, 14.0, 22.0),
(1280, "Public", "0620063G", "Lycée Sophie Berthelot", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "BTS", "Lycée Sophie Berthelot - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 618, 342, 535, 0, 69, 30, 71, 25, 45, 26, 350, 83, 16, 19, 0, 48, 194, 15, 0, 0, 53, 22, 50, 16, 43, 25, 48, 131, 36, 22, 27, 9, 11.0, 25.0, 34.0, 0, 6, 23, 12, 7, 4, 13, 0, 10, 9, 2, 2, 0.0, 5, 5, 3, 3, 0, 23, 23, 30.56, 69.44, 94.44, 61.09375, 100.0, 100.0, 13, 26.09765625, 63.8984375, 0.0, 43.5, 39.09375, 8.69921875, 8.7, 0.0, 52.1953125, 21.69921875, 30.3984375, 21.69921875, 17.3984375, 13.0, 39.0, 13.0, 10.0, 6.0, 42.0, "Tous les candidats sauf les Bac professionnels", 135.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 28.0, "7364", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7364&g_ta_cod=7364", 64.0, 25.0, 11.0),
(1281, "Public", "0772688D", "Lycée Emilie du Châtelet", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Serris", "formation sélective", "Autre formation", "Lycée Emilie du Châtelet - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 210, 115, 207, 0, 47, 4, 38, 12, 33, 14, 89, 3, 0, 1, 0, 2, 87, 0, 0, 0, 35, 3, 22, 6, 8, 4, 22, 82, 21, 11, 21, 0, 7.0, 21.0, 21.0, 0, 3, 12, 4, 3, 5, 9, 0, 6, 3, 3, 0, 0.0, 0, 3, 3, 0, 0, 9, 9, 33.33, 100.0, 100.0, 52.3984375, 75.0, 75.0, 0, 25.0, 57.09375, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 33.296875, 0.0, 25.0, 25.0, 41.6953125, 25.0, 32.0, 3.0, 9.0, 5.0, 21.0, "Tous les candidats", 84.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "25352", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25352&g_ta_cod=25352", 57.0, 19.0, 24.0),
(1282, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 140, 1081, 793, 817, 0, 513, 147, 92, 42, 37, 16, 175, 264, 43, 30, 30, 161, 811, 252, 0, 0, 513, 147, 92, 42, 37, 16, 169, 1063, 124, 81, 55, 69, 51.0, 54.0, 92.0, 0, 23, 68, 43, 10, 15, 56, 2, 40, 19, 7, 0, 0.0, 16, 5, 5, 0, 0, 60, 60, 41.13, 43.55, 74.19, 65.296875, 88.1875, 88.1875, 0, 33.796875, 54.796875, 2.89990234375, 58.796875, 27.8984375, 10.298828125, 0.0, 0.0, 63.1953125, 23.5, 14.69921875, 7.3994140625, 22.09765625, 7.3994140625, 553.0, 160.0, 65.0, 34.0, 323.0, "Tous les candidats", 811.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "6624", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6624&g_ta_cod=6624", 60.0, 19.0, 22.0),
(1283, "Public", "9760370Y", "LYCEE POLYVALENT DE MAMOUDZOU NORD", "976", "Mayotte", "Mayotte", "Mayotte", "Mamoudzou", "formation sélective", "Autre formation", "LYCEE POLYVALENT DE MAMOUDZOU NORD - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 46, 33, 27, 0, 0, 0.0, 0.0, 15.0, 0, 19, 33, 0, 11, 22, 0, 0, 32, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 33, 33, 0.0, 0.0, 45.45, 81.796875, 100.0, 100.0, 0, 57.59375, 100.0, 0.0, 97.0, 3.0, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 3.0, 0.0, 0.0, 25.0, 13.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "24225", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 33.0, 67.0),
(1284, "Privé enseignement supérieur", "0022134J", "ELISA Aerospace Hauts de France", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 15, 252, 85, 238, 0, 1, 0, 0, 0, 0, 0, 237, 14, 0, 0, 0, 14, 139, 14, 0, 0, 1, 0, 0, 0, 0, 0, 138, 131, 12, 1, 4, 8, 2.0, 4.0, 10.0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 16.67, 33.33, 83.33, 8.298828125, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 0.0, 0.0, 0.0, 130.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "22862", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22862", 92.0, 8.0, 0.0),
(1285, "Public", "0430947W", "Lycée Léonard de Vinci", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Monistrol-sur-Loire", "formation sélective", "BTS", "Lycée Léonard de Vinci - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 162, 35, 158, 0, 5, 0, 65, 12, 47, 10, 41, 4, 0, 0, 4, 0, 129, 3, 0, 0, 5, 0, 56, 11, 45, 9, 23, 95, 23, 3, 23, 0, 5.0, 17.0, 18.0, 0, 6, 19, 0, 11, 8, 4, 0, 9, 4, 6, 0, 0.0, 0, 5, 5, 3, 0, 10, 10, 21.74, 73.91, 78.26, 13.0, 52.59375, 52.59375, 15.798828125, 31.59765625, 82.59375, 0.0, 47.3984375, 21.09765625, 31.59765625, 0.0, 0.0, 0.0, 0.0, 57.8984375, 26.296875, 42.09375, 26.296875, 3.0, 0.0, 40.0, 10.0, 12.0, "Tous les candidats sauf les Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 63.0, "5409", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5409&g_ta_cod=5409", 0.0, 57.0, 43.0),
(1286, "Public", "0690023A", "Lycée Ampère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "CPGE", "Lycée Ampère - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 2679, 1358, 2679, 0, 2433, 174, 2, 1, 1, 1, 243, 0, 0, 0, 0, 0, 800, 0, 0, 800, 795, 36, 0, 0, 0, 0, 5, 184, 24, 14, 24, 0, 0.0, 16.0, 24.0, 0, 2, 24, 24, 0, 0, 0, 0, 0, 0, 1, 22, 1.0, 24, 0, 0, 0, 0, 4, 4, 0.0, 66.67, 100.0, 58.296875, 16.69921875, 16.69921875, 0, 8.298828125, 100.0, 0.0, 0.0, 0.0, 4.19921875, 91.7, 4.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 183.0, 19.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "31608", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31313&g_ta_cod=31608", 100.0, 0.0, 0.0),
(1287, "Public", "0750696Z", "Lycée Roger Verlomme", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "BTS", "Lycée Roger Verlomme - CFA Paris Académie Entreprises - BTS - Services - Comptabilité et gestion (Seconde année en apprentissage)", "BTS - Services", "", 24, 624, 288, 569, 0, 71, 24, 170, 67, 149, 75, 179, 55, 0, 36, 2, 17, 282, 4, 0, 0, 47, 14, 86, 32, 83, 43, 66, 141, 21, 11, 17, 3, 2.0, 11.0, 14.0, 0, 9, 18, 2, 9, 7, 3, 0, 4, 9, 3, 2, 0.0, 1, 6, 7, 0, 0, 6, 16, 9.52, 52.38, 66.67, 52.3984375, 33.296875, 88.890625, 0, 50.0, 85.6875, 0.0, 22.19921875, 50.0, 16.69921875, 11.1, 0.0, 11.099609375, 5.599609375, 50.0, 33.296875, 38.8984375, 38.8984375, 7.0, 4.0, 56.0, 29.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 84, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 33.0, "17539", "BTS - Services - Comptabilité et gestion (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17539&g_ta_cod=17539", 14.0, 48.0, 38.0),
(1288, "Public", "0311902Z", "Lycée Stéphane Hessel", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Stéphane Hessel - BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "BTS - Services", "", 12, 465, 255, 465, 0, 56, 18, 68, 19, 152, 57, 189, 0, 0, 0, 0, 0, 346, 0, 0, 0, 51, 15, 61, 16, 134, 51, 100, 38, 12, 8, 12, 0, 3.0, 10.0, 10.0, 0, 4, 10, 2, 2, 6, 2, 0, 0, 7, 3, 0, 0.0, 2, 2, 6, 0, 0, 5, 5, 25.0, 83.33, 83.33, 66.6875, 50.0, 50.0, 0, 40.0, 83.296875, 0.0, 0.0, 70.0, 30.0, 0.0, 0.0, 20.0, 20.0, 20.0, 20.0, 60.0, 60.0, 8.0, 3.0, 18.0, 8.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 10.0, "18821", "BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18821&g_ta_cod=18821", 25.0, 17.0, 58.0),
(1289, "Public", "0261505V", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 12, 336, 19, 336, 0, 75, 15, 108, 28, 77, 25, 76, 0, 0, 0, 0, 0, 187, 0, 0, 0, 47, 13, 66, 15, 49, 14, 25, 58, 12, 1, 12, 0, 1.0, 9.0, 11.0, 0, 3, 9, 1, 3, 5, 3, 0, 4, 5, 0, 0, 0.0, 0, 0, 5, 5, 0, 9, 9, 8.33, 75.0, 91.67, 8.298828125, 100.0, 100.0, 55.59375, 33.296875, 75.0, 0.0, 44.3984375, 55.59375, 0.0, 0.0, 0.0, 11.099609375, 0.0, 33.296875, 0.0, 55.59375, 55.59375, 12.0, 3.0, 16.0, 4.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 32.0, "17719", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17719&g_ta_cod=17719", 8.0, 50.0, 42.0),
(1290, "Public", "0912412C", "Ecole Universitaire de premier cycle - Campus de Sceaux Université Paris-Saclay", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "Licence", "Ecole Universitaire de premier cycle - Campus de Sceaux Université Paris-Saclay - Licence - Double diplôme - Licence Droit - Parcours Langues et Civilisations - option Anglais et Allemand", "Licence - Droit-économie-gestion", "Parcours Langues et Civilisations - option Anglais et Allemand", 30, 454, 330, 127, 0, 94, 16, 6, 3, 1, 0, 26, 327, 128, 20, 9, 170, 79, 30, 0, 0, 65, 10, 2, 2, 0, 0, 12, 102, 27, 18, 11, 16, 1.0, 11.0, 22.0, 0, 3, 18, 18, 0, 0, 9, 0, 2, 8, 5, 3, 0.0, 16, 0, 0, 0, 0, 8, 12, 3.7, 40.74, 81.48, 66.6875, 44.3984375, 66.6875, 0, 16.69921875, 66.6875, 0.0, 11.099609375, 44.3984375, 27.796875, 16.7, 0.0, 100.0, 88.890625, 0.0, 0.0, 0.0, 0.0, 77.0, 10.0, 0.0, 0.0, 23.0, "Tous les candidats", 79.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "11119", "Licence - Double diplôme - Licence Droit - Parcours Langues et Civilisations - option Anglais et Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11119&g_ta_cod=11119", 96.0, 4.0, 0.0),
(1291, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 8 - Sciences de la Vie-Mathématiques-Sciences de la Terre", "Licence - Sciences - technologies - santé", "8 - Sciences de la Vie-Mathématiques-Sciences de la Terre", 120, 661, 379, 521, 0, 357, 39, 29, 5, 1, 0, 134, 140, 59, 4, 2, 75, 512, 36, 0, 0, 357, 39, 29, 5, 1, 0, 125, 555, 76, 43, 60, 13, 60.0, 60.0, 63.0, 0, 7, 61, 60, 1, 0, 15, 0, 36, 17, 7, 1, 0.0, 25, 0, 0, 0, 0, 43, 43, 78.95, 78.95, 82.89, 56.59375, 70.5, 70.5, 0, 11.5, 80.296875, 0.0, 59.0, 27.8984375, 11.5, 1.6, 0.0, 98.390625, 41.0, 1.599853515625, 0.0, 0.0, 0.0, 383.0, 40.0, 1.0, 0.0, 142.0, "Tous les candidats", 512.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "23410", "Licence - Portail 8 - Sciences de la Vie-Mathématiques-Sciences de la Terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23410&g_ta_cod=23410", 96.0, 4.0, 0.0),
(1292, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation non sélective", "PASS", "Université Claude Bernard Lyon 1 - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "proposée par l'Université Lyon 3", 100, 4176, 3062, 4176, 0, 3242, 550, 110, 50, 23, 10, 801, 0, 0, 0, 0, 0, 4146, 0, 0, 0, 3242, 550, 110, 50, 23, 10, 771, 780, 99, 77, 99, 0, 3.0, 56.0, 85.0, 0, 26, 95, 95, 0, 0, 4, 0, 8, 37, 36, 13, 1.0, 87, 0, 0, 0, 0, 81, 81, 3.03, 56.57, 85.86, 77.796875, 85.296875, 85.296875, 0, 27.3984375, 96.0, 0.0, 8.3984375, 38.8984375, 37.8984375, 13.7, 1.1, 100.0, 91.59375, 0.0, 0.0, 0.0, 0.0, 677.0, 139.0, 2.0, 2.0, 98.0, "Tous les candidats", 3692.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "28180", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28157&g_ta_cod=28180", 100.0, 0.0, 0.0),
(1293, "Public", "0910627M", "Lycée Jean Baptiste Corot", "91", "Essonne", "Ile-de-France", "Versailles", "Savigny-sur-Orge", "formation sélective", "CPGE", "Lycée Jean Baptiste Corot - CPGE - Lettres", "Classe préparatoire littéraire", "", 36, 216, 146, 202, 0, 145, 27, 0, 0, 1, 1, 56, 14, 9, 0, 2, 3, 145, 6, 0, 145, 137, 27, 0, 0, 0, 0, 8, 138, 28, 24, 28, 0, 20.0, 27.0, 28.0, 0, 5, 27, 27, 0, 0, 1, 0, 1, 7, 15, 3, 1.0, 26, 0, 0, 8, 6, 25, 27, 71.43, 96.43, 100.0, 85.6875, 92.59375, 100.0, 29.59765625, 18.5, 96.390625, 0.0, 3.69970703125, 25.8984375, 55.59375, 11.1, 3.7, 100.0, 96.296875, 0.0, 0.0, 0.0, 0.0, 130.0, 22.0, 0.0, 0.0, 8.0, "Tous les candidats", 144.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "10864", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10864&g_ta_cod=10864", 100.0, 0.0, 0.0),
(1294, "Public", "0010034G", "Lycée Paul Painleve", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Oyonnax", "formation sélective", "Autre formation", "Lycée Paul Painleve - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 59, 12, 59, 0, 8, 1, 8, 1, 22, 6, 21, 0, 0, 0, 0, 0, 59, 0, 0, 0, 8, 1, 8, 1, 22, 6, 21, 51, 15, 2, 15, 0, 2.0, 15.0, 15.0, 0, 0, 4, 1, 1, 2, 11, 0, 3, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 13.33, 100.0, 100.0, 13.298828125, 50.0, 50.0, 0, 0.0, 26.69921875, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 25.0, 0.0, 25.0, 0.0, 50.0, 25.0, 8.0, 1.0, 22.0, 6.0, 13.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "22257", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22257&g_ta_cod=22257", 73.0, 7.0, 20.0),
(1295, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Double diplôme - Licence Langues, littératures & civilisations étrangères et régionales - LLCER Double diplôme Franco-Allemand Allemand-Lettres en partenariat avec l'université de Duisburg/Essen", "Licence - Arts-lettres-langues", "LLCER Double diplôme Franco-Allemand Allemand-Lettres en partenariat avec l'université de Duisburg/Essen", 10, 43, 30, 37, 0, 28, 7, 2, 0, 0, 0, 7, 6, 1, 0, 0, 5, 33, 2, 0, 0, 26, 5, 1, 0, 0, 0, 6, 27, 1, 0, 1, 0, 0.0, 1.0, 1.0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 19.0, 3.0, 0.0, 0.0, 7.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "26407", "Licence - Double diplôme - Licence Langues, littératures & civilisations étrangères et régionales - LLCER Double diplôme Franco-Allemand Allemand-Lettres en partenariat avec l'université de Duisburg/Essen", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26407&g_ta_cod=26407", 100.0, 0.0, 0.0),
(1296, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence_Las", "Institut national universitaire Champollion - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 20, 980, 744, 980, 0, 658, 127, 33, 10, 8, 5, 281, 0, 0, 0, 0, 0, 971, 0, 0, 0, 658, 127, 33, 10, 8, 5, 272, 162, 20, 16, 20, 0, 0.0, 10.0, 17.0, 0, 4, 19, 19, 0, 0, 1, 0, 0, 3, 12, 4, 0.0, 19, 0, 0, 0, 0, 16, 16, 0.0, 50.0, 85.0, 80.0, 84.1875, 84.1875, 0, 21.09765625, 95.0, 0.0, 0.0, 15.798828125, 63.1953125, 21.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 96.0, 24.0, 0.0, 0.0, 66.0, "Tous les candidats", 412.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "29688", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29687&g_ta_cod=29688", 100.0, 0.0, 0.0),
(1297, "Public", "7200583W", "Lycée Paul Vincensini", "2B", "Haute-Corse", "Corse", "Corse", "Bastia", "formation sélective", "BTS", "Lycée Paul Vincensini - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 12, 233, 34, 212, 0, 15, 2, 22, 5, 30, 12, 145, 21, 4, 6, 3, 8, 42, 5, 0, 0, 10, 1, 12, 1, 16, 8, 4, 39, 4, 0, 3, 1, 0.0, 2.0, 4.0, 0, 1, 3, 1, 0, 2, 1, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 0.0, 50.0, 100.0, 0.0, 100.0, 100.0, 0, 33.296875, 75.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 0.0, 0.0, 66.6875, 0.0, 11.0, 2.0, 13.0, 5.0, 4.0, "Tous les candidats sauf les Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 19.0, "11701", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11701&g_ta_cod=11701", 50.0, 0.0, 50.0),
(1298, "Public", "0381629P", "CNED", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "CNED - BTS - Services - Tourisme", "BTS - Services", "", 2400, 775, 533, 666, 0, 167, 47, 84, 29, 86, 37, 329, 109, 12, 6, 12, 79, 666, 106, 0, 0, 167, 47, 84, 29, 86, 37, 329, 772, 132, 92, 98, 34, 96.0, 98.0, 116.0, 0, 13, 36, 22, 6, 8, 96, 1, 14, 12, 4, 5, 0.0, 11, 5, 5, 0, 0, 8, 8, 72.73, 74.24, 87.88, 69.6875, 22.19921875, 22.19921875, 0, 36.09375, 27.296875, 2.7998046875, 38.8984375, 33.296875, 11.099609375, 13.9, 0.0, 61.09375, 30.59765625, 16.69921875, 13.8984375, 22.19921875, 13.8984375, 179.0, 49.0, 97.0, 42.0, 406.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 434.0, "Bacheliers professionnels toutes séries", 113, "Bacheliers technologiques toutes séries", 123, "Liste d'appel propre à cette formation", 100.0, "20784", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20784&g_ta_cod=20784", 63.0, 15.0, 20.0),
(1299, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol - Mineure Didactique du français langue étrangère", "Licence - Arts-lettres-langues", "Espagnol - Mineure Didactique du français langue étrangère", 30, 144, 106, 94, 0, 56, 16, 6, 2, 6, 4, 26, 50, 13, 2, 3, 32, 93, 46, 0, 0, 56, 16, 6, 2, 6, 4, 25, 131, 29, 22, 14, 15, 3.0, 14.0, 24.0, 0, 8, 14, 10, 2, 2, 15, 0, 8, 4, 2, 0, 0.0, 4, 0, 2, 0, 0, 1, 12, 10.34, 48.28, 82.76, 75.890625, 7.099609375, 85.6875, 0, 57.09375, 48.296875, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 71.390625, 28.59765625, 14.298828125, 0.0, 14.298828125, 14.298828125, 64.0, 23.0, 8.0, 7.0, 51.0, "Tous les candidats", 93.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "24050", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol - Mineure Didactique du français langue étrangère", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24050&g_ta_cod=24050", 72.0, 10.0, 17.0),
(1300, "Public", "0680010S", "Lycée Blaise Pascal", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "CPGE", "Lycée Blaise Pascal - CPGE - TSI", "Classe préparatoire scientifique", "", 35, 172, 32, 171, 123, 0, 0, 144, 34, 0, 0, 27, 1, 0, 0, 0, 1, 157, 0, 123, 100, 0, 0, 137, 33, 0, 0, 20, 77, 16, 3, 16, 0, 14.0, 16.0, 16.0, 12, 3, 16, 0, 16, 0, 0, 0, 0, 4, 10, 2, 0.0, 0, 16, 0, 7, 0, 16, 16, 87.5, 100.0, 100.0, 18.796875, 100.0, 100.0, 43.796875, 18.796875, 100.0, 0.0, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 118.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "8088", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8088&g_ta_cod=8088", 0.0, 100.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(1301, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Autre formation", "Institut Catholique de Lyon - ESTBB - Formation professionnelle - Manager en Biotechnologies (bac +5)", "Formation professionnelle", "", 72, 379, 253, 325, 0, 207, 8, 11, 2, 0, 0, 107, 54, 27, 0, 0, 27, 288, 9, 0, 0, 195, 8, 8, 1, 0, 0, 85, 276, 64, 42, 59, 5, 21.0, 55.0, 62.0, 0, 1, 52, 50, 2, 0, 12, 0, 7, 22, 18, 5, 0.0, 43, 2, 0, 0, 0, 18, 18, 32.81, 85.94, 96.88, 65.59375, 34.59375, 34.59375, 0, 1.89990234375, 81.296875, 0.0, 13.5, 42.296875, 34.59375, 9.6, 0.0, 96.1875, 82.6875, 3.7998046875, 3.7998046875, 0.0, 0.0, 186.0, 4.0, 0.0, 0.0, 84.0, "Tous les candidats", 288.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "29802", "Formation professionnelle - Manager en Biotechnologies (bac +5)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29802&g_ta_cod=29802", 95.0, 5.0, 0.0),
(1302, "Public", "0611097L", "IFSI CH Flers", "61", "Orne", "Normandie", "Normandie", "Flers", "formation sélective", "IFSI", "Regroupement d'IFSI Université Caen - D.E Infirmier", "D.E secteur sanitaire", "", 45, 2412, 2039, 2412, 0, 414, 75, 532, 104, 351, 115, 1115, 0, 0, 0, 0, 0, 2298, 0, 0, 0, 413, 75, 519, 100, 326, 111, 1040, 701, 45, 34, 45, 0, 0.0, 13.0, 38.0, 0, 9, 30, 13, 8, 9, 15, 0, 9, 13, 7, 1, 0.0, 6, 6, 9, 0, 0, 24, 24, 0.0, 28.89, 84.44, 75.59375, 80.0, 80.0, 0, 30.0, 66.6875, 0.0, 30.0, 43.296875, 23.296875, 3.3, 0.0, 43.296875, 20.0, 26.69921875, 20.0, 30.0, 30.0, 209.0, 39.0, 65.0, 21.0, 270.0, "Tous les candidats", 1836.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 44.0, "23396", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23094&g_ta_cod=23396", 56.0, 24.0, 20.0),
(1303, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Portail Sciences pour la santé", "Licence - Sciences - technologies - santé", "", 180, 1571, 1215, 1475, 0, 697, 140, 102, 27, 1, 0, 675, 96, 25, 6, 1, 64, 1473, 93, 0, 0, 697, 140, 102, 27, 1, 0, 673, 989, 168, 131, 123, 45, 5.0, 53.0, 110.0, 0, 19, 66, 54, 11, 1, 102, 0, 38, 24, 3, 1, 0.0, 22, 5, 1, 0, 0, 49, 49, 2.98, 31.55, 65.48, 78.0, 74.1875, 74.1875, 0, 28.796875, 39.296875, 0.0, 57.59375, 36.3984375, 4.5, 1.5, 0.0, 81.796875, 33.296875, 16.69921875, 7.599609375, 1.5, 1.5, 355.0, 97.0, 1.0, 1.0, 575.0, "Tous les candidats", 1592.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 81.0, "10205", "Licence - Portail Sciences pour la santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28634&g_ta_cod=10205", 84.0, 14.0, 1.0),
(1304, "Public", "0840026X", "Lycée de l'Arc", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Orange", "formation sélective", "BTS", "Lycée de l'Arc - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 37, 844, 434, 844, 0, 75, 27, 247, 109, 256, 115, 266, 0, 0, 0, 0, 0, 418, 0, 0, 0, 61, 19, 159, 70, 143, 59, 55, 172, 37, 17, 37, 0, 5.0, 27.0, 32.0, 0, 12, 33, 5, 15, 13, 4, 0, 11, 12, 8, 2, 0.0, 4, 7, 11, 10, 3, 28, 28, 13.51, 72.97, 86.49, 45.8984375, 84.796875, 84.796875, 30.296875, 36.3984375, 89.1875, 0.0, 33.296875, 36.3984375, 24.19921875, 6.1, 0.0, 15.19921875, 12.099609375, 45.5, 21.19921875, 39.3984375, 33.296875, 16.0, 7.0, 53.0, 21.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 111, "Liste d'appel propre à cette formation", 27.0, "10433", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10433&g_ta_cod=10433", 14.0, 49.0, 38.0),
(1305, "Public", "0623902E", "Lycée Marguerite Yourcenar", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Beuvry", "formation sélective", "BTS", "Lycée Marguerite Yourcenar - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 611, 562, 611, 0, 72, 28, 199, 84, 177, 85, 163, 0, 0, 0, 0, 0, 611, 0, 0, 0, 72, 28, 199, 84, 177, 85, 163, 145, 34, 31, 34, 0, 6.0, 25.0, 31.0, 0, 15, 28, 8, 8, 12, 6, 0, 6, 15, 7, 0, 0.0, 7, 4, 11, 3, 1, 28, 28, 17.65, 73.53, 91.18, 91.1875, 100.0, 100.0, 10.69921875, 53.59375, 82.390625, 0.0, 21.3984375, 53.59375, 25.0, 0.0, 0.0, 28.59765625, 25.0, 28.59765625, 14.298828125, 42.8984375, 39.296875, 27.0, 9.0, 38.0, 19.0, 17.0, "Tous les candidats sauf les Bac professionnels", 144.0, "Bacheliers professionnels toutes séries", 57, "", 0, "Liste d'appel propre à cette formation", 33.0, "7480", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7480&g_ta_cod=7480", 24.0, 35.0, 41.0),
(1306, "Public", "0810004P", "Lycée Louis Rascol", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "Autre formation", "Lycée Louis Rascol - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 2, 2, 0, 0, 0.0, 0.0, 0.0, 0, 0, 1, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 0.0, 100.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 3.0, 2.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22409", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 50.0, 50.0),
(1307, "Public", "0760109F", "Lycée Les Bruyères", "76", "Seine-Maritime", "Normandie", "Normandie", "Sotteville-lès-Rouen", "formation sélective", "BTS", "Lycée Les Bruyères - BTS - Services - Commerce International", "BTS - Services", "", 35, 1077, 583, 1077, 0, 248, 72, 336, 159, 182, 103, 311, 0, 0, 0, 0, 0, 495, 0, 0, 0, 98, 28, 236, 104, 90, 47, 71, 169, 32, 21, 32, 0, 7.0, 26.0, 28.0, 0, 12, 28, 9, 12, 7, 4, 0, 10, 11, 5, 2, 0.0, 4, 8, 6, 3, 3, 27, 27, 21.88, 81.25, 87.5, 65.59375, 96.390625, 96.390625, 10.69921875, 42.8984375, 87.5, 0.0, 35.6953125, 39.296875, 17.8984375, 7.1, 0.0, 32.09375, 14.298828125, 42.8984375, 28.59765625, 25.0, 21.3984375, 55.0, 21.0, 31.0, 16.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 102.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 21.0, "9615", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9615&g_ta_cod=9615", 41.0, 38.0, 22.0),
(1308, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation sélective", "Licence", "Université Sorbonne Paris Nord - Double licence - Economie et gestion / Géographie et aménagement - Double licence Economie-Géographie", "Licence - Droit-économie-gestion", "Double licence Economie-Géographie", 14, 395, 171, 227, 0, 161, 44, 2, 0, 3, 1, 61, 168, 45, 20, 13, 90, 98, 5, 0, 0, 88, 12, 0, 0, 0, 0, 10, 71, 13, 6, 10, 3, 2.0, 9.0, 10.0, 0, 1, 12, 12, 0, 0, 1, 0, 2, 3, 6, 1, 0.0, 10, 0, 0, 0, 0, 3, 9, 15.38, 69.23, 76.92, 46.1953125, 25.0, 75.0, 0, 8.298828125, 92.296875, 0.0, 16.69921875, 25.0, 50.0, 8.3, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 61.0, 9.0, 0.0, 0.0, 10.0, "Tous les candidats", 98.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "18774", "Double licence - Economie et gestion / Géographie et aménagement - Double licence Economie-Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18774&g_ta_cod=18774", 100.0, 0.0, 0.0),
(1309, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "Autre formation", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - PCSO : Préparation aux cursus scientifiques d'Orsay", "Année préparatoire", "PCSO : Préparation aux cursus scientifiques d'Orsay", 120, 588, 332, 421, 0, 136, 26, 90, 36, 17, 7, 178, 167, 62, 26, 2, 77, 216, 29, 0, 0, 93, 19, 64, 21, 1, 1, 58, 237, 119, 77, 98, 20, 60.0, 96.0, 114.0, 0, 22, 82, 50, 32, 0, 37, 0, 11, 41, 25, 5, 0.0, 42, 29, 0, 0, 0, 43, 70, 50.42, 80.67, 95.8, 64.6875, 52.3984375, 85.390625, 0, 26.796875, 68.890625, 0.0, 13.3984375, 50.0, 30.5, 6.1, 0.0, 61.0, 51.1953125, 39.0, 35.3984375, 0.0, 0.0, 101.0, 18.0, 1.0, 1.0, 69.0, "Tous les candidats", 216.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "10909", "PCSO : Préparation aux cursus scientifiques d'Orsay", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10909&g_ta_cod=10909", 64.0, 34.0, 3.0),
(1310, "Privé sous contrat d'association", "0440254M", "Ecole Sup. IMS", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Ecole Sup. IMS - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 335, 145, 297, 0, 65, 12, 89, 34, 47, 23, 96, 38, 0, 7, 11, 20, 204, 18, 0, 0, 58, 7, 68, 23, 33, 15, 45, 172, 28, 9, 21, 7, 2.0, 15.0, 22.0, 0, 4, 20, 6, 9, 5, 8, 0, 8, 11, 1, 0, 0.0, 3, 5, 4, 0, 0, 18, 18, 7.14, 53.57, 78.57, 32.09375, 90.0, 90.0, 0, 20.0, 71.390625, 0.0, 40.0, 55.0, 5.0, 0.0, 0.0, 30.0, 15.0, 45.0, 25.0, 25.0, 20.0, 43.0, 5.0, 28.0, 12.0, 39.0, "Tous les candidats sauf les Bac professionnels", 166.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 66.0, "5521", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5521&g_ta_cod=5521", 39.0, 39.0, 21.0),
(1311, "Privé sous contrat d'association", "0691678Z", "Institut Agricole Sandar", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Limonest", "formation sélective", "BTS", "Institut Agricole Sandar - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 18, 151, 38, 129, 0, 27, 4, 44, 4, 14, 2, 44, 22, 6, 1, 2, 13, 73, 13, 0, 0, 18, 1, 31, 2, 11, 2, 13, 66, 9, 2, 4, 5, 1.0, 4.0, 7.0, 0, 0, 5, 1, 3, 1, 4, 0, 3, 2, 0, 0, 0.0, 0, 1, 1, 1, 0, 5, 5, 11.11, 44.44, 77.78, 22.19921875, 100.0, 100.0, 20, 0.0, 55.59375, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 20.0, 0.0, 60.0, 20.0, 20.0, 20.0, 17.0, 1.0, 9.0, 2.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 55.0, "8334", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8334&g_ta_cod=8334", 56.0, 33.0, 11.0),
(1312, "Public", "0940145X", "Lycée professionnel Camille Claudel", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vitry-sur-Seine", "formation sélective", "Autre formation", "Lycée professionnel Camille Claudel - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 45, 20, 8, 0, 0, 0.0, 0.0, 0.0, 0, 11, 20, 0, 4, 16, 0, 1, 14, 5, 0, 0, 0.0, 0, 0, 5, 0, 0, 20, 20, 0.0, 0.0, 0.0, 40.0, 100.0, 100.0, 0, 55.0, 100.0, 5.0, 70.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 25.0, 0.0, 0.0, 33.0, 16.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30690", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 20.0, 80.0),
(1313, "Privé enseignement supérieur", "0332984P", "CESI Campus de Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 75, 1363, 231, 1308, 0, 1009, 117, 89, 20, 0, 0, 210, 55, 20, 0, 0, 35, 978, 6, 0, 0, 804, 69, 65, 10, 0, 0, 109, 336, 55, 13, 52, 3, 28.0, 52.0, 54.0, 0, 6, 50, 48, 2, 0, 5, 0, 7, 26, 15, 2, 0.0, 41, 2, 0, 0, 0, 41, 41, 50.91, 94.55, 98.18, 23.59765625, 82.0, 82.0, 0, 12.0, 90.890625, 0.0, 14.0, 52.0, 30.0, 4.0, 0.0, 96.0, 82.0, 4.0, 4.0, 0.0, 0.0, 262.0, 20.0, 0.0, 0.0, 61.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "25168", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25168", 96.0, 4.0, 0.0),
(1314, "Public", "0031092W", "I.U.T. d'Allier - site de Vichy", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Vichy", "formation sélective", "BUT", "I.U.T. d'Allier - site de Vichy - BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication et expériences utilisateurs : E-commerce et Community Management - Développement web et dispositifs interactifs : Game developer - Création numérique : Audiovisuel - Sound & Motion Design", "BUT - Production", "Stratégie de communication et expériences utilisateurs : E-commerce et Community Management - Développement web et dispositifs interactifs : Game developer - Création numérique : Audiovisuel - Sound & Motion Design", 50, 2110, 563, 2110, 0, 1022, 177, 552, 138, 49, 16, 487, 0, 0, 0, 0, 0, 803, 0, 0, 0, 355, 54, 361, 84, 2, 1, 85, 199, 56, 22, 56, 0, 5.0, 47.0, 55.0, 0, 10, 45, 25, 19, 1, 11, 0, 2, 19, 18, 6, 0.0, 24, 18, 1, 0, 0, 10, 10, 8.93, 83.93, 98.21, 39.296875, 22.19921875, 22.19921875, 0, 22.19921875, 80.390625, 0.0, 4.3994140625, 42.1953125, 40.0, 13.3, 0.0, 55.59375, 53.296875, 42.1953125, 40.0, 2.19970703125, 2.19970703125, 89.0, 17.0, 1.0, 1.0, 27.0, "Tous les candidats sauf les Bac technologiques", 152.0, "Bacheliers technologiques toutes séries", 259, "", 0, "Liste d'appel propre à cette formation", 19.0, "2159", "BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication et expériences utilisateurs : E-commerce et Community Management - Développement web et dispositifs interactifs : Game developer - Création numérique : Audiovisuel - Sound & Motion Design", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2159&g_ta_cod=2159", 48.0, 50.0, 2.0),
(1315, "Public", "0400007R", "Lycée de Borda", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Dax", "formation sélective", "BTS", "Lycée de Borda - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 193, 9, 183, 0, 9, 1, 43, 8, 58, 12, 73, 10, 0, 2, 6, 2, 118, 1, 0, 0, 9, 1, 40, 8, 52, 11, 17, 105, 12, 1, 11, 1, 1.0, 11.0, 12.0, 0, 1, 8, 0, 3, 5, 4, 0, 5, 3, 0, 0, 0.0, 0, 0, 3, 5, 0, 6, 6, 8.33, 91.67, 100.0, 8.298828125, 75.0, 75.0, 62.5, 12.5, 66.6875, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 0.0, 0.0, 37.5, 0.0, 62.5, 37.5, 8.0, 1.0, 48.0, 7.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 64.0, "5200", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5200&g_ta_cod=5200", 25.0, 33.0, 42.0),
(1316, "Public", "0750686N", "Lycée Estienne Esaig", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Estienne Esaig - DN MADE - Livre - - Spécialité : Gravure- images imprimées", "DN MADE", "- Spécialité : Gravure- images imprimées", 12, 434, 361, 434, 0, 120, 19, 95, 11, 37, 6, 182, 0, 0, 0, 0, 0, 40, 0, 0, 0, 13, 2, 16, 2, 3, 1, 8, 21, 12, 9, 12, 0, 5.0, 9.0, 12.0, 0, 0, 9, 6, 3, 0, 3, 0, 1, 1, 3, 3, 1.0, 6, 2, 0, 0, 0, 2, 6, 41.67, 75.0, 100.0, 75.0, 22.19921875, 66.6875, 0, 0.0, 75.0, 0.0, 11.099609375, 11.099609375, 33.296875, 33.3, 11.1, 66.6875, 66.6875, 33.296875, 22.19921875, 0.0, 0.0, 8.0, 1.0, 2.0, 1.0, 4.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "21951", "DN MADE - Livre - - Spécialité : Gravure- images imprimées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21951&g_ta_cod=21951", 67.0, 25.0, 8.0),
(1317, "Privé sous contrat d'association", "0622196A", "Lycée Baudimont Saint-Charles", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "Lycée Baudimont Saint-Charles - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 35, 113, 37, 94, 0, 6, 1, 32, 8, 31, 6, 25, 19, 4, 7, 0, 8, 81, 16, 0, 0, 6, 1, 31, 8, 31, 6, 13, 88, 27, 12, 22, 5, 15.0, 22.0, 26.0, 0, 3, 24, 3, 4, 17, 3, 0, 12, 9, 2, 1, 0.0, 2, 1, 9, 16, 8, 23, 23, 55.56, 81.48, 96.3, 44.3984375, 95.796875, 95.796875, 66.6875, 12.5, 88.890625, 0.0, 50.0, 37.5, 8.298828125, 4.2, 0.0, 12.5, 8.298828125, 16.69921875, 4.19921875, 70.796875, 37.5, 9.0, 2.0, 26.0, 6.0, 16.0, "Tous les candidats sauf les Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 85.0, "7417", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7417&g_ta_cod=7417", 19.0, 19.0, 63.0),
(1318, "Public", "0332747G", "Lycée Jean Condorcet", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Jean Condorcet - BTS - Services - Commerce International", "BTS - Services", "", 36, 1986, 1100, 1942, 0, 526, 123, 637, 216, 265, 125, 514, 44, 4, 0, 15, 25, 512, 5, 0, 0, 131, 28, 239, 78, 111, 46, 31, 202, 32, 24, 29, 3, 2.0, 26.0, 29.0, 0, 10, 28, 6, 13, 9, 4, 1, 0, 10, 16, 1, 0.0, 6, 13, 8, 2, 2, 20, 20, 6.25, 81.25, 90.63, 75.0, 71.390625, 71.390625, 7.099609375, 35.6953125, 87.5, 3.599609375, 0.0, 35.6953125, 57.09375, 3.6, 0.0, 21.3984375, 21.3984375, 46.3984375, 46.3984375, 32.09375, 28.59765625, 39.0, 8.0, 70.0, 27.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 107.0, "Bacheliers professionnels toutes séries", 111, "Bacheliers technologiques toutes séries", 147, "Liste d'appel propre à cette formation", 19.0, "4449", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4449&g_ta_cod=4449", 25.0, 41.0, 34.0),
(1319, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 4 - LEA Anglais/Japonais - Anglais (LLCER)", "Licence - Arts-lettres-langues", "4 - LEA Anglais/Japonais - Anglais (LLCER)", 120, 976, 636, 976, 0, 573, 138, 82, 31, 34, 14, 287, 0, 0, 0, 0, 0, 976, 0, 0, 0, 573, 138, 82, 31, 34, 14, 287, 364, 118, 77, 118, 0, 36.0, 108.0, 108.0, 0, 20, 97, 82, 12, 3, 21, 1, 29, 42, 22, 3, 0.0, 59, 7, 1, 0, 0, 77, 77, 30.51, 91.53, 91.53, 65.296875, 79.390625, 79.390625, 0, 20.59765625, 82.1875, 1.0, 29.8984375, 43.296875, 22.69921875, 3.1, 0.0, 84.5, 60.796875, 12.3984375, 7.19921875, 3.099609375, 1.0, 237.0, 53.0, 15.0, 6.0, 81.0, "Tous les candidats", 431.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "24140", "Licence - Portail 4 - LEA Anglais/Japonais - Anglais (LLCER)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24140&g_ta_cod=24140", 82.0, 14.0, 4.0),
(1320, "Public", "0680016Y", "Lycée Theodore Deck", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Guebwiller", "formation sélective", "BTS", "Lycée Theodore Deck - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 12, 111, 12, 111, 0, 12, 3, 60, 12, 20, 2, 19, 0, 0, 0, 0, 0, 98, 0, 0, 0, 12, 3, 56, 11, 19, 2, 11, 44, 11, 1, 11, 0, 2.0, 8.0, 11.0, 0, 1, 11, 2, 5, 4, 0, 0, 6, 3, 2, 0, 0.0, 1, 1, 3, 8, 1, 11, 11, 18.18, 72.73, 100.0, 9.099609375, 100.0, 100.0, 72.6875, 9.099609375, 100.0, 0.0, 54.5, 27.296875, 18.19921875, 0.0, 0.0, 18.19921875, 9.099609375, 45.5, 9.099609375, 36.3984375, 27.296875, 6.0, 1.0, 12.0, 1.0, 2.0, "Tous les candidats sauf les Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 52.0, "8094", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8094&g_ta_cod=8094", 18.0, 45.0, 36.0),
(1321, "Privé hors contrat", "0693453D", "Institut Paul Bocuse", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Ecully", "formation sélective", "Autre formation", "Institut Paul Bocuse - Formation des écoles supérieures de cuisine Bac +4 - Bachelor (Hons.) Management International de l'Hôtellerie-Restauration", "Formation des écoles supérieures de cuisine", "Bachelor (Hons.) Management International de la Restauration, parcours bilingue", 40, 71, 30, 68, 0, 43, 1, 10, 1, 1, 0, 14, 3, 2, 1, 0, 0, 46, 2, 0, 0, 31, 0, 6, 0, 1, 0, 8, 51, 25, 7, 22, 1, 22.0, 24.0, 25.0, 0, 0, 19, 15, 3, 1, 6, 0, 8, 8, 3, 0, 0.0, 7, 3, 1, 0, 0, 8, 8, 88.0, 96.0, 100.0, 28.0, 42.09375, 42.09375, 0, 0.0, 76.0, 0.0, 42.09375, 42.09375, 15.798828125, 0.0, 0.0, 78.890625, 36.796875, 15.798828125, 15.798828125, 5.2998046875, 5.2998046875, 36.0, 1.0, 1.0, 0.0, 8.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "32262", "Formation des écoles supérieures de cuisine Bac +4 - Bachelor (Hons.) Management International de l'Hôtellerie-Restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32262&g_ta_cod=32262", 80.0, 16.0, 4.0),
(1322, "Public", "0410981U", "Ecole Nationale Supérieure de la Nature et du Paysage", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "Autre formation", "Ecole Nationale Supérieure de la Nature et du Paysage - Paysage", "Formations Bac + 5", "", 30, 120, 66, 120, 0, 61, 10, 11, 0, 0, 0, 48, 0, 0, 0, 0, 0, 61, 0, 0, 0, 31, 1, 5, 0, 0, 0, 25, 40, 29, 16, 29, 0, 21.0, 28.0, 28.0, 0, 1, 14, 11, 3, 0, 15, 0, 1, 6, 5, 2, 0.0, 10, 3, 0, 0, 0, 2, 2, 72.41, 96.55, 96.55, 55.1953125, 14.298828125, 14.298828125, 0, 7.099609375, 48.296875, 0.0, 7.099609375, 42.8984375, 35.6953125, 14.3, 0.0, 78.59375, 71.390625, 21.3984375, 21.3984375, 0.0, 0.0, 17.0, 1.0, 0.0, 0.0, 19.0, "Tous les candidats", 42.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "5267", "Paysage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5267&g_ta_cod=5267", 76.0, 24.0, 0.0),
(1323, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Droit - Parcours Droits français et italien", "Licence - Droit-économie-gestion", "Droits français et italien", 25, 206, 143, 177, 0, 139, 22, 3, 1, 2, 0, 33, 29, 5, 3, 4, 17, 57, 0, 0, 0, 53, 4, 0, 0, 0, 0, 4, 47, 22, 21, 22, 0, 15.0, 21.0, 22.0, 0, 2, 21, 21, 0, 0, 1, 1, 0, 1, 10, 9, 0.0, 20, 0, 0, 0, 0, 5, 7, 68.18, 95.45, 100.0, 95.5, 23.796875, 33.296875, 0, 9.5, 95.5, 4.7998046875, 0.0, 4.7998046875, 47.59375, 42.9, 0.0, 100.0, 95.1875, 0.0, 0.0, 0.0, 0.0, 45.0, 4.0, 0.0, 0.0, 2.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "9204", "Licence - Droit - Parcours Droits français et italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9204&g_ta_cod=9204", 100.0, 0.0, 0.0),
(1324, "Public", "0420043U", "Lycée Jean Monnet", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Production - Bâtiment", "BTS - Production", "", 14, 536, 77, 536, 0, 61, 9, 238, 53, 98, 34, 139, 0, 0, 0, 0, 0, 300, 0, 0, 0, 54, 6, 150, 21, 58, 20, 38, 85, 13, 2, 13, 0, 0.0, 8.0, 10.0, 0, 6, 13, 1, 7, 5, 0, 0, 3, 7, 3, 0, 0.0, 0, 6, 4, 0, 0, 11, 11, 0.0, 61.54, 76.92, 15.3984375, 84.59375, 84.59375, 0, 46.1953125, 100.0, 0.0, 23.09765625, 53.796875, 23.09765625, 0.0, 0.0, 7.69921875, 0.0, 53.796875, 46.1953125, 38.5, 30.796875, 16.0, 1.0, 29.0, 7.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 25.0, "16154", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16154&g_ta_cod=16154", 8.0, 54.0, 38.0),
(1325, "Privé enseignement supérieur", "0951266K", "ESSEC Business School", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Global BBA - track francophone", 260, 5732, 2628, 5732, 0, 5070, 178, 256, 9, 9, 1, 397, 0, 0, 0, 0, 0, 2067, 0, 0, 0, 1913, 35, 42, 2, 0, 0, 112, 1122, 275, 130, 275, 0, 202.0, 275.0, 275.0, 0, 15, 262, 250, 12, 0, 13, 1, 4, 56, 125, 72, 4.0, 245, 12, 0, 0, 0, 70, 117, 73.45, 100.0, 100.0, 47.296875, 26.69921875, 44.6953125, 0, 5.69921875, 95.296875, 0.39996337890625, 1.5, 21.3984375, 47.6953125, 27.5, 1.5, 95.390625, 93.5, 4.599609375, 4.599609375, 0.0, 0.0, 1051.0, 35.0, 0.0, 0.0, 48.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "26156", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26156", 96.0, 4.0, 0.0),
(1326, "Public", "0711372F", "I.U.T du Creusot", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Le Creusot", "formation sélective", "BUT", "I.U.T du Creusot - BUT - Mesures physiques Parcours : Techniques instrumentales - Matériaux et contrôles physico-chimiques", "BUT - Production", "Techniques instrumentales - Matériaux et contrôles physico-chimiques", 72, 547, 107, 527, 0, 401, 47, 41, 11, 1, 1, 84, 20, 3, 3, 0, 14, 487, 12, 0, 0, 383, 45, 31, 9, 0, 0, 73, 351, 42, 5, 37, 5, 7.0, 37.0, 40.0, 0, 6, 35, 33, 2, 0, 7, 0, 13, 13, 8, 1, 0.0, 22, 0, 0, 0, 0, 31, 31, 16.67, 88.1, 95.24, 11.8984375, 88.59375, 88.59375, 0, 17.09765625, 83.296875, 0.0, 37.09375, 37.09375, 22.8984375, 2.9, 0.0, 94.296875, 62.8984375, 5.69921875, 0.0, 0.0, 0.0, 259.0, 32.0, 0.0, 0.0, 61.0, "Tous les candidats sauf les Bac technologiques", 450.0, "Bacheliers technologiques toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 92.0, "8664", "BUT - Mesures physiques Parcours : Techniques instrumentales - Matériaux et contrôles physico-chimiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8664&g_ta_cod=8664", 95.0, 5.0, 0.0),
(1327, "Privé sous contrat d'association", "0490840X", "Lycée polyvalent privé Bourg-Chevreau", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Segré-en-Anjou Bleu", "formation sélective", "BTS", "Lycée polyvalent privé Bourg-Chevreau - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 115, 65, 97, 0, 7, 0, 27, 5, 34, 8, 29, 18, 1, 6, 0, 11, 68, 6, 0, 0, 6, 0, 25, 3, 27, 6, 10, 63, 10, 5, 9, 1, 3.0, 9.0, 10.0, 0, 3, 9, 0, 4, 5, 1, 0, 5, 3, 1, 0, 0.0, 0, 1, 3, 2, 1, 9, 9, 30.0, 90.0, 100.0, 50.0, 100.0, 100.0, 22.19921875, 33.296875, 90.0, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 0.0, 0.0, 44.3984375, 11.099609375, 55.59375, 33.296875, 6.0, 0.0, 22.0, 4.0, 10.0, "Tous les candidats sauf les Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 70.0, "15878", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15878&g_ta_cod=15878", 10.0, 40.0, 50.0),
(1328, "Privé sous contrat d'association", "0592969G", "Lycée Dampierre", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée Dampierre - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 40, 306, 28, 267, 0, 56, 16, 87, 30, 46, 17, 78, 39, 10, 0, 0, 29, 218, 11, 0, 0, 56, 16, 87, 30, 43, 16, 32, 121, 34, 2, 32, 2, 13.0, 32.0, 34.0, 0, 9, 28, 9, 12, 7, 6, 0, 12, 11, 5, 0, 0.0, 4, 7, 5, 9, 0, 28, 28, 38.24, 94.12, 100.0, 5.8994140625, 100.0, 100.0, 32.09375, 32.09375, 82.390625, 0.0, 42.8984375, 39.296875, 17.8984375, 0.0, 0.0, 32.09375, 14.298828125, 42.8984375, 25.0, 25.0, 17.8984375, 42.0, 12.0, 25.0, 9.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 62.0, "6932", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6932&g_ta_cod=6932", 29.0, 50.0, 21.0),
(1329, "Privé sous contrat d'association", "0442569D", "IFSI CROIX ROUGE FRANCAISE Rezé", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Rezé", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nantes - D.E Infirmier", "D.E secteur sanitaire", "", 66, 4337, 3696, 4337, 0, 864, 134, 711, 133, 551, 165, 2211, 0, 0, 0, 0, 0, 3851, 0, 0, 0, 820, 124, 633, 105, 476, 136, 1922, 706, 65, 58, 65, 0, 0.0, 16.0, 37.0, 0, 8, 34, 15, 12, 7, 31, 0, 4, 19, 10, 1, 0.0, 13, 10, 7, 0, 0, 27, 27, 0.0, 24.62, 56.92, 89.1875, 79.390625, 79.390625, 0, 23.5, 52.296875, 0.0, 11.798828125, 55.8984375, 29.3984375, 2.9, 0.0, 44.09375, 38.1953125, 35.296875, 29.3984375, 20.59765625, 20.59765625, 105.0, 11.0, 82.0, 28.0, 431.0, "Tous les candidats", 1796.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "23202", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22994&g_ta_cod=23202", 66.0, 20.0, 14.0),
(1330, "Public", "0220060W", "Lycée Eugene Freyssinet", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée Eugene Freyssinet - BTS - Production - Bâtiment", "BTS - Production", "", 30, 538, 101, 538, 0, 64, 4, 165, 15, 107, 29, 202, 0, 0, 0, 0, 0, 381, 0, 0, 0, 64, 4, 164, 14, 94, 24, 59, 139, 32, 6, 32, 0, 7.0, 22.0, 28.0, 0, 3, 29, 3, 17, 9, 3, 0, 9, 15, 4, 1, 0.0, 1, 11, 8, 2, 1, 28, 28, 21.88, 68.75, 87.5, 18.796875, 96.59375, 96.59375, 6.8994140625, 10.298828125, 90.59375, 0.0, 31.0, 51.6953125, 13.798828125, 3.4, 0.0, 10.298828125, 3.39990234375, 58.59375, 37.8984375, 31.0, 27.59765625, 21.0, 3.0, 46.0, 12.0, 6.0, "Tous les candidats sauf les Bac professionnels", 138.0, "Bacheliers professionnels toutes séries", 72, "", 0, "Liste d'appel propre à cette formation", 39.0, "3328", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3328&g_ta_cod=3328", 13.0, 53.0, 34.0),
(1331, "Public", "0130048G", "Lycée Saint Exupery", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 15e  Arrondissement", "formation sélective", "BTS", "Lycée Saint Exupery - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 1079, 665, 1079, 0, 64, 41, 326, 203, 298, 227, 391, 0, 0, 0, 0, 0, 318, 0, 0, 0, 30, 18, 89, 50, 131, 100, 68, 170, 33, 18, 29, 0, 5.0, 21.0, 25.0, 0, 11, 14, 1, 5, 8, 19, 0, 6, 5, 3, 0, 0.0, 0, 2, 6, 1, 1, 13, 13, 15.15, 63.64, 75.76, 54.5, 92.890625, 92.890625, 7.099609375, 78.59375, 42.3984375, 0.0, 42.8984375, 35.6953125, 21.3984375, 0.0, 0.0, 7.099609375, 0.0, 35.6953125, 14.298828125, 57.09375, 42.8984375, 22.0, 12.0, 38.0, 29.0, 54.0, "Tous les candidats sauf les Bac professionnels", 142.0, "Bacheliers professionnels toutes séries", 97, "", 0, "Liste d'appel propre à cette formation", 22.0, "17653", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17653&g_ta_cod=17653", 18.0, 33.0, 48.0),
(1332, "Privé enseignement supérieur", "0831448Y", "KEDGE BUSINESS SCHOOL - Site de Toulon-La Garde", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Ecole de Commerce", "Banque ECRICOME - Formation des écoles de commerce et de management Bac + 3 - Bachelor Affaires internationales", "Formation des écoles de commerce et de management", "KEDGE Bachelor", 30, 608, 247, 587, 0, 452, 30, 46, 5, 1, 0, 88, 21, 9, 2, 0, 10, 404, 8, 0, 0, 327, 14, 30, 3, 0, 0, 47, 381, 25, 15, 19, 6, 16.0, 18.0, 21.0, 0, 1, 19, 17, 2, 0, 6, 0, 2, 9, 7, 1, 0.0, 15, 2, 0, 0, 0, 19, 19, 64.0, 72.0, 84.0, 60.0, 100.0, 100.0, 0, 5.2998046875, 76.0, 0.0, 10.5, 47.3984375, 36.796875, 5.3, 0.0, 89.5, 78.890625, 10.5, 10.5, 0.0, 0.0, 308.0, 14.0, 0.0, 0.0, 45.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "26271", "Formation des écoles de commerce et de management Bac + 3 - Bachelor Affaires internationales", "Banque ECRICOME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26268&g_ta_cod=26271", 88.0, 12.0, 0.0),
(1333, "Privé enseignement supérieur", "0592808G", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 446, 2307, 1916, 2138, 0, 1224, 194, 191, 57, 64, 24, 659, 169, 23, 14, 4, 128, 2138, 155, 0, 0, 1224, 194, 191, 57, 64, 24, 659, 1746, 430, 337, 369, 61, 45.0, 287.0, 355.0, 0, 48, 259, 218, 27, 14, 171, 0, 75, 115, 57, 8, 4.0, 165, 9, 10, 0, 0, 112, 112, 10.47, 66.74, 82.56, 78.390625, 43.1953125, 43.1953125, 0, 18.5, 60.1953125, 0.0, 29.0, 44.3984375, 22.0, 3.1, 1.5, 84.1875, 63.6953125, 10.3984375, 3.5, 5.3994140625, 3.89990234375, 818.0, 138.0, 54.0, 24.0, 716.0, "Tous les candidats", 2271.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "12648", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28832&g_ta_cod=12648", 82.0, 10.0, 6.0),
(1334, "Public", "0840005Z", "Lycée Philippe de Girard", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée Philippe de Girard - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 200, 29, 181, 0, 14, 3, 45, 19, 67, 33, 55, 19, 0, 11, 0, 8, 93, 3, 0, 0, 12, 3, 27, 10, 43, 23, 11, 56, 13, 0, 11, 2, 3.0, 11.0, 12.0, 0, 9, 12, 0, 6, 6, 1, 1, 4, 4, 3, 0, 0.0, 0, 1, 6, 2, 0, 10, 10, 23.08, 84.62, 92.31, 0.0, 83.296875, 83.296875, 16.69921875, 75.0, 92.296875, 8.298828125, 33.296875, 33.296875, 25.0, 0.0, 0.0, 0.0, 0.0, 50.0, 8.298828125, 50.0, 50.0, 7.0, 2.0, 18.0, 12.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 46.0, "10422", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10422&g_ta_cod=10422", 0.0, 54.0, 46.0),
(1335, "Public", "0820021C", "Lycée Antoine Bourdelle", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Montauban", "formation sélective", "BTS", "Lycée Antoine Bourdelle - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 823, 409, 823, 0, 63, 16, 248, 86, 322, 131, 190, 0, 0, 0, 0, 0, 823, 0, 0, 0, 63, 16, 248, 86, 322, 131, 190, 135, 32, 18, 32, 0, 8.0, 22.0, 24.0, 0, 14, 28, 5, 8, 15, 4, 0, 6, 17, 5, 0, 0.0, 3, 8, 11, 2, 2, 28, 28, 25.0, 68.75, 75.0, 56.296875, 100.0, 100.0, 7.099609375, 50.0, 87.5, 0.0, 21.3984375, 60.6953125, 17.8984375, 0.0, 0.0, 17.8984375, 10.69921875, 28.59765625, 28.59765625, 53.59375, 39.296875, 6.0, 4.0, 49.0, 20.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 18.0, "10319", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10319&g_ta_cod=10319", 19.0, 28.0, 53.0),
(1336, "Privé sous contrat d'association", "0381666E", "Lycée Pierre Termier", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée Pierre Termier - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 160, 16, 119, 0, 21, 4, 30, 6, 27, 6, 41, 41, 0, 16, 16, 9, 75, 9, 0, 0, 18, 3, 22, 2, 20, 3, 15, 63, 14, 0, 9, 5, 0.0, 6.0, 12.0, 0, 0, 10, 2, 5, 3, 4, 1, 6, 2, 1, 0, 0.0, 1, 0, 2, 0, 0, 7, 7, 0.0, 42.86, 85.71, 0.0, 70.0, 70.0, 0, 0.0, 71.390625, 10.0, 60.0, 20.0, 10.0, 0.0, 0.0, 20.0, 10.0, 50.0, 0.0, 30.0, 20.0, 9.0, 2.0, 20.0, 4.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers technologiques toutes séries", 26, "Bacheliers professionnels toutes séries", 20, "Liste d'appel propre à cette formation", 61.0, "4979", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4979&g_ta_cod=4979", 29.0, 50.0, 21.0),
(1337, "Public", "0110004V", "Lycée Paul Sabatier", "11", "Aude", "Occitanie", "Montpellier", "Carcassonne", "formation sélective", "BTS", "Lycée Paul Sabatier - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 400, 39, 400, 0, 45, 13, 120, 35, 114, 47, 121, 0, 0, 0, 0, 0, 293, 0, 0, 0, 35, 11, 113, 30, 94, 36, 51, 177, 31, 3, 31, 0, 1.0, 22.0, 27.0, 0, 7, 23, 3, 9, 11, 8, 0, 12, 6, 4, 1, 0.0, 0, 3, 8, 2, 0, 12, 12, 3.23, 70.97, 87.1, 9.69921875, 52.1953125, 52.1953125, 8.69921875, 30.3984375, 74.1875, 0.0, 52.1953125, 26.09765625, 17.3984375, 4.3, 0.0, 13.0, 0.0, 39.09375, 13.0, 47.796875, 34.796875, 16.0, 6.0, 53.0, 18.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 126, "Liste d'appel propre à cette formation", 62.0, "2447", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2447&g_ta_cod=2447", 19.0, 39.0, 42.0),
(1338, "Public", "0141234R", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Caen", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Caen - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 32, 658, 427, 595, 0, 352, 37, 80, 7, 1, 0, 162, 63, 5, 24, 1, 33, 366, 11, 0, 0, 234, 27, 48, 3, 0, 0, 84, 198, 31, 21, 28, 3, 2.0, 15.0, 29.0, 0, 6, 25, 19, 6, 0, 6, 0, 9, 13, 3, 0, 0.0, 13, 3, 0, 0, 0, 22, 22, 6.45, 48.39, 93.55, 67.6875, 88.0, 88.0, 0, 24.0, 80.59375, 0.0, 36.0, 52.0, 12.0, 0.0, 0.0, 76.0, 52.0, 24.0, 12.0, 0.0, 0.0, 100.0, 14.0, 0.0, 0.0, 63.0, "Tous les candidats sauf les Bac technologiques", 304.0, "Bacheliers technologiques toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 60.0, "2854", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2854&g_ta_cod=2854", 81.0, 19.0, 0.0),
(1339, "Public", "0573430U", "Université de Lorraine - UFR Droit Economie Administration - Site de Sarreguemines", "57", "Moselle", "Grand Est", "Nancy-Metz", "Sarreguemines", "formation non sélective", "Licence", "Université de Lorraine - UFR Droit Economie Administration - Site de Sarreguemines - Licence - Droit", "Licence - Droit-économie-gestion", "", 100, 875, 592, 647, 0, 428, 109, 77, 30, 33, 12, 109, 228, 70, 21, 9, 128, 631, 188, 0, 0, 429, 110, 77, 30, 33, 12, 92, 651, 69, 41, 48, 21, 9.0, 47.0, 62.0, 0, 22, 52, 33, 13, 6, 17, 0, 26, 13, 9, 4, 0.0, 17, 6, 3, 0, 0, 42, 42, 13.04, 68.12, 89.86, 59.3984375, 80.796875, 80.796875, 0, 42.296875, 75.390625, 0.0, 50.0, 25.0, 17.296875, 7.7, 0.0, 63.5, 32.6953125, 25.0, 11.5, 11.5, 5.7998046875, 396.0, 99.0, 27.0, 7.0, 161.0, "Tous les candidats", 630.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "14042", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14042&g_ta_cod=14042", 58.0, 26.0, 13.0),
(1340, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation non sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Portail Mathématiques Informatique Physique et Ingénierie", "Licence - Sciences - technologies - santé", "Mathématiques Informatique Physique et Ingénierie", 230, 2078, 385, 2078, 0, 1486, 263, 52, 10, 5, 2, 535, 0, 0, 0, 0, 0, 2046, 0, 0, 0, 1486, 263, 52, 10, 5, 2, 503, 1325, 229, 28, 228, 0, 6.0, 142.0, 203.0, 0, 37, 155, 148, 5, 2, 74, 1, 99, 43, 8, 4, 0.0, 50, 5, 0, 0, 0, 132, 148, 2.62, 62.01, 88.65, 12.19921875, 85.1875, 95.5, 0, 23.8984375, 67.6875, 0.5999755859375, 63.8984375, 27.69921875, 5.19921875, 2.6, 0.0, 95.5, 32.296875, 3.19970703125, 3.19970703125, 1.2998046875, 0.0, 1039.0, 196.0, 2.0, 2.0, 272.0, "Tous les candidats", 1742.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "11638", "Licence - Portail Mathématiques Informatique Physique et Ingénierie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11638&g_ta_cod=11638", 94.0, 4.0, 1.0),
(1341, "Public", "0750676C", "Lycée des Métiers Dorian", "75", "Paris", "Ile-de-France", "Paris", "Paris 11e  Arrondissement", "formation sélective", "BTS", "Lycée des Métiers Dorian - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 24, 620, 58, 620, 0, 31, 11, 213, 95, 212, 97, 164, 0, 0, 0, 0, 0, 379, 0, 0, 0, 25, 9, 141, 60, 151, 68, 62, 137, 21, 3, 21, 0, 1.0, 16.0, 18.0, 0, 8, 17, 3, 5, 9, 4, 0, 6, 8, 3, 0, 0.0, 1, 1, 9, 1, 0, 8, 17, 4.76, 76.19, 85.71, 14.298828125, 47.09375, 100.0, 5.8994140625, 47.09375, 81.0, 0.0, 35.296875, 47.09375, 17.59765625, 0.0, 0.0, 17.59765625, 5.8994140625, 29.3984375, 5.8994140625, 52.8984375, 52.8984375, 17.0, 7.0, 60.0, 28.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 100, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 30.0, "9030", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9030&g_ta_cod=9030", 24.0, 29.0, 48.0),
(1342, "Privé sous contrat d'association", "0212195Z", "ESEO Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "Bac STL", 4, 28, 11, 26, 0, 0, 0, 26, 11, 0, 0, 0, 2, 0, 2, 0, 0, 19, 1, 0, 0, 0, 0, 19, 7, 0, 0, 0, 19, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "31132", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=31132", 0, 0, 0),
(1343, "Public", "0920150N", "Lycée polyvalent De Prony", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Asnières-sur-Seine", "formation sélective", "BTS", "Lycée polyvalent De Prony - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 28, 691, 377, 691, 0, 93, 25, 138, 48, 266, 96, 194, 0, 0, 0, 0, 0, 616, 0, 0, 0, 83, 19, 124, 44, 248, 84, 161, 89, 28, 18, 28, 0, 0.0, 25.0, 25.0, 0, 9, 21, 1, 7, 13, 7, 0, 5, 10, 5, 1, 0.0, 0, 7, 9, 4, 2, 9, 14, 0.0, 89.29, 89.29, 64.296875, 42.8984375, 66.6875, 19, 42.8984375, 75.0, 0.0, 23.796875, 47.59375, 23.796875, 4.8, 0.0, 4.7998046875, 0.0, 33.296875, 33.296875, 61.8984375, 42.8984375, 8.0, 5.0, 44.0, 13.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 21.0, "19766", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19766&g_ta_cod=19766", 11.0, 36.0, 54.0),
(1344, "Privé enseignement supérieur", "0752304X", "ISTEC - Ecole Supérieure de Commerce et de Marketing", "75", "Paris", "Ile-de-France", "Paris", "Paris 10e  Arrondissement", "formation sélective", "Ecole de Commerce", "ISTEC - Ecole Supérieure de Commerce et de Marketing - Formation des écoles de commerce et de management Bac + 3 - Bachelor Commerce & Marketing", "Formation des écoles de commerce et de management", "Bachelor Commerce & Marketing", 110, 1423, 762, 1347, 0, 767, 112, 261, 50, 67, 23, 252, 76, 20, 14, 5, 37, 520, 8, 0, 0, 359, 41, 88, 13, 13, 4, 60, 451, 100, 61, 96, 4, 56.0, 91.0, 91.0, 0, 15, 80, 58, 20, 2, 20, 0, 35, 39, 6, 0, 0.0, 35, 10, 0, 0, 0, 6, 56, 56.0, 91.0, 91.0, 61.0, 7.5, 70.0, 0, 18.796875, 80.0, 0.0, 43.796875, 48.796875, 7.5, 0.0, 0.0, 72.5, 43.796875, 25.0, 12.5, 2.5, 0.0, 308.0, 37.0, 10.0, 3.0, 56.0, "Tous les candidats", 484.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "31817", "Formation des écoles de commerce et de management Bac + 3 - Bachelor Commerce & Marketing", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31817&g_ta_cod=31817", 70.0, 26.0, 4.0),
(1345, "Public", "0772910V", "UPEC SITE DE FONTAINEBLEAU", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Fontainebleau", "formation sélective", "Licence", "UPEC SITE DE FONTAINEBLEAU - Licence - Science politique - Parcours Science politique à l'international", "Licence - Droit-économie-gestion", "Science politique à l'international", 70, 1656, 1193, 1656, 0, 1404, 181, 12, 6, 0, 0, 240, 0, 0, 0, 0, 0, 849, 0, 0, 0, 742, 87, 7, 2, 0, 0, 100, 265, 70, 61, 70, 0, 28.0, 49.0, 62.0, 0, 5, 55, 54, 1, 0, 15, 0, 0, 4, 25, 25, 1.0, 54, 1, 0, 0, 0, 16, 27, 40.0, 70.0, 88.57, 87.09375, 29.09765625, 49.09375, 0, 9.099609375, 78.59375, 0.0, 0.0, 7.2998046875, 45.5, 45.5, 1.8, 98.1875, 98.1875, 1.7998046875, 1.7998046875, 0.0, 0.0, 198.0, 31.0, 0.0, 0.0, 65.0, "Tous les candidats", 364.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "17333", "Licence - Science politique - Parcours Science politique à l'international", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17333&g_ta_cod=17333", 99.0, 1.0, 0.0),
(1346, "Public", "0590065A", "Lycée Edmond Labbe", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "Autre formation", "Lycée Edmond Labbe - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 2, 2, 0, 0, 0.0, 0.0, 1.0, 0, 1, 2, 0, 2, 0, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 0.0, 0.0, 50.0, 100.0, 100.0, 100.0, 0, 50.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 9.0, 8.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22299", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 100.0, 0.0),
(1347, "Public", "0781297L", "Lycée Plaine De Neauphle", "78", "Yvelines", "Ile-de-France", "Versailles", "Trappes", "formation sélective", "BTS", "Lycée Plaine De Neauphle - BTS - Services - Professions immobilières (Seconde année en apprentissage)", "BTS - Services", "", 33, 625, 331, 625, 0, 71, 20, 212, 75, 121, 54, 221, 0, 0, 0, 0, 0, 320, 0, 0, 0, 64, 19, 119, 42, 75, 32, 62, 158, 31, 25, 31, 0, 3.0, 24.0, 27.0, 0, 7, 26, 2, 10, 14, 5, 0, 9, 14, 3, 0, 0.0, 2, 7, 8, 1, 1, 18, 21, 9.68, 77.42, 87.1, 80.59375, 69.1875, 80.796875, 3.7998046875, 26.8984375, 83.890625, 0.0, 34.59375, 53.796875, 11.5, 0.0, 0.0, 7.69921875, 7.69921875, 38.5, 26.8984375, 53.796875, 30.796875, 29.0, 10.0, 51.0, 17.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 32.0, "9967", "BTS - Services - Professions immobilières (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9967&g_ta_cod=9967", 13.0, 42.0, 45.0),
(1348, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Droit - Parcours Européen Jean Monnet", "Licence - Droit-économie-gestion", "Européen Jean Monnet", 90, 1738, 1233, 816, 0, 607, 146, 47, 13, 10, 1, 152, 922, 424, 99, 15, 384, 406, 44, 0, 0, 360, 65, 11, 2, 0, 0, 35, 382, 89, 66, 65, 23, 5.0, 65.0, 75.0, 0, 17, 81, 79, 2, 0, 8, 0, 4, 30, 39, 8, 0.0, 77, 0, 0, 0, 0, 39, 66, 5.62, 73.03, 84.27, 74.1875, 48.09375, 81.5, 0, 21.0, 91.0, 0.0, 4.8994140625, 37.0, 48.09375, 9.9, 0.0, 97.5, 95.09375, 2.5, 0.0, 0.0, 0.0, 338.0, 63.0, 0.0, 0.0, 36.0, "Tous les candidats", 406.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "11484", "Licence - Droit - Parcours Européen Jean Monnet", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11484&g_ta_cod=11484", 98.0, 2.0, 0.0),
(1349, "Public", "0370036N", "Lycée Balzac", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Balzac - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 36, 1603, 829, 1603, 0, 186, 44, 612, 174, 444, 195, 361, 0, 0, 0, 0, 0, 966, 0, 0, 0, 148, 29, 414, 109, 250, 95, 154, 175, 27, 15, 27, 0, 1.0, 15.0, 19.0, 0, 8, 26, 4, 14, 8, 1, 0, 4, 14, 8, 0, 0.0, 1, 14, 7, 6, 4, 23, 23, 3.7, 55.56, 70.37, 55.59375, 88.5, 88.5, 23.09765625, 30.796875, 96.296875, 0.0, 15.3984375, 53.796875, 30.796875, 0.0, 0.0, 15.3984375, 3.7998046875, 53.796875, 53.796875, 30.796875, 26.8984375, 30.0, 8.0, 58.0, 16.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 141, "Liste d'appel propre à cette formation", 16.0, "4828", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4828&g_ta_cod=4828", 19.0, 52.0, 30.0),
(1350, "Public", "0020032Z", "Lycée Paul Claudel", "02", "Aisne", "Hauts-de-France", "Amiens", "Laon", "formation sélective", "BTS", "Lycée Paul Claudel - BTS - Services - Commerce International", "BTS - Services", "", 33, 805, 340, 797, 0, 69, 12, 96, 39, 43, 17, 589, 8, 0, 0, 2, 6, 200, 3, 0, 0, 4, 0, 96, 39, 43, 17, 57, 144, 27, 12, 25, 2, 4.0, 17.0, 23.0, 0, 9, 19, 0, 8, 11, 8, 0, 10, 6, 1, 2, 0.0, 0, 3, 6, 3, 0, 14, 14, 14.81, 62.96, 85.19, 44.3984375, 73.6875, 73.6875, 15.798828125, 47.3984375, 70.390625, 0.0, 52.59375, 31.59765625, 5.2998046875, 10.5, 0.0, 0.0, 0.0, 42.09375, 15.798828125, 57.8984375, 31.59765625, 0.0, 0.0, 35.0, 13.0, 42.0, "Tous les candidats sauf les Bac professionnels", 134.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 22.0, "2047", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2047&g_ta_cod=2047", 26.0, 30.0, 44.0),
(1351, "Public", "0560008E", "Lycée professionnel Emile James", "56", "Morbihan", "Bretagne", "Rennes", "Etel", "formation sélective", "Autre formation", "Lycée professionnel Emile James - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 12, 55, 0, 55, 0, 0, 0, 0, 0, 51, 12, 4, 0, 0, 0, 0, 0, 55, 0, 0, 0, 0, 0, 0, 0, 51, 12, 4, 31, 12, 0, 12, 0, 4.0, 10.0, 11.0, 0, 4, 11, 0, 0, 11, 1, 0, 2, 6, 3, 0, 0.0, 0, 0, 9, 0, 0, 10, 10, 33.33, 83.33, 91.67, 0.0, 90.890625, 90.890625, 0, 36.3984375, 91.6875, 0.0, 18.19921875, 54.5, 27.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 81.796875, 0.0, 0.0, 28.0, 7.0, 3.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "19790", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19790&g_ta_cod=19790", 0.0, 0.0, 100.0),
(1352, "Public", "0410030K", "Lycée Ronsard", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Vendôme", "formation sélective", "BTS", "Lycée Ronsard - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 18, 278, 132, 265, 0, 14, 2, 116, 34, 85, 36, 50, 13, 0, 0, 11, 2, 163, 4, 0, 0, 8, 0, 88, 27, 53, 17, 14, 120, 18, 9, 12, 4, 2.0, 8.0, 12.0, 0, 12, 17, 1, 7, 9, 1, 0, 10, 2, 5, 0, 0.0, 1, 1, 5, 6, 2, 15, 15, 11.11, 44.44, 66.67, 50.0, 88.1875, 88.1875, 35.296875, 70.59375, 94.390625, 0.0, 58.796875, 11.798828125, 29.3984375, 0.0, 0.0, 5.8994140625, 5.8994140625, 41.1953125, 5.8994140625, 52.8984375, 29.3984375, 7.0, 0.0, 51.0, 18.0, 8.0, "Tous les candidats sauf les Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 57, "", 0, "Liste d'appel propre à cette formation", 50.0, "5243", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5243&g_ta_cod=5243", 11.0, 39.0, 50.0),
(1353, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Licence", "Université de La Rochelle - Double licence - Géographie et aménagement / Histoire - double licence Géographie-Histoire", "Licence - Sciences humaines et sociales", "double licence Géographie-Histoire", 7, 148, 65, 148, 0, 126, 22, 6, 2, 0, 0, 16, 0, 0, 0, 0, 0, 139, 0, 0, 0, 125, 22, 0, 0, 0, 0, 14, 40, 7, 2, 7, 0, 0.0, 7.0, 7.0, 0, 2, 7, 7, 0, 0, 0, 0, 0, 1, 3, 3, 0.0, 7, 0, 0, 0, 0, 3, 3, 0.0, 100.0, 100.0, 28.59765625, 42.8984375, 42.8984375, 0, 28.59765625, 100.0, 0.0, 0.0, 14.298828125, 42.8984375, 42.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 35.0, 7.0, 0.0, 0.0, 5.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "24338", "Double licence - Géographie et aménagement / Histoire - double licence Géographie-Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24338&g_ta_cod=24338", 100.0, 0.0, 0.0),
(1354, "Public", "0330126H", "Lycée Victor Louis", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "BTS", "Lycée Victor Louis - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 1057, 679, 1052, 0, 96, 23, 380, 136, 328, 144, 248, 5, 0, 0, 5, 0, 670, 1, 0, 0, 89, 21, 265, 95, 213, 86, 103, 194, 33, 22, 33, 0, 3.0, 21.0, 25.0, 0, 17, 31, 2, 17, 12, 2, 0, 6, 18, 6, 1, 0.0, 2, 13, 10, 5, 3, 25, 25, 9.09, 63.64, 75.76, 66.6875, 80.59375, 80.59375, 16.09765625, 54.796875, 93.890625, 0.0, 19.3984375, 58.09375, 19.3984375, 3.2, 0.0, 6.5, 6.5, 54.796875, 41.8984375, 38.6953125, 32.296875, 4.0, 2.0, 82.0, 35.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 124, "Bacheliers technologiques toutes séries", 184, "Liste d'appel propre à cette formation", 30.0, "4316", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4316&g_ta_cod=4316", 6.0, 55.0, 39.0),
(1355, "Public", "0630068G", "Lycée Montdory", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Thiers", "formation sélective", "BTS", "Lycée Montdory - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 30, 727, 338, 576, 0, 51, 13, 141, 62, 131, 57, 253, 151, 2, 38, 44, 67, 253, 27, 0, 0, 46, 11, 97, 40, 84, 25, 26, 187, 23, 8, 16, 7, 1.0, 14.0, 21.0, 0, 6, 15, 1, 11, 3, 8, 0, 10, 5, 0, 0, 0.0, 0, 4, 1, 6, 3, 9, 9, 4.35, 60.87, 91.3, 34.796875, 60.0, 60.0, 40, 40.0, 65.1875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 6.69921875, 0.0, 73.296875, 26.69921875, 20.0, 6.69921875, 20.0, 6.0, 69.0, 23.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 108, "Liste d'appel propre à cette formation", 43.0, "7579", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7579&g_ta_cod=7579", 17.0, 70.0, 13.0),
(1356, "Public", "0770922J", "Lycée Gaston BACHELARD", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Chelles", "formation sélective", "BTS", "Lycée Gaston BACHELARD - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 540, 218, 540, 0, 35, 10, 221, 99, 112, 58, 172, 0, 0, 0, 0, 0, 405, 0, 0, 0, 34, 10, 183, 82, 76, 43, 112, 163, 31, 11, 31, 0, 2.0, 19.0, 22.0, 0, 16, 28, 1, 18, 9, 3, 0, 18, 9, 1, 0, 0.0, 0, 5, 5, 3, 1, 26, 27, 6.45, 61.29, 70.97, 35.5, 92.890625, 96.390625, 10.69921875, 57.09375, 90.296875, 0.0, 64.296875, 32.09375, 3.599609375, 0.0, 0.0, 3.599609375, 0.0, 64.296875, 17.8984375, 32.09375, 17.8984375, 4.0, 2.0, 48.0, 28.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 127, "Liste d'appel propre à cette formation", 38.0, "9789", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9789&g_ta_cod=9789", 3.0, 61.0, 35.0),
(1357, "Public", "0500101N", "Centre Régional associé au CNAM de Normandie", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "Autre formation", "CNAM / lycée Arcisse de Caumont (BAYEUX - 14) - Formation Supérieure de Spécialisation - Produits et processus industriels parcours Préparateur de process industriels", "Diplôme d'Université", "Produits et processus industriels parcours Préparateur de process industriels", 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34922", "Formation Supérieure de Spécialisation - Produits et processus industriels parcours Préparateur de process industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34922&g_ta_cod=34922", 0, 0, 0),
(1358, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien-Lettres", "Licence - Arts-lettres-langues", "Italien-Lettres", 10, 80, 63, 76, 0, 43, 10, 11, 5, 3, 2, 19, 4, 0, 0, 0, 4, 76, 4, 0, 0, 43, 10, 11, 5, 3, 2, 19, 53, 10, 7, 8, 2, 0.0, 8.0, 8.0, 0, 1, 6, 4, 2, 0, 4, 0, 3, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 4, 4, 0.0, 80.0, 80.0, 70.0, 66.6875, 66.6875, 0, 16.69921875, 60.0, 0.0, 50.0, 16.69921875, 33.296875, 0.0, 0.0, 66.6875, 50.0, 33.296875, 0.0, 0.0, 0.0, 33.0, 8.0, 0.0, 0.0, 12.0, "Tous les candidats", 76.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "26348", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien-Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26348&g_ta_cod=26348", 70.0, 30.0, 0.0),
(1359, "Public", "0711137A", "Lycée Camille Claudel", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Digoin", "formation sélective", "BTS", "Lycée Camille Claudel - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 113, 23, 108, 0, 2, 1, 15, 4, 19, 4, 72, 5, 0, 0, 1, 4, 48, 4, 0, 0, 2, 1, 15, 4, 19, 4, 12, 42, 4, 0, 2, 2, 0.0, 2.0, 4.0, 0, 0, 1, 0, 1, 0, 3, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 1, 0, 1, 1, 0.0, 50.0, 100.0, 0.0, 100.0, 100.0, 100, 0.0, 25.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 2.0, 1.0, 17.0, 3.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 41.0, "8656", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8656&g_ta_cod=8656", 0.0, 75.0, 25.0),
(1360, "Privé sous contrat d'association", "0511556P", "IRTS Champagne Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "EFTS", "IRTS Champagne Ardenne - D.E Educateur Technique Spécialisé", "D.E secteur social", "", 11, 22, 17, 7, 0, 0, 0, 3, 1, 2, 0, 2, 15, 0, 0, 1, 14, 5, 5, 0, 0, 0, 0, 2, 0, 1, 0, 2, 10, 6, 6, 2, 4, 2.0, 2.0, 2.0, 0, 0, 2, 0, 1, 1, 4, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 33.33, 33.33, 33.33, 100.0, 100.0, 100.0, 0, 0.0, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 1.0, 0.0, 7.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "24904", "D.E Educateur Technique Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24904&g_ta_cod=24904", 33.0, 50.0, 17.0),
(1361, "Public", "0690274Y", "IUT Lyon1 Site de Villeurbanne Doua", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "BUT", "IUT Lyon1 Site de Villeurbanne Doua - BUT - Génie biologique parcours biologie médicale et biotechnologie", "BUT - Production", "", 42, 4156, 3043, 4156, 0, 2195, 296, 795, 230, 21, 6, 1145, 0, 0, 0, 0, 0, 4156, 0, 0, 0, 2195, 296, 795, 230, 21, 6, 1145, 232, 47, 33, 47, 0, 4.0, 37.0, 42.0, 0, 6, 42, 16, 26, 0, 5, 0, 0, 10, 23, 8, 1.0, 16, 26, 0, 0, 0, 19, 19, 8.51, 78.72, 89.36, 70.1875, 45.1953125, 45.1953125, 0, 14.298828125, 89.390625, 0.0, 0.0, 23.796875, 54.796875, 19.0, 2.4, 38.09375, 38.09375, 61.8984375, 61.8984375, 0.0, 0.0, 101.0, 17.0, 0.0, 0.0, 34.0, "Tous les candidats sauf les Bac technologiques", 236.0, "Bacheliers technologiques toutes séries", 122, "", 0, "Liste d'appel propre à cette formation", 9.0, "8278", "BUT - Génie biologique parcours biologie médicale et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8278&g_ta_cod=8278", 43.0, 57.0, 0.0),
(1362, "Public", "0620063G", "Lycée Sophie Berthelot", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "BTS", "Lycée Sophie Berthelot - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 454, 260, 409, 0, 26, 13, 88, 36, 48, 30, 247, 45, 5, 7, 5, 28, 115, 17, 0, 0, 18, 8, 56, 21, 26, 18, 15, 89, 31, 19, 21, 10, 10.0, 21.0, 26.0, 0, 13, 21, 3, 14, 4, 10, 0, 8, 9, 3, 1, 0.0, 1, 8, 4, 15, 7, 20, 20, 32.26, 67.74, 83.87, 61.296875, 95.1875, 95.1875, 71.390625, 61.8984375, 67.6875, 0.0, 38.09375, 42.8984375, 14.298828125, 4.8, 0.0, 14.298828125, 4.7998046875, 66.6875, 38.09375, 19.0, 19.0, 12.0, 4.0, 26.0, 18.0, 20.0, "Tous les candidats sauf les Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 28.0, "7362", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7362&g_ta_cod=7362", 26.0, 61.0, 13.0),
(1363, "Public", "0640001D", "Lycée Cantau", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation sélective", "BTS", "Lycée Cantau - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 30, 184, 9, 179, 0, 8, 0, 45, 6, 61, 21, 65, 5, 0, 1, 2, 2, 178, 0, 0, 0, 8, 0, 45, 6, 60, 21, 65, 112, 21, 0, 20, 0, 5.0, 20.0, 21.0, 0, 4, 18, 1, 7, 10, 3, 0, 8, 7, 2, 1, 0.0, 1, 3, 6, 2, 0, 12, 12, 23.81, 95.24, 100.0, 0.0, 66.6875, 66.6875, 11.099609375, 22.19921875, 85.6875, 0.0, 44.3984375, 38.8984375, 11.099609375, 5.6, 0.0, 5.599609375, 5.599609375, 38.8984375, 16.69921875, 55.59375, 33.296875, 8.0, 0.0, 55.0, 16.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 73.0, "7684", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7684&g_ta_cod=7684", 10.0, 38.0, 52.0),
(1364, "Public", "0632001H", "AgroSup Dijon Direction Enseignement à Distance (CNPR)", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Lempdes", "formation sélective", "BTS", "AgroSup Dijon Direction Enseignement à Distance (CNPR) - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 30, 137, 59, 119, 0, 19, 2, 6, 2, 6, 4, 88, 18, 4, 2, 1, 11, 33, 6, 0, 0, 9, 0, 2, 1, 3, 2, 19, 39, 6, 3, 3, 3, 3.0, 3.0, 3.0, 0, 0, 1, 1, 0, 0, 5, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 0, 0.0, 16.69921875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 9.0, 0.0, 3.0, 2.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 6, "Liste d'appel propre à cette formation", 28.0, "23463", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23463&g_ta_cod=23463", 83.0, 0.0, 17.0),
(1365, "Privé sous contrat d'association", "0211091X", "Lycée Les Arcades", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Les Arcades - BTS - Services - Support à l'action managériale", "BTS - Services", "", 32, 232, 139, 196, 0, 26, 3, 61, 10, 59, 19, 50, 36, 4, 7, 4, 21, 118, 18, 0, 0, 21, 3, 44, 8, 31, 10, 22, 110, 31, 23, 21, 10, 7.0, 20.0, 23.0, 0, 3, 17, 4, 5, 8, 14, 0, 10, 7, 0, 0, 0.0, 1, 1, 5, 10, 6, 17, 17, 22.58, 64.52, 74.19, 74.1875, 100.0, 100.0, 58.796875, 17.59765625, 54.796875, 0.0, 58.796875, 41.1953125, 0.0, 0.0, 0.0, 23.5, 5.8994140625, 29.3984375, 5.8994140625, 47.09375, 29.3984375, 14.0, 2.0, 28.0, 10.0, 30.0, "Tous les candidats sauf les Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 59.0, "3228", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3228&g_ta_cod=3228", 26.0, 29.0, 45.0),
(1366, "Privé sous contrat d'association", "0021874B", "Lycée Saint Remy", "02", "Aisne", "Hauts-de-France", "Amiens", "Soissons", "formation sélective", "BTS", "Lycée Saint Remy - BTS - Services - Assurance", "BTS - Services", "", 35, 313, 159, 273, 0, 33, 11, 27, 5, 22, 10, 191, 40, 3, 9, 4, 24, 74, 11, 0, 0, 24, 9, 22, 3, 11, 5, 17, 75, 8, 3, 6, 2, 3.0, 6.0, 8.0, 0, 2, 6, 2, 3, 1, 2, 0, 5, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 5, 5, 37.5, 75.0, 100.0, 37.5, 83.296875, 83.296875, 0, 33.296875, 75.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 33.296875, 0.0, 50.0, 0.0, 16.69921875, 16.69921875, 22.0, 8.0, 12.0, 6.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 27.0, "2089", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2089&g_ta_cod=2089", 25.0, 63.0, 13.0),
(1367, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Université Toulouse 3 Paul Sabatier - CUPGE - Cycle Universitaire Préparatoire aux Grandes Ecoles - Cycle Universitaire Préparatoire aux Grandes Ecoles (CUPGE)", "CUPGE - Sciences, technologie, santé", "Cycle Universitaire Préparatoire aux Grandes Ecoles (CUPGE)", 126, 1436, 567, 1295, 0, 1048, 105, 3, 1, 0, 0, 244, 141, 47, 6, 0, 88, 880, 47, 0, 0, 756, 68, 0, 0, 0, 0, 124, 843, 88, 27, 66, 22, 34.0, 65.0, 85.0, 0, 10, 65, 65, 0, 0, 23, 0, 1, 8, 36, 19, 1.0, 64, 0, 0, 0, 0, 43, 43, 38.64, 73.86, 96.59, 30.69921875, 66.1875, 66.1875, 0, 15.3984375, 73.890625, 0.0, 1.5, 12.298828125, 55.3984375, 29.2, 1.5, 100.0, 98.5, 0.0, 0.0, 0.0, 0.0, 702.0, 69.0, 0.0, 0.0, 141.0, "Tous les candidats", 880.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "18268", "CUPGE - Cycle Universitaire Préparatoire aux Grandes Ecoles - Cycle Universitaire Préparatoire aux Grandes Ecoles (CUPGE)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18268&g_ta_cod=18268", 100.0, 0.0, 0.0),
(1368, "Public", "0750677D", "Lycée Elisa Lemonnier", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "BTS", "Lycée Elisa Lemonnier - BTS - Services - Métiers de la coiffure", "BTS - Services", "", 15, 198, 160, 198, 0, 35, 13, 31, 14, 55, 28, 77, 0, 0, 0, 0, 0, 198, 0, 0, 0, 35, 13, 31, 14, 55, 28, 77, 72, 10, 8, 10, 0, 3.0, 4.0, 7.0, 0, 1, 5, 1, 2, 2, 5, 0, 4, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 5, 30.0, 40.0, 70.0, 80.0, 0.0, 100.0, 0, 20.0, 50.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 20.0, 0.0, 40.0, 20.0, 40.0, 0.0, 19.0, 8.0, 14.0, 5.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 41.0, "16271", "BTS - Services - Métiers de la coiffure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16271&g_ta_cod=16271", 50.0, 20.0, 30.0),
(1369, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation non sélective", "Licence", "Université de La Rochelle - Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquées (LEA) : anglais - indonésien", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées (LEA) : anglais - indonésien", 30, 122, 90, 103, 0, 55, 14, 16, 7, 5, 2, 27, 19, 4, 3, 0, 12, 103, 18, 0, 0, 55, 14, 16, 7, 5, 2, 27, 108, 29, 23, 19, 10, 4.0, 19.0, 27.0, 0, 5, 19, 11, 7, 1, 10, 0, 8, 7, 4, 0, 0.0, 8, 2, 1, 0, 0, 8, 8, 13.79, 65.52, 93.1, 79.296875, 42.09375, 42.09375, 0, 26.296875, 65.5, 0.0, 42.09375, 36.796875, 21.09765625, 0.0, 0.0, 57.8984375, 42.09375, 36.796875, 10.5, 5.2998046875, 5.2998046875, 53.0, 15.0, 4.0, 2.0, 34.0, "Tous les candidats", 103.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3075", "Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquées (LEA) : anglais - indonésien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3075&g_ta_cod=3075", 59.0, 34.0, 7.0),
(1370, "Privé sous contrat d'association", "0220094H", "Lycée Les Cordeliers Notre Dame de la Victoire", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Dinan", "formation sélective", "BTS", "Lycée Les Cordeliers Notre Dame de la Victoire - BTS - Services - Communication", "BTS - Services", "", 35, 632, 460, 632, 0, 149, 18, 208, 29, 61, 21, 214, 0, 0, 0, 0, 0, 473, 0, 0, 0, 141, 16, 166, 23, 61, 21, 105, 186, 37, 32, 37, 0, 3.0, 26.0, 31.0, 0, 5, 23, 12, 7, 4, 14, 0, 6, 9, 8, 0, 0.0, 6, 7, 4, 2, 2, 22, 22, 8.11, 70.27, 83.78, 86.5, 95.6875, 95.6875, 8.69921875, 21.69921875, 62.1953125, 0.0, 26.09765625, 39.09375, 34.796875, 0.0, 0.0, 52.1953125, 26.09765625, 30.3984375, 30.3984375, 17.3984375, 17.3984375, 62.0, 8.0, 29.0, 11.0, 52.0, "Tous les candidats sauf les Bac professionnels", 231.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 44.0, "3334", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3334&g_ta_cod=3334", 57.0, 27.0, 16.0),
(1371, "Privé sous contrat d'association", "0131391S", "Lycée St Eloi", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée St Eloi - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 251, 10, 242, 0, 14, 3, 45, 7, 126, 42, 57, 9, 0, 4, 0, 5, 162, 4, 0, 0, 14, 3, 44, 6, 95, 28, 9, 87, 26, 0, 25, 1, 7.0, 20.0, 23.0, 0, 3, 23, 1, 5, 17, 3, 0, 7, 6, 9, 1, 0.0, 1, 1, 14, 15, 0, 21, 21, 26.92, 76.92, 88.46, 0.0, 91.296875, 91.296875, 65.1875, 13.0, 88.5, 0.0, 30.3984375, 26.09765625, 39.09375, 4.3, 0.0, 4.2998046875, 4.2998046875, 21.69921875, 4.2998046875, 73.890625, 60.8984375, 4.0, 1.0, 42.0, 9.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 45.0, "2630", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2630&g_ta_cod=2630", 8.0, 27.0, 65.0),
(1372, "Public", "0750652B", "Lycée Charlemagne", "75", "Paris", "Ile-de-France", "Paris", "Paris  4e  Arrondissement", "formation sélective", "CPGE", "Lycée Charlemagne - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 5386, 1700, 5386, 828, 4785, 596, 4, 2, 0, 0, 597, 0, 0, 0, 0, 0, 1847, 0, 642, 1357, 1784, 300, 0, 0, 0, 0, 63, 755, 94, 27, 94, 0, 39.0, 63.0, 86.0, 4, 17, 92, 92, 0, 0, 2, 1, 0, 1, 7, 71, 12.0, 91, 0, 0, 13, 5, 50, 83, 41.49, 67.02, 91.49, 28.69921875, 54.296875, 90.1875, 14.099609375, 18.5, 97.890625, 1.099853515625, 0.0, 1.099853515625, 7.599609375, 77.2, 13.0, 100.0, 98.890625, 0.0, 0.0, 0.0, 0.0, 751.0, 93.0, 0.0, 0.0, 4.0, "Tous les candidats", 884.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "8960", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8960&g_ta_cod=8960", 100.0, 0.0, 0.0),
(1373, "Public", "0763381M", "Sciences Po - campus du Havre - Institut d'études politiques", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Autre formation", "Sciences Po Paris - Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", "Sciences politiques", "Bachelor du Collège universitaire de Sciences Po - Europe-Asia programme - English track, campus du Havre", 56, 2114, 1409, 2114, 0, 2107, 310, 3, 0, 0, 0, 4, 0, 0, 0, 0, 0, 68, 0, 0, 0, 68, 5, 0, 0, 0, 0, 0, 68, 58, 38, 58, 0, 0.0, 58.0, 58.0, 0, 4, 58, 58, 0, 0, 0, 0, 0, 0, 2, 30, 26.0, 58, 0, 0, 0, 0, 3, 3, 0.0, 100.0, 100.0, 65.5, 5.19921875, 5.19921875, 0, 6.8994140625, 100.0, 0.0, 0.0, 0.0, 3.39990234375, 51.7, 44.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 68.0, 5.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 3.0, "31212", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", "Sciences Po Paris - Institut d'études politiques", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25777&g_ta_cod=31212", 100.0, 0.0, 0.0),
(1374, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol - Mineure Anglais", "Licence - Arts-lettres-langues", "Espagnol - Mineure Anglais", 40, 221, 179, 205, 0, 134, 24, 13, 4, 3, 2, 55, 16, 4, 1, 0, 11, 205, 14, 0, 0, 134, 24, 13, 4, 3, 2, 55, 148, 39, 33, 35, 4, 7.0, 29.0, 35.0, 0, 7, 25, 22, 3, 0, 14, 0, 9, 10, 4, 2, 0.0, 14, 2, 0, 0, 0, 4, 20, 17.95, 74.36, 89.74, 84.59375, 16.0, 80.0, 0, 28.0, 64.09375, 0.0, 36.0, 40.0, 16.0, 8.0, 0.0, 88.0, 56.0, 12.0, 8.0, 0.0, 0.0, 105.0, 23.0, 0.0, 0.0, 34.0, "Tous les candidats", 204.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24046", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol - Mineure Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24046&g_ta_cod=24046", 87.0, 13.0, 0.0),
(1375, "Public", "0730039W", "Lycée professionnel General Ferrie", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Michel-de-Maurienne", "formation sélective", "Autre formation", "Lycée professionnel General Ferrie - Mention complémentaire - FCIL Nivoculteur", "Mention complémentaire", "", 6, 13, 1, 13, 0, 0, 0, 2, 0, 8, 1, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 2, 0, 8, 1, 0, 10, 2, 0, 2, 0, 1.0, 2.0, 2.0, 0, 0, 2, 0, 0, 2, 0, 0, 1, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 50.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 8.0, 1.0, 0.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "23584", "Mention complémentaire - FCIL Nivoculteur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23584&g_ta_cod=23584", 0.0, 0.0, 100.0),
(1376, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Langues étrangères appliquées - Parcours Anglais-Italien", "Licence - Arts-lettres-langues", "Anglais-Italien", 38, 182, 118, 158, 0, 90, 24, 10, 5, 4, 1, 54, 24, 4, 2, 4, 14, 158, 22, 0, 0, 90, 24, 10, 5, 4, 1, 54, 159, 36, 20, 26, 10, 8.0, 26.0, 32.0, 0, 5, 17, 14, 2, 1, 19, 0, 10, 6, 0, 1, 0.0, 7, 0, 0, 0, 0, 14, 14, 22.22, 72.22, 88.89, 55.59375, 82.390625, 82.390625, 0, 29.3984375, 47.1953125, 0.0, 58.796875, 35.296875, 0.0, 5.9, 0.0, 82.390625, 41.1953125, 11.798828125, 0.0, 5.8994140625, 0.0, 84.0, 23.0, 7.0, 4.0, 58.0, "Tous les candidats", 158.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3256", "Licence - Langues étrangères appliquées - Parcours Anglais-Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3256&g_ta_cod=3256", 78.0, 14.0, 8.0),
(1377, "Public", "0860038Z", "Lycée Aliénor d' Aquitaine", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "CPGE", "Lycée Aliénor d' Aquitaine - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 45, 572, 279, 569, 372, 449, 34, 0, 0, 0, 0, 120, 3, 1, 0, 0, 2, 433, 2, 11, 433, 412, 32, 0, 0, 0, 0, 21, 333, 34, 15, 34, 0, 21.0, 31.0, 34.0, 1, 2, 34, 34, 0, 0, 0, 0, 1, 10, 18, 5, 0.0, 33, 0, 0, 0, 0, 21, 21, 61.76, 91.18, 100.0, 44.09375, 61.796875, 61.796875, 0, 5.8994140625, 100.0, 0.0, 2.89990234375, 29.3984375, 52.8984375, 14.7, 0.0, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 323.0, 23.0, 0.0, 0.0, 10.0, "Tous les candidats", 456.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "31377", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31377&g_ta_cod=31377", 100.0, 0.0, 0.0),
(1378, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Portail Mathématiques", "Licence - Sciences - technologies - santé", "", 57, 766, 297, 703, 0, 563, 83, 15, 2, 3, 2, 122, 63, 8, 5, 0, 50, 703, 52, 0, 0, 563, 83, 15, 2, 3, 2, 122, 456, 44, 14, 28, 16, 2.0, 23.0, 38.0, 0, 5, 22, 21, 1, 0, 22, 0, 4, 8, 8, 2, 0.0, 17, 1, 0, 0, 0, 20, 20, 4.55, 52.27, 86.36, 31.796875, 90.890625, 90.890625, 0, 22.69921875, 50.0, 0.0, 18.19921875, 36.3984375, 36.3984375, 9.1, 0.0, 95.5, 77.296875, 4.5, 4.5, 0.0, 0.0, 324.0, 50.0, 2.0, 1.0, 120.0, "Tous les candidats", 790.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "3536", "Licence - Portail Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27294&g_ta_cod=3536", 93.0, 7.0, 0.0),
(1379, "Public", "0540135D", "Ecole Nationale Supérieure d'Architecture de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Nancy - Architecture", "Formations Bac + 5", "", 110, 1685, 974, 1685, 0, 954, 172, 155, 47, 41, 21, 535, 0, 0, 0, 0, 0, 420, 0, 0, 0, 234, 43, 26, 5, 7, 3, 153, 229, 109, 73, 109, 0, 79.0, 103.0, 108.0, 0, 11, 59, 48, 11, 0, 50, 0, 0, 6, 33, 19, 1.0, 48, 11, 0, 0, 0, 19, 19, 72.48, 94.5, 99.08, 67.0, 32.1953125, 32.1953125, 0, 18.59765625, 54.09375, 0.0, 0.0, 10.19921875, 55.8984375, 32.2, 1.7, 81.390625, 81.390625, 18.59765625, 18.59765625, 0.0, 0.0, 134.0, 27.0, 1.0, 0.0, 79.0, "Tous les candidats", 252.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "6295", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6295&g_ta_cod=6295", 84.0, 14.0, 0.0),
(1380, "Public", "0060075Z", "Lycée Les Eucalyptus", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "CPGE", "Lycée Les Eucalyptus - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 934, 352, 902, 532, 540, 70, 2, 1, 0, 0, 360, 32, 12, 1, 1, 18, 745, 5, 532, 510, 489, 63, 1, 0, 0, 0, 255, 370, 42, 13, 41, 1, 1.0, 16.0, 40.0, 11, 3, 27, 27, 0, 0, 15, 0, 0, 9, 17, 0, 1.0, 27, 0, 0, 2, 0, 23, 23, 2.38, 38.1, 95.24, 31.0, 85.1875, 85.1875, 7.3994140625, 11.099609375, 64.296875, 0.0, 0.0, 33.296875, 63.0, 0.0, 3.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 317.0, 37.0, 0.0, 0.0, 53.0, "Tous les candidats", 524.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "2228", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2228&g_ta_cod=2228", 100.0, 0.0, 0.0),
(1381, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Portail Mathématiques", "Licence - Sciences - technologies - santé", "", 90, 1226, 415, 1208, 0, 926, 133, 28, 9, 4, 2, 250, 18, 3, 0, 1, 14, 1206, 17, 0, 0, 926, 133, 28, 9, 4, 2, 248, 611, 90, 31, 81, 9, 3.0, 56.0, 79.0, 0, 13, 54, 51, 1, 2, 36, 0, 11, 26, 14, 3, 0.0, 41, 1, 1, 0, 0, 51, 51, 3.33, 62.22, 87.78, 34.3984375, 94.390625, 94.390625, 0, 24.09765625, 60.0, 0.0, 20.3984375, 48.09375, 25.8984375, 5.6, 0.0, 94.390625, 75.890625, 1.89990234375, 1.89990234375, 3.69970703125, 1.89990234375, 432.0, 64.0, 3.0, 3.0, 172.0, "Tous les candidats", 1198.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 90.0, "4901", "Licence - Portail Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32204&g_ta_cod=4901", 92.0, 2.0, 3.0),
(1382, "Public", "0880055G", "Lycée Jules Ferry", "88", "Vosges", "Grand Est", "Nancy-Metz", "Saint-Dié-des-Vosges", "formation sélective", "BTS", "Lycée Jules Ferry - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 329, 168, 324, 0, 25, 5, 135, 44, 74, 32, 90, 5, 0, 0, 1, 4, 191, 2, 0, 0, 22, 4, 104, 34, 45, 16, 20, 135, 33, 18, 31, 2, 2.0, 26.0, 30.0, 0, 13, 31, 4, 19, 8, 2, 0, 13, 15, 2, 1, 0.0, 3, 7, 8, 10, 4, 28, 28, 6.06, 78.79, 90.91, 54.5, 90.296875, 90.296875, 32.296875, 41.8984375, 93.890625, 0.0, 41.8984375, 48.3984375, 6.5, 3.2, 0.0, 12.8984375, 9.69921875, 61.296875, 22.59765625, 25.796875, 25.796875, 14.0, 4.0, 32.0, 13.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 114, "Liste d'appel propre à cette formation", 54.0, "10739", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10739&g_ta_cod=10739", 18.0, 58.0, 24.0),
(1383, "Public", "0132937X", "IFSI Hôpital Nord", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 15e  Arrondissement", "formation sélective", "IFSI", "Regroupement d'IFSI Université Aix-Marseille - D.E Infirmier", "D.E secteur sanitaire", "", 95, 9142, 7579, 9142, 0, 1392, 412, 1296, 496, 918, 477, 5536, 0, 0, 0, 0, 0, 4189, 0, 0, 0, 1026, 257, 529, 175, 93, 40, 2541, 911, 92, 73, 92, 0, 3.0, 43.0, 67.0, 0, 24, 48, 37, 10, 1, 44, 0, 10, 26, 10, 2, 0.0, 27, 10, 1, 0, 0, 48, 48, 3.26, 46.74, 72.83, 79.296875, 100.0, 100.0, 0, 50.0, 52.1953125, 0.0, 20.796875, 54.1953125, 20.796875, 4.2, 0.0, 77.09375, 56.296875, 20.796875, 20.796875, 2.099609375, 2.099609375, 349.0, 105.0, 6.0, 5.0, 498.0, "Tous les candidats", 1914.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 15.0, "23034", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22987&g_ta_cod=23034", 70.0, 23.0, 5.0),
(1384, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Droit - Parcours Droit européen", "Licence - Droit-économie-gestion", "Droit européen", 100, 722, 553, 709, 0, 534, 115, 57, 25, 13, 6, 105, 13, 4, 0, 4, 5, 702, 7, 0, 0, 534, 115, 57, 25, 13, 6, 98, 709, 99, 80, 94, 5, 93.0, 93.0, 93.0, 0, 22, 78, 70, 7, 1, 21, 0, 21, 28, 25, 4, 0.0, 54, 3, 0, 0, 0, 52, 52, 93.94, 93.94, 93.94, 80.796875, 66.6875, 66.6875, 0, 28.19921875, 78.796875, 0.0, 26.8984375, 35.8984375, 32.09375, 5.1, 0.0, 89.6875, 69.1875, 9.0, 3.7998046875, 1.2998046875, 0.0, 535.0, 115.0, 15.0, 8.0, 102.0, "Tous les candidats", 702.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "12124", "Licence - Droit - Parcours Droit européen", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12124&g_ta_cod=12124", 83.0, 12.0, 4.0),
(1385, "Public", "0951673C", "Lycée professionnel Gustave Eiffel", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Ermont", "formation sélective", "Autre formation", "Lycée professionnel Gustave Eiffel - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 12, 47, 0, 47, 0, 0, 0, 0, 0, 44, 15, 3, 0, 0, 0, 0, 0, 45, 0, 0, 0, 0, 0, 0, 0, 42, 15, 3, 27, 12, 0, 12, 0, 6.0, 11.0, 11.0, 0, 4, 11, 0, 0, 11, 1, 0, 6, 2, 2, 1, 0.0, 0, 0, 5, 0, 0, 9, 10, 50.0, 91.67, 91.67, 0.0, 81.796875, 90.890625, 0, 36.3984375, 91.6875, 0.0, 54.5, 18.19921875, 18.19921875, 9.1, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 45.5, 0.0, 0.0, 25.0, 7.0, 2.0, "Tous les candidats", 38.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "13383", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13383&g_ta_cod=13383", 0.0, 0.0, 100.0),
(1386, "Privé enseignement supérieur", "0592806E", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences - Année préparatoire - Année Préparatoire aux Etudes Scientifiques - Parcours Mathématiques et Physique", "Année préparatoire", "Année Préparatoire aux Etudes Scientifiques - Parcours Mathématiques et Physique", 48, 56, 16, 50, 0, 31, 10, 8, 2, 2, 2, 9, 6, 2, 0, 0, 4, 31, 2, 0, 0, 21, 7, 7, 1, 0, 0, 3, 33, 6, 3, 5, 1, 4.0, 5.0, 6.0, 0, 1, 4, 3, 1, 0, 2, 0, 1, 2, 0, 1, 0.0, 3, 0, 0, 0, 0, 1, 1, 66.67, 83.33, 100.0, 50.0, 25.0, 25.0, 0, 25.0, 66.6875, 0.0, 25.0, 50.0, 0.0, 25.0, 0.0, 75.0, 75.0, 25.0, 0.0, 0.0, 0.0, 21.0, 7.0, 0.0, 0.0, 5.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "32446", "Année préparatoire - Année Préparatoire aux Etudes Scientifiques - Parcours Mathématiques et Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32446&g_ta_cod=32446", 83.0, 17.0, 0.0),
(1387, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Autre formation", "Université de Poitiers - DEUST - Animation et gestion des activités sportives, physiques ou culturelles, parcours activités aquatiques", "DEUST", "", 24, 229, 68, 182, 0, 89, 15, 43, 4, 9, 0, 41, 47, 13, 9, 2, 23, 77, 6, 0, 0, 46, 6, 13, 0, 3, 0, 15, 68, 22, 7, 19, 3, 9.0, 19.0, 19.0, 0, 0, 15, 11, 2, 2, 7, 0, 10, 5, 0, 0, 0.0, 3, 1, 1, 0, 0, 8, 8, 40.91, 86.36, 86.36, 31.796875, 53.296875, 53.296875, 0, 0.0, 68.1875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 73.296875, 20.0, 13.298828125, 6.69921875, 13.298828125, 6.69921875, 36.0, 5.0, 3.0, 0.0, 18.0, "Tous les candidats", 77.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "22751", "DEUST - Animation et gestion des activités sportives, physiques ou culturelles, parcours activités aquatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22751&g_ta_cod=22751", 68.0, 18.0, 14.0),
(1388, "Privé sous contrat d'association", "0691875N", "Institut Technique Des Carrieres Carole (Itcc)", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "BTS", "Institut Technique Des Carrieres Carole (Itcc) - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 107, 666, 645, 619, 0, 129, 42, 210, 86, 114, 42, 166, 47, 5, 2, 19, 21, 458, 8, 0, 0, 125, 41, 204, 83, 48, 8, 81, 349, 81, 79, 79, 2, 31.0, 69.0, 75.0, 0, 16, 71, 23, 33, 15, 10, 1, 40, 23, 6, 1, 0.0, 10, 11, 9, 4, 4, 39, 39, 38.27, 85.19, 92.59, 97.5, 54.8984375, 54.8984375, 5.599609375, 22.5, 87.6875, 1.39990234375, 56.296875, 32.3984375, 8.5, 1.4, 0.0, 32.3984375, 14.099609375, 46.5, 15.5, 21.09765625, 12.69921875, 114.0, 39.0, 51.0, 13.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 179.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 172, "Liste d'appel propre à cette formation", 64.0, "8495", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8495&g_ta_cod=8495", 38.0, 42.0, 20.0),
(1389, "Public", "0311092U", "Lycée professionnel des Métiers Eugene MONTEL", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Colomiers", "formation sélective", "BTS", "Lycée professionnel des Métiers Eugene MONTEL - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 12, 150, 3, 150, 0, 13, 3, 28, 1, 75, 15, 34, 0, 0, 0, 0, 0, 117, 0, 0, 0, 12, 2, 24, 0, 67, 14, 14, 45, 11, 0, 10, 0, 3.0, 9.0, 9.0, 0, 2, 9, 1, 0, 8, 2, 0, 0, 3, 2, 4, 0.0, 1, 0, 8, 6, 0, 8, 8, 27.27, 81.82, 81.82, 0.0, 88.890625, 88.890625, 66.6875, 22.19921875, 81.796875, 0.0, 0.0, 33.296875, 22.19921875, 44.4, 0.0, 11.099609375, 11.099609375, 0.0, 0.0, 88.890625, 88.890625, 2.0, 1.0, 25.0, 5.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 43.0, "13192", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13192&g_ta_cod=13192", 9.0, 0.0, 91.0),
(1390, "Public", "0790031E", "Lycée Du Haut Val De Sevre", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Saint-Maixent-l'Ecole", "formation sélective", "BTS", "Lycée Du Haut Val De Sevre - BTS - Production - Finitions, aménagement des bâtiments: conception et réalisation", "BTS - Production", "", 24, 203, 71, 197, 0, 3, 0, 59, 6, 79, 26, 56, 6, 0, 2, 0, 4, 122, 3, 0, 0, 2, 0, 48, 6, 62, 18, 10, 96, 21, 6, 19, 2, 6.0, 18.0, 21.0, 0, 3, 18, 0, 4, 14, 3, 0, 7, 2, 8, 1, 0.0, 0, 1, 10, 5, 2, 10, 10, 28.57, 85.71, 100.0, 28.59765625, 55.59375, 55.59375, 27.796875, 16.69921875, 85.6875, 0.0, 38.8984375, 11.099609375, 44.3984375, 5.6, 0.0, 0.0, 0.0, 22.19921875, 5.599609375, 77.796875, 55.59375, 1.0, 0.0, 52.0, 16.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 62.0, "21895", "BTS - Production - Finitions, aménagement des bâtiments: conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21895&g_ta_cod=21895", 5.0, 24.0, 71.0),
(1391, "Public", "0931272C", "Lycée GUSTAVE EIFFEL", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Gagny", "formation sélective", "BTS", "Lycée GUSTAVE EIFFEL - BTS - Production - Bâtiment", "BTS - Production", "", 36, 675, 97, 675, 0, 60, 17, 184, 72, 183, 79, 248, 0, 0, 0, 0, 0, 415, 0, 0, 0, 60, 17, 126, 44, 122, 53, 107, 127, 36, 9, 36, 0, 2.0, 29.0, 32.0, 0, 16, 29, 5, 10, 14, 7, 0, 22, 3, 4, 0, 0.0, 0, 3, 4, 2, 0, 19, 26, 5.56, 80.56, 88.89, 25.0, 65.5, 89.6875, 6.8994140625, 55.1953125, 80.59375, 0.0, 75.890625, 10.298828125, 13.798828125, 0.0, 0.0, 17.19921875, 0.0, 34.5, 10.298828125, 48.296875, 13.798828125, 19.0, 7.0, 46.0, 15.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 23.0, "11263", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11263&g_ta_cod=11263", 14.0, 44.0, 42.0),
(1392, "Public", "0360689D", "IFSI CH Chateauroux Le Blanc", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Châteauroux", "formation sélective", "IFSI", "Regroupement d'IFSI Université Tours - D.E Infirmier", "D.E secteur sanitaire", "", 62, 4088, 3404, 4088, 0, 606, 108, 1026, 240, 350, 116, 2106, 0, 0, 0, 0, 0, 3609, 0, 0, 0, 588, 103, 989, 225, 287, 96, 1745, 865, 62, 55, 62, 0, 1.0, 24.0, 46.0, 0, 12, 39, 12, 15, 12, 23, 0, 9, 12, 14, 4, 0.0, 11, 7, 12, 0, 0, 26, 26, 1.61, 38.71, 74.19, 88.6875, 66.6875, 66.6875, 0, 30.796875, 62.8984375, 0.0, 23.09765625, 30.796875, 35.8984375, 10.3, 0.0, 30.796875, 28.19921875, 38.5, 17.8984375, 30.796875, 30.796875, 153.0, 18.0, 54.0, 26.0, 316.0, "Tous les candidats", 2761.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "23263", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22995&g_ta_cod=23263", 42.0, 37.0, 21.0),
(1393, "Public", "0860718N", "Lycée Enseignement Général Technologique Agricole Xavier Bernard", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Rouillé", "formation sélective", "BTS", "Lycée Enseignement Général Technologique Agricole Xavier Bernard - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 12, 136, 72, 126, 0, 4, 0, 11, 2, 27, 7, 84, 10, 0, 4, 1, 5, 41, 0, 0, 0, 4, 0, 10, 1, 22, 7, 5, 35, 3, 1, 3, 0, 2.0, 3.0, 3.0, 0, 0, 3, 0, 0, 3, 0, 0, 0, 2, 1, 0, 0.0, 0, 0, 3, 1, 0, 2, 2, 66.67, 100.0, 100.0, 33.296875, 66.6875, 66.6875, 33.296875, 0.0, 100.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 4.0, 0.0, 18.0, 5.0, 4.0, "Tous les candidats sauf les Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 33.0, "10606", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10606&g_ta_cod=10606", 0.0, 0.0, 100.0),
(1394, "Privé sous contrat d'association", "0541253U", "IRTS de Lorraine - Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "EFTS", "IRTS de Lorraine - Nancy - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 24, 208, 197, 208, 0, 44, 3, 42, 7, 23, 3, 99, 0, 0, 0, 0, 0, 208, 0, 0, 0, 44, 3, 42, 7, 23, 3, 99, 49, 23, 22, 23, 0, 9.0, 20.0, 21.0, 0, 0, 12, 5, 3, 4, 11, 0, 2, 3, 4, 3, 0.0, 4, 2, 4, 0, 0, 10, 10, 39.13, 86.96, 91.3, 95.6875, 83.296875, 83.296875, 0, 0.0, 52.1953125, 0.0, 16.69921875, 25.0, 33.296875, 25.0, 0.0, 41.6953125, 33.296875, 25.0, 16.69921875, 33.296875, 33.296875, 11.0, 0.0, 5.0, 0.0, 23.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "24913", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24913&g_ta_cod=24913", 52.0, 26.0, 22.0),
(1395, "Privé sous contrat d'association", "0801720K", "MFR de Flixecourt", "80", "Somme", "Hauts-de-France", "Amiens", "Flixecourt", "formation sélective", "BTS", "MFR de Flixecourt - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 15, 85, 41, 84, 0, 6, 0, 19, 4, 28, 7, 31, 1, 0, 0, 1, 0, 84, 0, 0, 0, 6, 0, 19, 4, 28, 7, 31, 38, 9, 6, 8, 0, 5.0, 7.0, 7.0, 0, 0, 7, 1, 0, 6, 2, 0, 3, 3, 1, 0, 0.0, 0, 0, 4, 2, 1, 6, 6, 55.56, 77.78, 77.78, 66.6875, 85.6875, 85.6875, 28.59765625, 0.0, 77.796875, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 0.0, 0.0, 85.6875, 57.09375, 6.0, 0.0, 17.0, 3.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 50.0, "10238", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10238&g_ta_cod=10238", 22.0, 0.0, 78.0),
(1396, "Public", "0601910A", "Université d'Amiens - Antenne de Beauvais", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation non sélective", "Licence", "Université d'Amiens - Antenne de Beauvais / Lycée Félix Faure de Beauvais  - Licence - Humanités - Parcours PPPE", "Licence - Arts-lettres-langues", "PPPE", 30, 451, 381, 451, 0, 282, 63, 69, 22, 8, 1, 92, 0, 0, 0, 0, 0, 451, 0, 0, 0, 282, 63, 69, 22, 8, 1, 92, 117, 31, 30, 31, 0, 9.0, 31.0, 31.0, 0, 12, 29, 24, 5, 0, 2, 0, 0, 12, 13, 4, 0.0, 24, 5, 0, 0, 0, 21, 21, 29.03, 100.0, 100.0, 96.796875, 72.390625, 72.390625, 0, 41.3984375, 93.5, 0.0, 0.0, 41.3984375, 44.796875, 13.8, 0.0, 82.796875, 82.796875, 17.19921875, 17.19921875, 0.0, 0.0, 79.0, 22.0, 2.0, 1.0, 18.0, "Tous les candidats", 182.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "32730", "Licence - Humanités - Parcours PPPE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32730&g_ta_cod=32730", 77.0, 23.0, 0.0),
(1397, "Privé sous contrat d'association", "0511147V", "Lycée Fredéric OZANAM", "51", "Marne", "Grand Est", "Reims", "Châlons-en-Champagne", "formation sélective", "BTS", "Lycée Fredéric OZANAM - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 22, 225, 190, 209, 0, 16, 5, 65, 21, 54, 17, 74, 16, 3, 3, 3, 7, 143, 2, 0, 0, 16, 5, 63, 20, 39, 10, 25, 78, 17, 13, 16, 1, 2.0, 11.0, 16.0, 0, 4, 13, 3, 7, 3, 4, 0, 9, 3, 0, 1, 0.0, 1, 1, 2, 3, 2, 11, 11, 11.76, 64.71, 94.12, 76.5, 84.59375, 84.59375, 23.09765625, 30.796875, 76.5, 0.0, 69.1875, 23.09765625, 0.0, 7.7, 0.0, 23.09765625, 7.69921875, 53.796875, 7.69921875, 23.09765625, 15.3984375, 11.0, 2.0, 13.0, 3.0, 12.0, "Tous les candidats sauf les Bac professionnels", 84.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 49.0, "6109", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6109&g_ta_cod=6109", 29.0, 53.0, 18.0),
(1398, "Public", "0772294A", "Lycée Emily Brontë", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lognes", "formation sélective", "BTS", "Lycée Emily Brontë - BTS - Services - Professions immobilières", "BTS - Services", "", 24, 497, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 497, 55, 128, 106, 208, 0, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 43, 22, 8, 0, 7, 0.0, 0.0, 19.0, 0, 6, 22, 6, 9, 7, 0, 0, 16, 4, 2, 0, 0.0, 0, 2, 4, 0, 0, 21, 22, 0.0, 0.0, 86.36, 36.3984375, 95.5, 100.0, 0, 27.296875, 100.0, 0.0, 72.6875, 18.19921875, 9.099609375, 0.0, 0.0, 27.296875, 0.0, 40.8984375, 9.099609375, 31.796875, 18.19921875, 18.0, 2.0, 10.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34996", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34996&g_ta_cod=34996", 27.0, 41.0, 32.0),
(1399, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 80, 544, 252, 519, 0, 313, 64, 52, 21, 49, 22, 105, 25, 0, 3, 5, 17, 519, 21, 0, 0, 313, 64, 52, 21, 49, 22, 105, 362, 78, 31, 70, 8, 14.0, 63.0, 68.0, 0, 14, 54, 36, 8, 10, 24, 1, 21, 16, 11, 5, 0.0, 24, 3, 5, 0, 0, 50, 50, 17.95, 80.77, 87.18, 39.6953125, 92.59375, 92.59375, 0, 25.8984375, 69.1875, 1.89990234375, 38.8984375, 29.59765625, 20.3984375, 9.3, 0.0, 66.6875, 44.3984375, 14.798828125, 5.599609375, 18.5, 9.298828125, 222.0, 45.0, 34.0, 20.0, 79.0, "Tous les candidats", 512.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "8163", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8163&g_ta_cod=8163", 62.0, 19.0, 17.0),
(1400, "Public", "0100025Y", "Lycée Les Lombards", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "CPGE", "Lycée Les Lombards - CPGE - TSI", "Classe préparatoire scientifique", "", 30, 227, 30, 227, 152, 0, 0, 174, 41, 0, 0, 53, 0, 0, 0, 0, 0, 215, 0, 152, 173, 0, 0, 169, 39, 0, 0, 46, 85, 28, 2, 28, 0, 9.0, 24.0, 26.0, 12, 7, 25, 0, 25, 0, 3, 0, 4, 13, 7, 1, 0.0, 0, 21, 0, 13, 0, 19, 19, 32.14, 85.71, 92.86, 7.099609375, 76.0, 76.0, 52, 28.0, 89.296875, 0.0, 16.0, 52.0, 28.0, 4.0, 0.0, 0.0, 0.0, 100.0, 84.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 9.0, "Tous les candidats", 154.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "2414", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2414&g_ta_cod=2414", 0.0, 100.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(1401, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "PASS", "Université Toulouse 3 Paul Sabatier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 25, 1582, 926, 1582, 0, 1131, 163, 36, 13, 8, 5, 407, 0, 0, 0, 0, 0, 1582, 0, 0, 0, 1131, 163, 36, 13, 8, 5, 407, 319, 24, 13, 24, 0, 0.0, 6.0, 19.0, 0, 7, 22, 22, 0, 0, 2, 0, 3, 8, 8, 3, 0.0, 19, 0, 0, 0, 0, 18, 18, 0.0, 25.0, 79.17, 54.1953125, 81.796875, 81.796875, 0, 31.796875, 91.6875, 0.0, 13.599609375, 36.3984375, 36.3984375, 13.6, 0.0, 100.0, 86.390625, 0.0, 0.0, 0.0, 0.0, 294.0, 39.0, 0.0, 0.0, 24.0, "Tous les candidats", 3327.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "30938", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29840&g_ta_cod=30938", 100.0, 0.0, 0.0),
(1402, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Licence - Economie et gestion - Parcours Economie et gestion - cursus international intégré franco-allemand", "Licence - Droit-économie-gestion", "Economie et gestion - cursus international intégré franco-allemand", 20, 158, 76, 139, 0, 115, 8, 3, 1, 1, 1, 20, 19, 5, 3, 2, 9, 121, 0, 0, 0, 104, 5, 1, 0, 0, 0, 16, 73, 14, 8, 14, 0, 5.0, 11.0, 12.0, 0, 1, 13, 13, 0, 0, 1, 0, 0, 6, 6, 1, 0.0, 13, 0, 0, 0, 0, 4, 6, 35.71, 78.57, 85.71, 57.09375, 30.796875, 46.1953125, 0, 7.69921875, 92.890625, 0.0, 0.0, 46.1953125, 46.1953125, 7.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 63.0, 3.0, 0.0, 0.0, 10.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "11079", "Licence - Economie et gestion - Parcours Economie et gestion - cursus international intégré franco-allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11079&g_ta_cod=11079", 100.0, 0.0, 0.0),
(1403, "Public", "0620095S", "Lycée Louis Pasteur", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Hénin-Beaumont", "formation sélective", "BTS", "Lycée Louis Pasteur - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 32, 191, 10, 182, 0, 9, 3, 28, 5, 84, 31, 61, 9, 0, 0, 7, 2, 121, 2, 0, 0, 9, 3, 22, 2, 68, 23, 22, 90, 24, 1, 24, 0, 10.0, 24.0, 24.0, 0, 8, 19, 1, 4, 14, 5, 0, 5, 7, 6, 1, 0.0, 0, 1, 13, 6, 0, 19, 19, 41.67, 100.0, 100.0, 4.19921875, 100.0, 100.0, 31.59765625, 42.09375, 79.1875, 0.0, 26.296875, 36.796875, 31.59765625, 5.3, 0.0, 5.2998046875, 0.0, 21.09765625, 5.2998046875, 73.6875, 68.390625, 8.0, 3.0, 54.0, 20.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 63.0, "7372", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7372&g_ta_cod=7372", 8.0, 29.0, 63.0),
(1404, "Public", "0911975C", "Université d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation non sélective", "Licence", "Université d'Evry Val d'Essonne - Licence - Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 155, 2275, 550, 2275, 0, 1203, 179, 333, 58, 111, 33, 628, 0, 0, 0, 0, 0, 2275, 0, 0, 0, 1203, 179, 333, 58, 111, 33, 628, 613, 156, 42, 156, 0, 18.0, 126.0, 139.0, 0, 19, 91, 70, 6, 15, 65, 0, 31, 41, 16, 3, 0.0, 46, 4, 10, 0, 0, 66, 87, 11.54, 80.77, 89.1, 26.8984375, 72.5, 95.59375, 0, 20.8984375, 58.296875, 0.0, 34.09375, 45.09375, 17.59765625, 3.3, 0.0, 76.890625, 50.5, 6.599609375, 4.3994140625, 16.5, 11.0, 302.0, 65.0, 41.0, 17.0, 234.0, "Tous les candidats", 758.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "10951", "Licence - Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10951&g_ta_cod=10951", 77.0, 8.0, 15.0),
(1405, "Public", "0670020H", "Lycée Robert Schuman", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Haguenau", "formation sélective", "BTS", "Lycée Robert Schuman - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 491, 257, 449, 0, 79, 17, 111, 44, 82, 37, 177, 42, 1, 1, 17, 23, 223, 5, 0, 0, 71, 15, 69, 23, 49, 20, 34, 146, 28, 13, 28, 0, 5.0, 26.0, 28.0, 0, 4, 23, 9, 9, 5, 5, 0, 9, 9, 5, 0, 0.0, 3, 6, 5, 8, 5, 23, 23, 17.86, 92.86, 100.0, 46.3984375, 100.0, 100.0, 34.796875, 17.3984375, 82.09375, 0.0, 39.09375, 39.09375, 21.69921875, 0.0, 0.0, 39.09375, 13.0, 39.09375, 26.09765625, 21.69921875, 21.69921875, 44.0, 8.0, 31.0, 9.0, 25.0, "Tous les candidats sauf les Bac professionnels", 160.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 44.0, "7904", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7904&g_ta_cod=7904", 46.0, 36.0, 18.0),
(1406, "Public", "0650139Y", "L.E.G.T.A. Jean Monnet", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Vic-en-Bigorre", "formation sélective", "BTS", "L.E.G.T.A. Jean Monnet - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 32, 678, 259, 678, 0, 166, 33, 167, 30, 142, 44, 203, 0, 0, 0, 0, 0, 491, 0, 0, 0, 134, 28, 149, 28, 111, 35, 97, 136, 32, 14, 32, 0, 4.0, 27.0, 29.0, 0, 8, 24, 6, 8, 10, 8, 0, 6, 5, 11, 2, 0.0, 5, 5, 8, 2, 1, 14, 14, 12.5, 84.38, 90.63, 43.796875, 58.296875, 58.296875, 8.298828125, 33.296875, 75.0, 0.0, 25.0, 20.796875, 45.796875, 8.3, 0.0, 25.0, 20.796875, 33.296875, 20.796875, 41.6953125, 33.296875, 29.0, 5.0, 40.0, 16.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 30.0, "13587", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13587&g_ta_cod=13587", 31.0, 38.0, 31.0),
(1407, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 90, 1432, 577, 1322, 0, 1009, 91, 135, 19, 14, 4, 164, 110, 24, 11, 3, 72, 1320, 72, 0, 0, 1009, 91, 135, 19, 14, 4, 162, 1067, 72, 30, 67, 5, 19.0, 64.0, 69.0, 0, 3, 58, 52, 6, 0, 14, 0, 22, 29, 5, 2, 0.0, 32, 4, 0, 0, 0, 31, 31, 26.39, 88.89, 95.83, 41.6953125, 53.3984375, 53.3984375, 0, 5.19921875, 80.59375, 0.0, 37.8984375, 50.0, 8.599609375, 3.4, 0.0, 89.6875, 55.1953125, 10.298828125, 6.8994140625, 0.0, 0.0, 764.0, 63.0, 13.0, 4.0, 176.0, "Tous les candidats", 1557.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "25385", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25385&g_ta_cod=25385", 82.0, 18.0, 0.0),
(1408, "Privé sous contrat d'association", "0310154Z", "Ecole d'ingénieurs de PURPAN", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Ecole d'Ingénieur", "Réseau France Agro3 - Formation d'ingénieur Bac + 5 - Voie d'accès bac technologique", "Formations  des écoles d'ingénieurs", "Voie d'accès bac technologique", 7, 49, 18, 39, 0, 0, 0, 35, 7, 0, 0, 4, 10, 0, 7, 0, 3, 8, 0, 0, 0, 0, 0, 7, 0, 0, 0, 1, 8, 3, 3, 3, 0, 3.0, 3.0, 3.0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 0, 2, 1, 0.0, 0, 3, 0, 0, 0, 2, 2, 100.0, 100.0, 100.0, 100.0, 66.6875, 66.6875, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 66.6875, 33.3, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "25924", "Formation d'ingénieur Bac + 5 - Voie d'accès bac technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25924&g_ta_cod=25924", 0.0, 100.0, 0.0),
(1409, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Gaston Berger - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 48, 363, 177, 337, 139, 0, 0, 286, 83, 0, 0, 51, 26, 0, 15, 0, 11, 165, 6, 36, 160, 0, 0, 165, 43, 0, 0, 0, 168, 31, 15, 30, 1, 20.0, 30.0, 30.0, 10, 14, 30, 0, 30, 0, 1, 0, 1, 7, 13, 9, 0.0, 0, 29, 0, 5, 4, 26, 26, 64.52, 96.77, 96.77, 48.3984375, 86.6875, 86.6875, 16.69921875, 46.6953125, 96.796875, 0.0, 3.2998046875, 23.296875, 43.296875, 30.0, 0.0, 0.0, 0.0, 100.0, 96.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 167.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "6861", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6861&g_ta_cod=6861", 0.0, 100.0, 0.0),
(1410, "Public", "0783533S", "Lycée Camille Claudel", "78", "Yvelines", "Ile-de-France", "Versailles", "Mantes-la-Ville", "formation sélective", "BTS", "Lycée Camille Claudel - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 825, 401, 825, 0, 38, 13, 222, 75, 260, 114, 305, 0, 0, 0, 0, 0, 516, 0, 0, 0, 33, 11, 200, 67, 145, 62, 138, 206, 32, 9, 29, 0, 0.0, 11.0, 18.0, 0, 13, 21, 1, 9, 11, 11, 0, 13, 7, 1, 0, 0.0, 0, 0, 8, 1, 1, 19, 19, 0.0, 34.38, 56.25, 28.09765625, 90.5, 90.5, 4.7998046875, 61.8984375, 65.59375, 0.0, 61.8984375, 33.296875, 4.7998046875, 0.0, 0.0, 4.7998046875, 0.0, 42.8984375, 0.0, 52.3984375, 38.09375, 9.0, 3.0, 83.0, 28.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 113, "Bacheliers technologiques toutes séries", 134, "Liste d'appel propre à cette formation", 32.0, "10100", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10100&g_ta_cod=10100", 9.0, 44.0, 47.0),
(1411, "Public", "0760110G", "Lycée Marcel Sembat", "76", "Seine-Maritime", "Normandie", "Normandie", "Sotteville-lès-Rouen", "formation sélective", "BTS", "Lycée Marcel Sembat - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 215, 19, 197, 0, 18, 4, 66, 22, 55, 25, 58, 18, 0, 7, 0, 11, 134, 5, 0, 0, 15, 3, 47, 15, 43, 15, 29, 80, 14, 1, 11, 3, 0.0, 7.0, 11.0, 0, 4, 7, 0, 3, 4, 7, 0, 2, 5, 0, 0, 0.0, 0, 1, 4, 0, 0, 6, 6, 0.0, 50.0, 78.57, 7.099609375, 85.6875, 85.6875, 0, 57.09375, 50.0, 0.0, 28.59765625, 71.390625, 0.0, 0.0, 0.0, 0.0, 0.0, 42.8984375, 14.298828125, 57.09375, 57.09375, 4.0, 1.0, 26.0, 11.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 64.0, "9618", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9618&g_ta_cod=9618", 7.0, 43.0, 50.0),
(1412, "Public", "0622807P", "Lycée des Métiers - Hotelier", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Le Touquet-Paris-Plage", "formation sélective", "Autre formation", "Lycée des Métiers - Hotelier - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 15, 79, 52, 69, 0, 5, 1, 5, 1, 18, 10, 41, 10, 0, 1, 3, 6, 33, 4, 0, 0, 5, 1, 5, 1, 18, 10, 5, 34, 7, 4, 6, 1, 2.0, 6.0, 7.0, 0, 2, 4, 0, 0, 4, 3, 0, 1, 1, 2, 0, 0.0, 0, 0, 3, 0, 0, 3, 3, 28.57, 85.71, 100.0, 57.09375, 75.0, 75.0, 0, 50.0, 57.09375, 0.0, 25.0, 25.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 5.0, 1.0, 17.0, 10.0, 7.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "12259", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12259&g_ta_cod=12259", 29.0, 0.0, 71.0),
(1413, "Privé sous contrat d'association", "0622199D", "Lycée Saint Denis", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Omer", "formation sélective", "Autre formation", "Lycée Saint Denis - DN MADE - Espace - - Spécialité : Design alternatif, nouvelles pratiques architecturales : Espace / Innovation sociale", "DN MADE", "- Spécialité : Design alternatif, nouvelles pratiques architecturales : Espace / Innovation sociale", 15, 155, 122, 155, 0, 70, 15, 30, 3, 16, 3, 39, 0, 0, 0, 0, 0, 97, 0, 0, 0, 46, 9, 26, 2, 2, 0, 23, 52, 15, 11, 15, 0, 6.0, 15.0, 15.0, 0, 3, 11, 7, 4, 0, 4, 0, 4, 2, 4, 1, 0.0, 4, 3, 0, 0, 0, 5, 5, 40.0, 100.0, 100.0, 73.296875, 45.5, 45.5, 0, 27.296875, 73.296875, 0.0, 36.3984375, 18.19921875, 36.3984375, 9.1, 0.0, 63.59375, 36.3984375, 36.3984375, 27.296875, 0.0, 0.0, 20.0, 5.0, 0.0, 0.0, 17.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "25040", "DN MADE - Espace - - Spécialité : Design alternatif, nouvelles pratiques architecturales : Espace / Innovation sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25040&g_ta_cod=25040", 67.0, 33.0, 0.0),
(1414, "Public", "0130040Y", "Lycée Thiers", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  1er Arrondissement", "formation sélective", "CPGE", "Lycée Thiers - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 2697, 777, 2697, 1849, 2307, 271, 4, 3, 2, 2, 384, 0, 0, 0, 0, 0, 1271, 0, 388, 1179, 1253, 143, 0, 0, 0, 0, 18, 492, 96, 35, 96, 0, 13.0, 75.0, 94.0, 17, 16, 95, 95, 0, 0, 1, 1, 0, 2, 20, 59, 13.0, 94, 0, 0, 10, 4, 76, 76, 13.54, 78.13, 97.92, 36.5, 80.0, 80.0, 10.5, 16.796875, 99.0, 1.099853515625, 0.0, 2.099609375, 21.09765625, 62.1, 13.7, 100.0, 98.890625, 0.0, 0.0, 0.0, 0.0, 482.0, 58.0, 0.0, 0.0, 10.0, "Tous les candidats", 736.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "2546", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2546&g_ta_cod=2546", 100.0, 0.0, 0.0),
(1415, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Informatique - Parcours Informatique / Miage", "Licence - Sciences - technologies - santé", "Informatique / Miage", 57, 377, 55, 334, 0, 210, 46, 20, 5, 7, 4, 97, 43, 5, 1, 1, 36, 306, 10, 0, 0, 210, 46, 20, 5, 7, 4, 69, 263, 47, 6, 44, 3, 6.0, 40.0, 44.0, 0, 10, 37, 30, 3, 4, 10, 0, 17, 12, 7, 1, 0.0, 15, 2, 3, 0, 0, 30, 30, 12.77, 85.11, 93.62, 12.798828125, 81.09375, 81.09375, 0, 27.0, 78.6875, 0.0, 45.8984375, 32.3984375, 18.8984375, 2.7, 0.0, 81.09375, 40.5, 8.099609375, 5.3994140625, 10.798828125, 8.099609375, 192.0, 40.0, 5.0, 3.0, 58.0, "Tous les candidats", 306.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "15248", "Licence - Informatique - Parcours Informatique / Miage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15248&g_ta_cod=15248", 72.0, 15.0, 11.0),
(1416, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation non sélective", "PASS", "Université Sorbonne Paris Nord - Antenne de Bobigny - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Dispensée sur le site de Villetaneuse", 30, 4072, 2683, 4072, 0, 2852, 776, 86, 42, 29, 16, 1105, 0, 0, 0, 0, 0, 4070, 0, 0, 0, 2852, 776, 86, 42, 29, 16, 1103, 503, 28, 20, 28, 0, 0.0, 2.0, 15.0, 0, 9, 28, 28, 0, 0, 0, 0, 0, 12, 13, 3, 0.0, 28, 0, 0, 0, 0, 17, 27, 0.0, 7.14, 53.57, 71.390625, 60.6953125, 96.390625, 0, 32.09375, 100.0, 0.0, 0.0, 42.8984375, 46.3984375, 10.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 488.0, 123.0, 0.0, 0.0, 15.0, "Tous les candidats", 3850.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "28685", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28682&g_ta_cod=28685", 100.0, 0.0, 0.0),
(1417, "Public", "0500017X", "Lycée Alexis De Tocqueville", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "BTS", "Lycée Alexis De Tocqueville - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 24, 281, 25, 273, 0, 10, 0, 41, 5, 77, 16, 145, 8, 2, 0, 2, 4, 135, 0, 0, 0, 10, 0, 41, 5, 77, 16, 7, 86, 18, 2, 18, 0, 4.0, 14.0, 17.0, 0, 5, 18, 0, 5, 13, 0, 0, 8, 5, 4, 1, 0.0, 0, 1, 9, 12, 2, 18, 18, 22.22, 77.78, 94.44, 11.099609375, 100.0, 100.0, 66.6875, 27.796875, 100.0, 0.0, 44.3984375, 27.796875, 22.19921875, 5.6, 0.0, 0.0, 0.0, 27.796875, 5.599609375, 72.1875, 50.0, 7.0, 0.0, 47.0, 10.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 39.0, "5991", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5991&g_ta_cod=5991", 0.0, 28.0, 72.0),
(1418, "Privé sous contrat d'association", "0421807L", "MFREO de Saint Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "MFREO de Saint Etienne - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 25, 92, 16, 79, 0, 14, 3, 30, 3, 6, 1, 29, 13, 3, 3, 2, 5, 70, 9, 0, 0, 14, 3, 30, 3, 6, 1, 20, 70, 11, 2, 8, 3, 5.0, 8.0, 11.0, 0, 1, 7, 3, 3, 1, 4, 0, 5, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 4, 4, 45.45, 72.73, 100.0, 18.19921875, 57.09375, 57.09375, 0, 14.298828125, 63.59375, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 42.8984375, 0.0, 42.8984375, 14.298828125, 14.298828125, 14.298828125, 16.0, 3.0, 7.0, 2.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 85.0, "5364", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5364&g_ta_cod=5364", 55.0, 36.0, 9.0),
(1419, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "PASS", "Université de Limoges - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 24, 1518, 1085, 1518, 0, 1167, 173, 32, 11, 8, 3, 311, 0, 0, 0, 0, 0, 1503, 0, 0, 0, 1167, 173, 32, 11, 8, 3, 296, 261, 23, 14, 23, 0, 0.0, 13.0, 21.0, 0, 4, 18, 16, 2, 0, 5, 0, 6, 11, 0, 1, 0.0, 11, 1, 0, 0, 0, 13, 13, 0.0, 56.52, 91.3, 60.8984375, 72.1875, 72.1875, 0, 22.19921875, 78.296875, 0.0, 33.296875, 61.09375, 0.0, 5.6, 0.0, 88.890625, 61.09375, 11.099609375, 5.599609375, 0.0, 0.0, 207.0, 34.0, 1.0, 0.0, 48.0, "Tous les candidats", 2038.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "26972", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26973&g_ta_cod=26972", 91.0, 9.0, 0.0),
(1420, "Privé sous contrat d'association", "0721658L", "IFSI CROIX ROUGE FRANCAISE LE MANS", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "IFSI", "Regroupement d'IFSI Université du Mans - D.E Infirmier", "D.E secteur sanitaire", "", 39, 2466, 2161, 2466, 0, 437, 75, 431, 70, 459, 156, 1139, 0, 0, 0, 0, 0, 2053, 0, 0, 0, 406, 69, 372, 53, 363, 122, 912, 475, 38, 32, 38, 0, 0.0, 5.0, 15.0, 0, 2, 18, 5, 7, 6, 20, 0, 5, 8, 4, 1, 0.0, 3, 4, 6, 0, 0, 11, 11, 0.0, 13.16, 39.47, 84.1875, 61.09375, 61.09375, 0, 11.099609375, 47.3984375, 0.0, 27.796875, 44.3984375, 22.19921875, 5.6, 0.0, 27.796875, 16.69921875, 38.8984375, 22.19921875, 33.296875, 33.296875, 81.0, 11.0, 75.0, 27.0, 250.0, "Tous les candidats", 1094.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "23048", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23002&g_ta_cod=23048", 50.0, 24.0, 26.0),
(1421, "Public", "0492371L", "IFSI CHU ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "IFSI", "Regroupement d'IFSI Université Angers - D.E Infirmier", "D.E secteur sanitaire", "", 124, 3566, 3143, 3566, 0, 918, 143, 687, 137, 343, 90, 1618, 0, 0, 0, 0, 0, 3017, 0, 0, 0, 854, 127, 574, 101, 272, 56, 1317, 465, 124, 117, 124, 0, 19.0, 77.0, 82.0, 0, 6, 67, 34, 24, 9, 57, 0, 0, 16, 35, 16, 0.0, 34, 24, 9, 0, 0, 56, 56, 15.32, 62.1, 66.13, 94.390625, 83.59375, 83.59375, 0, 9.0, 54.0, 0.0, 0.0, 23.8984375, 52.1953125, 23.9, 0.0, 50.6953125, 50.6953125, 35.796875, 35.796875, 13.3984375, 13.3984375, 102.0, 16.0, 41.0, 12.0, 241.0, "Tous les candidats", 485.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "23042", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22996&g_ta_cod=23042", 71.0, 21.0, 7.0),
(1422, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Eurasie -  Géorgien", "Licence - Arts-lettres-langues", "Eurasie -  Géorgien", 15, 19, 8, 8, 0, 2, 2, 1, 1, 1, 1, 4, 11, 2, 2, 0, 7, 8, 5, 0, 0, 2, 2, 1, 1, 1, 1, 4, 13, 3, 1, 2, 1, 2.0, 2.0, 3.0, 0, 2, 2, 0, 1, 1, 1, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 1, 66.67, 66.67, 100.0, 33.296875, 0.0, 50.0, 0, 100.0, 66.6875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 3.0, 3.0, 1.0, 1.0, 8.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9441", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Eurasie -  Géorgien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9441&g_ta_cod=9441", 33.0, 33.0, 33.0),
(1423, "Public", "0021888S", "Institut de Formation en Soins Infirmiers - SAINT-QUENTIN", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "IFSI", "Regroupement d'IFSI Université Amiens - D.E Infirmier", "D.E secteur sanitaire", "", 116, 2906, 2417, 2906, 0, 506, 116, 506, 148, 434, 182, 1460, 0, 0, 0, 0, 0, 2009, 0, 0, 0, 412, 92, 371, 101, 315, 117, 911, 856, 116, 101, 116, 0, 3.0, 56.0, 101.0, 0, 32, 75, 25, 19, 31, 41, 0, 7, 33, 28, 7, 0.0, 22, 17, 29, 0, 0, 55, 55, 2.59, 48.28, 87.07, 87.09375, 73.296875, 73.296875, 0, 42.6953125, 64.6875, 0.0, 9.298828125, 44.0, 37.296875, 9.3, 0.0, 33.296875, 29.296875, 25.296875, 22.69921875, 41.296875, 38.6953125, 187.0, 47.0, 161.0, 62.0, 360.0, "Tous les candidats", 2592.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 44.0, "23074", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23008&g_ta_cod=23074", 40.0, 27.0, 33.0),
(1424, "Public", "0940141T", "Lycée professionnel Jacques Brel", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Choisy-le-Roi", "formation sélective", "Autre formation", "Lycée professionnel Jacques Brel - Mention complémentaire - FCIL Restauration Meubles Anciens", "Mention complémentaire", "", 12, 47, 25, 34, 0, 9, 0, 4, 0, 9, 2, 12, 13, 3, 1, 2, 7, 28, 6, 0, 0, 9, 0, 4, 0, 7, 1, 8, 30, 11, 7, 7, 4, 6.0, 7.0, 11.0, 0, 2, 6, 1, 2, 3, 5, 0, 5, 0, 1, 0, 0.0, 0, 1, 0, 0, 0, 2, 4, 54.55, 63.64, 100.0, 63.59375, 33.296875, 66.6875, 0, 33.296875, 54.5, 0.0, 83.296875, 0.0, 16.69921875, 0.0, 0.0, 16.69921875, 0.0, 33.296875, 16.69921875, 50.0, 0.0, 7.0, 1.0, 8.0, 2.0, 10.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "24731", "Mention complémentaire - FCIL Restauration Meubles Anciens", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24731&g_ta_cod=24731", 27.0, 27.0, 36.0),
(1425, "Public", "9720779P", "Lycée professionnel agricole du Robert", "972", "Martinique", "Martinique", "Martinique", "Le Robert", "formation sélective", "BTS", "Lycée professionnel agricole du Robert - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 16, 57, 26, 51, 0, 6, 4, 4, 2, 21, 14, 20, 6, 1, 3, 0, 2, 33, 2, 0, 0, 6, 4, 4, 2, 19, 13, 4, 27, 10, 5, 9, 1, 6.0, 9.0, 10.0, 0, 5, 8, 1, 0, 7, 2, 0, 3, 5, 0, 0, 0.0, 1, 0, 4, 7, 3, 8, 8, 60.0, 90.0, 100.0, 50.0, 100.0, 100.0, 87.5, 62.5, 80.0, 0.0, 37.5, 62.5, 0.0, 0.0, 0.0, 12.5, 12.5, 0.0, 0.0, 87.5, 50.0, 5.0, 3.0, 12.0, 7.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 5, "Liste d'appel propre à cette formation", 49.0, "17627", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17627&g_ta_cod=17627", 10.0, 10.0, 80.0),
(1426, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 350, 3586, 2529, 3552, 0, 2193, 310, 163, 31, 15, 4, 1181, 34, 9, 0, 0, 25, 3550, 31, 0, 0, 2193, 310, 163, 31, 15, 4, 1179, 1598, 335, 225, 320, 15, 23.0, 113.0, 219.0, 0, 31, 177, 165, 12, 0, 158, 1, 55, 80, 33, 8, 0.0, 115, 6, 0, 0, 0, 166, 166, 6.87, 33.73, 65.37, 67.1875, 93.796875, 93.796875, 0, 17.5, 52.796875, 0.5999755859375, 31.09765625, 45.1953125, 18.59765625, 4.5, 0.0, 93.1875, 65.0, 6.7998046875, 3.39990234375, 0.0, 0.0, 721.0, 127.0, 2.0, 0.0, 831.0, "Tous les candidats", 2191.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 51.0, "4900", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27690&g_ta_cod=4900", 91.0, 7.0, 0.0),
(1427, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Mondes hispaniques", "Licence - Arts-lettres-langues", "Mondes hispaniques", 70, 245, 186, 80, 0, 43, 12, 9, 4, 6, 2, 22, 165, 28, 19, 14, 104, 80, 76, 0, 0, 43, 12, 9, 4, 6, 2, 22, 160, 49, 38, 10, 38, 10.0, 10.0, 22.0, 0, 14, 21, 8, 8, 5, 28, 1, 13, 7, 0, 0, 0.0, 2, 3, 2, 0, 0, 10, 17, 20.41, 20.41, 44.9, 77.59375, 47.59375, 81.0, 0, 66.6875, 42.8984375, 4.7998046875, 61.8984375, 33.296875, 0.0, 0.0, 0.0, 38.09375, 9.5, 38.09375, 14.298828125, 23.796875, 9.5, 60.0, 16.0, 12.0, 7.0, 70.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "30898", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Mondes hispaniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30898&g_ta_cod=30898", 47.0, 35.0, 14.0),
(1428, "Privé sous contrat d'association", "0593034C", "Lycée THEOPHILE LEGRAND", "59", "Nord", "Hauts-de-France", "Lille", "Louvroil", "formation sélective", "Autre formation", "Lycée THEOPHILE LEGRAND - DN MADE - Objet - - Spécialité : Design de l'Objet et de son Environnement : Objet / Graphisme", "DN MADE", "- Spécialité : Design de l'Objet et de son Environnement : Objet / Graphisme", 20, 107, 58, 88, 0, 37, 5, 19, 6, 8, 2, 24, 19, 1, 2, 0, 16, 88, 12, 0, 0, 37, 5, 19, 6, 8, 2, 24, 83, 15, 7, 12, 3, 1.0, 12.0, 13.0, 0, 2, 9, 5, 2, 2, 6, 0, 3, 4, 2, 0, 0.0, 4, 1, 1, 0, 0, 6, 6, 6.67, 80.0, 86.67, 46.6953125, 66.6875, 66.6875, 0, 22.19921875, 60.0, 0.0, 33.296875, 44.3984375, 22.19921875, 0.0, 0.0, 55.59375, 44.3984375, 22.19921875, 11.099609375, 22.19921875, 11.099609375, 34.0, 5.0, 6.0, 1.0, 26.0, "Tous les candidats", 88.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "25036", "DN MADE - Objet - - Spécialité : Design de l'Objet et de son Environnement : Objet / Graphisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25036&g_ta_cod=25036", 53.0, 13.0, 33.0),
(1429, "Public", "0590184E", "Lycée Jean Rostand", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "BTS - Services", "", 13, 1142, 403, 1142, 0, 492, 91, 115, 34, 97, 30, 438, 0, 0, 0, 0, 0, 204, 0, 0, 0, 131, 14, 7, 1, 40, 7, 26, 23, 13, 5, 13, 0, 5.0, 11.0, 12.0, 0, 2, 12, 11, 0, 1, 1, 0, 0, 1, 8, 2, 1.0, 11, 0, 1, 0, 0, 9, 9, 38.46, 84.62, 92.31, 38.5, 75.0, 75.0, 0, 16.69921875, 92.296875, 0.0, 0.0, 8.298828125, 66.6875, 16.7, 8.3, 91.6875, 91.6875, 0.0, 0.0, 8.298828125, 8.298828125, 19.0, 4.0, 3.0, 1.0, 1.0, "Tous les candidats sauf les Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 5, "", 0, "Liste d'appel propre à cette formation", 3.0, "6815", "BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6815&g_ta_cod=6815", 85.0, 0.0, 15.0),
(1430, "Privé enseignement supérieur", "0530939H", "ESIEA Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "bac STL", 3, 20, 7, 19, 0, 0, 0, 19, 11, 0, 0, 0, 1, 0, 1, 0, 0, 8, 0, 0, 0, 0, 0, 8, 6, 0, 0, 0, 8, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "22889", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=22889", 0, 0, 0),
(1431, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Licence - Droit français - Droit étranger - Parcours Droit français - droit allemand", "Licence - Droit-économie-gestion", "Droit français - droit allemand", 80, 640, 399, 142, 0, 101, 8, 6, 4, 4, 4, 31, 498, 154, 61, 34, 249, 114, 40, 0, 0, 93, 4, 2, 1, 0, 0, 19, 153, 58, 42, 40, 18, 27.0, 40.0, 51.0, 0, 4, 38, 37, 1, 0, 20, 1, 6, 13, 11, 6, 1.0, 30, 1, 0, 0, 0, 13, 19, 46.55, 68.97, 87.93, 72.390625, 34.1953125, 50.0, 0, 10.5, 65.5, 2.599609375, 15.798828125, 34.1953125, 28.8984375, 15.8, 2.6, 97.390625, 78.890625, 2.599609375, 2.599609375, 0.0, 0.0, 119.0, 7.0, 0.0, 0.0, 32.0, "Tous les candidats", 114.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "11081", "Licence - Droit français - Droit étranger - Parcours Droit français - droit allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11081&g_ta_cod=11081", 95.0, 3.0, 2.0),
(1432, "Public", "0410978R", "I.U.T de Blois", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BUT", "I.U.T de Blois - BUT - Science et génie des matériaux Parcours : Métiers de l'ingénierie des matériaux et des produits - Métiers de la caractérisation et de l'expertise des matériaux et des produits", "BUT - Production", "Métiers de l'ingénierie des matériaux et des produits - Métiers de la caractérisation et de l'expertise des matériaux et des produits", 52, 425, 36, 417, 0, 268, 21, 91, 10, 0, 0, 58, 8, 2, 2, 0, 4, 392, 5, 0, 0, 261, 18, 78, 7, 0, 0, 53, 300, 48, 6, 47, 1, 21.0, 38.0, 47.0, 0, 6, 42, 29, 13, 0, 6, 0, 14, 18, 10, 0, 0.0, 17, 11, 0, 0, 0, 29, 29, 43.75, 79.17, 97.92, 12.5, 69.0, 69.0, 0, 14.298828125, 87.5, 0.0, 33.296875, 42.8984375, 23.796875, 0.0, 0.0, 69.0, 40.5, 31.0, 26.19921875, 0.0, 0.0, 186.0, 17.0, 0.0, 0.0, 46.0, "Tous les candidats sauf les Bac technologiques", 295.0, "Bacheliers technologiques toutes séries", 87, "", 0, "Liste d'appel propre à cette formation", 89.0, "5264", "BUT - Science et génie des matériaux Parcours : Métiers de l'ingénierie des matériaux et des produits - Métiers de la caractérisation et de l'expertise des matériaux et des produits", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5264&g_ta_cod=5264", 67.0, 33.0, 0.0),
(1433, "Public", "0381819W", "Lycée agricole Agro-Environnemental", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "La Côte-Saint-André", "formation sélective", "BTS", "Lycée agricole Agro-Environnemental - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 16, 314, 136, 301, 0, 43, 8, 44, 6, 26, 6, 188, 13, 3, 0, 1, 9, 131, 6, 0, 0, 42, 8, 42, 5, 22, 6, 25, 76, 13, 6, 10, 3, 5.0, 10.0, 11.0, 0, 1, 11, 4, 4, 3, 2, 0, 2, 3, 4, 2, 0.0, 2, 4, 3, 3, 1, 7, 7, 38.46, 76.92, 84.62, 46.1953125, 63.59375, 63.59375, 27.296875, 9.099609375, 84.59375, 0.0, 18.19921875, 27.296875, 36.3984375, 18.2, 0.0, 36.3984375, 18.19921875, 36.3984375, 36.3984375, 27.296875, 27.296875, 26.0, 5.0, 13.0, 3.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 43.0, "5010", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5010&g_ta_cod=5010", 46.0, 31.0, 23.0),
(1434, "Public", "0690028F", "Lycée De Saint Just", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée De Saint Just - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 1272, 643, 1272, 0, 1137, 91, 0, 0, 0, 0, 135, 0, 0, 0, 0, 0, 954, 0, 0, 954, 940, 72, 0, 0, 0, 0, 14, 329, 23, 12, 23, 0, 7.0, 17.0, 22.0, 0, 6, 23, 23, 0, 0, 0, 0, 0, 1, 14, 8, 0.0, 23, 0, 0, 0, 0, 5, 5, 30.43, 73.91, 95.65, 52.1953125, 21.69921875, 21.69921875, 0, 26.09765625, 100.0, 0.0, 0.0, 4.2998046875, 60.8984375, 34.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 327.0, 43.0, 0.0, 0.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "31591", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31315&g_ta_cod=31591", 100.0, 0.0, 0.0),
(1435, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Japonais et Gestion parcours Techniques quantitatives et management (TQM)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Japonais et Gestion parcours Techniques quantitatives et management (TQM)", 5, 189, 121, 189, 0, 113, 34, 12, 6, 7, 5, 57, 0, 0, 0, 0, 0, 189, 0, 0, 0, 113, 34, 12, 6, 7, 5, 57, 38, 6, 4, 6, 0, 0.0, 3.0, 6.0, 0, 2, 5, 5, 0, 0, 1, 0, 0, 1, 3, 1, 0.0, 5, 0, 0, 0, 0, 1, 1, 0.0, 50.0, 100.0, 66.6875, 20.0, 20.0, 0, 40.0, 83.296875, 0.0, 0.0, 20.0, 60.0, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 25.0, 6.0, 0.0, 0.0, 13.0, "Tous les candidats", 68.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "8529", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Japonais et Gestion parcours Techniques quantitatives et management (TQM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8529&g_ta_cod=8529", 100.0, 0.0, 0.0),
(1436, "Public", "0701035V", "Lycée Louis Aragon", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Héricourt", "formation sélective", "BTS", "Lycée Louis Aragon - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 12, 73, 3, 65, 0, 2, 1, 10, 4, 28, 7, 25, 8, 0, 2, 3, 3, 57, 2, 0, 0, 1, 1, 6, 2, 28, 7, 22, 34, 7, 0, 7, 0, 3.0, 7.0, 7.0, 0, 0, 4, 0, 0, 4, 3, 0, 1, 2, 0, 1, 0.0, 0, 0, 3, 3, 0, 4, 4, 42.86, 100.0, 100.0, 0.0, 100.0, 100.0, 75, 0.0, 57.09375, 0.0, 25.0, 50.0, 0.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 1.0, 1.0, 18.0, 5.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 62.0, "17702", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17702&g_ta_cod=17702", 14.0, 0.0, 86.0),
(1437, "Public", "0572695V", "IFSI Forbach", "57", "Moselle", "Grand Est", "Nancy-Metz", "Forbach", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nancy - D.E Infirmier", "D.E secteur sanitaire", "", 62, 3381, 2718, 3381, 0, 611, 148, 635, 198, 330, 116, 1805, 0, 0, 0, 0, 0, 2866, 0, 0, 0, 564, 132, 538, 159, 285, 94, 1479, 658, 69, 58, 69, 0, 1.0, 30.0, 56.0, 0, 19, 49, 25, 11, 13, 20, 0, 9, 23, 16, 1, 0.0, 20, 8, 12, 0, 0, 47, 47, 1.45, 43.48, 81.16, 84.09375, 95.890625, 95.890625, 0, 38.796875, 71.0, 0.0, 18.3984375, 46.8984375, 32.6953125, 2.0, 0.0, 51.0, 40.796875, 22.3984375, 16.296875, 26.5, 24.5, 117.0, 33.0, 98.0, 31.0, 307.0, "Tous les candidats", 2649.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "23191", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22997&g_ta_cod=23191", 45.0, 26.0, 29.0),
(1438, "Public", "0511565Z", "Lycée Francois Arago", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Francois Arago - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 12, 110, 8, 107, 0, 3, 2, 33, 7, 45, 10, 26, 3, 0, 0, 2, 1, 91, 0, 0, 0, 3, 2, 30, 5, 38, 9, 20, 64, 9, 0, 9, 0, 1.0, 5.0, 8.0, 0, 0, 4, 0, 2, 2, 5, 0, 2, 2, 0, 0, 0.0, 0, 1, 1, 1, 0, 3, 3, 11.11, 55.56, 88.89, 0.0, 75.0, 75.0, 25, 0.0, 44.3984375, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 25.0, 1.0, 1.0, 23.0, 5.0, 14.0, "Tous les candidats sauf les Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 40, "", 0, "Liste d'appel propre à cette formation", 83.0, "6140", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6140&g_ta_cod=6140", 22.0, 56.0, 22.0),
(1439, "Public", "0760087G", "Lycée professionnel Jean-Baptiste Colbert", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Petit-Quevilly", "formation sélective", "BTS", "Lycée professionnel Jean-Baptiste Colbert - BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "BTS - Production", "", 13, 56, 13, 38, 0, 1, 0, 7, 2, 10, 7, 20, 18, 2, 2, 3, 11, 19, 10, 0, 0, 1, 0, 7, 2, 10, 7, 1, 29, 4, 0, 2, 2, 2.0, 2.0, 3.0, 0, 2, 2, 0, 0, 2, 2, 0, 0, 2, 0, 0, 0.0, 0, 0, 2, 1, 0, 2, 2, 50.0, 50.0, 75.0, 0.0, 100.0, 100.0, 50, 100.0, 50.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 1.0, 0.0, 11.0, 7.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 50.0, "17928", "BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17928&g_ta_cod=17928", 25.0, 0.0, 75.0),
(1440, "Public", "0290334F", "I.U.T de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BUT", "I.U.T de Brest - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", 135, 1869, 839, 1869, 0, 1059, 126, 561, 89, 14, 8, 235, 0, 0, 0, 0, 0, 1093, 0, 0, 0, 642, 58, 343, 53, 0, 0, 108, 486, 132, 70, 132, 0, 65.0, 118.0, 124.0, 0, 15, 120, 58, 62, 0, 12, 1, 7, 70, 36, 6, 0.0, 56, 56, 0, 0, 0, 116, 116, 49.24, 89.39, 93.94, 53.0, 96.6875, 96.6875, 0, 12.5, 90.890625, 0.7999267578125, 5.7998046875, 58.296875, 30.0, 5.0, 0.0, 48.296875, 46.6953125, 51.6953125, 46.6953125, 0.0, 0.0, 245.0, 30.0, 0.0, 0.0, 44.0, "Tous les candidats sauf les Bac technologiques", 448.0, "Bacheliers technologiques toutes séries", 326, "", 0, "Liste d'appel propre à cette formation", 41.0, "3841", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3841&g_ta_cod=3841", 50.0, 50.0, 0.0),
(1441, "Public", "0750704H", "Lycée Carnot", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "CPGE", "Lycée Carnot - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 48, 2430, 1165, 2413, 407, 2038, 230, 3, 2, 0, 0, 372, 17, 10, 0, 0, 7, 1799, 10, 285, 1682, 1726, 177, 0, 0, 0, 0, 73, 787, 40, 17, 36, 4, 1.0, 11.0, 30.0, 2, 4, 37, 37, 0, 0, 3, 0, 2, 4, 24, 6, 1.0, 35, 0, 0, 0, 0, 13, 29, 2.5, 27.5, 75.0, 42.5, 35.09375, 78.390625, 0, 10.798828125, 92.5, 0.0, 5.3994140625, 10.798828125, 64.890625, 16.2, 2.7, 100.0, 94.59375, 0.0, 0.0, 0.0, 0.0, 771.0, 80.0, 0.0, 0.0, 16.0, "Tous les candidats", 1273.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "31370", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31370&g_ta_cod=31370", 100.0, 0.0, 0.0),
(1442, "Public", "0130051K", "Lycée Marie Curie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 826, 105, 826, 0, 134, 39, 222, 108, 179, 101, 291, 0, 0, 0, 0, 0, 424, 0, 0, 0, 105, 25, 127, 51, 109, 55, 83, 117, 32, 1, 32, 0, 1.0, 23.0, 29.0, 0, 14, 25, 9, 7, 9, 7, 0, 13, 7, 2, 3, 0.0, 1, 4, 7, 2, 0, 24, 24, 3.13, 71.88, 90.63, 3.099609375, 96.0, 96.0, 8, 56.0, 78.09375, 0.0, 52.0, 28.0, 8.0, 12.0, 0.0, 36.0, 4.0, 28.0, 16.0, 36.0, 28.0, 36.0, 9.0, 28.0, 16.0, 25.0, "Tous les candidats sauf les Bac professionnels", 144.0, "Bacheliers professionnels toutes séries", 57, "", 0, "Liste d'appel propre à cette formation", 24.0, "2588", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2588&g_ta_cod=2588", 38.0, 31.0, 31.0),
(1443, "Public", "0330028B", "Lycée Gustave Eiffel", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 36, 945, 476, 945, 0, 164, 35, 241, 80, 204, 105, 336, 0, 0, 0, 0, 0, 635, 0, 0, 0, 144, 30, 126, 35, 204, 105, 161, 152, 27, 15, 27, 0, 2.0, 17.0, 22.0, 0, 8, 21, 7, 3, 11, 6, 0, 5, 7, 8, 1, 0.0, 4, 2, 10, 1, 1, 18, 18, 7.41, 62.96, 81.48, 55.59375, 85.6875, 85.6875, 4.7998046875, 38.09375, 77.796875, 0.0, 23.796875, 33.296875, 38.09375, 4.8, 0.0, 33.296875, 19.0, 14.298828125, 9.5, 52.3984375, 47.59375, 39.0, 11.0, 56.0, 31.0, 28.0, "Tous les candidats sauf les Bac professionnels", 140.0, "Bacheliers professionnels toutes séries", 98, "", 0, "Liste d'appel propre à cette formation", 25.0, "4298", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4298&g_ta_cod=4298", 33.0, 19.0, 48.0),
(1444, "Privé sous contrat d'association", "0333481E", "YNCREA - BÈGLES", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 5, 222, 80, 221, 0, 0, 0, 0, 0, 0, 0, 221, 1, 0, 0, 0, 1, 190, 1, 0, 0, 0, 0, 0, 0, 0, 0, 190, 179, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 179.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "31125", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=31125", 0, 0, 0),
(1445, "Public", "0141234R", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Caen", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Caen - BUT - Génie biologique parcours biologie médicale et biotechnologie", "BUT - Production", "", 40, 2107, 1490, 2107, 0, 1243, 137, 305, 56, 6, 2, 553, 0, 0, 0, 0, 0, 1291, 0, 0, 0, 861, 90, 163, 28, 0, 0, 267, 296, 43, 33, 43, 0, 0.0, 26.0, 35.0, 0, 5, 37, 20, 17, 0, 6, 0, 1, 19, 12, 5, 0.0, 20, 16, 0, 0, 0, 23, 23, 0.0, 60.47, 81.4, 76.6875, 62.1953125, 62.1953125, 0, 13.5, 86.0, 0.0, 2.69970703125, 51.3984375, 32.3984375, 13.5, 0.0, 54.09375, 54.09375, 45.8984375, 43.1953125, 0.0, 0.0, 138.0, 16.0, 0.0, 0.0, 74.0, "Tous les candidats sauf les Bac technologiques", 422.0, "Bacheliers technologiques toutes séries", 171, "", 0, "Liste d'appel propre à cette formation", 28.0, "2855", "BUT - Génie biologique parcours biologie médicale et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2855&g_ta_cod=2855", 60.0, 40.0, 0.0),
(1446, "Public", "0891222V", "I.U.T de Dijon - Antenne d'Auxerre", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Auxerre", "formation sélective", "BUT", "I.U.T de Dijon - Antenne d'Auxerre - BUT - Réseaux et télécommunications Parcours : Cybersécurité CYBER - Internet des objets et mobilité IOM", "BUT - Production", "Cybersécurité CYBER - Internet des objets et mobilité IOM", 39, 513, 45, 480, 0, 255, 41, 116, 30, 5, 3, 104, 33, 0, 19, 0, 14, 382, 4, 0, 0, 224, 30, 91, 22, 2, 1, 65, 234, 37, 0, 35, 2, 16.0, 30.0, 37.0, 0, 6, 26, 17, 9, 0, 11, 0, 7, 14, 4, 1, 0.0, 13, 6, 0, 0, 0, 12, 12, 43.24, 81.08, 100.0, 0.0, 46.1953125, 46.1953125, 0, 23.09765625, 70.296875, 0.0, 26.8984375, 53.796875, 15.3984375, 3.8, 0.0, 65.390625, 50.0, 34.59375, 23.09765625, 0.0, 0.0, 113.0, 24.0, 1.0, 0.0, 39.0, "Tous les candidats sauf les Bac technologiques", 165.0, "Bacheliers technologiques toutes séries", 103, "", 0, "Liste d'appel propre à cette formation", 56.0, "10799", "BUT - Réseaux et télécommunications Parcours : Cybersécurité CYBER - Internet des objets et mobilité IOM", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10799&g_ta_cod=10799", 68.0, 32.0, 0.0),
(1447, "Public", "0750696Z", "Lycée Roger Verlomme", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "BTS", "Lycée Roger Verlomme - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 1557, 672, 1557, 0, 192, 62, 388, 185, 354, 188, 623, 0, 0, 0, 0, 0, 363, 0, 0, 0, 28, 6, 78, 32, 182, 97, 75, 105, 22, 11, 22, 0, 5.0, 19.0, 22.0, 0, 7, 14, 0, 4, 10, 8, 0, 5, 8, 0, 1, 0.0, 0, 1, 8, 4, 2, 9, 14, 22.73, 86.36, 100.0, 50.0, 64.296875, 100.0, 28.59765625, 50.0, 63.59375, 0.0, 35.6953125, 57.09375, 0.0, 7.1, 0.0, 0.0, 0.0, 28.59765625, 7.099609375, 71.390625, 57.09375, 3.0, 3.0, 51.0, 26.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 98, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 10.0, "9121", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9121&g_ta_cod=9121", 9.0, 45.0, 45.0),
(1448, "Public", "0630069H", "Lycée Jean Zay", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Thiers", "formation sélective", "BTS", "Lycée Jean Zay - BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "BTS - Production", "", 6, 23, 4, 23, 0, 1, 0, 5, 1, 8, 3, 9, 0, 0, 0, 0, 0, 19, 0, 0, 0, 1, 0, 5, 1, 8, 3, 5, 18, 5, 2, 5, 0, 1.0, 5.0, 5.0, 0, 1, 2, 0, 0, 2, 3, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 20.0, 100.0, 100.0, 40.0, 100.0, 100.0, 0, 50.0, 40.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 1.0, 0.0, 8.0, 3.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 5, "Liste d'appel propre à cette formation", 78.0, "7583", "BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7583&g_ta_cod=7583", 60.0, 0.0, 40.0),
(1449, "Privé sous contrat d'association", "0672050P", "Ecole Commerciale Privee", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Ecole Commerciale Privee - BTS - Services - Assurance", "BTS - Services", "", 25, 300, 172, 285, 0, 45, 10, 78, 23, 42, 19, 120, 15, 1, 3, 5, 6, 167, 7, 0, 0, 40, 9, 69, 20, 15, 8, 43, 126, 19, 9, 16, 3, 1.0, 11.0, 15.0, 0, 2, 13, 6, 5, 2, 6, 0, 7, 5, 1, 0, 0.0, 2, 2, 2, 0, 0, 11, 11, 5.26, 57.89, 78.95, 47.3984375, 84.59375, 84.59375, 0, 15.3984375, 68.390625, 0.0, 53.796875, 38.5, 7.69921875, 0.0, 0.0, 46.1953125, 15.3984375, 38.5, 15.3984375, 15.3984375, 15.3984375, 31.0, 8.0, 16.0, 9.0, 37.0, "Tous les candidats sauf les Bac professionnels", 141.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 55.0, "18879", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18879&g_ta_cod=18879", 53.0, 37.0, 11.0),
(1450, "Public", "0340099Y", "Centre de Ressources, d'Expertise et de Performance Sportive de Montpellier (CREPS)", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "CREPS de Montpellier - BPJEPS - Activités sports collectifs", "BPJEPS", "", 10, 282, 31, 282, 0, 48, 14, 99, 18, 66, 31, 69, 0, 0, 0, 0, 0, 18, 0, 0, 0, 5, 1, 7, 1, 1, 1, 5, 14, 10, 2, 10, 0, 7.0, 9.0, 10.0, 0, 2, 6, 1, 4, 1, 4, 0, 5, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 5, 5, 70.0, 90.0, 100.0, 20.0, 83.296875, 83.296875, 0, 33.296875, 60.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 16.69921875, 0.0, 66.6875, 16.69921875, 16.69921875, 0.0, 3.0, 1.0, 1.0, 1.0, 4.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "26580", "BPJEPS - Activités sports collectifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26580&g_ta_cod=26580", 30.0, 60.0, 10.0),
(1451, "Public", "0860035W", "Lycée Camille Guérin", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "CPGE", "Lycée Camille Guérin - CPGE - BCPST", "Classe préparatoire scientifique", "", 96, 1719, 1170, 1719, 1241, 1330, 164, 2, 1, 0, 0, 387, 0, 0, 0, 0, 0, 945, 0, 735, 914, 889, 95, 0, 0, 0, 0, 56, 566, 90, 58, 90, 0, 9.0, 51.0, 83.0, 36, 7, 89, 89, 0, 0, 1, 0, 0, 16, 61, 11, 1.0, 89, 0, 0, 2, 1, 44, 44, 10.0, 56.67, 92.22, 64.390625, 49.3984375, 49.3984375, 2.19970703125, 7.8994140625, 98.890625, 0.0, 0.0, 18.0, 68.5, 12.4, 1.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 540.0, 60.0, 0.0, 0.0, 26.0, "Tous les candidats", 758.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "10586", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10586&g_ta_cod=10586", 100.0, 0.0, 0.0),
(1452, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "ENTIÈREMENT à distance", 5, 1886, 1539, 1886, 0, 370, 114, 95, 34, 34, 14, 1387, 0, 0, 0, 0, 0, 1885, 0, 0, 0, 370, 114, 95, 34, 34, 14, 1386, 35, 5, 4, 5, 0, 0.0, 4.0, 5.0, 0, 0, 5, 5, 0, 0, 0, 0, 2, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 2, 2, 0.0, 80.0, 100.0, 80.0, 40.0, 40.0, 0, 0.0, 100.0, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 0.0, 0.0, 35.0, 6.0, 0.0, 0.0, 0.0, "Tous les candidats", 736.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 5.0, "27678", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26667&g_ta_cod=27678", 100.0, 0.0, 0.0),
(1453, "Public", "0772448T", "Université Panthéon- Assas Paris2 - Antenne Melun", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation non sélective", "Licence", "Université Panthéon- Assas Paris2 - Antenne Melun - Licence - Economie et gestion - Parcours Economie gestion", "Licence - Droit-économie-gestion", "Economie gestion", 175, 1557, 736, 1557, 0, 1086, 187, 115, 34, 6, 1, 350, 0, 0, 0, 0, 0, 1557, 0, 0, 0, 1086, 187, 115, 34, 6, 1, 350, 755, 179, 69, 175, 0, 13.0, 111.0, 151.0, 0, 29, 108, 101, 7, 0, 71, 0, 54, 35, 14, 5, 0.0, 52, 2, 0, 0, 0, 73, 96, 7.26, 62.01, 84.36, 38.5, 67.59375, 88.890625, 0, 26.8984375, 60.296875, 0.0, 50.0, 32.3984375, 13.0, 4.6, 0.0, 93.5, 48.09375, 6.5, 1.89990234375, 0.0, 0.0, 582.0, 115.0, 1.0, 1.0, 159.0, "Tous les candidats", 912.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "9912", "Licence - Economie et gestion - Parcours Economie gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9912&g_ta_cod=9912", 87.0, 11.0, 2.0),
(1454, "Public", "0030038A", "Lycée Polyvalent Jean Monnet", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Yzeure", "formation sélective", "Autre formation", "Lycée Polyvalent Jean Monnet - DN MADE - Numérique - Objets connectés, service et interface", "DN MADE", "Objets connectés, service et interface", 15, 259, 129, 230, 0, 83, 10, 71, 11, 31, 9, 45, 29, 3, 2, 4, 20, 100, 6, 0, 0, 29, 1, 43, 6, 14, 2, 14, 67, 14, 9, 12, 2, 2.0, 12.0, 13.0, 0, 0, 6, 1, 2, 3, 8, 0, 1, 3, 1, 1, 0.0, 1, 2, 2, 0, 0, 1, 1, 14.29, 85.71, 92.86, 64.296875, 16.69921875, 16.69921875, 0, 0.0, 42.8984375, 0.0, 16.69921875, 50.0, 16.69921875, 16.7, 0.0, 16.69921875, 16.69921875, 33.296875, 33.296875, 50.0, 33.296875, 15.0, 1.0, 8.0, 2.0, 12.0, "Tous les candidats", 100.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "23798", "DN MADE - Numérique - Objets connectés, service et interface", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23798&g_ta_cod=23798", 50.0, 14.0, 36.0),
(1455, "Privé enseignement supérieur", "0315550I", "IPSA Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Ecole d'Ingénieur", "Concours Advance - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 120, 2531, 483, 2531, 0, 2527, 232, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 2341, 0, 0, 0, 2339, 185, 0, 0, 0, 0, 2, 1232, 142, 30, 142, 0, 142.0, 142.0, 142.0, 0, 6, 142, 142, 0, 0, 0, 1, 0, 35, 77, 29, 0.0, 141, 0, 0, 0, 0, 21, 21, 100.0, 100.0, 100.0, 21.09765625, 14.798828125, 14.798828125, 0, 4.19921875, 100.0, 0.699951171875, 0.0, 24.59765625, 54.1953125, 20.4, 0.0, 100.0, 99.296875, 0.0, 0.0, 0.0, 0.0, 1232.0, 82.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 49.0, "129", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Advance", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=124&g_ta_cod=129", 100.0, 0.0, 0.0),
(1456, "Public", "0750785W", "Lycée professionnel Galilee", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée professionnel Galilee - BTS - Services - Prothésiste dentaire", "BTS - Services", "", 15, 692, 545, 692, 0, 77, 30, 75, 38, 256, 117, 284, 0, 0, 0, 0, 0, 77, 0, 0, 0, 0, 0, 5, 4, 59, 17, 13, 41, 14, 12, 14, 0, 7.0, 8.0, 12.0, 0, 6, 12, 0, 0, 12, 2, 0, 4, 6, 2, 0, 0.0, 0, 0, 8, 12, 10, 12, 12, 50.0, 57.14, 85.71, 85.6875, 100.0, 100.0, 100, 50.0, 85.6875, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 28.0, 12.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 5, "Liste d'appel propre à cette formation", 8.0, "14454", "BTS - Services - Prothésiste dentaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14454&g_ta_cod=14454", 14.0, 0.0, 86.0),
(1457, "Public", "0271677B", "Université de Rouen Normandie - Campus Evreux", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Evreux - Licence - Portail Sciences de la vie - Licence Sciences de la vie", "Licence - Sciences - technologies - santé", "Licence Sciences de la vie", 72, 1130, 793, 1105, 0, 677, 103, 52, 14, 2, 1, 374, 25, 5, 3, 0, 17, 1099, 24, 0, 0, 677, 103, 52, 14, 2, 1, 368, 592, 70, 44, 63, 7, 3.0, 32.0, 56.0, 0, 3, 40, 37, 3, 0, 30, 3, 14, 15, 7, 1, 0.0, 22, 1, 0, 0, 0, 39, 39, 4.29, 45.71, 80.0, 62.8984375, 97.5, 97.5, 0, 7.5, 57.09375, 7.5, 35.0, 37.5, 17.5, 2.5, 0.0, 92.5, 55.0, 7.5, 2.5, 0.0, 0.0, 321.0, 53.0, 0.0, 0.0, 258.0, "Tous les candidats", 938.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 70.0, "9715", "Licence - Portail Sciences de la vie - Licence Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26800&g_ta_cod=9715", 90.0, 6.0, 4.0),
(1458, "Public", "0700905D", "Lycée Edouard Belin", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Vesoul", "formation sélective", "BTS", "Lycée Edouard Belin - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 10, 87, 7, 84, 0, 4, 1, 38, 8, 28, 6, 14, 3, 0, 0, 1, 2, 77, 0, 0, 0, 4, 1, 38, 8, 28, 6, 7, 54, 4, 0, 4, 0, 1.0, 3.0, 4.0, 0, 0, 3, 0, 2, 1, 1, 0, 1, 1, 1, 0, 0.0, 0, 1, 1, 2, 0, 3, 3, 25.0, 75.0, 100.0, 0.0, 100.0, 100.0, 66.6875, 0.0, 75.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 33.296875, 2.0, 0.0, 21.0, 3.0, 6.0, "Tous les candidats sauf les Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 92.0, "8595", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8595&g_ta_cod=8595", 0.0, 75.0, 25.0),
(1459, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence_Las", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Chimie - Biologie, Géologie, Chimie (BGC)", "Licence - Sciences - technologies - santé", "Biologie, Géologie, Chimie (BGC)", 8, 441, 310, 441, 0, 240, 54, 28, 12, 1, 1, 172, 0, 0, 0, 0, 0, 436, 0, 0, 0, 240, 54, 28, 12, 1, 1, 167, 151, 6, 4, 6, 0, 0.0, 1.0, 4.0, 0, 2, 4, 4, 0, 0, 2, 0, 2, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 4, 4, 0.0, 16.67, 66.67, 66.6875, 100.0, 100.0, 0, 50.0, 66.6875, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 95.0, 13.0, 0.0, 0.0, 53.0, "Tous les candidats", 350.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 54.0, "32243", "Licence - Portail Chimie - Biologie, Géologie, Chimie (BGC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32242&g_ta_cod=32243", 100.0, 0.0, 0.0),
(1460, "Public", "0870066Z", "CENTRE REGIONAL ASSOCIE AU CONSERVATOIRE NATIONAL DES ARTS ET METIERS", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Autre formation", "CENTRE REGIONAL ASSOCIE AU CONSERVATOIRE NATIONAL DES ARTS ET METIERS - Formation Supérieure de Spécialisation - Architecture et bâtiment", "Diplôme d'Université", "Architecture et bâtiment", 12, 50, 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 14, 6, 2, 28, 0, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 27, 9, 3, 0, 9, 0.0, 0.0, 6.0, 0, 0, 2, 1, 1, 0, 7, 0, 0, 1, 1, 0, 0.0, 1, 1, 0, 0, 0, 1, 1, 0.0, 0.0, 66.67, 33.296875, 50.0, 50.0, 0, 0.0, 22.19921875, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 6.0, 0.0, 1.0, 0.0, 11.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "33917", "Formation Supérieure de Spécialisation - Architecture et bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33917&g_ta_cod=33917", 56.0, 33.0, 11.0),
(1461, "Privé sous contrat d'association", "0850079Z", "Lycée N D De La Tourteliere", "85", "Vendée", "Pays de la Loire", "Nantes", "Pouzauges", "formation sélective", "BTS", "Lycée N D De La Tourteliere - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 122, 75, 116, 0, 15, 2, 46, 5, 26, 6, 29, 6, 2, 0, 1, 3, 116, 5, 0, 0, 15, 2, 46, 5, 26, 6, 29, 89, 14, 9, 14, 0, 4.0, 10.0, 13.0, 0, 4, 7, 2, 2, 3, 7, 0, 3, 4, 0, 0, 0.0, 1, 2, 1, 1, 1, 7, 7, 28.57, 71.43, 92.86, 64.296875, 100.0, 100.0, 14.298828125, 57.09375, 50.0, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 28.59765625, 14.298828125, 28.59765625, 28.59765625, 42.8984375, 14.298828125, 9.0, 1.0, 19.0, 4.0, 26.0, "Tous les candidats sauf les Bac professionnels", 81.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 94.0, "10490", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10490&g_ta_cod=10490", 64.0, 14.0, 21.0),
(1462, "Privé sous contrat d'association", "0560105K", "Lycée La Mennais", "56", "Morbihan", "Bretagne", "Rennes", "Ploërmel", "formation sélective", "BTS", "Lycée La Mennais - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 517, 233, 516, 0, 27, 4, 206, 33, 148, 32, 135, 1, 0, 1, 0, 0, 414, 0, 0, 0, 27, 4, 199, 31, 148, 32, 40, 212, 28, 10, 27, 0, 7.0, 19.0, 21.0, 0, 7, 27, 1, 15, 11, 1, 0, 13, 11, 3, 0, 0.0, 0, 6, 8, 14, 4, 27, 27, 25.0, 67.86, 75.0, 35.6953125, 100.0, 100.0, 51.8984375, 25.8984375, 96.390625, 0.0, 48.09375, 40.6953125, 11.099609375, 0.0, 0.0, 3.69970703125, 0.0, 55.59375, 22.19921875, 40.6953125, 29.59765625, 14.0, 3.0, 96.0, 23.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 128, "Bacheliers technologiques toutes séries", 123, "Liste d'appel propre à cette formation", 54.0, "16162", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16162&g_ta_cod=16162", 4.0, 54.0, 43.0),
(1463, "Public", "0211139Z", "I.U.T de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BUT", "I.U.T de Dijon - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 52, 1025, 684, 1002, 0, 544, 66, 155, 37, 5, 2, 298, 23, 0, 13, 0, 10, 818, 1, 0, 0, 486, 55, 93, 19, 0, 0, 239, 310, 48, 32, 46, 1, 17.0, 33.0, 44.0, 0, 7, 40, 25, 15, 0, 8, 0, 5, 16, 18, 1, 0.0, 23, 12, 0, 0, 0, 25, 25, 35.42, 68.75, 91.67, 66.6875, 62.5, 62.5, 0, 17.5, 83.296875, 0.0, 12.5, 40.0, 45.0, 2.5, 0.0, 62.5, 57.5, 37.5, 30.0, 0.0, 0.0, 139.0, 27.0, 0.0, 0.0, 88.0, "Tous les candidats sauf les Bac technologiques", 365.0, "Bacheliers technologiques toutes séries", 111, "", 0, "Liste d'appel propre à cette formation", 48.0, "3237", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3237&g_ta_cod=3237", 63.0, 38.0, 0.0),
(1464, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "PASS", "Université Côte d'Azur - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Sciences et Techniques des Activités Physiques et Sportives (STAPS)", 113, 3473, 2063, 3473, 0, 2679, 403, 106, 39, 35, 14, 653, 0, 0, 0, 0, 0, 3468, 0, 0, 0, 2679, 403, 106, 39, 35, 14, 648, 744, 109, 61, 109, 0, 5.0, 57.0, 97.0, 0, 24, 103, 101, 1, 1, 6, 1, 2, 25, 56, 19, 0.0, 99, 0, 1, 0, 0, 94, 94, 4.59, 52.29, 88.99, 56.0, 91.296875, 91.296875, 0, 23.296875, 94.5, 1.0, 1.89990234375, 24.296875, 54.3984375, 18.4, 0.0, 98.09375, 96.09375, 1.0, 0.0, 1.0, 1.0, 663.0, 115.0, 3.0, 2.0, 76.0, "Tous les candidats", 1845.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "28770", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27218&g_ta_cod=28770", 98.0, 1.0, 1.0),
(1465, "Public", "0370987X", "Ecole supérieure d'art et de design TALM-Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "Autre formation", "Ecole supérieure d'art et de design TALM-Tours - Diplôme National d'Art option art, mention conservation-restauration des biens culturels - Concours Conservation Restauration des Biens culturels", "Diplôme National d'Art", "Concours Conservation Restauration des Biens culturels", 6, 43, 37, 43, 0, 13, 1, 2, 0, 4, 1, 24, 0, 0, 0, 0, 0, 9, 0, 0, 0, 3, 0, 0, 0, 0, 0, 6, 9, 5, 3, 5, 0, 4.0, 5.0, 5.0, 0, 0, 3, 3, 0, 0, 2, 0, 1, 0, 0, 2, 0.0, 2, 0, 0, 0, 0, 1, 1, 80.0, 100.0, 100.0, 60.0, 33.296875, 33.296875, 0, 0.0, 60.0, 0.0, 33.296875, 0.0, 0.0, 66.7, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 3.0, 0.0, 0.0, 0.0, 6.0, "Tous les candidats", 9.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "25964", "Diplôme National d'Art option art, mention conservation-restauration des biens culturels - Concours Conservation Restauration des Biens culturels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25964&g_ta_cod=25964", 100.0, 0.0, 0.0),
(1466, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Lettres - Parcours Lettres - Littérature française, francophone et comparée", "Licence - Arts-lettres-langues", "Lettres - Littérature française, francophone et comparée", 57, 488, 371, 365, 0, 213, 35, 9, 2, 18, 11, 125, 123, 25, 15, 4, 79, 365, 80, 0, 0, 213, 35, 9, 2, 18, 11, 125, 367, 54, 37, 20, 34, 5.0, 20.0, 47.0, 0, 4, 18, 10, 7, 1, 36, 0, 12, 5, 0, 1, 0.0, 4, 2, 0, 0, 0, 13, 16, 9.26, 37.04, 87.04, 68.5, 72.1875, 88.890625, 0, 22.19921875, 33.296875, 0.0, 66.6875, 27.796875, 0.0, 5.6, 0.0, 55.59375, 22.19921875, 38.8984375, 11.099609375, 5.599609375, 0.0, 195.0, 31.0, 12.0, 7.0, 142.0, "Tous les candidats", 365.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11096", "Licence - Lettres - Parcours Lettres - Littérature française, francophone et comparée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11096&g_ta_cod=11096", 69.0, 20.0, 9.0),
(1467, "Public", "0110815B", "IFSI CH de Carcassonne", "11", "Aude", "Occitanie", "Montpellier", "Carcassonne", "formation sélective", "IFSI", "Regroupement d'IFSI Université Montpellier - D.E Infirmier", "D.E secteur sanitaire", "", 66, 7229, 6082, 7229, 0, 1061, 250, 1354, 374, 693, 297, 4121, 0, 0, 0, 0, 0, 5276, 0, 0, 0, 924, 196, 1067, 279, 449, 182, 2836, 843, 65, 49, 65, 0, 3.0, 22.0, 48.0, 0, 8, 32, 6, 18, 8, 33, 0, 6, 13, 10, 3, 0.0, 5, 14, 7, 0, 0, 16, 16, 4.62, 33.85, 73.85, 75.390625, 50.0, 50.0, 0, 25.0, 49.1953125, 0.0, 18.796875, 40.59375, 31.296875, 9.4, 0.0, 18.796875, 15.599609375, 56.296875, 43.796875, 25.0, 21.8984375, 168.0, 28.0, 67.0, 29.0, 365.0, "Tous les candidats", 2426.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 21.0, "23171", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22991&g_ta_cod=23171", 34.0, 40.0, 23.0),
(1468, "Public", "0590214M", "Lycée Colbert", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Colbert - BTS - Production - Electrotechnique", "BTS - Production", "", 32, 286, 18, 240, 0, 7, 0, 37, 19, 110, 49, 86, 46, 4, 6, 13, 23, 99, 17, 0, 0, 3, 0, 25, 13, 69, 28, 2, 96, 19, 0, 13, 6, 9.0, 13.0, 16.0, 0, 8, 16, 0, 4, 12, 3, 0, 5, 6, 3, 2, 0.0, 0, 1, 10, 9, 0, 16, 16, 47.37, 68.42, 84.21, 0.0, 100.0, 100.0, 56.296875, 50.0, 84.1875, 0.0, 31.296875, 37.5, 18.796875, 12.5, 0.0, 0.0, 0.0, 25.0, 6.2998046875, 75.0, 62.5, 5.0, 1.0, 61.0, 28.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 40.0, "6833", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6833&g_ta_cod=6833", 5.0, 21.0, 74.0),
(1469, "Public", "0572757M", "Lycée Georges De La Tour", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "CPGE", "Lycée Georges De La Tour - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 48, 445, 246, 439, 225, 382, 35, 1, 0, 0, 0, 56, 6, 5, 0, 0, 1, 303, 3, 162, 290, 297, 26, 0, 0, 0, 0, 6, 236, 35, 21, 34, 1, 4.0, 29.0, 35.0, 8, 0, 33, 33, 0, 0, 2, 0, 0, 7, 18, 8, 0.0, 33, 0, 0, 4, 3, 26, 26, 11.43, 82.86, 100.0, 60.0, 78.796875, 78.796875, 12.099609375, 0.0, 94.296875, 0.0, 0.0, 21.19921875, 54.5, 24.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 231.0, 19.0, 0.0, 0.0, 5.0, "Tous les candidats", 303.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "31330", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31330&g_ta_cod=31330", 100.0, 0.0, 0.0),
(1470, "Public", "0671557D", "I.U.T. d'Illkirch", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "BUT", "I.U.T. d'Illkirch - BUT - Information communication Parcours information numérique dans les organisations", "BUT - Service", "", 30, 449, 285, 449, 0, 229, 31, 92, 26, 5, 3, 123, 0, 0, 0, 0, 0, 319, 0, 0, 0, 167, 15, 73, 18, 3, 2, 76, 116, 30, 22, 30, 0, 4.0, 25.0, 29.0, 0, 7, 27, 17, 9, 1, 3, 0, 3, 18, 6, 0, 0.0, 16, 8, 0, 0, 0, 20, 20, 13.33, 83.33, 96.67, 73.296875, 74.09375, 74.09375, 0, 25.8984375, 90.0, 0.0, 11.099609375, 66.6875, 22.19921875, 0.0, 0.0, 63.0, 59.296875, 33.296875, 29.59765625, 3.69970703125, 0.0, 58.0, 13.0, 1.0, 1.0, 25.0, "Tous les candidats sauf les Bac technologiques", 107.0, "Bacheliers technologiques toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 33.0, "7970", "BUT - Information communication Parcours information numérique dans les organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7970&g_ta_cod=7970", 63.0, 33.0, 3.0),
(1471, "Public", "0782539L", "Lycée Saint Exupéry", "78", "Yvelines", "Ile-de-France", "Versailles", "Mantes-la-Jolie", "formation sélective", "BTS", "Lycée Saint Exupéry - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 332, 120, 332, 0, 24, 8, 93, 41, 80, 46, 135, 0, 0, 0, 0, 0, 181, 0, 0, 0, 12, 4, 76, 36, 53, 32, 40, 117, 30, 17, 30, 0, 1.0, 20.0, 26.0, 0, 11, 22, 0, 9, 13, 8, 0, 11, 8, 3, 0, 0.0, 0, 5, 6, 4, 1, 21, 21, 3.33, 66.67, 86.67, 56.6953125, 95.5, 95.5, 18.19921875, 50.0, 73.296875, 0.0, 50.0, 36.3984375, 13.599609375, 0.0, 0.0, 0.0, 0.0, 40.8984375, 22.69921875, 59.09375, 27.296875, 6.0, 2.0, 38.0, 20.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 42.0, "10029", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10029&g_ta_cod=10029", 7.0, 43.0, 50.0),
(1472, "Public", "0340042L", "Lycée Jean Mermoz", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "CPGE", "Lycée Jean Mermoz - CPGE - ENS Rennes D1", "Classe préparatoire économique et commerciale", "", 48, 1445, 1081, 1445, 0, 1312, 164, 3, 0, 2, 2, 128, 0, 0, 0, 0, 0, 940, 0, 0, 940, 938, 98, 0, 0, 0, 0, 2, 345, 47, 36, 47, 0, 2.0, 37.0, 42.0, 0, 8, 47, 47, 0, 0, 0, 0, 0, 1, 16, 29, 1.0, 47, 0, 0, 0, 0, 22, 22, 4.26, 78.72, 89.36, 76.59375, 46.796875, 46.796875, 0, 17.0, 100.0, 0.0, 0.0, 2.099609375, 34.0, 61.7, 2.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 344.0, 44.0, 0.0, 0.0, 1.0, "Tous les candidats", 515.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "4496", "CPGE - ENS Rennes D1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4496&g_ta_cod=4496", 100.0, 0.0, 0.0),
(1473, "Privé sous contrat d'association", "0450758E", "Lycée Saint-Paul Bourdon Blanc", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Saint-Paul Bourdon Blanc - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 14, 487, 227, 487, 0, 74, 15, 145, 35, 154, 59, 114, 0, 0, 0, 0, 0, 392, 0, 0, 0, 66, 12, 115, 24, 114, 39, 97, 72, 12, 6, 12, 0, 4.0, 7.0, 8.0, 0, 2, 5, 2, 2, 1, 7, 0, 1, 4, 0, 0, 0.0, 1, 2, 1, 0, 0, 5, 5, 33.33, 58.33, 66.67, 50.0, 100.0, 100.0, 0, 40.0, 41.6953125, 0.0, 20.0, 80.0, 0.0, 0.0, 0.0, 40.0, 20.0, 40.0, 40.0, 20.0, 20.0, 7.0, 3.0, 32.0, 13.0, 23.0, "Tous les candidats sauf les Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 16.0, "5689", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5689&g_ta_cod=5689", 25.0, 42.0, 33.0),
(1474, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail LLCER ANGLAIS / Sciences Du Langage", "Licence - Arts-lettres-langues", "LLCER ANGLAIS / Sciences Du Langage : Langues, littératures & civilisations étrangères et régionales", 40, 332, 248, 325, 0, 240, 46, 21, 9, 6, 2, 58, 7, 2, 0, 1, 4, 325, 7, 0, 0, 240, 46, 21, 9, 6, 2, 58, 332, 40, 29, 37, 3, 35.0, 35.0, 35.0, 0, 6, 33, 26, 5, 2, 7, 0, 10, 10, 7, 6, 0.0, 20, 2, 1, 0, 0, 28, 28, 87.5, 87.5, 87.5, 72.5, 84.796875, 84.796875, 0, 18.19921875, 82.5, 0.0, 30.296875, 30.296875, 21.19921875, 18.2, 0.0, 78.796875, 60.59375, 15.19921875, 6.099609375, 6.099609375, 3.0, 242.0, 47.0, 7.0, 3.0, 62.0, "Tous les candidats", 375.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23876", "Licence - Portail LLCER ANGLAIS / Sciences Du Langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23874&g_ta_cod=23876", 80.0, 13.0, 8.0),
(1475, "Public", "0624140N", "I.U.T LITTORAL (BOULOGNE/MER)", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "BUT", "I.U.T LITTORAL (BOULOGNE/MER) - BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "BUT - Production", "", 32, 580, 277, 580, 0, 347, 25, 93, 15, 2, 1, 138, 0, 0, 0, 0, 0, 469, 0, 0, 0, 317, 22, 59, 8, 0, 0, 93, 207, 32, 11, 32, 0, 14.0, 25.0, 29.0, 0, 2, 28, 15, 13, 0, 4, 0, 1, 10, 14, 3, 0.0, 14, 13, 0, 0, 0, 17, 17, 43.75, 78.13, 90.63, 34.3984375, 60.6953125, 60.6953125, 0, 7.099609375, 87.5, 0.0, 3.599609375, 35.6953125, 50.0, 10.7, 0.0, 53.59375, 50.0, 46.3984375, 46.3984375, 0.0, 0.0, 124.0, 13.0, 0.0, 0.0, 40.0, "Tous les candidats sauf les Bac technologiques", 233.0, "Bacheliers technologiques toutes séries", 65, "", 0, "Liste d'appel propre à cette formation", 51.0, "7536", "BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7536&g_ta_cod=7536", 59.0, 41.0, 0.0),
(1476, "Public", "9720003W", "Lycée Bellevue", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "CPGE", "Lycée Bellevue - CPGE - Lettres", "Classe préparatoire littéraire", "", 40, 147, 109, 140, 51, 118, 29, 0, 0, 0, 0, 22, 7, 4, 0, 0, 3, 112, 2, 46, 102, 107, 20, 0, 0, 0, 0, 5, 88, 29, 25, 28, 1, 10.0, 28.0, 29.0, 6, 6, 28, 28, 0, 0, 1, 0, 3, 10, 6, 9, 0.0, 25, 0, 0, 7, 7, 27, 27, 34.48, 96.55, 100.0, 86.1875, 96.390625, 96.390625, 25, 21.3984375, 96.59375, 0.0, 10.69921875, 35.6953125, 21.3984375, 32.1, 0.0, 100.0, 89.296875, 0.0, 0.0, 0.0, 0.0, 83.0, 16.0, 0.0, 0.0, 5.0, "Tous les candidats", 112.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "11787", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11787&g_ta_cod=11787", 100.0, 0.0, 0.0),
(1477, "Privé sous contrat d'association", "0351947B", "Lycée professionnel Agricole Edmond Michelet", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Fougères", "formation sélective", "BTS", "Lycée professionnel Agricole Edmond Michelet - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 28, 146, 93, 141, 0, 11, 1, 16, 2, 63, 10, 51, 5, 0, 1, 1, 3, 106, 2, 0, 0, 10, 1, 16, 2, 61, 9, 19, 71, 18, 15, 17, 1, 6.0, 17.0, 18.0, 0, 4, 14, 0, 2, 12, 4, 0, 4, 4, 6, 0, 0.0, 0, 2, 8, 1, 1, 11, 11, 33.33, 94.44, 100.0, 83.296875, 78.59375, 78.59375, 7.099609375, 28.59765625, 77.796875, 0.0, 28.59765625, 28.59765625, 42.8984375, 0.0, 0.0, 0.0, 0.0, 14.298828125, 14.298828125, 85.6875, 57.09375, 7.0, 1.0, 38.0, 7.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 75.0, "4771", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4771&g_ta_cod=4771", 11.0, 11.0, 78.0),
(1478, "Public", "9741394X", "ESIROI La Réunion", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 4, 79, 10, 77, 0, 0, 0, 71, 31, 0, 0, 6, 2, 0, 1, 0, 1, 36, 0, 0, 0, 0, 0, 34, 12, 0, 0, 2, 13, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 325.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 43.0, "434", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=434", 0, 0, 0),
(1479, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "Autre formation", "Institut national universitaire Champollion - Diplôme d'Université - PAREO - Sciences appliquées et fondamentales", "Diplôme d'Université", "Economique et sociale", 16, 50, 29, 28, 0, 14, 2, 5, 1, 6, 5, 3, 22, 6, 2, 5, 9, 28, 12, 0, 0, 14, 2, 5, 1, 6, 5, 3, 39, 5, 3, 2, 3, 0.0, 2.0, 2.0, 0, 3, 4, 1, 1, 2, 1, 0, 2, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 3, 3, 0.0, 40.0, 40.0, 60.0, 75.0, 75.0, 0, 75.0, 80.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 25.0, 0.0, 25.0, 25.0, 50.0, 25.0, 15.0, 2.0, 8.0, 5.0, 9.0, "Tous les candidats", 38.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "33082", "Diplôme d'Université - PAREO - Sciences appliquées et fondamentales", "Institut national universitaire Champollion", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33079&g_ta_cod=33082", 40.0, 20.0, 40.0),
(1480, "Public", "0520844K", "Lycée Edme Bouchardon", "52", "Haute-Marne", "Grand Est", "Reims", "Chaumont", "formation sélective", "BTS", "Lycée Edme Bouchardon - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 274, 155, 272, 0, 20, 2, 106, 26, 82, 35, 64, 2, 0, 0, 0, 2, 189, 1, 0, 0, 17, 2, 78, 18, 69, 29, 25, 114, 34, 27, 34, 0, 16.0, 24.0, 29.0, 0, 11, 27, 2, 10, 15, 7, 0, 12, 11, 3, 1, 0.0, 0, 6, 9, 9, 9, 27, 27, 47.06, 70.59, 85.29, 79.390625, 100.0, 100.0, 33.296875, 40.6953125, 79.390625, 0.0, 44.3984375, 40.6953125, 11.099609375, 3.7, 0.0, 7.3994140625, 0.0, 37.0, 22.19921875, 55.59375, 33.296875, 6.0, 1.0, 40.0, 16.0, 17.0, "Tous les candidats sauf les Bac professionnels", 90.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 49.0, "6181", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6181&g_ta_cod=6181", 9.0, 29.0, 62.0),
(1481, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Chimie - Biologie, Géologie, Chimie (BGC)", "Licence - Sciences - technologies - santé", "Biologie, Géologie, Chimie (BGC)", 35, 555, 376, 543, 0, 272, 50, 40, 15, 2, 2, 229, 12, 0, 3, 0, 9, 537, 11, 0, 0, 272, 50, 40, 15, 2, 2, 223, 326, 32, 22, 29, 3, 0.0, 10.0, 22.0, 0, 0, 7, 6, 1, 0, 25, 0, 5, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 5, 5, 0.0, 31.25, 68.75, 68.796875, 71.390625, 71.390625, 0, 0.0, 21.8984375, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 85.6875, 14.298828125, 14.298828125, 14.298828125, 0.0, 0.0, 172.0, 28.0, 1.0, 1.0, 147.0, "Tous les candidats", 466.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 70.0, "5352", "Licence - Portail Chimie - Biologie, Géologie, Chimie (BGC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32242&g_ta_cod=5352", 88.0, 13.0, 0.0),
(1482, "Public", "0942117R", "IFSI Séraphine de Senlis - CH Les Murets", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "La Queue-en-Brie", "formation sélective", "IFSI", "Regroupement d'IFSI UPEC (P12)  - D.E Infirmier", "D.E secteur sanitaire", "", 69, 3529, 3112, 3529, 0, 333, 86, 551, 224, 520, 257, 2125, 0, 0, 0, 0, 0, 2365, 0, 0, 0, 304, 74, 395, 149, 324, 154, 1342, 816, 64, 59, 62, 0, 1.0, 20.0, 55.0, 0, 13, 28, 6, 11, 11, 36, 0, 9, 13, 5, 1, 0.0, 3, 5, 11, 0, 0, 20, 22, 1.56, 31.25, 85.94, 92.1875, 71.390625, 78.59375, 0, 46.3984375, 43.796875, 0.0, 32.09375, 46.3984375, 17.8984375, 3.6, 0.0, 21.3984375, 10.69921875, 39.296875, 17.8984375, 39.296875, 39.296875, 162.0, 48.0, 100.0, 49.0, 431.0, "Tous les candidats", 2525.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "23280", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23006&g_ta_cod=23280", 39.0, 28.0, 31.0),
(1483, "Privé enseignement supérieur", "0060656F", "SKEMA Business School - Campus de Sophia Antipolis", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Valbonne", "formation sélective", "Ecole de Commerce", "SKEMA Business School - Campus de Lille - Formation des écoles de commerce et de management Bac + 3 - ESDHEM Economie-Gestion", "Formation des écoles de commerce et de management", "ESDHEM Economie-Gestion", 80, 637, 282, 599, 0, 527, 14, 19, 1, 0, 0, 53, 38, 13, 4, 1, 20, 567, 26, 0, 0, 508, 14, 18, 1, 0, 0, 41, 542, 76, 35, 62, 14, 25.0, 61.0, 71.0, 0, 4, 68, 63, 5, 0, 8, 0, 5, 39, 21, 3, 0.0, 59, 4, 0, 0, 0, 52, 52, 32.89, 80.26, 93.42, 46.09375, 76.5, 76.5, 0, 5.8994140625, 89.5, 0.0, 7.3994140625, 57.3984375, 30.8984375, 4.4, 0.0, 92.59375, 86.796875, 7.3994140625, 5.8994140625, 0.0, 0.0, 478.0, 14.0, 0.0, 0.0, 46.0, "Tous les candidats", 1176.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 94.0, "31192", "Formation des écoles de commerce et de management Bac + 3 - ESDHEM Economie-Gestion", "SKEMA Business School - Campus de Lille", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31191&g_ta_cod=31192", 92.0, 8.0, 0.0),
(1484, "Privé sous contrat d'association", "0772692H", "IRTS Île-de-France - Site de Melun", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation sélective", "EFTS", "IRTS Île-de-France - Site de Melun - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 23, 133, 129, 133, 0, 26, 5, 34, 7, 25, 3, 48, 0, 0, 0, 0, 0, 128, 0, 0, 0, 26, 5, 33, 7, 22, 3, 47, 47, 25, 24, 25, 0, 10.0, 16.0, 22.0, 0, 1, 9, 2, 4, 3, 16, 0, 3, 3, 2, 1, 0.0, 1, 2, 3, 0, 0, 7, 8, 40.0, 64.0, 88.0, 96.0, 77.796875, 88.890625, 0, 11.099609375, 36.0, 0.0, 33.296875, 33.296875, 22.19921875, 11.1, 0.0, 22.19921875, 11.099609375, 44.3984375, 22.19921875, 33.296875, 33.296875, 7.0, 0.0, 6.0, 1.0, 28.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "24969", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24969&g_ta_cod=24969", 40.0, 36.0, 20.0),
(1485, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation non sélective", "PASS", "Université Claude Bernard Lyon 1 - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "proposée par l?Université Claude Bernard Lyon 1", 370, 7847, 5334, 7847, 0, 6427, 1005, 160, 65, 16, 10, 1244, 0, 0, 0, 0, 0, 7771, 0, 0, 0, 6427, 1005, 160, 65, 16, 10, 1168, 1326, 372, 272, 372, 0, 66.0, 312.0, 354.0, 0, 67, 363, 362, 1, 0, 9, 0, 0, 25, 174, 145, 19.0, 362, 1, 0, 0, 0, 281, 281, 17.74, 83.87, 95.16, 73.09375, 77.390625, 77.390625, 0, 18.5, 97.59375, 0.0, 0.0, 6.8994140625, 47.8984375, 39.9, 5.2, 99.6875, 99.6875, 0.29998779296875, 0.29998779296875, 0.0, 0.0, 1216.0, 203.0, 1.0, 1.0, 108.0, "Tous les candidats", 2368.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "28177", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28157&g_ta_cod=28177", 100.0, 0.0, 0.0),
(1486, "Public", "0480007X", "Lycée Chaptal", "48", "Lozère", "Occitanie", "Montpellier", "Mende", "formation sélective", "BTS", "Lycée Chaptal - BTS - Services - Tourisme", "BTS - Services", "", 35, 592, 322, 549, 0, 86, 24, 40, 16, 45, 24, 378, 43, 3, 4, 17, 19, 194, 21, 0, 0, 71, 19, 35, 14, 37, 17, 51, 150, 24, 14, 17, 7, 4.0, 12.0, 20.0, 0, 6, 15, 5, 5, 5, 9, 0, 11, 3, 1, 0, 0.0, 1, 1, 2, 0, 0, 8, 8, 16.67, 50.0, 83.33, 58.296875, 53.296875, 53.296875, 0, 40.0, 62.5, 0.0, 73.296875, 20.0, 6.69921875, 0.0, 0.0, 33.296875, 6.69921875, 33.296875, 6.69921875, 33.296875, 13.298828125, 29.0, 6.0, 43.0, 20.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 101.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 35.0, "5796", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5796&g_ta_cod=5796", 46.0, 25.0, 29.0),
(1487, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation sélective", "Autre formation", "Université Savoie Mont Blanc - Bourget-du-Lac - C.M.I - Cursus Master en Ingénierie - Mathématiques - Cursus Master en Ingénierie (CMI) 1er cycle Mathématiques Appliquées : modélisation mathématique et simulation numérique", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) 1er cycle Mathématiques Appliquées : modélisation mathématique et simulation numérique", 15, 143, 37, 119, 0, 81, 12, 0, 0, 1, 0, 37, 24, 3, 1, 0, 20, 45, 4, 0, 0, 34, 3, 0, 0, 0, 0, 11, 46, 6, 1, 5, 1, 1.0, 5.0, 6.0, 0, 1, 6, 6, 0, 0, 0, 0, 0, 3, 2, 1, 0.0, 6, 0, 0, 0, 0, 5, 5, 16.67, 83.33, 100.0, 16.69921875, 83.296875, 83.296875, 0, 16.69921875, 100.0, 0.0, 0.0, 50.0, 33.296875, 16.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 34.0, 3.0, 0.0, 0.0, 12.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "18370", "C.M.I - Cursus Master en Ingénierie - Mathématiques - Cursus Master en Ingénierie (CMI) 1er cycle Mathématiques Appliquées : modélisation mathématique et simulation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18370&g_ta_cod=18370", 100.0, 0.0, 0.0),
(1488, "Public", "9840349G", "Université de la Polynésie française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation non sélective", "Licence", "Université de la Polynésie française - Licence - Géographie et aménagement - Parcours Géographie, Territoires insulaires, Aménagement, Risques, Environnement", "Licence - Sciences humaines et sociales", "Géographie, Territoires insulaires, Aménagement, Risques, Environnement", 80, 163, 86, 132, 0, 78, 31, 12, 5, 12, 7, 30, 31, 7, 5, 1, 18, 132, 17, 0, 0, 78, 31, 12, 5, 12, 7, 30, 143, 30, 16, 23, 7, 19.0, 23.0, 28.0, 0, 7, 17, 12, 4, 1, 13, 0, 9, 7, 1, 0, 0.0, 5, 2, 1, 0, 0, 16, 16, 63.33, 76.67, 93.33, 53.296875, 94.09375, 94.09375, 0, 41.1953125, 56.6953125, 0.0, 52.8984375, 41.1953125, 5.8994140625, 0.0, 0.0, 70.59375, 29.3984375, 23.5, 11.798828125, 5.8994140625, 5.8994140625, 78.0, 31.0, 12.0, 8.0, 42.0, "Tous les candidats", 132.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12005", "Licence - Géographie et aménagement - Parcours Géographie, Territoires insulaires, Aménagement, Risques, Environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12005&g_ta_cod=12005", 60.0, 30.0, 10.0),
(1489, "Public", "0131596P", "Lycée Militaire d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Autre formation", "Lycée Militaire d'Aix-en-Provence - CPES - Scientifique", "Classe préparatoire aux études supérieures", "", 22, 241, 50, 241, 0, 218, 34, 4, 2, 0, 0, 19, 0, 0, 0, 0, 0, 118, 0, 0, 0, 118, 23, 0, 0, 0, 0, 0, 73, 21, 5, 21, 0, 8.0, 18.0, 21.0, 0, 8, 21, 21, 0, 0, 0, 0, 1, 7, 12, 1, 0.0, 20, 0, 0, 0, 0, 5, 5, 38.1, 85.71, 100.0, 23.796875, 23.796875, 23.796875, 0, 38.09375, 100.0, 0.0, 4.7998046875, 33.296875, 57.09375, 4.8, 0.0, 100.0, 95.1875, 0.0, 0.0, 0.0, 0.0, 73.0, 23.0, 0.0, 0.0, 0.0, "Tous les candidats", 100.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "2657", "CPES - Scientifique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2657&g_ta_cod=2657", 100.0, 0.0, 0.0),
(1490, "Public", "9740045F", "Lycée Antoine de Saint Exupéry", "974", "La Réunion", "La Réunion", "La Réunion", "Les Avirons", "formation sélective", "BTS", "Lycée Antoine de Saint Exupéry - BTS - Services - Professions immobilières", "BTS - Services", "", 24, 577, 349, 563, 0, 86, 32, 219, 125, 134, 99, 124, 14, 2, 0, 5, 7, 207, 4, 0, 0, 25, 8, 93, 58, 65, 46, 24, 97, 21, 17, 18, 2, 2.0, 16.0, 17.0, 0, 8, 15, 2, 11, 2, 6, 0, 3, 9, 3, 0, 0.0, 1, 9, 2, 2, 2, 15, 15, 9.52, 76.19, 80.95, 81.0, 100.0, 100.0, 13.298828125, 53.296875, 71.390625, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 13.298828125, 6.69921875, 73.296875, 60.0, 13.298828125, 13.298828125, 16.0, 8.0, 22.0, 14.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 28.0, "11899", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11899&g_ta_cod=11899", 19.0, 62.0, 19.0),
(1491, "Public", "0341794R", "Lycée Jean-Francois Champollion", "34", "Hérault", "Occitanie", "Montpellier", "Lattes", "formation sélective", "Autre formation", "Lycée Jean-Francois Champollion - DN MADE - Espace - - Spécialité : Espace et contextes", "DN MADE", "- Spécialité : Espace et contextes", 15, 628, 508, 628, 0, 279, 49, 144, 31, 67, 22, 138, 0, 0, 0, 0, 0, 603, 0, 0, 0, 277, 48, 140, 29, 64, 21, 122, 59, 15, 12, 15, 0, 1.0, 12.0, 13.0, 0, 5, 14, 5, 3, 6, 1, 0, 0, 5, 7, 2, 0.0, 5, 3, 6, 0, 0, 2, 2, 6.67, 80.0, 86.67, 80.0, 14.298828125, 14.298828125, 0, 35.6953125, 93.296875, 0.0, 0.0, 35.6953125, 50.0, 14.3, 0.0, 35.6953125, 35.6953125, 21.3984375, 21.3984375, 42.8984375, 42.8984375, 29.0, 6.0, 9.0, 4.0, 3.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "21555", "DN MADE - Espace - - Spécialité : Espace et contextes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21555&g_ta_cod=21555", 40.0, 20.0, 40.0),
(1492, "Public", "0440029T", "LGT Livet", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "LGT Livet - CPGE - PTSI", "Classe préparatoire scientifique", "", 90, 1055, 188, 1055, 765, 842, 61, 2, 1, 0, 0, 211, 0, 0, 0, 0, 0, 869, 0, 642, 841, 833, 61, 0, 0, 0, 0, 36, 484, 90, 8, 90, 0, 17.0, 64.0, 84.0, 22, 4, 89, 89, 0, 0, 1, 0, 4, 13, 64, 8, 0.0, 85, 0, 0, 8, 0, 51, 51, 18.89, 71.11, 93.33, 8.8984375, 57.296875, 57.296875, 9, 4.5, 98.890625, 0.0, 4.5, 14.599609375, 71.890625, 9.0, 0.0, 100.0, 95.5, 0.0, 0.0, 0.0, 0.0, 469.0, 28.0, 0.0, 0.0, 15.0, "Tous les candidats", 717.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "5432", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5432&g_ta_cod=5432", 100.0, 0.0, 0.0),
(1493, "Privé sous contrat d'association", "0260072M", "Lycée Saint-Louis", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Crest", "formation sélective", "BTS", "Lycée Saint-Louis - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 61, 5, 43, 0, 3, 1, 10, 4, 19, 2, 11, 18, 1, 3, 6, 8, 16, 7, 0, 0, 3, 1, 1, 0, 9, 0, 3, 22, 3, 0, 1, 2, 1.0, 1.0, 2.0, 0, 1, 3, 0, 0, 3, 0, 0, 1, 0, 2, 0, 0.0, 0, 0, 2, 0, 0, 2, 2, 33.33, 33.33, 66.67, 0.0, 66.6875, 66.6875, 0, 33.296875, 100.0, 0.0, 33.296875, 0.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 3.0, 1.0, 11.0, 1.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 3, "Liste d'appel propre à cette formation", 37.0, "18885", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18885&g_ta_cod=18885", 0.0, 0.0, 100.0),
(1494, "Public", "7200583W", "Lycée Paul Vincensini", "2B", "Haute-Corse", "Corse", "Corse", "Bastia", "formation sélective", "BTS", "Lycée Paul Vincensini - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 24, 218, 41, 218, 0, 18, 5, 34, 4, 29, 10, 137, 0, 0, 0, 0, 0, 87, 0, 0, 0, 18, 5, 33, 4, 21, 7, 15, 64, 18, 0, 18, 0, 7.0, 17.0, 18.0, 0, 2, 16, 2, 9, 5, 2, 0, 11, 2, 2, 1, 0.0, 0, 1, 4, 8, 0, 16, 16, 38.89, 94.44, 100.0, 0.0, 100.0, 100.0, 50, 12.5, 88.890625, 0.0, 68.796875, 12.5, 12.5, 6.3, 0.0, 12.5, 0.0, 56.296875, 6.2998046875, 31.296875, 25.0, 10.0, 3.0, 22.0, 7.0, 13.0, "Tous les candidats sauf les Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 39.0, "11702", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11702&g_ta_cod=11702", 17.0, 50.0, 33.0),
(1495, "Privé sous contrat d'association", "0922563L", "ESILV - Paris la Défense", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Courbevoie", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 340, 5176, 1126, 5176, 0, 5169, 263, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 3000, 0, 0, 0, 2997, 72, 0, 0, 0, 0, 3, 1740, 348, 88, 348, 0, 320.0, 341.0, 341.0, 0, 15, 348, 348, 0, 0, 0, 0, 0, 49, 196, 99, 4.0, 348, 0, 0, 0, 0, 186, 277, 91.95, 97.99, 97.99, 25.296875, 53.3984375, 79.59375, 0, 4.2998046875, 100.0, 0.0, 0.0, 14.099609375, 56.296875, 28.4, 1.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1739.0, 72.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "13652", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=99&g_ta_cod=13652", 100.0, 0.0, 0.0),
(1496, "Public", "0470884F", "Université Bordeaux Montaigne - Antenne d'Agen", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Antenne d'Agen - Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues Etrangères Appliquées : Anglais-Espagnol Agen", "Licence - Arts-lettres-langues", "Licence 1 LEA - Langues Etrangères Appliquées : Anglais-Espagnol Agen", 80, 524, 406, 407, 0, 282, 88, 42, 18, 16, 11, 67, 117, 19, 12, 8, 78, 404, 110, 0, 0, 282, 88, 42, 18, 16, 11, 64, 520, 67, 44, 41, 26, 38.0, 40.0, 54.0, 0, 13, 43, 27, 9, 7, 24, 0, 17, 20, 6, 0, 0.0, 21, 2, 3, 0, 0, 29, 29, 56.72, 59.7, 80.6, 65.6875, 67.390625, 67.390625, 0, 30.19921875, 64.1875, 0.0, 39.5, 46.5, 14.0, 0.0, 0.0, 62.796875, 48.796875, 20.8984375, 4.69921875, 16.296875, 7.0, 306.0, 94.0, 24.0, 17.0, 136.0, "Tous les candidats", 404.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "23329", "Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues Etrangères Appliquées : Anglais-Espagnol Agen", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23329&g_ta_cod=23329", 60.0, 21.0, 19.0),
(1497, "Public", "0540040A", "Lycée Frédéric Chopin", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Frédéric Chopin - BTS - Services - Commerce International", "BTS - Services", "", 35, 1070, 569, 1061, 0, 326, 70, 315, 116, 100, 45, 320, 9, 0, 5, 0, 4, 505, 0, 0, 0, 237, 41, 164, 45, 38, 18, 66, 183, 32, 23, 32, 0, 1.0, 25.0, 30.0, 0, 14, 30, 15, 11, 4, 2, 0, 5, 19, 5, 1, 0.0, 12, 9, 4, 5, 4, 26, 26, 3.13, 78.13, 93.75, 71.890625, 86.6875, 86.6875, 16.69921875, 46.6953125, 93.796875, 0.0, 16.69921875, 63.296875, 16.69921875, 3.3, 0.0, 50.0, 40.0, 36.6953125, 30.0, 13.298828125, 13.298828125, 91.0, 28.0, 10.0, 4.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 192.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 122, "Liste d'appel propre à cette formation", 31.0, "6253", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6253&g_ta_cod=6253", 50.0, 38.0, 13.0),
(1498, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 140, 797, 316, 779, 0, 537, 78, 48, 6, 10, 6, 184, 18, 2, 0, 2, 14, 778, 16, 0, 0, 536, 77, 48, 6, 10, 6, 184, 793, 139, 47, 129, 10, 127.0, 127.0, 128.0, 0, 14, 96, 88, 6, 2, 43, 1, 43, 43, 7, 2, 0.0, 48, 3, 1, 0, 0, 82, 82, 91.37, 91.37, 92.09, 33.796875, 85.390625, 85.390625, 0, 14.599609375, 69.09375, 1.0, 44.796875, 44.796875, 7.2998046875, 2.1, 0.0, 91.6875, 50.0, 6.2998046875, 3.099609375, 2.099609375, 1.0, 538.0, 78.0, 12.0, 7.0, 196.0, "Tous les candidats", 779.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5576", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5576&g_ta_cod=5576", 88.0, 7.0, 4.0),
(1499, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail Physique / Chimie / Sciences pour l'Ingénieur /  Sciences de la Terre", "Licence - Sciences - technologies - santé", "Physique / Chimie / Sciences pour l'Ingénieur /  Sciences de la Terre : Chimie", 100, 832, 401, 696, 0, 477, 70, 30, 10, 3, 0, 186, 136, 47, 3, 0, 86, 691, 106, 0, 0, 477, 70, 30, 10, 3, 0, 181, 797, 48, 21, 25, 23, 23.0, 25.0, 43.0, 0, 7, 20, 20, 0, 0, 28, 0, 8, 7, 4, 1, 0.0, 12, 0, 0, 0, 0, 14, 14, 47.92, 52.08, 89.58, 43.796875, 70.0, 70.0, 0, 35.0, 41.6953125, 0.0, 40.0, 35.0, 20.0, 5.0, 0.0, 100.0, 60.0, 0.0, 0.0, 0.0, 0.0, 516.0, 75.0, 3.0, 0.0, 247.0, "Tous les candidats", 1334.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "22792", "Licence - Portail Physique / Chimie / Sciences pour l'Ingénieur /  Sciences de la Terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20731&g_ta_cod=22792", 92.0, 6.0, 0.0),
(1500, "Privé sous contrat d'association", "0211089V", "Lycée Saint Joseph", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Production - Conception de produits industriels", "BTS - Production", "", 32, 192, 19, 188, 0, 20, 1, 88, 7, 26, 7, 54, 4, 1, 0, 0, 3, 153, 2, 0, 0, 20, 1, 86, 7, 24, 6, 23, 112, 35, 3, 35, 0, 12.0, 32.0, 35.0, 0, 3, 31, 3, 17, 11, 4, 1, 15, 13, 1, 1, 0.0, 1, 6, 8, 9, 1, 21, 21, 34.29, 91.43, 100.0, 8.599609375, 67.6875, 67.6875, 29, 9.69921875, 88.59375, 3.19970703125, 48.3984375, 41.8984375, 3.19970703125, 3.2, 0.0, 9.69921875, 3.19970703125, 54.796875, 19.3984375, 35.5, 25.796875, 20.0, 1.0, 21.0, 6.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 77.0, "3213", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3213&g_ta_cod=3213", 11.0, 57.0, 31.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(1501, "Privé sous contrat d'association", "0030935A", "ES Vichy", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Vichy", "formation sélective", "BTS", "ES Vichy - BTS - Services - Commerce International", "BTS - Services", "", 18, 343, 151, 290, 0, 90, 18, 56, 20, 31, 15, 113, 53, 22, 0, 5, 26, 125, 8, 0, 0, 64, 12, 29, 10, 12, 6, 20, 84, 16, 11, 13, 3, 0.0, 13.0, 16.0, 0, 4, 13, 7, 3, 3, 3, 0, 6, 4, 3, 0, 0.0, 4, 2, 1, 0, 0, 10, 10, 0.0, 81.25, 100.0, 68.796875, 76.890625, 76.890625, 0, 30.796875, 81.296875, 0.0, 46.1953125, 30.796875, 23.09765625, 0.0, 0.0, 53.796875, 30.796875, 23.09765625, 15.3984375, 23.09765625, 7.69921875, 51.0, 13.0, 8.0, 5.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 79.0, "Bacheliers technologiques toutes séries", 10, "Bacheliers professionnels toutes séries", 12, "Liste d'appel propre à cette formation", 35.0, "29881", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29881&g_ta_cod=29881", 56.0, 25.0, 19.0),
(1502, "Public", "0690037R", "Lycée La Martinière-Diderot", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "BTS", "Lycée La Martinière-Diderot - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 30, 633, 84, 633, 0, 41, 16, 250, 95, 79, 46, 263, 0, 0, 0, 0, 0, 327, 0, 0, 0, 40, 16, 151, 45, 55, 28, 81, 160, 27, 3, 27, 0, 3.0, 21.0, 22.0, 0, 10, 23, 3, 15, 5, 4, 0, 6, 14, 2, 1, 0.0, 3, 9, 5, 4, 0, 19, 19, 11.11, 77.78, 81.48, 11.099609375, 82.59375, 82.59375, 17.3984375, 43.5, 85.1875, 0.0, 26.09765625, 60.8984375, 8.69921875, 4.3, 0.0, 13.0, 13.0, 65.1875, 39.09375, 21.69921875, 21.69921875, 24.0, 8.0, 26.0, 13.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 134, "Liste d'appel propre à cette formation", 33.0, "8205", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8205&g_ta_cod=8205", 11.0, 67.0, 22.0),
(1503, "Public", "0271580W", "Lycée André Malraux", "27", "Eure", "Normandie", "Normandie", "Gaillon", "formation sélective", "BTS", "Lycée André Malraux - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 177, 84, 142, 0, 13, 5, 56, 20, 29, 13, 44, 35, 0, 4, 14, 17, 88, 12, 0, 0, 11, 3, 42, 12, 21, 9, 14, 87, 16, 10, 12, 4, 7.0, 10.0, 14.0, 0, 3, 9, 1, 6, 2, 7, 0, 4, 4, 1, 0, 0.0, 0, 3, 2, 6, 3, 9, 9, 43.75, 62.5, 87.5, 62.5, 100.0, 100.0, 66.6875, 33.296875, 56.296875, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 11.099609375, 0.0, 66.6875, 33.296875, 22.19921875, 22.19921875, 7.0, 3.0, 25.0, 9.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 61.0, "3710", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3710&g_ta_cod=3710", 19.0, 50.0, 31.0),
(1504, "Public", "0410018X", "Lycée agricole de VENDOME (41)", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Vendôme", "formation sélective", "BTS", "Lycée agricole de VENDOME (41) - BTS - Agricole - productions animales", "BTS - Agricole", "", 24, 254, 189, 249, 0, 56, 14, 97, 27, 54, 19, 42, 5, 0, 0, 4, 1, 200, 2, 0, 0, 55, 14, 83, 24, 45, 16, 17, 74, 25, 16, 24, 1, 13.0, 20.0, 24.0, 0, 8, 24, 6, 12, 6, 1, 0, 9, 10, 5, 0, 0.0, 2, 9, 4, 10, 6, 20, 20, 52.0, 80.0, 96.0, 64.0, 83.296875, 83.296875, 41.6953125, 33.296875, 96.0, 0.0, 37.5, 41.6953125, 20.796875, 0.0, 0.0, 25.0, 8.298828125, 50.0, 37.5, 25.0, 16.69921875, 13.0, 4.0, 28.0, 8.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 49.0, "5240", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5240&g_ta_cod=5240", 28.0, 48.0, 24.0),
(1505, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Mathématiques - Parcours International", "Licence - Sciences - technologies - santé", "International", 12, 455, 173, 416, 0, 342, 35, 2, 1, 2, 2, 70, 39, 18, 1, 0, 20, 150, 9, 0, 0, 138, 7, 1, 1, 0, 0, 11, 91, 11, 5, 7, 4, 1.0, 7.0, 10.0, 0, 3, 6, 6, 0, 0, 5, 0, 0, 0, 2, 4, 0.0, 6, 0, 0, 0, 0, 3, 3, 9.09, 63.64, 90.91, 45.5, 50.0, 50.0, 0, 50.0, 54.5, 0.0, 0.0, 0.0, 33.296875, 66.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 74.0, 7.0, 0.0, 0.0, 16.0, "Tous les candidats", 144.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "26335", "Licence - Mathématiques - Parcours International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26335&g_ta_cod=26335", 100.0, 0.0, 0.0),
(1506, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "PASS", "Université de Paris - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Biologie, Physique, Chimie", 730, 14442, 9646, 14442, 0, 11348, 2230, 399, 170, 68, 39, 2627, 0, 0, 0, 0, 0, 14405, 0, 0, 0, 11348, 2230, 399, 170, 68, 39, 2590, 3621, 711, 453, 711, 0, 162.0, 547.0, 660.0, 0, 163, 638, 638, 0, 0, 73, 6, 1, 47, 258, 260, 66.0, 631, 0, 0, 0, 0, 148, 522, 22.78, 76.93, 92.83, 63.6953125, 23.19921875, 81.796875, 0, 25.5, 89.6875, 0.89990234375, 0.199981689453125, 7.3994140625, 40.3984375, 40.8, 10.3, 100.0, 98.890625, 0.0, 0.0, 0.0, 0.0, 3236.0, 676.0, 0.0, 0.0, 385.0, "Tous les candidats", 5230.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "33532", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28111&g_ta_cod=33532", 99.0, 1.0, 0.0),
(1507, "Privé enseignement supérieur", "0512115X", "CESI Campus de Reims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 42, 792, 113, 773, 0, 581, 69, 56, 14, 0, 0, 136, 19, 7, 0, 0, 12, 591, 1, 0, 0, 473, 44, 44, 9, 0, 0, 74, 197, 18, 0, 18, 0, 11.0, 18.0, 18.0, 0, 3, 15, 15, 0, 0, 3, 0, 2, 9, 3, 1, 0.0, 13, 0, 0, 0, 0, 10, 10, 61.11, 100.0, 100.0, 0.0, 66.6875, 66.6875, 0, 20.0, 83.296875, 0.0, 13.298828125, 60.0, 20.0, 6.7, 0.0, 100.0, 86.6875, 0.0, 0.0, 0.0, 0.0, 143.0, 13.0, 0.0, 0.0, 41.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "25184", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25184", 100.0, 0.0, 0.0),
(1508, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Licence", "Université Bordeaux Montaigne - Licence - Histoire - Parcours Licence 1 Histoire - Hambord", "Licence - Sciences humaines et sociales", "Licence 1 Histoire - Hambord", 10, 26, 14, 24, 0, 14, 0, 1, 0, 1, 1, 8, 2, 0, 0, 0, 2, 14, 0, 0, 0, 9, 0, 0, 0, 0, 0, 5, 14, 6, 2, 6, 0, 5.0, 6.0, 6.0, 0, 0, 4, 4, 0, 0, 2, 0, 0, 0, 2, 2, 0.0, 4, 0, 0, 0, 0, 1, 1, 83.33, 100.0, 100.0, 33.296875, 25.0, 25.0, 0, 0.0, 66.6875, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 9.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "24130", "Licence - Histoire - Parcours Licence 1 Histoire - Hambord", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24130&g_ta_cod=24130", 100.0, 0.0, 0.0),
(1509, "Public", "0941470M", "Lycée Champlain", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Chennevières-sur-Marne", "formation sélective", "BTS", "Lycée Champlain - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 860, 395, 361, 0, 36, 12, 102, 47, 90, 45, 133, 499, 32, 0, 219, 248, 161, 15, 0, 0, 30, 9, 50, 23, 45, 24, 36, 134, 35, 12, 25, 8, 5.0, 23.0, 26.0, 0, 15, 26, 4, 10, 12, 9, 0, 8, 14, 4, 0, 0.0, 0, 9, 9, 6, 1, 24, 26, 14.29, 65.71, 74.29, 34.296875, 92.296875, 100.0, 23.09765625, 57.6953125, 74.296875, 0.0, 30.796875, 53.796875, 15.3984375, 0.0, 0.0, 15.3984375, 0.0, 38.5, 34.59375, 46.1953125, 34.59375, 25.0, 9.0, 43.0, 23.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 41.0, "11527", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11527&g_ta_cod=11527", 23.0, 34.0, 43.0),
(1510, "Privé enseignement supérieur", "0530939H", "ESIEA Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 10, 214, 74, 212, 0, 0, 0, 0, 0, 0, 0, 212, 2, 0, 0, 0, 2, 201, 2, 0, 0, 0, 0, 0, 0, 0, 0, 201, 201, 2, 0, 2, 0, 1.0, 2.0, 2.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 50.0, 100.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 201.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "22858", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22858", 100.0, 0.0, 0.0),
(1511, "Privé enseignement supérieur", "0312269Y", "ICD International Business School - Campus de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Blagnac", "formation sélective", "Ecole de Commerce", "Concours ICD - Programme Grande Ecole en 5 ans - Grade de Master", "Formation des écoles de commerce et de management", "Programme Grande Ecole en 5 ans - Grade de Master", 70, 265, 132, 256, 0, 203, 21, 30, 4, 2, 2, 21, 9, 2, 2, 0, 5, 140, 4, 0, 0, 114, 11, 14, 0, 0, 0, 12, 132, 39, 20, 36, 3, 21.0, 36.0, 38.0, 0, 4, 31, 24, 7, 0, 8, 0, 11, 10, 7, 3, 0.0, 16, 4, 0, 0, 0, 20, 20, 53.85, 92.31, 97.44, 51.296875, 64.5, 64.5, 0, 12.8984375, 79.5, 0.0, 35.5, 32.296875, 22.59765625, 9.7, 0.0, 77.390625, 51.59375, 22.59765625, 12.8984375, 0.0, 0.0, 106.0, 10.0, 0.0, 0.0, 13.0, "Tous les candidats - Toulouse", 141.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "23903", "Programme Grande Ecole en 5 ans - Grade de Master", "Concours ICD", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23901&g_ta_cod=23903", 77.0, 23.0, 0.0),
(1512, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Lettres - Parcours Lettres Classiques", "Licence - Arts-lettres-langues", "Lettres Classiques", 30, 205, 156, 158, 0, 89, 30, 6, 3, 5, 3, 58, 47, 4, 1, 4, 38, 155, 24, 0, 0, 89, 30, 6, 3, 5, 3, 55, 130, 8, 7, 5, 3, 2.0, 5.0, 8.0, 0, 1, 4, 4, 0, 0, 4, 0, 2, 0, 1, 1, 0.0, 2, 0, 0, 0, 0, 2, 2, 25.0, 62.5, 100.0, 87.5, 50.0, 50.0, 0, 25.0, 50.0, 0.0, 50.0, 0.0, 25.0, 25.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 64.0, 19.0, 3.0, 2.0, 58.0, "Tous les candidats", 155.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "8032", "Licence - Lettres - Parcours Lettres Classiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8032&g_ta_cod=8032", 88.0, 13.0, 0.0),
(1513, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence_Las", "Université Grenoble Alpes  - Licence - Portail Philosophie - Sciences sociales", "Licence - Sciences humaines et sociales", "Sciences sociales", 10, 139, 106, 125, 0, 53, 11, 7, 3, 3, 1, 62, 14, 3, 0, 0, 11, 125, 14, 0, 0, 53, 11, 7, 3, 3, 1, 62, 97, 7, 6, 4, 3, 0.0, 2.0, 4.0, 0, 0, 2, 2, 0, 0, 5, 0, 0, 1, 0, 1, 0.0, 2, 0, 0, 0, 0, 2, 2, 0.0, 28.57, 57.14, 85.6875, 100.0, 100.0, 0, 0.0, 28.59765625, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 41.0, 12.0, 0.0, 0.0, 54.0, "Tous les candidats", 363.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "31715", "Licence - Portail Philosophie - Sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31714&g_ta_cod=31715", 86.0, 0.0, 0.0),
(1514, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Autre formation", "Institut Catholique de Lyon - ESQESE - Formation professionnelle - Responsable de projets informatiques (bac +3)", "Formation professionnelle", "", 23, 55, 5, 39, 0, 18, 2, 3, 1, 2, 1, 16, 16, 4, 1, 0, 11, 20, 8, 0, 0, 14, 1, 2, 0, 0, 0, 4, 28, 12, 1, 7, 5, 7.0, 7.0, 10.0, 0, 0, 7, 5, 2, 0, 5, 0, 2, 4, 1, 0, 0.0, 3, 2, 0, 0, 0, 5, 5, 58.33, 58.33, 83.33, 8.298828125, 71.390625, 71.390625, 0, 0.0, 58.296875, 0.0, 28.59765625, 57.09375, 14.298828125, 0.0, 0.0, 71.390625, 42.8984375, 28.59765625, 28.59765625, 0.0, 0.0, 15.0, 1.0, 0.0, 0.0, 10.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "31737", "Formation professionnelle - Responsable de projets informatiques (bac +3)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31737&g_ta_cod=31737", 75.0, 25.0, 0.0),
(1515, "Public", "0750685M", "Lycée Pierre-Gilles de Gennes - ENCPB", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Pierre-Gilles de Gennes - ENCPB - BTS - Production - Métiers de l'eau", "BTS - Production", "", 30, 497, 167, 453, 0, 58, 10, 156, 43, 52, 27, 187, 44, 15, 0, 0, 29, 187, 6, 0, 0, 46, 6, 86, 21, 28, 14, 27, 133, 33, 12, 30, 3, 6.0, 27.0, 31.0, 0, 2, 27, 8, 16, 3, 6, 0, 15, 9, 2, 1, 0.0, 2, 8, 2, 4, 0, 5, 27, 18.18, 81.82, 93.94, 36.3984375, 18.5, 100.0, 14.798828125, 7.3994140625, 81.796875, 0.0, 55.59375, 33.296875, 7.3994140625, 3.7, 0.0, 29.59765625, 7.3994140625, 59.296875, 29.59765625, 11.099609375, 7.3994140625, 40.0, 6.0, 13.0, 8.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 36.0, "9083", "BTS - Production - Métiers de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9083&g_ta_cod=9083", 39.0, 52.0, 9.0),
(1516, "Public", "0410959V", "Lycée Camille Claudel", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BTS", "Lycée Camille Claudel - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 32, 671, 466, 652, 0, 189, 26, 144, 28, 83, 23, 236, 19, 0, 1, 13, 5, 367, 0, 0, 0, 168, 23, 35, 9, 37, 11, 127, 183, 27, 20, 27, 0, 5.0, 16.0, 21.0, 0, 1, 20, 17, 0, 3, 7, 0, 5, 8, 5, 1, 1.0, 12, 0, 3, 3, 3, 8, 8, 18.52, 59.26, 77.78, 74.09375, 40.0, 40.0, 15, 5.0, 74.09375, 0.0, 25.0, 40.0, 25.0, 5.0, 5.0, 85.0, 60.0, 0.0, 0.0, 15.0, 15.0, 82.0, 11.0, 24.0, 8.0, 69.0, "Tous les candidats sauf les Bac professionnels", 235.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 42.0, "5259", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5259&g_ta_cod=5259", 89.0, 0.0, 11.0),
(1517, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Sciences sociales", "Licence - Sciences humaines et sociales", "", 90, 782, 567, 762, 0, 426, 124, 63, 22, 40, 27, 233, 20, 3, 2, 2, 13, 762, 18, 0, 0, 426, 124, 63, 22, 40, 27, 233, 518, 90, 61, 82, 8, 12.0, 69.0, 76.0, 0, 22, 52, 35, 6, 11, 38, 0, 15, 25, 10, 1, 1.0, 27, 2, 8, 0, 0, 31, 31, 13.33, 76.67, 84.44, 67.796875, 59.59375, 59.59375, 0, 42.296875, 57.796875, 0.0, 28.796875, 48.09375, 19.19921875, 1.9, 1.9, 67.296875, 51.8984375, 11.5, 3.7998046875, 21.19921875, 15.3984375, 283.0, 83.0, 28.0, 18.0, 169.0, "Tous les candidats", 645.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "16969", "Licence - Sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16969&g_ta_cod=16969", 64.0, 16.0, 18.0),
(1518, "Privé sous contrat d'association", "0570311D", "Lycée De La Salle", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée De La Salle - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 171, 113, 171, 0, 12, 1, 46, 12, 51, 16, 62, 0, 0, 0, 0, 0, 164, 0, 0, 0, 12, 1, 46, 12, 50, 15, 56, 93, 24, 15, 24, 0, 3.0, 20.0, 23.0, 0, 4, 12, 0, 6, 6, 12, 0, 5, 5, 1, 1, 0.0, 0, 1, 6, 3, 2, 11, 11, 12.5, 83.33, 95.83, 62.5, 91.6875, 91.6875, 25, 33.296875, 50.0, 0.0, 41.6953125, 41.6953125, 8.298828125, 8.3, 0.0, 0.0, 0.0, 50.0, 8.298828125, 50.0, 50.0, 7.0, 1.0, 24.0, 6.0, 24.0, "Tous les candidats sauf les Bac professionnels", 79.0, "Bacheliers professionnels toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 68.0, "6583", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6583&g_ta_cod=6583", 33.0, 33.0, 33.0),
(1519, "Public", "0921980C", "IFSI C.A.S.H. de Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "IFSI", "Regroupement IFSI Université de Paris - D.E Infirmier", "D.E secteur sanitaire", "", 84, 6336, 5632, 6336, 0, 669, 206, 1047, 441, 925, 470, 3695, 0, 0, 0, 0, 0, 4853, 0, 0, 0, 603, 183, 843, 334, 708, 357, 2699, 994, 79, 76, 79, 0, 0.0, 41.0, 69.0, 0, 18, 55, 3, 18, 34, 24, 0, 7, 23, 23, 2, 0.0, 2, 15, 31, 0, 0, 46, 51, 0.0, 51.9, 87.34, 96.1875, 83.59375, 92.6875, 0, 32.6953125, 69.59375, 0.0, 12.69921875, 41.796875, 41.796875, 3.6, 0.0, 5.5, 3.599609375, 32.6953125, 27.296875, 61.796875, 56.3984375, 121.0, 31.0, 230.0, 102.0, 406.0, "Tous les candidats", 3385.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "23208", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25148&g_ta_cod=23208", 18.0, 30.0, 51.0),
(1520, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Portail Informatique", "Licence - Sciences - technologies - santé", "", 160, 986, 114, 960, 0, 626, 109, 72, 20, 10, 3, 252, 26, 7, 1, 0, 18, 950, 21, 0, 0, 626, 109, 72, 20, 10, 3, 242, 642, 158, 13, 147, 11, 68.0, 108.0, 137.0, 0, 31, 115, 105, 10, 0, 43, 1, 58, 38, 16, 2, 0.0, 52, 4, 0, 0, 0, 108, 108, 43.04, 68.35, 86.71, 8.19921875, 93.890625, 93.890625, 0, 27.0, 72.796875, 0.89990234375, 50.3984375, 33.0, 13.8984375, 1.7, 0.0, 91.296875, 45.1953125, 8.69921875, 3.5, 0.0, 0.0, 460.0, 83.0, 1.0, 1.0, 149.0, "Tous les candidats", 778.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 77.0, "2872", "Licence - Portail Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26854&g_ta_cod=2872", 89.0, 8.0, 1.0),
(1521, "Public", "0910727W", "Lycée Parc de Vilgenis", "91", "Essonne", "Ile-de-France", "Versailles", "Massy", "formation sélective", "CPGE", "Lycée Parc de Vilgenis - CPGE - ECG -  - Mathématiques appliquées + HGG", "Classe préparatoire économique et commerciale", "", 48, 267, 126, 240, 0, 198, 18, 0, 0, 0, 0, 42, 27, 14, 0, 0, 13, 166, 9, 0, 166, 152, 14, 0, 0, 0, 0, 14, 170, 20, 10, 19, 1, 17.0, 19.0, 20.0, 0, 2, 16, 16, 0, 0, 4, 0, 1, 8, 6, 1, 0.0, 15, 0, 0, 1, 0, 13, 15, 85.0, 95.0, 100.0, 50.0, 81.296875, 93.796875, 6.2998046875, 12.5, 80.0, 0.0, 6.2998046875, 50.0, 37.5, 6.3, 0.0, 100.0, 93.796875, 0.0, 0.0, 0.0, 0.0, 153.0, 14.0, 0.0, 0.0, 17.0, "Tous les candidats", 165.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "31879", "CPGE - ECG -  - Mathématiques appliquées + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31879&g_ta_cod=31879", 100.0, 0.0, 0.0),
(1522, "Privé sous contrat d'association", "0021873A", "Lycée Saint- Jean et La Croix", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "BTS", "Lycée Saint- Jean et La Croix - BTS - Services - Gestion de la PME", "BTS - Services", "", 28, 107, 54, 67, 0, 8, 1, 23, 6, 12, 3, 24, 40, 2, 17, 7, 14, 33, 27, 0, 0, 5, 1, 14, 3, 8, 2, 6, 60, 10, 5, 4, 6, 3.0, 4.0, 8.0, 0, 1, 5, 1, 2, 2, 5, 0, 2, 2, 1, 0, 0.0, 1, 1, 1, 1, 1, 5, 5, 30.0, 40.0, 80.0, 50.0, 100.0, 100.0, 20, 20.0, 50.0, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 20.0, 20.0, 40.0, 20.0, 40.0, 20.0, 6.0, 2.0, 13.0, 5.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 48.0, "2087", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2087&g_ta_cod=2087", 40.0, 30.0, 30.0),
(1523, "Public", "0910622G", "Lycée Geoffroy-St-Hilaire", "91", "Essonne", "Ile-de-France", "Versailles", "Etampes", "formation sélective", "BTS", "Lycée Geoffroy-St-Hilaire - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 32, 651, 574, 651, 0, 27, 11, 173, 67, 231, 107, 220, 0, 0, 0, 0, 0, 558, 0, 0, 0, 27, 11, 165, 63, 224, 103, 142, 182, 32, 28, 32, 0, 2.0, 16.0, 23.0, 0, 14, 28, 1, 11, 16, 4, 0, 8, 18, 2, 0, 0.0, 0, 8, 12, 8, 7, 23, 26, 6.25, 50.0, 71.88, 87.5, 82.09375, 92.890625, 28.59765625, 50.0, 87.5, 0.0, 28.59765625, 64.296875, 7.099609375, 0.0, 0.0, 3.599609375, 0.0, 39.296875, 28.59765625, 57.09375, 42.8984375, 1.0, 1.0, 85.0, 35.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 102, "Bacheliers technologiques toutes séries", 106, "Liste d'appel propre à cette formation", 32.0, "20619", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20619&g_ta_cod=20619", 6.0, 44.0, 50.0),
(1524, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Double licence - Economie / Histoire - Economie - Histoire", "Licence - Droit-économie-gestion", "Economie - Histoire", 30, 1287, 491, 1287, 0, 982, 120, 18, 7, 5, 0, 282, 0, 0, 0, 0, 0, 529, 0, 0, 0, 402, 24, 0, 0, 0, 0, 127, 201, 29, 14, 29, 0, 0.0, 17.0, 23.0, 0, 4, 23, 23, 0, 0, 6, 1, 0, 0, 9, 12, 1.0, 22, 0, 0, 0, 0, 7, 12, 0.0, 58.62, 79.31, 48.296875, 30.3984375, 52.1953125, 0, 17.3984375, 79.296875, 4.2998046875, 0.0, 0.0, 39.09375, 52.2, 4.3, 100.0, 95.6875, 0.0, 0.0, 0.0, 0.0, 140.0, 16.0, 0.0, 0.0, 61.0, "Tous les candidats", 290.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "17156", "Double licence - Economie / Histoire - Economie - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17156&g_ta_cod=17156", 100.0, 0.0, 0.0),
(1525, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues étrangères appliquées - Parcours Espagnol - Arabe", "Licence - Arts-lettres-langues", "Espagnol - Arabe", 47, 283, 223, 176, 0, 58, 35, 29, 22, 31, 27, 58, 107, 9, 10, 9, 79, 172, 89, 0, 0, 58, 35, 29, 22, 31, 27, 54, 234, 41, 30, 19, 22, 2.0, 19.0, 32.0, 0, 10, 14, 6, 6, 2, 27, 0, 11, 3, 0, 0, 0.0, 1, 1, 1, 0, 0, 7, 7, 4.88, 46.34, 78.05, 73.1875, 50.0, 50.0, 0, 71.390625, 34.09375, 0.0, 78.59375, 21.3984375, 0.0, 0.0, 0.0, 42.8984375, 7.099609375, 42.8984375, 7.099609375, 14.298828125, 7.099609375, 64.0, 36.0, 30.0, 25.0, 106.0, "Tous les candidats", 172.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "4573", "Licence - Langues étrangères appliquées - Parcours Espagnol - Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4573&g_ta_cod=4573", 37.0, 29.0, 34.0),
(1526, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Lettres - Parcours Lettres Classiques", "Licence - Arts-lettres-langues", "Lettres Classiques", 40, 147, 124, 114, 0, 68, 17, 10, 3, 3, 2, 33, 33, 5, 3, 0, 25, 114, 24, 0, 0, 68, 17, 10, 3, 3, 2, 33, 126, 11, 7, 8, 3, 2.0, 7.0, 7.0, 0, 3, 5, 3, 0, 2, 6, 0, 2, 2, 0, 1, 0.0, 2, 0, 1, 0, 0, 4, 4, 18.18, 63.64, 63.64, 63.59375, 80.0, 80.0, 0, 60.0, 45.5, 0.0, 40.0, 40.0, 0.0, 20.0, 0.0, 60.0, 40.0, 0.0, 0.0, 40.0, 20.0, 67.0, 16.0, 2.0, 2.0, 45.0, "Tous les candidats", 113.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "3865", "Licence - Lettres - Parcours Lettres Classiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27999&g_ta_cod=3865", 64.0, 0.0, 18.0),
(1527, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Portail Sciences de l'Education - Sciences du Langage - Sociologie", "Licence - Sciences humaines et sociales", "Sciences du langage mineure découverte en Sciences de l'Education", 100, 841, 751, 779, 0, 394, 92, 89, 30, 29, 10, 267, 62, 5, 3, 2, 52, 777, 59, 0, 0, 393, 91, 89, 30, 29, 10, 266, 559, 100, 86, 73, 27, 4.0, 52.0, 82.0, 0, 18, 45, 29, 10, 6, 55, 0, 22, 17, 6, 0, 0.0, 17, 2, 4, 0, 0, 26, 26, 4.0, 52.0, 82.0, 86.0, 57.796875, 57.796875, 0, 40.0, 45.0, 0.0, 48.8984375, 37.796875, 13.298828125, 0.0, 0.0, 64.390625, 37.796875, 22.19921875, 4.3994140625, 13.298828125, 8.8984375, 247.0, 57.0, 22.0, 8.0, 226.0, "Tous les candidats", 1496.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "30707", "Licence - Portail Sciences de l'Education - Sciences du Langage - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30706&g_ta_cod=30707", 58.0, 23.0, 16.0),
(1528, "Public", "0380081G", "Lycée Ella Fitzgerald St Romain en Gal", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vienne", "formation sélective", "BTS", "Lycée Ella Fitzgerald St Romain en Gal - BTS - Services - Support à l'action managériale", "BTS - Services", "", 32, 261, 186, 256, 0, 12, 4, 90, 41, 84, 43, 70, 5, 0, 0, 3, 2, 180, 0, 0, 0, 10, 3, 72, 31, 61, 30, 37, 110, 28, 20, 28, 0, 1.0, 21.0, 26.0, 0, 14, 21, 0, 12, 9, 7, 0, 11, 7, 3, 0, 0.0, 0, 4, 6, 9, 6, 14, 14, 3.57, 75.0, 92.86, 71.390625, 66.6875, 66.6875, 42.8984375, 66.6875, 75.0, 0.0, 52.3984375, 33.296875, 14.298828125, 0.0, 0.0, 0.0, 0.0, 57.09375, 19.0, 42.8984375, 28.59765625, 2.0, 1.0, 43.0, 22.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 53.0, "4947", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4947&g_ta_cod=4947", 4.0, 54.0, 43.0),
(1529, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 570, 2881, 2084, 2682, 0, 1774, 425, 326, 125, 95, 47, 487, 199, 39, 21, 20, 119, 2649, 180, 0, 0, 1774, 425, 326, 125, 95, 47, 454, 2411, 564, 384, 479, 83, 96.0, 440.0, 488.0, 0, 129, 419, 318, 66, 35, 145, 5, 185, 143, 72, 14, 0.0, 196, 17, 16, 0, 0, 282, 282, 17.02, 78.01, 86.52, 68.09375, 67.296875, 67.296875, 0, 30.796875, 74.296875, 1.199951171875, 44.1953125, 34.09375, 17.19921875, 3.3, 0.0, 75.890625, 46.796875, 15.798828125, 4.099609375, 8.3984375, 3.7998046875, 1616.0, 399.0, 66.0, 37.0, 513.0, "Tous les candidats", 2790.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "5346", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27891&g_ta_cod=5346", 71.0, 18.0, 10.0),
(1530, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence_Las", "Université d'Amiens - Licence - Portail Sciences pour la santé", "Licence - Sciences - technologies - santé", "", 36, 1628, 1210, 1628, 0, 1053, 184, 105, 26, 6, 2, 464, 0, 0, 0, 0, 0, 1626, 0, 0, 0, 1053, 184, 105, 26, 6, 2, 462, 299, 39, 29, 39, 0, 1.0, 23.0, 36.0, 0, 7, 26, 21, 5, 0, 13, 0, 1, 9, 13, 2, 1.0, 20, 5, 0, 0, 0, 21, 21, 2.56, 58.97, 92.31, 74.390625, 80.796875, 80.796875, 0, 26.8984375, 66.6875, 0.0, 3.7998046875, 34.59375, 50.0, 7.7, 3.8, 80.796875, 76.890625, 19.19921875, 19.19921875, 0.0, 0.0, 140.0, 46.0, 0.0, 0.0, 145.0, "Tous les candidats", 931.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "28635", "Licence - Portail Sciences pour la santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28634&g_ta_cod=28635", 82.0, 18.0, 0.0),
(1531, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence_Las", "Université de Lille - Licence - Portail Sciences de la vie, de la Terre et de l'environnement (SVTE)", "Licence - Sciences - technologies - santé", "Sciences de la vie, de la Terre et de l'environnement (SVTE) : Sciences de la vie", 70, 3178, 2178, 3178, 0, 2284, 491, 95, 32, 8, 5, 791, 0, 0, 0, 0, 0, 3140, 0, 0, 0, 2284, 491, 95, 32, 8, 5, 753, 719, 63, 44, 63, 0, 0.0, 34.0, 53.0, 0, 13, 57, 56, 1, 0, 6, 0, 3, 19, 26, 9, 0.0, 53, 1, 0, 0, 0, 50, 50, 0.0, 53.97, 84.13, 69.796875, 87.6875, 87.6875, 0, 22.796875, 90.5, 0.0, 5.2998046875, 33.296875, 45.59375, 15.8, 0.0, 98.1875, 93.0, 1.7998046875, 1.7998046875, 0.0, 0.0, 560.0, 103.0, 0.0, 0.0, 157.0, "Tous les candidats", 2713.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 49.0, "29336", "Licence - Portail Sciences de la vie, de la Terre et de l'environnement (SVTE)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28609&g_ta_cod=29336", 97.0, 2.0, 0.0),
(1532, "Privé sous contrat d'association", "0740283F", "ISETA de Poisy", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Poisy", "formation sélective", "BTS", "ISETA de Poisy - BTS - Agricole - Aquaculture", "BTS - Agricole", "", 30, 163, 32, 163, 0, 37, 1, 33, 0, 40, 11, 53, 0, 0, 0, 0, 0, 133, 0, 0, 0, 36, 1, 33, 0, 40, 11, 24, 100, 32, 4, 32, 0, 6.0, 27.0, 32.0, 0, 1, 25, 10, 8, 7, 7, 2, 8, 10, 5, 0, 0.0, 3, 6, 6, 7, 0, 16, 16, 18.75, 84.38, 100.0, 12.5, 64.0, 64.0, 28, 4.0, 78.09375, 8.0, 32.0, 40.0, 20.0, 0.0, 0.0, 40.0, 12.0, 32.0, 24.0, 28.0, 24.0, 28.0, 1.0, 31.0, 9.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 78.0, "8892", "BTS - Agricole - Aquaculture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8892&g_ta_cod=8892", 47.0, 31.0, 22.0),
(1533, "Public", "0080007P", "Lycée Sevigne", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BTS", "Lycée Sevigne - BTS - Services - Communication", "BTS - Services", "", 35, 694, 365, 563, 0, 60, 17, 92, 46, 39, 16, 372, 131, 24, 24, 5, 78, 130, 27, 0, 0, 38, 10, 35, 14, 25, 9, 32, 126, 27, 15, 18, 9, 4.0, 15.0, 22.0, 0, 4, 15, 8, 2, 5, 12, 0, 10, 4, 1, 0, 0.0, 2, 1, 2, 3, 3, 11, 11, 14.81, 55.56, 81.48, 55.59375, 73.296875, 73.296875, 20, 26.69921875, 55.59375, 0.0, 66.6875, 26.69921875, 6.69921875, 0.0, 0.0, 53.296875, 13.298828125, 13.298828125, 6.69921875, 33.296875, 13.298828125, 39.0, 10.0, 17.0, 5.0, 41.0, "Tous les candidats sauf les Bac professionnels", 100.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 23.0, "2355", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2355&g_ta_cod=2355", 63.0, 19.0, 19.0),
(1534, "Public", "0831485N", "I.U.T de Toulon - Antenne de Toulon (porte d'Italie)", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BUT", "I.U.T de Toulon - Antenne de Toulon (porte d'Italie) - BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", "BUT - Production", "Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", 78, 1539, 514, 1539, 0, 759, 119, 385, 104, 26, 15, 369, 0, 0, 0, 0, 0, 750, 0, 0, 0, 419, 51, 224, 50, 0, 0, 107, 327, 84, 22, 84, 0, 14.0, 77.0, 81.0, 0, 15, 74, 34, 40, 0, 10, 0, 22, 32, 15, 5, 0.0, 31, 21, 0, 0, 0, 42, 42, 16.67, 91.67, 96.43, 26.19921875, 56.796875, 56.796875, 0, 20.296875, 88.09375, 0.0, 29.69921875, 43.1953125, 20.296875, 6.8, 0.0, 45.8984375, 41.8984375, 54.09375, 28.3984375, 0.0, 0.0, 159.0, 32.0, 0.0, 0.0, 22.0, "Tous les candidats sauf les Bac technologiques", 272.0, "Bacheliers technologiques toutes séries", 196, "", 0, "Liste d'appel propre à cette formation", 30.0, "10399", "BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10399&g_ta_cod=10399", 49.0, 51.0, 0.0),
(1535, "Public", "0690104N", "Lycée Marcel Sembat", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Vénissieux", "formation sélective", "BTS", "Lycée Marcel Sembat - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 283, 23, 280, 0, 12, 5, 93, 45, 91, 38, 84, 3, 0, 0, 2, 1, 200, 0, 0, 0, 10, 3, 72, 32, 65, 20, 53, 73, 15, 0, 14, 0, 0.0, 7.0, 11.0, 0, 8, 13, 0, 7, 6, 2, 0, 6, 6, 1, 0, 0.0, 0, 2, 5, 2, 0, 9, 9, 0.0, 46.67, 73.33, 0.0, 69.1875, 69.1875, 15.3984375, 61.5, 86.6875, 0.0, 46.1953125, 46.1953125, 7.69921875, 0.0, 0.0, 0.0, 0.0, 53.796875, 15.3984375, 46.1953125, 38.5, 6.0, 2.0, 36.0, 17.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 39.0, "8246", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8246&g_ta_cod=8246", 7.0, 53.0, 40.0),
(1536, "Public", "0341736C", "Lycée Jean Monnet", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Services - Communication", "BTS - Services", "", 34, 2315, 1621, 2315, 0, 400, 104, 710, 285, 381, 191, 824, 0, 0, 0, 0, 0, 650, 0, 0, 0, 46, 12, 364, 141, 172, 83, 68, 136, 33, 28, 33, 0, 3.0, 30.0, 33.0, 0, 8, 21, 2, 14, 5, 12, 0, 2, 11, 6, 2, 0.0, 2, 12, 5, 1, 0, 15, 15, 9.09, 90.91, 100.0, 84.796875, 71.390625, 71.390625, 4.7998046875, 38.09375, 63.59375, 0.0, 9.5, 52.3984375, 28.59765625, 9.5, 0.0, 9.5, 9.5, 66.6875, 57.09375, 23.796875, 23.796875, 7.0, 2.0, 39.0, 13.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 141, "Liste d'appel propre à cette formation", 10.0, "4600", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4600&g_ta_cod=4600", 6.0, 55.0, 39.0),
(1537, "Privé sous contrat d'association", "0831207L", "Lycée Marie France", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Marie France - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 24, 295, 151, 291, 0, 62, 19, 73, 31, 44, 22, 112, 4, 0, 0, 0, 4, 196, 2, 0, 0, 61, 19, 72, 31, 18, 7, 45, 133, 18, 7, 17, 1, 2.0, 13.0, 14.0, 0, 2, 13, 2, 7, 4, 5, 1, 6, 6, 0, 0, 0.0, 0, 3, 3, 0, 0, 9, 9, 11.11, 72.22, 77.78, 38.8984375, 69.1875, 69.1875, 0, 15.3984375, 72.1875, 7.69921875, 46.1953125, 46.1953125, 0.0, 0.0, 0.0, 15.3984375, 0.0, 53.796875, 23.09765625, 30.796875, 23.09765625, 45.0, 15.0, 16.0, 6.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 52.0, "13551", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13551&g_ta_cod=13551", 33.0, 44.0, 22.0),
(1538, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence_Las", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Sciences et technologies", "Licence - Sciences - technologies - santé", "Sciences et technologies : Sciences de la vie", 80, 4249, 2859, 4249, 0, 2897, 422, 208, 39, 15, 6, 1129, 0, 0, 0, 0, 0, 4239, 0, 0, 0, 2897, 422, 208, 39, 15, 6, 1119, 638, 77, 48, 77, 0, 1.0, 55.0, 66.0, 0, 5, 66, 65, 1, 0, 11, 0, 2, 21, 36, 6, 1.0, 63, 1, 0, 0, 0, 60, 60, 1.3, 71.43, 85.71, 62.296875, 90.890625, 90.890625, 0, 7.599609375, 85.6875, 0.0, 3.0, 31.796875, 54.5, 9.1, 1.5, 98.5, 95.5, 1.5, 1.5, 0.0, 0.0, 506.0, 65.0, 0.0, 0.0, 128.0, "Tous les candidats", 3833.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "31163", "Licence - Portail Sciences et technologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31073&g_ta_cod=31163", 99.0, 1.0, 0.0),
(1539, "Public", "0631021T", "I.U.T. de Clermont-Ferrand", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aubière", "formation sélective", "BUT", "I.U.T. de Clermont-Ferrand - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Intégration d'applications et management du système d?information", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Intégration d'applications et management du système d?information", 124, 1332, 105, 1305, 0, 822, 137, 241, 61, 12, 3, 230, 27, 0, 14, 0, 13, 929, 3, 0, 0, 717, 103, 126, 26, 0, 0, 86, 518, 123, 9, 122, 1, 16.0, 110.0, 117.0, 0, 30, 117, 92, 25, 0, 6, 0, 15, 84, 17, 1, 0.0, 77, 25, 0, 0, 0, 65, 65, 13.01, 89.43, 95.12, 7.2998046875, 55.59375, 55.59375, 0, 25.59765625, 95.09375, 0.0, 12.798828125, 71.796875, 14.5, 0.9, 0.0, 78.59375, 65.796875, 21.3984375, 21.3984375, 0.0, 0.0, 348.0, 71.0, 0.0, 0.0, 53.0, "Tous les candidats sauf les Bac technologiques", 538.0, "Bacheliers technologiques toutes séries", 134, "", 0, "Liste d'appel propre à cette formation", 51.0, "7596", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Intégration d'applications et management du système d?information", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7596&g_ta_cod=7596", 78.0, 21.0, 0.0),
(1540, "Public", "0840016L", "Lycée Victor Hugo", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Carpentras", "formation sélective", "BTS", "Lycée Victor Hugo - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 423, 260, 415, 0, 23, 12, 104, 47, 152, 76, 136, 8, 2, 0, 0, 6, 254, 4, 0, 0, 19, 9, 80, 35, 95, 45, 60, 108, 23, 19, 20, 2, 2.0, 13.0, 15.0, 0, 7, 16, 3, 5, 8, 7, 0, 6, 8, 2, 0, 0.0, 0, 3, 7, 4, 4, 16, 16, 8.7, 56.52, 65.22, 82.59375, 100.0, 100.0, 25, 43.796875, 69.59375, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 18.796875, 0.0, 31.296875, 18.796875, 50.0, 43.796875, 19.0, 8.0, 43.0, 18.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 36.0, "10428", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10428&g_ta_cod=10428", 26.0, 30.0, 43.0),
(1541, "Privé enseignement supérieur", "0753620C", "ISG Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "Ecole de Commerce", "ISG Paris - Formation des écoles de commerce et de management Bac + 3 - Bachelor en Management International", "Formation des écoles de commerce et de management", "Bachelor en Management International", 90, 753, 353, 627, 0, 393, 39, 142, 15, 15, 5, 77, 126, 46, 28, 3, 49, 355, 27, 0, 0, 253, 24, 60, 4, 4, 1, 38, 382, 84, 41, 65, 19, 64.0, 64.0, 76.0, 0, 7, 65, 52, 13, 0, 19, 0, 31, 27, 4, 3, 0.0, 28, 6, 0, 0, 0, 13, 43, 76.19, 76.19, 90.48, 48.796875, 20.0, 66.1875, 0, 10.798828125, 77.390625, 0.0, 47.6953125, 41.5, 6.19921875, 4.6, 0.0, 80.0, 43.09375, 20.0, 9.19921875, 0.0, 0.0, 266.0, 24.0, 4.0, 1.0, 51.0, "Tous les candidats", 355.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "26047", "Formation des écoles de commerce et de management Bac + 3 - Bachelor en Management International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26047&g_ta_cod=26047", 81.0, 18.0, 1.0),
(1542, "Public", "0781631Z", "ECOLE MANIPULAT.ELECTRO-RADIOL CENTRE HOSPITALIER", "78", "Yvelines", "Ile-de-France", "Versailles", "Poissy", "formation sélective", "Autre formation", "ECOLE MANIPULAT.ELECTRO-RADIOL CENTRE HOSPITALIER - D.E manipulateur/trice en électroradiologie médicale", "D.E secteur sanitaire", "", 30, 546, 420, 546, 0, 86, 27, 152, 60, 6, 3, 302, 0, 0, 0, 0, 0, 391, 0, 0, 0, 77, 22, 118, 43, 3, 0, 193, 121, 30, 25, 30, 0, 2.0, 24.0, 26.0, 0, 7, 19, 8, 11, 0, 11, 0, 7, 8, 4, 0, 0.0, 3, 9, 0, 0, 0, 14, 15, 6.67, 80.0, 86.67, 83.296875, 73.6875, 78.890625, 0, 36.796875, 63.296875, 0.0, 36.796875, 42.09375, 21.09765625, 0.0, 0.0, 42.09375, 15.798828125, 57.8984375, 47.3984375, 0.0, 0.0, 37.0, 12.0, 0.0, 0.0, 55.0, "Tous les candidats", 128.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "19408", "D.E manipulateur/trice en électroradiologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19408&g_ta_cod=19408", 57.0, 43.0, 0.0),
(1543, "Public", "0210056X", "Lycée professionnel Eugene Guillaume", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Montbard", "formation sélective", "Autre formation", "Lycée professionnel Eugene Guillaume - Mention complémentaire - FCIL Technicien en Maintenance et Conduite de Centrales Photovoltaïques", "Mention complémentaire", "", 12, 16, 0, 16, 0, 0, 0, 0, 0, 13, 1, 3, 0, 0, 0, 0, 0, 15, 0, 0, 0, 0, 0, 0, 0, 13, 1, 2, 15, 2, 0, 2, 0, 2.0, 2.0, 2.0, 0, 0, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 13.0, 1.0, 2.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "33326", "Mention complémentaire - FCIL Technicien en Maintenance et Conduite de Centrales Photovoltaïques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33326&g_ta_cod=33326", 0.0, 0.0, 100.0),
(1544, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 75, 421, 161, 291, 0, 183, 33, 25, 8, 5, 3, 78, 130, 16, 13, 16, 85, 290, 127, 0, 0, 183, 33, 25, 8, 5, 3, 77, 377, 68, 16, 29, 39, 4.0, 29.0, 54.0, 0, 7, 33, 16, 5, 12, 35, 0, 22, 4, 6, 1, 0.0, 9, 0, 2, 0, 0, 33, 33, 5.88, 42.65, 79.41, 23.5, 100.0, 100.0, 0, 21.19921875, 48.5, 0.0, 66.6875, 12.099609375, 18.19921875, 3.0, 0.0, 48.5, 27.296875, 15.19921875, 0.0, 36.3984375, 6.099609375, 178.0, 28.0, 20.0, 8.0, 146.0, "Tous les candidats", 290.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10210", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10210&g_ta_cod=10210", 50.0, 21.0, 28.0),
(1545, "Public", "0731487V", "IUT de CHAMBERY", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation sélective", "BUT", "IUT de CHAMBERY - BUT - Gestion administrative et commerciale des organisations Parcours : Management responsable de projet et des organisations - Management des fonctions supports - Management commercial et marketing omnicanal - Management des activités culturelles, artistiques, sportives et de tourisme -Etudes aménagées Musique ou sport", "BUT - Service", "Management responsable de projet et des organisations - Management des fonctions supports - Management commercial et marketing omnicanal - Management des activités culturelles, artistiques, sportives et de tourisme -Etudes aménagées Musique ou sport", 28, 852, 338, 849, 0, 444, 65, 264, 62, 15, 3, 126, 3, 0, 2, 0, 1, 69, 0, 0, 0, 45, 4, 19, 1, 2, 0, 3, 51, 25, 11, 25, 0, 15.0, 24.0, 25.0, 0, 3, 24, 16, 7, 1, 1, 1, 5, 12, 6, 0, 0.0, 13, 5, 0, 0, 0, 14, 14, 60.0, 96.0, 100.0, 44.0, 58.296875, 58.296875, 0, 12.5, 96.0, 4.19921875, 20.796875, 50.0, 25.0, 0.0, 0.0, 66.6875, 54.1953125, 29.19921875, 20.796875, 4.19921875, 0.0, 27.0, 4.0, 2.0, 0.0, 4.0, "Tous les candidats sauf les Bac technologiques", 29.0, "Bacheliers technologiques toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 6.0, "8843", "BUT - Gestion administrative et commerciale des organisations Parcours : Management responsable de projet et des organisations - Management des fonctions supports - Management commercial et marketing omnicanal - Management des activités culturelles, artistiques, sportives et de tourisme -Etudes aménagées Musique ou sport", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8843&g_ta_cod=8843", 68.0, 28.0, 4.0),
(1546, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "CPGE", "Lycée Jean Perrin - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 36, 247, 145, 247, 89, 0, 0, 226, 91, 0, 0, 21, 0, 0, 0, 0, 0, 213, 0, 89, 191, 0, 0, 202, 82, 0, 0, 11, 152, 38, 26, 38, 0, 5.0, 32.0, 38.0, 3, 21, 38, 0, 38, 0, 0, 0, 5, 16, 14, 3, 0.0, 0, 33, 0, 0, 0, 34, 34, 13.16, 84.21, 100.0, 68.390625, 89.5, 89.5, 0, 55.296875, 100.0, 0.0, 13.19921875, 42.09375, 36.796875, 7.9, 0.0, 0.0, 0.0, 100.0, 86.796875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 196.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "2596", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2596&g_ta_cod=2596", 0.0, 100.0, 0.0),
(1547, "Public", "0170145R", "I.U.T. La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BUT", "I.U.T. La Rochelle - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 34, 667, 407, 667, 0, 390, 31, 130, 21, 2, 0, 145, 0, 0, 0, 0, 0, 454, 0, 0, 0, 303, 21, 93, 13, 2, 0, 56, 171, 33, 19, 33, 0, 19.0, 31.0, 33.0, 0, 4, 23, 12, 11, 0, 10, 0, 0, 10, 13, 0, 0.0, 12, 11, 0, 0, 0, 10, 10, 57.58, 93.94, 100.0, 57.59375, 43.5, 43.5, 0, 17.3984375, 69.6875, 0.0, 0.0, 43.5, 56.5, 0.0, 0.0, 52.1953125, 52.1953125, 47.796875, 47.796875, 0.0, 0.0, 85.0, 10.0, 1.0, 0.0, 23.0, "Tous les candidats sauf les Bac technologiques", 107.0, "Bacheliers technologiques toutes séries", 86, "", 0, "Liste d'appel propre à cette formation", 29.0, "3055", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3055&g_ta_cod=3055", 58.0, 39.0, 0.0),
(1548, "Privé sous contrat d'association", "0921979B", "IFSI de l'Inst Hosp Franco-Britannique", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Puteaux", "formation sélective", "IFSI", "Regroupement d'IFSI Médecine Sorbonne Université P6 - D.E Infirmier", "D.E secteur sanitaire", "", 80, 6859, 5976, 6859, 0, 727, 217, 1002, 386, 855, 442, 4275, 0, 0, 0, 0, 0, 5693, 0, 0, 0, 705, 212, 924, 357, 794, 415, 3270, 1101, 80, 73, 80, 0, 0.0, 20.0, 47.0, 0, 11, 23, 7, 5, 11, 57, 0, 6, 10, 5, 2, 0.0, 6, 3, 8, 0, 0, 16, 19, 0.0, 25.0, 58.75, 91.296875, 69.59375, 82.59375, 0, 47.796875, 28.796875, 0.0, 26.09765625, 43.5, 21.69921875, 8.7, 0.0, 30.3984375, 26.09765625, 21.69921875, 13.0, 47.796875, 34.796875, 90.0, 53.0, 77.0, 60.0, 887.0, "Tous les candidats", 3358.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "23286", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23003&g_ta_cod=23286", 41.0, 26.0, 33.0),
(1549, "Public", "0511951U", "Lycée Jean TALON", "51", "Marne", "Grand Est", "Reims", "Châlons-en-Champagne", "formation sélective", "BTS", "Lycée Jean TALON - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 36, 427, 216, 427, 0, 42, 5, 125, 49, 132, 57, 128, 0, 0, 0, 0, 0, 341, 0, 0, 0, 42, 5, 124, 49, 127, 52, 48, 131, 29, 19, 29, 0, 6.0, 23.0, 23.0, 0, 11, 28, 2, 7, 19, 1, 0, 14, 7, 5, 2, 0.0, 0, 3, 11, 18, 12, 23, 23, 20.69, 79.31, 79.31, 65.5, 82.09375, 82.09375, 64.296875, 39.296875, 96.59375, 0.0, 50.0, 25.0, 17.8984375, 7.1, 0.0, 7.099609375, 0.0, 25.0, 10.69921875, 67.890625, 39.296875, 12.0, 4.0, 62.0, 24.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 40.0, "6158", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6158&g_ta_cod=6158", 10.0, 24.0, 66.0),
(1550, "Public", "0790023W", "Lycée Jean Mace", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BTS", "Lycée Jean Mace - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 212, 153, 187, 0, 13, 2, 71, 14, 53, 23, 50, 25, 2, 1, 9, 13, 106, 2, 0, 0, 11, 1, 48, 11, 39, 16, 8, 75, 10, 9, 10, 0, 3.0, 10.0, 10.0, 0, 3, 9, 1, 3, 5, 1, 0, 3, 5, 1, 0, 0.0, 0, 2, 4, 3, 2, 9, 9, 30.0, 100.0, 100.0, 90.0, 100.0, 100.0, 33.296875, 33.296875, 90.0, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 11.099609375, 0.0, 33.296875, 22.19921875, 55.59375, 44.3984375, 9.0, 1.0, 30.0, 10.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 55.0, "10105", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10105&g_ta_cod=10105", 10.0, 40.0, 50.0),
(1551, "Public", "0500060U", "Lycée agricole St Lô Thère", "50", "Manche", "Normandie", "Normandie", "Pont-Hébert", "formation sélective", "BTS", "Lycée agricole St Lô Thère - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 19, 191, 89, 190, 0, 7, 1, 12, 1, 7, 2, 164, 1, 0, 0, 1, 0, 58, 0, 0, 0, 7, 1, 12, 1, 7, 2, 32, 50, 12, 5, 12, 0, 1.0, 12.0, 12.0, 0, 0, 1, 1, 0, 0, 11, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 8.33, 100.0, 100.0, 41.6953125, 100.0, 100.0, 0, 0.0, 8.298828125, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 7.0, 1.0, 7.0, 2.0, 24.0, "Tous les candidats sauf les Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 30.0, "6004", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6004&g_ta_cod=6004", 100.0, 0.0, 0.0),
(1552, "Privé sous contrat d'association", "9741628B", "UCO - LA REUNION", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "UCO - LA REUNION - Licence - Psychologie", "Licence - Sciences humaines et sociales", "", 80, 894, 756, 894, 0, 519, 160, 83, 37, 8, 2, 284, 0, 0, 0, 0, 0, 894, 0, 0, 0, 519, 160, 83, 37, 8, 2, 284, 288, 85, 73, 85, 0, 9.0, 68.0, 72.0, 0, 25, 71, 67, 3, 1, 14, 0, 4, 29, 34, 3, 1.0, 63, 3, 1, 0, 0, 63, 63, 10.59, 80.0, 84.71, 85.890625, 88.6875, 88.6875, 0, 35.1953125, 83.5, 0.0, 5.599609375, 40.796875, 47.8984375, 4.2, 1.4, 94.390625, 88.6875, 4.19921875, 4.19921875, 1.39990234375, 1.39990234375, 193.0, 59.0, 2.0, 0.0, 80.0, "Tous les candidats", 404.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "14052", "Licence - Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14052&g_ta_cod=14052", 94.0, 5.0, 1.0),
(1553, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Europe - Grec moderne", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères, parcours Europe - Grec moderne", 30, 90, 62, 46, 0, 19, 2, 1, 1, 1, 0, 25, 44, 6, 4, 2, 32, 46, 17, 0, 0, 19, 2, 1, 1, 1, 0, 25, 63, 14, 10, 6, 8, 6.0, 6.0, 9.0, 0, 0, 3, 1, 1, 1, 11, 0, 1, 0, 2, 0, 0.0, 1, 0, 1, 0, 0, 2, 3, 42.86, 42.86, 64.29, 71.390625, 66.6875, 100.0, 0, 0.0, 21.3984375, 0.0, 33.296875, 0.0, 66.6875, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 33.296875, 33.296875, 20.0, 3.0, 1.0, 0.0, 40.0, "Tous les candidats", 63.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9415", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Europe - Grec moderne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29603&g_ta_cod=9415", 79.0, 14.0, 7.0),
(1554, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Autre formation", "Université Clermont Auvergne - DEUST - Animation et gestion des activités physiques, sportives ou culturelles - Parcours Activités aquatiques pour le bien-être et la santé", "DEUST", "Parcours Activités aquatiques pour le bien-être et la santé", 20, 199, 65, 111, 0, 47, 5, 27, 3, 9, 1, 28, 88, 38, 17, 5, 28, 31, 9, 0, 0, 17, 0, 3, 0, 2, 0, 9, 40, 13, 4, 7, 6, 4.0, 7.0, 13.0, 0, 1, 8, 4, 3, 1, 5, 0, 5, 1, 2, 0, 0.0, 2, 1, 0, 0, 0, 4, 4, 30.77, 53.85, 100.0, 30.796875, 50.0, 50.0, 0, 12.5, 61.5, 0.0, 62.5, 12.5, 25.0, 0.0, 0.0, 50.0, 25.0, 37.5, 12.5, 12.5, 0.0, 20.0, 0.0, 2.0, 0.0, 13.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "12396", "DEUST - Animation et gestion des activités physiques, sportives ou culturelles - Parcours Activités aquatiques pour le bien-être et la santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12396&g_ta_cod=12396", 62.0, 31.0, 8.0),
(1555, "Public", "0290012F", "Lycée Vauban", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Vauban - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 10, 357, 21, 357, 0, 62, 12, 112, 19, 91, 24, 92, 0, 0, 0, 0, 0, 312, 0, 0, 0, 61, 11, 112, 19, 91, 24, 48, 45, 11, 0, 10, 0, 4.0, 7.0, 9.0, 0, 4, 10, 3, 3, 4, 1, 0, 1, 6, 3, 0, 0.0, 2, 3, 4, 7, 0, 10, 10, 36.36, 63.64, 81.82, 0.0, 100.0, 100.0, 70, 40.0, 90.890625, 0.0, 10.0, 60.0, 30.0, 0.0, 0.0, 30.0, 20.0, 30.0, 30.0, 40.0, 40.0, 22.0, 3.0, 5.0, 2.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers technologiques toutes séries", 34, "Bacheliers professionnels toutes séries", 37, "Liste d'appel propre à cette formation", 31.0, "25015", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25015&g_ta_cod=25015", 27.0, 36.0, 36.0),
(1556, "Public", "0190012K", "Lycée Simone Veil", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BTS", "Lycée Simone Veil - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 23, 487, 416, 484, 0, 30, 7, 135, 50, 171, 69, 148, 3, 0, 1, 0, 2, 227, 2, 0, 0, 12, 4, 68, 19, 125, 47, 22, 83, 21, 19, 19, 2, 8.0, 14.0, 17.0, 0, 7, 15, 1, 6, 8, 6, 0, 6, 5, 4, 0, 0.0, 1, 1, 7, 8, 7, 12, 12, 38.1, 66.67, 80.95, 90.5, 80.0, 80.0, 53.296875, 46.6953125, 71.390625, 0.0, 40.0, 33.296875, 26.69921875, 0.0, 0.0, 6.69921875, 6.69921875, 40.0, 6.69921875, 53.296875, 46.6953125, 4.0, 2.0, 26.0, 10.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 22.0, "3138", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3138&g_ta_cod=3138", 10.0, 38.0, 52.0),
(1557, "Privé sous contrat d'association", "0811106M", "INEOPOLE FORMATION", "81", "Tarn", "Occitanie", "Toulouse", "Brens", "formation sélective", "BTS", "INEOPOLE FORMATION - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 25, 70, 39, 69, 0, 3, 0, 10, 4, 38, 13, 18, 1, 0, 0, 1, 0, 69, 1, 0, 0, 3, 0, 10, 4, 38, 13, 18, 44, 11, 8, 11, 0, 7.0, 10.0, 11.0, 0, 2, 9, 2, 0, 7, 2, 0, 4, 5, 0, 0, 0.0, 0, 0, 5, 3, 3, 8, 8, 63.64, 90.91, 100.0, 72.6875, 88.890625, 88.890625, 33.296875, 22.19921875, 81.796875, 0.0, 44.3984375, 55.59375, 0.0, 0.0, 0.0, 22.19921875, 0.0, 0.0, 0.0, 77.796875, 55.59375, 3.0, 0.0, 33.0, 11.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 77.0, "10291", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10291&g_ta_cod=10291", 27.0, 0.0, 73.0),
(1558, "Privé sous contrat d'association", "0783053V", "Lycée Sainte Geneviève", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Sainte Geneviève - CPGE - MPSI", "Classe préparatoire scientifique", "", 141, 3206, 950, 3206, 3206, 3022, 151, 0, 0, 0, 0, 184, 0, 0, 0, 0, 0, 3206, 0, 3206, 0, 3022, 151, 0, 0, 0, 0, 184, 234, 141, 27, 141, 0, 78.0, 135.0, 138.0, 141, 1, 140, 140, 0, 0, 1, 2, 0, 0, 0, 25, 113.0, 138, 0, 0, 0, 0, 32, 54, 55.32, 95.74, 97.87, 19.09765625, 22.8984375, 38.59375, 0, 0.699951171875, 99.296875, 1.39990234375, 0.0, 0.0, 0.0, 17.9, 80.7, 100.0, 98.59375, 0.0, 0.0, 0.0, 0.0, 233.0, 8.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "10072", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10072&g_ta_cod=10072", 100.0, 0.0, 0.0),
(1559, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence_Las", "Université de Montpellier - Licence - Portail Economie - Economie (Faculté d'Economie)", "Licence - Droit-économie-gestion", "Economie (Faculté d'Economie)", 30, 775, 400, 766, 0, 372, 125, 35, 15, 18, 10, 341, 9, 2, 2, 1, 4, 710, 9, 0, 0, 372, 125, 35, 15, 18, 10, 285, 289, 27, 18, 24, 3, 0.0, 10.0, 19.0, 0, 8, 15, 11, 2, 2, 12, 0, 5, 8, 2, 0, 0.0, 8, 2, 0, 0, 0, 11, 11, 0.0, 37.04, 70.37, 66.6875, 73.296875, 73.296875, 0, 53.296875, 55.59375, 0.0, 33.296875, 53.296875, 13.298828125, 0.0, 0.0, 73.296875, 53.296875, 13.298828125, 13.298828125, 13.298828125, 0.0, 137.0, 43.0, 5.0, 2.0, 137.0, "Tous les candidats", 1827.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 55.0, "28724", "Licence - Portail Economie - Economie (Faculté d'Economie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28723&g_ta_cod=28724", 85.0, 7.0, 7.0),
(1560, "Privé sous contrat d'association", "0450758E", "Lycée Saint-Paul Bourdon Blanc", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Saint-Paul Bourdon Blanc - BTS - Services - Support à l'action managériale", "BTS - Services", "", 14, 168, 125, 168, 0, 10, 1, 51, 11, 66, 30, 41, 0, 0, 0, 0, 0, 130, 0, 0, 0, 8, 0, 42, 10, 50, 20, 30, 59, 14, 11, 14, 0, 2.0, 9.0, 12.0, 0, 4, 12, 0, 7, 5, 2, 0, 5, 6, 1, 0, 0.0, 0, 3, 4, 7, 5, 12, 12, 14.29, 64.29, 85.71, 78.59375, 100.0, 100.0, 58.296875, 33.296875, 85.6875, 0.0, 41.6953125, 50.0, 8.298828125, 0.0, 0.0, 0.0, 0.0, 58.296875, 25.0, 41.6953125, 33.296875, 4.0, 0.0, 20.0, 7.0, 8.0, "Tous les candidats sauf les Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 51.0, "5687", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5687&g_ta_cod=5687", 0.0, 64.0, 36.0),
(1561, "Privé enseignement supérieur", "3500066V", "EM Lyon Business School (Campus de Casablanca)", "99", "Etranger", "Etranger", "Etranger", "CASABLANCA", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 208, 2423, 1088, 2391, 0, 2073, 65, 136, 8, 4, 1, 178, 32, 16, 2, 0, 14, 1857, 25, 0, 0, 1677, 40, 74, 4, 2, 1, 104, 1832, 132, 53, 123, 9, 108.0, 121.0, 129.0, 0, 4, 121, 108, 12, 1, 11, 1, 15, 68, 30, 7, 0.0, 92, 12, 1, 0, 0, 17, 17, 81.82, 91.67, 97.73, 40.1953125, 14.0, 14.0, 0, 3.2998046875, 91.6875, 0.7999267578125, 12.3984375, 56.1953125, 24.796875, 5.8, 0.0, 89.296875, 76.0, 9.8984375, 9.8984375, 0.7999267578125, 0.7999267578125, 1644.0, 39.0, 2.0, 1.0, 113.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "28454", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=28454", 89.0, 10.0, 1.0),
(1562, "Privé sous contrat d'association", "0740082M", "Lycée Saint Michel", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BTS", "Lycée Saint Michel - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 346, 29, 329, 0, 51, 4, 95, 12, 53, 8, 130, 17, 0, 8, 0, 9, 181, 5, 0, 0, 42, 4, 71, 9, 41, 5, 27, 122, 23, 1, 20, 3, 3.0, 15.0, 19.0, 0, 1, 19, 7, 8, 4, 4, 1, 11, 5, 2, 0, 0.0, 3, 1, 3, 0, 0, 18, 18, 13.04, 65.22, 82.61, 4.2998046875, 94.6875, 94.6875, 0, 5.2998046875, 82.59375, 5.2998046875, 57.8984375, 26.296875, 10.5, 0.0, 0.0, 36.796875, 15.798828125, 42.09375, 5.2998046875, 21.09765625, 15.798828125, 31.0, 2.0, 21.0, 1.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 46.0, "8881", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8881&g_ta_cod=8881", 39.0, 43.0, 17.0),
(1563, "Public", "0850027T", "Lycée Polyvalent Rosa Parks", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée Polyvalent Rosa Parks - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 185, 14, 179, 0, 23, 2, 63, 11, 35, 10, 58, 6, 0, 3, 1, 2, 121, 1, 0, 0, 18, 2, 63, 11, 29, 8, 11, 52, 9, 0, 8, 1, 3.0, 8.0, 8.0, 0, 1, 8, 0, 3, 5, 1, 1, 3, 1, 1, 2, 0.0, 0, 1, 3, 7, 0, 7, 7, 33.33, 88.89, 88.89, 0.0, 87.5, 87.5, 87.5, 12.5, 88.890625, 12.5, 37.5, 12.5, 12.5, 25.0, 0.0, 0.0, 0.0, 37.5, 12.5, 62.5, 37.5, 12.0, 1.0, 11.0, 3.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 54.0, "10480", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10480&g_ta_cod=10480", 0.0, 44.0, 56.0),
(1564, "Public", "9730094P", "Lycée professionnel Jean Marie Michotte", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "Autre formation", "Lycée professionnel Jean Marie Michotte - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 8, 4, 0, 0, 0.0, 0.0, 0.0, 0, 4, 7, 0, 0, 7, 1, 0, 7, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 7, 7, 0.0, 0.0, 0.0, 50.0, 100.0, 100.0, 0, 57.09375, 87.5, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 34.0, 17.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30114", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 13.0, 88.0),
(1565, "Public", "0870056N", "Lycée Turgot", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "CPGE", "Lycée Turgot - CPGE - PTSI", "Classe préparatoire scientifique", "", 30, 343, 74, 335, 221, 286, 22, 1, 0, 0, 0, 48, 8, 4, 0, 0, 4, 254, 2, 73, 249, 240, 17, 0, 0, 0, 0, 14, 179, 25, 7, 24, 1, 11.0, 21.0, 24.0, 4, 3, 24, 24, 0, 0, 1, 0, 0, 8, 15, 1, 0.0, 24, 0, 0, 7, 2, 15, 15, 44.0, 84.0, 96.0, 28.0, 62.5, 62.5, 29.19921875, 12.5, 96.0, 0.0, 0.0, 33.296875, 62.5, 4.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 168.0, 12.0, 0.0, 0.0, 11.0, "Tous les candidats", 260.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "10675", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10675&g_ta_cod=10675", 100.0, 0.0, 0.0),
(1566, "Public", "0851473P", "Université de Nantes (La Roche)", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation non sélective", "Licence", "Université de Nantes (La Roche) - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 120, 1401, 1082, 1385, 0, 1061, 187, 104, 31, 22, 3, 198, 16, 5, 1, 0, 10, 1369, 7, 0, 0, 1061, 187, 104, 31, 22, 3, 182, 705, 115, 74, 110, 5, 29.0, 89.0, 106.0, 0, 29, 105, 87, 14, 4, 10, 1, 23, 48, 30, 3, 0.0, 67, 10, 4, 0, 0, 89, 89, 25.22, 77.39, 92.17, 64.296875, 84.796875, 84.796875, 0, 27.59765625, 91.296875, 1.0, 21.8984375, 45.6953125, 28.59765625, 2.9, 0.0, 82.890625, 63.796875, 13.298828125, 9.5, 3.7998046875, 3.7998046875, 556.0, 98.0, 13.0, 0.0, 78.0, "Tous les candidats", 1129.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 75.0, "10568", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26998&g_ta_cod=10568", 81.0, 16.0, 3.0),
(1567, "Public", "0920134W", "Lycée Jacques Prevert", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Boulogne-Billancourt", "formation sélective", "BTS", "Lycée Jacques Prevert - BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "BTS - Services", "", 12, 1883, 488, 1883, 0, 621, 95, 286, 67, 295, 90, 681, 0, 0, 0, 0, 0, 170, 0, 0, 0, 56, 6, 12, 2, 93, 29, 9, 25, 12, 1, 12, 0, 2.0, 10.0, 10.0, 0, 1, 10, 6, 0, 4, 2, 0, 1, 1, 7, 1, 0.0, 6, 0, 3, 0, 0, 3, 7, 16.67, 83.33, 83.33, 8.298828125, 30.0, 70.0, 0, 10.0, 83.296875, 0.0, 10.0, 10.0, 70.0, 10.0, 0.0, 60.0, 60.0, 0.0, 0.0, 40.0, 30.0, 11.0, 1.0, 8.0, 2.0, 4.0, "Tous les candidats sauf les Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 1.0, "10984", "BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10984&g_ta_cod=10984", 58.0, 8.0, 33.0),
(1568, "Public", "0490018D", "Lycée polyvalent Europe Robert Schuman", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "BTS", "Lycée polyvalent Europe Robert Schuman - BTS - Services - Commerce International", "BTS - Services", "", 23, 501, 274, 479, 0, 149, 31, 104, 27, 60, 25, 166, 22, 0, 12, 0, 10, 315, 1, 0, 0, 137, 28, 81, 18, 44, 19, 53, 139, 23, 17, 22, 1, 1.0, 14.0, 19.0, 0, 10, 20, 11, 7, 2, 3, 0, 12, 7, 1, 0, 0.0, 2, 5, 1, 3, 3, 14, 14, 4.35, 60.87, 82.61, 73.890625, 70.0, 70.0, 15, 50.0, 87.0, 0.0, 60.0, 35.0, 5.0, 0.0, 0.0, 55.0, 10.0, 35.0, 25.0, 10.0, 5.0, 76.0, 18.0, 13.0, 6.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 120.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 47.0, "5835", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5835&g_ta_cod=5835", 61.0, 30.0, 9.0),
(1569, "Privé sous contrat d'association", "0530068L", "Lycée HAUTE-FOLLIS", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "Autre formation", "Lycée HAUTE-FOLLIS - Diplôme de Comptabilité et de Gestion (Seconde année possible en apprentissage)", "DCG", "", 35, 258, 123, 244, 0, 109, 11, 47, 6, 2, 1, 86, 14, 2, 2, 0, 10, 155, 2, 0, 0, 95, 9, 39, 6, 0, 0, 21, 94, 20, 12, 18, 1, 14.0, 18.0, 19.0, 0, 3, 18, 14, 4, 0, 2, 0, 3, 8, 4, 3, 0.0, 12, 3, 0, 0, 0, 16, 16, 70.0, 90.0, 95.0, 60.0, 88.890625, 88.890625, 0, 16.69921875, 90.0, 0.0, 16.69921875, 44.3984375, 22.19921875, 16.7, 0.0, 77.796875, 66.6875, 22.19921875, 16.69921875, 0.0, 0.0, 56.0, 5.0, 0.0, 0.0, 14.0, "Tous les candidats", 155.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "6216", "Diplôme de Comptabilité et de Gestion (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6216&g_ta_cod=6216", 75.0, 20.0, 5.0),
(1570, "Privé sous contrat d'association", "0110045P", "LYCEE POLYVALENT SAINT LOUIS - SITE SAINT STANISLAS", "11", "Aude", "Occitanie", "Montpellier", "Carcassonne", "formation sélective", "BTS", "LYCEE POLYVALENT SAINT LOUIS - SITE SAINT STANISLAS - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 36, 260, 112, 218, 0, 33, 7, 87, 21, 61, 29, 37, 42, 4, 8, 17, 13, 184, 15, 0, 0, 31, 7, 77, 15, 49, 23, 27, 141, 31, 15, 24, 7, 9.0, 23.0, 26.0, 0, 10, 27, 3, 18, 6, 4, 0, 8, 17, 2, 0, 0.0, 1, 12, 6, 5, 3, 22, 22, 29.03, 74.19, 83.87, 48.3984375, 81.5, 81.5, 18.5, 37.0, 87.09375, 0.0, 29.59765625, 63.0, 7.3994140625, 0.0, 0.0, 11.099609375, 3.69970703125, 66.6875, 44.3984375, 22.19921875, 22.19921875, 15.0, 5.0, 43.0, 19.0, 22.0, "Tous les candidats sauf les Bac professionnels", 123.0, "Bacheliers professionnels toutes séries", 52, "", 0, "Liste d'appel propre à cette formation", 80.0, "2462", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2462&g_ta_cod=2462", 16.0, 61.0, 23.0),
(1571, "Public", "0760090K", "Lycée Pierre Corneille", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Pierre Corneille - BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "BTS - Services", "", 6, 942, 130, 942, 0, 338, 36, 143, 26, 88, 30, 373, 0, 0, 0, 0, 0, 926, 0, 0, 0, 338, 36, 143, 26, 72, 21, 373, 18, 6, 1, 6, 0, 0.0, 6.0, 6.0, 0, 1, 6, 3, 1, 2, 0, 0, 0, 1, 3, 2, 0.0, 3, 1, 2, 0, 0, 3, 3, 0.0, 100.0, 100.0, 16.69921875, 50.0, 50.0, 0, 16.69921875, 100.0, 0.0, 0.0, 16.69921875, 50.0, 33.3, 0.0, 50.0, 50.0, 16.69921875, 16.69921875, 33.296875, 33.296875, 6.0, 1.0, 5.0, 1.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 3.0, "9591", "BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9591&g_ta_cod=9591", 50.0, 17.0, 33.0),
(1572, "Public", "0110986M", "Université de Perpignan - Antenne de Narbonne", "11", "Aude", "Occitanie", "Montpellier", "Narbonne", "formation non sélective", "Licence_Las", "Université de Perpignan - Antenne de Narbonne - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 30, 315, 255, 280, 0, 131, 37, 48, 19, 9, 5, 92, 35, 6, 3, 1, 25, 280, 32, 0, 0, 131, 37, 48, 19, 9, 5, 92, 206, 28, 25, 20, 7, 0.0, 16.0, 21.0, 0, 8, 19, 7, 11, 1, 9, 0, 11, 6, 2, 0, 0.0, 3, 4, 1, 0, 0, 14, 14, 0.0, 57.14, 75.0, 89.296875, 73.6875, 73.6875, 0, 42.09375, 67.890625, 0.0, 57.8984375, 31.59765625, 10.5, 0.0, 0.0, 36.796875, 15.798828125, 57.8984375, 21.09765625, 5.2998046875, 5.2998046875, 73.0, 21.0, 6.0, 5.0, 99.0, "Tous les candidats", 1276.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28125", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28124&g_ta_cod=28125", 50.0, 39.0, 7.0),
(1573, "Privé sous contrat d'association", "0440254M", "Ecole Sup. IMS", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Ecole Sup. IMS - BTS - Services - Gestion de la PME", "BTS - Services", "", 33, 426, 266, 396, 0, 64, 5, 169, 31, 101, 25, 62, 30, 1, 4, 8, 17, 281, 22, 0, 0, 56, 3, 130, 22, 76, 16, 19, 173, 23, 15, 20, 3, 4.0, 15.0, 19.0, 0, 4, 19, 7, 7, 5, 4, 0, 8, 6, 4, 1, 0.0, 3, 3, 5, 0, 0, 14, 14, 17.39, 65.22, 82.61, 65.1875, 73.6875, 73.6875, 0, 21.09765625, 82.59375, 0.0, 42.09375, 31.59765625, 21.09765625, 5.3, 0.0, 36.796875, 15.798828125, 36.796875, 15.798828125, 26.296875, 26.296875, 32.0, 1.0, 44.0, 12.0, 24.0, "Tous les candidats sauf les Bac professionnels", 200.0, "Bacheliers professionnels toutes séries", 78, "", 0, "Liste d'appel propre à cette formation", 70.0, "5522", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5522&g_ta_cod=5522", 35.0, 35.0, 30.0),
(1574, "Public", "0650027B", "Lycée Jean Dupuy", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "CPGE", "Lycée Jean Dupuy - CPGE - PTSI", "Classe préparatoire scientifique", "", 30, 334, 58, 331, 266, 273, 29, 5, 0, 0, 0, 53, 3, 0, 0, 0, 3, 317, 0, 266, 256, 270, 28, 5, 0, 0, 0, 42, 227, 26, 3, 26, 0, 4.0, 20.0, 26.0, 16, 3, 24, 24, 0, 0, 2, 0, 0, 22, 2, 0, 0.0, 24, 0, 0, 4, 1, 12, 12, 15.38, 76.92, 100.0, 11.5, 50.0, 50.0, 16.69921875, 12.5, 92.296875, 0.0, 0.0, 91.6875, 8.298828125, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 212.0, 20.0, 0.0, 0.0, 15.0, "Tous les candidats", 269.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "7816", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7816&g_ta_cod=7816", 96.0, 4.0, 0.0),
(1575, "Public", "0310036W", "Lycée Pierre De Fermat", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Pierre De Fermat - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 1087, 832, 1087, 716, 953, 125, 2, 1, 0, 0, 132, 0, 0, 0, 0, 0, 1021, 0, 716, 921, 944, 123, 0, 0, 0, 0, 77, 363, 48, 38, 48, 0, 23.0, 38.0, 46.0, 14, 7, 44, 44, 0, 0, 4, 0, 0, 0, 10, 32, 2.0, 44, 0, 0, 3, 3, 22, 22, 47.92, 79.17, 95.83, 79.1875, 50.0, 50.0, 6.7998046875, 15.8984375, 91.6875, 0.0, 0.0, 0.0, 22.69921875, 72.7, 4.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 358.0, 48.0, 0.0, 0.0, 5.0, "Tous les candidats", 505.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "4040", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4040&g_ta_cod=4040", 100.0, 0.0, 0.0),
(1576, "Public", "0690038S", "Lycée La Martinière Duchère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "BTS", "Lycée La Martinière Duchère - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 2112, 1428, 2112, 0, 88, 29, 798, 373, 629, 348, 597, 0, 0, 0, 0, 0, 1185, 0, 0, 0, 80, 26, 518, 215, 336, 171, 251, 235, 31, 21, 31, 0, 1.0, 22.0, 27.0, 0, 16, 22, 2, 12, 8, 9, 0, 5, 9, 8, 0, 0.0, 2, 7, 8, 0, 0, 21, 21, 3.23, 70.97, 87.1, 67.6875, 95.5, 95.5, 0, 72.6875, 71.0, 0.0, 22.69921875, 40.8984375, 36.3984375, 0.0, 0.0, 9.099609375, 9.099609375, 54.5, 31.796875, 36.3984375, 36.3984375, 11.0, 5.0, 86.0, 39.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 251, "Bacheliers technologiques toutes séries", 227, "Liste d'appel propre à cette formation", 24.0, "8220", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8220&g_ta_cod=8220", 6.0, 45.0, 48.0),
(1577, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Tchèque", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Europe - Tchèque", 10, 22, 12, 13, 0, 4, 1, 0, 0, 1, 1, 8, 9, 0, 0, 0, 9, 13, 5, 0, 0, 4, 1, 0, 0, 1, 1, 8, 18, 5, 0, 3, 2, 2.0, 3.0, 3.0, 0, 0, 1, 1, 0, 0, 4, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 40.0, 60.0, 60.0, 0.0, 100.0, 100.0, 0, 0.0, 20.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 4.0, 1.0, 1.0, 1.0, 13.0, "Tous les candidats", 13.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9418", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Tchèque", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29609&g_ta_cod=9418", 80.0, 0.0, 0.0),
(1578, "Privé sous contrat d'association", "0753844W", "Institut Sainte-Genevieve", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Autre formation", "Institut Sainte-Genevieve - DN MADE - Animation - - Spécialité : Cinéma d'animation", "DN MADE", "- Spécialité : Cinéma d'animation", 16, 1335, 799, 1335, 0, 625, 89, 228, 43, 101, 35, 381, 0, 0, 0, 0, 0, 195, 0, 0, 0, 77, 8, 43, 6, 2, 0, 73, 43, 16, 10, 16, 0, 3.0, 11.0, 14.0, 0, 3, 9, 7, 2, 0, 7, 0, 0, 4, 4, 1, 0.0, 7, 2, 0, 0, 0, 3, 5, 18.75, 68.75, 87.5, 62.5, 33.296875, 55.59375, 0, 33.296875, 56.296875, 0.0, 0.0, 44.3984375, 44.3984375, 11.1, 0.0, 77.796875, 77.796875, 22.19921875, 22.19921875, 0.0, 0.0, 18.0, 3.0, 0.0, 0.0, 20.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "21769", "DN MADE - Animation - - Spécialité : Cinéma d'animation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21769&g_ta_cod=21769", 81.0, 13.0, 6.0),
(1579, "Public", "9740054R", "Lycée Lislet Geoffroy", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée Lislet Geoffroy - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 274, 23, 209, 0, 8, 5, 47, 26, 102, 63, 52, 65, 3, 6, 32, 24, 126, 10, 0, 0, 6, 4, 38, 22, 65, 40, 17, 96, 32, 0, 28, 4, 6.0, 26.0, 28.0, 0, 17, 25, 2, 6, 17, 7, 0, 10, 9, 4, 2, 0.0, 1, 1, 13, 3, 0, 22, 22, 18.75, 81.25, 87.5, 0.0, 88.0, 88.0, 12, 68.0, 78.09375, 0.0, 40.0, 36.0, 16.0, 8.0, 0.0, 8.0, 4.0, 24.0, 4.0, 68.0, 52.0, 6.0, 3.0, 41.0, 27.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 60.0, "11903", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11903&g_ta_cod=11903", 9.0, 28.0, 63.0),
(1580, "Public", "0861273S", "CNED", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Chasseneuil-du-Poitou", "formation sélective", "BTS", "CNED - BTS - Services - Notariat", "BTS - Services", "", 800, 591, 399, 491, 0, 90, 28, 64, 21, 19, 7, 318, 100, 11, 12, 5, 72, 491, 96, 0, 0, 90, 28, 64, 21, 19, 7, 318, 587, 149, 105, 108, 41, 105.0, 108.0, 126.0, 0, 17, 36, 14, 17, 5, 113, 0, 16, 12, 8, 0, 0.0, 8, 9, 3, 0, 0, 12, 12, 70.47, 72.48, 84.56, 70.5, 33.296875, 33.296875, 0, 47.1953125, 24.19921875, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 38.8984375, 22.19921875, 47.1953125, 25.0, 13.8984375, 8.298828125, 100.0, 32.0, 24.0, 9.0, 387.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 362.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 100.0, "20809", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20809&g_ta_cod=20809", 70.0, 22.0, 7.0),
(1581, "Public", "0910687C", "Lycée Fustel De Coulanges", "91", "Essonne", "Ile-de-France", "Versailles", "Massy", "formation sélective", "BTS", "Lycée Fustel De Coulanges - BTS - Services - Commerce International", "BTS - Services", "", 35, 1283, 713, 1283, 0, 181, 49, 501, 197, 262, 126, 339, 0, 0, 0, 0, 0, 643, 0, 0, 0, 121, 26, 287, 110, 137, 62, 98, 165, 35, 19, 35, 0, 4.0, 27.0, 34.0, 0, 11, 29, 2, 18, 9, 6, 0, 9, 14, 3, 3, 0.0, 1, 13, 6, 0, 0, 27, 28, 11.43, 77.14, 97.14, 54.296875, 93.09375, 96.59375, 0, 37.8984375, 82.890625, 0.0, 31.0, 48.296875, 10.298828125, 10.3, 0.0, 6.8994140625, 3.39990234375, 62.09375, 44.796875, 31.0, 20.69921875, 23.0, 8.0, 47.0, 21.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 122, "Liste d'appel propre à cette formation", 19.0, "10870", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10870&g_ta_cod=10870", 11.0, 63.0, 26.0),
(1582, "Public", "0171571R", "Lycée professionnel De L'Atlantique", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Royan", "formation sélective", "BTS", "Lycée professionnel De L'Atlantique - BTS - Production - Management économique de la construction", "BTS - Production", "", 8, 161, 40, 159, 0, 11, 4, 60, 5, 70, 18, 18, 2, 0, 0, 0, 2, 69, 1, 0, 0, 7, 1, 20, 1, 38, 10, 4, 25, 7, 4, 6, 1, 2.0, 6.0, 7.0, 0, 2, 6, 2, 1, 3, 1, 0, 1, 5, 0, 0, 0.0, 1, 1, 3, 3, 1, 4, 4, 28.57, 85.71, 100.0, 57.09375, 66.6875, 66.6875, 50, 33.296875, 85.6875, 0.0, 16.69921875, 83.296875, 0.0, 0.0, 0.0, 33.296875, 16.69921875, 16.69921875, 16.69921875, 50.0, 50.0, 2.0, 1.0, 15.0, 4.0, 4.0, "Tous les candidats sauf les Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 30.0, "27001", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27001&g_ta_cod=27001", 29.0, 14.0, 57.0),
(1583, "Public", "0130059U", "Lycée professionnel Blaise Pascal", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 12e  Arrondissement", "formation sélective", "BTS", "Lycée professionnel Blaise Pascal - BTS - Services - Photographie", "BTS - Services", "", 14, 712, 425, 712, 0, 232, 59, 102, 26, 117, 40, 261, 0, 0, 0, 0, 0, 712, 0, 0, 0, 232, 59, 102, 26, 117, 40, 261, 64, 14, 12, 14, 0, 2.0, 10.0, 13.0, 0, 1, 10, 4, 2, 4, 4, 0, 4, 4, 2, 0, 0.0, 3, 2, 1, 1, 1, 6, 6, 14.29, 71.43, 92.86, 85.6875, 60.0, 60.0, 10, 10.0, 71.390625, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 40.0, 30.0, 20.0, 20.0, 40.0, 10.0, 15.0, 5.0, 11.0, 3.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 13.0, "20110", "BTS - Services - Photographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20110&g_ta_cod=20110", 57.0, 14.0, 29.0),
(1584, "Public", "0596039U", "Université d'Artois - Site de Douai", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation non sélective", "Licence", "Université d'Artois - Site de Douai - Licence - Portail  classique", "Licence - Droit-économie-gestion", "Parcours renforcé Science politique", 30, 748, 500, 748, 0, 608, 139, 36, 18, 9, 5, 95, 0, 0, 0, 0, 0, 746, 0, 0, 0, 608, 139, 36, 18, 9, 5, 93, 199, 29, 21, 29, 0, 3.0, 25.0, 29.0, 0, 9, 27, 27, 0, 0, 2, 0, 0, 9, 9, 9, 0.0, 27, 0, 0, 0, 0, 23, 23, 10.34, 86.21, 100.0, 72.390625, 85.1875, 85.1875, 0, 33.296875, 93.09375, 0.0, 0.0, 33.296875, 33.296875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 177.0, 46.0, 0.0, 0.0, 21.0, "Tous les candidats", 1332.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "32167", "Licence - Portail  classique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7190&g_ta_cod=32167", 100.0, 0.0, 0.0),
(1585, "Public", "0620161N", "Lycée Alexandre Ribot", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Omer", "formation sélective", "BTS", "Lycée Alexandre Ribot - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 308, 165, 257, 0, 37, 12, 67, 28, 24, 10, 129, 51, 5, 8, 10, 28, 132, 19, 0, 0, 32, 11, 61, 26, 18, 7, 21, 92, 27, 11, 22, 5, 10.0, 18.0, 25.0, 0, 11, 22, 7, 9, 6, 5, 0, 11, 8, 3, 0, 0.0, 2, 6, 3, 14, 4, 22, 22, 37.04, 66.67, 92.59, 40.6953125, 100.0, 100.0, 63.59375, 50.0, 81.5, 0.0, 50.0, 36.3984375, 13.599609375, 0.0, 0.0, 31.796875, 9.099609375, 40.8984375, 27.296875, 27.296875, 13.599609375, 20.0, 9.0, 22.0, 10.0, 20.0, "Tous les candidats sauf les Bac professionnels", 111.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 51.0, "7391", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7391&g_ta_cod=7391", 41.0, 37.0, 22.0),
(1586, "Public", "9760127J", "Lycée Younoussa Bamana", "976", "Mayotte", "Mayotte", "Mayotte", "Mamoudzou", "formation sélective", "CPGE", "Lycée Younoussa Bamana - CPGE - PTSI", "Classe préparatoire scientifique", "", 24, 327, 164, 122, 0, 69, 43, 22, 12, 3, 2, 28, 205, 35, 49, 28, 93, 50, 21, 0, 50, 42, 25, 6, 4, 0, 0, 2, 71, 23, 6, 8, 15, 2.0, 8.0, 18.0, 0, 13, 17, 15, 2, 0, 6, 0, 9, 3, 2, 3, 0.0, 8, 0, 0, 2, 1, 17, 17, 8.7, 34.78, 78.26, 26.09765625, 100.0, 100.0, 11.798828125, 76.5, 73.890625, 0.0, 52.8984375, 17.59765625, 11.798828125, 17.6, 0.0, 88.1875, 47.09375, 11.798828125, 0.0, 0.0, 0.0, 53.0, 33.0, 1.0, 1.0, 9.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "29417", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29417&g_ta_cod=29417", 83.0, 17.0, 0.0),
(1587, "Privé enseignement supérieur", "0592608P", "ICL - ESTICE", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "ICL - ESTICE - Licence - Economie et gestion - Parcours Commerce international et langues", "Licence - Droit-économie-gestion", "Commerce international et langues", 105, 552, 308, 552, 0, 453, 53, 30, 7, 1, 0, 68, 0, 0, 0, 0, 0, 322, 0, 0, 0, 280, 20, 9, 0, 0, 0, 33, 261, 121, 72, 121, 0, 85.0, 121.0, 121.0, 0, 4, 106, 102, 4, 0, 15, 0, 15, 45, 33, 13, 0.0, 87, 4, 0, 0, 0, 84, 84, 70.25, 100.0, 100.0, 59.5, 79.1875, 79.1875, 0, 3.7998046875, 87.59375, 0.0, 14.19921875, 42.5, 31.09765625, 12.3, 0.0, 96.1875, 82.09375, 3.7998046875, 3.7998046875, 0.0, 0.0, 228.0, 12.0, 0.0, 0.0, 27.0, "Tous les candidats", 283.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "24397", "Licence - Economie et gestion - Parcours Commerce international et langues", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24397&g_ta_cod=24397", 94.0, 6.0, 0.0),
(1588, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues étrangères appliquées - Parcours Chinois - Anglais", "Licence - Arts-lettres-langues", "Chinois - Anglais", 58, 373, 296, 373, 0, 177, 45, 36, 19, 16, 5, 144, 0, 0, 0, 0, 0, 373, 0, 0, 0, 177, 45, 36, 19, 16, 5, 144, 194, 58, 51, 58, 0, 9.0, 48.0, 55.0, 0, 18, 44, 31, 8, 5, 14, 0, 15, 22, 7, 0, 0.0, 22, 4, 3, 0, 0, 30, 40, 15.52, 82.76, 94.83, 87.890625, 68.1875, 90.890625, 0, 40.8984375, 75.890625, 0.0, 34.09375, 50.0, 15.8984375, 0.0, 0.0, 70.5, 50.0, 18.19921875, 9.099609375, 11.3984375, 6.7998046875, 109.0, 28.0, 9.0, 2.0, 59.0, "Tous les candidats", 240.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "12169", "Licence - Langues étrangères appliquées - Parcours Chinois - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12169&g_ta_cod=12169", 71.0, 14.0, 14.0),
(1589, "Privé sous contrat d'association", "0572341K", "Lycée Jean XXIII", "57", "Moselle", "Grand Est", "Nancy-Metz", "Montigny-lès-Metz", "formation sélective", "Ecole d'Ingénieur", "ECAM-HEI-ISEN-ISEP cycle préparatoire Metz - Jean XXIII - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 5, 19, 7, 12, 0, 5, 0, 2, 1, 0, 0, 5, 7, 3, 0, 0, 4, 12, 1, 0, 0, 5, 0, 2, 1, 0, 0, 5, 13, 3, 0, 3, 0, 3.0, 3.0, 3.0, 0, 0, 2, 2, 0, 0, 1, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 5.0, 0.0, 0.0, 0.0, 6.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "16962", "Formation d'ingénieur Bac + 5 - bac STI2D", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16962&g_ta_cod=16962", 100.0, 0.0, 0.0),
(1590, "Public", "0880013L", "Lycée professionnel Pierre Mendes France", "88", "Vosges", "Grand Est", "Nancy-Metz", "Contrexéville", "formation sélective", "Autre formation", "Lycée professionnel Pierre Mendes France - Mention complémentaire - FCIL Hydro - esthétique", "Mention complémentaire", "", 15, 72, 69, 72, 0, 2, 1, 4, 0, 54, 17, 12, 0, 0, 0, 0, 0, 51, 0, 0, 0, 1, 1, 1, 0, 42, 10, 7, 28, 15, 15, 15, 0, 10.0, 15.0, 15.0, 0, 1, 15, 0, 0, 15, 0, 0, 2, 7, 3, 3, 0.0, 0, 0, 13, 0, 0, 5, 5, 66.67, 100.0, 100.0, 100.0, 33.296875, 33.296875, 0, 6.69921875, 100.0, 0.0, 13.298828125, 46.6953125, 20.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 86.6875, 0.0, 0.0, 26.0, 4.0, 2.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "24122", "Mention complémentaire - FCIL Hydro - esthétique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24122&g_ta_cod=24122", 0.0, 0.0, 100.0),
(1591, "Privé sous contrat d'association", "0180561M", "Lycée Sainte Marie Saint Dominique", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BTS", "Lycée Sainte Marie Saint Dominique - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 33, 351, 173, 237, 0, 54, 8, 78, 20, 49, 13, 56, 114, 8, 33, 25, 48, 110, 39, 0, 0, 51, 8, 37, 7, 12, 2, 10, 133, 30, 17, 17, 12, 5.0, 15.0, 26.0, 0, 2, 20, 13, 3, 4, 10, 0, 7, 10, 2, 1, 0.0, 8, 2, 3, 3, 2, 16, 16, 16.67, 50.0, 86.67, 56.6953125, 80.0, 80.0, 15, 10.0, 66.6875, 0.0, 35.0, 50.0, 10.0, 5.0, 0.0, 65.0, 40.0, 15.0, 10.0, 20.0, 15.0, 53.0, 8.0, 16.0, 2.0, 27.0, "Tous les candidats sauf les Bac professionnels", 97.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 45.0, "3115", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3115&g_ta_cod=3115", 67.0, 17.0, 17.0),
(1592, "Public", "0772910V", "UPEC SITE DE FONTAINEBLEAU", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Fontainebleau", "formation non sélective", "Licence", "UPEC SITE DE FONTAINEBLEAU - Licence - Portail Science politique - Parcours Science politique", "Licence - Droit-économie-gestion", "Parcours Science politique", 75, 1028, 606, 1028, 0, 859, 103, 7, 2, 0, 0, 162, 0, 0, 0, 0, 0, 1028, 0, 0, 0, 859, 103, 7, 2, 0, 0, 162, 201, 74, 41, 74, 0, 47.0, 61.0, 70.0, 0, 5, 67, 66, 1, 0, 7, 0, 0, 27, 35, 5, 0.0, 66, 1, 0, 0, 0, 35, 50, 63.51, 82.43, 94.59, 55.3984375, 52.1953125, 74.59375, 0, 7.5, 90.5, 0.0, 0.0, 40.296875, 52.1953125, 7.5, 0.0, 98.5, 98.5, 1.5, 1.5, 0.0, 0.0, 176.0, 18.0, 0.0, 0.0, 23.0, "Tous les candidats", 257.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "17332", "Licence - Portail Science politique - Parcours Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27757&g_ta_cod=17332", 97.0, 1.0, 0.0),
(1593, "Public", "0641732K", "Lycée Saint-John Perse", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "BTS", "Lycée Saint-John Perse - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 946, 432, 946, 0, 109, 19, 370, 96, 265, 101, 202, 0, 0, 0, 0, 0, 651, 0, 0, 0, 99, 17, 270, 72, 192, 66, 90, 151, 31, 22, 31, 0, 5.0, 23.0, 30.0, 0, 9, 29, 2, 15, 12, 2, 0, 0, 16, 12, 1, 0.0, 2, 15, 12, 6, 4, 27, 27, 16.13, 74.19, 96.77, 71.0, 93.09375, 93.09375, 20.69921875, 31.0, 93.5, 0.0, 0.0, 55.1953125, 41.3984375, 3.4, 0.0, 6.8994140625, 6.8994140625, 51.6953125, 51.6953125, 41.3984375, 41.3984375, 9.0, 4.0, 71.0, 23.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 103, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 22.0, "7775", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7775&g_ta_cod=7775", 6.0, 48.0, 45.0),
(1594, "Public", "0672462M", "I.U.T. de Schiltigheim", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Schiltigheim", "formation sélective", "BUT", "I.U.T. de Schiltigheim - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités", 107, 1891, 932, 1854, 0, 1087, 200, 439, 144, 18, 8, 310, 37, 0, 17, 0, 20, 538, 0, 0, 0, 410, 42, 97, 19, 0, 0, 31, 313, 100, 46, 100, 0, 29.0, 86.0, 96.0, 0, 9, 96, 77, 19, 0, 4, 0, 0, 31, 44, 18, 3.0, 77, 19, 0, 0, 0, 82, 82, 29.0, 86.0, 96.0, 46.0, 85.390625, 85.390625, 0, 9.3984375, 96.0, 0.0, 0.0, 32.296875, 45.796875, 18.8, 3.1, 80.1875, 80.1875, 19.796875, 19.796875, 0.0, 0.0, 211.0, 30.0, 0.0, 0.0, 17.0, "Tous les candidats sauf les Bac technologiques", 344.0, "Bacheliers technologiques toutes séries", 114, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "8005", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8005&g_ta_cod=8005", 80.0, 20.0, 0.0),
(1595, "Public", "0850032Y", "LGT Savary de Mauléon", "85", "Vendée", "Pays de la Loire", "Nantes", "Les Sables-d'Olonne", "formation sélective", "BTS", "LGT Savary de Mauléon - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 29, 534, 61, 434, 0, 93, 8, 112, 19, 62, 15, 167, 100, 10, 26, 0, 64, 236, 14, 0, 0, 85, 5, 87, 14, 35, 5, 29, 162, 29, 0, 20, 9, 2.0, 19.0, 25.0, 0, 1, 22, 10, 5, 7, 7, 0, 10, 6, 5, 1, 0.0, 4, 3, 5, 3, 0, 18, 18, 6.9, 65.52, 86.21, 0.0, 81.796875, 81.796875, 13.599609375, 4.5, 75.890625, 0.0, 45.5, 27.296875, 22.69921875, 4.5, 0.0, 45.5, 18.19921875, 22.69921875, 13.599609375, 31.796875, 22.69921875, 65.0, 3.0, 23.0, 3.0, 22.0, "Tous les candidats sauf les Bac professionnels", 200.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 54.0, "10486", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10486&g_ta_cod=10486", 55.0, 21.0, 24.0),
(1596, "Public", "0540044E", "Lycée Arthur Varoquaux", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Tomblaine", "formation sélective", "BTS", "Lycée Arthur Varoquaux - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 812, 655, 787, 0, 97, 28, 181, 61, 191, 86, 318, 25, 0, 9, 3, 13, 238, 7, 0, 0, 36, 10, 72, 23, 85, 37, 45, 132, 31, 27, 28, 3, 5.0, 21.0, 27.0, 0, 13, 24, 5, 7, 12, 7, 0, 6, 14, 4, 0, 0.0, 3, 6, 9, 6, 5, 24, 24, 16.13, 67.74, 87.1, 87.09375, 100.0, 100.0, 25, 54.1953125, 77.390625, 0.0, 25.0, 58.296875, 16.69921875, 0.0, 0.0, 20.796875, 12.5, 29.19921875, 25.0, 50.0, 37.5, 15.0, 6.0, 44.0, 17.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 26.0, "6282", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6282&g_ta_cod=6282", 19.0, 29.0, 52.0),
(1597, "Public", "0150030B", "Lycée de Haute Auvergne", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Saint-Flour", "formation sélective", "BTS", "Lycée de Haute Auvergne - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 1204, 589, 1198, 0, 47, 18, 88, 36, 63, 32, 1000, 6, 0, 1, 0, 5, 204, 0, 0, 0, 38, 14, 60, 22, 63, 32, 43, 98, 18, 15, 18, 0, 5.0, 15.0, 16.0, 0, 6, 15, 3, 5, 7, 3, 0, 3, 10, 2, 0, 0.0, 2, 4, 6, 6, 4, 12, 12, 27.78, 83.33, 88.89, 83.296875, 80.0, 80.0, 40, 40.0, 83.296875, 0.0, 20.0, 66.6875, 13.298828125, 0.0, 0.0, 20.0, 13.298828125, 33.296875, 26.69921875, 46.6953125, 40.0, 17.0, 4.0, 32.0, 18.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 14.0, "2955", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2955&g_ta_cod=2955", 22.0, 33.0, 44.0),
(1598, "Privé sous contrat d'association", "0132010P", "MFREO de Lambesc", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Lambesc", "formation sélective", "Autre formation", "MFREO de Lambesc - Diplôme d'Université - PAREO", "Diplôme d'Université", "", 50, 19, 9, 10, 0, 3, 0, 3, 1, 2, 1, 2, 9, 3, 1, 2, 3, 10, 0, 0, 0, 3, 0, 3, 1, 2, 1, 2, 10, 2, 1, 2, 0, 2.0, 2.0, 2.0, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 50.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 3.0, 0.0, 2.0, 1.0, 2.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "33295", "Diplôme d'Université - PAREO", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33295&g_ta_cod=33295", 50.0, 50.0, 0.0),
(1599, "Public", "0290012F", "Lycée Vauban", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Autre formation", "Lycée Vauban - DN MADE - Objet - - Spécialité : Design de produits", "DN MADE", "- Spécialité : Design de produits", 15, 500, 299, 500, 0, 190, 22, 140, 23, 52, 11, 118, 0, 0, 0, 0, 0, 350, 0, 0, 0, 134, 13, 111, 17, 27, 4, 78, 61, 15, 7, 15, 0, 2.0, 11.0, 14.0, 0, 1, 14, 5, 9, 0, 1, 0, 1, 10, 3, 0, 0.0, 4, 9, 0, 0, 0, 9, 9, 13.33, 73.33, 93.33, 46.6953125, 64.296875, 64.296875, 0, 7.099609375, 93.296875, 0.0, 7.099609375, 71.390625, 21.3984375, 0.0, 0.0, 35.6953125, 28.59765625, 64.296875, 64.296875, 0.0, 0.0, 20.0, 2.0, 0.0, 0.0, 3.0, "Tous les candidats", 106.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "21608", "DN MADE - Objet - - Spécialité : Design de produits", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21608&g_ta_cod=21608", 40.0, 60.0, 0.0),
(1600, "Privé sous contrat d'association", "0761710W", "Lycée Saint-Joseph", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Autre formation", "Lycée Saint-Joseph - Année préparatoire à l'École Nationale de la Marine Marchande - Officier 1ère classe", "Année préparatoire", "", 30, 113, 17, 104, 0, 63, 7, 0, 0, 1, 0, 40, 9, 4, 0, 2, 3, 84, 3, 0, 0, 58, 6, 0, 0, 0, 0, 26, 79, 9, 1, 8, 1, 0.0, 8.0, 9.0, 0, 1, 6, 6, 0, 0, 3, 0, 5, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 4, 4, 0.0, 88.89, 100.0, 11.099609375, 66.6875, 66.6875, 0, 16.69921875, 66.6875, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 100.0, 16.69921875, 0.0, 0.0, 0.0, 0.0, 57.0, 6.0, 0.0, 0.0, 22.0, "Tous les candidats", 84.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "9667", "Année préparatoire à l'École Nationale de la Marine Marchande - Officier 1ère classe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9667&g_ta_cod=9667", 89.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(1601, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Sociologie - Parcours Sociologie -histoire", "Licence - Sciences humaines et sociales", "Sociologie -histoire", 180, 1428, 983, 1265, 0, 829, 239, 69, 33, 32, 15, 335, 163, 41, 11, 7, 104, 1254, 159, 0, 0, 829, 239, 69, 33, 32, 15, 324, 991, 162, 102, 107, 55, 9.0, 105.0, 124.0, 0, 29, 85, 67, 10, 8, 77, 2, 31, 34, 13, 4, 1.0, 43, 5, 4, 0, 0, 66, 66, 5.56, 64.81, 76.54, 63.0, 77.59375, 77.59375, 0, 34.09375, 52.5, 2.39990234375, 36.5, 40.0, 15.298828125, 4.7, 1.2, 78.796875, 50.59375, 11.798828125, 5.8994140625, 9.3984375, 4.69921875, 542.0, 153.0, 26.0, 16.0, 364.0, "Tous les candidats", 1254.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7097", "Licence - Sociologie - Parcours Sociologie -histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7097&g_ta_cod=7097", 73.0, 13.0, 12.0),
(1602, "Public", "0763111U", "Université de Rouen Normandie - Campus Madrillet Saint-Etienne-du-Rouvray", "76", "Seine-Maritime", "Normandie", "Normandie", "Saint-Etienne-du-Rouvray", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Madrillet Saint-Etienne-du-Rouvray - Licence - Mathématiques", "Licence - Sciences - technologies - santé", "", 108, 900, 270, 868, 0, 670, 89, 17, 7, 2, 1, 179, 32, 3, 1, 0, 28, 863, 28, 0, 0, 670, 89, 17, 7, 2, 1, 174, 891, 100, 36, 93, 7, 90.0, 92.0, 92.0, 0, 10, 60, 56, 4, 0, 40, 2, 12, 24, 17, 5, 0.0, 43, 3, 0, 0, 0, 50, 50, 90.0, 92.0, 92.0, 36.0, 83.296875, 83.296875, 0, 16.69921875, 60.0, 3.2998046875, 20.0, 40.0, 28.296875, 8.3, 0.0, 93.296875, 71.6875, 6.69921875, 5.0, 0.0, 0.0, 673.0, 90.0, 2.0, 1.0, 198.0, "Tous les candidats", 863.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "9710", "Licence - Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9710&g_ta_cod=9710", 90.0, 7.0, 1.0),
(1603, "Public", "9720843J", "I.U.T de la Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation sélective", "BUT", "I.U.T de la Martinique - BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées", "BUT - Service", "Management de la mobilité et de la supply chain connectées", 24, 151, 42, 148, 0, 38, 12, 64, 26, 35, 20, 11, 3, 0, 1, 0, 2, 85, 0, 0, 0, 33, 11, 40, 15, 7, 5, 5, 66, 22, 9, 22, 0, 6.0, 22.0, 22.0, 0, 7, 22, 10, 12, 0, 0, 0, 5, 17, 0, 0, 0.0, 9, 8, 0, 0, 0, 21, 21, 27.27, 100.0, 100.0, 40.8984375, 95.5, 95.5, 0, 31.796875, 100.0, 0.0, 22.69921875, 77.296875, 0.0, 0.0, 0.0, 45.5, 40.8984375, 54.5, 36.3984375, 0.0, 0.0, 29.0, 11.0, 1.0, 0.0, 5.0, "Tous les candidats sauf les Bac technologiques", 41.0, "Bacheliers technologiques toutes séries", 40, "", 0, "Liste d'appel propre à cette formation", 55.0, "11848", "BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11848&g_ta_cod=11848", 45.0, 55.0, 0.0),
(1604, "Public", "0080008R", "Lycée François Bazin", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BTS", "Lycée François Bazin - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 12, 91, 6, 88, 0, 2, 1, 16, 4, 43, 13, 27, 3, 0, 3, 0, 0, 74, 0, 0, 0, 2, 1, 16, 4, 43, 13, 13, 45, 11, 0, 11, 0, 1.0, 7.0, 9.0, 0, 2, 7, 0, 3, 4, 4, 0, 3, 3, 1, 0, 0.0, 0, 0, 4, 2, 0, 5, 5, 9.09, 63.64, 81.82, 0.0, 71.390625, 71.390625, 28.59765625, 28.59765625, 63.59375, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 0.0, 0.0, 42.8984375, 0.0, 57.09375, 57.09375, 2.0, 1.0, 23.0, 8.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 61.0, "2358", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2358&g_ta_cod=2358", 9.0, 36.0, 55.0),
(1605, "Public", "0400018C", "Lycée Charles Despiau", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Mont-de-Marsan", "formation sélective", "BTS", "Lycée Charles Despiau - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 15, 348, 310, 348, 0, 34, 6, 89, 15, 120, 36, 105, 0, 0, 0, 0, 0, 301, 0, 0, 0, 33, 6, 89, 15, 120, 36, 59, 64, 14, 13, 14, 0, 2.0, 8.0, 13.0, 0, 3, 10, 1, 3, 6, 4, 0, 3, 6, 1, 0, 0.0, 0, 1, 6, 3, 3, 10, 10, 14.29, 57.14, 92.86, 92.890625, 100.0, 100.0, 30, 30.0, 71.390625, 0.0, 30.0, 60.0, 10.0, 0.0, 0.0, 10.0, 0.0, 30.0, 10.0, 60.0, 60.0, 4.0, 2.0, 20.0, 7.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers technologiques toutes séries", 74, "Bacheliers professionnels toutes séries", 46, "Liste d'appel propre à cette formation", 36.0, "32362", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32362&g_ta_cod=32362", 7.0, 43.0, 50.0),
(1606, "Public", "0750711R", "Lycée Henri Bergson-Jacquard", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Henri Bergson-Jacquard - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 24, 495, 48, 414, 0, 17, 6, 120, 53, 172, 89, 105, 81, 37, 0, 0, 44, 328, 6, 0, 0, 14, 4, 105, 46, 161, 82, 48, 125, 24, 1, 22, 1, 2.0, 13.0, 22.0, 0, 12, 22, 2, 7, 13, 2, 0, 9, 8, 4, 1, 0.0, 0, 1, 12, 1, 0, 11, 21, 8.33, 54.17, 91.67, 4.19921875, 50.0, 95.5, 4.5, 54.5, 91.6875, 0.0, 40.8984375, 36.3984375, 18.19921875, 4.5, 0.0, 9.099609375, 0.0, 31.796875, 4.5, 59.09375, 54.5, 19.0, 6.0, 52.0, 29.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 43.0, "9183", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9183&g_ta_cod=9183", 8.0, 38.0, 54.0),
(1607, "Public", "0010014K", "Lycée Edgar Quinet", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "CPGE", "Lycée Edgar Quinet - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 20, 232, 123, 220, 66, 154, 12, 1, 1, 1, 1, 64, 12, 8, 0, 0, 4, 157, 7, 45, 150, 144, 11, 0, 0, 0, 0, 13, 112, 13, 5, 12, 1, 3.0, 12.0, 13.0, 2, 2, 10, 10, 0, 0, 3, 0, 1, 7, 2, 0, 0.0, 9, 0, 0, 2, 2, 7, 7, 23.08, 92.31, 100.0, 38.5, 70.0, 70.0, 20, 20.0, 76.890625, 0.0, 10.0, 70.0, 20.0, 0.0, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 101.0, 6.0, 0.0, 0.0, 11.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "31661", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31317&g_ta_cod=31661", 100.0, 0.0, 0.0),
(1608, "Public", "0301778V", "Lycée Jacques Prévert", "30", "Gard", "Occitanie", "Montpellier", "Saint-Christol-lez-Alès", "formation sélective", "BTS", "Lycée Jacques Prévert - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 38, 386, 165, 352, 0, 31, 8, 47, 14, 44, 24, 230, 34, 0, 19, 5, 10, 153, 5, 0, 0, 31, 8, 47, 14, 37, 19, 38, 123, 33, 15, 29, 4, 9.0, 25.0, 31.0, 0, 9, 19, 2, 6, 11, 14, 0, 7, 6, 6, 0, 0.0, 0, 3, 9, 11, 6, 16, 16, 27.27, 75.76, 93.94, 45.5, 84.1875, 84.1875, 57.8984375, 47.3984375, 57.59375, 0.0, 36.796875, 31.59765625, 31.59765625, 0.0, 0.0, 10.5, 0.0, 31.59765625, 15.798828125, 57.8984375, 47.3984375, 16.0, 4.0, 31.0, 16.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 41.0, "4026", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4026&g_ta_cod=4026", 21.0, 39.0, 39.0),
(1609, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Economie", "Licence - Droit-économie-gestion", "", 160, 1361, 541, 1286, 0, 893, 169, 98, 34, 22, 11, 273, 75, 20, 11, 9, 35, 1283, 70, 0, 0, 893, 169, 98, 34, 22, 11, 270, 1115, 150, 36, 116, 34, 42.0, 87.0, 113.0, 0, 29, 98, 76, 14, 8, 52, 1, 57, 22, 13, 5, 0.0, 34, 3, 3, 0, 0, 85, 85, 28.0, 58.0, 75.33, 24.0, 86.6875, 86.6875, 0, 29.59765625, 65.296875, 1.0, 58.1953125, 22.3984375, 13.298828125, 5.1, 0.0, 77.59375, 34.6953125, 14.298828125, 3.099609375, 8.19921875, 3.099609375, 777.0, 149.0, 27.0, 19.0, 232.0, "Tous les candidats", 1258.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "3277", "Licence - Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3277&g_ta_cod=3277", 79.0, 13.0, 8.0),
(1610, "Public", "0210015C", "Lycée Carnot", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "CPGE", "Lycée Carnot - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 587, 414, 556, 327, 489, 43, 3, 0, 1, 0, 63, 31, 16, 0, 0, 15, 501, 14, 264, 494, 476, 41, 0, 0, 0, 0, 25, 438, 75, 55, 73, 2, 28.0, 69.0, 75.0, 7, 5, 70, 70, 0, 0, 5, 0, 3, 11, 37, 17, 2.0, 67, 0, 0, 3, 2, 42, 42, 37.33, 92.0, 100.0, 73.296875, 60.0, 60.0, 4.2998046875, 7.099609375, 93.296875, 0.0, 4.2998046875, 15.69921875, 52.8984375, 24.3, 2.9, 100.0, 95.6875, 0.0, 0.0, 0.0, 0.0, 413.0, 33.0, 0.0, 0.0, 25.0, "Tous les candidats", 501.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "3182", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3182&g_ta_cod=3182", 100.0, 0.0, 0.0),
(1611, "Public", "0061493R", "IFSI CHU Nice", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nice Sophia Antipolis - D.E Infirmier", "D.E secteur sanitaire", "", 88, 5475, 4647, 5475, 0, 1025, 219, 792, 224, 478, 179, 3180, 0, 0, 0, 0, 0, 2818, 0, 0, 0, 762, 133, 421, 101, 161, 53, 1474, 568, 88, 81, 88, 0, 3.0, 38.0, 53.0, 0, 10, 39, 20, 14, 5, 49, 1, 2, 17, 16, 3, 0.0, 19, 12, 5, 0, 0, 36, 36, 3.41, 43.18, 60.23, 92.0, 92.296875, 92.296875, 0, 25.59765625, 44.296875, 2.599609375, 5.099609375, 43.59375, 41.0, 7.7, 0.0, 51.296875, 48.6953125, 35.8984375, 30.796875, 12.798828125, 12.798828125, 183.0, 38.0, 18.0, 10.0, 321.0, "Tous les candidats", 733.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 12.0, "23067", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22984&g_ta_cod=23067", 69.0, 24.0, 6.0),
(1612, "Public", "0912417H", "Université Paris-Saclay, Campus d-Evry", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "Licence", "Université Paris-Saclay, Campus d?Evry - Licence - Double diplôme - Licence Droit, Informatique - Parcours Licence Double-Diplôme Droit, Informatique", "Licence - Droit-économie-gestion", "Parcours Licence Double-Diplôme Droit, Informatique", 25, 532, 182, 204, 0, 118, 23, 29, 11, 2, 1, 55, 328, 105, 37, 14, 172, 39, 42, 0, 0, 29, 3, 0, 0, 0, 0, 10, 79, 24, 6, 6, 18, 3.0, 6.0, 20.0, 0, 2, 16, 16, 0, 0, 8, 0, 7, 5, 2, 2, 0.0, 9, 0, 0, 0, 0, 11, 14, 12.5, 25.0, 83.33, 25.0, 68.796875, 87.5, 0, 12.5, 66.6875, 0.0, 43.796875, 31.296875, 12.5, 12.5, 0.0, 100.0, 56.296875, 0.0, 0.0, 0.0, 0.0, 52.0, 7.0, 0.0, 0.0, 26.0, "Tous les candidats", 38.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "28912", "Licence - Double diplôme - Licence Droit, Informatique - Parcours Licence Double-Diplôme Droit, Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28912&g_ta_cod=28912", 96.0, 4.0, 0.0),
(1613, "Public", "0891200W", "Lycée Catherine et Raymond JANOT", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Sens", "formation sélective", "BTS", "Lycée Catherine et Raymond JANOT - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 9, 75, 17, 61, 0, 2, 0, 10, 1, 16, 9, 33, 14, 2, 4, 5, 3, 31, 8, 0, 0, 2, 0, 10, 1, 15, 8, 4, 34, 8, 0, 5, 3, 2.0, 5.0, 6.0, 0, 4, 8, 0, 1, 7, 0, 0, 2, 5, 1, 0, 0.0, 0, 1, 5, 1, 0, 7, 7, 25.0, 62.5, 75.0, 0.0, 87.5, 87.5, 12.5, 50.0, 100.0, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 0.0, 0.0, 12.5, 12.5, 87.5, 62.5, 3.0, 0.0, 16.0, 9.0, 4.0, "Tous les candidats sauf les Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 48.0, "19750", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19750&g_ta_cod=19750", 0.0, 13.0, 88.0),
(1614, "Public", "0560070X", "Lycée professionnel Emile Zola", "56", "Morbihan", "Bretagne", "Rennes", "Hennebont", "formation sélective", "Autre formation", "Lycée professionnel Emile Zola - Mention complémentaire - Maintenance des installations oléohydrauliques et pneumatiques", "Mention complémentaire", "", 15, 36, 2, 35, 0, 0, 0, 0, 0, 29, 9, 6, 1, 0, 0, 1, 0, 28, 0, 0, 0, 0, 0, 0, 0, 27, 8, 1, 24, 5, 0, 5, 0, 3.0, 5.0, 5.0, 0, 1, 5, 0, 0, 5, 0, 0, 1, 3, 0, 1, 0.0, 0, 0, 4, 0, 0, 2, 2, 60.0, 100.0, 100.0, 0.0, 40.0, 40.0, 0, 20.0, 100.0, 0.0, 20.0, 60.0, 0.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 23.0, 6.0, 1.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "12953", "Mention complémentaire - Maintenance des installations oléohydrauliques et pneumatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12953&g_ta_cod=12953", 0.0, 0.0, 100.0),
(1615, "Public", "0920130S", "Lycée Descartes", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Antony", "formation sélective", "CPGE", "Lycée Descartes - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 36, 291, 129, 223, 0, 178, 19, 1, 0, 0, 0, 44, 68, 38, 1, 0, 29, 190, 15, 0, 190, 174, 17, 0, 0, 0, 0, 16, 182, 19, 10, 17, 2, 8.0, 17.0, 19.0, 0, 0, 19, 19, 0, 0, 0, 1, 3, 13, 1, 1, 0.0, 15, 0, 0, 3, 1, 15, 16, 42.11, 89.47, 100.0, 52.59375, 78.890625, 84.1875, 15.798828125, 0.0, 100.0, 5.2998046875, 15.798828125, 68.390625, 5.2998046875, 5.3, 0.0, 100.0, 78.890625, 0.0, 0.0, 0.0, 0.0, 165.0, 17.0, 0.0, 0.0, 17.0, "Tous les candidats", 188.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "31406", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31406&g_ta_cod=31406", 100.0, 0.0, 0.0),
(1616, "Public", "0931806H", "IFSI CH de Saint-Denis", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "IFSI", "Regroupement d'IFSI Université Paris Nord - D.E Infirmier", "D.E secteur sanitaire", "", 85, 5240, 4698, 5240, 0, 513, 229, 1013, 530, 766, 452, 2948, 0, 0, 0, 0, 0, 4483, 0, 0, 0, 510, 226, 926, 487, 604, 362, 2443, 774, 84, 77, 84, 0, 4.0, 43.0, 69.0, 0, 17, 39, 16, 21, 2, 45, 0, 9, 18, 11, 1, 0.0, 11, 17, 2, 0, 0, 22, 35, 4.76, 51.19, 82.14, 91.6875, 56.3984375, 89.6875, 0, 43.59375, 46.3984375, 0.0, 23.09765625, 46.1953125, 28.19921875, 2.6, 0.0, 41.0, 28.19921875, 53.796875, 43.59375, 5.099609375, 5.099609375, 194.0, 89.0, 16.0, 5.0, 381.0, "Tous les candidats", 1569.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "23050", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23010&g_ta_cod=23050", 54.0, 36.0, 7.0),
(1617, "Public", "0573434Y", "IUT de Moselle Est - Site de Saint-avold - Université de Lorraine", "57", "Moselle", "Grand Est", "Nancy-Metz", "Saint-Avold", "formation sélective", "BUT", "IUT de Moselle Est - Site de Saint-avold - Université de Lorraine - BUT - Chimie Parcours : Analyse, contrôle qualité, environnement - Matériaux et produits formulés", "BUT - Production", "Analyse, contrôle qualité, environnement - Matériaux et produits formulés", 60, 623, 334, 558, 0, 345, 53, 80, 25, 3, 3, 130, 65, 19, 3, 0, 43, 516, 27, 0, 0, 344, 53, 71, 20, 0, 0, 101, 460, 48, 26, 46, 2, 22.0, 46.0, 47.0, 0, 9, 44, 35, 9, 0, 4, 0, 15, 19, 9, 1, 0.0, 22, 7, 0, 0, 0, 38, 38, 45.83, 95.83, 97.92, 54.1953125, 86.390625, 86.390625, 0, 20.5, 91.6875, 0.0, 34.09375, 43.1953125, 20.5, 2.3, 0.0, 79.5, 50.0, 20.5, 15.8984375, 0.0, 0.0, 316.0, 47.0, 0.0, 0.0, 83.0, "Tous les candidats sauf les Bac technologiques", 432.0, "Bacheliers technologiques toutes séries", 84, "", 0, "Liste d'appel propre à cette formation", 92.0, "22593", "BUT - Chimie Parcours : Analyse, contrôle qualité, environnement - Matériaux et produits formulés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22593&g_ta_cod=22593", 79.0, 21.0, 0.0),
(1618, "Public", "0383121L", "I.U.T. 2 de Grenoble - site de Vienne", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vienne", "formation sélective", "BUT", "I.U.T. 2 de Grenoble - site de Vienne - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière _ Gestion, entrepreneuriat et management d'activités", "BUT - Service", "Gestion comptable, fiscale et financière _ Gestion, entrepreneuriat et management d'activités", 80, 1855, 847, 1747, 0, 995, 153, 479, 131, 20, 7, 253, 108, 10, 47, 3, 48, 1193, 22, 0, 0, 790, 101, 316, 75, 2, 0, 85, 629, 67, 31, 61, 6, 4.0, 34.0, 56.0, 0, 8, 56, 38, 17, 1, 11, 0, 13, 37, 5, 1, 0.0, 26, 16, 1, 0, 0, 42, 42, 5.97, 50.75, 83.58, 46.296875, 75.0, 75.0, 0, 14.298828125, 83.59375, 0.0, 23.19921875, 66.09375, 8.8984375, 1.8, 0.0, 67.890625, 46.3984375, 30.3984375, 28.59765625, 1.7998046875, 1.7998046875, 382.0, 54.0, 2.0, 0.0, 60.0, "Tous les candidats sauf les Bac technologiques", 788.0, "Bacheliers technologiques toutes séries", 325, "", 0, "Liste d'appel propre à cette formation", 64.0, "5137", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière _ Gestion, entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5137&g_ta_cod=5137", 72.0, 27.0, 1.0),
(1619, "Privé sous contrat d'association", "0772153X", "Lycée JEAN ROSE", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "BTS", "Lycée JEAN ROSE - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 220, 87, 126, 0, 23, 3, 53, 10, 23, 5, 27, 94, 11, 42, 0, 41, 79, 11, 0, 0, 13, 2, 41, 9, 12, 1, 13, 76, 21, 10, 17, 4, 9.0, 17.0, 21.0, 0, 2, 15, 4, 7, 4, 6, 0, 6, 6, 3, 0, 0.0, 2, 5, 2, 8, 2, 14, 14, 42.86, 80.95, 100.0, 47.59375, 93.296875, 93.296875, 53.296875, 13.298828125, 71.390625, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 26.69921875, 13.298828125, 46.6953125, 33.296875, 26.69921875, 13.298828125, 13.0, 2.0, 11.0, 1.0, 17.0, "Tous les candidats sauf les Bac professionnels", 65.0, "Bacheliers professionnels toutes séries", 13, "", 0, "Liste d'appel propre à cette formation", 62.0, "9867", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9867&g_ta_cod=9867", 33.0, 43.0, 24.0),
(1620, "Public", "0940137N", "Lycée professionnel La Source", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Nogent-sur-Marne", "formation sélective", "Autre formation", "Lycée professionnel La Source - DN MADE - Matériaux - - Spécialité : Créateur textile broderie", "DN MADE", "- Spécialité : Créateur textile broderie", 8, 201, 179, 201, 0, 39, 4, 71, 13, 32, 8, 59, 0, 0, 0, 0, 0, 80, 0, 0, 0, 10, 0, 49, 10, 13, 2, 8, 42, 8, 7, 8, 0, 0.0, 7.0, 8.0, 0, 0, 7, 0, 7, 0, 1, 0, 0, 3, 3, 1, 0.0, 0, 7, 0, 0, 0, 1, 2, 0.0, 87.5, 100.0, 87.5, 14.298828125, 28.59765625, 0, 0.0, 87.5, 0.0, 0.0, 42.8984375, 42.8984375, 14.3, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 6.0, 0.0, 5.0, 1.0, 6.0, "Tous les candidats", 72.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "21919", "DN MADE - Matériaux - - Spécialité : Créateur textile broderie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21919&g_ta_cod=21919", 0.0, 88.0, 0.0),
(1621, "Privé enseignement supérieur", "0641848L", "KEDGE BUSINESS SCHOOL - Site de Bayonne", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "Ecole de Commerce", "Banque ECRICOME - Formation des écoles de commerce et de management Bac + 3 - Bachelor Affaires internationales", "Formation des écoles de commerce et de management", "KEDGE Bachelor", 90, 816, 346, 792, 0, 592, 41, 81, 8, 4, 0, 115, 24, 8, 3, 0, 13, 571, 15, 0, 0, 447, 23, 55, 4, 3, 0, 66, 572, 83, 30, 74, 9, 66.0, 74.0, 81.0, 0, 5, 69, 53, 14, 2, 14, 0, 30, 34, 5, 0, 0.0, 32, 5, 2, 0, 0, 55, 55, 79.52, 89.16, 97.59, 36.09375, 79.6875, 79.6875, 0, 7.19921875, 83.09375, 0.0, 43.5, 49.296875, 7.19921875, 0.0, 0.0, 76.796875, 46.3984375, 20.296875, 7.19921875, 2.89990234375, 2.89990234375, 445.0, 23.0, 3.0, 0.0, 71.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "26272", "Formation des écoles de commerce et de management Bac + 3 - Bachelor Affaires internationales", "Banque ECRICOME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26268&g_ta_cod=26272", 77.0, 20.0, 2.0),
(1622, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "PASS", "Université des Antilles - Pôle Guadeloupe - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 40, 499, 307, 499, 0, 403, 99, 41, 25, 5, 3, 50, 0, 0, 0, 0, 0, 496, 0, 0, 0, 403, 99, 41, 25, 5, 3, 47, 183, 46, 27, 46, 0, 4.0, 46.0, 46.0, 0, 16, 46, 43, 3, 0, 0, 0, 6, 19, 16, 5, 0.0, 37, 3, 0, 0, 0, 40, 40, 8.7, 100.0, 100.0, 58.6953125, 87.0, 87.0, 0, 34.796875, 100.0, 0.0, 13.0, 41.296875, 34.796875, 10.9, 0.0, 93.5, 80.390625, 6.5, 6.5, 0.0, 0.0, 171.0, 38.0, 0.0, 0.0, 4.0, "Tous les candidats", 775.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 50.0, "27429", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27424&g_ta_cod=27429", 93.0, 7.0, 0.0),
(1623, "Public", "0680008P", "Lycée Camille See", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "Autre formation", "Lycée Camille See - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 7, 2, 0, 0, 0.0, 0.0, 0.0, 0, 3, 7, 0, 4, 3, 0, 0, 7, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 6, 6, 0.0, 0.0, 0.0, 28.59765625, 85.6875, 85.6875, 0, 42.8984375, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 57.09375, 0.0, 42.8984375, 0.0, 0.0, 0.0, 7.0, 4.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22564", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 57.0, 43.0),
(1624, "Public", "0840110N", "Lycée agricole François Pétrarque", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée agricole François Pétrarque - BTS - Agricole - Production horticole", "BTS - Agricole", "", 16, 135, 47, 123, 0, 14, 4, 15, 3, 17, 4, 77, 12, 0, 1, 6, 5, 67, 7, 0, 0, 14, 4, 15, 3, 17, 4, 21, 56, 12, 6, 9, 3, 5.0, 9.0, 12.0, 0, 3, 8, 4, 1, 3, 4, 0, 5, 2, 1, 0, 0.0, 1, 1, 1, 0, 0, 5, 5, 41.67, 75.0, 100.0, 50.0, 62.5, 62.5, 0, 37.5, 66.6875, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 50.0, 12.5, 12.5, 12.5, 37.5, 12.5, 12.0, 3.0, 16.0, 5.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 52.0, "10437", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10437&g_ta_cod=10437", 33.0, 33.0, 33.0),
(1625, "Privé sous contrat d'association", "9720070U", "Lycée de l'Union", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée de l'Union - BTS - Services - Tourisme", "BTS - Services", "", 32, 134, 98, 113, 0, 39, 11, 20, 6, 26, 11, 28, 21, 3, 0, 6, 12, 73, 17, 0, 0, 27, 10, 20, 6, 15, 7, 11, 82, 17, 13, 14, 3, 6.0, 14.0, 16.0, 0, 3, 11, 5, 2, 4, 6, 0, 7, 3, 1, 0, 0.0, 2, 0, 2, 0, 0, 11, 11, 35.29, 82.35, 94.12, 76.5, 100.0, 100.0, 0, 27.296875, 64.6875, 0.0, 63.59375, 27.296875, 9.099609375, 0.0, 0.0, 45.5, 18.19921875, 18.19921875, 0.0, 36.3984375, 18.19921875, 23.0, 8.0, 19.0, 10.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 64.0, "20323", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20323&g_ta_cod=20323", 53.0, 18.0, 29.0),
(1626, "Public", "0620161N", "Lycée Alexandre Ribot", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Omer", "formation sélective", "BTS", "Lycée Alexandre Ribot - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 248, 155, 214, 0, 19, 11, 101, 39, 50, 23, 44, 34, 2, 8, 9, 15, 172, 8, 0, 0, 17, 10, 92, 37, 45, 19, 18, 117, 25, 13, 20, 5, 6.0, 18.0, 21.0, 0, 11, 21, 1, 14, 6, 4, 0, 12, 6, 2, 1, 0.0, 0, 6, 3, 11, 1, 20, 20, 24.0, 72.0, 84.0, 52.0, 95.1875, 95.1875, 52.3984375, 52.3984375, 84.0, 0.0, 57.09375, 28.59765625, 9.5, 4.8, 0.0, 4.7998046875, 0.0, 66.6875, 28.59765625, 28.59765625, 14.298828125, 11.0, 5.0, 42.0, 19.0, 14.0, "Tous les candidats sauf les Bac professionnels", 122.0, "Bacheliers professionnels toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 80.0, "7390", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7390&g_ta_cod=7390", 8.0, 64.0, 28.0),
(1627, "Public", "0301687W", "Université de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "Autre formation", "Université de Nîmes - Formation Supérieure de Spécialisation - Accompagnement à la reprise d'entreprises", "Diplôme d'Université", "Accompagnement à la reprise d'entreprises", 20, 31, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 31, 3, 2, 4, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34924", "Formation Supérieure de Spécialisation - Accompagnement à la reprise d'entreprises", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34924&g_ta_cod=34924", 0, 0, 0),
(1628, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Portail Mathématiques et applications - Informatique et applications - Campus Saint-Germain-des-Prés", "Licence - Sciences - technologies - santé", "Portail Mathématiques et applications - Informatique et applications - Campus Saint-Germain-des-Prés", 200, 3134, 684, 3134, 0, 2312, 455, 68, 27, 4, 3, 750, 0, 0, 0, 0, 0, 3134, 0, 0, 0, 2312, 455, 68, 27, 4, 3, 750, 1277, 199, 41, 198, 0, 11.0, 121.0, 174.0, 0, 49, 161, 161, 0, 0, 38, 0, 40, 76, 36, 8, 1.0, 121, 0, 0, 0, 0, 50, 143, 5.53, 60.8, 87.44, 20.59765625, 31.09765625, 88.796875, 0, 30.3984375, 80.890625, 0.0, 24.796875, 47.1953125, 22.3984375, 5.0, 0.6, 100.0, 75.1875, 0.0, 0.0, 0.0, 0.0, 1093.0, 210.0, 0.0, 0.0, 184.0, "Tous les candidats", 1647.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "9321", "Licence - Portail Portail Mathématiques et applications - Informatique et applications - Campus Saint-Germain-des-Prés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9321&g_ta_cod=9321", 100.0, 0.0, 0.0),
(1629, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Lettres - Parcours Lettres, Langues, Traduction", "Licence - Arts-lettres-langues", "Lettres, Langues, Traduction", 60, 227, 181, 172, 0, 110, 48, 9, 7, 10, 3, 43, 55, 3, 5, 7, 40, 172, 54, 0, 0, 110, 48, 9, 7, 10, 3, 43, 210, 27, 18, 13, 14, 2.0, 12.0, 21.0, 0, 3, 7, 3, 1, 3, 20, 0, 3, 3, 0, 1, 0.0, 2, 0, 2, 0, 0, 5, 5, 7.41, 44.44, 77.78, 66.6875, 71.390625, 71.390625, 0, 42.8984375, 25.8984375, 0.0, 42.8984375, 42.8984375, 0.0, 14.3, 0.0, 42.8984375, 28.59765625, 14.298828125, 0.0, 42.8984375, 28.59765625, 104.0, 43.0, 16.0, 8.0, 78.0, "Tous les candidats", 172.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26418", "Licence - Lettres - Parcours Lettres, Langues, Traduction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26418&g_ta_cod=26418", 52.0, 19.0, 15.0),
(1630, "Privé sous contrat d'association", "0442085C", "Ecole de Design Nantes Atlantique", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Ecole de Design Nantes Atlantique - DN MADE - Numérique - - Spécialité : Design d'interfaces et médias numériques", "DN MADE", "- Spécialité : Design d'interfaces et médias numériques", 30, 169, 83, 166, 0, 95, 13, 25, 0, 12, 3, 34, 3, 0, 0, 0, 3, 165, 3, 0, 0, 95, 13, 25, 0, 11, 3, 34, 96, 25, 14, 24, 1, 9.0, 21.0, 22.0, 0, 1, 17, 9, 6, 2, 8, 0, 4, 8, 4, 1, 0.0, 6, 5, 2, 0, 0, 8, 8, 36.0, 84.0, 88.0, 56.0, 47.09375, 47.09375, 0, 5.8994140625, 68.0, 0.0, 23.5, 47.09375, 23.5, 5.9, 0.0, 52.8984375, 35.296875, 35.296875, 29.3984375, 11.798828125, 11.798828125, 45.0, 7.0, 6.0, 2.0, 27.0, "Tous les candidats", 118.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "24328", "DN MADE - Numérique - - Spécialité : Design d'interfaces et médias numériques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24328&g_ta_cod=24328", 56.0, 24.0, 20.0),
(1631, "Public", "0770945J", "Lycée professionnel Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Varennes-sur-Seine", "formation sélective", "Autre formation", "Lycée professionnel Gustave Eiffel - Mention complémentaire - Technicien ascensoriste, service et modernisation", "Mention complémentaire", "", 12, 71, 2, 55, 0, 0, 0, 1, 1, 50, 23, 4, 16, 0, 0, 9, 7, 34, 5, 0, 0, 0, 0, 1, 1, 32, 15, 1, 32, 9, 0, 8, 0, 5.0, 8.0, 9.0, 0, 3, 8, 0, 0, 8, 1, 0, 5, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 8, 8, 55.56, 88.89, 100.0, 0.0, 100.0, 100.0, 0, 37.5, 88.890625, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 37.5, 0.0, 0.0, 29.0, 12.0, 3.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "14219", "Mention complémentaire - Technicien ascensoriste, service et modernisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14219&g_ta_cod=14219", 11.0, 0.0, 89.0),
(1632, "Public", "0350022J", "Lycée Beaumont", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Redon", "formation sélective", "BTS", "Lycée Beaumont - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 152, 8, 152, 0, 16, 2, 75, 6, 41, 13, 20, 0, 0, 0, 0, 0, 141, 0, 0, 0, 16, 2, 75, 6, 40, 12, 10, 83, 15, 1, 15, 0, 7.0, 14.0, 15.0, 0, 6, 15, 0, 5, 10, 0, 0, 6, 7, 2, 0, 0.0, 0, 1, 8, 2, 0, 13, 13, 46.67, 93.33, 100.0, 6.69921875, 86.6875, 86.6875, 13.298828125, 40.0, 100.0, 0.0, 40.0, 46.6953125, 13.298828125, 0.0, 0.0, 0.0, 0.0, 33.296875, 6.69921875, 66.6875, 53.296875, 6.0, 1.0, 31.0, 9.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 88.0, "4625", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4625&g_ta_cod=4625", 0.0, 33.0, 67.0),
(1633, "Public", "0312686B", "Lycée Saint-Exupéry", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Blagnac", "formation sélective", "BTS", "Lycée Saint-Exupéry - BTS - Production - Aéronautique", "BTS - Production", "", 24, 1499, 159, 1499, 0, 355, 48, 418, 87, 315, 90, 411, 0, 0, 0, 0, 0, 613, 0, 0, 0, 107, 13, 266, 53, 149, 35, 91, 133, 26, 2, 26, 0, 4.0, 16.0, 19.0, 0, 3, 21, 0, 14, 7, 5, 0, 0, 6, 11, 4, 0.0, 0, 14, 7, 6, 0, 8, 8, 15.38, 61.54, 73.08, 7.69921875, 38.09375, 38.09375, 28.59765625, 14.298828125, 80.796875, 0.0, 0.0, 28.59765625, 52.3984375, 19.0, 0.0, 0.0, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 25.0, 2.0, 22.0, 5.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 95.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 144, "Liste d'appel propre à cette formation", 18.0, "4237", "BTS - Production - Aéronautique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4237&g_ta_cod=4237", 12.0, 62.0, 27.0),
(1634, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Théologie Catholique - Parcours Théologie Catholique - Enseignement à Distance", "Licence - Sciences humaines et sociales", "Théologie Catholique - Enseignement à Distance", 100, 210, 126, 85, 0, 7, 1, 0, 0, 4, 1, 74, 125, 2, 0, 0, 123, 85, 93, 0, 0, 7, 1, 0, 0, 4, 1, 74, 178, 100, 57, 30, 70, 29.0, 29.0, 64.0, 0, 0, 1, 1, 0, 0, 99, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 29.0, 29.0, 64.0, 57.0, 100.0, 100.0, 0, 0.0, 1.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 9.0, 1.0, 4.0, 1.0, 165.0, "Tous les candidats", 84.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "15960", "Licence - Théologie Catholique - Parcours Théologie Catholique - Enseignement à Distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15960&g_ta_cod=15960", 81.0, 5.0, 5.0),
(1635, "Public", "0950666H", "Lycée Georges Braque", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "Autre formation", "Lycée Georges Braque - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 60, 21, 6, 0, 0, 0.0, 0.0, 0.0, 0, 13, 21, 0, 10, 11, 0, 0, 20, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 21, 21, 0.0, 0.0, 0.0, 28.59765625, 100.0, 100.0, 0, 61.8984375, 100.0, 0.0, 95.1875, 4.7998046875, 0.0, 0.0, 0.0, 0.0, 0.0, 47.59375, 0.0, 52.3984375, 4.7998046875, 0.0, 0.0, 21.0, 10.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25691", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 48.0, 52.0),
(1636, "Privé hors contrat", "0512070Y", "ECOLE TECHNIQUE PRIVEE PASTEUR", "51", "Marne", "Grand Est", "Reims", "Bétheny", "formation sélective", "BTS", "ECOLE TECHNIQUE PRIVEE PASTEUR - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 48, 215, 133, 184, 0, 45, 4, 47, 13, 9, 1, 83, 31, 9, 5, 0, 17, 119, 13, 0, 0, 43, 4, 12, 2, 2, 0, 62, 119, 7, 3, 7, 0, 1.0, 6.0, 7.0, 0, 0, 3, 2, 1, 0, 4, 0, 2, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 1, 1, 14.29, 85.71, 100.0, 42.8984375, 33.296875, 33.296875, 0, 0.0, 42.8984375, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 0.0, 33.296875, 33.296875, 0.0, 0.0, 44.0, 4.0, 0.0, 0.0, 65.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 100.0, "Bacheliers technologiques toutes séries", 16, "Bacheliers professionnels toutes séries", 1, "Liste d'appel propre à cette formation", 64.0, "23938", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23938&g_ta_cod=23938", 71.0, 29.0, 0.0),
(1637, "Privé sous contrat d'association", "0312408Z", "Lycée Saliège", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Balma", "formation sélective", "CPGE", "Lycée Saliège - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 497, 226, 497, 340, 432, 30, 0, 0, 0, 0, 65, 0, 0, 0, 0, 0, 488, 0, 340, 417, 426, 30, 0, 0, 0, 0, 62, 188, 22, 15, 22, 0, 2.0, 13.0, 22.0, 17, 3, 19, 19, 0, 0, 3, 0, 0, 6, 13, 0, 0.0, 19, 0, 0, 0, 0, 11, 11, 9.09, 59.09, 100.0, 68.1875, 57.8984375, 57.8984375, 0, 15.798828125, 86.390625, 0.0, 0.0, 31.59765625, 68.390625, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 169.0, 11.0, 0.0, 0.0, 19.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "31877", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31874&g_ta_cod=31877", 100.0, 0.0, 0.0),
(1638, "Public", "0590064Z", "Lycée Jean-Baptiste Corot", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "BTS", "Lycée Jean-Baptiste Corot - BTS - Services - Commerce International", "BTS - Services", "", 35, 622, 307, 622, 0, 131, 34, 106, 53, 44, 24, 341, 0, 0, 0, 0, 0, 471, 0, 0, 0, 128, 34, 106, 53, 44, 24, 193, 163, 33, 15, 33, 0, 0.0, 26.0, 29.0, 0, 11, 24, 14, 6, 4, 9, 0, 12, 10, 2, 0, 0.0, 3, 5, 4, 5, 2, 23, 23, 0.0, 78.79, 87.88, 45.5, 95.796875, 95.796875, 20.796875, 45.796875, 72.6875, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 58.296875, 12.5, 25.0, 20.796875, 16.69921875, 16.69921875, 100.0, 28.0, 16.0, 10.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 150.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 36.0, "6740", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6740&g_ta_cod=6740", 70.0, 18.0, 12.0),
(1639, "Public", "0421574H", "IFSI St Chamond", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Chamond", "formation sélective", "IFSI", "Regroupement d'IFSI Université St Etienne - D.E Infirmier", "D.E secteur sanitaire", "", 70, 3599, 3018, 3599, 0, 621, 134, 738, 208, 295, 123, 1945, 0, 0, 0, 0, 0, 2282, 0, 0, 0, 488, 85, 533, 121, 171, 58, 1090, 606, 78, 71, 78, 0, 2.0, 42.0, 62.0, 0, 19, 40, 8, 17, 15, 38, 0, 6, 23, 10, 1, 0.0, 7, 12, 15, 0, 0, 33, 33, 2.56, 53.85, 79.49, 91.0, 82.5, 82.5, 0, 47.5, 51.296875, 0.0, 15.0, 57.5, 25.0, 2.5, 0.0, 20.0, 17.5, 42.5, 30.0, 37.5, 37.5, 130.0, 21.0, 47.0, 21.0, 247.0, "Tous les candidats", 1241.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "23233", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22993&g_ta_cod=23233", 29.0, 47.0, 22.0),
(1640, "Public", "0782076H", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "Licence_Las", "Université de Versailles - Saint Quentin en Yvelines - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 40, 664, 514, 664, 0, 401, 71, 28, 10, 8, 2, 227, 0, 0, 0, 0, 0, 664, 0, 0, 0, 401, 71, 28, 10, 8, 2, 227, 265, 37, 31, 36, 0, 0.0, 15.0, 28.0, 0, 9, 26, 25, 1, 0, 11, 0, 11, 11, 4, 0, 0.0, 14, 1, 0, 0, 0, 21, 25, 0.0, 40.54, 75.68, 83.796875, 80.796875, 96.1875, 0, 34.59375, 70.296875, 0.0, 42.296875, 42.296875, 15.3984375, 0.0, 0.0, 96.1875, 53.796875, 3.7998046875, 3.7998046875, 0.0, 0.0, 190.0, 36.0, 0.0, 0.0, 73.0, "Tous les candidats", 1557.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 50.0, "29020", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29019&g_ta_cod=29020", 97.0, 3.0, 0.0),
(1641, "Privé sous contrat d'association", "0690520R", "Lycée La Favorite Sainte Therese", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "BTS", "Lycée La Favorite Sainte Therese - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 26, 443, 184, 352, 0, 50, 11, 107, 30, 50, 25, 145, 91, 4, 37, 15, 35, 193, 27, 0, 0, 45, 10, 64, 17, 32, 13, 52, 171, 22, 9, 16, 6, 2.0, 13.0, 17.0, 0, 6, 12, 4, 5, 3, 10, 0, 10, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 5, 5, 9.09, 59.09, 77.27, 40.8984375, 41.6953125, 41.6953125, 0, 50.0, 54.5, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 33.296875, 0.0, 41.6953125, 8.298828125, 25.0, 8.298828125, 45.0, 10.0, 27.0, 12.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 53.0, "8285", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8285&g_ta_cod=8285", 50.0, 32.0, 18.0),
(1642, "Privé sous contrat d'association", "9720063L", "Lycée St Joseph De Cluny", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée St Joseph De Cluny - BTS - Services - Support à l'action managériale", "BTS - Services", "", 30, 106, 51, 83, 0, 15, 7, 41, 16, 11, 5, 16, 23, 3, 4, 7, 9, 56, 14, 0, 0, 13, 6, 37, 15, 4, 0, 2, 62, 16, 8, 11, 5, 7.0, 11.0, 15.0, 0, 5, 14, 1, 10, 3, 2, 0, 7, 5, 2, 0, 0.0, 1, 3, 3, 0, 0, 12, 12, 43.75, 68.75, 93.75, 50.0, 85.6875, 85.6875, 0, 35.6953125, 87.5, 0.0, 50.0, 35.6953125, 14.298828125, 0.0, 0.0, 7.099609375, 7.099609375, 71.390625, 21.3984375, 21.3984375, 21.3984375, 14.0, 6.0, 8.0, 4.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 66.0, "22222", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22222&g_ta_cod=22222", 13.0, 69.0, 19.0),
(1643, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Arts plastiques", "Licence - Arts-lettres-langues", "", 238, 2019, 1590, 2019, 0, 1192, 328, 216, 61, 142, 66, 469, 0, 0, 0, 0, 0, 2019, 0, 0, 0, 1192, 328, 216, 61, 142, 66, 469, 849, 237, 180, 237, 0, 128.0, 226.0, 226.0, 0, 70, 195, 144, 23, 28, 42, 3, 87, 84, 18, 3, 0.0, 82, 11, 12, 0, 0, 127, 127, 54.01, 95.36, 95.36, 75.890625, 65.09375, 65.09375, 0, 35.8984375, 82.296875, 1.5, 44.59375, 43.09375, 9.19921875, 1.5, 0.0, 73.796875, 42.09375, 11.798828125, 5.599609375, 14.3984375, 6.19921875, 556.0, 152.0, 79.0, 42.0, 99.0, "Tous les candidats", 1000.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "4588", "Licence - Arts plastiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4588&g_ta_cod=4588", 71.0, 13.0, 15.0),
(1644, "Public", "0920170K", "Lycée professionnel Florian", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "BTS", "Lycée professionnel Florian - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 18, 550, 529, 550, 0, 64, 13, 123, 42, 179, 83, 184, 0, 0, 0, 0, 0, 468, 0, 0, 0, 62, 13, 114, 35, 144, 61, 148, 75, 18, 18, 18, 0, 5.0, 10.0, 16.0, 0, 6, 16, 2, 4, 10, 2, 0, 4, 9, 3, 0, 0.0, 2, 1, 9, 6, 6, 10, 16, 27.78, 55.56, 88.89, 100.0, 62.5, 100.0, 37.5, 37.5, 88.890625, 0.0, 25.0, 56.296875, 18.796875, 0.0, 0.0, 12.5, 12.5, 25.0, 6.2998046875, 62.5, 56.296875, 17.0, 5.0, 26.0, 12.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 19.0, "19764", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19764&g_ta_cod=19764", 17.0, 28.0, 56.0),
(1645, "Public", "0211139Z", "I.U.T de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BUT", "I.U.T de Dijon - BUT - Génie mécanique et productique Parcours : Innovation pour l'industrie IPI - Management de process industriel MPI - Simulation numérique et réalité virtuelle SINREV", "BUT - Production", "Innovation pour l'industrie IPI - Management de process industriel MPI - Simulation numérique et réalité virtuelle SINREV", 78, 1091, 84, 1091, 0, 621, 60, 290, 50, 10, 3, 170, 0, 0, 0, 0, 0, 984, 0, 0, 0, 587, 54, 265, 44, 3, 0, 129, 496, 73, 3, 73, 0, 54.0, 61.0, 69.0, 0, 11, 67, 30, 37, 0, 6, 0, 13, 40, 13, 1, 0.0, 26, 28, 0, 0, 0, 48, 48, 73.97, 83.56, 94.52, 4.099609375, 71.59375, 71.59375, 0, 16.3984375, 91.796875, 0.0, 19.3984375, 59.6953125, 19.3984375, 1.5, 0.0, 44.796875, 38.796875, 55.1953125, 41.796875, 0.0, 0.0, 235.0, 35.0, 0.0, 0.0, 69.0, "Tous les candidats sauf les Bac technologiques", 427.0, "Bacheliers technologiques toutes séries", 203, "", 0, "Liste d'appel propre à cette formation", 58.0, "3235", "BUT - Génie mécanique et productique Parcours : Innovation pour l'industrie IPI - Management de process industriel MPI - Simulation numérique et réalité virtuelle SINREV", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3235&g_ta_cod=3235", 49.0, 51.0, 0.0),
(1646, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Langues : Allemand - scandinave", "Licence - Arts-lettres-langues", "Langues : Allemand - scandinave", 15, 57, 37, 17, 0, 6, 1, 0, 0, 2, 2, 9, 40, 2, 3, 5, 30, 17, 37, 0, 0, 6, 1, 0, 0, 2, 2, 9, 54, 8, 3, 1, 7, 1.0, 1.0, 5.0, 0, 0, 1, 1, 0, 0, 7, 0, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 12.5, 12.5, 62.5, 37.5, 100.0, 100.0, 0, 0.0, 12.5, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 7.0, 1.0, 7.0, 6.0, 37.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19368", "Licence - Portail Langues : Allemand - scandinave", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19368&g_ta_cod=19368", 75.0, 25.0, 0.0),
(1647, "Public", "0134248X", "Aix-Marseille Université - Site de Marseille Timone", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation sélective", "Autre formation", "Regroupement Occitanie (Est) et PACA - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 38, 2002, 1933, 2002, 0, 581, 100, 53, 15, 2, 1, 1366, 0, 0, 0, 0, 0, 302, 0, 0, 0, 134, 12, 3, 0, 0, 0, 165, 113, 38, 38, 38, 0, 5.0, 35.0, 38.0, 0, 2, 12, 11, 1, 0, 26, 0, 0, 0, 8, 4, 0.0, 11, 1, 0, 0, 0, 4, 4, 13.16, 92.11, 100.0, 100.0, 33.296875, 33.296875, 0, 16.69921875, 31.59765625, 0.0, 0.0, 0.0, 66.6875, 33.3, 0.0, 91.6875, 91.6875, 8.298828125, 8.298828125, 0.0, 0.0, 44.0, 8.0, 0.0, 0.0, 68.0, "Tous les candidats", 170.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 7.0, "28054", "Certificat de capacité d'Orthophoniste", "Regroupement Occitanie (Est) et PACA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28053&g_ta_cod=28054", 95.0, 5.0, 0.0),
(1648, "Public", "0290007A", "Lycée La Pérouse - Kerichen", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "CPGE", "Lycée La Pérouse - Kerichen - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 603, 409, 603, 329, 468, 58, 1, 0, 2, 1, 132, 0, 0, 0, 0, 0, 454, 0, 275, 440, 433, 56, 0, 0, 0, 0, 21, 360, 80, 52, 80, 0, 42.0, 69.0, 80.0, 15, 10, 79, 79, 0, 0, 1, 0, 1, 17, 39, 22, 0.0, 78, 0, 0, 3, 0, 72, 72, 52.5, 86.25, 100.0, 65.0, 91.09375, 91.09375, 3.7998046875, 12.69921875, 98.796875, 0.0, 1.2998046875, 21.5, 49.3984375, 27.8, 0.0, 100.0, 98.6875, 0.0, 0.0, 0.0, 0.0, 343.0, 37.0, 0.0, 0.0, 17.0, "Tous les candidats", 453.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "3762", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3762&g_ta_cod=3762", 100.0, 0.0, 0.0),
(1649, "Public", "9730186P", "IUT de Kourou", "973", "Guyane", "Guyane", "Guyane", "Kourou", "formation sélective", "BUT", "IUT de Kourou - BUT - Génie électrique et informatique industrielle Parcours : Automatisme & Informatique Industrielle - Électricité et Maitrise de l?Énergie", "BUT - Production", "Automatisme & Informatique Industrielle - Électricité et Maitrise de l?Énergie", 24, 137, 16, 124, 0, 46, 20, 50, 21, 17, 12, 11, 13, 3, 4, 3, 3, 58, 1, 0, 0, 28, 12, 27, 10, 1, 1, 2, 45, 20, 4, 20, 0, 12.0, 20.0, 20.0, 0, 7, 20, 11, 9, 0, 0, 1, 7, 8, 4, 0, 0.0, 6, 6, 0, 0, 0, 18, 18, 60.0, 100.0, 100.0, 20.0, 90.0, 90.0, 0, 35.0, 100.0, 5.0, 35.0, 40.0, 20.0, 0.0, 0.0, 55.0, 30.0, 45.0, 30.0, 0.0, 0.0, 23.0, 11.0, 0.0, 0.0, 2.0, "Tous les candidats sauf les Bac technologiques", 27.0, "Bacheliers technologiques toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 45.0, "11857", "BUT - Génie électrique et informatique industrielle Parcours : Automatisme & Informatique Industrielle - Électricité et Maitrise de l?Énergie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11857&g_ta_cod=11857", 55.0, 45.0, 0.0),
(1650, "Public", "0491966W", "Lycée général et technologique Henri Bergson", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "CPGE", "Lycée général et technologique Henri Bergson - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 420, 286, 407, 251, 350, 45, 3, 0, 0, 0, 54, 13, 5, 0, 0, 8, 330, 7, 156, 308, 314, 44, 3, 0, 0, 0, 13, 252, 35, 21, 34, 1, 14.0, 32.0, 35.0, 9, 5, 34, 34, 0, 0, 1, 0, 0, 9, 16, 9, 0.0, 34, 0, 0, 4, 2, 26, 26, 40.0, 91.43, 100.0, 60.0, 76.5, 76.5, 11.798828125, 14.69921875, 97.09375, 0.0, 0.0, 26.5, 47.09375, 26.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 241.0, 31.0, 0.0, 0.0, 10.0, "Tous les candidats", 312.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "5956", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5956&g_ta_cod=5956", 100.0, 0.0, 0.0),
(1651, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation non sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Langues étrangères appliquées - Parcours Langues Étrangères Appliquées Anglais Espagnol", "Licence - Arts-lettres-langues", "Langues Étrangères Appliquées Anglais Espagnol", 188, 1242, 936, 1242, 0, 707, 193, 159, 66, 44, 23, 332, 0, 0, 0, 0, 0, 1234, 0, 0, 0, 707, 193, 159, 66, 44, 23, 324, 743, 187, 136, 184, 0, 23.0, 151.0, 164.0, 0, 43, 140, 112, 19, 9, 47, 0, 58, 64, 15, 3, 0.0, 68, 9, 5, 0, 0, 125, 131, 12.3, 80.75, 87.7, 72.6875, 89.296875, 93.59375, 0, 30.69921875, 74.890625, 0.0, 41.3984375, 45.6953125, 10.69921875, 2.1, 0.0, 80.0, 48.59375, 13.599609375, 6.3994140625, 6.3994140625, 3.599609375, 483.0, 125.0, 21.0, 11.0, 155.0, "Tous les candidats", 854.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "11644", "Licence - Langues étrangères appliquées - Parcours Langues Étrangères Appliquées Anglais Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11644&g_ta_cod=11644", 80.0, 15.0, 5.0),
(1652, "Privé sous contrat d'association", "0030925P", "MFREO d'Escurolles", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Escurolles", "formation sélective", "BTS", "MFREO d'Escurolles - BTS - Services - Economie sociale familiale", "BTS - Services", "", 20, 134, 117, 88, 0, 9, 1, 19, 4, 35, 9, 25, 46, 0, 0, 36, 10, 88, 7, 0, 0, 9, 1, 19, 4, 35, 9, 25, 80, 4, 2, 4, 0, 4.0, 4.0, 4.0, 0, 1, 3, 0, 1, 2, 1, 0, 0, 3, 0, 0, 0.0, 0, 1, 2, 0, 0, 3, 3, 100.0, 100.0, 100.0, 50.0, 100.0, 100.0, 0, 33.296875, 75.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 9.0, 1.0, 39.0, 13.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers technologiques toutes séries", 16, "Bacheliers professionnels toutes séries", 43, "Liste d'appel propre à cette formation", 88.0, "24961", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24961&g_ta_cod=24961", 0.0, 25.0, 75.0),
(1653, "Public", "0750558Z", "Lycée Paul Poiret", "75", "Paris", "Ile-de-France", "Paris", "Paris 11e  Arrondissement", "formation sélective", "Autre formation", "Lycée Paul Poiret - DN MADE - Spectacle - - Spécialité : Sonorisation pour le spectacle et l'événement", "DN MADE", "- Spécialité : Sonorisation pour le spectacle et l'événement", 8, 235, 74, 235, 0, 110, 13, 26, 5, 18, 3, 81, 0, 0, 0, 0, 0, 91, 0, 0, 0, 56, 7, 3, 0, 3, 0, 29, 22, 8, 3, 8, 0, 2.0, 8.0, 8.0, 0, 3, 7, 6, 1, 0, 1, 0, 1, 1, 3, 2, 0.0, 5, 1, 0, 0, 0, 0, 1, 25.0, 100.0, 100.0, 37.5, 0.0, 14.298828125, 0, 42.8984375, 87.5, 0.0, 14.298828125, 14.298828125, 42.8984375, 28.6, 0.0, 85.6875, 71.390625, 14.298828125, 14.298828125, 0.0, 0.0, 18.0, 4.0, 0.0, 0.0, 2.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "21977", "DN MADE - Spectacle - - Spécialité : Sonorisation pour le spectacle et l'événement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21977&g_ta_cod=21977", 88.0, 13.0, 0.0),
(1654, "Public", "0020048S", "Lycée Henri Martin", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "BTS", "Lycée Henri Martin - BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "BTS - Services", "", 15, 1023, 353, 1023, 0, 445, 68, 159, 39, 85, 27, 334, 0, 0, 0, 0, 0, 977, 0, 0, 0, 445, 68, 159, 39, 84, 27, 289, 59, 15, 5, 15, 0, 3.0, 10.0, 13.0, 0, 4, 11, 7, 2, 2, 4, 0, 1, 5, 3, 2, 0.0, 7, 2, 1, 0, 0, 4, 4, 20.0, 66.67, 86.67, 33.296875, 36.3984375, 36.3984375, 0, 36.3984375, 73.296875, 0.0, 9.099609375, 45.5, 27.296875, 18.2, 0.0, 63.59375, 63.59375, 18.19921875, 18.19921875, 18.19921875, 9.099609375, 37.0, 5.0, 5.0, 1.0, 10.0, "Tous les candidats sauf les Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 9.0, "2053", "BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2053&g_ta_cod=2053", 73.0, 13.0, 13.0),
(1655, "Privé sous contrat d'association", "0440254M", "Ecole Sup. IMS", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Ecole Sup. IMS - BTS - Services - Tourisme", "BTS - Services", "", 33, 370, 275, 359, 0, 119, 23, 80, 12, 73, 23, 87, 11, 1, 1, 3, 6, 239, 9, 0, 0, 94, 17, 57, 7, 45, 13, 43, 137, 29, 22, 24, 5, 8.0, 22.0, 24.0, 0, 4, 25, 13, 7, 5, 4, 0, 8, 12, 5, 0, 0.0, 8, 5, 4, 0, 0, 18, 18, 27.59, 75.86, 82.76, 75.890625, 72.0, 72.0, 0, 16.0, 86.1875, 0.0, 32.0, 48.0, 20.0, 0.0, 0.0, 52.0, 32.0, 28.0, 20.0, 20.0, 16.0, 53.0, 11.0, 31.0, 9.0, 22.0, "Tous les candidats sauf les Bac professionnels", 186.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 64.0, "5523", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5523&g_ta_cod=5523", 55.0, 24.0, 21.0),
(1656, "Privé sous contrat d'association", "0370728R", "Lycée Saint Medard Inst N-D La Riche", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Saint Medard Inst N-D La Riche - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 30, 164, 74, 157, 0, 0, 0, 58, 6, 83, 15, 16, 7, 0, 1, 4, 2, 145, 1, 0, 0, 0, 0, 54, 6, 78, 13, 13, 110, 15, 5, 15, 0, 2.0, 15.0, 15.0, 0, 0, 14, 0, 6, 8, 1, 0, 1, 5, 8, 0, 0.0, 0, 6, 7, 4, 1, 12, 12, 13.33, 100.0, 100.0, 33.296875, 85.6875, 85.6875, 28.59765625, 0.0, 93.296875, 0.0, 7.099609375, 35.6953125, 57.09375, 0.0, 0.0, 0.0, 0.0, 42.8984375, 42.8984375, 57.09375, 50.0, 0.0, 0.0, 58.0, 8.0, 9.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 81, "", 0, "Liste d'appel propre à cette formation", 92.0, "20582", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20582&g_ta_cod=20582", 0.0, 40.0, 60.0),
(1657, "Privé sous contrat d'association", "0623277A", "Institut Saint Eloi", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Bapaume", "formation sélective", "BTS", "Institut Saint Eloi - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 36, 269, 78, 268, 0, 27, 4, 127, 12, 71, 13, 43, 1, 0, 0, 1, 0, 237, 1, 0, 0, 26, 4, 127, 12, 69, 13, 15, 135, 24, 6, 23, 1, 9.0, 19.0, 24.0, 0, 6, 23, 3, 7, 13, 1, 0, 10, 8, 5, 0, 0.0, 3, 4, 6, 12, 3, 17, 17, 37.5, 79.17, 100.0, 25.0, 73.890625, 73.890625, 52.1953125, 26.09765625, 95.796875, 0.0, 43.5, 34.796875, 21.69921875, 0.0, 0.0, 13.0, 13.0, 30.3984375, 17.3984375, 56.5, 26.09765625, 10.0, 1.0, 65.0, 13.0, 10.0, "Tous les candidats sauf les Bac professionnels", 167.0, "Bacheliers professionnels toutes séries", 70, "", 0, "Liste d'appel propre à cette formation", 88.0, "7472", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7472&g_ta_cod=7472", 13.0, 33.0, 54.0),
(1658, "Public", "0670085D", "Lycée Louis Couffignal", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Louis Couffignal - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 24, 361, 43, 303, 0, 27, 6, 84, 28, 68, 36, 124, 58, 2, 10, 20, 26, 156, 19, 0, 0, 27, 6, 64, 18, 43, 22, 22, 129, 22, 1, 14, 8, 0.0, 13.0, 18.0, 0, 8, 13, 0, 9, 4, 9, 0, 8, 3, 1, 1, 0.0, 0, 2, 3, 3, 0, 12, 12, 0.0, 59.09, 81.82, 4.5, 92.296875, 92.296875, 23.09765625, 61.5, 59.09375, 0.0, 61.5, 23.09765625, 7.69921875, 7.7, 0.0, 0.0, 0.0, 69.1875, 15.3984375, 30.796875, 23.09765625, 25.0, 5.0, 25.0, 12.0, 31.0, "Tous les candidats sauf les Bac professionnels", 111.0, "Bacheliers professionnels toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 49.0, "7936", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7936&g_ta_cod=7936", 14.0, 55.0, 32.0),
(1659, "Public", "0370781Y", "Lycée agricole de TOURS FONDETTES", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Fondettes", "formation sélective", "BTS", "Lycée agricole de TOURS FONDETTES - BTS - Agricole - Viticulture-Oenologie", "BTS - Agricole", "", 27, 189, 82, 174, 0, 56, 5, 41, 4, 21, 5, 56, 15, 0, 2, 0, 13, 160, 10, 0, 0, 56, 5, 41, 4, 21, 5, 42, 126, 19, 9, 17, 2, 5.0, 15.0, 18.0, 0, 1, 10, 3, 5, 2, 9, 0, 8, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 1, 1, 26.32, 78.95, 94.74, 47.3984375, 10.0, 10.0, 0, 10.0, 52.59375, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 30.0, 0.0, 50.0, 10.0, 20.0, 10.0, 31.0, 4.0, 19.0, 4.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 89.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 91.0, "4878", "BTS - Agricole - Viticulture-Oenologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4878&g_ta_cod=4878", 58.0, 32.0, 11.0),
(1660, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Administration et Echanges internationaux - Parcours Amérique Latine", "Licence - Droit-économie-gestion", "Amérique Latine", 70, 1156, 729, 545, 0, 329, 98, 83, 30, 17, 8, 116, 611, 221, 102, 29, 259, 271, 69, 0, 0, 225, 66, 4, 3, 0, 0, 42, 323, 69, 47, 35, 33, 20.0, 35.0, 58.0, 0, 20, 51, 50, 1, 0, 18, 1, 6, 32, 10, 2, 0.0, 43, 1, 0, 0, 0, 22, 33, 28.99, 50.72, 84.06, 68.09375, 43.09375, 64.6875, 0, 39.1953125, 73.890625, 2.0, 11.798828125, 62.6953125, 19.59765625, 3.9, 0.0, 98.0, 84.296875, 2.0, 2.0, 0.0, 0.0, 249.0, 72.0, 0.0, 0.0, 67.0, "Tous les candidats", 271.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "28560", "Licence - Administration et Echanges internationaux - Parcours Amérique Latine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28560&g_ta_cod=28560", 97.0, 3.0, 0.0),
(1661, "Public", "0772228D", "Lycée Charles De Gaulle", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Longperrier", "formation sélective", "BTS", "Lycée Charles De Gaulle - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 514, 199, 425, 0, 41, 13, 69, 19, 27, 9, 288, 89, 2, 0, 44, 43, 95, 5, 0, 0, 18, 5, 44, 8, 16, 5, 17, 75, 23, 7, 17, 4, 5.0, 15.0, 18.0, 0, 6, 17, 2, 7, 8, 6, 1, 11, 1, 4, 0, 0.0, 1, 2, 2, 2, 0, 12, 14, 21.74, 65.22, 78.26, 30.3984375, 70.59375, 82.390625, 11.798828125, 35.296875, 73.890625, 5.8994140625, 64.6875, 5.8994140625, 23.5, 0.0, 0.0, 11.798828125, 5.8994140625, 41.1953125, 11.798828125, 47.09375, 11.798828125, 10.0, 2.0, 24.0, 12.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 18.0, "9876", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9876&g_ta_cod=9876", 22.0, 39.0, 39.0),
(1662, "Privé sous contrat d'association", "0141904U", "MFREO La Bagotière", "14", "Calvados", "Normandie", "Normandie", "Les Moutiers-en-Cinglais", "formation sélective", "BTS", "MFREO La Bagotière - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 20, 70, 39, 64, 0, 6, 1, 8, 1, 18, 3, 32, 6, 1, 0, 3, 2, 43, 6, 0, 0, 6, 1, 8, 1, 18, 3, 11, 47, 8, 6, 3, 5, 2.0, 3.0, 5.0, 0, 0, 6, 2, 0, 4, 2, 0, 4, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 6, 6, 25.0, 37.5, 62.5, 75.0, 100.0, 100.0, 0, 0.0, 75.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 33.296875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 6.0, 1.0, 21.0, 3.0, 12.0, "Tous les candidats sauf les Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 67.0, "15839", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15839&g_ta_cod=15839", 38.0, 0.0, 63.0),
(1663, "Public", "0940116R", "Lycée Eugene Delacroix", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Maisons-Alfort", "formation sélective", "BTS", "Lycée Eugene Delacroix - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 1008, 712, 1008, 0, 30, 11, 314, 152, 351, 193, 313, 0, 0, 0, 0, 0, 425, 0, 0, 0, 23, 9, 130, 56, 198, 106, 74, 168, 36, 26, 35, 0, 4.0, 20.0, 28.0, 0, 15, 28, 2, 13, 13, 8, 0, 15, 10, 3, 0, 0.0, 0, 5, 8, 7, 2, 25, 28, 11.11, 55.56, 77.78, 72.1875, 89.296875, 100.0, 25, 53.59375, 77.796875, 0.0, 53.59375, 35.6953125, 10.69921875, 0.0, 0.0, 7.099609375, 0.0, 46.3984375, 17.8984375, 46.3984375, 28.59765625, 12.0, 5.0, 60.0, 36.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 137, "Bacheliers technologiques toutes séries", 89, "Liste d'appel propre à cette formation", 25.0, "11379", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11379&g_ta_cod=11379", 11.0, 42.0, 47.0),
(1664, "Public", "0810004P", "Lycée Louis Rascol", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "BTS", "Lycée Louis Rascol - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 221, 11, 204, 0, 7, 2, 50, 10, 75, 23, 72, 17, 0, 2, 8, 7, 176, 6, 0, 0, 7, 2, 50, 10, 48, 12, 71, 101, 14, 2, 14, 0, 1.0, 8.0, 13.0, 0, 2, 6, 0, 3, 3, 8, 0, 1, 4, 1, 0, 0.0, 0, 2, 3, 4, 0, 6, 6, 7.14, 57.14, 92.86, 14.298828125, 100.0, 100.0, 66.6875, 33.296875, 42.8984375, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 50.0, 33.296875, 50.0, 50.0, 4.0, 2.0, 49.0, 15.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 61.0, "10262", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10262&g_ta_cod=10262", 21.0, 50.0, 29.0),
(1665, "Public", "0050604E", "I.U.T d'Aix-Marseille - Site de Gap", "05", "Hautes-Alpes", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Gap", "formation sélective", "BUT", "I.U.T d'Aix-Marseille - Site de Gap - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Parcours : Gestion, entreprenariat et management d'activités", "BUT - Service", "Gestion comptable, fiscale et financière - Parcours : Gestion, entreprenariat et management d'activités", 84, 1018, 442, 942, 0, 547, 109, 213, 66, 6, 1, 176, 76, 3, 41, 0, 32, 815, 20, 0, 0, 509, 95, 177, 49, 1, 1, 128, 533, 76, 23, 70, 6, 18.0, 45.0, 63.0, 0, 11, 60, 34, 26, 0, 16, 0, 17, 32, 9, 2, 0.0, 22, 21, 0, 0, 0, 46, 46, 23.68, 59.21, 82.89, 30.296875, 76.6875, 76.6875, 0, 18.296875, 78.890625, 0.0, 28.296875, 53.296875, 15.0, 3.3, 0.0, 56.6953125, 36.6953125, 43.296875, 35.0, 0.0, 0.0, 272.0, 59.0, 1.0, 1.0, 90.0, "Tous les candidats sauf les Bac technologiques", 523.0, "Bacheliers technologiques toutes séries", 188, "", 0, "Liste d'appel propre à cette formation", 75.0, "2177", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Parcours : Gestion, entreprenariat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2177&g_ta_cod=2177", 66.0, 34.0, 0.0),
(1666, "Privé sous contrat d'association", "0290156M", "Lycée St Louis", "29", "Finistère", "Bretagne", "Rennes", "Châteaulin", "formation sélective", "BTS", "Lycée St Louis - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 33, 409, 44, 336, 0, 46, 5, 88, 15, 62, 14, 140, 73, 2, 15, 14, 42, 137, 25, 0, 0, 38, 4, 50, 8, 37, 6, 12, 118, 21, 2, 14, 7, 3.0, 12.0, 18.0, 0, 1, 13, 6, 3, 4, 8, 0, 6, 5, 1, 1, 0.0, 2, 1, 4, 0, 0, 13, 13, 14.29, 57.14, 85.71, 9.5, 100.0, 100.0, 0, 7.69921875, 61.8984375, 0.0, 46.1953125, 38.5, 7.69921875, 7.7, 0.0, 46.1953125, 15.3984375, 23.09765625, 7.69921875, 30.796875, 30.796875, 28.0, 3.0, 38.0, 6.0, 24.0, "Tous les candidats sauf les Bac professionnels", 100.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 41.0, "3810", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3810&g_ta_cod=3810", 62.0, 19.0, 19.0),
(1667, "Public", "0650026A", "Lycée Marie Curie", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "Autre formation", "Lycée Marie Curie - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 2, 2, 0, 0, 0.0, 0.0, 0.0, 0, 2, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 0.0, 100.0, 50.0, 50.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 5.0, 2.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22411", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(1668, "Public", "0060033D", "Lycée Honoré d'Estienne d'Orves (Beau-Site)", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Honoré d'Estienne d'Orves (Beau-Site) - BTS - Services - Support à l'action managériale", "BTS - Services", "", 48, 555, 384, 538, 0, 41, 12, 160, 72, 162, 73, 175, 17, 4, 0, 0, 13, 369, 6, 0, 0, 30, 7, 124, 58, 140, 64, 75, 174, 41, 32, 39, 2, 8.0, 29.0, 37.0, 0, 14, 29, 2, 11, 16, 12, 0, 9, 14, 5, 1, 0.0, 1, 8, 11, 8, 7, 26, 26, 19.51, 70.73, 90.24, 78.0, 89.6875, 89.6875, 27.59765625, 48.296875, 70.6875, 0.0, 31.0, 48.296875, 17.19921875, 3.4, 0.0, 6.8994140625, 3.39990234375, 37.8984375, 27.59765625, 55.1953125, 37.8984375, 27.0, 7.0, 67.0, 30.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 108, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 39.0, "2223", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2223&g_ta_cod=2223", 24.0, 29.0, 46.0),
(1669, "Public", "0740927F", "ENILV", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "La Roche-sur-Foron", "formation sélective", "BTS", "ENILV - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 31, 338, 207, 337, 0, 54, 7, 81, 23, 45, 10, 157, 1, 1, 0, 0, 0, 180, 1, 0, 0, 44, 6, 70, 18, 39, 5, 27, 125, 29, 18, 29, 0, 6.0, 21.0, 27.0, 0, 3, 22, 5, 9, 8, 7, 0, 7, 10, 5, 0, 0.0, 3, 6, 6, 7, 2, 15, 15, 20.69, 72.41, 93.1, 62.09375, 68.1875, 68.1875, 31.796875, 13.599609375, 75.890625, 0.0, 31.796875, 45.5, 22.69921875, 0.0, 0.0, 22.69921875, 13.599609375, 40.8984375, 27.296875, 36.3984375, 27.296875, 35.0, 4.0, 21.0, 2.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 46.0, "8893", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8893&g_ta_cod=8893", 31.0, 41.0, 28.0),
(1670, "Public", "0920802X", "Lycée Jean-Pierre Vernant", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sèvres", "formation sélective", "Autre formation", "Lycée Jean-Pierre Vernant - DN MADE - Graphisme - - Spécialité : Design du livre et de l'édition", "DN MADE", "- Spécialité : Design du livre et de l'édition", 10, 588, 441, 571, 0, 200, 41, 126, 35, 66, 17, 179, 17, 4, 3, 3, 7, 81, 0, 0, 0, 28, 2, 34, 5, 2, 1, 17, 39, 8, 4, 8, 0, 2.0, 7.0, 8.0, 0, 1, 3, 2, 1, 0, 5, 0, 0, 1, 2, 0, 0.0, 2, 1, 0, 0, 0, 1, 2, 25.0, 87.5, 100.0, 50.0, 33.296875, 66.6875, 0, 33.296875, 37.5, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 12.0, 0.0, 2.0, 1.0, 11.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "21598", "DN MADE - Graphisme - - Spécialité : Design du livre et de l'édition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21598&g_ta_cod=21598", 63.0, 38.0, 0.0),
(1671, "Public", "9740001H", "Lycée Leconte de Lisle", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "CPGE", "Lycée Leconte de Lisle - CPGE - ENS Rennes D1", "Classe préparatoire économique et commerciale", "", 35, 276, 202, 276, 115, 232, 61, 16, 12, 0, 0, 28, 0, 0, 0, 0, 0, 163, 0, 39, 162, 158, 37, 2, 1, 0, 0, 3, 105, 37, 28, 37, 0, 7.0, 37.0, 37.0, 8, 11, 37, 37, 0, 0, 0, 0, 0, 4, 16, 14, 3.0, 37, 0, 0, 5, 4, 36, 36, 18.92, 100.0, 100.0, 75.6875, 97.296875, 97.296875, 13.5, 29.69921875, 100.0, 0.0, 0.0, 10.798828125, 43.1953125, 37.8, 8.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 103.0, 29.0, 0.0, 0.0, 0.0, "Tous les candidats", 125.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "31685", "CPGE - ENS Rennes D1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31685&g_ta_cod=31685", 100.0, 0.0, 0.0),
(1672, "Public", "0640011P", "Lycée Louis De Foix", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "BTS", "Lycée Louis De Foix - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 437, 274, 419, 0, 32, 9, 154, 47, 75, 32, 158, 18, 0, 0, 13, 5, 314, 0, 0, 0, 32, 9, 141, 40, 63, 27, 78, 170, 27, 19, 27, 0, 2.0, 25.0, 26.0, 0, 12, 26, 2, 11, 13, 1, 0, 14, 10, 2, 0, 0.0, 0, 5, 7, 2, 1, 25, 25, 7.41, 92.59, 96.3, 70.390625, 96.1875, 96.1875, 7.69921875, 46.1953125, 96.296875, 0.0, 53.796875, 38.5, 7.69921875, 0.0, 0.0, 7.69921875, 0.0, 42.296875, 19.19921875, 50.0, 26.8984375, 9.0, 4.0, 56.0, 26.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 136, "Liste d'appel propre à cette formation", 53.0, "7698", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7698&g_ta_cod=7698", 7.0, 44.0, 48.0),
(1673, "Public", "9840349G", "Université de la Polynésie française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation non sélective", "Licence", "Université de la Polynésie française - Licence - Langues étrangères appliquées - Parcours LANGUES ETRANGERES APPLIQUEES: Anglais et Espagnol", "Licence - Arts-lettres-langues", "LANGUES ETRANGERES APPLIQUEES: Anglais et Espagnol", 160, 326, 240, 270, 0, 145, 55, 34, 16, 22, 13, 69, 56, 2, 7, 2, 45, 269, 26, 0, 0, 145, 55, 34, 16, 22, 13, 68, 286, 68, 51, 57, 11, 38.0, 57.0, 61.0, 0, 22, 49, 31, 10, 8, 19, 0, 27, 12, 9, 1, 0.0, 12, 4, 6, 0, 0, 47, 47, 55.88, 83.82, 89.71, 75.0, 95.890625, 95.890625, 0, 44.8984375, 72.09375, 0.0, 55.09375, 24.5, 18.3984375, 2.0, 0.0, 63.296875, 24.5, 20.3984375, 8.19921875, 16.296875, 12.19921875, 145.0, 55.0, 21.0, 13.0, 84.0, "Tous les candidats", 269.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12006", "Licence - Langues étrangères appliquées - Parcours LANGUES ETRANGERES APPLIQUEES: Anglais et Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12006&g_ta_cod=12006", 59.0, 25.0, 16.0),
(1674, "Public", "0760090K", "Lycée Pierre Corneille", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Pierre Corneille - BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "BTS - Services", "", 6, 1050, 377, 1050, 0, 443, 63, 118, 23, 106, 43, 383, 0, 0, 0, 0, 0, 577, 0, 0, 0, 258, 33, 118, 23, 34, 12, 167, 18, 6, 3, 6, 0, 2.0, 5.0, 5.0, 0, 1, 3, 1, 1, 1, 3, 0, 0, 1, 2, 0, 0.0, 1, 1, 1, 1, 1, 2, 2, 33.33, 83.33, 83.33, 50.0, 66.6875, 66.6875, 33.296875, 33.296875, 50.0, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 33.296875, 33.296875, 33.296875, 7.0, 1.0, 1.0, 0.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 1, "Liste d'appel propre à cette formation", 1.0, "9590", "BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9590&g_ta_cod=9590", 50.0, 17.0, 33.0),
(1675, "Privé sous contrat d'association", "0840059H", "Lycée Louis Pasteur", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée Louis Pasteur - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 533, 265, 528, 0, 81, 16, 192, 70, 147, 49, 108, 5, 0, 0, 4, 1, 333, 2, 0, 0, 62, 9, 149, 56, 74, 25, 48, 145, 30, 16, 30, 0, 14.0, 24.0, 28.0, 0, 6, 27, 7, 10, 10, 3, 0, 10, 16, 0, 1, 0.0, 3, 7, 7, 11, 2, 25, 25, 46.67, 80.0, 93.33, 53.296875, 92.59375, 92.59375, 40.6953125, 22.19921875, 90.0, 0.0, 37.0, 59.296875, 0.0, 3.7, 0.0, 25.8984375, 11.099609375, 37.0, 25.8984375, 37.0, 25.8984375, 33.0, 8.0, 57.0, 20.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 29.0, "10434", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10434&g_ta_cod=10434", 27.0, 37.0, 37.0),
(1676, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 7 -  Histoire - Géographie et aménagement", "Licence - Sciences humaines et sociales", "7 -  Histoire - Géographie et aménagement", 100, 547, 198, 473, 0, 313, 48, 53, 15, 14, 6, 93, 74, 7, 9, 7, 51, 462, 27, 0, 0, 313, 48, 53, 15, 14, 6, 82, 352, 90, 27, 77, 12, 14.0, 75.0, 80.0, 0, 12, 64, 55, 6, 3, 26, 1, 32, 18, 12, 1, 0.0, 29, 1, 1, 0, 0, 54, 54, 15.56, 83.33, 88.89, 30.0, 84.390625, 84.390625, 0, 18.796875, 71.09375, 1.599853515625, 50.0, 28.09765625, 18.796875, 1.6, 0.0, 85.890625, 45.296875, 9.3984375, 1.599853515625, 4.69921875, 1.599853515625, 236.0, 39.0, 15.0, 7.0, 71.0, "Tous les candidats", 461.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "23459", "Licence - Portail 7 -  Histoire - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23459&g_ta_cod=23459", 77.0, 16.0, 7.0),
(1677, "Public", "0875076V", "ILFOMER Institut limousin de formation aux métiers de la réadaptation", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Autre formation", "Regroupement Nouvelle Aquitaine - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 25, 2146, 2064, 2146, 0, 674, 79, 22, 6, 0, 0, 1450, 0, 0, 0, 0, 0, 496, 0, 0, 0, 220, 22, 0, 0, 0, 0, 276, 123, 25, 25, 25, 0, 2.0, 20.0, 23.0, 0, 0, 9, 9, 0, 0, 16, 0, 0, 1, 2, 6, 0.0, 9, 0, 0, 0, 0, 1, 1, 8.0, 80.0, 92.0, 100.0, 11.099609375, 11.099609375, 0, 0.0, 36.0, 0.0, 0.0, 11.099609375, 22.19921875, 66.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 46.0, 4.0, 0.0, 0.0, 77.0, "Tous les candidats", 180.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 7.0, "26461", "Certificat de capacité d'Orthophoniste", "Regroupement Nouvelle Aquitaine", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26460&g_ta_cod=26461", 100.0, 0.0, 0.0),
(1678, "Public", "0594900F", "IFSI du Centre Hôspitalier de Cambrai", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 61, 4542, 3648, 4542, 0, 814, 220, 957, 319, 486, 219, 2285, 0, 0, 0, 0, 0, 3763, 0, 0, 0, 746, 197, 784, 250, 393, 174, 1840, 583, 61, 57, 61, 0, 3.0, 38.0, 49.0, 0, 17, 48, 13, 27, 8, 13, 0, 5, 21, 19, 3, 0.0, 12, 23, 8, 0, 0, 44, 44, 4.92, 62.3, 80.33, 93.390625, 91.6875, 91.6875, 0, 35.3984375, 78.6875, 0.0, 10.3984375, 43.796875, 39.59375, 6.3, 0.0, 27.09765625, 25.0, 56.296875, 47.8984375, 16.69921875, 16.69921875, 105.0, 21.0, 77.0, 36.0, 263.0, "Tous les candidats", 3535.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "23132", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23132", 33.0, 49.0, 18.0),
(1679, "Privé sous contrat d'association", "0130202Z", "IRTS PACA CORSE", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  8e  Arrondissement", "formation sélective", "EFTS", "IRTS PACA CORSE - D.E Educateur Technique Spécialisé", "D.E secteur social", "", 7, 40, 35, 18, 0, 3, 1, 3, 1, 5, 0, 7, 22, 0, 5, 3, 14, 6, 3, 0, 0, 0, 0, 1, 1, 1, 0, 4, 9, 5, 4, 3, 2, 3.0, 3.0, 3.0, 0, 0, 1, 0, 0, 1, 4, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 60.0, 60.0, 60.0, 80.0, 100.0, 100.0, 0, 0.0, 20.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 1.0, 0.0, 7.0, "Tous les candidats", 6.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "24820", "D.E Educateur Technique Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24820&g_ta_cod=24820", 20.0, 0.0, 60.0),
(1680, "Public", "9840339W", "Lycée de Taiarapu Nui", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Taiarapu-o", "formation sélective", "BTS", "Lycée de Taiarapu Nui - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 161, 130, 161, 0, 12, 9, 70, 48, 50, 35, 29, 0, 0, 0, 0, 0, 85, 0, 0, 0, 6, 5, 48, 36, 21, 13, 10, 36, 20, 17, 20, 0, 7.0, 19.0, 20.0, 0, 15, 19, 2, 11, 6, 1, 0, 4, 11, 4, 0, 0.0, 1, 8, 6, 14, 11, 19, 19, 35.0, 95.0, 100.0, 85.0, 100.0, 100.0, 73.6875, 78.890625, 95.0, 0.0, 21.09765625, 57.8984375, 21.09765625, 0.0, 0.0, 10.5, 5.2998046875, 57.8984375, 42.09375, 31.59765625, 31.59765625, 2.0, 1.0, 8.0, 4.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 29.0, "12004", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12004&g_ta_cod=12004", 15.0, 55.0, 30.0),
(1681, "Public", "0754475G", "Lycée Léonard de Vinci", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "Lycée Léonard de Vinci - Mention complémentaire - FCIL Agent de maitrise de métré bois", "Mention complémentaire", "", 11, 39, 7, 14, 0, 1, 0, 0, 0, 10, 5, 3, 25, 0, 1, 14, 10, 14, 10, 0, 0, 1, 0, 0, 0, 10, 5, 3, 24, 7, 1, 3, 4, 3.0, 3.0, 4.0, 0, 1, 3, 0, 0, 3, 4, 0, 1, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 1, 3, 42.86, 42.86, 57.14, 14.298828125, 33.296875, 100.0, 0, 33.296875, 42.8984375, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 1.0, 0.0, 17.0, 7.0, 6.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "25044", "Mention complémentaire - FCIL Agent de maitrise de métré bois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25044&g_ta_cod=25044", 29.0, 14.0, 57.0),
(1682, "Public", "0694123G", "Ecole Normale Supérieure de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "Autre formation", "Ecole Normale Supérieure de Lyon - CPES - Scientifique", "Classe préparatoire aux études supérieures", "", 15, 244, 95, 203, 0, 149, 49, 0, 0, 0, 0, 54, 41, 26, 0, 0, 15, 39, 2, 0, 0, 39, 20, 0, 0, 0, 0, 0, 37, 15, 4, 14, 1, 6.0, 13.0, 14.0, 0, 4, 15, 15, 0, 0, 0, 0, 2, 5, 7, 1, 0.0, 13, 0, 0, 0, 0, 5, 5, 40.0, 86.67, 93.33, 26.69921875, 33.296875, 33.296875, 0, 26.69921875, 100.0, 0.0, 13.298828125, 33.296875, 46.6953125, 6.7, 0.0, 100.0, 86.6875, 0.0, 0.0, 0.0, 0.0, 37.0, 17.0, 0.0, 0.0, 0.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "8588", "CPES - Scientifique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8588&g_ta_cod=8588", 100.0, 0.0, 0.0),
(1683, "Public", "7200583W", "Lycée Paul Vincensini", "2B", "Haute-Corse", "Corse", "Corse", "Bastia", "formation sélective", "BTS", "Lycée Paul Vincensini - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 12, 52, 3, 50, 0, 7, 2, 14, 2, 21, 8, 8, 2, 0, 1, 0, 1, 41, 2, 0, 0, 7, 2, 12, 1, 18, 6, 4, 36, 8, 0, 7, 1, 4.0, 7.0, 8.0, 0, 1, 7, 1, 1, 5, 1, 0, 2, 4, 1, 0, 0.0, 0, 0, 5, 1, 0, 7, 7, 50.0, 87.5, 100.0, 0.0, 100.0, 100.0, 14.298828125, 14.298828125, 87.5, 0.0, 28.59765625, 57.09375, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 14.298828125, 0.0, 71.390625, 71.390625, 7.0, 2.0, 14.0, 4.0, 4.0, "Tous les candidats sauf les Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 72.0, "11700", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11700&g_ta_cod=11700", 13.0, 25.0, 63.0),
(1684, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS (sports)", "Licence - Sciences humaines et sociales", "STAPS (sports)", 440, 5308, 1799, 5308, 0, 3714, 472, 549, 106, 70, 23, 975, 0, 0, 0, 0, 0, 5307, 0, 0, 0, 3713, 472, 549, 106, 70, 23, 975, 1028, 442, 136, 442, 0, 155.0, 378.0, 415.0, 0, 62, 428, 383, 41, 4, 14, 0, 137, 204, 76, 10, 1.0, 262, 25, 4, 0, 0, 412, 412, 35.07, 85.52, 93.89, 30.796875, 96.296875, 96.296875, 0, 14.5, 96.796875, 0.0, 32.0, 47.6953125, 17.796875, 2.3, 0.2, 89.5, 61.1953125, 9.599609375, 5.7998046875, 0.89990234375, 0.89990234375, 881.0, 114.0, 5.0, 0.0, 52.0, "Tous les candidats", 1157.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "13850", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS (sports)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27010&g_ta_cod=13850", 90.0, 10.0, 1.0),
(1685, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation non sélective", "PASS", "Université Sorbonne Paris Nord - Antenne de Bobigny - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Dispensée à l'Université de Cergy", 30, 8202, 5820, 8202, 0, 6337, 1558, 214, 94, 35, 17, 1616, 0, 0, 0, 0, 0, 8199, 0, 0, 0, 6337, 1558, 214, 94, 35, 17, 1613, 608, 29, 25, 29, 0, 0.0, 0.0, 15.0, 0, 7, 28, 28, 0, 0, 1, 0, 2, 7, 18, 1, 0.0, 26, 0, 0, 0, 0, 7, 27, 0.0, 0.0, 51.72, 86.1875, 25.0, 96.390625, 0, 25.0, 96.59375, 0.0, 7.099609375, 25.0, 64.296875, 3.6, 0.0, 100.0, 92.890625, 0.0, 0.0, 0.0, 0.0, 589.0, 146.0, 0.0, 0.0, 19.0, "Tous les candidats", 2999.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "29029", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28682&g_ta_cod=29029", 100.0, 0.0, 0.0),
(1686, "Public", "0381886U", "Lycée agricole SEYSSUEL AGROTEC", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vienne", "formation sélective", "BTS", "Lycée agricole SEYSSUEL AGROTEC - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 27, 737, 339, 737, 0, 210, 35, 203, 34, 114, 21, 210, 0, 0, 0, 0, 0, 557, 0, 0, 0, 162, 25, 173, 30, 87, 12, 135, 130, 33, 18, 33, 0, 4.0, 29.0, 32.0, 0, 3, 29, 7, 14, 8, 4, 0, 3, 18, 8, 0, 0.0, 6, 12, 8, 6, 1, 11, 11, 12.12, 87.88, 96.97, 54.5, 37.8984375, 37.8984375, 20.69921875, 10.298828125, 87.890625, 0.0, 10.298828125, 62.09375, 27.59765625, 0.0, 0.0, 24.09765625, 20.69921875, 48.296875, 41.3984375, 27.59765625, 27.59765625, 33.0, 7.0, 36.0, 5.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 93.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 30.0, "5091", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5091&g_ta_cod=5091", 30.0, 42.0, 27.0),
(1687, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Université Toulouse 3 Paul Sabatier - C.M.I - Cursus Master en Ingénierie - Electronique, énergie électrique, automatique - Cursus Master en Ingénierie (CMI) : Electronique Energie électrique Automatique", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Electronique Energie électrique Automatique", 36, 430, 86, 343, 0, 211, 42, 18, 9, 3, 1, 111, 87, 23, 4, 1, 59, 159, 11, 0, 0, 117, 16, 0, 0, 0, 0, 42, 156, 23, 3, 18, 5, 9.0, 17.0, 22.0, 0, 4, 14, 14, 0, 0, 9, 0, 0, 7, 7, 0, 0.0, 14, 0, 0, 0, 0, 9, 9, 39.13, 73.91, 95.65, 13.0, 64.296875, 64.296875, 0, 28.59765625, 60.8984375, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 108.0, 16.0, 0.0, 0.0, 48.0, "Tous les candidats", 159.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "16746", "C.M.I - Cursus Master en Ingénierie - Electronique, énergie électrique, automatique - Cursus Master en Ingénierie (CMI) : Electronique Energie électrique Automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16746&g_ta_cod=16746", 100.0, 0.0, 0.0),
(1688, "Privé sous contrat d'association", "0590347G", "ISEN Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 10, 258, 114, 249, 0, 0, 0, 0, 0, 0, 0, 249, 9, 0, 0, 0, 9, 219, 3, 0, 0, 0, 0, 0, 0, 0, 0, 219, 209, 4, 4, 3, 1, 1.0, 3.0, 4.0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 25.0, 75.0, 100.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 209.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "22868", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22868", 100.0, 0.0, 0.0),
(1689, "Public", "0932270M", "I.U.T. de Bobigny - Université Paris 13", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation sélective", "BUT", "I.U.T. de Bobigny - Université Paris 13 - BUT - Gestion des entreprises et des administrations", "BUT - Service", "", 112, 5628, 3056, 5525, 0, 2001, 817, 2234, 1132, 91, 53, 1199, 103, 36, 0, 8, 59, 1331, 6, 0, 0, 643, 253, 508, 263, 0, 0, 180, 668, 111, 61, 106, 1, 5.0, 65.0, 92.0, 0, 46, 89, 41, 48, 0, 22, 0, 16, 58, 14, 1, 0.0, 32, 41, 0, 0, 0, 64, 86, 4.5, 58.56, 82.88, 55.0, 71.890625, 96.59375, 0, 51.6953125, 80.1875, 0.0, 18.0, 65.1875, 15.69921875, 1.1, 0.0, 46.09375, 36.0, 53.8984375, 46.09375, 0.0, 0.0, 310.0, 135.0, 1.0, 0.0, 113.0, "Tous les candidats sauf les Bac technologiques", 706.0, "Bacheliers technologiques toutes séries", 431, "", 0, "Liste d'appel propre à cette formation", 21.0, "11353", "BUT - Gestion des entreprises et des administrations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11353&g_ta_cod=11353", 50.0, 50.0, 0.0),
(1690, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "PASS", "Université des Antilles - Pôle Guadeloupe - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 45, 363, 244, 342, 0, 270, 59, 22, 16, 5, 3, 45, 21, 10, 2, 0, 9, 337, 21, 0, 0, 270, 59, 22, 16, 5, 3, 40, 251, 44, 34, 37, 6, 6.0, 37.0, 42.0, 0, 9, 39, 38, 1, 0, 5, 0, 6, 13, 15, 5, 0.0, 33, 0, 0, 0, 0, 34, 34, 13.64, 84.09, 95.45, 77.296875, 87.1875, 87.1875, 0, 23.09765625, 88.59375, 0.0, 15.3984375, 33.296875, 38.5, 12.8, 0.0, 97.390625, 84.59375, 2.599609375, 0.0, 0.0, 0.0, 197.0, 45.0, 2.0, 1.0, 39.0, "Tous les candidats", 1377.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "27427", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27424&g_ta_cod=27427", 95.0, 5.0, 0.0),
(1691, "Public", "0912418J", "Université Paris-Saclay, Campus d'Orsay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "Licence", "Université Paris-Saclay, Campus d'Orsay - Licence - Double diplôme - Licence Chimie, Sciences de la vie - Licence Double-Diplôme Chimie, Sciences de la Vie", "Licence - Sciences - technologies - santé", "Licence Double-Diplôme Chimie, Sciences de la Vie", 25, 820, 595, 820, 0, 517, 63, 6, 2, 2, 1, 295, 0, 0, 0, 0, 0, 604, 0, 0, 0, 446, 42, 0, 0, 0, 0, 158, 226, 25, 17, 25, 0, 1.0, 14.0, 22.0, 0, 3, 24, 24, 0, 0, 1, 0, 0, 1, 16, 6, 1.0, 24, 0, 0, 0, 0, 9, 16, 4.0, 56.0, 88.0, 68.0, 37.5, 66.6875, 0, 12.5, 96.0, 0.0, 0.0, 4.19921875, 66.6875, 25.0, 4.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 182.0, 21.0, 0.0, 0.0, 44.0, "Tous les candidats", 366.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "29052", "Licence - Double diplôme - Licence Chimie, Sciences de la vie - Licence Double-Diplôme Chimie, Sciences de la Vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29052&g_ta_cod=29052", 100.0, 0.0, 0.0),
(1692, "Public", "0820752X", "IFSI CH Montauban", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Montauban", "formation sélective", "IFSI", "Regroupement d'IFSI Université Toulouse - D.E Infirmier", "D.E secteur sanitaire", "", 70, 7317, 6241, 7317, 0, 1117, 223, 1299, 376, 942, 353, 3959, 0, 0, 0, 0, 0, 4523, 0, 0, 0, 993, 191, 866, 232, 523, 193, 2141, 1149, 68, 56, 68, 0, 1.0, 18.0, 40.0, 0, 16, 35, 16, 12, 7, 33, 0, 5, 17, 13, 0, 0.0, 11, 12, 7, 0, 0, 27, 27, 1.47, 26.47, 58.82, 82.390625, 77.09375, 77.09375, 0, 45.6953125, 51.5, 0.0, 14.298828125, 48.59375, 37.09375, 0.0, 0.0, 45.6953125, 31.3984375, 34.296875, 34.296875, 20.0, 20.0, 401.0, 75.0, 70.0, 31.0, 534.0, "Tous les candidats", 3021.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "23257", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22985&g_ta_cod=23257", 60.0, 24.0, 13.0),
(1693, "Privé sous contrat d'association", "0754903X", "IFSI- GH Paris St Joseph", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "IFSI", "Regroupement IFSI Université de Paris - D.E Infirmier", "D.E secteur sanitaire", "", 99, 7546, 6695, 7546, 0, 984, 268, 1222, 460, 1004, 475, 4336, 0, 0, 0, 0, 0, 5944, 0, 0, 0, 893, 236, 1027, 367, 789, 370, 3235, 669, 97, 92, 97, 0, 10.0, 69.0, 94.0, 0, 6, 76, 24, 39, 13, 21, 1, 2, 23, 35, 12, 3.0, 22, 38, 13, 0, 0, 20, 62, 10.31, 71.13, 96.91, 94.796875, 26.296875, 81.59375, 0, 7.8994140625, 78.390625, 1.2998046875, 2.599609375, 30.296875, 46.09375, 15.8, 3.9, 31.59765625, 28.8984375, 51.296875, 50.0, 17.09765625, 17.09765625, 110.0, 16.0, 132.0, 50.0, 264.0, "Tous les candidats", 1885.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "23205", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25148&g_ta_cod=23205", 37.0, 42.0, 20.0),
(1694, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation non sélective", "Licence_Las", "Université Grenoble Alpes - Antenne de Valence - Licence - Portail Economie et gestion - Economie et Gestion - Valence", "Licence - Droit-économie-gestion", "Economie et Gestion - Valence", 12, 189, 106, 177, 0, 107, 23, 16, 8, 5, 3, 49, 12, 5, 0, 2, 5, 171, 9, 0, 0, 107, 23, 16, 8, 5, 3, 43, 105, 11, 6, 6, 5, 0.0, 4.0, 6.0, 0, 1, 7, 6, 1, 0, 4, 0, 7, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 6, 6, 0.0, 36.36, 54.55, 54.5, 85.6875, 85.6875, 0, 14.298828125, 63.59375, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 85.6875, 0.0, 14.298828125, 0.0, 0.0, 0.0, 73.0, 16.0, 2.0, 2.0, 27.0, "Tous les candidats", 863.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 84.0, "31051", "Licence - Portail Economie et gestion - Economie et Gestion - Valence", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31050&g_ta_cod=31051", 91.0, 9.0, 0.0),
(1695, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Science politique", "Licence - Droit-économie-gestion", "", 100, 1737, 962, 1737, 0, 1421, 276, 30, 14, 9, 6, 277, 0, 0, 0, 0, 0, 1734, 0, 0, 0, 1421, 276, 30, 14, 9, 6, 274, 586, 103, 51, 103, 0, 1.0, 82.0, 94.0, 0, 26, 100, 100, 0, 0, 3, 0, 4, 40, 46, 10, 0.0, 96, 0, 0, 0, 0, 61, 61, 0.97, 79.61, 91.26, 49.5, 61.0, 61.0, 0, 26.0, 97.09375, 0.0, 4.0, 40.0, 46.0, 10.0, 0.0, 100.0, 96.0, 0.0, 0.0, 0.0, 0.0, 553.0, 108.0, 0.0, 0.0, 33.0, "Tous les candidats", 893.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "13669", "Licence - Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13669&g_ta_cod=13669", 100.0, 0.0, 0.0),
(1696, "Privé sous contrat d'association", "0442774B", "LGT SAINT FELIX - LA SALLE", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LGT SAINT FELIX - LA SALLE - BTS - Services - Communication", "BTS - Services", "", 35, 1050, 756, 1048, 0, 317, 30, 334, 69, 120, 33, 277, 2, 0, 0, 1, 1, 421, 0, 0, 0, 170, 13, 166, 23, 61, 18, 24, 163, 33, 24, 33, 0, 5.0, 28.0, 33.0, 0, 9, 32, 15, 14, 3, 1, 0, 6, 16, 8, 2, 0.0, 11, 12, 3, 3, 2, 31, 31, 15.15, 84.85, 100.0, 72.6875, 96.890625, 96.890625, 9.3984375, 28.09765625, 97.0, 0.0, 18.796875, 50.0, 25.0, 6.3, 0.0, 46.8984375, 34.3984375, 43.796875, 37.5, 9.3984375, 9.3984375, 68.0, 9.0, 19.0, 9.0, 9.0, "Tous les candidats sauf les Bac professionnels", 219.0, "Bacheliers professionnels toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 24.0, "5508", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5508&g_ta_cod=5508", 48.0, 42.0, 9.0),
(1697, "Public", "0061642C", "Lycée International de Valbonne", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Valbonne", "formation sélective", "CPGE", "Lycée International de Valbonne - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 48, 657, 371, 620, 484, 529, 45, 1, 1, 0, 0, 90, 37, 20, 0, 1, 16, 537, 9, 484, 248, 464, 43, 0, 0, 0, 0, 73, 205, 30, 20, 30, 0, 6.0, 30.0, 30.0, 27, 2, 29, 29, 0, 0, 1, 0, 0, 3, 11, 14, 1.0, 29, 0, 0, 0, 0, 24, 24, 20.0, 100.0, 100.0, 66.6875, 82.796875, 82.796875, 0, 6.8994140625, 96.6875, 0.0, 0.0, 10.298828125, 37.8984375, 48.3, 3.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 199.0, 18.0, 0.0, 0.0, 6.0, "Tous les candidats", 287.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "31343", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31343&g_ta_cod=31343", 100.0, 0.0, 0.0),
(1698, "Public", "0180809G", "IFSI CH Vierzon", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Vierzon", "formation sélective", "IFSI", "Regroupement d'IFSI Université Tours - D.E Infirmier", "D.E secteur sanitaire", "", 37, 4055, 3389, 4055, 0, 589, 99, 989, 216, 356, 118, 2121, 0, 0, 0, 0, 0, 3552, 0, 0, 0, 565, 89, 948, 200, 286, 96, 1753, 774, 35, 29, 35, 0, 0.0, 14.0, 24.0, 0, 5, 23, 8, 10, 5, 12, 0, 4, 9, 8, 2, 0.0, 5, 9, 5, 0, 0, 21, 21, 0.0, 40.0, 68.57, 82.890625, 91.296875, 91.296875, 0, 21.69921875, 65.6875, 0.0, 17.3984375, 39.09375, 34.796875, 8.7, 0.0, 34.796875, 21.69921875, 43.5, 39.09375, 21.69921875, 21.69921875, 138.0, 15.0, 44.0, 19.0, 278.0, "Tous les candidats", 2676.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "23259", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22995&g_ta_cod=23259", 40.0, 40.0, 20.0),
(1699, "Privé enseignement supérieur", "0622384E", "CESI Campus d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 36, 755, 108, 746, 0, 561, 55, 58, 11, 0, 0, 127, 9, 6, 0, 0, 3, 581, 2, 0, 0, 463, 33, 50, 8, 0, 0, 68, 157, 24, 1, 23, 1, 9.0, 23.0, 23.0, 0, 0, 23, 21, 2, 0, 1, 0, 2, 16, 5, 0, 0.0, 19, 2, 0, 0, 0, 22, 22, 37.5, 95.83, 95.83, 4.19921875, 95.6875, 95.6875, 0, 0.0, 95.796875, 0.0, 8.69921875, 69.59375, 21.69921875, 0.0, 0.0, 91.296875, 82.59375, 8.69921875, 8.69921875, 0.0, 0.0, 115.0, 9.0, 0.0, 0.0, 31.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "25166", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25166", 92.0, 8.0, 0.0),
(1700, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation non sélective", "Licence", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 170, 2438, 979, 2438, 0, 1635, 290, 213, 76, 14, 5, 576, 0, 0, 0, 0, 0, 2355, 0, 0, 0, 1635, 290, 213, 76, 14, 5, 493, 1071, 169, 54, 166, 0, 5.0, 122.0, 151.0, 0, 16, 142, 136, 4, 2, 27, 0, 39, 80, 20, 3, 0.0, 100, 2, 1, 0, 0, 101, 116, 2.96, 72.19, 89.35, 32.0, 71.09375, 81.6875, 0, 11.298828125, 84.0, 0.0, 27.5, 56.296875, 14.099609375, 2.1, 0.0, 95.796875, 70.390625, 2.7998046875, 1.39990234375, 1.39990234375, 0.699951171875, 952.0, 163.0, 4.0, 2.0, 92.0, "Tous les candidats", 1483.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "12934", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12934&g_ta_cod=12934", 93.0, 4.0, 2.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(1701, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence_Las", "Université de Poitiers - Licence - Portail  -  option Santé", "Licence - Sciences - technologies - santé", "", 40, 453, 283, 453, 0, 340, 64, 8, 3, 0, 0, 105, 0, 0, 0, 0, 0, 451, 0, 0, 0, 340, 64, 8, 3, 0, 0, 103, 179, 40, 25, 40, 0, 1.0, 32.0, 37.0, 0, 8, 37, 36, 1, 0, 3, 0, 4, 22, 10, 1, 0.0, 32, 1, 0, 0, 0, 37, 37, 2.5, 80.0, 92.5, 62.5, 100.0, 100.0, 0, 21.59765625, 92.5, 0.0, 10.798828125, 59.5, 27.0, 2.7, 0.0, 97.296875, 86.5, 2.69970703125, 2.69970703125, 0.0, 0.0, 157.0, 27.0, 0.0, 0.0, 21.0, "Tous les candidats", 199.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "28738", "Licence - Portail  -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28738&g_ta_cod=28738", 98.0, 3.0, 0.0),
(1702, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence_Las", "Université du Mans - Licence - Portail Portail Economie-Gestion", "Licence - Droit-économie-gestion", "Portail Economie-Gestion", 10, 146, 74, 146, 0, 88, 29, 9, 4, 5, 2, 44, 0, 0, 0, 0, 0, 144, 0, 0, 0, 88, 29, 9, 4, 5, 2, 42, 66, 10, 6, 10, 0, 0.0, 3.0, 10.0, 0, 2, 6, 6, 0, 0, 4, 0, 5, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 4, 4, 0.0, 30.0, 100.0, 60.0, 66.6875, 66.6875, 0, 33.296875, 60.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 100.0, 16.69921875, 0.0, 0.0, 0.0, 0.0, 43.0, 13.0, 1.0, 0.0, 20.0, "Tous les candidats", 894.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 84.0, "26866", "Licence - Portail Portail Economie-Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26865&g_ta_cod=26866", 80.0, 10.0, 10.0),
(1703, "Privé sous contrat d'association", "0831458J", "Yncréa méditérranée", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Ecole d'Ingénieur", "PUISSANCE ALPHA BACHELOR - Formation Bac + 3", "Formations  des écoles d'ingénieurs", "Bachelor gaming & e-makers Marseille", 28, 146, 11, 130, 0, 74, 23, 26, 16, 7, 6, 23, 16, 3, 2, 1, 10, 122, 12, 0, 0, 73, 23, 25, 16, 3, 3, 21, 131, 15, 1, 14, 1, 13.0, 14.0, 14.0, 0, 4, 11, 6, 5, 0, 4, 0, 5, 5, 1, 0, 0.0, 4, 2, 0, 0, 0, 5, 5, 86.67, 93.33, 93.33, 6.69921875, 45.5, 45.5, 0, 36.3984375, 73.296875, 0.0, 45.5, 45.5, 9.099609375, 0.0, 0.0, 54.5, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 74.0, 23.0, 3.0, 3.0, 28.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "30821", "Formation Bac + 3", "PUISSANCE ALPHA BACHELOR", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30813&g_ta_cod=30821", 67.0, 33.0, 0.0),
(1704, "Public", "0420041S", "Lycée Claude Fauriel", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "CPGE", "Lycée Claude Fauriel - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 308, 122, 300, 212, 253, 28, 0, 0, 0, 0, 47, 8, 4, 0, 0, 4, 251, 2, 189, 228, 229, 21, 0, 0, 0, 0, 22, 164, 5, 2, 5, 0, 1.0, 5.0, 5.0, 0, 0, 5, 5, 0, 0, 0, 0, 0, 1, 3, 1, 0.0, 5, 0, 0, 0, 0, 4, 4, 20.0, 100.0, 100.0, 40.0, 80.0, 80.0, 0, 0.0, 100.0, 0.0, 0.0, 20.0, 60.0, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 148.0, 15.0, 0.0, 0.0, 16.0, "Tous les candidats", 246.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "31316", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31316&g_ta_cod=31316", 100.0, 0.0, 0.0),
(1705, "Public", "9760370Y", "LYCEE POLYVALENT DE MAMOUDZOU NORD", "976", "Mayotte", "Mayotte", "Mayotte", "Mamoudzou", "formation sélective", "Autre formation", "LYCEE POLYVALENT DE MAMOUDZOU NORD - Mention complémentaire - Assistance Conseil Vente à distance", "Mention complémentaire", "", 30, 176, 135, 176, 0, 25, 14, 57, 36, 57, 31, 37, 0, 0, 0, 0, 0, 84, 0, 0, 0, 11, 8, 28, 22, 35, 18, 10, 68, 28, 23, 28, 0, 8.0, 26.0, 26.0, 0, 16, 23, 0, 9, 14, 5, 0, 21, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 23, 23, 28.57, 92.86, 92.86, 82.09375, 100.0, 100.0, 0, 69.59375, 82.09375, 0.0, 91.296875, 4.2998046875, 4.2998046875, 0.0, 0.0, 0.0, 0.0, 39.09375, 0.0, 60.8984375, 8.69921875, 5.0, 3.0, 32.0, 16.0, 9.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "31071", "Mention complémentaire - Assistance Conseil Vente à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31071&g_ta_cod=31071", 0.0, 36.0, 64.0),
(1706, "Public", "0771436T", "Lycée agricole Bougainville", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Brie-Comte-Robert", "formation sélective", "BTS", "Lycée agricole Bougainville - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 12, 220, 100, 201, 0, 15, 4, 31, 4, 35, 14, 120, 19, 0, 0, 9, 10, 86, 4, 0, 0, 15, 4, 30, 4, 31, 12, 10, 48, 12, 9, 9, 3, 2.0, 8.0, 12.0, 0, 1, 8, 0, 5, 3, 4, 0, 3, 4, 1, 0, 0.0, 0, 2, 3, 6, 5, 7, 8, 16.67, 66.67, 100.0, 75.0, 87.5, 100.0, 75, 12.5, 66.6875, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 0.0, 0.0, 62.5, 25.0, 37.5, 37.5, 9.0, 3.0, 20.0, 7.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 32.0, "9839", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9839&g_ta_cod=9839", 8.0, 42.0, 50.0),
(1707, "Privé enseignement supérieur", "0061715G", "IPAG Business School - Campus de Nice", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Programme Grande Ecole - Management et Ingénierie", 20, 725, 266, 721, 0, 589, 23, 45, 6, 4, 2, 83, 4, 1, 0, 0, 3, 659, 4, 0, 0, 557, 19, 31, 4, 1, 1, 70, 663, 8, 3, 6, 2, 5.0, 6.0, 6.0, 0, 0, 6, 6, 0, 0, 2, 0, 1, 5, 0, 0, 0.0, 5, 0, 0, 0, 0, 3, 3, 62.5, 75.0, 75.0, 37.5, 50.0, 50.0, 0, 0.0, 75.0, 0.0, 16.69921875, 83.296875, 0.0, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 558.0, 19.0, 1.0, 1.0, 73.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "26117", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26117", 100.0, 0.0, 0.0),
(1708, "Privé enseignement supérieur", "0342380C", "TRAVELLING, École Supérieure du Cinéma et de la Télévision", "34", "Hérault", "Occitanie", "Montpellier", "Mauguio", "formation sélective", "BTS", "TRAVELLING, École Supérieure du Cinéma et de la Télévision - BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "BTS - Services", "", 7, 154, 15, 150, 0, 62, 6, 19, 3, 16, 3, 53, 4, 1, 0, 0, 3, 49, 0, 0, 0, 26, 2, 5, 1, 8, 1, 10, 31, 3, 0, 3, 0, 0.0, 3.0, 3.0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0.0, 3, 0, 0, 0, 0, 2, 2, 0.0, 100.0, 100.0, 0.0, 66.6875, 66.6875, 0, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 13.0, 1.0, 6.0, 0.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers technologiques toutes séries", 8, "Bacheliers professionnels toutes séries", 7, "Liste d'appel propre à cette formation", 31.0, "34060", "BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34060&g_ta_cod=34060", 100.0, 0.0, 0.0),
(1709, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues étrangères appliquées - Parcours Anglais chinois appliqués aux affaires", "Licence - Arts-lettres-langues", "Anglais chinois appliqués aux affaires", 75, 458, 354, 458, 0, 292, 85, 21, 8, 12, 10, 133, 0, 0, 0, 0, 0, 458, 0, 0, 0, 292, 85, 21, 8, 12, 10, 133, 271, 74, 60, 74, 0, 62.0, 63.0, 66.0, 0, 18, 54, 50, 3, 1, 20, 2, 13, 21, 13, 4, 1.0, 37, 1, 1, 0, 0, 46, 46, 83.78, 85.14, 89.19, 81.09375, 85.1875, 85.1875, 0, 33.296875, 73.0, 3.69970703125, 24.09765625, 38.8984375, 24.09765625, 7.4, 1.9, 92.59375, 68.5, 5.599609375, 1.89990234375, 1.89990234375, 1.89990234375, 179.0, 54.0, 7.0, 7.0, 74.0, "Tous les candidats", 260.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "7146", "Licence - Langues étrangères appliquées - Parcours Anglais chinois appliqués aux affaires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7146&g_ta_cod=7146", 91.0, 7.0, 3.0),
(1710, "Public", "0750660K", "Lycée Fénelon", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Fénelon - CPGE - BCPST", "Classe préparatoire scientifique", "", 40, 2490, 1810, 2490, 296, 1982, 215, 2, 0, 1, 0, 505, 0, 0, 0, 0, 0, 1534, 0, 221, 1426, 1458, 162, 0, 0, 1, 0, 75, 489, 39, 22, 39, 0, 3.0, 18.0, 36.0, 3, 6, 39, 39, 0, 0, 0, 1, 0, 0, 23, 14, 1.0, 38, 0, 0, 0, 0, 16, 34, 7.69, 46.15, 92.31, 56.3984375, 41.0, 87.1875, 0, 15.3984375, 100.0, 2.599609375, 0.0, 0.0, 59.0, 35.9, 2.6, 100.0, 97.390625, 0.0, 0.0, 0.0, 0.0, 484.0, 47.0, 0.0, 0.0, 5.0, "Tous les candidats", 796.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "8988", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8988&g_ta_cod=8988", 100.0, 0.0, 0.0),
(1711, "Privé enseignement supérieur", "0922007G", "EDC Paris BS", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Puteaux", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 150, 2074, 860, 2051, 0, 1720, 90, 167, 9, 7, 2, 157, 23, 6, 1, 0, 16, 1969, 23, 0, 0, 1667, 82, 158, 8, 3, 2, 141, 1825, 28, 13, 24, 4, 18.0, 23.0, 25.0, 0, 4, 23, 18, 5, 0, 5, 0, 8, 8, 6, 1, 0.0, 11, 4, 0, 0, 0, 12, 15, 64.29, 82.14, 89.29, 46.3984375, 52.1953125, 65.1875, 0, 17.3984375, 82.09375, 0.0, 34.796875, 34.796875, 26.09765625, 4.3, 0.0, 78.296875, 47.796875, 21.69921875, 17.3984375, 0.0, 0.0, 1538.0, 72.0, 3.0, 2.0, 139.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "26106", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26106", 82.0, 18.0, 0.0),
(1712, "Privé sous contrat d'association", "0881711G", "CFRP de Gugnecourt", "88", "Vosges", "Grand Est", "Nancy-Metz", "Gugnécourt", "formation sélective", "BTS", "CFRP de Gugnecourt - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 25, 37, 22, 37, 0, 3, 2, 11, 3, 20, 8, 3, 0, 0, 0, 0, 0, 35, 0, 0, 0, 3, 2, 11, 3, 19, 8, 2, 35, 6, 2, 6, 0, 6.0, 6.0, 6.0, 0, 4, 6, 0, 0, 6, 0, 0, 2, 3, 1, 0, 0.0, 0, 0, 4, 0, 0, 5, 5, 100.0, 100.0, 100.0, 33.296875, 83.296875, 83.296875, 0, 66.6875, 100.0, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 3.0, 2.0, 19.0, 8.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 95.0, "10768", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10768&g_ta_cod=10768", 0.0, 0.0, 100.0),
(1713, "Public", "0730037U", "Lycée Paul Heroult", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Jean-de-Maurienne", "formation sélective", "BTS", "Lycée Paul Heroult - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 194, 22, 187, 0, 5, 1, 23, 3, 63, 15, 96, 7, 0, 4, 0, 3, 109, 1, 0, 0, 5, 1, 23, 3, 63, 15, 18, 64, 11, 0, 11, 0, 2.0, 10.0, 10.0, 0, 3, 11, 1, 2, 8, 0, 1, 2, 5, 1, 2, 0.0, 1, 1, 6, 9, 0, 10, 10, 18.18, 90.91, 90.91, 0.0, 90.890625, 90.890625, 81.796875, 27.296875, 100.0, 9.099609375, 18.19921875, 45.5, 9.099609375, 18.2, 0.0, 9.099609375, 9.099609375, 18.19921875, 9.099609375, 72.6875, 54.5, 3.0, 1.0, 40.0, 12.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 44.0, "8793", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8793&g_ta_cod=8793", 9.0, 18.0, 73.0),
(1714, "Privé sous contrat d'association", "0692522S", "Ecole Santé Social Sud-Est", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "EFTS", "Ecole Santé Social Sud-Est - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 57, 645, 619, 645, 0, 121, 15, 115, 13, 72, 15, 337, 0, 0, 0, 0, 0, 593, 0, 0, 0, 113, 14, 108, 12, 59, 12, 313, 112, 58, 56, 58, 0, 32.0, 50.0, 53.0, 0, 1, 28, 8, 10, 10, 30, 0, 0, 7, 17, 4, 0.0, 8, 10, 10, 0, 0, 15, 15, 55.17, 86.21, 91.38, 96.59375, 53.59375, 53.59375, 0, 3.599609375, 48.296875, 0.0, 0.0, 25.0, 60.6953125, 14.3, 0.0, 28.59765625, 28.59765625, 35.6953125, 35.6953125, 35.6953125, 35.6953125, 13.0, 1.0, 17.0, 1.0, 64.0, "Tous les candidats", 133.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "25197", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24836&g_ta_cod=25197", 48.0, 26.0, 24.0),
(1715, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Droit - Parcours A distance", "Licence - Droit-économie-gestion", "A distance", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 34, 12, 10, 0, 0, 0.0, 0.0, 4.0, 0, 3, 12, 9, 3, 0, 0, 0, 8, 4, 0, 0, 0.0, 3, 1, 0, 0, 0, 10, 11, 0.0, 0.0, 33.33, 83.296875, 83.296875, 91.6875, 0, 25.0, 100.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 75.0, 25.0, 25.0, 8.298828125, 0.0, 0.0, 27.0, 6.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25716", "Licence - Droit - Parcours A distance", "", "", 75.0, 25.0, 0.0),
(1716, "Public", "0741586X", "Université Savoie Mont Blanc - Annecy-le-Vieux", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Annecy-le-Vieux - Licence - Economie et gestion - Parcours Sciences du numérique - Gestion industrielle", "Licence - Droit-économie-gestion", "Sciences du numérique - Gestion industrielle", 25, 151, 42, 151, 0, 96, 16, 23, 2, 4, 2, 28, 0, 0, 0, 0, 0, 151, 0, 0, 0, 96, 16, 23, 2, 4, 2, 28, 96, 21, 7, 21, 0, 5.0, 17.0, 20.0, 0, 3, 16, 14, 2, 0, 5, 1, 9, 6, 0, 0, 0.0, 5, 1, 0, 0, 0, 16, 16, 23.81, 80.95, 95.24, 33.296875, 100.0, 100.0, 0, 18.796875, 76.1875, 6.2998046875, 56.296875, 37.5, 0.0, 0.0, 0.0, 87.5, 31.296875, 12.5, 6.2998046875, 0.0, 0.0, 70.0, 13.0, 1.0, 1.0, 16.0, "Tous les candidats", 104.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "32066", "Licence - Economie et gestion - Parcours Sciences du numérique - Gestion industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32066&g_ta_cod=32066", 86.0, 14.0, 0.0),
(1717, "Public", "0730858L", "Université Savoie Mont Blanc - Chambéry", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Jacob-Bellecombette", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Chambéry - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Anglais", "Licence - Arts-lettres-langues", "LLCER Anglais", 100, 622, 450, 542, 0, 415, 74, 23, 11, 14, 7, 90, 80, 20, 6, 2, 52, 542, 29, 0, 0, 415, 74, 23, 11, 14, 7, 90, 465, 95, 61, 78, 16, 34.0, 77.0, 81.0, 0, 15, 69, 63, 3, 3, 26, 2, 20, 26, 13, 7, 1.0, 46, 0, 1, 0, 0, 59, 59, 35.79, 81.05, 85.26, 64.1875, 85.5, 85.5, 0, 21.69921875, 72.59375, 2.89990234375, 29.0, 37.6953125, 18.796875, 10.1, 1.4, 91.296875, 66.6875, 4.2998046875, 0.0, 4.2998046875, 1.39990234375, 336.0, 63.0, 14.0, 7.0, 101.0, "Tous les candidats", 539.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "8804", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8804&g_ta_cod=8804", 86.0, 5.0, 7.0),
(1718, "Privé sous contrat d'association", "0951994B", "Lycée O R T", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Villiers-le-Bel", "formation sélective", "BTS", "Lycée O R T - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 32, 360, 183, 290, 0, 37, 15, 82, 36, 61, 27, 110, 70, 0, 42, 0, 28, 176, 33, 0, 0, 29, 10, 52, 21, 43, 19, 52, 139, 23, 9, 14, 9, 6.0, 12.0, 16.0, 0, 5, 13, 1, 9, 3, 10, 0, 10, 3, 0, 0, 0.0, 0, 1, 2, 2, 1, 6, 13, 26.09, 52.17, 69.57, 39.09375, 46.1953125, 100.0, 15.3984375, 38.5, 56.5, 0.0, 76.890625, 23.09765625, 0.0, 0.0, 0.0, 7.69921875, 0.0, 69.1875, 7.69921875, 23.09765625, 15.3984375, 12.0, 5.0, 11.0, 3.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 37.0, "16625", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16625&g_ta_cod=16625", 22.0, 65.0, 13.0),
(1719, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Université Angers - Licence - Portail Langues étrangères appliquées - Anglais-Allemand", "Licence - Arts-lettres-langues", "Anglais-Allemand", 50, 289, 194, 241, 0, 176, 27, 14, 9, 6, 2, 45, 48, 8, 2, 1, 37, 241, 23, 0, 0, 176, 27, 14, 9, 6, 2, 45, 264, 42, 23, 32, 10, 30.0, 31.0, 38.0, 0, 10, 31, 27, 4, 0, 11, 0, 11, 11, 8, 0, 1.0, 18, 2, 0, 0, 0, 28, 28, 71.43, 73.81, 90.48, 54.796875, 90.296875, 90.296875, 0, 32.296875, 73.796875, 0.0, 35.5, 35.5, 25.796875, 0.0, 3.2, 87.09375, 58.09375, 12.8984375, 6.5, 0.0, 0.0, 177.0, 27.0, 6.0, 2.0, 66.0, "Tous les candidats", 258.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "5927", "Licence - Portail Langues étrangères appliquées - Anglais-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26805&g_ta_cod=5927", 79.0, 17.0, 2.0),
(1720, "Public", "0810004P", "Lycée Louis Rascol", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "BTS", "Lycée Louis Rascol - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 24, 325, 56, 325, 0, 12, 1, 69, 22, 73, 34, 171, 0, 0, 0, 0, 0, 325, 0, 0, 0, 12, 1, 69, 22, 73, 34, 171, 80, 25, 2, 25, 0, 11.0, 22.0, 25.0, 0, 9, 21, 2, 6, 13, 4, 0, 8, 7, 5, 1, 0.0, 1, 3, 9, 12, 0, 20, 20, 44.0, 88.0, 100.0, 8.0, 95.1875, 95.1875, 57.09375, 42.8984375, 84.0, 0.0, 38.09375, 33.296875, 23.796875, 4.8, 0.0, 9.5, 4.7998046875, 28.59765625, 14.298828125, 61.8984375, 42.8984375, 8.0, 1.0, 29.0, 13.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 39.0, "10263", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10263&g_ta_cod=10263", 12.0, 28.0, 60.0),
(1721, "Public", "0150006A", "Lycée Jean Monnet - Mermoz", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "Autre formation", "Lycée Jean Monnet - Mermoz - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 15, 23, 0, 23, 0, 0, 0, 0, 0, 21, 3, 2, 0, 0, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 21, 3, 2, 21, 6, 0, 6, 0, 4.0, 6.0, 6.0, 0, 2, 5, 0, 0, 5, 1, 0, 3, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 4, 4, 66.67, 100.0, 100.0, 0.0, 80.0, 80.0, 0, 40.0, 83.296875, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 40.0, 0.0, 0.0, 20.0, 3.0, 1.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "19968", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19968&g_ta_cod=19968", 0.0, 0.0, 100.0),
(1722, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Autre formation", "Université de Paris - Diplôme d'Université - PAREO", "Diplôme d'Université", "PAREO", 400, 622, 343, 223, 0, 64, 18, 66, 29, 39, 10, 54, 399, 117, 68, 33, 181, 200, 261, 0, 0, 59, 16, 64, 29, 33, 9, 44, 570, 324, 178, 91, 196, 85.0, 87.0, 131.0, 0, 74, 232, 121, 77, 34, 92, 1, 168, 54, 9, 0, 0.0, 23, 25, 15, 0, 0, 120, 218, 26.23, 26.85, 40.43, 54.8984375, 51.6953125, 94.0, 0, 31.8984375, 71.59375, 0.39996337890625, 72.390625, 23.296875, 3.89990234375, 0.0, 0.0, 52.1953125, 9.8984375, 33.1953125, 10.798828125, 14.69921875, 6.5, 242.0, 70.0, 54.0, 22.0, 144.0, "Tous les candidats", 200.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "18569", "Diplôme d'Université - PAREO", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18569&g_ta_cod=18569", 50.0, 33.0, 17.0),
(1723, "Public", "0941952L", "Lycée Francois Arago", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villeneuve-Saint-Georges", "formation sélective", "BTS", "Lycée Francois Arago - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 1397, 678, 1269, 0, 59, 20, 355, 154, 460, 229, 395, 128, 39, 0, 0, 89, 277, 3, 0, 0, 11, 2, 57, 26, 173, 87, 36, 126, 24, 8, 21, 1, 4.0, 18.0, 19.0, 0, 7, 21, 2, 10, 9, 3, 0, 10, 10, 1, 0, 0.0, 1, 5, 5, 7, 4, 14, 21, 16.67, 75.0, 79.17, 33.296875, 66.6875, 100.0, 33.296875, 33.296875, 87.5, 0.0, 47.59375, 47.59375, 4.7998046875, 0.0, 0.0, 9.5, 4.7998046875, 47.59375, 23.796875, 42.8984375, 23.796875, 12.0, 2.0, 55.0, 31.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 12.0, "11540", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11540&g_ta_cod=11540", 17.0, 46.0, 38.0),
(1724, "Public", "0541207U", "Lycée agricole Nancy-Pixerecourt", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Malzéville", "formation sélective", "BTS", "Lycée agricole Nancy-Pixerecourt - BTS - Agricole - productions animales", "BTS - Agricole", "", 27, 281, 187, 280, 0, 77, 10, 85, 24, 66, 18, 52, 1, 0, 0, 0, 1, 190, 1, 0, 0, 68, 8, 66, 19, 40, 11, 16, 117, 23, 20, 23, 0, 2.0, 18.0, 21.0, 0, 10, 21, 9, 8, 4, 2, 0, 8, 10, 3, 0, 0.0, 5, 4, 4, 2, 2, 10, 10, 8.7, 78.26, 91.3, 87.0, 47.59375, 47.59375, 9.5, 47.59375, 91.296875, 0.0, 38.09375, 47.59375, 14.298828125, 0.0, 0.0, 42.8984375, 23.796875, 38.09375, 19.0, 19.0, 19.0, 44.0, 6.0, 19.0, 5.0, 12.0, "Tous les candidats sauf les Bac professionnels", 135.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 57.0, "6307", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6307&g_ta_cod=6307", 48.0, 35.0, 17.0),
(1725, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence_Las", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Moyen-Orient et Maghreb - Arabe maghrébin", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères, parcours Moyen-Orient et Maghreb - Arabe maghrébin", 10, 159, 120, 159, 0, 61, 28, 7, 3, 5, 3, 86, 0, 0, 0, 0, 0, 159, 0, 0, 0, 61, 28, 7, 3, 5, 3, 86, 56, 10, 8, 10, 0, 1.0, 5.0, 7.0, 0, 2, 4, 4, 0, 0, 6, 1, 2, 0, 0, 1, 0.0, 1, 0, 0, 0, 0, 0, 3, 10.0, 50.0, 70.0, 80.0, 0.0, 75.0, 0, 50.0, 40.0, 25.0, 50.0, 0.0, 0.0, 25.0, 0.0, 100.0, 25.0, 0.0, 0.0, 0.0, 0.0, 29.0, 12.0, 0.0, 0.0, 27.0, "Tous les candidats", 138.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "29602", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Moyen-Orient et Maghreb - Arabe maghrébin", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29601&g_ta_cod=29602", 90.0, 10.0, 0.0),
(1726, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence", "Université de Toulon - Licence - Informatique - Parcours Licence Informatique", "Licence - Sciences - technologies - santé", "Licence Informatique", 120, 696, 93, 675, 0, 397, 82, 81, 17, 13, 7, 184, 21, 1, 0, 0, 20, 639, 20, 0, 0, 397, 82, 81, 17, 13, 7, 148, 477, 116, 14, 104, 12, 6.0, 97.0, 102.0, 0, 20, 76, 67, 5, 4, 40, 0, 43, 25, 7, 1, 0.0, 28, 3, 2, 0, 0, 62, 62, 5.17, 83.62, 87.93, 12.099609375, 81.59375, 81.59375, 0, 26.296875, 65.5, 0.0, 56.59375, 32.8984375, 9.19921875, 1.3, 0.0, 88.1875, 36.796875, 6.599609375, 3.89990234375, 5.2998046875, 2.599609375, 327.0, 62.0, 7.0, 4.0, 116.0, "Tous les candidats", 609.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "20400", "Licence - Informatique - Parcours Licence Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20400&g_ta_cod=20400", 81.0, 10.0, 8.0),
(1727, "Public", "0310039Z", "Lycée Marcelin Berthelot", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Marcelin Berthelot - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 65, 2090, 1007, 2090, 0, 179, 43, 781, 287, 652, 282, 478, 0, 0, 0, 0, 0, 2090, 0, 0, 0, 179, 43, 781, 287, 652, 282, 478, 232, 55, 21, 55, 0, 12.0, 38.0, 49.0, 0, 29, 43, 7, 10, 26, 12, 0, 13, 22, 8, 0, 0.0, 3, 9, 18, 1, 1, 36, 36, 21.82, 69.09, 89.09, 38.1953125, 83.6875, 83.6875, 2.2998046875, 67.390625, 78.1875, 0.0, 30.19921875, 51.1953125, 18.59765625, 0.0, 0.0, 16.296875, 7.0, 23.296875, 20.8984375, 60.5, 41.8984375, 45.0, 21.0, 85.0, 36.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 76.0, "Bacheliers professionnels toutes séries", 149, "Bacheliers technologiques toutes séries", 119, "Liste d'appel propre à cette formation", 16.0, "4045", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4045&g_ta_cod=4045", 22.0, 25.0, 53.0),
(1728, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence_Las", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - STAPS", "", 30, 3459, 1318, 3459, 0, 2333, 310, 305, 72, 73, 26, 748, 0, 0, 0, 0, 0, 3455, 0, 0, 0, 2333, 310, 305, 72, 73, 26, 744, 66, 30, 16, 30, 0, 8.0, 28.0, 30.0, 0, 3, 30, 30, 0, 0, 0, 0, 0, 9, 13, 8, 0.0, 30, 0, 0, 0, 0, 25, 25, 26.67, 93.33, 100.0, 53.296875, 83.296875, 83.296875, 0, 10.0, 100.0, 0.0, 0.0, 30.0, 43.296875, 26.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 58.0, 7.0, 2.0, 0.0, 1.0, "Tous les candidats", 122.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 2.0, "26686", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26685&g_ta_cod=26686", 100.0, 0.0, 0.0),
(1729, "Public", "0350028R", "Lycée Bréquigny", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Bréquigny - BTS - Services - Support à l'action managériale", "BTS - Services", "", 34, 1099, 755, 1028, 0, 56, 14, 416, 139, 263, 141, 293, 71, 15, 0, 2, 54, 600, 6, 0, 0, 47, 8, 317, 88, 123, 66, 113, 183, 26, 19, 22, 4, 1.0, 16.0, 20.0, 0, 7, 12, 2, 5, 5, 14, 0, 4, 7, 1, 0, 0.0, 2, 3, 3, 0, 0, 6, 6, 3.85, 61.54, 76.92, 73.09375, 50.0, 50.0, 0, 58.296875, 46.1953125, 0.0, 33.296875, 58.296875, 8.298828125, 0.0, 0.0, 16.69921875, 16.69921875, 41.6953125, 25.0, 41.6953125, 25.0, 41.0, 8.0, 65.0, 42.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 130, "Bacheliers technologiques toutes séries", 189, "Liste d'appel propre à cette formation", 37.0, "4633", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4633&g_ta_cod=4633", 35.0, 38.0, 27.0),
(1730, "Public", "0600040T", "Lycée Jean Calvin", "60", "Oise", "Hauts-de-France", "Amiens", "Noyon", "formation sélective", "BTS", "Lycée Jean Calvin - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 15, 187, 90, 151, 0, 14, 6, 42, 15, 33, 15, 62, 36, 4, 0, 7, 25, 61, 8, 0, 0, 13, 6, 25, 10, 18, 8, 5, 51, 12, 4, 8, 4, 4.0, 8.0, 12.0, 0, 4, 7, 0, 4, 3, 5, 0, 3, 3, 0, 1, 0.0, 0, 2, 2, 4, 0, 7, 7, 33.33, 66.67, 100.0, 33.296875, 100.0, 100.0, 57.09375, 57.09375, 58.296875, 0.0, 42.8984375, 42.8984375, 0.0, 14.3, 0.0, 0.0, 0.0, 57.09375, 28.59765625, 42.8984375, 28.59765625, 13.0, 7.0, 17.0, 8.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 40.0, "7250", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7250&g_ta_cod=7250", 33.0, 33.0, 33.0),
(1731, "Public", "0440029T", "LGT Livet", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LGT Livet - BTS - Production - Travaux publics", "BTS - Production", "", 24, 455, 68, 447, 0, 81, 7, 167, 24, 70, 18, 129, 8, 0, 0, 5, 3, 447, 2, 0, 0, 81, 7, 167, 24, 70, 18, 129, 167, 22, 2, 21, 1, 0.0, 12.0, 19.0, 0, 3, 19, 4, 11, 4, 3, 0, 13, 4, 2, 0, 0.0, 1, 3, 2, 2, 0, 12, 12, 0.0, 54.55, 86.36, 9.099609375, 63.1953125, 63.1953125, 10.5, 15.798828125, 86.390625, 0.0, 68.390625, 21.09765625, 10.5, 0.0, 0.0, 21.09765625, 5.2998046875, 57.8984375, 15.798828125, 21.09765625, 10.5, 33.0, 5.0, 43.0, 12.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 77, "Bacheliers technologiques toutes séries", 149, "Liste d'appel propre à cette formation", 66.0, "5434", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5434&g_ta_cod=5434", 23.0, 59.0, 18.0),
(1732, "Public", "0541324W", "I.U.T Nancy-Charlemagne - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BUT", "I.U.T Nancy-Charlemagne - Université de Lorraine - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", 168, 3187, 1594, 3187, 0, 1759, 312, 800, 198, 45, 21, 583, 0, 0, 0, 0, 0, 1946, 0, 0, 0, 1175, 190, 497, 91, 16, 6, 258, 678, 164, 99, 164, 0, 26.0, 134.0, 158.0, 0, 23, 141, 69, 68, 4, 23, 0, 9, 60, 61, 11, 0.0, 67, 61, 4, 0, 0, 103, 103, 15.85, 81.71, 96.34, 60.3984375, 73.0, 73.0, 0, 16.296875, 86.0, 0.0, 6.3994140625, 42.59375, 43.296875, 7.8, 0.0, 48.8984375, 47.5, 48.1953125, 43.296875, 2.7998046875, 2.7998046875, 317.0, 57.0, 6.0, 2.0, 78.0, "Tous les candidats sauf les Bac technologiques", 580.0, "Bacheliers technologiques toutes séries", 461, "", 0, "Liste d'appel propre à cette formation", 33.0, "6317", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6317&g_ta_cod=6317", 48.0, 49.0, 2.0),
(1733, "Privé enseignement supérieur", "0592806E", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences - Année préparatoire - Année Préparatoire aux Etudes Scientifiques - Parcours Sciences du numérique", "Année préparatoire", "Année Préparatoire aux Etudes Scientifiques - Parcours Sciences du numérique", 24, 14, 4, 11, 0, 6, 0, 0, 0, 1, 1, 4, 3, 2, 0, 0, 1, 7, 2, 0, 0, 6, 0, 0, 0, 0, 0, 1, 9, 2, 0, 0, 2, 0.0, 0.0, 2.0, 0, 0, 2, 2, 0, 0, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "32445", "Année préparatoire - Année Préparatoire aux Etudes Scientifiques - Parcours Sciences du numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32445&g_ta_cod=32445", 100.0, 0.0, 0.0),
(1734, "Public", "0670080Y", "Lycée Kléber", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée Kléber - CPGE - MPSI", "Classe préparatoire scientifique", "", 192, 2871, 832, 2853, 2051, 2324, 211, 1, 1, 0, 0, 528, 18, 10, 0, 0, 8, 1024, 8, 246, 996, 1023, 87, 0, 0, 0, 0, 1, 654, 187, 45, 182, 5, 54.0, 166.0, 178.0, 56, 22, 185, 185, 0, 0, 2, 0, 0, 1, 25, 127, 32.0, 185, 0, 0, 14, 3, 122, 122, 28.88, 88.77, 95.19, 24.09765625, 65.890625, 65.890625, 7.599609375, 11.8984375, 98.890625, 0.0, 0.0, 0.5, 13.5, 68.6, 17.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 652.0, 59.0, 0.0, 0.0, 2.0, "Tous les candidats", 828.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "7916", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7916&g_ta_cod=7916", 100.0, 0.0, 0.0),
(1735, "Privé enseignement supérieur", "0951820M", "EBI", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "bac STL", 6, 51, 26, 47, 0, 0, 0, 47, 15, 0, 0, 0, 4, 0, 4, 0, 0, 10, 0, 0, 0, 0, 0, 10, 5, 0, 0, 0, 8, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "22888", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=22888", 0, 0, 0),
(1736, "Public", "0070001N", "Lycée Boissy D'Anglas", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Annonay", "formation sélective", "BTS", "Lycée Boissy D'Anglas - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 206, 23, 180, 0, 9, 1, 49, 6, 28, 10, 94, 26, 1, 3, 3, 19, 77, 7, 0, 0, 9, 1, 43, 5, 21, 7, 4, 62, 8, 0, 7, 1, 0.0, 7.0, 8.0, 0, 1, 7, 1, 3, 3, 1, 0, 4, 2, 1, 0, 0.0, 0, 1, 2, 2, 0, 5, 5, 0.0, 87.5, 100.0, 0.0, 71.390625, 71.390625, 28.59765625, 14.298828125, 87.5, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 42.8984375, 14.298828125, 42.8984375, 28.59765625, 7.0, 1.0, 18.0, 6.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 43.0, "2329", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2329&g_ta_cod=2329", 25.0, 38.0, 38.0),
(1737, "Public", "0720033V", "Lycée Polyvalent Gabriel Touchard - Washington", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Gabriel Touchard - Washington - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 682, 443, 682, 0, 68, 22, 246, 70, 196, 99, 172, 0, 0, 0, 0, 0, 413, 0, 0, 0, 55, 13, 147, 31, 151, 76, 60, 138, 23, 17, 23, 0, 0.0, 14.0, 18.0, 0, 11, 17, 2, 8, 7, 6, 0, 8, 6, 2, 1, 0.0, 0, 3, 6, 8, 6, 16, 16, 0.0, 60.87, 78.26, 73.890625, 94.09375, 94.09375, 47.09375, 64.6875, 73.890625, 0.0, 47.09375, 35.296875, 11.798828125, 5.9, 0.0, 11.798828125, 0.0, 47.09375, 17.59765625, 41.1953125, 35.296875, 24.0, 10.0, 26.0, 13.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 128, "Liste d'appel propre à cette formation", 31.0, "8702", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8702&g_ta_cod=8702", 13.0, 57.0, 30.0),
(1738, "Public", "0442409E", "Polytech Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 108, 8713, 2223, 8713, 0, 7842, 618, 0, 0, 0, 0, 871, 0, 0, 0, 0, 0, 6106, 0, 0, 0, 5807, 359, 0, 0, 0, 0, 299, 2001, 106, 23, 106, 0, 63.0, 74.0, 105.0, 0, 13, 106, 106, 0, 0, 0, 0, 0, 5, 53, 45, 3.0, 106, 0, 0, 0, 0, 67, 67, 59.43, 69.81, 99.06, 21.69921875, 63.1953125, 63.1953125, 0, 12.298828125, 100.0, 0.0, 0.0, 4.69921875, 50.0, 42.5, 2.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1958.0, 178.0, 0.0, 0.0, 43.0, "Autres candidats", 5795.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "17", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=17", 100.0, 0.0, 0.0),
(1739, "Public", "0750654D", "Lycée Henri IV", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "CPGE", "Lycée Henri IV - CPGE - Lettres", "Classe préparatoire littéraire", "", 180, 3044, 2189, 3044, 1626, 2760, 285, 1, 1, 2, 0, 281, 0, 0, 0, 0, 0, 1458, 0, 686, 1435, 1408, 128, 0, 0, 0, 0, 50, 466, 176, 127, 176, 0, 83.0, 150.0, 171.0, 35, 23, 170, 170, 0, 0, 6, 1, 0, 0, 5, 79, 85.0, 169, 0, 0, 14, 11, 47, 95, 47.16, 85.23, 97.16, 72.1875, 27.59765625, 55.8984375, 8.19921875, 13.5, 96.59375, 0.5999755859375, 0.0, 0.0, 2.89990234375, 46.5, 50.0, 100.0, 99.390625, 0.0, 0.0, 0.0, 0.0, 446.0, 50.0, 0.0, 0.0, 20.0, "Tous les candidats", 526.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "8970", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8970&g_ta_cod=8970", 100.0, 0.0, 0.0),
(1740, "Public", "0010016M", "Lycée Joseph-Marie Carriat", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "BTS", "Lycée Joseph-Marie Carriat - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 355, 182, 353, 0, 42, 5, 126, 35, 69, 33, 116, 2, 2, 0, 0, 0, 257, 0, 0, 0, 39, 5, 112, 25, 55, 26, 51, 136, 34, 22, 31, 0, 11.0, 26.0, 28.0, 0, 9, 27, 3, 13, 11, 7, 0, 11, 11, 5, 0, 0.0, 0, 5, 11, 3, 2, 24, 24, 32.35, 76.47, 82.35, 64.6875, 88.890625, 88.890625, 11.099609375, 33.296875, 79.390625, 0.0, 40.6953125, 40.6953125, 18.5, 0.0, 0.0, 11.099609375, 0.0, 48.09375, 18.5, 40.6953125, 40.6953125, 21.0, 4.0, 23.0, 8.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 92, "Liste d'appel propre à cette formation", 46.0, "2009", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2009&g_ta_cod=2009", 15.0, 50.0, 35.0),
(1741, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Anglais/Allemand - Anglais/Espagnol", "Licence - Arts-lettres-langues", "Anglais/Allemand - Anglais/Espagnol", 5, 32, 27, 28, 0, 17, 3, 1, 0, 5, 2, 5, 4, 2, 0, 0, 2, 28, 4, 0, 0, 17, 3, 1, 0, 5, 2, 5, 25, 5, 5, 1, 4, 0.0, 1.0, 5.0, 0, 1, 3, 3, 0, 0, 2, 0, 0, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 2, 2, 0.0, 20.0, 100.0, 100.0, 66.6875, 66.6875, 0, 33.296875, 60.0, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 17.0, 3.0, 3.0, 1.0, 5.0, "Tous les candidats", 166.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "28950", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Anglais/Allemand - Anglais/Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28949&g_ta_cod=28950", 100.0, 0.0, 0.0),
(1742, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Sciences et technologies", "Licence - Sciences - technologies - santé", "Sciences et technologies : Chimie", 135, 2899, 1698, 2880, 0, 1697, 238, 71, 19, 9, 4, 1103, 19, 4, 0, 0, 15, 2875, 16, 0, 0, 1697, 238, 71, 19, 9, 4, 1098, 1418, 112, 60, 103, 9, 1.0, 52.0, 91.0, 0, 9, 54, 51, 3, 0, 58, 0, 22, 23, 8, 1, 0.0, 30, 2, 0, 0, 0, 47, 47, 0.89, 46.43, 81.25, 53.59375, 87.0, 87.0, 0, 16.69921875, 48.1953125, 0.0, 40.6953125, 42.59375, 14.798828125, 1.9, 0.0, 94.390625, 55.59375, 5.599609375, 3.69970703125, 0.0, 0.0, 820.0, 113.0, 2.0, 1.0, 580.0, "Tous les candidats", 7957.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 79.0, "31077", "Licence - Portail Sciences et technologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31073&g_ta_cod=31077", 92.0, 7.0, 0.0),
(1743, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université de Montpellier - Licence - Portail Licence - physique/chimie/sciences de l'ingénieur (PCSI) - option Kinésithérapie", "Licence - Sciences - technologies - santé", "Licence - physique/chimie/sciences de l'ingénieur (PCSI) - option Kinésithérapie", 20, 277, 130, 277, 0, 124, 27, 10, 4, 0, 0, 143, 0, 0, 0, 0, 0, 277, 0, 0, 0, 124, 27, 10, 4, 0, 0, 143, 138, 21, 9, 21, 0, 1.0, 8.0, 12.0, 0, 0, 9, 8, 1, 0, 12, 0, 2, 3, 4, 0, 0.0, 6, 1, 0, 0, 0, 7, 7, 4.76, 38.1, 57.14, 42.8984375, 77.796875, 77.796875, 0, 0.0, 42.8984375, 0.0, 22.19921875, 33.296875, 44.3984375, 0.0, 0.0, 88.890625, 66.6875, 11.099609375, 11.099609375, 0.0, 0.0, 74.0, 15.0, 0.0, 0.0, 63.0, "Tous les candidats", 161.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "32431", "Licence - Portail Licence - physique/chimie/sciences de l'ingénieur (PCSI) - option Kinésithérapie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32431&g_ta_cod=32431", 95.0, 5.0, 0.0),
(1744, "Privé sous contrat d'association", "0490075R", "ESEO Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole d'Ingénieur", "PUISSANCE ALPHA BACHELOR - Formation Bac + 3", "Formations  des écoles d'ingénieurs", "Bachelor solutions numériques connectées", 36, 226, 21, 221, 0, 147, 10, 39, 5, 1, 1, 34, 5, 2, 1, 0, 2, 157, 2, 0, 0, 112, 9, 32, 2, 0, 0, 13, 109, 15, 0, 14, 1, 3.0, 14.0, 15.0, 0, 0, 14, 11, 3, 0, 1, 0, 1, 8, 3, 2, 0.0, 10, 3, 0, 0, 0, 10, 10, 20.0, 93.33, 100.0, 0.0, 71.390625, 71.390625, 0, 0.0, 93.296875, 0.0, 7.099609375, 57.09375, 21.3984375, 14.3, 0.0, 78.59375, 71.390625, 21.3984375, 21.3984375, 0.0, 0.0, 79.0, 6.0, 0.0, 0.0, 10.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "30827", "Formation Bac + 3", "PUISSANCE ALPHA BACHELOR", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30813&g_ta_cod=30827", 80.0, 20.0, 0.0),
(1745, "Public", "0340038G", "Lycée Joffre", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "CPGE", "Lycée Joffre - CPGE - BCPST", "Classe préparatoire scientifique", "", 47, 2498, 1786, 2498, 1660, 2152, 242, 6, 1, 2, 1, 338, 0, 0, 0, 0, 0, 786, 0, 200, 778, 786, 63, 0, 0, 0, 0, 0, 219, 47, 29, 47, 0, 4.0, 39.0, 45.0, 8, 4, 47, 47, 0, 0, 0, 0, 0, 0, 10, 33, 4.0, 47, 0, 0, 4, 2, 41, 41, 8.51, 82.98, 95.74, 61.6953125, 87.1875, 87.1875, 8.5, 8.5, 100.0, 0.0, 0.0, 0.0, 21.296875, 70.2, 8.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 219.0, 19.0, 0.0, 0.0, 0.0, "Tous les candidats", 378.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "4483", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4483&g_ta_cod=4483", 100.0, 0.0, 0.0),
(1746, "Public", "0750697A", "Lycée Batiment-Saint-Lambert", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Batiment-Saint-Lambert - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 35, 761, 197, 761, 0, 18, 5, 211, 86, 319, 174, 213, 0, 0, 0, 0, 0, 583, 0, 0, 0, 18, 5, 177, 71, 249, 139, 139, 198, 31, 9, 31, 0, 4.0, 21.0, 25.0, 0, 20, 29, 1, 12, 16, 2, 0, 15, 10, 4, 0, 0.0, 0, 6, 8, 0, 0, 9, 27, 12.9, 67.74, 80.65, 29.0, 31.0, 93.09375, 0, 69.0, 93.5, 0.0, 51.6953125, 34.5, 13.798828125, 0.0, 0.0, 3.39990234375, 0.0, 41.3984375, 20.69921875, 55.1953125, 27.59765625, 5.0, 3.0, 116.0, 65.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 143, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 30.0, "9125", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9125&g_ta_cod=9125", 3.0, 42.0, 55.0),
(1747, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation sélective", "Autre formation", "Université Sorbonne Paris Nord - Antenne de Bobigny - Diplôme d'Université CAES - Métiers du Sanitaire et Médico-Sociaux", "Diplôme d'Université", "Métiers du Sanitaire et Médico-Sociaux", 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 80, 38, 28, 0, 0, 0.0, 0.0, 27.0, 0, 17, 38, 20, 13, 5, 0, 0, 23, 14, 1, 0, 0.0, 5, 5, 5, 0, 0, 37, 38, 0.0, 0.0, 71.05, 73.6875, 97.390625, 100.0, 0, 44.6953125, 100.0, 0.0, 60.5, 36.796875, 2.599609375, 0.0, 0.0, 52.59375, 13.19921875, 34.1953125, 13.19921875, 13.19921875, 13.19921875, 47.0, 13.0, 8.0, 4.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "27221", "Diplôme d'Université CAES - Métiers du Sanitaire et Médico-Sociaux", "", "", 53.0, 34.0, 13.0),
(1748, "Privé hors contrat", "0693453D", "Institut Paul Bocuse", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Ecully", "formation sélective", "Autre formation", "Institut Paul Bocuse - Formation des écoles supérieures de cuisine Bac +4 - Bachelor (Hons.) Management International de l'Hôtellerie-Restauration", "Formation des écoles supérieures de cuisine", "Bachelor (Hons.) Management International de l'Hôtellerie, parcours bilingue", 80, 163, 94, 155, 0, 109, 4, 20, 2, 2, 0, 24, 8, 2, 1, 0, 5, 116, 6, 0, 0, 87, 3, 16, 1, 2, 0, 11, 121, 57, 35, 53, 4, 47.0, 53.0, 57.0, 0, 2, 50, 40, 8, 2, 7, 0, 16, 18, 9, 7, 0.0, 28, 5, 1, 0, 0, 12, 12, 82.46, 92.98, 100.0, 61.3984375, 24.0, 24.0, 0, 4.0, 87.6875, 0.0, 32.0, 36.0, 18.0, 14.0, 0.0, 80.0, 56.0, 16.0, 10.0, 4.0, 2.0, 88.0, 4.0, 2.0, 0.0, 14.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "32263", "Formation des écoles supérieures de cuisine Bac +4 - Bachelor (Hons.) Management International de l'Hôtellerie-Restauration", "Institut Paul Bocuse", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32262&g_ta_cod=32263", 82.0, 14.0, 4.0),
(1749, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Histoire - Parcours HISTOIRE MAJEURE / mineure italien non débutant", "Licence - Sciences humaines et sociales", "HISTOIRE MAJEURE / mineure italien non débutant", 20, 71, 42, 51, 0, 27, 3, 6, 2, 2, 2, 16, 20, 2, 1, 0, 17, 51, 17, 0, 0, 27, 3, 6, 2, 2, 2, 16, 63, 20, 13, 14, 6, 7.0, 14.0, 18.0, 0, 5, 11, 5, 4, 2, 9, 0, 7, 2, 2, 0, 0.0, 3, 0, 1, 0, 0, 2, 10, 35.0, 70.0, 90.0, 65.0, 18.19921875, 90.890625, 0, 45.5, 55.0, 0.0, 63.59375, 18.19921875, 18.19921875, 0.0, 0.0, 45.5, 27.296875, 36.3984375, 0.0, 18.19921875, 9.099609375, 26.0, 4.0, 2.0, 2.0, 29.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "19353", "Licence - Histoire - Parcours HISTOIRE MAJEURE / mineure italien non débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19353&g_ta_cod=19353", 60.0, 25.0, 15.0),
(1750, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Arts du spectacle - Parcours Communication et arts du spectacle : études théâtrales et visuelles", "Licence - Arts-lettres-langues", "Communication et arts du spectacle : études théâtrales et visuelles", 25, 229, 172, 229, 0, 158, 46, 7, 0, 2, 2, 62, 0, 0, 0, 0, 0, 178, 0, 0, 0, 139, 39, 2, 0, 1, 1, 36, 54, 25, 18, 25, 0, 12.0, 24.0, 24.0, 0, 6, 21, 21, 0, 0, 4, 0, 1, 3, 12, 5, 0.0, 20, 0, 0, 0, 0, 17, 17, 48.0, 96.0, 96.0, 72.0, 81.0, 81.0, 0, 28.59765625, 84.0, 0.0, 4.7998046875, 14.298828125, 57.09375, 23.8, 0.0, 100.0, 95.1875, 0.0, 0.0, 0.0, 0.0, 46.0, 14.0, 0.0, 0.0, 7.0, "Tous les candidats", 68.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "4178", "Licence - Arts du spectacle - Parcours Communication et arts du spectacle : études théâtrales et visuelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4178&g_ta_cod=4178", 100.0, 0.0, 0.0),
(1751, "Public", "0753268V", "Lycée Jean Lurcat", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Lurcat - BTS - Services - Commerce International", "BTS - Services", "", 35, 4387, 2514, 4387, 0, 1065, 305, 1424, 572, 539, 257, 1359, 0, 0, 0, 0, 0, 1164, 0, 0, 0, 427, 109, 377, 137, 247, 111, 113, 212, 35, 28, 35, 0, 4.0, 31.0, 32.0, 0, 13, 25, 10, 13, 2, 10, 0, 2, 16, 7, 0, 0.0, 9, 12, 2, 1, 1, 6, 24, 11.43, 88.57, 91.43, 80.0, 24.0, 96.0, 4, 52.0, 71.390625, 0.0, 8.0, 64.0, 28.0, 0.0, 0.0, 40.0, 36.0, 52.0, 48.0, 8.0, 8.0, 74.0, 28.0, 6.0, 3.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 187.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 218, "Liste d'appel propre à cette formation", 10.0, "9376", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9376&g_ta_cod=9376", 46.0, 43.0, 11.0),
(1752, "Public", "0631669X", "Lycée des Métiers de Chamalières", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Chamalières", "formation sélective", "Autre formation", "Lycée des Métiers de Chamalières - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 186, 97, 183, 0, 72, 14, 21, 4, 14, 1, 76, 3, 0, 0, 0, 3, 145, 2, 0, 0, 71, 13, 18, 3, 8, 1, 48, 90, 18, 8, 16, 1, 5.0, 15.0, 16.0, 0, 5, 11, 10, 1, 0, 7, 0, 7, 3, 1, 0, 0.0, 4, 0, 0, 0, 0, 9, 9, 27.78, 83.33, 88.89, 44.3984375, 81.796875, 81.796875, 0, 45.5, 61.09375, 0.0, 63.59375, 27.296875, 9.099609375, 0.0, 0.0, 90.890625, 36.3984375, 9.099609375, 0.0, 0.0, 0.0, 50.0, 10.0, 1.0, 0.0, 30.0, "Tous les candidats", 139.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "7674", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7674&g_ta_cod=7674", 94.0, 6.0, 0.0),
(1753, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence_Las", "Avignon Université - Licence - Portail Informatique", "Licence - Sciences - technologies - santé", "", 20, 147, 42, 140, 0, 63, 17, 4, 2, 3, 2, 70, 7, 2, 0, 0, 5, 140, 7, 0, 0, 63, 17, 4, 2, 3, 2, 70, 104, 20, 8, 17, 3, 2.0, 15.0, 17.0, 0, 3, 15, 14, 0, 1, 5, 0, 10, 3, 2, 0, 0.0, 5, 0, 0, 0, 0, 11, 11, 10.0, 75.0, 85.0, 40.0, 73.296875, 73.296875, 0, 20.0, 75.0, 0.0, 66.6875, 20.0, 13.298828125, 0.0, 0.0, 93.296875, 33.296875, 0.0, 0.0, 6.69921875, 0.0, 48.0, 14.0, 2.0, 2.0, 53.0, "Tous les candidats", 766.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "30837", "Licence - Portail Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30836&g_ta_cod=30837", 90.0, 5.0, 5.0),
(1754, "Public", "0130143K", "Lycée Paul Langevin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Martigues", "formation sélective", "BTS", "Lycée Paul Langevin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 767, 452, 767, 0, 81, 22, 249, 104, 231, 119, 206, 0, 0, 0, 0, 0, 436, 0, 0, 0, 73, 18, 145, 50, 140, 74, 78, 193, 36, 22, 36, 0, 3.0, 22.0, 32.0, 0, 16, 31, 6, 11, 14, 5, 0, 9, 17, 5, 0, 0.0, 2, 8, 12, 9, 5, 27, 27, 8.33, 61.11, 88.89, 61.09375, 87.09375, 87.09375, 29, 51.59375, 86.09375, 0.0, 29.0, 54.796875, 16.09765625, 0.0, 0.0, 19.3984375, 6.5, 35.5, 25.796875, 45.1953125, 38.6953125, 46.0, 13.0, 47.0, 26.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 82.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 33.0, "2616", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2616&g_ta_cod=2616", 22.0, 39.0, 39.0),
(1755, "Privé sous contrat d'association", "0753844W", "Institut Sainte-Genevieve", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Autre formation", "Institut Sainte-Genevieve - DN MADE - Objet - - Spécialité : Création d'objet de l'unique à la série", "DN MADE", "- Spécialité : Création d'objet de l'unique à la série", 18, 299, 171, 299, 0, 126, 10, 54, 8, 22, 4, 97, 0, 0, 0, 0, 0, 136, 0, 0, 0, 49, 1, 32, 3, 7, 0, 48, 62, 18, 10, 18, 0, 4.0, 12.0, 13.0, 0, 1, 8, 2, 5, 1, 10, 0, 3, 4, 1, 0, 0.0, 1, 3, 1, 0, 0, 1, 5, 22.22, 66.67, 72.22, 55.59375, 12.5, 62.5, 0, 12.5, 44.3984375, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 25.0, 12.5, 62.5, 37.5, 12.5, 12.5, 14.0, 1.0, 2.0, 0.0, 30.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "21771", "DN MADE - Objet - - Spécialité : Création d'objet de l'unique à la série", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21771&g_ta_cod=21771", 61.0, 33.0, 6.0),
(1756, "Public", "9741051Z", "Lycée Paul Moreau", "974", "La Réunion", "La Réunion", "La Réunion", "Bras-Panon", "formation sélective", "BTS", "Lycée Paul Moreau - BTS - Production - Management économique de la construction", "BTS - Production", "", 17, 129, 40, 116, 0, 6, 2, 33, 15, 52, 33, 25, 13, 0, 5, 0, 8, 66, 2, 0, 0, 2, 0, 22, 9, 35, 24, 7, 46, 13, 2, 12, 1, 3.0, 9.0, 11.0, 0, 8, 12, 1, 1, 10, 1, 0, 7, 2, 3, 0, 0.0, 1, 0, 4, 8, 1, 12, 12, 23.08, 69.23, 84.62, 15.3984375, 100.0, 100.0, 66.6875, 66.6875, 92.296875, 0.0, 58.296875, 16.69921875, 25.0, 0.0, 0.0, 8.298828125, 8.298828125, 8.298828125, 0.0, 83.296875, 33.296875, 2.0, 0.0, 20.0, 15.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 40.0, "11947", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11947&g_ta_cod=11947", 8.0, 15.0, 77.0),
(1757, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Afrique et océan Indien - Mandingue (Bambara)", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Afrique et océan Indien - Mandingue (Bambara)", 30, 119, 77, 46, 0, 9, 6, 6, 4, 8, 3, 23, 73, 9, 7, 16, 41, 46, 52, 0, 0, 9, 6, 6, 4, 8, 3, 23, 97, 19, 11, 9, 10, 8.0, 9.0, 13.0, 0, 4, 10, 3, 3, 4, 9, 0, 6, 3, 0, 1, 0.0, 1, 0, 3, 0, 0, 4, 8, 42.11, 47.37, 68.42, 57.8984375, 40.0, 80.0, 0, 40.0, 52.59375, 0.0, 60.0, 30.0, 0.0, 10.0, 0.0, 30.0, 10.0, 30.0, 0.0, 40.0, 30.0, 17.0, 8.0, 19.0, 11.0, 49.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9410", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Afrique et océan Indien - Mandingue (Bambara)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29593&g_ta_cod=9410", 53.0, 16.0, 32.0),
(1758, "Public", "0690038S", "Lycée La Martinière Duchère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "BTS", "Lycée La Martinière Duchère - BTS - Production - Biotechnologies", "BTS - Production", "", 24, 1259, 824, 1236, 0, 305, 56, 448, 138, 61, 25, 422, 23, 0, 0, 17, 6, 572, 1, 0, 0, 195, 27, 272, 64, 34, 11, 71, 192, 24, 16, 23, 0, 0.0, 10.0, 19.0, 0, 8, 21, 6, 14, 1, 3, 0, 4, 14, 3, 0, 0.0, 5, 11, 1, 2, 1, 14, 14, 0.0, 41.67, 79.17, 66.6875, 66.6875, 66.6875, 9.5, 38.09375, 87.5, 0.0, 19.0, 66.6875, 14.298828125, 0.0, 0.0, 28.59765625, 23.796875, 66.6875, 52.3984375, 4.7998046875, 4.7998046875, 55.0, 18.0, 16.0, 4.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 79.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 224, "Liste d'appel propre à cette formation", 26.0, "8215", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8215&g_ta_cod=8215", 25.0, 71.0, 4.0),
(1759, "Public", "0600020W", "Lycée Marie Curie", "60", "Oise", "Hauts-de-France", "Amiens", "Nogent-sur-Oise", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 160, 8, 160, 0, 10, 0, 23, 8, 74, 33, 53, 0, 0, 0, 0, 0, 72, 0, 0, 0, 9, 0, 16, 7, 44, 18, 3, 57, 23, 0, 23, 0, 11.0, 21.0, 22.0, 0, 8, 21, 1, 3, 17, 2, 0, 6, 5, 7, 3, 0.0, 0, 1, 14, 3, 0, 20, 20, 47.83, 91.3, 95.65, 0.0, 95.1875, 95.1875, 14.298828125, 38.09375, 91.296875, 0.0, 28.59765625, 23.796875, 33.296875, 14.3, 0.0, 4.7998046875, 0.0, 14.298828125, 4.7998046875, 81.0, 66.6875, 6.0, 0.0, 34.0, 13.0, 3.0, "Tous les candidats sauf les Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 41.0, "7236", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7236&g_ta_cod=7236", 13.0, 13.0, 74.0),
(1760, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence_Las", "Université de Toulon - Licence - Portail Sciences de la vie - Licence de Biologie", "Licence - Sciences - technologies - santé", "Licence de Biologie", 15, 1239, 887, 1239, 0, 832, 157, 107, 26, 5, 2, 295, 0, 0, 0, 0, 0, 1232, 0, 0, 0, 832, 157, 107, 26, 5, 2, 288, 169, 15, 9, 15, 0, 1.0, 2.0, 10.0, 0, 0, 12, 12, 0, 0, 3, 0, 0, 7, 4, 0, 1.0, 12, 0, 0, 0, 0, 10, 10, 6.67, 13.33, 66.67, 60.0, 83.296875, 83.296875, 0, 0.0, 80.0, 0.0, 0.0, 58.296875, 33.296875, 0.0, 8.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 141.0, 22.0, 0.0, 0.0, 28.0, "Tous les candidats", 476.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "31841", "Licence - Portail Sciences de la vie - Licence de Biologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31840&g_ta_cod=31841", 100.0, 0.0, 0.0),
(1761, "Public", "0161138A", "Université de Poitiers (Site d'Angoulême)", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "La Couronne", "formation sélective", "Autre formation", "Université de Poitiers (Site d'Angoulême) - DEUST - Métiers de la forme", "DEUST", "", 25, 399, 80, 399, 0, 161, 23, 104, 18, 27, 2, 107, 0, 0, 0, 0, 0, 100, 0, 0, 0, 33, 3, 27, 3, 8, 1, 32, 49, 23, 4, 23, 0, 13.0, 20.0, 22.0, 0, 4, 14, 3, 5, 6, 9, 0, 4, 6, 3, 1, 0.0, 1, 3, 6, 0, 0, 6, 6, 56.52, 86.96, 95.65, 17.3984375, 42.8984375, 42.8984375, 0, 28.59765625, 60.8984375, 0.0, 28.59765625, 42.8984375, 21.3984375, 7.1, 0.0, 21.3984375, 7.099609375, 35.6953125, 21.3984375, 42.8984375, 42.8984375, 10.0, 2.0, 7.0, 1.0, 22.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "21193", "DEUST - Métiers de la forme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21193&g_ta_cod=21193", 30.0, 35.0, 35.0),
(1762, "Privé enseignement supérieur", "9840391C", "Institut Supérieur de l'Enseignement Privé de Polynésie", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Papeete", "formation sélective", "Licence", "Institut Supérieur de l'Enseignement Privé de Polynésie - Licence - Information et communication", "Licence - Sciences humaines et sociales", "", 32, 148, 93, 137, 0, 77, 21, 37, 9, 5, 0, 18, 11, 0, 0, 0, 11, 66, 5, 0, 0, 44, 9, 18, 3, 2, 0, 2, 55, 20, 13, 19, 1, 12.0, 19.0, 20.0, 0, 4, 19, 12, 5, 2, 1, 0, 7, 5, 5, 0, 2.0, 7, 3, 2, 0, 0, 19, 19, 60.0, 95.0, 100.0, 65.0, 100.0, 100.0, 0, 21.09765625, 95.0, 0.0, 36.796875, 26.296875, 26.296875, 0.0, 10.5, 63.1953125, 36.796875, 26.296875, 15.798828125, 10.5, 10.5, 36.0, 9.0, 2.0, 0.0, 6.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "12017", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12017&g_ta_cod=12017", 60.0, 30.0, 10.0),
(1763, "Public", "0750691U", "Lycée Raspail", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "CPGE", "Lycée Raspail - CPGE - PTSI", "Classe préparatoire scientifique", "", 90, 1206, 236, 1206, 189, 1014, 131, 5, 3, 0, 0, 187, 0, 0, 0, 0, 0, 947, 0, 142, 903, 901, 107, 0, 0, 0, 0, 46, 527, 84, 7, 84, 0, 42.0, 58.0, 80.0, 2, 3, 82, 82, 0, 0, 2, 0, 1, 34, 44, 2, 1.0, 81, 0, 0, 0, 0, 37, 75, 50.0, 69.05, 95.24, 8.298828125, 45.09375, 91.5, 0, 3.69970703125, 97.59375, 0.0, 1.199951171875, 41.5, 53.6953125, 2.4, 1.2, 100.0, 98.796875, 0.0, 0.0, 0.0, 0.0, 525.0, 65.0, 0.0, 0.0, 2.0, "Tous les candidats", 688.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "9103", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9103&g_ta_cod=9103", 100.0, 0.0, 0.0),
(1764, "Privé sous contrat d'association", "0350795Z", "Lycée / Pôle Sup de La Salle - Groupe Saint Jean", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Lycée / Pôle Sup de La Salle - Groupe Saint Jean - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 170, 83, 153, 0, 94, 6, 36, 5, 0, 0, 23, 17, 1, 0, 0, 16, 114, 1, 0, 0, 90, 5, 15, 0, 0, 0, 9, 94, 30, 16, 29, 0, 13.0, 29.0, 29.0, 0, 2, 29, 28, 1, 0, 1, 0, 14, 9, 5, 1, 0.0, 14, 1, 0, 0, 0, 26, 26, 43.33, 96.67, 96.67, 53.296875, 89.6875, 89.6875, 0, 6.8994140625, 96.6875, 0.0, 48.296875, 31.0, 17.19921875, 3.4, 0.0, 96.59375, 48.296875, 3.39990234375, 3.39990234375, 0.0, 0.0, 80.0, 4.0, 0.0, 0.0, 10.0, "Tous les candidats", 114.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "4695", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4695&g_ta_cod=4695", 97.0, 3.0, 0.0),
(1765, "Public", "0910727W", "Lycée Parc de Vilgenis", "91", "Essonne", "Ile-de-France", "Versailles", "Massy", "formation sélective", "BTS", "Lycée Parc de Vilgenis - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 30, 326, 17, 326, 0, 16, 2, 105, 26, 120, 36, 85, 0, 0, 0, 0, 0, 263, 0, 0, 0, 16, 2, 99, 24, 110, 33, 38, 146, 31, 0, 31, 0, 8.0, 28.0, 28.0, 0, 7, 28, 2, 7, 19, 3, 0, 12, 8, 8, 0, 0.0, 0, 3, 13, 4, 0, 23, 28, 25.81, 90.32, 90.32, 0.0, 82.09375, 100.0, 14.298828125, 25.0, 90.296875, 0.0, 42.8984375, 28.59765625, 28.59765625, 0.0, 0.0, 7.099609375, 0.0, 25.0, 10.69921875, 67.890625, 46.3984375, 7.0, 2.0, 67.0, 16.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 58.0, "10875", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10875&g_ta_cod=10875", 6.0, 29.0, 65.0),
(1766, "Public", "0681768C", "Lycée Laurent de Lavoisier", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BTS", "Lycée Laurent de Lavoisier - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 28, 1373, 1015, 1371, 0, 267, 57, 384, 128, 94, 50, 626, 2, 0, 0, 1, 1, 529, 1, 0, 0, 200, 40, 153, 38, 23, 7, 153, 197, 27, 24, 26, 1, 4.0, 12.0, 19.0, 0, 5, 20, 8, 10, 2, 7, 0, 4, 7, 7, 2, 0.0, 4, 10, 2, 4, 3, 17, 17, 14.81, 44.44, 70.37, 88.890625, 85.0, 85.0, 20, 25.0, 74.09375, 0.0, 20.0, 35.0, 35.0, 10.0, 0.0, 40.0, 20.0, 50.0, 50.0, 10.0, 10.0, 71.0, 20.0, 11.0, 3.0, 57.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 183.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 107, "Liste d'appel propre à cette formation", 22.0, "8167", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8167&g_ta_cod=8167", 37.0, 52.0, 11.0),
(1767, "Privé enseignement supérieur", "0721513D", "EGC Le Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "Ecole de Commerce", "EGC Le Mans - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "", 45, 83, 31, 64, 0, 41, 0, 11, 0, 4, 1, 8, 19, 9, 4, 1, 5, 59, 14, 0, 0, 40, 0, 8, 0, 4, 1, 7, 73, 31, 10, 19, 12, 16.0, 19.0, 28.0, 0, 1, 27, 17, 6, 4, 4, 0, 12, 10, 5, 0, 0.0, 7, 4, 4, 0, 0, 20, 20, 51.61, 61.29, 90.32, 32.296875, 74.09375, 74.09375, 0, 3.69970703125, 87.09375, 0.0, 44.3984375, 37.0, 18.5, 0.0, 0.0, 63.0, 25.8984375, 22.19921875, 14.798828125, 14.798828125, 14.798828125, 49.0, 0.0, 5.0, 1.0, 8.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "30796", "Formation des écoles de commerce et de management Bac + 3", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30796&g_ta_cod=30796", 65.0, 23.0, 13.0),
(1768, "Privé sous contrat d'association", "0501735P", "MFREO de Granville", "50", "Manche", "Normandie", "Normandie", "Granville", "formation sélective", "BTS", "MFREO de Granville - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 28, 110, 72, 107, 0, 19, 2, 21, 6, 48, 15, 19, 3, 2, 0, 1, 0, 74, 2, 0, 0, 13, 2, 15, 5, 41, 11, 5, 66, 9, 9, 9, 0, 4.0, 9.0, 9.0, 0, 2, 7, 2, 2, 3, 2, 0, 4, 3, 0, 0, 0.0, 2, 1, 0, 0, 0, 3, 3, 44.44, 100.0, 100.0, 100.0, 42.8984375, 42.8984375, 0, 28.59765625, 77.796875, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 28.59765625, 28.59765625, 28.59765625, 14.298828125, 42.8984375, 0.0, 14.0, 2.0, 36.0, 9.0, 3.0, "Tous les candidats sauf les Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 69.0, "6031", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6031&g_ta_cod=6031", 44.0, 22.0, 33.0),
(1769, "Public", "0620162P", "Lycée du Pays de Saint Omer (LYPSO)", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Omer", "formation sélective", "Autre formation", "Lycée du Pays de Saint Omer (LYPSO) - Mention complémentaire - Services numériques aux organisations", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0.0, 0.0, 0.0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 1.0, 1.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35008", "Mention complémentaire - Services numériques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=35008&g_ta_cod=35008", 0.0, 0.0, 100.0),
(1770, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation sélective", "Autre formation", "INALCO - Diplôme d'Université - Diplôme intensif de Russe", "Diplôme d'Université", "Diplôme intensif de Russe", 26, 135, 80, 96, 0, 49, 13, 2, 1, 0, 0, 45, 39, 2, 0, 1, 36, 26, 7, 0, 0, 15, 1, 0, 0, 0, 0, 11, 33, 15, 12, 9, 6, 9.0, 9.0, 12.0, 0, 1, 4, 4, 0, 0, 11, 0, 0, 0, 3, 1, 0.0, 4, 0, 0, 0, 0, 0, 1, 60.0, 60.0, 80.0, 80.0, 0.0, 25.0, 0, 25.0, 26.69921875, 0.0, 0.0, 0.0, 75.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 15.0, 1.0, 0.0, 0.0, 18.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "23488", "Diplôme d'Université - Diplôme intensif de Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23488&g_ta_cod=23488", 100.0, 0.0, 0.0),
(1771, "Public", "0931585T", "Lycée Andre Boulloche", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Livry-Gargan", "formation sélective", "CPGE", "Lycée Andre Boulloche - CPGE - ENS Cachan D2", "Classe préparatoire économique et commerciale", "", 35, 297, 148, 246, 0, 189, 52, 11, 5, 0, 0, 46, 51, 25, 4, 2, 20, 183, 13, 0, 183, 166, 42, 3, 2, 0, 0, 14, 169, 19, 8, 18, 1, 3.0, 18.0, 18.0, 0, 3, 17, 17, 0, 0, 2, 0, 1, 7, 9, 0, 0.0, 16, 0, 0, 6, 4, 17, 17, 15.79, 94.74, 94.74, 42.09375, 100.0, 100.0, 35.296875, 17.59765625, 89.5, 0.0, 5.8994140625, 41.1953125, 52.8984375, 0.0, 0.0, 100.0, 94.09375, 0.0, 0.0, 0.0, 0.0, 153.0, 37.0, 0.0, 0.0, 16.0, "Tous les candidats", 183.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "11277", "CPGE - ENS Cachan D2", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11277&g_ta_cod=11277", 100.0, 0.0, 0.0),
(1772, "Public", "0390029V", "Lycée des Métiers du Bois", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Mouchard", "formation sélective", "BTS", "Lycée des Métiers du Bois - BTS - Production - Développement et Réalisation Bois", "BTS - Production", "", 25, 279, 32, 279, 0, 49, 4, 42, 6, 127, 29, 61, 0, 0, 0, 0, 0, 272, 0, 0, 0, 47, 4, 42, 6, 124, 28, 59, 95, 26, 4, 26, 0, 11.0, 23.0, 23.0, 0, 5, 21, 6, 2, 13, 5, 0, 5, 10, 5, 1, 0.0, 3, 2, 11, 7, 1, 12, 12, 42.31, 88.46, 88.46, 15.3984375, 57.09375, 57.09375, 33.296875, 23.796875, 80.796875, 0.0, 23.796875, 47.59375, 23.796875, 4.8, 0.0, 28.59765625, 14.298828125, 9.5, 9.5, 61.8984375, 52.3984375, 23.0, 3.0, 34.0, 8.0, 21.0, "Tous les candidats sauf les Bac professionnels", 98.0, "Bacheliers professionnels toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 53.0, "5160", "BTS - Production - Développement et Réalisation Bois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5160&g_ta_cod=5160", 38.0, 12.0, 50.0),
(1773, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 11 - Sciences de la Vie-Sciences de la Terre-Chimie", "Licence - Sciences - technologies - santé", "11 - Sciences de la Vie-Sciences de la Terre-Chimie", 480, 1800, 1158, 1245, 0, 764, 118, 57, 11, 6, 2, 418, 555, 269, 23, 3, 260, 1204, 509, 0, 0, 763, 118, 57, 11, 6, 2, 378, 1730, 371, 223, 189, 177, 184.0, 185.0, 309.0, 0, 29, 235, 209, 20, 6, 136, 0, 111, 86, 34, 4, 0.0, 110, 8, 6, 0, 0, 101, 101, 49.6, 49.87, 83.29, 60.09375, 43.0, 43.0, 0, 12.298828125, 63.296875, 0.0, 47.1953125, 36.59375, 14.5, 1.7, 0.0, 88.890625, 46.796875, 8.5, 3.39990234375, 2.599609375, 2.599609375, 1042.0, 151.0, 9.0, 4.0, 597.0, "Tous les candidats", 1204.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "23418", "Licence - Portail 11 - Sciences de la Vie-Sciences de la Terre-Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23418&g_ta_cod=23418", 88.0, 8.0, 3.0),
(1774, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "Facultés libres de l'Ouest - UCO ANGERS - Formation Supérieure de Spécialisation - Formation aux métiers et concours de la gendarmerie", "Diplôme d'Université", "Formation aux métiers et concours de la gendarmerie", 40, 1040, 459, 1040, 0, 514, 98, 251, 59, 181, 61, 94, 0, 0, 0, 0, 0, 1040, 0, 0, 0, 514, 98, 251, 59, 181, 61, 94, 126, 40, 24, 40, 0, 12.0, 28.0, 32.0, 0, 8, 35, 17, 4, 14, 5, 0, 9, 19, 7, 0, 0.0, 9, 4, 13, 0, 0, 11, 11, 30.0, 70.0, 80.0, 60.0, 31.3984375, 31.3984375, 0, 22.8984375, 87.5, 0.0, 25.69921875, 54.296875, 20.0, 0.0, 0.0, 48.59375, 25.69921875, 11.3984375, 11.3984375, 40.0, 37.09375, 67.0, 11.0, 30.0, 9.0, 15.0, "Tous les candidats", 130.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "32304", "Formation Supérieure de Spécialisation - Formation aux métiers et concours de la gendarmerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32304&g_ta_cod=32304", 55.0, 10.0, 35.0),
(1775, "Public", "0101037Y", "Campus des Comtes de champagne - URCA", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation non sélective", "Licence", "Campus des Comtes de champagne - URCA - Licence - Langues étrangères appliquées - Parcours Anglais-Espagnol", "Licence - Arts-lettres-langues", "Anglais-Espagnol", 60, 335, 255, 311, 0, 196, 61, 37, 14, 11, 7, 67, 24, 6, 1, 1, 16, 311, 24, 0, 0, 196, 61, 37, 14, 11, 7, 67, 256, 57, 43, 43, 14, 14.0, 42.0, 49.0, 0, 13, 40, 32, 6, 2, 17, 0, 13, 13, 13, 1, 0.0, 23, 3, 1, 0, 0, 31, 31, 24.56, 73.68, 85.96, 75.390625, 77.5, 77.5, 0, 32.5, 70.1875, 0.0, 32.5, 32.5, 32.5, 2.5, 0.0, 80.0, 57.5, 15.0, 7.5, 5.0, 2.5, 158.0, 51.0, 8.0, 4.0, 65.0, "Tous les candidats", 310.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2442", "Licence - Langues étrangères appliquées - Parcours Anglais-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2442&g_ta_cod=2442", 81.0, 14.0, 5.0),
(1776, "Public", "0590071G", "Lycée Jean Bart", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "CPGE", "Lycée Jean Bart - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 26, 154, 80, 140, 80, 109, 22, 0, 0, 0, 0, 31, 14, 6, 0, 0, 8, 120, 5, 69, 104, 107, 21, 0, 0, 0, 0, 13, 87, 12, 8, 10, 2, 2.0, 10.0, 11.0, 4, 1, 6, 6, 0, 0, 6, 0, 1, 1, 3, 1, 0.0, 5, 0, 0, 3, 3, 6, 6, 16.67, 83.33, 91.67, 66.6875, 100.0, 100.0, 50, 16.69921875, 50.0, 0.0, 16.69921875, 16.69921875, 50.0, 16.7, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 72.0, 18.0, 0.0, 0.0, 15.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "31663", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31307&g_ta_cod=31663", 100.0, 0.0, 0.0),
(1777, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Université de Lorraine - Site de Nancy - CUPGE - Classe Préparatoire Universitaire Mathématiques - Physique - Informatique", "CUPGE - Sciences, technologie, santé", "", 32, 476, 134, 440, 0, 356, 44, 3, 3, 0, 0, 81, 36, 9, 2, 1, 24, 313, 7, 0, 0, 261, 23, 0, 0, 0, 0, 52, 194, 22, 8, 19, 3, 1.0, 18.0, 20.0, 0, 1, 17, 17, 0, 0, 5, 0, 0, 0, 10, 6, 1.0, 17, 0, 0, 0, 0, 13, 13, 4.55, 81.82, 90.91, 36.3984375, 76.5, 76.5, 0, 5.8994140625, 77.296875, 0.0, 0.0, 0.0, 58.796875, 35.3, 5.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 154.0, 17.0, 0.0, 0.0, 40.0, "Tous les candidats", 312.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "6330", "CUPGE - Classe Préparatoire Universitaire Mathématiques - Physique - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6330&g_ta_cod=6330", 100.0, 0.0, 0.0),
(1778, "Public", "0600015R", "Lycée Mireille Grenet", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "BTS", "Lycée Mireille Grenet - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 163, 61, 115, 0, 10, 3, 40, 15, 39, 10, 26, 48, 0, 15, 13, 20, 97, 15, 0, 0, 10, 3, 33, 11, 33, 9, 21, 94, 21, 8, 11, 10, 3.0, 11.0, 13.0, 0, 4, 13, 0, 4, 9, 8, 0, 7, 3, 3, 0, 0.0, 0, 1, 5, 2, 1, 10, 10, 14.29, 52.38, 61.9, 38.09375, 76.890625, 76.890625, 15.3984375, 30.796875, 61.8984375, 0.0, 53.796875, 23.09765625, 23.09765625, 0.0, 0.0, 0.0, 0.0, 30.796875, 7.69921875, 69.1875, 38.5, 7.0, 3.0, 36.0, 12.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 77.0, "7225", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7225&g_ta_cod=7225", 10.0, 33.0, 57.0),
(1779, "Public", "0221848P", "I.U.T de Saint-Brieuc", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BUT", "I.U.T de Saint-Brieuc - BUT - Techniques de commercialisation Parcours : Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client", "BUT - Service", "Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client", 84, 2421, 1218, 2421, 0, 1290, 122, 877, 130, 16, 7, 238, 0, 0, 0, 0, 0, 1617, 0, 0, 0, 875, 76, 647, 91, 0, 0, 95, 418, 82, 47, 82, 0, 5.0, 76.0, 80.0, 0, 13, 76, 36, 40, 0, 6, 0, 3, 39, 31, 3, 0.0, 35, 38, 0, 0, 0, 70, 70, 6.1, 92.68, 97.56, 57.296875, 92.09375, 92.09375, 0, 17.09765625, 92.6875, 0.0, 3.89990234375, 51.296875, 40.796875, 3.9, 0.0, 47.3984375, 46.09375, 52.59375, 50.0, 0.0, 0.0, 185.0, 27.0, 0.0, 0.0, 17.0, "Tous les candidats sauf les Bac technologiques", 336.0, "Bacheliers technologiques toutes séries", 389, "", 0, "Liste d'appel propre à cette formation", 30.0, "3385", "BUT - Techniques de commercialisation Parcours : Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3385&g_ta_cod=3385", 51.0, 49.0, 0.0),
(1780, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation non sélective", "Licence", "Université Gustave Eiffel - Licence - Sciences pour l'ingénieur - Parcours SCIENCES POUR L'INGÉNIEUR : Génie urbain - Génie industriel - Ingénierie des organisations", "Licence - Sciences - technologies - santé", "SCIENCES POUR L'INGÉNIEUR : Génie urbain - Génie industriel - Ingénierie des organisations", 70, 1033, 194, 1033, 0, 622, 139, 153, 45, 2, 0, 256, 0, 0, 0, 0, 0, 1033, 0, 0, 0, 622, 139, 153, 45, 2, 0, 256, 544, 65, 12, 65, 0, 31.0, 48.0, 59.0, 0, 20, 51, 36, 15, 0, 14, 1, 8, 32, 9, 1, 0.0, 30, 12, 0, 0, 0, 37, 48, 47.69, 73.85, 90.77, 18.5, 72.5, 94.09375, 0, 39.1953125, 78.5, 2.0, 15.69921875, 62.6953125, 17.59765625, 2.0, 0.0, 70.59375, 58.796875, 29.3984375, 23.5, 0.0, 0.0, 360.0, 80.0, 0.0, 0.0, 114.0, "Tous les candidats", 624.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "9923", "Licence - Sciences pour l'ingénieur - Parcours SCIENCES POUR L'INGÉNIEUR : Génie urbain - Génie industriel - Ingénierie des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9923&g_ta_cod=9923", 71.0, 29.0, 0.0),
(1781, "Public", "9740597F", "Lycée Evariste de Parny", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Paul", "formation sélective", "BTS", "Lycée Evariste de Parny - BTS - Services - Tourisme", "BTS - Services", "", 60, 783, 590, 777, 0, 188, 91, 213, 119, 148, 113, 228, 6, 0, 2, 0, 4, 400, 2, 0, 0, 123, 53, 137, 79, 60, 48, 80, 195, 58, 42, 56, 2, 16.0, 47.0, 51.0, 0, 36, 47, 10, 24, 13, 11, 0, 13, 21, 9, 4, 0.0, 8, 14, 12, 4, 4, 42, 42, 27.59, 81.03, 87.93, 72.390625, 89.390625, 89.390625, 8.5, 76.59375, 81.0, 0.0, 27.69921875, 44.6953125, 19.09765625, 8.5, 0.0, 21.296875, 17.0, 51.09375, 29.796875, 27.69921875, 25.5, 33.0, 18.0, 27.0, 21.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 79.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 162, "Liste d'appel propre à cette formation", 36.0, "11926", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11926&g_ta_cod=11926", 26.0, 50.0, 24.0),
(1782, "Public", "0620109G", "Lycée Auguste Behal", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "BTS", "Lycée Auguste Behal - BTS - Services - Economie sociale familiale", "BTS - Services", "", 50, 819, 737, 819, 0, 81, 32, 263, 123, 213, 113, 262, 0, 0, 0, 0, 0, 819, 0, 0, 0, 81, 32, 263, 123, 213, 113, 262, 126, 46, 46, 46, 0, 12.0, 29.0, 43.0, 0, 18, 32, 3, 15, 14, 14, 0, 7, 10, 12, 3, 0.0, 2, 12, 11, 5, 5, 31, 31, 26.09, 63.04, 93.48, 100.0, 96.890625, 96.890625, 15.599609375, 56.296875, 69.59375, 0.0, 21.8984375, 31.296875, 37.5, 9.4, 0.0, 9.3984375, 6.2998046875, 46.8984375, 37.5, 43.796875, 34.3984375, 15.0, 10.0, 33.0, 13.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers technologiques toutes séries", 85, "Bacheliers professionnels toutes séries", 112, "Liste d'appel propre à cette formation", 29.0, "25282", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25282&g_ta_cod=25282", 17.0, 41.0, 41.0),
(1783, "Privé sous contrat d'association", "0791171U", "Institut Catholique Supérieur Saint André", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BTS", "Institut Catholique Supérieur Saint André - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 104, 3, 104, 0, 16, 2, 31, 5, 30, 6, 27, 0, 0, 0, 0, 0, 104, 0, 0, 0, 16, 2, 31, 5, 30, 6, 27, 39, 15, 0, 15, 0, 6.0, 14.0, 15.0, 0, 2, 14, 0, 5, 9, 1, 0, 4, 4, 4, 2, 0.0, 0, 1, 9, 0, 0, 14, 14, 40.0, 93.33, 100.0, 0.0, 100.0, 100.0, 0, 14.298828125, 93.296875, 0.0, 28.59765625, 28.59765625, 28.59765625, 14.3, 0.0, 0.0, 0.0, 35.6953125, 7.099609375, 64.296875, 64.296875, 7.0, 1.0, 16.0, 3.0, 2.0, "Tous les candidats sauf les Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 55.0, "10139", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10139&g_ta_cod=10139", 7.0, 33.0, 60.0),
(1784, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Licence", "Université de Nantes - Licence - Droit - Parcours Europe", "Licence - Droit-économie-gestion", "Europe", 22, 944, 746, 944, 0, 805, 107, 19, 5, 4, 1, 116, 0, 0, 0, 0, 0, 194, 0, 0, 0, 192, 20, 0, 0, 0, 0, 2, 93, 23, 20, 23, 0, 3.0, 18.0, 20.0, 0, 5, 23, 23, 0, 0, 0, 0, 0, 0, 4, 18, 1.0, 23, 0, 0, 0, 0, 15, 15, 13.04, 78.26, 86.96, 87.0, 65.1875, 65.1875, 0, 21.69921875, 100.0, 0.0, 0.0, 0.0, 17.3984375, 78.3, 4.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 92.0, 13.0, 0.0, 0.0, 1.0, "Tous les candidats", 125.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "12533", "Licence - Droit - Parcours Europe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12533&g_ta_cod=12533", 100.0, 0.0, 0.0),
(1785, "Public", "9720616M", "Lycée agricole Croix Rivail", "972", "Martinique", "Martinique", "Martinique", "Ducos", "formation sélective", "BTS", "Lycée agricole Croix Rivail - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 24, 107, 44, 100, 0, 9, 2, 6, 2, 20, 9, 65, 7, 1, 0, 3, 3, 22, 1, 0, 0, 6, 1, 5, 2, 10, 5, 1, 23, 7, 4, 6, 1, 5.0, 6.0, 7.0, 0, 3, 7, 3, 0, 4, 0, 0, 0, 5, 1, 1, 0.0, 3, 0, 4, 3, 2, 7, 7, 71.43, 85.71, 100.0, 57.09375, 100.0, 100.0, 42.8984375, 42.8984375, 100.0, 0.0, 0.0, 71.390625, 14.298828125, 14.3, 0.0, 42.8984375, 42.8984375, 0.0, 0.0, 57.09375, 57.09375, 7.0, 2.0, 10.0, 5.0, 1.0, "Tous les candidats sauf les Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 22.0, "11822", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11822&g_ta_cod=11822", 43.0, 0.0, 57.0),
(1786, "Privé sous contrat d'association", "0132828D", "Lycée CADENELLE", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 12e  Arrondissement", "formation sélective", "BTS", "Lycée CADENELLE - BTS - Services - Tourisme", "BTS - Services", "", 50, 425, 329, 328, 0, 84, 22, 73, 37, 71, 42, 100, 97, 13, 18, 12, 54, 162, 54, 0, 0, 68, 18, 43, 19, 18, 10, 33, 185, 38, 30, 24, 14, 12.0, 24.0, 33.0, 0, 10, 27, 15, 9, 3, 11, 1, 11, 11, 4, 0, 0.0, 9, 3, 3, 0, 0, 24, 24, 31.58, 63.16, 86.84, 78.890625, 88.890625, 88.890625, 0, 37.0, 71.09375, 3.69970703125, 40.6953125, 40.6953125, 14.798828125, 0.0, 0.0, 55.59375, 33.296875, 33.296875, 11.099609375, 11.099609375, 11.099609375, 61.0, 18.0, 19.0, 11.0, 56.0, "Tous les candidats sauf les Bac professionnels", 143.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 49.0, "2785", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2785&g_ta_cod=2785", 50.0, 39.0, 11.0),
(1787, "Privé enseignement supérieur", "0133944S", "CESI Campus d'Aix-En-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 42, 1072, 166, 1072, 0, 792, 109, 95, 31, 0, 0, 185, 0, 0, 0, 0, 0, 757, 0, 0, 0, 594, 50, 68, 12, 0, 0, 95, 139, 32, 3, 32, 0, 16.0, 32.0, 32.0, 0, 2, 29, 20, 9, 0, 3, 0, 1, 19, 7, 2, 0.0, 19, 9, 0, 0, 0, 24, 24, 50.0, 100.0, 100.0, 9.3984375, 82.796875, 82.796875, 0, 6.8994140625, 90.59375, 0.0, 3.39990234375, 65.5, 24.09765625, 6.9, 0.0, 69.0, 65.5, 31.0, 31.0, 0.0, 0.0, 93.0, 4.0, 0.0, 0.0, 30.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "25165", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25165", 72.0, 28.0, 0.0),
(1788, "Public", "0442765S", "Lycée polyvalent Nelson Mandela", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée polyvalent Nelson Mandela - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 781, 410, 758, 0, 132, 32, 251, 78, 120, 65, 255, 23, 2, 0, 0, 21, 405, 6, 0, 0, 100, 22, 155, 42, 69, 33, 81, 192, 32, 17, 30, 2, 4.0, 23.0, 29.0, 0, 11, 22, 5, 10, 7, 10, 0, 6, 11, 4, 1, 0.0, 1, 8, 7, 6, 4, 18, 18, 12.5, 71.88, 90.63, 53.09375, 81.796875, 81.796875, 27.296875, 50.0, 68.796875, 0.0, 27.296875, 50.0, 18.19921875, 4.5, 0.0, 22.69921875, 4.5, 45.5, 36.3984375, 31.796875, 31.796875, 57.0, 16.0, 19.0, 10.0, 49.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 138.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 159, "Liste d'appel propre à cette formation", 43.0, "5447", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5447&g_ta_cod=5447", 31.0, 44.0, 25.0),
(1789, "Public", "0940129E", "Lycée Jean Mace", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vitry-sur-Seine", "formation sélective", "BTS", "Lycée Jean Mace - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 33, 2051, 1065, 1617, 0, 70, 26, 430, 200, 602, 334, 515, 434, 175, 0, 0, 259, 654, 4, 0, 0, 13, 3, 185, 80, 280, 158, 176, 162, 32, 16, 27, 2, 4.0, 18.0, 29.0, 0, 15, 28, 3, 11, 14, 4, 0, 11, 16, 1, 0, 0.0, 0, 10, 7, 10, 5, 26, 28, 12.5, 56.25, 90.63, 50.0, 92.890625, 100.0, 35.6953125, 53.59375, 87.5, 0.0, 39.296875, 57.09375, 3.599609375, 0.0, 0.0, 10.69921875, 0.0, 39.296875, 35.6953125, 50.0, 25.0, 17.0, 3.0, 57.0, 35.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 114, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 13.0, "11418", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11418&g_ta_cod=11418", 16.0, 41.0, 44.0),
(1790, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "Licence", "Université Grenoble Alpes - Antenne de Valence - Double licence - Economie et gestion / Langues étrangères appliquées - Double Licence : Economie-Gestion-Langues", "Licence - Droit-économie-gestion", "Double Licence : Economie-Gestion-Langues", 25, 304, 204, 304, 0, 241, 40, 11, 5, 2, 1, 50, 0, 0, 0, 0, 0, 205, 0, 0, 0, 175, 23, 1, 0, 0, 0, 29, 126, 23, 17, 23, 0, 3.0, 15.0, 23.0, 0, 3, 18, 18, 0, 0, 5, 0, 1, 9, 7, 1, 0.0, 17, 0, 0, 0, 0, 16, 16, 13.04, 65.22, 100.0, 73.890625, 88.890625, 88.890625, 0, 16.69921875, 78.296875, 0.0, 5.599609375, 50.0, 38.8984375, 5.6, 0.0, 100.0, 94.390625, 0.0, 0.0, 0.0, 0.0, 107.0, 15.0, 0.0, 0.0, 19.0, "Tous les candidats", 196.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "13933", "Double licence - Economie et gestion / Langues étrangères appliquées - Double Licence : Economie-Gestion-Langues", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13933&g_ta_cod=13933", 100.0, 0.0, 0.0),
(1791, "Public", "0750664P", "Lycée RACINE", "75", "Paris", "Ile-de-France", "Paris", "Paris  8e  Arrondissement", "formation sélective", "BTS", "Lycée RACINE - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 24, 1931, 1049, 1931, 0, 233, 87, 680, 351, 406, 222, 612, 0, 0, 0, 0, 0, 653, 0, 0, 0, 107, 40, 264, 140, 207, 121, 75, 152, 24, 15, 23, 0, 4.0, 15.0, 21.0, 0, 13, 21, 5, 10, 6, 3, 0, 3, 10, 8, 0, 0.0, 5, 8, 5, 0, 0, 4, 20, 16.67, 62.5, 87.5, 62.5, 19.0, 95.1875, 0, 61.8984375, 87.5, 0.0, 14.298828125, 47.59375, 38.09375, 0.0, 0.0, 23.796875, 23.796875, 47.59375, 38.09375, 28.59765625, 23.796875, 25.0, 12.0, 24.0, 16.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 151, "Liste d'appel propre à cette formation", 14.0, "17741", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17741&g_ta_cod=17741", 29.0, 46.0, 25.0),
(1792, "Public", "0650792H", "IFSI CH de Bigorre", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "IFSI", "Regroupement d'IFSI Université Toulouse - D.E Infirmier", "D.E secteur sanitaire", "", 84, 5864, 4981, 5864, 0, 887, 170, 1029, 292, 775, 285, 3173, 0, 0, 0, 0, 0, 3666, 0, 0, 0, 804, 151, 701, 191, 433, 155, 1728, 780, 84, 77, 84, 0, 1.0, 39.0, 73.0, 0, 13, 64, 40, 11, 13, 20, 0, 12, 23, 23, 6, 0.0, 30, 9, 13, 0, 0, 30, 30, 1.19, 46.43, 86.9, 91.6875, 46.8984375, 46.8984375, 0, 20.296875, 76.1875, 0.0, 18.796875, 35.8984375, 35.8984375, 9.4, 0.0, 62.5, 46.8984375, 17.19921875, 14.099609375, 20.296875, 20.296875, 299.0, 52.0, 45.0, 21.0, 348.0, "Tous les candidats", 2669.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "23254", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22985&g_ta_cod=23254", 67.0, 15.0, 18.0),
(1793, "Privé hors contrat", "0693453D", "Institut Paul Bocuse", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Ecully", "formation sélective", "Autre formation", "Institut Paul Bocuse - Formation des écoles supérieures de cuisine Bac +3 - Bachelor Management International des Arts Culinaires", "Formation des écoles supérieures de cuisine", "Bachelor Management International de la Pâtisserie, parcours en français", 50, 153, 103, 148, 0, 86, 4, 16, 1, 7, 3, 39, 5, 1, 0, 0, 4, 82, 1, 0, 0, 55, 0, 7, 1, 2, 2, 18, 81, 37, 30, 37, 0, 22.0, 37.0, 37.0, 0, 1, 26, 21, 4, 1, 11, 0, 6, 10, 8, 1, 1.0, 16, 3, 1, 0, 0, 1, 1, 59.46, 100.0, 100.0, 81.09375, 3.7998046875, 3.7998046875, 0, 3.7998046875, 70.296875, 0.0, 23.09765625, 38.5, 30.796875, 3.8, 3.8, 80.796875, 61.5, 15.3984375, 11.5, 3.7998046875, 3.7998046875, 53.0, 0.0, 2.0, 2.0, 19.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "32261", "Formation des écoles supérieures de cuisine Bac +3 - Bachelor Management International des Arts Culinaires", "Institut Paul Bocuse", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32258&g_ta_cod=32261", 81.0, 14.0, 5.0),
(1794, "Public", "0740005D", "Lycée Gabriel Fauré", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BTS", "Lycée Gabriel Fauré - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 411, 296, 383, 0, 22, 2, 152, 44, 144, 64, 65, 28, 0, 6, 9, 13, 225, 4, 0, 0, 16, 1, 106, 25, 87, 33, 16, 123, 16, 14, 16, 0, 7.0, 12.0, 16.0, 0, 7, 12, 2, 5, 5, 4, 0, 6, 5, 1, 0, 0.0, 1, 3, 2, 2, 2, 10, 10, 43.75, 75.0, 100.0, 87.5, 83.296875, 83.296875, 16.69921875, 58.296875, 75.0, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 16.69921875, 8.298828125, 41.6953125, 25.0, 41.6953125, 16.69921875, 10.0, 1.0, 49.0, 19.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 88, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 48.0, "8849", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8849&g_ta_cod=8849", 13.0, 50.0, 38.0),
(1795, "Public", "0941918Z", "Lycée Christophe Colomb", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Sucy-en-Brie", "formation sélective", "BTS", "Lycée Christophe Colomb - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 501, 31, 501, 0, 47, 13, 144, 41, 154, 56, 156, 0, 0, 0, 0, 0, 342, 0, 0, 0, 47, 13, 76, 17, 90, 26, 129, 80, 23, 1, 23, 0, 3.0, 17.0, 22.0, 0, 3, 17, 3, 6, 8, 6, 0, 5, 9, 2, 1, 0.0, 1, 5, 6, 10, 0, 15, 17, 13.04, 73.91, 95.65, 4.2998046875, 88.1875, 100.0, 58.796875, 17.59765625, 73.890625, 0.0, 29.3984375, 52.8984375, 11.798828125, 5.9, 0.0, 17.59765625, 5.8994140625, 35.296875, 29.3984375, 47.09375, 35.296875, 15.0, 5.0, 28.0, 6.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 23.0, "11538", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11538&g_ta_cod=11538", 30.0, 35.0, 35.0),
(1796, "Public", "0330135T", "Lycée Alfred Kastler", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "BTS", "Lycée Alfred Kastler - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 30, 391, 23, 371, 0, 31, 3, 124, 23, 95, 27, 121, 20, 0, 0, 15, 5, 292, 2, 0, 0, 31, 3, 118, 22, 76, 21, 67, 160, 27, 1, 24, 2, 3.0, 18.0, 22.0, 0, 4, 17, 1, 8, 8, 10, 0, 8, 3, 6, 0, 0.0, 0, 3, 6, 4, 0, 16, 16, 11.11, 66.67, 81.48, 3.69970703125, 94.09375, 94.09375, 23.5, 23.5, 63.0, 0.0, 47.09375, 17.59765625, 35.296875, 0.0, 0.0, 5.8994140625, 0.0, 47.09375, 17.59765625, 47.09375, 35.296875, 21.0, 3.0, 58.0, 16.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 62.0, "4319", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4319&g_ta_cod=4319", 15.0, 48.0, 37.0),
(1797, "Public", "0810033W", "Lycée MARÉCHAL SOULT", "81", "Tarn", "Occitanie", "Toulouse", "Mazamet", "formation sélective", "BTS", "Lycée MARÉCHAL SOULT - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 82, 0, 81, 0, 3, 0, 25, 8, 44, 13, 9, 1, 0, 1, 0, 0, 81, 0, 0, 0, 3, 0, 25, 8, 44, 13, 9, 50, 10, 0, 10, 0, 6.0, 10.0, 10.0, 0, 5, 10, 0, 2, 8, 0, 0, 2, 7, 1, 0, 0.0, 0, 2, 6, 0, 0, 10, 10, 60.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 50.0, 100.0, 0.0, 20.0, 70.0, 10.0, 0.0, 0.0, 0.0, 0.0, 20.0, 20.0, 80.0, 60.0, 2.0, 0.0, 26.0, 11.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 89.0, "10272", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10272&g_ta_cod=10272", 0.0, 20.0, 80.0),
(1798, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation non sélective", "Licence", "Université Grenoble Alpes - Antenne de Valence - Licence - Portail Physique, Chimie, Mécanique, Mathématiques (PCMM) - Valence", "Licence - Sciences - technologies - santé", "Physique, Chimie, Mécanique, Mathématiques (PCMM) - Valence", 50, 536, 164, 497, 0, 357, 51, 13, 2, 1, 0, 126, 39, 11, 0, 0, 28, 497, 22, 0, 0, 357, 51, 13, 2, 1, 0, 126, 397, 40, 15, 30, 10, 1.0, 21.0, 31.0, 0, 5, 23, 21, 1, 1, 17, 2, 3, 7, 10, 0, 1.0, 16, 1, 1, 0, 0, 19, 19, 2.5, 52.5, 77.5, 37.5, 82.59375, 82.59375, 0, 21.69921875, 57.5, 8.69921875, 13.0, 30.3984375, 43.5, 0.0, 4.3, 91.296875, 69.59375, 4.2998046875, 4.2998046875, 4.2998046875, 4.2998046875, 275.0, 41.0, 1.0, 0.0, 117.0, "Tous les candidats", 516.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "31032", "Licence - Portail Physique, Chimie, Mécanique, Mathématiques (PCMM) - Valence", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31034&g_ta_cod=31032", 78.0, 15.0, 5.0),
(1799, "Privé sous contrat d'association", "0440246D", "LPO Sacré-Coeur La Salle", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "LPO Sacré-Coeur La Salle - Mention complémentaire - Accueil dans transports", "Mention complémentaire", "", 15, 84, 61, 84, 0, 3, 1, 1, 0, 60, 28, 20, 0, 0, 0, 0, 0, 59, 0, 0, 0, 3, 1, 1, 0, 43, 15, 12, 43, 12, 8, 12, 0, 4.0, 11.0, 11.0, 0, 5, 10, 1, 0, 9, 2, 0, 4, 6, 0, 0, 0.0, 0, 0, 6, 0, 0, 9, 9, 33.33, 91.67, 91.67, 66.6875, 90.0, 90.0, 0, 50.0, 83.296875, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 10.0, 0.0, 0.0, 0.0, 90.0, 60.0, 3.0, 1.0, 28.0, 14.0, 11.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "5505", "Mention complémentaire - Accueil dans transports", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5505&g_ta_cod=5505", 8.0, 0.0, 92.0),
(1800, "Public", "0542407Y", "Sciences Po - campus de Nancy - Institut d'études politiques", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Sciences Po - campus de Nancy - Freie Universität Berlin - Double diplôme Sciences Po (Programme européen franco-allemand)", "Sciences politiques", "Double diplôme Sciences Po (Programme européen franco-allemand)", 20, 237, 165, 237, 0, 236, 18, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 26, 0, 0, 0, 26, 2, 0, 0, 0, 0, 0, 22, 20, 17, 20, 0, 0.0, 20.0, 20.0, 0, 2, 20, 20, 0, 0, 0, 0, 0, 0, 0, 5, 15.0, 20, 0, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 85.0, 5.0, 5.0, 0, 10.0, 100.0, 0.0, 0.0, 0.0, 0.0, 25.0, 75.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 22.0, 2.0, 0.0, 0.0, 0.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "32569", "Double diplôme Sciences Po (Programme européen franco-allemand)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32569&g_ta_cod=32569", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(1801, "Public", "0750699C", "Lycée Janson De Sailly", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Lycée Janson De Sailly - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 1891, 1386, 1891, 819, 1749, 161, 2, 1, 0, 0, 140, 0, 0, 0, 0, 0, 1510, 0, 171, 1475, 1492, 134, 0, 0, 0, 0, 18, 548, 48, 33, 48, 0, 9.0, 31.0, 44.0, 3, 9, 48, 48, 0, 0, 0, 0, 0, 1, 12, 34, 1.0, 48, 0, 0, 1, 0, 11, 34, 18.75, 64.58, 91.67, 68.796875, 22.8984375, 70.796875, 2.099609375, 18.796875, 100.0, 0.0, 0.0, 2.099609375, 25.0, 70.8, 2.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 543.0, 58.0, 0.0, 0.0, 5.0, "Tous les candidats", 877.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "9135", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9135&g_ta_cod=9135", 100.0, 0.0, 0.0),
(1802, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence", "Université de Perpignan Via Domitia - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 65, 316, 257, 260, 0, 178, 62, 25, 18, 16, 8, 41, 56, 8, 5, 3, 40, 260, 52, 0, 0, 178, 62, 25, 18, 16, 8, 41, 249, 64, 52, 43, 21, 11.0, 42.0, 55.0, 0, 20, 44, 26, 9, 9, 20, 0, 15, 17, 9, 3, 0.0, 18, 6, 5, 0, 0, 38, 38, 17.19, 65.63, 85.94, 81.296875, 86.390625, 86.390625, 0, 45.5, 68.796875, 0.0, 34.09375, 38.59375, 20.5, 6.8, 0.0, 59.09375, 40.8984375, 20.5, 13.599609375, 20.5, 11.3984375, 144.0, 51.0, 16.0, 8.0, 64.0, "Tous les candidats", 258.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7869", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7869&g_ta_cod=7869", 55.0, 20.0, 23.0),
(1803, "Public", "0755890V", "Sorbonne université", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Sorbonne université - Double licence - Histoire / Sciences", "Licence - Sciences humaines et sociales", "Histoire / Sciences", 20, 928, 505, 642, 0, 450, 47, 8, 4, 0, 0, 184, 286, 89, 15, 4, 178, 238, 12, 0, 0, 167, 10, 0, 0, 0, 0, 71, 125, 19, 15, 13, 6, 1.0, 11.0, 13.0, 0, 1, 8, 8, 0, 0, 11, 0, 0, 0, 0, 8, 0.0, 8, 0, 0, 0, 0, 2, 3, 5.26, 57.89, 68.42, 78.890625, 25.0, 37.5, 0, 12.5, 42.09375, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 82.0, 8.0, 0.0, 0.0, 43.0, "Tous les candidats", 168.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "30859", "Double licence - Histoire / Sciences", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30859&g_ta_cod=30859", 100.0, 0.0, 0.0),
(1804, "Privé sous contrat d'association", "0597097U", "IRTS Hauts-de-France - Site Hainaut Cambrésis", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "EFTS", "IRTS Hauts-de-France - Site Hainaut Cambrésis - D.E Assistant de Service Social", "D.E secteur social", "", 16, 80, 72, 80, 0, 14, 5, 16, 5, 7, 0, 43, 0, 0, 0, 0, 0, 48, 0, 0, 0, 10, 4, 8, 3, 1, 0, 29, 23, 16, 15, 16, 0, 12.0, 14.0, 16.0, 0, 2, 5, 1, 4, 0, 11, 0, 0, 3, 1, 1, 0.0, 1, 4, 0, 0, 0, 5, 5, 75.0, 87.5, 100.0, 93.796875, 100.0, 100.0, 0, 40.0, 31.296875, 0.0, 0.0, 60.0, 20.0, 20.0, 0.0, 20.0, 20.0, 80.0, 80.0, 0.0, 0.0, 3.0, 0.0, 1.0, 0.0, 15.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "24998", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24998&g_ta_cod=24998", 50.0, 31.0, 13.0),
(1805, "Public", "0561739L", "Université de Bretagne Sud - Site de Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation non sélective", "Licence_Las", "Université de Bretagne Sud - Site de Vannes - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 45, 397, 313, 308, 0, 200, 28, 35, 8, 7, 2, 66, 89, 42, 4, 0, 43, 305, 46, 0, 0, 200, 28, 35, 8, 7, 2, 63, 277, 37, 28, 25, 12, 2.0, 24.0, 26.0, 0, 3, 26, 21, 5, 0, 11, 0, 9, 12, 5, 0, 0.0, 16, 1, 0, 0, 0, 19, 19, 5.41, 64.86, 70.27, 75.6875, 73.09375, 73.09375, 0, 11.5, 70.296875, 0.0, 34.59375, 46.1953125, 19.19921875, 0.0, 0.0, 80.796875, 61.5, 19.19921875, 3.7998046875, 0.0, 0.0, 183.0, 25.0, 2.0, 1.0, 70.0, "Tous les candidats", 1723.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "26725", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26724&g_ta_cod=26725", 78.0, 19.0, 3.0),
(1806, "Privé sous contrat d'association", "0572341K", "Lycée Jean XXIII", "57", "Moselle", "Grand Est", "Nancy-Metz", "Montigny-lès-Metz", "formation sélective", "Ecole d'Ingénieur", "ECAM-HEI-ISEN-ISEP cycle préparatoire Metz - Jean XXIII - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 25, 101, 25, 77, 0, 61, 4, 0, 0, 0, 0, 16, 24, 8, 0, 0, 16, 65, 17, 0, 0, 53, 4, 0, 0, 0, 0, 12, 82, 18, 3, 14, 4, 14.0, 14.0, 18.0, 0, 1, 13, 13, 0, 0, 5, 0, 1, 5, 5, 2, 0.0, 12, 0, 0, 0, 0, 10, 10, 77.78, 77.78, 100.0, 16.69921875, 76.890625, 76.890625, 0, 7.69921875, 72.1875, 0.0, 7.69921875, 38.5, 38.5, 15.4, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 58.0, 4.0, 0.0, 0.0, 24.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "15467", "Formation d'ingénieur Bac + 5 - Série générale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15467&g_ta_cod=15467", 100.0, 0.0, 0.0),
(1807, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "Université Angers - C.M.I - Cursus Master en Ingénierie - Sciences de la vie et de la terre - Cursus de Master en Ingénierie : Biologie Systémique du Végétal (BSV)", "C.M.I - Cursus Master en Ingénierie", "Cursus de Master en Ingénierie : Biologie Systémique du Végétal (BSV)", 20, 170, 87, 170, 0, 116, 9, 4, 1, 0, 0, 50, 0, 0, 0, 0, 0, 136, 0, 0, 0, 97, 4, 0, 0, 0, 0, 39, 75, 18, 6, 18, 0, 2.0, 13.0, 16.0, 0, 1, 15, 15, 0, 0, 3, 0, 0, 5, 7, 3, 0.0, 15, 0, 0, 0, 0, 3, 3, 11.11, 72.22, 88.89, 33.296875, 20.0, 20.0, 0, 6.69921875, 83.296875, 0.0, 0.0, 33.296875, 46.6953125, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 46.0, 3.0, 0.0, 0.0, 29.0, "Tous les candidats", 108.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "15634", "C.M.I - Cursus Master en Ingénierie - Sciences de la vie et de la terre - Cursus de Master en Ingénierie : Biologie Systémique du Végétal (BSV)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15634&g_ta_cod=15634", 100.0, 0.0, 0.0),
(1808, "Public", "0440086E", "Lycée général et technologique La Colinière", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée général et technologique La Colinière - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 33, 1015, 91, 1015, 0, 176, 31, 325, 92, 228, 72, 286, 0, 0, 0, 0, 0, 406, 0, 0, 0, 78, 9, 132, 29, 145, 35, 51, 164, 32, 2, 32, 0, 4.0, 29.0, 31.0, 0, 6, 18, 4, 8, 6, 14, 0, 3, 10, 3, 2, 0.0, 4, 5, 6, 0, 0, 12, 12, 12.5, 90.63, 96.88, 6.2998046875, 66.6875, 66.6875, 0, 33.296875, 56.296875, 0.0, 16.69921875, 55.59375, 16.69921875, 11.1, 0.0, 22.19921875, 22.19921875, 44.3984375, 27.796875, 33.296875, 33.296875, 38.0, 7.0, 32.0, 9.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 146, "Liste d'appel propre à cette formation", 32.0, "5469", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5469&g_ta_cod=5469", 25.0, 44.0, 31.0),
(1809, "Public", "0312759F", "Lycée Joseph Gallieni", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée Joseph Gallieni - Mention complémentaire - FCIL - Parcours polyvalent en recyclage et réhabilitation des véhicules", "Mention complémentaire", "", 12, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 2, 2, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 1, 0, 0, 1, 0.0, 0.0, 0.0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 3.0, 3.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35026", "Mention complémentaire - FCIL - Parcours polyvalent en recyclage et réhabilitation des véhicules", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=35026&g_ta_cod=35026", 0.0, 0.0, 100.0),
(1810, "Public", "0950667J", "Lycée Romain Rolland", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Goussainville", "formation sélective", "BTS", "Lycée Romain Rolland - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 24, 191, 5, 191, 0, 6, 3, 31, 11, 113, 52, 41, 0, 0, 0, 0, 0, 191, 0, 0, 0, 6, 3, 31, 11, 113, 52, 41, 87, 24, 1, 24, 0, 2.0, 16.0, 16.0, 0, 14, 22, 1, 6, 15, 2, 0, 14, 7, 1, 0, 0.0, 0, 1, 7, 9, 1, 17, 21, 8.33, 66.67, 66.67, 4.19921875, 77.296875, 95.5, 40.8984375, 63.59375, 91.6875, 0.0, 63.59375, 31.796875, 4.5, 0.0, 0.0, 4.5, 0.0, 27.296875, 4.5, 68.1875, 31.796875, 2.0, 1.0, 49.0, 25.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 49.0, "11588", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11588&g_ta_cod=11588", 4.0, 25.0, 71.0),
(1811, "Public", "0763214F", "I.U.T De Rouen - Site d'Elbeuf", "76", "Seine-Maritime", "Normandie", "Normandie", "Elbeuf", "formation sélective", "BUT", "I.U.T De Rouen - Site d'Elbeuf - BUT - Réseaux et télécommunications Parcours : Développement Système et Cloud", "BUT - Production", "Développement Système et Cloud", 74, 629, 48, 578, 0, 254, 31, 193, 55, 16, 2, 115, 51, 6, 14, 0, 31, 385, 17, 0, 0, 201, 23, 139, 37, 4, 0, 41, 290, 51, 1, 43, 8, 4.0, 35.0, 46.0, 0, 8, 42, 27, 15, 0, 9, 2, 20, 18, 2, 0, 0.0, 15, 5, 0, 0, 0, 28, 28, 7.84, 68.63, 90.2, 2.0, 66.6875, 66.6875, 0, 19.0, 82.390625, 4.7998046875, 47.59375, 42.8984375, 4.7998046875, 0.0, 0.0, 64.296875, 35.6953125, 35.6953125, 11.8984375, 0.0, 0.0, 144.0, 21.0, 2.0, 0.0, 33.0, "Tous les candidats sauf les Bac technologiques", 232.0, "Bacheliers technologiques toutes séries", 150, "", 0, "Liste d'appel propre à cette formation", 66.0, "9626", "BUT - Réseaux et télécommunications Parcours : Développement Système et Cloud", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9626&g_ta_cod=9626", 67.0, 33.0, 0.0),
(1812, "Public", "0630020E", "Lycée Sidoine Apollinaire", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée Sidoine Apollinaire - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 695, 347, 676, 0, 126, 34, 166, 75, 127, 68, 257, 19, 1, 2, 0, 16, 355, 0, 0, 0, 91, 20, 110, 40, 62, 26, 92, 159, 32, 16, 32, 0, 2.0, 24.0, 29.0, 0, 8, 20, 7, 5, 8, 12, 0, 11, 8, 1, 0, 0.0, 1, 3, 5, 1, 1, 17, 17, 6.25, 75.0, 90.63, 50.0, 85.0, 85.0, 5, 40.0, 62.5, 0.0, 55.0, 40.0, 5.0, 0.0, 0.0, 35.0, 5.0, 25.0, 15.0, 40.0, 25.0, 30.0, 13.0, 30.0, 10.0, 53.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 89.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 137, "Liste d'appel propre à cette formation", 42.0, "7557", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7557&g_ta_cod=7557", 44.0, 22.0, 34.0),
(1813, "Public", "0290051Y", "Lycée Tristan Corbiere", "29", "Finistère", "Bretagne", "Rennes", "Morlaix", "formation sélective", "BTS", "Lycée Tristan Corbiere - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 164, 11, 163, 0, 17, 2, 96, 12, 26, 6, 24, 1, 0, 1, 0, 0, 148, 0, 0, 0, 15, 2, 92, 12, 22, 6, 19, 79, 9, 0, 9, 0, 1.0, 7.0, 9.0, 0, 2, 8, 0, 4, 4, 1, 0, 3, 4, 1, 0, 0.0, 0, 2, 3, 1, 0, 8, 8, 11.11, 77.78, 100.0, 0.0, 100.0, 100.0, 12.5, 25.0, 88.890625, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 37.5, 10.0, 1.0, 17.0, 5.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 105, "Liste d'appel propre à cette formation", 88.0, "3787", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3787&g_ta_cod=3787", 0.0, 44.0, 56.0),
(1814, "Privé sous contrat d'association", "0131684K", "Lycée Jeanne Perrimond", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  7e  Arrondissement", "formation sélective", "BTS", "Lycée Jeanne Perrimond - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 298, 140, 227, 0, 52, 17, 44, 18, 35, 17, 96, 71, 13, 0, 16, 42, 160, 24, 0, 0, 45, 14, 35, 15, 25, 10, 55, 121, 19, 6, 10, 9, 4.0, 8.0, 16.0, 0, 7, 11, 5, 4, 2, 8, 0, 3, 6, 2, 0, 0.0, 3, 3, 2, 0, 0, 11, 11, 21.05, 42.11, 84.21, 31.59765625, 100.0, 100.0, 0, 63.59375, 57.8984375, 0.0, 27.296875, 54.5, 18.19921875, 0.0, 0.0, 45.5, 27.296875, 36.3984375, 27.296875, 18.19921875, 18.19921875, 40.0, 15.0, 19.0, 9.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 57.0, "2668", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2668&g_ta_cod=2668", 58.0, 32.0, 11.0),
(1815, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - Licence - Double diplôme - Licence Droit - Double diplôme Licence de Droit - DU état civil", "Licence - Droit-économie-gestion", "Double diplôme Licence de Droit - DU état civil", 20, 180, 136, 180, 0, 135, 29, 15, 3, 2, 1, 28, 0, 0, 0, 0, 0, 153, 0, 0, 0, 129, 27, 8, 2, 0, 0, 16, 68, 22, 19, 22, 0, 9.0, 22.0, 22.0, 0, 4, 20, 20, 0, 0, 2, 0, 0, 10, 8, 2, 0.0, 20, 0, 0, 0, 0, 8, 8, 40.91, 100.0, 100.0, 86.390625, 40.0, 40.0, 0, 20.0, 90.890625, 0.0, 0.0, 50.0, 40.0, 10.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 62.0, 12.0, 0.0, 0.0, 6.0, "Tous les candidats", 104.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "25442", "Licence - Double diplôme - Licence Droit - Double diplôme Licence de Droit - DU état civil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25442&g_ta_cod=25442", 100.0, 0.0, 0.0),
(1816, "Public", "9760270P", "Lycée Cité scolaire du nord", "976", "Mayotte", "Mayotte", "Mayotte", "Mtsamboro", "formation sélective", "BTS", "Lycée Cité scolaire du nord - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 1177, 757, 1177, 0, 154, 104, 418, 270, 245, 124, 360, 0, 0, 0, 0, 0, 395, 0, 0, 0, 77, 50, 179, 125, 115, 68, 24, 115, 35, 23, 35, 0, 5.0, 29.0, 33.0, 0, 20, 34, 7, 15, 12, 1, 0, 18, 14, 2, 0, 0.0, 4, 7, 5, 17, 12, 34, 34, 14.29, 82.86, 94.29, 65.6875, 100.0, 100.0, 50, 58.796875, 97.09375, 0.0, 52.8984375, 41.1953125, 5.8994140625, 0.0, 0.0, 20.59765625, 11.798828125, 44.09375, 20.59765625, 35.296875, 14.69921875, 22.0, 15.0, 38.0, 20.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 14.0, "18856", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18856&g_ta_cod=18856", 23.0, 43.0, 34.0),
(1817, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "PASS", "Université de Brest - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 35, 2280, 1407, 2280, 0, 1777, 201, 53, 5, 13, 11, 437, 0, 0, 0, 0, 0, 2281, 0, 0, 0, 1778, 202, 53, 5, 13, 11, 437, 188, 35, 26, 35, 0, 2.0, 34.0, 34.0, 0, 8, 35, 35, 0, 0, 0, 0, 0, 2, 8, 23, 2.0, 35, 0, 0, 0, 0, 34, 34, 5.71, 97.14, 97.14, 74.296875, 97.09375, 97.09375, 0, 22.8984375, 100.0, 0.0, 0.0, 5.69921875, 22.8984375, 65.7, 5.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 185.0, 30.0, 0.0, 0.0, 3.0, "Tous les candidats", 789.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "28248", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27585&g_ta_cod=28248", 100.0, 0.0, 0.0),
(1818, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Droit", "Licence - Droit-économie-gestion", "", 180, 1079, 820, 1079, 0, 769, 174, 116, 42, 30, 15, 164, 0, 0, 0, 0, 0, 1075, 0, 0, 0, 769, 174, 116, 42, 30, 15, 160, 630, 175, 127, 174, 0, 30.0, 173.0, 174.0, 0, 38, 157, 131, 21, 5, 18, 0, 44, 63, 43, 6, 1.0, 93, 15, 5, 0, 0, 152, 152, 17.14, 98.86, 99.43, 72.59375, 96.796875, 96.796875, 0, 24.19921875, 89.6875, 0.0, 28.0, 40.09375, 27.3984375, 3.8, 0.6, 83.390625, 59.1953125, 13.3984375, 9.599609375, 3.19970703125, 3.19970703125, 497.0, 109.0, 9.0, 3.0, 72.0, "Tous les candidats", 790.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "20566", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20566&g_ta_cod=20566", 81.0, 15.0, 4.0),
(1819, "Privé sous contrat d'association", "0131681G", "Lycée Chimie et Biologie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 11e  Arrondissement", "formation sélective", "BTS", "Lycée Chimie et Biologie - BTS - Production - Métiers de la chimie", "BTS - Production", "", 30, 425, 254, 362, 0, 64, 15, 91, 39, 16, 9, 191, 63, 3, 2, 5, 53, 207, 28, 0, 0, 60, 12, 53, 17, 16, 9, 78, 163, 19, 6, 14, 5, 1.0, 8.0, 14.0, 0, 1, 8, 2, 6, 0, 11, 0, 4, 4, 0, 0, 0.0, 1, 3, 0, 0, 0, 4, 4, 5.26, 42.11, 73.68, 31.59765625, 50.0, 50.0, 0, 12.5, 42.09375, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 25.0, 12.5, 75.0, 37.5, 0.0, 0.0, 44.0, 10.0, 16.0, 9.0, 67.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 109.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 54.0, "2661", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2661&g_ta_cod=2661", 58.0, 37.0, 5.0),
(1820, "Public", "0750695Y", "Lycée Fresnel", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "BTS", "Lycée Fresnel - BTS - Production - Systèmes photoniques", "BTS - Production", "", 48, 475, 100, 276, 0, 42, 9, 64, 15, 45, 24, 125, 199, 29, 42, 29, 99, 110, 50, 0, 0, 31, 8, 35, 8, 23, 14, 21, 152, 37, 4, 17, 20, 7.0, 17.0, 26.0, 0, 3, 19, 10, 6, 3, 18, 0, 11, 6, 2, 0, 0.0, 2, 3, 3, 3, 2, 4, 19, 18.92, 45.95, 70.27, 10.798828125, 21.09765625, 100.0, 15.798828125, 15.798828125, 51.3984375, 0.0, 57.8984375, 31.59765625, 10.5, 0.0, 0.0, 52.59375, 10.5, 31.59765625, 15.798828125, 15.798828125, 15.798828125, 47.0, 15.0, 19.0, 12.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 38.0, "9117", "BTS - Production - Systèmes photoniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9117&g_ta_cod=9117", 59.0, 30.0, 11.0),
(1821, "Public", "0512131P", "Sciences Po - campus de Reims - Institut d'études politiques", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "Sciences Po Paris - Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", "Sciences politiques", "Bachelor du Collège universitaire de Sciences Po - Europe-North America Programme - English track, campus de Reims", 230, 4664, 3179, 4664, 0, 4646, 422, 10, 3, 0, 0, 8, 0, 0, 0, 0, 0, 278, 0, 0, 0, 278, 40, 0, 0, 0, 0, 0, 273, 224, 159, 224, 0, 0.0, 224.0, 224.0, 0, 32, 224, 224, 0, 0, 0, 0, 0, 0, 8, 119, 97.0, 224, 0, 0, 0, 0, 3, 3, 0.0, 100.0, 100.0, 71.0, 1.2998046875, 1.2998046875, 0, 14.298828125, 100.0, 0.0, 0.0, 0.0, 3.599609375, 53.1, 43.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 273.0, 40.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "31216", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", "Sciences Po Paris - Institut d'études politiques", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25777&g_ta_cod=31216", 100.0, 0.0, 0.0),
(1822, "Privé sous contrat d'association", "0754042L", "Lycée Le Rebours", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Le Rebours - BTS - Services - Support à l'action managériale", "BTS - Services", "", 40, 618, 399, 325, 0, 22, 4, 107, 35, 118, 58, 78, 293, 13, 96, 61, 123, 162, 30, 0, 0, 17, 2, 63, 16, 63, 24, 19, 165, 29, 23, 21, 8, 7.0, 17.0, 21.0, 0, 7, 24, 1, 13, 10, 5, 0, 10, 10, 3, 1, 0.0, 1, 7, 6, 6, 5, 12, 23, 24.14, 58.62, 72.41, 79.296875, 50.0, 95.796875, 25, 29.19921875, 82.796875, 0.0, 41.6953125, 41.6953125, 12.5, 4.2, 0.0, 4.19921875, 4.19921875, 54.1953125, 29.19921875, 41.6953125, 25.0, 18.0, 3.0, 58.0, 25.0, 22.0, "Tous les candidats sauf les Bac professionnels", 94.0, "Bacheliers professionnels toutes séries", 67, "", 0, "Liste d'appel propre à cette formation", 50.0, "9504", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9504&g_ta_cod=9504", 3.0, 55.0, 41.0),
(1823, "Public", "0440021J", "Lycée général Clemenceau", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "Lycée général Clemenceau - CPGE - PCSI", "Classe préparatoire scientifique", "", 144, 3020, 1059, 3020, 2323, 2682, 203, 0, 0, 0, 0, 338, 0, 0, 0, 0, 0, 1520, 0, 668, 1468, 1508, 134, 0, 0, 0, 0, 12, 680, 142, 46, 142, 0, 22.0, 107.0, 135.0, 21, 7, 139, 139, 0, 0, 3, 0, 0, 0, 22, 95, 22.0, 139, 0, 0, 8, 3, 94, 94, 15.49, 75.35, 95.07, 32.3984375, 67.59375, 67.59375, 5.7998046875, 5.0, 97.890625, 0.0, 0.0, 0.0, 15.798828125, 68.3, 15.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 672.0, 49.0, 0.0, 0.0, 8.0, "Tous les candidats", 920.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "5422", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5422&g_ta_cod=5422", 100.0, 0.0, 0.0),
(1824, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Histoire - Parcours Histoire et géographie", "Licence - Sciences humaines et sociales", "Histoire et géographie", 70, 886, 390, 886, 0, 643, 163, 54, 18, 22, 12, 167, 0, 0, 0, 0, 0, 886, 0, 0, 0, 643, 163, 54, 18, 22, 12, 167, 290, 68, 32, 68, 0, 51.0, 64.0, 65.0, 0, 22, 55, 51, 4, 0, 13, 0, 9, 24, 19, 2, 1.0, 45, 1, 0, 0, 0, 42, 42, 75.0, 94.12, 95.59, 47.09375, 76.390625, 76.390625, 0, 40.0, 80.890625, 0.0, 16.3984375, 43.59375, 34.5, 3.6, 1.8, 92.6875, 81.796875, 7.2998046875, 1.7998046875, 0.0, 0.0, 227.0, 58.0, 3.0, 1.0, 53.0, "Tous les candidats", 320.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "28324", "Licence - Histoire - Parcours Histoire et géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28324&g_ta_cod=28324", 90.0, 9.0, 0.0),
(1825, "Privé sous contrat d'association", "0292125C", "ISEN Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 24, 1274, 378, 1271, 0, 1265, 104, 0, 0, 0, 0, 6, 3, 3, 0, 0, 0, 1080, 2, 0, 0, 1080, 76, 0, 0, 0, 0, 0, 976, 10, 5, 10, 0, 8.0, 10.0, 10.0, 0, 1, 10, 10, 0, 0, 0, 0, 1, 6, 3, 0, 0.0, 9, 0, 0, 0, 0, 6, 6, 80.0, 100.0, 100.0, 50.0, 60.0, 60.0, 0, 10.0, 100.0, 0.0, 10.0, 60.0, 30.0, 0.0, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 976.0, 76.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "22812", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=22812", 100.0, 0.0, 0.0),
(1826, "Public", "0940585A", "Lycée Francois Mansart", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "BTS", "Lycée Francois Mansart - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 449, 133, 411, 0, 30, 8, 163, 68, 107, 50, 111, 38, 15, 0, 0, 23, 197, 8, 0, 0, 24, 6, 80, 31, 59, 28, 34, 118, 22, 5, 20, 1, 2.0, 14.0, 19.0, 0, 8, 16, 3, 4, 9, 6, 0, 8, 6, 2, 0, 0.0, 1, 1, 6, 1, 0, 13, 16, 9.09, 63.64, 86.36, 22.69921875, 81.296875, 100.0, 6.2998046875, 50.0, 72.6875, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 18.796875, 6.2998046875, 25.0, 6.2998046875, 56.296875, 37.5, 22.0, 7.0, 48.0, 26.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 33.0, "11439", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11439&g_ta_cod=11439", 23.0, 23.0, 55.0),
(1827, "Privé sous contrat d'association", "0313057E", "Institut de Formation Association Educative pour l'Hospitalisation Privée", "31", "Haute-Garonne", "Occitanie", "Toulouse", "L'Union", "formation sélective", "IFSI", "Regroupement d'IFSI Université Toulouse - D.E Infirmier", "D.E secteur sanitaire", "", 50, 3579, 3072, 3579, 0, 535, 108, 548, 154, 346, 118, 2150, 0, 0, 0, 0, 0, 2321, 0, 0, 0, 486, 96, 389, 107, 189, 63, 1257, 622, 50, 48, 49, 0, 0.0, 10.0, 34.0, 0, 7, 21, 8, 8, 5, 29, 0, 4, 7, 9, 1, 0.0, 6, 6, 5, 0, 0, 16, 16, 0.0, 20.0, 68.0, 96.0, 76.1875, 76.1875, 0, 33.296875, 42.0, 0.0, 19.0, 33.296875, 42.8984375, 4.8, 0.0, 38.09375, 28.59765625, 38.09375, 28.59765625, 23.796875, 23.796875, 196.0, 32.0, 24.0, 9.0, 335.0, "Tous les candidats", 2711.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "34634", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22985&g_ta_cod=34634", 62.0, 26.0, 12.0),
(1828, "Public", "0690037R", "Lycée La Martinière-Diderot", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "Autre formation", "Lycée La Martinière-Diderot - DN MADE - Matériaux - - Spécialité : Recherche et création textile/surface, mode, cadre de vie, image", "DN MADE", "- Spécialité : Recherche et création textile/surface, mode, cadre de vie, image", 15, 834, 669, 834, 0, 318, 57, 232, 45, 77, 24, 207, 0, 0, 0, 0, 0, 119, 0, 0, 0, 41, 6, 61, 7, 2, 0, 15, 29, 15, 15, 15, 0, 4.0, 15.0, 15.0, 0, 4, 11, 7, 4, 0, 4, 0, 0, 0, 8, 2, 1.0, 7, 4, 0, 0, 0, 1, 1, 26.67, 100.0, 100.0, 100.0, 9.099609375, 9.099609375, 0, 36.3984375, 73.296875, 0.0, 0.0, 0.0, 72.6875, 18.2, 9.1, 63.59375, 63.59375, 36.3984375, 36.3984375, 0.0, 0.0, 11.0, 3.0, 0.0, 0.0, 8.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "21593", "DN MADE - Matériaux - - Spécialité : Recherche et création textile/surface, mode, cadre de vie, image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21593&g_ta_cod=21593", 73.0, 27.0, 0.0),
(1829, "Public", "0630018C", "Lycée Blaise Pascal", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "CPGE", "Lycée Blaise Pascal - CPGE - PCSI", "Classe préparatoire scientifique", "", 90, 1437, 572, 1437, 971, 1162, 104, 1, 0, 0, 0, 274, 0, 0, 0, 0, 0, 1056, 0, 467, 980, 1030, 91, 1, 0, 0, 0, 25, 663, 87, 33, 87, 0, 34.0, 62.0, 82.0, 4, 14, 87, 87, 0, 0, 0, 0, 2, 8, 45, 31, 1.0, 85, 0, 0, 7, 4, 49, 49, 39.08, 71.26, 94.25, 37.8984375, 56.296875, 56.296875, 8, 16.09765625, 100.0, 0.0, 2.2998046875, 9.19921875, 51.6953125, 35.6, 1.1, 100.0, 97.6875, 0.0, 0.0, 0.0, 0.0, 655.0, 79.0, 0.0, 0.0, 8.0, "Tous les candidats", 819.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "7546", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7546&g_ta_cod=7546", 100.0, 0.0, 0.0),
(1830, "Public", "0610026X", "Lycée Napoleon", "61", "Orne", "Normandie", "Normandie", "L'Aigle", "formation sélective", "BTS", "Lycée Napoleon - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 6, 31, 5, 30, 0, 0, 0, 16, 2, 9, 3, 5, 1, 0, 0, 0, 1, 27, 0, 0, 0, 0, 0, 16, 2, 9, 3, 2, 23, 3, 0, 3, 0, 1.0, 3.0, 3.0, 0, 2, 3, 0, 1, 2, 0, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 2, 0, 3, 3, 33.33, 100.0, 100.0, 0.0, 100.0, 100.0, 66.6875, 66.6875, 100.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 7.0, 3.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 87.0, "7304", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7304&g_ta_cod=7304", 0.0, 33.0, 67.0),
(1831, "Privé sous contrat d'association", "0290181P", "Lycée Sup'Javouhey BREST", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Sup'Javouhey BREST - BTS - Services - Communication", "BTS - Services", "", 47, 739, 525, 739, 0, 162, 24, 265, 42, 102, 26, 210, 0, 0, 0, 0, 0, 590, 0, 0, 0, 161, 23, 250, 40, 43, 9, 136, 156, 49, 41, 49, 0, 11.0, 42.0, 45.0, 0, 7, 39, 16, 12, 11, 10, 0, 4, 25, 10, 0, 0.0, 14, 11, 10, 0, 0, 39, 39, 22.45, 85.71, 91.84, 83.6875, 100.0, 100.0, 0, 17.8984375, 79.59375, 0.0, 10.298828125, 64.09375, 25.59765625, 0.0, 0.0, 41.0, 35.8984375, 30.796875, 28.19921875, 28.19921875, 25.59765625, 61.0, 10.0, 27.0, 7.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 89.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 25.0, "3824", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3824&g_ta_cod=3824", 45.0, 31.0, 24.0),
(1832, "Public", "0590185F", "Lycée Jean Moulin", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Jean Moulin - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1140, 514, 1066, 0, 86, 26, 299, 167, 323, 191, 358, 74, 0, 0, 40, 34, 366, 16, 0, 0, 36, 14, 118, 57, 129, 77, 83, 164, 26, 13, 19, 7, 1.0, 16.0, 22.0, 0, 12, 17, 1, 4, 12, 9, 0, 6, 9, 2, 0, 0.0, 0, 3, 8, 3, 0, 14, 14, 3.85, 61.54, 84.62, 50.0, 82.390625, 82.390625, 17.59765625, 70.59375, 65.390625, 0.0, 35.296875, 52.8984375, 11.798828125, 0.0, 0.0, 5.8994140625, 0.0, 23.5, 17.59765625, 70.59375, 47.09375, 13.0, 9.0, 104.0, 65.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 131, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 20.0, "6822", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6822&g_ta_cod=6822", 19.0, 27.0, 54.0),
(1833, "Public", "0912142J", "Lycée Gaspard Monge", "91", "Essonne", "Ile-de-France", "Versailles", "Savigny-sur-Orge", "formation sélective", "BTS", "Lycée Gaspard Monge - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 24, 295, 11, 295, 0, 23, 7, 38, 11, 152, 68, 82, 0, 0, 0, 0, 0, 157, 0, 0, 0, 15, 4, 25, 6, 102, 42, 15, 72, 24, 1, 24, 0, 8.0, 21.0, 23.0, 0, 8, 22, 0, 2, 20, 2, 0, 4, 10, 6, 2, 0.0, 0, 1, 17, 10, 1, 20, 21, 33.33, 87.5, 95.83, 4.19921875, 90.890625, 95.5, 45.5, 36.3984375, 91.6875, 0.0, 18.19921875, 45.5, 27.296875, 9.1, 0.0, 0.0, 0.0, 9.099609375, 4.5, 90.890625, 77.296875, 8.0, 3.0, 50.0, 21.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 28.0, "10971", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10971&g_ta_cod=10971", 4.0, 13.0, 83.0),
(1834, "Public", "0941952L", "Lycée Francois Arago", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villeneuve-Saint-Georges", "formation sélective", "Autre formation", "Lycée Francois Arago - Mention complémentaire - Technicien ascensoriste, service et modernisation", "Mention complémentaire", "", 12, 105, 0, 105, 0, 0, 0, 0, 0, 97, 50, 8, 0, 0, 0, 0, 0, 36, 0, 0, 0, 0, 0, 0, 0, 32, 17, 4, 24, 12, 0, 12, 0, 6.0, 11.0, 11.0, 0, 4, 10, 0, 0, 10, 2, 0, 6, 0, 4, 0, 0.0, 0, 0, 4, 0, 0, 5, 10, 50.0, 91.67, 91.67, 0.0, 50.0, 100.0, 0, 40.0, 83.296875, 0.0, 60.0, 0.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 40.0, 0.0, 0.0, 20.0, 11.0, 4.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "13449", "Mention complémentaire - Technicien ascensoriste, service et modernisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13449&g_ta_cod=13449", 0.0, 0.0, 100.0),
(1835, "Public", "0021998L", "IUT de l'Aisne - Site de Saint-Quentin", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "BUT", "IUT de l'Aisne - Site de Saint-Quentin - BUT - Génie chimique génie des procédés Parcours : Conception des procédés et innovation technologique - Contrôle-Qualité, environnement et sécurité des procédés", "BUT - Production", "Conception des procédés et innovation technologique - Contrôle-Qualité, environnement et sécurité des procédés", 52, 424, 198, 366, 0, 185, 26, 88, 22, 2, 0, 91, 58, 18, 4, 0, 36, 309, 28, 0, 0, 182, 25, 64, 11, 1, 0, 62, 314, 30, 12, 22, 8, 13.0, 22.0, 29.0, 0, 1, 21, 14, 7, 0, 9, 0, 11, 7, 2, 1, 0.0, 6, 4, 0, 0, 0, 17, 17, 43.33, 73.33, 96.67, 40.0, 81.0, 81.0, 0, 4.7998046875, 70.0, 0.0, 52.3984375, 33.296875, 9.5, 4.8, 0.0, 66.6875, 28.59765625, 33.296875, 19.0, 0.0, 0.0, 180.0, 25.0, 0.0, 0.0, 72.0, "Tous les candidats sauf les Bac technologiques", 242.0, "Bacheliers technologiques toutes séries", 68, "", 0, "Liste d'appel propre à cette formation", 84.0, "2101", "BUT - Génie chimique génie des procédés Parcours : Conception des procédés et innovation technologique - Contrôle-Qualité, environnement et sécurité des procédés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2101&g_ta_cod=2101", 73.0, 23.0, 3.0),
(1836, "Public", "0801272Y", "Lycée agricole le Paraclet Amiens-Cottenchy", "80", "Somme", "Hauts-de-France", "Amiens", "Cottenchy", "formation sélective", "BTS", "Lycée agricole le Paraclet Amiens-Cottenchy - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 34, 505, 297, 445, 0, 103, 16, 80, 15, 24, 7, 238, 60, 6, 17, 6, 31, 155, 15, 0, 0, 78, 10, 43, 7, 12, 2, 22, 128, 25, 17, 20, 4, 3.0, 19.0, 23.0, 0, 2, 20, 15, 4, 1, 5, 0, 5, 10, 5, 0, 0.0, 12, 2, 1, 1, 1, 11, 11, 12.0, 76.0, 92.0, 68.0, 55.0, 55.0, 5, 10.0, 80.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 75.0, 60.0, 20.0, 10.0, 5.0, 5.0, 56.0, 7.0, 13.0, 2.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 90.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 33.0, "10181", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10181&g_ta_cod=10181", 72.0, 24.0, 4.0),
(1837, "Public", "0750674A", "Lycée Jules SIEGFRIED", "75", "Paris", "Ile-de-France", "Paris", "Paris 10e  Arrondissement", "formation sélective", "BTS", "Lycée Jules SIEGFRIED - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 3116, 1554, 3116, 0, 154, 48, 1131, 499, 1083, 478, 748, 0, 0, 0, 0, 0, 1121, 0, 0, 0, 0, 0, 426, 188, 534, 234, 161, 198, 32, 23, 32, 0, 4.0, 27.0, 30.0, 0, 11, 21, 0, 9, 12, 11, 0, 1, 12, 6, 2, 0.0, 0, 8, 12, 2, 1, 6, 21, 12.5, 84.38, 93.75, 71.890625, 28.59765625, 100.0, 9.5, 52.3984375, 65.59375, 0.0, 4.7998046875, 57.09375, 28.59765625, 9.5, 0.0, 0.0, 0.0, 42.8984375, 38.09375, 57.09375, 57.09375, 0.0, 0.0, 86.0, 39.0, 54.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 215, "Bacheliers technologiques toutes séries", 112, "Liste d'appel propre à cette formation", 11.0, "9020", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9020&g_ta_cod=9020", 6.0, 50.0, 44.0),
(1838, "Privé sous contrat d'association", "0622199D", "Lycée Saint Denis", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Omer", "formation sélective", "BTS", "Lycée Saint Denis - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 25, 247, 125, 212, 0, 31, 11, 31, 10, 9, 4, 141, 35, 6, 4, 7, 18, 116, 15, 0, 0, 31, 11, 30, 10, 9, 4, 46, 111, 14, 5, 8, 6, 1.0, 8.0, 13.0, 0, 2, 5, 2, 2, 1, 9, 0, 3, 1, 0, 1, 0.0, 0, 1, 1, 0, 0, 3, 3, 7.14, 57.14, 92.86, 35.6953125, 60.0, 60.0, 0, 40.0, 35.6953125, 0.0, 60.0, 20.0, 0.0, 20.0, 0.0, 40.0, 0.0, 40.0, 20.0, 20.0, 20.0, 25.0, 8.0, 12.0, 6.0, 46.0, "Tous les candidats sauf les Bac professionnels", 101.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 55.0, "7433", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7433&g_ta_cod=7433", 50.0, 29.0, 21.0),
(1839, "Public", "0352087D", "IFSI CH Guillaume Régnier", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "IFSI", "Regroupement d'IFSI Université Rennes - D.E Infirmier", "D.E secteur sanitaire", "", 92, 5425, 4617, 5425, 0, 1084, 172, 1094, 226, 732, 207, 2515, 0, 0, 0, 0, 0, 4957, 0, 0, 0, 1026, 151, 1003, 195, 656, 182, 2272, 742, 92, 77, 92, 0, 2.0, 48.0, 74.0, 0, 10, 52, 15, 10, 27, 40, 0, 0, 16, 32, 4, 0.0, 15, 10, 27, 0, 0, 46, 46, 2.17, 52.17, 80.43, 83.6875, 88.5, 88.5, 0, 19.19921875, 56.5, 0.0, 0.0, 30.796875, 61.5, 7.7, 0.0, 28.796875, 28.796875, 19.19921875, 19.19921875, 51.8984375, 51.8984375, 104.0, 20.0, 149.0, 52.0, 425.0, "Tous les candidats", 1365.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 21.0, "23384", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23369&g_ta_cod=23384", 50.0, 17.0, 33.0),
(1840, "Public", "0040464H", "IFSI CH de Digne", "04", "Alpes-de-Haute-Provence", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Digne-les-Bains", "formation sélective", "IFSI", "Regroupement d'IFSI Université Aix-Marseille - D.E Infirmier", "D.E secteur sanitaire", "", 34, 5175, 4269, 5175, 0, 642, 161, 805, 241, 504, 213, 3224, 0, 0, 0, 0, 0, 2486, 0, 0, 0, 503, 112, 386, 95, 68, 19, 1529, 581, 34, 30, 34, 0, 1.0, 6.0, 27.0, 0, 5, 12, 8, 4, 0, 22, 0, 3, 5, 4, 0, 0.0, 5, 4, 0, 0, 0, 8, 8, 2.94, 17.65, 79.41, 88.1875, 66.6875, 66.6875, 0, 41.6953125, 35.296875, 0.0, 25.0, 41.6953125, 33.296875, 0.0, 0.0, 66.6875, 41.6953125, 33.296875, 33.296875, 0.0, 0.0, 174.0, 52.0, 2.0, 1.0, 358.0, "Tous les candidats", 2445.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "23026", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22987&g_ta_cod=23026", 50.0, 38.0, 9.0),
(1841, "Public", "0831616F", "Lycée Rouvière", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Rouvière - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 21, 161, 17, 154, 0, 16, 1, 66, 13, 34, 11, 38, 7, 1, 0, 3, 3, 114, 1, 0, 0, 14, 1, 58, 11, 28, 9, 14, 80, 17, 0, 16, 1, 1.0, 16.0, 17.0, 0, 2, 14, 2, 4, 8, 3, 0, 10, 4, 0, 0, 0.0, 0, 1, 3, 6, 0, 14, 14, 5.88, 94.12, 100.0, 0.0, 100.0, 100.0, 42.8984375, 14.298828125, 82.390625, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 14.298828125, 0.0, 28.59765625, 7.099609375, 57.09375, 21.3984375, 8.0, 1.0, 24.0, 8.0, 9.0, "Tous les candidats sauf les Bac professionnels", 84.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 73.0, "10406", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10406&g_ta_cod=10406", 18.0, 35.0, 47.0),
(1842, "Public", "0911975C", "Université d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation non sélective", "Licence", "Université d'Evry Val d'Essonne - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 155, 666, 287, 515, 0, 273, 59, 67, 19, 31, 11, 144, 151, 33, 25, 9, 84, 515, 119, 0, 0, 273, 59, 67, 19, 31, 11, 144, 580, 154, 50, 109, 45, 22.0, 108.0, 130.0, 0, 23, 88, 50, 25, 13, 66, 0, 53, 28, 6, 1, 0.0, 22, 5, 8, 0, 0, 76, 83, 14.29, 70.13, 84.42, 32.5, 86.390625, 94.296875, 0, 26.09765625, 57.09375, 0.0, 60.1953125, 31.796875, 6.7998046875, 1.1, 0.0, 56.796875, 25.0, 28.3984375, 5.69921875, 14.798828125, 9.099609375, 272.0, 55.0, 31.0, 13.0, 197.0, "Tous les candidats", 516.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10953", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10953&g_ta_cod=10953", 51.0, 31.0, 17.0),
(1843, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation sélective", "Autre formation", "Université Sorbonne Paris Nord - Diplôme d'Université - PAREO", "Diplôme d'Université", "PAREO", 50, 460, 263, 123, 0, 43, 13, 24, 14, 31, 18, 25, 337, 69, 61, 44, 163, 74, 56, 0, 0, 28, 8, 15, 10, 18, 13, 13, 163, 50, 27, 13, 27, 6.0, 12.0, 38.0, 0, 16, 33, 20, 9, 4, 17, 1, 28, 4, 0, 0, 0.0, 0, 1, 3, 0, 0, 16, 31, 12.0, 24.0, 76.0, 54.0, 48.5, 93.890625, 0, 48.5, 66.0, 3.0, 84.796875, 12.099609375, 0.0, 0.0, 0.0, 60.59375, 0.0, 27.296875, 3.0, 12.099609375, 9.099609375, 73.0, 24.0, 23.0, 15.0, 33.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "23722", "Diplôme d'Université - PAREO", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23722&g_ta_cod=23722", 58.0, 28.0, 14.0),
(1844, "Public", "0540040A", "Lycée Frédéric Chopin", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "CPGE", "Lycée Frédéric Chopin - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 32, 232, 132, 228, 47, 0, 0, 200, 51, 0, 0, 28, 4, 0, 1, 0, 3, 196, 2, 36, 189, 0, 0, 183, 48, 0, 0, 13, 114, 28, 16, 26, 2, 9.0, 24.0, 26.0, 0, 4, 24, 0, 24, 0, 4, 0, 2, 9, 6, 7, 0.0, 0, 22, 0, 1, 1, 22, 22, 32.14, 85.71, 92.86, 57.09375, 91.6875, 91.6875, 4.19921875, 16.69921875, 85.6875, 0.0, 8.298828125, 37.5, 25.0, 29.2, 0.0, 0.0, 0.0, 100.0, 91.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 10.0, "Tous les candidats", 183.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "6251", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6251&g_ta_cod=6251", 4.0, 96.0, 0.0),
(1845, "Public", "0342023P", "Université Paul Valery Montpellier - Site de Béziers", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation non sélective", "Licence", "Université Paul Valery Montpellier - Site de Béziers - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 90, 622, 280, 552, 0, 340, 93, 57, 25, 41, 26, 114, 70, 8, 9, 5, 48, 552, 67, 0, 0, 340, 93, 57, 25, 41, 26, 114, 499, 88, 35, 64, 24, 25.0, 64.0, 76.0, 0, 17, 44, 31, 7, 6, 44, 0, 17, 15, 10, 2, 0.0, 25, 1, 1, 0, 0, 38, 38, 28.41, 72.73, 86.36, 39.796875, 86.390625, 86.390625, 0, 38.59375, 50.0, 0.0, 38.59375, 34.09375, 22.69921875, 4.5, 0.0, 70.5, 56.796875, 15.8984375, 2.2998046875, 13.599609375, 2.2998046875, 289.0, 81.0, 33.0, 20.0, 126.0, "Tous les candidats", 551.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4613", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4613&g_ta_cod=4613", 59.0, 25.0, 13.0),
(1846, "Privé enseignement supérieur", "0791199Z", "Facultés libres de l'ouest UCO - Niort", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation non sélective", "Licence", "Facultés libres de l'ouest UCO - Niort - Licence - Psychologie", "Licence - Sciences humaines et sociales", "", 50, 619, 510, 577, 0, 285, 37, 117, 33, 43, 16, 132, 42, 8, 3, 0, 31, 577, 38, 0, 0, 285, 37, 117, 33, 43, 16, 132, 328, 59, 43, 54, 5, 8.0, 43.0, 52.0, 0, 3, 44, 29, 8, 7, 15, 0, 17, 23, 0, 4, 0.0, 15, 7, 5, 0, 0, 20, 20, 13.56, 72.88, 88.14, 72.890625, 45.5, 45.5, 0, 6.7998046875, 74.59375, 0.0, 38.59375, 52.296875, 0.0, 9.1, 0.0, 65.890625, 34.09375, 18.19921875, 15.8984375, 15.8984375, 11.3984375, 153.0, 17.0, 18.0, 8.0, 95.0, "Tous les candidats", 446.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "30046", "Licence - Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30046&g_ta_cod=30046", 73.0, 14.0, 14.0),
(1847, "Public", "9720004X", "Lycée Joseph Gaillard", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée Joseph Gaillard - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 28, 128, 37, 99, 0, 8, 3, 37, 20, 41, 32, 13, 29, 2, 0, 15, 12, 49, 7, 0, 0, 7, 3, 27, 15, 12, 10, 3, 52, 22, 5, 15, 6, 7.0, 15.0, 19.0, 0, 12, 18, 2, 9, 7, 4, 0, 12, 6, 0, 0, 0.0, 2, 1, 3, 4, 0, 17, 17, 31.82, 68.18, 86.36, 22.69921875, 94.390625, 94.390625, 22.19921875, 66.6875, 81.796875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 11.099609375, 11.099609375, 50.0, 5.599609375, 38.8984375, 16.69921875, 9.0, 4.0, 14.0, 10.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 47.0, "11798", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11798&g_ta_cod=11798", 18.0, 41.0, 41.0),
(1848, "Privé enseignement supérieur", "0755672H", "ESCE", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "- Programme Grande Ecole - New-Zealand track - Campus de Paris ou Lyon", 50, 842, 416, 837, 0, 702, 37, 51, 6, 4, 2, 80, 5, 3, 0, 0, 2, 767, 1, 0, 0, 664, 29, 44, 4, 1, 1, 58, 768, 2, 1, 2, 0, 2.0, 2.0, 2.0, 0, 0, 2, 1, 1, 0, 0, 0, 1, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 50.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 664.0, 29.0, 1.0, 1.0, 59.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "31984", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=31984", 50.0, 50.0, 0.0),
(1849, "Privé sous contrat d'association", "0350797B", "Lycée Jeanne d'Arc", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Lycée Jeanne d'Arc - Mention complémentaire - Accueil dans transports", "Mention complémentaire", "", 15, 38, 23, 24, 0, 1, 1, 2, 0, 15, 5, 6, 14, 1, 0, 6, 7, 24, 5, 0, 0, 1, 1, 2, 0, 15, 5, 6, 29, 12, 9, 12, 0, 10.0, 11.0, 12.0, 0, 4, 10, 0, 1, 9, 2, 0, 3, 5, 2, 0, 0.0, 0, 0, 7, 0, 0, 7, 7, 83.33, 91.67, 100.0, 75.0, 70.0, 70.0, 0, 40.0, 83.296875, 0.0, 30.0, 50.0, 20.0, 0.0, 0.0, 0.0, 0.0, 10.0, 0.0, 90.0, 70.0, 2.0, 1.0, 17.0, 5.0, 8.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12307", "Mention complémentaire - Accueil dans transports", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12307&g_ta_cod=12307", 0.0, 8.0, 92.0),
(1850, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Théologie", "Licence - Sciences humaines et sociales", "", 45, 127, 79, 86, 0, 52, 15, 3, 2, 1, 0, 30, 41, 3, 3, 2, 33, 86, 40, 0, 0, 52, 15, 3, 2, 1, 0, 30, 126, 15, 11, 6, 9, 6.0, 6.0, 9.0, 0, 1, 4, 4, 0, 0, 11, 0, 2, 0, 2, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 40.0, 40.0, 60.0, 73.296875, 50.0, 50.0, 0, 25.0, 26.69921875, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 55.0, 15.0, 3.0, 1.0, 62.0, "Tous les candidats", 86.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6625", "Licence - Théologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6625&g_ta_cod=6625", 80.0, 0.0, 7.0),
(1851, "Public", "0791062A", "Lycée de la Venise Verte", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BTS", "Lycée de la Venise Verte - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 15, 723, 541, 723, 0, 149, 27, 298, 75, 25, 6, 251, 0, 0, 0, 0, 0, 575, 0, 0, 0, 135, 24, 292, 72, 20, 6, 128, 72, 16, 12, 16, 0, 4.0, 11.0, 16.0, 0, 3, 12, 1, 9, 2, 4, 0, 1, 9, 1, 1, 0.0, 1, 9, 1, 1, 1, 9, 9, 25.0, 68.75, 100.0, 75.0, 75.0, 75.0, 8.298828125, 25.0, 75.0, 0.0, 8.298828125, 75.0, 8.298828125, 8.3, 0.0, 8.298828125, 8.298828125, 75.0, 75.0, 16.69921875, 8.298828125, 11.0, 4.0, 2.0, 1.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 2, "Bacheliers technologiques toutes séries", 104, "Liste d'appel propre à cette formation", 22.0, "10132", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10132&g_ta_cod=10132", 13.0, 75.0, 13.0),
(1852, "Public", "0830042V", "Lycée Antoine De Saint Exupery", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Saint-Raphaël", "formation sélective", "BTS", "Lycée Antoine De Saint Exupery - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 222, 149, 208, 0, 15, 5, 59, 23, 62, 32, 72, 14, 7, 0, 0, 7, 121, 6, 0, 0, 12, 5, 33, 13, 46, 21, 30, 82, 15, 12, 14, 1, 6.0, 11.0, 12.0, 0, 5, 12, 2, 3, 7, 3, 0, 4, 5, 3, 0, 0.0, 1, 2, 5, 8, 7, 11, 11, 40.0, 73.33, 80.0, 80.0, 91.6875, 91.6875, 66.6875, 41.6953125, 80.0, 0.0, 33.296875, 41.6953125, 25.0, 0.0, 0.0, 16.69921875, 8.298828125, 25.0, 16.69921875, 58.296875, 41.6953125, 16.0, 5.0, 20.0, 9.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 47.0, "10335", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10335&g_ta_cod=10335", 13.0, 27.0, 60.0),
(1853, "Public", "0750677D", "Lycée Elisa Lemonnier", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "BTS", "Lycée Elisa Lemonnier - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 48, 1497, 1442, 1363, 0, 175, 39, 399, 133, 368, 155, 421, 134, 46, 0, 0, 88, 377, 18, 0, 0, 60, 10, 108, 28, 164, 56, 45, 199, 37, 37, 31, 6, 9.0, 27.0, 29.0, 0, 8, 26, 7, 5, 14, 11, 0, 6, 15, 3, 2, 0.0, 5, 3, 12, 2, 2, 4, 21, 24.32, 72.97, 78.38, 100.0, 15.3984375, 80.796875, 7.69921875, 30.796875, 70.296875, 0.0, 23.09765625, 57.6953125, 11.5, 7.7, 0.0, 26.8984375, 19.19921875, 19.19921875, 11.5, 53.796875, 46.1953125, 49.0, 11.0, 73.0, 24.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 89, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 16.0, "9041", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9041&g_ta_cod=9041", 35.0, 27.0, 38.0),
(1854, "Public", "0020031Y", "Lycée Frederic Et Irene Joliot Curie", "02", "Aisne", "Hauts-de-France", "Amiens", "Hirson", "formation sélective", "BTS", "Lycée Frederic Et Irene Joliot Curie - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 33, 265, 146, 257, 0, 19, 9, 42, 17, 67, 22, 129, 8, 0, 0, 5, 3, 114, 2, 0, 0, 15, 7, 35, 14, 56, 18, 8, 95, 28, 20, 28, 0, 7.0, 28.0, 28.0, 0, 9, 25, 3, 9, 13, 3, 0, 13, 8, 2, 2, 0.0, 0, 3, 9, 11, 8, 22, 22, 25.0, 100.0, 100.0, 71.390625, 88.0, 88.0, 44, 36.0, 89.296875, 0.0, 52.0, 32.0, 8.0, 8.0, 0.0, 12.0, 0.0, 36.0, 12.0, 52.0, 36.0, 11.0, 5.0, 56.0, 18.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 41.0, "2044", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2044&g_ta_cod=2044", 14.0, 36.0, 50.0),
(1855, "Public", "0291660X", "Université de Brest - Site de Quimper", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation non sélective", "Licence", "Université de Brest - Site de Quimper - Licence - Portail Droit/histoire de l'art et archéologie parcours Droit - Marché de l'art", "Licence - Droit-économie-gestion", "Droit/histoire de l'art et archéologie parcours Droit - Marché de l'art", 160, 409, 310, 344, 0, 255, 34, 16, 3, 1, 1, 72, 65, 20, 3, 1, 41, 344, 61, 0, 0, 255, 34, 16, 3, 1, 1, 72, 396, 113, 82, 97, 16, 63.0, 97.0, 111.0, 0, 11, 86, 79, 7, 0, 27, 0, 15, 29, 37, 5, 0.0, 66, 5, 0, 0, 0, 32, 32, 55.75, 85.84, 98.23, 72.59375, 37.1953125, 37.1953125, 0, 12.798828125, 76.09375, 0.0, 17.3984375, 33.6953125, 43.0, 5.8, 0.0, 91.890625, 76.6875, 8.099609375, 5.7998046875, 0.0, 0.0, 267.0, 40.0, 2.0, 1.0, 109.0, "Tous les candidats", 344.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26489", "Licence - Portail Droit/histoire de l'art et archéologie parcours Droit - Marché de l'art", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26489&g_ta_cod=26489", 92.0, 7.0, 1.0),
(1856, "Public", "0750658H", "Lycée Saint-Louis (6ème)", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Saint-Louis (6ème) - CPGE - BCPST", "Classe préparatoire scientifique", "", 144, 3569, 2567, 3569, 1877, 2952, 273, 1, 0, 0, 0, 616, 0, 0, 0, 0, 0, 1195, 0, 600, 1173, 1192, 90, 0, 0, 0, 0, 3, 549, 142, 105, 142, 0, 46.0, 118.0, 138.0, 36, 14, 142, 142, 0, 0, 0, 0, 0, 0, 13, 96, 33.0, 142, 0, 0, 0, 0, 15, 91, 32.39, 83.1, 97.18, 73.890625, 10.599609375, 64.09375, 0, 9.8984375, 100.0, 0.0, 0.0, 0.0, 9.19921875, 67.6, 23.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 546.0, 53.0, 0.0, 0.0, 3.0, "Tous les candidats", 794.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "8984", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8984&g_ta_cod=8984", 100.0, 0.0, 0.0),
(1857, "Public", "0300027S", "Lycée Hemingway - De La Camargue", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Hemingway - De La Camargue - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 29, 574, 490, 569, 0, 101, 28, 94, 35, 230, 91, 144, 5, 0, 3, 0, 2, 372, 0, 0, 0, 46, 13, 42, 16, 221, 86, 63, 105, 28, 27, 28, 0, 4.0, 23.0, 25.0, 0, 8, 23, 4, 3, 16, 5, 0, 2, 6, 10, 5, 0.0, 4, 2, 15, 6, 6, 14, 14, 14.29, 82.14, 89.29, 96.390625, 60.8984375, 60.8984375, 26.09765625, 34.796875, 82.09375, 0.0, 8.69921875, 26.09765625, 43.5, 21.7, 0.0, 17.3984375, 17.3984375, 13.0, 8.69921875, 69.59375, 65.1875, 11.0, 4.0, 58.0, 17.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 24.0, "12652", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12652&g_ta_cod=12652", 14.0, 18.0, 68.0),
(1858, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "Université de Cergy-Pontoise - CY SUP - Diplôme d'Université - PAREO - vers le Métiers du Sanitaire et du Médico-Social", "Diplôme d'Université", "vers le Métiers du Sanitaire et du Médico-Social", 25, 135, 123, 73, 0, 6, 2, 40, 22, 11, 4, 16, 62, 5, 19, 12, 26, 32, 17, 0, 0, 5, 1, 21, 13, 4, 1, 2, 50, 26, 25, 13, 12, 13.0, 13.0, 22.0, 0, 9, 20, 5, 7, 8, 6, 0, 14, 5, 1, 0, 0.0, 0, 1, 5, 0, 0, 15, 16, 50.0, 50.0, 84.62, 96.1875, 75.0, 80.0, 0, 45.0, 76.890625, 0.0, 70.0, 25.0, 5.0, 0.0, 0.0, 25.0, 0.0, 35.0, 5.0, 40.0, 25.0, 7.0, 2.0, 9.0, 4.0, 8.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "33106", "Diplôme d'Université - PAREO - vers le Métiers du Sanitaire et du Médico-Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33106&g_ta_cod=33106", 27.0, 31.0, 42.0),
(1859, "Public", "0160022M", "Lycée Emile Roux", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Confolens", "formation sélective", "BTS", "Lycée Emile Roux - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 20, 459, 208, 448, 0, 18, 5, 44, 18, 35, 18, 351, 11, 1, 0, 0, 10, 99, 3, 0, 0, 18, 5, 36, 15, 30, 16, 15, 63, 17, 9, 17, 0, 7.0, 15.0, 16.0, 0, 8, 16, 2, 6, 8, 1, 0, 8, 5, 3, 0, 0.0, 0, 3, 5, 4, 3, 10, 10, 41.18, 88.24, 94.12, 52.8984375, 62.5, 62.5, 25, 50.0, 94.09375, 0.0, 50.0, 31.296875, 18.796875, 0.0, 0.0, 12.5, 0.0, 37.5, 18.796875, 50.0, 31.296875, 15.0, 3.0, 14.0, 9.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 20.0, "2991", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2991&g_ta_cod=2991", 12.0, 41.0, 47.0),
(1860, "Public", "0470020S", "Lycée Val De Garonne", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Marmande", "formation sélective", "BTS", "Lycée Val De Garonne - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 30, 245, 21, 238, 0, 7, 0, 48, 12, 57, 13, 126, 7, 0, 5, 0, 2, 119, 5, 0, 0, 7, 0, 48, 12, 57, 13, 7, 85, 25, 2, 22, 3, 15.0, 21.0, 24.0, 0, 4, 23, 0, 7, 16, 2, 0, 9, 8, 6, 0, 0.0, 0, 2, 12, 3, 0, 23, 23, 60.0, 84.0, 96.0, 8.0, 100.0, 100.0, 13, 17.3984375, 92.0, 0.0, 39.09375, 34.796875, 26.09765625, 0.0, 0.0, 0.0, 0.0, 30.3984375, 8.69921875, 69.59375, 52.1953125, 6.0, 0.0, 28.0, 6.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 42.0, "5776", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5776&g_ta_cod=5776", 0.0, 36.0, 64.0),
(1861, "Public", "0640080P", "Lycée des métiers Moliere", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Orthez", "formation sélective", "Autre formation", "Lycée des métiers Moliere - Mention complémentaire - Maintenance des installations oléohydrauliques et pneumatiques", "Mention complémentaire", "", 12, 22, 0, 22, 0, 0, 0, 0, 0, 11, 4, 11, 0, 0, 0, 0, 0, 22, 0, 0, 0, 0, 0, 0, 0, 11, 4, 11, 13, 6, 0, 6, 0, 3.0, 6.0, 6.0, 0, 2, 3, 0, 0, 3, 3, 0, 0, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 3, 3, 50.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 66.6875, 50.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 8.0, 3.0, 5.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "21507", "Mention complémentaire - Maintenance des installations oléohydrauliques et pneumatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21507&g_ta_cod=21507", 17.0, 17.0, 67.0),
(1862, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence_Las", "Université de Lorraine - Site de Metz - Licence - Portail Licence 1ère année Portail Physique - Chimie", "Licence - Sciences - technologies - santé", "Licence 1ère année Portail Physique - Chimie", 16, 437, 276, 437, 0, 287, 52, 30, 14, 1, 0, 119, 0, 0, 0, 0, 0, 437, 0, 0, 0, 287, 52, 30, 14, 1, 0, 119, 138, 16, 7, 16, 0, 0.0, 6.0, 14.0, 0, 4, 10, 10, 0, 0, 6, 0, 2, 6, 1, 1, 0.0, 8, 0, 0, 0, 0, 10, 10, 0.0, 37.5, 87.5, 43.796875, 100.0, 100.0, 0, 40.0, 62.5, 0.0, 20.0, 60.0, 10.0, 10.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 93.0, 21.0, 0.0, 0.0, 43.0, "Tous les candidats", 639.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 80.0, "26943", "Licence - Portail Licence 1ère année Portail Physique - Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26942&g_ta_cod=26943", 94.0, 0.0, 0.0),
(1863, "Public", "0510036M", "Gustave Eiffel Lycée des Métiers de l'Industrie Lycée des Métiers de l'Hôtellerie et de la Restauration", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "Gustave Eiffel Lycée des Métiers de l'Industrie Lycée des Métiers de l'Hôtellerie et de la Restauration - Mention complémentaire - FCIL Crémier-fromager : territoire, art culinaire et vins de champagne", "Mention complémentaire", "", 12, 40, 23, 38, 0, 3, 0, 4, 0, 15, 4, 16, 2, 0, 1, 0, 1, 20, 1, 0, 0, 3, 0, 1, 0, 12, 2, 4, 21, 3, 2, 3, 0, 2.0, 3.0, 3.0, 0, 1, 2, 0, 0, 2, 1, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 66.67, 100.0, 100.0, 66.6875, 100.0, 100.0, 0, 50.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 3.0, 0.0, 12.0, 2.0, 4.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "25378", "Mention complémentaire - FCIL Crémier-fromager : territoire, art culinaire et vins de champagne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25378&g_ta_cod=25378", 0.0, 0.0, 100.0),
(1864, "Public", "0911577V", "Lycée Jacques Prevert", "91", "Essonne", "Ile-de-France", "Versailles", "Longjumeau", "formation sélective", "BTS", "Lycée Jacques Prevert - BTS - Services - Support à l'action managériale", "BTS - Services", "", 32, 624, 423, 624, 0, 10, 0, 219, 95, 198, 96, 197, 0, 0, 0, 0, 0, 379, 0, 0, 0, 8, 0, 196, 84, 93, 44, 82, 162, 32, 22, 30, 0, 2.0, 19.0, 26.0, 0, 13, 27, 1, 13, 13, 5, 0, 15, 10, 2, 0, 0.0, 0, 5, 7, 2, 1, 23, 24, 6.25, 59.38, 81.25, 68.796875, 85.1875, 88.890625, 7.3994140625, 48.09375, 84.390625, 0.0, 55.59375, 37.0, 7.3994140625, 0.0, 0.0, 3.69970703125, 0.0, 48.09375, 18.5, 48.09375, 25.8984375, 6.0, 0.0, 57.0, 28.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 103, "Bacheliers technologiques toutes séries", 112, "Liste d'appel propre à cette formation", 37.0, "10934", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10934&g_ta_cod=10934", 6.0, 44.0, 50.0),
(1865, "Privé sous contrat d'association", "0690563M", "Lycée Saint Louis Saint Bruno", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "BTS", "Lycée Saint Louis Saint Bruno - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 32, 962, 444, 962, 0, 108, 16, 402, 94, 236, 57, 216, 0, 0, 0, 0, 0, 616, 0, 0, 0, 90, 8, 261, 58, 166, 38, 99, 183, 30, 16, 30, 0, 3.0, 15.0, 20.0, 0, 6, 28, 7, 13, 8, 2, 0, 13, 12, 2, 1, 0.0, 2, 7, 6, 0, 0, 26, 26, 10.0, 50.0, 66.67, 53.296875, 92.890625, 92.890625, 0, 21.3984375, 93.296875, 0.0, 46.3984375, 42.8984375, 7.099609375, 3.6, 0.0, 25.0, 7.099609375, 46.3984375, 25.0, 28.59765625, 21.3984375, 30.0, 4.0, 39.0, 7.0, 18.0, "Tous les candidats sauf les Bac professionnels", 190.0, "Bacheliers professionnels toutes séries", 62, "", 0, "Liste d'appel propre à cette formation", 26.0, "8304", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8304&g_ta_cod=8304", 27.0, 47.0, 27.0),
(1866, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Anglais/Allemand - Anglais/Espagnol", "Licence - Arts-lettres-langues", "Anglais/Allemand - Anglais/Espagnol", 45, 185, 155, 157, 0, 125, 11, 7, 5, 5, 3, 20, 28, 8, 1, 2, 17, 157, 16, 0, 0, 125, 11, 7, 5, 5, 3, 20, 155, 21, 16, 20, 1, 15.0, 20.0, 21.0, 0, 3, 18, 16, 2, 0, 3, 0, 3, 4, 6, 5, 0.0, 13, 2, 0, 0, 0, 11, 11, 71.43, 95.24, 100.0, 76.1875, 61.09375, 61.09375, 0, 16.69921875, 85.6875, 0.0, 16.69921875, 22.19921875, 33.296875, 27.8, 0.0, 88.890625, 72.1875, 11.099609375, 11.099609375, 0.0, 0.0, 119.0, 13.0, 4.0, 3.0, 25.0, "Tous les candidats", 168.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "5884", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Anglais/Allemand - Anglais/Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28949&g_ta_cod=5884", 90.0, 10.0, 0.0),
(1867, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Japonais", "Licence - Arts-lettres-langues", "LLCER Japonais", 78, 559, 334, 559, 0, 275, 91, 27, 13, 27, 12, 230, 0, 0, 0, 0, 0, 558, 0, 0, 0, 275, 91, 27, 13, 27, 12, 229, 343, 78, 46, 78, 0, 36.0, 63.0, 69.0, 0, 14, 47, 39, 4, 4, 31, 0, 10, 16, 18, 3, 0.0, 34, 0, 3, 0, 0, 18, 18, 46.15, 80.77, 88.46, 59.0, 38.296875, 38.296875, 0, 29.796875, 60.296875, 0.0, 21.296875, 34.0, 38.296875, 6.4, 0.0, 83.0, 72.296875, 8.5, 0.0, 8.5, 6.3994140625, 211.0, 63.0, 18.0, 8.0, 95.0, "Tous les candidats", 396.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "2745", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Japonais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2745&g_ta_cod=2745", 79.0, 8.0, 12.0),
(1868, "Privé sous contrat d'association", "0134164F", "ESSCA School of Management - Aix-Marseille", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Ecole de Commerce", "Concours ACCES - Formation des écoles de commerce et de management Bac + 5", "Formation des écoles de commerce et de management", "", 80, 3197, 1357, 3182, 0, 2901, 55, 67, 5, 0, 0, 214, 15, 5, 0, 0, 10, 2352, 4, 0, 0, 2198, 36, 20, 0, 0, 0, 134, 2251, 80, 31, 78, 2, 57.0, 78.0, 79.0, 0, 2, 74, 74, 0, 0, 6, 0, 10, 33, 28, 3, 0.0, 64, 0, 0, 0, 0, 40, 40, 71.25, 97.5, 98.75, 38.796875, 54.09375, 54.09375, 0, 2.69970703125, 92.5, 0.0, 13.5, 44.59375, 37.796875, 4.1, 0.0, 100.0, 86.5, 0.0, 0.0, 0.0, 0.0, 2098.0, 36.0, 0.0, 0.0, 134.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "26007", "Formation des écoles de commerce et de management Bac + 5", "Concours ACCES", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26003&g_ta_cod=26007", 100.0, 0.0, 0.0),
(1869, "Public", "0390810U", "Lycée agricole Edgar Faure", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Montmorot", "formation sélective", "BTS", "Lycée agricole Edgar Faure - BTS - Agricole - Gestion et protection de la nature / DE d'alpinisme-accompagnateur en moyenne montagne", "BTS - Agricole", "", 16, 306, 87, 306, 0, 117, 13, 47, 6, 33, 8, 109, 0, 0, 0, 0, 0, 49, 0, 0, 0, 27, 4, 10, 1, 0, 0, 12, 25, 15, 4, 15, 0, 12.0, 15.0, 15.0, 0, 1, 9, 8, 1, 0, 6, 0, 2, 3, 2, 2, 0.0, 7, 0, 0, 2, 1, 2, 2, 80.0, 100.0, 100.0, 26.69921875, 22.19921875, 22.19921875, 22.19921875, 11.099609375, 60.0, 0.0, 22.19921875, 33.296875, 22.19921875, 22.2, 0.0, 88.890625, 77.796875, 11.099609375, 0.0, 0.0, 0.0, 13.0, 3.0, 0.0, 0.0, 8.0, "Tous les candidats sauf les Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 10.0, "25100", "BTS - Agricole - Gestion et protection de la nature / DE d'alpinisme-accompagnateur en moyenne montagne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25100&g_ta_cod=25100", 80.0, 13.0, 7.0),
(1870, "Public", "0382440W", "Lycée des Métiers - Léonard de Vinci", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Villefontaine", "formation sélective", "BTS", "Lycée des Métiers - Léonard de Vinci - BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "BTS - Services", "", 10, 491, 207, 486, 0, 213, 42, 74, 17, 45, 13, 154, 5, 1, 0, 0, 4, 77, 0, 0, 0, 44, 11, 6, 2, 15, 4, 12, 31, 10, 7, 10, 0, 4.0, 9.0, 9.0, 0, 4, 8, 5, 1, 2, 2, 0, 0, 6, 1, 1, 0.0, 5, 1, 2, 0, 0, 4, 4, 40.0, 90.0, 90.0, 70.0, 50.0, 50.0, 0, 50.0, 80.0, 0.0, 0.0, 75.0, 12.5, 12.5, 0.0, 62.5, 62.5, 12.5, 12.5, 25.0, 25.0, 20.0, 5.0, 4.0, 3.0, 5.0, "Tous les candidats sauf les Bac Professionnels", 38.0, "Bacheliers professionnels toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 9.0, "5110", "BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5110&g_ta_cod=5110", 70.0, 10.0, 20.0),
(1871, "Public", "0850025R", "LGT Pierre Mendès France", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "LGT Pierre Mendès France - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 762, 369, 736, 0, 112, 26, 313, 49, 151, 38, 160, 26, 0, 1, 12, 13, 510, 6, 0, 0, 102, 21, 248, 35, 106, 24, 54, 193, 25, 13, 22, 3, 1.0, 14.0, 18.0, 0, 7, 20, 7, 9, 4, 5, 0, 10, 8, 2, 0, 0.0, 4, 2, 4, 9, 5, 20, 20, 4.0, 56.0, 72.0, 52.0, 100.0, 100.0, 45, 35.0, 80.0, 0.0, 50.0, 40.0, 10.0, 0.0, 0.0, 35.0, 20.0, 45.0, 10.0, 20.0, 20.0, 43.0, 8.0, 60.0, 16.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 91, "Bacheliers technologiques toutes séries", 151, "Liste d'appel propre à cette formation", 42.0, "10477", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10477&g_ta_cod=10477", 36.0, 44.0, 20.0),
(1872, "Public", "0311324W", "Lycée professionnel Du Mirail", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée professionnel Du Mirail - Mention complémentaire - FCIL - Marchandiseur Visuel Cross Canal", "Mention complémentaire", "", 12, 12, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 8, 4, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 19, 7, 5, 0, 4, 0.0, 0.0, 1.0, 0, 3, 4, 0, 0, 4, 3, 0, 1, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 3, 3, 0.0, 0.0, 14.29, 71.390625, 75.0, 75.0, 0, 75.0, 57.09375, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 1.0, 0.0, 10.0, 7.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35029", "Mention complémentaire - FCIL - Marchandiseur Visuel Cross Canal", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=35029&g_ta_cod=35029", 14.0, 29.0, 57.0),
(1873, "Public", "0160010Z", "Lycée Elie Vinet", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Barbezieux-Saint-Hilaire", "formation sélective", "BTS", "Lycée Elie Vinet - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 20, 432, 65, 432, 0, 43, 8, 60, 14, 54, 20, 275, 0, 0, 0, 0, 0, 199, 0, 0, 0, 43, 8, 60, 14, 54, 20, 42, 57, 20, 1, 20, 0, 6.0, 17.0, 17.0, 0, 7, 14, 3, 5, 6, 6, 0, 6, 7, 1, 0, 0.0, 1, 2, 5, 4, 0, 9, 9, 30.0, 85.0, 85.0, 5.0, 64.296875, 64.296875, 28.59765625, 50.0, 70.0, 0.0, 42.8984375, 50.0, 7.099609375, 0.0, 0.0, 21.3984375, 7.099609375, 35.6953125, 14.298828125, 42.8984375, 35.6953125, 11.0, 1.0, 22.0, 10.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 17.0, "19683", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19683&g_ta_cod=19683", 15.0, 50.0, 35.0),
(1874, "Privé sous contrat d'association", "0753873C", "Lycée Fénelon Sainte-Marie", "75", "Paris", "Ile-de-France", "Paris", "Paris  8e  Arrondissement", "formation sélective", "CPGE", "Lycée Fénelon Sainte-Marie - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 1644, 561, 1644, 0, 1526, 56, 0, 0, 0, 0, 118, 0, 0, 0, 0, 0, 1226, 0, 0, 1226, 1225, 38, 0, 0, 0, 0, 1, 337, 48, 16, 48, 0, 1.0, 34.0, 47.0, 0, 1, 48, 48, 0, 0, 0, 0, 0, 1, 21, 25, 1.0, 48, 0, 0, 3, 2, 19, 44, 2.08, 70.83, 97.92, 33.296875, 39.59375, 91.6875, 6.2998046875, 2.099609375, 100.0, 0.0, 0.0, 2.099609375, 43.796875, 52.1, 2.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 337.0, 11.0, 0.0, 0.0, 0.0, "Tous les candidats", 500.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "9475", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9475&g_ta_cod=9475", 100.0, 0.0, 0.0),
(1875, "Public", "0352771X", "AGROCAMPUS OUEST Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Ecole d'Ingénieur", "AGROCAMPUS OUEST Rennes - Formation d'ingénieur Bac + 5 - Agroalimentaire - 5 ans à Rennes", "Formations  des écoles d'ingénieurs", "Agroalimentaire - 5 ans à Rennes", 45, 364, 218, 364, 0, 295, 25, 1, 0, 0, 0, 68, 0, 0, 0, 0, 0, 119, 0, 0, 0, 107, 7, 1, 0, 0, 0, 11, 104, 43, 33, 43, 0, 14.0, 42.0, 43.0, 0, 2, 39, 39, 0, 0, 4, 0, 0, 0, 24, 13, 2.0, 39, 0, 0, 0, 0, 15, 15, 32.56, 97.67, 100.0, 76.6875, 38.5, 38.5, 0, 5.099609375, 90.6875, 0.0, 0.0, 0.0, 61.5, 33.3, 5.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 95.0, 6.0, 0.0, 0.0, 8.0, "Tous les candidats", 119.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "12028", "Formation d'ingénieur Bac + 5 - Agroalimentaire - 5 ans à Rennes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12028&g_ta_cod=12028", 100.0, 0.0, 0.0),
(1876, "Public", "0880152M", "Lycée Georges Baumont", "88", "Vosges", "Grand Est", "Nancy-Metz", "Saint-Dié-des-Vosges", "formation sélective", "BTS", "Lycée Georges Baumont - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 114, 8, 111, 0, 0, 0, 31, 5, 45, 17, 35, 3, 0, 0, 2, 1, 69, 3, 0, 0, 0, 0, 28, 5, 34, 12, 7, 47, 13, 2, 11, 2, 7.0, 11.0, 11.0, 0, 4, 13, 0, 6, 7, 0, 0, 2, 6, 3, 2, 0.0, 0, 5, 6, 11, 2, 13, 13, 53.85, 84.62, 84.62, 15.3984375, 100.0, 100.0, 84.59375, 30.796875, 100.0, 0.0, 15.3984375, 46.1953125, 23.09765625, 15.4, 0.0, 0.0, 0.0, 46.1953125, 38.5, 53.796875, 46.1953125, 0.0, 0.0, 27.0, 11.0, 3.0, "Tous les candidats sauf les Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 51.0, "10743", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10743&g_ta_cod=10743", 0.0, 46.0, 54.0),
(1877, "Public", "0920801W", "Lycée Alexandre Dumas", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Saint-Cloud", "formation sélective", "CPGE", "Lycée Alexandre Dumas - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 405, 159, 348, 0, 295, 36, 0, 0, 0, 0, 53, 57, 24, 1, 0, 32, 281, 30, 0, 281, 254, 28, 0, 0, 0, 0, 27, 271, 8, 2, 4, 4, 0.0, 4.0, 6.0, 0, 1, 4, 4, 0, 0, 4, 0, 3, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 2, 4, 0.0, 50.0, 75.0, 25.0, 50.0, 100.0, 0, 25.0, 50.0, 0.0, 75.0, 0.0, 25.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 0.0, 0.0, 233.0, 26.0, 0.0, 0.0, 38.0, "Tous les candidats", 281.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "31398", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31398&g_ta_cod=31398", 100.0, 0.0, 0.0),
(1878, "Public", "0741532N", "Lycée De L'Albanais", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Rumilly", "formation sélective", "BTS", "Lycée De L'Albanais - CFA FIPAG - BTS - Services - Conseil et commercialisation de solutions techniques (Seconde année possible en apprentissage)", "BTS - Services", "", 15, 100, 18, 87, 0, 3, 1, 53, 6, 21, 9, 10, 13, 2, 4, 3, 4, 68, 7, 0, 0, 3, 1, 43, 3, 14, 4, 8, 65, 11, 2, 7, 4, 1.0, 5.0, 8.0, 0, 3, 11, 0, 7, 4, 0, 0, 4, 4, 3, 0, 0.0, 0, 4, 3, 4, 1, 8, 8, 9.09, 45.45, 72.73, 18.19921875, 72.6875, 72.6875, 36.3984375, 27.296875, 100.0, 0.0, 36.3984375, 36.3984375, 27.296875, 0.0, 0.0, 0.0, 0.0, 63.59375, 36.3984375, 36.3984375, 27.296875, 3.0, 1.0, 22.0, 9.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 59.0, "20125", "BTS - Services - Conseil et commercialisation de solutions techniques (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20125&g_ta_cod=20125", 0.0, 64.0, 36.0),
(1879, "Public", "0940580V", "Lycée polyvalent de Cachan", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "BTS", "Lycée polyvalent de Cachan - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 40, 418, 164, 418, 0, 53, 16, 122, 53, 103, 50, 140, 0, 0, 0, 0, 0, 267, 0, 0, 0, 47, 12, 102, 43, 75, 37, 43, 181, 40, 17, 39, 0, 3.0, 29.0, 38.0, 0, 12, 35, 4, 15, 16, 5, 0, 19, 11, 5, 0, 0.0, 0, 8, 8, 6, 4, 22, 35, 7.5, 72.5, 95.0, 42.5, 62.8984375, 100.0, 17.09765625, 34.296875, 87.5, 0.0, 54.296875, 31.3984375, 14.298828125, 0.0, 0.0, 11.3984375, 0.0, 42.8984375, 22.8984375, 45.6953125, 22.8984375, 27.0, 6.0, 64.0, 31.0, 26.0, "Tous les candidats sauf les Bac professionnels", 143.0, "Bacheliers professionnels toutes séries", 81, "", 0, "Liste d'appel propre à cette formation", 54.0, "11431", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11431&g_ta_cod=11431", 15.0, 45.0, 40.0),
(1880, "Public", "0134319Z", "IUT Aix-Marseille - Site de Marseille St Jérôme", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BUT", "IUT Aix-Marseille - Site de Marseille St Jérôme - BUT - Génie chimique génie des procédés Parcours : Contrôle, Pilotage et Optimisation des Procédés - Parcours : Conception des Procédés et Innovation technologique", "BUT - Production", "Contrôle, Pilotage et Optimisation des Procédés - Parcours : Conception des Procédés et Innovation technologique", 56, 749, 355, 724, 0, 396, 65, 120, 42, 3, 1, 205, 25, 3, 0, 0, 22, 552, 1, 0, 0, 320, 50, 77, 23, 0, 0, 155, 329, 49, 18, 49, 0, 18.0, 37.0, 47.0, 0, 10, 36, 17, 19, 0, 13, 1, 9, 19, 5, 1, 1.0, 11, 15, 0, 0, 0, 29, 29, 36.73, 75.51, 95.92, 36.6953125, 80.59375, 80.59375, 0, 27.796875, 73.5, 2.7998046875, 25.0, 52.796875, 13.8984375, 2.8, 2.8, 47.1953125, 30.59765625, 52.796875, 41.6953125, 0.0, 0.0, 169.0, 38.0, 0.0, 0.0, 104.0, "Tous les candidats sauf les Bac technologiques", 398.0, "Bacheliers technologiques toutes séries", 85, "", 0, "Liste d'appel propre à cette formation", 63.0, "2714", "BUT - Génie chimique génie des procédés Parcours : Contrôle, Pilotage et Optimisation des Procédés - Parcours : Conception des Procédés et Innovation technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2714&g_ta_cod=2714", 57.0, 43.0, 0.0),
(1881, "Public", "0690038S", "Lycée La Martinière Duchère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "BTS", "Lycée La Martinière Duchère - BTS - Services - Communication", "BTS - Services", "", 35, 2417, 1750, 2417, 0, 502, 96, 831, 305, 295, 151, 789, 0, 0, 0, 0, 0, 664, 0, 0, 0, 144, 27, 337, 103, 141, 62, 42, 196, 35, 23, 35, 0, 4.0, 25.0, 29.0, 0, 10, 30, 4, 20, 6, 5, 0, 2, 22, 5, 1, 0.0, 3, 19, 6, 0, 0, 12, 12, 11.43, 71.43, 82.86, 65.6875, 40.0, 40.0, 0, 33.296875, 85.6875, 0.0, 6.69921875, 73.296875, 16.69921875, 3.3, 0.0, 13.298828125, 10.0, 66.6875, 63.296875, 20.0, 20.0, 29.0, 5.0, 25.0, 10.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 225, "Liste d'appel propre à cette formation", 13.0, "8222", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8222&g_ta_cod=8222", 17.0, 63.0, 20.0),
(1882, "Public", "0631669X", "Lycée des Métiers de Chamalières", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Chamalières", "formation sélective", "BTS", "Lycée des Métiers de Chamalières - BTS - Services - Tourisme", "BTS - Services", "", 70, 639, 451, 628, 0, 183, 51, 102, 31, 92, 41, 251, 11, 0, 0, 3, 8, 450, 2, 0, 0, 182, 50, 100, 31, 59, 19, 109, 283, 63, 44, 61, 2, 6.0, 47.0, 57.0, 0, 16, 49, 22, 16, 11, 14, 1, 27, 14, 6, 1, 0.0, 11, 4, 6, 4, 3, 28, 28, 9.52, 74.6, 90.48, 69.796875, 57.09375, 57.09375, 8.19921875, 32.6953125, 77.796875, 2.0, 55.09375, 28.59765625, 12.19921875, 2.0, 0.0, 44.8984375, 22.3984375, 32.6953125, 8.19921875, 22.3984375, 12.19921875, 101.0, 19.0, 51.0, 18.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 195.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 127, "Liste d'appel propre à cette formation", 62.0, "7671", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7671&g_ta_cod=7671", 44.0, 37.0, 19.0),
(1883, "Public", "0801327H", "Lycée Edouard Branly", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 12, 171, 8, 164, 0, 6, 1, 41, 13, 85, 28, 32, 7, 0, 0, 5, 2, 108, 0, 0, 0, 6, 1, 41, 13, 50, 17, 11, 45, 9, 0, 9, 0, 1.0, 7.0, 7.0, 0, 2, 9, 0, 3, 6, 0, 0, 3, 3, 3, 0, 0.0, 0, 0, 6, 2, 0, 9, 9, 11.11, 77.78, 77.78, 0.0, 100.0, 100.0, 22.19921875, 22.19921875, 100.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 66.6875, 0.0, 0.0, 26.0, 9.0, 0.0, "Tous les candidats sauf les Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 37.0, "10190", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10190&g_ta_cod=10190", 0.0, 33.0, 67.0),
(1884, "Public", "0623864N", "Lycée professionnel Maximilien de Robespierre", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "Autre formation", "Lycée professionnel Maximilien de Robespierre - Mention complémentaire - Assistance Conseil Vente à distance", "Mention complémentaire", "", 15, 69, 41, 69, 0, 1, 0, 4, 1, 24, 15, 40, 0, 0, 0, 0, 0, 69, 0, 0, 0, 1, 0, 4, 1, 24, 15, 40, 39, 15, 12, 15, 0, 7.0, 14.0, 15.0, 0, 4, 8, 0, 0, 8, 7, 0, 7, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 8, 8, 46.67, 93.33, 100.0, 80.0, 100.0, 100.0, 0, 50.0, 53.296875, 0.0, 87.5, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 12.5, 1.0, 0.0, 23.0, 15.0, 11.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "18355", "Mention complémentaire - Assistance Conseil Vente à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18355&g_ta_cod=18355", 27.0, 13.0, 60.0),
(1885, "Public", "0750662M", "Lycée Victor Duruy", "75", "Paris", "Ile-de-France", "Paris", "Paris  7e  Arrondissement", "formation sélective", "CPGE", "Lycée Victor Duruy - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 1118, 812, 1118, 127, 1029, 105, 0, 0, 0, 0, 89, 0, 0, 0, 0, 0, 1044, 0, 99, 1027, 987, 101, 0, 0, 0, 0, 57, 589, 89, 66, 89, 0, 2.0, 56.0, 84.0, 4, 11, 81, 81, 0, 0, 8, 0, 2, 10, 51, 18, 0.0, 79, 0, 0, 4, 3, 41, 65, 2.25, 62.92, 94.38, 74.1875, 50.59375, 80.1875, 4.8994140625, 13.599609375, 91.0, 0.0, 2.5, 12.298828125, 63.0, 22.2, 0.0, 100.0, 97.5, 0.0, 0.0, 0.0, 0.0, 551.0, 56.0, 0.0, 0.0, 38.0, "Tous les candidats", 920.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "8990", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8990&g_ta_cod=8990", 100.0, 0.0, 0.0),
(1886, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Philosophie - Parcours Philosophie (enseignement à distance)", "Licence - Sciences humaines et sociales", "Philosophie (enseignement à distance)", 70, 364, 203, 311, 0, 55, 15, 8, 2, 2, 0, 246, 53, 2, 1, 0, 50, 311, 49, 0, 0, 55, 15, 8, 2, 2, 0, 246, 278, 68, 24, 42, 26, 6.0, 40.0, 59.0, 0, 1, 2, 2, 0, 0, 66, 0, 0, 0, 2, 0, 0.0, 2, 0, 0, 0, 0, 1, 1, 8.82, 58.82, 86.76, 35.296875, 50.0, 50.0, 0, 50.0, 2.89990234375, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 40.0, 12.0, 2.0, 0.0, 229.0, "Tous les candidats", 311.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "18177", "Licence - Philosophie - Parcours Philosophie (enseignement à distance)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18177&g_ta_cod=18177", 69.0, 15.0, 1.0),
(1887, "Privé sous contrat d'association", "0133334D", "Lycée ORT Léon Bramson", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "BTS", "Lycée ORT Léon Bramson - BTS - Services - Professions immobilières", "BTS - Services", "", 16, 741, 418, 727, 0, 214, 54, 200, 75, 101, 41, 212, 14, 0, 0, 11, 3, 426, 1, 0, 0, 188, 36, 115, 27, 23, 8, 100, 130, 11, 6, 11, 0, 2.0, 6.0, 9.0, 0, 1, 7, 5, 1, 1, 4, 0, 0, 5, 2, 0, 0.0, 5, 1, 1, 0, 0, 6, 6, 18.18, 54.55, 81.82, 54.5, 85.6875, 85.6875, 0, 14.298828125, 63.59375, 0.0, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 71.390625, 71.390625, 14.298828125, 14.298828125, 14.298828125, 14.298828125, 69.0, 8.0, 9.0, 1.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 118.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 20.0, "22961", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22961&g_ta_cod=22961", 82.0, 9.0, 9.0),
(1888, "Public", "0680066C", "Lycée Jean Mermoz", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Saint-Louis", "formation sélective", "BTS", "Lycée Jean Mermoz - BTS - Production - Conception de produits industriels", "BTS - Production", "", 24, 169, 23, 150, 0, 9, 0, 81, 17, 16, 9, 44, 19, 0, 0, 9, 10, 76, 0, 0, 0, 8, 0, 55, 8, 7, 3, 6, 47, 22, 3, 22, 0, 15.0, 22.0, 22.0, 0, 3, 22, 1, 18, 3, 0, 0, 2, 13, 7, 0, 0.0, 1, 16, 3, 13, 0, 22, 22, 68.18, 100.0, 100.0, 13.599609375, 100.0, 100.0, 59.09375, 13.599609375, 100.0, 0.0, 9.099609375, 59.09375, 31.796875, 0.0, 0.0, 4.5, 4.5, 81.796875, 72.6875, 13.599609375, 13.599609375, 5.0, 0.0, 5.0, 2.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 43.0, "8124", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8124&g_ta_cod=8124", 5.0, 82.0, 14.0),
(1889, "Privé sous contrat d'association", "0622110G", "Lycée Saint Pierre", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "BTS", "Lycée Saint Pierre - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 30, 53, 18, 47, 0, 0, 0, 4, 0, 40, 21, 3, 6, 0, 1, 2, 3, 47, 0, 0, 0, 0, 0, 4, 0, 40, 21, 3, 44, 15, 6, 15, 0, 14.0, 15.0, 15.0, 0, 10, 15, 0, 0, 15, 0, 0, 4, 6, 4, 1, 0.0, 0, 0, 11, 0, 0, 15, 15, 93.33, 100.0, 100.0, 40.0, 100.0, 100.0, 0, 66.6875, 100.0, 0.0, 26.69921875, 40.0, 26.69921875, 6.7, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 73.296875, 0.0, 0.0, 37.0, 20.0, 3.0, "Tous les candidats sauf les Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 100.0, "7411", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7411&g_ta_cod=7411", 0.0, 0.0, 100.0),
(1890, "Public", "0310047H", "Lycée Ozenne", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Ozenne - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 70, 1305, 149, 1305, 0, 160, 44, 379, 144, 302, 117, 464, 0, 0, 0, 0, 0, 1305, 0, 0, 0, 160, 44, 379, 144, 302, 117, 464, 257, 69, 4, 69, 0, 15.0, 59.0, 65.0, 0, 20, 59, 13, 19, 27, 10, 1, 18, 17, 16, 7, 0.0, 7, 8, 25, 2, 0, 45, 45, 21.74, 85.51, 94.2, 5.7998046875, 76.296875, 76.296875, 3.39990234375, 33.8984375, 85.5, 1.699951171875, 30.5, 28.796875, 27.09765625, 11.9, 0.0, 22.0, 11.8984375, 32.1953125, 13.599609375, 45.796875, 42.3984375, 56.0, 15.0, 68.0, 19.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 96.0, "Bacheliers professionnels toutes séries", 102, "Bacheliers technologiques toutes séries", 160, "Liste d'appel propre à cette formation", 27.0, "4078", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4078&g_ta_cod=4078", 23.0, 35.0, 42.0),
(1891, "Privé enseignement supérieur", "0382541F", "Ecole de formation sanitaire et sociale IFTS", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Echirolles", "formation sélective", "Autre formation", "Ecole de formation sanitaire et sociale IFTS - D.E Ergothérapeute", "D.E secteur sanitaire", "", 29, 299, 262, 299, 0, 69, 6, 27, 3, 0, 0, 203, 0, 0, 0, 0, 0, 179, 0, 0, 0, 40, 4, 10, 1, 0, 0, 129, 61, 29, 26, 29, 0, 10.0, 20.0, 27.0, 0, 2, 10, 9, 1, 0, 19, 0, 1, 4, 4, 0, 1.0, 8, 1, 0, 0, 0, 6, 6, 34.48, 68.97, 93.1, 89.6875, 60.0, 60.0, 0, 20.0, 34.5, 0.0, 10.0, 40.0, 40.0, 0.0, 10.0, 90.0, 80.0, 10.0, 10.0, 0.0, 0.0, 13.0, 3.0, 0.0, 0.0, 47.0, "Tous les candidats", 69.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "26041", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26041&g_ta_cod=26041", 90.0, 10.0, 0.0),
(1892, "Privé sous contrat d'association", "0500120J", "Lycée Institut Saint-Lo", "50", "Manche", "Normandie", "Normandie", "Agneaux", "formation sélective", "BTS", "Lycée Institut Saint-Lo - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 262, 114, 252, 0, 16, 3, 25, 5, 13, 4, 198, 10, 0, 0, 1, 9, 70, 3, 0, 0, 15, 2, 22, 5, 10, 2, 23, 61, 7, 0, 5, 2, 4.0, 5.0, 7.0, 0, 0, 6, 0, 4, 2, 1, 0, 3, 2, 1, 0, 0.0, 0, 3, 0, 3, 0, 6, 6, 57.14, 71.43, 100.0, 0.0, 100.0, 100.0, 50, 0.0, 85.6875, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 66.6875, 50.0, 33.296875, 0.0, 14.0, 2.0, 11.0, 2.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 27.0, "6015", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6015&g_ta_cod=6015", 14.0, 57.0, 29.0),
(1893, "Public", "0831453D", "Lycée des Métiers d'Hôtellerie et Tourisme Anne-Sophie Pic", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée des Métiers d'Hôtellerie et Tourisme Anne-Sophie Pic - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 50, 472, 255, 471, 0, 0, 0, 152, 27, 182, 51, 137, 1, 0, 0, 1, 0, 387, 0, 0, 0, 0, 0, 130, 22, 150, 44, 107, 148, 48, 23, 48, 0, 19.0, 47.0, 48.0, 0, 11, 33, 0, 10, 23, 15, 0, 1, 17, 13, 2, 0.0, 0, 10, 22, 14, 7, 18, 18, 39.58, 97.92, 100.0, 47.8984375, 54.5, 54.5, 42.3984375, 33.296875, 68.796875, 0.0, 3.0, 51.5, 39.3984375, 6.1, 0.0, 0.0, 0.0, 30.296875, 30.296875, 69.6875, 66.6875, 0.0, 0.0, 88.0, 27.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 151, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 56.0, "10392", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10392&g_ta_cod=10392", 21.0, 29.0, 50.0),
(1894, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail Géographie / Histoire", "Licence - Sciences humaines et sociales", "Géographie / Histoire : Histoire", 90, 690, 294, 690, 0, 535, 99, 46, 16, 7, 4, 102, 0, 0, 0, 0, 0, 689, 0, 0, 0, 535, 99, 46, 16, 7, 4, 101, 689, 127, 42, 127, 0, 122.0, 126.0, 126.0, 0, 17, 104, 93, 10, 1, 23, 1, 41, 33, 24, 5, 0.0, 58, 3, 1, 0, 0, 89, 89, 96.06, 99.21, 99.21, 33.09375, 85.59375, 85.59375, 0, 16.296875, 81.890625, 1.0, 39.3984375, 31.69921875, 23.09765625, 4.8, 0.0, 89.390625, 55.796875, 9.599609375, 2.89990234375, 1.0, 1.0, 535.0, 99.0, 7.0, 4.0, 101.0, "Tous les candidats", 806.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23313", "Licence - Portail Géographie / Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23312&g_ta_cod=23313", 83.0, 15.0, 2.0),
(1895, "Privé hors contrat", "0755931P", "INSTA", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "BTS", "INSTA - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 91, 888, 71, 473, 0, 40, 7, 131, 41, 155, 47, 147, 415, 55, 111, 78, 171, 80, 107, 0, 0, 6, 0, 24, 1, 46, 2, 4, 187, 49, 3, 9, 40, 9.0, 9.0, 29.0, 0, 4, 34, 4, 11, 19, 15, 0, 16, 14, 4, 0, 0.0, 3, 4, 11, 0, 0, 8, 33, 18.37, 18.37, 59.18, 6.099609375, 23.5, 97.09375, 0, 11.798828125, 69.390625, 0.0, 47.09375, 41.1953125, 11.798828125, 0.0, 0.0, 11.798828125, 8.798828125, 32.3984375, 11.798828125, 55.8984375, 32.3984375, 22.0, 1.0, 73.0, 9.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers technologiques toutes séries", 25, "Bacheliers professionnels toutes séries", 49, "Liste d'appel propre à cette formation", 17.0, "29940", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29940&g_ta_cod=29940", 12.0, 39.0, 49.0),
(1896, "Public", "0631457S", "LPA des Combrailles - Site de Pontaumur", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Pontaumur", "formation sélective", "BTS", "LPA des Combrailles - Site de Pontaumur - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 20, 210, 134, 200, 0, 17, 4, 22, 5, 61, 22, 100, 10, 1, 1, 2, 6, 96, 5, 0, 0, 17, 4, 19, 5, 52, 17, 8, 79, 9, 3, 8, 1, 2.0, 8.0, 9.0, 0, 1, 8, 0, 1, 7, 1, 0, 1, 4, 3, 0, 0.0, 0, 1, 6, 4, 0, 6, 6, 22.22, 88.89, 100.0, 33.296875, 75.0, 75.0, 50, 12.5, 88.890625, 0.0, 12.5, 50.0, 37.5, 0.0, 0.0, 0.0, 0.0, 12.5, 12.5, 87.5, 75.0, 13.0, 4.0, 44.0, 13.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 48.0, "17217", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17217&g_ta_cod=17217", 11.0, 11.0, 78.0),
(1897, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Lettres, langues - Parcours Licence 1 Lettres babel: littératures et cultures du monde", "Licence - Arts-lettres-langues", "Licence 1 Lettres babel: littératures et cultures du monde", 75, 399, 319, 256, 0, 170, 44, 9, 5, 2, 1, 75, 143, 35, 8, 7, 93, 255, 136, 0, 0, 170, 44, 9, 5, 2, 1, 74, 391, 61, 47, 38, 23, 37.0, 38.0, 53.0, 0, 8, 29, 27, 2, 0, 32, 0, 9, 10, 8, 2, 0.0, 20, 0, 0, 0, 0, 19, 19, 60.66, 62.3, 86.89, 77.0, 65.5, 65.5, 0, 27.59765625, 47.5, 0.0, 31.0, 34.5, 27.59765625, 6.9, 0.0, 93.09375, 69.0, 6.8994140625, 0.0, 0.0, 0.0, 204.0, 52.0, 8.0, 4.0, 162.0, "Tous les candidats", 255.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "18038", "Licence - Lettres, langues - Parcours Licence 1 Lettres babel: littératures et cultures du monde", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18038&g_ta_cod=18038", 87.0, 7.0, 3.0),
(1898, "Public", "0180584M", "I.U.T de Bourges", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BUT", "I.U.T de Bourges - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle - Conception et production durable (sous réserve des effectifs pour Conception et production durable) (Seconde année possible en apprentissage)", "BUT - Production", "Innovation pour l?industrie - Simulation numérique et réalité virtuelle - Conception et production durable (sous réserve des effectifs pour Conception et production durable)", 46, 414, 27, 393, 0, 248, 27, 107, 11, 3, 1, 35, 21, 2, 5, 1, 13, 337, 12, 0, 0, 220, 23, 88, 11, 2, 0, 27, 161, 40, 3, 36, 4, 13.0, 30.0, 38.0, 0, 5, 39, 25, 14, 0, 1, 0, 21, 17, 1, 0, 0.0, 8, 10, 0, 0, 0, 31, 31, 32.5, 75.0, 95.0, 7.5, 79.5, 79.5, 0, 12.798828125, 97.5, 0.0, 53.796875, 43.59375, 2.599609375, 0.0, 0.0, 64.09375, 20.5, 35.8984375, 25.59765625, 0.0, 0.0, 94.0, 12.0, 0.0, 0.0, 12.0, "Tous les candidats sauf les Bac technologiques", 239.0, "Bacheliers technologiques toutes séries", 92, "", 0, "Liste d'appel propre à cette formation", 84.0, "3120", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle - Conception et production durable (sous réserve des effectifs pour Conception et production durable) (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3120&g_ta_cod=3120", 65.0, 35.0, 0.0),
(1899, "Public", "0560026Z", "Lycée Jean-Baptiste Colbert", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BTS", "Lycée Jean-Baptiste Colbert - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 30, 184, 8, 177, 0, 14, 1, 40, 7, 84, 23, 39, 7, 0, 1, 3, 3, 159, 2, 0, 0, 14, 1, 38, 5, 84, 23, 23, 94, 23, 1, 22, 1, 5.0, 17.0, 22.0, 0, 9, 20, 1, 6, 13, 3, 0, 5, 13, 2, 0, 0.0, 1, 2, 12, 6, 1, 16, 16, 21.74, 73.91, 95.65, 4.2998046875, 80.0, 80.0, 30, 45.0, 87.0, 0.0, 25.0, 65.0, 10.0, 0.0, 0.0, 5.0, 5.0, 30.0, 10.0, 65.0, 60.0, 1.0, 1.0, 51.0, 17.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 87, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 75.0, "6429", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6429&g_ta_cod=6429", 9.0, 26.0, 65.0),
(1900, "Public", "0310024H", "Lycée Pierre D'Aragon", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Muret", "formation sélective", "BTS", "Lycée Pierre D'Aragon - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 938, 456, 938, 0, 78, 15, 350, 130, 336, 145, 174, 0, 0, 0, 0, 0, 513, 0, 0, 0, 51, 9, 230, 77, 182, 61, 50, 176, 27, 11, 27, 0, 2.0, 17.0, 21.0, 0, 5, 22, 2, 6, 14, 5, 0, 7, 11, 4, 0, 0.0, 1, 4, 10, 6, 3, 20, 20, 7.41, 62.96, 77.78, 40.6953125, 90.890625, 90.890625, 27.296875, 22.69921875, 81.5, 0.0, 31.796875, 50.0, 18.19921875, 0.0, 0.0, 9.099609375, 4.5, 27.296875, 18.19921875, 63.59375, 45.5, 20.0, 8.0, 87.0, 32.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 155, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 28.0, "4029", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4029&g_ta_cod=4029", 19.0, 30.0, 52.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(1901, "Public", "9730309Y", "Lycée Melkior Garre", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "BTS", "Lycée Melkior Garre - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 22, 60, 32, 59, 0, 0, 0, 18, 7, 19, 8, 22, 1, 0, 1, 0, 0, 30, 0, 0, 0, 0, 0, 10, 4, 9, 3, 11, 29, 19, 15, 18, 0, 12.0, 15.0, 17.0, 0, 6, 12, 0, 5, 7, 7, 0, 6, 2, 4, 0, 0.0, 0, 2, 4, 10, 8, 12, 12, 63.16, 78.95, 89.47, 78.890625, 100.0, 100.0, 83.296875, 50.0, 63.1953125, 0.0, 50.0, 16.69921875, 33.296875, 0.0, 0.0, 0.0, 0.0, 41.6953125, 16.69921875, 58.296875, 33.296875, 0.0, 0.0, 10.0, 4.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 51.0, "16092", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16092&g_ta_cod=16092", 26.0, 26.0, 47.0),
(1902, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Double diplôme - Licence Philosophie - Philosophie Parcours bidisciplinaire binational franco-allemand : Philosophie-Allemand / Philosophie-Lettres", "Licence - Arts-lettres-langues", "Philosophie Parcours bidisciplinaire binational franco-allemand : Philosophie-Allemand / Philosophie-Lettres", 2, 17, 14, 12, 0, 8, 1, 0, 0, 0, 0, 4, 5, 1, 1, 1, 2, 9, 1, 0, 0, 6, 1, 0, 0, 0, 0, 3, 7, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4.0, 1.0, 0.0, 0.0, 3.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "19578", "Licence - Double diplôme - Licence Philosophie - Philosophie Parcours bidisciplinaire binational franco-allemand : Philosophie-Allemand / Philosophie-Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19578&g_ta_cod=19578", 0, 0, 0),
(1903, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe", "Licence - Arts-lettres-langues", "Arabe", 90, 231, 161, 128, 0, 31, 26, 13, 11, 19, 13, 65, 103, 4, 7, 12, 80, 125, 99, 0, 0, 31, 26, 13, 11, 19, 13, 62, 222, 73, 52, 28, 45, 23.0, 28.0, 40.0, 0, 20, 22, 6, 4, 12, 51, 0, 16, 4, 2, 0, 0.0, 2, 0, 4, 0, 0, 18, 18, 31.51, 38.36, 54.79, 71.1875, 81.796875, 81.796875, 0, 90.890625, 30.09765625, 0.0, 72.6875, 18.19921875, 9.099609375, 0.0, 0.0, 27.296875, 9.099609375, 18.19921875, 0.0, 54.5, 18.19921875, 35.0, 27.0, 31.0, 25.0, 136.0, "Tous les candidats", 125.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "7073", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7073&g_ta_cod=7073", 30.0, 18.0, 47.0),
(1904, "Public", "0400018C", "Lycée Charles Despiau", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Mont-de-Marsan", "formation sélective", "BTS", "Lycée Charles Despiau - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 417, 236, 368, 0, 23, 5, 117, 32, 52, 21, 176, 49, 0, 22, 6, 21, 150, 8, 0, 0, 18, 4, 79, 17, 38, 13, 15, 133, 23, 16, 16, 6, 4.0, 15.0, 20.0, 0, 2, 13, 2, 6, 5, 10, 0, 8, 4, 1, 0, 0.0, 1, 1, 3, 3, 1, 12, 12, 17.39, 65.22, 86.96, 69.59375, 92.296875, 92.296875, 23.09765625, 15.3984375, 56.5, 0.0, 61.5, 30.796875, 7.69921875, 0.0, 0.0, 15.3984375, 7.69921875, 46.1953125, 7.69921875, 38.5, 23.09765625, 5.0, 1.0, 39.0, 13.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 40.0, "5206", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5206&g_ta_cod=5206", 13.0, 57.0, 30.0),
(1905, "Privé sous contrat d'association", "0631068U", "Lycée Godefroy De Bouillon", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée Godefroy De Bouillon - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 30, 361, 50, 361, 0, 65, 12, 85, 20, 77, 23, 134, 0, 0, 0, 0, 0, 275, 0, 0, 0, 64, 12, 82, 19, 69, 19, 60, 108, 27, 2, 27, 0, 5.0, 24.0, 27.0, 0, 4, 21, 7, 5, 9, 6, 0, 7, 7, 4, 3, 0.0, 3, 2, 9, 3, 0, 18, 18, 18.52, 88.89, 100.0, 7.3994140625, 85.6875, 85.6875, 14.298828125, 19.0, 77.796875, 0.0, 33.296875, 33.296875, 19.0, 14.3, 0.0, 33.296875, 14.298828125, 23.796875, 9.5, 42.8984375, 42.8984375, 25.0, 5.0, 29.0, 8.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 43.0, "7608", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7608&g_ta_cod=7608", 26.0, 37.0, 37.0),
(1906, "Public", "0601910A", "Université d'Amiens - Antenne de Beauvais", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation non sélective", "Licence", "Université d'Amiens - Antenne de Beauvais - Licence - Chimie - Parcours Licence Chimie (Portail Sciences)", "Licence - Sciences - technologies - santé", "Licence Chimie (Portail Sciences)", 50, 268, 161, 173, 0, 102, 19, 25, 9, 0, 0, 46, 95, 26, 9, 1, 59, 173, 86, 0, 0, 102, 19, 25, 9, 0, 0, 46, 245, 36, 21, 16, 19, 0.0, 15.0, 32.0, 0, 10, 23, 18, 5, 0, 13, 0, 19, 3, 1, 0, 0.0, 3, 1, 0, 0, 0, 18, 18, 0.0, 41.67, 88.89, 58.296875, 78.296875, 78.296875, 0, 43.5, 63.8984375, 0.0, 82.59375, 13.0, 4.2998046875, 0.0, 0.0, 78.296875, 13.0, 21.69921875, 4.2998046875, 0.0, 0.0, 118.0, 24.0, 1.0, 1.0, 95.0, "Tous les candidats", 173.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7280", "Licence - Chimie - Parcours Licence Chimie (Portail Sciences)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7280&g_ta_cod=7280", 72.0, 22.0, 0.0),
(1907, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues étrangères appliquées - Parcours Italien - Anglais", "Licence - Arts-lettres-langues", "Italien - Anglais", 35, 213, 161, 207, 0, 120, 36, 18, 7, 8, 2, 61, 6, 2, 2, 1, 1, 207, 4, 0, 0, 120, 36, 18, 7, 8, 2, 61, 164, 33, 23, 29, 4, 3.0, 24.0, 28.0, 0, 9, 22, 14, 6, 2, 11, 0, 11, 9, 2, 0, 0.0, 8, 2, 1, 0, 0, 12, 19, 9.09, 72.73, 84.85, 69.6875, 54.5, 86.390625, 0, 40.8984375, 66.6875, 0.0, 50.0, 40.8984375, 9.099609375, 0.0, 0.0, 63.59375, 36.3984375, 27.296875, 9.099609375, 9.099609375, 4.5, 104.0, 30.0, 5.0, 1.0, 42.0, "Tous les candidats", 206.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15139", "Licence - Langues étrangères appliquées - Parcours Italien - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15139&g_ta_cod=15139", 58.0, 27.0, 12.0),
(1908, "Privé sous contrat d'association", "0141175B", "Lycée Institut Lemonnier", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Institut Lemonnier - BTS - Production - Electrotechnique", "BTS - Production", "", 13, 108, 3, 108, 0, 13, 0, 33, 8, 44, 15, 18, 0, 0, 0, 0, 0, 88, 0, 0, 0, 13, 0, 30, 8, 42, 14, 3, 54, 10, 0, 10, 0, 5.0, 10.0, 10.0, 0, 2, 10, 0, 7, 3, 0, 0, 3, 2, 5, 0, 0.0, 0, 4, 3, 5, 0, 10, 10, 50.0, 100.0, 100.0, 0.0, 100.0, 100.0, 50, 20.0, 100.0, 0.0, 30.0, 20.0, 50.0, 0.0, 0.0, 0.0, 0.0, 70.0, 40.0, 30.0, 30.0, 9.0, 0.0, 28.0, 9.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 64.0, "2842", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2842&g_ta_cod=2842", 0.0, 70.0, 30.0),
(1909, "Public", "0600001A", "Lycée Felix Faure", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "BTS", "Lycée Felix Faure - BTS - Services - Support à l'action managériale", "BTS - Services", "", 33, 343, 199, 297, 0, 23, 8, 105, 45, 83, 46, 86, 46, 0, 0, 28, 18, 173, 1, 0, 0, 16, 6, 76, 29, 44, 22, 37, 91, 26, 15, 24, 0, 11.0, 23.0, 23.0, 0, 13, 24, 2, 11, 11, 2, 0, 5, 17, 2, 0, 0.0, 1, 8, 10, 8, 2, 24, 24, 42.31, 88.46, 88.46, 57.6953125, 100.0, 100.0, 33.296875, 54.1953125, 92.296875, 0.0, 20.796875, 70.796875, 8.298828125, 0.0, 0.0, 8.298828125, 4.19921875, 45.796875, 33.296875, 45.796875, 41.6953125, 15.0, 6.0, 34.0, 18.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 36.0, "7209", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7209&g_ta_cod=7209", 15.0, 42.0, 42.0),
(1910, "Public", "0750714U", "Lycée Hélène Boucher", "75", "Paris", "Ile-de-France", "Paris", "Paris 20e  Arrondissement", "formation sélective", "CPGE", "Pôle Hector Berlioz / Hélène Boucher - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 48, 527, 239, 444, 54, 365, 62, 1, 0, 0, 0, 78, 83, 42, 1, 0, 40, 332, 15, 35, 326, 307, 50, 0, 0, 0, 0, 25, 288, 26, 12, 20, 5, 1.0, 20.0, 25.0, 2, 7, 24, 24, 0, 0, 2, 0, 7, 10, 7, 0, 0.0, 17, 0, 0, 3, 1, 12, 20, 3.85, 76.92, 96.15, 46.1953125, 50.0, 83.296875, 12.5, 29.19921875, 92.296875, 0.0, 29.19921875, 41.6953125, 29.19921875, 0.0, 0.0, 100.0, 70.796875, 0.0, 0.0, 0.0, 0.0, 261.0, 42.0, 0.0, 0.0, 27.0, "Tous les candidats", 328.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "31371", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31371&g_ta_cod=31371", 100.0, 0.0, 0.0),
(1911, "Public", "0940580V", "Lycée polyvalent de Cachan", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "BTS", "Lycée polyvalent de Cachan - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 45, 304, 28, 189, 0, 9, 1, 77, 28, 54, 19, 49, 115, 0, 23, 46, 46, 174, 22, 0, 0, 9, 1, 75, 28, 47, 16, 43, 176, 37, 3, 25, 9, 8.0, 24.0, 28.0, 0, 8, 24, 0, 15, 9, 13, 0, 17, 6, 1, 0, 0.0, 0, 6, 1, 9, 0, 17, 24, 21.62, 64.86, 75.68, 8.099609375, 70.796875, 100.0, 37.5, 33.296875, 64.890625, 0.0, 70.796875, 25.0, 4.19921875, 0.0, 0.0, 0.0, 0.0, 62.5, 25.0, 37.5, 4.19921875, 5.0, 1.0, 57.0, 20.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 105, "Liste d'appel propre à cette formation", 90.0, "11367", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11367&g_ta_cod=11367", 0.0, 65.0, 35.0),
(1912, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Science politique", "Licence - Sciences humaines et sociales", "", 125, 2498, 1401, 2498, 0, 1822, 432, 77, 27, 19, 4, 580, 0, 0, 0, 0, 0, 2498, 0, 0, 0, 1822, 432, 77, 27, 19, 4, 580, 713, 125, 77, 125, 0, 26.0, 83.0, 107.0, 0, 12, 114, 111, 2, 1, 11, 0, 0, 32, 72, 10, 0.0, 111, 2, 1, 0, 0, 29, 78, 20.8, 66.4, 85.6, 61.59375, 25.3984375, 68.390625, 0, 10.5, 91.1875, 0.0, 0.0, 28.09765625, 63.1953125, 8.8, 0.0, 97.390625, 97.390625, 1.7998046875, 1.7998046875, 0.89990234375, 0.89990234375, 658.0, 128.0, 5.0, 1.0, 42.0, "Tous les candidats", 834.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "15415", "Licence - Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15415&g_ta_cod=15415", 98.0, 2.0, 1.0),
(1913, "Public", "0770934X", "Lycée Leonard De Vinci", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation sélective", "Autre formation", "Lycée Leonard De Vinci - Diplôme de Comptabilité et de Gestion", "DCG", "", 34, 998, 447, 857, 0, 275, 97, 189, 73, 18, 9, 375, 141, 16, 26, 9, 90, 226, 3, 0, 0, 122, 49, 83, 33, 1, 1, 20, 151, 28, 16, 28, 0, 7.0, 28.0, 28.0, 0, 10, 23, 13, 9, 1, 5, 0, 3, 15, 5, 0, 0.0, 10, 9, 1, 0, 0, 18, 23, 25.0, 100.0, 100.0, 57.09375, 78.296875, 100.0, 0, 43.5, 82.09375, 0.0, 13.0, 65.1875, 21.69921875, 0.0, 0.0, 56.5, 43.5, 39.09375, 39.09375, 4.2998046875, 4.2998046875, 79.0, 34.0, 2.0, 1.0, 17.0, "Tous les candidats", 220.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "9819", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9819&g_ta_cod=9819", 64.0, 32.0, 4.0),
(1914, "Public", "0730043A", "Lycée Rene Perrin", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Ugine", "formation sélective", "BTS", "Lycée Rene Perrin - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 64, 4, 63, 0, 2, 0, 23, 2, 24, 8, 14, 1, 0, 0, 1, 0, 63, 0, 0, 0, 2, 0, 23, 2, 24, 8, 14, 39, 14, 2, 14, 0, 4.0, 11.0, 12.0, 0, 1, 9, 0, 3, 6, 5, 0, 4, 4, 1, 0, 0.0, 0, 2, 3, 9, 1, 9, 9, 28.57, 78.57, 85.71, 14.298828125, 100.0, 100.0, 100, 11.099609375, 64.296875, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 0.0, 0.0, 33.296875, 22.19921875, 66.6875, 33.296875, 1.0, 0.0, 16.0, 6.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 86.0, "8794", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8794&g_ta_cod=8794", 14.0, 36.0, 50.0),
(1915, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Histoire de l'art et archéologie - Parcours Licence 1 Histoire de l'art", "Licence - Sciences humaines et sociales", "Licence 1 Histoire de l'art", 320, 1689, 1236, 1568, 0, 976, 199, 147, 41, 53, 19, 392, 121, 14, 5, 5, 97, 1557, 118, 0, 0, 976, 199, 147, 41, 53, 19, 381, 1683, 317, 229, 260, 54, 258.0, 260.0, 275.0, 0, 53, 193, 146, 26, 21, 124, 1, 82, 80, 21, 8, 1.0, 82, 14, 14, 0, 0, 140, 140, 81.39, 82.02, 86.75, 72.1875, 72.5, 72.5, 0, 27.5, 60.8984375, 0.5, 42.5, 41.5, 10.8984375, 4.1, 0.5, 75.59375, 42.5, 13.5, 7.2998046875, 10.8984375, 7.2998046875, 994.0, 206.0, 59.0, 22.0, 477.0, "Tous les candidats", 1558.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4422", "Licence - Histoire de l'art et archéologie - Parcours Licence 1 Histoire de l'art", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4422&g_ta_cod=4422", 77.0, 12.0, 9.0),
(1916, "Public", "0940122X", "Lycée Condorcet", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "BTS", "Lycée Condorcet - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1969, 935, 1969, 0, 174, 42, 597, 204, 562, 273, 636, 0, 0, 0, 0, 0, 577, 0, 0, 0, 61, 12, 223, 59, 218, 101, 75, 180, 32, 13, 32, 0, 3.0, 28.0, 29.0, 0, 14, 27, 3, 11, 13, 5, 0, 8, 15, 4, 0, 0.0, 2, 5, 12, 4, 1, 24, 27, 9.38, 87.5, 90.63, 40.59375, 88.890625, 100.0, 14.798828125, 51.8984375, 84.390625, 0.0, 29.59765625, 55.59375, 14.798828125, 0.0, 0.0, 11.099609375, 7.3994140625, 40.6953125, 18.5, 48.09375, 44.3984375, 19.0, 6.0, 35.0, 19.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 143, "Liste d'appel propre à cette formation", 12.0, "11401", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11401&g_ta_cod=11401", 16.0, 34.0, 50.0),
(1917, "Privé sous contrat d'association", "0511645L", "LYCEE LASALLE REIMS-THILLOIS", "51", "Marne", "Grand Est", "Reims", "Thillois", "formation sélective", "BTS", "LYCEE LASALLE REIMS-THILLOIS - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 35, 211, 62, 194, 0, 23, 1, 58, 9, 44, 6, 69, 17, 1, 5, 2, 9, 139, 3, 0, 0, 23, 1, 56, 8, 44, 6, 16, 115, 22, 5, 20, 2, 6.0, 20.0, 21.0, 0, 4, 18, 2, 8, 8, 4, 0, 8, 9, 1, 0, 0.0, 1, 5, 4, 5, 0, 16, 16, 27.27, 90.91, 95.45, 22.69921875, 88.890625, 88.890625, 27.796875, 22.19921875, 81.796875, 0.0, 44.3984375, 50.0, 5.599609375, 0.0, 0.0, 11.099609375, 5.599609375, 44.3984375, 27.796875, 44.3984375, 22.19921875, 23.0, 2.0, 34.0, 6.0, 17.0, "Tous les candidats sauf les Bac professionnels", 93.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 71.0, "6144", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6144&g_ta_cod=6144", 23.0, 41.0, 36.0),
(1918, "Public", "0470020S", "Lycée Val De Garonne", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Marmande", "formation sélective", "BTS", "Lycée Val De Garonne - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 35, 186, 47, 140, 0, 3, 1, 45, 15, 46, 16, 46, 46, 4, 18, 6, 18, 80, 24, 0, 0, 3, 1, 33, 11, 37, 12, 7, 101, 23, 8, 14, 9, 5.0, 14.0, 22.0, 0, 6, 20, 1, 11, 8, 3, 0, 19, 0, 1, 0, 0.0, 0, 0, 1, 7, 0, 18, 18, 21.74, 60.87, 95.65, 34.796875, 90.0, 90.0, 35, 30.0, 87.0, 0.0, 95.0, 0.0, 5.0, 0.0, 0.0, 5.0, 0.0, 55.0, 0.0, 40.0, 5.0, 4.0, 1.0, 40.0, 14.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 56.0, "5779", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5779&g_ta_cod=5779", 4.0, 61.0, 35.0),
(1919, "Privé sous contrat d'association", "0290186V", "Lycée Le Paraclet", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Le Paraclet - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 70, 182, 98, 181, 0, 1, 0, 52, 5, 77, 7, 51, 1, 0, 1, 0, 0, 169, 0, 0, 0, 1, 0, 50, 3, 71, 7, 47, 132, 49, 27, 48, 0, 35.0, 45.0, 46.0, 0, 3, 31, 0, 16, 15, 18, 0, 1, 10, 14, 6, 0.0, 0, 16, 14, 17, 12, 30, 30, 71.43, 91.84, 93.88, 55.09375, 96.796875, 96.796875, 54.796875, 9.69921875, 63.296875, 0.0, 3.19970703125, 32.296875, 45.1953125, 19.4, 0.0, 0.0, 0.0, 51.59375, 51.59375, 48.3984375, 45.1953125, 1.0, 0.0, 51.0, 6.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 88.0, "3828", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3828&g_ta_cod=3828", 14.0, 53.0, 33.0),
(1920, "Privé sous contrat d'association", "0641923T", "CPBx (ESTIA)", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "Ecole d'Ingénieur", "CPBx (ESTIA) - Formation d'ingénieur Bac + 5 - bac général", "Formations  des écoles d'ingénieurs", "bac général", 5, 98, 18, 95, 0, 95, 10, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 57, 0, 0, 0, 57, 5, 0, 0, 0, 0, 0, 31, 4, 2, 4, 0, 1.0, 3.0, 4.0, 0, 0, 4, 4, 0, 0, 0, 0, 0, 0, 3, 1, 0.0, 4, 0, 0, 0, 0, 4, 4, 25.0, 75.0, 100.0, 50.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 75.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 31.0, 1.0, 0.0, 0.0, 0.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "7800", "Formation d'ingénieur Bac + 5 - bac général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7800&g_ta_cod=7800", 100.0, 0.0, 0.0),
(1921, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Histoire de l'art et archéologie", "Licence - Sciences humaines et sociales", "", 120, 762, 535, 741, 0, 490, 111, 66, 19, 31, 15, 154, 21, 0, 0, 0, 21, 732, 19, 0, 0, 490, 111, 66, 19, 31, 15, 145, 751, 120, 84, 109, 11, 107.0, 108.0, 111.0, 0, 23, 83, 66, 12, 5, 37, 0, 35, 30, 17, 1, 0.0, 40, 7, 1, 0, 0, 56, 56, 89.17, 90.0, 92.5, 70.0, 67.5, 67.5, 0, 27.69921875, 69.1875, 0.0, 42.1953125, 36.09375, 20.5, 1.2, 0.0, 79.5, 48.1953125, 14.5, 8.3984375, 6.0, 1.199951171875, 490.0, 111.0, 31.0, 15.0, 164.0, "Tous les candidats", 732.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "13925", "Licence - Histoire de l'art et archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13925&g_ta_cod=13925", 75.0, 18.0, 7.0),
(1922, "Public", "0751718K", "Université Paris 2 Panthéon - Assas", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation non sélective", "Licence", "Université Paris 2 Panthéon - Assas - Licence - Science politique", "Licence - Sciences humaines et sociales", "", 120, 7464, 4652, 7464, 0, 6058, 829, 118, 35, 30, 12, 1258, 0, 0, 0, 0, 0, 7464, 0, 0, 0, 6058, 829, 118, 35, 30, 12, 1258, 558, 126, 83, 124, 0, 10.0, 83.0, 106.0, 0, 12, 91, 89, 1, 1, 35, 0, 2, 1, 9, 73, 6.0, 87, 1, 1, 0, 0, 9, 47, 7.94, 65.87, 84.13, 65.890625, 9.8984375, 51.59375, 0, 13.19921875, 72.1875, 0.0, 2.19970703125, 1.099853515625, 9.8984375, 80.2, 6.6, 97.796875, 95.59375, 1.099853515625, 1.099853515625, 1.099853515625, 1.099853515625, 412.0, 61.0, 4.0, 2.0, 139.0, "Tous les candidats", 733.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "23474", "Licence - Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23474&g_ta_cod=23474", 98.0, 1.0, 1.0),
(1923, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation non sélective", "Licence", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Portail Parcours Droit", "Licence - Droit-économie-gestion", "Droit - Campus d'Orsay", 155, 4000, 2857, 4000, 0, 2869, 596, 363, 125, 64, 21, 704, 0, 0, 0, 0, 0, 3967, 0, 0, 0, 2869, 596, 363, 125, 64, 21, 671, 1404, 154, 113, 153, 0, 2.0, 88.0, 127.0, 0, 32, 145, 131, 12, 2, 9, 0, 22, 81, 38, 4, 0.0, 113, 9, 1, 0, 0, 117, 133, 1.3, 57.14, 82.47, 73.390625, 80.6875, 91.6875, 0, 22.09765625, 94.1875, 0.0, 15.19921875, 55.8984375, 26.19921875, 2.8, 0.0, 90.296875, 77.890625, 8.298828125, 6.19921875, 1.39990234375, 0.699951171875, 1160.0, 237.0, 9.0, 3.0, 141.0, "Tous les candidats", 3144.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 55.0, "25014", "Licence - Portail Parcours Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10925&g_ta_cod=25014", 90.0, 9.0, 1.0),
(1924, "Public", "0330029C", "Lycée Nicolas Bremontier", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Nicolas Bremontier - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 70, 2261, 1105, 2261, 0, 230, 46, 971, 325, 595, 225, 465, 0, 0, 0, 0, 0, 874, 0, 0, 0, 52, 8, 396, 138, 304, 109, 122, 300, 68, 32, 68, 0, 6.0, 50.0, 59.0, 0, 22, 55, 1, 21, 33, 13, 0, 13, 31, 10, 1, 0.0, 1, 16, 25, 5, 4, 52, 52, 8.82, 73.53, 86.76, 47.09375, 94.5, 94.5, 9.099609375, 40.0, 80.890625, 0.0, 23.59765625, 56.3984375, 18.19921875, 1.8, 0.0, 1.7998046875, 1.7998046875, 38.1953125, 29.09765625, 60.0, 45.5, 4.0, 3.0, 138.0, 47.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 217, "Bacheliers technologiques toutes séries", 218, "Liste d'appel propre à cette formation", 19.0, "4307", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4307&g_ta_cod=4307", 3.0, 41.0, 56.0),
(1925, "Public", "0690037R", "Lycée La Martinière-Diderot", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "BTS", "Lycée La Martinière-Diderot - BTS - Production - Métiers de la chimie", "BTS - Production", "", 15, 931, 511, 903, 0, 200, 47, 274, 76, 46, 15, 383, 28, 0, 2, 6, 20, 358, 1, 0, 0, 106, 13, 130, 27, 18, 5, 104, 93, 15, 9, 13, 1, 1.0, 10.0, 12.0, 0, 2, 8, 2, 4, 2, 7, 0, 1, 2, 4, 1, 0.0, 2, 4, 1, 1, 0, 3, 3, 6.67, 66.67, 80.0, 60.0, 37.5, 37.5, 12.5, 25.0, 53.296875, 0.0, 12.5, 25.0, 50.0, 12.5, 0.0, 25.0, 25.0, 50.0, 50.0, 25.0, 12.5, 17.0, 5.0, 7.0, 2.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 103, "Liste d'appel propre à cette formation", 20.0, "8206", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8206&g_ta_cod=8206", 20.0, 67.0, 13.0),
(1926, "Public", "9711033W", "Lycée polyvalent Pointe Noire", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-Noire", "formation sélective", "BTS", "Lycée polyvalent Pointe Noire - BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "BTS - Services", "", 8, 112, 37, 112, 0, 50, 26, 14, 4, 16, 8, 32, 0, 0, 0, 0, 0, 36, 0, 0, 0, 23, 9, 5, 2, 7, 3, 1, 13, 8, 4, 8, 0, 6.0, 7.0, 7.0, 0, 4, 8, 5, 0, 3, 0, 0, 1, 5, 2, 0, 0.0, 5, 0, 2, 4, 2, 8, 8, 75.0, 87.5, 87.5, 50.0, 100.0, 100.0, 50, 50.0, 100.0, 0.0, 12.5, 62.5, 25.0, 0.0, 0.0, 62.5, 62.5, 0.0, 0.0, 37.5, 25.0, 7.0, 3.0, 6.0, 3.0, 0.0, "Tous les candidats sauf les Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 5, "", 0, "Liste d'appel propre à cette formation", 11.0, "14692", "BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14692&g_ta_cod=14692", 63.0, 0.0, 38.0),
(1927, "Public", "9710884J", "Lycée de Raoul Georges NICOLO", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "Autre formation", "Lycée de Raoul Georges NICOLO - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 16, 51, 14, 34, 0, 9, 2, 7, 5, 14, 8, 4, 17, 2, 3, 5, 7, 34, 6, 0, 0, 9, 2, 7, 5, 14, 8, 4, 46, 11, 4, 7, 4, 4.0, 7.0, 9.0, 0, 5, 9, 1, 3, 5, 2, 0, 6, 2, 1, 0, 0.0, 0, 1, 2, 0, 0, 8, 8, 36.36, 63.64, 81.82, 36.3984375, 88.890625, 88.890625, 0, 55.59375, 81.796875, 0.0, 66.6875, 22.19921875, 11.099609375, 0.0, 0.0, 11.099609375, 0.0, 33.296875, 11.099609375, 55.59375, 22.19921875, 9.0, 2.0, 20.0, 14.0, 8.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "22262", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22262&g_ta_cod=22262", 9.0, 36.0, 55.0),
(1928, "Privé sous contrat d'association", "0783053V", "Lycée Sainte Geneviève", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Sainte Geneviève - CPGE - PTSI", "Classe préparatoire scientifique", "", 30, 507, 105, 507, 507, 465, 18, 1, 1, 0, 0, 41, 0, 0, 0, 0, 0, 507, 0, 507, 0, 465, 18, 1, 1, 0, 0, 41, 45, 30, 6, 30, 0, 16.0, 30.0, 30.0, 30, 2, 30, 30, 0, 0, 0, 0, 0, 0, 0, 23, 7.0, 30, 0, 0, 0, 0, 5, 7, 53.33, 100.0, 100.0, 20.0, 16.69921875, 23.296875, 0, 6.69921875, 100.0, 0.0, 0.0, 0.0, 0.0, 76.7, 23.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 45.0, 3.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "13188", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13188&g_ta_cod=13188", 100.0, 0.0, 0.0),
(1929, "Privé sous contrat d'association", "0371471Y", "IRFSS", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Chambray-lès-Tours", "formation sélective", "Autre formation", "IRFSS - D.E Ergothérapeute", "D.E secteur sanitaire", "", 30, 526, 464, 526, 0, 135, 19, 33, 6, 5, 2, 353, 0, 0, 0, 0, 0, 381, 0, 0, 0, 90, 13, 13, 0, 1, 0, 277, 62, 30, 26, 30, 0, 10.0, 25.0, 26.0, 0, 1, 3, 3, 0, 0, 27, 0, 0, 1, 1, 1, 0.0, 3, 0, 0, 0, 0, 0, 0, 33.33, 83.33, 86.67, 86.6875, 0.0, 0.0, 0, 33.296875, 10.0, 0.0, 0.0, 33.296875, 33.296875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 9.0, 5.0, 0.0, 0.0, 53.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "26039", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26039&g_ta_cod=26039", 93.0, 7.0, 0.0),
(1930, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Allemand", "Licence - Arts-lettres-langues", "LLCER Allemand", 25, 54, 36, 30, 0, 25, 10, 0, 0, 0, 0, 5, 24, 2, 1, 2, 19, 30, 23, 0, 0, 25, 10, 0, 0, 0, 0, 5, 53, 3, 1, 1, 2, 1.0, 1.0, 2.0, 0, 1, 1, 1, 0, 0, 2, 0, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 33.33, 33.33, 66.67, 33.296875, 100.0, 100.0, 0, 100.0, 33.296875, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 27.0, 10.0, 2.0, 2.0, 24.0, "Tous les candidats", 30.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2727", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2727&g_ta_cod=2727", 67.0, 33.0, 0.0),
(1931, "Public", "0391092A", "Lycée Paul Emile Victor- Lycée des métiers de la production et de la maintenance industrielles", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Champagnole", "formation sélective", "BTS", "Lycée Paul Emile Victor- Lycée des métiers de la production et de la maintenance industrielles - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 11, 88, 5, 87, 0, 8, 0, 20, 2, 32, 7, 27, 1, 0, 1, 0, 0, 87, 0, 0, 0, 8, 0, 20, 2, 32, 7, 27, 44, 11, 0, 11, 0, 4.0, 9.0, 11.0, 0, 0, 9, 0, 1, 8, 2, 0, 2, 4, 2, 1, 0.0, 0, 0, 7, 6, 0, 9, 9, 36.36, 81.82, 100.0, 0.0, 100.0, 100.0, 66.6875, 0.0, 81.796875, 0.0, 22.19921875, 44.3984375, 22.19921875, 11.1, 0.0, 0.0, 0.0, 11.099609375, 0.0, 88.890625, 77.796875, 4.0, 0.0, 21.0, 4.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 66.0, "5180", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5180&g_ta_cod=5180", 9.0, 9.0, 82.0),
(1932, "Public", "0932121A", "Lycée Suger", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BTS", "Lycée Suger - BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "BTS - Services", "", 13, 584, 105, 485, 0, 105, 20, 91, 22, 103, 31, 186, 99, 12, 32, 0, 55, 116, 1, 0, 0, 27, 4, 14, 2, 43, 14, 32, 54, 13, 1, 11, 1, 0.0, 9.0, 9.0, 0, 3, 9, 4, 2, 3, 4, 0, 4, 3, 2, 0, 0.0, 2, 1, 2, 0, 0, 2, 6, 0.0, 69.23, 69.23, 7.69921875, 22.19921875, 66.6875, 0, 33.296875, 69.1875, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 44.3984375, 22.19921875, 22.19921875, 11.099609375, 33.296875, 22.19921875, 20.0, 3.0, 11.0, 4.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 13.0, "15359", "BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15359&g_ta_cod=15359", 38.0, 31.0, 31.0),
(1933, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence_Las", "Université de Paris - Licence - Portail Chimie", "Licence - Sciences - technologies - santé", "", 24, 2504, 1834, 2504, 0, 1514, 387, 30, 15, 2, 1, 958, 0, 0, 0, 0, 0, 2504, 0, 0, 0, 1514, 387, 30, 15, 2, 1, 958, 325, 22, 13, 21, 0, 0.0, 3.0, 11.0, 0, 5, 13, 13, 0, 0, 9, 0, 1, 4, 5, 3, 0.0, 12, 0, 0, 0, 0, 3, 10, 0.0, 13.64, 50.0, 59.09375, 23.09765625, 76.890625, 0, 38.5, 59.09375, 0.0, 7.69921875, 30.796875, 38.5, 23.1, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 178.0, 38.0, 0.0, 0.0, 147.0, "Tous les candidats", 982.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "29398", "Licence - Portail Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29397&g_ta_cod=29398", 100.0, 0.0, 0.0),
(1934, "Public", "0600009J", "Lycée Jean Rostand", "60", "Oise", "Hauts-de-France", "Amiens", "Chantilly", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 28, 409, 44, 409, 0, 65, 12, 85, 21, 98, 31, 161, 0, 0, 0, 0, 0, 286, 0, 0, 0, 65, 12, 86, 22, 80, 24, 55, 77, 29, 1, 29, 0, 12.0, 23.0, 25.0, 0, 10, 28, 5, 10, 13, 1, 1, 8, 8, 9, 2, 0.0, 2, 6, 11, 1, 0, 26, 26, 41.38, 79.31, 86.21, 3.39990234375, 92.890625, 92.890625, 3.599609375, 35.6953125, 96.59375, 3.599609375, 28.59765625, 28.59765625, 32.09375, 7.1, 0.0, 17.8984375, 7.099609375, 35.6953125, 21.3984375, 46.3984375, 39.296875, 17.0, 4.0, 46.0, 15.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 24.0, "7216", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7216&g_ta_cod=7216", 21.0, 34.0, 45.0),
(1935, "Privé sous contrat d'association", "0440149Y", "Lycée St Joseph", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Ancenis-Saint-Géréon", "formation sélective", "BTS", "Lycée St Joseph - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 281, 121, 276, 0, 35, 6, 93, 12, 96, 18, 52, 5, 1, 1, 0, 3, 174, 2, 0, 0, 26, 5, 73, 11, 53, 8, 22, 98, 24, 11, 24, 0, 7.0, 17.0, 20.0, 0, 2, 19, 2, 6, 11, 5, 0, 8, 4, 4, 3, 0.0, 1, 1, 9, 2, 1, 19, 19, 29.17, 70.83, 83.33, 45.796875, 100.0, 100.0, 10.5, 10.5, 79.1875, 0.0, 42.09375, 21.09765625, 21.09765625, 15.8, 0.0, 10.5, 5.2998046875, 31.59765625, 5.2998046875, 57.8984375, 47.3984375, 16.0, 3.0, 25.0, 5.0, 12.0, "Tous les candidats sauf les Bac professionnels", 98.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 47.0, "5486", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5486&g_ta_cod=5486", 29.0, 25.0, 46.0),
(1936, "Public", "9730408F", "IUT de Kourou - Campus de TROUBIRAN à Cayenne", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "BUT", "IUT de Kourou - Campus de TROUBIRAN à Cayenne - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat", "BUT - Service", "Marketing digital, e-business et entrepreneuriat", 25, 243, 139, 241, 0, 111, 51, 68, 37, 32, 18, 30, 2, 0, 1, 0, 1, 51, 1, 0, 0, 33, 15, 17, 12, 1, 1, 0, 49, 24, 16, 23, 1, 17.0, 21.0, 22.0, 0, 17, 24, 11, 12, 1, 0, 1, 2, 11, 8, 2, 0.0, 10, 10, 1, 0, 0, 23, 23, 70.83, 87.5, 91.67, 66.6875, 95.796875, 95.796875, 0, 70.796875, 100.0, 4.19921875, 8.298828125, 45.796875, 33.296875, 8.3, 0.0, 45.796875, 41.6953125, 50.0, 41.6953125, 4.19921875, 4.19921875, 30.0, 13.0, 1.0, 1.0, 0.0, "Tous les candidats sauf les Bac technologiques", 34.0, "Bacheliers technologiques toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 21.0, "11878", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11878&g_ta_cod=11878", 46.0, 50.0, 4.0),
(1937, "Public", "0061478Z", "Lycée Léonard De Vinci", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "BTS", "Lycée Léonard De Vinci - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 15, 185, 3, 184, 0, 18, 3, 36, 8, 93, 41, 37, 1, 0, 0, 0, 1, 126, 0, 0, 0, 15, 3, 32, 5, 58, 21, 21, 47, 13, 0, 13, 0, 3.0, 10.0, 10.0, 0, 5, 10, 0, 2, 8, 3, 0, 1, 6, 3, 0, 0.0, 0, 2, 7, 5, 0, 9, 9, 23.08, 76.92, 76.92, 0.0, 90.0, 90.0, 50, 50.0, 76.890625, 0.0, 10.0, 60.0, 30.0, 0.0, 0.0, 0.0, 0.0, 20.0, 20.0, 80.0, 70.0, 12.0, 3.0, 22.0, 9.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 5, "Liste d'appel propre à cette formation", 28.0, "2305", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2305&g_ta_cod=2305", 8.0, 15.0, 77.0),
(1938, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Sociologie - Philosophie - Sciences de l'Education - Sciences du langage", "Licence - Sciences humaines et sociales", "Mention Sciences de l'Education", 120, 1631, 1425, 1631, 0, 911, 224, 133, 42, 45, 20, 542, 0, 0, 0, 0, 0, 1623, 0, 0, 0, 911, 224, 133, 42, 45, 20, 534, 561, 120, 106, 120, 0, 12.0, 94.0, 104.0, 0, 25, 93, 77, 11, 5, 27, 0, 23, 45, 22, 3, 0.0, 58, 8, 4, 0, 0, 82, 82, 10.0, 78.33, 86.67, 88.296875, 88.1875, 88.1875, 0, 26.8984375, 77.5, 0.0, 24.69921875, 48.3984375, 23.69921875, 3.2, 0.0, 82.796875, 62.3984375, 11.798828125, 8.599609375, 5.3994140625, 4.2998046875, 373.0, 88.0, 22.0, 11.0, 126.0, "Tous les candidats", 1187.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 46.0, "24040", "Licence - Portail Sociologie - Philosophie - Sciences de l'Education - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24038&g_ta_cod=24040", 79.0, 13.0, 8.0),
(1939, "Public", "7200117P", "I.U.T de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation sélective", "BUT", "I.U.T de Corte - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable fiscale et financière - Gestion, Entrepreneuriat et Management d'Activités", "BUT - Service", "Gestion comptable fiscale et financière - Gestion, Entrepreneuriat et Management d'Activités", 53, 480, 257, 471, 0, 197, 33, 155, 39, 27, 12, 92, 9, 2, 1, 0, 6, 320, 6, 0, 0, 161, 22, 96, 25, 11, 6, 52, 167, 52, 31, 47, 5, 9.0, 41.0, 42.0, 0, 7, 42, 26, 14, 2, 10, 0, 9, 18, 15, 0, 0.0, 21, 10, 2, 0, 0, 42, 42, 17.31, 78.85, 80.77, 59.59375, 100.0, 100.0, 0, 16.69921875, 80.796875, 0.0, 21.3984375, 42.8984375, 35.6953125, 0.0, 0.0, 61.8984375, 50.0, 33.296875, 23.796875, 4.7998046875, 4.7998046875, 66.0, 10.0, 4.0, 3.0, 32.0, "Tous les candidats sauf les Bac technologiques", 101.0, "Bacheliers technologiques toutes séries", 108, "", 0, "Liste d'appel propre à cette formation", 44.0, "11697", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable fiscale et financière - Gestion, Entrepreneuriat et Management d'Activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11697&g_ta_cod=11697", 62.0, 35.0, 4.0),
(1940, "Public", "0751708Z", "Lycée Louis Armand", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "BTS", "Lycée Louis Armand - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 3791, 1928, 3791, 0, 357, 93, 1295, 474, 1021, 485, 1118, 0, 0, 0, 0, 0, 2147, 0, 0, 0, 250, 67, 428, 152, 1021, 485, 448, 273, 38, 19, 38, 0, 1.0, 22.0, 34.0, 0, 15, 29, 4, 12, 13, 9, 0, 2, 17, 10, 0, 0.0, 4, 12, 11, 0, 0, 7, 26, 2.63, 57.89, 89.47, 50.0, 24.09765625, 89.6875, 0, 51.6953125, 76.296875, 0.0, 6.8994140625, 58.59375, 34.5, 0.0, 0.0, 13.798828125, 13.798828125, 41.3984375, 41.3984375, 44.796875, 37.8984375, 31.0, 8.0, 72.0, 32.0, 53.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 85.0, "Bacheliers professionnels toutes séries", 137, "Bacheliers technologiques toutes séries", 247, "Liste d'appel propre à cette formation", 12.0, "9193", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9193&g_ta_cod=9193", 11.0, 50.0, 39.0),
(1941, "Public", "0570086J", "Lycée agricole Metz-Courcelles-Chaussy", "57", "Moselle", "Grand Est", "Nancy-Metz", "Courcelles-Chaussy", "formation sélective", "BTS", "Lycée agricole Metz-Courcelles-Chaussy - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 20, 225, 76, 218, 0, 33, 10, 34, 5, 30, 11, 121, 7, 1, 1, 1, 4, 104, 4, 0, 0, 33, 10, 33, 5, 27, 10, 11, 78, 9, 3, 7, 2, 1.0, 7.0, 9.0, 0, 5, 6, 3, 1, 2, 3, 0, 5, 0, 1, 0, 0.0, 1, 0, 0, 1, 0, 6, 6, 11.11, 77.78, 100.0, 33.296875, 100.0, 100.0, 16.69921875, 83.296875, 66.6875, 0.0, 83.296875, 0.0, 16.69921875, 0.0, 0.0, 50.0, 16.69921875, 16.69921875, 0.0, 33.296875, 0.0, 26.0, 6.0, 19.0, 8.0, 12.0, "Tous les candidats sauf les Bac professionnels", 73.0, "Bacheliers professionnels toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 47.0, "6545", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6545&g_ta_cod=6545", 44.0, 22.0, 33.0),
(1942, "Public", "0061987C", "Lycée de la Montagne", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Valdeblore", "formation sélective", "Autre formation", "Lycée de la Montagne - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 44, 9, 36, 0, 10, 1, 7, 3, 12, 5, 7, 8, 2, 2, 0, 4, 32, 6, 0, 0, 10, 1, 7, 3, 12, 5, 3, 49, 8, 1, 7, 1, 5.0, 7.0, 7.0, 0, 2, 7, 1, 3, 3, 1, 0, 4, 2, 1, 0, 0.0, 1, 0, 2, 0, 0, 6, 6, 62.5, 87.5, 87.5, 12.5, 85.6875, 85.6875, 0, 28.59765625, 87.5, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 14.298828125, 14.298828125, 42.8984375, 0.0, 42.8984375, 28.59765625, 15.0, 1.0, 12.0, 5.0, 7.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "25082", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25082&g_ta_cod=25082", 13.0, 50.0, 38.0),
(1943, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence_Las", "Université de Reims Champagne-Ardenne - Licence - Sciences pour la santé - Sciences sanitaires et sociales  -  option Santé", "Licence - Sciences - technologies - santé", "Sciences sanitaires et sociales", 66, 740, 584, 740, 0, 474, 81, 104, 40, 2, 2, 160, 0, 0, 0, 0, 0, 730, 0, 0, 0, 474, 81, 104, 40, 2, 2, 150, 369, 66, 59, 66, 0, 3.0, 49.0, 60.0, 0, 18, 65, 60, 5, 0, 1, 0, 14, 29, 18, 4, 0.0, 48, 3, 0, 0, 0, 53, 53, 4.55, 74.24, 90.91, 89.390625, 81.5, 81.5, 0, 27.69921875, 98.5, 0.0, 21.5, 44.59375, 27.69921875, 6.2, 0.0, 92.296875, 73.796875, 7.69921875, 4.599609375, 0.0, 0.0, 333.0, 56.0, 0.0, 0.0, 23.0, "Tous les candidats", 467.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "32171", "Licence - Sciences pour la santé - Sciences sanitaires et sociales  -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32171&g_ta_cod=32171", 92.0, 8.0, 0.0),
(1944, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation sélective", "Autre formation", "Université de Corte - DEUST - Analyse des milieux biologiques (Seconde année possible en apprentissage)", "DEUST", "", 24, 177, 116, 177, 0, 67, 15, 53, 7, 4, 1, 53, 0, 0, 0, 0, 0, 161, 0, 0, 0, 67, 15, 51, 7, 0, 0, 43, 109, 22, 12, 21, 0, 5.0, 19.0, 20.0, 0, 3, 20, 14, 6, 0, 2, 0, 10, 8, 2, 0, 0.0, 5, 5, 0, 0, 0, 15, 15, 22.73, 86.36, 90.91, 54.5, 75.0, 75.0, 0, 15.0, 90.890625, 0.0, 50.0, 40.0, 10.0, 0.0, 0.0, 70.0, 25.0, 30.0, 25.0, 0.0, 0.0, 59.0, 12.0, 0.0, 0.0, 26.0, "Tous les candidats", 111.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "11707", "DEUST - Analyse des milieux biologiques (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11707&g_ta_cod=11707", 68.0, 32.0, 0.0),
(1945, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Langues étrangères appliquées - Parcours Langues Étrangères Appliquées Anglais Japonais", "Licence - Arts-lettres-langues", "Langues Étrangères Appliquées Anglais Japonais", 65, 845, 536, 845, 0, 427, 116, 75, 32, 44, 19, 299, 0, 0, 0, 0, 0, 300, 0, 0, 0, 192, 40, 19, 11, 13, 2, 76, 199, 64, 49, 64, 0, 17.0, 57.0, 60.0, 0, 13, 43, 34, 6, 3, 21, 0, 1, 20, 20, 2, 0.0, 33, 6, 3, 0, 0, 22, 27, 26.56, 89.06, 93.75, 76.59375, 51.1953125, 62.796875, 0, 30.19921875, 67.1875, 0.0, 2.2998046875, 46.5, 46.5, 4.7, 0.0, 79.09375, 76.6875, 14.0, 14.0, 7.0, 7.0, 134.0, 31.0, 7.0, 1.0, 47.0, "Tous les candidats", 250.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "11636", "Licence - Langues étrangères appliquées - Parcours Langues Étrangères Appliquées Anglais Japonais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11636&g_ta_cod=11636", 67.0, 16.0, 13.0),
(1946, "Public", "9730001N", "Lycée Félix EBOUE", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "BTS", "Lycée Félix EBOUE - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 16, 223, 164, 160, 0, 31, 15, 52, 26, 30, 15, 47, 63, 9, 5, 23, 26, 42, 9, 0, 0, 14, 5, 19, 11, 5, 3, 4, 36, 13, 13, 7, 6, 5.0, 7.0, 12.0, 0, 4, 7, 1, 5, 1, 6, 0, 2, 4, 1, 0, 0.0, 1, 4, 0, 2, 2, 7, 7, 38.46, 53.85, 92.31, 100.0, 100.0, 100.0, 28.59765625, 57.09375, 53.796875, 0.0, 28.59765625, 57.09375, 14.298828125, 0.0, 0.0, 14.298828125, 14.298828125, 71.390625, 57.09375, 14.298828125, 0.0, 11.0, 5.0, 4.0, 3.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers technologiques toutes séries", 20, "Bacheliers professionnels toutes séries", 4, "Liste d'appel propre à cette formation", 24.0, "31022", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31022&g_ta_cod=31022", 15.0, 62.0, 23.0),
(1947, "Public", "0190018S", "Lycée Pierre Caraminot", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Egletons", "formation sélective", "BTS", "Lycée Pierre Caraminot - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "BTS - Production", "", 15, 335, 49, 335, 0, 75, 5, 93, 15, 66, 13, 101, 0, 0, 0, 0, 0, 271, 0, 0, 0, 74, 5, 93, 15, 66, 13, 38, 74, 15, 4, 15, 0, 0.0, 12.0, 15.0, 0, 3, 14, 4, 5, 5, 1, 0, 6, 6, 2, 0, 0.0, 3, 3, 2, 0, 0, 0, 0, 0.0, 80.0, 100.0, 26.69921875, 0.0, 0.0, 0, 21.3984375, 93.296875, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 28.59765625, 21.3984375, 35.6953125, 21.3984375, 35.6953125, 14.298828125, 19.0, 3.0, 30.0, 6.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 41.0, "3144", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3144&g_ta_cod=3144", 33.0, 33.0, 33.0),
(1948, "Privé sous contrat d'association", "0941934S", "EFREI Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villejuif", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 12, 307, 114, 307, 0, 0, 0, 0, 0, 0, 0, 307, 0, 0, 0, 0, 0, 263, 0, 0, 0, 0, 0, 0, 0, 0, 0, 263, 242, 9, 1, 9, 0, 1.0, 9.0, 9.0, 0, 0, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 11.11, 100.0, 100.0, 11.099609375, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 242.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "22857", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22857", 100.0, 0.0, 0.0),
(1949, "Public", "0570058D", "Lycée Louis Vincent", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée Louis Vincent - BTS - Production - Métiers de la chimie", "BTS - Production", "", 24, 446, 224, 446, 0, 81, 19, 126, 40, 7, 2, 232, 0, 0, 0, 0, 0, 236, 0, 0, 0, 79, 18, 122, 38, 4, 0, 31, 108, 25, 12, 25, 0, 2.0, 21.0, 25.0, 0, 6, 22, 3, 19, 0, 3, 0, 12, 9, 1, 0, 0.0, 1, 9, 0, 8, 3, 19, 19, 8.0, 84.0, 100.0, 48.0, 86.390625, 86.390625, 36.3984375, 27.296875, 88.0, 0.0, 54.5, 40.8984375, 4.5, 0.0, 0.0, 13.599609375, 4.5, 86.390625, 40.8984375, 0.0, 0.0, 34.0, 6.0, 3.0, 0.0, 11.0, "Tous les candidats sauf les Bac professionnels", 181.0, "Bacheliers professionnels toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 41.0, "6541", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6541&g_ta_cod=6541", 20.0, 80.0, 0.0),
(1950, "Privé sous contrat d'association", "0331503E", "Lycée Sainte Marie Grand Lebrun", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Sainte Marie Grand Lebrun - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 321, 173, 310, 0, 264, 14, 1, 0, 0, 0, 45, 11, 4, 0, 1, 6, 254, 2, 0, 254, 232, 12, 0, 0, 0, 0, 22, 214, 3, 2, 2, 1, 1.0, 2.0, 3.0, 0, 1, 3, 3, 0, 0, 0, 0, 0, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 3, 3, 33.33, 66.67, 100.0, 66.6875, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 196.0, 10.0, 0.0, 0.0, 18.0, "Tous les candidats", 254.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "31284", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31284&g_ta_cod=31284", 100.0, 0.0, 0.0),
(1951, "Public", "0750612H", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART.", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART. - DN MADE - Espace - - Spécialité : Architecture, médiation culturelle et patrimoine", "DN MADE", "- Spécialité : Architecture, médiation culturelle et patrimoine", 15, 1115, 902, 1115, 0, 552, 103, 166, 43, 51, 7, 346, 0, 0, 0, 0, 0, 167, 0, 0, 0, 85, 9, 41, 10, 0, 0, 41, 60, 16, 15, 16, 0, 2.0, 13.0, 16.0, 0, 1, 12, 6, 6, 0, 4, 0, 0, 0, 5, 7, 0.0, 6, 6, 0, 0, 0, 1, 6, 12.5, 81.25, 100.0, 93.796875, 8.298828125, 50.0, 0, 8.298828125, 75.0, 0.0, 0.0, 0.0, 41.6953125, 58.3, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 30.0, 4.0, 0.0, 0.0, 9.0, "Tous les candidats", 87.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "21975", "DN MADE - Espace - - Spécialité : Architecture, médiation culturelle et patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21975&g_ta_cod=21975", 63.0, 38.0, 0.0),
(1952, "Privé sous contrat d'association", "0831141P", "Lycée la Tourrache", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Autre formation", "Lycée la Tourrache - DN MADE - Graphisme - - Spécialité : Objet éditorial et volume imprimé", "DN MADE", "- Spécialité : Objet éditorial et volume imprimé", 15, 206, 150, 206, 0, 75, 12, 46, 5, 25, 4, 60, 0, 0, 0, 0, 0, 165, 0, 0, 0, 67, 10, 39, 5, 21, 1, 38, 56, 15, 11, 15, 0, 1.0, 11.0, 13.0, 0, 3, 15, 8, 6, 1, 0, 0, 2, 5, 7, 1, 0.0, 6, 6, 1, 0, 0, 10, 10, 6.67, 73.33, 86.67, 73.296875, 66.6875, 66.6875, 0, 20.0, 100.0, 0.0, 13.298828125, 33.296875, 46.6953125, 6.7, 0.0, 53.296875, 40.0, 40.0, 40.0, 6.69921875, 6.69921875, 25.0, 4.0, 8.0, 1.0, 0.0, "Tous les candidats", 67.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "24351", "DN MADE - Graphisme - - Spécialité : Objet éditorial et volume imprimé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24351&g_ta_cod=24351", 53.0, 40.0, 7.0),
(1953, "Public", "0560070X", "Lycée professionnel Emile Zola", "56", "Morbihan", "Bretagne", "Rennes", "Hennebont", "formation sélective", "Autre formation", "Lycée professionnel Emile Zola - Mention complémentaire - Technicien ascensoriste, service et modernisation", "Mention complémentaire", "", 12, 27, 2, 26, 0, 0, 0, 0, 0, 20, 9, 6, 1, 0, 0, 0, 1, 20, 0, 0, 0, 0, 0, 0, 0, 18, 7, 2, 17, 3, 0, 3, 0, 3.0, 3.0, 3.0, 0, 2, 3, 0, 0, 3, 0, 0, 1, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 3, 3, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 66.6875, 100.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 15.0, 7.0, 2.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "12800", "Mention complémentaire - Technicien ascensoriste, service et modernisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12800&g_ta_cod=12800", 0.0, 0.0, 100.0),
(1954, "Privé sous contrat d'association", "0100059K", "Lycée LA SALLE", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BTS", "Lycée LA SALLE - BTS - Production - Management économique de la construction", "BTS - Production", "", 21, 71, 16, 54, 0, 10, 3, 16, 1, 17, 2, 11, 17, 1, 2, 3, 11, 47, 13, 0, 0, 10, 3, 16, 1, 17, 2, 4, 55, 11, 1, 7, 4, 4.0, 7.0, 11.0, 0, 2, 6, 5, 0, 1, 5, 0, 5, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 36.36, 63.64, 100.0, 9.099609375, 16.69921875, 16.69921875, 0, 33.296875, 54.5, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 16.69921875, 0.0, 9.0, 2.0, 18.0, 4.0, 11.0, "Tous les candidats sauf les Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 87.0, "17597", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17597&g_ta_cod=17597", 45.0, 9.0, 45.0),
(1955, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence_Las", "Université de Poitiers - Licence - Portail  -  option Santé", "Licence - Sciences - technologies - santé", "", 40, 391, 211, 391, 0, 321, 47, 6, 1, 1, 0, 63, 0, 0, 0, 0, 0, 389, 0, 0, 0, 321, 47, 6, 1, 1, 0, 61, 200, 36, 17, 36, 0, 3.0, 30.0, 34.0, 0, 4, 35, 33, 2, 0, 1, 0, 1, 14, 13, 7, 0.0, 32, 2, 0, 0, 0, 32, 32, 8.33, 83.33, 94.44, 47.1953125, 91.390625, 91.390625, 0, 11.3984375, 97.1875, 0.0, 2.89990234375, 40.0, 37.09375, 20.0, 0.0, 94.296875, 91.390625, 5.69921875, 5.69921875, 0.0, 0.0, 175.0, 22.0, 0.0, 0.0, 21.0, "Tous les candidats", 252.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "28736", "Licence - Portail  -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28736&g_ta_cod=28736", 94.0, 6.0, 0.0),
(1956, "Public", "0250008Y", "Lycée Louis Pasteur", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "CPGE", "Lycée Louis Pasteur - CPGE - Lettres", "Classe préparatoire littéraire", "", 45, 395, 285, 395, 143, 327, 38, 2, 0, 2, 0, 64, 0, 0, 0, 0, 0, 326, 0, 128, 322, 304, 32, 0, 0, 0, 0, 22, 189, 44, 38, 44, 0, 11.0, 43.0, 44.0, 5, 2, 43, 43, 0, 0, 1, 0, 0, 4, 25, 14, 0.0, 43, 0, 0, 11, 8, 41, 41, 25.0, 97.73, 100.0, 86.390625, 95.296875, 95.296875, 25.59765625, 4.69921875, 97.6875, 0.0, 0.0, 9.298828125, 58.09375, 32.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 175.0, 23.0, 0.0, 0.0, 14.0, "Tous les candidats", 247.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "3455", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3455&g_ta_cod=3455", 100.0, 0.0, 0.0),
(1957, "Public", "0580758J", "Université de Bourgogne - site de Nevers", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation non sélective", "PASS", "Université de Bourgogne - site de Dijon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 6, 1390, 846, 1390, 0, 1066, 159, 38, 7, 10, 4, 276, 0, 0, 0, 0, 0, 1386, 0, 0, 0, 1067, 160, 38, 7, 10, 4, 271, 83, 6, 2, 6, 0, 0.0, 2.0, 4.0, 0, 1, 6, 6, 0, 0, 0, 0, 0, 3, 3, 0, 0.0, 6, 0, 0, 0, 0, 6, 6, 0.0, 33.33, 66.67, 33.296875, 100.0, 100.0, 0, 16.69921875, 100.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 75.0, 15.0, 0.0, 0.0, 6.0, "Tous les candidats", 2492.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 43.0, "28070", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27662&g_ta_cod=28070", 100.0, 0.0, 0.0),
(1958, "Privé sous contrat d'association", "0623279C", "Lycée St-Joseph", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Coulogne", "formation sélective", "BTS", "Lycée St-Joseph - BTS - Agricole - Aquaculture", "BTS - Agricole", "", 35, 147, 28, 145, 0, 24, 5, 19, 1, 47, 17, 55, 2, 0, 0, 2, 0, 109, 0, 0, 0, 23, 5, 19, 1, 46, 16, 21, 84, 16, 0, 16, 0, 13.0, 16.0, 16.0, 0, 5, 15, 4, 5, 6, 1, 0, 2, 10, 3, 0, 0.0, 3, 4, 6, 5, 0, 12, 12, 81.25, 100.0, 100.0, 0.0, 80.0, 80.0, 33.296875, 33.296875, 93.796875, 0.0, 13.298828125, 66.6875, 20.0, 0.0, 0.0, 26.69921875, 20.0, 33.296875, 26.69921875, 40.0, 40.0, 17.0, 4.0, 40.0, 12.0, 13.0, "Tous les candidats sauf les Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 74.0, "7473", "BTS - Agricole - Aquaculture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7473&g_ta_cod=7473", 25.0, 38.0, 38.0),
(1959, "Public", "0171405K", "Lycée des Métiers - Hotelier", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BTS", "Lycée des Métiers - Hotelier - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 96, 877, 456, 876, 0, 1, 0, 408, 53, 252, 62, 215, 1, 0, 1, 0, 0, 794, 0, 0, 0, 1, 0, 408, 53, 187, 47, 198, 251, 90, 59, 90, 0, 49.0, 76.0, 88.0, 0, 9, 53, 0, 32, 21, 37, 0, 9, 21, 16, 7, 0.0, 0, 25, 19, 22, 15, 27, 27, 54.44, 84.44, 97.78, 65.59375, 50.8984375, 50.8984375, 41.5, 17.0, 58.8984375, 0.0, 17.0, 39.59375, 30.19921875, 13.2, 0.0, 0.0, 0.0, 60.3984375, 47.1953125, 39.59375, 35.796875, 1.0, 0.0, 64.0, 20.0, 79.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 129.0, "Bacheliers professionnels toutes séries", 140, "Bacheliers technologiques toutes séries", 364, "Liste d'appel propre à cette formation", 72.0, "3066", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3066&g_ta_cod=3066", 26.0, 50.0, 24.0),
(1960, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Droit", "Licence - Droit-économie-gestion", "", 700, 3465, 2428, 3432, 0, 2577, 477, 284, 88, 53, 20, 518, 33, 6, 2, 0, 25, 3427, 32, 0, 0, 2577, 477, 284, 88, 53, 20, 513, 2314, 696, 470, 679, 17, 114.0, 565.0, 641.0, 0, 124, 610, 555, 46, 9, 86, 1, 142, 250, 177, 38, 2.0, 439, 24, 4, 0, 0, 495, 495, 16.38, 81.18, 92.1, 67.5, 81.09375, 81.09375, 0, 20.296875, 87.59375, 0.199981689453125, 23.296875, 41.0, 29.0, 6.2, 0.3, 91.0, 72.0, 7.5, 3.89990234375, 1.5, 0.699951171875, 1774.0, 353.0, 27.0, 14.0, 389.0, "Tous les candidats", 3103.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "4888", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4888&g_ta_cod=4888", 89.0, 9.0, 2.0),
(1961, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "PASS", "Université de Nantes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 80, 1980, 1272, 1980, 0, 1516, 204, 30, 10, 7, 5, 427, 0, 0, 0, 0, 0, 1980, 0, 0, 0, 1516, 204, 30, 10, 7, 5, 427, 389, 80, 52, 80, 0, 2.0, 62.0, 78.0, 0, 6, 79, 79, 0, 0, 1, 1, 3, 16, 50, 8, 1.0, 75, 0, 0, 0, 0, 66, 66, 2.5, 77.5, 97.5, 65.0, 83.5, 83.5, 0, 7.599609375, 98.796875, 1.2998046875, 3.7998046875, 20.296875, 63.296875, 10.1, 1.3, 100.0, 94.890625, 0.0, 0.0, 0.0, 0.0, 386.0, 43.0, 0.0, 0.0, 3.0, "Tous les candidats", 1805.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "27998", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27985&g_ta_cod=27998", 100.0, 0.0, 0.0),
(1962, "Public", "0750651A", "Lycée Simone Weil", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "BTS", "Lycée Simone Weil - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 2579, 1542, 2579, 0, 92, 28, 710, 309, 910, 500, 867, 0, 0, 0, 0, 0, 1967, 0, 0, 0, 78, 24, 613, 264, 747, 414, 529, 162, 22, 14, 22, 0, 2.0, 12.0, 17.0, 0, 9, 20, 3, 9, 8, 2, 0, 8, 9, 2, 1, 0.0, 0, 5, 7, 2, 1, 9, 19, 9.09, 54.55, 77.27, 63.59375, 45.0, 95.0, 10, 45.0, 90.890625, 0.0, 40.0, 45.0, 10.0, 5.0, 0.0, 15.0, 0.0, 45.0, 25.0, 40.0, 35.0, 16.0, 6.0, 51.0, 27.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 169, "Bacheliers technologiques toutes séries", 122, "Liste d'appel propre à cette formation", 12.0, "8958", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8958&g_ta_cod=8958", 14.0, 45.0, 41.0),
(1963, "Public", "0221886F", "UFR STAPS - Université de Rennes 2 - Site de Saint-Brieuc", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation non sélective", "Licence", "UFR STAPS - Université de Rennes 2 - Site de Saint-Brieuc - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Antenne universitaire de la ville de Saint Brieuc - STAPS   : Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "Antenne universitaire de la ville de Saint Brieuc - STAPS   : Sciences et Techniques des Activités Physiques et Sportives", 220, 2458, 734, 2458, 0, 1544, 203, 369, 65, 99, 36, 446, 0, 0, 0, 0, 0, 2458, 0, 0, 0, 1544, 203, 369, 65, 99, 36, 446, 927, 220, 67, 220, 0, 55.0, 166.0, 203.0, 0, 35, 196, 161, 25, 10, 24, 0, 101, 75, 16, 4, 0.0, 74, 14, 7, 0, 0, 189, 189, 25.0, 75.45, 92.27, 30.5, 96.390625, 96.390625, 0, 17.8984375, 89.09375, 0.0, 51.5, 38.296875, 8.19921875, 2.0, 0.0, 82.09375, 37.796875, 12.798828125, 7.099609375, 5.099609375, 3.599609375, 697.0, 93.0, 41.0, 17.0, 96.0, "Tous les candidats", 1001.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "4756", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Antenne universitaire de la ville de Saint Brieuc - STAPS   : Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27604&g_ta_cod=4756", 80.0, 15.0, 5.0),
(1964, "Public", "0100022V", "Lycée Chrestien de Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BTS", "Lycée Chrestien de Troyes - BTS - Services - Assurance", "BTS - Services", "", 24, 565, 320, 514, 0, 59, 17, 123, 56, 117, 64, 215, 51, 0, 3, 19, 29, 212, 6, 0, 0, 54, 15, 76, 33, 55, 30, 27, 132, 19, 9, 16, 3, 4.0, 14.0, 17.0, 0, 3, 12, 1, 5, 6, 7, 0, 6, 5, 1, 0, 0.0, 0, 3, 3, 2, 1, 11, 11, 21.05, 73.68, 89.47, 47.3984375, 91.6875, 91.6875, 16.69921875, 25.0, 63.1953125, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 8.298828125, 0.0, 41.6953125, 25.0, 50.0, 25.0, 42.0, 10.0, 31.0, 19.0, 23.0, "Tous les candidats sauf les Bac professionnels", 157.0, "Bacheliers professionnels toutes séries", 53, "", 0, "Liste d'appel propre à cette formation", 41.0, "2408", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2408&g_ta_cod=2408", 42.0, 26.0, 32.0),
(1965, "Public", "0501828R", "Lycée Victor Grignard", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "CPGE", "Lycée Victor Grignard - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 518, 133, 518, 372, 399, 33, 0, 0, 0, 0, 119, 0, 0, 0, 0, 0, 327, 0, 262, 320, 319, 23, 0, 0, 0, 0, 8, 206, 43, 11, 43, 0, 3.0, 30.0, 43.0, 13, 3, 42, 42, 0, 0, 1, 0, 0, 4, 18, 17, 3.0, 42, 0, 0, 4, 1, 38, 38, 6.98, 69.77, 100.0, 25.59765625, 90.5, 90.5, 9.5, 7.099609375, 97.6875, 0.0, 0.0, 9.5, 42.8984375, 40.5, 7.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 202.0, 12.0, 0.0, 0.0, 4.0, "Tous les candidats", 324.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "6035", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6035&g_ta_cod=6035", 100.0, 0.0, 0.0),
(1966, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "PASS", "Université de Tours - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 80, 2410, 1474, 2410, 0, 1923, 287, 20, 8, 6, 4, 461, 0, 0, 0, 0, 0, 2340, 0, 0, 0, 1923, 287, 20, 8, 6, 4, 391, 502, 79, 38, 79, 0, 6.0, 58.0, 76.0, 0, 12, 79, 79, 0, 0, 0, 1, 1, 13, 31, 27, 6.0, 77, 0, 0, 0, 0, 69, 69, 7.59, 73.42, 96.2, 48.09375, 87.296875, 87.296875, 0, 15.19921875, 100.0, 1.2998046875, 1.2998046875, 16.5, 39.1953125, 34.2, 7.6, 100.0, 97.5, 0.0, 0.0, 0.0, 0.0, 497.0, 65.0, 0.0, 0.0, 5.0, "Tous les candidats", 1764.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "27817", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27667&g_ta_cod=27817", 100.0, 0.0, 0.0),
(1967, "Public", "0310088C", "Lycée professionnel de l'Ameublement", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Revel", "formation sélective", "Autre formation", "Lycée professionnel de l'Ameublement - DN MADE - Patrimoine - - Spécialité : création et expérimentation en restauration de meubles anciens", "DN MADE", "- Spécialité : création et expérimentation en restauration de meubles anciens", 9, 124, 93, 124, 0, 22, 6, 38, 5, 11, 0, 53, 0, 0, 0, 0, 0, 124, 0, 0, 0, 22, 6, 38, 5, 11, 0, 53, 19, 10, 5, 10, 0, 5.0, 10.0, 10.0, 0, 1, 3, 1, 1, 1, 7, 0, 1, 0, 2, 0, 0.0, 1, 0, 1, 0, 0, 2, 2, 50.0, 100.0, 100.0, 50.0, 66.6875, 66.6875, 0, 33.296875, 30.0, 0.0, 33.296875, 0.0, 66.6875, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 33.296875, 33.296875, 1.0, 0.0, 1.0, 0.0, 15.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "21702", "DN MADE - Patrimoine - - Spécialité : création et expérimentation en restauration de meubles anciens", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21702&g_ta_cod=21702", 30.0, 40.0, 10.0),
(1968, "Privé sous contrat d'association", "0860740M", "IRTS POITOU CHARENTES", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "EFTS", "IRTS POITOU CHARENTES - D.E Educateur Technique Spécialisé", "D.E secteur social", "", 5, 7, 5, 7, 0, 0, 0, 2, 0, 2, 0, 3, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 6, 5, 4, 5, 0, 4.0, 4.0, 5.0, 0, 0, 3, 0, 2, 1, 2, 0, 1, 1, 1, 0, 0.0, 0, 1, 1, 0, 0, 3, 3, 80.0, 80.0, 100.0, 80.0, 100.0, 100.0, 0, 0.0, 60.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 2.0, 0.0, 2.0, "Tous les candidats", 6.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "24937", "D.E Educateur Technique Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24937&g_ta_cod=24937", 0.0, 40.0, 60.0),
(1969, "Public", "0830007G", "Lycée Raynouard", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Brignoles", "formation sélective", "BTS", "Lycée Raynouard - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 309, 175, 306, 0, 19, 5, 77, 29, 87, 43, 123, 3, 1, 0, 0, 2, 195, 1, 0, 0, 18, 4, 67, 24, 77, 34, 33, 95, 20, 12, 20, 0, 8.0, 14.0, 18.0, 0, 8, 17, 1, 6, 10, 3, 0, 8, 7, 1, 1, 0.0, 0, 2, 7, 13, 8, 17, 17, 40.0, 70.0, 90.0, 60.0, 100.0, 100.0, 76.5, 47.09375, 85.0, 0.0, 47.09375, 41.1953125, 5.8994140625, 5.9, 0.0, 5.8994140625, 0.0, 35.296875, 11.798828125, 58.796875, 41.1953125, 13.0, 3.0, 29.0, 13.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 44.0, "10330", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10330&g_ta_cod=10330", 5.0, 45.0, 50.0),
(1970, "Public", "0561891B", "ENSIBS Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 8, 192, 5, 192, 0, 0, 0, 186, 42, 0, 0, 6, 0, 0, 0, 0, 0, 77, 0, 0, 0, 0, 0, 76, 13, 0, 0, 1, 34, 8, 0, 8, 0, 0.0, 8.0, 8.0, 0, 0, 8, 0, 8, 0, 0, 0, 0, 2, 5, 1, 0.0, 0, 8, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 0.0, 12.5, 12.5, 0, 0.0, 100.0, 0.0, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 294.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "25864", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=25864", 0.0, 100.0, 0.0),
(1971, "Privé sous contrat d'association", "0211090W", "Lycée saint bénigne", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Autre formation", "Lycée saint bénigne - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 397, 172, 335, 0, 162, 28, 46, 10, 1, 0, 126, 62, 9, 5, 1, 47, 185, 7, 0, 0, 129, 18, 24, 6, 0, 0, 32, 150, 17, 8, 14, 3, 5.0, 14.0, 17.0, 0, 1, 13, 11, 2, 0, 4, 0, 1, 9, 3, 0, 0.0, 10, 2, 0, 0, 0, 7, 7, 29.41, 82.35, 100.0, 47.09375, 53.796875, 53.796875, 0, 7.69921875, 76.5, 0.0, 7.69921875, 69.1875, 23.09765625, 0.0, 0.0, 84.59375, 76.890625, 15.3984375, 15.3984375, 0.0, 0.0, 110.0, 15.0, 0.0, 0.0, 29.0, "Tous les candidats", 182.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "3227", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3227&g_ta_cod=3227", 82.0, 18.0, 0.0),
(1972, "Public", "0592611T", "Lycée professionnel Louis BLERIOT", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "BTS", "Lycée professionnel Louis BLERIOT - BTS - Production - Management économique de la construction", "BTS - Production", "", 15, 100, 21, 93, 0, 6, 2, 13, 4, 50, 25, 24, 7, 0, 4, 0, 3, 81, 0, 0, 0, 6, 2, 13, 4, 50, 25, 12, 43, 14, 0, 14, 0, 4.0, 12.0, 12.0, 0, 7, 14, 3, 0, 11, 0, 0, 5, 5, 4, 0, 0.0, 1, 0, 8, 10, 0, 13, 13, 28.57, 85.71, 85.71, 0.0, 92.890625, 92.890625, 71.390625, 50.0, 100.0, 0.0, 35.6953125, 35.6953125, 28.59765625, 0.0, 0.0, 21.3984375, 7.099609375, 0.0, 0.0, 78.59375, 57.09375, 4.0, 2.0, 23.0, 11.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 54.0, "19777", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19777&g_ta_cod=19777", 21.0, 0.0, 79.0),
(1973, "Public", "0311086M", "I.U.T de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BUT", "I.U.T de Toulouse - BUT - Génie électrique et informatique industrielle Parcours : Automatisme et informatique industrielle - Electronique et systèmes embarqués", "BUT - Production", "Automatisme et informatique industrielle - Electronique et systèmes embarqués", 160, 1512, 122, 1385, 0, 750, 111, 317, 73, 15, 7, 303, 127, 8, 31, 1, 87, 1075, 31, 0, 0, 595, 75, 276, 61, 0, 0, 204, 805, 142, 7, 125, 17, 29.0, 102.0, 132.0, 0, 20, 97, 49, 48, 0, 45, 0, 33, 46, 17, 1, 0.0, 31, 33, 0, 0, 0, 65, 65, 20.42, 71.83, 92.96, 4.8994140625, 67.0, 67.0, 0, 20.59765625, 68.296875, 0.0, 34.0, 47.3984375, 17.5, 1.0, 0.0, 50.5, 32.0, 49.5, 34.0, 0.0, 0.0, 356.0, 56.0, 0.0, 0.0, 198.0, "Tous les candidats sauf les Bac technologiques", 745.0, "Bacheliers technologiques toutes séries", 327, "", 0, "Liste d'appel propre à cette formation", 77.0, "4096", "BUT - Génie électrique et informatique industrielle Parcours : Automatisme et informatique industrielle - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4096&g_ta_cod=4096", 56.0, 43.0, 0.0),
(1974, "Privé sous contrat d'association", "0070071P", "Lycée polyvalent du Sacré-Coeur", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Tournon-sur-Rhône", "formation sélective", "BTS", "Lycée polyvalent du Sacré-Coeur - BTS - Services - Support à l'action managériale", "BTS - Services", "", 15, 104, 66, 81, 0, 5, 0, 25, 5, 24, 11, 27, 23, 0, 7, 5, 11, 58, 17, 0, 0, 5, 0, 25, 5, 22, 9, 6, 70, 9, 8, 6, 3, 0.0, 6.0, 9.0, 0, 4, 6, 1, 2, 3, 3, 0, 5, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 6, 6, 0.0, 66.67, 100.0, 88.890625, 100.0, 100.0, 0, 66.6875, 66.6875, 0.0, 83.296875, 0.0, 16.69921875, 0.0, 0.0, 16.69921875, 0.0, 33.296875, 0.0, 50.0, 16.69921875, 5.0, 0.0, 22.0, 8.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 72.0, "14271", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14271&g_ta_cod=14271", 22.0, 22.0, 56.0),
(1975, "Privé sous contrat d'association", "0840940R", "Lycée St Jean Baptiste De La Salle", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée St Jean Baptiste De La Salle - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 186, 15, 143, 0, 7, 0, 37, 6, 49, 13, 50, 43, 3, 3, 16, 21, 67, 13, 0, 0, 2, 0, 26, 2, 35, 10, 4, 74, 15, 0, 14, 1, 13.0, 14.0, 15.0, 0, 3, 13, 0, 3, 10, 2, 0, 1, 5, 5, 2, 0.0, 0, 3, 9, 10, 0, 11, 11, 86.67, 93.33, 100.0, 0.0, 84.59375, 84.59375, 76.890625, 23.09765625, 86.6875, 0.0, 7.69921875, 38.5, 38.5, 15.4, 0.0, 0.0, 0.0, 23.09765625, 23.09765625, 76.890625, 69.1875, 3.0, 0.0, 37.0, 10.0, 9.0, "Tous les candidats sauf les Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 45.0, "10464", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10464&g_ta_cod=10464", 7.0, 20.0, 73.0),
(1976, "Public", "0891199V", "Lycée Louis Davier", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Joigny", "formation sélective", "BTS", "Lycée Louis Davier - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 24, 164, 8, 163, 0, 19, 6, 25, 6, 56, 20, 63, 1, 0, 0, 0, 1, 108, 0, 0, 0, 19, 6, 22, 5, 56, 20, 11, 63, 23, 1, 23, 0, 8.0, 19.0, 23.0, 0, 6, 23, 4, 6, 13, 0, 0, 8, 7, 5, 3, 0.0, 0, 2, 13, 10, 1, 18, 18, 34.78, 82.61, 100.0, 4.2998046875, 78.296875, 78.296875, 43.5, 26.09765625, 100.0, 0.0, 34.796875, 30.3984375, 21.69921875, 13.0, 0.0, 17.3984375, 0.0, 26.09765625, 8.69921875, 56.5, 56.5, 12.0, 3.0, 32.0, 9.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 52.0, "10790", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10790&g_ta_cod=10790", 17.0, 26.0, 57.0),
(1977, "Public", "0801327H", "Lycée Edouard Branly", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 15, 375, 330, 375, 0, 76, 13, 45, 11, 146, 61, 108, 0, 0, 0, 0, 0, 216, 0, 0, 0, 56, 7, 17, 6, 104, 48, 39, 60, 11, 11, 11, 0, 2.0, 9.0, 10.0, 0, 5, 11, 2, 0, 9, 0, 0, 1, 3, 7, 0, 0.0, 2, 0, 8, 0, 0, 3, 3, 18.18, 81.82, 90.91, 100.0, 27.296875, 27.296875, 0, 45.5, 100.0, 0.0, 9.099609375, 27.296875, 63.59375, 0.0, 0.0, 18.19921875, 18.19921875, 0.0, 0.0, 81.796875, 72.6875, 11.0, 3.0, 31.0, 12.0, 10.0, "Tous les candidats sauf les Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 19.0, "12700", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12700&g_ta_cod=12700", 18.0, 0.0, 82.0),
(1978, "Public", "0761688X", "I.U.T du Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BUT", "I.U.T du Havre - BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "BUT - Production", "Science du danger et management des risques professionnels technologiques et environnementaux", 50, 765, 278, 737, 0, 370, 36, 196, 32, 32, 7, 139, 28, 4, 8, 1, 15, 381, 9, 0, 0, 264, 19, 85, 9, 0, 0, 32, 226, 43, 18, 38, 5, 5.0, 29.0, 39.0, 0, 2, 36, 26, 10, 0, 7, 1, 16, 14, 5, 0, 0.0, 15, 4, 0, 0, 0, 31, 31, 11.63, 67.44, 90.7, 41.8984375, 86.09375, 86.09375, 0, 5.599609375, 83.6875, 2.7998046875, 44.3984375, 38.8984375, 13.8984375, 0.0, 0.0, 72.1875, 41.6953125, 27.796875, 11.099609375, 0.0, 0.0, 142.0, 11.0, 0.0, 0.0, 14.0, "Tous les candidats sauf les Bac technologiques", 289.0, "Bacheliers technologiques toutes séries", 88, "", 0, "Liste d'appel propre à cette formation", 51.0, "9654", "BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9654&g_ta_cod=9654", 72.0, 28.0, 0.0),
(1979, "Public", "0220059V", "Lycée professionnel Jean Moulin", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée professionnel Jean Moulin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 16, 61, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 61, 3, 15, 18, 25, 0, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 3, 0, 15, 0.0, 0.0, 1.0, 0, 6, 14, 1, 4, 9, 2, 0, 9, 5, 0, 0, 0.0, 0, 2, 3, 6, 2, 12, 12, 0.0, 0.0, 6.25, 18.796875, 85.6875, 85.6875, 42.8984375, 42.8984375, 87.5, 0.0, 64.296875, 35.6953125, 0.0, 0.0, 0.0, 7.099609375, 0.0, 28.59765625, 14.298828125, 64.296875, 21.3984375, 2.0, 0.0, 9.0, 5.0, 9.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30562", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30562&g_ta_cod=30562", 13.0, 31.0, 56.0),
(1980, "Public", "0540034U", "Lycée Ernest Bichat", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Lunéville", "formation sélective", "BTS", "Lycée Ernest Bichat - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 377, 169, 351, 0, 37, 12, 80, 33, 47, 23, 187, 26, 0, 4, 2, 20, 137, 2, 0, 0, 30, 10, 53, 23, 32, 14, 22, 92, 22, 10, 22, 0, 4.0, 22.0, 22.0, 0, 5, 15, 2, 10, 3, 7, 0, 7, 4, 4, 0, 0.0, 0, 5, 3, 7, 2, 14, 14, 18.18, 100.0, 100.0, 45.5, 93.296875, 93.296875, 46.6953125, 33.296875, 68.1875, 0.0, 46.6953125, 26.69921875, 26.69921875, 0.0, 0.0, 13.298828125, 0.0, 66.6875, 33.296875, 20.0, 20.0, 20.0, 6.0, 11.0, 4.0, 20.0, "Tous les candidats sauf les Bac professionnels", 102.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 36.0, "6244", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6244&g_ta_cod=6244", 32.0, 55.0, 14.0),
(1981, "Public", "0952261S", "CY TECH - Université de Cergy-Pontoise", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "Concours GalaxY - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "Double diplôme - Ingénieur en Génie Civil - Architecte", 20, 376, 124, 376, 0, 361, 83, 0, 0, 0, 0, 15, 0, 0, 0, 0, 0, 152, 0, 0, 0, 152, 28, 0, 0, 0, 0, 0, 58, 21, 9, 21, 0, 9.0, 21.0, 21.0, 0, 7, 21, 21, 0, 0, 0, 0, 0, 2, 10, 8, 1.0, 21, 0, 0, 0, 0, 12, 16, 42.86, 100.0, 100.0, 42.8984375, 57.09375, 76.1875, 0, 33.296875, 100.0, 0.0, 0.0, 9.5, 47.59375, 38.1, 4.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 58.0, 15.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "31243", "Formation d'ingénieur Bac + 5", "Concours GalaxY", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31208&g_ta_cod=31243", 100.0, 0.0, 0.0),
(1982, "Public", "0381629P", "CNED", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "CNED - BTS - Services - Diététique", "BTS - Services", "", 3400, 1958, 1534, 1439, 0, 305, 68, 246, 71, 77, 32, 811, 519, 96, 53, 19, 351, 1439, 508, 0, 0, 305, 68, 246, 71, 77, 32, 811, 1947, 522, 400, 333, 189, 325.0, 330.0, 451.0, 0, 43, 131, 64, 48, 19, 391, 2, 54, 46, 20, 8, 1.0, 38, 22, 15, 0, 0, 9, 9, 62.26, 63.22, 86.4, 76.59375, 6.8994140625, 6.8994140625, 0, 32.796875, 25.09765625, 1.5, 41.1953125, 35.09375, 15.298828125, 6.1, 0.8, 48.8984375, 29.0, 36.59375, 16.796875, 14.5, 11.5, 399.0, 85.0, 94.0, 37.0, 1158.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 926.0, "Bacheliers professionnels toutes séries", 130, "Bacheliers technologiques toutes séries", 383, "Liste d'appel propre à cette formation", 100.0, "20772", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20772&g_ta_cod=20772", 63.0, 25.0, 9.0),
(1983, "Public", "0932074Z", "Lycée Marcel Cachin", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Ouen-sur-Seine", "formation sélective", "Autre formation", "Lycée Marcel Cachin - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 165, 21, 165, 0, 13, 1, 16, 0, 80, 38, 56, 0, 0, 0, 0, 0, 116, 0, 0, 0, 12, 1, 13, 0, 54, 24, 37, 49, 11, 3, 11, 0, 3.0, 7.0, 10.0, 0, 5, 9, 0, 2, 7, 2, 0, 8, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 8, 9, 27.27, 63.64, 90.91, 27.296875, 88.890625, 100.0, 0, 55.59375, 81.796875, 0.0, 88.890625, 11.099609375, 0.0, 0.0, 0.0, 0.0, 0.0, 22.19921875, 0.0, 77.796875, 11.099609375, 7.0, 0.0, 23.0, 12.0, 11.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "22259", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22259&g_ta_cod=22259", 0.0, 27.0, 73.0),
(1984, "Public", "0597005U", "LYCEE POLYVALENT DU VAL DE LYS", "59", "Nord", "Hauts-de-France", "Lille", "Estaires", "formation sélective", "BTS", "LYCEE POLYVALENT DU VAL DE LYS - BTS - Production - Aéronautique", "BTS - Production", "", 30, 608, 73, 588, 0, 127, 18, 102, 17, 108, 31, 251, 20, 0, 9, 0, 11, 280, 3, 0, 0, 100, 14, 60, 8, 60, 18, 60, 127, 25, 4, 25, 0, 9.0, 20.0, 23.0, 0, 2, 20, 8, 8, 4, 5, 0, 1, 9, 8, 2, 0.0, 7, 8, 4, 1, 0, 10, 10, 36.0, 80.0, 92.0, 16.0, 50.0, 50.0, 5, 10.0, 80.0, 0.0, 5.0, 45.0, 40.0, 10.0, 0.0, 40.0, 35.0, 40.0, 40.0, 20.0, 20.0, 34.0, 7.0, 19.0, 5.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 77.0, "Bacheliers technologiques toutes séries", 61, "Bacheliers professionnels toutes séries", 38, "Liste d'appel propre à cette formation", 30.0, "33622", "BTS - Production - Aéronautique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33622&g_ta_cod=33622", 36.0, 40.0, 24.0),
(1985, "Privé sous contrat d'association", "0690564N", "Institution des Chartreux", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "CPGE", "Institution des Chartreux - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 18, 1316, 621, 1316, 987, 1196, 57, 1, 1, 1, 0, 118, 0, 0, 0, 0, 0, 487, 0, 421, 382, 485, 15, 0, 0, 0, 0, 2, 135, 18, 6, 18, 0, 0.0, 16.0, 18.0, 15, 0, 18, 18, 0, 0, 0, 0, 0, 0, 3, 14, 1.0, 18, 0, 0, 2, 0, 8, 8, 0.0, 88.89, 100.0, 33.296875, 44.3984375, 44.3984375, 11.099609375, 0.0, 100.0, 0.0, 0.0, 0.0, 16.69921875, 77.8, 5.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 135.0, 4.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "31594", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31320&g_ta_cod=31594", 100.0, 0.0, 0.0),
(1986, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Electronique, énergie électrique, automatique", "Licence - Sciences - technologies - santé", "", 40, 217, 24, 157, 0, 76, 13, 27, 5, 4, 0, 50, 60, 9, 3, 2, 46, 153, 31, 0, 0, 76, 13, 27, 5, 4, 0, 46, 175, 15, 1, 7, 8, 4.0, 7.0, 12.0, 0, 3, 8, 2, 4, 2, 7, 0, 3, 3, 0, 2, 0.0, 2, 2, 1, 0, 0, 6, 6, 26.67, 46.67, 80.0, 6.69921875, 75.0, 75.0, 0, 37.5, 53.296875, 0.0, 37.5, 37.5, 0.0, 25.0, 0.0, 25.0, 25.0, 50.0, 25.0, 25.0, 12.5, 79.0, 12.0, 3.0, 0.0, 66.0, "Tous les candidats", 153.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "19211", "Licence - Electronique, énergie électrique, automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19211&g_ta_cod=19211", 47.0, 40.0, 13.0),
(1987, "Public", "0820899G", "Lycée JEAN BAYLET", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Valence", "formation sélective", "BTS", "Lycée JEAN BAYLET - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 24, 282, 74, 257, 0, 8, 0, 22, 9, 74, 34, 153, 25, 2, 8, 0, 15, 77, 8, 0, 0, 6, 0, 18, 7, 45, 16, 8, 67, 15, 1, 12, 2, 4.0, 12.0, 13.0, 0, 2, 9, 0, 1, 8, 6, 0, 2, 3, 3, 1, 0.0, 0, 0, 7, 6, 0, 7, 7, 26.67, 80.0, 86.67, 6.69921875, 77.796875, 77.796875, 66.6875, 22.19921875, 60.0, 0.0, 22.19921875, 33.296875, 33.296875, 11.1, 0.0, 0.0, 0.0, 11.099609375, 0.0, 88.890625, 77.796875, 7.0, 0.0, 31.0, 13.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 28.0, "14524", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14524&g_ta_cod=14524", 13.0, 20.0, 67.0),
(1988, "Public", "0141687H", "Lycée Jules Verne", "14", "Calvados", "Normandie", "Normandie", "Mondeville", "formation sélective", "BTS", "Lycée Jules Verne - BTS - Production - Electrotechnique", "BTS - Production", "", 23, 182, 12, 176, 0, 15, 3, 38, 7, 74, 25, 49, 6, 0, 0, 5, 1, 137, 1, 0, 0, 15, 3, 38, 7, 71, 24, 13, 87, 12, 0, 11, 1, 1.0, 10.0, 11.0, 0, 4, 12, 0, 5, 7, 0, 0, 9, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 12, 12, 8.33, 83.33, 91.67, 0.0, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 75.0, 16.69921875, 8.298828125, 0.0, 0.0, 0.0, 0.0, 41.6953125, 0.0, 58.296875, 25.0, 8.0, 1.0, 43.0, 15.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 77.0, "2908", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2908&g_ta_cod=2908", 0.0, 42.0, 58.0),
(1989, "Privé sous contrat d'association", "0391146J", "Lycée Pasteur Mont Roland", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Dole", "formation sélective", "BTS", "Lycée Pasteur Mont Roland - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 40, 423, 59, 368, 0, 19, 3, 42, 12, 71, 23, 236, 55, 6, 11, 4, 34, 127, 17, 0, 0, 15, 3, 39, 11, 58, 18, 15, 112, 27, 0, 20, 7, 10.0, 18.0, 21.0, 0, 5, 21, 3, 3, 15, 6, 0, 10, 6, 5, 0, 0.0, 0, 1, 10, 9, 0, 20, 20, 37.04, 66.67, 77.78, 0.0, 95.1875, 95.1875, 42.8984375, 23.796875, 77.796875, 0.0, 47.59375, 28.59765625, 23.796875, 0.0, 0.0, 14.298828125, 0.0, 14.298828125, 4.7998046875, 71.390625, 47.59375, 17.0, 2.0, 48.0, 16.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 33.0, "5186", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5186&g_ta_cod=5186", 19.0, 22.0, 59.0),
(1990, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence_Las", "Université de Strasbourg - Licence - Sciences pour la santé - Sciences pour la santé - Sciences de la terre et de l'univers -  option Santé", "Licence - Sciences - technologies - santé", "Sciences pour la santé - Sciences de la terre et de l'univers", 37, 817, 508, 817, 0, 572, 131, 21, 9, 7, 1, 217, 0, 0, 0, 0, 0, 813, 0, 0, 0, 572, 131, 21, 9, 7, 1, 213, 326, 36, 18, 36, 0, 1.0, 17.0, 29.0, 0, 10, 28, 27, 1, 0, 8, 0, 9, 12, 4, 2, 1.0, 19, 0, 0, 0, 0, 25, 25, 2.78, 47.22, 80.56, 50.0, 89.296875, 89.296875, 0, 35.6953125, 77.796875, 0.0, 32.09375, 42.8984375, 14.298828125, 7.1, 3.6, 96.390625, 67.890625, 3.599609375, 0.0, 0.0, 0.0, 249.0, 55.0, 2.0, 1.0, 72.0, "Tous les candidats", 497.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "29227", "Licence - Sciences pour la santé - Sciences pour la santé - Sciences de la terre et de l'univers -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29227&g_ta_cod=29227", 97.0, 3.0, 0.0),
(1991, "Public", "9730429D", "Université de Guyane", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation non sélective", "Licence", "Université de Guyane / Lycée Bertène Juminer de Saint-Laurent-du-Maroni - Licence - Mathématiques - Parcours préparatoire au professorat des écoles", "Licence - Sciences - technologies - santé", "préparatoire au professorat des écoles", 30, 65, 38, 44, 0, 33, 20, 3, 2, 2, 2, 6, 21, 5, 0, 1, 15, 44, 20, 0, 0, 33, 20, 3, 2, 2, 2, 6, 65, 13, 4, 4, 6, 4.0, 4.0, 8.0, 0, 4, 9, 6, 0, 3, 4, 0, 5, 2, 1, 1, 0.0, 4, 0, 0, 0, 0, 9, 9, 30.77, 30.77, 61.54, 30.796875, 100.0, 100.0, 0, 44.3984375, 69.1875, 0.0, 55.59375, 22.19921875, 11.099609375, 11.1, 0.0, 66.6875, 44.3984375, 0.0, 0.0, 33.296875, 0.0, 37.0, 22.0, 7.0, 4.0, 18.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32675", "Licence - Mathématiques - Parcours préparatoire au professorat des écoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32675&g_ta_cod=32675", 62.0, 0.0, 38.0),
(1992, "Privé sous contrat d'association", "0530816Z", "Lycée agricole D'Orion", "53", "Mayenne", "Pays de la Loire", "Nantes", "Evron", "formation sélective", "BTS", "Lycée agricole D'Orion - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 42, 184, 103, 155, 0, 26, 3, 30, 7, 38, 11, 61, 29, 6, 6, 2, 15, 136, 14, 0, 0, 26, 3, 30, 7, 37, 10, 43, 131, 32, 13, 25, 7, 7.0, 24.0, 29.0, 0, 4, 16, 2, 4, 10, 16, 0, 5, 11, 0, 0, 0.0, 0, 2, 9, 5, 1, 9, 9, 21.88, 75.0, 90.63, 40.59375, 56.296875, 56.296875, 31.296875, 25.0, 50.0, 0.0, 31.296875, 68.796875, 0.0, 0.0, 0.0, 12.5, 0.0, 25.0, 12.5, 62.5, 56.296875, 25.0, 3.0, 31.0, 6.0, 47.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 86.0, "6226", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6226&g_ta_cod=6226", 34.0, 31.0, 34.0),
(1993, "Public", "0530012A", "LGT Réaumur - Lycée des métiers", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "LGT Réaumur - Lycée des métiers - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 190, 13, 190, 0, 22, 1, 105, 10, 27, 7, 36, 0, 0, 0, 0, 0, 172, 0, 0, 0, 22, 1, 105, 10, 23, 5, 22, 75, 16, 0, 16, 0, 1.0, 13.0, 15.0, 0, 4, 14, 0, 11, 3, 2, 0, 8, 4, 2, 0, 0.0, 0, 3, 3, 6, 0, 9, 9, 6.25, 81.25, 93.75, 0.0, 64.296875, 64.296875, 42.8984375, 28.59765625, 87.5, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 0.0, 0.0, 78.59375, 21.3984375, 21.3984375, 21.3984375, 11.0, 1.0, 13.0, 3.0, 6.0, "Tous les candidats sauf les Bac professionnels", 96.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 60.0, "6198", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6198&g_ta_cod=6198", 0.0, 81.0, 19.0),
(1994, "Public", "0760170X", "I.U.T de Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation sélective", "BUT", "I.U.T de Rouen - BUT - Mesures physiques Parcours : Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", "BUT - Production", "Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", 104, 1073, 226, 1007, 0, 675, 70, 64, 13, 0, 0, 268, 66, 18, 6, 0, 42, 865, 37, 0, 0, 604, 49, 41, 5, 0, 0, 220, 732, 78, 14, 67, 11, 35.0, 66.0, 76.0, 0, 8, 54, 48, 6, 0, 24, 0, 10, 19, 21, 4, 0.0, 39, 5, 0, 0, 0, 52, 52, 44.87, 84.62, 97.44, 17.8984375, 96.296875, 96.296875, 0, 14.798828125, 69.1875, 0.0, 18.5, 35.1953125, 38.8984375, 7.4, 0.0, 88.890625, 72.1875, 11.099609375, 9.298828125, 0.0, 0.0, 463.0, 49.0, 0.0, 0.0, 227.0, "Tous les candidats sauf les Bac technologiques", 804.0, "Bacheliers technologiques toutes séries", 60, "", 0, "Liste d'appel propre à cette formation", 86.0, "9625", "BUT - Mesures physiques Parcours : Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9625&g_ta_cod=9625", 90.0, 9.0, 0.0),
(1995, "Privé sous contrat d'association", "0592965C", "Lycée Industriel et Commercial", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Industriel et Commercial - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 30, 162, 14, 134, 0, 15, 2, 44, 12, 19, 6, 56, 28, 3, 2, 4, 19, 72, 11, 0, 0, 12, 1, 38, 7, 14, 5, 8, 78, 17, 0, 14, 3, 6.0, 14.0, 16.0, 0, 1, 12, 0, 6, 6, 5, 0, 3, 4, 5, 0, 0.0, 0, 3, 6, 11, 0, 12, 12, 35.29, 82.35, 94.12, 0.0, 100.0, 100.0, 91.6875, 8.298828125, 70.59375, 0.0, 25.0, 33.296875, 41.6953125, 0.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 50.0, 8.0, 0.0, 14.0, 5.0, 18.0, "Tous les candidats sauf les Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 54.0, "6919", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6919&g_ta_cod=6919", 0.0, 59.0, 41.0),
(1996, "Public", "0550003E", "Lycée professionnel Emile Zola", "55", "Meuse", "Grand Est", "Nancy-Metz", "Bar-le-Duc", "formation sélective", "Autre formation", "Lycée professionnel Emile Zola - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 69, 16, 56, 0, 5, 2, 7, 1, 34, 16, 10, 13, 3, 4, 3, 3, 44, 6, 0, 0, 5, 2, 7, 1, 26, 12, 6, 43, 15, 3, 11, 4, 4.0, 9.0, 13.0, 0, 6, 14, 2, 3, 9, 1, 0, 10, 2, 2, 0, 0.0, 0, 1, 3, 0, 0, 10, 10, 26.67, 60.0, 86.67, 20.0, 71.390625, 71.390625, 0, 42.8984375, 93.296875, 0.0, 71.390625, 14.298828125, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 21.3984375, 7.099609375, 64.296875, 21.3984375, 4.0, 2.0, 28.0, 12.0, 3.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "23399", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23399&g_ta_cod=23399", 13.0, 27.0, 60.0),
(1997, "Public", "0542018A", "IFSI Laxou", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Laxou", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nancy - D.E Infirmier", "D.E secteur sanitaire", "", 64, 4449, 3599, 4449, 0, 900, 163, 777, 231, 395, 139, 2377, 0, 0, 0, 0, 0, 3849, 0, 0, 0, 834, 142, 678, 193, 339, 109, 1998, 633, 64, 55, 64, 0, 0.0, 30.0, 45.0, 0, 9, 35, 17, 17, 1, 29, 0, 6, 20, 9, 0, 0.0, 15, 13, 1, 0, 0, 33, 33, 0.0, 46.88, 70.31, 85.890625, 94.296875, 94.296875, 0, 25.69921875, 54.6953125, 0.0, 17.09765625, 57.09375, 25.69921875, 0.0, 0.0, 48.59375, 42.8984375, 48.59375, 37.09375, 2.89990234375, 2.89990234375, 95.0, 15.0, 64.0, 21.0, 363.0, "Tous les candidats", 1873.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "23186", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22997&g_ta_cod=23186", 66.0, 30.0, 3.0),
(1998, "Public", "0080007P", "Lycée Sevigne", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BTS", "Lycée Sevigne - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 293, 246, 293, 0, 29, 9, 97, 33, 74, 31, 93, 0, 0, 0, 0, 0, 182, 0, 0, 0, 23, 7, 77, 29, 60, 23, 22, 106, 22, 20, 22, 0, 3.0, 16.0, 17.0, 0, 8, 20, 3, 8, 9, 2, 0, 7, 12, 1, 0, 0.0, 1, 4, 8, 5, 4, 20, 20, 13.64, 72.73, 77.27, 90.890625, 100.0, 100.0, 25, 40.0, 90.890625, 0.0, 35.0, 60.0, 5.0, 0.0, 0.0, 15.0, 5.0, 40.0, 20.0, 45.0, 40.0, 12.0, 5.0, 40.0, 14.0, 13.0, "Tous les candidats sauf les Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 38.0, "13422", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13422&g_ta_cod=13422", 23.0, 36.0, 41.0),
(1999, "Public", "0211139Z", "I.U.T de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BUT", "I.U.T de Dijon - BUT - Information communication Parcours information numérique dans les organisations", "BUT - Service", "", 28, 859, 537, 859, 0, 449, 63, 164, 45, 6, 2, 240, 0, 0, 0, 0, 0, 614, 0, 0, 0, 413, 54, 119, 29, 5, 1, 77, 97, 28, 21, 28, 0, 10.0, 19.0, 22.0, 0, 8, 26, 12, 13, 1, 2, 0, 10, 12, 2, 2, 0.0, 9, 6, 1, 0, 0, 20, 20, 35.71, 67.86, 78.57, 75.0, 76.890625, 76.890625, 0, 30.796875, 92.890625, 0.0, 38.5, 46.1953125, 7.69921875, 7.7, 0.0, 46.1953125, 34.59375, 50.0, 23.09765625, 3.7998046875, 3.7998046875, 47.0, 9.0, 1.0, 0.0, 7.0, "Tous les candidats sauf les Bac technologiques", 65.0, "Bacheliers technologiques toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 13.0, "3241", "BUT - Information communication Parcours information numérique dans les organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3241&g_ta_cod=3241", 46.0, 50.0, 4.0),
(2000, "Public", "0750711R", "Lycée Henri Bergson-Jacquard", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Henri Bergson-Jacquard - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 2221, 1178, 2221, 0, 170, 51, 789, 341, 621, 338, 641, 0, 0, 0, 0, 0, 903, 0, 0, 0, 58, 25, 390, 179, 316, 169, 139, 175, 34, 15, 33, 0, 3.0, 22.0, 31.0, 0, 14, 22, 6, 2, 14, 12, 0, 10, 9, 3, 0, 0.0, 3, 2, 7, 0, 0, 6, 22, 8.82, 64.71, 91.18, 44.09375, 27.296875, 100.0, 0, 63.59375, 64.6875, 0.0, 45.5, 40.8984375, 13.599609375, 0.0, 0.0, 27.296875, 13.599609375, 9.099609375, 9.099609375, 63.59375, 31.796875, 24.0, 15.0, 71.0, 31.0, 67.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 137, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 11.0, "14786", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14786&g_ta_cod=14786", 26.0, 32.0, 41.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(2001, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre / Lycée Joliot-Curie Nanterre - Licence - Lettres - Parcours préparatoire au professorat des écoles", "Licence - Arts-lettres-langues", "préparatoire au professorat des écoles", 30, 432, 370, 432, 0, 251, 57, 44, 9, 19, 7, 118, 0, 0, 0, 0, 0, 432, 0, 0, 0, 251, 57, 44, 9, 19, 7, 118, 116, 29, 22, 29, 0, 4.0, 24.0, 28.0, 0, 4, 13, 8, 2, 3, 16, 0, 4, 5, 3, 1, 0.0, 5, 2, 2, 0, 0, 8, 13, 13.79, 82.76, 96.55, 75.890625, 61.5, 100.0, 0, 30.796875, 44.796875, 0.0, 30.796875, 38.5, 23.09765625, 7.7, 0.0, 61.5, 38.5, 15.3984375, 15.3984375, 23.09765625, 15.3984375, 75.0, 19.0, 6.0, 3.0, 29.0, "Tous les candidats", 163.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "32482", "Licence - Lettres - Parcours préparatoire au professorat des écoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32482&g_ta_cod=32482", 59.0, 17.0, 21.0),
(2002, "Public", "0290051Y", "Lycée Tristan Corbiere", "29", "Finistère", "Bretagne", "Rennes", "Morlaix", "formation sélective", "BTS", "Lycée Tristan Corbiere - BTS - Production - Aéronautique", "BTS - Production", "", 30, 763, 106, 763, 0, 207, 29, 153, 30, 125, 23, 278, 0, 0, 0, 0, 0, 386, 0, 0, 0, 171, 18, 96, 17, 49, 7, 70, 92, 30, 5, 30, 0, 8.0, 24.0, 29.0, 0, 5, 26, 11, 6, 9, 4, 0, 2, 10, 10, 4, 0.0, 9, 6, 9, 1, 1, 17, 17, 26.67, 80.0, 96.67, 16.69921875, 65.390625, 65.390625, 3.7998046875, 19.19921875, 86.6875, 0.0, 7.69921875, 38.5, 38.5, 15.4, 0.0, 42.296875, 34.59375, 23.09765625, 23.09765625, 34.59375, 34.59375, 48.0, 7.0, 14.0, 2.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 104.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 20.0, "3786", "BTS - Production - Aéronautique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3786&g_ta_cod=3786", 47.0, 23.0, 30.0),
(2003, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "PASS", "Universite Jean Monnet, Saint-Etienne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 42, 2072, 1599, 2072, 0, 1645, 301, 71, 33, 17, 10, 339, 0, 0, 0, 0, 0, 2059, 0, 0, 0, 1645, 301, 71, 33, 17, 10, 326, 300, 42, 36, 42, 0, 2.0, 38.0, 41.0, 0, 5, 42, 42, 0, 0, 0, 0, 1, 11, 22, 7, 1.0, 41, 0, 0, 0, 0, 30, 30, 4.76, 90.48, 97.62, 85.6875, 71.390625, 71.390625, 0, 11.8984375, 100.0, 0.0, 2.39990234375, 26.19921875, 52.3984375, 16.7, 2.4, 100.0, 97.59375, 0.0, 0.0, 0.0, 0.0, 294.0, 50.0, 0.0, 0.0, 6.0, "Tous les candidats", 1013.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "27885", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27845&g_ta_cod=27885", 100.0, 0.0, 0.0),
(2004, "Privé sous contrat d'association", "0383208F", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Corenc", "formation sélective", "CPGE", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 14, 197, 90, 196, 0, 183, 13, 0, 0, 1, 0, 12, 1, 0, 0, 0, 1, 190, 0, 0, 190, 179, 13, 0, 0, 0, 0, 11, 159, 10, 6, 10, 0, 6.0, 9.0, 10.0, 0, 3, 10, 10, 0, 0, 0, 0, 0, 8, 1, 1, 0.0, 10, 0, 0, 4, 2, 8, 8, 60.0, 90.0, 100.0, 60.0, 80.0, 80.0, 40, 30.0, 100.0, 0.0, 0.0, 80.0, 10.0, 10.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 150.0, 11.0, 0.0, 0.0, 9.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "31615", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31302&g_ta_cod=31615", 100.0, 0.0, 0.0),
(2005, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Université de Nantes - C.M.I - Cursus Master en Ingénierie - Physique - Ingénierie en Calcul mécanique", "C.M.I - Cursus Master en Ingénierie", "Informatique et Mathématiques de l'Optimisation", 9, 423, 88, 411, 0, 308, 50, 8, 4, 1, 0, 94, 12, 2, 0, 0, 10, 302, 0, 0, 0, 270, 41, 0, 0, 0, 0, 32, 86, 7, 2, 7, 0, 0.0, 7.0, 7.0, 0, 1, 7, 7, 0, 0, 0, 0, 0, 1, 4, 2, 0.0, 7, 0, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 28.59765625, 14.298828125, 14.298828125, 0, 14.298828125, 100.0, 0.0, 0.0, 14.298828125, 57.09375, 28.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 81.0, 12.0, 0.0, 0.0, 5.0, "Tous les candidats", 323.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 47.0, "29135", "C.M.I - Cursus Master en Ingénierie - Physique - Ingénierie en Calcul mécanique", "Université de Nantes", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29129&g_ta_cod=29135", 100.0, 0.0, 0.0),
(2006, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Licence - Frontières du vivant", "Licence - Sciences - technologies - santé", "", 25, 410, 287, 286, 0, 185, 13, 2, 1, 0, 0, 99, 124, 54, 2, 0, 68, 89, 8, 0, 0, 62, 3, 0, 0, 0, 0, 27, 83, 21, 17, 16, 5, 9.0, 15.0, 17.0, 0, 2, 13, 13, 0, 0, 8, 0, 0, 0, 4, 8, 1.0, 13, 0, 0, 0, 0, 3, 9, 42.86, 71.43, 80.95, 81.0, 23.09765625, 69.1875, 0, 15.3984375, 61.8984375, 0.0, 0.0, 0.0, 30.796875, 61.5, 7.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 55.0, 3.0, 0.0, 0.0, 28.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "24108", "Licence - Frontières du vivant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24108&g_ta_cod=24108", 100.0, 0.0, 0.0),
(2007, "Privé sous contrat d'association", "0260074P", "Lycée Montplaisir", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "Autre formation", "Lycée Montplaisir - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 26, 427, 312, 309, 0, 61, 4, 99, 14, 2, 0, 147, 118, 13, 22, 1, 82, 111, 2, 0, 0, 31, 1, 31, 6, 0, 0, 49, 80, 23, 17, 22, 1, 8.0, 18.0, 22.0, 0, 1, 15, 8, 7, 0, 8, 0, 2, 6, 6, 1, 0.0, 6, 7, 0, 0, 0, 14, 14, 34.78, 78.26, 95.65, 73.890625, 93.296875, 93.296875, 0, 6.69921875, 65.1875, 0.0, 13.298828125, 40.0, 40.0, 6.7, 0.0, 53.296875, 40.0, 46.6953125, 46.6953125, 0.0, 0.0, 23.0, 1.0, 0.0, 0.0, 34.0, "Tous les candidats", 111.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "3635", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3635&g_ta_cod=3635", 52.0, 48.0, 0.0),
(2008, "Public", "0941772R", "IFSI du CHI de Villeneuve-St-Georges", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villeneuve-Saint-Georges", "formation sélective", "IFSI", "Regroupement d'IFSI Médecine Sorbonne Université P6 - D.E Infirmier", "D.E secteur sanitaire", "", 56, 7074, 6176, 7074, 0, 707, 225, 1094, 438, 969, 502, 4304, 0, 0, 0, 0, 0, 5851, 0, 0, 0, 684, 218, 999, 394, 893, 467, 3275, 874, 55, 51, 54, 0, 0.0, 11.0, 42.0, 0, 6, 14, 5, 2, 7, 41, 0, 3, 7, 4, 0, 0.0, 3, 1, 7, 0, 0, 6, 13, 0.0, 20.0, 76.36, 92.6875, 42.8984375, 92.890625, 0, 42.8984375, 25.5, 0.0, 21.3984375, 50.0, 28.59765625, 0.0, 0.0, 35.6953125, 21.3984375, 14.298828125, 7.099609375, 50.0, 50.0, 63.0, 41.0, 66.0, 57.0, 711.0, "Tous les candidats", 3537.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "23288", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23003&g_ta_cod=23288", 24.0, 53.0, 24.0),
(2009, "Public", "0930830X", "Lycée Albert Schweitzer", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Le Raincy", "formation sélective", "CPGE", "Lycée Albert Schweitzer - CPGE - BCPST", "Classe préparatoire scientifique", "", 35, 1164, 811, 1031, 489, 721, 168, 1, 0, 3, 1, 306, 133, 75, 1, 2, 55, 376, 25, 4, 376, 329, 69, 0, 0, 0, 0, 47, 335, 26, 16, 22, 4, 1.0, 11.0, 23.0, 0, 5, 24, 24, 0, 0, 2, 0, 1, 12, 11, 0, 0.0, 23, 0, 0, 3, 3, 14, 17, 3.85, 42.31, 88.46, 61.5, 58.296875, 70.796875, 12.5, 20.796875, 92.296875, 0.0, 4.19921875, 50.0, 45.796875, 0.0, 0.0, 100.0, 95.796875, 0.0, 0.0, 0.0, 0.0, 291.0, 56.0, 0.0, 0.0, 44.0, "Tous les candidats", 383.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "11202", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11202&g_ta_cod=11202", 100.0, 0.0, 0.0),
(2010, "Public", "0720029R", "Lycée Montesquieu", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "CPGE", "Lycée Montesquieu - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 1005, 376, 994, 0, 549, 57, 0, 0, 0, 0, 445, 11, 4, 0, 0, 7, 595, 5, 0, 595, 473, 44, 0, 0, 0, 0, 122, 471, 71, 27, 70, 1, 11.0, 70.0, 71.0, 0, 0, 41, 41, 0, 0, 30, 0, 0, 11, 20, 8, 2.0, 41, 0, 0, 11, 3, 29, 29, 15.49, 98.59, 100.0, 38.0, 70.6875, 70.6875, 26.796875, 0.0, 57.6953125, 0.0, 0.0, 26.796875, 48.796875, 19.5, 4.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 366.0, 28.0, 0.0, 0.0, 105.0, "Tous les candidats", 594.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "8691", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8691&g_ta_cod=8691", 100.0, 0.0, 0.0),
(2011, "Public", "0631985R", "Lycée Polyvalent Pierre-Joël Bonté", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Riom", "formation sélective", "BTS", "Lycée Polyvalent Pierre-Joël Bonté - BTS - Production - Travaux publics", "BTS - Production", "", 30, 432, 60, 425, 0, 45, 2, 135, 18, 58, 11, 187, 7, 0, 0, 2, 5, 263, 2, 0, 0, 45, 2, 133, 17, 53, 8, 32, 156, 28, 2, 26, 2, 2.0, 15.0, 24.0, 0, 6, 23, 3, 15, 5, 5, 0, 13, 9, 1, 0, 0.0, 1, 5, 4, 6, 0, 15, 15, 7.14, 53.57, 85.71, 7.099609375, 65.1875, 65.1875, 26.09765625, 26.09765625, 82.09375, 0.0, 56.5, 39.09375, 4.2998046875, 0.0, 0.0, 13.0, 4.2998046875, 65.1875, 21.69921875, 21.69921875, 17.3984375, 19.0, 1.0, 41.0, 8.0, 18.0, "Tous les candidats sauf les Bac professionnels", 174.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 54.0, "7679", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7679&g_ta_cod=7679", 14.0, 64.0, 21.0),
(2012, "Public", "0300041G", "Lycée professionnel Marie Curie", "30", "Gard", "Occitanie", "Montpellier", "Saint-Jean-du-Gard", "formation sélective", "Autre formation", "Lycée professionnel Marie Curie - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 12, 57, 39, 57, 0, 2, 1, 0, 0, 32, 15, 23, 0, 0, 0, 0, 0, 37, 0, 0, 0, 2, 1, 0, 0, 30, 14, 5, 36, 9, 6, 9, 0, 4.0, 9.0, 9.0, 0, 5, 8, 0, 0, 8, 1, 0, 4, 2, 1, 1, 0.0, 0, 0, 4, 0, 0, 6, 6, 44.44, 100.0, 100.0, 66.6875, 75.0, 75.0, 0, 62.5, 88.890625, 0.0, 50.0, 25.0, 12.5, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 1.0, 0.0, 30.0, 14.0, 5.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "19380", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19380&g_ta_cod=19380", 0.0, 0.0, 100.0),
(2013, "Public", "0760109F", "Lycée Les Bruyères", "76", "Seine-Maritime", "Normandie", "Normandie", "Sotteville-lès-Rouen", "formation sélective", "BTS", "Lycée Les Bruyères - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 664, 436, 664, 0, 43, 24, 217, 105, 235, 146, 169, 0, 0, 0, 0, 0, 310, 0, 0, 0, 32, 15, 130, 57, 119, 67, 29, 169, 32, 19, 32, 0, 6.0, 31.0, 32.0, 0, 20, 30, 2, 12, 16, 2, 0, 8, 21, 1, 0, 0.0, 0, 10, 12, 10, 5, 30, 30, 18.75, 96.88, 100.0, 59.3984375, 100.0, 100.0, 33.296875, 66.6875, 93.796875, 0.0, 26.69921875, 70.0, 3.2998046875, 0.0, 0.0, 6.69921875, 0.0, 40.0, 33.296875, 53.296875, 40.0, 20.0, 11.0, 66.0, 40.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 100, "Bacheliers technologiques toutes séries", 89, "Liste d'appel propre à cette formation", 35.0, "9614", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9614&g_ta_cod=9614", 9.0, 38.0, 53.0),
(2014, "Public", "0280036M", "Lycée Remi Belleau", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Nogent-le-Rotrou", "formation sélective", "BTS", "Lycée Remi Belleau - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 16, 113, 59, 89, 0, 9, 5, 26, 7, 21, 5, 33, 24, 0, 9, 2, 13, 85, 4, 0, 0, 9, 5, 26, 7, 19, 5, 31, 71, 12, 8, 7, 1, 2.0, 6.0, 7.0, 0, 1, 6, 2, 1, 3, 6, 0, 2, 3, 1, 0, 0.0, 1, 1, 2, 4, 1, 4, 4, 16.67, 50.0, 58.33, 66.6875, 66.6875, 66.6875, 66.6875, 16.69921875, 50.0, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 33.296875, 16.69921875, 16.69921875, 16.69921875, 50.0, 33.296875, 9.0, 4.0, 16.0, 7.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 74.0, "3735", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3735&g_ta_cod=3735", 50.0, 25.0, 25.0),
(2015, "Public", "0730016W", "Lycée Monge", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "BTS", "Lycée Monge - BTS - Production - Conception de produits industriels", "BTS - Production", "", 24, 314, 42, 314, 0, 25, 1, 137, 18, 57, 17, 95, 0, 0, 0, 0, 0, 244, 0, 0, 0, 19, 1, 121, 14, 52, 13, 52, 148, 20, 0, 20, 0, 2.0, 16.0, 19.0, 0, 0, 12, 0, 5, 7, 8, 0, 3, 6, 3, 0, 0.0, 0, 3, 6, 1, 0, 11, 11, 10.0, 80.0, 95.0, 0.0, 91.6875, 91.6875, 8.298828125, 0.0, 60.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 0.0, 41.6953125, 25.0, 58.296875, 50.0, 10.0, 1.0, 35.0, 9.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 124, "Liste d'appel propre à cette formation", 65.0, "8784", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8784&g_ta_cod=8784", 10.0, 50.0, 40.0),
(2016, "Public", "0352009U", "Lycée Victor et Hélène BASCH", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Victor et Hélène BASCH - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 30, 1249, 160, 1227, 0, 156, 27, 359, 94, 263, 88, 449, 22, 1, 0, 7, 14, 389, 6, 0, 0, 94, 17, 132, 29, 118, 32, 45, 142, 27, 2, 23, 2, 3.0, 21.0, 23.0, 0, 7, 21, 5, 7, 9, 6, 0, 4, 9, 6, 2, 0.0, 4, 4, 9, 2, 0, 17, 17, 11.11, 77.78, 85.19, 7.3994140625, 81.0, 81.0, 9.5, 33.296875, 77.796875, 0.0, 19.0, 42.8984375, 28.59765625, 9.5, 0.0, 23.796875, 19.0, 33.296875, 19.0, 42.8984375, 42.8984375, 38.0, 6.0, 44.0, 11.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 77, "Bacheliers technologiques toutes séries", 89, "Liste d'appel propre à cette formation", 19.0, "4774", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4774&g_ta_cod=4774", 33.0, 30.0, 37.0),
(2017, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail Informatique / Mathématiques", "Licence - Sciences - technologies - santé", "Informatique / Mathématiques : Mathématiques", 100, 740, 188, 648, 0, 498, 77, 17, 6, 2, 0, 131, 92, 29, 2, 1, 60, 642, 71, 0, 0, 498, 77, 17, 6, 2, 0, 125, 673, 45, 14, 35, 10, 24.0, 34.0, 43.0, 0, 4, 33, 31, 1, 1, 12, 0, 7, 12, 8, 6, 0.0, 24, 1, 1, 0, 0, 30, 30, 53.33, 75.56, 95.56, 31.09765625, 90.890625, 90.890625, 0, 12.099609375, 73.296875, 0.0, 21.19921875, 36.3984375, 24.19921875, 18.2, 0.0, 93.890625, 72.6875, 3.0, 3.0, 3.0, 3.0, 506.0, 78.0, 3.0, 0.0, 150.0, "Tous les candidats", 1136.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "22796", "Licence - Portail Informatique / Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10636&g_ta_cod=22796", 96.0, 2.0, 2.0),
(2018, "Public", "0290334F", "I.U.T de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BUT", "I.U.T de Brest - BUT - Génie biologique Parcours agronomie", "BUT - Production", "", 28, 775, 405, 766, 0, 485, 47, 102, 17, 2, 0, 177, 9, 0, 6, 0, 3, 375, 1, 0, 0, 260, 28, 86, 14, 0, 0, 29, 180, 28, 16, 27, 1, 3.0, 19.0, 27.0, 0, 6, 26, 19, 7, 0, 2, 0, 0, 13, 12, 1, 0.0, 19, 7, 0, 0, 0, 20, 20, 10.71, 67.86, 96.43, 57.09375, 76.890625, 76.890625, 0, 23.09765625, 92.890625, 0.0, 0.0, 50.0, 46.1953125, 3.8, 0.0, 73.09375, 73.09375, 26.8984375, 26.8984375, 0.0, 0.0, 121.0, 12.0, 0.0, 0.0, 19.0, "Tous les candidats sauf les Bac technologiques", 248.0, "Bacheliers technologiques toutes séries", 91, "", 0, "Liste d'appel propre à cette formation", 44.0, "3838", "BUT - Génie biologique Parcours agronomie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3838&g_ta_cod=3838", 71.0, 29.0, 0.0),
(2019, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Russe - Cursus 4 ans", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères et Régionales Russe - Cursus 4 ans", 10, 61, 41, 48, 0, 28, 11, 2, 1, 1, 1, 17, 13, 2, 1, 0, 10, 47, 13, 0, 0, 28, 11, 2, 1, 1, 1, 16, 49, 9, 4, 6, 3, 0.0, 6.0, 8.0, 0, 1, 2, 2, 0, 0, 7, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 0.0, 66.67, 88.89, 44.3984375, 50.0, 50.0, 0, 50.0, 22.19921875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 25.0, 8.0, 1.0, 1.0, 21.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "13894", "Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Russe - Cursus 4 ans", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13894&g_ta_cod=13894", 78.0, 22.0, 0.0),
(2020, "Public", "0900385E", "Université de Franche-Comté - Site de Belfort", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation non sélective", "Licence_Las", "Université de Franche-Comté - Site de Belfort - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 20, 148, 112, 141, 0, 70, 18, 18, 7, 6, 2, 47, 7, 2, 0, 1, 4, 142, 3, 0, 0, 71, 19, 18, 7, 6, 2, 47, 87, 17, 13, 15, 2, 3.0, 10.0, 14.0, 0, 1, 8, 6, 2, 0, 9, 1, 4, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 7, 7, 17.65, 58.82, 82.35, 76.5, 87.5, 87.5, 0, 12.5, 47.09375, 12.5, 50.0, 25.0, 12.5, 0.0, 0.0, 75.0, 37.5, 25.0, 0.0, 0.0, 0.0, 48.0, 11.0, 1.0, 1.0, 30.0, "Tous les candidats", 438.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 69.0, "32318", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32317&g_ta_cod=32318", 71.0, 18.0, 12.0),
(2021, "Public", "0340042L", "Lycée Jean Mermoz", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Jean Mermoz - BTS - Production - Biotechnologies", "BTS - Production", "", 30, 807, 532, 807, 0, 128, 22, 354, 100, 39, 21, 286, 0, 0, 0, 0, 0, 549, 0, 0, 0, 116, 20, 274, 70, 24, 11, 135, 126, 30, 21, 30, 0, 3.0, 22.0, 28.0, 0, 6, 27, 1, 25, 1, 3, 0, 1, 15, 11, 0, 0.0, 1, 24, 1, 13, 8, 16, 16, 10.0, 73.33, 93.33, 70.0, 59.296875, 59.296875, 48.09375, 22.19921875, 90.0, 0.0, 3.69970703125, 55.59375, 40.6953125, 0.0, 0.0, 3.69970703125, 3.69970703125, 92.59375, 88.890625, 3.69970703125, 3.69970703125, 11.0, 3.0, 3.0, 1.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 162, "Liste d'appel propre à cette formation", 23.0, "4504", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4504&g_ta_cod=4504", 7.0, 90.0, 3.0),
(2022, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues étrangères appliquées - Parcours LEA Anglais-Roumain", "Licence - Arts-lettres-langues", "LEA Anglais-Roumain", 35, 65, 47, 37, 0, 21, 5, 6, 3, 1, 1, 9, 28, 2, 3, 6, 17, 36, 27, 0, 0, 21, 5, 6, 3, 1, 1, 8, 63, 10, 6, 5, 5, 5.0, 5.0, 9.0, 0, 2, 5, 1, 2, 2, 5, 0, 0, 3, 2, 0, 0.0, 1, 2, 2, 0, 0, 2, 2, 50.0, 50.0, 90.0, 60.0, 40.0, 40.0, 0, 40.0, 50.0, 0.0, 0.0, 60.0, 40.0, 0.0, 0.0, 20.0, 20.0, 40.0, 40.0, 40.0, 40.0, 23.0, 5.0, 7.0, 6.0, 24.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "20510", "Licence - Langues étrangères appliquées - Parcours LEA Anglais-Roumain", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20510&g_ta_cod=20510", 30.0, 20.0, 50.0),
(2023, "Public", "0110007Y", "Lycée Jules Fil", "11", "Aude", "Occitanie", "Montpellier", "Carcassonne", "formation sélective", "BTS", "Lycée Jules Fil - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 148, 0, 142, 0, 6, 3, 39, 16, 79, 34, 18, 6, 0, 2, 1, 3, 132, 2, 0, 0, 6, 3, 37, 15, 75, 31, 14, 91, 25, 0, 24, 1, 14.0, 24.0, 25.0, 0, 12, 24, 0, 8, 16, 1, 0, 5, 11, 5, 3, 0.0, 0, 7, 12, 18, 0, 23, 23, 56.0, 96.0, 100.0, 0.0, 95.796875, 95.796875, 75, 50.0, 96.0, 0.0, 20.796875, 45.796875, 20.796875, 12.5, 0.0, 0.0, 0.0, 33.296875, 29.19921875, 66.6875, 50.0, 2.0, 1.0, 47.0, 24.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 85.0, "2450", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2450&g_ta_cod=2450", 0.0, 36.0, 64.0),
(2024, "Public", "0642140D", "Antenne de Pau de CY Tech", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "Ecole d'Ingénieur", "Concours GalaxY - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "Ingénieur en Mathématiques et Informatique", 100, 470, 83, 459, 0, 442, 49, 0, 0, 0, 0, 17, 11, 8, 0, 0, 3, 416, 5, 0, 0, 416, 43, 0, 0, 0, 0, 0, 351, 75, 15, 72, 3, 49.0, 72.0, 75.0, 0, 9, 75, 75, 0, 0, 0, 0, 2, 34, 34, 5, 0.0, 73, 0, 0, 0, 0, 39, 39, 65.33, 96.0, 100.0, 20.0, 52.0, 52.0, 0, 12.0, 100.0, 0.0, 2.69970703125, 45.296875, 45.296875, 6.7, 0.0, 100.0, 97.296875, 0.0, 0.0, 0.0, 0.0, 350.0, 37.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "31237", "Formation d'ingénieur Bac + 5", "Concours GalaxY", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31208&g_ta_cod=31237", 100.0, 0.0, 0.0),
(2025, "Public", "0220065B", "Lycée Joseph Savina", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Tréguier", "formation sélective", "Autre formation", "Lycée Joseph Savina - DN MADE - Graphisme - Spécialité : Graphisme culturel multisupports", "DN MADE", "Spécialité : Graphisme culturel multisupports", 15, 440, 306, 440, 0, 184, 31, 91, 11, 45, 6, 120, 0, 0, 0, 0, 0, 296, 0, 0, 0, 163, 25, 57, 4, 13, 2, 63, 75, 15, 11, 14, 0, 3.0, 11.0, 13.0, 0, 3, 7, 6, 1, 0, 8, 0, 2, 3, 2, 0, 0.0, 4, 1, 0, 0, 0, 6, 6, 20.0, 73.33, 86.67, 73.296875, 85.6875, 85.6875, 0, 42.8984375, 46.6953125, 0.0, 28.59765625, 42.8984375, 28.59765625, 0.0, 0.0, 85.6875, 57.09375, 14.298828125, 14.298828125, 0.0, 0.0, 30.0, 10.0, 1.0, 0.0, 23.0, "Tous les candidats", 124.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "21604", "DN MADE - Graphisme - Spécialité : Graphisme culturel multisupports", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21604&g_ta_cod=21604", 80.0, 20.0, 0.0),
(2026, "Public", "0130003H", "Lycée Vauvenargues", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée Vauvenargues - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 30, 475, 31, 469, 0, 61, 14, 144, 32, 125, 49, 139, 6, 0, 0, 4, 2, 320, 0, 0, 0, 52, 11, 132, 28, 102, 40, 34, 143, 24, 0, 24, 0, 3.0, 17.0, 23.0, 0, 6, 21, 4, 9, 8, 3, 0, 14, 4, 1, 2, 0.0, 0, 3, 4, 3, 0, 19, 19, 12.5, 70.83, 95.83, 0.0, 90.5, 90.5, 14.298828125, 28.59765625, 87.5, 0.0, 66.6875, 19.0, 4.7998046875, 9.5, 0.0, 19.0, 0.0, 42.8984375, 14.298828125, 38.09375, 19.0, 18.0, 6.0, 49.0, 15.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 86, "Bacheliers technologiques toutes séries", 115, "Liste d'appel propre à cette formation", 52.0, "2533", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2533&g_ta_cod=2533", 25.0, 38.0, 38.0),
(2027, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence_Las", "Université de Paris - Licence - Portail Psychologie - Psychologie et Humanités", "Licence - Sciences humaines et sociales", "Psychologie et Humanités", 10, 4067, 3443, 4067, 0, 1741, 392, 412, 142, 87, 39, 1827, 0, 0, 0, 0, 0, 4008, 0, 0, 0, 1741, 392, 412, 142, 87, 39, 1768, 71, 10, 10, 10, 0, 1.0, 7.0, 8.0, 0, 2, 9, 8, 1, 0, 1, 0, 0, 2, 3, 4, 0.0, 8, 1, 0, 0, 0, 2, 8, 10.0, 70.0, 80.0, 100.0, 22.19921875, 88.890625, 0, 22.19921875, 90.0, 0.0, 0.0, 22.19921875, 33.296875, 44.4, 0.0, 88.890625, 88.890625, 11.099609375, 11.099609375, 0.0, 0.0, 55.0, 7.0, 1.0, 0.0, 10.0, "Tous les candidats", 278.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 3.0, "29396", "Licence - Portail Psychologie - Psychologie et Humanités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29395&g_ta_cod=29396", 90.0, 10.0, 0.0),
(2028, "Privé sous contrat d'association", "0290171D", "Lycée Ste Therese", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Ste Therese - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 211, 147, 193, 0, 13, 3, 86, 10, 51, 17, 43, 18, 4, 0, 7, 7, 147, 4, 0, 0, 12, 2, 79, 9, 41, 12, 15, 122, 17, 14, 16, 1, 5.0, 13.0, 17.0, 0, 2, 16, 1, 9, 6, 1, 0, 9, 5, 2, 0, 0.0, 1, 2, 4, 6, 4, 15, 15, 29.41, 76.47, 100.0, 82.390625, 93.796875, 93.796875, 37.5, 12.5, 94.09375, 0.0, 56.296875, 31.296875, 12.5, 0.0, 0.0, 6.2998046875, 6.2998046875, 56.296875, 12.5, 37.5, 25.0, 13.0, 2.0, 38.0, 8.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 72.0, "3819", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3819&g_ta_cod=3819", 6.0, 59.0, 35.0),
(2029, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Licence", "Université de Nantes - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : Italien Europe", "Licence - Arts-lettres-langues", "LLCER : Italien Europe", 5, 31, 23, 23, 0, 19, 5, 0, 0, 0, 0, 4, 8, 2, 2, 1, 3, 16, 0, 0, 0, 16, 4, 0, 0, 0, 0, 0, 14, 4, 2, 4, 0, 1.0, 4.0, 4.0, 0, 1, 4, 4, 0, 0, 0, 0, 0, 1, 1, 1, 1.0, 4, 0, 0, 0, 0, 2, 2, 25.0, 100.0, 100.0, 50.0, 50.0, 50.0, 0, 25.0, 100.0, 0.0, 0.0, 25.0, 25.0, 25.0, 25.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 14.0, 4.0, 0.0, 0.0, 0.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "18085", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : Italien Europe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18085&g_ta_cod=18085", 100.0, 0.0, 0.0),
(2030, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "Autre formation", "Université de Perpignan Via Domitia - DEUST - Métiers de la forme", "DEUST", "", 35, 472, 107, 472, 0, 215, 44, 104, 20, 19, 7, 134, 0, 0, 0, 0, 0, 141, 0, 0, 0, 119, 25, 7, 3, 0, 0, 15, 110, 37, 11, 37, 0, 10.0, 37.0, 37.0, 0, 7, 35, 31, 4, 0, 2, 0, 11, 17, 7, 0, 0.0, 20, 4, 0, 0, 0, 16, 16, 27.03, 100.0, 100.0, 29.69921875, 45.6953125, 45.6953125, 0, 20.0, 94.59375, 0.0, 31.3984375, 48.59375, 20.0, 0.0, 0.0, 88.59375, 57.09375, 11.3984375, 11.3984375, 0.0, 0.0, 92.0, 21.0, 0.0, 0.0, 13.0, "Tous les candidats", 141.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "21661", "DEUST - Métiers de la forme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21661&g_ta_cod=21661", 86.0, 14.0, 0.0),
(2031, "Privé sous contrat d'association", "0131391S", "Lycée St Eloi", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée St Eloi - BTS - Services - Support à l'action managériale", "BTS - Services", "", 26, 308, 208, 278, 0, 23, 2, 112, 41, 61, 33, 82, 30, 0, 0, 21, 9, 216, 6, 0, 0, 23, 2, 94, 34, 55, 28, 44, 147, 19, 12, 19, 0, 0.0, 11.0, 17.0, 0, 6, 11, 1, 8, 2, 8, 0, 7, 4, 0, 0, 0.0, 0, 3, 1, 0, 0, 11, 11, 0.0, 57.89, 89.47, 63.1953125, 100.0, 100.0, 0, 54.5, 57.8984375, 0.0, 63.59375, 36.3984375, 0.0, 0.0, 0.0, 9.099609375, 0.0, 72.6875, 27.296875, 18.19921875, 9.099609375, 13.0, 2.0, 48.0, 23.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 68.0, "2632", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2632&g_ta_cod=2632", 26.0, 63.0, 11.0),
(2032, "Public", "0010013J", "Lycée Lalande", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "CPGE", "Lycée Lalande - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 520, 177, 445, 352, 372, 55, 0, 0, 0, 0, 73, 75, 44, 0, 0, 31, 361, 29, 285, 349, 332, 46, 0, 0, 0, 0, 29, 370, 26, 7, 21, 5, 4.0, 15.0, 25.0, 10, 2, 21, 21, 0, 0, 5, 0, 0, 10, 7, 3, 1.0, 21, 0, 0, 3, 1, 17, 17, 15.38, 57.69, 96.15, 26.8984375, 81.0, 81.0, 14.298828125, 9.5, 80.796875, 0.0, 0.0, 47.59375, 33.296875, 14.3, 4.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 338.0, 43.0, 0.0, 0.0, 32.0, "Tous les candidats", 362.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "2001", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2001&g_ta_cod=2001", 100.0, 0.0, 0.0),
(2033, "Public", "0711775U", "Université de Bourgogne - site Le Creusot", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Le Creusot", "formation non sélective", "Licence", "Université de Bourgogne - site Le Creusot - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 155, 1070, 316, 1070, 0, 769, 104, 96, 25, 26, 7, 179, 0, 0, 0, 0, 0, 1066, 0, 0, 0, 769, 104, 96, 25, 26, 7, 175, 411, 152, 31, 152, 0, 40.0, 124.0, 133.0, 0, 20, 129, 113, 10, 6, 23, 1, 61, 42, 23, 2, 0.0, 60, 4, 3, 0, 0, 126, 126, 26.32, 81.58, 87.5, 20.3984375, 97.6875, 97.6875, 0, 15.5, 84.890625, 0.7999267578125, 47.296875, 32.59375, 17.796875, 1.6, 0.0, 87.59375, 46.5, 7.7998046875, 3.099609375, 4.69921875, 2.2998046875, 280.0, 44.0, 11.0, 4.0, 99.0, "Tous les candidats", 437.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "8678", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27645&g_ta_cod=8678", 82.0, 13.0, 5.0),
(2034, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "PASS", "Université de Bordeaux - Bordeaux Métropole - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 30, 4785, 3049, 4785, 0, 3948, 493, 64, 17, 11, 4, 762, 0, 0, 0, 0, 0, 4694, 0, 0, 0, 3948, 493, 64, 17, 11, 4, 671, 369, 30, 17, 30, 0, 0.0, 8.0, 23.0, 0, 5, 27, 27, 0, 0, 3, 0, 1, 5, 12, 8, 1.0, 26, 0, 0, 0, 0, 27, 27, 0.0, 26.67, 76.67, 56.6953125, 100.0, 100.0, 0, 18.5, 90.0, 0.0, 3.69970703125, 18.5, 44.3984375, 29.6, 3.7, 100.0, 96.296875, 0.0, 0.0, 0.0, 0.0, 292.0, 43.0, 0.0, 0.0, 77.0, "Tous les candidats", 2703.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "30788", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26837&g_ta_cod=30788", 100.0, 0.0, 0.0),
(2035, "Public", "0721548S", "Lycée Andre Malraux", "72", "Sarthe", "Pays de la Loire", "Nantes", "Allonnes", "formation sélective", "BTS", "Lycée Andre Malraux - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 447, 30, 447, 0, 66, 13, 152, 44, 125, 46, 104, 0, 0, 0, 0, 0, 270, 0, 0, 0, 62, 11, 90, 27, 109, 35, 9, 87, 35, 3, 35, 0, 14.0, 31.0, 33.0, 0, 14, 34, 5, 14, 15, 1, 0, 19, 15, 0, 0, 0.0, 1, 4, 10, 2, 1, 30, 30, 40.0, 88.57, 94.29, 8.599609375, 88.1875, 88.1875, 5.8994140625, 41.1953125, 97.09375, 0.0, 55.8984375, 44.09375, 0.0, 0.0, 0.0, 14.69921875, 2.89990234375, 41.1953125, 11.798828125, 44.09375, 29.3984375, 15.0, 4.0, 37.0, 10.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 21.0, "8774", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8774&g_ta_cod=8774", 17.0, 40.0, 43.0),
(2036, "Public", "0560861G", "I.U.T de Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BUT", "I.U.T de Vannes - BUT - Statistique et informatique décisionnelle Parcours : Sciences des données : exploration et modélisation statistique -  Sciences des données : visualisation, conception d'outils décisionnels", "BUT - Service", "Sciences des données : exploration et modélisation statistique -  Sciences des données : visualisation, conception d'outils décisionnels", 112, 839, 190, 808, 0, 562, 77, 76, 10, 1, 0, 169, 31, 0, 2, 0, 29, 682, 7, 0, 0, 512, 61, 60, 6, 1, 0, 109, 515, 97, 25, 93, 4, 47.0, 77.0, 95.0, 0, 7, 70, 55, 15, 0, 27, 0, 14, 39, 15, 2, 0.0, 44, 12, 0, 0, 0, 41, 41, 48.45, 79.38, 97.94, 25.796875, 58.59375, 58.59375, 0, 10.0, 72.1875, 0.0, 20.0, 55.6953125, 21.3984375, 2.9, 0.0, 78.59375, 62.8984375, 21.3984375, 17.09765625, 0.0, 0.0, 360.0, 45.0, 0.0, 0.0, 100.0, "Tous les candidats sauf les Bac technologiques", 611.0, "Bacheliers technologiques toutes séries", 68, "", 0, "Liste d'appel propre à cette formation", 84.0, "6468", "BUT - Statistique et informatique décisionnelle Parcours : Sciences des données : exploration et modélisation statistique -  Sciences des données : visualisation, conception d'outils décisionnels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6468&g_ta_cod=6468", 80.0, 20.0, 0.0),
(2037, "Public", "0133522H", "Aix Marseille Université - Site d'Arles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Arles", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Arles - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 90, 970, 739, 923, 0, 660, 178, 99, 39, 22, 15, 142, 47, 11, 8, 2, 26, 912, 22, 0, 0, 660, 178, 99, 39, 22, 15, 131, 674, 83, 58, 73, 10, 31.0, 56.0, 72.0, 0, 22, 72, 58, 12, 2, 11, 0, 23, 27, 20, 2, 0.0, 40, 8, 1, 0, 0, 60, 60, 37.35, 67.47, 86.75, 69.890625, 83.296875, 83.296875, 0, 30.59765625, 86.6875, 0.0, 31.8984375, 37.5, 27.796875, 2.8, 0.0, 80.59375, 55.59375, 16.69921875, 11.099609375, 2.7998046875, 1.39990234375, 492.0, 135.0, 13.0, 8.0, 104.0, "Tous les candidats", 890.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 90.0, "2804", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27944&g_ta_cod=2804", 76.0, 19.0, 5.0),
(2038, "Public", "0440001M", "Lycée Polyvalent Joubert - E. Maillard", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Ancenis-Saint-Géréon", "formation sélective", "BTS", "Lycée Polyvalent Joubert - E. Maillard - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 18, 402, 168, 402, 0, 29, 4, 182, 47, 128, 37, 63, 0, 0, 0, 0, 0, 273, 0, 0, 0, 25, 3, 128, 36, 95, 27, 25, 59, 19, 10, 19, 0, 8.0, 19.0, 19.0, 0, 3, 19, 3, 8, 8, 0, 0, 8, 4, 6, 1, 0.0, 0, 3, 8, 17, 8, 19, 19, 42.11, 100.0, 100.0, 52.59375, 100.0, 100.0, 89.5, 15.798828125, 100.0, 0.0, 42.09375, 21.09765625, 31.59765625, 5.3, 0.0, 15.798828125, 0.0, 42.09375, 15.798828125, 42.09375, 42.09375, 14.0, 3.0, 23.0, 8.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 23.0, "15874", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15874&g_ta_cod=15874", 16.0, 42.0, 42.0),
(2039, "Public", "0210019G", "Lycée Le Castel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Le Castel - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 30, 300, 156, 296, 0, 0, 0, 94, 8, 154, 32, 48, 4, 0, 2, 0, 2, 267, 0, 0, 0, 0, 0, 90, 8, 135, 25, 42, 96, 22, 8, 22, 0, 11.0, 17.0, 18.0, 0, 2, 21, 0, 8, 13, 1, 0, 2, 7, 9, 3, 0.0, 0, 7, 12, 11, 2, 19, 19, 50.0, 77.27, 81.82, 36.3984375, 90.5, 90.5, 52.3984375, 9.5, 95.5, 0.0, 9.5, 33.296875, 42.8984375, 14.3, 0.0, 0.0, 0.0, 38.09375, 33.296875, 61.8984375, 57.09375, 0.0, 0.0, 38.0, 8.0, 13.0, "Tous les candidats sauf les Bac professionnels", 120.0, "Bacheliers professionnels toutes séries", 66, "", 0, "Liste d'appel propre à cette formation", 63.0, "3198", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3198&g_ta_cod=3198", 0.0, 36.0, 64.0),
(2040, "Public", "0451037H", "Lycée des Métiers Marguerite Audoux", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Gien", "formation sélective", "BTS", "Lycée des Métiers Marguerite Audoux - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 8, 78, 7, 78, 0, 5, 0, 5, 0, 45, 19, 23, 0, 0, 0, 0, 0, 78, 0, 0, 0, 5, 0, 5, 0, 45, 19, 23, 35, 8, 1, 8, 0, 0.0, 6.0, 6.0, 0, 2, 6, 0, 0, 6, 2, 0, 3, 2, 1, 0, 0.0, 0, 0, 3, 3, 0, 5, 5, 0.0, 75.0, 75.0, 12.5, 83.296875, 83.296875, 50, 33.296875, 75.0, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 3.0, 0.0, 22.0, 9.0, 6.0, "Tous les candidats sauf les Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 49.0, "16025", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16025&g_ta_cod=16025", 13.0, 0.0, 88.0),
(2041, "Public", "0640057P", "Lycée Saint-Cricq", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "BTS", "Lycée Saint-Cricq - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 214, 16, 200, 0, 16, 1, 47, 8, 66, 18, 71, 14, 0, 4, 3, 7, 117, 12, 0, 0, 15, 1, 44, 8, 41, 10, 17, 108, 19, 2, 13, 6, 4.0, 12.0, 15.0, 0, 1, 14, 2, 10, 2, 5, 0, 5, 5, 4, 0, 0.0, 1, 7, 1, 8, 1, 11, 11, 21.05, 63.16, 78.95, 10.5, 78.59375, 78.59375, 57.09375, 7.099609375, 73.6875, 0.0, 35.6953125, 35.6953125, 28.59765625, 0.0, 0.0, 14.298828125, 7.099609375, 71.390625, 50.0, 14.298828125, 7.099609375, 14.0, 1.0, 37.0, 10.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 58.0, "7710", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7710&g_ta_cod=7710", 21.0, 63.0, 16.0),
(2042, "Privé sous contrat d'association", "0271070S", "Lycée polyvalent privé Notre-Dame Saint-François", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BTS", "Lycée polyvalent privé Notre-Dame Saint-François - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 40, 300, 130, 295, 0, 16, 2, 94, 33, 106, 38, 79, 5, 0, 3, 0, 2, 255, 0, 0, 0, 16, 2, 83, 28, 97, 33, 59, 143, 35, 14, 35, 0, 8.0, 18.0, 25.0, 0, 9, 25, 3, 10, 12, 10, 1, 14, 6, 2, 2, 0.0, 0, 4, 6, 6, 1, 22, 22, 22.86, 51.43, 71.43, 40.0, 88.0, 88.0, 24, 36.0, 71.390625, 4.0, 56.0, 24.0, 8.0, 8.0, 0.0, 12.0, 0.0, 40.0, 16.0, 48.0, 24.0, 13.0, 2.0, 51.0, 13.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers technologiques toutes séries", 60, "Bacheliers professionnels toutes séries", 55, "Liste d'appel propre à cette formation", 49.0, "28797", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28797&g_ta_cod=28797", 20.0, 34.0, 46.0),
(2043, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Psychologie - Parcours A distance", "Licence - Sciences humaines et sociales", "A distance", 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 95, 49, 40, 0, 0, 0.0, 0.0, 22.0, 0, 13, 44, 32, 10, 2, 5, 0, 31, 12, 1, 0, 0.0, 11, 1, 1, 0, 0, 38, 43, 0.0, 0.0, 44.9, 81.59375, 86.390625, 97.6875, 0, 29.5, 89.796875, 0.0, 70.5, 27.296875, 2.2998046875, 0.0, 0.0, 72.6875, 25.0, 22.69921875, 2.2998046875, 4.5, 2.2998046875, 65.0, 18.0, 2.0, 1.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25718", "Licence - Psychologie - Parcours A distance", "", "", 73.0, 20.0, 6.0),
(2044, "Privé sous contrat d'association", "0441653H", "Lycée St Joseph La Joliverie", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Sébastien-sur-Loire", "formation sélective", "BTS", "Lycée St Joseph La Joliverie - BTS - Production - Moteur à combustion interne", "BTS - Production", "", 28, 313, 8, 313, 0, 89, 10, 107, 14, 80, 12, 37, 0, 0, 0, 0, 0, 262, 0, 0, 0, 74, 7, 99, 13, 68, 10, 21, 122, 26, 1, 26, 0, 8.0, 23.0, 26.0, 0, 3, 25, 5, 12, 8, 1, 0, 6, 9, 7, 3, 0.0, 4, 7, 8, 7, 0, 18, 18, 30.77, 88.46, 100.0, 3.7998046875, 72.0, 72.0, 28, 12.0, 96.1875, 0.0, 24.0, 36.0, 28.0, 12.0, 0.0, 20.0, 16.0, 48.0, 28.0, 32.0, 32.0, 37.0, 4.0, 16.0, 3.0, 12.0, "Tous les candidats sauf les Bac professionnels", 144.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 57.0, "5591", "BTS - Production - Moteur à combustion interne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5591&g_ta_cod=5591", 19.0, 46.0, 35.0),
(2045, "Public", "9710774P", "Lycée Faustin Fleret", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Morne-à-l'Eau", "formation sélective", "BTS", "Lycée Faustin Fleret - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 34, 463, 255, 417, 0, 82, 45, 151, 81, 131, 88, 53, 46, 3, 7, 18, 18, 116, 6, 0, 0, 16, 9, 53, 31, 35, 26, 12, 95, 32, 21, 27, 4, 8.0, 26.0, 29.0, 0, 18, 26, 5, 14, 7, 6, 0, 2, 18, 5, 1, 0.0, 5, 12, 7, 3, 3, 25, 25, 25.0, 81.25, 90.63, 65.59375, 96.1875, 96.1875, 11.5, 69.1875, 81.296875, 0.0, 7.69921875, 69.1875, 19.19921875, 3.8, 0.0, 19.19921875, 19.19921875, 53.796875, 46.1953125, 26.8984375, 26.8984375, 10.0, 8.0, 27.0, 21.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 27.0, "11752", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11752&g_ta_cod=11752", 28.0, 47.0, 25.0),
(2046, "Privé sous contrat d'association", "0141991N", "EC FORM AGR Institut Lemonnier", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "EC FORM AGR Institut Lemonnier - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 24, 97, 39, 78, 0, 8, 2, 19, 7, 26, 7, 25, 19, 0, 6, 7, 6, 56, 7, 0, 0, 6, 1, 14, 4, 24, 7, 12, 59, 18, 10, 13, 5, 6.0, 13.0, 16.0, 0, 5, 15, 2, 5, 8, 3, 0, 9, 4, 2, 0, 0.0, 1, 1, 4, 5, 4, 14, 14, 33.33, 72.22, 88.89, 55.59375, 93.296875, 93.296875, 33.296875, 33.296875, 83.296875, 0.0, 60.0, 26.69921875, 13.298828125, 0.0, 0.0, 13.298828125, 6.69921875, 33.296875, 6.69921875, 53.296875, 26.69921875, 6.0, 1.0, 24.0, 8.0, 13.0, "Tous les candidats sauf les Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 72.0, "2917", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2917&g_ta_cod=2917", 17.0, 33.0, 50.0),
(2047, "Public", "0782562L", "Lycée Hoche", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Hoche - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 2278, 1155, 2278, 1574, 2113, 130, 1, 0, 0, 0, 164, 0, 0, 0, 0, 0, 950, 0, 255, 938, 938, 67, 0, 0, 0, 0, 12, 282, 23, 13, 23, 0, 0.0, 7.0, 19.0, 5, 1, 23, 23, 0, 0, 0, 1, 0, 0, 6, 14, 2.0, 22, 0, 0, 2, 0, 12, 14, 0.0, 30.43, 82.61, 56.5, 52.1953125, 60.8984375, 8.69921875, 4.2998046875, 100.0, 4.2998046875, 0.0, 0.0, 26.09765625, 60.9, 8.7, 100.0, 95.6875, 0.0, 0.0, 0.0, 0.0, 277.0, 13.0, 0.0, 0.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "31458", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31397&g_ta_cod=31458", 100.0, 0.0, 0.0),
(2048, "Public", "0750707L", "Ecole Nationale De Commerce", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "CPGE", "Ecole Nationale De Commerce - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 48, 828, 437, 828, 145, 0, 0, 768, 247, 0, 0, 60, 0, 0, 0, 0, 0, 525, 0, 116, 482, 0, 0, 517, 161, 0, 0, 8, 258, 47, 23, 47, 0, 10.0, 39.0, 45.0, 2, 17, 47, 0, 47, 0, 0, 3, 0, 11, 28, 5, 0.0, 0, 44, 0, 0, 0, 13, 38, 21.28, 82.98, 95.74, 48.8984375, 27.69921875, 80.890625, 0, 36.1953125, 100.0, 6.3994140625, 0.0, 23.3984375, 59.59375, 10.6, 0.0, 0.0, 0.0, 100.0, 93.59375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 434.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "9149", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9149&g_ta_cod=9149", 0.0, 100.0, 0.0),
(2049, "Public", "0542262R", "Lycée Emmanuel Héré", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Laxou", "formation sélective", "BTS", "Lycée Emmanuel Héré - BTS - Production - Bâtiment", "BTS - Production", "", 30, 411, 63, 411, 0, 57, 8, 102, 24, 83, 40, 169, 0, 0, 0, 0, 0, 201, 0, 0, 0, 49, 5, 88, 18, 42, 16, 22, 106, 33, 4, 33, 0, 9.0, 25.0, 31.0, 0, 10, 30, 7, 10, 13, 3, 0, 16, 10, 4, 0, 0.0, 3, 2, 9, 5, 0, 29, 29, 27.27, 75.76, 93.94, 12.099609375, 96.6875, 96.6875, 16.69921875, 33.296875, 90.890625, 0.0, 53.296875, 33.296875, 13.298828125, 0.0, 0.0, 23.296875, 10.0, 33.296875, 6.69921875, 43.296875, 30.0, 32.0, 2.0, 27.0, 12.0, 7.0, "Tous les candidats sauf les Bac professionnels", 122.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 38.0, "6371", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6371&g_ta_cod=6371", 24.0, 36.0, 39.0),
(2050, "Public", "0830165D", "I.U.T de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation sélective", "BUT", "I.U.T de Toulon - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", 163, 2696, 1301, 2662, 0, 1497, 295, 665, 232, 34, 18, 466, 34, 0, 17, 0, 17, 1734, 3, 0, 0, 1106, 198, 468, 141, 0, 0, 160, 895, 147, 75, 144, 3, 18.0, 121.0, 132.0, 0, 45, 141, 86, 55, 0, 6, 0, 24, 80, 32, 4, 1.0, 74, 43, 0, 0, 0, 106, 106, 12.24, 82.31, 89.8, 51.0, 75.1875, 75.1875, 0, 31.8984375, 95.890625, 0.0, 17.0, 56.6953125, 22.69921875, 2.8, 0.7, 61.0, 52.5, 39.0, 30.5, 0.0, 0.0, 497.0, 112.0, 0.0, 0.0, 47.0, "Tous les candidats sauf les Bac technologiques", 787.0, "Bacheliers technologiques toutes séries", 488, "", 0, "Liste d'appel propre à cette formation", 48.0, "10359", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10359&g_ta_cod=10359", 60.0, 40.0, 0.0),
(2051, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Italien et Gestion  Management et sciences humaines (MSH)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Italien et Gestion  Management et sciences humaines (MSH)", 10, 150, 107, 150, 0, 101, 17, 10, 7, 1, 0, 38, 0, 0, 0, 0, 0, 150, 0, 0, 0, 101, 17, 10, 7, 1, 0, 38, 38, 10, 8, 10, 0, 5.0, 8.0, 8.0, 0, 4, 9, 9, 0, 0, 1, 0, 0, 1, 6, 2, 0.0, 9, 0, 0, 0, 0, 4, 4, 50.0, 80.0, 80.0, 80.0, 44.3984375, 44.3984375, 0, 44.3984375, 90.0, 0.0, 0.0, 11.099609375, 66.6875, 22.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 30.0, 6.0, 0.0, 0.0, 8.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "8520", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Italien et Gestion  Management et sciences humaines (MSH)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8520&g_ta_cod=8520", 100.0, 0.0, 0.0),
(2052, "Public", "0782563M", "Lycée La Bruyère", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée La Bruyère - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 753, 514, 753, 399, 641, 57, 0, 0, 0, 0, 112, 0, 0, 0, 0, 0, 656, 0, 366, 636, 625, 56, 0, 0, 0, 0, 31, 491, 84, 55, 84, 0, 11.0, 71.0, 83.0, 16, 2, 80, 80, 0, 0, 4, 0, 3, 18, 31, 27, 1.0, 77, 0, 0, 5, 4, 61, 67, 13.1, 84.52, 98.81, 65.5, 76.296875, 83.796875, 6.2998046875, 2.5, 95.1875, 0.0, 3.7998046875, 22.5, 38.796875, 33.8, 1.3, 100.0, 96.296875, 0.0, 0.0, 0.0, 0.0, 470.0, 38.0, 0.0, 0.0, 21.0, "Tous les candidats", 655.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "10049", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10049&g_ta_cod=10049", 100.0, 0.0, 0.0),
(2053, "Public", "0620042J", "Lycée Andre Malraux", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "Autre formation", "Lycée Andre Malraux - Diplôme de Comptabilité et de Gestion", "DCG", "", 48, 303, 146, 264, 0, 103, 41, 70, 30, 4, 3, 87, 39, 14, 4, 0, 21, 177, 2, 0, 0, 91, 32, 60, 28, 0, 0, 26, 134, 30, 13, 29, 1, 8.0, 29.0, 29.0, 0, 8, 25, 17, 8, 0, 5, 0, 8, 9, 6, 2, 0.0, 9, 8, 0, 0, 0, 23, 23, 26.67, 96.67, 96.67, 43.296875, 92.0, 92.0, 0, 32.0, 83.296875, 0.0, 32.0, 36.0, 24.0, 8.0, 0.0, 68.0, 36.0, 32.0, 32.0, 0.0, 0.0, 65.0, 21.0, 0.0, 0.0, 21.0, "Tous les candidats", 177.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "7348", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7348&g_ta_cod=7348", 73.0, 27.0, 0.0),
(2054, "Privé sous contrat d'association", "0132300E", "Lycée Jeanne D Arc", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Arles", "formation sélective", "BTS", "Lycée Jeanne D Arc - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 45, 207, 96, 204, 0, 24, 4, 54, 25, 78, 24, 48, 3, 1, 2, 0, 0, 198, 0, 0, 0, 24, 4, 54, 25, 78, 24, 42, 138, 36, 16, 36, 0, 18.0, 34.0, 35.0, 0, 10, 28, 3, 8, 17, 8, 0, 12, 10, 4, 2, 0.0, 0, 3, 13, 0, 0, 26, 26, 50.0, 94.44, 97.22, 44.3984375, 92.890625, 92.890625, 0, 35.6953125, 77.796875, 0.0, 42.8984375, 35.6953125, 14.298828125, 7.1, 0.0, 10.69921875, 0.0, 28.59765625, 10.69921875, 60.6953125, 46.3984375, 18.0, 3.0, 48.0, 18.0, 31.0, "Tous les candidats sauf les Bac professionnels", 90.0, "Bacheliers professionnels toutes séries", 59, "", 0, "Liste d'appel propre à cette formation", 73.0, "2760", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2760&g_ta_cod=2760", 22.0, 25.0, 53.0),
(2055, "Privé sous contrat d'association", "0410693F", "Lycée La Providence", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BTS", "Lycée La Providence - BTS - Services - Commerce International", "BTS - Services", "", 20, 238, 116, 238, 0, 68, 24, 64, 16, 29, 13, 77, 0, 0, 0, 0, 0, 198, 0, 0, 0, 63, 22, 56, 14, 22, 10, 57, 72, 17, 8, 17, 0, 4.0, 14.0, 14.0, 0, 5, 14, 8, 5, 1, 3, 0, 8, 6, 0, 0, 0.0, 3, 3, 0, 0, 0, 11, 11, 23.53, 82.35, 82.35, 47.09375, 78.59375, 78.59375, 0, 35.6953125, 82.390625, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 57.09375, 21.3984375, 35.6953125, 21.3984375, 7.099609375, 0.0, 28.0, 9.0, 10.0, 6.0, 13.0, "Tous les candidats sauf les Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 32.0, "5248", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5248&g_ta_cod=5248", 59.0, 35.0, 6.0),
(2056, "Privé sous contrat d'association", "0690564N", "Institution des Chartreux", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "Autre formation", "Institution des Chartreux - Diplôme de Comptabilité et de Gestion", "DCG", "", 40, 808, 350, 775, 0, 462, 78, 95, 37, 8, 2, 210, 33, 4, 1, 0, 28, 458, 3, 0, 0, 385, 54, 0, 0, 0, 0, 73, 267, 38, 19, 37, 1, 14.0, 25.0, 36.0, 0, 4, 30, 30, 0, 0, 8, 0, 6, 11, 9, 4, 0.0, 24, 0, 0, 0, 0, 13, 13, 36.84, 65.79, 94.74, 50.0, 43.296875, 43.296875, 0, 13.298828125, 78.890625, 0.0, 20.0, 36.6953125, 30.0, 13.3, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 215.0, 39.0, 0.0, 0.0, 52.0, "Tous les candidats", 420.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "8311", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8311&g_ta_cod=8311", 100.0, 0.0, 0.0),
(2057, "Public", "0601865B", "Lycée CONDORCET", "60", "Oise", "Hauts-de-France", "Amiens", "Méru", "formation sélective", "BTS", "Lycée CONDORCET - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 337, 179, 263, 0, 15, 4, 54, 18, 68, 31, 126, 74, 0, 26, 6, 42, 82, 12, 0, 0, 10, 2, 35, 13, 32, 12, 5, 74, 18, 12, 13, 4, 4.0, 13.0, 16.0, 0, 6, 16, 1, 7, 8, 2, 0, 9, 6, 0, 1, 0.0, 0, 1, 6, 5, 4, 13, 13, 22.22, 72.22, 88.89, 66.6875, 81.296875, 81.296875, 31.296875, 37.5, 88.890625, 0.0, 56.296875, 37.5, 0.0, 6.3, 0.0, 6.2998046875, 0.0, 43.796875, 6.2998046875, 50.0, 37.5, 6.0, 2.0, 32.0, 10.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 30.0, "7275", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7275&g_ta_cod=7275", 6.0, 44.0, 50.0),
(2058, "Public", "0811199N", "I.U.T de Toulouse - Antenne de Castres", "81", "Tarn", "Occitanie", "Toulouse", "Castres", "formation sélective", "BUT", "I.U.T de Toulouse - Antenne de Castres - BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Synthèse - Matériaux et produits formulés", "BUT - Production", "Analyse, contrôle-qualité, environnement - Synthèse - Matériaux et produits formulés", 80, 1217, 770, 1217, 0, 730, 113, 190, 45, 3, 0, 294, 0, 0, 0, 0, 0, 1154, 0, 0, 0, 710, 108, 174, 40, 0, 0, 270, 549, 82, 55, 82, 0, 37.0, 63.0, 76.0, 0, 15, 69, 43, 26, 0, 13, 0, 0, 30, 32, 7, 0.0, 43, 26, 0, 0, 0, 51, 51, 45.12, 76.83, 92.68, 67.09375, 73.890625, 73.890625, 0, 21.69921875, 84.09375, 0.0, 0.0, 43.5, 46.3984375, 10.1, 0.0, 62.296875, 62.296875, 37.6953125, 37.6953125, 0.0, 0.0, 292.0, 57.0, 0.0, 0.0, 172.0, "Tous les candidats sauf les Bac technologiques", 648.0, "Bacheliers technologiques toutes séries", 163, "", 0, "Liste d'appel propre à cette formation", 67.0, "10293", "BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Synthèse - Matériaux et produits formulés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10293&g_ta_cod=10293", 66.0, 34.0, 0.0),
(2059, "Public", "0240005A", "Lycée Maine De Biran", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Bergerac", "formation sélective", "BTS", "Lycée Maine De Biran - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 240, 150, 227, 0, 7, 1, 61, 29, 53, 27, 106, 13, 0, 0, 10, 3, 165, 4, 0, 0, 7, 1, 54, 27, 50, 27, 54, 112, 18, 13, 17, 1, 2.0, 17.0, 17.0, 0, 7, 15, 1, 11, 3, 3, 0, 10, 5, 0, 0, 0.0, 1, 4, 0, 5, 5, 11, 11, 11.11, 94.44, 94.44, 72.1875, 73.296875, 73.296875, 33.296875, 46.6953125, 83.296875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 6.69921875, 6.69921875, 73.296875, 26.69921875, 20.0, 0.0, 6.0, 1.0, 45.0, 25.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 57.0, "3413", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3413&g_ta_cod=3413", 17.0, 67.0, 17.0),
(2060, "Public", "9740004L", "Lycée professionnel Roches Maigres", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Louis", "formation sélective", "BTS", "Lycée professionnel Roches Maigres - BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "BTS - Production", "", 15, 141, 16, 137, 0, 4, 1, 12, 5, 69, 45, 52, 4, 0, 1, 0, 3, 80, 2, 0, 0, 3, 1, 9, 3, 48, 30, 20, 50, 12, 0, 12, 0, 2.0, 11.0, 12.0, 0, 7, 9, 0, 1, 8, 3, 0, 2, 7, 0, 0, 0.0, 0, 0, 7, 6, 0, 9, 9, 16.67, 91.67, 100.0, 0.0, 100.0, 100.0, 66.6875, 77.796875, 75.0, 0.0, 22.19921875, 77.796875, 0.0, 0.0, 0.0, 0.0, 0.0, 11.099609375, 0.0, 88.890625, 77.796875, 3.0, 1.0, 23.0, 13.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers technologiques toutes séries", 13, "Bacheliers professionnels toutes séries", 40, "Liste d'appel propre à cette formation", 47.0, "23860", "BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23860&g_ta_cod=23860", 0.0, 17.0, 83.0),
(2061, "Public", "0950640E", "Lycée Julie-Victoire Daubié", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "BTS", "Lycée Julie-Victoire Daubié - BTS - Services - Gestion de la PME", "BTS - Services", "", 33, 916, 541, 916, 0, 46, 14, 273, 114, 325, 164, 272, 0, 0, 0, 0, 0, 438, 0, 0, 0, 15, 4, 127, 51, 226, 127, 70, 159, 33, 24, 33, 0, 4.0, 24.0, 27.0, 0, 9, 19, 1, 6, 12, 14, 0, 6, 12, 1, 0, 0.0, 1, 5, 7, 2, 2, 15, 18, 12.12, 72.73, 81.82, 72.6875, 78.890625, 94.6875, 10.5, 47.3984375, 57.59375, 0.0, 31.59765625, 63.1953125, 5.2998046875, 0.0, 0.0, 5.2998046875, 5.2998046875, 31.59765625, 26.296875, 63.1953125, 36.796875, 7.0, 4.0, 67.0, 34.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 133, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 25.0, "11553", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11553&g_ta_cod=11553", 6.0, 45.0, 48.0),
(2062, "Public", "0590101P", "Lycée des Flandres", "59", "Nord", "Hauts-de-France", "Lille", "Hazebrouck", "formation sélective", "BTS", "Lycée des Flandres - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 22, 440, 199, 432, 0, 32, 13, 71, 23, 41, 17, 288, 8, 0, 0, 4, 4, 148, 0, 0, 0, 28, 11, 55, 16, 33, 13, 32, 65, 16, 8, 16, 0, 6.0, 14.0, 15.0, 0, 7, 15, 3, 11, 1, 1, 0, 9, 4, 2, 0, 0.0, 1, 4, 1, 6, 2, 15, 15, 37.5, 87.5, 93.75, 50.0, 100.0, 100.0, 40, 46.6953125, 93.796875, 0.0, 60.0, 26.69921875, 13.298828125, 0.0, 0.0, 20.0, 6.69921875, 73.296875, 26.69921875, 6.69921875, 6.69921875, 8.0, 2.0, 27.0, 12.0, 10.0, "Tous les candidats sauf les Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 22.0, "6771", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6771&g_ta_cod=6771", 19.0, 69.0, 13.0),
(2063, "Privé sous contrat d'association", "0333481E", "YNCREA - BÈGLES", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "Bac STL", 5, 21, 11, 21, 0, 0, 0, 21, 12, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0, 12, 8, 0, 0, 0, 11, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "31134", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=31134", 0, 0, 0),
(2064, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Lettres - Parcours Lettres - Mineure Humanités numériques", "Licence - Arts-lettres-langues", "Lettres - Mineure Humanités numériques", 20, 149, 100, 95, 0, 57, 3, 3, 0, 3, 2, 32, 54, 15, 1, 4, 34, 95, 51, 0, 0, 57, 3, 3, 0, 3, 2, 32, 123, 20, 13, 6, 14, 1.0, 6.0, 13.0, 0, 1, 8, 6, 1, 1, 12, 0, 4, 1, 3, 0, 0.0, 3, 0, 1, 0, 0, 1, 7, 5.0, 30.0, 65.0, 65.0, 12.5, 87.5, 0, 12.5, 40.0, 0.0, 50.0, 12.5, 37.5, 0.0, 0.0, 75.0, 37.5, 12.5, 0.0, 12.5, 12.5, 61.0, 2.0, 6.0, 4.0, 52.0, "Tous les candidats", 95.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24135", "Licence - Lettres - Parcours Lettres - Mineure Humanités numériques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24135&g_ta_cod=24135", 70.0, 15.0, 10.0),
(2065, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "Licence_Las", "Université des Antilles - Pôle Guadeloupe - Licence - Portail Sciences de la vie et de la terre - Biologie des organismes et de l'environnement(BOE) / Biologie générale et sciences de la terre et de l?univers(BGSTU) / Géosciences(GEOS)- Guadeloupe", "Licence - Sciences - technologies - santé", "Biologie des organismes et de l'environnement(BOE) / Biologie générale et sciences de la terre et de l?univers(BGSTU) / Géosciences(GEOS)- Guadeloupe", 20, 439, 311, 439, 0, 308, 105, 33, 21, 2, 1, 96, 0, 0, 0, 0, 0, 439, 0, 0, 0, 308, 105, 33, 21, 2, 1, 96, 114, 20, 10, 20, 0, 2.0, 19.0, 19.0, 0, 4, 10, 10, 0, 0, 10, 0, 2, 4, 2, 2, 0.0, 8, 0, 0, 0, 0, 8, 8, 10.0, 95.0, 95.0, 50.0, 80.0, 80.0, 0, 40.0, 50.0, 0.0, 20.0, 40.0, 20.0, 20.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 72.0, 32.0, 0.0, 0.0, 41.0, "Tous les candidats", 293.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 48.0, "27412", "Licence - Portail Sciences de la vie et de la terre - Biologie des organismes et de l'environnement(BOE) / Biologie générale et sciences de la terre et de l?univers(BGSTU) / Géosciences(GEOS)- Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27411&g_ta_cod=27412", 100.0, 0.0, 0.0),
(2066, "Public", "0131596P", "Lycée Militaire d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "CPGE", "Lycée Militaire d'Aix-en-Provence - CPGE - Option lettres et sciences humaines (St Cyr)", "Classe préparatoire littéraire", "", 28, 440, 140, 440, 440, 393, 34, 2, 1, 1, 1, 44, 0, 0, 0, 0, 0, 440, 0, 440, 0, 393, 34, 2, 1, 1, 1, 44, 95, 28, 12, 28, 0, 6.0, 26.0, 27.0, 28, 1, 25, 25, 0, 0, 3, 0, 0, 1, 11, 13, 0.0, 25, 0, 0, 4, 2, 6, 6, 21.43, 92.86, 96.43, 42.8984375, 24.0, 24.0, 16, 4.0, 89.296875, 0.0, 0.0, 4.0, 44.0, 52.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 91.0, 10.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "2656", "CPGE - Option lettres et sciences humaines (St Cyr)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2656&g_ta_cod=2656", 100.0, 0.0, 0.0),
(2067, "Public", "0801327H", "Lycée Edouard Branly", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Production - Maintenance des systèmes - option C Systèmes éoliens", "BTS - Production", "", 12, 242, 4, 242, 0, 12, 1, 76, 22, 118, 38, 36, 0, 0, 0, 0, 0, 139, 0, 0, 0, 4, 1, 76, 22, 48, 15, 11, 44, 12, 0, 12, 0, 6.0, 12.0, 12.0, 0, 5, 12, 0, 4, 8, 0, 0, 2, 6, 4, 0, 0.0, 0, 2, 8, 0, 0, 11, 11, 50.0, 100.0, 100.0, 0.0, 91.6875, 91.6875, 0, 41.6953125, 100.0, 0.0, 16.69921875, 50.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 33.296875, 16.69921875, 66.6875, 66.6875, 0.0, 0.0, 25.0, 9.0, 0.0, "Tous les candidats sauf les Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 40, "", 0, "Liste d'appel propre à cette formation", 33.0, "17298", "BTS - Production - Maintenance des systèmes - option C Systèmes éoliens", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17298&g_ta_cod=17298", 0.0, 33.0, 67.0),
(2068, "Privé sous contrat d'association", "0772692H", "IRTS Île-de-France - Site de Melun", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation sélective", "EFTS", "IRTS Île-de-France - Site de Melun - D.E Educateur Spécialisé", "D.E secteur social", "", 42, 221, 175, 221, 0, 25, 2, 42, 8, 42, 11, 112, 0, 0, 0, 0, 0, 211, 0, 0, 0, 24, 2, 40, 8, 41, 11, 106, 93, 46, 40, 46, 0, 20.0, 34.0, 36.0, 0, 2, 13, 4, 6, 3, 33, 0, 5, 7, 1, 0, 0.0, 1, 4, 3, 0, 0, 7, 10, 43.48, 73.91, 78.26, 87.0, 53.796875, 76.890625, 0, 15.3984375, 28.296875, 0.0, 38.5, 53.796875, 7.69921875, 0.0, 0.0, 30.796875, 7.69921875, 46.1953125, 30.796875, 23.09765625, 23.09765625, 9.0, 1.0, 8.0, 2.0, 64.0, "Tous les candidats", 84.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "24970", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24970&g_ta_cod=24970", 30.0, 35.0, 30.0),
(2069, "Public", "0930120A", "Lycée Jacques Feyder", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Epinay-sur-Seine", "formation sélective", "BTS", "Lycée Jacques Feyder - BTS - Services - Support à l'action managériale", "BTS - Services", "", 22, 841, 593, 841, 0, 33, 16, 206, 103, 308, 173, 294, 0, 0, 0, 0, 0, 839, 0, 0, 0, 33, 16, 205, 102, 308, 173, 293, 158, 22, 18, 22, 0, 1.0, 13.0, 16.0, 0, 8, 14, 1, 3, 10, 8, 0, 6, 5, 2, 1, 0.0, 1, 1, 6, 0, 0, 10, 13, 4.55, 59.09, 72.73, 81.796875, 71.390625, 92.890625, 0, 57.09375, 63.59375, 0.0, 42.8984375, 35.6953125, 14.298828125, 7.1, 0.0, 7.099609375, 7.099609375, 21.3984375, 7.099609375, 71.390625, 42.8984375, 20.0, 11.0, 70.0, 41.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 133, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 27.0, "11174", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11174&g_ta_cod=11174", 18.0, 32.0, 50.0),
(2070, "Public", "0310047H", "Lycée Ozenne", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Ozenne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 1217, 634, 1217, 0, 1063, 94, 3, 1, 1, 1, 150, 0, 0, 0, 0, 0, 1217, 0, 0, 1217, 1063, 94, 3, 1, 1, 1, 150, 347, 26, 15, 26, 0, 0.0, 8.0, 20.0, 0, 3, 25, 25, 0, 0, 1, 0, 0, 2, 18, 5, 0.0, 25, 0, 0, 1, 1, 13, 13, 0.0, 30.77, 76.92, 57.6953125, 52.0, 52.0, 4, 12.0, 96.1875, 0.0, 0.0, 8.0, 72.0, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 330.0, 24.0, 0.0, 0.0, 17.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "31480", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31393&g_ta_cod=31480", 100.0, 0.0, 0.0),
(2071, "Public", "0950641F", "Lycée Jean Jaures", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "BTS", "Lycée Jean Jaures - BTS - Production - Conception de produits industriels", "BTS - Production", "", 29, 283, 20, 283, 0, 16, 5, 115, 36, 70, 35, 82, 0, 0, 0, 0, 0, 268, 0, 0, 0, 16, 5, 104, 33, 70, 35, 78, 139, 27, 4, 27, 0, 6.0, 23.0, 27.0, 0, 16, 22, 1, 10, 11, 5, 0, 15, 5, 2, 0, 0.0, 0, 3, 4, 8, 1, 17, 22, 22.22, 85.19, 100.0, 14.798828125, 77.296875, 100.0, 36.3984375, 72.6875, 81.5, 0.0, 68.1875, 22.69921875, 9.099609375, 0.0, 0.0, 4.5, 0.0, 45.5, 13.599609375, 50.0, 18.19921875, 6.0, 3.0, 42.0, 21.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 111, "Liste d'appel propre à cette formation", 63.0, "11555", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11555&g_ta_cod=11555", 4.0, 44.0, 52.0),
(2072, "Public", "0754400A", "Polytech Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 30, 4072, 1764, 4072, 0, 3363, 418, 0, 0, 0, 0, 709, 0, 0, 0, 0, 0, 2524, 0, 0, 0, 2297, 206, 0, 0, 0, 0, 227, 899, 31, 27, 31, 0, 11.0, 14.0, 24.0, 0, 3, 25, 25, 0, 0, 6, 0, 0, 2, 10, 11, 2.0, 25, 0, 0, 0, 0, 2, 16, 35.48, 45.16, 77.42, 87.09375, 8.0, 64.0, 0, 12.0, 80.59375, 0.0, 0.0, 8.0, 40.0, 44.0, 8.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 850.0, 110.0, 0.0, 0.0, 49.0, "Autres candidats", 7166.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "32", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=32", 100.0, 0.0, 0.0),
(2073, "Public", "0134015U", "Aix-Marseille Université - Site de Marseille Saint Charles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation sélective", "Autre formation", "Aix-Marseille Université - Site de Marseille Saint Charles - C.M.I - Cursus Master en Ingénierie - Sciences de la vie et de la terre - Sciences de la Vie et de la Terre Cursus Master Ingénierie (Site Saint Charles)", "C.M.I - Cursus Master en Ingénierie", "Sciences de la Vie et de la Terre Cursus Master Ingénierie (Site Saint Charles)", 30, 539, 325, 244, 0, 153, 17, 1, 1, 0, 0, 90, 295, 114, 10, 7, 164, 107, 21, 0, 0, 96, 4, 0, 0, 0, 0, 11, 126, 22, 14, 14, 7, 7.0, 14.0, 21.0, 0, 1, 17, 17, 0, 0, 5, 0, 1, 4, 9, 3, 0.0, 16, 0, 0, 0, 0, 9, 9, 31.82, 63.64, 95.45, 63.59375, 52.8984375, 52.8984375, 0, 5.8994140625, 77.296875, 0.0, 5.8994140625, 23.5, 52.8984375, 17.6, 0.0, 100.0, 94.09375, 0.0, 0.0, 0.0, 0.0, 108.0, 5.0, 0.0, 0.0, 18.0, "Tous les candidats", 107.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "18403", "C.M.I - Cursus Master en Ingénierie - Sciences de la vie et de la terre - Sciences de la Vie et de la Terre Cursus Master Ingénierie (Site Saint Charles)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18403&g_ta_cod=18403", 100.0, 0.0, 0.0),
(2074, "Public", "0932121A", "Lycée Suger", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BTS", "Lycée Suger - BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "BTS - Services", "", 12, 1349, 212, 1349, 0, 424, 54, 213, 53, 224, 75, 488, 0, 0, 0, 0, 0, 1349, 0, 0, 0, 424, 54, 213, 53, 224, 75, 488, 46, 12, 1, 12, 0, 1.0, 12.0, 12.0, 0, 3, 10, 6, 2, 2, 2, 0, 1, 5, 4, 0, 0.0, 5, 2, 2, 0, 0, 3, 5, 8.33, 100.0, 100.0, 8.298828125, 30.0, 50.0, 0, 30.0, 83.296875, 0.0, 10.0, 50.0, 40.0, 0.0, 0.0, 60.0, 50.0, 20.0, 20.0, 20.0, 20.0, 22.0, 5.0, 8.0, 2.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 4.0, "11344", "BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11344&g_ta_cod=11344", 50.0, 25.0, 25.0),
(2075, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence_Las", "Université Côte d'Azur - Licence - Portail Histoire", "Licence - Sciences humaines et sociales", "", 45, 359, 210, 326, 0, 153, 28, 16, 7, 7, 5, 150, 33, 13, 0, 0, 20, 324, 33, 0, 0, 153, 28, 16, 7, 7, 5, 148, 256, 44, 26, 34, 10, 2.0, 18.0, 33.0, 0, 2, 17, 13, 3, 1, 27, 1, 7, 6, 2, 1, 0.0, 9, 0, 0, 0, 0, 11, 11, 4.55, 40.91, 75.0, 59.09375, 64.6875, 64.6875, 0, 11.798828125, 38.59375, 5.8994140625, 41.1953125, 35.296875, 11.798828125, 5.9, 0.0, 76.5, 52.8984375, 17.59765625, 0.0, 5.8994140625, 0.0, 113.0, 21.0, 4.0, 2.0, 131.0, "Tous les candidats", 1039.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "27485", "Licence - Portail Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27484&g_ta_cod=27485", 77.0, 11.0, 7.0),
(2076, "Public", "0340076Y", "Lycée Irene et Frederic Joliot Curie", "34", "Hérault", "Occitanie", "Montpellier", "Sète", "formation sélective", "CPGE", "Lycée Irene et Frederic Joliot Curie - CPGE - TSI", "Classe préparatoire scientifique", "", 35, 307, 35, 298, 208, 0, 0, 272, 86, 0, 0, 26, 9, 0, 4, 0, 5, 247, 3, 55, 238, 0, 0, 239, 75, 0, 0, 8, 146, 30, 3, 28, 2, 7.0, 28.0, 29.0, 9, 9, 30, 0, 30, 0, 0, 0, 5, 8, 13, 4, 0.0, 0, 25, 0, 5, 1, 27, 27, 23.33, 93.33, 96.67, 10.0, 90.0, 90.0, 16.69921875, 30.0, 100.0, 0.0, 16.69921875, 26.69921875, 43.296875, 13.3, 0.0, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 266.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "20093", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20093&g_ta_cod=20093", 0.0, 100.0, 0.0),
(2077, "Public", "0594424N", "Lycée Raymond Queneau", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "BTS", "Lycée Raymond Queneau - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1297, 629, 1214, 0, 129, 36, 338, 162, 353, 196, 394, 83, 11, 17, 20, 35, 350, 11, 0, 0, 53, 12, 93, 40, 187, 100, 17, 216, 25, 8, 19, 4, 2.0, 15.0, 16.0, 0, 13, 23, 2, 6, 15, 2, 0, 13, 7, 2, 1, 0.0, 1, 2, 7, 4, 0, 23, 23, 8.0, 60.0, 64.0, 32.0, 100.0, 100.0, 17.3984375, 56.5, 92.0, 0.0, 56.5, 30.3984375, 8.69921875, 4.3, 0.0, 8.69921875, 4.2998046875, 26.09765625, 8.69921875, 65.1875, 30.3984375, 33.0, 10.0, 120.0, 61.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 189, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 26.0, "7127", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7127&g_ta_cod=7127", 16.0, 24.0, 60.0),
(2078, "Public", "0622276M", "Lycée Jan Lavezzari", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Berck", "formation sélective", "BTS", "Lycée Jan Lavezzari - BTS - Services - Economie sociale familiale", "BTS - Services", "", 30, 387, 338, 387, 0, 51, 21, 116, 47, 123, 56, 97, 0, 0, 0, 0, 0, 363, 0, 0, 0, 51, 21, 116, 47, 123, 56, 73, 135, 30, 29, 30, 0, 5.0, 18.0, 27.0, 0, 15, 28, 5, 10, 13, 2, 0, 8, 13, 7, 0, 0.0, 1, 7, 12, 10, 9, 26, 26, 16.67, 60.0, 90.0, 96.6875, 92.890625, 92.890625, 35.6953125, 53.59375, 93.296875, 0.0, 28.59765625, 46.3984375, 25.0, 0.0, 0.0, 17.8984375, 3.599609375, 35.6953125, 25.0, 46.3984375, 42.8984375, 27.0, 16.0, 38.0, 16.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 52.0, "7449", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7449&g_ta_cod=7449", 20.0, 37.0, 43.0),
(2079, "Public", "0690026D", "Lycée du Parc", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 6e  Arrondissement", "formation sélective", "CPGE", "Lycée du Parc - CPGE - MPSI", "Classe préparatoire scientifique", "", 138, 7272, 2202, 7272, 5818, 6525, 544, 7, 4, 0, 0, 740, 0, 0, 0, 0, 0, 6028, 0, 5818, 1689, 5547, 459, 2, 1, 0, 0, 479, 527, 134, 46, 134, 0, 58.0, 109.0, 128.0, 33, 31, 133, 133, 0, 0, 1, 0, 0, 0, 1, 40, 92.0, 133, 0, 0, 4, 1, 27, 27, 43.28, 81.34, 95.52, 34.296875, 20.296875, 20.296875, 3, 23.296875, 99.296875, 0.0, 0.0, 0.0, 0.7999267578125, 30.1, 69.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 525.0, 85.0, 0.0, 0.0, 2.0, "Tous les candidats", 674.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "8182", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8182&g_ta_cod=8182", 100.0, 0.0, 0.0),
(2080, "Public", "0640055M", "Lycée Louis Barthou", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "CPGE", "Lycée Louis Barthou - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 345, 249, 334, 191, 282, 51, 1, 0, 0, 0, 51, 11, 4, 0, 0, 7, 270, 0, 168, 262, 258, 46, 0, 0, 0, 0, 12, 218, 40, 33, 40, 0, 25.0, 39.0, 40.0, 2, 7, 39, 39, 0, 0, 1, 0, 1, 10, 19, 8, 1.0, 38, 0, 0, 6, 6, 29, 29, 62.5, 97.5, 100.0, 82.5, 74.390625, 74.390625, 15.3984375, 17.8984375, 97.5, 0.0, 2.599609375, 25.59765625, 48.6953125, 20.5, 2.6, 100.0, 97.390625, 0.0, 0.0, 0.0, 0.0, 208.0, 32.0, 0.0, 0.0, 10.0, "Tous les candidats", 270.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "7708", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7708&g_ta_cod=7708", 100.0, 0.0, 0.0),
(2081, "Public", "0040010P", "Lycée Felix Esclangon", "04", "Alpes-de-Haute-Provence", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Manosque", "formation sélective", "BTS", "Lycée Felix Esclangon - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 639, 283, 630, 0, 37, 10, 135, 47, 94, 40, 364, 9, 0, 0, 6, 3, 263, 3, 0, 0, 34, 8, 120, 43, 74, 31, 35, 174, 30, 17, 29, 0, 3.0, 22.0, 24.0, 0, 10, 30, 3, 15, 12, 0, 0, 12, 16, 2, 0, 0.0, 1, 8, 9, 8, 4, 26, 26, 10.0, 73.33, 80.0, 56.6953125, 86.6875, 86.6875, 26.69921875, 33.296875, 100.0, 0.0, 40.0, 53.296875, 6.69921875, 0.0, 0.0, 10.0, 3.2998046875, 50.0, 26.69921875, 40.0, 30.0, 24.0, 5.0, 57.0, 22.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 87, "Liste d'appel propre à cette formation", 32.0, "2160", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2160&g_ta_cod=2160", 10.0, 50.0, 40.0),
(2082, "Public", "0351907H", "Lycée René Descartes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée René Descartes - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 70, 3338, 1747, 3338, 0, 427, 72, 1426, 381, 839, 314, 646, 0, 0, 0, 0, 0, 1650, 0, 0, 0, 121, 16, 727, 170, 558, 210, 244, 390, 66, 39, 65, 0, 4.0, 42.0, 56.0, 0, 19, 52, 4, 21, 27, 14, 1, 7, 27, 13, 4, 0.0, 3, 20, 21, 1, 1, 36, 36, 6.06, 63.64, 84.85, 59.09375, 69.1875, 69.1875, 1.89990234375, 36.5, 78.796875, 1.89990234375, 13.5, 51.8984375, 25.0, 7.7, 0.0, 7.69921875, 5.7998046875, 40.3984375, 38.5, 51.8984375, 40.3984375, 43.0, 12.0, 151.0, 49.0, 63.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 125.0, "Bacheliers professionnels toutes séries", 244, "Bacheliers technologiques toutes séries", 304, "Liste d'appel propre à cette formation", 20.0, "4769", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4769&g_ta_cod=4769", 15.0, 38.0, 47.0),
(2083, "Privé sous contrat d'association", "0623276Z", "Lycée professionnel Agricole Sainte Marie", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Aire-sur-la-Lys", "formation sélective", "BTS", "Lycée professionnel Agricole Sainte Marie - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 40, 160, 88, 139, 0, 6, 2, 23, 3, 48, 14, 62, 21, 1, 1, 12, 7, 69, 13, 0, 0, 6, 2, 21, 3, 35, 11, 7, 80, 18, 13, 16, 2, 13.0, 16.0, 18.0, 0, 2, 15, 1, 4, 10, 3, 0, 6, 6, 3, 0, 0.0, 0, 2, 7, 4, 4, 14, 14, 72.22, 88.89, 100.0, 72.1875, 93.296875, 93.296875, 26.69921875, 13.298828125, 83.296875, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 6.69921875, 0.0, 26.69921875, 13.298828125, 66.6875, 46.6953125, 6.0, 1.0, 42.0, 15.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 48.0, "7470", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7470&g_ta_cod=7470", 6.0, 22.0, 72.0),
(2084, "Public", "0350697T", "I.U.T de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BUT", "I.U.T de Rennes - BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", "BUT - Production", "Automatisme et Informatique Industrielle - Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", 134, 1498, 102, 1483, 0, 864, 109, 352, 64, 18, 5, 249, 15, 2, 1, 2, 10, 1087, 1, 0, 0, 737, 81, 218, 33, 0, 0, 132, 743, 123, 7, 123, 0, 53.0, 97.0, 123.0, 0, 20, 108, 74, 34, 0, 15, 0, 30, 54, 22, 2, 0.0, 51, 27, 0, 0, 0, 89, 89, 43.09, 78.86, 100.0, 5.69921875, 82.390625, 82.390625, 0, 18.5, 87.796875, 0.0, 27.796875, 50.0, 20.3984375, 1.9, 0.0, 68.5, 47.1953125, 31.5, 25.0, 0.0, 0.0, 445.0, 66.0, 0.0, 0.0, 113.0, "Tous les candidats sauf les Bac technologiques", 848.0, "Bacheliers technologiques toutes séries", 235, "", 0, "Liste d'appel propre à cette formation", 73.0, "4662", "BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4662&g_ta_cod=4662", 71.0, 28.0, 0.0),
(2085, "Public", "0670086E", "Lycée des métiers René Cassin", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée des métiers René Cassin - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 22, 1086, 647, 1082, 0, 153, 50, 354, 146, 253, 143, 322, 4, 0, 0, 0, 4, 407, 3, 0, 0, 83, 26, 158, 55, 115, 62, 51, 92, 20, 9, 19, 1, 7.0, 15.0, 18.0, 0, 4, 13, 4, 6, 3, 7, 0, 2, 5, 6, 0, 0.0, 4, 4, 3, 2, 1, 13, 13, 35.0, 75.0, 90.0, 45.0, 100.0, 100.0, 15.3984375, 30.796875, 65.0, 0.0, 15.3984375, 38.5, 46.1953125, 0.0, 0.0, 30.796875, 30.796875, 46.1953125, 30.796875, 23.09765625, 23.09765625, 24.0, 6.0, 17.0, 8.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 14.0, "20414", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20414&g_ta_cod=20414", 30.0, 45.0, 25.0),
(2086, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Double licence - Mathématiques / Informatique - Mathématiques et Informatique", "Licence - Sciences - technologies - santé", "Mathématiques et Informatique", 24, 1157, 216, 1157, 0, 828, 200, 23, 10, 4, 1, 302, 0, 0, 0, 0, 0, 639, 0, 0, 0, 500, 109, 0, 0, 0, 0, 139, 249, 22, 5, 21, 0, 0.0, 5.0, 14.0, 0, 2, 12, 12, 0, 0, 10, 0, 3, 6, 2, 1, 0.0, 9, 0, 0, 0, 0, 9, 10, 0.0, 22.73, 63.64, 22.69921875, 75.0, 83.296875, 0, 16.69921875, 54.5, 0.0, 25.0, 50.0, 16.69921875, 8.3, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 182.0, 35.0, 0.0, 0.0, 67.0, "Tous les candidats", 449.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "11477", "Double licence - Mathématiques / Informatique - Mathématiques et Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11477&g_ta_cod=11477", 100.0, 0.0, 0.0),
(2087, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence_Las", "Université de Brest - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER Anglais", "Licence - Arts-lettres-langues", "LLCER Anglais : Université de Brest", 20, 208, 166, 182, 0, 101, 16, 8, 3, 4, 2, 69, 26, 10, 1, 0, 15, 182, 23, 0, 0, 101, 16, 8, 3, 4, 2, 69, 133, 17, 13, 10, 7, 1.0, 10.0, 12.0, 0, 3, 11, 10, 0, 1, 6, 0, 4, 4, 3, 0, 0.0, 6, 0, 1, 0, 0, 4, 4, 5.88, 58.82, 70.59, 76.5, 36.3984375, 36.3984375, 0, 27.296875, 64.6875, 0.0, 36.3984375, 36.3984375, 27.296875, 0.0, 0.0, 90.890625, 54.5, 0.0, 0.0, 9.099609375, 9.099609375, 72.0, 11.0, 2.0, 0.0, 53.0, "Tous les candidats", 995.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "32731", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28642&g_ta_cod=32731", 88.0, 6.0, 6.0),
(2088, "Public", "0451147C", "IFSI CHR Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "IFSI", "Regroupement d'IFSI Université Tours - D.E Infirmier", "D.E secteur sanitaire", "", 129, 5725, 4864, 5725, 0, 968, 174, 1312, 319, 539, 193, 2906, 0, 0, 0, 0, 0, 4992, 0, 0, 0, 924, 160, 1240, 283, 411, 145, 2417, 1134, 139, 125, 139, 0, 8.0, 72.0, 111.0, 0, 22, 86, 22, 58, 6, 53, 0, 9, 45, 26, 6, 0.0, 19, 52, 6, 0, 0, 65, 65, 5.76, 51.8, 79.86, 89.890625, 75.59375, 75.59375, 0, 25.59765625, 61.8984375, 0.0, 10.5, 52.296875, 30.19921875, 7.0, 0.0, 25.59765625, 22.09765625, 67.390625, 60.5, 7.0, 7.0, 236.0, 26.0, 46.0, 16.0, 404.0, "Tous les candidats", 2394.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "23270", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22995&g_ta_cod=23270", 39.0, 56.0, 5.0),
(2089, "Public", "0650583F", "I.U.T de Tarbes", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BUT", "I.U.T de Tarbes - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Business développement et management de la relation client", 135, 2335, 1111, 2335, 0, 1146, 168, 842, 215, 28, 10, 319, 0, 0, 0, 0, 0, 2249, 0, 0, 0, 1128, 163, 819, 209, 28, 10, 274, 657, 138, 63, 138, 0, 8.0, 114.0, 135.0, 0, 20, 137, 63, 68, 6, 1, 0, 7, 94, 35, 1, 0.0, 62, 63, 5, 0, 0, 66, 66, 5.8, 82.61, 97.83, 45.6953125, 48.1953125, 48.1953125, 0, 14.599609375, 99.296875, 0.0, 5.099609375, 68.59375, 25.5, 0.7, 0.0, 46.0, 45.296875, 49.59375, 46.0, 4.3994140625, 3.599609375, 295.0, 47.0, 13.0, 8.0, 27.0, "Tous les candidats sauf les Bac technologiques", 485.0, "Bacheliers technologiques toutes séries", 457, "", 0, "Liste d'appel propre à cette formation", 40.0, "7836", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7836&g_ta_cod=7836", 46.0, 49.0, 4.0),
(2090, "Public", "0751877H", "Ecole Nationale Supérieure d'Architecture de Paris-Belleville", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Paris-Belleville - Architecture", "Formations Bac + 5", "", 130, 2665, 1741, 2665, 0, 1630, 289, 245, 76, 64, 35, 726, 0, 0, 0, 0, 0, 417, 0, 0, 0, 298, 23, 24, 6, 2, 1, 93, 204, 130, 80, 130, 0, 81.0, 118.0, 121.0, 0, 18, 108, 99, 7, 2, 22, 0, 1, 12, 47, 43, 5.0, 98, 7, 2, 0, 0, 26, 48, 62.31, 90.77, 93.08, 61.5, 24.09765625, 44.3984375, 0, 16.69921875, 83.09375, 0.0, 0.89990234375, 11.099609375, 43.5, 39.8, 4.6, 91.6875, 90.6875, 6.5, 6.5, 1.89990234375, 1.89990234375, 156.0, 20.0, 2.0, 1.0, 35.0, "Tous les candidats", 208.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "9355", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9355&g_ta_cod=9355", 93.0, 5.0, 2.0),
(2091, "Public", "0590125R", "Lycée Hôtelier International de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Hôtelier International de Lille - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 45, 458, 220, 455, 0, 0, 0, 127, 21, 230, 86, 98, 3, 0, 2, 1, 0, 385, 1, 0, 0, 0, 0, 124, 21, 192, 69, 69, 117, 40, 15, 39, 1, 19.0, 35.0, 39.0, 0, 12, 36, 0, 15, 21, 4, 0, 5, 12, 12, 7, 0.0, 0, 11, 20, 15, 5, 34, 34, 47.5, 87.5, 97.5, 37.5, 94.390625, 94.390625, 41.6953125, 33.296875, 90.0, 0.0, 13.8984375, 33.296875, 33.296875, 19.4, 0.0, 0.0, 0.0, 41.6953125, 30.59765625, 58.296875, 55.59375, 0.0, 0.0, 54.0, 18.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 139, "Bacheliers technologiques toutes séries", 126, "Liste d'appel propre à cette formation", 64.0, "18600", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18600&g_ta_cod=18600", 8.0, 38.0, 55.0),
(2092, "Public", "0750671X", "Lycée Edgar Quinet", "75", "Paris", "Ile-de-France", "Paris", "Paris  9e  Arrondissement", "formation sélective", "BTS", "Lycée Edgar Quinet - BTS - Services - Commerce International", "BTS - Services", "", 35, 3050, 1799, 3050, 0, 681, 190, 921, 372, 580, 268, 868, 0, 0, 0, 0, 0, 897, 0, 0, 0, 255, 59, 361, 148, 276, 129, 5, 213, 31, 23, 30, 0, 1.0, 14.0, 28.0, 0, 12, 30, 11, 15, 4, 1, 0, 7, 14, 7, 2, 0.0, 10, 10, 3, 1, 1, 6, 29, 3.23, 45.16, 90.32, 74.1875, 20.0, 96.6875, 3.2998046875, 40.0, 96.796875, 0.0, 23.296875, 46.6953125, 23.296875, 6.7, 0.0, 36.6953125, 33.296875, 50.0, 33.296875, 13.298828125, 10.0, 102.0, 27.0, 18.0, 8.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 208.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 189, "Liste d'appel propre à cette formation", 15.0, "9007", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9007&g_ta_cod=9007", 35.0, 48.0, 16.0),
(2093, "Public", "0693330V", "Lycée Louis Aragon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Givors", "formation sélective", "Autre formation", "Lycée Louis Aragon - Mention complémentaire - FCIL Administrateur réseau, infrastructure et système numérique", "Mention complémentaire", "", 12, 47, 2, 44, 0, 2, 0, 6, 3, 28, 14, 8, 3, 0, 1, 1, 1, 44, 0, 0, 0, 2, 0, 6, 3, 28, 14, 8, 42, 9, 1, 8, 0, 1.0, 8.0, 8.0, 0, 2, 5, 0, 4, 1, 4, 0, 3, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 3, 3, 11.11, 88.89, 88.89, 11.099609375, 60.0, 60.0, 0, 40.0, 55.59375, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 80.0, 20.0, 20.0, 20.0, 3.0, 0.0, 25.0, 12.0, 6.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "30694", "Mention complémentaire - FCIL Administrateur réseau, infrastructure et système numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30694&g_ta_cod=30694", 44.0, 44.0, 11.0),
(2094, "Privé sous contrat d'association", "0211089V", "Lycée Saint Joseph", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 34, 338, 30, 338, 0, 67, 9, 92, 17, 55, 11, 124, 0, 0, 0, 0, 0, 231, 0, 0, 0, 67, 9, 79, 12, 55, 11, 30, 124, 34, 1, 34, 0, 9.0, 30.0, 33.0, 0, 4, 32, 10, 9, 13, 2, 0, 16, 10, 5, 1, 0.0, 2, 5, 9, 12, 1, 26, 26, 26.47, 88.24, 97.06, 2.89990234375, 81.296875, 81.296875, 37.5, 12.5, 94.09375, 0.0, 50.0, 31.296875, 15.599609375, 3.1, 0.0, 31.296875, 6.2998046875, 28.09765625, 15.599609375, 40.59375, 28.09765625, 40.0, 4.0, 33.0, 7.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 73.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 48.0, "3216", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3216&g_ta_cod=3216", 35.0, 26.0, 38.0),
(2095, "Public", "0770931U", "Lycée Pierre de Coubertin", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "BTS", "Lycée Pierre de Coubertin - BTS - Services - Support à l'action managériale", "BTS - Services", "", 28, 423, 280, 423, 0, 17, 5, 136, 45, 113, 42, 157, 0, 0, 0, 0, 0, 234, 0, 0, 0, 14, 3, 99, 32, 76, 26, 45, 89, 26, 18, 26, 0, 9.0, 23.0, 25.0, 0, 8, 19, 0, 8, 11, 7, 0, 7, 5, 7, 0, 0.0, 0, 3, 9, 2, 0, 19, 19, 34.62, 88.46, 96.15, 69.1875, 100.0, 100.0, 10.5, 42.09375, 73.09375, 0.0, 36.796875, 26.296875, 36.796875, 0.0, 0.0, 0.0, 0.0, 42.09375, 15.798828125, 57.8984375, 47.3984375, 9.0, 2.0, 26.0, 8.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 29.0, "9806", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9806&g_ta_cod=9806", 8.0, 46.0, 46.0),
(2096, "Public", "0450066C", "Lycée professionnel Mal Leclerc", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Saint-Jean-de-la-Ruelle", "formation sélective", "BTS", "Lycée professionnel Mal Leclerc - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 30, 260, 12, 260, 0, 18, 3, 44, 6, 115, 45, 83, 0, 0, 0, 0, 0, 260, 0, 0, 0, 18, 3, 44, 6, 115, 45, 83, 101, 29, 2, 29, 0, 9.0, 23.0, 27.0, 0, 6, 23, 3, 1, 19, 6, 0, 3, 10, 8, 2, 0.0, 1, 0, 19, 4, 0, 19, 19, 31.03, 79.31, 93.1, 6.8994140625, 82.59375, 82.59375, 17.3984375, 26.09765625, 79.296875, 0.0, 13.0, 43.5, 34.796875, 8.7, 0.0, 13.0, 4.2998046875, 4.2998046875, 0.0, 82.59375, 82.59375, 9.0, 2.0, 63.0, 17.0, 10.0, "Tous les candidats sauf les Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 91, "", 0, "Liste d'appel propre à cette formation", 58.0, "5670", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5670&g_ta_cod=5670", 17.0, 14.0, 69.0),
(2097, "Public", "0881780G", "CNAM Grand Est - Saint-Dié", "88", "Vosges", "Grand Est", "Nancy-Metz", "Saint-Dié-des-Vosges", "formation sélective", "Autre formation", "CNAM Grand Est - Saint-Dié - Formation Supérieure de Spécialisation - Sécurité Middle Management", "Diplôme d'Université", "Sécurité Middle Management", 15, 28, 10, 25, 0, 6, 1, 2, 0, 5, 4, 12, 3, 0, 1, 0, 2, 10, 1, 0, 0, 6, 1, 1, 0, 3, 2, 0, 11, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6.0, 1.0, 3.0, 2.0, 0.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "34141", "Formation Supérieure de Spécialisation - Sécurité Middle Management", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34141&g_ta_cod=34141", 0, 0, 0),
(2098, "Privé sous contrat d'association", "0132828D", "Lycée CADENELLE", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 12e  Arrondissement", "formation sélective", "Autre formation", "Lycée CADENELLE - CPES - Scientifique", "Classe préparatoire aux études supérieures", "", 24, 37, 27, 16, 0, 10, 1, 0, 0, 2, 1, 4, 21, 7, 4, 2, 8, 7, 8, 0, 0, 4, 1, 0, 0, 1, 0, 2, 22, 7, 7, 3, 4, 3.0, 3.0, 4.0, 0, 1, 5, 2, 2, 1, 2, 0, 3, 1, 0, 1, 0.0, 1, 0, 1, 0, 0, 4, 4, 42.86, 42.86, 57.14, 100.0, 80.0, 80.0, 0, 20.0, 71.390625, 0.0, 60.0, 20.0, 0.0, 20.0, 0.0, 40.0, 20.0, 40.0, 0.0, 20.0, 20.0, 10.0, 1.0, 1.0, 0.0, 7.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "33793", "CPES - Scientifique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33793&g_ta_cod=33793", 57.0, 29.0, 14.0),
(2099, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Mathématiques", "Licence - Sciences - technologies - santé", "", 120, 624, 229, 574, 0, 456, 66, 10, 3, 7, 3, 101, 50, 19, 0, 0, 31, 574, 48, 0, 0, 456, 66, 10, 3, 7, 3, 101, 623, 56, 16, 48, 8, 47.0, 48.0, 55.0, 0, 4, 38, 36, 0, 2, 18, 0, 12, 15, 9, 1, 1.0, 25, 0, 1, 0, 0, 30, 30, 83.93, 85.71, 98.21, 28.59765625, 78.890625, 78.890625, 0, 10.5, 67.890625, 0.0, 31.59765625, 39.5, 23.69921875, 2.6, 2.6, 94.6875, 65.796875, 0.0, 0.0, 5.2998046875, 2.599609375, 475.0, 68.0, 7.0, 3.0, 131.0, "Tous les candidats", 574.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "17153", "Licence - Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17153&g_ta_cod=17153", 93.0, 4.0, 4.0),
(2100, "Public", "0221848P", "I.U.T de Saint-Brieuc", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BUT", "I.U.T de Saint-Brieuc - BUT - Science et génie des matériaux Parcours : Métiers de l'Ingénierie des Matériaux et des Produits Métiers de la caractérisation et de l'expertise des Matériaux et des Produits", "BUT - Production", "Métiers de l'Ingénierie des Matériaux et des Produits Métiers de la caractérisation et de l'expertise des Matériaux et des Produits", 52, 547, 72, 534, 0, 337, 25, 125, 11, 1, 0, 71, 13, 2, 1, 0, 10, 361, 7, 0, 0, 265, 14, 89, 9, 0, 0, 7, 273, 34, 4, 34, 0, 11.0, 34.0, 34.0, 0, 3, 33, 26, 7, 0, 1, 0, 3, 17, 12, 1, 0.0, 23, 7, 0, 0, 0, 24, 24, 32.35, 100.0, 100.0, 11.798828125, 72.6875, 72.6875, 0, 9.099609375, 97.09375, 0.0, 9.099609375, 51.5, 36.3984375, 3.0, 0.0, 78.796875, 69.6875, 21.19921875, 21.19921875, 0.0, 0.0, 191.0, 10.0, 0.0, 0.0, 12.0, "Tous les candidats sauf les Bac technologiques", 271.0, "Bacheliers technologiques toutes séries", 89, "", 0, "Liste d'appel propre à cette formation", 67.0, "3383", "BUT - Science et génie des matériaux Parcours : Métiers de l'Ingénierie des Matériaux et des Produits Métiers de la caractérisation et de l'expertise des Matériaux et des Produits", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3383&g_ta_cod=3383", 79.0, 21.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(2101, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence", "Université de Toulon - Licence - Portail Physique, chimie - Licence de Physique et Chimie", "Licence - Sciences - technologies - santé", "Licence de Physique et Chimie", 80, 713, 329, 631, 0, 391, 64, 41, 13, 3, 2, 196, 82, 24, 7, 1, 50, 620, 78, 0, 0, 391, 64, 41, 13, 3, 2, 185, 548, 62, 26, 33, 29, 0.0, 32.0, 50.0, 0, 6, 27, 20, 6, 1, 35, 0, 11, 9, 6, 1, 0.0, 12, 3, 1, 0, 0, 20, 20, 0.0, 51.61, 80.65, 41.8984375, 74.09375, 74.09375, 0, 22.19921875, 43.5, 0.0, 40.6953125, 33.296875, 22.19921875, 3.7, 0.0, 74.09375, 44.3984375, 22.19921875, 11.099609375, 3.69970703125, 3.69970703125, 319.0, 54.0, 2.0, 2.0, 207.0, "Tous les candidats", 687.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "10370", "Licence - Portail Physique, chimie - Licence de Physique et Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31842&g_ta_cod=10370", 69.0, 21.0, 6.0),
(2102, "Public", "0340838B", "I.U.T de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BUT", "I.U.T de Montpellier - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", 110, 4714, 2419, 4714, 0, 2544, 542, 1283, 471, 52, 26, 835, 0, 0, 0, 0, 0, 2100, 0, 0, 0, 1265, 216, 650, 198, 1, 1, 184, 655, 110, 63, 110, 0, 8.0, 81.0, 102.0, 0, 46, 96, 48, 47, 1, 14, 0, 5, 38, 46, 7, 0.0, 48, 43, 0, 0, 0, 64, 64, 7.27, 73.64, 92.73, 57.296875, 66.6875, 66.6875, 0, 47.8984375, 87.296875, 0.0, 5.19921875, 39.59375, 47.8984375, 7.3, 0.0, 50.0, 50.0, 49.0, 44.796875, 1.0, 0.0, 327.0, 88.0, 1.0, 1.0, 72.0, "Tous les candidats sauf les Bac technologiques", 820.0, "Bacheliers technologiques toutes séries", 546, "", 0, "Liste d'appel propre à cette formation", 29.0, "4529", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4529&g_ta_cod=4529", 50.0, 49.0, 1.0),
(2103, "Public", "0250001R", "Lycée professionnel Nelson Mandela", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Audincourt", "formation sélective", "BTS", "Lycée professionnel Nelson Mandela - BTS - Services - Métiers des Services à l'environnement", "BTS - Services", "", 15, 175, 72, 165, 0, 19, 2, 28, 7, 31, 18, 87, 10, 5, 0, 0, 5, 88, 5, 0, 0, 19, 2, 25, 5, 31, 18, 13, 64, 12, 8, 11, 1, 3.0, 9.0, 9.0, 0, 4, 11, 1, 1, 9, 1, 1, 5, 3, 2, 0, 0.0, 0, 1, 4, 6, 6, 6, 6, 25.0, 75.0, 75.0, 66.6875, 54.5, 54.5, 54.5, 36.3984375, 91.6875, 9.099609375, 45.5, 27.296875, 18.19921875, 0.0, 0.0, 9.099609375, 0.0, 9.099609375, 9.099609375, 81.796875, 36.3984375, 17.0, 3.0, 20.0, 9.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 42.0, "21121", "BTS - Services - Métiers des Services à l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21121&g_ta_cod=21121", 17.0, 8.0, 75.0),
(2104, "Public", "0011194T", "Lycée De La Plaine De L'Ain", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Ambérieu-en-Bugey", "formation sélective", "BTS", "Lycée De La Plaine De L'Ain - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 209, 11, 202, 0, 11, 2, 66, 13, 59, 19, 66, 7, 0, 3, 2, 2, 171, 2, 0, 0, 11, 2, 64, 12, 58, 19, 38, 128, 15, 0, 13, 1, 1.0, 10.0, 12.0, 0, 4, 12, 1, 5, 6, 3, 0, 9, 2, 1, 0, 0.0, 0, 1, 2, 4, 0, 12, 12, 6.67, 66.67, 80.0, 0.0, 100.0, 100.0, 33.296875, 33.296875, 80.0, 0.0, 75.0, 16.69921875, 8.298828125, 0.0, 0.0, 8.298828125, 0.0, 41.6953125, 8.298828125, 50.0, 16.69921875, 3.0, 2.0, 55.0, 18.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 75.0, "2022", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2022&g_ta_cod=2022", 7.0, 47.0, 47.0),
(2105, "Privé sous contrat d'association", "0590348H", "HEI Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 30, 1894, 465, 1894, 0, 1886, 152, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 1724, 0, 0, 0, 1717, 127, 0, 0, 0, 0, 7, 1576, 30, 6, 30, 0, 26.0, 27.0, 28.0, 0, 1, 30, 30, 0, 0, 0, 0, 4, 16, 7, 3, 0.0, 26, 0, 0, 0, 0, 20, 20, 86.67, 90.0, 93.33, 20.0, 66.6875, 66.6875, 0, 3.2998046875, 100.0, 0.0, 13.298828125, 53.296875, 23.296875, 10.0, 0.0, 100.0, 86.6875, 0.0, 0.0, 0.0, 0.0, 1571.0, 126.0, 0.0, 0.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "22811", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=22811", 100.0, 0.0, 0.0),
(2106, "Public", "0911975C", "Université d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation non sélective", "Licence", "Université d'Evry Val d'Essonne - Licence - Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "", 112, 1210, 223, 1210, 0, 681, 160, 200, 66, 3, 0, 326, 0, 0, 0, 0, 0, 1210, 0, 0, 0, 681, 160, 200, 66, 3, 0, 326, 686, 105, 20, 105, 0, 2.0, 61.0, 93.0, 0, 22, 72, 50, 20, 2, 33, 1, 41, 26, 3, 1, 0.0, 24, 4, 2, 0, 0, 42, 64, 1.9, 58.1, 88.57, 19.0, 58.296875, 88.890625, 0, 30.59765625, 68.59375, 1.39990234375, 56.8984375, 36.09375, 4.19921875, 1.4, 0.0, 69.390625, 33.296875, 27.796875, 5.599609375, 2.7998046875, 2.7998046875, 417.0, 98.0, 2.0, 0.0, 161.0, "Tous les candidats", 892.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "15249", "Licence - Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15249&g_ta_cod=15249", 68.0, 30.0, 2.0),
(2107, "Public", "0250011B", "Lycée Jules Haag", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Jules Haag - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 15, 162, 16, 153, 0, 12, 1, 74, 15, 29, 10, 38, 9, 0, 0, 6, 3, 117, 2, 0, 0, 12, 1, 67, 13, 21, 7, 17, 60, 17, 2, 16, 1, 9.0, 14.0, 15.0, 0, 4, 15, 3, 9, 3, 2, 0, 4, 6, 5, 0, 0.0, 1, 7, 3, 8, 1, 15, 15, 52.94, 82.35, 88.24, 11.798828125, 100.0, 100.0, 53.296875, 26.69921875, 88.1875, 0.0, 26.69921875, 40.0, 33.296875, 0.0, 0.0, 20.0, 6.69921875, 60.0, 46.6953125, 20.0, 20.0, 8.0, 1.0, 12.0, 6.0, 9.0, "Tous les candidats sauf les Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 51.0, "3472", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3472&g_ta_cod=3472", 24.0, 59.0, 18.0),
(2108, "Public", "0311713U", "I.U.T de Blagnac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Blagnac", "formation sélective", "BUT", "I.U.T de Blagnac - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation -  Administration, gestion et exploitation des données -  (Seconde année possible en apprentissage)", "BUT - Production", "Réalisation d'applications : conception, développement, validation -  Administration, gestion et exploitation des données -", 100, 1936, 162, 1936, 0, 1029, 210, 522, 147, 19, 9, 366, 0, 0, 0, 0, 0, 1481, 0, 0, 0, 978, 194, 366, 89, 0, 0, 137, 416, 99, 5, 99, 0, 13.0, 80.0, 94.0, 0, 20, 87, 43, 44, 0, 12, 0, 11, 30, 41, 5, 0.0, 42, 34, 0, 0, 0, 66, 66, 13.13, 80.81, 94.95, 5.099609375, 75.890625, 75.890625, 0, 23.0, 87.890625, 0.0, 12.599609375, 34.5, 47.09375, 5.7, 0.0, 49.3984375, 48.296875, 50.59375, 39.09375, 0.0, 0.0, 178.0, 46.0, 0.0, 0.0, 67.0, "Tous les candidats sauf les Bac technologiques", 353.0, "Bacheliers technologiques toutes séries", 300, "", 0, "Liste d'appel propre à cette formation", 34.0, "4197", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation -  Administration, gestion et exploitation des données -  (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4197&g_ta_cod=4197", 54.0, 46.0, 0.0),
(2109, "Privé sous contrat d'association", "0692525V", "IFTS Croix Rouge Française Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 3e  Arrondissement", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lyon - D.E Infirmier", "D.E secteur sanitaire", "", 93, 10460, 8915, 10460, 0, 1869, 413, 1705, 500, 1146, 486, 5740, 0, 0, 0, 0, 0, 7828, 0, 0, 0, 1671, 337, 1321, 348, 705, 284, 4131, 1569, 93, 79, 93, 0, 0.0, 6.0, 57.0, 0, 17, 48, 19, 17, 12, 45, 0, 12, 25, 10, 1, 0.0, 12, 13, 11, 0, 0, 16, 16, 0.0, 6.45, 61.29, 84.890625, 33.296875, 33.296875, 0, 35.3984375, 51.59375, 0.0, 25.0, 52.09375, 20.796875, 2.1, 0.0, 39.59375, 25.0, 35.3984375, 27.09765625, 25.0, 22.8984375, 449.0, 78.0, 135.0, 59.0, 696.0, "Tous les candidats", 3260.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "23166", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23001&g_ta_cod=23166", 54.0, 30.0, 16.0),
(2110, "Public", "9730429D", "Université de Guyane", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation non sélective", "Licence", "Université de Guyane - Licence - Droit - Parcours Droit, Science politique, Administration Publique", "Licence - Droit-économie-gestion", "Droit, Science politique, Administration Publique", 170, 425, 299, 336, 0, 237, 106, 42, 22, 22, 14, 35, 89, 20, 9, 15, 45, 335, 63, 0, 0, 237, 106, 41, 22, 22, 14, 35, 372, 123, 90, 80, 43, 37.0, 80.0, 102.0, 0, 48, 85, 64, 12, 9, 38, 13, 30, 30, 7, 5, 0.0, 31, 5, 6, 0, 0, 84, 84, 30.08, 65.04, 82.93, 73.1875, 98.796875, 98.796875, 0, 56.5, 69.09375, 15.298828125, 35.296875, 35.296875, 8.19921875, 5.9, 0.0, 75.296875, 36.5, 14.099609375, 5.8994140625, 10.599609375, 7.099609375, 244.0, 112.0, 28.0, 20.0, 61.0, "Tous les candidats", 334.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "11869", "Licence - Droit - Parcours Droit, Science politique, Administration Publique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11869&g_ta_cod=11869", 65.0, 17.0, 15.0),
(2111, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Droit - Parcours Economie - Gestion", "Licence - Droit-économie-gestion", "Economie - Gestion", 40, 432, 249, 432, 0, 273, 60, 73, 27, 20, 9, 66, 0, 0, 0, 0, 0, 428, 0, 0, 0, 273, 60, 73, 27, 20, 9, 62, 199, 38, 21, 38, 0, 11.0, 34.0, 37.0, 0, 8, 37, 36, 1, 0, 1, 0, 7, 20, 9, 1, 0.0, 29, 1, 0, 0, 0, 32, 32, 28.95, 89.47, 97.37, 55.296875, 86.5, 86.5, 0, 21.59765625, 97.390625, 0.0, 18.8984375, 54.09375, 24.296875, 2.7, 0.0, 97.296875, 78.390625, 2.69970703125, 2.69970703125, 0.0, 0.0, 169.0, 40.0, 1.0, 1.0, 13.0, "Tous les candidats", 277.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "31832", "Licence - Droit - Parcours Economie - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31832&g_ta_cod=31832", 97.0, 3.0, 0.0),
(2112, "Public", "0131596P", "Lycée Militaire d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Autre formation", "Lycée Militaire d'Aix-en-Provence - CPES - Littéraire", "Classe préparatoire aux études supérieures", "", 22, 88, 32, 88, 0, 80, 14, 1, 0, 2, 1, 5, 0, 0, 0, 0, 0, 55, 0, 0, 0, 55, 7, 0, 0, 0, 0, 0, 49, 20, 6, 20, 0, 6.0, 17.0, 19.0, 0, 4, 20, 20, 0, 0, 0, 0, 3, 10, 7, 0, 0.0, 17, 0, 0, 0, 0, 4, 4, 30.0, 85.0, 95.0, 30.0, 20.0, 20.0, 0, 20.0, 100.0, 0.0, 15.0, 50.0, 35.0, 0.0, 0.0, 100.0, 85.0, 0.0, 0.0, 0.0, 0.0, 49.0, 7.0, 0.0, 0.0, 0.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "20374", "CPES - Littéraire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20374&g_ta_cod=20374", 100.0, 0.0, 0.0),
(2113, "Public", "0650005C", "Lycée Victor Duruy", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Bagnères-de-Bigorre", "formation sélective", "BTS", "Lycée Victor Duruy - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 491, 70, 469, 0, 13, 4, 48, 10, 43, 10, 365, 22, 0, 5, 3, 14, 112, 12, 0, 0, 11, 3, 45, 9, 40, 9, 16, 106, 17, 1, 15, 2, 6.0, 15.0, 16.0, 0, 3, 14, 1, 3, 10, 3, 0, 10, 1, 2, 1, 0.0, 0, 0, 4, 6, 0, 11, 11, 35.29, 88.24, 94.12, 5.8994140625, 78.59375, 78.59375, 42.8984375, 21.3984375, 82.390625, 0.0, 71.390625, 7.099609375, 14.298828125, 7.1, 0.0, 7.099609375, 0.0, 21.3984375, 0.0, 71.390625, 28.59765625, 11.0, 3.0, 33.0, 9.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 23.0, "7803", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7803&g_ta_cod=7803", 24.0, 18.0, 59.0),
(2114, "Public", "0161095D", "Lycée Image et Son", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BTS", "Lycée Image et Son - BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "BTS - Services", "", 12, 1270, 451, 1270, 0, 632, 112, 132, 39, 107, 36, 399, 0, 0, 0, 0, 0, 243, 0, 0, 0, 161, 23, 4, 0, 43, 14, 35, 33, 12, 5, 12, 0, 5.0, 10.0, 12.0, 0, 4, 11, 9, 0, 2, 1, 0, 1, 1, 7, 2, 0.0, 9, 0, 1, 0, 0, 0, 0, 41.67, 83.33, 100.0, 41.6953125, 0.0, 0.0, 0, 36.3984375, 91.6875, 0.0, 9.099609375, 9.099609375, 63.59375, 18.2, 0.0, 81.796875, 81.796875, 0.0, 0.0, 18.19921875, 9.099609375, 24.0, 4.0, 4.0, 2.0, 5.0, "Tous les candidats sauf les Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 4.0, "3006", "BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3006&g_ta_cod=3006", 83.0, 0.0, 17.0),
(2115, "Privé sous contrat d'association", "0641545G", "Institut Agricole Secondaire Jean Errecart", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Saint-Palais", "formation sélective", "BTS", "Institut Agricole Secondaire Jean Errecart - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 30, 98, 40, 96, 0, 7, 1, 36, 14, 30, 13, 23, 2, 1, 0, 0, 1, 75, 1, 0, 0, 7, 1, 35, 14, 29, 12, 4, 58, 15, 2, 14, 1, 10.0, 14.0, 15.0, 0, 7, 15, 4, 4, 7, 0, 0, 2, 7, 5, 1, 0.0, 3, 3, 7, 8, 0, 15, 15, 66.67, 93.33, 100.0, 13.298828125, 100.0, 100.0, 53.296875, 46.6953125, 100.0, 0.0, 13.298828125, 46.6953125, 33.296875, 6.7, 0.0, 26.69921875, 20.0, 26.69921875, 20.0, 46.6953125, 46.6953125, 8.0, 1.0, 22.0, 11.0, 4.0, "Tous les candidats sauf les Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 78.0, "7764", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7764&g_ta_cod=7764", 27.0, 27.0, 47.0),
(2116, "Public", "0381603L", "Lycée Andre Argouges", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée Andre Argouges - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 30, 939, 659, 936, 0, 258, 52, 241, 72, 118, 48, 319, 3, 0, 0, 0, 3, 556, 0, 0, 0, 201, 30, 157, 37, 72, 24, 126, 145, 30, 25, 30, 0, 7.0, 23.0, 27.0, 0, 10, 21, 9, 4, 8, 9, 1, 4, 10, 3, 3, 0.0, 4, 4, 8, 8, 7, 18, 18, 23.33, 76.67, 90.0, 83.296875, 85.6875, 85.6875, 38.09375, 47.59375, 70.0, 4.7998046875, 19.0, 47.59375, 14.298828125, 14.3, 0.0, 42.8984375, 19.0, 19.0, 19.0, 38.09375, 38.09375, 62.0, 18.0, 16.0, 4.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 136.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 27.0, "4977", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4977&g_ta_cod=4977", 47.0, 27.0, 27.0),
(2117, "Public", "0220027K", "Lycée Fulgence Bienvenue", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Loudéac", "formation sélective", "BTS", "Lycée Fulgence Bienvenue - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 188, 95, 160, 0, 13, 3, 57, 15, 45, 22, 45, 28, 1, 10, 5, 12, 156, 10, 0, 0, 13, 3, 55, 13, 45, 22, 43, 113, 15, 8, 11, 3, 2.0, 9.0, 13.0, 0, 4, 8, 3, 3, 2, 7, 0, 3, 5, 0, 0, 0.0, 1, 2, 2, 2, 1, 6, 6, 13.33, 60.0, 86.67, 53.296875, 75.0, 75.0, 25, 50.0, 53.296875, 0.0, 37.5, 62.5, 0.0, 0.0, 0.0, 37.5, 12.5, 37.5, 25.0, 25.0, 25.0, 10.0, 3.0, 36.0, 20.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 98.0, "3314", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3314&g_ta_cod=3314", 27.0, 47.0, 27.0),
(2118, "Privé sous contrat d'association", "0290159R", "Lycée St-Sébastien", "29", "Finistère", "Bretagne", "Rennes", "Landerneau", "formation sélective", "BTS", "Lycée St-Sébastien - BTS - Services - Assurance", "BTS - Services", "", 35, 270, 141, 258, 0, 34, 5, 59, 16, 57, 14, 108, 12, 0, 8, 1, 3, 168, 7, 0, 0, 34, 5, 57, 15, 47, 9, 30, 124, 24, 13, 17, 4, 6.0, 13.0, 19.0, 0, 5, 19, 3, 10, 6, 5, 0, 7, 9, 2, 1, 0.0, 2, 5, 5, 4, 1, 19, 19, 25.0, 54.17, 79.17, 54.1953125, 100.0, 100.0, 21.09765625, 26.296875, 79.1875, 0.0, 36.796875, 47.3984375, 10.5, 5.3, 0.0, 15.798828125, 10.5, 52.59375, 26.296875, 31.59765625, 26.296875, 18.0, 5.0, 31.0, 5.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 65.0, "3811", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3811&g_ta_cod=3811", 21.0, 50.0, 29.0),
(2119, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 1 Capitole - Licence - Portail Droit - parcours Droit", "Licence - Droit-économie-gestion", "parcours Droit", 1580, 8385, 6125, 8363, 0, 5961, 1205, 753, 256, 141, 63, 1508, 22, 3, 7, 1, 11, 8337, 21, 0, 0, 5961, 1205, 753, 256, 141, 63, 1482, 5075, 1569, 1127, 1547, 21, 380.0, 1417.0, 1504.0, 0, 334, 1283, 1072, 167, 44, 286, 5, 344, 532, 329, 71, 2.0, 821, 82, 31, 0, 0, 1020, 1020, 24.22, 90.31, 95.86, 71.796875, 79.5, 79.5, 0, 26.0, 81.796875, 0.39996337890625, 26.796875, 41.5, 25.59765625, 5.5, 0.2, 83.59375, 64.0, 13.0, 6.3994140625, 3.39990234375, 2.39990234375, 3424.0, 705.0, 110.0, 57.0, 1022.0, "Tous les candidats", 6215.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 72.0, "17908", "Licence - Portail Droit - parcours Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28419&g_ta_cod=17908", 82.0, 13.0, 4.0),
(2120, "Public", "0251994G", "Lycée polyvalent Germaine Tillion", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "BTS", "Lycée polyvalent Germaine Tillion - BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "BTS - Services", "", 12, 616, 75, 616, 0, 189, 27, 114, 25, 57, 16, 256, 0, 0, 0, 0, 0, 313, 0, 0, 0, 138, 17, 51, 10, 35, 12, 89, 40, 12, 3, 12, 0, 2.0, 8.0, 11.0, 0, 3, 10, 4, 5, 1, 2, 0, 1, 5, 3, 1, 0.0, 3, 5, 1, 1, 0, 5, 5, 16.67, 66.67, 91.67, 25.0, 50.0, 50.0, 10, 30.0, 83.296875, 0.0, 10.0, 50.0, 30.0, 10.0, 0.0, 40.0, 30.0, 50.0, 50.0, 10.0, 10.0, 14.0, 4.0, 1.0, 1.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 1, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 9.0, "3490", "BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3490&g_ta_cod=3490", 50.0, 42.0, 8.0),
(2121, "Public", "0751722P", "Sorbonne Université - Sciences et Ingénierie", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Sciences et Ingénierie - Licence - Portail Sciences et Chinois", "Licence - Sciences - technologies - santé", "Sciences et Chinois", 15, 958, 480, 230, 0, 163, 32, 5, 1, 3, 2, 59, 728, 278, 29, 6, 415, 43, 7, 0, 0, 40, 2, 0, 0, 0, 0, 3, 48, 12, 6, 8, 4, 7.0, 8.0, 10.0, 0, 0, 8, 8, 0, 0, 4, 0, 0, 2, 5, 1, 0.0, 8, 0, 0, 0, 0, 2, 4, 58.33, 66.67, 83.33, 50.0, 25.0, 50.0, 0, 0.0, 66.6875, 0.0, 0.0, 25.0, 62.5, 12.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 40.0, 2.0, 0.0, 0.0, 8.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "30873", "Licence - Portail Sciences et Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30873&g_ta_cod=30873", 100.0, 0.0, 0.0),
(2122, "Privé sous contrat d'association", "0450848C", "ERTS", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Olivet", "formation sélective", "EFTS", "ERTS - D.E Educateur Technique Spécialisé", "D.E secteur social", "", 10, 30, 22, 21, 0, 4, 0, 2, 0, 5, 2, 10, 9, 1, 0, 1, 7, 10, 2, 0, 0, 3, 0, 2, 0, 0, 0, 5, 12, 6, 4, 5, 1, 5.0, 5.0, 6.0, 0, 0, 2, 1, 1, 0, 4, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 83.33, 83.33, 100.0, 66.6875, 50.0, 50.0, 0, 0.0, 33.296875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 0.0, 0.0, 0.0, 3.0, 0.0, 1.0, 0.0, 6.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "24890", "D.E Educateur Technique Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24890&g_ta_cod=24890", 33.0, 50.0, 17.0),
(2123, "Privé sous contrat d'association", "0870081R", "Lycée Beaupeyrat", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée Beaupeyrat - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 290, 30, 265, 0, 56, 8, 54, 20, 33, 11, 122, 25, 0, 10, 0, 15, 185, 6, 0, 0, 55, 8, 52, 18, 32, 10, 46, 167, 30, 3, 29, 1, 3.0, 25.0, 28.0, 0, 4, 19, 6, 8, 5, 11, 0, 16, 3, 0, 0, 0.0, 0, 2, 1, 0, 0, 9, 9, 10.0, 83.33, 93.33, 10.0, 47.3984375, 47.3984375, 0, 21.09765625, 63.296875, 0.0, 84.1875, 15.798828125, 0.0, 0.0, 0.0, 31.59765625, 0.0, 42.09375, 10.5, 26.296875, 5.2998046875, 47.0, 7.0, 26.0, 8.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 82.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 69.0, "10679", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10679&g_ta_cod=10679", 43.0, 37.0, 20.0),
(2124, "Public", "0330192E", "Sciences Po Bordeaux - Institut d'études politiques", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Autre formation", "Sciences Po Bordeaux - Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Filière intégrée France-Caraïbe (FIFCA)", "Sciences politiques", "Filière intégrée France-Caraïbe (FIFCA)", 10, 77, 55, 77, 0, 0, 0, 0, 0, 0, 0, 77, 0, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 11, 10, 8, 10, 0, 9.0, 9.0, 10.0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 90.0, 90.0, 100.0, 80.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 11.0, "Tous les candidats", 11.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "25934", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Filière intégrée France-Caraïbe (FIFCA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25934&g_ta_cod=25934", 100.0, 0.0, 0.0),
(2125, "Public", "0320691C", "I.U.T de Toulouse - Antenne d'Auch", "32", "Gers", "Occitanie", "Toulouse", "Auch", "formation sélective", "BUT", "I.U.T de Toulouse - Antenne d'Auch - BUT - Génie biologique Parcours agronomie", "BUT - Production", "", 53, 1169, 656, 1169, 0, 778, 82, 144, 27, 1, 0, 246, 0, 0, 0, 0, 0, 1095, 0, 0, 0, 767, 81, 112, 16, 0, 0, 216, 409, 55, 29, 55, 0, 6.0, 31.0, 45.0, 0, 5, 46, 28, 18, 0, 9, 0, 6, 20, 19, 1, 0.0, 24, 16, 0, 0, 0, 31, 31, 10.91, 56.36, 81.82, 52.6953125, 67.390625, 67.390625, 0, 10.8984375, 83.59375, 0.0, 13.0, 43.5, 41.296875, 2.2, 0.0, 60.8984375, 52.1953125, 39.09375, 34.796875, 0.0, 0.0, 215.0, 33.0, 0.0, 0.0, 107.0, "Tous les candidats sauf les Bac technologiques", 471.0, "Bacheliers technologiques toutes séries", 127, "", 0, "Liste d'appel propre à cette formation", 51.0, "4264", "BUT - Génie biologique Parcours agronomie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4264&g_ta_cod=4264", 62.0, 38.0, 0.0),
(2126, "Public", "0910627M", "Lycée Jean Baptiste Corot", "91", "Essonne", "Ile-de-France", "Versailles", "Savigny-sur-Orge", "formation sélective", "CPGE", "Lycée Jean Baptiste Corot - CPGE - PCSI", "Classe préparatoire scientifique", "", 44, 602, 191, 602, 0, 479, 73, 3, 1, 1, 1, 119, 0, 0, 0, 0, 0, 376, 0, 0, 376, 355, 44, 0, 0, 0, 0, 21, 274, 41, 13, 41, 0, 12.0, 33.0, 38.0, 0, 5, 39, 39, 0, 0, 2, 0, 1, 6, 26, 6, 0.0, 38, 0, 0, 12, 6, 38, 39, 29.27, 80.49, 92.68, 31.69921875, 97.390625, 100.0, 30.796875, 12.798828125, 95.09375, 0.0, 2.599609375, 15.3984375, 66.6875, 15.4, 0.0, 100.0, 97.390625, 0.0, 0.0, 0.0, 0.0, 254.0, 35.0, 0.0, 0.0, 20.0, "Tous les candidats", 311.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "10862", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10862&g_ta_cod=10862", 100.0, 0.0, 0.0),
(2127, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 200, 2743, 2393, 2743, 0, 1443, 382, 302, 117, 56, 29, 942, 0, 0, 0, 0, 0, 2743, 0, 0, 0, 1443, 382, 302, 117, 56, 29, 942, 552, 200, 181, 200, 0, 82.0, 167.0, 183.0, 0, 34, 125, 108, 15, 2, 75, 0, 10, 48, 55, 10, 2.0, 99, 14, 2, 0, 0, 122, 122, 41.0, 83.5, 91.5, 90.5, 97.59375, 97.59375, 0, 27.19921875, 62.5, 0.0, 8.0, 38.3984375, 44.0, 8.0, 1.6, 86.390625, 79.1875, 12.0, 11.19921875, 1.599853515625, 1.599853515625, 302.0, 80.0, 7.0, 3.0, 174.0, "Tous les candidats", 716.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "15968", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15968&g_ta_cod=15968", 80.0, 14.0, 5.0),
(2128, "Public", "0022049S", "Université d'Amiens - Antenne de Soissons", "02", "Aisne", "Hauts-de-France", "Amiens", "Cuffies", "formation non sélective", "Licence_Las", "Université d'Amiens - Antenne de Soissons - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - PORTAIL 1ere ANNEE STAPS CUFFIES (éducation et motricité)", "Licence - STAPS", "PORTAIL 1ere ANNEE STAPS CUFFIES (éducation et motricité)", 10, 460, 177, 460, 0, 315, 48, 58, 19, 13, 7, 74, 0, 0, 0, 0, 0, 460, 0, 0, 0, 315, 48, 58, 19, 13, 7, 74, 52, 9, 2, 9, 0, 0.0, 5.0, 7.0, 0, 2, 7, 6, 1, 0, 2, 0, 2, 4, 1, 0, 0.0, 4, 1, 0, 0, 0, 7, 7, 0.0, 55.56, 77.78, 22.19921875, 100.0, 100.0, 0, 28.59765625, 77.796875, 0.0, 28.59765625, 57.09375, 14.298828125, 0.0, 0.0, 85.6875, 57.09375, 14.298828125, 14.298828125, 0.0, 0.0, 34.0, 7.0, 0.0, 0.0, 15.0, "Tous les candidats", 151.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "32587", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - PORTAIL 1ere ANNEE STAPS CUFFIES (éducation et motricité)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32586&g_ta_cod=32587", 89.0, 11.0, 0.0),
(2129, "Public", "0760035A", "Lycée Guy De Maupassant", "76", "Seine-Maritime", "Normandie", "Normandie", "Fécamp", "formation sélective", "BTS", "Lycée Guy De Maupassant - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 14, 153, 6, 153, 0, 2, 0, 39, 7, 86, 20, 26, 0, 0, 0, 0, 0, 111, 0, 0, 0, 2, 0, 28, 4, 73, 15, 8, 48, 15, 0, 15, 0, 7.0, 10.0, 13.0, 0, 3, 14, 0, 6, 8, 1, 0, 6, 3, 4, 1, 0.0, 0, 1, 7, 5, 0, 14, 14, 46.67, 66.67, 86.67, 0.0, 100.0, 100.0, 35.6953125, 21.3984375, 93.296875, 0.0, 42.8984375, 21.3984375, 28.59765625, 7.1, 0.0, 0.0, 0.0, 42.8984375, 7.099609375, 57.09375, 50.0, 0.0, 0.0, 32.0, 7.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 35.0, "9567", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9567&g_ta_cod=9567", 7.0, 40.0, 53.0),
(2130, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence_Las", "Université de Poitiers - Licence - Portail  -  option Santé", "Licence - Sciences - technologies - santé", "", 200, 2131, 1503, 2131, 0, 1681, 265, 93, 14, 2, 1, 355, 0, 0, 0, 0, 0, 2124, 0, 0, 0, 1681, 265, 93, 14, 2, 1, 348, 417, 198, 145, 198, 0, 91.0, 172.0, 190.0, 0, 33, 195, 195, 0, 0, 3, 1, 1, 12, 93, 78, 10.0, 193, 0, 0, 0, 0, 190, 190, 45.96, 86.87, 95.96, 73.1875, 97.390625, 97.390625, 0, 16.8984375, 98.5, 0.5, 0.5, 6.19921875, 47.6953125, 40.0, 5.1, 100.0, 99.0, 0.0, 0.0, 0.0, 0.0, 403.0, 63.0, 0.0, 0.0, 14.0, "Tous les candidats", 471.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "28739", "Licence - Portail  -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28739&g_ta_cod=28739", 99.0, 1.0, 0.0),
(2131, "Public", "0941776V", "IFSI Henri Mondor (AP-HP)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "IFSI", "Regroupement d'IFSI UPEC (P12)  - D.E Infirmier", "D.E secteur sanitaire", "", 229, 5157, 4563, 5157, 0, 595, 157, 905, 344, 784, 375, 2873, 0, 0, 0, 0, 0, 3512, 0, 0, 0, 547, 137, 645, 232, 487, 225, 1833, 834, 222, 200, 218, 0, 41.0, 159.0, 204.0, 0, 39, 141, 67, 52, 22, 81, 0, 16, 65, 47, 13, 0.0, 53, 51, 21, 0, 0, 88, 125, 18.47, 71.62, 91.89, 90.09375, 62.3984375, 88.6875, 0, 27.69921875, 63.5, 0.0, 11.298828125, 46.09375, 33.296875, 9.2, 0.0, 47.5, 37.59375, 36.8984375, 36.1953125, 15.599609375, 14.8984375, 247.0, 63.0, 82.0, 42.0, 359.0, "Tous les candidats", 1586.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "23279", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23006&g_ta_cod=23279", 55.0, 29.0, 15.0),
(2132, "Public", "0830053G", "Lycée Dumont d'Urville", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "CPGE", "Lycée Dumont d'Urville - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 938, 349, 856, 571, 543, 61, 1, 1, 1, 1, 311, 82, 42, 1, 0, 39, 601, 44, 433, 573, 513, 54, 0, 0, 0, 0, 88, 566, 55, 19, 42, 13, 2.0, 35.0, 52.0, 23, 4, 42, 42, 0, 0, 13, 0, 3, 16, 15, 8, 0.0, 39, 0, 0, 5, 2, 25, 25, 3.64, 63.64, 94.55, 34.5, 59.5, 59.5, 11.8984375, 9.5, 76.390625, 0.0, 7.099609375, 38.09375, 35.6953125, 19.0, 0.0, 100.0, 92.890625, 0.0, 0.0, 0.0, 0.0, 475.0, 46.0, 0.0, 0.0, 91.0, "Tous les candidats", 601.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "10343", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10343&g_ta_cod=10343", 100.0, 0.0, 0.0),
(2133, "Public", "0921619K", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS)", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Châtenay-Malabry", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS) - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 10, 81, 22, 65, 0, 13, 1, 15, 2, 16, 6, 21, 16, 6, 2, 1, 7, 13, 2, 0, 0, 4, 0, 1, 0, 3, 1, 5, 18, 6, 1, 3, 2, 2.0, 3.0, 4.0, 0, 0, 3, 2, 0, 1, 3, 0, 1, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 1, 2, 33.33, 50.0, 66.67, 16.69921875, 33.296875, 66.6875, 0, 0.0, 50.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 66.6875, 66.6875, 0.0, 0.0, 33.296875, 0.0, 8.0, 0.0, 3.0, 1.0, 6.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "27144", "BPJEPS - Activités aquatiques et de la natation", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21352&g_ta_cod=27144", 67.0, 17.0, 17.0),
(2134, "Public", "0951147F", "Lycée Fragonard", "95", "Val-d'oise", "Ile-de-France", "Versailles", "L'Isle-Adam", "formation sélective", "BTS", "Lycée Fragonard - BTS - Services - Commerce International", "BTS - Services", "", 35, 845, 443, 845, 0, 155, 31, 272, 97, 132, 49, 286, 0, 0, 0, 0, 0, 289, 0, 0, 0, 44, 9, 151, 53, 67, 25, 27, 162, 35, 14, 35, 0, 6.0, 26.0, 28.0, 0, 8, 31, 4, 18, 9, 4, 0, 13, 14, 2, 2, 0.0, 3, 9, 6, 1, 0, 29, 30, 17.14, 74.29, 80.0, 40.0, 93.5, 96.796875, 3.19970703125, 25.796875, 88.59375, 0.0, 41.8984375, 45.1953125, 6.5, 6.5, 0.0, 12.8984375, 9.69921875, 58.09375, 29.0, 29.0, 19.3984375, 19.0, 5.0, 28.0, 6.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 127, "Liste d'appel propre à cette formation", 23.0, "11599", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11599&g_ta_cod=11599", 11.0, 63.0, 26.0),
(2135, "Public", "0251821U", "Université de Franche-Comté - Site de Montbéliard", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "Autre formation", "Université de Franche-Comté - Site de Montbéliard - DEUST - Animation et gestion des activités physiques, sportives ou culturelles", "DEUST", "", 20, 304, 77, 304, 0, 136, 19, 62, 14, 31, 7, 75, 0, 0, 0, 0, 0, 281, 0, 0, 0, 135, 19, 49, 9, 30, 7, 67, 120, 17, 2, 17, 0, 2.0, 9.0, 11.0, 0, 2, 8, 5, 2, 1, 9, 0, 7, 0, 1, 0, 0.0, 0, 1, 0, 0, 0, 5, 5, 11.76, 52.94, 64.71, 11.798828125, 62.5, 62.5, 0, 25.0, 47.09375, 0.0, 87.5, 0.0, 12.5, 0.0, 0.0, 62.5, 0.0, 25.0, 12.5, 12.5, 0.0, 50.0, 8.0, 16.0, 4.0, 41.0, "Tous les candidats", 177.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "21201", "DEUST - Animation et gestion des activités physiques, sportives ou culturelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21201&g_ta_cod=21201", 59.0, 18.0, 24.0),
(2136, "Public", "0951710T", "Lycée Camille Claudel", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Vauréal", "formation sélective", "Autre formation", "Lycée Camille Claudel - DN MADE - Espace - - Spécialité : Scénographie : théâtre, danse, exposition", "DN MADE", "- Spécialité : Scénographie : théâtre, danse, exposition", 15, 349, 313, 349, 0, 127, 19, 92, 10, 28, 7, 102, 0, 0, 0, 0, 0, 194, 0, 0, 0, 86, 3, 73, 8, 14, 1, 21, 89, 14, 13, 14, 0, 2.0, 13.0, 13.0, 0, 3, 12, 6, 6, 0, 2, 0, 1, 5, 5, 1, 0.0, 6, 5, 0, 0, 0, 2, 3, 14.29, 92.86, 92.86, 92.890625, 16.69921875, 25.0, 0, 25.0, 85.6875, 0.0, 8.298828125, 41.6953125, 41.6953125, 8.3, 0.0, 50.0, 50.0, 50.0, 41.6953125, 0.0, 0.0, 36.0, 3.0, 3.0, 1.0, 8.0, "Tous les candidats", 118.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "21602", "DN MADE - Espace - - Spécialité : Scénographie : théâtre, danse, exposition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21602&g_ta_cod=21602", 57.0, 43.0, 0.0),
(2137, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Sciences de la vie et de la terre", "Licence - Sciences - technologies - santé", "", 43, 2443, 1641, 2443, 0, 1593, 276, 65, 17, 7, 3, 778, 0, 0, 0, 0, 0, 2443, 0, 0, 0, 1593, 276, 65, 17, 7, 3, 778, 371, 41, 27, 41, 0, 0.0, 20.0, 36.0, 0, 7, 32, 32, 0, 0, 9, 0, 0, 3, 21, 6, 2.0, 32, 0, 0, 0, 0, 5, 24, 0.0, 48.78, 87.8, 65.890625, 15.599609375, 75.0, 0, 21.8984375, 78.0, 0.0, 0.0, 9.3984375, 65.59375, 18.8, 6.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 213.0, 46.0, 0.0, 0.0, 158.0, "Tous les candidats", 717.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "23326", "Licence - Sciences de la vie et de la terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23326&g_ta_cod=23326", 100.0, 0.0, 0.0),
(2138, "Public", "0170028N", "Lycée Jean Dautet", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Autre formation", "Lycée Jean Dautet - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 421, 194, 421, 0, 208, 36, 95, 23, 4, 2, 114, 0, 0, 0, 0, 0, 310, 0, 0, 0, 192, 31, 77, 17, 0, 0, 41, 153, 32, 16, 32, 0, 9.0, 32.0, 32.0, 0, 10, 29, 21, 8, 0, 3, 0, 9, 11, 7, 2, 0.0, 12, 8, 0, 0, 0, 26, 26, 28.13, 100.0, 100.0, 50.0, 89.6875, 89.6875, 0, 34.5, 90.59375, 0.0, 31.0, 37.8984375, 24.09765625, 6.9, 0.0, 72.390625, 41.3984375, 27.59765625, 27.59765625, 0.0, 0.0, 102.0, 16.0, 0.0, 0.0, 23.0, "Tous les candidats", 264.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "14581", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14581&g_ta_cod=14581", 75.0, 25.0, 0.0),
(2139, "Public", "0770943G", "Lycée professionnel Benjamin Franklin", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "La Rochette", "formation sélective", "BTS", "Lycée professionnel Benjamin Franklin - BTS - Production - Enveloppe des bâtiments : conception et réalisation (Seconde année en apprentissage)", "BTS - Production", "", 17, 164, 23, 164, 0, 11, 2, 47, 7, 50, 14, 56, 0, 0, 0, 0, 0, 163, 0, 0, 0, 11, 2, 47, 7, 50, 14, 55, 71, 16, 2, 16, 0, 4.0, 8.0, 11.0, 0, 1, 11, 0, 4, 7, 5, 0, 8, 2, 1, 0, 0.0, 0, 1, 2, 4, 1, 9, 11, 25.0, 50.0, 68.75, 12.5, 81.796875, 100.0, 36.3984375, 9.099609375, 68.796875, 0.0, 72.6875, 18.19921875, 9.099609375, 0.0, 0.0, 0.0, 0.0, 36.3984375, 9.099609375, 63.59375, 18.19921875, 1.0, 1.0, 42.0, 10.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 56.0, "9826", "BTS - Production - Enveloppe des bâtiments : conception et réalisation (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9826&g_ta_cod=9826", 13.0, 25.0, 63.0),
(2140, "Public", "0260023J", "Lycée Du Dauphine", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Romans-sur-Isère", "formation sélective", "BTS", "Lycée Du Dauphine - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 847, 432, 842, 0, 43, 15, 269, 91, 255, 107, 275, 5, 0, 3, 0, 2, 667, 3, 0, 0, 43, 15, 257, 87, 249, 104, 118, 264, 33, 9, 33, 0, 1.0, 19.0, 27.0, 0, 10, 26, 2, 10, 14, 7, 0, 13, 11, 2, 0, 0.0, 1, 2, 10, 7, 4, 23, 23, 3.03, 57.58, 81.82, 27.296875, 88.5, 88.5, 26.8984375, 38.5, 78.796875, 0.0, 50.0, 42.296875, 7.69921875, 0.0, 0.0, 7.69921875, 3.7998046875, 38.5, 7.69921875, 53.796875, 38.5, 13.0, 6.0, 99.0, 46.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 171, "Bacheliers technologiques toutes séries", 147, "Liste d'appel propre à cette formation", 40.0, "3618", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3618&g_ta_cod=3618", 9.0, 42.0, 48.0),
(2141, "Public", "0801328J", "Lycée agricole de la Haute Somme-Péronne", "80", "Somme", "Hauts-de-France", "Amiens", "Péronne", "formation sélective", "BTS", "Lycée agricole de la Haute Somme-Péronne - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 26, 168, 79, 157, 0, 9, 0, 17, 3, 27, 14, 104, 11, 2, 2, 5, 2, 62, 8, 0, 0, 8, 0, 17, 3, 27, 14, 10, 68, 12, 8, 8, 4, 3.0, 8.0, 12.0, 0, 2, 10, 2, 3, 5, 2, 0, 7, 1, 2, 0, 0.0, 1, 0, 2, 1, 1, 8, 8, 25.0, 66.67, 100.0, 66.6875, 80.0, 80.0, 10, 20.0, 83.296875, 0.0, 70.0, 10.0, 20.0, 0.0, 0.0, 20.0, 10.0, 30.0, 0.0, 50.0, 20.0, 10.0, 0.0, 32.0, 16.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 39.0, "15885", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15885&g_ta_cod=15885", 25.0, 25.0, 50.0),
(2142, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Licence", "Université Grenoble Alpes  - Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Double licence : anglais/espagnol", "Licence - Arts-lettres-langues", "Double licence : anglais/espagnol", 20, 268, 198, 183, 0, 142, 33, 6, 0, 1, 1, 34, 85, 15, 3, 5, 62, 95, 10, 0, 0, 79, 13, 0, 0, 1, 1, 15, 74, 10, 8, 6, 3, 1.0, 6.0, 10.0, 0, 2, 9, 9, 0, 0, 1, 0, 0, 2, 3, 4, 0.0, 9, 0, 0, 0, 0, 7, 7, 10.0, 60.0, 100.0, 80.0, 77.796875, 77.796875, 0, 22.19921875, 90.0, 0.0, 0.0, 22.19921875, 33.296875, 44.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 56.0, 9.0, 1.0, 1.0, 17.0, "Tous les candidats", 94.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "17990", "Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Double licence : anglais/espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17990&g_ta_cod=17990", 100.0, 0.0, 0.0),
(2143, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Géographie et aménagement - Parcours Licence 1 Géographie et aménagement", "Licence - Sciences humaines et sociales", "Licence 1 Géographie et aménagement", 220, 916, 395, 734, 0, 507, 79, 48, 13, 16, 3, 163, 182, 46, 12, 10, 114, 730, 176, 0, 0, 507, 79, 48, 13, 16, 3, 159, 911, 203, 80, 139, 64, 136.0, 137.0, 176.0, 0, 21, 128, 105, 15, 8, 75, 0, 52, 52, 21, 3, 0.0, 64, 7, 5, 0, 0, 108, 108, 67.0, 67.49, 86.7, 39.3984375, 84.390625, 84.390625, 0, 16.3984375, 63.09375, 0.0, 40.59375, 40.59375, 16.3984375, 2.3, 0.0, 82.0, 50.0, 11.69921875, 5.5, 6.2998046875, 3.89990234375, 557.0, 83.0, 26.0, 9.0, 268.0, "Tous les candidats", 730.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4421", "Licence - Géographie et aménagement - Parcours Licence 1 Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4421&g_ta_cod=4421", 80.0, 13.0, 5.0),
(2144, "Public", "0512004B", "I.U.T. Reims-Châlons-Charleville - site de Châlons", "51", "Marne", "Grand Est", "Reims", "Châlons-en-Champagne", "formation sélective", "BUT", "I.U.T. Reims-Châlons-Charleville - site de Châlons - BUT - Réseaux et télécommunications", "BUT - Production", "", 40, 406, 47, 401, 0, 183, 33, 99, 35, 16, 4, 103, 5, 0, 0, 1, 4, 272, 2, 0, 0, 142, 26, 75, 25, 11, 2, 44, 148, 39, 2, 37, 2, 6.0, 35.0, 36.0, 0, 10, 33, 17, 13, 3, 6, 0, 18, 11, 3, 1, 0.0, 10, 3, 2, 0, 0, 22, 22, 15.38, 89.74, 92.31, 5.099609375, 66.6875, 66.6875, 0, 30.296875, 84.59375, 0.0, 54.5, 33.296875, 9.099609375, 3.0, 0.0, 51.5, 30.296875, 39.3984375, 9.099609375, 9.099609375, 6.099609375, 69.0, 13.0, 6.0, 3.0, 20.0, "Tous les candidats sauf les Bac technologiques", 100.0, "Bacheliers technologiques toutes séries", 79, "", 0, "Liste d'appel propre à cette formation", 45.0, "6165", "BUT - Réseaux et télécommunications", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6165&g_ta_cod=6165", 56.0, 36.0, 8.0),
(2145, "Public", "0681882B", "Lycée Martin Schongauer", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BTS", "Lycée Martin Schongauer - BTS - Services - Professions immobilières", "BTS - Services", "", 43, 1070, 646, 1054, 0, 244, 51, 315, 89, 224, 99, 271, 16, 2, 4, 0, 10, 532, 1, 0, 0, 179, 36, 191, 52, 102, 46, 60, 180, 40, 29, 38, 1, 14.0, 21.0, 34.0, 0, 9, 33, 16, 11, 6, 7, 0, 10, 11, 12, 0, 0.0, 9, 9, 5, 3, 3, 23, 23, 35.0, 52.5, 85.0, 72.5, 69.6875, 69.6875, 9.099609375, 27.296875, 82.5, 0.0, 30.296875, 33.296875, 36.3984375, 0.0, 0.0, 48.5, 27.296875, 33.296875, 27.296875, 18.19921875, 15.19921875, 73.0, 17.0, 26.0, 14.0, 19.0, "Tous les candidats sauf les Bac professionnels", 279.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 30.0, "8176", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8176&g_ta_cod=8176", 43.0, 38.0, 20.0),
(2146, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Sciences pour l'ingénieur - Parcours International", "Licence - Sciences - technologies - santé", "International", 12, 281, 76, 272, 0, 178, 25, 4, 1, 0, 0, 90, 9, 2, 2, 0, 5, 160, 0, 0, 0, 114, 16, 1, 1, 0, 0, 45, 67, 10, 3, 10, 0, 0.0, 7.0, 9.0, 0, 1, 4, 4, 0, 0, 6, 0, 0, 0, 2, 2, 0.0, 4, 0, 0, 0, 0, 1, 1, 0.0, 70.0, 90.0, 30.0, 25.0, 25.0, 0, 25.0, 40.0, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 46.0, 9.0, 0.0, 0.0, 20.0, "Tous les candidats", 105.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "26342", "Licence - Sciences pour l'ingénieur - Parcours International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26342&g_ta_cod=26342", 100.0, 0.0, 0.0),
(2147, "Public", "0672462M", "I.U.T. de Schiltigheim", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Schiltigheim", "formation sélective", "Autre formation", "I.U.T. de Schiltigheim - Diplôme d'Université - AccES", "Diplôme d'Université", "AccES", 32, 21, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21, 4, 6, 0, 11, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 1, 0, 0, 1, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.0, 0.0, 0.0, 0.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25735", "Diplôme d'Université - AccES", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25735&g_ta_cod=25735", 0.0, 100.0, 0.0),
(2148, "Public", "0930833A", "Lycée Jean Zay", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aulnay-sous-Bois", "formation sélective", "BTS", "Lycée Jean Zay - BTS - Services - Commerce International", "BTS - Services", "", 35, 1187, 647, 1187, 0, 168, 88, 440, 230, 207, 115, 372, 0, 0, 0, 0, 0, 1187, 0, 0, 0, 168, 88, 440, 230, 207, 115, 372, 135, 35, 21, 35, 0, 9.0, 27.0, 33.0, 0, 13, 29, 3, 19, 7, 6, 0, 4, 14, 11, 0, 0.0, 1, 17, 7, 9, 5, 29, 29, 25.71, 77.14, 94.29, 60.0, 100.0, 100.0, 31, 44.796875, 82.890625, 0.0, 13.798828125, 48.296875, 37.8984375, 0.0, 0.0, 10.298828125, 3.39990234375, 65.5, 58.59375, 24.09765625, 24.09765625, 24.0, 11.0, 21.0, 13.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 16.0, "11207", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11207&g_ta_cod=11207", 20.0, 60.0, 20.0),
(2149, "Public", "0650026A", "Lycée Marie Curie", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 510, 275, 508, 0, 56, 13, 141, 42, 123, 57, 188, 2, 1, 0, 0, 1, 418, 2, 0, 0, 56, 13, 141, 42, 123, 57, 98, 139, 22, 13, 20, 2, 1.0, 14.0, 19.0, 0, 10, 19, 3, 6, 10, 3, 0, 10, 4, 4, 1, 0.0, 1, 0, 8, 6, 2, 14, 14, 4.55, 63.64, 86.36, 59.09375, 73.6875, 73.6875, 31.59765625, 52.59375, 86.390625, 0.0, 52.59375, 21.09765625, 21.09765625, 5.3, 0.0, 15.798828125, 5.2998046875, 31.59765625, 0.0, 52.59375, 42.09375, 32.0, 11.0, 42.0, 15.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 84, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 43.0, "7809", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7809&g_ta_cod=7809", 27.0, 27.0, 45.0),
(2150, "Public", "0681222J", "Lycée agricole Du Pflixbourg", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Wintzenheim", "formation sélective", "BTS", "Lycée agricole Du Pflixbourg - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 27, 260, 100, 241, 0, 34, 2, 45, 4, 38, 6, 124, 19, 2, 3, 4, 10, 96, 10, 0, 0, 10, 0, 35, 3, 26, 5, 25, 85, 17, 8, 10, 7, 3.0, 10.0, 13.0, 0, 1, 11, 1, 3, 7, 6, 0, 6, 2, 3, 0, 0.0, 0, 2, 3, 4, 1, 7, 7, 17.65, 58.82, 76.47, 47.09375, 63.59375, 63.59375, 36.3984375, 9.099609375, 64.6875, 0.0, 54.5, 18.19921875, 27.296875, 0.0, 0.0, 9.099609375, 0.0, 27.296875, 18.19921875, 63.59375, 27.296875, 9.0, 0.0, 23.0, 2.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 39.0, "18721", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18721&g_ta_cod=18721", 35.0, 24.0, 41.0),
(2151, "Public", "0311713U", "I.U.T de Blagnac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Blagnac", "formation sélective", "BUT", "I.U.T de Blagnac - BUT - Réseaux et télécommunications Parcours : Cybersécurité - Internet des objets et mobilité (Seconde année possible en apprentissage)", "BUT - Production", "Cybersécurité - Internet des objets et mobilité", 78, 1396, 110, 1396, 0, 712, 128, 413, 112, 14, 5, 257, 0, 0, 0, 0, 0, 1085, 0, 0, 0, 673, 111, 273, 61, 0, 0, 139, 362, 76, 6, 76, 0, 6.0, 55.0, 70.0, 0, 19, 66, 36, 30, 0, 10, 0, 10, 35, 21, 0, 0.0, 31, 25, 0, 0, 0, 44, 44, 7.89, 72.37, 92.11, 7.8994140625, 66.6875, 66.6875, 0, 28.796875, 86.796875, 0.0, 15.19921875, 53.0, 31.796875, 0.0, 0.0, 54.5, 47.0, 45.5, 37.8984375, 0.0, 0.0, 173.0, 42.0, 0.0, 0.0, 55.0, "Tous les candidats sauf les Bac technologiques", 329.0, "Bacheliers technologiques toutes séries", 236, "", 0, "Liste d'appel propre à cette formation", 40.0, "4198", "BUT - Réseaux et télécommunications Parcours : Cybersécurité - Internet des objets et mobilité (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4198&g_ta_cod=4198", 51.0, 49.0, 0.0),
(2152, "Public", "0930834B", "Lycée Voillaume", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aulnay-sous-Bois", "formation sélective", "Autre formation", "Lycée Voillaume - Mention complémentaire - FCIL classe passerelle BTS option production", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 0, 0, 0, 0.0, 0.0, 1.0, 0, 6, 15, 0, 2, 13, 1, 0, 9, 5, 1, 0, 0.0, 0, 0, 6, 0, 0, 15, 15, 0.0, 0.0, 6.25, 0.0, 100.0, 100.0, 0, 40.0, 93.796875, 0.0, 60.0, 33.296875, 6.69921875, 0.0, 0.0, 0.0, 0.0, 13.298828125, 0.0, 86.6875, 40.0, 0.0, 0.0, 25.0, 13.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30700", "Mention complémentaire - FCIL classe passerelle BTS option production", "", "", 0.0, 13.0, 88.0),
(2153, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Antenne de Bobigny - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 165, 4714, 3398, 4714, 0, 2802, 705, 229, 101, 10, 3, 1673, 0, 0, 0, 0, 0, 4712, 0, 0, 0, 2802, 705, 229, 101, 10, 3, 1671, 1513, 160, 116, 160, 0, 5.0, 44.0, 102.0, 0, 29, 96, 86, 9, 1, 64, 0, 17, 50, 24, 4, 1.0, 70, 8, 1, 0, 0, 57, 85, 3.13, 27.5, 63.75, 72.5, 59.3984375, 88.5, 0, 30.19921875, 60.0, 0.0, 17.69921875, 52.09375, 25.0, 4.2, 1.0, 89.59375, 72.890625, 9.3984375, 8.298828125, 1.0, 1.0, 946.0, 217.0, 2.0, 1.0, 535.0, "Tous les candidats", 2745.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 44.0, "11269", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27229&g_ta_cod=11269", 91.0, 8.0, 1.0),
(2154, "Public", "0570057C", "Lycée Robert Schuman", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée Robert Schuman - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 692, 92, 690, 0, 115, 30, 164, 61, 138, 54, 273, 2, 0, 0, 0, 2, 370, 0, 0, 0, 88, 21, 100, 34, 106, 36, 76, 135, 30, 3, 30, 0, 7.0, 27.0, 27.0, 0, 12, 24, 7, 5, 12, 6, 0, 5, 13, 5, 1, 0.0, 5, 4, 10, 0, 0, 22, 22, 23.33, 90.0, 90.0, 10.0, 91.6875, 91.6875, 0, 50.0, 80.0, 0.0, 20.796875, 54.1953125, 20.796875, 4.2, 0.0, 29.19921875, 20.796875, 20.796875, 16.69921875, 50.0, 41.6953125, 39.0, 12.0, 42.0, 17.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 27.0, "6535", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6535&g_ta_cod=6535", 23.0, 33.0, 43.0),
(2155, "Public", "0142326C", "IFMEM INST FORM MANIPULATEURS ELECTRORADIO. MEDIC. CHU CAEN", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "Autre formation", "IFMEM INST FORM MANIPULATEURS ELECTRORADIO. MEDIC. CHU CAEN - D.E manipulateur/trice en électroradiologie médicale", "D.E secteur sanitaire", "", 25, 498, 395, 498, 0, 94, 18, 176, 51, 10, 3, 218, 0, 0, 0, 0, 0, 179, 0, 0, 0, 59, 7, 64, 22, 0, 0, 56, 98, 24, 20, 24, 0, 3.0, 21.0, 23.0, 0, 4, 17, 9, 8, 0, 7, 0, 1, 13, 2, 1, 0.0, 9, 7, 0, 0, 0, 12, 12, 12.5, 87.5, 95.83, 83.296875, 70.59375, 70.59375, 0, 23.5, 70.796875, 0.0, 5.8994140625, 76.5, 11.798828125, 5.9, 0.0, 52.8984375, 52.8984375, 47.09375, 41.1953125, 0.0, 0.0, 34.0, 2.0, 0.0, 0.0, 23.0, "Tous les candidats", 145.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "19428", "D.E manipulateur/trice en électroradiologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19428&g_ta_cod=19428", 58.0, 42.0, 0.0),
(2156, "Public", "0751718K", "Université Paris 2 Panthéon - Assas", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Licence", "Université Paris 2 Panthéon - Assas - Licence - Double diplôme - Licence Droit - Juriste européen Paris Berlin Rome", "Licence - Droit-économie-gestion", "Juriste européen Paris Berlin Rome", 2, 67, 40, 67, 0, 31, 5, 6, 5, 0, 0, 30, 0, 0, 0, 0, 0, 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 4, 2, 1, 2, 0, 1.0, 2.0, 2.0, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0.0, 2, 0, 0, 0, 0, 0, 1, 50.0, 100.0, 100.0, 50.0, 0.0, 50.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 4.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 4.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "31093", "Licence - Double diplôme - Licence Droit - Juriste européen Paris Berlin Rome", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31093&g_ta_cod=31093", 100.0, 0.0, 0.0),
(2157, "Privé sous contrat d'association", "0560180S", "Lycée Notre Dame De La Paix", "56", "Morbihan", "Bretagne", "Rennes", "Ploemeur", "formation sélective", "BTS", "Lycée Notre Dame De La Paix - BTS - Services - Communication", "BTS - Services", "", 35, 576, 404, 576, 0, 134, 20, 204, 36, 66, 24, 172, 0, 0, 0, 0, 0, 443, 0, 0, 0, 134, 20, 186, 35, 54, 20, 69, 163, 35, 25, 35, 0, 3.0, 30.0, 31.0, 0, 8, 32, 13, 13, 6, 3, 0, 9, 19, 4, 0, 0.0, 9, 8, 6, 3, 2, 32, 32, 8.57, 85.71, 88.57, 71.390625, 100.0, 100.0, 9.3984375, 25.0, 91.390625, 0.0, 28.09765625, 59.3984375, 12.5, 0.0, 0.0, 40.59375, 28.09765625, 40.59375, 25.0, 18.796875, 18.796875, 64.0, 10.0, 21.0, 8.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 97.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 113, "Liste d'appel propre à cette formation", 43.0, "6448", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6448&g_ta_cod=6448", 46.0, 37.0, 17.0),
(2158, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Trilangue Anglais - Allemand - 3ème langue à choix", "Licence - Arts-lettres-langues", "Trilangue Anglais - Allemand - 3ème langue à choix", 30, 108, 85, 67, 0, 52, 12, 1, 0, 0, 0, 14, 41, 3, 2, 6, 30, 66, 38, 0, 0, 52, 12, 1, 0, 0, 0, 13, 104, 18, 13, 11, 7, 11.0, 11.0, 17.0, 0, 3, 11, 10, 1, 0, 7, 0, 2, 7, 0, 2, 0.0, 9, 0, 0, 0, 0, 7, 7, 61.11, 61.11, 94.44, 72.1875, 63.59375, 63.59375, 0, 27.296875, 61.09375, 0.0, 18.19921875, 63.59375, 0.0, 18.2, 0.0, 90.890625, 81.796875, 9.099609375, 0.0, 0.0, 0.0, 55.0, 12.0, 6.0, 5.0, 40.0, "Tous les candidats", 66.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "23981", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Trilangue Anglais - Allemand - 3ème langue à choix", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23981&g_ta_cod=23981", 89.0, 11.0, 0.0),
(2159, "Public", "0141721V", "IFSI CHU Caen", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "IFSI", "Regroupement d'IFSI Université Caen - D.E Infirmier", "D.E secteur sanitaire", "", 134, 3623, 3066, 3623, 0, 794, 140, 716, 153, 480, 153, 1633, 0, 0, 0, 0, 0, 3457, 0, 0, 0, 790, 140, 691, 145, 444, 144, 1532, 499, 131, 116, 131, 0, 27.0, 98.0, 124.0, 0, 14, 86, 65, 20, 1, 45, 0, 4, 41, 34, 7, 0.0, 61, 20, 1, 0, 0, 68, 68, 20.61, 74.81, 94.66, 88.5, 79.09375, 79.09375, 0, 16.296875, 65.59375, 0.0, 4.69921875, 47.6953125, 39.5, 8.1, 0.0, 75.59375, 70.890625, 23.296875, 23.296875, 1.199951171875, 1.199951171875, 234.0, 37.0, 12.0, 5.0, 190.0, "Tous les candidats", 796.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "23096", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23094&g_ta_cod=23096", 81.0, 18.0, 1.0),
(2160, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence_Las", "Université de Lorraine - Site de Nancy - Licence - Portail Licence 1ère année Portail Sciences de la vie et de l'environnement", "Licence - Sciences - technologies - santé", "Licence 1ère année Portail Sciences de la vie et de l'environnement", 18, 1978, 1419, 1978, 0, 1202, 214, 49, 13, 4, 1, 723, 0, 0, 0, 0, 0, 1953, 0, 0, 0, 1202, 214, 49, 13, 4, 1, 698, 118, 18, 11, 18, 0, 2.0, 14.0, 17.0, 0, 0, 15, 15, 0, 0, 3, 0, 0, 2, 9, 2, 2.0, 15, 0, 0, 0, 0, 15, 15, 11.11, 77.78, 94.44, 61.09375, 100.0, 100.0, 0, 0.0, 83.296875, 0.0, 0.0, 13.298828125, 60.0, 13.3, 13.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 105.0, 8.0, 0.0, 0.0, 13.0, "Tous les candidats", 542.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "26963", "Licence - Portail Licence 1ère année Portail Sciences de la vie et de l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26962&g_ta_cod=26963", 100.0, 0.0, 0.0),
(2161, "Public", "0931272C", "Lycée GUSTAVE EIFFEL", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Gagny", "formation sélective", "BTS", "Lycée GUSTAVE EIFFEL - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 30, 552, 313, 552, 0, 93, 24, 127, 42, 185, 76, 147, 0, 0, 0, 0, 0, 552, 0, 0, 0, 93, 24, 127, 42, 185, 76, 147, 132, 29, 18, 28, 0, 0.0, 14.0, 24.0, 0, 7, 23, 6, 7, 10, 6, 0, 9, 10, 4, 0, 0.0, 5, 3, 6, 1, 1, 11, 15, 0.0, 48.28, 82.76, 62.09375, 47.796875, 65.1875, 4.2998046875, 30.3984375, 79.296875, 0.0, 39.09375, 43.5, 17.3984375, 0.0, 0.0, 26.09765625, 21.69921875, 30.3984375, 13.0, 43.5, 26.09765625, 32.0, 10.0, 34.0, 10.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 34.0, "20488", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20488&g_ta_cod=20488", 28.0, 31.0, 41.0),
(2162, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 380, 2319, 1142, 2263, 0, 1572, 356, 133, 53, 56, 32, 502, 56, 8, 4, 2, 42, 2263, 54, 0, 0, 1572, 356, 133, 53, 56, 32, 502, 1993, 377, 150, 350, 27, 219.0, 313.0, 344.0, 0, 64, 271, 224, 33, 14, 106, 1, 83, 109, 56, 21, 1.0, 166, 13, 8, 0, 0, 225, 225, 58.09, 83.02, 91.25, 39.796875, 83.0, 83.0, 0, 23.59765625, 71.890625, 0.39996337890625, 30.59765625, 40.1953125, 20.69921875, 7.7, 0.4, 82.6875, 61.296875, 12.19921875, 4.7998046875, 5.19921875, 3.0, 1419.0, 334.0, 43.0, 27.0, 425.0, "Tous les candidats", 2212.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "7088", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7088&g_ta_cod=7088", 78.0, 14.0, 7.0),
(2163, "Public", "0570175F", "I.U.T de Metz - Université de Lorraine", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BUT", "I.U.T de Metz - Université de Lorraine - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Intégration d'applications et management du système d?information", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Intégration d'applications et management du système d?information", 95, 1196, 115, 1196, 0, 661, 126, 277, 82, 19, 6, 239, 0, 0, 0, 0, 0, 888, 0, 0, 0, 576, 101, 180, 47, 0, 0, 132, 458, 94, 9, 94, 0, 8.0, 71.0, 83.0, 0, 26, 84, 51, 33, 0, 10, 0, 19, 47, 16, 2, 0.0, 38, 27, 0, 0, 0, 76, 76, 8.51, 75.53, 88.3, 9.599609375, 90.5, 90.5, 0, 31.0, 89.390625, 0.0, 22.59765625, 56.0, 19.0, 2.4, 0.0, 60.6953125, 45.1953125, 39.296875, 32.09375, 0.0, 0.0, 233.0, 54.0, 0.0, 0.0, 82.0, "Tous les candidats sauf les Bac technologiques", 429.0, "Bacheliers technologiques toutes séries", 193, "", 0, "Liste d'appel propre à cette formation", 52.0, "6569", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Intégration d'applications et management du système d?information", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6569&g_ta_cod=6569", 61.0, 39.0, 0.0),
(2164, "Public", "0720083Z", "I.U.T. Le Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 5, 125, 9, 121, 0, 0, 0, 112, 28, 0, 0, 9, 4, 0, 2, 0, 2, 57, 0, 0, 0, 0, 0, 57, 15, 0, 0, 0, 23, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 344.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "202", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=202", 0, 0, 0),
(2165, "Public", "0740013M", "Lycée G. Fichet", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Bonneville", "formation sélective", "Autre formation", "Lycée G. Fichet - Mention complémentaire - Animation-gestion de projets dans le secteur sportif (Seconde année possible en apprentissage)", "Mention complémentaire", "", 15, 73, 23, 73, 0, 12, 2, 13, 2, 30, 10, 18, 0, 0, 0, 0, 0, 73, 0, 0, 0, 12, 2, 13, 2, 30, 10, 18, 47, 10, 2, 10, 0, 3.0, 9.0, 10.0, 0, 3, 9, 1, 2, 6, 1, 1, 4, 3, 1, 0, 0.0, 0, 1, 3, 0, 0, 8, 8, 30.0, 90.0, 100.0, 20.0, 88.890625, 88.890625, 0, 33.296875, 90.0, 11.099609375, 44.3984375, 33.296875, 11.099609375, 0.0, 0.0, 11.099609375, 0.0, 22.19921875, 11.099609375, 66.6875, 33.296875, 9.0, 2.0, 22.0, 7.0, 9.0, "Tous les candidats", 53.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "24012", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24012&g_ta_cod=24012", 20.0, 20.0, 60.0),
(2166, "Public", "0351576Y", "Unité de Formation et de Recherche des Sciences Médicales Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Regroupement Bretagne, Pays de la Loire et Centre-Val de Loire - Certificat de capacité d'Orthoptiste", "D.E secteur sanitaire", "", 15, 594, 519, 594, 0, 140, 24, 21, 7, 1, 0, 432, 0, 0, 0, 0, 0, 434, 0, 0, 0, 90, 14, 9, 2, 1, 0, 334, 112, 18, 15, 18, 0, 2.0, 11.0, 13.0, 0, 0, 4, 4, 0, 0, 14, 0, 0, 1, 2, 1, 0.0, 4, 0, 0, 0, 0, 3, 3, 11.11, 61.11, 72.22, 83.296875, 75.0, 75.0, 0, 0.0, 22.19921875, 0.0, 0.0, 25.0, 50.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 35.0, 7.0, 0.0, 0.0, 75.0, "Tous les candidats", 151.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "28084", "Certificat de capacité d'Orthoptiste", "Regroupement Bretagne, Pays de la Loire et Centre-Val de Loire", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28083&g_ta_cod=28084", 94.0, 6.0, 0.0),
(2167, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Droit", "Licence - Droit-économie-gestion", "", 780, 5088, 3676, 5088, 0, 3623, 696, 373, 142, 69, 34, 1023, 0, 0, 0, 0, 0, 5040, 0, 0, 0, 3623, 696, 373, 142, 69, 34, 975, 2336, 772, 562, 772, 0, 172.0, 637.0, 713.0, 0, 181, 664, 625, 30, 9, 108, 8, 90, 246, 242, 69, 9.0, 541, 18, 7, 0, 0, 585, 585, 22.28, 82.51, 92.36, 72.796875, 88.09375, 88.09375, 0, 27.296875, 86.0, 1.199951171875, 13.599609375, 37.0, 36.3984375, 10.4, 1.4, 94.09375, 81.5, 4.5, 2.69970703125, 1.39990234375, 1.099853515625, 1844.0, 369.0, 21.0, 16.0, 400.0, "Tous les candidats", 2741.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "8064", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8064&g_ta_cod=8064", 94.0, 4.0, 1.0),
(2168, "Public", "0470020S", "Lycée Val De Garonne", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Marmande", "formation sélective", "BTS", "Lycée Val De Garonne - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 30, 197, 34, 185, 0, 5, 0, 39, 7, 43, 13, 98, 12, 1, 0, 5, 6, 76, 7, 0, 0, 4, 0, 31, 4, 35, 9, 6, 75, 19, 0, 14, 4, 6.0, 14.0, 18.0, 0, 5, 18, 0, 5, 13, 1, 0, 7, 5, 5, 1, 0.0, 0, 2, 9, 13, 0, 17, 17, 31.58, 73.68, 94.74, 0.0, 94.390625, 94.390625, 72.1875, 27.796875, 94.6875, 0.0, 38.8984375, 27.796875, 27.796875, 5.6, 0.0, 0.0, 0.0, 27.796875, 11.099609375, 72.1875, 50.0, 5.0, 0.0, 33.0, 10.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 41.0, "5777", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5777&g_ta_cod=5777", 0.0, 26.0, 74.0),
(2169, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Sciences du langage", "Licence - Arts-lettres-langues", "", 160, 384, 332, 279, 0, 167, 34, 12, 1, 6, 4, 94, 105, 24, 7, 4, 70, 278, 102, 0, 0, 167, 34, 12, 1, 6, 4, 93, 380, 70, 61, 44, 26, 44.0, 44.0, 62.0, 0, 8, 35, 31, 3, 1, 35, 2, 7, 13, 9, 4, 0.0, 24, 2, 0, 0, 0, 24, 24, 62.86, 62.86, 88.57, 87.09375, 68.59375, 68.59375, 0, 22.8984375, 50.0, 5.69921875, 20.0, 37.09375, 25.69921875, 11.4, 0.0, 88.59375, 68.59375, 8.599609375, 5.69921875, 2.89990234375, 0.0, 191.0, 37.0, 10.0, 7.0, 160.0, "Tous les candidats", 278.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10710", "Licence - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10710&g_ta_cod=10710", 80.0, 14.0, 6.0),
(2170, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Université de Strasbourg - C.M.I - Cursus Master en Ingénierie - Sciences pour l'ingénieur - Cursus Master Ingénierie : Mécatroniqe et énergie", "C.M.I - Cursus Master en Ingénierie", "Cursus Master Ingénierie : Mécatroniqe et énergie", 12, 173, 29, 173, 0, 119, 13, 9, 1, 0, 0, 45, 0, 0, 0, 0, 0, 66, 0, 0, 0, 59, 6, 1, 0, 0, 0, 6, 35, 12, 5, 12, 0, 2.0, 9.0, 12.0, 0, 1, 11, 11, 0, 0, 1, 0, 1, 4, 5, 1, 0.0, 10, 0, 0, 0, 0, 5, 5, 16.67, 75.0, 100.0, 41.6953125, 45.5, 45.5, 0, 9.099609375, 91.6875, 0.0, 9.099609375, 36.3984375, 45.5, 9.1, 0.0, 100.0, 90.890625, 0.0, 0.0, 0.0, 0.0, 32.0, 5.0, 0.0, 0.0, 2.0, "Tous les candidats", 52.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "30536", "C.M.I - Cursus Master en Ingénierie - Sciences pour l'ingénieur - Cursus Master Ingénierie : Mécatroniqe et énergie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30536&g_ta_cod=30536", 100.0, 0.0, 0.0),
(2171, "Public", "0630041C", "Lycée professionnel des métiers HSC Deville", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Issoire", "formation sélective", "BTS", "Lycée professionnel des métiers HSC Deville - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 15, 124, 5, 115, 0, 7, 1, 24, 4, 53, 12, 31, 9, 0, 1, 5, 3, 75, 1, 0, 0, 7, 1, 21, 3, 42, 9, 5, 60, 11, 1, 11, 0, 3.0, 11.0, 11.0, 0, 4, 9, 0, 2, 7, 2, 0, 2, 3, 3, 1, 0.0, 0, 0, 7, 2, 0, 8, 8, 27.27, 100.0, 100.0, 9.099609375, 88.890625, 88.890625, 22.19921875, 44.3984375, 81.796875, 0.0, 22.19921875, 33.296875, 33.296875, 11.1, 0.0, 0.0, 0.0, 22.19921875, 0.0, 77.796875, 77.796875, 5.0, 1.0, 33.0, 8.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 64.0, "20085", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20085&g_ta_cod=20085", 18.0, 18.0, 64.0),
(2172, "Public", "0890819G", "Lycée professionnel des métiers Vauban", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Auxerre", "formation sélective", "BTS", "Lycée professionnel des métiers Vauban - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 18, 93, 40, 90, 0, 0, 0, 35, 4, 43, 8, 12, 3, 0, 2, 0, 1, 90, 1, 0, 0, 0, 0, 35, 4, 43, 8, 12, 44, 15, 7, 14, 1, 9.0, 14.0, 14.0, 0, 3, 15, 0, 8, 7, 0, 0, 5, 3, 5, 2, 0.0, 0, 4, 6, 12, 6, 14, 14, 60.0, 93.33, 93.33, 46.6953125, 93.296875, 93.296875, 80, 20.0, 100.0, 0.0, 33.296875, 20.0, 33.296875, 13.3, 0.0, 0.0, 0.0, 53.296875, 26.69921875, 46.6953125, 40.0, 0.0, 0.0, 24.0, 5.0, 1.0, "Tous les candidats sauf les Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 99.0, "10781", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10781&g_ta_cod=10781", 0.0, 53.0, 47.0),
(2173, "Public", "0772342C", "Lycée Clement Ader", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Tournan-en-Brie", "formation sélective", "BTS", "Lycée Clement Ader - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 59, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 59, 1, 4, 32, 22, 0, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22, 13, 0, 0, 13, 0.0, 0.0, 0.0, 0, 1, 7, 0, 0, 7, 6, 0, 6, 1, 0, 0, 0.0, 0, 0, 1, 3, 0, 5, 7, 0.0, 0.0, 0.0, 0.0, 71.390625, 100.0, 42.8984375, 14.298828125, 53.796875, 0.0, 85.6875, 14.298828125, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 14.298828125, 0.0, 0.0, 14.0, 4.0, 8.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34997", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34997&g_ta_cod=34997", 0.0, 8.0, 92.0),
(2174, "Public", "0811324Z", "Lycée professionnel Marie Antoinette Riess", "81", "Tarn", "Occitanie", "Toulouse", "Mazamet", "formation sélective", "BTS", "Lycée professionnel Marie Antoinette Riess - BTS - Services - Métiers des Services à l'environnement", "BTS - Services", "", 15, 168, 57, 158, 0, 11, 0, 55, 17, 11, 6, 81, 10, 0, 0, 6, 4, 158, 0, 0, 0, 11, 0, 55, 17, 11, 6, 81, 50, 8, 3, 8, 0, 3.0, 5.0, 7.0, 0, 3, 6, 1, 4, 1, 2, 0, 4, 1, 1, 0, 0.0, 0, 1, 1, 0, 0, 4, 4, 37.5, 62.5, 87.5, 37.5, 66.6875, 66.6875, 0, 50.0, 75.0, 0.0, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 16.69921875, 0.0, 66.6875, 16.69921875, 16.69921875, 16.69921875, 8.0, 0.0, 10.0, 5.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 54.0, "10314", "BTS - Services - Métiers des Services à l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10314&g_ta_cod=10314", 38.0, 50.0, 13.0),
(2175, "Public", "0382780R", "Lycée Aristides Berges", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Seyssinet-Pariset", "formation sélective", "BTS", "Lycée Aristides Berges - BTS - Services - Communication", "BTS - Services", "", 34, 1035, 635, 840, 0, 144, 20, 283, 77, 103, 44, 310, 195, 0, 99, 20, 76, 472, 27, 0, 0, 144, 20, 71, 17, 38, 15, 219, 179, 34, 24, 26, 8, 1.0, 23.0, 28.0, 0, 7, 21, 4, 9, 8, 13, 0, 6, 11, 3, 1, 0.0, 2, 6, 7, 1, 1, 17, 17, 2.94, 67.65, 82.35, 70.59375, 81.0, 81.0, 4.7998046875, 33.296875, 61.796875, 0.0, 28.59765625, 52.3984375, 14.298828125, 4.8, 0.0, 19.0, 9.5, 42.8984375, 28.59765625, 38.09375, 33.296875, 25.0, 6.0, 29.0, 11.0, 52.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 20.0, "5115", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5115&g_ta_cod=5115", 29.0, 47.0, 24.0),
(2176, "Public", "0631021T", "I.U.T. de Clermont-Ferrand", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aubière", "formation sélective", "BUT", "I.U.T. de Clermont-Ferrand - BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "BUT - Production", "Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", 46, 540, 44, 539, 0, 266, 34, 183, 37, 10, 4, 80, 1, 0, 0, 0, 1, 378, 0, 0, 0, 218, 28, 120, 21, 0, 0, 40, 236, 53, 2, 53, 0, 13.0, 37.0, 53.0, 0, 8, 49, 33, 16, 0, 4, 0, 18, 22, 9, 0, 0.0, 16, 15, 0, 0, 0, 31, 31, 24.53, 69.81, 100.0, 3.7998046875, 63.296875, 63.296875, 0, 16.296875, 92.5, 0.0, 36.6953125, 44.8984375, 18.3984375, 0.0, 0.0, 67.296875, 32.6953125, 32.6953125, 30.59765625, 0.0, 0.0, 127.0, 22.0, 0.0, 0.0, 32.0, "Tous les candidats sauf les Bac technologiques", 236.0, "Bacheliers technologiques toutes séries", 136, "", 0, "Liste d'appel propre à cette formation", 69.0, "7595", "BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7595&g_ta_cod=7595", 70.0, 30.0, 0.0),
(2177, "Public", "0594391C", "E.S.AA.T.", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "Autre formation", "E.S.AA.T. - DN MADE - Espace - - Spécialité : Paysages et territoires partagés", "DN MADE", "- Spécialité : Paysages et territoires partagés", 15, 263, 194, 263, 0, 110, 26, 67, 11, 8, 2, 78, 0, 0, 0, 0, 0, 150, 0, 0, 0, 80, 15, 51, 7, 5, 1, 14, 67, 15, 11, 15, 0, 3.0, 13.0, 15.0, 0, 3, 15, 5, 10, 0, 0, 0, 0, 5, 9, 1, 0.0, 5, 10, 0, 0, 0, 5, 5, 20.0, 86.67, 100.0, 73.296875, 33.296875, 33.296875, 0, 20.0, 100.0, 0.0, 0.0, 33.296875, 60.0, 6.7, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 0.0, 0.0, 37.0, 8.0, 1.0, 0.0, 1.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "24719", "DN MADE - Espace - - Spécialité : Paysages et territoires partagés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24719&g_ta_cod=24719", 33.0, 67.0, 0.0),
(2178, "Public", "0170145R", "I.U.T. La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BUT", "I.U.T. La Rochelle - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation", "BUT - Production", "Réalisation d'applications : conception, développement, validation", 100, 1727, 123, 1705, 0, 1052, 130, 390, 68, 17, 6, 246, 22, 0, 11, 0, 11, 846, 4, 0, 0, 583, 74, 210, 27, 0, 0, 53, 494, 99, 4, 97, 2, 36.0, 84.0, 93.0, 0, 12, 92, 57, 35, 0, 7, 0, 6, 52, 33, 1, 0.0, 55, 31, 0, 0, 0, 29, 29, 36.36, 84.85, 93.94, 4.0, 31.5, 31.5, 0, 13.0, 92.890625, 0.0, 6.5, 56.5, 35.8984375, 1.1, 0.0, 62.0, 59.796875, 38.0, 33.6953125, 0.0, 0.0, 305.0, 40.0, 0.0, 0.0, 27.0, "Tous les candidats sauf les Bac technologiques", 406.0, "Bacheliers technologiques toutes séries", 220, "", 0, "Liste d'appel propre à cette formation", 37.0, "3053", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3053&g_ta_cod=3053", 61.0, 38.0, 0.0),
(2179, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Humanités - Parcours Antiquité et Humanités", "Licence - Arts-lettres-langues", "Antiquité et Humanités", 30, 196, 120, 120, 0, 64, 14, 13, 1, 6, 5, 37, 76, 10, 4, 10, 52, 118, 68, 0, 0, 64, 14, 13, 1, 6, 5, 35, 174, 19, 15, 6, 13, 0.0, 4.0, 14.0, 0, 2, 7, 3, 0, 4, 12, 0, 4, 3, 0, 0, 0.0, 1, 0, 2, 0, 0, 6, 6, 0.0, 21.05, 73.68, 78.890625, 85.6875, 85.6875, 0, 28.59765625, 36.796875, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 42.8984375, 14.298828125, 0.0, 0.0, 57.09375, 28.59765625, 70.0, 16.0, 15.0, 9.0, 77.0, "Tous les candidats", 119.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "5341", "Licence - Humanités - Parcours Antiquité et Humanités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5341&g_ta_cod=5341", 47.0, 16.0, 32.0),
(2180, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - Double licence mention Histoire - mention Langues, littératures & civilisations étrangères et régionales [Anglais]", "Licence - Sciences humaines et sociales", "Double licence mention Histoire - mention Langues, littératures & civilisations étrangères et régionales [Anglais]", 30, 323, 228, 323, 0, 248, 45, 7, 3, 8, 4, 60, 0, 0, 0, 0, 0, 294, 0, 0, 0, 229, 41, 6, 2, 8, 4, 51, 165, 28, 19, 28, 0, 3.0, 23.0, 25.0, 0, 6, 23, 21, 0, 2, 5, 0, 4, 9, 9, 1, 0.0, 19, 0, 0, 0, 0, 9, 14, 10.71, 82.14, 89.29, 67.890625, 39.09375, 60.8984375, 0, 26.09765625, 82.09375, 0.0, 17.3984375, 39.09375, 39.09375, 4.3, 0.0, 91.296875, 82.59375, 0.0, 0.0, 8.69921875, 0.0, 124.0, 22.0, 5.0, 2.0, 34.0, "Tous les candidats", 271.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "24463", "Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - Double licence mention Histoire - mention Langues, littératures & civilisations étrangères et régionales [Anglais]", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24463&g_ta_cod=24463", 89.0, 4.0, 7.0),
(2181, "Public", "0330169E", "CPBx (ENSCBP département Chimie, Génie Physique)", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Ecole d'Ingénieur", "CPBx (ENSCBP département Chimie, Génie Physique) - Formation d'ingénieur Bac + 5 - bac général", "Formations  des écoles d'ingénieurs", "bac général", 15, 253, 146, 253, 0, 251, 24, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 113, 0, 0, 0, 113, 15, 0, 0, 0, 0, 0, 53, 15, 11, 15, 0, 1.0, 15.0, 15.0, 0, 1, 15, 15, 0, 0, 0, 0, 0, 0, 4, 10, 1.0, 15, 0, 0, 0, 0, 12, 12, 6.67, 100.0, 100.0, 73.296875, 80.0, 80.0, 0, 6.69921875, 100.0, 0.0, 0.0, 0.0, 26.69921875, 66.7, 6.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 53.0, 7.0, 0.0, 0.0, 0.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "4328", "Formation d'ingénieur Bac + 5 - bac général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4328&g_ta_cod=4328", 100.0, 0.0, 0.0),
(2182, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation non sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Sciences de l'éducation - Parcours Enseignement, éducation et formation", "Licence - Sciences humaines et sociales", "Enseignement, éducation et formation", 30, 596, 509, 596, 0, 292, 69, 80, 30, 23, 7, 201, 0, 0, 0, 0, 0, 593, 0, 0, 0, 292, 69, 80, 30, 23, 7, 198, 137, 34, 29, 34, 0, 2.0, 26.0, 31.0, 0, 6, 27, 24, 2, 1, 7, 0, 3, 16, 7, 1, 0.0, 21, 2, 1, 0, 0, 24, 24, 5.88, 76.47, 91.18, 85.296875, 88.890625, 88.890625, 0, 22.19921875, 79.390625, 0.0, 11.099609375, 59.296875, 25.8984375, 3.7, 0.0, 88.890625, 77.796875, 7.3994140625, 7.3994140625, 3.69970703125, 3.69970703125, 92.0, 24.0, 2.0, 0.0, 31.0, "Tous les candidats", 198.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "27547", "Licence - Sciences de l'éducation - Parcours Enseignement, éducation et formation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27547&g_ta_cod=27547", 82.0, 12.0, 3.0),
(2183, "Privé sous contrat d'association", "0931796X", "Lycée ORT DANIEL MAYER", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "BTS", "Lycée ORT DANIEL MAYER - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 60, 1045, 134, 561, 0, 124, 44, 120, 48, 103, 41, 214, 484, 100, 119, 0, 265, 147, 107, 0, 0, 54, 11, 26, 12, 23, 6, 44, 243, 50, 3, 22, 28, 11.0, 22.0, 39.0, 0, 6, 23, 14, 5, 4, 27, 0, 9, 13, 1, 0, 0.0, 7, 3, 4, 1, 1, 14, 21, 22.0, 44.0, 78.0, 6.0, 60.8984375, 91.296875, 4.2998046875, 26.09765625, 46.0, 0.0, 39.09375, 56.5, 4.2998046875, 0.0, 0.0, 60.8984375, 30.3984375, 21.69921875, 13.0, 17.3984375, 17.3984375, 85.0, 20.0, 16.0, 4.0, 101.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 84.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 25.0, "11286", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11286&g_ta_cod=11286", 70.0, 20.0, 8.0),
(2184, "Public", "0180036S", "Lycée Henri Brisson", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Vierzon", "formation sélective", "BTS", "Lycée Henri Brisson - BTS - Production - Conception de produits industriels", "BTS - Production", "", 20, 141, 11, 139, 0, 18, 1, 53, 13, 43, 12, 25, 2, 0, 1, 1, 0, 123, 0, 0, 0, 18, 1, 51, 13, 42, 12, 12, 84, 18, 3, 18, 0, 2.0, 18.0, 18.0, 0, 4, 18, 3, 5, 10, 0, 0, 9, 7, 2, 0, 0.0, 1, 1, 7, 4, 2, 17, 17, 11.11, 100.0, 100.0, 16.69921875, 94.390625, 94.390625, 22.19921875, 22.19921875, 100.0, 0.0, 50.0, 38.8984375, 11.099609375, 0.0, 0.0, 16.69921875, 5.599609375, 27.796875, 5.599609375, 55.59375, 38.8984375, 11.0, 1.0, 36.0, 10.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 88.0, "3109", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3109&g_ta_cod=3109", 17.0, 28.0, 56.0),
(2185, "Privé sous contrat d'association", "0492466P", "ISTOM - Ecole supérieure d'agro-développement international", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole d'Ingénieur", "ISTOM - Ecole supérieure d'agro-développement international - Formation d'ingénieur Bac + 5 - Bac S,STAV,STL", "Formations  des écoles d'ingénieurs", "Bac S,STAV,STL", 100, 256, 144, 234, 0, 195, 9, 7, 1, 0, 0, 32, 22, 7, 3, 0, 12, 207, 10, 0, 0, 183, 7, 7, 1, 0, 0, 17, 202, 47, 22, 43, 4, 21.0, 43.0, 47.0, 0, 0, 40, 40, 0, 0, 7, 0, 5, 16, 11, 8, 0.0, 35, 0, 0, 0, 0, 10, 10, 44.68, 91.49, 100.0, 46.796875, 25.0, 25.0, 0, 0.0, 85.09375, 0.0, 12.5, 40.0, 27.5, 20.0, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 176.0, 7.0, 0.0, 0.0, 22.0, "Tous les candidats", 206.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "11650", "Formation d'ingénieur Bac + 5 - Bac S,STAV,STL", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11650&g_ta_cod=11650", 96.0, 4.0, 0.0),
(2186, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "PASS", "Université de Franche-Comté - Site de Besançon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 46, 1826, 1149, 1826, 0, 1512, 217, 18, 3, 2, 2, 294, 0, 0, 0, 0, 0, 1827, 0, 0, 0, 1513, 218, 18, 3, 2, 2, 294, 481, 45, 20, 45, 0, 0.0, 12.0, 44.0, 0, 6, 41, 41, 0, 0, 4, 1, 15, 16, 6, 2, 1.0, 25, 0, 0, 0, 0, 30, 30, 0.0, 26.67, 97.78, 44.3984375, 73.1875, 73.1875, 0, 14.599609375, 91.09375, 2.39990234375, 36.59375, 39.0, 14.599609375, 4.9, 2.4, 100.0, 61.0, 0.0, 0.0, 0.0, 0.0, 473.0, 60.0, 0.0, 0.0, 5.0, "Tous les candidats", 3638.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 61.0, "27353", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27350&g_ta_cod=27353", 100.0, 0.0, 0.0),
(2187, "Privé sous contrat d'association", "0350795Z", "Lycée / Pôle Sup de La Salle - Groupe Saint Jean", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée / Pôle Sup de La Salle - Groupe Saint Jean - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 427, 190, 427, 0, 60, 4, 200, 22, 110, 12, 57, 0, 0, 0, 0, 0, 375, 0, 0, 0, 60, 4, 158, 16, 110, 12, 47, 77, 35, 15, 35, 0, 13.0, 29.0, 32.0, 0, 6, 32, 5, 9, 18, 3, 0, 8, 14, 9, 1, 0.0, 1, 8, 15, 13, 6, 31, 31, 37.14, 82.86, 91.43, 42.8984375, 96.890625, 96.890625, 40.59375, 18.796875, 91.390625, 0.0, 25.0, 43.796875, 28.09765625, 3.1, 0.0, 15.599609375, 3.099609375, 28.09765625, 25.0, 56.296875, 46.8984375, 15.0, 2.0, 33.0, 4.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 21.0, "4691", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4691&g_ta_cod=4691", 23.0, 26.0, 51.0),
(2188, "Public", "0840607D", "Lycée agricole LOUIS GIRAUD", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Carpentras", "formation sélective", "BTS", "Lycée agricole LOUIS GIRAUD - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 16, 82, 34, 71, 0, 9, 3, 21, 4, 12, 5, 29, 11, 2, 3, 1, 5, 47, 3, 0, 0, 9, 3, 21, 4, 12, 5, 5, 41, 8, 3, 5, 3, 3.0, 5.0, 6.0, 0, 0, 7, 1, 4, 2, 1, 0, 3, 3, 0, 1, 0.0, 0, 3, 1, 2, 1, 6, 6, 37.5, 62.5, 75.0, 37.5, 85.6875, 85.6875, 28.59765625, 0.0, 87.5, 0.0, 42.8984375, 42.8984375, 0.0, 14.3, 0.0, 14.298828125, 0.0, 57.09375, 42.8984375, 28.59765625, 14.298828125, 8.0, 2.0, 13.0, 5.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers technologiques toutes séries", 21, "Bacheliers professionnels toutes séries", 14, "Liste d'appel propre à cette formation", 63.0, "32631", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32631&g_ta_cod=32631", 13.0, 63.0, 25.0),
(2189, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "PASS", "Université de Franche-Comté - Site de Besançon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 92, 3642, 2845, 3642, 0, 3013, 466, 64, 20, 7, 5, 558, 0, 0, 0, 0, 0, 3643, 0, 0, 0, 3014, 467, 64, 20, 7, 5, 558, 539, 91, 84, 91, 0, 4.0, 64.0, 85.0, 0, 32, 91, 89, 2, 0, 0, 0, 5, 32, 33, 19, 2.0, 84, 2, 0, 0, 0, 72, 72, 4.4, 70.33, 93.41, 92.296875, 79.09375, 79.09375, 0, 35.1953125, 100.0, 0.0, 5.5, 35.1953125, 36.296875, 20.9, 2.2, 97.796875, 92.296875, 2.19970703125, 2.19970703125, 0.0, 0.0, 536.0, 93.0, 0.0, 0.0, 0.0, "Tous les candidats", 3391.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 53.0, "27351", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27350&g_ta_cod=27351", 98.0, 2.0, 0.0),
(2190, "Privé sous contrat d'association", "0690519P", "Lycée Notre Dame Des Minimes", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée Notre Dame Des Minimes - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 20, 713, 313, 713, 523, 646, 45, 1, 1, 0, 0, 66, 0, 0, 0, 0, 0, 613, 0, 462, 564, 581, 32, 0, 0, 0, 0, 32, 320, 13, 2, 12, 0, 2.0, 3.0, 12.0, 10, 0, 12, 12, 0, 0, 1, 0, 1, 3, 5, 3, 0.0, 11, 0, 0, 0, 0, 3, 3, 15.38, 23.08, 92.31, 15.3984375, 25.0, 25.0, 0, 0.0, 92.296875, 0.0, 8.298828125, 25.0, 41.6953125, 25.0, 0.0, 100.0, 91.6875, 0.0, 0.0, 0.0, 0.0, 317.0, 17.0, 0.0, 0.0, 3.0, "Tous les candidats", 600.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "31318", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31318&g_ta_cod=31318", 100.0, 0.0, 0.0),
(2191, "Public", "0331760J", "Lycée Fernand Daguin", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Mérignac", "formation sélective", "BTS", "Lycée Fernand Daguin - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 648, 325, 613, 0, 109, 30, 184, 66, 99, 40, 221, 35, 1, 3, 20, 11, 352, 12, 0, 0, 94, 24, 123, 40, 66, 27, 69, 186, 27, 9, 20, 7, 2.0, 15.0, 23.0, 0, 6, 19, 4, 11, 4, 8, 0, 8, 8, 2, 1, 0.0, 1, 7, 3, 5, 0, 18, 18, 7.41, 55.56, 85.19, 33.296875, 94.6875, 94.6875, 26.296875, 31.59765625, 70.390625, 0.0, 42.09375, 42.09375, 10.5, 5.3, 0.0, 21.09765625, 5.2998046875, 57.8984375, 36.796875, 21.09765625, 15.798828125, 36.0, 12.0, 47.0, 24.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 104.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 107, "Liste d'appel propre à cette formation", 45.0, "4367", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4367&g_ta_cod=4367", 19.0, 56.0, 26.0),
(2192, "Privé sous contrat d'association", "0352072M", "Institution St Malo-Providence", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Saint-Malo", "formation sélective", "BTS", "Institution St Malo-Providence - BTS - Services - Tourisme", "BTS - Services", "", 35, 342, 273, 334, 0, 118, 9, 83, 14, 62, 18, 71, 8, 0, 0, 7, 1, 267, 2, 0, 0, 111, 9, 66, 14, 40, 12, 50, 133, 33, 23, 33, 0, 14.0, 28.0, 32.0, 0, 6, 28, 16, 6, 6, 5, 0, 5, 17, 6, 0, 0.0, 13, 5, 5, 1, 1, 21, 21, 42.42, 84.85, 96.97, 69.6875, 75.0, 75.0, 3.599609375, 21.3984375, 84.796875, 0.0, 17.8984375, 60.6953125, 21.3984375, 0.0, 0.0, 57.09375, 46.3984375, 21.3984375, 17.8984375, 21.3984375, 17.8984375, 58.0, 8.0, 25.0, 7.0, 21.0, "Tous les candidats sauf les Bac professionnels", 183.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 68.0, "4776", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4776&g_ta_cod=4776", 61.0, 21.0, 18.0),
(2193, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 363, 5315, 1322, 5315, 0, 2982, 486, 667, 157, 180, 56, 1486, 0, 0, 0, 0, 0, 5315, 0, 0, 0, 2982, 486, 667, 157, 180, 56, 1486, 1265, 361, 96, 361, 0, 44.0, 280.0, 328.0, 0, 56, 315, 292, 12, 11, 46, 2, 80, 155, 67, 10, 1.0, 214, 9, 10, 0, 0, 203, 299, 12.19, 77.56, 90.86, 26.59765625, 64.390625, 94.890625, 0, 17.796875, 87.296875, 0.5999755859375, 25.3984375, 49.1953125, 21.296875, 3.2, 0.3, 92.6875, 67.890625, 3.7998046875, 2.89990234375, 3.5, 3.19970703125, 928.0, 160.0, 29.0, 10.0, 283.0, "Tous les candidats", 1479.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "11107", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27227&g_ta_cod=11107", 91.0, 4.0, 4.0),
(2194, "Public", "0951922Y", "Lycée Camille Saint-Saens", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Deuil-la-Barre", "formation sélective", "BTS", "Lycée Camille Saint-Saens - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 929, 495, 929, 0, 85, 45, 284, 134, 237, 133, 323, 0, 0, 0, 0, 0, 502, 0, 0, 0, 57, 27, 202, 95, 130, 76, 113, 138, 37, 24, 37, 0, 7.0, 31.0, 34.0, 0, 15, 30, 7, 14, 9, 7, 0, 5, 19, 5, 1, 0.0, 5, 12, 8, 4, 2, 18, 29, 18.92, 83.78, 91.89, 64.890625, 60.0, 96.6875, 13.298828125, 50.0, 81.09375, 0.0, 16.69921875, 63.296875, 16.69921875, 3.3, 0.0, 23.296875, 16.69921875, 46.6953125, 40.0, 30.0, 26.69921875, 21.0, 12.0, 27.0, 12.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 20.0, "11656", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11656&g_ta_cod=11656", 24.0, 49.0, 27.0),
(2195, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence_Las", "Université de Strasbourg - Licence - Sciences pour la santé - Sciences pour la santé - Sciences économiques -  option Santé", "Licence - Sciences - technologies - santé", "Sciences pour la santé - Sciences économiques", 110, 1261, 843, 1261, 0, 832, 211, 52, 22, 8, 3, 369, 0, 0, 0, 0, 0, 1256, 0, 0, 0, 833, 212, 52, 22, 8, 3, 363, 516, 110, 67, 110, 0, 10.0, 81.0, 94.0, 0, 21, 99, 99, 0, 0, 11, 2, 18, 47, 22, 9, 1.0, 79, 0, 0, 0, 0, 77, 77, 9.09, 73.64, 85.45, 60.8984375, 77.796875, 77.796875, 0, 21.19921875, 90.0, 2.0, 18.19921875, 47.5, 22.19921875, 9.1, 1.0, 100.0, 79.796875, 0.0, 0.0, 0.0, 0.0, 457.0, 98.0, 1.0, 1.0, 56.0, "Tous les candidats", 593.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "29224", "Licence - Sciences pour la santé - Sciences pour la santé - Sciences économiques -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29224&g_ta_cod=29224", 98.0, 2.0, 0.0),
(2196, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation non sélective", "Licence", "Université Gustave Eiffel - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LANGUES, LITTERATURES ET CIVILISATIONS ÉTRANGÈRES ET REGIONALES : Anglais", "Licence - Arts-lettres-langues", "LANGUES, LITTERATURES ET CIVILISATIONS ÉTRANGÈRES ET REGIONALES : Anglais", 130, 774, 588, 774, 0, 571, 108, 42, 20, 11, 3, 150, 0, 0, 0, 0, 0, 771, 0, 0, 0, 571, 108, 42, 20, 11, 3, 147, 491, 124, 90, 124, 0, 12.0, 99.0, 116.0, 0, 18, 105, 103, 1, 1, 19, 0, 42, 41, 19, 3, 0.0, 61, 1, 1, 0, 0, 96, 99, 9.68, 79.84, 93.55, 72.59375, 91.390625, 94.296875, 0, 17.09765625, 84.6875, 0.0, 40.0, 39.0, 18.09765625, 2.9, 0.0, 98.09375, 58.09375, 1.0, 1.0, 1.0, 1.0, 420.0, 81.0, 1.0, 1.0, 66.0, "Tous les candidats", 620.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "9915", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LANGUES, LITTERATURES ET CIVILISATIONS ÉTRANGÈRES ET REGIONALES : Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9915&g_ta_cod=9915", 98.0, 1.0, 1.0),
(2197, "Privé sous contrat d'association", "0940878U", "Lycée Teilhard De Chardin", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "Autre formation", "Lycée Teilhard De Chardin - Diplôme de Comptabilité et de Gestion", "DCG", "", 36, 535, 220, 390, 0, 153, 35, 112, 29, 8, 3, 117, 145, 27, 35, 9, 74, 166, 17, 0, 0, 101, 22, 34, 3, 0, 0, 31, 153, 14, 7, 11, 3, 6.0, 11.0, 14.0, 0, 1, 10, 8, 2, 0, 4, 0, 0, 8, 2, 0, 0.0, 8, 2, 0, 0, 0, 10, 10, 42.86, 78.57, 100.0, 50.0, 100.0, 100.0, 0, 10.0, 71.390625, 0.0, 0.0, 80.0, 20.0, 0.0, 0.0, 80.0, 80.0, 20.0, 20.0, 0.0, 0.0, 93.0, 21.0, 0.0, 0.0, 36.0, "Tous les candidats", 166.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "11463", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11463&g_ta_cod=11463", 79.0, 21.0, 0.0),
(2198, "Public", "0750698B", "Lycée Claude Bernard", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Lycée Claude Bernard - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 1803, 690, 1786, 281, 1151, 225, 0, 0, 0, 0, 635, 17, 5, 0, 0, 12, 1044, 5, 235, 954, 949, 180, 0, 0, 0, 0, 95, 515, 47, 14, 43, 4, 7.0, 22.0, 33.0, 1, 4, 44, 44, 0, 0, 3, 0, 1, 17, 22, 4, 0.0, 43, 0, 0, 0, 0, 18, 41, 14.89, 46.81, 70.21, 29.796875, 40.8984375, 93.1875, 0, 9.099609375, 93.59375, 0.0, 2.2998046875, 38.59375, 50.0, 9.1, 0.0, 100.0, 97.6875, 0.0, 0.0, 0.0, 0.0, 504.0, 74.0, 0.0, 0.0, 11.0, "Tous les candidats", 633.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "9128", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9128&g_ta_cod=9128", 100.0, 0.0, 0.0),
(2199, "Privé sous contrat d'association", "0810103X", "Lycée Notre Dame", "81", "Tarn", "Occitanie", "Toulouse", "Castres", "formation sélective", "BTS", "Lycée Notre Dame - BTS - Services - Support à l'action managériale", "BTS - Services", "", 21, 101, 69, 97, 0, 4, 0, 36, 12, 33, 18, 24, 4, 0, 0, 2, 2, 82, 3, 0, 0, 3, 0, 36, 12, 25, 10, 18, 55, 14, 11, 14, 0, 5.0, 10.0, 13.0, 0, 6, 11, 0, 5, 6, 3, 0, 6, 4, 1, 0, 0.0, 0, 2, 3, 1, 1, 11, 11, 35.71, 71.43, 92.86, 78.59375, 100.0, 100.0, 9.099609375, 54.5, 78.59375, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 0.0, 0.0, 45.5, 18.19921875, 54.5, 27.296875, 2.0, 0.0, 25.0, 11.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 62.0, "10276", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10276&g_ta_cod=10276", 21.0, 36.0, 43.0),
(2200, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Portail Licence Chimie / Licence Physique-Chimie", "Licence - Sciences - technologies - santé", "Licence Chimie / Licence Physique-Chimie", 90, 1206, 629, 1154, 0, 665, 108, 67, 19, 2, 1, 420, 52, 11, 1, 2, 38, 1145, 50, 0, 0, 665, 108, 67, 19, 2, 1, 411, 735, 84, 33, 64, 20, 0.0, 37.0, 68.0, 0, 9, 33, 28, 4, 1, 51, 6, 13, 9, 3, 2, 0.0, 12, 2, 0, 0, 0, 31, 31, 0.0, 44.05, 80.95, 39.296875, 93.890625, 93.890625, 0, 27.296875, 39.296875, 18.19921875, 39.3984375, 27.296875, 9.099609375, 6.1, 0.0, 84.796875, 36.3984375, 12.099609375, 6.099609375, 3.0, 0.0, 388.0, 64.0, 3.0, 1.0, 331.0, "Tous les candidats", 1370.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "9711", "Licence - Portail Licence Chimie / Licence Physique-Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26795&g_ta_cod=9711", 85.0, 12.0, 2.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(2201, "Public", "0771027Y", "Lycée Joliot Curie", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Dammarie-les-Lys", "formation sélective", "BTS", "Lycée Joliot Curie - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 202, 52, 201, 0, 8, 4, 68, 21, 67, 18, 58, 1, 0, 0, 0, 1, 201, 0, 0, 0, 8, 4, 68, 21, 67, 18, 58, 95, 19, 4, 19, 0, 3.0, 12.0, 13.0, 0, 4, 12, 1, 2, 9, 7, 0, 4, 4, 4, 0, 0.0, 1, 0, 7, 2, 1, 9, 11, 15.79, 63.16, 68.42, 21.09765625, 75.0, 91.6875, 16.69921875, 33.296875, 63.1953125, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 8.298828125, 8.298828125, 16.69921875, 0.0, 75.0, 58.296875, 5.0, 3.0, 33.0, 9.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 46.0, "20151", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20151&g_ta_cod=20151", 11.0, 26.0, 63.0),
(2202, "Public", "0940585A", "Lycée Francois Mansart", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "BTS", "Lycée Francois Mansart - BTS - Production - Développement et Réalisation Bois", "BTS - Production", "", 18, 196, 21, 196, 0, 19, 1, 36, 8, 90, 24, 51, 0, 0, 0, 0, 0, 196, 0, 0, 0, 19, 1, 36, 8, 90, 24, 51, 76, 18, 2, 18, 0, 5.0, 12.0, 15.0, 0, 0, 15, 2, 6, 7, 3, 0, 5, 8, 2, 0, 0.0, 2, 3, 5, 3, 0, 12, 13, 27.78, 66.67, 83.33, 11.099609375, 80.0, 86.6875, 20, 0.0, 83.296875, 0.0, 33.296875, 53.296875, 13.298828125, 0.0, 0.0, 13.298828125, 13.298828125, 40.0, 20.0, 46.6953125, 33.296875, 9.0, 1.0, 33.0, 8.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 46.0, "11438", "BTS - Production - Développement et Réalisation Bois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11438&g_ta_cod=11438", 17.0, 33.0, 50.0),
(2203, "Public", "0142218K", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site d'Ifs", "14", "Calvados", "Normandie", "Normandie", "Ifs", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site d'Ifs - BUT - Réseaux et télécommunications Parcours :  Cybersécurité -  Réseaux Opérateurs et Multimédia", "BUT - Production", "Cybersécurité -  Réseaux Opérateurs et Multimédia", 48, 839, 62, 839, 0, 435, 51, 241, 35, 19, 4, 144, 0, 0, 0, 0, 0, 561, 0, 0, 0, 328, 37, 177, 27, 5, 0, 51, 218, 43, 0, 43, 0, 4.0, 36.0, 37.0, 0, 4, 41, 22, 17, 2, 2, 0, 7, 24, 8, 2, 0.0, 18, 15, 1, 0, 0, 28, 28, 9.3, 83.72, 86.05, 0.0, 68.296875, 68.296875, 0, 9.798828125, 95.296875, 0.0, 17.09765625, 58.5, 19.5, 4.9, 0.0, 53.6953125, 43.8984375, 41.5, 36.59375, 4.8994140625, 2.39990234375, 101.0, 11.0, 3.0, 0.0, 13.0, "Tous les candidats sauf les Bac technologiques", 173.0, "Bacheliers technologiques toutes séries", 172, "", 0, "Liste d'appel propre à cette formation", 41.0, "2942", "BUT - Réseaux et télécommunications Parcours :  Cybersécurité -  Réseaux Opérateurs et Multimédia", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2942&g_ta_cod=2942", 51.0, 44.0, 5.0),
(2204, "Public", "0741133E", "I.U.T. Annecy", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BUT", "I.U.T. Annecy - BUT - Génie électrique et informatique industrielle Parcours : Électricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "BUT - Production", "Électricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", 92, 824, 50, 784, 0, 431, 47, 241, 38, 20, 6, 92, 40, 7, 11, 0, 22, 504, 5, 0, 0, 327, 23, 157, 23, 2, 1, 18, 403, 87, 4, 83, 4, 33.0, 69.0, 84.0, 0, 8, 83, 57, 26, 0, 4, 0, 33, 33, 16, 1, 0.0, 27, 23, 0, 0, 0, 66, 66, 37.93, 79.31, 96.55, 4.599609375, 79.5, 79.5, 0, 9.599609375, 95.390625, 0.0, 39.796875, 39.796875, 19.296875, 1.2, 0.0, 68.6875, 32.5, 31.296875, 27.69921875, 0.0, 0.0, 258.0, 22.0, 2.0, 1.0, 13.0, "Tous les candidats sauf les Bac technologiques", 341.0, "Bacheliers technologiques toutes séries", 160, "", 0, "Liste d'appel propre à cette formation", 64.0, "8899", "BUT - Génie électrique et informatique industrielle Parcours : Électricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8899&g_ta_cod=8899", 70.0, 30.0, 0.0),
(2205, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation non sélective", "Licence", "Université Gustave Eiffel - Licence - Histoire - Parcours HISTOIRE : Histoire", "Licence - Sciences humaines et sociales", "HISTOIRE : Histoire", 140, 650, 245, 546, 0, 340, 53, 56, 16, 20, 6, 130, 104, 33, 15, 7, 49, 546, 100, 0, 0, 340, 53, 56, 16, 20, 6, 130, 566, 139, 33, 93, 45, 32.0, 91.0, 112.0, 0, 27, 88, 60, 20, 8, 51, 2, 52, 26, 6, 2, 0.0, 26, 3, 5, 0, 0, 82, 84, 23.02, 65.47, 80.58, 23.69921875, 93.1875, 95.5, 0, 30.69921875, 63.296875, 2.2998046875, 59.09375, 29.5, 6.7998046875, 2.3, 0.0, 68.1875, 29.5, 22.69921875, 3.39990234375, 9.099609375, 5.69921875, 322.0, 56.0, 21.0, 10.0, 158.0, "Tous les candidats", 547.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9932", "Licence - Histoire - Parcours HISTOIRE : Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9932&g_ta_cod=9932", 63.0, 26.0, 10.0),
(2206, "Public", "0190012K", "Lycée Simone Veil", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BTS", "Lycée Simone Veil - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 753, 371, 609, 0, 64, 13, 196, 59, 190, 79, 159, 144, 29, 45, 7, 63, 172, 14, 0, 0, 31, 8, 38, 14, 90, 28, 13, 120, 28, 11, 23, 5, 6.0, 22.0, 26.0, 0, 8, 21, 5, 6, 10, 7, 0, 7, 8, 6, 0, 0.0, 2, 3, 9, 5, 4, 14, 14, 21.43, 78.57, 92.86, 39.296875, 66.6875, 66.6875, 23.796875, 38.09375, 75.0, 0.0, 33.296875, 38.09375, 28.59765625, 0.0, 0.0, 23.796875, 9.5, 28.59765625, 14.298828125, 47.59375, 42.8984375, 26.0, 6.0, 47.0, 14.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 26.0, "3140", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3140&g_ta_cod=3140", 29.0, 32.0, 39.0),
(2207, "Privé sous contrat d'association", "0762378X", "ESIGELEC Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Saint-Etienne-du-Rouvray", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 135, 3086, 628, 3086, 0, 3082, 129, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 3046, 0, 0, 0, 3042, 126, 0, 0, 0, 0, 4, 2794, 127, 16, 127, 0, 76.0, 104.0, 127.0, 0, 10, 126, 126, 0, 0, 1, 1, 32, 51, 36, 5, 1.0, 93, 0, 0, 0, 0, 61, 61, 59.84, 81.89, 100.0, 12.599609375, 48.3984375, 48.3984375, 0, 7.8994140625, 99.1875, 0.7999267578125, 25.3984375, 40.5, 28.59765625, 4.0, 0.8, 100.0, 73.796875, 0.0, 0.0, 0.0, 0.0, 2790.0, 117.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "466", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=99&g_ta_cod=466", 100.0, 0.0, 0.0),
(2208, "Public", "0590119J", "Lycée Faidherbe", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Faidherbe - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 528, 254, 521, 320, 424, 45, 1, 0, 0, 0, 96, 7, 2, 0, 0, 5, 390, 6, 258, 360, 361, 31, 0, 0, 0, 0, 29, 207, 18, 4, 16, 2, 0.0, 12.0, 15.0, 7, 1, 15, 15, 0, 0, 3, 0, 0, 5, 7, 3, 0.0, 15, 0, 0, 1, 0, 11, 11, 0.0, 66.67, 83.33, 22.19921875, 73.296875, 73.296875, 6.69921875, 6.69921875, 83.296875, 0.0, 0.0, 33.296875, 46.6953125, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 182.0, 11.0, 0.0, 0.0, 25.0, "Tous les candidats", 390.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "31308", "CPGE - ECG", "", "", 100.0, 0.0, 0.0),
(2209, "Public", "0680015X", "Lycée Alfred Kastler", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Guebwiller", "formation sélective", "BTS", "Lycée Alfred Kastler - BTS - Services - Gestion de la PME", "BTS - Services", "", 29, 464, 309, 464, 0, 29, 9, 157, 61, 153, 73, 125, 0, 0, 0, 0, 0, 329, 0, 0, 0, 29, 9, 148, 59, 128, 59, 24, 140, 28, 19, 28, 0, 5.0, 18.0, 19.0, 0, 13, 27, 5, 9, 13, 1, 0, 15, 7, 5, 0, 0.0, 0, 3, 9, 6, 5, 27, 27, 17.86, 64.29, 67.86, 67.890625, 100.0, 100.0, 22.19921875, 48.09375, 96.390625, 0.0, 55.59375, 25.8984375, 18.5, 0.0, 0.0, 18.5, 0.0, 33.296875, 11.099609375, 48.09375, 33.296875, 10.0, 3.0, 68.0, 29.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 31.0, "20005", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20005&g_ta_cod=20005", 18.0, 36.0, 46.0),
(2210, "Privé sous contrat d'association", "0922653J", "Lycée DES METIERS LA SALLE ST NICOLAS", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Issy-les-Moulineaux", "formation sélective", "BTS", "Lycée DES METIERS LA SALLE ST NICOLAS - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 20, 148, 28, 143, 0, 19, 1, 17, 3, 71, 19, 36, 5, 0, 3, 0, 2, 76, 1, 0, 0, 12, 1, 9, 1, 36, 6, 19, 55, 16, 3, 15, 1, 5.0, 13.0, 14.0, 0, 0, 9, 3, 1, 5, 7, 0, 1, 7, 1, 0, 0.0, 2, 1, 5, 3, 1, 6, 8, 31.25, 81.25, 87.5, 18.796875, 66.6875, 88.890625, 33.296875, 0.0, 56.296875, 0.0, 11.099609375, 77.796875, 11.099609375, 0.0, 0.0, 33.296875, 22.19921875, 11.099609375, 11.099609375, 55.59375, 55.59375, 8.0, 1.0, 26.0, 4.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers technologiques toutes séries", 12, "Bacheliers professionnels toutes séries", 35, "Liste d'appel propre à cette formation", 45.0, "34313", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34313&g_ta_cod=34313", 31.0, 25.0, 44.0),
(2211, "Public", "0750658H", "Lycée Saint-Louis (6ème)", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Saint-Louis (6ème) - CPGE - MP2I", "Classe préparatoire scientifique", "", 48, 3057, 512, 3057, 1937, 2776, 327, 13, 3, 0, 0, 268, 0, 0, 0, 0, 0, 547, 0, 253, 540, 547, 35, 0, 0, 0, 0, 0, 178, 46, 6, 46, 0, 5.0, 32.0, 38.0, 13, 5, 46, 46, 0, 0, 0, 0, 0, 0, 4, 32, 10.0, 46, 0, 0, 0, 0, 5, 19, 10.87, 69.57, 82.61, 13.0, 10.8984375, 41.296875, 0, 10.8984375, 100.0, 0.0, 0.0, 0.0, 8.69921875, 69.6, 21.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 178.0, 26.0, 0.0, 0.0, 0.0, "Tous les candidats", 278.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "32123", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32123&g_ta_cod=32123", 100.0, 0.0, 0.0),
(2212, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence_Las", "Université de Paris - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER Etudes Coréennes", "Licence - Arts-lettres-langues", "LLCER Etudes Coréennes", 10, 489, 458, 489, 0, 195, 54, 47, 25, 26, 21, 221, 0, 0, 0, 0, 0, 211, 0, 0, 0, 142, 35, 8, 4, 2, 1, 59, 46, 10, 10, 10, 0, 2.0, 8.0, 8.0, 0, 0, 8, 8, 0, 0, 2, 0, 0, 2, 4, 2, 0.0, 8, 0, 0, 0, 0, 2, 5, 20.0, 80.0, 80.0, 100.0, 25.0, 62.5, 0, 0.0, 80.0, 0.0, 0.0, 25.0, 50.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 40.0, 10.0, 0.0, 0.0, 5.0, "Tous les candidats", 181.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 11.0, "29402", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER Etudes Coréennes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29401&g_ta_cod=29402", 100.0, 0.0, 0.0),
(2213, "Public", "0690042W", "Lycée Colbert", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Lycée Colbert - BTS - Services - Professions immobilières", "BTS - Services", "", 35, 3222, 1883, 3207, 0, 592, 132, 1129, 400, 704, 316, 782, 15, 3, 0, 0, 12, 965, 2, 0, 0, 85, 13, 365, 97, 366, 152, 149, 223, 31, 20, 29, 2, 1.0, 19.0, 26.0, 0, 9, 25, 4, 13, 8, 6, 0, 3, 15, 4, 3, 0.0, 4, 10, 8, 0, 0, 4, 4, 3.23, 61.29, 83.87, 64.5, 16.0, 16.0, 0, 36.0, 80.59375, 0.0, 12.0, 60.0, 16.0, 12.0, 0.0, 16.0, 16.0, 52.0, 40.0, 32.0, 32.0, 27.0, 6.0, 54.0, 20.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 97, "Bacheliers technologiques toutes séries", 243, "Liste d'appel propre à cette formation", 13.0, "8230", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8230&g_ta_cod=8230", 19.0, 48.0, 32.0),
(2214, "Public", "0300026R", "Lycée Dhuoda", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Dhuoda - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 28, 250, 16, 229, 0, 2, 1, 65, 21, 121, 56, 41, 21, 0, 11, 0, 10, 160, 4, 0, 0, 2, 1, 48, 12, 85, 37, 25, 110, 17, 1, 17, 0, 1.0, 17.0, 17.0, 0, 5, 15, 0, 6, 9, 2, 0, 7, 4, 4, 0, 0.0, 0, 3, 5, 4, 0, 11, 11, 5.88, 100.0, 100.0, 5.8994140625, 73.296875, 73.296875, 26.69921875, 33.296875, 88.1875, 0.0, 46.6953125, 26.69921875, 26.69921875, 0.0, 0.0, 0.0, 0.0, 40.0, 20.0, 60.0, 33.296875, 1.0, 1.0, 54.0, 20.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 59.0, "3946", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3946&g_ta_cod=3946", 0.0, 35.0, 65.0),
(2215, "Public", "0290078C", "Lycée professionnel Roz Glas", "29", "Finistère", "Bretagne", "Rennes", "Quimperlé", "formation sélective", "Autre formation", "Lycée professionnel Roz Glas - Mention complémentaire - FCIL Ouvrier voilier polyvalent", "Mention complémentaire", "", 10, 4, 2, 2, 0, 0, 0, 0, 0, 1, 0, 1, 2, 0, 0, 0, 2, 2, 2, 0, 0, 0, 0, 0, 0, 1, 0, 1, 4, 2, 1, 1, 1, 1.0, 1.0, 2.0, 0, 0, 1, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 50.0, 50.0, 100.0, 50.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 1.0, 0.0, 3.0, "Tous les candidats", 2.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "25028", "Mention complémentaire - FCIL Ouvrier voilier polyvalent", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25028&g_ta_cod=25028", 50.0, 0.0, 50.0),
(2216, "Public", "0922149L", "Lycée Auffray", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Clichy", "formation sélective", "Autre formation", "Lycée Auffray - Mention complémentaire - Organisateur de réception", "Mention complémentaire", "", 16, 54, 30, 51, 0, 0, 0, 2, 0, 37, 13, 12, 3, 0, 0, 1, 2, 51, 0, 0, 0, 0, 0, 2, 0, 37, 13, 12, 42, 12, 4, 12, 0, 7.0, 12.0, 12.0, 0, 3, 6, 0, 0, 6, 6, 1, 0, 3, 1, 1, 0.0, 0, 0, 5, 0, 0, 5, 5, 58.33, 100.0, 100.0, 33.296875, 83.296875, 83.296875, 0, 50.0, 50.0, 16.69921875, 0.0, 50.0, 16.69921875, 16.7, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 28.0, 9.0, 12.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "13375", "Mention complémentaire - Organisateur de réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13375&g_ta_cod=13375", 0.0, 0.0, 100.0),
(2217, "Public", "0332297T", "IFSI CH de Libourne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Libourne", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bordeaux - D.E Infirmier", "D.E secteur sanitaire", "", 121, 6778, 5693, 6778, 0, 1337, 249, 1175, 288, 515, 169, 3751, 0, 0, 0, 0, 0, 5367, 0, 0, 0, 1222, 214, 1026, 235, 342, 115, 2777, 1471, 121, 106, 121, 0, 0.0, 15.0, 42.0, 0, 15, 49, 27, 18, 4, 72, 0, 14, 27, 6, 2, 0.0, 16, 15, 4, 0, 0, 34, 34, 0.0, 12.4, 34.71, 87.59375, 69.390625, 69.390625, 0, 30.59765625, 40.5, 0.0, 28.59765625, 55.09375, 12.19921875, 4.1, 0.0, 55.09375, 32.6953125, 36.6953125, 30.59765625, 8.19921875, 8.19921875, 278.0, 66.0, 32.0, 14.0, 834.0, "Tous les candidats", 3155.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "23944", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23940&g_ta_cod=23944", 67.0, 27.0, 5.0),
(2218, "Public", "0320015T", "Lycée Maréchal Lannes", "32", "Gers", "Occitanie", "Toulouse", "Lectoure", "formation sélective", "BTS", "Lycée Maréchal Lannes - BTS - Services - Gestion de la PME", "BTS - Services", "", 12, 111, 63, 104, 0, 3, 2, 32, 13, 44, 18, 25, 7, 0, 2, 0, 5, 104, 5, 0, 0, 3, 2, 32, 13, 44, 18, 25, 81, 9, 6, 7, 2, 0.0, 5.0, 5.0, 0, 2, 4, 0, 1, 3, 5, 0, 2, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 3, 3, 0.0, 55.56, 55.56, 66.6875, 75.0, 75.0, 0, 50.0, 44.3984375, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 50.0, 2.0, 1.0, 34.0, 14.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 82.0, "13229", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13229&g_ta_cod=13229", 11.0, 56.0, 33.0),
(2219, "Privé sous contrat d'association", "0410693F", "Lycée La Providence", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BTS", "Lycée La Providence - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 20, 241, 222, 223, 0, 20, 7, 57, 13, 100, 38, 46, 18, 0, 2, 6, 10, 159, 9, 0, 0, 18, 5, 46, 10, 76, 28, 19, 99, 16, 16, 12, 4, 3.0, 7.0, 7.0, 0, 7, 13, 0, 3, 10, 3, 0, 6, 3, 4, 0, 0.0, 0, 1, 6, 7, 7, 12, 12, 18.75, 43.75, 43.75, 100.0, 92.296875, 92.296875, 53.796875, 53.796875, 81.296875, 0.0, 46.1953125, 23.09765625, 30.796875, 0.0, 0.0, 0.0, 0.0, 23.09765625, 7.69921875, 76.890625, 46.1953125, 6.0, 2.0, 62.0, 24.0, 11.0, "Tous les candidats sauf les Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 67, "", 0, "Liste d'appel propre à cette formation", 42.0, "5247", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5247&g_ta_cod=5247", 19.0, 19.0, 63.0),
(2220, "Public", "0170393K", "Lycée CFA de l'Alimentation - ENILIA ENSMIC", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Surgères", "formation sélective", "BTS", "Lycée CFA de l'Alimentation - ENILIA ENSMIC - BTS - Agricole - Sciences et technologies des aliments spécialité Produits laitiers", "BTS - Agricole", "", 11, 104, 62, 104, 0, 9, 0, 14, 3, 11, 5, 70, 0, 0, 0, 0, 0, 97, 0, 0, 0, 9, 0, 14, 3, 11, 5, 63, 37, 7, 3, 7, 0, 1.0, 7.0, 7.0, 0, 0, 2, 0, 1, 1, 5, 0, 0, 1, 1, 0, 0.0, 0, 1, 1, 1, 0, 2, 2, 14.29, 100.0, 100.0, 42.8984375, 100.0, 100.0, 50, 0.0, 28.59765625, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 3.0, 0.0, 11.0, 5.0, 13.0, "Tous les candidats sauf les Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 55.0, "3061", "BTS - Agricole - Sciences et technologies des aliments spécialité Produits laitiers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3061&g_ta_cod=3061", 71.0, 14.0, 14.0),
(2221, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Licence", "Université de Nantes - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : Anglais Europe", "Licence - Arts-lettres-langues", "LLCER : Anglais Europe", 8, 384, 292, 384, 0, 287, 46, 9, 1, 7, 2, 81, 0, 0, 0, 0, 0, 71, 0, 0, 0, 62, 6, 0, 0, 0, 0, 9, 24, 9, 8, 9, 0, 2.0, 9.0, 9.0, 0, 2, 9, 9, 0, 0, 0, 0, 0, 1, 1, 4, 3.0, 9, 0, 0, 0, 0, 4, 4, 22.22, 100.0, 100.0, 88.890625, 44.3984375, 44.3984375, 0, 22.19921875, 100.0, 0.0, 0.0, 11.099609375, 11.099609375, 44.4, 33.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 23.0, 4.0, 0.0, 0.0, 1.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "19172", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : Anglais Europe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19172&g_ta_cod=19172", 100.0, 0.0, 0.0),
(2222, "Public", "0650026A", "Lycée Marie Curie", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 681, 582, 681, 0, 82, 21, 149, 39, 234, 83, 216, 0, 0, 0, 0, 0, 403, 0, 0, 0, 74, 17, 92, 22, 163, 47, 74, 164, 30, 30, 30, 0, 2.0, 21.0, 21.0, 0, 8, 27, 9, 8, 10, 3, 0, 5, 17, 4, 1, 0.0, 6, 6, 10, 6, 6, 15, 15, 6.67, 70.0, 70.0, 100.0, 55.59375, 55.59375, 22.19921875, 29.59765625, 90.0, 0.0, 18.5, 63.0, 14.798828125, 3.7, 0.0, 33.296875, 22.19921875, 29.59765625, 22.19921875, 37.0, 37.0, 39.0, 10.0, 59.0, 16.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 31.0, "7812", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7812&g_ta_cod=7812", 30.0, 33.0, 37.0),
(2223, "Public", "0560025Y", "Lycée Dupuy De Lôme", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "CPGE", "Lycée Dupuy De Lôme - CPGE - ECG -  - Mathématiques appliquées + HGG", "Classe préparatoire économique et commerciale", "", 48, 266, 131, 262, 157, 199, 9, 1, 0, 0, 0, 62, 4, 2, 0, 0, 2, 249, 2, 157, 206, 198, 9, 0, 0, 0, 0, 51, 201, 20, 7, 19, 1, 10.0, 16.0, 20.0, 8, 2, 17, 17, 0, 0, 3, 0, 1, 7, 9, 0, 0.0, 16, 0, 0, 2, 0, 14, 14, 50.0, 80.0, 100.0, 35.0, 82.390625, 82.390625, 11.798828125, 11.798828125, 85.0, 0.0, 5.8994140625, 41.1953125, 52.8984375, 0.0, 0.0, 100.0, 94.09375, 0.0, 0.0, 0.0, 0.0, 176.0, 5.0, 0.0, 0.0, 25.0, "Tous les candidats", 216.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "31385", "CPGE - ECG -  - Mathématiques appliquées + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31385&g_ta_cod=31385", 100.0, 0.0, 0.0),
(2224, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 155, 938, 427, 805, 0, 494, 107, 97, 33, 54, 26, 160, 133, 24, 13, 12, 84, 802, 129, 0, 0, 494, 107, 97, 33, 54, 26, 157, 792, 138, 50, 92, 46, 14.0, 91.0, 106.0, 0, 27, 84, 63, 9, 12, 54, 1, 36, 35, 12, 0, 0.0, 36, 3, 8, 0, 0, 51, 51, 10.14, 65.94, 76.81, 36.1953125, 60.6953125, 60.6953125, 0, 32.09375, 60.8984375, 1.199951171875, 42.8984375, 41.6953125, 14.298828125, 0.0, 0.0, 75.0, 42.8984375, 10.69921875, 3.599609375, 14.298828125, 9.5, 463.0, 103.0, 45.0, 24.0, 198.0, "Tous les candidats", 801.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5350", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5350&g_ta_cod=5350", 64.0, 19.0, 17.0),
(2225, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Licence", "Université Clermont Auvergne - Licence - Langues étrangères appliquées - Parcours Anglais/Chinois", "Licence - Arts-lettres-langues", "Anglais/Chinois", 25, 275, 204, 275, 0, 191, 53, 13, 5, 8, 3, 63, 0, 0, 0, 0, 0, 270, 0, 0, 0, 191, 53, 13, 5, 8, 3, 58, 88, 25, 18, 25, 0, 3.0, 23.0, 25.0, 0, 7, 23, 23, 0, 0, 2, 0, 3, 10, 9, 1, 0.0, 20, 0, 0, 0, 0, 16, 16, 12.0, 92.0, 100.0, 72.0, 69.59375, 69.59375, 0, 30.3984375, 92.0, 0.0, 13.0, 43.5, 39.09375, 4.3, 0.0, 100.0, 87.0, 0.0, 0.0, 0.0, 0.0, 73.0, 24.0, 0.0, 0.0, 14.0, "Tous les candidats", 134.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "15454", "Licence - Langues étrangères appliquées - Parcours Anglais/Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15454&g_ta_cod=15454", 100.0, 0.0, 0.0),
(2226, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Université de Strasbourg - DEUST - Pratique et gestion des activités physiques, sportives et de loisirs pour les publics séniors", "DEUST", "", 25, 216, 80, 163, 0, 55, 11, 35, 6, 28, 8, 45, 53, 9, 7, 7, 30, 82, 8, 0, 0, 30, 4, 20, 4, 9, 2, 23, 73, 18, 10, 17, 1, 3.0, 17.0, 18.0, 0, 1, 11, 5, 2, 4, 7, 0, 5, 4, 1, 1, 0.0, 2, 1, 3, 0, 0, 8, 8, 16.67, 94.44, 100.0, 55.59375, 72.6875, 72.6875, 0, 9.099609375, 61.09375, 0.0, 45.5, 36.3984375, 9.099609375, 9.1, 0.0, 45.5, 18.19921875, 18.19921875, 9.099609375, 36.3984375, 27.296875, 22.0, 4.0, 7.0, 1.0, 25.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "8021", "DEUST - Pratique et gestion des activités physiques, sportives et de loisirs pour les publics séniors", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8021&g_ta_cod=8021", 50.0, 28.0, 22.0),
(2227, "Public", "0751875F", "Ecole Nationale Supérieure d'Architecture de Paris-La Villette", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Paris-La Villette - Bicursus Architecture Ingénieur - EIVP", "Formations Bac + 5", "EIVP", 10, 352, 198, 352, 0, 289, 63, 0, 0, 0, 0, 63, 0, 0, 0, 0, 0, 49, 0, 0, 0, 48, 7, 0, 0, 0, 0, 1, 23, 10, 8, 10, 0, 2.0, 10.0, 10.0, 0, 1, 10, 10, 0, 0, 0, 0, 0, 0, 0, 8, 2.0, 10, 0, 0, 0, 0, 1, 5, 20.0, 100.0, 100.0, 80.0, 10.0, 50.0, 0, 10.0, 100.0, 0.0, 0.0, 0.0, 0.0, 80.0, 20.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 23.0, 4.0, 0.0, 0.0, 0.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "19485", "Bicursus Architecture Ingénieur - EIVP", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19485&g_ta_cod=19485", 100.0, 0.0, 0.0),
(2228, "Privé sous contrat d'association", "0931026K", "Lycée Protectorat Saint Joseph", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aulnay-sous-Bois", "formation sélective", "BTS", "Lycée Protectorat Saint Joseph - BTS - Services - Gestion de la PME", "BTS - Services", "", 25, 262, 151, 262, 0, 11, 4, 72, 31, 102, 58, 77, 0, 0, 0, 0, 0, 194, 0, 0, 0, 11, 4, 53, 22, 87, 48, 43, 132, 18, 10, 18, 0, 1.0, 7.0, 9.0, 0, 6, 11, 1, 5, 5, 7, 0, 4, 6, 1, 0, 0.0, 0, 2, 5, 1, 1, 11, 11, 5.56, 38.89, 50.0, 55.59375, 100.0, 100.0, 9.099609375, 54.5, 61.09375, 0.0, 36.3984375, 54.5, 9.099609375, 0.0, 0.0, 9.099609375, 0.0, 45.5, 18.19921875, 45.5, 45.5, 7.0, 2.0, 61.0, 36.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 53.0, "11234", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11234&g_ta_cod=11234", 22.0, 44.0, 33.0),
(2229, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "PASS", "Université de Tours - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 60, 2466, 1499, 2466, 0, 1958, 228, 58, 13, 15, 5, 435, 0, 0, 0, 0, 0, 2437, 0, 0, 0, 1958, 228, 58, 13, 15, 5, 406, 317, 60, 41, 60, 0, 3.0, 50.0, 57.0, 0, 7, 60, 60, 0, 0, 0, 0, 0, 4, 38, 18, 0.0, 60, 0, 0, 0, 0, 59, 59, 5.0, 83.33, 95.0, 68.296875, 98.296875, 98.296875, 0, 11.69921875, 100.0, 0.0, 0.0, 6.69921875, 63.296875, 30.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 317.0, 36.0, 0.0, 0.0, 0.0, "Tous les candidats", 1398.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 17.0, "32219", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27667&g_ta_cod=32219", 100.0, 0.0, 0.0),
(2230, "Public", "0340838B", "I.U.T de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BUT", "I.U.T de Montpellier - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", "BUT - Production", "Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", 120, 1582, 141, 1479, 0, 802, 149, 296, 87, 23, 10, 358, 103, 15, 14, 1, 73, 996, 23, 0, 0, 612, 101, 210, 49, 0, 0, 174, 773, 101, 10, 92, 9, 30.0, 68.0, 94.0, 0, 17, 78, 64, 14, 0, 23, 1, 22, 37, 17, 1, 0.0, 44, 11, 0, 0, 0, 47, 47, 29.7, 67.33, 93.07, 9.8984375, 60.296875, 60.296875, 0, 21.796875, 77.1875, 1.2998046875, 28.19921875, 47.3984375, 21.796875, 1.3, 0.0, 82.09375, 56.3984375, 17.8984375, 14.099609375, 0.0, 0.0, 430.0, 76.0, 0.0, 0.0, 156.0, "Tous les candidats sauf les Bac technologiques", 756.0, "Bacheliers technologiques toutes séries", 239, "", 0, "Liste d'appel propre à cette formation", 67.0, "4523", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4523&g_ta_cod=4523", 80.0, 20.0, 0.0),
(2231, "Public", "0241131Z", "Université de Bordeaux - Antenne de Périgueux", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Droit", "Licence - Droit-économie-gestion", "Université de Bordeaux - Antenne de Périgueux", 195, 3284, 2414, 3126, 0, 2317, 470, 276, 92, 50, 21, 483, 158, 30, 9, 7, 112, 3096, 140, 0, 0, 2317, 470, 276, 92, 50, 21, 453, 1617, 163, 121, 135, 28, 10.0, 119.0, 141.0, 0, 30, 124, 100, 20, 4, 39, 0, 44, 36, 39, 5, 0.0, 69, 7, 4, 0, 0, 105, 105, 6.13, 73.01, 86.5, 74.1875, 84.6875, 84.6875, 0, 24.19921875, 76.09375, 0.0, 35.5, 29.0, 31.5, 4.0, 0.0, 80.59375, 55.59375, 16.09765625, 5.599609375, 3.19970703125, 3.19970703125, 1083.0, 194.0, 33.0, 17.0, 354.0, "Tous les candidats", 9860.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "26329", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26327&g_ta_cod=26329", 78.0, 18.0, 3.0),
(2232, "Privé sous contrat d'association", "0590347G", "ISEN Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 5, 97, 5, 96, 0, 0, 0, 96, 23, 0, 0, 0, 1, 0, 1, 0, 0, 44, 0, 0, 0, 0, 0, 44, 10, 0, 0, 0, 36, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0.0, 0, 1, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "22895", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=22895", 0.0, 100.0, 0.0),
(2233, "Public", "0940119U", "Lycée Paul Doumer", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Le Perreux-sur-Marne", "formation sélective", "Autre formation", "Lycée Paul Doumer - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 890, 402, 784, 0, 258, 99, 296, 126, 19, 9, 211, 106, 12, 29, 6, 59, 315, 14, 0, 0, 151, 61, 109, 41, 0, 0, 55, 180, 35, 16, 30, 4, 7.0, 28.0, 30.0, 0, 7, 28, 15, 13, 0, 7, 0, 5, 15, 8, 0, 0.0, 12, 11, 0, 0, 0, 26, 26, 20.0, 80.0, 85.71, 45.6953125, 92.890625, 92.890625, 0, 25.0, 80.0, 0.0, 17.8984375, 53.59375, 28.59765625, 0.0, 0.0, 53.59375, 42.8984375, 46.3984375, 39.296875, 0.0, 0.0, 79.0, 25.0, 0.0, 0.0, 40.0, "Tous les candidats", 284.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "11390", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11390&g_ta_cod=11390", 60.0, 40.0, 0.0),
(2234, "Public", "0920801W", "Lycée Alexandre Dumas", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Saint-Cloud", "formation sélective", "CPGE", "Lycée Alexandre Dumas - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 489, 216, 478, 0, 423, 51, 0, 0, 0, 0, 55, 11, 4, 0, 0, 7, 396, 6, 0, 396, 369, 41, 0, 0, 0, 0, 27, 312, 13, 6, 11, 2, 1.0, 6.0, 12.0, 0, 0, 9, 9, 0, 0, 4, 0, 0, 4, 5, 0, 0.0, 9, 0, 0, 0, 0, 7, 8, 7.69, 46.15, 92.31, 46.1953125, 77.796875, 88.890625, 0, 0.0, 69.1875, 0.0, 0.0, 44.3984375, 55.59375, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 287.0, 31.0, 0.0, 0.0, 25.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "31588", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31398&g_ta_cod=31588", 100.0, 0.0, 0.0),
(2235, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Licence", "Université Angers - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours bivalent Allemand-Anglais", "Licence - Arts-lettres-langues", "bivalent Allemand-Anglais", 36, 75, 57, 53, 0, 41, 6, 2, 1, 1, 1, 9, 22, 2, 1, 1, 18, 50, 4, 0, 0, 40, 6, 2, 1, 0, 0, 8, 54, 12, 12, 12, 0, 12.0, 12.0, 12.0, 0, 1, 10, 10, 0, 0, 2, 0, 0, 1, 6, 2, 1.0, 10, 0, 0, 0, 0, 5, 5, 100.0, 100.0, 100.0, 100.0, 50.0, 50.0, 0, 10.0, 83.296875, 0.0, 0.0, 10.0, 60.0, 20.0, 10.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 40.0, 6.0, 0.0, 0.0, 12.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "13998", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours bivalent Allemand-Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13998&g_ta_cod=13998", 100.0, 0.0, 0.0),
(2236, "Public", "0630984C", "LEGTPA Louis Pasteur (Clermont-Marmilhat)", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Lempdes", "formation sélective", "BTS", "LEGTPA Louis Pasteur (Clermont-Marmilhat) - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 24, 195, 86, 195, 0, 29, 9, 56, 13, 69, 25, 41, 0, 0, 0, 0, 0, 170, 0, 0, 0, 29, 9, 56, 13, 66, 23, 19, 89, 26, 10, 26, 0, 10.0, 25.0, 26.0, 0, 9, 22, 4, 7, 11, 4, 0, 4, 8, 6, 4, 0.0, 3, 7, 8, 10, 2, 18, 18, 38.46, 96.15, 100.0, 38.5, 81.796875, 81.796875, 45.5, 40.8984375, 84.59375, 0.0, 18.19921875, 36.3984375, 27.296875, 18.2, 0.0, 18.19921875, 13.599609375, 31.796875, 31.796875, 50.0, 36.3984375, 21.0, 7.0, 31.0, 10.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 66.0, "7592", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7592&g_ta_cod=7592", 23.0, 35.0, 42.0),
(2237, "Public", "0080039Z", "Lycée Paul Verlaine", "08", "Ariège", "Grand Est", "Reims", "Rethel", "formation sélective", "BTS", "Lycée Paul Verlaine - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 163, 84, 163, 0, 11, 3, 65, 28, 58, 23, 29, 0, 0, 0, 0, 0, 142, 0, 0, 0, 11, 3, 61, 27, 52, 21, 18, 93, 24, 14, 24, 0, 7.0, 20.0, 23.0, 0, 8, 20, 1, 6, 13, 4, 0, 11, 8, 1, 0, 0.0, 0, 3, 6, 15, 10, 19, 19, 29.17, 83.33, 95.83, 58.296875, 95.0, 95.0, 75, 40.0, 83.296875, 0.0, 55.0, 40.0, 5.0, 0.0, 0.0, 5.0, 0.0, 30.0, 15.0, 65.0, 30.0, 9.0, 3.0, 43.0, 18.0, 9.0, "Tous les candidats sauf les Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 69.0, "25030", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25030&g_ta_cod=25030", 13.0, 29.0, 58.0),
(2238, "Public", "0290012F", "Lycée Vauban", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Vauban - BTS - Production - Systèmes numériques - Option électronique et communication - parcours Marine Nationale/Maistrance-Défense", "BTS - Production", "parcours Marine Nationale/Maistrance-Défense", 2, 41, 3, 41, 0, 24, 2, 10, 1, 4, 0, 3, 0, 0, 0, 0, 0, 16, 0, 0, 0, 12, 0, 3, 0, 0, 0, 1, 6, 2, 0, 2, 0, 0.0, 2.0, 2.0, 0, 0, 2, 2, 0, 0, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 0.0, 50.0, 50.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 5.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "19593", "BTS - Production - Systèmes numériques - Option électronique et communication - parcours Marine Nationale/Maistrance-Défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19593&g_ta_cod=19593", 100.0, 0.0, 0.0),
(2239, "Privé sous contrat d'association", "0371471Y", "IRFSS", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Chambray-lès-Tours", "formation sélective", "EFTS", "IRFSS - D.E Assistant de Service Social", "D.E secteur social", "", 55, 247, 229, 247, 0, 52, 7, 57, 16, 29, 12, 109, 0, 0, 0, 0, 0, 138, 0, 0, 0, 29, 2, 29, 6, 10, 3, 70, 97, 53, 47, 53, 0, 29.0, 48.0, 50.0, 0, 3, 24, 9, 10, 5, 29, 0, 7, 11, 5, 1, 0.0, 5, 7, 5, 0, 0, 19, 19, 54.72, 90.57, 94.34, 88.6875, 79.1875, 79.1875, 0, 12.5, 45.296875, 0.0, 29.19921875, 45.796875, 20.796875, 4.2, 0.0, 37.5, 20.796875, 41.6953125, 29.19921875, 20.796875, 20.796875, 18.0, 2.0, 7.0, 3.0, 53.0, "Tous les candidats", 113.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "23767", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23767&g_ta_cod=23767", 42.0, 40.0, 19.0),
(2240, "Public", "0670086E", "Lycée des métiers René Cassin", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée des métiers René Cassin - BTS - Services - Communication", "BTS - Services", "", 35, 1558, 1033, 1548, 0, 266, 52, 393, 128, 202, 101, 687, 10, 0, 7, 0, 3, 442, 2, 0, 0, 147, 19, 91, 17, 108, 50, 96, 184, 36, 28, 33, 2, 1.0, 23.0, 31.0, 0, 8, 23, 12, 6, 5, 13, 0, 6, 12, 5, 0, 0.0, 10, 2, 5, 3, 3, 23, 23, 2.78, 63.89, 86.11, 77.796875, 100.0, 100.0, 13, 34.796875, 63.8984375, 0.0, 26.09765625, 52.1953125, 21.69921875, 0.0, 0.0, 52.1953125, 43.5, 26.09765625, 8.69921875, 21.69921875, 21.69921875, 80.0, 14.0, 15.0, 4.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 156.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 18.0, "7950", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7950&g_ta_cod=7950", 58.0, 25.0, 17.0),
(2241, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes européennes et internationales", "Licence - Arts-lettres-langues", "Etudes européennes et internationales", 65, 550, 415, 480, 0, 275, 92, 40, 18, 27, 12, 138, 70, 10, 5, 9, 46, 470, 65, 0, 0, 275, 92, 40, 18, 27, 12, 128, 425, 63, 41, 41, 22, 4.0, 37.0, 46.0, 0, 14, 39, 22, 5, 12, 24, 0, 25, 11, 3, 0, 0.0, 7, 1, 6, 0, 0, 20, 32, 6.35, 58.73, 73.02, 65.09375, 51.296875, 82.09375, 0, 35.8984375, 61.8984375, 0.0, 64.09375, 28.19921875, 7.69921875, 0.0, 0.0, 56.3984375, 17.8984375, 12.798828125, 2.599609375, 30.796875, 15.3984375, 258.0, 87.0, 26.0, 6.0, 116.0, "Tous les candidats", 470.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "17134", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes européennes et internationales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17134&g_ta_cod=17134", 56.0, 14.0, 30.0),
(2242, "Privé enseignement supérieur", "0383384X", "Bachelor IDRAC Business School - Campus de GRENOBLE", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Gières", "formation sélective", "Ecole de Commerce", "Concours Bachelor IDRAC Business School - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "Approfondissement en : marketing digital, international, sport & business et approfondissement personnalisable", 100, 415, 144, 399, 0, 283, 45, 70, 15, 3, 2, 43, 16, 3, 3, 3, 7, 304, 4, 0, 0, 228, 26, 45, 5, 2, 1, 29, 308, 17, 7, 14, 3, 14.0, 14.0, 16.0, 0, 1, 13, 7, 5, 1, 4, 0, 4, 6, 2, 1, 0.0, 6, 2, 1, 0, 0, 10, 10, 82.35, 82.35, 94.12, 41.1953125, 76.890625, 76.890625, 0, 7.69921875, 76.5, 0.0, 30.796875, 46.1953125, 15.3984375, 7.7, 0.0, 53.796875, 46.1953125, 38.5, 15.3984375, 7.69921875, 7.69921875, 229.0, 26.0, 2.0, 1.0, 32.0, "Tous les candidats", 1404.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "446", "Formation des écoles de commerce et de management Bac + 3", "Concours Bachelor IDRAC Business School", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=439&g_ta_cod=446", 65.0, 29.0, 6.0),
(2243, "Public", "0801700N", "Lycée Jean- Baptiste Delambre", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Jean- Baptiste Delambre - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 28, 772, 499, 726, 0, 161, 36, 196, 63, 38, 15, 331, 46, 0, 12, 8, 26, 251, 10, 0, 0, 88, 12, 94, 26, 23, 9, 46, 141, 26, 11, 20, 5, 2.0, 18.0, 20.0, 0, 6, 16, 4, 10, 2, 10, 0, 3, 10, 3, 0, 0.0, 3, 8, 2, 4, 2, 10, 10, 7.69, 69.23, 76.92, 42.296875, 62.5, 62.5, 25, 37.5, 61.5, 0.0, 18.796875, 62.5, 18.796875, 0.0, 0.0, 25.0, 18.796875, 62.5, 50.0, 12.5, 12.5, 21.0, 7.0, 14.0, 6.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 118, "Liste d'appel propre à cette formation", 26.0, "10235", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10235&g_ta_cod=10235", 23.0, 69.0, 8.0),
(2244, "Public", "0510068X", "Lycée Stéphane Hessel", "51", "Marne", "Grand Est", "Reims", "Epernay", "formation sélective", "BTS", "Lycée Stéphane Hessel - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 36, 184, 97, 178, 0, 23, 5, 62, 19, 42, 17, 51, 6, 0, 0, 0, 6, 178, 6, 0, 0, 23, 5, 62, 19, 42, 17, 51, 114, 30, 18, 25, 4, 11.0, 21.0, 23.0, 0, 5, 17, 2, 9, 6, 13, 0, 4, 8, 5, 0, 0.0, 1, 6, 6, 13, 8, 16, 16, 36.67, 70.0, 76.67, 60.0, 94.09375, 94.09375, 76.5, 29.3984375, 56.6953125, 0.0, 23.5, 47.09375, 29.3984375, 0.0, 0.0, 11.798828125, 5.8994140625, 52.8984375, 35.296875, 35.296875, 35.296875, 17.0, 3.0, 33.0, 13.0, 37.0, "Tous les candidats sauf les Bac professionnels", 115.0, "Bacheliers professionnels toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 90.0, "6088", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6088&g_ta_cod=6088", 23.0, 50.0, 27.0),
(2245, "Public", "0020059D", "Lycée Gérard de Nerval", "02", "Aisne", "Hauts-de-France", "Amiens", "Soissons", "formation sélective", "BTS", "Lycée Gérard de Nerval - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 244, 124, 185, 0, 36, 13, 54, 32, 45, 23, 50, 59, 6, 12, 13, 28, 121, 26, 0, 0, 32, 12, 42, 25, 32, 14, 15, 127, 27, 10, 16, 11, 3.0, 15.0, 23.0, 0, 13, 20, 5, 10, 5, 7, 0, 11, 9, 0, 0, 0.0, 1, 5, 3, 5, 5, 19, 19, 11.11, 55.56, 85.19, 37.0, 95.0, 95.0, 25, 65.0, 74.09375, 0.0, 55.0, 45.0, 0.0, 0.0, 0.0, 25.0, 5.0, 50.0, 25.0, 25.0, 15.0, 30.0, 13.0, 32.0, 14.0, 28.0, "Tous les candidats sauf les Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 65.0, "2072", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2072&g_ta_cod=2072", 33.0, 48.0, 19.0),
(2246, "Public", "0071445H", "Centre de Ressources, d-Expertise et de Performance Sportive d-Auvergne Rhône-Alpes Vallon-Pont-d'Arc (CREPS)", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Vallon-Pont-d'Arc", "formation sélective", "Autre formation", "CREPS Rhône-Alpes - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 9, 119, 26, 119, 0, 29, 6, 20, 4, 35, 11, 35, 0, 0, 0, 0, 0, 31, 0, 0, 0, 11, 1, 5, 1, 6, 2, 9, 19, 9, 2, 9, 0, 3.0, 7.0, 9.0, 0, 0, 4, 0, 1, 3, 5, 0, 4, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 4, 4, 33.33, 77.78, 100.0, 22.19921875, 100.0, 100.0, 0, 0.0, 44.3984375, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 0.0, 4.0, 0.0, 5.0, 1.0, 7.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "21874", "BPJEPS - Activités physiques pour tous", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21874&g_ta_cod=21874", 22.0, 22.0, 56.0),
(2247, "Public", "0670086E", "Lycée des métiers René Cassin", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée des métiers René Cassin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 2086, 1097, 2086, 0, 253, 62, 720, 253, 567, 277, 546, 0, 0, 0, 0, 0, 1174, 0, 0, 0, 203, 45, 458, 134, 333, 161, 180, 180, 34, 11, 34, 0, 3.0, 24.0, 28.0, 0, 12, 28, 3, 17, 8, 6, 0, 4, 14, 9, 1, 0.0, 2, 14, 8, 2, 2, 26, 26, 8.82, 70.59, 82.35, 32.3984375, 92.890625, 92.890625, 7.099609375, 42.8984375, 82.390625, 0.0, 14.298828125, 50.0, 32.09375, 3.6, 0.0, 10.69921875, 7.099609375, 60.6953125, 50.0, 28.59765625, 28.59765625, 28.0, 13.0, 34.0, 14.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 162, "Liste d'appel propre à cette formation", 14.0, "7947", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7947&g_ta_cod=7947", 18.0, 53.0, 29.0),
(2248, "Public", "0500017X", "Lycée Alexis De Tocqueville", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "BTS", "Lycée Alexis De Tocqueville - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 18, 134, 51, 131, 0, 7, 1, 59, 12, 29, 12, 36, 3, 0, 0, 1, 2, 125, 2, 0, 0, 7, 1, 59, 12, 29, 12, 30, 82, 13, 5, 11, 2, 1.0, 9.0, 11.0, 0, 4, 9, 0, 5, 4, 4, 0, 4, 5, 0, 0, 0.0, 0, 2, 3, 2, 2, 9, 9, 7.69, 69.23, 84.62, 38.5, 100.0, 100.0, 22.19921875, 44.3984375, 69.1875, 0.0, 44.3984375, 55.59375, 0.0, 0.0, 0.0, 0.0, 0.0, 55.59375, 22.19921875, 44.3984375, 33.296875, 6.0, 1.0, 27.0, 11.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 73.0, "5994", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5994&g_ta_cod=5994", 8.0, 62.0, 31.0),
(2249, "Public", "0110816C", "IFSI CH Narbonne", "11", "Aude", "Occitanie", "Montpellier", "Narbonne", "formation sélective", "IFSI", "Regroupement d'IFSI Université Montpellier - D.E Infirmier", "D.E secteur sanitaire", "", 67, 7732, 6495, 7732, 0, 1153, 280, 1433, 408, 759, 324, 4387, 0, 0, 0, 0, 0, 5611, 0, 0, 0, 998, 217, 1116, 301, 487, 199, 3010, 908, 66, 59, 66, 0, 1.0, 20.0, 47.0, 0, 5, 41, 9, 21, 11, 25, 0, 1, 15, 19, 6, 0.0, 9, 20, 11, 0, 0, 26, 26, 1.52, 30.3, 71.21, 89.390625, 63.3984375, 63.3984375, 0, 12.19921875, 62.09375, 0.0, 2.39990234375, 36.59375, 46.296875, 14.6, 0.0, 22.0, 22.0, 51.1953125, 48.796875, 26.796875, 26.796875, 185.0, 32.0, 72.0, 32.0, 380.0, "Tous les candidats", 2545.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "23172", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22991&g_ta_cod=23172", 44.0, 33.0, 21.0),
(2250, "Public", "0120006S", "Lycée La Découverte", "12", "Aveyron", "Occitanie", "Toulouse", "Decazeville", "formation sélective", "BTS", "Lycée La Découverte - BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "BTS - Production", "", 6, 50, 14, 47, 0, 3, 1, 2, 0, 8, 1, 34, 3, 0, 1, 2, 0, 13, 3, 0, 0, 3, 1, 2, 0, 8, 1, 0, 16, 2, 1, 1, 1, 1.0, 1.0, 2.0, 0, 1, 2, 0, 0, 2, 0, 0, 0, 1, 1, 0, 0.0, 0, 0, 2, 2, 1, 2, 2, 50.0, 50.0, 100.0, 50.0, 100.0, 100.0, 100, 50.0, 100.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 3.0, 1.0, 10.0, 2.0, 0.0, "Tous les candidats sauf les Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 28.0, "20283", "BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20283&g_ta_cod=20283", 0.0, 0.0, 100.0),
(2251, "Public", "0311262D", "L.E.G.T.A. Toulouse Auzeville", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Castanet-Tolosan", "formation sélective", "BTS", "L.E.G.T.A. Toulouse Auzeville - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 27, 319, 146, 319, 0, 41, 5, 111, 23, 89, 23, 78, 0, 0, 0, 0, 0, 227, 0, 0, 0, 37, 4, 100, 20, 69, 18, 21, 119, 27, 8, 27, 0, 6.0, 23.0, 27.0, 0, 2, 24, 2, 14, 8, 3, 0, 7, 11, 5, 1, 0.0, 2, 9, 6, 3, 1, 23, 23, 22.22, 85.19, 100.0, 29.59765625, 95.796875, 95.796875, 12.5, 8.298828125, 88.890625, 0.0, 29.19921875, 45.796875, 20.796875, 4.2, 0.0, 8.298828125, 8.298828125, 58.296875, 37.5, 33.296875, 25.0, 17.0, 2.0, 40.0, 12.0, 12.0, "Tous les candidats sauf les Bac professionnels", 139.0, "Bacheliers professionnels toutes séries", 68, "", 0, "Liste d'appel propre à cette formation", 65.0, "4125", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4125&g_ta_cod=4125", 15.0, 56.0, 30.0),
(2252, "Public", "0755113A", "Unité de formation et de recherche faculté de médecine - Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Autre formation", "Regroupement Ile de France - Certificat de capacité d'Orthoptiste", "D.E secteur sanitaire", "", 55, 940, 804, 940, 0, 252, 83, 43, 15, 6, 5, 639, 0, 0, 0, 0, 0, 415, 0, 0, 0, 101, 17, 13, 3, 1, 0, 300, 236, 53, 45, 53, 0, 9.0, 43.0, 52.0, 0, 4, 14, 13, 1, 0, 39, 0, 4, 5, 5, 0, 0.0, 9, 1, 0, 0, 0, 0, 5, 16.98, 81.13, 98.11, 84.890625, 0.0, 35.6953125, 0, 28.59765625, 26.3984375, 0.0, 28.59765625, 35.6953125, 35.6953125, 0.0, 0.0, 92.890625, 64.296875, 7.099609375, 7.099609375, 0.0, 0.0, 52.0, 16.0, 0.0, 0.0, 175.0, "Tous les candidats", 268.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "28073", "Certificat de capacité d'Orthoptiste", "Regroupement Ile de France", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28068&g_ta_cod=28073", 89.0, 11.0, 0.0),
(2253, "Public", "9730094P", "Lycée professionnel Jean Marie Michotte", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "Autre formation", "Lycée professionnel Jean Marie Michotte - Mention complémentaire - Maintenance des installations oléohydrauliques et pneumatiques", "Mention complémentaire", "", 14, 37, 1, 37, 0, 2, 1, 0, 0, 28, 17, 7, 0, 0, 0, 0, 0, 37, 0, 0, 0, 2, 1, 0, 0, 28, 17, 7, 32, 14, 1, 14, 0, 7.0, 14.0, 14.0, 0, 7, 11, 1, 0, 10, 3, 1, 7, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 11, 11, 50.0, 100.0, 100.0, 7.099609375, 100.0, 100.0, 0, 63.59375, 78.59375, 9.099609375, 63.59375, 18.19921875, 9.099609375, 0.0, 0.0, 9.099609375, 0.0, 0.0, 0.0, 90.890625, 27.296875, 2.0, 1.0, 23.0, 15.0, 7.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "25215", "Mention complémentaire - Maintenance des installations oléohydrauliques et pneumatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25215&g_ta_cod=25215", 14.0, 0.0, 86.0),
(2254, "Public", "0951104J", "Lycée Jean Perrin", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Saint-Ouen-l'Aumône", "formation sélective", "BTS", "Lycée Jean Perrin - BTS - Production - Electrotechnique", "BTS - Production", "", 28, 367, 21, 351, 0, 9, 0, 52, 19, 173, 65, 117, 16, 0, 8, 0, 8, 174, 3, 0, 0, 8, 0, 42, 16, 112, 39, 12, 104, 26, 0, 23, 3, 13.0, 20.0, 24.0, 0, 6, 25, 1, 6, 18, 1, 0, 11, 8, 5, 1, 0.0, 0, 1, 13, 16, 0, 25, 25, 50.0, 76.92, 92.31, 0.0, 100.0, 100.0, 64, 24.0, 96.1875, 0.0, 44.0, 32.0, 20.0, 4.0, 0.0, 4.0, 0.0, 24.0, 4.0, 72.0, 52.0, 7.0, 0.0, 57.0, 22.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 37.0, "11597", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11597&g_ta_cod=11597", 4.0, 27.0, 69.0),
(2255, "Public", "0110023R", "Lycée polyvalent Louise Michel", "11", "Aude", "Occitanie", "Montpellier", "Narbonne", "formation sélective", "BTS", "Lycée polyvalent Louise Michel - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 817, 402, 817, 0, 63, 18, 321, 130, 228, 100, 205, 0, 0, 0, 0, 0, 413, 0, 0, 0, 36, 8, 203, 79, 128, 53, 46, 161, 33, 17, 33, 0, 4.0, 22.0, 25.0, 0, 14, 27, 2, 12, 13, 6, 0, 11, 6, 8, 2, 0.0, 1, 3, 12, 9, 4, 26, 26, 12.12, 66.67, 75.76, 51.5, 96.296875, 96.296875, 33.296875, 51.8984375, 81.796875, 0.0, 40.6953125, 22.19921875, 29.59765625, 7.4, 0.0, 7.3994140625, 3.69970703125, 44.3984375, 11.099609375, 48.09375, 44.3984375, 10.0, 3.0, 44.0, 21.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 146, "Liste d'appel propre à cette formation", 29.0, "2459", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2459&g_ta_cod=2459", 9.0, 52.0, 39.0),
(2256, "Public", "0761742F", "Lycée Val De Seine", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Grand-Quevilly", "formation sélective", "BTS", "Lycée Val De Seine - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 575, 509, 572, 0, 34, 12, 187, 67, 200, 76, 151, 3, 0, 2, 0, 1, 477, 0, 0, 0, 33, 12, 163, 54, 174, 63, 107, 187, 31, 29, 31, 0, 3.0, 16.0, 20.0, 0, 10, 25, 1, 10, 14, 6, 1, 9, 11, 3, 1, 0.0, 1, 4, 10, 6, 6, 25, 25, 9.68, 51.61, 64.52, 93.5, 100.0, 100.0, 24, 40.0, 80.59375, 4.0, 36.0, 44.0, 12.0, 4.0, 0.0, 4.0, 4.0, 40.0, 16.0, 56.0, 40.0, 3.0, 2.0, 78.0, 25.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 98, "Bacheliers technologiques toutes séries", 103, "Liste d'appel propre à cette formation", 37.0, "9678", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9678&g_ta_cod=9678", 6.0, 45.0, 48.0),
(2257, "Public", "0230020X", "Lycée Pierre Bourdan", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Guéret", "formation sélective", "BTS", "Lycée Pierre Bourdan - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 33, 296, 140, 250, 0, 32, 12, 75, 27, 62, 27, 81, 46, 4, 0, 24, 18, 133, 11, 0, 0, 27, 10, 53, 20, 37, 15, 16, 112, 24, 10, 23, 1, 6.0, 19.0, 22.0, 0, 6, 21, 8, 9, 4, 3, 0, 10, 8, 3, 0, 0.0, 5, 3, 3, 9, 1, 17, 17, 25.0, 79.17, 91.67, 41.6953125, 81.0, 81.0, 42.8984375, 28.59765625, 87.5, 0.0, 47.59375, 38.09375, 14.298828125, 0.0, 0.0, 38.09375, 23.796875, 42.8984375, 14.298828125, 19.0, 14.298828125, 25.0, 10.0, 37.0, 13.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 48.0, "3394", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3394&g_ta_cod=3394", 38.0, 46.0, 17.0),
(2258, "Public", "0451462V", "Lycée Jacques Monod", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Saint-Jean-de-Braye", "formation sélective", "BTS", "Lycée Jacques Monod - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 12, 110, 15, 105, 0, 8, 0, 43, 6, 13, 3, 41, 5, 0, 0, 2, 3, 90, 1, 0, 0, 8, 0, 41, 6, 13, 3, 28, 48, 10, 3, 10, 0, 3.0, 7.0, 10.0, 0, 1, 7, 1, 6, 0, 3, 0, 5, 2, 0, 0, 0.0, 0, 2, 0, 2, 1, 7, 7, 30.0, 70.0, 100.0, 30.0, 100.0, 100.0, 28.59765625, 14.298828125, 70.0, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 14.298828125, 0.0, 85.6875, 28.59765625, 0.0, 0.0, 6.0, 0.0, 13.0, 3.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 71.0, "5733", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5733&g_ta_cod=5733", 30.0, 70.0, 0.0),
(2259, "Public", "0932214B", "I.U.T. de Montreuil", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "BUT", "I.U.T. de Montreuil - BUT - Gestion administrative et commerciale des organisations Parcours : Management responsable de projet et des organisations - Management des fonctions supports - Management commercial et marketing omni-canal", "BUT - Service", "Management responsable de projet et des organisations - Management des fonctions supports - Management commercial et marketing omni-canal", 75, 3626, 2134, 3626, 0, 1342, 404, 1705, 783, 40, 26, 539, 0, 0, 0, 0, 0, 2108, 0, 0, 0, 765, 223, 1153, 528, 0, 0, 190, 464, 73, 51, 73, 0, 12.0, 51.0, 66.0, 0, 36, 72, 36, 36, 0, 1, 0, 6, 46, 18, 2, 0.0, 31, 35, 0, 0, 0, 57, 72, 16.44, 69.86, 90.41, 69.890625, 79.1875, 100.0, 0, 50.0, 98.59375, 0.0, 8.298828125, 63.8984375, 25.0, 2.8, 0.0, 50.0, 43.09375, 50.0, 48.59375, 0.0, 0.0, 232.0, 95.0, 0.0, 0.0, 9.0, "Tous les candidats sauf les Bac technologiques", 394.0, "Bacheliers technologiques toutes séries", 432, "", 0, "Liste d'appel propre à cette formation", 23.0, "11351", "BUT - Gestion administrative et commerciale des organisations Parcours : Management responsable de projet et des organisations - Management des fonctions supports - Management commercial et marketing omni-canal", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11351&g_ta_cod=11351", 51.0, 49.0, 0.0),
(2260, "Privé sous contrat d'association", "0783351U", "Lycée Notre Dame du Grandchamp", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Notre Dame du Grandchamp - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 20, 1609, 788, 1609, 0, 1509, 53, 2, 0, 0, 0, 98, 0, 0, 0, 0, 0, 511, 0, 0, 511, 511, 22, 0, 0, 0, 0, 0, 203, 19, 12, 19, 0, 0.0, 15.0, 17.0, 0, 2, 19, 19, 0, 0, 0, 0, 0, 1, 5, 13, 0.0, 19, 0, 0, 1, 1, 14, 17, 0.0, 78.95, 89.47, 63.1953125, 73.6875, 89.5, 5.2998046875, 10.5, 100.0, 0.0, 0.0, 5.2998046875, 26.296875, 68.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 203.0, 8.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "31491", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31268&g_ta_cod=31491", 100.0, 0.0, 0.0),
(2261, "Privé sous contrat d'association", "0133334D", "Lycée ORT Léon Bramson", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "BTS", "Lycée ORT Léon Bramson - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 20, 392, 172, 332, 0, 44, 11, 114, 54, 80, 28, 94, 60, 3, 18, 0, 39, 202, 19, 0, 0, 41, 10, 76, 28, 48, 10, 37, 114, 12, 4, 9, 3, 0.0, 5.0, 7.0, 0, 0, 8, 1, 3, 4, 4, 0, 4, 3, 1, 0, 0.0, 0, 0, 4, 0, 0, 7, 7, 0.0, 41.67, 58.33, 33.296875, 87.5, 87.5, 0, 0.0, 66.6875, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 12.5, 0.0, 37.5, 0.0, 50.0, 50.0, 21.0, 4.0, 11.0, 2.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 39.0, "2801", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2801&g_ta_cod=2801", 8.0, 58.0, 33.0),
(2262, "Public", "0530012A", "LGT Réaumur - Lycée des métiers", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "LGT Réaumur - Lycée des métiers - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 206, 13, 194, 0, 6, 1, 41, 12, 57, 16, 90, 12, 1, 2, 1, 8, 110, 3, 0, 0, 6, 1, 41, 12, 53, 14, 10, 61, 15, 1, 14, 1, 4.0, 12.0, 15.0, 0, 4, 12, 1, 4, 7, 3, 0, 4, 6, 2, 0, 0.0, 0, 3, 5, 3, 0, 10, 10, 26.67, 80.0, 100.0, 6.69921875, 83.296875, 83.296875, 25, 33.296875, 80.0, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 8.298828125, 0.0, 33.296875, 25.0, 58.296875, 41.6953125, 6.0, 2.0, 23.0, 6.0, 5.0, "Tous les candidats sauf les Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 43.0, "6202", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6202&g_ta_cod=6202", 7.0, 40.0, 53.0),
(2263, "Public", "0333357V", "I.U.T de Bordeaux - Site Bordeaux - Gradignan", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Gradignan", "formation sélective", "BUT", "I.U.T de Bordeaux - Site Bordeaux - Gradignan - BUT - Mesures physiques Parcours : Techniques d?instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", "BUT - Production", "Techniques d?instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", 102, 1851, 430, 1816, 0, 1276, 141, 146, 26, 2, 0, 392, 35, 6, 4, 0, 25, 1219, 20, 0, 0, 909, 117, 98, 21, 0, 0, 212, 684, 92, 16, 83, 9, 3.0, 63.0, 86.0, 0, 13, 76, 68, 8, 0, 16, 0, 5, 42, 28, 1, 0.0, 65, 6, 0, 0, 0, 67, 67, 3.26, 68.48, 93.48, 17.3984375, 88.1875, 88.1875, 0, 17.09765625, 82.59375, 0.0, 6.599609375, 55.296875, 36.796875, 1.3, 0.0, 89.5, 85.5, 10.5, 7.8994140625, 0.0, 0.0, 503.0, 57.0, 0.0, 0.0, 119.0, "Tous les candidats sauf les Bac technologiques", 1102.0, "Bacheliers technologiques toutes séries", 114, "", 0, "Liste d'appel propre à cette formation", 67.0, "4346", "BUT - Mesures physiques Parcours : Techniques d?instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4346&g_ta_cod=4346", 87.0, 13.0, 0.0),
(2264, "Public", "0920799U", "Lycée Richelieu", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Rueil-Malmaison", "formation sélective", "CPGE", "Lycée Richelieu - CPGE - TSI", "Classe préparatoire scientifique", "", 36, 393, 34, 393, 0, 0, 0, 375, 89, 0, 0, 18, 0, 0, 0, 0, 0, 303, 0, 0, 303, 0, 0, 299, 66, 0, 0, 4, 138, 36, 6, 36, 0, 21.0, 34.0, 36.0, 0, 8, 36, 0, 36, 0, 0, 0, 0, 4, 24, 8, 0.0, 0, 36, 0, 10, 4, 33, 36, 58.33, 94.44, 100.0, 16.69921875, 91.6875, 100.0, 27.796875, 22.19921875, 100.0, 0.0, 0.0, 11.099609375, 66.6875, 22.2, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 202.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "11028", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11028&g_ta_cod=11028", 0.0, 100.0, 0.0),
(2265, "Privé sous contrat d'association", "0880099E", "Lycée Beau Jardin", "88", "Vosges", "Grand Est", "Nancy-Metz", "Saint-Dié-des-Vosges", "formation sélective", "BTS", "Lycée Beau Jardin - BTS - Services - Photographie", "BTS - Services", "", 16, 289, 180, 289, 0, 112, 18, 46, 9, 34, 7, 97, 0, 0, 0, 0, 0, 190, 0, 0, 0, 84, 14, 27, 4, 16, 3, 63, 62, 14, 6, 14, 0, 2.0, 10.0, 11.0, 0, 1, 5, 5, 0, 0, 9, 0, 2, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 0, 0, 14.29, 71.43, 78.57, 42.8984375, 0.0, 0.0, 0, 20.0, 35.6953125, 0.0, 40.0, 20.0, 40.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 0.0, 0.0, 29.0, 5.0, 6.0, 1.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 6, "Liste d'appel propre à cette formation", 28.0, "13566", "BTS - Services - Photographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13566&g_ta_cod=13566", 71.0, 7.0, 21.0),
(2266, "Public", "0301577B", "Université de Montpellier, Antenne de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "PASS", "Université de Montpellier, Antenne de Nîmes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 42, 3249, 2285, 3249, 0, 2598, 590, 81, 33, 21, 5, 549, 0, 0, 0, 0, 0, 3249, 0, 0, 0, 2598, 590, 81, 33, 21, 5, 549, 354, 40, 28, 40, 0, 0.0, 20.0, 33.0, 0, 7, 40, 40, 0, 0, 0, 0, 0, 4, 16, 18, 2.0, 40, 0, 0, 0, 0, 35, 35, 0.0, 50.0, 82.5, 70.0, 87.5, 87.5, 0, 17.5, 100.0, 0.0, 0.0, 10.0, 40.0, 45.0, 5.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 335.0, 65.0, 0.0, 0.0, 19.0, "Tous les candidats", 886.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "31855", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28811&g_ta_cod=31855", 100.0, 0.0, 0.0),
(2267, "Public", "0332747G", "Lycée Jean Condorcet", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Jean Condorcet - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 34, 826, 384, 756, 0, 113, 32, 258, 102, 134, 60, 251, 70, 0, 13, 34, 23, 442, 7, 0, 0, 94, 25, 188, 70, 66, 33, 94, 236, 31, 9, 26, 1, 2.0, 16.0, 24.0, 0, 11, 26, 4, 15, 7, 5, 0, 16, 6, 3, 1, 0.0, 1, 6, 3, 3, 0, 24, 24, 6.45, 51.61, 77.42, 29.0, 92.296875, 92.296875, 11.5, 42.296875, 83.890625, 0.0, 61.5, 23.09765625, 11.5, 3.8, 0.0, 15.3984375, 3.7998046875, 57.6953125, 23.09765625, 26.8984375, 11.5, 35.0, 11.0, 52.0, 24.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 107.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 184, "Liste d'appel propre à cette formation", 48.0, "4451", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4451&g_ta_cod=4451", 19.0, 55.0, 26.0),
(2268, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Sociologie - Parcours enseignement à distance", "Licence - Sciences humaines et sociales", "enseignement à distance", 60, 516, 388, 516, 0, 131, 40, 27, 8, 12, 4, 346, 0, 0, 0, 0, 0, 514, 0, 0, 0, 131, 40, 27, 8, 12, 4, 344, 221, 59, 49, 59, 0, 15.0, 54.0, 56.0, 0, 2, 12, 8, 3, 1, 47, 0, 4, 5, 2, 1, 0.0, 5, 2, 1, 0, 0, 4, 4, 25.42, 91.53, 94.92, 83.09375, 33.296875, 33.296875, 0, 16.69921875, 20.296875, 0.0, 33.296875, 41.6953125, 16.69921875, 8.3, 0.0, 66.6875, 41.6953125, 25.0, 16.69921875, 8.298828125, 8.298828125, 88.0, 21.0, 5.0, 1.0, 120.0, "Tous les candidats", 297.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "26546", "Licence - Sociologie - Parcours enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26546&g_ta_cod=26546", 66.0, 12.0, 7.0),
(2269, "Public", "0511430C", "Lycée Joliot-Curie - Lycée des Métiers de la relation client et des services administratifs", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Joliot-Curie - Lycée des Métiers de la relation client et des services administratifs - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 36, 893, 444, 890, 0, 98, 28, 244, 94, 235, 98, 313, 3, 0, 0, 2, 1, 506, 0, 0, 0, 96, 27, 180, 68, 142, 53, 88, 149, 32, 14, 32, 0, 5.0, 28.0, 30.0, 0, 13, 26, 5, 2, 19, 6, 0, 8, 10, 7, 1, 0.0, 4, 1, 13, 4, 1, 19, 19, 15.63, 87.5, 93.75, 43.796875, 73.09375, 73.09375, 15.3984375, 50.0, 81.296875, 0.0, 30.796875, 38.5, 26.8984375, 3.8, 0.0, 19.19921875, 15.3984375, 7.69921875, 3.7998046875, 73.09375, 50.0, 39.0, 12.0, 84.0, 30.0, 19.0, "Tous les candidats sauf les Bac professionnels", 101.0, "Bacheliers professionnels toutes séries", 104, "", 0, "Liste d'appel propre à cette formation", 23.0, "6138", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6138&g_ta_cod=6138", 31.0, 9.0, 59.0),
(2270, "Public", "0240023V", "Lycée agricole DE PERIGUEUX", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Coulounieix-Chamiers", "formation sélective", "BTS", "Lycée agricole DE PERIGUEUX - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 24, 252, 92, 245, 0, 17, 4, 39, 6, 51, 21, 138, 7, 0, 2, 0, 5, 112, 3, 0, 0, 17, 4, 39, 6, 51, 21, 5, 75, 12, 3, 12, 0, 7.0, 11.0, 12.0, 0, 4, 12, 0, 4, 8, 0, 0, 3, 6, 1, 2, 0.0, 0, 1, 8, 4, 3, 4, 4, 58.33, 91.67, 100.0, 25.0, 33.296875, 33.296875, 33.296875, 33.296875, 100.0, 0.0, 25.0, 50.0, 8.298828125, 16.7, 0.0, 0.0, 0.0, 33.296875, 8.298828125, 66.6875, 66.6875, 13.0, 3.0, 29.0, 13.0, 6.0, "Tous les candidats sauf les Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 44.0, "3415", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3415&g_ta_cod=3415", 0.0, 33.0, 67.0),
(2271, "Public", "0060914L", "I.U.T Nice-Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BUT", "I.U.T Nice-Côte d'Azur - BUT - Gestion des entreprises et des administrations", "BUT - Service", "", 140, 2891, 1390, 2750, 0, 1508, 241, 727, 208, 41, 18, 474, 141, 0, 77, 0, 64, 1425, 10, 0, 0, 948, 127, 279, 68, 15, 6, 183, 573, 131, 68, 125, 5, 24.0, 102.0, 114.0, 0, 38, 116, 60, 51, 5, 15, 0, 7, 45, 54, 10, 0.0, 58, 46, 5, 0, 0, 93, 93, 18.32, 77.86, 87.02, 51.8984375, 80.1875, 80.1875, 0, 32.796875, 88.5, 0.0, 6.0, 38.796875, 46.59375, 8.6, 0.0, 51.6953125, 50.0, 44.0, 39.6953125, 4.2998046875, 4.2998046875, 264.0, 65.0, 8.0, 3.0, 82.0, "Tous les candidats sauf les Bac technologiques", 491.0, "Bacheliers technologiques toutes séries", 290, "", 0, "Liste d'appel propre à cette formation", 28.0, "2253", "BUT - Gestion des entreprises et des administrations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2253&g_ta_cod=2253", 56.0, 40.0, 4.0),
(2272, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "Licence_Las", "Université des Antilles - Pôle Guadeloupe - Licence - Portail Informatique - Informatique scientifique / Méthodes Informatiques appliquées à la  gestion des entreprises / Informatique appliquée - Guadeloupe", "Licence - Sciences - technologies - santé", "Informatique scientifique / Méthodes Informatiques appliquées à la  gestion des entreprises / Informatique appliquée - Guadeloupe", 20, 135, 58, 100, 0, 59, 22, 20, 12, 6, 3, 15, 35, 8, 5, 4, 18, 100, 32, 0, 0, 59, 22, 20, 12, 6, 3, 15, 105, 15, 7, 8, 7, 2.0, 7.0, 11.0, 0, 5, 10, 7, 3, 0, 5, 0, 7, 3, 0, 0, 0.0, 2, 1, 0, 0, 0, 9, 9, 13.33, 46.67, 73.33, 46.6953125, 90.0, 90.0, 0, 50.0, 66.6875, 0.0, 70.0, 30.0, 0.0, 0.0, 0.0, 70.0, 20.0, 30.0, 10.0, 0.0, 0.0, 54.0, 18.0, 6.0, 5.0, 28.0, "Tous les candidats", 271.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27418", "Licence - Portail Informatique - Informatique scientifique / Méthodes Informatiques appliquées à la  gestion des entreprises / Informatique appliquée - Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27417&g_ta_cod=27418", 80.0, 20.0, 0.0),
(2273, "Public", "0352379W", "I.U.T de Saint-Malo", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Saint-Malo", "formation sélective", "BUT", "I.U.T de Saint-Malo - BUT - Génie industriel et maintenance Parcours : Ingénierie des Systèmes Pluritechniques -  Management,  Méthodes, Maintenance innovante", "BUT - Production", "Ingénierie des Systèmes Pluritechniques -  Management,  Méthodes, Maintenance innovante", 46, 507, 29, 497, 0, 224, 20, 209, 28, 4, 0, 60, 10, 2, 4, 0, 4, 250, 3, 0, 0, 130, 9, 104, 9, 1, 0, 15, 182, 44, 4, 41, 3, 15.0, 34.0, 43.0, 0, 4, 38, 16, 22, 0, 6, 0, 11, 25, 2, 0, 0.0, 8, 19, 0, 0, 0, 32, 32, 34.09, 77.27, 97.73, 9.099609375, 84.1875, 84.1875, 0, 10.5, 86.390625, 0.0, 28.8984375, 65.796875, 5.2998046875, 0.0, 0.0, 42.09375, 21.09765625, 57.8984375, 50.0, 0.0, 0.0, 89.0, 9.0, 0.0, 0.0, 8.0, "Tous les candidats sauf les Bac technologiques", 128.0, "Bacheliers technologiques toutes séries", 106, "", 0, "Liste d'appel propre à cette formation", 47.0, "4780", "BUT - Génie industriel et maintenance Parcours : Ingénierie des Systèmes Pluritechniques -  Management,  Méthodes, Maintenance innovante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4780&g_ta_cod=4780", 45.0, 55.0, 0.0),
(2274, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation sélective", "Autre formation", "Université Gustave Eiffel - Diplôme d'Université - Digital U", "Diplôme d'Université", "Digital U", 15, 146, 45, 146, 0, 43, 13, 29, 8, 20, 8, 54, 0, 0, 0, 0, 0, 111, 0, 0, 0, 38, 9, 27, 8, 17, 8, 29, 53, 13, 0, 13, 0, 4.0, 12.0, 13.0, 0, 3, 11, 4, 2, 5, 2, 0, 6, 4, 1, 0, 0.0, 2, 0, 3, 0, 0, 9, 10, 30.77, 92.31, 100.0, 0.0, 81.796875, 90.890625, 0, 27.296875, 84.59375, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 36.3984375, 18.19921875, 18.19921875, 0.0, 45.5, 27.296875, 24.0, 7.0, 8.0, 3.0, 13.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "23705", "Diplôme d'Université - Digital U", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23705&g_ta_cod=23705", 38.0, 23.0, 38.0),
(2275, "Public", "0130050J", "Lycée Denis Diderot", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Denis Diderot - DN MADE - Espace - - Spécialité 1 : Cadre bâti", "DN MADE", "- Spécialité 1 : Cadre bâti", 14, 460, 366, 460, 0, 176, 29, 129, 31, 34, 10, 121, 0, 0, 0, 0, 0, 382, 0, 0, 0, 152, 20, 108, 22, 29, 10, 93, 48, 15, 10, 15, 0, 6.0, 9.0, 13.0, 0, 2, 11, 6, 5, 0, 4, 0, 0, 5, 6, 0, 0.0, 6, 5, 0, 0, 0, 8, 8, 40.0, 60.0, 86.67, 66.6875, 72.6875, 72.6875, 0, 18.19921875, 73.296875, 0.0, 0.0, 45.5, 54.5, 0.0, 0.0, 54.5, 54.5, 45.5, 45.5, 0.0, 0.0, 12.0, 0.0, 0.0, 0.0, 10.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "24099", "DN MADE - Espace - - Spécialité 1 : Cadre bâti", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24099&g_ta_cod=24099", 60.0, 40.0, 0.0),
(2276, "Privé sous contrat d'association", "0572341K", "Lycée Jean XXIII", "57", "Moselle", "Grand Est", "Nancy-Metz", "Montigny-lès-Metz", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 10, 1220, 284, 1218, 0, 1209, 97, 0, 0, 0, 0, 9, 2, 2, 0, 0, 0, 1103, 1, 0, 0, 1098, 85, 0, 0, 0, 0, 5, 1006, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1001.0, 78.0, 0.0, 0.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "31113", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=31113", 0, 0, 0),
(2277, "Public", "0211033J", "Lycée Gustave Eiffel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "CPGE", "Lycée Gustave Eiffel - CPGE - PTSI", "Classe préparatoire scientifique", "", 72, 767, 161, 761, 477, 506, 59, 4, 1, 0, 0, 251, 6, 2, 0, 0, 4, 557, 0, 362, 538, 443, 44, 0, 0, 0, 0, 114, 430, 71, 16, 71, 0, 8.0, 40.0, 71.0, 32, 6, 39, 39, 0, 0, 32, 0, 2, 20, 14, 3, 0.0, 37, 0, 0, 9, 0, 34, 34, 11.27, 56.34, 100.0, 22.5, 87.1875, 87.1875, 23.09765625, 15.3984375, 54.8984375, 0.0, 5.099609375, 51.296875, 35.8984375, 7.7, 0.0, 100.0, 94.890625, 0.0, 0.0, 0.0, 0.0, 352.0, 34.0, 0.0, 0.0, 78.0, "Tous les candidats", 557.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "3205", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3205&g_ta_cod=3205", 97.0, 3.0, 0.0),
(2278, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Double licence - Sciences biomédicales / Droit - Parcours sélectif bi-diplômant Sciences Biomédicales / Droit", "Licence - Sciences - technologies - santé", "Parcours sélectif bi-diplômant Sciences Biomédicales / Droit", 6, 275, 231, 275, 0, 82, 13, 0, 0, 0, 0, 193, 0, 0, 0, 0, 0, 119, 0, 0, 0, 35, 3, 0, 0, 0, 0, 84, 23, 6, 5, 6, 0, 0.0, 3.0, 3.0, 0, 0, 3, 3, 0, 0, 3, 0, 0, 0, 1, 1, 1.0, 3, 0, 0, 0, 0, 0, 0, 0.0, 50.0, 50.0, 83.296875, 0.0, 0.0, 0, 0.0, 50.0, 0.0, 0.0, 0.0, 33.296875, 33.3, 33.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 18.0, 2.0, 0.0, 0.0, 5.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "28711", "Double licence - Sciences biomédicales / Droit - Parcours sélectif bi-diplômant Sciences Biomédicales / Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28711&g_ta_cod=28711", 100.0, 0.0, 0.0),
(2279, "Public", "0442752C", "Lycée polyvalent Aimé Césaire", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Clisson", "formation sélective", "BTS", "Lycée polyvalent Aimé Césaire - BTS - Production - Management économique de la construction", "BTS - Production", "", 30, 260, 60, 255, 0, 28, 3, 76, 8, 108, 21, 43, 5, 0, 0, 1, 4, 223, 4, 0, 0, 26, 2, 76, 8, 100, 19, 21, 158, 24, 3, 21, 2, 3.0, 18.0, 23.0, 0, 0, 21, 2, 7, 12, 3, 0, 10, 7, 2, 2, 0.0, 0, 3, 8, 3, 0, 14, 14, 12.5, 75.0, 95.83, 12.5, 66.6875, 66.6875, 14.298828125, 0.0, 87.5, 0.0, 47.59375, 33.296875, 9.5, 9.5, 0.0, 9.5, 0.0, 33.296875, 14.298828125, 57.09375, 38.09375, 15.0, 2.0, 61.0, 12.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 76.0, "14033", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14033&g_ta_cod=14033", 8.0, 38.0, 54.0),
(2280, "Public", "0300023M", "Lycée ALBERT CAMUS", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée ALBERT CAMUS - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 53, 1954, 1072, 1925, 0, 168, 63, 712, 317, 523, 269, 522, 29, 2, 12, 1, 14, 650, 8, 0, 0, 61, 22, 248, 108, 258, 124, 83, 266, 46, 32, 41, 4, 1.0, 21.0, 32.0, 0, 19, 38, 2, 19, 17, 8, 0, 9, 24, 5, 0, 0.0, 1, 16, 12, 4, 4, 31, 31, 2.17, 45.65, 69.57, 69.59375, 81.59375, 81.59375, 10.5, 50.0, 82.59375, 0.0, 23.69921875, 63.1953125, 13.19921875, 0.0, 0.0, 5.2998046875, 2.599609375, 50.0, 42.09375, 44.6953125, 31.59765625, 14.0, 5.0, 87.0, 39.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 131, "Bacheliers technologiques toutes séries", 206, "Liste d'appel propre à cette formation", 19.0, "3933", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3933&g_ta_cod=3933", 11.0, 50.0, 39.0),
(2281, "Privé sous contrat d'association", "0280944Z", "Lycée agricole DE NERMONT", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Châteaudun", "formation sélective", "BTS", "Lycée agricole DE NERMONT - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 13, 85, 4, 68, 0, 6, 3, 25, 10, 15, 2, 22, 17, 0, 7, 4, 6, 39, 2, 0, 0, 6, 3, 22, 9, 10, 1, 1, 35, 8, 0, 6, 2, 3.0, 6.0, 6.0, 0, 5, 8, 0, 3, 5, 0, 0, 5, 1, 1, 1, 0.0, 0, 1, 2, 0, 0, 8, 8, 37.5, 75.0, 75.0, 0.0, 100.0, 100.0, 0, 62.5, 100.0, 0.0, 62.5, 12.5, 12.5, 12.5, 0.0, 0.0, 0.0, 37.5, 12.5, 62.5, 25.0, 5.0, 2.0, 13.0, 3.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers technologiques toutes séries", 23, "Bacheliers professionnels toutes séries", 10, "Liste d'appel propre à cette formation", 56.0, "25281", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25281&g_ta_cod=25281", 0.0, 38.0, 63.0),
(2282, "Privé sous contrat d'association", "0753844W", "Institut Sainte-Genevieve", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Autre formation", "Institut Sainte-Genevieve - DN MADE - Animation - - Spécialité : L'animation au service du réel", "DN MADE", "- Spécialité : L'animation au service du réel", 16, 540, 327, 540, 0, 268, 41, 86, 18, 33, 13, 153, 0, 0, 0, 0, 0, 152, 0, 0, 0, 57, 2, 33, 4, 7, 4, 55, 49, 15, 11, 15, 0, 5.0, 9.0, 10.0, 0, 0, 7, 4, 3, 0, 8, 0, 0, 3, 2, 2, 0.0, 4, 3, 0, 0, 0, 3, 5, 33.33, 60.0, 66.67, 73.296875, 42.8984375, 71.390625, 0, 0.0, 46.6953125, 0.0, 0.0, 42.8984375, 28.59765625, 28.6, 0.0, 57.09375, 57.09375, 42.8984375, 42.8984375, 0.0, 0.0, 12.0, 0.0, 2.0, 1.0, 22.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "21948", "DN MADE - Animation - - Spécialité : L'animation au service du réel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21948&g_ta_cod=21948", 67.0, 27.0, 7.0),
(2283, "Privé sous contrat d'association", "0622114L", "Lycée Saint-Paul", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "BTS", "Lycée Saint-Paul - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 26, 218, 51, 184, 0, 19, 3, 30, 7, 23, 11, 112, 34, 0, 5, 5, 24, 69, 17, 0, 0, 19, 3, 27, 6, 10, 5, 13, 76, 21, 1, 12, 9, 4.0, 11.0, 19.0, 0, 1, 12, 5, 5, 2, 9, 0, 7, 4, 1, 0, 0.0, 1, 3, 1, 2, 0, 9, 9, 19.05, 52.38, 90.48, 4.7998046875, 75.0, 75.0, 16.69921875, 8.298828125, 57.09375, 0.0, 58.296875, 33.296875, 8.298828125, 0.0, 0.0, 41.6953125, 8.298828125, 41.6953125, 25.0, 16.69921875, 8.298828125, 15.0, 1.0, 15.0, 8.0, 19.0, "Tous les candidats sauf les Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 38.0, "7413", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7413&g_ta_cod=7413", 52.0, 33.0, 14.0),
(2284, "Public", "0310046G", "Lycée Hotellerie Et Tourisme d'Occitanie", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée Hotellerie Et Tourisme d'Occitanie - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 443, 242, 443, 0, 164, 37, 78, 18, 26, 11, 175, 0, 0, 0, 0, 0, 168, 0, 0, 0, 77, 13, 56, 12, 0, 0, 35, 72, 23, 13, 23, 0, 9.0, 22.0, 22.0, 0, 1, 17, 13, 4, 0, 6, 0, 3, 10, 3, 1, 0.0, 11, 3, 0, 0, 0, 14, 14, 39.13, 95.65, 95.65, 56.5, 82.390625, 82.390625, 0, 5.8994140625, 73.890625, 0.0, 17.59765625, 58.796875, 17.59765625, 5.9, 0.0, 76.5, 64.6875, 23.5, 17.59765625, 0.0, 0.0, 35.0, 5.0, 0.0, 0.0, 15.0, "Tous les candidats", 96.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "4064", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4064&g_ta_cod=4064", 83.0, 17.0, 0.0),
(2285, "Public", "0211139Z", "I.U.T de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BUT", "I.U.T de Dijon - BUT - Gestion administrative et commerciale des organisations Parcours : Management commercial et marketing omnicanal MCMO - Management responsable de projet et des organisations MRPO", "BUT - Service", "Management commercial et marketing omnicanal MCMO - Management responsable de projet et des organisations MRPO", 84, 2506, 1407, 2506, 0, 1380, 191, 692, 187, 29, 15, 405, 0, 0, 0, 0, 0, 1700, 0, 0, 0, 1046, 129, 465, 102, 0, 0, 189, 431, 83, 55, 83, 0, 32.0, 62.0, 78.0, 0, 19, 77, 37, 40, 0, 6, 0, 9, 40, 24, 4, 0.0, 35, 33, 0, 0, 0, 52, 52, 38.55, 74.7, 93.98, 66.296875, 67.5, 67.5, 0, 24.69921875, 92.796875, 0.0, 11.69921875, 51.8984375, 31.19921875, 5.2, 0.0, 48.09375, 45.5, 51.8984375, 42.8984375, 0.0, 0.0, 174.0, 35.0, 0.0, 0.0, 44.0, "Tous les candidats sauf les Bac technologiques", 398.0, "Bacheliers technologiques toutes séries", 287, "", 0, "Liste d'appel propre à cette formation", 27.0, "3242", "BUT - Gestion administrative et commerciale des organisations Parcours : Management commercial et marketing omnicanal MCMO - Management responsable de projet et des organisations MRPO", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3242&g_ta_cod=3242", 49.0, 51.0, 0.0),
(2286, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation non sélective", "Licence_Las", "Université Claude Bernard Lyon 1 - Licence - Portail portail Mathématiques / Informatique", "Licence - Sciences - technologies - santé", "portail Mathématiques / Informatique", 35, 1196, 467, 1196, 0, 709, 172, 28, 13, 2, 0, 457, 0, 0, 0, 0, 0, 1183, 0, 0, 0, 709, 172, 28, 13, 2, 0, 444, 391, 35, 8, 35, 0, 0.0, 6.0, 23.0, 0, 5, 15, 13, 2, 0, 20, 0, 9, 4, 2, 0, 0.0, 6, 0, 0, 0, 0, 14, 14, 0.0, 17.14, 65.71, 22.8984375, 93.296875, 93.296875, 0, 33.296875, 42.8984375, 0.0, 60.0, 26.69921875, 13.298828125, 0.0, 0.0, 86.6875, 40.0, 13.298828125, 0.0, 0.0, 0.0, 200.0, 55.0, 0.0, 0.0, 184.0, "Tous les candidats", 2199.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 58.0, "27055", "Licence - Portail portail Mathématiques / Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27054&g_ta_cod=27055", 91.0, 9.0, 0.0),
(2287, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence_Las", "Université de La Réunion - Saint Denis - Licence - Portail Sciences sociales", "Licence - Sciences humaines et sociales", "", 70, 622, 505, 592, 0, 304, 158, 109, 71, 21, 14, 158, 30, 7, 2, 1, 20, 591, 28, 0, 0, 304, 158, 109, 71, 21, 14, 157, 363, 69, 54, 57, 12, 2.0, 41.0, 58.0, 0, 27, 47, 27, 17, 3, 22, 1, 28, 14, 3, 0, 1.0, 13, 4, 1, 0, 0, 43, 43, 2.9, 59.42, 84.06, 78.296875, 91.5, 91.5, 0, 57.3984375, 68.09375, 2.099609375, 59.59375, 29.796875, 6.3994140625, 0.0, 2.1, 57.3984375, 27.69921875, 36.1953125, 8.5, 6.3994140625, 2.099609375, 181.0, 82.0, 12.0, 8.0, 105.0, "Tous les candidats", 1217.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27556", "Licence - Portail Sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27555&g_ta_cod=27556", 52.0, 33.0, 12.0),
(2288, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Double diplôme - Licence Langues étrangères appliquées - Double diplôme franco-italien : Développement International des Entreprises, en partenariat avec l'Université de Trente", "Licence - Arts-lettres-langues", "Double diplôme franco-italien : Développement International des Entreprises, en partenariat avec l'Université de Trente", 30, 69, 53, 52, 0, 33, 7, 6, 3, 0, 0, 13, 17, 7, 3, 1, 6, 52, 17, 0, 0, 33, 7, 6, 3, 0, 0, 13, 65, 10, 6, 7, 3, 4.0, 7.0, 9.0, 0, 2, 8, 6, 2, 0, 2, 0, 3, 3, 2, 0, 0.0, 3, 2, 0, 0, 0, 3, 3, 40.0, 70.0, 90.0, 60.0, 37.5, 37.5, 0, 25.0, 80.0, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 75.0, 37.5, 25.0, 25.0, 0.0, 0.0, 36.0, 9.0, 1.0, 1.0, 19.0, "Tous les candidats", 52.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32331", "Licence - Double diplôme - Licence Langues étrangères appliquées - Double diplôme franco-italien : Développement International des Entreprises, en partenariat avec l'Université de Trente", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32331&g_ta_cod=32331", 70.0, 30.0, 0.0),
(2289, "Privé enseignement supérieur", "0590344D", "INSTITUT CATHOLIQUE LILLE", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence_Las", "INSTITUT CATHOLIQUE LILLE - Licence - Portail Pluridisciplinaire - Projet personnel", "Licence - Arts-lettres-langues", "Projet personnel", 6, 182, 123, 50, 0, 26, 6, 2, 2, 0, 0, 22, 132, 60, 5, 3, 64, 23, 7, 0, 0, 16, 1, 1, 1, 0, 0, 6, 24, 5, 5, 1, 4, 1.0, 1.0, 4.0, 0, 0, 4, 4, 0, 0, 1, 0, 2, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 20.0, 20.0, 80.0, 100.0, 50.0, 50.0, 0, 0.0, 80.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 16.0, 2.0, 0.0, 0.0, 7.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 46.0, "32887", "Licence - Portail Pluridisciplinaire - Projet personnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29153&g_ta_cod=32887", 100.0, 0.0, 0.0),
(2290, "Privé enseignement supérieur", "0951809A", "ILEPS", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Licence", "ILEPS - Licence - Sciences de l'éducation - Parcours Education, enseignement et développement corporel de l?enfant", "Licence - Sciences humaines et sociales", "Education, enseignement et développement corporel de l?enfant", 40, 336, 277, 48, 0, 22, 4, 7, 4, 3, 2, 16, 288, 35, 34, 15, 204, 22, 78, 0, 0, 14, 0, 2, 0, 1, 0, 5, 100, 27, 20, 10, 17, 10.0, 10.0, 26.0, 0, 1, 13, 11, 1, 1, 14, 0, 5, 6, 1, 1, 0.0, 6, 1, 1, 0, 0, 11, 12, 37.04, 37.04, 96.3, 74.09375, 84.59375, 92.296875, 0, 7.69921875, 48.09375, 0.0, 38.5, 46.1953125, 7.69921875, 7.7, 0.0, 84.59375, 46.1953125, 7.69921875, 7.69921875, 7.69921875, 7.69921875, 26.0, 3.0, 2.0, 0.0, 62.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "25370", "Licence - Sciences de l'éducation - Parcours Education, enseignement et développement corporel de l?enfant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25370&g_ta_cod=25370", 74.0, 19.0, 7.0),
(2291, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, littératures & civilisations étrangères et régionales Espagnol", "Licence - Arts-lettres-langues", "Langues, littératures & civilisations étrangères et régionales Espagnol", 120, 493, 401, 341, 0, 237, 60, 31, 13, 4, 2, 69, 152, 28, 16, 8, 100, 340, 63, 0, 0, 237, 60, 31, 13, 4, 2, 68, 379, 50, 43, 30, 20, 23.0, 30.0, 43.0, 0, 8, 27, 20, 7, 0, 23, 0, 7, 12, 5, 3, 0.0, 19, 1, 0, 0, 0, 21, 21, 46.0, 60.0, 86.0, 86.0, 77.796875, 77.796875, 0, 29.59765625, 54.0, 0.0, 25.8984375, 44.3984375, 18.5, 11.1, 0.0, 74.09375, 70.390625, 25.8984375, 3.69970703125, 0.0, 0.0, 245.0, 61.0, 5.0, 4.0, 98.0, "Tous les candidats", 340.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4752", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, littératures & civilisations étrangères et régionales Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4752&g_ta_cod=4752", 72.0, 24.0, 4.0),
(2292, "Public", "9840268U", "Lycée des Métiers -Hotelier de Tahiti", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Punaauia", "formation sélective", "Autre formation", "Lycée des Métiers -Hotelier de Tahiti - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 141, 83, 121, 0, 36, 12, 30, 10, 22, 14, 33, 20, 2, 5, 5, 8, 49, 7, 0, 0, 19, 7, 13, 4, 13, 8, 4, 53, 22, 13, 19, 3, 9.0, 19.0, 22.0, 0, 9, 19, 7, 6, 6, 3, 0, 7, 6, 4, 2, 0.0, 4, 3, 5, 0, 0, 18, 18, 40.91, 86.36, 100.0, 59.09375, 94.6875, 94.6875, 0, 47.3984375, 86.390625, 0.0, 36.796875, 31.59765625, 21.09765625, 10.5, 0.0, 36.796875, 21.09765625, 31.59765625, 15.798828125, 31.59765625, 26.296875, 18.0, 6.0, 16.0, 10.0, 5.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "12001", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12001&g_ta_cod=12001", 41.0, 27.0, 32.0),
(2293, "Public", "0880040R", "Lycée Pierre et Marie Curie", "88", "Vosges", "Grand Est", "Nancy-Metz", "Neufchâteau", "formation sélective", "BTS", "Lycée Pierre et Marie Curie - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 243, 124, 223, 0, 15, 3, 79, 18, 57, 26, 72, 20, 4, 2, 0, 14, 156, 2, 0, 0, 15, 3, 76, 18, 49, 21, 16, 103, 25, 8, 25, 0, 8.0, 21.0, 24.0, 0, 5, 22, 2, 10, 10, 3, 0, 14, 5, 3, 0, 0.0, 0, 4, 4, 8, 1, 21, 21, 32.0, 84.0, 96.0, 32.0, 95.5, 95.5, 36.3984375, 22.69921875, 88.0, 0.0, 63.59375, 22.69921875, 13.599609375, 0.0, 0.0, 9.099609375, 0.0, 45.5, 18.19921875, 45.5, 18.19921875, 12.0, 3.0, 40.0, 16.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 64.0, "10737", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10737&g_ta_cod=10737", 8.0, 44.0, 48.0),
(2294, "Public", "0120024L", "Lycée Alexis Monteil", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BTS", "Lycée Alexis Monteil - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 530, 236, 530, 0, 28, 6, 197, 63, 189, 82, 116, 0, 0, 0, 0, 0, 438, 0, 0, 0, 26, 5, 183, 57, 183, 77, 46, 118, 19, 11, 19, 0, 0.0, 16.0, 17.0, 0, 3, 14, 2, 5, 7, 5, 0, 4, 6, 3, 1, 0.0, 1, 4, 5, 2, 0, 11, 11, 0.0, 84.21, 89.47, 57.8984375, 78.59375, 78.59375, 14.298828125, 21.3984375, 73.6875, 0.0, 28.59765625, 42.8984375, 21.3984375, 7.1, 0.0, 14.298828125, 7.099609375, 35.6953125, 28.59765625, 50.0, 35.6953125, 16.0, 4.0, 61.0, 23.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 89, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 29.0, "2490", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2490&g_ta_cod=2490", 26.0, 26.0, 47.0),
(2295, "Privé sous contrat d'association", "0721684P", "Lycée Polyvalent Saint-Charles Sainte-Croix", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Saint-Charles Sainte-Croix - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 34, 320, 295, 320, 0, 26, 7, 70, 18, 145, 45, 79, 0, 0, 0, 0, 0, 284, 0, 0, 0, 26, 7, 67, 17, 128, 39, 63, 108, 23, 21, 23, 0, 2.0, 15.0, 15.0, 0, 4, 19, 2, 7, 10, 4, 0, 6, 9, 4, 0, 0.0, 2, 2, 9, 5, 4, 18, 18, 8.7, 65.22, 65.22, 91.296875, 94.6875, 94.6875, 26.296875, 21.09765625, 82.59375, 0.0, 31.59765625, 47.3984375, 21.09765625, 0.0, 0.0, 10.5, 10.5, 36.796875, 10.5, 52.59375, 47.3984375, 9.0, 3.0, 46.0, 12.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 29.0, "8720", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8720&g_ta_cod=8720", 22.0, 30.0, 48.0),
(2296, "Public", "0920134W", "Lycée Jacques Prevert", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Boulogne-Billancourt", "formation sélective", "BTS", "Lycée Jacques Prevert - BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "BTS - Services", "", 12, 786, 291, 786, 0, 281, 37, 102, 25, 107, 38, 296, 0, 0, 0, 0, 0, 137, 0, 0, 0, 64, 9, 2, 0, 46, 15, 25, 41, 12, 7, 12, 0, 1.0, 10.0, 11.0, 0, 2, 10, 6, 0, 4, 2, 0, 1, 8, 1, 0, 0.0, 6, 0, 3, 0, 0, 4, 6, 8.33, 83.33, 91.67, 58.296875, 40.0, 60.0, 0, 20.0, 83.296875, 0.0, 10.0, 80.0, 10.0, 0.0, 0.0, 60.0, 60.0, 0.0, 0.0, 40.0, 30.0, 24.0, 5.0, 10.0, 2.0, 6.0, "Tous les candidats sauf les Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 6.0, "10986", "BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10986&g_ta_cod=10986", 67.0, 0.0, 33.0),
(2297, "Public", "0760166T", "Ecole nationale supérieure maritime (ENSM) - Site du Havre et siège", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Autre formation", "Ecole nationale supérieure maritime (ENSM) - Site du Havre et siège - Diplôme d'Etablissement - Diplôme Officier Chef de Quart Passerelle International (OCQPI) - Bac +3", "Diplôme d'Etablissement", "Diplôme Officier Chef de Quart Passerelle International (OCQPI) - Bac +3", 29, 428, 62, 428, 0, 154, 7, 27, 1, 41, 7, 206, 0, 0, 0, 0, 0, 120, 0, 0, 0, 35, 1, 10, 0, 10, 1, 65, 53, 28, 10, 28, 0, 12.0, 24.0, 25.0, 0, 1, 11, 7, 0, 4, 17, 1, 0, 2, 6, 2, 0.0, 7, 0, 3, 0, 0, 0, 0, 42.86, 85.71, 89.29, 35.6953125, 0.0, 0.0, 0, 9.099609375, 39.296875, 9.099609375, 0.0, 18.19921875, 54.5, 18.2, 0.0, 63.59375, 63.59375, 0.0, 0.0, 36.3984375, 27.296875, 16.0, 1.0, 6.0, 1.0, 30.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "33016", "Diplôme d'Etablissement - Diplôme Officier Chef de Quart Passerelle International (OCQPI) - Bac +3", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33016&g_ta_cod=33016", 82.0, 4.0, 14.0),
(2298, "Public", "0930129K", "Lycée professionnel Madeleine Vionnet", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bondy", "formation sélective", "BTS", "Lycée professionnel Madeleine Vionnet - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 30, 667, 561, 667, 0, 120, 34, 88, 41, 240, 111, 219, 0, 0, 0, 0, 0, 667, 0, 0, 0, 120, 34, 88, 41, 240, 111, 219, 120, 28, 22, 28, 0, 4.0, 19.0, 24.0, 0, 7, 21, 5, 3, 13, 7, 0, 4, 12, 4, 1, 0.0, 5, 2, 10, 2, 2, 15, 20, 14.29, 67.86, 85.71, 78.59375, 71.390625, 95.1875, 9.5, 33.296875, 75.0, 0.0, 19.0, 57.09375, 19.0, 4.8, 0.0, 23.796875, 23.796875, 14.298828125, 9.5, 61.8984375, 47.59375, 23.0, 9.0, 61.0, 25.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 23.0, "15691", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15691&g_ta_cod=15691", 25.0, 25.0, 50.0),
(2299, "Public", "0590042A", "Lycée Camille Desmoulins", "59", "Nord", "Hauts-de-France", "Lille", "Le Cateau-Cambrésis", "formation sélective", "BTS", "Lycée Camille Desmoulins - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 477, 237, 414, 0, 15, 5, 32, 15, 49, 21, 318, 63, 5, 15, 8, 35, 75, 21, 0, 0, 13, 4, 22, 12, 32, 17, 8, 94, 23, 15, 16, 7, 10.0, 16.0, 22.0, 0, 11, 18, 1, 6, 11, 5, 0, 7, 9, 2, 0, 0.0, 0, 3, 8, 11, 8, 17, 17, 43.48, 69.57, 95.65, 65.1875, 94.390625, 94.390625, 61.09375, 61.09375, 78.296875, 0.0, 38.8984375, 50.0, 11.099609375, 0.0, 0.0, 5.599609375, 0.0, 33.296875, 16.69921875, 61.09375, 44.3984375, 14.0, 7.0, 37.0, 19.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 18.0, "6729", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6729&g_ta_cod=6729", 4.0, 26.0, 70.0),
(2300, "Public", "0700905D", "Lycée Edouard Belin", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Vesoul", "formation sélective", "BTS", "Lycée Edouard Belin - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 10, 51, 4, 44, 0, 4, 0, 20, 4, 16, 7, 4, 7, 1, 0, 5, 1, 39, 3, 0, 0, 4, 0, 19, 3, 15, 6, 1, 34, 6, 0, 5, 1, 1.0, 5.0, 6.0, 0, 0, 5, 1, 3, 1, 1, 0, 4, 0, 1, 0, 0.0, 0, 0, 1, 2, 0, 5, 5, 16.67, 83.33, 100.0, 0.0, 100.0, 100.0, 40, 0.0, 83.296875, 0.0, 80.0, 0.0, 20.0, 0.0, 0.0, 20.0, 0.0, 60.0, 0.0, 20.0, 20.0, 3.0, 0.0, 13.0, 5.0, 2.0, "Tous les candidats sauf les Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 89.0, "8596", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8596&g_ta_cod=8596", 17.0, 50.0, 33.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(2301, "Public", "0950645K", "Lycée Van Gogh", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Ermont", "formation sélective", "BTS", "Lycée Van Gogh - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1493, 704, 1493, 0, 118, 32, 516, 188, 463, 183, 396, 0, 0, 0, 0, 0, 746, 0, 0, 0, 81, 23, 298, 101, 259, 111, 108, 206, 35, 23, 34, 0, 3.0, 22.0, 30.0, 0, 10, 29, 3, 15, 11, 6, 0, 8, 16, 5, 0, 0.0, 2, 11, 8, 3, 2, 26, 27, 8.57, 62.86, 85.71, 65.6875, 89.6875, 93.09375, 10.298828125, 34.5, 82.890625, 0.0, 27.59765625, 55.1953125, 17.19921875, 0.0, 0.0, 10.298828125, 6.8994140625, 51.6953125, 37.8984375, 37.8984375, 27.59765625, 20.0, 6.0, 79.0, 40.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 138, "Bacheliers technologiques toutes séries", 121, "Liste d'appel propre à cette formation", 20.0, "11568", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11568&g_ta_cod=11568", 9.0, 46.0, 46.0),
(2302, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation non sélective", "Licence", "Université de La Rochelle - Licence - Informatique", "Licence - Sciences - technologies - santé", "", 130, 755, 69, 729, 0, 494, 99, 68, 18, 7, 2, 160, 26, 4, 2, 0, 20, 702, 23, 0, 0, 494, 99, 68, 18, 7, 2, 133, 539, 130, 8, 114, 15, 17.0, 104.0, 114.0, 0, 18, 93, 81, 11, 1, 37, 0, 47, 34, 10, 2, 0.0, 40, 5, 1, 0, 0, 65, 65, 13.08, 80.0, 87.69, 6.19921875, 69.890625, 69.890625, 0, 19.3984375, 71.5, 0.0, 50.5, 36.59375, 10.798828125, 2.2, 0.0, 87.09375, 43.0, 11.798828125, 5.3994140625, 1.099853515625, 1.099853515625, 397.0, 77.0, 2.0, 1.0, 104.0, "Tous les candidats", 694.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "3083", "Licence - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3083&g_ta_cod=3083", 86.0, 12.0, 1.0),
(2303, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Langues étrangères appliquées - Parcours Anglais, Espagnol. Non débutants", "Licence - Arts-lettres-langues", "Anglais, Espagnol. Non débutants", 120, 673, 525, 647, 0, 487, 110, 49, 14, 15, 7, 96, 26, 4, 3, 0, 19, 646, 26, 0, 0, 487, 110, 49, 14, 15, 7, 95, 672, 106, 80, 97, 9, 94.0, 95.0, 95.0, 0, 27, 89, 70, 11, 8, 17, 0, 24, 38, 23, 3, 1.0, 54, 3, 8, 0, 0, 80, 80, 88.68, 89.62, 89.62, 75.5, 89.890625, 89.890625, 0, 30.296875, 84.0, 0.0, 27.0, 42.6953125, 25.796875, 3.4, 1.1, 78.6875, 60.6953125, 12.3984375, 3.39990234375, 9.0, 9.0, 491.0, 111.0, 15.0, 7.0, 114.0, "Tous les candidats", 646.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "23569", "Licence - Langues étrangères appliquées - Parcours Anglais, Espagnol. Non débutants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23569&g_ta_cod=23569", 74.0, 18.0, 8.0),
(2304, "Public", "0750676C", "Lycée des Métiers Dorian", "75", "Paris", "Ile-de-France", "Paris", "Paris 11e  Arrondissement", "formation sélective", "BTS", "Lycée des Métiers Dorian - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 344, 23, 344, 0, 14, 1, 141, 50, 102, 45, 87, 0, 0, 0, 0, 0, 248, 0, 0, 0, 3, 0, 114, 37, 85, 36, 46, 83, 11, 0, 11, 0, 1.0, 9.0, 10.0, 0, 4, 11, 1, 5, 5, 0, 0, 4, 4, 3, 0, 0.0, 0, 3, 4, 3, 0, 6, 9, 9.09, 81.82, 90.91, 0.0, 54.5, 81.796875, 27.296875, 36.3984375, 100.0, 0.0, 36.3984375, 36.3984375, 27.296875, 0.0, 0.0, 9.099609375, 0.0, 45.5, 27.296875, 45.5, 36.3984375, 3.0, 0.0, 37.0, 14.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 33.0, "9029", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9029&g_ta_cod=9029", 9.0, 45.0, 45.0),
(2305, "Privé sous contrat d'association", "0942354Y", "LGT SAINTE MARIE", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Joinville-le-Pont", "formation sélective", "BTS", "LGT SAINTE MARIE - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 36, 1171, 476, 301, 0, 38, 3, 102, 26, 86, 31, 75, 870, 68, 270, 173, 359, 105, 49, 0, 0, 20, 0, 57, 11, 23, 7, 5, 136, 27, 13, 14, 13, 7.0, 14.0, 18.0, 0, 3, 21, 2, 12, 7, 6, 0, 11, 6, 3, 1, 0.0, 0, 5, 5, 2, 1, 19, 21, 25.93, 51.85, 66.67, 48.09375, 90.5, 100.0, 9.5, 14.298828125, 77.796875, 0.0, 52.3984375, 28.59765625, 14.298828125, 4.8, 0.0, 9.5, 0.0, 57.09375, 23.796875, 33.296875, 23.796875, 27.0, 1.0, 37.0, 13.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 34.0, "11533", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11533&g_ta_cod=11533", 7.0, 52.0, 41.0),
(2306, "Privé sous contrat d'association", "0440282T", "SEGT LPP LE MASLE", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BTS", "SEGT LPP LE MASLE - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 135, 91, 130, 0, 12, 1, 42, 12, 49, 10, 27, 5, 0, 2, 0, 3, 119, 2, 0, 0, 12, 1, 40, 12, 46, 9, 21, 64, 13, 7, 13, 0, 5.0, 10.0, 12.0, 0, 2, 9, 3, 1, 5, 4, 0, 3, 5, 1, 0, 0.0, 2, 0, 4, 1, 1, 9, 9, 38.46, 76.92, 92.31, 53.796875, 100.0, 100.0, 11.099609375, 22.19921875, 69.1875, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 33.296875, 22.19921875, 11.099609375, 0.0, 55.59375, 44.3984375, 6.0, 1.0, 22.0, 8.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 72.0, "5535", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5535&g_ta_cod=5535", 38.0, 23.0, 38.0),
(2307, "Public", "9760182U", "Lycée de Sada", "976", "Mayotte", "Mayotte", "Mayotte", "Sada", "formation sélective", "BTS", "Lycée de Sada - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1153, 760, 1153, 0, 116, 73, 414, 269, 286, 150, 337, 0, 0, 0, 0, 0, 488, 0, 0, 0, 56, 37, 252, 173, 119, 70, 61, 111, 35, 23, 35, 0, 5.0, 28.0, 33.0, 0, 19, 33, 5, 15, 13, 2, 0, 15, 14, 4, 0, 0.0, 2, 5, 11, 13, 9, 32, 32, 14.29, 80.0, 94.29, 65.6875, 97.0, 97.0, 39.3984375, 57.59375, 94.296875, 0.0, 45.5, 42.3984375, 12.099609375, 0.0, 0.0, 15.19921875, 6.099609375, 45.5, 15.19921875, 39.3984375, 33.296875, 18.0, 9.0, 31.0, 15.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 14.0, "14963", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14963&g_ta_cod=14963", 17.0, 46.0, 37.0),
(2308, "Public", "0932291K", "Lycée Nicolas-Joseph Cugnot", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Neuilly-sur-Marne", "formation sélective", "BTS", "Lycée Nicolas-Joseph Cugnot - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 20, 319, 9, 319, 0, 30, 4, 54, 16, 156, 62, 79, 0, 0, 0, 0, 0, 287, 0, 0, 0, 26, 3, 54, 16, 142, 59, 65, 57, 20, 0, 20, 0, 3.0, 17.0, 17.0, 0, 7, 18, 0, 4, 14, 2, 0, 2, 10, 6, 0, 0.0, 0, 3, 13, 7, 0, 16, 17, 15.0, 85.0, 85.0, 0.0, 88.890625, 94.390625, 38.8984375, 38.8984375, 90.0, 0.0, 11.099609375, 55.59375, 33.296875, 0.0, 0.0, 0.0, 0.0, 22.19921875, 16.69921875, 77.796875, 72.1875, 4.0, 2.0, 38.0, 14.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 19.0, "11359", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11359&g_ta_cod=11359", 5.0, 25.0, 70.0),
(2309, "Privé sous contrat d'association", "0920904H", "Lycée Sainte Marie", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Antony", "formation sélective", "CPGE", "Lycée Sainte Marie - CPGE - MPSI", "Classe préparatoire scientifique", "", 45, 1296, 309, 1296, 878, 1184, 50, 1, 0, 0, 0, 111, 0, 0, 0, 0, 0, 1146, 0, 878, 949, 1077, 28, 0, 0, 0, 0, 69, 324, 47, 13, 47, 0, 23.0, 32.0, 42.0, 34, 2, 44, 44, 0, 0, 3, 0, 0, 3, 22, 17, 2.0, 44, 0, 0, 11, 2, 23, 33, 48.94, 68.09, 89.36, 27.69921875, 52.296875, 75.0, 25, 4.5, 93.59375, 0.0, 0.0, 6.7998046875, 50.0, 38.6, 4.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 314.0, 10.0, 0.0, 0.0, 10.0, "Tous les candidats", 393.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "11048", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11048&g_ta_cod=11048", 100.0, 0.0, 0.0),
(2310, "Privé sous contrat d'association", "0111024D", "Ecole Sup. La Raque", "11", "Aude", "Occitanie", "Montpellier", "Lasbordes", "formation sélective", "BTS", "Ecole Sup. La Raque - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 15, 102, 18, 98, 0, 20, 1, 46, 7, 16, 7, 16, 4, 0, 1, 0, 3, 98, 4, 0, 0, 20, 1, 46, 7, 16, 7, 16, 71, 13, 1, 9, 4, 3.0, 6.0, 10.0, 0, 0, 6, 2, 4, 0, 7, 0, 1, 5, 0, 0, 0.0, 2, 3, 0, 0, 0, 5, 5, 23.08, 46.15, 76.92, 7.69921875, 83.296875, 83.296875, 0, 0.0, 46.1953125, 0.0, 16.69921875, 83.296875, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 50.0, 0.0, 0.0, 12.0, 1.0, 12.0, 4.0, 13.0, "Tous les candidats sauf les Bac professionnels", 81.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 99.0, "2480", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2480&g_ta_cod=2480", 54.0, 46.0, 0.0),
(2311, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation non sélective", "Licence_Las", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Portail Mathématiques-Informatique (MI)", "Licence - Sciences - technologies - santé", "Mathématiques-Informatique (MI)", 15, 830, 279, 830, 0, 473, 110, 4, 1, 1, 1, 352, 0, 0, 0, 0, 0, 830, 0, 0, 0, 473, 110, 4, 1, 1, 1, 352, 226, 14, 7, 14, 0, 0.0, 5.0, 8.0, 0, 3, 9, 9, 0, 0, 5, 0, 2, 2, 3, 2, 0.0, 7, 0, 0, 0, 0, 4, 7, 0.0, 35.71, 57.14, 50.0, 44.3984375, 77.796875, 0, 33.296875, 64.296875, 0.0, 22.19921875, 22.19921875, 33.296875, 22.2, 0.0, 100.0, 77.796875, 0.0, 0.0, 0.0, 0.0, 158.0, 39.0, 0.0, 0.0, 68.0, "Tous les candidats", 1199.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "28471", "Licence - Portail Mathématiques-Informatique (MI)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28470&g_ta_cod=28471", 100.0, 0.0, 0.0),
(2312, "Privé enseignement supérieur", "0333203C", "Institut national des formations notariales - Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Institut national des formations notariales - Bordeaux - BTS - Services - Notariat", "BTS - Services", "", 25, 420, 325, 354, 0, 113, 22, 123, 35, 13, 4, 105, 66, 15, 9, 0, 42, 64, 0, 0, 0, 30, 8, 21, 6, 2, 0, 11, 54, 11, 10, 11, 0, 5.0, 11.0, 11.0, 0, 2, 11, 6, 4, 1, 0, 0, 0, 9, 2, 0, 0.0, 6, 4, 1, 0, 0, 10, 10, 45.45, 100.0, 100.0, 90.890625, 90.890625, 90.890625, 0, 18.19921875, 100.0, 0.0, 0.0, 81.796875, 18.19921875, 0.0, 0.0, 54.5, 54.5, 36.3984375, 36.3984375, 9.099609375, 9.099609375, 28.0, 7.0, 2.0, 0.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 2, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 17.0, "16841", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16841&g_ta_cod=16841", 55.0, 36.0, 9.0),
(2313, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence_Las", "Université de Nantes - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS (sports)", "Licence - Sciences humaines et sociales", "STAPS (sports)", 120, 3189, 1412, 3189, 0, 2223, 255, 239, 50, 24, 6, 703, 0, 0, 0, 0, 0, 3189, 0, 0, 0, 2223, 255, 239, 50, 24, 6, 703, 271, 120, 57, 120, 0, 50.0, 116.0, 119.0, 0, 14, 105, 101, 4, 0, 15, 0, 8, 41, 42, 13, 1.0, 93, 4, 0, 0, 0, 103, 103, 41.67, 96.67, 99.17, 47.5, 98.09375, 98.09375, 0, 13.298828125, 87.5, 0.0, 7.599609375, 39.0, 40.0, 12.4, 1.0, 96.1875, 88.59375, 3.7998046875, 3.7998046875, 0.0, 0.0, 239.0, 31.0, 0.0, 0.0, 26.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "27011", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS (sports)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27010&g_ta_cod=27011", 97.0, 3.0, 0.0),
(2314, "Public", "0260035X", "Lycée CAMILLE VERNET", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "CPGE", "Lycée CAMILLE VERNET - CPGE - MPSI", "Classe préparatoire scientifique", "", 45, 1071, 259, 964, 670, 809, 103, 2, 0, 0, 0, 153, 107, 50, 1, 0, 56, 496, 15, 59, 487, 486, 50, 0, 0, 0, 0, 10, 447, 32, 7, 31, 1, 17.0, 30.0, 32.0, 3, 5, 31, 31, 0, 0, 1, 0, 0, 7, 17, 6, 1.0, 31, 0, 0, 1, 0, 21, 21, 53.13, 93.75, 100.0, 21.8984375, 67.6875, 67.6875, 3.19970703125, 16.09765625, 96.890625, 0.0, 0.0, 22.59765625, 54.796875, 19.4, 3.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 439.0, 47.0, 0.0, 0.0, 8.0, "Tous les candidats", 501.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "3621", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3621&g_ta_cod=3621", 100.0, 0.0, 0.0),
(2315, "Public", "0221571N", "Lycée Kerraoul", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Paimpol", "formation sélective", "BTS", "Lycée Kerraoul - BTS - Services - Economie sociale familiale", "BTS - Services", "", 30, 626, 511, 621, 0, 49, 10, 122, 26, 188, 50, 262, 5, 2, 0, 0, 3, 322, 2, 0, 0, 34, 7, 102, 21, 111, 31, 75, 147, 24, 20, 23, 1, 2.0, 20.0, 23.0, 0, 4, 14, 3, 4, 7, 10, 0, 4, 5, 5, 0, 0.0, 1, 2, 7, 0, 0, 14, 14, 8.33, 83.33, 95.83, 83.296875, 100.0, 100.0, 0, 28.59765625, 58.296875, 0.0, 28.59765625, 35.6953125, 35.6953125, 0.0, 0.0, 21.3984375, 7.099609375, 28.59765625, 14.298828125, 50.0, 50.0, 24.0, 4.0, 38.0, 12.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 105, "Liste d'appel propre à cette formation", 38.0, "3362", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3362&g_ta_cod=3362", 29.0, 33.0, 38.0),
(2316, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Lettres - Parcours Lettres modernes", "Licence - Arts-lettres-langues", "Lettres modernes", 120, 465, 379, 398, 0, 272, 71, 11, 8, 14, 8, 101, 67, 12, 3, 4, 48, 397, 61, 0, 0, 272, 71, 11, 8, 14, 8, 100, 458, 59, 46, 44, 15, 44.0, 44.0, 54.0, 0, 12, 36, 32, 1, 3, 23, 1, 11, 19, 5, 0, 0.0, 23, 0, 1, 0, 0, 25, 25, 74.58, 74.58, 91.53, 78.0, 69.390625, 69.390625, 0, 33.296875, 61.0, 2.7998046875, 30.59765625, 52.796875, 13.8984375, 0.0, 0.0, 88.890625, 63.8984375, 2.7998046875, 0.0, 8.298828125, 2.7998046875, 283.0, 76.0, 18.0, 10.0, 143.0, "Tous les candidats", 397.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7643", "Licence - Lettres - Parcours Lettres modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7643&g_ta_cod=7643", 92.0, 2.0, 7.0),
(2317, "Public", "0710010A", "Lycée Mathias", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "BTS", "Lycée Mathias - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 34, 343, 53, 343, 0, 45, 5, 84, 28, 58, 22, 156, 0, 0, 0, 0, 0, 188, 0, 0, 0, 44, 4, 75, 25, 42, 13, 27, 132, 33, 2, 32, 0, 6.0, 28.0, 32.0, 0, 12, 28, 4, 16, 8, 5, 0, 15, 9, 4, 0, 0.0, 0, 6, 7, 2, 0, 22, 22, 18.18, 84.85, 96.97, 6.099609375, 78.59375, 78.59375, 7.099609375, 42.8984375, 84.796875, 0.0, 53.59375, 32.09375, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 57.09375, 21.3984375, 28.59765625, 25.0, 42.0, 5.0, 27.0, 9.0, 20.0, "Tous les candidats sauf les Bac professionnels", 137.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 52.0, "8617", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8617&g_ta_cod=8617", 15.0, 58.0, 27.0),
(2318, "Public", "0783778H", "CY Ecole de Design", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "Autre formation", "Concours GalaxY Design - Diplôme d'Université - Diplôme universitaire Designer Global - Bac+5", "Diplôme d'Université", "Diplôme universitaire Designer Global - Bac+5", 80, 310, 192, 211, 0, 111, 18, 32, 2, 10, 3, 58, 99, 30, 6, 8, 55, 151, 16, 0, 0, 85, 10, 23, 1, 6, 1, 37, 159, 80, 55, 68, 12, 42.0, 68.0, 74.0, 0, 7, 53, 37, 11, 5, 27, 0, 14, 25, 10, 4, 0.0, 27, 7, 5, 0, 0, 33, 43, 52.5, 85.0, 92.5, 68.796875, 62.296875, 81.09375, 0, 13.19921875, 66.296875, 0.0, 26.3984375, 47.1953125, 18.8984375, 7.5, 0.0, 69.796875, 50.8984375, 20.796875, 13.19921875, 9.3984375, 9.3984375, 86.0, 11.0, 6.0, 1.0, 44.0, "Tous les candidats", 151.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "33287", "Diplôme d'Université - Diplôme universitaire Designer Global - Bac+5", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33287&g_ta_cod=33287", 69.0, 21.0, 10.0),
(2319, "Privé sous contrat d'association", "0850609A", "Lycée agricole Les Etablières", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée agricole Les Etablières - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 36, 167, 46, 161, 0, 31, 6, 35, 5, 25, 4, 70, 6, 3, 0, 2, 1, 97, 5, 0, 0, 31, 6, 35, 5, 25, 4, 6, 81, 7, 0, 7, 0, 4.0, 7.0, 7.0, 0, 0, 7, 2, 1, 4, 0, 0, 5, 1, 1, 0, 0.0, 1, 1, 0, 0, 0, 3, 3, 57.14, 100.0, 100.0, 0.0, 42.8984375, 42.8984375, 0, 0.0, 100.0, 0.0, 71.390625, 14.298828125, 14.298828125, 0.0, 0.0, 28.59765625, 14.298828125, 14.298828125, 14.298828125, 57.09375, 0.0, 23.0, 3.0, 25.0, 5.0, 5.0, "Tous les candidats sauf les Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 58.0, "10526", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10526&g_ta_cod=10526", 29.0, 14.0, 57.0),
(2320, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Portail Humanités - Parcours Lettres classiques", "Licence - Arts-lettres-langues", "Parcours Lettres classiques", 40, 332, 255, 166, 0, 87, 22, 8, 4, 12, 7, 59, 166, 21, 17, 16, 112, 166, 153, 0, 0, 87, 22, 8, 4, 12, 7, 59, 272, 27, 18, 5, 22, 1.0, 5.0, 19.0, 0, 4, 11, 4, 1, 6, 16, 0, 9, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 6, 6, 3.7, 18.52, 70.37, 66.6875, 54.5, 54.5, 0, 36.3984375, 40.6953125, 0.0, 81.796875, 9.099609375, 9.099609375, 0.0, 0.0, 36.3984375, 0.0, 9.099609375, 0.0, 54.5, 18.19921875, 85.0, 25.0, 19.0, 12.0, 147.0, "Tous les candidats", 205.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "4585", "Licence - Portail Humanités - Parcours Lettres classiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28907&g_ta_cod=4585", 44.0, 22.0, 33.0),
(2321, "Privé sous contrat d'association", "0440256P", "Lycée St Pierre La Joliverie", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Sébastien-sur-Loire", "formation sélective", "BTS", "Lycée St Pierre La Joliverie - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 68, 697, 54, 697, 0, 154, 18, 229, 37, 131, 34, 183, 0, 0, 0, 0, 0, 450, 0, 0, 0, 114, 14, 175, 23, 90, 17, 71, 246, 68, 4, 68, 0, 19.0, 60.0, 65.0, 0, 7, 54, 11, 25, 18, 14, 0, 21, 22, 11, 0, 0.0, 7, 10, 16, 0, 0, 50, 50, 27.94, 88.24, 95.59, 5.8994140625, 92.59375, 92.59375, 0, 13.0, 79.390625, 0.0, 38.8984375, 40.6953125, 20.3984375, 0.0, 0.0, 20.3984375, 13.0, 46.296875, 18.5, 33.296875, 29.59765625, 46.0, 7.0, 52.0, 9.0, 36.0, "Tous les candidats sauf les Bac professionnels", 248.0, "Bacheliers professionnels toutes séries", 70, "", 0, "Liste d'appel propre à cette formation", 46.0, "5527", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5527&g_ta_cod=5527", 32.0, 41.0, 26.0),
(2322, "Public", "0910623H", "Lycée Marcel Pagnol", "91", "Essonne", "Ile-de-France", "Versailles", "Athis-Mons", "formation sélective", "Autre formation", "Lycée Marcel Pagnol - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 38, 18, 10, 0, 0, 0.0, 0.0, 0.0, 0, 9, 18, 0, 10, 8, 0, 0, 18, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 18, 18, 0.0, 0.0, 0.0, 55.59375, 100.0, 100.0, 0, 50.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 55.59375, 0.0, 44.3984375, 0.0, 0.0, 0.0, 20.0, 9.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22476", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 56.0, 44.0),
(2323, "Public", "0721410S", "IFSI POLE SANTE SARTHE Et LOIR", "72", "Sarthe", "Pays de la Loire", "Nantes", "La Flèche", "formation sélective", "IFSI", "Regroupement d'IFSI Université du Mans - D.E Infirmier", "D.E secteur sanitaire", "", 41, 2169, 1900, 2169, 0, 343, 53, 399, 68, 430, 145, 997, 0, 0, 0, 0, 0, 1847, 0, 0, 0, 319, 50, 353, 54, 364, 120, 811, 505, 46, 39, 46, 0, 0.0, 10.0, 27.0, 0, 1, 17, 9, 3, 5, 29, 0, 1, 11, 4, 1, 0.0, 8, 3, 5, 0, 0, 15, 15, 0.0, 21.74, 58.7, 84.796875, 88.1875, 88.1875, 0, 5.8994140625, 37.0, 0.0, 5.8994140625, 64.6875, 23.5, 5.9, 0.0, 52.8984375, 47.09375, 17.59765625, 17.59765625, 29.3984375, 29.3984375, 81.0, 4.0, 93.0, 33.0, 252.0, "Tous les candidats", 1209.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "23047", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23002&g_ta_cod=23047", 54.0, 13.0, 33.0),
(2324, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "Licence - Arts-lettres-langues", "Allemand", 45, 93, 57, 27, 0, 18, 1, 1, 1, 1, 0, 7, 66, 4, 5, 2, 55, 27, 56, 0, 0, 18, 1, 1, 1, 1, 0, 7, 83, 8, 3, 0, 8, 0.0, 0.0, 5.0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 62.5, 37.5, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22.0, 3.0, 3.0, 2.0, 53.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4566", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4566&g_ta_cod=4566", 100.0, 0.0, 0.0),
(2325, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Gestion", "Licence - Droit-économie-gestion", "", 725, 6207, 3172, 6207, 0, 4315, 854, 380, 146, 24, 11, 1488, 0, 0, 0, 0, 0, 6202, 0, 0, 0, 4315, 854, 380, 146, 24, 11, 1483, 2342, 696, 355, 695, 0, 102.0, 510.0, 599.0, 0, 197, 560, 558, 2, 0, 136, 0, 153, 218, 162, 26, 1.0, 407, 0, 0, 0, 0, 145, 483, 14.66, 73.28, 86.06, 51.0, 25.8984375, 86.296875, 0, 35.1953125, 80.5, 0.0, 27.296875, 38.8984375, 28.8984375, 4.6, 0.2, 99.59375, 72.6875, 0.39996337890625, 0.0, 0.0, 0.0, 1938.0, 431.0, 0.0, 0.0, 402.0, "Tous les candidats", 2652.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "9214", "Licence - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9214&g_ta_cod=9214", 100.0, 0.0, 0.0),
(2326, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Lettres - Parcours Lettres et Arts", "Licence - Arts-lettres-langues", "Lettres et Arts", 300, 667, 526, 418, 0, 264, 81, 21, 11, 21, 5, 112, 249, 35, 18, 12, 184, 418, 245, 0, 0, 264, 81, 21, 11, 21, 5, 112, 663, 141, 108, 61, 80, 61.0, 61.0, 112.0, 0, 18, 61, 46, 10, 5, 80, 0, 30, 22, 6, 3, 0.0, 26, 4, 1, 0, 0, 34, 34, 43.26, 43.26, 79.43, 76.59375, 55.6953125, 55.6953125, 0, 29.5, 43.296875, 0.0, 49.1953125, 36.09375, 9.798828125, 4.9, 0.0, 75.390625, 42.59375, 16.3984375, 6.599609375, 8.19921875, 1.599853515625, 299.0, 90.0, 33.0, 12.0, 292.0, "Tous les candidats", 419.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "17857", "Licence - Lettres - Parcours Lettres et Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17857&g_ta_cod=17857", 74.0, 16.0, 9.0),
(2327, "Public", "0880153N", "Lycée Andre Malraux", "88", "Vosges", "Grand Est", "Nancy-Metz", "Remiremont", "formation sélective", "BTS", "Lycée Andre Malraux - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 63, 4, 58, 0, 0, 0, 41, 13, 9, 2, 8, 5, 0, 0, 2, 3, 50, 1, 0, 0, 0, 0, 41, 13, 9, 2, 0, 35, 9, 0, 8, 1, 5.0, 8.0, 9.0, 0, 6, 9, 0, 5, 4, 0, 0, 4, 4, 0, 1, 0.0, 0, 2, 3, 4, 0, 8, 8, 55.56, 88.89, 100.0, 0.0, 88.890625, 88.890625, 44.3984375, 66.6875, 100.0, 0.0, 44.3984375, 44.3984375, 0.0, 11.1, 0.0, 0.0, 0.0, 55.59375, 22.19921875, 44.3984375, 33.296875, 0.0, 0.0, 10.0, 3.0, 0.0, "Tous les candidats sauf les Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 9, "", 0, "Liste d'appel propre à cette formation", 86.0, "10746", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10746&g_ta_cod=10746", 0.0, 56.0, 44.0),
(2328, "Public", "0750708M", "Lycée Des métiers Jean DROUANT", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "BTS", "Lycée Des métiers Jean DROUANT - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 96, 650, 305, 649, 0, 0, 0, 206, 37, 228, 56, 215, 1, 0, 0, 0, 1, 619, 0, 0, 0, 0, 0, 193, 34, 228, 56, 198, 233, 92, 51, 92, 0, 53.0, 80.0, 92.0, 0, 11, 50, 0, 19, 31, 42, 0, 8, 23, 15, 4, 0.0, 0, 15, 27, 20, 16, 23, 38, 57.61, 86.96, 100.0, 55.3984375, 46.0, 76.0, 40, 22.0, 54.296875, 0.0, 16.0, 46.0, 30.0, 8.0, 0.0, 0.0, 0.0, 38.0, 30.0, 62.0, 54.0, 0.0, 0.0, 138.0, 33.0, 64.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 244, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 56.0, "9164", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9164&g_ta_cod=9164", 30.0, 32.0, 38.0),
(2329, "Public", "0930120A", "Lycée Jacques Feyder", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Epinay-sur-Seine", "formation sélective", "BTS", "Lycée Jacques Feyder - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 22, 1489, 762, 1489, 0, 130, 57, 456, 216, 472, 268, 431, 0, 0, 0, 0, 0, 1489, 0, 0, 0, 130, 57, 456, 216, 472, 268, 431, 159, 23, 12, 23, 0, 2.0, 14.0, 20.0, 0, 13, 18, 4, 4, 10, 5, 0, 4, 11, 3, 0, 0.0, 4, 3, 7, 3, 1, 8, 18, 8.7, 60.87, 86.96, 52.1953125, 44.3984375, 100.0, 16.69921875, 72.1875, 78.296875, 0.0, 22.19921875, 61.09375, 16.69921875, 0.0, 0.0, 22.19921875, 22.19921875, 22.19921875, 16.69921875, 55.59375, 38.8984375, 23.0, 11.0, 70.0, 43.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 147, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 18.0, "20255", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20255&g_ta_cod=20255", 22.0, 30.0, 48.0),
(2330, "Public", "0631021T", "I.U.T. de Clermont-Ferrand", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aubière", "formation sélective", "BUT", "I.U.T. de Clermont-Ferrand - BUT - Génie biologique parcours biologie médicale et biotechnologie", "BUT - Production", "", 102, 2976, 2152, 2976, 0, 1741, 201, 476, 117, 12, 4, 747, 0, 0, 0, 0, 0, 1961, 0, 0, 0, 1254, 129, 230, 55, 0, 0, 477, 410, 102, 84, 102, 0, 15.0, 73.0, 94.0, 0, 14, 81, 49, 32, 0, 21, 0, 1, 24, 44, 12, 0.0, 48, 32, 0, 0, 0, 26, 26, 14.71, 71.57, 92.16, 82.390625, 32.09375, 32.09375, 0, 17.296875, 79.390625, 0.0, 1.199951171875, 29.59765625, 54.296875, 14.8, 0.0, 60.5, 59.296875, 39.5, 39.5, 0.0, 0.0, 199.0, 34.0, 0.0, 0.0, 113.0, "Tous les candidats sauf les Bac technologiques", 482.0, "Bacheliers technologiques toutes séries", 174, "", 0, "Liste d'appel propre à cette formation", 22.0, "7600", "BUT - Génie biologique parcours biologie médicale et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7600&g_ta_cod=7600", 65.0, 35.0, 0.0),
(2331, "Public", "0690038S", "Lycée La Martinière Duchère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "BTS", "Lycée La Martinière Duchère - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 70, 2006, 1017, 1803, 0, 160, 58, 529, 261, 282, 176, 832, 203, 0, 35, 71, 97, 748, 17, 0, 0, 123, 43, 325, 152, 158, 96, 142, 386, 67, 36, 54, 11, 3.0, 47.0, 55.0, 0, 26, 47, 1, 30, 16, 20, 0, 19, 27, 0, 1, 0.0, 1, 17, 10, 3, 1, 37, 37, 4.48, 70.15, 82.09, 53.6953125, 78.6875, 78.6875, 6.3994140625, 55.296875, 70.09375, 0.0, 40.3984375, 57.3984375, 0.0, 2.1, 0.0, 2.099609375, 2.099609375, 63.796875, 36.1953125, 34.0, 21.296875, 5.0, 4.0, 121.0, 76.0, 54.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 165, "Bacheliers technologiques toutes séries", 331, "Liste d'appel propre à cette formation", 29.0, "8221", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8221&g_ta_cod=8221", 7.0, 60.0, 33.0),
(2332, "Public", "0831616F", "Lycée Rouvière", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Rouvière - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 21, 280, 28, 280, 0, 29, 9, 66, 21, 84, 38, 101, 0, 0, 0, 0, 0, 219, 0, 0, 0, 26, 7, 61, 17, 64, 29, 68, 103, 20, 0, 20, 0, 4.0, 14.0, 18.0, 0, 5, 17, 1, 6, 10, 3, 0, 5, 7, 3, 2, 0.0, 0, 4, 8, 3, 0, 16, 16, 20.0, 70.0, 90.0, 0.0, 94.09375, 94.09375, 17.59765625, 29.3984375, 85.0, 0.0, 29.3984375, 41.1953125, 17.59765625, 11.8, 0.0, 5.8994140625, 0.0, 35.296875, 23.5, 58.796875, 47.09375, 12.0, 4.0, 44.0, 16.0, 11.0, "Tous les candidats sauf les Bac professionnels", 92.0, "Bacheliers professionnels toutes séries", 58, "", 0, "Liste d'appel propre à cette formation", 53.0, "10408", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10408&g_ta_cod=10408", 15.0, 35.0, 50.0),
(2333, "Public", "0750686N", "Lycée Estienne Esaig", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Estienne Esaig - DN MADE - Numérique - - Spécialité : Designer graphique numérique option motion", "DN MADE", "- Spécialité : Designer graphique numérique option motion", 8, 804, 431, 804, 0, 299, 56, 153, 30, 95, 24, 257, 0, 0, 0, 0, 0, 55, 0, 0, 0, 18, 2, 29, 4, 6, 0, 2, 32, 9, 4, 9, 0, 1.0, 9.0, 9.0, 0, 2, 8, 4, 2, 2, 1, 0, 0, 1, 4, 3, 0.0, 4, 2, 2, 0, 0, 0, 4, 11.11, 100.0, 100.0, 44.3984375, 0.0, 50.0, 0, 25.0, 88.890625, 0.0, 0.0, 12.5, 50.0, 37.5, 0.0, 50.0, 50.0, 25.0, 25.0, 25.0, 25.0, 8.0, 2.0, 4.0, 0.0, 2.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "21785", "DN MADE - Numérique - - Spécialité : Designer graphique numérique option motion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21785&g_ta_cod=21785", 44.0, 33.0, 22.0),
(2334, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation non sélective", "Licence", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Portail Physique-Chimie-Sciences de la Terre (PCST)", "Licence - Sciences - technologies - santé", "Portail Physique-Chimie-Sciences de la Terre (PCST)", 105, 1246, 715, 1235, 0, 742, 100, 25, 4, 1, 0, 467, 11, 2, 0, 0, 9, 1229, 11, 0, 0, 742, 100, 25, 4, 1, 0, 461, 964, 104, 49, 93, 7, 18.0, 35.0, 67.0, 0, 10, 62, 61, 1, 0, 42, 0, 19, 27, 12, 3, 1.0, 43, 0, 0, 0, 0, 36, 50, 17.31, 33.65, 64.42, 47.09375, 58.09375, 80.59375, 0, 16.09765625, 59.59375, 0.0, 30.59765625, 43.5, 19.3984375, 4.8, 1.6, 98.390625, 69.390625, 1.599853515625, 0.0, 0.0, 0.0, 608.0, 90.0, 0.0, 0.0, 355.0, "Tous les candidats", 1303.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 81.0, "10915", "Licence - Portail Physique-Chimie-Sciences de la Terre (PCST)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27921&g_ta_cod=10915", 96.0, 3.0, 1.0),
(2335, "Public", "0141796B", "Lycée Salvador Allende", "14", "Calvados", "Normandie", "Normandie", "Hérouville-Saint-Clair", "formation sélective", "BTS", "Lycée Salvador Allende - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1022, 474, 1022, 0, 104, 20, 469, 134, 236, 78, 213, 0, 0, 0, 0, 0, 626, 0, 0, 0, 70, 11, 319, 82, 152, 51, 85, 220, 33, 14, 33, 0, 3.0, 18.0, 23.0, 0, 14, 29, 2, 15, 12, 4, 0, 9, 14, 5, 1, 0.0, 2, 9, 9, 4, 1, 27, 27, 9.09, 54.55, 69.7, 42.3984375, 93.09375, 93.09375, 13.798828125, 48.296875, 87.890625, 0.0, 31.0, 48.296875, 17.19921875, 3.4, 0.0, 6.8994140625, 6.8994140625, 51.6953125, 31.0, 41.3984375, 31.0, 9.0, 6.0, 82.0, 28.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 112, "Bacheliers technologiques toutes séries", 140, "Liste d'appel propre à cette formation", 26.0, "2912", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2912&g_ta_cod=2912", 9.0, 52.0, 39.0),
(2336, "Public", "9840349G", "Université de la Polynésie française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation non sélective", "Licence", "Université de la Polynésie française - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LANGUES POLYNESIENNES", "Licence - Arts-lettres-langues", "LANGUES POLYNESIENNES", 140, 250, 179, 188, 0, 89, 55, 33, 19, 37, 26, 29, 62, 6, 7, 20, 29, 188, 53, 0, 0, 89, 55, 33, 19, 37, 26, 29, 239, 118, 78, 83, 35, 73.0, 83.0, 104.0, 0, 58, 86, 42, 11, 33, 32, 1, 47, 25, 12, 1, 0.0, 17, 3, 18, 0, 0, 86, 86, 61.86, 70.34, 88.14, 66.09375, 100.0, 100.0, 0, 67.390625, 72.890625, 1.199951171875, 54.6953125, 29.09765625, 14.0, 1.2, 0.0, 48.796875, 19.796875, 12.798828125, 3.5, 38.3984375, 20.8984375, 94.0, 58.0, 54.0, 40.0, 52.0, "Tous les candidats", 188.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12008", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LANGUES POLYNESIENNES", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12008&g_ta_cod=12008", 48.0, 10.0, 39.0),
(2337, "Public", "0782117C", "I.U.T. de Mantes en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Mantes-la-Jolie", "formation sélective", "BUT", "I.U.T. de Mantes en Yvelines - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière -  GPRH (Gestion et pilotage des ressources humaines)", "BUT - Service", "Gestion comptable, fiscale et financière -  GPRH (Gestion et pilotage des ressources humaines)", 56, 1392, 677, 812, 0, 356, 94, 272, 104, 17, 8, 167, 580, 149, 145, 20, 266, 339, 54, 0, 0, 145, 29, 154, 56, 4, 2, 36, 340, 57, 31, 40, 16, 6.0, 39.0, 48.0, 0, 12, 46, 17, 27, 2, 11, 0, 10, 28, 6, 2, 0.0, 11, 23, 2, 0, 0, 34, 40, 10.53, 68.42, 84.21, 54.3984375, 73.890625, 87.0, 0, 26.09765625, 80.6875, 0.0, 21.69921875, 60.8984375, 13.0, 4.3, 0.0, 37.0, 23.8984375, 58.6953125, 50.0, 4.2998046875, 4.2998046875, 139.0, 28.0, 5.0, 2.0, 40.0, "Tous les candidats sauf les Bac technologiques", 176.0, "Bacheliers technologiques toutes séries", 176, "", 0, "Liste d'appel propre à cette formation", 42.0, "10014", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière -  GPRH (Gestion et pilotage des ressources humaines)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10014&g_ta_cod=10014", 47.0, 49.0, 4.0),
(2338, "Privé sous contrat d'association", "0690539L", "Lycée Assomption Bellevue", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "CPGE", "Lycée Assomption Bellevue - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 1390, 972, 1390, 875, 1159, 87, 2, 0, 1, 0, 228, 0, 0, 0, 0, 0, 1053, 0, 875, 578, 939, 74, 0, 0, 0, 0, 114, 321, 47, 35, 47, 0, 0.0, 30.0, 43.0, 22, 1, 46, 46, 0, 0, 1, 0, 0, 0, 29, 17, 0.0, 46, 0, 0, 1, 1, 19, 19, 0.0, 63.83, 91.49, 74.5, 41.296875, 41.296875, 2.19970703125, 2.19970703125, 97.890625, 0.0, 0.0, 0.0, 63.0, 37.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 315.0, 20.0, 0.0, 0.0, 6.0, "Tous les candidats", 434.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "8296", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8296&g_ta_cod=8296", 100.0, 0.0, 0.0),
(2339, "Public", "0110669T", "Lycée agricole Charlemagne", "11", "Aude", "Occitanie", "Montpellier", "Carcassonne", "formation sélective", "BTS", "Lycée agricole Charlemagne - BTS - Agricole - Viticulture-Oenologie", "BTS - Agricole", "", 27, 205, 66, 194, 0, 46, 5, 63, 17, 35, 10, 50, 11, 2, 3, 0, 6, 179, 6, 0, 0, 46, 5, 60, 17, 35, 10, 38, 135, 22, 7, 20, 2, 8.0, 17.0, 21.0, 0, 5, 13, 5, 3, 5, 9, 0, 9, 2, 1, 1, 0.0, 2, 1, 1, 2, 0, 6, 6, 36.36, 77.27, 95.45, 31.796875, 46.1953125, 46.1953125, 15.3984375, 38.5, 59.09375, 0.0, 69.1875, 15.3984375, 7.69921875, 7.7, 0.0, 38.5, 15.3984375, 23.09765625, 7.69921875, 38.5, 7.69921875, 37.0, 5.0, 20.0, 5.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 89.0, "2464", "BTS - Agricole - Viticulture-Oenologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2464&g_ta_cod=2464", 41.0, 27.0, 32.0),
(2340, "Public", "0830025B", "Lycée Jean Aicard", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Hyères", "formation sélective", "BTS", "Lycée Jean Aicard - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 1225, 651, 986, 0, 136, 27, 262, 77, 276, 113, 312, 239, 33, 92, 0, 114, 326, 22, 0, 0, 49, 10, 111, 24, 134, 50, 32, 194, 28, 17, 20, 8, 3.0, 20.0, 24.0, 0, 4, 22, 3, 10, 9, 6, 0, 5, 9, 7, 1, 0.0, 3, 6, 8, 3, 2, 17, 17, 10.71, 71.43, 85.71, 60.6953125, 77.296875, 77.296875, 13.599609375, 18.19921875, 78.59375, 0.0, 22.69921875, 40.8984375, 31.796875, 4.5, 0.0, 13.599609375, 13.599609375, 45.5, 27.296875, 40.8984375, 36.3984375, 34.0, 2.0, 40.0, 11.0, 30.0, "Tous les candidats sauf les Bac professionnels", 182.0, "Bacheliers professionnels toutes séries", 59, "", 0, "Liste d'appel propre à cette formation", 24.0, "10332", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10332&g_ta_cod=10332", 14.0, 43.0, 43.0),
(2341, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation non sélective", "PASS", "Université Claude Bernard Lyon 1 - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "proposée par l'Université Lyon 2", 35, 6908, 5357, 6908, 0, 5420, 938, 212, 88, 37, 17, 1239, 0, 0, 0, 0, 0, 6846, 0, 0, 0, 5420, 938, 212, 88, 37, 17, 1177, 202, 34, 28, 34, 0, 3.0, 28.0, 33.0, 0, 7, 31, 31, 0, 0, 3, 0, 0, 0, 6, 20, 5.0, 31, 0, 0, 0, 0, 14, 14, 8.82, 82.35, 97.06, 82.390625, 45.1953125, 45.1953125, 0, 22.59765625, 91.1875, 0.0, 0.0, 0.0, 19.3984375, 64.5, 16.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 169.0, 39.0, 0.0, 0.0, 33.0, "Tous les candidats", 896.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 6.0, "28181", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28157&g_ta_cod=28181", 100.0, 0.0, 0.0),
(2342, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence_Las", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Portail Licence Sciences de la Vie et de la Terre / Licence Sciences de la Terre / Licence Sciences de la Vie", "Licence - Sciences - technologies - santé", "Licence Sciences de la Vie et de la Terre / Licence Sciences de la Terre / Licence Sciences de la Vie", 72, 1779, 1234, 1779, 0, 1128, 188, 78, 17, 6, 0, 567, 0, 0, 0, 0, 0, 1768, 0, 0, 0, 1128, 188, 78, 17, 6, 0, 556, 516, 67, 46, 67, 0, 0.0, 26.0, 48.0, 0, 19, 60, 59, 1, 0, 7, 1, 12, 24, 18, 5, 0.0, 47, 0, 0, 0, 0, 59, 59, 0.0, 38.81, 71.64, 68.6875, 98.296875, 98.296875, 0, 31.69921875, 89.59375, 1.699951171875, 20.0, 40.0, 30.0, 8.3, 0.0, 98.296875, 78.296875, 1.699951171875, 0.0, 0.0, 0.0, 282.0, 58.0, 0.0, 0.0, 230.0, "Tous les candidats", 1306.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 48.0, "26799", "Licence - Portail Licence Sciences de la Vie et de la Terre / Licence Sciences de la Terre / Licence Sciences de la Vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26798&g_ta_cod=26799", 99.0, 1.0, 0.0),
(2343, "Public", "0593052X", "I.U.T. de Valenciennes", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BUT", "I.U.T. de Valenciennes - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entreprenariat - Business international: achat et vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entreprenariat - Business international: achat et vente - Business développement et management de la relation client - Stratégie de marque et événementiel", 162, 1924, 881, 1867, 0, 858, 153, 597, 219, 33, 9, 379, 57, 0, 34, 0, 23, 1095, 11, 0, 0, 598, 99, 342, 119, 6, 2, 149, 725, 167, 89, 163, 4, 79.0, 146.0, 160.0, 0, 48, 141, 70, 69, 2, 26, 1, 21, 79, 34, 6, 0.0, 61, 56, 2, 0, 0, 114, 114, 47.31, 87.43, 95.81, 53.296875, 80.890625, 80.890625, 0, 34.0, 84.390625, 0.699951171875, 14.8984375, 56.0, 24.09765625, 4.3, 0.0, 49.59375, 43.296875, 48.8984375, 39.6953125, 1.39990234375, 1.39990234375, 352.0, 85.0, 4.0, 2.0, 79.0, "Tous les candidats sauf les Bac technologiques", 537.0, "Bacheliers technologiques toutes séries", 365, "", 0, "Liste d'appel propre à cette formation", 48.0, "6963", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entreprenariat - Business international: achat et vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6963&g_ta_cod=6963", 52.0, 47.0, 1.0),
(2344, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "PASS", "Université de Franche-Comté - Site de Besançon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 96, 5022, 3599, 5022, 0, 4251, 594, 75, 21, 5, 4, 691, 0, 0, 0, 0, 0, 5023, 0, 0, 0, 4252, 595, 75, 21, 5, 4, 691, 501, 95, 73, 95, 0, 10.0, 76.0, 92.0, 0, 16, 95, 95, 0, 0, 0, 2, 0, 17, 42, 32, 2.0, 93, 0, 0, 0, 0, 67, 67, 10.53, 80.0, 96.84, 76.796875, 70.5, 70.5, 0, 16.796875, 100.0, 2.099609375, 0.0, 17.8984375, 44.1953125, 33.7, 2.1, 100.0, 97.890625, 0.0, 0.0, 0.0, 0.0, 501.0, 65.0, 0.0, 0.0, 0.0, "Tous les candidats", 3148.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 51.0, "27352", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27350&g_ta_cod=27352", 100.0, 0.0, 0.0),
(2345, "Public", "0090015T", "Lycée polyvalent Pyrène", "09", "Ardennes", "Occitanie", "Toulouse", "Pamiers", "formation sélective", "BTS", "Lycée polyvalent Pyrène - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 705, 345, 624, 0, 51, 15, 167, 51, 135, 54, 271, 81, 0, 10, 46, 25, 235, 10, 0, 0, 50, 15, 77, 20, 70, 29, 38, 124, 31, 17, 25, 5, 8.0, 23.0, 27.0, 0, 13, 28, 3, 16, 9, 3, 0, 8, 19, 1, 0, 0.0, 3, 10, 7, 11, 6, 26, 26, 25.81, 74.19, 87.1, 54.796875, 92.890625, 92.890625, 39.296875, 46.3984375, 90.296875, 0.0, 28.59765625, 67.890625, 3.599609375, 0.0, 0.0, 10.69921875, 10.69921875, 57.09375, 35.6953125, 32.09375, 25.0, 12.0, 4.0, 55.0, 22.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 26.0, "2392", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2392&g_ta_cod=2392", 10.0, 52.0, 39.0),
(2346, "Public", "0130058T", "Lycée professionnel Estaque (L')", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 16e  Arrondissement", "formation sélective", "BTS", "Lycée professionnel Estaque (L') - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 12, 262, 100, 262, 0, 51, 12, 26, 11, 146, 54, 39, 0, 0, 0, 0, 0, 106, 0, 0, 0, 6, 2, 3, 0, 91, 34, 6, 40, 8, 1, 8, 0, 4.0, 7.0, 7.0, 0, 4, 8, 0, 0, 8, 0, 0, 0, 2, 3, 3, 0.0, 0, 0, 8, 6, 0, 8, 8, 50.0, 87.5, 87.5, 12.5, 100.0, 100.0, 75, 50.0, 100.0, 0.0, 0.0, 25.0, 37.5, 37.5, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 6.0, 2.0, 26.0, 7.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers technologiques toutes séries", 3, "Bacheliers professionnels toutes séries", 38, "Liste d'appel propre à cette formation", 19.0, "30022", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30022&g_ta_cod=30022", 0.0, 0.0, 100.0),
(2347, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Portail STAPS", "Licence - Sciences - technologies - santé", "STAPS - Clermont-Ferrand", 315, 3055, 971, 3055, 0, 2130, 325, 322, 64, 70, 24, 533, 0, 0, 0, 0, 0, 3053, 0, 0, 0, 2130, 325, 322, 64, 70, 24, 531, 857, 314, 95, 314, 0, 119.0, 253.0, 283.0, 0, 52, 290, 251, 28, 11, 24, 2, 121, 126, 38, 3, 0.0, 146, 14, 7, 0, 0, 266, 266, 37.9, 80.57, 90.13, 30.296875, 91.6875, 91.6875, 0, 17.8984375, 92.390625, 0.699951171875, 41.6953125, 43.3984375, 13.099609375, 1.0, 0.0, 86.59375, 50.296875, 9.69921875, 4.7998046875, 3.7998046875, 2.39990234375, 633.0, 102.0, 19.0, 6.0, 142.0, "Tous les candidats", 935.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "23303", "Licence - Portail STAPS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7666&g_ta_cod=23303", 86.0, 10.0, 4.0),
(2348, "Public", "0731487V", "IUT de CHAMBERY", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation sélective", "BUT", "IUT de CHAMBERY - BUT - Métiers du multimédia et de l'internet Parcours : Création numérique- Développement web et dispositifs interactifs", "BUT - Production", "Création numérique- Développement web et dispositifs interactifs", 52, 1287, 316, 1287, 0, 681, 94, 362, 73, 16, 3, 228, 0, 0, 0, 0, 0, 619, 0, 0, 0, 349, 35, 161, 29, 0, 0, 109, 215, 56, 16, 56, 0, 14.0, 42.0, 53.0, 0, 9, 49, 28, 21, 0, 7, 1, 1, 33, 9, 5, 0.0, 26, 21, 0, 0, 0, 35, 35, 25.0, 75.0, 94.64, 28.59765625, 71.390625, 71.390625, 0, 18.3984375, 87.5, 2.0, 2.0, 67.296875, 18.3984375, 10.2, 0.0, 57.09375, 53.09375, 42.8984375, 42.8984375, 0.0, 0.0, 90.0, 16.0, 0.0, 0.0, 35.0, "Tous les candidats sauf les Bac technologiques", 171.0, "Bacheliers technologiques toutes séries", 171, "", 0, "Liste d'appel propre à cette formation", 27.0, "8840", "BUT - Métiers du multimédia et de l'internet Parcours : Création numérique- Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8840&g_ta_cod=8840", 57.0, 43.0, 0.0),
(2349, "Public", "0130143K", "Lycée Paul Langevin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Martigues", "formation sélective", "BTS", "Lycée Paul Langevin - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 234, 172, 214, 0, 15, 3, 76, 36, 82, 46, 41, 20, 2, 0, 0, 18, 125, 5, 0, 0, 14, 2, 45, 16, 52, 31, 14, 73, 24, 22, 24, 0, 8.0, 21.0, 23.0, 0, 10, 23, 1, 11, 11, 1, 0, 12, 6, 5, 0, 0.0, 0, 5, 6, 15, 15, 23, 23, 33.33, 87.5, 95.83, 91.6875, 100.0, 100.0, 65.1875, 43.5, 95.796875, 0.0, 52.1953125, 26.09765625, 21.69921875, 0.0, 0.0, 4.2998046875, 0.0, 47.796875, 21.69921875, 47.796875, 26.09765625, 11.0, 2.0, 29.0, 14.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 44.0, "2615", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2615&g_ta_cod=2615", 8.0, 46.0, 46.0),
(2350, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Portail Mathématiques - Parcours Mathématiques", "Licence - Sciences - technologies - santé", "", 58, 1591, 546, 1591, 0, 1226, 273, 27, 10, 3, 3, 335, 0, 0, 0, 0, 0, 1591, 0, 0, 0, 1226, 273, 27, 10, 3, 3, 335, 693, 58, 20, 56, 0, 0.0, 17.0, 42.0, 0, 10, 36, 35, 1, 0, 22, 0, 14, 16, 4, 2, 0.0, 21, 1, 0, 0, 0, 17, 35, 0.0, 29.31, 72.41, 34.5, 47.1953125, 97.1875, 0, 27.796875, 62.09375, 0.0, 38.8984375, 44.3984375, 11.099609375, 5.6, 0.0, 97.1875, 58.296875, 2.7998046875, 2.7998046875, 0.0, 0.0, 539.0, 132.0, 0.0, 0.0, 151.0, "Tous les candidats", 1396.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 75.0, "23856", "Licence - Portail Mathématiques - Parcours Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32712&g_ta_cod=23856", 91.0, 2.0, 2.0),
(2351, "Public", "0130236L", "Ecole Nationale Supérieure d'Architecture de Marseille", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Marseille - Architecture", "Formations Bac + 5", "", 160, 2716, 1577, 2716, 0, 1567, 311, 258, 94, 70, 35, 821, 0, 0, 0, 0, 0, 750, 0, 0, 0, 489, 62, 53, 12, 19, 7, 189, 423, 160, 115, 160, 0, 48.0, 140.0, 151.0, 0, 25, 111, 90, 13, 8, 49, 0, 2, 13, 67, 29, 0.0, 89, 12, 8, 0, 0, 32, 32, 30.0, 87.5, 94.38, 71.890625, 28.796875, 28.796875, 0, 22.5, 69.390625, 0.0, 1.7998046875, 11.69921875, 60.3984375, 26.1, 0.0, 81.09375, 80.1875, 11.69921875, 10.798828125, 7.19921875, 7.19921875, 275.0, 42.0, 11.0, 6.0, 108.0, "Tous les candidats", 475.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "2623", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2623&g_ta_cod=2623", 84.0, 11.0, 6.0),
(2352, "Public", "0301687W", "Université de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "Licence", "Université de Nîmes - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Anglais", "Licence - Arts-lettres-langues", "Anglais", 500, 1234, 857, 961, 0, 621, 208, 65, 30, 68, 41, 207, 273, 40, 18, 25, 190, 961, 254, 0, 0, 621, 208, 65, 30, 68, 41, 207, 1176, 180, 111, 104, 76, 45.0, 103.0, 150.0, 0, 44, 99, 58, 21, 20, 81, 0, 42, 38, 14, 5, 0.0, 41, 3, 13, 0, 0, 57, 57, 25.0, 57.22, 83.33, 61.6953125, 57.59375, 57.59375, 0, 44.3984375, 55.0, 0.0, 42.3984375, 38.3984375, 14.099609375, 5.1, 0.0, 58.59375, 41.3984375, 21.19921875, 3.0, 20.19921875, 13.099609375, 650.0, 223.0, 85.0, 56.0, 370.0, "Tous les candidats", 961.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4016", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4016&g_ta_cod=4016", 59.0, 18.0, 22.0),
(2353, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Physique", "Licence - Sciences - technologies - santé", "", 40, 286, 90, 248, 0, 176, 63, 18, 11, 2, 2, 52, 38, 5, 1, 2, 30, 248, 37, 0, 0, 176, 63, 18, 11, 2, 2, 52, 234, 32, 8, 17, 15, 1.0, 17.0, 25.0, 0, 7, 17, 13, 2, 2, 15, 0, 7, 7, 2, 1, 0.0, 8, 2, 0, 0, 0, 15, 15, 3.13, 53.13, 78.13, 25.0, 88.1875, 88.1875, 0, 41.1953125, 53.09375, 0.0, 41.1953125, 41.1953125, 11.798828125, 5.9, 0.0, 76.5, 47.09375, 11.798828125, 11.798828125, 11.798828125, 0.0, 147.0, 54.0, 4.0, 3.0, 74.0, "Tous les candidats", 248.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26388", "Licence - Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26388&g_ta_cod=26388", 75.0, 9.0, 16.0),
(2354, "Public", "0681809X", "Lycée Ettore Bugatti", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Illzach", "formation sélective", "BTS", "Lycée Ettore Bugatti - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 35, 247, 8, 247, 0, 18, 8, 45, 12, 115, 42, 69, 0, 0, 0, 0, 0, 246, 0, 0, 0, 18, 8, 45, 12, 115, 42, 68, 119, 37, 0, 37, 0, 9.0, 25.0, 29.0, 0, 13, 29, 2, 8, 19, 8, 0, 12, 5, 6, 6, 0.0, 0, 1, 16, 13, 0, 23, 23, 24.32, 67.57, 78.38, 0.0, 79.296875, 79.296875, 44.796875, 44.796875, 78.390625, 0.0, 41.3984375, 17.19921875, 20.69921875, 20.7, 0.0, 6.8994140625, 0.0, 27.59765625, 3.39990234375, 65.5, 55.1953125, 16.0, 8.0, 47.0, 17.0, 25.0, "Tous les candidats sauf les Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 51, "", 0, "Liste d'appel propre à cette formation", 53.0, "8169", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8169&g_ta_cod=8169", 22.0, 24.0, 54.0),
(2355, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence_Las", "Université de Lorraine - Site de Metz - Licence - Portail Licence 1ère année Portail Mathématiques - Informatique", "Licence - Sciences - technologies - santé", "Licence 1ère année Portail Mathématiques - Informatique", 18, 317, 127, 295, 0, 170, 45, 7, 3, 5, 3, 113, 22, 8, 0, 0, 14, 278, 16, 0, 0, 170, 45, 7, 3, 5, 3, 96, 153, 14, 7, 11, 3, 0.0, 8.0, 12.0, 0, 3, 9, 9, 0, 0, 5, 0, 4, 2, 2, 1, 0.0, 5, 0, 0, 0, 0, 5, 5, 0.0, 57.14, 85.71, 50.0, 55.59375, 55.59375, 0, 33.296875, 64.296875, 0.0, 44.3984375, 22.19921875, 22.19921875, 11.1, 0.0, 100.0, 55.59375, 0.0, 0.0, 0.0, 0.0, 87.0, 27.0, 1.0, 0.0, 60.0, "Tous les candidats", 981.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 93.0, "26945", "Licence - Portail Licence 1ère année Portail Mathématiques - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26944&g_ta_cod=26945", 86.0, 0.0, 7.0),
(2356, "Public", "0790768F", "Lycée Enseignement Général Technologique Agricole Jacques Bujault", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Melle", "formation sélective", "BTS", "Lycée Enseignement Général Technologique Agricole Jacques Bujault - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 32, 622, 244, 621, 0, 174, 19, 111, 22, 142, 36, 194, 1, 0, 0, 0, 1, 328, 0, 0, 0, 103, 10, 61, 12, 106, 28, 58, 134, 30, 7, 30, 0, 7.0, 25.0, 27.0, 0, 3, 21, 9, 5, 7, 9, 0, 7, 11, 3, 0, 0.0, 3, 5, 6, 1, 0, 13, 13, 23.33, 83.33, 90.0, 23.296875, 61.8984375, 61.8984375, 4.7998046875, 14.298828125, 70.0, 0.0, 33.296875, 52.3984375, 14.298828125, 0.0, 0.0, 42.8984375, 14.298828125, 23.796875, 23.796875, 33.296875, 28.59765625, 46.0, 6.0, 37.0, 8.0, 27.0, "Tous les candidats sauf les Bac professionnels", 147.0, "Bacheliers professionnels toutes séries", 74, "", 0, "Liste d'appel propre à cette formation", 36.0, "10126", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10126&g_ta_cod=10126", 47.0, 20.0, 33.0),
(2357, "Public", "0920956P", "I.U.T de Ville d'Avray", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Ville-d'Avray", "formation sélective", "BUT", "I.U.T de Ville d'Avray - BUT - Génie mécanique et productique Parcours : Simulation numérique et réalité virtuelle-Innovation pour l?industrie", "BUT - Production", "Simulation numérique et réalité virtuelle-Innovation pour l?industrie", 80, 1816, 143, 1816, 0, 854, 132, 571, 144, 11, 1, 380, 0, 0, 0, 0, 0, 1206, 0, 0, 0, 605, 74, 360, 75, 8, 0, 233, 442, 88, 5, 88, 0, 7.0, 56.0, 77.0, 0, 8, 76, 32, 44, 0, 12, 0, 5, 55, 15, 1, 0.0, 27, 44, 0, 0, 0, 58, 71, 7.95, 63.64, 87.5, 5.69921875, 76.296875, 93.390625, 0, 10.5, 86.390625, 0.0, 6.599609375, 72.390625, 19.69921875, 1.3, 0.0, 42.09375, 35.5, 57.8984375, 57.8984375, 0.0, 0.0, 161.0, 37.0, 2.0, 0.0, 99.0, "Tous les candidats sauf les Bac technologiques", 443.0, "Bacheliers technologiques toutes séries", 284, "", 0, "Liste d'appel propre à cette formation", 40.0, "11059", "BUT - Génie mécanique et productique Parcours : Simulation numérique et réalité virtuelle-Innovation pour l?industrie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11059&g_ta_cod=11059", 48.0, 52.0, 0.0),
(2358, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "PASS", "Université des Antilles - Pôle Martinique - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 21, 162, 106, 119, 0, 74, 23, 12, 4, 6, 5, 27, 43, 19, 2, 0, 22, 119, 43, 0, 0, 74, 23, 12, 4, 6, 5, 27, 135, 19, 14, 11, 8, 1.0, 11.0, 19.0, 0, 4, 12, 8, 4, 0, 7, 0, 6, 4, 1, 1, 0.0, 4, 2, 0, 0, 0, 9, 9, 5.26, 57.89, 100.0, 73.6875, 75.0, 75.0, 0, 33.296875, 63.1953125, 0.0, 50.0, 33.296875, 8.298828125, 8.3, 0.0, 66.6875, 33.296875, 33.296875, 16.69921875, 0.0, 0.0, 81.0, 23.0, 3.0, 2.0, 41.0, "Tous les candidats", 1016.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "26829", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26824&g_ta_cod=26829", 63.0, 37.0, 0.0),
(2359, "Public", "0590221V", "Lycée Henri Wallon", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée Henri Wallon - BTS - Services - Support à l'action managériale", "BTS - Services", "", 59, 401, 278, 393, 0, 30, 10, 97, 47, 128, 73, 138, 8, 0, 0, 7, 1, 325, 3, 0, 0, 30, 10, 95, 45, 90, 49, 110, 150, 55, 43, 53, 2, 18.0, 51.0, 52.0, 0, 20, 46, 1, 16, 29, 9, 0, 20, 17, 7, 2, 0.0, 1, 5, 20, 6, 6, 45, 45, 32.73, 92.73, 94.55, 78.1875, 97.796875, 97.796875, 13, 43.5, 83.59375, 0.0, 43.5, 37.0, 15.19921875, 4.3, 0.0, 2.19970703125, 2.19970703125, 34.796875, 10.8984375, 63.0, 43.5, 8.0, 3.0, 80.0, 43.0, 19.0, "Tous les candidats sauf les Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 100, "", 0, "Liste d'appel propre à cette formation", 44.0, "6844", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6844&g_ta_cod=6844", 4.0, 35.0, 62.0),
(2360, "Public", "9760316P", "Lycée Tani Malandi de Chirongui", "976", "Mayotte", "Mayotte", "Mayotte", "Chirongui", "formation sélective", "BTS", "Lycée Tani Malandi de Chirongui - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 32, 828, 474, 754, 0, 108, 70, 256, 148, 143, 69, 247, 74, 1, 0, 33, 40, 88, 1, 0, 0, 27, 19, 37, 30, 20, 7, 4, 65, 32, 18, 27, 1, 12.0, 27.0, 28.0, 0, 16, 29, 8, 13, 8, 3, 0, 13, 12, 3, 1, 0.0, 3, 7, 6, 3, 2, 29, 29, 37.5, 84.38, 87.5, 56.296875, 100.0, 100.0, 10.298828125, 55.1953125, 90.59375, 0.0, 44.796875, 41.3984375, 10.298828125, 3.4, 0.0, 27.59765625, 10.298828125, 44.796875, 24.09765625, 27.59765625, 20.69921875, 16.0, 9.0, 21.0, 8.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers technologiques toutes séries", 29, "Bacheliers professionnels toutes séries", 21, "Liste d'appel propre à cette formation", 9.0, "30950", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30950&g_ta_cod=30950", 28.0, 47.0, 25.0),
(2361, "Privé enseignement supérieur", "0561895F", "ICAM Bretagne", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "Ecole d'Ingénieur", "GROUPE ICAM - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "", 50, 739, 83, 739, 0, 588, 22, 70, 3, 0, 0, 81, 0, 0, 0, 0, 0, 482, 0, 0, 0, 405, 8, 43, 0, 0, 0, 34, 351, 55, 4, 55, 0, 40.0, 54.0, 54.0, 0, 1, 50, 41, 9, 0, 5, 0, 1, 30, 18, 0, 1.0, 40, 9, 0, 0, 0, 39, 39, 72.73, 98.18, 98.18, 7.2998046875, 78.0, 78.0, 0, 2.0, 90.890625, 0.0, 2.0, 60.0, 36.0, 0.0, 2.0, 82.0, 80.0, 18.0, 18.0, 0.0, 0.0, 291.0, 8.0, 0.0, 0.0, 29.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "24664", "Formation d'ingénieur Bac + 5", "GROUPE ICAM", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24652&g_ta_cod=24664", 84.0, 16.0, 0.0),
(2362, "Public", "0131549N", "Lycée Frederic Joliot-Curie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aubagne", "formation sélective", "BTS", "Lycée Frederic Joliot-Curie - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 40, 747, 373, 736, 0, 93, 31, 267, 110, 186, 97, 190, 11, 0, 3, 0, 8, 325, 1, 0, 0, 66, 22, 97, 31, 101, 55, 61, 172, 30, 12, 29, 1, 5.0, 20.0, 29.0, 0, 9, 22, 6, 4, 12, 8, 0, 6, 11, 4, 1, 0.0, 2, 4, 10, 6, 0, 18, 18, 16.67, 66.67, 96.67, 40.0, 81.796875, 81.796875, 27.296875, 40.8984375, 73.296875, 0.0, 27.296875, 50.0, 18.19921875, 4.5, 0.0, 27.296875, 9.099609375, 18.19921875, 18.19921875, 54.5, 45.5, 30.0, 5.0, 76.0, 39.0, 30.0, "Tous les candidats sauf les Bac professionnels", 180.0, "Bacheliers professionnels toutes séries", 100, "", 0, "Liste d'appel propre à cette formation", 38.0, "2652", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2652&g_ta_cod=2652", 33.0, 17.0, 50.0),
(2363, "Public", "0190010H", "Lycée Georges Cabanis", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BTS", "Lycée Georges Cabanis - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 14, 129, 25, 127, 0, 8, 0, 52, 14, 41, 10, 26, 2, 0, 0, 2, 0, 117, 2, 0, 0, 8, 0, 50, 13, 38, 10, 21, 64, 9, 0, 9, 0, 0.0, 8.0, 9.0, 0, 2, 7, 0, 4, 3, 2, 0, 3, 3, 1, 0, 0.0, 0, 2, 2, 2, 0, 6, 6, 0.0, 88.89, 100.0, 0.0, 85.6875, 85.6875, 28.59765625, 28.59765625, 77.796875, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 0.0, 0.0, 57.09375, 28.59765625, 42.8984375, 28.59765625, 4.0, 0.0, 28.0, 9.0, 10.0, "Tous les candidats sauf les Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 66.0, "3136", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3136&g_ta_cod=3136", 0.0, 67.0, 33.0),
(2364, "Public", "0781578S", "Lycée Hotellerie Et Tourisme", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation sélective", "BTS", "Lycée Hotellerie Et Tourisme - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 70, 255, 121, 254, 0, 0, 0, 91, 14, 103, 30, 60, 1, 0, 0, 1, 0, 252, 0, 0, 0, 0, 0, 91, 14, 103, 30, 58, 206, 56, 27, 56, 0, 23.0, 50.0, 55.0, 0, 9, 51, 0, 27, 24, 5, 0, 17, 14, 18, 2, 0.0, 0, 16, 18, 32, 16, 49, 49, 41.07, 89.29, 98.21, 48.1953125, 96.09375, 96.09375, 62.6953125, 17.59765625, 91.09375, 0.0, 33.296875, 27.5, 35.296875, 3.9, 0.0, 0.0, 0.0, 52.8984375, 31.3984375, 47.09375, 35.296875, 0.0, 0.0, 86.0, 21.0, 46.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 109, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 93.0, "9972", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9972&g_ta_cod=9972", 4.0, 54.0, 43.0),
(2365, "Public", "0620056Z", "Lycée Carnot", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Bruay-la-Buissière", "formation sélective", "BTS", "Lycée Carnot - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 15, 178, 43, 167, 0, 11, 3, 52, 17, 14, 5, 90, 11, 0, 5, 2, 4, 75, 4, 0, 0, 11, 3, 41, 13, 13, 5, 10, 49, 8, 1, 7, 1, 4.0, 6.0, 6.0, 0, 5, 7, 1, 5, 1, 1, 0, 3, 3, 1, 0, 0.0, 0, 3, 1, 5, 1, 7, 7, 50.0, 75.0, 75.0, 12.5, 100.0, 100.0, 71.390625, 71.390625, 87.5, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 71.390625, 42.8984375, 14.298828125, 14.298828125, 8.0, 2.0, 11.0, 6.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 31.0, "7354", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7354&g_ta_cod=7354", 25.0, 63.0, 13.0),
(2366, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Philosophie.", "Licence - Sciences humaines et sociales", "Philosophie.", 120, 831, 514, 769, 0, 465, 88, 40, 15, 14, 4, 250, 62, 7, 10, 2, 43, 769, 57, 0, 0, 465, 88, 40, 15, 14, 4, 250, 638, 110, 57, 90, 20, 12.0, 90.0, 97.0, 0, 14, 51, 42, 6, 3, 59, 1, 14, 23, 8, 4, 1.0, 30, 4, 2, 0, 0, 25, 25, 10.91, 81.82, 88.18, 51.796875, 49.0, 49.0, 0, 27.5, 46.3984375, 2.0, 27.5, 45.09375, 15.69921875, 7.8, 2.0, 82.390625, 58.796875, 11.798828125, 7.7998046875, 5.8994140625, 3.89990234375, 340.0, 61.0, 13.0, 6.0, 247.0, "Tous les candidats", 768.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8536", "Licence - Portail Philosophie.", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8536&g_ta_cod=8536", 80.0, 14.0, 4.0),
(2367, "Public", "0333358W", "I.U.T. de Bordeaux - Site Bordeaux-Bastide", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BUT", "I.U.T. de Bordeaux - Site Bordeaux-Bastide - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d?activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d?activités - Contrôle de gestion et pilotage de la performance", 114, 5154, 2521, 5154, 0, 2857, 408, 1470, 391, 46, 15, 781, 0, 0, 0, 0, 0, 1299, 0, 0, 0, 565, 80, 673, 190, 0, 0, 61, 319, 112, 59, 112, 0, 38.0, 103.0, 109.0, 0, 27, 105, 49, 56, 0, 7, 1, 2, 52, 47, 3, 0.0, 48, 54, 0, 0, 0, 95, 95, 33.93, 91.96, 97.32, 52.6953125, 90.5, 90.5, 0, 25.69921875, 93.796875, 1.0, 1.89990234375, 49.5, 44.796875, 2.9, 0.0, 46.6953125, 45.6953125, 53.296875, 51.3984375, 0.0, 0.0, 146.0, 25.0, 0.0, 0.0, 18.0, "Tous les candidats sauf les Bac technologiques", 247.0, "Bacheliers technologiques toutes séries", 243, "", 0, "Liste d'appel propre à cette formation", 10.0, "4463", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d?activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4463&g_ta_cod=4463", 48.0, 52.0, 0.0),
(2368, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Licence", "Université de Nantes - Licence - Economie et gestion - Parcours International", "Licence - Droit-économie-gestion", "International", 42, 1741, 922, 1741, 0, 1358, 137, 55, 22, 8, 2, 320, 0, 0, 0, 0, 0, 740, 0, 0, 0, 624, 43, 20, 8, 4, 0, 92, 238, 42, 22, 42, 0, 4.0, 36.0, 39.0, 0, 3, 38, 38, 0, 0, 4, 0, 0, 4, 21, 12, 1.0, 38, 0, 0, 0, 0, 26, 26, 9.52, 85.71, 92.86, 52.3984375, 68.390625, 68.390625, 0, 7.8994140625, 90.5, 0.0, 0.0, 10.5, 55.296875, 31.6, 2.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 223.0, 26.0, 0.0, 0.0, 15.0, "Tous les candidats", 373.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "18032", "Licence - Economie et gestion - Parcours International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18032&g_ta_cod=18032", 100.0, 0.0, 0.0),
(2369, "Privé sous contrat d'association", "0382170C", "Lycée polyvalent SCHNEIDER ELECTRIC", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "BTS", "Lycée polyvalent SCHNEIDER ELECTRIC - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants (Seconde année en apprentissage)", "BTS - Production", "", 24, 149, 1, 134, 0, 7, 0, 44, 7, 60, 19, 23, 15, 1, 1, 10, 3, 47, 3, 0, 0, 0, 0, 21, 4, 20, 6, 6, 46, 18, 0, 17, 1, 11.0, 17.0, 18.0, 0, 3, 15, 0, 8, 7, 3, 0, 2, 11, 2, 0, 0.0, 0, 6, 7, 0, 0, 14, 14, 61.11, 94.44, 100.0, 0.0, 93.296875, 93.296875, 0, 20.0, 83.296875, 0.0, 13.298828125, 73.296875, 13.298828125, 0.0, 0.0, 0.0, 0.0, 53.296875, 40.0, 46.6953125, 46.6953125, 1.0, 0.0, 18.0, 6.0, 7.0, "Tous les candidats sauf les Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 34.0, "16758", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16758&g_ta_cod=16758", 11.0, 50.0, 39.0),
(2370, "Public", "0180035R", "Lycée Edouard Vaillant", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Vierzon", "formation sélective", "BTS", "Lycée Edouard Vaillant - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 188, 89, 174, 0, 24, 7, 46, 15, 47, 24, 57, 14, 0, 8, 0, 6, 173, 2, 0, 0, 23, 7, 46, 15, 47, 24, 57, 75, 13, 4, 9, 2, 1.0, 9.0, 10.0, 0, 4, 10, 3, 4, 3, 3, 0, 4, 6, 0, 0, 0.0, 0, 3, 3, 7, 2, 8, 8, 7.69, 69.23, 76.92, 30.796875, 80.0, 80.0, 70, 40.0, 76.890625, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 30.0, 0.0, 40.0, 30.0, 30.0, 30.0, 12.0, 5.0, 18.0, 8.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 61.0, "3106", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3106&g_ta_cod=3106", 23.0, 54.0, 23.0),
(2371, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation non sélective", "PASS", "Université Sorbonne Paris Nord - Antenne de Bobigny - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 15, 7370, 4812, 7370, 0, 5722, 1340, 163, 83, 36, 26, 1449, 0, 0, 0, 0, 0, 7368, 0, 0, 0, 5722, 1340, 163, 83, 36, 26, 1447, 255, 14, 6, 14, 0, 0.0, 4.0, 11.0, 0, 7, 14, 14, 0, 0, 0, 0, 0, 1, 7, 4, 2.0, 14, 0, 0, 0, 0, 10, 13, 0.0, 28.57, 78.57, 42.8984375, 71.390625, 92.890625, 0, 50.0, 100.0, 0.0, 0.0, 7.099609375, 50.0, 28.6, 14.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 239.0, 60.0, 0.0, 0.0, 16.0, "Tous les candidats", 1851.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "28687", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28682&g_ta_cod=28687", 100.0, 0.0, 0.0),
(2372, "Public", "0382895R", "Lycée Philibert Delorme", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "L'Isle-d'Abeau", "formation sélective", "BTS", "Lycée Philibert Delorme - BTS - Production - Bioqualité", "BTS - Production", "", 15, 285, 187, 276, 0, 30, 7, 105, 25, 29, 8, 112, 9, 1, 3, 0, 5, 193, 7, 0, 0, 29, 7, 103, 24, 23, 5, 38, 134, 11, 7, 9, 2, 1.0, 4.0, 8.0, 0, 4, 11, 0, 10, 1, 0, 1, 8, 2, 0, 0, 0.0, 0, 2, 0, 1, 0, 4, 4, 9.09, 36.36, 72.73, 63.59375, 36.3984375, 36.3984375, 9.099609375, 36.3984375, 100.0, 9.099609375, 72.6875, 18.19921875, 0.0, 0.0, 0.0, 0.0, 0.0, 90.890625, 18.19921875, 9.099609375, 0.0, 17.0, 3.0, 16.0, 4.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 117, "Liste d'appel propre à cette formation", 66.0, "5124", "BTS - Production - Bioqualité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5124&g_ta_cod=5124", 0.0, 91.0, 9.0),
(2373, "Public", "0952259P", "CY Cergy Paris Université", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "CY Cergy Paris Université - Formation Supérieure de Spécialisation - Sécurité privée : Management de Proximité", "Diplôme d'Université", "Sécurité privée : Management de Proximité", 24, 78, 22, 23, 0, 5, 1, 5, 3, 5, 1, 8, 55, 10, 7, 7, 31, 23, 36, 0, 0, 5, 1, 5, 3, 5, 1, 8, 59, 22, 7, 8, 14, 8.0, 8.0, 15.0, 0, 4, 12, 4, 5, 3, 10, 0, 10, 2, 0, 0, 0.0, 0, 2, 0, 0, 0, 8, 8, 36.36, 36.36, 68.18, 31.796875, 66.6875, 66.6875, 0, 33.296875, 54.5, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 33.296875, 0.0, 41.6953125, 16.69921875, 25.0, 0.0, 14.0, 4.0, 11.0, 6.0, 24.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32699", "Formation Supérieure de Spécialisation - Sécurité privée : Management de Proximité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32699&g_ta_cod=32699", 50.0, 36.0, 14.0),
(2374, "Public", "0561486L", "Lycée professionnel maritime", "56", "Morbihan", "Bretagne", "Rennes", "Etel", "formation sélective", "Autre formation", "Lycée professionnel maritime - Mise à niveau - Classe de mise à niveau au BTS Maritime Pêche et Gestion de l'Environnement Marin", "Mise à niveau", "", 12, 129, 27, 129, 0, 30, 1, 29, 6, 24, 8, 46, 0, 0, 0, 0, 0, 80, 0, 0, 0, 24, 1, 24, 5, 13, 2, 19, 35, 12, 4, 12, 0, 4.0, 9.0, 9.0, 0, 0, 9, 4, 3, 2, 3, 0, 0, 6, 2, 1, 0.0, 4, 3, 2, 0, 0, 2, 2, 33.33, 75.0, 75.0, 33.296875, 22.19921875, 22.19921875, 0, 0.0, 75.0, 0.0, 0.0, 66.6875, 22.19921875, 11.1, 0.0, 44.3984375, 44.3984375, 33.296875, 33.296875, 22.19921875, 22.19921875, 9.0, 0.0, 7.0, 2.0, 7.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "23339", "Mise à niveau - Classe de mise à niveau au BTS Maritime Pêche et Gestion de l'Environnement Marin", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23339&g_ta_cod=23339", 58.0, 25.0, 17.0),
(2375, "Public", "0692866R", "Lycée La Martiniere Monplaisir", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "CPGE", "Lycée La Martiniere Monplaisir - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 2463, 1770, 2463, 1562, 2082, 208, 4, 0, 4, 1, 373, 0, 0, 0, 0, 0, 935, 0, 688, 924, 928, 76, 0, 0, 0, 0, 7, 373, 45, 31, 45, 0, 10.0, 31.0, 42.0, 19, 5, 45, 45, 0, 0, 0, 0, 0, 0, 20, 23, 2.0, 45, 0, 0, 1, 0, 19, 19, 22.22, 68.89, 93.33, 68.890625, 42.1953125, 42.1953125, 2.19970703125, 11.099609375, 100.0, 0.0, 0.0, 0.0, 44.3984375, 51.1, 4.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 372.0, 47.0, 0.0, 0.0, 1.0, "Tous les candidats", 472.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "8553", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8553&g_ta_cod=8553", 100.0, 0.0, 0.0),
(2376, "Public", "0490769V", "I.U.T. Angers-Cholet - Site d'Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 12, 215, 3, 215, 0, 0, 0, 204, 38, 0, 0, 11, 0, 0, 0, 0, 0, 99, 0, 0, 0, 0, 0, 95, 18, 0, 0, 4, 53, 5, 0, 5, 0, 2.0, 5.0, 5.0, 0, 1, 5, 0, 5, 0, 0, 0, 0, 0, 3, 1, 1.0, 0, 5, 0, 0, 0, 5, 5, 40.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 20.0, 100.0, 0.0, 0.0, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 354.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 46.0, "206", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=206", 0.0, 100.0, 0.0),
(2377, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales", "Licence - Sciences - technologies - santé", "", 125, 717, 300, 545, 0, 324, 91, 12, 3, 2, 0, 207, 172, 27, 7, 3, 135, 533, 139, 0, 0, 324, 91, 12, 3, 2, 0, 195, 582, 103, 32, 55, 48, 12.0, 54.0, 88.0, 0, 10, 47, 44, 3, 0, 56, 0, 21, 11, 10, 5, 0.0, 26, 0, 0, 0, 0, 36, 36, 11.65, 52.43, 85.44, 31.09765625, 76.59375, 76.59375, 0, 21.296875, 45.59375, 0.0, 44.6953125, 23.3984375, 21.296875, 10.6, 0.0, 93.59375, 55.296875, 6.3994140625, 0.0, 0.0, 0.0, 290.0, 79.0, 5.0, 1.0, 274.0, "Tous les candidats", 640.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "6336", "Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26956&g_ta_cod=6336", 83.0, 13.0, 5.0),
(2378, "Public", "0932120Z", "Lycée Henri Sellier", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Livry-Gargan", "formation sélective", "BTS", "Lycée Henri Sellier - BTS - Services - Economie sociale familiale", "BTS - Services", "", 30, 974, 858, 974, 0, 40, 18, 178, 87, 435, 242, 321, 0, 0, 0, 0, 0, 714, 0, 0, 0, 35, 16, 155, 79, 356, 206, 168, 145, 29, 25, 29, 0, 4.0, 16.0, 22.0, 0, 16, 24, 2, 8, 14, 5, 0, 6, 11, 6, 1, 0.0, 1, 7, 10, 1, 1, 24, 24, 13.79, 55.17, 75.86, 86.1875, 100.0, 100.0, 4.19921875, 66.6875, 82.796875, 0.0, 25.0, 45.796875, 25.0, 4.2, 0.0, 8.298828125, 4.19921875, 33.296875, 29.19921875, 58.296875, 41.6953125, 10.0, 6.0, 69.0, 40.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 104, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 21.0, "11342", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11342&g_ta_cod=11342", 10.0, 34.0, 55.0),
(2379, "Public", "0762047M", "Université de Rouen Normandie - Campus Martainville Rouen - UFR Santé", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation non sélective", "PASS", "Université de Rouen Normandie - Campus Martainville Rouen - UFR Santé - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Sciences Humaines et Sociales", 200, 2689, 1913, 2689, 0, 1985, 327, 118, 35, 31, 10, 555, 0, 0, 0, 0, 0, 2648, 0, 0, 0, 1985, 327, 118, 35, 31, 10, 514, 744, 198, 161, 198, 0, 28.0, 171.0, 190.0, 0, 35, 184, 182, 2, 0, 14, 1, 4, 44, 89, 44, 2.0, 177, 2, 0, 0, 0, 181, 181, 14.14, 86.36, 95.96, 81.296875, 98.390625, 98.390625, 0, 19.0, 92.890625, 0.5, 2.19970703125, 23.8984375, 48.3984375, 23.9, 1.1, 98.890625, 96.1875, 1.099853515625, 1.099853515625, 0.0, 0.0, 663.0, 112.0, 4.0, 2.0, 67.0, "Tous les candidats", 1227.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "28835", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28834&g_ta_cod=28835", 98.0, 2.0, 0.0),
(2380, "Public", "9740575G", "Lycée François de Mahy", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BTS", "Lycée François de Mahy - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 37, 684, 381, 593, 0, 31, 11, 233, 136, 210, 150, 119, 91, 0, 52, 5, 34, 202, 17, 0, 0, 7, 0, 86, 45, 86, 65, 23, 144, 33, 15, 22, 11, 6.0, 18.0, 25.0, 0, 24, 28, 0, 10, 18, 5, 0, 6, 10, 7, 5, 0.0, 0, 4, 18, 12, 4, 28, 28, 18.18, 54.55, 75.76, 45.5, 100.0, 100.0, 42.8984375, 85.6875, 84.796875, 0.0, 21.3984375, 35.6953125, 25.0, 17.9, 0.0, 0.0, 0.0, 35.6953125, 14.298828125, 64.296875, 64.296875, 0.0, 0.0, 56.0, 40.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 90, "Bacheliers technologiques toutes séries", 92, "Liste d'appel propre à cette formation", 31.0, "20380", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20380&g_ta_cod=20380", 3.0, 39.0, 58.0),
(2381, "Public", "0442448X", "Centre de Ressources, d'Expertise et de Performance Sportive de Nantes (CREPS)", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "CREPS Pays de la Loire - Antenne de Nantes - BPJEPS - Activités de la forme", "BPJEPS", "", 4, 310, 49, 297, 0, 81, 17, 89, 13, 44, 14, 83, 13, 4, 1, 2, 6, 12, 0, 0, 0, 4, 2, 1, 0, 2, 1, 5, 7, 3, 1, 3, 0, 2.0, 2.0, 3.0, 0, 0, 1, 1, 0, 0, 2, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 66.67, 66.67, 100.0, 33.296875, 0.0, 0.0, 0, 0.0, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, 0.0, 1.0, 0.0, 3.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 3.0, "23538", "BPJEPS - Activités de la forme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23538&g_ta_cod=23538", 33.0, 0.0, 67.0),
(2382, "Public", "0782567S", "Lycée Marie Curie", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 706, 460, 648, 0, 25, 6, 216, 79, 200, 89, 207, 58, 7, 15, 0, 36, 189, 3, 0, 0, 4, 0, 54, 10, 110, 48, 21, 138, 30, 18, 27, 1, 5.0, 21.0, 24.0, 0, 9, 26, 0, 11, 15, 4, 0, 16, 8, 2, 0, 0.0, 0, 5, 5, 3, 1, 26, 26, 16.67, 70.0, 80.0, 60.0, 100.0, 100.0, 11.5, 34.59375, 86.6875, 0.0, 61.5, 30.796875, 7.69921875, 0.0, 0.0, 0.0, 0.0, 42.296875, 19.19921875, 57.6953125, 19.19921875, 5.0, 0.0, 74.0, 30.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 104, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 25.0, "10061", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10061&g_ta_cod=10061", 7.0, 40.0, 53.0),
(2383, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université de Montpellier - Licence - Sciences de la vie - Parcours Licence - portail Sciences de la Vie/Sciences de l'environnement (SVSE) - option Kinésithérapie", "Licence - Sciences - technologies - santé", "Licence - portail Sciences de la Vie/Sciences de l'environnement (SVSE) - option Kinésithérapie", 20, 1371, 900, 1371, 0, 715, 137, 46, 16, 1, 0, 609, 0, 0, 0, 0, 0, 1371, 0, 0, 0, 715, 137, 46, 16, 1, 0, 609, 125, 20, 14, 20, 0, 4.0, 10.0, 14.0, 0, 5, 16, 16, 0, 0, 4, 0, 1, 2, 10, 2, 1.0, 15, 0, 0, 0, 0, 13, 13, 20.0, 50.0, 70.0, 70.0, 81.296875, 81.296875, 0, 31.296875, 80.0, 0.0, 6.2998046875, 12.5, 62.5, 12.5, 6.3, 100.0, 93.796875, 0.0, 0.0, 0.0, 0.0, 60.0, 16.0, 0.0, 0.0, 65.0, "Tous les candidats", 169.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "32430", "Licence - Sciences de la vie - Parcours Licence - portail Sciences de la Vie/Sciences de l'environnement (SVSE) - option Kinésithérapie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32430&g_ta_cod=32430", 95.0, 0.0, 0.0),
(2384, "Public", "0710045N", "Lycée Lamartine", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Mâcon", "formation sélective", "BTS", "Lycée Lamartine - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 279, 141, 277, 0, 44, 9, 89, 42, 71, 28, 73, 2, 0, 2, 0, 0, 226, 0, 0, 0, 40, 8, 79, 34, 61, 23, 46, 97, 22, 11, 22, 0, 5.0, 14.0, 20.0, 0, 8, 14, 5, 4, 5, 8, 0, 5, 5, 3, 1, 0.0, 3, 1, 5, 5, 5, 9, 9, 22.73, 63.64, 90.91, 50.0, 64.296875, 64.296875, 35.6953125, 57.09375, 63.59375, 0.0, 35.6953125, 35.6953125, 21.3984375, 7.1, 0.0, 35.6953125, 21.3984375, 28.59765625, 7.099609375, 35.6953125, 35.6953125, 19.0, 7.0, 27.0, 11.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 54.0, "8635", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8635&g_ta_cod=8635", 23.0, 36.0, 41.0),
(2385, "Public", "0763460Y", "ESITECH - partenaire INSA", "76", "Seine-Maritime", "Normandie", "Normandie", "Saint-Etienne-du-Rouvray", "formation sélective", "Ecole d'Ingénieur", "Groupe INSA - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 20, 4672, 1603, 4672, 0, 3931, 350, 0, 0, 0, 0, 741, 0, 0, 0, 0, 0, 3189, 0, 0, 0, 2684, 214, 0, 0, 0, 0, 505, 977, 15, 9, 15, 0, 1.0, 2.0, 8.0, 0, 1, 10, 10, 0, 0, 5, 0, 0, 0, 8, 2, 0.0, 10, 0, 0, 0, 0, 6, 6, 6.67, 13.33, 53.33, 60.0, 60.0, 60.0, 0, 10.0, 66.6875, 0.0, 0.0, 0.0, 80.0, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 807.0, 69.0, 0.0, 0.0, 170.0, "Tous les candidats", 10477.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 41.0, "526", "Formation d'ingénieur Bac + 5 - Bac Général", "Groupe INSA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=57&g_ta_cod=526", 100.0, 0.0, 0.0),
(2386, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "Autre formation", "Université Claude Bernard Lyon 1 - DEUST - Animation et gestion des activités sportives, physiques ou culturelles, parcours animation", "DEUST", "", 33, 262, 104, 211, 0, 76, 16, 45, 8, 23, 8, 67, 51, 15, 7, 3, 26, 35, 10, 0, 0, 6, 0, 2, 0, 3, 1, 24, 45, 27, 12, 21, 6, 21.0, 21.0, 25.0, 0, 1, 9, 4, 1, 4, 18, 0, 4, 3, 2, 0, 0.0, 1, 1, 3, 0, 0, 4, 4, 77.78, 77.78, 92.59, 44.3984375, 44.3984375, 44.3984375, 0, 11.099609375, 33.296875, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 44.3984375, 11.099609375, 11.099609375, 11.099609375, 44.3984375, 33.296875, 8.0, 0.0, 4.0, 1.0, 30.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "8338", "DEUST - Animation et gestion des activités sportives, physiques ou culturelles, parcours animation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8338&g_ta_cod=8338", 48.0, 26.0, 19.0),
(2387, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Cinéma et Audiovisuel - Parcours Cinéma et Audiovisuel - Mineure Anglais", "Licence - Arts-lettres-langues", "Cinéma et Audiovisuel - Mineure Anglais", 23, 2450, 1433, 2450, 0, 1532, 230, 136, 26, 51, 18, 731, 0, 0, 0, 0, 0, 2430, 0, 0, 0, 1532, 230, 136, 26, 51, 18, 711, 130, 22, 18, 22, 0, 1.0, 16.0, 19.0, 0, 3, 19, 15, 2, 2, 3, 0, 0, 0, 7, 11, 1.0, 15, 2, 2, 0, 0, 2, 4, 4.55, 72.73, 86.36, 81.796875, 10.5, 21.09765625, 0, 15.798828125, 86.390625, 0.0, 0.0, 0.0, 36.796875, 57.9, 5.3, 78.890625, 78.890625, 10.5, 10.5, 10.5, 10.5, 92.0, 12.0, 4.0, 1.0, 25.0, "Tous les candidats", 307.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "23932", "Licence - Cinéma et Audiovisuel - Parcours Cinéma et Audiovisuel - Mineure Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23932&g_ta_cod=23932", 77.0, 14.0, 9.0),
(2388, "Public", "0570057C", "Lycée Robert Schuman", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée Robert Schuman - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 30, 1044, 613, 1044, 0, 157, 67, 373, 152, 213, 102, 301, 0, 0, 0, 0, 0, 611, 0, 0, 0, 136, 53, 264, 99, 74, 31, 137, 227, 26, 14, 26, 0, 2.0, 15.0, 19.0, 0, 9, 17, 8, 7, 2, 9, 0, 11, 2, 3, 1, 0.0, 2, 2, 2, 4, 1, 15, 15, 7.69, 57.69, 73.08, 53.796875, 88.1875, 88.1875, 23.5, 52.8984375, 65.390625, 0.0, 64.6875, 11.798828125, 17.59765625, 5.9, 0.0, 47.09375, 11.798828125, 41.1953125, 11.798828125, 11.798828125, 11.798828125, 53.0, 23.0, 17.0, 7.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 128.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 181, "Liste d'appel propre à cette formation", 32.0, "20964", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20964&g_ta_cod=20964", 46.0, 42.0, 12.0),
(2389, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "PASS", "Universite Jean Monnet, Saint-Etienne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Géosciences & Environnement - Chimie", 32, 1605, 1067, 1605, 0, 1275, 206, 30, 14, 9, 8, 291, 0, 0, 0, 0, 0, 1585, 0, 0, 0, 1275, 206, 30, 14, 9, 8, 271, 344, 32, 22, 32, 0, 0.0, 10.0, 24.0, 0, 4, 31, 31, 0, 0, 1, 0, 6, 16, 8, 1, 0.0, 25, 0, 0, 0, 0, 20, 20, 0.0, 31.25, 75.0, 68.796875, 64.5, 64.5, 0, 12.8984375, 96.890625, 0.0, 19.3984375, 51.59375, 25.796875, 3.2, 0.0, 100.0, 80.59375, 0.0, 0.0, 0.0, 0.0, 324.0, 46.0, 0.0, 0.0, 20.0, "Tous les candidats", 1414.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "27843", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27845&g_ta_cod=27843", 100.0, 0.0, 0.0),
(2390, "Public", "0010014K", "Lycée Edgar Quinet", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "BTS", "Lycée Edgar Quinet - BTS - Services - Support à l'action managériale", "BTS - Services", "", 32, 380, 277, 320, 0, 15, 6, 138, 50, 98, 44, 69, 60, 6, 5, 21, 28, 158, 9, 0, 0, 5, 1, 96, 32, 42, 17, 15, 120, 29, 20, 23, 3, 6.0, 23.0, 25.0, 0, 12, 25, 2, 17, 6, 4, 0, 10, 9, 5, 1, 0.0, 1, 9, 5, 4, 3, 16, 16, 20.69, 79.31, 86.21, 69.0, 64.0, 64.0, 16, 48.0, 86.1875, 0.0, 40.0, 36.0, 20.0, 4.0, 0.0, 8.0, 4.0, 68.0, 36.0, 24.0, 20.0, 7.0, 2.0, 30.0, 14.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 38.0, "2004", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2004&g_ta_cod=2004", 14.0, 62.0, 24.0),
(2391, "Public", "0630020E", "Lycée Sidoine Apollinaire", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Autre formation", "Lycée Sidoine Apollinaire - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 672, 294, 668, 0, 212, 53, 163, 60, 13, 8, 280, 4, 0, 0, 0, 4, 387, 1, 0, 0, 183, 42, 136, 41, 3, 3, 65, 189, 34, 14, 33, 1, 2.0, 27.0, 31.0, 0, 7, 25, 13, 11, 1, 9, 1, 7, 10, 7, 0, 0.0, 8, 8, 1, 0, 0, 18, 18, 5.88, 79.41, 91.18, 41.1953125, 72.0, 72.0, 0, 28.0, 73.5, 4.0, 28.0, 40.0, 28.0, 0.0, 0.0, 52.0, 32.0, 44.0, 32.0, 4.0, 4.0, 77.0, 19.0, 2.0, 2.0, 41.0, "Tous les candidats", 358.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "7560", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7560&g_ta_cod=7560", 56.0, 41.0, 3.0),
(2392, "Privé sous contrat d'association", "0641441U", "Lycée Stella Maris", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation sélective", "BTS", "Lycée Stella Maris - BTS - Services - Economie sociale familiale", "BTS - Services", "", 34, 415, 371, 415, 0, 63, 9, 83, 19, 169, 43, 100, 0, 0, 0, 0, 0, 376, 0, 0, 0, 63, 9, 83, 19, 142, 33, 88, 114, 33, 29, 33, 0, 7.0, 18.0, 28.0, 0, 6, 26, 5, 6, 15, 7, 0, 3, 10, 11, 2, 0.0, 3, 5, 15, 1, 1, 23, 23, 21.21, 54.55, 84.85, 87.890625, 88.5, 88.5, 3.7998046875, 23.09765625, 78.796875, 0.0, 11.5, 38.5, 42.296875, 7.7, 0.0, 19.19921875, 11.5, 23.09765625, 19.19921875, 57.6953125, 57.6953125, 19.0, 6.0, 39.0, 8.0, 19.0, "Tous les candidats sauf les Bac professionnels", 98.0, "Bacheliers professionnels toutes séries", 49, "", 0, "Liste d'appel propre à cette formation", 35.0, "7756", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7756&g_ta_cod=7756", 27.0, 24.0, 48.0),
(2393, "Public", "0190624A", "LEGTA Edgard PISANI de Tulle-Naves", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Naves", "formation sélective", "BTS", "LEGTA Edgard PISANI de Tulle-Naves - BTS - Agricole - productions animales", "BTS - Agricole", "", 16, 274, 181, 274, 0, 57, 11, 114, 24, 64, 29, 39, 0, 0, 0, 0, 0, 247, 0, 0, 0, 51, 11, 109, 24, 61, 28, 26, 98, 15, 13, 15, 0, 0.0, 10.0, 15.0, 0, 5, 15, 2, 7, 6, 0, 0, 4, 7, 4, 0, 0.0, 2, 5, 4, 4, 4, 6, 6, 0.0, 66.67, 100.0, 86.6875, 40.0, 40.0, 26.69921875, 33.296875, 100.0, 0.0, 26.69921875, 46.6953125, 26.69921875, 0.0, 0.0, 13.298828125, 13.298828125, 46.6953125, 33.296875, 40.0, 26.69921875, 21.0, 5.0, 26.0, 15.0, 12.0, "Tous les candidats sauf les Bac professionnels", 181.0, "Bacheliers professionnels toutes séries", 57, "", 0, "Liste d'appel propre à cette formation", 87.0, "3163", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3163&g_ta_cod=3163", 13.0, 47.0, 40.0),
(2394, "Privé sous contrat d'association", "0370748M", "Lycée Saint Gatien", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Joué-lès-Tours", "formation sélective", "BTS", "Lycée Saint Gatien - BTS - Production - Bâtiment", "BTS - Production", "", 16, 149, 27, 145, 0, 30, 2, 58, 4, 35, 7, 22, 4, 0, 3, 0, 1, 135, 1, 0, 0, 30, 2, 57, 3, 34, 6, 14, 58, 14, 4, 14, 0, 4.0, 13.0, 13.0, 0, 1, 14, 3, 8, 3, 0, 0, 5, 8, 0, 1, 0.0, 3, 5, 1, 4, 0, 10, 10, 28.57, 92.86, 92.86, 28.59765625, 71.390625, 71.390625, 28.59765625, 7.099609375, 100.0, 0.0, 35.6953125, 57.09375, 0.0, 7.1, 0.0, 21.3984375, 21.3984375, 57.09375, 35.6953125, 21.3984375, 7.099609375, 6.0, 0.0, 24.0, 5.0, 5.0, "Tous les candidats sauf les Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 49.0, "4856", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4856&g_ta_cod=4856", 21.0, 57.0, 21.0),
(2395, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Autre formation", "Université de Poitiers - C.M.I - Cursus Master en Ingénierie - Chimie - Cursus Master en Ingénierie (CMI) : Sciences Chimiques", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Sciences Chimiques", 15, 155, 92, 152, 0, 102, 12, 3, 2, 0, 0, 47, 3, 0, 1, 0, 2, 59, 0, 0, 0, 49, 6, 0, 0, 0, 0, 10, 38, 14, 10, 13, 0, 7.0, 11.0, 13.0, 0, 0, 13, 13, 0, 0, 1, 0, 0, 3, 8, 2, 0.0, 13, 0, 0, 0, 0, 5, 5, 50.0, 78.57, 92.86, 71.390625, 38.5, 38.5, 0, 0.0, 92.890625, 0.0, 0.0, 23.09765625, 61.5, 15.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 32.0, 3.0, 0.0, 0.0, 6.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "21026", "C.M.I - Cursus Master en Ingénierie - Chimie - Cursus Master en Ingénierie (CMI) : Sciences Chimiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21026&g_ta_cod=21026", 100.0, 0.0, 0.0),
(2396, "Public", "0831616F", "Lycée Rouvière", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Rouvière - BTS - Production - Contrôle industriel et régulation automatique - Parcours Marine Nationale / Maistrance - Défense", "BTS - Production", "Parcours Marine Nationale / Maistrance - Défense", 3, 87, 10, 87, 0, 12, 2, 26, 8, 27, 6, 22, 0, 0, 0, 0, 0, 14, 0, 0, 0, 4, 1, 10, 0, 0, 0, 0, 4, 3, 0, 3, 0, 2.0, 3.0, 3.0, 0, 1, 3, 1, 2, 0, 0, 0, 1, 2, 0, 0, 0.0, 0, 2, 0, 0, 0, 2, 2, 66.67, 100.0, 100.0, 0.0, 66.6875, 66.6875, 0, 33.296875, 100.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 66.6875, 0.0, 0.0, 1.0, 1.0, 0.0, 0.0, 0.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "22028", "BTS - Production - Contrôle industriel et régulation automatique - Parcours Marine Nationale / Maistrance - Défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22028&g_ta_cod=22028", 33.0, 67.0, 0.0),
(2397, "Public", "0693521C", "I.U.T LUMIERE Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Bron", "formation sélective", "BUT", "I.U.T LUMIERE Lyon 2 - BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables (Seconde année en apprentissage)", "BUT - Service", "Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", 57, 479, 125, 479, 0, 214, 42, 137, 38, 24, 10, 104, 0, 0, 0, 0, 0, 182, 0, 0, 0, 80, 11, 57, 14, 6, 3, 39, 100, 57, 16, 57, 0, 28.0, 55.0, 56.0, 0, 10, 42, 15, 25, 2, 15, 0, 9, 21, 9, 3, 0.0, 14, 17, 2, 0, 0, 26, 26, 49.12, 96.49, 98.25, 28.09765625, 61.8984375, 61.8984375, 0, 23.796875, 73.6875, 0.0, 21.3984375, 50.0, 21.3984375, 7.1, 0.0, 35.6953125, 33.296875, 59.5, 40.5, 4.7998046875, 4.7998046875, 22.0, 7.0, 5.0, 3.0, 23.0, "Tous les candidats sauf les Bac technologiques", 46.0, "Bacheliers technologiques toutes séries", 63, "", 0, "Liste d'appel propre à cette formation", 23.0, "8578", "BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8578&g_ta_cod=8578", 42.0, 51.0, 7.0),
(2398, "Public", "0690038S", "Lycée La Martinière Duchère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "CPGE", "Lycée La Martinière Duchère - CPGE - TB", "Classe préparatoire scientifique", "", 32, 348, 254, 348, 238, 0, 0, 321, 67, 0, 0, 27, 0, 0, 0, 0, 0, 228, 0, 160, 215, 0, 0, 223, 39, 0, 0, 5, 122, 34, 27, 34, 0, 18.0, 30.0, 34.0, 20, 8, 34, 0, 34, 0, 0, 0, 0, 4, 20, 10, 0.0, 0, 34, 0, 3, 3, 12, 12, 52.94, 88.24, 100.0, 79.390625, 35.296875, 35.296875, 8.798828125, 23.5, 100.0, 0.0, 0.0, 11.798828125, 58.796875, 29.4, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 188.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "8213", "CPGE - TB", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8213&g_ta_cod=8213", 0.0, 100.0, 0.0),
(2399, "Public", "0622949U", "Lycée Mariette", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "BTS", "Lycée Mariette - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 371, 218, 339, 0, 29, 14, 90, 37, 71, 41, 149, 32, 2, 0, 12, 18, 230, 16, 0, 0, 27, 12, 90, 37, 65, 35, 48, 154, 26, 14, 22, 4, 7.0, 19.0, 20.0, 0, 11, 21, 2, 9, 10, 5, 0, 9, 8, 1, 3, 0.0, 0, 5, 7, 10, 5, 20, 20, 26.92, 73.08, 76.92, 53.796875, 95.1875, 95.1875, 47.59375, 52.3984375, 80.796875, 0.0, 42.8984375, 38.09375, 4.7998046875, 14.3, 0.0, 9.5, 0.0, 42.8984375, 23.796875, 47.59375, 33.296875, 23.0, 9.0, 64.0, 31.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 48.0, "7465", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7465&g_ta_cod=7465", 19.0, 35.0, 46.0),
(2400, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Institut Catholique Paris - Licence - Histoire de l'art et archéologie - Parcours Histoire de l'Art - Histoire", "Licence - Arts-lettres-langues", "Histoire de l'Art - Histoire", 100, 609, 439, 439, 0, 270, 23, 25, 3, 9, 2, 135, 170, 42, 9, 5, 114, 439, 166, 0, 0, 270, 23, 25, 3, 9, 2, 135, 563, 90, 64, 61, 29, 29.0, 60.0, 76.0, 0, 4, 47, 39, 4, 4, 43, 0, 15, 21, 11, 0, 0.0, 25, 3, 4, 0, 0, 9, 35, 32.22, 66.67, 84.44, 71.09375, 19.09765625, 74.5, 0, 8.5, 52.1953125, 0.0, 31.8984375, 44.6953125, 23.3984375, 0.0, 0.0, 83.0, 53.1953125, 8.5, 6.3994140625, 8.5, 8.5, 290.0, 31.0, 14.0, 3.0, 226.0, "Tous les candidats", 439.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9450", "Licence - Histoire de l'art et archéologie - Parcours Histoire de l'Art - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9450&g_ta_cod=9450", 79.0, 11.0, 8.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(2401, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Licence - Portail Métiers de l'enseignement MEEF ou Maths appliquées et entreprise -IMA", "Licence - Sciences - technologies - santé", "Métiers de l'enseignement MEEF ou Maths appliquées et entreprise -IMA", 50, 450, 151, 409, 0, 302, 35, 14, 2, 0, 0, 93, 41, 6, 2, 0, 33, 407, 28, 0, 0, 302, 35, 14, 2, 0, 0, 91, 406, 43, 19, 40, 3, 34.0, 40.0, 42.0, 0, 5, 30, 27, 3, 0, 13, 1, 4, 13, 9, 3, 0.0, 24, 1, 0, 0, 0, 24, 24, 79.07, 93.02, 97.67, 44.1953125, 80.0, 80.0, 0, 16.69921875, 69.796875, 3.2998046875, 13.298828125, 43.296875, 30.0, 10.0, 0.0, 90.0, 80.0, 10.0, 3.2998046875, 0.0, 0.0, 294.0, 35.0, 0.0, 0.0, 105.0, "Tous les candidats", 514.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "5886", "Licence - Portail Métiers de l'enseignement MEEF ou Maths appliquées et entreprise -IMA", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5886&g_ta_cod=5886", 93.0, 7.0, 0.0),
(2402, "Public", "0620093P", "Lycée Fernand Darchicourt", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Hénin-Beaumont", "formation sélective", "BTS", "Lycée Fernand Darchicourt - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 669, 384, 669, 0, 51, 17, 189, 91, 293, 159, 136, 0, 0, 0, 0, 0, 519, 0, 0, 0, 43, 15, 142, 71, 235, 126, 99, 145, 34, 26, 34, 0, 6.0, 28.0, 32.0, 0, 15, 27, 2, 5, 20, 7, 0, 7, 12, 7, 1, 0.0, 1, 4, 15, 2, 2, 26, 26, 17.65, 82.35, 94.12, 76.5, 96.296875, 96.296875, 7.3994140625, 55.59375, 79.390625, 0.0, 25.8984375, 44.3984375, 25.8984375, 3.7, 0.0, 7.3994140625, 3.69970703125, 18.5, 14.798828125, 74.09375, 55.59375, 31.0, 12.0, 62.0, 36.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 31.0, "7369", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7369&g_ta_cod=7369", 18.0, 24.0, 59.0),
(2403, "Public", "0330135T", "Lycée Alfred Kastler", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "BTS", "Lycée Alfred Kastler - BTS - Production - Métiers de la mesure", "BTS - Production", "", 30, 139, 33, 105, 0, 13, 4, 61, 13, 3, 1, 28, 34, 3, 10, 0, 21, 87, 15, 0, 0, 13, 4, 58, 12, 3, 1, 13, 84, 20, 6, 12, 8, 4.0, 12.0, 19.0, 0, 5, 11, 4, 7, 0, 9, 0, 6, 5, 0, 0, 0.0, 2, 3, 0, 5, 3, 11, 11, 20.0, 60.0, 95.0, 30.0, 100.0, 100.0, 45.5, 45.5, 55.0, 0.0, 54.5, 45.5, 0.0, 0.0, 0.0, 36.3984375, 18.19921875, 63.59375, 27.296875, 0.0, 0.0, 16.0, 4.0, 3.0, 1.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 83.0, "4321", "BTS - Production - Métiers de la mesure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4321&g_ta_cod=4321", 45.0, 55.0, 0.0),
(2404, "Public", "9730429D", "Université de Guyane", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation non sélective", "Licence", "Université de Guyane - Licence - Administration économique et sociale - Parcours Administration, économie, finances, entreprises", "Licence - Droit-économie-gestion", "Administration, économie, finances, entreprises", 410, 1001, 638, 881, 0, 365, 194, 160, 91, 216, 135, 140, 120, 9, 23, 35, 53, 866, 117, 0, 0, 365, 194, 160, 91, 216, 135, 125, 934, 396, 268, 306, 85, 123.0, 300.0, 359.0, 0, 172, 292, 88, 76, 128, 104, 27, 174, 73, 15, 3, 0.0, 31, 21, 39, 0, 0, 292, 292, 31.06, 75.76, 90.66, 67.6875, 100.0, 100.0, 0, 58.8984375, 73.6875, 9.19921875, 59.59375, 25.0, 5.099609375, 1.0, 0.0, 30.09765625, 10.599609375, 26.0, 7.19921875, 43.796875, 13.3984375, 345.0, 182.0, 243.0, 153.0, 167.0, "Tous les candidats", 866.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "11871", "Licence - Administration économique et sociale - Parcours Administration, économie, finances, entreprises", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11871&g_ta_cod=11871", 30.0, 24.0, 46.0),
(2405, "Public", "0400139J", "Lycée Professionnel Agricole DE MUGRON", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Mugron", "formation sélective", "BTS", "Lycée Professionnel Agricole DE MUGRON - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 27, 251, 110, 239, 0, 9, 1, 22, 6, 62, 29, 146, 12, 0, 3, 3, 6, 103, 4, 0, 0, 9, 1, 22, 6, 58, 26, 14, 93, 20, 9, 20, 0, 6.0, 18.0, 20.0, 0, 6, 15, 2, 0, 13, 5, 0, 5, 7, 2, 1, 0.0, 1, 0, 9, 2, 0, 15, 15, 30.0, 90.0, 100.0, 45.0, 100.0, 100.0, 13.298828125, 40.0, 75.0, 0.0, 33.296875, 46.6953125, 13.298828125, 6.7, 0.0, 13.298828125, 6.69921875, 0.0, 0.0, 86.6875, 60.0, 11.0, 1.0, 46.0, 19.0, 14.0, "Tous les candidats sauf les Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 58, "", 0, "Liste d'appel propre à cette formation", 42.0, "14699", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14699&g_ta_cod=14699", 30.0, 5.0, 65.0),
(2406, "Public", "0772347H", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lieusaint", "formation sélective", "BUT", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC - BUT - Gestion des entreprises et des administrations Parcours : GC2F gestion comptable fiscale et financière - GC2P contrôle de gestion et pilotage de la performance - GPRH gestion et pilotage des ressources humaines - GEMA gestion entrepreneuriat et management d'activités", "BUT - Service", "GC2F gestion comptable fiscale et financière - GC2P contrôle de gestion et pilotage de la performance - GPRH gestion et pilotage des ressources humaines - GEMA gestion entrepreneuriat et management d'activités", 110, 1844, 1031, 1844, 0, 793, 198, 665, 232, 25, 9, 361, 0, 0, 0, 0, 0, 940, 0, 0, 0, 511, 140, 368, 118, 0, 0, 61, 386, 107, 81, 107, 0, 53.0, 93.0, 100.0, 0, 32, 103, 49, 54, 0, 4, 0, 4, 48, 45, 6, 0.0, 47, 52, 0, 0, 0, 51, 97, 49.53, 86.92, 93.46, 75.6875, 49.5, 94.1875, 0, 31.09765625, 96.296875, 0.0, 3.89990234375, 46.59375, 43.6953125, 5.8, 0.0, 47.59375, 45.59375, 52.3984375, 50.5, 0.0, 0.0, 215.0, 57.0, 0.0, 0.0, 28.0, "Tous les candidats sauf les Bac technologiques", 280.0, "Bacheliers technologiques toutes séries", 166, "", 0, "Liste d'appel propre à cette formation", 24.0, "9895", "BUT - Gestion des entreprises et des administrations Parcours : GC2F gestion comptable fiscale et financière - GC2P contrôle de gestion et pilotage de la performance - GPRH gestion et pilotage des ressources humaines - GEMA gestion entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9895&g_ta_cod=9895", 50.0, 50.0, 0.0),
(2407, "Public", "0290044R", "Lycée De L'Elorn", "29", "Finistère", "Bretagne", "Rennes", "Landerneau", "formation sélective", "BTS", "Lycée De L'Elorn - BTS - Production - Développement et Réalisation Bois", "BTS - Production", "", 30, 290, 40, 290, 0, 29, 9, 66, 12, 142, 35, 53, 0, 0, 0, 0, 0, 214, 0, 0, 0, 23, 6, 54, 10, 111, 28, 26, 88, 28, 4, 28, 0, 11.0, 22.0, 25.0, 0, 9, 27, 1, 8, 18, 1, 0, 2, 13, 8, 4, 0.0, 1, 6, 18, 9, 2, 26, 26, 39.29, 78.57, 89.29, 14.298828125, 96.296875, 96.296875, 33.296875, 33.296875, 96.390625, 0.0, 7.3994140625, 48.09375, 29.59765625, 14.8, 0.0, 3.69970703125, 3.69970703125, 29.59765625, 22.19921875, 66.6875, 66.6875, 9.0, 4.0, 43.0, 12.0, 10.0, "Tous les candidats sauf les Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 51, "", 0, "Liste d'appel propre à cette formation", 42.0, "3784", "BTS - Production - Développement et Réalisation Bois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3784&g_ta_cod=3784", 7.0, 29.0, 64.0),
(2408, "Public", "0690046A", "Lycée professionnel Louise Labé", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "BTS", "Lycée professionnel Louise Labé - BTS - Services - Support à l'action managériale", "BTS - Services", "", 30, 1340, 980, 1340, 0, 46, 19, 416, 206, 471, 282, 407, 0, 0, 0, 0, 0, 525, 0, 0, 0, 30, 11, 175, 66, 223, 122, 97, 189, 27, 20, 27, 0, 3.0, 20.0, 24.0, 0, 11, 18, 0, 10, 8, 9, 0, 5, 8, 5, 0, 0.0, 0, 6, 7, 1, 0, 13, 13, 11.11, 74.07, 88.89, 74.09375, 72.1875, 72.1875, 5.599609375, 61.09375, 66.6875, 0.0, 27.796875, 44.3984375, 27.796875, 0.0, 0.0, 0.0, 0.0, 55.59375, 33.296875, 44.3984375, 38.8984375, 10.0, 6.0, 67.0, 37.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 136, "Bacheliers technologiques toutes séries", 134, "Liste d'appel propre à cette formation", 22.0, "8191", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8191&g_ta_cod=8191", 11.0, 44.0, 44.0),
(2409, "Public", "0133516B", "Aix Marseille Université - Site d'Aix-en-Provence (Montperrin)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence_Las", "Aix-Marseille Université - Portail Marie Curie - Licence - Portail Marie Curie : Chimie, Physique, Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "Marie Curie : Chimie, Physique, Sciences pour l'ingénieur - site d'Aix-en-Provence", 20, 1402, 758, 1402, 0, 763, 164, 61, 26, 7, 4, 571, 0, 0, 0, 0, 0, 1402, 0, 0, 0, 763, 164, 61, 26, 7, 4, 571, 289, 14, 5, 14, 0, 1.0, 4.0, 11.0, 0, 2, 8, 8, 0, 0, 6, 0, 2, 1, 3, 2, 0.0, 6, 0, 0, 0, 0, 5, 5, 7.14, 28.57, 78.57, 35.6953125, 62.5, 62.5, 0, 25.0, 57.09375, 0.0, 25.0, 12.5, 37.5, 25.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 134.0, 20.0, 0.0, 0.0, 155.0, "Tous les candidats", 1589.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 46.0, "28585", "Licence - Portail Marie Curie : Chimie, Physique, Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12617&g_ta_cod=28585", 100.0, 0.0, 0.0),
(2410, "Public", "0881679X", "I.U.T de Saint Dié - Université de Lorraine", "88", "Vosges", "Grand Est", "Nancy-Metz", "Saint-Dié-des-Vosges", "formation sélective", "BUT", "I.U.T de Saint Dié - Université de Lorraine - BUT - Informatique Parcours : Réalisation d'applications, conception, développement, validation - Déploiement d'applications communicantes et sécurisées -  Administration, gestion et exploitation des données", "BUT - Production", "Réalisation d'applications, conception, développement, validation - Déploiement d'applications communicantes et sécurisées -  Administration, gestion et exploitation des données", 52, 771, 92, 597, 0, 352, 66, 125, 29, 9, 4, 111, 174, 39, 16, 1, 118, 399, 22, 0, 0, 281, 49, 80, 13, 0, 0, 38, 293, 45, 2, 41, 4, 4.0, 35.0, 44.0, 0, 6, 34, 25, 9, 0, 11, 0, 21, 10, 2, 1, 0.0, 9, 4, 0, 0, 0, 16, 16, 8.89, 77.78, 97.78, 4.3994140625, 47.09375, 47.09375, 0, 17.59765625, 75.59375, 0.0, 61.796875, 29.3984375, 5.8994140625, 2.9, 0.0, 73.5, 26.5, 26.5, 11.798828125, 0.0, 0.0, 185.0, 29.0, 0.0, 0.0, 45.0, "Tous les candidats sauf les Bac technologiques", 315.0, "Bacheliers technologiques toutes séries", 83, "", 0, "Liste d'appel propre à cette formation", 67.0, "10757", "BUT - Informatique Parcours : Réalisation d'applications, conception, développement, validation - Déploiement d'applications communicantes et sécurisées -  Administration, gestion et exploitation des données", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10757&g_ta_cod=10757", 80.0, 20.0, 0.0),
(2411, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues étrangères appliquées - Parcours Italien / Portugais", "Licence - Arts-lettres-langues", "Italien / Portugais", 25, 118, 72, 14, 0, 2, 1, 1, 1, 4, 3, 7, 104, 4, 15, 10, 75, 13, 65, 0, 0, 2, 1, 1, 1, 4, 3, 6, 78, 22, 11, 1, 21, 1.0, 1.0, 9.0, 0, 1, 4, 0, 2, 2, 18, 0, 3, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 1, 4, 4.55, 4.55, 40.91, 50.0, 25.0, 100.0, 0, 25.0, 18.19921875, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 0.0, 5.0, 1.0, 10.0, 4.0, 53.0, "Tous les candidats", 13.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "28218", "Licence - Langues étrangères appliquées - Parcours Italien / Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28218&g_ta_cod=28218", 14.0, 32.0, 55.0),
(2412, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Arts du spectacle", "Licence - Arts-lettres-langues", "", 110, 600, 404, 600, 0, 411, 90, 46, 9, 16, 4, 127, 0, 0, 0, 0, 0, 598, 0, 0, 0, 411, 90, 46, 9, 16, 4, 125, 372, 111, 57, 111, 0, 24.0, 85.0, 99.0, 0, 17, 80, 74, 3, 3, 31, 0, 35, 26, 17, 2, 0.0, 40, 2, 3, 0, 0, 57, 57, 21.62, 76.58, 89.19, 51.3984375, 71.296875, 71.296875, 0, 21.296875, 72.09375, 0.0, 43.796875, 32.5, 21.296875, 2.5, 0.0, 92.5, 50.0, 3.7998046875, 2.5, 3.7998046875, 3.7998046875, 280.0, 60.0, 3.0, 0.0, 73.0, "Tous les candidats", 457.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "20520", "Licence - Arts du spectacle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20520&g_ta_cod=20520", 89.0, 6.0, 5.0),
(2413, "Public", "0490003M", "Lycée Polyvalent Chevrollier", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "CPGE", "Lycée Polyvalent Chevrollier - CPGE - PTSI", "Classe préparatoire scientifique", "", 45, 712, 101, 693, 523, 592, 45, 4, 1, 0, 0, 97, 19, 9, 0, 0, 10, 432, 3, 348, 418, 422, 34, 1, 1, 0, 0, 9, 293, 34, 4, 32, 2, 9.0, 24.0, 34.0, 17, 1, 34, 34, 0, 0, 0, 0, 0, 11, 18, 5, 0.0, 34, 0, 0, 2, 2, 20, 20, 26.47, 70.59, 100.0, 11.798828125, 58.796875, 58.796875, 5.8994140625, 2.89990234375, 100.0, 0.0, 0.0, 32.3984375, 52.8984375, 14.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 286.0, 22.0, 0.0, 0.0, 6.0, "Tous les candidats", 432.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "5825", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5825&g_ta_cod=5825", 100.0, 0.0, 0.0),
(2414, "Public", "0721094Y", "Lycée Polyvalent Le Mans Sud", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Le Mans Sud - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 11, 128, 8, 125, 0, 6, 1, 52, 11, 40, 14, 27, 3, 0, 1, 0, 2, 91, 0, 0, 0, 5, 1, 45, 9, 34, 11, 7, 31, 9, 0, 9, 0, 3.0, 7.0, 9.0, 0, 2, 8, 0, 4, 4, 1, 0, 3, 4, 1, 0, 0.0, 0, 1, 4, 6, 0, 7, 7, 33.33, 77.78, 100.0, 0.0, 87.5, 87.5, 75, 25.0, 88.890625, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 0.0, 0.0, 50.0, 12.5, 50.0, 50.0, 2.0, 0.0, 10.0, 3.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 54.0, "8758", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8758&g_ta_cod=8758", 0.0, 44.0, 56.0),
(2415, "Privé sous contrat d'association", "0693623N", "CPE Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 5, 232, 74, 232, 0, 0, 0, 0, 0, 0, 0, 232, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 51, 5, 2, 5, 0, 1.0, 2.0, 4.0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 20.0, 40.0, 80.0, 40.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 51.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "22850", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22850", 100.0, 0.0, 0.0),
(2416, "Privé enseignement supérieur", "0760167U", "NEOMA Business School - Campus de Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Global BBA", 150, 2393, 1022, 2343, 0, 2035, 54, 122, 4, 4, 1, 182, 50, 20, 1, 1, 28, 1905, 24, 0, 0, 1696, 37, 73, 2, 2, 1, 134, 1785, 109, 50, 101, 8, 69.0, 101.0, 106.0, 0, 8, 92, 88, 4, 0, 17, 0, 22, 38, 24, 8, 0.0, 67, 3, 0, 0, 0, 58, 58, 63.3, 92.66, 97.25, 45.8984375, 63.0, 63.0, 0, 8.69921875, 84.390625, 0.0, 23.8984375, 41.296875, 26.09765625, 8.7, 0.0, 95.6875, 72.796875, 4.2998046875, 3.2998046875, 0.0, 0.0, 1577.0, 32.0, 2.0, 1.0, 135.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "26126", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26126", 95.0, 5.0, 0.0),
(2417, "Privé enseignement supérieur", "7200709H", "KEDGE BUSINESS SCHOOL - Site de Bastia", "2B", "Haute-Corse", "Corse", "Corse", "Borgo", "formation sélective", "Ecole de Commerce", "Banque ECRICOME - Formation des écoles de commerce et de management Bac + 3 - Bachelor Affaires internationales", "Formation des écoles de commerce et de management", "KEDGE Bachelor", 25, 317, 137, 311, 0, 225, 18, 23, 2, 2, 0, 61, 6, 1, 0, 0, 5, 204, 3, 0, 0, 153, 7, 12, 1, 2, 0, 37, 207, 10, 7, 7, 3, 6.0, 7.0, 8.0, 0, 1, 4, 4, 0, 0, 6, 0, 0, 1, 2, 1, 0.0, 4, 0, 0, 0, 0, 4, 4, 60.0, 70.0, 80.0, 70.0, 100.0, 100.0, 0, 25.0, 40.0, 0.0, 0.0, 25.0, 50.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 153.0, 7.0, 2.0, 0.0, 40.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "26274", "Formation des écoles de commerce et de management Bac + 3 - Bachelor Affaires internationales", "Banque ECRICOME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26268&g_ta_cod=26274", 80.0, 20.0, 0.0),
(2418, "Public", "0420957M", "I.U.T de Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BUT", "I.U.T de Saint-Etienne - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "BUT - Production", "Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", 68, 1046, 78, 1046, 0, 542, 97, 317, 74, 13, 4, 174, 0, 0, 0, 0, 0, 855, 0, 0, 0, 492, 81, 279, 56, 1, 0, 83, 417, 69, 2, 69, 0, 30.0, 56.0, 64.0, 0, 13, 68, 35, 33, 0, 1, 0, 23, 35, 9, 1, 0.0, 16, 29, 0, 0, 0, 61, 61, 43.48, 81.16, 92.75, 2.89990234375, 89.6875, 89.6875, 0, 19.09765625, 98.59375, 0.0, 33.796875, 51.5, 13.19921875, 1.5, 0.0, 51.5, 23.5, 48.5, 42.59375, 0.0, 0.0, 252.0, 48.0, 0.0, 0.0, 27.0, "Tous les candidats sauf les Bac technologiques", 387.0, "Bacheliers technologiques toutes séries", 201, "", 0, "Liste d'appel propre à cette formation", 56.0, "5306", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5306&g_ta_cod=5306", 51.0, 49.0, 0.0),
(2419, "Privé sous contrat d'association", "0783720V", "ESEO Paris - Vélizy", "78", "Yvelines", "Ile-de-France", "Versailles", "Vélizy-Villacoublay", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "Bac STI2D", 10, 159, 13, 155, 0, 0, 0, 155, 36, 0, 0, 0, 4, 0, 4, 0, 0, 113, 1, 0, 0, 0, 0, 113, 19, 0, 0, 0, 96, 1, 1, 1, 0, 0.0, 1.0, 1.0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 100.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "31220", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=31220", 0.0, 100.0, 0.0),
(2420, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Institut Catholique Paris - Licence - Information et communication - Parcours Humanités et diversité des langages", "Licence - Sciences humaines et sociales", "Humanités et diversité des langages", 120, 724, 561, 724, 0, 548, 27, 34, 1, 2, 0, 140, 0, 0, 0, 0, 0, 489, 0, 0, 0, 395, 17, 24, 0, 2, 0, 68, 332, 117, 88, 117, 0, 99.0, 115.0, 115.0, 0, 4, 100, 96, 4, 0, 17, 0, 2, 43, 50, 5, 0.0, 94, 4, 0, 0, 0, 28, 87, 84.62, 98.29, 98.29, 75.1875, 28.0, 87.0, 0, 4.0, 85.5, 0.0, 2.0, 43.0, 50.0, 5.0, 0.0, 96.0, 94.0, 4.0, 4.0, 0.0, 0.0, 281.0, 11.0, 0.0, 0.0, 42.0, "Tous les candidats", 349.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "21818", "Licence - Information et communication - Parcours Humanités et diversité des langages", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21818&g_ta_cod=21818", 97.0, 3.0, 0.0),
(2421, "Public", "0410978R", "I.U.T de Blois", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BUT", "I.U.T de Blois - BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques", "BUT - Production", "Techniques d'instrumentation - Matériaux et contrôles physico-chimiques", 56, 432, 70, 410, 0, 275, 28, 43, 10, 1, 0, 91, 22, 6, 0, 1, 15, 330, 14, 0, 0, 215, 14, 39, 9, 0, 0, 76, 307, 34, 5, 30, 4, 15.0, 30.0, 32.0, 0, 3, 21, 14, 7, 0, 13, 0, 3, 13, 5, 0, 0.0, 12, 6, 0, 0, 0, 16, 16, 44.12, 88.24, 94.12, 14.69921875, 76.1875, 76.1875, 0, 14.298828125, 61.796875, 0.0, 14.298828125, 61.8984375, 23.796875, 0.0, 0.0, 66.6875, 57.09375, 33.296875, 28.59765625, 0.0, 0.0, 195.0, 14.0, 0.0, 0.0, 82.0, "Tous les candidats sauf les Bac technologiques", 290.0, "Bacheliers technologiques toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 80.0, "5263", "BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5263&g_ta_cod=5263", 74.0, 24.0, 0.0),
(2422, "Privé sous contrat d'association", "0831458J", "Yncréa méditérranée", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 80, 1306, 301, 1286, 0, 1279, 127, 0, 0, 0, 0, 7, 20, 18, 0, 0, 2, 1209, 19, 0, 0, 1209, 112, 0, 0, 0, 0, 0, 1178, 34, 7, 25, 9, 23.0, 25.0, 34.0, 0, 4, 32, 32, 0, 0, 2, 0, 8, 14, 6, 4, 0.0, 24, 0, 0, 0, 0, 14, 14, 67.65, 73.53, 100.0, 20.59765625, 43.796875, 43.796875, 0, 12.5, 94.09375, 0.0, 25.0, 43.796875, 18.796875, 12.5, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 1176.0, 110.0, 0.0, 0.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "91", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=91", 100.0, 0.0, 0.0),
(2423, "Public", "0910676R", "Lycée Clement Ader", "91", "Essonne", "Ile-de-France", "Versailles", "Athis-Mons", "formation sélective", "BTS", "Lycée Clement Ader - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 274, 10, 264, 0, 4, 0, 33, 9, 156, 68, 71, 10, 0, 5, 0, 5, 214, 0, 0, 0, 4, 0, 31, 8, 137, 57, 42, 119, 23, 0, 23, 0, 4.0, 18.0, 19.0, 0, 9, 18, 0, 3, 15, 5, 0, 8, 8, 1, 1, 0.0, 0, 0, 10, 3, 0, 16, 16, 17.39, 78.26, 82.61, 0.0, 88.890625, 88.890625, 16.69921875, 50.0, 78.296875, 0.0, 44.3984375, 44.3984375, 5.599609375, 5.6, 0.0, 0.0, 0.0, 16.69921875, 0.0, 83.296875, 55.59375, 1.0, 0.0, 75.0, 29.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 98, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 55.0, "10869", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10869&g_ta_cod=10869", 4.0, 26.0, 70.0),
(2424, "Public", "9710002A", "LGT Gerville Reache", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "BTS", "LGT Gerville Reache - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 31, 234, 120, 211, 0, 58, 24, 65, 39, 39, 27, 49, 23, 0, 7, 6, 10, 109, 7, 0, 0, 40, 17, 33, 23, 21, 17, 15, 73, 24, 10, 17, 5, 6.0, 14.0, 18.0, 0, 14, 22, 4, 11, 7, 2, 0, 13, 8, 1, 0, 0.0, 3, 4, 2, 5, 3, 22, 22, 25.0, 58.33, 75.0, 41.6953125, 100.0, 100.0, 22.69921875, 63.59375, 91.6875, 0.0, 59.09375, 36.3984375, 4.5, 0.0, 0.0, 18.19921875, 13.599609375, 50.0, 18.19921875, 31.796875, 9.099609375, 9.0, 4.0, 18.0, 15.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 32.0, "11731", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11731&g_ta_cod=11731", 17.0, 50.0, 33.0),
(2425, "Public", "0750708M", "Lycée Des métiers Jean DROUANT", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "Autre formation", "Lycée Des métiers Jean DROUANT - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 12, 175, 119, 175, 0, 6, 0, 6, 3, 126, 67, 37, 0, 0, 0, 0, 0, 140, 0, 0, 0, 0, 0, 6, 3, 104, 55, 30, 52, 11, 7, 11, 0, 6.0, 8.0, 10.0, 0, 4, 8, 0, 0, 8, 3, 0, 4, 3, 1, 0, 0.0, 0, 0, 4, 0, 0, 3, 8, 54.55, 72.73, 90.91, 63.59375, 37.5, 100.0, 0, 50.0, 72.6875, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 42.0, 22.0, 8.0, "Tous les candidats", 69.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "21224", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21224&g_ta_cod=21224", 0.0, 0.0, 100.0),
(2426, "Public", "0750711R", "Lycée Henri Bergson-Jacquard", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Henri Bergson-Jacquard - BTS - Services - Assurance (Seconde année en apprentissage)", "BTS - Services", "", 24, 1155, 619, 964, 0, 87, 41, 355, 169, 191, 110, 331, 191, 4, 113, 0, 74, 196, 5, 0, 0, 21, 13, 69, 28, 87, 59, 19, 103, 23, 12, 18, 4, 4.0, 13.0, 19.0, 0, 7, 17, 4, 7, 6, 6, 0, 10, 6, 0, 1, 0.0, 1, 3, 3, 0, 0, 3, 17, 17.39, 56.52, 82.61, 52.1953125, 17.59765625, 100.0, 0, 41.1953125, 73.890625, 0.0, 58.796875, 35.296875, 0.0, 5.9, 0.0, 23.5, 5.8994140625, 41.1953125, 17.59765625, 35.296875, 17.59765625, 16.0, 9.0, 23.0, 14.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 14.0, "14784", "BTS - Services - Assurance (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14784&g_ta_cod=14784", 35.0, 39.0, 26.0),
(2427, "Public", "0750508V", "Lycée professionnel Charles De Gaulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 20e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Charles De Gaulle - Mention complémentaire - Services financiers", "Mention complémentaire", "", 15, 184, 95, 184, 0, 4, 2, 18, 9, 111, 57, 51, 0, 0, 0, 0, 0, 154, 0, 0, 0, 4, 2, 16, 9, 110, 57, 24, 57, 7, 3, 7, 0, 2.0, 3.0, 6.0, 0, 4, 6, 0, 0, 6, 1, 0, 3, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 3, 6, 28.57, 42.86, 85.71, 42.8984375, 50.0, 100.0, 0, 66.6875, 85.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 45.0, 21.0, 8.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "25431", "Mention complémentaire - Services financiers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25431&g_ta_cod=25431", 0.0, 0.0, 100.0),
(2428, "Public", "0690042W", "Lycée Colbert", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Lycée Colbert - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 3432, 1802, 3432, 0, 251, 66, 1523, 627, 786, 381, 872, 0, 0, 0, 0, 0, 818, 0, 0, 0, 54, 8, 425, 141, 262, 116, 77, 190, 34, 15, 33, 0, 3.0, 23.0, 27.0, 0, 12, 29, 0, 15, 14, 5, 0, 3, 16, 8, 2, 0.0, 0, 13, 13, 1, 0, 25, 25, 8.82, 67.65, 79.41, 44.09375, 86.1875, 86.1875, 3.39990234375, 41.3984375, 85.296875, 0.0, 10.298828125, 55.1953125, 27.59765625, 6.9, 0.0, 0.0, 0.0, 51.6953125, 44.796875, 48.296875, 44.796875, 15.0, 5.0, 64.0, 24.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 114, "Bacheliers technologiques toutes séries", 144, "Liste d'appel propre à cette formation", 8.0, "22246", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22246&g_ta_cod=22246", 6.0, 50.0, 44.0),
(2429, "Public", "0693478F", "Lycée Condorcet", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Priest", "formation sélective", "BTS", "Lycée Condorcet - BTS - Services - Communication", "BTS - Services", "", 31, 1453, 1018, 1430, 0, 239, 41, 524, 209, 197, 92, 470, 23, 1, 0, 15, 7, 476, 0, 0, 0, 120, 14, 228, 83, 83, 33, 45, 177, 31, 24, 29, 0, 2.0, 15.0, 20.0, 0, 14, 27, 3, 18, 6, 4, 0, 9, 16, 1, 1, 0.0, 3, 12, 3, 4, 4, 18, 18, 6.45, 48.39, 64.52, 77.390625, 66.6875, 66.6875, 14.798828125, 51.8984375, 87.09375, 0.0, 33.296875, 59.296875, 3.69970703125, 3.7, 0.0, 11.099609375, 11.099609375, 66.6875, 44.3984375, 22.19921875, 11.099609375, 32.0, 5.0, 31.0, 10.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 125, "Liste d'appel propre à cette formation", 15.0, "8569", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8569&g_ta_cod=8569", 13.0, 65.0, 23.0),
(2430, "Public", "0951811C", "Lycée F. Et N. Leger", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "BTS", "Lycée F. Et N. Leger - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 30, 1393, 1274, 1393, 0, 35, 15, 279, 130, 621, 309, 458, 0, 0, 0, 0, 0, 1364, 0, 0, 0, 35, 15, 279, 130, 594, 291, 456, 131, 26, 24, 26, 0, 0.0, 15.0, 22.0, 0, 8, 24, 0, 8, 16, 2, 0, 7, 9, 5, 3, 0.0, 0, 3, 14, 12, 12, 22, 24, 0.0, 57.69, 84.62, 92.296875, 91.6875, 100.0, 50, 33.296875, 92.296875, 0.0, 29.19921875, 37.5, 20.796875, 12.5, 0.0, 0.0, 0.0, 33.296875, 12.5, 66.6875, 58.296875, 14.0, 7.0, 33.0, 13.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 105, "Liste d'appel propre à cette formation", 12.0, "11652", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11652&g_ta_cod=11652", 8.0, 31.0, 62.0),
(2431, "Public", "0570146Z", "Lycée Julie Daubie", "57", "Moselle", "Grand Est", "Nancy-Metz", "Rombas", "formation sélective", "BTS", "Lycée Julie Daubie - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 98, 7, 95, 0, 4, 0, 39, 8, 28, 7, 24, 3, 0, 2, 0, 1, 50, 1, 0, 0, 4, 0, 25, 5, 15, 4, 6, 41, 15, 1, 14, 1, 6.0, 12.0, 13.0, 0, 3, 14, 0, 8, 6, 1, 0, 3, 6, 5, 0, 0.0, 0, 6, 5, 13, 1, 14, 14, 40.0, 80.0, 86.67, 6.69921875, 100.0, 100.0, 92.890625, 21.3984375, 93.296875, 0.0, 21.3984375, 42.8984375, 35.6953125, 0.0, 0.0, 0.0, 0.0, 57.09375, 42.8984375, 42.8984375, 35.6953125, 2.0, 0.0, 14.0, 4.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 44.0, "6566", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6566&g_ta_cod=6566", 0.0, 60.0, 40.0),
(2432, "Public", "0333358W", "I.U.T. de Bordeaux - Site Bordeaux-Bastide", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BUT", "I.U.T. de Bordeaux - Site Bordeaux-Bastide - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", 130, 6166, 3274, 6166, 0, 3622, 470, 1738, 401, 69, 24, 737, 0, 0, 0, 0, 0, 1412, 0, 0, 0, 241, 25, 1148, 266, 2, 1, 21, 246, 130, 77, 130, 0, 60.0, 126.0, 129.0, 0, 32, 128, 60, 67, 1, 2, 0, 4, 43, 60, 21, 0.0, 59, 64, 1, 0, 0, 114, 114, 46.15, 96.92, 99.23, 59.1953125, 89.09375, 89.09375, 0, 25.0, 98.5, 0.0, 3.099609375, 33.59375, 46.8984375, 16.4, 0.0, 46.8984375, 46.09375, 52.296875, 50.0, 0.7999267578125, 0.7999267578125, 118.0, 20.0, 1.0, 1.0, 7.0, "Tous les candidats sauf les Bac technologiques", 136.0, "Bacheliers technologiques toutes séries", 146, "", 0, "Liste d'appel propre à cette formation", 5.0, "4465", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4465&g_ta_cod=4465", 47.0, 52.0, 1.0),
(2433, "Privé sous contrat d'association", "0721684P", "Lycée Polyvalent Saint-Charles Sainte-Croix", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Saint-Charles Sainte-Croix - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 323, 29, 323, 0, 62, 9, 105, 18, 71, 23, 85, 0, 0, 0, 0, 0, 266, 0, 0, 0, 60, 9, 88, 16, 69, 22, 49, 106, 30, 2, 30, 0, 7.0, 19.0, 23.0, 0, 10, 22, 6, 8, 8, 8, 0, 7, 9, 6, 0, 0.0, 2, 7, 6, 5, 1, 16, 16, 23.33, 63.33, 76.67, 6.69921875, 72.6875, 72.6875, 22.69921875, 45.5, 73.296875, 0.0, 31.796875, 40.8984375, 27.296875, 0.0, 0.0, 27.296875, 9.099609375, 36.3984375, 31.796875, 36.3984375, 27.296875, 23.0, 5.0, 39.0, 12.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 45.0, "8730", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8730&g_ta_cod=8730", 37.0, 37.0, 27.0),
(2434, "Public", "0330135T", "Lycée Alfred Kastler", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "BTS", "Lycée Alfred Kastler - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 30, 466, 68, 460, 0, 53, 5, 132, 20, 92, 31, 183, 6, 0, 2, 0, 4, 342, 1, 0, 0, 53, 5, 132, 20, 92, 31, 65, 158, 25, 2, 24, 1, 2.0, 14.0, 21.0, 0, 8, 18, 1, 8, 9, 7, 0, 7, 8, 2, 1, 0.0, 0, 4, 7, 2, 0, 12, 12, 8.0, 56.0, 84.0, 8.0, 66.6875, 66.6875, 11.099609375, 44.3984375, 72.0, 0.0, 38.8984375, 44.3984375, 11.099609375, 5.6, 0.0, 5.599609375, 0.0, 44.3984375, 22.19921875, 50.0, 38.8984375, 16.0, 3.0, 45.0, 15.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 144, "Liste d'appel propre à cette formation", 51.0, "4322", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4322&g_ta_cod=4322", 12.0, 44.0, 44.0),
(2435, "Public", "0590063Y", "Lycée Albert Chatelet", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "CPGE", "Lycée Albert Chatelet - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 976, 674, 976, 697, 774, 118, 5, 0, 1, 1, 196, 0, 0, 0, 0, 0, 761, 0, 640, 482, 686, 95, 2, 0, 1, 1, 72, 260, 45, 35, 45, 0, 23.0, 38.0, 44.0, 17, 7, 45, 45, 0, 0, 0, 0, 0, 0, 11, 23, 11.0, 45, 0, 0, 2, 1, 42, 42, 51.11, 84.44, 97.78, 77.796875, 93.296875, 93.296875, 4.3994140625, 15.599609375, 100.0, 0.0, 0.0, 0.0, 24.3984375, 51.1, 24.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 254.0, 38.0, 0.0, 0.0, 6.0, "Tous les candidats", 310.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "6736", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6736&g_ta_cod=6736", 100.0, 0.0, 0.0),
(2436, "Public", "0930831Y", "Lycée professionnel Aristide Briand", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Le Blanc-Mesnil", "formation sélective", "Autre formation", "Lycée professionnel Aristide Briand - Mention complémentaire - Aéronautique option avions à moteur à turbines", "Mention complémentaire", "", 12, 81, 1, 81, 0, 0, 0, 1, 0, 75, 20, 5, 0, 0, 0, 0, 0, 73, 0, 0, 0, 0, 0, 1, 0, 69, 20, 3, 22, 13, 0, 13, 0, 6.0, 13.0, 13.0, 0, 3, 13, 0, 0, 13, 0, 0, 0, 8, 2, 3, 0.0, 0, 0, 13, 0, 0, 9, 9, 46.15, 100.0, 100.0, 0.0, 69.1875, 69.1875, 0, 23.09765625, 100.0, 0.0, 0.0, 61.5, 15.3984375, 23.1, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 21.0, 6.0, 1.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "15030", "Mention complémentaire - Aéronautique option avions à moteur à turbines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15030&g_ta_cod=15030", 0.0, 0.0, 100.0),
(2437, "Public", "9741620T", "Lycée Mémona Hintermann-Afféjee", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée Mémona Hintermann-Afféjee - BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "BTS - Services", "", 10, 287, 52, 287, 0, 85, 24, 78, 35, 29, 16, 95, 0, 0, 0, 0, 0, 155, 0, 0, 0, 71, 21, 47, 23, 16, 9, 21, 19, 10, 3, 10, 0, 4.0, 7.0, 7.0, 0, 4, 7, 1, 5, 1, 3, 0, 2, 3, 2, 0, 0.0, 1, 3, 1, 2, 1, 6, 6, 40.0, 70.0, 70.0, 30.0, 85.6875, 85.6875, 28.59765625, 57.09375, 70.0, 0.0, 28.59765625, 42.8984375, 28.59765625, 0.0, 0.0, 14.298828125, 14.298828125, 71.390625, 42.8984375, 14.298828125, 14.298828125, 5.0, 2.0, 2.0, 2.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 2, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 5.0, "22703", "BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22703&g_ta_cod=22703", 20.0, 60.0, 20.0),
(2438, "Privé sous contrat d'association", "0440980B", "Lycée agricole Campus de Briacé", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Le Landreau", "formation sélective", "BTS", "Lycée agricole Campus de Briacé - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 32, 550, 210, 550, 0, 150, 14, 140, 23, 137, 29, 123, 0, 0, 0, 0, 0, 550, 0, 0, 0, 150, 14, 140, 23, 137, 29, 123, 120, 32, 11, 32, 0, 10.0, 28.0, 29.0, 0, 4, 25, 7, 7, 11, 7, 0, 3, 15, 6, 1, 0.0, 6, 6, 10, 1, 0, 17, 17, 31.25, 87.5, 90.63, 34.3984375, 68.0, 68.0, 4, 16.0, 78.09375, 0.0, 12.0, 60.0, 24.0, 4.0, 0.0, 28.0, 24.0, 28.0, 24.0, 44.0, 40.0, 43.0, 7.0, 24.0, 6.0, 26.0, "Tous les candidats sauf les Bac professionnels", 130.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 30.0, "5552", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5552&g_ta_cod=5552", 41.0, 25.0, 34.0),
(2439, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Sciences de la vie - Parcours International", "Licence - Sciences - technologies - santé", "International", 12, 820, 600, 820, 0, 553, 86, 9, 1, 0, 0, 258, 0, 0, 0, 0, 0, 263, 0, 0, 0, 210, 27, 2, 0, 0, 0, 51, 33, 12, 7, 12, 0, 4.0, 12.0, 12.0, 0, 3, 11, 11, 0, 0, 1, 1, 0, 0, 6, 4, 0.0, 10, 0, 0, 0, 0, 8, 8, 33.33, 100.0, 100.0, 58.296875, 72.6875, 72.6875, 0, 27.296875, 91.6875, 9.099609375, 0.0, 0.0, 54.5, 36.4, 0.0, 100.0, 90.890625, 0.0, 0.0, 0.0, 0.0, 27.0, 6.0, 0.0, 0.0, 6.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "31201", "Licence - Sciences de la vie - Parcours International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31201&g_ta_cod=31201", 100.0, 0.0, 0.0),
(2440, "Privé enseignement supérieur", "0530959E", "Facultés libres de l'ouest - UCO - Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Laval - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 50, 149, 75, 126, 0, 101, 14, 8, 2, 5, 4, 12, 23, 9, 3, 0, 11, 126, 23, 0, 0, 101, 14, 8, 2, 5, 4, 12, 124, 23, 13, 19, 4, 15.0, 19.0, 21.0, 0, 2, 18, 17, 1, 0, 5, 0, 4, 9, 4, 1, 0.0, 13, 1, 0, 0, 0, 10, 10, 65.22, 82.61, 91.3, 56.5, 55.59375, 55.59375, 0, 11.099609375, 78.296875, 0.0, 22.19921875, 50.0, 22.19921875, 5.6, 0.0, 94.390625, 72.1875, 5.599609375, 5.599609375, 0.0, 0.0, 91.0, 11.0, 3.0, 2.0, 21.0, "Tous les candidats", 126.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6235", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6235&g_ta_cod=6235", 91.0, 9.0, 0.0),
(2441, "Privé sous contrat d'association", "0623135W", "IFSI Croix Rouge Française Bethune", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 116, 4142, 3293, 4142, 0, 762, 177, 837, 266, 394, 165, 2149, 0, 0, 0, 0, 0, 3442, 0, 0, 0, 701, 158, 694, 207, 308, 121, 1739, 1364, 115, 104, 115, 0, 2.0, 51.0, 86.0, 0, 28, 70, 13, 39, 18, 45, 0, 13, 40, 10, 7, 0.0, 12, 31, 14, 0, 0, 65, 65, 1.74, 44.35, 74.78, 90.390625, 92.890625, 92.890625, 0, 40.0, 60.8984375, 0.0, 18.59765625, 57.09375, 14.298828125, 10.0, 0.0, 18.59765625, 17.09765625, 55.6953125, 44.296875, 25.69921875, 20.0, 304.0, 64.0, 157.0, 61.0, 597.0, "Tous les candidats", 4495.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "23148", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23148", 35.0, 43.0, 22.0),
(2442, "Public", "0230002C", "Lycée Eugène JAMOT", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Aubusson", "formation sélective", "BTS", "Lycée Eugène JAMOT - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 19, 647, 100, 580, 0, 42, 9, 59, 23, 60, 21, 419, 67, 1, 8, 22, 36, 93, 15, 0, 0, 25, 3, 33, 13, 34, 8, 1, 75, 18, 0, 12, 6, 9.0, 12.0, 15.0, 0, 4, 16, 4, 5, 7, 2, 0, 5, 5, 5, 1, 0.0, 1, 4, 6, 7, 0, 11, 11, 50.0, 66.67, 83.33, 0.0, 68.796875, 68.796875, 43.796875, 25.0, 88.890625, 0.0, 31.296875, 31.296875, 31.296875, 6.3, 0.0, 25.0, 6.2998046875, 31.296875, 25.0, 43.796875, 37.5, 13.0, 1.0, 33.0, 9.0, 8.0, "Tous les candidats sauf les Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 16.0, "3389", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3389&g_ta_cod=3389", 33.0, 28.0, 39.0),
(2443, "Public", "0470019R", "Lycée agricole DE SAINTE LIVRADE", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Sainte-Livrade-sur-Lot", "formation sélective", "BTS", "Lycée agricole DE SAINTE LIVRADE - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 24, 317, 199, 311, 0, 73, 11, 72, 19, 41, 12, 125, 6, 2, 1, 0, 3, 212, 4, 0, 0, 73, 11, 66, 16, 35, 9, 38, 96, 23, 17, 22, 1, 6.0, 16.0, 20.0, 0, 4, 16, 3, 8, 5, 7, 0, 9, 4, 3, 0, 0.0, 1, 3, 3, 6, 5, 15, 15, 26.09, 69.57, 86.96, 73.890625, 93.796875, 93.796875, 37.5, 25.0, 69.59375, 0.0, 56.296875, 25.0, 18.796875, 0.0, 0.0, 18.796875, 6.2998046875, 50.0, 18.796875, 31.296875, 18.796875, 36.0, 8.0, 12.0, 4.0, 30.0, "Tous les candidats sauf les Bac professionnels", 144.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 52.0, "5774", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5774&g_ta_cod=5774", 35.0, 43.0, 22.0),
(2444, "Public", "0692523T", "IFSI Clémenceau", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Genis-Laval", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lyon - D.E Infirmier", "D.E secteur sanitaire", "", 149, 8418, 7168, 8418, 0, 1389, 315, 1461, 434, 948, 405, 4620, 0, 0, 0, 0, 0, 6249, 0, 0, 0, 1241, 254, 1165, 310, 598, 244, 3245, 1532, 149, 126, 149, 0, 3.0, 43.0, 110.0, 0, 21, 75, 40, 21, 14, 74, 0, 12, 44, 17, 2, 0.0, 33, 18, 12, 0, 0, 49, 49, 2.01, 28.86, 73.83, 84.59375, 65.296875, 65.296875, 0, 28.0, 50.296875, 0.0, 16.0, 58.6953125, 22.69921875, 2.7, 0.0, 53.296875, 44.0, 28.0, 24.0, 18.69921875, 16.0, 403.0, 73.0, 149.0, 70.0, 644.0, "Tous les candidats", 3423.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "23165", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23001&g_ta_cod=23165", 52.0, 24.0, 23.0),
(2445, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Droit - Parcours Droit Franco-Allemand", "Licence - Droit-économie-gestion", "Droit Franco-Allemand", 24, 150, 107, 108, 0, 80, 3, 5, 3, 2, 2, 21, 42, 15, 1, 0, 26, 62, 11, 0, 0, 52, 0, 0, 0, 0, 0, 10, 66, 22, 17, 20, 2, 3.0, 20.0, 21.0, 0, 0, 18, 18, 0, 0, 4, 0, 0, 2, 8, 7, 1.0, 18, 0, 0, 0, 0, 3, 3, 13.64, 90.91, 95.45, 77.296875, 16.69921875, 16.69921875, 0, 0.0, 81.796875, 0.0, 0.0, 11.099609375, 44.3984375, 38.9, 5.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 53.0, 1.0, 0.0, 0.0, 13.0, "Tous les candidats", 62.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "23833", "Licence - Droit - Parcours Droit Franco-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23833&g_ta_cod=23833", 100.0, 0.0, 0.0),
(2446, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence_Las", "Université Côte d'Azur - Licence - Portail Sciences de l'Homme, Anthropologie, Ethnologie", "Licence - Sciences humaines et sociales", "", 45, 390, 289, 353, 0, 144, 27, 17, 4, 6, 2, 186, 37, 8, 1, 0, 28, 351, 34, 0, 0, 144, 27, 17, 4, 6, 2, 184, 273, 44, 35, 30, 14, 0.0, 15.0, 32.0, 0, 3, 13, 12, 1, 0, 31, 0, 6, 5, 1, 1, 0.0, 7, 0, 0, 0, 0, 8, 8, 0.0, 34.09, 72.73, 79.5, 61.5, 61.5, 0, 23.09765625, 29.5, 0.0, 46.1953125, 38.5, 7.69921875, 7.7, 0.0, 92.296875, 53.796875, 7.69921875, 0.0, 0.0, 0.0, 87.0, 14.0, 3.0, 1.0, 174.0, "Tous les candidats", 740.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "27483", "Licence - Portail Sciences de l'Homme, Anthropologie, Ethnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27482&g_ta_cod=27483", 93.0, 5.0, 2.0),
(2447, "Public", "0830081M", "Centre de Ressources, d'Expertise et de Performance Sportive PACA - site de Boulouris (CREPS)", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Saint-Raphaël", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive PACA - site de Boulouris (CREPS) - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 9, 91, 25, 61, 0, 17, 3, 15, 5, 6, 1, 23, 30, 10, 3, 5, 12, 14, 5, 0, 0, 5, 1, 1, 0, 0, 0, 8, 19, 9, 3, 5, 4, 4.0, 5.0, 5.0, 0, 1, 3, 3, 0, 0, 6, 0, 1, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 1, 1, 44.44, 55.56, 55.56, 33.296875, 33.296875, 33.296875, 0, 33.296875, 33.296875, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 6.0, 1.0, 0.0, 0.0, 12.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "26736", "BPJEPS - Activités aquatiques et de la natation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26736&g_ta_cod=26736", 67.0, 22.0, 11.0),
(2448, "Public", "0690128P", "Lycée Edouard Branly", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 530, 45, 530, 0, 43, 12, 171, 75, 175, 66, 141, 0, 0, 0, 0, 0, 219, 0, 0, 0, 30, 5, 80, 35, 82, 22, 27, 84, 17, 0, 17, 0, 1.0, 7.0, 13.0, 0, 8, 15, 1, 7, 7, 2, 0, 5, 8, 1, 1, 0.0, 0, 5, 5, 0, 0, 15, 15, 5.88, 41.18, 76.47, 0.0, 100.0, 100.0, 0, 53.296875, 88.1875, 0.0, 33.296875, 53.296875, 6.69921875, 6.7, 0.0, 6.69921875, 0.0, 46.6953125, 33.296875, 46.6953125, 33.296875, 4.0, 4.0, 40.0, 15.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 27.0, "8250", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8250&g_ta_cod=8250", 12.0, 47.0, 41.0),
(2449, "Public", "0290070U", "Lycée Jean Chaptal", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Jean Chaptal - BTS - Services - Economie sociale familiale", "BTS - Services", "", 28, 630, 582, 629, 0, 68, 18, 180, 34, 211, 65, 170, 1, 1, 0, 0, 0, 552, 0, 0, 0, 61, 17, 180, 34, 178, 58, 133, 156, 26, 25, 26, 0, 2.0, 17.0, 23.0, 0, 5, 24, 4, 11, 9, 2, 0, 9, 10, 4, 1, 0.0, 2, 5, 8, 5, 5, 22, 22, 7.69, 65.38, 88.46, 96.1875, 91.6875, 91.6875, 20.796875, 20.796875, 92.296875, 0.0, 37.5, 41.6953125, 16.69921875, 4.2, 0.0, 16.69921875, 8.298828125, 45.796875, 20.796875, 37.5, 33.296875, 25.0, 8.0, 45.0, 12.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 101.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 41.0, "3799", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3799&g_ta_cod=3799", 23.0, 42.0, 35.0),
(2450, "Privé sous contrat d'association", "0440246D", "LPO Sacré-Coeur La Salle", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LPO Sacré-Coeur La Salle - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 748, 373, 746, 0, 103, 11, 283, 64, 212, 70, 148, 2, 1, 0, 0, 1, 614, 0, 0, 0, 55, 6, 279, 63, 195, 61, 85, 214, 23, 11, 23, 0, 4.0, 16.0, 19.0, 0, 8, 19, 2, 7, 10, 4, 0, 8, 7, 3, 1, 0.0, 1, 3, 7, 6, 3, 18, 18, 17.39, 69.57, 82.61, 47.796875, 94.6875, 94.6875, 31.59765625, 42.09375, 82.59375, 0.0, 42.09375, 36.796875, 15.798828125, 5.3, 0.0, 10.5, 5.2998046875, 36.796875, 15.798828125, 52.59375, 36.796875, 45.0, 5.0, 53.0, 22.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 102, "Bacheliers technologiques toutes séries", 134, "Liste d'appel propre à cette formation", 43.0, "5501", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5501&g_ta_cod=5501", 22.0, 30.0, 43.0),
(2451, "Public", "0650026A", "Lycée Marie Curie", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Commerce International", "BTS - Services", "", 24, 592, 313, 592, 0, 179, 40, 161, 51, 90, 42, 162, 0, 0, 0, 0, 0, 592, 0, 0, 0, 179, 40, 161, 51, 90, 42, 162, 136, 23, 17, 23, 0, 5.0, 17.0, 21.0, 0, 7, 18, 9, 4, 5, 5, 0, 4, 10, 4, 0, 0.0, 6, 3, 5, 3, 2, 13, 13, 21.74, 73.91, 91.3, 73.890625, 72.1875, 72.1875, 16.69921875, 38.8984375, 78.296875, 0.0, 22.19921875, 55.59375, 22.19921875, 0.0, 0.0, 50.0, 33.296875, 22.19921875, 16.69921875, 27.796875, 27.796875, 52.0, 14.0, 33.0, 13.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 98.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 39.0, "7807", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7807&g_ta_cod=7807", 57.0, 17.0, 26.0),
(2452, "Public", "0211217J", "LEGTA La Barotte - Haute Côte-d'Or", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Châtillon-sur-Seine", "formation sélective", "BTS", "LEGTA La Barotte - Haute Côte-d'Or - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 22, 239, 103, 239, 0, 21, 4, 52, 12, 36, 13, 130, 0, 0, 0, 0, 0, 111, 0, 0, 0, 21, 4, 51, 12, 35, 12, 4, 81, 12, 5, 12, 0, 3.0, 12.0, 12.0, 0, 3, 12, 2, 2, 8, 0, 0, 8, 2, 1, 1, 0.0, 0, 0, 4, 9, 3, 11, 11, 25.0, 100.0, 100.0, 41.6953125, 91.6875, 91.6875, 75, 25.0, 100.0, 0.0, 66.6875, 16.69921875, 8.298828125, 8.3, 0.0, 16.69921875, 0.0, 16.69921875, 0.0, 66.6875, 33.296875, 17.0, 3.0, 28.0, 9.0, 4.0, "Tous les candidats sauf les Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 46.0, "15847", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15847&g_ta_cod=15847", 17.0, 17.0, 67.0),
(2453, "Privé enseignement supérieur", "0542260N", "CESI Campus de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Villers-lès-Nancy", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 70, 890, 130, 844, 0, 638, 72, 56, 15, 0, 0, 150, 46, 22, 1, 0, 23, 646, 16, 0, 0, 515, 41, 47, 11, 0, 0, 84, 261, 46, 5, 40, 6, 30.0, 40.0, 44.0, 0, 4, 41, 37, 4, 0, 5, 0, 8, 19, 13, 1, 0.0, 29, 4, 0, 0, 0, 34, 34, 65.22, 86.96, 95.65, 10.8984375, 82.890625, 82.890625, 0, 9.798828125, 89.09375, 0.0, 19.5, 46.296875, 31.69921875, 2.4, 0.0, 90.1875, 70.6875, 9.798828125, 9.798828125, 0.0, 0.0, 190.0, 16.0, 0.0, 0.0, 58.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "25187", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25187", 89.0, 11.0, 0.0),
(2454, "Privé sous contrat d'association", "0600075R", "ESCOM Chimie Compiègne", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 100, 1601, 754, 1601, 0, 1594, 116, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 1278, 0, 0, 0, 1278, 79, 0, 0, 0, 0, 0, 1086, 119, 78, 119, 0, 119.0, 119.0, 119.0, 0, 8, 119, 119, 0, 0, 0, 0, 1, 44, 57, 16, 1.0, 118, 0, 0, 0, 0, 18, 18, 100.0, 100.0, 100.0, 65.5, 15.099609375, 15.099609375, 0, 6.69921875, 100.0, 0.0, 0.7999267578125, 37.0, 47.8984375, 13.4, 0.8, 100.0, 99.1875, 0.0, 0.0, 0.0, 0.0, 1086.0, 77.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "84", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=84", 100.0, 0.0, 0.0),
(2455, "Public", "0133015G", "Lycée Pierre Mendès France", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Vitrolles", "formation sélective", "Autre formation", "Lycée Pierre Mendès France - Mention complémentaire - Aéronautique option hélicoptère moteur à turbines", "Mention complémentaire", "", 8, 101, 7, 101, 0, 0, 0, 0, 0, 90, 20, 11, 0, 0, 0, 0, 0, 101, 0, 0, 0, 0, 0, 0, 0, 90, 20, 11, 29, 6, 0, 6, 0, 2.0, 4.0, 5.0, 0, 2, 6, 0, 0, 6, 0, 0, 0, 3, 3, 0, 0.0, 0, 0, 6, 0, 0, 6, 6, 33.33, 66.67, 83.33, 0.0, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 29.0, 6.0, 0.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "17441", "Mention complémentaire - Aéronautique option hélicoptère moteur à turbines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17441&g_ta_cod=17441", 0.0, 0.0, 100.0),
(2456, "Public", "0210047M", "Lycée Anna Judic Semur en Auxois", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Semur-en-Auxois", "formation sélective", "BTS", "Lycée Anna Judic Semur en Auxois - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 131, 87, 131, 0, 11, 1, 37, 11, 46, 17, 37, 0, 0, 0, 0, 0, 125, 0, 0, 0, 11, 1, 37, 11, 44, 17, 33, 113, 21, 13, 17, 0, 4.0, 15.0, 16.0, 0, 4, 15, 1, 4, 10, 6, 0, 6, 6, 3, 0, 0.0, 1, 1, 7, 11, 6, 14, 14, 19.05, 71.43, 76.19, 61.8984375, 93.296875, 93.296875, 73.296875, 26.69921875, 71.390625, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 6.69921875, 6.69921875, 26.69921875, 6.69921875, 66.6875, 46.6953125, 9.0, 1.0, 42.0, 14.0, 27.0, "Tous les candidats sauf les Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 87.0, "3204", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3204&g_ta_cod=3204", 19.0, 29.0, 52.0),
(2457, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Sciences du langage, Lettres", "Licence - Sciences humaines et sociales", "Sciences du langage, Lettres", 112, 631, 518, 457, 0, 273, 72, 24, 8, 14, 9, 146, 174, 30, 9, 2, 133, 451, 164, 0, 0, 272, 72, 24, 8, 14, 9, 141, 587, 96, 78, 46, 50, 25.0, 46.0, 71.0, 0, 17, 43, 35, 4, 4, 53, 0, 18, 14, 8, 3, 0.0, 22, 0, 3, 0, 0, 27, 27, 26.04, 47.92, 73.96, 81.296875, 62.796875, 62.796875, 0, 39.5, 44.796875, 0.0, 41.8984375, 32.59375, 18.59765625, 7.0, 0.0, 81.390625, 51.1953125, 9.298828125, 0.0, 9.298828125, 7.0, 294.0, 77.0, 15.0, 9.0, 248.0, "Tous les candidats", 568.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "12591", "Licence - Portail Sciences du langage, Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28499&g_ta_cod=12591", 79.0, 9.0, 10.0),
(2458, "Public", "0530012A", "LGT Réaumur - Lycée des métiers", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "LGT Réaumur - Lycée des métiers - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 962, 830, 958, 0, 88, 23, 241, 72, 277, 88, 352, 4, 0, 0, 0, 4, 425, 0, 0, 0, 58, 10, 130, 35, 152, 37, 85, 182, 30, 28, 30, 0, 4.0, 23.0, 29.0, 0, 3, 21, 5, 7, 9, 9, 0, 3, 11, 6, 1, 0.0, 3, 6, 9, 1, 1, 12, 12, 13.33, 76.67, 96.67, 93.296875, 57.09375, 57.09375, 4.7998046875, 14.298828125, 70.0, 0.0, 14.298828125, 52.3984375, 28.59765625, 4.8, 0.0, 23.796875, 14.298828125, 33.296875, 28.59765625, 42.8984375, 42.8984375, 20.0, 4.0, 63.0, 14.0, 45.0, "Tous les candidats sauf les Bac professionnels", 195.0, "Bacheliers professionnels toutes séries", 110, "", 0, "Liste d'appel propre à cette formation", 32.0, "6205", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6205&g_ta_cod=6205", 30.0, 33.0, 37.0),
(2459, "Public", "0590185F", "Lycée Jean Moulin", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Jean Moulin - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 24, 326, 103, 264, 0, 61, 15, 54, 19, 111, 43, 38, 62, 10, 10, 11, 31, 112, 10, 0, 0, 39, 10, 28, 10, 42, 18, 3, 80, 13, 5, 11, 2, 6.0, 10.0, 12.0, 0, 4, 12, 3, 3, 6, 1, 0, 8, 1, 3, 0, 0.0, 0, 0, 4, 4, 1, 12, 12, 46.15, 76.92, 92.31, 38.5, 100.0, 100.0, 33.296875, 33.296875, 92.296875, 0.0, 66.6875, 8.298828125, 25.0, 0.0, 0.0, 25.0, 0.0, 25.0, 0.0, 50.0, 33.296875, 27.0, 7.0, 27.0, 10.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers technologiques toutes séries", 30, "Bacheliers professionnels toutes séries", 36, "Liste d'appel propre à cette formation", 40.0, "33252", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33252&g_ta_cod=33252", 23.0, 23.0, 46.0),
(2460, "Public", "0521032P", "Lycée Charles De Gaulle", "52", "Haute-Marne", "Grand Est", "Reims", "Chaumont", "formation sélective", "BTS", "Lycée Charles De Gaulle - BTS - Production - Développement et Réalisation Bois", "BTS - Production", "", 15, 135, 21, 135, 0, 8, 3, 19, 3, 62, 13, 46, 0, 0, 0, 0, 0, 103, 0, 0, 0, 8, 3, 19, 3, 60, 11, 16, 67, 10, 0, 10, 0, 5.0, 7.0, 9.0, 0, 2, 9, 0, 1, 8, 1, 0, 2, 5, 2, 0, 0.0, 0, 0, 7, 2, 0, 5, 5, 50.0, 70.0, 90.0, 0.0, 55.59375, 55.59375, 22.19921875, 22.19921875, 90.0, 0.0, 22.19921875, 55.59375, 22.19921875, 0.0, 0.0, 0.0, 0.0, 11.099609375, 0.0, 88.890625, 77.796875, 3.0, 1.0, 43.0, 7.0, 12.0, "Tous les candidats sauf les Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 63.0, "6187", "BTS - Production - Développement et Réalisation Bois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6187&g_ta_cod=6187", 0.0, 10.0, 80.0),
(2461, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Portail Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "", 57, 573, 98, 529, 0, 355, 66, 53, 5, 2, 1, 119, 44, 10, 0, 1, 33, 523, 26, 0, 0, 355, 66, 53, 5, 2, 1, 113, 373, 42, 5, 30, 12, 2.0, 23.0, 34.0, 0, 4, 25, 20, 5, 0, 17, 0, 18, 5, 1, 1, 0.0, 5, 2, 0, 0, 0, 22, 22, 4.76, 54.76, 80.95, 11.8984375, 88.0, 88.0, 0, 16.0, 59.5, 0.0, 72.0, 20.0, 4.0, 4.0, 0.0, 80.0, 20.0, 20.0, 8.0, 0.0, 0.0, 257.0, 45.0, 3.0, 2.0, 99.0, "Tous les candidats", 580.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "3539", "Licence - Portail Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27296&g_ta_cod=3539", 81.0, 17.0, 2.0),
(2462, "Public", "0680169P", "I.U.T. de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BUT", "I.U.T. de Mulhouse - BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience-Création numérique-Développement web et dispositifs interactifs", "BUT - Production", "Stratégie de communication numérique et design d'expérience-Création numérique-Développement web et dispositifs interactifs", 54, 1362, 411, 1362, 0, 610, 113, 324, 79, 52, 19, 376, 0, 0, 0, 0, 0, 685, 0, 0, 0, 338, 46, 204, 43, 3, 1, 140, 244, 53, 12, 53, 0, 4.0, 42.0, 50.0, 0, 8, 45, 23, 22, 0, 8, 0, 11, 26, 7, 1, 0.0, 17, 17, 0, 0, 0, 30, 30, 7.55, 79.25, 94.34, 22.59765625, 66.6875, 66.6875, 0, 17.796875, 84.890625, 0.0, 24.3984375, 57.796875, 15.599609375, 2.2, 0.0, 51.09375, 37.796875, 48.8984375, 37.796875, 0.0, 0.0, 111.0, 18.0, 1.0, 1.0, 50.0, "Tous les candidats sauf les Bac technologiques", 217.0, "Bacheliers technologiques toutes séries", 167, "", 0, "Liste d'appel propre à cette formation", 28.0, "8142", "BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience-Création numérique-Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8142&g_ta_cod=8142", 51.0, 49.0, 0.0),
(2463, "Public", "0310047H", "Lycée Ozenne", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Ozenne - CPGE - ENS Rennes D1", "Classe préparatoire économique et commerciale", "", 30, 1509, 1092, 1509, 0, 1391, 168, 5, 1, 0, 0, 113, 0, 0, 0, 0, 0, 750, 0, 0, 750, 727, 79, 0, 0, 0, 0, 23, 220, 35, 31, 35, 0, 9.0, 28.0, 34.0, 0, 5, 35, 35, 0, 0, 0, 0, 0, 0, 9, 26, 0.0, 35, 0, 0, 2, 2, 16, 16, 25.71, 80.0, 97.14, 88.59375, 45.6953125, 45.6953125, 5.69921875, 14.298828125, 100.0, 0.0, 0.0, 0.0, 25.69921875, 74.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 213.0, 27.0, 0.0, 0.0, 7.0, "Tous les candidats", 313.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "4070", "CPGE - ENS Rennes D1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4070&g_ta_cod=4070", 100.0, 0.0, 0.0),
(2464, "Privé sous contrat d'association", "0331591A", "Lycée Bel Orme", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Bel Orme - BTS - Services - Gestion de la PME", "BTS - Services", "", 33, 452, 259, 452, 0, 60, 11, 178, 45, 117, 42, 97, 0, 0, 0, 0, 0, 332, 0, 0, 0, 36, 5, 133, 28, 74, 27, 89, 180, 25, 19, 25, 0, 5.0, 15.0, 18.0, 0, 1, 15, 1, 7, 7, 10, 0, 4, 5, 4, 2, 0.0, 1, 3, 7, 3, 3, 12, 12, 20.0, 60.0, 72.0, 76.0, 80.0, 80.0, 20, 6.69921875, 60.0, 0.0, 26.69921875, 33.296875, 26.69921875, 13.3, 0.0, 6.69921875, 6.69921875, 46.6953125, 20.0, 46.6953125, 46.6953125, 15.0, 5.0, 30.0, 8.0, 60.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 96, "Liste d'appel propre à cette formation", 46.0, "4361", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4361&g_ta_cod=4361", 24.0, 44.0, 32.0),
(2465, "Privé sous contrat d'association", "0290186V", "Lycée Le Paraclet", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "Autre formation", "Lycée Le Paraclet - DN MADE - Graphisme - - Spécialité : Communication visuelle et supports imprimés", "DN MADE", "- Spécialité : Communication visuelle et supports imprimés", 40, 385, 252, 385, 0, 178, 29, 65, 11, 50, 11, 92, 0, 0, 0, 0, 0, 283, 0, 0, 0, 151, 26, 58, 9, 33, 6, 41, 149, 43, 30, 43, 0, 8.0, 30.0, 39.0, 0, 6, 32, 19, 7, 6, 11, 0, 10, 12, 10, 0, 0.0, 13, 4, 5, 0, 0, 27, 27, 18.6, 69.77, 90.7, 69.796875, 84.390625, 84.390625, 0, 18.796875, 74.390625, 0.0, 31.296875, 37.5, 31.296875, 0.0, 0.0, 59.3984375, 40.59375, 21.8984375, 12.5, 18.796875, 15.599609375, 74.0, 11.0, 18.0, 4.0, 23.0, "Tous les candidats", 192.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "21610", "DN MADE - Graphisme - - Spécialité : Communication visuelle et supports imprimés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21610&g_ta_cod=21610", 65.0, 19.0, 14.0),
(2466, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Portail ISI - Informatique et Sciences pour l'Ingénieur", "Licence - Sciences - technologies - santé", "ISI - Informatique et Sciences pour l'Ingénieur", 130, 686, 109, 562, 0, 350, 54, 44, 5, 5, 1, 163, 124, 18, 3, 1, 102, 562, 93, 0, 0, 350, 54, 44, 5, 5, 1, 163, 625, 100, 11, 70, 30, 34.0, 67.0, 95.0, 0, 14, 46, 40, 5, 1, 54, 0, 30, 13, 3, 0, 0.0, 15, 1, 0, 0, 0, 38, 38, 34.0, 67.0, 95.0, 11.0, 82.59375, 82.59375, 0, 30.3984375, 46.0, 0.0, 65.1875, 28.296875, 6.5, 0.0, 0.0, 87.0, 32.59375, 10.8984375, 2.19970703125, 2.19970703125, 0.0, 350.0, 55.0, 6.0, 1.0, 230.0, "Tous les candidats", 589.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23593", "Licence - Portail ISI - Informatique et Sciences pour l'Ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28023&g_ta_cod=23593", 86.0, 11.0, 3.0),
(2467, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Licence", "Université Clermont Auvergne - Licence - Double diplôme - Licence Etudes européennes et internationales - Etudes européennes et internationales franco-italiennes, double diplôme Cursus Conservazione dei Beni Culturali - Studi italo-francesi (Univ. d'Udine)", "Licence - Arts-lettres-langues", "Etudes européennes et internationales franco-italiennes, double diplôme Cursus Conservazione dei Beni Culturali - Studi italo-francesi (Univ. d'Udine)", 25, 99, 82, 68, 0, 56, 9, 1, 0, 0, 0, 11, 31, 13, 0, 2, 16, 63, 7, 0, 0, 53, 8, 1, 0, 0, 0, 9, 70, 17, 15, 15, 2, 15.0, 15.0, 17.0, 0, 1, 13, 13, 0, 0, 4, 0, 1, 5, 7, 0, 0.0, 12, 0, 0, 0, 0, 4, 4, 88.24, 88.24, 100.0, 88.1875, 30.796875, 30.796875, 0, 7.69921875, 76.5, 0.0, 7.69921875, 38.5, 53.796875, 0.0, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 57.0, 10.0, 0.0, 0.0, 12.0, "Tous les candidats", 63.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "7648", "Licence - Double diplôme - Licence Etudes européennes et internationales - Etudes européennes et internationales franco-italiennes, double diplôme Cursus Conservazione dei Beni Culturali - Studi italo-francesi (Univ. d'Udine)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7648&g_ta_cod=7648", 100.0, 0.0, 0.0),
(2468, "Privé sous contrat d'association", "0860789R", "Ensemble scolaire Isaac de l'Etoile - Le Porteau", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Ensemble scolaire Isaac de l'Etoile - Le Porteau - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 35, 237, 60, 195, 0, 16, 1, 32, 11, 58, 13, 89, 42, 1, 0, 11, 30, 98, 22, 0, 0, 16, 1, 23, 9, 50, 10, 9, 105, 23, 5, 16, 7, 9.0, 16.0, 21.0, 0, 6, 17, 2, 3, 12, 6, 0, 6, 5, 4, 2, 0.0, 2, 2, 7, 4, 1, 9, 9, 39.13, 69.57, 91.3, 21.69921875, 52.8984375, 52.8984375, 23.5, 35.296875, 73.890625, 0.0, 35.296875, 29.3984375, 23.5, 11.8, 0.0, 11.798828125, 11.798828125, 17.59765625, 11.798828125, 70.59375, 41.1953125, 13.0, 0.0, 51.0, 15.0, 23.0, "Tous les candidats sauf les Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 53, "", 0, "Liste d'appel propre à cette formation", 48.0, "10616", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10616&g_ta_cod=10616", 22.0, 17.0, 61.0),
(2469, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "PASS", "Université Clermont Auvergne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Accès à Kinésithérapie + Ergothérapie +  Orthoptie", 40, 2137, 1417, 2137, 0, 1697, 187, 72, 12, 12, 4, 356, 0, 0, 0, 0, 0, 2137, 0, 0, 0, 1697, 187, 72, 12, 12, 4, 356, 266, 40, 23, 40, 0, 1.0, 29.0, 36.0, 0, 4, 39, 39, 0, 0, 1, 0, 6, 17, 14, 2, 0.0, 33, 0, 0, 0, 0, 38, 38, 2.5, 72.5, 90.0, 57.5, 97.390625, 97.390625, 0, 10.298828125, 97.5, 0.0, 15.3984375, 43.59375, 35.8984375, 5.1, 0.0, 100.0, 84.59375, 0.0, 0.0, 0.0, 0.0, 265.0, 34.0, 0.0, 0.0, 1.0, "Tous les candidats", 407.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 17.0, "32156", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32152&g_ta_cod=32156", 98.0, 3.0, 0.0),
(2470, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Institut Catholique Paris - Licence - Histoire - Parcours Histoire-Science politique", "Licence - Sciences humaines et sociales", "Histoire-Science politique", 150, 1742, 913, 1742, 0, 1480, 58, 16, 1, 0, 0, 246, 0, 0, 0, 0, 0, 1017, 0, 0, 0, 927, 27, 3, 0, 0, 0, 87, 711, 174, 112, 174, 0, 141.0, 146.0, 168.0, 0, 10, 167, 167, 0, 0, 7, 1, 0, 8, 115, 42, 1.0, 166, 0, 0, 0, 0, 44, 127, 81.03, 83.91, 96.55, 64.390625, 26.296875, 76.0, 0, 6.0, 96.0, 0.5999755859375, 0.0, 4.7998046875, 68.890625, 25.1, 0.6, 100.0, 99.390625, 0.0, 0.0, 0.0, 0.0, 662.0, 21.0, 0.0, 0.0, 48.0, "Tous les candidats", 751.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "21816", "Licence - Histoire - Parcours Histoire-Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21816&g_ta_cod=21816", 100.0, 0.0, 0.0),
(2471, "Public", "0261505V", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 462, 54, 418, 0, 62, 8, 128, 38, 103, 35, 125, 44, 0, 26, 0, 18, 230, 16, 0, 0, 37, 4, 86, 20, 81, 29, 26, 163, 31, 1, 21, 10, 3.0, 19.0, 25.0, 0, 10, 23, 2, 8, 13, 8, 0, 8, 10, 4, 1, 0.0, 1, 2, 12, 7, 0, 17, 17, 9.68, 61.29, 80.65, 3.19970703125, 73.890625, 73.890625, 30.3984375, 43.5, 74.1875, 0.0, 34.796875, 43.5, 17.3984375, 4.3, 0.0, 8.69921875, 4.2998046875, 34.796875, 8.69921875, 56.5, 52.1953125, 12.0, 3.0, 45.0, 15.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 102, "Liste d'appel propre à cette formation", 44.0, "16824", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16824&g_ta_cod=16824", 10.0, 48.0, 42.0),
(2472, "Privé sous contrat d'association", "0851682S", "IFSI - CROIX ROUGE FRANCAISE - St Jean-de-Monts", "85", "Vendée", "Pays de la Loire", "Nantes", "Saint-Jean-de-Monts", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nantes - D.E Infirmier", "D.E secteur sanitaire", "", 35, 3381, 2900, 3381, 0, 593, 92, 574, 105, 494, 151, 1720, 0, 0, 0, 0, 0, 2980, 0, 0, 0, 562, 85, 510, 86, 428, 125, 1480, 493, 34, 31, 34, 0, 0.0, 7.0, 15.0, 0, 5, 19, 4, 8, 7, 15, 0, 2, 9, 7, 1, 0.0, 3, 7, 7, 0, 0, 13, 13, 0.0, 20.59, 44.12, 91.1875, 68.390625, 68.390625, 0, 26.296875, 55.8984375, 0.0, 10.5, 47.3984375, 36.796875, 5.3, 0.0, 21.09765625, 15.798828125, 42.09375, 36.796875, 36.796875, 36.796875, 70.0, 8.0, 87.0, 30.0, 261.0, "Tous les candidats", 2267.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "25318", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22994&g_ta_cod=25318", 44.0, 24.0, 32.0),
(2473, "Privé enseignement supérieur", "0752139T", "IPC-Facultés Libres de Philosophie et de Psycholog", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "Licence", "IPC-Facultés Libres de Philosophie et de Psycholog - Double licence - Philosophie / Psychologie - Double licence Philosophie - Psychologie", "Licence - Sciences humaines et sociales", "Double licence Philosophie - Psychologie", 15, 1013, 812, 556, 0, 282, 29, 50, 17, 29, 11, 195, 457, 80, 50, 23, 304, 57, 1, 0, 0, 50, 1, 2, 1, 0, 0, 5, 39, 17, 16, 16, 1, 6.0, 13.0, 16.0, 0, 2, 16, 15, 1, 0, 1, 0, 0, 5, 4, 7, 0.0, 15, 1, 0, 0, 0, 2, 10, 35.29, 76.47, 94.12, 94.09375, 12.5, 62.5, 0, 12.5, 94.09375, 0.0, 0.0, 31.296875, 25.0, 43.8, 0.0, 93.796875, 93.796875, 6.2998046875, 6.2998046875, 0.0, 0.0, 36.0, 1.0, 0.0, 0.0, 2.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "32685", "Double licence - Philosophie / Psychologie - Double licence Philosophie - Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32685&g_ta_cod=32685", 94.0, 6.0, 0.0),
(2474, "Public", "0301577B", "Université de Montpellier, Antenne de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "PASS", "Université de Montpellier, Antenne de Nîmes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 38, 954, 609, 954, 0, 665, 148, 26, 7, 7, 4, 256, 0, 0, 0, 0, 0, 954, 0, 0, 0, 665, 148, 26, 7, 7, 4, 256, 471, 32, 22, 32, 0, 0.0, 10.0, 26.0, 0, 4, 26, 23, 3, 0, 6, 0, 8, 11, 7, 0, 0.0, 17, 1, 0, 0, 0, 10, 10, 0.0, 31.25, 81.25, 68.796875, 38.5, 38.5, 0, 15.3984375, 81.296875, 0.0, 30.796875, 42.296875, 26.8984375, 0.0, 0.0, 88.5, 65.390625, 11.5, 3.7998046875, 0.0, 0.0, 321.0, 70.0, 2.0, 2.0, 137.0, "Tous les candidats", 3414.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 80.0, "31856", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28811&g_ta_cod=31856", 91.0, 9.0, 0.0),
(2475, "Public", "0671509B", "Lycée des métiers CFA Heinrich-Nessel", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Haguenau", "formation sélective", "BTS", "Lycée des métiers CFA Heinrich-Nessel - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 14, 160, 17, 143, 0, 10, 2, 43, 18, 34, 15, 56, 17, 0, 8, 0, 9, 91, 1, 0, 0, 10, 2, 36, 18, 30, 13, 15, 66, 13, 1, 12, 1, 0.0, 11.0, 12.0, 0, 3, 9, 2, 5, 2, 4, 0, 7, 2, 0, 0, 0.0, 0, 0, 2, 2, 1, 6, 6, 0.0, 84.62, 92.31, 7.69921875, 66.6875, 66.6875, 22.19921875, 33.296875, 69.1875, 0.0, 77.796875, 22.19921875, 0.0, 0.0, 0.0, 22.19921875, 0.0, 55.59375, 0.0, 22.19921875, 22.19921875, 7.0, 1.0, 25.0, 10.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 57.0, "16146", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16146&g_ta_cod=16146", 23.0, 54.0, 23.0),
(2476, "Public", "0460028F", "Lycée Louis Vicat", "46", "Lot", "Occitanie", "Toulouse", "Souillac", "formation sélective", "BTS", "Lycée Louis Vicat - BTS - Production - Bâtiment", "BTS - Production", "", 24, 369, 67, 369, 0, 15, 4, 81, 12, 54, 16, 219, 0, 0, 0, 0, 0, 216, 0, 0, 0, 14, 3, 81, 12, 54, 16, 67, 105, 22, 2, 22, 0, 1.0, 10.0, 20.0, 0, 4, 18, 0, 9, 9, 4, 0, 12, 4, 2, 0, 0.0, 0, 2, 4, 0, 0, 6, 6, 4.55, 45.45, 90.91, 9.099609375, 33.296875, 33.296875, 0, 22.19921875, 81.796875, 0.0, 66.6875, 22.19921875, 11.099609375, 0.0, 0.0, 0.0, 0.0, 50.0, 11.099609375, 50.0, 22.19921875, 4.0, 1.0, 40.0, 12.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 38.0, "5747", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5747&g_ta_cod=5747", 5.0, 45.0, 50.0),
(2477, "Privé enseignement supérieur", "0352349N", "Institut Catholique de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Bruz", "formation sélective", "Licence", "Institut Catholique de Rennes - Licence - Lettres - Parcours Lettres Modernes - Enseignement et culture générale", "Licence - Arts-lettres-langues", "Lettres Modernes - Enseignement et culture générale", 80, 12, 11, 10, 0, 8, 0, 1, 0, 0, 0, 1, 2, 1, 0, 0, 1, 8, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 8, 5, 5, 5, 0, 5.0, 5.0, 5.0, 0, 0, 5, 5, 0, 0, 0, 0, 2, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 5, 5, 100.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 0.0, 0.0, 8.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "13726", "Licence - Lettres - Parcours Lettres Modernes - Enseignement et culture générale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13726&g_ta_cod=13726", 100.0, 0.0, 0.0),
(2478, "Public", "0690038S", "Lycée La Martinière Duchère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "BTS", "Lycée La Martinière Duchère - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 2302, 1245, 2302, 0, 211, 56, 1017, 399, 521, 244, 553, 0, 0, 0, 0, 0, 799, 0, 0, 0, 85, 17, 341, 119, 253, 109, 120, 208, 25, 10, 25, 0, 5.0, 18.0, 23.0, 0, 7, 17, 0, 11, 6, 8, 0, 1, 12, 2, 2, 0.0, 0, 11, 5, 4, 1, 17, 17, 20.0, 72.0, 92.0, 40.0, 100.0, 100.0, 23.5, 41.1953125, 68.0, 0.0, 5.8994140625, 70.59375, 11.798828125, 11.8, 0.0, 0.0, 0.0, 64.6875, 64.6875, 35.296875, 29.3984375, 24.0, 8.0, 54.0, 23.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 114, "Bacheliers technologiques toutes séries", 165, "Liste d'appel propre à cette formation", 15.0, "8219", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8219&g_ta_cod=8219", 0.0, 52.0, 48.0),
(2479, "Privé sous contrat d'association", "0622196A", "Lycée Baudimont Saint-Charles", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "Autre formation", "Lycée Baudimont Saint-Charles - Mention complémentaire - Organisateur de réception", "Mention complémentaire", "", 30, 16, 4, 15, 0, 0, 0, 2, 1, 12, 2, 1, 1, 0, 0, 1, 0, 15, 1, 0, 0, 0, 0, 2, 1, 12, 2, 1, 18, 4, 1, 3, 1, 3.0, 3.0, 4.0, 0, 1, 4, 0, 0, 4, 0, 0, 2, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 3, 3, 75.0, 75.0, 100.0, 25.0, 75.0, 75.0, 0, 25.0, 100.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 15.0, 4.0, 1.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12452", "Mention complémentaire - Organisateur de réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12452&g_ta_cod=12452", 0.0, 0.0, 100.0),
(2480, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 275, 1784, 1302, 1435, 0, 809, 244, 127, 49, 51, 28, 448, 349, 75, 34, 15, 225, 1425, 331, 0, 0, 809, 244, 127, 49, 51, 28, 438, 1429, 273, 186, 135, 138, 32.0, 133.0, 216.0, 0, 54, 142, 94, 30, 18, 131, 3, 69, 55, 14, 1, 0.0, 51, 9, 10, 0, 0, 64, 64, 11.72, 48.72, 79.12, 68.09375, 45.09375, 45.09375, 0, 38.0, 52.0, 2.099609375, 48.59375, 38.6953125, 9.8984375, 0.7, 0.0, 66.1875, 35.8984375, 21.09765625, 6.2998046875, 12.69921875, 7.0, 733.0, 218.0, 45.0, 26.0, 524.0, "Tous les candidats", 1425.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4559", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4559&g_ta_cod=4559", 67.0, 20.0, 12.0),
(2481, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "Licence", "Université du Mans - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours IFMK du Centre Hospitalier de Laval (Institut de Formation en Masso-Kinésithérapie)", "Licence - Sciences - technologies - santé", "IFMK du Centre Hospitalier de Laval (Institut de Formation en Masso-Kinésithérapie)", 30, 1047, 520, 1047, 0, 698, 69, 72, 10, 5, 3, 272, 0, 0, 0, 0, 0, 899, 0, 0, 0, 586, 61, 70, 10, 1, 1, 242, 56, 30, 13, 30, 0, 12.0, 27.0, 28.0, 0, 2, 28, 28, 0, 0, 2, 0, 0, 1, 19, 8, 0.0, 28, 0, 0, 0, 0, 28, 28, 40.0, 90.0, 93.33, 43.296875, 100.0, 100.0, 0, 7.099609375, 93.296875, 0.0, 0.0, 3.599609375, 67.890625, 28.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 5.0, 0.0, 0.0, 6.0, "Tous les candidats", 58.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "17171", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours IFMK du Centre Hospitalier de Laval (Institut de Formation en Masso-Kinésithérapie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17171&g_ta_cod=17171", 100.0, 0.0, 0.0),
(2482, "Public", "0210019G", "Lycée Le Castel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Autre formation", "Lycée Le Castel - Diplôme de Comptabilité et de Gestion", "DCG", "", 36, 651, 296, 516, 0, 211, 43, 101, 33, 12, 5, 192, 135, 23, 14, 11, 87, 243, 19, 0, 0, 156, 25, 56, 16, 0, 0, 31, 172, 28, 15, 20, 8, 3.0, 20.0, 27.0, 0, 4, 22, 16, 6, 0, 6, 0, 9, 7, 4, 2, 0.0, 8, 5, 0, 0, 0, 15, 15, 10.71, 71.43, 96.43, 53.59375, 68.1875, 68.1875, 0, 18.19921875, 78.59375, 0.0, 40.8984375, 31.796875, 18.19921875, 9.1, 0.0, 72.6875, 36.3984375, 27.296875, 22.69921875, 0.0, 0.0, 114.0, 19.0, 0.0, 0.0, 34.0, "Tous les candidats", 238.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "3200", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3200&g_ta_cod=3200", 79.0, 21.0, 0.0),
(2483, "Public", "0630021F", "Lycée La Fayette", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Autre formation", "Lycée La Fayette - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 63, 16, 9, 0, 0, 0.0, 0.0, 8.0, 0, 9, 15, 0, 0, 15, 1, 0, 10, 5, 0, 0, 0.0, 0, 0, 5, 0, 0, 15, 15, 0.0, 0.0, 50.0, 56.296875, 100.0, 100.0, 0, 60.0, 93.796875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 33.296875, 0.0, 0.0, 59.0, 32.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22562", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(2484, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 160, 1079, 778, 920, 0, 620, 169, 74, 33, 34, 12, 192, 159, 30, 16, 16, 97, 910, 143, 0, 0, 620, 169, 74, 33, 34, 12, 182, 847, 155, 104, 109, 46, 14.0, 108.0, 129.0, 0, 36, 99, 73, 10, 16, 56, 2, 39, 35, 19, 4, 0.0, 46, 2, 10, 0, 0, 73, 73, 9.03, 69.68, 83.23, 67.09375, 73.6875, 73.6875, 0, 36.3984375, 63.8984375, 2.0, 39.3984375, 35.3984375, 19.19921875, 4.0, 0.0, 73.6875, 46.5, 10.099609375, 2.0, 16.19921875, 10.099609375, 514.0, 140.0, 35.0, 17.0, 233.0, "Tous les candidats", 910.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "5338", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5338&g_ta_cod=5338", 63.0, 17.0, 17.0),
(2485, "Public", "0763237F", "Lycée Georges Baptiste", "76", "Seine-Maritime", "Normandie", "Normandie", "Canteleu", "formation sélective", "BTS", "Lycée Georges Baptiste - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 36, 262, 119, 262, 0, 0, 0, 74, 19, 139, 45, 49, 0, 0, 0, 0, 0, 248, 0, 0, 0, 0, 0, 72, 17, 130, 41, 46, 131, 33, 11, 33, 0, 11.0, 29.0, 31.0, 0, 8, 29, 0, 14, 15, 4, 0, 4, 7, 11, 7, 0.0, 0, 13, 12, 16, 4, 28, 28, 33.33, 87.88, 93.94, 33.296875, 96.59375, 96.59375, 55.1953125, 27.59765625, 87.890625, 0.0, 13.798828125, 24.09765625, 37.8984375, 24.1, 0.0, 0.0, 0.0, 48.296875, 44.796875, 51.6953125, 41.3984375, 0.0, 0.0, 55.0, 20.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 74.0, "9770", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9770&g_ta_cod=9770", 6.0, 48.0, 45.0),
(2486, "Public", "0762646N", "IFSI CH du Rouvray Sotteville", "76", "Seine-Maritime", "Normandie", "Normandie", "Sotteville-lès-Rouen", "formation sélective", "IFSI", "Regroupement d'IFSI Université Rouen - D.E Infirmier", "D.E secteur sanitaire", "", 94, 2576, 2204, 2576, 0, 514, 116, 484, 141, 266, 103, 1312, 0, 0, 0, 0, 0, 2278, 0, 0, 0, 505, 113, 437, 116, 232, 91, 1104, 873, 94, 79, 94, 0, 2.0, 53.0, 80.0, 0, 25, 62, 26, 26, 10, 32, 2, 14, 27, 17, 2, 0.0, 17, 19, 10, 0, 0, 58, 58, 2.13, 56.38, 85.11, 84.0, 93.5, 93.5, 0, 40.296875, 66.0, 3.19970703125, 22.59765625, 43.5, 27.3984375, 3.2, 0.0, 41.8984375, 27.3984375, 41.8984375, 30.59765625, 16.09765625, 16.09765625, 277.0, 59.0, 65.0, 31.0, 361.0, "Tous les candidats", 1783.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "25266", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23005&g_ta_cod=25266", 55.0, 32.0, 13.0),
(2487, "Privé enseignement supérieur", "0442777E", "Facultés libres de l'ouest - UCO - Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Rezé", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Licence - Portail Histoire", "Licence - Sciences humaines et sociales", "", 50, 426, 180, 377, 0, 292, 42, 33, 8, 15, 4, 37, 49, 15, 8, 2, 24, 377, 47, 0, 0, 292, 42, 33, 8, 15, 4, 37, 336, 19, 5, 14, 5, 6.0, 14.0, 18.0, 0, 0, 14, 12, 1, 1, 5, 0, 5, 4, 5, 0, 0.0, 9, 0, 0, 0, 0, 14, 14, 31.58, 73.68, 94.74, 26.296875, 100.0, 100.0, 0, 0.0, 73.6875, 0.0, 35.6953125, 28.59765625, 35.6953125, 0.0, 0.0, 85.6875, 64.296875, 7.099609375, 0.0, 7.099609375, 0.0, 241.0, 35.0, 12.0, 2.0, 51.0, "Tous les candidats", 613.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "24437", "Licence - Portail Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28781&g_ta_cod=24437", 79.0, 5.0, 16.0),
(2488, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Eurasie - Turc", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères, parcours Eurasie - Turc", 100, 292, 213, 195, 0, 63, 36, 29, 18, 14, 9, 89, 97, 13, 12, 7, 65, 195, 72, 0, 0, 63, 36, 29, 18, 14, 9, 89, 263, 82, 59, 47, 35, 28.0, 46.0, 65.0, 0, 14, 24, 11, 8, 5, 58, 0, 19, 3, 2, 0, 0.0, 4, 0, 1, 0, 0, 2, 17, 34.15, 56.1, 79.27, 72.0, 8.298828125, 70.796875, 0, 58.296875, 29.296875, 0.0, 79.1875, 12.5, 8.298828125, 0.0, 0.0, 45.796875, 16.69921875, 33.296875, 0.0, 20.796875, 4.19921875, 71.0, 39.0, 19.0, 13.0, 134.0, "Tous les candidats", 221.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9437", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Eurasie - Turc", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29637&g_ta_cod=9437", 59.0, 22.0, 13.0),
(2489, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie de l?Est - Chinois", "Licence - Arts-lettres-langues", "Asie de l?Est - Chinois", 150, 577, 439, 577, 0, 244, 54, 27, 15, 26, 17, 280, 0, 0, 0, 0, 0, 577, 0, 0, 0, 244, 54, 27, 15, 26, 17, 280, 318, 145, 117, 145, 0, 115.0, 128.0, 138.0, 0, 17, 43, 34, 9, 0, 102, 0, 16, 18, 4, 5, 0.0, 21, 6, 0, 0, 0, 18, 29, 79.31, 88.28, 95.17, 80.6875, 41.8984375, 67.390625, 0, 39.5, 29.69921875, 0.0, 37.1953125, 41.8984375, 9.298828125, 11.6, 0.0, 79.09375, 48.796875, 20.8984375, 14.0, 0.0, 0.0, 134.0, 39.0, 5.0, 5.0, 165.0, "Tous les candidats", 344.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "9395", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie de l?Est - Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9395&g_ta_cod=9395", 80.0, 15.0, 5.0),
(2490, "Public", "0150006A", "Lycée Jean Monnet - Mermoz", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "BTS", "Lycée Jean Monnet - Mermoz - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 359, 163, 293, 0, 32, 8, 115, 29, 81, 33, 65, 66, 0, 40, 0, 26, 180, 2, 0, 0, 28, 5, 77, 20, 62, 23, 13, 125, 26, 14, 26, 0, 6.0, 22.0, 26.0, 0, 6, 22, 3, 5, 14, 4, 0, 5, 9, 7, 1, 0.0, 2, 2, 13, 6, 0, 12, 12, 23.08, 84.62, 100.0, 53.796875, 54.5, 54.5, 27.296875, 27.296875, 84.59375, 0.0, 22.69921875, 40.8984375, 31.796875, 4.5, 0.0, 13.599609375, 9.099609375, 22.69921875, 9.099609375, 63.59375, 59.09375, 16.0, 4.0, 37.0, 15.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 56.0, "2950", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2950&g_ta_cod=2950", 19.0, 27.0, 54.0),
(2491, "Privé sous contrat d'association", "0442699V", "Lycée général privé Externat Chavagnes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "Lycée général privé Externat Chavagnes - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 612, 434, 612, 0, 486, 36, 0, 0, 1, 0, 125, 0, 0, 0, 0, 0, 413, 0, 0, 413, 354, 25, 0, 0, 0, 0, 59, 221, 46, 32, 46, 0, 1.0, 31.0, 43.0, 0, 4, 45, 45, 0, 0, 1, 0, 0, 20, 24, 1, 0.0, 45, 0, 0, 0, 0, 19, 19, 2.17, 67.39, 93.48, 69.59375, 42.1953125, 42.1953125, 0, 8.8984375, 97.796875, 0.0, 0.0, 44.3984375, 53.296875, 2.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 210.0, 14.0, 0.0, 0.0, 11.0, "Tous les candidats", 275.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "5489", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5489&g_ta_cod=5489", 100.0, 0.0, 0.0),
(2492, "Public", "0261100E", "Lycée professionnel Amblard", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "Autre formation", "Lycée professionnel Amblard - DN MADE - Objet - - Spécialité : bijou, matériaux et usages", "DN MADE", "- Spécialité : bijou, matériaux et usages", 15, 280, 227, 280, 0, 93, 14, 91, 20, 19, 6, 77, 0, 0, 0, 0, 0, 100, 0, 0, 0, 26, 3, 41, 7, 2, 1, 31, 65, 11, 7, 11, 0, 2.0, 9.0, 11.0, 0, 1, 8, 3, 5, 0, 3, 0, 0, 5, 2, 1, 0.0, 3, 5, 0, 0, 0, 4, 4, 18.18, 81.82, 100.0, 63.59375, 50.0, 50.0, 0, 12.5, 72.6875, 0.0, 0.0, 62.5, 25.0, 12.5, 0.0, 37.5, 37.5, 62.5, 62.5, 0.0, 0.0, 18.0, 1.0, 1.0, 0.0, 20.0, "Tous les candidats", 95.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "24366", "DN MADE - Objet - - Spécialité : bijou, matériaux et usages", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24366&g_ta_cod=24366", 36.0, 55.0, 0.0),
(2493, "Privé sous contrat d'association", "0754037F", "Lycée Fenelon Sup La Plaine Monceau", "75", "Paris", "Ile-de-France", "Paris", "Paris  8e  Arrondissement", "formation sélective", "BTS", "Lycée Fenelon Sup La Plaine Monceau - BTS - Services - Economie sociale familiale", "BTS - Services", "", 70, 607, 531, 478, 0, 43, 7, 106, 29, 187, 88, 142, 129, 4, 36, 25, 64, 347, 41, 0, 0, 42, 7, 98, 25, 134, 62, 73, 302, 48, 39, 35, 13, 6.0, 26.0, 33.0, 0, 9, 28, 5, 12, 11, 20, 0, 22, 5, 1, 0, 0.0, 1, 1, 4, 0, 0, 5, 24, 12.5, 54.17, 68.75, 81.296875, 17.8984375, 85.6875, 0, 32.09375, 58.296875, 0.0, 78.59375, 17.8984375, 3.599609375, 0.0, 0.0, 17.8984375, 3.599609375, 42.8984375, 3.599609375, 39.296875, 14.298828125, 36.0, 6.0, 111.0, 50.0, 73.0, "Tous les candidats sauf les Bac professionnels", 171.0, "Bacheliers professionnels toutes séries", 160, "", 0, "Liste d'appel propre à cette formation", 69.0, "9502", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9502&g_ta_cod=9502", 25.0, 31.0, 44.0),
(2494, "Public", "0692185A", "INSTITUT DES SCIENCES ET TECHNIQUES DE LA READAPTATION UNIVERSITE LYON 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Autre formation", "Regroupement Auvergne Rhône Alpes et PACA - Certificat de capacité d'Orthoptiste", "D.E secteur sanitaire", "", 40, 970, 849, 970, 0, 252, 62, 46, 18, 3, 1, 669, 0, 0, 0, 0, 0, 444, 0, 0, 0, 150, 22, 7, 1, 0, 0, 287, 200, 40, 36, 40, 0, 4.0, 24.0, 32.0, 0, 3, 22, 22, 0, 0, 18, 0, 0, 14, 6, 2, 0.0, 22, 0, 0, 0, 0, 10, 10, 10.0, 60.0, 80.0, 90.0, 45.5, 45.5, 0, 13.599609375, 55.0, 0.0, 0.0, 63.59375, 27.296875, 9.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 80.0, 16.0, 0.0, 0.0, 120.0, "Tous les candidats", 292.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "28087", "Certificat de capacité d'Orthoptiste", "Regroupement Auvergne Rhône Alpes et PACA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28086&g_ta_cod=28087", 100.0, 0.0, 0.0),
(2495, "Public", "0420041S", "Lycée Claude Fauriel", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "CPGE", "Lycée Claude Fauriel - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 1753, 523, 1753, 1223, 1372, 195, 2, 1, 0, 0, 379, 0, 0, 0, 0, 0, 1104, 0, 869, 922, 1064, 135, 0, 0, 0, 0, 40, 335, 46, 9, 46, 0, 1.0, 23.0, 39.0, 16, 5, 43, 43, 0, 0, 3, 0, 0, 2, 22, 18, 1.0, 43, 0, 0, 4, 2, 32, 32, 2.17, 50.0, 84.78, 19.59765625, 74.390625, 74.390625, 9.298828125, 11.599609375, 93.5, 0.0, 0.0, 4.69921875, 51.1953125, 41.9, 2.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 320.0, 43.0, 0.0, 0.0, 15.0, "Tous les candidats", 604.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "5279", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5279&g_ta_cod=5279", 100.0, 0.0, 0.0),
(2496, "Public", "0710010A", "Lycée Mathias", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "BTS", "Lycée Mathias - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 347, 319, 347, 0, 38, 4, 101, 32, 148, 53, 60, 0, 0, 0, 0, 0, 257, 0, 0, 0, 36, 4, 90, 29, 98, 33, 33, 115, 23, 22, 23, 0, 7.0, 13.0, 18.0, 0, 9, 20, 3, 8, 9, 3, 0, 7, 9, 3, 1, 0.0, 2, 3, 8, 5, 5, 19, 19, 30.43, 56.52, 78.26, 95.6875, 95.0, 95.0, 25, 45.0, 87.0, 0.0, 35.0, 45.0, 15.0, 5.0, 0.0, 15.0, 10.0, 40.0, 15.0, 45.0, 40.0, 13.0, 1.0, 42.0, 18.0, 14.0, "Tous les candidats sauf les Bac professionnels", 93.0, "Bacheliers professionnels toutes séries", 57, "", 0, "Liste d'appel propre à cette formation", 43.0, "8615", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8615&g_ta_cod=8615", 17.0, 43.0, 39.0),
(2497, "Public", "0310041B", "Lycée Saint-Sernin", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Saint-Sernin - CPGE - Lettres", "Classe préparatoire littéraire", "", 144, 1295, 983, 1295, 741, 1085, 150, 5, 1, 1, 0, 204, 0, 0, 0, 0, 0, 1046, 0, 614, 1027, 1005, 132, 0, 0, 0, 0, 41, 570, 145, 128, 145, 0, 63.0, 133.0, 144.0, 18, 20, 142, 142, 0, 0, 3, 0, 0, 4, 59, 75, 4.0, 142, 0, 0, 9, 7, 101, 101, 43.45, 91.72, 99.31, 88.296875, 71.09375, 71.09375, 6.2998046875, 14.099609375, 97.890625, 0.0, 0.0, 2.7998046875, 41.5, 52.8, 2.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 562.0, 74.0, 0.0, 0.0, 8.0, "Tous les candidats", 722.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "4049", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4049&g_ta_cod=4049", 100.0, 0.0, 0.0),
(2498, "Privé sous contrat d'association", "0690553B", "Centre Scolaire Notre Dame", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Limas", "formation sélective", "Autre formation", "Centre Scolaire Notre Dame - Mention complémentaire - FCIL secrétariat médical", "Mention complémentaire", "", 15, 92, 85, 80, 0, 3, 0, 10, 4, 55, 21, 12, 12, 1, 1, 3, 7, 59, 2, 0, 0, 3, 0, 6, 2, 43, 15, 7, 58, 5, 5, 5, 0, 3.0, 4.0, 5.0, 0, 2, 5, 0, 1, 4, 0, 0, 1, 2, 2, 0, 0.0, 0, 1, 3, 0, 0, 4, 4, 60.0, 80.0, 100.0, 100.0, 80.0, 80.0, 0, 40.0, 100.0, 0.0, 20.0, 40.0, 40.0, 0.0, 0.0, 0.0, 0.0, 20.0, 20.0, 80.0, 60.0, 2.0, 0.0, 41.0, 16.0, 6.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "24762", "Mention complémentaire - FCIL secrétariat médical", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24762&g_ta_cod=24762", 0.0, 20.0, 80.0),
(2499, "Public", "0020048S", "Lycée Henri Martin", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "BTS", "Lycée Henri Martin - BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "BTS - Services", "", 15, 900, 123, 900, 0, 313, 38, 139, 32, 71, 18, 377, 0, 0, 0, 0, 0, 854, 0, 0, 0, 313, 38, 138, 32, 71, 18, 332, 63, 15, 2, 15, 0, 2.0, 12.0, 14.0, 0, 1, 10, 8, 0, 2, 5, 0, 2, 6, 1, 1, 0.0, 6, 0, 2, 0, 0, 4, 4, 13.33, 80.0, 93.33, 13.298828125, 40.0, 40.0, 0, 10.0, 66.6875, 0.0, 20.0, 60.0, 10.0, 10.0, 0.0, 80.0, 60.0, 0.0, 0.0, 20.0, 20.0, 36.0, 4.0, 6.0, 1.0, 14.0, "Tous les candidats sauf les Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 11.0, "2054", "BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2054&g_ta_cod=2054", 87.0, 0.0, 13.0),
(2500, "Public", "0590223X", "Lycée Du Hainaut", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée Du Hainaut - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 30, 266, 12, 266, 0, 13, 3, 27, 7, 159, 84, 67, 0, 0, 0, 0, 0, 243, 0, 0, 0, 12, 3, 24, 6, 157, 82, 50, 70, 24, 0, 24, 0, 10.0, 18.0, 18.0, 0, 13, 22, 0, 1, 21, 2, 0, 3, 7, 9, 3, 0.0, 0, 1, 18, 1, 0, 21, 21, 41.67, 75.0, 75.0, 0.0, 95.5, 95.5, 4.5, 59.09375, 91.6875, 0.0, 13.599609375, 31.796875, 40.8984375, 13.6, 0.0, 0.0, 0.0, 4.5, 4.5, 95.5, 81.796875, 1.0, 1.0, 58.0, 27.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 27.0, "6852", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6852&g_ta_cod=6852", 0.0, 8.0, 92.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(2501, "Privé sous contrat d'association", "0763400H", "UniLaSalle Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation sélective", "Ecole d'Ingénieur", "UniLaSalle (Beauvais, Rouen, Rennes) - Formation d'ingénieur Bac + 5 - Autres Séries (Bac STL, STI2D, STAV, PSC0, bacs internationaux)", "Formations  des écoles d'ingénieurs", "Autres Séries (Bac STL, STI2D, STAV, PSC0, bacs internationaux)", 5, 16, 6, 14, 0, 0, 0, 12, 3, 0, 0, 2, 2, 0, 1, 0, 1, 9, 0, 0, 0, 0, 0, 7, 1, 0, 0, 2, 9, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 1, 1, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "29302", "Formation d'ingénieur Bac + 5 - Autres Séries (Bac STL, STI2D, STAV, PSC0, bacs internationaux)", "UniLaSalle (Beauvais, Rouen, Rennes)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30781&g_ta_cod=29302", 0.0, 100.0, 0.0),
(2502, "Public", "0670057Y", "Lycée General Leclerc", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Saverne", "formation sélective", "BTS", "Lycée General Leclerc - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 21, 376, 196, 376, 0, 37, 8, 74, 34, 78, 42, 187, 0, 0, 0, 0, 0, 185, 0, 0, 0, 35, 8, 69, 31, 67, 32, 14, 89, 21, 9, 21, 0, 5.0, 13.0, 17.0, 0, 8, 19, 1, 6, 12, 2, 0, 8, 9, 2, 0, 0.0, 1, 3, 7, 2, 0, 14, 14, 23.81, 61.9, 80.95, 42.8984375, 73.6875, 73.6875, 10.5, 42.09375, 90.5, 0.0, 42.09375, 47.3984375, 10.5, 0.0, 0.0, 5.2998046875, 5.2998046875, 31.59765625, 15.798828125, 63.1953125, 36.796875, 7.0, 0.0, 51.0, 23.0, 3.0, "Tous les candidats sauf les Bac professionnels", 65.0, "Bacheliers professionnels toutes séries", 60, "", 0, "Liste d'appel propre à cette formation", 33.0, "7907", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7907&g_ta_cod=7907", 5.0, 29.0, 67.0),
(2503, "Public", "0690032K", "Lycée Juliette Récamier", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "BTS", "Lycée Juliette Récamier - BTS - Services - Support à l'action managériale", "BTS - Services", "", 34, 1233, 909, 1233, 0, 53, 16, 486, 229, 350, 192, 344, 0, 0, 0, 0, 0, 397, 0, 0, 0, 18, 3, 129, 65, 157, 81, 93, 156, 33, 27, 33, 0, 6.0, 23.0, 31.0, 0, 5, 18, 1, 6, 11, 15, 0, 7, 6, 4, 1, 0.0, 0, 5, 6, 1, 0, 14, 14, 18.18, 69.7, 93.94, 81.796875, 77.796875, 77.796875, 5.599609375, 27.796875, 54.5, 0.0, 38.8984375, 33.296875, 22.19921875, 5.6, 0.0, 5.599609375, 0.0, 33.296875, 27.796875, 61.09375, 33.296875, 3.0, 2.0, 55.0, 30.0, 50.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 115, "Bacheliers technologiques toutes séries", 137, "Liste d'appel propre à cette formation", 21.0, "8195", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8195&g_ta_cod=8195", 3.0, 52.0, 45.0),
(2504, "Privé sous contrat d'association", "0920904H", "Lycée Sainte Marie", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Antony", "formation sélective", "CPGE", "Lycée Sainte Marie - CPGE - PCSI", "Classe préparatoire scientifique", "", 45, 1054, 340, 1054, 775, 960, 26, 1, 1, 1, 1, 92, 0, 0, 0, 0, 0, 974, 0, 775, 799, 911, 19, 0, 0, 0, 0, 63, 366, 46, 18, 46, 0, 13.0, 28.0, 40.0, 39, 0, 44, 44, 0, 0, 2, 0, 0, 1, 26, 17, 0.0, 44, 0, 0, 5, 1, 21, 39, 28.26, 60.87, 86.96, 39.09375, 47.6953125, 88.59375, 11.3984375, 0.0, 95.6875, 0.0, 0.0, 2.2998046875, 59.09375, 38.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 354.0, 8.0, 0.0, 0.0, 12.0, "Tous les candidats", 415.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "11049", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11049&g_ta_cod=11049", 100.0, 0.0, 0.0),
(2505, "Public", "0623985V", "I.U.T. de Lens", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "BUT", "I.U.T. de Lens - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", 183, 1611, 724, 1611, 0, 611, 122, 707, 240, 34, 12, 259, 0, 0, 0, 0, 0, 794, 0, 0, 0, 367, 59, 367, 100, 5, 3, 55, 440, 182, 100, 182, 0, 73.0, 166.0, 172.0, 0, 43, 164, 70, 89, 5, 18, 0, 9, 96, 50, 9, 0.0, 62, 88, 5, 0, 0, 159, 159, 40.11, 91.21, 94.51, 54.8984375, 97.0, 97.0, 0, 26.19921875, 90.09375, 0.0, 5.5, 58.5, 30.5, 5.5, 0.0, 42.6953125, 37.796875, 54.296875, 53.6953125, 3.0, 3.0, 219.0, 50.0, 5.0, 3.0, 29.0, "Tous les candidats sauf les Bac technologiques", 301.0, "Bacheliers technologiques toutes séries", 222, "", 0, "Liste d'appel propre à cette formation", 32.0, "7523", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7523&g_ta_cod=7523", 45.0, 52.0, 3.0),
(2506, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Sciences sanitaires et sociales", "Licence - Droit-économie-gestion", "", 162, 959, 835, 917, 0, 290, 83, 301, 102, 31, 18, 295, 42, 6, 6, 6, 24, 913, 41, 0, 0, 290, 83, 301, 102, 31, 18, 291, 757, 157, 135, 133, 23, 16.0, 101.0, 127.0, 0, 27, 88, 43, 41, 4, 69, 1, 50, 31, 5, 1, 0.0, 22, 15, 0, 0, 0, 65, 65, 10.19, 64.33, 80.89, 86.0, 73.890625, 73.890625, 0, 30.69921875, 56.09375, 1.099853515625, 56.796875, 35.1953125, 5.69921875, 1.1, 0.0, 48.8984375, 25.0, 46.59375, 17.0, 4.5, 0.0, 277.0, 75.0, 24.0, 14.0, 239.0, "Tous les candidats", 886.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "15118", "Licence - Sciences sanitaires et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27260&g_ta_cod=15118", 43.0, 44.0, 12.0),
(2507, "Public", "0030051P", "Lycée Général et Technologique Albert Londres", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Cusset", "formation sélective", "BTS", "Lycée Général et Technologique Albert Londres - BTS - Services - Notariat", "BTS - Services", "", 18, 404, 276, 359, 0, 83, 15, 79, 33, 26, 11, 171, 45, 10, 7, 0, 28, 122, 9, 0, 0, 73, 11, 20, 4, 10, 3, 19, 92, 16, 14, 12, 4, 2.0, 12.0, 15.0, 0, 4, 12, 7, 4, 1, 4, 0, 4, 6, 2, 0, 0.0, 4, 3, 1, 1, 1, 9, 9, 12.5, 75.0, 93.75, 87.5, 75.0, 75.0, 8.298828125, 33.296875, 75.0, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 58.296875, 33.296875, 33.296875, 25.0, 8.298828125, 8.298828125, 49.0, 8.0, 8.0, 2.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 90.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 34.0, "2132", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2132&g_ta_cod=2132", 69.0, 25.0, 6.0),
(2508, "Public", "0791062A", "Lycée de la Venise Verte", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BTS", "Lycée de la Venise Verte - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 497, 422, 497, 0, 46, 11, 147, 49, 122, 43, 182, 0, 0, 0, 0, 0, 497, 0, 0, 0, 46, 11, 147, 49, 122, 43, 182, 118, 24, 24, 24, 0, 6.0, 14.0, 20.0, 0, 7, 19, 2, 7, 10, 5, 0, 2, 11, 5, 1, 0.0, 2, 6, 9, 3, 3, 18, 18, 25.0, 58.33, 83.33, 100.0, 94.6875, 94.6875, 15.798828125, 36.796875, 79.1875, 0.0, 10.5, 57.8984375, 26.296875, 5.3, 0.0, 10.5, 10.5, 36.796875, 31.59765625, 52.59375, 47.3984375, 14.0, 3.0, 36.0, 9.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 104, "Liste d'appel propre à cette formation", 35.0, "10131", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10131&g_ta_cod=10131", 13.0, 46.0, 42.0),
(2509, "Public", "0750691U", "Lycée Raspail", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "BTS", "Lycée Raspail - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 30, 497, 7, 497, 0, 9, 2, 50, 21, 335, 159, 103, 0, 0, 0, 0, 0, 497, 0, 0, 0, 9, 2, 50, 21, 335, 159, 103, 124, 24, 0, 24, 0, 6.0, 20.0, 21.0, 0, 13, 20, 2, 5, 13, 4, 0, 6, 7, 4, 3, 0.0, 0, 2, 12, 1, 0, 1, 20, 25.0, 83.33, 87.5, 0.0, 5.0, 100.0, 5, 65.0, 83.296875, 0.0, 30.0, 35.0, 20.0, 15.0, 0.0, 10.0, 0.0, 25.0, 10.0, 65.0, 60.0, 7.0, 2.0, 73.0, 36.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 98, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 31.0, "9107", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9107&g_ta_cod=9107", 17.0, 25.0, 58.0),
(2510, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Perrin - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 717, 82, 717, 0, 93, 28, 185, 73, 176, 103, 263, 0, 0, 0, 0, 0, 415, 0, 0, 0, 84, 23, 124, 43, 130, 69, 77, 111, 24, 2, 24, 0, 4.0, 18.0, 21.0, 0, 8, 15, 4, 4, 7, 9, 0, 5, 4, 2, 4, 0.0, 2, 1, 7, 2, 0, 14, 14, 16.67, 75.0, 87.5, 8.298828125, 93.296875, 93.296875, 13.298828125, 53.296875, 62.5, 0.0, 33.296875, 26.69921875, 13.298828125, 26.7, 0.0, 26.69921875, 13.298828125, 26.69921875, 6.69921875, 46.6953125, 46.6953125, 26.0, 12.0, 17.0, 6.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 24.0, "2601", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2601&g_ta_cod=2601", 17.0, 42.0, 42.0),
(2511, "Public", "0920802X", "Lycée Jean-Pierre Vernant", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sèvres", "formation sélective", "BTS", "Lycée Jean-Pierre Vernant - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 410, 160, 168, 0, 19, 5, 65, 17, 41, 19, 43, 242, 0, 44, 88, 110, 135, 16, 0, 0, 18, 5, 63, 16, 35, 15, 19, 120, 33, 13, 24, 8, 4.0, 21.0, 26.0, 0, 12, 26, 2, 13, 11, 7, 0, 13, 8, 5, 0, 0.0, 0, 6, 7, 3, 1, 21, 26, 12.12, 63.64, 78.79, 39.3984375, 80.796875, 100.0, 11.5, 46.1953125, 78.796875, 0.0, 50.0, 30.796875, 19.19921875, 0.0, 0.0, 7.69921875, 0.0, 50.0, 23.09765625, 42.296875, 26.8984375, 4.0, 4.0, 39.0, 20.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 68.0, "11036", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11036&g_ta_cod=11036", 12.0, 45.0, 42.0),
(2512, "Public", "0330119A", "Lycée Professionnel Jehan Duperier", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Saint-Médard-en-Jalles", "formation sélective", "Autre formation", "Lycée Professionnel Jehan Duperier - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 12, 77, 1, 77, 0, 0, 0, 1, 0, 69, 13, 7, 0, 0, 0, 0, 0, 77, 0, 0, 0, 0, 0, 1, 0, 69, 13, 7, 38, 11, 0, 11, 0, 3.0, 6.0, 9.0, 0, 1, 10, 0, 0, 10, 1, 0, 5, 2, 3, 0, 0.0, 0, 0, 5, 0, 0, 10, 10, 27.27, 54.55, 81.82, 0.0, 100.0, 100.0, 0, 10.0, 90.890625, 0.0, 50.0, 20.0, 30.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 37.0, 7.0, 1.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "20047", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20047&g_ta_cod=20047", 0.0, 0.0, 100.0),
(2513, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues étrangères appliquées : Anglais-Japonais", "Licence - Arts-lettres-langues", "Licence 1 LEA - Langues étrangères appliquées : Anglais-Japonais", 130, 1371, 912, 1371, 0, 814, 222, 103, 35, 35, 19, 419, 0, 0, 0, 0, 0, 1365, 0, 0, 0, 814, 222, 103, 35, 35, 19, 413, 402, 128, 81, 128, 0, 126.0, 127.0, 128.0, 0, 29, 91, 71, 15, 5, 37, 0, 21, 40, 25, 5, 0.0, 58, 9, 3, 0, 0, 85, 85, 98.44, 99.22, 100.0, 63.296875, 93.390625, 93.390625, 0, 31.8984375, 71.09375, 0.0, 23.09765625, 44.0, 27.5, 5.5, 0.0, 78.0, 63.6953125, 16.5, 9.8984375, 5.5, 3.2998046875, 259.0, 80.0, 15.0, 9.0, 95.0, "Tous les candidats", 400.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "4397", "Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues étrangères appliquées : Anglais-Japonais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4397&g_ta_cod=4397", 73.0, 20.0, 7.0),
(2514, "Public", "0031060L", "I.U.T. d'Allier - site de Moulins", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Moulins", "formation sélective", "BUT", "I.U.T. d'Allier - site de Moulins - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - International Business - Business development et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - International Business - Business development et management de la relation client", 84, 843, 334, 826, 0, 453, 82, 204, 44, 30, 10, 139, 17, 7, 1, 0, 9, 620, 12, 0, 0, 340, 63, 170, 32, 19, 4, 91, 369, 78, 34, 73, 5, 9.0, 58.0, 68.0, 0, 18, 69, 29, 38, 2, 9, 0, 31, 28, 9, 1, 0.0, 19, 17, 2, 0, 0, 43, 43, 11.54, 74.36, 87.18, 43.59375, 62.296875, 62.296875, 0, 26.09765625, 88.5, 0.0, 44.8984375, 40.59375, 13.0, 1.4, 0.0, 42.0, 27.5, 55.09375, 24.59765625, 2.89990234375, 2.89990234375, 179.0, 33.0, 11.0, 1.0, 50.0, "Tous les candidats sauf les Bac technologiques", 340.0, "Bacheliers technologiques toutes séries", 167, "", 0, "Liste d'appel propre à cette formation", 61.0, "2154", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - International Business - Business development et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2154&g_ta_cod=2154", 44.0, 53.0, 4.0),
(2515, "Public", "0600001A", "Lycée Felix Faure", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "BTS", "Lycée Felix Faure - BTS - Services - Commerce International", "BTS - Services", "", 32, 741, 381, 741, 0, 164, 37, 190, 74, 148, 65, 239, 0, 0, 0, 0, 0, 327, 0, 0, 0, 119, 24, 112, 43, 53, 24, 43, 130, 32, 20, 32, 0, 5.0, 28.0, 30.0, 0, 12, 29, 10, 11, 8, 3, 0, 8, 14, 7, 0, 0.0, 4, 9, 8, 7, 3, 29, 29, 15.63, 87.5, 93.75, 62.5, 100.0, 100.0, 24.09765625, 41.3984375, 90.59375, 0.0, 27.59765625, 48.296875, 24.09765625, 0.0, 0.0, 34.5, 13.798828125, 37.8984375, 31.0, 27.59765625, 27.59765625, 59.0, 15.0, 24.0, 8.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 112.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 27.0, "7210", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7210&g_ta_cod=7210", 34.0, 41.0, 25.0),
(2516, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Autre formation", "Université de Bordeaux - Bordeaux Métropole - Diplôme de Comptabilité et de Gestion", "DCG", "", 40, 1269, 564, 1253, 0, 598, 112, 203, 62, 22, 12, 430, 16, 0, 2, 1, 13, 550, 0, 0, 0, 426, 65, 50, 11, 0, 0, 74, 248, 36, 19, 36, 0, 3.0, 32.0, 34.0, 0, 3, 29, 29, 0, 0, 7, 0, 2, 14, 10, 3, 0.0, 27, 0, 0, 0, 0, 17, 17, 8.33, 88.89, 94.44, 52.796875, 58.59375, 58.59375, 0, 10.298828125, 80.59375, 0.0, 6.8994140625, 48.296875, 34.5, 10.3, 0.0, 100.0, 93.09375, 0.0, 0.0, 0.0, 0.0, 193.0, 33.0, 0.0, 0.0, 51.0, "Tous les candidats", 485.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "4326", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4326&g_ta_cod=4326", 100.0, 0.0, 0.0),
(2517, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "Autre formation", "Université de Bretagne Sud - Site de Lorient - Diplôme d'Université - PAREO - DU PAREO Parcours « Management et communication »", "Diplôme d'Université", "DU PAREO Parcours « Management et communication »", 20, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35044", "Diplôme d'Université - PAREO - DU PAREO Parcours « Management et communication »", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=35044&g_ta_cod=35044", 0, 0, 0),
(2518, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence", "Université de Perpignan Via Domitia - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 185, 1012, 600, 901, 0, 434, 154, 174, 77, 83, 53, 210, 111, 11, 12, 15, 73, 898, 100, 0, 0, 434, 154, 174, 77, 83, 53, 207, 885, 182, 111, 140, 42, 17.0, 133.0, 150.0, 0, 64, 111, 56, 22, 33, 71, 1, 66, 33, 10, 1, 0.0, 24, 11, 9, 0, 0, 90, 90, 9.34, 73.08, 82.42, 61.0, 81.09375, 81.09375, 0, 57.6953125, 61.0, 0.89990234375, 59.5, 29.69921875, 9.0, 0.9, 0.0, 50.5, 21.59765625, 19.796875, 9.8984375, 29.69921875, 8.099609375, 419.0, 152.0, 79.0, 53.0, 240.0, "Tous les candidats", 896.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7865", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7865&g_ta_cod=7865", 46.0, 27.0, 24.0),
(2519, "Public", "0952261S", "CY TECH - Université de Cergy-Pontoise", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "Concours GalaxY Bachelor - Formation Bac + 4 - International bachelor Ygrec - Data Science by Design", "Formations  des écoles d'ingénieurs", "International bachelor Ygrec - Data Science by Design", 20, 8, 1, 8, 0, 7, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 5, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "31249", "Formation Bac + 4 - International bachelor Ygrec - Data Science by Design", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31249&g_ta_cod=31249", 0, 0, 0),
(2520, "Public", "0910756C", "Lycée professionnel Louis Armand", "91", "Essonne", "Ile-de-France", "Versailles", "Yerres", "formation sélective", "BTS", "Lycée professionnel Louis Armand - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 41, 16, 7, 0, 0, 0.0, 0.0, 0.0, 0, 7, 15, 0, 8, 7, 1, 0, 9, 5, 1, 0, 0.0, 0, 3, 3, 0, 0, 15, 15, 0.0, 0.0, 0.0, 43.796875, 100.0, 100.0, 0, 46.6953125, 93.796875, 0.0, 60.0, 33.296875, 6.69921875, 0.0, 0.0, 0.0, 0.0, 53.296875, 20.0, 46.6953125, 20.0, 0.0, 0.0, 14.0, 4.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30559", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30559&g_ta_cod=30559", 0.0, 50.0, 50.0),
(2521, "Public", "0672336A", "IFSI de Saverne", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Saverne", "formation sélective", "IFSI", "Regroupement d'IFSI Université Strasbourg - D.E Infirmier", "D.E secteur sanitaire", "", 42, 2810, 2363, 2810, 0, 478, 87, 564, 167, 293, 113, 1475, 0, 0, 0, 0, 0, 2433, 0, 0, 0, 463, 80, 477, 131, 217, 75, 1276, 679, 44, 36, 44, 0, 1.0, 18.0, 38.0, 0, 8, 27, 15, 9, 3, 17, 0, 4, 11, 10, 2, 0.0, 11, 9, 3, 0, 0, 15, 15, 2.27, 40.91, 86.36, 81.796875, 55.59375, 55.59375, 0, 29.59765625, 61.3984375, 0.0, 14.798828125, 40.6953125, 37.0, 7.4, 0.0, 55.59375, 40.6953125, 33.296875, 33.296875, 11.099609375, 11.099609375, 189.0, 33.0, 28.0, 18.0, 360.0, "Tous les candidats", 1960.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "23238", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23000&g_ta_cod=23238", 66.0, 25.0, 9.0),
(2522, "Public", "0180585N", "Lycée agricole de BOURGES", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Le Subdray", "formation sélective", "BTS", "Lycée agricole de BOURGES - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 24, 249, 87, 247, 0, 19, 4, 35, 10, 64, 24, 129, 2, 0, 0, 0, 2, 108, 0, 0, 0, 19, 4, 33, 10, 52, 20, 4, 77, 12, 5, 11, 0, 4.0, 11.0, 11.0, 0, 2, 10, 1, 2, 7, 2, 0, 3, 6, 1, 0, 0.0, 1, 2, 4, 9, 4, 10, 10, 33.33, 91.67, 91.67, 41.6953125, 100.0, 100.0, 90, 20.0, 83.296875, 0.0, 30.0, 60.0, 10.0, 0.0, 0.0, 10.0, 10.0, 20.0, 20.0, 70.0, 40.0, 16.0, 4.0, 34.0, 10.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 44.0, "3124", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3124&g_ta_cod=3124", 25.0, 17.0, 58.0),
(2523, "Privé enseignement supérieur", "0673064S", "CESI Campus de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Lingolsheim", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 90, 975, 161, 934, 0, 708, 89, 62, 17, 0, 0, 164, 41, 12, 3, 0, 26, 704, 8, 0, 0, 568, 47, 47, 10, 0, 0, 89, 306, 52, 8, 50, 2, 32.0, 50.0, 52.0, 0, 5, 45, 40, 5, 0, 7, 0, 9, 17, 18, 1, 0.0, 33, 3, 0, 0, 0, 39, 39, 61.54, 96.15, 100.0, 15.3984375, 86.6875, 86.6875, 0, 11.099609375, 86.5, 0.0, 20.0, 37.796875, 40.0, 2.2, 0.0, 88.890625, 73.296875, 11.099609375, 6.69921875, 0.0, 0.0, 230.0, 18.0, 0.0, 0.0, 61.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "25179", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25179", 88.0, 12.0, 0.0),
(2524, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Langues étrangères appliquées - Parcours Langues étrangères appliquées, Economie et interculturalité, option Anglais  Allemand", "Licence - Arts-lettres-langues", "Langues étrangères appliquées, Economie et interculturalité, option Anglais  Allemand", 35, 232, 160, 216, 0, 140, 30, 19, 10, 8, 4, 49, 16, 1, 1, 3, 11, 215, 14, 0, 0, 140, 30, 19, 10, 8, 4, 48, 164, 34, 18, 27, 7, 6.0, 26.0, 30.0, 0, 6, 18, 17, 1, 0, 16, 0, 4, 9, 3, 1, 1.0, 14, 0, 0, 0, 0, 17, 17, 17.65, 76.47, 88.24, 52.8984375, 94.390625, 94.390625, 0, 33.296875, 52.8984375, 0.0, 22.19921875, 50.0, 16.69921875, 5.6, 5.6, 94.390625, 77.796875, 5.599609375, 0.0, 0.0, 0.0, 108.0, 26.0, 6.0, 3.0, 43.0, "Tous les candidats", 215.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8152", "Licence - Langues étrangères appliquées - Parcours Langues étrangères appliquées, Economie et interculturalité, option Anglais  Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8152&g_ta_cod=8152", 79.0, 9.0, 12.0),
(2525, "Public", "0890003V", "Lycée Jacques Amyot", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Auxerre", "formation sélective", "CPGE", "Lycée Jacques Amyot - CPGE - PCSI", "Classe préparatoire scientifique", "", 28, 369, 136, 346, 239, 142, 24, 0, 0, 0, 0, 204, 23, 7, 1, 0, 15, 282, 9, 239, 143, 132, 23, 0, 0, 0, 0, 150, 143, 21, 6, 19, 2, 2.0, 19.0, 21.0, 14, 2, 10, 10, 0, 0, 11, 0, 2, 5, 3, 0, 0.0, 8, 0, 0, 4, 0, 9, 9, 9.52, 90.48, 100.0, 28.59765625, 90.0, 90.0, 40, 20.0, 47.59375, 0.0, 20.0, 50.0, 30.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 115.0, 18.0, 0.0, 0.0, 28.0, "Tous les candidats", 151.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "10770", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10770&g_ta_cod=10770", 100.0, 0.0, 0.0),
(2526, "Privé sous contrat d'association", "0492015Z", "LGT privé Sacré-Coeur La Salle", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "LGT privé Sacré-Coeur La Salle - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 896, 429, 896, 0, 199, 17, 370, 40, 200, 37, 127, 0, 0, 0, 0, 0, 787, 0, 0, 0, 188, 16, 331, 37, 179, 32, 89, 224, 32, 15, 32, 0, 2.0, 21.0, 28.0, 0, 3, 27, 9, 10, 8, 5, 0, 7, 16, 4, 0, 0.0, 4, 9, 7, 5, 0, 23, 23, 6.25, 65.63, 87.5, 46.8984375, 85.1875, 85.1875, 18.5, 11.099609375, 84.390625, 0.0, 25.8984375, 59.296875, 14.798828125, 0.0, 0.0, 33.296875, 14.798828125, 37.0, 33.296875, 29.59765625, 25.8984375, 93.0, 8.0, 47.0, 11.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 137.0, "Bacheliers professionnels toutes séries", 84, "Bacheliers technologiques toutes séries", 106, "Liste d'appel propre à cette formation", 36.0, "5960", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5960&g_ta_cod=5960", 44.0, 31.0, 25.0),
(2527, "Public", "0310036W", "Lycée Pierre De Fermat", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Pierre De Fermat - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 48, 1243, 597, 1243, 881, 1004, 80, 1, 1, 0, 0, 238, 0, 0, 0, 0, 0, 1198, 0, 881, 1020, 1002, 80, 1, 1, 0, 0, 195, 364, 45, 19, 45, 0, 5.0, 26.0, 38.0, 7, 0, 43, 43, 0, 0, 2, 0, 1, 3, 14, 22, 3.0, 42, 0, 0, 4, 1, 21, 21, 11.11, 57.78, 84.44, 42.1953125, 48.796875, 48.796875, 9.298828125, 0.0, 95.59375, 0.0, 2.2998046875, 7.0, 32.59375, 51.2, 7.0, 100.0, 97.6875, 0.0, 0.0, 0.0, 0.0, 352.0, 18.0, 0.0, 0.0, 12.0, "Tous les candidats", 533.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "31392", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31392&g_ta_cod=31392", 100.0, 0.0, 0.0),
(2528, "Public", "0912163G", "Lycée Paul Langevin", "91", "Essonne", "Ile-de-France", "Versailles", "Sainte-Geneviève-des-Bois", "formation sélective", "Autre formation", "Lycée Paul Langevin - Mention complémentaire - FCIL E-Commerce", "Mention complémentaire", "", 15, 69, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 69, 3, 9, 20, 37, 0, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 19, 9, 4, 0, 8, 0.0, 0.0, 0.0, 0, 2, 7, 1, 1, 5, 2, 0, 4, 3, 0, 0, 0.0, 0, 1, 2, 0, 0, 7, 7, 0.0, 0.0, 0.0, 44.3984375, 100.0, 100.0, 0, 28.59765625, 77.796875, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 14.298828125, 0.0, 14.298828125, 14.298828125, 71.390625, 28.59765625, 2.0, 0.0, 9.0, 1.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34951", "Mention complémentaire - FCIL E-Commerce", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34951&g_ta_cod=34951", 11.0, 22.0, 67.0),
(2529, "Public", "0950651S", "Lycée Jacques Prevert", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Taverny", "formation sélective", "BTS", "Lycée Jacques Prevert - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 586, 252, 586, 0, 46, 14, 140, 53, 153, 82, 247, 0, 0, 0, 0, 0, 302, 0, 0, 0, 42, 13, 109, 42, 104, 60, 47, 171, 39, 15, 39, 0, 5.0, 29.0, 37.0, 0, 12, 29, 2, 14, 13, 10, 0, 18, 9, 1, 1, 0.0, 0, 4, 7, 6, 0, 29, 29, 12.82, 74.36, 94.87, 38.5, 100.0, 100.0, 20.69921875, 41.3984375, 74.390625, 0.0, 62.09375, 31.0, 3.39990234375, 3.4, 0.0, 6.8994140625, 0.0, 48.296875, 13.798828125, 44.796875, 24.09765625, 14.0, 5.0, 73.0, 42.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 107, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 40.0, "11583", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11583&g_ta_cod=11583", 15.0, 41.0, 44.0),
(2530, "Public", "0281047L", "Lycée Fulbert", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Chartres", "formation sélective", "BTS", "Lycée Fulbert - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 436, 46, 436, 0, 77, 14, 122, 41, 95, 31, 142, 0, 0, 0, 0, 0, 293, 0, 0, 0, 77, 14, 95, 28, 68, 23, 53, 104, 34, 3, 34, 0, 6.0, 32.0, 32.0, 0, 8, 26, 4, 15, 7, 8, 0, 13, 12, 1, 0, 0.0, 2, 7, 4, 6, 1, 25, 25, 17.65, 94.12, 94.12, 8.798828125, 96.1875, 96.1875, 23.09765625, 30.796875, 76.5, 0.0, 50.0, 46.1953125, 3.7998046875, 0.0, 0.0, 15.3984375, 7.69921875, 57.6953125, 26.8984375, 26.8984375, 15.3984375, 17.0, 4.0, 24.0, 8.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 30.0, "3749", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3749&g_ta_cod=3749", 18.0, 56.0, 26.0),
(2531, "Privé sous contrat d'association", "0261160V", "IFSI Croix Rouge Française Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "IFSI", "Regroupement d'IFSI Université Grenoble Alpes - D.E Infirmier", "D.E secteur sanitaire", "", 107, 4902, 4101, 4902, 0, 742, 125, 947, 212, 423, 151, 2790, 0, 0, 0, 0, 0, 3913, 0, 0, 0, 675, 106, 802, 172, 329, 108, 2107, 1073, 107, 90, 107, 0, 2.0, 40.0, 81.0, 0, 12, 67, 25, 26, 16, 40, 0, 7, 38, 21, 1, 0.0, 21, 23, 16, 0, 0, 42, 42, 1.87, 37.38, 75.7, 84.09375, 62.6953125, 62.6953125, 0, 17.8984375, 62.59375, 0.0, 10.3984375, 56.6953125, 31.296875, 1.5, 0.0, 37.296875, 31.296875, 38.796875, 34.296875, 23.8984375, 23.8984375, 260.0, 28.0, 130.0, 40.0, 411.0, "Tous les candidats", 2598.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "23119", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22992&g_ta_cod=23119", 40.0, 36.0, 22.0),
(2532, "Privé sous contrat d'association", "0251021Z", "Lycée Saint Paul", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Saint Paul - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 16, 194, 29, 164, 0, 21, 4, 41, 4, 27, 8, 75, 30, 5, 9, 2, 14, 86, 9, 0, 0, 19, 4, 32, 3, 23, 6, 12, 75, 9, 0, 7, 2, 0.0, 7.0, 9.0, 0, 0, 5, 1, 3, 1, 4, 0, 2, 3, 0, 0, 0.0, 1, 1, 1, 0, 0, 3, 3, 0.0, 77.78, 100.0, 0.0, 60.0, 60.0, 0, 0.0, 55.59375, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 20.0, 20.0, 60.0, 20.0, 20.0, 20.0, 19.0, 3.0, 15.0, 5.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 51.0, "3512", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3512&g_ta_cod=3512", 44.0, 44.0, 11.0),
(2533, "Public", "0080918E", "IFSI Charleville-Mezières", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "IFSI", "Regroupement d'IFSI Université Reims - D.E Infirmier", "D.E secteur sanitaire", "", 98, 2156, 1823, 2156, 0, 382, 90, 482, 148, 223, 94, 1069, 0, 0, 0, 0, 0, 1712, 0, 0, 0, 311, 65, 388, 104, 171, 66, 842, 721, 97, 83, 97, 0, 9.0, 48.0, 84.0, 0, 24, 58, 19, 16, 23, 39, 0, 6, 28, 21, 3, 0.0, 14, 15, 23, 0, 0, 55, 55, 9.28, 49.48, 86.6, 85.59375, 94.796875, 94.796875, 0, 41.3984375, 59.796875, 0.0, 10.298828125, 48.296875, 36.1953125, 5.2, 0.0, 32.796875, 24.09765625, 27.59765625, 25.8984375, 39.6953125, 39.6953125, 108.0, 24.0, 90.0, 33.0, 344.0, "Tous les candidats", 1693.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 44.0, "23217", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22986&g_ta_cod=23217", 41.0, 29.0, 30.0),
(2534, "Public", "0750690T", "Lycée Francois Villon", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "BTS", "Lycée Francois Villon - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 70, 3646, 1861, 3646, 0, 217, 53, 1188, 443, 1219, 593, 1022, 0, 0, 0, 0, 0, 2397, 0, 0, 0, 193, 45, 1047, 389, 618, 300, 539, 384, 66, 34, 60, 0, 2.0, 14.0, 40.0, 0, 33, 57, 5, 27, 25, 9, 0, 19, 29, 8, 1, 0.0, 3, 17, 18, 0, 0, 28, 54, 3.03, 21.21, 60.61, 51.5, 49.09375, 94.6875, 0, 57.8984375, 86.390625, 0.0, 33.296875, 50.8984375, 14.0, 1.8, 0.0, 8.798828125, 5.2998046875, 47.3984375, 29.796875, 43.8984375, 31.59765625, 51.0, 19.0, 110.0, 61.0, 70.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 292, "Bacheliers technologiques toutes séries", 360, "Liste d'appel propre à cette formation", 20.0, "9101", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9101&g_ta_cod=9101", 9.0, 48.0, 42.0),
(2535, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais (à distance ENEAD)", "Licence - Arts-lettres-langues", "Anglais (à distance ENEAD)", 80, 577, 434, 577, 0, 179, 56, 18, 6, 16, 4, 364, 0, 0, 0, 0, 0, 557, 0, 0, 0, 179, 56, 18, 6, 16, 4, 344, 223, 78, 55, 78, 0, 17.0, 68.0, 74.0, 0, 5, 30, 22, 3, 5, 48, 0, 5, 11, 8, 6, 0.0, 21, 1, 3, 0, 0, 3, 14, 21.79, 87.18, 94.87, 70.5, 10.0, 46.6953125, 0, 16.69921875, 38.5, 0.0, 16.69921875, 36.6953125, 26.69921875, 20.0, 0.0, 73.296875, 70.0, 10.0, 3.2998046875, 16.69921875, 10.0, 72.0, 17.0, 12.0, 4.0, 128.0, "Tous les candidats", 306.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "23992", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais (à distance ENEAD)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23992&g_ta_cod=23992", 73.0, 13.0, 10.0),
(2536, "Public", "0800011C", "Lycée des Métiers Édouard Gand", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée des Métiers Édouard Gand - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 34, 729, 377, 729, 0, 108, 33, 174, 50, 101, 56, 346, 0, 0, 0, 0, 0, 466, 0, 0, 0, 101, 30, 154, 45, 92, 51, 119, 183, 24, 14, 24, 0, 5.0, 19.0, 20.0, 0, 6, 18, 7, 3, 8, 6, 0, 7, 5, 5, 1, 0.0, 4, 1, 6, 1, 1, 18, 18, 20.83, 79.17, 83.33, 58.296875, 100.0, 100.0, 5.599609375, 33.296875, 75.0, 0.0, 38.8984375, 27.796875, 27.796875, 5.6, 0.0, 38.8984375, 22.19921875, 16.69921875, 5.599609375, 44.3984375, 33.296875, 45.0, 12.0, 41.0, 24.0, 41.0, "Tous les candidats sauf les Bac professionnels", 185.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 31.0, "10165", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10165&g_ta_cod=10165", 50.0, 17.0, 33.0),
(2537, "Public", "0920149M", "Lycée Michelet", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Vanves", "formation sélective", "CPGE", "Lycée Michelet - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 2714, 731, 2714, 1724, 2529, 197, 2, 0, 0, 0, 183, 0, 0, 0, 0, 0, 1354, 0, 644, 1321, 1345, 87, 0, 0, 0, 0, 9, 366, 47, 16, 47, 0, 13.0, 33.0, 42.0, 14, 4, 47, 47, 0, 0, 0, 0, 0, 0, 0, 32, 15.0, 47, 0, 0, 4, 1, 32, 38, 27.66, 70.21, 89.36, 34.0, 68.09375, 80.890625, 8.5, 8.5, 100.0, 0.0, 0.0, 0.0, 0.0, 68.1, 31.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 366.0, 33.0, 0.0, 0.0, 0.0, "Tous les candidats", 501.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "11022", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11022&g_ta_cod=11022", 100.0, 0.0, 0.0),
(2538, "Public", "0540042C", "Lycée Henri Loritz", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Henri Loritz - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 221, 10, 204, 0, 18, 3, 93, 19, 45, 13, 48, 17, 0, 1, 9, 7, 169, 4, 0, 0, 16, 3, 80, 16, 36, 8, 37, 80, 14, 1, 11, 3, 4.0, 11.0, 13.0, 0, 2, 12, 0, 7, 5, 2, 0, 3, 4, 2, 3, 0.0, 0, 5, 4, 5, 0, 12, 12, 28.57, 78.57, 92.86, 7.099609375, 100.0, 100.0, 41.6953125, 16.69921875, 85.6875, 0.0, 25.0, 33.296875, 16.69921875, 25.0, 0.0, 0.0, 0.0, 58.296875, 41.6953125, 41.6953125, 33.296875, 6.0, 2.0, 27.0, 8.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 56.0, "6268", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6268&g_ta_cod=6268", 0.0, 57.0, 36.0),
(2539, "Public", "0492137G", "Université Angers-Campus de Cholet", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation non sélective", "Licence", "Université Angers-Campus de Cholet - Licence - Sciences sociales - Parcours Animation sociale, éducative, culturelle et des loisirs", "Licence - Sciences humaines et sociales", "Animation sociale, éducative, culturelle et des loisirs", 38, 310, 242, 310, 0, 158, 23, 51, 8, 19, 6, 82, 0, 0, 0, 0, 0, 308, 0, 0, 0, 158, 23, 51, 8, 19, 6, 80, 198, 40, 31, 40, 0, 7.0, 32.0, 39.0, 0, 6, 26, 15, 6, 5, 14, 0, 17, 6, 3, 0, 0.0, 4, 3, 2, 0, 0, 21, 21, 17.5, 80.0, 97.5, 77.5, 80.796875, 80.796875, 0, 23.09765625, 65.0, 0.0, 65.390625, 23.09765625, 11.5, 0.0, 0.0, 57.6953125, 15.3984375, 23.09765625, 11.5, 19.19921875, 7.69921875, 92.0, 14.0, 13.0, 5.0, 62.0, "Tous les candidats", 306.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "5972", "Licence - Sciences sociales - Parcours Animation sociale, éducative, culturelle et des loisirs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5972&g_ta_cod=5972", 63.0, 25.0, 13.0),
(2540, "Public", "0332881C", "Ecole Nationale Supérieure Architecture Paysage de Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Autre formation", "Ecole Nationale Supérieure Architecture Paysage de Bordeaux - Architecture", "Formations Bac + 5", "", 90, 2377, 1422, 2377, 0, 1493, 221, 259, 67, 50, 23, 575, 0, 0, 0, 0, 0, 326, 0, 0, 0, 257, 20, 23, 4, 5, 3, 41, 229, 88, 65, 88, 0, 27.0, 83.0, 87.0, 0, 8, 74, 65, 6, 3, 14, 0, 0, 2, 44, 28, 0.0, 65, 6, 3, 0, 0, 32, 32, 30.68, 94.32, 98.86, 73.890625, 43.1953125, 43.1953125, 0, 10.798828125, 84.09375, 0.0, 0.0, 2.69970703125, 59.5, 37.8, 0.0, 87.796875, 87.796875, 8.099609375, 8.099609375, 4.099609375, 4.099609375, 180.0, 15.0, 3.0, 2.0, 30.0, "Tous les candidats", 291.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "4458", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4458&g_ta_cod=4458", 89.0, 8.0, 3.0),
(2541, "Public", "0641846J", "CPBx (ENSGTI)", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "Ecole d'Ingénieur", "CPBx (ENSGTI) - Formation d'ingénieur Bac + 5 - bac général", "Formations  des écoles d'ingénieurs", "bac général", 3, 61, 22, 58, 0, 55, 13, 0, 0, 0, 0, 3, 3, 2, 0, 0, 1, 26, 1, 0, 0, 25, 4, 0, 0, 0, 0, 1, 17, 3, 3, 2, 1, 0.0, 2.0, 3.0, 0, 1, 3, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0.0, 3, 0, 0, 0, 0, 1, 1, 0.0, 66.67, 100.0, 100.0, 33.296875, 33.296875, 0, 33.296875, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 16.0, 3.0, 0.0, 0.0, 1.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "7794", "Formation d'ingénieur Bac + 5 - bac général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7794&g_ta_cod=7794", 100.0, 0.0, 0.0),
(2542, "Public", "0912418J", "Université Paris-Saclay, Campus d'Orsay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "Licence", "Université Paris-Saclay, Campus d'Orsay - Licence - Double diplôme - Licence Mathématiques, Sciences de la vie - Licence Double-Diplôme Mathématiques, Sciences de la vie", "Licence - Sciences - technologies - santé", "Licence Double-Diplôme Mathématiques, Sciences de la vie", 25, 484, 312, 484, 0, 365, 30, 1, 0, 0, 0, 118, 0, 0, 0, 0, 0, 358, 0, 0, 0, 272, 16, 0, 0, 0, 0, 86, 181, 24, 20, 24, 0, 9.0, 13.0, 20.0, 0, 2, 20, 20, 0, 0, 4, 1, 1, 1, 4, 11, 2.0, 18, 0, 0, 0, 0, 9, 14, 37.5, 54.17, 83.33, 83.296875, 45.0, 70.0, 0, 10.0, 83.296875, 5.0, 5.0, 5.0, 20.0, 55.0, 10.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 133.0, 12.0, 0.0, 0.0, 48.0, "Tous les candidats", 234.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "28865", "Licence - Double diplôme - Licence Mathématiques, Sciences de la vie - Licence Double-Diplôme Mathématiques, Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28865&g_ta_cod=28865", 100.0, 0.0, 0.0),
(2543, "Public", "0492224B", "Lycée polyvalent de l'Hyrôme", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Chemillé-en-Anjou", "formation sélective", "BTS", "Lycée polyvalent de l'Hyrôme - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 23, 340, 23, 292, 0, 60, 9, 107, 23, 60, 16, 65, 48, 5, 10, 3, 30, 223, 16, 0, 0, 53, 8, 97, 23, 52, 12, 21, 130, 22, 2, 16, 6, 2.0, 15.0, 19.0, 0, 2, 16, 4, 5, 7, 6, 0, 9, 4, 3, 0, 0.0, 0, 3, 4, 1, 0, 12, 12, 9.09, 68.18, 86.36, 9.099609375, 75.0, 75.0, 6.2998046875, 12.5, 72.6875, 0.0, 56.296875, 25.0, 18.796875, 0.0, 0.0, 25.0, 0.0, 31.296875, 18.796875, 43.796875, 25.0, 36.0, 7.0, 22.0, 5.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 107, "Liste d'appel propre à cette formation", 76.0, "5979", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5979&g_ta_cod=5979", 27.0, 41.0, 32.0),
(2544, "Public", "0711322B", "Lycée professionnel du Gast-Dumorey", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "Autre formation", "Lycée professionnel du Gast-Dumorey - Mention complémentaire - FCIL Contrôle Technique", "Mention complémentaire", "", 10, 32, 2, 32, 0, 0, 0, 0, 0, 29, 6, 3, 0, 0, 0, 0, 0, 26, 0, 0, 0, 0, 0, 0, 0, 26, 5, 0, 21, 10, 0, 10, 0, 4.0, 9.0, 10.0, 0, 2, 10, 0, 0, 10, 0, 0, 7, 1, 2, 0, 0.0, 0, 0, 3, 0, 0, 10, 10, 40.0, 90.0, 100.0, 0.0, 100.0, 100.0, 0, 20.0, 100.0, 0.0, 70.0, 10.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 30.0, 0.0, 0.0, 21.0, 5.0, 0.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "23514", "Mention complémentaire - FCIL Contrôle Technique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23514&g_ta_cod=23514", 0.0, 0.0, 100.0),
(2545, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation non sélective", "PASS", "Université Sorbonne Paris Nord - Antenne de Bobigny - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Dispensée sur le site de Villetaneuse", 60, 4260, 3029, 4260, 0, 3013, 754, 121, 61, 31, 17, 1095, 0, 0, 0, 0, 0, 4258, 0, 0, 0, 3013, 754, 121, 61, 31, 17, 1093, 706, 59, 51, 59, 0, 1.0, 11.0, 41.0, 0, 14, 58, 58, 0, 0, 1, 0, 3, 21, 28, 6, 0.0, 55, 0, 0, 0, 0, 32, 55, 1.69, 18.64, 69.49, 86.390625, 55.1953125, 94.796875, 0, 24.09765625, 98.296875, 0.0, 5.19921875, 36.1953125, 48.296875, 10.3, 0.0, 100.0, 94.796875, 0.0, 0.0, 0.0, 0.0, 693.0, 155.0, 0.0, 0.0, 13.0, "Tous les candidats", 4450.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "28683", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28682&g_ta_cod=28683", 100.0, 0.0, 0.0),
(2546, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "PASS", "Université de Rennes 1 - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 40, 1064, 570, 1064, 0, 729, 95, 11, 3, 4, 1, 320, 0, 0, 0, 0, 0, 1062, 0, 0, 0, 729, 95, 11, 3, 4, 1, 318, 259, 39, 21, 39, 0, 1.0, 22.0, 32.0, 0, 11, 37, 37, 0, 0, 2, 0, 6, 10, 17, 4, 0.0, 31, 0, 0, 0, 0, 36, 36, 2.56, 56.41, 82.05, 53.796875, 97.296875, 97.296875, 0, 29.69921875, 94.890625, 0.0, 16.19921875, 27.0, 45.8984375, 10.8, 0.0, 100.0, 83.796875, 0.0, 0.0, 0.0, 0.0, 205.0, 36.0, 2.0, 1.0, 52.0, "Tous les candidats", 2125.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "27362", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27360&g_ta_cod=27362", 100.0, 0.0, 0.0),
(2547, "Public", "0100684P", "Iut De Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BUT", "Iut De Troyes - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et Pilotage des Ressources Humaines - Gestion, Entrepreneuriat et Management d'Activités", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et Pilotage des Ressources Humaines - Gestion, Entrepreneuriat et Management d'Activités", 140, 1574, 809, 1485, 0, 687, 128, 493, 166, 37, 20, 268, 89, 15, 15, 4, 55, 925, 15, 0, 0, 502, 76, 314, 105, 1, 1, 108, 692, 134, 71, 125, 9, 11.0, 107.0, 124.0, 0, 29, 111, 57, 54, 0, 23, 0, 44, 53, 12, 2, 0.0, 34, 33, 0, 0, 0, 65, 65, 8.21, 79.85, 92.54, 53.0, 58.59375, 58.59375, 0, 26.09765625, 82.796875, 0.0, 39.59375, 47.6953125, 10.798828125, 1.8, 0.0, 51.3984375, 30.59765625, 48.59375, 29.69921875, 0.0, 0.0, 342.0, 61.0, 1.0, 1.0, 88.0, "Tous les candidats sauf les Bac technologiques", 591.0, "Bacheliers technologiques toutes séries", 334, "", 0, "Liste d'appel propre à cette formation", 62.0, "2425", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et Pilotage des Ressources Humaines - Gestion, Entrepreneuriat et Management d'Activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2425&g_ta_cod=2425", 54.0, 46.0, 0.0),
(2548, "Public", "0670071N", "Lycée Koeberle", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Sélestat", "formation sélective", "BTS", "Lycée Koeberle - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 397, 197, 341, 0, 66, 19, 95, 31, 84, 41, 96, 56, 4, 5, 5, 42, 187, 18, 0, 0, 44, 7, 66, 11, 50, 20, 27, 157, 27, 10, 19, 7, 11.0, 18.0, 21.0, 0, 3, 21, 4, 11, 6, 6, 0, 5, 10, 6, 0, 0.0, 3, 8, 5, 9, 3, 19, 19, 40.74, 66.67, 77.78, 37.0, 90.5, 90.5, 42.8984375, 14.298828125, 77.796875, 0.0, 23.796875, 47.59375, 28.59765625, 0.0, 0.0, 19.0, 14.298828125, 52.3984375, 38.09375, 28.59765625, 23.796875, 36.0, 7.0, 33.0, 13.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 53.0, "7910", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7910&g_ta_cod=7910", 33.0, 44.0, 22.0),
(2549, "Public", "0290007A", "Lycée La Pérouse - Kerichen", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "CPGE", "Lycée La Pérouse - Kerichen - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 368, 167, 368, 214, 308, 23, 0, 0, 0, 0, 60, 0, 0, 0, 0, 0, 290, 0, 162, 273, 265, 16, 0, 0, 0, 0, 25, 185, 16, 7, 16, 0, 5.0, 13.0, 16.0, 1, 2, 15, 15, 0, 0, 1, 0, 1, 2, 8, 4, 0.0, 14, 0, 0, 1, 0, 14, 14, 31.25, 81.25, 100.0, 43.796875, 93.296875, 93.296875, 6.69921875, 13.298828125, 93.796875, 0.0, 6.69921875, 13.298828125, 53.296875, 26.7, 0.0, 100.0, 93.296875, 0.0, 0.0, 0.0, 0.0, 164.0, 12.0, 0.0, 0.0, 21.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "31464", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31383&g_ta_cod=31464", 100.0, 0.0, 0.0),
(2550, "Public", "0761688X", "I.U.T du Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BUT", "I.U.T du Havre - BUT - Information communication Parcours publicité", "BUT - Service", "", 20, 1275, 956, 1275, 0, 748, 107, 250, 62, 12, 5, 265, 0, 0, 0, 0, 0, 625, 0, 0, 0, 431, 56, 168, 41, 4, 2, 22, 89, 22, 17, 22, 0, 2.0, 19.0, 21.0, 0, 5, 21, 14, 7, 0, 1, 0, 1, 6, 10, 4, 0.0, 14, 6, 0, 0, 0, 17, 17, 9.09, 86.36, 95.45, 77.296875, 81.0, 81.0, 0, 23.796875, 95.5, 0.0, 4.7998046875, 28.59765625, 47.59375, 19.0, 0.0, 66.6875, 66.6875, 33.296875, 28.59765625, 0.0, 0.0, 44.0, 8.0, 0.0, 0.0, 5.0, "Tous les candidats sauf les Bac technologiques", 54.0, "Bacheliers technologiques toutes séries", 93, "", 0, "Liste d'appel propre à cette formation", 12.0, "9662", "BUT - Information communication Parcours publicité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9662&g_ta_cod=9662", 64.0, 36.0, 0.0),
(2551, "Public", "0511884W", "lycée Georges BRIERE", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "lycée Georges BRIERE - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 14, 363, 33, 363, 0, 57, 18, 86, 24, 109, 32, 111, 0, 0, 0, 0, 0, 363, 0, 0, 0, 57, 18, 86, 24, 109, 32, 111, 53, 14, 0, 14, 0, 3.0, 14.0, 14.0, 0, 4, 9, 3, 1, 5, 5, 0, 3, 2, 4, 0, 0.0, 0, 1, 5, 5, 0, 7, 7, 21.43, 100.0, 100.0, 0.0, 77.796875, 77.796875, 55.59375, 44.3984375, 64.296875, 0.0, 33.296875, 22.19921875, 44.3984375, 0.0, 0.0, 33.296875, 0.0, 11.099609375, 11.099609375, 55.59375, 55.59375, 18.0, 6.0, 17.0, 6.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers technologiques toutes séries", 30, "Bacheliers professionnels toutes séries", 24, "Liste d'appel propre à cette formation", 25.0, "25032", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25032&g_ta_cod=25032", 21.0, 36.0, 43.0),
(2552, "Public", "0220018A", "Lycée Auguste Pavie", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Guingamp", "formation sélective", "BTS", "Lycée Auguste Pavie - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 544, 254, 538, 0, 49, 5, 179, 38, 200, 59, 110, 6, 0, 0, 4, 2, 452, 1, 0, 0, 49, 5, 172, 38, 177, 49, 54, 222, 25, 14, 24, 1, 3.0, 17.0, 21.0, 0, 6, 19, 4, 6, 9, 6, 0, 10, 8, 1, 0, 0.0, 3, 3, 3, 2, 1, 17, 17, 12.0, 68.0, 84.0, 56.0, 89.5, 89.5, 10.5, 31.59765625, 76.0, 0.0, 52.59375, 42.09375, 5.2998046875, 0.0, 0.0, 21.09765625, 15.798828125, 31.59765625, 15.798828125, 47.3984375, 15.798828125, 28.0, 3.0, 111.0, 36.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 173, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 57.0, "3308", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3308&g_ta_cod=3308", 20.0, 36.0, 44.0),
(2553, "Privé sous contrat d'association", "0351602B", "Institut de formation en Pédicurie-Podologie de Rennes - Association IFPEK", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Institut de formation en Pédicurie-Podologie de Rennes - Association IFPEK - D.E Pédicure-Podologue", "D.E secteur sanitaire", "", 40, 311, 227, 311, 0, 92, 6, 27, 3, 0, 0, 192, 0, 0, 0, 0, 0, 289, 0, 0, 0, 88, 5, 22, 2, 0, 0, 179, 128, 41, 27, 41, 0, 11.0, 27.0, 37.0, 0, 0, 15, 11, 4, 0, 26, 0, 1, 10, 4, 0, 0.0, 10, 4, 0, 0, 0, 9, 9, 26.83, 65.85, 90.24, 65.890625, 60.0, 60.0, 0, 0.0, 36.59375, 0.0, 6.69921875, 66.6875, 26.69921875, 0.0, 0.0, 73.296875, 66.6875, 26.69921875, 26.69921875, 0.0, 0.0, 43.0, 4.0, 0.0, 0.0, 78.0, "Tous les candidats", 156.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "26062", "D.E Pédicure-Podologue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26062&g_ta_cod=26062", 80.0, 15.0, 2.0),
(2554, "Public", "0693478F", "Lycée Condorcet", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Priest", "formation sélective", "CPGE", "Lycée Condorcet - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 24, 365, 175, 360, 0, 0, 0, 332, 93, 0, 0, 28, 5, 0, 4, 0, 1, 254, 1, 0, 254, 0, 0, 247, 79, 0, 0, 7, 95, 24, 14, 23, 1, 14.0, 21.0, 22.0, 0, 10, 24, 0, 24, 0, 0, 0, 2, 8, 10, 4, 0.0, 0, 22, 0, 2, 2, 22, 22, 58.33, 87.5, 91.67, 58.296875, 91.6875, 91.6875, 8.298828125, 41.6953125, 100.0, 0.0, 8.298828125, 33.296875, 41.6953125, 16.7, 0.0, 0.0, 0.0, 100.0, 91.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 227.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "8567", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8567&g_ta_cod=8567", 0.0, 100.0, 0.0),
(2555, "Privé sous contrat d'association", "0754042L", "Lycée Le Rebours", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Le Rebours - Diplôme de Comptabilité et de Gestion", "DCG", "", 40, 953, 404, 853, 0, 351, 72, 241, 61, 9, 5, 252, 100, 21, 17, 3, 59, 461, 11, 0, 0, 252, 41, 139, 32, 1, 1, 69, 276, 36, 17, 31, 5, 2.0, 17.0, 30.0, 0, 6, 27, 17, 10, 0, 9, 0, 5, 16, 4, 2, 0.0, 12, 10, 0, 0, 0, 11, 23, 5.56, 47.22, 83.33, 47.1953125, 40.6953125, 85.1875, 0, 22.19921875, 75.0, 0.0, 18.5, 59.296875, 14.798828125, 7.4, 0.0, 63.0, 44.3984375, 37.0, 37.0, 0.0, 0.0, 148.0, 26.0, 0.0, 0.0, 52.0, "Tous les candidats", 459.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "9509", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9509&g_ta_cod=9509", 69.0, 31.0, 0.0),
(2556, "Public", "0430951A", "I.U.T. de Clermont-Ferrand - Antenne du Puy", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "BUT", "I.U.T. de Clermont-Ferrand - Antenne du Puy - BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Matériaux et produits formulés", "BUT - Production", "Analyse, contrôle-qualité, environnement - Matériaux et produits formulés", 48, 642, 380, 626, 0, 424, 43, 78, 8, 0, 0, 124, 16, 2, 4, 0, 10, 577, 4, 0, 0, 417, 43, 55, 6, 0, 0, 105, 423, 38, 21, 38, 0, 11.0, 27.0, 38.0, 0, 1, 28, 27, 1, 0, 10, 0, 6, 14, 7, 1, 0.0, 21, 1, 0, 0, 0, 15, 15, 28.95, 71.05, 100.0, 55.296875, 53.59375, 53.59375, 0, 3.599609375, 73.6875, 0.0, 21.3984375, 50.0, 25.0, 3.6, 0.0, 96.390625, 75.0, 3.599609375, 3.599609375, 0.0, 0.0, 305.0, 30.0, 0.0, 0.0, 81.0, "Tous les candidats sauf les Bac technologiques", 516.0, "Bacheliers technologiques toutes séries", 58, "", 0, "Liste d'appel propre à cette formation", 92.0, "5410", "BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Matériaux et produits formulés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5410&g_ta_cod=5410", 95.0, 5.0, 0.0),
(2557, "Public", "0690037R", "Lycée La Martinière-Diderot", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "BTS", "Lycée La Martinière-Diderot - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 658, 30, 658, 0, 19, 3, 193, 49, 279, 120, 167, 0, 0, 0, 0, 0, 351, 0, 0, 0, 11, 0, 122, 24, 165, 67, 53, 159, 28, 0, 27, 0, 2.0, 18.0, 23.0, 0, 6, 17, 0, 4, 13, 11, 0, 4, 6, 6, 1, 0.0, 0, 1, 12, 2, 0, 16, 16, 7.14, 64.29, 82.14, 0.0, 94.09375, 94.09375, 11.798828125, 35.296875, 60.6953125, 0.0, 23.5, 35.296875, 35.296875, 5.9, 0.0, 0.0, 0.0, 23.5, 5.8994140625, 76.5, 70.59375, 1.0, 0.0, 76.0, 30.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 125, "Bacheliers technologiques toutes séries", 107, "Liste d'appel propre à cette formation", 36.0, "8204", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8204&g_ta_cod=8204", 11.0, 36.0, 54.0),
(2558, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Lettres - Parcours  Lettres modernes", "Licence - Arts-lettres-langues", "Lettres modernes", 300, 1219, 1010, 1043, 0, 722, 201, 37, 17, 20, 12, 264, 176, 33, 4, 10, 129, 1040, 101, 0, 0, 722, 201, 37, 17, 20, 12, 261, 1055, 207, 165, 147, 60, 86.0, 146.0, 187.0, 0, 31, 102, 88, 5, 9, 105, 1, 26, 34, 27, 12, 2.0, 66, 4, 5, 0, 0, 84, 84, 41.55, 70.53, 90.34, 79.6875, 82.390625, 82.390625, 0, 30.3984375, 49.296875, 1.0, 25.5, 33.296875, 26.5, 11.8, 2.0, 86.296875, 64.6875, 4.8994140625, 3.89990234375, 8.798828125, 4.8994140625, 707.0, 195.0, 22.0, 14.0, 291.0, "Tous les candidats", 1040.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7068", "Licence - Lettres - Parcours  Lettres modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7068&g_ta_cod=7068", 83.0, 7.0, 8.0),
(2559, "Public", "0440105A", "IFSI CHU NANTES", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nantes - D.E Infirmier", "D.E secteur sanitaire", "", 160, 6083, 5240, 6083, 0, 1321, 212, 1019, 209, 802, 246, 2941, 0, 0, 0, 0, 0, 5427, 0, 0, 0, 1253, 193, 912, 171, 698, 206, 2564, 747, 158, 136, 158, 0, 13.0, 64.0, 97.0, 0, 16, 69, 23, 29, 17, 89, 0, 1, 32, 29, 7, 0.0, 23, 28, 17, 0, 0, 58, 58, 8.23, 40.51, 61.39, 86.09375, 84.09375, 84.09375, 0, 23.19921875, 43.6953125, 0.0, 1.39990234375, 46.3984375, 42.0, 10.1, 0.0, 33.296875, 33.296875, 42.0, 40.59375, 24.59765625, 24.59765625, 82.0, 15.0, 96.0, 39.0, 499.0, "Tous les candidats", 1106.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 17.0, "23199", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22994&g_ta_cod=23199", 64.0, 20.0, 15.0),
(2560, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe Grands débutants (Licence en 4 ans)", "Licence - Arts-lettres-langues", "Arabe Grands débutants (Licence en 4 ans)", 50, 320, 232, 320, 0, 90, 37, 31, 20, 18, 11, 181, 0, 0, 0, 0, 0, 314, 0, 0, 0, 90, 37, 31, 20, 18, 11, 175, 186, 48, 32, 48, 0, 5.0, 41.0, 46.0, 0, 8, 22, 14, 5, 3, 26, 0, 10, 10, 2, 0, 0.0, 6, 3, 3, 0, 0, 2, 17, 10.42, 85.42, 95.83, 66.6875, 9.099609375, 77.296875, 0, 36.3984375, 45.796875, 0.0, 45.5, 45.5, 9.099609375, 0.0, 0.0, 63.59375, 27.296875, 22.69921875, 13.599609375, 13.599609375, 13.599609375, 65.0, 21.0, 13.0, 7.0, 92.0, "Tous les candidats", 240.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "24029", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe Grands débutants (Licence en 4 ans)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24029&g_ta_cod=24029", 58.0, 19.0, 21.0),
(2561, "Public", "0594366A", "IUT Tourcoing Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BUT", "IUT Tourcoing Université de Lille - BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées-Management de la mobilité et de la supply chain durables", "BUT - Service", "Management de la mobilité et de la supply chain connectées-Management de la mobilité et de la supply chain durables", 80, 641, 141, 600, 0, 222, 35, 172, 63, 30, 19, 176, 41, 5, 5, 1, 30, 325, 4, 0, 0, 154, 21, 110, 38, 8, 4, 53, 241, 61, 18, 59, 2, 22.0, 56.0, 59.0, 0, 16, 45, 19, 26, 0, 16, 0, 15, 26, 4, 0, 0.0, 11, 19, 0, 0, 0, 32, 32, 36.07, 91.8, 96.72, 29.5, 71.09375, 71.09375, 0, 35.59375, 73.796875, 0.0, 33.296875, 57.796875, 8.8984375, 0.0, 0.0, 42.1953125, 24.3984375, 57.796875, 42.1953125, 0.0, 0.0, 102.0, 16.0, 2.0, 2.0, 43.0, "Tous les candidats sauf les Bac technologiques", 207.0, "Bacheliers technologiques toutes séries", 121, "", 0, "Liste d'appel propre à cette formation", 54.0, "7110", "BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées-Management de la mobilité et de la supply chain durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7110&g_ta_cod=7110", 56.0, 44.0, 0.0),
(2562, "Privé enseignement supérieur", "0800080C", "ESC Amiens - Bachelor Gestion et Marketing", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Ecole de Commerce", "ESC Amiens - Bachelor Gestion et Marketing - Formation des écoles de commerce et de management Bac + 5", "Formation des écoles de commerce et de management", "", 105, 277, 118, 238, 0, 185, 16, 23, 3, 8, 4, 22, 39, 12, 8, 4, 15, 194, 26, 0, 0, 167, 14, 15, 1, 1, 0, 11, 219, 56, 21, 49, 7, 48.0, 49.0, 54.0, 0, 1, 51, 45, 5, 1, 5, 1, 13, 28, 8, 1, 0.0, 31, 5, 1, 0, 0, 41, 41, 85.71, 87.5, 96.43, 37.5, 80.390625, 80.390625, 0, 2.0, 91.09375, 2.0, 25.5, 54.8984375, 15.69921875, 2.0, 0.0, 88.1875, 60.796875, 9.798828125, 9.798828125, 2.0, 2.0, 176.0, 14.0, 3.0, 0.0, 19.0, "Tous les candidats", 194.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "16784", "Formation des écoles de commerce et de management Bac + 5", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16784&g_ta_cod=16784", 89.0, 9.0, 2.0),
(2563, "Public", "0800009A", "Lycée Louis Thuillier", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "CPGE", "Lycée Louis Thuillier - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 30, 243, 113, 243, 132, 0, 0, 180, 47, 0, 0, 63, 0, 0, 0, 0, 0, 204, 0, 114, 196, 0, 0, 165, 39, 0, 0, 39, 118, 30, 19, 30, 0, 8.0, 24.0, 28.0, 21, 5, 21, 0, 21, 0, 9, 0, 5, 7, 6, 2, 1.0, 0, 16, 0, 0, 0, 18, 18, 26.67, 80.0, 93.33, 63.296875, 85.6875, 85.6875, 0, 23.796875, 70.0, 0.0, 23.796875, 33.296875, 28.59765625, 9.5, 4.8, 0.0, 0.0, 100.0, 76.1875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 22.0, "Tous les candidats", 192.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "10155", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10155&g_ta_cod=10155", 0.0, 100.0, 0.0),
(2564, "Public", "0260015A", "Lycée Alain Borne", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Montélimar", "formation sélective", "BTS", "Lycée Alain Borne - BTS - Services - Professions immobilières", "BTS - Services", "", 24, 855, 494, 844, 0, 157, 35, 299, 89, 194, 71, 194, 11, 1, 1, 2, 7, 359, 7, 0, 0, 68, 14, 168, 44, 90, 32, 33, 143, 22, 16, 21, 1, 1.0, 16.0, 17.0, 0, 4, 16, 0, 12, 4, 6, 0, 3, 6, 7, 0, 0.0, 0, 9, 4, 6, 5, 11, 11, 4.55, 72.73, 77.27, 72.6875, 68.796875, 68.796875, 37.5, 25.0, 72.6875, 0.0, 18.796875, 37.5, 43.796875, 0.0, 0.0, 0.0, 0.0, 75.0, 56.296875, 25.0, 25.0, 27.0, 10.0, 25.0, 8.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 112, "Liste d'appel propre à cette formation", 20.0, "20127", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20127&g_ta_cod=20127", 14.0, 68.0, 18.0),
(2565, "Privé sous contrat d'association", "0753584N", "EFOM- Boris DOLTO", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "EFOM- Boris DOLTO - D.E Pédicure-Podologue", "D.E secteur sanitaire", "", 98, 442, 332, 270, 0, 72, 13, 23, 1, 1, 0, 174, 172, 50, 18, 2, 102, 267, 85, 0, 0, 72, 13, 23, 1, 1, 0, 171, 328, 44, 27, 31, 13, 15.0, 31.0, 42.0, 0, 3, 20, 14, 6, 0, 24, 0, 9, 11, 0, 0, 0.0, 8, 3, 0, 0, 0, 0, 11, 34.09, 70.45, 95.45, 61.3984375, 0.0, 55.0, 0, 15.0, 45.5, 0.0, 45.0, 55.0, 0.0, 0.0, 0.0, 70.0, 40.0, 30.0, 15.0, 0.0, 0.0, 96.0, 17.0, 1.0, 0.0, 199.0, "Tous les candidats", 267.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "26059", "D.E Pédicure-Podologue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26059&g_ta_cod=26059", 77.0, 20.0, 0.0),
(2566, "Public", "0594391C", "E.S.AA.T.", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "Autre formation", "E.S.AA.T. - DN MADE - Matériaux - - Spécialité : Textile dessin motif", "DN MADE", "- Spécialité : Textile dessin motif", 15, 396, 317, 396, 0, 134, 27, 104, 16, 33, 10, 125, 0, 0, 0, 0, 0, 124, 0, 0, 0, 44, 2, 65, 8, 0, 0, 15, 57, 13, 11, 13, 0, 2.0, 9.0, 12.0, 0, 2, 10, 3, 7, 0, 3, 0, 1, 4, 4, 1, 0.0, 3, 6, 0, 0, 0, 3, 3, 15.38, 69.23, 92.31, 84.59375, 30.0, 30.0, 0, 20.0, 76.890625, 0.0, 10.0, 40.0, 40.0, 10.0, 0.0, 30.0, 30.0, 70.0, 60.0, 0.0, 0.0, 12.0, 2.0, 0.0, 0.0, 12.0, "Tous les candidats", 95.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "24723", "DN MADE - Matériaux - - Spécialité : Textile dessin motif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24723&g_ta_cod=24723", 31.0, 69.0, 0.0),
(2567, "Privé sous contrat d'association", "0931797Y", "Lycée Jean-Baptiste de La Salle", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BTS", "Lycée Jean-Baptiste de La Salle - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 14, 254, 18, 155, 0, 2, 0, 7, 5, 99, 44, 47, 99, 0, 0, 67, 32, 29, 5, 0, 0, 0, 0, 3, 2, 25, 11, 1, 30, 1, 0, 0, 1, 0.0, 0.0, 1.0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 0.0, 0.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 26.0, 10.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 3, "Liste d'appel propre à cette formation", 17.0, "11288", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11288&g_ta_cod=11288", 0.0, 0.0, 100.0),
(2568, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Administration et Echanges internationaux - Parcours Amérique du Nord", "Licence - Droit-économie-gestion", "Amérique du Nord", 90, 1837, 1212, 1837, 0, 1179, 313, 243, 111, 31, 16, 384, 0, 0, 0, 0, 0, 808, 0, 0, 0, 711, 172, 18, 9, 0, 0, 79, 447, 90, 69, 90, 0, 32.0, 68.0, 87.0, 0, 24, 84, 83, 1, 0, 6, 0, 4, 38, 34, 8, 0.0, 79, 1, 0, 0, 0, 38, 63, 35.56, 75.56, 96.67, 76.6875, 45.1953125, 75.0, 0, 28.59765625, 93.296875, 0.0, 4.7998046875, 45.1953125, 40.5, 9.5, 0.0, 98.796875, 94.0, 1.199951171875, 1.199951171875, 0.0, 0.0, 387.0, 100.0, 0.0, 0.0, 42.0, "Tous les candidats", 556.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "14512", "Licence - Administration et Echanges internationaux - Parcours Amérique du Nord", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14512&g_ta_cod=14512", 99.0, 1.0, 0.0),
(2569, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 158, 1295, 1001, 1295, 0, 903, 186, 66, 29, 25, 7, 301, 0, 0, 0, 0, 0, 1295, 0, 0, 0, 903, 186, 66, 29, 25, 7, 301, 800, 157, 110, 157, 0, 11.0, 118.0, 146.0, 0, 23, 121, 107, 7, 7, 36, 0, 49, 53, 13, 6, 0.0, 66, 1, 5, 0, 0, 80, 114, 7.01, 75.16, 92.99, 70.09375, 66.09375, 94.1875, 0, 19.0, 77.09375, 0.0, 40.5, 43.796875, 10.69921875, 5.0, 0.0, 88.390625, 54.5, 5.7998046875, 0.7999267578125, 5.7998046875, 4.099609375, 614.0, 125.0, 14.0, 5.0, 138.0, "Tous les candidats", 1057.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "11103", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11103&g_ta_cod=11103", 85.0, 7.0, 7.0),
(2570, "Public", "0870019Y", "Lycée Suzanne Valadon", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Autre formation", "Lycée Suzanne Valadon - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70, 9, 6, 0, 0, 0.0, 0.0, 5.0, 0, 4, 7, 1, 0, 6, 2, 0, 4, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 7, 7, 0.0, 0.0, 55.56, 66.6875, 100.0, 100.0, 0, 57.09375, 77.796875, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 14.298828125, 0.0, 0.0, 0.0, 85.6875, 42.8984375, 1.0, 0.0, 49.0, 23.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25744", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 11.0, 11.0, 78.0),
(2571, "Privé sous contrat d'association", "0951998F", "Lycée G A R A C", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "BTS", "Lycée G A R A C - BTS - Production - Conception et réalisation de carrosseries", "BTS - Production", "", 18, 105, 4, 92, 0, 21, 5, 27, 9, 30, 8, 14, 13, 0, 3, 6, 4, 44, 2, 0, 0, 12, 2, 15, 4, 14, 4, 3, 41, 14, 0, 12, 2, 8.0, 12.0, 14.0, 0, 1, 14, 4, 6, 4, 0, 0, 6, 5, 2, 1, 0.0, 2, 2, 4, 3, 0, 9, 11, 57.14, 85.71, 100.0, 0.0, 64.296875, 78.59375, 21.3984375, 7.099609375, 100.0, 0.0, 42.8984375, 35.6953125, 14.298828125, 7.1, 0.0, 28.59765625, 14.298828125, 42.8984375, 14.298828125, 28.59765625, 28.59765625, 8.0, 2.0, 16.0, 4.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 45.0, "11667", "BTS - Production - Conception et réalisation de carrosseries", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11667&g_ta_cod=11667", 29.0, 43.0, 29.0),
(2572, "Public", "0941474S", "Lycée Darius Milhaud", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Le Kremlin-Bicêtre", "formation sélective", "BTS", "Lycée Darius Milhaud - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 33, 1154, 1063, 1154, 0, 38, 18, 225, 101, 533, 266, 358, 0, 0, 0, 0, 0, 612, 0, 0, 0, 22, 9, 121, 60, 345, 173, 124, 160, 33, 31, 33, 0, 5.0, 17.0, 27.0, 0, 14, 28, 2, 9, 17, 5, 0, 11, 13, 4, 0, 0.0, 0, 4, 13, 4, 4, 23, 28, 15.15, 51.52, 81.82, 93.890625, 82.09375, 100.0, 14.298828125, 50.0, 84.796875, 0.0, 39.296875, 46.3984375, 14.298828125, 0.0, 0.0, 7.099609375, 0.0, 32.09375, 14.298828125, 60.6953125, 46.3984375, 3.0, 3.0, 88.0, 46.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 140, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 20.0, "11529", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11529&g_ta_cod=11529", 9.0, 33.0, 58.0),
(2573, "Public", "0870056N", "Lycée Turgot", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée Turgot - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 26, 523, 61, 523, 0, 84, 17, 108, 38, 104, 45, 227, 0, 0, 0, 0, 0, 356, 0, 0, 0, 83, 17, 106, 38, 102, 45, 65, 131, 23, 0, 23, 0, 2.0, 16.0, 22.0, 0, 4, 19, 9, 4, 6, 4, 0, 12, 6, 1, 0, 0.0, 3, 1, 3, 4, 0, 17, 17, 8.7, 69.57, 95.65, 0.0, 89.5, 89.5, 21.09765625, 21.09765625, 82.59375, 0.0, 63.1953125, 31.59765625, 5.2998046875, 0.0, 0.0, 47.3984375, 15.798828125, 21.09765625, 5.2998046875, 31.59765625, 15.798828125, 53.0, 9.0, 27.0, 10.0, 24.0, "Tous les candidats sauf les Bac professionnels", 141.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 35.0, "10676", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10676&g_ta_cod=10676", 43.0, 26.0, 30.0),
(2574, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "PASS", "Université de Nantes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 36, 1692, 986, 1692, 0, 1320, 165, 13, 6, 2, 2, 357, 0, 0, 0, 0, 0, 1692, 0, 0, 0, 1320, 165, 13, 6, 2, 2, 357, 373, 36, 19, 36, 0, 0.0, 13.0, 33.0, 0, 2, 34, 33, 1, 0, 2, 1, 4, 18, 9, 1, 1.0, 29, 0, 0, 0, 0, 23, 23, 0.0, 36.11, 91.67, 52.796875, 67.59375, 67.59375, 0, 5.8994140625, 94.390625, 2.89990234375, 11.798828125, 52.8984375, 26.5, 2.9, 2.9, 97.09375, 85.296875, 2.89990234375, 0.0, 0.0, 0.0, 357.0, 33.0, 0.0, 0.0, 13.0, "Tous les candidats", 2597.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "27992", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27985&g_ta_cod=27992", 97.0, 3.0, 0.0),
(2575, "Privé sous contrat d'association", "0592969G", "Lycée Dampierre", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée Dampierre - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 32, 128, 11, 120, 0, 4, 0, 25, 4, 30, 6, 61, 8, 0, 1, 4, 3, 79, 2, 0, 0, 4, 0, 25, 4, 30, 6, 20, 68, 21, 0, 21, 0, 13.0, 21.0, 21.0, 0, 3, 19, 0, 6, 13, 2, 1, 5, 5, 6, 2, 0.0, 0, 2, 11, 17, 0, 18, 18, 61.9, 100.0, 100.0, 0.0, 94.6875, 94.6875, 89.5, 15.798828125, 90.5, 5.2998046875, 26.296875, 26.296875, 31.59765625, 10.5, 0.0, 0.0, 0.0, 31.59765625, 10.5, 68.390625, 57.8984375, 4.0, 0.0, 30.0, 6.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 60.0, "6930", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6930&g_ta_cod=6930", 10.0, 29.0, 62.0),
(2576, "Privé sous contrat d'association", "0333481E", "YNCREA - BÈGLES", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 5, 241, 93, 237, 0, 0, 0, 0, 0, 0, 0, 237, 4, 0, 0, 0, 4, 210, 1, 0, 0, 0, 0, 0, 0, 0, 0, 210, 198, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 198.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "31123", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=31123", 100.0, 0.0, 0.0),
(2577, "Privé sous contrat d'association", "0593006X", "Lycée Notre-Dame D'Annay", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Notre-Dame D'Annay - BTS - Services - Support à l'action managériale", "BTS - Services", "", 32, 214, 136, 140, 0, 5, 1, 36, 13, 46, 25, 53, 74, 2, 15, 16, 41, 93, 14, 0, 0, 5, 1, 30, 12, 33, 19, 25, 89, 17, 11, 11, 6, 4.0, 11.0, 17.0, 0, 6, 10, 0, 6, 4, 7, 0, 7, 2, 1, 0, 0.0, 0, 0, 3, 3, 2, 10, 10, 23.53, 64.71, 100.0, 64.6875, 100.0, 100.0, 30, 60.0, 58.796875, 0.0, 70.0, 20.0, 10.0, 0.0, 0.0, 0.0, 0.0, 60.0, 0.0, 40.0, 30.0, 6.0, 1.0, 31.0, 18.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 64.0, "6938", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6938&g_ta_cod=6938", 6.0, 53.0, 41.0),
(2578, "Public", "0940123Y", "Lycée Guillaume Apollinaire", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Thiais", "formation sélective", "BTS", "Lycée Guillaume Apollinaire - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1513, 728, 1513, 0, 52, 24, 496, 209, 549, 267, 416, 0, 0, 0, 0, 0, 1513, 0, 0, 0, 52, 24, 496, 209, 549, 267, 416, 172, 36, 16, 36, 0, 5.0, 25.0, 35.0, 0, 13, 24, 3, 8, 13, 12, 0, 4, 12, 7, 1, 0.0, 3, 7, 10, 3, 1, 19, 24, 13.89, 69.44, 97.22, 44.3984375, 79.1875, 100.0, 12.5, 54.1953125, 66.6875, 0.0, 16.69921875, 50.0, 29.19921875, 4.2, 0.0, 12.5, 12.5, 33.296875, 29.19921875, 54.1953125, 41.6953125, 11.0, 8.0, 56.0, 25.0, 51.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 110, "Bacheliers technologiques toutes séries", 141, "Liste d'appel propre à cette formation", 18.0, "11403", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11403&g_ta_cod=11403", 19.0, 36.0, 44.0),
(2579, "Public", "0020012C", "Lycée Jean De La Fontaine", "02", "Aisne", "Hauts-de-France", "Amiens", "Château-Thierry", "formation sélective", "BTS", "Lycée Jean De La Fontaine - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 18, 303, 269, 222, 0, 18, 6, 59, 26, 69, 35, 76, 81, 0, 0, 58, 23, 185, 14, 0, 0, 18, 6, 55, 23, 64, 31, 48, 126, 14, 11, 8, 6, 1.0, 8.0, 10.0, 0, 7, 10, 2, 3, 5, 4, 1, 7, 2, 0, 0, 0.0, 0, 1, 1, 3, 2, 5, 5, 7.14, 57.14, 71.43, 78.59375, 50.0, 50.0, 30, 70.0, 71.390625, 10.0, 70.0, 20.0, 0.0, 0.0, 0.0, 20.0, 0.0, 30.0, 10.0, 50.0, 10.0, 16.0, 6.0, 59.0, 28.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 63.0, "14565", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14565&g_ta_cod=14565", 21.0, 21.0, 57.0),
(2580, "Privé enseignement supérieur", "0501840D", "EGC Normandie", "50", "Manche", "Normandie", "Normandie", "Saint-Lô", "formation sélective", "Ecole de Commerce", "EGC Normandie - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "", 35, 74, 30, 63, 0, 40, 2, 10, 0, 1, 0, 12, 11, 3, 0, 0, 8, 53, 6, 0, 0, 38, 2, 7, 0, 0, 0, 8, 59, 29, 11, 24, 5, 15.0, 24.0, 28.0, 0, 1, 22, 18, 4, 0, 7, 0, 11, 7, 4, 0, 0.0, 10, 1, 0, 0, 0, 17, 17, 51.72, 82.76, 96.55, 37.8984375, 77.296875, 77.296875, 0, 4.5, 75.890625, 0.0, 50.0, 31.796875, 18.19921875, 0.0, 0.0, 81.796875, 45.5, 18.19921875, 4.5, 0.0, 0.0, 40.0, 2.0, 0.0, 0.0, 12.0, "Tous les candidats", 53.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "24260", "Formation des écoles de commerce et de management Bac + 3", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24260&g_ta_cod=24260", 79.0, 14.0, 7.0),
(2581, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Histoire - Parcours Enseignement à distance", "Licence - Sciences humaines et sociales", "Enseignement à distance", 100, 489, 259, 416, 0, 108, 21, 19, 5, 9, 1, 280, 73, 5, 0, 0, 68, 414, 71, 0, 0, 108, 21, 19, 5, 9, 1, 278, 388, 108, 58, 75, 33, 22.0, 74.0, 98.0, 0, 2, 15, 10, 5, 0, 93, 0, 7, 5, 2, 0, 1.0, 7, 1, 0, 0, 0, 7, 7, 20.37, 68.52, 90.74, 53.6953125, 46.6953125, 46.6953125, 0, 13.298828125, 13.8984375, 0.0, 46.6953125, 33.296875, 13.298828125, 0.0, 6.7, 66.6875, 46.6953125, 33.296875, 6.69921875, 0.0, 0.0, 96.0, 15.0, 6.0, 1.0, 268.0, "Tous les candidats", 414.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "28651", "Licence - Histoire - Parcours Enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28651&g_ta_cod=28651", 63.0, 18.0, 8.0),
(2582, "Privé sous contrat d'association", "0350774B", "Lycée St Sauveur", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Redon", "formation sélective", "BTS", "Lycée St Sauveur - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 429, 42, 334, 0, 58, 5, 143, 26, 62, 11, 71, 95, 7, 20, 18, 50, 121, 23, 0, 0, 24, 1, 58, 11, 35, 4, 4, 113, 27, 4, 18, 9, 8.0, 18.0, 25.0, 0, 3, 22, 4, 12, 6, 5, 0, 14, 6, 2, 0, 0.0, 1, 4, 3, 0, 0, 16, 16, 29.63, 66.67, 92.59, 14.798828125, 72.6875, 72.6875, 0, 13.599609375, 81.5, 0.0, 63.59375, 27.296875, 9.099609375, 0.0, 0.0, 18.19921875, 4.5, 54.5, 18.19921875, 27.296875, 13.599609375, 18.0, 0.0, 36.0, 4.0, 12.0, "Tous les candidats sauf les Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 35.0, "4678", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4678&g_ta_cod=4678", 19.0, 52.0, 30.0),
(2583, "Public", "0590071G", "Lycée Jean Bart", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "Lycée Jean Bart - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 427, 49, 356, 0, 62, 9, 86, 28, 82, 35, 126, 71, 3, 7, 15, 46, 163, 15, 0, 0, 43, 6, 48, 16, 56, 21, 16, 124, 28, 2, 22, 5, 6.0, 21.0, 25.0, 0, 9, 21, 8, 1, 12, 7, 0, 8, 8, 4, 1, 0.0, 5, 0, 8, 0, 0, 20, 20, 21.43, 75.0, 89.29, 7.099609375, 95.1875, 95.1875, 0, 42.8984375, 75.0, 0.0, 38.09375, 38.09375, 19.0, 4.8, 0.0, 38.09375, 23.796875, 4.7998046875, 0.0, 57.09375, 38.09375, 29.0, 3.0, 49.0, 20.0, 22.0, "Tous les candidats sauf les Bac professionnels", 104.0, "Bacheliers professionnels toutes séries", 59, "", 0, "Liste d'appel propre à cette formation", 46.0, "6749", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6749&g_ta_cod=6749", 39.0, 7.0, 50.0),
(2584, "Public", "0700905D", "Lycée Edouard Belin", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Vesoul", "formation sélective", "BTS", "Lycée Edouard Belin - BTS - Production - Conception et Réalisation de Systèmes Automatiques - Parcours Ingénieur Microtechniques et Systèmes Intelligents", "BTS - Production", "Parcours Ingénieur Microtechniques et Systèmes Intelligents", 5, 63, 11, 63, 0, 33, 4, 5, 1, 5, 2, 20, 0, 0, 0, 0, 0, 25, 0, 0, 0, 20, 0, 2, 0, 2, 0, 1, 7, 6, 2, 6, 0, 5.0, 6.0, 6.0, 0, 0, 5, 4, 0, 1, 1, 0, 0, 2, 2, 1, 0.0, 4, 0, 1, 2, 0, 5, 5, 83.33, 100.0, 100.0, 33.296875, 100.0, 100.0, 40, 0.0, 83.296875, 0.0, 0.0, 40.0, 40.0, 20.0, 0.0, 80.0, 80.0, 0.0, 0.0, 20.0, 20.0, 5.0, 0.0, 1.0, 0.0, 1.0, "Tous les candidats sauf les Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 11.0, "29685", "BTS - Production - Conception et Réalisation de Systèmes Automatiques - Parcours Ingénieur Microtechniques et Systèmes Intelligents", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29685&g_ta_cod=29685", 83.0, 0.0, 17.0),
(2585, "Privé sous contrat d'association", "0741101V", "Lycée Les Bressis", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BTS", "Lycée Les Bressis - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 174, 87, 159, 0, 20, 4, 60, 14, 38, 10, 41, 15, 0, 2, 8, 5, 159, 7, 0, 0, 20, 4, 60, 14, 38, 10, 41, 114, 11, 1, 8, 3, 0.0, 5.0, 7.0, 0, 2, 8, 2, 2, 4, 3, 1, 5, 1, 0, 1, 0.0, 0, 0, 2, 1, 0, 7, 7, 0.0, 45.45, 63.64, 9.099609375, 87.5, 87.5, 12.5, 25.0, 72.6875, 12.5, 62.5, 12.5, 0.0, 12.5, 0.0, 25.0, 0.0, 25.0, 0.0, 50.0, 25.0, 19.0, 3.0, 28.0, 10.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 89.0, "8898", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8898&g_ta_cod=8898", 36.0, 18.0, 45.0),
(2586, "Public", "0910620E", "Lycée Robert Doisneau", "91", "Essonne", "Ile-de-France", "Versailles", "Corbeil-Essonnes", "formation sélective", "BTS", "Lycée Robert Doisneau - BTS - Services - Support à l'action managériale", "BTS - Services", "", 34, 700, 509, 700, 0, 18, 4, 255, 105, 246, 130, 181, 0, 0, 0, 0, 0, 322, 0, 0, 0, 14, 4, 136, 60, 127, 66, 45, 149, 36, 29, 36, 0, 3.0, 29.0, 36.0, 0, 15, 28, 1, 13, 14, 8, 0, 6, 18, 4, 0, 0.0, 0, 13, 9, 10, 7, 25, 28, 8.33, 80.56, 100.0, 80.59375, 89.296875, 100.0, 35.6953125, 53.59375, 77.796875, 0.0, 21.3984375, 64.296875, 14.298828125, 0.0, 0.0, 3.599609375, 0.0, 46.3984375, 46.3984375, 50.0, 32.09375, 8.0, 4.0, 65.0, 35.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 115, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 32.0, "10844", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10844&g_ta_cod=10844", 14.0, 44.0, 42.0),
(2587, "Public", "0310040A", "Lycée Raymond Naves", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Raymond Naves - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 24, 1383, 791, 1383, 0, 172, 67, 423, 202, 322, 178, 466, 0, 0, 0, 0, 0, 762, 0, 0, 0, 134, 47, 269, 120, 174, 100, 185, 144, 24, 17, 24, 0, 1.0, 15.0, 20.0, 0, 8, 20, 4, 7, 9, 4, 0, 4, 12, 4, 0, 0.0, 2, 7, 7, 1, 1, 11, 11, 4.17, 62.5, 83.33, 70.796875, 55.0, 55.0, 5, 40.0, 83.296875, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 20.0, 10.0, 35.0, 35.0, 45.0, 35.0, 29.0, 18.0, 51.0, 25.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 116, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 18.0, "4047", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4047&g_ta_cod=4047", 25.0, 33.0, 42.0),
(2588, "Public", "0782075G", "Unité de Formation et de Recherche de Sciences de l' Université de Versailles Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation non sélective", "Licence_Las", "Unité de Formation et de Recherche de Sciences de l' Université de Versailles Saint Quentin en Yvelines - Licence - Portail Portail CB  : Chimie - Biologie", "Licence - Sciences - technologies - santé", "Portail CB  : Chimie - Biologie", 25, 2628, 1930, 2628, 0, 1679, 289, 75, 14, 2, 0, 872, 0, 0, 0, 0, 0, 2613, 0, 0, 0, 1679, 289, 75, 14, 2, 0, 857, 288, 25, 15, 25, 0, 0.0, 9.0, 21.0, 0, 1, 25, 25, 0, 0, 0, 0, 1, 7, 15, 2, 0.0, 24, 0, 0, 0, 0, 22, 24, 0.0, 36.0, 84.0, 60.0, 88.0, 96.0, 0, 4.0, 100.0, 0.0, 4.0, 28.0, 60.0, 8.0, 0.0, 100.0, 96.0, 0.0, 0.0, 0.0, 0.0, 288.0, 41.0, 0.0, 0.0, 0.0, "Tous les candidats", 756.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "27116", "Licence - Portail Portail CB  : Chimie - Biologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27115&g_ta_cod=27116", 100.0, 0.0, 0.0),
(2589, "Privé sous contrat d'association", "0660059F", "Lycée Notre-Dame De Bon Secours", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée Notre-Dame De Bon Secours - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 15, 219, 145, 219, 0, 49, 7, 82, 13, 16, 9, 72, 0, 0, 0, 0, 0, 127, 0, 0, 0, 38, 5, 60, 11, 1, 0, 28, 70, 15, 9, 15, 0, 3.0, 9.0, 14.0, 0, 3, 12, 7, 5, 0, 3, 0, 5, 4, 2, 1, 0.0, 3, 4, 0, 3, 1, 10, 10, 20.0, 60.0, 93.33, 60.0, 83.296875, 83.296875, 25, 25.0, 80.0, 0.0, 41.6953125, 33.296875, 16.69921875, 8.3, 0.0, 58.296875, 25.0, 41.6953125, 33.296875, 0.0, 0.0, 25.0, 4.0, 1.0, 0.0, 12.0, "Tous les candidats sauf les Bac professionnels", 105.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 48.0, "22226", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22226&g_ta_cod=22226", 60.0, 40.0, 0.0),
(2590, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence_Las", "Université des Antilles - Pôle Martinique - Licence - Portail Information et communication - Information et communication - Martinique", "Licence - Sciences humaines et sociales", "Information et communication - Martinique", 9, 74, 51, 74, 0, 37, 10, 14, 8, 2, 1, 21, 0, 0, 0, 0, 0, 74, 0, 0, 0, 37, 10, 14, 8, 2, 1, 21, 35, 6, 5, 6, 0, 0.0, 6.0, 6.0, 0, 1, 3, 3, 0, 0, 3, 0, 1, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 3, 3, 0.0, 100.0, 100.0, 83.296875, 100.0, 100.0, 0, 33.296875, 50.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 20.0, 7.0, 0.0, 0.0, 10.0, "Tous les candidats", 214.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 66.0, "26843", "Licence - Portail Information et communication - Information et communication - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26842&g_ta_cod=26843", 83.0, 0.0, 17.0),
(2591, "Public", "0312686B", "Lycée Saint-Exupéry", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Blagnac", "formation sélective", "Autre formation", "Lycée Saint-Exupéry - Mention complémentaire - Aéronautique - option avionique", "Mention complémentaire", "", 6, 77, 6, 77, 0, 0, 0, 0, 0, 54, 11, 23, 0, 0, 0, 0, 0, 73, 0, 0, 0, 0, 0, 0, 0, 53, 11, 20, 15, 6, 0, 6, 0, 2.0, 3.0, 3.0, 0, 2, 4, 0, 0, 4, 2, 0, 1, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 1, 1, 33.33, 50.0, 50.0, 0.0, 25.0, 25.0, 0, 50.0, 66.6875, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 12.0, 5.0, 3.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "16951", "Mention complémentaire - Aéronautique - option avionique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16951&g_ta_cod=16951", 0.0, 0.0, 100.0),
(2592, "Public", "0380033E", "Lycée VAUCANSON", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée VAUCANSON - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 26, 353, 26, 347, 0, 27, 2, 139, 24, 95, 37, 86, 6, 0, 1, 1, 4, 241, 0, 0, 0, 26, 2, 115, 17, 71, 24, 29, 130, 20, 0, 19, 0, 1.0, 15.0, 20.0, 0, 8, 18, 1, 9, 8, 2, 0, 9, 6, 2, 1, 0.0, 0, 3, 6, 4, 0, 17, 17, 5.0, 75.0, 100.0, 0.0, 94.390625, 94.390625, 22.19921875, 44.3984375, 90.0, 0.0, 50.0, 33.296875, 11.099609375, 5.6, 0.0, 5.599609375, 0.0, 50.0, 16.69921875, 44.3984375, 33.296875, 7.0, 2.0, 47.0, 18.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 126, "Liste d'appel propre à cette formation", 64.0, "4930", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4930&g_ta_cod=4930", 5.0, 55.0, 40.0),
(2593, "Public", "0280007F", "Lycée Marceau", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Chartres", "formation sélective", "CPGE", "Lycée Marceau - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 617, 129, 617, 487, 535, 43, 2, 0, 0, 0, 80, 0, 0, 0, 0, 0, 473, 0, 382, 447, 457, 32, 0, 0, 0, 0, 16, 292, 42, 3, 42, 0, 8.0, 28.0, 42.0, 24, 1, 39, 39, 0, 0, 3, 0, 2, 9, 21, 7, 0.0, 37, 0, 0, 3, 1, 13, 13, 19.05, 66.67, 100.0, 7.099609375, 33.296875, 33.296875, 7.69921875, 2.599609375, 92.890625, 0.0, 5.099609375, 23.09765625, 53.796875, 17.9, 0.0, 100.0, 94.890625, 0.0, 0.0, 0.0, 0.0, 281.0, 19.0, 0.0, 0.0, 11.0, "Tous les candidats", 474.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "3724", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3724&g_ta_cod=3724", 100.0, 0.0, 0.0),
(2594, "Public", "0620093P", "Lycée Fernand Darchicourt", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Hénin-Beaumont", "formation sélective", "BTS", "Lycée Fernand Darchicourt - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 346, 257, 346, 0, 21, 8, 107, 60, 120, 71, 98, 0, 0, 0, 0, 0, 246, 0, 0, 0, 20, 8, 75, 45, 97, 57, 54, 137, 35, 32, 35, 0, 7.0, 31.0, 33.0, 0, 20, 29, 3, 5, 21, 6, 0, 8, 15, 5, 1, 0.0, 1, 4, 16, 6, 6, 28, 28, 20.0, 88.57, 94.29, 91.390625, 96.59375, 96.59375, 20.69921875, 69.0, 82.890625, 0.0, 27.59765625, 51.6953125, 17.19921875, 3.4, 0.0, 10.298828125, 3.39990234375, 17.19921875, 13.798828125, 72.390625, 55.1953125, 12.0, 7.0, 71.0, 43.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 50.0, "7367", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7367&g_ta_cod=7367", 14.0, 23.0, 63.0),
(2595, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 200, 1125, 678, 933, 0, 547, 167, 124, 65, 32, 20, 230, 192, 32, 15, 16, 129, 918, 162, 0, 0, 547, 167, 124, 65, 32, 20, 215, 878, 177, 111, 128, 49, 20.0, 128.0, 139.0, 0, 43, 102, 71, 20, 11, 75, 0, 52, 30, 15, 5, 0.0, 42, 4, 4, 0, 0, 96, 96, 11.3, 72.32, 78.53, 62.6953125, 94.09375, 94.09375, 0, 42.1953125, 57.59375, 0.0, 51.0, 29.3984375, 14.69921875, 4.9, 0.0, 69.59375, 41.1953125, 19.59765625, 3.89990234375, 10.798828125, 3.89990234375, 498.0, 150.0, 31.0, 18.0, 260.0, "Tous les candidats", 919.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "16514", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16514&g_ta_cod=16514", 57.0, 24.0, 18.0),
(2596, "Privé sous contrat d'association", "0870097H", "POLARIS FORMATION", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "POLARIS FORMATION - BTS - Services - Economie sociale familiale", "BTS - Services", "", 60, 361, 307, 343, 0, 51, 10, 81, 23, 90, 31, 121, 18, 0, 3, 3, 12, 343, 11, 0, 0, 51, 10, 81, 23, 90, 31, 121, 257, 51, 43, 45, 6, 10.0, 32.0, 36.0, 0, 11, 27, 4, 9, 14, 24, 0, 15, 9, 3, 0, 0.0, 1, 2, 9, 7, 6, 22, 22, 19.61, 62.75, 70.59, 84.296875, 81.5, 81.5, 25.8984375, 40.6953125, 52.8984375, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 14.798828125, 3.69970703125, 33.296875, 7.3994140625, 51.8984375, 33.296875, 41.0, 6.0, 62.0, 18.0, 99.0, "Tous les candidats sauf les Bac professionnels", 155.0, "Bacheliers professionnels toutes séries", 82, "", 0, "Liste d'appel propre à cette formation", 69.0, "10680", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10680&g_ta_cod=10680", 33.0, 27.0, 39.0),
(2597, "Public", "0341921D", "Lycée Georges Pompidou", "34", "Hérault", "Occitanie", "Montpellier", "Castelnau-le-Lez", "formation sélective", "Autre formation", "Lycée Georges Pompidou - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21, 8, 4, 0, 0, 0.0, 0.0, 2.0, 0, 2, 8, 0, 3, 5, 0, 0, 5, 3, 0, 0, 0.0, 0, 1, 2, 0, 0, 8, 8, 0.0, 0.0, 25.0, 50.0, 100.0, 100.0, 0, 25.0, 100.0, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 0.0, 0.0, 37.5, 12.5, 62.5, 25.0, 0.0, 0.0, 15.0, 8.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22528", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 38.0, 63.0),
(2598, "Public", "0061478Z", "Lycée Léonard De Vinci", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "BTS", "Lycée Léonard De Vinci - BTS - Production - Travaux publics", "BTS - Production", "", 15, 232, 21, 219, 0, 38, 2, 63, 17, 40, 12, 78, 13, 0, 0, 10, 3, 219, 1, 0, 0, 38, 2, 63, 17, 40, 12, 78, 55, 11, 2, 11, 0, 1.0, 8.0, 10.0, 0, 2, 9, 2, 3, 4, 2, 0, 5, 3, 0, 1, 0.0, 0, 2, 2, 4, 1, 8, 8, 9.09, 72.73, 90.91, 18.19921875, 88.890625, 88.890625, 44.3984375, 22.19921875, 81.796875, 0.0, 55.59375, 33.296875, 0.0, 11.1, 0.0, 22.19921875, 0.0, 33.296875, 22.19921875, 44.3984375, 22.19921875, 16.0, 2.0, 21.0, 7.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 38.0, "2309", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2309&g_ta_cod=2309", 18.0, 27.0, 45.0),
(2599, "Public", "0830081M", "Centre de Ressources, d'Expertise et de Performance Sportive PACA - site de Boulouris (CREPS)", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Saint-Raphaël", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive PACA - site d'Aix-en-Provence (CREPS) - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 16, 408, 100, 304, 0, 73, 12, 83, 19, 65, 29, 83, 104, 31, 25, 11, 37, 39, 5, 0, 0, 10, 2, 7, 0, 5, 2, 17, 40, 16, 4, 11, 5, 4.0, 10.0, 10.0, 0, 1, 4, 0, 1, 3, 12, 0, 1, 1, 2, 0, 0.0, 0, 1, 2, 0, 0, 2, 2, 25.0, 62.5, 62.5, 25.0, 50.0, 50.0, 0, 25.0, 25.0, 0.0, 25.0, 25.0, 50.0, 0.0, 0.0, 0.0, 0.0, 25.0, 25.0, 75.0, 50.0, 9.0, 2.0, 5.0, 2.0, 21.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "26726", "BPJEPS - Activités physiques pour tous", "Centre de Ressources, d'Expertise et de Performance Sportive PACA - site d'Aix-en-Provence (CREPS)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21394&g_ta_cod=26726", 38.0, 38.0, 25.0),
(2600, "Privé enseignement supérieur", "0510088U", "NEOMA Business School - Campus de Reims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Global BBA", 100, 2809, 1258, 2762, 0, 2426, 62, 132, 5, 4, 1, 200, 47, 18, 1, 0, 28, 2291, 21, 0, 0, 2062, 40, 79, 3, 2, 1, 148, 2102, 85, 44, 82, 3, 61.0, 82.0, 84.0, 0, 2, 73, 68, 5, 0, 12, 0, 10, 34, 23, 6, 0.0, 59, 4, 0, 0, 0, 18, 18, 71.76, 96.47, 98.82, 51.796875, 24.69921875, 24.69921875, 0, 2.69970703125, 85.890625, 0.0, 13.69921875, 46.59375, 31.5, 8.2, 0.0, 93.1875, 80.796875, 6.7998046875, 5.5, 0.0, 0.0, 1890.0, 34.0, 2.0, 1.0, 135.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "26125", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26125", 93.0, 7.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(2601, "Public", "0050607H", "Aix Marseille Université- Site de Gap", "05", "Hautes-Alpes", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Gap", "formation non sélective", "Licence_Las", "Aix Marseille Université- Site de Gap - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS", "Licence - Sciences - technologies - santé", "STAPS", 10, 657, 237, 657, 0, 406, 58, 77, 21, 21, 13, 153, 0, 0, 0, 0, 0, 657, 0, 0, 0, 406, 58, 77, 21, 21, 13, 153, 67, 10, 5, 10, 0, 0.0, 6.0, 7.0, 0, 0, 9, 9, 0, 0, 1, 0, 0, 3, 4, 2, 0.0, 9, 0, 0, 0, 0, 8, 8, 0.0, 60.0, 70.0, 50.0, 88.890625, 88.890625, 0, 0.0, 90.0, 0.0, 0.0, 33.296875, 44.3984375, 22.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 38.0, 7.0, 0.0, 0.0, 28.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "27978", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27977&g_ta_cod=27978", 100.0, 0.0, 0.0),
(2602, "Public", "0623957P", "Université d'Artois - Site d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation non sélective", "Licence", "Université d'Artois - Site d'Arras - Licence - Arts du spectacle", "Licence - Arts-lettres-langues", "", 77, 342, 220, 317, 0, 206, 58, 28, 6, 12, 3, 71, 25, 5, 0, 0, 20, 316, 23, 0, 0, 206, 58, 28, 6, 12, 3, 70, 299, 70, 42, 62, 8, 38.0, 62.0, 63.0, 0, 17, 47, 40, 3, 4, 23, 0, 20, 19, 6, 2, 0.0, 25, 0, 2, 0, 0, 43, 43, 54.29, 88.57, 90.0, 60.0, 91.5, 91.5, 0, 36.1953125, 67.09375, 0.0, 42.59375, 40.3984375, 12.798828125, 4.3, 0.0, 85.09375, 53.1953125, 6.3994140625, 0.0, 8.5, 4.2998046875, 189.0, 52.0, 10.0, 2.0, 81.0, "Tous les candidats", 316.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7505", "Licence - Arts du spectacle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7505&g_ta_cod=7505", 74.0, 13.0, 10.0),
(2603, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence_Las", "Université Polytechnique Hauts-de-France - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS - Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "STAPS - Sciences et Techniques des Activités Physiques et Sportives", 35, 1790, 712, 1790, 0, 1205, 242, 197, 64, 31, 9, 357, 0, 0, 0, 0, 0, 1787, 0, 0, 0, 1205, 242, 197, 64, 31, 9, 354, 146, 35, 18, 35, 0, 1.0, 28.0, 30.0, 0, 11, 25, 24, 0, 1, 10, 0, 2, 14, 4, 5, 0.0, 22, 0, 1, 0, 0, 23, 23, 2.86, 80.0, 85.71, 51.3984375, 92.0, 92.0, 0, 44.0, 71.390625, 0.0, 8.0, 56.0, 16.0, 20.0, 0.0, 96.0, 88.0, 0.0, 0.0, 4.0, 4.0, 74.0, 21.0, 2.0, 1.0, 67.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "29128", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS - Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29127&g_ta_cod=29128", 97.0, 0.0, 3.0),
(2604, "Public", "0541324W", "I.U.T Nancy-Charlemagne - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BUT", "I.U.T Nancy-Charlemagne - Université de Lorraine - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", 168, 1988, 931, 1919, 0, 1049, 185, 502, 142, 17, 7, 351, 69, 0, 37, 0, 32, 1145, 12, 0, 0, 725, 99, 268, 72, 0, 0, 152, 659, 164, 89, 158, 6, 27.0, 121.0, 156.0, 0, 28, 128, 91, 37, 0, 36, 1, 24, 59, 39, 5, 0.0, 74, 29, 0, 0, 0, 112, 112, 16.46, 73.78, 95.12, 54.296875, 87.5, 87.5, 0, 21.8984375, 78.0, 0.7999267578125, 18.796875, 46.09375, 30.5, 3.9, 0.0, 71.09375, 57.796875, 28.8984375, 22.69921875, 0.0, 0.0, 346.0, 56.0, 0.0, 0.0, 92.0, "Tous les candidats sauf les Bac technologiques", 689.0, "Bacheliers technologiques toutes séries", 283, "", 0, "Liste d'appel propre à cette formation", 51.0, "6315", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6315&g_ta_cod=6315", 71.0, 29.0, 0.0),
(2605, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "Autre formation", "Université de Caen Normandie - CUPGE - Cycle universitaire préparatoire aux grandes écoles - Physique", "CUPGE - Sciences, technologie, santé", "", 30, 220, 59, 195, 0, 156, 19, 0, 0, 0, 0, 39, 25, 7, 1, 0, 17, 158, 10, 0, 0, 139, 16, 0, 0, 0, 0, 19, 147, 14, 4, 9, 5, 4.0, 9.0, 14.0, 0, 2, 6, 6, 0, 0, 8, 0, 0, 1, 4, 1, 0.0, 6, 0, 0, 0, 0, 6, 6, 28.57, 64.29, 100.0, 28.59765625, 100.0, 100.0, 0, 33.296875, 42.8984375, 0.0, 0.0, 16.69921875, 66.6875, 16.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 123.0, 14.0, 0.0, 0.0, 24.0, "Tous les candidats", 156.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "19331", "CUPGE - Cycle universitaire préparatoire aux grandes écoles - Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19331&g_ta_cod=19331", 100.0, 0.0, 0.0),
(2606, "Public", "0350005R", "Lycée des Métiers - Hotelier et Restauration - Yvon Bourges", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Dinard", "formation sélective", "Autre formation", "Lycée des Métiers - Hotelier et Restauration - Yvon Bourges - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 12, 93, 73, 93, 0, 10, 0, 7, 0, 46, 15, 30, 0, 0, 0, 0, 0, 93, 0, 0, 0, 10, 0, 7, 0, 46, 15, 30, 56, 12, 8, 12, 0, 3.0, 8.0, 9.0, 0, 1, 6, 1, 2, 3, 6, 0, 4, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 5, 5, 25.0, 66.67, 75.0, 66.6875, 83.296875, 83.296875, 0, 16.69921875, 50.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 16.69921875, 0.0, 33.296875, 0.0, 50.0, 33.296875, 9.0, 0.0, 25.0, 11.0, 18.0, "Tous les candidats", 72.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "14265", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14265&g_ta_cod=14265", 50.0, 25.0, 25.0),
(2607, "Public", "0730003G", "Lycée Marlioz", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Aix-les-Bains", "formation sélective", "BTS", "Lycée Marlioz - BTS - Services - Management Commercial Opérationnel (Seconde année possible en apprentissage)", "BTS - Services", "", 24, 565, 289, 565, 0, 62, 11, 287, 81, 156, 59, 60, 0, 0, 0, 0, 0, 548, 0, 0, 0, 60, 10, 287, 81, 155, 59, 46, 155, 20, 10, 20, 0, 0.0, 11.0, 16.0, 0, 7, 20, 0, 12, 8, 0, 2, 6, 11, 1, 0, 0.0, 0, 6, 6, 5, 0, 18, 18, 0.0, 55.0, 80.0, 50.0, 90.0, 90.0, 25, 35.0, 100.0, 10.0, 30.0, 55.0, 5.0, 0.0, 0.0, 0.0, 0.0, 60.0, 30.0, 40.0, 30.0, 13.0, 5.0, 68.0, 26.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 91, "Bacheliers technologiques toutes séries", 112, "Liste d'appel propre à cette formation", 38.0, "8777", "BTS - Services - Management Commercial Opérationnel (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8777&g_ta_cod=8777", 0.0, 60.0, 40.0),
(2608, "Privé sous contrat d'association", "0511146U", "Lycée St J-B De La Salle", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée St J-B De La Salle - BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "BTS - Services", "", 14, 605, 139, 605, 0, 248, 44, 97, 17, 52, 13, 208, 0, 0, 0, 0, 0, 605, 0, 0, 0, 248, 44, 97, 17, 52, 13, 208, 31, 14, 4, 14, 0, 5.0, 11.0, 12.0, 0, 2, 9, 8, 0, 1, 5, 0, 2, 2, 5, 0, 0.0, 6, 0, 1, 1, 0, 5, 5, 35.71, 78.57, 85.71, 28.59765625, 55.59375, 55.59375, 11.099609375, 22.19921875, 64.296875, 0.0, 22.19921875, 22.19921875, 55.59375, 0.0, 0.0, 88.890625, 66.6875, 0.0, 0.0, 11.099609375, 11.099609375, 24.0, 4.0, 2.0, 1.0, 5.0, "Tous les candidats sauf les Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 3, "", 0, "Liste d'appel propre à cette formation", 5.0, "6104", "BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6104&g_ta_cod=6104", 79.0, 7.0, 14.0),
(2609, "Public", "0440069L", "LGT Aristide Briand", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BTS", "LGT Aristide Briand - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 32, 769, 414, 769, 0, 92, 18, 281, 76, 243, 68, 153, 0, 0, 0, 0, 0, 408, 0, 0, 0, 65, 14, 156, 37, 141, 33, 46, 113, 32, 23, 32, 0, 8.0, 26.0, 28.0, 0, 10, 26, 4, 11, 11, 6, 0, 8, 13, 5, 0, 0.0, 3, 6, 9, 7, 5, 26, 26, 25.0, 81.25, 87.5, 71.890625, 100.0, 100.0, 26.8984375, 38.5, 81.296875, 0.0, 30.796875, 50.0, 19.19921875, 0.0, 0.0, 15.3984375, 11.5, 42.296875, 23.09765625, 42.296875, 34.59375, 20.0, 5.0, 36.0, 7.0, 12.0, "Tous les candidats sauf les Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 53, "", 0, "Liste d'appel propre à cette formation", 17.0, "5466", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5466&g_ta_cod=5466", 28.0, 34.0, 38.0),
(2610, "Public", "0292185T", "I.U.T de Brest - Site de Morlaix", "29", "Finistère", "Bretagne", "Rennes", "Morlaix", "formation sélective", "BUT", "I.U.T de Brest - Site de Morlaix - BUT - Gestion administrative et commerciale des organisations Parcours :  Management responsable de projet et des organisations - Management commercial et marketing omnicanal", "BUT - Service", "Management responsable de projet et des organisations - Management commercial et marketing omnicanal", 58, 1176, 680, 1176, 0, 652, 61, 393, 58, 3, 1, 128, 0, 0, 0, 0, 0, 807, 0, 0, 0, 478, 45, 269, 36, 0, 0, 60, 164, 58, 40, 58, 0, 22.0, 53.0, 57.0, 0, 6, 58, 29, 29, 0, 0, 0, 1, 20, 30, 7, 0.0, 28, 29, 0, 0, 0, 53, 53, 37.93, 91.38, 98.28, 69.0, 91.390625, 91.390625, 0, 10.298828125, 100.0, 0.0, 1.699951171875, 34.5, 51.6953125, 12.1, 0.0, 50.0, 48.296875, 50.0, 50.0, 0.0, 0.0, 94.0, 11.0, 0.0, 0.0, 5.0, "Tous les candidats sauf les Bac technologiques", 175.0, "Bacheliers technologiques toutes séries", 89, "", 0, "Liste d'appel propre à cette formation", 22.0, "3910", "BUT - Gestion administrative et commerciale des organisations Parcours :  Management responsable de projet et des organisations - Management commercial et marketing omnicanal", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3910&g_ta_cod=3910", 50.0, 50.0, 0.0),
(2611, "Privé sous contrat d'association", "0711755X", "Lycée Sacré Coeur", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Paray-le-Monial", "formation sélective", "BTS", "Lycée Sacré Coeur - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 22, 143, 127, 139, 0, 7, 0, 34, 4, 53, 19, 45, 4, 0, 4, 0, 0, 104, 2, 0, 0, 7, 0, 30, 4, 45, 16, 22, 76, 13, 13, 12, 1, 3.0, 8.0, 11.0, 0, 4, 12, 0, 3, 9, 1, 1, 3, 6, 2, 0, 0.0, 0, 0, 8, 6, 6, 11, 11, 23.08, 61.54, 84.62, 100.0, 91.6875, 91.6875, 50, 33.296875, 92.296875, 8.298828125, 25.0, 50.0, 16.69921875, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 66.6875, 7.0, 0.0, 29.0, 10.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 64.0, "8676", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8676&g_ta_cod=8676", 0.0, 31.0, 69.0),
(2612, "Public", "0780273Y", "Lycée professionnel Louis Bleriot", "78", "Yvelines", "Ile-de-France", "Versailles", "Trappes", "formation sélective", "BTS", "Lycée professionnel Louis Bleriot - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 24, 183, 8, 162, 0, 4, 3, 15, 5, 72, 30, 71, 21, 0, 16, 0, 5, 155, 0, 0, 0, 4, 3, 15, 5, 68, 27, 68, 77, 20, 0, 19, 0, 5.0, 19.0, 19.0, 0, 6, 15, 0, 3, 12, 5, 0, 5, 7, 3, 0, 0.0, 0, 0, 10, 5, 0, 13, 13, 25.0, 95.0, 95.0, 0.0, 86.6875, 86.6875, 33.296875, 40.0, 75.0, 0.0, 33.296875, 46.6953125, 20.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 66.6875, 1.0, 1.0, 48.0, 16.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers technologiques toutes séries", 18, "Bacheliers professionnels toutes séries", 67, "Liste d'appel propre à cette formation", 54.0, "29425", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29425&g_ta_cod=29425", 5.0, 15.0, 80.0),
(2613, "Privé enseignement supérieur", "0442777E", "Facultés libres de l'ouest - UCO - Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Rezé", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 80, 1334, 548, 1129, 0, 833, 76, 143, 26, 9, 2, 144, 205, 36, 26, 5, 138, 1126, 178, 0, 0, 833, 76, 143, 26, 9, 2, 141, 983, 30, 10, 21, 9, 6.0, 21.0, 28.0, 0, 3, 22, 18, 3, 1, 8, 1, 10, 9, 2, 0, 0.0, 9, 2, 0, 0, 0, 13, 13, 20.0, 70.0, 93.33, 33.296875, 59.09375, 59.09375, 0, 13.599609375, 73.296875, 4.5, 45.5, 40.8984375, 9.099609375, 0.0, 0.0, 81.796875, 40.8984375, 13.599609375, 9.099609375, 4.5, 0.0, 616.0, 54.0, 10.0, 3.0, 225.0, "Tous les candidats", 1557.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "20206", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25385&g_ta_cod=20206", 73.0, 23.0, 3.0),
(2614, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Perrin - BTS - Production - Electrotechnique", "BTS - Production", "", 35, 391, 23, 316, 0, 13, 5, 61, 23, 153, 75, 89, 75, 6, 13, 0, 56, 211, 25, 0, 0, 1, 0, 50, 18, 133, 62, 27, 128, 32, 2, 18, 14, 6.0, 12.0, 23.0, 0, 10, 20, 0, 5, 15, 12, 0, 5, 9, 4, 2, 0.0, 0, 2, 13, 4, 1, 18, 18, 18.75, 37.5, 71.88, 6.2998046875, 90.0, 90.0, 20, 50.0, 62.5, 0.0, 25.0, 45.0, 20.0, 10.0, 0.0, 0.0, 0.0, 25.0, 10.0, 75.0, 65.0, 3.0, 1.0, 52.0, 21.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 43.0, "2608", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2608&g_ta_cod=2608", 16.0, 38.0, 47.0),
(2615, "Public", "0060793E", "Lycée Agricole et Horticole Vert d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "BTS", "Lycée Agricole et Horticole Vert d'Azur - BTS - Agricole - Production horticole", "BTS - Agricole", "", 19, 180, 66, 162, 0, 24, 3, 16, 1, 26, 6, 96, 18, 4, 1, 1, 12, 77, 7, 0, 0, 20, 2, 13, 1, 17, 1, 27, 66, 13, 3, 10, 3, 4.0, 10.0, 13.0, 0, 1, 6, 3, 0, 3, 7, 0, 2, 3, 1, 0, 0.0, 2, 0, 2, 3, 0, 6, 6, 30.77, 76.92, 100.0, 23.09765625, 100.0, 100.0, 50, 16.69921875, 46.1953125, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 50.0, 33.296875, 0.0, 0.0, 50.0, 33.296875, 15.0, 2.0, 14.0, 1.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 46.0, "2246", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2246&g_ta_cod=2246", 62.0, 15.0, 23.0),
(2616, "Privé sous contrat d'association", "0131398Z", "Lycée Maximilien de Sully", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "BTS", "Lycée Maximilien de Sully - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 38, 373, 78, 313, 0, 35, 9, 79, 36, 74, 40, 125, 60, 5, 9, 15, 31, 128, 12, 0, 0, 27, 7, 53, 22, 32, 12, 16, 108, 18, 5, 14, 3, 9.0, 12.0, 16.0, 0, 6, 17, 7, 6, 4, 1, 0, 7, 10, 0, 0, 0.0, 3, 5, 2, 1, 0, 17, 17, 50.0, 66.67, 88.89, 27.796875, 100.0, 100.0, 5.8994140625, 35.296875, 94.390625, 0.0, 41.1953125, 58.796875, 0.0, 0.0, 0.0, 41.1953125, 17.59765625, 35.296875, 29.3984375, 23.5, 11.798828125, 29.0, 6.0, 30.0, 16.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 36.0, "2634", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2634&g_ta_cod=2634", 39.0, 33.0, 28.0),
(2617, "Public", "0830165D", "I.U.T de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation sélective", "BUT", "I.U.T de Toulon - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et informatique industrielle - Electronique et systèmes embarqués", "BUT - Production", "Electricité et maîtrise de l'énergie - Automatisme et informatique industrielle - Electronique et systèmes embarqués", 96, 809, 56, 781, 0, 446, 60, 165, 34, 15, 4, 155, 28, 1, 4, 1, 22, 606, 10, 0, 0, 376, 38, 141, 27, 2, 0, 87, 443, 74, 4, 67, 7, 21.0, 45.0, 69.0, 0, 7, 62, 41, 20, 1, 12, 0, 19, 28, 12, 3, 0.0, 24, 18, 1, 0, 0, 44, 44, 28.38, 60.81, 93.24, 5.3994140625, 71.0, 71.0, 0, 11.298828125, 83.796875, 0.0, 30.59765625, 45.1953125, 19.3984375, 4.8, 0.0, 66.09375, 38.6953125, 32.296875, 29.0, 1.599853515625, 1.599853515625, 251.0, 31.0, 2.0, 0.0, 75.0, "Tous les candidats sauf les Bac technologiques", 454.0, "Bacheliers technologiques toutes séries", 159, "", 0, "Liste d'appel propre à cette formation", 76.0, "10353", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et informatique industrielle - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10353&g_ta_cod=10353", 65.0, 34.0, 1.0),
(2618, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Sciences de la terre", "Licence - Sciences - technologies - santé", "", 50, 287, 141, 264, 0, 190, 28, 9, 1, 0, 0, 65, 23, 9, 2, 0, 12, 263, 22, 0, 0, 190, 28, 9, 1, 0, 0, 64, 289, 46, 14, 39, 7, 38.0, 38.0, 40.0, 0, 6, 32, 31, 1, 0, 14, 1, 23, 7, 1, 0, 0.0, 7, 1, 0, 0, 0, 21, 21, 82.61, 82.61, 86.96, 30.3984375, 65.59375, 65.59375, 0, 18.796875, 69.59375, 3.099609375, 71.890625, 21.8984375, 3.099609375, 0.0, 0.0, 96.890625, 21.8984375, 3.099609375, 3.099609375, 0.0, 0.0, 202.0, 31.0, 0.0, 0.0, 75.0, "Tous les candidats", 263.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7747", "Licence - Sciences de la terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7747&g_ta_cod=7747", 87.0, 9.0, 4.0),
(2619, "Public", "0142133T", "Lycée P. S. De Laplace", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée P. S. De Laplace - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 15, 168, 12, 166, 0, 14, 4, 32, 8, 54, 22, 66, 2, 0, 0, 2, 0, 148, 1, 0, 0, 14, 4, 32, 8, 54, 22, 48, 56, 14, 0, 13, 1, 5.0, 12.0, 13.0, 0, 2, 10, 1, 1, 8, 4, 0, 2, 1, 5, 2, 0.0, 0, 1, 7, 7, 0, 10, 10, 35.71, 85.71, 92.86, 0.0, 100.0, 100.0, 70, 20.0, 71.390625, 0.0, 20.0, 10.0, 50.0, 20.0, 0.0, 10.0, 0.0, 10.0, 10.0, 80.0, 70.0, 11.0, 4.0, 28.0, 9.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 51.0, "2929", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2929&g_ta_cod=2929", 29.0, 7.0, 64.0),
(2620, "Public", "0650026A", "Lycée Marie Curie", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 327, 157, 327, 0, 61, 19, 83, 28, 50, 27, 133, 0, 0, 0, 0, 0, 327, 0, 0, 0, 61, 19, 83, 28, 50, 27, 133, 104, 23, 12, 23, 0, 3.0, 19.0, 22.0, 0, 8, 14, 3, 5, 6, 9, 0, 8, 1, 4, 1, 0.0, 0, 3, 3, 3, 1, 10, 10, 13.04, 82.61, 95.65, 52.1953125, 71.390625, 71.390625, 21.3984375, 57.09375, 60.8984375, 0.0, 57.09375, 7.099609375, 28.59765625, 7.1, 0.0, 21.3984375, 0.0, 35.6953125, 21.3984375, 42.8984375, 21.3984375, 22.0, 5.0, 27.0, 14.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 65.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 60.0, "7810", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7810&g_ta_cod=7810", 30.0, 26.0, 43.0),
(2621, "Privé sous contrat d'association", "0611175W", "MFREO de la Ferté Macé", "61", "Orne", "Normandie", "Normandie", "La Ferté Macé", "formation sélective", "BTS", "MFREO de la Ferté Macé - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 42, 186, 73, 181, 0, 7, 1, 16, 6, 41, 14, 117, 5, 0, 1, 1, 3, 67, 0, 0, 0, 6, 1, 15, 6, 41, 14, 5, 65, 11, 1, 11, 0, 8.0, 11.0, 11.0, 0, 3, 11, 0, 1, 10, 0, 0, 2, 8, 0, 1, 0.0, 0, 1, 8, 2, 0, 9, 9, 72.73, 100.0, 100.0, 9.099609375, 81.796875, 81.796875, 18.19921875, 27.296875, 100.0, 0.0, 18.19921875, 72.6875, 0.0, 9.1, 0.0, 0.0, 0.0, 9.099609375, 9.099609375, 90.890625, 72.6875, 6.0, 1.0, 39.0, 13.0, 5.0, "Tous les candidats sauf les Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 37.0, "7323", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7323&g_ta_cod=7323", 0.0, 9.0, 91.0),
(2622, "Public", "0130050J", "Lycée Denis Diderot", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BTS", "Lycée Denis Diderot - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 15, 205, 10, 205, 0, 12, 2, 34, 15, 117, 63, 42, 0, 0, 0, 0, 0, 205, 0, 0, 0, 12, 2, 34, 15, 117, 63, 42, 67, 15, 3, 15, 0, 2.0, 9.0, 12.0, 0, 11, 13, 0, 4, 9, 2, 0, 8, 3, 2, 0, 0.0, 0, 0, 5, 3, 0, 10, 10, 13.33, 60.0, 80.0, 20.0, 76.890625, 76.890625, 23.09765625, 84.59375, 86.6875, 0.0, 61.5, 23.09765625, 15.3984375, 0.0, 0.0, 0.0, 0.0, 30.796875, 0.0, 69.1875, 38.5, 3.0, 0.0, 45.0, 25.0, 4.0, "Tous les candidats sauf les Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 80, "", 0, "Liste d'appel propre à cette formation", 56.0, "33207", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33207&g_ta_cod=33207", 7.0, 33.0, 60.0),
(2623, "Public", "0011276G", "Lycée du Val de Saône", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Trévoux", "formation sélective", "BTS", "Lycée du Val de Saône - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 156, 5, 135, 0, 3, 0, 35, 10, 75, 31, 22, 21, 1, 2, 7, 11, 92, 6, 0, 0, 3, 0, 31, 7, 47, 15, 11, 86, 12, 1, 10, 2, 1.0, 10.0, 11.0, 0, 2, 8, 0, 4, 4, 4, 0, 5, 3, 0, 0, 0.0, 0, 0, 3, 2, 0, 7, 7, 8.33, 83.33, 91.67, 8.298828125, 87.5, 87.5, 25, 25.0, 66.6875, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 37.5, 3.0, 0.0, 39.0, 14.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 67.0, "2025", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2025&g_ta_cod=2025", 17.0, 50.0, 33.0),
(2624, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "PASS", "Université d'Amiens - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 20, 1209, 846, 1209, 0, 854, 160, 25, 9, 5, 1, 325, 0, 0, 0, 0, 0, 1201, 0, 0, 0, 854, 160, 25, 9, 5, 1, 317, 121, 22, 18, 22, 0, 1.0, 22.0, 22.0, 0, 2, 22, 22, 0, 0, 0, 0, 0, 0, 12, 9, 1.0, 22, 0, 0, 0, 0, 22, 22, 4.55, 100.0, 100.0, 81.796875, 100.0, 100.0, 0, 9.099609375, 100.0, 0.0, 0.0, 0.0, 54.5, 40.9, 4.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 121.0, 16.0, 0.0, 0.0, 0.0, "Tous les candidats", 1086.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 21.0, "28598", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28229&g_ta_cod=28598", 100.0, 0.0, 0.0),
(2625, "Privé sous contrat d'association", "0492420P", "LPO SAINT AUBIN LA SALLE", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Verrières-en-Anjou", "formation sélective", "BTS", "LPO SAINT AUBIN LA SALLE - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 260, 12, 251, 0, 82, 11, 77, 10, 48, 12, 44, 9, 0, 1, 1, 7, 223, 2, 0, 0, 82, 11, 77, 10, 37, 6, 27, 99, 12, 1, 12, 0, 1.0, 8.0, 12.0, 0, 2, 9, 3, 5, 1, 3, 0, 3, 5, 1, 0, 0.0, 1, 4, 1, 2, 0, 8, 8, 8.33, 66.67, 100.0, 8.298828125, 88.890625, 88.890625, 22.19921875, 22.19921875, 75.0, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 33.296875, 11.099609375, 55.59375, 44.3984375, 11.099609375, 11.099609375, 41.0, 6.0, 10.0, 1.0, 10.0, "Tous les candidats sauf les Bac professionnels", 185.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 84.0, "5912", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5912&g_ta_cod=5912", 42.0, 50.0, 8.0),
(2626, "Public", "0930117X", "Lycée Le Corbusier", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "CPGE", "Lycée Le Corbusier - CPGE - TSI", "Classe préparatoire scientifique", "", 24, 282, 37, 282, 0, 0, 0, 263, 108, 0, 0, 19, 0, 0, 0, 0, 0, 214, 0, 0, 214, 0, 0, 200, 80, 0, 0, 14, 137, 23, 4, 23, 0, 6.0, 22.0, 23.0, 0, 8, 17, 0, 17, 0, 6, 0, 1, 6, 6, 4, 0.0, 0, 16, 0, 5, 1, 13, 17, 26.09, 95.65, 100.0, 17.3984375, 76.5, 100.0, 29.3984375, 47.09375, 73.890625, 0.0, 5.8994140625, 35.296875, 35.296875, 23.5, 0.0, 0.0, 0.0, 100.0, 94.09375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 11.0, "Tous les candidats", 176.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "11162", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11162&g_ta_cod=11162", 0.0, 100.0, 0.0),
(2627, "Public", "0340838B", "I.U.T de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BUT", "I.U.T de Montpellier - BUT - Génie biologique Parcours diététique et nutrition", "BUT - Production", "", 26, 1684, 1334, 1684, 0, 717, 114, 322, 80, 5, 4, 640, 0, 0, 0, 0, 0, 560, 0, 0, 0, 219, 34, 161, 39, 0, 0, 180, 136, 26, 18, 26, 0, 3.0, 21.0, 22.0, 0, 10, 22, 13, 9, 0, 4, 0, 1, 8, 10, 3, 0.0, 13, 8, 0, 0, 0, 11, 11, 11.54, 80.77, 84.62, 69.1875, 50.0, 50.0, 0, 45.5, 84.59375, 0.0, 4.5, 36.3984375, 45.5, 13.6, 0.0, 59.09375, 59.09375, 40.8984375, 36.3984375, 0.0, 0.0, 74.0, 11.0, 0.0, 0.0, 32.0, "Tous les candidats sauf les Bac technologiques", 137.0, "Bacheliers technologiques toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 11.0, "4526", "BUT - Génie biologique Parcours diététique et nutrition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4526&g_ta_cod=4526", 58.0, 42.0, 0.0),
(2628, "Public", "0870019Y", "Lycée Suzanne Valadon", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée Suzanne Valadon - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 539, 251, 525, 0, 77, 21, 111, 43, 95, 53, 242, 14, 1, 0, 0, 13, 249, 5, 0, 0, 65, 15, 70, 20, 41, 18, 73, 157, 35, 15, 33, 2, 7.0, 24.0, 31.0, 0, 4, 14, 2, 5, 7, 21, 0, 6, 4, 4, 0, 0.0, 0, 1, 7, 1, 1, 13, 13, 20.0, 68.57, 88.57, 42.8984375, 92.890625, 92.890625, 7.099609375, 28.59765625, 40.0, 0.0, 42.8984375, 28.59765625, 28.59765625, 0.0, 0.0, 14.298828125, 0.0, 35.6953125, 7.099609375, 50.0, 50.0, 43.0, 14.0, 22.0, 9.0, 57.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 103.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 44.0, "10668", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10668&g_ta_cod=10668", 46.0, 23.0, 31.0),
(2629, "Public", "0750686N", "Lycée Estienne Esaig", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Estienne Esaig - DN MADE - Livre - - Spécialité : Images et narration", "DN MADE", "- Spécialité : Images et narration", 12, 1095, 884, 1095, 0, 368, 48, 287, 42, 45, 9, 395, 0, 0, 0, 0, 0, 50, 0, 0, 0, 16, 0, 26, 2, 1, 0, 7, 14, 12, 10, 12, 0, 8.0, 9.0, 12.0, 0, 1, 11, 1, 10, 0, 1, 0, 0, 1, 3, 5, 2.0, 1, 10, 0, 0, 0, 3, 3, 66.67, 75.0, 100.0, 83.296875, 27.296875, 27.296875, 0, 9.099609375, 91.6875, 0.0, 0.0, 9.099609375, 27.296875, 45.5, 18.2, 9.099609375, 9.099609375, 90.890625, 90.890625, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 2.0, "21779", "DN MADE - Livre - - Spécialité : Images et narration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21779&g_ta_cod=21779", 17.0, 83.0, 0.0),
(2630, "Privé sous contrat d'association", "0711896A", "Lycée Saint-Charles", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "BTS", "Lycée Saint-Charles - BTS - Services - Economie sociale familiale", "BTS - Services", "", 18, 253, 226, 249, 0, 38, 8, 67, 13, 97, 36, 47, 4, 0, 0, 0, 4, 142, 1, 0, 0, 20, 2, 31, 6, 86, 31, 5, 55, 16, 15, 15, 1, 5.0, 12.0, 15.0, 0, 6, 15, 1, 6, 8, 1, 0, 3, 6, 4, 2, 0.0, 1, 3, 8, 4, 4, 14, 14, 31.25, 75.0, 93.75, 93.796875, 93.296875, 93.296875, 26.69921875, 40.0, 93.796875, 0.0, 20.0, 40.0, 26.69921875, 13.3, 0.0, 6.69921875, 6.69921875, 40.0, 20.0, 53.296875, 53.296875, 4.0, 0.0, 29.0, 10.0, 2.0, "Tous les candidats sauf les Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 57, "", 0, "Liste d'appel propre à cette formation", 36.0, "16160", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16160&g_ta_cod=16160", 6.0, 44.0, 50.0),
(2631, "Public", "0170060Y", "Lycée Bernard Palissy", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Saintes", "formation sélective", "BTS", "Lycée Bernard Palissy - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 30, 389, 173, 389, 0, 58, 12, 159, 49, 87, 24, 85, 0, 0, 0, 0, 0, 355, 0, 0, 0, 58, 12, 154, 48, 75, 19, 68, 147, 26, 14, 26, 0, 3.0, 16.0, 19.0, 0, 3, 22, 5, 9, 8, 4, 0, 9, 11, 2, 0, 0.0, 4, 5, 4, 1, 1, 21, 21, 11.54, 61.54, 73.08, 53.796875, 95.5, 95.5, 4.5, 13.599609375, 84.59375, 0.0, 40.8984375, 50.0, 9.099609375, 0.0, 0.0, 22.69921875, 18.19921875, 40.8984375, 22.69921875, 36.3984375, 18.19921875, 25.0, 5.0, 56.0, 12.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 40.0, "3043", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3043&g_ta_cod=3043", 19.0, 46.0, 35.0),
(2632, "Public", "0381775Y", "I.U.T. 2 de Grenoble", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BUT", "I.U.T. 2 de Grenoble - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat  - Business international : achat et vente", "BUT - Service", "Marketing digital, e-business et entrepreneuriat  - Business international : achat et vente", 56, 2957, 1476, 2957, 0, 1694, 242, 881, 206, 26, 10, 356, 0, 0, 0, 0, 0, 1799, 0, 0, 0, 1078, 142, 572, 126, 3, 0, 146, 263, 57, 42, 57, 0, 22.0, 54.0, 56.0, 0, 10, 53, 24, 29, 0, 4, 0, 0, 12, 33, 8, 0.0, 24, 29, 0, 0, 0, 51, 51, 38.6, 94.74, 98.25, 73.6875, 96.1875, 96.1875, 0, 18.8984375, 93.0, 0.0, 0.0, 22.59765625, 62.296875, 15.1, 0.0, 45.296875, 45.296875, 54.6953125, 54.6953125, 0.0, 0.0, 139.0, 27.0, 0.0, 0.0, 19.0, "Tous les candidats sauf les Bac technologiques", 236.0, "Bacheliers technologiques toutes séries", 131, "", 0, "Liste d'appel propre à cette formation", 12.0, "4998", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat  - Business international : achat et vente", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4998&g_ta_cod=4998", 49.0, 51.0, 0.0),
(2633, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation sélective", "Licence", "Université Gustave Eiffel - Licence - Arts - Parcours ARTS : Cinéma et audiovisuel", "Licence - Arts-lettres-langues", "ARTS : Cinéma et audiovisuel", 70, 1413, 731, 1413, 0, 903, 143, 75, 14, 27, 8, 408, 0, 0, 0, 0, 0, 559, 0, 0, 0, 390, 54, 3, 1, 0, 0, 166, 251, 70, 42, 70, 0, 11.0, 60.0, 67.0, 0, 8, 65, 65, 0, 0, 5, 0, 0, 15, 38, 12, 0.0, 65, 0, 0, 0, 0, 18, 26, 15.71, 85.71, 95.71, 60.0, 27.69921875, 40.0, 0, 12.298828125, 92.890625, 0.0, 0.0, 23.09765625, 58.5, 18.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 227.0, 30.0, 0.0, 0.0, 23.0, "Tous les candidats", 318.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "9917", "Licence - Arts - Parcours ARTS : Cinéma et audiovisuel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9917&g_ta_cod=9917", 100.0, 0.0, 0.0),
(2634, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "Licence", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS - Spécialité Equitation", "Licence - Sciences - technologies - santé", "STAPS - Spécialité Equitation", 12, 224, 187, 224, 0, 139, 10, 24, 5, 9, 1, 52, 0, 0, 0, 0, 0, 39, 0, 0, 0, 28, 2, 2, 0, 2, 0, 7, 30, 12, 12, 12, 0, 6.0, 10.0, 12.0, 0, 2, 11, 11, 0, 0, 1, 0, 4, 5, 2, 0, 0.0, 7, 0, 0, 0, 0, 2, 4, 50.0, 83.33, 100.0, 100.0, 18.19921875, 36.3984375, 0, 18.19921875, 91.6875, 0.0, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 100.0, 63.59375, 0.0, 0.0, 0.0, 0.0, 23.0, 2.0, 1.0, 0.0, 5.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "10923", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS - Spécialité Equitation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10923&g_ta_cod=10923", 100.0, 0.0, 0.0),
(2635, "Public", "9760182U", "Lycée de Sada", "976", "Mayotte", "Mayotte", "Mayotte", "Sada", "formation sélective", "Autre formation", "Lycée de Sada - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 48, 27, 14, 0, 0, 0.0, 0.0, 6.0, 0, 15, 27, 0, 12, 15, 0, 0, 26, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 27, 27, 0.0, 0.0, 22.22, 51.8984375, 100.0, 100.0, 0, 55.59375, 100.0, 0.0, 96.296875, 3.69970703125, 0.0, 0.0, 0.0, 0.0, 0.0, 44.3984375, 0.0, 55.59375, 3.69970703125, 0.0, 0.0, 26.0, 15.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30552", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 44.0, 56.0),
(2636, "Public", "0624430D", "GAMBETTA CARNOT", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "CPGE", "GAMBETTA CARNOT - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 343, 170, 342, 243, 263, 38, 0, 0, 0, 0, 79, 1, 1, 0, 0, 0, 246, 1, 179, 218, 234, 30, 0, 0, 0, 0, 12, 193, 13, 3, 13, 0, 8.0, 10.0, 13.0, 6, 3, 13, 13, 0, 0, 0, 0, 0, 6, 4, 2, 1.0, 13, 0, 0, 1, 0, 11, 11, 61.54, 76.92, 100.0, 23.09765625, 84.59375, 84.59375, 7.69921875, 23.09765625, 100.0, 0.0, 0.0, 46.1953125, 30.796875, 15.4, 7.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 183.0, 27.0, 0.0, 0.0, 10.0, "Tous les candidats", 234.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "33058", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33058&g_ta_cod=33058", 100.0, 0.0, 0.0),
(2637, "Privé sous contrat d'association", "0622196A", "Lycée Baudimont Saint-Charles", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "Lycée Baudimont Saint-Charles - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 36, 449, 300, 228, 0, 83, 10, 61, 14, 12, 2, 72, 221, 57, 40, 3, 121, 110, 33, 0, 0, 68, 4, 27, 3, 2, 0, 13, 127, 31, 20, 22, 9, 15.0, 22.0, 27.0, 0, 3, 25, 17, 7, 1, 6, 0, 5, 13, 6, 1, 0.0, 12, 7, 1, 7, 5, 24, 24, 48.39, 70.97, 87.1, 64.5, 96.0, 96.0, 28, 12.0, 80.59375, 0.0, 20.0, 52.0, 24.0, 4.0, 0.0, 68.0, 48.0, 28.0, 28.0, 4.0, 4.0, 77.0, 4.0, 2.0, 0.0, 24.0, "Tous les candidats sauf les Bac professionnels", 108.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 48.0, "7415", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7415&g_ta_cod=7415", 74.0, 23.0, 3.0),
(2638, "Public", "0351878B", "Lycée professionnel Coetlogon", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée professionnel Coetlogon - BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "BTS - Services", "", 30, 659, 334, 659, 0, 75, 13, 87, 19, 169, 52, 328, 0, 0, 0, 0, 0, 426, 0, 0, 0, 75, 13, 87, 19, 169, 52, 95, 104, 30, 14, 30, 0, 6.0, 24.0, 25.0, 0, 5, 24, 5, 3, 16, 6, 0, 5, 9, 10, 0, 0.0, 2, 2, 15, 9, 5, 19, 19, 20.0, 80.0, 83.33, 46.6953125, 79.1875, 79.1875, 37.5, 20.796875, 80.0, 0.0, 20.796875, 37.5, 41.6953125, 0.0, 0.0, 20.796875, 8.298828125, 12.5, 8.298828125, 66.6875, 62.5, 20.0, 4.0, 56.0, 9.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 20.0, "14056", "BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14056&g_ta_cod=14056", 20.0, 13.0, 67.0),
(2639, "Public", "0900231M", "I.U.T de Belfort-Montbéliard", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "BUT", "I.U.T de Belfort-Montbéliard - BUT - Carrières sociales Parcours animation sociale et socioculturelle", "BUT - Service", "", 56, 757, 634, 757, 0, 242, 53, 247, 74, 75, 25, 193, 0, 0, 0, 0, 0, 690, 0, 0, 0, 240, 52, 225, 66, 57, 20, 168, 233, 52, 47, 52, 0, 4.0, 42.0, 48.0, 0, 11, 41, 16, 20, 5, 11, 0, 11, 21, 8, 1, 0.0, 13, 12, 5, 0, 0, 24, 24, 7.69, 80.77, 92.31, 90.390625, 58.5, 58.5, 0, 26.796875, 78.796875, 0.0, 26.796875, 51.1953125, 19.5, 2.4, 0.0, 39.0, 31.69921875, 48.796875, 29.296875, 12.19921875, 12.19921875, 76.0, 18.0, 9.0, 6.0, 47.0, "Tous les candidats sauf les Bac technologiques", 181.0, "Bacheliers technologiques toutes séries", 152, "", 0, "Liste d'appel propre à cette formation", 44.0, "10827", "BUT - Carrières sociales Parcours animation sociale et socioculturelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10827&g_ta_cod=10827", 40.0, 50.0, 10.0),
(2640, "Public", "0760090K", "Lycée Pierre Corneille", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Pierre Corneille - BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "BTS - Services", "", 12, 1072, 309, 1072, 0, 400, 70, 153, 23, 126, 38, 393, 0, 0, 0, 0, 0, 1029, 0, 0, 0, 400, 70, 153, 23, 85, 19, 391, 27, 12, 3, 12, 0, 5.0, 11.0, 12.0, 0, 3, 8, 3, 3, 2, 4, 0, 0, 0, 5, 3, 0.0, 3, 3, 2, 2, 0, 4, 4, 41.67, 91.67, 100.0, 25.0, 50.0, 50.0, 25, 37.5, 66.6875, 0.0, 0.0, 0.0, 62.5, 37.5, 0.0, 37.5, 37.5, 37.5, 37.5, 25.0, 25.0, 8.0, 2.0, 7.0, 1.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 3.0, "9592", "BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9592&g_ta_cod=9592", 42.0, 33.0, 25.0),
(2641, "Public", "0753026G", "IFSI Bichat (AP-HP)", "75", "Paris", "Ile-de-France", "Paris", "Paris 18e  Arrondissement", "formation sélective", "IFSI", "Regroupement IFSI Université de Paris - D.E Infirmier", "D.E secteur sanitaire", "", 116, 8235, 7306, 8235, 0, 1021, 304, 1414, 563, 1151, 550, 4649, 0, 0, 0, 0, 0, 6436, 0, 0, 0, 919, 263, 1178, 446, 891, 428, 3448, 852, 113, 103, 111, 0, 18.0, 66.0, 109.0, 0, 38, 74, 12, 23, 39, 39, 2, 3, 22, 31, 16, 0.0, 10, 22, 37, 0, 0, 16, 72, 15.93, 58.41, 96.46, 91.1875, 21.59765625, 97.296875, 0, 51.3984375, 65.5, 2.69970703125, 4.099609375, 29.69921875, 41.8984375, 21.6, 0.0, 16.19921875, 13.5, 31.09765625, 29.69921875, 52.6953125, 50.0, 127.0, 26.0, 173.0, 70.0, 342.0, "Tous les candidats", 2211.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "23015", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25148&g_ta_cod=23015", 34.0, 23.0, 42.0),
(2642, "Public", "0134248X", "Aix-Marseille Université - Site de Marseille Timone", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation sélective", "Autre formation", "Regroupement Auvergne Rhône Alpes et PACA - Certificat de capacité d'Orthoptiste", "D.E secteur sanitaire", "", 30, 761, 666, 761, 0, 181, 42, 37, 21, 2, 0, 541, 0, 0, 0, 0, 0, 353, 0, 0, 0, 113, 14, 5, 2, 0, 0, 235, 171, 30, 25, 30, 0, 1.0, 19.0, 21.0, 0, 1, 9, 9, 0, 0, 21, 0, 0, 7, 1, 1, 0.0, 9, 0, 0, 0, 0, 6, 6, 3.33, 63.33, 70.0, 83.296875, 66.6875, 66.6875, 0, 11.099609375, 30.0, 0.0, 0.0, 77.796875, 11.099609375, 11.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 60.0, 10.0, 0.0, 0.0, 111.0, "Tous les candidats", 316.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "28086", "Certificat de capacité d'Orthoptiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28086&g_ta_cod=28086", 100.0, 0.0, 0.0),
(2643, "Public", "0382881A", "Polytech Grenoble", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 120, 8496, 2213, 8496, 0, 7591, 619, 0, 0, 0, 0, 905, 0, 0, 0, 0, 0, 5967, 0, 0, 0, 5641, 355, 0, 0, 0, 0, 326, 2992, 130, 34, 130, 0, 83.0, 102.0, 130.0, 0, 8, 128, 128, 0, 0, 2, 0, 1, 9, 85, 33, 0.0, 127, 0, 0, 0, 0, 80, 80, 63.85, 78.46, 100.0, 26.19921875, 62.5, 62.5, 0, 6.2998046875, 98.5, 0.0, 0.7999267578125, 7.0, 66.390625, 25.8, 0.0, 100.0, 99.1875, 0.0, 0.0, 0.0, 0.0, 2876.0, 241.0, 0.0, 0.0, 116.0, "Autres candidats", 7780.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 41.0, "15", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=15", 100.0, 0.0, 0.0),
(2644, "Public", "0560013K", "Lycée agricole Le Gros Chêne", "56", "Morbihan", "Bretagne", "Rennes", "Pontivy", "formation sélective", "BTS", "Lycée agricole Le Gros Chêne - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 32, 284, 181, 268, 0, 56, 8, 93, 16, 29, 9, 90, 16, 0, 1, 2, 13, 199, 6, 0, 0, 56, 8, 90, 15, 23, 7, 30, 150, 32, 19, 29, 3, 2.0, 28.0, 32.0, 0, 5, 23, 8, 11, 4, 9, 0, 10, 12, 1, 0, 0.0, 5, 4, 4, 5, 3, 22, 22, 6.25, 87.5, 100.0, 59.3984375, 95.6875, 95.6875, 21.69921875, 21.69921875, 71.890625, 0.0, 43.5, 52.1953125, 4.2998046875, 0.0, 0.0, 34.796875, 21.69921875, 47.796875, 17.3984375, 17.3984375, 17.3984375, 45.0, 7.0, 17.0, 7.0, 25.0, "Tous les candidats sauf les Bac professionnels", 172.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 74.0, "6415", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6415&g_ta_cod=6415", 31.0, 50.0, 19.0),
(2645, "Privé sous contrat d'association", "0331556M", "Lycée Ste Famille - Saintonge", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Ste Famille - Saintonge - BTS - Production - Bâtiment", "BTS - Production", "", 24, 428, 66, 354, 0, 45, 6, 136, 23, 77, 25, 96, 74, 10, 26, 8, 30, 69, 19, 0, 0, 18, 2, 21, 3, 28, 4, 2, 74, 7, 0, 2, 5, 0.0, 2.0, 6.0, 0, 1, 5, 1, 1, 3, 2, 0, 3, 2, 0, 0, 0.0, 1, 0, 1, 0, 0, 2, 2, 0.0, 28.57, 85.71, 0.0, 40.0, 40.0, 0, 20.0, 71.390625, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 20.0, 20.0, 20.0, 0.0, 60.0, 20.0, 22.0, 2.0, 21.0, 6.0, 7.0, "Tous les candidats sauf les Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 19.0, "4358", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4358&g_ta_cod=4358", 29.0, 29.0, 43.0),
(2646, "Public", "0690035N", "Lycée Auguste et Louis Lumière", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Lycée Auguste et Louis Lumière - BTS - Services - Commerce International", "BTS - Services", "", 35, 2072, 1097, 2072, 0, 430, 130, 805, 358, 261, 142, 576, 0, 0, 0, 0, 0, 744, 0, 0, 0, 127, 21, 345, 132, 153, 80, 119, 215, 32, 20, 32, 0, 11.0, 23.0, 29.0, 0, 15, 26, 3, 17, 6, 6, 0, 0, 14, 9, 3, 0.0, 3, 17, 6, 0, 0, 17, 17, 34.38, 71.88, 90.63, 62.5, 65.390625, 65.390625, 0, 57.6953125, 81.296875, 0.0, 0.0, 53.796875, 34.59375, 11.5, 0.0, 11.5, 11.5, 65.390625, 65.390625, 23.09765625, 23.09765625, 34.0, 9.0, 32.0, 20.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 119.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 180, "Liste d'appel propre à cette formation", 17.0, "8197", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8197&g_ta_cod=8197", 19.0, 63.0, 19.0),
(2647, "Public", "0781883Y", "Lycée Dumont D'Urville", "78", "Yvelines", "Ile-de-France", "Versailles", "Maurepas", "formation sélective", "Autre formation", "Lycée Dumont D'Urville - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 81, 15, 65, 0, 4, 0, 7, 2, 36, 12, 18, 16, 2, 3, 4, 7, 49, 0, 0, 0, 2, 0, 6, 1, 30, 10, 11, 45, 14, 0, 13, 0, 4.0, 7.0, 13.0, 0, 4, 11, 0, 4, 7, 3, 0, 8, 2, 0, 1, 0.0, 0, 0, 3, 0, 0, 8, 9, 28.57, 50.0, 92.86, 0.0, 72.6875, 81.796875, 0, 36.3984375, 78.59375, 0.0, 72.6875, 18.19921875, 0.0, 9.1, 0.0, 0.0, 0.0, 36.3984375, 0.0, 63.59375, 27.296875, 1.0, 0.0, 27.0, 9.0, 10.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "22248", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22248&g_ta_cod=22248", 0.0, 36.0, 64.0),
(2648, "Public", "0540044E", "Lycée Arthur Varoquaux", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Tomblaine", "formation sélective", "BTS", "Lycée Arthur Varoquaux - BTS - Production - Métiers de l'eau", "BTS - Production", "", 15, 184, 45, 166, 0, 20, 1, 63, 9, 14, 4, 69, 18, 5, 0, 3, 10, 90, 6, 0, 0, 14, 1, 46, 9, 7, 2, 23, 57, 10, 1, 9, 1, 0.0, 7.0, 10.0, 0, 1, 7, 2, 4, 1, 3, 0, 3, 3, 1, 0, 0.0, 0, 3, 1, 0, 0, 4, 4, 0.0, 70.0, 100.0, 10.0, 57.09375, 57.09375, 0, 14.298828125, 70.0, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 28.59765625, 0.0, 57.09375, 42.8984375, 14.298828125, 14.298828125, 19.0, 2.0, 4.0, 1.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 45.0, "6283", "BTS - Production - Métiers de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6283&g_ta_cod=6283", 40.0, 50.0, 10.0),
(2649, "Privé sous contrat d'association", "0340920R", "Lycée professionnel Turgot", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée professionnel Turgot - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 637, 570, 579, 0, 39, 9, 181, 57, 224, 101, 135, 58, 11, 0, 6, 41, 361, 7, 0, 0, 29, 6, 153, 47, 109, 46, 70, 190, 31, 28, 29, 2, 4.0, 19.0, 24.0, 0, 13, 25, 6, 9, 10, 6, 0, 13, 9, 2, 1, 0.0, 1, 3, 8, 3, 2, 15, 15, 12.9, 61.29, 77.42, 90.296875, 60.0, 60.0, 12, 52.0, 80.59375, 0.0, 52.0, 36.0, 8.0, 4.0, 0.0, 24.0, 4.0, 36.0, 12.0, 40.0, 32.0, 25.0, 8.0, 68.0, 29.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 107, "Liste d'appel propre à cette formation", 42.0, "4535", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4535&g_ta_cod=4535", 26.0, 35.0, 39.0),
(2650, "Privé sous contrat d'association", "0830100H", "Lycée Notre Dame", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Notre Dame - BTS - Services - Commerce International", "BTS - Services", "", 32, 547, 277, 545, 0, 207, 33, 126, 34, 43, 11, 169, 2, 0, 0, 0, 2, 434, 0, 0, 0, 204, 32, 107, 28, 20, 6, 103, 193, 26, 10, 26, 0, 4.0, 15.0, 21.0, 0, 2, 15, 8, 6, 1, 11, 0, 6, 6, 2, 1, 0.0, 7, 2, 0, 3, 0, 14, 14, 15.38, 57.69, 80.77, 38.5, 93.296875, 93.296875, 20, 13.298828125, 57.6953125, 0.0, 40.0, 40.0, 13.298828125, 6.7, 0.0, 53.296875, 46.6953125, 40.0, 13.298828125, 6.69921875, 0.0, 84.0, 15.0, 6.0, 2.0, 60.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 174.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 46.0, "10352", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10352&g_ta_cod=10352", 54.0, 35.0, 12.0),
(2651, "Public", "0340857X", "CENTRE REGIONAL ASSOCIE CNAM LANGUEDOC ROUSSSILLON MONTPELLIER", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "CENTRE REGIONAL ASSOCIE CNAM LANGUEDOC ROUSSSILLON MONTPELLIER - Formation Supérieure de Spécialisation - Informatique et numérique", "Diplôme d'Université", "Informatique et numérique", 15, 138, 20, 63, 0, 16, 2, 5, 0, 7, 5, 35, 75, 12, 7, 6, 50, 24, 18, 0, 0, 8, 2, 2, 0, 2, 2, 12, 42, 13, 0, 6, 7, 2.0, 5.0, 9.0, 0, 4, 6, 5, 1, 0, 7, 0, 3, 3, 0, 0, 0.0, 2, 1, 0, 0, 0, 5, 5, 15.38, 38.46, 69.23, 0.0, 83.296875, 83.296875, 0, 66.6875, 46.1953125, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 83.296875, 33.296875, 16.69921875, 16.69921875, 0.0, 0.0, 15.0, 4.0, 3.0, 2.0, 21.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "33914", "Formation Supérieure de Spécialisation - Informatique et numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33914&g_ta_cod=33914", 62.0, 23.0, 15.0),
(2652, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Langues étrangères appliquées - Parcours Bilingue", "Licence - Arts-lettres-langues", "Bilingue", 190, 1666, 1221, 1615, 0, 1093, 247, 137, 49, 50, 23, 335, 51, 6, 5, 2, 38, 1615, 37, 0, 0, 1093, 247, 137, 49, 50, 23, 335, 1019, 187, 117, 163, 24, 20.0, 144.0, 171.0, 0, 31, 116, 78, 27, 11, 71, 0, 58, 34, 21, 3, 0.0, 45, 7, 6, 0, 0, 96, 96, 10.7, 77.01, 91.44, 62.59375, 82.796875, 82.796875, 0, 26.69921875, 62.0, 0.0, 50.0, 29.296875, 18.09765625, 2.6, 0.0, 67.1875, 38.796875, 23.296875, 6.0, 9.5, 5.19921875, 682.0, 140.0, 34.0, 21.0, 221.0, "Tous les candidats", 1607.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "5567", "Licence - Langues étrangères appliquées - Parcours Bilingue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5567&g_ta_cod=5567", 66.0, 20.0, 12.0),
(2653, "Public", "0221624W", "Lycée professionnel maritime Pierre Loti", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Paimpol", "formation sélective", "Autre formation", "Lycée professionnel maritime Pierre Loti - Mise à niveau - Mise à niveau pour l'accès au BTS MASEN", "Mise à niveau", "", 12, 68, 4, 68, 0, 12, 2, 9, 0, 26, 6, 21, 0, 0, 0, 0, 0, 37, 0, 0, 0, 8, 2, 8, 0, 17, 5, 4, 23, 12, 0, 12, 0, 6.0, 8.0, 10.0, 0, 1, 11, 1, 2, 8, 1, 0, 1, 6, 3, 1, 0.0, 1, 1, 8, 0, 0, 2, 2, 50.0, 66.67, 83.33, 0.0, 18.19921875, 18.19921875, 0, 9.099609375, 91.6875, 0.0, 9.099609375, 54.5, 27.296875, 9.1, 0.0, 9.099609375, 9.099609375, 18.19921875, 9.099609375, 72.6875, 72.6875, 4.0, 0.0, 13.0, 3.0, 1.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "25070", "Mise à niveau - Mise à niveau pour l'accès au BTS MASEN", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25070&g_ta_cod=25070", 8.0, 17.0, 75.0),
(2654, "Public", "0690092A", "Lycée professionnel du 1er Film", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Lycée professionnel du 1er Film - BTS - Services - Métiers de la coiffure", "BTS - Services", "", 12, 173, 135, 173, 0, 22, 9, 28, 13, 35, 17, 88, 0, 0, 0, 0, 0, 108, 0, 0, 0, 20, 7, 19, 10, 25, 10, 44, 54, 8, 6, 8, 0, 2.0, 7.0, 7.0, 0, 1, 5, 0, 2, 3, 3, 0, 0, 5, 0, 0, 0.0, 0, 2, 3, 0, 0, 3, 3, 25.0, 87.5, 87.5, 75.0, 60.0, 60.0, 0, 20.0, 62.5, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 40.0, 40.0, 60.0, 60.0, 10.0, 4.0, 15.0, 5.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 39.0, "20194", "BTS - Services - Métiers de la coiffure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20194&g_ta_cod=20194", 13.0, 25.0, 63.0),
(2655, "Privé sous contrat d'association", "0350793X", "Lycée Frédéric OZANAM", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Cesson-Sévigné", "formation sélective", "BTS", "Lycée Frédéric OZANAM - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1060, 482, 1054, 0, 95, 11, 499, 104, 305, 82, 155, 6, 0, 0, 4, 2, 641, 0, 0, 0, 74, 7, 291, 54, 225, 56, 51, 207, 33, 15, 31, 0, 2.0, 18.0, 23.0, 0, 7, 30, 4, 16, 10, 3, 0, 8, 18, 4, 0, 0.0, 2, 12, 8, 5, 1, 28, 28, 6.06, 54.55, 69.7, 45.5, 93.296875, 93.296875, 16.69921875, 23.296875, 90.890625, 0.0, 26.69921875, 60.0, 13.298828125, 0.0, 0.0, 13.298828125, 6.69921875, 53.296875, 40.0, 33.296875, 26.69921875, 15.0, 4.0, 116.0, 31.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 186, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 29.0, "4704", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4704&g_ta_cod=4704", 15.0, 55.0, 30.0),
(2656, "Public", "0601870G", "Lycée professionnel Andre Malraux", "60", "Oise", "Hauts-de-France", "Amiens", "Montataire", "formation sélective", "Autre formation", "Lycée professionnel Andre Malraux - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 12, 56, 13, 56, 0, 8, 0, 18, 9, 20, 10, 10, 0, 0, 0, 0, 0, 56, 0, 0, 0, 8, 0, 18, 9, 20, 10, 10, 30, 12, 4, 12, 0, 6.0, 10.0, 11.0, 0, 6, 10, 1, 6, 3, 2, 1, 7, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 9, 9, 50.0, 83.33, 91.67, 33.296875, 90.0, 90.0, 0, 60.0, 83.296875, 10.0, 70.0, 20.0, 0.0, 0.0, 0.0, 10.0, 10.0, 60.0, 10.0, 30.0, 0.0, 4.0, 0.0, 10.0, 3.0, 4.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "30034", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30034&g_ta_cod=30034", 17.0, 58.0, 25.0),
(2657, "Public", "0760091L", "Lycée Jeanne D'Arc", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "Autre formation", "Lycée Jeanne D'Arc - DN MADE - Graphisme - - Spécialité : Éditions multi-supports fixes, animées et interactives", "DN MADE", "- Spécialité : Éditions multi-supports fixes, animées et interactives", 16, 483, 334, 483, 0, 188, 32, 110, 26, 32, 8, 153, 0, 0, 0, 0, 0, 131, 0, 0, 0, 64, 10, 57, 12, 4, 0, 6, 55, 16, 13, 16, 0, 1.0, 15.0, 16.0, 0, 2, 16, 9, 7, 0, 0, 0, 0, 10, 6, 0, 0.0, 9, 7, 0, 0, 0, 7, 7, 6.25, 93.75, 100.0, 81.296875, 43.796875, 43.796875, 0, 12.5, 100.0, 0.0, 0.0, 62.5, 37.5, 0.0, 0.0, 56.296875, 56.296875, 43.796875, 43.796875, 0.0, 0.0, 21.0, 3.0, 0.0, 0.0, 1.0, "Tous les candidats", 69.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "24299", "DN MADE - Graphisme - - Spécialité : Éditions multi-supports fixes, animées et interactives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24299&g_ta_cod=24299", 56.0, 44.0, 0.0),
(2658, "Public", "0330021U", "Lycée Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Montaigne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 27, 1993, 1001, 1993, 1364, 1738, 120, 3, 0, 0, 0, 252, 0, 0, 0, 0, 0, 961, 0, 448, 783, 960, 62, 0, 0, 0, 0, 1, 157, 26, 10, 26, 0, 5.0, 19.0, 24.0, 2, 1, 26, 26, 0, 0, 0, 0, 0, 0, 15, 11, 0.0, 26, 0, 0, 1, 1, 15, 15, 19.23, 73.08, 92.31, 38.5, 57.6953125, 57.6953125, 3.7998046875, 3.7998046875, 100.0, 0.0, 0.0, 0.0, 57.6953125, 42.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 156.0, 10.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "31482", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31281&g_ta_cod=31482", 100.0, 0.0, 0.0),
(2659, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Double licence - Histoire / Géographie et aménagement - Histoire - Géographie et aménagement", "Licence - Sciences humaines et sociales", "Histoire - Géographie et aménagement", 33, 407, 156, 178, 0, 132, 14, 9, 3, 1, 0, 36, 229, 80, 11, 10, 128, 127, 35, 0, 0, 110, 9, 1, 1, 0, 0, 16, 137, 21, 9, 16, 5, 7.0, 16.0, 18.0, 0, 2, 18, 18, 0, 0, 3, 0, 2, 12, 3, 0, 1.0, 16, 0, 0, 0, 0, 13, 15, 33.33, 76.19, 85.71, 42.8984375, 72.1875, 83.296875, 0, 11.099609375, 85.6875, 0.0, 11.099609375, 66.6875, 16.69921875, 0.0, 5.6, 100.0, 88.890625, 0.0, 0.0, 0.0, 0.0, 107.0, 10.0, 0.0, 0.0, 29.0, "Tous les candidats", 126.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "11507", "Double licence - Histoire / Géographie et aménagement - Histoire - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11507&g_ta_cod=11507", 100.0, 0.0, 0.0),
(2660, "Public", "0932116V", "Lycée Eugenie Cotton", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "Autre formation", "Lycée Eugenie Cotton - DN MADE - Graphisme - - Spécialité : IDENTITÉS VISUELLES", "DN MADE", "- Spécialité : IDENTITÉS VISUELLES", 16, 730, 417, 730, 0, 201, 39, 124, 24, 133, 32, 272, 0, 0, 0, 0, 0, 199, 0, 0, 0, 91, 18, 67, 7, 13, 1, 28, 60, 14, 10, 14, 0, 1.0, 11.0, 14.0, 0, 3, 11, 5, 6, 0, 3, 0, 0, 5, 3, 3, 0.0, 5, 6, 0, 0, 0, 1, 5, 7.14, 78.57, 100.0, 71.390625, 9.099609375, 45.5, 0, 27.296875, 78.59375, 0.0, 0.0, 45.5, 27.296875, 27.3, 0.0, 45.5, 45.5, 54.5, 54.5, 0.0, 0.0, 29.0, 9.0, 0.0, 0.0, 6.0, "Tous les candidats", 88.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "21937", "DN MADE - Graphisme - - Spécialité : IDENTITÉS VISUELLES", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21937&g_ta_cod=21937", 57.0, 43.0, 0.0),
(2661, "Public", "0580753D", "Lycée Alain Colas", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "CPGE", "Lycée Alain Colas - CPGE - Ecole normale supérieure Paris Saclay ? arts et design", "Classe préparatoire scientifique", "", 15, 276, 226, 276, 0, 167, 14, 57, 12, 3, 2, 49, 0, 0, 0, 0, 0, 224, 0, 0, 224, 141, 11, 52, 11, 0, 0, 31, 63, 16, 11, 16, 0, 0.0, 11.0, 16.0, 0, 0, 14, 12, 2, 0, 2, 0, 1, 7, 5, 1, 0.0, 11, 2, 0, 0, 0, 2, 2, 0.0, 68.75, 100.0, 68.796875, 14.298828125, 14.298828125, 0, 0.0, 87.5, 0.0, 7.099609375, 50.0, 35.6953125, 7.1, 0.0, 85.6875, 78.59375, 14.298828125, 14.298828125, 0.0, 0.0, 45.0, 2.0, 0.0, 0.0, 5.0, "Tous les candidats", 96.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "15987", "CPGE - Ecole normale supérieure Paris Saclay ? arts et design", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15987&g_ta_cod=15987", 88.0, 13.0, 0.0),
(2662, "Privé sous contrat d'association", "0290170C", "Lycée Le Likès", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Le Likès - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 704, 316, 701, 0, 73, 11, 325, 39, 200, 40, 103, 3, 1, 0, 0, 2, 531, 0, 0, 0, 53, 8, 246, 29, 163, 28, 69, 185, 32, 16, 32, 0, 6.0, 18.0, 24.0, 0, 4, 28, 4, 8, 16, 4, 0, 8, 13, 5, 2, 0.0, 2, 6, 12, 4, 2, 25, 25, 18.75, 56.25, 75.0, 50.0, 89.296875, 89.296875, 14.298828125, 14.298828125, 87.5, 0.0, 28.59765625, 46.3984375, 17.8984375, 7.1, 0.0, 14.298828125, 7.099609375, 28.59765625, 21.3984375, 57.09375, 42.8984375, 31.0, 6.0, 82.0, 17.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 118, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 39.0, "3816", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3816&g_ta_cod=3816", 16.0, 31.0, 53.0),
(2663, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Lettres - Parcours Lettres et Arts Vivants (danse,musique, théâtre)", "Licence - Arts-lettres-langues", "Lettres et Arts Vivants (danse,musique, théâtre)", 25, 218, 163, 152, 0, 104, 18, 12, 2, 7, 5, 29, 66, 13, 5, 3, 45, 20, 2, 0, 0, 16, 1, 1, 0, 0, 0, 3, 22, 7, 3, 6, 1, 6.0, 6.0, 7.0, 0, 1, 4, 4, 0, 0, 3, 0, 1, 1, 1, 1, 0.0, 3, 0, 0, 0, 0, 4, 4, 85.71, 85.71, 100.0, 42.8984375, 100.0, 100.0, 0, 25.0, 57.09375, 0.0, 25.0, 25.0, 25.0, 25.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 16.0, 1.0, 0.0, 0.0, 5.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "11631", "Licence - Lettres - Parcours Lettres et Arts Vivants (danse,musique, théâtre)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11631&g_ta_cod=11631", 100.0, 0.0, 0.0),
(2664, "Public", "0641842E", "I.U.T des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "BUT", "I.U.T des Pays de l'Adour - BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie", "BUT - Production", "Optimisation énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie", 72, 519, 52, 506, 0, 238, 29, 186, 24, 3, 0, 79, 13, 0, 7, 0, 6, 429, 4, 0, 0, 210, 26, 156, 19, 0, 0, 63, 313, 68, 7, 67, 1, 9.0, 60.0, 63.0, 0, 8, 60, 28, 32, 0, 8, 0, 17, 30, 12, 1, 0.0, 18, 25, 0, 0, 0, 42, 42, 13.24, 88.24, 92.65, 10.298828125, 70.0, 70.0, 0, 13.298828125, 88.1875, 0.0, 28.296875, 50.0, 20.0, 1.7, 0.0, 46.6953125, 30.0, 53.296875, 41.6953125, 0.0, 0.0, 132.0, 17.0, 0.0, 0.0, 50.0, "Tous les candidats sauf les Bac technologiques", 229.0, "Bacheliers technologiques toutes séries", 168, "", 0, "Liste d'appel propre à cette formation", 78.0, "7791", "BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7791&g_ta_cod=7791", 49.0, 50.0, 0.0),
(2665, "Public", "0021887R", "Institut de Formation en Soins Infirmiers - LAON", "02", "Aisne", "Hauts-de-France", "Amiens", "Laon", "formation sélective", "IFSI", "Regroupement d'IFSI Université Amiens - D.E Infirmier", "D.E secteur sanitaire", "", 55, 2646, 2185, 2646, 0, 453, 110, 451, 136, 392, 163, 1350, 0, 0, 0, 0, 0, 1785, 0, 0, 0, 365, 83, 328, 91, 286, 107, 806, 541, 55, 51, 55, 0, 2.0, 33.0, 45.0, 0, 17, 42, 12, 8, 22, 13, 0, 5, 9, 22, 6, 0.0, 8, 7, 22, 0, 0, 29, 29, 3.64, 60.0, 81.82, 92.6875, 69.0, 69.0, 0, 40.5, 76.390625, 0.0, 11.8984375, 21.3984375, 52.3984375, 14.3, 0.0, 28.59765625, 19.0, 19.0, 16.69921875, 52.3984375, 52.3984375, 114.0, 33.0, 96.0, 35.0, 245.0, "Tous les candidats", 2382.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "23073", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23008&g_ta_cod=23073", 38.0, 20.0, 42.0),
(2666, "Public", "0170087C", "Lycée agricole Georges Desclaude", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Saintes", "formation sélective", "BTS", "Lycée agricole Georges Desclaude - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 24, 324, 152, 319, 0, 7, 4, 17, 3, 23, 8, 272, 5, 0, 1, 0, 4, 309, 3, 0, 0, 7, 4, 17, 3, 23, 8, 262, 54, 12, 9, 11, 1, 8.0, 11.0, 11.0, 0, 4, 10, 1, 2, 7, 2, 0, 5, 2, 3, 0, 0.0, 0, 1, 4, 1, 1, 10, 10, 66.67, 91.67, 91.67, 75.0, 100.0, 100.0, 10, 40.0, 83.296875, 0.0, 50.0, 20.0, 30.0, 0.0, 0.0, 10.0, 0.0, 20.0, 10.0, 70.0, 40.0, 6.0, 4.0, 22.0, 8.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 17.0, "3045", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3045&g_ta_cod=3045", 17.0, 17.0, 67.0),
(2667, "Public", "0681967U", "Université de Mulhouse - Site de Colmar - Faculté de marketing et d'agrosciences", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "Licence", "Université de Mulhouse - Site de Colmar - Faculté de marketing et d'agrosciences - Licence - Gestion - Parcours Commerce Affaires Développement des Relations Economiques  (CADRE)", "Licence - Droit-économie-gestion", "Commerce Affaires Développement des Relations Economiques  (CADRE)", 16, 137, 65, 102, 0, 61, 9, 6, 3, 5, 2, 30, 35, 6, 3, 3, 23, 20, 0, 0, 0, 18, 1, 0, 0, 0, 0, 2, 19, 13, 8, 13, 0, 12.0, 12.0, 13.0, 0, 1, 13, 13, 0, 0, 0, 0, 1, 3, 7, 2, 0.0, 12, 0, 0, 0, 0, 4, 4, 92.31, 92.31, 100.0, 61.5, 30.796875, 30.796875, 0, 7.69921875, 100.0, 0.0, 7.69921875, 23.09765625, 53.796875, 15.4, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 18.0, 1.0, 0.0, 0.0, 1.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "16833", "Licence - Gestion - Parcours Commerce Affaires Développement des Relations Economiques  (CADRE)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16833&g_ta_cod=16833", 100.0, 0.0, 0.0),
(2668, "Public", "0770918E", "Lycée Uruguay France", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Avon", "formation sélective", "BTS", "Lycée Uruguay France - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 328, 294, 328, 0, 18, 5, 80, 31, 149, 72, 81, 0, 0, 0, 0, 0, 227, 0, 0, 0, 18, 5, 60, 25, 118, 54, 31, 99, 23, 22, 23, 0, 5.0, 10.0, 19.0, 0, 8, 17, 0, 8, 9, 6, 0, 9, 7, 1, 0, 0.0, 0, 4, 4, 2, 2, 14, 16, 21.74, 43.48, 82.61, 95.6875, 82.390625, 94.09375, 11.798828125, 47.09375, 73.890625, 0.0, 52.8984375, 41.1953125, 5.8994140625, 0.0, 0.0, 0.0, 0.0, 47.09375, 23.5, 52.8984375, 23.5, 10.0, 4.0, 56.0, 25.0, 10.0, "Tous les candidats sauf les Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 72, "", 0, "Liste d'appel propre à cette formation", 38.0, "9776", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9776&g_ta_cod=9776", 4.0, 39.0, 57.0),
(2669, "Public", "9741620T", "Lycée Mémona Hintermann-Afféjee", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée Mémona Hintermann-Afféjee - BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "BTS - Services", "", 10, 368, 120, 368, 0, 123, 39, 84, 48, 45, 25, 116, 0, 0, 0, 0, 0, 266, 0, 0, 0, 117, 37, 58, 34, 28, 15, 63, 19, 10, 4, 10, 0, 4.0, 8.0, 9.0, 0, 6, 10, 2, 6, 2, 0, 0, 1, 4, 4, 1, 0.0, 2, 5, 2, 0, 0, 8, 8, 40.0, 80.0, 90.0, 40.0, 80.0, 80.0, 0, 60.0, 100.0, 0.0, 10.0, 40.0, 40.0, 10.0, 0.0, 20.0, 20.0, 60.0, 50.0, 20.0, 20.0, 5.0, 3.0, 3.0, 2.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 7.0, "22701", "BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22701&g_ta_cod=22701", 20.0, 60.0, 20.0),
(2670, "Public", "0870581J", "Lycée agricole de Limoges les Vaseix", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Verneuil-sur-Vienne", "formation sélective", "BTS", "Lycée agricole de Limoges les Vaseix - BTS - Agricole - productions animales", "BTS - Agricole", "", 38, 388, 224, 381, 0, 76, 18, 134, 38, 76, 25, 95, 7, 4, 0, 1, 2, 240, 2, 0, 0, 68, 18, 109, 33, 45, 13, 18, 150, 29, 17, 29, 0, 4.0, 26.0, 29.0, 0, 7, 28, 10, 14, 4, 1, 0, 9, 13, 6, 0, 0.0, 5, 11, 3, 8, 2, 17, 17, 13.79, 89.66, 100.0, 58.59375, 60.6953125, 60.6953125, 28.59765625, 25.0, 96.59375, 0.0, 32.09375, 46.3984375, 21.3984375, 0.0, 0.0, 35.6953125, 17.8984375, 50.0, 39.296875, 14.298828125, 10.69921875, 44.0, 8.0, 34.0, 9.0, 13.0, "Tous les candidats sauf les Bac professionnels", 195.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 63.0, "10693", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10693&g_ta_cod=10693", 38.0, 48.0, 14.0),
(2671, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Lettres, langues - Parcours Allemand ou Anglais ou Espagnol ou Italien", "Licence - Arts-lettres-langues", "Allemand ou Anglais ou Espagnol ou Italien", 55, 483, 369, 420, 0, 277, 61, 28, 10, 17, 5, 98, 63, 11, 7, 4, 41, 420, 61, 0, 0, 277, 61, 28, 10, 17, 5, 98, 327, 55, 40, 37, 18, 12.0, 37.0, 42.0, 0, 9, 34, 27, 4, 3, 21, 0, 9, 11, 10, 4, 0.0, 22, 2, 1, 0, 0, 23, 23, 21.82, 67.27, 76.36, 72.6875, 67.59375, 67.59375, 0, 26.5, 61.796875, 0.0, 26.5, 32.3984375, 29.3984375, 11.8, 0.0, 79.390625, 64.6875, 11.798828125, 5.8994140625, 8.798828125, 2.89990234375, 199.0, 48.0, 12.0, 5.0, 95.0, "Tous les candidats", 420.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "16851", "Licence - Lettres, langues - Parcours Allemand ou Anglais ou Espagnol ou Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16851&g_ta_cod=16851", 73.0, 18.0, 9.0),
(2672, "Public", "0570087K", "Lycée des Métiers Charles Jully", "57", "Moselle", "Grand Est", "Nancy-Metz", "Saint-Avold", "formation sélective", "BTS", "Lycée des Métiers Charles Jully - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 203, 10, 169, 0, 4, 0, 27, 6, 78, 31, 60, 34, 0, 1, 19, 14, 64, 8, 0, 0, 3, 0, 25, 5, 32, 6, 4, 53, 19, 2, 14, 5, 12.0, 14.0, 16.0, 0, 4, 15, 0, 3, 12, 4, 0, 2, 5, 4, 4, 0.0, 0, 2, 11, 14, 1, 15, 15, 63.16, 73.68, 84.21, 10.5, 100.0, 100.0, 93.296875, 26.69921875, 78.890625, 0.0, 13.298828125, 33.296875, 26.69921875, 26.7, 0.0, 0.0, 0.0, 20.0, 13.298828125, 80.0, 73.296875, 2.0, 0.0, 27.0, 8.0, 7.0, "Tous les candidats sauf les Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 38.0, "6551", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6551&g_ta_cod=6551", 16.0, 21.0, 63.0),
(2673, "Public", "0560025Y", "Lycée Dupuy De Lôme", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BTS", "Lycée Dupuy De Lôme - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 410, 278, 382, 0, 31, 5, 149, 36, 103, 44, 99, 28, 4, 4, 5, 15, 261, 6, 0, 0, 31, 5, 135, 29, 87, 35, 8, 190, 24, 16, 23, 1, 3.0, 20.0, 23.0, 0, 7, 23, 3, 9, 11, 1, 0, 12, 10, 1, 0, 0.0, 1, 2, 8, 1, 1, 20, 20, 12.5, 83.33, 95.83, 66.6875, 87.0, 87.0, 4.2998046875, 30.3984375, 95.796875, 0.0, 52.1953125, 43.5, 4.2998046875, 0.0, 0.0, 13.0, 4.2998046875, 39.09375, 8.69921875, 47.796875, 34.796875, 24.0, 4.0, 61.0, 27.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 132, "Liste d'appel propre à cette formation", 66.0, "6422", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6422&g_ta_cod=6422", 17.0, 38.0, 46.0),
(2674, "Public", "9741046U", "Lycée Bellepierre", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée Bellepierre - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 562, 427, 530, 0, 25, 11, 218, 145, 176, 136, 111, 32, 0, 7, 8, 17, 225, 1, 0, 0, 15, 6, 86, 58, 102, 79, 22, 146, 30, 28, 28, 1, 8.0, 24.0, 25.0, 0, 18, 22, 1, 10, 11, 8, 0, 5, 12, 5, 0, 0.0, 0, 9, 8, 3, 3, 21, 21, 26.67, 80.0, 83.33, 93.296875, 95.5, 95.5, 13.599609375, 81.796875, 73.296875, 0.0, 22.69921875, 54.5, 22.69921875, 0.0, 0.0, 4.5, 0.0, 45.5, 40.8984375, 50.0, 36.3984375, 3.0, 3.0, 62.0, 47.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 35.0, "11940", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11940&g_ta_cod=11940", 13.0, 47.0, 40.0),
(2675, "Privé enseignement supérieur", "0592808G", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines - Licence - Langues étrangères appliquées - Parcours LEA Anglais Espagnol", "Licence - Arts-lettres-langues", "LEA Anglais Espagnol", 240, 412, 317, 338, 0, 245, 40, 28, 15, 6, 4, 59, 74, 11, 4, 7, 52, 338, 69, 0, 0, 245, 40, 28, 15, 6, 4, 59, 402, 21, 19, 20, 1, 18.0, 20.0, 20.0, 0, 1, 18, 17, 0, 1, 3, 0, 2, 6, 8, 2, 0.0, 15, 0, 1, 0, 0, 11, 11, 85.71, 95.24, 95.24, 90.5, 61.09375, 61.09375, 0, 5.599609375, 85.6875, 0.0, 11.099609375, 33.296875, 44.3984375, 11.1, 0.0, 94.390625, 83.296875, 0.0, 0.0, 5.599609375, 5.599609375, 251.0, 45.0, 13.0, 11.0, 106.0, "Tous les candidats", 338.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12636", "Licence - Langues étrangères appliquées - Parcours LEA Anglais Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12636&g_ta_cod=12636", 86.0, 5.0, 5.0),
(2676, "Privé sous contrat d'association", "0672118N", "Lycée professionnel Schattenmann", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Bouxwiller", "formation sélective", "BTS", "Lycée professionnel Schattenmann - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 24, 172, 68, 157, 0, 8, 2, 14, 2, 22, 9, 113, 15, 2, 3, 4, 6, 45, 14, 0, 0, 5, 1, 14, 2, 18, 7, 8, 57, 9, 7, 6, 3, 4.0, 6.0, 9.0, 0, 1, 6, 0, 1, 5, 3, 0, 1, 5, 0, 0, 0.0, 0, 0, 5, 1, 1, 5, 5, 44.44, 66.67, 100.0, 77.796875, 83.296875, 83.296875, 16.69921875, 16.69921875, 66.6875, 0.0, 16.69921875, 83.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 16.69921875, 0.0, 83.296875, 83.296875, 7.0, 2.0, 21.0, 7.0, 12.0, "Tous les candidats sauf les Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 27.0, "28961", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28961&g_ta_cod=28961", 22.0, 22.0, 56.0),
(2677, "Public", "0870019Y", "Lycée Suzanne Valadon", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée Suzanne Valadon - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 434, 266, 434, 0, 23, 8, 155, 76, 96, 57, 160, 0, 0, 0, 0, 0, 374, 0, 0, 0, 23, 8, 155, 76, 91, 52, 105, 164, 35, 22, 35, 0, 4.0, 25.0, 32.0, 0, 11, 20, 2, 8, 10, 15, 0, 7, 7, 6, 0, 0.0, 1, 2, 10, 0, 0, 10, 10, 11.43, 71.43, 91.43, 62.8984375, 50.0, 50.0, 0, 55.0, 57.09375, 0.0, 35.0, 35.0, 30.0, 0.0, 0.0, 10.0, 5.0, 40.0, 10.0, 50.0, 50.0, 19.0, 7.0, 44.0, 22.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 48.0, "10665", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10665&g_ta_cod=10665", 31.0, 34.0, 34.0),
(2678, "Public", "7200009X", "Lycée Giocante De Casabianca", "2B", "Haute-Corse", "Corse", "Corse", "Bastia", "formation sélective", "BTS", "Lycée Giocante De Casabianca - BTS - Services - Tourisme", "BTS - Services", "", 34, 290, 215, 285, 0, 85, 23, 61, 21, 18, 8, 121, 5, 0, 1, 0, 4, 177, 3, 0, 0, 78, 23, 47, 17, 9, 5, 43, 117, 25, 23, 25, 0, 7.0, 23.0, 23.0, 0, 9, 20, 10, 6, 4, 5, 0, 7, 9, 3, 1, 0.0, 8, 3, 2, 4, 3, 14, 14, 28.0, 92.0, 92.0, 92.0, 70.0, 70.0, 20, 45.0, 80.0, 0.0, 35.0, 45.0, 15.0, 5.0, 0.0, 50.0, 40.0, 30.0, 15.0, 20.0, 10.0, 36.0, 12.0, 9.0, 4.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 54.0, "11688", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11688&g_ta_cod=11688", 44.0, 36.0, 20.0),
(2679, "Privé enseignement supérieur", "0942340H", "ESTP Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "Autre formation", "ESTP Paris - Diplôme d'Etablissement - Bachelor Manager de la construction", "Diplôme d'Etablissement", "Bachelor Manager de la construction", 40, 159, 25, 149, 0, 111, 6, 18, 0, 1, 1, 19, 10, 4, 1, 0, 5, 59, 5, 0, 0, 46, 3, 4, 0, 0, 0, 9, 64, 29, 9, 25, 4, 19.0, 25.0, 29.0, 0, 1, 24, 21, 3, 0, 5, 0, 0, 10, 10, 4, 0.0, 21, 3, 0, 0, 0, 3, 15, 65.52, 86.21, 100.0, 31.0, 12.5, 62.5, 0, 4.19921875, 82.796875, 0.0, 0.0, 41.6953125, 41.6953125, 16.7, 0.0, 87.5, 87.5, 12.5, 12.5, 0.0, 0.0, 48.0, 3.0, 0.0, 0.0, 12.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "29343", "Diplôme d'Etablissement - Bachelor Manager de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29343&g_ta_cod=29343", 86.0, 14.0, 0.0),
(2680, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "PASS", "Université Clermont Auvergne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 80, 4890, 3509, 4890, 0, 4028, 594, 115, 38, 6, 2, 741, 0, 0, 0, 0, 0, 4885, 0, 0, 0, 4028, 594, 115, 38, 6, 2, 736, 244, 80, 60, 80, 0, 21.0, 78.0, 79.0, 0, 15, 80, 80, 0, 0, 0, 0, 0, 0, 35, 38, 7.0, 80, 0, 0, 0, 0, 71, 71, 26.25, 97.5, 98.75, 75.0, 88.796875, 88.796875, 0, 18.796875, 100.0, 0.0, 0.0, 0.0, 43.796875, 47.5, 8.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 244.0, 43.0, 0.0, 0.0, 0.0, "Tous les candidats", 386.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 6.0, "26630", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26629&g_ta_cod=26630", 100.0, 0.0, 0.0),
(2681, "Public", "0011329P", "Campus de Bourg-en-Bresse - Université Lyon 3", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation non sélective", "Licence_Las", "Campus de Bourg-en-Bresse - Université Lyon 3 - Licence - Portail Droit.", "Licence - Droit-économie-gestion", "Droit.", 20, 267, 210, 267, 0, 144, 47, 27, 12, 11, 6, 85, 0, 0, 0, 0, 0, 267, 0, 0, 0, 144, 47, 27, 12, 11, 6, 85, 125, 18, 14, 18, 0, 0.0, 8.0, 13.0, 0, 6, 14, 11, 2, 1, 4, 0, 9, 4, 1, 0, 0.0, 4, 0, 1, 0, 0, 12, 12, 0.0, 44.44, 72.22, 77.796875, 85.6875, 85.6875, 0, 42.8984375, 77.796875, 0.0, 64.296875, 28.59765625, 7.099609375, 0.0, 0.0, 78.59375, 28.59765625, 14.298828125, 0.0, 7.099609375, 7.099609375, 75.0, 27.0, 6.0, 3.0, 34.0, "Tous les candidats", 824.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 57.0, "28559", "Licence - Portail Droit.", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28558&g_ta_cod=28559", 78.0, 17.0, 6.0),
(2682, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien - Mineure Anglais", "Licence - Arts-lettres-langues", "Italien - Mineure Anglais", 15, 79, 57, 78, 0, 43, 10, 3, 1, 3, 2, 29, 1, 0, 0, 0, 1, 78, 1, 0, 0, 43, 10, 3, 1, 3, 2, 29, 47, 15, 10, 14, 1, 4.0, 13.0, 14.0, 0, 3, 11, 7, 2, 2, 4, 0, 6, 3, 2, 0, 0.0, 4, 1, 0, 0, 0, 2, 10, 26.67, 86.67, 93.33, 66.6875, 18.19921875, 90.890625, 0, 27.296875, 73.296875, 0.0, 54.5, 27.296875, 18.19921875, 0.0, 0.0, 63.59375, 36.3984375, 18.19921875, 9.099609375, 18.19921875, 0.0, 33.0, 10.0, 2.0, 1.0, 10.0, "Tous les candidats", 73.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "24060", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien - Mineure Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24060&g_ta_cod=24060", 67.0, 13.0, 20.0),
(2683, "Public", "0382440W", "Lycée des Métiers - Léonard de Vinci", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Villefontaine", "formation sélective", "BTS", "Lycée des Métiers - Léonard de Vinci - BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "BTS - Services", "", 10, 260, 36, 260, 0, 84, 13, 52, 8, 37, 13, 87, 0, 0, 0, 0, 0, 85, 0, 0, 0, 36, 3, 20, 2, 16, 4, 13, 26, 10, 3, 10, 0, 2.0, 9.0, 9.0, 0, 0, 8, 4, 3, 1, 2, 0, 1, 1, 4, 2, 0.0, 3, 3, 1, 0, 0, 4, 4, 20.0, 90.0, 90.0, 30.0, 50.0, 50.0, 0, 0.0, 80.0, 0.0, 12.5, 12.5, 50.0, 25.0, 0.0, 50.0, 37.5, 37.5, 37.5, 12.5, 12.5, 11.0, 3.0, 4.0, 1.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 11.0, "5109", "BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5109&g_ta_cod=5109", 50.0, 30.0, 20.0),
(2684, "Privé hors contrat", "0672877N", "OMNIS - Ecole Supérieure de Commerce & Management", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "OMNIS - Ecole Supérieure de Commerce & Management - BTS - Services - Commerce International", "BTS - Services", "", 70, 612, 297, 582, 0, 214, 29, 114, 37, 38, 11, 216, 30, 4, 3, 6, 17, 406, 13, 0, 0, 182, 23, 78, 19, 4, 3, 142, 325, 42, 23, 39, 3, 2.0, 26.0, 39.0, 0, 2, 14, 10, 4, 0, 28, 0, 11, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 11, 11, 4.76, 61.9, 92.86, 54.796875, 78.59375, 78.59375, 0, 14.298828125, 33.296875, 0.0, 78.59375, 7.099609375, 14.298828125, 0.0, 0.0, 71.390625, 21.3984375, 28.59765625, 0.0, 0.0, 0.0, 152.0, 22.0, 6.0, 4.0, 105.0, "Tous les candidats sauf les Bac professionnels", 402.0, "Bacheliers professionnels toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 70.0, "15444", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15444&g_ta_cod=15444", 86.0, 14.0, 0.0),
(2685, "Public", "0130221V", "Sciences Po Aix - Institut d'études politiques", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Autre formation", "Sciences Po Aix ? Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Double diplôme Franco-Allemand", "Sciences politiques", "Double diplôme Franco-Allemand", 15, 157, 95, 157, 0, 137, 11, 0, 0, 0, 0, 20, 0, 0, 0, 0, 0, 48, 0, 0, 0, 45, 2, 0, 0, 0, 0, 3, 31, 15, 11, 15, 0, 6.0, 12.0, 13.0, 0, 2, 15, 15, 0, 0, 0, 0, 0, 0, 2, 10, 3.0, 15, 0, 0, 0, 0, 2, 2, 40.0, 80.0, 86.67, 73.296875, 13.298828125, 13.298828125, 0, 13.298828125, 100.0, 0.0, 0.0, 0.0, 13.298828125, 66.7, 20.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 31.0, 2.0, 0.0, 0.0, 0.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "25831", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Double diplôme Franco-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25831&g_ta_cod=25831", 100.0, 0.0, 0.0),
(2686, "Public", "0450049J", "Lycée Pothier", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "CPGE", "Lycée Pothier - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 1080, 743, 1073, 730, 921, 97, 3, 0, 0, 0, 149, 7, 2, 0, 0, 5, 876, 0, 730, 481, 790, 80, 2, 0, 0, 0, 84, 361, 41, 30, 41, 0, 10.0, 19.0, 38.0, 14, 4, 41, 41, 0, 0, 0, 0, 0, 2, 31, 7, 1.0, 41, 0, 0, 3, 1, 21, 21, 24.39, 46.34, 92.68, 73.1875, 51.1953125, 51.1953125, 7.2998046875, 9.798828125, 100.0, 0.0, 0.0, 4.8994140625, 75.59375, 17.1, 2.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 337.0, 36.0, 0.0, 0.0, 24.0, "Tous les candidats", 453.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "5651", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5651&g_ta_cod=5651", 100.0, 0.0, 0.0),
(2687, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "Université de Montpellier - DEUST - Animation, commercialisation des services sportifs", "DEUST", "", 23, 351, 66, 351, 0, 130, 21, 92, 18, 28, 12, 101, 0, 0, 0, 0, 0, 50, 0, 0, 0, 25, 2, 7, 1, 1, 1, 17, 31, 23, 9, 23, 0, 19.0, 22.0, 22.0, 0, 2, 14, 11, 3, 0, 9, 0, 4, 9, 1, 0, 0.0, 7, 3, 0, 0, 0, 8, 8, 82.61, 95.65, 95.65, 39.09375, 57.09375, 57.09375, 0, 14.298828125, 60.8984375, 0.0, 28.59765625, 64.296875, 7.099609375, 0.0, 0.0, 78.59375, 50.0, 21.3984375, 21.3984375, 0.0, 0.0, 16.0, 2.0, 1.0, 1.0, 10.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "4539", "DEUST - Animation, commercialisation des services sportifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4539&g_ta_cod=4539", 78.0, 22.0, 0.0),
(2688, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Langues étrangères appliquées - Parcours Anglais - Chinois", "Licence - Arts-lettres-langues", "Anglais - Chinois", 90, 303, 217, 223, 0, 111, 33, 23, 11, 10, 6, 79, 80, 10, 5, 3, 62, 222, 77, 0, 0, 111, 33, 23, 11, 10, 6, 78, 280, 58, 36, 39, 19, 12.0, 39.0, 52.0, 0, 11, 27, 18, 7, 2, 31, 1, 13, 9, 3, 1, 0.0, 11, 2, 0, 0, 0, 21, 21, 20.69, 67.24, 89.66, 62.09375, 77.796875, 77.796875, 0, 40.6953125, 46.59375, 3.69970703125, 48.09375, 33.296875, 11.099609375, 3.7, 0.0, 66.6875, 40.6953125, 25.8984375, 7.3994140625, 7.3994140625, 0.0, 111.0, 32.0, 12.0, 8.0, 131.0, "Tous les candidats", 222.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6611", "Licence - Langues étrangères appliquées - Parcours Anglais - Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6611&g_ta_cod=6611", 64.0, 22.0, 12.0),
(2689, "Public", "0750688R", "Lycée François Rabelais", "75", "Paris", "Ile-de-France", "Paris", "Paris 18e  Arrondissement", "formation sélective", "BTS", "Lycée François Rabelais - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 1690, 1517, 1690, 0, 57, 27, 394, 171, 693, 334, 546, 0, 0, 0, 0, 0, 947, 0, 0, 0, 55, 26, 230, 94, 486, 227, 176, 211, 38, 36, 38, 0, 3.0, 21.0, 32.0, 0, 10, 26, 1, 5, 20, 12, 0, 3, 11, 11, 1, 0.0, 1, 3, 19, 0, 0, 2, 23, 7.89, 55.26, 84.21, 94.6875, 7.69921875, 88.5, 0, 38.5, 68.390625, 0.0, 11.5, 42.296875, 42.296875, 3.8, 0.0, 3.7998046875, 3.7998046875, 19.19921875, 11.5, 76.890625, 73.09375, 13.0, 6.0, 103.0, 40.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 154, "Bacheliers technologiques toutes séries", 140, "Liste d'appel propre à cette formation", 19.0, "9097", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9097&g_ta_cod=9097", 8.0, 39.0, 53.0),
(2690, "Public", "0080008R", "Lycée François Bazin", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BTS", "Lycée François Bazin - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 24, 97, 13, 90, 0, 6, 1, 27, 7, 33, 10, 24, 7, 2, 0, 3, 2, 41, 1, 0, 0, 5, 0, 17, 4, 17, 5, 2, 42, 17, 1, 16, 1, 10.0, 16.0, 16.0, 0, 5, 17, 4, 10, 3, 0, 0, 10, 4, 2, 1, 0.0, 1, 4, 2, 8, 0, 17, 17, 58.82, 94.12, 94.12, 5.8994140625, 100.0, 100.0, 47.09375, 29.3984375, 100.0, 0.0, 58.796875, 23.5, 11.798828125, 5.9, 0.0, 23.5, 5.8994140625, 58.796875, 23.5, 17.59765625, 11.798828125, 6.0, 0.0, 18.0, 6.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 44.0, "2362", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2362&g_ta_cod=2362", 24.0, 59.0, 18.0),
(2691, "Privé enseignement supérieur", "0592806E", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences - Licence - Portail Economie - Parcours Economie-Finance", "Licence - Droit-économie-gestion", "Parcours Economie-Finance", 120, 1003, 370, 922, 0, 801, 87, 9, 4, 1, 1, 111, 81, 12, 3, 1, 65, 856, 24, 0, 0, 766, 78, 0, 0, 0, 0, 90, 686, 95, 24, 79, 15, 29.0, 78.0, 88.0, 0, 9, 65, 65, 0, 0, 30, 0, 20, 23, 20, 2, 0.0, 45, 0, 0, 0, 0, 22, 22, 30.53, 82.11, 92.63, 25.296875, 33.796875, 33.796875, 0, 13.798828125, 68.390625, 0.0, 30.796875, 35.3984375, 30.796875, 3.1, 0.0, 100.0, 69.1875, 0.0, 0.0, 0.0, 0.0, 601.0, 63.0, 0.0, 0.0, 85.0, "Tous les candidats", 875.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 92.0, "12455", "Licence - Portail Economie - Parcours Economie-Finance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28388&g_ta_cod=12455", 100.0, 0.0, 0.0),
(2692, "Privé enseignement supérieur", "0221844K", "Facultés libres de l'ouest - UCO - Bretagne Nord", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Guingamp", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Bretagne Nord - Licence - Sciences de la vie et de la terre - Parcours Biologie", "Licence - Sciences - technologies - santé", "Biologie", 60, 625, 421, 593, 0, 409, 46, 79, 17, 2, 1, 103, 32, 9, 1, 0, 22, 593, 8, 0, 0, 409, 46, 79, 17, 2, 1, 103, 309, 51, 35, 47, 4, 15.0, 42.0, 46.0, 0, 3, 42, 38, 4, 0, 9, 0, 13, 21, 6, 2, 0.0, 27, 2, 0, 0, 0, 27, 27, 29.41, 82.35, 90.2, 68.59375, 64.296875, 64.296875, 0, 7.099609375, 82.390625, 0.0, 31.0, 50.0, 14.298828125, 4.8, 0.0, 90.5, 64.296875, 9.5, 4.7998046875, 0.0, 0.0, 236.0, 25.0, 0.0, 0.0, 39.0, "Tous les candidats", 523.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "3382", "Licence - Sciences de la vie et de la terre - Parcours Biologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3382&g_ta_cod=3382", 90.0, 10.0, 0.0),
(2693, "Public", "0541324W", "I.U.T Nancy-Charlemagne - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BUT", "I.U.T Nancy-Charlemagne - Université de Lorraine - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Intégration d'applications et management du système d?information", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Intégration d'applications et management du système d?information", 125, 1315, 119, 1294, 0, 748, 136, 265, 65, 7, 2, 274, 21, 0, 11, 0, 10, 908, 3, 0, 0, 622, 106, 167, 39, 0, 0, 119, 445, 124, 7, 122, 1, 24.0, 107.0, 120.0, 0, 28, 106, 77, 29, 0, 18, 0, 21, 52, 28, 5, 0.0, 63, 22, 0, 0, 0, 87, 87, 19.35, 86.29, 96.77, 5.599609375, 82.09375, 82.09375, 0, 26.3984375, 85.5, 0.0, 19.796875, 49.09375, 26.3984375, 4.7, 0.0, 72.59375, 59.3984375, 27.3984375, 20.796875, 0.0, 0.0, 237.0, 53.0, 0.0, 0.0, 68.0, "Tous les candidats sauf les Bac technologiques", 433.0, "Bacheliers technologiques toutes séries", 178, "", 0, "Liste d'appel propre à cette formation", 47.0, "6314", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Intégration d'applications et management du système d?information", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6314&g_ta_cod=6314", 73.0, 27.0, 0.0),
(2694, "Privé enseignement supérieur", "0561687E", "Facultés libres de l'ouest - UCO - Bretagne Sud", "56", "Morbihan", "Bretagne", "Rennes", "Arradon", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Bretagne Sud - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 50, 271, 125, 245, 0, 177, 14, 23, 1, 13, 4, 32, 26, 8, 3, 1, 14, 244, 13, 0, 0, 177, 14, 23, 1, 13, 4, 31, 257, 23, 11, 21, 2, 21.0, 21.0, 23.0, 0, 5, 22, 17, 2, 3, 1, 0, 9, 5, 8, 0, 0.0, 9, 2, 2, 0, 0, 18, 18, 91.3, 91.3, 100.0, 47.796875, 81.796875, 81.796875, 0, 22.69921875, 95.6875, 0.0, 40.8984375, 22.69921875, 36.3984375, 0.0, 0.0, 77.296875, 40.8984375, 9.099609375, 9.099609375, 13.599609375, 9.099609375, 181.0, 15.0, 14.0, 5.0, 37.0, "Tous les candidats", 244.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6488", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6488&g_ta_cod=6488", 78.0, 9.0, 13.0),
(2695, "Public", "0330159U", "Centre de Ressources, d'Expertise et de Performance Sportive Bordeaux-Aquitaine (CREPS)", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Autre formation", "CREPS de Bordeaux - BPJEPS - Activités de la forme", "BPJEPS", "", 8, 345, 77, 345, 0, 96, 19, 82, 16, 44, 9, 123, 0, 0, 0, 0, 0, 25, 0, 0, 0, 6, 0, 5, 1, 0, 0, 14, 10, 8, 1, 8, 0, 5.0, 6.0, 7.0, 0, 0, 3, 3, 0, 0, 5, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 62.5, 75.0, 87.5, 12.5, 100.0, 100.0, 0, 0.0, 37.5, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, 0.0, 0.0, 0.0, 7.0, "Tous les candidats", 9.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 3.0, "23543", "BPJEPS - Activités de la forme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23543&g_ta_cod=23543", 100.0, 0.0, 0.0),
(2696, "Public", "0772432A", "I.U.T de Marne la Vallée", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Champs-sur-Marne", "formation sélective", "BUT", "I.U.T de Marne la Vallée - BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie - Management de l'énergie pour le bâtiment et l'industrie - Exploitation des installations énergétiques pour le bâtiment et l'industrie", "BUT - Production", "Optimisation énergétique pour le bâtiment et l'industrie - Management de l'énergie pour le bâtiment et l'industrie - Exploitation des installations énergétiques pour le bâtiment et l'industrie", 78, 737, 86, 737, 0, 309, 57, 275, 69, 6, 0, 147, 0, 0, 0, 0, 0, 680, 0, 0, 0, 304, 54, 252, 63, 0, 0, 124, 472, 85, 5, 85, 0, 18.0, 65.0, 78.0, 0, 22, 77, 40, 37, 0, 8, 0, 40, 26, 11, 0, 0.0, 16, 21, 0, 0, 0, 54, 75, 21.18, 76.47, 91.76, 5.8994140625, 70.09375, 97.390625, 0, 28.59765625, 90.59375, 0.0, 51.8984375, 33.796875, 14.298828125, 0.0, 0.0, 51.8984375, 20.796875, 48.09375, 27.296875, 0.0, 0.0, 207.0, 47.0, 0.0, 0.0, 82.0, "Tous les candidats sauf les Bac technologiques", 303.0, "Bacheliers technologiques toutes séries", 252, "", 0, "Liste d'appel propre à cette formation", 75.0, "9906", "BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie - Management de l'énergie pour le bâtiment et l'industrie - Exploitation des installations énergétiques pour le bâtiment et l'industrie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9906&g_ta_cod=9906", 51.0, 49.0, 0.0),
(2697, "Public", "0134316W", "Aix-Marseille Université - Site de Marseille Saint-Jérôme", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation non sélective", "Licence", "Aix-Marseille Université - Portail Marie Curie - Licence - Portail Marie Curie : Chimie, Physique, Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "Marie Curie : Chimie, Physique, Sciences pour l'ingénieur - site de Saint-Jérôme", 115, 2279, 1014, 2169, 0, 1219, 282, 146, 64, 17, 11, 787, 110, 17, 6, 4, 83, 2169, 93, 0, 0, 1219, 282, 146, 64, 17, 11, 787, 1669, 99, 41, 62, 37, 2.0, 12.0, 61.0, 0, 17, 37, 27, 6, 4, 62, 0, 25, 9, 2, 1, 0.0, 11, 0, 1, 0, 0, 31, 31, 2.02, 12.12, 61.62, 41.3984375, 83.796875, 83.796875, 0, 45.8984375, 37.3984375, 0.0, 67.59375, 24.296875, 5.3994140625, 2.7, 0.0, 73.0, 29.69921875, 16.19921875, 0.0, 10.798828125, 2.69970703125, 931.0, 229.0, 7.0, 5.0, 695.0, "Tous les candidats", 3189.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23306", "Licence - Portail Marie Curie : Chimie, Physique, Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12617&g_ta_cod=23306", 72.0, 19.0, 9.0),
(2698, "Public", "0101037Y", "Campus des Comtes de champagne - URCA", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation non sélective", "Licence", "Campus des Comtes de champagne - URCA - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 135, 581, 399, 483, 0, 340, 93, 40, 19, 24, 11, 79, 98, 21, 7, 8, 62, 481, 92, 0, 0, 340, 93, 40, 19, 24, 11, 77, 509, 113, 68, 82, 31, 17.0, 79.0, 98.0, 0, 29, 75, 63, 5, 7, 38, 0, 38, 23, 14, 0, 0.0, 34, 0, 3, 0, 0, 62, 62, 15.04, 69.91, 86.73, 60.1953125, 82.6875, 82.6875, 0, 38.6953125, 66.390625, 0.0, 50.6953125, 30.69921875, 18.69921875, 0.0, 0.0, 84.0, 45.296875, 6.69921875, 0.0, 9.298828125, 4.0, 334.0, 93.0, 25.0, 10.0, 120.0, "Tous les candidats", 480.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "2441", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2441&g_ta_cod=2441", 76.0, 13.0, 10.0),
(2699, "Public", "0300930Y", "I.U.T de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BUT", "I.U.T de Nîmes - BUT - Science et génie des matériaux Parcours : Métiers du recyclage et de la valorisation des matériaux - Métiers de l'ingénérie des matériaux et des produits - Métiers de la caractérisation et de l'expertise des matériaux et des produits (Seconde année possible en apprentissage)", "BUT - Production", "Métiers du recyclage et de la valorisation des matériaux - Métiers de l'ingénérie des matériaux et des produits - Métiers de la caractérisation et de l'expertise des matériaux et des produits", 70, 601, 99, 589, 0, 355, 47, 106, 18, 4, 2, 124, 12, 0, 4, 0, 8, 511, 3, 0, 0, 328, 38, 83, 13, 2, 0, 98, 282, 72, 10, 71, 1, 42.0, 52.0, 65.0, 0, 9, 61, 49, 11, 1, 11, 0, 14, 33, 12, 2, 0.0, 36, 10, 1, 0, 0, 28, 28, 58.33, 72.22, 90.28, 13.8984375, 45.8984375, 45.8984375, 0, 14.798828125, 84.6875, 0.0, 23.0, 54.09375, 19.69921875, 3.3, 0.0, 80.296875, 59.0, 18.0, 16.3984375, 1.599853515625, 1.599853515625, 174.0, 23.0, 1.0, 0.0, 48.0, "Tous les candidats sauf les Bac technologiques", 249.0, "Bacheliers technologiques toutes séries", 98, "", 0, "Liste d'appel propre à cette formation", 59.0, "3987", "BUT - Science et génie des matériaux Parcours : Métiers du recyclage et de la valorisation des matériaux - Métiers de l'ingénérie des matériaux et des produits - Métiers de la caractérisation et de l'expertise des matériaux et des produits (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3987&g_ta_cod=3987", 82.0, 17.0, 1.0),
(2700, "Public", "0941294W", "Lycée Adolphe Cherioux", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vitry-sur-Seine", "formation sélective", "Autre formation", "Lycée Adolphe Cherioux - DN MADE - Espace - - Spécialité : Conception des paysages urbains partagés", "DN MADE", "- Spécialité : Conception des paysages urbains partagés", 12, 369, 254, 369, 0, 146, 35, 70, 13, 22, 5, 131, 0, 0, 0, 0, 0, 187, 0, 0, 0, 93, 22, 48, 8, 8, 0, 38, 47, 12, 11, 12, 0, 3.0, 10.0, 11.0, 0, 2, 10, 7, 3, 0, 2, 0, 0, 4, 5, 1, 0.0, 7, 3, 0, 0, 0, 4, 7, 25.0, 83.33, 91.67, 91.6875, 40.0, 70.0, 0, 20.0, 83.296875, 0.0, 0.0, 40.0, 50.0, 10.0, 0.0, 70.0, 70.0, 30.0, 30.0, 0.0, 0.0, 26.0, 6.0, 0.0, 0.0, 4.0, "Tous les candidats", 82.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "21935", "DN MADE - Espace - - Spécialité : Conception des paysages urbains partagés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21935&g_ta_cod=21935", 75.0, 25.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(2701, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence", "Université du Mans - Licence - Portail Portail Economie-Gestion", "Licence - Droit-économie-gestion", "Portail Economie-Gestion", 175, 1068, 437, 988, 0, 641, 88, 119, 30, 22, 13, 206, 80, 11, 10, 6, 53, 968, 55, 0, 0, 641, 88, 119, 30, 22, 13, 186, 1022, 173, 53, 141, 32, 137.0, 138.0, 140.0, 0, 24, 108, 86, 16, 6, 65, 1, 58, 40, 9, 0, 0.0, 39, 6, 4, 0, 0, 87, 87, 79.19, 79.77, 80.92, 30.59765625, 80.59375, 80.59375, 0, 22.19921875, 62.3984375, 0.89990234375, 53.6953125, 37.0, 8.298828125, 0.0, 0.0, 79.59375, 36.09375, 14.798828125, 5.599609375, 5.599609375, 3.69970703125, 650.0, 93.0, 25.0, 15.0, 219.0, "Tous les candidats", 1003.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "23801", "Licence - Portail Portail Economie-Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26865&g_ta_cod=23801", 73.0, 19.0, 7.0),
(2702, "Public", "0020034B", "Lycée Pierre Méchain", "02", "Aisne", "Hauts-de-France", "Amiens", "Laon", "formation sélective", "BTS", "Lycée Pierre Méchain - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 43, 543, 109, 536, 0, 34, 8, 56, 21, 72, 29, 374, 7, 0, 4, 1, 2, 240, 4, 0, 0, 34, 8, 56, 21, 72, 29, 78, 122, 41, 2, 37, 3, 7.0, 20.0, 36.0, 0, 11, 36, 3, 10, 23, 5, 0, 16, 17, 3, 0, 0.0, 2, 2, 16, 17, 2, 32, 32, 17.07, 48.78, 87.8, 4.8994140625, 88.890625, 88.890625, 47.1953125, 30.59765625, 87.796875, 0.0, 44.3984375, 47.1953125, 8.298828125, 0.0, 0.0, 8.298828125, 5.599609375, 27.796875, 5.599609375, 63.8984375, 44.3984375, 8.0, 3.0, 49.0, 15.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 33.0, "2051", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2051&g_ta_cod=2051", 12.0, 29.0, 59.0),
(2703, "Public", "0930125F", "Lycée Paul Eluard", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BTS", "Lycée Paul Eluard - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 529, 20, 439, 0, 9, 2, 45, 21, 247, 130, 138, 90, 12, 31, 0, 47, 187, 9, 0, 0, 4, 1, 31, 15, 129, 66, 23, 121, 20, 0, 17, 3, 7.0, 14.0, 18.0, 0, 10, 14, 0, 2, 12, 6, 1, 2, 7, 4, 0, 0.0, 0, 0, 11, 0, 0, 12, 13, 35.0, 70.0, 90.0, 0.0, 85.6875, 92.890625, 0, 71.390625, 70.0, 7.099609375, 14.298828125, 50.0, 28.59765625, 0.0, 0.0, 0.0, 0.0, 14.298828125, 0.0, 85.6875, 78.59375, 5.0, 3.0, 67.0, 34.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 116, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 37.0, "11192", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11192&g_ta_cod=11192", 5.0, 20.0, 75.0),
(2704, "Privé sous contrat d'association", "0542161F", "Lycée Pierre De Coubertin", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Pierre De Coubertin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 630, 277, 625, 0, 73, 14, 249, 60, 137, 52, 166, 5, 2, 0, 0, 3, 414, 3, 0, 0, 43, 5, 186, 41, 94, 33, 91, 212, 32, 7, 30, 2, 1.0, 13.0, 23.0, 0, 2, 17, 2, 11, 4, 15, 0, 12, 4, 0, 1, 0.0, 0, 2, 3, 3, 0, 17, 17, 3.13, 40.63, 71.88, 21.8984375, 100.0, 100.0, 17.59765625, 11.798828125, 53.09375, 0.0, 70.59375, 23.5, 0.0, 5.9, 0.0, 11.798828125, 0.0, 64.6875, 11.798828125, 23.5, 17.59765625, 28.0, 2.0, 49.0, 17.0, 49.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 154, "Liste d'appel propre à cette formation", 44.0, "6367", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6367&g_ta_cod=6367", 28.0, 47.0, 25.0),
(2705, "Public", "0470782V", "Lycée professionnel Jean Monnet", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Foulayronnes", "formation sélective", "Autre formation", "Lycée professionnel Jean Monnet - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 8, 34, 3, 34, 0, 0, 0, 0, 0, 32, 7, 2, 0, 0, 0, 0, 0, 34, 0, 0, 0, 0, 0, 0, 0, 32, 7, 2, 32, 4, 0, 4, 0, 0.0, 4.0, 4.0, 0, 1, 4, 0, 0, 4, 0, 0, 3, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 4, 4, 0.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 25.0, 100.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 30.0, 7.0, 2.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "33244", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33244&g_ta_cod=33244", 0.0, 0.0, 100.0),
(2706, "Privé enseignement supérieur", "0333415H", "ELISA Aerospace Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Saint-Jean-d'Illac", "formation sélective", "Ecole d'Ingénieur", "PUISSANCE ALPHA BACHELOR - Formation Bac + 3", "Formations  des écoles d'ingénieurs", "Bachelor Bordeaux", 30, 147, 17, 130, 0, 88, 10, 11, 3, 4, 2, 27, 17, 8, 1, 1, 7, 98, 14, 0, 0, 70, 5, 8, 1, 0, 0, 20, 106, 11, 0, 7, 4, 2.0, 7.0, 10.0, 0, 0, 9, 8, 1, 0, 2, 0, 5, 4, 0, 0, 0.0, 3, 1, 0, 0, 0, 3, 3, 18.18, 63.64, 90.91, 0.0, 33.296875, 33.296875, 0, 0.0, 81.796875, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 0.0, 88.890625, 33.296875, 11.099609375, 11.099609375, 0.0, 0.0, 70.0, 5.0, 1.0, 1.0, 26.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "30834", "Formation Bac + 3", "PUISSANCE ALPHA BACHELOR", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30813&g_ta_cod=30834", 91.0, 9.0, 0.0),
(2707, "Public", "0770918E", "Lycée Uruguay France", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Avon", "formation sélective", "BTS", "Lycée Uruguay France - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 30, 724, 473, 689, 0, 138, 26, 148, 39, 15, 8, 388, 35, 0, 0, 20, 15, 328, 1, 0, 0, 125, 21, 114, 30, 6, 4, 83, 167, 28, 22, 28, 0, 1.0, 22.0, 24.0, 0, 4, 25, 11, 13, 1, 3, 0, 17, 7, 1, 0, 0.0, 3, 4, 1, 7, 6, 15, 21, 3.57, 78.57, 85.71, 78.59375, 60.0, 84.0, 28, 16.0, 89.296875, 0.0, 68.0, 28.0, 4.0, 0.0, 0.0, 44.0, 12.0, 52.0, 16.0, 4.0, 4.0, 69.0, 5.0, 9.0, 4.0, 39.0, "Tous les candidats sauf les Bac professionnels", 213.0, "Bacheliers professionnels toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 32.0, "9774", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9774&g_ta_cod=9774", 50.0, 46.0, 4.0),
(2708, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence_Las", "Université du Mans - Licence - Portail Mathématiques - Mathématiques et Applications - HORS parcours Sciences actuarielles et financières", "Licence - Sciences - technologies - santé", "Mathématiques et Applications - HORS parcours Sciences actuarielles et financières", 3, 107, 49, 107, 0, 79, 17, 4, 1, 0, 0, 24, 0, 0, 0, 0, 0, 107, 0, 0, 0, 79, 17, 4, 1, 0, 0, 24, 30, 3, 2, 3, 0, 0.0, 1.0, 3.0, 0, 3, 3, 2, 1, 0, 0, 0, 1, 1, 1, 0, 0.0, 1, 1, 0, 0, 0, 3, 3, 0.0, 33.33, 100.0, 66.6875, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 21.0, 4.0, 0.0, 0.0, 8.0, "Tous les candidats", 277.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "26994", "Licence - Portail Mathématiques - Mathématiques et Applications - HORS parcours Sciences actuarielles et financières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26993&g_ta_cod=26994", 67.0, 33.0, 0.0),
(2709, "Public", "0782075G", "Unité de Formation et de Recherche de Sciences de l' Université de Versailles Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation non sélective", "Licence", "Unité de Formation et de Recherche de Sciences de l' Université de Versailles Saint Quentin en Yvelines - Licence - Portail Portail BI : Biologie - Informatique", "Licence - Sciences - technologies - santé", "Portail BI : Biologie - Informatique", 106, 927, 481, 927, 0, 484, 90, 37, 5, 0, 0, 406, 0, 0, 0, 0, 0, 918, 0, 0, 0, 484, 90, 37, 5, 0, 0, 397, 520, 100, 36, 100, 0, 5.0, 61.0, 76.0, 0, 11, 79, 78, 1, 0, 21, 0, 47, 26, 6, 0, 0.0, 32, 0, 0, 0, 0, 59, 70, 5.0, 61.0, 76.0, 36.0, 74.6875, 88.59375, 0, 13.8984375, 79.0, 0.0, 59.5, 32.8984375, 7.599609375, 0.0, 0.0, 98.6875, 40.5, 1.2998046875, 0.0, 0.0, 0.0, 401.0, 69.0, 0.0, 0.0, 115.0, "Tous les candidats", 641.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 55.0, "9984", "Licence - Portail Portail BI : Biologie - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27117&g_ta_cod=9984", 98.0, 1.0, 0.0),
(2710, "Privé enseignement supérieur", "0762380Z", "IRTS-IDS", "76", "Seine-Maritime", "Normandie", "Normandie", "Canteleu", "formation sélective", "EFTS", "IRTS-IDS - D.E Educateur Technique Spécialisé", "D.E secteur social", "", 7, 40, 27, 17, 0, 2, 1, 2, 0, 1, 0, 12, 23, 4, 4, 2, 13, 8, 3, 0, 0, 0, 0, 1, 0, 1, 0, 6, 11, 6, 4, 3, 3, 3.0, 3.0, 3.0, 0, 0, 2, 1, 0, 1, 4, 0, 1, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 50.0, 50.0, 50.0, 66.6875, 100.0, 100.0, 0, 0.0, 33.296875, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 50.0, 1.0, 0.0, 1.0, 0.0, 8.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "24984", "D.E Educateur Technique Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24984&g_ta_cod=24984", 50.0, 33.0, 17.0),
(2711, "Public", "0020012C", "Lycée Jean De La Fontaine", "02", "Aisne", "Hauts-de-France", "Amiens", "Château-Thierry", "formation sélective", "BTS", "Lycée Jean De La Fontaine - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 181, 109, 181, 0, 13, 2, 32, 8, 73, 31, 63, 0, 0, 0, 0, 0, 143, 0, 0, 0, 13, 2, 32, 8, 53, 21, 45, 69, 17, 11, 16, 0, 9.0, 16.0, 16.0, 0, 5, 15, 1, 4, 10, 2, 0, 4, 5, 5, 1, 0.0, 0, 2, 9, 15, 9, 15, 15, 52.94, 94.12, 94.12, 64.6875, 100.0, 100.0, 100, 33.296875, 88.1875, 0.0, 26.69921875, 33.296875, 33.296875, 6.7, 0.0, 6.69921875, 0.0, 26.69921875, 13.298828125, 66.6875, 60.0, 5.0, 2.0, 39.0, 16.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 49.0, "2040", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2040&g_ta_cod=2040", 6.0, 24.0, 71.0),
(2712, "Public", "0560042S", "Lycée professionnel Julien Crozet", "56", "Morbihan", "Bretagne", "Rennes", "Port-Louis", "formation sélective", "Autre formation", "Lycée professionnel Julien Crozet - Mention complémentaire - FCIL Technicien de la Transition Energétique du Bâtiment", "Mention complémentaire", "", 12, 18, 0, 15, 0, 0, 0, 0, 0, 13, 6, 2, 3, 0, 0, 3, 0, 14, 3, 0, 0, 0, 0, 0, 0, 13, 6, 1, 18, 5, 0, 3, 1, 3.0, 3.0, 4.0, 0, 1, 5, 0, 1, 4, 0, 0, 2, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 3, 3, 60.0, 60.0, 80.0, 0.0, 60.0, 60.0, 0, 20.0, 100.0, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 60.0, 0.0, 0.0, 16.0, 7.0, 1.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "24277", "Mention complémentaire - FCIL Technicien de la Transition Energétique du Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24277&g_ta_cod=24277", 0.0, 20.0, 80.0),
(2713, "Public", "0950649P", "Lycée Camille Pissarro", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Pontoise", "formation sélective", "BTS", "Lycée Camille Pissarro - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 941, 514, 941, 0, 38, 9, 291, 117, 316, 137, 296, 0, 0, 0, 0, 0, 406, 0, 0, 0, 29, 6, 158, 55, 167, 77, 52, 184, 34, 18, 32, 0, 5.0, 21.0, 26.0, 0, 12, 32, 0, 15, 17, 2, 0, 17, 7, 5, 3, 0.0, 0, 3, 12, 1, 1, 32, 32, 14.71, 61.76, 76.47, 52.8984375, 100.0, 100.0, 3.099609375, 37.5, 94.09375, 0.0, 53.09375, 21.8984375, 15.599609375, 9.4, 0.0, 0.0, 0.0, 46.8984375, 9.3984375, 53.09375, 37.5, 9.0, 5.0, 73.0, 31.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 155, "Bacheliers technologiques toutes séries", 123, "Liste d'appel propre à cette formation", 32.0, "11576", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11576&g_ta_cod=11576", 3.0, 47.0, 50.0),
(2714, "Public", "0100004A", "Lycée professionnel VAL MORé (maintenance des matériels...)", "10", "Aube", "Grand Est", "Reims", "Bar-sur-Seine", "formation sélective", "BTS", "Lycée professionnel VAL MORé (maintenance des matériels...) - BTS - Production - Techniques et services en matériels agricoles", "BTS - Production", "", 6, 80, 3, 80, 0, 5, 0, 23, 0, 38, 7, 14, 0, 0, 0, 0, 0, 48, 0, 0, 0, 5, 0, 16, 0, 27, 6, 0, 28, 7, 0, 7, 0, 1.0, 7.0, 7.0, 0, 1, 7, 0, 3, 4, 0, 0, 1, 5, 0, 1, 0.0, 0, 2, 4, 4, 0, 5, 5, 14.29, 100.0, 100.0, 0.0, 71.390625, 71.390625, 57.09375, 14.298828125, 100.0, 0.0, 14.298828125, 71.390625, 0.0, 14.3, 0.0, 0.0, 0.0, 42.8984375, 28.59765625, 57.09375, 57.09375, 5.0, 0.0, 15.0, 2.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 50.0, "2399", "BTS - Production - Techniques et services en matériels agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2399&g_ta_cod=2399", 0.0, 43.0, 57.0),
(2715, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Perrin - BTS - Production - Conception de produits industriels", "BTS - Production", "", 30, 405, 58, 370, 0, 32, 4, 158, 46, 54, 27, 126, 35, 0, 0, 15, 20, 191, 0, 0, 0, 26, 2, 107, 23, 24, 10, 34, 107, 27, 4, 27, 0, 3.0, 22.0, 25.0, 0, 7, 17, 2, 9, 6, 10, 1, 6, 7, 3, 0, 0.0, 0, 7, 3, 1, 1, 17, 17, 11.11, 81.48, 92.59, 14.798828125, 100.0, 100.0, 5.8994140625, 41.1953125, 63.0, 5.8994140625, 35.296875, 41.1953125, 17.59765625, 0.0, 0.0, 11.798828125, 0.0, 52.8984375, 41.1953125, 35.296875, 17.59765625, 14.0, 2.0, 18.0, 7.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 42.0, "2600", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2600&g_ta_cod=2600", 11.0, 63.0, 26.0),
(2716, "Public", "0951637N", "Lycée Galilée", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "Lycée Galilée - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 45, 13, 8, 0, 0, 0.0, 0.0, 0.0, 0, 8, 13, 0, 4, 9, 0, 0, 13, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 13, 13, 0.0, 0.0, 0.0, 61.5, 100.0, 100.0, 0, 61.5, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 30.796875, 0.0, 69.1875, 0.0, 0.0, 0.0, 26.0, 12.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22484", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 31.0, 69.0),
(2717, "Public", "0370770L", "Institut Universitaire de Technologie de TOURS", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BUT", "Institut Universitaire de Technologie de TOURS - BUT - Techniques de commercialisation", "BUT - Service", "", 188, 4762, 2445, 4762, 0, 2568, 339, 1500, 335, 55, 25, 639, 0, 0, 0, 0, 0, 2096, 0, 0, 0, 1220, 139, 840, 162, 0, 0, 36, 880, 195, 133, 195, 0, 73.0, 166.0, 179.0, 0, 37, 193, 101, 92, 0, 2, 0, 2, 84, 92, 14, 1.0, 101, 90, 0, 0, 0, 116, 116, 37.44, 85.13, 91.79, 68.1875, 60.09375, 60.09375, 0, 19.19921875, 99.0, 0.0, 1.0, 43.5, 47.6953125, 7.3, 0.5, 52.296875, 52.296875, 47.6953125, 46.59375, 0.0, 0.0, 443.0, 76.0, 0.0, 0.0, 8.0, "Tous les candidats sauf les Bac technologiques", 528.0, "Bacheliers technologiques toutes séries", 560, "", 0, "Liste d'appel propre à cette formation", 23.0, "4870", "BUT - Techniques de commercialisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4870&g_ta_cod=4870", 53.0, 47.0, 0.0),
(2718, "Public", "0290022S", "Lycée Paul Sérusier", "29", "Finistère", "Bretagne", "Rennes", "Carhaix-Plouguer", "formation sélective", "BTS", "Lycée Paul Sérusier - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 465, 254, 427, 0, 18, 7, 66, 19, 92, 34, 251, 38, 0, 2, 15, 21, 195, 8, 0, 0, 18, 7, 66, 19, 75, 27, 36, 160, 15, 7, 15, 0, 0.0, 12.0, 15.0, 0, 5, 10, 1, 3, 6, 5, 0, 8, 2, 0, 0, 0.0, 0, 0, 2, 2, 1, 7, 7, 0.0, 80.0, 100.0, 46.6953125, 70.0, 70.0, 20, 50.0, 66.6875, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 10.0, 0.0, 30.0, 0.0, 60.0, 20.0, 17.0, 6.0, 70.0, 27.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 77, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 46.0, "3781", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3781&g_ta_cod=3781", 27.0, 33.0, 40.0),
(2719, "Privé sous contrat d'association", "0431000D", "ISVT", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Vals-près-le-Puy", "formation sélective", "BTS", "ISVT - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 42, 296, 188, 212, 0, 39, 6, 73, 15, 21, 5, 79, 84, 29, 13, 4, 38, 125, 26, 0, 0, 36, 5, 56, 9, 12, 2, 21, 139, 28, 22, 21, 7, 6.0, 21.0, 26.0, 0, 4, 22, 6, 11, 5, 6, 0, 10, 9, 3, 0, 0.0, 4, 3, 5, 5, 2, 13, 13, 21.43, 75.0, 92.86, 78.59375, 59.09375, 59.09375, 22.69921875, 18.19921875, 78.59375, 0.0, 45.5, 40.8984375, 13.599609375, 0.0, 0.0, 27.296875, 18.19921875, 50.0, 13.599609375, 22.69921875, 22.69921875, 47.0, 6.0, 12.0, 2.0, 32.0, "Tous les candidats sauf les Bac professionnels", 113.0, "Bacheliers professionnels toutes séries", 12, "", 0, "Liste d'appel propre à cette formation", 59.0, "5415", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5415&g_ta_cod=5415", 43.0, 39.0, 18.0),
(2720, "Privé sous contrat d'association", "0131684K", "Lycée Jeanne Perrimond", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  7e  Arrondissement", "formation sélective", "BTS", "Lycée Jeanne Perrimond - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 60, 835, 416, 795, 0, 180, 44, 282, 106, 114, 47, 219, 40, 2, 20, 3, 15, 359, 3, 0, 0, 118, 15, 137, 48, 59, 21, 45, 243, 50, 26, 48, 2, 10.0, 43.0, 45.0, 0, 11, 45, 23, 14, 8, 5, 0, 18, 21, 6, 0, 0.0, 15, 6, 6, 0, 0, 43, 43, 20.0, 86.0, 90.0, 52.0, 95.59375, 95.59375, 0, 24.3984375, 90.0, 0.0, 40.0, 46.6953125, 13.298828125, 0.0, 0.0, 51.09375, 33.296875, 31.09765625, 13.298828125, 17.796875, 13.298828125, 76.0, 13.0, 38.0, 10.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 123.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 144, "Liste d'appel propre à cette formation", 40.0, "2666", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2666&g_ta_cod=2666", 54.0, 30.0, 16.0),
(2721, "Public", "0910727W", "Lycée Parc de Vilgenis", "91", "Essonne", "Ile-de-France", "Versailles", "Massy", "formation sélective", "BTS", "Lycée Parc de Vilgenis - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 25, 377, 95, 377, 0, 25, 9, 135, 40, 110, 52, 107, 0, 0, 0, 0, 0, 195, 0, 0, 0, 21, 7, 71, 13, 68, 29, 35, 94, 24, 3, 23, 0, 5.0, 19.0, 21.0, 0, 10, 20, 2, 4, 14, 4, 0, 9, 10, 1, 0, 0.0, 0, 3, 8, 6, 0, 19, 20, 20.83, 79.17, 87.5, 12.5, 95.0, 100.0, 30, 50.0, 83.296875, 0.0, 45.0, 50.0, 5.0, 0.0, 0.0, 10.0, 0.0, 20.0, 15.0, 70.0, 40.0, 9.0, 3.0, 42.0, 18.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 32.0, "10879", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10879&g_ta_cod=10879", 13.0, 25.0, 63.0),
(2722, "Public", "0641594K", "IFSI du CH d'Orthez", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Orthez", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bordeaux - D.E Infirmier", "D.E secteur sanitaire", "", 36, 5424, 4533, 5424, 0, 1021, 180, 936, 230, 412, 137, 3055, 0, 0, 0, 0, 0, 4334, 0, 0, 0, 938, 157, 836, 196, 278, 90, 2282, 789, 36, 34, 36, 0, 0.0, 4.0, 12.0, 0, 4, 21, 10, 11, 0, 15, 0, 5, 13, 3, 0, 0.0, 8, 8, 0, 0, 0, 14, 14, 0.0, 11.11, 33.33, 94.390625, 66.6875, 66.6875, 0, 19.0, 58.296875, 0.0, 23.796875, 61.8984375, 14.298828125, 0.0, 0.0, 47.59375, 38.09375, 52.3984375, 38.09375, 0.0, 0.0, 151.0, 27.0, 10.0, 3.0, 452.0, "Tous les candidats", 3037.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "23955", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23940&g_ta_cod=23955", 47.0, 47.0, 6.0),
(2723, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Double licence - Droit / Economie et gestion - Double licence mention Droit - mention Economie et gestion", "Licence - Droit-économie-gestion", "Double licence mention Droit - mention Economie et gestion", 105, 1590, 934, 1590, 0, 1274, 198, 34, 11, 6, 2, 276, 0, 0, 0, 0, 0, 1050, 0, 0, 0, 907, 91, 0, 0, 0, 0, 143, 523, 104, 68, 104, 0, 22.0, 73.0, 88.0, 0, 18, 89, 89, 0, 0, 15, 1, 4, 22, 57, 5, 0.0, 84, 0, 0, 0, 0, 44, 70, 21.15, 70.19, 84.62, 65.390625, 49.3984375, 78.6875, 0, 20.19921875, 85.59375, 1.099853515625, 4.5, 24.69921875, 64.0, 5.6, 0.0, 100.0, 94.390625, 0.0, 0.0, 0.0, 0.0, 471.0, 74.0, 0.0, 0.0, 52.0, "Tous les candidats", 616.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "24462", "Double licence - Droit / Economie et gestion - Double licence mention Droit - mention Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24462&g_ta_cod=24462", 100.0, 0.0, 0.0),
(2724, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand Etudes germaniques - Mineures Anglais OU Enseignement et pédagogie", "Licence - Arts-lettres-langues", "Allemand Etudes germaniques - Mineures Anglais OU Enseignement et pédagogie", 33, 150, 98, 47, 0, 26, 2, 2, 1, 0, 0, 19, 103, 12, 10, 8, 73, 47, 91, 0, 0, 26, 2, 2, 1, 0, 0, 19, 137, 31, 19, 10, 21, 7.0, 10.0, 19.0, 0, 1, 7, 5, 0, 2, 24, 0, 4, 1, 1, 1, 0.0, 3, 0, 0, 0, 0, 2, 4, 22.58, 32.26, 61.29, 61.296875, 28.59765625, 57.09375, 0, 14.298828125, 22.59765625, 0.0, 57.09375, 14.298828125, 14.298828125, 14.3, 0.0, 71.390625, 42.8984375, 0.0, 0.0, 28.59765625, 0.0, 36.0, 4.0, 7.0, 5.0, 82.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "17377", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand Etudes germaniques - Mineures Anglais OU Enseignement et pédagogie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17377&g_ta_cod=17377", 68.0, 6.0, 23.0),
(2725, "Public", "0340009A", "Lycée HENRI IV", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation sélective", "CPGE", "Lycée HENRI IV - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 601, 342, 566, 0, 279, 37, 1, 0, 2, 0, 284, 35, 19, 0, 1, 15, 273, 8, 0, 273, 238, 26, 0, 0, 0, 0, 35, 281, 33, 22, 33, 0, 32.0, 33.0, 33.0, 0, 3, 30, 30, 0, 0, 3, 0, 0, 8, 17, 5, 0.0, 30, 0, 0, 2, 1, 9, 9, 96.97, 100.0, 100.0, 66.6875, 30.0, 30.0, 6.69921875, 10.0, 90.890625, 0.0, 0.0, 26.69921875, 56.6953125, 16.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 244.0, 26.0, 0.0, 0.0, 37.0, "Tous les candidats", 274.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "14478", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14478&g_ta_cod=14478", 100.0, 0.0, 0.0),
(2726, "Privé sous contrat d'association", "0840940R", "Lycée St Jean Baptiste De La Salle", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée St Jean Baptiste De La Salle - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 16, 114, 6, 92, 0, 7, 0, 15, 2, 38, 12, 32, 22, 4, 6, 2, 10, 43, 3, 0, 0, 5, 0, 8, 2, 22, 6, 8, 33, 13, 0, 12, 1, 7.0, 12.0, 13.0, 0, 0, 11, 1, 4, 6, 2, 0, 5, 4, 2, 0, 0.0, 0, 1, 5, 8, 0, 10, 10, 53.85, 92.31, 100.0, 0.0, 90.890625, 90.890625, 72.6875, 0.0, 84.59375, 0.0, 45.5, 36.3984375, 18.19921875, 0.0, 0.0, 9.099609375, 0.0, 36.3984375, 9.099609375, 54.5, 45.5, 5.0, 0.0, 12.0, 2.0, 7.0, "Tous les candidats sauf les Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 46.0, "16156", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16156&g_ta_cod=16156", 15.0, 38.0, 46.0),
(2727, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 80, 742, 574, 734, 0, 469, 128, 63, 16, 27, 13, 175, 8, 3, 0, 1, 4, 734, 7, 0, 0, 469, 128, 63, 16, 27, 13, 175, 498, 77, 63, 72, 4, 41.0, 53.0, 66.0, 0, 17, 63, 50, 6, 7, 14, 0, 20, 29, 12, 2, 0.0, 34, 4, 5, 0, 0, 51, 51, 53.25, 68.83, 85.71, 81.796875, 81.0, 81.0, 0, 27.0, 81.796875, 0.0, 31.69921875, 46.0, 19.0, 3.2, 0.0, 79.390625, 54.0, 9.5, 6.2998046875, 11.099609375, 7.8994140625, 367.0, 97.0, 19.0, 9.0, 76.0, "Tous les candidats", 603.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "12141", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12141&g_ta_cod=12141", 78.0, 9.0, 13.0),
(2728, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "PASS", "Université de Bourgogne - site de Dijon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 48, 3048, 2309, 3048, 0, 2382, 402, 106, 24, 18, 9, 542, 0, 0, 0, 0, 0, 3040, 0, 0, 0, 2383, 403, 106, 24, 18, 9, 533, 226, 47, 42, 47, 0, 10.0, 46.0, 47.0, 0, 12, 47, 47, 0, 0, 0, 0, 0, 3, 16, 25, 3.0, 47, 0, 0, 0, 0, 39, 39, 21.28, 97.87, 100.0, 89.390625, 83.0, 83.0, 0, 25.5, 100.0, 0.0, 0.0, 6.3994140625, 34.0, 53.2, 6.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 216.0, 38.0, 0.0, 0.0, 6.0, "Tous les candidats", 2575.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 52.0, "27675", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27662&g_ta_cod=27675", 100.0, 0.0, 0.0),
(2729, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation sélective", "Autre formation", "Université Savoie Mont Blanc - Bourget-du-Lac - C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master en Ingénierie (CMI) 1er cycle Informatique", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) 1er cycle Informatique", 15, 217, 32, 174, 0, 119, 15, 2, 1, 3, 2, 50, 43, 10, 4, 0, 29, 55, 1, 0, 0, 50, 5, 0, 0, 0, 0, 5, 50, 10, 3, 10, 0, 1.0, 10.0, 10.0, 0, 0, 9, 9, 0, 0, 1, 0, 0, 7, 2, 0, 0.0, 9, 0, 0, 0, 0, 4, 4, 10.0, 100.0, 100.0, 30.0, 44.3984375, 44.3984375, 0, 0.0, 90.0, 0.0, 0.0, 77.796875, 22.19921875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 44.0, 5.0, 0.0, 0.0, 6.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "18369", "C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master en Ingénierie (CMI) 1er cycle Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18369&g_ta_cod=18369", 100.0, 0.0, 0.0),
(2730, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "PASS", "Université de Lille - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 120, 7146, 5451, 7146, 0, 5581, 975, 206, 88, 45, 22, 1314, 0, 0, 0, 0, 0, 7145, 0, 0, 0, 5581, 975, 206, 88, 45, 22, 1313, 844, 119, 109, 119, 0, 90.0, 108.0, 113.0, 0, 34, 116, 115, 1, 0, 3, 2, 0, 1, 22, 72, 19.0, 113, 1, 0, 0, 0, 106, 106, 75.63, 90.76, 94.96, 91.59375, 91.390625, 91.390625, 0, 29.296875, 97.5, 1.699951171875, 0.0, 0.89990234375, 19.0, 62.1, 16.4, 99.09375, 97.390625, 0.89990234375, 0.89990234375, 0.0, 0.0, 783.0, 145.0, 1.0, 1.0, 56.0, "Tous les candidats", 1941.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 14.0, "29178", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27162&g_ta_cod=29178", 99.0, 1.0, 0.0),
(2731, "Public", "0670071N", "Lycée Koeberle", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Sélestat", "formation sélective", "BTS", "Lycée Koeberle - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 48, 676, 358, 658, 0, 71, 16, 281, 77, 190, 87, 116, 18, 0, 0, 6, 12, 393, 6, 0, 0, 56, 9, 201, 42, 93, 40, 43, 226, 34, 18, 34, 0, 0.0, 14.0, 27.0, 0, 8, 29, 4, 17, 8, 5, 0, 15, 12, 2, 0, 0.0, 2, 7, 5, 13, 6, 29, 29, 0.0, 41.18, 79.41, 52.8984375, 100.0, 100.0, 44.796875, 27.59765625, 85.296875, 0.0, 51.6953125, 41.3984375, 6.8994140625, 0.0, 0.0, 13.798828125, 6.8994140625, 58.59375, 24.09765625, 27.59765625, 17.19921875, 29.0, 5.0, 74.0, 27.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 98, "Bacheliers technologiques toutes séries", 156, "Liste d'appel propre à cette formation", 50.0, "7909", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7909&g_ta_cod=7909", 15.0, 62.0, 24.0),
(2732, "Public", "0831616F", "Lycée Rouvière", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Rouvière - BTS - Production - Conception de produits industriels", "BTS - Production", "", 12, 229, 19, 229, 0, 29, 3, 114, 22, 41, 13, 45, 0, 0, 0, 0, 0, 202, 0, 0, 0, 25, 3, 105, 22, 41, 13, 31, 54, 13, 0, 13, 0, 3.0, 11.0, 13.0, 0, 2, 13, 0, 8, 5, 0, 0, 5, 4, 4, 0, 0.0, 0, 5, 3, 3, 0, 12, 12, 23.08, 84.62, 100.0, 0.0, 92.296875, 92.296875, 23.09765625, 15.3984375, 100.0, 0.0, 38.5, 30.796875, 30.796875, 0.0, 0.0, 0.0, 0.0, 61.5, 38.5, 38.5, 23.09765625, 7.0, 1.0, 13.0, 4.0, 2.0, "Tous les candidats sauf les Bac professionnels", 77.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 47.0, "25081", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25081&g_ta_cod=25081", 0.0, 62.0, 38.0),
(2733, "Public", "0600013N", "Lycée CASSINI", "60", "Oise", "Hauts-de-France", "Amiens", "Clermont", "formation sélective", "BTS", "Lycée CASSINI - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 25, 235, 103, 181, 0, 33, 12, 60, 22, 28, 13, 60, 54, 2, 11, 13, 28, 118, 14, 0, 0, 32, 12, 44, 15, 19, 8, 23, 111, 24, 7, 11, 7, 0.0, 9.0, 13.0, 0, 8, 14, 2, 8, 4, 10, 0, 7, 6, 1, 0, 0.0, 0, 5, 2, 7, 1, 13, 13, 0.0, 37.5, 54.17, 29.19921875, 92.890625, 92.890625, 50, 57.09375, 58.296875, 0.0, 50.0, 42.8984375, 7.099609375, 0.0, 0.0, 14.298828125, 0.0, 57.09375, 35.6953125, 28.59765625, 14.298828125, 22.0, 8.0, 23.0, 11.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 64.0, "7218", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7218&g_ta_cod=7218", 33.0, 46.0, 21.0),
(2734, "Privé sous contrat d'association", "0221712S", "MFREO de Loudéac", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Loudéac", "formation sélective", "BTS", "MFREO de Loudéac - BTS - Agricole - génie des équipements agricoles", "BTS - Agricole", "", 28, 94, 12, 93, 0, 10, 1, 24, 5, 41, 12, 18, 1, 0, 0, 1, 0, 93, 0, 0, 0, 10, 1, 24, 5, 41, 12, 18, 67, 15, 1, 15, 0, 4.0, 15.0, 15.0, 0, 3, 9, 0, 4, 5, 6, 0, 4, 4, 1, 0, 0.0, 0, 3, 2, 1, 0, 8, 8, 26.67, 100.0, 100.0, 6.69921875, 88.890625, 88.890625, 11.099609375, 33.296875, 60.0, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 0.0, 0.0, 44.3984375, 33.296875, 55.59375, 22.19921875, 9.0, 1.0, 33.0, 8.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 85.0, "3373", "BTS - Agricole - génie des équipements agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3373&g_ta_cod=3373", 33.0, 27.0, 40.0),
(2735, "Public", "0931613Y", "Lycée Louise Michel", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation sélective", "BTS", "Lycée Louise Michel - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 2440, 1212, 2440, 0, 120, 65, 905, 476, 773, 436, 642, 0, 0, 0, 0, 0, 703, 0, 0, 0, 23, 12, 303, 171, 339, 187, 38, 108, 25, 17, 24, 0, 2.0, 16.0, 20.0, 0, 15, 24, 0, 13, 11, 1, 0, 8, 15, 1, 0, 0.0, 0, 10, 6, 9, 6, 24, 24, 8.0, 64.0, 80.0, 68.0, 100.0, 100.0, 37.5, 62.5, 96.0, 0.0, 33.296875, 62.5, 4.19921875, 0.0, 0.0, 0.0, 0.0, 54.1953125, 41.6953125, 45.796875, 25.0, 4.0, 2.0, 47.0, 26.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 97, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 7.0, "11280", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11280&g_ta_cod=11280", 0.0, 52.0, 48.0),
(2736, "Public", "0780548X", "IFSI CH André Mignot Versailles", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "IFSI", "Regroupement d'IFSI UVSQ - D.E Infirmier", "D.E secteur sanitaire", "", 67, 3062, 2677, 3062, 0, 415, 82, 520, 158, 323, 136, 1804, 0, 0, 0, 0, 0, 2177, 0, 0, 0, 409, 79, 402, 112, 193, 84, 1173, 603, 67, 59, 65, 0, 1.0, 29.0, 54.0, 0, 6, 39, 27, 11, 1, 28, 0, 13, 24, 2, 0, 0.0, 22, 3, 1, 0, 0, 32, 33, 1.49, 43.28, 80.6, 88.09375, 82.09375, 84.59375, 0, 15.3984375, 58.1953125, 0.0, 33.296875, 61.5, 5.099609375, 0.0, 0.0, 69.1875, 56.3984375, 28.19921875, 7.69921875, 2.599609375, 2.599609375, 168.0, 29.0, 7.0, 2.0, 339.0, "Tous les candidats", 1475.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "23291", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23007&g_ta_cod=23291", 76.0, 21.0, 3.0),
(2737, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence_Las", "Université de Tours - Licence - Portail Economie", "Licence - Droit-économie-gestion", "", 70, 556, 306, 531, 0, 347, 86, 28, 14, 15, 6, 141, 25, 10, 0, 0, 15, 528, 23, 0, 0, 347, 86, 28, 14, 15, 6, 138, 348, 67, 40, 56, 11, 5.0, 36.0, 51.0, 0, 9, 40, 38, 0, 2, 27, 0, 21, 15, 4, 0, 0.0, 18, 0, 1, 0, 0, 34, 34, 7.46, 53.73, 76.12, 59.6953125, 85.0, 85.0, 0, 22.5, 59.6953125, 0.0, 52.5, 37.5, 10.0, 0.0, 0.0, 95.0, 45.0, 0.0, 0.0, 5.0, 2.5, 220.0, 59.0, 3.0, 3.0, 115.0, "Tous les candidats", 1271.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 77.0, "27812", "Licence - Portail Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27811&g_ta_cod=27812", 91.0, 6.0, 3.0),
(2738, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence_Las", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations,  parcours Asie du Sud-Est et Pacifique - Khmer", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations,  parcours Asie du Sud-Est et Pacifique - Khmer", 10, 43, 36, 28, 0, 6, 0, 5, 1, 3, 2, 14, 15, 4, 2, 1, 8, 28, 6, 0, 0, 6, 0, 5, 1, 3, 2, 14, 27, 10, 7, 6, 4, 2.0, 5.0, 6.0, 0, 1, 5, 2, 2, 1, 5, 0, 4, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 4, 20.0, 50.0, 60.0, 70.0, 20.0, 80.0, 0, 20.0, 50.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 40.0, 20.0, 40.0, 0.0, 20.0, 0.0, 7.0, 1.0, 3.0, 1.0, 11.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "29588", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations,  parcours Asie du Sud-Est et Pacifique - Khmer", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29587&g_ta_cod=29588", 70.0, 20.0, 10.0),
(2739, "Public", "9720430K", "Lycée professionnel La Trinite", "972", "Martinique", "Martinique", "Martinique", "La Trinité", "formation sélective", "BTS", "Lycée professionnel La Trinite - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 120, 6, 116, 0, 8, 4, 15, 7, 64, 33, 29, 4, 0, 0, 2, 2, 73, 4, 0, 0, 4, 4, 11, 7, 49, 28, 9, 60, 21, 1, 18, 3, 1.0, 17.0, 18.0, 0, 16, 19, 2, 1, 16, 2, 0, 6, 11, 2, 0, 0.0, 1, 0, 12, 11, 0, 19, 19, 4.76, 80.95, 85.71, 4.7998046875, 100.0, 100.0, 57.8984375, 84.1875, 90.5, 0.0, 31.59765625, 57.8984375, 10.5, 0.0, 0.0, 10.5, 5.2998046875, 5.2998046875, 0.0, 84.1875, 63.1953125, 4.0, 4.0, 41.0, 25.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 58.0, "14502", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14502&g_ta_cod=14502", 10.0, 5.0, 86.0),
(2740, "Public", "0021998L", "IUT de l'Aisne - Site de Saint-Quentin", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "BUT", "IUT de l'Aisne - Site de Saint-Quentin - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle", "BUT - Production", "Innovation pour l?industrie - Simulation numérique et réalité virtuelle", 52, 464, 31, 377, 0, 198, 19, 103, 14, 2, 0, 74, 87, 31, 10, 2, 44, 354, 58, 0, 0, 193, 19, 98, 14, 1, 0, 62, 317, 34, 1, 24, 10, 4.0, 24.0, 32.0, 0, 4, 21, 5, 16, 0, 13, 0, 13, 7, 1, 0, 0.0, 3, 5, 0, 0, 0, 13, 13, 11.76, 70.59, 94.12, 2.89990234375, 61.8984375, 61.8984375, 0, 19.0, 61.796875, 0.0, 61.8984375, 33.296875, 4.7998046875, 0.0, 0.0, 23.796875, 14.298828125, 76.1875, 23.796875, 0.0, 0.0, 151.0, 18.0, 1.0, 0.0, 72.0, "Tous les candidats sauf les Bac technologiques", 246.0, "Bacheliers technologiques toutes séries", 108, "", 0, "Liste d'appel propre à cette formation", 94.0, "2102", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2102&g_ta_cod=2102", 41.0, 59.0, 0.0),
(2741, "Public", "0860029P", "Lycée professionnel Raoul Mortier", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Montmorillon", "formation sélective", "BTS", "Lycée professionnel Raoul Mortier - BTS - Production - Maintenance des systèmes - option C Systèmes éoliens", "BTS - Production", "", 12, 218, 22, 214, 0, 15, 4, 55, 15, 54, 21, 90, 4, 0, 1, 0, 3, 137, 1, 0, 0, 15, 4, 55, 15, 54, 21, 13, 58, 9, 1, 9, 0, 1.0, 8.0, 9.0, 0, 2, 6, 0, 2, 4, 3, 0, 1, 4, 1, 0, 0.0, 0, 1, 4, 0, 0, 2, 2, 11.11, 88.89, 100.0, 11.099609375, 33.296875, 33.296875, 0, 33.296875, 66.6875, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 33.296875, 16.69921875, 66.6875, 66.6875, 5.0, 2.0, 31.0, 10.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 59.0, "17762", "BTS - Production - Maintenance des systèmes - option C Systèmes éoliens", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17762&g_ta_cod=17762", 11.0, 33.0, 56.0),
(2742, "Public", "0541324W", "I.U.T Nancy-Charlemagne - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BUT", "I.U.T Nancy-Charlemagne - Université de Lorraine - BUT - Information communication Parcours information numérique dans les organisations", "BUT - Service", "", 25, 635, 380, 635, 0, 319, 41, 106, 28, 7, 2, 203, 0, 0, 0, 0, 0, 486, 0, 0, 0, 289, 36, 83, 18, 0, 0, 114, 172, 28, 16, 28, 0, 5.0, 17.0, 24.0, 0, 8, 24, 17, 7, 0, 4, 0, 7, 13, 4, 0, 0.0, 13, 4, 0, 0, 0, 12, 12, 17.86, 60.71, 85.71, 57.09375, 50.0, 50.0, 0, 33.296875, 85.6875, 0.0, 29.19921875, 54.1953125, 16.69921875, 0.0, 0.0, 70.796875, 54.1953125, 29.19921875, 16.69921875, 0.0, 0.0, 105.0, 16.0, 0.0, 0.0, 29.0, "Tous les candidats sauf les Bac technologiques", 157.0, "Bacheliers technologiques toutes séries", 74, "", 0, "Liste d'appel propre à cette formation", 36.0, "6318", "BUT - Information communication Parcours information numérique dans les organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6318&g_ta_cod=6318", 71.0, 29.0, 0.0),
(2743, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais mineure Sciences du langage (à distance ENEAD)", "Licence - Arts-lettres-langues", "Anglais mineure Sciences du langage (à distance ENEAD)", 20, 222, 177, 222, 0, 85, 21, 9, 3, 1, 1, 127, 0, 0, 0, 0, 0, 213, 0, 0, 0, 85, 21, 9, 3, 1, 1, 118, 87, 19, 13, 19, 0, 1.0, 13.0, 18.0, 0, 3, 8, 8, 0, 0, 11, 0, 1, 4, 3, 0, 0.0, 7, 0, 0, 0, 0, 1, 6, 5.26, 68.42, 94.74, 68.390625, 12.5, 75.0, 0, 37.5, 42.09375, 0.0, 12.5, 50.0, 37.5, 0.0, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 42.0, 10.0, 0.0, 0.0, 37.0, "Tous les candidats", 132.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "29143", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais mineure Sciences du langage (à distance ENEAD)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29143&g_ta_cod=29143", 84.0, 11.0, 0.0),
(2744, "Public", "0150006A", "Lycée Jean Monnet - Mermoz", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "BTS", "Lycée Jean Monnet - Mermoz - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 24, 431, 48, 396, 0, 31, 3, 50, 24, 66, 16, 249, 35, 0, 18, 0, 17, 144, 2, 0, 0, 28, 2, 43, 18, 51, 13, 22, 87, 21, 1, 21, 0, 3.0, 17.0, 19.0, 0, 4, 18, 5, 5, 8, 3, 0, 9, 6, 3, 0, 0.0, 0, 1, 8, 4, 0, 8, 8, 14.29, 80.95, 90.48, 4.7998046875, 44.3984375, 44.3984375, 22.19921875, 22.19921875, 85.6875, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 27.796875, 0.0, 27.796875, 5.599609375, 44.3984375, 44.3984375, 12.0, 1.0, 28.0, 8.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 30.0, "2951", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2951&g_ta_cod=2951", 24.0, 33.0, 43.0),
(2745, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence_Las", "Université de Perpignan Via Domitia - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", "", 10, 205, 112, 205, 0, 106, 28, 15, 5, 9, 8, 75, 0, 0, 0, 0, 0, 205, 0, 0, 0, 106, 28, 15, 5, 9, 8, 75, 79, 10, 7, 10, 0, 1.0, 4.0, 9.0, 0, 4, 8, 5, 2, 1, 2, 0, 3, 3, 1, 1, 0.0, 3, 2, 0, 0, 0, 6, 6, 10.0, 40.0, 90.0, 70.0, 75.0, 75.0, 0, 50.0, 80.0, 0.0, 37.5, 37.5, 12.5, 12.5, 0.0, 62.5, 37.5, 25.0, 25.0, 12.5, 0.0, 52.0, 11.0, 3.0, 3.0, 20.0, "Tous les candidats", 901.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 72.0, "31761", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31760&g_ta_cod=31761", 60.0, 20.0, 20.0),
(2746, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Université de Lorraine - Site de Nancy - CUPGE - Classe Préparatoire Universitaire - Physique - Chimie", "CUPGE - Sciences, technologie, santé", "", 30, 351, 176, 339, 0, 263, 29, 2, 1, 0, 0, 74, 12, 4, 1, 0, 7, 290, 2, 0, 0, 233, 19, 0, 0, 0, 0, 57, 185, 16, 12, 15, 1, 1.0, 15.0, 15.0, 0, 0, 14, 14, 0, 0, 2, 0, 0, 3, 5, 6, 0.0, 14, 0, 0, 0, 0, 7, 7, 6.25, 93.75, 93.75, 75.0, 50.0, 50.0, 0, 0.0, 87.5, 0.0, 0.0, 21.3984375, 35.6953125, 42.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 140.0, 13.0, 0.0, 0.0, 45.0, "Tous les candidats", 287.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "13055", "CUPGE - Classe Préparatoire Universitaire - Physique - Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13055&g_ta_cod=13055", 100.0, 0.0, 0.0),
(2747, "Privé sous contrat d'association", "0131484T", "Lycée professionnel Brise Lames", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Martigues", "formation sélective", "BTS", "Lycée professionnel Brise Lames - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 15, 56, 29, 51, 0, 0, 0, 10, 2, 30, 7, 11, 5, 0, 1, 3, 1, 46, 5, 0, 0, 0, 0, 9, 1, 27, 7, 10, 44, 2, 1, 2, 0, 2.0, 2.0, 2.0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 1, 1, 0, 0.0, 0, 0, 2, 2, 1, 2, 2, 100.0, 100.0, 100.0, 50.0, 100.0, 100.0, 100, 0.0, 100.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 23.0, 7.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers technologiques toutes séries", 12, "Bacheliers professionnels toutes séries", 28, "Liste d'appel propre à cette formation", 90.0, "34041", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34041&g_ta_cod=34041", 0.0, 0.0, 100.0),
(2748, "Public", "0590222W", "Lycée Antoine Watteau", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "CPGE", "Lycée Antoine Watteau - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 376, 241, 358, 131, 219, 41, 0, 0, 0, 0, 139, 18, 6, 1, 0, 11, 243, 4, 131, 216, 205, 36, 0, 0, 0, 0, 38, 173, 21, 15, 20, 1, 4.0, 20.0, 21.0, 6, 3, 17, 17, 0, 0, 4, 0, 0, 3, 8, 4, 2.0, 17, 0, 0, 1, 0, 14, 14, 19.05, 95.24, 100.0, 71.390625, 82.390625, 82.390625, 5.8994140625, 17.59765625, 81.0, 0.0, 0.0, 17.59765625, 47.09375, 23.5, 11.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 157.0, 25.0, 0.0, 0.0, 16.0, "Tous les candidats", 221.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "6848", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6848&g_ta_cod=6848", 100.0, 0.0, 0.0),
(2749, "Public", "9741204R", "Université de la Réunion - Le Tampon", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation non sélective", "Licence_Las", "Université de La Réunion - Saint Denis - Licence - Portail Droit", "Licence - Droit-économie-gestion", ": Université de la Réunion - Le Tampon", 50, 511, 360, 454, 0, 249, 93, 52, 33, 14, 12, 139, 57, 13, 2, 0, 42, 454, 52, 0, 0, 249, 93, 52, 33, 14, 12, 139, 307, 31, 22, 22, 9, 2.0, 22.0, 27.0, 0, 12, 19, 14, 5, 0, 12, 0, 9, 8, 1, 1, 0.0, 8, 2, 0, 0, 0, 18, 18, 6.45, 70.97, 87.1, 71.0, 94.6875, 94.6875, 0, 63.1953125, 61.296875, 0.0, 47.3984375, 42.09375, 5.2998046875, 5.3, 0.0, 73.6875, 42.09375, 26.296875, 10.5, 0.0, 0.0, 156.0, 57.0, 3.0, 2.0, 128.0, "Tous les candidats", 1774.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "27542", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26493&g_ta_cod=27542", 65.0, 32.0, 0.0),
(2750, "Public", "0120031U", "Lycée Raymond Savignac", "12", "Aveyron", "Occitanie", "Toulouse", "Villefranche-de-Rouergue", "formation sélective", "BTS", "Lycée Raymond Savignac - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 17, 200, 90, 200, 0, 7, 1, 64, 18, 104, 40, 25, 0, 0, 0, 0, 0, 200, 0, 0, 0, 7, 1, 64, 18, 104, 40, 25, 109, 15, 8, 15, 0, 2.0, 5.0, 9.0, 0, 6, 13, 0, 2, 11, 2, 0, 4, 6, 3, 0, 0.0, 0, 1, 8, 1, 1, 12, 12, 13.33, 33.33, 60.0, 53.296875, 92.296875, 92.296875, 7.69921875, 46.1953125, 86.6875, 0.0, 30.796875, 46.1953125, 23.09765625, 0.0, 0.0, 0.0, 0.0, 15.3984375, 7.69921875, 84.59375, 61.5, 5.0, 1.0, 60.0, 23.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 68.0, "2492", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2492&g_ta_cod=2492", 7.0, 20.0, 73.0),
(2751, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud-Est et Pacifique -  Indonésien-Malais", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Asie du Sud-Est et Pacifique -  Indonésien-Malais", 30, 62, 45, 38, 0, 19, 5, 0, 0, 2, 0, 17, 24, 1, 3, 2, 18, 38, 17, 0, 0, 19, 5, 0, 0, 2, 0, 17, 55, 12, 8, 7, 5, 6.0, 7.0, 10.0, 0, 0, 2, 2, 0, 0, 10, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 50.0, 58.33, 83.33, 66.6875, 50.0, 50.0, 0, 0.0, 16.69921875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 20.0, 5.0, 3.0, 0.0, 32.0, "Tous les candidats", 38.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9390", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud-Est et Pacifique -  Indonésien-Malais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29581&g_ta_cod=9390", 75.0, 8.0, 17.0),
(2752, "Public", "0595786U", "Lycée Jean Prouve", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Jean Prouve - BTS - Production - Enveloppe des bâtiments : conception et réalisation", "BTS - Production", "", 15, 225, 38, 192, 0, 11, 1, 74, 24, 54, 25, 53, 33, 5, 4, 12, 12, 118, 11, 0, 0, 11, 1, 64, 19, 35, 16, 8, 73, 12, 2, 6, 6, 1.0, 6.0, 7.0, 0, 3, 10, 3, 4, 3, 2, 0, 5, 3, 1, 1, 0.0, 1, 3, 1, 1, 0, 8, 8, 8.33, 50.0, 58.33, 16.69921875, 80.0, 80.0, 10, 30.0, 83.296875, 0.0, 50.0, 30.0, 10.0, 10.0, 0.0, 30.0, 10.0, 40.0, 30.0, 30.0, 10.0, 12.0, 2.0, 31.0, 13.0, 7.0, "Tous les candidats sauf les Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 53.0, "7148", "BTS - Production - Enveloppe des bâtiments : conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7148&g_ta_cod=7148", 33.0, 42.0, 25.0),
(2753, "Privé sous contrat d'association", "0133305X", "LYCEE PROFESSIONNEL PRIVE CLOVIS HUGUES", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "LYCEE PROFESSIONNEL PRIVE CLOVIS HUGUES - BTS - Services - Tourisme", "BTS - Services", "", 100, 400, 288, 321, 0, 93, 20, 79, 29, 46, 18, 103, 79, 13, 11, 6, 49, 125, 65, 0, 0, 43, 11, 34, 11, 10, 1, 38, 192, 66, 47, 44, 22, 35.0, 43.0, 59.0, 0, 10, 33, 14, 13, 6, 33, 0, 18, 10, 5, 0, 0.0, 5, 7, 3, 0, 0, 22, 22, 53.03, 65.15, 89.39, 71.1875, 66.6875, 66.6875, 0, 30.296875, 50.0, 0.0, 54.5, 30.296875, 15.19921875, 0.0, 0.0, 42.3984375, 15.19921875, 39.3984375, 21.19921875, 18.19921875, 9.099609375, 54.0, 15.0, 17.0, 6.0, 76.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 39.0, "2671", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2671&g_ta_cod=2671", 53.0, 29.0, 18.0),
(2754, "Public", "0380033E", "Lycée VAUCANSON", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée VAUCANSON - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 24, 456, 18, 456, 0, 15, 4, 133, 26, 206, 82, 102, 0, 0, 0, 0, 0, 456, 0, 0, 0, 15, 4, 133, 26, 206, 82, 102, 163, 19, 0, 19, 0, 0.0, 8.0, 10.0, 0, 9, 17, 0, 7, 10, 2, 3, 7, 4, 3, 0, 0.0, 0, 2, 5, 8, 0, 17, 17, 0.0, 42.11, 52.63, 0.0, 100.0, 100.0, 47.09375, 52.8984375, 89.5, 17.59765625, 41.1953125, 23.5, 17.59765625, 0.0, 0.0, 0.0, 0.0, 41.1953125, 11.798828125, 58.796875, 29.3984375, 2.0, 2.0, 79.0, 33.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 124, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 48.0, "4929", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4929&g_ta_cod=4929", 11.0, 37.0, 53.0),
(2755, "Public", "0180584M", "I.U.T de Bourges", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BUT", "I.U.T de Bourges - BUT - Carrières sociales parcours villes et territoires durables", "BUT - Service", "", 28, 328, 218, 318, 0, 161, 26, 80, 25, 11, 8, 66, 10, 2, 6, 0, 2, 282, 5, 0, 0, 150, 20, 77, 23, 1, 0, 54, 157, 28, 14, 25, 3, 0.0, 20.0, 25.0, 0, 2, 23, 11, 12, 0, 5, 0, 14, 8, 1, 0, 0.0, 6, 3, 0, 0, 0, 14, 14, 0.0, 71.43, 89.29, 50.0, 60.8984375, 60.8984375, 0, 8.69921875, 82.09375, 0.0, 60.8984375, 34.796875, 4.2998046875, 0.0, 0.0, 47.796875, 26.09765625, 52.1953125, 13.0, 0.0, 0.0, 64.0, 18.0, 0.0, 0.0, 34.0, "Tous les candidats sauf les Bac technologiques", 182.0, "Bacheliers technologiques toutes séries", 88, "", 0, "Liste d'appel propre à cette formation", 85.0, "14754", "BUT - Carrières sociales parcours villes et territoires durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14754&g_ta_cod=14754", 54.0, 46.0, 0.0),
(2756, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Chinois - Cursus 4 ans", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères et Régionales Chinois - Cursus 4 ans", 18, 96, 76, 82, 0, 50, 18, 4, 0, 1, 1, 27, 14, 3, 0, 0, 11, 82, 13, 0, 0, 50, 18, 4, 0, 1, 1, 27, 72, 16, 13, 8, 8, 3.0, 8.0, 12.0, 0, 4, 7, 7, 0, 0, 9, 0, 1, 4, 2, 0, 0.0, 6, 0, 0, 0, 0, 4, 4, 18.75, 50.0, 75.0, 81.296875, 57.09375, 57.09375, 0, 57.09375, 43.796875, 0.0, 14.298828125, 57.09375, 28.59765625, 0.0, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 40.0, 13.0, 1.0, 1.0, 28.0, "Tous les candidats", 82.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "18428", "Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Chinois - Cursus 4 ans", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18428&g_ta_cod=18428", 81.0, 6.0, 13.0),
(2757, "Public", "0150746E", "I.U.T. de Clermont-Ferrand - Antenne d'Aurillac", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "BUT", "I.U.T. de Clermont-Ferrand - Antenne d'Aurillac - BUT - Génie biologique Parcours agronomie", "BUT - Production", "", 78, 936, 517, 923, 0, 628, 65, 106, 15, 2, 0, 187, 13, 1, 6, 0, 6, 846, 2, 0, 0, 597, 61, 98, 13, 0, 0, 151, 518, 72, 42, 70, 2, 20.0, 39.0, 64.0, 0, 9, 65, 53, 12, 0, 7, 0, 6, 33, 23, 3, 0.0, 47, 12, 0, 0, 0, 25, 25, 27.78, 54.17, 88.89, 58.296875, 38.5, 38.5, 0, 13.798828125, 90.296875, 0.0, 9.19921875, 50.796875, 35.3984375, 4.6, 0.0, 81.5, 72.296875, 18.5, 18.5, 0.0, 0.0, 339.0, 38.0, 0.0, 0.0, 93.0, "Tous les candidats sauf les Bac technologiques", 612.0, "Bacheliers technologiques toutes séries", 106, "", 0, "Liste d'appel propre à cette formation", 78.0, "2966", "BUT - Génie biologique Parcours agronomie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2966&g_ta_cod=2966", 83.0, 17.0, 0.0),
(2758, "Privé sous contrat d'association", "0753897D", "Lycée Saint Michel de Picpus", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "CPGE", "Lycée Saint Michel de Picpus - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 66, 2319, 1165, 2301, 0, 2149, 132, 1, 1, 2, 2, 149, 18, 10, 0, 0, 8, 1100, 7, 0, 1100, 1099, 65, 0, 0, 0, 0, 1, 481, 56, 33, 52, 4, 7.0, 34.0, 45.0, 0, 3, 56, 56, 0, 0, 0, 0, 0, 10, 32, 14, 0.0, 56, 0, 0, 1, 1, 24, 52, 12.5, 60.71, 80.36, 58.8984375, 42.8984375, 92.890625, 1.7998046875, 5.3994140625, 100.0, 0.0, 0.0, 17.8984375, 57.09375, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 479.0, 22.0, 0.0, 0.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "31619", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31373&g_ta_cod=31619", 100.0, 0.0, 0.0),
(2759, "Public", "0782565P", "Lycée Jules Ferry", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "BTS", "Lycée Jules Ferry - BTS - Production - Conception de produits industriels", "BTS - Production", "", 22, 381, 32, 359, 0, 21, 2, 156, 29, 90, 33, 92, 22, 0, 0, 15, 7, 226, 3, 0, 0, 21, 2, 111, 17, 60, 18, 34, 102, 23, 1, 21, 2, 4.0, 16.0, 21.0, 0, 5, 22, 2, 9, 11, 1, 0, 5, 12, 4, 1, 0.0, 1, 6, 10, 4, 1, 18, 20, 17.39, 69.57, 91.3, 4.2998046875, 81.796875, 90.890625, 18.19921875, 22.69921875, 95.6875, 0.0, 22.69921875, 54.5, 18.19921875, 4.5, 0.0, 9.099609375, 4.5, 40.8984375, 27.296875, 50.0, 45.5, 11.0, 2.0, 40.0, 11.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 98, "Liste d'appel propre à cette formation", 50.0, "10051", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10051&g_ta_cod=10051", 9.0, 43.0, 48.0),
(2760, "Public", "0160119T", "Lycée professionnel Louis Delage", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Cognac", "formation sélective", "BTS", "Lycée professionnel Louis Delage - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 14, 73, 6, 71, 0, 7, 0, 19, 2, 30, 9, 15, 2, 0, 1, 0, 1, 60, 0, 0, 0, 7, 0, 19, 2, 30, 9, 4, 43, 6, 0, 6, 0, 2.0, 6.0, 6.0, 0, 2, 6, 0, 1, 5, 0, 0, 2, 2, 1, 1, 0.0, 0, 1, 3, 3, 0, 4, 4, 33.33, 100.0, 100.0, 0.0, 66.6875, 66.6875, 50, 33.296875, 100.0, 0.0, 33.296875, 33.296875, 16.69921875, 16.7, 0.0, 0.0, 0.0, 16.69921875, 16.69921875, 83.296875, 50.0, 3.0, 0.0, 24.0, 7.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 80.0, "2998", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2998&g_ta_cod=2998", 0.0, 17.0, 83.0),
(2761, "Public", "0640011P", "Lycée Louis De Foix", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "BTS", "Lycée Louis De Foix - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 141, 6, 135, 0, 4, 1, 47, 10, 65, 16, 19, 6, 0, 2, 2, 2, 135, 2, 0, 0, 4, 1, 47, 10, 65, 16, 19, 67, 12, 0, 10, 2, 4.0, 10.0, 12.0, 0, 6, 11, 0, 5, 6, 1, 0, 4, 5, 1, 1, 0.0, 0, 2, 5, 0, 0, 8, 8, 33.33, 83.33, 100.0, 0.0, 72.6875, 72.6875, 0, 54.5, 91.6875, 0.0, 36.3984375, 45.5, 9.099609375, 9.1, 0.0, 0.0, 0.0, 45.5, 18.19921875, 54.5, 45.5, 1.0, 1.0, 31.0, 11.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 85.0, "16996", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16996&g_ta_cod=16996", 8.0, 42.0, 50.0),
(2762, "Privé sous contrat d'association", "0600075R", "ESCOM Chimie Compiègne", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 10, 243, 120, 243, 0, 1, 0, 0, 0, 0, 0, 242, 0, 0, 0, 0, 0, 121, 0, 0, 0, 1, 0, 0, 0, 0, 0, 120, 70, 6, 4, 6, 0, 4.0, 4.0, 6.0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 66.67, 66.67, 100.0, 66.6875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 0.0, 0.0, 0.0, 69.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "22849", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22849", 100.0, 0.0, 0.0),
(2763, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence", "Institut national universitaire Champollion - Licence - Portail Parcours Sciences Politiques", "Licence - Sciences humaines et sociales", "Parcours Sciences Politiques : Sociologie", 5, 281, 179, 281, 0, 259, 40, 3, 0, 2, 1, 17, 0, 0, 0, 0, 0, 281, 0, 0, 0, 259, 40, 3, 0, 2, 1, 17, 35, 7, 7, 7, 0, 0.0, 7.0, 7.0, 0, 1, 7, 7, 0, 0, 0, 0, 0, 0, 3, 4, 0.0, 7, 0, 0, 0, 0, 7, 7, 0.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 14.298828125, 100.0, 0.0, 0.0, 0.0, 42.8984375, 57.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 35.0, 3.0, 0.0, 0.0, 0.0, "Tous les candidats", 112.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "23966", "Licence - Portail Parcours Sciences Politiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23964&g_ta_cod=23966", 100.0, 0.0, 0.0),
(2764, "Public", "0492089E", "Lycée général et technologique Emmanuel Mounier", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Lycée général et technologique Emmanuel Mounier - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1850, 886, 1840, 0, 217, 43, 869, 208, 439, 163, 315, 10, 0, 0, 7, 3, 924, 6, 0, 0, 216, 43, 391, 88, 197, 70, 120, 213, 28, 12, 21, 6, 1.0, 12.0, 18.0, 0, 10, 23, 4, 7, 12, 5, 0, 9, 12, 2, 0, 0.0, 2, 5, 7, 1, 0, 17, 17, 3.57, 42.86, 64.29, 42.8984375, 73.890625, 73.890625, 4.2998046875, 43.5, 82.09375, 0.0, 39.09375, 52.1953125, 8.69921875, 0.0, 0.0, 17.3984375, 8.69921875, 30.3984375, 21.69921875, 52.1953125, 30.3984375, 34.0, 8.0, 56.0, 27.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 82.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 341, "Liste d'appel propre à cette formation", 27.0, "5965", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5965&g_ta_cod=5965", 21.0, 32.0, 46.0),
(2765, "Privé sous contrat d'association", "0071126L", "Institut Supérieur Saint-Denis", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Annonay", "formation sélective", "BTS", "Institut Supérieur Saint-Denis - BTS - Services - Economie sociale familiale", "BTS - Services", "", 30, 316, 270, 264, 0, 31, 8, 88, 15, 60, 16, 85, 52, 11, 17, 0, 24, 150, 19, 0, 0, 27, 6, 58, 6, 46, 11, 19, 126, 22, 20, 16, 6, 6.0, 15.0, 21.0, 0, 3, 16, 4, 5, 7, 6, 0, 4, 7, 5, 0, 0.0, 3, 3, 6, 3, 3, 13, 13, 27.27, 68.18, 95.45, 90.890625, 81.296875, 81.296875, 18.796875, 18.796875, 72.6875, 0.0, 25.0, 43.796875, 31.296875, 0.0, 0.0, 25.0, 18.796875, 31.296875, 18.796875, 43.796875, 37.5, 26.0, 7.0, 34.0, 8.0, 18.0, "Tous les candidats sauf les Bac professionnels", 98.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 53.0, "2345", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2345&g_ta_cod=2345", 41.0, 27.0, 32.0),
(2766, "Public", "0332293N", "IFSI Croix Rouge Française Bègles", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bordeaux - D.E Infirmier", "D.E secteur sanitaire", "", 87, 7143, 5957, 7143, 0, 1497, 266, 1118, 290, 488, 159, 4040, 0, 0, 0, 0, 0, 5710, 0, 0, 0, 1376, 228, 958, 229, 321, 106, 3055, 1352, 91, 78, 91, 0, 0.0, 13.0, 60.0, 0, 12, 36, 15, 21, 0, 55, 0, 7, 23, 6, 0, 0.0, 10, 19, 0, 0, 0, 27, 27, 0.0, 14.29, 65.93, 85.6875, 75.0, 75.0, 0, 33.296875, 39.59375, 0.0, 19.3984375, 63.8984375, 16.69921875, 0.0, 0.0, 41.6953125, 27.796875, 58.296875, 52.796875, 0.0, 0.0, 268.0, 58.0, 19.0, 6.0, 792.0, "Tous les candidats", 2660.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "23943", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23940&g_ta_cod=23943", 69.0, 27.0, 2.0),
(2767, "Public", "0270016W", "Lycée Aristide Briand", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "Autre formation", "Lycée Aristide Briand - Diplôme de Comptabilité et de Gestion", "DCG", "", 45, 489, 222, 410, 0, 136, 37, 106, 35, 8, 5, 160, 79, 7, 11, 10, 51, 222, 11, 0, 0, 106, 28, 84, 29, 0, 0, 32, 167, 37, 17, 28, 9, 11.0, 28.0, 36.0, 0, 7, 27, 19, 8, 0, 10, 0, 5, 12, 8, 1, 1.0, 15, 7, 0, 0, 0, 21, 21, 29.73, 75.68, 97.3, 45.8984375, 77.796875, 77.796875, 0, 25.8984375, 73.0, 0.0, 18.5, 44.3984375, 29.59765625, 3.7, 3.7, 70.390625, 55.59375, 29.59765625, 25.8984375, 0.0, 0.0, 84.0, 19.0, 0.0, 0.0, 37.0, "Tous les candidats", 222.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "3686", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3686&g_ta_cod=3686", 76.0, 24.0, 0.0),
(2768, "Public", "0400002K", "Lycée Gaston Crampe", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Aire-sur-l'Adour", "formation sélective", "BTS", "Lycée Gaston Crampe - BTS - Production - Conception de produits industriels", "BTS - Production", "", 20, 120, 12, 114, 0, 12, 0, 53, 9, 31, 4, 18, 6, 0, 3, 0, 3, 106, 1, 0, 0, 12, 0, 49, 9, 28, 3, 17, 66, 15, 2, 14, 1, 3.0, 12.0, 15.0, 0, 1, 12, 0, 4, 8, 3, 0, 3, 7, 2, 0, 0.0, 0, 2, 7, 5, 1, 8, 8, 20.0, 80.0, 100.0, 13.298828125, 66.6875, 66.6875, 41.6953125, 8.298828125, 80.0, 0.0, 25.0, 58.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 33.296875, 16.69921875, 66.6875, 58.296875, 5.0, 0.0, 21.0, 3.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 89.0, "5195", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5195&g_ta_cod=5195", 7.0, 40.0, 53.0),
(2769, "Public", "0301687W", "Université de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "Licence", "Université de Nîmes - Licence - Mathématiques - Parcours Mathématiques-Informatique, Mathématiques-Physique, Mathématiques Mécanique", "Licence - Sciences - technologies - santé", "Mathématiques-Informatique, Mathématiques-Physique, Mathématiques Mécanique", 100, 918, 223, 802, 0, 558, 118, 28, 11, 3, 2, 213, 116, 18, 3, 3, 92, 802, 96, 0, 0, 558, 118, 28, 11, 3, 2, 213, 708, 84, 18, 48, 35, 7.0, 37.0, 62.0, 0, 13, 34, 26, 5, 3, 50, 0, 18, 10, 4, 2, 0.0, 13, 1, 2, 0, 0, 25, 25, 8.33, 44.05, 73.81, 21.3984375, 73.5, 73.5, 0, 38.1953125, 40.5, 0.0, 52.8984375, 29.3984375, 11.798828125, 5.9, 0.0, 76.5, 38.1953125, 14.69921875, 2.89990234375, 8.798828125, 5.8994140625, 456.0, 92.0, 6.0, 5.0, 226.0, "Tous les candidats", 802.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "23857", "Licence - Mathématiques - Parcours Mathématiques-Informatique, Mathématiques-Physique, Mathématiques Mécanique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23857&g_ta_cod=23857", 86.0, 10.0, 5.0),
(2770, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Double diplôme - Licence Langues étrangères appliquées - DPI  LEA Anglais - Allemand ou Espagnol - Double Diplôme Franco allemand ou espagnol", "Licence - Arts-lettres-langues", "DPI  LEA Anglais - Allemand ou Espagnol - Double Diplôme Franco allemand ou espagnol", 15, 310, 259, 310, 0, 233, 50, 9, 4, 3, 1, 65, 0, 0, 0, 0, 0, 100, 0, 0, 0, 91, 17, 0, 0, 0, 0, 9, 48, 15, 15, 15, 0, 4.0, 12.0, 14.0, 0, 4, 13, 13, 0, 0, 2, 0, 1, 0, 1, 10, 1.0, 12, 0, 0, 0, 0, 7, 7, 26.67, 80.0, 93.33, 100.0, 53.796875, 53.796875, 0, 30.796875, 86.6875, 0.0, 7.69921875, 0.0, 7.69921875, 76.9, 7.7, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 43.0, 10.0, 0.0, 0.0, 5.0, "Tous les candidats", 69.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "28879", "Licence - Double diplôme - Licence Langues étrangères appliquées - DPI  LEA Anglais - Allemand ou Espagnol - Double Diplôme Franco allemand ou espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28879&g_ta_cod=28879", 100.0, 0.0, 0.0),
(2771, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Sciences et technologies", "Licence - Sciences - technologies - santé", "Sciences et technologies : Sciences de la terre", 90, 2055, 1173, 2055, 0, 1196, 175, 60, 12, 8, 3, 791, 0, 0, 0, 0, 0, 2050, 0, 0, 0, 1196, 175, 60, 12, 8, 3, 786, 1001, 81, 33, 81, 0, 1.0, 38.0, 60.0, 0, 9, 56, 51, 3, 2, 25, 1, 26, 21, 7, 1, 0.0, 27, 1, 1, 0, 0, 50, 50, 1.23, 46.91, 74.07, 40.6953125, 89.296875, 89.296875, 0, 16.09765625, 69.09375, 1.7998046875, 46.3984375, 37.5, 12.5, 1.8, 0.0, 91.09375, 48.1953125, 5.3994140625, 1.7998046875, 3.599609375, 1.7998046875, 590.0, 97.0, 2.0, 2.0, 389.0, "Tous les candidats", 6927.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 61.0, "31080", "Licence - Portail Sciences et technologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31073&g_ta_cod=31080", 91.0, 6.0, 2.0),
(2772, "Public", "0451638L", "Polytech Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 150, 7535, 1990, 7535, 0, 6726, 555, 0, 0, 0, 0, 809, 0, 0, 0, 0, 0, 5143, 0, 0, 0, 4869, 311, 0, 0, 0, 0, 274, 3925, 167, 49, 167, 0, 52.0, 110.0, 156.0, 0, 11, 158, 158, 0, 0, 9, 0, 3, 43, 92, 19, 1.0, 155, 0, 0, 0, 0, 53, 53, 31.14, 65.87, 93.41, 29.296875, 33.5, 33.5, 0, 7.0, 94.59375, 0.0, 1.89990234375, 27.19921875, 58.1953125, 12.0, 0.6, 100.0, 98.09375, 0.0, 0.0, 0.0, 0.0, 3706.0, 293.0, 0.0, 0.0, 219.0, "Autres candidats", 12229.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 61.0, "18", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=18", 100.0, 0.0, 0.0),
(2773, "Public", "0763381M", "Sciences Po - campus du Havre - Institut d'études politiques", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Autre formation", "Sciences Po - campus du Havre - Keio University - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Licence - Double diplôme Sciences Po (Europe-Asia programme)", "Sciences politiques", "Double diplôme Sciences Po (Europe-Asia programme)", 7, 85, 53, 85, 0, 85, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 7, 7, 2, 7, 0, 0.0, 7.0, 7.0, 0, 0, 7, 7, 0, 0, 0, 0, 0, 0, 0, 3, 4.0, 7, 0, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 28.59765625, 14.298828125, 14.298828125, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 42.9, 57.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 7.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "32570", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Licence - Double diplôme Sciences Po (Europe-Asia programme)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32570&g_ta_cod=32570", 100.0, 0.0, 0.0),
(2774, "Public", "0440069L", "LGT Aristide Briand", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BTS", "LGT Aristide Briand - BTS - Production - Architectures en Métal : conception et Réalisation (Seconde année possible en apprentissage)", "BTS - Production", "", 9, 184, 25, 184, 0, 20, 5, 80, 13, 38, 11, 46, 0, 0, 0, 0, 0, 144, 0, 0, 0, 20, 5, 75, 12, 35, 11, 14, 42, 10, 1, 10, 0, 1.0, 5.0, 9.0, 0, 2, 8, 0, 5, 3, 2, 0, 1, 5, 2, 0, 0.0, 0, 4, 3, 5, 1, 7, 7, 10.0, 50.0, 90.0, 10.0, 87.5, 87.5, 62.5, 25.0, 80.0, 0.0, 12.5, 62.5, 25.0, 0.0, 0.0, 0.0, 0.0, 62.5, 50.0, 37.5, 37.5, 3.0, 3.0, 7.0, 3.0, 5.0, "Tous les candidats sauf les Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 42.0, "5463", "BTS - Production - Architectures en Métal : conception et Réalisation (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5463&g_ta_cod=5463", 0.0, 60.0, 40.0),
(2775, "Privé sous contrat d'association", "0440246D", "LPO Sacré-Coeur La Salle", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LPO Sacré-Coeur La Salle - BTS - Services - Tourisme", "BTS - Services", "", 35, 518, 395, 503, 0, 148, 23, 118, 24, 113, 38, 124, 15, 1, 8, 0, 6, 386, 4, 0, 0, 138, 21, 96, 16, 75, 22, 77, 204, 28, 21, 27, 1, 5.0, 20.0, 26.0, 0, 4, 18, 5, 7, 6, 10, 0, 9, 6, 3, 0, 0.0, 3, 1, 5, 0, 0, 15, 15, 17.86, 71.43, 92.86, 75.0, 83.296875, 83.296875, 0, 22.19921875, 64.296875, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 27.796875, 16.69921875, 38.8984375, 5.599609375, 33.296875, 27.796875, 62.0, 15.0, 25.0, 7.0, 46.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 162.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 113, "Liste d'appel propre à cette formation", 66.0, "5503", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5503&g_ta_cod=5503", 43.0, 36.0, 21.0),
(2776, "Public", "0630984C", "LEGTPA Louis Pasteur (Clermont-Marmilhat)", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Lempdes", "formation sélective", "BTS", "LEGTPA Louis Pasteur (Clermont-Marmilhat) - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 27, 402, 114, 400, 0, 53, 6, 68, 14, 81, 15, 198, 2, 0, 0, 0, 2, 216, 0, 0, 0, 53, 6, 68, 14, 81, 15, 14, 107, 25, 5, 25, 0, 5.0, 24.0, 25.0, 0, 3, 25, 5, 8, 12, 0, 1, 10, 8, 4, 2, 0.0, 1, 3, 10, 4, 1, 16, 16, 20.0, 96.0, 100.0, 20.0, 64.0, 64.0, 16, 12.0, 100.0, 4.0, 40.0, 32.0, 16.0, 8.0, 0.0, 20.0, 4.0, 32.0, 12.0, 48.0, 40.0, 26.0, 3.0, 33.0, 4.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 41.0, "7593", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7593&g_ta_cod=7593", 20.0, 32.0, 48.0),
(2777, "Privé sous contrat d'association", "0593104D", "Lycée Saint Pierre", "59", "Nord", "Hauts-de-France", "Lille", "Fourmies", "formation sélective", "BTS", "Lycée Saint Pierre - BTS - Services - Economie sociale familiale", "BTS - Services", "", 36, 153, 134, 129, 0, 15, 5, 23, 5, 66, 33, 25, 24, 0, 11, 0, 13, 129, 9, 0, 0, 15, 5, 23, 5, 66, 33, 25, 80, 31, 29, 29, 2, 20.0, 29.0, 31.0, 0, 12, 24, 3, 3, 18, 7, 0, 9, 12, 2, 1, 0.0, 2, 2, 11, 7, 7, 23, 23, 64.52, 93.55, 100.0, 93.5, 95.796875, 95.796875, 29.19921875, 50.0, 77.390625, 0.0, 37.5, 50.0, 8.298828125, 4.2, 0.0, 12.5, 8.298828125, 12.5, 8.298828125, 75.0, 45.796875, 12.0, 5.0, 23.0, 11.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 60.0, "19794", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19794&g_ta_cod=19794", 19.0, 19.0, 61.0),
(2778, "Public", "0220056S", "Lycée Francois Rabelais", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée Francois Rabelais - BTS - Services - Support à l'action managériale", "BTS - Services", "", 33, 308, 206, 306, 0, 20, 5, 106, 32, 65, 37, 115, 2, 0, 0, 0, 2, 240, 0, 0, 0, 20, 5, 103, 31, 65, 37, 52, 146, 30, 18, 30, 0, 2.0, 26.0, 29.0, 0, 10, 19, 3, 5, 11, 11, 0, 8, 8, 2, 1, 0.0, 1, 3, 7, 2, 0, 17, 17, 6.67, 86.67, 96.67, 60.0, 89.5, 89.5, 10.5, 52.59375, 63.296875, 0.0, 42.09375, 42.09375, 10.5, 5.3, 0.0, 15.798828125, 5.2998046875, 26.296875, 15.798828125, 57.8984375, 36.796875, 13.0, 5.0, 48.0, 26.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 66.0, "3317", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3317&g_ta_cod=3317", 23.0, 30.0, 47.0),
(2779, "Public", "0931585T", "Lycée Andre Boulloche", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Livry-Gargan", "formation sélective", "BTS", "Lycée Andre Boulloche - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1610, 792, 1610, 0, 84, 28, 547, 253, 503, 282, 476, 0, 0, 0, 0, 0, 1610, 0, 0, 0, 84, 28, 547, 253, 503, 282, 476, 108, 37, 19, 37, 0, 13.0, 35.0, 37.0, 0, 17, 25, 3, 8, 14, 12, 0, 6, 11, 8, 0, 0.0, 0, 8, 11, 4, 3, 24, 25, 35.14, 94.59, 100.0, 51.3984375, 96.0, 100.0, 16, 68.0, 67.59375, 0.0, 24.0, 44.0, 32.0, 0.0, 0.0, 12.0, 0.0, 32.0, 32.0, 56.0, 44.0, 5.0, 2.0, 32.0, 23.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 9.0, "11278", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11278&g_ta_cod=11278", 16.0, 35.0, 49.0),
(2780, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Trilangue Anglais - Chinois - 3ème langue à choix", "Licence - Arts-lettres-langues", "Trilangue Anglais - Chinois - 3ème langue à choix", 25, 240, 188, 221, 0, 152, 37, 8, 6, 5, 3, 56, 19, 0, 2, 1, 16, 221, 16, 0, 0, 152, 37, 8, 6, 5, 3, 56, 172, 25, 18, 19, 6, 4.0, 14.0, 20.0, 0, 4, 16, 16, 0, 0, 9, 0, 6, 6, 1, 2, 1.0, 10, 0, 0, 0, 0, 7, 7, 16.0, 56.0, 80.0, 72.0, 43.796875, 43.796875, 0, 25.0, 64.0, 0.0, 37.5, 37.5, 6.2998046875, 12.5, 6.3, 100.0, 62.5, 0.0, 0.0, 0.0, 0.0, 122.0, 31.0, 4.0, 3.0, 43.0, "Tous les candidats", 221.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "23988", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Trilangue Anglais - Chinois - 3ème langue à choix", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23988&g_ta_cod=23988", 96.0, 4.0, 0.0),
(2781, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence_Las", "Université de Limoges - Licence - Sciences pour la santé -  option Santé", "Licence - Sciences - technologies - santé", "", 100, 1478, 1071, 1478, 0, 915, 164, 66, 17, 1, 1, 496, 0, 0, 0, 0, 0, 1476, 0, 0, 0, 915, 164, 66, 17, 1, 1, 494, 506, 90, 72, 90, 0, 6.0, 52.0, 74.0, 0, 7, 67, 67, 0, 0, 23, 0, 8, 32, 22, 5, 0.0, 59, 0, 0, 0, 0, 11, 11, 6.67, 57.78, 82.22, 80.0, 16.3984375, 16.3984375, 0, 10.3984375, 74.390625, 0.0, 11.8984375, 47.796875, 32.796875, 7.5, 0.0, 100.0, 88.09375, 0.0, 0.0, 0.0, 0.0, 370.0, 50.0, 0.0, 0.0, 136.0, "Tous les candidats", 708.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "26472", "Licence - Sciences pour la santé -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26472&g_ta_cod=26472", 97.0, 3.0, 0.0),
(2782, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 100, 968, 574, 921, 0, 605, 130, 125, 39, 26, 10, 165, 47, 3, 5, 3, 36, 903, 43, 0, 0, 605, 130, 125, 39, 26, 10, 147, 747, 98, 69, 76, 21, 30.0, 59.0, 77.0, 0, 20, 68, 42, 16, 10, 30, 0, 35, 24, 8, 1, 0.0, 26, 4, 3, 0, 0, 55, 55, 30.61, 60.2, 78.57, 70.390625, 80.890625, 80.890625, 0, 29.3984375, 69.390625, 0.0, 51.5, 35.296875, 11.798828125, 1.5, 0.0, 61.796875, 38.1953125, 23.5, 5.8994140625, 14.69921875, 4.3994140625, 471.0, 98.0, 27.0, 10.0, 136.0, "Tous les candidats", 895.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "7752", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7752&g_ta_cod=7752", 57.0, 24.0, 17.0),
(2783, "Privé sous contrat d'association", "0311133N", "Lycée Le Caousou", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Le Caousou - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "BTS - Production", "", 18, 273, 33, 236, 0, 64, 9, 70, 15, 37, 9, 65, 37, 4, 8, 8, 17, 82, 7, 0, 0, 39, 5, 17, 2, 17, 2, 9, 66, 13, 3, 11, 2, 1.0, 11.0, 13.0, 0, 2, 12, 8, 1, 3, 1, 0, 3, 7, 2, 0, 0.0, 5, 1, 3, 0, 0, 3, 3, 7.69, 84.62, 100.0, 23.09765625, 25.0, 25.0, 0, 16.69921875, 92.296875, 0.0, 25.0, 58.296875, 16.69921875, 0.0, 0.0, 66.6875, 41.6953125, 8.298828125, 8.298828125, 25.0, 25.0, 32.0, 4.0, 16.0, 3.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 33.0, "4105", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4105&g_ta_cod=4105", 69.0, 8.0, 23.0),
(2784, "Public", "0770942F", "Lycée Thibaut de Champagne", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Provins", "formation sélective", "BTS", "Lycée Thibaut de Champagne - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 330, 172, 309, 0, 16, 4, 69, 22, 60, 27, 164, 21, 5, 0, 0, 16, 154, 0, 0, 0, 15, 4, 55, 15, 45, 19, 39, 110, 35, 24, 34, 0, 12.0, 32.0, 33.0, 0, 6, 23, 1, 11, 11, 12, 0, 9, 11, 3, 0, 0.0, 0, 7, 7, 14, 9, 21, 21, 34.29, 91.43, 94.29, 68.59375, 91.296875, 91.296875, 60.8984375, 26.09765625, 65.6875, 0.0, 39.09375, 47.796875, 13.0, 0.0, 0.0, 4.2998046875, 0.0, 47.796875, 30.3984375, 47.796875, 30.3984375, 16.0, 4.0, 39.0, 18.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 40.0, "9825", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9825&g_ta_cod=9825", 14.0, 31.0, 54.0),
(2785, "Privé sous contrat d'association", "0490072M", "ESA - Ecole Supérieure d'Agricultures", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 165, 1329, 522, 1322, 0, 1316, 98, 0, 0, 0, 0, 6, 7, 7, 0, 0, 0, 1144, 6, 0, 0, 1144, 79, 0, 0, 0, 0, 0, 1047, 128, 57, 125, 3, 116.0, 124.0, 128.0, 0, 7, 128, 128, 0, 0, 0, 0, 10, 56, 51, 11, 0.0, 118, 0, 0, 0, 0, 33, 33, 90.63, 96.88, 100.0, 44.5, 25.796875, 25.796875, 0, 5.5, 100.0, 0.0, 7.7998046875, 43.796875, 39.796875, 8.6, 0.0, 100.0, 92.1875, 0.0, 0.0, 0.0, 0.0, 1047.0, 73.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "30946", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=30946", 100.0, 0.0, 0.0),
(2786, "Public", "0390810U", "Lycée agricole Edgar Faure", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Montmorot", "formation sélective", "BTS", "Lycée agricole Edgar Faure - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 26, 245, 115, 241, 0, 28, 3, 60, 11, 50, 9, 103, 4, 0, 0, 0, 4, 134, 1, 0, 0, 24, 2, 58, 11, 46, 8, 6, 93, 16, 9, 15, 1, 4.0, 15.0, 15.0, 0, 2, 15, 5, 1, 9, 1, 0, 1, 9, 5, 0, 0.0, 5, 1, 8, 6, 2, 11, 11, 25.0, 93.75, 93.75, 56.296875, 73.296875, 73.296875, 40, 13.298828125, 93.796875, 0.0, 6.69921875, 60.0, 33.296875, 0.0, 0.0, 33.296875, 33.296875, 6.69921875, 6.69921875, 60.0, 53.296875, 18.0, 1.0, 29.0, 5.0, 4.0, "Tous les candidats sauf les Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 55.0, "5172", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5172&g_ta_cod=5172", 38.0, 6.0, 56.0),
(2787, "Public", "0510034K", "Lycée Franklin Roosevelt", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Franklin Roosevelt - BTS - Production - Traitement des matériaux", "BTS - Production", "", 30, 165, 39, 145, 0, 11, 2, 37, 5, 12, 6, 85, 20, 1, 5, 3, 11, 80, 13, 0, 0, 11, 2, 35, 5, 11, 5, 23, 82, 19, 2, 14, 5, 7.0, 14.0, 16.0, 0, 5, 11, 2, 4, 5, 8, 0, 6, 5, 0, 0, 0.0, 0, 2, 3, 4, 1, 10, 10, 36.84, 73.68, 84.21, 10.5, 90.890625, 90.890625, 36.3984375, 45.5, 57.8984375, 0.0, 54.5, 45.5, 0.0, 0.0, 0.0, 18.19921875, 0.0, 36.3984375, 18.19921875, 45.5, 27.296875, 12.0, 3.0, 13.0, 7.0, 25.0, "Tous les candidats sauf les Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 54.0, "6066", "BTS - Production - Traitement des matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6066&g_ta_cod=6066", 42.0, 32.0, 26.0),
(2788, "Public", "0500026G", "Lycée Charles-Francois Lebrun", "50", "Manche", "Normandie", "Normandie", "Coutances", "formation sélective", "BTS", "Lycée Charles-Francois Lebrun - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 420, 206, 420, 0, 43, 6, 184, 48, 107, 41, 86, 0, 0, 0, 0, 0, 283, 0, 0, 0, 27, 4, 139, 34, 92, 33, 25, 169, 30, 10, 30, 0, 1.0, 16.0, 24.0, 0, 9, 25, 1, 9, 15, 5, 0, 13, 9, 3, 0, 0.0, 0, 3, 9, 3, 0, 23, 23, 3.33, 53.33, 80.0, 33.296875, 92.0, 92.0, 12, 36.0, 83.296875, 0.0, 52.0, 36.0, 12.0, 0.0, 0.0, 4.0, 0.0, 36.0, 12.0, 60.0, 36.0, 20.0, 4.0, 65.0, 23.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 84, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 51.0, "5997", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5997&g_ta_cod=5997", 13.0, 37.0, 50.0),
(2789, "Public", "0590034S", "Lycée Paul Duez", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "BTS", "Lycée Paul Duez - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 304, 153, 243, 0, 45, 16, 63, 29, 65, 32, 70, 61, 4, 13, 6, 38, 89, 18, 0, 0, 14, 7, 18, 10, 42, 23, 15, 92, 31, 21, 24, 7, 15.0, 24.0, 29.0, 0, 13, 26, 1, 5, 20, 5, 0, 11, 14, 1, 0, 0.0, 1, 2, 12, 2, 1, 24, 24, 48.39, 77.42, 93.55, 67.6875, 92.296875, 92.296875, 7.69921875, 50.0, 83.890625, 0.0, 42.296875, 53.796875, 3.7998046875, 0.0, 0.0, 3.7998046875, 3.7998046875, 19.19921875, 7.69921875, 76.890625, 46.1953125, 15.0, 8.0, 40.0, 19.0, 18.0, "Tous les candidats sauf les Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 36.0, "6725", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6725&g_ta_cod=6725", 16.0, 19.0, 65.0),
(2790, "Public", "0600009J", "Lycée Jean Rostand", "60", "Oise", "Hauts-de-France", "Amiens", "Chantilly", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 159, 76, 159, 0, 19, 4, 46, 16, 40, 15, 54, 0, 0, 0, 0, 0, 142, 0, 0, 0, 19, 4, 46, 16, 40, 15, 37, 56, 18, 10, 18, 0, 3.0, 17.0, 17.0, 0, 2, 12, 0, 3, 9, 6, 0, 7, 4, 1, 0, 0.0, 0, 0, 5, 0, 0, 10, 10, 16.67, 94.44, 94.44, 55.59375, 83.296875, 83.296875, 0, 16.69921875, 66.6875, 0.0, 58.296875, 33.296875, 8.298828125, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 41.6953125, 1.0, 1.0, 26.0, 8.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 47.0, "7215", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7215&g_ta_cod=7215", 0.0, 33.0, 67.0),
(2791, "Public", "0490769V", "I.U.T. Angers-Cholet - Site d'Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BUT", "I.U.T. Angers-Cholet - Site d'Angers - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, Fiscale et Financière - Contrôle de gestion et pilotage de la Performance - Gestion et pilotage des ressources humaines - Gestion, Entreprenariat et management d?activités", "BUT - Service", "Gestion comptable, Fiscale et Financière - Contrôle de gestion et pilotage de la Performance - Gestion et pilotage des ressources humaines - Gestion, Entreprenariat et management d?activités", 162, 4419, 2168, 4419, 0, 2711, 262, 1127, 220, 21, 11, 560, 0, 0, 0, 0, 0, 1740, 0, 0, 0, 944, 72, 716, 120, 4, 2, 76, 711, 175, 97, 175, 0, 42.0, 158.0, 173.0, 0, 23, 174, 98, 76, 0, 1, 0, 6, 68, 90, 10, 0.0, 97, 71, 0, 0, 0, 113, 113, 24.0, 90.29, 98.86, 55.3984375, 64.890625, 64.890625, 0, 13.19921875, 99.390625, 0.0, 3.39990234375, 39.09375, 51.6953125, 5.7, 0.0, 56.296875, 55.6953125, 43.6953125, 40.796875, 0.0, 0.0, 431.0, 50.0, 0.0, 0.0, 15.0, "Tous les candidats sauf les Bac technologiques", 741.0, "Bacheliers technologiques toutes séries", 416, "", 0, "Liste d'appel propre à cette formation", 26.0, "5867", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, Fiscale et Financière - Contrôle de gestion et pilotage de la Performance - Gestion et pilotage des ressources humaines - Gestion, Entreprenariat et management d?activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5867&g_ta_cod=5867", 57.0, 43.0, 0.0),
(2792, "Privé sous contrat d'association", "0121291N", "L.P.A.H de Rignac", "12", "Aveyron", "Occitanie", "Toulouse", "Rignac", "formation sélective", "BTS", "L.P.A.H de Rignac - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 30, 145, 33, 139, 0, 19, 3, 32, 3, 40, 10, 48, 6, 0, 2, 3, 1, 103, 3, 0, 0, 18, 3, 32, 3, 40, 10, 13, 90, 21, 2, 21, 0, 9.0, 21.0, 21.0, 0, 3, 18, 3, 6, 9, 3, 0, 7, 8, 2, 1, 0.0, 1, 3, 7, 5, 0, 15, 15, 42.86, 100.0, 100.0, 9.5, 83.296875, 83.296875, 27.796875, 16.69921875, 85.6875, 0.0, 38.8984375, 44.3984375, 11.099609375, 5.6, 0.0, 16.69921875, 5.599609375, 33.296875, 16.69921875, 50.0, 38.8984375, 12.0, 2.0, 38.0, 11.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 74.0, "2504", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2504&g_ta_cod=2504", 24.0, 29.0, 48.0),
(2793, "Privé sous contrat d'association", "0310154Z", "Ecole d'ingénieurs de PURPAN", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Ecole d'Ingénieur", "Ecole d'ingénieurs de PURPAN - Formation Bac + 3 - Agro-Bachelor en ingénierie", "Formations  des écoles d'ingénieurs", "Agro-Bachelor en ingénierie", 60, 137, 55, 123, 0, 92, 13, 4, 2, 0, 0, 27, 14, 5, 1, 0, 8, 112, 5, 0, 0, 86, 11, 4, 2, 0, 0, 22, 109, 29, 12, 26, 3, 15.0, 25.0, 29.0, 0, 6, 17, 15, 2, 0, 12, 0, 4, 8, 5, 0, 0.0, 11, 2, 0, 0, 0, 7, 7, 51.72, 86.21, 100.0, 41.3984375, 41.1953125, 41.1953125, 0, 35.296875, 58.59375, 0.0, 23.5, 47.09375, 29.3984375, 0.0, 0.0, 88.1875, 64.6875, 11.798828125, 11.798828125, 0.0, 0.0, 80.0, 11.0, 0.0, 0.0, 25.0, "Tous les candidats", 110.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "33274", "Formation Bac + 3 - Agro-Bachelor en ingénierie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33274&g_ta_cod=33274", 79.0, 21.0, 0.0),
(2794, "Public", "0490003M", "Lycée Polyvalent Chevrollier", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Lycée Polyvalent Chevrollier - BTS - Services - Support à l'action managériale", "BTS - Services", "", 23, 613, 434, 613, 0, 44, 11, 267, 77, 155, 68, 147, 0, 0, 0, 0, 0, 348, 0, 0, 0, 32, 4, 165, 40, 98, 45, 53, 92, 23, 17, 23, 0, 3.0, 14.0, 19.0, 0, 11, 19, 1, 11, 7, 4, 0, 4, 13, 2, 0, 0.0, 1, 7, 7, 0, 0, 19, 19, 13.04, 60.87, 82.61, 73.890625, 100.0, 100.0, 0, 57.8984375, 82.59375, 0.0, 21.09765625, 68.390625, 10.5, 0.0, 0.0, 5.2998046875, 5.2998046875, 57.8984375, 36.796875, 36.796875, 36.796875, 5.0, 3.0, 19.0, 9.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 117, "Liste d'appel propre à cette formation", 26.0, "5830", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5830&g_ta_cod=5830", 9.0, 57.0, 35.0),
(2795, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence_Las", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Chimie - Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", "Licence - Sciences - technologies - santé", "Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", 12, 189, 114, 153, 0, 96, 27, 3, 1, 1, 1, 53, 36, 9, 2, 0, 25, 150, 27, 0, 0, 96, 27, 3, 1, 1, 1, 50, 117, 10, 4, 1, 8, 0.0, 1.0, 2.0, 0, 0, 3, 2, 1, 0, 7, 0, 1, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 2, 2, 0.0, 10.0, 20.0, 40.0, 66.6875, 66.6875, 0, 0.0, 30.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 54.0, 14.0, 0.0, 0.0, 60.0, "Tous les candidats", 354.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "32247", "Licence - Portail Chimie - Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32246&g_ta_cod=32247", 90.0, 10.0, 0.0),
(2796, "Public", "0070003R", "Lycée Marcel Gimond", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Aubenas", "formation sélective", "BTS", "Lycée Marcel Gimond - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 31, 268, 127, 259, 0, 12, 5, 80, 22, 102, 42, 65, 9, 0, 5, 0, 4, 259, 4, 0, 0, 12, 5, 80, 22, 102, 42, 65, 145, 22, 11, 21, 1, 4.0, 11.0, 17.0, 0, 6, 16, 1, 5, 10, 6, 0, 7, 6, 2, 1, 0.0, 0, 3, 6, 10, 6, 14, 14, 18.18, 50.0, 77.27, 50.0, 87.5, 87.5, 62.5, 37.5, 72.6875, 0.0, 43.796875, 37.5, 12.5, 6.3, 0.0, 6.2998046875, 0.0, 31.296875, 18.796875, 62.5, 37.5, 4.0, 3.0, 60.0, 24.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 65.0, "2331", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2331&g_ta_cod=2331", 5.0, 27.0, 68.0),
(2797, "Public", "0370035M", "Lycée Descartes", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "CPGE", "Lycée Descartes - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 2063, 1428, 2063, 1485, 1813, 149, 3, 1, 1, 1, 246, 0, 0, 0, 0, 0, 1891, 0, 1025, 1747, 1719, 142, 1, 1, 0, 0, 171, 236, 48, 35, 48, 0, 11.0, 34.0, 46.0, 13, 7, 48, 48, 0, 0, 0, 0, 0, 1, 11, 33, 3.0, 48, 0, 0, 3, 3, 16, 16, 22.92, 70.83, 95.83, 72.890625, 33.296875, 33.296875, 6.2998046875, 14.599609375, 100.0, 0.0, 0.0, 2.099609375, 22.8984375, 68.8, 6.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 235.0, 21.0, 0.0, 0.0, 1.0, "Tous les candidats", 373.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "4825", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4825&g_ta_cod=4825", 100.0, 0.0, 0.0),
(2798, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Arts plastiques", "Licence - Arts-lettres-langues", "", 175, 1400, 1102, 1400, 0, 892, 222, 149, 37, 78, 24, 281, 0, 0, 0, 0, 0, 1385, 0, 0, 0, 892, 222, 149, 37, 78, 24, 266, 751, 173, 139, 173, 0, 23.0, 135.0, 157.0, 0, 47, 143, 124, 10, 9, 30, 0, 46, 73, 22, 2, 0.0, 86, 6, 5, 0, 0, 62, 62, 13.29, 78.03, 90.75, 80.296875, 43.3984375, 43.3984375, 0, 32.8984375, 82.6875, 0.0, 32.1953125, 51.0, 15.3984375, 1.4, 0.0, 86.6875, 60.09375, 7.0, 4.19921875, 6.2998046875, 3.5, 548.0, 136.0, 31.0, 10.0, 124.0, "Tous les candidats", 1057.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "5333", "Licence - Arts plastiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5333&g_ta_cod=5333", 86.0, 8.0, 6.0),
(2799, "Public", "0301552Z", "Lycée Philippe Lamour", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Philippe Lamour - BTS - Services - Professions immobilières", "BTS - Services", "", 35, 1431, 835, 1431, 0, 281, 75, 512, 199, 272, 114, 366, 0, 0, 0, 0, 0, 770, 0, 0, 0, 237, 66, 272, 97, 133, 53, 128, 177, 29, 19, 29, 0, 4.0, 20.0, 23.0, 0, 13, 25, 7, 14, 4, 4, 0, 4, 13, 8, 0, 0.0, 6, 11, 4, 3, 1, 18, 18, 13.79, 68.97, 79.31, 65.5, 72.0, 72.0, 12, 52.0, 86.1875, 0.0, 16.0, 52.0, 32.0, 0.0, 0.0, 28.0, 24.0, 56.0, 44.0, 16.0, 16.0, 31.0, 9.0, 22.0, 10.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 137, "Liste d'appel propre à cette formation", 15.0, "4006", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4006&g_ta_cod=4006", 24.0, 59.0, 17.0),
(2800, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud et Himalaya - Ourdou", "Licence - Arts-lettres-langues", "Asie du Sud et Himalaya - Ourdou", 25, 75, 45, 23, 0, 7, 3, 2, 1, 0, 0, 14, 52, 3, 5, 2, 42, 23, 24, 0, 0, 7, 3, 2, 1, 0, 0, 14, 47, 14, 10, 6, 8, 6.0, 6.0, 6.0, 0, 3, 4, 1, 3, 0, 10, 0, 2, 2, 0, 0, 0.0, 0, 2, 0, 0, 0, 0, 4, 42.86, 42.86, 42.86, 71.390625, 0.0, 100.0, 0, 75.0, 28.59765625, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 50.0, 0.0, 0.0, 9.0, 5.0, 1.0, 1.0, 30.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9404", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud et Himalaya - Ourdou", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9404&g_ta_cod=9404", 50.0, 36.0, 14.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(2801, "Privé sous contrat d'association", "0382371W", "Lycée Agricole Paul Claudel", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Villemoirieu", "formation sélective", "BTS", "Lycée Agricole Paul Claudel - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 20, 61, 29, 56, 0, 5, 1, 7, 3, 30, 7, 14, 5, 0, 2, 3, 0, 42, 3, 0, 0, 5, 1, 7, 3, 30, 7, 0, 43, 9, 4, 7, 2, 5.0, 7.0, 8.0, 0, 2, 9, 0, 0, 9, 0, 0, 2, 7, 0, 0, 0.0, 0, 0, 7, 8, 3, 8, 8, 55.56, 77.78, 88.89, 44.3984375, 88.890625, 88.890625, 88.890625, 22.19921875, 100.0, 0.0, 22.19921875, 77.796875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 77.796875, 5.0, 1.0, 30.0, 7.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 75.0, "5102", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5102&g_ta_cod=5102", 0.0, 0.0, 100.0),
(2802, "Public", "0851400K", "Lycée Polyvalent Jean Monnet", "85", "Vendée", "Pays de la Loire", "Nantes", "Les Herbiers", "formation sélective", "Autre formation", "Lycée Polyvalent Jean Monnet - DN MADE - Objet - - Spécialité : design de produits", "DN MADE", "- Spécialité : design de produits", 15, 428, 262, 428, 0, 159, 22, 122, 20, 48, 9, 99, 0, 0, 0, 0, 0, 200, 0, 0, 0, 87, 10, 74, 12, 9, 2, 30, 63, 14, 9, 14, 0, 2.0, 9.0, 13.0, 0, 2, 11, 5, 6, 0, 3, 0, 3, 5, 3, 0, 0.0, 4, 4, 0, 0, 0, 8, 8, 14.29, 64.29, 92.86, 64.296875, 72.6875, 72.6875, 0, 18.19921875, 78.59375, 0.0, 27.296875, 45.5, 27.296875, 0.0, 0.0, 45.5, 36.3984375, 54.5, 36.3984375, 0.0, 0.0, 29.0, 4.0, 0.0, 0.0, 11.0, "Tous les candidats", 125.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "24247", "DN MADE - Objet - - Spécialité : design de produits", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24247&g_ta_cod=24247", 57.0, 43.0, 0.0),
(2803, "Public", "0420044V", "Lycée Simone Weil", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Priest-en-Jarez", "formation sélective", "BTS", "Lycée Simone Weil - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 30, 571, 66, 564, 0, 82, 23, 191, 62, 128, 54, 163, 7, 0, 0, 0, 7, 291, 0, 0, 0, 51, 10, 114, 33, 94, 36, 32, 141, 27, 0, 27, 0, 3.0, 22.0, 24.0, 0, 9, 26, 3, 13, 10, 1, 0, 13, 10, 3, 0, 0.0, 0, 5, 8, 1, 0, 20, 20, 11.11, 81.48, 88.89, 0.0, 76.890625, 76.890625, 3.7998046875, 34.59375, 96.296875, 0.0, 50.0, 38.5, 11.5, 0.0, 0.0, 11.5, 0.0, 50.0, 19.19921875, 38.5, 30.796875, 22.0, 7.0, 43.0, 16.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 92, "Liste d'appel propre à cette formation", 32.0, "5297", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5297&g_ta_cod=5297", 11.0, 48.0, 41.0),
(2804, "Public", "0810018E", "Lycée professionnel Anne Veaute", "81", "Tarn", "Occitanie", "Toulouse", "Castres", "formation sélective", "BTS", "Lycée professionnel Anne Veaute - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 22, 501, 350, 501, 0, 144, 35, 134, 35, 71, 24, 152, 0, 0, 0, 0, 0, 455, 0, 0, 0, 137, 33, 120, 32, 69, 22, 129, 119, 22, 14, 22, 0, 4.0, 14.0, 15.0, 0, 3, 13, 5, 1, 7, 9, 0, 2, 7, 4, 0, 0.0, 3, 1, 7, 4, 3, 10, 10, 18.18, 63.64, 68.18, 63.59375, 76.890625, 76.890625, 30.796875, 23.09765625, 59.09375, 0.0, 15.3984375, 53.796875, 30.796875, 0.0, 0.0, 38.5, 23.09765625, 7.69921875, 7.69921875, 53.796875, 53.796875, 39.0, 15.0, 21.0, 5.0, 57.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 116.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 31.0, "10270", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10270&g_ta_cod=10270", 55.0, 9.0, 36.0),
(2805, "Public", "0930126G", "Lycée Auguste Blanqui", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Ouen-sur-Seine", "formation sélective", "Autre formation", "Lycée Auguste Blanqui - Mention complémentaire - Services numériques aux organisations", "Mention complémentaire", "", 12, 66, 10, 66, 0, 1, 0, 5, 2, 36, 20, 24, 0, 0, 0, 0, 0, 58, 0, 0, 0, 1, 0, 5, 2, 30, 17, 22, 36, 9, 1, 6, 0, 3.0, 6.0, 6.0, 0, 3, 7, 0, 3, 4, 2, 0, 4, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 5, 7, 33.33, 66.67, 66.67, 11.099609375, 71.390625, 100.0, 0, 42.8984375, 77.796875, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 0.0, 0.0, 42.8984375, 0.0, 57.09375, 42.8984375, 1.0, 0.0, 18.0, 11.0, 10.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "33817", "Mention complémentaire - Services numériques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33817&g_ta_cod=33817", 0.0, 44.0, 56.0),
(2806, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études allemandes : Langues et cultures des mondes germaniques", "Licence - Arts-lettres-langues", "Études allemandes : Langues et cultures des mondes germaniques", 60, 111, 80, 93, 0, 69, 10, 6, 1, 2, 1, 16, 18, 2, 0, 0, 16, 92, 9, 0, 0, 69, 10, 6, 1, 2, 1, 15, 101, 16, 7, 11, 5, 11.0, 11.0, 13.0, 0, 3, 9, 9, 0, 0, 7, 0, 1, 5, 1, 2, 0.0, 8, 0, 0, 0, 0, 4, 4, 68.75, 68.75, 81.25, 43.796875, 44.3984375, 44.3984375, 0, 33.296875, 56.296875, 0.0, 11.099609375, 55.59375, 11.099609375, 22.2, 0.0, 100.0, 88.890625, 0.0, 0.0, 0.0, 0.0, 70.0, 10.0, 2.0, 1.0, 23.0, "Tous les candidats", 92.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "8035", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études allemandes : Langues et cultures des mondes germaniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8035&g_ta_cod=8035", 88.0, 6.0, 6.0),
(2807, "Public", "0740005D", "Lycée Gabriel Fauré", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "Autre formation", "Lycée Gabriel Fauré - Diplôme de Comptabilité et de Gestion", "DCG", "", 40, 663, 319, 534, 0, 219, 54, 142, 38, 15, 9, 158, 129, 23, 19, 5, 82, 300, 23, 0, 0, 167, 37, 96, 21, 0, 0, 37, 271, 36, 21, 27, 9, 12.0, 27.0, 35.0, 0, 6, 29, 17, 12, 0, 7, 0, 7, 10, 12, 0, 0.0, 12, 10, 0, 0, 0, 24, 24, 33.33, 75.0, 97.22, 58.296875, 82.796875, 82.796875, 0, 20.69921875, 80.59375, 0.0, 24.09765625, 34.5, 41.3984375, 0.0, 0.0, 58.59375, 41.3984375, 41.3984375, 34.5, 0.0, 0.0, 143.0, 31.0, 0.0, 0.0, 47.0, "Tous les candidats", 299.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "8854", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8854&g_ta_cod=8854", 58.0, 42.0, 0.0),
(2808, "Public", "0730858L", "Université Savoie Mont Blanc - Chambéry", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Jacob-Bellecombette", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Chambéry - Licence - Information et communication", "Licence - Arts-lettres-langues", "", 110, 1228, 835, 1228, 0, 815, 143, 112, 27, 18, 5, 283, 0, 0, 0, 0, 0, 1227, 0, 0, 0, 815, 143, 112, 27, 18, 5, 282, 538, 107, 75, 107, 0, 17.0, 86.0, 97.0, 0, 14, 100, 89, 8, 3, 7, 0, 24, 53, 18, 5, 0.0, 70, 4, 2, 0, 0, 90, 90, 15.89, 80.37, 90.65, 70.09375, 90.0, 90.0, 0, 14.0, 93.5, 0.0, 24.0, 53.0, 18.0, 5.0, 0.0, 89.0, 70.0, 8.0, 4.0, 3.0, 2.0, 441.0, 65.0, 9.0, 2.0, 33.0, "Tous les candidats", 659.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "14300", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14300&g_ta_cod=14300", 89.0, 8.0, 3.0),
(2809, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "Licence", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Double diplôme - Licence Economie et gestion - Parcours Langues et Civilisations - option Anglais et Espagnol", "Licence - Droit-économie-gestion", "Parcours Langues et Civilisations - option Anglais et Espagnol", 30, 503, 294, 503, 0, 409, 59, 10, 6, 4, 0, 80, 0, 0, 0, 0, 0, 304, 0, 0, 0, 271, 30, 2, 1, 0, 0, 31, 190, 28, 16, 28, 0, 3.0, 24.0, 27.0, 0, 3, 24, 24, 0, 0, 4, 0, 1, 8, 12, 3, 0.0, 23, 0, 0, 0, 0, 14, 17, 10.71, 85.71, 96.43, 57.09375, 58.296875, 70.796875, 0, 12.5, 85.6875, 0.0, 4.19921875, 33.296875, 50.0, 12.5, 0.0, 100.0, 95.796875, 0.0, 0.0, 0.0, 0.0, 168.0, 24.0, 0.0, 0.0, 21.0, "Tous les candidats", 301.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "12935", "Licence - Double diplôme - Licence Economie et gestion - Parcours Langues et Civilisations - option Anglais et Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12935&g_ta_cod=12935", 100.0, 0.0, 0.0),
(2810, "Privé sous contrat d'association", "0593030Y", "Lycée professionnel Notre-Dame du Sacré Coeur", "59", "Nord", "Hauts-de-France", "Lille", "Loos", "formation sélective", "BTS", "Lycée professionnel Notre-Dame du Sacré Coeur - BTS - Services - Métiers de la coiffure", "BTS - Services", "", 20, 68, 57, 56, 0, 9, 4, 10, 3, 15, 7, 22, 12, 4, 0, 5, 3, 48, 7, 0, 0, 9, 4, 10, 3, 14, 7, 15, 55, 11, 8, 8, 3, 0.0, 7.0, 9.0, 0, 2, 4, 1, 1, 2, 7, 0, 3, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 0.0, 63.64, 81.82, 72.6875, 50.0, 50.0, 0, 50.0, 36.3984375, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 25.0, 25.0, 25.0, 0.0, 50.0, 0.0, 12.0, 5.0, 17.0, 9.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers technologiques toutes séries", 14, "Bacheliers professionnels toutes séries", 19, "Liste d'appel propre à cette formation", 86.0, "33678", "BTS - Services - Métiers de la coiffure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33678&g_ta_cod=33678", 27.0, 36.0, 27.0),
(2811, "Privé sous contrat d'association", "0671639T", "Lycée des Métiers Sainte Clotilde", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée des Métiers Sainte Clotilde - BTS - Services - Communication", "BTS - Services", "", 34, 602, 378, 525, 0, 153, 20, 129, 30, 37, 15, 206, 77, 9, 17, 7, 44, 170, 11, 0, 0, 74, 7, 35, 4, 6, 2, 55, 157, 23, 17, 21, 2, 8.0, 21.0, 21.0, 0, 0, 10, 5, 4, 1, 13, 0, 3, 2, 4, 1, 0.0, 4, 2, 1, 0, 0, 9, 9, 34.78, 91.3, 91.3, 73.890625, 90.0, 90.0, 0, 0.0, 43.5, 0.0, 30.0, 20.0, 40.0, 10.0, 0.0, 50.0, 40.0, 40.0, 20.0, 10.0, 10.0, 65.0, 7.0, 6.0, 2.0, 59.0, "Tous les candidats sauf les Bac professionnels", 162.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 32.0, "7984", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7984&g_ta_cod=7984", 70.0, 26.0, 4.0),
(2812, "Public", "0310044E", "Lycée Déodat de Séverac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Déodat de Séverac - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 24, 322, 52, 271, 0, 22, 7, 87, 21, 63, 30, 99, 51, 4, 5, 16, 26, 154, 10, 0, 0, 18, 6, 66, 16, 42, 21, 28, 122, 13, 2, 11, 2, 1.0, 10.0, 13.0, 0, 5, 8, 0, 2, 6, 5, 0, 2, 6, 0, 0, 0.0, 0, 1, 5, 2, 0, 7, 7, 7.69, 76.92, 100.0, 15.3984375, 87.5, 87.5, 25, 62.5, 61.5, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 0.0, 0.0, 25.0, 12.5, 75.0, 62.5, 13.0, 5.0, 36.0, 18.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 56.0, "4056", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4056&g_ta_cod=4056", 8.0, 46.0, 46.0),
(2813, "Public", "9741050Y", "Lycée Louis Payen", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Paul", "formation sélective", "BTS", "Lycée Louis Payen - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 411, 257, 359, 0, 42, 22, 146, 83, 103, 75, 68, 52, 0, 26, 0, 26, 201, 13, 0, 0, 33, 17, 66, 39, 74, 55, 28, 102, 29, 18, 22, 7, 5.0, 18.0, 25.0, 0, 14, 20, 3, 7, 10, 9, 0, 5, 8, 5, 2, 0.0, 1, 5, 9, 1, 1, 20, 20, 17.24, 62.07, 86.21, 62.09375, 100.0, 100.0, 5, 70.0, 69.0, 0.0, 25.0, 40.0, 25.0, 10.0, 0.0, 15.0, 5.0, 35.0, 25.0, 50.0, 45.0, 11.0, 9.0, 22.0, 18.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 34.0, "11946", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11946&g_ta_cod=11946", 17.0, 45.0, 38.0),
(2814, "Public", "0530081A", "Lycée agricampus de Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "Lycée agricampus de Laval - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 16, 156, 80, 144, 0, 10, 0, 30, 7, 6, 4, 98, 12, 2, 2, 0, 8, 57, 5, 0, 0, 9, 0, 25, 7, 5, 4, 18, 53, 11, 5, 11, 0, 7.0, 11.0, 11.0, 0, 1, 7, 2, 4, 1, 4, 0, 3, 3, 1, 0, 0.0, 1, 2, 1, 0, 0, 5, 5, 63.64, 100.0, 100.0, 45.5, 71.390625, 71.390625, 0, 14.298828125, 63.59375, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 28.59765625, 14.298828125, 57.09375, 28.59765625, 14.298828125, 14.298828125, 11.0, 0.0, 2.0, 1.0, 18.0, "Tous les candidats sauf les Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 41.0, "6222", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6222&g_ta_cod=6222", 36.0, 55.0, 9.0),
(2815, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence_Las", "Université de Poitiers - Licence - Portail  -  option Santé", "Licence - Sciences - technologies - santé", "", 40, 216, 64, 203, 0, 103, 30, 12, 3, 0, 0, 88, 13, 4, 1, 0, 8, 193, 12, 0, 0, 103, 30, 12, 3, 0, 0, 78, 147, 37, 10, 35, 2, 7.0, 30.0, 33.0, 0, 4, 27, 22, 5, 0, 10, 0, 9, 13, 5, 0, 0.0, 15, 3, 0, 0, 0, 17, 17, 18.92, 81.08, 89.19, 27.0, 63.0, 63.0, 0, 14.798828125, 73.0, 0.0, 33.296875, 48.09375, 18.5, 0.0, 0.0, 81.5, 55.59375, 18.5, 11.099609375, 0.0, 0.0, 87.0, 23.0, 0.0, 0.0, 52.0, "Tous les candidats", 161.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "28735", "Licence - Portail  -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28735&g_ta_cod=28735", 84.0, 16.0, 0.0),
(2816, "Privé sous contrat d'association", "0420996E", "Lycée professionnel La Grand'Grange", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Chamond", "formation sélective", "BTS", "Lycée professionnel La Grand'Grange - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 15, 115, 8, 109, 0, 15, 4, 34, 5, 40, 4, 20, 6, 0, 0, 4, 2, 107, 2, 0, 0, 15, 4, 34, 5, 39, 4, 19, 86, 8, 1, 8, 0, 1.0, 7.0, 8.0, 0, 1, 8, 2, 3, 3, 0, 2, 4, 1, 1, 0, 0.0, 0, 2, 0, 2, 0, 6, 6, 12.5, 87.5, 100.0, 12.5, 75.0, 75.0, 25, 12.5, 100.0, 25.0, 50.0, 12.5, 12.5, 0.0, 0.0, 25.0, 0.0, 37.5, 25.0, 37.5, 0.0, 12.0, 4.0, 37.0, 5.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers technologiques toutes séries", 33, "Bacheliers professionnels toutes séries", 42, "Liste d'appel propre à cette formation", 88.0, "32579", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32579&g_ta_cod=32579", 25.0, 38.0, 38.0),
(2817, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Lettres - Parcours Lettres - Mineure Cinéma et Audiovisuel", "Licence - Arts-lettres-langues", "Lettres - Mineure Cinéma et Audiovisuel", 23, 506, 351, 506, 0, 306, 35, 11, 5, 28, 8, 161, 0, 0, 0, 0, 0, 506, 0, 0, 0, 306, 35, 11, 5, 28, 8, 161, 129, 23, 15, 23, 0, 2.0, 17.0, 21.0, 0, 7, 17, 14, 0, 3, 6, 0, 4, 4, 6, 3, 0.0, 12, 0, 1, 0, 0, 5, 12, 8.7, 73.91, 91.3, 65.1875, 29.3984375, 70.59375, 0, 41.1953125, 73.890625, 0.0, 23.5, 23.5, 35.296875, 17.6, 0.0, 82.390625, 70.59375, 0.0, 0.0, 17.59765625, 5.8994140625, 94.0, 13.0, 7.0, 5.0, 28.0, "Tous les candidats", 219.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "9246", "Licence - Lettres - Parcours Lettres - Mineure Cinéma et Audiovisuel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9246&g_ta_cod=9246", 78.0, 0.0, 22.0),
(2818, "Public", "0640010N", "Lycée René Cassin Bayonne-Biarritz", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "BTS", "Lycée René Cassin Bayonne-Biarritz - BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "BTS - Services", "", 12, 774, 238, 774, 0, 321, 49, 68, 21, 84, 26, 301, 0, 0, 0, 0, 0, 432, 0, 0, 0, 273, 9, 48, 2, 23, 9, 88, 20, 12, 8, 12, 0, 7.0, 11.0, 11.0, 0, 2, 9, 8, 0, 1, 3, 0, 0, 5, 3, 1, 0.0, 8, 0, 1, 2, 1, 7, 7, 58.33, 91.67, 91.67, 66.6875, 77.796875, 77.796875, 22.19921875, 22.19921875, 75.0, 0.0, 0.0, 55.59375, 33.296875, 11.1, 0.0, 88.890625, 88.890625, 0.0, 0.0, 11.099609375, 11.099609375, 12.0, 3.0, 2.0, 1.0, 6.0, "Tous les candidats sauf les Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 3, "", 0, "Liste d'appel propre à cette formation", 3.0, "7693", "BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7693&g_ta_cod=7693", 83.0, 0.0, 17.0),
(2819, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Autre formation", "Université de Poitiers - C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master en Ingénierie (CMI) : Informatique", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Informatique", 15, 168, 24, 167, 0, 114, 20, 15, 5, 2, 2, 36, 1, 0, 0, 0, 1, 63, 0, 0, 0, 57, 10, 0, 0, 0, 0, 6, 50, 13, 2, 13, 0, 2.0, 12.0, 12.0, 0, 2, 10, 10, 0, 0, 3, 0, 0, 4, 3, 3, 0.0, 10, 0, 0, 0, 0, 6, 6, 15.38, 92.31, 92.31, 15.3984375, 60.0, 60.0, 0, 20.0, 76.890625, 0.0, 0.0, 40.0, 30.0, 30.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 44.0, 6.0, 0.0, 0.0, 6.0, "Tous les candidats", 62.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "21025", "C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master en Ingénierie (CMI) : Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21025&g_ta_cod=21025", 100.0, 0.0, 0.0),
(2820, "Public", "0610995A", "IFSI CH l'Aigle", "61", "Orne", "Normandie", "Normandie", "L'Aigle", "formation sélective", "IFSI", "Regroupement d'IFSI Université Caen - D.E Infirmier", "D.E secteur sanitaire", "", 43, 2145, 1820, 2145, 0, 306, 58, 472, 87, 363, 118, 1004, 0, 0, 0, 0, 0, 2040, 0, 0, 0, 302, 58, 459, 81, 340, 114, 939, 635, 43, 36, 43, 0, 0.0, 12.0, 30.0, 0, 10, 25, 11, 7, 7, 18, 0, 5, 15, 5, 0, 0.0, 7, 7, 6, 0, 0, 14, 14, 0.0, 27.91, 69.77, 83.6875, 56.0, 56.0, 0, 40.0, 58.09375, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 44.0, 28.0, 28.0, 28.0, 28.0, 24.0, 162.0, 30.0, 77.0, 31.0, 244.0, "Tous les candidats", 1973.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "25267", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23094&g_ta_cod=25267", 47.0, 35.0, 16.0),
(2821, "Privé sous contrat d'association", "0220116G", "Lycée/Pôle supérieur Saint BRIEUC", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée/Pôle supérieur Saint BRIEUC - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 221, 105, 186, 0, 28, 3, 74, 12, 32, 10, 52, 35, 6, 2, 7, 20, 151, 20, 0, 0, 25, 2, 70, 11, 25, 6, 31, 138, 28, 13, 22, 6, 8.0, 22.0, 26.0, 0, 7, 21, 3, 10, 8, 7, 0, 7, 10, 4, 0, 0.0, 1, 5, 8, 0, 0, 21, 21, 28.57, 78.57, 92.86, 46.3984375, 100.0, 100.0, 0, 33.296875, 75.0, 0.0, 33.296875, 47.59375, 19.0, 0.0, 0.0, 14.298828125, 4.7998046875, 47.59375, 23.796875, 38.09375, 38.09375, 22.0, 1.0, 28.0, 9.0, 36.0, "Tous les candidats sauf les Bac professionnels", 123.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 80.0, "3344", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3344&g_ta_cod=3344", 21.0, 46.0, 32.0),
(2822, "Public", "0750663N", "Lycée Chaptal", "75", "Paris", "Ile-de-France", "Paris", "Paris  8e  Arrondissement", "formation sélective", "CPGE", "Lycée Chaptal - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 4449, 1682, 4449, 2385, 3974, 427, 0, 0, 0, 0, 475, 0, 0, 0, 0, 0, 3680, 0, 2385, 3020, 3398, 358, 0, 0, 0, 0, 282, 869, 92, 39, 92, 0, 0.0, 35.0, 80.0, 15, 8, 91, 91, 0, 0, 1, 0, 0, 0, 32, 53, 6.0, 91, 0, 0, 1, 0, 21, 81, 0.0, 38.04, 86.96, 42.3984375, 23.09765625, 89.0, 1.099853515625, 8.798828125, 98.890625, 0.0, 0.0, 0.0, 35.1953125, 58.2, 6.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 864.0, 80.0, 0.0, 0.0, 5.0, "Tous les candidats", 1338.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "8992", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8992&g_ta_cod=8992", 100.0, 0.0, 0.0),
(2823, "Public", "0510032H", "Lycée JEAN JAURES", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "CPGE", "Lycée JEAN JAURES - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 378, 253, 378, 191, 305, 51, 1, 0, 0, 0, 72, 0, 0, 0, 0, 0, 298, 0, 161, 285, 286, 45, 0, 0, 0, 0, 12, 274, 50, 34, 47, 0, 22.0, 47.0, 48.0, 11, 6, 49, 49, 0, 0, 1, 0, 0, 7, 25, 15, 2.0, 49, 0, 0, 9, 7, 39, 39, 44.0, 94.0, 96.0, 68.0, 79.59375, 79.59375, 18.3984375, 12.19921875, 98.0, 0.0, 0.0, 14.298828125, 51.0, 30.6, 4.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 263.0, 43.0, 0.0, 0.0, 11.0, "Tous les candidats", 298.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "6060", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6060&g_ta_cod=6060", 100.0, 0.0, 0.0),
(2824, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 130, 743, 306, 556, 0, 296, 86, 61, 25, 40, 16, 159, 187, 55, 20, 5, 107, 552, 185, 0, 0, 296, 86, 61, 25, 40, 16, 155, 739, 130, 42, 78, 52, 78.0, 78.0, 112.0, 0, 22, 61, 38, 12, 11, 69, 0, 38, 18, 5, 0, 0.0, 13, 2, 8, 0, 0, 27, 50, 60.0, 60.0, 86.15, 32.296875, 44.296875, 82.0, 0, 36.09375, 46.8984375, 0.0, 62.296875, 29.5, 8.19921875, 0.0, 0.0, 62.296875, 21.296875, 19.69921875, 3.2998046875, 18.0, 13.099609375, 352.0, 99.0, 45.0, 19.0, 261.0, "Tous les candidats", 553.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "15414", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15414&g_ta_cod=15414", 52.0, 22.0, 23.0),
(2825, "Public", "0370770L", "Institut Universitaire de Technologie de TOURS", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BUT", "Institut Universitaire de Technologie de TOURS - BUT - Gestion des entreprises et des administrations", "BUT - Service", "", 132, 3279, 1611, 3279, 0, 1822, 271, 891, 238, 41, 27, 525, 0, 0, 0, 0, 0, 2345, 0, 0, 0, 1512, 191, 568, 128, 0, 0, 265, 720, 139, 70, 139, 0, 9.0, 111.0, 128.0, 0, 31, 130, 71, 59, 0, 9, 0, 19, 55, 50, 6, 0.0, 66, 45, 0, 0, 0, 106, 106, 6.47, 79.86, 92.09, 50.3984375, 81.5, 81.5, 0, 23.796875, 93.5, 0.0, 14.599609375, 42.296875, 38.5, 4.6, 0.0, 54.59375, 50.796875, 45.3984375, 34.59375, 0.0, 0.0, 371.0, 71.0, 0.0, 0.0, 64.0, "Tous les candidats sauf les Bac technologiques", 675.0, "Bacheliers technologiques toutes séries", 418, "", 0, "Liste d'appel propre à cette formation", 33.0, "4869", "BUT - Gestion des entreprises et des administrations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4869&g_ta_cod=4869", 55.0, 45.0, 0.0),
(2826, "Privé sous contrat d'association", "0490075R", "ESEO Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 4, 211, 72, 211, 0, 0, 0, 0, 0, 0, 0, 211, 0, 0, 0, 0, 0, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 162, 131, 1, 0, 1, 0, 0.0, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 131.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "31727", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=31727", 0.0, 100.0, 0.0),
(2827, "Privé sous contrat d'association", "0511147V", "Lycée Fredéric OZANAM", "51", "Marne", "Grand Est", "Reims", "Châlons-en-Champagne", "formation sélective", "BTS", "Lycée Fredéric OZANAM - BTS - Services - Support à l'action managériale", "BTS - Services", "", 30, 111, 67, 91, 0, 6, 1, 20, 7, 23, 5, 42, 20, 2, 4, 7, 7, 50, 7, 0, 0, 6, 1, 17, 7, 23, 5, 4, 57, 11, 10, 8, 3, 4.0, 8.0, 11.0, 0, 2, 10, 0, 3, 7, 1, 0, 8, 2, 0, 0, 0.0, 0, 0, 2, 4, 4, 10, 10, 36.36, 72.73, 100.0, 90.890625, 100.0, 100.0, 40, 20.0, 90.890625, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 30.0, 0.0, 70.0, 20.0, 7.0, 1.0, 25.0, 5.0, 7.0, "Tous les candidats sauf les Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 55.0, "6108", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6108&g_ta_cod=6108", 0.0, 36.0, 64.0),
(2828, "Public", "0750699C", "Lycée Janson De Sailly", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Pôle Claude Bernard / Janson de Sailly - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 48, 2982, 1455, 2958, 1629, 2662, 201, 0, 0, 0, 0, 296, 24, 11, 0, 1, 12, 1196, 0, 214, 1041, 1173, 123, 0, 0, 0, 0, 23, 500, 42, 21, 42, 0, 0.0, 23.0, 39.0, 4, 5, 42, 42, 0, 0, 0, 0, 0, 1, 14, 24, 3.0, 42, 0, 0, 3, 0, 17, 26, 0.0, 54.76, 92.86, 50.0, 40.5, 61.8984375, 7.099609375, 11.8984375, 100.0, 0.0, 0.0, 2.39990234375, 33.296875, 57.1, 7.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 498.0, 35.0, 0.0, 0.0, 2.0, "Tous les candidats", 904.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "31369", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31369&g_ta_cod=31369", 100.0, 0.0, 0.0),
(2829, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Histoire de l'art et archéologie", "Licence - Sciences humaines et sociales", "", 160, 893, 649, 760, 0, 462, 94, 90, 25, 49, 13, 159, 133, 24, 3, 8, 98, 760, 129, 0, 0, 462, 94, 90, 25, 49, 13, 159, 890, 143, 95, 103, 39, 100.0, 103.0, 125.0, 0, 22, 93, 74, 9, 10, 50, 2, 33, 40, 13, 4, 1.0, 47, 5, 6, 0, 0, 53, 53, 69.93, 72.03, 87.41, 66.390625, 57.0, 57.0, 0, 23.69921875, 65.0, 2.19970703125, 35.5, 43.0, 14.0, 4.3, 1.1, 79.59375, 50.5, 9.69921875, 5.3994140625, 10.798828125, 6.5, 486.0, 101.0, 57.0, 14.0, 253.0, "Tous les candidats", 761.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7660", "Licence - Histoire de l'art et archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7660&g_ta_cod=7660", 77.0, 11.0, 10.0),
(2830, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Licence", "Université de Strasbourg - Double licence - Langues étrangères appliquées / Economie et gestion - Double licence LEA - Economie et gestion", "Licence - Arts-lettres-langues", "Double licence LEA - Economie et gestion", 40, 279, 180, 261, 0, 195, 30, 8, 4, 0, 0, 58, 18, 3, 1, 0, 14, 181, 2, 0, 0, 146, 15, 3, 2, 0, 0, 32, 129, 36, 20, 34, 2, 6.0, 31.0, 34.0, 0, 2, 25, 25, 0, 0, 11, 1, 1, 7, 12, 4, 0.0, 23, 0, 0, 0, 0, 17, 17, 16.67, 86.11, 94.44, 55.59375, 68.0, 68.0, 0, 8.0, 69.390625, 4.0, 4.0, 28.0, 48.0, 16.0, 0.0, 100.0, 92.0, 0.0, 0.0, 0.0, 0.0, 99.0, 13.0, 0.0, 0.0, 28.0, "Tous les candidats", 181.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "17600", "Double licence - Langues étrangères appliquées / Economie et gestion - Double licence LEA - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17600&g_ta_cod=17600", 100.0, 0.0, 0.0),
(2831, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "PASS", "Université Grenoble Alpes  - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 60, 2930, 1747, 2930, 0, 2346, 318, 75, 18, 10, 5, 499, 0, 0, 0, 0, 0, 2893, 0, 0, 0, 2346, 318, 75, 18, 10, 5, 462, 241, 60, 41, 60, 0, 4.0, 53.0, 58.0, 0, 8, 60, 60, 0, 0, 0, 0, 0, 1, 27, 30, 2.0, 60, 0, 0, 0, 0, 58, 58, 6.67, 88.33, 96.67, 68.296875, 96.6875, 96.6875, 0, 13.298828125, 100.0, 0.0, 0.0, 1.699951171875, 45.0, 50.0, 3.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 241.0, 33.0, 0.0, 0.0, 0.0, "Tous les candidats", 903.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "31711", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30761&g_ta_cod=31711", 100.0, 0.0, 0.0),
(2832, "Privé sous contrat d'association", "0492246A", "ESAIP Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saint-Barthélemy-d'Anjou", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 10, 106, 3, 106, 0, 0, 0, 106, 27, 0, 0, 0, 0, 0, 0, 0, 0, 90, 0, 0, 0, 0, 0, 90, 22, 0, 0, 0, 79, 8, 2, 8, 0, 6.0, 8.0, 8.0, 0, 2, 8, 0, 8, 0, 0, 0, 1, 5, 2, 0, 0.0, 0, 7, 0, 0, 0, 4, 4, 75.0, 100.0, 100.0, 25.0, 50.0, 50.0, 0, 25.0, 100.0, 0.0, 12.5, 62.5, 25.0, 0.0, 0.0, 0.0, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "22906", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=22906", 0.0, 100.0, 0.0),
(2833, "Public", "0931235M", "I.U.T de Villetaneuse - Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation sélective", "BUT", "I.U.T de Villetaneuse - Université Sorbonne Paris Nord - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation  - Intégration d?applications et management du système d?information", "BUT - Production", "Réalisation d'applications : conception, développement, validation  - Intégration d?applications et management du système d?information", 128, 3878, 461, 3870, 0, 2006, 649, 949, 388, 46, 25, 869, 8, 0, 4, 0, 4, 1336, 1, 0, 0, 896, 278, 350, 118, 1, 0, 89, 576, 126, 16, 124, 1, 17.0, 95.0, 117.0, 0, 48, 112, 54, 58, 0, 14, 0, 16, 64, 31, 1, 0.0, 49, 47, 0, 0, 0, 38, 103, 13.49, 75.4, 92.86, 12.69921875, 33.8984375, 92.0, 0, 42.8984375, 88.890625, 0.0, 14.298828125, 57.09375, 27.69921875, 0.9, 0.0, 48.1953125, 43.796875, 51.796875, 42.0, 0.0, 0.0, 295.0, 95.0, 0.0, 0.0, 55.0, "Tous les candidats sauf les Bac technologiques", 511.0, "Bacheliers technologiques toutes séries", 360, "", 0, "Liste d'appel propre à cette formation", 22.0, "11236", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation  - Intégration d?applications et management du système d?information", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11236&g_ta_cod=11236", 50.0, 50.0, 0.0),
(2834, "Public", "0312267W", "Lycée Des Arènes", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Des Arènes - BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "BTS - Services", "", 12, 1511, 551, 1510, 0, 674, 136, 161, 43, 151, 55, 524, 1, 0, 0, 0, 1, 136, 0, 0, 0, 46, 3, 19, 2, 36, 14, 35, 32, 11, 3, 11, 0, 5.0, 10.0, 10.0, 0, 2, 7, 4, 1, 2, 4, 0, 0, 2, 3, 2, 0.0, 4, 1, 2, 1, 1, 5, 5, 45.45, 90.91, 90.91, 27.296875, 71.390625, 71.390625, 14.298828125, 28.59765625, 63.59375, 0.0, 0.0, 28.59765625, 42.8984375, 28.6, 0.0, 57.09375, 57.09375, 14.298828125, 14.298828125, 28.59765625, 28.59765625, 9.0, 2.0, 4.0, 1.0, 14.0, "Tous les candidats sauf les Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 2.0, "4211", "BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4211&g_ta_cod=4211", 64.0, 9.0, 27.0),
(2835, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Université Angers - Licence - Portail Langues étrangères appliquées - Anglais-Espagnol", "Licence - Arts-lettres-langues", "Anglais-Espagnol", 5, 216, 169, 216, 0, 131, 35, 9, 5, 7, 3, 69, 0, 0, 0, 0, 0, 216, 0, 0, 0, 131, 35, 9, 5, 7, 3, 69, 42, 7, 6, 7, 0, 0.0, 7.0, 7.0, 0, 2, 5, 5, 0, 0, 2, 0, 2, 2, 0, 1, 0.0, 3, 0, 0, 0, 0, 4, 4, 0.0, 100.0, 100.0, 85.6875, 80.0, 80.0, 0, 40.0, 71.390625, 0.0, 40.0, 40.0, 0.0, 20.0, 0.0, 100.0, 60.0, 0.0, 0.0, 0.0, 0.0, 29.0, 8.0, 0.0, 0.0, 13.0, "Tous les candidats", 439.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "26953", "Licence - Portail Langues étrangères appliquées - Anglais-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26952&g_ta_cod=26953", 100.0, 0.0, 0.0),
(2836, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Histoire - Parcours Licence 1 Histoire", "Licence - Sciences humaines et sociales", "Licence 1 Histoire", 650, 2793, 1271, 2431, 0, 1721, 325, 167, 54, 48, 21, 495, 362, 76, 33, 14, 239, 2423, 357, 0, 0, 1721, 325, 167, 54, 48, 21, 487, 2780, 577, 187, 440, 137, 433.0, 438.0, 535.0, 0, 73, 358, 303, 35, 20, 219, 1, 137, 136, 74, 10, 0.0, 196, 15, 9, 0, 0, 281, 281, 75.04, 75.91, 92.72, 32.3984375, 78.5, 78.5, 0, 20.3984375, 62.0, 0.29998779296875, 38.296875, 38.0, 20.69921875, 2.8, 0.0, 84.59375, 54.6953125, 9.798828125, 4.19921875, 5.599609375, 2.5, 1798.0, 338.0, 62.0, 25.0, 720.0, "Tous les candidats", 2423.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12517", "Licence - Histoire - Parcours Licence 1 Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12517&g_ta_cod=12517", 78.0, 14.0, 8.0),
(2837, "Privé enseignement supérieur", "0753324F", "ESRA - Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ESRA - Formation des écoles supérieure d'art Bac + 3 - Etudes Supérieures en Film d'Animation", "Formation des écoles supérieure d'art", "Etudes Supérieures en Film d'Animation", 30, 167, 89, 164, 0, 98, 8, 13, 2, 9, 2, 44, 3, 0, 1, 0, 2, 120, 2, 0, 0, 72, 6, 9, 1, 5, 2, 34, 86, 29, 12, 27, 2, 14.0, 22.0, 23.0, 0, 5, 19, 16, 2, 1, 10, 0, 9, 4, 4, 2, 0.0, 9, 0, 1, 0, 0, 4, 12, 48.28, 75.86, 79.31, 41.3984375, 21.09765625, 63.1953125, 0, 26.296875, 65.5, 0.0, 47.3984375, 21.09765625, 21.09765625, 10.5, 0.0, 84.1875, 47.3984375, 10.5, 0.0, 5.2998046875, 5.2998046875, 50.0, 6.0, 2.0, 1.0, 28.0, "Tous les candidats", 123.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 55.0, "26443", "Formation des écoles supérieure d'art Bac + 3 - Etudes Supérieures en Film d'Animation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26443&g_ta_cod=26443", 72.0, 17.0, 10.0),
(2838, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Langues étrangères appliquées - Parcours Anglais - Allemand", "Licence - Arts-lettres-langues", "Anglais - Allemand", 25, 119, 88, 91, 0, 53, 13, 4, 2, 2, 2, 32, 28, 3, 4, 0, 21, 91, 15, 0, 0, 53, 13, 4, 2, 2, 2, 32, 87, 23, 14, 16, 7, 4.0, 15.0, 17.0, 0, 2, 8, 7, 1, 0, 15, 0, 2, 3, 3, 0, 0.0, 6, 0, 0, 0, 0, 5, 5, 17.39, 65.22, 73.91, 60.8984375, 62.5, 62.5, 0, 25.0, 34.796875, 0.0, 25.0, 37.5, 37.5, 0.0, 0.0, 87.5, 75.0, 12.5, 0.0, 0.0, 0.0, 42.0, 11.0, 2.0, 2.0, 39.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12819", "Licence - Langues étrangères appliquées - Parcours Anglais - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12819&g_ta_cod=12819", 83.0, 9.0, 9.0),
(2839, "Public", "0850028U", "Lycée professionnel Edouard Branly", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée professionnel Edouard Branly - BTS - Services - Management en hôtellerie restauration (Seconde année en apprentissage)", "BTS - Services", "", 12, 121, 52, 120, 0, 0, 0, 35, 4, 68, 18, 17, 1, 0, 1, 0, 0, 114, 1, 0, 0, 0, 0, 34, 4, 65, 17, 15, 50, 11, 3, 10, 1, 6.0, 10.0, 11.0, 0, 3, 10, 0, 5, 5, 1, 0, 1, 5, 3, 1, 0.0, 0, 4, 5, 5, 0, 7, 7, 54.55, 90.91, 100.0, 27.296875, 70.0, 70.0, 50, 30.0, 90.890625, 0.0, 10.0, 50.0, 30.0, 10.0, 0.0, 0.0, 0.0, 50.0, 40.0, 50.0, 50.0, 0.0, 0.0, 22.0, 6.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 75.0, "10484", "BTS - Services - Management en hôtellerie restauration (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10484&g_ta_cod=10484", 0.0, 45.0, 55.0),
(2840, "Privé sous contrat d'association", "9720070U", "Lycée de l'Union", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée de l'Union - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 215, 102, 182, 0, 36, 9, 68, 26, 28, 13, 50, 33, 3, 7, 6, 17, 46, 22, 0, 0, 17, 4, 11, 3, 4, 2, 14, 66, 13, 3, 8, 5, 7.0, 8.0, 13.0, 0, 1, 6, 1, 3, 2, 7, 0, 4, 2, 0, 0, 0.0, 0, 0, 2, 1, 0, 5, 5, 53.85, 61.54, 100.0, 23.09765625, 83.296875, 83.296875, 16.69921875, 16.69921875, 46.1953125, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 16.69921875, 0.0, 50.0, 0.0, 33.296875, 33.296875, 18.0, 5.0, 9.0, 6.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers technologiques toutes séries", 14, "Bacheliers professionnels toutes séries", 10, "Liste d'appel propre à cette formation", 25.0, "25661", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25661&g_ta_cod=25661", 23.0, 23.0, 54.0),
(2841, "Public", "0280044W", "Lycée Jehan De Beauce", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Chartres", "formation sélective", "BTS", "Lycée Jehan De Beauce - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 14, 84, 14, 77, 0, 2, 0, 25, 5, 23, 9, 27, 7, 2, 1, 0, 4, 54, 1, 0, 0, 1, 0, 24, 4, 18, 7, 11, 47, 14, 3, 12, 1, 3.0, 8.0, 11.0, 0, 6, 11, 0, 5, 6, 3, 0, 4, 3, 3, 1, 0.0, 0, 1, 6, 9, 2, 10, 10, 21.43, 57.14, 78.57, 21.3984375, 90.890625, 90.890625, 81.796875, 54.5, 78.59375, 0.0, 36.3984375, 27.296875, 27.296875, 9.1, 0.0, 0.0, 0.0, 45.5, 9.099609375, 54.5, 54.5, 0.0, 0.0, 17.0, 7.0, 10.0, "Tous les candidats sauf les Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 69.0, "3736", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3736&g_ta_cod=3736", 0.0, 50.0, 50.0),
(2842, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Université de Strasbourg - DEUST - Activités physiques et sportives adaptées : déficiences intellectuelles, troubles psychiques", "DEUST", "", 25, 211, 122, 211, 0, 70, 13, 49, 12, 28, 8, 64, 0, 0, 0, 0, 0, 81, 0, 0, 0, 23, 3, 18, 3, 8, 3, 32, 49, 24, 19, 24, 0, 12.0, 22.0, 22.0, 0, 5, 12, 6, 3, 3, 12, 0, 1, 6, 4, 1, 0.0, 5, 3, 3, 0, 0, 5, 5, 50.0, 91.67, 91.67, 79.1875, 41.6953125, 41.6953125, 0, 41.6953125, 50.0, 0.0, 8.298828125, 50.0, 33.296875, 8.3, 0.0, 50.0, 41.6953125, 25.0, 25.0, 25.0, 25.0, 11.0, 2.0, 4.0, 3.0, 25.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "8020", "DEUST - Activités physiques et sportives adaptées : déficiences intellectuelles, troubles psychiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8020&g_ta_cod=8020", 38.0, 46.0, 17.0),
(2843, "Public", "9720004X", "Lycée Joseph Gaillard", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée Joseph Gaillard - BTS - Services - Support à l'action managériale", "BTS - Services", "", 28, 264, 169, 231, 0, 42, 18, 97, 50, 64, 46, 28, 33, 3, 0, 14, 16, 55, 13, 0, 0, 22, 8, 30, 16, 3, 2, 0, 61, 15, 13, 11, 4, 2.0, 11.0, 13.0, 0, 4, 12, 3, 9, 0, 3, 0, 7, 4, 0, 1, 0.0, 2, 3, 0, 3, 3, 11, 11, 13.33, 73.33, 86.67, 86.6875, 91.6875, 91.6875, 25, 33.296875, 80.0, 0.0, 58.296875, 33.296875, 0.0, 8.3, 0.0, 25.0, 16.69921875, 75.0, 25.0, 0.0, 0.0, 21.0, 7.0, 6.0, 5.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 23.0, "11799", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11799&g_ta_cod=11799", 27.0, 60.0, 13.0),
(2844, "Privé sous contrat d'association", "0850086G", "Ensemble scolaire Saint- Gabriel Saint- Michel", "85", "Vendée", "Pays de la Loire", "Nantes", "Saint-Laurent-sur-Sèvre", "formation sélective", "BTS", "Ensemble scolaire Saint- Gabriel Saint- Michel - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 12, 63, 5, 54, 0, 11, 3, 10, 2, 17, 3, 16, 9, 0, 1, 2, 6, 46, 6, 0, 0, 11, 3, 9, 2, 17, 3, 9, 35, 9, 0, 7, 2, 6.0, 7.0, 7.0, 0, 1, 6, 0, 2, 4, 3, 0, 0, 3, 3, 0, 0.0, 0, 2, 4, 1, 0, 6, 6, 66.67, 77.78, 77.78, 0.0, 100.0, 100.0, 16.69921875, 16.69921875, 66.6875, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 9.0, 1.0, 12.0, 3.0, 9.0, "Tous les candidats sauf les Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 85.0, "10494", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10494&g_ta_cod=10494", 11.0, 33.0, 56.0),
(2845, "Public", "0350028R", "Lycée Bréquigny", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Bréquigny - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 30, 519, 79, 480, 0, 68, 7, 148, 26, 56, 18, 208, 39, 0, 18, 4, 17, 249, 7, 0, 0, 64, 7, 123, 18, 18, 3, 44, 158, 26, 9, 23, 3, 0.0, 16.0, 26.0, 0, 4, 18, 7, 10, 1, 8, 0, 13, 4, 1, 0, 0.0, 1, 4, 0, 3, 1, 10, 10, 0.0, 61.54, 100.0, 34.59375, 55.59375, 55.59375, 16.69921875, 22.19921875, 69.1875, 0.0, 72.1875, 22.19921875, 5.599609375, 0.0, 0.0, 38.8984375, 5.599609375, 55.59375, 22.19921875, 5.599609375, 0.0, 36.0, 6.0, 17.0, 3.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 95.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 136, "Liste d'appel propre à cette formation", 52.0, "4631", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4631&g_ta_cod=4631", 50.0, 46.0, 4.0),
(2846, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Double licence - Histoire / Science politique - Histoire - Science Politique", "Licence - Sciences humaines et sociales", "Histoire - Science Politique", 100, 5805, 3279, 5805, 0, 4868, 518, 16, 6, 4, 2, 917, 0, 0, 0, 0, 0, 3640, 0, 0, 0, 3184, 269, 0, 0, 1, 0, 455, 478, 99, 68, 99, 0, 5.0, 67.0, 84.0, 0, 10, 97, 97, 0, 0, 2, 0, 0, 0, 3, 73, 21.0, 97, 0, 0, 0, 0, 8, 32, 5.05, 67.68, 84.85, 68.6875, 8.19921875, 33.0, 0, 10.298828125, 98.0, 0.0, 0.0, 0.0, 3.099609375, 75.3, 21.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 450.0, 52.0, 0.0, 0.0, 28.0, "Tous les candidats", 683.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "9208", "Double licence - Histoire / Science politique - Histoire - Science Politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9208&g_ta_cod=9208", 100.0, 0.0, 0.0),
(2847, "Privé enseignement supérieur", "0421601M", "EM Lyon Business School (Campus de Saint-Etienne)", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 30, 67, 17, 55, 0, 33, 2, 8, 1, 1, 0, 13, 12, 9, 1, 0, 2, 26, 5, 0, 0, 21, 0, 2, 0, 0, 0, 3, 31, 16, 4, 12, 4, 12.0, 12.0, 16.0, 0, 0, 14, 14, 0, 0, 2, 1, 3, 5, 5, 0, 0.0, 10, 0, 0, 0, 0, 4, 4, 75.0, 75.0, 100.0, 25.0, 28.59765625, 28.59765625, 0, 0.0, 87.5, 7.099609375, 21.3984375, 35.6953125, 35.6953125, 0.0, 0.0, 100.0, 71.390625, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "31992", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=31992", 100.0, 0.0, 0.0),
(2848, "Privé sous contrat d'association", "0370748M", "Lycée Saint Gatien", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Joué-lès-Tours", "formation sélective", "BTS", "Lycée Saint Gatien - BTS - Production - Travaux publics", "BTS - Production", "", 16, 170, 19, 121, 0, 29, 3, 31, 3, 26, 6, 35, 49, 7, 14, 5, 23, 87, 17, 0, 0, 27, 2, 29, 2, 22, 4, 9, 85, 11, 0, 5, 6, 0.0, 5.0, 10.0, 0, 0, 6, 4, 2, 0, 5, 0, 4, 2, 0, 0, 0.0, 0, 2, 0, 0, 0, 5, 5, 0.0, 45.45, 90.91, 0.0, 83.296875, 83.296875, 0, 0.0, 54.5, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 0.0, 33.296875, 33.296875, 0.0, 0.0, 24.0, 2.0, 21.0, 5.0, 16.0, "Tous les candidats sauf les Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 71.0, "4858", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4858&g_ta_cod=4858", 64.0, 36.0, 0.0),
(2849, "Privé sous contrat d'association", "0631070W", "Lycée Sainte Thecle", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Chamalières", "formation sélective", "BTS", "Lycée Sainte Thecle - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 28, 206, 188, 198, 0, 21, 6, 53, 10, 67, 26, 57, 8, 0, 5, 0, 3, 139, 3, 0, 0, 19, 6, 41, 8, 49, 20, 30, 107, 26, 25, 24, 2, 2.0, 20.0, 22.0, 0, 7, 20, 4, 8, 8, 6, 0, 10, 7, 3, 0, 0.0, 1, 2, 7, 0, 0, 16, 16, 7.69, 76.92, 84.62, 96.1875, 80.0, 80.0, 0, 35.0, 76.890625, 0.0, 50.0, 35.0, 15.0, 0.0, 0.0, 20.0, 5.0, 40.0, 10.0, 40.0, 35.0, 15.0, 5.0, 33.0, 15.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 63.0, "13309", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13309&g_ta_cod=13309", 19.0, 46.0, 35.0),
(2850, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence_Las", "Université de Lorraine - Site de Metz - Licence - Portail Licence 1ère année Portail Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "Licence 1ère année Portail Sciences pour l'ingénieur", 16, 258, 112, 242, 0, 134, 28, 11, 1, 4, 1, 93, 16, 5, 0, 0, 11, 238, 16, 0, 0, 134, 28, 11, 1, 4, 1, 89, 149, 16, 5, 11, 5, 0.0, 7.0, 11.0, 0, 3, 13, 10, 0, 3, 3, 0, 7, 4, 1, 1, 0.0, 4, 0, 2, 0, 0, 8, 8, 0.0, 43.75, 68.75, 31.296875, 61.5, 61.5, 0, 23.09765625, 81.296875, 0.0, 53.796875, 30.796875, 7.69921875, 7.7, 0.0, 76.890625, 30.796875, 0.0, 0.0, 23.09765625, 15.3984375, 81.0, 19.0, 3.0, 1.0, 62.0, "Tous les candidats", 624.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 84.0, "26947", "Licence - Portail Licence 1ère année Portail Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26946&g_ta_cod=26947", 81.0, 0.0, 19.0),
(2851, "Privé sous contrat d'association", "0021906L", "Lycée professionnel Saint Charles", "02", "Aisne", "Hauts-de-France", "Amiens", "Chauny", "formation sélective", "BTS", "Lycée professionnel Saint Charles - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 35, 186, 65, 152, 0, 37, 8, 30, 13, 65, 18, 20, 34, 5, 8, 14, 7, 78, 19, 0, 0, 25, 4, 12, 3, 34, 9, 7, 124, 23, 4, 18, 5, 5.0, 9.0, 22.0, 0, 6, 18, 3, 3, 12, 5, 0, 7, 7, 4, 0, 0.0, 0, 0, 11, 4, 2, 9, 9, 21.74, 39.13, 95.65, 17.3984375, 50.0, 50.0, 22.19921875, 33.296875, 78.296875, 0.0, 38.8984375, 38.8984375, 22.19921875, 0.0, 0.0, 16.69921875, 0.0, 16.69921875, 0.0, 66.6875, 61.09375, 36.0, 8.0, 56.0, 16.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers technologiques toutes séries", 12, "Bacheliers professionnels toutes séries", 35, "Liste d'appel propre à cette formation", 49.0, "29997", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29997&g_ta_cod=29997", 22.0, 17.0, 61.0),
(2852, "Public", "0540040A", "Lycée Frédéric Chopin", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Frédéric Chopin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 48, 1448, 717, 1430, 0, 177, 29, 590, 197, 344, 155, 319, 18, 1, 0, 8, 9, 769, 5, 0, 0, 147, 21, 326, 100, 193, 82, 103, 268, 44, 31, 39, 4, 1.0, 18.0, 32.0, 0, 16, 34, 5, 17, 12, 10, 0, 11, 17, 5, 1, 0.0, 3, 9, 11, 5, 3, 33, 33, 2.27, 40.91, 72.73, 70.5, 97.09375, 97.09375, 14.69921875, 47.09375, 77.296875, 0.0, 32.3984375, 50.0, 14.69921875, 2.9, 0.0, 14.69921875, 8.798828125, 50.0, 26.5, 35.296875, 32.3984375, 42.0, 12.0, 67.0, 22.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 82.0, "Bacheliers professionnels toutes séries", 152, "Bacheliers technologiques toutes séries", 255, "Liste d'appel propre à cette formation", 34.0, "6254", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6254&g_ta_cod=6254", 20.0, 43.0, 36.0),
(2853, "Public", "0170051N", "Lycée Louis Audouin Dubreuil", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Saint-Jean-d'Angély", "formation sélective", "BTS", "Lycée Louis Audouin Dubreuil - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 23, 270, 127, 268, 0, 28, 5, 107, 27, 78, 20, 55, 2, 0, 0, 1, 1, 227, 2, 0, 0, 26, 5, 95, 25, 64, 17, 42, 111, 19, 7, 19, 0, 3.0, 13.0, 15.0, 0, 5, 15, 0, 7, 8, 4, 0, 9, 5, 1, 0, 0.0, 0, 2, 4, 9, 3, 14, 14, 15.79, 68.42, 78.95, 36.796875, 93.296875, 93.296875, 60, 33.296875, 78.890625, 0.0, 60.0, 33.296875, 6.69921875, 0.0, 0.0, 0.0, 0.0, 46.6953125, 13.298828125, 53.296875, 26.69921875, 8.0, 3.0, 42.0, 10.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 48.0, "3034", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3034&g_ta_cod=3034", 0.0, 53.0, 47.0),
(2854, "Public", "0160003S", "Lycée Marguerite De Valois", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BTS", "Lycée Marguerite De Valois - BTS - Services - Communication", "BTS - Services", "", 28, 1004, 620, 1004, 0, 195, 36, 174, 51, 103, 42, 532, 0, 0, 0, 0, 0, 612, 0, 0, 0, 168, 28, 173, 51, 103, 42, 168, 124, 28, 21, 28, 0, 3.0, 20.0, 24.0, 0, 2, 19, 10, 4, 5, 9, 0, 2, 10, 7, 0, 0.0, 10, 3, 4, 7, 6, 13, 13, 10.71, 71.43, 85.71, 75.0, 68.390625, 68.390625, 36.796875, 10.5, 67.890625, 0.0, 10.5, 52.59375, 36.796875, 0.0, 0.0, 52.59375, 52.59375, 21.09765625, 15.798828125, 26.296875, 21.09765625, 39.0, 5.0, 29.0, 7.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 82.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 21.0, "2977", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2977&g_ta_cod=2977", 50.0, 29.0, 21.0),
(2855, "Public", "0940113M", "Lycée Langevin-Wallon", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Champigny-sur-Marne", "formation sélective", "BTS", "Lycée Langevin-Wallon - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 883, 368, 774, 0, 83, 37, 194, 80, 195, 99, 302, 109, 22, 0, 0, 87, 335, 3, 0, 0, 52, 24, 99, 35, 126, 62, 58, 190, 34, 12, 31, 2, 4.0, 22.0, 29.0, 0, 13, 29, 3, 12, 14, 5, 0, 16, 12, 1, 0, 0.0, 0, 5, 8, 3, 1, 27, 29, 11.76, 64.71, 85.29, 35.296875, 93.09375, 100.0, 10.298828125, 44.796875, 85.296875, 0.0, 55.1953125, 41.3984375, 3.39990234375, 0.0, 0.0, 10.298828125, 0.0, 41.3984375, 17.19921875, 48.296875, 27.59765625, 27.0, 10.0, 73.0, 34.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 117, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 34.0, "11373", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11373&g_ta_cod=11373", 18.0, 41.0, 41.0),
(2856, "Public", "0130037V", "Lycée Marcel Pagnol", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "BTS", "Lycée Marcel Pagnol - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1474, 801, 1474, 0, 173, 71, 539, 289, 382, 242, 380, 0, 0, 0, 0, 0, 603, 0, 0, 0, 162, 69, 172, 82, 167, 104, 102, 152, 29, 14, 29, 0, 6.0, 25.0, 26.0, 0, 17, 25, 7, 10, 8, 4, 0, 11, 10, 3, 1, 0.0, 1, 7, 6, 1, 0, 21, 21, 20.69, 86.21, 89.66, 48.296875, 84.0, 84.0, 4, 68.0, 86.1875, 0.0, 44.0, 40.0, 12.0, 4.0, 0.0, 28.0, 4.0, 40.0, 28.0, 32.0, 24.0, 51.0, 21.0, 50.0, 28.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 108, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 15.0, "2542", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2542&g_ta_cod=2542", 28.0, 38.0, 34.0),
(2857, "Public", "0680010S", "Lycée Blaise Pascal", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Production - Conception de produits industriels", "BTS - Production", "", 12, 170, 10, 155, 0, 14, 1, 97, 17, 25, 5, 19, 15, 1, 5, 0, 9, 117, 4, 0, 0, 13, 1, 83, 12, 14, 3, 7, 68, 10, 0, 7, 3, 2.0, 6.0, 10.0, 0, 3, 9, 2, 4, 3, 1, 1, 4, 3, 0, 1, 0.0, 1, 1, 2, 3, 0, 8, 8, 20.0, 60.0, 100.0, 0.0, 88.890625, 88.890625, 33.296875, 33.296875, 90.0, 11.099609375, 44.3984375, 33.296875, 0.0, 11.1, 0.0, 22.19921875, 11.099609375, 44.3984375, 11.099609375, 33.296875, 22.19921875, 11.0, 1.0, 4.0, 1.0, 8.0, "Tous les candidats sauf les Bac professionnels", 103.0, "Bacheliers professionnels toutes séries", 5, "", 0, "Liste d'appel propre à cette formation", 70.0, "18798", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18798&g_ta_cod=18798", 20.0, 50.0, 30.0),
(2858, "Public", "0400750Y", "Lycée agricole DE DAX", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Oeyreluy", "formation sélective", "BTS", "Lycée agricole DE DAX - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 14, 181, 89, 181, 0, 13, 2, 51, 11, 43, 10, 74, 0, 0, 0, 0, 0, 109, 0, 0, 0, 13, 2, 51, 11, 43, 10, 2, 52, 12, 5, 12, 0, 3.0, 10.0, 12.0, 0, 2, 12, 3, 6, 3, 0, 0, 11, 0, 1, 0, 0.0, 0, 0, 1, 3, 2, 12, 12, 25.0, 83.33, 100.0, 41.6953125, 100.0, 100.0, 25, 16.69921875, 100.0, 0.0, 91.6875, 0.0, 8.298828125, 0.0, 0.0, 25.0, 0.0, 50.0, 0.0, 25.0, 8.298828125, 8.0, 2.0, 24.0, 6.0, 2.0, "Tous les candidats sauf les Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 40, "", 0, "Liste d'appel propre à cette formation", 57.0, "5210", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5210&g_ta_cod=5210", 25.0, 50.0, 25.0),
(2859, "Public", "0332747G", "Lycée Jean Condorcet", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Jean Condorcet - BTS - Services - Support à l'action managériale", "BTS - Services", "", 34, 863, 610, 757, 0, 36, 13, 346, 131, 199, 111, 176, 106, 0, 21, 38, 47, 361, 13, 0, 0, 24, 9, 203, 71, 92, 44, 42, 219, 33, 31, 21, 10, 3.0, 14.0, 18.0, 0, 13, 29, 1, 20, 8, 4, 0, 12, 12, 5, 0, 0.0, 0, 11, 6, 5, 4, 26, 26, 9.09, 42.42, 54.55, 93.890625, 89.6875, 89.6875, 17.19921875, 44.796875, 87.890625, 0.0, 41.3984375, 41.3984375, 17.19921875, 0.0, 0.0, 3.39990234375, 0.0, 69.0, 37.8984375, 27.59765625, 20.69921875, 13.0, 5.0, 74.0, 33.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 168, "Liste d'appel propre à cette formation", 39.0, "4448", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4448&g_ta_cod=4448", 12.0, 61.0, 27.0),
(2860, "Public", "0650139Y", "L.E.G.T.A. Jean Monnet", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Vic-en-Bigorre", "formation sélective", "BTS", "L.E.G.T.A. Jean Monnet - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 19, 270, 134, 263, 0, 5, 0, 30, 6, 23, 7, 205, 7, 1, 1, 0, 5, 71, 7, 0, 0, 5, 0, 30, 6, 23, 7, 13, 67, 8, 3, 5, 1, 0.0, 4.0, 5.0, 0, 2, 7, 1, 3, 3, 1, 0, 5, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 3, 3, 0.0, 50.0, 62.5, 37.5, 42.8984375, 42.8984375, 0, 28.59765625, 87.5, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 14.298828125, 0.0, 42.8984375, 14.298828125, 42.8984375, 14.298828125, 6.0, 0.0, 22.0, 7.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 27.0, "7830", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7830&g_ta_cod=7830", 13.0, 50.0, 38.0),
(2861, "Public", "0221469C", "IFSI CH St Brieuc", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "IFSI", "Regroupement d'IFSI Université Rennes - D.E Infirmier", "D.E secteur sanitaire", "", 88, 4646, 3966, 4646, 0, 896, 126, 972, 201, 645, 184, 2133, 0, 0, 0, 0, 0, 4230, 0, 0, 0, 848, 112, 889, 172, 577, 157, 1916, 746, 88, 79, 88, 0, 4.0, 46.0, 74.0, 0, 14, 62, 12, 20, 30, 26, 0, 1, 18, 37, 6, 0.0, 12, 20, 29, 0, 0, 56, 56, 4.55, 52.27, 84.09, 89.796875, 90.296875, 90.296875, 0, 22.59765625, 70.5, 0.0, 1.599853515625, 29.0, 59.6953125, 9.7, 0.0, 19.3984375, 19.3984375, 32.296875, 32.296875, 48.3984375, 46.796875, 105.0, 13.0, 182.0, 56.0, 363.0, "Tous les candidats", 1766.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "23378", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23369&g_ta_cod=23378", 38.0, 25.0, 38.0),
(2862, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues étrangères appliquées - Parcours Anglais-Allemand", "Licence - Arts-lettres-langues", "Anglais-Allemand", 45, 248, 172, 182, 0, 115, 26, 6, 3, 5, 2, 56, 66, 11, 6, 3, 46, 180, 58, 0, 0, 115, 26, 6, 3, 5, 2, 54, 192, 38, 27, 23, 15, 3.0, 23.0, 36.0, 0, 3, 16, 15, 1, 0, 22, 0, 5, 6, 5, 0, 0.0, 11, 0, 0, 0, 0, 10, 10, 7.89, 60.53, 94.74, 71.09375, 62.5, 62.5, 0, 18.796875, 42.09375, 0.0, 31.296875, 37.5, 31.296875, 0.0, 0.0, 93.796875, 68.796875, 6.2998046875, 0.0, 0.0, 0.0, 93.0, 22.0, 7.0, 3.0, 83.0, "Tous les candidats", 180.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4574", "Licence - Langues étrangères appliquées - Parcours Anglais-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4574&g_ta_cod=4574", 79.0, 16.0, 5.0),
(2863, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "PASS", "Universite Jean Monnet, Saint-Etienne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Psychologie cognitive et Activités Physiques et Sportives", 36, 2692, 1916, 2692, 0, 2159, 331, 94, 31, 18, 13, 421, 0, 0, 0, 0, 0, 2665, 0, 0, 0, 2159, 331, 94, 31, 18, 13, 394, 297, 36, 23, 36, 0, 0.0, 28.0, 35.0, 0, 7, 36, 36, 0, 0, 0, 0, 2, 7, 22, 5, 0.0, 34, 0, 0, 0, 0, 22, 22, 0.0, 77.78, 97.22, 63.8984375, 61.09375, 61.09375, 0, 19.3984375, 100.0, 0.0, 5.599609375, 19.3984375, 61.09375, 13.9, 0.0, 100.0, 94.390625, 0.0, 0.0, 0.0, 0.0, 290.0, 43.0, 0.0, 0.0, 7.0, "Tous les candidats", 973.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 15.0, "27856", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27845&g_ta_cod=27856", 100.0, 0.0, 0.0),
(2864, "Privé enseignement supérieur", "0755672H", "ESCE", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Programme Grande Ecole - American track - Campus de Paris ou Lyon", 50, 2001, 1047, 1971, 0, 1708, 101, 111, 10, 6, 2, 146, 30, 13, 1, 0, 16, 1849, 21, 0, 0, 1636, 91, 97, 8, 1, 1, 115, 1870, 42, 26, 39, 3, 39.0, 39.0, 41.0, 0, 3, 39, 37, 2, 0, 3, 0, 8, 18, 12, 1, 0.0, 29, 2, 0, 0, 0, 4, 18, 92.86, 92.86, 97.62, 61.8984375, 10.298828125, 46.1953125, 0, 7.69921875, 92.890625, 0.0, 20.5, 46.1953125, 30.796875, 2.6, 0.0, 94.890625, 74.390625, 5.099609375, 5.099609375, 0.0, 0.0, 1645.0, 92.0, 1.0, 1.0, 126.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "26151", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26151", 95.0, 5.0, 0.0),
(2865, "Public", "0130049H", "Lycée Rempart (Rue Du)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  7e  Arrondissement", "formation sélective", "BTS", "Lycée Rempart (Rue Du) - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 30, 437, 87, 430, 0, 55, 18, 88, 34, 62, 35, 225, 7, 0, 0, 0, 7, 252, 0, 0, 0, 55, 18, 74, 27, 58, 31, 65, 101, 23, 5, 23, 0, 4.0, 15.0, 19.0, 0, 8, 12, 1, 6, 5, 11, 1, 6, 2, 3, 0, 0.0, 1, 1, 3, 1, 0, 12, 12, 17.39, 65.22, 82.61, 21.69921875, 100.0, 100.0, 8.298828125, 66.6875, 52.1953125, 8.298828125, 50.0, 16.69921875, 25.0, 0.0, 0.0, 8.298828125, 8.298828125, 50.0, 8.298828125, 41.6953125, 25.0, 13.0, 6.0, 14.0, 8.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 44.0, "2564", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2564&g_ta_cod=2564", 39.0, 30.0, 30.0),
(2866, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence_Las", "Université de Brest - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS", "Licence - Sciences - technologies - santé", "STAPS", 40, 1540, 620, 1540, 0, 1029, 104, 156, 30, 29, 13, 326, 0, 0, 0, 0, 0, 1537, 0, 0, 0, 1029, 104, 156, 30, 29, 13, 323, 203, 37, 18, 37, 0, 2.0, 29.0, 32.0, 0, 4, 28, 26, 2, 0, 9, 0, 6, 16, 3, 3, 0.0, 22, 0, 0, 0, 0, 22, 22, 5.41, 78.38, 86.49, 48.59375, 78.59375, 78.59375, 0, 14.298828125, 75.6875, 0.0, 21.3984375, 57.09375, 10.69921875, 10.7, 0.0, 92.890625, 78.59375, 7.099609375, 0.0, 0.0, 0.0, 131.0, 16.0, 2.0, 2.0, 61.0, "Tous les candidats", 519.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "32768", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28028&g_ta_cod=32768", 95.0, 5.0, 0.0),
(2867, "Public", "0140018U", "Lycée professionnel Victor Lepine", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "Autre formation", "Lycée professionnel Victor Lepine - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 20, 122, 23, 122, 0, 22, 2, 28, 11, 40, 14, 32, 0, 0, 0, 0, 0, 121, 0, 0, 0, 21, 2, 28, 11, 40, 14, 32, 62, 15, 5, 15, 0, 7.0, 13.0, 13.0, 0, 7, 11, 2, 4, 5, 4, 0, 8, 2, 0, 1, 0.0, 0, 1, 2, 0, 0, 10, 10, 46.67, 86.67, 86.67, 33.296875, 90.890625, 90.890625, 0, 63.59375, 73.296875, 0.0, 72.6875, 18.19921875, 0.0, 9.1, 0.0, 18.19921875, 0.0, 36.3984375, 9.099609375, 45.5, 18.19921875, 12.0, 1.0, 23.0, 9.0, 13.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "25278", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25278&g_ta_cod=25278", 20.0, 33.0, 40.0),
(2868, "Public", "0290108K", "Lycée polyvalent Dupuy de Lôme", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée polyvalent Dupuy de Lôme - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 30, 658, 562, 658, 0, 53, 18, 170, 53, 210, 85, 225, 0, 0, 0, 0, 0, 412, 0, 0, 0, 35, 8, 117, 37, 164, 61, 96, 196, 28, 26, 28, 0, 1.0, 16.0, 23.0, 0, 6, 21, 6, 3, 12, 7, 0, 13, 5, 3, 0, 0.0, 1, 0, 7, 2, 2, 15, 15, 3.57, 57.14, 82.14, 92.890625, 71.390625, 71.390625, 9.5, 28.59765625, 75.0, 0.0, 61.8984375, 23.796875, 14.298828125, 0.0, 0.0, 28.59765625, 4.7998046875, 14.298828125, 0.0, 57.09375, 33.296875, 22.0, 5.0, 86.0, 28.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers technologiques toutes séries", 121, "Bacheliers professionnels toutes séries", 123, "Liste d'appel propre à cette formation", 43.0, "24742", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24742&g_ta_cod=24742", 21.0, 32.0, 46.0),
(2869, "Public", "0310032S", "Lycée De Bagatelle", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Saint-Gaudens", "formation sélective", "BTS", "Lycée De Bagatelle - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 12, 250, 124, 233, 0, 20, 8, 46, 20, 42, 22, 125, 17, 0, 0, 12, 5, 93, 4, 0, 0, 13, 4, 35, 15, 31, 17, 14, 41, 8, 2, 7, 1, 5.0, 7.0, 8.0, 0, 2, 8, 3, 3, 2, 0, 0, 0, 7, 1, 0, 0.0, 3, 3, 2, 6, 2, 8, 8, 62.5, 87.5, 100.0, 25.0, 100.0, 100.0, 75, 25.0, 100.0, 0.0, 0.0, 87.5, 12.5, 0.0, 0.0, 37.5, 37.5, 37.5, 37.5, 25.0, 25.0, 9.0, 4.0, 22.0, 16.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 5, "Liste d'appel propre à cette formation", 24.0, "4035", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4035&g_ta_cod=4035", 38.0, 38.0, 25.0),
(2870, "Public", "0180887S", "Université d'Orléans - Collegium Droit - Antenne de Bourges", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation non sélective", "Licence_Las", "Université d'Orléans - Collegium Droit - Antenne de Bourges - Licence - Portail Droit - parcours Droit général", "Licence - Droit-économie-gestion", "parcours Droit général", 25, 244, 187, 225, 0, 141, 39, 18, 9, 19, 14, 47, 19, 8, 1, 0, 10, 220, 19, 0, 0, 141, 39, 18, 9, 19, 14, 42, 139, 22, 16, 16, 6, 1.0, 11.0, 17.0, 0, 4, 18, 15, 3, 0, 4, 0, 11, 3, 4, 0, 0.0, 6, 1, 0, 0, 0, 16, 16, 4.55, 50.0, 77.27, 72.6875, 88.890625, 88.890625, 0, 22.19921875, 81.796875, 0.0, 61.09375, 16.69921875, 22.19921875, 0.0, 0.0, 83.296875, 33.296875, 16.69921875, 5.599609375, 0.0, 0.0, 95.0, 23.0, 5.0, 5.0, 31.0, "Tous les candidats", 849.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 94.0, "31814", "Licence - Portail Droit - parcours Droit général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31813&g_ta_cod=31814", 77.0, 18.0, 0.0),
(2871, "Public", "0410899E", "Lycée des Métiers HOTEL.ET TOURISME VAL DE LOIRE", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BTS", "Lycée des Métiers HOTEL.ET TOURISME VAL DE LOIRE - BTS - Services - Tourisme", "BTS - Services", "", 60, 842, 568, 836, 0, 206, 48, 114, 24, 97, 35, 419, 6, 2, 0, 0, 4, 502, 0, 0, 0, 198, 44, 112, 23, 83, 30, 109, 263, 55, 49, 55, 0, 5.0, 45.0, 52.0, 0, 9, 38, 23, 12, 3, 17, 0, 19, 18, 1, 0, 0.0, 10, 7, 2, 4, 4, 24, 24, 9.09, 81.82, 94.55, 89.09375, 63.1953125, 63.1953125, 10.5, 23.69921875, 69.09375, 0.0, 50.0, 47.3984375, 2.599609375, 0.0, 0.0, 60.5, 26.296875, 31.59765625, 18.3984375, 7.8994140625, 5.2998046875, 121.0, 20.0, 11.0, 3.0, 72.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 266.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 48.0, "5252", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5252&g_ta_cod=5252", 65.0, 25.0, 9.0),
(2872, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence_Las", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 70, 704, 533, 679, 0, 381, 125, 64, 27, 29, 13, 205, 25, 7, 3, 0, 15, 670, 24, 0, 0, 381, 125, 64, 27, 29, 13, 196, 412, 69, 56, 59, 10, 4.0, 27.0, 55.0, 0, 12, 38, 30, 7, 1, 31, 0, 20, 15, 1, 2, 0.0, 16, 1, 1, 0, 0, 26, 26, 5.8, 39.13, 79.71, 81.1875, 68.390625, 68.390625, 0, 31.59765625, 55.09375, 0.0, 52.59375, 39.5, 2.599609375, 5.3, 0.0, 78.890625, 42.09375, 18.3984375, 2.599609375, 2.599609375, 2.599609375, 246.0, 89.0, 3.0, 2.0, 145.0, "Tous les candidats", 2525.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 86.0, "27892", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27891&g_ta_cod=27892", 77.0, 19.0, 4.0),
(2873, "Public", "0750672Y", "Esaa Duperré", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "Autre formation", "Esaa Duperré - DN MADE - Matériaux - - Spécialité : Céramique, Art de vivre & nouveaux Territoires", "DN MADE", "- Spécialité : Céramique, Art de vivre & nouveaux Territoires", 8, 211, 173, 211, 0, 45, 12, 61, 10, 7, 2, 98, 0, 0, 0, 0, 0, 39, 0, 0, 0, 5, 0, 22, 2, 0, 0, 12, 15, 9, 9, 9, 0, 5.0, 8.0, 9.0, 0, 1, 4, 0, 4, 0, 5, 0, 0, 0, 4, 0, 0.0, 0, 4, 0, 0, 0, 0, 3, 55.56, 88.89, 100.0, 100.0, 0.0, 75.0, 0, 25.0, 44.3984375, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 2.0, 0.0, 0.0, 0.0, 6.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "21739", "DN MADE - Matériaux - - Spécialité : Céramique, Art de vivre & nouveaux Territoires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21739&g_ta_cod=21739", 44.0, 44.0, 0.0),
(2874, "Public", "0561641E", "Lycée Marcellin Berthelot", "56", "Morbihan", "Bretagne", "Rennes", "Questembert", "formation sélective", "BTS", "Lycée Marcellin Berthelot - BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "BTS - Production", "", 15, 70, 15, 68, 0, 4, 0, 21, 3, 20, 3, 23, 2, 0, 1, 0, 1, 50, 2, 0, 0, 2, 0, 21, 3, 20, 3, 7, 42, 8, 0, 7, 1, 3.0, 7.0, 8.0, 0, 1, 6, 1, 2, 3, 2, 0, 6, 0, 0, 0, 0.0, 0, 0, 0, 2, 0, 5, 5, 37.5, 87.5, 100.0, 0.0, 83.296875, 83.296875, 33.296875, 16.69921875, 75.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 16.69921875, 0.0, 33.296875, 0.0, 50.0, 0.0, 1.0, 0.0, 18.0, 3.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 74.0, "20030", "BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20030&g_ta_cod=20030", 13.0, 38.0, 50.0),
(2875, "Public", "0860823C", "Lycée professionnel Reaumur", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Autre formation", "Lycée professionnel Reaumur - Mention complémentaire - Technicien en chaudronnerie aéronautique et spatiale", "Mention complémentaire", "", 12, 38, 1, 38, 0, 0, 0, 0, 0, 33, 4, 5, 0, 0, 0, 0, 0, 38, 0, 0, 0, 0, 0, 0, 0, 33, 4, 5, 33, 7, 0, 7, 0, 4.0, 7.0, 7.0, 0, 2, 5, 0, 0, 5, 2, 0, 0, 4, 1, 0, 0.0, 0, 0, 5, 0, 0, 4, 4, 57.14, 100.0, 100.0, 0.0, 80.0, 80.0, 0, 40.0, 71.390625, 0.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 29.0, 4.0, 4.0, "Tous les candidats", 38.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "21065", "Mention complémentaire - Technicien en chaudronnerie aéronautique et spatiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21065&g_ta_cod=21065", 0.0, 0.0, 100.0),
(2876, "Public", "0301630J", "IFSI CHU Nîmes - site Le Vigan", "30", "Gard", "Occitanie", "Montpellier", "Le Vigan", "formation sélective", "IFSI", "Regroupement d'IFSI Université Montpellier - D.E Infirmier", "D.E secteur sanitaire", "", 20, 5439, 4595, 5439, 0, 870, 215, 981, 266, 457, 190, 3131, 0, 0, 0, 0, 0, 4076, 0, 0, 0, 747, 175, 785, 202, 315, 117, 2229, 582, 20, 20, 20, 0, 0.0, 0.0, 2.0, 0, 1, 6, 3, 1, 2, 14, 0, 1, 5, 0, 0, 0.0, 2, 1, 2, 0, 0, 5, 5, 0.0, 0.0, 10.0, 100.0, 83.296875, 83.296875, 0, 16.69921875, 30.0, 0.0, 16.69921875, 83.296875, 0.0, 0.0, 0.0, 50.0, 33.296875, 16.69921875, 16.69921875, 33.296875, 33.296875, 103.0, 10.0, 49.0, 19.0, 285.0, "Tous les candidats", 2776.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "34544", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22991&g_ta_cod=34544", 40.0, 35.0, 25.0),
(2877, "Privé sous contrat d'association", "0801479Y", "Lycée Saint Remi", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Saint Remi - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 55, 345, 150, 259, 0, 51, 13, 73, 18, 38, 14, 97, 86, 7, 5, 25, 49, 198, 19, 0, 0, 41, 9, 73, 18, 38, 14, 46, 162, 45, 23, 36, 9, 13.0, 33.0, 38.0, 0, 11, 33, 4, 16, 13, 12, 1, 12, 12, 5, 3, 0.0, 2, 9, 9, 7, 3, 33, 33, 28.89, 73.33, 84.44, 51.09375, 100.0, 100.0, 21.19921875, 33.296875, 73.296875, 3.0, 36.3984375, 36.3984375, 15.19921875, 9.1, 0.0, 12.099609375, 6.099609375, 48.5, 27.296875, 39.3984375, 27.296875, 37.0, 8.0, 43.0, 19.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 68.0, "10230", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10230&g_ta_cod=10230", 24.0, 42.0, 33.0),
(2878, "Public", "0931808K", "IFSI Jean Verdier ( AP-HP)", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation sélective", "IFSI", "Regroupement d'IFSI Université Paris Nord - D.E Infirmier", "D.E secteur sanitaire", "", 84, 5325, 4767, 5325, 0, 543, 235, 992, 514, 794, 464, 2996, 0, 0, 0, 0, 0, 4581, 0, 0, 0, 539, 233, 908, 471, 640, 381, 2494, 887, 83, 73, 83, 0, 0.0, 26.0, 80.0, 0, 15, 43, 20, 21, 2, 40, 0, 11, 24, 8, 0, 0.0, 11, 19, 2, 0, 0, 32, 38, 0.0, 31.33, 96.39, 88.0, 74.390625, 88.390625, 0, 34.8984375, 51.796875, 0.0, 25.59765625, 55.796875, 18.59765625, 0.0, 0.0, 46.5, 25.59765625, 48.796875, 44.1953125, 4.69921875, 4.69921875, 238.0, 102.0, 23.0, 9.0, 424.0, "Tous les candidats", 1758.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "23051", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23010&g_ta_cod=23051", 53.0, 42.0, 5.0),
(2879, "Public", "0490769V", "I.U.T. Angers-Cholet - Site d'Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BUT", "I.U.T. Angers-Cholet - Site d'Angers - BUT - Génie biologique parcours biologie médicale et biotechnologie", "BUT - Production", "", 38, 2912, 2122, 2912, 0, 1621, 194, 584, 138, 12, 5, 695, 0, 0, 0, 0, 0, 1057, 0, 0, 0, 550, 81, 330, 63, 0, 0, 177, 187, 40, 32, 40, 0, 9.0, 28.0, 39.0, 0, 7, 33, 16, 17, 0, 7, 0, 0, 3, 17, 12, 1.0, 16, 17, 0, 0, 0, 14, 14, 22.5, 70.0, 97.5, 80.0, 42.3984375, 42.3984375, 0, 21.19921875, 82.5, 0.0, 0.0, 9.099609375, 51.5, 36.4, 3.0, 48.5, 48.5, 51.5, 51.5, 0.0, 0.0, 88.0, 17.0, 0.0, 0.0, 43.0, "Tous les candidats sauf les Bac technologiques", 335.0, "Bacheliers technologiques toutes séries", 140, "", 0, "Liste d'appel propre à cette formation", 16.0, "5866", "BUT - Génie biologique parcours biologie médicale et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5866&g_ta_cod=5866", 53.0, 48.0, 0.0),
(2880, "Public", "0762762P", "Université Le Havre Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation non sélective", "Licence", "Université Le Havre Normandie - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 130, 909, 566, 794, 0, 363, 99, 189, 94, 59, 33, 183, 115, 13, 14, 9, 79, 783, 46, 0, 0, 363, 99, 189, 94, 59, 33, 172, 664, 118, 73, 92, 26, 8.0, 74.0, 91.0, 0, 31, 70, 31, 32, 7, 48, 9, 41, 16, 3, 1, 0.0, 12, 8, 0, 0, 0, 64, 64, 6.78, 62.71, 77.12, 61.8984375, 91.390625, 91.390625, 0, 44.296875, 59.296875, 12.8984375, 58.59375, 22.8984375, 4.2998046875, 1.4, 0.0, 44.296875, 17.09765625, 45.6953125, 11.3984375, 10.0, 0.0, 308.0, 82.0, 37.0, 23.0, 164.0, "Tous les candidats", 783.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "9730", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9730&g_ta_cod=9730", 42.0, 42.0, 16.0),
(2881, "Public", "0381629P", "CNED", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "Autre formation", "CNED - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 400, 187, 110, 144, 0, 53, 11, 15, 5, 9, 3, 67, 43, 6, 4, 5, 28, 144, 43, 0, 0, 53, 11, 15, 5, 9, 3, 67, 187, 33, 21, 18, 15, 18.0, 18.0, 28.0, 0, 3, 9, 6, 3, 0, 24, 1, 5, 2, 1, 0, 0.0, 2, 1, 0, 0, 0, 1, 1, 54.55, 54.55, 84.85, 63.59375, 11.099609375, 11.099609375, 0, 33.296875, 27.296875, 11.099609375, 55.59375, 22.19921875, 11.099609375, 0.0, 0.0, 66.6875, 22.19921875, 33.296875, 11.099609375, 0.0, 0.0, 59.0, 13.0, 14.0, 5.0, 95.0, "Tous les candidats", 145.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20790", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20790&g_ta_cod=20790", 64.0, 30.0, 0.0),
(2882, "Public", "0623902E", "Lycée Marguerite Yourcenar", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Beuvry", "formation sélective", "Autre formation", "Lycée Marguerite Yourcenar - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 30, 131, 57, 130, 0, 31, 3, 11, 4, 12, 10, 76, 1, 1, 0, 0, 0, 129, 1, 0, 0, 31, 3, 11, 4, 11, 9, 76, 93, 29, 10, 28, 1, 5.0, 24.0, 28.0, 0, 0, 7, 7, 0, 0, 22, 0, 4, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 5, 5, 17.24, 82.76, 96.55, 34.5, 71.390625, 71.390625, 0, 0.0, 24.09765625, 0.0, 57.09375, 14.298828125, 28.59765625, 0.0, 0.0, 100.0, 42.8984375, 0.0, 0.0, 0.0, 0.0, 30.0, 3.0, 7.0, 6.0, 48.0, "Tous les candidats", 117.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "7483", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7483&g_ta_cod=7483", 90.0, 0.0, 10.0),
(2883, "Public", "0281047L", "Lycée Fulbert", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Chartres", "formation sélective", "BTS", "Lycée Fulbert - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 34, 662, 306, 622, 0, 69, 14, 201, 64, 186, 70, 166, 40, 0, 0, 26, 14, 333, 0, 0, 0, 62, 13, 144, 39, 65, 22, 62, 147, 29, 5, 26, 0, 4.0, 16.0, 18.0, 0, 5, 28, 4, 14, 10, 1, 0, 14, 9, 5, 0, 0.0, 0, 8, 6, 7, 3, 25, 25, 13.79, 55.17, 62.07, 17.19921875, 89.296875, 89.296875, 25, 17.8984375, 96.59375, 0.0, 50.0, 32.09375, 17.8984375, 0.0, 0.0, 14.298828125, 0.0, 50.0, 28.59765625, 35.6953125, 21.3984375, 19.0, 3.0, 56.0, 22.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 26.0, "3747", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3747&g_ta_cod=3747", 14.0, 48.0, 38.0),
(2884, "Privé sous contrat d'association", "0300106C", "Lycée professionnel Sainte-Marie", "30", "Gard", "Occitanie", "Montpellier", "Bagnols-sur-Cèze", "formation sélective", "BTS", "Lycée professionnel Sainte-Marie - BTS - Production - Métiers de la chimie", "BTS - Production", "", 18, 196, 104, 191, 0, 30, 3, 45, 8, 23, 9, 93, 5, 0, 3, 0, 2, 129, 3, 0, 0, 28, 3, 44, 8, 13, 2, 44, 67, 15, 7, 15, 0, 3.0, 10.0, 13.0, 0, 0, 6, 0, 3, 3, 9, 0, 2, 1, 2, 1, 0.0, 0, 1, 3, 3, 2, 3, 3, 20.0, 66.67, 86.67, 46.6953125, 50.0, 50.0, 50, 0.0, 40.0, 0.0, 33.296875, 16.69921875, 33.296875, 16.7, 0.0, 0.0, 0.0, 50.0, 16.69921875, 50.0, 50.0, 13.0, 3.0, 4.0, 1.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 50.0, "17745", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17745&g_ta_cod=17745", 33.0, 47.0, 20.0),
(2885, "Public", "0131606A", "Lycée professionnel La Calade", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 15e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel La Calade - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 20, 6, 5, 0, 0, 0.0, 0.0, 5.0, 0, 6, 6, 0, 0, 6, 0, 0, 6, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 6, 6, 0.0, 0.0, 83.33, 83.296875, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 18.0, 15.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22343", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 0.0, 100.0),
(2886, "Public", "0770930T", "Lycée Henri Moissan", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "BTS", "Lycée Henri Moissan - BTS - Services - Professions immobilières", "BTS - Services", "", 35, 898, 450, 898, 0, 174, 38, 295, 79, 180, 68, 249, 0, 0, 0, 0, 0, 344, 0, 0, 0, 93, 22, 123, 35, 65, 23, 63, 165, 34, 22, 34, 0, 13.0, 29.0, 30.0, 0, 6, 23, 8, 10, 5, 11, 0, 2, 13, 7, 1, 0.0, 7, 9, 5, 2, 1, 13, 15, 38.24, 85.29, 88.24, 64.6875, 56.5, 65.1875, 8.69921875, 26.09765625, 67.59375, 0.0, 8.69921875, 56.5, 30.3984375, 4.3, 0.0, 34.796875, 30.3984375, 43.5, 39.09375, 21.69921875, 21.69921875, 52.0, 14.0, 26.0, 10.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 19.0, "9801", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9801&g_ta_cod=9801", 38.0, 38.0, 24.0),
(2887, "Privé enseignement supérieur", "0442777E", "Facultés libres de l'ouest - UCO - Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Rezé", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Licence - Portail Langues étrangères appliquées - Anglais - espagnol", "Licence - Arts-lettres-langues", "Anglais - Espagnol", 45, 636, 452, 545, 0, 358, 66, 80, 16, 38, 16, 69, 91, 16, 15, 4, 56, 545, 87, 0, 0, 358, 66, 80, 16, 38, 16, 69, 469, 6, 6, 4, 2, 2.0, 4.0, 4.0, 0, 0, 4, 2, 1, 1, 2, 0, 1, 2, 1, 0, 0.0, 2, 1, 0, 0, 0, 4, 4, 33.33, 66.67, 66.67, 100.0, 100.0, 100.0, 0, 0.0, 66.6875, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 50.0, 50.0, 25.0, 25.0, 25.0, 0.0, 272.0, 37.0, 22.0, 14.0, 100.0, "Tous les candidats", 802.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27517", "Licence - Portail Langues étrangères appliquées - Anglais - espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28970&g_ta_cod=27517", 50.0, 33.0, 17.0),
(2888, "Public", "0310056T", "Lycée professionnel Gabriel Peri", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée professionnel Gabriel Peri - DN MADE - Spectacle - - Spécialité : Costumier de spectacle", "DN MADE", "- Spécialité : Costumier de spectacle", 24, 508, 475, 508, 0, 115, 26, 128, 26, 99, 29, 166, 0, 0, 0, 0, 0, 508, 0, 0, 0, 115, 26, 128, 26, 99, 29, 166, 54, 24, 24, 24, 0, 7.0, 24.0, 24.0, 0, 5, 17, 5, 5, 7, 7, 0, 1, 1, 8, 7, 0.0, 5, 4, 7, 0, 0, 6, 6, 29.17, 100.0, 100.0, 100.0, 35.296875, 35.296875, 0, 29.3984375, 70.796875, 0.0, 5.8994140625, 5.8994140625, 47.09375, 41.2, 0.0, 29.3984375, 29.3984375, 29.3984375, 23.5, 41.1953125, 41.1953125, 10.0, 2.0, 10.0, 4.0, 9.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "21708", "DN MADE - Spectacle - - Spécialité : Costumier de spectacle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21708&g_ta_cod=21708", 29.0, 25.0, 29.0),
(2889, "Privé sous contrat d'association", "0711494N", "Lycée privé polyvalent SAINT LAZARE", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Autun", "formation sélective", "BTS", "Lycée privé polyvalent SAINT LAZARE - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 15, 421, 76, 350, 0, 26, 5, 28, 9, 14, 3, 282, 71, 3, 10, 11, 47, 90, 24, 0, 0, 26, 5, 28, 9, 14, 3, 22, 92, 12, 1, 4, 8, 0.0, 4.0, 10.0, 0, 2, 6, 0, 3, 3, 6, 0, 4, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 2, 2, 0.0, 33.33, 83.33, 8.298828125, 33.296875, 33.296875, 0, 33.296875, 50.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 33.296875, 24.0, 3.0, 15.0, 5.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers technologiques toutes séries", 42, "Bacheliers professionnels toutes séries", 15, "Liste d'appel propre à cette formation", 26.0, "28239", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28239&g_ta_cod=28239", 25.0, 50.0, 25.0),
(2890, "Public", "0781944P", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "Licence_Las", "Université de Versailles - Saint Quentin en Yvelines - Licence - Portail Economie et Gestion / Gestion", "Licence - Droit-économie-gestion", "Economie et Gestion / Gestion : Gestion", 7, 497, 291, 497, 0, 274, 55, 13, 5, 6, 3, 204, 0, 0, 0, 0, 0, 497, 0, 0, 0, 274, 55, 13, 5, 6, 3, 204, 56, 6, 3, 6, 0, 0.0, 4.0, 6.0, 0, 1, 5, 5, 0, 0, 1, 0, 2, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 2, 3, 0.0, 66.67, 100.0, 50.0, 40.0, 60.0, 0, 20.0, 83.296875, 0.0, 40.0, 20.0, 40.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 0.0, 0.0, 39.0, 8.0, 0.0, 0.0, 17.0, "Tous les candidats", 570.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "29271", "Licence - Portail Economie et Gestion / Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28614&g_ta_cod=29271", 100.0, 0.0, 0.0),
(2891, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études allemandes (Enseignement à distance) - Langues et cultures germaniques", "Licence - Arts-lettres-langues", "Études allemandes (Enseignement à distance) - Langues et cultures germaniques", 70, 163, 113, 78, 0, 23, 4, 4, 1, 0, 0, 51, 85, 6, 0, 0, 79, 78, 51, 0, 0, 23, 4, 4, 1, 0, 0, 51, 129, 41, 27, 22, 19, 21.0, 21.0, 30.0, 0, 0, 1, 1, 0, 0, 40, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 51.22, 51.22, 73.17, 65.890625, 0.0, 0.0, 0, 0.0, 2.39990234375, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 27.0, 5.0, 0.0, 0.0, 98.0, "Tous les candidats", 78.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8038", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études allemandes (Enseignement à distance) - Langues et cultures germaniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8038&g_ta_cod=8038", 73.0, 15.0, 5.0),
(2892, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - ESTRI - Licence - Langues étrangères appliquées - Parcours Langues, Traduction et Communication à l'international / Anglais - Allemand", "Licence - Arts-lettres-langues", "Langues, Traduction et Communication à l'international / Anglais - Allemand", 30, 113, 82, 72, 0, 57, 4, 2, 0, 0, 0, 13, 41, 10, 2, 0, 29, 66, 14, 0, 0, 55, 4, 2, 0, 0, 0, 9, 75, 15, 11, 13, 2, 9.0, 13.0, 14.0, 0, 2, 13, 11, 2, 0, 2, 0, 0, 8, 5, 0, 0.0, 11, 2, 0, 0, 0, 3, 3, 60.0, 86.67, 93.33, 73.296875, 23.09765625, 23.09765625, 0, 15.3984375, 86.6875, 0.0, 0.0, 61.5, 38.5, 0.0, 0.0, 84.59375, 84.59375, 15.3984375, 15.3984375, 0.0, 0.0, 55.0, 6.0, 0.0, 0.0, 18.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "24690", "Licence - Langues étrangères appliquées - Parcours Langues, Traduction et Communication à l'international / Anglais - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24690&g_ta_cod=24690", 87.0, 13.0, 0.0),
(2893, "Privé sous contrat d'association", "0624490U", "EESTS - ECOLE EUROPEENNE SUPERIEURE EN TRAVAIL SOCIAL DE ST OMER", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Omer", "formation sélective", "EFTS", "EESTS - ECOLE EUROPEENNE SUPERIEURE EN TRAVAIL SOCIAL DE ST OMER - D.E Educateur Spécialisé", "D.E secteur social", "", 27, 112, 88, 112, 0, 27, 6, 22, 10, 16, 7, 47, 0, 0, 0, 0, 0, 82, 0, 0, 0, 19, 4, 15, 7, 8, 3, 40, 49, 31, 24, 31, 0, 19.0, 31.0, 31.0, 0, 6, 13, 6, 5, 2, 18, 0, 5, 3, 3, 2, 0.0, 4, 2, 2, 0, 0, 13, 13, 61.29, 100.0, 100.0, 77.390625, 100.0, 100.0, 0, 46.1953125, 41.8984375, 0.0, 38.5, 23.09765625, 23.09765625, 15.4, 0.0, 46.1953125, 30.796875, 38.5, 15.3984375, 15.3984375, 15.3984375, 12.0, 3.0, 2.0, 1.0, 29.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "25010", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25010&g_ta_cod=25010", 52.0, 29.0, 19.0),
(2894, "Privé sous contrat d'association", "0592965C", "Lycée Industriel et Commercial", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Industriel et Commercial - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 35, 355, 85, 328, 0, 17, 3, 42, 11, 36, 20, 233, 27, 1, 2, 0, 24, 97, 10, 0, 0, 16, 3, 32, 9, 26, 13, 23, 90, 19, 1, 17, 2, 9.0, 17.0, 18.0, 0, 7, 12, 2, 5, 5, 7, 0, 5, 4, 3, 0, 0.0, 1, 2, 4, 4, 0, 12, 12, 47.37, 89.47, 94.74, 5.2998046875, 100.0, 100.0, 33.296875, 58.296875, 63.1953125, 0.0, 41.6953125, 33.296875, 25.0, 0.0, 0.0, 16.69921875, 8.298828125, 41.6953125, 16.69921875, 41.6953125, 33.296875, 16.0, 3.0, 19.0, 10.0, 26.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 29.0, "14850", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14850&g_ta_cod=14850", 21.0, 42.0, 37.0),
(2895, "Privé sous contrat d'association", "0261429M", "Ecole Santé Social Sud-Est", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "EFTS", "Ecole Santé Social Sud-Est - D.E Educateur Spécialisé", "D.E secteur social", "", 30, 288, 249, 288, 0, 45, 5, 51, 5, 21, 4, 171, 0, 0, 0, 0, 0, 227, 0, 0, 0, 34, 2, 38, 3, 9, 1, 146, 78, 29, 26, 29, 0, 12.0, 24.0, 25.0, 0, 0, 4, 1, 3, 0, 25, 0, 0, 1, 3, 0, 0.0, 1, 3, 0, 0, 0, 3, 3, 41.38, 82.76, 86.21, 89.6875, 75.0, 75.0, 0, 0.0, 13.798828125, 0.0, 0.0, 25.0, 75.0, 0.0, 0.0, 25.0, 25.0, 75.0, 75.0, 0.0, 0.0, 12.0, 0.0, 0.0, 0.0, 60.0, "Tous les candidats", 77.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "24838", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24838&g_ta_cod=24838", 48.0, 31.0, 14.0),
(2896, "Public", "0690104N", "Lycée Marcel Sembat", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Vénissieux", "formation sélective", "BTS", "Lycée Marcel Sembat - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 752, 49, 752, 0, 97, 24, 279, 101, 191, 73, 185, 0, 0, 0, 0, 0, 689, 0, 0, 0, 97, 24, 264, 93, 163, 58, 165, 78, 15, 0, 15, 0, 2.0, 9.0, 12.0, 0, 5, 11, 0, 6, 5, 4, 0, 2, 6, 3, 0, 0.0, 0, 4, 5, 3, 0, 10, 10, 13.33, 60.0, 80.0, 0.0, 90.890625, 90.890625, 27.296875, 45.5, 73.296875, 0.0, 18.19921875, 54.5, 27.296875, 0.0, 0.0, 0.0, 0.0, 54.5, 36.3984375, 45.5, 45.5, 1.0, 1.0, 39.0, 14.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 95, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 20.0, "18832", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18832&g_ta_cod=18832", 7.0, 47.0, 47.0),
(2897, "Public", "0490054T", "Lycée polyvalent Fernand Renaudeau - Lycée des métiers de la mode", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "BTS", "Lycée polyvalent Fernand Renaudeau - Lycée des métiers de la mode - BTS - Production - Métiers de la mode-chaussure et maroquinerie", "BTS - Production", "", 13, 247, 206, 247, 0, 36, 7, 23, 5, 125, 24, 63, 0, 0, 0, 0, 0, 247, 0, 0, 0, 36, 7, 23, 5, 125, 24, 63, 39, 12, 9, 12, 0, 5.0, 9.0, 11.0, 0, 2, 11, 3, 1, 7, 1, 0, 0, 3, 6, 2, 0.0, 3, 1, 7, 1, 1, 6, 6, 41.67, 75.0, 91.67, 75.0, 54.5, 54.5, 9.099609375, 18.19921875, 91.6875, 0.0, 0.0, 27.296875, 54.5, 18.2, 0.0, 27.296875, 27.296875, 9.099609375, 9.099609375, 63.59375, 63.59375, 6.0, 1.0, 30.0, 8.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 1, "Liste d'appel propre à cette formation", 22.0, "12753", "BTS - Production - Métiers de la mode-chaussure et maroquinerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12753&g_ta_cod=12753", 25.0, 8.0, 67.0),
(2898, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Musicologie", "Licence - Arts-lettres-langues", "", 70, 238, 117, 211, 0, 136, 23, 22, 5, 6, 2, 47, 27, 6, 1, 4, 16, 211, 26, 0, 0, 136, 23, 22, 5, 6, 2, 47, 192, 43, 21, 41, 2, 24.0, 41.0, 43.0, 0, 3, 34, 29, 3, 2, 9, 0, 9, 13, 6, 6, 0.0, 21, 2, 2, 0, 0, 29, 29, 55.81, 95.35, 100.0, 48.796875, 85.296875, 85.296875, 0, 8.798828125, 79.09375, 0.0, 26.5, 38.1953125, 17.59765625, 17.6, 0.0, 85.296875, 61.796875, 8.798828125, 5.8994140625, 5.8994140625, 5.8994140625, 120.0, 19.0, 7.0, 2.0, 47.0, "Tous les candidats", 211.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5877", "Licence - Musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5877&g_ta_cod=5877", 86.0, 9.0, 5.0),
(2899, "Public", "9730108E", "Lycée Gaston Monnerville", "973", "Guyane", "Guyane", "Guyane", "Kourou", "formation sélective", "BTS", "Lycée Gaston Monnerville - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 24, 110, 10, 110, 0, 11, 6, 44, 25, 40, 28, 15, 0, 0, 0, 0, 0, 50, 0, 0, 0, 2, 1, 28, 15, 13, 8, 7, 40, 25, 2, 25, 0, 14.0, 25.0, 25.0, 0, 14, 21, 1, 11, 9, 4, 1, 4, 11, 4, 1, 0.0, 0, 8, 8, 12, 1, 20, 20, 56.0, 100.0, 100.0, 8.0, 95.1875, 95.1875, 57.09375, 66.6875, 84.0, 4.7998046875, 19.0, 52.3984375, 19.0, 4.8, 0.0, 4.7998046875, 0.0, 52.3984375, 38.09375, 42.8984375, 38.09375, 2.0, 1.0, 13.0, 8.0, 4.0, "Tous les candidats sauf les Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 38.0, "11854", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11854&g_ta_cod=11854", 4.0, 52.0, 44.0),
(2900, "Privé sous contrat d'association", "0690571W", "Lycée Saint-Marc", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "BTS", "Lycée Saint-Marc - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 36, 940, 522, 914, 0, 184, 63, 287, 128, 124, 56, 319, 26, 0, 0, 11, 15, 408, 2, 0, 0, 127, 37, 138, 49, 36, 14, 107, 211, 28, 15, 28, 0, 13.0, 22.0, 22.0, 0, 9, 21, 10, 6, 5, 7, 0, 11, 7, 2, 1, 0.0, 2, 3, 5, 0, 0, 18, 18, 46.43, 78.57, 78.57, 53.59375, 85.6875, 85.6875, 0, 42.8984375, 75.0, 0.0, 52.3984375, 33.296875, 9.5, 4.8, 0.0, 47.59375, 9.5, 28.59765625, 14.298828125, 23.796875, 23.796875, 79.0, 22.0, 27.0, 9.0, 51.0, "Tous les candidats sauf les Bac professionnels", 185.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 24.0, "8314", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8314&g_ta_cod=8314", 57.0, 25.0, 18.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(2901, "Public", "0595964M", "Université du littoral - Site de Dunkerque", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation non sélective", "Licence", "Université du littoral - Site de Dunkerque - Licence - Langues étrangères appliquées - Parcours ANGLAIS-ALLEMAND", "Licence - Arts-lettres-langues", "ANGLAIS-ALLEMAND", 36, 88, 57, 70, 0, 49, 17, 7, 4, 0, 0, 14, 18, 2, 1, 3, 12, 70, 18, 0, 0, 49, 17, 7, 4, 0, 0, 14, 81, 13, 5, 5, 8, 3.0, 5.0, 13.0, 0, 2, 6, 5, 0, 1, 7, 0, 2, 2, 1, 1, 0.0, 3, 0, 1, 0, 0, 6, 6, 23.08, 38.46, 100.0, 38.5, 100.0, 100.0, 0, 33.296875, 46.1953125, 0.0, 33.296875, 33.296875, 16.69921875, 16.7, 0.0, 83.296875, 50.0, 0.0, 0.0, 16.69921875, 16.69921875, 46.0, 15.0, 3.0, 2.0, 24.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15834", "Licence - Langues étrangères appliquées - Parcours ANGLAIS-ALLEMAND", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15834&g_ta_cod=15834", 77.0, 8.0, 8.0),
(2902, "Public", "0141856S", "IFSI CH Falaise", "14", "Calvados", "Normandie", "Normandie", "Falaise", "formation sélective", "IFSI", "Regroupement d'IFSI Université Caen - D.E Infirmier", "D.E secteur sanitaire", "", 43, 2432, 2067, 2432, 0, 408, 73, 531, 108, 369, 120, 1124, 0, 0, 0, 0, 0, 2311, 0, 0, 0, 405, 73, 517, 103, 341, 114, 1048, 474, 43, 40, 43, 0, 1.0, 32.0, 43.0, 0, 10, 29, 6, 16, 7, 14, 0, 2, 11, 12, 4, 0.0, 5, 15, 7, 0, 0, 28, 28, 2.33, 74.42, 100.0, 93.0, 96.59375, 96.59375, 0, 34.5, 67.390625, 0.0, 6.8994140625, 37.8984375, 41.3984375, 13.8, 0.0, 20.69921875, 17.19921875, 55.1953125, 51.6953125, 24.09765625, 24.09765625, 150.0, 25.0, 43.0, 18.0, 171.0, "Tous les candidats", 1509.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "25271", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23094&g_ta_cod=25271", 40.0, 40.0, 21.0),
(2903, "Public", "0071302C", "IFSI CH Ardèche Méridionale", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Aubenas", "formation sélective", "IFSI", "Regroupement d'IFSI Université Grenoble Alpes - D.E Infirmier", "D.E secteur sanitaire", "", 34, 4155, 3442, 4155, 0, 595, 89, 860, 197, 355, 130, 2345, 0, 0, 0, 0, 0, 3348, 0, 0, 0, 547, 78, 738, 157, 287, 98, 1776, 539, 35, 30, 35, 0, 0.0, 8.0, 19.0, 0, 3, 19, 3, 4, 12, 16, 0, 1, 9, 5, 4, 0.0, 2, 4, 12, 0, 0, 8, 8, 0.0, 22.86, 54.29, 85.6875, 42.09375, 42.09375, 0, 15.798828125, 54.296875, 0.0, 5.2998046875, 47.3984375, 26.296875, 21.1, 0.0, 15.798828125, 10.5, 21.09765625, 21.09765625, 63.1953125, 63.1953125, 125.0, 16.0, 73.0, 20.0, 194.0, "Tous les candidats", 2428.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "23117", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22992&g_ta_cod=23117", 34.0, 20.0, 46.0),
(2904, "Public", "0352379W", "I.U.T de Saint-Malo", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Saint-Malo", "formation sélective", "BUT", "I.U.T de Saint-Malo - BUT - Réseaux et télécommunications Parcours : Cybersécurité - Développement système et cloud - Pilotage de projets de réseaux", "BUT - Production", "Cybersécurité - Développement système et cloud - Pilotage de projets de réseaux", 78, 930, 67, 930, 0, 534, 48, 251, 30, 23, 4, 122, 0, 0, 0, 0, 0, 496, 0, 0, 0, 293, 24, 157, 16, 7, 1, 39, 210, 76, 5, 75, 0, 41.0, 69.0, 74.0, 0, 11, 74, 39, 34, 1, 2, 1, 6, 32, 32, 3, 0.0, 38, 28, 1, 0, 0, 48, 48, 53.95, 90.79, 97.37, 6.599609375, 64.890625, 64.890625, 0, 14.8984375, 97.390625, 1.39990234375, 8.099609375, 43.1953125, 43.1953125, 4.1, 0.0, 52.6953125, 51.3984375, 45.8984375, 37.796875, 1.39990234375, 1.39990234375, 82.0, 9.0, 3.0, 0.0, 10.0, "Tous les candidats sauf les Bac technologiques", 97.0, "Bacheliers technologiques toutes séries", 159, "", 0, "Liste d'appel propre à cette formation", 28.0, "4781", "BUT - Réseaux et télécommunications Parcours : Cybersécurité - Développement système et cloud - Pilotage de projets de réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4781&g_ta_cod=4781", 53.0, 45.0, 1.0),
(2905, "Public", "0641823J", "Lycée des Métiers - Hôtelier et de Tourisme", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Biarritz", "formation sélective", "BTS", "Lycée des Métiers - Hôtelier et de Tourisme - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 98, 754, 399, 754, 0, 0, 0, 293, 49, 266, 82, 195, 0, 0, 0, 0, 0, 729, 0, 0, 0, 0, 0, 287, 48, 254, 78, 188, 499, 105, 52, 105, 0, 52.0, 105.0, 105.0, 0, 20, 82, 0, 42, 40, 23, 0, 15, 32, 29, 6, 0.0, 0, 27, 40, 40, 21, 56, 56, 49.52, 100.0, 100.0, 49.5, 68.296875, 68.296875, 48.796875, 24.3984375, 78.09375, 0.0, 18.296875, 39.0, 35.3984375, 7.3, 0.0, 0.0, 0.0, 51.1953125, 32.8984375, 48.796875, 48.796875, 0.0, 0.0, 152.0, 51.0, 120.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 120.0, "Bacheliers professionnels toutes séries", 214, "Bacheliers technologiques toutes séries", 308, "Liste d'appel propre à cette formation", 85.0, "7786", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7786&g_ta_cod=7786", 14.0, 47.0, 39.0),
(2906, "Public", "0740037N", "Lycée Mme De Staël", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Julien-en-Genevois", "formation sélective", "BTS", "Lycée Mme De Staël - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 307, 149, 294, 0, 18, 4, 115, 31, 36, 13, 125, 13, 0, 1, 10, 2, 143, 1, 0, 0, 17, 4, 86, 18, 21, 5, 19, 93, 16, 6, 16, 0, 4.0, 11.0, 13.0, 0, 5, 15, 2, 11, 2, 1, 1, 4, 6, 4, 0, 0.0, 0, 8, 2, 4, 1, 11, 11, 25.0, 68.75, 81.25, 37.5, 73.296875, 73.296875, 26.69921875, 33.296875, 93.796875, 6.69921875, 26.69921875, 40.0, 26.69921875, 0.0, 0.0, 13.298828125, 0.0, 73.296875, 53.296875, 13.298828125, 13.298828125, 4.0, 2.0, 21.0, 6.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 40.0, "8874", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8874&g_ta_cod=8874", 19.0, 69.0, 13.0),
(2907, "Public", "0672198A", "Lycée Le Corbusier", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "Autre formation", "Lycée Le Corbusier - DN MADE - Espace - - Spécialité : Scénarii de l'architecture et des espaces construits", "DN MADE", "- Spécialité : Scénarii de l'architecture et des espaces construits", 15, 648, 534, 641, 0, 262, 48, 190, 33, 27, 9, 162, 7, 2, 1, 0, 4, 130, 0, 0, 0, 59, 9, 59, 9, 0, 0, 12, 47, 14, 13, 14, 0, 2.0, 13.0, 14.0, 0, 0, 12, 8, 4, 0, 2, 0, 1, 0, 5, 5, 1.0, 8, 3, 0, 0, 0, 7, 7, 14.29, 92.86, 100.0, 92.890625, 58.296875, 58.296875, 0, 0.0, 85.6875, 0.0, 8.298828125, 0.0, 41.6953125, 41.7, 8.3, 66.6875, 66.6875, 33.296875, 25.0, 0.0, 0.0, 16.0, 2.0, 0.0, 0.0, 5.0, "Tous les candidats", 66.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "21535", "DN MADE - Espace - - Spécialité : Scénarii de l'architecture et des espaces construits", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21535&g_ta_cod=21535", 71.0, 29.0, 0.0),
(2908, "Public", "0281077U", "Lycée Silvia Monfort", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Luisant", "formation sélective", "BTS", "Lycée Silvia Monfort - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 32, 440, 193, 440, 0, 60, 15, 126, 38, 145, 65, 109, 0, 0, 0, 0, 0, 256, 0, 0, 0, 53, 13, 102, 29, 77, 27, 24, 103, 31, 13, 31, 0, 5.0, 22.0, 28.0, 0, 8, 30, 7, 9, 14, 1, 0, 7, 19, 4, 0, 0.0, 5, 7, 11, 10, 3, 30, 30, 16.13, 70.97, 90.32, 41.8984375, 100.0, 100.0, 33.296875, 26.69921875, 96.796875, 0.0, 23.296875, 63.296875, 13.298828125, 0.0, 0.0, 23.296875, 16.69921875, 30.0, 23.296875, 46.6953125, 36.6953125, 26.0, 6.0, 37.0, 12.0, 3.0, "Tous les candidats sauf les Bac professionnels", 84.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 32.0, "3756", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3756&g_ta_cod=3756", 26.0, 29.0, 45.0),
(2909, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "PASS", "Université de Brest - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "SVT-PC - Sciences de la vie, Sciences de la terre, Physique, chimie", 280, 3762, 2553, 3762, 0, 2959, 396, 69, 14, 18, 11, 716, 0, 0, 0, 0, 0, 3763, 0, 0, 0, 2960, 397, 69, 14, 18, 11, 716, 1048, 275, 194, 275, 0, 56.0, 272.0, 272.0, 0, 37, 270, 270, 0, 0, 5, 1, 1, 22, 141, 100, 5.0, 268, 0, 0, 0, 0, 257, 257, 20.36, 98.91, 98.91, 70.5, 95.1875, 95.1875, 0, 13.69921875, 98.1875, 0.39996337890625, 0.39996337890625, 8.099609375, 52.1953125, 37.0, 1.9, 100.0, 99.296875, 0.0, 0.0, 0.0, 0.0, 1005.0, 131.0, 0.0, 0.0, 42.0, "Tous les candidats", 1477.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "27587", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27585&g_ta_cod=27587", 100.0, 0.0, 0.0),
(2910, "Public", "0530081A", "Lycée agricampus de Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "Lycée agricampus de Laval - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 50, 402, 157, 400, 0, 36, 7, 118, 27, 178, 51, 68, 2, 0, 1, 0, 1, 151, 0, 0, 0, 15, 7, 43, 22, 92, 42, 1, 71, 45, 10, 45, 0, 33.0, 44.0, 45.0, 0, 16, 45, 3, 15, 27, 0, 3, 10, 28, 3, 1, 0.0, 2, 11, 19, 23, 6, 38, 38, 73.33, 97.78, 100.0, 22.19921875, 84.390625, 84.390625, 51.09375, 35.59375, 100.0, 6.69921875, 22.19921875, 62.1953125, 6.69921875, 2.2, 0.0, 6.69921875, 4.3994140625, 33.296875, 24.3984375, 60.0, 42.1953125, 9.0, 1.0, 35.0, 12.0, 1.0, "Tous les candidats sauf les Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 74, "", 0, "Liste d'appel propre à cette formation", 28.0, "6220", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6220&g_ta_cod=6220", 7.0, 33.0, 60.0),
(2911, "Privé sous contrat d'association", "9710993C", "Lycée Bel Air", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "BTS", "Lycée Bel Air - BTS - Services - Tourisme", "BTS - Services", "", 32, 166, 129, 141, 0, 65, 22, 13, 9, 37, 21, 26, 25, 7, 4, 0, 14, 141, 8, 0, 0, 65, 22, 13, 9, 37, 21, 26, 127, 15, 15, 12, 3, 3.0, 11.0, 13.0, 0, 6, 10, 7, 0, 3, 5, 0, 5, 5, 0, 0, 0.0, 4, 0, 1, 0, 0, 9, 9, 20.0, 73.33, 86.67, 100.0, 90.0, 90.0, 0, 60.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 70.0, 40.0, 0.0, 0.0, 30.0, 10.0, 60.0, 22.0, 31.0, 19.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 79.0, "Bacheliers technologiques toutes séries", 18, "Bacheliers professionnels toutes séries", 39, "Liste d'appel propre à cette formation", 96.0, "33283", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33283&g_ta_cod=33283", 60.0, 0.0, 40.0),
(2912, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Licence", "Université Clermont Auvergne - Licence - Langues étrangères appliquées - Parcours Anglais/Italien", "Licence - Arts-lettres-langues", "Anglais/Italien", 15, 155, 115, 155, 0, 102, 26, 14, 3, 3, 2, 36, 0, 0, 0, 0, 0, 131, 0, 0, 0, 96, 23, 13, 3, 1, 1, 21, 46, 15, 15, 15, 0, 4.0, 12.0, 14.0, 0, 5, 15, 14, 1, 0, 0, 0, 3, 4, 5, 3, 0.0, 11, 1, 0, 0, 0, 15, 15, 26.67, 80.0, 93.33, 100.0, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 20.0, 26.69921875, 33.296875, 20.0, 0.0, 93.296875, 73.296875, 6.69921875, 6.69921875, 0.0, 0.0, 37.0, 7.0, 0.0, 0.0, 6.0, "Tous les candidats", 97.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "7634", "Licence - Langues étrangères appliquées - Parcours Anglais/Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7634&g_ta_cod=7634", 93.0, 7.0, 0.0),
(2913, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Grec moderne", "Licence - Arts-lettres-langues", "Grec moderne", 45, 184, 111, 37, 0, 20, 9, 1, 0, 5, 4, 11, 147, 14, 18, 14, 101, 37, 141, 0, 0, 20, 9, 1, 0, 5, 4, 11, 178, 31, 18, 8, 23, 8.0, 8.0, 20.0, 0, 7, 11, 6, 2, 3, 20, 0, 5, 5, 1, 0, 0.0, 3, 1, 2, 0, 0, 4, 4, 25.81, 25.81, 64.52, 58.09375, 36.3984375, 36.3984375, 0, 63.59375, 35.5, 0.0, 45.5, 45.5, 9.099609375, 0.0, 0.0, 54.5, 27.296875, 18.19921875, 9.099609375, 27.296875, 18.19921875, 34.0, 14.0, 18.0, 10.0, 107.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4568", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Grec moderne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4568&g_ta_cod=4568", 48.0, 23.0, 26.0),
(2914, "Public", "0751722P", "Sorbonne Université - Sciences et Ingénierie", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Autre formation", "Sorbonne Université ? Sciences et Ingénierie - C.M.I - Cursus Master en Ingénierie - Physique - Cursus Master en Ingénierie (CMI) : Physique", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Physique", 32, 1088, 317, 1088, 0, 785, 107, 7, 3, 2, 0, 294, 0, 0, 0, 0, 0, 309, 0, 0, 0, 272, 35, 0, 0, 0, 0, 37, 186, 30, 11, 30, 0, 14.0, 24.0, 26.0, 0, 4, 23, 23, 0, 0, 7, 0, 0, 2, 12, 6, 3.0, 23, 0, 0, 0, 0, 6, 13, 46.67, 80.0, 86.67, 36.6953125, 26.09765625, 56.5, 0, 17.3984375, 76.6875, 0.0, 0.0, 8.69921875, 52.1953125, 26.1, 13.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 163.0, 20.0, 0.0, 0.0, 23.0, "Tous les candidats", 268.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "17344", "C.M.I - Cursus Master en Ingénierie - Physique - Cursus Master en Ingénierie (CMI) : Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17344&g_ta_cod=17344", 100.0, 0.0, 0.0),
(2915, "Public", "0420042T", "Lycée Honore D'Urfe", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Honore D'Urfe - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 24, 1041, 753, 954, 0, 237, 49, 352, 118, 62, 25, 303, 87, 11, 24, 6, 46, 306, 11, 0, 0, 96, 19, 135, 37, 24, 10, 51, 197, 18, 13, 14, 3, 1.0, 8.0, 15.0, 0, 6, 16, 4, 11, 1, 2, 0, 4, 7, 5, 0, 0.0, 3, 9, 0, 6, 4, 15, 15, 5.56, 44.44, 83.33, 72.1875, 93.796875, 93.796875, 37.5, 37.5, 88.890625, 0.0, 25.0, 43.796875, 31.296875, 0.0, 0.0, 25.0, 18.796875, 68.796875, 56.296875, 6.2998046875, 0.0, 46.0, 14.0, 18.0, 7.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 122.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 156, "Liste d'appel propre à cette formation", 32.0, "5286", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5286&g_ta_cod=5286", 28.0, 67.0, 6.0),
(2916, "Public", "0220056S", "Lycée Francois Rabelais", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "CPGE", "Lycée Francois Rabelais - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 1039, 298, 1015, 728, 806, 85, 1, 0, 0, 0, 208, 24, 7, 1, 0, 16, 786, 4, 542, 702, 745, 74, 0, 0, 0, 0, 41, 456, 37, 5, 35, 2, 3.0, 26.0, 35.0, 7, 3, 34, 34, 0, 0, 3, 0, 0, 6, 24, 4, 0.0, 34, 0, 0, 7, 0, 33, 33, 8.11, 70.27, 94.59, 13.5, 97.09375, 97.09375, 20.59765625, 8.798828125, 91.890625, 0.0, 0.0, 17.59765625, 70.59375, 11.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 439.0, 37.0, 0.0, 0.0, 17.0, "Tous les candidats", 720.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "3315", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3315&g_ta_cod=3315", 100.0, 0.0, 0.0),
(2917, "Privé sous contrat d'association", "9710067W", "Lycée professionnel Blanchet", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "BTS", "Lycée professionnel Blanchet - BTS - Production - Electrotechnique", "BTS - Production", "", 16, 39, 2, 35, 0, 5, 2, 2, 1, 18, 11, 10, 4, 0, 1, 1, 2, 35, 4, 0, 0, 5, 2, 2, 1, 18, 11, 10, 37, 5, 0, 4, 1, 0.0, 4.0, 5.0, 0, 1, 2, 0, 0, 2, 3, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 0.0, 80.0, 100.0, 0.0, 100.0, 100.0, 0, 50.0, 40.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 4.0, 2.0, 19.0, 12.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers technologiques toutes séries", 2, "Bacheliers professionnels toutes séries", 21, "Liste d'appel propre à cette formation", 97.0, "25220", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25220&g_ta_cod=25220", 0.0, 0.0, 100.0),
(2918, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence_Las", "Université de Nantes - Licence - Portail Physique - MIP", "Licence - Sciences - technologies - santé", "MIP", 18, 362, 165, 332, 0, 186, 24, 3, 1, 0, 0, 143, 30, 9, 2, 0, 19, 330, 29, 0, 0, 186, 24, 3, 1, 0, 0, 141, 223, 13, 5, 7, 6, 0.0, 2.0, 10.0, 0, 1, 5, 5, 0, 0, 8, 0, 2, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 3, 3, 0.0, 15.38, 76.92, 38.5, 60.0, 60.0, 0, 20.0, 38.5, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 0.0, 0.0, 111.0, 14.0, 0.0, 0.0, 109.0, "Tous les candidats", 812.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "32048", "Licence - Portail Physique - MIP", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32047&g_ta_cod=32048", 92.0, 8.0, 0.0),
(2919, "Privé sous contrat d'association", "0610698C", "Lycée Saint Thomas D'Aquin", "61", "Orne", "Normandie", "Normandie", "Flers", "formation sélective", "BTS", "Lycée Saint Thomas D'Aquin - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 85, 42, 75, 0, 10, 1, 19, 5, 10, 3, 36, 10, 3, 0, 2, 5, 43, 3, 0, 0, 9, 1, 14, 4, 6, 1, 14, 45, 8, 4, 6, 2, 3.0, 6.0, 7.0, 0, 1, 5, 3, 0, 2, 3, 0, 3, 0, 2, 0, 0.0, 0, 0, 2, 2, 1, 5, 5, 37.5, 75.0, 87.5, 50.0, 100.0, 100.0, 40, 20.0, 62.5, 0.0, 60.0, 0.0, 40.0, 0.0, 0.0, 60.0, 0.0, 0.0, 0.0, 40.0, 40.0, 12.0, 2.0, 5.0, 1.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 57.0, "7309", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7309&g_ta_cod=7309", 50.0, 25.0, 25.0),
(2920, "Public", "0861408N", "Lycée professionnel KYOTO", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée professionnel KYOTO - BTS - Services - Diététique", "BTS - Services", "", 16, 1036, 863, 1036, 0, 288, 45, 268, 56, 68, 20, 412, 0, 0, 0, 0, 0, 867, 0, 0, 0, 238, 34, 246, 51, 58, 14, 325, 56, 16, 16, 16, 0, 2.0, 12.0, 14.0, 0, 1, 8, 3, 4, 1, 8, 0, 0, 3, 4, 1, 0.0, 3, 4, 1, 0, 0, 3, 3, 12.5, 75.0, 87.5, 100.0, 37.5, 37.5, 0, 12.5, 50.0, 0.0, 0.0, 37.5, 50.0, 12.5, 0.0, 37.5, 37.5, 50.0, 50.0, 12.5, 12.5, 13.0, 3.0, 3.0, 1.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 10.0, "10658", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10658&g_ta_cod=10658", 44.0, 38.0, 13.0),
(2921, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence_Las", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Europe - Polonais", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères, parcours Europe - Polonais", 10, 54, 46, 44, 0, 23, 10, 2, 0, 3, 3, 16, 10, 4, 0, 0, 6, 44, 5, 0, 0, 23, 10, 2, 0, 3, 3, 16, 35, 8, 7, 7, 1, 2.0, 7.0, 7.0, 0, 3, 6, 5, 1, 0, 2, 0, 5, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 6, 25.0, 87.5, 87.5, 87.5, 33.296875, 100.0, 0, 50.0, 75.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 83.296875, 16.69921875, 16.69921875, 0.0, 0.0, 0.0, 18.0, 8.0, 2.0, 2.0, 13.0, "Tous les candidats", 86.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 84.0, "29630", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Europe - Polonais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29629&g_ta_cod=29630", 75.0, 13.0, 13.0),
(2922, "Public", "0341884N", "I.U.T de Béziers", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation sélective", "BUT", "I.U.T de Béziers - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat-Business international : achat et vente-Marketing et management du point de vente", "BUT - Service", "Marketing digital, e-business et entrepreneuriat-Business international : achat et vente-Marketing et management du point de vente", 84, 2234, 1133, 2234, 0, 1239, 276, 629, 200, 39, 19, 327, 0, 0, 0, 0, 0, 1440, 0, 0, 0, 903, 189, 382, 101, 0, 0, 155, 432, 83, 39, 83, 0, 16.0, 76.0, 83.0, 0, 15, 57, 28, 29, 0, 26, 0, 3, 41, 13, 0, 0.0, 27, 27, 0, 0, 0, 41, 41, 19.28, 91.57, 100.0, 47.0, 71.890625, 71.890625, 0, 26.296875, 68.6875, 0.0, 5.2998046875, 71.890625, 22.796875, 0.0, 0.0, 49.09375, 47.3984375, 50.8984375, 47.3984375, 0.0, 0.0, 180.0, 64.0, 0.0, 0.0, 83.0, "Tous les candidats sauf les Bac technologiques", 450.0, "Bacheliers technologiques toutes séries", 313, "", 0, "Liste d'appel propre à cette formation", 34.0, "4607", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat-Business international : achat et vente-Marketing et management du point de vente", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4607&g_ta_cod=4607", 54.0, 46.0, 0.0),
(2923, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Trilangue Anglais - Hébreu études juives - 3ème langue à choix", "Licence - Arts-lettres-langues", "Trilangue Anglais - Hébreu études juives - 3ème langue à choix", 15, 70, 49, 35, 0, 20, 6, 2, 1, 3, 1, 10, 35, 1, 0, 2, 32, 35, 31, 0, 0, 20, 6, 2, 1, 3, 1, 10, 66, 5, 3, 1, 4, 1.0, 1.0, 5.0, 0, 1, 1, 1, 0, 0, 4, 0, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 20.0, 20.0, 100.0, 60.0, 0.0, 0.0, 0, 100.0, 20.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 21.0, 6.0, 5.0, 3.0, 38.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "23991", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Trilangue Anglais - Hébreu études juives - 3ème langue à choix", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23991&g_ta_cod=23991", 80.0, 20.0, 0.0),
(2924, "Privé sous contrat d'association", "0753873C", "Lycée Fénelon Sainte-Marie", "75", "Paris", "Ile-de-France", "Paris", "Paris  8e  Arrondissement", "formation sélective", "CPGE", "Lycée Fénelon Sainte-Marie - CPGE - MP2I", "Classe préparatoire scientifique", "", 36, 1384, 206, 1384, 0, 1263, 135, 4, 2, 0, 0, 117, 0, 0, 0, 0, 0, 841, 0, 0, 841, 840, 63, 0, 0, 0, 0, 1, 274, 43, 6, 43, 0, 5.0, 24.0, 36.0, 0, 4, 43, 43, 0, 0, 0, 0, 0, 1, 24, 18, 0.0, 43, 0, 0, 3, 1, 12, 37, 11.63, 55.81, 83.72, 14.0, 27.8984375, 86.0, 7, 9.298828125, 100.0, 0.0, 0.0, 2.2998046875, 55.796875, 41.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 274.0, 24.0, 0.0, 0.0, 0.0, "Tous les candidats", 366.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "32125", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32125&g_ta_cod=32125", 100.0, 0.0, 0.0),
(2925, "Public", "0754540C", "Ecole Nationale Supérieure d'Architecture de Paris-Val de Seine", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Paris-Val de Seine - Architecture", "Formations Bac + 5", "", 250, 3117, 1965, 3117, 0, 1850, 399, 214, 76, 87, 40, 966, 0, 0, 0, 0, 0, 655, 0, 0, 0, 388, 40, 31, 5, 11, 2, 225, 460, 247, 187, 247, 0, 117.0, 234.0, 239.0, 0, 14, 139, 128, 7, 4, 108, 0, 1, 1, 84, 50, 3.0, 127, 7, 4, 0, 0, 15, 75, 47.37, 94.74, 96.76, 75.6875, 10.798828125, 54.0, 0, 10.099609375, 56.296875, 0.0, 0.699951171875, 0.699951171875, 60.3984375, 36.0, 2.2, 92.09375, 91.390625, 5.0, 5.0, 2.89990234375, 2.89990234375, 271.0, 40.0, 9.0, 2.0, 160.0, "Tous les candidats", 497.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "9543", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9543&g_ta_cod=9543", 92.0, 5.0, 2.0),
(2926, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence", "Avignon Université - Licence - Langues étrangères appliquées - Parcours Anglais - Espagnol", "Licence - Arts-lettres-langues", "Anglais - Espagnol", 145, 846, 617, 642, 0, 395, 139, 68, 34, 37, 20, 142, 204, 39, 21, 30, 114, 637, 154, 0, 0, 395, 139, 68, 34, 37, 20, 137, 634, 133, 89, 79, 53, 18.0, 79.0, 109.0, 0, 38, 89, 52, 14, 23, 44, 1, 44, 30, 13, 1, 0.0, 31, 4, 9, 0, 0, 67, 67, 13.53, 59.4, 81.95, 66.890625, 75.296875, 75.296875, 0, 42.6953125, 66.890625, 1.099853515625, 49.3984375, 33.6953125, 14.599609375, 1.1, 0.0, 58.3984375, 34.796875, 15.69921875, 4.5, 25.796875, 10.099609375, 323.0, 109.0, 55.0, 32.0, 183.0, "Tous les candidats", 637.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "10444", "Licence - Langues étrangères appliquées - Parcours Anglais - Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10444&g_ta_cod=10444", 57.0, 22.0, 21.0),
(2927, "Public", "0772342C", "Lycée Clement Ader", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Tournan-en-Brie", "formation sélective", "BTS", "Lycée Clement Ader - BTS - Services - Gestion des transports et logistique associée (Seconde année possible en apprentissage)", "BTS - Services", "", 24, 337, 76, 334, 0, 17, 2, 48, 29, 110, 59, 159, 3, 0, 2, 0, 1, 208, 0, 0, 0, 15, 2, 40, 23, 94, 51, 59, 97, 21, 3, 21, 0, 2.0, 11.0, 15.0, 0, 8, 17, 0, 7, 10, 4, 0, 8, 6, 3, 0, 0.0, 0, 2, 7, 1, 0, 16, 17, 9.52, 52.38, 71.43, 14.298828125, 94.09375, 100.0, 5.8994140625, 47.09375, 81.0, 0.0, 47.09375, 35.296875, 17.59765625, 0.0, 0.0, 0.0, 0.0, 41.1953125, 11.798828125, 58.796875, 41.1953125, 5.0, 2.0, 42.0, 20.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers technologiques toutes séries", 53, "Bacheliers professionnels toutes séries", 43, "Liste d'appel propre à cette formation", 32.0, "25350", "BTS - Services - Gestion des transports et logistique associée (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25350&g_ta_cod=25350", 0.0, 43.0, 57.0),
(2928, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence_Las", "Université de Rennes 2 - Licence - Portail Métiers de la Rééducation et de la Réadaptation -  option Santé", "Licence - STAPS", "Métiers de la Rééducation et de la Réadaptation", 120, 1816, 955, 1816, 0, 1279, 115, 101, 18, 13, 3, 423, 0, 0, 0, 0, 0, 1816, 0, 0, 0, 1279, 115, 101, 18, 13, 3, 423, 259, 120, 68, 118, 0, 63.0, 107.0, 116.0, 0, 13, 112, 110, 2, 0, 8, 0, 4, 32, 60, 16, 0.0, 106, 2, 0, 0, 0, 106, 106, 52.5, 89.17, 96.67, 56.6953125, 94.59375, 94.59375, 0, 11.599609375, 93.296875, 0.0, 3.599609375, 28.59765625, 53.59375, 14.3, 0.0, 98.1875, 94.59375, 1.7998046875, 1.7998046875, 0.0, 0.0, 241.0, 22.0, 1.0, 0.0, 10.0, "Tous les candidats", 271.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "29023", "Licence - Portail Métiers de la Rééducation et de la Réadaptation -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29023&g_ta_cod=29023", 98.0, 2.0, 0.0),
(2929, "Public", "0350030T", "Lycée Pierre Mendes France", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Pierre Mendes France - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 28, 323, 14, 317, 0, 10, 4, 98, 19, 121, 43, 88, 6, 0, 2, 3, 1, 201, 1, 0, 0, 10, 4, 93, 17, 75, 19, 23, 134, 18, 0, 17, 1, 1.0, 17.0, 17.0, 0, 2, 17, 0, 8, 9, 1, 0, 5, 8, 4, 0, 0.0, 0, 5, 7, 6, 0, 15, 15, 5.56, 94.44, 94.44, 0.0, 88.1875, 88.1875, 35.296875, 11.798828125, 94.390625, 0.0, 29.3984375, 47.09375, 23.5, 0.0, 0.0, 0.0, 0.0, 47.09375, 29.3984375, 52.8984375, 41.1953125, 9.0, 4.0, 48.0, 10.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 108, "Liste d'appel propre à cette formation", 63.0, "4649", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4649&g_ta_cod=4649", 6.0, 44.0, 50.0),
(2930, "Public", "0170145R", "I.U.T. La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BUT", "I.U.T. La Rochelle - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception", "BUT - Production", "Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception", 100, 2293, 425, 2263, 0, 1297, 101, 665, 77, 23, 4, 278, 30, 0, 20, 0, 10, 994, 4, 0, 0, 646, 51, 260, 24, 5, 1, 83, 543, 110, 29, 106, 4, 68.0, 101.0, 109.0, 0, 12, 100, 58, 41, 1, 10, 0, 1, 35, 61, 3, 0.0, 57, 41, 1, 0, 0, 39, 39, 61.82, 91.82, 99.09, 26.3984375, 39.0, 39.0, 0, 12.0, 90.890625, 0.0, 1.0, 35.0, 61.0, 3.0, 0.0, 58.0, 57.0, 41.0, 41.0, 1.0, 1.0, 335.0, 36.0, 2.0, 0.0, 18.0, "Tous les candidats sauf les Bac technologiques", 414.0, "Bacheliers technologiques toutes séries", 268, "", 0, "Liste d'appel propre à cette formation", 30.0, "3052", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3052&g_ta_cod=3052", 58.0, 41.0, 1.0),
(2931, "Public", "0332758U", "CPBx (ENSCBP département Agroalimentaire, Génie Biologique)", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Ecole d'Ingénieur", "CPBx (ENSCBP département Agroalimentaire, Génie Biologique) - Formation d'ingénieur Bac + 5 - bac général", "Formations  des écoles d'ingénieurs", "bac général", 14, 223, 147, 223, 0, 223, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 75, 0, 0, 0, 75, 4, 0, 0, 0, 0, 0, 47, 15, 9, 15, 0, 3.0, 14.0, 15.0, 0, 0, 15, 15, 0, 0, 0, 0, 0, 0, 11, 3, 1.0, 15, 0, 0, 0, 0, 7, 7, 20.0, 93.33, 100.0, 60.0, 46.6953125, 46.6953125, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 73.296875, 20.0, 6.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 47.0, 3.0, 0.0, 0.0, 0.0, "Tous les candidats", 58.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "4452", "Formation d'ingénieur Bac + 5 - bac général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4452&g_ta_cod=4452", 100.0, 0.0, 0.0),
(2932, "Public", "0930125F", "Lycée Paul Eluard", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BTS", "Lycée Paul Eluard - BTS - Services - Gestion de la PME", "BTS - Services", "", 65, 2108, 1306, 2108, 0, 67, 31, 491, 266, 714, 423, 836, 0, 0, 0, 0, 0, 686, 0, 0, 0, 38, 17, 78, 47, 396, 239, 174, 290, 56, 37, 56, 0, 3.0, 41.0, 50.0, 0, 23, 46, 6, 11, 29, 10, 0, 24, 16, 5, 1, 0.0, 1, 7, 14, 4, 3, 31, 46, 5.36, 73.21, 89.29, 66.09375, 67.390625, 100.0, 8.69921875, 50.0, 82.09375, 0.0, 52.1953125, 34.796875, 10.8984375, 2.2, 0.0, 13.0, 2.19970703125, 23.8984375, 15.19921875, 63.0, 30.3984375, 31.0, 15.0, 146.0, 91.0, 55.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 216, "Bacheliers technologiques toutes séries", 113, "Liste d'appel propre à cette formation", 18.0, "11196", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11196&g_ta_cod=11196", 14.0, 32.0, 54.0),
(2933, "Public", "0860818X", "Lycée Professionnel Agricole Danielle Mathiron", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Thuré", "formation sélective", "BTS", "Lycée Professionnel Agricole Danielle Mathiron - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 19, 271, 84, 264, 0, 28, 5, 30, 6, 58, 8, 148, 7, 3, 0, 0, 4, 128, 1, 0, 0, 28, 5, 29, 6, 57, 8, 14, 84, 19, 5, 18, 1, 3.0, 18.0, 19.0, 0, 3, 17, 3, 2, 12, 2, 0, 8, 6, 3, 0, 0.0, 1, 1, 7, 9, 3, 14, 14, 15.79, 94.74, 100.0, 26.296875, 82.390625, 82.390625, 52.8984375, 17.59765625, 89.5, 0.0, 47.09375, 35.296875, 17.59765625, 0.0, 0.0, 17.59765625, 5.8994140625, 11.798828125, 5.8994140625, 70.59375, 41.1953125, 20.0, 2.0, 37.0, 7.0, 9.0, "Tous les candidats sauf les Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 52, "", 0, "Liste d'appel propre à cette formation", 46.0, "15803", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15803&g_ta_cod=15803", 21.0, 11.0, 68.0),
(2934, "Public", "0800007Y", "Lycée Lamarck", "80", "Somme", "Hauts-de-France", "Amiens", "Albert", "formation sélective", "BTS", "Lycée Lamarck - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 125, 10, 108, 0, 2, 1, 25, 9, 19, 7, 62, 17, 2, 3, 2, 10, 51, 2, 0, 0, 2, 1, 22, 7, 14, 4, 13, 43, 13, 0, 11, 2, 5.0, 11.0, 13.0, 0, 1, 5, 0, 2, 3, 8, 0, 1, 3, 1, 0, 0.0, 0, 2, 2, 4, 0, 5, 5, 38.46, 84.62, 100.0, 0.0, 100.0, 100.0, 80, 20.0, 38.5, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 0.0, 0.0, 40.0, 40.0, 60.0, 40.0, 1.0, 1.0, 14.0, 4.0, 14.0, "Tous les candidats sauf les Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 46.0, "10148", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10148&g_ta_cod=10148", 15.0, 46.0, 38.0),
(2935, "Privé sous contrat d'association", "0132246A", "ESAIP Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 20, 1038, 279, 1028, 0, 1022, 103, 0, 0, 0, 0, 6, 10, 10, 0, 0, 0, 870, 7, 0, 0, 870, 69, 0, 0, 0, 0, 0, 720, 3, 2, 1, 2, 1.0, 1.0, 3.0, 0, 0, 3, 3, 0, 0, 0, 0, 1, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 33.33, 33.33, 100.0, 66.6875, 66.6875, 66.6875, 0, 0.0, 100.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 720.0, 66.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "25849", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=25849", 100.0, 0.0, 0.0),
(2936, "Privé sous contrat d'association", "0441032H", "Lycée agricole de DERVAL", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Derval", "formation sélective", "BTS", "Lycée agricole de DERVAL - BTS - Agricole - génie des équipements agricoles", "BTS - Agricole", "", 32, 128, 4, 128, 0, 13, 4, 30, 6, 65, 16, 20, 0, 0, 0, 0, 0, 113, 0, 0, 0, 13, 4, 30, 6, 65, 16, 5, 73, 24, 3, 24, 0, 17.0, 24.0, 24.0, 0, 8, 23, 3, 6, 14, 1, 0, 10, 7, 5, 1, 0.0, 1, 3, 9, 11, 0, 12, 12, 70.83, 100.0, 100.0, 12.5, 52.1953125, 52.1953125, 47.796875, 34.796875, 95.796875, 0.0, 43.5, 30.3984375, 21.69921875, 4.3, 0.0, 13.0, 4.2998046875, 26.09765625, 13.0, 60.8984375, 39.09375, 11.0, 3.0, 31.0, 10.0, 4.0, "Tous les candidats sauf les Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 73.0, "5588", "BTS - Agricole - génie des équipements agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5588&g_ta_cod=5588", 13.0, 25.0, 63.0),
(2937, "Public", "0500002F", "Lycée Emile Littré", "50", "Manche", "Normandie", "Normandie", "Avranches", "formation sélective", "BTS", "Lycée Emile Littré - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 15, 603, 460, 603, 0, 113, 17, 232, 45, 58, 20, 200, 0, 0, 0, 0, 0, 486, 0, 0, 0, 113, 17, 214, 41, 58, 20, 101, 104, 15, 14, 15, 0, 3.0, 8.0, 13.0, 0, 1, 10, 1, 4, 5, 5, 0, 3, 5, 2, 0, 0.0, 1, 2, 4, 0, 0, 6, 6, 20.0, 53.33, 86.67, 93.296875, 60.0, 60.0, 0, 10.0, 66.6875, 0.0, 30.0, 50.0, 20.0, 0.0, 0.0, 10.0, 10.0, 40.0, 20.0, 50.0, 40.0, 20.0, 5.0, 12.0, 4.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 117, "Liste d'appel propre à cette formation", 33.0, "19856", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19856&g_ta_cod=19856", 13.0, 53.0, 33.0),
(2938, "Public", "0310047H", "Lycée Ozenne", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Ozenne - BTS - Services - Support à l'action managériale", "BTS - Services", "", 70, 1145, 808, 1145, 0, 69, 22, 425, 201, 316, 195, 335, 0, 0, 0, 0, 0, 1075, 0, 0, 0, 68, 22, 410, 193, 299, 190, 298, 265, 66, 61, 66, 0, 14.0, 61.0, 63.0, 0, 31, 56, 4, 21, 31, 10, 0, 13, 25, 17, 1, 0.0, 1, 16, 26, 1, 1, 52, 52, 21.21, 92.42, 95.45, 92.390625, 92.890625, 92.890625, 1.7998046875, 55.3984375, 84.796875, 0.0, 23.19921875, 44.59375, 30.3984375, 1.8, 0.0, 7.099609375, 1.7998046875, 37.5, 28.59765625, 55.3984375, 46.3984375, 34.0, 19.0, 103.0, 64.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 161, "Bacheliers technologiques toutes séries", 132, "Liste d'appel propre à cette formation", 30.0, "4072", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4072&g_ta_cod=4072", 14.0, 39.0, 47.0),
(2939, "Public", "0210015C", "Lycée Carnot", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "CPGE", "Lycée Carnot - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 913, 612, 893, 641, 703, 56, 2, 1, 1, 0, 187, 20, 10, 0, 0, 10, 571, 3, 309, 539, 560, 39, 0, 0, 0, 0, 11, 363, 34, 23, 34, 0, 5.0, 25.0, 34.0, 5, 3, 34, 34, 0, 0, 0, 0, 0, 1, 15, 15, 3.0, 34, 0, 0, 0, 0, 14, 14, 14.71, 73.53, 100.0, 67.59375, 41.1953125, 41.1953125, 0, 8.798828125, 100.0, 0.0, 0.0, 2.89990234375, 44.09375, 44.1, 8.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 357.0, 26.0, 0.0, 0.0, 6.0, "Tous les candidats", 558.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "3183", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3183&g_ta_cod=3183", 100.0, 0.0, 0.0),
(2940, "Public", "0594365Z", "IUT LITTORAL (DUNKERQUE)", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BUT", "IUT LITTORAL (DUNKERQUE) - BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie - Management de l'énergie pour le bâtiment et l'industrie", "BUT - Production", "Optimisation énergétique pour le bâtiment et l'industrie - Management de l'énergie pour le bâtiment et l'industrie", 42, 287, 29, 243, 0, 114, 10, 82, 15, 1, 0, 46, 44, 7, 7, 0, 30, 200, 19, 0, 0, 101, 9, 58, 10, 0, 0, 41, 200, 29, 2, 25, 4, 19.0, 25.0, 29.0, 0, 2, 20, 10, 10, 0, 9, 0, 3, 11, 6, 0, 0.0, 8, 9, 0, 0, 0, 16, 16, 65.52, 86.21, 100.0, 6.8994140625, 80.0, 80.0, 0, 10.0, 69.0, 0.0, 15.0, 55.0, 30.0, 0.0, 0.0, 50.0, 40.0, 50.0, 45.0, 0.0, 0.0, 96.0, 9.0, 0.0, 0.0, 49.0, "Tous les candidats sauf les Bac technologiques", 135.0, "Bacheliers technologiques toutes séries", 64, "", 0, "Liste d'appel propre à cette formation", 81.0, "7107", "BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie - Management de l'énergie pour le bâtiment et l'industrie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7107&g_ta_cod=7107", 62.0, 38.0, 0.0),
(2941, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Sciences sociales - Parcours Sciences économiques et sociales", "Licence - Droit-économie-gestion", "Sciences économiques et sociales", 70, 1845, 1138, 1845, 0, 1319, 353, 119, 60, 33, 16, 374, 0, 0, 0, 0, 0, 1844, 0, 0, 0, 1319, 353, 119, 60, 33, 16, 373, 669, 67, 42, 67, 0, 8.0, 46.0, 59.0, 0, 12, 53, 52, 1, 0, 14, 1, 14, 14, 18, 6, 0.0, 38, 0, 0, 0, 0, 33, 33, 11.94, 68.66, 88.06, 62.6953125, 62.296875, 62.296875, 0, 22.59765625, 79.09375, 1.89990234375, 26.3984375, 26.3984375, 34.0, 11.3, 0.0, 98.09375, 71.6875, 1.89990234375, 0.0, 0.0, 0.0, 565.0, 144.0, 7.0, 6.0, 88.0, "Tous les candidats", 1267.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "26353", "Licence - Sciences sociales - Parcours Sciences économiques et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26353&g_ta_cod=26353", 97.0, 3.0, 0.0),
(2942, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "PASS", "Université Grenoble Alpes  - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 270, 5596, 3838, 5596, 0, 4493, 701, 171, 58, 17, 7, 915, 0, 0, 0, 0, 0, 5504, 0, 0, 0, 4493, 701, 171, 58, 17, 7, 823, 868, 267, 206, 267, 0, 47.0, 228.0, 251.0, 0, 50, 267, 267, 0, 0, 0, 0, 0, 25, 141, 91, 10.0, 267, 0, 0, 0, 0, 254, 254, 17.6, 85.39, 94.01, 77.1875, 95.09375, 95.09375, 0, 18.69921875, 100.0, 0.0, 0.0, 9.3984375, 52.796875, 34.1, 3.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 868.0, 120.0, 0.0, 0.0, 0.0, "Tous les candidats", 1219.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "31712", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30761&g_ta_cod=31712", 100.0, 0.0, 0.0),
(2943, "Privé sous contrat d'association", "0111024D", "Ecole Sup. La Raque", "11", "Aude", "Occitanie", "Montpellier", "Lasbordes", "formation sélective", "BTS", "Ecole Sup. La Raque - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 15, 76, 42, 74, 0, 16, 1, 22, 5, 25, 8, 11, 2, 0, 0, 0, 2, 69, 1, 0, 0, 16, 1, 22, 5, 25, 8, 6, 44, 11, 8, 11, 0, 3.0, 11.0, 11.0, 0, 3, 10, 2, 4, 4, 1, 0, 4, 4, 2, 0, 0.0, 1, 2, 3, 0, 0, 5, 5, 27.27, 100.0, 100.0, 72.6875, 50.0, 50.0, 0, 30.0, 90.890625, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 20.0, 10.0, 40.0, 20.0, 40.0, 30.0, 9.0, 1.0, 16.0, 7.0, 6.0, "Tous les candidats sauf les Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 88.0, "2475", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2475&g_ta_cod=2475", 27.0, 36.0, 36.0),
(2944, "Privé sous contrat d'association", "0333481E", "YNCREA - BÈGLES", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "Bac STI2D", 5, 71, 5, 69, 0, 0, 0, 69, 17, 0, 0, 0, 2, 0, 2, 0, 0, 37, 1, 0, 0, 0, 0, 37, 9, 0, 0, 0, 18, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "31229", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=31229", 0, 0, 0),
(2945, "Public", "9740921H", "Lycée professionnel Isnelle Amelin", "974", "La Réunion", "La Réunion", "La Réunion", "Sainte-Marie", "formation sélective", "BTS", "Lycée professionnel Isnelle Amelin - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 12, 342, 329, 342, 0, 43, 25, 140, 91, 81, 58, 78, 0, 0, 0, 0, 0, 200, 0, 0, 0, 18, 6, 81, 51, 50, 33, 51, 44, 14, 14, 13, 0, 3.0, 8.0, 11.0, 0, 10, 12, 1, 3, 8, 2, 0, 4, 5, 3, 0, 0.0, 1, 1, 6, 5, 5, 12, 12, 21.43, 57.14, 78.57, 100.0, 100.0, 100.0, 41.6953125, 83.296875, 85.6875, 0.0, 33.296875, 41.6953125, 25.0, 0.0, 0.0, 8.298828125, 8.298828125, 25.0, 8.298828125, 66.6875, 50.0, 2.0, 1.0, 18.0, 14.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 22.0, "19006", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19006&g_ta_cod=19006", 14.0, 29.0, 57.0),
(2946, "Public", "0940113M", "Lycée Langevin-Wallon", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Champigny-sur-Marne", "formation sélective", "BTS", "Lycée Langevin-Wallon - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1366, 659, 1366, 0, 64, 19, 397, 164, 518, 249, 387, 0, 0, 0, 0, 0, 657, 0, 0, 0, 52, 15, 253, 105, 239, 124, 113, 155, 36, 22, 35, 0, 5.0, 26.0, 32.0, 0, 16, 30, 7, 13, 10, 6, 0, 15, 12, 3, 0, 0.0, 3, 5, 7, 2, 2, 27, 27, 13.89, 72.22, 88.89, 61.09375, 90.0, 90.0, 6.69921875, 53.296875, 83.296875, 0.0, 50.0, 40.0, 10.0, 0.0, 0.0, 23.296875, 10.0, 43.296875, 16.69921875, 33.296875, 23.296875, 27.0, 10.0, 48.0, 23.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 111, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 16.0, "11372", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11372&g_ta_cod=11372", 19.0, 36.0, 44.0),
(2947, "Privé sous contrat d'association", "0131433M", "Lycée professionnel de St Henri", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 16e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel de St Henri - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 15, 39, 0, 35, 0, 0, 0, 0, 0, 34, 21, 1, 4, 0, 0, 4, 0, 35, 1, 0, 0, 0, 0, 0, 0, 34, 21, 1, 32, 9, 0, 9, 0, 6.0, 9.0, 9.0, 0, 7, 9, 0, 0, 9, 0, 0, 4, 3, 1, 1, 0.0, 0, 0, 5, 0, 0, 9, 9, 66.67, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 77.796875, 100.0, 0.0, 44.3984375, 33.296875, 11.099609375, 11.1, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 55.59375, 0.0, 0.0, 31.0, 22.0, 1.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19051", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19051&g_ta_cod=19051", 0.0, 0.0, 100.0),
(2948, "Privé sous contrat d'association", "0312408Z", "Lycée Saliège", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Balma", "formation sélective", "BTS", "Lycée Saliège - BTS - Services - Professions immobilières", "BTS - Services", "", 18, 1294, 706, 1294, 0, 320, 71, 416, 108, 218, 80, 340, 0, 0, 0, 0, 0, 703, 0, 0, 0, 196, 44, 213, 46, 155, 53, 139, 123, 18, 12, 18, 0, 2.0, 14.0, 16.0, 0, 4, 16, 7, 3, 6, 2, 0, 1, 9, 4, 2, 0.0, 7, 3, 5, 0, 0, 16, 16, 11.11, 77.78, 88.89, 66.6875, 100.0, 100.0, 0, 25.0, 88.890625, 0.0, 6.2998046875, 56.296875, 25.0, 12.5, 0.0, 43.796875, 43.796875, 18.796875, 18.796875, 37.5, 31.296875, 25.0, 7.0, 32.0, 6.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 13.0, "20220", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20220&g_ta_cod=20220", 39.0, 28.0, 33.0),
(2949, "Public", "0780015T", "Lycée Militaire de Saint-Cyr", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Cyr-l'Ecole", "formation sélective", "CPGE", "Lycée Militaire de Saint-Cyr - CPGE - Option lettres et sciences humaines (St Cyr)", "Classe préparatoire littéraire", "", 34, 566, 169, 566, 566, 497, 45, 4, 1, 1, 0, 64, 0, 0, 0, 0, 0, 566, 0, 566, 0, 497, 45, 4, 1, 1, 0, 64, 84, 33, 5, 33, 0, 6.0, 25.0, 26.0, 33, 4, 33, 33, 0, 0, 0, 0, 0, 2, 17, 14, 0.0, 33, 0, 0, 2, 1, 5, 8, 18.18, 75.76, 78.79, 15.19921875, 15.19921875, 24.19921875, 6.099609375, 12.099609375, 100.0, 0.0, 0.0, 6.099609375, 51.5, 42.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 83.0, 9.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "9956", "CPGE - Option lettres et sciences humaines (St Cyr)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9956&g_ta_cod=9956", 100.0, 0.0, 0.0),
(2950, "Public", "0130001F", "Lycée Emile Zola", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée Emile Zola - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 1137, 702, 1137, 0, 113, 43, 367, 146, 329, 176, 328, 0, 0, 0, 0, 0, 730, 0, 0, 0, 106, 37, 240, 90, 225, 113, 159, 206, 27, 16, 26, 0, 2.0, 17.0, 25.0, 0, 6, 20, 3, 6, 11, 7, 0, 4, 9, 6, 1, 0.0, 1, 4, 11, 3, 0, 18, 18, 7.41, 62.96, 92.59, 59.296875, 90.0, 90.0, 15, 30.0, 74.09375, 0.0, 20.0, 45.0, 30.0, 5.0, 0.0, 15.0, 5.0, 30.0, 20.0, 55.0, 55.0, 41.0, 20.0, 81.0, 36.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 112.0, "Bacheliers professionnels toutes séries", 172, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 34.0, "2525", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2525&g_ta_cod=2525", 26.0, 22.0, 52.0),
(2951, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation non sélective", "Licence", "Université de La Rochelle - Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquée (LEA) : anglais-coréen", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquée (LEA) : anglais-coréen", 75, 1474, 1336, 1474, 0, 894, 246, 89, 33, 55, 25, 436, 0, 0, 0, 0, 0, 1469, 0, 0, 0, 894, 246, 89, 33, 55, 25, 431, 193, 75, 69, 75, 0, 19.0, 71.0, 73.0, 0, 21, 65, 63, 1, 1, 10, 0, 0, 15, 33, 17, 0.0, 63, 1, 1, 0, 0, 39, 39, 25.33, 94.67, 97.33, 92.0, 60.0, 60.0, 0, 32.296875, 86.6875, 0.0, 0.0, 23.09765625, 50.796875, 26.2, 0.0, 96.890625, 96.890625, 1.5, 1.5, 1.5, 1.5, 160.0, 41.0, 1.0, 1.0, 30.0, "Tous les candidats", 249.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "14680", "Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquée (LEA) : anglais-coréen", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14680&g_ta_cod=14680", 97.0, 1.0, 1.0),
(2952, "Public", "0300002P", "Lycée Jean-Baptiste Dumas", "30", "Gard", "Occitanie", "Montpellier", "Alès", "formation sélective", "BTS", "Lycée Jean-Baptiste Dumas - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 97, 14, 92, 0, 3, 2, 36, 11, 30, 13, 23, 5, 0, 1, 2, 2, 58, 2, 0, 0, 2, 1, 30, 8, 18, 4, 8, 49, 9, 1, 8, 1, 3.0, 8.0, 8.0, 0, 3, 7, 0, 2, 5, 2, 0, 2, 5, 0, 0, 0.0, 0, 1, 4, 6, 1, 6, 6, 33.33, 88.89, 88.89, 11.099609375, 85.6875, 85.6875, 85.6875, 42.8984375, 77.796875, 0.0, 28.59765625, 71.390625, 0.0, 0.0, 0.0, 0.0, 0.0, 28.59765625, 14.298828125, 71.390625, 57.09375, 2.0, 1.0, 14.0, 5.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 55.0, "3924", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3924&g_ta_cod=3924", 11.0, 33.0, 56.0),
(2953, "Public", "0330028B", "Lycée Gustave Eiffel", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Gustave Eiffel - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 1583, 569, 1583, 0, 1162, 135, 2, 0, 0, 0, 419, 0, 0, 0, 0, 0, 1066, 0, 0, 1066, 976, 103, 0, 0, 0, 0, 90, 545, 95, 26, 95, 0, 12.0, 71.0, 88.0, 0, 7, 91, 91, 0, 0, 4, 0, 0, 4, 63, 23, 1.0, 91, 0, 0, 14, 4, 87, 87, 12.63, 74.74, 92.63, 27.3984375, 95.59375, 95.59375, 15.3984375, 7.69921875, 95.796875, 0.0, 0.0, 4.3994140625, 69.1875, 25.3, 1.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 523.0, 52.0, 0.0, 0.0, 22.0, "Tous les candidats", 610.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "4287", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4287&g_ta_cod=4287", 100.0, 0.0, 0.0),
(2954, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "Autre formation", "Université de Bretagne Sud - Site de Lorient - CUPGE - Cycle universitaire préparatoire aux grandes écoles - Parcours Sciences pour l'ingénieur", "CUPGE - Sciences, technologie, santé", "", 36, 233, 77, 209, 0, 166, 25, 0, 0, 0, 0, 43, 24, 9, 0, 0, 15, 175, 11, 0, 0, 145, 20, 0, 0, 0, 0, 30, 148, 14, 5, 13, 1, 1.0, 13.0, 14.0, 0, 1, 12, 12, 0, 0, 2, 0, 1, 5, 5, 1, 0.0, 11, 0, 0, 0, 0, 7, 7, 7.14, 92.86, 100.0, 35.6953125, 58.296875, 58.296875, 0, 8.298828125, 85.6875, 0.0, 8.298828125, 41.6953125, 41.6953125, 8.3, 0.0, 100.0, 91.6875, 0.0, 0.0, 0.0, 0.0, 121.0, 17.0, 0.0, 0.0, 27.0, "Tous les candidats", 172.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "14407", "CUPGE - Cycle universitaire préparatoire aux grandes écoles - Parcours Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14407&g_ta_cod=14407", 100.0, 0.0, 0.0),
(2955, "Public", "0730813M", "Lycée agricole De La Motte Servolex", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "La Motte-Servolex", "formation sélective", "BTS", "Lycée agricole De La Motte Servolex - BTS - Agricole - génie des équipements agricoles", "BTS - Agricole", "", 16, 147, 7, 144, 0, 12, 0, 57, 6, 42, 8, 33, 3, 1, 0, 0, 2, 89, 2, 0, 0, 6, 0, 57, 6, 21, 3, 5, 60, 8, 0, 7, 1, 1.0, 6.0, 7.0, 0, 1, 6, 0, 5, 1, 2, 0, 0, 3, 3, 0, 0.0, 0, 5, 1, 1, 0, 3, 3, 12.5, 75.0, 87.5, 0.0, 50.0, 50.0, 16.69921875, 16.69921875, 75.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 83.296875, 83.296875, 16.69921875, 16.69921875, 7.0, 0.0, 16.0, 2.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 60.0, "8801", "BTS - Agricole - génie des équipements agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8801&g_ta_cod=8801", 13.0, 75.0, 13.0),
(2956, "Public", "0370054H", "Lycée professionnel Martin Nadaud", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Saint-Pierre-des-Corps", "formation sélective", "BTS", "Lycée professionnel Martin Nadaud - BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "BTS - Production", "", 15, 317, 40, 287, 0, 9, 2, 30, 11, 81, 31, 167, 30, 0, 0, 21, 9, 55, 5, 0, 0, 4, 0, 19, 6, 31, 10, 1, 48, 11, 0, 8, 2, 6.0, 8.0, 8.0, 0, 5, 9, 0, 2, 7, 2, 0, 2, 6, 1, 0, 0.0, 0, 2, 5, 2, 0, 7, 7, 54.55, 72.73, 72.73, 0.0, 77.796875, 77.796875, 22.19921875, 55.59375, 81.796875, 0.0, 22.19921875, 66.6875, 11.099609375, 0.0, 0.0, 0.0, 0.0, 22.19921875, 22.19921875, 77.796875, 55.59375, 0.0, 0.0, 31.0, 13.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 17.0, "4849", "BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4849&g_ta_cod=4849", 9.0, 18.0, 73.0),
(2957, "Public", "0490054T", "Lycée polyvalent Fernand Renaudeau - Lycée des métiers de la mode", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "BTS", "Lycée polyvalent Fernand Renaudeau - Lycée des métiers de la mode - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 177, 12, 161, 0, 8, 0, 27, 6, 78, 19, 48, 16, 0, 0, 10, 6, 118, 4, 0, 0, 6, 0, 26, 6, 72, 16, 14, 69, 14, 1, 12, 2, 3.0, 8.0, 13.0, 0, 4, 9, 0, 3, 6, 5, 0, 5, 4, 0, 0, 0.0, 0, 2, 2, 4, 0, 8, 8, 21.43, 57.14, 92.86, 7.099609375, 88.890625, 88.890625, 44.3984375, 44.3984375, 64.296875, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 22.19921875, 66.6875, 22.19921875, 3.0, 0.0, 44.0, 12.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 72.0, "5840", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5840&g_ta_cod=5840", 21.0, 36.0, 43.0),
(2958, "Public", "9840482B", "Lycée du Diadème - Te tara o mai'ao", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Pirae", "formation sélective", "BTS", "Lycée du Diadème - Te tara o mai'ao - BTS - Production - Electrotechnique", "BTS - Production", "", 22, 148, 4, 144, 0, 11, 3, 52, 32, 70, 46, 11, 4, 2, 0, 0, 2, 118, 1, 0, 0, 8, 2, 41, 26, 68, 45, 1, 37, 21, 1, 21, 0, 12.0, 21.0, 21.0, 0, 17, 21, 2, 11, 8, 0, 0, 4, 8, 8, 1, 0.0, 1, 8, 8, 11, 0, 21, 21, 57.14, 100.0, 100.0, 4.7998046875, 100.0, 100.0, 52.3984375, 81.0, 100.0, 0.0, 19.0, 38.09375, 38.09375, 4.8, 0.0, 9.5, 4.7998046875, 52.3984375, 38.09375, 38.09375, 38.09375, 8.0, 2.0, 12.0, 10.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers technologiques toutes séries", 19, "Bacheliers professionnels toutes séries", 12, "Liste d'appel propre à cette formation", 26.0, "25796", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25796&g_ta_cod=25796", 10.0, 52.0, 38.0),
(2959, "Public", "0881705A", "I.U.T Epinal-Hubert Curien - Université de Lorraine", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "BUT", "I.U.T Epinal-Hubert Curien - Université de Lorraine - BUT - Génie industriel et maintenance Parcours : Ingénierie des Systèmes Pluritechniques (ISP) - Management, Méthodes, et Maintenance Innovante (3MI)", "BUT - Production", "Ingénierie des Systèmes Pluritechniques (ISP) - Management, Méthodes, et Maintenance Innovante (3MI)", 52, 178, 19, 164, 0, 86, 14, 50, 5, 3, 1, 25, 14, 2, 0, 1, 11, 142, 8, 0, 0, 80, 12, 47, 5, 3, 1, 12, 142, 11, 2, 8, 3, 4.0, 8.0, 11.0, 0, 2, 8, 2, 5, 1, 3, 0, 3, 4, 0, 1, 0.0, 0, 4, 1, 0, 0, 5, 5, 36.36, 72.73, 100.0, 18.19921875, 62.5, 62.5, 0, 25.0, 72.6875, 0.0, 37.5, 50.0, 0.0, 12.5, 0.0, 25.0, 0.0, 62.5, 50.0, 12.5, 12.5, 75.0, 12.0, 3.0, 1.0, 18.0, "Tous les candidats sauf les Bac technologiques", 91.0, "Bacheliers technologiques toutes séries", 51, "", 0, "Liste d'appel propre à cette formation", 87.0, "10763", "BUT - Génie industriel et maintenance Parcours : Ingénierie des Systèmes Pluritechniques (ISP) - Management, Méthodes, et Maintenance Innovante (3MI)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10763&g_ta_cod=10763", 36.0, 55.0, 9.0),
(2960, "Public", "9741204R", "Université de la Réunion - Le Tampon", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation non sélective", "Licence", "Université de la Réunion - Le Tampon - Licence - Génie civil - Parcours Gestion de l'environnement", "Licence - Sciences - technologies - santé", "Gestion de l'environnement", 115, 171, 38, 144, 0, 59, 22, 42, 16, 3, 2, 40, 27, 7, 2, 1, 17, 144, 27, 0, 0, 59, 22, 42, 16, 3, 2, 40, 171, 36, 9, 26, 10, 23.0, 26.0, 34.0, 0, 11, 20, 10, 9, 1, 16, 0, 15, 5, 0, 0, 0.0, 5, 0, 0, 0, 0, 17, 17, 63.89, 72.22, 94.44, 25.0, 85.0, 85.0, 0, 55.0, 55.59375, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 50.0, 25.0, 45.0, 0.0, 5.0, 0.0, 66.0, 27.0, 4.0, 3.0, 57.0, "Tous les candidats", 144.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32072", "Licence - Génie civil - Parcours Gestion de l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32072&g_ta_cod=32072", 44.0, 44.0, 11.0),
(2961, "Public", "0311323V", "Lycée Rive Gauche", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée Rive Gauche - DN MADE - Espace - - Spécialité : Design d'espace, nouvelles pratiques urbaines", "DN MADE", "- Spécialité : Design d'espace, nouvelles pratiques urbaines", 15, 1110, 898, 1110, 0, 494, 84, 283, 64, 74, 24, 259, 0, 0, 0, 0, 0, 300, 0, 0, 0, 154, 25, 118, 21, 6, 1, 22, 82, 15, 12, 15, 0, 0.0, 10.0, 13.0, 0, 2, 14, 12, 2, 0, 1, 0, 0, 6, 8, 0, 0.0, 12, 2, 0, 0, 0, 5, 5, 0.0, 66.67, 86.67, 80.0, 35.6953125, 35.6953125, 0, 14.298828125, 93.296875, 0.0, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 85.6875, 85.6875, 14.298828125, 14.298828125, 0.0, 0.0, 38.0, 8.0, 2.0, 0.0, 3.0, "Tous les candidats", 122.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "21690", "DN MADE - Espace - - Spécialité : Design d'espace, nouvelles pratiques urbaines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21690&g_ta_cod=21690", 87.0, 13.0, 0.0),
(2962, "Privé enseignement supérieur", "0596951K", "Institut Catholique de Lille-Institut universitaire Santé Social", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Institut Catholique de Lille-Institut universitaire Santé Social - Licence - Portail Sciences sanitaires et sociales", "Licence - Sciences - technologies - santé", "", 50, 368, 312, 275, 0, 68, 20, 106, 29, 7, 4, 94, 93, 22, 22, 8, 41, 275, 87, 0, 0, 68, 20, 106, 29, 7, 4, 94, 292, 38, 32, 17, 21, 3.0, 16.0, 22.0, 0, 9, 19, 7, 11, 1, 19, 0, 14, 5, 0, 0, 0.0, 3, 2, 0, 0, 0, 16, 16, 7.89, 42.11, 57.89, 84.1875, 84.1875, 84.1875, 0, 47.3984375, 50.0, 0.0, 73.6875, 26.296875, 0.0, 0.0, 0.0, 36.796875, 15.798828125, 57.8984375, 10.5, 5.2998046875, 0.0, 66.0, 22.0, 13.0, 8.0, 115.0, "Tous les candidats", 362.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "13989", "Licence - Portail Sciences sanitaires et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31901&g_ta_cod=13989", 45.0, 45.0, 11.0),
(2963, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence", "Université du Mans - Licence - Portail Lettres", "Licence - Arts-lettres-langues", "", 110, 384, 304, 322, 0, 211, 43, 21, 9, 16, 8, 74, 62, 12, 7, 2, 41, 321, 46, 0, 0, 211, 43, 21, 9, 16, 8, 73, 349, 68, 52, 48, 20, 36.0, 46.0, 59.0, 0, 13, 41, 30, 9, 2, 27, 0, 20, 18, 2, 0, 1.0, 16, 4, 1, 0, 0, 34, 34, 52.94, 67.65, 86.76, 76.5, 82.890625, 82.890625, 0, 31.69921875, 60.296875, 0.0, 48.796875, 43.8984375, 4.8994140625, 0.0, 2.4, 73.1875, 39.0, 22.0, 9.798828125, 4.8994140625, 2.39990234375, 213.0, 47.0, 14.0, 7.0, 95.0, "Tous les candidats", 327.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "8742", "Licence - Portail Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26885&g_ta_cod=8742", 62.0, 21.0, 13.0),
(2964, "Public", "0310040A", "Lycée Raymond Naves", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Raymond Naves - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 1003, 488, 954, 0, 136, 49, 266, 125, 197, 113, 355, 49, 0, 0, 33, 16, 536, 4, 0, 0, 113, 31, 186, 80, 99, 51, 138, 250, 37, 17, 33, 4, 0.0, 19.0, 25.0, 0, 14, 20, 3, 9, 8, 17, 0, 8, 9, 3, 0, 0.0, 2, 5, 5, 2, 1, 13, 13, 0.0, 51.35, 67.57, 45.8984375, 65.0, 65.0, 10, 70.0, 54.09375, 0.0, 40.0, 45.0, 15.0, 0.0, 0.0, 15.0, 10.0, 45.0, 25.0, 40.0, 25.0, 49.0, 18.0, 51.0, 23.0, 74.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 123.0, "Bacheliers professionnels toutes séries", 116, "Bacheliers technologiques toutes séries", 170, "Liste d'appel propre à cette formation", 43.0, "4048", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4048&g_ta_cod=4048", 27.0, 32.0, 41.0),
(2965, "Public", "0382440W", "Lycée des Métiers - Léonard de Vinci", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Villefontaine", "formation sélective", "Autre formation", "Lycée des Métiers - Léonard de Vinci - DN MADE - Numérique - - Spécialité : Design prototypes et développement", "DN MADE", "- Spécialité : Design prototypes et développement", 15, 409, 193, 399, 0, 130, 23, 129, 24, 50, 11, 90, 10, 0, 1, 1, 8, 103, 0, 0, 0, 27, 3, 61, 7, 10, 2, 5, 45, 15, 6, 14, 0, 6.0, 13.0, 14.0, 0, 2, 13, 4, 9, 0, 2, 0, 1, 7, 5, 0, 0.0, 3, 9, 0, 0, 0, 4, 4, 40.0, 86.67, 93.33, 40.0, 30.796875, 30.796875, 0, 15.3984375, 86.6875, 0.0, 7.69921875, 53.796875, 38.5, 0.0, 0.0, 30.796875, 23.09765625, 69.1875, 69.1875, 0.0, 0.0, 14.0, 2.0, 1.0, 1.0, 5.0, "Tous les candidats", 86.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "24363", "DN MADE - Numérique - - Spécialité : Design prototypes et développement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24363&g_ta_cod=24363", 40.0, 60.0, 0.0),
(2966, "Public", "0820021C", "Lycée Antoine Bourdelle", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Montauban", "formation sélective", "BTS", "Lycée Antoine Bourdelle - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 112, 8, 110, 0, 4, 0, 38, 4, 42, 16, 26, 2, 1, 0, 0, 1, 64, 0, 0, 0, 2, 0, 29, 3, 23, 8, 10, 35, 14, 0, 14, 0, 8.0, 12.0, 14.0, 0, 3, 11, 1, 3, 7, 3, 0, 4, 4, 2, 1, 0.0, 0, 0, 7, 4, 0, 11, 11, 57.14, 85.71, 100.0, 0.0, 100.0, 100.0, 36.3984375, 27.296875, 78.59375, 0.0, 36.3984375, 36.3984375, 18.19921875, 9.1, 0.0, 9.099609375, 0.0, 27.296875, 0.0, 63.59375, 63.59375, 1.0, 0.0, 11.0, 2.0, 8.0, "Tous les candidats sauf les Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 47.0, "16017", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16017&g_ta_cod=16017", 7.0, 43.0, 50.0),
(2967, "Public", "0912128U", "I.U.T. d'Evry Val d'Essonne - Site Brétigny S/Orge", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "BUT", "I.U.T. d'Evry Val d'Essonne - Site Brétigny S/Orge - BUT - Génie thermique et énergie (Seconde année possible en apprentissage)", "BUT - Production", "", 54, 746, 93, 599, 0, 283, 54, 190, 45, 14, 4, 112, 147, 41, 15, 0, 91, 406, 40, 0, 0, 227, 41, 118, 24, 0, 0, 61, 337, 40, 4, 29, 10, 5.0, 27.0, 36.0, 0, 3, 29, 19, 10, 0, 11, 0, 11, 14, 4, 0, 0.0, 9, 9, 0, 0, 0, 19, 24, 12.5, 67.5, 90.0, 10.0, 65.5, 82.796875, 0, 10.298828125, 72.5, 0.0, 37.8984375, 48.296875, 13.798828125, 0.0, 0.0, 65.5, 31.0, 34.5, 31.0, 0.0, 0.0, 180.0, 32.0, 0.0, 0.0, 77.0, "Tous les candidats sauf les Bac technologiques", 273.0, "Bacheliers technologiques toutes séries", 134, "", 0, "Liste d'appel propre à cette formation", 68.0, "10967", "BUT - Génie thermique et énergie (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10967&g_ta_cod=10967", 68.0, 33.0, 0.0),
(2968, "Public", "0310044E", "Lycée Déodat de Séverac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Déodat de Séverac - CPGE - PTSI", "Classe préparatoire scientifique", "", 45, 911, 163, 911, 718, 795, 70, 3, 1, 0, 0, 113, 0, 0, 0, 0, 0, 911, 0, 718, 867, 795, 70, 3, 1, 0, 0, 113, 237, 43, 1, 43, 0, 4.0, 28.0, 41.0, 25, 2, 43, 43, 0, 0, 0, 0, 0, 0, 21, 20, 2.0, 43, 0, 0, 0, 0, 24, 24, 9.3, 65.12, 95.35, 2.2998046875, 55.796875, 55.796875, 0, 4.69921875, 100.0, 0.0, 0.0, 0.0, 48.796875, 46.5, 4.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 233.0, 18.0, 0.0, 0.0, 4.0, "Tous les candidats", 328.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "4053", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4053&g_ta_cod=4053", 100.0, 0.0, 0.0),
(2969, "Public", "0060030A", "Lycée Masséna", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "CPGE", "Lycée Masséna - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 48, 827, 401, 822, 506, 643, 62, 3, 1, 0, 0, 176, 5, 3, 0, 0, 2, 714, 2, 506, 529, 577, 49, 0, 0, 0, 0, 137, 335, 38, 19, 37, 1, 2.0, 25.0, 36.0, 8, 1, 35, 35, 0, 0, 3, 0, 1, 6, 15, 13, 0.0, 34, 0, 0, 7, 5, 29, 29, 5.26, 65.79, 94.74, 50.0, 82.890625, 82.890625, 20, 2.89990234375, 92.09375, 0.0, 2.89990234375, 17.09765625, 42.8984375, 37.1, 0.0, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 285.0, 20.0, 0.0, 0.0, 50.0, "Tous les candidats", 556.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "31342", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31342&g_ta_cod=31342", 100.0, 0.0, 0.0),
(2970, "Public", "0560008E", "Lycée professionnel Emile James", "56", "Morbihan", "Bretagne", "Rennes", "Etel", "formation sélective", "Autre formation", "Lycée professionnel Emile James - Mention complémentaire - FCIL Technicien motoriste option Mécanique Hors Bord", "Mention complémentaire", "", 10, 44, 2, 44, 0, 1, 0, 0, 0, 41, 10, 2, 0, 0, 0, 0, 0, 43, 0, 0, 0, 1, 0, 0, 0, 41, 10, 1, 19, 10, 0, 10, 0, 6.0, 7.0, 9.0, 0, 1, 10, 0, 0, 10, 0, 0, 2, 5, 1, 2, 0.0, 0, 0, 8, 0, 0, 7, 7, 60.0, 70.0, 90.0, 0.0, 70.0, 70.0, 0, 10.0, 100.0, 0.0, 20.0, 50.0, 10.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 19.0, 3.0, 0.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "25700", "Mention complémentaire - FCIL Technicien motoriste option Mécanique Hors Bord", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25700&g_ta_cod=25700", 0.0, 0.0, 100.0),
(2971, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "PASS", "Université Clermont Auvergne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 80, 2433, 1524, 2433, 0, 1951, 297, 36, 14, 3, 2, 443, 0, 0, 0, 0, 0, 2431, 0, 0, 0, 1951, 297, 36, 14, 3, 2, 441, 393, 80, 55, 80, 0, 14.0, 73.0, 75.0, 0, 7, 80, 80, 0, 0, 0, 0, 6, 24, 23, 18, 9.0, 74, 0, 0, 0, 0, 70, 70, 17.5, 91.25, 93.75, 68.796875, 87.5, 87.5, 0, 8.798828125, 100.0, 0.0, 7.5, 30.0, 28.796875, 22.5, 11.3, 100.0, 92.5, 0.0, 0.0, 0.0, 0.0, 390.0, 52.0, 0.0, 0.0, 3.0, "Tous les candidats", 1001.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "26631", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26629&g_ta_cod=26631", 100.0, 0.0, 0.0),
(2972, "Public", "0340040J", "Lycée Jules Guesde", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "CPGE", "Lycée Jules Guesde - CPGE - Lettres", "Classe préparatoire littéraire", "", 45, 547, 378, 490, 0, 388, 79, 1, 0, 0, 0, 101, 57, 26, 2, 2, 27, 366, 16, 0, 366, 333, 65, 0, 0, 0, 0, 33, 244, 29, 25, 23, 6, 2.0, 23.0, 27.0, 0, 5, 24, 24, 0, 0, 5, 0, 0, 7, 13, 3, 1.0, 24, 0, 0, 3, 3, 16, 16, 6.9, 79.31, 93.1, 86.1875, 66.6875, 66.6875, 12.5, 20.796875, 82.796875, 0.0, 0.0, 29.19921875, 54.1953125, 12.5, 4.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 214.0, 41.0, 0.0, 0.0, 30.0, "Tous les candidats", 366.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "4488", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4488&g_ta_cod=4488", 100.0, 0.0, 0.0),
(2973, "Public", "0380034F", "Lycée Louise Michel", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "Autre formation", "Lycée Louise Michel - Mention complémentaire - FCIL Adjoint des cadres sanitaires et sociaux - Secrétariat médico-social", "Mention complémentaire", "", 15, 145, 136, 145, 0, 2, 0, 16, 3, 79, 49, 48, 0, 0, 0, 0, 0, 88, 0, 0, 0, 2, 0, 12, 2, 51, 34, 23, 51, 15, 15, 15, 0, 6.0, 12.0, 14.0, 0, 5, 7, 0, 0, 7, 8, 0, 2, 5, 0, 0, 0.0, 0, 0, 5, 0, 0, 4, 4, 40.0, 80.0, 93.33, 100.0, 57.09375, 57.09375, 0, 71.390625, 46.6953125, 0.0, 28.59765625, 71.390625, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 71.390625, 1.0, 0.0, 27.0, 17.0, 16.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "25191", "Mention complémentaire - FCIL Adjoint des cadres sanitaires et sociaux - Secrétariat médico-social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25191&g_ta_cod=25191", 0.0, 20.0, 80.0),
(2974, "Privé enseignement supérieur", "0211053F", "IRTESS", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "EFTS", "IRTESS - D.E Educateur Spécialisé", "D.E secteur social", "", 55, 362, 296, 362, 0, 56, 7, 47, 8, 25, 6, 234, 0, 0, 0, 0, 0, 318, 0, 0, 0, 45, 5, 39, 6, 20, 4, 214, 115, 63, 53, 63, 0, 24.0, 51.0, 56.0, 0, 0, 19, 9, 6, 4, 44, 0, 2, 11, 5, 1, 0.0, 7, 6, 4, 0, 0, 13, 13, 38.1, 80.95, 88.89, 84.09375, 68.390625, 68.390625, 0, 0.0, 30.19921875, 0.0, 10.5, 57.8984375, 26.296875, 5.3, 0.0, 47.3984375, 36.796875, 31.59765625, 31.59765625, 21.09765625, 21.09765625, 16.0, 0.0, 7.0, 2.0, 84.0, "Tous les candidats", 112.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "24826", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24826&g_ta_cod=24826", 57.0, 22.0, 19.0),
(2975, "Public", "0490018D", "Lycée polyvalent Europe Robert Schuman", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "BTS", "Lycée polyvalent Europe Robert Schuman - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 812, 396, 809, 0, 88, 22, 294, 77, 225, 83, 202, 3, 1, 0, 0, 2, 577, 1, 0, 0, 82, 18, 268, 63, 167, 53, 60, 184, 34, 16, 33, 1, 4.0, 22.0, 28.0, 0, 11, 31, 7, 13, 11, 3, 0, 7, 16, 8, 0, 0.0, 4, 10, 10, 16, 4, 27, 27, 11.76, 64.71, 82.35, 47.09375, 87.09375, 87.09375, 51.59375, 35.5, 91.1875, 0.0, 22.59765625, 51.59375, 25.796875, 0.0, 0.0, 22.59765625, 12.8984375, 41.8984375, 32.296875, 35.5, 32.296875, 47.0, 11.0, 47.0, 15.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 89.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 159, "Liste d'appel propre à cette formation", 40.0, "5836", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5836&g_ta_cod=5836", 24.0, 41.0, 35.0),
(2976, "Public", "0350029S", "Lycée Joliot-Curie", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Joliot-Curie - BTS - Production - Electrotechnique", "BTS - Production", "", 28, 516, 25, 494, 0, 13, 6, 109, 30, 188, 60, 184, 22, 0, 3, 12, 7, 232, 3, 0, 0, 10, 3, 83, 19, 114, 26, 25, 128, 23, 0, 21, 2, 4.0, 17.0, 22.0, 0, 12, 20, 1, 5, 14, 3, 1, 9, 7, 3, 0, 0.0, 0, 1, 9, 1, 0, 15, 15, 17.39, 73.91, 95.65, 0.0, 75.0, 75.0, 5, 60.0, 87.0, 5.0, 45.0, 35.0, 15.0, 0.0, 0.0, 5.0, 0.0, 25.0, 5.0, 70.0, 45.0, 8.0, 3.0, 62.0, 17.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 115, "Bacheliers technologiques toutes séries", 96, "Liste d'appel propre à cette formation", 45.0, "4645", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4645&g_ta_cod=4645", 4.0, 35.0, 61.0),
(2977, "Privé sous contrat d'association", "0623820R", "EPSI - Site d'ARRAS", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "EPSI - Site d'ARRAS - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 60, 48, 6, 36, 0, 9, 0, 10, 2, 5, 3, 12, 12, 3, 1, 2, 6, 36, 8, 0, 0, 9, 0, 10, 2, 5, 3, 12, 44, 5, 0, 4, 1, 4.0, 4.0, 5.0, 0, 0, 3, 1, 2, 0, 2, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 80.0, 80.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 60.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 0.0, 0.0, 0.0, 12.0, 0.0, 7.0, 4.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers technologiques toutes séries", 14, "Bacheliers professionnels toutes séries", 6, "Liste d'appel propre à cette formation", 100.0, "33494", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33494&g_ta_cod=33494", 60.0, 40.0, 0.0),
(2978, "Privé sous contrat d'association", "0442085C", "Ecole de Design Nantes Atlantique", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Ecole de Design Nantes Atlantique - Formation des écoles supérieure d'art Bac + 5 - Diplôme de design", "Formation des écoles supérieure d'art", "Diplôme de design", 295, 736, 489, 712, 0, 467, 37, 83, 5, 20, 7, 142, 24, 6, 1, 0, 17, 704, 23, 0, 0, 463, 36, 82, 5, 19, 6, 140, 663, 285, 197, 271, 14, 130.0, 258.0, 270.0, 0, 26, 233, 195, 27, 11, 52, 1, 50, 114, 59, 8, 1.0, 151, 20, 11, 0, 0, 139, 139, 45.61, 90.53, 94.74, 69.09375, 59.6953125, 59.6953125, 0, 11.19921875, 81.796875, 0.39996337890625, 21.5, 48.8984375, 25.296875, 3.4, 0.4, 83.6875, 64.796875, 11.599609375, 8.599609375, 4.69921875, 4.69921875, 433.0, 33.0, 16.0, 3.0, 139.0, "Tous les candidats", 702.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "26291", "Formation des écoles supérieure d'art Bac + 5 - Diplôme de design", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26291&g_ta_cod=26291", 82.0, 12.0, 5.0),
(2979, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 1 Capitole - Licence - Double diplôme - Licence Droit - parcours double diplôme international franco-allemand (Sarre)", "Licence - Droit-économie-gestion", "parcours double diplôme international franco-allemand (Sarre)", 10, 52, 46, 52, 0, 39, 7, 1, 0, 0, 0, 12, 0, 0, 0, 0, 0, 29, 0, 0, 0, 23, 2, 0, 0, 0, 0, 6, 24, 9, 9, 9, 0, 5.0, 9.0, 9.0, 0, 0, 6, 6, 0, 0, 3, 0, 0, 0, 4, 2, 0.0, 6, 0, 0, 0, 0, 0, 0, 55.56, 100.0, 100.0, 100.0, 0.0, 0.0, 0, 0.0, 66.6875, 0.0, 0.0, 0.0, 66.6875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 18.0, 2.0, 0.0, 0.0, 6.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "21225", "Licence - Double diplôme - Licence Droit - parcours double diplôme international franco-allemand (Sarre)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21225&g_ta_cod=21225", 89.0, 0.0, 0.0),
(2980, "Public", "0422048Y", "I.U.T de Roanne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Roanne", "formation sélective", "BUT", "I.U.T de Roanne - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", 105, 1658, 767, 1483, 0, 805, 129, 380, 100, 31, 17, 267, 175, 45, 35, 2, 93, 1039, 37, 0, 0, 650, 84, 276, 61, 8, 5, 105, 751, 86, 37, 72, 14, 5.0, 59.0, 79.0, 0, 12, 74, 53, 21, 0, 12, 0, 29, 35, 10, 0, 0.0, 29, 16, 0, 0, 0, 47, 47, 5.81, 68.6, 91.86, 43.0, 63.5, 63.5, 0, 16.19921875, 86.0, 0.0, 39.1953125, 47.296875, 13.5, 0.0, 0.0, 71.59375, 39.1953125, 28.3984375, 21.59765625, 0.0, 0.0, 437.0, 66.0, 1.0, 0.0, 92.0, "Tous les candidats sauf les Bac technologiques", 740.0, "Bacheliers technologiques toutes séries", 300, "", 0, "Liste d'appel propre à cette formation", 70.0, "5375", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5375&g_ta_cod=5375", 72.0, 28.0, 0.0),
(2981, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Lettres", "Licence - Arts-lettres-langues", "", 200, 436, 340, 337, 0, 240, 60, 16, 8, 18, 12, 63, 99, 14, 13, 10, 62, 336, 92, 0, 0, 240, 60, 16, 8, 18, 12, 62, 428, 60, 43, 32, 28, 32.0, 32.0, 49.0, 0, 14, 32, 21, 6, 5, 28, 1, 12, 11, 5, 2, 1.0, 15, 2, 2, 0, 0, 24, 24, 53.33, 53.33, 81.67, 71.6875, 75.0, 75.0, 0, 43.796875, 53.296875, 3.099609375, 37.5, 34.3984375, 15.599609375, 6.3, 3.1, 65.59375, 46.8984375, 18.796875, 6.2998046875, 15.599609375, 6.2998046875, 254.0, 69.0, 28.0, 20.0, 117.0, "Tous les candidats", 336.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12421", "Licence - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12421&g_ta_cod=12421", 63.0, 17.0, 18.0),
(2982, "Public", "9740471U", "Lycée Amiral Pierre Bouvet", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Benoît", "formation sélective", "CPGE", "Lycée Amiral Pierre Bouvet - CPGE - TSI", "Classe préparatoire scientifique", "", 25, 122, 11, 118, 73, 0, 0, 117, 53, 0, 0, 1, 4, 0, 4, 0, 0, 104, 1, 73, 83, 0, 0, 104, 47, 0, 0, 0, 69, 22, 1, 22, 0, 6.0, 21.0, 22.0, 11, 10, 22, 0, 22, 0, 0, 0, 0, 5, 14, 3, 0.0, 0, 22, 0, 4, 0, 22, 22, 27.27, 95.45, 100.0, 4.5, 100.0, 100.0, 18.19921875, 45.5, 100.0, 0.0, 0.0, 22.69921875, 63.59375, 13.6, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 92.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "14482", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14482&g_ta_cod=14482", 0.0, 100.0, 0.0),
(2983, "Privé sous contrat d'association", "0851637T", "sup SOCIAL - Les Etablières", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "EFTS", "sup SOCIAL - Les Etablières - D.E Educateur Spécialisé", "D.E secteur social", "", 17, 186, 159, 186, 0, 36, 6, 32, 2, 24, 8, 94, 0, 0, 0, 0, 0, 110, 0, 0, 0, 17, 2, 16, 1, 7, 2, 70, 32, 19, 17, 19, 0, 9.0, 17.0, 18.0, 0, 1, 4, 3, 1, 0, 15, 0, 1, 3, 0, 0, 0.0, 2, 1, 0, 0, 0, 4, 4, 47.37, 89.47, 94.74, 89.5, 100.0, 100.0, 0, 25.0, 21.09765625, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 75.0, 50.0, 25.0, 25.0, 0.0, 0.0, 3.0, 0.0, 0.0, 0.0, 27.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "24942", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24942&g_ta_cod=24942", 63.0, 11.0, 16.0),
(2984, "Privé sous contrat d'association", "0470823P", "Lycée professionnel l'Oustal", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Villeneuve-sur-Lot", "formation sélective", "BTS", "Lycée professionnel l'Oustal - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 35, 202, 91, 190, 0, 8, 0, 18, 4, 56, 25, 108, 12, 1, 1, 4, 6, 87, 1, 0, 0, 8, 0, 18, 4, 52, 25, 9, 83, 7, 3, 6, 1, 4.0, 6.0, 6.0, 0, 1, 5, 0, 1, 4, 2, 0, 2, 3, 0, 0, 0.0, 0, 0, 3, 1, 1, 4, 4, 57.14, 85.71, 85.71, 42.8984375, 80.0, 80.0, 20, 20.0, 71.390625, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 60.0, 8.0, 0.0, 51.0, 24.0, 7.0, "Tous les candidats sauf les Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 54, "", 0, "Liste d'appel propre à cette formation", 45.0, "5787", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5787&g_ta_cod=5787", 29.0, 14.0, 57.0),
(2985, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Perrin - BTS - Production - Métiers de la chimie", "BTS - Production", "", 36, 733, 399, 711, 0, 112, 34, 179, 76, 37, 23, 383, 22, 0, 0, 12, 10, 385, 0, 0, 0, 105, 31, 143, 61, 16, 7, 121, 148, 30, 16, 30, 0, 2.0, 26.0, 26.0, 0, 7, 21, 6, 12, 3, 9, 0, 6, 11, 4, 0, 0.0, 3, 10, 2, 2, 1, 14, 14, 6.67, 86.67, 86.67, 53.296875, 66.6875, 66.6875, 9.5, 33.296875, 70.0, 0.0, 28.59765625, 52.3984375, 19.0, 0.0, 0.0, 28.59765625, 14.298828125, 57.09375, 47.59375, 14.298828125, 9.5, 41.0, 12.0, 14.0, 6.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 28.0, "2602", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2602&g_ta_cod=2602", 30.0, 57.0, 13.0),
(2986, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquées : Anglais et Espagnol (niveau B1/B2 attendu pour les 2 langues)", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées : Anglais et Espagnol (niveau B1/B2 attendu pour les 2 langues)", 285, 1787, 1401, 1723, 0, 1174, 249, 200, 64, 35, 10, 314, 64, 16, 8, 3, 37, 1722, 49, 0, 0, 1174, 249, 200, 64, 35, 10, 313, 1185, 281, 219, 249, 32, 58.0, 230.0, 249.0, 0, 58, 210, 174, 28, 8, 71, 0, 49, 112, 45, 4, 0.0, 140, 16, 5, 0, 0, 177, 177, 20.64, 81.85, 88.61, 77.890625, 84.296875, 84.296875, 0, 27.59765625, 74.6875, 0.0, 23.296875, 53.296875, 21.3984375, 1.9, 0.0, 82.890625, 66.6875, 13.298828125, 7.599609375, 3.7998046875, 2.39990234375, 843.0, 179.0, 14.0, 7.0, 214.0, "Tous les candidats", 1723.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "13990", "Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquées : Anglais et Espagnol (niveau B1/B2 attendu pour les 2 langues)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13990&g_ta_cod=13990", 79.0, 16.0, 5.0),
(2987, "Public", "0650026A", "Lycée Marie Curie", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 281, 172, 272, 0, 18, 3, 88, 23, 58, 26, 108, 9, 0, 0, 3, 6, 236, 3, 0, 0, 18, 3, 88, 23, 58, 26, 72, 93, 21, 11, 19, 2, 5.0, 13.0, 18.0, 0, 5, 15, 4, 6, 5, 6, 0, 6, 8, 1, 0, 0.0, 2, 4, 3, 6, 3, 11, 11, 23.81, 61.9, 85.71, 52.3984375, 73.296875, 73.296875, 40, 33.296875, 71.390625, 0.0, 40.0, 53.296875, 6.69921875, 0.0, 0.0, 26.69921875, 13.298828125, 40.0, 26.69921875, 33.296875, 20.0, 14.0, 3.0, 35.0, 18.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 45.0, "7806", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7806&g_ta_cod=7806", 19.0, 38.0, 43.0),
(2988, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues étrangères appliquées - Parcours  Enseignement à distance - Langues étrangères appliquées (LEA) Anglais-Allemand", "Licence - Arts-lettres-langues", "Enseignement à distance - Langues étrangères appliquées (LEA) Anglais-Allemand", 50, 359, 251, 319, 0, 140, 33, 30, 10, 27, 17, 122, 40, 5, 2, 1, 32, 303, 16, 0, 0, 140, 33, 30, 10, 27, 17, 106, 226, 49, 31, 41, 8, 3.0, 36.0, 41.0, 0, 9, 25, 12, 6, 7, 24, 0, 10, 11, 4, 0, 0.0, 8, 4, 3, 0, 0, 14, 14, 6.12, 73.47, 83.67, 63.296875, 56.0, 56.0, 0, 36.0, 51.0, 0.0, 40.0, 44.0, 16.0, 0.0, 0.0, 48.0, 32.0, 24.0, 16.0, 28.0, 12.0, 101.0, 19.0, 18.0, 11.0, 89.0, "Tous les candidats", 302.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "8031", "Licence - Langues étrangères appliquées - Parcours  Enseignement à distance - Langues étrangères appliquées (LEA) Anglais-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8031&g_ta_cod=8031", 65.0, 16.0, 18.0),
(2989, "Public", "0140013N", "Lycée Malherbe", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "CPGE", "Lycée Malherbe - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 1511, 433, 1511, 1023, 1122, 107, 1, 0, 0, 0, 388, 0, 0, 0, 0, 0, 969, 0, 706, 950, 908, 78, 0, 0, 0, 0, 61, 540, 97, 19, 97, 0, 28.0, 80.0, 92.0, 33, 6, 93, 93, 0, 0, 4, 0, 0, 0, 41, 47, 5.0, 93, 0, 0, 5, 1, 87, 87, 28.87, 82.47, 94.85, 19.59765625, 93.5, 93.5, 5.3994140625, 6.5, 95.890625, 0.0, 0.0, 0.0, 44.09375, 50.5, 5.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 518.0, 42.0, 0.0, 0.0, 22.0, "Tous les candidats", 653.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "2817", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2817&g_ta_cod=2817", 100.0, 0.0, 0.0),
(2990, "Public", "0623957P", "Université d'Artois - Site d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "Licence", "Université d'Artois - Site d'Arras - Licence - Histoire - Parcours Renforcé Science Politique", "Licence - Sciences humaines et sociales", "Renforcé Science Politique", 35, 644, 318, 489, 0, 445, 70, 7, 5, 1, 0, 36, 155, 111, 2, 2, 40, 271, 28, 0, 0, 259, 36, 0, 0, 0, 0, 12, 216, 37, 23, 29, 8, 9.0, 29.0, 36.0, 0, 2, 36, 36, 0, 0, 1, 0, 0, 10, 12, 14, 0.0, 36, 0, 0, 0, 0, 15, 15, 24.32, 78.38, 97.3, 62.1953125, 41.6953125, 41.6953125, 0, 5.599609375, 97.296875, 0.0, 0.0, 27.796875, 33.296875, 38.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 204.0, 27.0, 0.0, 0.0, 12.0, "Tous les candidats", 268.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "7517", "Licence - Histoire - Parcours Renforcé Science Politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7517&g_ta_cod=7517", 100.0, 0.0, 0.0),
(2991, "Public", "0572027U", "Lycée Rosa Parks", "57", "Moselle", "Grand Est", "Nancy-Metz", "Thionville", "formation sélective", "BTS", "Lycée Rosa Parks - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 24, 303, 79, 299, 0, 11, 1, 66, 14, 95, 41, 127, 4, 0, 0, 1, 3, 125, 1, 0, 0, 9, 1, 40, 8, 69, 25, 7, 79, 17, 6, 17, 0, 3.0, 11.0, 14.0, 0, 5, 15, 0, 5, 10, 2, 0, 6, 5, 3, 1, 0.0, 0, 2, 7, 5, 2, 15, 15, 17.65, 64.71, 82.35, 35.296875, 100.0, 100.0, 33.296875, 33.296875, 88.1875, 0.0, 40.0, 33.296875, 20.0, 6.7, 0.0, 0.0, 0.0, 33.296875, 13.298828125, 66.6875, 46.6953125, 6.0, 1.0, 37.0, 10.0, 6.0, "Tous les candidats sauf les Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 67, "", 0, "Liste d'appel propre à cette formation", 41.0, "6593", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6593&g_ta_cod=6593", 6.0, 35.0, 59.0),
(2992, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "PASS", "Université de Paris - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Santé des populations", 600, 10929, 7772, 10929, 0, 8433, 1729, 294, 119, 66, 31, 2136, 0, 0, 0, 0, 0, 10911, 0, 0, 0, 8433, 1729, 294, 119, 66, 31, 2118, 2774, 590, 469, 590, 0, 112.0, 431.0, 560.0, 0, 107, 540, 540, 0, 0, 50, 0, 3, 44, 258, 211, 24.0, 537, 0, 0, 0, 0, 183, 479, 18.98, 73.05, 94.92, 79.5, 33.8984375, 88.6875, 0, 19.796875, 91.5, 0.0, 0.5999755859375, 8.099609375, 47.796875, 39.1, 4.4, 100.0, 99.390625, 0.0, 0.0, 0.0, 0.0, 2520.0, 535.0, 0.0, 0.0, 254.0, "Tous les candidats", 5495.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "33527", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28111&g_ta_cod=33527", 100.0, 0.0, 0.0),
(2993, "Public", "0624139M", "Université d'Artois - Site de Liévin", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Liévin", "formation sélective", "Autre formation", "Université d'Artois - Site de Liévin - DEUST - Animation, commercialisation des services sportifs", "DEUST", "", 30, 339, 77, 339, 0, 149, 29, 79, 22, 13, 3, 98, 0, 0, 0, 0, 0, 196, 0, 0, 0, 96, 12, 16, 2, 7, 2, 77, 116, 25, 5, 25, 0, 4.0, 24.0, 24.0, 0, 3, 12, 10, 1, 1, 13, 0, 4, 5, 2, 1, 0.0, 6, 1, 1, 0, 0, 8, 8, 16.0, 96.0, 96.0, 20.0, 66.6875, 66.6875, 0, 25.0, 48.0, 0.0, 33.296875, 41.6953125, 16.69921875, 8.3, 0.0, 83.296875, 50.0, 8.298828125, 8.298828125, 8.298828125, 8.298828125, 54.0, 10.0, 2.0, 1.0, 54.0, "Tous les candidats", 146.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "7533", "DEUST - Animation, commercialisation des services sportifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7533&g_ta_cod=7533", 72.0, 20.0, 8.0),
(2994, "Public", "0400097N", "Lycée professionnel Des Metiers Du Batiment Jean Garnier", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Morcenx-la-Nouvelle", "formation sélective", "BTS", "Lycée professionnel Des Metiers Du Batiment Jean Garnier - BTS - Production - Bâtiment", "BTS - Production", "", 15, 325, 57, 300, 0, 29, 4, 92, 15, 52, 16, 127, 25, 3, 0, 12, 10, 185, 4, 0, 0, 28, 3, 91, 14, 47, 12, 19, 109, 10, 0, 9, 0, 0.0, 7.0, 9.0, 0, 0, 8, 1, 3, 4, 2, 0, 7, 1, 0, 0, 0.0, 0, 0, 1, 3, 0, 8, 8, 0.0, 70.0, 90.0, 0.0, 100.0, 100.0, 37.5, 0.0, 80.0, 0.0, 87.5, 12.5, 0.0, 0.0, 0.0, 12.5, 0.0, 37.5, 0.0, 50.0, 12.5, 21.0, 2.0, 36.0, 8.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 49.0, "19282", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19282&g_ta_cod=19282", 20.0, 40.0, 40.0),
(2995, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence_Las", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Sciences de la terre", "Licence - Sciences - technologies - santé", "", 4, 159, 87, 159, 0, 108, 15, 2, 2, 0, 0, 49, 0, 0, 0, 0, 0, 159, 0, 0, 0, 108, 15, 2, 2, 0, 0, 49, 44, 3, 1, 3, 0, 0.0, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 33.33, 33.33, 33.296875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24.0, 4.0, 0.0, 0.0, 19.0, "Tous les candidats", 172.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "29655", "Licence - Portail Sciences de la terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29654&g_ta_cod=29655", 67.0, 33.0, 0.0),
(2996, "Public", "0952259P", "CY Cergy Paris Université", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "CY Cergy Paris Université - Formation Supérieure de Spécialisation - Trilingue Métiers du Commerce Bio et Développement Durable", "Diplôme d'Université", "Trilingue Métiers du Commerce Bio et Développement Durable", 20, 62, 40, 62, 0, 23, 2, 11, 1, 2, 1, 26, 0, 0, 0, 0, 0, 56, 0, 0, 0, 23, 2, 11, 1, 2, 1, 20, 42, 20, 11, 20, 0, 11.0, 20.0, 20.0, 0, 2, 11, 4, 6, 1, 9, 0, 3, 8, 0, 0, 0.0, 3, 5, 0, 0, 0, 5, 8, 55.0, 100.0, 100.0, 55.0, 45.5, 72.6875, 0, 18.19921875, 55.0, 0.0, 27.296875, 72.6875, 0.0, 0.0, 0.0, 36.3984375, 27.296875, 54.5, 45.5, 9.099609375, 0.0, 18.0, 2.0, 1.0, 1.0, 15.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "32062", "Formation Supérieure de Spécialisation - Trilingue Métiers du Commerce Bio et Développement Durable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32062&g_ta_cod=32062", 45.0, 40.0, 10.0),
(2997, "Public", "0301577B", "Université de Montpellier, Antenne de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "PASS", "Université de Montpellier, Antenne de Nîmes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 37, 673, 346, 672, 0, 455, 115, 15, 4, 6, 4, 196, 1, 0, 0, 0, 1, 672, 1, 0, 0, 455, 115, 15, 4, 6, 4, 196, 404, 36, 18, 35, 1, 0.0, 6.0, 27.0, 0, 4, 16, 14, 1, 1, 20, 0, 6, 9, 1, 0, 0.0, 9, 1, 0, 0, 0, 6, 6, 0.0, 16.67, 75.0, 50.0, 37.5, 37.5, 0, 25.0, 44.3984375, 0.0, 37.5, 56.296875, 6.2998046875, 0.0, 0.0, 87.5, 56.296875, 6.2998046875, 6.2998046875, 6.2998046875, 0.0, 257.0, 65.0, 4.0, 3.0, 138.0, "Tous les candidats", 3914.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 90.0, "31850", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28811&g_ta_cod=31850", 83.0, 14.0, 3.0),
(2998, "Public", "0541671Y", "Unité de Formation et de Recherche de Sciences Pharmaceutiques et Biologiques de l'université de Lorraine Hors PASS", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Vandoeuvre-lès-Nancy", "formation sélective", "Autre formation", "Regroupement inter-régions - D.E Audioprothésiste", "D.E secteur sanitaire", "", 20, 679, 429, 679, 0, 212, 43, 35, 16, 2, 1, 430, 0, 0, 0, 0, 0, 428, 0, 0, 0, 158, 25, 1, 0, 0, 0, 269, 117, 20, 12, 20, 0, 1.0, 15.0, 17.0, 0, 1, 10, 10, 0, 0, 10, 0, 0, 2, 6, 2, 0.0, 10, 0, 0, 0, 0, 7, 7, 5.0, 75.0, 85.0, 60.0, 70.0, 70.0, 0, 10.0, 50.0, 0.0, 0.0, 20.0, 60.0, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 39.0, 9.0, 0.0, 0.0, 78.0, "Tous les candidats", 422.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "28066", "D.E Audioprothésiste", "Regroupement inter-régions", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28060&g_ta_cod=28066", 100.0, 0.0, 0.0),
(2999, "Privé sous contrat d'association", "0251021Z", "Lycée Saint Paul", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Saint Paul - BTS - Production - Management économique de la construction", "BTS - Production", "", 16, 75, 19, 67, 0, 4, 0, 25, 3, 19, 4, 19, 8, 1, 0, 4, 3, 61, 0, 0, 0, 4, 0, 22, 3, 17, 4, 18, 47, 12, 2, 12, 0, 2.0, 11.0, 11.0, 0, 1, 7, 0, 4, 3, 5, 0, 4, 3, 0, 0, 0.0, 0, 2, 1, 1, 1, 6, 6, 16.67, 91.67, 91.67, 16.69921875, 85.6875, 85.6875, 14.298828125, 14.298828125, 58.296875, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 0.0, 0.0, 57.09375, 28.59765625, 42.8984375, 14.298828125, 4.0, 0.0, 13.0, 3.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers technologiques toutes séries", 21, "Bacheliers professionnels toutes séries", 17, "Liste d'appel propre à cette formation", 78.0, "33535", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33535&g_ta_cod=33535", 25.0, 50.0, 25.0),
(3000, "Privé sous contrat d'association", "0692526W", "IFSI J. LEPERCQ / CH ST JOSEPH ST LUC", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lyon - D.E Infirmier", "D.E secteur sanitaire", "", 66, 10368, 8836, 10368, 0, 1856, 417, 1714, 495, 1137, 471, 5661, 0, 0, 0, 0, 0, 7806, 0, 0, 0, 1661, 338, 1333, 348, 719, 284, 4093, 1043, 66, 58, 66, 0, 2.0, 21.0, 55.0, 0, 7, 36, 19, 6, 11, 30, 0, 4, 16, 14, 2, 0.0, 15, 6, 11, 0, 0, 20, 20, 3.03, 31.82, 83.33, 87.890625, 55.59375, 55.59375, 0, 19.3984375, 54.5, 0.0, 11.099609375, 44.3984375, 38.8984375, 5.6, 0.0, 52.796875, 41.6953125, 16.69921875, 16.69921875, 30.59765625, 30.59765625, 330.0, 57.0, 98.0, 41.0, 426.0, "Tous les candidats", 2883.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "23167", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23001&g_ta_cod=23167", 70.0, 12.0, 18.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(3001, "Public", "0840004Y", "Lycée Theodore Aubanel", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée Theodore Aubanel - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 673, 465, 660, 0, 46, 14, 207, 117, 212, 121, 195, 13, 1, 0, 5, 7, 321, 3, 0, 0, 43, 14, 138, 74, 78, 38, 62, 148, 39, 28, 35, 3, 8.0, 30.0, 33.0, 0, 18, 27, 6, 9, 12, 12, 0, 6, 17, 3, 1, 0.0, 3, 9, 9, 7, 5, 27, 27, 20.51, 76.92, 84.62, 71.796875, 100.0, 100.0, 25.8984375, 66.6875, 69.1875, 0.0, 22.19921875, 63.0, 11.099609375, 3.7, 0.0, 22.19921875, 11.099609375, 33.296875, 33.296875, 44.3984375, 33.296875, 32.0, 13.0, 45.0, 22.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 30.0, "10413", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10413&g_ta_cod=10413", 28.0, 36.0, 36.0),
(3002, "Public", "0270026G", "Lycée Louise Michel", "27", "Eure", "Normandie", "Normandie", "Gisors", "formation sélective", "BTS", "Lycée Louise Michel - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 233, 125, 180, 0, 7, 0, 58, 18, 39, 18, 76, 53, 8, 0, 12, 33, 128, 7, 0, 0, 7, 0, 55, 15, 39, 18, 27, 96, 28, 14, 22, 6, 8.0, 21.0, 22.0, 0, 7, 22, 1, 13, 8, 6, 1, 10, 8, 3, 0, 0.0, 0, 5, 6, 18, 11, 19, 19, 28.57, 75.0, 78.57, 50.0, 86.390625, 86.390625, 81.796875, 31.796875, 78.59375, 4.5, 45.5, 36.3984375, 13.599609375, 0.0, 0.0, 4.5, 0.0, 59.09375, 22.69921875, 36.3984375, 27.296875, 7.0, 0.0, 40.0, 18.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 54.0, "3691", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3691&g_ta_cod=3691", 7.0, 50.0, 43.0),
(3003, "Public", "0141274J", "Lycée Arcisse De Caumont", "14", "Calvados", "Normandie", "Normandie", "Bayeux", "formation sélective", "BTS", "Lycée Arcisse De Caumont - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 20, 157, 84, 141, 0, 12, 2, 60, 17, 30, 15, 39, 16, 0, 3, 2, 11, 100, 9, 0, 0, 5, 0, 53, 14, 25, 10, 17, 86, 14, 6, 10, 4, 1.0, 10.0, 13.0, 0, 4, 7, 1, 2, 4, 7, 0, 3, 3, 1, 0, 0.0, 0, 0, 4, 1, 1, 7, 7, 7.14, 71.43, 92.86, 42.8984375, 100.0, 100.0, 14.298828125, 57.09375, 50.0, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 28.59765625, 0.0, 57.09375, 57.09375, 4.0, 0.0, 22.0, 10.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 70.0, "2861", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2861&g_ta_cod=2861", 21.0, 36.0, 43.0),
(3004, "Privé sous contrat d'association", "0941934S", "EFREI Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villejuif", "formation sélective", "Ecole de Commerce", "EFREI Paris / ISIT - Institut de Management et de Communication Interculturels Paris - Formation des écoles de commerce et de management Bac + 3 - Bachelor International Communication Management & Creative Technology", "Formation des écoles de commerce et de management", "Bachelor International Communication Management & Creative Technology", 35, 509, 302, 487, 0, 308, 50, 62, 13, 14, 6, 103, 22, 5, 4, 1, 12, 452, 17, 0, 0, 302, 48, 61, 13, 8, 3, 81, 225, 33, 20, 29, 4, 9.0, 17.0, 21.0, 0, 3, 24, 16, 7, 1, 9, 0, 13, 8, 3, 0, 0.0, 7, 3, 1, 0, 0, 15, 17, 27.27, 51.52, 63.64, 60.59375, 62.5, 70.796875, 0, 12.5, 72.6875, 0.0, 54.1953125, 33.296875, 12.5, 0.0, 0.0, 66.6875, 29.19921875, 29.19921875, 12.5, 4.19921875, 4.19921875, 102.0, 17.0, 7.0, 3.0, 58.0, "Tous les candidats", 322.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "25942", "Formation des écoles de commerce et de management Bac + 3 - Bachelor International Communication Management & Creative Technology", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25942&g_ta_cod=25942", 70.0, 27.0, 3.0),
(3005, "Privé sous contrat d'association", "0530735L", "IFSI CROIX ROUGE FRANCAISE LAVAL", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "IFSI", "Regroupement d'IFSI Université du Mans - D.E Infirmier", "D.E secteur sanitaire", "", 49, 2165, 1895, 2165, 0, 363, 67, 382, 64, 398, 132, 1022, 0, 0, 0, 0, 0, 1815, 0, 0, 0, 335, 60, 330, 49, 329, 108, 821, 479, 49, 42, 49, 0, 0.0, 17.0, 33.0, 0, 6, 24, 7, 8, 9, 25, 0, 3, 16, 5, 0, 0.0, 6, 7, 8, 0, 0, 14, 14, 0.0, 34.69, 67.35, 85.6875, 58.296875, 58.296875, 0, 25.0, 49.0, 0.0, 12.5, 66.6875, 20.796875, 0.0, 0.0, 29.19921875, 25.0, 33.296875, 29.19921875, 37.5, 33.296875, 75.0, 10.0, 83.0, 26.0, 251.0, "Tous les candidats", 1105.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "23043", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23002&g_ta_cod=23043", 45.0, 22.0, 29.0),
(3006, "Public", "0251994G", "Lycée polyvalent Germaine Tillion", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "BTS", "Lycée polyvalent Germaine Tillion - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 149, 8, 147, 0, 6, 0, 43, 16, 51, 14, 47, 2, 0, 0, 0, 2, 117, 0, 0, 0, 6, 0, 43, 16, 50, 14, 18, 96, 24, 0, 24, 0, 3.0, 17.0, 21.0, 0, 7, 19, 0, 8, 11, 5, 0, 13, 5, 0, 1, 0.0, 0, 1, 5, 7, 0, 17, 17, 12.5, 70.83, 87.5, 0.0, 89.5, 89.5, 36.796875, 36.796875, 79.1875, 0.0, 68.390625, 26.296875, 0.0, 5.3, 0.0, 0.0, 0.0, 42.09375, 5.2998046875, 57.8984375, 26.296875, 6.0, 0.0, 43.0, 13.0, 11.0, "Tous les candidats sauf les Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 76.0, "3486", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3486&g_ta_cod=3486", 0.0, 50.0, 50.0),
(3007, "Public", "0120024L", "Lycée Alexis Monteil", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BTS", "Lycée Alexis Monteil - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 127, 6, 125, 0, 2, 0, 65, 11, 38, 10, 20, 2, 0, 1, 0, 1, 109, 0, 0, 0, 2, 0, 65, 11, 37, 9, 5, 83, 11, 1, 11, 0, 1.0, 11.0, 11.0, 0, 4, 11, 0, 5, 6, 0, 0, 5, 5, 1, 0, 0.0, 0, 3, 3, 4, 0, 11, 11, 9.09, 100.0, 100.0, 9.099609375, 100.0, 100.0, 36.3984375, 36.3984375, 100.0, 0.0, 45.5, 45.5, 9.099609375, 0.0, 0.0, 0.0, 0.0, 45.5, 27.296875, 54.5, 27.296875, 2.0, 0.0, 36.0, 9.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 87.0, "2488", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2488&g_ta_cod=2488", 0.0, 45.0, 55.0),
(3008, "Public", "0622276M", "Lycée Jan Lavezzari", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Berck", "formation sélective", "BTS", "Lycée Jan Lavezzari - BTS - Services - Tourisme", "BTS - Services", "", 36, 230, 160, 220, 0, 56, 18, 50, 10, 26, 13, 88, 10, 0, 7, 0, 3, 190, 2, 0, 0, 56, 18, 50, 10, 26, 13, 58, 123, 32, 20, 31, 1, 7.0, 31.0, 32.0, 0, 5, 23, 8, 9, 6, 9, 0, 13, 8, 2, 0, 0.0, 4, 2, 4, 4, 2, 17, 17, 21.88, 96.88, 100.0, 62.5, 73.890625, 73.890625, 17.3984375, 21.69921875, 71.890625, 0.0, 56.5, 34.796875, 8.69921875, 0.0, 0.0, 34.796875, 17.3984375, 39.09375, 8.69921875, 26.09765625, 17.3984375, 30.0, 8.0, 17.0, 8.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 67.0, "7450", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7450&g_ta_cod=7450", 38.0, 41.0, 19.0),
(3009, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 240, 1765, 749, 1627, 0, 1078, 164, 152, 43, 15, 6, 382, 138, 29, 8, 5, 96, 1604, 77, 0, 0, 1078, 164, 152, 43, 15, 6, 359, 1252, 229, 65, 192, 37, 20.0, 176.0, 192.0, 0, 24, 161, 140, 19, 2, 68, 0, 77, 55, 23, 6, 0.0, 78, 5, 1, 0, 0, 146, 146, 8.73, 76.86, 83.84, 28.3984375, 90.6875, 90.6875, 0, 14.8984375, 70.296875, 0.0, 47.796875, 34.1953125, 14.298828125, 3.7, 0.0, 87.0, 48.3984375, 11.798828125, 3.099609375, 1.199951171875, 0.5999755859375, 862.0, 127.0, 11.0, 5.0, 291.0, "Tous les candidats", 1603.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "20653", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20653&g_ta_cod=20653", 83.0, 15.0, 2.0),
(3010, "Public", "9741206T", "Lycée de Bois d'Olive", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BTS", "Lycée de Bois d'Olive - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 11, 108, 8, 69, 0, 2, 0, 18, 10, 39, 24, 10, 39, 0, 6, 23, 10, 47, 6, 0, 0, 2, 0, 16, 10, 25, 15, 4, 42, 8, 0, 5, 3, 0.0, 5.0, 8.0, 0, 7, 8, 0, 2, 6, 0, 0, 3, 4, 1, 0, 0.0, 0, 1, 4, 1, 0, 6, 6, 0.0, 62.5, 100.0, 0.0, 75.0, 75.0, 12.5, 87.5, 100.0, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 0.0, 0.0, 25.0, 12.5, 75.0, 50.0, 1.0, 0.0, 22.0, 14.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 67.0, "11972", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11972&g_ta_cod=11972", 0.0, 25.0, 75.0),
(3011, "Public", "0590064Z", "Lycée Jean-Baptiste Corot", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "BTS", "Lycée Jean-Baptiste Corot - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 723, 378, 723, 0, 73, 20, 176, 74, 260, 124, 214, 0, 0, 0, 0, 0, 457, 0, 0, 0, 66, 19, 154, 61, 232, 110, 5, 128, 32, 24, 32, 0, 8.0, 29.0, 29.0, 0, 12, 31, 8, 5, 18, 1, 1, 10, 9, 9, 2, 0.0, 1, 4, 15, 7, 3, 31, 31, 25.0, 90.63, 90.63, 75.0, 100.0, 100.0, 22.59765625, 38.6953125, 96.890625, 3.19970703125, 32.296875, 29.0, 29.0, 6.5, 0.0, 25.796875, 3.19970703125, 16.09765625, 12.8984375, 58.09375, 48.3984375, 28.0, 10.0, 66.0, 31.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 25.0, "6741", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6741&g_ta_cod=6741", 25.0, 16.0, 59.0),
(3012, "Privé sous contrat d'association", "0640131V", "Lycée St Dominique", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "BTS", "Lycée St Dominique - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 143, 89, 125, 0, 12, 3, 47, 14, 27, 8, 39, 18, 2, 6, 0, 10, 96, 9, 0, 0, 11, 2, 42, 11, 27, 8, 16, 86, 16, 13, 14, 2, 4.0, 14.0, 16.0, 0, 3, 13, 2, 7, 4, 3, 0, 6, 7, 0, 0, 0.0, 1, 3, 3, 1, 1, 13, 13, 25.0, 87.5, 100.0, 81.296875, 100.0, 100.0, 7.69921875, 23.09765625, 81.296875, 0.0, 46.1953125, 53.796875, 0.0, 0.0, 0.0, 15.3984375, 7.69921875, 53.796875, 23.09765625, 30.796875, 23.09765625, 11.0, 2.0, 20.0, 7.0, 20.0, "Tous les candidats sauf les Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 75.0, "7721", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7721&g_ta_cod=7721", 31.0, 44.0, 25.0),
(3013, "Public", "0441993C", "Lycée général et technologique Carcouët", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée général et technologique Carcouët - BTS - Services - Communication", "BTS - Services", "", 33, 2255, 1581, 2250, 0, 580, 109, 689, 204, 213, 89, 768, 5, 0, 1, 1, 3, 902, 2, 0, 0, 399, 65, 280, 61, 96, 39, 127, 232, 33, 31, 32, 1, 1.0, 19.0, 27.0, 0, 5, 24, 8, 13, 3, 9, 0, 4, 16, 3, 1, 0.0, 7, 10, 3, 0, 0, 12, 12, 3.03, 57.58, 81.82, 93.890625, 50.0, 50.0, 0, 20.796875, 72.6875, 0.0, 16.69921875, 66.6875, 12.5, 4.2, 0.0, 33.296875, 29.19921875, 54.1953125, 41.6953125, 12.5, 12.5, 87.0, 22.0, 15.0, 4.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 255.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 173, "Liste d'appel propre à cette formation", 21.0, "5604", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5604&g_ta_cod=5604", 48.0, 39.0, 12.0),
(3014, "Public", "0693044J", "Lycée Jean-Paul Sartre", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Bron", "formation sélective", "BTS", "Lycée Jean-Paul Sartre - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 1367, 827, 1367, 0, 181, 74, 538, 263, 262, 158, 386, 0, 0, 0, 0, 0, 534, 0, 0, 0, 114, 39, 270, 110, 125, 71, 25, 160, 32, 22, 32, 0, 4.0, 24.0, 29.0, 0, 19, 29, 5, 15, 9, 3, 0, 10, 14, 5, 0, 0.0, 2, 9, 8, 0, 0, 27, 27, 12.5, 75.0, 90.63, 68.796875, 93.09375, 93.09375, 0, 65.5, 90.59375, 0.0, 34.5, 48.296875, 17.19921875, 0.0, 0.0, 17.19921875, 6.8994140625, 51.6953125, 31.0, 31.0, 27.59765625, 16.0, 8.0, 41.0, 25.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 140, "Liste d'appel propre à cette formation", 17.0, "8561", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8561&g_ta_cod=8561", 25.0, 47.0, 28.0),
(3015, "Public", "0631021T", "I.U.T. de Clermont-Ferrand", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aubière", "formation sélective", "BUT", "I.U.T. de Clermont-Ferrand - BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques", "BUT - Production", "Techniques d'instrumentation - Matériaux et contrôles physico-chimiques", 100, 1010, 210, 1010, 0, 741, 69, 66, 13, 1, 0, 202, 0, 0, 0, 0, 0, 922, 0, 0, 0, 695, 59, 50, 8, 0, 0, 177, 666, 109, 16, 109, 0, 44.0, 76.0, 107.0, 0, 5, 86, 77, 9, 0, 23, 0, 11, 50, 20, 5, 0.0, 66, 9, 0, 0, 0, 58, 58, 40.37, 69.72, 98.17, 14.69921875, 67.390625, 67.390625, 0, 5.7998046875, 78.890625, 0.0, 12.798828125, 58.09375, 23.296875, 5.8, 0.0, 89.5, 76.6875, 10.5, 10.5, 0.0, 0.0, 503.0, 49.0, 0.0, 0.0, 118.0, "Tous les candidats sauf les Bac technologiques", 738.0, "Bacheliers technologiques toutes séries", 63, "", 0, "Liste d'appel propre à cette formation", 79.0, "7597", "BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7597&g_ta_cod=7597", 92.0, 8.0, 0.0),
(3016, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "Université de Cergy-Pontoise - CY SUP - C.M.I - Cursus Master en Ingénierie - Géographie et aménagement - Cursus Master en Ingénierie (CMI) : Management des réseaux de transport et des mobilités", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Management des réseaux de transport et des mobilités", 20, 123, 38, 67, 0, 45, 8, 5, 1, 2, 1, 15, 56, 19, 5, 2, 30, 23, 11, 0, 0, 20, 5, 1, 0, 1, 1, 1, 34, 7, 0, 3, 4, 3.0, 3.0, 4.0, 0, 1, 7, 6, 0, 1, 0, 0, 2, 2, 1, 2, 0.0, 5, 0, 0, 0, 0, 3, 3, 42.86, 42.86, 57.14, 0.0, 42.8984375, 42.8984375, 0, 14.298828125, 100.0, 0.0, 28.59765625, 28.59765625, 14.298828125, 28.6, 0.0, 85.6875, 71.390625, 0.0, 0.0, 14.298828125, 0.0, 27.0, 6.0, 2.0, 1.0, 3.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "21822", "C.M.I - Cursus Master en Ingénierie - Géographie et aménagement - Cursus Master en Ingénierie (CMI) : Management des réseaux de transport et des mobilités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21822&g_ta_cod=21822", 86.0, 0.0, 14.0),
(3017, "Privé sous contrat d'association", "0593034C", "Lycée THEOPHILE LEGRAND", "59", "Nord", "Hauts-de-France", "Lille", "Louvroil", "formation sélective", "Autre formation", "Lycée THEOPHILE LEGRAND - DN MADE - Objet - - Spécialité : Le produit dans l'accessoire de mode : Objet / Matériaux", "DN MADE", "- Spécialité : Le produit dans l'accessoire de mode : Objet / Matériaux", 20, 128, 90, 122, 0, 46, 10, 39, 6, 6, 3, 31, 6, 0, 0, 2, 4, 122, 0, 0, 0, 46, 10, 39, 6, 6, 3, 31, 94, 18, 15, 18, 0, 5.0, 15.0, 16.0, 0, 4, 13, 5, 6, 2, 5, 0, 6, 6, 1, 0, 0.0, 3, 4, 0, 0, 0, 5, 5, 27.78, 83.33, 88.89, 83.296875, 38.5, 38.5, 0, 30.796875, 72.1875, 0.0, 46.1953125, 46.1953125, 7.69921875, 0.0, 0.0, 38.5, 23.09765625, 46.1953125, 30.796875, 15.3984375, 0.0, 34.0, 5.0, 6.0, 3.0, 19.0, "Tous les candidats", 105.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "25037", "DN MADE - Objet - - Spécialité : Le produit dans l'accessoire de mode : Objet / Matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25037&g_ta_cod=25037", 44.0, 44.0, 11.0),
(3018, "Public", "0170031S", "Lycée professionnel Pierre Doriole", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BTS", "Lycée professionnel Pierre Doriole - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1313, 683, 1313, 0, 195, 29, 527, 136, 295, 96, 296, 0, 0, 0, 0, 0, 1111, 0, 0, 0, 185, 23, 496, 130, 281, 88, 149, 227, 34, 19, 34, 0, 7.0, 18.0, 26.0, 0, 8, 29, 4, 9, 16, 5, 0, 4, 17, 7, 1, 0.0, 3, 9, 13, 11, 6, 22, 22, 20.59, 52.94, 76.47, 55.8984375, 75.890625, 75.890625, 37.8984375, 27.59765625, 85.296875, 0.0, 13.798828125, 58.59375, 24.09765625, 3.4, 0.0, 13.798828125, 10.298828125, 31.0, 31.0, 55.1953125, 44.796875, 29.0, 10.0, 73.0, 24.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers technologiques toutes séries", 148, "Bacheliers professionnels toutes séries", 70, "Liste d'appel propre à cette formation", 21.0, "26822", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26822&g_ta_cod=26822", 18.0, 35.0, 47.0),
(3019, "Public", "0540044E", "Lycée Arthur Varoquaux", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Tomblaine", "formation sélective", "BTS", "Lycée Arthur Varoquaux - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 45, 1464, 1049, 1464, 0, 318, 71, 398, 99, 33, 12, 715, 0, 0, 0, 0, 0, 697, 0, 0, 0, 295, 61, 167, 28, 12, 3, 223, 196, 43, 38, 43, 0, 6.0, 34.0, 40.0, 0, 6, 23, 5, 18, 0, 20, 0, 4, 13, 6, 0, 0.0, 5, 14, 0, 5, 5, 19, 19, 13.95, 79.07, 93.02, 88.390625, 82.59375, 82.59375, 21.69921875, 26.09765625, 53.5, 0.0, 17.3984375, 56.5, 26.09765625, 0.0, 0.0, 21.69921875, 21.69921875, 78.296875, 60.8984375, 0.0, 0.0, 30.0, 8.0, 6.0, 1.0, 76.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 96.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 157, "Liste d'appel propre à cette formation", 18.0, "6281", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6281&g_ta_cod=6281", 33.0, 67.0, 0.0),
(3020, "Public", "0251994G", "Lycée polyvalent Germaine Tillion", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "Autre formation", "Lycée polyvalent Germaine Tillion - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 374, 170, 333, 0, 102, 25, 77, 32, 6, 3, 148, 41, 10, 6, 3, 22, 184, 6, 0, 0, 97, 22, 61, 23, 0, 0, 26, 128, 28, 8, 25, 3, 7.0, 24.0, 27.0, 0, 7, 23, 8, 15, 0, 5, 0, 8, 9, 6, 0, 0.0, 5, 10, 0, 0, 0, 20, 20, 25.0, 85.71, 96.43, 28.59765625, 87.0, 87.0, 0, 30.3984375, 82.09375, 0.0, 34.796875, 39.09375, 26.09765625, 0.0, 0.0, 34.796875, 21.69921875, 65.1875, 43.5, 0.0, 0.0, 55.0, 15.0, 0.0, 0.0, 25.0, "Tous les candidats", 184.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "3497", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3497&g_ta_cod=3497", 43.0, 57.0, 0.0),
(3021, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Physique - Parcours PCGSI", "Licence - Sciences - technologies - santé", "PCGSI", 60, 586, 164, 516, 0, 388, 57, 8, 1, 0, 0, 120, 70, 23, 1, 0, 46, 515, 66, 0, 0, 388, 57, 8, 1, 0, 0, 119, 444, 55, 15, 29, 26, 0.0, 28.0, 48.0, 0, 6, 29, 29, 0, 0, 26, 0, 9, 12, 6, 2, 0.0, 20, 0, 0, 0, 0, 20, 20, 0.0, 50.91, 87.27, 27.296875, 69.0, 69.0, 0, 20.69921875, 52.6953125, 0.0, 31.0, 41.3984375, 20.69921875, 6.9, 0.0, 100.0, 69.0, 0.0, 0.0, 0.0, 0.0, 294.0, 45.0, 0.0, 0.0, 146.0, "Tous les candidats", 514.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32049", "Licence - Physique - Parcours PCGSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32049&g_ta_cod=32049", 95.0, 4.0, 2.0),
(3022, "Public", "0762640G", "IFSI CHI Pays Des Hautes Falaises", "76", "Seine-Maritime", "Normandie", "Normandie", "Fécamp", "formation sélective", "IFSI", "Regroupement d'IFSI Université Rouen - D.E Infirmier", "D.E secteur sanitaire", "", 53, 1915, 1643, 1915, 0, 366, 73, 381, 99, 190, 67, 978, 0, 0, 0, 0, 0, 1701, 0, 0, 0, 360, 71, 353, 84, 165, 60, 823, 604, 53, 49, 53, 0, 2.0, 29.0, 46.0, 0, 3, 39, 15, 17, 7, 14, 1, 9, 18, 9, 2, 0.0, 9, 13, 7, 0, 0, 36, 36, 3.77, 54.72, 86.79, 92.5, 92.296875, 92.296875, 0, 7.69921875, 73.59375, 2.599609375, 23.09765625, 46.1953125, 23.09765625, 5.1, 0.0, 38.5, 23.09765625, 43.59375, 33.296875, 17.8984375, 17.8984375, 191.0, 37.0, 48.0, 17.0, 237.0, "Tous les candidats", 1891.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "25268", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23005&g_ta_cod=25268", 45.0, 40.0, 15.0),
(3023, "Public", "0134015U", "Aix-Marseille Université - Site de Marseille Saint Charles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation non sélective", "Licence", "Aix-Marseille Université - Portail Louis Pasteur - Licence - Portail Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales", "Licence - Sciences - technologies - santé", "Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales - site de Saint Charles", 335, 4032, 2753, 3960, 0, 2164, 458, 240, 89, 16, 11, 1540, 72, 14, 6, 3, 49, 3906, 58, 0, 0, 2164, 458, 239, 89, 16, 11, 1487, 3059, 328, 194, 280, 46, 43.0, 147.0, 223.0, 0, 61, 158, 122, 34, 2, 170, 1, 69, 57, 26, 5, 0.0, 73, 15, 0, 0, 0, 131, 131, 13.11, 44.82, 67.99, 59.09375, 82.890625, 82.890625, 0, 38.59375, 48.1953125, 0.5999755859375, 43.6953125, 36.09375, 16.5, 3.2, 0.0, 77.1875, 46.1953125, 21.5, 9.5, 1.2998046875, 0.0, 1756.0, 387.0, 2.0, 2.0, 1180.0, "Tous les candidats", 5108.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 83.0, "12604", "Licence - Portail Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12615&g_ta_cod=12604", 83.0, 16.0, 1.0),
(3024, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand/Anglais", "Licence - Arts-lettres-langues", "Allemand/Anglais", 40, 130, 87, 89, 0, 54, 12, 7, 3, 5, 1, 23, 41, 5, 3, 4, 29, 88, 37, 0, 0, 54, 12, 7, 3, 5, 1, 22, 125, 11, 7, 7, 4, 7.0, 7.0, 9.0, 0, 3, 7, 6, 1, 0, 4, 2, 1, 2, 1, 1, 0.0, 4, 0, 0, 0, 0, 7, 7, 63.64, 63.64, 81.82, 63.59375, 100.0, 100.0, 0, 42.8984375, 63.59375, 28.59765625, 14.298828125, 28.59765625, 14.298828125, 14.3, 0.0, 85.6875, 57.09375, 14.298828125, 0.0, 0.0, 0.0, 59.0, 12.0, 9.0, 4.0, 48.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "9684", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand/Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9684&g_ta_cod=9684", 73.0, 18.0, 9.0),
(3025, "Public", "0950641F", "Lycée Jean Jaures", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "BTS", "Lycée Jean Jaures - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 28, 282, 19, 282, 0, 9, 2, 75, 32, 107, 56, 91, 0, 0, 0, 0, 0, 172, 0, 0, 0, 9, 2, 62, 23, 65, 28, 36, 129, 23, 0, 21, 0, 1.0, 18.0, 21.0, 0, 3, 17, 1, 4, 12, 6, 0, 11, 3, 3, 0, 0.0, 0, 0, 6, 2, 0, 13, 16, 4.35, 78.26, 91.3, 0.0, 76.5, 94.09375, 11.798828125, 17.59765625, 73.890625, 0.0, 64.6875, 17.59765625, 17.59765625, 0.0, 0.0, 5.8994140625, 0.0, 23.5, 0.0, 70.59375, 35.296875, 4.0, 2.0, 58.0, 25.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 51.0, "11560", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11560&g_ta_cod=11560", 4.0, 39.0, 57.0),
(3026, "Public", "0381775Y", "I.U.T. 2 de Grenoble", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BUT", "I.U.T. 2 de Grenoble - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière _ Gestion, entrepreneuriat et management d'activités _ Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière _ Gestion, entrepreneuriat et management d'activités _ Contrôle de gestion et pilotage de la performance", 175, 2175, 1010, 2175, 0, 1332, 179, 548, 156, 15, 6, 280, 0, 0, 0, 0, 0, 1360, 0, 0, 0, 875, 91, 358, 87, 0, 0, 127, 558, 173, 91, 173, 0, 34.0, 154.0, 165.0, 0, 43, 166, 80, 86, 0, 7, 0, 5, 63, 78, 19, 1.0, 77, 84, 0, 0, 0, 156, 156, 19.65, 89.02, 95.38, 52.59375, 94.0, 94.0, 0, 25.8984375, 96.0, 0.0, 3.0, 38.0, 47.0, 11.4, 0.6, 48.1953125, 46.3984375, 51.796875, 50.59375, 0.0, 0.0, 269.0, 55.0, 0.0, 0.0, 43.0, "Tous les candidats sauf les Bac technologiques", 382.0, "Bacheliers technologiques toutes séries", 273, "", 0, "Liste d'appel propre à cette formation", 30.0, "4997", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière _ Gestion, entrepreneuriat et management d'activités _ Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4997&g_ta_cod=4997", 50.0, 50.0, 0.0),
(3027, "Public", "0762047M", "Université de Rouen Normandie - Campus Martainville Rouen - UFR Santé", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "Autre formation", "Regroupement Normandie et Amiens - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 30, 1893, 1833, 1893, 0, 659, 68, 35, 8, 0, 0, 1199, 0, 0, 0, 0, 0, 376, 0, 0, 0, 184, 5, 1, 0, 0, 0, 191, 95, 30, 29, 30, 0, 10.0, 27.0, 29.0, 0, 0, 7, 7, 0, 0, 23, 0, 0, 1, 1, 4, 1.0, 7, 0, 0, 0, 0, 2, 2, 33.33, 90.0, 96.67, 96.6875, 28.59765625, 28.59765625, 0, 0.0, 23.296875, 0.0, 0.0, 14.298828125, 14.298828125, 57.1, 14.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 34.0, 4.0, 0.0, 0.0, 61.0, "Tous les candidats", 145.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 7.0, "28220", "Certificat de capacité d'Orthophoniste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28220&g_ta_cod=28220", 100.0, 0.0, 0.0),
(3028, "Privé enseignement supérieur", "0333364C", "FERRANDI Bordeaux - Ecole Supérieure de la Table", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Autre formation", "Ecole FERRANDI - Formation des écoles supérieures de cuisine Bac +3 - Arts culinaires et entrepreneuriat / Option Pâtisserie", "Formation des écoles supérieures de cuisine", "Arts culinaires et entrepreneuriat / Option Pâtisserie", 26, 159, 113, 153, 0, 98, 19, 11, 3, 2, 2, 42, 6, 1, 1, 0, 4, 114, 2, 0, 0, 75, 5, 8, 1, 0, 0, 31, 92, 22, 18, 21, 1, 3.0, 21.0, 21.0, 0, 0, 19, 17, 2, 0, 3, 0, 0, 9, 8, 1, 1.0, 17, 2, 0, 0, 0, 4, 4, 13.64, 95.45, 95.45, 81.796875, 21.09765625, 21.09765625, 0, 0.0, 86.390625, 0.0, 0.0, 47.3984375, 42.09375, 5.3, 5.3, 89.5, 89.5, 10.5, 10.5, 0.0, 0.0, 60.0, 3.0, 0.0, 0.0, 26.0, "Tous les candidats", 147.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 74.0, "26220", "Formation des écoles supérieures de cuisine Bac +3 - Arts culinaires et entrepreneuriat / Option Pâtisserie", "Ecole FERRANDI", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26219&g_ta_cod=26220", 91.0, 9.0, 0.0),
(3029, "Public", "0830050D", "Lycée Beaussier", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Seyne-sur-Mer", "formation sélective", "BTS", "Lycée Beaussier - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 228, 77, 216, 0, 23, 7, 88, 34, 62, 21, 43, 12, 5, 0, 1, 6, 147, 7, 0, 0, 22, 6, 71, 29, 53, 18, 1, 127, 18, 6, 15, 1, 2.0, 11.0, 16.0, 0, 8, 17, 1, 10, 6, 1, 0, 10, 6, 1, 0, 0.0, 0, 3, 4, 3, 0, 13, 13, 11.11, 61.11, 88.89, 33.296875, 76.5, 76.5, 17.59765625, 47.09375, 94.390625, 0.0, 58.796875, 35.296875, 5.8994140625, 0.0, 0.0, 5.8994140625, 0.0, 58.796875, 17.59765625, 35.296875, 23.5, 24.0, 6.0, 41.0, 15.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 66.0, "10338", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10338&g_ta_cod=10338", 6.0, 61.0, 33.0),
(3030, "Public", "0290012F", "Lycée Vauban", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Autre formation", "Lycée Vauban - DN MADE - Matériaux - - Spécialité : Création métal", "DN MADE", "- Spécialité : Création métal", 15, 123, 63, 123, 0, 37, 5, 37, 5, 12, 3, 37, 0, 0, 0, 0, 0, 61, 0, 0, 0, 13, 2, 27, 4, 2, 0, 19, 45, 10, 4, 10, 0, 1.0, 9.0, 10.0, 0, 1, 7, 4, 3, 0, 3, 0, 0, 3, 3, 1, 0.0, 4, 3, 0, 0, 0, 2, 2, 10.0, 90.0, 100.0, 40.0, 28.59765625, 28.59765625, 0, 14.298828125, 70.0, 0.0, 0.0, 42.8984375, 42.8984375, 14.3, 0.0, 57.09375, 57.09375, 42.8984375, 42.8984375, 0.0, 0.0, 8.0, 2.0, 1.0, 0.0, 15.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "21606", "DN MADE - Matériaux - - Spécialité : Création métal", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21606&g_ta_cod=21606", 60.0, 40.0, 0.0),
(3031, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence_Las", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Afrique et océan Indien - Berbère", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères, parcours Afrique et océan Indien - Berbère", 10, 63, 42, 61, 0, 24, 6, 2, 1, 11, 6, 24, 2, 1, 1, 0, 0, 61, 2, 0, 0, 24, 6, 2, 1, 11, 6, 24, 42, 10, 6, 8, 2, 1.0, 7.0, 8.0, 0, 5, 8, 5, 2, 1, 2, 0, 6, 1, 0, 1, 0.0, 1, 0, 1, 0, 0, 1, 7, 10.0, 70.0, 80.0, 60.0, 12.5, 87.5, 0, 62.5, 80.0, 0.0, 75.0, 12.5, 0.0, 12.5, 0.0, 62.5, 12.5, 25.0, 0.0, 12.5, 12.5, 19.0, 6.0, 6.0, 3.0, 15.0, "Tous les candidats", 103.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 85.0, "32127", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Afrique et océan Indien - Berbère", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32126&g_ta_cod=32127", 70.0, 20.0, 10.0),
(3032, "Public", "9730429D", "Université de Guyane", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation non sélective", "Licence", "Université de Guyane - Licence - Langues étrangères appliquées - Parcours Anglais portugais", "Licence - Arts-lettres-langues", "Anglais portugais", 90, 260, 199, 188, 0, 98, 49, 28, 19, 25, 17, 37, 72, 9, 3, 10, 50, 188, 44, 0, 0, 98, 49, 28, 19, 25, 17, 37, 218, 77, 63, 57, 20, 30.0, 55.0, 68.0, 0, 30, 54, 33, 12, 9, 23, 2, 34, 14, 4, 0, 0.0, 15, 1, 2, 0, 0, 53, 53, 38.96, 71.43, 88.31, 81.796875, 98.09375, 98.09375, 0, 55.59375, 70.09375, 3.69970703125, 63.0, 25.8984375, 7.3994140625, 0.0, 0.0, 61.09375, 27.796875, 22.19921875, 1.89990234375, 16.69921875, 3.69970703125, 101.0, 53.0, 26.0, 17.0, 61.0, "Tous les candidats", 188.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11873", "Licence - Langues étrangères appliquées - Parcours Anglais portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11873&g_ta_cod=11873", 53.0, 21.0, 22.0),
(3033, "Public", "0210019G", "Lycée Le Castel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "CPGE", "Lycée Le Castel - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 24, 224, 120, 219, 78, 0, 0, 199, 52, 0, 0, 20, 5, 0, 1, 0, 4, 169, 0, 59, 158, 0, 0, 166, 37, 0, 0, 3, 99, 22, 10, 22, 0, 6.0, 19.0, 22.0, 7, 10, 22, 0, 22, 0, 0, 0, 4, 9, 9, 0, 0.0, 0, 18, 0, 3, 3, 18, 18, 27.27, 86.36, 100.0, 45.5, 81.796875, 81.796875, 13.599609375, 45.5, 100.0, 0.0, 18.19921875, 40.8984375, 40.8984375, 0.0, 0.0, 0.0, 0.0, 100.0, 81.796875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 165.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "3191", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3191&g_ta_cod=3191", 0.0, 100.0, 0.0),
(3034, "Public", "0450040Z", "Lycée En Foret", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Montargis", "formation sélective", "BTS", "Lycée En Foret - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 402, 262, 332, 0, 31, 13, 99, 34, 97, 50, 105, 70, 0, 4, 36, 30, 165, 15, 0, 0, 22, 10, 77, 24, 40, 16, 26, 125, 29, 21, 20, 8, 3.0, 18.0, 25.0, 0, 8, 23, 1, 13, 9, 6, 0, 15, 8, 0, 0, 0.0, 1, 2, 5, 11, 6, 20, 20, 10.34, 62.07, 86.21, 72.390625, 87.0, 87.0, 47.796875, 34.796875, 79.296875, 0.0, 65.1875, 34.796875, 0.0, 0.0, 0.0, 4.2998046875, 4.2998046875, 56.5, 8.69921875, 39.09375, 21.69921875, 11.0, 4.0, 43.0, 18.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 44.0, "5644", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5644&g_ta_cod=5644", 3.0, 52.0, 45.0),
(3035, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Gaston Berger - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 523, 251, 518, 325, 373, 47, 1, 0, 0, 0, 144, 5, 4, 0, 0, 1, 375, 4, 139, 363, 342, 39, 0, 0, 0, 0, 33, 276, 5, 3, 5, 0, 1.0, 4.0, 5.0, 1, 0, 5, 5, 0, 0, 0, 0, 0, 4, 0, 1, 0.0, 5, 0, 0, 0, 0, 2, 2, 20.0, 80.0, 100.0, 60.0, 40.0, 40.0, 0, 0.0, 100.0, 0.0, 0.0, 80.0, 0.0, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 254.0, 28.0, 0.0, 0.0, 22.0, "Tous les candidats", 386.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "31305", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31305&g_ta_cod=31305", 100.0, 0.0, 0.0),
(3036, "Public", "0061763J", "Lycée Guillaume APOLLINAIRE", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Guillaume APOLLINAIRE - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 24, 246, 31, 246, 0, 31, 8, 57, 19, 75, 34, 83, 0, 0, 0, 0, 0, 246, 0, 0, 0, 31, 8, 57, 19, 75, 34, 83, 95, 17, 1, 17, 0, 1.0, 15.0, 17.0, 0, 7, 14, 1, 6, 7, 3, 0, 7, 4, 3, 0, 0.0, 0, 2, 5, 3, 0, 14, 14, 5.88, 88.24, 100.0, 5.8994140625, 100.0, 100.0, 21.3984375, 50.0, 82.390625, 0.0, 50.0, 28.59765625, 21.3984375, 0.0, 0.0, 7.099609375, 0.0, 42.8984375, 14.298828125, 50.0, 35.6953125, 9.0, 5.0, 32.0, 11.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 51.0, "2320", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2320&g_ta_cod=2320", 12.0, 41.0, 47.0),
(3037, "Privé enseignement supérieur", "0442777E", "Facultés libres de l'ouest - UCO - Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Rezé", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Licence - Information et communication", "Licence - Sciences humaines et sociales", "", 115, 1510, 1109, 1501, 0, 1072, 114, 145, 26, 14, 5, 270, 9, 1, 1, 0, 7, 1501, 8, 0, 0, 1072, 114, 145, 26, 14, 5, 270, 935, 109, 82, 107, 2, 17.0, 97.0, 100.0, 0, 15, 93, 83, 10, 0, 16, 0, 21, 59, 12, 0, 1.0, 63, 9, 0, 0, 0, 69, 69, 15.6, 88.99, 91.74, 75.1875, 74.1875, 74.1875, 0, 16.09765625, 85.296875, 0.0, 22.59765625, 63.3984375, 12.8984375, 0.0, 1.1, 89.1875, 67.6875, 10.798828125, 9.69921875, 0.0, 0.0, 729.0, 59.0, 5.0, 1.0, 144.0, "Tous les candidats", 1547.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 81.0, "17419", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17419&g_ta_cod=17419", 89.0, 11.0, 0.0),
(3038, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 280, 1372, 659, 1221, 0, 870, 179, 106, 39, 33, 13, 212, 151, 21, 16, 10, 104, 1221, 135, 0, 0, 870, 179, 106, 39, 33, 13, 212, 1135, 207, 91, 167, 40, 115.0, 165.0, 197.0, 0, 44, 139, 105, 21, 13, 68, 1, 60, 45, 28, 5, 0.0, 67, 4, 7, 0, 0, 94, 94, 55.56, 79.71, 95.17, 44.0, 67.59375, 67.59375, 0, 31.69921875, 67.09375, 0.699951171875, 43.1953125, 32.3984375, 20.09765625, 3.6, 0.0, 75.5, 48.1953125, 15.099609375, 2.89990234375, 9.3984375, 5.0, 741.0, 151.0, 35.0, 13.0, 263.0, "Tous les candidats", 1221.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7659", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7659&g_ta_cod=7659", 70.0, 19.0, 11.0),
(3039, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Arts du spectacle", "Licence - Arts-lettres-langues", "", 300, 967, 635, 832, 0, 559, 131, 64, 11, 39, 15, 170, 135, 28, 10, 8, 89, 830, 130, 0, 0, 559, 131, 64, 11, 39, 15, 168, 961, 257, 153, 199, 58, 192.0, 196.0, 231.0, 0, 42, 171, 135, 17, 19, 86, 4, 78, 66, 21, 2, 0.0, 70, 5, 14, 0, 0, 136, 136, 74.71, 76.26, 89.88, 59.5, 79.5, 79.5, 0, 24.59765625, 66.5, 2.2998046875, 45.59375, 38.59375, 12.298828125, 1.2, 0.0, 78.890625, 40.8984375, 9.8984375, 2.89990234375, 11.099609375, 8.19921875, 588.0, 136.0, 47.0, 19.0, 252.0, "Tous les candidats", 830.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2885", "Licence - Arts du spectacle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2885&g_ta_cod=2885", 74.0, 14.0, 10.0),
(3040, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence_Las", "Université des Antilles - Pôle Martinique - Licence - Portail Mathématiques - Mathématiques générales / Mathématiques, Informatique et Aide à la décision - Martinique", "Licence - Sciences - technologies - santé", "Mathématiques générales / Mathématiques, Informatique et Aide à la décision - Martinique", 25, 89, 50, 58, 0, 39, 8, 4, 2, 0, 0, 15, 31, 12, 1, 1, 17, 58, 26, 0, 0, 39, 8, 4, 2, 0, 0, 15, 81, 10, 4, 8, 2, 2.0, 8.0, 10.0, 0, 3, 6, 5, 1, 0, 4, 0, 4, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 6, 6, 20.0, 80.0, 100.0, 40.0, 100.0, 100.0, 0, 50.0, 60.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 83.296875, 33.296875, 16.69921875, 0.0, 0.0, 0.0, 46.0, 8.0, 0.0, 0.0, 30.0, "Tous les candidats", 139.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28286", "Licence - Portail Mathématiques - Mathématiques générales / Mathématiques, Informatique et Aide à la décision - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28285&g_ta_cod=28286", 90.0, 10.0, 0.0),
(3041, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Lettres - Parcours Cinéma, Théâtre, Danse", "Licence - Arts-lettres-langues", "Cinéma, Théâtre, Danse", 40, 344, 239, 338, 0, 221, 58, 24, 5, 17, 10, 76, 6, 0, 0, 0, 6, 336, 6, 0, 0, 221, 58, 24, 5, 17, 10, 74, 154, 38, 25, 36, 2, 11.0, 31.0, 35.0, 0, 8, 25, 18, 6, 1, 13, 1, 12, 6, 2, 4, 0.0, 12, 0, 0, 0, 0, 22, 22, 28.95, 81.58, 92.11, 65.796875, 88.0, 88.0, 0, 32.0, 65.796875, 4.0, 48.0, 24.0, 8.0, 16.0, 0.0, 72.0, 48.0, 24.0, 0.0, 4.0, 0.0, 92.0, 26.0, 6.0, 5.0, 46.0, "Tous les candidats", 177.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "15186", "Licence - Lettres - Parcours Cinéma, Théâtre, Danse", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15186&g_ta_cod=15186", 68.0, 18.0, 11.0),
(3042, "Privé sous contrat d'association", "0492407A", "LGT Urbain MONGAZON", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "LGT Urbain MONGAZON - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 24, 353, 288, 353, 0, 62, 10, 150, 27, 4, 1, 137, 0, 0, 0, 0, 0, 262, 0, 0, 0, 54, 7, 119, 17, 0, 0, 89, 72, 24, 20, 24, 0, 6.0, 16.0, 21.0, 0, 0, 10, 2, 8, 0, 14, 0, 3, 7, 0, 0, 0.0, 1, 6, 0, 0, 0, 7, 7, 25.0, 66.67, 87.5, 83.296875, 70.0, 70.0, 0, 0.0, 41.6953125, 0.0, 30.0, 70.0, 0.0, 0.0, 0.0, 20.0, 10.0, 80.0, 60.0, 0.0, 0.0, 12.0, 3.0, 0.0, 0.0, 26.0, "Tous les candidats", 104.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "5893", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5893&g_ta_cod=5893", 25.0, 71.0, 0.0),
(3043, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "PASS", "Université Côte d'Azur - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 55, 2499, 1628, 2499, 0, 1853, 314, 55, 22, 21, 10, 570, 0, 0, 0, 0, 0, 2494, 0, 0, 0, 1853, 314, 55, 22, 21, 10, 565, 601, 50, 35, 50, 0, 2.0, 19.0, 46.0, 0, 10, 45, 44, 1, 0, 5, 0, 2, 14, 19, 8, 2.0, 42, 1, 0, 0, 0, 36, 36, 4.0, 38.0, 92.0, 70.0, 80.0, 80.0, 0, 22.19921875, 90.0, 0.0, 4.3994140625, 31.09765625, 42.1953125, 17.8, 4.4, 97.796875, 93.296875, 2.19970703125, 2.19970703125, 0.0, 0.0, 549.0, 93.0, 2.0, 2.0, 48.0, "Tous les candidats", 1830.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "27471", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27218&g_ta_cod=27471", 98.0, 2.0, 0.0),
(3044, "Privé enseignement supérieur", "0592806E", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences - CUPGE - Préparation aux concours des écoles de commerce, Parcours Economie- Finance", "CUPGE - Droit-économie-gestion", "", 95, 899, 405, 899, 0, 824, 52, 2, 0, 1, 1, 72, 0, 0, 0, 0, 0, 850, 0, 0, 0, 782, 45, 0, 0, 0, 0, 68, 505, 89, 39, 89, 0, 39.0, 68.0, 85.0, 0, 2, 82, 82, 0, 0, 7, 1, 0, 19, 47, 15, 0.0, 81, 0, 0, 0, 0, 25, 25, 43.82, 76.4, 95.51, 43.796875, 30.5, 30.5, 0, 2.39990234375, 92.09375, 1.199951171875, 0.0, 23.19921875, 57.296875, 18.3, 0.0, 100.0, 98.796875, 0.0, 0.0, 0.0, 0.0, 465.0, 23.0, 0.0, 0.0, 40.0, "Tous les candidats", 661.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "12483", "CUPGE - Préparation aux concours des écoles de commerce, Parcours Economie- Finance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12483&g_ta_cod=12483", 100.0, 0.0, 0.0),
(3045, "Public", "0690032K", "Lycée Juliette Récamier", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "CPGE", "Lycée Juliette Récamier - CPGE - ENS Cachan D2", "Classe préparatoire économique et commerciale", "", 42, 705, 381, 705, 0, 622, 42, 1, 0, 2, 1, 80, 0, 0, 0, 0, 0, 509, 0, 0, 509, 498, 32, 0, 0, 0, 0, 11, 288, 42, 24, 42, 0, 8.0, 33.0, 41.0, 0, 6, 42, 42, 0, 0, 0, 0, 1, 6, 26, 8, 1.0, 41, 0, 0, 0, 0, 16, 16, 19.05, 78.57, 97.62, 57.09375, 38.09375, 38.09375, 0, 14.298828125, 100.0, 0.0, 2.39990234375, 14.298828125, 61.8984375, 19.0, 2.4, 100.0, 97.59375, 0.0, 0.0, 0.0, 0.0, 283.0, 30.0, 0.0, 0.0, 5.0, "Tous les candidats", 401.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "8194", "CPGE - ENS Cachan D2", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8194&g_ta_cod=8194", 100.0, 0.0, 0.0),
(3046, "Privé hors contrat", "0801558J", "INTERFOR SIA", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "INTERFOR SIA - BTS - Services - Diététique", "BTS - Services", "", 24, 362, 288, 224, 0, 59, 11, 70, 15, 8, 3, 87, 138, 33, 32, 0, 73, 44, 39, 0, 0, 13, 4, 19, 3, 3, 2, 9, 78, 6, 4, 1, 5, 0.0, 1.0, 4.0, 0, 0, 2, 2, 0, 0, 4, 0, 0, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 1, 1, 0.0, 16.67, 66.67, 66.6875, 50.0, 50.0, 0, 0.0, 33.296875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 18.0, 4.0, 3.0, 2.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 19.0, "18679", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18679&g_ta_cod=18679", 83.0, 17.0, 0.0),
(3047, "Public", "0770926N", "Lycée Francois Couperin", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Fontainebleau", "formation sélective", "CPGE", "Lycée Francois Couperin - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 40, 292, 144, 266, 183, 210, 25, 1, 1, 1, 1, 54, 26, 13, 1, 0, 12, 215, 15, 146, 190, 197, 19, 0, 0, 0, 0, 18, 199, 29, 17, 25, 4, 14.0, 23.0, 29.0, 16, 3, 24, 24, 0, 0, 5, 0, 5, 8, 10, 1, 0.0, 19, 0, 0, 1, 0, 15, 22, 48.28, 79.31, 100.0, 58.59375, 62.5, 91.6875, 4.19921875, 12.5, 82.796875, 0.0, 20.796875, 33.296875, 41.6953125, 4.2, 0.0, 100.0, 79.1875, 0.0, 0.0, 0.0, 0.0, 177.0, 19.0, 0.0, 0.0, 22.0, "Tous les candidats", 215.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "31292", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31292&g_ta_cod=31292", 100.0, 0.0, 0.0),
(3048, "Public", "0573435Z", "I.U.T. Thionville-Yutz - Université de Lorraine", "57", "Moselle", "Grand Est", "Nancy-Metz", "Yutz", "formation sélective", "BUT", "I.U.T. Thionville-Yutz - Université de Lorraine - BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "BUT - Production", "Science du danger et management des risques professionnels technologiques et environnementaux", 26, 421, 137, 391, 0, 181, 19, 107, 22, 25, 8, 78, 30, 6, 2, 3, 19, 271, 5, 0, 0, 140, 12, 70, 14, 13, 4, 48, 176, 21, 4, 19, 2, 3.0, 16.0, 19.0, 0, 2, 14, 8, 4, 2, 7, 0, 3, 7, 4, 0, 0.0, 6, 3, 2, 0, 0, 13, 13, 14.29, 76.19, 90.48, 19.0, 92.890625, 92.890625, 0, 14.298828125, 66.6875, 0.0, 21.3984375, 50.0, 28.59765625, 0.0, 0.0, 57.09375, 42.8984375, 28.59765625, 21.3984375, 14.298828125, 14.298828125, 78.0, 8.0, 13.0, 4.0, 42.0, "Tous les candidats sauf les Bac technologiques", 189.0, "Bacheliers technologiques toutes séries", 82, "", 0, "Liste d'appel propre à cette formation", 69.0, "29878", "BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29878&g_ta_cod=29878", 48.0, 38.0, 14.0),
(3049, "Public", "0441823T", "Lycée professionnel Heinlex", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BTS", "Lycée professionnel Heinlex - BTS - Production - Pilotage des procédés", "BTS - Production", "", 10, 87, 24, 87, 0, 2, 0, 15, 3, 25, 11, 45, 0, 0, 0, 0, 0, 87, 0, 0, 0, 2, 0, 15, 3, 25, 11, 45, 28, 9, 3, 9, 0, 3.0, 7.0, 9.0, 0, 5, 6, 0, 1, 5, 3, 0, 4, 1, 1, 0, 0.0, 0, 0, 2, 5, 1, 6, 6, 33.33, 77.78, 100.0, 33.296875, 100.0, 100.0, 83.296875, 83.296875, 66.6875, 0.0, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 16.69921875, 0.0, 83.296875, 33.296875, 2.0, 0.0, 7.0, 4.0, 9.0, "Tous les candidats sauf les Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 9, "", 0, "Liste d'appel propre à cette formation", 43.0, "18535", "BTS - Production - Pilotage des procédés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18535&g_ta_cod=18535", 0.0, 33.0, 56.0),
(3050, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "Licence", "Université de Tours - Licence - Musicologie - Parcours Parcours Diplôme National Supérieur de Musicien (DNSPM)", "Licence - Arts-lettres-langues", "Parcours Diplôme National Supérieur de Musicien (DNSPM)", 10, 58, 20, 43, 0, 30, 5, 6, 1, 1, 0, 6, 15, 2, 0, 1, 12, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 1, 1, 0, 1.0, 1.0, 1.0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0.0, 0, 1, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 1.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 2.0, "32136", "Licence - Musicologie - Parcours Parcours Diplôme National Supérieur de Musicien (DNSPM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32136&g_ta_cod=32136", 0.0, 100.0, 0.0),
(3051, "Public", "0130201Y", "Aix-Marseille Université - Site de Marseille Luminy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  9e  Arrondissement", "formation non sélective", "Licence", "Aix-Marseille Université - Site de Marseille Luminy - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et Techniques des Activités Physiques et Sportives-Tronc commun- (Site de Luminy)", "Licence - Sciences - technologies - santé", "Tronc commun- (Site de Luminy)", 500, 4302, 1342, 4302, 0, 2668, 490, 480, 137, 123, 59, 1031, 0, 0, 0, 0, 0, 4300, 0, 0, 0, 2667, 490, 480, 137, 123, 59, 1030, 1491, 495, 141, 494, 0, 314.0, 456.0, 456.0, 0, 99, 388, 330, 39, 19, 107, 0, 138, 176, 63, 10, 1.0, 213, 23, 14, 0, 0, 369, 369, 63.43, 92.12, 92.12, 28.5, 95.09375, 95.09375, 0, 25.5, 78.390625, 0.0, 35.59375, 45.3984375, 16.19921875, 2.6, 0.3, 85.09375, 54.8984375, 10.099609375, 5.8994140625, 4.8994140625, 3.599609375, 909.0, 183.0, 46.0, 28.0, 461.0, "Tous les candidats", 1507.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "12770", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et Techniques des Activités Physiques et Sportives-Tronc commun- (Site de Luminy)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28457&g_ta_cod=12770", 86.0, 10.0, 4.0),
(3052, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence_Las", "Université de Franche-Comté - Site de Besançon - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 30, 490, 372, 477, 0, 283, 46, 35, 9, 8, 4, 151, 13, 2, 1, 0, 10, 477, 13, 0, 0, 284, 47, 35, 9, 8, 4, 150, 238, 31, 26, 22, 9, 1.0, 10.0, 19.0, 0, 2, 22, 21, 1, 0, 9, 0, 7, 9, 5, 1, 0.0, 15, 0, 0, 0, 0, 19, 19, 3.23, 32.26, 61.29, 83.890625, 86.390625, 86.390625, 0, 9.099609375, 71.0, 0.0, 31.796875, 40.8984375, 22.69921875, 4.5, 0.0, 95.5, 68.1875, 4.5, 0.0, 0.0, 0.0, 138.0, 21.0, 2.0, 1.0, 91.0, "Tous les candidats", 1037.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 61.0, "27301", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27300&g_ta_cod=27301", 97.0, 3.0, 0.0),
(3053, "Public", "0921619K", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS)", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Châtenay-Malabry", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS) - BPJEPS - Activités de la forme", "BPJEPS", "", 7, 271, 49, 271, 0, 44, 6, 56, 13, 64, 15, 107, 0, 0, 0, 0, 0, 20, 0, 0, 0, 2, 0, 4, 0, 1, 0, 13, 19, 7, 0, 7, 0, 0.0, 6.0, 6.0, 0, 0, 3, 0, 2, 1, 4, 0, 2, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 2, 3, 0.0, 85.71, 85.71, 0.0, 66.6875, 100.0, 0, 0.0, 42.8984375, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 0.0, 2.0, 0.0, 1.0, 0.0, 12.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 7.0, "27140", "BPJEPS - Activités de la forme", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21349&g_ta_cod=27140", 29.0, 43.0, 29.0),
(3054, "Public", "0590222W", "Lycée Antoine Watteau", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée Antoine Watteau - BTS - Services - Commerce International", "BTS - Services", "", 35, 666, 362, 578, 0, 157, 36, 88, 42, 70, 42, 263, 88, 24, 0, 0, 64, 170, 21, 0, 0, 92, 20, 37, 23, 32, 20, 9, 127, 28, 17, 21, 7, 8.0, 19.0, 26.0, 0, 8, 23, 15, 3, 5, 5, 0, 9, 10, 3, 1, 0.0, 8, 3, 3, 5, 3, 21, 21, 28.57, 67.86, 92.86, 60.6953125, 91.296875, 91.296875, 21.69921875, 34.796875, 82.09375, 0.0, 39.09375, 43.5, 13.0, 4.3, 0.0, 65.1875, 34.796875, 13.0, 13.0, 21.69921875, 13.0, 81.0, 18.0, 17.0, 9.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 99.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 24.0, "6849", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6849&g_ta_cod=6849", 71.0, 11.0, 18.0),
(3055, "Public", "0922443F", "Lycée Etienne-Jules Marey", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Boulogne-Billancourt", "formation sélective", "Autre formation", "Lycée Etienne-Jules Marey - Mention complémentaire - FCIL Formation graphisme et communication visuelle", "Mention complémentaire", "", 10, 184, 88, 184, 0, 18, 3, 16, 5, 79, 19, 71, 0, 0, 0, 0, 0, 120, 0, 0, 0, 9, 0, 9, 3, 58, 13, 44, 47, 11, 3, 10, 0, 2.0, 9.0, 9.0, 0, 3, 9, 1, 0, 8, 2, 0, 2, 5, 2, 0, 0.0, 0, 0, 7, 0, 0, 6, 8, 18.18, 81.82, 81.82, 27.296875, 66.6875, 88.890625, 0, 33.296875, 81.796875, 0.0, 22.19921875, 55.59375, 22.19921875, 0.0, 0.0, 11.099609375, 0.0, 0.0, 0.0, 88.890625, 77.796875, 2.0, 1.0, 28.0, 10.0, 13.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "25153", "Mention complémentaire - FCIL Formation graphisme et communication visuelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25153&g_ta_cod=25153", 9.0, 0.0, 82.0),
(3056, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université de Montpellier - Licence - Portail Economie - Economie (Faculté d'Economie)", "Licence - Droit-économie-gestion", "Economie (Faculté d'Economie)", 370, 3310, 1372, 3111, 0, 1828, 458, 335, 146, 63, 39, 885, 199, 22, 25, 13, 139, 2966, 131, 0, 0, 1828, 458, 335, 146, 63, 39, 740, 2171, 354, 90, 283, 71, 15.0, 200.0, 270.0, 0, 107, 216, 153, 47, 16, 138, 1, 100, 87, 25, 3, 0.0, 92, 18, 5, 0, 0, 142, 142, 4.24, 56.5, 76.27, 25.3984375, 65.6875, 65.6875, 0, 49.5, 61.0, 0.5, 46.296875, 40.296875, 11.599609375, 1.4, 0.0, 70.796875, 42.59375, 21.796875, 8.298828125, 7.3994140625, 2.2998046875, 1279.0, 339.0, 37.0, 21.0, 634.0, "Tous les candidats", 3002.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 92.0, "17165", "Licence - Portail Economie - Economie (Faculté d'Economie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28723&g_ta_cod=17165", 73.0, 19.0, 7.0),
(3057, "Privé sous contrat d'association", "0520939N", "Maison familiale et rurale de Buxières-lès-Villiers", "52", "Haute-Marne", "Grand Est", "Reims", "Buxières-lès-Villiers", "formation sélective", "BTS", "Maison familiale et rurale de Buxières-lès-Villiers - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 18, 138, 51, 116, 0, 38, 4, 27, 0, 19, 2, 32, 22, 0, 14, 1, 7, 67, 3, 0, 0, 31, 4, 21, 0, 13, 1, 2, 47, 16, 5, 15, 1, 8.0, 14.0, 16.0, 0, 1, 16, 6, 6, 4, 0, 0, 7, 7, 2, 0, 0.0, 2, 4, 3, 1, 0, 4, 4, 50.0, 87.5, 100.0, 31.296875, 25.0, 25.0, 6.2998046875, 6.2998046875, 100.0, 0.0, 43.796875, 43.796875, 12.5, 0.0, 0.0, 37.5, 12.5, 37.5, 25.0, 25.0, 18.796875, 16.0, 3.0, 10.0, 1.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers technologiques toutes séries", 21, "Bacheliers professionnels toutes séries", 10, "Liste d'appel propre à cette formation", 47.0, "33311", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33311&g_ta_cod=33311", 38.0, 38.0, 25.0),
(3058, "Public", "0161138A", "Université de Poitiers (Site d'Angoulême)", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "La Couronne", "formation non sélective", "Licence", "Université de Poitiers (Site d'Angoulême) - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS", "Licence - Sciences - technologies - santé", "STAPS", 190, 1671, 474, 1671, 0, 1175, 158, 183, 28, 26, 7, 287, 0, 0, 0, 0, 0, 1671, 0, 0, 0, 1175, 158, 183, 28, 26, 7, 287, 415, 192, 52, 192, 0, 88.0, 157.0, 173.0, 0, 28, 174, 165, 6, 3, 18, 0, 51, 83, 33, 7, 0.0, 116, 6, 1, 0, 0, 168, 168, 45.83, 81.77, 90.1, 27.09765625, 96.59375, 96.59375, 0, 16.09765625, 90.59375, 0.0, 29.296875, 47.6953125, 19.0, 4.0, 0.0, 94.796875, 66.6875, 3.39990234375, 3.39990234375, 1.699951171875, 0.5999755859375, 332.0, 54.0, 8.0, 3.0, 62.0, "Tous les candidats", 388.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "20503", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20503&g_ta_cod=20503", 94.0, 3.0, 3.0),
(3059, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Informatique - Parcours A distance", "Licence - Sciences - technologies - santé", "A distance", 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 33, 9, 0, 0, 0, 0.0, 0.0, 5.0, 0, 2, 9, 8, 1, 0, 0, 0, 8, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 9, 9, 0.0, 0.0, 55.56, 0.0, 100.0, 100.0, 0, 22.19921875, 100.0, 0.0, 88.890625, 11.099609375, 0.0, 0.0, 0.0, 88.890625, 11.099609375, 11.099609375, 0.0, 0.0, 0.0, 29.0, 3.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25717", "Licence - Informatique - Parcours A distance", "", "", 89.0, 11.0, 0.0),
(3060, "Public", "0340040J", "Lycée Jules Guesde", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Jules Guesde - BTS - Services - Commerce International", "BTS - Services", "", 36, 2290, 1304, 2290, 0, 533, 165, 818, 365, 289, 161, 650, 0, 0, 0, 0, 0, 760, 0, 0, 0, 235, 59, 268, 123, 146, 78, 111, 158, 33, 21, 33, 0, 5.0, 27.0, 32.0, 0, 18, 28, 4, 19, 5, 5, 0, 3, 10, 12, 3, 0.0, 3, 17, 5, 2, 2, 22, 22, 15.15, 81.82, 96.97, 63.59375, 78.59375, 78.59375, 7.099609375, 64.296875, 84.796875, 0.0, 10.69921875, 35.6953125, 42.8984375, 10.7, 0.0, 14.298828125, 10.69921875, 67.890625, 60.6953125, 17.8984375, 17.8984375, 25.0, 13.0, 14.0, 9.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 84.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 170, "Liste d'appel propre à cette formation", 12.0, "4490", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4490&g_ta_cod=4490", 21.0, 64.0, 15.0),
(3061, "Privé sous contrat d'association", "0631068U", "Lycée Godefroy De Bouillon", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée Godefroy De Bouillon - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 313, 132, 258, 0, 43, 4, 60, 24, 41, 19, 114, 55, 6, 12, 2, 35, 143, 19, 0, 0, 40, 2, 48, 17, 31, 13, 24, 126, 18, 6, 10, 8, 1.0, 10.0, 15.0, 0, 3, 9, 3, 5, 1, 9, 0, 4, 5, 0, 0, 0.0, 1, 3, 1, 3, 1, 9, 9, 5.56, 55.56, 83.33, 33.296875, 100.0, 100.0, 33.296875, 33.296875, 50.0, 0.0, 44.3984375, 55.59375, 0.0, 0.0, 0.0, 33.296875, 11.099609375, 55.59375, 33.296875, 11.099609375, 11.099609375, 31.0, 3.0, 26.0, 11.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 55.0, "7607", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7607&g_ta_cod=7607", 44.0, 44.0, 6.0),
(3062, "Public", "9760363R", "Lycée Cité scolaire de Bandrélé", "976", "Mayotte", "Mayotte", "Mayotte", "Chirongui", "formation sélective", "BTS", "Lycée Cité scolaire de Bandrélé - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 1135, 904, 1135, 0, 230, 142, 255, 160, 245, 124, 405, 0, 0, 0, 0, 0, 300, 0, 0, 0, 89, 49, 73, 52, 89, 48, 49, 53, 24, 23, 24, 0, 6.0, 20.0, 21.0, 0, 14, 24, 8, 8, 8, 0, 0, 8, 11, 5, 0, 0.0, 6, 5, 5, 1, 1, 23, 23, 25.0, 83.33, 87.5, 95.796875, 95.796875, 95.796875, 4.19921875, 58.296875, 100.0, 0.0, 33.296875, 45.796875, 20.796875, 0.0, 0.0, 33.296875, 25.0, 33.296875, 20.796875, 33.296875, 20.796875, 20.0, 8.0, 16.0, 11.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers technologiques toutes séries", 26, "Bacheliers professionnels toutes séries", 21, "Liste d'appel propre à cette formation", 7.0, "24369", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24369&g_ta_cod=24369", 33.0, 33.0, 33.0),
(3063, "Public", "0623911P", "Université d'Artois - Site de Lens", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation non sélective", "Licence_Las", "Université d'Artois - Site de Lens - Licence - Portail Physique, chimie", "Licence - Sciences - technologies - santé", "", 10, 359, 209, 359, 0, 279, 60, 28, 13, 1, 0, 51, 0, 0, 0, 0, 0, 359, 0, 0, 0, 279, 60, 28, 13, 1, 0, 51, 96, 9, 8, 9, 0, 0.0, 6.0, 8.0, 0, 2, 9, 8, 1, 0, 0, 0, 3, 1, 4, 1, 0.0, 6, 0, 0, 0, 0, 9, 9, 0.0, 66.67, 88.89, 88.890625, 100.0, 100.0, 0, 22.19921875, 100.0, 0.0, 33.296875, 11.099609375, 44.3984375, 11.1, 0.0, 88.890625, 66.6875, 11.099609375, 0.0, 0.0, 0.0, 76.0, 21.0, 0.0, 0.0, 17.0, "Tous les candidats", 505.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 72.0, "27783", "Licence - Portail Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27782&g_ta_cod=27783", 89.0, 11.0, 0.0),
(3064, "Public", "0594391C", "E.S.AA.T.", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "Autre formation", "E.S.AA.T. - Mention complémentaire - FCIL - CAES - Option Services", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 11, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 8.0, 2.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35000", "Mention complémentaire - FCIL - CAES - Option Services", "", "", 0, 0, 0),
(3065, "Public", "0750770E", "Lycée professionnel Régional Abbe Gregoire", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Régional Abbe Gregoire - Mention complémentaire - FCIL Visual Merchandising", "Mention complémentaire", "", 16, 140, 89, 84, 0, 6, 2, 5, 1, 49, 21, 24, 56, 5, 4, 23, 24, 24, 9, 0, 0, 5, 2, 2, 1, 17, 6, 0, 37, 14, 9, 6, 5, 4.0, 6.0, 10.0, 0, 2, 10, 2, 1, 7, 4, 0, 4, 4, 1, 1, 0.0, 2, 0, 4, 0, 0, 4, 10, 28.57, 42.86, 71.43, 64.296875, 40.0, 100.0, 0, 20.0, 71.390625, 0.0, 40.0, 40.0, 10.0, 10.0, 0.0, 20.0, 20.0, 10.0, 0.0, 70.0, 40.0, 5.0, 1.0, 23.0, 7.0, 7.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "23685", "Mention complémentaire - FCIL Visual Merchandising", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23685&g_ta_cod=23685", 14.0, 14.0, 64.0),
(3066, "Privé sous contrat d'association", "0940822H", "Lycée Claude-Nicolas LEDOUX / EBTP", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vincennes", "formation sélective", "BTS", "Lycée Claude-Nicolas LEDOUX / EBTP - BTS - Production - Travaux publics", "BTS - Production", "", 30, 419, 46, 342, 0, 67, 14, 95, 21, 72, 27, 108, 77, 2, 28, 16, 31, 192, 24, 0, 0, 47, 9, 64, 11, 30, 9, 51, 151, 23, 3, 13, 10, 4.0, 10.0, 17.0, 0, 3, 12, 5, 4, 3, 11, 0, 10, 2, 0, 0, 0.0, 1, 0, 1, 0, 0, 7, 12, 17.39, 43.48, 73.91, 13.0, 58.296875, 100.0, 0, 25.0, 52.1953125, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 41.6953125, 8.298828125, 33.296875, 0.0, 25.0, 8.298828125, 33.0, 7.0, 27.0, 8.0, 46.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 51.0, "11452", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11452&g_ta_cod=11452", 43.0, 39.0, 17.0),
(3067, "Privé sous contrat d'association", "0572341K", "Lycée Jean XXIII", "57", "Moselle", "Grand Est", "Nancy-Metz", "Montigny-lès-Metz", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 10, 1086, 238, 1086, 0, 1081, 88, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 977, 0, 0, 0, 973, 76, 0, 0, 0, 0, 4, 883, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 879.0, 69.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "31108", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=31108", 0, 0, 0),
(3068, "Public", "0641779L", "Lycée des métiers du Pays de Soule", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Chéraute", "formation sélective", "BTS", "Lycée des métiers du Pays de Soule - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 20, 102, 21, 97, 0, 8, 0, 25, 4, 18, 5, 46, 5, 0, 1, 1, 3, 60, 4, 0, 0, 8, 0, 25, 4, 17, 5, 10, 59, 8, 3, 6, 2, 3.0, 6.0, 7.0, 0, 0, 6, 2, 3, 1, 2, 0, 4, 0, 2, 0, 0.0, 1, 0, 1, 2, 1, 5, 5, 37.5, 75.0, 87.5, 37.5, 83.296875, 83.296875, 33.296875, 0.0, 75.0, 0.0, 66.6875, 0.0, 33.296875, 0.0, 0.0, 33.296875, 16.69921875, 50.0, 0.0, 16.69921875, 16.69921875, 8.0, 0.0, 15.0, 3.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 62.0, "7784", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7784&g_ta_cod=7784", 38.0, 38.0, 13.0),
(3069, "Public", "0760056Y", "Lycée Jules Siegfried", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BTS", "Lycée Jules Siegfried - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 148, 18, 132, 0, 6, 1, 41, 11, 50, 12, 35, 16, 1, 3, 3, 9, 61, 5, 0, 0, 6, 1, 26, 7, 27, 5, 2, 54, 9, 1, 8, 1, 3.0, 7.0, 9.0, 0, 3, 9, 1, 2, 6, 0, 0, 4, 2, 3, 0, 0.0, 0, 1, 4, 1, 1, 9, 9, 33.33, 77.78, 100.0, 11.099609375, 100.0, 100.0, 11.099609375, 33.296875, 100.0, 0.0, 44.3984375, 22.19921875, 33.296875, 0.0, 0.0, 11.099609375, 0.0, 22.19921875, 11.099609375, 66.6875, 44.3984375, 4.0, 1.0, 23.0, 6.0, 5.0, "Tous les candidats sauf les Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 45.0, "9577", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9577&g_ta_cod=9577", 11.0, 22.0, 67.0),
(3070, "Public", "0782602E", "Lycée professionnel Jean Moulin", "78", "Yvelines", "Ile-de-France", "Versailles", "Le Chesnay-Rocquencourt", "formation sélective", "BTS", "Lycée professionnel Jean Moulin - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 15, 211, 3, 211, 0, 1, 1, 18, 5, 151, 62, 41, 0, 0, 0, 0, 0, 192, 0, 0, 0, 1, 1, 18, 5, 149, 62, 24, 47, 16, 0, 16, 0, 9.0, 15.0, 15.0, 0, 8, 16, 1, 3, 12, 0, 0, 7, 4, 5, 0, 0.0, 0, 0, 9, 11, 0, 15, 15, 56.25, 93.75, 93.75, 0.0, 93.796875, 93.796875, 68.796875, 50.0, 100.0, 0.0, 43.796875, 25.0, 31.296875, 0.0, 0.0, 6.2998046875, 0.0, 18.796875, 0.0, 75.0, 56.296875, 1.0, 1.0, 37.0, 13.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 32.0, "20866", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20866&g_ta_cod=20866", 6.0, 19.0, 75.0),
(3071, "Public", "0600021X", "Lycée Jules Uhry", "60", "Oise", "Hauts-de-France", "Amiens", "Creil", "formation sélective", "BTS", "Lycée Jules Uhry - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 32, 394, 186, 326, 0, 28, 8, 100, 49, 70, 35, 128, 68, 0, 0, 41, 27, 139, 13, 0, 0, 19, 4, 54, 29, 30, 13, 36, 92, 30, 14, 21, 9, 8.0, 18.0, 24.0, 0, 14, 21, 2, 13, 6, 9, 0, 11, 6, 3, 1, 0.0, 0, 6, 4, 9, 4, 19, 19, 26.67, 60.0, 80.0, 46.6953125, 90.5, 90.5, 42.8984375, 66.6875, 70.0, 0.0, 52.3984375, 28.59765625, 14.298828125, 4.8, 0.0, 9.5, 0.0, 61.8984375, 28.59765625, 28.59765625, 19.0, 8.0, 3.0, 33.0, 16.0, 21.0, "Tous les candidats sauf les Bac professionnels", 73.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 32.0, "7245", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7245&g_ta_cod=7245", 10.0, 50.0, 37.0),
(3072, "Public", "0180584M", "I.U.T de Bourges", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BUT", "I.U.T de Bourges - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception (Seconde année possible en apprentissage)", "BUT - Production", "Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception", 104, 1116, 206, 1064, 0, 564, 59, 331, 41, 14, 5, 155, 52, 0, 35, 0, 17, 801, 17, 0, 0, 438, 41, 251, 28, 7, 1, 105, 487, 109, 19, 97, 10, 10.0, 64.0, 97.0, 0, 10, 90, 56, 34, 0, 19, 0, 22, 51, 16, 1, 0.0, 44, 24, 0, 0, 0, 42, 42, 9.17, 58.72, 88.99, 17.3984375, 46.6953125, 46.6953125, 0, 11.099609375, 82.59375, 0.0, 24.3984375, 56.6953125, 17.796875, 1.1, 0.0, 62.1953125, 48.8984375, 37.796875, 26.69921875, 0.0, 0.0, 223.0, 23.0, 1.0, 0.0, 67.0, "Tous les candidats sauf les Bac technologiques", 403.0, "Bacheliers technologiques toutes séries", 267, "", 0, "Liste d'appel propre à cette formation", 63.0, "3119", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3119&g_ta_cod=3119", 61.0, 37.0, 2.0),
(3073, "Public", "0762964J", "Lycée Le Corbusier", "76", "Seine-Maritime", "Normandie", "Normandie", "Saint-Etienne-du-Rouvray", "formation sélective", "BTS", "Lycée Le Corbusier - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "BTS - Production", "", 15, 268, 53, 258, 0, 37, 5, 53, 11, 66, 21, 102, 10, 0, 2, 5, 3, 158, 2, 0, 0, 33, 3, 50, 10, 61, 19, 14, 82, 15, 3, 13, 1, 0.0, 11.0, 14.0, 0, 4, 13, 1, 5, 7, 2, 0, 3, 7, 2, 1, 0.0, 1, 3, 6, 1, 0, 11, 11, 0.0, 73.33, 93.33, 20.0, 84.59375, 84.59375, 7.69921875, 30.796875, 86.6875, 0.0, 23.09765625, 53.796875, 15.3984375, 7.7, 0.0, 7.69921875, 7.69921875, 38.5, 23.09765625, 53.796875, 46.1953125, 7.0, 2.0, 37.0, 11.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 51.0, "9761", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9761&g_ta_cod=9761", 13.0, 40.0, 47.0),
(3074, "Public", "0312267W", "Lycée Des Arènes", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Des Arènes - BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "BTS - Services", "", 12, 1337, 205, 1337, 0, 491, 87, 141, 39, 169, 58, 536, 0, 0, 0, 0, 0, 290, 0, 0, 0, 146, 16, 5, 1, 75, 22, 64, 32, 12, 4, 12, 0, 2.0, 11.0, 12.0, 0, 2, 9, 6, 0, 3, 3, 0, 1, 0, 5, 3, 0.0, 5, 0, 3, 0, 0, 3, 3, 16.67, 91.67, 100.0, 33.296875, 33.296875, 33.296875, 0, 22.19921875, 75.0, 0.0, 11.099609375, 0.0, 55.59375, 33.3, 0.0, 66.6875, 55.59375, 0.0, 0.0, 33.296875, 33.296875, 21.0, 2.0, 5.0, 2.0, 5.0, "Tous les candidats sauf les Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 5, "", 0, "Liste d'appel propre à cette formation", 4.0, "4212", "BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4212&g_ta_cod=4212", 75.0, 0.0, 25.0),
(3075, "Public", "0762964J", "Lycée Le Corbusier", "76", "Seine-Maritime", "Normandie", "Normandie", "Saint-Etienne-du-Rouvray", "formation sélective", "BTS", "Lycée Le Corbusier - BTS - Production - Enveloppe des bâtiments : conception et réalisation", "BTS - Production", "", 13, 226, 35, 216, 0, 14, 3, 76, 14, 60, 26, 66, 10, 0, 8, 0, 2, 141, 4, 0, 0, 13, 2, 63, 11, 52, 21, 13, 62, 11, 1, 10, 1, 2.0, 7.0, 8.0, 0, 1, 11, 1, 4, 6, 0, 0, 6, 3, 2, 0, 0.0, 0, 0, 5, 5, 0, 11, 11, 18.18, 63.64, 72.73, 9.099609375, 100.0, 100.0, 45.5, 9.099609375, 100.0, 0.0, 54.5, 27.296875, 18.19921875, 0.0, 0.0, 9.099609375, 0.0, 36.3984375, 0.0, 54.5, 45.5, 1.0, 1.0, 19.0, 6.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 38.0, "9757", "BTS - Production - Enveloppe des bâtiments : conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9757&g_ta_cod=9757", 9.0, 36.0, 55.0),
(3076, "Privé sous contrat d'association", "0593060F", "Institut Nicolas Barré", "59", "Nord", "Hauts-de-France", "Lille", "Armentières", "formation sélective", "BTS", "Institut Nicolas Barré - BTS - Production - Maintenance des matériels de construction et de manutention", "BTS - Production", "", 15, 30, 1, 29, 0, 2, 1, 2, 0, 8, 3, 17, 1, 0, 0, 0, 1, 12, 0, 0, 0, 2, 1, 2, 0, 8, 3, 0, 12, 2, 0, 2, 0, 2.0, 2.0, 2.0, 0, 1, 2, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0.0, 0, 0, 2, 2, 0, 2, 2, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 100, 50.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 2.0, 1.0, 8.0, 3.0, 0.0, "Tous les candidats sauf les Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 41.0, "6969", "BTS - Production - Maintenance des matériels de construction et de manutention", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6969&g_ta_cod=6969", 0.0, 0.0, 100.0),
(3077, "Public", "0750686N", "Lycée Estienne Esaig", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Estienne Esaig - BTS - Services - Edition", "BTS - Services", "", 30, 688, 495, 677, 0, 161, 27, 66, 21, 101, 33, 349, 11, 4, 0, 0, 7, 173, 3, 0, 0, 31, 2, 35, 10, 50, 19, 57, 95, 28, 23, 27, 1, 6.0, 24.0, 25.0, 0, 2, 13, 3, 6, 4, 15, 0, 2, 6, 2, 3, 0.0, 2, 5, 4, 0, 0, 0, 9, 21.43, 85.71, 89.29, 82.09375, 0.0, 69.1875, 0, 15.3984375, 46.3984375, 0.0, 15.3984375, 46.1953125, 15.3984375, 23.1, 0.0, 23.09765625, 15.3984375, 46.1953125, 38.5, 30.796875, 30.796875, 15.0, 2.0, 18.0, 2.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 18.0, "9086", "BTS - Services - Edition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9086&g_ta_cod=9086", 32.0, 32.0, 36.0),
(3078, "Privé sous contrat d'association", "0370749N", "Lycée Sainte Marguerite", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Chambray-lès-Tours", "formation sélective", "Autre formation", "Lycée Sainte Marguerite - DN MADE - Graphisme - - Spécialité : Graphisme et création multimédia / Animation ? Numérique", "DN MADE", "- Spécialité : Graphisme et création multimédia / Animation ? Numérique", 15, 578, 307, 578, 0, 258, 41, 117, 20, 54, 13, 149, 0, 0, 0, 0, 0, 230, 0, 0, 0, 122, 19, 57, 8, 17, 8, 34, 68, 15, 11, 15, 0, 3.0, 11.0, 11.0, 0, 1, 13, 8, 3, 2, 2, 0, 2, 3, 6, 2, 0.0, 7, 2, 2, 0, 0, 5, 5, 20.0, 73.33, 73.33, 73.296875, 38.5, 38.5, 0, 7.69921875, 86.6875, 0.0, 15.3984375, 23.09765625, 46.1953125, 15.4, 0.0, 61.5, 53.796875, 23.09765625, 15.3984375, 15.3984375, 15.3984375, 27.0, 3.0, 8.0, 3.0, 12.0, "Tous les candidats", 79.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "21902", "DN MADE - Graphisme - - Spécialité : Graphisme et création multimédia / Animation ? Numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21902&g_ta_cod=21902", 67.0, 20.0, 13.0),
(3079, "Public", "0030098R", "I.U.T. d'Allier - site de Montluçon", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "BUT", "I.U.T. d'Allier - site de Montluçon - BUT - Génie mécanique et productique Parcours : Innovation pour l'industrie - Management de process industriel", "BUT - Production", "Innovation pour l'industrie - Management de process industriel", 50, 744, 61, 730, 0, 415, 54, 211, 41, 4, 0, 100, 14, 3, 0, 0, 11, 451, 6, 0, 0, 246, 31, 181, 32, 1, 0, 23, 282, 43, 6, 39, 4, 32.0, 36.0, 40.0, 0, 6, 37, 26, 11, 0, 6, 0, 9, 22, 6, 0, 0.0, 18, 10, 0, 0, 0, 35, 35, 74.42, 83.72, 93.02, 14.0, 94.59375, 94.59375, 0, 16.19921875, 86.0, 0.0, 24.296875, 59.5, 16.19921875, 0.0, 0.0, 70.296875, 48.59375, 29.69921875, 27.0, 0.0, 0.0, 160.0, 25.0, 0.0, 0.0, 16.0, "Tous les candidats sauf les Bac technologiques", 257.0, "Bacheliers technologiques toutes séries", 186, "", 0, "Liste d'appel propre à cette formation", 61.0, "2140", "BUT - Génie mécanique et productique Parcours : Innovation pour l'industrie - Management de process industriel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2140&g_ta_cod=2140", 70.0, 30.0, 0.0),
(3080, "Privé sous contrat d'association", "0753559L", "ISEP Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "ISEP Paris - Formation d'ingénieur Bac + 5 - Cycle Intégré International - section Sciences et Economie", "Formations  des écoles d'ingénieurs", "Cycle Intégré International - section Sciences et Economie", 30, 208, 72, 72, 0, 49, 13, 5, 2, 0, 0, 18, 136, 61, 5, 2, 68, 54, 47, 0, 0, 39, 7, 4, 2, 0, 0, 11, 97, 30, 9, 16, 14, 8.0, 16.0, 24.0, 0, 3, 19, 19, 0, 0, 11, 0, 4, 12, 3, 0, 0.0, 15, 0, 0, 0, 0, 5, 13, 26.67, 53.33, 80.0, 30.0, 26.296875, 68.390625, 0, 15.798828125, 63.296875, 0.0, 21.09765625, 63.1953125, 15.798828125, 0.0, 0.0, 100.0, 78.890625, 0.0, 0.0, 0.0, 0.0, 58.0, 8.0, 0.0, 0.0, 36.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "32474", "Formation d'ingénieur Bac + 5 - Cycle Intégré International - section Sciences et Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32474&g_ta_cod=32474", 100.0, 0.0, 0.0),
(3081, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Portail Gestion", "Licence - Droit-économie-gestion", "", 185, 1253, 616, 1087, 0, 634, 150, 169, 69, 26, 18, 258, 166, 31, 16, 8, 111, 1064, 76, 0, 0, 634, 150, 169, 69, 26, 18, 235, 815, 163, 57, 120, 43, 13.0, 119.0, 132.0, 0, 34, 97, 73, 18, 6, 66, 1, 43, 38, 10, 4, 1.0, 41, 7, 5, 0, 0, 89, 89, 7.98, 73.01, 80.98, 35.0, 91.796875, 91.796875, 0, 35.09375, 59.5, 1.0, 44.296875, 39.1953125, 10.298828125, 4.1, 1.0, 75.296875, 42.296875, 18.59765625, 7.19921875, 6.19921875, 5.19921875, 487.0, 127.0, 15.0, 12.0, 218.0, "Tous les candidats", 1217.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "7024", "Licence - Portail Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7024&g_ta_cod=7024", 72.0, 23.0, 6.0),
(3082, "Privé sous contrat d'association", "0593061G", "Lycée Saint Luc Cambrai", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "BTS", "Lycée Saint Luc Cambrai - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 99, 49, 99, 0, 19, 3, 26, 10, 24, 7, 30, 0, 0, 0, 0, 0, 99, 0, 0, 0, 19, 3, 26, 10, 24, 7, 30, 44, 18, 13, 18, 0, 9.0, 17.0, 17.0, 0, 2, 11, 2, 3, 6, 7, 0, 6, 3, 2, 0, 0.0, 1, 0, 4, 6, 4, 10, 10, 50.0, 94.44, 94.44, 72.1875, 90.890625, 90.890625, 54.5, 18.19921875, 61.09375, 0.0, 54.5, 27.296875, 18.19921875, 0.0, 0.0, 18.19921875, 9.099609375, 27.296875, 0.0, 54.5, 36.3984375, 8.0, 2.0, 8.0, 2.0, 14.0, "Tous les candidats sauf les Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 56.0, "6972", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6972&g_ta_cod=6972", 50.0, 17.0, 33.0),
(3083, "Public", "0350028R", "Lycée Bréquigny", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Bréquigny - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 1208, 1066, 1208, 0, 100, 27, 330, 115, 399, 147, 379, 0, 0, 0, 0, 0, 902, 0, 0, 0, 55, 9, 313, 102, 297, 98, 237, 203, 35, 34, 35, 0, 5.0, 22.0, 30.0, 0, 10, 30, 1, 12, 17, 5, 0, 8, 12, 9, 1, 0.0, 1, 7, 14, 2, 2, 23, 23, 14.29, 62.86, 85.71, 97.09375, 76.6875, 76.6875, 6.69921875, 33.296875, 85.6875, 0.0, 26.69921875, 40.0, 30.0, 3.3, 0.0, 3.2998046875, 3.2998046875, 40.0, 23.296875, 56.6953125, 46.6953125, 16.0, 6.0, 78.0, 20.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 190, "Bacheliers technologiques toutes séries", 178, "Liste d'appel propre à cette formation", 36.0, "4634", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4634&g_ta_cod=4634", 11.0, 37.0, 51.0),
(3084, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Musicologie - Parcours Musique et arts", "Licence - Arts-lettres-langues", "Musique et arts", 39, 211, 110, 191, 0, 131, 30, 11, 5, 10, 5, 39, 20, 3, 2, 0, 15, 111, 5, 0, 0, 81, 19, 6, 4, 3, 0, 21, 94, 37, 22, 34, 3, 13.0, 34.0, 36.0, 0, 6, 27, 23, 3, 1, 10, 0, 7, 9, 9, 2, 0.0, 19, 1, 0, 0, 0, 12, 12, 35.14, 91.89, 97.3, 59.5, 44.3984375, 44.3984375, 0, 22.19921875, 73.0, 0.0, 25.8984375, 33.296875, 33.296875, 7.4, 0.0, 85.1875, 70.390625, 11.099609375, 3.69970703125, 3.69970703125, 0.0, 62.0, 15.0, 2.0, 0.0, 23.0, "Tous les candidats", 111.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "23925", "Licence - Musicologie - Parcours Musique et arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23925&g_ta_cod=23925", 89.0, 8.0, 3.0),
(3085, "Public", "0590072H", "Lycée De L'Europe", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "CPGE", "Lycée De L'Europe - CPGE - PTSI", "Classe préparatoire scientifique", "", 48, 251, 63, 247, 0, 108, 24, 4, 2, 2, 1, 133, 4, 0, 0, 0, 4, 177, 3, 0, 177, 97, 21, 0, 0, 0, 0, 80, 162, 24, 7, 24, 0, 4.0, 24.0, 24.0, 0, 2, 8, 8, 0, 0, 16, 0, 1, 5, 2, 0, 0.0, 7, 0, 0, 5, 0, 8, 8, 16.67, 100.0, 100.0, 29.19921875, 100.0, 100.0, 62.5, 25.0, 33.296875, 0.0, 12.5, 62.5, 25.0, 0.0, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 90.0, 18.0, 0.0, 0.0, 72.0, "Tous les candidats", 177.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "6750", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6750&g_ta_cod=6750", 100.0, 0.0, 0.0),
(3086, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS - Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "STAPS - Sciences et Techniques des Activités Physiques et Sportives", 407, 2540, 772, 2540, 0, 1583, 339, 329, 107, 70, 28, 558, 0, 0, 0, 0, 0, 2532, 0, 0, 0, 1583, 339, 329, 107, 70, 28, 550, 1573, 404, 98, 403, 0, 50.0, 286.0, 349.0, 0, 103, 322, 244, 62, 16, 82, 3, 167, 110, 36, 5, 1.0, 120, 23, 9, 0, 0, 315, 315, 12.38, 70.79, 86.39, 24.296875, 97.796875, 97.796875, 0, 32.0, 79.6875, 0.89990234375, 51.8984375, 34.1953125, 11.19921875, 1.6, 0.3, 75.796875, 37.296875, 19.296875, 7.099609375, 5.0, 2.7998046875, 980.0, 238.0, 37.0, 17.0, 421.0, "Tous les candidats", 2101.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "12795", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS - Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29127&g_ta_cod=12795", 72.0, 21.0, 7.0),
(3087, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Double licence - Lettres / Histoire de l'art et archéologie - Double Licence : Lettres modernes - Histoire de l'Art et Archéologie", "Licence - Arts-lettres-langues", "Double Licence : Lettres modernes - Histoire de l'Art et Archéologie", 30, 222, 176, 186, 0, 126, 29, 9, 1, 0, 0, 51, 36, 10, 0, 2, 24, 186, 29, 0, 0, 126, 29, 9, 1, 0, 0, 51, 169, 21, 16, 17, 4, 5.0, 17.0, 19.0, 0, 3, 15, 13, 2, 0, 6, 0, 6, 2, 4, 3, 0.0, 9, 0, 0, 0, 0, 10, 10, 23.81, 80.95, 90.48, 76.1875, 66.6875, 66.6875, 0, 20.0, 71.390625, 0.0, 40.0, 13.298828125, 26.69921875, 20.0, 0.0, 86.6875, 60.0, 13.298828125, 0.0, 0.0, 0.0, 107.0, 24.0, 2.0, 2.0, 55.0, "Tous les candidats", 186.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26591", "Double licence - Lettres / Histoire de l'art et archéologie - Double Licence : Lettres modernes - Histoire de l'Art et Archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26591&g_ta_cod=26591", 86.0, 10.0, 5.0),
(3088, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Autre formation", "Université de Poitiers - C.M.I - Cursus Master en Ingénierie - Sciences de la terre - Cursus Master en Ingénierie (CMI) : Géosciences Appliquées", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Géosciences Appliquées", 15, 80, 27, 58, 0, 42, 8, 1, 0, 1, 0, 14, 22, 12, 1, 0, 9, 26, 3, 0, 0, 23, 4, 0, 0, 0, 0, 3, 29, 10, 5, 10, 0, 9.0, 10.0, 10.0, 0, 2, 10, 10, 0, 0, 0, 0, 0, 6, 4, 0, 0.0, 10, 0, 0, 0, 0, 4, 4, 90.0, 100.0, 100.0, 50.0, 40.0, 40.0, 0, 20.0, 100.0, 0.0, 0.0, 60.0, 40.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 24.0, 4.0, 0.0, 0.0, 5.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "21021", "C.M.I - Cursus Master en Ingénierie - Sciences de la terre - Cursus Master en Ingénierie (CMI) : Géosciences Appliquées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21021&g_ta_cod=21021", 100.0, 0.0, 0.0),
(3089, "Public", "0381516S", "IUT 1 GRENOBLE", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "bac STL", 6, 24, 11, 23, 0, 0, 0, 23, 12, 0, 0, 0, 1, 0, 0, 0, 1, 14, 0, 0, 0, 0, 0, 14, 4, 0, 0, 0, 11, 4, 1, 4, 0, 2.0, 4.0, 4.0, 0, 1, 4, 0, 4, 0, 0, 0, 0, 0, 3, 1, 0.0, 0, 4, 0, 0, 0, 3, 3, 50.0, 100.0, 100.0, 25.0, 75.0, 75.0, 0, 25.0, 100.0, 0.0, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 57.0, "462", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=220&g_ta_cod=462", 0.0, 100.0, 0.0),
(3090, "Privé sous contrat d'association", "0010070W", "Lycée Saint Pierre", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "BTS", "Lycée Saint Pierre - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 156, 74, 137, 0, 34, 7, 36, 6, 13, 6, 54, 19, 5, 0, 0, 14, 106, 6, 0, 0, 32, 6, 30, 4, 9, 4, 35, 87, 15, 8, 11, 4, 2.0, 10.0, 12.0, 0, 2, 9, 4, 4, 1, 6, 0, 4, 4, 1, 0, 0.0, 2, 3, 0, 1, 0, 7, 7, 13.33, 66.67, 80.0, 53.296875, 77.796875, 77.796875, 11.099609375, 22.19921875, 60.0, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 44.3984375, 22.19921875, 44.3984375, 33.296875, 11.099609375, 0.0, 27.0, 5.0, 9.0, 4.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 67.0, "2015", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2015&g_ta_cod=2015", 47.0, 33.0, 20.0),
(3091, "Public", "0060001U", "Lycée Jacques Audiberti", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "BTS", "Lycée Jacques Audiberti - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 348, 228, 282, 0, 24, 3, 82, 38, 96, 41, 80, 66, 6, 0, 20, 40, 158, 12, 0, 0, 19, 1, 49, 20, 52, 19, 38, 118, 20, 15, 16, 4, 1.0, 15.0, 17.0, 0, 4, 11, 2, 4, 5, 9, 0, 2, 7, 1, 1, 0.0, 2, 2, 5, 1, 0, 10, 10, 5.0, 75.0, 85.0, 75.0, 90.890625, 90.890625, 9.099609375, 36.3984375, 55.0, 0.0, 18.19921875, 63.59375, 9.099609375, 9.1, 0.0, 18.19921875, 18.19921875, 36.3984375, 18.19921875, 45.5, 45.5, 18.0, 1.0, 37.0, 14.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 50.0, "2179", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2179&g_ta_cod=2179", 30.0, 25.0, 45.0),
(3092, "Privé enseignement supérieur", "0691696U", "CESI Campus de Lyon (Ecully)", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Ecully", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 65, 1385, 212, 1366, 0, 1052, 145, 111, 31, 0, 0, 203, 19, 5, 1, 0, 13, 991, 6, 0, 0, 809, 80, 78, 14, 0, 0, 104, 241, 54, 7, 51, 3, 8.0, 45.0, 52.0, 0, 6, 51, 47, 4, 0, 3, 0, 3, 33, 14, 1, 0.0, 44, 4, 0, 0, 0, 33, 33, 14.81, 83.33, 96.3, 13.0, 64.6875, 64.6875, 0, 11.798828125, 94.390625, 0.0, 5.8994140625, 64.6875, 27.5, 2.0, 0.0, 92.1875, 86.296875, 7.7998046875, 7.7998046875, 0.0, 0.0, 196.0, 14.0, 0.0, 0.0, 30.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "25172", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25172", 93.0, 7.0, 0.0),
(3093, "Public", "0710012C", "Lycée Nicéphore Niepce", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "BTS", "Lycée Nicéphore Niepce - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 296, 34, 274, 0, 42, 5, 61, 11, 61, 26, 110, 22, 0, 0, 13, 9, 136, 3, 0, 0, 41, 4, 47, 5, 34, 14, 14, 93, 16, 1, 14, 2, 1.0, 10.0, 14.0, 0, 2, 13, 2, 5, 6, 3, 0, 6, 6, 1, 0, 0.0, 0, 2, 5, 4, 1, 10, 10, 6.25, 62.5, 87.5, 6.2998046875, 76.890625, 76.890625, 30.796875, 15.3984375, 81.296875, 0.0, 46.1953125, 46.1953125, 7.69921875, 0.0, 0.0, 15.3984375, 0.0, 38.5, 15.3984375, 46.1953125, 38.5, 31.0, 4.0, 30.0, 12.0, 7.0, "Tous les candidats sauf les Bac professionnels", 87.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 44.0, "8622", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8622&g_ta_cod=8622", 13.0, 44.0, 44.0),
(3094, "Public", "0931002J", "I.U.T de Saint-Denis - Université Paris 13", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BUT", "I.U.T de Saint-Denis - Université Paris 13 - BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "BUT - Production", "Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", 52, 754, 66, 726, 0, 240, 78, 293, 110, 17, 8, 176, 28, 0, 17, 0, 11, 470, 0, 0, 0, 194, 64, 199, 69, 0, 0, 77, 344, 51, 6, 49, 0, 11.0, 38.0, 44.0, 0, 21, 47, 27, 20, 0, 4, 0, 29, 14, 4, 0, 0.0, 10, 8, 0, 0, 0, 16, 42, 21.57, 74.51, 86.27, 11.798828125, 34.0, 89.390625, 0, 44.6953125, 92.1875, 0.0, 61.6953125, 29.796875, 8.5, 0.0, 0.0, 57.3984375, 21.296875, 42.59375, 17.0, 0.0, 0.0, 142.0, 50.0, 0.0, 0.0, 45.0, "Tous les candidats sauf les Bac technologiques", 168.0, "Bacheliers technologiques toutes séries", 224, "", 0, "Liste d'appel propre à cette formation", 54.0, "11221", "BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11221&g_ta_cod=11221", 55.0, 45.0, 0.0),
(3095, "Privé enseignement supérieur", "0951820M", "EBI", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "PUISSANCE ALPHA BACHELOR - Formation Bac + 3", "Formations  des écoles d'ingénieurs", "Bachelor en Sciences et en Ingénierie", 24, 162, 60, 133, 0, 85, 14, 18, 10, 1, 1, 29, 29, 14, 2, 1, 12, 110, 18, 0, 0, 71, 10, 18, 10, 1, 1, 20, 122, 5, 4, 3, 2, 2.0, 3.0, 5.0, 0, 0, 3, 3, 0, 0, 2, 0, 1, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 1, 2, 40.0, 60.0, 100.0, 80.0, 33.296875, 66.6875, 0, 0.0, 60.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 75.0, 10.0, 1.0, 1.0, 27.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "30816", "Formation Bac + 3", "PUISSANCE ALPHA BACHELOR", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30813&g_ta_cod=30816", 100.0, 0.0, 0.0),
(3096, "Public", "0020050U", "Lycée Condorcet", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "BTS", "Lycée Condorcet - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 82, 11, 71, 0, 2, 0, 17, 5, 31, 15, 21, 11, 0, 2, 3, 6, 48, 0, 0, 0, 2, 0, 16, 5, 30, 14, 0, 39, 7, 0, 7, 0, 4.0, 7.0, 7.0, 0, 2, 7, 0, 2, 5, 0, 0, 2, 4, 1, 0, 0.0, 0, 0, 5, 1, 0, 7, 7, 57.14, 100.0, 100.0, 0.0, 100.0, 100.0, 14.298828125, 28.59765625, 100.0, 0.0, 28.59765625, 57.09375, 14.298828125, 0.0, 0.0, 0.0, 0.0, 28.59765625, 0.0, 71.390625, 71.390625, 2.0, 0.0, 24.0, 12.0, 0.0, "Tous les candidats sauf les Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 68.0, "2063", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2063&g_ta_cod=2063", 0.0, 29.0, 71.0),
(3097, "Public", "0530934C", "Université du Mans - Campus de Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation non sélective", "Licence", "Université du Mans - Campus de Laval - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 95, 673, 516, 673, 0, 480, 93, 83, 28, 21, 11, 89, 0, 0, 0, 0, 0, 671, 0, 0, 0, 480, 93, 83, 28, 21, 11, 87, 671, 106, 86, 106, 0, 101.0, 102.0, 104.0, 0, 24, 87, 70, 12, 5, 19, 0, 31, 32, 20, 4, 0.0, 48, 6, 2, 0, 0, 65, 65, 95.28, 96.23, 98.11, 81.09375, 74.6875, 74.6875, 0, 27.59765625, 82.09375, 0.0, 35.59375, 36.796875, 23.0, 4.6, 0.0, 80.5, 55.1953125, 13.798828125, 6.8994140625, 5.69921875, 2.2998046875, 480.0, 93.0, 21.0, 11.0, 87.0, "Tous les candidats", 698.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "6229", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26779&g_ta_cod=6229", 75.0, 17.0, 8.0),
(3098, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - HISTOIRE - LLCER ITALIEN NON DEBUTANT", "Licence - Sciences humaines et sociales", "HISTOIRE - LLCER ITALIEN NON DEBUTANT", 15, 75, 55, 75, 0, 46, 6, 6, 2, 0, 0, 23, 0, 0, 0, 0, 0, 75, 0, 0, 0, 46, 6, 6, 2, 0, 0, 23, 58, 14, 9, 14, 0, 2.0, 12.0, 13.0, 0, 2, 9, 7, 2, 0, 5, 0, 3, 3, 2, 1, 0.0, 6, 0, 0, 0, 0, 3, 6, 14.29, 85.71, 92.86, 64.296875, 33.296875, 66.6875, 0, 22.19921875, 64.296875, 0.0, 33.296875, 33.296875, 22.19921875, 11.1, 0.0, 77.796875, 66.6875, 22.19921875, 0.0, 0.0, 0.0, 40.0, 4.0, 0.0, 0.0, 12.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "9315", "Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - HISTOIRE - LLCER ITALIEN NON DEBUTANT", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9315&g_ta_cod=9315", 79.0, 21.0, 0.0),
(3099, "Public", "9730001N", "Lycée Félix EBOUE", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "BTS", "Lycée Félix EBOUE - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 36, 404, 241, 332, 0, 91, 55, 64, 34, 117, 77, 60, 72, 0, 0, 46, 26, 105, 7, 0, 0, 56, 35, 23, 13, 17, 10, 9, 59, 31, 20, 27, 4, 17.0, 27.0, 30.0, 0, 15, 27, 6, 9, 12, 4, 0, 2, 14, 10, 1, 0.0, 6, 9, 10, 5, 4, 27, 27, 54.84, 87.1, 96.77, 64.5, 100.0, 100.0, 18.5, 55.59375, 87.09375, 0.0, 7.3994140625, 51.8984375, 37.0, 3.7, 0.0, 22.19921875, 22.19921875, 33.296875, 33.296875, 44.3984375, 37.0, 14.0, 10.0, 23.0, 11.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 20.0, "11853", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11853&g_ta_cod=11853", 29.0, 29.0, 42.0),
(3100, "Public", "0590223X", "Lycée Du Hainaut", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée Du Hainaut - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 122, 12, 122, 0, 10, 2, 53, 11, 37, 12, 22, 0, 0, 0, 0, 0, 114, 0, 0, 0, 10, 2, 50, 10, 37, 12, 17, 37, 15, 1, 15, 0, 8.0, 15.0, 15.0, 0, 4, 12, 1, 3, 8, 3, 0, 0, 6, 3, 3, 0.0, 1, 3, 8, 0, 0, 10, 10, 53.33, 100.0, 100.0, 6.69921875, 83.296875, 83.296875, 0, 33.296875, 80.0, 0.0, 0.0, 50.0, 25.0, 25.0, 0.0, 8.298828125, 8.298828125, 25.0, 25.0, 66.6875, 66.6875, 1.0, 1.0, 14.0, 3.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 45.0, "6851", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6851&g_ta_cod=6851", 7.0, 33.0, 60.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(3101, "Public", "0120022J", "Lycée Ferdinand Foch", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "CPGE", "Lycée Ferdinand Foch - CPGE - MPSI", "Classe préparatoire scientifique", "", 27, 848, 260, 848, 649, 555, 88, 1, 1, 0, 0, 292, 0, 0, 0, 0, 0, 457, 0, 378, 429, 446, 66, 0, 0, 0, 0, 11, 209, 24, 7, 24, 0, 0.0, 11.0, 24.0, 15, 4, 24, 24, 0, 0, 0, 0, 0, 2, 14, 8, 0.0, 24, 0, 0, 1, 0, 19, 19, 0.0, 45.83, 100.0, 29.19921875, 79.1875, 79.1875, 4.19921875, 16.69921875, 100.0, 0.0, 0.0, 8.298828125, 58.296875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 207.0, 26.0, 0.0, 0.0, 2.0, "Tous les candidats", 443.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "17642", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17642&g_ta_cod=17642", 100.0, 0.0, 0.0),
(3102, "Public", "0920146J", "Lycée Marie Curie", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "CPGE", "Lycée Marie Curie - CPGE - ENS Cachan D2", "Classe préparatoire économique et commerciale", "", 48, 686, 360, 643, 0, 529, 55, 1, 1, 0, 0, 113, 43, 27, 2, 0, 14, 464, 4, 0, 464, 439, 39, 0, 0, 0, 0, 25, 333, 23, 10, 23, 0, 0.0, 20.0, 23.0, 0, 0, 21, 21, 0, 0, 2, 0, 1, 6, 12, 2, 0.0, 20, 0, 0, 1, 1, 12, 18, 0.0, 86.96, 100.0, 43.5, 57.09375, 85.6875, 4.7998046875, 0.0, 91.296875, 0.0, 4.7998046875, 28.59765625, 57.09375, 9.5, 0.0, 100.0, 95.1875, 0.0, 0.0, 0.0, 0.0, 313.0, 28.0, 0.0, 0.0, 20.0, "Tous les candidats", 462.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "11019", "CPGE - ENS Cachan D2", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11019&g_ta_cod=11019", 100.0, 0.0, 0.0),
(3103, "Public", "0690042W", "Lycée Colbert", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Lycée Colbert - BTS - Services - Tourisme", "BTS - Services", "", 59, 2112, 1635, 2068, 0, 467, 122, 542, 213, 428, 242, 631, 44, 0, 24, 0, 20, 467, 10, 0, 0, 104, 12, 192, 62, 123, 65, 48, 277, 56, 47, 51, 3, 5.0, 37.0, 48.0, 0, 29, 47, 5, 29, 13, 9, 0, 21, 18, 8, 0, 0.0, 4, 11, 11, 5, 4, 30, 30, 8.93, 66.07, 85.71, 83.890625, 63.796875, 63.796875, 10.599609375, 61.6953125, 83.890625, 0.0, 44.6953125, 38.296875, 17.0, 0.0, 0.0, 10.599609375, 8.5, 61.6953125, 23.3984375, 27.69921875, 23.3984375, 25.0, 6.0, 69.0, 35.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 127, "Bacheliers technologiques toutes séries", 208, "Liste d'appel propre à cette formation", 19.0, "8231", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8231&g_ta_cod=8231", 14.0, 57.0, 29.0),
(3104, "Privé sous contrat d'association", "0590347G", "ISEN Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 5, 50, 3, 50, 0, 0, 0, 50, 16, 0, 0, 0, 0, 0, 0, 0, 0, 22, 0, 0, 0, 0, 0, 22, 6, 0, 0, 0, 19, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "22912", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=22912", 0, 0, 0),
(3105, "Public", "0131656E", "Lycée agricole Aix-Valabre", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Gardanne", "formation sélective", "BTS", "Lycée agricole Aix-Valabre - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 36, 857, 359, 838, 0, 215, 42, 188, 31, 129, 34, 306, 19, 0, 0, 13, 6, 257, 5, 0, 0, 111, 20, 61, 15, 41, 12, 44, 130, 30, 14, 28, 2, 6.0, 21.0, 29.0, 0, 6, 23, 9, 11, 3, 7, 0, 2, 15, 6, 0, 0.0, 7, 11, 3, 2, 0, 10, 10, 20.0, 70.0, 96.67, 46.6953125, 43.5, 43.5, 8.69921875, 26.09765625, 76.6875, 0.0, 8.69921875, 65.1875, 26.09765625, 0.0, 0.0, 39.09375, 30.3984375, 47.796875, 47.796875, 13.0, 13.0, 42.0, 7.0, 34.0, 9.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 119.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 24.0, "2660", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2660&g_ta_cod=2660", 43.0, 40.0, 17.0),
(3106, "Privé sous contrat d'association", "0741307U", "Lycée Jeanne d'Arc", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Thonon-les-Bains", "formation sélective", "BTS", "Lycée Jeanne d'Arc - BTS - Services - Gestion de la PME", "BTS - Services", "", 15, 132, 81, 130, 0, 10, 1, 40, 11, 57, 26, 23, 2, 0, 2, 0, 0, 117, 0, 0, 0, 9, 1, 37, 9, 53, 23, 18, 62, 15, 3, 11, 0, 3.0, 9.0, 10.0, 0, 5, 13, 2, 4, 7, 2, 1, 4, 7, 1, 0, 0.0, 0, 4, 4, 3, 0, 13, 13, 20.0, 60.0, 66.67, 20.0, 100.0, 100.0, 23.09765625, 38.5, 86.6875, 7.69921875, 30.796875, 53.796875, 7.69921875, 0.0, 0.0, 15.3984375, 0.0, 30.796875, 30.796875, 53.796875, 30.796875, 7.0, 1.0, 30.0, 14.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 57.0, "8912", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8912&g_ta_cod=8912", 13.0, 27.0, 60.0),
(3107, "Public", "0932046U", "Lycée Leonard De Vinci", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Tremblay-en-France", "formation sélective", "BTS", "Lycée Leonard De Vinci - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 33, 807, 178, 807, 0, 36, 14, 218, 95, 240, 125, 313, 0, 0, 0, 0, 0, 512, 0, 0, 0, 32, 13, 182, 79, 198, 107, 100, 121, 31, 7, 31, 0, 5.0, 26.0, 28.0, 0, 15, 27, 5, 11, 11, 4, 0, 15, 10, 2, 0, 0.0, 1, 5, 6, 4, 2, 23, 27, 16.13, 83.87, 90.32, 22.59765625, 85.1875, 100.0, 14.798828125, 55.59375, 87.09375, 0.0, 55.59375, 37.0, 7.3994140625, 0.0, 0.0, 18.5, 3.69970703125, 40.6953125, 18.5, 40.6953125, 22.19921875, 22.0, 8.0, 47.0, 26.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 18.0, "11327", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11327&g_ta_cod=11327", 23.0, 39.0, 39.0),
(3108, "Public", "0570155J", "CNAM Grand Est - Thionville", "57", "Moselle", "Grand Est", "Nancy-Metz", "Thionville", "formation sélective", "Autre formation", "CNAM Grand Est - Thionville - Formation Supérieure de Spécialisation - Informatique - intégration web", "Diplôme d'Université", "Informatique - intégration web", 15, 57, 8, 40, 0, 12, 2, 6, 3, 9, 5, 13, 17, 0, 0, 5, 12, 28, 8, 0, 0, 11, 2, 6, 3, 6, 4, 5, 35, 4, 0, 2, 2, 2.0, 2.0, 3.0, 0, 1, 2, 2, 0, 0, 2, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 50.0, 50.0, 75.0, 0.0, 100.0, 100.0, 0, 50.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 10.0, 2.0, 11.0, 7.0, 8.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "33497", "Formation Supérieure de Spécialisation - Informatique - intégration web", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33497&g_ta_cod=33497", 75.0, 25.0, 0.0),
(3109, "Privé sous contrat d'association", "0753030L", "IFSI Diaconesses Reuilly", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "IFSI", "Regroupement IFSI Université de Paris - D.E Infirmier", "D.E secteur sanitaire", "", 76, 7351, 6508, 7351, 0, 910, 250, 1196, 455, 1002, 484, 4243, 0, 0, 0, 0, 0, 5761, 0, 0, 0, 829, 221, 990, 356, 786, 377, 3156, 1190, 78, 62, 78, 0, 2.0, 21.0, 58.0, 0, 12, 54, 10, 23, 21, 24, 0, 6, 26, 18, 4, 0.0, 7, 22, 19, 0, 0, 18, 49, 2.56, 26.92, 74.36, 79.5, 33.296875, 90.6875, 0, 22.19921875, 69.1875, 0.0, 11.099609375, 48.09375, 33.296875, 7.4, 0.0, 18.5, 13.0, 42.59375, 40.6953125, 38.8984375, 35.1953125, 192.0, 34.0, 219.0, 87.0, 499.0, "Tous les candidats", 3182.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "23056", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25148&g_ta_cod=23056", 26.0, 41.0, 33.0),
(3110, "Public", "0920135X", "Lycée E. Mounier", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Châtenay-Malabry", "formation sélective", "BTS", "Lycée E. Mounier - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 32, 937, 439, 937, 0, 54, 13, 343, 123, 260, 100, 280, 0, 0, 0, 0, 0, 936, 0, 0, 0, 54, 13, 342, 123, 260, 100, 280, 185, 59, 27, 43, 0, 3.0, 23.0, 29.0, 0, 27, 58, 3, 22, 33, 1, 0, 24, 27, 7, 0, 0.0, 2, 11, 21, 1, 1, 57, 58, 5.08, 38.98, 49.15, 45.796875, 98.296875, 100.0, 1.699951171875, 46.59375, 98.296875, 0.0, 41.3984375, 46.59375, 12.099609375, 0.0, 0.0, 5.19921875, 3.39990234375, 37.8984375, 19.0, 56.8984375, 36.1953125, 10.0, 4.0, 73.0, 28.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 17.0, "10989", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10989&g_ta_cod=10989", 5.0, 39.0, 56.0),
(3111, "Public", "0141275K", "Lycée Paul Cornu", "14", "Calvados", "Normandie", "Normandie", "Lisieux", "formation sélective", "BTS", "Lycée Paul Cornu - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 22, 392, 196, 382, 0, 36, 4, 148, 37, 143, 40, 55, 10, 0, 6, 0, 4, 267, 2, 0, 0, 33, 4, 94, 21, 106, 30, 34, 130, 14, 7, 13, 1, 3.0, 11.0, 12.0, 0, 4, 11, 2, 5, 4, 3, 0, 3, 6, 2, 0, 0.0, 0, 4, 4, 2, 0, 11, 11, 21.43, 78.57, 85.71, 50.0, 100.0, 100.0, 18.19921875, 36.3984375, 78.59375, 0.0, 27.296875, 54.5, 18.19921875, 0.0, 0.0, 18.19921875, 0.0, 45.5, 36.3984375, 36.3984375, 36.3984375, 7.0, 3.0, 46.0, 15.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 88, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 53.0, "2864", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2864&g_ta_cod=2864", 21.0, 50.0, 29.0),
(3112, "Privé sous contrat d'association", "0530931Z", "Institut d'Informatique Appliquée (IIA)", "53", "Mayenne", "Pays de la Loire", "Nantes", "Saint-Berthevin", "formation sélective", "BTS", "Institut d'Informatique Appliquée (IIA) - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 20, 156, 15, 156, 0, 26, 1, 36, 5, 24, 3, 70, 0, 0, 0, 0, 0, 78, 0, 0, 0, 20, 1, 27, 4, 19, 2, 12, 59, 18, 1, 18, 0, 5.0, 16.0, 18.0, 0, 1, 15, 3, 7, 5, 3, 0, 6, 8, 1, 0, 0.0, 2, 2, 5, 0, 0, 8, 8, 27.78, 88.89, 100.0, 5.599609375, 53.296875, 53.296875, 0, 6.69921875, 83.296875, 0.0, 40.0, 53.296875, 6.69921875, 0.0, 0.0, 20.0, 13.298828125, 46.6953125, 13.298828125, 33.296875, 33.296875, 17.0, 1.0, 15.0, 1.0, 8.0, "Tous les candidats", 77.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "33254", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33254&g_ta_cod=33254", 28.0, 44.0, 28.0),
(3113, "Public", "0511901P", "Lycée Colbert", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "Lycée Colbert - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 52, 4, 2, 0, 0, 0.0, 0.0, 0.0, 0, 0, 4, 0, 0, 4, 0, 0, 4, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 4, 4, 0.0, 0.0, 0.0, 50.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 43.0, 12.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22456", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 0.0, 100.0),
(3114, "Public", "0880021V", "Lycée Pierre Mendes France", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "Autre formation", "Lycée Pierre Mendes France - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 1.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22437", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0, 0, 0),
(3115, "Public", "0932086M", "I.U.T de Tremblay-en-France - Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Tremblay-en-France", "formation sélective", "BUT", "I.U.T de Tremblay-en-France - Paris 8 - BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "BUT - Production", "Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", 45, 543, 56, 543, 0, 194, 60, 188, 69, 13, 5, 148, 0, 0, 0, 0, 0, 432, 0, 0, 0, 173, 54, 147, 47, 8, 3, 104, 267, 44, 4, 44, 0, 1.0, 30.0, 40.0, 0, 10, 33, 14, 17, 2, 11, 0, 23, 9, 1, 0, 0.0, 4, 4, 2, 0, 0, 25, 31, 2.27, 68.18, 90.91, 9.099609375, 75.796875, 93.890625, 0, 30.296875, 75.0, 0.0, 69.6875, 27.296875, 3.0, 0.0, 0.0, 42.3984375, 12.099609375, 51.5, 12.099609375, 6.099609375, 6.099609375, 101.0, 32.0, 5.0, 2.0, 52.0, "Tous les candidats sauf les Bac technologiques", 161.0, "Bacheliers technologiques toutes séries", 174, "", 0, "Liste d'appel propre à cette formation", 62.0, "11334", "BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11334&g_ta_cod=11334", 43.0, 50.0, 7.0),
(3116, "Public", "0780004F", "Lycée Agricole de Saint Germain en Laye/Chambourcy", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "BTS", "Lycée Agricole de Saint Germain en Laye/Chambourcy - BTS - Agricole - Production horticole", "BTS - Agricole", "", 19, 172, 56, 168, 0, 17, 2, 15, 0, 26, 7, 110, 4, 0, 0, 3, 1, 79, 1, 0, 0, 16, 2, 11, 0, 20, 4, 32, 63, 13, 6, 12, 1, 5.0, 12.0, 13.0, 0, 2, 9, 4, 2, 3, 4, 0, 1, 7, 1, 0, 0.0, 4, 2, 2, 2, 1, 4, 8, 38.46, 92.31, 100.0, 46.1953125, 44.3984375, 88.890625, 22.19921875, 22.19921875, 69.1875, 0.0, 11.099609375, 77.796875, 11.099609375, 0.0, 0.0, 44.3984375, 44.3984375, 22.19921875, 22.19921875, 33.296875, 22.19921875, 14.0, 1.0, 16.0, 3.0, 26.0, "Tous les candidats sauf les Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 43.0, "9952", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9952&g_ta_cod=9952", 46.0, 15.0, 38.0),
(3117, "Public", "0590185F", "Lycée Jean Moulin", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "Autre formation", "Lycée Jean Moulin - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 29, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 41, 14, 8, 0, 0, 0.0, 0.0, 3.0, 0, 10, 12, 0, 5, 7, 2, 0, 9, 3, 0, 0, 0.0, 0, 1, 2, 0, 0, 12, 12, 0.0, 0.0, 21.43, 57.09375, 100.0, 100.0, 0, 83.296875, 85.6875, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 41.6953125, 8.298828125, 58.296875, 16.69921875, 0.0, 0.0, 24.0, 14.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22297", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 36.0, 64.0),
(3118, "Public", "0130039X", "Lycée Saint Charles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  1er Arrondissement", "formation sélective", "CPGE", "Lycée Saint Charles - CPGE - ECG -  - Mathématiques approfondies + ESH", "Classe préparatoire économique et commerciale", "", 48, 584, 278, 569, 0, 461, 85, 2, 0, 1, 0, 105, 15, 5, 0, 2, 8, 325, 1, 0, 325, 290, 46, 0, 0, 0, 0, 35, 267, 37, 16, 37, 0, 25.0, 30.0, 37.0, 0, 5, 35, 35, 0, 0, 2, 0, 0, 9, 17, 8, 1.0, 35, 0, 0, 1, 0, 26, 26, 67.57, 81.08, 100.0, 43.1953125, 74.296875, 74.296875, 2.89990234375, 14.298828125, 94.59375, 0.0, 0.0, 25.69921875, 48.59375, 22.9, 2.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 239.0, 42.0, 0.0, 0.0, 28.0, "Tous les candidats", 323.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "31271", "CPGE - ECG -  - Mathématiques approfondies + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31271&g_ta_cod=31271", 100.0, 0.0, 0.0),
(3119, "Public", "0770926N", "Lycée Francois Couperin", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Fontainebleau", "formation sélective", "BTS", "Lycée Francois Couperin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 781, 373, 781, 0, 76, 23, 248, 73, 229, 79, 228, 0, 0, 0, 0, 0, 548, 0, 0, 0, 75, 23, 187, 50, 177, 53, 109, 124, 36, 21, 36, 0, 9.0, 34.0, 34.0, 0, 11, 35, 5, 16, 14, 1, 0, 14, 15, 6, 0, 0.0, 1, 9, 11, 13, 8, 29, 32, 25.0, 94.44, 94.44, 58.296875, 82.890625, 91.390625, 37.09375, 31.3984375, 97.1875, 0.0, 40.0, 42.8984375, 17.09765625, 0.0, 0.0, 14.298828125, 2.89990234375, 45.6953125, 25.69921875, 40.0, 31.3984375, 19.0, 4.0, 41.0, 10.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 21.0, "9795", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9795&g_ta_cod=9795", 14.0, 44.0, 42.0),
(3120, "Public", "0754476H", "Lycée des Métiers de l'Hôtellerie Guillaume TIREL", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "Autre formation", "Lycée des Métiers de l'Hôtellerie Guillaume TIREL - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 15, 163, 113, 155, 0, 6, 0, 7, 3, 106, 59, 36, 8, 0, 1, 3, 4, 86, 0, 0, 0, 4, 0, 4, 2, 61, 31, 17, 48, 13, 11, 13, 0, 5.0, 9.0, 13.0, 0, 6, 9, 0, 0, 9, 4, 0, 3, 5, 1, 0, 0.0, 0, 0, 6, 0, 0, 3, 7, 38.46, 69.23, 100.0, 84.59375, 33.296875, 77.796875, 0, 66.6875, 69.1875, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 1.0, 0.0, 32.0, 20.0, 12.0, "Tous les candidats", 68.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "19026", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19026&g_ta_cod=19026", 8.0, 0.0, 92.0),
(3121, "Public", "0271666P", "I.U.T d'Evreux", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BUT", "I.U.T d'Evreux - BUT - Génie biologique Parcours diététique et nutrition", "BUT - Production", "", 28, 630, 493, 630, 0, 295, 31, 137, 30, 3, 0, 195, 0, 0, 0, 0, 0, 406, 0, 0, 0, 211, 22, 101, 17, 0, 0, 94, 154, 25, 22, 25, 0, 1.0, 18.0, 20.0, 0, 1, 23, 13, 10, 0, 2, 0, 9, 13, 0, 1, 0.0, 8, 6, 0, 0, 0, 15, 15, 4.0, 72.0, 80.0, 88.0, 65.1875, 65.1875, 0, 4.2998046875, 92.0, 0.0, 39.09375, 56.5, 0.0, 4.3, 0.0, 56.5, 34.796875, 43.5, 26.09765625, 0.0, 0.0, 80.0, 10.0, 0.0, 0.0, 27.0, "Tous les candidats sauf les Bac technologiques", 153.0, "Bacheliers technologiques toutes séries", 74, "", 0, "Liste d'appel propre à cette formation", 36.0, "3716", "BUT - Génie biologique Parcours diététique et nutrition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3716&g_ta_cod=3716", 60.0, 40.0, 0.0),
(3122, "Public", "0540098N", "Centre de Ressources, d'Expertise et de Performance Sportive de Nancy (CREPS)", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Essey-lès-Nancy", "formation sélective", "Autre formation", "CREPS de Nancy - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 5, 45, 11, 30, 0, 11, 2, 5, 2, 5, 2, 9, 15, 1, 6, 0, 8, 5, 4, 0, 0, 1, 0, 0, 0, 0, 0, 4, 9, 3, 1, 1, 2, 1.0, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 33.33, 33.33, 33.33, 33.296875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.0, 0.0, 0.0, 0.0, 7.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "21300", "BPJEPS - Activités aquatiques et de la natation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21300&g_ta_cod=21300", 33.0, 67.0, 0.0),
(3123, "Public", "0751722P", "Sorbonne Université - Sciences et Ingénierie", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence_Las", "Sorbonne Université ? Sciences et Ingénierie - Licence - Portail Sciences de la nature", "Licence - Sciences - technologies - santé", "Sciences de la nature", 100, 5474, 3649, 5474, 0, 3157, 608, 125, 47, 8, 4, 2184, 0, 0, 0, 0, 0, 5474, 0, 0, 0, 3157, 608, 125, 47, 8, 4, 2184, 938, 99, 73, 99, 0, 3.0, 52.0, 91.0, 0, 6, 67, 65, 2, 0, 32, 1, 1, 13, 38, 12, 2.0, 63, 2, 0, 0, 0, 13, 56, 3.03, 52.53, 91.92, 73.6875, 19.3984375, 83.59375, 0, 9.0, 67.6875, 1.5, 1.5, 19.3984375, 56.6953125, 17.9, 3.0, 97.0, 94.0, 3.0, 3.0, 0.0, 0.0, 828.0, 108.0, 0.0, 0.0, 99.0, "Tous les candidats", 2283.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "31060", "Licence - Portail Sciences de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31059&g_ta_cod=31060", 98.0, 2.0, 0.0),
(3124, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence_Las", "Université de Franche-Comté - Site de Besançon - Licence - Portail Mathématiques", "Licence - Sciences - technologies - santé", "", 18, 333, 174, 319, 0, 241, 39, 3, 0, 2, 1, 73, 14, 2, 1, 0, 11, 319, 13, 0, 0, 241, 39, 3, 0, 2, 1, 73, 176, 15, 12, 13, 2, 1.0, 5.0, 13.0, 0, 1, 11, 11, 0, 0, 4, 0, 3, 3, 4, 1, 0.0, 8, 0, 0, 0, 0, 7, 7, 6.67, 33.33, 86.67, 80.0, 63.59375, 63.59375, 0, 9.099609375, 73.296875, 0.0, 27.296875, 27.296875, 36.3984375, 9.1, 0.0, 100.0, 72.6875, 0.0, 0.0, 0.0, 0.0, 127.0, 16.0, 0.0, 0.0, 48.0, "Tous les candidats", 788.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27295", "Licence - Portail Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27294&g_ta_cod=27295", 100.0, 0.0, 0.0),
(3125, "Privé sous contrat d'association", "9730336C", "IRDTS Cayenne", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "EFTS", "IRDTS Cayenne - D.E Assistant de Service Social", "D.E secteur social", "", 12, 151, 141, 119, 0, 26, 13, 31, 19, 26, 20, 36, 32, 3, 5, 4, 20, 12, 3, 0, 0, 4, 0, 1, 1, 1, 1, 6, 12, 9, 7, 7, 2, 0.0, 7.0, 9.0, 0, 1, 3, 2, 0, 1, 6, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 0.0, 77.78, 100.0, 77.796875, 100.0, 100.0, 0, 33.296875, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 66.6875, 0.0, 0.0, 0.0, 33.296875, 0.0, 2.0, 0.0, 1.0, 1.0, 8.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "23443", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23443&g_ta_cod=23443", 89.0, 0.0, 11.0),
(3126, "Public", "0170393K", "Lycée CFA de l'Alimentation - ENILIA ENSMIC", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Surgères", "formation sélective", "BTS", "Lycée CFA de l'Alimentation - ENILIA ENSMIC - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 16, 87, 54, 81, 0, 11, 0, 12, 3, 10, 5, 48, 6, 2, 2, 0, 2, 45, 6, 0, 0, 11, 0, 12, 3, 10, 5, 12, 45, 12, 8, 11, 1, 6.0, 11.0, 12.0, 0, 1, 5, 2, 1, 2, 7, 0, 3, 2, 0, 0, 0.0, 0, 1, 1, 2, 2, 3, 3, 50.0, 91.67, 100.0, 66.6875, 60.0, 60.0, 40, 20.0, 41.6953125, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 40.0, 0.0, 20.0, 20.0, 40.0, 20.0, 11.0, 0.0, 9.0, 3.0, 13.0, "Tous les candidats sauf les Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 13, "", 0, "Liste d'appel propre à cette formation", 53.0, "3060", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3060&g_ta_cod=3060", 42.0, 8.0, 50.0),
(3127, "Public", "0754530S", "Lycée Martin-Nadaud", "75", "Paris", "Ile-de-France", "Paris", "Paris 20e  Arrondissement", "formation sélective", "BTS", "Lycée Martin-Nadaud - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 35, 1096, 250, 1096, 0, 52, 14, 241, 114, 349, 175, 454, 0, 0, 0, 0, 0, 467, 0, 0, 0, 48, 13, 172, 82, 201, 98, 46, 122, 34, 4, 34, 0, 13.0, 25.0, 30.0, 0, 21, 33, 2, 17, 14, 1, 0, 11, 14, 8, 0, 0.0, 0, 9, 13, 11, 1, 17, 30, 38.24, 73.53, 88.24, 11.798828125, 51.5, 90.890625, 33.296875, 63.59375, 97.09375, 0.0, 33.296875, 42.3984375, 24.19921875, 0.0, 0.0, 6.099609375, 0.0, 51.5, 27.296875, 42.3984375, 39.3984375, 15.0, 6.0, 22.0, 14.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 98, "Liste d'appel propre à cette formation", 14.0, "9542", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9542&g_ta_cod=9542", 9.0, 50.0, 41.0),
(3128, "Public", "0060028Y", "Lycée professionnel Paul Valéry", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Menton", "formation sélective", "BTS", "Lycée professionnel Paul Valéry - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 15, 381, 203, 381, 0, 61, 19, 100, 29, 123, 45, 97, 0, 0, 0, 0, 0, 381, 0, 0, 0, 61, 19, 100, 29, 123, 45, 97, 90, 16, 10, 16, 0, 3.0, 13.0, 14.0, 0, 7, 14, 2, 4, 8, 2, 0, 6, 4, 3, 1, 0.0, 2, 1, 5, 6, 4, 12, 12, 18.75, 81.25, 87.5, 62.5, 85.6875, 85.6875, 42.8984375, 50.0, 87.5, 0.0, 42.8984375, 28.59765625, 21.3984375, 7.1, 0.0, 14.298828125, 14.298828125, 28.59765625, 7.099609375, 57.09375, 35.6953125, 29.0, 10.0, 24.0, 7.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers technologiques toutes séries", 30, "Bacheliers professionnels toutes séries", 39, "Liste d'appel propre à cette formation", 33.0, "28402", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28402&g_ta_cod=28402", 19.0, 25.0, 50.0),
(3129, "Public", "0313001U", "IFMEM", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "IFMEM - D.E manipulateur/trice en électroradiologie médicale", "D.E secteur sanitaire", "", 34, 813, 615, 765, 0, 165, 33, 157, 56, 5, 2, 438, 48, 3, 6, 1, 38, 305, 5, 0, 0, 99, 22, 6, 2, 0, 0, 200, 175, 35, 29, 31, 4, 4.0, 16.0, 24.0, 0, 4, 14, 14, 0, 0, 21, 0, 3, 8, 2, 1, 0.0, 11, 0, 0, 0, 0, 9, 9, 11.43, 45.71, 68.57, 82.890625, 64.296875, 64.296875, 0, 28.59765625, 40.0, 0.0, 21.3984375, 57.09375, 14.298828125, 7.1, 0.0, 100.0, 78.59375, 0.0, 0.0, 0.0, 0.0, 69.0, 18.0, 0.0, 0.0, 106.0, "Tous les candidats", 200.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "19400", "D.E manipulateur/trice en électroradiologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19400&g_ta_cod=19400", 97.0, 3.0, 0.0),
(3130, "Privé enseignement supérieur", "0791199Z", "Facultés libres de l'ouest UCO - Niort", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation non sélective", "Licence", "Facultés libres de l'ouest UCO - Niort - Licence - Information et communication", "Licence - Sciences humaines et sociales", "", 40, 419, 288, 339, 0, 234, 28, 43, 6, 5, 2, 57, 80, 26, 5, 2, 47, 339, 78, 0, 0, 234, 28, 43, 6, 5, 2, 57, 314, 33, 22, 24, 9, 8.0, 24.0, 27.0, 0, 6, 19, 16, 1, 2, 14, 0, 4, 9, 5, 1, 0.0, 12, 1, 2, 0, 0, 11, 11, 24.24, 72.73, 81.82, 66.6875, 57.8984375, 57.8984375, 0, 31.59765625, 57.59375, 0.0, 21.09765625, 47.3984375, 26.296875, 5.3, 0.0, 84.1875, 63.1953125, 5.2998046875, 5.2998046875, 10.5, 10.5, 190.0, 26.0, 7.0, 3.0, 87.0, "Tous les candidats", 339.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "30047", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30047&g_ta_cod=30047", 82.0, 12.0, 6.0),
(3131, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Licence", "Université de Nantes - Licence - Histoire - Parcours Europe", "Licence - Sciences humaines et sociales", "Europe", 15, 387, 208, 387, 0, 319, 46, 6, 1, 2, 0, 60, 0, 0, 0, 0, 0, 387, 0, 0, 0, 319, 46, 6, 1, 2, 0, 60, 58, 16, 11, 16, 0, 5.0, 15.0, 16.0, 0, 4, 15, 15, 0, 0, 1, 0, 0, 0, 5, 9, 1.0, 15, 0, 0, 0, 0, 7, 7, 31.25, 93.75, 100.0, 68.796875, 46.6953125, 46.6953125, 0, 26.69921875, 93.796875, 0.0, 0.0, 0.0, 33.296875, 60.0, 6.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 53.0, 9.0, 0.0, 0.0, 5.0, "Tous les candidats", 74.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "15017", "Licence - Histoire - Parcours Europe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15017&g_ta_cod=15017", 100.0, 0.0, 0.0),
(3132, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "PASS", "Université Côte d'Azur - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 50, 2550, 1797, 2550, 0, 1956, 343, 63, 29, 17, 7, 514, 0, 0, 0, 0, 0, 2547, 0, 0, 0, 1956, 343, 63, 29, 17, 7, 511, 617, 49, 36, 49, 0, 0.0, 18.0, 39.0, 0, 17, 45, 42, 2, 1, 4, 0, 3, 17, 21, 4, 0.0, 39, 2, 1, 0, 0, 40, 40, 0.0, 36.73, 79.59, 73.5, 88.890625, 88.890625, 0, 37.796875, 91.796875, 0.0, 6.69921875, 37.796875, 46.6953125, 8.9, 0.0, 93.296875, 86.6875, 4.3994140625, 4.3994140625, 2.19970703125, 2.19970703125, 556.0, 95.0, 2.0, 2.0, 52.0, "Tous les candidats", 2087.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "27219", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27218&g_ta_cod=27219", 94.0, 4.0, 2.0),
(3133, "Privé sous contrat d'association", "0754029X", "Lycée Carcado Saisseval", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "BTS", "Lycée Carcado Saisseval - BTS - Services - Support à l'action managériale", "BTS - Services", "", 40, 364, 249, 257, 0, 24, 5, 112, 33, 55, 19, 66, 107, 7, 40, 15, 45, 211, 30, 0, 0, 23, 5, 101, 29, 48, 14, 39, 199, 18, 14, 14, 4, 2.0, 9.0, 13.0, 0, 5, 14, 1, 8, 5, 4, 1, 6, 4, 3, 0, 0.0, 0, 4, 3, 3, 2, 6, 14, 11.11, 50.0, 72.22, 77.796875, 42.8984375, 100.0, 21.3984375, 35.6953125, 77.796875, 7.099609375, 42.8984375, 28.59765625, 21.3984375, 0.0, 0.0, 7.099609375, 0.0, 57.09375, 28.59765625, 35.6953125, 21.3984375, 22.0, 4.0, 40.0, 15.0, 36.0, "Tous les candidats sauf les Bac professionnels", 140.0, "Bacheliers professionnels toutes séries", 51, "", 0, "Liste d'appel propre à cette formation", 74.0, "9489", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9489&g_ta_cod=9489", 11.0, 61.0, 28.0),
(3134, "Public", "0470884F", "Université Bordeaux Montaigne - Antenne d'Agen", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Antenne d'Agen - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, Litteratures, Civilisations étrangères et régionales : Anglais Agen", "Licence - Arts-lettres-langues", "Licence 1 LLCER - Langues, Litteratures, Civilisations étrangères et régionales : Anglais Agen", 80, 525, 365, 372, 0, 283, 75, 13, 4, 11, 6, 65, 153, 37, 8, 9, 99, 371, 137, 0, 0, 283, 75, 13, 4, 11, 6, 64, 508, 61, 40, 37, 24, 35.0, 37.0, 50.0, 0, 11, 34, 27, 2, 5, 27, 0, 17, 8, 6, 3, 0.0, 14, 1, 2, 0, 0, 15, 15, 57.38, 60.66, 81.97, 65.59375, 44.09375, 44.09375, 0, 32.3984375, 55.6953125, 0.0, 50.0, 23.5, 17.59765625, 8.8, 0.0, 79.390625, 41.1953125, 5.8994140625, 2.89990234375, 14.69921875, 5.8994140625, 318.0, 87.0, 19.0, 11.0, 151.0, "Tous les candidats", 372.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5788", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, Litteratures, Civilisations étrangères et régionales : Anglais Agen", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5788&g_ta_cod=5788", 69.0, 10.0, 21.0),
(3135, "Public", "0750704H", "Lycée Carnot", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "CPGE", "Lycée Carnot - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 48, 2848, 1363, 2839, 518, 2466, 299, 2, 1, 2, 1, 369, 9, 5, 0, 0, 4, 2022, 3, 366, 1872, 1949, 223, 0, 0, 0, 0, 73, 780, 39, 13, 38, 1, 2.0, 10.0, 31.0, 4, 4, 36, 36, 0, 0, 3, 0, 0, 6, 20, 9, 1.0, 36, 0, 0, 0, 0, 8, 27, 5.13, 25.64, 79.49, 33.296875, 22.19921875, 75.0, 0, 11.099609375, 92.296875, 0.0, 0.0, 16.69921875, 55.59375, 25.0, 2.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 762.0, 77.0, 0.0, 0.0, 18.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "31573", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31370&g_ta_cod=31573", 100.0, 0.0, 0.0),
(3136, "Public", "0540032S", "Lycée professionnel Darche", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Longwy", "formation sélective", "Autre formation", "Lycée professionnel Darche - Mention complémentaire - Organisateur de réception", "Mention complémentaire", "", 10, 40, 25, 40, 0, 0, 0, 5, 0, 31, 11, 4, 0, 0, 0, 0, 0, 20, 0, 0, 0, 0, 0, 2, 0, 17, 6, 1, 16, 9, 7, 9, 0, 8.0, 9.0, 9.0, 0, 4, 9, 0, 0, 9, 0, 0, 4, 4, 1, 0, 0.0, 0, 0, 5, 0, 0, 9, 9, 88.89, 100.0, 100.0, 77.796875, 100.0, 100.0, 0, 44.3984375, 100.0, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 55.59375, 0.0, 0.0, 15.0, 6.0, 0.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "21549", "Mention complémentaire - Organisateur de réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21549&g_ta_cod=21549", 0.0, 0.0, 100.0),
(3137, "Public", "0310044E", "Lycée Déodat de Séverac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Déodat de Séverac - BTS - Production - Systèmes photoniques", "BTS - Production", "", 15, 214, 45, 171, 0, 19, 2, 50, 14, 21, 8, 81, 43, 9, 0, 6, 28, 98, 1, 0, 0, 17, 1, 34, 10, 18, 6, 29, 64, 11, 1, 11, 0, 2.0, 9.0, 11.0, 0, 2, 6, 0, 4, 2, 5, 0, 2, 2, 2, 0, 0.0, 0, 2, 2, 4, 1, 5, 5, 18.18, 81.82, 100.0, 9.099609375, 83.296875, 83.296875, 66.6875, 33.296875, 54.5, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 33.296875, 10.0, 2.0, 15.0, 5.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 56.0, "4054", "BTS - Production - Systèmes photoniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4054&g_ta_cod=4054", 9.0, 64.0, 27.0),
(3138, "Public", "0870866U", "IFSI CHU de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "IFSI", "Regroupement d'IFSI Université Limoges - D.E Infirmier", "D.E secteur sanitaire", "", 123, 3366, 2846, 3366, 0, 771, 142, 661, 176, 291, 98, 1643, 0, 0, 0, 0, 0, 2893, 0, 0, 0, 747, 131, 590, 148, 222, 76, 1334, 542, 123, 106, 123, 0, 13.0, 86.0, 98.0, 0, 23, 88, 54, 31, 3, 35, 0, 6, 49, 30, 3, 0.0, 49, 30, 3, 0, 0, 43, 43, 10.57, 69.92, 79.67, 86.1875, 48.8984375, 48.8984375, 0, 26.09765625, 71.5, 0.0, 6.7998046875, 55.6953125, 34.09375, 3.4, 0.0, 61.3984375, 55.6953125, 35.1953125, 34.09375, 3.39990234375, 3.39990234375, 230.0, 42.0, 8.0, 4.0, 223.0, "Tous les candidats", 751.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 21.0, "23156", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22989&g_ta_cod=23156", 71.0, 27.0, 2.0),
(3139, "Public", "0290334F", "I.U.T de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BUT", "I.U.T de Brest - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "BUT - Production", "Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", 76, 781, 63, 751, 0, 434, 55, 168, 30, 7, 1, 142, 30, 4, 0, 0, 26, 585, 12, 0, 0, 369, 42, 131, 23, 0, 0, 85, 488, 62, 3, 56, 6, 31.0, 50.0, 60.0, 0, 9, 47, 36, 11, 0, 15, 0, 7, 34, 5, 1, 0.0, 29, 11, 0, 0, 0, 45, 45, 50.0, 80.65, 96.77, 4.7998046875, 95.6875, 95.6875, 0, 19.09765625, 75.796875, 0.0, 14.8984375, 72.296875, 10.599609375, 2.1, 0.0, 76.59375, 61.6953125, 23.3984375, 23.3984375, 0.0, 0.0, 294.0, 38.0, 0.0, 0.0, 80.0, "Tous les candidats sauf les Bac technologiques", 435.0, "Bacheliers technologiques toutes séries", 149, "", 0, "Liste d'appel propre à cette formation", 78.0, "3835", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3835&g_ta_cod=3835", 76.0, 24.0, 0.0),
(3140, "Public", "0340838B", "I.U.T de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BUT", "I.U.T de Montpellier - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international : achat et vente", 106, 6300, 3308, 6300, 0, 3476, 705, 1754, 560, 65, 23, 1005, 0, 0, 0, 0, 0, 3131, 0, 0, 0, 2124, 373, 741, 195, 0, 0, 266, 496, 105, 75, 105, 0, 11.0, 96.0, 100.0, 0, 27, 99, 49, 50, 0, 6, 0, 1, 26, 59, 13, 0.0, 49, 49, 0, 0, 0, 59, 59, 10.48, 91.43, 95.24, 71.390625, 59.59375, 59.59375, 0, 27.296875, 94.296875, 0.0, 1.0, 26.296875, 59.59375, 13.1, 0.0, 49.5, 49.5, 50.5, 49.5, 0.0, 0.0, 256.0, 61.0, 0.0, 0.0, 28.0, "Tous les candidats sauf les Bac technologiques", 502.0, "Bacheliers technologiques toutes séries", 297, "", 0, "Liste d'appel propre à cette formation", 13.0, "4530", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4530&g_ta_cod=4530", 50.0, 50.0, 0.0),
(3141, "Public", "0561698S", "Lycée Jean Macé", "56", "Morbihan", "Bretagne", "Rennes", "Lanester", "formation sélective", "BTS", "Lycée Jean Macé - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 28, 636, 409, 603, 0, 138, 21, 187, 34, 24, 4, 254, 33, 0, 15, 0, 18, 260, 5, 0, 0, 89, 16, 108, 16, 11, 3, 52, 128, 27, 20, 25, 2, 6.0, 22.0, 26.0, 0, 2, 15, 4, 8, 3, 12, 0, 2, 6, 7, 0, 0.0, 4, 6, 3, 2, 2, 14, 14, 22.22, 81.48, 96.3, 74.09375, 93.296875, 93.296875, 13.298828125, 13.298828125, 55.59375, 0.0, 13.298828125, 40.0, 46.6953125, 0.0, 0.0, 26.69921875, 26.69921875, 53.296875, 40.0, 20.0, 20.0, 25.0, 5.0, 5.0, 1.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 123, "Liste d'appel propre à cette formation", 31.0, "6493", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6493&g_ta_cod=6493", 33.0, 56.0, 11.0),
(3142, "Public", "0382669V", "ECOLE DE FORMATION SANITAIRE CENTRE HOSPITALIER", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "Autre formation", "ECOLE DE FORMATION SANITAIRE CENTRE HOSPITALIER - D.E manipulateur/trice en électroradiologie médicale", "D.E secteur sanitaire", "", 33, 620, 479, 620, 0, 132, 26, 103, 39, 11, 3, 374, 0, 0, 0, 0, 0, 263, 0, 0, 0, 64, 11, 14, 4, 0, 0, 185, 113, 33, 25, 33, 0, 10.0, 23.0, 26.0, 0, 4, 9, 8, 1, 0, 24, 0, 2, 5, 2, 0, 0.0, 6, 1, 0, 0, 0, 7, 7, 30.3, 69.7, 78.79, 75.796875, 77.796875, 77.796875, 0, 44.3984375, 27.296875, 0.0, 22.19921875, 55.59375, 22.19921875, 0.0, 0.0, 88.890625, 66.6875, 11.099609375, 11.099609375, 0.0, 0.0, 19.0, 6.0, 0.0, 0.0, 87.0, "Tous les candidats", 130.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "19422", "D.E manipulateur/trice en électroradiologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19422&g_ta_cod=19422", 94.0, 6.0, 0.0),
(3143, "Privé sous contrat d'association", "0251477V", "Lycée professionnel Agricole François Xavier", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée professionnel Agricole François Xavier - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 28, 113, 44, 103, 0, 13, 3, 27, 8, 19, 3, 44, 10, 0, 0, 5, 5, 78, 4, 0, 0, 13, 3, 27, 8, 19, 3, 19, 71, 17, 5, 16, 1, 7.0, 15.0, 16.0, 0, 3, 12, 1, 5, 6, 5, 0, 8, 4, 0, 0, 0.0, 0, 2, 2, 1, 1, 10, 10, 41.18, 88.24, 94.12, 29.3984375, 83.296875, 83.296875, 8.298828125, 25.0, 70.59375, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 8.298828125, 0.0, 41.6953125, 16.69921875, 50.0, 16.69921875, 13.0, 3.0, 21.0, 4.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 70.0, "3566", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3566&g_ta_cod=3566", 12.0, 47.0, 41.0),
(3144, "Public", "0501934F", "Centre Régional associé au CNAM de Normandie", "50", "Manche", "Normandie", "Normandie", "Saint-Lô", "formation sélective", "Autre formation", "CNAM / lycée Curie-Corot (SAINT-LÔ - 50) - Formation Supérieure de Spécialisation - Produits et Processus industriels parcours Préparateur d'affaires industrielles", "Diplôme d'Université", "Produits et Processus industriels parcours Préparateur d'affaires industrielles", 20, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34921", "Formation Supérieure de Spécialisation - Produits et Processus industriels parcours Préparateur d'affaires industrielles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34921&g_ta_cod=34921", 0, 0, 0),
(3145, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation non sélective", "Licence_Las", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Portail Physique-Chimie-Sciences de la Terre (PCST)", "Licence - Sciences - technologies - santé", "Portail Physique-Chimie-Sciences de la Terre (PCST)", 30, 1057, 674, 1057, 0, 597, 110, 6, 1, 1, 0, 453, 0, 0, 0, 0, 0, 1049, 0, 0, 0, 597, 110, 6, 1, 1, 0, 445, 392, 26, 12, 26, 0, 0.0, 1.0, 10.0, 0, 10, 19, 18, 1, 0, 7, 0, 6, 11, 2, 0, 0.0, 13, 0, 0, 0, 0, 15, 19, 0.0, 3.85, 38.46, 46.1953125, 78.890625, 100.0, 0, 52.59375, 73.09375, 0.0, 31.59765625, 57.8984375, 10.5, 0.0, 0.0, 94.6875, 68.390625, 5.2998046875, 0.0, 0.0, 0.0, 223.0, 48.0, 0.0, 0.0, 168.0, "Tous les candidats", 747.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 48.0, "27922", "Licence - Portail Physique-Chimie-Sciences de la Terre (PCST)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27921&g_ta_cod=27922", 96.0, 4.0, 0.0),
(3146, "Public", "0030858S", "Centre de Ressources, d'Expertise et de Performance Sportive - CREPS DE VICHY AUVERGNE", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Bellerive-sur-Allier", "formation sélective", "Autre formation", "CREPS de Vichy - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 10, 244, 70, 244, 0, 57, 9, 57, 10, 65, 20, 65, 0, 0, 0, 0, 0, 39, 0, 0, 0, 10, 2, 8, 0, 5, 0, 16, 22, 9, 2, 9, 0, 2.0, 8.0, 8.0, 0, 0, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 22.22, 88.89, 88.89, 22.19921875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6.0, 2.0, 2.0, 0.0, 13.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "21834", "BPJEPS - Activités physiques pour tous", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21834&g_ta_cod=21834", 22.0, 33.0, 44.0),
(3147, "Public", "0371418R", "Lycée Jacques De Vaucanson", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Jacques De Vaucanson - BTS - Production - Systèmes photoniques", "BTS - Production", "", 24, 155, 35, 140, 0, 22, 5, 49, 9, 26, 7, 43, 15, 0, 2, 2, 11, 102, 7, 0, 0, 21, 5, 44, 8, 13, 6, 24, 79, 15, 2, 11, 4, 4.0, 11.0, 15.0, 0, 2, 6, 0, 4, 2, 9, 0, 1, 3, 2, 0, 0.0, 0, 3, 2, 0, 0, 3, 3, 26.67, 73.33, 100.0, 13.298828125, 50.0, 50.0, 0, 33.296875, 40.0, 0.0, 16.69921875, 50.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 66.6875, 50.0, 33.296875, 33.296875, 12.0, 3.0, 8.0, 4.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 71.0, "4909", "BTS - Production - Systèmes photoniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4909&g_ta_cod=4909", 7.0, 80.0, 13.0),
(3148, "Privé sous contrat d'association", "0754042L", "Lycée Le Rebours", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Le Rebours - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 36, 825, 81, 825, 0, 123, 21, 219, 61, 214, 63, 269, 0, 0, 0, 0, 0, 470, 0, 0, 0, 91, 12, 135, 29, 137, 33, 107, 124, 35, 4, 35, 0, 5.0, 28.0, 32.0, 0, 9, 30, 6, 11, 13, 5, 0, 9, 8, 10, 3, 0.0, 2, 7, 12, 2, 1, 14, 30, 14.29, 80.0, 91.43, 11.3984375, 46.6953125, 100.0, 6.69921875, 30.0, 85.6875, 0.0, 30.0, 26.69921875, 33.296875, 10.0, 0.0, 20.0, 6.69921875, 36.6953125, 23.296875, 43.296875, 40.0, 28.0, 4.0, 36.0, 9.0, 18.0, "Tous les candidats sauf les Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 18.0, "9508", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9508&g_ta_cod=9508", 31.0, 31.0, 37.0),
(3149, "Public", "0912415F", "Université Paris-Saclay - Campus de Versailles", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "Licence", "Université Paris-Saclay - Campus de Versailles - Licence - Double diplôme - Licence Mathématiques et applications - Licence Double-Diplôme Mathématiques, Physique et Applications", "Licence - Sciences - technologies - santé", "Licence Double-Diplôme Mathématiques, Physique et Applications", 25, 1118, 344, 1118, 0, 953, 101, 3, 0, 1, 0, 161, 0, 0, 0, 0, 0, 883, 0, 0, 0, 822, 78, 0, 0, 0, 0, 61, 306, 23, 7, 23, 0, 1.0, 9.0, 16.0, 0, 1, 23, 23, 0, 0, 0, 0, 0, 3, 10, 8, 2.0, 23, 0, 0, 0, 0, 14, 15, 4.35, 39.13, 69.57, 30.3984375, 60.8984375, 65.1875, 0, 4.2998046875, 100.0, 0.0, 0.0, 13.0, 43.5, 34.8, 8.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 287.0, 26.0, 0.0, 0.0, 19.0, "Tous les candidats", 543.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "28851", "Licence - Double diplôme - Licence Mathématiques et applications - Licence Double-Diplôme Mathématiques, Physique et Applications", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28851&g_ta_cod=28851", 100.0, 0.0, 0.0),
(3150, "Public", "0932026X", "Lycée Alfred Nobel", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Clichy-sous-Bois", "formation sélective", "Autre formation", "Lycée Alfred Nobel - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 19, 9, 0, 0, 0.0, 0.0, 4.0, 0, 9, 15, 2, 4, 9, 4, 0, 14, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 15, 15, 0.0, 0.0, 21.05, 47.3984375, 100.0, 100.0, 0, 60.0, 78.890625, 0.0, 93.296875, 6.69921875, 0.0, 0.0, 0.0, 13.298828125, 0.0, 26.69921875, 0.0, 60.0, 6.69921875, 2.0, 2.0, 25.0, 13.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30701", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 11.0, 32.0, 58.0),
(3151, "Public", "0693521C", "I.U.T LUMIERE Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Bron", "formation sélective", "BUT", "I.U.T LUMIERE Lyon 2 - BUT - Qualité, logistique industrielle et organisation Parcours : Accompagnement à la transformation numérique - Pilotage de la chaîne logistique globale - Qualité et pilotage des systèmes de management intégrés (Seconde année en apprentissage)", "BUT - Production", "Accompagnement à la transformation numérique - Pilotage de la chaîne logistique globale - Qualité et pilotage des systèmes de management intégrés", 78, 372, 89, 351, 0, 134, 22, 126, 32, 18, 4, 73, 21, 0, 14, 0, 7, 193, 13, 0, 0, 90, 11, 64, 11, 4, 1, 35, 170, 79, 19, 70, 9, 30.0, 63.0, 72.0, 0, 13, 62, 30, 30, 2, 17, 0, 34, 24, 3, 1, 0.0, 12, 15, 1, 0, 0, 38, 38, 37.97, 79.75, 91.14, 24.09765625, 61.296875, 61.296875, 0, 21.0, 78.5, 0.0, 54.796875, 38.6953125, 4.7998046875, 1.6, 0.0, 48.3984375, 19.3984375, 48.3984375, 24.19921875, 3.19970703125, 1.599853515625, 64.0, 11.0, 4.0, 1.0, 34.0, "Tous les candidats sauf les Bac technologiques", 97.0, "Bacheliers technologiques toutes séries", 72, "", 0, "Liste d'appel propre à cette formation", 48.0, "8575", "BUT - Qualité, logistique industrielle et organisation Parcours : Accompagnement à la transformation numérique - Pilotage de la chaîne logistique globale - Qualité et pilotage des systèmes de management intégrés (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8575&g_ta_cod=8575", 47.0, 49.0, 3.0),
(3152, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Autre formation", "Université de La Rochelle - C.M.I - Cursus Master en Ingénierie - Génie civil - Cursus Master en Ingénierie", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie", 10, 302, 78, 302, 0, 190, 25, 14, 1, 2, 0, 96, 0, 0, 0, 0, 0, 165, 0, 0, 0, 149, 18, 0, 0, 0, 0, 16, 79, 10, 1, 10, 0, 0.0, 8.0, 9.0, 0, 1, 9, 9, 0, 0, 1, 0, 2, 5, 2, 0, 0.0, 7, 0, 0, 0, 0, 0, 0, 0.0, 80.0, 90.0, 10.0, 0.0, 0.0, 0, 11.099609375, 90.0, 0.0, 22.19921875, 55.59375, 22.19921875, 0.0, 0.0, 100.0, 77.796875, 0.0, 0.0, 0.0, 0.0, 68.0, 5.0, 0.0, 0.0, 11.0, "Tous les candidats", 152.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "15535", "C.M.I - Cursus Master en Ingénierie - Génie civil - Cursus Master en Ingénierie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15535&g_ta_cod=15535", 100.0, 0.0, 0.0),
(3153, "Privé sous contrat d'association", "0291790N", "IREO de Lesneven", "29", "Finistère", "Bretagne", "Rennes", "Lesneven", "formation sélective", "BTS", "IREO de Lesneven - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 50, 103, 35, 98, 0, 5, 1, 41, 8, 36, 13, 16, 5, 0, 1, 4, 0, 85, 2, 0, 0, 5, 1, 40, 8, 36, 13, 4, 83, 25, 8, 24, 1, 21.0, 24.0, 25.0, 0, 10, 25, 3, 6, 16, 0, 0, 10, 13, 1, 1, 0.0, 3, 2, 10, 10, 1, 25, 25, 84.0, 96.0, 100.0, 32.0, 100.0, 100.0, 40, 40.0, 100.0, 0.0, 40.0, 52.0, 4.0, 4.0, 0.0, 12.0, 12.0, 24.0, 8.0, 64.0, 40.0, 5.0, 1.0, 38.0, 14.0, 3.0, "Tous les candidats sauf les Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 87.0, "3900", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3900&g_ta_cod=3900", 12.0, 24.0, 64.0),
(3154, "Public", "0251582J", "INST. FORM. SOINS INFIRMIERS CENTRE HOSPITALIER PONTARLIER", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Pontarlier", "formation sélective", "IFSI", "Regroupement d'IFSI Université Franche-Comté Besançon - D.E Infirmier", "D.E secteur sanitaire", "", 33, 2081, 1794, 2081, 0, 384, 62, 390, 92, 230, 72, 1077, 0, 0, 0, 0, 0, 1811, 0, 0, 0, 358, 57, 349, 76, 178, 52, 926, 334, 33, 29, 33, 0, 0.0, 19.0, 25.0, 0, 2, 20, 9, 8, 3, 13, 0, 1, 12, 5, 2, 0.0, 8, 8, 3, 0, 0, 19, 19, 0.0, 57.58, 75.76, 87.890625, 95.0, 95.0, 0, 10.0, 60.59375, 0.0, 5.0, 60.0, 25.0, 10.0, 0.0, 45.0, 40.0, 40.0, 40.0, 15.0, 15.0, 86.0, 15.0, 26.0, 9.0, 163.0, "Tous les candidats", 1018.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "23113", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22990&g_ta_cod=23113", 58.0, 27.0, 15.0),
(3155, "Public", "0650583F", "I.U.T de Tarbes", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BUT", "I.U.T de Tarbes - BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", "BUT - Production", "Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", 56, 798, 227, 798, 0, 353, 60, 213, 53, 17, 6, 215, 0, 0, 0, 0, 0, 628, 0, 0, 0, 307, 48, 180, 41, 0, 0, 141, 226, 54, 16, 54, 0, 6.0, 42.0, 51.0, 0, 10, 39, 20, 19, 0, 15, 0, 7, 18, 12, 2, 0.0, 19, 13, 0, 0, 0, 23, 23, 11.11, 77.78, 94.44, 29.59765625, 59.0, 59.0, 0, 25.59765625, 72.1875, 0.0, 17.8984375, 46.1953125, 30.796875, 5.1, 0.0, 51.296875, 48.6953125, 48.6953125, 33.296875, 0.0, 0.0, 85.0, 19.0, 0.0, 0.0, 50.0, "Tous les candidats sauf les Bac technologiques", 160.0, "Bacheliers technologiques toutes séries", 149, "", 0, "Liste d'appel propre à cette formation", 39.0, "7835", "BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7835&g_ta_cod=7835", 48.0, 52.0, 0.0),
(3156, "Privé sous contrat d'association", "0672050P", "Ecole Commerciale Privee", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Ecole Commerciale Privee - BTS - Services - Professions immobilières", "BTS - Services", "", 50, 813, 462, 787, 0, 217, 33, 215, 45, 106, 29, 249, 26, 3, 2, 7, 14, 439, 6, 0, 0, 154, 21, 125, 24, 39, 10, 121, 232, 45, 28, 40, 5, 4.0, 25.0, 33.0, 0, 7, 34, 14, 14, 6, 11, 0, 6, 19, 7, 2, 0.0, 11, 11, 6, 0, 0, 25, 25, 8.89, 55.56, 73.33, 62.1953125, 73.5, 73.5, 0, 20.59765625, 75.59375, 0.0, 17.59765625, 55.8984375, 20.59765625, 5.9, 0.0, 41.1953125, 32.3984375, 41.1953125, 32.3984375, 17.59765625, 17.59765625, 83.0, 16.0, 28.0, 8.0, 68.0, "Tous les candidats sauf les Bac professionnels", 297.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 42.0, "16198", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16198&g_ta_cod=16198", 53.0, 33.0, 13.0),
(3157, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 350, 2423, 1055, 2301, 0, 1419, 288, 340, 134, 68, 40, 474, 122, 25, 19, 19, 59, 2204, 93, 0, 0, 1419, 288, 340, 134, 68, 40, 377, 1794, 344, 128, 291, 52, 77.0, 219.0, 289.0, 0, 77, 273, 185, 56, 32, 71, 3, 149, 93, 24, 4, 0.0, 93, 19, 9, 0, 0, 234, 234, 22.38, 63.66, 84.01, 37.1953125, 85.6875, 85.6875, 0, 28.19921875, 79.390625, 1.099853515625, 54.59375, 34.09375, 8.798828125, 1.5, 0.0, 67.796875, 34.09375, 20.5, 7.0, 11.69921875, 3.2998046875, 1292.0, 266.0, 58.0, 32.0, 256.0, "Tous les candidats", 2203.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "26526", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26526&g_ta_cod=26526", 66.0, 22.0, 12.0),
(3158, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "PASS", "Université de Montpellier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 56, 4944, 3166, 4944, 0, 3946, 695, 115, 45, 17, 7, 866, 0, 0, 0, 0, 0, 4944, 0, 0, 0, 3946, 695, 115, 45, 17, 7, 866, 479, 54, 27, 54, 0, 4.0, 30.0, 48.0, 0, 9, 51, 51, 0, 0, 3, 0, 0, 1, 21, 18, 11.0, 51, 0, 0, 0, 0, 43, 43, 7.41, 55.56, 88.89, 50.0, 84.296875, 84.296875, 0, 17.59765625, 94.390625, 0.0, 0.0, 2.0, 41.1953125, 35.3, 21.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 447.0, 81.0, 0.0, 0.0, 32.0, "Tous les candidats", 1869.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "31865", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27370&g_ta_cod=31865", 100.0, 0.0, 0.0),
(3159, "Public", "0680010S", "Lycée Blaise Pascal", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 6, 134, 15, 106, 0, 5, 0, 47, 14, 38, 13, 16, 28, 1, 1, 17, 9, 62, 8, 0, 0, 4, 0, 30, 5, 24, 7, 4, 43, 3, 0, 3, 0, 0.0, 3.0, 3.0, 0, 1, 3, 0, 2, 1, 0, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 2, 0, 3, 3, 0.0, 100.0, 100.0, 0.0, 100.0, 100.0, 66.6875, 33.296875, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 66.6875, 0.0, 33.296875, 0.0, 3.0, 0.0, 18.0, 8.0, 6.0, "Tous les candidats sauf les Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 57.0, "16150", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16150&g_ta_cod=16150", 0.0, 67.0, 33.0),
(3160, "Public", "9720004X", "Lycée Joseph Gaillard", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée Joseph Gaillard - BTS - Services - Economie sociale familiale", "BTS - Services", "", 48, 508, 430, 508, 0, 98, 50, 124, 70, 178, 125, 108, 0, 0, 0, 0, 0, 340, 0, 0, 0, 66, 31, 91, 49, 145, 105, 38, 115, 48, 46, 48, 0, 11.0, 36.0, 44.0, 0, 32, 48, 14, 14, 20, 0, 0, 28, 17, 2, 1, 0.0, 7, 2, 11, 0, 0, 43, 43, 22.92, 75.0, 91.67, 95.796875, 89.59375, 89.59375, 0, 66.6875, 100.0, 0.0, 58.296875, 35.3984375, 4.19921875, 2.1, 0.0, 29.19921875, 14.599609375, 29.19921875, 4.19921875, 41.6953125, 22.8984375, 32.0, 18.0, 56.0, 45.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 30.0, "11802", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11802&g_ta_cod=11802", 29.0, 29.0, 42.0),
(3161, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "Université de Montpellier - C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master en Ingénierie (CMI) : CMI Informatique", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : CMI Informatique", 40, 577, 90, 577, 0, 401, 61, 23, 7, 3, 2, 150, 0, 0, 0, 0, 0, 151, 0, 0, 0, 141, 23, 0, 0, 0, 0, 10, 106, 40, 3, 40, 0, 10.0, 34.0, 38.0, 0, 7, 40, 40, 0, 0, 0, 0, 2, 11, 24, 3, 0.0, 38, 0, 0, 0, 0, 15, 15, 25.0, 85.0, 95.0, 7.5, 37.5, 37.5, 0, 17.5, 100.0, 0.0, 5.0, 27.5, 60.0, 7.5, 0.0, 100.0, 95.0, 0.0, 0.0, 0.0, 0.0, 100.0, 14.0, 0.0, 0.0, 6.0, "Tous les candidats", 114.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "15051", "C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master en Ingénierie (CMI) : CMI Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15051&g_ta_cod=15051", 100.0, 0.0, 0.0),
(3162, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - A distance", "Licence - Arts-lettres-langues", "Anglais - A distance", 100, 796, 586, 796, 0, 307, 56, 44, 9, 18, 3, 427, 0, 0, 0, 0, 0, 796, 0, 0, 0, 307, 56, 44, 9, 18, 3, 427, 498, 98, 70, 98, 0, 7.0, 77.0, 89.0, 0, 3, 24, 21, 2, 1, 74, 1, 12, 7, 3, 1, 0.0, 10, 1, 0, 0, 0, 11, 20, 7.14, 78.57, 90.82, 71.390625, 45.796875, 83.296875, 0, 12.5, 24.5, 4.19921875, 50.0, 29.19921875, 12.5, 4.2, 0.0, 87.5, 41.6953125, 8.298828125, 4.19921875, 4.19921875, 0.0, 218.0, 37.0, 9.0, 1.0, 247.0, "Tous les candidats", 636.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "20900", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - A distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20900&g_ta_cod=20900", 83.0, 5.0, 10.0),
(3163, "Public", "0150747F", "Lycée de Mauriac", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Mauriac", "formation sélective", "BTS", "Lycée de Mauriac - BTS - Production - Métiers de l'eau", "BTS - Production", "", 15, 225, 56, 213, 0, 25, 3, 72, 22, 7, 2, 109, 12, 5, 1, 2, 4, 116, 4, 0, 0, 23, 3, 66, 20, 6, 2, 21, 72, 13, 2, 10, 3, 1.0, 10.0, 13.0, 0, 3, 8, 3, 4, 1, 5, 0, 4, 4, 0, 0, 0.0, 0, 4, 0, 1, 0, 1, 1, 7.69, 76.92, 100.0, 15.3984375, 12.5, 12.5, 12.5, 37.5, 61.5, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 37.5, 0.0, 50.0, 50.0, 12.5, 0.0, 19.0, 3.0, 6.0, 2.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 53.0, "2968", "BTS - Production - Métiers de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2968&g_ta_cod=2968", 46.0, 46.0, 8.0),
(3164, "Public", "0690037R", "Lycée La Martinière-Diderot", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "Autre formation", "Lycée La Martinière-Diderot - DN MADE - Numérique - - Spécialité : Motion design et interfaces graphiques", "DN MADE", "- Spécialité : Motion design et interfaces graphiques", 15, 875, 490, 875, 0, 344, 69, 244, 57, 62, 14, 225, 0, 0, 0, 0, 0, 140, 0, 0, 0, 32, 3, 49, 9, 32, 5, 27, 43, 14, 10, 14, 0, 2.0, 12.0, 12.0, 0, 2, 10, 5, 3, 2, 4, 0, 0, 1, 3, 6, 0.0, 5, 3, 2, 0, 0, 3, 3, 14.29, 85.71, 85.71, 71.390625, 30.0, 30.0, 0, 20.0, 71.390625, 0.0, 0.0, 10.0, 30.0, 60.0, 0.0, 50.0, 50.0, 30.0, 30.0, 20.0, 20.0, 8.0, 1.0, 4.0, 2.0, 15.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "21595", "DN MADE - Numérique - - Spécialité : Motion design et interfaces graphiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21595&g_ta_cod=21595", 57.0, 21.0, 21.0),
(3165, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 8 - Histoire - Droit", "Licence - Sciences humaines et sociales", "8 - Histoire - Droit", 50, 466, 259, 423, 0, 266, 56, 69, 26, 26, 14, 62, 43, 10, 6, 8, 19, 417, 33, 0, 0, 266, 56, 69, 26, 26, 14, 56, 278, 42, 22, 29, 13, 4.0, 28.0, 32.0, 0, 11, 30, 20, 4, 6, 12, 0, 9, 15, 5, 1, 0.0, 16, 3, 2, 0, 0, 24, 24, 9.52, 66.67, 76.19, 52.3984375, 80.0, 80.0, 0, 36.6953125, 71.390625, 0.0, 30.0, 50.0, 16.69921875, 3.3, 0.0, 66.6875, 53.296875, 13.298828125, 10.0, 20.0, 6.69921875, 171.0, 35.0, 21.0, 13.0, 44.0, "Tous les candidats", 417.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "24152", "Licence - Portail 8 - Histoire - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24152&g_ta_cod=24152", 67.0, 12.0, 17.0),
(3166, "Privé sous contrat d'association", "0131402D", "Lycée Charles Peguy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "BTS", "Lycée Charles Peguy - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 506, 295, 506, 0, 93, 45, 137, 69, 86, 50, 190, 0, 0, 0, 0, 0, 399, 0, 0, 0, 82, 37, 115, 55, 68, 39, 134, 143, 20, 15, 20, 0, 4.0, 9.0, 10.0, 0, 8, 16, 4, 7, 5, 4, 0, 9, 6, 1, 0, 0.0, 2, 3, 2, 0, 0, 16, 16, 20.0, 45.0, 50.0, 75.0, 100.0, 100.0, 0, 50.0, 80.0, 0.0, 56.296875, 37.5, 6.2998046875, 0.0, 0.0, 25.0, 12.5, 43.796875, 18.796875, 31.296875, 12.5, 31.0, 14.0, 30.0, 17.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 89, "Liste d'appel propre à cette formation", 35.0, "2640", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2640&g_ta_cod=2640", 35.0, 40.0, 25.0),
(3167, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation non sélective", "Licence_Las", "Université Sorbonne Paris Nord - Antenne de Bobigny - Licence - Sciences pour la santé -  option Santé", "Licence - Sciences - technologies - santé", "", 175, 4216, 3249, 4216, 0, 2479, 795, 260, 134, 15, 7, 1462, 0, 0, 0, 0, 0, 4197, 0, 0, 0, 2479, 795, 260, 134, 15, 7, 1443, 1073, 172, 124, 171, 0, 4.0, 74.0, 140.0, 0, 43, 172, 172, 0, 0, 0, 0, 13, 115, 39, 5, 0.0, 159, 0, 0, 0, 0, 101, 157, 2.33, 43.02, 81.4, 72.09375, 58.6953125, 91.296875, 0, 25.0, 100.0, 0.0, 7.599609375, 66.890625, 22.69921875, 2.9, 0.0, 100.0, 92.390625, 0.0, 0.0, 0.0, 0.0, 1073.0, 263.0, 0.0, 0.0, 0.0, "Tous les candidats", 1357.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "30169", "Licence - Sciences pour la santé -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30169&g_ta_cod=30169", 100.0, 0.0, 0.0),
(3168, "Privé sous contrat d'association", "0801911T", "ESIEE-Amiens - UniLaSalle", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Ecole d'Ingénieur", "ESIEE-Amiens - UniLaSalle - Formation d'ingénieur Bac + 5 - Bac STI2D", "Formations  des écoles d'ingénieurs", "Bac STI2D", 30, 32, 2, 28, 0, 0, 0, 27, 5, 0, 0, 1, 4, 0, 1, 0, 3, 25, 3, 0, 0, 0, 0, 24, 4, 0, 0, 1, 28, 15, 1, 13, 2, 13.0, 13.0, 15.0, 0, 4, 12, 0, 12, 0, 3, 0, 2, 5, 5, 0, 0.0, 0, 10, 0, 0, 0, 8, 8, 86.67, 86.67, 100.0, 6.69921875, 66.6875, 66.6875, 0, 33.296875, 80.0, 0.0, 16.69921875, 41.6953125, 41.6953125, 0.0, 0.0, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "30785", "Formation d'ingénieur Bac + 5 - Bac STI2D", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30785&g_ta_cod=30785", 0.0, 100.0, 0.0),
(3169, "Public", "0670080Y", "Lycée Kléber", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée Kléber - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 988, 477, 958, 571, 786, 49, 3, 1, 1, 0, 168, 30, 22, 0, 0, 8, 335, 18, 71, 326, 315, 16, 0, 0, 0, 0, 20, 197, 15, 6, 13, 2, 0.0, 13.0, 14.0, 1, 0, 13, 13, 0, 0, 2, 0, 0, 1, 11, 1, 0.0, 13, 0, 0, 2, 1, 7, 7, 0.0, 86.67, 93.33, 40.0, 53.796875, 53.796875, 15.3984375, 0.0, 86.6875, 0.0, 0.0, 7.69921875, 84.59375, 7.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 179.0, 10.0, 0.0, 0.0, 18.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "31489", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31389&g_ta_cod=31489", 100.0, 0.0, 0.0),
(3170, "Public", "0380008C", "Lycée L'Oiselet", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Bourgoin-Jallieu", "formation sélective", "BTS", "Lycée L'Oiselet - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 438, 218, 438, 0, 44, 9, 99, 36, 84, 34, 211, 0, 0, 0, 0, 0, 228, 0, 0, 0, 31, 7, 80, 26, 71, 29, 46, 102, 24, 8, 24, 0, 3.0, 18.0, 22.0, 0, 11, 18, 1, 10, 7, 6, 1, 3, 11, 2, 1, 0.0, 1, 7, 6, 8, 4, 16, 16, 12.5, 75.0, 91.67, 33.296875, 88.890625, 88.890625, 44.3984375, 61.09375, 75.0, 5.599609375, 16.69921875, 61.09375, 11.099609375, 5.6, 0.0, 5.599609375, 5.599609375, 55.59375, 38.8984375, 38.8984375, 33.296875, 6.0, 2.0, 32.0, 14.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 30.0, "4916", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4916&g_ta_cod=4916", 8.0, 50.0, 42.0),
(3171, "Privé enseignement supérieur", "0171427J", "EXCELIA", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Autre formation", "Excelia Tourism and Hospitality School - Diplôme d'Etablissement - Bachelor en management du tourisme et de l'hôtellerie", "Diplôme d'Etablissement", "Bachelor en management du tourisme et de l'hôtellerie", 70, 88, 55, 80, 0, 56, 3, 13, 0, 1, 0, 10, 8, 1, 0, 2, 5, 57, 3, 0, 0, 45, 3, 8, 0, 1, 0, 3, 60, 10, 8, 10, 0, 10.0, 10.0, 10.0, 0, 0, 9, 8, 1, 0, 1, 0, 2, 5, 2, 0, 0.0, 7, 0, 0, 0, 0, 3, 3, 100.0, 100.0, 100.0, 80.0, 33.296875, 33.296875, 0, 0.0, 90.0, 0.0, 22.19921875, 55.59375, 22.19921875, 0.0, 0.0, 88.890625, 77.796875, 11.099609375, 0.0, 0.0, 0.0, 46.0, 3.0, 2.0, 0.0, 4.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 71.0, "31886", "Diplôme d'Etablissement - Bachelor en management du tourisme et de l'hôtellerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31886&g_ta_cod=31886", 90.0, 10.0, 0.0),
(3172, "Public", "0940580V", "Lycée polyvalent de Cachan", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "Autre formation", "Lycée polyvalent de Cachan - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 69, 25, 5, 0, 0, 0.0, 0.0, 1.0, 0, 13, 25, 0, 7, 18, 0, 0, 16, 9, 0, 0, 0.0, 0, 0, 9, 0, 0, 24, 25, 0.0, 0.0, 4.0, 20.0, 96.0, 100.0, 0, 52.0, 100.0, 0.0, 64.0, 36.0, 0.0, 0.0, 0.0, 0.0, 0.0, 28.0, 0.0, 72.0, 36.0, 0.0, 0.0, 46.0, 19.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22367", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 28.0, 72.0),
(3173, "Public", "0130161E", "Lycée Adam De Craponne", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Salon-de-Provence", "formation sélective", "BTS", "Lycée Adam De Craponne - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 323, 227, 312, 0, 18, 4, 108, 54, 113, 59, 73, 11, 2, 0, 0, 9, 201, 2, 0, 0, 16, 4, 77, 33, 61, 28, 47, 94, 23, 18, 23, 0, 6.0, 18.0, 19.0, 0, 9, 15, 1, 7, 7, 8, 0, 8, 6, 1, 0, 0.0, 0, 2, 5, 11, 9, 15, 15, 26.09, 78.26, 82.61, 78.296875, 100.0, 100.0, 73.296875, 60.0, 65.1875, 0.0, 53.296875, 40.0, 6.69921875, 0.0, 0.0, 6.69921875, 0.0, 46.6953125, 13.298828125, 46.6953125, 33.296875, 10.0, 3.0, 28.0, 16.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 37.0, "2620", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2620&g_ta_cod=2620", 4.0, 48.0, 48.0),
(3174, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Théologie Protestante", "Licence - Sciences humaines et sociales", "", 65, 127, 66, 63, 0, 22, 4, 2, 0, 1, 1, 38, 64, 2, 0, 2, 60, 63, 40, 0, 0, 22, 4, 2, 0, 1, 1, 38, 103, 38, 16, 15, 23, 15.0, 15.0, 27.0, 0, 1, 3, 3, 0, 0, 35, 0, 0, 1, 1, 1, 0.0, 3, 0, 0, 0, 0, 1, 1, 39.47, 39.47, 71.05, 42.09375, 33.296875, 33.296875, 0, 33.296875, 7.8994140625, 0.0, 0.0, 33.296875, 33.296875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 23.0, 5.0, 1.0, 1.0, 77.0, "Tous les candidats", 63.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8069", "Licence - Théologie Protestante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8069&g_ta_cod=8069", 76.0, 8.0, 13.0),
(3175, "Public", "0951567M", "IFSI Camille Claudel CH Argenteuil", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "IFSI", "Regroupement IFSI Université de Paris - D.E Infirmier", "D.E secteur sanitaire", "", 79, 5634, 5024, 5634, 0, 559, 193, 883, 383, 898, 444, 3294, 0, 0, 0, 0, 0, 4246, 0, 0, 0, 501, 168, 702, 292, 684, 333, 2359, 1196, 76, 73, 76, 0, 0.0, 20.0, 58.0, 0, 17, 48, 7, 18, 23, 28, 1, 7, 26, 14, 0, 0.0, 6, 13, 21, 0, 0, 40, 45, 0.0, 26.32, 76.32, 96.09375, 83.296875, 93.796875, 0, 35.3984375, 63.1953125, 2.099609375, 14.599609375, 54.1953125, 29.19921875, 0.0, 0.0, 14.599609375, 12.5, 37.5, 27.09765625, 47.8984375, 43.796875, 143.0, 30.0, 304.0, 129.0, 478.0, "Tous les candidats", 3594.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "23018", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25148&g_ta_cod=23018", 22.0, 36.0, 41.0),
(3176, "Public", "0292185T", "I.U.T de Brest - Site de Morlaix", "29", "Finistère", "Bretagne", "Rennes", "Morlaix", "formation sélective", "BUT", "I.U.T de Brest - Site de Morlaix - BUT - Gestion administrative et commerciale des organisations Parcours : Management des activités culturelles, artistiques, sportives et de tourisme - Arts", "BUT - Service", "Management des activités culturelles, artistiques, sportives et de tourisme - Arts", 26, 436, 237, 425, 0, 211, 24, 122, 19, 3, 1, 89, 11, 2, 2, 0, 7, 105, 1, 0, 0, 65, 5, 22, 5, 1, 1, 17, 72, 22, 20, 21, 1, 6.0, 19.0, 21.0, 0, 4, 18, 15, 3, 0, 4, 0, 4, 9, 3, 2, 0.0, 12, 2, 0, 0, 0, 13, 13, 27.27, 86.36, 95.45, 90.890625, 72.1875, 72.1875, 0, 22.19921875, 81.796875, 0.0, 22.19921875, 50.0, 16.69921875, 11.1, 0.0, 83.296875, 66.6875, 16.69921875, 11.099609375, 0.0, 0.0, 40.0, 4.0, 0.0, 0.0, 12.0, "Tous les candidats sauf les Bac technologiques", 72.0, "Bacheliers technologiques toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 23.0, "14016", "BUT - Gestion administrative et commerciale des organisations Parcours : Management des activités culturelles, artistiques, sportives et de tourisme - Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14016&g_ta_cod=14016", 82.0, 18.0, 0.0),
(3177, "Public", "0762762P", "Université Le Havre Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Licence", "Université Le Havre Normandie - Licence - Droit - Parcours Droit bilingue anglo-américain", "Licence - Droit-économie-gestion", "Droit bilingue anglo-américain", 70, 429, 316, 388, 0, 327, 55, 10, 3, 3, 2, 48, 41, 20, 3, 0, 18, 186, 6, 0, 0, 175, 18, 0, 0, 0, 0, 11, 169, 67, 53, 64, 3, 31.0, 64.0, 66.0, 0, 13, 63, 63, 0, 0, 4, 0, 1, 14, 36, 12, 0.0, 62, 0, 0, 0, 0, 42, 42, 46.27, 95.52, 98.51, 79.09375, 66.6875, 66.6875, 0, 20.59765625, 94.0, 0.0, 1.599853515625, 22.19921875, 57.09375, 19.0, 0.0, 100.0, 98.390625, 0.0, 0.0, 0.0, 0.0, 157.0, 18.0, 0.0, 0.0, 12.0, "Tous les candidats", 185.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "9732", "Licence - Droit - Parcours Droit bilingue anglo-américain", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9732&g_ta_cod=9732", 100.0, 0.0, 0.0),
(3178, "Privé sous contrat d'association", "0761735Y", "Lycée Jeanne D'Arc", "76", "Seine-Maritime", "Normandie", "Normandie", "Sainte-Adresse", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Services - Support à l'action managériale", "BTS - Services", "", 18, 193, 134, 181, 0, 11, 2, 56, 21, 67, 31, 47, 12, 0, 3, 1, 8, 147, 6, 0, 0, 10, 2, 54, 20, 62, 30, 21, 95, 11, 10, 9, 2, 1.0, 8.0, 9.0, 0, 3, 5, 0, 1, 4, 6, 1, 1, 2, 1, 0, 0.0, 0, 0, 3, 1, 1, 5, 5, 9.09, 72.73, 81.82, 90.890625, 100.0, 100.0, 20, 60.0, 45.5, 20.0, 20.0, 40.0, 20.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 60.0, 4.0, 2.0, 36.0, 17.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 64.0, "9671", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9671&g_ta_cod=9671", 0.0, 36.0, 64.0),
(3179, "Public", "0730016W", "Lycée Monge", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "BTS", "Lycée Monge - BTS - Production - Conception et réalisation de carrosseries", "BTS - Production", "", 12, 182, 13, 182, 0, 19, 3, 69, 12, 51, 16, 43, 0, 0, 0, 0, 0, 159, 0, 0, 0, 19, 3, 69, 12, 50, 15, 21, 56, 12, 1, 12, 0, 1.0, 10.0, 11.0, 0, 3, 12, 0, 6, 6, 0, 0, 3, 6, 3, 0, 0.0, 0, 3, 6, 1, 0, 7, 7, 8.33, 83.33, 91.67, 8.298828125, 58.296875, 58.296875, 8.298828125, 25.0, 100.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 50.0, 4.0, 2.0, 23.0, 6.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 55.0, "8786", "BTS - Production - Conception et réalisation de carrosseries", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8786&g_ta_cod=8786", 0.0, 50.0, 50.0),
(3180, "Public", "0061817T", "I.U.T de Nice - Antenne de Valbonne", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BUT", "I.U.T de Nice - Antenne de Valbonne - BUT - Réseaux et télécommunications (Seconde année possible en apprentissage)", "BUT - Production", "", 55, 578, 44, 549, 0, 276, 50, 134, 30, 11, 4, 128, 29, 0, 16, 0, 13, 350, 2, 0, 0, 200, 31, 84, 16, 1, 0, 65, 221, 50, 5, 48, 2, 23.0, 41.0, 49.0, 0, 11, 36, 19, 17, 0, 14, 0, 8, 20, 8, 0, 0.0, 15, 13, 0, 0, 0, 28, 28, 46.0, 82.0, 98.0, 10.0, 77.796875, 77.796875, 0, 30.59765625, 72.0, 0.0, 22.19921875, 55.59375, 22.19921875, 0.0, 0.0, 52.796875, 41.6953125, 47.1953125, 36.09375, 0.0, 0.0, 103.0, 21.0, 0.0, 0.0, 43.0, "Tous les candidats sauf les Bac technologiques", 168.0, "Bacheliers technologiques toutes séries", 97, "", 0, "Liste d'appel propre à cette formation", 47.0, "2322", "BUT - Réseaux et télécommunications (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2322&g_ta_cod=2322", 58.0, 42.0, 0.0),
(3181, "Public", "0810959C", "Lycée La Borde Basse", "81", "Tarn", "Occitanie", "Toulouse", "Castres", "formation sélective", "BTS", "Lycée La Borde Basse - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 686, 332, 680, 0, 77, 18, 209, 61, 210, 90, 184, 6, 2, 0, 0, 4, 385, 1, 0, 0, 51, 11, 123, 30, 148, 59, 63, 159, 31, 16, 30, 1, 4.0, 21.0, 28.0, 0, 13, 28, 2, 7, 19, 3, 0, 5, 15, 7, 1, 0.0, 2, 3, 18, 4, 4, 27, 27, 12.9, 67.74, 90.32, 51.59375, 96.390625, 96.390625, 14.298828125, 46.3984375, 90.296875, 0.0, 17.8984375, 53.59375, 25.0, 3.6, 0.0, 7.099609375, 7.099609375, 25.0, 10.69921875, 67.890625, 64.296875, 27.0, 7.0, 59.0, 20.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 30.0, "10284", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10284&g_ta_cod=10284", 13.0, 26.0, 61.0),
(3182, "Public", "0130072H", "Lycée professionnel Ampere", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Ampere - Mention complémentaire - FCIL classe passerelle BTS option production", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 5, 0, 0, 0, 0.0, 0.0, 3.0, 0, 3, 4, 0, 0, 4, 1, 0, 3, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 3, 3, 0.0, 0.0, 60.0, 0.0, 75.0, 75.0, 0, 75.0, 80.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 9.0, 5.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22349", "Mention complémentaire - FCIL classe passerelle BTS option production", "", "", 0.0, 0.0, 100.0),
(3183, "Public", "0170135E", "Lycée Jean Hyppolite", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Jonzac", "formation sélective", "BTS", "Lycée Jean Hyppolite - BTS - Services - Diététique", "BTS - Services", "", 24, 859, 694, 859, 0, 229, 36, 217, 64, 46, 14, 367, 0, 0, 0, 0, 0, 389, 0, 0, 0, 114, 14, 121, 38, 22, 2, 132, 134, 23, 21, 23, 0, 2.0, 15.0, 17.0, 0, 7, 15, 6, 8, 1, 8, 0, 4, 8, 2, 1, 0.0, 4, 6, 1, 0, 0, 3, 3, 8.7, 65.22, 73.91, 91.296875, 20.0, 20.0, 0, 46.6953125, 65.1875, 0.0, 26.69921875, 53.296875, 13.298828125, 6.7, 0.0, 40.0, 26.69921875, 53.296875, 40.0, 6.69921875, 6.69921875, 30.0, 8.0, 12.0, 2.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 21.0, "3051", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3051&g_ta_cod=3051", 48.0, 39.0, 13.0),
(3184, "Public", "0595885B", "Lycée Arthur Rimbaud", "59", "Nord", "Hauts-de-France", "Lille", "Sin-le-Noble", "formation sélective", "BTS", "Lycée Arthur Rimbaud - BTS - Services - Support à l'action managériale", "BTS - Services", "", 33, 257, 172, 240, 0, 17, 4, 66, 34, 80, 46, 77, 17, 0, 0, 11, 6, 166, 2, 0, 0, 16, 4, 53, 25, 50, 30, 47, 102, 28, 22, 28, 0, 8.0, 22.0, 28.0, 0, 10, 21, 2, 9, 10, 7, 0, 6, 10, 5, 0, 0.0, 1, 6, 8, 9, 5, 21, 21, 28.57, 78.57, 100.0, 78.59375, 100.0, 100.0, 42.8984375, 47.59375, 75.0, 0.0, 28.59765625, 47.59375, 23.796875, 0.0, 0.0, 9.5, 4.7998046875, 42.8984375, 28.59765625, 47.59375, 38.09375, 9.0, 4.0, 42.0, 26.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 58.0, "7171", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7171&g_ta_cod=7171", 11.0, 54.0, 36.0),
(3185, "Privé sous contrat d'association", "0781023N", "Lycée professionnel Agricole Tecomah", "78", "Yvelines", "Ile-de-France", "Versailles", "Jouy-en-Josas", "formation sélective", "BTS", "Lycée professionnel Agricole Tecomah - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 10, 45, 13, 40, 0, 11, 0, 13, 2, 4, 2, 12, 5, 1, 2, 0, 2, 30, 0, 0, 0, 10, 0, 12, 2, 1, 0, 7, 24, 2, 1, 2, 0, 0.0, 2.0, 2.0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 50.0, 0.0, 0.0, 0, 0.0, 50.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 9.0, 0.0, 1.0, 0.0, 6.0, "Tous les candidats sauf les Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 73.0, "9963", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9963&g_ta_cod=9963", 0.0, 100.0, 0.0),
(3186, "Public", "0440012Z", "Lycée général et technologique Grand Air", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "La Baule-Escoublac", "formation sélective", "BTS", "Lycée général et technologique Grand Air - BTS - Services - Tourisme", "BTS - Services", "", 35, 708, 529, 663, 0, 199, 36, 139, 32, 112, 25, 213, 45, 10, 7, 0, 28, 348, 12, 0, 0, 123, 23, 101, 17, 83, 17, 41, 170, 29, 24, 28, 1, 6.0, 23.0, 28.0, 0, 2, 22, 7, 9, 6, 7, 0, 8, 9, 1, 4, 0.0, 4, 5, 5, 2, 2, 18, 18, 20.69, 79.31, 96.55, 82.796875, 81.796875, 81.796875, 9.099609375, 9.099609375, 75.890625, 0.0, 36.3984375, 40.8984375, 4.5, 18.2, 0.0, 31.796875, 18.19921875, 40.8984375, 22.69921875, 27.296875, 22.69921875, 64.0, 9.0, 22.0, 5.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 146.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 43.0, "5420", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5420&g_ta_cod=5420", 38.0, 31.0, 31.0),
(3187, "Public", "0440982D", "I.U.T. Saint-Nazaire", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BUT", "I.U.T. Saint-Nazaire - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente - Business développement et management de la relation client (Seconde année possible en apprentissage)", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente - Business développement et management de la relation client", 160, 3560, 1712, 3528, 0, 1916, 175, 1198, 213, 41, 12, 373, 32, 0, 21, 0, 11, 1780, 6, 0, 0, 1266, 103, 439, 73, 2, 0, 73, 764, 165, 96, 161, 4, 67.0, 139.0, 158.0, 0, 23, 163, 88, 74, 1, 2, 0, 16, 103, 40, 4, 0.0, 78, 68, 1, 0, 0, 107, 107, 40.61, 84.24, 95.76, 58.1953125, 65.59375, 65.59375, 0, 14.099609375, 98.796875, 0.0, 9.798828125, 63.1953125, 24.5, 2.5, 0.0, 54.0, 47.8984375, 45.3984375, 41.6953125, 0.5999755859375, 0.5999755859375, 392.0, 55.0, 1.0, 0.0, 19.0, "Tous les candidats sauf les Bac technologiques", 544.0, "Bacheliers technologiques toutes séries", 446, "", 0, "Liste d'appel propre à cette formation", 28.0, "5559", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente - Business développement et management de la relation client (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5559&g_ta_cod=5559", 53.0, 46.0, 1.0),
(3188, "Privé sous contrat d'association", "0220116G", "Lycée/Pôle supérieur Saint BRIEUC", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée/Pôle supérieur Saint BRIEUC - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 45, 538, 243, 514, 0, 69, 7, 193, 28, 160, 31, 92, 24, 0, 1, 18, 5, 389, 4, 0, 0, 63, 7, 173, 22, 93, 14, 60, 183, 38, 22, 36, 2, 10.0, 26.0, 34.0, 0, 2, 27, 5, 8, 14, 11, 0, 6, 16, 4, 1, 0.0, 2, 5, 14, 0, 0, 25, 25, 26.32, 68.42, 89.47, 57.8984375, 92.59375, 92.59375, 0, 7.3994140625, 71.09375, 0.0, 22.19921875, 59.296875, 14.798828125, 3.7, 0.0, 18.5, 7.3994140625, 29.59765625, 18.5, 51.8984375, 51.8984375, 22.0, 2.0, 69.0, 10.0, 30.0, "Tous les candidats sauf les Bac professionnels", 119.0, "Bacheliers professionnels toutes séries", 99, "", 0, "Liste d'appel propre à cette formation", 42.0, "3342", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3342&g_ta_cod=3342", 29.0, 32.0, 39.0),
(3189, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Arts du spectacle", "Licence - Arts-lettres-langues", "", 140, 592, 401, 508, 0, 319, 81, 49, 12, 30, 15, 110, 84, 25, 2, 5, 52, 508, 82, 0, 0, 319, 81, 49, 12, 30, 15, 110, 591, 132, 87, 98, 34, 97.0, 97.0, 118.0, 0, 16, 84, 68, 7, 9, 48, 0, 35, 40, 7, 2, 0.0, 38, 4, 7, 0, 0, 53, 53, 73.48, 73.48, 89.39, 65.890625, 63.09375, 63.09375, 0, 19.0, 63.59375, 0.0, 41.6953125, 47.59375, 8.298828125, 2.4, 0.0, 81.0, 45.1953125, 8.298828125, 4.7998046875, 10.69921875, 8.298828125, 344.0, 84.0, 34.0, 17.0, 161.0, "Tous les candidats", 508.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15263", "Licence - Arts du spectacle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15263&g_ta_cod=15263", 73.0, 11.0, 14.0),
(3190, "Public", "0250011B", "Lycée Jules Haag", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Jules Haag - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 278, 16, 278, 0, 25, 2, 94, 12, 80, 18, 79, 0, 0, 0, 0, 0, 224, 0, 0, 0, 25, 2, 94, 12, 80, 18, 25, 113, 25, 0, 25, 0, 7.0, 19.0, 21.0, 0, 6, 20, 1, 10, 9, 5, 0, 10, 7, 3, 0, 0.0, 0, 2, 8, 4, 0, 20, 20, 28.0, 76.0, 84.0, 0.0, 100.0, 100.0, 20, 30.0, 80.0, 0.0, 50.0, 35.0, 15.0, 0.0, 0.0, 5.0, 0.0, 50.0, 10.0, 45.0, 40.0, 12.0, 2.0, 32.0, 6.0, 11.0, "Tous les candidats sauf les Bac professionnels", 99.0, "Bacheliers professionnels toutes séries", 52, "", 0, "Liste d'appel propre à cette formation", 54.0, "3471", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3471&g_ta_cod=3471", 12.0, 44.0, 44.0),
(3191, "Public", "0022044L", "Lycée des Métiers le Corbusier de Soissons", "02", "Aisne", "Hauts-de-France", "Amiens", "Soissons", "formation sélective", "Autre formation", "Lycée des Métiers le Corbusier de Soissons - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 15, 108, 55, 89, 0, 27, 7, 9, 0, 12, 8, 41, 19, 2, 2, 5, 10, 54, 10, 0, 0, 27, 7, 8, 0, 8, 6, 11, 55, 8, 5, 4, 4, 2.0, 4.0, 7.0, 0, 3, 6, 3, 1, 2, 2, 0, 3, 2, 1, 0, 0.0, 1, 1, 1, 0, 0, 5, 5, 25.0, 50.0, 87.5, 62.5, 83.296875, 83.296875, 0, 50.0, 75.0, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 50.0, 16.69921875, 16.69921875, 16.69921875, 33.296875, 16.69921875, 23.0, 7.0, 6.0, 5.0, 17.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "2108", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2108&g_ta_cod=2108", 50.0, 25.0, 25.0),
(3192, "Public", "0780422K", "Lycée Francois Villon", "78", "Yvelines", "Ile-de-France", "Versailles", "Les Mureaux", "formation sélective", "BTS", "Lycée Francois Villon - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 18, 550, 247, 550, 0, 20, 8, 203, 77, 210, 81, 117, 0, 0, 0, 0, 0, 151, 0, 0, 0, 9, 3, 37, 16, 100, 39, 5, 54, 19, 13, 19, 0, 7.0, 18.0, 19.0, 0, 9, 17, 3, 6, 8, 2, 0, 5, 6, 4, 2, 0.0, 0, 6, 6, 6, 3, 17, 17, 36.84, 94.74, 100.0, 68.390625, 100.0, 100.0, 35.296875, 52.8984375, 89.5, 0.0, 29.3984375, 35.296875, 23.5, 11.8, 0.0, 17.59765625, 0.0, 35.296875, 35.296875, 47.09375, 35.296875, 5.0, 3.0, 30.0, 10.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 12.0, "9959", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9959&g_ta_cod=9959", 16.0, 42.0, 42.0),
(3193, "Privé sous contrat d'association", "0022185P", "APRADIS - Site Laon", "02", "Aisne", "Hauts-de-France", "Amiens", "Laon", "formation sélective", "EFTS", "APRADIS - Site Amiens - D.E Educateur Spécialisé", "D.E secteur social", "", 15, 172, 145, 172, 0, 27, 5, 38, 6, 18, 7, 89, 0, 0, 0, 0, 0, 110, 0, 0, 0, 19, 3, 18, 2, 8, 2, 65, 62, 14, 12, 14, 0, 1.0, 14.0, 14.0, 0, 2, 5, 3, 1, 1, 9, 0, 2, 3, 0, 0, 0.0, 2, 0, 1, 0, 0, 3, 3, 7.14, 100.0, 100.0, 85.6875, 60.0, 60.0, 0, 40.0, 35.6953125, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 60.0, 40.0, 20.0, 0.0, 20.0, 20.0, 9.0, 2.0, 6.0, 1.0, 38.0, "Tous les candidats", 166.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 53.0, "25213", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25203&g_ta_cod=25213", 57.0, 21.0, 21.0),
(3194, "Public", "0620113L", "Lycée Henri Darras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Liévin", "formation sélective", "BTS", "Lycée Henri Darras - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 32, 172, 11, 168, 0, 4, 2, 14, 6, 49, 26, 101, 4, 0, 2, 0, 2, 133, 0, 0, 0, 4, 2, 14, 6, 49, 26, 66, 65, 29, 1, 29, 0, 15.0, 28.0, 28.0, 0, 11, 23, 0, 3, 20, 6, 0, 10, 9, 4, 0, 0.0, 0, 3, 10, 2, 0, 22, 22, 51.72, 96.55, 96.55, 3.39990234375, 95.6875, 95.6875, 8.69921875, 47.796875, 79.296875, 0.0, 43.5, 39.09375, 17.3984375, 0.0, 0.0, 0.0, 0.0, 13.0, 13.0, 87.0, 43.5, 4.0, 2.0, 36.0, 17.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 43.0, "7382", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7382&g_ta_cod=7382", 0.0, 17.0, 83.0),
(3195, "Privé sous contrat d'association", "0401016M", "Lycée Saint-Jacques-de-Compostelle", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Dax", "formation sélective", "BTS", "Lycée Saint-Jacques-de-Compostelle - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 53, 267, 237, 250, 0, 26, 2, 54, 10, 95, 28, 75, 17, 2, 7, 1, 7, 217, 8, 0, 0, 24, 1, 54, 10, 92, 26, 47, 181, 39, 37, 35, 4, 7.0, 30.0, 35.0, 0, 9, 33, 5, 11, 17, 6, 0, 13, 16, 4, 0, 0.0, 1, 7, 12, 1, 1, 28, 28, 17.95, 76.92, 89.74, 94.890625, 84.796875, 84.796875, 3, 27.296875, 84.59375, 0.0, 39.3984375, 48.5, 12.099609375, 0.0, 0.0, 15.19921875, 3.0, 33.296875, 21.19921875, 51.5, 36.3984375, 20.0, 2.0, 71.0, 19.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 87, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 78.0, "5227", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5227&g_ta_cod=5227", 18.0, 36.0, 46.0),
(3196, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Cinéma et Audiovisuel - Parcours Cinéma et Audiovisuel - Mineure Arts et Médias", "Licence - Arts-lettres-langues", "Cinéma et Audiovisuel - Mineure Arts et Médias", 305, 4924, 2612, 4924, 0, 2623, 433, 338, 77, 227, 84, 1736, 0, 0, 0, 0, 0, 4849, 0, 0, 0, 2623, 433, 338, 77, 227, 84, 1661, 1178, 301, 191, 301, 0, 28.0, 236.0, 279.0, 0, 51, 204, 168, 13, 23, 97, 2, 11, 89, 90, 11, 1.0, 161, 10, 20, 0, 0, 42, 126, 9.3, 78.41, 92.69, 63.5, 20.59765625, 61.796875, 0, 25.0, 67.796875, 1.0, 5.3994140625, 43.59375, 44.09375, 5.4, 0.5, 82.390625, 78.890625, 6.3994140625, 4.8994140625, 11.298828125, 9.798828125, 754.0, 136.0, 53.0, 22.0, 325.0, "Tous les candidats", 1428.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "9221", "Licence - Cinéma et Audiovisuel - Parcours Cinéma et Audiovisuel - Mineure Arts et Médias", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9221&g_ta_cod=9221", 77.0, 9.0, 13.0),
(3197, "Public", "0800009A", "Lycée Louis Thuillier", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "CPGE", "Pôle Thuillier / Michelis  - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 135, 64, 127, 82, 89, 12, 0, 0, 0, 0, 38, 8, 4, 0, 0, 4, 89, 2, 57, 77, 81, 9, 0, 0, 0, 0, 8, 72, 3, 0, 3, 0, 1.0, 3.0, 3.0, 1, 1, 3, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0.0, 3, 0, 0, 0, 0, 3, 3, 33.33, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 64.0, 8.0, 0.0, 0.0, 8.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "31276", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31276&g_ta_cod=31276", 100.0, 0.0, 0.0),
(3198, "Public", "0161095D", "Lycée Image et Son", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "Autre formation", "Lycée Image et Son - DN MADE - Graphisme - - Spécialité : illustration et micro-édition", "DN MADE", "- Spécialité : illustration et micro-édition", 12, 1014, 720, 1014, 0, 361, 72, 317, 71, 79, 22, 257, 0, 0, 0, 0, 0, 252, 0, 0, 0, 82, 16, 146, 24, 7, 0, 17, 36, 12, 8, 12, 0, 3.0, 11.0, 12.0, 0, 3, 9, 1, 7, 1, 3, 0, 0, 1, 7, 1, 0.0, 1, 7, 1, 0, 0, 0, 0, 25.0, 91.67, 100.0, 66.6875, 0.0, 0.0, 0, 33.296875, 75.0, 0.0, 0.0, 11.099609375, 77.796875, 11.1, 0.0, 11.099609375, 11.099609375, 77.796875, 77.796875, 11.099609375, 11.099609375, 11.0, 2.0, 1.0, 0.0, 4.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "23773", "DN MADE - Graphisme - - Spécialité : illustration et micro-édition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23773&g_ta_cod=23773", 33.0, 58.0, 8.0),
(3199, "Public", "0561808L", "I.U.T de Lorient (Antenne de Pontivy)", "56", "Morbihan", "Bretagne", "Rennes", "Pontivy", "formation sélective", "BUT", "I.U.T de Lorient (Antenne de Pontivy) - BUT - Génie chimique génie des procédés Parcours : Parcours 1 : Conception des Procédés et Innovation technologique - Parcours 2 :     Contrôle Qualité, Environnement et Sécurité des Procédés", "BUT - Production", "Parcours 1 : Conception des Procédés et Innovation technologique - Parcours 2 :     Contrôle Qualité, Environnement et Sécurité des Procédés", 39, 547, 237, 508, 0, 331, 32, 79, 16, 4, 1, 94, 39, 7, 4, 1, 27, 485, 29, 0, 0, 329, 30, 77, 15, 0, 0, 79, 349, 29, 10, 23, 6, 0.0, 22.0, 27.0, 0, 6, 20, 15, 5, 0, 9, 0, 11, 7, 2, 0, 0.0, 7, 2, 0, 0, 0, 15, 15, 0.0, 75.86, 93.1, 34.5, 75.0, 75.0, 0, 30.0, 69.0, 0.0, 55.0, 35.0, 10.0, 0.0, 0.0, 75.0, 35.0, 25.0, 10.0, 0.0, 0.0, 213.0, 20.0, 0.0, 0.0, 79.0, "Tous les candidats sauf les Bac technologiques", 398.0, "Bacheliers technologiques toutes séries", 87, "", 0, "Liste d'appel propre à cette formation", 95.0, "6512", "BUT - Génie chimique génie des procédés Parcours : Parcours 1 : Conception des Procédés et Innovation technologique - Parcours 2 :     Contrôle Qualité, Environnement et Sécurité des Procédés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6512&g_ta_cod=6512", 69.0, 31.0, 0.0),
(3200, "Public", "0380034F", "Lycée Louise Michel", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée Louise Michel - BTS - Services - Commerce International", "BTS - Services", "", 48, 1277, 679, 1269, 0, 271, 72, 464, 176, 184, 112, 350, 8, 0, 0, 6, 2, 788, 0, 0, 0, 249, 66, 317, 110, 104, 59, 118, 275, 48, 30, 48, 0, 6.0, 34.0, 41.0, 0, 22, 41, 10, 26, 5, 7, 1, 17, 19, 3, 1, 0.0, 5, 15, 3, 2, 1, 39, 39, 12.5, 70.83, 85.42, 62.5, 95.09375, 95.09375, 4.8994140625, 53.6953125, 85.390625, 2.39990234375, 41.5, 46.296875, 7.2998046875, 2.4, 0.0, 24.3984375, 12.19921875, 63.3984375, 36.59375, 12.19921875, 7.2998046875, 59.0, 20.0, 55.0, 34.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 126.0, "Bacheliers professionnels toutes séries", 98, "Bacheliers technologiques toutes séries", 209, "Liste d'appel propre à cette formation", 34.0, "4936", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4936&g_ta_cod=4936", 27.0, 63.0, 10.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(3201, "Public", "0440029T", "LGT Livet", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "LGT Livet - DN MADE - Espace - - Spécialité : usage des espaces habités et des territoires", "DN MADE", "- Spécialité : usage des espaces habités et des territoires", 15, 889, 731, 889, 0, 393, 60, 237, 36, 89, 21, 170, 0, 0, 0, 0, 0, 150, 0, 0, 0, 49, 5, 99, 13, 0, 0, 2, 48, 15, 13, 15, 0, 0.0, 13.0, 13.0, 0, 2, 15, 2, 13, 0, 0, 0, 0, 3, 11, 1, 0.0, 2, 13, 0, 0, 0, 5, 5, 0.0, 86.67, 86.67, 86.6875, 33.296875, 33.296875, 0, 13.298828125, 100.0, 0.0, 0.0, 20.0, 73.296875, 6.7, 0.0, 13.298828125, 13.298828125, 86.6875, 86.6875, 0.0, 0.0, 9.0, 2.0, 0.0, 0.0, 0.0, "Tous les candidats", 73.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "24241", "DN MADE - Espace - - Spécialité : usage des espaces habités et des territoires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24241&g_ta_cod=24241", 13.0, 87.0, 0.0),
(3202, "Public", "0750663N", "Lycée Chaptal", "75", "Paris", "Ile-de-France", "Paris", "Paris  8e  Arrondissement", "formation sélective", "CPGE", "Lycée Chaptal - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 1086, 805, 1086, 343, 997, 98, 1, 1, 1, 1, 87, 0, 0, 0, 0, 0, 846, 0, 343, 753, 796, 85, 1, 1, 1, 1, 48, 378, 48, 37, 48, 0, 0.0, 31.0, 44.0, 8, 4, 46, 46, 0, 0, 2, 0, 0, 4, 16, 26, 0.0, 46, 0, 0, 0, 0, 14, 35, 0.0, 64.58, 91.67, 77.09375, 30.3984375, 76.09375, 0, 8.69921875, 95.796875, 0.0, 0.0, 8.69921875, 34.796875, 56.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 369.0, 34.0, 0.0, 0.0, 9.0, "Tous les candidats", 657.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "8996", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8996&g_ta_cod=8996", 100.0, 0.0, 0.0),
(3203, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien", "Licence - Arts-lettres-langues", "Italien", 34, 141, 89, 42, 0, 26, 9, 1, 0, 2, 1, 13, 99, 17, 8, 13, 61, 42, 70, 0, 0, 26, 9, 1, 0, 2, 1, 13, 112, 33, 16, 3, 30, 2.0, 3.0, 20.0, 0, 4, 13, 6, 1, 6, 20, 0, 11, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 10, 10, 6.06, 9.09, 60.61, 48.5, 76.890625, 76.890625, 0, 30.796875, 39.3984375, 0.0, 84.59375, 15.3984375, 0.0, 0.0, 0.0, 46.1953125, 0.0, 7.69921875, 0.0, 46.1953125, 15.3984375, 37.0, 10.0, 13.0, 8.0, 57.0, "Tous les candidats", 42.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11100", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11100&g_ta_cod=11100", 48.0, 12.0, 33.0),
(3204, "Public", "0770918E", "Lycée Uruguay France", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Avon", "formation sélective", "BTS", "Lycée Uruguay France - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 357, 228, 357, 0, 21, 7, 89, 30, 119, 63, 128, 0, 0, 0, 0, 0, 258, 0, 0, 0, 20, 7, 78, 28, 91, 45, 69, 118, 33, 26, 33, 0, 7.0, 31.0, 31.0, 0, 8, 24, 1, 10, 13, 9, 0, 6, 14, 3, 1, 0.0, 1, 8, 9, 5, 5, 22, 22, 21.21, 93.94, 93.94, 78.796875, 91.6875, 91.6875, 20.796875, 33.296875, 72.6875, 0.0, 25.0, 58.296875, 12.5, 4.2, 0.0, 4.19921875, 4.19921875, 41.6953125, 33.296875, 54.1953125, 37.5, 6.0, 3.0, 49.0, 22.0, 22.0, "Tous les candidats sauf les Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 69, "", 0, "Liste d'appel propre à cette formation", 38.0, "9775", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9775&g_ta_cod=9775", 15.0, 36.0, 48.0),
(3205, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Licence - Science politique - Parcours Sociologie politique", "Licence - Droit-économie-gestion", "Sociologie politique", 120, 1895, 1208, 1895, 0, 1445, 355, 30, 8, 13, 5, 407, 0, 0, 0, 0, 0, 1852, 0, 0, 0, 1445, 355, 30, 8, 13, 5, 364, 662, 105, 77, 104, 0, 3.0, 85.0, 90.0, 0, 23, 91, 91, 0, 0, 14, 0, 4, 38, 35, 14, 0.0, 87, 0, 0, 0, 0, 28, 53, 2.86, 80.95, 85.71, 73.296875, 30.796875, 58.1953125, 0, 25.296875, 86.6875, 0.0, 4.3994140625, 41.796875, 38.5, 15.4, 0.0, 100.0, 95.59375, 0.0, 0.0, 0.0, 0.0, 576.0, 124.0, 1.0, 0.0, 82.0, "Tous les candidats", 795.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "11246", "Licence - Science politique - Parcours Sociologie politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11246&g_ta_cod=11246", 100.0, 0.0, 0.0),
(3206, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis / Lycée Georges Brassens Sainte-Clotilde - Licence - Administration économique et sociale - Parcours Parcours Préparatoire au Professorat des Ecoles", "Licence - Droit-économie-gestion", "Parcours Préparatoire au Professorat des Ecoles", 30, 516, 421, 516, 0, 272, 112, 98, 54, 31, 25, 115, 0, 0, 0, 0, 0, 516, 0, 0, 0, 272, 112, 98, 54, 31, 25, 115, 107, 32, 27, 32, 0, 4.0, 29.0, 29.0, 0, 14, 22, 14, 7, 1, 10, 1, 3, 10, 5, 3, 0.0, 11, 6, 1, 0, 0, 22, 22, 12.5, 90.63, 90.63, 84.390625, 100.0, 100.0, 0, 63.59375, 68.796875, 4.5, 13.599609375, 45.5, 22.69921875, 13.6, 0.0, 63.59375, 50.0, 31.796875, 27.296875, 4.5, 4.5, 61.0, 26.0, 1.0, 1.0, 32.0, "Tous les candidats", 169.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "32075", "Licence - Administration économique et sociale - Parcours Parcours Préparatoire au Professorat des Ecoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32075&g_ta_cod=32075", 69.0, 28.0, 3.0),
(3207, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 3 Paul Sabatier - Licence - Portail Physique - Physique - L1 Antenne Toulouse", "Licence - Sciences - technologies - santé", "Physique - L1 Antenne Toulouse", 141, 1594, 590, 1553, 0, 1046, 138, 36, 10, 5, 4, 466, 41, 9, 3, 0, 29, 1553, 29, 0, 0, 1046, 138, 36, 10, 5, 4, 466, 1119, 138, 43, 124, 14, 12.0, 113.0, 117.0, 0, 27, 91, 84, 5, 2, 47, 1, 27, 32, 23, 8, 0.0, 59, 2, 2, 0, 0, 60, 60, 8.7, 81.88, 84.78, 31.19921875, 65.890625, 65.890625, 0, 29.69921875, 65.890625, 1.099853515625, 29.69921875, 35.1953125, 25.296875, 8.8, 0.0, 92.296875, 64.796875, 5.5, 2.19970703125, 2.19970703125, 2.19970703125, 743.0, 104.0, 3.0, 2.0, 351.0, "Tous les candidats", 1537.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 89.0, "4185", "Licence - Portail Physique - Physique - L1 Antenne Toulouse", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27528&g_ta_cod=4185", 91.0, 7.0, 1.0),
(3208, "Public", "0130064Z", "Lycée professionnel Jean Baptiste Brochier", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "BTS", "Lycée professionnel Jean Baptiste Brochier - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 24, 561, 477, 561, 0, 121, 40, 77, 34, 187, 76, 176, 0, 0, 0, 0, 0, 280, 0, 0, 0, 61, 19, 34, 13, 104, 39, 81, 83, 20, 18, 20, 0, 4.0, 19.0, 19.0, 0, 8, 14, 2, 3, 9, 6, 0, 1, 6, 5, 2, 0.0, 2, 2, 9, 2, 1, 6, 6, 20.0, 95.0, 95.0, 90.0, 42.8984375, 42.8984375, 14.298828125, 57.09375, 70.0, 0.0, 7.099609375, 42.8984375, 35.6953125, 14.3, 0.0, 14.298828125, 14.298828125, 21.3984375, 14.298828125, 64.296875, 64.296875, 13.0, 6.0, 36.0, 15.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 17.0, "13134", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13134&g_ta_cod=13134", 35.0, 20.0, 45.0),
(3209, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues étrangères appliquées : Anglais-Coréen", "Licence - Arts-lettres-langues", "Licence 1 LEA - Langues étrangères appliquées : Anglais-Coréen", 40, 1117, 1023, 1117, 0, 559, 154, 91, 34, 58, 29, 409, 0, 0, 0, 0, 0, 1108, 0, 0, 0, 559, 154, 91, 34, 58, 29, 400, 102, 40, 39, 40, 0, 12.0, 35.0, 38.0, 0, 10, 35, 30, 3, 2, 5, 0, 1, 13, 17, 4, 0.0, 30, 2, 2, 0, 0, 33, 33, 30.0, 87.5, 95.0, 97.5, 94.296875, 94.296875, 0, 28.59765625, 87.5, 0.0, 2.89990234375, 37.09375, 48.59375, 11.4, 0.0, 85.6875, 85.6875, 8.599609375, 5.69921875, 5.69921875, 5.69921875, 62.0, 17.0, 8.0, 6.0, 25.0, "Tous les candidats", 133.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "21485", "Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues étrangères appliquées : Anglais-Coréen", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21485&g_ta_cod=21485", 83.0, 10.0, 8.0),
(3210, "Public", "0900024M", "CNAM de Franche-Comté site de Besançon et CNAM de Franche-Comté site de Belfort", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "Licence", "CNAM de Franche-Comté site de Besançon et CNAM de Franche-Comté site de Belfort - Licence - Gestion - Parcours Gestion des organisations", "Licence - Droit-économie-gestion", "Gestion des organisations", 70, 87, 52, 59, 0, 34, 9, 7, 1, 0, 0, 18, 28, 4, 5, 1, 18, 18, 2, 0, 0, 12, 2, 1, 0, 0, 0, 5, 20, 13, 7, 11, 2, 11.0, 11.0, 13.0, 0, 1, 9, 8, 1, 0, 4, 0, 2, 5, 2, 0, 0.0, 6, 1, 0, 0, 0, 9, 9, 84.62, 84.62, 100.0, 53.796875, 100.0, 100.0, 0, 11.099609375, 69.1875, 0.0, 22.19921875, 55.59375, 22.19921875, 0.0, 0.0, 88.890625, 66.6875, 11.099609375, 11.099609375, 0.0, 0.0, 13.0, 2.0, 0.0, 0.0, 6.0, "Tous les candidats", 18.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "19031", "Licence - Gestion - Parcours Gestion des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19031&g_ta_cod=19031", 92.0, 8.0, 0.0),
(3211, "Public", "0251821U", "Université de Franche-Comté - Site de Montbéliard", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Montbéliard - Licence - Sciences de la vie - Parcours Sciences de la vie et de l'environnement", "Licence - Sciences - technologies - santé", "Sciences de la vie et de l'environnement", 50, 511, 342, 493, 0, 363, 56, 29, 10, 3, 1, 98, 18, 4, 2, 0, 12, 493, 18, 0, 0, 363, 56, 29, 10, 3, 1, 98, 345, 42, 27, 36, 6, 1.0, 23.0, 34.0, 0, 7, 30, 25, 5, 0, 12, 0, 14, 12, 2, 2, 0.0, 13, 3, 0, 0, 0, 20, 20, 2.38, 54.76, 80.95, 64.296875, 66.6875, 66.6875, 0, 23.296875, 71.390625, 0.0, 46.6953125, 40.0, 6.69921875, 6.7, 0.0, 83.296875, 43.296875, 16.69921875, 10.0, 0.0, 0.0, 259.0, 39.0, 2.0, 1.0, 72.0, "Tous les candidats", 477.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "3593", "Licence - Sciences de la vie - Parcours Sciences de la vie et de l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3593&g_ta_cod=3593", 83.0, 17.0, 0.0),
(3212, "Public", "0130001F", "Lycée Emile Zola", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée Emile Zola - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 974, 859, 917, 0, 86, 25, 222, 92, 306, 158, 303, 57, 22, 0, 0, 35, 528, 8, 0, 0, 81, 22, 178, 68, 161, 75, 108, 181, 36, 31, 33, 2, 4.0, 15.0, 26.0, 0, 10, 28, 5, 12, 11, 8, 0, 8, 14, 4, 2, 0.0, 4, 7, 9, 5, 5, 24, 24, 11.11, 41.67, 72.22, 86.09375, 85.6875, 85.6875, 17.8984375, 35.6953125, 77.796875, 0.0, 28.59765625, 50.0, 14.298828125, 7.1, 0.0, 17.8984375, 14.298828125, 42.8984375, 25.0, 39.296875, 32.09375, 65.0, 17.0, 40.0, 22.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 119.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 24.0, "2524", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2524&g_ta_cod=2524", 25.0, 39.0, 33.0),
(3213, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "PASS", "Université Toulouse 3 Paul Sabatier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 25, 3635, 2218, 3635, 0, 2910, 433, 83, 27, 14, 7, 628, 0, 0, 0, 0, 0, 3635, 0, 0, 0, 2910, 433, 83, 27, 14, 7, 628, 310, 24, 12, 24, 0, 1.0, 12.0, 21.0, 0, 2, 24, 24, 0, 0, 0, 0, 0, 0, 12, 11, 1.0, 24, 0, 0, 0, 0, 21, 21, 4.17, 50.0, 87.5, 50.0, 87.5, 87.5, 0, 8.298828125, 100.0, 0.0, 0.0, 0.0, 50.0, 45.8, 4.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 302.0, 35.0, 0.0, 0.0, 7.0, "Tous les candidats", 1817.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "30939", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29840&g_ta_cod=30939", 100.0, 0.0, 0.0),
(3214, "Privé sous contrat d'association", "0451335G", "Lycée Sainte-Croix Saint-Euverte", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Sainte-Croix Saint-Euverte - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 16, 130, 8, 130, 0, 8, 1, 63, 7, 33, 9, 26, 0, 0, 0, 0, 0, 119, 0, 0, 0, 8, 1, 63, 7, 33, 9, 15, 53, 12, 0, 12, 0, 6.0, 10.0, 12.0, 0, 0, 11, 0, 4, 7, 1, 0, 3, 2, 4, 2, 0.0, 0, 2, 6, 0, 0, 11, 11, 50.0, 83.33, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 91.6875, 0.0, 27.296875, 18.19921875, 36.3984375, 18.2, 0.0, 0.0, 0.0, 36.3984375, 18.19921875, 63.59375, 54.5, 4.0, 1.0, 23.0, 6.0, 4.0, "Tous les candidats sauf les Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 79.0, "5728", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5728&g_ta_cod=5728", 0.0, 42.0, 58.0),
(3215, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Arts plastiques", "Licence - Arts-lettres-langues", "", 140, 674, 547, 640, 0, 396, 91, 83, 26, 32, 12, 129, 34, 6, 1, 3, 24, 640, 14, 0, 0, 396, 91, 83, 26, 32, 12, 129, 507, 139, 113, 130, 9, 26.0, 119.0, 125.0, 0, 26, 97, 75, 17, 5, 42, 1, 38, 38, 18, 2, 0.0, 43, 12, 3, 0, 0, 66, 66, 18.71, 85.61, 89.93, 81.296875, 68.0, 68.0, 0, 26.796875, 69.796875, 1.0, 39.1953125, 39.1953125, 18.59765625, 2.1, 0.0, 77.296875, 44.296875, 17.5, 12.3984375, 5.19921875, 3.099609375, 302.0, 69.0, 23.0, 7.0, 118.0, "Tous les candidats", 615.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "6600", "Licence - Arts plastiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6600&g_ta_cod=6600", 73.0, 19.0, 7.0),
(3216, "Privé sous contrat d'association", "0611270Z", "IRFSS NORMANDIE", "61", "Orne", "Normandie", "Normandie", "Alençon", "formation sélective", "EFTS", "IRFSS NORMANDIE - D.E Assistant de Service Social", "D.E secteur social", "", 33, 134, 124, 127, 0, 22, 1, 24, 4, 18, 5, 63, 7, 0, 0, 2, 5, 92, 3, 0, 0, 15, 0, 12, 3, 12, 5, 53, 73, 32, 31, 30, 2, 12.0, 27.0, 30.0, 0, 2, 14, 7, 3, 4, 18, 0, 4, 6, 3, 1, 0.0, 5, 1, 4, 0, 0, 6, 6, 37.5, 84.38, 93.75, 96.890625, 42.8984375, 42.8984375, 0, 14.298828125, 43.796875, 0.0, 28.59765625, 42.8984375, 21.3984375, 7.1, 0.0, 50.0, 35.6953125, 21.3984375, 7.099609375, 28.59765625, 28.59765625, 12.0, 0.0, 12.0, 5.0, 41.0, "Tous les candidats", 93.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "23686", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23686&g_ta_cod=23686", 53.0, 22.0, 16.0),
(3217, "Privé sous contrat d'association", "0640137B", "Lycée Saint-Joseph", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Ustaritz", "formation sélective", "BTS", "Lycée Saint-Joseph - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 34, 250, 116, 249, 0, 38, 6, 88, 17, 74, 20, 49, 1, 0, 0, 0, 1, 229, 0, 0, 0, 38, 6, 85, 16, 73, 19, 33, 155, 29, 10, 29, 0, 7.0, 23.0, 26.0, 0, 6, 26, 6, 11, 9, 3, 0, 13, 10, 2, 1, 0.0, 4, 2, 7, 6, 3, 23, 23, 24.14, 79.31, 89.66, 34.5, 88.5, 88.5, 23.09765625, 23.09765625, 89.6875, 0.0, 50.0, 38.5, 7.69921875, 3.8, 0.0, 23.09765625, 15.3984375, 42.296875, 7.69921875, 34.59375, 26.8984375, 27.0, 4.0, 47.0, 11.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 71.0, "7725", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7725&g_ta_cod=7725", 28.0, 38.0, 34.0),
(3218, "Public", "0081047V", "Lycée Bazeilles", "08", "Ariège", "Grand Est", "Reims", "Sedan", "formation sélective", "Autre formation", "Lycée Bazeilles - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 106, 50, 91, 0, 22, 5, 9, 2, 11, 6, 49, 15, 2, 2, 4, 7, 73, 5, 0, 0, 22, 5, 9, 2, 11, 6, 31, 62, 15, 6, 14, 1, 7.0, 14.0, 15.0, 0, 1, 5, 3, 1, 1, 10, 0, 4, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 5, 5, 46.67, 93.33, 100.0, 40.0, 100.0, 100.0, 0, 20.0, 33.296875, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 60.0, 20.0, 20.0, 0.0, 20.0, 0.0, 19.0, 4.0, 8.0, 4.0, 25.0, "Tous les candidats", 74.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "2379", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2379&g_ta_cod=2379", 80.0, 7.0, 7.0),
(3219, "Public", "0470003Y", "Lycée Jean-Baptiste De Baudre", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "BTS", "Lycée Jean-Baptiste De Baudre - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 378, 244, 337, 0, 21, 9, 123, 45, 115, 58, 78, 41, 0, 0, 27, 14, 239, 5, 0, 0, 14, 5, 101, 35, 87, 41, 37, 151, 28, 21, 25, 3, 6.0, 24.0, 25.0, 0, 11, 22, 2, 11, 9, 6, 0, 8, 8, 5, 1, 0.0, 1, 4, 9, 5, 3, 21, 21, 21.43, 85.71, 89.29, 75.0, 95.5, 95.5, 22.69921875, 50.0, 78.59375, 0.0, 36.3984375, 36.3984375, 22.69921875, 4.5, 0.0, 9.099609375, 4.5, 50.0, 18.19921875, 40.8984375, 40.8984375, 2.0, 1.0, 69.0, 33.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 88, "Bacheliers technologiques toutes séries", 92, "Liste d'appel propre à cette formation", 56.0, "5771", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5771&g_ta_cod=5771", 7.0, 50.0, 43.0),
(3220, "Public", "0572027U", "Lycée Rosa Parks", "57", "Moselle", "Grand Est", "Nancy-Metz", "Thionville", "formation sélective", "BTS", "Lycée Rosa Parks - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 854, 424, 825, 0, 65, 19, 269, 102, 267, 98, 224, 29, 0, 5, 14, 10, 270, 4, 0, 0, 35, 7, 127, 40, 95, 31, 13, 161, 33, 16, 30, 2, 8.0, 24.0, 27.0, 0, 6, 30, 1, 11, 18, 3, 0, 5, 13, 9, 3, 0.0, 0, 8, 17, 17, 7, 30, 30, 24.24, 72.73, 81.82, 48.5, 100.0, 100.0, 56.6953125, 20.0, 90.890625, 0.0, 16.69921875, 43.296875, 30.0, 10.0, 0.0, 3.2998046875, 0.0, 36.6953125, 26.69921875, 60.0, 56.6953125, 18.0, 4.0, 61.0, 21.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 99, "Bacheliers technologiques toutes séries", 136, "Liste d'appel propre à cette formation", 33.0, "6594", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6594&g_ta_cod=6594", 3.0, 39.0, 58.0),
(3221, "Public", "0693521C", "I.U.T LUMIERE Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Bron", "formation sélective", "BUT", "I.U.T LUMIERE Lyon 2 - BUT - Statistique et informatique décisionnelle Parcours : Sciences des données : exploration et modélisation statistique - Sciences des données : visualisation, conception d'outils décisionnels (Seconde année en apprentissage)", "BUT - Service", "Sciences des données : exploration et modélisation statistique - Sciences des données : visualisation, conception d'outils décisionnels", 50, 475, 92, 475, 0, 310, 45, 67, 25, 4, 1, 94, 0, 0, 0, 0, 0, 163, 0, 0, 0, 97, 5, 35, 8, 0, 0, 31, 105, 50, 13, 50, 0, 17.0, 42.0, 46.0, 0, 5, 39, 28, 11, 0, 11, 0, 5, 24, 9, 1, 0.0, 24, 10, 0, 0, 0, 18, 18, 34.0, 84.0, 92.0, 26.0, 46.1953125, 46.1953125, 0, 12.798828125, 78.0, 0.0, 12.798828125, 61.5, 23.09765625, 2.6, 0.0, 71.796875, 61.5, 28.19921875, 25.59765625, 0.0, 0.0, 63.0, 5.0, 0.0, 0.0, 23.0, "Tous les candidats sauf les Bac technologiques", 95.0, "Bacheliers technologiques toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 25.0, "8576", "BUT - Statistique et informatique décisionnelle Parcours : Sciences des données : exploration et modélisation statistique - Sciences des données : visualisation, conception d'outils décisionnels (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8576&g_ta_cod=8576", 76.0, 24.0, 0.0),
(3222, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université de Montpellier - Licence - Sciences et technologies - Parcours Métiers de l'enseignement, de l'éducation et de la formation (Faculté d'éducation)", "Licence - Sciences - technologies - santé", "Métiers de l'enseignement, de l'éducation et de la formation (Faculté d'éducation)", 78, 803, 607, 803, 0, 427, 104, 79, 16, 6, 2, 291, 0, 0, 0, 0, 0, 803, 0, 0, 0, 427, 104, 79, 16, 6, 2, 291, 250, 73, 68, 73, 0, 14.0, 64.0, 69.0, 0, 18, 65, 62, 3, 0, 8, 0, 7, 34, 16, 7, 1.0, 55, 3, 0, 0, 0, 53, 53, 19.18, 87.67, 94.52, 93.1875, 81.5, 81.5, 0, 27.69921875, 89.0, 0.0, 10.798828125, 52.296875, 24.59765625, 10.8, 1.5, 95.390625, 84.59375, 4.599609375, 4.599609375, 0.0, 0.0, 173.0, 49.0, 2.0, 0.0, 64.0, "Tous les candidats", 336.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "20700", "Licence - Sciences et technologies - Parcours Métiers de l'enseignement, de l'éducation et de la formation (Faculté d'éducation)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20700&g_ta_cod=20700", 90.0, 8.0, 1.0),
(3223, "Public", "0930863H", "Maison d'éducation de la Légion d'honneur", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "CPGE", "Maison d'éducation de la Légion d'honneur - CPGE - Lettres", "Classe préparatoire littéraire", "", 24, 104, 104, 104, 104, 95, 11, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 104, 0, 104, 0, 95, 11, 0, 0, 0, 0, 9, 53, 23, 23, 23, 0, 8.0, 22.0, 23.0, 23, 3, 23, 23, 0, 0, 0, 0, 0, 8, 7, 8, 0.0, 23, 0, 0, 3, 3, 6, 13, 34.78, 95.65, 100.0, 100.0, 26.09765625, 56.5, 13, 13.0, 100.0, 0.0, 0.0, 34.796875, 30.3984375, 34.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 53.0, 5.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "11218", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11218&g_ta_cod=11218", 100.0, 0.0, 0.0),
(3224, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence_Las", "Université de Rennes 1 - Licence - Portail Portail Mathématiques et applications", "Licence - Sciences - technologies - santé", "Portail Mathématiques et applications", 40, 721, 342, 686, 0, 515, 63, 12, 4, 5, 4, 154, 35, 10, 2, 0, 23, 686, 33, 0, 0, 515, 63, 12, 4, 5, 4, 154, 402, 34, 11, 28, 6, 0.0, 19.0, 28.0, 0, 4, 27, 25, 1, 1, 7, 0, 6, 7, 11, 3, 0.0, 19, 1, 1, 0, 0, 21, 21, 0.0, 55.88, 82.35, 32.3984375, 77.796875, 77.796875, 0, 14.798828125, 79.390625, 0.0, 22.19921875, 25.8984375, 40.6953125, 11.1, 0.0, 92.59375, 70.390625, 3.69970703125, 3.69970703125, 3.69970703125, 3.69970703125, 294.0, 29.0, 1.0, 1.0, 105.0, "Tous les candidats", 1938.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28719", "Licence - Portail Portail Mathématiques et applications", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28718&g_ta_cod=28719", 91.0, 6.0, 3.0),
(3225, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Langues étrangères appliquées - Parcours Anglais, Espagnol - langues de spécialité", "Licence - Arts-lettres-langues", "Anglais, Espagnol - langues de spécialité", 105, 596, 460, 558, 0, 382, 102, 54, 14, 19, 9, 103, 38, 6, 4, 1, 27, 558, 36, 0, 0, 382, 102, 54, 14, 19, 9, 103, 515, 93, 75, 77, 15, 49.0, 76.0, 84.0, 0, 18, 73, 58, 10, 5, 20, 0, 27, 31, 14, 1, 0.0, 39, 3, 4, 0, 0, 56, 56, 52.69, 81.72, 90.32, 80.59375, 76.6875, 76.6875, 0, 24.69921875, 78.5, 0.0, 37.0, 42.5, 19.19921875, 1.4, 0.0, 79.5, 53.3984375, 13.69921875, 4.099609375, 6.7998046875, 5.5, 338.0, 91.0, 15.0, 8.0, 112.0, "Tous les candidats", 558.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "18027", "Licence - Langues étrangères appliquées - Parcours Anglais, Espagnol - langues de spécialité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18027&g_ta_cod=18027", 77.0, 12.0, 10.0),
(3226, "Public", "0142133T", "Lycée P. S. De Laplace", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "Autre formation", "Lycée P. S. De Laplace - DN MADE - Espace - - Spécialité : Conception d'espaces événementiels et scénographiques temporaires ou pérennes", "DN MADE", "- Spécialité : Conception d'espaces événementiels et scénographiques temporaires ou pérennes", 15, 465, 392, 465, 0, 192, 33, 124, 18, 42, 12, 107, 0, 0, 0, 0, 0, 390, 0, 0, 0, 180, 31, 114, 17, 22, 5, 74, 63, 16, 11, 16, 0, 2.0, 13.0, 16.0, 0, 4, 13, 4, 8, 1, 3, 0, 0, 11, 2, 0, 0.0, 4, 8, 1, 0, 0, 4, 4, 12.5, 81.25, 100.0, 68.796875, 30.796875, 30.796875, 0, 30.796875, 81.296875, 0.0, 0.0, 84.59375, 15.3984375, 0.0, 0.0, 30.796875, 30.796875, 61.5, 61.5, 7.69921875, 7.69921875, 21.0, 5.0, 1.0, 0.0, 7.0, "Tous les candidats", 119.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "24296", "DN MADE - Espace - - Spécialité : Conception d'espaces événementiels et scénographiques temporaires ou pérennes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24296&g_ta_cod=24296", 44.0, 50.0, 6.0),
(3227, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Afrique et océan Indien - Yoruba", "Licence - Arts-lettres-langues", "Afrique et océan Indien - Yoruba", 15, 28, 13, 10, 0, 2, 0, 0, 0, 3, 2, 5, 18, 1, 2, 2, 13, 10, 13, 0, 0, 2, 0, 0, 0, 3, 2, 5, 23, 7, 3, 1, 6, 1.0, 1.0, 4.0, 0, 0, 2, 0, 1, 1, 5, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 2, 14.29, 14.29, 57.14, 42.8984375, 50.0, 100.0, 0, 0.0, 28.59765625, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 2.0, 0.0, 5.0, 2.0, 15.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9392", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Afrique et océan Indien - Yoruba", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9392&g_ta_cod=9392", 43.0, 43.0, 14.0),
(3228, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues étrangères appliquées - Parcours Anglais-Arabe débutant", "Licence - Arts-lettres-langues", "Anglais-Arabe débutant", 40, 231, 182, 192, 0, 111, 46, 15, 9, 9, 6, 57, 39, 6, 1, 4, 28, 192, 18, 0, 0, 111, 46, 15, 9, 9, 6, 57, 179, 37, 27, 28, 9, 10.0, 26.0, 28.0, 0, 13, 19, 14, 3, 2, 18, 1, 4, 11, 2, 1, 0.0, 11, 2, 1, 0, 0, 15, 15, 27.03, 70.27, 75.68, 73.0, 78.890625, 78.890625, 0, 68.390625, 51.3984375, 5.2998046875, 21.09765625, 57.8984375, 10.5, 5.3, 0.0, 73.6875, 57.8984375, 15.798828125, 10.5, 10.5, 5.2998046875, 97.0, 40.0, 10.0, 5.0, 60.0, "Tous les candidats", 187.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "5081", "Licence - Langues étrangères appliquées - Parcours Anglais-Arabe débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5081&g_ta_cod=5081", 62.0, 19.0, 16.0),
(3229, "Public", "0753431X", "Sciences Po Paris - Institut d'études politiques", "75", "Paris", "Ile-de-France", "Paris", "Paris  7e  Arrondissement", "formation sélective", "Licence", "Sciences Po - Université de Paris - Licence - Double diplôme - Licence Mathématiques - Sciences et Sciences sociales / Spécialité Mathématiques", "Licence - Sciences - technologies - santé", "Sciences et Sciences sociales / Spécialité Mathématiques", 24, 184, 92, 184, 0, 181, 17, 1, 1, 0, 0, 2, 0, 0, 0, 0, 0, 43, 0, 0, 0, 42, 8, 0, 0, 0, 0, 1, 42, 22, 9, 22, 0, 0.0, 22.0, 22.0, 0, 4, 22, 22, 0, 0, 0, 0, 0, 0, 2, 12, 8.0, 22, 0, 0, 0, 0, 2, 7, 0.0, 100.0, 100.0, 40.8984375, 9.099609375, 31.796875, 0, 18.19921875, 100.0, 0.0, 0.0, 0.0, 9.099609375, 54.5, 36.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 41.0, 8.0, 0.0, 0.0, 1.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "32563", "Licence - Double diplôme - Licence Mathématiques - Sciences et Sciences sociales / Spécialité Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32563&g_ta_cod=32563", 100.0, 0.0, 0.0),
(3230, "Privé sous contrat d'association", "0596146K", "IRTS HDF - Site Métropole Lilloise", "59", "Nord", "Hauts-de-France", "Lille", "Loos", "formation sélective", "EFTS", "IRTS HDF - Site Métropole Lilloise - D.E Assistant de Service Social", "D.E secteur social", "", 43, 147, 128, 147, 0, 27, 1, 35, 8, 4, 0, 81, 0, 0, 0, 0, 0, 104, 0, 0, 0, 19, 1, 21, 5, 2, 0, 62, 79, 42, 41, 42, 0, 20.0, 36.0, 40.0, 0, 1, 11, 2, 9, 0, 31, 0, 3, 7, 0, 1, 0.0, 1, 7, 0, 0, 0, 9, 9, 47.62, 85.71, 95.24, 97.59375, 81.796875, 81.796875, 0, 9.099609375, 26.19921875, 0.0, 27.296875, 63.59375, 0.0, 9.1, 0.0, 18.19921875, 9.099609375, 81.796875, 63.59375, 0.0, 0.0, 11.0, 1.0, 1.0, 0.0, 51.0, "Tous les candidats", 84.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "25055", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25055&g_ta_cod=25055", 52.0, 45.0, 2.0),
(3231, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Autre formation", "Université de La Rochelle - C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master en Ingénierie", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie", 15, 359, 47, 235, 0, 162, 36, 23, 6, 1, 0, 49, 124, 30, 7, 2, 85, 100, 8, 0, 0, 75, 20, 11, 1, 0, 0, 14, 71, 11, 1, 10, 1, 1.0, 10.0, 11.0, 0, 2, 9, 8, 1, 0, 2, 0, 0, 5, 3, 0, 1.0, 8, 1, 0, 0, 0, 6, 6, 9.09, 90.91, 100.0, 9.099609375, 66.6875, 66.6875, 0, 22.19921875, 81.796875, 0.0, 0.0, 55.59375, 33.296875, 0.0, 11.1, 88.890625, 88.890625, 11.099609375, 11.099609375, 0.0, 0.0, 46.0, 10.0, 0.0, 0.0, 21.0, "Tous les candidats", 99.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "15536", "C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master en Ingénierie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15536&g_ta_cod=15536", 91.0, 9.0, 0.0),
(3232, "Privé sous contrat d'association", "0881452A", "Ecole d'horticulture et de paysage", "88", "Vosges", "Grand Est", "Nancy-Metz", "Roville-aux-Chênes", "formation sélective", "BTS", "Ecole d'horticulture et de paysage - BTS - Agricole - Production horticole", "BTS - Agricole", "", 24, 84, 42, 78, 0, 15, 4, 10, 1, 20, 4, 33, 6, 2, 1, 1, 2, 58, 3, 0, 0, 14, 3, 10, 1, 20, 4, 14, 55, 5, 2, 4, 1, 1.0, 4.0, 5.0, 0, 0, 4, 1, 1, 2, 1, 0, 2, 2, 0, 0, 0.0, 1, 1, 0, 1, 0, 2, 2, 20.0, 80.0, 100.0, 40.0, 50.0, 50.0, 25, 0.0, 80.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 25.0, 25.0, 25.0, 25.0, 50.0, 0.0, 14.0, 3.0, 21.0, 4.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 73.0, "13849", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13849&g_ta_cod=13849", 40.0, 20.0, 40.0),
(3233, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Slovène", "Licence - Arts-lettres-langues", "Europe - Slovène", 10, 21, 11, 6, 0, 1, 0, 0, 0, 0, 0, 5, 15, 0, 2, 1, 12, 6, 4, 0, 0, 1, 0, 0, 0, 0, 0, 5, 10, 2, 1, 1, 1, 1.0, 1.0, 1.0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 0, 1, 50.0, 50.0, 50.0, 50.0, 0.0, 100.0, 0, 0.0, 50.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 1.0, 1.0, 8.0, "Tous les candidats", 6.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9419", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Slovène", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9419&g_ta_cod=9419", 50.0, 50.0, 0.0),
(3234, "Privé sous contrat d'association", "0570311D", "Lycée De La Salle", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée De La Salle - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 238, 117, 238, 0, 49, 9, 66, 16, 45, 10, 78, 0, 0, 0, 0, 0, 237, 0, 0, 0, 49, 9, 66, 16, 44, 10, 78, 159, 37, 16, 37, 0, 3.0, 35.0, 36.0, 0, 5, 24, 5, 12, 7, 13, 0, 12, 9, 2, 1, 0.0, 2, 6, 4, 3, 1, 23, 23, 8.11, 94.59, 97.3, 43.1953125, 95.796875, 95.796875, 12.5, 20.796875, 64.890625, 0.0, 50.0, 37.5, 8.298828125, 4.2, 0.0, 20.796875, 8.298828125, 50.0, 25.0, 29.19921875, 16.69921875, 40.0, 6.0, 37.0, 9.0, 29.0, "Tous les candidats sauf les Bac professionnels", 140.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 78.0, "6586", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6586&g_ta_cod=6586", 30.0, 46.0, 24.0),
(3235, "Privé hors contrat", "0311098A", "Pôle formation recherche Institut Saint Simon", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "EFTS", "Pôle formation recherche Institut Saint Simon - D.E Educateur Technique Spécialisé", "D.E secteur social", "", 22, 64, 46, 38, 0, 3, 2, 8, 1, 3, 2, 24, 26, 3, 2, 4, 17, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 8, 2, 1, 2, 0, 2.0, 2.0, 2.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 50.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 8.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "23552", "D.E Educateur Technique Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23552&g_ta_cod=23552", 0.0, 0.0, 100.0),
(3236, "Public", "0570112M", "Lycée agricole du Val de Seille", "57", "Moselle", "Grand Est", "Nancy-Metz", "Château-Salins", "formation sélective", "BTS", "Lycée agricole du Val de Seille - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 32, 214, 90, 214, 0, 19, 7, 52, 11, 74, 18, 69, 0, 0, 0, 0, 0, 142, 0, 0, 0, 19, 7, 50, 10, 61, 13, 12, 107, 25, 11, 25, 0, 6.0, 23.0, 25.0, 0, 3, 23, 1, 10, 12, 2, 0, 9, 8, 6, 0, 0.0, 0, 8, 6, 13, 6, 23, 23, 24.0, 92.0, 100.0, 44.0, 100.0, 100.0, 56.5, 13.0, 92.0, 0.0, 39.09375, 34.796875, 26.09765625, 0.0, 0.0, 4.2998046875, 0.0, 43.5, 34.796875, 52.1953125, 26.09765625, 18.0, 7.0, 44.0, 11.0, 8.0, "Tous les candidats sauf les Bac professionnels", 81.0, "Bacheliers professionnels toutes séries", 61, "", 0, "Liste d'appel propre à cette formation", 66.0, "6565", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6565&g_ta_cod=6565", 8.0, 44.0, 48.0),
(3237, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Histoire de l'art et archéologie", "Licence - Sciences humaines et sociales", "", 120, 722, 513, 634, 0, 403, 74, 56, 13, 24, 6, 151, 88, 14, 5, 4, 65, 633, 82, 0, 0, 403, 74, 56, 13, 24, 6, 150, 715, 113, 72, 89, 24, 89.0, 89.0, 100.0, 0, 17, 67, 53, 10, 4, 46, 0, 25, 23, 18, 1, 0.0, 35, 5, 2, 0, 0, 48, 48, 78.76, 78.76, 88.5, 63.6953125, 71.59375, 71.59375, 0, 25.3984375, 59.296875, 0.0, 37.296875, 34.296875, 26.8984375, 1.5, 0.0, 79.09375, 52.1953125, 14.8984375, 7.5, 6.0, 3.0, 416.0, 80.0, 27.0, 7.0, 212.0, "Tous les candidats", 633.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20597", "Licence - Histoire de l'art et archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20597&g_ta_cod=20597", 73.0, 16.0, 8.0),
(3238, "Public", "0760023M", "Lycée Jehan Ango", "76", "Seine-Maritime", "Normandie", "Normandie", "Dieppe", "formation sélective", "BTS", "Lycée Jehan Ango - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 51, 318, 170, 300, 0, 25, 4, 115, 39, 89, 39, 71, 18, 0, 4, 10, 4, 252, 12, 0, 0, 24, 3, 106, 36, 79, 32, 43, 160, 42, 29, 36, 6, 7.0, 21.0, 25.0, 0, 19, 37, 1, 17, 19, 5, 4, 12, 14, 5, 2, 0.0, 0, 7, 14, 12, 9, 36, 36, 16.67, 50.0, 59.52, 69.0, 97.296875, 97.296875, 32.3984375, 51.3984375, 88.09375, 10.798828125, 32.3984375, 37.796875, 13.5, 5.4, 0.0, 2.69970703125, 0.0, 45.8984375, 18.8984375, 51.3984375, 37.796875, 18.0, 3.0, 59.0, 23.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 53.0, "9558", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9558&g_ta_cod=9558", 7.0, 48.0, 45.0),
(3239, "Public", "0170020E", "Lycée Emile Combes", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Pons", "formation sélective", "BTS", "Lycée Emile Combes - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 246, 77, 227, 0, 16, 2, 48, 9, 32, 11, 131, 19, 4, 5, 3, 7, 102, 15, 0, 0, 16, 2, 41, 7, 27, 9, 18, 91, 7, 1, 2, 5, 0.0, 1.0, 6.0, 0, 1, 5, 2, 0, 3, 2, 0, 4, 1, 0, 0, 0.0, 0, 0, 1, 2, 0, 4, 4, 0.0, 14.29, 85.71, 14.298828125, 80.0, 80.0, 40, 20.0, 71.390625, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 40.0, 0.0, 0.0, 0.0, 60.0, 20.0, 13.0, 2.0, 28.0, 8.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 44.0, "14573", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14573&g_ta_cod=14573", 43.0, 14.0, 43.0),
(3240, "Public", "0352771X", "AGROCAMPUS OUEST Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Ecole d'Ingénieur", "AGROCAMPUS OUEST Rennes - ONIRIS Nantes - Formation d'ingénieur Bac + 5 - Agroalimentaire - 2 ans à Rennes puis 3 ans à Nantes", "Formations  des écoles d'ingénieurs", "Agroalimentaire - 2 ans à Rennes puis 3 ans à Nantes", 20, 169, 97, 145, 0, 109, 11, 1, 0, 0, 0, 35, 24, 12, 0, 0, 12, 47, 9, 0, 0, 39, 4, 1, 0, 0, 0, 7, 54, 12, 10, 10, 2, 2.0, 10.0, 12.0, 0, 1, 9, 9, 0, 0, 3, 0, 0, 1, 7, 1, 0.0, 9, 0, 0, 0, 0, 0, 0, 16.67, 83.33, 100.0, 83.296875, 0.0, 0.0, 0, 11.099609375, 75.0, 0.0, 0.0, 11.099609375, 77.796875, 11.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 39.0, 3.0, 0.0, 0.0, 15.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "23814", "Formation d'ingénieur Bac + 5 - Agroalimentaire - 2 ans à Rennes puis 3 ans à Nantes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23814&g_ta_cod=23814", 100.0, 0.0, 0.0),
(3241, "Public", "0770934X", "Lycée Leonard De Vinci", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation sélective", "BTS", "Lycée Leonard De Vinci - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 391, 169, 391, 0, 33, 10, 122, 52, 99, 49, 137, 0, 0, 0, 0, 0, 332, 0, 0, 0, 32, 10, 111, 48, 91, 45, 98, 102, 24, 12, 24, 0, 5.0, 23.0, 23.0, 0, 9, 21, 2, 10, 9, 3, 0, 6, 12, 3, 0, 0.0, 0, 8, 7, 6, 5, 19, 20, 20.83, 95.83, 95.83, 50.0, 90.5, 95.1875, 28.59765625, 42.8984375, 87.5, 0.0, 28.59765625, 57.09375, 14.298828125, 0.0, 0.0, 9.5, 0.0, 47.59375, 38.09375, 42.8984375, 33.296875, 11.0, 5.0, 31.0, 13.0, 22.0, "Tous les candidats sauf les Bac professionnels", 94.0, "Bacheliers professionnels toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 36.0, "9817", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9817&g_ta_cod=9817", 8.0, 46.0, 46.0),
(3242, "Privé sous contrat d'association", "0831458J", "Yncréa méditérranée", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "bac STL", 10, 18, 7, 16, 0, 0, 0, 16, 7, 0, 0, 0, 2, 0, 2, 0, 0, 7, 1, 0, 0, 0, 0, 7, 4, 0, 0, 0, 8, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "25857", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=25857", 0, 0, 0),
(3243, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation sélective", "Autre formation", "Université Sorbonne Paris Nord - Antenne de Bobigny - Année préparatoire aux Etudes de Santé", "Année préparatoire", "Année préparatoire aux Etudes de Santé", 50, 450, 356, 450, 0, 270, 125, 33, 14, 12, 6, 135, 0, 0, 0, 0, 0, 138, 0, 0, 0, 134, 69, 2, 1, 0, 0, 2, 114, 50, 36, 50, 0, 15.0, 43.0, 50.0, 0, 23, 48, 47, 1, 0, 2, 0, 4, 22, 20, 2, 0.0, 43, 1, 0, 0, 0, 46, 48, 30.0, 86.0, 100.0, 72.0, 95.796875, 100.0, 0, 47.8984375, 96.0, 0.0, 8.298828125, 45.796875, 41.6953125, 4.2, 0.0, 97.890625, 89.59375, 2.099609375, 2.099609375, 0.0, 0.0, 111.0, 53.0, 0.0, 0.0, 2.0, "Tous les candidats", 116.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "13959", "Année préparatoire aux Etudes de Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13959&g_ta_cod=13959", 96.0, 2.0, 0.0),
(3244, "Privé sous contrat d'association", "0690642Y", "Lycée ORT", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Lycée ORT - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 16, 492, 38, 492, 0, 73, 14, 158, 43, 134, 43, 127, 0, 0, 0, 0, 0, 300, 0, 0, 0, 70, 13, 91, 23, 72, 22, 67, 62, 20, 1, 20, 0, 7.0, 11.0, 16.0, 0, 5, 16, 4, 6, 6, 4, 0, 5, 9, 2, 0, 0.0, 3, 3, 5, 2, 0, 14, 14, 35.0, 55.0, 80.0, 5.0, 87.5, 87.5, 12.5, 31.296875, 80.0, 0.0, 31.296875, 56.296875, 12.5, 0.0, 0.0, 25.0, 18.796875, 37.5, 18.796875, 37.5, 31.296875, 11.0, 2.0, 18.0, 5.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers technologiques toutes séries", 54, "Bacheliers professionnels toutes séries", 46, "Liste d'appel propre à cette formation", 23.0, "26304", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26304&g_ta_cod=26304", 25.0, 45.0, 30.0),
(3245, "Privé sous contrat d'association", "0671636P", "Lycée ORT STRASBOURG", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée ORT STRASBOURG - BTS - Services - Commerce International", "BTS - Services", "", 30, 457, 260, 457, 0, 144, 18, 136, 41, 29, 10, 148, 0, 0, 0, 0, 0, 457, 0, 0, 0, 144, 18, 136, 41, 29, 10, 148, 156, 29, 19, 27, 0, 0.0, 12.0, 23.0, 0, 3, 17, 6, 9, 2, 12, 0, 8, 7, 2, 0, 0.0, 2, 5, 2, 1, 0, 15, 15, 0.0, 41.38, 79.31, 65.5, 88.1875, 88.1875, 5.8994140625, 17.59765625, 58.59375, 0.0, 47.09375, 41.1953125, 11.798828125, 0.0, 0.0, 35.296875, 11.798828125, 52.8984375, 29.3984375, 11.798828125, 11.798828125, 61.0, 4.0, 14.0, 3.0, 53.0, "Tous les candidats sauf les Bac professionnels", 223.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 51.0, "7978", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7978&g_ta_cod=7978", 59.0, 34.0, 7.0),
(3246, "Public", "0690026D", "Lycée du Parc", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 6e  Arrondissement", "formation sélective", "CPGE", "Lycée du Parc - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 1969, 1338, 1969, 1457, 1794, 120, 0, 0, 1, 0, 174, 0, 0, 0, 0, 0, 1595, 0, 1457, 682, 1491, 104, 0, 0, 0, 0, 104, 263, 48, 35, 48, 0, 6.0, 37.0, 48.0, 8, 3, 45, 45, 0, 0, 3, 0, 0, 0, 2, 28, 15.0, 45, 0, 0, 0, 0, 14, 14, 12.5, 77.08, 100.0, 72.890625, 31.09765625, 31.09765625, 0, 6.69921875, 93.796875, 0.0, 0.0, 0.0, 4.3994140625, 62.2, 33.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 259.0, 29.0, 0.0, 0.0, 4.0, "Tous les candidats", 470.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "8187", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8187&g_ta_cod=8187", 100.0, 0.0, 0.0),
(3247, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Université Jean Monnet / Lycée Fauriel Saint Etienne - Licence - Mathématiques - Parcours PPPE", "Licence - Sciences - technologies - santé", "PPPE", 32, 283, 196, 283, 0, 205, 44, 12, 5, 1, 0, 65, 0, 0, 0, 0, 0, 283, 0, 0, 0, 205, 44, 12, 5, 1, 0, 65, 134, 31, 27, 31, 0, 3.0, 25.0, 29.0, 0, 4, 25, 23, 2, 0, 6, 0, 11, 6, 8, 0, 0.0, 14, 0, 0, 0, 0, 20, 20, 9.68, 80.65, 93.55, 87.09375, 80.0, 80.0, 0, 16.0, 80.59375, 0.0, 44.0, 24.0, 32.0, 0.0, 0.0, 92.0, 56.0, 8.0, 0.0, 0.0, 0.0, 105.0, 26.0, 0.0, 0.0, 26.0, "Tous les candidats", 171.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "32739", "Licence - Mathématiques - Parcours PPPE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32739&g_ta_cod=32739", 90.0, 10.0, 0.0),
(3248, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Sciences de l'éducation - Parcours Lien social", "Licence - Sciences humaines et sociales", "Lien social", 25, 1154, 1005, 1154, 0, 474, 113, 154, 60, 39, 13, 487, 0, 0, 0, 0, 0, 1154, 0, 0, 0, 474, 113, 154, 60, 39, 13, 487, 55, 25, 22, 25, 0, 11.0, 24.0, 24.0, 0, 4, 16, 15, 1, 0, 9, 0, 4, 7, 4, 1, 0.0, 12, 0, 0, 0, 0, 3, 14, 44.0, 96.0, 96.0, 88.0, 18.796875, 87.5, 0, 25.0, 64.0, 0.0, 25.0, 43.796875, 25.0, 6.3, 0.0, 93.796875, 75.0, 6.2998046875, 0.0, 0.0, 0.0, 31.0, 10.0, 0.0, 0.0, 22.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "32522", "Licence - Sciences de l'éducation - Parcours Lien social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32522&g_ta_cod=32522", 80.0, 4.0, 8.0),
(3249, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation non sélective", "Licence", "Université Grenoble Alpes - Antenne de Valence - Licence - Portail Economie et gestion - Economie et Gestion - Valence", "Licence - Droit-économie-gestion", "Economie et Gestion - Valence", 70, 936, 426, 934, 0, 648, 117, 108, 31, 17, 10, 161, 2, 1, 0, 1, 0, 921, 2, 0, 0, 648, 117, 108, 31, 17, 10, 148, 486, 67, 25, 66, 1, 1.0, 37.0, 55.0, 0, 11, 49, 47, 0, 2, 18, 1, 30, 18, 0, 0, 0.0, 18, 0, 0, 0, 0, 49, 49, 1.49, 55.22, 82.09, 37.296875, 100.0, 100.0, 0, 22.3984375, 73.09375, 2.0, 61.1953125, 36.6953125, 0.0, 0.0, 0.0, 95.890625, 36.6953125, 0.0, 0.0, 4.099609375, 0.0, 412.0, 78.0, 4.0, 3.0, 66.0, "Tous les candidats", 677.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 71.0, "31049", "Licence - Portail Economie et gestion - Economie et Gestion - Valence", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31050&g_ta_cod=31049", 94.0, 3.0, 3.0),
(3250, "Public", "0390812W", "ENILBIO", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Poligny", "formation sélective", "BTS", "ENILBIO - BTS - Agricole - Sciences et technologies des aliments spécialité Produits laitiers", "BTS - Agricole", "", 16, 198, 99, 193, 0, 23, 1, 46, 8, 30, 7, 94, 5, 0, 1, 1, 3, 108, 5, 0, 0, 21, 1, 46, 8, 25, 4, 16, 73, 7, 3, 6, 1, 2.0, 6.0, 7.0, 0, 0, 5, 4, 0, 1, 2, 0, 2, 3, 0, 0, 0.0, 2, 0, 1, 0, 0, 2, 2, 28.57, 85.71, 100.0, 42.8984375, 40.0, 40.0, 0, 0.0, 71.390625, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 80.0, 40.0, 0.0, 0.0, 20.0, 20.0, 18.0, 1.0, 16.0, 1.0, 11.0, "Tous les candidats sauf les Bac professionnels", 82.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 55.0, "5175", "BTS - Agricole - Sciences et technologies des aliments spécialité Produits laitiers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5175&g_ta_cod=5175", 71.0, 14.0, 14.0),
(3251, "Privé sous contrat d'association", "0690631L", "ICOF", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "BTS", "ICOF - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 32, 421, 173, 271, 0, 54, 12, 77, 23, 31, 13, 109, 150, 23, 31, 12, 84, 194, 37, 0, 0, 47, 9, 65, 19, 21, 8, 61, 188, 20, 9, 12, 8, 0.0, 12.0, 17.0, 0, 4, 7, 2, 2, 3, 13, 0, 4, 3, 0, 0, 0.0, 1, 0, 2, 1, 0, 4, 4, 0.0, 60.0, 85.0, 45.0, 57.09375, 57.09375, 14.298828125, 57.09375, 35.0, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 28.59765625, 14.298828125, 28.59765625, 0.0, 42.8984375, 28.59765625, 42.0, 8.0, 17.0, 8.0, 69.0, "Tous les candidats sauf les Bac professionnels", 168.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 70.0, "8317", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8317&g_ta_cod=8317", 55.0, 20.0, 25.0),
(3252, "Public", "0540038Y", "Lycée Henri Poincaré", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "CPGE", "Lycée Henri Poincaré - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 2824, 827, 2824, 2140, 2109, 181, 3, 2, 1, 1, 711, 0, 0, 0, 0, 0, 1322, 0, 1064, 1282, 1260, 97, 0, 0, 0, 0, 62, 463, 89, 27, 89, 0, 24.0, 68.0, 80.0, 21, 7, 81, 81, 0, 0, 8, 0, 0, 0, 3, 48, 30.0, 81, 0, 0, 2, 2, 51, 51, 26.97, 76.4, 89.89, 30.296875, 63.0, 63.0, 2.5, 8.599609375, 91.0, 0.0, 0.0, 0.0, 3.69970703125, 59.3, 37.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 437.0, 33.0, 0.0, 0.0, 26.0, "Tous les candidats", 617.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "6245", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6245&g_ta_cod=6245", 100.0, 0.0, 0.0),
(3253, "Public", "0110982H", "I.U.T de Perpignan (Site de Carcassonne)", "11", "Aude", "Occitanie", "Montpellier", "Carcassonne", "formation sélective", "BUT", "I.U.T de Perpignan (Site de Carcassonne) - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente", 58, 1650, 822, 1616, 0, 842, 155, 511, 151, 21, 9, 242, 34, 0, 21, 0, 13, 995, 7, 0, 0, 607, 105, 306, 82, 8, 1, 74, 401, 49, 31, 47, 2, 2.0, 29.0, 45.0, 0, 14, 46, 25, 20, 1, 3, 0, 7, 31, 8, 0, 0.0, 21, 17, 1, 0, 0, 27, 27, 4.08, 59.18, 91.84, 63.296875, 58.6953125, 58.6953125, 0, 30.3984375, 93.890625, 0.0, 15.19921875, 67.390625, 17.3984375, 0.0, 0.0, 54.296875, 45.6953125, 43.5, 37.0, 2.19970703125, 2.19970703125, 196.0, 45.0, 2.0, 1.0, 16.0, "Tous les candidats sauf les Bac technologiques", 337.0, "Bacheliers technologiques toutes séries", 313, "", 0, "Liste d'appel propre à cette formation", 40.0, "2470", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2470&g_ta_cod=2470", 53.0, 45.0, 2.0),
(3254, "Privé sous contrat d'association", "0910843X", "Lycée Polyvalent Institut Saint Pierre", "91", "Essonne", "Ile-de-France", "Versailles", "Brunoy", "formation sélective", "BTS", "Lycée Polyvalent Institut Saint Pierre - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 54, 115, 39, 108, 0, 0, 0, 28, 4, 43, 7, 37, 7, 0, 2, 3, 2, 92, 3, 0, 0, 0, 0, 26, 4, 36, 6, 30, 89, 24, 14, 24, 0, 18.0, 24.0, 24.0, 0, 2, 14, 0, 7, 7, 10, 0, 5, 5, 4, 0, 0.0, 0, 5, 4, 9, 4, 10, 13, 75.0, 100.0, 100.0, 58.296875, 71.390625, 92.890625, 64.296875, 14.298828125, 58.296875, 0.0, 35.6953125, 35.6953125, 28.59765625, 0.0, 0.0, 0.0, 0.0, 50.0, 35.6953125, 50.0, 28.59765625, 0.0, 0.0, 38.0, 6.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 85.0, "10894", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10894&g_ta_cod=10894", 21.0, 42.0, 38.0),
(3255, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Double licence - Histoire de l'art et archéologie / Sciences de l'Homme, Anthropologie, Ethnologie - Double licence mention Histoire de l'art et archéologie  - mention Sciences de l'Homme, Antropologie, Ethnologie", "Licence - Sciences humaines et sociales", "Double licence mention Histoire de l'art et archéologie  - mention Sciences de l'Homme, Antropologie, Ethnologie", 30, 637, 490, 573, 0, 369, 51, 18, 5, 2, 2, 184, 64, 10, 3, 4, 47, 294, 8, 0, 0, 237, 29, 4, 0, 0, 0, 53, 165, 29, 24, 28, 1, 7.0, 24.0, 25.0, 0, 5, 22, 22, 0, 0, 7, 0, 0, 3, 14, 5, 0.0, 22, 0, 0, 0, 0, 4, 12, 24.14, 82.76, 86.21, 82.796875, 18.19921875, 54.5, 0, 22.69921875, 75.890625, 0.0, 0.0, 13.599609375, 63.59375, 22.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 134.0, 21.0, 0.0, 0.0, 30.0, "Tous les candidats", 232.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "24461", "Double licence - Histoire de l'art et archéologie / Sciences de l'Homme, Anthropologie, Ethnologie - Double licence mention Histoire de l'art et archéologie  - mention Sciences de l'Homme, Antropologie, Ethnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24461&g_ta_cod=24461", 100.0, 0.0, 0.0),
(3256, "Public", "0420049A", "Lycée professionnel Benoit Charvet", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "Autre formation", "Lycée professionnel Benoit Charvet - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 20, 134, 39, 134, 0, 21, 2, 24, 4, 50, 23, 39, 0, 0, 0, 0, 0, 134, 0, 0, 0, 21, 2, 24, 4, 50, 23, 39, 83, 18, 4, 18, 0, 5.0, 9.0, 13.0, 0, 5, 15, 2, 5, 8, 3, 0, 7, 7, 1, 0, 0.0, 2, 1, 5, 0, 0, 11, 11, 27.78, 50.0, 72.22, 22.19921875, 73.296875, 73.296875, 0, 33.296875, 83.296875, 0.0, 46.6953125, 46.6953125, 6.69921875, 0.0, 0.0, 13.298828125, 13.298828125, 33.296875, 6.69921875, 53.296875, 33.296875, 18.0, 2.0, 27.0, 11.0, 19.0, "Tous les candidats", 97.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "22258", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22258&g_ta_cod=22258", 28.0, 28.0, 44.0),
(3257, "Public", "0450051L", "Lycée BENJAMIN FRANKLIN", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "Autre formation", "Lycée BENJAMIN FRANKLIN - Diplôme de Comptabilité et de Gestion", "DCG", "", 40, 794, 353, 666, 0, 233, 63, 164, 57, 17, 7, 252, 128, 12, 19, 7, 90, 300, 12, 0, 0, 171, 46, 96, 32, 0, 0, 33, 273, 36, 22, 33, 3, 22.0, 32.0, 32.0, 0, 8, 27, 17, 10, 0, 9, 0, 0, 15, 11, 1, 0.0, 17, 10, 0, 0, 0, 23, 23, 61.11, 88.89, 88.89, 61.09375, 85.1875, 85.1875, 0, 29.59765625, 75.0, 0.0, 0.0, 55.59375, 40.6953125, 3.7, 0.0, 63.0, 63.0, 37.0, 37.0, 0.0, 0.0, 153.0, 41.0, 0.0, 0.0, 37.0, "Tous les candidats", 300.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "5664", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5664&g_ta_cod=5664", 67.0, 33.0, 0.0),
(3258, "Public", "0641823J", "Lycée des Métiers - Hôtelier et de Tourisme", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Biarritz", "formation sélective", "BTS", "Lycée des Métiers - Hôtelier et de Tourisme - BTS - Services - Tourisme", "BTS - Services", "", 34, 848, 649, 848, 0, 263, 61, 124, 25, 138, 50, 323, 0, 0, 0, 0, 0, 568, 0, 0, 0, 245, 57, 105, 22, 92, 29, 126, 142, 36, 34, 36, 0, 12.0, 35.0, 36.0, 0, 5, 32, 6, 13, 13, 4, 0, 7, 13, 10, 2, 0.0, 6, 7, 12, 1, 1, 29, 29, 33.33, 97.22, 100.0, 94.390625, 90.59375, 90.59375, 3.099609375, 15.599609375, 88.890625, 0.0, 21.8984375, 40.59375, 31.296875, 6.3, 0.0, 18.796875, 18.796875, 40.59375, 21.8984375, 40.59375, 37.5, 25.0, 5.0, 49.0, 15.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 96, "Liste d'appel propre à cette formation", 25.0, "7787", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7787&g_ta_cod=7787", 17.0, 42.0, 42.0),
(3259, "Public", "9741206T", "Lycée de Bois d'Olive", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BTS", "Lycée de Bois d'Olive - BTS - Production - Management économique de la construction", "BTS - Production", "", 16, 100, 28, 87, 0, 8, 4, 25, 13, 38, 30, 16, 13, 1, 5, 1, 6, 55, 4, 0, 0, 5, 3, 16, 8, 27, 20, 7, 49, 13, 3, 12, 0, 4.0, 11.0, 12.0, 0, 6, 11, 0, 4, 7, 2, 0, 4, 6, 0, 1, 0.0, 0, 3, 4, 2, 0, 11, 11, 30.77, 84.62, 92.31, 23.09765625, 100.0, 100.0, 18.19921875, 54.5, 84.59375, 0.0, 36.3984375, 54.5, 0.0, 9.1, 0.0, 0.0, 0.0, 36.3984375, 27.296875, 63.59375, 36.3984375, 3.0, 2.0, 23.0, 16.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 54.0, "19018", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19018&g_ta_cod=19018", 8.0, 38.0, 54.0),
(3260, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues et interculturalité - Ensemble germanique", "Licence - Arts-lettres-langues", "Langues et interculturalité - Ensemble germanique", 45, 178, 145, 124, 0, 82, 15, 9, 2, 4, 3, 29, 54, 4, 1, 1, 48, 124, 35, 0, 0, 82, 15, 9, 2, 4, 3, 29, 138, 29, 25, 18, 11, 6.0, 18.0, 22.0, 0, 3, 18, 16, 2, 0, 11, 1, 4, 4, 4, 5, 0.0, 12, 1, 0, 0, 0, 9, 9, 20.69, 62.07, 75.86, 86.1875, 50.0, 50.0, 0, 16.69921875, 62.09375, 5.599609375, 22.19921875, 22.19921875, 22.19921875, 27.8, 0.0, 88.890625, 66.6875, 11.099609375, 5.599609375, 0.0, 0.0, 73.0, 16.0, 4.0, 3.0, 53.0, "Tous les candidats", 124.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8046", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues et interculturalité - Ensemble germanique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8046&g_ta_cod=8046", 90.0, 10.0, 0.0),
(3261, "Privé sous contrat d'association", "0754666P", "Lycée Passy-Saint-Honoré", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "BTS", "Lycée Passy-Saint-Honoré - BTS - Services - Support à l'action managériale", "BTS - Services", "", 30, 530, 340, 345, 0, 30, 4, 108, 34, 100, 39, 107, 185, 13, 0, 76, 96, 161, 19, 0, 0, 25, 3, 72, 19, 37, 12, 27, 116, 24, 17, 18, 6, 2.0, 18.0, 21.0, 0, 5, 18, 4, 7, 7, 6, 0, 6, 11, 1, 0, 0.0, 3, 5, 4, 4, 4, 5, 17, 8.33, 75.0, 87.5, 70.796875, 27.796875, 94.390625, 22.19921875, 27.796875, 75.0, 0.0, 33.296875, 61.09375, 5.599609375, 0.0, 0.0, 22.19921875, 16.69921875, 38.8984375, 27.796875, 38.8984375, 22.19921875, 23.0, 4.0, 37.0, 14.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 35.0, "9545", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9545&g_ta_cod=9545", 33.0, 38.0, 29.0),
(3262, "Public", "0370038R", "Lycée Grandmont", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Grandmont - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 645, 52, 645, 0, 112, 22, 220, 56, 134, 39, 179, 0, 0, 0, 0, 0, 451, 0, 0, 0, 103, 20, 196, 49, 92, 24, 60, 91, 26, 1, 26, 0, 2.0, 26.0, 26.0, 0, 3, 18, 3, 11, 4, 8, 0, 2, 11, 2, 3, 0.0, 2, 10, 4, 6, 0, 17, 17, 7.69, 100.0, 100.0, 3.7998046875, 94.390625, 94.390625, 33.296875, 16.69921875, 69.1875, 0.0, 11.099609375, 61.09375, 11.099609375, 16.7, 0.0, 16.69921875, 11.099609375, 61.09375, 55.59375, 22.19921875, 22.19921875, 18.0, 1.0, 18.0, 5.0, 17.0, "Tous les candidats sauf les Bac professionnels", 114.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 24.0, "4835", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4835&g_ta_cod=4835", 35.0, 50.0, 15.0),
(3263, "Privé sous contrat d'association", "0150047V", "Lycée de la Communication Saint Géraud", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "Autre formation", "Lycée de la Communication Saint Géraud - DN MADE - Matériaux - - Spécialité : Textile, savoir-faire et prospective", "DN MADE", "- Spécialité : Textile, savoir-faire et prospective", 18, 111, 96, 102, 0, 39, 7, 33, 3, 14, 4, 16, 9, 2, 0, 1, 6, 95, 7, 0, 0, 39, 7, 32, 2, 12, 4, 12, 87, 19, 17, 17, 2, 1.0, 15.0, 17.0, 0, 3, 17, 8, 5, 4, 2, 0, 7, 4, 5, 1, 0.0, 4, 2, 4, 0, 0, 6, 6, 5.26, 78.95, 89.47, 89.5, 35.296875, 35.296875, 0, 17.59765625, 89.5, 0.0, 41.1953125, 23.5, 29.3984375, 5.9, 0.0, 47.09375, 23.5, 29.3984375, 11.798828125, 23.5, 23.5, 32.0, 6.0, 10.0, 3.0, 14.0, "Tous les candidats", 94.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "21644", "DN MADE - Matériaux - - Spécialité : Textile, savoir-faire et prospective", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21644&g_ta_cod=21644", 42.0, 26.0, 26.0),
(3264, "Public", "0690037R", "Lycée La Martinière-Diderot", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "Autre formation", "Lycée La Martinière-Diderot - DN MADE - Graphisme - - Spécialité : Design de communication, image et édition", "DN MADE", "- Spécialité : Design de communication, image et édition", 15, 1962, 1369, 1962, 0, 780, 135, 432, 86, 200, 49, 550, 0, 0, 0, 0, 0, 136, 0, 0, 0, 48, 7, 69, 13, 4, 0, 15, 45, 15, 14, 15, 0, 3.0, 14.0, 15.0, 0, 3, 11, 8, 3, 0, 4, 0, 0, 0, 3, 8, 0.0, 8, 3, 0, 0, 0, 2, 2, 20.0, 93.33, 100.0, 93.296875, 18.19921875, 18.19921875, 0, 27.296875, 73.296875, 0.0, 0.0, 0.0, 27.296875, 72.7, 0.0, 72.6875, 72.6875, 27.296875, 27.296875, 0.0, 0.0, 19.0, 3.0, 1.0, 0.0, 7.0, "Tous les candidats", 66.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 3.0, "21587", "DN MADE - Graphisme - - Spécialité : Design de communication, image et édition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21587&g_ta_cod=21587", 80.0, 20.0, 0.0),
(3265, "Privé sous contrat d'association", "0311186W", "Lycée Billières", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Billières - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 449, 241, 396, 0, 38, 10, 141, 35, 110, 45, 107, 53, 1, 2, 24, 26, 273, 16, 0, 0, 26, 6, 104, 27, 82, 32, 61, 180, 18, 10, 13, 5, 0.0, 7.0, 9.0, 0, 1, 12, 2, 5, 5, 6, 0, 7, 3, 1, 1, 0.0, 1, 1, 3, 0, 0, 7, 7, 0.0, 38.89, 50.0, 55.59375, 58.296875, 58.296875, 0, 8.298828125, 66.6875, 0.0, 58.296875, 25.0, 8.298828125, 8.3, 0.0, 16.69921875, 8.298828125, 41.6953125, 8.298828125, 41.6953125, 25.0, 14.0, 6.0, 62.0, 22.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 95, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 53.0, "4119", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4119&g_ta_cod=4119", 17.0, 44.0, 39.0),
(3266, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Italien", "Licence - Arts-lettres-langues", "LLCER Italien", 52, 216, 153, 143, 0, 100, 32, 13, 8, 3, 2, 27, 73, 9, 4, 8, 52, 141, 67, 0, 0, 100, 32, 13, 8, 3, 2, 25, 208, 21, 16, 18, 3, 17.0, 17.0, 20.0, 0, 4, 14, 13, 1, 0, 7, 0, 3, 7, 3, 1, 0.0, 10, 1, 0, 0, 0, 11, 11, 80.95, 80.95, 95.24, 76.1875, 78.59375, 78.59375, 0, 28.59765625, 66.6875, 0.0, 21.3984375, 50.0, 21.3984375, 7.1, 0.0, 92.890625, 71.390625, 7.099609375, 7.099609375, 0.0, 0.0, 109.0, 34.0, 10.0, 5.0, 73.0, "Tous les candidats", 141.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "2735", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2735&g_ta_cod=2735", 95.0, 5.0, 0.0),
(3267, "Public", "0290352A", "I.U.T de Quimper", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BUT", "I.U.T de Quimper - BUT - Génie biologique parcours biologie médicale et biotechnologie", "BUT - Production", "", 66, 1742, 1250, 1742, 0, 1109, 124, 250, 62, 4, 1, 379, 0, 0, 0, 0, 0, 1538, 0, 0, 0, 1073, 118, 156, 29, 0, 0, 309, 447, 64, 45, 64, 0, 12.0, 41.0, 53.0, 0, 7, 51, 30, 21, 0, 13, 0, 2, 20, 25, 4, 0.0, 29, 20, 0, 0, 0, 35, 35, 18.75, 64.06, 82.81, 70.296875, 68.59375, 68.59375, 0, 13.69921875, 79.6875, 0.0, 3.89990234375, 39.1953125, 49.0, 7.8, 0.0, 58.796875, 56.8984375, 41.1953125, 39.1953125, 0.0, 0.0, 269.0, 39.0, 0.0, 0.0, 103.0, "Tous les candidats sauf les Bac technologiques", 508.0, "Bacheliers technologiques toutes séries", 87, "", 0, "Liste d'appel propre à cette formation", 34.0, "3880", "BUT - Génie biologique parcours biologie médicale et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3880&g_ta_cod=3880", 66.0, 34.0, 0.0),
(3268, "Public", "0062271L", "Sciences Po - campus de Menton - Institut d'études politiques", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Menton", "formation sélective", "Autre formation", "Sciences Po Paris - Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", "Sciences politiques", "Bachelor du Collège universitaire de Sciences Po - Programme Moyen Orient - Méditerranée, campus de Menton", 59, 2383, 1472, 2383, 0, 2364, 347, 13, 5, 0, 0, 6, 0, 0, 0, 0, 0, 72, 0, 0, 0, 72, 12, 0, 0, 0, 0, 0, 70, 61, 39, 61, 0, 0.0, 61.0, 61.0, 0, 12, 61, 61, 0, 0, 0, 0, 0, 0, 3, 40, 18.0, 61, 0, 0, 0, 0, 6, 6, 0.0, 100.0, 100.0, 63.8984375, 9.798828125, 9.798828125, 0, 19.69921875, 100.0, 0.0, 0.0, 0.0, 4.8994140625, 65.6, 29.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 70.0, 12.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 3.0, "31974", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", "Sciences Po Paris - Institut d'études politiques", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25777&g_ta_cod=31974", 100.0, 0.0, 0.0),
(3269, "Public", "0940585A", "Lycée Francois Mansart", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "Autre formation", "Lycée Francois Mansart - DN MADE - Objet - - Spécialité : Design éco-responsable", "DN MADE", "- Spécialité : Design éco-responsable", 15, 484, 309, 303, 0, 98, 10, 85, 15, 28, 2, 92, 181, 40, 21, 26, 94, 100, 15, 0, 0, 33, 5, 39, 4, 4, 0, 24, 87, 17, 9, 10, 7, 0.0, 9.0, 12.0, 0, 1, 7, 2, 5, 0, 10, 0, 1, 4, 2, 0, 0.0, 1, 5, 0, 0, 0, 3, 5, 0.0, 52.94, 70.59, 52.8984375, 42.8984375, 71.390625, 0, 14.298828125, 41.1953125, 0.0, 14.298828125, 57.09375, 28.59765625, 0.0, 0.0, 28.59765625, 14.298828125, 71.390625, 71.390625, 0.0, 0.0, 28.0, 4.0, 3.0, 1.0, 29.0, "Tous les candidats", 99.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "21920", "DN MADE - Objet - - Spécialité : Design éco-responsable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21920&g_ta_cod=21920", 59.0, 41.0, 0.0),
(3270, "Privé sous contrat d'association", "0221673Z", "Lycée agricole St ILAN", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Langueux", "formation sélective", "BTS", "Lycée agricole St ILAN - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 32, 175, 48, 171, 0, 29, 1, 46, 8, 53, 6, 43, 4, 2, 0, 1, 1, 145, 2, 0, 0, 29, 1, 44, 8, 53, 6, 19, 98, 24, 4, 24, 0, 9.0, 23.0, 24.0, 0, 3, 23, 4, 10, 9, 1, 0, 7, 9, 7, 0, 0.0, 1, 6, 9, 7, 0, 20, 20, 37.5, 95.83, 100.0, 16.69921875, 87.0, 87.0, 30.3984375, 13.0, 95.796875, 0.0, 30.3984375, 39.09375, 30.3984375, 0.0, 0.0, 17.3984375, 4.2998046875, 43.5, 26.09765625, 39.09375, 39.09375, 25.0, 1.0, 30.0, 3.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 83.0, "3372", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3372&g_ta_cod=3372", 17.0, 46.0, 38.0),
(3271, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Anglais", "Licence - Arts-lettres-langues", "Anglais", 5, 122, 92, 122, 0, 84, 22, 5, 1, 4, 2, 29, 0, 0, 0, 0, 0, 122, 0, 0, 0, 84, 22, 5, 1, 4, 2, 29, 21, 4, 3, 4, 0, 0.0, 4.0, 4.0, 0, 1, 4, 4, 0, 0, 0, 0, 0, 1, 3, 0, 0.0, 4, 0, 0, 0, 0, 2, 2, 0.0, 100.0, 100.0, 75.0, 50.0, 50.0, 0, 25.0, 100.0, 0.0, 0.0, 25.0, 75.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 20.0, 6.0, 0.0, 0.0, 1.0, "Tous les candidats", 162.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "28947", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28946&g_ta_cod=28947", 100.0, 0.0, 0.0),
(3272, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "Autre formation", "Université Polytechnique Hauts-de-France - DEUST - Bâtiment et Construction", "DEUST", "", 35, 274, 40, 214, 0, 77, 15, 85, 23, 5, 4, 47, 60, 12, 12, 2, 34, 100, 7, 0, 0, 69, 15, 16, 5, 0, 0, 15, 90, 29, 5, 24, 5, 8.0, 24.0, 27.0, 0, 9, 25, 17, 7, 1, 4, 0, 17, 7, 1, 0, 0.0, 4, 3, 1, 0, 0, 22, 22, 27.59, 82.76, 93.1, 17.19921875, 88.0, 88.0, 0, 36.0, 86.1875, 0.0, 68.0, 28.0, 4.0, 0.0, 0.0, 68.0, 16.0, 28.0, 12.0, 4.0, 4.0, 61.0, 12.0, 1.0, 1.0, 15.0, "Tous les candidats", 100.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "6999", "DEUST - Bâtiment et Construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6999&g_ta_cod=6999", 69.0, 28.0, 3.0),
(3273, "Public", "0300027S", "Lycée Hemingway - De La Camargue", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "CPGE", "Lycée Hemingway - De La Camargue - CPGE - Ecole normale supérieure Paris Saclay ? arts et design", "Classe préparatoire scientifique", "", 22, 381, 297, 381, 0, 233, 30, 79, 21, 2, 1, 67, 0, 0, 0, 0, 0, 241, 0, 0, 241, 149, 17, 57, 14, 1, 0, 34, 97, 22, 17, 22, 0, 2.0, 18.0, 20.0, 0, 2, 15, 10, 5, 0, 7, 0, 0, 2, 8, 3, 2.0, 10, 5, 0, 3, 3, 4, 4, 9.09, 81.82, 90.91, 77.296875, 26.69921875, 26.69921875, 20, 13.298828125, 68.1875, 0.0, 0.0, 13.298828125, 53.296875, 20.0, 13.3, 66.6875, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 57.0, 7.0, 1.0, 0.0, 20.0, "Tous les candidats", 155.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "18564", "CPGE - Ecole normale supérieure Paris Saclay ? arts et design", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18564&g_ta_cod=18564", 64.0, 32.0, 5.0),
(3274, "Public", "0851473P", "Université de Nantes (La Roche)", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation non sélective", "Licence_Las", "Université de Nantes (La Roche) - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 35, 414, 328, 391, 0, 228, 48, 18, 7, 8, 1, 137, 23, 7, 0, 1, 15, 385, 21, 0, 0, 228, 48, 18, 7, 8, 1, 131, 200, 33, 28, 27, 6, 0.0, 20.0, 25.0, 0, 5, 27, 26, 1, 0, 6, 0, 10, 14, 3, 0, 0.0, 17, 0, 0, 0, 0, 20, 20, 0.0, 60.61, 75.76, 84.796875, 74.09375, 74.09375, 0, 18.5, 81.796875, 0.0, 37.0, 51.8984375, 11.099609375, 0.0, 0.0, 96.296875, 63.0, 3.69970703125, 0.0, 0.0, 0.0, 134.0, 23.0, 4.0, 0.0, 54.0, "Tous les candidats", 1108.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 65.0, "26999", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26998&g_ta_cod=26999", 94.0, 3.0, 3.0),
(3275, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Génie civil - Parcours Génie Civil, Architectural et Urbain", "Licence - Sciences - technologies - santé", "Génie Civil, Architectural et Urbain", 40, 488, 148, 478, 0, 312, 54, 30, 7, 1, 0, 135, 10, 3, 2, 0, 5, 467, 9, 0, 0, 312, 54, 30, 7, 1, 0, 124, 269, 38, 8, 33, 5, 10.0, 26.0, 30.0, 0, 6, 25, 18, 7, 0, 13, 0, 6, 15, 4, 0, 0.0, 16, 3, 0, 0, 0, 21, 21, 26.32, 68.42, 78.95, 21.09765625, 84.0, 84.0, 0, 24.0, 65.796875, 0.0, 24.0, 60.0, 16.0, 0.0, 0.0, 72.0, 64.0, 28.0, 12.0, 0.0, 0.0, 188.0, 31.0, 0.0, 0.0, 71.0, "Tous les candidats", 312.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "7012", "Licence - Génie civil - Parcours Génie Civil, Architectural et Urbain", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7012&g_ta_cod=7012", 71.0, 29.0, 0.0),
(3276, "Public", "0772347H", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lieusaint", "formation sélective", "BUT", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC - BUT - Carrières sociales Parcours animation sociale et socioculturelle", "BUT - Service", "", 50, 551, 429, 459, 0, 118, 26, 136, 50, 73, 34, 132, 92, 0, 56, 0, 36, 112, 4, 0, 0, 33, 6, 28, 12, 15, 9, 36, 120, 45, 35, 38, 2, 21.0, 38.0, 41.0, 0, 14, 33, 10, 14, 9, 12, 0, 14, 13, 5, 1, 0.0, 5, 6, 8, 0, 0, 17, 23, 46.67, 84.44, 91.11, 77.796875, 51.5, 69.6875, 0, 42.3984375, 73.296875, 0.0, 42.3984375, 39.3984375, 15.19921875, 3.0, 0.0, 30.296875, 15.19921875, 42.3984375, 18.19921875, 27.296875, 24.19921875, 25.0, 5.0, 12.0, 7.0, 31.0, "Tous les candidats sauf les Bac technologiques", 63.0, "Bacheliers technologiques toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 22.0, "9897", "BUT - Carrières sociales Parcours animation sociale et socioculturelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9897&g_ta_cod=9897", 38.0, 40.0, 22.0),
(3277, "Public", "0021868V", "Institut de Formation en Soins Infirmiers - SOISSONS", "02", "Aisne", "Hauts-de-France", "Amiens", "Soissons", "formation sélective", "IFSI", "Regroupement d'IFSI Université Amiens - D.E Infirmier", "D.E secteur sanitaire", "", 77, 2578, 2139, 2578, 0, 440, 96, 431, 131, 362, 151, 1345, 0, 0, 0, 0, 0, 1746, 0, 0, 0, 357, 74, 319, 86, 264, 100, 806, 907, 77, 64, 77, 0, 3.0, 26.0, 54.0, 0, 11, 45, 17, 14, 14, 32, 0, 8, 23, 9, 5, 0.0, 14, 11, 12, 0, 0, 37, 37, 3.9, 33.77, 70.13, 83.09375, 82.1875, 82.1875, 0, 24.3984375, 58.3984375, 0.0, 17.796875, 51.09375, 20.0, 11.1, 0.0, 37.796875, 31.09765625, 31.09765625, 24.3984375, 31.09765625, 26.69921875, 187.0, 43.0, 162.0, 71.0, 397.0, "Tous les candidats", 2888.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 47.0, "23072", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23008&g_ta_cod=23072", 39.0, 31.0, 30.0),
(3278, "Privé sous contrat d'association", "0881711G", "CFRP de Gugnecourt", "88", "Vosges", "Grand Est", "Nancy-Metz", "Gugnécourt", "formation sélective", "BTS", "CFRP de Gugnecourt - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 25, 63, 36, 58, 0, 3, 2, 7, 2, 17, 3, 31, 5, 1, 0, 1, 3, 28, 3, 0, 0, 3, 2, 7, 2, 14, 3, 4, 31, 7, 3, 5, 2, 5.0, 5.0, 5.0, 0, 1, 5, 1, 0, 4, 2, 0, 0, 3, 2, 0, 0.0, 1, 0, 4, 0, 0, 4, 4, 71.43, 71.43, 71.43, 42.8984375, 80.0, 80.0, 0, 20.0, 71.390625, 0.0, 0.0, 60.0, 40.0, 0.0, 0.0, 20.0, 20.0, 0.0, 0.0, 80.0, 80.0, 4.0, 3.0, 14.0, 3.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 48.0, "10769", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10769&g_ta_cod=10769", 14.0, 29.0, 57.0),
(3279, "Public", "0510062R", "Lycée Francois 1er", "51", "Marne", "Grand Est", "Reims", "Vitry-le-François", "formation sélective", "Autre formation", "Lycée Francois 1er - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 15, 10, 0, 10, 0, 0, 0, 0, 0, 9, 2, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 9, 2, 1, 10, 2, 0, 2, 0, 2.0, 2.0, 2.0, 0, 0, 2, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 50.0, 50.0, 0, 0.0, 100.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 9.0, 2.0, 1.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "25453", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25453&g_ta_cod=25453", 0.0, 0.0, 100.0),
(3280, "Public", "0590122M", "Lycée Valentine Labbe", "59", "Nord", "Hauts-de-France", "Lille", "La Madeleine", "formation sélective", "CPGE", "Lycée Valentine Labbe - CPGE - TB", "Classe préparatoire scientifique", "", 24, 225, 153, 214, 156, 0, 0, 195, 34, 0, 0, 19, 11, 0, 8, 0, 3, 162, 2, 120, 149, 0, 0, 158, 26, 0, 0, 4, 95, 16, 10, 14, 2, 4.0, 14.0, 16.0, 5, 0, 15, 0, 15, 0, 1, 0, 1, 7, 5, 1, 1.0, 0, 14, 0, 1, 0, 5, 5, 25.0, 87.5, 100.0, 62.5, 33.296875, 33.296875, 6.69921875, 0.0, 93.796875, 0.0, 6.69921875, 46.6953125, 33.296875, 6.7, 6.7, 0.0, 0.0, 100.0, 93.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 161.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "6802", "CPGE - TB", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6802&g_ta_cod=6802", 0.0, 100.0, 0.0),
(3281, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Musicologie - Parcours Métiers du son", "Licence - Arts-lettres-langues", "Métiers du son", 40, 405, 93, 405, 0, 248, 38, 32, 7, 8, 2, 117, 0, 0, 0, 0, 0, 254, 0, 0, 0, 185, 23, 0, 0, 0, 0, 69, 135, 39, 7, 39, 0, 8.0, 34.0, 37.0, 0, 6, 31, 31, 0, 0, 8, 0, 7, 14, 7, 3, 0.0, 24, 0, 0, 0, 0, 9, 9, 20.51, 87.18, 94.87, 17.8984375, 29.0, 29.0, 0, 19.3984375, 79.5, 0.0, 22.59765625, 45.1953125, 22.59765625, 9.7, 0.0, 100.0, 77.390625, 0.0, 0.0, 0.0, 0.0, 98.0, 18.0, 0.0, 0.0, 37.0, "Tous les candidats", 189.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "9692", "Licence - Musicologie - Parcours Métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9692&g_ta_cod=9692", 100.0, 0.0, 0.0),
(3282, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Licence", "Université de La Rochelle - Double licence - Histoire / Géographie et aménagement - double licence Histoire-Géographie", "Licence - Sciences humaines et sociales", "double licence Histoire-Géographie", 18, 238, 98, 238, 0, 201, 33, 9, 2, 2, 1, 26, 0, 0, 0, 0, 0, 237, 0, 0, 0, 201, 33, 8, 2, 2, 1, 26, 57, 18, 10, 18, 0, 3.0, 18.0, 18.0, 0, 4, 17, 17, 0, 0, 1, 0, 2, 3, 6, 6, 0.0, 15, 0, 0, 0, 0, 8, 8, 16.67, 100.0, 100.0, 55.59375, 47.09375, 47.09375, 0, 23.5, 94.390625, 0.0, 11.798828125, 17.59765625, 35.296875, 35.3, 0.0, 100.0, 88.1875, 0.0, 0.0, 0.0, 0.0, 50.0, 8.0, 0.0, 0.0, 7.0, "Tous les candidats", 86.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "24339", "Double licence - Histoire / Géographie et aménagement - double licence Histoire-Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24339&g_ta_cod=24339", 100.0, 0.0, 0.0),
(3283, "Privé sous contrat d'association", "0721684P", "Lycée Polyvalent Saint-Charles Sainte-Croix", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Saint-Charles Sainte-Croix - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 644, 307, 644, 0, 113, 21, 196, 50, 161, 49, 174, 0, 0, 0, 0, 0, 526, 0, 0, 0, 112, 21, 177, 43, 138, 40, 99, 207, 34, 20, 34, 0, 2.0, 18.0, 26.0, 0, 7, 25, 6, 11, 8, 9, 0, 13, 11, 1, 0, 0.0, 1, 6, 5, 6, 5, 23, 23, 5.88, 52.94, 76.47, 58.796875, 92.0, 92.0, 24, 28.0, 73.5, 0.0, 52.0, 44.0, 4.0, 0.0, 0.0, 24.0, 4.0, 44.0, 24.0, 32.0, 20.0, 51.0, 10.0, 70.0, 17.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 73.0, "Bacheliers professionnels toutes séries", 88, "Bacheliers technologiques toutes séries", 102, "Liste d'appel propre à cette formation", 41.0, "8721", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8721&g_ta_cod=8721", 32.0, 38.0, 29.0),
(3284, "Public", "0011312W", "IUT Lyon1 Site de Bourg-en-Bresse", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "BUT", "IUT Lyon1 Site de Bourg-en-Bresse - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 78, 1014, 691, 943, 0, 537, 62, 185, 43, 4, 1, 217, 71, 8, 34, 0, 29, 767, 15, 0, 0, 515, 56, 93, 18, 0, 0, 159, 511, 70, 42, 63, 5, 17.0, 38.0, 63.0, 0, 4, 67, 61, 6, 0, 3, 0, 18, 35, 12, 2, 0.0, 44, 5, 0, 0, 0, 34, 34, 24.29, 54.29, 90.0, 60.0, 50.6953125, 50.6953125, 0, 6.0, 95.6875, 0.0, 26.8984375, 52.1953125, 17.8984375, 3.0, 0.0, 91.0, 65.6875, 9.0, 7.5, 0.0, 0.0, 344.0, 45.0, 0.0, 0.0, 70.0, "Tous les candidats sauf les Bac technologiques", 565.0, "Bacheliers technologiques toutes séries", 107, "", 0, "Liste d'appel propre à cette formation", 71.0, "2033", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2033&g_ta_cod=2033", 90.0, 10.0, 0.0),
(3285, "Public", "0762765T", "Lycée professionnel Lavoisier", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BTS", "Lycée professionnel Lavoisier - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 10, 135, 7, 135, 0, 13, 2, 21, 5, 65, 22, 36, 0, 0, 0, 0, 0, 122, 0, 0, 0, 13, 2, 21, 5, 62, 22, 26, 30, 12, 0, 12, 0, 4.0, 10.0, 11.0, 0, 5, 12, 2, 3, 7, 0, 0, 6, 2, 4, 0, 0.0, 0, 0, 6, 6, 0, 11, 11, 33.33, 83.33, 91.67, 0.0, 91.6875, 91.6875, 50, 41.6953125, 100.0, 0.0, 50.0, 16.69921875, 33.296875, 0.0, 0.0, 16.69921875, 0.0, 25.0, 0.0, 58.296875, 50.0, 3.0, 1.0, 16.0, 5.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 25.0, "17932", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17932&g_ta_cod=17932", 17.0, 25.0, 58.0),
(3286, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - LLCER ALLEMAND NON DEBUTANT - LLCER NEERLANDAIS", "Licence - Arts-lettres-langues", "LLCER ALLEMAND NON DEBUTANT - LLCER NEERLANDAIS", 30, 46, 28, 14, 0, 3, 0, 0, 0, 6, 3, 5, 32, 1, 3, 16, 12, 8, 0, 0, 0, 3, 0, 0, 0, 0, 0, 5, 8, 2, 2, 2, 0, 2.0, 2.0, 2.0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 0, 1, 100.0, 100.0, 100.0, 100.0, 0.0, 100.0, 0, 0.0, 50.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 3.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "12534", "Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - LLCER ALLEMAND NON DEBUTANT - LLCER NEERLANDAIS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12534&g_ta_cod=12534", 100.0, 0.0, 0.0),
(3287, "Privé sous contrat d'association", "0440119R", "Lycée Ste Anne", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "Autre formation", "Lycée Ste Anne - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 15, 58, 44, 50, 0, 3, 0, 5, 0, 36, 12, 6, 8, 0, 1, 5, 2, 46, 2, 0, 0, 2, 0, 5, 0, 33, 9, 6, 44, 12, 10, 11, 1, 2.0, 11.0, 12.0, 0, 3, 9, 0, 2, 7, 3, 0, 6, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 9, 9, 16.67, 91.67, 100.0, 83.296875, 100.0, 100.0, 0, 33.296875, 75.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 22.19921875, 0.0, 77.796875, 33.296875, 1.0, 0.0, 31.0, 10.0, 6.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "5478", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5478&g_ta_cod=5478", 8.0, 17.0, 75.0),
(3288, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation non sélective", "Licence", "ICES - Institut Catholique de Vendée - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Espagnol", "Licence - Arts-lettres-langues", "LLCER Espagnol", 50, 51, 45, 45, 0, 36, 10, 2, 1, 1, 0, 6, 6, 2, 0, 0, 4, 45, 1, 0, 0, 36, 10, 2, 1, 1, 0, 6, 46, 5, 5, 5, 0, 5.0, 5.0, 5.0, 0, 4, 5, 5, 0, 0, 0, 0, 3, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 4, 4, 100.0, 100.0, 100.0, 100.0, 80.0, 80.0, 0, 80.0, 100.0, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 100.0, 40.0, 0.0, 0.0, 0.0, 0.0, 37.0, 10.0, 1.0, 0.0, 6.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20710", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20710&g_ta_cod=20710", 100.0, 0.0, 0.0),
(3289, "Public", "9741270M", "Lycée Bel Air", "974", "La Réunion", "La Réunion", "La Réunion", "Sainte-Suzanne", "formation sélective", "BTS", "Lycée Bel Air - BTS - Production - Architectures en Métal : conception et Réalisation", "BTS - Production", "", 24, 179, 27, 149, 0, 6, 3, 29, 15, 63, 40, 51, 30, 0, 3, 14, 13, 77, 3, 0, 0, 6, 3, 24, 14, 42, 26, 5, 70, 17, 0, 15, 2, 4.0, 15.0, 17.0, 0, 11, 15, 1, 5, 9, 2, 0, 8, 3, 4, 0, 0.0, 1, 1, 5, 2, 0, 15, 15, 23.53, 88.24, 100.0, 0.0, 100.0, 100.0, 13.298828125, 73.296875, 88.1875, 0.0, 53.296875, 20.0, 26.69921875, 0.0, 0.0, 6.69921875, 6.69921875, 33.296875, 6.69921875, 60.0, 33.296875, 6.0, 3.0, 36.0, 22.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 50.0, "11984", "BTS - Production - Architectures en Métal : conception et Réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11984&g_ta_cod=11984", 6.0, 35.0, 59.0),
(3290, "Public", "0490002L", "Lycée général et technologique Joachim Du Bellay", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "CPGE", "Lycée général et technologique Joachim Du Bellay - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 40, 520, 245, 516, 0, 476, 30, 1, 0, 0, 0, 39, 4, 1, 1, 0, 2, 485, 0, 0, 485, 457, 25, 0, 0, 0, 0, 28, 289, 30, 14, 30, 0, 2.0, 23.0, 30.0, 0, 0, 29, 29, 0, 0, 1, 0, 1, 13, 14, 0, 1.0, 28, 0, 0, 0, 0, 16, 16, 6.67, 76.67, 100.0, 46.6953125, 55.1953125, 55.1953125, 0, 0.0, 96.6875, 0.0, 3.39990234375, 44.796875, 48.296875, 0.0, 3.4, 100.0, 96.59375, 0.0, 0.0, 0.0, 0.0, 275.0, 17.0, 0.0, 0.0, 14.0, "Tous les candidats", 485.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "31336", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31336&g_ta_cod=31336", 100.0, 0.0, 0.0),
(3291, "Privé sous contrat d'association", "0593034C", "Lycée THEOPHILE LEGRAND", "59", "Nord", "Hauts-de-France", "Lille", "Louvroil", "formation sélective", "BTS", "Lycée THEOPHILE LEGRAND - BTS - Production - Electrotechnique", "BTS - Production", "", 45, 57, 7, 55, 0, 0, 0, 11, 3, 17, 7, 27, 2, 0, 0, 2, 0, 55, 2, 0, 0, 0, 0, 11, 3, 17, 7, 27, 55, 27, 4, 26, 1, 14.0, 26.0, 27.0, 0, 2, 8, 0, 3, 5, 19, 0, 1, 4, 2, 1, 0.0, 0, 3, 4, 7, 0, 8, 8, 51.85, 96.3, 100.0, 14.798828125, 100.0, 100.0, 87.5, 25.0, 29.59765625, 0.0, 12.5, 50.0, 25.0, 12.5, 0.0, 0.0, 0.0, 37.5, 37.5, 62.5, 50.0, 0.0, 0.0, 19.0, 8.0, 25.0, "Tous les candidats sauf les Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 100.0, "6954", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6954&g_ta_cod=6954", 44.0, 37.0, 19.0),
(3292, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "Sciences et Techniques des Activités Physiques et Sportives - Orléans", 450, 3301, 978, 3301, 0, 2050, 274, 420, 96, 117, 47, 714, 0, 0, 0, 0, 0, 3299, 0, 0, 0, 2050, 274, 420, 96, 117, 47, 712, 1103, 448, 127, 443, 0, 119.0, 338.0, 408.0, 0, 55, 377, 333, 28, 16, 71, 0, 141, 161, 65, 10, 0.0, 209, 15, 12, 0, 0, 361, 361, 26.56, 75.45, 91.07, 28.296875, 95.796875, 95.796875, 0, 14.599609375, 84.1875, 0.0, 37.3984375, 42.6953125, 17.19921875, 2.7, 0.0, 88.296875, 55.3984375, 7.3994140625, 4.0, 4.19921875, 3.19970703125, 707.0, 94.0, 38.0, 17.0, 285.0, "Tous les candidats", 1185.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "23301", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5714&g_ta_cod=23301", 87.0, 8.0, 4.0),
(3293, "Privé sous contrat d'association", "0580071M", "Centre scolaire Notre-Dame", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "Autre formation", "Centre scolaire Notre-Dame - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 0, 0.0, 0.0, 0.0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 5.0, 3.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30602", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(3294, "Public", "0380035G", "Lycée des Métiers - Lesdiguieres", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée des Métiers - Lesdiguieres - BTS - Services - Tourisme", "BTS - Services", "", 56, 739, 556, 729, 0, 171, 36, 177, 50, 135, 50, 246, 10, 0, 5, 0, 5, 500, 2, 0, 0, 152, 29, 110, 24, 135, 50, 103, 206, 50, 36, 50, 0, 3.0, 32.0, 45.0, 0, 8, 38, 11, 15, 12, 12, 0, 11, 22, 4, 1, 0.0, 9, 7, 11, 2, 1, 36, 36, 6.0, 64.0, 90.0, 72.0, 94.6875, 94.6875, 5.2998046875, 21.09765625, 76.0, 0.0, 28.8984375, 57.8984375, 10.5, 2.6, 0.0, 28.8984375, 23.69921875, 39.5, 18.3984375, 31.59765625, 28.8984375, 49.0, 11.0, 64.0, 28.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 110.0, "Bacheliers professionnels toutes séries", 129, "Bacheliers technologiques toutes séries", 115, "Liste d'appel propre à cette formation", 49.0, "4944", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4944&g_ta_cod=4944", 30.0, 30.0, 40.0),
(3295, "Privé hors contrat", "0672877N", "OMNIS - Ecole Supérieure de Commerce & Management", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "OMNIS - Ecole Supérieure de Commerce & Management - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 70, 716, 323, 635, 0, 155, 18, 132, 34, 105, 36, 243, 81, 3, 10, 42, 26, 397, 16, 0, 0, 133, 13, 107, 24, 19, 4, 138, 336, 53, 20, 49, 4, 1.0, 37.0, 49.0, 0, 3, 17, 6, 10, 1, 36, 0, 10, 7, 0, 0, 0.0, 2, 4, 1, 0, 0, 13, 13, 1.89, 69.81, 92.45, 37.6953125, 76.5, 76.5, 0, 17.59765625, 32.09375, 0.0, 58.796875, 41.1953125, 0.0, 0.0, 0.0, 35.296875, 11.798828125, 58.796875, 23.5, 5.8994140625, 5.8994140625, 118.0, 10.0, 20.0, 5.0, 96.0, "Tous les candidats sauf les Bac professionnels", 377.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 62.0, "15442", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15442&g_ta_cod=15442", 74.0, 25.0, 2.0),
(3296, "Privé sous contrat d'association", "0333481E", "YNCREA - BÈGLES", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 20, 1355, 361, 1353, 0, 1345, 101, 0, 0, 0, 0, 8, 2, 2, 0, 0, 0, 1221, 1, 0, 0, 1221, 80, 0, 0, 0, 0, 0, 1116, 1, 1, 1, 0, 1.0, 1.0, 1.0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1116.0, 77.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "31110", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=31110", 100.0, 0.0, 0.0),
(3297, "Public", "0840005Z", "Lycée Philippe de Girard", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée Philippe de Girard - BTS - Production - Conception de produits industriels", "BTS - Production", "", 24, 418, 51, 402, 0, 32, 5, 171, 48, 58, 29, 141, 16, 1, 5, 4, 6, 257, 7, 0, 0, 29, 4, 137, 25, 42, 18, 49, 156, 12, 1, 10, 2, 1.0, 8.0, 11.0, 0, 3, 9, 3, 3, 3, 3, 1, 5, 3, 0, 0, 0.0, 1, 0, 2, 1, 0, 8, 8, 8.33, 66.67, 91.67, 8.298828125, 88.890625, 88.890625, 11.099609375, 33.296875, 75.0, 11.099609375, 55.59375, 33.296875, 0.0, 0.0, 0.0, 33.296875, 11.099609375, 33.296875, 0.0, 33.296875, 22.19921875, 15.0, 4.0, 26.0, 13.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 167, "Liste d'appel propre à cette formation", 62.0, "10419", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10419&g_ta_cod=10419", 42.0, 33.0, 25.0),
(3298, "Public", "0330142A", "Lycée professionnel Tregey Rive De Garonne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Autre formation", "Lycée professionnel Tregey Rive De Garonne - Mention complémentaire - Accueil dans transports", "Mention complémentaire", "", 13, 141, 110, 141, 0, 2, 1, 2, 2, 82, 43, 55, 0, 0, 0, 0, 0, 141, 0, 0, 0, 2, 1, 2, 2, 82, 43, 55, 32, 12, 12, 12, 0, 7.0, 10.0, 12.0, 0, 5, 8, 0, 1, 7, 4, 0, 7, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 7, 7, 58.33, 83.33, 100.0, 100.0, 87.5, 87.5, 0, 62.5, 66.6875, 0.0, 87.5, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 12.5, 0.0, 87.5, 12.5, 0.0, 0.0, 18.0, 11.0, 13.0, "Tous les candidats", 42.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "14832", "Mention complémentaire - Accueil dans transports", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14832&g_ta_cod=14832", 0.0, 8.0, 92.0),
(3299, "Public", "0920164D", "Lycée professionnel Jean Monnet", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Montrouge", "formation sélective", "Autre formation", "Lycée professionnel Jean Monnet - Mention complémentaire - FCIL -  Métiers du plâtre - Campus du Patrimoine - Château de Versailles", "Mention complémentaire", "Campus du Patrimoine - Château de Versailles", 12, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 2, 0, 0, 1, 0.0, 0.0, 0.0, 0, 1, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 50.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 4.0, 1.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34954", "Mention complémentaire - FCIL -  Métiers du plâtre - Campus du Patrimoine - Château de Versailles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34954&g_ta_cod=34954", 0.0, 0.0, 100.0),
(3300, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Mathématiques", "Licence - Sciences - technologies - santé", "", 65, 745, 258, 718, 0, 557, 86, 9, 3, 3, 1, 149, 27, 5, 0, 0, 22, 716, 27, 0, 0, 557, 86, 9, 3, 3, 1, 147, 463, 61, 18, 50, 11, 1.0, 41.0, 53.0, 0, 10, 35, 32, 3, 0, 26, 0, 16, 11, 5, 3, 0.0, 18, 1, 0, 0, 0, 22, 22, 1.64, 67.21, 86.89, 29.5, 62.8984375, 62.8984375, 0, 28.59765625, 57.3984375, 0.0, 45.6953125, 31.3984375, 14.298828125, 8.6, 0.0, 91.390625, 51.3984375, 8.599609375, 2.89990234375, 0.0, 0.0, 342.0, 56.0, 2.0, 1.0, 112.0, "Tous les candidats", 712.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "15125", "Licence - Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15125&g_ta_cod=15125", 90.0, 10.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(3301, "Public", "0754476H", "Lycée des Métiers de l'Hôtellerie Guillaume TIREL", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "BTS", "Lycée des Métiers de l'Hôtellerie Guillaume TIREL - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 70, 711, 342, 710, 0, 0, 0, 248, 47, 232, 53, 230, 1, 0, 0, 1, 0, 380, 1, 0, 0, 0, 0, 131, 14, 126, 26, 123, 152, 70, 26, 69, 1, 33.0, 57.0, 68.0, 0, 3, 47, 0, 22, 25, 23, 0, 7, 18, 17, 5, 0.0, 0, 16, 24, 25, 9, 27, 45, 47.14, 81.43, 97.14, 37.09375, 57.3984375, 95.6875, 53.1953125, 6.3994140625, 67.09375, 0.0, 14.8984375, 38.296875, 36.1953125, 10.6, 0.0, 0.0, 0.0, 46.796875, 34.0, 53.1953125, 51.09375, 0.0, 0.0, 55.0, 9.0, 55.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 81.0, "Bacheliers professionnels toutes séries", 130, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 41.0, "9540", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9540&g_ta_cod=9540", 24.0, 34.0, 41.0),
(3302, "Privé sous contrat d'association", "0690539L", "Lycée Assomption Bellevue", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "CPGE", "Lycée Assomption Bellevue - CPGE - PCSI", "Classe préparatoire scientifique", "", 47, 1067, 439, 1029, 649, 827, 97, 4, 1, 0, 0, 198, 38, 11, 0, 1, 26, 897, 5, 649, 712, 770, 88, 2, 1, 0, 0, 125, 440, 24, 11, 24, 0, 0.0, 16.0, 24.0, 6, 1, 22, 22, 0, 0, 2, 0, 0, 8, 12, 2, 0.0, 22, 0, 0, 0, 0, 12, 12, 0.0, 66.67, 100.0, 45.796875, 54.5, 54.5, 0, 4.5, 91.6875, 0.0, 0.0, 36.3984375, 54.5, 9.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 405.0, 35.0, 0.0, 0.0, 35.0, "Tous les candidats", 724.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "8295", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8295&g_ta_cod=8295", 100.0, 0.0, 0.0),
(3303, "Public", "0940129E", "Lycée Jean Mace", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vitry-sur-Seine", "formation sélective", "Autre formation", "Lycée Jean Mace - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 7, 58, 1, 58, 0, 0, 0, 1, 1, 46, 14, 11, 0, 0, 0, 0, 0, 47, 0, 0, 0, 0, 0, 1, 1, 41, 11, 5, 17, 5, 0, 5, 0, 1.0, 4.0, 5.0, 0, 2, 5, 0, 0, 5, 0, 0, 2, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 5, 5, 20.0, 80.0, 100.0, 0.0, 100.0, 100.0, 0, 40.0, 100.0, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 15.0, 6.0, 2.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "20595", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20595&g_ta_cod=20595", 0.0, 0.0, 100.0),
(3304, "Privé sous contrat d'association", "0542390E", "Ecole Sup. Agricole Roville - Section BTS - site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Villers-lès-Nancy", "formation sélective", "BTS", "Ecole Sup. Agricole Roville - Section BTS - site de Nancy - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 35, 297, 122, 262, 0, 30, 6, 36, 6, 67, 21, 129, 35, 2, 6, 11, 16, 117, 7, 0, 0, 27, 5, 29, 5, 49, 14, 12, 105, 18, 10, 16, 2, 5.0, 16.0, 18.0, 0, 2, 15, 4, 3, 8, 3, 0, 7, 6, 2, 0, 0.0, 1, 0, 7, 0, 0, 9, 9, 27.78, 88.89, 100.0, 55.59375, 60.0, 60.0, 0, 13.298828125, 83.296875, 0.0, 46.6953125, 40.0, 13.298828125, 0.0, 0.0, 26.69921875, 6.69921875, 20.0, 0.0, 53.296875, 46.6953125, 27.0, 4.0, 36.0, 10.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 45.0, "6381", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6381&g_ta_cod=6381", 33.0, 22.0, 44.0),
(3305, "Public", "0671509B", "Lycée des métiers CFA Heinrich-Nessel", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Haguenau", "formation sélective", "Autre formation", "Lycée des métiers CFA Heinrich-Nessel - Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "Mention complémentaire", "", 12, 6, 0, 6, 0, 0, 0, 0, 0, 6, 3, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 6, 3, 0, 7, 5, 0, 4, 0, 4.0, 4.0, 4.0, 0, 1, 5, 0, 0, 5, 0, 0, 2, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 5, 5, 80.0, 80.0, 80.0, 0.0, 100.0, 100.0, 0, 20.0, 100.0, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 7.0, 3.0, 0.0, "Tous les candidats", 6.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "16767", "Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16767&g_ta_cod=16767", 0.0, 0.0, 100.0),
(3306, "Privé sous contrat d'association", "0781023N", "Lycée professionnel Agricole Tecomah", "78", "Yvelines", "Ile-de-France", "Versailles", "Jouy-en-Josas", "formation sélective", "BTS", "Lycée professionnel Agricole Tecomah - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 24, 282, 116, 263, 0, 71, 5, 57, 2, 61, 8, 74, 19, 3, 1, 2, 13, 120, 8, 0, 0, 43, 2, 27, 1, 39, 7, 11, 87, 19, 6, 17, 2, 4.0, 16.0, 17.0, 0, 2, 13, 4, 4, 5, 6, 0, 3, 5, 4, 1, 0.0, 2, 4, 4, 4, 1, 11, 12, 21.05, 84.21, 89.47, 31.59765625, 84.59375, 92.296875, 30.796875, 15.3984375, 68.390625, 0.0, 23.09765625, 38.5, 30.796875, 7.7, 0.0, 30.796875, 15.3984375, 30.796875, 30.796875, 38.5, 30.796875, 29.0, 1.0, 23.0, 4.0, 14.0, "Tous les candidats sauf les Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 40.0, "19202", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19202&g_ta_cod=19202", 37.0, 21.0, 42.0),
(3307, "Public", "0020050U", "Lycée Condorcet", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "BTS", "Lycée Condorcet - BTS - Production - Electrotechnique", "BTS - Production", "", 28, 168, 14, 168, 0, 8, 2, 20, 6, 63, 19, 77, 0, 0, 0, 0, 0, 104, 0, 0, 0, 8, 2, 20, 6, 63, 19, 13, 69, 27, 1, 27, 0, 13.0, 27.0, 27.0, 0, 4, 24, 2, 2, 20, 3, 0, 11, 9, 3, 1, 0.0, 0, 1, 12, 3, 0, 21, 21, 48.15, 100.0, 100.0, 3.69970703125, 87.5, 87.5, 12.5, 16.69921875, 88.890625, 0.0, 45.796875, 37.5, 12.5, 4.2, 0.0, 8.298828125, 0.0, 8.298828125, 4.19921875, 83.296875, 50.0, 5.0, 1.0, 44.0, 10.0, 7.0, "Tous les candidats sauf les Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 59, "", 0, "Liste d'appel propre à cette formation", 54.0, "2064", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2064&g_ta_cod=2064", 11.0, 11.0, 78.0),
(3308, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Université Angers - Licence - Portail Langues étrangères appliquées - Anglais-Allemand", "Licence - Arts-lettres-langues", "Anglais-Allemand", 5, 62, 45, 61, 0, 42, 10, 3, 2, 3, 2, 13, 1, 0, 0, 1, 0, 61, 1, 0, 0, 42, 10, 3, 2, 3, 2, 13, 30, 5, 3, 4, 1, 0.0, 4.0, 4.0, 0, 3, 5, 4, 0, 1, 0, 0, 2, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 2, 2, 0.0, 80.0, 80.0, 60.0, 40.0, 40.0, 0, 60.0, 100.0, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 80.0, 60.0, 0.0, 0.0, 20.0, 0.0, 19.0, 6.0, 2.0, 2.0, 8.0, "Tous les candidats", 233.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "26806", "Licence - Portail Langues étrangères appliquées - Anglais-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26805&g_ta_cod=26806", 80.0, 0.0, 20.0),
(3309, "Privé sous contrat d'association", "0422128K", "Institut Régional et Européen des métiers de l'Intervention Sociale Rhône-Alpes - IREIS", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Firminy", "formation sélective", "EFTS", "Institut Régional et Européen des métiers de l'Intervention Sociale Rhône-Alpes- IREIS - D.E Assistant de Service Social", "D.E secteur social", "", 34, 121, 110, 101, 0, 21, 6, 16, 4, 8, 1, 56, 20, 1, 3, 1, 15, 66, 8, 0, 0, 15, 4, 5, 1, 3, 0, 43, 68, 34, 30, 27, 7, 13.0, 27.0, 29.0, 0, 2, 7, 3, 4, 0, 27, 0, 3, 3, 0, 1, 0.0, 2, 2, 0, 0, 0, 5, 5, 38.24, 79.41, 85.29, 88.1875, 71.390625, 71.390625, 0, 28.59765625, 20.59765625, 0.0, 42.8984375, 42.8984375, 0.0, 14.3, 0.0, 42.8984375, 28.59765625, 57.09375, 28.59765625, 0.0, 0.0, 12.0, 3.0, 2.0, 0.0, 47.0, "Tous les candidats", 86.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 59.0, "23449", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24806&g_ta_cod=23449", 38.0, 29.0, 26.0),
(3310, "Public", "0922472M", "Université Paris Nanterre - Ville-d'Avray", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Ville-d'Avray", "formation non sélective", "Licence", "Université Paris Nanterre - Ville-d'Avray - Licence - Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "", 26, 1259, 274, 1259, 0, 802, 153, 60, 24, 3, 0, 394, 0, 0, 0, 0, 0, 1259, 0, 0, 0, 802, 153, 60, 24, 3, 0, 394, 193, 25, 2, 24, 0, 2.0, 14.0, 19.0, 0, 6, 20, 20, 0, 0, 5, 0, 7, 6, 5, 2, 0.0, 13, 0, 0, 0, 0, 10, 16, 8.0, 56.0, 76.0, 8.0, 50.0, 80.0, 0, 30.0, 80.0, 0.0, 35.0, 30.0, 25.0, 10.0, 0.0, 100.0, 65.0, 0.0, 0.0, 0.0, 0.0, 162.0, 34.0, 0.0, 0.0, 26.0, "Tous les candidats", 367.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "11152", "Licence - Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11152&g_ta_cod=11152", 100.0, 0.0, 0.0),
(3311, "Public", "9740002J", "Lycée Roland Garros", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation sélective", "BTS", "Lycée Roland Garros - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 218, 10, 198, 0, 15, 8, 63, 33, 92, 59, 28, 20, 0, 7, 3, 10, 123, 3, 0, 0, 13, 6, 35, 19, 64, 43, 11, 78, 26, 2, 24, 2, 13.0, 20.0, 22.0, 0, 10, 24, 2, 5, 17, 2, 1, 5, 8, 6, 4, 0.0, 1, 2, 15, 14, 1, 24, 24, 50.0, 76.92, 84.62, 7.69921875, 100.0, 100.0, 58.296875, 41.6953125, 92.296875, 4.19921875, 20.796875, 33.296875, 25.0, 16.7, 0.0, 8.298828125, 4.19921875, 20.796875, 8.298828125, 70.796875, 62.5, 11.0, 5.0, 30.0, 20.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 38.0, "13517", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13517&g_ta_cod=13517", 12.0, 23.0, 65.0),
(3312, "Public", "0671557D", "I.U.T. d'Illkirch", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "BUT", "I.U.T. d'Illkirch - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Intégration d'applications et management du système d?information", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Intégration d'applications et management du système d?information", 96, 1178, 123, 1178, 0, 649, 135, 255, 98, 21, 7, 253, 0, 0, 0, 0, 0, 459, 0, 0, 0, 265, 44, 99, 31, 1, 1, 94, 313, 91, 11, 91, 0, 24.0, 82.0, 89.0, 0, 21, 72, 48, 24, 0, 19, 0, 6, 31, 29, 6, 0.0, 45, 21, 0, 0, 0, 59, 59, 26.37, 90.11, 97.8, 12.099609375, 81.890625, 81.890625, 0, 29.19921875, 79.09375, 0.0, 8.298828125, 43.09375, 40.296875, 8.3, 0.0, 66.6875, 62.5, 33.296875, 29.19921875, 0.0, 0.0, 158.0, 33.0, 1.0, 1.0, 67.0, "Tous les candidats sauf les Bac technologiques", 322.0, "Bacheliers technologiques toutes séries", 109, "", 0, "Liste d'appel propre à cette formation", 37.0, "7967", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Intégration d'applications et management du système d?information", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7967&g_ta_cod=7967", 70.0, 30.0, 0.0),
(3313, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence_Las", "Université de Reims Champagne-Ardenne - Licence - Sciences pour la santé - Economie et gestion -  option Santé", "Licence - Sciences - technologies - santé", "Economie et gestion : Université de Reims Champagne-Ardenne", 105, 576, 362, 551, 0, 402, 71, 30, 11, 4, 2, 115, 25, 9, 0, 0, 16, 546, 24, 0, 0, 402, 71, 30, 11, 4, 2, 110, 463, 102, 55, 88, 12, 6.0, 70.0, 92.0, 0, 9, 78, 74, 3, 1, 24, 0, 28, 26, 22, 2, 0.0, 49, 0, 1, 0, 0, 59, 59, 5.88, 68.63, 90.2, 53.8984375, 75.59375, 75.59375, 0, 11.5, 76.5, 0.0, 35.8984375, 33.296875, 28.19921875, 2.6, 0.0, 94.890625, 62.796875, 3.7998046875, 0.0, 1.2998046875, 1.2998046875, 361.0, 61.0, 2.0, 0.0, 85.0, "Tous les candidats", 544.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "32182", "Licence - Sciences pour la santé - Economie et gestion -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32180&g_ta_cod=32182", 90.0, 7.0, 2.0),
(3314, "Public", "0401002X", "Lycée Haroun Tazieff", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Saint-Paul-lès-Dax", "formation sélective", "BTS", "Lycée Haroun Tazieff - BTS - Production - Développement et Réalisation Bois", "BTS - Production", "", 15, 220, 34, 220, 0, 27, 8, 52, 12, 100, 22, 41, 0, 0, 0, 0, 0, 205, 0, 0, 0, 27, 8, 52, 12, 89, 19, 37, 78, 11, 2, 11, 0, 1.0, 7.0, 9.0, 0, 3, 9, 0, 1, 8, 2, 0, 2, 2, 5, 0, 0.0, 0, 0, 7, 1, 0, 9, 9, 9.09, 63.64, 81.82, 18.19921875, 100.0, 100.0, 11.099609375, 33.296875, 81.796875, 0.0, 22.19921875, 22.19921875, 55.59375, 0.0, 0.0, 0.0, 0.0, 11.099609375, 0.0, 88.890625, 77.796875, 9.0, 2.0, 20.0, 6.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 39.0, "5221", "BTS - Production - Développement et Réalisation Bois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5221&g_ta_cod=5221", 9.0, 18.0, 73.0),
(3315, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "Université de Montpellier - DEUST - Animation et gestion des activités physiques, sportives ou culturelles - Football", "DEUST", "Football", 25, 557, 63, 557, 0, 200, 40, 147, 33, 65, 29, 145, 0, 0, 0, 0, 0, 71, 0, 0, 0, 33, 0, 10, 0, 2, 0, 26, 42, 24, 5, 24, 0, 13.0, 23.0, 24.0, 0, 0, 12, 10, 1, 1, 12, 0, 2, 7, 3, 0, 0.0, 8, 1, 1, 0, 0, 4, 4, 54.17, 95.83, 100.0, 20.796875, 33.296875, 33.296875, 0, 0.0, 50.0, 0.0, 16.69921875, 58.296875, 25.0, 0.0, 0.0, 83.296875, 66.6875, 8.298828125, 8.298828125, 8.298828125, 8.298828125, 20.0, 0.0, 2.0, 0.0, 14.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "21500", "DEUST - Animation et gestion des activités physiques, sportives ou culturelles - Football", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21500&g_ta_cod=21500", 71.0, 25.0, 4.0),
(3316, "Public", "0624430D", "GAMBETTA CARNOT", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "GAMBETTA CARNOT - BTS - Production - Electrotechnique", "BTS - Production", "", 33, 182, 10, 169, 0, 6, 2, 25, 13, 71, 24, 67, 13, 0, 3, 7, 3, 169, 4, 0, 0, 6, 2, 25, 13, 71, 24, 67, 100, 16, 0, 15, 1, 7.0, 15.0, 16.0, 0, 6, 13, 0, 6, 7, 3, 0, 4, 7, 2, 0, 0.0, 0, 5, 4, 6, 0, 13, 13, 43.75, 93.75, 100.0, 0.0, 100.0, 100.0, 46.1953125, 46.1953125, 81.296875, 0.0, 30.796875, 53.796875, 15.3984375, 0.0, 0.0, 0.0, 0.0, 46.1953125, 38.5, 53.796875, 30.796875, 6.0, 2.0, 58.0, 22.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 70.0, "7334", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7334&g_ta_cod=7334", 13.0, 44.0, 44.0),
(3317, "Public", "0630069H", "Lycée Jean Zay", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Thiers", "formation sélective", "BTS", "Lycée Jean Zay - BTS - Production - Conception de produits industriels", "BTS - Production", "", 24, 576, 114, 541, 0, 27, 3, 99, 22, 34, 8, 381, 35, 2, 4, 2, 27, 158, 15, 0, 0, 26, 3, 78, 18, 28, 8, 26, 124, 20, 3, 13, 7, 4.0, 13.0, 16.0, 0, 2, 12, 4, 7, 1, 8, 0, 8, 3, 1, 0, 0.0, 0, 3, 1, 4, 0, 9, 9, 20.0, 65.0, 80.0, 15.0, 75.0, 75.0, 33.296875, 16.69921875, 60.0, 0.0, 66.6875, 25.0, 8.298828125, 0.0, 0.0, 33.296875, 0.0, 58.296875, 25.0, 8.298828125, 8.298828125, 20.0, 3.0, 21.0, 4.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 28.0, "7581", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7581&g_ta_cod=7581", 25.0, 70.0, 5.0),
(3318, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues étrangères appliquées - Parcours LEA  Anglais - Espagnol", "Licence - Arts-lettres-langues", "LEA  Anglais - Espagnol", 180, 3215, 2527, 3215, 0, 2004, 549, 298, 124, 71, 32, 842, 0, 0, 0, 0, 0, 3200, 0, 0, 0, 2004, 549, 298, 124, 71, 32, 827, 676, 178, 157, 178, 0, 15.0, 151.0, 166.0, 0, 46, 138, 121, 10, 7, 40, 0, 2, 47, 75, 14, 0.0, 119, 10, 7, 0, 0, 17, 126, 8.43, 84.83, 93.26, 88.1875, 12.298828125, 91.296875, 0, 33.296875, 77.5, 0.0, 1.39990234375, 34.09375, 54.296875, 10.1, 0.0, 87.6875, 86.1875, 7.19921875, 7.19921875, 5.099609375, 5.099609375, 484.0, 128.0, 11.0, 6.0, 135.0, "Tous les candidats", 935.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "9245", "Licence - Langues étrangères appliquées - Parcours LEA  Anglais - Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9245&g_ta_cod=9245", 87.0, 8.0, 4.0),
(3319, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 1032, 7750, 6505, 7750, 0, 4185, 1061, 735, 261, 258, 107, 2572, 0, 0, 0, 0, 0, 7714, 0, 0, 0, 4185, 1061, 735, 261, 258, 107, 2536, 3382, 1022, 843, 1021, 0, 218.0, 737.0, 852.0, 0, 213, 754, 587, 116, 51, 268, 4, 220, 337, 155, 38, 0.0, 425, 67, 38, 0, 0, 643, 643, 21.33, 72.11, 83.37, 82.5, 85.296875, 85.296875, 0, 28.19921875, 73.796875, 0.5, 29.19921875, 44.6953125, 20.59765625, 5.0, 0.0, 77.890625, 56.3984375, 15.3984375, 8.8984375, 6.7998046875, 5.0, 2070.0, 525.0, 132.0, 54.0, 834.0, "Tous les candidats", 3893.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 46.0, "12590", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28496&g_ta_cod=12590", 76.0, 15.0, 8.0),
(3320, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université de Montpellier - Licence - Informatique - Parcours Licence - Portail Informatique", "Licence - Sciences - technologies - santé", "Licence - Portail Informatique", 120, 1681, 251, 1681, 0, 942, 236, 134, 48, 14, 9, 591, 0, 0, 0, 0, 0, 1653, 0, 0, 0, 942, 236, 134, 48, 14, 9, 563, 605, 123, 18, 123, 0, 53.0, 88.0, 111.0, 0, 29, 92, 87, 5, 0, 31, 0, 31, 43, 15, 3, 0.0, 60, 1, 0, 0, 0, 73, 73, 43.09, 71.54, 90.24, 14.599609375, 79.296875, 79.296875, 0, 31.5, 74.796875, 0.0, 33.6953125, 46.6953125, 16.296875, 3.3, 0.0, 94.59375, 65.1875, 5.3994140625, 1.099853515625, 0.0, 0.0, 425.0, 101.0, 0.0, 0.0, 154.0, "Tous les candidats", 692.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "31257", "Licence - Informatique - Parcours Licence - Portail Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31257&g_ta_cod=31257", 95.0, 4.0, 0.0),
(3321, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Licence", "Université de Limoges - Licence - Administration économique et sociale - Parcours Gestion immobilière et métiers de l'immobilier", "Licence - Droit-économie-gestion", "Gestion immobilière et métiers de l'immobilier", 30, 552, 323, 537, 0, 278, 59, 89, 27, 25, 14, 145, 15, 5, 5, 0, 5, 250, 1, 0, 0, 192, 32, 8, 1, 0, 0, 50, 129, 25, 16, 24, 1, 5.0, 19.0, 22.0, 0, 6, 19, 19, 0, 0, 6, 0, 2, 12, 4, 1, 0.0, 17, 0, 0, 0, 0, 9, 9, 20.0, 76.0, 88.0, 64.0, 47.3984375, 47.3984375, 0, 31.59765625, 76.0, 0.0, 10.5, 63.1953125, 21.09765625, 5.3, 0.0, 100.0, 89.5, 0.0, 0.0, 0.0, 0.0, 100.0, 21.0, 0.0, 0.0, 29.0, "Tous les candidats", 185.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "10719", "Licence - Administration économique et sociale - Parcours Gestion immobilière et métiers de l'immobilier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10719&g_ta_cod=10719", 100.0, 0.0, 0.0),
(3322, "Public", "0851390Z", "Lycée Leonard de Vinci", "85", "Vendée", "Pays de la Loire", "Nantes", "Montaigu-Vendée", "formation sélective", "BTS", "Lycée Leonard de Vinci - BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "BTS - Services", "", 8, 724, 101, 724, 0, 278, 41, 126, 24, 65, 27, 255, 0, 0, 0, 0, 0, 46, 0, 0, 0, 21, 3, 10, 1, 10, 3, 5, 14, 8, 1, 8, 0, 3.0, 7.0, 8.0, 0, 2, 7, 3, 3, 1, 1, 0, 1, 0, 4, 2, 0.0, 3, 2, 1, 1, 0, 6, 6, 37.5, 87.5, 100.0, 12.5, 85.6875, 85.6875, 14.298828125, 28.59765625, 87.5, 0.0, 14.298828125, 0.0, 57.09375, 28.6, 0.0, 42.8984375, 42.8984375, 42.8984375, 28.59765625, 14.298828125, 14.298828125, 7.0, 3.0, 1.0, 1.0, 1.0, "Tous les candidats sauf les Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 3.0, "10539", "BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10539&g_ta_cod=10539", 50.0, 38.0, 13.0),
(3323, "Public", "0750612H", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART.", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART. - DN MADE - Graphisme - - Spécialité : Identité visuelle et stratégie de communication", "DN MADE", "- Spécialité : Identité visuelle et stratégie de communication", 15, 1739, 1192, 1739, 0, 653, 101, 298, 52, 187, 48, 601, 0, 0, 0, 0, 0, 101, 0, 0, 0, 33, 1, 40, 4, 5, 2, 23, 37, 16, 13, 16, 0, 7.0, 15.0, 15.0, 0, 1, 14, 5, 8, 1, 2, 0, 0, 3, 4, 7, 0.0, 5, 8, 1, 0, 0, 4, 6, 43.75, 93.75, 93.75, 81.296875, 28.59765625, 42.8984375, 0, 7.099609375, 87.5, 0.0, 0.0, 21.3984375, 28.59765625, 50.0, 0.0, 35.6953125, 35.6953125, 57.09375, 57.09375, 7.099609375, 7.099609375, 14.0, 1.0, 3.0, 2.0, 5.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 3.0, "21973", "DN MADE - Graphisme - - Spécialité : Identité visuelle et stratégie de communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21973&g_ta_cod=21973", 38.0, 50.0, 13.0),
(3324, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Langues étrangères appliquées - Parcours Anglais-Allemand", "Licence - Arts-lettres-langues", "Anglais-Allemand", 47, 219, 156, 168, 0, 116, 18, 7, 1, 1, 1, 44, 51, 8, 5, 4, 34, 168, 50, 0, 0, 116, 18, 7, 1, 1, 1, 44, 209, 45, 34, 27, 18, 15.0, 27.0, 38.0, 0, 4, 24, 18, 3, 3, 21, 0, 8, 8, 7, 1, 0.0, 12, 2, 2, 0, 0, 21, 21, 33.33, 60.0, 84.44, 75.59375, 87.5, 87.5, 0, 16.69921875, 53.296875, 0.0, 33.296875, 33.296875, 29.19921875, 4.2, 0.0, 75.0, 50.0, 12.5, 8.298828125, 12.5, 8.298828125, 120.0, 19.0, 5.0, 4.0, 73.0, "Tous les candidats", 168.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "3259", "Licence - Langues étrangères appliquées - Parcours Anglais-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3259&g_ta_cod=3259", 76.0, 13.0, 11.0),
(3325, "Public", "0420041S", "Lycée Claude Fauriel", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "CPGE", "Lycée Claude Fauriel - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 392, 159, 389, 266, 338, 38, 0, 0, 0, 0, 51, 3, 2, 0, 0, 1, 321, 1, 236, 276, 299, 30, 0, 0, 0, 0, 22, 174, 17, 4, 16, 1, 0.0, 11.0, 16.0, 3, 1, 17, 17, 0, 0, 0, 0, 0, 2, 11, 4, 0.0, 17, 0, 0, 2, 1, 10, 10, 0.0, 64.71, 94.12, 23.5, 58.796875, 58.796875, 11.798828125, 5.8994140625, 100.0, 0.0, 0.0, 11.798828125, 64.6875, 23.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 166.0, 17.0, 0.0, 0.0, 8.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "31592", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31316&g_ta_cod=31592", 100.0, 0.0, 0.0),
(3326, "Public", "0770927P", "Lycée Francois Ier", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Fontainebleau", "formation sélective", "CPGE", "Lycée Francois Ier - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 1058, 272, 1058, 792, 942, 77, 0, 0, 0, 0, 116, 0, 0, 0, 0, 0, 630, 0, 443, 606, 627, 57, 0, 0, 0, 0, 3, 280, 48, 9, 48, 0, 15.0, 35.0, 47.0, 15, 3, 48, 48, 0, 0, 0, 0, 0, 0, 15, 31, 2.0, 48, 0, 0, 8, 2, 30, 40, 31.25, 72.92, 97.92, 18.796875, 62.5, 83.296875, 16.69921875, 6.2998046875, 100.0, 0.0, 0.0, 0.0, 31.296875, 64.6, 4.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 280.0, 25.0, 0.0, 0.0, 0.0, "Tous les candidats", 343.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "9796", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9796&g_ta_cod=9796", 100.0, 0.0, 0.0),
(3327, "Public", "0442094M", "Lycée polyvalent Nicolas Appert", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Orvault", "formation sélective", "BTS", "Lycée polyvalent Nicolas Appert - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 199, 10, 180, 0, 4, 0, 60, 8, 72, 19, 44, 19, 1, 5, 2, 11, 136, 7, 0, 0, 4, 0, 54, 6, 67, 17, 11, 100, 16, 0, 13, 3, 0.0, 11.0, 13.0, 0, 3, 11, 0, 1, 10, 5, 0, 6, 4, 1, 0, 0.0, 0, 0, 5, 1, 0, 9, 9, 0.0, 68.75, 81.25, 0.0, 81.796875, 81.796875, 9.099609375, 27.296875, 68.796875, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 0.0, 0.0, 9.099609375, 0.0, 90.890625, 45.5, 4.0, 0.0, 42.0, 12.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 75.0, "5612", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5612&g_ta_cod=5612", 13.0, 13.0, 75.0),
(3328, "Public", "0861408N", "Lycée professionnel KYOTO", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée professionnel KYOTO - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 36, 295, 166, 293, 0, 0, 0, 108, 15, 120, 33, 65, 2, 0, 0, 0, 2, 279, 0, 0, 0, 0, 0, 104, 14, 114, 31, 61, 119, 34, 18, 34, 0, 19.0, 30.0, 32.0, 0, 11, 31, 0, 13, 18, 3, 0, 5, 7, 14, 5, 0.0, 0, 9, 17, 13, 6, 21, 21, 55.88, 88.24, 94.12, 52.8984375, 67.6875, 67.6875, 41.8984375, 35.5, 91.1875, 0.0, 16.09765625, 22.59765625, 45.1953125, 16.1, 0.0, 0.0, 0.0, 41.8984375, 29.0, 58.09375, 54.796875, 0.0, 0.0, 46.0, 16.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 120, "Liste d'appel propre à cette formation", 80.0, "15936", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15936&g_ta_cod=15936", 6.0, 38.0, 56.0),
(3329, "Privé sous contrat d'association", "0622114L", "Lycée Saint-Paul", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "BTS", "Lycée Saint-Paul - BTS - Services - Commerce International", "BTS - Services", "", 35, 460, 216, 372, 0, 85, 16, 63, 17, 21, 10, 203, 88, 12, 18, 4, 54, 152, 35, 0, 0, 71, 13, 39, 8, 3, 1, 39, 155, 35, 17, 25, 10, 3.0, 25.0, 33.0, 0, 3, 22, 12, 8, 2, 13, 0, 8, 10, 4, 0, 0.0, 5, 7, 2, 5, 2, 18, 18, 8.57, 71.43, 94.29, 48.59375, 81.796875, 81.796875, 22.69921875, 13.599609375, 62.8984375, 0.0, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 54.5, 22.69921875, 36.3984375, 31.796875, 9.099609375, 9.099609375, 65.0, 11.0, 3.0, 1.0, 52.0, "Tous les candidats sauf les Bac professionnels", 148.0, "Bacheliers professionnels toutes séries", 3, "", 0, "Liste d'appel propre à cette formation", 41.0, "17737", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17737&g_ta_cod=17737", 54.0, 37.0, 9.0),
(3330, "Public", "0771512A", "Lycée Van Dongen", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lagny-sur-Marne", "formation sélective", "BTS", "Lycée Van Dongen - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 283, 101, 283, 0, 24, 4, 123, 42, 60, 19, 76, 0, 0, 0, 0, 0, 183, 0, 0, 0, 18, 2, 75, 26, 60, 19, 30, 68, 21, 10, 21, 0, 6.0, 18.0, 18.0, 0, 3, 15, 2, 6, 7, 6, 1, 8, 4, 1, 1, 0.0, 0, 3, 3, 5, 2, 15, 15, 28.57, 85.71, 85.71, 47.59375, 100.0, 100.0, 33.296875, 20.0, 71.390625, 6.69921875, 53.296875, 26.69921875, 6.69921875, 6.7, 0.0, 13.298828125, 0.0, 40.0, 20.0, 46.6953125, 20.0, 9.0, 2.0, 27.0, 7.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 26.0, "9842", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9842&g_ta_cod=9842", 19.0, 43.0, 38.0),
(3331, "Public", "7200583W", "Lycée Paul Vincensini", "2B", "Haute-Corse", "Corse", "Corse", "Bastia", "formation sélective", "BTS", "Lycée Paul Vincensini - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 25, 187, 93, 184, 0, 38, 11, 60, 15, 27, 13, 59, 3, 0, 0, 3, 0, 94, 1, 0, 0, 29, 8, 37, 12, 13, 6, 15, 73, 23, 8, 23, 0, 7.0, 20.0, 22.0, 0, 12, 20, 1, 14, 5, 3, 0, 7, 9, 3, 1, 0.0, 1, 10, 2, 8, 1, 20, 20, 30.43, 86.96, 95.65, 34.796875, 100.0, 100.0, 40, 60.0, 87.0, 0.0, 35.0, 45.0, 15.0, 5.0, 0.0, 5.0, 5.0, 70.0, 50.0, 25.0, 10.0, 23.0, 4.0, 15.0, 6.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 48.0, "11705", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11705&g_ta_cod=11705", 4.0, 74.0, 22.0),
(3332, "Privé sous contrat d'association", "0161002C", "MFR Education Orientation des Charentes", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Cherves-Richemont", "formation sélective", "BTS", "MFR Education Orientation des Charentes - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 80, 182, 92, 179, 0, 29, 5, 10, 1, 22, 7, 118, 3, 0, 0, 1, 2, 76, 0, 0, 0, 29, 5, 10, 1, 22, 7, 15, 76, 22, 18, 22, 0, 22.0, 22.0, 22.0, 0, 3, 14, 7, 2, 5, 8, 0, 6, 7, 1, 0, 0.0, 4, 1, 3, 0, 0, 5, 5, 100.0, 100.0, 100.0, 81.796875, 35.6953125, 35.6953125, 0, 21.3984375, 63.59375, 0.0, 42.8984375, 50.0, 7.099609375, 0.0, 0.0, 50.0, 28.59765625, 14.298828125, 7.099609375, 35.6953125, 21.3984375, 29.0, 5.0, 22.0, 7.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 42.0, "3003", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3003&g_ta_cod=3003", 59.0, 9.0, 27.0),
(3333, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence_Las", "Université de Paris - Licence - Portail Langues étrangères appliquées - LEA Anglais Espagnol", "Licence - Arts-lettres-langues", "LEA Anglais Espagnol", 30, 667, 560, 667, 0, 350, 126, 44, 24, 7, 3, 266, 0, 0, 0, 0, 0, 667, 0, 0, 0, 350, 126, 44, 24, 7, 3, 266, 160, 27, 25, 27, 0, 1.0, 16.0, 23.0, 0, 7, 13, 11, 2, 0, 14, 0, 1, 4, 7, 1, 0.0, 10, 2, 0, 0, 0, 1, 10, 3.7, 59.26, 85.19, 92.59375, 7.69921875, 76.890625, 0, 53.796875, 48.09375, 0.0, 7.69921875, 30.796875, 53.796875, 7.7, 0.0, 84.59375, 76.890625, 15.3984375, 15.3984375, 0.0, 0.0, 93.0, 26.0, 1.0, 1.0, 61.0, "Tous les candidats", 557.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "29404", "Licence - Portail Langues étrangères appliquées - LEA Anglais Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29403&g_ta_cod=29404", 89.0, 11.0, 0.0),
(3334, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Espagnol : Langue, Littérature et Civilisation Étrangère", "Licence - Arts-lettres-langues", "Espagnol : Langue, Littérature et Civilisation Étrangère", 70, 256, 215, 229, 0, 167, 59, 18, 6, 4, 3, 40, 27, 4, 6, 0, 17, 229, 26, 0, 0, 167, 59, 18, 6, 4, 3, 40, 226, 45, 40, 37, 8, 11.0, 37.0, 40.0, 0, 17, 31, 29, 1, 1, 14, 1, 9, 13, 6, 1, 1.0, 19, 1, 1, 0, 0, 31, 31, 24.44, 82.22, 88.89, 88.890625, 100.0, 100.0, 0, 54.796875, 68.890625, 3.19970703125, 29.0, 41.8984375, 19.3984375, 3.2, 3.2, 93.5, 61.296875, 3.19970703125, 3.19970703125, 3.19970703125, 3.19970703125, 149.0, 53.0, 4.0, 3.0, 52.0, "Tous les candidats", 229.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7033", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Espagnol : Langue, Littérature et Civilisation Étrangère", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7033&g_ta_cod=7033", 87.0, 9.0, 4.0),
(3335, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Langues étrangères appliquées - Parcours Anglais - Portugais", "Licence - Arts-lettres-langues", "Anglais - Portugais", 45, 141, 96, 77, 0, 25, 6, 11, 4, 18, 8, 23, 64, 8, 5, 11, 40, 74, 53, 0, 0, 25, 6, 11, 4, 18, 8, 20, 125, 22, 15, 9, 13, 5.0, 9.0, 18.0, 0, 5, 13, 6, 2, 5, 9, 0, 9, 2, 2, 0, 0.0, 3, 1, 0, 0, 0, 8, 8, 22.73, 40.91, 81.82, 68.1875, 61.5, 61.5, 0, 38.5, 59.09375, 0.0, 69.1875, 15.3984375, 15.3984375, 0.0, 0.0, 46.1953125, 23.09765625, 15.3984375, 7.69921875, 38.5, 0.0, 32.0, 8.0, 27.0, 13.0, 50.0, "Tous les candidats", 74.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "5344", "Licence - Langues étrangères appliquées - Parcours Anglais - Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5344&g_ta_cod=5344", 41.0, 14.0, 45.0),
(3336, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Lettres - Parcours Lettres classiques", "Licence - Arts-lettres-langues", "Lettres classiques", 100, 143, 112, 111, 0, 74, 17, 5, 0, 3, 0, 29, 32, 3, 2, 4, 23, 111, 28, 0, 0, 74, 17, 5, 0, 3, 0, 29, 138, 13, 8, 8, 5, 5.0, 8.0, 9.0, 0, 1, 6, 3, 0, 3, 7, 0, 2, 3, 1, 0, 0.0, 2, 0, 2, 0, 0, 6, 6, 38.46, 61.54, 69.23, 61.5, 100.0, 100.0, 0, 16.69921875, 46.1953125, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 50.0, 33.296875, 0.0, 0.0, 50.0, 33.296875, 77.0, 19.0, 6.0, 2.0, 48.0, "Tous les candidats", 111.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3546", "Licence - Lettres - Parcours Lettres classiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3546&g_ta_cod=3546", 54.0, 8.0, 38.0),
(3337, "Privé sous contrat d'association", "0261067U", "Lycée agricole LES MANDAILLES", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Châteauneuf-de-Galaure", "formation sélective", "BTS", "Lycée agricole LES MANDAILLES - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 26, 185, 105, 174, 0, 41, 3, 34, 5, 33, 6, 66, 11, 4, 1, 0, 6, 116, 0, 0, 0, 40, 3, 33, 5, 20, 1, 23, 76, 21, 9, 21, 0, 9.0, 18.0, 21.0, 0, 3, 18, 7, 5, 6, 3, 0, 8, 8, 2, 0, 0.0, 4, 2, 4, 5, 1, 15, 15, 42.86, 85.71, 100.0, 42.8984375, 83.296875, 83.296875, 27.796875, 16.69921875, 85.6875, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 38.8984375, 22.19921875, 27.796875, 11.099609375, 33.296875, 22.19921875, 30.0, 2.0, 11.0, 1.0, 16.0, "Tous les candidats sauf les Bac professionnels", 92.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 63.0, "3650", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3650&g_ta_cod=3650", 38.0, 29.0, 33.0),
(3338, "Public", "0420041S", "Lycée Claude Fauriel", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "CPGE", "Lycée Claude Fauriel - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 462, 206, 443, 295, 394, 38, 1, 1, 0, 0, 48, 19, 13, 0, 0, 6, 333, 14, 245, 288, 315, 27, 0, 0, 0, 0, 18, 195, 3, 2, 1, 2, 0.0, 0.0, 3.0, 1, 0, 3, 3, 0, 0, 0, 0, 0, 0, 1, 2, 0.0, 3, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 33.296875, 66.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 183.0, 15.0, 0.0, 0.0, 12.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "31476", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31316&g_ta_cod=31476", 100.0, 0.0, 0.0),
(3339, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 518, 3758, 1101, 3758, 0, 2308, 352, 497, 129, 119, 57, 834, 0, 0, 0, 0, 0, 3747, 0, 0, 0, 2308, 352, 497, 129, 119, 57, 823, 1542, 501, 116, 501, 0, 100.0, 377.0, 449.0, 0, 84, 398, 310, 51, 37, 103, 3, 137, 183, 68, 7, 0.0, 207, 29, 22, 0, 0, 339, 339, 19.96, 75.25, 89.62, 23.19921875, 85.1875, 85.1875, 0, 21.09765625, 79.390625, 0.7999267578125, 34.3984375, 46.0, 17.09765625, 1.8, 0.0, 77.890625, 52.0, 12.798828125, 7.2998046875, 9.298828125, 5.5, 937.0, 158.0, 63.0, 35.0, 443.0, "Tous les candidats", 1875.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "20460", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28768&g_ta_cod=20460", 76.0, 14.0, 9.0),
(3340, "Public", "0310033T", "Lycée professionnel Elisabeth Et Norbert Casteret", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Saint-Gaudens", "formation sélective", "BTS", "Lycée professionnel Elisabeth Et Norbert Casteret - BTS - Services - Economie sociale familiale", "BTS - Services", "", 18, 401, 351, 401, 0, 36, 11, 73, 22, 153, 61, 139, 0, 0, 0, 0, 0, 401, 0, 0, 0, 36, 11, 73, 22, 153, 61, 139, 130, 15, 14, 15, 0, 2.0, 8.0, 11.0, 0, 6, 10, 1, 2, 7, 5, 0, 3, 3, 4, 0, 0.0, 0, 1, 6, 1, 0, 9, 9, 13.33, 53.33, 73.33, 93.296875, 90.0, 90.0, 10, 60.0, 66.6875, 0.0, 30.0, 30.0, 40.0, 0.0, 0.0, 10.0, 0.0, 20.0, 10.0, 70.0, 60.0, 7.0, 4.0, 49.0, 23.0, 38.0, "Tous les candidats sauf les Bac professionnels", 118.0, "Bacheliers professionnels toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 43.0, "25227", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25227&g_ta_cod=25227", 20.0, 20.0, 60.0),
(3341, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Autre formation", "Université de La Rochelle - C.M.I - Cursus Master en Ingénierie - Sciences pour la santé - Cursus Master en Ingénierie", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie", 10, 311, 236, 311, 0, 149, 13, 3, 1, 2, 0, 157, 0, 0, 0, 0, 0, 302, 0, 0, 0, 145, 12, 3, 1, 2, 0, 152, 83, 10, 8, 10, 0, 0.0, 6.0, 9.0, 0, 1, 9, 9, 0, 0, 1, 0, 0, 2, 6, 1, 0.0, 9, 0, 0, 0, 0, 3, 3, 0.0, 60.0, 90.0, 80.0, 33.296875, 33.296875, 0, 11.099609375, 90.0, 0.0, 0.0, 22.19921875, 66.6875, 11.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 60.0, 4.0, 0.0, 0.0, 22.0, "Tous les candidats", 139.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "20976", "C.M.I - Cursus Master en Ingénierie - Sciences pour la santé - Cursus Master en Ingénierie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20976&g_ta_cod=20976", 100.0, 0.0, 0.0),
(3342, "Privé sous contrat d'association", "9740679V", "Lycée professionnel Cluny Ste Suzanne", "974", "La Réunion", "La Réunion", "La Réunion", "Sainte-Suzanne", "formation sélective", "BTS", "Lycée professionnel Cluny Ste Suzanne - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 173, 97, 109, 0, 15, 9, 28, 17, 45, 30, 21, 64, 1, 25, 12, 26, 56, 25, 0, 0, 13, 8, 16, 12, 23, 16, 4, 75, 22, 13, 13, 8, 3.0, 12.0, 19.0, 0, 13, 17, 3, 4, 10, 5, 0, 9, 6, 2, 0, 0.0, 1, 0, 7, 6, 3, 15, 15, 13.64, 54.55, 86.36, 59.09375, 88.1875, 88.1875, 35.296875, 76.5, 77.296875, 0.0, 52.8984375, 35.296875, 11.798828125, 0.0, 0.0, 17.59765625, 5.8994140625, 23.5, 0.0, 58.796875, 41.1953125, 10.0, 7.0, 29.0, 19.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 48.0, "15882", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15882&g_ta_cod=15882", 23.0, 27.0, 50.0),
(3343, "Privé enseignement supérieur", "0642008K", "CESI Campus de Pau", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 40, 822, 129, 801, 0, 609, 58, 56, 12, 0, 0, 136, 21, 10, 1, 0, 10, 618, 7, 0, 0, 500, 40, 44, 9, 0, 0, 74, 198, 21, 2, 20, 1, 17.0, 20.0, 21.0, 0, 1, 18, 17, 1, 0, 3, 0, 4, 9, 5, 0, 0.0, 13, 1, 0, 0, 0, 14, 14, 80.95, 95.24, 100.0, 9.5, 77.796875, 77.796875, 0, 5.599609375, 85.6875, 0.0, 22.19921875, 50.0, 27.796875, 0.0, 0.0, 94.390625, 72.1875, 5.599609375, 5.599609375, 0.0, 0.0, 147.0, 8.0, 0.0, 0.0, 44.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "25167", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25167", 95.0, 5.0, 0.0),
(3344, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Physique - Parcours International", "Licence - Sciences - technologies - santé", "International", 12, 230, 79, 230, 0, 181, 26, 1, 0, 1, 1, 47, 0, 0, 0, 0, 0, 116, 0, 0, 0, 94, 14, 0, 0, 0, 0, 22, 65, 14, 6, 14, 0, 4.0, 9.0, 13.0, 0, 3, 11, 11, 0, 0, 3, 0, 0, 0, 5, 6, 0.0, 11, 0, 0, 0, 0, 7, 7, 28.57, 64.29, 92.86, 42.8984375, 63.59375, 63.59375, 0, 27.296875, 78.59375, 0.0, 0.0, 0.0, 45.5, 54.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 53.0, 12.0, 0.0, 0.0, 12.0, "Tous les candidats", 96.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "26340", "Licence - Physique - Parcours International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26340&g_ta_cod=26340", 100.0, 0.0, 0.0),
(3345, "Public", "0560051B", "Lycée Alain René Lesage", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "CPGE", "Lycée Alain René Lesage - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 1251, 375, 1229, 895, 941, 91, 5, 1, 0, 0, 283, 22, 12, 0, 0, 10, 851, 7, 542, 707, 824, 81, 2, 1, 0, 0, 25, 402, 41, 9, 38, 3, 7.0, 25.0, 40.0, 19, 6, 40, 40, 0, 0, 1, 0, 0, 5, 19, 16, 0.0, 40, 0, 0, 7, 3, 30, 30, 17.07, 60.98, 97.56, 22.0, 75.0, 75.0, 17.5, 15.0, 97.59375, 0.0, 0.0, 12.5, 47.5, 40.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 392.0, 35.0, 0.0, 0.0, 10.0, "Tous les candidats", 721.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "6435", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6435&g_ta_cod=6435", 100.0, 0.0, 0.0),
(3346, "Public", "0762911B", "Lycée Galilée", "76", "Seine-Maritime", "Normandie", "Normandie", "Franqueville-Saint-Pierre", "formation sélective", "BTS", "Lycée Galilée - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 30, 571, 377, 570, 0, 126, 28, 189, 54, 32, 9, 223, 1, 0, 0, 0, 1, 368, 0, 0, 0, 122, 26, 153, 37, 7, 2, 86, 131, 24, 14, 24, 0, 4.0, 17.0, 20.0, 0, 6, 17, 4, 11, 2, 7, 0, 7, 6, 3, 1, 0.0, 3, 5, 2, 6, 3, 16, 16, 16.67, 70.83, 83.33, 58.296875, 94.09375, 94.09375, 35.296875, 35.296875, 70.796875, 0.0, 41.1953125, 35.296875, 17.59765625, 5.9, 0.0, 23.5, 17.59765625, 64.6875, 29.3984375, 11.798828125, 11.798828125, 24.0, 4.0, 5.0, 1.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 73.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 155, "Liste d'appel propre à cette formation", 41.0, "9756", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9756&g_ta_cod=9756", 21.0, 71.0, 8.0),
(3347, "Privé enseignement supérieur", "0130239P", "KEDGE BUSINESS SCHOOL - Site de Marseille", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  9e  Arrondissement", "formation sélective", "Autre formation", "KEDGE DESIGN SCHOOL - Formation des écoles supérieure d'art Bac + 3 - Formation Design Manager", "Formation des écoles supérieure d'art", "Formation Design Manager", 35, 204, 131, 152, 0, 100, 13, 15, 3, 10, 3, 27, 52, 13, 7, 2, 30, 82, 13, 0, 0, 58, 11, 8, 2, 2, 0, 14, 91, 22, 17, 19, 3, 8.0, 19.0, 20.0, 0, 2, 16, 14, 1, 1, 6, 0, 6, 5, 4, 1, 0.0, 8, 1, 1, 0, 0, 9, 9, 36.36, 86.36, 90.91, 77.296875, 56.296875, 56.296875, 0, 12.5, 72.6875, 0.0, 37.5, 31.296875, 25.0, 6.3, 0.0, 87.5, 50.0, 6.2998046875, 6.2998046875, 6.2998046875, 6.2998046875, 60.0, 8.0, 2.0, 0.0, 20.0, "Tous les candidats", 82.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "27159", "Formation des écoles supérieure d'art Bac + 3 - Formation Design Manager", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27159&g_ta_cod=27159", 82.0, 14.0, 5.0),
(3348, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "Université Paul Valery - Montpellier 3 - Diplôme d'Université - PAREO - DU Passeport pour Réussir et s'Orienter (PAREO)", "Diplôme d'Université", "DU Passeport pour Réussir et s'Orienter (PAREO)", 30, 159, 100, 47, 0, 19, 8, 4, 2, 13, 10, 11, 112, 20, 13, 15, 64, 47, 47, 0, 0, 19, 8, 4, 2, 13, 10, 11, 103, 30, 21, 9, 20, 6.0, 9.0, 21.0, 0, 9, 16, 9, 3, 4, 14, 0, 11, 4, 1, 0, 0.0, 3, 1, 1, 0, 0, 9, 9, 20.0, 30.0, 70.0, 70.0, 56.296875, 56.296875, 0, 56.296875, 53.296875, 0.0, 68.796875, 25.0, 6.2998046875, 0.0, 0.0, 56.296875, 18.796875, 18.796875, 6.2998046875, 25.0, 6.2998046875, 36.0, 10.0, 18.0, 13.0, 36.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "33299", "Diplôme d'Université - PAREO - DU Passeport pour Réussir et s'Orienter (PAREO)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33299&g_ta_cod=33299", 50.0, 23.0, 27.0),
(3349, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Licence", "Université de Rennes 1 - Licence - Droit - Parcours Franco-allemand (Rennes)", "Licence - Droit-économie-gestion", "Franco-allemand (Rennes)", 25, 114, 95, 96, 0, 76, 8, 1, 0, 1, 1, 18, 18, 6, 0, 0, 12, 91, 5, 0, 0, 76, 8, 1, 0, 0, 0, 14, 87, 16, 15, 16, 0, 11.0, 16.0, 16.0, 0, 2, 16, 16, 0, 0, 0, 0, 2, 3, 10, 1, 0.0, 14, 0, 0, 0, 0, 9, 9, 68.75, 100.0, 100.0, 93.796875, 56.296875, 56.296875, 0, 12.5, 100.0, 0.0, 12.5, 18.796875, 62.5, 6.3, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 72.0, 8.0, 0.0, 0.0, 15.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "4720", "Licence - Droit - Parcours Franco-allemand (Rennes)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4720&g_ta_cod=4720", 100.0, 0.0, 0.0),
(3350, "Public", "0770933W", "Lycée Jacques Amyot", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation sélective", "CPGE", "Lycée Jacques Amyot - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 604, 356, 564, 319, 325, 46, 0, 0, 1, 0, 238, 40, 26, 0, 0, 14, 304, 20, 231, 291, 277, 32, 0, 0, 0, 0, 27, 260, 23, 18, 21, 1, 1.0, 16.0, 21.0, 10, 3, 19, 19, 0, 0, 4, 0, 3, 3, 11, 2, 0.0, 16, 0, 0, 0, 0, 9, 19, 4.35, 69.57, 91.3, 78.296875, 47.3984375, 100.0, 0, 15.798828125, 82.59375, 0.0, 15.798828125, 15.798828125, 57.8984375, 10.5, 0.0, 100.0, 84.1875, 0.0, 0.0, 0.0, 0.0, 231.0, 30.0, 0.0, 0.0, 29.0, "Tous les candidats", 303.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "9811", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9811&g_ta_cod=9811", 100.0, 0.0, 0.0),
(3351, "Public", "0290076A", "Lycée de Kerneuzec", "29", "Finistère", "Bretagne", "Rennes", "Quimperlé", "formation sélective", "BTS", "Lycée de Kerneuzec - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 602, 260, 560, 0, 48, 12, 226, 41, 207, 49, 79, 42, 0, 1, 27, 14, 390, 7, 0, 0, 38, 9, 205, 35, 118, 24, 29, 213, 25, 12, 22, 3, 2.0, 15.0, 19.0, 0, 4, 23, 3, 9, 11, 2, 0, 8, 11, 4, 0, 0.0, 3, 4, 8, 1, 1, 20, 20, 8.0, 60.0, 76.0, 48.0, 87.0, 87.0, 4.2998046875, 17.3984375, 92.0, 0.0, 34.796875, 47.796875, 17.3984375, 0.0, 0.0, 13.0, 13.0, 39.09375, 17.3984375, 47.796875, 34.796875, 26.0, 7.0, 78.0, 18.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 118, "Bacheliers technologiques toutes séries", 132, "Liste d'appel propre à cette formation", 52.0, "3803", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3803&g_ta_cod=3803", 16.0, 36.0, 48.0),
(3352, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Musicologie / Langues, littératures & civilisations étrangères et régionales - MUSIQUE et MUSICOLOGIE - LLCER ITALIEN NON DEBUTANT", "Licence - Arts-lettres-langues", "MUSIQUE et MUSICOLOGIE - LLCER ITALIEN NON DEBUTANT", 10, 80, 40, 45, 0, 26, 2, 5, 1, 2, 1, 12, 35, 4, 3, 2, 26, 11, 0, 0, 0, 10, 0, 0, 0, 1, 1, 0, 11, 2, 1, 2, 0, 2.0, 2.0, 2.0, 0, 0, 2, 2, 0, 0, 0, 0, 0, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 0, 1, 100.0, 100.0, 100.0, 50.0, 0.0, 50.0, 0, 0.0, 100.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 10.0, 0.0, 1.0, 1.0, 0.0, "Tous les candidats", 11.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "13981", "Double licence - Musicologie / Langues, littératures & civilisations étrangères et régionales - MUSIQUE et MUSICOLOGIE - LLCER ITALIEN NON DEBUTANT", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13981&g_ta_cod=13981", 100.0, 0.0, 0.0),
(3353, "Privé sous contrat d'association", "0390091M", "Lycée Jeanne D'Arc", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Champagnole", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 26, 158, 76, 118, 0, 14, 4, 26, 7, 37, 13, 41, 40, 6, 14, 3, 17, 85, 16, 0, 0, 14, 4, 25, 7, 32, 9, 14, 83, 17, 3, 14, 3, 3.0, 14.0, 16.0, 0, 4, 15, 2, 5, 8, 2, 0, 8, 6, 1, 0, 0.0, 2, 1, 4, 1, 1, 11, 11, 17.65, 82.35, 94.12, 17.59765625, 73.296875, 73.296875, 6.69921875, 26.69921875, 88.1875, 0.0, 53.296875, 40.0, 6.69921875, 0.0, 0.0, 13.298828125, 13.298828125, 33.296875, 6.69921875, 53.296875, 26.69921875, 14.0, 4.0, 30.0, 9.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 67.0, "5168", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5168&g_ta_cod=5168", 12.0, 41.0, 47.0),
(3354, "Public", "0680032R", "Lycée Michel De Montaigne", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BTS", "Lycée Michel De Montaigne - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 30, 507, 451, 507, 0, 46, 9, 136, 65, 195, 103, 130, 0, 0, 0, 0, 0, 317, 0, 0, 0, 39, 6, 99, 44, 129, 62, 50, 153, 28, 27, 28, 0, 7.0, 17.0, 22.0, 0, 9, 20, 0, 10, 10, 8, 0, 7, 8, 5, 0, 0.0, 0, 6, 7, 0, 0, 19, 19, 25.0, 60.71, 78.57, 96.390625, 95.0, 95.0, 0, 45.0, 71.390625, 0.0, 35.0, 40.0, 25.0, 0.0, 0.0, 0.0, 0.0, 50.0, 30.0, 50.0, 35.0, 17.0, 6.0, 53.0, 21.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 92, "Liste d'appel propre à cette formation", 38.0, "8104", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8104&g_ta_cod=8104", 14.0, 43.0, 43.0),
(3355, "Public", "0921983F", "IFSI Ambroise Paré (AP-HP)", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Boulogne-Billancourt", "formation sélective", "IFSI", "Regroupement d'IFSI UVSQ - D.E Infirmier", "D.E secteur sanitaire", "", 87, 3387, 2988, 3387, 0, 402, 85, 589, 202, 347, 160, 2049, 0, 0, 0, 0, 0, 2373, 0, 0, 0, 392, 82, 486, 163, 199, 95, 1296, 621, 85, 77, 84, 0, 1.0, 38.0, 69.0, 0, 12, 41, 19, 22, 0, 44, 1, 8, 25, 6, 1, 0.0, 12, 20, 0, 0, 0, 19, 33, 1.18, 44.71, 81.18, 90.59375, 46.296875, 80.5, 0, 29.296875, 48.1953125, 2.39990234375, 19.5, 61.0, 14.599609375, 2.4, 0.0, 46.296875, 29.296875, 53.6953125, 48.796875, 0.0, 0.0, 155.0, 35.0, 0.0, 0.0, 340.0, "Tous les candidats", 1265.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "23297", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23007&g_ta_cod=23297", 65.0, 34.0, 1.0),
(3356, "Public", "0750658H", "Lycée Saint-Louis (6ème)", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Saint-Louis (6ème) - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 48, 1903, 938, 1903, 1038, 1709, 108, 1, 0, 0, 0, 193, 0, 0, 0, 0, 0, 599, 0, 324, 588, 595, 40, 0, 0, 0, 0, 4, 191, 47, 25, 47, 0, 7.0, 37.0, 43.0, 12, 1, 46, 46, 0, 0, 1, 0, 0, 0, 12, 25, 9.0, 46, 0, 0, 0, 0, 17, 35, 14.89, 78.72, 91.49, 53.1953125, 37.0, 76.09375, 0, 2.19970703125, 97.890625, 0.0, 0.0, 0.0, 26.09765625, 54.3, 19.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 187.0, 15.0, 0.0, 0.0, 4.0, "Tous les candidats", 308.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "31871", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31871&g_ta_cod=31871", 100.0, 0.0, 0.0),
(3357, "Public", "0830053G", "Lycée Dumont d'Urville", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "CPGE", "Lycée Dumont d'Urville - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 300, 151, 285, 193, 238, 24, 3, 0, 0, 0, 44, 15, 6, 0, 0, 9, 264, 7, 177, 222, 233, 24, 1, 0, 0, 0, 30, 204, 8, 2, 6, 2, 0.0, 4.0, 6.0, 3, 2, 7, 7, 0, 0, 1, 0, 1, 3, 3, 0, 0.0, 6, 0, 0, 0, 0, 3, 3, 0.0, 50.0, 75.0, 25.0, 42.8984375, 42.8984375, 0, 28.59765625, 87.5, 0.0, 14.298828125, 42.8984375, 42.8984375, 0.0, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 182.0, 19.0, 0.0, 0.0, 22.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "31603", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31344&g_ta_cod=31603", 100.0, 0.0, 0.0),
(3358, "Privé sous contrat d'association", "0660077A", "Lycée Sainte Louise de Marillac", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée Sainte Louise de Marillac - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 16, 274, 127, 261, 0, 32, 6, 114, 36, 67, 32, 48, 13, 0, 6, 2, 5, 107, 0, 0, 0, 20, 3, 51, 17, 36, 17, 0, 63, 12, 8, 12, 0, 1.0, 9.0, 11.0, 0, 2, 12, 2, 5, 5, 0, 0, 0, 10, 2, 0, 0.0, 2, 5, 5, 4, 2, 11, 11, 8.33, 75.0, 91.67, 66.6875, 91.6875, 91.6875, 33.296875, 16.69921875, 100.0, 0.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 16.69921875, 16.69921875, 41.6953125, 41.6953125, 41.6953125, 41.6953125, 6.0, 3.0, 29.0, 13.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 34.0, "20293", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20293&g_ta_cod=20293", 17.0, 42.0, 42.0),
(3359, "Public", "0132972K", "ECOLE MANIPULATEURS RADIOLOGIE ASSISTANCE PUBLIQUE (DE L')", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille", "formation sélective", "Autre formation", "ECOLE MANIPULATEURS RADIOLOGIE ASSISTANCE PUBLIQUE (DE L') - D.E manipulateur/trice en électroradiologie médicale", "D.E secteur sanitaire", "", 55, 956, 711, 956, 0, 164, 59, 184, 92, 16, 9, 592, 0, 0, 0, 0, 0, 400, 0, 0, 0, 82, 26, 1, 1, 0, 0, 317, 240, 51, 37, 51, 0, 4.0, 23.0, 34.0, 0, 11, 14, 14, 0, 0, 37, 0, 6, 5, 3, 0, 0.0, 8, 0, 0, 0, 0, 14, 14, 7.84, 45.1, 66.67, 72.5, 100.0, 100.0, 0, 78.59375, 27.5, 0.0, 42.8984375, 35.6953125, 21.3984375, 0.0, 0.0, 100.0, 57.09375, 0.0, 0.0, 0.0, 0.0, 47.0, 25.0, 0.0, 0.0, 192.0, "Tous les candidats", 200.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "19418", "D.E manipulateur/trice en électroradiologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19418&g_ta_cod=19418", 90.0, 10.0, 0.0),
(3360, "Public", "0130071G", "Lycée professionnel Colbert", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  7e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Colbert - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 17, 13, 4, 0, 0, 0.0, 0.0, 0.0, 0, 7, 10, 0, 2, 8, 3, 0, 7, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 10, 10, 0.0, 0.0, 0.0, 30.796875, 100.0, 100.0, 0, 70.0, 76.890625, 0.0, 70.0, 20.0, 10.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 30.0, 0.0, 0.0, 12.0, 9.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22347", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 23.0, 77.0),
(3361, "Privé sous contrat d'association", "0850130E", "Lycée Notre Dame Du Roc", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée Notre Dame Du Roc - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 300, 23, 297, 0, 83, 6, 88, 11, 49, 8, 77, 3, 0, 0, 0, 3, 249, 1, 0, 0, 82, 6, 86, 11, 47, 7, 34, 123, 34, 3, 33, 1, 6.0, 25.0, 30.0, 0, 3, 27, 12, 8, 7, 7, 0, 11, 13, 3, 0, 0.0, 10, 1, 5, 3, 1, 25, 25, 17.65, 73.53, 88.24, 8.798828125, 92.59375, 92.59375, 11.099609375, 11.099609375, 79.390625, 0.0, 40.6953125, 48.09375, 11.099609375, 0.0, 0.0, 44.3984375, 37.0, 29.59765625, 3.69970703125, 25.8984375, 18.5, 43.0, 2.0, 31.0, 4.0, 18.0, "Tous les candidats sauf les Bac professionnels", 150.0, "Bacheliers professionnels toutes séries", 49, "", 0, "Liste d'appel propre à cette formation", 67.0, "10501", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10501&g_ta_cod=10501", 35.0, 41.0, 24.0),
(3362, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence_Las", "Université de Lorraine - Site de Metz - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Allemand", "Licence - Arts-lettres-langues", "Allemand", 10, 89, 73, 89, 0, 44, 9, 10, 5, 1, 1, 34, 0, 0, 0, 0, 0, 88, 0, 0, 0, 44, 9, 10, 5, 1, 1, 33, 46, 9, 6, 9, 0, 3.0, 6.0, 9.0, 0, 1, 4, 4, 0, 0, 5, 0, 1, 2, 0, 1, 0.0, 3, 0, 0, 0, 0, 1, 1, 33.33, 66.67, 100.0, 66.6875, 25.0, 25.0, 0, 25.0, 44.3984375, 0.0, 25.0, 50.0, 0.0, 25.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 20.0, 6.0, 0.0, 0.0, 21.0, "Tous les candidats", 126.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 89.0, "26929", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26928&g_ta_cod=26929", 89.0, 0.0, 11.0),
(3363, "Public", "0851457X", "I.U.T. La Roche-sur-Yon", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BUT", "I.U.T. La Roche-sur-Yon - BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "BUT - Production", "", 52, 1104, 513, 1103, 0, 747, 64, 150, 14, 5, 1, 201, 1, 0, 0, 0, 1, 675, 0, 0, 0, 482, 34, 96, 9, 0, 0, 97, 257, 49, 23, 49, 0, 3.0, 34.0, 44.0, 0, 2, 41, 29, 12, 0, 8, 0, 3, 18, 16, 3, 1.0, 27, 11, 0, 0, 0, 22, 22, 6.12, 69.39, 89.8, 46.8984375, 53.6953125, 53.6953125, 0, 4.8994140625, 83.6875, 0.0, 7.2998046875, 43.8984375, 39.0, 7.3, 2.4, 70.6875, 65.890625, 29.296875, 26.796875, 0.0, 0.0, 145.0, 10.0, 0.0, 0.0, 48.0, "Tous les candidats sauf les Bac technologiques", 309.0, "Bacheliers technologiques toutes séries", 110, "", 0, "Liste d'appel propre à cette formation", 38.0, "10559", "BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10559&g_ta_cod=10559", 69.0, 31.0, 0.0),
(3364, "Public", "0730858L", "Université Savoie Mont Blanc - Chambéry", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Jacob-Bellecombette", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Chambéry - Licence - Langues étrangères appliquées - Parcours LEA Anglais/Espagnol", "Licence - Arts-lettres-langues", "LEA Anglais/Espagnol", 100, 544, 412, 508, 0, 336, 63, 60, 18, 11, 5, 101, 36, 4, 6, 1, 25, 507, 33, 0, 0, 336, 63, 60, 18, 11, 5, 100, 465, 98, 72, 75, 23, 25.0, 75.0, 84.0, 0, 18, 71, 46, 25, 0, 27, 4, 31, 24, 9, 3, 0.0, 27, 9, 0, 0, 0, 60, 60, 25.51, 76.53, 85.71, 73.5, 84.5, 84.5, 0, 25.3984375, 72.390625, 5.599609375, 43.6953125, 33.796875, 12.69921875, 4.2, 0.0, 64.796875, 38.0, 35.1953125, 12.69921875, 0.0, 0.0, 292.0, 62.0, 7.0, 3.0, 111.0, "Tous les candidats", 507.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8808", "Licence - Langues étrangères appliquées - Parcours LEA Anglais/Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8808&g_ta_cod=8808", 64.0, 29.0, 7.0),
(3365, "Privé sous contrat d'association", "0740092Y", "Lycée Sainte Famille", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "La Roche-sur-Foron", "formation sélective", "BTS", "Lycée Sainte Famille - BTS - Services - Comptabilité et gestion (Seconde année possible en apprentissage)", "BTS - Services", "", 24, 193, 84, 180, 0, 8, 0, 43, 6, 22, 7, 107, 13, 0, 5, 3, 5, 69, 6, 0, 0, 7, 0, 26, 4, 19, 6, 17, 67, 13, 5, 10, 3, 5.0, 10.0, 12.0, 0, 2, 11, 2, 4, 5, 2, 0, 6, 4, 1, 0, 0.0, 0, 1, 4, 0, 0, 9, 9, 38.46, 76.92, 92.31, 38.5, 81.796875, 81.796875, 0, 18.19921875, 84.59375, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 18.19921875, 0.0, 36.3984375, 9.099609375, 45.5, 36.3984375, 6.0, 0.0, 19.0, 7.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 37.0, "8883", "BTS - Services - Comptabilité et gestion (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8883&g_ta_cod=8883", 15.0, 38.0, 46.0),
(3366, "Public", "0682053M", "institut Interrégional de formation des métiers de la rééducation (IIFMR)", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "Autre formation", "institut Interrégional de formation des métiers de la rééducation (IIFMR) - D.E Psychomotricien", "D.E secteur sanitaire", "", 15, 833, 755, 833, 0, 207, 18, 104, 29, 28, 11, 494, 0, 0, 0, 0, 0, 709, 0, 0, 0, 197, 17, 67, 15, 14, 3, 431, 38, 15, 15, 15, 0, 3.0, 9.0, 11.0, 0, 2, 7, 7, 0, 0, 8, 0, 1, 0, 5, 1, 0.0, 6, 0, 0, 0, 0, 4, 4, 20.0, 60.0, 73.33, 100.0, 57.09375, 57.09375, 0, 28.59765625, 46.6953125, 0.0, 14.298828125, 0.0, 71.390625, 14.3, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 11.0, 4.0, 0.0, 0.0, 27.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "33272", "D.E Psychomotricien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33272&g_ta_cod=33272", 100.0, 0.0, 0.0),
(3367, "Public", "0021958T", "IUT de l'Aisne - Site de Soissons-Cuffies", "02", "Aisne", "Hauts-de-France", "Amiens", "Cuffies", "formation sélective", "BUT", "IUT de l'Aisne - Site de Soissons-Cuffies - BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services - Qualité et pilotage des systèmes de management intégrés", "BUT - Production", "Management de la production de biens et de services - Qualité et pilotage des systèmes de management intégrés", 42, 181, 51, 154, 0, 70, 6, 26, 11, 9, 3, 49, 27, 3, 6, 3, 15, 89, 17, 0, 0, 51, 4, 21, 8, 5, 1, 12, 103, 26, 5, 22, 4, 14.0, 22.0, 26.0, 0, 7, 23, 9, 11, 3, 3, 0, 15, 5, 3, 0, 0.0, 3, 2, 3, 0, 0, 15, 15, 53.85, 84.62, 100.0, 19.19921875, 65.1875, 65.1875, 0, 30.3984375, 88.5, 0.0, 65.1875, 21.69921875, 13.0, 0.0, 0.0, 39.09375, 13.0, 47.796875, 8.69921875, 13.0, 13.0, 51.0, 5.0, 6.0, 2.0, 20.0, "Tous les candidats sauf les Bac technologiques", 65.0, "Bacheliers technologiques toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 58.0, "2097", "BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services - Qualité et pilotage des systèmes de management intégrés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2097&g_ta_cod=2097", 38.0, 50.0, 12.0),
(3368, "Public", "0131549N", "Lycée Frederic Joliot-Curie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aubagne", "formation sélective", "BTS", "Lycée Frederic Joliot-Curie - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 40, 728, 373, 713, 0, 93, 29, 272, 99, 181, 86, 167, 15, 1, 6, 0, 8, 384, 6, 0, 0, 67, 19, 150, 46, 114, 55, 53, 212, 32, 19, 29, 2, 3.0, 19.0, 26.0, 0, 9, 27, 2, 10, 15, 5, 0, 9, 13, 5, 0, 0.0, 1, 8, 9, 3, 2, 22, 22, 9.38, 59.38, 81.25, 59.3984375, 81.5, 81.5, 11.099609375, 33.296875, 84.390625, 0.0, 33.296875, 48.09375, 18.5, 0.0, 0.0, 7.3994140625, 3.69970703125, 37.0, 29.59765625, 55.59375, 33.296875, 37.0, 10.0, 94.0, 50.0, 27.0, "Tous les candidats sauf les Bac professionnels", 195.0, "Bacheliers professionnels toutes séries", 116, "", 0, "Liste d'appel propre à cette formation", 44.0, "2651", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2651&g_ta_cod=2651", 6.0, 47.0, 47.0),
(3369, "Public", "0312267W", "Lycée Des Arènes", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée Des Arènes - DN MADE - Graphisme - - Spécialité : Systèmes d'identités", "DN MADE", "- Spécialité : Systèmes d'identités", 15, 509, 315, 509, 0, 180, 43, 118, 28, 68, 20, 143, 0, 0, 0, 0, 0, 120, 0, 0, 0, 32, 7, 49, 7, 20, 5, 19, 38, 15, 8, 15, 0, 5.0, 14.0, 15.0, 0, 7, 13, 4, 3, 6, 2, 0, 0, 4, 4, 5, 0.0, 4, 3, 6, 0, 0, 6, 6, 33.33, 93.33, 100.0, 53.296875, 46.1953125, 46.1953125, 0, 53.796875, 86.6875, 0.0, 0.0, 30.796875, 30.796875, 38.5, 0.0, 30.796875, 30.796875, 23.09765625, 23.09765625, 46.1953125, 46.1953125, 9.0, 5.0, 8.0, 3.0, 6.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "21986", "DN MADE - Graphisme - - Spécialité : Systèmes d'identités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21986&g_ta_cod=21986", 40.0, 20.0, 40.0),
(3370, "Privé sous contrat d'association", "0420979L", "Lycée Tezenas du Montcel", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Tezenas du Montcel - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 249, 116, 231, 0, 49, 13, 51, 13, 35, 16, 96, 18, 0, 0, 8, 10, 184, 4, 0, 0, 48, 13, 51, 13, 28, 12, 57, 136, 32, 16, 27, 2, 1.0, 17.0, 21.0, 0, 3, 23, 10, 10, 3, 9, 0, 16, 7, 0, 0, 0.0, 1, 3, 3, 0, 0, 16, 16, 3.13, 53.13, 65.63, 50.0, 69.59375, 69.59375, 0, 13.0, 71.890625, 0.0, 69.59375, 30.3984375, 0.0, 0.0, 0.0, 43.5, 4.2998046875, 43.5, 13.0, 13.0, 13.0, 41.0, 11.0, 25.0, 10.0, 30.0, "Tous les candidats sauf les Bac professionnels", 114.0, "Bacheliers professionnels toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 62.0, "5319", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5319&g_ta_cod=5319", 44.0, 44.0, 13.0),
(3371, "Public", "0781512V", "Lycée Descartes", "78", "Yvelines", "Ile-de-France", "Versailles", "Montigny-le-Bretonneux", "formation sélective", "BTS", "Lycée Descartes - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 625, 355, 625, 0, 29, 6, 161, 40, 170, 80, 265, 0, 0, 0, 0, 0, 417, 0, 0, 0, 25, 5, 139, 34, 134, 59, 119, 164, 32, 17, 32, 0, 1.0, 20.0, 20.0, 0, 9, 20, 1, 7, 12, 12, 0, 8, 10, 2, 0, 0.0, 1, 3, 8, 2, 0, 18, 18, 3.13, 62.5, 62.5, 53.09375, 90.0, 90.0, 10, 45.0, 62.5, 0.0, 40.0, 50.0, 10.0, 0.0, 0.0, 5.0, 5.0, 35.0, 15.0, 60.0, 40.0, 18.0, 4.0, 47.0, 21.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 31.0, "9970", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9970&g_ta_cod=9970", 9.0, 41.0, 50.0),
(3372, "Privé sous contrat d'association", "0391146J", "Lycée Pasteur Mont Roland", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Dole", "formation sélective", "BTS", "Lycée Pasteur Mont Roland - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 40, 202, 180, 189, 0, 20, 6, 49, 12, 69, 20, 51, 13, 0, 3, 5, 5, 189, 6, 0, 0, 20, 6, 49, 12, 69, 20, 51, 144, 32, 28, 27, 4, 3.0, 18.0, 26.0, 0, 10, 22, 2, 7, 13, 10, 0, 10, 11, 1, 0, 0.0, 1, 2, 9, 9, 8, 18, 18, 9.38, 56.25, 81.25, 87.5, 81.796875, 81.796875, 40.8984375, 45.5, 68.796875, 0.0, 45.5, 50.0, 4.5, 0.0, 0.0, 9.099609375, 4.5, 31.796875, 9.099609375, 59.09375, 40.8984375, 17.0, 5.0, 57.0, 17.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 88.0, "5184", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5184&g_ta_cod=5184", 28.0, 31.0, 41.0),
(3373, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "Licence", "Université du Mans - Double licence - Mathématiques / Economie - DOUBLE licence Économie - Mathématiques parcours Sciences actuarielles et financières", "Licence - Sciences - technologies - santé", "DOUBLE licence Économie - Mathématiques parcours Sciences actuarielles et financières", 40, 401, 163, 329, 0, 253, 31, 1, 0, 0, 0, 75, 72, 20, 2, 3, 47, 211, 18, 0, 0, 186, 18, 0, 0, 0, 0, 25, 176, 21, 9, 14, 7, 3.0, 13.0, 19.0, 0, 5, 13, 13, 0, 0, 8, 0, 0, 3, 7, 3, 0.0, 13, 0, 0, 0, 0, 9, 9, 14.29, 61.9, 90.48, 42.8984375, 69.1875, 69.1875, 0, 38.5, 61.8984375, 0.0, 0.0, 23.09765625, 53.796875, 23.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 142.0, 17.0, 0.0, 0.0, 34.0, "Tous les candidats", 212.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "17173", "Double licence - Mathématiques / Economie - DOUBLE licence Économie - Mathématiques parcours Sciences actuarielles et financières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17173&g_ta_cod=17173", 100.0, 0.0, 0.0),
(3374, "Privé sous contrat d'association", "0350795Z", "Lycée / Pôle Sup de La Salle - Groupe Saint Jean", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée / Pôle Sup de La Salle - Groupe Saint Jean - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 449, 238, 449, 0, 95, 6, 195, 28, 95, 10, 64, 0, 0, 0, 0, 0, 354, 0, 0, 0, 91, 6, 131, 22, 95, 10, 37, 117, 36, 22, 36, 0, 8.0, 28.0, 30.0, 0, 4, 34, 7, 9, 18, 2, 0, 7, 18, 9, 0, 0.0, 3, 8, 16, 6, 5, 33, 33, 22.22, 77.78, 83.33, 61.09375, 97.09375, 97.09375, 17.59765625, 11.798828125, 94.390625, 0.0, 20.59765625, 52.8984375, 26.5, 0.0, 0.0, 20.59765625, 8.798828125, 26.5, 23.5, 52.8984375, 47.09375, 27.0, 5.0, 46.0, 6.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 29.0, "4690", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4690&g_ta_cod=4690", 25.0, 25.0, 50.0),
(3375, "Privé sous contrat d'association", "0141178E", "Lycée Sainte Ursule", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Sainte Ursule - BTS - Services - Notariat", "BTS - Services", "", 24, 434, 324, 434, 0, 123, 22, 115, 29, 25, 13, 171, 0, 0, 0, 0, 0, 365, 0, 0, 0, 122, 22, 111, 28, 17, 7, 115, 87, 21, 20, 21, 0, 3.0, 20.0, 20.0, 0, 5, 11, 5, 5, 1, 10, 0, 1, 8, 2, 0, 0.0, 4, 5, 1, 1, 1, 10, 10, 14.29, 95.24, 95.24, 95.1875, 90.890625, 90.890625, 9.099609375, 45.5, 52.3984375, 0.0, 9.099609375, 72.6875, 18.19921875, 0.0, 0.0, 45.5, 36.3984375, 45.5, 45.5, 9.099609375, 9.099609375, 20.0, 3.0, 5.0, 3.0, 38.0, "Tous les candidats sauf les Bac professionnels", 102.0, "Bacheliers professionnels toutes séries", 12, "", 0, "Liste d'appel propre à cette formation", 26.0, "24871", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24871&g_ta_cod=24871", 52.0, 43.0, 5.0),
(3376, "Public", "0312267W", "Lycée Des Arènes", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée Des Arènes - DN MADE - Graphisme - - Spécialité : Édition et narration transmédia", "DN MADE", "- Spécialité : Édition et narration transmédia", 15, 614, 405, 614, 0, 240, 53, 137, 41, 71, 25, 166, 0, 0, 0, 0, 0, 120, 0, 0, 0, 46, 9, 47, 8, 5, 1, 22, 45, 15, 13, 15, 0, 6.0, 12.0, 14.0, 0, 3, 15, 13, 2, 0, 0, 0, 2, 6, 6, 1, 0.0, 12, 1, 0, 0, 0, 9, 9, 40.0, 80.0, 93.33, 86.6875, 60.0, 60.0, 0, 20.0, 100.0, 0.0, 13.298828125, 40.0, 40.0, 6.7, 0.0, 86.6875, 80.0, 13.298828125, 6.69921875, 0.0, 0.0, 23.0, 5.0, 0.0, 0.0, 8.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "21704", "DN MADE - Graphisme - - Spécialité : Édition et narration transmédia", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21704&g_ta_cod=21704", 87.0, 13.0, 0.0),
(3377, "Public", "0911492C", "Lycée de l'Essouriau", "91", "Essonne", "Ile-de-France", "Versailles", "Les Ulis", "formation sélective", "CPGE", "Lycée de l'Essouriau - CPGE - PCSI", "Classe préparatoire scientifique", "", 35, 487, 142, 425, 209, 324, 43, 1, 1, 0, 0, 100, 62, 35, 1, 0, 26, 256, 21, 127, 250, 235, 26, 0, 0, 0, 0, 21, 223, 22, 5, 18, 4, 2.0, 16.0, 22.0, 2, 0, 21, 21, 0, 0, 1, 0, 0, 11, 8, 2, 0.0, 21, 0, 0, 2, 0, 19, 19, 9.09, 72.73, 100.0, 22.69921875, 90.5, 90.5, 9.5, 0.0, 95.5, 0.0, 0.0, 52.3984375, 38.09375, 9.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 201.0, 24.0, 0.0, 0.0, 22.0, "Tous les candidats", 256.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "10931", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10931&g_ta_cod=10931", 100.0, 0.0, 0.0),
(3378, "Public", "0595809U", "Lycée de L'Escaut", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée de L'Escaut - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 30, 240, 41, 232, 0, 22, 5, 33, 14, 29, 7, 148, 8, 0, 0, 5, 3, 122, 1, 0, 0, 20, 4, 24, 11, 21, 5, 57, 71, 21, 3, 21, 0, 11.0, 17.0, 19.0, 0, 3, 13, 3, 4, 6, 8, 0, 5, 5, 2, 1, 0.0, 0, 3, 5, 3, 0, 13, 13, 52.38, 80.95, 90.48, 14.298828125, 100.0, 100.0, 23.09765625, 23.09765625, 61.8984375, 0.0, 38.5, 38.5, 15.3984375, 7.7, 0.0, 23.09765625, 0.0, 30.796875, 23.09765625, 46.1953125, 38.5, 14.0, 2.0, 19.0, 4.0, 22.0, "Tous les candidats sauf les Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 38.0, "7157", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7157&g_ta_cod=7157", 38.0, 29.0, 33.0),
(3379, "Public", "0640001D", "Lycée Cantau", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation sélective", "Autre formation", "Lycée Cantau - DN MADE - Matériaux - - Spécialité : Textile et territoire : entre technique et savoir-faire", "DN MADE", "- Spécialité : Textile et territoire : entre technique et savoir-faire", 15, 125, 100, 125, 0, 30, 4, 52, 12, 13, 1, 30, 0, 0, 0, 0, 0, 124, 0, 0, 0, 30, 4, 52, 12, 13, 1, 29, 57, 15, 14, 15, 0, 1.0, 13.0, 14.0, 0, 4, 12, 10, 2, 0, 3, 0, 3, 5, 4, 0, 0.0, 8, 1, 0, 0, 0, 9, 9, 6.67, 86.67, 93.33, 93.296875, 75.0, 75.0, 0, 33.296875, 80.0, 0.0, 25.0, 41.6953125, 33.296875, 0.0, 0.0, 83.296875, 66.6875, 16.69921875, 8.298828125, 0.0, 0.0, 14.0, 3.0, 1.0, 0.0, 9.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "24291", "DN MADE - Matériaux - - Spécialité : Textile et territoire : entre technique et savoir-faire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24291&g_ta_cod=24291", 73.0, 27.0, 0.0),
(3380, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Langues étrangères appliquées - Parcours Anglais, Allemand - langues de spécialité", "Licence - Arts-lettres-langues", "Anglais, Allemand - langues de spécialité", 30, 102, 69, 47, 0, 30, 5, 2, 2, 3, 2, 12, 55, 7, 4, 6, 38, 47, 49, 0, 0, 30, 5, 2, 2, 3, 2, 12, 96, 13, 10, 3, 10, 3.0, 3.0, 10.0, 0, 5, 8, 5, 2, 1, 5, 0, 4, 3, 1, 0, 0.0, 2, 2, 0, 0, 0, 5, 5, 23.08, 23.08, 76.92, 76.890625, 62.5, 62.5, 0, 62.5, 61.5, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 62.5, 25.0, 25.0, 25.0, 12.5, 0.0, 36.0, 7.0, 9.0, 4.0, 45.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15192", "Licence - Langues étrangères appliquées - Parcours Anglais, Allemand - langues de spécialité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15192&g_ta_cod=15192", 77.0, 15.0, 8.0),
(3381, "Public", "0211986V", "Lycée Les Marcs D'Or", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Les Marcs D'Or - BTS - Production - Travaux publics", "BTS - Production", "", 23, 341, 40, 318, 0, 33, 4, 88, 13, 60, 11, 137, 23, 0, 0, 17, 6, 144, 0, 0, 0, 18, 2, 74, 10, 37, 3, 15, 79, 19, 2, 19, 0, 7.0, 18.0, 18.0, 0, 2, 17, 1, 8, 8, 2, 0, 4, 11, 2, 0, 0.0, 1, 5, 7, 9, 2, 12, 12, 36.84, 94.74, 94.74, 10.5, 70.59375, 70.59375, 52.8984375, 11.798828125, 89.5, 0.0, 23.5, 64.6875, 11.798828125, 0.0, 0.0, 5.8994140625, 5.8994140625, 47.09375, 29.3984375, 47.09375, 41.1953125, 10.0, 2.0, 25.0, 3.0, 10.0, "Tous les candidats sauf les Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 31.0, "3288", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3288&g_ta_cod=3288", 16.0, 42.0, 42.0),
(3382, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS", "Licence - Sciences - technologies - santé", "STAPS", 307, 2276, 697, 2276, 0, 1585, 161, 257, 41, 64, 13, 370, 0, 0, 0, 0, 0, 2275, 0, 0, 0, 1585, 161, 257, 41, 64, 13, 369, 844, 302, 92, 302, 0, 105.0, 256.0, 261.0, 0, 28, 247, 213, 27, 7, 55, 9, 85, 101, 42, 10, 0.0, 135, 14, 4, 0, 0, 210, 210, 34.77, 84.77, 86.42, 30.5, 85.0, 85.0, 0, 11.298828125, 81.796875, 3.599609375, 34.3984375, 40.8984375, 17.0, 4.0, 0.0, 86.1875, 54.6953125, 10.8984375, 5.69921875, 2.7998046875, 1.599853515625, 537.0, 69.0, 24.0, 7.0, 207.0, "Tous les candidats", 833.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "8823", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27085&g_ta_cod=8823", 83.0, 12.0, 4.0),
(3383, "Privé sous contrat d'association", "0511145T", "Lycée St Michel", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée St Michel - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 237, 140, 237, 0, 23, 7, 65, 22, 64, 22, 85, 0, 0, 0, 0, 0, 237, 0, 0, 0, 23, 7, 65, 22, 64, 22, 85, 100, 22, 16, 22, 0, 4.0, 18.0, 21.0, 0, 5, 19, 1, 9, 9, 3, 1, 9, 6, 3, 0, 0.0, 1, 3, 5, 10, 6, 18, 18, 18.18, 81.82, 95.45, 72.6875, 94.6875, 94.6875, 52.59375, 26.296875, 86.390625, 5.2998046875, 47.3984375, 31.59765625, 15.798828125, 0.0, 0.0, 5.2998046875, 5.2998046875, 47.3984375, 15.798828125, 47.3984375, 26.296875, 15.0, 5.0, 27.0, 9.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 52.0, "6098", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6098&g_ta_cod=6098", 14.0, 45.0, 41.0),
(3384, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Université Angers - Licence - Portail MI - Mathématiques, Informatique", "Licence - Sciences - technologies - santé", "MI - Mathématiques, Informatique", 20, 232, 91, 177, 0, 115, 27, 3, 1, 0, 0, 59, 55, 15, 3, 0, 37, 171, 33, 0, 0, 115, 27, 3, 1, 0, 0, 53, 149, 18, 7, 7, 11, 0.0, 6.0, 11.0, 0, 2, 4, 4, 0, 0, 14, 0, 2, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 0.0, 33.33, 61.11, 38.8984375, 50.0, 50.0, 0, 50.0, 22.19921875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 82.0, 18.0, 0.0, 0.0, 66.0, "Tous les candidats", 923.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "32223", "Licence - Portail MI - Mathématiques, Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32222&g_ta_cod=32223", 72.0, 17.0, 11.0),
(3385, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Langues : Espagnol - Portugais", "Licence - Arts-lettres-langues", "Langues : Espagnol - Portugais", 15, 135, 112, 120, 0, 73, 24, 16, 6, 5, 3, 26, 15, 0, 3, 2, 10, 120, 15, 0, 0, 73, 24, 16, 6, 5, 3, 26, 100, 19, 15, 12, 7, 0.0, 12.0, 13.0, 0, 3, 9, 7, 0, 2, 10, 0, 6, 2, 1, 0, 0.0, 2, 0, 1, 0, 0, 7, 7, 0.0, 63.16, 68.42, 78.890625, 77.796875, 77.796875, 0, 33.296875, 47.3984375, 0.0, 66.6875, 22.19921875, 11.099609375, 0.0, 0.0, 77.796875, 22.19921875, 0.0, 0.0, 22.19921875, 11.099609375, 49.0, 13.0, 6.0, 2.0, 30.0, "Tous les candidats", 119.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "21235", "Licence - Portail Langues : Espagnol - Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21235&g_ta_cod=21235", 58.0, 11.0, 32.0),
(3386, "Privé sous contrat d'association", "0131339K", "Lycée St Joseph De La Madeleine", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  4e  Arrondissement", "formation sélective", "BTS", "Lycée St Joseph De La Madeleine - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 505, 223, 359, 0, 66, 22, 70, 31, 38, 26, 185, 146, 10, 33, 16, 87, 114, 72, 0, 0, 34, 14, 29, 13, 13, 6, 38, 164, 30, 16, 6, 24, 4.0, 6.0, 20.0, 0, 5, 8, 2, 3, 3, 22, 0, 7, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 6, 6, 13.33, 20.0, 66.67, 53.296875, 75.0, 75.0, 0, 62.5, 26.69921875, 0.0, 87.5, 12.5, 0.0, 0.0, 0.0, 25.0, 0.0, 37.5, 12.5, 37.5, 0.0, 33.0, 13.0, 23.0, 15.0, 78.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 31.0, "2627", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2627&g_ta_cod=2627", 57.0, 27.0, 17.0),
(3387, "Public", "9741206T", "Lycée de Bois d'Olive", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BTS", "Lycée de Bois d'Olive - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 11, 137, 9, 137, 0, 3, 3, 43, 19, 73, 48, 18, 0, 0, 0, 0, 0, 99, 0, 0, 0, 3, 3, 32, 13, 55, 36, 9, 53, 11, 1, 11, 0, 2.0, 10.0, 11.0, 0, 8, 9, 0, 3, 6, 2, 0, 5, 2, 2, 0, 0.0, 0, 0, 4, 1, 1, 9, 9, 18.18, 90.91, 100.0, 9.099609375, 100.0, 100.0, 11.099609375, 88.890625, 81.796875, 0.0, 55.59375, 22.19921875, 22.19921875, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 44.3984375, 3.0, 3.0, 23.0, 18.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 63.0, "19016", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19016&g_ta_cod=19016", 0.0, 45.0, 55.0),
(3388, "Public", "0510034K", "Lycée Franklin Roosevelt", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Franklin Roosevelt - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 36, 654, 326, 654, 0, 81, 24, 167, 60, 120, 54, 286, 0, 0, 0, 0, 0, 365, 0, 0, 0, 78, 24, 143, 50, 93, 43, 51, 170, 32, 12, 32, 0, 2.0, 27.0, 27.0, 0, 15, 28, 6, 10, 12, 4, 0, 18, 6, 4, 0, 0.0, 2, 3, 5, 3, 1, 19, 19, 6.25, 84.38, 84.38, 37.5, 67.890625, 67.890625, 10.69921875, 53.59375, 87.5, 0.0, 64.296875, 21.3984375, 14.298828125, 0.0, 0.0, 21.3984375, 7.099609375, 35.6953125, 10.69921875, 42.8984375, 17.8984375, 34.0, 12.0, 49.0, 22.0, 16.0, "Tous les candidats sauf les Bac professionnels", 175.0, "Bacheliers professionnels toutes séries", 77, "", 0, "Liste d'appel propre à cette formation", 39.0, "6069", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6069&g_ta_cod=6069", 25.0, 34.0, 41.0),
(3389, "Privé sous contrat d'association", "0290186V", "Lycée Le Paraclet", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "Autre formation", "Lycée Le Paraclet - DN MADE - Numérique - - Spécialité : Communication adaptée aux environnements", "DN MADE", "- Spécialité : Communication adaptée aux environnements", 20, 165, 82, 165, 0, 64, 9, 31, 5, 27, 4, 43, 0, 0, 0, 0, 0, 133, 0, 0, 0, 62, 9, 30, 5, 22, 2, 19, 83, 21, 11, 20, 0, 1.0, 18.0, 19.0, 0, 1, 20, 13, 3, 4, 1, 0, 6, 8, 6, 0, 0.0, 9, 1, 4, 0, 0, 16, 16, 4.76, 85.71, 90.48, 52.3984375, 80.0, 80.0, 0, 5.0, 95.1875, 0.0, 30.0, 40.0, 30.0, 0.0, 0.0, 65.0, 45.0, 15.0, 5.0, 20.0, 20.0, 42.0, 4.0, 11.0, 1.0, 4.0, "Tous les candidats", 97.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "21612", "DN MADE - Numérique - - Spécialité : Communication adaptée aux environnements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21612&g_ta_cod=21612", 62.0, 14.0, 19.0),
(3390, "Public", "0750698B", "Lycée Claude Bernard", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Lycée Claude Bernard - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 2091, 614, 2091, 371, 1661, 326, 6, 3, 1, 0, 423, 0, 0, 0, 0, 0, 1173, 0, 305, 1030, 1113, 220, 0, 0, 0, 0, 60, 576, 44, 16, 44, 0, 7.0, 21.0, 38.0, 2, 3, 41, 41, 0, 0, 3, 0, 1, 11, 25, 4, 0.0, 40, 0, 0, 0, 0, 8, 35, 15.91, 47.73, 86.36, 36.3984375, 19.5, 85.390625, 0, 7.2998046875, 93.1875, 0.0, 2.39990234375, 26.796875, 61.0, 9.8, 0.0, 100.0, 97.59375, 0.0, 0.0, 0.0, 0.0, 561.0, 90.0, 0.0, 0.0, 15.0, "Tous les candidats", 718.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "9127", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9127&g_ta_cod=9127", 100.0, 0.0, 0.0),
(3391, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence_Las", "Institut national universitaire Champollion - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 30, 1077, 936, 1077, 0, 518, 133, 142, 39, 85, 34, 332, 0, 0, 0, 0, 0, 1076, 0, 0, 0, 518, 133, 142, 39, 85, 34, 331, 186, 29, 26, 29, 0, 2.0, 19.0, 21.0, 0, 7, 27, 20, 5, 2, 2, 0, 2, 12, 11, 2, 0.0, 20, 4, 1, 0, 0, 25, 25, 6.9, 65.52, 72.41, 89.6875, 92.59375, 92.59375, 0, 25.8984375, 93.09375, 0.0, 7.3994140625, 44.3984375, 40.6953125, 7.4, 0.0, 74.09375, 74.09375, 18.5, 14.798828125, 7.3994140625, 3.69970703125, 105.0, 24.0, 22.0, 9.0, 47.0, "Tous les candidats", 513.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "29690", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29689&g_ta_cod=29690", 72.0, 17.0, 10.0),
(3392, "Public", "0595885B", "Lycée Arthur Rimbaud", "59", "Nord", "Hauts-de-France", "Lille", "Sin-le-Noble", "formation sélective", "BTS", "Lycée Arthur Rimbaud - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 33, 439, 190, 404, 0, 49, 12, 125, 48, 125, 54, 105, 35, 0, 0, 20, 15, 197, 4, 0, 0, 33, 7, 75, 28, 64, 31, 25, 101, 27, 11, 24, 2, 4.0, 20.0, 25.0, 0, 8, 19, 1, 10, 8, 8, 0, 4, 10, 4, 1, 0.0, 1, 7, 7, 8, 4, 19, 19, 14.81, 74.07, 92.59, 40.6953125, 100.0, 100.0, 42.09375, 42.09375, 70.390625, 0.0, 21.09765625, 52.59375, 21.09765625, 5.3, 0.0, 5.2998046875, 5.2998046875, 52.59375, 36.796875, 42.09375, 36.796875, 10.0, 5.0, 51.0, 25.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 34.0, "7172", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7172&g_ta_cod=7172", 15.0, 48.0, 37.0),
(3393, "Public", "0560038M", "Lycée Joseph Loth", "56", "Morbihan", "Bretagne", "Rennes", "Pontivy", "formation sélective", "BTS", "Lycée Joseph Loth - BTS - Services - Assurance", "BTS - Services", "", 35, 513, 256, 456, 0, 33, 5, 111, 31, 58, 22, 254, 57, 5, 16, 6, 30, 222, 27, 0, 0, 33, 5, 96, 24, 47, 16, 46, 191, 18, 9, 11, 7, 0.0, 11.0, 18.0, 0, 3, 11, 3, 5, 3, 7, 0, 8, 2, 1, 0, 0.0, 0, 1, 2, 2, 1, 9, 9, 0.0, 61.11, 100.0, 50.0, 81.796875, 81.796875, 18.19921875, 27.296875, 61.09375, 0.0, 72.6875, 18.19921875, 9.099609375, 0.0, 0.0, 27.296875, 0.0, 45.5, 9.099609375, 27.296875, 18.19921875, 29.0, 4.0, 34.0, 16.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 111, "Liste d'appel propre à cette formation", 48.0, "6433", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6433&g_ta_cod=6433", 33.0, 50.0, 17.0),
(3394, "Public", "0312267W", "Lycée Des Arènes", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Des Arènes - BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "BTS - Services", "", 12, 1596, 463, 1596, 0, 598, 136, 197, 56, 186, 64, 615, 0, 0, 0, 0, 0, 304, 0, 0, 0, 147, 22, 1, 0, 141, 46, 15, 32, 12, 6, 12, 0, 4.0, 11.0, 12.0, 0, 3, 11, 9, 0, 2, 1, 0, 0, 2, 7, 2, 0.0, 9, 0, 2, 2, 0, 4, 4, 33.33, 91.67, 100.0, 50.0, 36.3984375, 36.3984375, 18.19921875, 27.296875, 91.6875, 0.0, 0.0, 18.19921875, 63.59375, 18.2, 0.0, 81.796875, 81.796875, 0.0, 0.0, 18.19921875, 18.19921875, 23.0, 5.0, 4.0, 1.0, 5.0, "Tous les candidats sauf les Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 3.0, "4213", "BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4213&g_ta_cod=4213", 83.0, 0.0, 17.0),
(3395, "Public", "0950947N", "Lycée De La Tourelle", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Sarcelles", "formation sélective", "BTS", "Lycée De La Tourelle - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 24, 226, 26, 109, 0, 3, 0, 26, 13, 49, 24, 31, 117, 0, 19, 48, 50, 59, 14, 0, 0, 3, 0, 21, 9, 29, 15, 6, 62, 19, 0, 9, 10, 5.0, 9.0, 9.0, 0, 7, 15, 0, 4, 11, 4, 0, 9, 6, 0, 0, 0.0, 0, 1, 5, 2, 0, 12, 15, 26.32, 47.37, 47.37, 0.0, 80.0, 100.0, 13.298828125, 46.6953125, 78.890625, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 26.69921875, 6.69921875, 73.296875, 33.296875, 0.0, 0.0, 37.0, 18.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 49.0, "11594", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11594&g_ta_cod=11594", 5.0, 26.0, 68.0),
(3396, "Public", "0470800P", "IFSI CH Intercomm Marmande Tonneins", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Marmande", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bordeaux - D.E Infirmier", "D.E secteur sanitaire", "", 52, 5216, 4332, 5216, 0, 930, 173, 931, 230, 392, 127, 2963, 0, 0, 0, 0, 0, 4159, 0, 0, 0, 856, 153, 831, 192, 268, 89, 2204, 1091, 52, 47, 52, 0, 0.0, 5.0, 26.0, 0, 7, 29, 11, 14, 4, 23, 0, 6, 17, 6, 0, 0.0, 9, 10, 4, 0, 0, 24, 24, 0.0, 9.62, 50.0, 90.390625, 82.796875, 82.796875, 0, 24.09765625, 55.796875, 0.0, 20.69921875, 58.59375, 20.69921875, 0.0, 0.0, 37.8984375, 31.0, 48.296875, 34.5, 13.798828125, 13.798828125, 197.0, 51.0, 34.0, 13.0, 592.0, "Tous les candidats", 3244.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "23951", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23940&g_ta_cod=23951", 54.0, 35.0, 12.0),
(3397, "Public", "0060015J", "Lycée professionnel des Coteaux", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "Autre formation", "Lycée professionnel des Coteaux - DN MADE - Mode - - Spécialité : Innovation mode et matériaux", "DN MADE", "- Spécialité : Innovation mode et matériaux", 15, 676, 559, 676, 0, 239, 40, 187, 51, 79, 19, 171, 0, 0, 0, 0, 0, 179, 0, 0, 0, 30, 3, 90, 18, 14, 2, 45, 57, 13, 11, 13, 0, 1.0, 9.0, 12.0, 0, 0, 8, 1, 6, 1, 5, 0, 0, 5, 3, 0, 0.0, 1, 6, 1, 0, 0, 1, 1, 7.69, 69.23, 92.31, 84.59375, 12.5, 12.5, 0, 0.0, 61.5, 0.0, 0.0, 62.5, 37.5, 0.0, 0.0, 12.5, 12.5, 75.0, 75.0, 12.5, 12.5, 7.0, 3.0, 2.0, 0.0, 16.0, "Tous les candidats", 76.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "24449", "DN MADE - Mode - - Spécialité : Innovation mode et matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24449&g_ta_cod=24449", 31.0, 62.0, 8.0),
(3398, "Public", "0340011C", "Lycée polyvalent Jean Moulin", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation sélective", "BTS", "Lycée polyvalent Jean Moulin - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 30, 247, 39, 223, 0, 3, 1, 69, 20, 54, 23, 97, 24, 2, 6, 11, 5, 120, 8, 0, 0, 3, 1, 59, 18, 45, 20, 13, 101, 22, 2, 17, 4, 11.0, 17.0, 20.0, 0, 9, 20, 1, 6, 13, 2, 0, 13, 3, 4, 0, 0.0, 0, 0, 7, 11, 1, 18, 18, 50.0, 77.27, 90.91, 9.099609375, 90.0, 90.0, 55, 45.0, 90.890625, 0.0, 65.0, 15.0, 20.0, 0.0, 0.0, 5.0, 0.0, 30.0, 0.0, 65.0, 35.0, 5.0, 2.0, 37.0, 16.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 53.0, "4472", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4472&g_ta_cod=4472", 5.0, 36.0, 59.0),
(3399, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "PASS", "Université de Paris - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Rééducation et Réadaptation", 100, 9934, 6919, 9934, 0, 7612, 1473, 304, 105, 76, 39, 1942, 0, 0, 0, 0, 0, 9922, 0, 0, 0, 7612, 1473, 304, 105, 76, 39, 1930, 1132, 94, 77, 94, 0, 2.0, 50.0, 83.0, 0, 18, 91, 91, 0, 0, 3, 0, 1, 3, 53, 32, 2.0, 90, 0, 0, 0, 0, 8, 90, 2.13, 53.19, 88.3, 81.890625, 8.798828125, 98.890625, 0, 19.796875, 96.796875, 0.0, 1.099853515625, 3.2998046875, 58.1953125, 35.2, 2.2, 100.0, 98.890625, 0.0, 0.0, 0.0, 0.0, 996.0, 232.0, 0.0, 0.0, 136.0, "Tous les candidats", 4750.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 21.0, "33538", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28111&g_ta_cod=33538", 100.0, 0.0, 0.0),
(3400, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Portail Physique - Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "Physique - Sciences pour l'ingénieur", 227, 1311, 352, 1105, 0, 714, 94, 50, 16, 5, 3, 336, 206, 34, 9, 2, 161, 1053, 159, 0, 0, 714, 94, 50, 16, 5, 3, 284, 1024, 151, 36, 102, 49, 9.0, 100.0, 130.0, 0, 20, 72, 61, 9, 2, 79, 2, 30, 19, 12, 9, 0.0, 33, 6, 1, 0, 0, 39, 39, 5.96, 66.23, 86.09, 23.796875, 54.1953125, 54.1953125, 0, 27.796875, 47.6953125, 2.7998046875, 41.6953125, 26.3984375, 16.69921875, 12.5, 0.0, 84.6875, 45.796875, 12.5, 8.298828125, 2.7998046875, 1.39990234375, 614.0, 86.0, 7.0, 3.0, 364.0, "Tous les candidats", 1053.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "8059", "Licence - Portail Physique - Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8059&g_ta_cod=8059", 82.0, 11.0, 5.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(3401, "Public", "9741324W", "Lycée Mahatma gandhi", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-André", "formation sélective", "BTS", "Lycée Mahatma gandhi - BTS - Services - Gestion de la PME", "BTS - Services", "", 32, 457, 306, 446, 0, 33, 15, 164, 120, 162, 124, 87, 11, 0, 5, 0, 6, 250, 1, 0, 0, 4, 1, 99, 72, 130, 102, 17, 115, 30, 19, 29, 1, 4.0, 25.0, 25.0, 0, 23, 27, 0, 12, 15, 3, 0, 10, 13, 3, 1, 0.0, 0, 5, 12, 8, 4, 27, 27, 13.33, 83.33, 83.33, 63.296875, 100.0, 100.0, 29.59765625, 85.1875, 90.0, 0.0, 37.0, 48.09375, 11.099609375, 3.7, 0.0, 0.0, 0.0, 44.3984375, 18.5, 55.59375, 44.3984375, 3.0, 1.0, 51.0, 39.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 31.0, "11985", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11985&g_ta_cod=11985", 10.0, 40.0, 50.0),
(3402, "Privé enseignement supérieur", "0251872M", "IMEA Montbéliard", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "Autre formation", "IMEA Montbéliard - Formation professionnelle - Gestionnaire d'unité commerciale (option généraliste / option spécialisée) (bac +2)", "Formation professionnelle", "", 15, 28, 17, 20, 0, 7, 2, 4, 0, 5, 2, 4, 8, 2, 1, 3, 2, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 1.0, 0.0, 0.0, "Tous les candidats", 1.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "18695", "Formation professionnelle - Gestionnaire d'unité commerciale (option généraliste / option spécialisée) (bac +2)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18695&g_ta_cod=18695", 0, 0, 0),
(3403, "Privé sous contrat d'association", "0851344Z", "Lycée polyvalent privé Notre Dame", "85", "Vendée", "Pays de la Loire", "Nantes", "Fontenay-le-Comte", "formation sélective", "BTS", "Lycée polyvalent privé Notre Dame - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 18, 168, 153, 166, 0, 13, 2, 61, 14, 48, 15, 44, 2, 0, 0, 0, 2, 154, 0, 0, 0, 13, 2, 61, 14, 48, 15, 32, 74, 18, 17, 18, 0, 7.0, 14.0, 18.0, 0, 5, 16, 3, 6, 7, 2, 0, 8, 7, 1, 0, 0.0, 2, 1, 5, 4, 4, 15, 15, 38.89, 77.78, 100.0, 94.390625, 93.796875, 93.796875, 25, 31.296875, 88.890625, 0.0, 50.0, 43.796875, 6.2998046875, 0.0, 0.0, 18.796875, 12.5, 37.5, 6.2998046875, 43.796875, 31.296875, 7.0, 1.0, 29.0, 9.0, 11.0, "Tous les candidats sauf les Bac professionnels", 87.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 86.0, "13064", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13064&g_ta_cod=13064", 17.0, 44.0, 39.0),
(3404, "Privé enseignement supérieur", "0596162C", "Institut Catholique de Lille-Faculté Libre Droit", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence_Las", "Institut Catholique de Lille-Faculté Libre Droit - Licence - Portail Droit - droit & culture juridique", "Licence - Droit-économie-gestion", "droit & culture juridique", 50, 773, 555, 261, 0, 182, 28, 10, 5, 4, 1, 65, 512, 259, 18, 10, 225, 204, 61, 0, 0, 173, 25, 1, 0, 0, 0, 30, 230, 38, 27, 21, 17, 14.0, 21.0, 37.0, 0, 2, 32, 32, 0, 0, 6, 1, 3, 13, 13, 2, 0.0, 28, 0, 0, 0, 0, 11, 11, 36.84, 55.26, 97.37, 71.09375, 34.3984375, 34.3984375, 0, 6.2998046875, 84.1875, 3.099609375, 9.3984375, 40.59375, 40.59375, 6.3, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 194.0, 19.0, 0.0, 0.0, 35.0, "Tous les candidats", 1250.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 78.0, "27671", "Licence - Portail Droit - droit & culture juridique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27670&g_ta_cod=27671", 100.0, 0.0, 0.0),
(3405, "Public", "0250011B", "Lycée Jules Haag", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Jules Haag - BTS - Production - Conception de processus de découpe et d'emboutissage", "BTS - Production", "", 12, 57, 4, 53, 0, 2, 0, 28, 4, 9, 4, 14, 4, 0, 0, 2, 2, 53, 0, 0, 0, 2, 0, 28, 4, 9, 4, 14, 40, 7, 0, 7, 0, 1.0, 5.0, 7.0, 0, 3, 5, 0, 4, 1, 2, 0, 4, 1, 0, 0, 0.0, 0, 1, 0, 5, 0, 5, 5, 14.29, 71.43, 100.0, 0.0, 100.0, 100.0, 100, 60.0, 71.390625, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 80.0, 20.0, 20.0, 0.0, 2.0, 0.0, 7.0, 4.0, 8.0, "Tous les candidats sauf les Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 89.0, "20637", "BTS - Production - Conception de processus de découpe et d'emboutissage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20637&g_ta_cod=20637", 0.0, 71.0, 29.0),
(3406, "Public", "0580779G", "I.U.T de Dijon - Antenne de Nevers", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "BUT", "I.U.T de Dijon - Antenne de Nevers - BUT - Informatique Parcours :  Réalisation d'applications: conception, développement, validation CDV", "BUT - Production", "Réalisation d'applications: conception, développement, validation CDV", 26, 430, 34, 407, 0, 236, 45, 90, 26, 6, 1, 75, 23, 1, 12, 0, 10, 308, 6, 0, 0, 202, 34, 70, 14, 1, 0, 35, 180, 28, 2, 27, 1, 1.0, 15.0, 28.0, 0, 4, 26, 15, 11, 0, 2, 0, 11, 14, 1, 0, 0.0, 9, 6, 0, 0, 0, 16, 16, 3.57, 53.57, 100.0, 7.099609375, 61.5, 61.5, 0, 15.3984375, 92.890625, 0.0, 42.296875, 53.796875, 3.7998046875, 0.0, 0.0, 57.6953125, 34.59375, 42.296875, 23.09765625, 0.0, 0.0, 100.0, 21.0, 1.0, 0.0, 25.0, "Tous les candidats sauf les Bac technologiques", 198.0, "Bacheliers technologiques toutes séries", 78, "", 0, "Liste d'appel propre à cette formation", 68.0, "32873", "BUT - Informatique Parcours :  Réalisation d'applications: conception, développement, validation CDV", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32873&g_ta_cod=32873", 61.0, 39.0, 0.0),
(3407, "Public", "0760005T", "Lycée Thomas Corneille", "76", "Seine-Maritime", "Normandie", "Normandie", "Barentin", "formation sélective", "BTS", "Lycée Thomas Corneille - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 711, 363, 693, 0, 63, 20, 266, 80, 204, 88, 160, 18, 2, 7, 3, 6, 374, 4, 0, 0, 58, 19, 160, 47, 108, 37, 48, 187, 30, 12, 28, 2, 6.0, 18.0, 19.0, 0, 6, 25, 2, 10, 13, 5, 0, 6, 11, 6, 2, 0.0, 0, 7, 12, 4, 1, 24, 24, 20.0, 60.0, 63.33, 40.0, 96.0, 96.0, 16, 24.0, 83.296875, 0.0, 24.0, 44.0, 24.0, 8.0, 0.0, 8.0, 0.0, 40.0, 28.0, 52.0, 48.0, 16.0, 8.0, 55.0, 19.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 134, "Liste d'appel propre à cette formation", 35.0, "9556", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9556&g_ta_cod=9556", 13.0, 40.0, 47.0),
(3408, "Public", "0771940R", "Lycée polyvalent de Noisiel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Noisiel", "formation sélective", "BTS", "Lycée polyvalent de Noisiel - BTS - Services - Commerce International", "BTS - Services", "", 35, 857, 433, 857, 0, 177, 51, 305, 122, 133, 59, 242, 0, 0, 0, 0, 0, 504, 0, 0, 0, 118, 36, 263, 104, 58, 26, 65, 117, 33, 14, 33, 0, 5.0, 25.0, 32.0, 0, 13, 28, 7, 15, 6, 5, 0, 5, 19, 3, 1, 0.0, 3, 14, 6, 2, 1, 28, 28, 15.15, 75.76, 96.97, 42.3984375, 100.0, 100.0, 7.099609375, 46.3984375, 84.796875, 0.0, 17.8984375, 67.890625, 10.69921875, 3.6, 0.0, 25.0, 10.69921875, 53.59375, 50.0, 21.3984375, 21.3984375, 40.0, 14.0, 26.0, 12.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 17.0, "9854", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9854&g_ta_cod=9854", 33.0, 48.0, 18.0),
(3409, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Gaston Berger - BTS - Services - Commerce International", "BTS - Services", "", 35, 1649, 886, 1649, 0, 496, 126, 450, 202, 181, 98, 522, 0, 0, 0, 0, 0, 587, 0, 0, 0, 307, 71, 119, 45, 76, 50, 85, 206, 35, 27, 35, 0, 13.0, 25.0, 32.0, 0, 11, 25, 18, 3, 4, 10, 0, 7, 8, 6, 4, 0.0, 11, 3, 4, 1, 1, 22, 22, 37.14, 71.43, 91.43, 77.09375, 88.0, 88.0, 4, 44.0, 71.390625, 0.0, 28.0, 32.0, 24.0, 16.0, 0.0, 72.0, 44.0, 12.0, 12.0, 16.0, 16.0, 127.0, 36.0, 9.0, 4.0, 40.0, "Tous les candidats sauf les Bac professionnels", 343.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 21.0, "6866", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6866&g_ta_cod=6866", 74.0, 14.0, 11.0),
(3410, "Public", "0911986P", "Polytech Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 120, 8255, 2102, 8255, 0, 7323, 749, 0, 0, 0, 0, 932, 0, 0, 0, 0, 0, 5591, 0, 0, 0, 5285, 404, 0, 0, 0, 0, 306, 3541, 139, 28, 139, 0, 121.0, 132.0, 139.0, 0, 19, 133, 133, 0, 0, 6, 1, 0, 22, 81, 26, 3.0, 132, 0, 0, 0, 0, 75, 92, 87.05, 94.96, 100.0, 20.09765625, 56.3984375, 69.1875, 0, 14.298828125, 95.6875, 0.7999267578125, 0.0, 16.5, 60.8984375, 19.5, 2.3, 100.0, 99.1875, 0.0, 0.0, 0.0, 0.0, 3382.0, 364.0, 0.0, 0.0, 159.0, "Autres candidats", 8698.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 44.0, "35", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=35", 100.0, 0.0, 0.0),
(3411, "Public", "9740054C", "La Prépa des INP - Groupe INP - Saint-Denis de la Réunion", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "Ecole d'Ingénieur", "La Prépa des INP - Groupe INP - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 22, 752, 236, 752, 0, 711, 114, 0, 0, 0, 0, 41, 0, 0, 0, 0, 0, 491, 0, 0, 0, 481, 63, 0, 0, 0, 0, 10, 368, 25, 7, 25, 0, 22.0, 24.0, 25.0, 0, 9, 25, 25, 0, 0, 0, 0, 0, 1, 15, 8, 1.0, 25, 0, 0, 0, 0, 20, 20, 88.0, 96.0, 100.0, 28.0, 80.0, 80.0, 0, 36.0, 100.0, 0.0, 0.0, 4.0, 60.0, 32.0, 4.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 362.0, 63.0, 0.0, 0.0, 6.0, "Tous les candidats", 3435.0, "Autres formations", 26, "", 0, "Liste d'appel commune à plusieurs formations", 54.0, "6", "Formation d'ingénieur Bac + 5 - Bac général", "La Prépa des INP - Groupe INP", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=1&g_ta_cod=6", 100.0, 0.0, 0.0),
(3412, "Privé sous contrat d'association", "0331502D", "Lycée St Joseph De Tivoli", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée St Joseph De Tivoli - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 34, 365, 157, 237, 0, 51, 7, 89, 27, 21, 7, 76, 128, 4, 44, 18, 62, 142, 33, 0, 0, 36, 3, 55, 12, 10, 4, 41, 142, 27, 10, 19, 8, 6.0, 15.0, 23.0, 0, 1, 15, 8, 6, 1, 12, 0, 10, 2, 3, 0, 0.0, 3, 2, 0, 0, 0, 13, 13, 22.22, 55.56, 85.19, 37.0, 86.6875, 86.6875, 0, 6.69921875, 55.59375, 0.0, 66.6875, 13.298828125, 20.0, 0.0, 0.0, 53.296875, 20.0, 40.0, 13.298828125, 6.69921875, 0.0, 26.0, 3.0, 12.0, 4.0, 51.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 59.0, "4355", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4355&g_ta_cod=4355", 48.0, 48.0, 4.0),
(3413, "Privé sous contrat d'association", "0860774Z", "Lycée St Jacques de Compostelle", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée St Jacques de Compostelle - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 25, 167, 80, 152, 0, 17, 3, 43, 14, 33, 12, 59, 15, 0, 1, 6, 8, 126, 7, 0, 0, 16, 3, 38, 11, 24, 7, 48, 109, 23, 9, 20, 3, 4.0, 13.0, 19.0, 0, 5, 11, 0, 4, 7, 12, 0, 8, 2, 1, 0, 0.0, 0, 0, 3, 4, 1, 8, 8, 17.39, 56.52, 82.61, 39.09375, 72.6875, 72.6875, 36.3984375, 45.5, 47.796875, 0.0, 72.6875, 18.19921875, 9.099609375, 0.0, 0.0, 0.0, 0.0, 36.3984375, 0.0, 63.59375, 27.296875, 14.0, 1.0, 24.0, 7.0, 40.0, "Tous les candidats sauf les Bac professionnels", 95.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 79.0, "10612", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10612&g_ta_cod=10612", 39.0, 26.0, 35.0),
(3414, "Public", "0350097R", "INSA Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Ecole d'Ingénieur", "INSA / Sciences Po (Rennes - Toulouse) - Formation d'ingénieur Bac + 5 - Double diplôme", "Formations  des écoles d'ingénieurs", "Double diplôme - Parcours EMIR (Electronique Matériaux Informatique et Réseaux)", 20, 739, 285, 739, 0, 625, 36, 0, 0, 0, 0, 114, 0, 0, 0, 0, 0, 590, 0, 0, 0, 506, 23, 0, 0, 0, 0, 84, 135, 18, 9, 18, 0, 2.0, 10.0, 17.0, 0, 1, 18, 18, 0, 0, 0, 0, 0, 0, 0, 14, 4.0, 18, 0, 0, 0, 0, 5, 5, 11.11, 55.56, 94.44, 50.0, 27.796875, 27.796875, 0, 5.599609375, 100.0, 0.0, 0.0, 0.0, 0.0, 77.8, 22.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 125.0, 7.0, 0.0, 0.0, 10.0, "Tous les candidats", 325.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "32061", "Formation d'ingénieur Bac + 5 - Double diplôme", "INSA / Sciences Po (Rennes - Toulouse)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29187&g_ta_cod=32061", 100.0, 0.0, 0.0),
(3415, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Double licence - Lettres / Histoire de l'art et archéologie - Double Licence : Lettres Classiques - Histoire de l'Art et Archéologie", "Licence - Arts-lettres-langues", "Double Licence : Lettres Classiques - Histoire de l'Art et Archéologie", 12, 140, 113, 137, 0, 75, 15, 3, 1, 6, 1, 53, 3, 1, 0, 0, 2, 137, 3, 0, 0, 75, 15, 3, 1, 6, 1, 53, 79, 12, 11, 9, 3, 4.0, 8.0, 11.0, 0, 1, 3, 2, 0, 1, 9, 0, 0, 1, 1, 1, 0.0, 2, 0, 1, 0, 0, 2, 2, 33.33, 66.67, 91.67, 91.6875, 66.6875, 66.6875, 0, 33.296875, 25.0, 0.0, 0.0, 33.296875, 33.296875, 33.3, 0.0, 66.6875, 66.6875, 0.0, 0.0, 33.296875, 33.296875, 39.0, 8.0, 3.0, 1.0, 35.0, "Tous les candidats", 136.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "26589", "Double licence - Lettres / Histoire de l'art et archéologie - Double Licence : Lettres Classiques - Histoire de l'Art et Archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26589&g_ta_cod=26589", 92.0, 0.0, 8.0),
(3416, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 460, 5092, 4238, 5092, 0, 2809, 578, 568, 153, 161, 67, 1554, 0, 0, 0, 0, 0, 5080, 0, 0, 0, 2809, 578, 568, 153, 161, 67, 1542, 1449, 455, 405, 454, 0, 108.0, 343.0, 403.0, 0, 71, 353, 305, 31, 17, 102, 0, 27, 190, 111, 24, 1.0, 285, 26, 15, 0, 0, 336, 336, 23.74, 75.38, 88.57, 89.0, 95.1875, 95.1875, 0, 20.09765625, 77.59375, 0.0, 7.599609375, 53.796875, 31.3984375, 6.8, 0.3, 86.390625, 80.6875, 8.798828125, 7.3994140625, 4.7998046875, 4.19921875, 852.0, 163.0, 58.0, 27.0, 406.0, "Tous les candidats", 1889.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "4885", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27692&g_ta_cod=4885", 84.0, 9.0, 6.0),
(3417, "Privé sous contrat d'association", "0721684P", "Lycée Polyvalent Saint-Charles Sainte-Croix", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "CPGE", "Lycée Polyvalent Saint-Charles Sainte-Croix - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 24, 166, 61, 158, 0, 131, 12, 1, 0, 0, 0, 26, 8, 2, 0, 0, 6, 141, 3, 0, 141, 124, 11, 0, 0, 0, 0, 17, 132, 12, 2, 12, 0, 6.0, 12.0, 12.0, 0, 2, 7, 7, 0, 0, 5, 0, 4, 3, 0, 0, 0.0, 3, 0, 0, 0, 0, 5, 5, 50.0, 100.0, 100.0, 16.69921875, 71.390625, 71.390625, 0, 28.59765625, 58.296875, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 100.0, 42.8984375, 0.0, 0.0, 0.0, 0.0, 116.0, 11.0, 0.0, 0.0, 16.0, "Tous les candidats", 141.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "31341", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31341&g_ta_cod=31341", 100.0, 0.0, 0.0),
(3418, "Public", "0632001H", "AgroSup Dijon Direction Enseignement à Distance (CNPR)", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Lempdes", "formation sélective", "BTS", "AgroSup Dijon Direction Enseignement à Distance (CNPR) - BTS - Agricole - productions animales", "BTS - Agricole", "", 20, 122, 86, 102, 0, 26, 5, 32, 6, 17, 9, 27, 20, 3, 3, 2, 12, 40, 7, 0, 0, 12, 1, 11, 3, 7, 3, 10, 46, 2, 2, 1, 1, 0.0, 1.0, 2.0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 0.0, 50.0, 100.0, 100.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 13.0, 1.0, 8.0, 3.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 39.0, "23466", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23466&g_ta_cod=23466", 0.0, 50.0, 50.0),
(3419, "Privé sous contrat d'association", "0910808J", "Lycée St Charles", "91", "Essonne", "Ile-de-France", "Versailles", "Athis-Mons", "formation sélective", "BTS", "Lycée St Charles - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 388, 162, 388, 0, 30, 4, 125, 40, 105, 49, 128, 0, 0, 0, 0, 0, 316, 0, 0, 0, 30, 4, 123, 40, 68, 29, 95, 149, 23, 2, 23, 0, 2.0, 9.0, 12.0, 0, 6, 10, 0, 5, 5, 13, 0, 6, 4, 0, 0, 0.0, 0, 3, 1, 1, 0, 9, 9, 8.7, 39.13, 52.17, 8.69921875, 90.0, 90.0, 10, 60.0, 43.5, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 30.0, 50.0, 10.0, 10.0, 3.0, 50.0, 22.0, 57.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 32.0, "10889", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10889&g_ta_cod=10889", 13.0, 39.0, 48.0),
(3420, "Public", "9741046U", "Lycée Bellepierre", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "CPGE", "Lycée Bellepierre - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 12, 93, 40, 87, 0, 72, 13, 2, 1, 0, 0, 13, 6, 5, 0, 0, 1, 62, 4, 0, 62, 55, 7, 0, 0, 0, 0, 7, 57, 3, 1, 2, 1, 0.0, 2.0, 3.0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 1, 1, 1, 0.0, 3, 0, 0, 0, 0, 3, 3, 0.0, 66.67, 100.0, 33.296875, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 33.296875, 33.296875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 49.0, 6.0, 0.0, 0.0, 8.0, "Tous les candidats", 62.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "31387", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31387&g_ta_cod=31387", 100.0, 0.0, 0.0),
(3421, "Public", "0672834S", "I.U.T. de Haguenau", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Haguenau", "formation sélective", "BUT", "I.U.T. de Haguenau - BUT - Qualité, logistique industrielle et organisation Parcours : Pilotage de la chaîne logistique globale - Accompagnement à la transformation numérique", "BUT - Production", "Pilotage de la chaîne logistique globale - Accompagnement à la transformation numérique", 46, 231, 53, 206, 0, 79, 11, 69, 19, 10, 3, 48, 25, 7, 1, 1, 16, 104, 15, 0, 0, 52, 5, 35, 7, 1, 0, 16, 105, 38, 4, 29, 9, 17.0, 29.0, 38.0, 0, 0, 24, 12, 11, 1, 14, 0, 8, 13, 3, 0, 0.0, 5, 10, 1, 0, 0, 22, 22, 44.74, 76.32, 100.0, 10.5, 91.6875, 91.6875, 0, 0.0, 63.1953125, 0.0, 33.296875, 54.1953125, 12.5, 0.0, 0.0, 50.0, 20.796875, 45.796875, 41.6953125, 4.19921875, 4.19921875, 51.0, 7.0, 2.0, 0.0, 23.0, "Tous les candidats sauf les Bac technologiques", 65.0, "Bacheliers technologiques toutes séries", 40, "", 0, "Liste d'appel propre à cette formation", 49.0, "8013", "BUT - Qualité, logistique industrielle et organisation Parcours : Pilotage de la chaîne logistique globale - Accompagnement à la transformation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8013&g_ta_cod=8013", 53.0, 42.0, 5.0),
(3422, "Privé sous contrat d'association", "0690521S", "Lycée Sainte - Marie Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée Sainte - Marie Lyon - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 19, 1505, 768, 1505, 1110, 1382, 71, 0, 0, 0, 0, 123, 0, 0, 0, 0, 0, 292, 0, 254, 225, 292, 13, 0, 0, 0, 0, 0, 120, 18, 13, 18, 0, 0.0, 12.0, 18.0, 5, 0, 18, 18, 0, 0, 0, 0, 0, 0, 5, 11, 2.0, 18, 0, 0, 2, 2, 4, 4, 0.0, 66.67, 100.0, 72.1875, 22.19921875, 22.19921875, 11.099609375, 0.0, 100.0, 0.0, 0.0, 0.0, 27.796875, 61.1, 11.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 120.0, 5.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "31477", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31319&g_ta_cod=31477", 100.0, 0.0, 0.0),
(3423, "Public", "0040522W", "I.U.T. d'Aix-Marseille - Site de Digne", "04", "Alpes-de-Haute-Provence", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Digne-les-Bains", "formation sélective", "BUT", "I.U.T. d'Aix-Marseille - Site de Digne - BUT - Gestion administrative et commerciale des organisations Parcours : Management responsable de projet et des organisations", "BUT - Service", "Management responsable de projet et des organisations", 60, 1220, 721, 1220, 0, 708, 104, 327, 96, 13, 5, 172, 0, 0, 0, 0, 0, 1177, 0, 0, 0, 703, 103, 320, 94, 11, 4, 143, 576, 61, 33, 61, 0, 19.0, 37.0, 51.0, 0, 13, 51, 22, 26, 3, 10, 0, 17, 26, 6, 2, 0.0, 15, 16, 3, 0, 0, 32, 32, 31.15, 60.66, 83.61, 54.09375, 62.6953125, 62.6953125, 0, 25.5, 83.59375, 0.0, 33.296875, 51.0, 11.798828125, 3.9, 0.0, 43.09375, 29.3984375, 51.0, 31.3984375, 5.8994140625, 5.8994140625, 254.0, 43.0, 3.0, 2.0, 59.0, "Tous les candidats sauf les Bac technologiques", 515.0, "Bacheliers technologiques toutes séries", 321, "", 0, "Liste d'appel propre à cette formation", 69.0, "2168", "BUT - Gestion administrative et commerciale des organisations Parcours : Management responsable de projet et des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2168&g_ta_cod=2168", 48.0, 46.0, 7.0),
(3424, "Privé sous contrat d'association", "0623277A", "Institut Saint Eloi", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Bapaume", "formation sélective", "BTS", "Institut Saint Eloi - BTS - Agricole - génie des équipements agricoles", "BTS - Agricole", "", 36, 162, 9, 162, 0, 24, 5, 59, 11, 49, 9, 30, 0, 0, 0, 0, 0, 137, 0, 0, 0, 23, 5, 59, 11, 45, 8, 10, 94, 33, 1, 33, 0, 21.0, 33.0, 33.0, 0, 6, 30, 2, 17, 11, 3, 0, 5, 13, 12, 0, 0.0, 2, 12, 11, 2, 0, 26, 26, 63.64, 100.0, 100.0, 3.0, 86.6875, 86.6875, 6.69921875, 20.0, 90.890625, 0.0, 16.69921875, 43.296875, 40.0, 0.0, 0.0, 6.69921875, 6.69921875, 56.6953125, 40.0, 36.6953125, 36.6953125, 17.0, 3.0, 31.0, 7.0, 5.0, "Tous les candidats sauf les Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 80.0, "7471", "BTS - Agricole - génie des équipements agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7471&g_ta_cod=7471", 6.0, 55.0, 39.0),
(3425, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Licence", "Université Côte d'Azur - Double licence - Philosophie / Droit - Double licence Philosophie - Droit", "Licence - Sciences humaines et sociales", "Double licence Philosophie - Droit", 35, 389, 296, 389, 0, 280, 62, 30, 18, 1, 1, 78, 0, 0, 0, 0, 0, 305, 0, 0, 0, 244, 48, 13, 4, 0, 0, 48, 190, 34, 25, 34, 0, 1.0, 25.0, 34.0, 0, 3, 24, 23, 1, 0, 10, 0, 6, 7, 10, 1, 0.0, 17, 1, 0, 0, 0, 14, 14, 2.94, 73.53, 100.0, 73.5, 58.296875, 58.296875, 0, 12.5, 70.59375, 0.0, 25.0, 29.19921875, 41.6953125, 4.2, 0.0, 95.796875, 70.796875, 4.19921875, 4.19921875, 0.0, 0.0, 153.0, 35.0, 0.0, 0.0, 33.0, "Tous les candidats", 301.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "20975", "Double licence - Philosophie / Droit - Double licence Philosophie - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20975&g_ta_cod=20975", 94.0, 6.0, 0.0),
(3426, "Public", "0540042C", "Lycée Henri Loritz", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Lycée Henri Loritz - DN MADE - Espace - - Spécialité : Design et environnements", "DN MADE", "- Spécialité : Design et environnements", 15, 492, 396, 492, 0, 224, 29, 99, 14, 35, 10, 134, 0, 0, 0, 0, 0, 492, 0, 0, 0, 224, 29, 99, 14, 35, 10, 134, 57, 15, 15, 15, 0, 6.0, 11.0, 13.0, 0, 5, 15, 11, 4, 0, 0, 0, 0, 7, 7, 1, 0.0, 11, 4, 0, 0, 0, 5, 5, 40.0, 73.33, 86.67, 100.0, 33.296875, 33.296875, 0, 33.296875, 100.0, 0.0, 0.0, 46.6953125, 46.6953125, 6.7, 0.0, 73.296875, 73.296875, 26.69921875, 26.69921875, 0.0, 0.0, 36.0, 6.0, 0.0, 0.0, 2.0, "Tous les candidats", 69.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "24215", "DN MADE - Espace - - Spécialité : Design et environnements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24215&g_ta_cod=24215", 73.0, 27.0, 0.0),
(3427, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Trilangue Anglais - Espagnol - 3ème langue à choix", "Licence - Arts-lettres-langues", "Trilangue Anglais - Espagnol - 3ème langue à choix", 40, 405, 334, 380, 0, 270, 74, 19, 7, 8, 4, 83, 25, 2, 2, 2, 19, 377, 22, 0, 0, 270, 74, 19, 7, 8, 4, 80, 226, 38, 35, 32, 6, 7.0, 26.0, 29.0, 0, 11, 30, 26, 1, 3, 8, 0, 7, 9, 10, 4, 0.0, 20, 1, 2, 0, 0, 22, 22, 18.42, 68.42, 76.32, 92.09375, 73.296875, 73.296875, 0, 36.6953125, 78.890625, 0.0, 23.296875, 30.0, 33.296875, 13.3, 0.0, 86.6875, 66.6875, 3.2998046875, 3.2998046875, 10.0, 6.69921875, 143.0, 40.0, 9.0, 4.0, 61.0, "Tous les candidats", 307.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "23990", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Trilangue Anglais - Espagnol - 3ème langue à choix", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23990&g_ta_cod=23990", 76.0, 8.0, 16.0),
(3428, "Public", "0440104Z", "Ecole Nationale Supérieure d'Architecture de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Nantes - Architecture", "Formations Bac + 5", "", 110, 2621, 1540, 2621, 0, 1834, 239, 249, 47, 63, 25, 475, 0, 0, 0, 0, 0, 376, 0, 0, 0, 304, 25, 36, 5, 10, 3, 26, 270, 123, 81, 123, 0, 50.0, 123.0, 123.0, 0, 8, 114, 90, 19, 5, 9, 1, 0, 4, 26, 78, 5.0, 89, 19, 5, 0, 0, 36, 36, 40.65, 100.0, 100.0, 65.890625, 31.59765625, 31.59765625, 0, 7.0, 92.6875, 0.89990234375, 0.0, 3.5, 22.796875, 68.4, 4.4, 78.890625, 78.09375, 16.69921875, 16.69921875, 4.3994140625, 4.3994140625, 216.0, 19.0, 9.0, 2.0, 16.0, "Tous les candidats", 321.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "5474", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5474&g_ta_cod=5474", 80.0, 15.0, 4.0),
(3429, "Public", "0782118D", "I.U.T de Velizy - Antenne de Rambouillet", "78", "Yvelines", "Ile-de-France", "Versailles", "Rambouillet", "formation sélective", "BUT", "I.U.T de Velizy - Antenne de Rambouillet - BUT - Gestion administrative et commerciale des organisations Parcours : Management responsable de projet et des organisations - Management commercial et marketing omnicanal - Management des activités culturelles, artistiques, sportives et de tourisme", "BUT - Service", "Management responsable de projet et des organisations - Management commercial et marketing omnicanal - Management des activités culturelles, artistiques, sportives et de tourisme", 56, 1585, 864, 1585, 0, 775, 115, 571, 139, 24, 6, 215, 0, 0, 0, 0, 0, 1125, 0, 0, 0, 635, 84, 361, 79, 9, 2, 120, 351, 57, 31, 57, 0, 8.0, 39.0, 47.0, 0, 10, 50, 23, 27, 0, 7, 0, 7, 32, 11, 0, 0.0, 18, 25, 0, 0, 0, 42, 44, 14.04, 68.42, 82.46, 54.3984375, 84.0, 88.0, 0, 20.0, 87.6875, 0.0, 14.0, 64.0, 22.0, 0.0, 0.0, 46.0, 36.0, 54.0, 50.0, 0.0, 0.0, 181.0, 37.0, 1.0, 1.0, 29.0, "Tous les candidats sauf les Bac technologiques", 301.0, "Bacheliers technologiques toutes séries", 218, "", 0, "Liste d'appel propre à cette formation", 33.0, "10018", "BUT - Gestion administrative et commerciale des organisations Parcours : Management responsable de projet et des organisations - Management commercial et marketing omnicanal - Management des activités culturelles, artistiques, sportives et de tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10018&g_ta_cod=10018", 49.0, 51.0, 0.0),
(3430, "Public", "0681801N", "Lycée Charles De Gaulle", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Pulversheim", "formation sélective", "BTS", "Lycée Charles De Gaulle - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 15, 134, 6, 128, 0, 3, 2, 22, 5, 52, 16, 51, 6, 0, 0, 0, 6, 74, 1, 0, 0, 3, 2, 21, 5, 40, 16, 10, 49, 12, 1, 11, 1, 1.0, 9.0, 10.0, 0, 4, 10, 0, 1, 9, 2, 0, 2, 6, 2, 0, 0.0, 0, 0, 8, 4, 1, 9, 9, 8.33, 75.0, 83.33, 8.298828125, 90.0, 90.0, 40, 40.0, 83.296875, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 0.0, 0.0, 10.0, 0.0, 90.0, 80.0, 2.0, 1.0, 22.0, 8.0, 8.0, "Tous les candidats sauf les Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 43.0, "8168", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8168&g_ta_cod=8168", 8.0, 8.0, 83.0),
(3431, "Privé sous contrat d'association", "0430055B", "Lycée Polyvalent La Chartreuse", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Brives-Charensac", "formation sélective", "Autre formation", "Lycée Polyvalent La Chartreuse - Formation professionnelle - Technicien(ne) supérieur(e) en maintenance industrielle (bac +2)", "Formation professionnelle", "", 12, 19, 0, 18, 0, 0, 0, 2, 1, 9, 2, 7, 1, 0, 0, 0, 1, 4, 0, 0, 0, 0, 0, 1, 1, 3, 0, 0, 4, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 3.0, 0.0, 0.0, "Tous les candidats", 4.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "25429", "Formation professionnelle - Technicien(ne) supérieur(e) en maintenance industrielle (bac +2)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25429&g_ta_cod=25429", 0, 0, 0),
(3432, "Privé sous contrat d'association", "0592916Z", "Lycée Notre-Dame De Grace", "59", "Nord", "Hauts-de-France", "Lille", "Maubeuge", "formation sélective", "BTS", "Lycée Notre-Dame De Grace - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 120, 57, 98, 0, 16, 3, 18, 7, 16, 8, 48, 22, 1, 6, 0, 15, 70, 13, 0, 0, 16, 3, 15, 4, 14, 8, 25, 76, 28, 14, 22, 6, 11.0, 21.0, 23.0, 0, 4, 10, 2, 2, 6, 18, 0, 7, 2, 1, 0, 0.0, 1, 0, 2, 0, 0, 10, 10, 39.29, 75.0, 82.14, 50.0, 100.0, 100.0, 0, 40.0, 35.6953125, 0.0, 70.0, 20.0, 10.0, 0.0, 0.0, 20.0, 10.0, 20.0, 0.0, 60.0, 20.0, 16.0, 3.0, 10.0, 6.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 68.0, "6898", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6898&g_ta_cod=6898", 46.0, 25.0, 29.0),
(3433, "Public", "9741233X", "LPO Nelson Mandela", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Benoît", "formation sélective", "BTS", "LPO Nelson Mandela - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 34, 305, 185, 305, 0, 45, 18, 100, 71, 85, 55, 75, 0, 0, 0, 0, 0, 206, 0, 0, 0, 39, 15, 78, 55, 55, 38, 34, 130, 32, 17, 32, 0, 6.0, 27.0, 28.0, 0, 16, 26, 4, 14, 8, 6, 0, 10, 7, 8, 1, 0.0, 2, 9, 5, 9, 5, 25, 25, 18.75, 84.38, 87.5, 53.09375, 96.1875, 96.1875, 34.59375, 61.5, 81.296875, 0.0, 38.5, 26.8984375, 30.796875, 3.8, 0.0, 15.3984375, 7.69921875, 53.796875, 34.59375, 30.796875, 19.19921875, 20.0, 11.0, 39.0, 28.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 56.0, "12706", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12706&g_ta_cod=12706", 16.0, 50.0, 31.0),
(3434, "Public", "0590072H", "Lycée De L'Europe", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "Lycée De L'Europe - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 192, 12, 189, 0, 7, 2, 51, 12, 59, 23, 72, 3, 0, 0, 0, 3, 189, 3, 0, 0, 7, 2, 51, 12, 59, 23, 72, 100, 20, 1, 19, 1, 4.0, 18.0, 19.0, 0, 6, 14, 0, 3, 11, 6, 0, 3, 5, 5, 1, 0.0, 0, 3, 8, 2, 0, 13, 13, 20.0, 90.0, 95.0, 5.0, 92.890625, 92.890625, 14.298828125, 42.8984375, 70.0, 0.0, 21.3984375, 35.6953125, 35.6953125, 7.1, 0.0, 0.0, 0.0, 21.3984375, 21.3984375, 78.59375, 57.09375, 6.0, 2.0, 51.0, 18.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 58.0, "6755", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6755&g_ta_cod=6755", 15.0, 20.0, 65.0),
(3435, "Privé sous contrat d'association", "0611175W", "MFREO de la Ferté Macé", "61", "Orne", "Normandie", "Normandie", "La Ferté Macé", "formation sélective", "BTS", "MFREO de la Ferté Macé - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 42, 238, 119, 229, 0, 10, 3, 17, 2, 35, 8, 167, 9, 1, 0, 3, 5, 48, 4, 0, 0, 10, 3, 0, 0, 35, 8, 3, 52, 18, 11, 14, 4, 11.0, 14.0, 18.0, 0, 3, 15, 3, 0, 12, 3, 0, 6, 7, 2, 0, 0.0, 1, 0, 8, 0, 0, 11, 11, 61.11, 77.78, 100.0, 61.09375, 73.296875, 73.296875, 0, 20.0, 83.296875, 0.0, 40.0, 46.6953125, 13.298828125, 0.0, 0.0, 20.0, 6.69921875, 0.0, 0.0, 80.0, 53.296875, 11.0, 3.0, 37.0, 8.0, 4.0, "Tous les candidats sauf les Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 21.0, "7322", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7322&g_ta_cod=7322", 33.0, 0.0, 67.0),
(3436, "Public", "0240006B", "Lycée des métiers Sud Périgord Hélène Duc", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Bergerac", "formation sélective", "BTS", "Lycée des métiers Sud Périgord Hélène Duc - BTS - Production - Techniques et services en matériels agricoles", "BTS - Production", "", 24, 98, 3, 94, 0, 3, 1, 24, 4, 42, 9, 25, 4, 0, 0, 3, 1, 67, 4, 0, 0, 2, 1, 24, 4, 40, 9, 1, 60, 14, 0, 10, 4, 5.0, 10.0, 14.0, 0, 2, 13, 0, 3, 10, 1, 0, 4, 7, 2, 0, 0.0, 0, 2, 7, 6, 0, 11, 11, 35.71, 71.43, 100.0, 0.0, 84.59375, 84.59375, 46.1953125, 15.3984375, 92.890625, 0.0, 30.796875, 53.796875, 15.3984375, 0.0, 0.0, 0.0, 0.0, 23.09765625, 15.3984375, 76.890625, 53.796875, 2.0, 1.0, 38.0, 8.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 71.0, "17671", "BTS - Production - Techniques et services en matériels agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17671&g_ta_cod=17671", 0.0, 21.0, 71.0),
(3437, "Public", "0941347D", "Lycée Pablo Picasso", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Fontenay-sous-Bois", "formation sélective", "CPGE", "Lycée Pablo Picasso - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 38, 372, 190, 347, 0, 0, 0, 303, 124, 0, 0, 44, 25, 0, 13, 0, 12, 261, 1, 0, 261, 0, 0, 251, 100, 0, 0, 10, 202, 34, 18, 32, 1, 3.0, 30.0, 32.0, 0, 12, 30, 0, 30, 0, 4, 0, 3, 21, 6, 0, 0.0, 0, 27, 0, 2, 2, 27, 28, 8.82, 88.24, 94.12, 52.8984375, 90.0, 93.296875, 6.69921875, 40.0, 88.1875, 0.0, 10.0, 70.0, 20.0, 0.0, 0.0, 0.0, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 7.0, "Tous les candidats", 256.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "11519", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11519&g_ta_cod=11519", 0.0, 100.0, 0.0),
(3438, "Public", "0061887U", "I.U.T de Nice - Antenne de Menton", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Menton", "formation sélective", "BUT", "I.U.T de Nice - Antenne de Menton - BUT - Carrières sociales Parcours éducation spécialisée (Seconde année possible en apprentissage)", "BUT - Service", "", 26, 1009, 903, 1009, 0, 284, 50, 307, 78, 87, 37, 331, 0, 0, 0, 0, 0, 258, 0, 0, 0, 49, 5, 104, 22, 8, 4, 97, 84, 25, 19, 25, 0, 9.0, 20.0, 21.0, 0, 4, 13, 3, 9, 1, 12, 0, 2, 4, 4, 3, 0.0, 2, 8, 1, 0, 0, 5, 5, 36.0, 80.0, 84.0, 76.0, 38.5, 38.5, 0, 30.796875, 52.0, 0.0, 15.3984375, 30.796875, 30.796875, 23.1, 0.0, 23.09765625, 15.3984375, 69.1875, 61.5, 7.69921875, 7.69921875, 15.0, 3.0, 2.0, 1.0, 40.0, "Tous les candidats sauf les Bac technologiques", 51.0, "Bacheliers technologiques toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 8.0, "14781", "BUT - Carrières sociales Parcours éducation spécialisée (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14781&g_ta_cod=14781", 48.0, 48.0, 4.0),
(3439, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Bi-disciplinaire : Histoire - Allemand", "Licence - Arts-lettres-langues", "Bi-disciplinaire : Histoire - Allemand", 30, 64, 43, 26, 0, 12, 1, 0, 0, 1, 1, 13, 38, 4, 1, 3, 30, 26, 36, 0, 0, 12, 1, 0, 0, 1, 1, 13, 62, 9, 4, 1, 8, 1.0, 1.0, 7.0, 0, 1, 1, 1, 0, 0, 8, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 11.11, 11.11, 77.78, 44.3984375, 0.0, 0.0, 0, 100.0, 11.099609375, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 16.0, 2.0, 4.0, 2.0, 41.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "30787", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Bi-disciplinaire : Histoire - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30787&g_ta_cod=30787", 44.0, 33.0, 11.0),
(3440, "Public", "0693521C", "I.U.T LUMIERE Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Bron", "formation sélective", "BUT", "I.U.T LUMIERE Lyon 2 - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités - Gestion et pilotage des ressources humaines (Seconde année en apprentissage)", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités - Gestion et pilotage des ressources humaines", 80, 2445, 1255, 2445, 0, 1336, 232, 746, 231, 33, 15, 330, 0, 0, 0, 0, 0, 238, 0, 0, 0, 79, 8, 119, 26, 2, 1, 38, 174, 79, 53, 78, 0, 33.0, 70.0, 72.0, 0, 14, 63, 24, 38, 1, 16, 0, 1, 22, 36, 4, 0.0, 24, 37, 1, 0, 0, 38, 38, 41.77, 88.61, 91.14, 67.09375, 60.296875, 60.296875, 0, 22.19921875, 79.6875, 0.0, 1.599853515625, 34.8984375, 57.09375, 6.3, 0.0, 38.09375, 38.09375, 60.296875, 58.6953125, 1.599853515625, 1.599853515625, 63.0, 8.0, 1.0, 1.0, 32.0, "Tous les candidats sauf les Bac technologiques", 101.0, "Bacheliers technologiques toutes séries", 85, "", 0, "Liste d'appel propre à cette formation", 8.0, "8577", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités - Gestion et pilotage des ressources humaines (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8577&g_ta_cod=8577", 46.0, 52.0, 1.0),
(3441, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation non sélective", "Licence", "Université de La Rochelle - Licence - Droit", "Licence - Droit-économie-gestion", "", 270, 2308, 1684, 2308, 0, 1794, 308, 239, 72, 21, 7, 254, 0, 0, 0, 0, 0, 2291, 0, 0, 0, 1794, 308, 239, 72, 21, 7, 237, 944, 270, 194, 269, 0, 39.0, 225.0, 256.0, 0, 51, 247, 220, 24, 3, 23, 0, 60, 109, 69, 9, 0.0, 169, 16, 2, 0, 0, 220, 220, 14.44, 83.33, 94.81, 71.890625, 89.09375, 89.09375, 0, 20.59765625, 91.5, 0.0, 24.296875, 44.09375, 27.8984375, 3.6, 0.0, 89.09375, 68.390625, 9.69921875, 6.5, 1.199951171875, 0.7999267578125, 751.0, 132.0, 10.0, 2.0, 75.0, "Tous les candidats", 1294.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "3077", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3077&g_ta_cod=3077", 88.0, 10.0, 1.0),
(3442, "Privé sous contrat d'association", "0352512R", "CFTA", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Montfort-sur-Meu", "formation sélective", "BTS", "CFTA - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 50, 149, 49, 144, 0, 13, 4, 51, 12, 69, 16, 11, 5, 0, 1, 3, 1, 133, 4, 0, 0, 13, 4, 48, 12, 65, 14, 7, 109, 33, 12, 31, 2, 16.0, 31.0, 33.0, 0, 8, 31, 3, 6, 22, 2, 0, 12, 15, 3, 1, 0.0, 2, 5, 12, 1, 1, 26, 26, 48.48, 93.94, 100.0, 36.3984375, 83.890625, 83.890625, 3.19970703125, 25.796875, 93.890625, 0.0, 38.6953125, 48.3984375, 9.69921875, 3.2, 0.0, 9.69921875, 6.5, 19.3984375, 16.09765625, 71.0, 38.6953125, 11.0, 4.0, 59.0, 13.0, 5.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 66, "", 0, "Liste d'appel propre à cette formation", 90.0, "4790", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4790&g_ta_cod=4790", 9.0, 24.0, 67.0),
(3443, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence_Las", "Université de Franche-Comté - Site de Besançon - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 36, 1651, 1193, 1651, 0, 1075, 171, 69, 27, 3, 2, 504, 0, 0, 0, 0, 0, 1641, 0, 0, 0, 1075, 171, 69, 27, 3, 2, 494, 294, 33, 26, 33, 0, 0.0, 12.0, 26.0, 0, 5, 31, 31, 0, 0, 2, 0, 8, 16, 5, 2, 0.0, 23, 0, 0, 0, 0, 30, 30, 0.0, 36.36, 78.79, 78.796875, 96.796875, 96.796875, 0, 16.09765625, 93.890625, 0.0, 25.796875, 51.59375, 16.09765625, 6.5, 0.0, 100.0, 74.1875, 0.0, 0.0, 0.0, 0.0, 260.0, 25.0, 0.0, 0.0, 34.0, "Tous les candidats", 546.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "27293", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27292&g_ta_cod=27293", 100.0, 0.0, 0.0),
(3444, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation non sélective", "Licence", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Portail Portail Biologie-Chimie-Sciences de la Terre (BCST)", "Licence - Sciences - technologies - santé", "Biologie-Chimie-Sciences de la Terre (BCST)", 320, 4045, 2879, 4045, 0, 2596, 315, 98, 19, 1, 0, 1350, 0, 0, 0, 0, 0, 3998, 0, 0, 0, 2596, 315, 98, 19, 1, 0, 1303, 1957, 309, 226, 308, 0, 8.0, 169.0, 246.0, 0, 29, 219, 210, 9, 0, 90, 0, 9, 110, 84, 16, 0.0, 202, 8, 0, 0, 0, 163, 205, 2.59, 54.69, 79.61, 73.09375, 74.390625, 93.59375, 0, 13.19921875, 70.890625, 0.0, 4.099609375, 50.1953125, 38.3984375, 7.3, 0.0, 95.890625, 92.1875, 4.099609375, 3.69970703125, 0.0, 0.0, 1349.0, 188.0, 0.0, 0.0, 584.0, "Tous les candidats", 2559.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 53.0, "10914", "Licence - Portail Portail Biologie-Chimie-Sciences de la Terre (BCST)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27916&g_ta_cod=10914", 95.0, 5.0, 0.0),
(3445, "Privé sous contrat d'association", "0370748M", "Lycée Saint Gatien", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Joué-lès-Tours", "formation sélective", "BTS", "Lycée Saint Gatien - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 16, 74, 0, 65, 0, 4, 1, 10, 2, 42, 8, 9, 9, 0, 1, 7, 1, 65, 5, 0, 0, 4, 1, 10, 2, 42, 8, 9, 56, 10, 0, 10, 0, 4.0, 10.0, 10.0, 0, 2, 9, 2, 2, 5, 1, 0, 5, 3, 1, 0, 0.0, 1, 1, 2, 1, 0, 7, 7, 40.0, 100.0, 100.0, 0.0, 77.796875, 77.796875, 11.099609375, 22.19921875, 90.0, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 22.19921875, 11.099609375, 22.19921875, 11.099609375, 55.59375, 22.19921875, 4.0, 1.0, 36.0, 7.0, 7.0, "Tous les candidats sauf les Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 100.0, "20562", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20562&g_ta_cod=20562", 20.0, 20.0, 60.0),
(3446, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Langues étrangères appliquées - Parcours Anglais - Arabe", "Licence - Arts-lettres-langues", "Anglais - Arabe", 45, 261, 197, 261, 0, 99, 50, 32, 23, 24, 13, 106, 0, 0, 0, 0, 0, 261, 0, 0, 0, 99, 50, 32, 23, 24, 13, 106, 170, 45, 36, 45, 0, 5.0, 35.0, 42.0, 0, 16, 29, 13, 8, 8, 16, 0, 16, 9, 3, 1, 0.0, 5, 3, 5, 0, 0, 26, 26, 11.11, 77.78, 93.33, 80.0, 89.6875, 89.6875, 0, 55.1953125, 64.390625, 0.0, 55.1953125, 31.0, 10.298828125, 3.4, 0.0, 44.796875, 17.19921875, 27.59765625, 10.298828125, 27.59765625, 17.19921875, 71.0, 33.0, 17.0, 10.0, 63.0, "Tous les candidats", 215.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "22668", "Licence - Langues étrangères appliquées - Parcours Anglais - Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22668&g_ta_cod=22668", 49.0, 27.0, 24.0),
(3447, "Public", "0260765R", "Lycée agricole Le Valentin", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Bourg-lès-Valence", "formation sélective", "BTS", "Lycée agricole Le Valentin - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 16, 151, 54, 135, 0, 6, 2, 23, 3, 40, 8, 66, 16, 4, 0, 2, 10, 73, 3, 0, 0, 5, 2, 20, 1, 35, 7, 13, 60, 10, 4, 9, 1, 2.0, 8.0, 10.0, 0, 1, 9, 2, 3, 4, 1, 1, 7, 1, 0, 0, 0.0, 0, 0, 1, 2, 1, 7, 7, 20.0, 80.0, 100.0, 40.0, 77.796875, 77.796875, 22.19921875, 11.099609375, 90.0, 11.099609375, 77.796875, 11.099609375, 0.0, 0.0, 0.0, 22.19921875, 0.0, 33.296875, 0.0, 44.3984375, 11.099609375, 6.0, 2.0, 32.0, 5.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 47.0, "3642", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3642&g_ta_cod=3642", 20.0, 40.0, 40.0),
(3448, "Privé sous contrat d'association", "0754029X", "Lycée Carcado Saisseval", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "BTS", "Lycée Carcado Saisseval - BTS - Services - Communication", "BTS - Services", "", 80, 1192, 836, 1192, 0, 351, 41, 340, 68, 85, 22, 416, 0, 0, 0, 0, 0, 961, 0, 0, 0, 336, 39, 296, 56, 58, 16, 271, 332, 68, 58, 68, 0, 11.0, 56.0, 65.0, 0, 7, 51, 29, 18, 4, 17, 0, 10, 30, 11, 0, 0.0, 23, 15, 3, 4, 2, 16, 46, 16.18, 82.35, 95.59, 85.296875, 31.3984375, 90.1875, 7.7998046875, 13.69921875, 75.0, 0.0, 19.59765625, 58.796875, 21.59765625, 0.0, 0.0, 56.8984375, 45.09375, 35.296875, 29.3984375, 7.7998046875, 5.8994140625, 136.0, 14.0, 26.0, 4.0, 63.0, "Tous les candidats sauf les Bac professionnels", 389.0, "Bacheliers professionnels toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 36.0, "9494", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9494&g_ta_cod=9494", 57.0, 31.0, 12.0),
(3449, "Public", "0762964J", "Lycée Le Corbusier", "76", "Seine-Maritime", "Normandie", "Normandie", "Saint-Etienne-du-Rouvray", "formation sélective", "BTS", "Lycée Le Corbusier - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 15, 157, 12, 157, 0, 7, 3, 32, 9, 86, 32, 32, 0, 0, 0, 0, 0, 132, 0, 0, 0, 7, 3, 29, 7, 77, 26, 19, 66, 13, 0, 13, 0, 5.0, 6.0, 8.0, 0, 5, 11, 0, 3, 8, 2, 0, 3, 5, 3, 0, 0.0, 0, 2, 6, 0, 0, 11, 11, 38.46, 46.15, 61.54, 0.0, 100.0, 100.0, 0, 45.5, 84.59375, 0.0, 27.296875, 45.5, 27.296875, 0.0, 0.0, 0.0, 0.0, 27.296875, 18.19921875, 72.6875, 54.5, 4.0, 2.0, 28.0, 12.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 61.0, "20187", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20187&g_ta_cod=20187", 8.0, 23.0, 69.0),
(3450, "Public", "0952196W", "LYCEE POLYVALENT GUSTAVE MONOD", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Enghien-les-Bains", "formation sélective", "CPGE", "LYCEE POLYVALENT GUSTAVE MONOD - CPGE - MPSI", "Classe préparatoire scientifique", "", 40, 854, 248, 854, 0, 706, 193, 2, 0, 0, 0, 146, 0, 0, 0, 0, 0, 465, 0, 0, 465, 440, 101, 0, 0, 0, 0, 25, 208, 38, 17, 38, 0, 5.0, 33.0, 36.0, 0, 10, 37, 37, 0, 0, 1, 0, 0, 3, 20, 14, 0.0, 37, 0, 0, 5, 3, 34, 36, 13.16, 86.84, 94.74, 44.6953125, 91.890625, 97.296875, 13.5, 27.0, 97.390625, 0.0, 0.0, 8.099609375, 54.09375, 37.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 201.0, 44.0, 0.0, 0.0, 7.0, "Tous les candidats", 305.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "11561", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11561&g_ta_cod=11561", 100.0, 0.0, 0.0),
(3451, "Privé sous contrat d'association", "0170100S", "Lycée Fenelon", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BTS", "Lycée Fenelon - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 17, 96, 4, 89, 0, 9, 1, 27, 2, 35, 10, 18, 7, 0, 1, 1, 5, 72, 3, 0, 0, 9, 1, 27, 2, 33, 10, 3, 61, 7, 0, 7, 0, 5.0, 7.0, 7.0, 0, 2, 7, 2, 0, 5, 0, 1, 1, 3, 2, 0, 0.0, 0, 0, 5, 1, 0, 3, 3, 71.43, 100.0, 100.0, 0.0, 42.8984375, 42.8984375, 14.298828125, 28.59765625, 100.0, 14.298828125, 14.298828125, 42.8984375, 28.59765625, 0.0, 0.0, 28.59765625, 0.0, 0.0, 0.0, 71.390625, 71.390625, 5.0, 1.0, 33.0, 11.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 81.0, "3049", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3049&g_ta_cod=3049", 29.0, 0.0, 71.0),
(3452, "Privé sous contrat d'association", "0640176U", "Institut du Travail Social de Pau", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "BTS", "Institut du Travail Social de Pau - BTS - Services - Economie sociale familiale", "BTS - Services", "", 30, 515, 454, 515, 0, 68, 13, 128, 30, 161, 55, 158, 0, 0, 0, 0, 0, 251, 0, 0, 0, 46, 8, 77, 17, 56, 9, 72, 124, 29, 25, 29, 0, 5.0, 20.0, 23.0, 0, 2, 15, 4, 9, 2, 14, 0, 7, 5, 3, 0, 0.0, 1, 7, 0, 0, 0, 11, 11, 17.24, 68.97, 79.31, 86.1875, 73.296875, 73.296875, 0, 13.298828125, 51.6953125, 0.0, 46.6953125, 33.296875, 20.0, 0.0, 0.0, 26.69921875, 6.69921875, 60.0, 46.6953125, 13.298828125, 0.0, 27.0, 6.0, 9.0, 2.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 30.0, "7726", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7726&g_ta_cod=7726", 38.0, 41.0, 21.0),
(3453, "Public", "0310041B", "Lycée Saint-Sernin", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Saint-Sernin - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 1278, 858, 1278, 900, 1097, 107, 1, 0, 1, 0, 179, 0, 0, 0, 0, 0, 956, 0, 722, 930, 933, 75, 0, 0, 0, 0, 23, 278, 48, 34, 48, 0, 7.0, 40.0, 47.0, 6, 6, 48, 48, 0, 0, 0, 0, 0, 0, 13, 32, 3.0, 48, 0, 0, 5, 2, 34, 34, 14.58, 83.33, 97.92, 70.796875, 70.796875, 70.796875, 10.3984375, 12.5, 100.0, 0.0, 0.0, 0.0, 27.09765625, 66.7, 6.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 275.0, 28.0, 0.0, 0.0, 3.0, "Tous les candidats", 416.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "4050", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4050&g_ta_cod=4050", 100.0, 0.0, 0.0),
(3454, "Public", "0620108F", "Lycée Condorcet", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "BTS", "Lycée Condorcet - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 766, 471, 738, 0, 41, 19, 211, 101, 157, 86, 329, 28, 0, 0, 17, 11, 348, 8, 0, 0, 34, 16, 138, 71, 115, 61, 61, 174, 35, 24, 30, 4, 6.0, 22.0, 27.0, 0, 14, 23, 1, 6, 16, 12, 0, 12, 6, 3, 2, 0.0, 0, 2, 9, 4, 2, 23, 23, 17.14, 62.86, 77.14, 68.59375, 100.0, 100.0, 17.3984375, 60.8984375, 65.6875, 0.0, 52.1953125, 26.09765625, 13.0, 8.7, 0.0, 4.2998046875, 0.0, 26.09765625, 8.69921875, 69.59375, 39.09375, 16.0, 8.0, 84.0, 49.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 116, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 33.0, "7375", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7375&g_ta_cod=7375", 17.0, 31.0, 49.0),
(3455, "Public", "0150792E", "CONSERVATOIRE NATIONAL DES ARTS ET METIERS - Aurillac", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "Autre formation", "CONSERVATOIRE NATIONAL DES ARTS ET METIERS - Aurillac - Formation Supérieure de Spécialisation - Informatique et Numérique (à distance)", "Diplôme d'Université", "Informatique et Numérique (à distance)", 5, 31, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 31, 1, 0, 1, 29, 0, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21, 2, 1, 0, 2, 0.0, 0.0, 0.0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 0.0, 0.0, 0.0, 50.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 1.0, 0.0, 20.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34940", "Formation Supérieure de Spécialisation - Informatique et Numérique (à distance)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34940&g_ta_cod=34940", 50.0, 0.0, 50.0),
(3456, "Public", "0312746S", "Lycée Marie Louise Dissard Françoise", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Tournefeuille", "formation sélective", "BTS", "Lycée Marie Louise Dissard Françoise - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 18, 356, 125, 356, 0, 40, 9, 87, 31, 170, 60, 59, 0, 0, 0, 0, 0, 356, 0, 0, 0, 40, 9, 87, 31, 170, 60, 59, 65, 20, 8, 20, 0, 5.0, 18.0, 19.0, 0, 3, 16, 0, 6, 10, 4, 0, 0, 9, 7, 0, 0.0, 0, 6, 10, 4, 1, 9, 9, 25.0, 90.0, 95.0, 40.0, 56.296875, 56.296875, 25, 18.796875, 80.0, 0.0, 0.0, 56.296875, 43.796875, 0.0, 0.0, 0.0, 0.0, 37.5, 37.5, 62.5, 62.5, 8.0, 4.0, 29.0, 6.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers technologiques toutes séries", 28, "Bacheliers professionnels toutes séries", 45, "Liste d'appel propre à cette formation", 26.0, "30071", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30071&g_ta_cod=30071", 5.0, 30.0, 55.0),
(3457, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence_Las", "Université de Toulon - Licence - Portail Physique, chimie - Licence de Physique et Chimie", "Licence - Sciences - technologies - santé", "Licence de Physique et Chimie", 10, 307, 176, 307, 0, 185, 36, 17, 6, 2, 1, 103, 0, 0, 0, 0, 0, 300, 0, 0, 0, 185, 36, 17, 6, 2, 1, 96, 132, 9, 5, 9, 0, 0.0, 2.0, 9.0, 0, 3, 7, 7, 0, 0, 2, 0, 1, 3, 3, 0, 0.0, 6, 0, 0, 0, 0, 3, 3, 0.0, 22.22, 100.0, 55.59375, 42.8984375, 42.8984375, 0, 42.8984375, 77.796875, 0.0, 14.298828125, 42.8984375, 42.8984375, 0.0, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 87.0, 18.0, 0.0, 0.0, 43.0, "Tous les candidats", 507.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 73.0, "31843", "Licence - Portail Physique, chimie - Licence de Physique et Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31842&g_ta_cod=31843", 100.0, 0.0, 0.0),
(3458, "Public", "0753268V", "Lycée Jean Lurcat", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Lurcat - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 904, 399, 904, 0, 104, 31, 260, 117, 247, 135, 293, 0, 0, 0, 0, 0, 542, 0, 0, 0, 85, 26, 183, 78, 156, 87, 118, 195, 34, 16, 33, 0, 1.0, 19.0, 29.0, 0, 11, 26, 7, 10, 9, 8, 0, 7, 15, 3, 1, 0.0, 5, 7, 7, 3, 0, 11, 26, 2.94, 55.88, 85.29, 47.09375, 42.296875, 100.0, 11.5, 42.296875, 76.5, 0.0, 26.8984375, 57.6953125, 11.5, 3.8, 0.0, 26.8984375, 19.19921875, 38.5, 26.8984375, 34.59375, 26.8984375, 45.0, 19.0, 52.0, 30.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 84.0, "Bacheliers professionnels toutes séries", 77, "Bacheliers technologiques toutes séries", 110, "Liste d'appel propre à cette formation", 30.0, "9382", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9382&g_ta_cod=9382", 29.0, 32.0, 38.0),
(3459, "Privé sous contrat d'association", "0690646C", "Lycée Carrel", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 6e  Arrondissement", "formation sélective", "BTS", "Lycée Carrel - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 779, 724, 779, 0, 84, 26, 209, 61, 255, 114, 231, 0, 0, 0, 0, 0, 528, 0, 0, 0, 79, 23, 139, 35, 139, 50, 171, 132, 34, 32, 34, 0, 9.0, 21.0, 25.0, 0, 6, 19, 3, 9, 7, 15, 0, 8, 10, 0, 1, 0.0, 2, 5, 4, 1, 1, 12, 12, 26.47, 61.76, 73.53, 94.09375, 63.1953125, 63.1953125, 5.2998046875, 31.59765625, 55.8984375, 0.0, 42.09375, 52.59375, 0.0, 5.3, 0.0, 15.798828125, 10.5, 47.3984375, 26.296875, 36.796875, 21.09765625, 19.0, 3.0, 15.0, 5.0, 47.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 20.0, "8325", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8325&g_ta_cod=8325", 24.0, 41.0, 35.0),
(3460, "Public", "0333454A", "CPBx (ENSPIMA)", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Ecole d'Ingénieur", "CPBx (ENSPIMA) - Formation d'ingénieur Bac + 5 - bac général", "Formations  des écoles d'ingénieurs", "bac général", 5, 105, 26, 105, 0, 105, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 47, 0, 0, 0, 47, 2, 0, 0, 0, 0, 0, 12, 5, 2, 5, 0, 2.0, 5.0, 5.0, 0, 2, 5, 5, 0, 0, 0, 0, 0, 0, 3, 2, 0.0, 5, 0, 0, 0, 0, 4, 4, 40.0, 100.0, 100.0, 40.0, 80.0, 80.0, 0, 40.0, 100.0, 0.0, 0.0, 0.0, 60.0, 40.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 12.0, 2.0, 0.0, 0.0, 0.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "26027", "Formation d'ingénieur Bac + 5 - bac général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26027&g_ta_cod=26027", 100.0, 0.0, 0.0),
(3461, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études néo-helléniques : langues et cultures grecques modernes", "Licence - Arts-lettres-langues", "Études néo-helléniques : langues et cultures grecques modernes", 20, 53, 35, 36, 0, 14, 4, 4, 2, 2, 0, 16, 17, 3, 1, 2, 11, 36, 12, 0, 0, 14, 4, 4, 2, 2, 0, 16, 48, 7, 3, 3, 4, 3.0, 3.0, 5.0, 0, 1, 3, 1, 0, 2, 4, 0, 1, 1, 1, 0, 0.0, 1, 0, 1, 0, 0, 2, 2, 42.86, 42.86, 71.43, 42.8984375, 66.6875, 66.6875, 0, 33.296875, 42.8984375, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 33.296875, 33.296875, 0.0, 0.0, 66.6875, 33.296875, 17.0, 5.0, 4.0, 2.0, 22.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "21486", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études néo-helléniques : langues et cultures grecques modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21486&g_ta_cod=21486", 71.0, 0.0, 29.0),
(3462, "Public", "0760088H", "Lycée professionnel Elisa Lemonnier", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Petit-Quevilly", "formation sélective", "BTS", "Lycée professionnel Elisa Lemonnier - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 15, 322, 281, 322, 0, 46, 10, 30, 9, 170, 52, 76, 0, 0, 0, 0, 0, 183, 0, 0, 0, 31, 6, 23, 7, 97, 27, 32, 45, 16, 16, 16, 0, 4.0, 13.0, 14.0, 0, 3, 14, 1, 1, 12, 2, 0, 1, 1, 10, 2, 0.0, 1, 0, 12, 5, 5, 14, 14, 25.0, 81.25, 87.5, 100.0, 100.0, 100.0, 35.6953125, 21.3984375, 87.5, 0.0, 7.099609375, 7.099609375, 71.390625, 14.3, 0.0, 7.099609375, 7.099609375, 7.099609375, 0.0, 85.6875, 85.6875, 3.0, 2.0, 34.0, 9.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 18.0, "12842", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12842&g_ta_cod=12842", 19.0, 6.0, 75.0),
(3463, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues étrangères appliquées - Parcours Allemand-Espagnol - A distance", "Licence - Arts-lettres-langues", "Allemand-Espagnol - A distance", 35, 161, 101, 26, 0, 6, 2, 0, 0, 0, 0, 20, 135, 10, 5, 4, 116, 26, 60, 0, 0, 6, 2, 0, 0, 0, 0, 20, 86, 30, 21, 7, 23, 7.0, 7.0, 18.0, 0, 0, 1, 1, 0, 0, 29, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 1, 23.33, 23.33, 60.0, 70.0, 0.0, 100.0, 0, 0.0, 3.2998046875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 8.0, 2.0, 0.0, 0.0, 77.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20903", "Licence - Langues étrangères appliquées - Parcours Allemand-Espagnol - A distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20903&g_ta_cod=20903", 83.0, 7.0, 7.0),
(3464, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe - Mineure Etudes internationales", "Licence - Arts-lettres-langues", "Arabe - Mineure Etudes internationales", 8, 45, 35, 35, 0, 10, 4, 2, 2, 0, 0, 23, 10, 0, 1, 1, 8, 34, 10, 0, 0, 10, 4, 2, 2, 0, 0, 22, 38, 8, 6, 4, 4, 1.0, 3.0, 4.0, 0, 1, 2, 0, 2, 0, 6, 0, 1, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 1, 12.5, 37.5, 50.0, 75.0, 0.0, 50.0, 0, 50.0, 25.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 9.0, 4.0, 1.0, 0.0, 25.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "24021", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe - Mineure Etudes internationales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24021&g_ta_cod=24021", 50.0, 38.0, 13.0),
(3465, "Public", "0340838B", "I.U.T de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BUT", "I.U.T de Montpellier - BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et Contrôles Physico-Chimiques (Seconde année possible en apprentissage)", "BUT - Production", "Techniques d'instrumentation - Matériaux et Contrôles Physico-Chimiques", 104, 1871, 464, 1834, 0, 1228, 158, 150, 34, 0, 0, 456, 37, 10, 1, 0, 26, 1600, 12, 0, 0, 1111, 128, 119, 26, 0, 0, 370, 813, 97, 26, 87, 10, 2.0, 50.0, 84.0, 0, 8, 68, 59, 9, 0, 29, 0, 6, 37, 23, 2, 0.0, 56, 6, 0, 0, 0, 42, 42, 2.06, 51.55, 86.6, 26.796875, 61.796875, 61.796875, 0, 11.798828125, 70.09375, 0.0, 8.798828125, 54.3984375, 33.796875, 2.9, 0.0, 86.796875, 82.390625, 13.19921875, 8.798828125, 0.0, 0.0, 494.0, 67.0, 0.0, 0.0, 237.0, "Tous les candidats sauf les Bac technologiques", 1396.0, "Bacheliers technologiques toutes séries", 145, "", 0, "Liste d'appel propre à cette formation", 84.0, "4525", "BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et Contrôles Physico-Chimiques (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4525&g_ta_cod=4525", 90.0, 10.0, 0.0),
(3466, "Public", "0261397C", "Lycée Henri Laurens", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Vallier", "formation sélective", "BTS", "Lycée Henri Laurens - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 12, 161, 5, 161, 0, 16, 2, 34, 6, 84, 29, 27, 0, 0, 0, 0, 0, 161, 0, 0, 0, 16, 2, 34, 6, 84, 29, 27, 27, 12, 0, 12, 0, 5.0, 10.0, 11.0, 0, 4, 11, 1, 2, 8, 1, 0, 1, 5, 3, 2, 0.0, 1, 1, 8, 8, 0, 11, 11, 41.67, 83.33, 91.67, 0.0, 100.0, 100.0, 72.6875, 36.3984375, 91.6875, 0.0, 9.099609375, 45.5, 27.296875, 18.2, 0.0, 9.099609375, 9.099609375, 18.19921875, 9.099609375, 72.6875, 72.6875, 1.0, 1.0, 12.0, 4.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 26.0, "21239", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21239&g_ta_cod=21239", 8.0, 25.0, 67.0),
(3467, "Privé sous contrat d'association", "0850142T", "Lycée Notre-Dame", "85", "Vendée", "Pays de la Loire", "Nantes", "Challans", "formation sélective", "BTS", "Lycée Notre-Dame - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 247, 107, 240, 0, 36, 12, 91, 14, 84, 19, 29, 7, 2, 0, 1, 4, 164, 6, 0, 0, 36, 12, 69, 11, 47, 9, 12, 104, 16, 5, 15, 1, 4.0, 12.0, 13.0, 0, 5, 15, 4, 5, 6, 1, 0, 6, 6, 3, 0, 0.0, 2, 2, 5, 7, 1, 14, 14, 25.0, 75.0, 81.25, 31.296875, 93.296875, 93.296875, 46.6953125, 33.296875, 93.796875, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 26.69921875, 13.298828125, 33.296875, 13.298828125, 40.0, 33.296875, 25.0, 7.0, 32.0, 7.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 60.0, "10509", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10509&g_ta_cod=10509", 25.0, 31.0, 44.0),
(3468, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation sélective", "Licence", "Université de Toulon - Licence - Sciences pour l'ingénieur - Parcours Spécialisation renforcée sélective en vue d'intégrer Seatech", "Licence - Sciences - technologies - santé", "Spécialisation renforcée sélective en vue d'intégrer Seatech", 15, 263, 55, 199, 0, 124, 19, 7, 3, 3, 1, 65, 64, 16, 1, 2, 45, 106, 9, 0, 0, 67, 6, 0, 0, 0, 0, 39, 91, 5, 1, 4, 1, 0.0, 4.0, 5.0, 0, 0, 1, 1, 0, 0, 4, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 0.0, 80.0, 100.0, 20.0, 0.0, 0.0, 0, 0.0, 20.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 5.0, 0.0, 0.0, 41.0, "Tous les candidats", 107.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "12105", "Licence - Sciences pour l'ingénieur - Parcours Spécialisation renforcée sélective en vue d'intégrer Seatech", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12105&g_ta_cod=12105", 100.0, 0.0, 0.0),
(3469, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "PASS", "Université Toulouse 3 Paul Sabatier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 25, 1515, 779, 1515, 0, 988, 156, 35, 14, 9, 4, 483, 0, 0, 0, 0, 0, 1515, 0, 0, 0, 988, 156, 35, 14, 9, 4, 483, 326, 25, 11, 25, 0, 0.0, 5.0, 20.0, 0, 3, 19, 19, 0, 0, 6, 0, 2, 7, 9, 1, 0.0, 17, 0, 0, 0, 0, 15, 15, 0.0, 20.0, 80.0, 44.0, 78.890625, 78.890625, 0, 15.798828125, 76.0, 0.0, 10.5, 36.796875, 47.3984375, 5.3, 0.0, 100.0, 89.5, 0.0, 0.0, 0.0, 0.0, 288.0, 38.0, 1.0, 1.0, 36.0, "Tous les candidats", 3249.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "30937", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29840&g_ta_cod=30937", 100.0, 0.0, 0.0),
(3470, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Langues : Anglais - scandinave", "Licence - Arts-lettres-langues", "Langues : Anglais - scandinave", 16, 116, 83, 102, 0, 71, 13, 6, 4, 0, 0, 25, 14, 1, 3, 2, 8, 102, 13, 0, 0, 71, 13, 6, 4, 0, 0, 25, 84, 20, 15, 14, 6, 4.0, 14.0, 16.0, 0, 3, 13, 11, 2, 0, 7, 0, 4, 4, 2, 2, 1.0, 9, 0, 0, 0, 0, 6, 6, 20.0, 70.0, 80.0, 75.0, 46.1953125, 46.1953125, 0, 23.09765625, 65.0, 0.0, 30.796875, 30.796875, 15.3984375, 15.4, 7.7, 84.59375, 69.1875, 15.3984375, 0.0, 0.0, 0.0, 51.0, 8.0, 2.0, 1.0, 23.0, "Tous les candidats", 101.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "19367", "Licence - Portail Langues : Anglais - scandinave", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19367&g_ta_cod=19367", 80.0, 15.0, 5.0),
(3471, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Langues étrangères appliquées - Parcours Anglais - Espagnol", "Licence - Arts-lettres-langues", "Anglais - Espagnol", 110, 584, 445, 453, 0, 292, 93, 47, 20, 18, 10, 96, 131, 24, 19, 14, 74, 451, 118, 0, 0, 292, 93, 47, 20, 18, 10, 94, 499, 107, 81, 72, 34, 21.0, 70.0, 85.0, 0, 29, 72, 54, 12, 6, 35, 0, 32, 26, 11, 3, 0.0, 33, 3, 4, 0, 0, 60, 60, 19.63, 65.42, 79.44, 75.6875, 83.296875, 83.296875, 0, 40.296875, 67.296875, 0.0, 44.3984375, 36.09375, 15.298828125, 4.2, 0.0, 75.0, 45.796875, 16.69921875, 4.19921875, 8.298828125, 5.599609375, 278.0, 88.0, 25.0, 13.0, 140.0, "Tous les candidats", 451.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6603", "Licence - Langues étrangères appliquées - Parcours Anglais - Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6603&g_ta_cod=6603", 75.0, 14.0, 11.0),
(3472, "Public", "0930125F", "Lycée Paul Eluard", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BTS", "Lycée Paul Eluard - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 48, 2123, 1649, 2123, 0, 295, 112, 616, 313, 247, 141, 965, 0, 0, 0, 0, 0, 1205, 0, 0, 0, 230, 89, 441, 225, 135, 83, 399, 297, 43, 33, 43, 0, 13.0, 31.0, 40.0, 0, 10, 19, 4, 11, 4, 24, 0, 4, 7, 6, 2, 0.0, 1, 10, 4, 1, 1, 15, 18, 30.23, 72.09, 93.02, 76.6875, 78.890625, 94.6875, 5.2998046875, 52.59375, 44.1953125, 0.0, 21.09765625, 36.796875, 31.59765625, 10.5, 0.0, 21.09765625, 5.2998046875, 57.8984375, 52.59375, 21.09765625, 21.09765625, 36.0, 16.0, 36.0, 16.0, 91.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 243, "Liste d'appel propre à cette formation", 18.0, "11194", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11194&g_ta_cod=11194", 23.0, 63.0, 12.0),
(3473, "Public", "0750657G", "Lycée Montaigne", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Montaigne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 1785, 892, 1779, 317, 1580, 186, 0, 0, 1, 0, 198, 6, 4, 0, 0, 2, 1439, 2, 232, 1382, 1341, 178, 0, 0, 0, 0, 98, 576, 21, 10, 20, 1, 1.0, 7.0, 16.0, 0, 1, 14, 14, 0, 0, 7, 0, 0, 4, 6, 4, 0.0, 14, 0, 0, 1, 1, 5, 11, 4.76, 33.33, 76.19, 47.59375, 35.6953125, 78.59375, 7.099609375, 7.099609375, 66.6875, 0.0, 0.0, 28.59765625, 42.8984375, 28.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 532.0, 65.0, 0.0, 0.0, 44.0, "Tous les candidats", 1038.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "31362", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31362&g_ta_cod=31362", 100.0, 0.0, 0.0),
(3474, "Public", "0440069L", "LGT Aristide Briand", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BTS", "LGT Aristide Briand - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 9, 174, 15, 163, 0, 13, 2, 72, 8, 43, 4, 35, 11, 1, 3, 1, 6, 119, 2, 0, 0, 13, 2, 67, 8, 34, 2, 5, 57, 7, 0, 6, 1, 2.0, 6.0, 6.0, 0, 2, 7, 1, 2, 4, 0, 0, 3, 2, 2, 0, 0.0, 0, 0, 4, 2, 0, 6, 6, 28.57, 85.71, 85.71, 0.0, 85.6875, 85.6875, 28.59765625, 28.59765625, 100.0, 0.0, 42.8984375, 28.59765625, 28.59765625, 0.0, 0.0, 14.298828125, 0.0, 28.59765625, 0.0, 57.09375, 57.09375, 5.0, 2.0, 11.0, 1.0, 3.0, "Tous les candidats sauf les Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 71.0, "5460", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5460&g_ta_cod=5460", 14.0, 29.0, 57.0),
(3475, "Public", "0782075G", "Unité de Formation et de Recherche de Sciences de l' Université de Versailles Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation non sélective", "Licence_Las", "Unité de Formation et de Recherche de Sciences de l' Université de Versailles Saint Quentin en Yvelines - Licence - Portail Mathématiques Physique Chimie (MPC)", "Licence - Sciences - technologies - santé", "Mathématiques Physique Chimie (MPC)", 20, 799, 420, 799, 0, 546, 61, 8, 2, 2, 0, 243, 0, 0, 0, 0, 0, 797, 0, 0, 0, 546, 61, 8, 2, 2, 0, 241, 248, 18, 10, 17, 0, 0.0, 2.0, 9.0, 0, 3, 17, 17, 0, 0, 1, 1, 8, 5, 2, 1, 0.0, 8, 0, 0, 0, 0, 13, 17, 0.0, 11.11, 50.0, 55.59375, 76.5, 100.0, 0, 17.59765625, 94.390625, 5.8994140625, 47.09375, 29.3984375, 11.798828125, 5.9, 0.0, 100.0, 47.09375, 0.0, 0.0, 0.0, 0.0, 240.0, 19.0, 0.0, 0.0, 8.0, "Tous les candidats", 1372.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 57.0, "32599", "Licence - Portail Mathématiques Physique Chimie (MPC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32598&g_ta_cod=32599", 100.0, 0.0, 0.0),
(3476, "Public", "0640001D", "Lycée Cantau", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation sélective", "BTS", "Lycée Cantau - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 30, 176, 8, 173, 0, 13, 1, 69, 8, 45, 14, 46, 3, 0, 0, 3, 0, 173, 0, 0, 0, 13, 1, 69, 8, 45, 14, 46, 92, 24, 1, 24, 0, 9.0, 23.0, 24.0, 0, 2, 21, 3, 9, 9, 3, 0, 6, 7, 8, 0, 0.0, 1, 8, 6, 5, 1, 18, 18, 37.5, 95.83, 100.0, 4.19921875, 85.6875, 85.6875, 23.796875, 9.5, 87.5, 0.0, 28.59765625, 33.296875, 38.09375, 0.0, 0.0, 14.298828125, 4.7998046875, 42.8984375, 38.09375, 42.8984375, 28.59765625, 10.0, 1.0, 40.0, 12.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 76.0, "7683", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7683&g_ta_cod=7683", 17.0, 38.0, 46.0),
(3477, "Public", "0753431X", "Sciences Po Paris - Institut d'études politiques", "75", "Paris", "Ile-de-France", "Paris", "Paris  7e  Arrondissement", "formation sélective", "Licence", "Sciences Po - Faculté des Lettres de Sorbonne Université - Licence - Double diplôme - Licence Philosophie - Humanités littéraires et Sciences sociales / Filière Philosophie", "Licence - Arts-lettres-langues", "Humanités littéraires et Sciences sociales / Filière Philosophie", 25, 345, 248, 345, 0, 340, 32, 1, 0, 0, 0, 4, 0, 0, 0, 0, 0, 40, 0, 0, 0, 40, 5, 0, 0, 0, 0, 0, 37, 26, 19, 26, 0, 0.0, 26.0, 26.0, 0, 3, 26, 26, 0, 0, 0, 0, 0, 0, 0, 12, 14.0, 26, 0, 0, 0, 0, 5, 10, 0.0, 100.0, 100.0, 73.09375, 19.19921875, 38.5, 0, 11.5, 100.0, 0.0, 0.0, 0.0, 0.0, 46.2, 53.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 37.0, 5.0, 0.0, 0.0, 0.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "32557", "Licence - Double diplôme - Licence Philosophie - Humanités littéraires et Sciences sociales / Filière Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32557&g_ta_cod=32557", 100.0, 0.0, 0.0),
(3478, "Public", "0770920G", "Lycée polyvalent La Fayette", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Champagne-sur-Seine", "formation sélective", "BTS", "Lycée polyvalent La Fayette - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 35, 734, 107, 734, 0, 61, 18, 128, 41, 111, 37, 434, 0, 0, 0, 0, 0, 352, 0, 0, 0, 61, 18, 119, 35, 109, 37, 63, 114, 33, 1, 33, 0, 8.0, 27.0, 32.0, 0, 7, 30, 7, 13, 10, 3, 0, 10, 13, 5, 2, 0.0, 2, 9, 9, 18, 0, 25, 28, 24.24, 81.82, 96.97, 3.0, 83.296875, 93.296875, 60, 23.296875, 90.890625, 0.0, 33.296875, 43.296875, 16.69921875, 6.7, 0.0, 23.296875, 6.69921875, 43.296875, 30.0, 33.296875, 30.0, 40.0, 10.0, 30.0, 9.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 23.0, "9780", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9780&g_ta_cod=9780", 24.0, 39.0, 36.0),
(3479, "Public", "0595616J", "Lycée Du Noordover", "59", "Nord", "Hauts-de-France", "Lille", "Grande-Synthe", "formation sélective", "BTS", "Lycée Du Noordover - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 273, 168, 267, 0, 26, 8, 83, 32, 61, 33, 97, 6, 0, 0, 1, 5, 202, 2, 0, 0, 26, 8, 78, 28, 60, 32, 38, 121, 29, 18, 28, 1, 5.0, 21.0, 24.0, 0, 12, 23, 2, 13, 8, 6, 0, 9, 10, 3, 1, 0.0, 1, 8, 5, 11, 8, 23, 23, 17.24, 72.41, 82.76, 62.09375, 100.0, 100.0, 47.796875, 52.1953125, 79.296875, 0.0, 39.09375, 43.5, 13.0, 4.3, 0.0, 8.69921875, 4.2998046875, 56.5, 34.796875, 34.796875, 21.69921875, 11.0, 4.0, 51.0, 26.0, 19.0, "Tous les candidats sauf les Bac professionnels", 98.0, "Bacheliers professionnels toutes séries", 71, "", 0, "Liste d'appel propre à cette formation", 63.0, "7135", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7135&g_ta_cod=7135", 7.0, 48.0, 45.0),
(3480, "Public", "0570146Z", "Lycée Julie Daubie", "57", "Moselle", "Grand Est", "Nancy-Metz", "Rombas", "formation sélective", "BTS", "Lycée Julie Daubie - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 322, 137, 256, 0, 35, 9, 79, 35, 65, 21, 77, 66, 4, 11, 10, 41, 107, 22, 0, 0, 19, 5, 40, 18, 34, 8, 14, 123, 31, 10, 14, 15, 2.0, 13.0, 18.0, 0, 6, 17, 4, 9, 4, 14, 0, 8, 7, 2, 0, 0.0, 2, 4, 3, 10, 3, 17, 17, 6.45, 41.94, 58.06, 32.296875, 100.0, 100.0, 58.796875, 35.296875, 54.796875, 0.0, 47.09375, 41.1953125, 11.798828125, 0.0, 0.0, 23.5, 11.798828125, 52.8984375, 23.5, 23.5, 17.59765625, 20.0, 5.0, 32.0, 7.0, 31.0, "Tous les candidats sauf les Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 41.0, "6567", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6567&g_ta_cod=6567", 26.0, 58.0, 16.0),
(3481, "Public", "0750663N", "Lycée Chaptal", "75", "Paris", "Ile-de-France", "Paris", "Paris  8e  Arrondissement", "formation sélective", "CPGE", "Lycée Chaptal - CPGE - PTSI", "Classe préparatoire scientifique", "", 45, 1616, 339, 1616, 910, 1405, 134, 5, 3, 0, 0, 206, 0, 0, 0, 0, 0, 1198, 0, 910, 810, 1108, 96, 2, 1, 0, 0, 88, 298, 45, 6, 45, 0, 1.0, 25.0, 37.0, 7, 2, 45, 45, 0, 0, 0, 0, 0, 1, 19, 25, 0.0, 45, 0, 0, 2, 1, 10, 29, 2.22, 55.56, 82.22, 13.298828125, 22.19921875, 64.390625, 4.3994140625, 4.3994140625, 100.0, 0.0, 0.0, 2.19970703125, 42.1953125, 55.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 298.0, 28.0, 0.0, 0.0, 0.0, "Tous les candidats", 431.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "8993", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8993&g_ta_cod=8993", 100.0, 0.0, 0.0),
(3482, "Privé enseignement supérieur", "0595996X", "Institut Catholique de Lille - ESPAS", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Institut Catholique de Lille - ESPAS - Licence - Economie et gestion - Parcours Commerce et Sciences", "Licence - Droit-économie-gestion", "Commerce et Sciences", 65, 308, 163, 256, 0, 170, 16, 18, 4, 1, 0, 67, 52, 13, 4, 0, 35, 128, 4, 0, 0, 93, 4, 7, 0, 0, 0, 28, 128, 48, 29, 44, 4, 31.0, 44.0, 47.0, 0, 1, 31, 27, 4, 0, 17, 0, 11, 14, 6, 0, 0.0, 17, 3, 0, 0, 0, 19, 19, 64.58, 91.67, 97.92, 60.3984375, 61.296875, 61.296875, 0, 3.19970703125, 64.59375, 0.0, 35.5, 45.1953125, 19.3984375, 0.0, 0.0, 87.09375, 54.796875, 12.8984375, 9.69921875, 0.0, 0.0, 91.0, 2.0, 0.0, 0.0, 31.0, "Tous les candidats", 128.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "12503", "Licence - Economie et gestion - Parcours Commerce et Sciences", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12503&g_ta_cod=12503", 90.0, 10.0, 0.0),
(3483, "Public", "0750681H", "ESAA Boulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "ESAA Boulle - DN MADE - Objet - Spécialité : Métiers d?art Tapisserie / Décor : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "DN MADE", "Spécialité : Métiers d?art Tapisserie / Décor : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", 8, 367, 301, 367, 0, 152, 34, 49, 10, 39, 9, 127, 0, 0, 0, 0, 0, 38, 0, 0, 0, 15, 1, 14, 1, 4, 1, 5, 20, 8, 8, 8, 0, 3.0, 8.0, 8.0, 0, 1, 6, 4, 2, 0, 2, 0, 0, 2, 4, 0, 0.0, 4, 2, 0, 0, 0, 1, 3, 37.5, 100.0, 100.0, 100.0, 16.69921875, 50.0, 0, 16.69921875, 75.0, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 10.0, 1.0, 0.0, 0.0, 2.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "26872", "DN MADE - Objet - Spécialité : Métiers d?art Tapisserie / Décor : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26872&g_ta_cod=26872", 75.0, 25.0, 0.0),
(3484, "Privé sous contrat d'association", "0530997W", "ESTACA Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 24, 222, 12, 222, 0, 0, 0, 222, 18, 0, 0, 0, 0, 0, 0, 0, 0, 150, 0, 0, 0, 0, 0, 150, 8, 0, 0, 0, 60, 29, 2, 29, 0, 29.0, 29.0, 29.0, 0, 4, 29, 0, 29, 0, 0, 0, 0, 0, 20, 8, 1.0, 0, 29, 0, 0, 0, 5, 5, 100.0, 100.0, 100.0, 6.8994140625, 17.19921875, 17.19921875, 0, 13.798828125, 100.0, 0.0, 0.0, 0.0, 69.0, 27.6, 3.4, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "108", "Formation d'ingénieur Bac + 5 - Bac Série STI2D", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=106&g_ta_cod=108", 0.0, 100.0, 0.0),
(3485, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "PASS", "Université de Montpellier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 225, 6104, 4174, 6104, 0, 4871, 867, 138, 52, 18, 8, 1077, 0, 0, 0, 0, 0, 6104, 0, 0, 0, 4871, 867, 138, 52, 18, 8, 1077, 1135, 221, 150, 221, 0, 21.0, 158.0, 206.0, 0, 52, 205, 205, 0, 0, 16, 0, 1, 37, 89, 68, 10.0, 204, 0, 0, 0, 0, 181, 181, 9.5, 71.49, 93.21, 67.890625, 88.296875, 88.296875, 0, 25.3984375, 92.796875, 0.0, 0.5, 18.0, 43.3984375, 33.2, 4.9, 100.0, 99.5, 0.0, 0.0, 0.0, 0.0, 1058.0, 203.0, 0.0, 0.0, 77.0, "Tous les candidats", 2221.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "31866", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27370&g_ta_cod=31866", 100.0, 0.0, 0.0),
(3486, "Privé sous contrat d'association", "0811175M", "Lycée De La Salle Castres", "81", "Tarn", "Occitanie", "Toulouse", "Castres", "formation sélective", "BTS", "Lycée De La Salle Castres - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 18, 105, 1, 95, 0, 3, 1, 27, 1, 40, 16, 25, 10, 0, 2, 1, 7, 53, 7, 0, 0, 3, 1, 20, 1, 27, 11, 3, 58, 7, 0, 5, 2, 2.0, 5.0, 6.0, 0, 2, 4, 1, 0, 3, 3, 0, 1, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 4, 4, 28.57, 71.43, 85.71, 0.0, 100.0, 100.0, 0, 50.0, 57.09375, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 25.0, 0.0, 0.0, 0.0, 75.0, 75.0, 3.0, 1.0, 27.0, 12.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 56.0, "13572", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13572&g_ta_cod=13572", 57.0, 0.0, 43.0),
(3487, "Public", "0840017M", "Lycée Ismael Dauphin", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Cavaillon", "formation sélective", "BTS", "Lycée Ismael Dauphin - BTS - Services - Gestion de la PME", "BTS - Services", "", 28, 406, 256, 386, 0, 35, 17, 105, 51, 150, 75, 96, 20, 0, 0, 12, 8, 234, 4, 0, 0, 31, 15, 53, 24, 92, 45, 58, 137, 18, 13, 17, 1, 4.0, 13.0, 16.0, 0, 5, 12, 0, 3, 9, 6, 0, 3, 4, 5, 0, 0.0, 0, 1, 8, 1, 1, 11, 11, 22.22, 72.22, 88.89, 72.1875, 91.6875, 91.6875, 8.298828125, 41.6953125, 66.6875, 0.0, 25.0, 33.296875, 41.6953125, 0.0, 0.0, 0.0, 0.0, 25.0, 8.298828125, 75.0, 66.6875, 14.0, 9.0, 62.0, 26.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 95, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 49.0, "10430", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10430&g_ta_cod=10430", 6.0, 33.0, 61.0),
(3488, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER Etudes Coréennes", "Licence - Arts-lettres-langues", "LLCER Etudes Coréennes", 126, 1900, 1761, 1900, 0, 850, 263, 134, 69, 94, 55, 822, 0, 0, 0, 0, 0, 833, 0, 0, 0, 585, 160, 25, 12, 14, 9, 209, 500, 129, 124, 129, 0, 18.0, 129.0, 129.0, 0, 28, 93, 82, 6, 5, 36, 0, 1, 32, 48, 12, 0.0, 81, 6, 5, 0, 0, 3, 51, 13.95, 100.0, 100.0, 96.09375, 3.19970703125, 54.796875, 0, 30.09765625, 72.09375, 0.0, 1.099853515625, 34.3984375, 51.59375, 12.9, 0.0, 88.1875, 87.09375, 6.5, 6.5, 5.3994140625, 5.3994140625, 364.0, 95.0, 8.0, 6.0, 118.0, "Tous les candidats", 701.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "9330", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER Etudes Coréennes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29401&g_ta_cod=9330", 78.0, 12.0, 5.0),
(3489, "Public", "0101037Y", "Campus des Comtes de champagne - URCA", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation non sélective", "Licence", "Campus des Comtes de champagne - URCA - Licence - Droit", "Licence - Droit-économie-gestion", "", 320, 1193, 829, 960, 0, 642, 143, 116, 40, 34, 11, 168, 233, 81, 24, 8, 120, 960, 118, 0, 0, 642, 143, 116, 40, 34, 11, 168, 991, 236, 168, 190, 46, 48.0, 183.0, 211.0, 0, 51, 182, 147, 28, 7, 54, 0, 83, 70, 25, 4, 0.0, 82, 13, 4, 0, 0, 120, 120, 20.34, 77.54, 89.41, 71.1875, 65.890625, 65.890625, 0, 28.0, 77.09375, 0.0, 45.59375, 38.5, 13.69921875, 2.2, 0.0, 80.796875, 45.09375, 15.3984375, 7.099609375, 3.7998046875, 2.19970703125, 654.0, 143.0, 30.0, 9.0, 202.0, "Tous les candidats", 960.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2438", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27250&g_ta_cod=2438", 75.0, 17.0, 6.0),
(3490, "Privé sous contrat d'association", "0070064G", "Lycée Jules Froment", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Aubenas", "formation sélective", "BTS", "Lycée Jules Froment - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 20, 127, 66, 122, 0, 7, 1, 34, 6, 68, 23, 13, 5, 0, 1, 1, 3, 119, 2, 0, 0, 7, 1, 34, 6, 67, 22, 11, 77, 17, 8, 15, 2, 1.0, 9.0, 14.0, 0, 9, 15, 0, 5, 10, 2, 1, 7, 5, 1, 1, 0.0, 0, 2, 5, 2, 1, 15, 15, 5.88, 52.94, 82.35, 47.09375, 100.0, 100.0, 13.298828125, 60.0, 88.1875, 6.69921875, 46.6953125, 33.296875, 6.69921875, 6.7, 0.0, 0.0, 0.0, 33.296875, 13.298828125, 66.6875, 33.296875, 2.0, 0.0, 46.0, 18.0, 7.0, "Tous les candidats sauf les Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 67, "", 0, "Liste d'appel propre à cette formation", 93.0, "2335", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2335&g_ta_cod=2335", 6.0, 35.0, 59.0),
(3491, "Privé sous contrat d'association", "0851252Z", "MFR-IREO Les Herbiers", "85", "Vendée", "Pays de la Loire", "Nantes", "Les Herbiers", "formation sélective", "BTS", "MFR-IREO Les Herbiers - BTS - Agricole - productions animales", "BTS - Agricole", "", 38, 101, 72, 93, 0, 21, 4, 18, 2, 45, 16, 9, 8, 0, 2, 2, 4, 72, 2, 0, 0, 18, 4, 15, 2, 34, 13, 5, 70, 15, 13, 13, 2, 10.0, 13.0, 15.0, 0, 4, 14, 1, 2, 11, 1, 0, 3, 6, 5, 0, 0.0, 1, 2, 8, 0, 0, 4, 4, 66.67, 86.67, 100.0, 86.6875, 28.59765625, 28.59765625, 0, 28.59765625, 93.296875, 0.0, 21.3984375, 42.8984375, 35.6953125, 0.0, 0.0, 7.099609375, 7.099609375, 14.298828125, 14.298828125, 78.59375, 57.09375, 18.0, 4.0, 33.0, 13.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 77.0, "10532", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10532&g_ta_cod=10532", 13.0, 13.0, 73.0),
(3492, "Privé sous contrat d'association", "0801479Y", "Lycée Saint Remi", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Saint Remi - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 395, 341, 338, 0, 30, 6, 107, 30, 117, 37, 84, 57, 4, 0, 23, 30, 281, 8, 0, 0, 22, 5, 100, 26, 98, 28, 61, 165, 25, 24, 23, 1, 0.0, 11.0, 20.0, 0, 7, 23, 2, 7, 14, 2, 0, 13, 9, 1, 0, 0.0, 1, 3, 6, 5, 5, 18, 18, 0.0, 44.0, 80.0, 96.0, 78.296875, 78.296875, 21.69921875, 30.3984375, 92.0, 0.0, 56.5, 39.09375, 4.2998046875, 0.0, 0.0, 8.69921875, 4.2998046875, 30.3984375, 13.0, 60.8984375, 26.09765625, 11.0, 4.0, 92.0, 28.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 105, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 60.0, "10228", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10228&g_ta_cod=10228", 12.0, 28.0, 60.0),
(3493, "Public", "0692800U", "Lycée Charlie Chaplin", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Décines-Charpieu", "formation sélective", "BTS", "Lycée Charlie Chaplin - BTS - Production - Maintenance des matériels de construction et de manutention", "BTS - Production", "", 10, 127, 10, 118, 0, 4, 0, 35, 8, 49, 17, 30, 9, 0, 0, 4, 5, 72, 1, 0, 0, 2, 0, 26, 6, 33, 9, 11, 50, 6, 0, 6, 0, 0.0, 4.0, 6.0, 0, 0, 4, 0, 1, 3, 2, 0, 3, 1, 0, 0, 0.0, 0, 0, 1, 1, 0, 2, 2, 0.0, 66.67, 100.0, 0.0, 50.0, 50.0, 25, 0.0, 66.6875, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 25.0, 2.0, 0.0, 29.0, 9.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 51.0, "8547", "BTS - Production - Maintenance des matériels de construction et de manutention", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8547&g_ta_cod=8547", 0.0, 50.0, 50.0),
(3494, "Public", "0030877M", "IFSI CH Montluçon", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "IFSI", "Regroupement d'IFSI Université Clermont Auvergne - D.E Infirmier", "D.E secteur sanitaire", "", 94, 3298, 2725, 3298, 0, 645, 115, 741, 171, 297, 114, 1615, 0, 0, 0, 0, 0, 2684, 0, 0, 0, 588, 95, 689, 153, 213, 78, 1194, 955, 94, 82, 94, 0, 3.0, 28.0, 63.0, 0, 10, 54, 15, 33, 6, 40, 0, 20, 22, 11, 1, 0.0, 11, 17, 6, 0, 0, 32, 32, 3.19, 29.79, 67.02, 87.1875, 59.296875, 59.296875, 0, 18.5, 57.3984375, 0.0, 37.0, 40.6953125, 20.3984375, 1.9, 0.0, 27.796875, 20.3984375, 61.09375, 31.5, 11.099609375, 11.099609375, 181.0, 24.0, 32.0, 8.0, 305.0, "Tous les candidats", 1697.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "23103", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22999&g_ta_cod=23103", 32.0, 60.0, 9.0),
(3495, "Public", "0342225J", "Lycée Georges Frêche", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "Lycée Georges Frêche - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 456, 258, 454, 0, 173, 26, 68, 19, 30, 12, 183, 2, 0, 0, 0, 2, 250, 1, 0, 0, 122, 16, 29, 4, 8, 2, 91, 134, 16, 12, 16, 0, 2.0, 12.0, 15.0, 0, 2, 9, 9, 0, 0, 7, 0, 5, 3, 1, 0, 0.0, 4, 0, 0, 0, 0, 4, 4, 12.5, 75.0, 93.75, 75.0, 44.3984375, 44.3984375, 0, 22.19921875, 56.296875, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 100.0, 44.3984375, 0.0, 0.0, 0.0, 0.0, 72.0, 12.0, 3.0, 0.0, 47.0, "Tous les candidats", 208.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "30609", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30609&g_ta_cod=30609", 88.0, 13.0, 0.0),
(3496, "Public", "0762047M", "Université de Rouen Normandie - Campus Martainville Rouen - UFR Santé", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation non sélective", "PASS", "Université de Rouen Normandie - Campus Martainville Rouen - UFR Santé - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Sciences de données en santé", 153, 2972, 1997, 2972, 0, 2295, 375, 102, 32, 24, 8, 551, 0, 0, 0, 0, 0, 2926, 0, 0, 0, 2295, 375, 102, 32, 24, 8, 505, 766, 151, 94, 151, 0, 8.0, 121.0, 141.0, 0, 23, 145, 144, 1, 0, 6, 1, 5, 41, 70, 25, 3.0, 138, 1, 0, 0, 0, 137, 137, 5.3, 80.13, 93.38, 62.296875, 94.5, 94.5, 0, 15.8984375, 96.0, 0.699951171875, 3.39990234375, 28.296875, 48.296875, 17.2, 2.1, 99.296875, 95.1875, 0.699951171875, 0.699951171875, 0.0, 0.0, 674.0, 110.0, 2.0, 0.0, 83.0, "Tous les candidats", 1227.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "32798", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28834&g_ta_cod=32798", 99.0, 1.0, 1.0),
(3497, "Public", "0590149S", "Cité Scolaire Pierre Forest", "59", "Nord", "Hauts-de-France", "Lille", "Maubeuge", "formation sélective", "BTS", "Cité Scolaire Pierre Forest - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 15, 78, 2, 76, 0, 1, 0, 3, 2, 38, 23, 34, 2, 0, 2, 0, 0, 76, 1, 0, 0, 1, 0, 3, 2, 38, 23, 34, 26, 10, 0, 10, 0, 5.0, 10.0, 10.0, 0, 5, 9, 0, 0, 9, 1, 0, 1, 5, 3, 0, 0.0, 0, 0, 8, 7, 0, 9, 9, 50.0, 100.0, 100.0, 0.0, 100.0, 100.0, 77.796875, 55.59375, 90.0, 0.0, 11.099609375, 55.59375, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 88.890625, 1.0, 0.0, 19.0, 11.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 4, "Liste d'appel propre à cette formation", 33.0, "6809", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6809&g_ta_cod=6809", 0.0, 10.0, 90.0),
(3498, "Public", "0731230R", "IFSI de Savoie", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "IFSI", "Regroupement d'IFSI Université Grenoble Alpes - D.E Infirmier", "D.E secteur sanitaire", "", 125, 5435, 4539, 5435, 0, 888, 145, 1025, 235, 473, 163, 3049, 0, 0, 0, 0, 0, 4394, 0, 0, 0, 816, 121, 873, 192, 375, 119, 2330, 983, 125, 116, 125, 0, 9.0, 62.0, 100.0, 0, 15, 77, 33, 26, 18, 48, 0, 10, 32, 27, 8, 0.0, 27, 22, 18, 0, 0, 65, 65, 7.2, 49.6, 80.0, 92.796875, 84.390625, 84.390625, 0, 19.5, 61.59375, 0.0, 13.0, 41.59375, 35.09375, 10.4, 0.0, 42.8984375, 35.09375, 33.796875, 28.59765625, 23.3984375, 23.3984375, 274.0, 31.0, 130.0, 36.0, 341.0, "Tous les candidats", 2191.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "23124", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22992&g_ta_cod=23124", 51.0, 27.0, 22.0),
(3499, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Autre formation", "Université de La Rochelle - C.M.I - Cursus Master en Ingénierie - Sciences de la vie - Cursus Master en Ingénierie", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie", 12, 190, 122, 190, 0, 150, 13, 0, 0, 0, 0, 40, 0, 0, 0, 0, 0, 40, 0, 0, 0, 36, 2, 0, 0, 0, 0, 4, 34, 13, 6, 13, 0, 3.0, 13.0, 13.0, 0, 0, 11, 11, 0, 0, 2, 0, 0, 1, 4, 6, 0.0, 11, 0, 0, 0, 0, 2, 2, 23.08, 100.0, 100.0, 46.1953125, 18.19921875, 18.19921875, 0, 0.0, 84.59375, 0.0, 0.0, 9.099609375, 36.3984375, 54.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 30.0, 2.0, 0.0, 0.0, 4.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "15546", "C.M.I - Cursus Master en Ingénierie - Sciences de la vie - Cursus Master en Ingénierie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15546&g_ta_cod=15546", 100.0, 0.0, 0.0),
(3500, "Privé sous contrat d'association", "0690539L", "Lycée Assomption Bellevue", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "BTS", "Lycée Assomption Bellevue - BTS - Services - Professions immobilières", "BTS - Services", "", 25, 1046, 611, 998, 0, 286, 46, 254, 54, 183, 42, 275, 48, 7, 14, 5, 22, 291, 12, 0, 0, 92, 13, 74, 7, 76, 12, 49, 145, 22, 11, 16, 6, 1.0, 8.0, 12.0, 0, 3, 15, 5, 5, 5, 7, 0, 1, 11, 3, 0, 0.0, 5, 4, 5, 1, 1, 6, 6, 4.55, 36.36, 54.55, 50.0, 40.0, 40.0, 6.69921875, 20.0, 68.1875, 0.0, 6.69921875, 73.296875, 20.0, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 26.69921875, 33.296875, 33.296875, 50.0, 11.0, 30.0, 6.0, 30.0, "Tous les candidats sauf les Bac professionnels", 163.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 20.0, "18899", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18899&g_ta_cod=18899", 41.0, 32.0, 27.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(3501, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence_Las", "Université Clermont Auvergne - Licence - Portail Mathématiques - Chimie -  option Santé", "Licence - Sciences - technologies - santé", "Mathématiques - Chimie", 40, 508, 316, 413, 0, 290, 51, 13, 6, 3, 2, 107, 95, 34, 5, 0, 56, 407, 83, 0, 0, 290, 51, 13, 6, 3, 2, 101, 345, 40, 30, 17, 23, 2.0, 17.0, 31.0, 0, 5, 27, 22, 5, 0, 13, 0, 6, 18, 2, 1, 0.0, 17, 4, 0, 0, 0, 5, 5, 5.0, 42.5, 77.5, 75.0, 18.5, 18.5, 0, 18.5, 67.5, 0.0, 22.19921875, 66.6875, 7.3994140625, 3.7, 0.0, 81.5, 63.0, 18.5, 14.798828125, 0.0, 0.0, 232.0, 38.0, 2.0, 1.0, 98.0, "Tous les candidats", 407.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "27506", "Licence - Portail Mathématiques - Chimie -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27506&g_ta_cod=27506", 73.0, 28.0, 0.0),
(3502, "Public", "0134319Z", "IUT Aix-Marseille - Site de Marseille St Jérôme", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BUT", "IUT Aix-Marseille - Site de Marseille St Jérôme - BUT - Mesures physiques Parcours : Techniques d'instrumentation - Parcours : Matériaux et contrôles physico-chimiques", "BUT - Production", "Techniques d'instrumentation - Parcours : Matériaux et contrôles physico-chimiques", 104, 1374, 336, 1287, 0, 860, 122, 100, 31, 1, 0, 326, 87, 12, 5, 0, 70, 1076, 11, 0, 0, 752, 97, 75, 21, 0, 0, 249, 735, 89, 20, 85, 3, 3.0, 58.0, 85.0, 0, 16, 66, 54, 12, 0, 23, 0, 10, 34, 19, 3, 0.0, 45, 11, 0, 0, 0, 57, 57, 3.37, 65.17, 95.51, 22.5, 86.390625, 86.390625, 0, 24.19921875, 74.1875, 0.0, 15.19921875, 51.5, 28.796875, 4.5, 0.0, 81.796875, 68.1875, 18.19921875, 16.69921875, 0.0, 0.0, 473.0, 63.0, 0.0, 0.0, 207.0, "Tous les candidats sauf les Bac technologiques", 979.0, "Bacheliers technologiques toutes séries", 90, "", 0, "Liste d'appel propre à cette formation", 83.0, "2717", "BUT - Mesures physiques Parcours : Techniques d'instrumentation - Parcours : Matériaux et contrôles physico-chimiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2717&g_ta_cod=2717", 85.0, 15.0, 0.0),
(3503, "Public", "0580582T", "Lycée d'Enseignement Général et Technologique Agricole du Morvan", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Château-Chinon (Ville)", "formation sélective", "BTS", "Lycée d'Enseignement Général et Technologique Agricole du Morvan - BTS - Agricole - Aquaculture", "BTS - Agricole", "", 27, 156, 25, 153, 0, 25, 4, 29, 5, 49, 8, 50, 3, 0, 0, 0, 3, 121, 2, 0, 0, 25, 4, 29, 5, 49, 8, 18, 84, 27, 4, 27, 0, 12.0, 22.0, 26.0, 0, 7, 20, 5, 3, 12, 7, 0, 8, 9, 2, 1, 0.0, 3, 2, 7, 5, 0, 9, 9, 44.44, 81.48, 96.3, 14.798828125, 45.0, 45.0, 25, 35.0, 74.09375, 0.0, 40.0, 45.0, 10.0, 5.0, 0.0, 25.0, 15.0, 15.0, 10.0, 60.0, 35.0, 18.0, 2.0, 28.0, 5.0, 15.0, "Tous les candidats sauf les Bac professionnels", 73.0, "Bacheliers professionnels toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 73.0, "6693", "BTS - Agricole - Aquaculture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6693&g_ta_cod=6693", 37.0, 19.0, 44.0),
(3504, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 3 Paul Sabatier - Licence - Portail Chimie", "Licence - Sciences - technologies - santé", "", 135, 1981, 1318, 1960, 0, 1098, 228, 79, 26, 6, 3, 777, 21, 3, 3, 0, 15, 1960, 6, 0, 0, 1098, 228, 79, 26, 6, 3, 777, 1324, 125, 84, 119, 6, 43.0, 58.0, 98.0, 0, 12, 55, 47, 8, 0, 70, 0, 14, 25, 12, 4, 0.0, 37, 4, 0, 0, 0, 42, 42, 34.4, 46.4, 78.4, 67.1875, 76.390625, 76.390625, 0, 21.796875, 44.0, 0.0, 25.5, 45.5, 21.796875, 7.3, 0.0, 85.5, 67.296875, 14.5, 7.2998046875, 0.0, 0.0, 774.0, 155.0, 2.0, 0.0, 525.0, "Tous les candidats", 1764.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 75.0, "4183", "Licence - Portail Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27511&g_ta_cod=4183", 86.0, 10.0, 0.0),
(3505, "Public", "9741206T", "Lycée de Bois d'Olive", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BTS", "Lycée de Bois d'Olive - BTS - Production - Finitions, aménagement des bâtiments: conception et réalisation", "BTS - Production", "", 16, 162, 43, 162, 0, 4, 2, 68, 35, 65, 45, 25, 0, 0, 0, 0, 0, 119, 0, 0, 0, 2, 1, 61, 32, 47, 33, 9, 53, 18, 4, 18, 0, 3.0, 18.0, 18.0, 0, 13, 18, 0, 8, 10, 0, 0, 5, 12, 1, 0, 0.0, 0, 3, 10, 4, 0, 18, 18, 16.67, 100.0, 100.0, 22.19921875, 100.0, 100.0, 22.19921875, 72.1875, 100.0, 0.0, 27.796875, 66.6875, 5.599609375, 0.0, 0.0, 0.0, 0.0, 44.3984375, 16.69921875, 55.59375, 55.59375, 1.0, 1.0, 17.0, 13.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 48.0, "14340", "BTS - Production - Finitions, aménagement des bâtiments: conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14340&g_ta_cod=14340", 0.0, 44.0, 56.0),
(3506, "Public", "0450029M", "Lycée Bernard Palissy", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Gien", "formation sélective", "BTS", "Lycée Bernard Palissy - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 641, 322, 638, 0, 44, 16, 161, 55, 103, 55, 330, 3, 0, 2, 0, 1, 206, 0, 0, 0, 36, 12, 93, 35, 65, 32, 12, 110, 29, 17, 28, 0, 10.0, 23.0, 28.0, 0, 15, 28, 5, 11, 12, 1, 0, 12, 9, 5, 2, 0.0, 3, 4, 9, 12, 8, 28, 28, 34.48, 79.31, 96.55, 58.59375, 100.0, 100.0, 42.8984375, 53.59375, 96.59375, 0.0, 42.8984375, 32.09375, 17.8984375, 7.1, 0.0, 17.8984375, 10.69921875, 39.296875, 14.298828125, 42.8984375, 32.09375, 15.0, 6.0, 37.0, 19.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 98, "Liste d'appel propre à cette formation", 27.0, "5642", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5642&g_ta_cod=5642", 21.0, 38.0, 41.0),
(3507, "Public", "0141234R", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Caen", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Caen - BUT - Génie chimique génie des procédés Parcours :  Contrôle, pilotage et optimisation des procédés", "BUT - Production", "Contrôle, pilotage et optimisation des procédés", 52, 728, 339, 634, 0, 399, 41, 77, 16, 4, 2, 154, 94, 32, 4, 1, 57, 497, 41, 0, 0, 329, 31, 62, 12, 1, 0, 105, 347, 41, 17, 29, 12, 1.0, 29.0, 38.0, 0, 3, 25, 20, 5, 0, 16, 0, 7, 11, 7, 0, 0.0, 14, 4, 0, 0, 0, 17, 17, 2.44, 70.73, 92.68, 41.5, 68.0, 68.0, 0, 12.0, 61.0, 0.0, 28.0, 44.0, 28.0, 0.0, 0.0, 80.0, 56.0, 20.0, 16.0, 0.0, 0.0, 196.0, 21.0, 0.0, 0.0, 98.0, "Tous les candidats sauf les Bac technologiques", 429.0, "Bacheliers technologiques toutes séries", 66, "", 0, "Liste d'appel propre à cette formation", 78.0, "2851", "BUT - Génie chimique génie des procédés Parcours :  Contrôle, pilotage et optimisation des procédés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2851&g_ta_cod=2851", 83.0, 17.0, 0.0),
(3508, "Privé sous contrat d'association", "0060673Z", "Lycée Stanislas", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "CPGE", "Lycée Stanislas - CPGE - MPSI", "Classe préparatoire scientifique", "", 36, 803, 227, 803, 640, 700, 57, 2, 1, 0, 0, 101, 0, 0, 0, 0, 0, 554, 0, 460, 536, 529, 39, 0, 0, 0, 0, 25, 274, 39, 8, 39, 0, 3.0, 27.0, 34.0, 32, 1, 38, 38, 0, 0, 1, 0, 0, 1, 18, 18, 1.0, 38, 0, 0, 5, 0, 27, 27, 7.69, 69.23, 87.18, 20.5, 71.09375, 71.09375, 13.19921875, 2.599609375, 97.390625, 0.0, 0.0, 2.599609375, 47.3984375, 47.4, 2.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 263.0, 17.0, 0.0, 0.0, 11.0, "Tous les candidats", 343.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "2237", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2237&g_ta_cod=2237", 100.0, 0.0, 0.0),
(3509, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Licence", "Université Bordeaux Montaigne - Licence - Arts du spectacle - Parcours Licence 1 Théâtre", "Licence - Arts-lettres-langues", "Licence 1 Théâtre", 80, 664, 465, 664, 0, 443, 101, 27, 8, 22, 9, 172, 0, 0, 0, 0, 0, 664, 0, 0, 0, 443, 101, 27, 8, 22, 9, 172, 307, 80, 53, 80, 0, 11.0, 73.0, 80.0, 0, 17, 56, 52, 1, 3, 24, 0, 9, 26, 19, 2, 0.0, 44, 1, 2, 0, 0, 25, 25, 13.75, 91.25, 100.0, 66.296875, 44.59375, 44.59375, 0, 30.3984375, 70.0, 0.0, 16.09765625, 46.3984375, 33.8984375, 3.6, 0.0, 92.890625, 78.59375, 1.7998046875, 1.7998046875, 5.3994140625, 3.599609375, 227.0, 52.0, 9.0, 3.0, 64.0, "Tous les candidats", 440.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "4401", "Licence - Arts du spectacle - Parcours Licence 1 Théâtre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4401&g_ta_cod=4401", 91.0, 4.0, 4.0),
(3510, "Privé enseignement supérieur", "0920674H", "EPF Sceaux", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 185, 4580, 1091, 4580, 0, 4576, 187, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 4177, 0, 0, 0, 4173, 141, 0, 0, 0, 0, 4, 2988, 212, 64, 212, 0, 88.0, 171.0, 212.0, 0, 7, 212, 212, 0, 0, 0, 1, 13, 82, 97, 19, 0.0, 198, 0, 0, 0, 0, 143, 183, 41.51, 80.66, 100.0, 30.19921875, 67.5, 86.296875, 0, 3.2998046875, 100.0, 0.5, 6.099609375, 38.6953125, 45.796875, 9.0, 0.0, 100.0, 93.390625, 0.0, 0.0, 0.0, 0.0, 2984.0, 120.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "104", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=99&g_ta_cod=104", 100.0, 0.0, 0.0),
(3511, "Privé sous contrat d'association", "0755900F", "GOBELINS, l'école de l'image", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "GOBELINS, l'école de l'image - DN MADE - Graphisme - - Spécialité : Design éditorial  (Seconde année en apprentissage)", "DN MADE", "- Spécialité : Design éditorial", 16, 553, 344, 529, 0, 228, 27, 74, 12, 67, 22, 160, 24, 4, 2, 3, 15, 67, 0, 0, 0, 38, 2, 13, 0, 8, 3, 8, 49, 14, 12, 14, 0, 4.0, 11.0, 14.0, 0, 0, 13, 8, 5, 0, 1, 0, 1, 2, 7, 3, 0.0, 7, 5, 0, 0, 0, 2, 8, 28.57, 78.57, 100.0, 85.6875, 15.3984375, 61.5, 0, 0.0, 92.890625, 0.0, 7.69921875, 15.3984375, 53.796875, 23.1, 0.0, 61.5, 53.796875, 38.5, 38.5, 0.0, 0.0, 27.0, 0.0, 5.0, 1.0, 5.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "24359", "DN MADE - Graphisme - - Spécialité : Design éditorial  (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24359&g_ta_cod=24359", 64.0, 36.0, 0.0),
(3512, "Public", "0932121A", "Lycée Suger", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BTS", "Lycée Suger - BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "BTS - Services", "", 12, 1368, 348, 1368, 0, 442, 77, 196, 46, 201, 74, 529, 0, 0, 0, 0, 0, 852, 0, 0, 0, 334, 54, 79, 15, 135, 47, 304, 31, 13, 5, 13, 0, 3.0, 13.0, 13.0, 0, 2, 7, 2, 2, 3, 6, 0, 0, 2, 2, 3, 0.0, 2, 2, 3, 0, 0, 3, 5, 23.08, 100.0, 100.0, 38.5, 42.8984375, 71.390625, 0, 28.59765625, 53.796875, 0.0, 0.0, 28.59765625, 28.59765625, 42.9, 0.0, 28.59765625, 28.59765625, 28.59765625, 28.59765625, 42.8984375, 42.8984375, 10.0, 2.0, 7.0, 2.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 2.0, "11345", "BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11345&g_ta_cod=11345", 54.0, 23.0, 23.0),
(3513, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Mathématiques - Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", "Licence - Sciences - technologies - santé", "Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", 60, 729, 261, 649, 0, 504, 98, 11, 3, 1, 1, 133, 80, 16, 2, 0, 62, 638, 49, 0, 0, 504, 98, 11, 3, 1, 1, 122, 452, 40, 16, 25, 15, 2.0, 22.0, 32.0, 0, 8, 22, 22, 0, 0, 18, 1, 4, 11, 4, 2, 0.0, 17, 0, 0, 0, 0, 15, 15, 5.0, 55.0, 80.0, 40.0, 68.1875, 68.1875, 0, 36.3984375, 55.0, 4.5, 18.19921875, 50.0, 18.19921875, 9.1, 0.0, 100.0, 77.296875, 0.0, 0.0, 0.0, 0.0, 317.0, 65.0, 0.0, 0.0, 131.0, "Tous les candidats", 688.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "5356", "Licence - Portail Mathématiques - Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32250&g_ta_cod=5356", 95.0, 5.0, 0.0),
(3514, "Privé sous contrat d'association", "0542295B", "Lycée Saint Michel", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Art-sur-Meurthe", "formation sélective", "BTS", "Lycée Saint Michel - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 60, 3, 54, 0, 2, 1, 6, 2, 31, 8, 15, 6, 0, 0, 3, 3, 54, 4, 0, 0, 2, 1, 6, 2, 31, 8, 15, 52, 8, 1, 8, 0, 2.0, 8.0, 8.0, 0, 1, 4, 0, 0, 4, 4, 0, 0, 2, 1, 1, 0.0, 0, 0, 4, 0, 0, 3, 3, 25.0, 100.0, 100.0, 12.5, 75.0, 75.0, 0, 25.0, 50.0, 0.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 2.0, 1.0, 35.0, 10.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 89.0, "6380", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6380&g_ta_cod=6380", 13.0, 25.0, 63.0),
(3515, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence", "Université des Antilles - Pôle Martinique - Licence - Portail Mathématiques - Mathématiques générales / Mathématiques, Informatique et Aide à la décision - Martinique", "Licence - Sciences - technologies - santé", "Mathématiques générales / Mathématiques, Informatique et Aide à la décision - Martinique", 75, 128, 46, 120, 0, 91, 26, 3, 2, 0, 0, 26, 8, 4, 1, 1, 2, 120, 6, 0, 0, 91, 26, 3, 2, 0, 0, 26, 118, 19, 4, 15, 4, 8.0, 14.0, 17.0, 0, 6, 11, 11, 0, 0, 8, 0, 4, 5, 2, 0, 0.0, 7, 0, 0, 0, 0, 11, 11, 42.11, 73.68, 89.47, 21.09765625, 100.0, 100.0, 0, 54.5, 57.8984375, 0.0, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 100.0, 63.59375, 0.0, 0.0, 0.0, 0.0, 91.0, 26.0, 1.0, 0.0, 24.0, "Tous les candidats", 140.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "15296", "Licence - Portail Mathématiques - Mathématiques générales / Mathématiques, Informatique et Aide à la décision - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28285&g_ta_cod=15296", 95.0, 5.0, 0.0),
(3516, "Public", "0501513Y", "IFSI CH public du Cotentin", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "IFSI", "Regroupement d'IFSI Université Caen - D.E Infirmier", "D.E secteur sanitaire", "", 63, 2296, 1914, 2296, 0, 394, 57, 493, 94, 311, 93, 1098, 0, 0, 0, 0, 0, 2189, 0, 0, 0, 393, 57, 480, 90, 288, 90, 1028, 574, 63, 52, 63, 0, 1.0, 33.0, 53.0, 0, 5, 38, 24, 10, 4, 25, 0, 7, 23, 7, 1, 0.0, 18, 9, 4, 0, 0, 33, 33, 1.59, 52.38, 84.13, 82.5, 86.796875, 86.796875, 0, 13.19921875, 60.296875, 0.0, 18.3984375, 60.5, 18.3984375, 2.6, 0.0, 63.1953125, 47.3984375, 26.296875, 23.69921875, 10.5, 10.5, 188.0, 27.0, 43.0, 17.0, 227.0, "Tous les candidats", 1645.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 41.0, "23098", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23094&g_ta_cod=23098", 70.0, 24.0, 6.0),
(3517, "Privé sous contrat d'association", "0910843X", "Lycée Polyvalent Institut Saint Pierre", "91", "Essonne", "Ile-de-France", "Versailles", "Brunoy", "formation sélective", "BTS", "Lycée Polyvalent Institut Saint Pierre - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 32, 296, 115, 179, 0, 18, 7, 64, 17, 25, 15, 72, 117, 0, 45, 28, 44, 135, 14, 0, 0, 16, 7, 60, 16, 16, 10, 43, 124, 25, 5, 20, 5, 4.0, 16.0, 21.0, 0, 5, 15, 0, 11, 4, 10, 0, 8, 7, 0, 0, 0.0, 0, 5, 2, 2, 1, 11, 15, 16.0, 64.0, 84.0, 20.0, 73.296875, 100.0, 13.298828125, 33.296875, 60.0, 0.0, 53.296875, 46.6953125, 0.0, 0.0, 0.0, 0.0, 0.0, 73.296875, 33.296875, 26.69921875, 13.298828125, 14.0, 6.0, 19.0, 11.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 72.0, "10892", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10892&g_ta_cod=10892", 36.0, 48.0, 16.0),
(3518, "Public", "0221036G", "I.U.T de Lannion", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Lannion", "formation sélective", "BUT", "I.U.T de Lannion - BUT - Mesures physiques Parcours : Techniques d'instrumentation  - Matériaux et contrôles physico-chimiques (Seconde année possible en apprentissage)", "BUT - Production", "Techniques d'instrumentation  - Matériaux et contrôles physico-chimiques", 104, 878, 182, 855, 0, 645, 50, 51, 10, 1, 0, 158, 23, 4, 0, 0, 19, 762, 14, 0, 0, 608, 45, 34, 6, 0, 0, 120, 714, 75, 12, 70, 5, 37.0, 70.0, 74.0, 0, 6, 60, 58, 2, 0, 15, 0, 21, 27, 11, 1, 0.0, 37, 2, 0, 0, 0, 57, 57, 49.33, 93.33, 98.67, 16.0, 95.0, 95.0, 0, 10.0, 80.0, 0.0, 35.0, 45.0, 18.296875, 1.7, 0.0, 96.6875, 61.6953125, 3.2998046875, 3.2998046875, 0.0, 0.0, 557.0, 45.0, 0.0, 0.0, 123.0, "Tous les candidats sauf les Bac technologiques", 718.0, "Bacheliers technologiques toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 89.0, "3354", "BUT - Mesures physiques Parcours : Techniques d'instrumentation  - Matériaux et contrôles physico-chimiques (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3354&g_ta_cod=3354", 97.0, 3.0, 0.0),
(3519, "Public", "0160010Z", "Lycée Elie Vinet", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Barbezieux-Saint-Hilaire", "formation sélective", "BTS", "Lycée Elie Vinet - BTS - Services - Gestion de la PME", "BTS - Services", "", 20, 191, 114, 177, 0, 17, 7, 38, 13, 47, 17, 75, 14, 1, 0, 1, 12, 122, 2, 0, 0, 17, 7, 38, 13, 44, 15, 23, 76, 15, 11, 15, 0, 4.0, 14.0, 15.0, 0, 5, 12, 2, 3, 7, 3, 0, 6, 3, 2, 1, 0.0, 0, 1, 5, 2, 2, 11, 11, 26.67, 93.33, 100.0, 73.296875, 91.6875, 91.6875, 16.69921875, 41.6953125, 80.0, 0.0, 50.0, 25.0, 16.69921875, 8.3, 0.0, 16.69921875, 0.0, 25.0, 8.298828125, 58.296875, 41.6953125, 12.0, 5.0, 36.0, 13.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 58.0, "2988", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2988&g_ta_cod=2988", 13.0, 33.0, 53.0),
(3520, "Public", "0711372F", "I.U.T du Creusot", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Le Creusot", "formation sélective", "Autre formation", "I.U.T du Creusot - Diplôme d'Université - ICI (Initiatives se Construire et Innovation)", "Diplôme d'Université", "ICI (Initiatives se Construire et Innovation)", 24, 19, 5, 8, 0, 3, 0, 1, 1, 1, 1, 3, 11, 1, 1, 0, 9, 4, 8, 0, 0, 2, 0, 0, 0, 1, 1, 1, 19, 6, 1, 0, 6, 0.0, 0.0, 4.0, 0, 0, 2, 1, 1, 0, 4, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 66.67, 16.69921875, 50.0, 50.0, 0, 0.0, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 3.0, 0.0, 2.0, 1.0, 9.0, "Tous les candidats", 4.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "25360", "Diplôme d'Université - ICI (Initiatives se Construire et Innovation)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25360&g_ta_cod=25360", 50.0, 50.0, 0.0),
(3521, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence_Las", "Université des Antilles - Pôle Martinique - Licence - Portail Science politique - Science Politique - Martinique", "Licence - Droit-économie-gestion", "Science Politique - Martinique", 20, 147, 110, 74, 0, 40, 12, 9, 3, 4, 1, 21, 73, 19, 6, 5, 43, 74, 69, 0, 0, 40, 12, 9, 3, 4, 1, 21, 133, 19, 15, 5, 14, 1.0, 5.0, 11.0, 0, 6, 9, 4, 3, 2, 10, 0, 3, 6, 0, 0, 0.0, 3, 3, 0, 0, 0, 8, 8, 5.26, 26.32, 57.89, 78.890625, 88.890625, 88.890625, 0, 66.6875, 47.3984375, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 44.3984375, 33.296875, 33.296875, 33.296875, 22.19921875, 0.0, 51.0, 15.0, 9.0, 6.0, 59.0, "Tous les candidats", 221.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "26895", "Licence - Portail Science politique - Science Politique - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26894&g_ta_cod=26895", 58.0, 21.0, 16.0),
(3522, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Eurasie - Pashto", "Licence - Arts-lettres-langues", "Eurasie - Pashto", 10, 18, 12, 10, 0, 1, 0, 0, 0, 0, 0, 9, 8, 1, 0, 0, 7, 10, 4, 0, 0, 1, 0, 0, 0, 0, 0, 9, 14, 6, 4, 4, 2, 3.0, 4.0, 4.0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 50.0, 66.67, 66.67, 66.6875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 0.0, 0.0, 0.0, 13.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9432", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Eurasie - Pashto", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9432&g_ta_cod=9432", 67.0, 17.0, 17.0),
(3523, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 1 - Licence - Portail Portail Biologie Environnement Chimie du vivant", "Licence - Sciences - technologies - santé", "Portail Biologie Environnement Chimie du vivant", 390, 4075, 2764, 4075, 0, 2758, 334, 121, 22, 13, 4, 1183, 0, 0, 0, 0, 0, 4066, 0, 0, 0, 2758, 334, 121, 22, 13, 4, 1174, 2147, 380, 229, 380, 0, 89.0, 258.0, 343.0, 0, 50, 290, 280, 8, 2, 90, 0, 67, 121, 77, 24, 1.0, 218, 3, 2, 0, 0, 265, 265, 23.42, 67.89, 90.26, 60.296875, 91.390625, 91.390625, 0, 17.19921875, 76.296875, 0.0, 23.09765625, 41.6953125, 26.59765625, 8.3, 0.3, 96.59375, 75.1875, 2.7998046875, 1.0, 0.699951171875, 0.699951171875, 1510.0, 191.0, 3.0, 3.0, 574.0, "Tous les candidats", 3186.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 64.0, "19310", "Licence - Portail Portail Biologie Environnement Chimie du vivant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27345&g_ta_cod=19310", 95.0, 4.0, 1.0),
(3524, "Public", "0310047H", "Lycée Ozenne", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Ozenne - BTS - Services - Assurance", "BTS - Services", "", 35, 1211, 736, 1211, 0, 116, 30, 398, 185, 262, 160, 435, 0, 0, 0, 0, 0, 1194, 0, 0, 0, 116, 30, 398, 185, 262, 160, 418, 160, 33, 25, 33, 0, 5.0, 24.0, 25.0, 0, 16, 27, 3, 15, 9, 6, 0, 9, 12, 6, 0, 0.0, 1, 11, 6, 0, 0, 17, 17, 15.15, 72.73, 75.76, 75.796875, 63.0, 63.0, 0, 59.296875, 81.796875, 0.0, 33.296875, 44.3984375, 22.19921875, 0.0, 0.0, 11.099609375, 3.69970703125, 55.59375, 40.6953125, 33.296875, 22.19921875, 8.0, 6.0, 50.0, 32.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 15.0, "4074", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4074&g_ta_cod=4074", 15.0, 52.0, 33.0),
(3525, "Public", "0750736T", "Université Paris-Dauphine", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "Autre formation", "Université Paris-Dauphine - Formation valant grade de licence - Sciences des Organisations - Paris - Classique", "Formation valant grade de licence", "Sciences des Organisations - Paris - Classique", 600, 10980, 6059, 10980, 0, 9359, 783, 77, 18, 2, 2, 1542, 0, 0, 0, 0, 0, 3325, 0, 0, 0, 3023, 284, 0, 0, 0, 0, 302, 1857, 594, 417, 594, 0, 224.0, 476.0, 525.0, 0, 72, 552, 552, 0, 0, 42, 1, 0, 0, 83, 429, 39.0, 551, 0, 0, 0, 0, 104, 371, 37.71, 80.13, 88.38, 70.1875, 18.796875, 67.1875, 0, 13.0, 92.890625, 0.199981689453125, 0.0, 0.0, 15.0, 77.7, 7.1, 100.0, 99.796875, 0.0, 0.0, 0.0, 0.0, 1695.0, 153.0, 0.0, 0.0, 162.0, "Tous les candidats", 1919.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "25813", "Formation valant grade de licence - Sciences des Organisations - Paris - Classique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25813&g_ta_cod=25813", 100.0, 0.0, 0.0),
(3526, "Public", "0131596P", "Lycée Militaire d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "CPGE", "Lycée Militaire d'Aix-en-Provence - CPGE - PCSI", "Classe préparatoire scientifique", "", 35, 922, 222, 922, 922, 770, 57, 1, 0, 1, 0, 150, 0, 0, 0, 0, 0, 922, 0, 922, 0, 770, 57, 1, 0, 1, 0, 150, 151, 35, 5, 35, 0, 3.0, 28.0, 35.0, 35, 1, 33, 33, 0, 0, 2, 0, 0, 0, 19, 13, 1.0, 33, 0, 0, 2, 0, 8, 8, 8.57, 80.0, 100.0, 14.298828125, 24.19921875, 24.19921875, 6.099609375, 3.0, 94.296875, 0.0, 0.0, 0.0, 57.59375, 39.4, 3.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 143.0, 8.0, 0.0, 0.0, 8.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "2654", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2654&g_ta_cod=2654", 100.0, 0.0, 0.0),
(3527, "Privé sous contrat d'association", "0754086J", "Lycée Charles De Foucauld", "75", "Paris", "Ile-de-France", "Paris", "Paris 18e  Arrondissement", "formation sélective", "BTS", "Lycée Charles De Foucauld - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 33, 964, 440, 651, 0, 111, 21, 218, 62, 132, 59, 190, 313, 35, 22, 111, 145, 288, 42, 0, 0, 65, 10, 124, 28, 50, 13, 49, 227, 26, 14, 15, 11, 3.0, 13.0, 14.0, 0, 4, 19, 2, 12, 5, 7, 0, 7, 10, 2, 0, 0.0, 1, 7, 4, 5, 3, 7, 17, 11.54, 50.0, 53.85, 53.796875, 36.796875, 89.5, 26.296875, 21.09765625, 73.09375, 0.0, 36.796875, 52.59375, 10.5, 0.0, 0.0, 10.5, 5.2998046875, 63.1953125, 36.796875, 26.296875, 21.09765625, 49.0, 10.0, 48.0, 14.0, 61.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 31.0, "9510", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9510&g_ta_cod=9510", 23.0, 54.0, 23.0),
(3528, "Public", "0762762P", "Université Le Havre Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation non sélective", "Licence", "Université Le Havre Normandie - Licence - Portail Economie et gestion - Eco-Gestion Classique", "Licence - Droit-économie-gestion", "Eco-Gestion Classique", 100, 1069, 509, 944, 0, 578, 132, 101, 34, 36, 18, 229, 125, 13, 9, 8, 95, 899, 80, 0, 0, 578, 132, 101, 34, 36, 18, 184, 714, 85, 36, 60, 25, 2.0, 49.0, 63.0, 0, 17, 51, 35, 10, 6, 34, 7, 31, 9, 4, 0, 0.0, 11, 1, 1, 0, 0, 48, 48, 2.35, 57.65, 74.12, 42.3984375, 94.09375, 94.09375, 0, 33.296875, 60.0, 13.69921875, 60.796875, 17.59765625, 7.7998046875, 0.0, 0.0, 68.59375, 21.59765625, 19.59765625, 2.0, 11.798828125, 2.0, 457.0, 101.0, 27.0, 17.0, 168.0, "Tous les candidats", 981.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 95.0, "9731", "Licence - Portail Economie et gestion - Eco-Gestion Classique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27022&g_ta_cod=9731", 69.0, 20.0, 9.0),
(3529, "Public", "0631021T", "I.U.T. de Clermont-Ferrand", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aubière", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 2, 133, 4, 133, 0, 0, 0, 126, 31, 0, 0, 7, 0, 0, 0, 0, 0, 68, 0, 0, 0, 0, 0, 66, 14, 0, 0, 2, 20, 2, 0, 2, 0, 0.0, 2.0, 2.0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0.0, 0, 2, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 0.0, 50.0, 50.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 340.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 49.0, "351", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=351", 0.0, 100.0, 0.0),
(3530, "Public", "9710773N", "IFSI CHU Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation sélective", "IFSI", "Regroupement d'IFSI Pointe à Pitre Université Antilles - D.E Infirmier", "D.E secteur sanitaire", "", 122, 1794, 1521, 1794, 0, 425, 195, 313, 160, 164, 109, 892, 0, 0, 0, 0, 0, 738, 0, 0, 0, 231, 92, 116, 49, 20, 14, 371, 261, 121, 110, 120, 0, 64.0, 112.0, 114.0, 0, 36, 71, 32, 32, 7, 50, 0, 7, 29, 31, 4, 0.0, 28, 29, 7, 0, 0, 65, 65, 52.89, 92.56, 94.21, 90.890625, 91.5, 91.5, 0, 50.6953125, 58.6953125, 0.0, 9.8984375, 40.796875, 43.6953125, 5.6, 0.0, 45.09375, 39.3984375, 45.09375, 40.796875, 9.8984375, 9.8984375, 101.0, 35.0, 11.0, 6.0, 101.0, "Tous les candidats", 272.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "23373", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23370&g_ta_cod=23373", 48.0, 43.0, 8.0),
(3531, "Public", "0620095S", "Lycée Louis Pasteur", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Hénin-Beaumont", "formation sélective", "BTS", "Lycée Louis Pasteur - BTS - Production - Travaux publics", "BTS - Production", "", 32, 261, 24, 261, 0, 23, 6, 71, 22, 57, 27, 110, 0, 0, 0, 0, 0, 166, 0, 0, 0, 19, 6, 67, 20, 49, 21, 31, 107, 29, 2, 29, 0, 7.0, 25.0, 29.0, 0, 7, 20, 0, 9, 11, 9, 0, 9, 9, 2, 0, 0.0, 0, 2, 9, 12, 0, 19, 19, 24.14, 86.21, 100.0, 6.8994140625, 95.0, 95.0, 60, 35.0, 69.0, 0.0, 45.0, 45.0, 10.0, 0.0, 0.0, 0.0, 0.0, 45.0, 10.0, 55.0, 45.0, 12.0, 5.0, 31.0, 13.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 57.0, "7371", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7371&g_ta_cod=7371", 14.0, 45.0, 41.0),
(3532, "Public", "0422311J", "Sciences Po Lyon - Institut d'Etudes Politiques - campus de Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "Autre formation", "Réseau ScPo ? concours commun - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Cursus général", "Sciences politiques", "Cursus général", 45, 13797, 8473, 13797, 0, 11642, 1267, 37, 15, 3, 2, 2115, 0, 0, 0, 0, 0, 2500, 0, 0, 0, 1666, 153, 4, 1, 0, 0, 830, 968, 45, 27, 45, 0, 0.0, 9.0, 36.0, 0, 0, 16, 16, 0, 0, 29, 0, 0, 0, 3, 11, 2.0, 16, 0, 0, 0, 0, 6, 6, 0.0, 20.0, 80.0, 60.0, 37.5, 37.5, 0, 0.0, 35.59375, 0.0, 0.0, 0.0, 18.796875, 68.8, 12.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 588.0, 68.0, 0.0, 0.0, 379.0, "Tous les candidats", 1784.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "31099", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Cursus général", "Réseau ScPo ? concours commun", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25823&g_ta_cod=31099", 100.0, 0.0, 0.0),
(3533, "Public", "0300950V", "Lycée Albert EINSTEIN", "30", "Gard", "Occitanie", "Montpellier", "Bagnols-sur-Cèze", "formation sélective", "BTS", "Lycée Albert EINSTEIN - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 15, 164, 22, 163, 0, 5, 2, 63, 15, 33, 20, 62, 1, 0, 0, 0, 1, 119, 0, 0, 0, 5, 2, 60, 14, 32, 19, 22, 64, 12, 2, 12, 0, 2.0, 8.0, 11.0, 0, 6, 11, 0, 3, 8, 1, 1, 4, 3, 3, 0, 0.0, 0, 1, 5, 7, 1, 7, 7, 16.67, 66.67, 91.67, 16.69921875, 63.59375, 63.59375, 63.59375, 54.5, 91.6875, 9.099609375, 36.3984375, 27.296875, 27.296875, 0.0, 0.0, 0.0, 0.0, 27.296875, 9.099609375, 72.6875, 45.5, 3.0, 1.0, 23.0, 13.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 63.0, "3992", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3992&g_ta_cod=3992", 8.0, 25.0, 67.0),
(3534, "Public", "0750686N", "Lycée Estienne Esaig", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Estienne Esaig - BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "BTS - Services", "", 72, 1107, 585, 1107, 0, 114, 25, 116, 35, 364, 135, 513, 0, 0, 0, 0, 0, 553, 0, 0, 0, 95, 17, 69, 22, 233, 78, 156, 195, 73, 37, 73, 0, 29.0, 66.0, 68.0, 0, 20, 57, 7, 7, 43, 16, 1, 17, 29, 10, 0, 0.0, 3, 1, 35, 0, 0, 18, 52, 39.73, 90.41, 93.15, 50.6953125, 31.59765625, 91.1875, 0, 35.09375, 78.09375, 1.7998046875, 29.796875, 50.8984375, 17.5, 0.0, 0.0, 12.298828125, 5.2998046875, 12.298828125, 1.7998046875, 75.390625, 61.3984375, 25.0, 7.0, 92.0, 27.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 122, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 20.0, "9088", "BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9088&g_ta_cod=9088", 14.0, 16.0, 67.0),
(3535, "Public", "0670079X", "Lycée Fustel De Coulanges", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée Fustel De Coulanges - CPGE - Lettres", "Classe préparatoire littéraire", "", 94, 868, 614, 868, 0, 742, 75, 5, 0, 1, 0, 120, 0, 0, 0, 0, 0, 731, 0, 0, 731, 689, 65, 0, 0, 0, 0, 42, 479, 100, 72, 100, 0, 53.0, 91.0, 100.0, 0, 7, 95, 95, 0, 0, 5, 1, 0, 8, 35, 43, 8.0, 94, 0, 0, 2, 1, 49, 49, 53.0, 91.0, 100.0, 72.0, 51.59375, 51.59375, 2.099609375, 7.3994140625, 95.0, 1.099853515625, 0.0, 8.3984375, 36.796875, 45.3, 8.4, 100.0, 98.890625, 0.0, 0.0, 0.0, 0.0, 457.0, 43.0, 0.0, 0.0, 22.0, "Tous les candidats", 661.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "7913", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7913&g_ta_cod=7913", 100.0, 0.0, 0.0),
(3536, "Privé sous contrat d'association", "0133334D", "Lycée ORT Léon Bramson", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "BTS", "Lycée ORT Léon Bramson - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 12, 299, 203, 287, 0, 85, 20, 35, 9, 22, 8, 145, 12, 0, 0, 0, 12, 166, 7, 0, 0, 70, 10, 16, 3, 6, 1, 74, 104, 6, 3, 5, 1, 2.0, 3.0, 4.0, 0, 0, 3, 2, 0, 1, 3, 0, 0, 1, 1, 1, 0.0, 2, 0, 1, 0, 0, 3, 3, 33.33, 50.0, 66.67, 50.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 0.0, 33.296875, 33.296875, 33.3, 0.0, 66.6875, 66.6875, 0.0, 0.0, 33.296875, 33.296875, 42.0, 6.0, 1.0, 0.0, 52.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 109.0, "Bacheliers professionnels toutes séries", 1, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 44.0, "22962", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22962&g_ta_cod=22962", 67.0, 17.0, 17.0),
(3537, "Public", "0312093G", "Lycée International Victor Hugo", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Colomiers", "formation sélective", "BTS", "Lycée International Victor Hugo - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 28, 785, 66, 785, 0, 98, 14, 256, 80, 173, 74, 258, 0, 0, 0, 0, 0, 600, 0, 0, 0, 95, 14, 243, 74, 165, 71, 97, 174, 30, 0, 30, 0, 5.0, 20.0, 25.0, 0, 7, 21, 4, 6, 11, 9, 0, 7, 11, 3, 0, 0.0, 2, 3, 9, 6, 0, 13, 13, 16.67, 66.67, 83.33, 0.0, 61.8984375, 61.8984375, 28.59765625, 33.296875, 70.0, 0.0, 33.296875, 52.3984375, 14.298828125, 0.0, 0.0, 19.0, 9.5, 28.59765625, 14.298828125, 52.3984375, 42.8984375, 14.0, 5.0, 64.0, 23.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 105, "Bacheliers technologiques toutes séries", 144, "Liste d'appel propre à cette formation", 35.0, "4208", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4208&g_ta_cod=4208", 20.0, 40.0, 40.0),
(3538, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Langues étrangères appliquées - Parcours Anglais, Espagnol - écogestion", "Licence - Arts-lettres-langues", "Anglais, Espagnol - écogestion", 35, 232, 165, 221, 0, 153, 33, 15, 6, 8, 2, 45, 11, 3, 1, 0, 7, 221, 11, 0, 0, 153, 33, 15, 6, 8, 2, 45, 187, 34, 22, 30, 4, 16.0, 28.0, 30.0, 0, 6, 28, 25, 1, 2, 6, 0, 7, 14, 5, 2, 0.0, 20, 0, 1, 0, 0, 25, 25, 47.06, 82.35, 88.24, 64.6875, 89.296875, 89.296875, 0, 21.3984375, 82.390625, 0.0, 25.0, 50.0, 17.8984375, 7.1, 0.0, 89.296875, 71.390625, 3.599609375, 0.0, 7.099609375, 3.599609375, 134.0, 27.0, 5.0, 2.0, 36.0, "Tous les candidats", 214.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "15189", "Licence - Langues étrangères appliquées - Parcours Anglais, Espagnol - écogestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15189&g_ta_cod=15189", 88.0, 6.0, 6.0),
(3539, "Public", "0311086M", "I.U.T de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BUT", "I.U.T de Toulouse - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d?activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d?activités - Contrôle de gestion et pilotage de la performance", 322, 5509, 2748, 5509, 0, 2758, 518, 1637, 554, 36, 19, 1078, 0, 0, 0, 0, 0, 4273, 0, 0, 0, 2517, 459, 1057, 326, 0, 0, 699, 1597, 331, 152, 331, 0, 113.0, 286.0, 304.0, 0, 83, 286, 135, 151, 0, 45, 1, 42, 139, 92, 11, 1.0, 115, 128, 0, 0, 0, 176, 176, 34.14, 86.4, 91.84, 45.8984375, 61.5, 61.5, 0, 29.0, 86.390625, 0.29998779296875, 14.69921875, 48.59375, 32.1953125, 3.8, 0.3, 47.1953125, 40.1953125, 52.796875, 44.796875, 0.0, 0.0, 850.0, 208.0, 0.0, 0.0, 217.0, "Tous les candidats sauf les Bac technologiques", 1187.0, "Bacheliers technologiques toutes séries", 701, "", 0, "Liste d'appel propre à cette formation", 34.0, "4100", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d?activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4100&g_ta_cod=4100", 53.0, 47.0, 0.0),
(3540, "Public", "0440139M", "I.U.T. Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Carquefou", "formation sélective", "BUT", "I.U.T. Nantes - BUT - Science et génie des matériaux Parcours : Métiers du recyclage et de la valorisation des matériaux - Métiers de l'ingénierie des matériaux et des produits - Métiers de la caractérisation et de l'expertise des matériaux et des produits (Seconde année possible en apprentissage)", "BUT - Production", "Métiers du recyclage et de la valorisation des matériaux - Métiers de l'ingénierie des matériaux et des produits - Métiers de la caractérisation et de l'expertise des matériaux et des produits", 78, 1046, 138, 1040, 0, 654, 69, 211, 19, 2, 0, 173, 6, 0, 3, 0, 3, 873, 2, 0, 0, 591, 53, 163, 12, 0, 0, 119, 577, 79, 8, 78, 1, 38.0, 58.0, 76.0, 0, 5, 73, 59, 14, 0, 6, 0, 20, 36, 15, 2, 0.0, 42, 11, 0, 0, 0, 47, 47, 48.1, 73.42, 96.2, 10.099609375, 64.390625, 64.390625, 0, 6.7998046875, 92.390625, 0.0, 27.3984375, 49.296875, 20.5, 2.7, 0.0, 80.796875, 57.5, 19.19921875, 15.099609375, 0.0, 0.0, 360.0, 37.0, 0.0, 0.0, 74.0, "Tous les candidats sauf les Bac technologiques", 664.0, "Bacheliers technologiques toutes séries", 172, "", 0, "Liste d'appel propre à cette formation", 80.0, "5484", "BUT - Science et génie des matériaux Parcours : Métiers du recyclage et de la valorisation des matériaux - Métiers de l'ingénierie des matériaux et des produits - Métiers de la caractérisation et de l'expertise des matériaux et des produits (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5484&g_ta_cod=5484", 81.0, 19.0, 0.0),
(3541, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 150, 819, 593, 701, 0, 517, 155, 38, 17, 16, 9, 130, 118, 19, 11, 7, 81, 701, 90, 0, 0, 517, 155, 38, 17, 16, 9, 130, 557, 143, 97, 112, 30, 24.0, 108.0, 121.0, 0, 34, 97, 87, 7, 3, 46, 0, 30, 33, 26, 8, 0.0, 62, 2, 3, 0, 0, 67, 67, 16.78, 75.52, 84.62, 67.796875, 69.09375, 69.09375, 0, 35.09375, 67.796875, 0.0, 30.8984375, 34.0, 26.796875, 8.2, 0.0, 89.6875, 63.8984375, 7.19921875, 2.099609375, 3.099609375, 3.099609375, 368.0, 115.0, 11.0, 6.0, 146.0, "Tous les candidats", 701.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10715", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10715&g_ta_cod=10715", 87.0, 10.0, 3.0),
(3542, "Public", "0350011X", "Lycée Jean Guehenno", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Fougères", "formation sélective", "BTS", "Lycée Jean Guehenno - BTS - Production - Maintenance des systèmes - option A Systèmes de production - Parcours 2ème année en APP (Seconde année en apprentissage)", "BTS - Production", "2ème année en APP", 10, 89, 7, 88, 0, 2, 1, 33, 4, 22, 8, 31, 1, 0, 0, 0, 1, 64, 0, 0, 0, 2, 1, 31, 4, 19, 6, 12, 34, 5, 0, 5, 0, 0.0, 3.0, 5.0, 0, 1, 3, 1, 0, 2, 2, 0, 1, 2, 0, 0, 0.0, 1, 0, 1, 0, 0, 1, 1, 0.0, 60.0, 100.0, 0.0, 33.296875, 33.296875, 0, 33.296875, 60.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 33.296875, 33.296875, 0.0, 0.0, 66.6875, 33.296875, 2.0, 1.0, 16.0, 6.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers technologiques toutes séries", 21, "Bacheliers professionnels toutes séries", 19, "Liste d'appel propre à cette formation", 57.0, "24743", "BTS - Production - Maintenance des systèmes - option A Systèmes de production - Parcours 2ème année en APP (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24743&g_ta_cod=24743", 40.0, 20.0, 40.0),
(3543, "Public", "0290070U", "Lycée Jean Chaptal", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Jean Chaptal - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 32, 455, 411, 455, 0, 38, 8, 122, 24, 178, 55, 117, 0, 0, 0, 0, 0, 433, 0, 0, 0, 37, 8, 122, 24, 164, 51, 110, 152, 26, 25, 26, 0, 3.0, 14.0, 19.0, 0, 6, 21, 3, 8, 10, 5, 0, 8, 9, 3, 1, 0.0, 1, 4, 8, 3, 3, 19, 19, 11.54, 53.85, 73.08, 96.1875, 90.5, 90.5, 14.298828125, 28.59765625, 80.796875, 0.0, 38.09375, 42.8984375, 14.298828125, 4.8, 0.0, 14.298828125, 4.7998046875, 38.09375, 19.0, 47.59375, 38.09375, 16.0, 5.0, 70.0, 23.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 111, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 50.0, "3797", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3797&g_ta_cod=3797", 12.0, 38.0, 50.0),
(3544, "Public", "0490946M", "Lycée agricole Angers le Fresne", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Lycée agricole Angers le Fresne - BTS - Agricole - Production horticole", "BTS - Agricole", "", 34, 341, 136, 326, 0, 48, 11, 38, 6, 65, 12, 175, 15, 1, 1, 2, 11, 197, 8, 0, 0, 46, 10, 36, 5, 65, 12, 50, 130, 28, 13, 26, 2, 11.0, 26.0, 28.0, 0, 5, 24, 7, 8, 9, 4, 0, 4, 12, 7, 1, 0.0, 6, 7, 7, 3, 0, 10, 10, 39.29, 92.86, 100.0, 46.3984375, 41.6953125, 41.6953125, 12.5, 20.796875, 85.6875, 0.0, 16.69921875, 50.0, 29.19921875, 4.2, 0.0, 29.19921875, 25.0, 33.296875, 29.19921875, 37.5, 29.19921875, 30.0, 8.0, 40.0, 8.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 78.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 60.0, "5921", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5921&g_ta_cod=5921", 32.0, 32.0, 36.0),
(3545, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Sciences de la vie - Biologie, Géologie, Chimie (BGC)", "Licence - Sciences - technologies - santé", "Biologie, Géologie, Chimie (BGC)", 140, 2011, 1347, 1981, 0, 1213, 203, 87, 25, 12, 8, 669, 30, 4, 1, 0, 25, 1945, 26, 0, 0, 1213, 203, 87, 25, 12, 8, 633, 1023, 139, 94, 125, 14, 5.0, 56.0, 97.0, 0, 17, 88, 80, 8, 0, 51, 1, 40, 30, 16, 1, 0.0, 43, 4, 0, 0, 0, 63, 63, 3.6, 40.29, 69.78, 67.59375, 71.59375, 71.59375, 0, 19.296875, 63.296875, 1.099853515625, 45.5, 34.09375, 18.19921875, 1.1, 0.0, 90.890625, 48.8984375, 9.099609375, 4.5, 0.0, 0.0, 700.0, 107.0, 2.0, 2.0, 301.0, "Tous les candidats", 1547.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 66.0, "5353", "Licence - Portail Sciences de la vie - Biologie, Géologie, Chimie (BGC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32244&g_ta_cod=5353", 88.0, 10.0, 1.0),
(3546, "Public", "0450051L", "Lycée BENJAMIN FRANKLIN", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "CPGE", "Lycée BENJAMIN FRANKLIN - CPGE - PTSI", "Classe préparatoire scientifique", "", 48, 512, 127, 465, 320, 248, 31, 1, 1, 0, 0, 216, 47, 18, 2, 0, 27, 225, 26, 162, 218, 203, 25, 0, 0, 0, 0, 22, 232, 21, 4, 14, 7, 6.0, 14.0, 20.0, 4, 3, 15, 15, 0, 0, 6, 0, 3, 10, 1, 0, 1.0, 12, 0, 0, 1, 0, 9, 9, 28.57, 66.67, 95.24, 19.0, 60.0, 60.0, 6.69921875, 20.0, 71.390625, 0.0, 20.0, 66.6875, 6.69921875, 0.0, 6.7, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 198.0, 26.0, 0.0, 0.0, 34.0, "Tous les candidats", 227.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "5657", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5657&g_ta_cod=5657", 100.0, 0.0, 0.0),
(3547, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence", "Institut national universitaire Champollion - Licence - Portail Electronique, énergie électrique, automatique", "Licence - Sciences - technologies - santé", "", 20, 115, 11, 90, 0, 39, 5, 16, 1, 0, 0, 35, 25, 2, 0, 0, 23, 87, 16, 0, 0, 39, 5, 16, 1, 0, 0, 32, 99, 13, 1, 7, 6, 3.0, 7.0, 11.0, 0, 1, 2, 2, 0, 0, 11, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 23.08, 53.85, 84.62, 7.69921875, 100.0, 100.0, 0, 50.0, 15.3984375, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 38.0, 5.0, 0.0, 0.0, 45.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "15768", "Licence - Portail Electronique, énergie électrique, automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29679&g_ta_cod=15768", 46.0, 54.0, 0.0),
(3548, "Public", "0800009A", "Lycée Louis Thuillier", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "CPGE", "Lycée Louis Thuillier - CPGE - MP2I", "Classe préparatoire scientifique", "", 48, 851, 161, 788, 581, 601, 71, 3, 1, 0, 0, 184, 63, 36, 0, 1, 26, 307, 12, 241, 263, 293, 34, 0, 0, 0, 0, 14, 192, 37, 5, 32, 5, 6.0, 27.0, 33.0, 17, 5, 35, 35, 0, 0, 2, 0, 0, 1, 23, 9, 2.0, 35, 0, 0, 0, 0, 19, 19, 16.22, 72.97, 89.19, 13.5, 54.296875, 54.296875, 0, 14.298828125, 94.59375, 0.0, 0.0, 2.89990234375, 65.6875, 25.7, 5.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 185.0, 22.0, 0.0, 0.0, 7.0, "Tous les candidats", 274.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "32098", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32098&g_ta_cod=32098", 100.0, 0.0, 0.0),
(3549, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence_Las", "Université de La Réunion - Saint Denis - Licence - Portail Chimie", "Licence - Sciences - technologies - santé", "", 40, 449, 309, 389, 0, 257, 93, 30, 17, 0, 0, 102, 60, 19, 6, 0, 35, 389, 54, 0, 0, 257, 93, 30, 17, 0, 0, 102, 285, 36, 20, 22, 14, 0.0, 22.0, 29.0, 0, 11, 21, 17, 4, 0, 15, 0, 13, 5, 2, 1, 0.0, 7, 1, 0, 0, 0, 18, 18, 0.0, 61.11, 80.56, 55.59375, 85.6875, 85.6875, 0, 52.3984375, 58.296875, 0.0, 61.8984375, 23.796875, 9.5, 4.8, 0.0, 81.0, 33.296875, 19.0, 4.7998046875, 0.0, 0.0, 173.0, 64.0, 0.0, 0.0, 100.0, "Tous les candidats", 510.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27558", "Licence - Portail Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27557&g_ta_cod=27558", 81.0, 17.0, 3.0),
(3550, "Public", "0900004R", "Lycée Raoul Follereau", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "BTS", "Lycée Raoul Follereau - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 13, 82, 9, 82, 0, 4, 0, 17, 5, 35, 10, 26, 0, 0, 0, 0, 0, 79, 0, 0, 0, 4, 0, 17, 5, 35, 10, 23, 36, 12, 1, 12, 0, 5.0, 8.0, 11.0, 0, 4, 11, 0, 3, 8, 1, 0, 5, 5, 1, 0, 0.0, 0, 1, 5, 2, 0, 11, 11, 41.67, 66.67, 91.67, 8.298828125, 100.0, 100.0, 18.19921875, 36.3984375, 91.6875, 0.0, 45.5, 45.5, 9.099609375, 0.0, 0.0, 0.0, 0.0, 27.296875, 9.099609375, 72.6875, 45.5, 3.0, 0.0, 16.0, 3.0, 7.0, "Tous les candidats sauf les Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 61.0, "10811", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10811&g_ta_cod=10811", 0.0, 33.0, 67.0),
(3551, "Public", "0342091N", "Lycée polyvalent Marc BLOCH", "34", "Hérault", "Occitanie", "Montpellier", "Sérignan", "formation sélective", "BTS", "Lycée polyvalent Marc BLOCH - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 33, 611, 290, 599, 0, 65, 17, 259, 110, 160, 80, 115, 12, 0, 1, 6, 5, 269, 3, 0, 0, 46, 14, 119, 56, 85, 42, 19, 136, 36, 19, 34, 2, 4.0, 23.0, 27.0, 0, 13, 29, 3, 16, 10, 7, 0, 8, 15, 6, 0, 0.0, 2, 10, 9, 13, 3, 27, 27, 11.11, 63.89, 75.0, 52.796875, 93.09375, 93.09375, 44.796875, 44.796875, 80.59375, 0.0, 27.59765625, 51.6953125, 20.69921875, 0.0, 0.0, 10.298828125, 6.8994140625, 55.1953125, 34.5, 34.5, 31.0, 17.0, 8.0, 50.0, 21.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 28.0, "14183", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14183&g_ta_cod=14183", 14.0, 50.0, 36.0),
(3552, "Privé sous contrat d'association", "0783053V", "Lycée Sainte Geneviève", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Sainte Geneviève - CPGE - BCPST", "Classe préparatoire scientifique", "", 42, 1002, 689, 1002, 1002, 886, 51, 1, 0, 0, 0, 115, 0, 0, 0, 0, 0, 1002, 0, 1002, 0, 886, 51, 1, 0, 0, 0, 115, 56, 42, 29, 42, 0, 32.0, 39.0, 40.0, 42, 2, 42, 42, 0, 0, 0, 0, 0, 0, 0, 18, 24.0, 42, 0, 0, 0, 0, 12, 19, 76.19, 92.86, 95.24, 69.0, 28.59765625, 45.1953125, 0, 4.7998046875, 100.0, 0.0, 0.0, 0.0, 0.0, 42.9, 57.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 56.0, 2.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "10074", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10074&g_ta_cod=10074", 100.0, 0.0, 0.0),
(3553, "Public", "0290012F", "Lycée Vauban", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Vauban - BTS - Production - Moteur à combustion interne", "BTS - Production", "", 26, 273, 9, 263, 0, 25, 4, 85, 17, 88, 18, 65, 10, 0, 4, 0, 6, 263, 3, 0, 0, 25, 4, 85, 17, 88, 18, 65, 115, 23, 1, 23, 0, 3.0, 17.0, 23.0, 0, 3, 20, 4, 8, 8, 3, 0, 5, 7, 5, 3, 0.0, 2, 5, 8, 1, 0, 15, 15, 13.04, 73.91, 100.0, 4.2998046875, 75.0, 75.0, 5, 15.0, 87.0, 0.0, 25.0, 35.0, 25.0, 15.0, 0.0, 20.0, 10.0, 40.0, 25.0, 40.0, 40.0, 20.0, 2.0, 16.0, 4.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 92, "Liste d'appel propre à cette formation", 60.0, "3767", "BTS - Production - Moteur à combustion interne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3767&g_ta_cod=3767", 30.0, 35.0, 35.0),
(3554, "Privé sous contrat d'association", "0754016H", "Lycée L'Initiative", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "Autre formation", "Lycée L'Initiative - DN MADE - Graphisme - - Spécialité : Graphisme responsable", "DN MADE", "- Spécialité : Graphisme responsable", 13, 272, 154, 245, 0, 88, 13, 27, 7, 49, 8, 81, 27, 6, 1, 5, 15, 76, 2, 0, 0, 39, 3, 12, 2, 2, 0, 23, 56, 13, 8, 12, 1, 2.0, 9.0, 12.0, 0, 0, 8, 6, 2, 0, 5, 0, 2, 1, 5, 0, 0.0, 5, 1, 0, 0, 0, 0, 6, 15.38, 69.23, 92.31, 61.5, 0.0, 75.0, 0, 0.0, 61.5, 0.0, 25.0, 12.5, 62.5, 0.0, 0.0, 75.0, 62.5, 25.0, 12.5, 0.0, 0.0, 30.0, 3.0, 1.0, 0.0, 14.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "21767", "DN MADE - Graphisme - - Spécialité : Graphisme responsable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21767&g_ta_cod=21767", 77.0, 23.0, 0.0),
(3555, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Musicologie", "Licence - Arts-lettres-langues", "", 60, 284, 150, 207, 0, 121, 26, 11, 3, 3, 0, 72, 77, 12, 1, 3, 61, 204, 65, 0, 0, 121, 26, 11, 3, 3, 0, 69, 229, 47, 25, 24, 22, 8.0, 24.0, 38.0, 0, 1, 16, 14, 2, 0, 31, 1, 6, 4, 2, 2, 1.0, 7, 2, 0, 0, 0, 9, 9, 17.02, 51.06, 80.85, 53.1953125, 56.296875, 56.296875, 0, 6.2998046875, 34.0, 6.2998046875, 37.5, 25.0, 12.5, 12.5, 6.3, 87.5, 43.796875, 12.5, 12.5, 0.0, 0.0, 105.0, 20.0, 4.0, 3.0, 112.0, "Tous les candidats", 204.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "8026", "Licence - Musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8026&g_ta_cod=8026", 83.0, 15.0, 0.0),
(3556, "Public", "0380027Y", "Lycée Champollion", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "CPGE", "Lycée Champollion - CPGE - BCPST", "Classe préparatoire scientifique", "", 96, 2344, 1664, 2344, 1657, 2027, 163, 2, 1, 3, 2, 312, 0, 0, 0, 0, 0, 995, 0, 439, 973, 960, 55, 0, 0, 0, 0, 35, 426, 93, 72, 93, 0, 25.0, 69.0, 88.0, 17, 4, 92, 92, 0, 0, 1, 1, 1, 1, 28, 50, 11.0, 90, 0, 0, 5, 3, 59, 59, 26.88, 74.19, 94.62, 77.390625, 64.09375, 64.09375, 5.3994140625, 4.2998046875, 98.890625, 1.099853515625, 1.099853515625, 1.099853515625, 30.3984375, 54.3, 12.0, 100.0, 97.796875, 0.0, 0.0, 0.0, 0.0, 399.0, 37.0, 0.0, 0.0, 27.0, "Tous les candidats", 604.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "4922", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4922&g_ta_cod=4922", 100.0, 0.0, 0.0),
(3557, "Privé sous contrat d'association", "0572341K", "Lycée Jean XXIII", "57", "Moselle", "Grand Est", "Nancy-Metz", "Montigny-lès-Metz", "formation sélective", "CPGE", "Lycée Jean XXIII - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 30, 185, 94, 164, 0, 141, 13, 1, 0, 0, 0, 22, 21, 4, 0, 0, 17, 151, 19, 0, 151, 135, 10, 1, 0, 0, 0, 15, 162, 25, 14, 15, 10, 12.0, 15.0, 22.0, 0, 2, 9, 9, 0, 0, 16, 0, 3, 5, 1, 0, 0.0, 6, 0, 0, 1, 1, 9, 9, 48.0, 60.0, 88.0, 56.0, 100.0, 100.0, 11.099609375, 22.19921875, 36.0, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 131.0, 9.0, 0.0, 0.0, 30.0, "Tous les candidats", 151.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "31332", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31332&g_ta_cod=31332", 96.0, 4.0, 0.0),
(3558, "Public", "0772347H", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lieusaint", "formation sélective", "BUT", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC - BUT - Génie biologique Parcours diététique et nutrition", "BUT - Production", "", 26, 938, 708, 938, 0, 428, 57, 212, 43, 3, 1, 295, 0, 0, 0, 0, 0, 577, 0, 0, 0, 293, 37, 155, 33, 1, 1, 128, 214, 26, 17, 26, 0, 1.0, 14.0, 21.0, 0, 2, 21, 11, 10, 0, 5, 0, 5, 13, 3, 0, 0.0, 8, 8, 0, 0, 0, 14, 21, 3.85, 53.85, 80.77, 65.390625, 66.6875, 100.0, 0, 9.5, 80.796875, 0.0, 23.796875, 61.8984375, 14.298828125, 0.0, 0.0, 52.3984375, 38.09375, 47.59375, 38.09375, 0.0, 0.0, 105.0, 19.0, 0.0, 0.0, 38.0, "Tous les candidats sauf les Bac technologiques", 216.0, "Bacheliers technologiques toutes séries", 97, "", 0, "Liste d'appel propre à cette formation", 33.0, "25433", "BUT - Génie biologique Parcours diététique et nutrition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25433&g_ta_cod=25433", 58.0, 42.0, 0.0),
(3559, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "Licence - Arts-lettres-langues", "Allemand", 80, 32, 24, 19, 0, 11, 1, 0, 0, 0, 0, 8, 13, 1, 0, 0, 12, 19, 9, 0, 0, 11, 1, 0, 0, 0, 0, 8, 28, 4, 2, 2, 2, 2.0, 2.0, 4.0, 0, 0, 1, 1, 0, 0, 3, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 50.0, 50.0, 100.0, 50.0, 100.0, 100.0, 0, 0.0, 25.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 12.0, 1.0, 0.0, 0.0, 16.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3548", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3548&g_ta_cod=3548", 100.0, 0.0, 0.0),
(3560, "Public", "0752846L", "Lycée professionnel Erik Satie", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "BTS", "Lycée professionnel Erik Satie - BTS - Services - Professions immobilières", "BTS - Services", "", 24, 2935, 1590, 2935, 0, 420, 96, 642, 216, 1099, 514, 774, 0, 0, 0, 0, 0, 1701, 0, 0, 0, 328, 72, 412, 141, 653, 314, 308, 130, 25, 15, 25, 0, 1.0, 17.0, 22.0, 0, 11, 24, 3, 4, 17, 1, 0, 3, 15, 5, 1, 0.0, 2, 4, 15, 2, 0, 12, 24, 4.0, 68.0, 88.0, 60.0, 50.0, 100.0, 8.298828125, 45.796875, 96.0, 0.0, 12.5, 62.5, 20.796875, 4.2, 0.0, 12.5, 8.298828125, 16.69921875, 16.69921875, 70.796875, 62.5, 19.0, 5.0, 77.0, 36.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 135, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 7.0, "21205", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21205&g_ta_cod=21205", 12.0, 16.0, 72.0),
(3561, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence", "Institut national universitaire Champollion - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes hispaniques et hispano-américaines", "Licence - Arts-lettres-langues", "Etudes hispaniques et hispano-américaines", 60, 222, 189, 184, 0, 139, 41, 11, 5, 5, 3, 29, 38, 8, 3, 2, 25, 184, 30, 0, 0, 139, 41, 11, 5, 5, 3, 29, 214, 35, 29, 31, 4, 31.0, 31.0, 33.0, 0, 9, 27, 24, 3, 0, 8, 0, 5, 10, 10, 2, 0.0, 20, 2, 0, 0, 0, 24, 24, 88.57, 88.57, 94.29, 82.890625, 88.890625, 88.890625, 0, 33.296875, 77.09375, 0.0, 18.5, 37.0, 37.0, 7.4, 0.0, 88.890625, 74.09375, 11.099609375, 7.3994140625, 0.0, 0.0, 145.0, 43.0, 7.0, 3.0, 48.0, "Tous les candidats", 184.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "17805", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes hispaniques et hispano-américaines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17805&g_ta_cod=17805", 86.0, 9.0, 3.0),
(3562, "Public", "0390012B", "Lycée Charles Nodier", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Dole", "formation sélective", "BTS", "Lycée Charles Nodier - BTS - Services - Tourisme", "BTS - Services", "", 35, 343, 233, 341, 0, 104, 16, 55, 12, 61, 28, 121, 2, 0, 0, 1, 1, 270, 0, 0, 0, 98, 12, 54, 12, 61, 28, 57, 131, 23, 19, 23, 0, 9.0, 16.0, 22.0, 0, 3, 17, 10, 3, 4, 6, 0, 5, 10, 2, 0, 0.0, 7, 1, 4, 1, 1, 11, 11, 39.13, 69.57, 95.65, 82.59375, 64.6875, 64.6875, 5.8994140625, 17.59765625, 73.890625, 0.0, 29.3984375, 58.796875, 11.798828125, 0.0, 0.0, 58.796875, 41.1953125, 17.59765625, 5.8994140625, 23.5, 23.5, 45.0, 9.0, 32.0, 15.0, 29.0, "Tous les candidats sauf les Bac professionnels", 163.0, "Bacheliers professionnels toutes séries", 63, "", 0, "Liste d'appel propre à cette formation", 66.0, "5140", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5140&g_ta_cod=5140", 61.0, 17.0, 22.0),
(3563, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Mathématiques", "Licence - Sciences - technologies - santé", "", 70, 732, 277, 713, 0, 579, 113, 15, 3, 1, 1, 118, 19, 2, 1, 0, 16, 712, 17, 0, 0, 579, 113, 15, 3, 1, 1, 117, 571, 63, 22, 54, 8, 25.0, 44.0, 56.0, 0, 9, 51, 51, 0, 0, 12, 0, 8, 17, 16, 9, 1.0, 43, 0, 0, 0, 0, 48, 48, 39.68, 69.84, 88.89, 34.8984375, 94.09375, 94.09375, 0, 17.59765625, 81.0, 0.0, 15.69921875, 33.296875, 31.3984375, 17.6, 2.0, 100.0, 84.296875, 0.0, 0.0, 0.0, 0.0, 469.0, 95.0, 0.0, 0.0, 97.0, "Tous les candidats", 711.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7017", "Licence - Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7017&g_ta_cod=7017", 100.0, 0.0, 0.0),
(3564, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Sociologie - Parcours Sociologie, ethnologie et politiques sociales", "Licence - Sciences humaines et sociales", "Sociologie, ethnologie et politiques sociales", 310, 1539, 1114, 1294, 0, 863, 199, 66, 34, 20, 9, 345, 245, 60, 22, 7, 156, 1294, 238, 0, 0, 863, 199, 66, 34, 20, 9, 345, 1534, 302, 201, 211, 91, 206.0, 210.0, 255.0, 0, 49, 170, 136, 27, 7, 132, 3, 77, 57, 25, 8, 0.0, 77, 8, 5, 0, 0, 109, 109, 68.21, 69.54, 84.44, 66.59375, 64.09375, 64.09375, 0, 28.796875, 56.296875, 1.7998046875, 45.296875, 33.5, 14.69921875, 4.7, 0.0, 80.0, 45.296875, 15.8984375, 4.69921875, 4.099609375, 2.89990234375, 923.0, 212.0, 27.0, 14.0, 496.0, "Tous les candidats", 1293.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15374", "Licence - Sociologie - Parcours Sociologie, ethnologie et politiques sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15374&g_ta_cod=15374", 75.0, 17.0, 6.0),
(3565, "Public", "0910755B", "Lycée professionnel Nadar", "91", "Essonne", "Ile-de-France", "Versailles", "Draveil", "formation sélective", "BTS", "Lycée professionnel Nadar - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 12, 177, 57, 177, 0, 20, 5, 28, 2, 101, 28, 28, 0, 0, 0, 0, 0, 128, 0, 0, 0, 20, 5, 28, 2, 67, 19, 13, 28, 11, 4, 11, 0, 4.0, 9.0, 10.0, 0, 3, 11, 1, 2, 8, 0, 0, 4, 6, 1, 0, 0.0, 0, 0, 7, 7, 2, 7, 10, 36.36, 81.82, 90.91, 36.3984375, 63.59375, 90.890625, 63.59375, 27.296875, 100.0, 0.0, 36.3984375, 54.5, 9.099609375, 0.0, 0.0, 9.099609375, 0.0, 18.19921875, 0.0, 72.6875, 63.59375, 5.0, 2.0, 12.0, 3.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers technologiques toutes séries", 17, "Bacheliers professionnels toutes séries", 15, "Liste d'appel propre à cette formation", 23.0, "33386", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33386&g_ta_cod=33386", 9.0, 18.0, 73.0),
(3566, "Public", "0750654D", "Lycée Henri IV", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "CPGE", "Lycée Henri IV - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 2900, 1526, 2900, 1715, 2595, 238, 2, 1, 1, 0, 302, 0, 0, 0, 0, 0, 650, 0, 257, 593, 648, 46, 0, 0, 0, 0, 2, 165, 24, 16, 24, 0, 0.0, 16.0, 21.0, 4, 0, 24, 24, 0, 0, 0, 0, 0, 0, 0, 19, 5.0, 24, 0, 0, 3, 1, 11, 17, 0.0, 66.67, 87.5, 66.6875, 45.796875, 70.796875, 12.5, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 79.2, 20.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 164.0, 14.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "31465", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31358&g_ta_cod=31465", 100.0, 0.0, 0.0),
(3567, "Public", "0381629P", "CNED", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "CNED - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 800, 78, 48, 65, 0, 0, 0, 12, 1, 28, 7, 25, 13, 0, 0, 4, 9, 65, 12, 0, 0, 0, 0, 12, 1, 28, 7, 25, 77, 12, 9, 9, 3, 9.0, 9.0, 11.0, 0, 2, 3, 0, 1, 2, 9, 0, 1, 1, 1, 0, 0.0, 0, 1, 1, 0, 0, 1, 1, 75.0, 75.0, 91.67, 75.0, 33.296875, 33.296875, 0, 66.6875, 25.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 33.296875, 0.0, 0.0, 32.0, 10.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 100.0, "20786", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20786&g_ta_cod=20786", 50.0, 17.0, 33.0),
(3568, "Public", "0350048M", "Lycée Jacques Cartier", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Saint-Malo", "formation sélective", "BTS", "Lycée Jacques Cartier - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 51, 1081, 582, 1076, 0, 88, 11, 540, 121, 285, 90, 163, 5, 0, 2, 1, 2, 701, 4, 0, 0, 59, 7, 318, 68, 252, 80, 72, 225, 41, 24, 39, 2, 3.0, 21.0, 36.0, 0, 14, 35, 0, 15, 20, 6, 0, 12, 11, 10, 2, 0.0, 0, 10, 13, 11, 7, 29, 29, 7.32, 51.22, 87.8, 58.5, 82.890625, 82.890625, 31.3984375, 40.0, 85.390625, 0.0, 34.296875, 31.3984375, 28.59765625, 5.7, 0.0, 0.0, 0.0, 42.8984375, 28.59765625, 57.09375, 37.09375, 13.0, 2.0, 84.0, 31.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 198, "Bacheliers technologiques toutes séries", 243, "Liste d'appel propre à cette formation", 45.0, "4655", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4655&g_ta_cod=4655", 5.0, 39.0, 56.0),
(3569, "Public", "0310046G", "Lycée Hotellerie Et Tourisme d'Occitanie", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Hotellerie Et Tourisme d'Occitanie - BTS - Services - Tourisme", "BTS - Services", "", 34, 1716, 1277, 1716, 0, 342, 95, 322, 117, 436, 222, 616, 0, 0, 0, 0, 0, 1553, 0, 0, 0, 342, 95, 322, 117, 436, 222, 453, 153, 27, 22, 27, 0, 3.0, 23.0, 25.0, 0, 11, 22, 3, 6, 13, 5, 0, 2, 13, 5, 2, 0.0, 3, 5, 12, 0, 0, 16, 16, 11.11, 85.19, 92.59, 81.5, 72.6875, 72.6875, 0, 50.0, 81.5, 0.0, 9.099609375, 59.09375, 22.69921875, 9.1, 0.0, 13.599609375, 13.599609375, 27.296875, 22.69921875, 59.09375, 54.5, 43.0, 14.0, 48.0, 21.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 94.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 14.0, "4063", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4063&g_ta_cod=4063", 22.0, 30.0, 48.0),
(3570, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Université Angers - Licence - Portail Histoire", "Licence - Sciences humaines et sociales", "", 20, 288, 166, 285, 0, 168, 32, 33, 10, 6, 2, 78, 3, 1, 0, 0, 2, 285, 2, 0, 0, 168, 32, 33, 10, 6, 2, 78, 146, 19, 10, 19, 0, 0.0, 10.0, 19.0, 0, 2, 12, 7, 5, 0, 7, 0, 5, 5, 2, 0, 0.0, 4, 3, 0, 0, 0, 2, 2, 0.0, 52.63, 100.0, 52.59375, 16.69921875, 16.69921875, 0, 16.69921875, 63.1953125, 0.0, 41.6953125, 41.6953125, 16.69921875, 0.0, 0.0, 58.296875, 33.296875, 41.6953125, 25.0, 0.0, 0.0, 85.0, 16.0, 0.0, 0.0, 47.0, "Tous les candidats", 1526.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "28325", "Licence - Portail Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27732&g_ta_cod=28325", 63.0, 37.0, 0.0),
(3571, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "PASS", "Université de Limoges - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 20, 1671, 1257, 1671, 0, 1270, 179, 40, 10, 11, 5, 350, 0, 0, 0, 0, 0, 1656, 0, 0, 0, 1270, 179, 40, 10, 11, 5, 335, 267, 17, 16, 17, 0, 0.0, 5.0, 14.0, 0, 4, 13, 12, 0, 1, 4, 0, 1, 5, 3, 4, 0.0, 11, 0, 1, 0, 0, 8, 8, 0.0, 29.41, 82.35, 94.09375, 61.5, 61.5, 0, 30.796875, 76.5, 0.0, 7.69921875, 38.5, 23.09765625, 30.8, 0.0, 92.296875, 84.59375, 0.0, 0.0, 7.69921875, 7.69921875, 204.0, 31.0, 2.0, 0.0, 51.0, "Tous les candidats", 1966.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "31764", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26973&g_ta_cod=31764", 94.0, 0.0, 6.0),
(3572, "Public", "0911251R", "Lycée du Parc des Loges", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "CPGE", "Lycée du Parc des Loges - CPGE - PCSI", "Classe préparatoire scientifique", "", 32, 494, 187, 433, 0, 277, 56, 1, 0, 3, 1, 152, 61, 29, 0, 1, 31, 281, 21, 0, 281, 249, 51, 0, 0, 0, 0, 32, 261, 28, 5, 24, 4, 9.0, 21.0, 26.0, 0, 6, 24, 24, 0, 0, 4, 0, 2, 17, 3, 2, 0.0, 22, 0, 0, 3, 1, 18, 22, 32.14, 75.0, 92.86, 17.8984375, 75.0, 91.6875, 12.5, 25.0, 85.6875, 0.0, 8.298828125, 70.796875, 12.5, 8.3, 0.0, 100.0, 91.6875, 0.0, 0.0, 0.0, 0.0, 234.0, 44.0, 0.0, 0.0, 27.0, "Tous les candidats", 279.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "10927", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10927&g_ta_cod=10927", 100.0, 0.0, 0.0),
(3573, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Licence - Informatique", "Licence - Sciences - technologies - santé", "", 145, 2240, 317, 2240, 0, 1365, 436, 201, 99, 14, 8, 660, 0, 0, 0, 0, 0, 2153, 0, 0, 0, 1365, 436, 201, 99, 14, 8, 573, 628, 139, 26, 137, 0, 20.0, 101.0, 123.0, 0, 31, 78, 74, 3, 1, 61, 0, 27, 36, 13, 2, 0.0, 50, 0, 1, 0, 0, 43, 70, 14.39, 72.66, 88.49, 18.69921875, 55.09375, 89.6875, 0, 39.6953125, 56.09375, 0.0, 34.59375, 46.1953125, 16.69921875, 2.6, 0.0, 94.890625, 64.09375, 3.7998046875, 0.0, 1.2998046875, 1.2998046875, 438.0, 156.0, 1.0, 1.0, 184.0, "Tous les candidats", 768.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "11251", "Licence - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11251&g_ta_cod=11251", 95.0, 4.0, 1.0),
(3574, "Public", "0430020N", "Lycée Charles et Adrien Dupuy", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "BTS", "Lycée Charles et Adrien Dupuy - BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "BTS - Services", "", 9, 700, 227, 700, 0, 296, 53, 85, 19, 96, 28, 223, 0, 0, 0, 0, 0, 114, 0, 0, 0, 25, 2, 27, 7, 38, 12, 24, 19, 10, 3, 10, 0, 5.0, 10.0, 10.0, 0, 5, 7, 0, 4, 3, 3, 0, 1, 2, 3, 1, 0.0, 0, 4, 2, 0, 0, 2, 2, 50.0, 100.0, 100.0, 30.0, 28.59765625, 28.59765625, 0, 71.390625, 70.0, 0.0, 14.298828125, 28.59765625, 42.8984375, 14.3, 0.0, 0.0, 0.0, 57.09375, 57.09375, 42.8984375, 28.59765625, 1.0, 1.0, 6.0, 3.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 4.0, "5385", "BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5385&g_ta_cod=5385", 30.0, 40.0, 30.0),
(3575, "Public", "0912414E", "Ecole Universitaire de premier cycle - Campus d'Evry Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation non sélective", "Licence", "Ecole Universitaire de premier cycle - Campus d'Evry Université Paris-Saclay - Licence - Langues étrangères appliquées", "Licence - Arts-lettres-langues", "", 140, 806, 593, 795, 0, 453, 124, 83, 26, 24, 13, 235, 11, 3, 0, 1, 7, 795, 9, 0, 0, 453, 124, 83, 26, 24, 13, 235, 585, 140, 95, 134, 6, 12.0, 101.0, 118.0, 0, 24, 84, 71, 9, 4, 56, 2, 47, 29, 4, 2, 0.0, 29, 4, 2, 0, 0, 64, 77, 8.57, 72.14, 84.29, 67.890625, 76.1875, 91.6875, 0, 28.59765625, 60.0, 2.39990234375, 56.0, 34.5, 4.7998046875, 2.4, 0.0, 84.5, 34.5, 10.69921875, 4.7998046875, 4.7998046875, 2.39990234375, 392.0, 103.0, 6.0, 3.0, 161.0, "Tous les candidats", 659.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "10955", "Licence - Langues étrangères appliquées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10955&g_ta_cod=10955", 82.0, 11.0, 6.0),
(3576, "Public", "0134248X", "Aix-Marseille Université - Site de Marseille Timone", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation non sélective", "PASS", "Aix-Marseille Université - Site de Marseille Timone - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "PORTAIL ADMINISTRATION ECONOMIQUE ET SOCIALE-ECONOMIE ET GESTION-GESTION", 160, 3292, 2127, 3292, 0, 2343, 518, 126, 59, 49, 27, 774, 0, 0, 0, 0, 0, 3292, 0, 0, 0, 2343, 518, 126, 59, 49, 27, 774, 1112, 159, 96, 159, 0, 1.0, 86.0, 142.0, 0, 24, 145, 140, 4, 1, 14, 1, 13, 75, 51, 5, 0.0, 128, 3, 0, 0, 0, 128, 128, 0.63, 54.09, 89.31, 60.3984375, 88.296875, 88.296875, 0, 16.59765625, 91.1875, 0.699951171875, 9.0, 51.6953125, 35.1953125, 3.4, 0.0, 96.59375, 88.296875, 2.7998046875, 2.099609375, 0.699951171875, 0.0, 1010.0, 193.0, 3.0, 2.0, 87.0, "Tous les candidats", 3751.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 47.0, "28013", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27970&g_ta_cod=28013", 96.0, 3.0, 1.0),
(3577, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Sciences du langage", "Licence - Sciences humaines et sociales", "", 95, 491, 404, 378, 0, 218, 36, 18, 5, 3, 2, 139, 113, 35, 14, 5, 59, 378, 96, 0, 0, 218, 36, 18, 5, 3, 2, 139, 410, 93, 63, 50, 43, 8.0, 50.0, 79.0, 0, 10, 45, 32, 12, 1, 48, 0, 26, 17, 1, 1, 0.0, 14, 5, 0, 0, 0, 25, 34, 8.6, 53.76, 84.95, 67.6875, 55.59375, 75.59375, 0, 22.19921875, 48.3984375, 0.0, 57.796875, 37.796875, 2.19970703125, 2.2, 0.0, 71.09375, 31.09765625, 26.69921875, 11.099609375, 2.19970703125, 0.0, 219.0, 41.0, 6.0, 5.0, 161.0, "Tous les candidats", 377.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11085", "Licence - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11085&g_ta_cod=11085", 75.0, 19.0, 4.0),
(3578, "Public", "0170029P", "Lycée Leonce Vieljeux", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BTS", "Lycée Leonce Vieljeux - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 25, 201, 15, 194, 0, 28, 5, 70, 9, 39, 9, 57, 7, 0, 0, 3, 4, 185, 1, 0, 0, 28, 5, 67, 9, 39, 9, 51, 74, 15, 1, 15, 0, 5.0, 12.0, 14.0, 0, 3, 14, 2, 5, 7, 1, 0, 7, 3, 3, 1, 0.0, 1, 2, 4, 3, 0, 12, 12, 33.33, 80.0, 93.33, 6.69921875, 85.6875, 85.6875, 21.3984375, 21.3984375, 93.296875, 0.0, 50.0, 21.3984375, 21.3984375, 7.1, 0.0, 14.298828125, 7.099609375, 35.6953125, 14.298828125, 50.0, 28.59765625, 13.0, 3.0, 35.0, 8.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 60.0, "3030", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3030&g_ta_cod=3030", 13.0, 40.0, 47.0),
(3579, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence", "Institut national universitaire Champollion - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 80, 488, 214, 488, 0, 367, 86, 45, 14, 16, 5, 60, 0, 0, 0, 0, 0, 488, 0, 0, 0, 367, 86, 45, 14, 16, 5, 60, 350, 83, 30, 83, 0, 16.0, 82.0, 83.0, 0, 18, 75, 64, 11, 0, 8, 0, 22, 36, 14, 3, 0.0, 47, 6, 0, 0, 0, 72, 72, 19.28, 98.8, 100.0, 36.09375, 96.0, 96.0, 0, 24.0, 90.390625, 0.0, 29.296875, 48.0, 18.69921875, 4.0, 0.0, 85.296875, 62.6953125, 14.69921875, 8.0, 0.0, 0.0, 258.0, 59.0, 12.0, 4.0, 44.0, "Tous les candidats", 487.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10306", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10306&g_ta_cod=10306", 83.0, 16.0, 1.0),
(3580, "Public", "0180006J", "Lycée Marguerite De Navarre", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BTS", "Lycée Marguerite De Navarre - BTS - Services - Communication", "BTS - Services", "", 26, 682, 454, 628, 0, 112, 20, 175, 43, 74, 28, 267, 54, 3, 26, 0, 25, 222, 12, 0, 0, 63, 10, 91, 17, 39, 10, 29, 114, 28, 20, 23, 5, 1.0, 16.0, 21.0, 0, 4, 21, 6, 10, 5, 7, 0, 8, 9, 4, 0, 0.0, 4, 6, 3, 5, 4, 18, 18, 3.57, 57.14, 75.0, 71.390625, 85.6875, 85.6875, 23.796875, 19.0, 75.0, 0.0, 38.09375, 42.8984375, 19.0, 0.0, 0.0, 28.59765625, 19.0, 47.59375, 28.59765625, 23.796875, 14.298828125, 33.0, 7.0, 13.0, 3.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 25.0, "3091", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3091&g_ta_cod=3091", 46.0, 36.0, 18.0),
(3581, "Privé sous contrat d'association", "0180571Y", "Lycée St Jean Baptiste De La Salle", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BTS", "Lycée St Jean Baptiste De La Salle - BTS - Production - Electrotechnique", "BTS - Production", "", 18, 56, 7, 48, 0, 2, 1, 1, 1, 27, 11, 18, 8, 0, 0, 2, 6, 36, 8, 0, 0, 2, 1, 0, 0, 24, 10, 10, 42, 12, 2, 12, 0, 7.0, 12.0, 12.0, 0, 4, 7, 0, 0, 7, 5, 0, 2, 2, 1, 2, 0.0, 0, 0, 5, 7, 0, 7, 7, 58.33, 100.0, 100.0, 16.69921875, 100.0, 100.0, 100, 57.09375, 58.296875, 0.0, 28.59765625, 28.59765625, 14.298828125, 28.6, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 71.390625, 2.0, 1.0, 25.0, 10.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 1, "Liste d'appel propre à cette formation", 75.0, "3118", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3118&g_ta_cod=3118", 25.0, 0.0, 75.0),
(3582, "Public", "0950656X", "Lycée professionnel Le Corbusier", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cormeilles-en-Parisis", "formation sélective", "Autre formation", "Lycée professionnel Le Corbusier - Mention complémentaire - FCIL Technicien sur centre d'usinage bois 3 et 5 axes - Concepteur sur modeleur 3D", "Mention complémentaire", "", 12, 20, 2, 15, 0, 1, 1, 1, 0, 8, 4, 5, 5, 0, 2, 1, 2, 14, 0, 0, 0, 1, 1, 1, 0, 8, 4, 4, 11, 6, 1, 5, 0, 0.0, 5.0, 5.0, 0, 0, 4, 0, 2, 2, 2, 0, 4, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 4, 0.0, 83.33, 83.33, 16.69921875, 50.0, 100.0, 0, 0.0, 66.6875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 1.0, 1.0, 5.0, 0.0, 3.0, "Tous les candidats", 13.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "25151", "Mention complémentaire - FCIL Technicien sur centre d'usinage bois 3 et 5 axes - Concepteur sur modeleur 3D", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25151&g_ta_cod=25151", 0.0, 33.0, 33.0),
(3583, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Moyen-Orient et Maghreb - Arabe littéral", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères, parcours Moyen-Orient et Maghreb - Arabe littéral", 150, 460, 326, 246, 0, 70, 38, 12, 7, 3, 3, 161, 214, 26, 12, 6, 170, 230, 171, 0, 0, 70, 38, 12, 7, 3, 3, 145, 396, 124, 79, 53, 71, 40.0, 51.0, 86.0, 0, 18, 26, 19, 6, 1, 98, 1, 15, 6, 4, 0, 0.0, 8, 2, 0, 0, 0, 1, 20, 32.26, 41.13, 69.35, 63.6953125, 3.7998046875, 76.890625, 0, 69.1875, 21.0, 3.7998046875, 57.6953125, 23.09765625, 15.3984375, 0.0, 0.0, 73.09375, 30.796875, 23.09765625, 7.69921875, 3.7998046875, 0.0, 94.0, 48.0, 9.0, 7.0, 272.0, "Tous les candidats", 290.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 93.0, "9416", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Moyen-Orient et Maghreb - Arabe littéral", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29605&g_ta_cod=9416", 68.0, 20.0, 8.0),
(3584, "Public", "0380027Y", "Lycée Champollion", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "CPGE", "Lycée Champollion - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 818, 384, 818, 611, 707, 46, 0, 0, 0, 0, 111, 0, 0, 0, 0, 0, 492, 0, 176, 479, 489, 28, 0, 0, 0, 0, 3, 255, 18, 8, 18, 0, 5.0, 12.0, 18.0, 1, 0, 18, 18, 0, 0, 0, 0, 0, 2, 6, 9, 1.0, 18, 0, 0, 1, 1, 13, 13, 27.78, 66.67, 100.0, 44.3984375, 72.1875, 72.1875, 5.599609375, 0.0, 100.0, 0.0, 0.0, 11.099609375, 33.296875, 50.0, 5.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 253.0, 21.0, 0.0, 0.0, 2.0, "Tous les candidats", 490.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "31299", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31299&g_ta_cod=31299", 100.0, 0.0, 0.0),
(3585, "Public", "0330029C", "Lycée Nicolas Bremontier", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Nicolas Bremontier - BTS - Services - Commerce International", "BTS - Services", "", 70, 2499, 1330, 2499, 0, 764, 152, 768, 259, 306, 134, 661, 0, 0, 0, 0, 0, 1203, 0, 0, 0, 390, 65, 528, 167, 135, 53, 150, 266, 68, 44, 68, 0, 9.0, 57.0, 64.0, 0, 22, 60, 11, 25, 24, 8, 0, 3, 36, 17, 4, 0.0, 11, 24, 22, 2, 1, 53, 53, 13.24, 83.82, 94.12, 64.6875, 88.296875, 88.296875, 3.2998046875, 36.6953125, 88.1875, 0.0, 5.0, 60.0, 28.296875, 6.7, 0.0, 18.296875, 18.296875, 41.6953125, 40.0, 40.0, 36.6953125, 64.0, 20.0, 70.0, 26.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 146.0, "Bacheliers professionnels toutes séries", 84, "Bacheliers technologiques toutes séries", 189, "Liste d'appel propre à cette formation", 17.0, "4306", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4306&g_ta_cod=4306", 22.0, 41.0, 37.0),
(3586, "Privé sous contrat d'association", "0860774Z", "Lycée St Jacques de Compostelle", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée St Jacques de Compostelle - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 25, 393, 147, 392, 0, 39, 6, 170, 36, 101, 22, 82, 1, 0, 0, 1, 0, 371, 0, 0, 0, 38, 6, 164, 32, 94, 18, 75, 97, 22, 7, 22, 0, 11.0, 20.0, 21.0, 0, 2, 19, 5, 6, 8, 3, 0, 7, 8, 2, 2, 0.0, 3, 4, 5, 8, 1, 18, 18, 50.0, 90.91, 95.45, 31.796875, 94.6875, 94.6875, 42.09375, 10.5, 86.390625, 0.0, 36.796875, 42.09375, 10.5, 10.5, 0.0, 26.296875, 15.798828125, 31.59765625, 21.09765625, 42.09375, 26.296875, 11.0, 2.0, 36.0, 6.0, 15.0, "Tous les candidats sauf les Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 58, "", 0, "Liste d'appel propre à cette formation", 30.0, "10611", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10611&g_ta_cod=10611", 27.0, 27.0, 45.0),
(3587, "Public", "0060793E", "Lycée Agricole et Horticole Vert d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "BTS", "Lycée Agricole et Horticole Vert d'Azur - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 32, 417, 123, 400, 0, 64, 8, 60, 12, 68, 16, 208, 17, 1, 2, 8, 6, 163, 7, 0, 0, 42, 5, 35, 4, 45, 8, 41, 125, 31, 6, 27, 4, 4.0, 17.0, 29.0, 0, 6, 22, 7, 9, 6, 9, 0, 5, 13, 4, 0, 0.0, 5, 6, 6, 3, 1, 15, 15, 12.9, 54.84, 93.55, 19.3984375, 68.1875, 68.1875, 13.599609375, 27.296875, 71.0, 0.0, 22.69921875, 59.09375, 18.19921875, 0.0, 0.0, 31.796875, 22.69921875, 40.8984375, 27.296875, 27.296875, 27.296875, 22.0, 4.0, 39.0, 7.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 39.0, "2247", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2247&g_ta_cod=2247", 39.0, 35.0, 26.0),
(3588, "Privé sous contrat d'association", "0560117Y", "Lycée St Paul", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BTS", "Lycée St Paul - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 329, 236, 317, 0, 36, 5, 129, 20, 67, 20, 85, 12, 2, 0, 4, 6, 226, 6, 0, 0, 36, 5, 116, 16, 38, 10, 36, 159, 33, 28, 29, 2, 10.0, 24.0, 28.0, 0, 8, 26, 4, 11, 11, 7, 0, 5, 14, 6, 1, 0.0, 2, 8, 11, 6, 5, 25, 25, 30.3, 72.73, 84.85, 84.796875, 96.1875, 96.1875, 23.09765625, 30.796875, 78.796875, 0.0, 19.19921875, 53.796875, 23.09765625, 3.8, 0.0, 15.3984375, 7.69921875, 42.296875, 30.796875, 42.296875, 42.296875, 28.0, 4.0, 38.0, 12.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 120, "Liste d'appel propre à cette formation", 63.0, "6443", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6443&g_ta_cod=6443", 12.0, 52.0, 36.0),
(3589, "Public", "0595809U", "Lycée de L'Escaut", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée de L'Escaut - BTS - Production - Métiers de la chimie", "BTS - Production", "", 45, 604, 284, 597, 0, 93, 19, 124, 40, 11, 6, 369, 7, 0, 0, 5, 2, 295, 0, 0, 0, 89, 18, 99, 25, 7, 3, 100, 159, 36, 18, 36, 0, 9.0, 30.0, 33.0, 0, 8, 27, 6, 17, 4, 9, 0, 10, 12, 3, 1, 1.0, 1, 12, 4, 11, 8, 23, 23, 25.0, 83.33, 91.67, 50.0, 85.1875, 85.1875, 40.6953125, 29.59765625, 75.0, 0.0, 37.0, 44.3984375, 11.099609375, 3.7, 3.7, 22.19921875, 3.69970703125, 63.0, 44.3984375, 14.798828125, 14.798828125, 60.0, 10.0, 7.0, 3.0, 47.0, "Tous les candidats sauf les Bac professionnels", 206.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 36.0, "7158", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7158&g_ta_cod=7158", 36.0, 53.0, 11.0),
(3590, "Public", "0290070U", "Lycée Jean Chaptal", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Jean Chaptal - BTS - Services - Diététique", "BTS - Services", "", 14, 795, 666, 776, 0, 210, 32, 226, 49, 34, 8, 306, 19, 0, 0, 11, 8, 374, 1, 0, 0, 131, 20, 112, 28, 10, 2, 121, 77, 13, 13, 12, 0, 4.0, 9.0, 11.0, 0, 2, 7, 2, 4, 1, 6, 0, 0, 3, 3, 1, 0.0, 2, 4, 1, 2, 2, 7, 7, 30.77, 69.23, 84.62, 100.0, 100.0, 100.0, 28.59765625, 28.59765625, 53.796875, 0.0, 0.0, 42.8984375, 42.8984375, 14.3, 0.0, 28.59765625, 28.59765625, 57.09375, 57.09375, 14.298828125, 14.298828125, 10.0, 3.0, 7.0, 2.0, 49.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 90.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 20.0, "19826", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19826&g_ta_cod=19826", 38.0, 54.0, 8.0),
(3591, "Public", "6200190M", "Lycée agricole Sartene", "2A", "Corse du Sud", "Corse", "Corse", "Sartène", "formation sélective", "BTS", "Lycée agricole Sartene - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 16, 292, 112, 290, 0, 57, 8, 61, 16, 62, 15, 110, 2, 0, 0, 2, 0, 113, 0, 0, 0, 34, 6, 35, 7, 34, 9, 10, 61, 18, 4, 18, 0, 5.0, 16.0, 17.0, 0, 1, 17, 6, 6, 5, 1, 0, 7, 7, 3, 0, 0.0, 2, 3, 5, 1, 1, 5, 5, 27.78, 88.89, 94.44, 22.19921875, 29.3984375, 29.3984375, 5.8994140625, 5.8994140625, 94.390625, 0.0, 41.1953125, 41.1953125, 17.59765625, 0.0, 0.0, 35.296875, 11.798828125, 35.296875, 17.59765625, 29.3984375, 29.3984375, 17.0, 3.0, 20.0, 3.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 30.0, "11685", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11685&g_ta_cod=11685", 39.0, 33.0, 28.0),
(3592, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence_Las", "Université de Limoges - Licence - Portail Sciences de la vie - Parcours  classique", "Licence - Sciences - technologies - santé", "Parcours  classique", 72, 1506, 1070, 1506, 0, 929, 164, 64, 21, 3, 1, 510, 0, 0, 0, 0, 0, 1497, 0, 0, 0, 929, 164, 64, 21, 3, 1, 501, 413, 70, 54, 70, 0, 2.0, 42.0, 52.0, 0, 6, 28, 22, 5, 1, 42, 0, 4, 10, 7, 7, 0.0, 19, 4, 1, 0, 0, 9, 9, 2.86, 60.0, 74.29, 77.09375, 32.09375, 32.09375, 0, 21.3984375, 40.0, 0.0, 14.298828125, 35.6953125, 25.0, 25.0, 0.0, 78.59375, 67.890625, 17.8984375, 14.298828125, 3.599609375, 3.599609375, 125.0, 44.0, 1.0, 1.0, 276.0, "Tous les candidats", 965.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "26934", "Licence - Portail Sciences de la vie - Parcours  classique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26933&g_ta_cod=26934", 89.0, 9.0, 3.0),
(3593, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 100, 2160, 1599, 2160, 0, 1386, 302, 78, 25, 14, 6, 682, 0, 0, 0, 0, 0, 2160, 0, 0, 0, 1386, 302, 78, 25, 14, 6, 682, 570, 100, 86, 100, 0, 8.0, 83.0, 96.0, 0, 10, 97, 97, 0, 0, 3, 0, 16, 56, 20, 5, 0.0, 81, 0, 0, 0, 0, 27, 80, 8.0, 83.0, 96.0, 86.0, 27.796875, 82.5, 0, 10.298828125, 97.0, 0.0, 16.5, 57.6953125, 20.59765625, 5.2, 0.0, 100.0, 83.5, 0.0, 0.0, 0.0, 0.0, 561.0, 103.0, 0.0, 0.0, 9.0, "Tous les candidats", 848.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "9350", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32399&g_ta_cod=9350", 98.0, 0.0, 0.0),
(3594, "Public", "0595867G", "Lycée INTERNATIONAL MONTEBELLO", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée INTERNATIONAL MONTEBELLO - BTS - Services - Commerce International", "BTS - Services", "", 33, 1530, 811, 1530, 0, 431, 130, 373, 183, 163, 82, 563, 0, 0, 0, 0, 0, 538, 0, 0, 0, 232, 62, 123, 47, 105, 50, 78, 143, 35, 22, 35, 0, 4.0, 26.0, 33.0, 0, 7, 23, 13, 6, 4, 12, 0, 5, 13, 2, 3, 0.0, 10, 4, 4, 0, 0, 22, 22, 11.43, 74.29, 94.29, 62.8984375, 95.6875, 95.6875, 0, 30.3984375, 65.6875, 0.0, 21.69921875, 56.5, 8.69921875, 13.0, 0.0, 56.5, 43.5, 26.09765625, 17.3984375, 17.3984375, 17.3984375, 54.0, 22.0, 11.0, 4.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 174.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 18.0, "7163", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7163&g_ta_cod=7163", 63.0, 26.0, 11.0),
(3595, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence_Las", "Université de Paris - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER Etudes vietnamiennes", "Licence - Arts-lettres-langues", "LLCER Etudes vietnamiennes", 5, 40, 32, 40, 0, 14, 3, 1, 1, 0, 0, 25, 0, 0, 0, 0, 0, 40, 0, 0, 0, 14, 3, 1, 1, 0, 0, 25, 20, 4, 3, 4, 0, 0.0, 4.0, 4.0, 0, 1, 1, 0, 1, 0, 3, 0, 0, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 1, 0.0, 100.0, 100.0, 75.0, 0.0, 100.0, 0, 100.0, 25.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 9.0, 1.0, 0.0, 0.0, 10.0, "Tous les candidats", 52.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 65.0, "29394", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER Etudes vietnamiennes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29393&g_ta_cod=29394", 75.0, 25.0, 0.0),
(3596, "Privé enseignement supérieur", "0596953M", "Institut Catholique de Lille - ESPOL European School of Political and Social Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Institut Catholique de Lille - ESPOL European School of Political and Social Sciences - Licence - Science politique - Parcours Licence européenne de science politique", "Licence - Droit-économie-gestion", "Licence européenne de science politique", 240, 2762, 1828, 2739, 0, 2324, 108, 5, 0, 0, 0, 410, 23, 8, 2, 0, 13, 1149, 0, 0, 0, 991, 40, 1, 0, 0, 0, 157, 846, 216, 161, 216, 0, 18.0, 164.0, 199.0, 0, 9, 197, 197, 0, 0, 19, 0, 0, 6, 83, 103, 5.0, 197, 0, 0, 0, 0, 30, 30, 8.33, 75.93, 92.13, 74.5, 15.19921875, 15.19921875, 0, 4.599609375, 91.1875, 0.0, 0.0, 3.0, 42.09375, 52.3, 2.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 743.0, 22.0, 0.0, 0.0, 103.0, "Tous les candidats", 1024.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "17175", "Licence - Science politique - Parcours Licence européenne de science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17175&g_ta_cod=17175", 100.0, 0.0, 0.0),
(3597, "Public", "0580032V", "Lycée Raoul Follereau", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "BTS", "Lycée Raoul Follereau - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 19, 189, 105, 186, 0, 35, 11, 33, 10, 43, 18, 75, 3, 0, 1, 2, 0, 114, 0, 0, 0, 34, 11, 33, 10, 38, 15, 9, 63, 17, 7, 17, 0, 4.0, 15.0, 16.0, 0, 6, 17, 6, 4, 7, 0, 0, 7, 4, 5, 1, 0.0, 2, 4, 4, 6, 1, 16, 16, 23.53, 88.24, 94.12, 41.1953125, 94.09375, 94.09375, 35.296875, 35.296875, 100.0, 0.0, 41.1953125, 23.5, 29.3984375, 5.9, 0.0, 35.296875, 11.798828125, 23.5, 23.5, 41.1953125, 23.5, 23.0, 9.0, 22.0, 8.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 55.0, "6681", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6681&g_ta_cod=6681", 35.0, 24.0, 41.0),
(3598, "Public", "0720896H", "Lycée Militaire Prytanee National", "72", "Sarthe", "Pays de la Loire", "Nantes", "La Flèche", "formation sélective", "CPGE", "Lycée Militaire Prytanee National - CPGE - MPSI", "Classe préparatoire scientifique", "", 68, 1083, 197, 1083, 1083, 983, 79, 4, 1, 0, 0, 96, 0, 0, 0, 0, 0, 1083, 0, 1083, 0, 983, 79, 4, 1, 0, 0, 96, 292, 66, 7, 66, 0, 16.0, 53.0, 58.0, 66, 3, 64, 64, 0, 0, 2, 0, 0, 1, 29, 29, 5.0, 64, 0, 0, 5, 0, 12, 12, 24.24, 80.3, 87.88, 10.599609375, 18.796875, 18.796875, 7.7998046875, 4.69921875, 97.0, 0.0, 0.0, 1.599853515625, 45.296875, 45.3, 7.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 289.0, 19.0, 0.0, 0.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "8732", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8732&g_ta_cod=8732", 100.0, 0.0, 0.0),
(3599, "Public", "0590121L", "Lycée Cesar Baggio", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Cesar Baggio - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 923, 111, 923, 0, 170, 34, 184, 72, 180, 72, 389, 0, 0, 0, 0, 0, 576, 0, 0, 0, 170, 34, 179, 70, 131, 49, 96, 157, 23, 0, 23, 0, 2.0, 16.0, 18.0, 0, 9, 20, 6, 5, 9, 3, 0, 7, 7, 6, 0, 0.0, 2, 2, 9, 4, 0, 20, 20, 8.7, 69.57, 78.26, 0.0, 100.0, 100.0, 20, 45.0, 87.0, 0.0, 35.0, 35.0, 30.0, 0.0, 0.0, 30.0, 10.0, 25.0, 10.0, 45.0, 45.0, 70.0, 14.0, 43.0, 16.0, 16.0, "Tous les candidats sauf les Bac professionnels", 203.0, "Bacheliers professionnels toutes séries", 62, "", 0, "Liste d'appel propre à cette formation", 29.0, "25139", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25139&g_ta_cod=25139", 26.0, 35.0, 39.0),
(3600, "Public", "0671509B", "Lycée des métiers CFA Heinrich-Nessel", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Haguenau", "formation sélective", "BTS", "Lycée des métiers CFA Heinrich-Nessel - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 26, 181, 9, 175, 0, 5, 0, 70, 14, 58, 18, 42, 6, 0, 3, 0, 3, 174, 0, 0, 0, 5, 0, 70, 14, 57, 18, 42, 102, 20, 0, 20, 0, 4.0, 18.0, 19.0, 0, 3, 15, 1, 5, 9, 5, 0, 8, 3, 4, 0, 0.0, 0, 1, 6, 3, 0, 14, 14, 20.0, 90.0, 95.0, 0.0, 93.296875, 93.296875, 20, 20.0, 75.0, 0.0, 53.296875, 20.0, 26.69921875, 0.0, 0.0, 6.69921875, 0.0, 33.296875, 6.69921875, 60.0, 40.0, 3.0, 0.0, 39.0, 13.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 76.0, "7962", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7962&g_ta_cod=7962", 10.0, 40.0, 50.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(3601, "Public", "0720033V", "Lycée Polyvalent Gabriel Touchard - Washington", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Gabriel Touchard - Washington - BTS - Services - Notariat", "BTS - Services", "", 24, 742, 542, 739, 0, 150, 28, 191, 54, 69, 40, 329, 3, 1, 0, 0, 2, 364, 0, 0, 0, 111, 21, 135, 32, 44, 24, 74, 116, 22, 18, 22, 0, 7.0, 18.0, 20.0, 0, 5, 15, 5, 9, 1, 7, 0, 2, 6, 6, 1, 0.0, 5, 7, 1, 3, 3, 13, 13, 31.82, 81.82, 90.91, 81.796875, 86.6875, 86.6875, 20, 33.296875, 68.1875, 0.0, 13.298828125, 40.0, 40.0, 6.7, 0.0, 33.296875, 33.296875, 60.0, 46.6953125, 6.69921875, 6.69921875, 37.0, 6.0, 11.0, 7.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 24.0, "8699", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8699&g_ta_cod=8699", 36.0, 59.0, 5.0),
(3602, "Privé sous contrat d'association", "0690564N", "Institution des Chartreux", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "BTS", "Institution des Chartreux - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 60, 716, 290, 464, 0, 149, 25, 107, 26, 35, 10, 173, 252, 43, 59, 24, 126, 295, 75, 0, 0, 123, 18, 92, 24, 19, 5, 61, 340, 59, 22, 38, 19, 23.0, 38.0, 53.0, 0, 9, 39, 18, 19, 2, 20, 1, 22, 14, 2, 0, 0.0, 3, 11, 2, 0, 0, 33, 33, 38.98, 64.41, 89.83, 37.296875, 84.59375, 84.59375, 0, 23.09765625, 66.09375, 2.599609375, 56.3984375, 35.8984375, 5.099609375, 0.0, 0.0, 46.1953125, 7.69921875, 48.6953125, 28.19921875, 5.099609375, 5.099609375, 135.0, 22.0, 23.0, 7.0, 102.0, "Tous les candidats sauf les Bac professionnels", 276.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 64.0, "8309", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8309&g_ta_cod=8309", 58.0, 39.0, 3.0),
(3603, "Public", "0420027B", "Lycée Georges Brassens", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Rive-de-Gier", "formation sélective", "BTS", "Lycée Georges Brassens - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 36, 992, 137, 878, 0, 59, 19, 184, 59, 108, 45, 527, 114, 7, 2, 30, 75, 256, 14, 0, 0, 38, 6, 121, 39, 59, 24, 38, 194, 25, 0, 22, 2, 6.0, 16.0, 22.0, 0, 9, 18, 1, 14, 3, 7, 0, 9, 7, 1, 1, 0.0, 0, 7, 2, 3, 0, 14, 14, 24.0, 64.0, 88.0, 0.0, 77.796875, 77.796875, 16.69921875, 50.0, 72.0, 0.0, 50.0, 38.8984375, 5.599609375, 5.6, 0.0, 5.599609375, 0.0, 77.796875, 38.8984375, 16.69921875, 11.099609375, 29.0, 4.0, 54.0, 24.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 58.0, "Bacheliers technologiques toutes séries", 126, "Bacheliers professionnels toutes séries", 63, "Liste d'appel propre à cette formation", 28.0, "24071", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24071&g_ta_cod=24071", 20.0, 60.0, 20.0),
(3604, "Privé sous contrat d'association", "0220097L", "Lycée-Collège NOTRE-DAME", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Guingamp", "formation sélective", "BTS", "Lycée-Collège NOTRE-DAME - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 28, 198, 197, 198, 0, 41, 7, 75, 16, 47, 16, 35, 0, 0, 0, 0, 0, 181, 0, 0, 0, 41, 7, 75, 16, 34, 11, 31, 78, 24, 24, 24, 0, 11.0, 22.0, 23.0, 0, 4, 20, 7, 8, 5, 4, 0, 8, 10, 1, 1, 0.0, 5, 3, 4, 1, 1, 17, 17, 45.83, 91.67, 95.83, 100.0, 85.0, 85.0, 5, 20.0, 83.296875, 0.0, 40.0, 50.0, 5.0, 5.0, 0.0, 35.0, 25.0, 40.0, 15.0, 25.0, 20.0, 18.0, 3.0, 21.0, 5.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 48.0, "3336", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3336&g_ta_cod=3336", 29.0, 46.0, 21.0),
(3605, "Privé sous contrat d'association", "0753537M", "Lycée ESTBA", "75", "Paris", "Ile-de-France", "Paris", "Paris 20e  Arrondissement", "formation sélective", "BTS", "Lycée ESTBA - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 38, 619, 423, 573, 0, 160, 32, 152, 27, 19, 8, 242, 46, 10, 8, 0, 28, 417, 25, 0, 0, 150, 28, 109, 12, 6, 3, 152, 276, 37, 25, 31, 6, 6.0, 14.0, 25.0, 0, 4, 17, 9, 7, 1, 20, 0, 15, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 5, 17, 16.22, 37.84, 67.57, 67.59375, 29.3984375, 100.0, 0, 23.5, 45.8984375, 0.0, 88.1875, 11.798828125, 0.0, 0.0, 0.0, 52.8984375, 5.8994140625, 41.1953125, 5.8994140625, 5.8994140625, 0.0, 95.0, 21.0, 5.0, 2.0, 122.0, "Tous les candidats sauf les Bac professionnels", 270.0, "Bacheliers professionnels toutes séries", 5, "", 0, "Liste d'appel propre à cette formation", 48.0, "9442", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9442&g_ta_cod=9442", 65.0, 32.0, 3.0),
(3606, "Privé sous contrat d'association", "0490076S", "ESSCA School of Management - Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole de Commerce", "Concours ACCES - Formation des écoles de commerce et de management Bac + 5", "Formation des écoles de commerce et de management", "", 330, 3786, 1590, 3786, 0, 3479, 56, 75, 6, 0, 0, 232, 0, 0, 0, 0, 0, 2892, 0, 0, 0, 2718, 37, 22, 1, 0, 0, 152, 2496, 406, 164, 406, 0, 248.0, 403.0, 406.0, 0, 4, 383, 381, 2, 0, 23, 2, 57, 195, 109, 20, 0.0, 322, 2, 0, 0, 0, 128, 128, 61.08, 99.26, 100.0, 40.3984375, 33.3984375, 33.3984375, 0, 1.0, 94.296875, 0.5, 14.8984375, 50.8984375, 28.5, 5.2, 0.0, 99.5, 84.09375, 0.5, 0.5, 0.0, 0.0, 2349.0, 37.0, 0.0, 0.0, 133.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "26004", "Formation des écoles de commerce et de management Bac + 5", "Concours ACCES", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26003&g_ta_cod=26004", 100.0, 0.0, 0.0),
(3607, "Public", "0490003M", "Lycée Polyvalent Chevrollier", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Lycée Polyvalent Chevrollier - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 67, 1290, 157, 1280, 0, 221, 37, 303, 69, 225, 71, 531, 10, 0, 0, 0, 10, 467, 3, 0, 0, 131, 14, 148, 29, 116, 23, 72, 244, 60, 5, 59, 1, 8.0, 46.0, 58.0, 0, 9, 47, 8, 17, 22, 13, 1, 12, 25, 9, 0, 0.0, 5, 11, 18, 17, 1, 45, 45, 13.33, 76.67, 96.67, 8.298828125, 95.6875, 95.6875, 36.1953125, 19.09765625, 78.296875, 2.099609375, 25.5, 53.1953125, 19.09765625, 0.0, 0.0, 17.0, 10.599609375, 36.1953125, 23.3984375, 46.796875, 38.296875, 66.0, 10.0, 52.0, 13.0, 53.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 154.0, "Bacheliers professionnels toutes séries", 107, "Bacheliers technologiques toutes séries", 187, "Liste d'appel propre à cette formation", 35.0, "5834", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5834&g_ta_cod=5834", 17.0, 47.0, 37.0),
(3608, "Public", "0631021T", "I.U.T. de Clermont-Ferrand", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aubière", "formation sélective", "BUT", "I.U.T. de Clermont-Ferrand - BUT - Génie biologique Parcours diététique et nutrition", "BUT - Production", "", 25, 1143, 905, 1143, 0, 541, 60, 184, 34, 6, 1, 412, 0, 0, 0, 0, 0, 578, 0, 0, 0, 307, 31, 37, 4, 0, 0, 234, 155, 24, 22, 24, 0, 1.0, 10.0, 19.0, 0, 1, 15, 11, 4, 0, 9, 0, 1, 10, 4, 0, 0.0, 11, 3, 0, 0, 0, 5, 5, 4.17, 41.67, 79.17, 91.6875, 33.296875, 33.296875, 0, 6.69921875, 62.5, 0.0, 6.69921875, 66.6875, 26.69921875, 0.0, 0.0, 73.296875, 73.296875, 26.69921875, 20.0, 0.0, 0.0, 67.0, 9.0, 0.0, 0.0, 73.0, "Tous les candidats sauf les Bac technologiques", 232.0, "Bacheliers technologiques toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 24.0, "7598", "BUT - Génie biologique Parcours diététique et nutrition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7598&g_ta_cod=7598", 79.0, 21.0, 0.0),
(3609, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Perrin - BTS - Production - Pilotage des procédés", "BTS - Production", "", 16, 103, 24, 93, 0, 9, 1, 33, 12, 22, 14, 29, 10, 0, 3, 0, 7, 93, 0, 0, 0, 9, 1, 33, 12, 22, 14, 29, 56, 14, 2, 14, 0, 1.0, 13.0, 14.0, 0, 6, 9, 1, 4, 4, 5, 0, 4, 4, 1, 0, 0.0, 1, 2, 2, 0, 0, 7, 7, 7.14, 92.86, 100.0, 14.298828125, 77.796875, 77.796875, 0, 66.6875, 64.296875, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 11.099609375, 11.099609375, 44.3984375, 22.19921875, 44.3984375, 22.19921875, 7.0, 1.0, 12.0, 6.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 71.0, "20274", "BTS - Production - Pilotage des procédés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20274&g_ta_cod=20274", 21.0, 43.0, 36.0),
(3610, "Public", "0350028R", "Lycée Bréquigny", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Bréquigny - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 968, 77, 963, 0, 157, 26, 320, 78, 198, 65, 288, 5, 0, 0, 4, 1, 443, 0, 0, 0, 121, 16, 191, 37, 85, 23, 46, 113, 27, 0, 27, 0, 3.0, 25.0, 27.0, 0, 5, 22, 6, 7, 9, 5, 0, 8, 10, 2, 2, 0.0, 3, 4, 7, 5, 0, 19, 19, 11.11, 92.59, 100.0, 0.0, 86.390625, 86.390625, 22.69921875, 22.69921875, 81.5, 0.0, 36.3984375, 45.5, 9.099609375, 9.1, 0.0, 27.296875, 13.599609375, 31.796875, 18.19921875, 40.8984375, 31.796875, 29.0, 8.0, 41.0, 9.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 84, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 24.0, "17725", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17725&g_ta_cod=17725", 30.0, 37.0, 33.0),
(3611, "Privé sous contrat d'association", "0290170C", "Lycée Le Likès", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Le Likès - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 387, 189, 380, 0, 44, 9, 104, 13, 41, 17, 191, 7, 0, 1, 2, 4, 226, 2, 0, 0, 44, 9, 95, 11, 36, 14, 51, 159, 30, 10, 29, 1, 9.0, 26.0, 29.0, 0, 5, 22, 5, 11, 6, 8, 0, 8, 11, 3, 0, 0.0, 2, 7, 5, 4, 0, 22, 22, 30.0, 86.67, 96.67, 33.296875, 100.0, 100.0, 18.19921875, 22.69921875, 73.296875, 0.0, 36.3984375, 50.0, 13.599609375, 0.0, 0.0, 22.69921875, 9.099609375, 50.0, 31.796875, 27.296875, 22.69921875, 29.0, 4.0, 26.0, 12.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 117, "Liste d'appel propre à cette formation", 59.0, "3818", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3818&g_ta_cod=3818", 30.0, 47.0, 23.0),
(3612, "Public", "0570057C", "Lycée Robert Schuman", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée Robert Schuman - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 640, 450, 640, 0, 41, 12, 263, 101, 186, 91, 150, 0, 0, 0, 0, 0, 394, 0, 0, 0, 37, 8, 189, 68, 127, 59, 41, 169, 32, 25, 32, 0, 3.0, 25.0, 32.0, 0, 10, 24, 3, 8, 13, 8, 0, 10, 9, 4, 1, 0.0, 0, 5, 9, 0, 0, 24, 24, 9.38, 78.13, 100.0, 78.09375, 100.0, 100.0, 0, 41.6953125, 75.0, 0.0, 41.6953125, 37.5, 16.69921875, 4.2, 0.0, 12.5, 0.0, 33.296875, 20.796875, 54.1953125, 37.5, 30.0, 7.0, 50.0, 17.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 90, "Bacheliers technologiques toutes séries", 124, "Liste d'appel propre à cette formation", 42.0, "6529", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6529&g_ta_cod=6529", 25.0, 31.0, 44.0),
(3613, "Privé enseignement supérieur", "0352349N", "Institut Catholique de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Bruz", "formation sélective", "Licence", "Institut Catholique de Rennes - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais LLCER", "Licence - Arts-lettres-langues", "Anglais LLCER", 80, 30, 25, 27, 0, 25, 3, 0, 0, 1, 0, 1, 3, 1, 0, 0, 2, 19, 0, 0, 0, 19, 3, 0, 0, 0, 0, 0, 19, 10, 7, 10, 0, 10.0, 10.0, 10.0, 0, 1, 10, 10, 0, 0, 0, 0, 1, 3, 4, 2, 0.0, 9, 0, 0, 0, 0, 9, 9, 100.0, 100.0, 100.0, 70.0, 90.0, 90.0, 0, 10.0, 100.0, 0.0, 10.0, 30.0, 40.0, 20.0, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 19.0, 3.0, 0.0, 0.0, 0.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "13722", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais LLCER", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13722&g_ta_cod=13722", 100.0, 0.0, 0.0),
(3614, "Public", "0030025L", "Lycée Madame De Stael", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "CPGE", "Lycée Madame De Stael - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 30, 137, 53, 134, 106, 98, 7, 0, 0, 0, 0, 36, 3, 2, 0, 0, 1, 127, 2, 106, 90, 97, 7, 0, 0, 0, 0, 30, 92, 17, 6, 16, 1, 6.0, 16.0, 17.0, 13, 1, 10, 10, 0, 0, 7, 0, 0, 6, 3, 1, 0.0, 10, 0, 0, 2, 1, 3, 3, 35.29, 94.12, 100.0, 35.296875, 30.0, 30.0, 20, 10.0, 58.796875, 0.0, 0.0, 60.0, 30.0, 10.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 80.0, 7.0, 0.0, 0.0, 12.0, "Tous les candidats", 105.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "31286", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31286&g_ta_cod=31286", 100.0, 0.0, 0.0),
(3615, "Public", "0130063Y", "Lycée professionnel Leau (Bd)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  8e  Arrondissement", "formation sélective", "BTS", "Lycée professionnel Leau (Bd) - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 16, 659, 644, 659, 0, 109, 41, 158, 70, 179, 87, 213, 0, 0, 0, 0, 0, 156, 0, 0, 0, 18, 9, 30, 10, 53, 24, 55, 26, 12, 12, 12, 0, 10.0, 12.0, 12.0, 0, 2, 8, 1, 2, 5, 4, 1, 0, 2, 4, 1, 0.0, 0, 2, 5, 2, 2, 6, 6, 83.33, 100.0, 100.0, 100.0, 75.0, 75.0, 25, 25.0, 66.6875, 12.5, 0.0, 25.0, 50.0, 12.5, 0.0, 12.5, 0.0, 25.0, 25.0, 62.5, 62.5, 3.0, 2.0, 12.0, 5.0, 7.0, "Tous les candidats sauf les Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 7.0, "13493", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13493&g_ta_cod=13493", 33.0, 17.0, 50.0),
(3616, "Public", "0620161N", "Lycée Alexandre Ribot", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Omer", "formation sélective", "BTS", "Lycée Alexandre Ribot - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 570, 274, 557, 0, 54, 15, 191, 54, 107, 49, 205, 13, 6, 1, 2, 4, 373, 5, 0, 0, 50, 13, 169, 47, 98, 43, 56, 140, 33, 14, 29, 4, 9.0, 22.0, 25.0, 0, 10, 32, 9, 10, 13, 1, 0, 12, 11, 8, 1, 0.0, 2, 7, 11, 14, 7, 32, 32, 27.27, 66.67, 75.76, 42.3984375, 100.0, 100.0, 43.796875, 31.296875, 97.0, 0.0, 37.5, 34.3984375, 25.0, 3.1, 0.0, 28.09765625, 6.2998046875, 31.296875, 21.8984375, 40.59375, 34.3984375, 21.0, 7.0, 65.0, 28.0, 18.0, "Tous les candidats sauf les Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 105, "", 0, "Liste d'appel propre à cette formation", 27.0, "7389", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7389&g_ta_cod=7389", 30.0, 30.0, 39.0),
(3617, "Public", "0680034T", "Lycée Louis-Armand", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "Autre formation", "Lycée Louis-Armand - DN MADE - Matériaux - SPÉCIALITÉ : TEXTILE -  PARCOURS : design de résilience, prospective et développement durable", "DN MADE", "SPÉCIALITÉ : TEXTILE -  PARCOURS : design de résilience, prospective et développement durable", 15, 141, 113, 91, 0, 18, 2, 32, 6, 17, 4, 24, 50, 11, 8, 6, 25, 45, 15, 0, 0, 7, 0, 23, 4, 6, 2, 9, 56, 13, 11, 2, 10, 0.0, 2.0, 10.0, 0, 0, 9, 6, 2, 1, 4, 0, 2, 3, 4, 0, 0.0, 4, 2, 1, 0, 0, 2, 2, 0.0, 15.38, 76.92, 84.59375, 22.19921875, 22.19921875, 0, 0.0, 69.1875, 0.0, 22.19921875, 33.296875, 44.3984375, 0.0, 0.0, 66.6875, 44.3984375, 22.19921875, 22.19921875, 11.099609375, 11.099609375, 14.0, 0.0, 6.0, 2.0, 15.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "32705", "DN MADE - Matériaux - SPÉCIALITÉ : TEXTILE -  PARCOURS : design de résilience, prospective et développement durable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32705&g_ta_cod=32705", 69.0, 23.0, 8.0),
(3618, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation non sélective", "Licence", "Université Gustave Eiffel - Licence - Portail INFORMATIQUE,  MATHEMATIQUES, INGENIERIE MATHEMATIQUE ET INFORMATIQUE", "Licence - Sciences - technologies - santé", "INFORMATIQUE,  MATHEMATIQUES, INGENIERIE MATHEMATIQUE ET INFORMATIQUE", 190, 1478, 240, 1478, 0, 1052, 251, 34, 13, 0, 0, 392, 0, 0, 0, 0, 0, 1478, 0, 0, 0, 1052, 251, 34, 13, 0, 0, 392, 890, 183, 10, 183, 0, 57.0, 130.0, 165.0, 0, 47, 154, 153, 1, 0, 29, 0, 63, 64, 25, 2, 0.0, 90, 1, 0, 0, 0, 132, 145, 31.15, 71.04, 90.16, 5.5, 85.6875, 94.1875, 0, 30.5, 84.1875, 0.0, 40.8984375, 41.59375, 16.19921875, 1.3, 0.0, 99.390625, 58.3984375, 0.5999755859375, 0.5999755859375, 0.0, 0.0, 733.0, 170.0, 0.0, 0.0, 156.0, "Tous les candidats", 960.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "14836", "Licence - Portail INFORMATIQUE,  MATHEMATIQUES, INGENIERIE MATHEMATIQUE ET INFORMATIQUE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31186&g_ta_cod=14836", 99.0, 1.0, 0.0),
(3619, "Public", "0641732K", "Lycée Saint-John Perse", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "BTS", "Lycée Saint-John Perse - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 334, 160, 330, 0, 45, 8, 92, 36, 66, 28, 127, 4, 0, 2, 0, 2, 223, 1, 0, 0, 43, 8, 79, 31, 56, 23, 45, 132, 31, 15, 31, 0, 7.0, 24.0, 29.0, 0, 10, 24, 3, 10, 11, 7, 0, 12, 9, 3, 0, 0.0, 2, 3, 7, 5, 3, 21, 21, 22.58, 77.42, 93.55, 48.3984375, 87.5, 87.5, 20.796875, 41.6953125, 77.390625, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 12.5, 8.298828125, 41.6953125, 12.5, 45.796875, 29.19921875, 15.0, 4.0, 36.0, 11.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 48.0, "7776", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7776&g_ta_cod=7776", 13.0, 52.0, 35.0),
(3620, "Public", "0782075G", "Unité de Formation et de Recherche de Sciences de l' Université de Versailles Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation non sélective", "Licence_Las", "Unité de Formation et de Recherche de Sciences de l' Université de Versailles Saint Quentin en Yvelines - Licence - Portail Portail BI : Biologie - Informatique", "Licence - Sciences - technologies - santé", "Portail BI : Biologie - Informatique", 10, 753, 436, 753, 0, 388, 90, 27, 5, 0, 0, 338, 0, 0, 0, 0, 0, 748, 0, 0, 0, 388, 90, 27, 5, 0, 0, 333, 98, 10, 6, 9, 0, 0.0, 4.0, 8.0, 0, 0, 10, 10, 0, 0, 0, 0, 0, 8, 2, 0, 0.0, 10, 0, 0, 0, 0, 8, 10, 0.0, 40.0, 80.0, 60.0, 80.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 80.0, 20.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 98.0, 14.0, 0.0, 0.0, 0.0, "Tous les candidats", 196.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "27118", "Licence - Portail Portail BI : Biologie - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27117&g_ta_cod=27118", 100.0, 0.0, 0.0),
(3621, "Public", "0790024X", "Lycée Paul Guerin", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BTS", "Lycée Paul Guerin - BTS - Production - Electrotechnique", "BTS - Production", "", 20, 153, 10, 150, 0, 9, 1, 22, 4, 73, 17, 46, 3, 0, 1, 0, 2, 108, 0, 0, 0, 9, 1, 22, 4, 73, 17, 4, 51, 15, 0, 15, 0, 6.0, 10.0, 12.0, 0, 2, 15, 1, 2, 12, 0, 0, 4, 6, 4, 1, 0.0, 1, 1, 9, 0, 0, 14, 14, 40.0, 66.67, 80.0, 0.0, 93.296875, 93.296875, 0, 13.298828125, 100.0, 0.0, 26.69921875, 40.0, 26.69921875, 6.7, 0.0, 6.69921875, 6.69921875, 13.298828125, 6.69921875, 80.0, 60.0, 6.0, 1.0, 23.0, 3.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 34.0, "10109", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10109&g_ta_cod=10109", 7.0, 13.0, 80.0),
(3622, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Sciences sociales - Parcours Gestion appliquée aux SHS", "Licence - Sciences humaines et sociales", "Gestion appliquée aux SHS", 150, 832, 551, 820, 0, 337, 111, 136, 58, 45, 20, 302, 12, 2, 1, 1, 8, 817, 12, 0, 0, 337, 111, 136, 58, 45, 20, 299, 829, 148, 95, 141, 7, 137.0, 137.0, 139.0, 0, 24, 63, 30, 22, 11, 85, 0, 44, 13, 4, 2, 0.0, 10, 6, 3, 0, 0, 40, 40, 92.57, 92.57, 93.92, 64.1875, 63.5, 63.5, 0, 38.09375, 42.59375, 0.0, 69.796875, 20.59765625, 6.2998046875, 3.2, 0.0, 47.59375, 15.8984375, 34.8984375, 9.5, 17.5, 4.7998046875, 339.0, 111.0, 46.0, 21.0, 307.0, "Tous les candidats", 818.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15911", "Licence - Sciences sociales - Parcours Gestion appliquée aux SHS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15911&g_ta_cod=15911", 58.0, 25.0, 14.0),
(3623, "Public", "0570058D", "Lycée Louis Vincent", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée Louis Vincent - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 15, 167, 20, 151, 0, 13, 5, 61, 20, 17, 4, 60, 16, 0, 5, 0, 11, 98, 4, 0, 0, 11, 5, 60, 19, 16, 4, 11, 81, 14, 2, 10, 4, 2.0, 10.0, 10.0, 0, 4, 10, 1, 8, 1, 4, 0, 8, 1, 1, 0, 0.0, 0, 2, 0, 6, 0, 10, 10, 14.29, 71.43, 71.43, 14.298828125, 100.0, 100.0, 60, 40.0, 71.390625, 0.0, 80.0, 10.0, 10.0, 0.0, 0.0, 10.0, 0.0, 80.0, 20.0, 10.0, 0.0, 10.0, 5.0, 12.0, 3.0, 10.0, "Tous les candidats sauf les Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 62.0, "6540", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6540&g_ta_cod=6540", 21.0, 71.0, 7.0),
(3624, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - Licence - Droit", "Licence - Droit-économie-gestion", "", 300, 2132, 1529, 2069, 0, 1592, 174, 139, 30, 31, 13, 307, 63, 19, 4, 1, 39, 1947, 1, 0, 0, 1540, 163, 125, 27, 24, 12, 258, 1205, 284, 195, 283, 1, 47.0, 249.0, 269.0, 0, 32, 264, 233, 28, 3, 20, 1, 52, 123, 77, 11, 0.0, 188, 20, 3, 0, 0, 116, 116, 16.55, 87.68, 94.72, 68.6875, 43.8984375, 43.8984375, 0, 12.099609375, 93.0, 0.39996337890625, 19.69921875, 46.59375, 29.19921875, 4.2, 0.0, 88.296875, 71.1875, 10.599609375, 7.599609375, 1.099853515625, 1.099853515625, 1017.0, 91.0, 10.0, 6.0, 115.0, "Tous les candidats", 1603.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "8262", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8262&g_ta_cod=8262", 89.0, 10.0, 1.0),
(3625, "Privé enseignement supérieur", "0922846U", "ICN Business School", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Puteaux", "formation sélective", "Ecole de Commerce", "ICN BUSINESS SCHOOL - Formation des écoles de commerce et de management Bac + 3 - ICN Bachelor en management (dit Sup'Est)", "Formation des écoles de commerce et de management", "ICN Bachelor en management (dit Sup'Est)", 50, 450, 190, 434, 0, 338, 25, 54, 3, 1, 0, 41, 16, 6, 1, 1, 8, 371, 5, 0, 0, 295, 20, 42, 0, 0, 0, 34, 254, 45, 12, 41, 4, 13.0, 41.0, 44.0, 0, 1, 39, 32, 7, 0, 6, 1, 15, 15, 7, 1, 0.0, 17, 6, 0, 0, 0, 18, 28, 28.89, 91.11, 97.78, 26.69921875, 46.1953125, 71.796875, 0, 2.599609375, 86.6875, 2.599609375, 38.5, 38.5, 17.8984375, 2.6, 0.0, 82.09375, 43.59375, 17.8984375, 15.3984375, 0.0, 0.0, 204.0, 13.0, 0.0, 0.0, 25.0, "Tous les candidats", 696.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 85.0, "31161", "Formation des écoles de commerce et de management Bac + 3 - ICN Bachelor en management (dit Sup'Est)", "ICN BUSINESS SCHOOL", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28182&g_ta_cod=31161", 84.0, 16.0, 0.0),
(3626, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Gestion", "Licence - Droit-économie-gestion", "", 150, 1047, 483, 902, 0, 496, 75, 131, 28, 15, 7, 260, 145, 29, 7, 4, 105, 895, 105, 0, 0, 496, 75, 131, 28, 15, 7, 253, 738, 121, 47, 77, 44, 10.0, 69.0, 97.0, 0, 15, 60, 52, 6, 2, 61, 0, 33, 21, 4, 1, 1.0, 23, 2, 2, 0, 0, 50, 50, 8.26, 57.02, 80.17, 38.796875, 83.296875, 83.296875, 0, 25.0, 49.59375, 0.0, 55.0, 35.0, 6.69921875, 1.7, 1.7, 86.6875, 38.296875, 10.0, 3.2998046875, 3.2998046875, 3.2998046875, 418.0, 65.0, 9.0, 6.0, 242.0, "Tous les candidats", 895.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "19210", "Licence - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19210&g_ta_cod=19210", 81.0, 13.0, 5.0),
(3627, "Public", "0501677B", "Lycée professionnel Sauxmarais", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "BTS", "Lycée professionnel Sauxmarais - BTS - Production - Métiers de l'eau", "BTS - Production", "", 15, 137, 38, 134, 0, 28, 4, 45, 6, 15, 8, 46, 3, 0, 1, 0, 2, 93, 0, 0, 0, 28, 4, 39, 5, 15, 8, 11, 66, 10, 2, 9, 0, 2.0, 7.0, 7.0, 0, 5, 10, 2, 2, 6, 0, 0, 5, 5, 0, 0, 0.0, 2, 1, 2, 4, 0, 7, 7, 20.0, 70.0, 70.0, 20.0, 70.0, 70.0, 40, 50.0, 100.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 20.0, 20.0, 20.0, 10.0, 60.0, 20.0, 17.0, 2.0, 14.0, 7.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 69.0, "6030", "BTS - Production - Métiers de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6030&g_ta_cod=6030", 20.0, 20.0, 60.0),
(3628, "Public", "0701048J", "I.U.T de Besançon - Antenne de Vesoul", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Vesoul", "formation sélective", "BUT", "I.U.T de Besançon - Antenne de Vesoul - BUT - Génie industriel et maintenance Parcours : Management, méthodes et maintenance innovante", "BUT - Production", "Management, méthodes et maintenance innovante", 26, 242, 27, 227, 0, 98, 12, 96, 22, 3, 2, 30, 15, 2, 3, 0, 10, 192, 8, 0, 0, 98, 12, 77, 14, 0, 0, 17, 141, 11, 0, 9, 2, 2.0, 8.0, 9.0, 0, 3, 11, 6, 5, 0, 0, 0, 9, 2, 0, 0, 0.0, 0, 2, 0, 0, 0, 10, 10, 18.18, 72.73, 81.82, 0.0, 90.890625, 90.890625, 0, 27.296875, 100.0, 0.0, 81.796875, 18.19921875, 0.0, 0.0, 0.0, 54.5, 0.0, 45.5, 18.19921875, 0.0, 0.0, 72.0, 9.0, 0.0, 0.0, 14.0, "Tous les candidats sauf les Bac technologiques", 111.0, "Bacheliers technologiques toutes séries", 81, "", 0, "Liste d'appel propre à cette formation", 85.0, "8604", "BUT - Génie industriel et maintenance Parcours : Management, méthodes et maintenance innovante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8604&g_ta_cod=8604", 55.0, 45.0, 0.0),
(3629, "Public", "0761315S", "Lycée agricole d'Yvetot", "76", "Seine-Maritime", "Normandie", "Normandie", "Yvetot", "formation sélective", "BTS", "Lycée agricole d'Yvetot - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 27, 292, 102, 292, 0, 32, 4, 85, 14, 76, 19, 99, 0, 0, 0, 0, 0, 208, 0, 0, 0, 32, 4, 85, 14, 76, 19, 15, 115, 21, 8, 21, 0, 0.0, 19.0, 21.0, 0, 3, 17, 1, 10, 6, 4, 2, 8, 6, 1, 0, 0.0, 0, 5, 2, 7, 1, 14, 14, 0.0, 90.48, 100.0, 38.09375, 82.390625, 82.390625, 41.1953125, 17.59765625, 81.0, 11.798828125, 47.09375, 35.296875, 5.8994140625, 0.0, 0.0, 5.8994140625, 0.0, 58.796875, 29.3984375, 35.296875, 11.798828125, 22.0, 4.0, 39.0, 9.0, 10.0, "Tous les candidats sauf les Bac professionnels", 125.0, "Bacheliers professionnels toutes séries", 75, "", 0, "Liste d'appel propre à cette formation", 68.0, "9634", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9634&g_ta_cod=9634", 24.0, 48.0, 29.0),
(3630, "Public", "9760316P", "Lycée Tani Malandi de Chirongui", "976", "Mayotte", "Mayotte", "Mayotte", "Chirongui", "formation sélective", "Autre formation", "Lycée Tani Malandi de Chirongui - CPES - Sciences économiques", "Classe préparatoire aux études supérieures", "", 24, 271, 165, 156, 0, 35, 19, 58, 35, 12, 7, 51, 115, 13, 42, 5, 55, 43, 4, 0, 0, 0, 0, 29, 17, 1, 0, 13, 60, 23, 15, 11, 3, 3.0, 11.0, 11.0, 0, 9, 17, 10, 7, 0, 6, 1, 15, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 17, 17, 13.04, 47.83, 47.83, 65.1875, 100.0, 100.0, 0, 52.8984375, 73.890625, 5.8994140625, 88.1875, 5.8994140625, 0.0, 0.0, 0.0, 58.796875, 5.8994140625, 41.1953125, 0.0, 0.0, 0.0, 14.0, 8.0, 1.0, 0.0, 15.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "24396", "CPES - Sciences économiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24396&g_ta_cod=24396", 65.0, 35.0, 0.0),
(3631, "Public", "0791055T", "CNAM Nouvelle-Aquitaine", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "Autre formation", "CNAM Nouvelle-Aquitaine - Formation Supérieure de Spécialisation - Informatique et Numérique - Devops", "Diplôme d'Université", "Informatique et Numérique - Devops", 12, 13, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 13, 1, 1, 2, 9, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 0.0, 1.0, 1.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "33918", "Formation Supérieure de Spécialisation - Informatique et Numérique - Devops", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33918&g_ta_cod=33918", 0, 0, 0),
(3632, "Public", "0080027L", "Lycée Monge", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BTS", "Lycée Monge - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 387, 169, 380, 0, 20, 7, 52, 21, 43, 25, 265, 7, 0, 0, 0, 7, 113, 0, 0, 0, 19, 6, 42, 16, 33, 21, 19, 86, 30, 13, 30, 0, 13.0, 27.0, 29.0, 0, 9, 25, 3, 11, 11, 5, 0, 11, 7, 6, 1, 0.0, 2, 6, 6, 4, 1, 24, 24, 43.33, 90.0, 96.67, 43.296875, 96.0, 96.0, 16, 36.0, 83.296875, 0.0, 44.0, 28.0, 24.0, 4.0, 0.0, 12.0, 8.0, 44.0, 24.0, 44.0, 24.0, 16.0, 4.0, 26.0, 17.0, 16.0, "Tous les candidats sauf les Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 29.0, "2366", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2366&g_ta_cod=2366", 13.0, 47.0, 40.0),
(3633, "Public", "0810004P", "Lycée Louis Rascol", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "CPGE", "Lycée Louis Rascol - CPGE - TSI", "Classe préparatoire scientifique", "", 40, 341, 31, 341, 276, 0, 0, 309, 72, 0, 0, 32, 0, 0, 0, 0, 0, 313, 0, 276, 173, 0, 0, 288, 69, 0, 0, 25, 124, 44, 6, 44, 0, 25.0, 44.0, 44.0, 40, 11, 42, 0, 42, 0, 2, 0, 0, 4, 28, 10, 0.0, 0, 42, 0, 2, 0, 28, 28, 56.82, 100.0, 100.0, 13.599609375, 66.6875, 66.6875, 4.7998046875, 26.19921875, 95.5, 0.0, 0.0, 9.5, 66.6875, 23.8, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 149.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "10257", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10257&g_ta_cod=10257", 0.0, 100.0, 0.0),
(3634, "Public", "0251202W", "ENIL", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Mamirolle", "formation sélective", "BTS", "ENIL - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 36, 292, 82, 274, 0, 55, 11, 59, 11, 17, 2, 143, 18, 6, 3, 3, 6, 161, 7, 0, 0, 55, 11, 59, 11, 17, 2, 30, 127, 28, 6, 26, 2, 5.0, 26.0, 27.0, 0, 2, 20, 11, 7, 2, 8, 0, 10, 9, 1, 0, 0.0, 4, 4, 2, 0, 0, 17, 17, 17.86, 92.86, 96.43, 21.3984375, 85.0, 85.0, 0, 10.0, 71.390625, 0.0, 50.0, 45.0, 5.0, 0.0, 0.0, 55.0, 20.0, 35.0, 20.0, 10.0, 10.0, 47.0, 8.0, 11.0, 2.0, 25.0, "Tous les candidats sauf les Bac professionnels", 143.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 58.0, "3522", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3522&g_ta_cod=3522", 61.0, 29.0, 7.0),
(3635, "Privé sous contrat d'association", "0450758E", "Lycée Saint-Paul Bourdon Blanc", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Saint-Paul Bourdon Blanc - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 28, 534, 258, 530, 0, 57, 10, 194, 49, 158, 64, 121, 4, 0, 0, 2, 2, 215, 1, 0, 0, 31, 6, 106, 27, 63, 13, 15, 126, 28, 11, 24, 1, 5.0, 12.0, 16.0, 0, 6, 27, 3, 17, 7, 1, 0, 19, 7, 1, 0, 0.0, 0, 4, 4, 4, 1, 27, 27, 17.86, 42.86, 57.14, 39.296875, 100.0, 100.0, 14.798828125, 22.19921875, 96.390625, 0.0, 70.390625, 25.8984375, 3.69970703125, 0.0, 0.0, 11.099609375, 0.0, 63.0, 14.798828125, 25.8984375, 14.798828125, 14.0, 3.0, 42.0, 6.0, 5.0, "Tous les candidats sauf les Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 20.0, "5690", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5690&g_ta_cod=5690", 11.0, 64.0, 25.0),
(3636, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "PASS", "Université de Brest - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 10, 876, 612, 876, 0, 530, 81, 17, 5, 12, 8, 317, 0, 0, 0, 0, 0, 877, 0, 0, 0, 531, 82, 17, 5, 12, 8, 317, 139, 10, 10, 10, 0, 0.0, 2.0, 7.0, 0, 2, 10, 9, 0, 1, 0, 0, 2, 5, 3, 0, 0.0, 7, 0, 1, 0, 0, 9, 9, 0.0, 20.0, 70.0, 100.0, 90.0, 90.0, 0, 20.0, 100.0, 0.0, 20.0, 50.0, 30.0, 0.0, 0.0, 90.0, 70.0, 0.0, 0.0, 10.0, 10.0, 122.0, 19.0, 1.0, 1.0, 14.0, "Tous les candidats", 2299.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "28212", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27585&g_ta_cod=28212", 90.0, 0.0, 10.0),
(3637, "Privé sous contrat d'association", "0754025T", "Lycée Saint-Nicolas", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Saint-Nicolas - CPGE - TSI", "Classe préparatoire scientifique", "", 32, 381, 40, 381, 0, 0, 0, 345, 77, 0, 0, 36, 0, 0, 0, 0, 0, 300, 0, 0, 300, 0, 0, 280, 56, 0, 0, 20, 123, 31, 3, 31, 0, 11.0, 29.0, 30.0, 0, 3, 30, 0, 30, 0, 1, 0, 0, 10, 18, 2, 0.0, 0, 30, 0, 14, 1, 18, 28, 35.48, 93.55, 96.77, 9.69921875, 60.0, 93.296875, 46.6953125, 10.0, 96.796875, 0.0, 0.0, 33.296875, 60.0, 6.7, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 9.0, "Tous les candidats", 208.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "13312", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13312&g_ta_cod=13312", 0.0, 100.0, 0.0),
(3638, "Privé sous contrat d'association", "0121423G", "Lycée Charles Carnus", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "Autre formation", "Lycée Charles Carnus - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 14, 279, 215, 279, 0, 40, 7, 126, 31, 3, 0, 110, 0, 0, 0, 0, 0, 152, 0, 0, 0, 39, 7, 63, 16, 0, 0, 50, 57, 18, 16, 18, 0, 4.0, 12.0, 16.0, 0, 1, 12, 7, 5, 0, 6, 0, 3, 3, 5, 1, 0.0, 4, 5, 0, 0, 0, 10, 10, 22.22, 66.67, 88.89, 88.890625, 83.296875, 83.296875, 0, 8.298828125, 66.6875, 0.0, 25.0, 25.0, 41.6953125, 8.3, 0.0, 58.296875, 33.296875, 41.6953125, 41.6953125, 0.0, 0.0, 21.0, 4.0, 0.0, 0.0, 26.0, "Tous les candidats", 72.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "2511", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2511&g_ta_cod=2511", 67.0, 33.0, 0.0),
(3639, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence_Las", "Université Grenoble Alpes  - Licence - Portail Musicologie - Musicologie - Grenoble", "Licence - Sciences humaines et sociales", "Musicologie - Grenoble", 10, 86, 60, 83, 0, 52, 8, 6, 2, 0, 0, 25, 3, 2, 0, 0, 1, 83, 2, 0, 0, 52, 8, 6, 2, 0, 0, 25, 43, 10, 9, 8, 1, 1.0, 5.0, 7.0, 0, 0, 9, 9, 0, 0, 1, 0, 1, 6, 2, 0, 0.0, 8, 0, 0, 0, 0, 5, 5, 10.0, 50.0, 70.0, 90.0, 55.59375, 55.59375, 0, 0.0, 90.0, 0.0, 11.099609375, 66.6875, 22.19921875, 0.0, 0.0, 100.0, 88.890625, 0.0, 0.0, 0.0, 0.0, 27.0, 3.0, 0.0, 0.0, 14.0, "Tous les candidats", 239.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 84.0, "31069", "Licence - Portail Musicologie - Musicologie - Grenoble", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31068&g_ta_cod=31069", 100.0, 0.0, 0.0),
(3640, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation non sélective", "Licence", "ICES - Institut Catholique de Vendée - Licence - Mathématiques", "Licence - Sciences - technologies - santé", "", 50, 178, 53, 147, 0, 119, 12, 1, 0, 0, 0, 27, 31, 15, 0, 0, 16, 145, 14, 0, 0, 119, 12, 1, 0, 0, 0, 25, 136, 13, 4, 11, 2, 5.0, 11.0, 13.0, 0, 0, 10, 10, 0, 0, 3, 0, 3, 5, 1, 1, 0.0, 7, 0, 0, 0, 0, 8, 8, 38.46, 84.62, 100.0, 30.796875, 80.0, 80.0, 0, 0.0, 76.890625, 0.0, 30.0, 50.0, 10.0, 10.0, 0.0, 100.0, 70.0, 0.0, 0.0, 0.0, 0.0, 115.0, 12.0, 0.0, 0.0, 21.0, "Tous les candidats", 144.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "10555", "Licence - Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10555&g_ta_cod=10555", 100.0, 0.0, 0.0),
(3641, "Public", "0631382K", "Unité de Formation et de Recherche de Médecine Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Autre formation", "Regroupement Auvergne Rhône Alpes et PACA - Certificat de capacité d'Orthoptiste", "D.E secteur sanitaire", "", 13, 776, 679, 776, 0, 200, 38, 31, 12, 3, 1, 542, 0, 0, 0, 0, 0, 378, 0, 0, 0, 130, 16, 6, 1, 0, 0, 242, 74, 13, 12, 13, 0, 1.0, 10.0, 11.0, 0, 2, 7, 7, 0, 0, 6, 0, 0, 3, 1, 3, 0.0, 7, 0, 0, 0, 0, 2, 2, 7.69, 76.92, 84.62, 92.296875, 28.59765625, 28.59765625, 0, 28.59765625, 53.796875, 0.0, 0.0, 42.8984375, 14.298828125, 42.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 29.0, 7.0, 0.0, 0.0, 45.0, "Tous les candidats", 156.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 14.0, "28088", "Certificat de capacité d'Orthoptiste", "Regroupement Auvergne Rhône Alpes et PACA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28086&g_ta_cod=28088", 100.0, 0.0, 0.0),
(3642, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "CPGE", "Université de La Rochelle - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 48, 469, 220, 443, 0, 372, 23, 3, 0, 0, 0, 68, 26, 13, 1, 0, 12, 330, 8, 0, 330, 319, 18, 0, 0, 0, 0, 11, 305, 25, 14, 23, 2, 13.0, 23.0, 25.0, 0, 1, 25, 25, 0, 0, 0, 0, 1, 9, 14, 1, 0.0, 24, 0, 0, 0, 0, 18, 18, 52.0, 92.0, 100.0, 56.0, 72.0, 72.0, 0, 4.0, 100.0, 0.0, 4.0, 36.0, 56.0, 4.0, 0.0, 100.0, 96.0, 0.0, 0.0, 0.0, 0.0, 294.0, 18.0, 0.0, 0.0, 11.0, "Tous les candidats", 324.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "31873", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31873&g_ta_cod=31873", 100.0, 0.0, 0.0),
(3643, "Privé sous contrat d'association", "0753840S", "Lycée Stanislas", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Stanislas - CPGE - MPSI", "Classe préparatoire scientifique", "", 92, 3406, 954, 3406, 2638, 3187, 166, 0, 0, 0, 0, 219, 0, 0, 0, 0, 0, 837, 0, 786, 593, 836, 21, 0, 0, 0, 0, 1, 286, 91, 19, 91, 0, 28.0, 76.0, 83.0, 81, 1, 91, 91, 0, 0, 0, 0, 0, 0, 4, 49, 38.0, 91, 0, 0, 16, 2, 31, 52, 30.77, 83.52, 91.21, 20.8984375, 34.09375, 57.09375, 17.59765625, 1.099853515625, 100.0, 0.0, 0.0, 0.0, 4.3994140625, 53.8, 41.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 286.0, 8.0, 0.0, 0.0, 0.0, "Tous les candidats", 373.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "9467", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9467&g_ta_cod=9467", 100.0, 0.0, 0.0),
(3644, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence_Las", "Université de Lille - Licence - Portail Economie et gestion - Economie et management", "Licence - Droit-économie-gestion", "Economie et management", 35, 953, 504, 953, 0, 551, 165, 63, 28, 15, 9, 324, 0, 0, 0, 0, 0, 938, 0, 0, 0, 551, 165, 63, 28, 15, 9, 309, 374, 34, 14, 34, 0, 2.0, 20.0, 27.0, 0, 11, 29, 27, 2, 0, 5, 0, 8, 18, 2, 1, 0.0, 20, 1, 0, 0, 0, 21, 21, 5.88, 58.82, 79.41, 41.1953125, 72.390625, 72.390625, 0, 37.8984375, 85.296875, 0.0, 27.59765625, 62.09375, 6.8994140625, 3.4, 0.0, 93.09375, 69.0, 6.8994140625, 3.39990234375, 0.0, 0.0, 273.0, 85.0, 2.0, 1.0, 91.0, "Tous les candidats", 2666.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 58.0, "29711", "Licence - Portail Economie et gestion - Economie et management", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29710&g_ta_cod=29711", 91.0, 9.0, 0.0),
(3645, "Privé enseignement supérieur", "0753547Y", "ESCP Business School", "75", "Paris", "Ile-de-France", "Paris", "Paris 11e  Arrondissement", "formation sélective", "Ecole de Commerce", "ESCP Business School - Formation des écoles de commerce et de management Bac + 3 - Commerce et entrepreneuriat", "Formation des écoles de commerce et de management", "Commerce et entrepreneuriat", 200, 1322, 640, 1322, 0, 1175, 23, 26, 0, 1, 1, 120, 0, 0, 0, 0, 0, 578, 0, 0, 0, 531, 7, 1, 0, 0, 0, 46, 530, 164, 91, 164, 0, 113.0, 163.0, 163.0, 0, 2, 148, 148, 0, 0, 16, 3, 1, 17, 96, 29, 2.0, 144, 0, 0, 0, 0, 29, 63, 68.9, 99.39, 99.39, 55.5, 19.59765625, 42.59375, 0, 1.39990234375, 90.1875, 2.0, 0.699951171875, 11.5, 64.890625, 19.6, 1.4, 100.0, 97.296875, 0.0, 0.0, 0.0, 0.0, 487.0, 7.0, 0.0, 0.0, 43.0, "Tous les candidats", 577.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "26206", "Formation des écoles de commerce et de management Bac + 3 - Commerce et entrepreneuriat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26206&g_ta_cod=26206", 100.0, 0.0, 0.0),
(3646, "Public", "0590065A", "Lycée Edmond Labbe", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "BTS", "Lycée Edmond Labbe - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 498, 78, 498, 0, 65, 11, 99, 36, 94, 46, 240, 0, 0, 0, 0, 0, 290, 0, 0, 0, 65, 11, 99, 36, 94, 46, 32, 89, 28, 1, 28, 0, 8.0, 28.0, 28.0, 0, 10, 27, 1, 12, 14, 1, 0, 7, 10, 7, 3, 0.0, 1, 6, 13, 7, 0, 27, 27, 28.57, 100.0, 100.0, 3.599609375, 100.0, 100.0, 25.8984375, 37.0, 96.390625, 0.0, 25.8984375, 37.0, 25.8984375, 11.1, 0.0, 3.69970703125, 3.69970703125, 44.3984375, 22.19921875, 51.8984375, 48.09375, 1.0, 1.0, 29.0, 11.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 23.0, "6742", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6742&g_ta_cod=6742", 4.0, 46.0, 50.0),
(3647, "Privé sous contrat d'association", "0300080Z", "Lycée Emmanuel d'Alzon", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "Autre formation", "Lycée Emmanuel d'Alzon - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 24, 334, 242, 334, 0, 60, 10, 80, 18, 4, 1, 190, 0, 0, 0, 0, 0, 292, 0, 0, 0, 60, 10, 75, 14, 0, 0, 157, 114, 25, 16, 25, 0, 5.0, 14.0, 22.0, 0, 3, 12, 8, 4, 0, 13, 0, 4, 7, 1, 0, 0.0, 5, 3, 0, 0, 0, 8, 8, 20.0, 56.0, 88.0, 64.0, 66.6875, 66.6875, 0, 25.0, 48.0, 0.0, 33.296875, 58.296875, 8.298828125, 0.0, 0.0, 66.6875, 41.6953125, 33.296875, 25.0, 0.0, 0.0, 27.0, 5.0, 0.0, 0.0, 73.0, "Tous les candidats", 127.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "34113", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34113&g_ta_cod=34113", 72.0, 28.0, 0.0),
(3648, "Public", "0770924L", "Lycée Campus de Coulommiers", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Coulommiers", "formation sélective", "Autre formation", "Lycée Campus de Coulommiers - Mention complémentaire - FCIL Mécanicien circuit auto", "Mention complémentaire", "", 12, 52, 3, 52, 0, 3, 0, 4, 1, 33, 9, 12, 0, 0, 0, 0, 0, 52, 0, 0, 0, 3, 0, 4, 1, 33, 9, 12, 22, 12, 0, 12, 0, 9.0, 12.0, 12.0, 0, 0, 8, 0, 1, 7, 4, 0, 4, 2, 2, 0, 0.0, 0, 1, 3, 0, 0, 7, 8, 75.0, 100.0, 100.0, 0.0, 87.5, 100.0, 0, 0.0, 66.6875, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 0.0, 0.0, 12.5, 12.5, 87.5, 37.5, 0.0, 0.0, 17.0, 1.0, 4.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "24738", "Mention complémentaire - FCIL Mécanicien circuit auto", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24738&g_ta_cod=24738", 0.0, 17.0, 83.0),
(3649, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "Facultés libres de l'Ouest - UCO ANGERS - Année Préparatoire aux formations de Licence Mathématiques et Informatique (L0)", "Année préparatoire", "Année Préparatoire aux formations de Licence Mathématiques et Informatique (L0)", 10, 64, 15, 52, 0, 23, 3, 4, 1, 0, 0, 25, 12, 4, 0, 0, 8, 28, 3, 0, 0, 19, 3, 4, 1, 0, 0, 5, 31, 2, 0, 1, 1, 0.0, 1.0, 1.0, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0, 0.0, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 19.0, 3.0, 0.0, 0.0, 8.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "5874", "Année Préparatoire aux formations de Licence Mathématiques et Informatique (L0)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5874&g_ta_cod=5874", 50.0, 50.0, 0.0),
(3650, "Public", "0310133B", "Sciences Po Toulouse - Institut d'études politiques", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Sciences Po Toulouse ? Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Double diplôme Franco-Espagnol", "Sciences politiques", "Double diplôme Franco-Espagnol", 20, 335, 245, 335, 0, 274, 40, 0, 0, 0, 0, 61, 0, 0, 0, 0, 0, 79, 0, 0, 0, 72, 13, 0, 0, 0, 0, 7, 45, 20, 16, 20, 0, 7.0, 17.0, 18.0, 0, 3, 18, 18, 0, 0, 2, 0, 0, 0, 0, 15, 3.0, 18, 0, 0, 0, 0, 1, 1, 35.0, 85.0, 90.0, 80.0, 5.599609375, 5.599609375, 0, 16.69921875, 90.0, 0.0, 0.0, 0.0, 0.0, 83.3, 16.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 43.0, 5.0, 0.0, 0.0, 2.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "25836", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Double diplôme Franco-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25836&g_ta_cod=25836", 100.0, 0.0, 0.0),
(3651, "Public", "0800011C", "Lycée des Métiers Édouard Gand", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Autre formation", "Lycée des Métiers Édouard Gand - Diplôme de Comptabilité et de Gestion", "DCG", "", 40, 529, 233, 503, 0, 174, 50, 112, 34, 12, 6, 205, 26, 3, 4, 1, 18, 313, 3, 0, 0, 162, 45, 94, 28, 1, 1, 56, 179, 33, 14, 31, 2, 7.0, 29.0, 29.0, 0, 4, 24, 17, 7, 0, 9, 0, 5, 14, 5, 0, 0.0, 13, 6, 0, 0, 0, 23, 23, 21.21, 87.88, 87.88, 42.3984375, 95.796875, 95.796875, 0, 16.69921875, 72.6875, 0.0, 20.796875, 58.296875, 20.796875, 0.0, 0.0, 70.796875, 54.1953125, 29.19921875, 25.0, 0.0, 0.0, 96.0, 28.0, 0.0, 0.0, 39.0, "Tous les candidats", 288.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "10169", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10169&g_ta_cod=10169", 70.0, 30.0, 0.0),
(3652, "Public", "0410970G", "Université de Tours - Antenne de Blois", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation non sélective", "Licence", "Université de Tours - Antenne de Blois - Licence - Informatique", "Licence - Sciences - technologies - santé", "", 45, 730, 77, 693, 0, 465, 92, 80, 23, 5, 0, 143, 37, 6, 0, 1, 30, 678, 21, 0, 0, 464, 92, 80, 23, 5, 0, 129, 369, 43, 2, 36, 6, 11.0, 23.0, 33.0, 0, 7, 32, 28, 4, 0, 11, 0, 20, 10, 2, 0, 0.0, 12, 0, 0, 0, 0, 25, 25, 25.58, 53.49, 76.74, 4.69921875, 78.09375, 78.09375, 0, 21.8984375, 74.390625, 0.0, 62.5, 31.296875, 6.2998046875, 0.0, 0.0, 87.5, 37.5, 12.5, 0.0, 0.0, 0.0, 282.0, 61.0, 1.0, 0.0, 77.0, "Tous les candidats", 561.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "5262", "Licence - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5262&g_ta_cod=5262", 84.0, 14.0, 2.0),
(3653, "Public", "0860005N", "Cite Technique Edouard Branly", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Châtellerault", "formation sélective", "BTS", "Cite Technique Edouard Branly - BTS - Services - Professions immobilières", "BTS - Services", "", 35, 875, 499, 873, 0, 215, 37, 267, 69, 148, 54, 243, 2, 0, 1, 0, 1, 555, 0, 0, 0, 180, 31, 198, 46, 108, 41, 69, 194, 30, 23, 30, 0, 2.0, 24.0, 25.0, 0, 9, 30, 5, 18, 7, 0, 0, 7, 19, 4, 0, 0.0, 4, 14, 5, 0, 0, 16, 16, 6.67, 80.0, 83.33, 76.6875, 53.296875, 53.296875, 0, 30.0, 100.0, 0.0, 23.296875, 63.296875, 13.298828125, 0.0, 0.0, 16.69921875, 13.298828125, 60.0, 46.6953125, 23.296875, 16.69921875, 51.0, 7.0, 28.0, 9.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 125, "Liste d'appel propre à cette formation", 26.0, "10577", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10577&g_ta_cod=10577", 17.0, 60.0, 23.0),
(3654, "Public", "0753471R", "CNAM PARIS", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "Autre formation", "CNAM PARIS - Formation Supérieure de Spécialisation - Informatique - intégration web", "Diplôme d'Université", "Informatique - intégration web", 22, 263, 51, 80, 0, 22, 7, 13, 4, 6, 3, 39, 183, 35, 25, 11, 112, 15, 33, 0, 0, 5, 2, 3, 0, 1, 0, 6, 49, 25, 3, 5, 19, 5.0, 5.0, 17.0, 0, 4, 8, 3, 5, 0, 17, 0, 6, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 3, 8, 20.0, 20.0, 68.0, 12.0, 37.5, 100.0, 0, 50.0, 32.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 37.5, 12.5, 62.5, 12.5, 0.0, 0.0, 11.0, 4.0, 2.0, 1.0, 26.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "32301", "Formation Supérieure de Spécialisation - Informatique - intégration web", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32301&g_ta_cod=32301", 28.0, 40.0, 20.0),
(3655, "Privé enseignement supérieur", "0492180D", "IFEPSA - Facultés libres de l'ouest - UCO", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Les Ponts-de-Cé", "formation sélective", "Licence", "IFEPSA - Facultés libres de l'ouest - UCO - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS ACCESS", "Licence - Sciences - technologies - santé", "STAPS ACCESS", 25, 275, 62, 275, 0, 136, 15, 78, 17, 22, 6, 39, 0, 0, 0, 0, 0, 213, 0, 0, 0, 111, 11, 61, 15, 19, 5, 22, 67, 25, 8, 25, 0, 8.0, 18.0, 21.0, 0, 3, 24, 13, 10, 1, 1, 0, 14, 9, 1, 0, 0.0, 4, 5, 1, 0, 0, 16, 16, 32.0, 72.0, 84.0, 32.0, 66.6875, 66.6875, 0, 12.5, 96.0, 0.0, 58.296875, 37.5, 4.19921875, 0.0, 0.0, 54.1953125, 16.69921875, 41.6953125, 20.796875, 4.19921875, 4.19921875, 33.0, 3.0, 3.0, 0.0, 7.0, "Tous les candidats", 72.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "22043", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS ACCESS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22043&g_ta_cod=22043", 52.0, 44.0, 4.0),
(3656, "Public", "0382440W", "Lycée des Métiers - Léonard de Vinci", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Villefontaine", "formation sélective", "Autre formation", "Lycée des Métiers - Léonard de Vinci - DN MADE - Graphisme - - Spécialité : Design d'interface graphisme", "DN MADE", "- Spécialité : Design d'interface graphisme", 15, 886, 530, 886, 0, 344, 66, 193, 40, 122, 31, 227, 0, 0, 0, 0, 0, 158, 0, 0, 0, 66, 10, 67, 12, 16, 1, 9, 52, 15, 11, 15, 0, 2.0, 15.0, 15.0, 0, 0, 14, 3, 9, 2, 1, 0, 0, 6, 5, 3, 0.0, 3, 9, 2, 0, 0, 11, 11, 13.33, 100.0, 100.0, 73.296875, 78.59375, 78.59375, 0, 0.0, 93.296875, 0.0, 0.0, 42.8984375, 35.6953125, 21.4, 0.0, 21.3984375, 21.3984375, 64.296875, 64.296875, 14.298828125, 14.298828125, 14.0, 2.0, 5.0, 0.0, 1.0, "Tous les candidats", 87.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "24362", "DN MADE - Graphisme - - Spécialité : Design d'interface graphisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24362&g_ta_cod=24362", 27.0, 60.0, 13.0),
(3657, "Public", "0350030T", "Lycée Pierre Mendes France", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Pierre Mendes France - BTS - Production - Bâtiment - seconde année en apprentissage (Seconde année en apprentissage)", "BTS - Production", "seconde année en apprentissage", 10, 251, 40, 251, 0, 31, 2, 98, 13, 70, 15, 52, 0, 0, 0, 0, 0, 155, 0, 0, 0, 28, 2, 63, 7, 42, 7, 22, 46, 12, 2, 12, 0, 4.0, 12.0, 12.0, 0, 2, 10, 1, 4, 5, 2, 0, 3, 4, 2, 1, 0.0, 0, 2, 5, 5, 0, 8, 8, 33.33, 100.0, 100.0, 16.69921875, 80.0, 80.0, 50, 20.0, 83.296875, 0.0, 30.0, 40.0, 20.0, 10.0, 0.0, 10.0, 0.0, 40.0, 20.0, 50.0, 50.0, 9.0, 2.0, 11.0, 2.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 27.0, "17433", "BTS - Production - Bâtiment - seconde année en apprentissage (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17433&g_ta_cod=17433", 17.0, 42.0, 42.0),
(3658, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Licence", "Université Bordeaux Montaigne - Licence - Musicologie - Parcours Licence 1 Musiques actuelles, jazz et chanson", "Licence - Arts-lettres-langues", "Licence 1 Musiques actuelles, jazz et chanson", 21, 224, 113, 224, 0, 125, 29, 12, 5, 6, 2, 81, 0, 0, 0, 0, 0, 46, 0, 0, 0, 19, 2, 2, 1, 0, 0, 25, 27, 23, 15, 23, 0, 19.0, 23.0, 23.0, 0, 2, 10, 10, 0, 0, 13, 0, 3, 3, 4, 0, 0.0, 7, 0, 0, 0, 0, 5, 5, 82.61, 100.0, 100.0, 65.1875, 50.0, 50.0, 0, 20.0, 43.5, 0.0, 30.0, 30.0, 40.0, 0.0, 0.0, 100.0, 70.0, 0.0, 0.0, 0.0, 0.0, 12.0, 2.0, 0.0, 0.0, 13.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "20489", "Licence - Musicologie - Parcours Licence 1 Musiques actuelles, jazz et chanson", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20489&g_ta_cod=20489", 87.0, 4.0, 4.0),
(3659, "Public", "0311086M", "I.U.T de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BUT", "I.U.T de Toulouse - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Administration, gestion et exploitation des données", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Administration, gestion et exploitation des données", 148, 3018, 282, 3018, 0, 1633, 328, 725, 230, 32, 14, 628, 0, 0, 0, 0, 0, 2457, 0, 0, 0, 1502, 287, 562, 157, 0, 0, 393, 789, 160, 18, 160, 0, 62.0, 134.0, 155.0, 0, 47, 127, 65, 62, 0, 33, 0, 15, 53, 49, 10, 0.0, 60, 52, 0, 0, 0, 79, 79, 38.75, 83.75, 96.88, 11.298828125, 62.1953125, 62.1953125, 0, 37.0, 79.390625, 0.0, 11.798828125, 41.6953125, 38.59375, 7.9, 0.0, 51.1953125, 47.1953125, 48.796875, 40.8984375, 0.0, 0.0, 374.0, 90.0, 0.0, 0.0, 136.0, "Tous les candidats sauf les Bac technologiques", 637.0, "Bacheliers technologiques toutes séries", 464, "", 0, "Liste d'appel propre à cette formation", 36.0, "4098", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Administration, gestion et exploitation des données", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4098&g_ta_cod=4098", 54.0, 46.0, 0.0),
(3660, "Public", "0590215N", "Lycée Sévigné", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Sévigné - BTS - Services - Diététique", "BTS - Services", "", 24, 1052, 857, 1052, 0, 226, 56, 300, 106, 90, 50, 436, 0, 0, 0, 0, 0, 633, 0, 0, 0, 170, 40, 227, 76, 55, 30, 181, 179, 21, 17, 21, 0, 2.0, 13.0, 16.0, 0, 4, 14, 5, 7, 2, 7, 0, 3, 10, 1, 0, 0.0, 4, 5, 2, 0, 0, 10, 10, 9.52, 61.9, 76.19, 81.0, 71.390625, 71.390625, 0, 28.59765625, 66.6875, 0.0, 21.3984375, 71.390625, 7.099609375, 0.0, 0.0, 35.6953125, 28.59765625, 50.0, 35.6953125, 14.298828125, 14.298828125, 49.0, 7.0, 8.0, 5.0, 58.0, "Tous les candidats sauf les Bac professionnels", 267.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 27.0, "25279", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25279&g_ta_cod=25279", 48.0, 43.0, 10.0),
(3661, "Public", "0540038Y", "Lycée Henri Poincaré", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "CPGE", "Lycée Henri Poincaré - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 621, 315, 614, 360, 474, 41, 1, 0, 1, 0, 138, 7, 4, 0, 1, 2, 488, 4, 278, 455, 435, 34, 0, 0, 0, 0, 53, 233, 15, 9, 15, 0, 0.0, 5.0, 15.0, 3, 1, 12, 12, 0, 0, 3, 0, 0, 5, 4, 3, 0.0, 12, 0, 0, 0, 0, 10, 10, 0.0, 33.33, 100.0, 60.0, 83.296875, 83.296875, 0, 8.298828125, 80.0, 0.0, 0.0, 41.6953125, 33.296875, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 197.0, 17.0, 0.0, 0.0, 36.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "31486", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31329&g_ta_cod=31486", 100.0, 0.0, 0.0),
(3662, "Public", "0251711Z", "Lycée Claude Nicolas Ledoux", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Claude Nicolas Ledoux - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 882, 480, 882, 0, 108, 16, 335, 99, 238, 101, 201, 0, 0, 0, 0, 0, 345, 0, 0, 0, 53, 8, 149, 46, 117, 48, 26, 104, 27, 16, 27, 0, 10.0, 23.0, 24.0, 0, 8, 25, 8, 10, 7, 2, 1, 7, 12, 5, 0, 0.0, 4, 6, 7, 3, 0, 25, 25, 37.04, 85.19, 88.89, 59.296875, 100.0, 100.0, 12, 32.0, 92.59375, 4.0, 28.0, 48.0, 20.0, 0.0, 0.0, 32.0, 16.0, 40.0, 24.0, 28.0, 28.0, 32.0, 6.0, 27.0, 9.0, 2.0, "Tous les candidats sauf les Bac professionnels", 94.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 15.0, "3576", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3576&g_ta_cod=3576", 37.0, 37.0, 26.0),
(3663, "Public", "0573227Y", "Lycée Louis De Cormontaigne", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée Louis De Cormontaigne - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 327, 16, 311, 0, 10, 4, 63, 21, 125, 55, 113, 16, 0, 9, 0, 7, 205, 2, 0, 0, 10, 4, 63, 21, 121, 53, 11, 131, 28, 0, 28, 0, 5.0, 18.0, 25.0, 0, 11, 26, 1, 4, 21, 2, 1, 6, 16, 3, 0, 0.0, 1, 2, 16, 15, 0, 25, 25, 17.86, 64.29, 89.29, 0.0, 96.1875, 96.1875, 57.6953125, 42.296875, 92.890625, 3.7998046875, 23.09765625, 61.5, 11.5, 0.0, 0.0, 3.7998046875, 3.7998046875, 15.3984375, 7.69921875, 80.796875, 61.5, 7.0, 3.0, 67.0, 30.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 97, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 56.0, "6649", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6649&g_ta_cod=6649", 4.0, 14.0, 82.0),
(3664, "Public", "0840021S", "Lycée Alphonse Benoit", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "L'Isle-sur-la-Sorgue", "formation sélective", "BTS", "Lycée Alphonse Benoit - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 280, 26, 280, 0, 42, 10, 62, 25, 80, 35, 96, 0, 0, 0, 0, 0, 179, 0, 0, 0, 32, 4, 52, 19, 69, 28, 26, 56, 14, 0, 13, 0, 3.0, 12.0, 13.0, 0, 3, 12, 2, 6, 4, 2, 0, 3, 5, 3, 1, 0.0, 0, 5, 4, 3, 0, 11, 11, 21.43, 85.71, 92.86, 0.0, 91.6875, 91.6875, 25, 25.0, 85.6875, 0.0, 25.0, 41.6953125, 25.0, 8.3, 0.0, 16.69921875, 0.0, 50.0, 41.6953125, 33.296875, 33.296875, 10.0, 0.0, 22.0, 8.0, 5.0, "Tous les candidats sauf les Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 30.0, "10431", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10431&g_ta_cod=10431", 21.0, 43.0, 36.0),
(3665, "Public", "0781944P", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation sélective", "Licence", "Université de Versailles - Saint Quentin en Yvelines - Licence - Musicologie - Parcours Musique, interprétation et patrimoine", "Licence - Arts-lettres-langues", "Musique, interprétation et patrimoine", 25, 93, 37, 71, 0, 44, 8, 5, 0, 3, 2, 19, 22, 1, 1, 0, 20, 17, 3, 0, 0, 7, 0, 5, 0, 0, 0, 5, 20, 7, 3, 5, 2, 5.0, 5.0, 5.0, 0, 0, 1, 1, 0, 0, 6, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 1, 71.43, 71.43, 71.43, 42.8984375, 0.0, 100.0, 0, 0.0, 14.298828125, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 7.0, 0.0, 0.0, 0.0, 8.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "14318", "Licence - Musicologie - Parcours Musique, interprétation et patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14318&g_ta_cod=14318", 100.0, 0.0, 0.0),
(3666, "Privé enseignement supérieur", "0352349N", "Institut Catholique de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Bruz", "formation sélective", "Licence", "Institut Catholique de Rennes - Licence - Double diplôme - Licence Lettres - Lettres Modernes et Communication", "Licence - Arts-lettres-langues", "Lettres Modernes et Communication", 80, 33, 29, 30, 0, 25, 4, 1, 0, 0, 0, 4, 3, 1, 0, 0, 2, 28, 0, 0, 0, 24, 3, 0, 0, 0, 0, 4, 28, 11, 10, 11, 0, 11.0, 11.0, 11.0, 0, 2, 9, 9, 0, 0, 2, 0, 2, 2, 5, 0, 0.0, 7, 0, 0, 0, 0, 7, 7, 100.0, 100.0, 100.0, 90.890625, 77.796875, 77.796875, 0, 22.19921875, 81.796875, 0.0, 22.19921875, 22.19921875, 55.59375, 0.0, 0.0, 100.0, 77.796875, 0.0, 0.0, 0.0, 0.0, 24.0, 3.0, 0.0, 0.0, 4.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "13728", "Licence - Double diplôme - Licence Lettres - Lettres Modernes et Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13728&g_ta_cod=13728", 100.0, 0.0, 0.0),
(3667, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation non sélective", "Licence", "Université Claude Bernard Lyon 1 - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Licence STAPS - portail unique", "Licence - Sciences - technologies - santé", "Licence STAPS - portail unique", 640, 5912, 1783, 5912, 0, 3793, 582, 683, 150, 122, 46, 1314, 0, 0, 0, 0, 0, 5881, 0, 0, 0, 3793, 582, 683, 150, 122, 46, 1283, 1550, 640, 171, 637, 0, 213.0, 473.0, 537.0, 0, 99, 502, 433, 55, 14, 138, 1, 188, 213, 84, 15, 1.0, 263, 40, 10, 0, 0, 403, 403, 33.28, 73.91, 83.91, 26.69921875, 80.296875, 80.296875, 0, 19.69921875, 78.390625, 0.199981689453125, 37.5, 42.3984375, 16.69921875, 3.0, 0.2, 86.296875, 52.3984375, 11.0, 8.0, 2.7998046875, 2.0, 908.0, 178.0, 31.0, 16.0, 522.0, "Tous les candidats", 1499.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "8342", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Licence STAPS - portail unique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8342&g_ta_cod=8342", 86.0, 11.0, 3.0),
(3668, "Public", "0840005Z", "Lycée Philippe de Girard", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée Philippe de Girard - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 302, 20, 282, 0, 10, 4, 64, 27, 109, 58, 99, 20, 1, 8, 2, 9, 143, 4, 0, 0, 8, 3, 50, 18, 75, 42, 10, 102, 21, 0, 21, 0, 6.0, 16.0, 20.0, 0, 13, 18, 1, 4, 13, 3, 0, 7, 7, 4, 0, 0.0, 0, 1, 10, 2, 0, 15, 15, 28.57, 76.19, 95.24, 0.0, 83.296875, 83.296875, 11.099609375, 72.1875, 85.6875, 0.0, 38.8984375, 38.8984375, 22.19921875, 0.0, 0.0, 5.599609375, 0.0, 22.19921875, 5.599609375, 72.1875, 55.59375, 5.0, 3.0, 49.0, 31.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 43.0, "10421", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10421&g_ta_cod=10421", 19.0, 19.0, 62.0),
(3669, "Privé sous contrat d'association", "0370749N", "Lycée Sainte Marguerite", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Chambray-lès-Tours", "formation sélective", "BTS", "Lycée Sainte Marguerite - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 20, 548, 234, 542, 0, 53, 11, 222, 54, 144, 42, 123, 6, 1, 1, 1, 3, 248, 1, 0, 0, 22, 2, 117, 27, 69, 17, 40, 112, 16, 9, 15, 1, 2.0, 9.0, 11.0, 0, 4, 15, 1, 8, 6, 1, 0, 4, 7, 4, 0, 0.0, 0, 5, 6, 0, 0, 10, 10, 12.5, 56.25, 68.75, 56.296875, 66.6875, 66.6875, 0, 26.69921875, 93.796875, 0.0, 26.69921875, 46.6953125, 26.69921875, 0.0, 0.0, 6.69921875, 0.0, 53.296875, 33.296875, 40.0, 40.0, 9.0, 2.0, 27.0, 5.0, 23.0, "Tous les candidats sauf les Bac professionnels", 115.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 26.0, "13533", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13533&g_ta_cod=13533", 6.0, 56.0, 38.0),
(3670, "Privé sous contrat d'association", "0754696X", "IRTS Paris Ile-de-France", "75", "Paris", "Ile-de-France", "Paris", "Paris 10e  Arrondissement", "formation sélective", "EFTS", "IRTS Paris Ile-de-France - D.E Assistant de Service Social", "D.E secteur social", "", 55, 188, 163, 188, 0, 36, 8, 34, 8, 15, 6, 103, 0, 0, 0, 0, 0, 167, 0, 0, 0, 33, 8, 31, 8, 11, 5, 92, 96, 54, 48, 54, 0, 0.0, 47.0, 52.0, 0, 6, 16, 5, 9, 2, 38, 0, 7, 7, 2, 0, 0.0, 2, 5, 2, 0, 0, 1, 14, 0.0, 87.04, 96.3, 88.890625, 6.2998046875, 87.5, 0, 37.5, 29.59765625, 0.0, 43.796875, 43.796875, 12.5, 0.0, 0.0, 31.296875, 12.5, 56.296875, 31.296875, 12.5, 12.5, 19.0, 4.0, 6.0, 2.0, 58.0, "Tous les candidats", 148.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "23757", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23757&g_ta_cod=23757", 44.0, 37.0, 15.0),
(3671, "Public", "0060013G", "Lycée Bristol", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BTS", "Lycée Bristol - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 25, 432, 115, 403, 0, 39, 5, 54, 22, 78, 38, 232, 29, 4, 0, 0, 25, 87, 7, 0, 0, 23, 1, 28, 8, 26, 14, 10, 70, 21, 4, 16, 5, 9.0, 15.0, 18.0, 0, 9, 16, 2, 6, 8, 5, 0, 6, 8, 2, 0, 0.0, 1, 2, 7, 1, 0, 16, 16, 42.86, 71.43, 85.71, 19.0, 100.0, 100.0, 6.2998046875, 56.296875, 76.1875, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 12.5, 6.2998046875, 37.5, 12.5, 50.0, 43.796875, 18.0, 1.0, 15.0, 8.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 18.0, "2192", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2192&g_ta_cod=2192", 33.0, 29.0, 38.0),
(3672, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Géographie et aménagement - Parcours Géographie, Aménagement", "Licence - Sciences humaines et sociales", "Géographie, Aménagement", 160, 710, 290, 556, 0, 372, 55, 26, 7, 7, 2, 151, 154, 31, 22, 9, 92, 556, 142, 0, 0, 372, 55, 26, 7, 7, 2, 151, 641, 150, 55, 94, 56, 59.0, 92.0, 127.0, 0, 20, 86, 69, 12, 5, 64, 0, 35, 37, 10, 4, 0.0, 47, 2, 2, 0, 0, 64, 64, 39.33, 61.33, 84.67, 36.6953125, 74.390625, 74.390625, 0, 23.296875, 57.296875, 0.0, 40.6953125, 43.0, 11.599609375, 4.7, 0.0, 80.1875, 54.6953125, 14.0, 2.2998046875, 5.7998046875, 2.2998046875, 369.0, 58.0, 15.0, 6.0, 220.0, "Tous les candidats", 556.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4731", "Licence - Géographie et aménagement - Parcours Géographie, Aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4731&g_ta_cod=4731", 80.0, 13.0, 5.0),
(3673, "Public", "0763470J", "Université de Rouen Normandie - Campus PASS Le Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation non sélective", "PASS", "Université de Rouen Normandie - Campus PASS Le Havre - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 38, 1170, 740, 1170, 0, 869, 156, 26, 11, 4, 2, 271, 0, 0, 0, 0, 0, 1138, 0, 0, 0, 869, 156, 26, 11, 4, 2, 239, 209, 38, 28, 38, 0, 3.0, 32.0, 38.0, 0, 8, 38, 37, 0, 1, 0, 0, 3, 3, 16, 12, 4.0, 34, 0, 1, 0, 0, 37, 37, 7.89, 84.21, 100.0, 73.6875, 97.390625, 97.390625, 0, 21.09765625, 100.0, 0.0, 7.8994140625, 7.8994140625, 42.09375, 31.6, 10.5, 97.390625, 89.5, 0.0, 0.0, 2.599609375, 2.599609375, 191.0, 39.0, 2.0, 1.0, 16.0, "Tous les candidats", 794.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "28526", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28529&g_ta_cod=28526", 97.0, 0.0, 3.0),
(3674, "Public", "0340042L", "Lycée Jean Mermoz", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Jean Mermoz - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 1021, 109, 1021, 0, 130, 35, 294, 108, 277, 123, 320, 0, 0, 0, 0, 0, 332, 0, 0, 0, 83, 19, 90, 24, 113, 44, 46, 130, 32, 3, 32, 0, 6.0, 29.0, 29.0, 0, 11, 27, 5, 11, 11, 5, 0, 6, 10, 8, 3, 0.0, 5, 5, 11, 3, 0, 17, 17, 18.75, 90.63, 90.63, 9.3984375, 63.0, 63.0, 11.099609375, 40.6953125, 84.390625, 0.0, 22.19921875, 37.0, 29.59765625, 11.1, 0.0, 18.5, 18.5, 40.6953125, 18.5, 40.6953125, 40.6953125, 22.0, 7.0, 33.0, 12.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 89, "Liste d'appel propre à cette formation", 20.0, "4507", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4507&g_ta_cod=4507", 19.0, 44.0, 38.0),
(3675, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 150, 1772, 1512, 1772, 0, 1044, 126, 212, 40, 58, 21, 458, 0, 0, 0, 0, 0, 1769, 0, 0, 0, 1044, 126, 212, 40, 58, 21, 455, 656, 151, 140, 151, 0, 16.0, 118.0, 150.0, 0, 11, 128, 111, 14, 3, 23, 0, 7, 63, 48, 10, 0.0, 105, 13, 3, 0, 0, 60, 60, 10.6, 78.15, 99.34, 92.6875, 46.8984375, 46.8984375, 0, 8.599609375, 84.796875, 0.0, 5.5, 49.1953125, 37.5, 7.8, 0.0, 86.6875, 82.0, 10.8984375, 10.19921875, 2.2998046875, 2.2998046875, 441.0, 52.0, 13.0, 2.0, 147.0, "Tous les candidats", 1183.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 63.0, "5888", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27744&g_ta_cod=5888", 87.0, 11.0, 2.0),
(3676, "Public", "0540040A", "Lycée Frédéric Chopin", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Frédéric Chopin - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 493, 345, 468, 0, 25, 6, 203, 76, 126, 64, 114, 25, 1, 2, 2, 20, 302, 7, 0, 0, 23, 5, 146, 52, 81, 41, 52, 164, 35, 24, 29, 6, 4.0, 20.0, 26.0, 0, 10, 23, 3, 15, 5, 12, 0, 4, 16, 3, 0, 0.0, 2, 13, 4, 2, 2, 21, 21, 11.43, 57.14, 74.29, 68.59375, 91.296875, 91.296875, 8.69921875, 43.5, 65.6875, 0.0, 17.3984375, 69.59375, 13.0, 0.0, 0.0, 13.0, 8.69921875, 65.1875, 56.5, 21.69921875, 17.3984375, 16.0, 4.0, 56.0, 25.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 86, "Bacheliers technologiques toutes séries", 103, "Liste d'appel propre à cette formation", 49.0, "6252", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6252&g_ta_cod=6252", 23.0, 51.0, 26.0),
(3677, "Public", "0170393K", "Lycée CFA de l'Alimentation - ENILIA ENSMIC", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Surgères", "formation sélective", "BTS", "Lycée CFA de l'Alimentation - ENILIA ENSMIC - BTS - Agricole - Sciences et technologies des aliments spécialité Produits céréaliers", "BTS - Agricole", "", 19, 80, 34, 79, 0, 7, 1, 3, 0, 8, 3, 61, 1, 0, 0, 1, 0, 44, 0, 0, 0, 7, 1, 3, 0, 8, 3, 26, 38, 13, 2, 13, 0, 6.0, 13.0, 13.0, 0, 1, 4, 1, 0, 3, 9, 0, 2, 1, 1, 0, 0.0, 0, 0, 2, 2, 2, 2, 2, 46.15, 100.0, 100.0, 15.3984375, 50.0, 50.0, 50, 25.0, 30.796875, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 25.0, 0.0, 0.0, 0.0, 75.0, 50.0, 6.0, 1.0, 8.0, 3.0, 21.0, "Tous les candidats sauf les Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 9, "", 0, "Liste d'appel propre à cette formation", 53.0, "3059", "BTS - Agricole - Sciences et technologies des aliments spécialité Produits céréaliers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3059&g_ta_cod=3059", 77.0, 0.0, 23.0),
(3678, "Privé sous contrat d'association", "0061496U", "INSTITUT ENSEIGNEMENT SUPERIEUR TRAVAIL SOCIAL - IESTS", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "EFTS", "INSTITUT ENSEIGNEMENT SUPERIEUR TRAVAIL SOCIAL - IESTS - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 30, 234, 220, 234, 0, 49, 8, 38, 4, 33, 7, 114, 0, 0, 0, 0, 0, 175, 0, 0, 0, 32, 6, 19, 1, 20, 2, 104, 59, 30, 29, 30, 0, 15.0, 24.0, 24.0, 0, 1, 12, 6, 6, 0, 18, 0, 5, 4, 3, 0, 0.0, 3, 4, 0, 0, 0, 5, 5, 50.0, 80.0, 80.0, 96.6875, 41.6953125, 41.6953125, 0, 8.298828125, 40.0, 0.0, 41.6953125, 33.296875, 25.0, 0.0, 0.0, 50.0, 25.0, 50.0, 33.296875, 0.0, 0.0, 8.0, 1.0, 1.0, 0.0, 42.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "24813", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24813&g_ta_cod=24813", 47.0, 40.0, 10.0),
(3679, "Public", "0710010A", "Lycée Mathias", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "BTS", "Lycée Mathias - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 34, 278, 142, 267, 0, 46, 14, 67, 26, 65, 28, 89, 11, 0, 0, 7, 4, 191, 4, 0, 0, 46, 14, 47, 16, 50, 20, 48, 145, 30, 16, 26, 3, 8.0, 25.0, 26.0, 0, 10, 19, 4, 4, 11, 11, 0, 9, 7, 1, 2, 0.0, 0, 4, 6, 6, 4, 16, 16, 26.67, 83.33, 86.67, 53.296875, 84.1875, 84.1875, 31.59765625, 52.59375, 63.296875, 0.0, 47.3984375, 36.796875, 5.2998046875, 10.5, 0.0, 21.09765625, 0.0, 21.09765625, 21.09765625, 57.8984375, 31.59765625, 30.0, 12.0, 48.0, 22.0, 37.0, "Tous les candidats sauf les Bac professionnels", 133.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 70.0, "8616", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8616&g_ta_cod=8616", 33.0, 27.0, 40.0),
(3680, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence_Las", "Université de Strasbourg - Licence - Sciences pour la santé - Sciences pour la santé - Chimie -  option Santé", "Licence - Sciences - technologies - santé", "Sciences pour la santé - Chimie", 150, 1687, 1145, 1687, 0, 1225, 220, 30, 13, 2, 1, 430, 0, 0, 0, 0, 0, 1687, 0, 0, 0, 1225, 220, 30, 13, 2, 1, 430, 801, 149, 91, 149, 0, 20.0, 105.0, 130.0, 0, 23, 112, 112, 0, 0, 37, 4, 14, 25, 33, 25, 11.0, 94, 0, 0, 0, 0, 99, 99, 13.42, 70.47, 87.25, 61.09375, 88.390625, 88.390625, 0, 20.5, 75.1875, 3.599609375, 12.5, 22.296875, 29.5, 22.3, 9.8, 100.0, 83.890625, 0.0, 0.0, 0.0, 0.0, 645.0, 104.0, 0.0, 0.0, 155.0, "Tous les candidats", 1078.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "29220", "Licence - Sciences pour la santé - Sciences pour la santé - Chimie -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29220&g_ta_cod=29220", 99.0, 1.0, 0.0),
(3681, "Public", "0710054Y", "Lycée Henri Parriat", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Montceau-les-Mines", "formation sélective", "BTS", "Lycée Henri Parriat - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 122, 11, 119, 0, 4, 2, 26, 6, 50, 15, 39, 3, 0, 2, 0, 1, 119, 0, 0, 0, 4, 2, 26, 6, 50, 15, 39, 55, 14, 0, 14, 0, 3.0, 10.0, 13.0, 0, 4, 13, 1, 4, 8, 1, 0, 7, 3, 3, 0, 0.0, 1, 0, 5, 5, 0, 13, 13, 21.43, 71.43, 92.86, 0.0, 100.0, 100.0, 38.5, 30.796875, 92.890625, 0.0, 53.796875, 23.09765625, 23.09765625, 0.0, 0.0, 7.69921875, 7.69921875, 30.796875, 0.0, 61.5, 38.5, 3.0, 2.0, 32.0, 7.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 61.0, "8642", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8642&g_ta_cod=8642", 7.0, 29.0, 64.0),
(3682, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 520, 2569, 1194, 2341, 0, 1443, 343, 182, 69, 74, 38, 642, 228, 16, 9, 6, 197, 2340, 223, 0, 0, 1443, 343, 182, 69, 74, 38, 641, 2563, 517, 209, 404, 113, 396.0, 401.0, 457.0, 0, 75, 272, 222, 31, 19, 245, 3, 107, 100, 52, 9, 1.0, 142, 11, 9, 0, 0, 186, 186, 76.6, 77.56, 88.39, 40.3984375, 68.390625, 68.390625, 0, 27.59765625, 52.59375, 1.099853515625, 39.296875, 36.796875, 19.09765625, 3.3, 0.4, 81.59375, 52.1953125, 11.3984375, 4.0, 7.0, 3.2998046875, 1459.0, 347.0, 80.0, 42.0, 835.0, "Tous les candidats", 2341.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4169", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4169&g_ta_cod=4169", 73.0, 14.0, 9.0),
(3683, "Public", "0772346G", "I.U.T. de Sénart/Fontainebleau - site de Fontainebleau - UPEC", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Fontainebleau", "formation sélective", "BUT", "I.U.T. de Sénart/Fontainebleau - site de Fontainebleau - UPEC - BUT - Gestion des entreprises et des administrations Parcours : GC2F gestion comptable fiscale et financière - GC2P contrôle de gestion et pilotage de la performance - GPRH gestion et pilotage des ressources humaines - GEMA gestion entrepreneuriat et management d'activités", "BUT - Service", "GC2F gestion comptable fiscale et financière - GC2P contrôle de gestion et pilotage de la performance - GPRH gestion et pilotage des ressources humaines - GEMA gestion entrepreneuriat et management d'activités", 112, 1711, 858, 1373, 0, 644, 148, 437, 143, 15, 7, 277, 338, 49, 140, 7, 142, 518, 37, 0, 0, 311, 47, 144, 40, 0, 0, 63, 471, 110, 53, 82, 20, 24.0, 76.0, 103.0, 0, 23, 91, 47, 44, 0, 19, 0, 17, 51, 22, 0, 1.0, 34, 40, 0, 0, 0, 66, 80, 21.82, 69.09, 93.64, 48.1953125, 72.5, 87.890625, 0, 25.296875, 82.6875, 0.0, 18.69921875, 56.0, 24.19921875, 0.0, 1.1, 51.59375, 37.3984375, 48.3984375, 44.0, 0.0, 0.0, 247.0, 42.0, 1.0, 0.0, 66.0, "Tous les candidats sauf les Bac technologiques", 358.0, "Bacheliers technologiques toutes séries", 160, "", 0, "Liste d'appel propre à cette formation", 38.0, "9890", "BUT - Gestion des entreprises et des administrations Parcours : GC2F gestion comptable fiscale et financière - GC2P contrôle de gestion et pilotage de la performance - GPRH gestion et pilotage des ressources humaines - GEMA gestion entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9890&g_ta_cod=9890", 51.0, 49.0, 0.0),
(3684, "Public", "0134319Z", "IUT Aix-Marseille - Site de Marseille St Jérôme", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BUT", "IUT Aix-Marseille - Site de Marseille St Jérôme - BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement", "BUT - Production", "Analyse, contrôle-qualité, environnement", 104, 1311, 794, 1291, 0, 720, 133, 174, 55, 2, 1, 395, 20, 2, 4, 0, 14, 967, 3, 0, 0, 616, 97, 115, 34, 0, 0, 236, 723, 97, 63, 96, 1, 46.0, 69.0, 86.0, 0, 22, 86, 61, 25, 0, 11, 0, 7, 47, 29, 2, 1.0, 57, 22, 0, 0, 0, 63, 63, 47.42, 71.13, 88.66, 64.890625, 73.296875, 73.296875, 0, 25.59765625, 88.6875, 0.0, 8.099609375, 54.6953125, 33.6953125, 2.3, 1.2, 70.890625, 66.296875, 29.09765625, 25.59765625, 0.0, 0.0, 449.0, 89.0, 0.0, 0.0, 170.0, "Tous les candidats sauf les Bac technologiques", 691.0, "Bacheliers technologiques toutes séries", 126, "", 0, "Liste d'appel propre à cette formation", 63.0, "2713", "BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2713&g_ta_cod=2713", 72.0, 28.0, 0.0),
(3685, "Public", "0561739L", "Université de Bretagne Sud - Site de Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "CPGE", "Université de Bretagne Sud - Site de Vannes - CPGE - ENS Rennes D1", "Classe préparatoire économique et commerciale", "", 24, 465, 296, 465, 0, 409, 34, 17, 9, 0, 0, 39, 0, 0, 0, 0, 0, 238, 0, 0, 238, 216, 18, 11, 8, 0, 0, 11, 83, 24, 12, 24, 0, 12.0, 21.0, 24.0, 0, 3, 24, 22, 2, 0, 0, 0, 1, 11, 9, 3, 0.0, 21, 2, 0, 0, 0, 22, 22, 50.0, 87.5, 100.0, 50.0, 91.6875, 91.6875, 0, 12.5, 100.0, 0.0, 4.19921875, 45.796875, 37.5, 12.5, 0.0, 91.6875, 87.5, 8.298828125, 8.298828125, 0.0, 0.0, 74.0, 5.0, 0.0, 0.0, 4.0, "Tous les candidats", 136.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "6505", "CPGE - ENS Rennes D1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6505&g_ta_cod=6505", 92.0, 8.0, 0.0),
(3686, "Public", "0382440W", "Lycée des Métiers - Léonard de Vinci", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Villefontaine", "formation sélective", "BTS", "Lycée des Métiers - Léonard de Vinci - BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "BTS - Services", "", 10, 900, 138, 900, 0, 351, 54, 145, 36, 90, 30, 314, 0, 0, 0, 0, 0, 110, 0, 0, 0, 48, 7, 5, 3, 36, 12, 21, 30, 10, 3, 10, 0, 3.0, 8.0, 10.0, 0, 2, 8, 5, 1, 2, 2, 0, 0, 4, 3, 1, 0.0, 5, 1, 2, 0, 0, 4, 4, 30.0, 80.0, 100.0, 30.0, 50.0, 50.0, 0, 25.0, 80.0, 0.0, 0.0, 50.0, 37.5, 12.5, 0.0, 62.5, 62.5, 12.5, 12.5, 25.0, 25.0, 21.0, 3.0, 2.0, 1.0, 5.0, "Tous les candidats sauf les Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 5.0, "5107", "BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5107&g_ta_cod=5107", 70.0, 10.0, 20.0),
(3687, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence_Las", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER : ITALIEN NON DEBUTANT", "Licence - Arts-lettres-langues", "LLCER : ITALIEN NON DEBUTANT", 10, 80, 61, 80, 0, 29, 10, 2, 2, 4, 2, 45, 0, 0, 0, 0, 0, 80, 0, 0, 0, 29, 10, 2, 2, 4, 2, 45, 37, 10, 7, 10, 0, 1.0, 6.0, 10.0, 0, 4, 6, 5, 0, 1, 4, 0, 3, 2, 1, 0, 0.0, 2, 0, 1, 0, 0, 0, 3, 10.0, 60.0, 100.0, 70.0, 0.0, 50.0, 0, 66.6875, 60.0, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 83.296875, 33.296875, 0.0, 0.0, 16.69921875, 16.69921875, 18.0, 9.0, 2.0, 0.0, 17.0, "Tous les candidats", 109.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 71.0, "28442", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER : ITALIEN NON DEBUTANT", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28441&g_ta_cod=28442", 90.0, 0.0, 10.0),
(3688, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence_Las", "Université d'Amiens - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 30, 1760, 1462, 1760, 0, 934, 219, 221, 62, 62, 20, 543, 0, 0, 0, 0, 0, 1755, 0, 0, 0, 935, 219, 221, 62, 62, 20, 537, 192, 33, 30, 33, 0, 0.0, 25.0, 32.0, 0, 6, 33, 26, 5, 2, 0, 0, 3, 12, 15, 3, 0.0, 24, 4, 2, 0, 0, 32, 32, 0.0, 75.76, 96.97, 90.890625, 97.0, 97.0, 0, 18.19921875, 100.0, 0.0, 9.099609375, 36.3984375, 45.5, 9.1, 0.0, 78.796875, 72.6875, 15.19921875, 12.099609375, 6.099609375, 6.099609375, 154.0, 30.0, 12.0, 6.0, 1.0, "Tous les candidats", 821.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "28842", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28841&g_ta_cod=28842", 79.0, 15.0, 6.0),
(3689, "Public", "0932214B", "I.U.T. de Montreuil", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "BUT", "I.U.T. de Montreuil - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données (Seconde année possible en apprentissage)", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données", 88, 3366, 338, 3366, 0, 1730, 531, 876, 347, 43, 27, 717, 0, 0, 0, 0, 0, 1618, 0, 0, 0, 1067, 305, 389, 128, 2, 1, 160, 511, 88, 8, 88, 0, 32.0, 77.0, 83.0, 0, 30, 74, 38, 35, 1, 14, 0, 6, 44, 20, 4, 0.0, 38, 29, 1, 0, 0, 49, 67, 36.36, 87.5, 94.32, 9.099609375, 66.1875, 90.5, 0, 40.5, 84.09375, 0.0, 8.099609375, 59.5, 27.0, 5.4, 0.0, 51.3984375, 51.3984375, 47.296875, 39.1953125, 1.39990234375, 1.39990234375, 246.0, 75.0, 1.0, 1.0, 43.0, "Tous les candidats sauf les Bac technologiques", 411.0, "Bacheliers technologiques toutes séries", 310, "", 0, "Liste d'appel propre à cette formation", 21.0, "11349", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11349&g_ta_cod=11349", 49.0, 50.0, 1.0),
(3690, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Licence", "Université Clermont Auvergne - Licence - Langues étrangères appliquées - Parcours Anglais/Allemand", "Licence - Arts-lettres-langues", "Anglais/Allemand", 25, 158, 101, 130, 0, 97, 24, 4, 1, 1, 0, 28, 28, 5, 2, 1, 20, 120, 7, 0, 0, 95, 22, 4, 1, 0, 0, 21, 94, 18, 12, 15, 3, 2.0, 15.0, 16.0, 0, 5, 14, 13, 1, 0, 4, 0, 5, 2, 5, 2, 0.0, 8, 1, 0, 0, 0, 11, 11, 11.11, 83.33, 88.89, 66.6875, 78.59375, 78.59375, 0, 35.6953125, 77.796875, 0.0, 35.6953125, 14.298828125, 35.6953125, 14.3, 0.0, 92.890625, 57.09375, 7.099609375, 7.099609375, 0.0, 0.0, 71.0, 19.0, 0.0, 0.0, 21.0, "Tous les candidats", 120.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "7635", "Licence - Langues étrangères appliquées - Parcours Anglais/Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7635&g_ta_cod=7635", 89.0, 11.0, 0.0),
(3691, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Licence", "Université Côte d'Azur - Double licence - Sciences de l'Homme, Anthropologie, Ethnologie / Musicologie - Double licence Sciences de l'Homme, Anthropologie, Ethnologie / Musicologie", "Licence - Sciences humaines et sociales", "Double licence Sciences de l'Homme, Anthropologie, Ethnologie / Musicologie", 30, 171, 107, 109, 0, 62, 13, 7, 1, 2, 2, 38, 62, 11, 3, 5, 43, 30, 15, 0, 0, 24, 4, 1, 0, 0, 0, 5, 45, 6, 3, 1, 5, 1.0, 1.0, 2.0, 0, 1, 2, 1, 1, 0, 4, 0, 1, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 2, 2, 16.67, 16.67, 33.33, 50.0, 100.0, 100.0, 0, 50.0, 33.296875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 27.0, 5.0, 0.0, 0.0, 15.0, "Tous les candidats", 30.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "23960", "Double licence - Sciences de l'Homme, Anthropologie, Ethnologie / Musicologie - Double licence Sciences de l'Homme, Anthropologie, Ethnologie / Musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23960&g_ta_cod=23960", 83.0, 17.0, 0.0),
(3692, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Lettres - Parcours CULTURE ANTIQUE ET MONDE CONTEMPORAIN", "Licence - Arts-lettres-langues", "CULTURE ANTIQUE ET MONDE CONTEMPORAIN", 70, 472, 344, 414, 0, 255, 46, 15, 6, 9, 4, 135, 58, 10, 3, 1, 44, 412, 54, 0, 0, 255, 46, 15, 6, 9, 4, 133, 367, 70, 44, 47, 23, 2.0, 47.0, 58.0, 0, 8, 33, 27, 6, 0, 37, 0, 14, 14, 3, 2, 0.0, 16, 3, 0, 0, 0, 2, 19, 2.86, 67.14, 82.86, 62.8984375, 6.099609375, 57.59375, 0, 24.19921875, 47.09375, 0.0, 42.3984375, 42.3984375, 9.099609375, 6.1, 0.0, 81.796875, 48.5, 18.19921875, 9.099609375, 0.0, 0.0, 211.0, 39.0, 6.0, 3.0, 134.0, "Tous les candidats", 411.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "9281", "Licence - Lettres - Parcours CULTURE ANTIQUE ET MONDE CONTEMPORAIN", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9281&g_ta_cod=9281", 79.0, 14.0, 3.0),
(3693, "Privé sous contrat d'association", "0300080Z", "Lycée Emmanuel d'Alzon", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "CPGE", "Lycée Emmanuel d'Alzon - CPGE - Lettres", "Classe préparatoire littéraire", "", 40, 185, 136, 163, 81, 133, 17, 1, 1, 2, 2, 27, 22, 11, 0, 0, 11, 159, 14, 81, 156, 133, 17, 0, 0, 0, 0, 26, 161, 23, 10, 21, 2, 2.0, 20.0, 23.0, 7, 1, 17, 17, 0, 0, 6, 0, 3, 5, 8, 1, 0.0, 14, 0, 0, 5, 1, 6, 6, 8.7, 86.96, 100.0, 43.5, 35.296875, 35.296875, 29.3984375, 5.8994140625, 73.890625, 0.0, 17.59765625, 29.3984375, 47.09375, 5.9, 0.0, 100.0, 82.390625, 0.0, 0.0, 0.0, 0.0, 132.0, 16.0, 0.0, 0.0, 29.0, "Tous les candidats", 159.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "3963", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3963&g_ta_cod=3963", 100.0, 0.0, 0.0),
(3694, "Public", "0561890A", "ENSIBS Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 8, 140, 10, 140, 0, 0, 0, 133, 30, 0, 0, 7, 0, 0, 0, 0, 0, 59, 0, 0, 0, 0, 0, 56, 14, 0, 0, 3, 33, 4, 0, 4, 0, 1.0, 4.0, 4.0, 0, 2, 4, 0, 4, 0, 0, 0, 0, 1, 2, 1, 0.0, 0, 4, 0, 0, 0, 3, 3, 25.0, 100.0, 100.0, 0.0, 75.0, 75.0, 0, 50.0, 100.0, 0.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 325.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "25863", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=25863", 0.0, 100.0, 0.0),
(3695, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues étrangères appliquées - Parcours Anglais russe appliqués aux affaires", "Licence - Arts-lettres-langues", "Anglais russe appliqués aux affaires", 80, 322, 196, 220, 0, 126, 32, 15, 7, 8, 5, 71, 102, 18, 8, 6, 70, 220, 82, 0, 0, 126, 32, 15, 7, 8, 5, 71, 285, 66, 29, 34, 32, 26.0, 34.0, 51.0, 0, 14, 34, 24, 5, 5, 32, 0, 13, 14, 7, 0, 0.0, 13, 5, 3, 0, 0, 29, 29, 39.39, 51.52, 77.27, 43.8984375, 85.296875, 85.296875, 0, 41.1953125, 51.5, 0.0, 38.1953125, 41.1953125, 20.59765625, 0.0, 0.0, 70.59375, 38.1953125, 14.69921875, 14.69921875, 14.69921875, 8.798828125, 130.0, 37.0, 14.0, 9.0, 120.0, "Tous les candidats", 220.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15724", "Licence - Langues étrangères appliquées - Parcours Anglais russe appliqués aux affaires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15724&g_ta_cod=15724", 73.0, 17.0, 9.0),
(3696, "Public", "0624237U", "Université du littoral - Site de Saint-Omer", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Longuenesse", "formation non sélective", "Licence", "Université du littoral - Site de Calais - - Licence - Sciences et Techniques des Activités Physiques et Sportives", "Licence - STAPS", ": Université du littoral - Site de Saint-Omer", 72, 1556, 407, 1556, 0, 945, 197, 239, 61, 51, 16, 321, 0, 0, 0, 0, 0, 1556, 0, 0, 0, 945, 197, 239, 61, 51, 16, 321, 528, 68, 18, 68, 0, 3.0, 32.0, 52.0, 0, 14, 53, 46, 5, 2, 15, 0, 37, 14, 2, 0, 0.0, 14, 1, 1, 0, 0, 52, 52, 4.41, 47.06, 76.47, 26.5, 98.09375, 98.09375, 0, 26.3984375, 77.890625, 0.0, 69.796875, 26.3984375, 3.7998046875, 0.0, 0.0, 86.796875, 26.3984375, 9.3984375, 1.89990234375, 3.7998046875, 1.89990234375, 325.0, 89.0, 10.0, 5.0, 140.0, "Tous les candidats", 1224.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 52.0, "29102", "Licence - Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29099&g_ta_cod=29102", 87.0, 10.0, 3.0),
(3697, "Public", "0911251R", "Lycée du Parc des Loges", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "BTS", "Lycée du Parc des Loges - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 30, 1008, 106, 1008, 0, 103, 28, 278, 93, 252, 96, 375, 0, 0, 0, 0, 0, 1008, 0, 0, 0, 103, 28, 278, 93, 252, 96, 375, 117, 31, 0, 31, 0, 6.0, 30.0, 30.0, 0, 9, 27, 2, 11, 14, 4, 0, 3, 16, 7, 1, 0.0, 2, 10, 12, 6, 0, 24, 27, 19.35, 96.77, 96.77, 0.0, 88.890625, 100.0, 22.19921875, 33.296875, 87.09375, 0.0, 11.099609375, 59.296875, 25.8984375, 3.7, 0.0, 7.3994140625, 7.3994140625, 40.6953125, 37.0, 51.8984375, 44.3984375, 7.0, 3.0, 61.0, 17.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 17.0, "10928", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10928&g_ta_cod=10928", 6.0, 45.0, 48.0),
(3698, "Public", "0470003Y", "Lycée Jean-Baptiste De Baudre", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "BTS", "Lycée Jean-Baptiste De Baudre - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 210, 17, 192, 0, 9, 3, 52, 17, 52, 17, 79, 18, 0, 1, 12, 5, 122, 4, 0, 0, 9, 3, 52, 17, 49, 17, 12, 90, 15, 0, 14, 1, 2.0, 11.0, 15.0, 0, 4, 13, 0, 6, 7, 2, 0, 6, 5, 2, 0, 0.0, 0, 4, 3, 5, 0, 9, 9, 13.33, 73.33, 100.0, 0.0, 69.1875, 69.1875, 38.5, 30.796875, 86.6875, 0.0, 46.1953125, 38.5, 15.3984375, 0.0, 0.0, 0.0, 0.0, 46.1953125, 30.796875, 53.796875, 23.09765625, 7.0, 2.0, 46.0, 17.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 56.0, "5767", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5767&g_ta_cod=5767", 7.0, 47.0, 47.0),
(3699, "Public", "0680032R", "Lycée Michel De Montaigne", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "CPGE", "Lycée Michel De Montaigne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 20, 200, 99, 194, 124, 145, 14, 0, 0, 0, 0, 49, 6, 3, 0, 0, 3, 145, 2, 96, 132, 130, 9, 0, 0, 0, 0, 15, 100, 4, 2, 4, 0, 1.0, 4.0, 4.0, 3, 0, 2, 2, 0, 0, 2, 0, 0, 0, 1, 1, 0.0, 2, 0, 0, 0, 0, 2, 2, 25.0, 100.0, 100.0, 50.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 89.0, 8.0, 0.0, 0.0, 11.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "31468", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31390&g_ta_cod=31468", 100.0, 0.0, 0.0),
(3700, "Public", "0670080Y", "Lycée Kléber", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée Kléber - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 72, 751, 354, 741, 447, 581, 45, 2, 1, 0, 0, 158, 10, 8, 0, 0, 2, 471, 5, 73, 467, 429, 27, 0, 0, 0, 0, 42, 361, 60, 24, 58, 2, 9.0, 53.0, 59.0, 8, 1, 54, 54, 0, 0, 6, 0, 0, 6, 26, 20, 2.0, 54, 0, 0, 2, 1, 32, 32, 15.0, 88.33, 98.33, 40.0, 59.296875, 59.296875, 3.69970703125, 1.89990234375, 90.0, 0.0, 0.0, 11.099609375, 48.09375, 37.0, 3.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 323.0, 21.0, 0.0, 0.0, 38.0, "Tous les candidats", 496.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "31389", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31389&g_ta_cod=31389", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(3701, "Privé sous contrat d'association", "0422160V", "Lycée hôtelier RENOUVEAU", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Genest-Lerpt", "formation sélective", "Autre formation", "Lycée hôtelier RENOUVEAU - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 15, 126, 65, 109, 0, 45, 4, 16, 4, 10, 0, 38, 17, 4, 2, 3, 8, 19, 10, 0, 0, 11, 2, 6, 1, 0, 0, 2, 29, 10, 5, 7, 3, 6.0, 7.0, 9.0, 0, 1, 8, 5, 3, 0, 2, 0, 4, 3, 1, 0, 0.0, 2, 2, 0, 0, 0, 6, 6, 60.0, 70.0, 90.0, 50.0, 75.0, 75.0, 0, 12.5, 80.0, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 62.5, 25.0, 37.5, 25.0, 0.0, 0.0, 13.0, 2.0, 0.0, 0.0, 8.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "5381", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5381&g_ta_cod=5381", 70.0, 30.0, 0.0),
(3702, "Public", "0750612H", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART.", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART. - DN MADE - Objet - - Spécialité : Design produits et services", "DN MADE", "- Spécialité : Design produits et services", 15, 667, 403, 667, 0, 265, 38, 129, 20, 29, 4, 244, 0, 0, 0, 0, 0, 180, 0, 0, 0, 82, 8, 58, 6, 5, 0, 35, 58, 16, 13, 16, 0, 1.0, 16.0, 16.0, 0, 1, 16, 7, 9, 0, 0, 0, 1, 3, 9, 3, 0.0, 7, 8, 0, 0, 0, 0, 8, 6.25, 100.0, 100.0, 81.296875, 0.0, 50.0, 0, 6.2998046875, 100.0, 0.0, 6.2998046875, 18.796875, 56.296875, 18.8, 0.0, 43.796875, 43.796875, 56.296875, 50.0, 0.0, 0.0, 26.0, 4.0, 1.0, 0.0, 2.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "21791", "DN MADE - Objet - - Spécialité : Design produits et services", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21791&g_ta_cod=21791", 44.0, 56.0, 0.0),
(3703, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "PASS", "Université des Antilles - Pôle Martinique - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 50, 417, 281, 417, 0, 326, 89, 34, 15, 9, 7, 48, 0, 0, 0, 0, 0, 414, 0, 0, 0, 326, 89, 34, 15, 9, 7, 45, 226, 55, 34, 55, 0, 8.0, 55.0, 55.0, 0, 18, 51, 45, 6, 0, 4, 0, 7, 18, 16, 8, 2.0, 41, 3, 0, 0, 0, 49, 49, 14.55, 100.0, 100.0, 61.796875, 96.09375, 96.09375, 0, 35.296875, 92.6875, 0.0, 13.69921875, 35.296875, 31.3984375, 15.7, 3.9, 88.1875, 80.390625, 11.798828125, 5.8994140625, 0.0, 0.0, 198.0, 47.0, 5.0, 3.0, 11.0, "Tous les candidats", 763.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 77.0, "26830", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26824&g_ta_cod=26830", 87.0, 11.0, 2.0),
(3704, "Privé sous contrat d'association", "0754086J", "Lycée Charles De Foucauld", "75", "Paris", "Ile-de-France", "Paris", "Paris 18e  Arrondissement", "formation sélective", "BTS", "Lycée Charles De Foucauld - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 33, 1304, 637, 720, 0, 98, 16, 252, 93, 195, 65, 175, 584, 87, 169, 86, 242, 228, 43, 0, 0, 34, 2, 84, 33, 74, 24, 36, 214, 25, 12, 15, 10, 1.0, 12.0, 17.0, 0, 3, 20, 6, 8, 6, 5, 0, 7, 11, 2, 0, 0.0, 2, 6, 5, 0, 0, 5, 19, 4.0, 48.0, 68.0, 48.0, 25.0, 95.0, 0, 15.0, 80.0, 0.0, 35.0, 55.0, 10.0, 0.0, 0.0, 30.0, 10.0, 40.0, 30.0, 30.0, 25.0, 40.0, 5.0, 57.0, 20.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 31.0, "9511", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9511&g_ta_cod=9511", 28.0, 40.0, 32.0),
(3705, "Privé sous contrat d'association", "0300080Z", "Lycée Emmanuel d'Alzon", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "CPGE", "Lycée Emmanuel d'Alzon - CPGE - BCPST", "Classe préparatoire scientifique", "", 45, 979, 667, 979, 656, 783, 81, 4, 1, 2, 0, 190, 0, 0, 0, 0, 0, 953, 0, 641, 935, 783, 81, 3, 1, 0, 0, 167, 216, 44, 32, 44, 0, 6.0, 28.0, 42.0, 23, 5, 43, 43, 0, 0, 1, 0, 3, 10, 23, 6, 1.0, 40, 0, 0, 2, 1, 13, 13, 13.64, 63.64, 95.45, 72.6875, 30.19921875, 30.19921875, 4.69921875, 11.599609375, 97.6875, 0.0, 7.0, 23.296875, 53.5, 14.0, 2.3, 100.0, 93.0, 0.0, 0.0, 0.0, 0.0, 180.0, 19.0, 0.0, 0.0, 36.0, "Tous les candidats", 929.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "3961", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3961&g_ta_cod=3961", 100.0, 0.0, 0.0),
(3706, "Public", "0921230M", "Lycée Leonard De Vinci", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Levallois-Perret", "formation sélective", "BTS", "Lycée Leonard De Vinci - BTS - Services - Gestion de la PME", "BTS - Services", "", 33, 1211, 708, 1211, 0, 36, 8, 354, 146, 420, 228, 401, 0, 0, 0, 0, 0, 1110, 0, 0, 0, 35, 8, 347, 143, 388, 216, 340, 194, 32, 20, 32, 0, 5.0, 14.0, 19.0, 0, 16, 26, 1, 13, 12, 6, 1, 10, 12, 3, 0, 0.0, 0, 6, 9, 1, 1, 21, 26, 15.63, 43.75, 59.38, 62.5, 80.796875, 100.0, 3.7998046875, 61.5, 81.296875, 3.7998046875, 38.5, 46.1953125, 11.5, 0.0, 0.0, 3.7998046875, 0.0, 50.0, 23.09765625, 46.1953125, 34.59375, 8.0, 4.0, 79.0, 46.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 138, "Bacheliers technologiques toutes séries", 137, "Liste d'appel propre à cette formation", 23.0, "11111", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11111&g_ta_cod=11111", 3.0, 47.0, 50.0),
(3707, "Public", "9840482B", "Lycée du Diadème - Te tara o mai'ao", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Pirae", "formation sélective", "Autre formation", "Lycée du Diadème - Te tara o mai'ao - Diplôme de Comptabilité et de Gestion", "DCG", "", 28, 225, 138, 179, 0, 56, 22, 68, 37, 17, 10, 38, 46, 4, 6, 10, 26, 89, 3, 0, 0, 33, 11, 49, 29, 0, 0, 7, 68, 24, 15, 22, 2, 5.0, 21.0, 24.0, 0, 5, 19, 7, 12, 0, 5, 0, 5, 6, 4, 4, 0.0, 5, 9, 0, 0, 0, 19, 19, 20.83, 87.5, 100.0, 62.5, 100.0, 100.0, 0, 26.296875, 79.1875, 0.0, 26.296875, 31.59765625, 21.09765625, 21.1, 0.0, 36.796875, 26.296875, 63.1953125, 47.3984375, 0.0, 0.0, 23.0, 5.0, 0.0, 0.0, 10.0, "Tous les candidats", 88.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "25798", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25798&g_ta_cod=25798", 46.0, 54.0, 0.0),
(3708, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études anglophones", "Licence - Arts-lettres-langues", "Études anglophones", 335, 1612, 1202, 1402, 0, 930, 216, 76, 34, 37, 21, 359, 210, 20, 9, 20, 161, 1389, 137, 0, 0, 930, 216, 76, 34, 37, 21, 346, 1245, 307, 204, 230, 77, 46.0, 228.0, 272.0, 0, 48, 167, 130, 22, 15, 140, 4, 47, 60, 42, 13, 1.0, 97, 11, 8, 0, 0, 120, 120, 14.98, 74.27, 88.6, 66.390625, 71.890625, 71.890625, 0, 28.69921875, 54.3984375, 2.39990234375, 28.09765625, 35.8984375, 25.09765625, 7.8, 0.6, 77.796875, 58.09375, 13.19921875, 6.599609375, 9.0, 4.7998046875, 775.0, 177.0, 38.0, 26.0, 366.0, "Tous les candidats", 1391.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "8039", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études anglophones", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8039&g_ta_cod=8039", 71.0, 15.0, 14.0),
(3709, "Public", "0590302H", "Centre de Ressources, d'Expertise et de Performance Sportive de Wattignies (CREPS)", "59", "Nord", "Hauts-de-France", "Lille", "Wattignies", "formation sélective", "Autre formation", "CREPS de Wattignies - BPJEPS - Activités sports collectifs", "BPJEPS", "", 7, 312, 45, 305, 0, 79, 17, 79, 31, 63, 26, 84, 7, 0, 2, 0, 5, 19, 0, 0, 0, 3, 0, 9, 2, 3, 0, 4, 15, 4, 0, 4, 0, 0.0, 4.0, 4.0, 0, 0, 3, 0, 2, 1, 1, 0, 1, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 3, 3, 0.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 75.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 33.296875, 2.0, 0.0, 3.0, 0.0, 4.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "21333", "BPJEPS - Activités sports collectifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21333&g_ta_cod=21333", 25.0, 50.0, 25.0),
(3710, "Public", "0060014H", "Lycée Jules Ferry", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BTS", "Lycée Jules Ferry - BTS - Production - Biotechnologies", "BTS - Production", "", 26, 510, 331, 510, 0, 108, 24, 167, 38, 19, 8, 216, 0, 0, 0, 0, 0, 330, 0, 0, 0, 105, 23, 125, 23, 14, 5, 86, 102, 26, 17, 26, 0, 5.0, 19.0, 24.0, 0, 6, 23, 5, 18, 0, 3, 0, 4, 11, 3, 4, 1.0, 5, 14, 0, 15, 11, 22, 22, 19.23, 73.08, 92.31, 65.390625, 95.6875, 95.6875, 65.1875, 26.09765625, 88.5, 0.0, 17.3984375, 47.796875, 13.0, 17.4, 4.3, 21.69921875, 21.69921875, 78.296875, 60.8984375, 0.0, 0.0, 20.0, 5.0, 5.0, 1.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 109, "Liste d'appel propre à cette formation", 28.0, "2197", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2197&g_ta_cod=2197", 19.0, 77.0, 4.0),
(3711, "Privé sous contrat d'association", "9710991A", "Lycée Les Perseverants", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "BTS", "Lycée Les Perseverants - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 30, 167, 33, 157, 0, 27, 11, 42, 23, 30, 20, 58, 10, 0, 8, 0, 2, 121, 2, 0, 0, 19, 7, 37, 20, 25, 16, 40, 94, 23, 6, 21, 2, 6.0, 17.0, 17.0, 0, 10, 20, 3, 8, 9, 3, 0, 8, 10, 1, 1, 0.0, 1, 5, 6, 2, 1, 20, 20, 26.09, 73.91, 73.91, 26.09765625, 100.0, 100.0, 10, 50.0, 87.0, 0.0, 40.0, 50.0, 5.0, 5.0, 0.0, 15.0, 5.0, 40.0, 25.0, 45.0, 30.0, 14.0, 7.0, 23.0, 15.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 68.0, "16868", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16868&g_ta_cod=16868", 17.0, 39.0, 43.0),
(3712, "Public", "9741046U", "Lycée Bellepierre", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "Autre formation", "Lycée Bellepierre - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 585, 314, 479, 0, 184, 71, 136, 80, 31, 19, 128, 106, 12, 14, 13, 67, 150, 9, 0, 0, 80, 33, 51, 34, 0, 0, 19, 100, 31, 19, 25, 6, 5.0, 23.0, 28.0, 0, 10, 22, 17, 5, 0, 9, 0, 0, 13, 8, 1, 0.0, 17, 5, 0, 0, 0, 21, 21, 16.13, 74.19, 90.32, 61.296875, 95.5, 95.5, 0, 45.5, 71.0, 0.0, 0.0, 59.09375, 36.3984375, 4.5, 0.0, 77.296875, 77.296875, 22.69921875, 22.69921875, 0.0, 0.0, 52.0, 16.0, 0.0, 0.0, 22.0, "Tous les candidats", 148.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "11944", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11944&g_ta_cod=11944", 84.0, 16.0, 0.0),
(3713, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 428, 2634, 1932, 2288, 0, 1508, 314, 212, 53, 39, 20, 529, 346, 73, 34, 12, 227, 2288, 331, 0, 0, 1508, 314, 212, 53, 39, 20, 529, 2616, 422, 263, 274, 148, 266.0, 270.0, 346.0, 0, 64, 211, 155, 41, 15, 211, 0, 117, 70, 22, 2, 0.0, 77, 10, 7, 0, 0, 166, 166, 63.03, 63.98, 81.99, 62.296875, 78.6875, 78.6875, 0, 30.296875, 50.0, 0.0, 55.5, 33.1953125, 10.3984375, 0.9, 0.0, 73.5, 36.5, 19.3984375, 4.69921875, 7.099609375, 3.2998046875, 1577.0, 326.0, 51.0, 26.0, 743.0, "Tous les candidats", 2288.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5582", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5582&g_ta_cod=5582", 67.0, 23.0, 9.0),
(3714, "Public", "0741418P", "Lycée Charles Baudelaire", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BTS", "Lycée Charles Baudelaire - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 34, 867, 437, 867, 0, 73, 12, 423, 99, 250, 104, 121, 0, 0, 0, 0, 0, 867, 0, 0, 0, 73, 12, 423, 99, 250, 104, 121, 240, 26, 12, 26, 0, 1.0, 16.0, 18.0, 0, 9, 21, 1, 11, 9, 5, 0, 6, 12, 3, 0, 0.0, 0, 6, 9, 3, 0, 20, 20, 3.85, 61.54, 69.23, 46.1953125, 95.1875, 95.1875, 14.298828125, 42.8984375, 80.796875, 0.0, 28.59765625, 57.09375, 14.298828125, 0.0, 0.0, 4.7998046875, 0.0, 52.3984375, 28.59765625, 42.8984375, 42.8984375, 8.0, 2.0, 85.0, 30.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 99, "Bacheliers technologiques toutes séries", 141, "Liste d'appel propre à cette formation", 29.0, "8914", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8914&g_ta_cod=8914", 4.0, 50.0, 46.0),
(3715, "Privé enseignement supérieur", "0592806E", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences - Année préparatoire - Année Préparatoire aux Etudes Scientifiques - Parcours Sciences de la Vie", "Année préparatoire", "Année Préparatoire aux Etudes Scientifiques - Parcours Sciences de la Vie", 48, 75, 42, 43, 0, 20, 9, 6, 2, 1, 0, 16, 32, 21, 2, 0, 9, 31, 21, 0, 0, 17, 7, 4, 1, 0, 0, 10, 52, 18, 6, 8, 10, 8.0, 8.0, 14.0, 0, 0, 9, 7, 2, 0, 9, 0, 5, 3, 1, 0, 0.0, 2, 2, 0, 0, 0, 5, 5, 44.44, 44.44, 77.78, 33.296875, 55.59375, 55.59375, 0, 0.0, 50.0, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 77.796875, 22.19921875, 22.19921875, 22.19921875, 0.0, 0.0, 31.0, 7.0, 0.0, 0.0, 16.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "32444", "Année préparatoire - Année Préparatoire aux Etudes Scientifiques - Parcours Sciences de la Vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32444&g_ta_cod=32444", 72.0, 28.0, 0.0),
(3716, "Public", "0660586D", "I.U.T de Perpignan", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BUT", "I.U.T de Perpignan - BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "BUT - Production", "", 39, 999, 487, 996, 0, 630, 69, 162, 28, 4, 3, 200, 3, 0, 3, 0, 0, 751, 0, 0, 0, 520, 52, 116, 16, 0, 0, 115, 185, 37, 21, 37, 0, 2.0, 25.0, 36.0, 0, 7, 35, 22, 13, 0, 2, 0, 3, 16, 14, 2, 0.0, 20, 12, 0, 0, 0, 20, 20, 5.41, 67.57, 97.3, 56.796875, 57.09375, 57.09375, 0, 20.0, 94.59375, 0.0, 8.599609375, 45.6953125, 40.0, 5.7, 0.0, 62.8984375, 57.09375, 37.09375, 34.296875, 0.0, 0.0, 106.0, 16.0, 0.0, 0.0, 21.0, "Tous les candidats sauf les Bac technologiques", 196.0, "Bacheliers technologiques toutes séries", 123, "", 0, "Liste d'appel propre à cette formation", 32.0, "7891", "BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7891&g_ta_cod=7891", 62.0, 38.0, 0.0),
(3717, "Public", "0820021C", "Lycée Antoine Bourdelle", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Montauban", "formation sélective", "CPGE", "Lycée Antoine Bourdelle - CPGE - PTSI", "Classe préparatoire scientifique", "", 35, 452, 87, 451, 350, 332, 39, 8, 1, 0, 0, 111, 1, 1, 0, 0, 0, 413, 0, 350, 306, 327, 38, 7, 1, 0, 0, 79, 238, 33, 5, 33, 0, 24.0, 25.0, 31.0, 27, 4, 31, 31, 0, 0, 2, 0, 0, 12, 18, 1, 0.0, 31, 0, 0, 2, 0, 25, 25, 72.73, 75.76, 93.94, 15.19921875, 80.59375, 80.59375, 6.5, 12.8984375, 93.890625, 0.0, 0.0, 38.6953125, 58.09375, 3.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 229.0, 29.0, 0.0, 0.0, 9.0, "Tous les candidats", 246.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "15992", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15992&g_ta_cod=15992", 100.0, 0.0, 0.0),
(3718, "Public", "0180584M", "I.U.T de Bourges", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BUT", "I.U.T de Bourges - BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques (Seconde année possible en apprentissage)", "BUT - Production", "Techniques d'instrumentation - Matériaux et contrôles physico-chimiques", 48, 403, 78, 379, 0, 256, 23, 41, 8, 1, 1, 81, 24, 4, 4, 1, 15, 351, 13, 0, 0, 246, 19, 36, 7, 0, 0, 69, 250, 28, 4, 25, 3, 3.0, 24.0, 28.0, 0, 3, 23, 21, 2, 0, 5, 0, 13, 6, 4, 0, 0.0, 8, 2, 0, 0, 0, 17, 17, 10.71, 85.71, 100.0, 14.298828125, 73.890625, 73.890625, 0, 13.0, 82.09375, 0.0, 56.5, 26.09765625, 17.3984375, 0.0, 0.0, 91.296875, 34.796875, 8.69921875, 8.69921875, 0.0, 0.0, 156.0, 15.0, 0.0, 0.0, 65.0, "Tous les candidats sauf les Bac technologiques", 312.0, "Bacheliers technologiques toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 92.0, "3121", "BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3121&g_ta_cod=3121", 86.0, 14.0, 0.0),
(3719, "Public", "0133516B", "Aix Marseille Université - Site d'Aix-en-Provence (Montperrin)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix-Marseille Université - Portail Marie Curie - Licence - Portail Marie Curie : Chimie, Physique, Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "Marie Curie : Chimie, Physique, Sciences pour l'ingénieur - site d'Aix-en-Provence", 75, 2224, 994, 2195, 0, 1305, 261, 124, 46, 13, 7, 753, 29, 7, 0, 0, 22, 2195, 23, 0, 0, 1305, 261, 124, 46, 13, 7, 753, 1329, 64, 20, 54, 10, 13.0, 25.0, 42.0, 0, 9, 31, 27, 3, 1, 33, 0, 11, 7, 11, 2, 0.0, 19, 0, 1, 0, 0, 26, 26, 20.31, 39.06, 65.63, 31.296875, 83.890625, 83.890625, 0, 29.0, 48.3984375, 0.0, 35.5, 22.59765625, 35.5, 6.5, 0.0, 87.09375, 61.296875, 9.69921875, 0.0, 3.19970703125, 3.19970703125, 817.0, 181.0, 1.0, 0.0, 503.0, "Tous les candidats", 2638.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 84.0, "12598", "Licence - Portail Marie Curie : Chimie, Physique, Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12617&g_ta_cod=12598", 86.0, 13.0, 2.0),
(3720, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Informatique", "Licence - Sciences - technologies - santé", "", 100, 1093, 123, 1093, 0, 709, 145, 101, 26, 9, 1, 274, 0, 0, 0, 0, 0, 1081, 0, 0, 0, 709, 145, 101, 26, 9, 1, 262, 450, 99, 9, 99, 0, 12.0, 68.0, 96.0, 0, 18, 78, 74, 4, 0, 21, 1, 34, 28, 13, 2, 0.0, 41, 2, 0, 0, 0, 77, 77, 12.12, 68.69, 96.97, 9.099609375, 98.6875, 98.6875, 0, 23.09765625, 78.796875, 1.2998046875, 43.59375, 35.8984375, 16.69921875, 2.6, 0.0, 94.890625, 52.59375, 5.099609375, 2.599609375, 0.0, 0.0, 355.0, 75.0, 0.0, 0.0, 86.0, "Tous les candidats", 650.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "13575", "Licence - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13575&g_ta_cod=13575", 92.0, 8.0, 0.0),
(3721, "Public", "0030051P", "Lycée Général et Technologique Albert Londres", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Cusset", "formation sélective", "BTS", "Lycée Général et Technologique Albert Londres - BTS - Services - Communication", "BTS - Services", "", 35, 925, 504, 916, 0, 117, 14, 142, 42, 74, 36, 583, 9, 0, 0, 4, 5, 268, 1, 0, 0, 98, 10, 98, 28, 34, 10, 38, 147, 33, 23, 32, 1, 4.0, 25.0, 29.0, 0, 8, 33, 14, 12, 7, 0, 0, 9, 16, 7, 1, 0.0, 11, 7, 6, 1, 0, 19, 19, 12.12, 75.76, 87.88, 69.6875, 57.59375, 57.59375, 3, 24.19921875, 100.0, 0.0, 27.296875, 48.5, 21.19921875, 3.0, 0.0, 42.3984375, 33.296875, 36.3984375, 21.19921875, 21.19921875, 18.19921875, 51.0, 6.0, 23.0, 7.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 21.0, "2135", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2135&g_ta_cod=2135", 42.0, 36.0, 21.0),
(3722, "Public", "0250010A", "Lycée Louis Pergaud", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "CPGE", "Lycée Louis Pergaud - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 35, 212, 113, 212, 101, 0, 0, 185, 46, 0, 0, 27, 0, 0, 0, 0, 0, 138, 0, 57, 132, 0, 0, 133, 24, 0, 0, 5, 123, 27, 18, 27, 0, 18.0, 27.0, 27.0, 2, 5, 27, 0, 27, 0, 0, 0, 4, 9, 12, 2, 0.0, 0, 23, 0, 9, 8, 26, 26, 66.67, 100.0, 100.0, 66.6875, 96.296875, 96.296875, 33.296875, 18.5, 100.0, 0.0, 14.798828125, 33.296875, 44.3984375, 7.4, 0.0, 0.0, 0.0, 100.0, 85.1875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 138.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "3460", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3460&g_ta_cod=3460", 0.0, 100.0, 0.0),
(3723, "Public", "0690082P", "Lycée Jean Perrin", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "CPGE", "Lycée Jean Perrin - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 2982, 893, 2982, 2069, 2520, 314, 5, 2, 2, 0, 455, 0, 0, 0, 0, 0, 2264, 0, 1627, 2197, 2154, 251, 0, 0, 0, 0, 110, 864, 42, 9, 42, 0, 11.0, 31.0, 41.0, 20, 3, 42, 42, 0, 0, 0, 0, 0, 0, 26, 16, 0.0, 42, 0, 0, 1, 1, 18, 18, 26.19, 73.81, 97.62, 21.3984375, 42.8984375, 42.8984375, 2.39990234375, 7.099609375, 100.0, 0.0, 0.0, 0.0, 61.8984375, 38.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 863.0, 121.0, 0.0, 0.0, 1.0, "Tous les candidats", 1189.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "8235", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8235&g_ta_cod=8235", 100.0, 0.0, 0.0),
(3724, "Public", "1320021F", "Université Paris Dauphine - Campus de Londres", "99", "Etranger", "Etranger", "Etranger", "London", "formation sélective", "Autre formation", "Université Paris Dauphine - Campus de Londres - Formation valant grade de licence - Sciences des Organisations - Londres", "Formation valant grade de licence", "Sciences des Organisations - Londres", 55, 1701, 1024, 1701, 0, 1529, 47, 3, 1, 0, 0, 169, 0, 0, 0, 0, 0, 698, 0, 0, 0, 665, 14, 0, 0, 0, 0, 33, 387, 67, 42, 67, 0, 15.0, 32.0, 38.0, 0, 6, 65, 65, 0, 0, 2, 0, 0, 0, 21, 40, 4.0, 65, 0, 0, 0, 0, 10, 10, 22.39, 47.76, 56.72, 62.6953125, 15.3984375, 15.3984375, 0, 9.19921875, 97.0, 0.0, 0.0, 0.0, 32.296875, 61.5, 6.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 370.0, 14.0, 0.0, 0.0, 17.0, "Tous les candidats", 408.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "25819", "Formation valant grade de licence - Sciences des Organisations - Londres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25819&g_ta_cod=25819", 100.0, 0.0, 0.0),
(3725, "Public", "0470004Z", "Lycée professionnel Antoine Lomet", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "BTS", "Lycée professionnel Antoine Lomet - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 18, 504, 237, 427, 0, 33, 7, 143, 51, 175, 82, 76, 77, 0, 0, 55, 22, 177, 4, 0, 0, 18, 4, 89, 34, 58, 29, 12, 87, 17, 7, 14, 2, 1.0, 13.0, 14.0, 0, 11, 15, 1, 6, 8, 2, 0, 6, 5, 3, 1, 0.0, 1, 2, 6, 2, 1, 12, 12, 5.88, 76.47, 82.35, 41.1953125, 80.0, 80.0, 13.298828125, 73.296875, 88.1875, 0.0, 40.0, 33.296875, 20.0, 6.7, 0.0, 6.69921875, 6.69921875, 40.0, 13.298828125, 53.296875, 40.0, 11.0, 4.0, 44.0, 24.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 23.0, "19289", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19289&g_ta_cod=19289", 6.0, 41.0, 53.0),
(3726, "Public", "0160862A", "Lycée professionnel Jean Albert Gregoire", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Soyaux", "formation sélective", "BTS", "Lycée professionnel Jean Albert Gregoire - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 18, 300, 87, 289, 0, 7, 0, 26, 8, 90, 33, 166, 11, 0, 3, 0, 8, 92, 1, 0, 0, 5, 0, 22, 7, 60, 19, 5, 51, 12, 2, 12, 0, 5.0, 10.0, 12.0, 0, 1, 12, 0, 0, 12, 0, 0, 2, 5, 4, 1, 0.0, 0, 0, 10, 10, 0, 12, 12, 41.67, 83.33, 100.0, 16.69921875, 100.0, 100.0, 83.296875, 8.298828125, 100.0, 0.0, 16.69921875, 41.6953125, 33.296875, 8.3, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 83.296875, 2.0, 0.0, 26.0, 5.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 24.0, "3001", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3001&g_ta_cod=3001", 0.0, 0.0, 100.0),
(3727, "Public", "0741133E", "I.U.T. Annecy", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 10, 211, 9, 208, 0, 0, 0, 197, 44, 0, 0, 11, 3, 0, 3, 0, 0, 95, 0, 0, 0, 0, 0, 91, 19, 0, 0, 4, 49, 9, 0, 9, 0, 0.0, 8.0, 8.0, 0, 2, 9, 0, 9, 0, 0, 0, 0, 0, 5, 4, 0.0, 0, 9, 0, 0, 0, 6, 6, 0.0, 88.89, 88.89, 0.0, 66.6875, 66.6875, 0, 22.19921875, 100.0, 0.0, 0.0, 0.0, 55.59375, 44.4, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 340.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "208", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=208", 0.0, 100.0, 0.0),
(3728, "Public", "0332081H", "Lycée Odilon Redon", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pauillac", "formation sélective", "BTS", "Lycée Odilon Redon - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 377, 168, 284, 0, 24, 6, 93, 26, 103, 42, 64, 93, 0, 0, 64, 29, 182, 7, 0, 0, 23, 6, 81, 24, 69, 24, 9, 111, 14, 11, 13, 1, 1.0, 11.0, 12.0, 0, 5, 14, 0, 6, 8, 0, 0, 3, 8, 3, 0, 0.0, 0, 5, 6, 6, 5, 11, 11, 7.14, 78.57, 85.71, 78.59375, 78.59375, 78.59375, 42.8984375, 35.6953125, 100.0, 0.0, 21.3984375, 57.09375, 21.3984375, 0.0, 0.0, 0.0, 0.0, 42.8984375, 35.6953125, 57.09375, 42.8984375, 5.0, 3.0, 69.0, 27.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 40.0, "4427", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4427&g_ta_cod=4427", 0.0, 43.0, 57.0),
(3729, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "PASS", "Université de Rennes 1 - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 40, 3716, 2957, 3716, 0, 2950, 373, 96, 29, 23, 9, 647, 0, 0, 0, 0, 0, 3711, 0, 0, 0, 2950, 373, 96, 29, 23, 9, 642, 238, 46, 41, 46, 0, 1.0, 37.0, 43.0, 0, 7, 40, 38, 1, 1, 6, 1, 0, 0, 12, 24, 3.0, 38, 1, 0, 0, 0, 37, 37, 2.17, 80.43, 93.48, 89.09375, 92.5, 92.5, 0, 17.5, 87.0, 2.5, 0.0, 0.0, 30.0, 60.0, 7.5, 95.0, 95.0, 2.5, 2.5, 2.5, 0.0, 183.0, 27.0, 4.0, 1.0, 47.0, "Tous les candidats", 1063.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 14.0, "27363", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27360&g_ta_cod=27363", 96.0, 2.0, 2.0),
(3730, "Public", "0470003Y", "Lycée Jean-Baptiste De Baudre", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "BTS", "Lycée Jean-Baptiste De Baudre - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 350, 38, 350, 0, 46, 12, 121, 43, 83, 25, 100, 0, 0, 0, 0, 0, 226, 0, 0, 0, 27, 6, 108, 36, 83, 25, 8, 60, 11, 0, 11, 0, 4.0, 10.0, 11.0, 0, 4, 10, 1, 6, 3, 1, 0, 4, 4, 2, 0, 0.0, 0, 4, 2, 0, 0, 9, 9, 36.36, 90.91, 100.0, 0.0, 90.0, 90.0, 0, 40.0, 90.890625, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 10.0, 0.0, 60.0, 40.0, 30.0, 20.0, 1.0, 1.0, 41.0, 13.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 22.0, "17658", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17658&g_ta_cod=17658", 9.0, 55.0, 36.0),
(3731, "Privé sous contrat d'association", "0070114L", "Lycée professionnel Notre Dame", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Privas", "formation sélective", "Autre formation", "Lycée professionnel Notre Dame - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 18, 39, 11, 28, 0, 5, 0, 5, 0, 14, 3, 4, 11, 3, 1, 2, 5, 26, 8, 0, 0, 5, 0, 4, 0, 14, 3, 3, 33, 12, 3, 10, 2, 6.0, 10.0, 12.0, 0, 2, 9, 0, 2, 7, 3, 1, 6, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 9, 9, 50.0, 83.33, 100.0, 25.0, 100.0, 100.0, 0, 22.19921875, 75.0, 11.099609375, 66.6875, 22.19921875, 0.0, 0.0, 0.0, 0.0, 0.0, 22.19921875, 0.0, 77.796875, 22.19921875, 7.0, 0.0, 16.0, 3.0, 5.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "29968", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29968&g_ta_cod=29968", 17.0, 17.0, 58.0),
(3732, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Licence - Langues étrangères appliquées - Parcours LEA Anglais Japonais", "Licence - Arts-lettres-langues", "LEA Anglais Japonais", 30, 1205, 801, 1205, 0, 568, 145, 100, 44, 39, 21, 498, 0, 0, 0, 0, 0, 308, 0, 0, 0, 235, 50, 7, 3, 1, 0, 65, 114, 29, 25, 29, 0, 10.0, 25.0, 26.0, 0, 5, 23, 23, 0, 0, 6, 0, 0, 4, 12, 7, 0.0, 23, 0, 0, 0, 0, 1, 8, 34.48, 86.21, 89.66, 86.1875, 4.2998046875, 34.796875, 0, 21.69921875, 79.296875, 0.0, 0.0, 17.3984375, 52.1953125, 30.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 91.0, 18.0, 0.0, 0.0, 20.0, "Tous les candidats", 143.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "9337", "Licence - Langues étrangères appliquées - Parcours LEA Anglais Japonais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9337&g_ta_cod=9337", 100.0, 0.0, 0.0),
(3733, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Allemand et Gestion parcours Management et Sciences Humaines (MSH)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Allemand et Gestion parcours Management et Sciences Humaines (MSH)", 10, 302, 223, 302, 0, 199, 29, 21, 10, 4, 1, 78, 0, 0, 0, 0, 0, 302, 0, 0, 0, 199, 29, 21, 10, 4, 1, 78, 63, 10, 9, 10, 0, 1.0, 6.0, 10.0, 0, 3, 10, 10, 0, 0, 0, 0, 0, 2, 4, 4, 0.0, 10, 0, 0, 0, 0, 6, 6, 10.0, 60.0, 100.0, 90.0, 60.0, 60.0, 0, 30.0, 100.0, 0.0, 0.0, 20.0, 40.0, 40.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 41.0, 11.0, 0.0, 0.0, 22.0, "Tous les candidats", 127.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "8515", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Allemand et Gestion parcours Management et Sciences Humaines (MSH)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8515&g_ta_cod=8515", 100.0, 0.0, 0.0),
(3734, "Public", "0270017X", "Lycée Modeste Leroy", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BTS", "Lycée Modeste Leroy - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 334, 28, 334, 0, 47, 4, 107, 31, 74, 28, 106, 0, 0, 0, 0, 0, 236, 0, 0, 0, 40, 4, 94, 24, 59, 18, 43, 59, 14, 0, 14, 0, 4.0, 12.0, 12.0, 0, 7, 11, 1, 5, 5, 3, 0, 4, 4, 2, 1, 0.0, 1, 2, 4, 2, 0, 11, 11, 28.57, 85.71, 85.71, 0.0, 100.0, 100.0, 18.19921875, 63.59375, 78.59375, 0.0, 36.3984375, 36.3984375, 18.19921875, 9.1, 0.0, 9.099609375, 9.099609375, 45.5, 18.19921875, 45.5, 36.3984375, 7.0, 1.0, 16.0, 5.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 29.0, "3688", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3688&g_ta_cod=3688", 7.0, 43.0, 50.0),
(3735, "Public", "9760338N", "Lycée Polyvalent de Dembeni", "976", "Mayotte", "Mayotte", "Mayotte", "Dembeni", "formation sélective", "BTS", "Lycée Polyvalent de Dembeni - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 25, 1037, 807, 1037, 0, 239, 150, 267, 172, 219, 124, 312, 0, 0, 0, 0, 0, 462, 0, 0, 0, 111, 75, 135, 91, 82, 49, 134, 52, 25, 22, 25, 0, 8.0, 18.0, 22.0, 0, 11, 22, 3, 10, 9, 3, 0, 9, 8, 5, 0, 0.0, 2, 3, 8, 8, 7, 22, 22, 32.0, 72.0, 88.0, 88.0, 100.0, 100.0, 36.3984375, 50.0, 88.0, 0.0, 40.8984375, 36.3984375, 22.69921875, 0.0, 0.0, 13.599609375, 9.099609375, 45.5, 13.599609375, 40.8984375, 36.3984375, 5.0, 3.0, 15.0, 9.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers technologiques toutes séries", 32, "Bacheliers professionnels toutes séries", 23, "Liste d'appel propre à cette formation", 6.0, "25321", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25321&g_ta_cod=25321", 12.0, 48.0, 40.0),
(3736, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Russe", "Licence - Arts-lettres-langues", "Russe", 30, 26, 15, 15, 0, 8, 2, 2, 1, 1, 0, 4, 11, 3, 0, 0, 8, 15, 5, 0, 0, 8, 2, 2, 1, 1, 0, 4, 20, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 9.0, 3.0, 1.0, 0.0, 8.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5067", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5067&g_ta_cod=5067", 100.0, 0.0, 0.0),
(3737, "Public", "0292363L", "Campus de l'excellence sportive de Bretagne - Antenne de Quimper", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "Autre formation", "Campus de l'excellence sportive de Bretagne - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 4, 231, 28, 231, 0, 51, 15, 73, 10, 64, 21, 43, 0, 0, 0, 0, 0, 24, 0, 0, 0, 4, 0, 13, 1, 4, 0, 3, 10, 3, 0, 3, 0, 2.0, 3.0, 3.0, 0, 0, 2, 0, 1, 1, 1, 0, 1, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 2, 2, 66.67, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 0.0, 1.0, 0.0, 2.0, 0.0, 2.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 5.0, "26566", "BPJEPS - Activités physiques pour tous", "Campus de l'excellence sportive de Bretagne", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23545&g_ta_cod=26566", 0.0, 67.0, 33.0),
(3738, "Public", "0350011X", "Lycée Jean Guehenno", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Fougères", "formation sélective", "BTS", "Lycée Jean Guehenno - BTS - Production - Métiers de la mode-chaussure et maroquinerie (Seconde année en apprentissage)", "BTS - Production", "", 15, 189, 162, 189, 0, 33, 6, 14, 3, 89, 14, 53, 0, 0, 0, 0, 0, 141, 0, 0, 0, 32, 6, 14, 3, 64, 10, 31, 63, 13, 12, 13, 0, 5.0, 6.0, 10.0, 0, 3, 8, 0, 0, 8, 5, 0, 2, 3, 2, 1, 0.0, 0, 0, 6, 0, 0, 5, 5, 38.46, 46.15, 76.92, 92.296875, 62.5, 62.5, 0, 37.5, 61.5, 0.0, 25.0, 37.5, 25.0, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 8.0, 2.0, 34.0, 8.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 52.0, "19808", "BTS - Production - Métiers de la mode-chaussure et maroquinerie (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19808&g_ta_cod=19808", 15.0, 0.0, 77.0),
(3739, "Public", "0630018C", "Lycée Blaise Pascal", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "CPGE", "Lycée Blaise Pascal - CPGE - MPSI", "Classe préparatoire scientifique", "", 93, 1806, 563, 1806, 1232, 1489, 156, 0, 0, 0, 0, 317, 0, 0, 0, 0, 0, 1209, 0, 620, 996, 1175, 127, 0, 0, 0, 0, 34, 522, 89, 23, 89, 0, 23.0, 71.0, 85.0, 6, 13, 83, 83, 0, 0, 6, 0, 0, 2, 23, 54, 4.0, 83, 0, 0, 3, 0, 64, 64, 25.84, 79.78, 95.51, 25.796875, 77.09375, 77.09375, 3.599609375, 15.69921875, 93.296875, 0.0, 0.0, 2.39990234375, 27.69921875, 65.1, 4.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 501.0, 68.0, 0.0, 0.0, 21.0, "Tous les candidats", 717.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "7545", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7545&g_ta_cod=7545", 100.0, 0.0, 0.0),
(3740, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Lycée Gaston Berger - Diplôme de Comptabilité et de Gestion", "DCG", "", 48, 1115, 518, 1115, 0, 399, 120, 256, 99, 26, 14, 434, 0, 0, 0, 0, 0, 393, 0, 0, 0, 228, 64, 100, 37, 0, 0, 65, 174, 43, 20, 43, 0, 20.0, 39.0, 42.0, 0, 18, 36, 29, 7, 0, 7, 0, 4, 12, 12, 8, 0.0, 25, 7, 0, 0, 0, 34, 34, 46.51, 90.7, 97.67, 46.5, 94.390625, 94.390625, 0, 50.0, 83.6875, 0.0, 11.099609375, 33.296875, 33.296875, 22.2, 0.0, 80.59375, 69.390625, 19.3984375, 19.3984375, 0.0, 0.0, 116.0, 35.0, 0.0, 0.0, 23.0, "Tous les candidats", 242.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "6877", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6877&g_ta_cod=6877", 84.0, 16.0, 0.0),
(3741, "Public", "0220058U", "Lycée Chaptal", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "CPGE", "Lycée Chaptal - CPGE - TSI", "Classe préparatoire scientifique", "", 45, 369, 52, 367, 266, 0, 0, 337, 51, 0, 0, 30, 2, 0, 2, 0, 0, 272, 0, 202, 250, 0, 0, 262, 39, 0, 0, 10, 181, 37, 3, 36, 0, 5.0, 34.0, 36.0, 27, 5, 34, 0, 34, 0, 3, 0, 3, 11, 19, 1, 0.0, 0, 31, 0, 2, 0, 28, 28, 13.51, 91.89, 97.3, 8.099609375, 82.390625, 82.390625, 5.8994140625, 14.69921875, 91.890625, 0.0, 8.798828125, 32.3984375, 55.8984375, 2.9, 0.0, 0.0, 0.0, 100.0, 91.1875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8.0, "Autres candidats", 271.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "3324", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3324&g_ta_cod=3324", 0.0, 100.0, 0.0),
(3742, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 140, 889, 685, 664, 0, 421, 89, 72, 27, 22, 7, 149, 225, 58, 20, 16, 131, 664, 220, 0, 0, 421, 89, 72, 27, 22, 7, 149, 763, 124, 94, 58, 65, 21.0, 57.0, 97.0, 0, 16, 72, 45, 13, 14, 52, 0, 37, 26, 8, 1, 0.0, 24, 4, 7, 0, 0, 56, 56, 16.94, 45.97, 78.23, 75.796875, 77.796875, 77.796875, 0, 22.19921875, 58.09375, 0.0, 51.3984375, 36.09375, 11.099609375, 1.4, 0.0, 62.5, 33.296875, 18.09765625, 5.599609375, 19.3984375, 9.69921875, 387.0, 83.0, 37.0, 16.0, 252.0, "Tous les candidats", 663.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3562", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3562&g_ta_cod=3562", 65.0, 19.0, 15.0),
(3743, "Public", "0772312V", "Lycée Flora Tristan", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Montereau-Fault-Yonne", "formation sélective", "BTS", "Lycée Flora Tristan - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 552, 329, 467, 0, 28, 10, 83, 41, 141, 71, 215, 85, 0, 45, 0, 40, 322, 5, 0, 0, 27, 9, 72, 36, 130, 63, 93, 168, 32, 18, 31, 1, 2.0, 22.0, 29.0, 0, 9, 24, 3, 5, 16, 8, 1, 13, 8, 2, 0, 0.0, 0, 1, 9, 9, 4, 19, 20, 6.25, 68.75, 90.63, 56.296875, 79.1875, 83.296875, 37.5, 37.5, 75.0, 4.19921875, 54.1953125, 33.296875, 8.298828125, 0.0, 0.0, 12.5, 0.0, 20.796875, 4.19921875, 66.6875, 37.5, 21.0, 8.0, 65.0, 27.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 89, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 47.0, "9888", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9888&g_ta_cod=9888", 28.0, 22.0, 50.0),
(3744, "Public", "0060033D", "Lycée Honoré d'Estienne d'Orves (Beau-Site)", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Autre formation", "Lycée Honoré d'Estienne d'Orves (Beau-Site) - Diplôme de Comptabilité et de Gestion", "DCG", "", 37, 690, 321, 690, 0, 275, 77, 148, 51, 21, 10, 246, 0, 0, 0, 0, 0, 481, 0, 0, 0, 255, 68, 120, 39, 0, 0, 106, 170, 43, 24, 43, 0, 8.0, 34.0, 41.0, 0, 9, 29, 22, 7, 0, 14, 0, 2, 16, 10, 1, 0.0, 21, 6, 0, 0, 0, 25, 25, 18.6, 79.07, 95.35, 55.796875, 86.1875, 86.1875, 0, 31.0, 67.390625, 0.0, 6.8994140625, 55.1953125, 34.5, 3.4, 0.0, 75.890625, 72.390625, 24.09765625, 20.69921875, 0.0, 0.0, 93.0, 21.0, 0.0, 0.0, 43.0, "Tous les candidats", 275.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "2226", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2226&g_ta_cod=2226", 81.0, 19.0, 0.0),
(3745, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Université de Strasbourg - C.M.I - Cursus Master en Ingénierie - Sciences pour l'ingénieur - Cursus Master Ingénierie en Micro et Nano-Electronique", "C.M.I - Cursus Master en Ingénierie", "Cursus Master Ingénierie en Micro et Nano-Electronique", 12, 147, 23, 139, 0, 93, 13, 2, 2, 1, 1, 43, 8, 2, 0, 0, 6, 49, 0, 0, 0, 39, 6, 0, 0, 0, 0, 10, 40, 9, 2, 9, 0, 2.0, 8.0, 9.0, 0, 2, 7, 7, 0, 0, 2, 0, 0, 2, 4, 1, 0.0, 7, 0, 0, 0, 0, 5, 5, 22.22, 88.89, 100.0, 22.19921875, 71.390625, 71.390625, 0, 28.59765625, 77.796875, 0.0, 0.0, 28.59765625, 57.09375, 14.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 31.0, 4.0, 0.0, 0.0, 9.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "15883", "C.M.I - Cursus Master en Ingénierie - Sciences pour l'ingénieur - Cursus Master Ingénierie en Micro et Nano-Electronique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15883&g_ta_cod=15883", 100.0, 0.0, 0.0),
(3746, "Public", "0951399E", "Lycée Alfred Kastler", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "CPGE", "Lycée Alfred Kastler - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 20, 391, 182, 383, 0, 316, 52, 2, 0, 1, 0, 64, 8, 4, 0, 1, 3, 275, 3, 0, 275, 257, 38, 0, 0, 0, 0, 18, 164, 9, 4, 8, 1, 1.0, 3.0, 8.0, 0, 0, 9, 9, 0, 0, 0, 0, 3, 3, 0, 3, 0.0, 6, 0, 0, 2, 0, 8, 8, 11.11, 33.33, 88.89, 44.3984375, 88.890625, 88.890625, 22.19921875, 0.0, 100.0, 0.0, 33.296875, 33.296875, 0.0, 33.3, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 151.0, 21.0, 0.0, 0.0, 13.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "31481", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31399&g_ta_cod=31481", 100.0, 0.0, 0.0),
(3747, "Public", "0381516T", "IUT 1 GRENOBLE - ENEPS", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "BUT", "IUT 1 GRENOBLE - ENEPS - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics", "BUT - Production", "Travaux Bâtiment - Travaux Publics", 22, 160, 28, 160, 0, 0, 0, 0, 0, 142, 47, 18, 0, 0, 0, 0, 0, 67, 0, 0, 0, 0, 0, 0, 0, 65, 11, 2, 42, 22, 2, 22, 0, 11.0, 21.0, 22.0, 0, 4, 22, 0, 0, 22, 0, 0, 0, 3, 9, 10, 0.0, 0, 0, 22, 0, 0, 7, 7, 50.0, 95.45, 100.0, 9.099609375, 31.796875, 31.796875, 0, 18.19921875, 100.0, 0.0, 0.0, 13.599609375, 40.8984375, 45.5, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 41.0, 11.0, 1.0, "Tous les candidats sauf les Bac technologiques", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "4972", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4972&g_ta_cod=4972", 0.0, 0.0, 100.0),
(3748, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence_Las", "Université Paris 8 - Licence - Portail Sciences du langage", "Licence - Sciences humaines et sociales", "", 5, 171, 154, 171, 0, 86, 30, 5, 3, 5, 3, 75, 0, 0, 0, 0, 0, 171, 0, 0, 0, 86, 30, 5, 3, 5, 3, 75, 26, 5, 5, 5, 0, 0.0, 3.0, 4.0, 0, 1, 2, 2, 0, 0, 3, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 2, 0.0, 60.0, 80.0, 100.0, 50.0, 100.0, 0, 50.0, 40.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 20.0, 6.0, 0.0, 0.0, 5.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "28413", "Licence - Portail Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28412&g_ta_cod=28413", 100.0, 0.0, 0.0),
(3749, "Privé sous contrat d'association", "0921365J", "Lycée Madeleine Daniélou", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Rueil-Malmaison", "formation sélective", "CPGE", "Lycée Madeleine Daniélou - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 42, 1319, 735, 1319, 0, 1254, 66, 0, 0, 1, 0, 64, 0, 0, 0, 0, 0, 280, 0, 0, 280, 280, 14, 0, 0, 0, 0, 0, 118, 42, 26, 42, 0, 10.0, 35.0, 37.0, 0, 1, 42, 42, 0, 0, 0, 2, 0, 0, 2, 28, 10.0, 40, 0, 0, 2, 2, 23, 35, 23.81, 83.33, 88.1, 61.8984375, 54.796875, 83.296875, 4.7998046875, 2.39990234375, 100.0, 4.7998046875, 0.0, 0.0, 4.7998046875, 66.7, 23.8, 100.0, 95.1875, 0.0, 0.0, 0.0, 0.0, 118.0, 7.0, 0.0, 0.0, 0.0, "Tous les candidats", 126.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "31409", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31409&g_ta_cod=31409", 100.0, 0.0, 0.0),
(3750, "Privé sous contrat d'association", "0560858D", "Lycée agricole La Touche", "56", "Morbihan", "Bretagne", "Rennes", "Ploërmel", "formation sélective", "BTS", "Lycée agricole La Touche - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 24, 139, 39, 131, 0, 22, 4, 47, 10, 24, 2, 38, 8, 2, 1, 0, 5, 96, 3, 0, 0, 18, 3, 43, 8, 20, 2, 15, 73, 13, 2, 11, 2, 6.0, 11.0, 13.0, 0, 2, 11, 0, 5, 6, 2, 0, 1, 8, 2, 0, 0.0, 0, 5, 5, 2, 0, 10, 10, 46.15, 84.62, 100.0, 15.3984375, 90.890625, 90.890625, 18.19921875, 18.19921875, 84.59375, 0.0, 9.099609375, 72.6875, 18.19921875, 0.0, 0.0, 0.0, 0.0, 45.5, 45.5, 54.5, 45.5, 15.0, 3.0, 12.0, 2.0, 13.0, "Tous les candidats sauf les Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 72.0, "6466", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6466&g_ta_cod=6466", 8.0, 46.0, 46.0),
(3751, "Public", "0610018N", "Lycée Les Andaines", "61", "Orne", "Normandie", "Normandie", "La Ferté Macé", "formation sélective", "BTS", "Lycée Les Andaines - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 648, 293, 637, 0, 46, 14, 110, 32, 104, 35, 377, 11, 0, 4, 5, 2, 282, 4, 0, 0, 46, 14, 110, 32, 89, 27, 37, 154, 12, 5, 9, 3, 0.0, 7.0, 8.0, 0, 2, 9, 0, 2, 7, 3, 0, 4, 5, 0, 0, 0.0, 0, 1, 4, 1, 0, 9, 9, 0.0, 58.33, 66.67, 41.6953125, 100.0, 100.0, 11.099609375, 22.19921875, 75.0, 0.0, 44.3984375, 55.59375, 0.0, 0.0, 0.0, 0.0, 0.0, 22.19921875, 11.099609375, 77.796875, 44.3984375, 4.0, 1.0, 59.0, 18.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 116, "Liste d'appel propre à cette formation", 32.0, "7300", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7300&g_ta_cod=7300", 8.0, 25.0, 67.0),
(3752, "Public", "0590110Z", "Lycée Jean Perrin", "59", "Nord", "Hauts-de-France", "Lille", "Lambersart", "formation sélective", "BTS", "Lycée Jean Perrin - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 317, 143, 293, 0, 39, 13, 80, 43, 82, 47, 92, 24, 0, 0, 12, 12, 220, 11, 0, 0, 33, 11, 74, 37, 69, 40, 44, 102, 21, 10, 16, 5, 1.0, 10.0, 18.0, 0, 6, 14, 2, 4, 8, 7, 0, 5, 8, 1, 0, 0.0, 1, 2, 6, 3, 0, 12, 12, 4.76, 47.62, 85.71, 47.59375, 85.6875, 85.6875, 21.3984375, 42.8984375, 66.6875, 0.0, 35.6953125, 57.09375, 7.099609375, 0.0, 0.0, 14.298828125, 7.099609375, 28.59765625, 14.298828125, 57.09375, 42.8984375, 15.0, 6.0, 45.0, 28.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 61.0, "6776", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6776&g_ta_cod=6776", 24.0, 29.0, 48.0),
(3753, "Public", "0910625K", "Lycée ROSA PARKS", "91", "Essonne", "Ile-de-France", "Versailles", "Montgeron", "formation sélective", "BTS", "Lycée ROSA PARKS - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 705, 492, 617, 0, 14, 2, 192, 79, 208, 102, 203, 88, 0, 0, 49, 39, 362, 2, 0, 0, 9, 1, 151, 62, 119, 57, 83, 173, 34, 27, 31, 2, 2.0, 22.0, 29.0, 0, 7, 20, 0, 8, 12, 14, 0, 7, 10, 2, 1, 0.0, 0, 4, 9, 3, 1, 14, 20, 5.88, 64.71, 85.29, 79.390625, 70.0, 100.0, 15, 35.0, 58.796875, 0.0, 35.0, 50.0, 10.0, 5.0, 0.0, 0.0, 0.0, 40.0, 20.0, 60.0, 45.0, 7.0, 1.0, 71.0, 32.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 138, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 39.0, "10856", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10856&g_ta_cod=10856", 6.0, 44.0, 50.0),
(3754, "Privé sous contrat d'association", "0221866J", "Lycée professionnel Kersa La Salle", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Ploubazlanec", "formation sélective", "Autre formation", "Lycée professionnel Kersa La Salle - Mention complémentaire - Maintenance des installations oléohydrauliques et pneumatiques", "Mention complémentaire", "", 15, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 1, 3, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 1, 0.0, 0.0, 1.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 1.0, 1.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34904", "Mention complémentaire - Maintenance des installations oléohydrauliques et pneumatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34904&g_ta_cod=34904", 100.0, 0.0, 0.0),
(3755, "Public", "0920147K", "Lycée Paul Langevin", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Suresnes", "formation sélective", "BTS", "Lycée Paul Langevin - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 983, 504, 983, 0, 65, 27, 283, 127, 336, 182, 299, 0, 0, 0, 0, 0, 505, 0, 0, 0, 34, 13, 178, 82, 199, 111, 94, 170, 33, 19, 32, 0, 4.0, 19.0, 30.0, 0, 11, 24, 3, 13, 8, 9, 0, 12, 8, 3, 1, 0.0, 1, 6, 5, 5, 2, 20, 22, 12.12, 57.58, 90.91, 57.59375, 83.296875, 91.6875, 20.796875, 45.796875, 72.6875, 0.0, 50.0, 33.296875, 12.5, 4.2, 0.0, 12.5, 4.19921875, 54.1953125, 25.0, 33.296875, 20.796875, 10.0, 6.0, 47.0, 27.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 91, "Bacheliers technologiques toutes séries", 141, "Liste d'appel propre à cette formation", 26.0, "20624", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20624&g_ta_cod=20624", 9.0, 64.0, 27.0),
(3756, "Privé sous contrat d'association", "0941934S", "EFREI Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villejuif", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 180, 3434, 656, 3434, 0, 3427, 344, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 3074, 0, 0, 0, 3074, 271, 0, 0, 0, 0, 0, 2512, 180, 14, 180, 0, 126.0, 166.0, 177.0, 0, 22, 180, 180, 0, 0, 0, 0, 8, 99, 62, 11, 0.0, 172, 0, 0, 0, 0, 52, 149, 70.0, 92.22, 98.33, 7.7998046875, 28.8984375, 82.796875, 0, 12.19921875, 100.0, 0.0, 4.3994140625, 55.0, 34.3984375, 6.1, 0.0, 100.0, 95.59375, 0.0, 0.0, 0.0, 0.0, 2512.0, 252.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "167", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=167", 100.0, 0.0, 0.0),
(3757, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Droit - Parcours International franco-allemand en droit", "Licence - Droit-économie-gestion", "International franco-allemand en droit", 15, 92, 72, 92, 0, 72, 7, 0, 0, 1, 0, 19, 0, 0, 0, 0, 0, 80, 0, 0, 0, 66, 7, 0, 0, 0, 0, 14, 54, 14, 11, 14, 0, 3.0, 14.0, 14.0, 0, 4, 12, 12, 0, 0, 2, 0, 2, 3, 4, 3, 0.0, 10, 0, 0, 0, 0, 2, 2, 21.43, 100.0, 100.0, 78.59375, 16.69921875, 16.69921875, 0, 33.296875, 85.6875, 0.0, 16.69921875, 25.0, 33.296875, 25.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 45.0, 6.0, 0.0, 0.0, 9.0, "Tous les candidats", 74.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "22614", "Licence - Droit - Parcours International franco-allemand en droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22614&g_ta_cod=22614", 100.0, 0.0, 0.0),
(3758, "Public", "0240026Y", "Lycée Albert Claveille", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BTS", "Lycée Albert Claveille - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 83, 8, 74, 0, 3, 1, 36, 8, 18, 6, 17, 9, 0, 0, 1, 8, 66, 5, 0, 0, 3, 1, 36, 8, 18, 6, 9, 57, 11, 1, 6, 5, 2.0, 6.0, 11.0, 0, 1, 4, 0, 3, 1, 7, 0, 3, 0, 1, 0, 0.0, 0, 1, 0, 1, 0, 4, 4, 18.18, 54.55, 100.0, 9.099609375, 100.0, 100.0, 25, 25.0, 36.3984375, 0.0, 75.0, 0.0, 25.0, 0.0, 0.0, 0.0, 0.0, 75.0, 25.0, 25.0, 0.0, 3.0, 1.0, 16.0, 6.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 89.0, "3427", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3427&g_ta_cod=3427", 0.0, 82.0, 18.0),
(3759, "Public", "0142133T", "Lycée P. S. De Laplace", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée P. S. De Laplace - BTS - Production - Management économique de la construction", "BTS - Production", "", 15, 180, 46, 180, 0, 28, 5, 55, 7, 62, 22, 35, 0, 0, 0, 0, 0, 171, 0, 0, 0, 28, 5, 53, 7, 60, 20, 30, 48, 15, 3, 15, 0, 3.0, 11.0, 12.0, 0, 7, 13, 3, 4, 6, 2, 0, 3, 8, 2, 0, 0.0, 2, 4, 4, 6, 0, 12, 12, 20.0, 73.33, 80.0, 20.0, 92.296875, 92.296875, 46.1953125, 53.796875, 86.6875, 0.0, 23.09765625, 61.5, 15.3984375, 0.0, 0.0, 23.09765625, 15.3984375, 30.796875, 30.796875, 46.1953125, 30.796875, 8.0, 2.0, 25.0, 10.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 33.0, "2931", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2931&g_ta_cod=2931", 33.0, 27.0, 40.0),
(3760, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Cinéma et audiovisuel", "Licence - Arts-lettres-langues", "Anglais - Mineure Cinéma et audiovisuel", 20, 912, 672, 912, 0, 652, 113, 31, 10, 15, 5, 214, 0, 0, 0, 0, 0, 905, 0, 0, 0, 652, 113, 31, 10, 15, 5, 207, 86, 20, 17, 20, 0, 0.0, 19.0, 20.0, 0, 2, 18, 18, 0, 0, 2, 0, 0, 1, 11, 5, 1.0, 18, 0, 0, 0, 0, 6, 14, 0.0, 95.0, 100.0, 85.0, 33.296875, 77.796875, 0, 11.099609375, 90.0, 0.0, 0.0, 5.599609375, 61.09375, 27.8, 5.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 75.0, 10.0, 1.0, 1.0, 9.0, "Tous les candidats", 156.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "23996", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Cinéma et audiovisuel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23996&g_ta_cod=23996", 95.0, 0.0, 0.0),
(3761, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Licence - Droit français - Droit étranger - Parcours Droit français - droit russe", "Licence - Droit-économie-gestion", "Droit français - droit russe", 35, 101, 66, 101, 0, 67, 22, 8, 3, 5, 3, 21, 0, 0, 0, 0, 0, 101, 0, 0, 0, 67, 22, 8, 3, 5, 3, 21, 62, 35, 24, 35, 0, 15.0, 33.0, 34.0, 0, 11, 30, 27, 3, 0, 5, 1, 12, 9, 8, 0, 0.0, 15, 2, 0, 0, 0, 12, 23, 42.86, 94.29, 97.14, 68.59375, 40.0, 76.6875, 0, 36.6953125, 85.6875, 3.2998046875, 40.0, 30.0, 26.69921875, 0.0, 0.0, 90.0, 50.0, 10.0, 6.69921875, 0.0, 0.0, 50.0, 18.0, 0.0, 0.0, 9.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "11080", "Licence - Droit français - Droit étranger - Parcours Droit français - droit russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11080&g_ta_cod=11080", 91.0, 9.0, 0.0),
(3762, "Public", "0060030A", "Lycée Masséna", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "CPGE", "Lycée Masséna - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 2646, 778, 2646, 2035, 2345, 177, 1, 1, 0, 0, 300, 0, 0, 0, 0, 0, 2475, 0, 2035, 2106, 2257, 174, 0, 0, 0, 0, 218, 218, 95, 22, 95, 0, 28.0, 90.0, 92.0, 25, 7, 95, 95, 0, 0, 0, 0, 0, 0, 7, 55, 33.0, 95, 0, 0, 6, 1, 86, 86, 29.47, 94.74, 96.84, 23.19921875, 90.5, 90.5, 6.2998046875, 7.3994140625, 100.0, 0.0, 0.0, 0.0, 7.3994140625, 57.9, 34.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 218.0, 15.0, 0.0, 0.0, 0.0, "Tous les candidats", 260.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "2206", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2206&g_ta_cod=2206", 100.0, 0.0, 0.0),
(3763, "Public", "0921982E", "IFSI Hôpital Stell", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Rueil-Malmaison", "formation sélective", "IFSI", "Regroupement d'IFSI Médecine Sorbonne Université P6 - D.E Infirmier", "D.E secteur sanitaire", "", 84, 6684, 5798, 6684, 0, 666, 209, 949, 373, 876, 457, 4193, 0, 0, 0, 0, 0, 5535, 0, 0, 0, 643, 203, 866, 338, 817, 429, 3209, 1283, 85, 76, 85, 0, 1.0, 20.0, 58.0, 0, 9, 16, 2, 2, 12, 69, 0, 7, 8, 0, 1, 0.0, 2, 0, 7, 0, 0, 12, 14, 1.18, 23.53, 68.24, 89.390625, 75.0, 87.5, 0, 56.296875, 18.796875, 0.0, 43.796875, 50.0, 0.0, 6.3, 0.0, 12.5, 12.5, 12.5, 0.0, 75.0, 43.796875, 93.0, 61.0, 98.0, 79.0, 1047.0, "Tous les candidats", 4021.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "29245", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23003&g_ta_cod=29245", 18.0, 51.0, 32.0),
(3764, "Public", "0750685M", "Lycée Pierre-Gilles de Gennes - ENCPB", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "CPGE", "Lycée Pierre-Gilles de Gennes - ENCPB - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 1412, 579, 1412, 172, 1138, 189, 2, 1, 1, 1, 271, 0, 0, 0, 0, 0, 1234, 0, 133, 1214, 1062, 171, 0, 0, 0, 0, 172, 894, 106, 34, 106, 0, 101.0, 103.0, 106.0, 4, 14, 104, 104, 0, 0, 2, 0, 4, 32, 60, 8, 0.0, 100, 0, 0, 7, 2, 50, 99, 95.28, 97.17, 100.0, 32.09375, 48.09375, 95.1875, 6.69921875, 13.5, 98.09375, 0.0, 3.7998046875, 30.796875, 57.6953125, 7.7, 0.0, 100.0, 96.1875, 0.0, 0.0, 0.0, 0.0, 848.0, 131.0, 0.0, 0.0, 46.0, "Tous les candidats", 900.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "9071", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9071&g_ta_cod=9071", 100.0, 0.0, 0.0),
(3765, "Public", "0820021C", "Lycée Antoine Bourdelle", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Montauban", "formation sélective", "BTS", "Lycée Antoine Bourdelle - BTS - Services - Support à l'action managériale", "BTS - Services", "", 18, 231, 155, 205, 0, 7, 0, 68, 23, 80, 42, 50, 26, 2, 0, 9, 15, 137, 3, 0, 0, 7, 0, 54, 16, 60, 30, 16, 90, 19, 16, 18, 1, 0.0, 16.0, 18.0, 0, 9, 16, 1, 7, 8, 3, 0, 8, 8, 0, 0, 0.0, 1, 2, 5, 1, 0, 16, 16, 0.0, 84.21, 94.74, 84.1875, 100.0, 100.0, 6.2998046875, 56.296875, 84.1875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 6.2998046875, 6.2998046875, 43.796875, 12.5, 50.0, 31.296875, 5.0, 0.0, 48.0, 21.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 56.0, "17587", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17587&g_ta_cod=17587", 5.0, 47.0, 47.0),
(3766, "Public", "0681801N", "Lycée Charles De Gaulle", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Pulversheim", "formation sélective", "Autre formation", "Lycée Charles De Gaulle - Mention complémentaire - Technicien(ne) en tuyauterie", "Mention complémentaire", "", 12, 36, 1, 34, 0, 0, 0, 0, 0, 16, 8, 18, 2, 0, 0, 1, 1, 15, 2, 0, 0, 0, 0, 0, 0, 15, 8, 0, 18, 4, 0, 2, 2, 2.0, 2.0, 3.0, 0, 1, 3, 0, 0, 3, 1, 0, 1, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 3, 3, 50.0, 50.0, 75.0, 0.0, 100.0, 100.0, 0, 33.296875, 75.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 17.0, 10.0, 1.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "25416", "Mention complémentaire - Technicien(ne) en tuyauterie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25416&g_ta_cod=25416", 0.0, 0.0, 100.0),
(3767, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence", "Institut national universitaire Champollion - Licence - Lettres", "Licence - Arts-lettres-langues", "", 50, 238, 202, 174, 0, 125, 34, 6, 3, 10, 6, 33, 64, 10, 4, 9, 41, 174, 49, 0, 0, 125, 34, 6, 3, 10, 6, 33, 223, 39, 33, 28, 11, 28.0, 28.0, 35.0, 0, 8, 25, 21, 1, 3, 14, 0, 8, 10, 5, 2, 0.0, 15, 0, 2, 0, 0, 20, 20, 71.79, 71.79, 89.74, 84.59375, 80.0, 80.0, 0, 32.0, 64.09375, 0.0, 32.0, 40.0, 20.0, 8.0, 0.0, 84.0, 60.0, 4.0, 0.0, 12.0, 8.0, 133.0, 37.0, 17.0, 11.0, 65.0, "Tous les candidats", 174.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "17806", "Licence - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17806&g_ta_cod=17806", 74.0, 5.0, 21.0),
(3768, "Public", "0701048J", "I.U.T de Besançon - Antenne de Vesoul", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Vesoul", "formation sélective", "BUT", "I.U.T de Besançon - Antenne de Vesoul - BUT - Gestion logistique et transport Parcours : Management de mobilité et de la supply-chain connectées - Management de mobilité et de la supply-chain durables", "BUT - Service", "Management de mobilité et de la supply-chain connectées - Management de mobilité et de la supply-chain durables", 54, 265, 66, 214, 0, 97, 10, 46, 11, 19, 5, 52, 51, 3, 2, 3, 43, 163, 20, 0, 0, 91, 9, 40, 10, 10, 2, 22, 173, 42, 10, 28, 13, 21.0, 28.0, 39.0, 0, 8, 27, 14, 11, 2, 15, 0, 14, 11, 2, 0, 0.0, 6, 5, 2, 0, 0, 19, 19, 50.0, 66.67, 92.86, 23.796875, 70.390625, 70.390625, 0, 29.59765625, 64.296875, 0.0, 51.8984375, 40.6953125, 7.3994140625, 0.0, 0.0, 51.8984375, 22.19921875, 40.6953125, 18.5, 7.3994140625, 7.3994140625, 84.0, 10.0, 9.0, 2.0, 37.0, "Tous les candidats sauf les Bac technologiques", 122.0, "Bacheliers technologiques toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 76.0, "8606", "BUT - Gestion logistique et transport Parcours : Management de mobilité et de la supply-chain connectées - Management de mobilité et de la supply-chain durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8606&g_ta_cod=8606", 52.0, 40.0, 7.0),
(3769, "Public", "0772817U", "CREPS d'Ile de France - Antenne de Pontault-Combault", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Pontault-Combault", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS) - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 6, 83, 23, 60, 0, 13, 2, 14, 2, 10, 4, 23, 23, 7, 6, 1, 9, 14, 0, 0, 0, 4, 1, 1, 0, 2, 1, 7, 12, 4, 1, 4, 0, 2.0, 4.0, 4.0, 0, 1, 2, 1, 1, 0, 2, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 50.0, 100.0, 100.0, 25.0, 100.0, 100.0, 0, 50.0, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 4.0, 1.0, 1.0, 1.0, 6.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "26597", "BPJEPS - Activités aquatiques et de la natation", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21352&g_ta_cod=26597", 25.0, 75.0, 0.0),
(3770, "Public", "0450782F", "Lycée Voltaire", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "CPGE", "Lycée Voltaire - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 48, 515, 260, 515, 322, 447, 53, 0, 0, 0, 0, 68, 0, 0, 0, 0, 0, 424, 0, 270, 395, 422, 49, 0, 0, 0, 0, 2, 261, 51, 24, 51, 0, 11.0, 40.0, 50.0, 27, 9, 51, 51, 0, 0, 0, 0, 5, 9, 26, 11, 0.0, 46, 0, 0, 0, 0, 41, 41, 21.57, 78.43, 98.04, 47.09375, 80.390625, 80.390625, 0, 17.59765625, 100.0, 0.0, 9.798828125, 17.59765625, 51.0, 21.6, 0.0, 100.0, 90.1875, 0.0, 0.0, 0.0, 0.0, 260.0, 29.0, 0.0, 0.0, 1.0, "Tous les candidats", 423.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "31357", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31357&g_ta_cod=31357", 100.0, 0.0, 0.0),
(3771, "Public", "0341921D", "Lycée Georges Pompidou", "34", "Hérault", "Occitanie", "Montpellier", "Castelnau-le-Lez", "formation sélective", "BTS", "Lycée Georges Pompidou - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1078, 561, 1078, 0, 96, 28, 439, 169, 296, 151, 247, 0, 0, 0, 0, 0, 538, 0, 0, 0, 15, 4, 172, 26, 214, 117, 137, 93, 37, 15, 36, 0, 11.0, 27.0, 32.0, 0, 11, 27, 2, 15, 10, 10, 0, 9, 7, 11, 0, 0.0, 0, 10, 8, 18, 8, 26, 26, 29.73, 72.97, 86.49, 40.5, 96.296875, 96.296875, 66.6875, 40.6953125, 73.0, 0.0, 33.296875, 25.8984375, 40.6953125, 0.0, 0.0, 7.3994140625, 0.0, 55.59375, 37.0, 37.0, 29.59765625, 4.0, 4.0, 27.0, 12.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 9.0, "4610", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4610&g_ta_cod=4610", 11.0, 51.0, 38.0),
(3772, "Privé sous contrat d'association", "0672684D", "EDIAC FORMATION ETABLISSEMENT DES DIACONESSES", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "EFTS", "EDIAC FORMATION ETABLISSEMENT DES DIACONESSES - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 30, 196, 186, 196, 0, 49, 6, 28, 5, 19, 6, 100, 0, 0, 0, 0, 0, 148, 0, 0, 0, 38, 3, 21, 4, 18, 6, 71, 55, 31, 30, 31, 0, 18.0, 31.0, 31.0, 0, 2, 17, 7, 5, 5, 14, 1, 3, 4, 8, 1, 0.0, 5, 4, 4, 0, 0, 12, 12, 58.06, 100.0, 100.0, 96.796875, 70.59375, 70.59375, 0, 11.798828125, 54.796875, 5.8994140625, 17.59765625, 23.5, 47.09375, 5.9, 0.0, 41.1953125, 29.3984375, 29.3984375, 23.5, 29.3984375, 23.5, 15.0, 0.0, 11.0, 2.0, 21.0, "Tous les candidats", 56.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "24980", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24980&g_ta_cod=24980", 52.0, 29.0, 19.0),
(3773, "Public", "9720823M", "Lycée du Nord Caraibe", "972", "Martinique", "Martinique", "Martinique", "Bellefontaine", "formation sélective", "Autre formation", "Lycée du Nord Caraibe - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 13, 63, 42, 63, 0, 14, 6, 13, 2, 25, 20, 11, 0, 0, 0, 0, 0, 33, 0, 0, 0, 10, 5, 10, 2, 12, 9, 1, 20, 13, 9, 13, 0, 10.0, 11.0, 13.0, 0, 7, 13, 1, 6, 6, 0, 0, 6, 7, 0, 0, 0.0, 1, 1, 5, 0, 0, 12, 12, 76.92, 84.62, 100.0, 69.1875, 92.296875, 92.296875, 0, 53.796875, 100.0, 0.0, 46.1953125, 53.796875, 0.0, 0.0, 0.0, 7.69921875, 7.69921875, 46.1953125, 7.69921875, 46.1953125, 38.5, 3.0, 2.0, 6.0, 6.0, 1.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "11831", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11831&g_ta_cod=11831", 8.0, 46.0, 46.0),
(3774, "Privé enseignement supérieur", "0690670D", "CRESPA -SCIENCES U", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 3e  Arrondissement", "formation sélective", "BTS", "CRESPA -SCIENCES U - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 100, 767, 349, 562, 0, 71, 17, 262, 68, 101, 16, 128, 205, 28, 54, 46, 77, 334, 31, 0, 0, 53, 11, 169, 38, 61, 8, 51, 287, 36, 10, 29, 7, 0.0, 22.0, 36.0, 0, 5, 26, 7, 13, 6, 10, 0, 17, 8, 1, 0, 0.0, 1, 4, 4, 0, 0, 12, 12, 0.0, 61.11, 100.0, 27.796875, 46.1953125, 46.1953125, 0, 19.19921875, 72.1875, 0.0, 65.390625, 30.796875, 3.7998046875, 0.0, 0.0, 26.8984375, 3.7998046875, 50.0, 15.3984375, 23.09765625, 15.3984375, 58.0, 13.0, 55.0, 11.0, 49.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 74.0, "Bacheliers technologiques toutes séries", 186, "Bacheliers professionnels toutes séries", 69, "Liste d'appel propre à cette formation", 59.0, "26522", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26522&g_ta_cod=26522", 31.0, 44.0, 25.0),
(3775, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation non sélective", "Licence_Las", "Université Grenoble Alpes - Antenne de Valence - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et Techniques des Activités Physiques et Sportives (STAPS) - Valence", "Licence - Sciences - technologies - santé", "Sciences et Techniques des Activités Physiques et Sportives (STAPS) - Valence", 25, 914, 345, 914, 0, 600, 79, 94, 16, 22, 13, 198, 0, 0, 0, 0, 0, 911, 0, 0, 0, 600, 79, 94, 16, 22, 13, 195, 93, 25, 8, 25, 0, 4.0, 17.0, 18.0, 0, 8, 25, 23, 2, 0, 0, 1, 6, 10, 6, 2, 0.0, 16, 2, 0, 0, 0, 24, 24, 16.0, 68.0, 72.0, 32.0, 96.0, 96.0, 0, 32.0, 100.0, 4.0, 24.0, 40.0, 24.0, 8.0, 0.0, 92.0, 64.0, 8.0, 8.0, 0.0, 0.0, 60.0, 13.0, 0.0, 0.0, 28.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "31007", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et Techniques des Activités Physiques et Sportives (STAPS) - Valence", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31006&g_ta_cod=31007", 92.0, 8.0, 0.0),
(3776, "Public", "0132495S", "Lycée Arthur Rimbaud", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Istres", "formation sélective", "BTS", "Lycée Arthur Rimbaud - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 303, 144, 243, 0, 30, 11, 66, 26, 55, 32, 92, 60, 11, 8, 0, 41, 139, 20, 0, 0, 23, 8, 47, 16, 42, 23, 27, 120, 24, 11, 21, 3, 12.0, 19.0, 23.0, 0, 6, 19, 4, 6, 9, 5, 0, 6, 5, 7, 1, 0.0, 2, 2, 9, 5, 1, 18, 18, 50.0, 79.17, 95.83, 45.796875, 94.6875, 94.6875, 26.296875, 31.59765625, 79.1875, 0.0, 31.59765625, 26.296875, 36.796875, 5.3, 0.0, 21.09765625, 10.5, 31.59765625, 10.5, 47.3984375, 47.3984375, 28.0, 12.0, 17.0, 7.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 47.0, "2774", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2774&g_ta_cod=2774", 25.0, 38.0, 38.0),
(3777, "Public", "0130043B", "Lycée Victor Hugo", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation sélective", "BTS", "Lycée Victor Hugo - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 30, 1180, 717, 1180, 0, 219, 115, 312, 188, 214, 141, 435, 0, 0, 0, 0, 0, 379, 0, 0, 0, 102, 53, 86, 43, 85, 52, 106, 140, 28, 19, 28, 0, 4.0, 21.0, 24.0, 0, 11, 15, 5, 5, 5, 13, 0, 4, 5, 5, 1, 0.0, 3, 3, 5, 1, 1, 15, 15, 14.29, 75.0, 85.71, 67.890625, 100.0, 100.0, 6.69921875, 73.296875, 53.59375, 0.0, 26.69921875, 33.296875, 33.296875, 6.7, 0.0, 33.296875, 20.0, 33.296875, 20.0, 33.296875, 33.296875, 38.0, 24.0, 11.0, 5.0, 53.0, "Tous les candidats sauf les Bac professionnels", 173.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 18.0, "2556", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2556&g_ta_cod=2556", 29.0, 46.0, 25.0),
(3778, "Public", "0011119L", "Lycée Arbez Carme", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Oyonnax", "formation sélective", "BTS", "Lycée Arbez Carme - BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "BTS - Production", "", 8, 41, 2, 40, 0, 3, 1, 13, 1, 20, 7, 4, 1, 0, 0, 1, 0, 28, 1, 0, 0, 3, 1, 9, 1, 15, 6, 1, 24, 3, 0, 2, 1, 0.0, 2.0, 2.0, 0, 1, 3, 1, 1, 1, 0, 0, 0, 3, 0, 0, 0.0, 1, 1, 1, 1, 0, 2, 2, 0.0, 66.67, 66.67, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 33.296875, 33.296875, 33.296875, 3.0, 1.0, 14.0, 6.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 65.0, "2020", "BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2020&g_ta_cod=2020", 33.0, 33.0, 33.0),
(3779, "Public", "0551086G", "CNAM Grand Est - Verdun", "55", "Meuse", "Grand Est", "Nancy-Metz", "Verdun", "formation sélective", "Autre formation", "CNAM Grand Est - Verdun - Formation Supérieure de Spécialisation - Comptabilité", "Diplôme d'Université", "Comptabilité", 15, 41, 20, 38, 0, 0, 0, 4, 3, 3, 2, 31, 3, 1, 0, 0, 2, 5, 1, 0, 0, 0, 0, 4, 3, 1, 1, 0, 6, 1, 1, 1, 0, 1.0, 1.0, 1.0, 0, 1, 1, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 100.0, 0.0, 0.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 1.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "34143", "Formation Supérieure de Spécialisation - Comptabilité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34143&g_ta_cod=34143", 0.0, 100.0, 0.0),
(3780, "Public", "0381522Y", "CREPS Rhône-Alpes - Site de Voiron", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Voiron", "formation sélective", "Autre formation", "CREPS Rhône-Alpes - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 1, 33, 7, 24, 0, 6, 1, 8, 0, 5, 0, 5, 9, 4, 3, 0, 2, 9, 1, 0, 0, 3, 1, 3, 0, 2, 0, 1, 8, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4.0, 1.0, 1.0, 0.0, 1.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "31905", "BPJEPS - Activités aquatiques et de la natation", "CREPS Rhône-Alpes", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21876&g_ta_cod=31905", 0, 0, 0),
(3781, "Public", "0291540S", "IFSI CHRU Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bretagne Occidentale - D.E Infirmier", "D.E secteur sanitaire", "", 108, 2775, 2330, 2775, 0, 592, 85, 568, 124, 292, 88, 1323, 0, 0, 0, 0, 0, 2419, 0, 0, 0, 569, 76, 509, 106, 243, 69, 1098, 331, 108, 98, 108, 0, 22.0, 74.0, 87.0, 0, 9, 77, 36, 32, 9, 31, 0, 4, 38, 32, 3, 0.0, 34, 30, 9, 0, 0, 69, 69, 20.37, 68.52, 80.56, 90.6875, 89.59375, 89.59375, 0, 11.69921875, 71.296875, 0.0, 5.19921875, 49.3984375, 41.59375, 3.9, 0.0, 46.796875, 44.1953125, 41.59375, 39.0, 11.69921875, 11.69921875, 114.0, 10.0, 25.0, 4.0, 94.0, "Tous les candidats", 424.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 15.0, "23388", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23376&g_ta_cod=23388", 54.0, 33.0, 13.0),
(3782, "Privé sous contrat d'association", "0593077Z", "Lycée Saint Joseph", "59", "Nord", "Hauts-de-France", "Lille", "Hazebrouck", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 15, 80, 8, 78, 0, 2, 0, 18, 4, 29, 8, 29, 2, 0, 0, 0, 2, 47, 0, 0, 0, 2, 0, 14, 3, 27, 7, 4, 40, 12, 0, 12, 0, 5.0, 12.0, 12.0, 0, 2, 12, 0, 2, 10, 0, 0, 3, 3, 2, 4, 0.0, 0, 1, 8, 11, 0, 12, 12, 41.67, 100.0, 100.0, 0.0, 100.0, 100.0, 91.6875, 16.69921875, 100.0, 0.0, 25.0, 25.0, 16.69921875, 33.3, 0.0, 0.0, 0.0, 16.69921875, 8.298828125, 83.296875, 66.6875, 2.0, 0.0, 23.0, 6.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 59.0, "19796", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19796&g_ta_cod=19796", 0.0, 17.0, 83.0),
(3783, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Licence", "Université Côte d'Azur - Double licence - Sciences de la vie / Chimie - Double licence Chimie - Sciences de la Vie", "Licence - Sciences - technologies - santé", "Double licence Chimie - Sciences de la Vie", 32, 989, 736, 989, 0, 566, 87, 17, 5, 0, 0, 406, 0, 0, 0, 0, 0, 643, 0, 0, 0, 410, 57, 3, 1, 0, 0, 230, 225, 25, 21, 25, 0, 3.0, 11.0, 20.0, 0, 2, 18, 18, 0, 0, 7, 0, 0, 0, 7, 9, 2.0, 18, 0, 0, 0, 0, 10, 10, 12.0, 44.0, 80.0, 84.0, 55.59375, 55.59375, 0, 11.099609375, 72.0, 0.0, 0.0, 0.0, 38.8984375, 50.0, 11.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 138.0, 15.0, 0.0, 0.0, 87.0, "Tous les candidats", 371.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "19167", "Double licence - Sciences de la vie / Chimie - Double licence Chimie - Sciences de la Vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19167&g_ta_cod=19167", 100.0, 0.0, 0.0),
(3784, "Public", "0810004P", "Lycée Louis Rascol", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "BTS", "Lycée Louis Rascol - BTS - Production - Conception de produits industriels", "BTS - Production", "", 30, 225, 19, 225, 0, 21, 1, 107, 22, 43, 10, 54, 0, 0, 0, 0, 0, 225, 0, 0, 0, 21, 1, 107, 22, 43, 10, 54, 119, 25, 1, 25, 0, 7.0, 18.0, 24.0, 0, 4, 20, 1, 11, 8, 5, 0, 8, 7, 4, 1, 0.0, 1, 4, 7, 7, 0, 20, 20, 28.0, 72.0, 96.0, 4.0, 100.0, 100.0, 35, 20.0, 80.0, 0.0, 40.0, 35.0, 20.0, 5.0, 0.0, 5.0, 5.0, 55.0, 20.0, 40.0, 35.0, 14.0, 1.0, 31.0, 6.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 122, "Liste d'appel propre à cette formation", 87.0, "10258", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10258&g_ta_cod=10258", 16.0, 48.0, 36.0),
(3785, "Public", "0310052N", "Roland Garros Lycée des métiers de la maintenance mécanique et de la productique", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Roland Garros Lycée des métiers de la maintenance mécanique et de la productique - Mention complémentaire - Technicien ascensoriste, service et modernisation", "Mention complémentaire", "", 15, 113, 1, 104, 0, 1, 1, 1, 0, 88, 42, 14, 9, 0, 0, 5, 4, 45, 0, 0, 0, 0, 0, 0, 0, 39, 20, 6, 39, 7, 0, 7, 0, 2.0, 7.0, 7.0, 0, 3, 4, 0, 0, 4, 3, 0, 3, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 28.57, 100.0, 100.0, 0.0, 25.0, 25.0, 0, 75.0, 57.09375, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 33.0, 18.0, 6.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "25425", "Mention complémentaire - Technicien ascensoriste, service et modernisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25425&g_ta_cod=25425", 0.0, 0.0, 100.0),
(3786, "Public", "0620108F", "Lycée Condorcet", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "BTS", "Lycée Condorcet - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 499, 349, 479, 0, 26, 8, 180, 99, 132, 76, 141, 20, 2, 6, 2, 10, 280, 9, 0, 0, 22, 7, 110, 52, 102, 55, 46, 180, 31, 22, 27, 4, 4.0, 22.0, 24.0, 0, 13, 23, 1, 7, 15, 8, 0, 15, 3, 5, 0, 0.0, 0, 1, 7, 5, 3, 23, 23, 12.9, 70.97, 77.42, 71.0, 100.0, 100.0, 21.69921875, 56.5, 74.1875, 0.0, 65.1875, 13.0, 21.69921875, 0.0, 0.0, 4.2998046875, 0.0, 30.3984375, 4.2998046875, 65.1875, 30.3984375, 15.0, 8.0, 75.0, 44.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 105, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 46.0, "7374", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7374&g_ta_cod=7374", 16.0, 32.0, 52.0),
(3787, "Privé sous contrat d'association", "0660951A", "Institut Régional du Travail Social de Perpignan", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "EFTS", "Institut Régional du Travail Social de Montpellier - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 17, 364, 352, 364, 0, 51, 7, 77, 14, 42, 15, 194, 0, 0, 0, 0, 0, 92, 0, 0, 0, 6, 0, 11, 0, 4, 2, 71, 45, 17, 17, 17, 0, 6.0, 15.0, 15.0, 0, 0, 1, 0, 1, 0, 16, 0, 0, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 1, 1, 35.29, 88.24, 88.24, 100.0, 100.0, 100.0, 0, 0.0, 5.8994140625, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 4.0, 0.0, 0.0, 0.0, 36.0, "Tous les candidats", 76.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "28393", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24865&g_ta_cod=28393", 47.0, 29.0, 18.0),
(3788, "Public", "0130234J", "Ecole nationale supérieure maritime (ENSM) - Centre de Marseille", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  8e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Ecole nationale supérieure maritime (ENSM) - Centre de Marseille - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "", 150, 530, 82, 530, 0, 269, 12, 25, 1, 7, 0, 229, 0, 0, 0, 0, 0, 229, 0, 0, 0, 155, 4, 2, 0, 0, 0, 72, 189, 152, 25, 152, 0, 122.0, 144.0, 149.0, 0, 3, 99, 97, 2, 0, 53, 1, 1, 28, 47, 21, 1.0, 95, 2, 0, 0, 0, 17, 17, 80.26, 94.74, 98.03, 16.3984375, 17.19921875, 17.19921875, 0, 3.0, 65.09375, 1.0, 1.0, 28.296875, 47.5, 21.2, 1.0, 98.0, 96.0, 2.0, 2.0, 0.0, 0.0, 129.0, 4.0, 0.0, 0.0, 58.0, "Tous les candidats", 188.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "32906", "Formation d'ingénieur Bac + 5", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32906&g_ta_cod=32906", 96.0, 4.0, 0.0),
(3789, "Public", "0741476C", "Lycée Jean Monnet", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annemasse", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 153, 4, 149, 0, 4, 1, 48, 11, 76, 18, 21, 4, 0, 1, 2, 1, 94, 0, 0, 0, 3, 0, 34, 6, 50, 11, 7, 83, 18, 0, 18, 0, 3.0, 18.0, 18.0, 0, 4, 16, 1, 5, 10, 2, 0, 5, 7, 4, 0, 0.0, 0, 3, 8, 3, 0, 15, 15, 16.67, 100.0, 100.0, 0.0, 93.796875, 93.796875, 18.796875, 25.0, 88.890625, 0.0, 31.296875, 43.796875, 25.0, 0.0, 0.0, 6.2998046875, 0.0, 31.296875, 18.796875, 62.5, 50.0, 3.0, 0.0, 43.0, 11.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 62.0, "8915", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8915&g_ta_cod=8915", 11.0, 33.0, 56.0),
(3790, "Public", "0930833A", "Lycée Jean Zay", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aulnay-sous-Bois", "formation sélective", "BTS", "Lycée Jean Zay - BTS - Services - Communication", "BTS - Services", "", 35, 1463, 987, 1463, 0, 182, 68, 491, 237, 175, 96, 615, 0, 0, 0, 0, 0, 719, 0, 0, 0, 64, 30, 229, 110, 175, 96, 251, 181, 32, 26, 32, 0, 1.0, 22.0, 29.0, 0, 12, 28, 4, 17, 7, 4, 0, 3, 25, 0, 0, 0.0, 4, 15, 6, 7, 5, 23, 27, 3.13, 68.75, 90.63, 81.296875, 82.09375, 96.390625, 25, 42.8984375, 87.5, 0.0, 10.69921875, 89.296875, 0.0, 0.0, 0.0, 14.298828125, 14.298828125, 60.6953125, 53.59375, 25.0, 21.3984375, 17.0, 12.0, 41.0, 19.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 129, "Liste d'appel propre à cette formation", 16.0, "11208", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11208&g_ta_cod=11208", 16.0, 59.0, 25.0),
(3791, "Public", "0800009A", "Lycée Louis Thuillier", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "CPGE", "Lycée Louis Thuillier - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 424, 298, 397, 220, 315, 56, 3, 1, 2, 0, 77, 27, 11, 0, 1, 15, 302, 7, 182, 290, 286, 50, 0, 0, 1, 0, 15, 193, 31, 20, 30, 1, 5.0, 29.0, 30.0, 10, 8, 30, 30, 0, 0, 1, 0, 0, 2, 16, 10, 2.0, 30, 0, 0, 5, 3, 28, 28, 16.13, 93.55, 96.77, 64.5, 93.296875, 93.296875, 16.69921875, 26.69921875, 96.796875, 0.0, 0.0, 6.69921875, 53.296875, 33.3, 6.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 178.0, 31.0, 1.0, 0.0, 14.0, "Tous les candidats", 302.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "10156", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10156&g_ta_cod=10156", 100.0, 0.0, 0.0),
(3792, "Privé sous contrat d'association", "0440355X", "Lycée agricole Campus - Lycee Technologique Charles Peguy", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Gorges", "formation sélective", "BTS", "Lycée agricole Campus - Lycee Technologique Charles Peguy - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 27, 62, 24, 56, 0, 4, 1, 16, 2, 20, 4, 16, 6, 0, 3, 1, 2, 51, 0, 0, 0, 4, 1, 16, 2, 20, 4, 11, 48, 9, 4, 9, 0, 7.0, 9.0, 9.0, 0, 1, 8, 1, 3, 4, 1, 0, 1, 7, 0, 0, 0.0, 1, 3, 3, 2, 2, 5, 5, 77.78, 100.0, 100.0, 44.3984375, 62.5, 62.5, 25, 12.5, 88.890625, 0.0, 12.5, 87.5, 0.0, 0.0, 0.0, 12.5, 12.5, 37.5, 37.5, 50.0, 37.5, 4.0, 1.0, 18.0, 4.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 91.0, "5545", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5545&g_ta_cod=5545", 22.0, 33.0, 44.0),
(3793, "Public", "0251711Z", "Lycée Claude Nicolas Ledoux", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Claude Nicolas Ledoux - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 18, 530, 302, 529, 0, 74, 18, 163, 68, 101, 60, 191, 1, 0, 0, 1, 0, 266, 0, 0, 0, 47, 8, 112, 41, 44, 22, 63, 82, 20, 11, 20, 0, 5.0, 13.0, 17.0, 0, 4, 17, 3, 11, 3, 3, 0, 10, 6, 1, 0, 0.0, 2, 4, 1, 2, 0, 17, 17, 25.0, 65.0, 85.0, 55.0, 100.0, 100.0, 11.798828125, 23.5, 85.0, 0.0, 58.796875, 35.296875, 5.8994140625, 0.0, 0.0, 17.59765625, 11.798828125, 64.6875, 23.5, 17.59765625, 5.8994140625, 13.0, 3.0, 22.0, 12.0, 16.0, "Tous les candidats sauf les Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 21.0, "3579", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3579&g_ta_cod=3579", 20.0, 60.0, 20.0),
(3794, "Public", "0820021C", "Lycée Antoine Bourdelle", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Montauban", "formation sélective", "BTS", "Lycée Antoine Bourdelle - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 12, 299, 30, 299, 0, 56, 9, 88, 22, 62, 24, 93, 0, 0, 0, 0, 0, 218, 0, 0, 0, 56, 9, 83, 21, 56, 20, 23, 48, 15, 0, 15, 0, 8.0, 11.0, 15.0, 0, 6, 12, 3, 3, 6, 3, 0, 4, 5, 3, 0, 0.0, 1, 3, 4, 2, 0, 11, 11, 53.33, 73.33, 100.0, 0.0, 91.6875, 91.6875, 16.69921875, 50.0, 80.0, 0.0, 33.296875, 41.6953125, 25.0, 0.0, 0.0, 25.0, 8.298828125, 25.0, 25.0, 50.0, 33.296875, 13.0, 4.0, 21.0, 6.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 38.0, "17589", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17589&g_ta_cod=17589", 33.0, 27.0, 40.0),
(3795, "Public", "0940608A", "École nationale vétérinaire d-Alfort", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Maisons-Alfort", "formation sélective", "Autre formation", "Concours des écoles nationales vétérinaires - Concours Première année", "Formations des écoles nationales vétérinaires", "Concours première année", 40, 5290, 4031, 5290, 0, 5259, 508, 0, 0, 0, 0, 31, 0, 0, 0, 0, 0, 584, 0, 0, 0, 581, 59, 0, 0, 0, 0, 3, 102, 40, 36, 40, 0, 10.0, 39.0, 40.0, 0, 6, 40, 40, 0, 0, 0, 0, 0, 1, 2, 15, 22.0, 40, 0, 0, 0, 0, 6, 15, 25.0, 97.5, 100.0, 90.0, 15.0, 37.5, 0, 15.0, 100.0, 0.0, 0.0, 2.5, 5.0, 37.5, 55.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 102.0, 10.0, 0.0, 0.0, 0.0, "Tous les candidats", 120.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 2.0, "30876", "Concours Première année", "Concours des écoles nationales vétérinaires", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30874&g_ta_cod=30876", 100.0, 0.0, 0.0),
(3796, "Public", "0930135S", "Lycée professionnel Simone Weil", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Pantin", "formation sélective", "BTS", "Lycée professionnel Simone Weil - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 30, 1486, 700, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1486, 0, 527, 420, 539, 0, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 52, 30, 11, 0, 7, 0.0, 0.0, 16.0, 0, 13, 29, 0, 11, 18, 1, 0, 8, 15, 5, 1, 0.0, 0, 7, 14, 1, 1, 28, 29, 0.0, 0.0, 53.33, 36.6953125, 96.59375, 100.0, 3.39990234375, 44.796875, 96.6875, 0.0, 27.59765625, 51.6953125, 17.19921875, 3.4, 0.0, 0.0, 0.0, 37.8984375, 24.09765625, 62.09375, 48.296875, 2.0, 1.0, 29.0, 15.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34998", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34998&g_ta_cod=34998", 0.0, 40.0, 60.0),
(3797, "Public", "0430951A", "I.U.T. de Clermont-Ferrand - Antenne du Puy", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "BUT", "I.U.T. de Clermont-Ferrand - Antenne du Puy - BUT - Métiers du multimédia et de l'internet Parcours : Création numérique - Développement web et dispositifs interactifs", "BUT - Production", "Création numérique - Développement web et dispositifs interactifs", 54, 1208, 292, 1118, 0, 514, 86, 320, 80, 25, 8, 259, 90, 0, 45, 0, 45, 629, 20, 0, 0, 342, 49, 176, 40, 11, 3, 100, 253, 52, 14, 43, 9, 1.0, 35.0, 49.0, 0, 9, 39, 23, 16, 0, 13, 0, 6, 24, 9, 0, 0.0, 23, 10, 0, 0, 0, 14, 14, 1.92, 67.31, 94.23, 26.8984375, 35.8984375, 35.8984375, 0, 23.09765625, 75.0, 0.0, 15.3984375, 61.5, 23.09765625, 0.0, 0.0, 59.0, 59.0, 41.0, 25.59765625, 0.0, 0.0, 93.0, 18.0, 3.0, 1.0, 33.0, "Tous les candidats sauf les Bac technologiques", 157.0, "Bacheliers technologiques toutes séries", 194, "", 0, "Liste d'appel propre à cette formation", 31.0, "5412", "BUT - Métiers du multimédia et de l'internet Parcours : Création numérique - Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5412&g_ta_cod=5412", 48.0, 50.0, 2.0),
(3798, "Public", "0540030P", "Lycée Alfred Mezieres", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Longwy", "formation sélective", "Autre formation", "Lycée Alfred Mezieres - Mention complémentaire - Technicien ascensoriste, service et modernisation", "Mention complémentaire", "", 15, 40, 0, 38, 0, 0, 0, 0, 0, 33, 11, 5, 2, 0, 0, 1, 1, 21, 2, 0, 0, 0, 0, 0, 0, 19, 5, 2, 23, 5, 0, 4, 1, 3.0, 4.0, 5.0, 0, 0, 4, 0, 0, 4, 1, 0, 2, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 4, 4, 60.0, 80.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 80.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 20.0, 5.0, 3.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "15206", "Mention complémentaire - Technicien ascensoriste, service et modernisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15206&g_ta_cod=15206", 0.0, 20.0, 80.0),
(3799, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Arts - Parcours Arts plastiques", "Licence - Arts-lettres-langues", "Arts plastiques", 135, 1324, 1068, 1324, 0, 717, 156, 144, 31, 72, 24, 391, 0, 0, 0, 0, 0, 1323, 0, 0, 0, 717, 156, 144, 31, 72, 24, 390, 596, 134, 118, 134, 0, 13.0, 106.0, 117.0, 0, 29, 104, 86, 9, 9, 30, 0, 20, 51, 28, 4, 1.0, 69, 8, 7, 0, 0, 67, 67, 9.7, 79.1, 87.31, 88.09375, 64.390625, 64.390625, 0, 27.8984375, 77.59375, 0.0, 19.19921875, 49.0, 26.8984375, 3.8, 1.0, 82.6875, 66.296875, 8.69921875, 7.69921875, 8.69921875, 6.69921875, 390.0, 79.0, 28.0, 8.0, 111.0, "Tous les candidats", 816.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "8024", "Licence - Arts - Parcours Arts plastiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8024&g_ta_cod=8024", 84.0, 8.0, 8.0),
(3800, "Privé hors contrat", "0312745R", "SILVYA TERRADE - ESTHER MARIO", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "SILVYA TERRADE - ESTHER MARIO - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 80, 346, 335, 304, 0, 65, 20, 74, 26, 94, 32, 71, 42, 3, 10, 3, 26, 223, 38, 0, 0, 65, 20, 72, 26, 84, 30, 2, 238, 21, 21, 19, 2, 11.0, 19.0, 20.0, 0, 5, 20, 6, 5, 9, 1, 0, 11, 5, 4, 0, 0.0, 0, 1, 8, 0, 0, 10, 10, 52.38, 90.48, 95.24, 100.0, 50.0, 50.0, 0, 25.0, 95.1875, 0.0, 55.0, 25.0, 20.0, 0.0, 0.0, 30.0, 0.0, 25.0, 5.0, 45.0, 40.0, 65.0, 21.0, 72.0, 25.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 65.0, "Bacheliers technologiques toutes séries", 73, "Bacheliers professionnels toutes séries", 85, "Liste d'appel propre à cette formation", 73.0, "29505", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29505&g_ta_cod=29505", 29.0, 29.0, 43.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(3801, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence_Las", "Université de Paris - Licence - Portail Sciences du langage", "Licence - Sciences humaines et sociales", "", 10, 324, 297, 324, 0, 174, 43, 6, 3, 4, 2, 140, 0, 0, 0, 0, 0, 324, 0, 0, 0, 174, 43, 6, 3, 4, 2, 140, 58, 10, 10, 10, 0, 0.0, 7.0, 8.0, 0, 1, 6, 5, 1, 0, 4, 1, 0, 1, 4, 0, 0.0, 4, 1, 0, 0, 0, 1, 5, 0.0, 70.0, 80.0, 100.0, 16.69921875, 83.296875, 0, 16.69921875, 60.0, 16.69921875, 0.0, 16.69921875, 66.6875, 0.0, 0.0, 83.296875, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 32.0, 6.0, 1.0, 0.0, 24.0, "Tous les candidats", 155.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "29042", "Licence - Portail Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28351&g_ta_cod=29042", 90.0, 10.0, 0.0),
(3802, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Sciences de la terre - Biologie, Géologie, Chimie (BGC)", "Licence - Sciences - technologies - santé", "Biologie, Géologie, Chimie (BGC)", 35, 612, 360, 581, 0, 384, 58, 16, 4, 1, 1, 180, 31, 6, 3, 0, 22, 580, 27, 0, 0, 384, 58, 16, 4, 1, 1, 179, 357, 34, 16, 21, 13, 0.0, 12.0, 18.0, 0, 4, 19, 17, 2, 0, 15, 0, 10, 6, 3, 0, 0.0, 9, 0, 0, 0, 0, 15, 15, 0.0, 35.29, 52.94, 47.09375, 78.890625, 78.890625, 0, 21.09765625, 55.8984375, 0.0, 52.59375, 31.59765625, 15.798828125, 0.0, 0.0, 89.5, 47.3984375, 10.5, 0.0, 0.0, 0.0, 230.0, 36.0, 0.0, 0.0, 120.0, "Tous les candidats", 526.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "5360", "Licence - Portail Sciences de la terre - Biologie, Géologie, Chimie (BGC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32255&g_ta_cod=5360", 88.0, 12.0, 0.0),
(3803, "Public", "0060013G", "Lycée Bristol", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BTS", "Lycée Bristol - BTS - Services - Commerce International", "BTS - Services", "", 24, 1114, 621, 1114, 0, 359, 70, 325, 90, 154, 66, 276, 0, 0, 0, 0, 0, 543, 0, 0, 0, 224, 43, 172, 49, 53, 21, 94, 134, 26, 12, 26, 0, 2.0, 17.0, 19.0, 0, 8, 19, 8, 7, 4, 7, 0, 4, 12, 3, 0, 0.0, 6, 6, 3, 2, 0, 19, 19, 7.69, 65.38, 73.08, 46.1953125, 100.0, 100.0, 10.5, 42.09375, 73.09375, 0.0, 21.09765625, 63.1953125, 15.798828125, 0.0, 0.0, 42.09375, 31.59765625, 36.796875, 31.59765625, 21.09765625, 15.798828125, 74.0, 19.0, 11.0, 4.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 129.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 17.0, "2193", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2193&g_ta_cod=2193", 54.0, 31.0, 15.0),
(3804, "Public", "0290352A", "I.U.T de Quimper", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BUT", "I.U.T de Quimper - BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", "BUT - Service", "Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", 90, 551, 135, 515, 0, 202, 21, 185, 18, 19, 7, 109, 36, 8, 7, 2, 19, 343, 13, 0, 0, 169, 15, 117, 9, 11, 2, 46, 291, 81, 14, 72, 9, 22.0, 72.0, 77.0, 0, 9, 72, 44, 26, 2, 9, 0, 22, 40, 10, 0, 0.0, 24, 24, 2, 0, 0, 66, 66, 27.16, 88.89, 95.06, 17.296875, 91.6875, 91.6875, 0, 12.5, 88.890625, 0.0, 30.59765625, 55.59375, 13.8984375, 0.0, 0.0, 61.09375, 33.296875, 36.09375, 33.296875, 2.7998046875, 2.7998046875, 141.0, 13.0, 10.0, 2.0, 38.0, "Tous les candidats sauf les Bac technologiques", 215.0, "Bacheliers technologiques toutes séries", 127, "", 0, "Liste d'appel propre à cette formation", 66.0, "3882", "BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3882&g_ta_cod=3882", 63.0, 35.0, 2.0),
(3805, "Public", "0753268V", "Lycée Jean Lurcat", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Lurcat - BTS - Services - Assurance", "BTS - Services", "", 34, 1804, 985, 1781, 0, 168, 60, 474, 217, 474, 254, 665, 23, 6, 0, 0, 17, 765, 3, 0, 0, 71, 23, 244, 111, 296, 164, 154, 209, 34, 20, 32, 2, 2.0, 23.0, 30.0, 0, 13, 27, 6, 12, 9, 7, 0, 4, 19, 4, 0, 0.0, 4, 11, 8, 2, 2, 6, 25, 5.88, 67.65, 88.24, 58.796875, 22.19921875, 92.59375, 7.3994140625, 48.09375, 79.390625, 0.0, 14.798828125, 70.390625, 14.798828125, 0.0, 0.0, 22.19921875, 14.798828125, 44.3984375, 40.6953125, 33.296875, 29.59765625, 48.0, 16.0, 50.0, 34.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 103.0, "Bacheliers professionnels toutes séries", 165, "Bacheliers technologiques toutes séries", 108, "Liste d'appel propre à cette formation", 21.0, "9380", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9380&g_ta_cod=9380", 38.0, 35.0, 26.0),
(3806, "Public", "0750668U", "Lycée Jacques Decour", "75", "Paris", "Ile-de-France", "Paris", "Paris  9e  Arrondissement", "formation sélective", "CPGE", "Lycée Jacques Decour - CPGE - ECG -  - Mathématiques appliquées + HGG", "Classe préparatoire économique et commerciale", "", 48, 918, 482, 910, 107, 768, 137, 1, 0, 0, 0, 141, 8, 3, 0, 0, 5, 832, 3, 78, 822, 746, 130, 0, 0, 0, 0, 86, 487, 40, 16, 39, 1, 1.0, 15.0, 34.0, 2, 4, 29, 29, 0, 0, 11, 0, 9, 11, 9, 0, 0.0, 20, 0, 0, 0, 0, 10, 26, 2.5, 37.5, 85.0, 40.0, 34.5, 89.6875, 0, 13.798828125, 72.5, 0.0, 31.0, 37.8984375, 31.0, 0.0, 0.0, 100.0, 69.0, 0.0, 0.0, 0.0, 0.0, 433.0, 78.0, 0.0, 0.0, 54.0, "Tous les candidats", 803.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "31365", "CPGE - ECG -  - Mathématiques appliquées + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31365&g_ta_cod=31365", 100.0, 0.0, 0.0),
(3807, "Public", "0690276A", "CNED", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 4e  Arrondissement", "formation sélective", "BTS", "CNED - BTS - Services - Support à l'action managériale", "BTS - Services", "", 1200, 879, 581, 705, 0, 66, 17, 182, 83, 196, 103, 261, 174, 11, 36, 32, 95, 705, 165, 0, 0, 66, 17, 182, 83, 196, 103, 261, 870, 108, 68, 75, 33, 74.0, 75.0, 86.0, 0, 13, 31, 6, 14, 11, 77, 1, 22, 6, 1, 1, 0.0, 2, 5, 1, 1, 1, 7, 7, 68.52, 69.44, 79.63, 63.0, 22.59765625, 22.59765625, 3.19970703125, 41.8984375, 28.69921875, 3.19970703125, 71.0, 19.3984375, 3.19970703125, 3.2, 0.0, 19.3984375, 6.5, 45.1953125, 16.09765625, 35.5, 3.19970703125, 77.0, 21.0, 227.0, 126.0, 350.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 232.0, "Bacheliers professionnels toutes séries", 235, "Bacheliers technologiques toutes séries", 240, "Liste d'appel propre à cette formation", 100.0, "20792", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20792&g_ta_cod=20792", 56.0, 27.0, 17.0),
(3808, "Public", "0680074L", "Lycée professionnel des Métiers Charles Pointet", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Thann", "formation sélective", "Autre formation", "Lycée professionnel des Métiers Charles Pointet - Mention complémentaire - Services numériques aux organisations", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 19, 1, 0, 0, 0, 0.0, 0.0, 0.0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 11.0, 6.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35011", "Mention complémentaire - Services numériques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=35011&g_ta_cod=35011", 0.0, 0.0, 100.0),
(3809, "Public", "0861273S", "CNED", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Chasseneuil-du-Poitou", "formation sélective", "BTS", "CNED - BTS - Services - Gestion de la PME", "BTS - Services", "", 1200, 757, 432, 626, 0, 62, 12, 91, 34, 86, 41, 387, 131, 6, 23, 20, 82, 626, 126, 0, 0, 62, 12, 91, 34, 86, 41, 387, 750, 132, 79, 80, 52, 78.0, 80.0, 102.0, 0, 17, 52, 16, 17, 19, 80, 0, 25, 16, 5, 6, 0.0, 8, 7, 12, 0, 0, 11, 11, 59.09, 60.61, 77.27, 59.796875, 21.19921875, 21.19921875, 0, 32.6953125, 39.3984375, 0.0, 48.09375, 30.796875, 9.599609375, 11.5, 0.0, 30.796875, 15.3984375, 32.6953125, 13.5, 36.5, 23.09765625, 67.0, 16.0, 105.0, 47.0, 465.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 361.0, "Bacheliers professionnels toutes séries", 120, "Bacheliers technologiques toutes séries", 146, "Liste d'appel propre à cette formation", 100.0, "20803", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20803&g_ta_cod=20803", 46.0, 26.0, 27.0),
(3810, "Public", "0750802P", "Lycée professionnel Hector Guimard", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Hector Guimard - DN MADE - Espace - - Spécialité : Décor architectural-pictural grand format", "DN MADE", "- Spécialité : Décor architectural-pictural grand format", 15, 964, 770, 964, 0, 476, 95, 116, 36, 80, 23, 292, 0, 0, 0, 0, 0, 146, 0, 0, 0, 75, 13, 26, 7, 0, 0, 45, 91, 14, 13, 14, 0, 0.0, 11.0, 14.0, 0, 1, 10, 8, 2, 0, 4, 0, 2, 5, 3, 0, 0.0, 6, 2, 0, 0, 0, 1, 6, 0.0, 78.57, 100.0, 92.890625, 10.0, 60.0, 0, 10.0, 71.390625, 0.0, 20.0, 50.0, 30.0, 0.0, 0.0, 80.0, 60.0, 20.0, 20.0, 0.0, 0.0, 53.0, 10.0, 0.0, 0.0, 24.0, "Tous les candidats", 133.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "21747", "DN MADE - Espace - - Spécialité : Décor architectural-pictural grand format", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21747&g_ta_cod=21747", 71.0, 21.0, 0.0),
(3811, "Public", "0251994G", "Lycée polyvalent Germaine Tillion", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "CPGE", "Lycée polyvalent Germaine Tillion - CPGE - TSI", "Classe préparatoire scientifique", "", 30, 166, 22, 163, 121, 0, 0, 128, 31, 0, 0, 35, 3, 0, 2, 0, 1, 117, 0, 89, 101, 0, 0, 116, 29, 0, 0, 1, 76, 23, 2, 23, 0, 10.0, 23.0, 23.0, 10, 5, 22, 0, 22, 0, 1, 0, 3, 12, 4, 3, 0.0, 0, 19, 0, 10, 1, 22, 22, 43.48, 100.0, 100.0, 8.69921875, 100.0, 100.0, 45.5, 22.69921875, 95.6875, 0.0, 13.599609375, 54.5, 18.19921875, 13.6, 0.0, 0.0, 0.0, 100.0, 86.390625, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 117.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "3483", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3483&g_ta_cod=3483", 0.0, 100.0, 0.0),
(3812, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Licence", "Université Clermont Auvergne - Licence - Double diplôme - Licence Etudes européennes et internationales - Etudes européennes et internationales franco-portugaises, double diplôme Licence Estudos Portugueses (Universidade do Minho - Braga)", "Licence - Arts-lettres-langues", "Etudes européennes et internationales franco-portugaises, double diplôme Licence Estudos Portugueses (Universidade do Minho - Braga)", 10, 32, 23, 24, 0, 10, 3, 5, 0, 3, 1, 6, 8, 0, 0, 0, 8, 20, 1, 0, 0, 10, 3, 4, 0, 2, 1, 4, 21, 3, 3, 2, 1, 2.0, 2.0, 2.0, 0, 0, 2, 2, 0, 0, 1, 0, 1, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 66.67, 66.67, 66.67, 100.0, 0.0, 0.0, 0, 0.0, 66.6875, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 10.0, 3.0, 2.0, 1.0, 5.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "30794", "Licence - Double diplôme - Licence Etudes européennes et internationales - Etudes européennes et internationales franco-portugaises, double diplôme Licence Estudos Portugueses (Universidade do Minho - Braga)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30794&g_ta_cod=30794", 100.0, 0.0, 0.0),
(3813, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Mathématiques - Parcours Mathématiques et Informatique", "Licence - Sciences - technologies - santé", "Mathématiques et Informatique", 315, 2087, 558, 1962, 0, 1297, 225, 49, 19, 10, 5, 606, 125, 15, 5, 1, 104, 1865, 114, 0, 0, 1297, 225, 49, 19, 10, 5, 509, 1513, 310, 82, 244, 66, 16.0, 214.0, 259.0, 0, 40, 145, 138, 5, 2, 165, 2, 60, 36, 33, 12, 2.0, 81, 1, 1, 0, 0, 112, 112, 5.16, 69.03, 83.55, 26.5, 77.1875, 77.1875, 0, 27.59765625, 46.796875, 1.39990234375, 41.3984375, 24.796875, 22.796875, 8.3, 1.4, 95.1875, 55.8984375, 3.39990234375, 0.699951171875, 1.39990234375, 0.699951171875, 1016.0, 168.0, 7.0, 3.0, 472.0, "Tous les candidats", 1865.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "8057", "Licence - Mathématiques - Parcours Mathématiques et Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8057&g_ta_cod=8057", 93.0, 5.0, 2.0),
(3814, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Etudes culturelles", "Licence - Arts-lettres-langues", "", 150, 612, 457, 460, 0, 266, 59, 25, 9, 11, 9, 158, 152, 29, 10, 10, 103, 460, 142, 0, 0, 266, 59, 25, 9, 11, 9, 158, 521, 132, 91, 72, 60, 25.0, 71.0, 112.0, 0, 19, 64, 52, 5, 7, 68, 1, 23, 26, 11, 2, 1.0, 33, 2, 5, 0, 0, 42, 42, 18.94, 53.79, 84.85, 68.890625, 65.59375, 65.59375, 0, 29.69921875, 48.5, 1.599853515625, 35.8984375, 40.59375, 17.19921875, 3.1, 1.6, 81.296875, 51.59375, 7.7998046875, 3.099609375, 10.8984375, 7.7998046875, 247.0, 61.0, 16.0, 10.0, 226.0, "Tous les candidats", 457.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "6353", "Licence - Etudes culturelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6353&g_ta_cod=6353", 73.0, 15.0, 11.0),
(3815, "Public", "0211139Z", "I.U.T de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BUT", "I.U.T de Dijon - BUT - Information communication Parcours métiers du livre et du patrimoine", "BUT - Service", "", 56, 766, 617, 742, 0, 398, 73, 62, 10, 17, 8, 265, 24, 0, 14, 0, 10, 518, 1, 0, 0, 310, 50, 42, 6, 10, 4, 156, 170, 53, 45, 53, 0, 26.0, 50.0, 52.0, 0, 4, 37, 26, 10, 1, 16, 0, 8, 18, 8, 2, 1.0, 24, 4, 1, 0, 0, 12, 12, 49.06, 94.34, 98.11, 84.890625, 32.3984375, 32.3984375, 0, 10.798828125, 69.796875, 0.0, 21.59765625, 48.59375, 21.59765625, 5.4, 2.7, 70.296875, 64.890625, 27.0, 10.798828125, 2.69970703125, 2.69970703125, 82.0, 16.0, 3.0, 2.0, 49.0, "Tous les candidats sauf les Bac technologiques", 155.0, "Bacheliers technologiques toutes séries", 58, "", 0, "Liste d'appel propre à cette formation", 29.0, "3243", "BUT - Information communication Parcours métiers du livre et du patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3243&g_ta_cod=3243", 66.0, 28.0, 4.0),
(3816, "Public", "0540038Y", "Lycée Henri Poincaré", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "CPGE", "Lycée Henri Poincaré - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 934, 673, 934, 571, 785, 96, 3, 0, 2, 2, 144, 0, 0, 0, 0, 0, 734, 0, 464, 709, 697, 77, 3, 0, 0, 0, 34, 459, 94, 73, 94, 0, 17.0, 78.0, 92.0, 12, 11, 93, 92, 1, 0, 1, 0, 0, 5, 47, 35, 6.0, 92, 1, 0, 8, 8, 58, 58, 18.09, 82.98, 97.87, 77.6875, 62.3984375, 62.3984375, 8.599609375, 11.798828125, 98.890625, 0.0, 0.0, 5.3994140625, 50.5, 37.6, 6.5, 98.890625, 98.890625, 1.099853515625, 1.099853515625, 0.0, 0.0, 433.0, 45.0, 0.0, 0.0, 25.0, "Tous les candidats", 727.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "6250", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6250&g_ta_cod=6250", 99.0, 1.0, 0.0),
(3817, "Public", "0071125K", "Lycée agricole Olivier De Serres", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Aubenas", "formation sélective", "BTS", "Lycée agricole Olivier De Serres - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 28, 180, 69, 178, 0, 14, 5, 36, 7, 22, 8, 106, 2, 0, 0, 0, 2, 78, 1, 0, 0, 14, 5, 35, 7, 18, 6, 11, 68, 8, 7, 6, 0, 4.0, 6.0, 6.0, 0, 2, 6, 1, 2, 3, 2, 0, 3, 3, 0, 0, 0.0, 1, 2, 0, 3, 3, 5, 5, 50.0, 75.0, 75.0, 87.5, 83.296875, 83.296875, 50, 33.296875, 75.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 16.69921875, 16.69921875, 33.296875, 33.296875, 50.0, 0.0, 12.0, 4.0, 19.0, 6.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 43.0, "2338", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2338&g_ta_cod=2338", 25.0, 38.0, 38.0),
(3818, "Public", "0510035L", "Lycée Hugues Libergier", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Hugues Libergier - BTS - Services - Economie sociale familiale", "BTS - Services", "", 70, 991, 809, 991, 0, 107, 39, 256, 104, 270, 117, 358, 0, 0, 0, 0, 0, 746, 0, 0, 0, 107, 39, 251, 103, 213, 90, 175, 280, 69, 62, 69, 0, 12.0, 43.0, 60.0, 0, 18, 49, 11, 15, 23, 20, 0, 20, 22, 7, 0, 0.0, 3, 7, 19, 6, 4, 38, 38, 17.39, 62.32, 86.96, 89.890625, 77.59375, 77.59375, 12.19921875, 36.6953125, 71.0, 0.0, 40.796875, 44.8984375, 14.298828125, 0.0, 0.0, 22.3984375, 6.099609375, 30.59765625, 14.298828125, 46.8984375, 38.796875, 38.0, 9.0, 86.0, 32.0, 66.0, "Tous les candidats sauf les Bac professionnels", 271.0, "Bacheliers professionnels toutes séries", 145, "", 0, "Liste d'appel propre à cette formation", 42.0, "6080", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6080&g_ta_cod=6080", 23.0, 28.0, 49.0),
(3819, "Public", "1380022Z", "IFSI du centre hospitalier Princesse Grace", "99", "Etranger", "Etranger", "Etranger", "Monaco", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nice Sophia Antipolis - D.E Infirmier", "D.E secteur sanitaire", "", 24, 3855, 3261, 3855, 0, 626, 127, 537, 154, 326, 129, 2366, 0, 0, 0, 0, 0, 1966, 0, 0, 0, 469, 78, 295, 77, 114, 37, 1088, 117, 23, 22, 23, 0, 2.0, 12.0, 17.0, 0, 4, 13, 9, 3, 1, 10, 0, 0, 1, 6, 6, 0.0, 9, 3, 1, 0, 0, 1, 1, 8.7, 52.17, 73.91, 95.6875, 7.69921875, 7.69921875, 0, 30.796875, 56.5, 0.0, 0.0, 7.69921875, 46.1953125, 46.2, 0.0, 69.1875, 69.1875, 23.09765625, 23.09765625, 7.69921875, 7.69921875, 40.0, 7.0, 1.0, 1.0, 70.0, "Tous les candidats", 320.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 5.0, "25295", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22984&g_ta_cod=25295", 83.0, 13.0, 4.0),
(3820, "Public", "0541207U", "Lycée agricole Nancy-Pixerecourt", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Malzéville", "formation sélective", "BTS", "Lycée agricole Nancy-Pixerecourt - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 31, 580, 263, 580, 0, 177, 19, 154, 23, 92, 21, 157, 0, 0, 0, 0, 0, 380, 0, 0, 0, 138, 14, 99, 10, 75, 16, 68, 115, 29, 20, 29, 0, 3.0, 22.0, 27.0, 0, 2, 21, 9, 6, 6, 8, 0, 3, 11, 6, 1, 0.0, 9, 6, 3, 3, 3, 10, 10, 10.34, 75.86, 93.1, 69.0, 47.59375, 47.59375, 14.298828125, 9.5, 72.390625, 0.0, 14.298828125, 52.3984375, 28.59765625, 4.8, 0.0, 42.8984375, 42.8984375, 28.59765625, 28.59765625, 28.59765625, 14.298828125, 47.0, 6.0, 28.0, 3.0, 21.0, "Tous les candidats sauf les Bac professionnels", 117.0, "Bacheliers professionnels toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 28.0, "6309", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6309&g_ta_cod=6309", 55.0, 21.0, 24.0),
(3821, "Public", "0890005X", "Lycée Joseph Fourier", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Auxerre", "formation sélective", "BTS", "Lycée Joseph Fourier - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 488, 389, 488, 0, 36, 12, 92, 29, 134, 53, 226, 0, 0, 0, 0, 0, 248, 0, 0, 0, 36, 12, 92, 29, 82, 29, 38, 123, 22, 20, 22, 0, 3.0, 9.0, 18.0, 0, 7, 19, 1, 9, 9, 3, 0, 8, 8, 3, 0, 0.0, 1, 3, 7, 2, 1, 15, 15, 13.64, 40.91, 81.82, 90.890625, 78.890625, 78.890625, 10.5, 36.796875, 86.390625, 0.0, 42.09375, 42.09375, 15.798828125, 0.0, 0.0, 5.2998046875, 5.2998046875, 47.3984375, 15.798828125, 47.3984375, 36.796875, 10.0, 2.0, 41.0, 11.0, 18.0, "Tous les candidats sauf les Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 61, "", 0, "Liste d'appel propre à cette formation", 31.0, "19744", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19744&g_ta_cod=19744", 14.0, 45.0, 41.0),
(3822, "Privé enseignement supérieur", "0352767T", "Institut National des Formations Notariales (INFN) - SITE DE RENNES", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Institut National des Formations Notariales (INFN) - SITE DE RENNES - BTS - Services - Notariat", "BTS - Services", "", 40, 549, 419, 547, 0, 188, 31, 155, 33, 19, 9, 185, 2, 0, 0, 1, 1, 222, 0, 0, 0, 99, 14, 76, 14, 0, 0, 47, 140, 30, 22, 30, 0, 8.0, 20.0, 29.0, 0, 3, 23, 15, 8, 0, 7, 0, 5, 14, 3, 1, 0.0, 10, 8, 0, 0, 0, 23, 23, 26.67, 66.67, 96.67, 73.296875, 100.0, 100.0, 0, 13.0, 76.6875, 0.0, 21.69921875, 60.8984375, 13.0, 4.3, 0.0, 65.1875, 43.5, 34.796875, 34.796875, 0.0, 0.0, 87.0, 12.0, 0.0, 0.0, 37.0, "Tous les candidats", 197.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "15176", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15176&g_ta_cod=15176", 70.0, 30.0, 0.0),
(3823, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation non sélective", "PASS", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 30, 4593, 3301, 4593, 0, 3445, 719, 54, 27, 27, 11, 1067, 0, 0, 0, 0, 0, 4591, 0, 0, 0, 3445, 719, 54, 27, 27, 11, 1065, 648, 27, 18, 27, 0, 0.0, 3.0, 17.0, 0, 5, 25, 25, 0, 0, 2, 0, 0, 14, 8, 3, 0.0, 25, 0, 0, 0, 0, 9, 22, 0.0, 11.11, 62.96, 66.6875, 36.0, 88.0, 0, 20.0, 92.59375, 0.0, 0.0, 56.0, 32.0, 12.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 568.0, 101.0, 0.0, 0.0, 80.0, "Tous les candidats", 3818.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "27912", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27909&g_ta_cod=27912", 100.0, 0.0, 0.0),
(3824, "Public", "0761688X", "I.U.T du Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BUT", "I.U.T du Havre - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, financière et fiscale - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, financière et fiscale - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", 135, 1881, 934, 1757, 0, 843, 172, 553, 184, 36, 16, 325, 124, 21, 29, 0, 74, 1151, 14, 0, 0, 682, 128, 363, 99, 22, 11, 84, 753, 120, 75, 111, 9, 13.0, 92.0, 113.0, 0, 30, 107, 66, 39, 2, 13, 0, 33, 59, 14, 1, 0.0, 43, 30, 1, 0, 0, 89, 89, 10.83, 76.67, 94.17, 62.5, 83.1875, 83.1875, 0, 28.0, 89.1875, 0.0, 30.796875, 55.09375, 13.099609375, 0.9, 0.0, 61.6953125, 40.1953125, 36.3984375, 28.0, 1.89990234375, 0.89990234375, 425.0, 76.0, 14.0, 8.0, 43.0, "Tous les candidats sauf les Bac technologiques", 774.0, "Bacheliers technologiques toutes séries", 377, "", 0, "Liste d'appel propre à cette formation", 66.0, "9656", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, financière et fiscale - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9656&g_ta_cod=9656", 60.0, 38.0, 3.0),
(3825, "Public", "0751722P", "Sorbonne Université - Sciences et Ingénierie", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Sciences et Ingénierie - Licence - Portail Sciences de la matière", "Licence - Sciences - technologies - santé", "Sciences de la matière", 355, 3123, 1484, 3123, 0, 2000, 318, 70, 25, 11, 6, 1042, 0, 0, 0, 0, 0, 3123, 0, 0, 0, 2000, 318, 70, 25, 11, 6, 1042, 1946, 351, 164, 351, 0, 102.0, 270.0, 341.0, 0, 61, 300, 297, 2, 1, 51, 1, 85, 116, 72, 25, 1.0, 212, 1, 1, 0, 0, 84, 263, 29.06, 76.92, 97.15, 46.6953125, 28.0, 87.6875, 0, 20.296875, 85.5, 0.29998779296875, 28.296875, 38.6953125, 24.0, 8.3, 0.3, 99.0, 70.6875, 0.699951171875, 0.29998779296875, 0.29998779296875, 0.29998779296875, 1681.0, 254.0, 2.0, 2.0, 249.0, "Tous les candidats", 2557.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 70.0, "30980", "Licence - Portail Sciences de la matière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31057&g_ta_cod=30980", 97.0, 2.0, 1.0),
(3826, "Public", "0710018J", "Lycée Julien Wittmer", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Charolles", "formation sélective", "BTS", "Lycée Julien Wittmer - BTS - Production - Bioqualité", "BTS - Production", "", 6, 103, 75, 82, 0, 7, 2, 24, 4, 7, 4, 44, 21, 9, 5, 1, 6, 50, 16, 0, 0, 7, 2, 23, 4, 7, 4, 13, 54, 7, 4, 1, 5, 0.0, 1.0, 7.0, 0, 1, 6, 3, 3, 0, 1, 0, 3, 3, 0, 0, 0.0, 2, 1, 0, 2, 1, 4, 4, 0.0, 14.29, 100.0, 57.09375, 66.6875, 66.6875, 33.296875, 16.69921875, 85.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 12.0, 2.0, 7.0, 3.0, 12.0, "Tous les candidats sauf les Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 60.0, "19333", "BTS - Production - Bioqualité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19333&g_ta_cod=19333", 57.0, 43.0, 0.0),
(3827, "Public", "0311323V", "Lycée Rive Gauche", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Rive Gauche - BTS - Services - Communication", "BTS - Services", "", 26, 2124, 1498, 2124, 0, 443, 119, 569, 207, 309, 148, 803, 0, 0, 0, 0, 0, 780, 0, 0, 0, 206, 46, 217, 67, 171, 76, 186, 116, 24, 19, 24, 0, 1.0, 11.0, 21.0, 0, 9, 20, 3, 9, 8, 4, 0, 2, 10, 5, 3, 0.0, 2, 8, 8, 0, 0, 14, 14, 4.17, 45.83, 87.5, 79.1875, 70.0, 70.0, 0, 45.0, 83.296875, 0.0, 10.0, 50.0, 25.0, 15.0, 0.0, 15.0, 10.0, 45.0, 40.0, 40.0, 40.0, 25.0, 9.0, 29.0, 12.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 9.0, "14442", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14442&g_ta_cod=14442", 29.0, 38.0, 33.0),
(3828, "Public", "0932026X", "Lycée Alfred Nobel", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Clichy-sous-Bois", "formation sélective", "BTS", "Lycée Alfred Nobel - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 30, 1160, 602, 1160, 0, 50, 27, 394, 204, 396, 223, 320, 0, 0, 0, 0, 0, 847, 0, 0, 0, 36, 19, 390, 201, 228, 129, 193, 117, 31, 16, 31, 0, 5.0, 25.0, 30.0, 0, 14, 23, 1, 9, 13, 8, 1, 4, 12, 6, 0, 0.0, 0, 6, 12, 16, 8, 22, 23, 16.13, 80.65, 96.77, 51.59375, 95.6875, 100.0, 69.59375, 60.8984375, 74.1875, 4.2998046875, 17.3984375, 52.1953125, 26.09765625, 0.0, 0.0, 4.2998046875, 0.0, 39.09375, 26.09765625, 56.5, 52.1953125, 7.0, 2.0, 49.0, 27.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 12.0, "11321", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11321&g_ta_cod=11321", 19.0, 35.0, 45.0),
(3829, "Public", "0760029U", "Lycée Andre Maurois", "76", "Seine-Maritime", "Normandie", "Normandie", "Elbeuf", "formation sélective", "BTS", "Lycée Andre Maurois - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 335, 179, 302, 0, 23, 11, 85, 28, 61, 33, 133, 33, 0, 3, 15, 15, 180, 11, 0, 0, 20, 8, 72, 21, 52, 27, 36, 134, 25, 13, 20, 5, 3.0, 18.0, 22.0, 0, 7, 19, 2, 9, 8, 6, 1, 8, 7, 3, 0, 0.0, 2, 3, 5, 4, 0, 18, 18, 12.0, 72.0, 88.0, 52.0, 94.6875, 94.6875, 21.09765625, 36.796875, 76.0, 5.2998046875, 42.09375, 36.796875, 15.798828125, 0.0, 0.0, 10.5, 10.5, 47.3984375, 15.798828125, 42.09375, 26.296875, 6.0, 2.0, 43.0, 25.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 51.0, "9561", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9561&g_ta_cod=9561", 12.0, 48.0, 40.0),
(3830, "Public", "0890032B", "Lycée Chevalier D'Eon", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Tonnerre", "formation sélective", "BTS", "Lycée Chevalier D'Eon - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 15, 160, 38, 152, 0, 10, 3, 22, 8, 18, 8, 102, 8, 0, 2, 2, 4, 81, 0, 0, 0, 10, 3, 22, 8, 18, 8, 31, 57, 6, 3, 6, 0, 1.0, 6.0, 6.0, 0, 1, 2, 0, 1, 1, 4, 0, 1, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 1, 1, 16.67, 100.0, 100.0, 50.0, 50.0, 50.0, 0, 50.0, 33.296875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 0.0, 10.0, 3.0, 16.0, 8.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 41.0, "10775", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10775&g_ta_cod=10775", 50.0, 33.0, 17.0),
(3831, "Privé sous contrat d'association", "0860789R", "Ensemble scolaire Isaac de l'Etoile - Le Porteau", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Ensemble scolaire Isaac de l'Etoile - Le Porteau - BTS - Services - Commerce International", "BTS - Services", "", 35, 209, 117, 196, 0, 75, 13, 47, 12, 20, 5, 54, 13, 0, 0, 11, 2, 181, 4, 0, 0, 73, 13, 44, 10, 17, 4, 47, 137, 36, 16, 34, 2, 4.0, 25.0, 31.0, 0, 5, 23, 13, 5, 5, 13, 0, 12, 6, 5, 0, 0.0, 6, 1, 4, 0, 0, 18, 18, 11.11, 69.44, 86.11, 44.3984375, 78.296875, 78.296875, 0, 21.69921875, 63.8984375, 0.0, 52.1953125, 26.09765625, 21.69921875, 0.0, 0.0, 56.5, 26.09765625, 21.69921875, 4.2998046875, 21.69921875, 17.3984375, 55.0, 11.0, 18.0, 4.0, 35.0, "Tous les candidats sauf les Bac professionnels", 128.0, "Bacheliers professionnels toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 76.0, "10617", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10617&g_ta_cod=10617", 58.0, 22.0, 19.0),
(3832, "Public", "0770940D", "Lycée Etienne Bezout", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Nemours", "formation sélective", "BTS", "Lycée Etienne Bezout - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 27, 494, 240, 340, 0, 31, 12, 101, 30, 120, 47, 88, 154, 37, 0, 34, 83, 164, 0, 0, 0, 11, 5, 65, 18, 74, 27, 14, 111, 30, 10, 24, 0, 8.0, 20.0, 21.0, 0, 9, 28, 1, 15, 12, 2, 0, 11, 14, 3, 0, 0.0, 0, 10, 7, 21, 8, 28, 28, 26.67, 66.67, 70.0, 33.296875, 100.0, 100.0, 75, 32.09375, 93.296875, 0.0, 39.296875, 50.0, 10.69921875, 0.0, 0.0, 3.599609375, 0.0, 53.59375, 35.6953125, 42.8984375, 25.0, 11.0, 5.0, 50.0, 15.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 34.0, "9824", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9824&g_ta_cod=9824", 10.0, 50.0, 40.0),
(3833, "Privé sous contrat d'association", "0030947N", "Institut du Travail Social de la Croix-Rouge française - Moulins", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Moulins", "formation sélective", "EFTS", "Institut du Travail Social de la Croix-Rouge française - Moulins - D.E Assistant de Service Social", "D.E secteur social", "", 35, 140, 127, 87, 0, 23, 4, 20, 3, 11, 2, 33, 53, 7, 1, 3, 42, 62, 5, 0, 0, 17, 4, 16, 3, 5, 0, 24, 66, 34, 32, 32, 2, 22.0, 32.0, 33.0, 0, 4, 21, 10, 8, 3, 13, 1, 7, 7, 5, 1, 0.0, 4, 6, 3, 0, 0, 15, 15, 64.71, 94.12, 97.06, 94.09375, 71.390625, 71.390625, 0, 19.0, 61.796875, 4.7998046875, 33.296875, 33.296875, 23.796875, 4.8, 0.0, 47.59375, 19.0, 38.09375, 28.59765625, 14.298828125, 14.298828125, 18.0, 4.0, 5.0, 0.0, 27.0, "Tous les candidats", 63.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "24673", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24673&g_ta_cod=24673", 41.0, 35.0, 24.0),
(3834, "Privé sous contrat d'association", "0840059H", "Lycée Louis Pasteur", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée Louis Pasteur - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 25, 148, 68, 145, 0, 23, 7, 38, 14, 38, 20, 46, 3, 0, 0, 3, 0, 121, 1, 0, 0, 23, 7, 32, 12, 32, 15, 34, 76, 21, 9, 20, 1, 5.0, 16.0, 18.0, 0, 7, 17, 4, 7, 6, 4, 0, 10, 6, 1, 0, 0.0, 0, 3, 4, 3, 0, 16, 16, 23.81, 76.19, 85.71, 42.8984375, 94.09375, 94.09375, 17.59765625, 41.1953125, 81.0, 0.0, 58.796875, 35.296875, 5.8994140625, 0.0, 0.0, 23.5, 0.0, 41.1953125, 17.59765625, 35.296875, 23.5, 14.0, 4.0, 28.0, 15.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 61.0, "10435", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10435&g_ta_cod=10435", 29.0, 43.0, 29.0),
(3835, "Public", "0410899E", "Lycée des Métiers HOTEL.ET TOURISME VAL DE LOIRE", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "Autre formation", "Lycée des Métiers HOTEL.ET TOURISME VAL DE LOIRE - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 207, 124, 207, 0, 77, 15, 32, 6, 20, 8, 78, 0, 0, 0, 0, 0, 181, 0, 0, 0, 77, 15, 31, 6, 17, 6, 56, 101, 22, 13, 21, 0, 6.0, 13.0, 18.0, 0, 3, 16, 10, 4, 2, 6, 0, 8, 7, 1, 0, 0.0, 4, 3, 1, 0, 0, 15, 15, 27.27, 59.09, 81.82, 59.09375, 93.796875, 93.796875, 0, 18.796875, 72.6875, 0.0, 50.0, 43.796875, 6.2998046875, 0.0, 0.0, 62.5, 25.0, 25.0, 18.796875, 12.5, 6.2998046875, 49.0, 8.0, 11.0, 2.0, 20.0, "Tous les candidats", 144.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "5254", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5254&g_ta_cod=5254", 59.0, 23.0, 18.0),
(3836, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Portail Informatique - MIP", "Licence - Sciences - technologies - santé", "MIP", 127, 1211, 163, 1176, 0, 781, 123, 75, 16, 7, 1, 313, 35, 2, 0, 0, 33, 1175, 22, 0, 0, 781, 123, 75, 16, 7, 1, 312, 712, 126, 14, 112, 14, 6.0, 78.0, 111.0, 0, 11, 67, 57, 8, 2, 59, 0, 34, 23, 8, 2, 0.0, 32, 1, 0, 0, 0, 53, 53, 4.76, 61.9, 88.1, 11.099609375, 79.09375, 79.09375, 0, 16.3984375, 53.1953125, 0.0, 50.6953125, 34.296875, 11.8984375, 3.0, 0.0, 85.09375, 47.796875, 11.8984375, 1.5, 3.0, 0.0, 491.0, 79.0, 2.0, 0.0, 202.0, "Tous les candidats", 1188.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "32042", "Licence - Portail Informatique - MIP", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33360&g_ta_cod=32042", 87.0, 10.0, 3.0),
(3837, "Public", "0130048G", "Lycée Saint Exupery", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 15e  Arrondissement", "formation sélective", "Autre formation", "Lycée Saint Exupery - CPES - Générale", "Classe préparatoire aux études supérieures", "", 24, 138, 73, 113, 0, 89, 35, 1, 1, 0, 0, 23, 25, 8, 2, 2, 13, 90, 8, 0, 0, 89, 35, 0, 0, 0, 0, 1, 93, 21, 11, 17, 4, 7.0, 17.0, 18.0, 0, 6, 21, 21, 0, 0, 0, 0, 3, 8, 10, 0, 0.0, 18, 0, 0, 0, 0, 17, 17, 33.33, 80.95, 85.71, 52.3984375, 81.0, 81.0, 0, 28.59765625, 100.0, 0.0, 14.298828125, 38.09375, 47.59375, 0.0, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 91.0, 34.0, 0.0, 0.0, 2.0, "Tous les candidats", 90.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "24460", "CPES - Générale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24460&g_ta_cod=24460", 100.0, 0.0, 0.0),
(3838, "Public", "0750691U", "Lycée Raspail", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "Autre formation", "Lycée Raspail - Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "Mention complémentaire", "", 15, 22, 0, 18, 0, 0, 0, 0, 0, 16, 10, 2, 4, 0, 0, 3, 1, 18, 2, 0, 0, 0, 0, 0, 0, 16, 10, 2, 27, 9, 0, 6, 2, 4.0, 6.0, 6.0, 0, 3, 7, 0, 0, 7, 2, 0, 6, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 3, 7, 44.44, 66.67, 66.67, 0.0, 42.8984375, 100.0, 0, 42.8984375, 77.796875, 0.0, 85.6875, 14.298828125, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 14.298828125, 0.0, 0.0, 23.0, 14.0, 3.0, "Tous les candidats", 18.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "13277", "Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13277&g_ta_cod=13277", 0.0, 0.0, 100.0),
(3839, "Public", "0310053P", "Lycée professionnel des métiers du bâtiment - Urbain Vitry", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée professionnel des métiers du bâtiment - Urbain Vitry - BTS - Production - Bâtiment", "BTS - Production", "", 23, 694, 108, 694, 0, 64, 16, 278, 62, 155, 76, 197, 0, 0, 0, 0, 0, 440, 0, 0, 0, 48, 10, 221, 45, 101, 48, 70, 108, 21, 3, 21, 0, 4.0, 12.0, 20.0, 0, 9, 19, 2, 5, 12, 2, 0, 6, 8, 5, 0, 0.0, 1, 5, 7, 7, 3, 15, 15, 19.05, 57.14, 95.24, 14.298828125, 78.890625, 78.890625, 36.796875, 47.3984375, 90.5, 0.0, 31.59765625, 42.09375, 26.296875, 0.0, 0.0, 10.5, 5.2998046875, 26.296875, 26.296875, 63.1953125, 36.796875, 12.0, 4.0, 38.0, 18.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 29.0, "20131", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20131&g_ta_cod=20131", 10.0, 33.0, 57.0),
(3840, "Public", "0492137G", "Université Angers-Campus de Cholet", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation non sélective", "Licence_Las", "Université Angers-Campus de Cholet - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 50, 357, 280, 225, 0, 149, 38, 17, 6, 6, 4, 53, 132, 61, 4, 3, 64, 223, 126, 0, 0, 149, 38, 17, 6, 6, 4, 51, 307, 40, 36, 22, 18, 3.0, 21.0, 27.0, 0, 13, 25, 21, 2, 2, 15, 0, 15, 7, 3, 0, 0.0, 10, 0, 0, 0, 0, 13, 13, 7.5, 52.5, 67.5, 90.0, 52.0, 52.0, 0, 52.0, 62.5, 0.0, 60.0, 28.0, 12.0, 0.0, 0.0, 84.0, 40.0, 8.0, 0.0, 8.0, 0.0, 182.0, 40.0, 6.0, 4.0, 105.0, "Tous les candidats", 1230.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "27729", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27728&g_ta_cod=27729", 75.0, 13.0, 10.0),
(3841, "Public", "0340028W", "Lycée Joseph Vallot", "34", "Hérault", "Occitanie", "Montpellier", "Lodève", "formation sélective", "Autre formation", "Lycée Joseph Vallot - DN MADE - Espace - Spécialité Cadre de vie : matériaux, patrimoine et environnement", "DN MADE", "Spécialité Cadre de vie : matériaux, patrimoine et environnement", 15, 426, 336, 426, 0, 182, 32, 100, 25, 43, 14, 101, 0, 0, 0, 0, 0, 426, 0, 0, 0, 182, 32, 100, 25, 43, 14, 101, 65, 12, 10, 12, 0, 5.0, 10.0, 11.0, 0, 1, 7, 4, 3, 0, 5, 0, 2, 3, 2, 0, 0.0, 2, 3, 0, 0, 0, 0, 0, 41.67, 83.33, 91.67, 83.296875, 0.0, 0.0, 0, 14.298828125, 58.296875, 0.0, 28.59765625, 42.8984375, 28.59765625, 0.0, 0.0, 57.09375, 28.59765625, 42.8984375, 42.8984375, 0.0, 0.0, 27.0, 5.0, 1.0, 1.0, 22.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "29523", "DN MADE - Espace - Spécialité Cadre de vie : matériaux, patrimoine et environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29523&g_ta_cod=29523", 67.0, 25.0, 8.0),
(3842, "Public", "0031082K", "Lycée Valery Larbaud", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Cusset", "formation sélective", "BTS", "Lycée Valery Larbaud - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 29, 553, 369, 547, 0, 159, 28, 122, 26, 80, 25, 186, 6, 0, 2, 0, 4, 423, 4, 0, 0, 158, 28, 56, 13, 72, 22, 137, 134, 27, 16, 25, 2, 8.0, 20.0, 21.0, 0, 6, 22, 12, 1, 9, 5, 0, 3, 11, 8, 0, 0.0, 9, 1, 9, 8, 5, 16, 16, 29.63, 74.07, 77.78, 59.296875, 72.6875, 72.6875, 36.3984375, 27.296875, 81.5, 0.0, 13.599609375, 50.0, 36.3984375, 0.0, 0.0, 54.5, 40.8984375, 4.5, 4.5, 40.8984375, 40.8984375, 55.0, 11.0, 19.0, 6.0, 52.0, "Tous les candidats sauf les Bac professionnels", 121.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 25.0, "2155", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2155&g_ta_cod=2155", 59.0, 4.0, 37.0),
(3843, "Privé enseignement supérieur", "0171427J", "EXCELIA", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Autre formation", "Excelia Academy - Formation Supérieure de Spécialisation - Accueil et relation client multicanale", "Diplôme d'Université", "Accueil et relation client multicanale", 10, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "32376", "Formation Supérieure de Spécialisation - Accueil et relation client multicanale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32376&g_ta_cod=32376", 0, 0, 0),
(3844, "Public", "0750677D", "Lycée Elisa Lemonnier", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "BTS", "Lycée Elisa Lemonnier - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 2672, 1312, 2672, 0, 68, 19, 931, 389, 1007, 465, 666, 0, 0, 0, 0, 0, 1126, 0, 0, 0, 63, 16, 407, 167, 455, 199, 201, 132, 28, 11, 28, 0, 4.0, 23.0, 24.0, 0, 15, 17, 4, 5, 8, 11, 0, 9, 4, 4, 0, 0.0, 1, 1, 6, 1, 1, 9, 17, 14.29, 82.14, 85.71, 39.296875, 52.8984375, 100.0, 5.8994140625, 88.1875, 60.6953125, 0.0, 52.8984375, 23.5, 23.5, 0.0, 0.0, 23.5, 5.8994140625, 29.3984375, 5.8994140625, 47.09375, 35.296875, 12.0, 10.0, 46.0, 27.0, 58.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 77, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 6.0, "9042", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9042&g_ta_cod=9042", 25.0, 36.0, 39.0),
(3845, "Public", "0770920G", "Lycée polyvalent La Fayette", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Champagne-sur-Seine", "formation sélective", "BTS", "Lycée polyvalent La Fayette - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 272, 16, 264, 0, 4, 0, 37, 10, 104, 39, 119, 8, 0, 0, 5, 3, 153, 1, 0, 0, 3, 0, 35, 9, 93, 36, 22, 105, 23, 1, 23, 0, 4.0, 18.0, 22.0, 0, 4, 22, 0, 5, 17, 1, 0, 12, 5, 4, 1, 0.0, 0, 2, 8, 12, 0, 21, 21, 17.39, 78.26, 95.65, 4.2998046875, 95.5, 95.5, 54.5, 18.19921875, 95.6875, 0.0, 54.5, 22.69921875, 18.19921875, 4.5, 0.0, 0.0, 0.0, 22.69921875, 9.099609375, 77.296875, 36.3984375, 4.0, 0.0, 62.0, 22.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 95, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 54.0, "9783", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9783&g_ta_cod=9783", 0.0, 22.0, 78.0),
(3846, "Privé sous contrat d'association", "0590347G", "ISEN Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 15, 312, 112, 295, 0, 0, 0, 0, 0, 0, 0, 295, 17, 0, 0, 0, 17, 257, 8, 0, 0, 0, 0, 0, 0, 0, 0, 257, 234, 4, 0, 2, 2, 1.0, 2.0, 4.0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 25.0, 50.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 234.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "22846", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22846", 100.0, 0.0, 0.0),
(3847, "Public", "0460007H", "Lycée Clement Marot", "46", "Lot", "Occitanie", "Toulouse", "Cahors", "formation sélective", "BTS", "Lycée Clement Marot - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 246, 146, 246, 0, 14, 5, 69, 28, 79, 29, 84, 0, 0, 0, 0, 0, 246, 0, 0, 0, 14, 5, 69, 28, 79, 29, 84, 68, 19, 14, 19, 0, 7.0, 16.0, 17.0, 0, 5, 18, 1, 6, 11, 1, 0, 6, 7, 4, 1, 0.0, 0, 2, 10, 4, 1, 17, 17, 36.84, 84.21, 89.47, 73.6875, 94.390625, 94.390625, 22.19921875, 27.796875, 94.6875, 0.0, 33.296875, 38.8984375, 22.19921875, 5.6, 0.0, 5.599609375, 0.0, 33.296875, 11.099609375, 61.09375, 55.59375, 1.0, 1.0, 31.0, 12.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 37.0, "5741", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5741&g_ta_cod=5741", 5.0, 32.0, 63.0),
(3848, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Portail Economie et gestion - Economie et Gestion - Grenoble", "Licence - Droit-économie-gestion", "Economie et Gestion - Grenoble", 520, 3508, 1534, 3354, 0, 2267, 373, 367, 124, 53, 30, 667, 154, 24, 24, 9, 97, 3276, 112, 0, 0, 2267, 373, 367, 124, 53, 30, 589, 2668, 510, 167, 431, 77, 64.0, 299.0, 423.0, 0, 114, 361, 277, 64, 20, 149, 25, 174, 120, 36, 6, 0.0, 142, 11, 9, 0, 0, 336, 336, 12.55, 58.63, 82.94, 32.6953125, 93.09375, 93.09375, 0, 31.59765625, 70.796875, 6.8994140625, 48.1953125, 33.1953125, 10.0, 1.7, 0.0, 76.6875, 39.296875, 17.69921875, 3.0, 5.5, 2.5, 1858.0, 305.0, 47.0, 29.0, 481.0, "Tous les candidats", 3356.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "31046", "Licence - Portail Economie et gestion - Economie et Gestion - Grenoble", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31047&g_ta_cod=31046", 77.0, 17.0, 5.0),
(3849, "Public", "0501213X", "Lycée agricole de Coutances", "50", "Manche", "Normandie", "Normandie", "Coutances", "formation sélective", "BTS", "Lycée agricole de Coutances - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 25, 365, 123, 364, 0, 29, 4, 28, 4, 34, 8, 273, 1, 0, 0, 1, 0, 97, 1, 0, 0, 24, 3, 25, 3, 34, 8, 14, 77, 14, 4, 14, 0, 3.0, 13.0, 14.0, 0, 4, 12, 3, 3, 6, 2, 0, 4, 5, 3, 0, 0.0, 2, 2, 4, 4, 0, 11, 11, 21.43, 92.86, 100.0, 28.59765625, 91.6875, 91.6875, 33.296875, 33.296875, 85.6875, 0.0, 33.296875, 41.6953125, 25.0, 0.0, 0.0, 25.0, 16.69921875, 25.0, 16.69921875, 50.0, 33.296875, 19.0, 3.0, 26.0, 4.0, 12.0, "Tous les candidats sauf les Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 26.0, "6022", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6022&g_ta_cod=6022", 36.0, 21.0, 43.0),
(3850, "Public", "0340043M", "Lycée des Métiers Pierre Mendès France", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée des Métiers Pierre Mendès France - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 53, 1690, 884, 1681, 0, 109, 41, 686, 320, 526, 276, 360, 9, 0, 0, 4, 5, 424, 0, 0, 0, 18, 7, 223, 99, 179, 103, 4, 207, 50, 27, 48, 0, 5.0, 26.0, 43.0, 0, 35, 49, 3, 21, 25, 1, 0, 12, 28, 9, 0, 0.0, 1, 15, 21, 8, 1, 44, 44, 10.0, 52.0, 86.0, 54.0, 89.796875, 89.796875, 16.296875, 71.390625, 98.0, 0.0, 24.5, 57.09375, 18.3984375, 0.0, 0.0, 6.099609375, 2.0, 42.8984375, 30.59765625, 51.0, 42.8984375, 10.0, 6.0, 106.0, 54.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 172, "Bacheliers technologiques toutes séries", 138, "Liste d'appel propre à cette formation", 19.0, "4509", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4509&g_ta_cod=4509", 6.0, 44.0, 50.0),
(3851, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Musicologie", "Licence - Arts-lettres-langues", "", 145, 650, 290, 648, 0, 373, 63, 53, 9, 18, 8, 204, 2, 1, 0, 0, 1, 648, 2, 0, 0, 373, 63, 53, 9, 18, 8, 204, 650, 144, 50, 143, 1, 142.0, 143.0, 143.0, 0, 14, 81, 58, 14, 9, 63, 0, 41, 25, 11, 4, 0.0, 31, 6, 3, 0, 0, 28, 65, 98.61, 99.31, 99.31, 34.6953125, 34.59375, 80.1875, 0, 17.296875, 56.296875, 0.0, 50.59375, 30.8984375, 13.599609375, 4.9, 0.0, 71.59375, 38.296875, 17.296875, 7.3994140625, 11.099609375, 3.69970703125, 374.0, 64.0, 18.0, 8.0, 205.0, "Tous les candidats", 648.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11295", "Licence - Musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11295&g_ta_cod=11295", 72.0, 17.0, 11.0),
(3852, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Lettres / Anglais", "Licence - Arts-lettres-langues", "", 15, 310, 235, 310, 0, 179, 41, 16, 8, 15, 7, 100, 0, 0, 0, 0, 0, 310, 0, 0, 0, 179, 41, 16, 8, 15, 7, 100, 94, 17, 14, 17, 0, 2.0, 17.0, 17.0, 0, 4, 13, 9, 2, 2, 4, 0, 2, 5, 4, 2, 0.0, 9, 2, 0, 0, 0, 3, 8, 11.76, 100.0, 100.0, 82.390625, 23.09765625, 61.5, 0, 30.796875, 76.5, 0.0, 15.3984375, 38.5, 30.796875, 15.4, 0.0, 69.1875, 69.1875, 15.3984375, 15.3984375, 15.3984375, 0.0, 56.0, 18.0, 4.0, 3.0, 28.0, "Tous les candidats", 147.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "23815", "Licence - Lettres / Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23815&g_ta_cod=23815", 71.0, 18.0, 12.0),
(3853, "Privé sous contrat d'association", "9730010Y", "Externat Saint Joseph de Cluny", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "BTS", "Externat Saint Joseph de Cluny - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 19, 138, 84, 104, 0, 24, 9, 18, 11, 44, 30, 18, 34, 5, 6, 4, 19, 70, 8, 0, 0, 18, 6, 12, 8, 33, 20, 7, 56, 16, 10, 12, 4, 3.0, 11.0, 15.0, 0, 2, 11, 2, 3, 6, 5, 0, 4, 5, 1, 1, 0.0, 2, 2, 3, 1, 1, 11, 11, 18.75, 68.75, 93.75, 62.5, 100.0, 100.0, 9.099609375, 18.19921875, 68.796875, 0.0, 36.3984375, 45.5, 9.099609375, 9.1, 0.0, 18.19921875, 18.19921875, 27.296875, 18.19921875, 54.5, 27.296875, 11.0, 4.0, 22.0, 12.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers technologiques toutes séries", 12, "Bacheliers professionnels toutes séries", 33, "Liste d'appel propre à cette formation", 64.0, "28846", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28846&g_ta_cod=28846", 31.0, 25.0, 44.0),
(3854, "Privé sous contrat d'association", "0772692H", "IRTS Île-de-France - Site de Melun", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation sélective", "EFTS", "IRTS Île-de-France - Site de Melun - D.E Assistant de Service Social", "D.E secteur social", "", 23, 74, 64, 74, 0, 15, 1, 20, 4, 8, 6, 31, 0, 0, 0, 0, 0, 68, 0, 0, 0, 14, 1, 18, 4, 6, 4, 30, 38, 23, 22, 23, 0, 12.0, 21.0, 22.0, 0, 2, 6, 3, 1, 2, 17, 0, 3, 1, 2, 0, 0.0, 1, 1, 1, 0, 0, 6, 6, 52.17, 91.3, 95.65, 95.6875, 100.0, 100.0, 0, 33.296875, 26.09765625, 0.0, 50.0, 16.69921875, 33.296875, 0.0, 0.0, 50.0, 16.69921875, 16.69921875, 16.69921875, 33.296875, 16.69921875, 5.0, 1.0, 2.0, 1.0, 24.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "24968", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24968&g_ta_cod=24968", 22.0, 35.0, 39.0),
(3855, "Public", "0751718K", "Université Paris 2 Panthéon - Assas", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation non sélective", "Licence", "Université Paris 2 Panthéon - Assas - Licence - Economie et gestion - Parcours Economie gestion", "Licence - Droit-économie-gestion", "Economie gestion", 350, 9120, 4377, 9120, 0, 7258, 1137, 193, 70, 26, 12, 1643, 0, 0, 0, 0, 0, 9120, 0, 0, 0, 7258, 1137, 193, 70, 26, 12, 1643, 2036, 354, 185, 352, 0, 7.0, 199.0, 293.0, 0, 69, 332, 332, 0, 0, 22, 1, 13, 119, 163, 36, 0.0, 318, 0, 0, 0, 0, 133, 305, 1.98, 56.21, 82.77, 52.296875, 40.09375, 91.890625, 0, 20.796875, 93.796875, 0.29998779296875, 3.89990234375, 35.796875, 49.09375, 10.8, 0.0, 100.0, 95.796875, 0.0, 0.0, 0.0, 0.0, 1918.0, 274.0, 0.0, 0.0, 118.0, "Tous les candidats", 2844.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "9219", "Licence - Economie et gestion - Parcours Economie gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9219&g_ta_cod=9219", 98.0, 1.0, 1.0),
(3856, "Privé enseignement supérieur", "0942193Y", "Sup'Biotech Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villejuif", "formation sélective", "Ecole d'Ingénieur", "Concours Advance - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale - Cycle anglophone", 30, 965, 381, 965, 0, 963, 92, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 599, 0, 0, 0, 599, 41, 0, 0, 0, 0, 0, 371, 32, 21, 32, 0, 11.0, 27.0, 28.0, 0, 0, 32, 32, 0, 0, 0, 0, 1, 5, 15, 11, 0.0, 31, 0, 0, 0, 0, 0, 8, 34.38, 84.38, 87.5, 65.59375, 0.0, 25.0, 0, 0.0, 100.0, 0.0, 3.099609375, 15.599609375, 46.8984375, 34.4, 0.0, 100.0, 96.890625, 0.0, 0.0, 0.0, 0.0, 371.0, 16.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "25319", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Advance", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=124&g_ta_cod=25319", 100.0, 0.0, 0.0),
(3857, "Privé sous contrat d'association", "0850086G", "Ensemble scolaire Saint- Gabriel Saint- Michel", "85", "Vendée", "Pays de la Loire", "Nantes", "Saint-Laurent-sur-Sèvre", "formation sélective", "BTS", "Ensemble scolaire Saint- Gabriel Saint- Michel - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 18, 111, 110, 111, 0, 16, 1, 27, 8, 49, 6, 19, 0, 0, 0, 0, 0, 108, 0, 0, 0, 16, 1, 27, 8, 48, 5, 17, 51, 16, 16, 16, 0, 4.0, 14.0, 16.0, 0, 1, 12, 3, 2, 7, 4, 0, 2, 7, 3, 0, 0.0, 2, 1, 7, 0, 0, 11, 11, 25.0, 87.5, 100.0, 100.0, 91.6875, 91.6875, 0, 8.298828125, 75.0, 0.0, 16.69921875, 58.296875, 25.0, 0.0, 0.0, 25.0, 16.69921875, 16.69921875, 8.298828125, 58.296875, 58.296875, 13.0, 1.0, 20.0, 3.0, 10.0, "Tous les candidats sauf les Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 78.0, "19734", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19734&g_ta_cod=19734", 31.0, 13.0, 56.0),
(3858, "Public", "0292350X", "Campus de l'excellence sportive de Bretagne - Antenne de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Autre formation", "Campus de l'excellence sportive de Bretagne - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 6, 45, 14, 35, 0, 9, 0, 12, 3, 7, 1, 7, 10, 1, 3, 0, 6, 9, 0, 0, 0, 3, 0, 4, 0, 0, 0, 2, 7, 2, 1, 2, 0, 1.0, 2.0, 2.0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 2, 0, 0, 0.0, 0, 2, 0, 0, 0, 1, 1, 50.0, 100.0, 100.0, 50.0, 50.0, 50.0, 0, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 3.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 9.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "30917", "BPJEPS - Activités aquatiques et de la natation", "Campus de l'excellence sportive de Bretagne", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23544&g_ta_cod=30917", 0.0, 100.0, 0.0),
(3859, "Public", "0520021R", "Lycée Diderot", "52", "Haute-Marne", "Grand Est", "Reims", "Langres", "formation sélective", "BTS", "Lycée Diderot - BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "BTS - Production", "", 8, 32, 9, 30, 0, 0, 0, 8, 2, 0, 0, 22, 2, 0, 0, 0, 2, 8, 0, 0, 0, 0, 0, 8, 2, 0, 0, 0, 4, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats sauf les Bac professionnels", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "6169", "BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6169&g_ta_cod=6169", 0, 0, 0),
(3860, "Public", "0134015U", "Aix-Marseille Université - Site de Marseille Saint Charles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation non sélective", "Licence", "Aix-Marseille Université - Site de Marseille Saint Charles - Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales - Mathématiques Appliquées et Sciences Sociales (Site de Saint Charles)", "Licence - Sciences - technologies - santé", "Mathématiques Appliquées et Sciences Sociales (Site de Saint Charles)", 65, 607, 267, 523, 0, 291, 86, 25, 10, 6, 4, 201, 84, 11, 6, 8, 59, 502, 64, 0, 0, 291, 86, 25, 10, 6, 4, 180, 459, 65, 35, 43, 22, 8.0, 38.0, 45.0, 0, 15, 33, 23, 3, 7, 32, 0, 16, 12, 3, 2, 0.0, 15, 0, 2, 0, 0, 31, 31, 12.31, 58.46, 69.23, 53.796875, 93.890625, 93.890625, 0, 45.5, 50.796875, 0.0, 48.5, 36.3984375, 9.099609375, 6.1, 0.0, 69.6875, 45.5, 9.099609375, 0.0, 21.19921875, 6.099609375, 243.0, 72.0, 10.0, 10.0, 182.0, "Tous les candidats", 592.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "12610", "Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales - Mathématiques Appliquées et Sciences Sociales (Site de Saint Charles)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28583&g_ta_cod=12610", 71.0, 14.0, 14.0),
(3861, "Public", "0912412C", "Ecole Universitaire de premier cycle - Campus de Sceaux Université Paris-Saclay", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "Licence", "Ecole Universitaire de premier cycle - Campus de Sceaux Université Paris-Saclay - Licence - Double diplôme - Licence Droit - Parcours Law and Advisory", "Licence - Droit-économie-gestion", "Parcours Law and Advisory", 30, 1112, 827, 592, 0, 506, 68, 8, 2, 1, 0, 77, 520, 305, 20, 4, 191, 102, 7, 0, 0, 93, 9, 0, 0, 0, 0, 9, 101, 28, 27, 24, 4, 6.0, 24.0, 27.0, 0, 4, 26, 26, 0, 0, 2, 0, 0, 1, 9, 16, 0.0, 26, 0, 0, 0, 0, 9, 14, 21.43, 85.71, 96.43, 96.390625, 34.59375, 53.796875, 0, 15.3984375, 92.890625, 0.0, 0.0, 3.7998046875, 34.59375, 61.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 90.0, 9.0, 0.0, 0.0, 11.0, "Tous les candidats", 102.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "12951", "Licence - Double diplôme - Licence Droit - Parcours Law and Advisory", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12951&g_ta_cod=12951", 100.0, 0.0, 0.0),
(3862, "Privé sous contrat d'association", "0490073N", "ESA Angers (Angers-49)", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "ESA Angers (Angers-49) - BTS - Agricole - productions animales", "BTS - Agricole", "", 20, 354, 208, 349, 0, 113, 17, 119, 13, 60, 13, 57, 5, 0, 0, 2, 3, 307, 0, 0, 0, 106, 15, 109, 11, 49, 12, 43, 99, 21, 14, 21, 0, 8.0, 16.0, 18.0, 0, 1, 18, 6, 9, 3, 3, 0, 2, 9, 7, 0, 0.0, 5, 8, 3, 0, 0, 7, 7, 38.1, 76.19, 85.71, 66.6875, 38.8984375, 38.8984375, 0, 5.599609375, 85.6875, 0.0, 11.099609375, 50.0, 38.8984375, 0.0, 0.0, 33.296875, 27.796875, 50.0, 44.3984375, 16.69921875, 16.69921875, 28.0, 5.0, 23.0, 8.0, 17.0, "Tous les candidats sauf les Bac professionnels", 118.0, "Bacheliers professionnels toutes séries", 49, "", 0, "Liste d'appel propre à cette formation", 48.0, "20026", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20026&g_ta_cod=20026", 43.0, 43.0, 14.0),
(3863, "Privé sous contrat d'association", "0060677D", "Lycée Sasserno", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Sasserno - BTS - Services - Diététique", "BTS - Services", "", 36, 768, 621, 758, 0, 235, 49, 133, 36, 44, 12, 346, 10, 1, 0, 0, 9, 382, 4, 0, 0, 115, 26, 85, 20, 13, 4, 169, 203, 26, 25, 25, 1, 3.0, 14.0, 19.0, 0, 4, 13, 7, 6, 0, 13, 1, 4, 5, 3, 0, 0.0, 4, 4, 0, 0, 0, 10, 10, 11.54, 53.85, 73.08, 96.1875, 76.890625, 76.890625, 0, 30.796875, 50.0, 7.69921875, 30.796875, 38.5, 23.09765625, 0.0, 0.0, 53.796875, 30.796875, 46.1953125, 30.796875, 0.0, 0.0, 48.0, 12.0, 9.0, 2.0, 104.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 147.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 33.0, "2242", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2242&g_ta_cod=2242", 62.0, 31.0, 8.0),
(3864, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Lettres - Parcours Humanités et  Sciences de l'Information", "Licence - Arts-lettres-langues", "Humanités et  Sciences de l'Information", 80, 331, 244, 207, 0, 127, 38, 12, 3, 1, 0, 67, 124, 14, 12, 7, 91, 207, 119, 0, 0, 127, 38, 12, 3, 1, 0, 67, 310, 66, 46, 28, 38, 10.0, 28.0, 58.0, 0, 7, 25, 20, 3, 2, 41, 0, 14, 7, 3, 0, 1.0, 9, 1, 1, 0, 0, 19, 19, 15.15, 42.42, 87.88, 69.6875, 76.0, 76.0, 0, 28.0, 37.8984375, 0.0, 56.0, 28.0, 12.0, 0.0, 4.0, 80.0, 36.0, 12.0, 4.0, 8.0, 4.0, 134.0, 42.0, 8.0, 5.0, 146.0, "Tous les candidats", 207.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7070", "Licence - Lettres - Parcours Humanités et  Sciences de l'Information", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7070&g_ta_cod=7070", 68.0, 17.0, 11.0),
(3865, "Public", "0770920G", "Lycée polyvalent La Fayette", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Champagne-sur-Seine", "formation sélective", "BTS", "Lycée polyvalent La Fayette - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 35, 253, 20, 215, 0, 9, 3, 51, 16, 49, 17, 106, 38, 0, 0, 24, 14, 143, 10, 0, 0, 8, 2, 47, 16, 49, 17, 39, 126, 31, 0, 25, 5, 3.0, 18.0, 24.0, 0, 4, 19, 1, 10, 8, 12, 0, 14, 3, 2, 0, 0.0, 0, 2, 3, 5, 0, 14, 15, 9.68, 58.06, 77.42, 0.0, 73.6875, 78.890625, 26.296875, 21.09765625, 61.296875, 0.0, 73.6875, 15.798828125, 10.5, 0.0, 0.0, 5.2998046875, 0.0, 52.59375, 10.5, 42.09375, 15.798828125, 5.0, 2.0, 49.0, 15.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 62.0, "9784", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9784&g_ta_cod=9784", 13.0, 39.0, 48.0),
(3866, "Public", "0080057U", "INSPE de Reims - Antenne de Charleville-Mézières", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation non sélective", "Licence", "INSPE de Reims - Antenne de Charleville-Mézières - Licence - Sciences de l'éducation - Parcours Pluridisciplinaire - professorat des écoles", "Licence - Sciences humaines et sociales", "Pluridisciplinaire - professorat des écoles", 40, 474, 408, 474, 0, 280, 66, 47, 14, 8, 4, 139, 0, 0, 0, 0, 0, 474, 0, 0, 0, 280, 66, 47, 14, 8, 4, 139, 157, 40, 33, 40, 0, 5.0, 36.0, 40.0, 0, 7, 30, 27, 2, 1, 10, 0, 7, 11, 11, 1, 0.0, 20, 2, 1, 0, 0, 26, 26, 12.5, 90.0, 100.0, 82.5, 86.6875, 86.6875, 0, 23.296875, 75.0, 0.0, 23.296875, 36.6953125, 36.6953125, 3.3, 0.0, 90.0, 66.6875, 6.69921875, 6.69921875, 3.2998046875, 3.2998046875, 115.0, 25.0, 5.0, 4.0, 22.0, "Tous les candidats", 213.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "26427", "Licence - Sciences de l'éducation - Parcours Pluridisciplinaire - professorat des écoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26427&g_ta_cod=26427", 83.0, 10.0, 8.0),
(3867, "Public", "0220023F", "Lycée Felix Le Dantec", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Lannion", "formation sélective", "BTS", "Lycée Felix Le Dantec - BTS - Production - Electrotechnique", "BTS - Production", "", 28, 258, 17, 258, 0, 9, 2, 39, 5, 97, 24, 113, 0, 0, 0, 0, 0, 197, 0, 0, 0, 9, 2, 38, 5, 81, 18, 69, 74, 22, 0, 22, 0, 6.0, 21.0, 22.0, 0, 7, 19, 2, 4, 13, 3, 0, 5, 2, 10, 2, 0.0, 0, 2, 12, 4, 0, 19, 19, 27.27, 95.45, 100.0, 0.0, 100.0, 100.0, 21.09765625, 36.796875, 86.390625, 0.0, 26.296875, 10.5, 52.59375, 10.5, 0.0, 10.5, 0.0, 21.09765625, 10.5, 68.390625, 63.1953125, 3.0, 2.0, 47.0, 10.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 40.0, "3311", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3311&g_ta_cod=3311", 9.0, 32.0, 59.0),
(3868, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence_Las", "Université Grenoble Alpes  - Licence - Portail Histoire de l'art et archéologie - Histoire de l'art et archéologie - Grenoble", "Licence - Sciences humaines et sociales", "Histoire de l'art et archéologie - Grenoble", 10, 147, 110, 140, 0, 67, 14, 13, 2, 1, 0, 59, 7, 0, 0, 0, 7, 140, 2, 0, 0, 67, 14, 13, 2, 1, 0, 59, 77, 10, 9, 8, 2, 0.0, 4.0, 8.0, 0, 2, 5, 3, 2, 0, 5, 1, 1, 3, 0, 0, 0.0, 2, 1, 0, 0, 0, 4, 4, 0.0, 40.0, 80.0, 90.0, 80.0, 80.0, 0, 40.0, 50.0, 20.0, 20.0, 60.0, 0.0, 0.0, 0.0, 60.0, 40.0, 40.0, 20.0, 0.0, 0.0, 43.0, 9.0, 0.0, 0.0, 30.0, "Tous les candidats", 729.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "31066", "Licence - Portail Histoire de l'art et archéologie - Histoire de l'art et archéologie - Grenoble", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31065&g_ta_cod=31066", 60.0, 20.0, 20.0),
(3869, "Privé sous contrat d'association", "0430098Y", "Lycée polyvalent Saint Jacques de Compostelle", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "BTS", "Lycée polyvalent Saint Jacques de Compostelle - BTS - Services - Gestion de la PME", "BTS - Services", "", 40, 224, 118, 186, 0, 14, 5, 28, 11, 39, 19, 105, 38, 6, 12, 4, 16, 104, 15, 0, 0, 14, 5, 27, 11, 39, 19, 24, 115, 12, 3, 10, 2, 5.0, 9.0, 11.0, 0, 3, 8, 0, 3, 5, 4, 0, 2, 2, 4, 0, 0.0, 0, 2, 4, 3, 1, 7, 7, 41.67, 75.0, 91.67, 25.0, 87.5, 87.5, 37.5, 37.5, 66.6875, 0.0, 25.0, 25.0, 50.0, 0.0, 0.0, 0.0, 0.0, 37.5, 25.0, 62.5, 50.0, 17.0, 5.0, 41.0, 20.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 56.0, "5402", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5402&g_ta_cod=5402", 8.0, 42.0, 50.0),
(3870, "Public", "0312289V", "Lycée Pierre-Paul Riquet", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Saint-Orens-de-Gameville", "formation sélective", "BTS", "Lycée Pierre-Paul Riquet - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 645, 59, 645, 0, 71, 17, 207, 64, 133, 58, 234, 0, 0, 0, 0, 0, 490, 0, 0, 0, 70, 17, 198, 59, 119, 45, 103, 151, 21, 0, 21, 0, 1.0, 14.0, 19.0, 0, 4, 15, 0, 6, 9, 6, 0, 4, 5, 5, 1, 0.0, 0, 3, 8, 0, 0, 12, 12, 4.76, 66.67, 90.48, 0.0, 80.0, 80.0, 0, 26.69921875, 71.390625, 0.0, 26.69921875, 33.296875, 33.296875, 6.7, 0.0, 0.0, 0.0, 40.0, 20.0, 60.0, 53.296875, 23.0, 6.0, 48.0, 16.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 90, "Bacheliers technologiques toutes séries", 157, "Liste d'appel propre à cette formation", 44.0, "21498", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21498&g_ta_cod=21498", 14.0, 33.0, 52.0),
(3871, "Public", "0130062X", "Lycée professionnel Frederic Mistral", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  8e  Arrondissement", "formation sélective", "BTS", "Lycée professionnel Frederic Mistral - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 30, 355, 21, 340, 0, 28, 10, 70, 26, 128, 69, 114, 15, 2, 2, 1, 10, 191, 3, 0, 0, 20, 7, 41, 15, 91, 44, 39, 133, 28, 1, 26, 2, 3.0, 14.0, 19.0, 0, 12, 20, 2, 4, 14, 8, 0, 7, 8, 5, 0, 0.0, 2, 2, 9, 5, 0, 15, 15, 10.71, 50.0, 67.86, 3.599609375, 75.0, 75.0, 25, 60.0, 71.390625, 0.0, 35.0, 40.0, 25.0, 0.0, 0.0, 10.0, 10.0, 20.0, 10.0, 70.0, 45.0, 16.0, 5.0, 61.0, 29.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers technologiques toutes séries", 48, "Bacheliers professionnels toutes séries", 85, "Liste d'appel propre à cette formation", 48.0, "33211", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33211&g_ta_cod=33211", 14.0, 21.0, 64.0),
(3872, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Espagnol", "Licence - Arts-lettres-langues", "LLCER Espagnol", 100, 255, 204, 198, 0, 146, 39, 12, 1, 5, 3, 35, 57, 7, 12, 6, 32, 198, 56, 0, 0, 146, 39, 12, 1, 5, 3, 35, 256, 43, 37, 29, 14, 29.0, 29.0, 36.0, 0, 9, 28, 21, 5, 2, 15, 0, 10, 12, 4, 2, 0.0, 16, 1, 1, 0, 0, 23, 23, 67.44, 67.44, 83.72, 86.0, 82.09375, 82.09375, 0, 32.09375, 65.09375, 0.0, 35.6953125, 42.8984375, 14.298828125, 7.1, 0.0, 75.0, 57.09375, 17.8984375, 3.599609375, 7.099609375, 3.599609375, 155.0, 42.0, 11.0, 7.0, 66.0, "Tous les candidats", 198.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4892", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4892&g_ta_cod=4892", 63.0, 21.0, 16.0),
(3873, "Public", "0921984G", "IFSI Beaujon René Auffray (AP-HP)", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Clichy", "formation sélective", "IFSI", "Regroupement IFSI Université de Paris - D.E Infirmier", "D.E secteur sanitaire", "", 92, 6047, 5375, 6047, 0, 635, 199, 977, 441, 889, 453, 3546, 0, 0, 0, 0, 0, 4601, 0, 0, 0, 563, 169, 787, 340, 678, 345, 2573, 1058, 98, 88, 96, 0, 2.0, 41.0, 89.0, 0, 21, 50, 3, 27, 20, 48, 0, 4, 28, 18, 0, 0.0, 2, 25, 19, 0, 0, 26, 49, 2.04, 41.84, 90.82, 89.796875, 52.0, 98.0, 0, 42.0, 51.0, 0.0, 8.0, 56.0, 36.0, 0.0, 0.0, 6.0, 4.0, 54.0, 50.0, 40.0, 38.0, 127.0, 28.0, 220.0, 97.0, 462.0, "Tous les candidats", 3597.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "23016", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25148&g_ta_cod=23016", 27.0, 40.0, 34.0),
(3874, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Sociologie - Parcours Sociologie - Grenoble", "Licence - Sciences humaines et sociales", "Sociologie - Grenoble", 185, 1040, 776, 880, 0, 591, 137, 74, 30, 12, 3, 203, 160, 26, 17, 13, 104, 880, 156, 0, 0, 591, 137, 74, 30, 12, 3, 203, 913, 182, 127, 109, 68, 72.0, 107.0, 146.0, 0, 31, 90, 56, 23, 11, 92, 8, 42, 33, 6, 0, 1.0, 27, 7, 6, 0, 0, 81, 81, 39.56, 58.79, 80.22, 69.796875, 90.0, 90.0, 0, 34.3984375, 49.5, 8.8984375, 46.6953125, 36.6953125, 6.69921875, 0.0, 1.1, 62.1953125, 30.0, 25.59765625, 7.7998046875, 12.19921875, 6.69921875, 531.0, 128.0, 24.0, 8.0, 273.0, "Tous les candidats", 880.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "31720", "Licence - Sociologie - Parcours Sociologie - Grenoble", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31721&g_ta_cod=31720", 66.0, 20.0, 13.0),
(3875, "Public", "0133794D", "Aix Marseille Université - Site d'Aix-en-Provence (Centre Ville)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Autre formation", "Aix Marseille Université - Site d'Aix-en-Provence (Centre Ville) - Diplôme d'Université - Agent d'hygiène, propreté et stérilisation", "Diplôme d'Université", "Agent d'hygiène, propreté et stérilisation", 24, 44, 33, 14, 0, 1, 0, 2, 0, 5, 4, 6, 30, 1, 4, 6, 19, 4, 10, 0, 0, 0, 0, 1, 0, 2, 1, 1, 18, 4, 4, 1, 2, 1.0, 1.0, 3.0, 0, 1, 2, 0, 0, 2, 2, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 25.0, 25.0, 75.0, 100.0, 100.0, 100.0, 0, 50.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 2.0, 0.0, 5.0, 2.0, 9.0, "Tous les candidats", 4.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "32190", "Diplôme d'Université - Agent d'hygiène, propreté et stérilisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32190&g_ta_cod=32190", 25.0, 0.0, 75.0),
(3876, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Histoire des Arts - Parcours Histoire de l'Art", "Licence - Arts-lettres-langues", "Histoire de l'Art", 200, 1132, 881, 1019, 0, 628, 109, 123, 27, 40, 15, 228, 113, 32, 4, 11, 66, 1018, 112, 0, 0, 628, 109, 123, 27, 40, 15, 227, 1138, 197, 147, 153, 44, 149.0, 151.0, 182.0, 0, 36, 130, 103, 13, 14, 67, 0, 66, 42, 20, 2, 0.0, 53, 2, 9, 0, 0, 91, 91, 75.63, 76.65, 92.39, 74.59375, 70.0, 70.0, 0, 27.69921875, 66.0, 0.0, 50.796875, 32.296875, 15.3984375, 1.5, 0.0, 79.1875, 40.796875, 10.0, 1.5, 10.798828125, 6.8994140625, 663.0, 119.0, 53.0, 17.0, 294.0, "Tous les candidats", 1020.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4881", "Licence - Histoire des Arts - Parcours Histoire de l'Art", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4881&g_ta_cod=4881", 78.0, 10.0, 11.0),
(3877, "Public", "0180007K", "Lycée Jacques Coeur", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BTS", "Lycée Jacques Coeur - BTS - Services - Economie sociale familiale", "BTS - Services", "", 30, 685, 569, 680, 0, 89, 30, 147, 42, 202, 79, 242, 5, 0, 0, 0, 5, 360, 1, 0, 0, 72, 20, 127, 34, 93, 30, 68, 169, 28, 23, 26, 1, 2.0, 19.0, 23.0, 0, 9, 20, 5, 8, 7, 8, 0, 5, 11, 4, 0, 0.0, 3, 5, 7, 5, 4, 15, 15, 7.14, 67.86, 82.14, 82.09375, 75.0, 75.0, 25, 45.0, 71.390625, 0.0, 25.0, 55.0, 20.0, 0.0, 0.0, 25.0, 15.0, 40.0, 25.0, 35.0, 35.0, 36.0, 8.0, 39.0, 14.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 102, "Liste d'appel propre à cette formation", 35.0, "3098", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3098&g_ta_cod=3098", 36.0, 32.0, 32.0),
(3878, "Privé sous contrat d'association", "0442725Y", "LPO Talensac - Jeanne Bernard", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LPO Talensac - Jeanne Bernard - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 444, 401, 439, 0, 36, 3, 137, 26, 137, 38, 129, 5, 0, 0, 2, 3, 343, 0, 0, 0, 36, 3, 126, 22, 87, 20, 94, 162, 32, 28, 32, 0, 7.0, 19.0, 28.0, 0, 4, 18, 0, 9, 9, 14, 0, 6, 7, 5, 0, 0.0, 0, 3, 9, 3, 3, 17, 17, 21.88, 59.38, 87.5, 87.5, 94.390625, 94.390625, 16.69921875, 22.19921875, 56.296875, 0.0, 33.296875, 38.8984375, 27.796875, 0.0, 0.0, 0.0, 0.0, 50.0, 16.69921875, 50.0, 50.0, 11.0, 2.0, 52.0, 13.0, 49.0, "Tous les candidats sauf les Bac professionnels", 146.0, "Bacheliers professionnels toutes séries", 96, "", 0, "Liste d'appel propre à cette formation", 55.0, "5511", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5511&g_ta_cod=5511", 22.0, 44.0, 34.0),
(3879, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien", "Licence - Arts-lettres-langues", "Italien", 100, 288, 197, 134, 0, 66, 23, 10, 8, 3, 1, 55, 154, 7, 10, 16, 121, 134, 143, 0, 0, 66, 23, 10, 8, 3, 1, 55, 277, 57, 33, 7, 50, 6.0, 6.0, 31.0, 0, 9, 14, 4, 4, 6, 43, 0, 9, 5, 0, 0, 0.0, 3, 0, 2, 0, 0, 10, 10, 10.53, 10.53, 54.39, 57.8984375, 71.390625, 71.390625, 0, 64.296875, 24.59765625, 0.0, 64.296875, 35.6953125, 0.0, 0.0, 0.0, 28.59765625, 21.3984375, 28.59765625, 0.0, 42.8984375, 14.298828125, 73.0, 25.0, 19.0, 14.0, 165.0, "Tous les candidats", 134.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4153", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4153&g_ta_cod=4153", 47.0, 25.0, 23.0),
(3880, "Public", "0783431F", "Lycée Jules Verne", "78", "Yvelines", "Ile-de-France", "Versailles", "Sartrouville", "formation sélective", "Autre formation", "Lycée Jules Verne - Mention complémentaire - FCIL Electricien du spectacle", "Mention complémentaire", "", 9, 25, 3, 15, 0, 0, 0, 1, 0, 9, 1, 5, 10, 0, 0, 6, 4, 11, 1, 0, 0, 0, 0, 0, 0, 8, 1, 3, 18, 5, 0, 3, 1, 2.0, 3.0, 3.0, 0, 1, 3, 0, 0, 3, 2, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 40.0, 60.0, 60.0, 0.0, 100.0, 100.0, 0, 33.296875, 60.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 15.0, 3.0, 3.0, "Tous les candidats", 11.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "25149", "Mention complémentaire - FCIL Electricien du spectacle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25149&g_ta_cod=25149", 20.0, 0.0, 80.0),
(3881, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation sélective", "Autre formation", "Université Savoie Mont Blanc - Bourget-du-Lac - DEUST - Animation et gestion des activités sportives, physiques ou culturelles, parcours activités de pleine nature", "DEUST", "", 28, 392, 84, 392, 0, 174, 11, 90, 12, 45, 10, 83, 0, 0, 0, 0, 0, 133, 0, 0, 0, 50, 2, 28, 3, 24, 2, 31, 74, 28, 12, 28, 0, 11.0, 23.0, 25.0, 0, 2, 20, 8, 6, 6, 8, 0, 7, 9, 3, 1, 0.0, 6, 2, 5, 0, 0, 15, 15, 39.29, 82.14, 89.29, 42.8984375, 75.0, 75.0, 0, 10.0, 71.390625, 0.0, 35.0, 45.0, 15.0, 5.0, 0.0, 40.0, 30.0, 30.0, 10.0, 30.0, 25.0, 23.0, 1.0, 15.0, 1.0, 17.0, "Tous les candidats", 87.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "21477", "DEUST - Animation et gestion des activités sportives, physiques ou culturelles, parcours activités de pleine nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21477&g_ta_cod=21477", 39.0, 32.0, 29.0),
(3882, "Public", "0492189N", "AGROCAMPUS OUEST Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole d'Ingénieur", "AGROCAMPUS OUEST Angers - Formation d'ingénieur Bac + 5 - Horticulture - Paysage -  5 ans à Angers", "Formations  des écoles d'ingénieurs", "Horticulture - Paysage -  5 ans à Angers", 47, 236, 118, 236, 0, 179, 12, 10, 3, 0, 0, 47, 0, 0, 0, 0, 0, 109, 0, 0, 0, 90, 5, 5, 2, 0, 0, 14, 67, 47, 29, 47, 0, 33.0, 46.0, 46.0, 0, 3, 43, 41, 2, 0, 4, 0, 0, 0, 27, 12, 4.0, 41, 2, 0, 0, 0, 12, 12, 70.21, 97.87, 97.87, 61.6953125, 27.8984375, 27.8984375, 0, 7.0, 91.5, 0.0, 0.0, 0.0, 62.796875, 27.9, 9.3, 95.296875, 95.296875, 4.69921875, 4.69921875, 0.0, 0.0, 57.0, 4.0, 0.0, 0.0, 7.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "12029", "Formation d'ingénieur Bac + 5 - Horticulture - Paysage -  5 ans à Angers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12029&g_ta_cod=12029", 96.0, 4.0, 0.0),
(3883, "Public", "0670087F", "Lycée Alexandre Dumas (Hotelier)", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "Autre formation", "Lycée Alexandre Dumas (Hotelier) - Mention complémentaire - Organisateur de réception", "Mention complémentaire", "", 15, 61, 44, 61, 0, 0, 0, 24, 1, 26, 8, 11, 0, 0, 0, 0, 0, 58, 0, 0, 0, 0, 0, 24, 1, 24, 8, 10, 40, 7, 6, 7, 0, 3.0, 7.0, 7.0, 0, 3, 6, 0, 2, 4, 1, 0, 0, 3, 3, 0, 0.0, 0, 2, 4, 0, 0, 6, 6, 42.86, 100.0, 100.0, 85.6875, 100.0, 100.0, 0, 50.0, 85.6875, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 0.0, 0.0, 18.0, 8.0, 6.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "21492", "Mention complémentaire - Organisateur de réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21492&g_ta_cod=21492", 0.0, 29.0, 71.0),
(3884, "Public", "0421078U", "Lycée agricole Roanne-Cherve", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Perreux", "formation sélective", "BTS", "Lycée agricole Roanne-Cherve - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 24, 115, 44, 104, 0, 6, 1, 30, 7, 31, 10, 37, 11, 0, 2, 1, 8, 72, 1, 0, 0, 5, 1, 30, 7, 31, 10, 6, 64, 8, 1, 8, 0, 4.0, 8.0, 8.0, 0, 3, 6, 0, 2, 4, 2, 0, 3, 3, 0, 0, 0.0, 0, 2, 1, 1, 0, 4, 4, 50.0, 100.0, 100.0, 12.5, 66.6875, 66.6875, 16.69921875, 50.0, 75.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 16.69921875, 6.0, 1.0, 27.0, 9.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 69.0, "5327", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5327&g_ta_cod=5327", 13.0, 38.0, 50.0),
(3885, "Public", "0590214M", "Lycée Colbert", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Colbert - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 32, 234, 20, 204, 0, 15, 4, 31, 10, 97, 44, 61, 30, 0, 2, 18, 10, 97, 20, 0, 0, 14, 4, 30, 10, 53, 23, 0, 95, 18, 2, 10, 8, 6.0, 10.0, 18.0, 0, 7, 14, 2, 3, 9, 4, 0, 5, 4, 1, 4, 0.0, 1, 0, 8, 7, 1, 13, 13, 33.33, 55.56, 100.0, 11.099609375, 92.890625, 92.890625, 50, 50.0, 77.796875, 0.0, 35.6953125, 28.59765625, 7.099609375, 28.6, 0.0, 14.298828125, 7.099609375, 21.3984375, 0.0, 64.296875, 57.09375, 8.0, 2.0, 54.0, 28.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 47.0, "6835", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6835&g_ta_cod=6835", 11.0, 33.0, 56.0),
(3886, "Privé sous contrat d'association", "0692525V", "IFTS Croix Rouge Française Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 3e  Arrondissement", "formation sélective", "EFTS", "IFTS Croix Rouge Française Lyon - D.E Assistant de Service Social", "D.E secteur social", "", 31, 268, 236, 268, 0, 61, 15, 39, 13, 17, 6, 151, 0, 0, 0, 0, 0, 187, 0, 0, 0, 50, 10, 20, 4, 9, 4, 108, 93, 31, 28, 31, 0, 3.0, 18.0, 23.0, 0, 2, 11, 7, 2, 2, 20, 1, 2, 4, 4, 0, 0.0, 5, 1, 2, 0, 0, 7, 7, 9.68, 58.06, 74.19, 90.296875, 63.59375, 63.59375, 0, 18.19921875, 35.5, 9.099609375, 18.19921875, 36.3984375, 36.3984375, 0.0, 0.0, 63.59375, 45.5, 18.19921875, 9.099609375, 18.19921875, 18.19921875, 24.0, 4.0, 2.0, 0.0, 59.0, "Tous les candidats", 120.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "23974", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23974&g_ta_cod=23974", 65.0, 23.0, 10.0),
(3887, "Public", "0542017Z", "Institut de Formation de Manipulateur en Electroradiologie Médicale", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Institut de Formation de Manipulateur en Electroradiologie Médicale - D.E manipulateur/trice en électroradiologie médicale", "D.E secteur sanitaire", "", 50, 890, 675, 817, 0, 239, 45, 160, 40, 9, 3, 409, 73, 6, 10, 1, 56, 355, 8, 0, 0, 142, 21, 7, 0, 1, 0, 205, 235, 47, 33, 44, 3, 5.0, 26.0, 33.0, 0, 1, 23, 20, 3, 0, 24, 0, 4, 14, 5, 0, 0.0, 16, 3, 0, 0, 0, 18, 18, 10.64, 55.32, 70.21, 70.1875, 78.296875, 78.296875, 0, 4.2998046875, 48.8984375, 0.0, 17.3984375, 60.8984375, 21.69921875, 0.0, 0.0, 87.0, 69.59375, 13.0, 13.0, 0.0, 0.0, 81.0, 19.0, 0.0, 0.0, 147.0, "Tous les candidats", 275.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "19414", "D.E manipulateur/trice en électroradiologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19414&g_ta_cod=19414", 91.0, 9.0, 0.0),
(3888, "Public", "0772348J", "I.U.T de Marne la Vallée - Antenne de Meaux", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "BUT", "I.U.T de Marne la Vallée - Antenne de Meaux - BUT - Techniques de commercialisation Parcours : Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Business développement et management de la relation client - Stratégie de marque et événementiel", 82, 2000, 1101, 2000, 0, 882, 179, 701, 194, 67, 22, 350, 0, 0, 0, 0, 0, 1150, 0, 0, 0, 576, 101, 378, 93, 30, 13, 166, 326, 79, 58, 79, 0, 13.0, 73.0, 75.0, 0, 20, 63, 23, 34, 6, 16, 0, 3, 30, 28, 2, 0.0, 23, 32, 5, 0, 0, 57, 58, 16.46, 92.41, 94.94, 73.390625, 90.5, 92.09375, 0, 31.69921875, 79.6875, 0.0, 4.7998046875, 47.59375, 44.3984375, 3.2, 0.0, 36.5, 36.5, 54.0, 50.796875, 9.5, 7.8994140625, 124.0, 35.0, 17.0, 7.0, 67.0, "Tous les candidats sauf les Bac technologiques", 241.0, "Bacheliers technologiques toutes séries", 157, "", 0, "Liste d'appel propre à cette formation", 20.0, "9903", "BUT - Techniques de commercialisation Parcours : Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9903&g_ta_cod=9903", 39.0, 52.0, 9.0),
(3889, "Public", "0940580V", "Lycée polyvalent de Cachan", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "CPGE", "Lycée polyvalent de Cachan - CPGE - ENS Rennes D1", "Classe préparatoire économique et commerciale", "", 39, 1033, 712, 1033, 493, 858, 153, 31, 9, 2, 1, 142, 0, 0, 0, 0, 0, 718, 0, 335, 696, 680, 111, 21, 8, 0, 0, 17, 192, 39, 31, 39, 0, 9.0, 27.0, 36.0, 9, 5, 39, 34, 5, 0, 0, 0, 1, 9, 27, 2, 0.0, 33, 5, 0, 0, 0, 6, 20, 23.08, 69.23, 92.31, 79.5, 15.3984375, 51.296875, 0, 12.798828125, 100.0, 0.0, 2.599609375, 23.09765625, 69.1875, 5.1, 0.0, 87.1875, 84.59375, 12.798828125, 12.798828125, 0.0, 0.0, 179.0, 25.0, 0.0, 0.0, 0.0, "Tous les candidats", 302.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "11426", "CPGE - ENS Rennes D1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11426&g_ta_cod=11426", 87.0, 13.0, 0.0),
(3890, "Public", "3500005D", "Lycée français Descartes", "99", "Etranger", "Etranger", "Etranger", "Rabat", "formation sélective", "CPGE", "Lycée français Descartes - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 20, 166, 89, 160, 0, 125, 9, 1, 0, 0, 0, 34, 6, 3, 1, 0, 2, 96, 3, 0, 96, 90, 3, 0, 0, 0, 0, 6, 79, 3, 2, 2, 1, 0.0, 2.0, 3.0, 0, 0, 2, 2, 0, 0, 1, 0, 0, 1, 1, 0, 0.0, 2, 0, 0, 1, 0, 2, 2, 0.0, 66.67, 100.0, 66.6875, 100.0, 100.0, 50, 0.0, 66.6875, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 73.0, 3.0, 0.0, 0.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "32548", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32547&g_ta_cod=32548", 100.0, 0.0, 0.0),
(3891, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence", "Université de Toulon - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Licence STAPS", "Licence - Sciences - technologies - santé", "Licence STAPS", 339, 2600, 730, 2600, 0, 1592, 273, 391, 98, 115, 50, 502, 0, 0, 0, 0, 0, 2600, 0, 0, 0, 1592, 273, 391, 98, 115, 50, 502, 994, 322, 86, 322, 0, 65.0, 253.0, 298.0, 0, 59, 254, 194, 38, 22, 68, 0, 111, 115, 27, 1, 0.0, 111, 22, 10, 0, 0, 237, 237, 20.19, 78.57, 92.55, 26.69921875, 93.296875, 93.296875, 0, 23.19921875, 78.890625, 0.0, 43.6953125, 45.296875, 10.599609375, 0.4, 0.0, 76.390625, 43.6953125, 15.0, 8.69921875, 8.69921875, 3.89990234375, 632.0, 105.0, 64.0, 31.0, 222.0, "Tous les candidats", 1187.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 43.0, "10368", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Licence STAPS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31838&g_ta_cod=10368", 72.0, 17.0, 10.0),
(3892, "Public", "0910623H", "Lycée Marcel Pagnol", "91", "Essonne", "Ile-de-France", "Versailles", "Athis-Mons", "formation sélective", "BTS", "Lycée Marcel Pagnol - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 985, 577, 867, 0, 30, 10, 283, 109, 274, 150, 280, 118, 0, 0, 59, 59, 402, 0, 0, 0, 15, 5, 173, 65, 150, 86, 64, 224, 33, 18, 32, 0, 1.0, 25.0, 30.0, 0, 13, 26, 1, 12, 13, 7, 0, 17, 8, 1, 0, 0.0, 0, 3, 6, 7, 5, 23, 26, 3.03, 75.76, 90.91, 54.5, 88.5, 100.0, 26.8984375, 50.0, 78.796875, 0.0, 65.390625, 30.796875, 3.7998046875, 0.0, 0.0, 3.7998046875, 0.0, 46.1953125, 11.5, 50.0, 23.09765625, 9.0, 3.0, 88.0, 50.0, 47.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 162, "Bacheliers technologiques toutes séries", 144, "Liste d'appel propre à cette formation", 39.0, "20589", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20589&g_ta_cod=20589", 6.0, 48.0, 45.0),
(3893, "Privé sous contrat d'association", "0290181P", "Lycée Sup'Javouhey BREST", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Sup'Javouhey BREST - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 297, 149, 280, 0, 41, 6, 113, 15, 35, 10, 91, 17, 1, 1, 7, 8, 203, 5, 0, 0, 41, 6, 99, 9, 26, 6, 37, 123, 28, 12, 26, 2, 8.0, 24.0, 27.0, 0, 2, 22, 0, 18, 4, 6, 0, 8, 11, 2, 1, 0.0, 0, 10, 4, 0, 0, 20, 20, 28.57, 85.71, 96.43, 42.8984375, 90.890625, 90.890625, 0, 9.099609375, 78.59375, 0.0, 36.3984375, 50.0, 9.099609375, 4.5, 0.0, 0.0, 0.0, 81.796875, 45.5, 18.19921875, 18.19921875, 16.0, 3.0, 26.0, 7.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 105, "Liste d'appel propre à cette formation", 68.0, "3823", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3823&g_ta_cod=3823", 11.0, 75.0, 14.0),
(3894, "Privé sous contrat d'association", "0622198C", "Lycée Saint Joseph", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Martin-Boulogne", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 42, 231, 128, 227, 0, 36, 6, 71, 17, 71, 27, 49, 4, 1, 1, 0, 2, 206, 1, 0, 0, 35, 6, 67, 17, 71, 27, 33, 126, 33, 18, 33, 0, 9.0, 28.0, 31.0, 0, 11, 31, 4, 8, 19, 2, 0, 9, 9, 12, 1, 0.0, 1, 7, 14, 13, 7, 31, 31, 27.27, 84.85, 93.94, 54.5, 100.0, 100.0, 41.8984375, 35.5, 93.890625, 0.0, 29.0, 29.0, 38.6953125, 3.2, 0.0, 12.8984375, 3.19970703125, 25.796875, 22.59765625, 61.296875, 45.1953125, 17.0, 5.0, 58.0, 24.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 77.0, "7426", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7426&g_ta_cod=7426", 12.0, 30.0, 58.0),
(3895, "Privé sous contrat d'association", "0350769W", "Lycée Jean Baptiste Le Taillandier", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Fougères", "formation sélective", "BTS", "Lycée Jean Baptiste Le Taillandier - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 387, 184, 378, 0, 30, 3, 180, 41, 119, 25, 49, 9, 0, 0, 2, 7, 318, 1, 0, 0, 30, 3, 151, 34, 99, 21, 38, 155, 28, 16, 27, 1, 3.0, 21.0, 26.0, 0, 2, 23, 1, 11, 11, 5, 0, 11, 10, 2, 0, 0.0, 0, 6, 6, 15, 10, 21, 21, 10.71, 75.0, 92.86, 57.09375, 91.296875, 91.296875, 65.1875, 8.69921875, 82.09375, 0.0, 47.796875, 43.5, 8.69921875, 0.0, 0.0, 4.2998046875, 0.0, 47.796875, 26.09765625, 47.796875, 26.09765625, 15.0, 2.0, 77.0, 16.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 107, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 55.0, "4676", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4676&g_ta_cod=4676", 11.0, 43.0, 46.0),
(3896, "Public", "0040011R", "Lycée professionnel Louis Martin Bret", "04", "Alpes-de-Haute-Provence", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Manosque", "formation sélective", "Autre formation", "Lycée professionnel Louis Martin Bret - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 2, 1, 0, 0, 0.0, 0.0, 0.0, 0, 0, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 0.0, 0.0, 0.0, 50.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 9.0, 3.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30472", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(3897, "Public", "0030878N", "IFSI CH Vichy", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Vichy", "formation sélective", "IFSI", "Regroupement d'IFSI Université Clermont Auvergne - D.E Infirmier", "D.E secteur sanitaire", "", 94, 3702, 3062, 3702, 0, 758, 134, 792, 183, 314, 110, 1838, 0, 0, 0, 0, 0, 3001, 0, 0, 0, 699, 113, 736, 160, 226, 75, 1340, 747, 94, 86, 94, 0, 6.0, 48.0, 80.0, 0, 13, 68, 21, 47, 0, 26, 0, 16, 33, 17, 2, 0.0, 18, 34, 0, 0, 0, 43, 43, 6.38, 51.06, 85.11, 91.5, 63.1953125, 63.1953125, 0, 19.09765625, 72.296875, 0.0, 23.5, 48.5, 25.0, 2.9, 0.0, 30.8984375, 26.5, 69.09375, 50.0, 0.0, 0.0, 152.0, 15.0, 13.0, 3.0, 198.0, "Tous les candidats", 1435.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "23104", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22999&g_ta_cod=23104", 32.0, 65.0, 3.0),
(3898, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence_Las", "Université d'Orléans - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "Sciences et Techniques des Activités Physiques et Sportives - Orléans", 30, 1788, 704, 1788, 0, 1144, 145, 209, 41, 56, 24, 379, 0, 0, 0, 0, 0, 1787, 0, 0, 0, 1144, 145, 209, 41, 56, 24, 378, 104, 29, 11, 29, 0, 5.0, 17.0, 20.0, 0, 4, 23, 21, 1, 1, 6, 0, 3, 10, 8, 2, 0.0, 18, 1, 1, 0, 0, 21, 21, 17.24, 58.62, 68.97, 37.8984375, 91.296875, 91.296875, 0, 17.3984375, 79.296875, 0.0, 13.0, 43.5, 34.796875, 8.7, 0.0, 91.296875, 78.296875, 4.2998046875, 4.2998046875, 4.2998046875, 4.2998046875, 52.0, 6.0, 2.0, 2.0, 47.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 7.0, "33279", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5714&g_ta_cod=33279", 93.0, 3.0, 3.0),
(3899, "Public", "0750707L", "Ecole Nationale De Commerce", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "BTS", "Ecole Nationale De Commerce - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 70, 2455, 1155, 2455, 0, 245, 96, 744, 345, 553, 295, 913, 0, 0, 0, 0, 0, 1015, 0, 0, 0, 149, 59, 289, 148, 501, 270, 76, 277, 71, 33, 71, 0, 43.0, 63.0, 69.0, 0, 41, 63, 9, 25, 29, 8, 0, 11, 33, 18, 1, 0.0, 6, 23, 23, 0, 0, 18, 63, 60.56, 88.73, 97.18, 46.5, 28.59765625, 100.0, 0, 65.09375, 88.6875, 0.0, 17.5, 52.3984375, 28.59765625, 1.6, 0.0, 14.298828125, 9.5, 39.6953125, 36.5, 46.0, 36.5, 48.0, 24.0, 101.0, 64.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 133, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 13.0, "9158", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9158&g_ta_cod=9158", 18.0, 39.0, 42.0),
(3900, "Public", "0301577B", "Université de Montpellier, Antenne de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "PASS", "Université de Montpellier, Antenne de Nîmes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 75, 2517, 1746, 2517, 0, 1993, 435, 66, 28, 10, 5, 448, 0, 0, 0, 0, 0, 2517, 0, 0, 0, 1993, 435, 66, 28, 10, 5, 448, 647, 72, 49, 72, 0, 3.0, 34.0, 61.0, 0, 11, 68, 67, 1, 0, 4, 0, 3, 15, 30, 19, 1.0, 65, 0, 0, 0, 0, 54, 54, 4.17, 47.22, 84.72, 68.09375, 79.390625, 79.390625, 0, 16.19921875, 94.390625, 0.0, 4.3994140625, 22.09765625, 44.09375, 27.9, 1.5, 98.5, 95.59375, 1.5, 0.0, 0.0, 0.0, 593.0, 117.0, 0.0, 0.0, 53.0, "Tous les candidats", 1327.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "31854", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28811&g_ta_cod=31854", 99.0, 1.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(3901, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "PASS", "Université de Nantes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Sciences humaines et sociales", 108, 2933, 2289, 2933, 0, 2252, 290, 88, 23, 15, 9, 578, 0, 0, 0, 0, 0, 2933, 0, 0, 0, 2252, 290, 88, 23, 15, 9, 578, 589, 108, 97, 108, 0, 2.0, 74.0, 103.0, 0, 28, 108, 103, 3, 2, 0, 0, 14, 42, 46, 5, 1.0, 91, 3, 0, 0, 0, 101, 101, 1.85, 68.52, 95.37, 89.796875, 93.5, 93.5, 0, 25.8984375, 100.0, 0.0, 13.0, 38.8984375, 42.59375, 4.6, 0.9, 95.390625, 84.296875, 2.7998046875, 2.7998046875, 1.89990234375, 0.0, 562.0, 76.0, 3.0, 3.0, 4.0, "Tous les candidats", 2072.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "28140", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27985&g_ta_cod=28140", 95.0, 3.0, 2.0),
(3902, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence_Las", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 20, 3316, 2776, 3316, 0, 1840, 364, 235, 65, 72, 33, 1169, 0, 0, 0, 0, 0, 3306, 0, 0, 0, 1840, 364, 235, 65, 72, 33, 1159, 131, 20, 20, 20, 0, 0.0, 10.0, 17.0, 0, 5, 18, 18, 0, 0, 2, 0, 0, 0, 12, 6, 0.0, 18, 0, 0, 0, 0, 14, 14, 0.0, 50.0, 85.0, 100.0, 77.796875, 77.796875, 0, 27.796875, 90.0, 0.0, 0.0, 0.0, 66.6875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 99.0, 29.0, 0.0, 0.0, 32.0, "Tous les candidats", 814.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 11.0, "26673", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26672&g_ta_cod=26673", 100.0, 0.0, 0.0),
(3903, "Public", "0310133B", "Sciences Po Toulouse - Institut d'études politiques", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Réseau ScPo ? concours commun - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Cursus général", "Sciences politiques", "Cursus général", 180, 13797, 8473, 13797, 0, 11642, 1267, 37, 15, 3, 2, 2115, 0, 0, 0, 0, 0, 2500, 0, 0, 0, 1666, 153, 4, 1, 0, 0, 830, 1559, 178, 139, 178, 0, 4.0, 126.0, 163.0, 0, 14, 101, 101, 0, 0, 77, 1, 0, 0, 15, 72, 13.0, 100, 0, 0, 0, 0, 37, 37, 2.25, 70.79, 91.57, 78.09375, 36.59375, 36.59375, 0, 13.8984375, 56.6953125, 1.0, 0.0, 0.0, 14.8984375, 71.3, 12.9, 100.0, 99.0, 0.0, 0.0, 0.0, 0.0, 979.0, 135.0, 0.0, 0.0, 579.0, "Tous les candidats", 1811.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "25829", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Cursus général", "Réseau ScPo ? concours commun", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25823&g_ta_cod=25829", 99.0, 1.0, 0.0),
(3904, "Privé enseignement supérieur", "0596162C", "Institut Catholique de Lille-Faculté Libre Droit", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Institut Catholique de Lille-Faculté Libre Droit - Licence - Droit - Parcours droit science politique", "Licence - Droit-économie-gestion", "droit science politique", 150, 1171, 752, 1171, 0, 1032, 85, 9, 5, 2, 0, 128, 0, 0, 0, 0, 0, 1131, 0, 0, 0, 1025, 82, 0, 0, 0, 0, 106, 532, 167, 111, 167, 0, 85.0, 151.0, 167.0, 0, 10, 160, 160, 0, 0, 7, 0, 1, 35, 85, 38, 1.0, 159, 0, 0, 0, 0, 51, 51, 50.9, 90.42, 100.0, 66.5, 31.8984375, 31.8984375, 0, 6.2998046875, 95.796875, 0.0, 0.5999755859375, 21.8984375, 53.09375, 23.8, 0.6, 100.0, 99.390625, 0.0, 0.0, 0.0, 0.0, 501.0, 35.0, 0.0, 0.0, 31.0, "Tous les candidats", 592.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "12465", "Licence - Droit - Parcours droit science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12465&g_ta_cod=12465", 100.0, 0.0, 0.0),
(3905, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence_Las", "Université Grenoble Alpes  - Licence - Portail Droit - Droit - Grenoble", "Licence - Droit-économie-gestion", "Droit - Grenoble", 40, 740, 543, 737, 0, 419, 91, 53, 21, 17, 13, 248, 3, 0, 0, 0, 3, 732, 3, 0, 0, 419, 91, 53, 21, 17, 13, 243, 314, 38, 28, 37, 1, 0.0, 16.0, 29.0, 0, 5, 20, 15, 4, 1, 18, 0, 6, 6, 7, 1, 0.0, 11, 2, 1, 0, 0, 17, 17, 0.0, 42.11, 76.32, 73.6875, 85.0, 85.0, 0, 25.0, 52.59375, 0.0, 30.0, 30.0, 35.0, 5.0, 0.0, 75.0, 55.0, 20.0, 10.0, 5.0, 5.0, 163.0, 32.0, 10.0, 9.0, 116.0, "Tous les candidats", 2686.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 64.0, "31045", "Licence - Portail Droit - Droit - Grenoble", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31044&g_ta_cod=31045", 82.0, 13.0, 5.0),
(3906, "Privé sous contrat d'association", "0560180S", "Lycée Notre Dame De La Paix", "56", "Morbihan", "Bretagne", "Rennes", "Ploemeur", "formation sélective", "BTS", "Lycée Notre Dame De La Paix - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 30, 154, 29, 144, 0, 4, 0, 52, 6, 69, 12, 19, 10, 0, 2, 4, 4, 134, 7, 0, 0, 4, 0, 52, 6, 68, 12, 10, 121, 25, 6, 21, 4, 4.0, 17.0, 21.0, 0, 2, 22, 1, 8, 13, 3, 1, 10, 8, 3, 0, 0.0, 1, 1, 9, 0, 0, 20, 20, 16.0, 68.0, 84.0, 24.0, 90.890625, 90.890625, 0, 9.099609375, 88.0, 4.5, 45.5, 36.3984375, 13.599609375, 0.0, 0.0, 4.5, 4.5, 36.3984375, 4.5, 59.09375, 40.8984375, 2.0, 0.0, 69.0, 11.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 88.0, "13700", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13700&g_ta_cod=13700", 12.0, 36.0, 52.0),
(3907, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "PASS", "Université de Franche-Comté - Site de Besançon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 46, 1494, 1074, 1494, 0, 1193, 180, 28, 6, 3, 3, 270, 0, 0, 0, 0, 0, 1495, 0, 0, 0, 1194, 181, 28, 6, 3, 3, 270, 406, 46, 37, 46, 0, 0.0, 9.0, 43.0, 0, 3, 44, 43, 1, 0, 2, 1, 14, 18, 6, 5, 0.0, 28, 1, 0, 0, 0, 39, 39, 0.0, 19.57, 93.48, 80.390625, 88.59375, 88.59375, 0, 6.7998046875, 95.6875, 2.2998046875, 31.796875, 40.8984375, 13.599609375, 11.4, 0.0, 97.6875, 63.59375, 2.2998046875, 2.2998046875, 0.0, 0.0, 394.0, 51.0, 1.0, 1.0, 4.0, "Tous les candidats", 3795.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 62.0, "32591", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27350&g_ta_cod=32591", 98.0, 2.0, 0.0),
(3908, "Public", "0840005Z", "Lycée Philippe de Girard", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée Philippe de Girard - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 305, 17, 287, 0, 9, 3, 72, 26, 143, 77, 63, 18, 0, 3, 9, 6, 227, 3, 0, 0, 9, 3, 72, 26, 131, 68, 15, 115, 14, 0, 13, 1, 2.0, 8.0, 13.0, 0, 8, 12, 1, 4, 7, 2, 0, 11, 0, 1, 0, 0.0, 0, 0, 1, 4, 0, 7, 7, 14.29, 57.14, 92.86, 0.0, 58.296875, 58.296875, 33.296875, 66.6875, 85.6875, 0.0, 91.6875, 0.0, 8.298828125, 0.0, 0.0, 8.298828125, 0.0, 33.296875, 0.0, 58.296875, 8.298828125, 3.0, 2.0, 58.0, 28.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 131, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 77.0, "10420", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10420&g_ta_cod=10420", 14.0, 36.0, 50.0),
(3909, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Portail Sciences de la vie / Sciences de la terre", "Licence - Sciences - technologies - santé", "Sciences de la vie / Sciences de la terre", 360, 3072, 2086, 3040, 0, 1932, 282, 124, 26, 5, 0, 979, 32, 10, 1, 0, 21, 3032, 30, 0, 0, 1932, 282, 124, 26, 5, 0, 971, 1574, 355, 235, 334, 20, 30.0, 202.0, 263.0, 0, 37, 239, 228, 10, 1, 116, 0, 68, 88, 69, 13, 1.0, 167, 3, 1, 0, 0, 217, 217, 8.45, 56.9, 74.08, 66.1875, 90.796875, 90.796875, 0, 15.5, 67.296875, 0.0, 28.5, 36.796875, 28.8984375, 5.4, 0.4, 95.390625, 69.890625, 4.19921875, 1.2998046875, 0.39996337890625, 0.39996337890625, 962.0, 152.0, 1.0, 0.0, 590.0, "Tous les candidats", 1990.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 59.0, "3266", "Licence - Portail Sciences de la vie / Sciences de la terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27641&g_ta_cod=3266", 95.0, 4.0, 1.0),
(3910, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "Autre formation", "Université d'Orléans - C.M.I - Cursus Master en Ingénierie - Mathématiques - Cursus Master en Ingénierie (CMI) :  Ingénierie Statistique des Données et Modélisation (CMI ISDeM)", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) :  Ingénierie Statistique des Données et Modélisation (CMI ISDeM)", 20, 154, 42, 104, 0, 73, 7, 0, 0, 0, 0, 31, 50, 14, 1, 0, 35, 34, 5, 0, 0, 32, 0, 0, 0, 0, 0, 2, 39, 8, 3, 7, 1, 6.0, 7.0, 8.0, 0, 0, 5, 5, 0, 0, 3, 0, 0, 2, 2, 1, 0.0, 5, 0, 0, 0, 0, 4, 4, 75.0, 87.5, 100.0, 37.5, 80.0, 80.0, 0, 0.0, 62.5, 0.0, 0.0, 40.0, 40.0, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 33.0, 0.0, 0.0, 0.0, 6.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "23357", "C.M.I - Cursus Master en Ingénierie - Mathématiques - Cursus Master en Ingénierie (CMI) :  Ingénierie Statistique des Données et Modélisation (CMI ISDeM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23357&g_ta_cod=23357", 100.0, 0.0, 0.0),
(3911, "Privé sous contrat d'association", "0291574D", "Lycée agricole DE KERBERNEZ", "29", "Finistère", "Bretagne", "Rennes", "Plomelin", "formation sélective", "BTS", "Lycée agricole DE KERBERNEZ - BTS - Agricole - Production horticole", "BTS - Agricole", "", 16, 72, 30, 70, 0, 11, 4, 12, 1, 14, 1, 33, 2, 0, 1, 1, 0, 70, 2, 0, 0, 11, 4, 12, 1, 14, 1, 33, 55, 11, 3, 11, 0, 1.0, 11.0, 11.0, 0, 0, 3, 1, 1, 1, 8, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 9.09, 100.0, 100.0, 27.296875, 66.6875, 66.6875, 0, 0.0, 27.296875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 33.296875, 0.0, 33.296875, 0.0, 33.296875, 33.296875, 8.0, 2.0, 14.0, 1.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 90.0, "3886", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3886&g_ta_cod=3886", 55.0, 18.0, 27.0),
(3912, "Public", "0020050U", "Lycée Condorcet", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "BTS", "Lycée Condorcet - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 531, 243, 516, 0, 47, 26, 63, 26, 51, 28, 355, 15, 0, 0, 9, 6, 222, 0, 0, 0, 47, 26, 63, 26, 51, 28, 61, 107, 28, 13, 28, 0, 5.0, 21.0, 24.0, 0, 19, 25, 7, 10, 8, 3, 0, 11, 9, 5, 0, 0.0, 3, 6, 5, 8, 4, 24, 24, 17.86, 75.0, 85.71, 46.3984375, 96.0, 96.0, 32, 76.0, 89.296875, 0.0, 44.0, 36.0, 20.0, 0.0, 0.0, 28.0, 12.0, 40.0, 24.0, 32.0, 20.0, 15.0, 9.0, 42.0, 23.0, 25.0, "Tous les candidats sauf les Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 61, "", 0, "Liste d'appel propre à cette formation", 26.0, "2067", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2067&g_ta_cod=2067", 29.0, 43.0, 29.0),
(3913, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Lettres", "Licence - Arts-lettres-langues", "", 185, 897, 697, 679, 0, 409, 127, 30, 16, 44, 29, 196, 218, 29, 17, 15, 157, 678, 209, 0, 0, 409, 127, 30, 16, 44, 29, 195, 887, 143, 104, 84, 59, 81.0, 82.0, 123.0, 0, 32, 65, 43, 7, 15, 78, 0, 29, 19, 8, 9, 0.0, 26, 3, 7, 0, 0, 49, 49, 56.64, 57.34, 86.01, 72.6875, 75.390625, 75.390625, 0, 49.1953125, 45.5, 0.0, 44.59375, 29.19921875, 12.298828125, 13.8, 0.0, 66.1875, 40.0, 10.798828125, 4.599609375, 23.09765625, 10.798828125, 437.0, 137.0, 59.0, 41.0, 344.0, "Tous les candidats", 678.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4586", "Licence - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4586&g_ta_cod=4586", 64.0, 10.0, 20.0),
(3914, "Public", "0770924L", "Lycée Campus de Coulommiers", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Coulommiers", "formation sélective", "BTS", "Lycée Campus de Coulommiers - BTS - Services - Economie sociale familiale", "BTS - Services", "", 26, 302, 260, 302, 0, 14, 2, 90, 27, 117, 40, 81, 0, 0, 0, 0, 0, 302, 0, 0, 0, 14, 2, 90, 27, 117, 40, 81, 112, 20, 18, 20, 0, 9.0, 16.0, 17.0, 0, 3, 17, 2, 8, 7, 3, 0, 6, 8, 3, 0, 0.0, 1, 4, 6, 8, 8, 15, 15, 45.0, 80.0, 85.0, 90.0, 88.1875, 88.1875, 47.09375, 17.59765625, 85.0, 0.0, 35.296875, 47.09375, 17.59765625, 0.0, 0.0, 11.798828125, 5.8994140625, 47.09375, 23.5, 41.1953125, 35.296875, 5.0, 2.0, 54.0, 17.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 38.0, "18854", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18854&g_ta_cod=18854", 15.0, 40.0, 45.0),
(3915, "Privé sous contrat d'association", "0783344L", "Lycée Notre-Dame Les Oiseaux", "78", "Yvelines", "Ile-de-France", "Versailles", "Verneuil-sur-Seine", "formation sélective", "BTS", "Lycée Notre-Dame Les Oiseaux - BTS - Production - Métiers de la chimie", "BTS - Production", "", 32, 223, 126, 206, 0, 44, 6, 37, 8, 2, 1, 123, 17, 0, 6, 0, 11, 98, 5, 0, 0, 41, 5, 28, 5, 1, 0, 28, 74, 14, 6, 13, 1, 7.0, 13.0, 14.0, 0, 1, 7, 6, 1, 0, 7, 1, 2, 3, 1, 0, 0.0, 4, 0, 0, 2, 1, 6, 6, 50.0, 92.86, 100.0, 42.8984375, 85.6875, 85.6875, 28.59765625, 14.298828125, 50.0, 14.298828125, 28.59765625, 42.8984375, 14.298828125, 0.0, 0.0, 85.6875, 57.09375, 14.298828125, 0.0, 0.0, 0.0, 22.0, 3.0, 1.0, 0.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 1, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 34.0, "10083", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10083&g_ta_cod=10083", 86.0, 14.0, 0.0),
(3916, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "PASS", "Université de Lille - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 105, 7072, 4670, 7072, 0, 5837, 884, 81, 36, 12, 7, 1142, 0, 0, 0, 0, 0, 7071, 0, 0, 0, 5837, 884, 81, 36, 12, 7, 1141, 1144, 104, 74, 104, 0, 26.0, 63.0, 91.0, 0, 22, 103, 103, 0, 0, 1, 0, 1, 8, 54, 29, 11.0, 102, 0, 0, 0, 0, 87, 87, 25.0, 60.58, 87.5, 71.1875, 84.5, 84.5, 0, 21.3984375, 99.0, 0.0, 1.0, 7.7998046875, 52.3984375, 28.2, 10.7, 100.0, 99.0, 0.0, 0.0, 0.0, 0.0, 1059.0, 153.0, 1.0, 1.0, 82.0, "Tous les candidats", 3182.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "29185", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27162&g_ta_cod=29185", 100.0, 0.0, 0.0),
(3917, "Public", "0750681H", "ESAA Boulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "ESAA Boulle - DN MADE - Objet - Spécialité : Métiers d?art Restauration de mobilier : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "DN MADE", "Spécialité : Métiers d?art Restauration de mobilier : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", 5, 209, 158, 209, 0, 73, 13, 43, 7, 9, 1, 84, 0, 0, 0, 0, 0, 13, 0, 0, 0, 3, 0, 6, 0, 0, 0, 4, 8, 5, 3, 5, 0, 2.0, 4.0, 5.0, 0, 0, 3, 2, 1, 0, 2, 0, 0, 0, 0, 2, 1.0, 2, 1, 0, 0, 0, 0, 0, 40.0, 80.0, 100.0, 60.0, 0.0, 0.0, 0, 0.0, 60.0, 0.0, 0.0, 0.0, 0.0, 66.7, 33.3, 66.6875, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 2.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "26868", "DN MADE - Objet - Spécialité : Métiers d?art Restauration de mobilier : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26868&g_ta_cod=26868", 60.0, 20.0, 0.0),
(3918, "Public", "0690097F", "Lycée Claude Bernard", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villefranche-sur-Saône", "formation sélective", "BTS", "Lycée Claude Bernard - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 912, 468, 892, 0, 81, 18, 351, 114, 274, 107, 186, 20, 0, 0, 14, 6, 512, 0, 0, 0, 69, 14, 235, 65, 149, 56, 59, 144, 20, 9, 19, 0, 1.0, 12.0, 16.0, 0, 9, 19, 2, 7, 10, 1, 0, 5, 9, 3, 2, 0.0, 2, 4, 8, 7, 2, 13, 13, 5.0, 60.0, 80.0, 45.0, 68.390625, 68.390625, 36.796875, 47.3984375, 95.0, 0.0, 26.296875, 47.3984375, 15.798828125, 10.5, 0.0, 10.5, 10.5, 36.796875, 21.09765625, 52.59375, 42.09375, 13.0, 6.0, 55.0, 19.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 22.0, "8241", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8241&g_ta_cod=8241", 10.0, 40.0, 50.0),
(3919, "Privé sous contrat d'association", "0641545G", "Institut Agricole Secondaire Jean Errecart", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Saint-Palais", "formation sélective", "BTS", "Institut Agricole Secondaire Jean Errecart - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 27, 84, 56, 78, 0, 8, 2, 22, 8, 32, 7, 16, 6, 0, 2, 1, 3, 70, 4, 0, 0, 8, 2, 22, 8, 32, 7, 8, 64, 24, 15, 23, 1, 17.0, 23.0, 24.0, 0, 5, 23, 3, 6, 14, 1, 0, 5, 11, 7, 0, 0.0, 1, 5, 12, 7, 2, 20, 20, 70.83, 95.83, 100.0, 62.5, 87.0, 87.0, 30.3984375, 21.69921875, 95.796875, 0.0, 21.69921875, 47.796875, 30.3984375, 0.0, 0.0, 13.0, 4.2998046875, 26.09765625, 21.69921875, 60.8984375, 52.1953125, 7.0, 2.0, 26.0, 6.0, 9.0, "Tous les candidats sauf les Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 90.0, "7763", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7763&g_ta_cod=7763", 17.0, 25.0, 58.0),
(3920, "Public", "0782019W", "Ecole nationale supérieure de paysage Versailles", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "Autre formation", "Ecole nationale supérieure de paysage Versailles - Paysage - Première année commune, Arts, Paysage, Architecture", "Formations Bac + 5", "Première année commune, Arts, Paysage, Architecture", 25, 342, 209, 342, 0, 200, 25, 23, 10, 0, 0, 119, 0, 0, 0, 0, 0, 82, 0, 0, 0, 53, 4, 4, 2, 0, 0, 25, 34, 25, 14, 25, 0, 17.0, 23.0, 24.0, 0, 4, 18, 16, 2, 0, 7, 0, 1, 7, 7, 3, 0.0, 15, 2, 0, 0, 0, 3, 4, 68.0, 92.0, 96.0, 56.0, 16.69921875, 22.19921875, 0, 22.19921875, 72.0, 0.0, 5.599609375, 38.8984375, 38.8984375, 16.7, 0.0, 88.890625, 83.296875, 11.099609375, 11.099609375, 0.0, 0.0, 23.0, 4.0, 0.0, 0.0, 9.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "26054", "Paysage - Première année commune, Arts, Paysage, Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26054&g_ta_cod=26054", 84.0, 16.0, 0.0),
(3921, "Public", "0930116W", "Lycée Henri Wallon", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "BTS", "Lycée Henri Wallon - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 2961, 1565, 2741, 0, 121, 56, 710, 377, 1001, 592, 909, 220, 76, 0, 0, 144, 558, 0, 0, 0, 17, 7, 64, 35, 413, 251, 64, 179, 33, 16, 32, 0, 1.0, 23.0, 31.0, 0, 17, 29, 4, 12, 13, 4, 0, 16, 11, 2, 0, 0.0, 2, 4, 7, 2, 1, 25, 29, 3.03, 69.7, 93.94, 48.5, 86.1875, 100.0, 6.8994140625, 58.59375, 87.890625, 0.0, 55.1953125, 37.8984375, 6.8994140625, 0.0, 0.0, 13.798828125, 6.8994140625, 41.3984375, 13.798828125, 44.796875, 24.09765625, 14.0, 6.0, 71.0, 42.0, 54.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 134, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 9.0, "11159", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11159&g_ta_cod=11159", 15.0, 42.0, 42.0),
(3922, "Public", "0731392S", "Lycée du Granier", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "La Ravoire", "formation sélective", "BTS", "Lycée du Granier - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 321, 206, 291, 0, 11, 2, 117, 32, 80, 36, 83, 30, 0, 0, 19, 11, 167, 5, 0, 0, 11, 2, 84, 20, 53, 18, 19, 124, 23, 19, 20, 2, 6.0, 17.0, 20.0, 0, 7, 18, 1, 12, 5, 5, 0, 9, 5, 4, 0, 0.0, 1, 3, 5, 6, 6, 15, 15, 26.09, 73.91, 86.96, 82.59375, 83.296875, 83.296875, 33.296875, 38.8984375, 78.296875, 0.0, 50.0, 27.796875, 22.19921875, 0.0, 0.0, 5.599609375, 5.599609375, 66.6875, 16.69921875, 27.796875, 27.796875, 10.0, 2.0, 43.0, 12.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 49.0, "8832", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8832&g_ta_cod=8832", 13.0, 57.0, 30.0),
(3923, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Double licence - Sciences du langage / Langues, littératures & civilisations étrangères et régionales - Double Licence mention Sciences du langage - mention Langues, littératures & civilisations étrangères et régionales [Anglais]", "Licence - Sciences humaines et sociales", "Double Licence mention Sciences du langage - mention Langues, littératures & civilisations étrangères et régionales [Anglais]", 10, 266, 201, 131, 0, 98, 20, 4, 2, 2, 0, 27, 135, 20, 10, 16, 89, 90, 4, 0, 0, 78, 12, 1, 1, 1, 0, 10, 58, 10, 8, 8, 2, 0.0, 8.0, 8.0, 0, 1, 10, 10, 0, 0, 0, 0, 1, 2, 5, 2, 0.0, 9, 0, 0, 0, 0, 4, 7, 0.0, 80.0, 80.0, 80.0, 40.0, 70.0, 0, 10.0, 100.0, 0.0, 10.0, 20.0, 50.0, 20.0, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 51.0, 11.0, 0.0, 0.0, 7.0, "Tous les candidats", 88.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "27451", "Double licence - Sciences du langage / Langues, littératures & civilisations étrangères et régionales - Double Licence mention Sciences du langage - mention Langues, littératures & civilisations étrangères et régionales [Anglais]", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27451&g_ta_cod=27451", 100.0, 0.0, 0.0),
(3924, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Informatique", "Licence - Sciences - technologies - santé", "", 70, 552, 60, 552, 0, 383, 77, 35, 16, 10, 3, 124, 0, 0, 0, 0, 0, 551, 0, 0, 0, 383, 77, 35, 16, 10, 3, 123, 325, 69, 4, 69, 0, 7.0, 51.0, 67.0, 0, 11, 56, 54, 2, 0, 13, 0, 30, 19, 5, 2, 0.0, 25, 1, 0, 0, 0, 49, 49, 10.14, 73.91, 97.1, 5.7998046875, 87.5, 87.5, 0, 19.59765625, 81.1875, 0.0, 53.59375, 33.8984375, 8.8984375, 3.6, 0.0, 96.390625, 44.59375, 3.599609375, 1.7998046875, 0.0, 0.0, 266.0, 54.0, 0.0, 0.0, 46.0, "Tous les candidats", 428.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "3532", "Licence - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3532&g_ta_cod=3532", 97.0, 3.0, 0.0),
(3925, "Public", "0320023B", "Lycée Alain-Fournier", "32", "Gers", "Occitanie", "Toulouse", "Mirande", "formation sélective", "BTS", "Lycée Alain-Fournier - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 9, 94, 29, 90, 0, 1, 0, 24, 4, 16, 6, 49, 4, 0, 0, 1, 3, 36, 2, 0, 0, 1, 0, 18, 3, 10, 3, 7, 33, 6, 0, 5, 1, 1.0, 4.0, 6.0, 0, 1, 4, 0, 3, 1, 2, 0, 3, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 3, 3, 16.67, 66.67, 100.0, 0.0, 75.0, 75.0, 0, 25.0, 66.6875, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 75.0, 25.0, 25.0, 0.0, 1.0, 0.0, 11.0, 3.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 38.0, "16013", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16013&g_ta_cod=16013", 17.0, 50.0, 33.0),
(3926, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues étrangères appliquées - Parcours LEA Anglais - Italien", "Licence - Arts-lettres-langues", "LEA Anglais - Italien", 70, 322, 266, 322, 0, 185, 49, 16, 10, 11, 8, 110, 0, 0, 0, 0, 0, 319, 0, 0, 0, 185, 49, 16, 10, 11, 8, 107, 185, 70, 56, 70, 0, 15.0, 62.0, 66.0, 0, 16, 52, 46, 4, 2, 18, 2, 14, 24, 11, 1, 0.0, 32, 3, 1, 0, 0, 3, 44, 21.43, 88.57, 94.29, 80.0, 5.7998046875, 84.59375, 0, 30.796875, 74.296875, 3.7998046875, 26.8984375, 46.1953125, 21.19921875, 1.9, 0.0, 88.5, 61.5, 7.69921875, 5.7998046875, 3.7998046875, 1.89990234375, 133.0, 30.0, 4.0, 4.0, 41.0, "Tous les candidats", 211.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "9234", "Licence - Langues étrangères appliquées - Parcours LEA Anglais - Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9234&g_ta_cod=9234", 89.0, 7.0, 4.0),
(3927, "Public", "0540042C", "Lycée Henri Loritz", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "CPGE", "Lycée Henri Loritz - CPGE - PTSI", "Classe préparatoire scientifique", "", 40, 548, 114, 529, 332, 412, 43, 1, 0, 0, 0, 116, 19, 7, 0, 0, 12, 335, 1, 223, 318, 320, 24, 0, 0, 0, 0, 15, 256, 44, 5, 44, 0, 6.0, 40.0, 44.0, 25, 2, 41, 41, 0, 0, 3, 0, 0, 5, 28, 8, 0.0, 41, 0, 0, 12, 4, 32, 32, 13.64, 90.91, 100.0, 11.3984375, 78.0, 78.0, 29.296875, 4.8994140625, 93.1875, 0.0, 0.0, 12.19921875, 68.296875, 19.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 245.0, 21.0, 0.0, 0.0, 11.0, "Tous les candidats", 331.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "6263", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6263&g_ta_cod=6263", 100.0, 0.0, 0.0),
(3928, "Public", "0590185F", "Lycée Jean Moulin", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Jean Moulin - BTS - Services - Assurance", "BTS - Services", "", 35, 644, 339, 593, 0, 51, 21, 111, 59, 145, 107, 286, 51, 0, 0, 27, 24, 207, 8, 0, 0, 42, 18, 59, 29, 51, 34, 55, 143, 26, 11, 25, 1, 2.0, 24.0, 25.0, 0, 9, 17, 3, 11, 3, 9, 0, 8, 8, 1, 0, 0.0, 2, 7, 0, 2, 0, 14, 14, 7.69, 92.31, 96.15, 42.296875, 82.390625, 82.390625, 11.798828125, 52.8984375, 65.390625, 0.0, 47.09375, 47.09375, 5.8994140625, 0.0, 0.0, 17.59765625, 11.798828125, 64.6875, 41.1953125, 17.59765625, 0.0, 29.0, 15.0, 39.0, 28.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 28.0, "6823", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6823&g_ta_cod=6823", 31.0, 54.0, 15.0),
(3929, "Public", "0130050J", "Lycée Denis Diderot", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Denis Diderot - DN MADE - Graphisme - - Spécialité 1 : Design Editorial, Image, Narration & Interactivité", "DN MADE", "- Spécialité 1 : Design Editorial, Image, Narration & Interactivité", 14, 742, 497, 742, 0, 296, 67, 204, 53, 49, 16, 193, 0, 0, 0, 0, 0, 250, 0, 0, 0, 91, 18, 90, 23, 14, 6, 55, 59, 14, 13, 14, 0, 3.0, 9.0, 13.0, 0, 2, 7, 1, 6, 0, 7, 0, 2, 2, 2, 1, 0.0, 1, 4, 0, 0, 0, 2, 2, 21.43, 64.29, 92.86, 92.890625, 28.59765625, 28.59765625, 0, 28.59765625, 50.0, 0.0, 28.59765625, 28.59765625, 28.59765625, 14.3, 0.0, 14.298828125, 14.298828125, 85.6875, 57.09375, 0.0, 0.0, 11.0, 1.0, 1.0, 0.0, 19.0, "Tous les candidats", 105.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "24097", "DN MADE - Graphisme - - Spécialité 1 : Design Editorial, Image, Narration & Interactivité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24097&g_ta_cod=24097", 36.0, 64.0, 0.0),
(3930, "Public", "0800001S", "Lycée Boucher De Perthes", "80", "Somme", "Hauts-de-France", "Amiens", "Abbeville", "formation sélective", "BTS", "Lycée Boucher De Perthes - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 390, 217, 372, 0, 14, 6, 40, 12, 55, 27, 263, 18, 0, 0, 10, 8, 149, 3, 0, 0, 14, 6, 39, 12, 55, 27, 41, 104, 31, 21, 30, 1, 8.0, 29.0, 29.0, 0, 10, 25, 2, 7, 16, 6, 1, 13, 6, 4, 1, 0.0, 2, 2, 7, 4, 1, 19, 19, 25.81, 93.55, 93.55, 67.6875, 76.0, 76.0, 16, 40.0, 80.59375, 4.0, 52.0, 24.0, 16.0, 4.0, 0.0, 8.0, 8.0, 28.0, 8.0, 64.0, 28.0, 9.0, 2.0, 55.0, 27.0, 12.0, "Tous les candidats sauf les Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 61, "", 0, "Liste d'appel propre à cette formation", 29.0, "10144", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10144&g_ta_cod=10144", 10.0, 29.0, 61.0),
(3931, "Public", "0860009T", "Lycée Andre Theuriet", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Civray", "formation sélective", "BTS", "Lycée Andre Theuriet - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 18, 666, 294, 584, 0, 29, 9, 108, 33, 87, 41, 360, 82, 1, 9, 45, 27, 154, 17, 0, 0, 28, 8, 59, 14, 46, 22, 21, 111, 11, 7, 9, 2, 1.0, 7.0, 10.0, 0, 3, 8, 1, 4, 3, 3, 0, 2, 5, 0, 1, 0.0, 0, 3, 3, 3, 1, 8, 8, 9.09, 63.64, 90.91, 63.59375, 100.0, 100.0, 37.5, 37.5, 72.6875, 0.0, 25.0, 62.5, 0.0, 12.5, 0.0, 12.5, 0.0, 50.0, 37.5, 37.5, 37.5, 16.0, 4.0, 39.0, 15.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 24.0, "16088", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16088&g_ta_cod=16088", 18.0, 45.0, 36.0),
(3932, "Public", "0932270M", "I.U.T. de Bobigny - Université Paris 13", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation sélective", "BUT", "I.U.T. de Bobigny - Université Paris 13 - BUT - Carrières sociales Parcours animation sociale et socioculturelle", "BUT - Service", "", 28, 800, 633, 800, 0, 158, 51, 287, 120, 100, 48, 255, 0, 0, 0, 0, 0, 273, 0, 0, 0, 84, 28, 72, 22, 9, 2, 108, 89, 27, 23, 27, 0, 6.0, 24.0, 26.0, 0, 10, 17, 7, 10, 0, 10, 0, 5, 10, 2, 0, 0.0, 5, 7, 0, 0, 0, 8, 15, 22.22, 88.89, 96.3, 85.1875, 47.09375, 88.1875, 0, 58.796875, 63.0, 0.0, 29.3984375, 58.796875, 11.798828125, 0.0, 0.0, 41.1953125, 29.3984375, 58.796875, 41.1953125, 0.0, 0.0, 23.0, 12.0, 1.0, 1.0, 26.0, "Tous les candidats sauf les Bac technologiques", 51.0, "Bacheliers technologiques toutes séries", 71, "", 0, "Liste d'appel propre à cette formation", 15.0, "11355", "BUT - Carrières sociales Parcours animation sociale et socioculturelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11355&g_ta_cod=11355", 52.0, 48.0, 0.0),
(3933, "Privé sous contrat d'association", "0370074E", "ITS", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "EFTS", "ITS - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 45, 381, 364, 381, 0, 65, 9, 78, 6, 35, 4, 203, 0, 0, 0, 0, 0, 252, 0, 0, 0, 36, 5, 50, 3, 17, 2, 149, 73, 48, 48, 48, 0, 26.0, 41.0, 46.0, 0, 2, 16, 7, 7, 2, 32, 0, 4, 7, 3, 2, 0.0, 5, 5, 2, 0, 0, 5, 5, 54.17, 85.42, 95.83, 100.0, 31.296875, 31.296875, 0, 12.5, 33.296875, 0.0, 25.0, 43.796875, 18.796875, 12.5, 0.0, 43.796875, 31.296875, 43.796875, 31.296875, 12.5, 12.5, 9.0, 0.0, 2.0, 0.0, 54.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "24869", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24869&g_ta_cod=24869", 50.0, 29.0, 17.0),
(3934, "Public", "0595884A", "Lycée André Lurçat", "59", "Nord", "Hauts-de-France", "Lille", "Maubeuge", "formation sélective", "BTS", "Lycée André Lurçat - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 467, 242, 460, 0, 16, 4, 64, 37, 70, 55, 310, 7, 0, 0, 6, 1, 369, 2, 0, 0, 16, 4, 63, 36, 59, 45, 231, 88, 17, 6, 17, 0, 4.0, 15.0, 16.0, 0, 6, 8, 0, 4, 4, 9, 0, 5, 3, 0, 0, 0.0, 0, 1, 2, 7, 4, 7, 7, 23.53, 88.24, 94.12, 35.296875, 87.5, 87.5, 87.5, 75.0, 47.09375, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 12.5, 50.0, 25.0, 5.0, 2.0, 43.0, 34.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 27.0, "7169", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7169&g_ta_cod=7169", 24.0, 29.0, 47.0),
(3935, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence_Las", "Université de Strasbourg - Licence - Sciences pour la santé - Sciences pour la santé - Mathématiques -  option Santé", "Licence - Sciences - technologies - santé", "Sciences pour la santé - Mathématiques", 113, 776, 450, 775, 0, 600, 112, 10, 2, 2, 1, 163, 1, 1, 0, 0, 0, 766, 1, 0, 0, 600, 112, 10, 2, 2, 1, 154, 455, 111, 62, 111, 0, 28.0, 88.0, 104.0, 0, 16, 89, 88, 1, 0, 22, 2, 11, 22, 25, 22, 7.0, 76, 0, 0, 0, 0, 79, 79, 25.23, 79.28, 93.69, 55.8984375, 88.796875, 88.796875, 0, 18.0, 80.1875, 2.19970703125, 12.3984375, 24.69921875, 28.09765625, 24.7, 7.9, 98.890625, 85.390625, 1.099853515625, 0.0, 0.0, 0.0, 363.0, 64.0, 0.0, 0.0, 89.0, "Tous les candidats", 552.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "29221", "Licence - Sciences pour la santé - Sciences pour la santé - Mathématiques -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29221&g_ta_cod=29221", 97.0, 2.0, 0.0),
(3936, "Public", "0711775U", "Université de Bourgogne - site Le Creusot", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Le Creusot", "formation non sélective", "Licence", "Université de Bourgogne - site Le Creusot - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 63, 445, 251, 291, 0, 179, 40, 60, 19, 9, 4, 43, 154, 26, 20, 10, 98, 288, 124, 0, 0, 179, 40, 60, 19, 9, 4, 40, 381, 53, 32, 31, 22, 15.0, 30.0, 40.0, 0, 8, 36, 18, 11, 7, 17, 0, 22, 12, 1, 1, 0.0, 9, 2, 3, 0, 0, 33, 33, 28.3, 56.6, 75.47, 60.3984375, 91.6875, 91.6875, 0, 22.19921875, 67.890625, 0.0, 61.09375, 33.296875, 2.7998046875, 2.8, 0.0, 50.0, 25.0, 30.59765625, 5.599609375, 19.3984375, 8.298828125, 208.0, 44.0, 17.0, 8.0, 102.0, "Tous les candidats", 286.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "8679", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8679&g_ta_cod=8679", 49.0, 36.0, 15.0),
(3937, "Privé enseignement supérieur", "0101059X", "South Champagne Business School Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "Ecole de Commerce", "South Champagne Business School - Formation des écoles de commerce et de management Bac + 3 - Global Bachelor in Management (GBM)", "Formation des écoles de commerce et de management", "Global Bachelor in Management (GBM)", 50, 72, 35, 67, 0, 52, 3, 7, 0, 1, 0, 7, 5, 3, 0, 1, 1, 58, 2, 0, 0, 48, 2, 5, 0, 1, 0, 4, 60, 13, 7, 11, 2, 11.0, 11.0, 13.0, 0, 0, 12, 12, 0, 0, 1, 0, 5, 5, 2, 0, 0.0, 7, 0, 0, 0, 0, 10, 10, 84.62, 84.62, 100.0, 53.796875, 83.296875, 83.296875, 0, 0.0, 92.296875, 0.0, 41.6953125, 41.6953125, 16.69921875, 0.0, 0.0, 100.0, 58.296875, 0.0, 0.0, 0.0, 0.0, 50.0, 2.0, 1.0, 0.0, 4.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 87.0, "28974", "Formation des écoles de commerce et de management Bac + 3 - Global Bachelor in Management (GBM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28974&g_ta_cod=28974", 100.0, 0.0, 0.0),
(3938, "Public", "0780422K", "Lycée Francois Villon", "78", "Yvelines", "Ile-de-France", "Versailles", "Les Mureaux", "formation sélective", "BTS", "Lycée Francois Villon - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 556, 236, 304, 0, 14, 3, 98, 44, 64, 33, 128, 252, 0, 65, 80, 107, 100, 2, 0, 0, 9, 2, 33, 17, 36, 19, 22, 97, 21, 4, 21, 0, 7.0, 21.0, 21.0, 0, 11, 17, 1, 6, 10, 4, 0, 4, 7, 6, 0, 0.0, 0, 5, 8, 5, 1, 17, 17, 33.33, 100.0, 100.0, 19.0, 100.0, 100.0, 29.3984375, 64.6875, 81.0, 0.0, 23.5, 41.1953125, 35.296875, 0.0, 0.0, 5.8994140625, 0.0, 35.296875, 29.3984375, 58.796875, 47.09375, 9.0, 2.0, 36.0, 19.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 32.0, "9960", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9960&g_ta_cod=9960", 10.0, 38.0, 52.0),
(3939, "Public", "0593052X", "I.U.T. de Valenciennes", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BUT", "I.U.T. de Valenciennes - BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "BUT - Production", "Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", 78, 585, 29, 502, 0, 252, 48, 141, 44, 16, 6, 93, 83, 12, 9, 3, 59, 319, 44, 0, 0, 189, 24, 91, 24, 2, 0, 37, 311, 50, 6, 35, 15, 19.0, 32.0, 44.0, 0, 13, 38, 23, 14, 1, 12, 0, 16, 11, 10, 1, 0.0, 8, 13, 1, 0, 0, 33, 33, 38.0, 64.0, 88.0, 12.0, 86.796875, 86.796875, 0, 34.1953125, 76.0, 0.0, 42.09375, 28.8984375, 26.296875, 2.6, 0.0, 60.5, 21.09765625, 36.796875, 34.1953125, 2.599609375, 2.599609375, 154.0, 28.0, 1.0, 0.0, 68.0, "Tous les candidats sauf les Bac technologiques", 225.0, "Bacheliers technologiques toutes séries", 94, "", 0, "Liste d'appel propre à cette formation", 64.0, "6956", "BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6956&g_ta_cod=6956", 70.0, 28.0, 2.0),
(3940, "Public", "0590112B", "Lycée Dupleix", "59", "Nord", "Hauts-de-France", "Lille", "Landrecies", "formation sélective", "BTS", "Lycée Dupleix - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 165, 89, 137, 0, 17, 7, 47, 14, 46, 21, 27, 28, 0, 0, 22, 6, 130, 12, 0, 0, 17, 7, 46, 13, 45, 20, 22, 97, 32, 19, 28, 4, 5.0, 25.0, 29.0, 0, 13, 31, 3, 8, 20, 1, 0, 22, 9, 0, 0, 0.0, 0, 2, 7, 6, 4, 27, 27, 15.63, 78.13, 90.63, 59.3984375, 87.09375, 87.09375, 19.3984375, 41.8984375, 96.890625, 0.0, 71.0, 29.0, 0.0, 0.0, 0.0, 9.69921875, 0.0, 25.796875, 6.5, 64.5, 22.59765625, 13.0, 6.0, 54.0, 24.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 74.0, "6777", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6777&g_ta_cod=6777", 13.0, 25.0, 63.0),
(3941, "Public", "0332722E", "Lycée Pape Clement", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "BTS", "Lycée Pape Clement - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 24, 356, 37, 285, 0, 26, 6, 80, 18, 96, 24, 83, 71, 7, 21, 15, 28, 143, 13, 0, 0, 16, 2, 52, 14, 62, 12, 13, 127, 24, 2, 15, 8, 1.0, 15.0, 20.0, 0, 3, 19, 6, 6, 7, 5, 0, 6, 9, 4, 0, 0.0, 3, 3, 7, 3, 0, 18, 18, 4.17, 62.5, 83.33, 8.298828125, 94.6875, 94.6875, 15.798828125, 15.798828125, 79.1875, 0.0, 31.59765625, 47.3984375, 21.09765625, 0.0, 0.0, 31.59765625, 15.798828125, 31.59765625, 15.798828125, 36.796875, 36.796875, 14.0, 2.0, 53.0, 12.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 49.0, "4443", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4443&g_ta_cod=4443", 29.0, 38.0, 33.0),
(3942, "Public", "0600020W", "Lycée Marie Curie", "60", "Oise", "Hauts-de-France", "Amiens", "Nogent-sur-Oise", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 30, 948, 663, 870, 0, 125, 33, 207, 65, 51, 21, 487, 78, 0, 0, 37, 41, 324, 2, 0, 0, 93, 20, 120, 31, 32, 13, 79, 123, 26, 18, 24, 2, 7.0, 17.0, 23.0, 0, 5, 16, 1, 11, 4, 10, 1, 1, 7, 6, 1, 0.0, 1, 10, 3, 6, 5, 15, 15, 26.92, 65.38, 88.46, 69.1875, 93.796875, 93.796875, 37.5, 31.296875, 61.5, 6.2998046875, 6.2998046875, 43.796875, 37.5, 6.3, 0.0, 6.2998046875, 6.2998046875, 68.796875, 62.5, 25.0, 18.796875, 15.0, 3.0, 22.0, 9.0, 42.0, "Tous les candidats sauf les Bac professionnels", 183.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 24.0, "7240", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7240&g_ta_cod=7240", 27.0, 50.0, 23.0),
(3943, "Public", "0632001H", "AgroSup Dijon Direction Enseignement à Distance (CNPR)", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Lempdes", "formation sélective", "BTS", "AgroSup Dijon Direction Enseignement à Distance (CNPR) - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 20, 81, 48, 67, 0, 14, 0, 11, 1, 11, 5, 31, 14, 1, 1, 0, 12, 38, 4, 0, 0, 12, 0, 9, 1, 7, 3, 10, 41, 9, 7, 7, 2, 6.0, 7.0, 8.0, 0, 2, 6, 1, 4, 1, 3, 0, 2, 3, 1, 0, 0.0, 1, 3, 0, 1, 1, 2, 2, 66.67, 77.78, 88.89, 77.796875, 33.296875, 33.296875, 16.69921875, 33.296875, 66.6875, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 16.69921875, 16.69921875, 66.6875, 50.0, 16.69921875, 0.0, 11.0, 0.0, 7.0, 3.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 57.0, "23461", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23461&g_ta_cod=23461", 33.0, 56.0, 11.0),
(3944, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence_Las", "Université de Lille - Licence - Portail Information et communication - Sciences de l'information et du document", "Licence - Sciences humaines et sociales", "Sciences de l'information et du document", 35, 240, 169, 206, 0, 99, 27, 12, 8, 8, 6, 87, 34, 6, 1, 1, 26, 206, 33, 0, 0, 99, 27, 12, 8, 8, 6, 87, 207, 34, 23, 20, 14, 1.0, 18.0, 23.0, 0, 4, 9, 8, 1, 0, 25, 0, 5, 4, 0, 0, 0.0, 4, 0, 0, 0, 0, 4, 4, 2.94, 52.94, 67.65, 67.59375, 44.3984375, 44.3984375, 0, 44.3984375, 26.5, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 0.0, 88.890625, 44.3984375, 11.099609375, 0.0, 0.0, 0.0, 95.0, 25.0, 7.0, 6.0, 95.0, "Tous les candidats", 683.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "29713", "Licence - Portail Information et communication - Sciences de l'information et du document", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29712&g_ta_cod=29713", 71.0, 21.0, 6.0),
(3945, "Privé enseignement supérieur", "0951820M", "EBI", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 125, 1919, 819, 1889, 0, 1882, 205, 0, 0, 0, 0, 7, 30, 30, 0, 0, 0, 1663, 17, 0, 0, 1663, 152, 0, 0, 0, 0, 0, 1306, 105, 87, 99, 6, 53.0, 98.0, 104.0, 0, 3, 105, 105, 0, 0, 0, 0, 8, 39, 45, 12, 1.0, 97, 0, 0, 0, 0, 59, 75, 50.48, 93.33, 99.05, 82.890625, 56.1953125, 71.390625, 0, 2.89990234375, 100.0, 0.0, 7.599609375, 37.09375, 42.8984375, 11.4, 1.0, 100.0, 92.390625, 0.0, 0.0, 0.0, 0.0, 1306.0, 132.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "171", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=171", 100.0, 0.0, 0.0),
(3946, "Privé sous contrat d'association", "9710991A", "Lycée Les Perseverants", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "BTS", "Lycée Les Perseverants - BTS - Services - Economie sociale familiale", "BTS - Services", "", 20, 144, 129, 121, 0, 25, 13, 27, 17, 43, 28, 26, 23, 3, 4, 5, 11, 96, 9, 0, 0, 24, 12, 19, 12, 35, 22, 18, 81, 15, 12, 12, 3, 3.0, 11.0, 13.0, 0, 6, 8, 1, 3, 4, 7, 0, 3, 3, 1, 1, 0.0, 1, 1, 3, 1, 1, 8, 8, 20.0, 73.33, 86.67, 80.0, 100.0, 100.0, 12.5, 75.0, 53.296875, 0.0, 37.5, 37.5, 12.5, 12.5, 0.0, 12.5, 12.5, 37.5, 12.5, 50.0, 37.5, 17.0, 9.0, 25.0, 17.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers technologiques toutes séries", 19, "Bacheliers professionnels toutes séries", 40, "Liste d'appel propre à cette formation", 76.0, "29510", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29510&g_ta_cod=29510", 20.0, 33.0, 47.0),
(3947, "Public", "0601470X", "Lycée professionnel Lavoisier", "60", "Oise", "Hauts-de-France", "Amiens", "Méru", "formation sélective", "BTS", "Lycée professionnel Lavoisier - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 472, 88, 472, 0, 37, 8, 39, 14, 57, 12, 339, 0, 0, 0, 0, 0, 136, 0, 0, 0, 34, 8, 33, 11, 45, 10, 24, 62, 14, 0, 14, 0, 2.0, 10.0, 13.0, 0, 3, 11, 3, 2, 6, 3, 0, 4, 4, 2, 1, 0.0, 1, 0, 6, 4, 0, 7, 7, 14.29, 71.43, 92.86, 0.0, 63.59375, 63.59375, 36.3984375, 27.296875, 78.59375, 0.0, 36.3984375, 36.3984375, 18.19921875, 9.1, 0.0, 27.296875, 9.099609375, 18.19921875, 0.0, 54.5, 54.5, 11.0, 3.0, 28.0, 6.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers technologiques toutes séries", 25, "Bacheliers professionnels toutes séries", 38, "Liste d'appel propre à cette formation", 21.0, "30000", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30000&g_ta_cod=30000", 21.0, 29.0, 50.0),
(3948, "Privé sous contrat d'association", "0341728U", "Institut Régional du Travail Social de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "EFTS", "Institut Régional du Travail Social de Montpellier - D.E Educateur Spécialisé", "D.E secteur social", "", 66, 692, 588, 692, 0, 89, 20, 107, 28, 66, 21, 430, 0, 0, 0, 0, 0, 242, 0, 0, 0, 28, 5, 24, 2, 10, 1, 180, 130, 66, 55, 66, 0, 30.0, 60.0, 62.0, 0, 1, 16, 8, 8, 0, 50, 0, 6, 5, 5, 0, 0.0, 3, 7, 0, 0, 0, 8, 8, 45.45, 90.91, 93.94, 83.296875, 50.0, 50.0, 0, 6.2998046875, 24.19921875, 0.0, 37.5, 31.296875, 31.296875, 0.0, 0.0, 50.0, 18.796875, 50.0, 43.796875, 0.0, 0.0, 13.0, 2.0, 2.0, 0.0, 102.0, "Tous les candidats", 148.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "24866", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24866&g_ta_cod=24866", 53.0, 29.0, 12.0),
(3949, "Public", "0410002E", "Lycée F Philibert Dessaignes", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BTS", "Lycée F Philibert Dessaignes - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 771, 385, 763, 0, 84, 24, 274, 96, 210, 93, 195, 8, 0, 2, 0, 6, 439, 1, 0, 0, 75, 18, 166, 52, 132, 53, 66, 177, 22, 9, 22, 0, 0.0, 4.0, 9.0, 0, 9, 17, 2, 8, 7, 5, 0, 9, 6, 2, 0, 0.0, 0, 6, 2, 4, 1, 16, 16, 0.0, 18.18, 40.91, 40.8984375, 94.09375, 94.09375, 23.5, 52.8984375, 77.296875, 0.0, 52.8984375, 35.296875, 11.798828125, 0.0, 0.0, 11.798828125, 0.0, 47.09375, 35.296875, 41.1953125, 11.798828125, 17.0, 4.0, 69.0, 27.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 91, "Bacheliers technologiques toutes séries", 106, "Liste d'appel propre à cette formation", 30.0, "5237", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5237&g_ta_cod=5237", 18.0, 41.0, 41.0),
(3950, "Public", "0442094M", "Lycée polyvalent Nicolas Appert", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Orvault", "formation sélective", "Autre formation", "Lycée polyvalent Nicolas Appert - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 35, 342, 174, 320, 0, 118, 17, 55, 9, 28, 10, 119, 22, 3, 3, 3, 13, 228, 4, 0, 0, 107, 14, 47, 9, 19, 5, 55, 172, 32, 16, 30, 2, 5.0, 30.0, 32.0, 0, 4, 21, 10, 6, 5, 11, 0, 12, 7, 2, 0, 0.0, 5, 1, 3, 0, 0, 15, 15, 15.63, 93.75, 100.0, 50.0, 71.390625, 71.390625, 0, 19.0, 65.59375, 0.0, 57.09375, 33.296875, 9.5, 0.0, 0.0, 47.59375, 23.796875, 28.59765625, 4.7998046875, 23.796875, 14.298828125, 84.0, 11.0, 17.0, 5.0, 38.0, "Tous les candidats", 228.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "5614", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5614&g_ta_cod=5614", 53.0, 31.0, 16.0),
(3951, "Public", "0211473M", "IFSI du CHU Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bourgogne Dijon - D.E Infirmier", "D.E secteur sanitaire", "", 141, 4229, 3569, 4229, 0, 886, 158, 794, 163, 422, 140, 2127, 0, 0, 0, 0, 0, 3490, 0, 0, 0, 802, 131, 653, 127, 313, 102, 1722, 670, 139, 128, 139, 0, 20.0, 61.0, 86.0, 0, 13, 57, 28, 12, 17, 82, 0, 8, 15, 24, 10, 0.0, 21, 11, 17, 0, 0, 35, 35, 14.39, 43.88, 61.87, 92.09375, 61.3984375, 61.3984375, 0, 22.796875, 41.0, 0.0, 14.0, 26.296875, 42.09375, 17.5, 0.0, 49.09375, 36.796875, 21.09765625, 19.296875, 29.796875, 29.796875, 166.0, 23.0, 77.0, 23.0, 370.0, "Tous les candidats", 999.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "23084", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23009&g_ta_cod=23084", 66.0, 17.0, 16.0),
(3952, "Public", "0572590F", "Lycée des Métiers Gustave Eiffel", "57", "Moselle", "Grand Est", "Nancy-Metz", "Talange", "formation sélective", "BTS", "Lycée des Métiers Gustave Eiffel - BTS - Production - Travaux publics", "BTS - Production", "", 15, 211, 28, 203, 0, 29, 3, 58, 12, 33, 6, 83, 8, 0, 0, 1, 7, 140, 4, 0, 0, 28, 3, 58, 12, 32, 6, 22, 71, 12, 2, 9, 3, 1.0, 9.0, 11.0, 0, 1, 6, 1, 3, 2, 6, 0, 2, 3, 1, 0, 0.0, 0, 3, 1, 4, 1, 6, 6, 8.33, 75.0, 91.67, 16.69921875, 100.0, 100.0, 66.6875, 16.69921875, 50.0, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 16.69921875, 0.0, 50.0, 50.0, 33.296875, 16.69921875, 25.0, 3.0, 18.0, 2.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 43.0, "6633", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6633&g_ta_cod=6633", 42.0, 33.0, 25.0),
(3953, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 125, 1415, 1219, 1415, 0, 740, 161, 190, 59, 52, 19, 433, 0, 0, 0, 0, 0, 1413, 0, 0, 0, 740, 161, 190, 59, 52, 19, 431, 485, 124, 109, 124, 0, 25.0, 107.0, 111.0, 0, 30, 96, 81, 14, 1, 28, 0, 31, 51, 12, 2, 0.0, 55, 10, 0, 0, 0, 65, 65, 20.16, 86.29, 89.52, 87.890625, 67.6875, 67.6875, 0, 31.296875, 77.390625, 0.0, 32.296875, 53.09375, 12.5, 2.1, 0.0, 84.390625, 57.296875, 14.599609375, 10.3984375, 1.0, 0.0, 326.0, 74.0, 5.0, 2.0, 112.0, "Tous les candidats", 584.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "12850", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12850&g_ta_cod=12850", 83.0, 15.0, 2.0),
(3954, "Public", "0620215X", "Université du littoral - Site de Calais -", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation non sélective", "Licence", "Université du littoral - Site de Calais - - Licence - Sciences et Techniques des Activités Physiques et Sportives", "Licence - STAPS", ": Université du littoral - Site de Calais", 108, 1809, 522, 1809, 0, 1100, 218, 277, 82, 54, 18, 378, 0, 0, 0, 0, 0, 1809, 0, 0, 0, 1100, 218, 277, 82, 54, 18, 378, 475, 109, 38, 108, 0, 15.0, 87.0, 99.0, 0, 30, 87, 73, 11, 3, 22, 1, 27, 30, 25, 3, 1.0, 50, 7, 2, 0, 0, 85, 85, 13.76, 79.82, 90.83, 34.8984375, 97.6875, 97.6875, 0, 34.5, 79.796875, 1.099853515625, 31.0, 34.5, 28.69921875, 3.4, 1.1, 83.890625, 57.5, 12.599609375, 8.0, 3.39990234375, 2.2998046875, 278.0, 79.0, 9.0, 6.0, 148.0, "Tous les candidats", 1006.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 44.0, "29103", "Licence - Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29099&g_ta_cod=29103", 83.0, 13.0, 5.0),
(3955, "Public", "0501928Z", "IUT GRAND OUEST NORMANDIE - Pôle de Cherbourg - Site de Saint-Lô", "50", "Manche", "Normandie", "Normandie", "Saint-Lô", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Cherbourg - Site de Saint-Lô - BUT - Métiers du multimédia et de l'internet Parcours : Création numérique - Développement web dispositifs interactifs", "BUT - Production", "Création numérique - Développement web dispositifs interactifs", 42, 999, 247, 999, 0, 477, 65, 285, 54, 11, 4, 226, 0, 0, 0, 0, 0, 689, 0, 0, 0, 287, 37, 238, 43, 0, 0, 164, 178, 42, 11, 42, 0, 6.0, 32.0, 35.0, 0, 5, 26, 9, 17, 0, 16, 0, 2, 11, 10, 3, 0.0, 9, 15, 0, 0, 0, 19, 19, 14.29, 76.19, 83.33, 26.19921875, 73.09375, 73.09375, 0, 19.19921875, 61.8984375, 0.0, 7.69921875, 42.296875, 38.5, 11.5, 0.0, 34.59375, 34.59375, 65.390625, 57.6953125, 0.0, 0.0, 46.0, 13.0, 0.0, 0.0, 59.0, "Tous les candidats sauf les Bac technologiques", 146.0, "Bacheliers technologiques toutes séries", 118, "", 0, "Liste d'appel propre à cette formation", 26.0, "6052", "BUT - Métiers du multimédia et de l'internet Parcours : Création numérique - Développement web dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6052&g_ta_cod=6052", 50.0, 50.0, 0.0),
(3956, "Public", "0671860H", "Faculté de médecine", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Regroupement Amiens et Strasbourg - Certificat de capacité d'Orthoptiste", "D.E secteur sanitaire", "", 28, 464, 392, 464, 0, 112, 28, 29, 15, 5, 3, 318, 0, 0, 0, 0, 0, 314, 0, 0, 0, 79, 11, 12, 2, 2, 0, 221, 75, 28, 25, 28, 0, 7.0, 19.0, 26.0, 0, 2, 10, 6, 2, 2, 18, 0, 0, 5, 2, 2, 1.0, 6, 2, 2, 0, 0, 7, 7, 25.0, 67.86, 92.86, 89.296875, 70.0, 70.0, 0, 20.0, 35.6953125, 0.0, 0.0, 50.0, 20.0, 20.0, 10.0, 60.0, 60.0, 20.0, 20.0, 20.0, 20.0, 21.0, 8.0, 2.0, 0.0, 50.0, "Tous les candidats", 117.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "28082", "Certificat de capacité d'Orthoptiste", "Regroupement Amiens et Strasbourg", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28081&g_ta_cod=28082", 75.0, 14.0, 11.0),
(3957, "Privé sous contrat d'association", "0610698C", "Lycée Saint Thomas D'Aquin", "61", "Orne", "Normandie", "Normandie", "Flers", "formation sélective", "BTS", "Lycée Saint Thomas D'Aquin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 33, 175, 85, 173, 0, 21, 5, 55, 17, 65, 27, 32, 2, 0, 1, 0, 1, 144, 0, 0, 0, 21, 5, 55, 17, 54, 20, 14, 83, 26, 15, 26, 0, 9.0, 25.0, 25.0, 0, 12, 22, 3, 8, 11, 4, 0, 12, 8, 2, 0, 0.0, 1, 3, 6, 6, 3, 22, 22, 34.62, 96.15, 96.15, 57.6953125, 100.0, 100.0, 27.296875, 54.5, 84.59375, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 13.599609375, 4.5, 36.3984375, 13.599609375, 50.0, 27.296875, 6.0, 5.0, 29.0, 10.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 60.0, "7308", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7308&g_ta_cod=7308", 23.0, 31.0, 46.0),
(3958, "Public", "9710690Y", "Lycée professionnel Ducharmoy", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Saint-Claude", "formation sélective", "BTS", "Lycée professionnel Ducharmoy - BTS - Services - Diététique", "BTS - Services", "", 32, 402, 316, 336, 0, 72, 30, 82, 45, 44, 23, 138, 66, 11, 1, 9, 45, 106, 14, 0, 0, 34, 14, 49, 29, 11, 5, 12, 94, 27, 22, 21, 6, 5.0, 18.0, 24.0, 0, 13, 21, 10, 7, 4, 6, 0, 9, 8, 3, 1, 0.0, 6, 3, 3, 3, 3, 17, 17, 18.52, 66.67, 88.89, 81.5, 81.0, 81.0, 14.298828125, 61.8984375, 77.796875, 0.0, 42.8984375, 38.09375, 14.298828125, 4.8, 0.0, 47.59375, 28.59765625, 33.296875, 14.298828125, 19.0, 14.298828125, 34.0, 14.0, 10.0, 5.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 27.0, "21248", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21248&g_ta_cod=21248", 48.0, 30.0, 22.0),
(3959, "Public", "0790768F", "Lycée Enseignement Général Technologique Agricole Jacques Bujault", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Melle", "formation sélective", "BTS", "Lycée Enseignement Général Technologique Agricole Jacques Bujault - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 32, 425, 240, 395, 0, 72, 10, 59, 17, 32, 7, 232, 30, 7, 4, 5, 14, 141, 9, 0, 0, 60, 9, 34, 9, 14, 3, 33, 106, 23, 16, 21, 2, 9.0, 20.0, 21.0, 0, 3, 18, 12, 3, 3, 5, 0, 5, 9, 3, 1, 0.0, 8, 2, 3, 0, 0, 13, 13, 39.13, 86.96, 91.3, 69.59375, 72.1875, 72.1875, 0, 16.69921875, 78.296875, 0.0, 27.796875, 50.0, 16.69921875, 5.6, 0.0, 66.6875, 44.3984375, 16.69921875, 11.099609375, 16.69921875, 16.69921875, 43.0, 5.0, 11.0, 2.0, 26.0, "Tous les candidats sauf les Bac professionnels", 126.0, "Bacheliers professionnels toutes séries", 12, "", 0, "Liste d'appel propre à cette formation", 35.0, "10125", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10125&g_ta_cod=10125", 74.0, 13.0, 13.0),
(3960, "Public", "0840016L", "Lycée Victor Hugo", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Carpentras", "formation sélective", "BTS", "Lycée Victor Hugo - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 532, 461, 486, 0, 32, 8, 128, 63, 165, 70, 161, 46, 15, 0, 0, 31, 253, 4, 0, 0, 24, 4, 77, 38, 103, 35, 49, 102, 23, 22, 21, 2, 7.0, 14.0, 19.0, 0, 8, 17, 2, 7, 8, 6, 0, 9, 2, 3, 3, 0.0, 1, 1, 6, 3, 3, 12, 12, 30.43, 60.87, 82.61, 95.6875, 70.59375, 70.59375, 17.59765625, 47.09375, 73.890625, 0.0, 52.8984375, 11.798828125, 17.59765625, 17.6, 0.0, 11.798828125, 5.8994140625, 41.1953125, 5.8994140625, 47.09375, 35.296875, 22.0, 4.0, 26.0, 10.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 28.0, "10427", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10427&g_ta_cod=10427", 22.0, 35.0, 43.0),
(3961, "Public", "9730514W", "LPO LYCEE DES METIERS BALATA", "973", "Guyane", "Guyane", "Guyane", "Matoury", "formation sélective", "BTS", "LPO LYCEE DES METIERS BALATA - BTS - Production - Management économique de la construction", "BTS - Production", "", 15, 116, 27, 102, 0, 7, 3, 14, 8, 62, 34, 19, 14, 1, 2, 0, 11, 55, 3, 0, 0, 2, 1, 12, 7, 41, 22, 0, 37, 12, 5, 10, 2, 4.0, 8.0, 9.0, 0, 3, 11, 0, 3, 8, 1, 2, 5, 3, 1, 0, 0.0, 0, 1, 3, 8, 5, 11, 11, 33.33, 66.67, 75.0, 41.6953125, 100.0, 100.0, 72.6875, 27.296875, 91.6875, 18.19921875, 45.5, 27.296875, 9.099609375, 0.0, 0.0, 0.0, 0.0, 27.296875, 9.099609375, 72.6875, 27.296875, 1.0, 0.0, 23.0, 13.0, 2.0, "Tous les candidats sauf les Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 42.0, "25012", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25012&g_ta_cod=25012", 0.0, 33.0, 67.0),
(3962, "Public", "0541205S", "I.U.T de Nancy-Brabois - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Villers-lès-Nancy", "formation sélective", "BUT", "I.U.T de Nancy-Brabois - Université de Lorraine - BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services - Qualité et pilotage des systèmes de management intégrés", "BUT - Production", "Management de la production de biens et de services - Qualité et pilotage des systèmes de management intégrés", 42, 266, 61, 216, 0, 98, 14, 55, 7, 8, 6, 55, 50, 8, 3, 6, 33, 143, 11, 0, 0, 84, 8, 39, 5, 1, 1, 19, 153, 27, 7, 22, 5, 20.0, 22.0, 26.0, 0, 3, 19, 10, 9, 0, 8, 0, 12, 4, 3, 0, 0.0, 3, 4, 0, 0, 0, 15, 15, 74.07, 81.48, 96.3, 25.8984375, 78.890625, 78.890625, 0, 15.798828125, 70.390625, 0.0, 63.1953125, 21.09765625, 15.798828125, 0.0, 0.0, 52.59375, 15.798828125, 47.3984375, 21.09765625, 0.0, 0.0, 86.0, 8.0, 1.0, 1.0, 26.0, "Tous les candidats sauf les Bac technologiques", 102.0, "Bacheliers technologiques toutes séries", 40, "", 0, "Liste d'appel propre à cette formation", 66.0, "6300", "BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services - Qualité et pilotage des systèmes de management intégrés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6300&g_ta_cod=6300", 59.0, 41.0, 0.0),
(3963, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Paris 1 Panthéon Sorbonne / Lycée Claude-Bernard Paris - Licence - Arts plastiques - Parcours Parcours préparatoire au Professorat des écoles", "Licence - Arts-lettres-langues", "Parcours préparatoire au Professorat des écoles", 25, 626, 525, 626, 0, 312, 61, 89, 25, 34, 16, 191, 0, 0, 0, 0, 0, 626, 0, 0, 0, 312, 61, 89, 25, 34, 16, 191, 102, 25, 20, 25, 0, 6.0, 18.0, 23.0, 0, 7, 17, 7, 4, 6, 8, 0, 5, 5, 6, 1, 0.0, 7, 2, 3, 0, 0, 6, 14, 24.0, 72.0, 92.0, 80.0, 35.296875, 82.390625, 0, 41.1953125, 68.0, 0.0, 29.3984375, 29.3984375, 35.296875, 5.9, 0.0, 41.1953125, 41.1953125, 23.5, 11.798828125, 35.296875, 17.59765625, 46.0, 6.0, 12.0, 8.0, 29.0, "Tous les candidats", 192.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "32652", "Licence - Arts plastiques - Parcours Parcours préparatoire au Professorat des écoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32652&g_ta_cod=32652", 48.0, 28.0, 24.0),
(3964, "Public", "0312290W", "Lycée Henri Matisse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Cugnaux", "formation sélective", "BTS", "Lycée Henri Matisse - BTS - Services - Professions immobilières", "BTS - Services", "", 23, 1880, 1082, 1880, 0, 400, 104, 621, 197, 409, 178, 450, 0, 0, 0, 0, 0, 924, 0, 0, 0, 195, 47, 240, 62, 308, 127, 181, 127, 19, 9, 19, 0, 4.0, 12.0, 16.0, 0, 6, 18, 4, 7, 7, 1, 0, 6, 7, 5, 0, 0.0, 2, 5, 5, 1, 1, 17, 17, 21.05, 63.16, 84.21, 47.3984375, 94.390625, 94.390625, 5.599609375, 33.296875, 94.6875, 0.0, 33.296875, 38.8984375, 27.796875, 0.0, 0.0, 22.19921875, 11.099609375, 38.8984375, 27.796875, 38.8984375, 27.796875, 26.0, 7.0, 38.0, 14.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 96, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 11.0, "4220", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4220&g_ta_cod=4220", 21.0, 42.0, 37.0),
(3965, "Public", "0290341N", "Lycée agricole De L'Aulne", "29", "Finistère", "Bretagne", "Rennes", "Châteaulin", "formation sélective", "BTS", "Lycée agricole De L'Aulne - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 19, 204, 112, 200, 0, 9, 2, 23, 3, 66, 19, 102, 4, 0, 2, 0, 2, 120, 0, 0, 0, 9, 2, 23, 3, 66, 19, 22, 91, 18, 15, 18, 0, 4.0, 11.0, 17.0, 0, 5, 15, 0, 3, 12, 3, 0, 7, 6, 2, 0, 0.0, 0, 3, 5, 7, 7, 13, 13, 22.22, 61.11, 94.44, 83.296875, 86.6875, 86.6875, 46.6953125, 33.296875, 83.296875, 0.0, 46.6953125, 40.0, 13.298828125, 0.0, 0.0, 0.0, 0.0, 20.0, 20.0, 80.0, 33.296875, 9.0, 2.0, 45.0, 15.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers technologiques toutes séries", 29, "Bacheliers professionnels toutes séries", 63, "Liste d'appel propre à cette formation", 55.0, "23311", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23311&g_ta_cod=23311", 6.0, 22.0, 72.0),
(3966, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Chinois", "Licence - Arts-lettres-langues", "Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Chinois", 60, 266, 186, 153, 0, 90, 31, 5, 2, 4, 2, 54, 113, 14, 3, 5, 91, 151, 105, 0, 0, 90, 31, 5, 2, 4, 2, 52, 256, 53, 32, 19, 34, 18.0, 19.0, 40.0, 0, 6, 14, 12, 0, 2, 39, 0, 8, 1, 5, 0, 0.0, 5, 0, 1, 0, 0, 6, 6, 33.96, 35.85, 75.47, 60.3984375, 42.8984375, 42.8984375, 0, 42.8984375, 26.3984375, 0.0, 57.09375, 7.099609375, 35.6953125, 0.0, 0.0, 85.6875, 35.6953125, 0.0, 0.0, 14.298828125, 7.099609375, 103.0, 38.0, 9.0, 3.0, 136.0, "Tous les candidats", 151.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4399", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4399&g_ta_cod=4399", 77.0, 9.0, 13.0),
(3967, "Public", "0595616J", "Lycée Du Noordover", "59", "Nord", "Hauts-de-France", "Lille", "Grande-Synthe", "formation sélective", "BTS", "Lycée Du Noordover - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 197, 142, 168, 0, 17, 6, 64, 26, 39, 22, 48, 29, 1, 1, 11, 16, 146, 13, 0, 0, 17, 6, 64, 26, 39, 22, 26, 110, 32, 27, 24, 8, 7.0, 18.0, 26.0, 0, 9, 18, 2, 7, 9, 14, 0, 11, 6, 1, 0, 0.0, 1, 2, 4, 3, 3, 16, 16, 21.88, 56.25, 81.25, 84.390625, 88.890625, 88.890625, 16.69921875, 50.0, 56.296875, 0.0, 61.09375, 33.296875, 5.599609375, 0.0, 0.0, 11.099609375, 5.599609375, 38.8984375, 11.099609375, 50.0, 22.19921875, 8.0, 2.0, 42.0, 24.0, 26.0, "Tous les candidats sauf les Bac professionnels", 98.0, "Bacheliers professionnels toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 83.0, "7134", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7134&g_ta_cod=7134", 31.0, 28.0, 41.0),
(3968, "Public", "0601782L", "Lycée agricole de l'Oise - Airion / Beauvais", "60", "Oise", "Hauts-de-France", "Amiens", "Airion", "formation sélective", "BTS", "Lycée agricole de l'Oise - Airion / Beauvais - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 16, 170, 44, 163, 0, 37, 7, 41, 2, 30, 5, 55, 7, 0, 0, 5, 2, 77, 3, 0, 0, 19, 4, 19, 0, 28, 5, 11, 54, 14, 2, 11, 3, 5.0, 11.0, 12.0, 0, 2, 11, 3, 2, 6, 3, 0, 5, 5, 0, 1, 0.0, 2, 1, 3, 3, 1, 8, 8, 35.71, 78.57, 85.71, 14.298828125, 72.6875, 72.6875, 27.296875, 18.19921875, 78.59375, 0.0, 45.5, 45.5, 0.0, 9.1, 0.0, 27.296875, 18.19921875, 18.19921875, 9.099609375, 54.5, 27.296875, 15.0, 2.0, 20.0, 4.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 41.0, "7266", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7266&g_ta_cod=7266", 36.0, 14.0, 50.0),
(3969, "Public", "0590071G", "Lycée Jean Bart", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "Lycée Jean Bart - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 448, 229, 447, 0, 56, 21, 124, 37, 125, 56, 142, 1, 0, 0, 1, 0, 343, 0, 0, 0, 55, 21, 117, 34, 90, 39, 81, 110, 25, 13, 25, 0, 8.0, 23.0, 24.0, 0, 7, 20, 2, 3, 15, 5, 0, 6, 4, 9, 1, 0.0, 0, 3, 11, 2, 1, 19, 19, 32.0, 92.0, 96.0, 52.0, 95.0, 95.0, 10, 35.0, 80.0, 0.0, 30.0, 20.0, 45.0, 5.0, 0.0, 10.0, 0.0, 15.0, 15.0, 75.0, 55.0, 16.0, 3.0, 60.0, 30.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 31.0, "6748", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6748&g_ta_cod=6748", 12.0, 16.0, 68.0),
(3970, "Public", "0211481W", "IFSI de Semur-En-Auxois", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Semur-en-Auxois", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bourgogne Dijon - D.E Infirmier", "D.E secteur sanitaire", "", 44, 2357, 1959, 2357, 0, 387, 70, 456, 95, 214, 71, 1300, 0, 0, 0, 0, 0, 1933, 0, 0, 0, 348, 58, 378, 78, 165, 53, 1042, 655, 44, 38, 44, 0, 0.0, 5.0, 20.0, 0, 2, 25, 7, 13, 5, 19, 0, 7, 12, 5, 1, 0.0, 3, 10, 5, 0, 0, 16, 16, 0.0, 11.36, 45.45, 86.390625, 64.0, 64.0, 0, 8.0, 56.796875, 0.0, 28.0, 48.0, 20.0, 4.0, 0.0, 28.0, 12.0, 52.0, 40.0, 20.0, 20.0, 126.0, 17.0, 74.0, 24.0, 357.0, "Tous les candidats", 2156.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "23085", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23009&g_ta_cod=23085", 30.0, 43.0, 27.0),
(3971, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation non sélective", "Licence_Las", "Université Claude Bernard Lyon 1 - Licence - Portail Sciences pour la santé", "Licence - Sciences - technologies - santé", "", 40, 3245, 2524, 3245, 0, 1815, 382, 175, 54, 11, 3, 1244, 0, 0, 0, 0, 0, 3233, 0, 0, 0, 1815, 382, 175, 54, 11, 3, 1232, 396, 41, 37, 40, 0, 1.0, 12.0, 25.0, 0, 5, 17, 15, 2, 0, 24, 0, 0, 4, 10, 2, 1.0, 15, 2, 0, 0, 0, 9, 9, 2.44, 29.27, 60.98, 90.1875, 52.8984375, 52.8984375, 0, 29.3984375, 41.5, 0.0, 0.0, 23.5, 58.796875, 11.8, 5.9, 88.1875, 88.1875, 11.798828125, 11.798828125, 0.0, 0.0, 218.0, 46.0, 0.0, 0.0, 173.0, "Tous les candidats", 774.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "32196", "Licence - Portail Sciences pour la santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32195&g_ta_cod=32196", 88.0, 12.0, 0.0),
(3972, "Public", "0161095D", "Lycée Image et Son", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BTS", "Lycée Image et Son - BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "BTS - Services", "", 12, 1021, 148, 1021, 0, 436, 67, 117, 33, 88, 28, 380, 0, 0, 0, 0, 0, 149, 0, 0, 0, 70, 3, 14, 2, 29, 7, 36, 46, 11, 3, 11, 0, 4.0, 9.0, 10.0, 0, 2, 7, 5, 0, 2, 4, 0, 0, 5, 2, 0, 0.0, 5, 0, 2, 1, 0, 1, 1, 36.36, 81.82, 90.91, 27.296875, 14.298828125, 14.298828125, 14.298828125, 28.59765625, 63.59375, 0.0, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 71.390625, 71.390625, 0.0, 0.0, 28.59765625, 28.59765625, 21.0, 2.0, 6.0, 1.0, 16.0, "Tous les candidats sauf les Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 6.0, "3007", "BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3007&g_ta_cod=3007", 82.0, 0.0, 18.0),
(3973, "Privé sous contrat d'association", "0130202Z", "IRTS PACA CORSE", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  8e  Arrondissement", "formation sélective", "EFTS", "IRTS PACA CORSE - D.E Assistant de Service Social", "D.E secteur social", "", 60, 190, 170, 140, 0, 25, 7, 29, 8, 1, 0, 85, 50, 3, 3, 7, 37, 106, 5, 0, 0, 18, 4, 17, 2, 1, 0, 70, 97, 46, 42, 41, 5, 24.0, 41.0, 41.0, 0, 3, 11, 4, 6, 1, 35, 0, 4, 4, 3, 0, 0.0, 3, 3, 1, 0, 0, 9, 9, 52.17, 89.13, 89.13, 91.296875, 81.796875, 81.796875, 0, 27.296875, 23.8984375, 0.0, 36.3984375, 36.3984375, 27.296875, 0.0, 0.0, 36.3984375, 27.296875, 54.5, 27.296875, 9.099609375, 9.099609375, 16.0, 4.0, 1.0, 0.0, 65.0, "Tous les candidats", 106.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "24817", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24817&g_ta_cod=24817", 46.0, 37.0, 13.0),
(3974, "Public", "0573281G", "Lycée De La Communication", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée De La Communication - BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "BTS - Services", "", 6, 739, 109, 739, 0, 236, 25, 146, 28, 57, 18, 300, 0, 0, 0, 0, 0, 101, 0, 0, 0, 45, 3, 10, 3, 17, 5, 29, 18, 6, 2, 6, 0, 2.0, 5.0, 6.0, 0, 2, 4, 4, 0, 0, 2, 0, 0, 0, 2, 2, 0.0, 4, 0, 0, 0, 0, 2, 2, 33.33, 83.33, 100.0, 33.296875, 50.0, 50.0, 0, 50.0, 66.6875, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 9.0, 3.0, 1.0, 1.0, 8.0, "Tous les candidats sauf les Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 5.0, "6656", "BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6656&g_ta_cod=6656", 83.0, 0.0, 17.0),
(3975, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "PASS", "Université de Tours - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 30, 1855, 1359, 1855, 0, 1435, 225, 33, 11, 9, 4, 378, 0, 0, 0, 0, 0, 1831, 0, 0, 0, 1435, 225, 33, 11, 9, 4, 354, 249, 30, 25, 30, 0, 0.0, 18.0, 25.0, 0, 5, 30, 30, 0, 0, 0, 0, 1, 5, 14, 9, 1.0, 29, 0, 0, 0, 0, 27, 27, 0.0, 60.0, 83.33, 83.296875, 90.0, 90.0, 0, 16.69921875, 100.0, 0.0, 3.2998046875, 16.69921875, 46.6953125, 30.0, 3.3, 100.0, 96.6875, 0.0, 0.0, 0.0, 0.0, 247.0, 32.0, 0.0, 0.0, 2.0, "Tous les candidats", 1649.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "32218", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27667&g_ta_cod=32218", 100.0, 0.0, 0.0),
(3976, "Public", "0521032P", "Lycée Charles De Gaulle", "52", "Haute-Marne", "Grand Est", "Reims", "Chaumont", "formation sélective", "Autre formation", "Lycée Charles De Gaulle - DN MADE - Graphisme - - Spécialité : Identité visuelle et édition", "DN MADE", "- Spécialité : Identité visuelle et édition", 15, 499, 324, 499, 0, 135, 35, 145, 29, 74, 22, 145, 0, 0, 0, 0, 0, 239, 0, 0, 0, 79, 17, 109, 19, 25, 5, 26, 96, 14, 7, 14, 0, 4.0, 11.0, 13.0, 0, 2, 13, 4, 7, 2, 1, 0, 1, 5, 5, 2, 0.0, 4, 6, 2, 0, 0, 2, 2, 28.57, 78.57, 92.86, 50.0, 15.3984375, 15.3984375, 0, 15.3984375, 92.890625, 0.0, 7.69921875, 38.5, 38.5, 15.4, 0.0, 30.796875, 30.796875, 53.796875, 46.1953125, 15.3984375, 15.3984375, 21.0, 8.0, 5.0, 2.0, 6.0, "Tous les candidats", 163.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "24446", "DN MADE - Graphisme - - Spécialité : Identité visuelle et édition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24446&g_ta_cod=24446", 36.0, 50.0, 14.0),
(3977, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues étrangères appliquées - Parcours Anglais / Portugais", "Licence - Arts-lettres-langues", "Anglais / Portugais", 32, 164, 121, 126, 0, 55, 24, 20, 10, 22, 10, 29, 38, 7, 6, 7, 18, 124, 30, 0, 0, 55, 24, 20, 10, 22, 10, 27, 135, 31, 21, 18, 13, 4.0, 18.0, 26.0, 0, 8, 17, 5, 7, 5, 14, 0, 11, 4, 2, 0, 0.0, 3, 0, 3, 0, 0, 11, 15, 12.9, 58.06, 83.87, 67.6875, 64.6875, 88.1875, 0, 47.09375, 54.796875, 0.0, 64.6875, 23.5, 11.798828125, 0.0, 0.0, 29.3984375, 17.59765625, 41.1953125, 0.0, 29.3984375, 17.59765625, 55.0, 25.0, 23.0, 12.0, 37.0, "Tous les candidats", 122.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "28168", "Licence - Langues étrangères appliquées - Parcours Anglais / Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28168&g_ta_cod=28168", 29.0, 52.0, 19.0),
(3978, "Public", "9741182S", "Lycée Jean Joly", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Louis", "formation sélective", "BTS", "Lycée Jean Joly - BTS - Production - Développement et Réalisation Bois", "BTS - Production", "", 15, 96, 11, 91, 0, 4, 2, 21, 9, 42, 29, 24, 5, 0, 0, 1, 4, 75, 0, 0, 0, 4, 2, 17, 9, 33, 23, 21, 43, 13, 0, 13, 0, 4.0, 11.0, 12.0, 0, 8, 13, 1, 6, 6, 0, 0, 7, 6, 0, 0, 0.0, 0, 3, 3, 8, 0, 12, 12, 30.77, 84.62, 92.31, 0.0, 92.296875, 92.296875, 61.5, 61.5, 100.0, 0.0, 53.796875, 46.1953125, 0.0, 0.0, 0.0, 7.69921875, 0.0, 46.1953125, 23.09765625, 46.1953125, 23.09765625, 3.0, 2.0, 21.0, 14.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 56.0, "11959", "BTS - Production - Développement et Réalisation Bois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11959&g_ta_cod=11959", 8.0, 46.0, 46.0),
(3979, "Public", "0312390E", "La Prépa des INP - Groupe INP - Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Ecole d'Ingénieur", "La Prépa des INP - Groupe INP - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 116, 4540, 1540, 4540, 0, 4403, 387, 0, 0, 0, 0, 137, 0, 0, 0, 0, 0, 3195, 0, 0, 0, 3170, 230, 0, 0, 0, 0, 25, 843, 112, 52, 112, 0, 43.0, 94.0, 107.0, 0, 10, 111, 111, 0, 0, 1, 0, 0, 0, 3, 91, 17.0, 111, 0, 0, 0, 0, 65, 65, 38.39, 83.93, 95.54, 46.3984375, 58.59375, 58.59375, 0, 9.0, 99.09375, 0.0, 0.0, 0.0, 2.69970703125, 82.0, 15.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 831.0, 81.0, 0.0, 0.0, 12.0, "Tous les candidats", 1313.0, "Autres formations", 18, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "2", "Formation d'ingénieur Bac + 5 - Bac général", "La Prépa des INP - Groupe INP", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=1&g_ta_cod=2", 100.0, 0.0, 0.0),
(3980, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations, parcours Afrique et océan Indien - Malgache", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Afrique et océan Indien - Malgache", 20, 72, 42, 36, 0, 19, 11, 3, 2, 2, 2, 12, 36, 5, 8, 0, 23, 36, 26, 0, 0, 19, 11, 3, 2, 2, 2, 12, 60, 11, 5, 3, 8, 1.0, 3.0, 7.0, 0, 2, 5, 4, 0, 1, 6, 0, 3, 2, 0, 0, 0.0, 1, 0, 1, 0, 0, 2, 2, 9.09, 27.27, 63.64, 45.5, 40.0, 40.0, 0, 40.0, 45.5, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 80.0, 20.0, 0.0, 0.0, 20.0, 20.0, 22.0, 11.0, 2.0, 2.0, 27.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9405", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations, parcours Afrique et océan Indien - Malgache", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29589&g_ta_cod=9405", 64.0, 9.0, 27.0),
(3981, "Public", "0692517L", "LPO Camus-Sermenaz", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Rillieux-la-Pape", "formation sélective", "BTS", "LPO Camus-Sermenaz - BTS - Production - Conception et réalisation de carrosseries", "BTS - Production", "", 24, 268, 14, 239, 0, 24, 6, 85, 20, 56, 26, 74, 29, 0, 11, 11, 7, 137, 11, 0, 0, 17, 5, 63, 15, 40, 15, 17, 125, 18, 0, 15, 3, 1.0, 13.0, 16.0, 0, 6, 13, 2, 4, 7, 5, 0, 6, 4, 2, 1, 0.0, 1, 1, 5, 0, 0, 4, 4, 5.56, 72.22, 88.89, 0.0, 30.796875, 30.796875, 0, 46.1953125, 72.1875, 0.0, 46.1953125, 30.796875, 15.3984375, 7.7, 0.0, 15.3984375, 7.69921875, 30.796875, 7.69921875, 53.796875, 38.5, 14.0, 4.0, 39.0, 15.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 56.0, "8541", "BTS - Production - Conception et réalisation de carrosseries", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8541&g_ta_cod=8541", 22.0, 22.0, 56.0),
(3982, "Privé sous contrat d'association", "0754785U", "IFSI Croix Rouge Française Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "IFSI", "Regroupement d'IFSI Médecine Sorbonne Université P6 - D.E Infirmier", "D.E secteur sanitaire", "", 125, 9751, 8504, 9751, 0, 1282, 366, 1520, 575, 1208, 595, 5741, 0, 0, 0, 0, 0, 8241, 0, 0, 0, 1246, 353, 1417, 532, 1124, 557, 4454, 1778, 120, 107, 120, 0, 1.0, 15.0, 75.0, 0, 20, 26, 12, 3, 11, 94, 0, 10, 11, 4, 1, 0.0, 6, 2, 8, 0, 0, 8, 23, 0.83, 12.5, 62.5, 89.1875, 30.796875, 88.5, 0, 76.890625, 21.69921875, 0.0, 38.5, 42.296875, 15.3984375, 3.8, 0.0, 46.1953125, 23.09765625, 11.5, 7.69921875, 42.296875, 30.796875, 173.0, 98.0, 114.0, 93.0, 1422.0, "Tous les candidats", 3684.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "23283", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23003&g_ta_cod=23283", 38.0, 43.0, 19.0),
(3983, "Privé sous contrat d'association", "0594898D", "IFSI Croix Rouge Française Tourcoing", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 110, 5147, 4037, 5147, 0, 907, 276, 1007, 379, 486, 231, 2747, 0, 0, 0, 0, 0, 4158, 0, 0, 0, 795, 228, 812, 278, 390, 176, 2161, 1446, 110, 94, 110, 0, 1.0, 31.0, 78.0, 0, 30, 68, 10, 29, 29, 42, 0, 13, 38, 16, 1, 0.0, 6, 23, 26, 0, 0, 66, 66, 0.91, 28.18, 70.91, 85.5, 97.09375, 97.09375, 0, 44.09375, 61.796875, 0.0, 19.09765625, 55.8984375, 23.5, 1.5, 0.0, 14.69921875, 8.798828125, 42.59375, 33.796875, 42.59375, 38.1953125, 287.0, 58.0, 184.0, 90.0, 655.0, "Tous les candidats", 4425.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "23131", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23131", 29.0, 35.0, 35.0),
(3984, "Public", "0680169P", "I.U.T. de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BUT", "I.U.T. de Mulhouse - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie-Automatisme et informatique industrielle-Electronique et systèmes embarqués", "BUT - Production", "Electricité et maîtrise de l'énergie-Automatisme et informatique industrielle-Electronique et systèmes embarqués", 52, 428, 30, 410, 0, 217, 47, 124, 29, 3, 1, 66, 18, 0, 7, 0, 11, 256, 3, 0, 0, 138, 21, 83, 15, 3, 1, 32, 195, 42, 2, 40, 2, 5.0, 35.0, 42.0, 0, 6, 33, 22, 11, 0, 9, 0, 11, 16, 5, 1, 0.0, 17, 5, 0, 0, 0, 26, 26, 11.9, 83.33, 100.0, 4.7998046875, 78.796875, 78.796875, 0, 18.19921875, 78.59375, 0.0, 33.296875, 48.5, 15.19921875, 3.0, 0.0, 66.6875, 51.5, 33.296875, 15.19921875, 0.0, 0.0, 100.0, 15.0, 2.0, 1.0, 26.0, "Tous les candidats sauf les Bac technologiques", 174.0, "Bacheliers technologiques toutes séries", 98, "", 0, "Liste d'appel propre à cette formation", 62.0, "8133", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie-Automatisme et informatique industrielle-Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8133&g_ta_cod=8133", 64.0, 31.0, 2.0),
(3985, "Public", "0711372F", "I.U.T du Creusot", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Le Creusot", "formation sélective", "Autre formation", "I.U.T du Creusot - Formation Supérieure de Spécialisation - Numérique - Parcours Dessinateur projeteur numérique", "Diplôme d'Université", "Numérique - Parcours Dessinateur projeteur numérique", 12, 24, 8, 13, 0, 2, 0, 2, 0, 4, 1, 5, 11, 1, 0, 3, 7, 10, 3, 0, 0, 1, 0, 2, 0, 3, 0, 4, 20, 3, 0, 2, 1, 2.0, 2.0, 2.0, 0, 1, 1, 0, 0, 1, 2, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 66.67, 66.67, 66.67, 0.0, 100.0, 100.0, 0, 100.0, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 5.0, 2.0, 4.0, 1.0, 8.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "33069", "Formation Supérieure de Spécialisation - Numérique - Parcours Dessinateur projeteur numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33069&g_ta_cod=33069", 33.0, 33.0, 33.0),
(3986, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Double licence - Philosophie / Economie - Philosophie - Economie", "Licence - Sciences humaines et sociales", "Philosophie - Economie", 25, 358, 165, 358, 0, 215, 25, 3, 1, 0, 0, 140, 0, 0, 0, 0, 0, 256, 0, 0, 0, 167, 15, 0, 0, 0, 0, 89, 148, 25, 11, 25, 0, 1.0, 13.0, 18.0, 0, 4, 17, 17, 0, 0, 8, 0, 1, 1, 9, 6, 0.0, 16, 0, 0, 0, 0, 5, 11, 4.0, 52.0, 72.0, 44.0, 29.3984375, 64.6875, 0, 23.5, 68.0, 0.0, 5.8994140625, 5.8994140625, 52.8984375, 35.3, 0.0, 100.0, 94.09375, 0.0, 0.0, 0.0, 0.0, 97.0, 13.0, 0.0, 0.0, 51.0, "Tous les candidats", 168.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "19667", "Double licence - Philosophie / Economie - Philosophie - Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19667&g_ta_cod=19667", 100.0, 0.0, 0.0),
(3987, "Public", "0952261S", "CY TECH - Université de Cergy-Pontoise", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "Concours GalaxY - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "Ingénieur en Mathématiques et Informatique - voie Recherche", 30, 402, 68, 380, 0, 367, 65, 0, 0, 0, 0, 13, 22, 17, 0, 0, 5, 182, 0, 0, 0, 182, 31, 0, 0, 0, 0, 0, 116, 10, 2, 10, 0, 4.0, 10.0, 10.0, 0, 2, 10, 10, 0, 0, 0, 0, 0, 2, 7, 1, 0.0, 10, 0, 0, 0, 0, 8, 8, 40.0, 100.0, 100.0, 20.0, 80.0, 80.0, 0, 20.0, 100.0, 0.0, 0.0, 20.0, 70.0, 10.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 116.0, 18.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "31238", "Formation d'ingénieur Bac + 5", "Concours GalaxY", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31208&g_ta_cod=31238", 100.0, 0.0, 0.0),
(3988, "Privé enseignement supérieur", "0741787R", "UCLy Alpes-Europe", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "Licence", "UCLy Alpes-Europe - Licence - Double diplôme - Licence Droit - Double diplôme Licence de Droit + Diplôme Universitaire Criminologie", "Licence - Droit-économie-gestion", "Double diplôme Licence de Droit + Diplôme Universitaire Criminologie", 10, 500, 445, 500, 0, 365, 56, 31, 6, 14, 4, 90, 0, 0, 0, 0, 0, 437, 0, 0, 0, 355, 54, 27, 6, 10, 1, 45, 39, 10, 5, 10, 0, 1.0, 10.0, 10.0, 0, 0, 10, 10, 0, 0, 0, 0, 0, 2, 6, 2, 0.0, 10, 0, 0, 0, 0, 5, 5, 10.0, 100.0, 100.0, 50.0, 50.0, 50.0, 0, 0.0, 100.0, 0.0, 0.0, 20.0, 60.0, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 38.0, 3.0, 1.0, 0.0, 0.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "32422", "Licence - Double diplôme - Licence Droit - Double diplôme Licence de Droit + Diplôme Universitaire Criminologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32422&g_ta_cod=32422", 100.0, 0.0, 0.0),
(3989, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Portail Philosophie - Licence Philosophie Option Sciences Sociales", "Licence - Sciences humaines et sociales", "Licence Philosophie Option Sciences Sociales", 22, 247, 151, 214, 0, 112, 28, 24, 8, 5, 1, 73, 33, 6, 4, 5, 18, 213, 33, 0, 0, 112, 28, 24, 8, 5, 1, 72, 180, 22, 10, 11, 11, 0.0, 11.0, 17.0, 0, 3, 11, 7, 3, 1, 11, 0, 7, 2, 1, 1, 0.0, 4, 0, 0, 0, 0, 8, 8, 0.0, 50.0, 77.27, 45.5, 72.6875, 72.6875, 0, 27.296875, 50.0, 0.0, 63.59375, 18.19921875, 9.099609375, 9.1, 0.0, 63.59375, 36.3984375, 27.296875, 0.0, 9.099609375, 0.0, 90.0, 20.0, 9.0, 2.0, 63.0, "Tous les candidats", 263.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "25335", "Licence - Portail Philosophie - Licence Philosophie Option Sciences Sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28705&g_ta_cod=25335", 64.0, 23.0, 14.0),
(3990, "Public", "0730016W", "Lycée Monge", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "CPGE", "Lycée Monge - CPGE - TSI - (en 3 ans, destinée aux bacs professionnels)", "Classe préparatoire scientifique", "(en 3 ans, destinée aux bacs professionnels)", 24, 83, 10, 75, 0, 0, 0, 0, 0, 72, 27, 3, 8, 0, 0, 5, 3, 67, 4, 0, 67, 0, 0, 0, 0, 66, 25, 1, 64, 16, 0, 13, 3, 6.0, 13.0, 16.0, 0, 3, 14, 0, 0, 14, 2, 0, 0, 5, 3, 6, 0.0, 0, 0, 14, 0, 0, 4, 4, 37.5, 81.25, 100.0, 0.0, 28.59765625, 28.59765625, 0, 21.3984375, 87.5, 0.0, 0.0, 35.6953125, 21.3984375, 42.9, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 61.0, 20.0, 3.0, "Tous les candidats", 67.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "20377", "CPGE - TSI - (en 3 ans, destinée aux bacs professionnels)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20377&g_ta_cod=20377", 0.0, 0.0, 100.0),
(3991, "Public", "9730371R", "Lycée Lumina Sophie", "973", "Guyane", "Guyane", "Guyane", "Saint-Laurent-du-Maroni", "formation sélective", "Autre formation", "Lycée Lumina Sophie - Mention complémentaire - FCIL - CAES - Option Services - Spécialité : Santé / Social", "Mention complémentaire", "Spécialité : Santé / Social", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21, 8, 6, 0, 0, 0.0, 0.0, 0.0, 0, 6, 7, 0, 1, 6, 1, 0, 7, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 7, 7, 0.0, 0.0, 0.0, 75.0, 100.0, 100.0, 0, 85.6875, 87.5, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 14.298828125, 0.0, 85.6875, 0.0, 0.0, 0.0, 16.0, 10.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30591", "Mention complémentaire - FCIL - CAES - Option Services - Spécialité : Santé / Social", "", "", 13.0, 13.0, 75.0),
(3992, "Public", "0290013G", "Lycée Jules Lesven", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Jules Lesven - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 772, 473, 742, 0, 49, 15, 270, 68, 237, 102, 186, 30, 3, 0, 0, 27, 383, 6, 0, 0, 37, 8, 171, 35, 128, 46, 47, 173, 36, 27, 35, 1, 5.0, 28.0, 33.0, 0, 9, 33, 3, 12, 18, 3, 0, 9, 15, 9, 0, 0.0, 1, 6, 17, 4, 2, 31, 31, 13.89, 77.78, 91.67, 75.0, 93.890625, 93.890625, 12.099609375, 27.296875, 91.6875, 0.0, 27.296875, 45.5, 27.296875, 0.0, 0.0, 9.099609375, 3.0, 36.3984375, 18.19921875, 54.5, 51.5, 14.0, 3.0, 57.0, 24.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 96, "Bacheliers technologiques toutes séries", 134, "Liste d'appel propre à cette formation", 39.0, "3776", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3776&g_ta_cod=3776", 14.0, 36.0, 50.0),
(3993, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence_Las", "Université de Lille - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 30, 1229, 895, 1229, 0, 832, 215, 69, 34, 5, 3, 323, 0, 0, 0, 0, 0, 1228, 0, 0, 0, 832, 215, 69, 34, 5, 3, 322, 358, 29, 16, 29, 0, 3.0, 12.0, 19.0, 0, 11, 23, 22, 1, 0, 6, 0, 8, 11, 4, 0, 0.0, 14, 1, 0, 0, 0, 23, 23, 10.34, 41.38, 65.52, 55.1953125, 100.0, 100.0, 0, 47.796875, 79.296875, 0.0, 34.796875, 47.796875, 17.3984375, 0.0, 0.0, 95.6875, 60.8984375, 4.2998046875, 4.2998046875, 0.0, 0.0, 256.0, 69.0, 0.0, 0.0, 99.0, "Tous les candidats", 2388.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 48.0, "29709", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29708&g_ta_cod=29709", 97.0, 3.0, 0.0),
(3994, "Public", "0450064A", "Lycée professionnel Gaudier-Brzeska", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Saint-Jean-de-Braye", "formation sélective", "BTS", "Lycée professionnel Gaudier-Brzeska - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 15, 190, 28, 177, 0, 7, 0, 71, 7, 61, 12, 38, 13, 0, 2, 3, 8, 109, 0, 0, 0, 3, 0, 37, 5, 61, 12, 8, 53, 7, 1, 6, 0, 2.0, 6.0, 7.0, 0, 0, 6, 0, 3, 3, 1, 0, 3, 2, 1, 0, 0.0, 0, 1, 2, 2, 0, 4, 4, 28.57, 85.71, 100.0, 14.298828125, 66.6875, 66.6875, 33.296875, 0.0, 85.6875, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 50.0, 16.69921875, 50.0, 33.296875, 1.0, 0.0, 24.0, 7.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 38.0, "16027", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16027&g_ta_cod=16027", 14.0, 43.0, 43.0),
(3995, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation non sélective", "PASS", "Université Sorbonne Paris Nord - Antenne de Bobigny - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "dispensée sur le site de Bobigny", 60, 9781, 6955, 9781, 0, 7556, 1893, 266, 123, 51, 31, 1908, 0, 0, 0, 0, 0, 9778, 0, 0, 0, 7556, 1893, 266, 123, 51, 31, 1905, 602, 55, 47, 55, 0, 5.0, 32.0, 49.0, 0, 25, 50, 50, 0, 0, 5, 0, 0, 1, 29, 16, 4.0, 50, 0, 0, 0, 0, 38, 48, 9.09, 58.18, 89.09, 85.5, 76.0, 96.0, 0, 50.0, 90.890625, 0.0, 0.0, 2.0, 58.0, 32.0, 8.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 573.0, 152.0, 0.0, 0.0, 29.0, "Tous les candidats", 2261.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "28681", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28682&g_ta_cod=28681", 100.0, 0.0, 0.0),
(3996, "Public", "9711033W", "Lycée polyvalent Pointe Noire", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-Noire", "formation sélective", "BTS", "Lycée polyvalent Pointe Noire - BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "BTS - Services", "", 8, 61, 23, 60, 0, 30, 13, 10, 8, 9, 7, 11, 1, 0, 0, 1, 0, 17, 1, 0, 0, 9, 0, 2, 2, 4, 4, 2, 15, 8, 4, 7, 1, 6.0, 7.0, 8.0, 0, 2, 7, 4, 1, 2, 1, 0, 1, 2, 3, 1, 0.0, 4, 1, 1, 0, 0, 7, 7, 75.0, 87.5, 100.0, 50.0, 100.0, 100.0, 0, 28.59765625, 87.5, 0.0, 14.298828125, 28.59765625, 42.8984375, 14.3, 0.0, 57.09375, 57.09375, 14.298828125, 14.298828125, 28.59765625, 14.298828125, 7.0, 0.0, 5.0, 4.0, 1.0, "Tous les candidats sauf les Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 23.0, "14688", "BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14688&g_ta_cod=14688", 63.0, 13.0, 25.0),
(3997, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Université Angers / Lycée Henri Bergson Angers - Licence - Mathématiques - Parcours PPPE (Parcours préparatoire au professorat des écoles)", "Licence - Sciences - technologies - santé", "PPPE (Parcours préparatoire au professorat des écoles)", 35, 338, 244, 338, 0, 228, 28, 23, 5, 1, 1, 86, 0, 0, 0, 0, 0, 338, 0, 0, 0, 228, 28, 23, 5, 1, 1, 86, 135, 34, 23, 34, 0, 6.0, 27.0, 32.0, 0, 4, 26, 26, 0, 0, 8, 0, 5, 8, 10, 3, 0.0, 21, 0, 0, 0, 0, 17, 17, 17.65, 79.41, 94.12, 67.59375, 65.390625, 65.390625, 0, 15.3984375, 76.5, 0.0, 19.19921875, 30.796875, 38.5, 11.5, 0.0, 100.0, 80.796875, 0.0, 0.0, 0.0, 0.0, 109.0, 16.0, 0.0, 0.0, 26.0, "Tous les candidats", 185.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "32743", "Licence - Mathématiques - Parcours PPPE (Parcours préparatoire au professorat des écoles)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32743&g_ta_cod=32743", 100.0, 0.0, 0.0),
(3998, "Public", "0550004F", "Lycée professionnel Ligier Richier", "55", "Meuse", "Grand Est", "Nancy-Metz", "Bar-le-Duc", "formation sélective", "Autre formation", "Lycée professionnel Ligier Richier - Mention complémentaire - FCIL Smart Home", "Mention complémentaire", "", 12, 10, 0, 9, 0, 0, 0, 0, 0, 7, 3, 2, 1, 0, 0, 0, 1, 8, 0, 0, 0, 0, 0, 0, 0, 7, 3, 1, 8, 3, 0, 3, 0, 3.0, 3.0, 3.0, 0, 1, 2, 0, 0, 2, 1, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 50.0, 66.6875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 7.0, 3.0, 1.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "24120", "Mention complémentaire - FCIL Smart Home", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24120&g_ta_cod=24120", 0.0, 33.0, 67.0),
(3999, "Privé hors contrat", "0352967K", "Ecole supérieure de cuisine Ferrandi - Site de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Bruz", "formation sélective", "Autre formation", "Ecole FERRANDI - Formation des écoles supérieures de cuisine Bac +3 - Arts culinaires et entrepreneuriat / Option Pâtisserie", "Formation des écoles supérieures de cuisine", "Arts culinaires et entrepreneuriat / Option Pâtisserie", 16, 137, 96, 134, 0, 86, 11, 11, 1, 1, 1, 36, 3, 1, 0, 0, 2, 106, 2, 0, 0, 70, 4, 7, 0, 0, 0, 29, 72, 15, 11, 14, 1, 1.0, 13.0, 15.0, 0, 0, 10, 10, 0, 0, 5, 0, 1, 7, 2, 0, 0.0, 9, 0, 0, 0, 0, 4, 4, 6.67, 86.67, 100.0, 73.296875, 40.0, 40.0, 0, 0.0, 66.6875, 0.0, 10.0, 70.0, 20.0, 0.0, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 45.0, 2.0, 0.0, 0.0, 23.0, "Tous les candidats", 145.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 78.0, "32879", "Formation des écoles supérieures de cuisine Bac +3 - Arts culinaires et entrepreneuriat / Option Pâtisserie", "Ecole FERRANDI", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26219&g_ta_cod=32879", 93.0, 7.0, 0.0),
(4000, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Lettres - Parcours Lettres - Mineure Professorat des écoles", "Licence - Arts-lettres-langues", "Lettres - Mineure Professorat des écoles", 26, 164, 137, 161, 0, 90, 20, 10, 2, 3, 2, 58, 3, 0, 1, 0, 2, 161, 3, 0, 0, 90, 20, 10, 2, 3, 2, 58, 109, 26, 20, 24, 2, 3.0, 21.0, 25.0, 0, 1, 14, 8, 5, 1, 12, 0, 7, 3, 4, 0, 0.0, 5, 2, 0, 0, 0, 2, 13, 11.54, 80.77, 96.15, 76.890625, 14.298828125, 92.890625, 0, 7.099609375, 53.796875, 0.0, 50.0, 21.3984375, 28.59765625, 0.0, 0.0, 57.09375, 35.6953125, 35.6953125, 14.298828125, 7.099609375, 0.0, 65.0, 13.0, 3.0, 2.0, 34.0, "Tous les candidats", 159.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "9229", "Licence - Lettres - Parcours Lettres - Mineure Professorat des écoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9229&g_ta_cod=9229", 65.0, 27.0, 8.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(4001, "Public", "0932268K", "Institut National du Patrimoine (département des restaurateurs)", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "Autre formation", "Institut National du Patrimoine (département des restaurateurs) - Conservation-restauration des biens culturels - spécialité Arts graphiques et livre", "Formations Bac + 5", "spécialité Arts graphiques et livre", 4, 30, 30, 30, 0, 6, 0, 1, 0, 0, 0, 23, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 0, 3.0, 3.0, 3.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "28359", "Conservation-restauration des biens culturels - spécialité Arts graphiques et livre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28359&g_ta_cod=28359", 100.0, 0.0, 0.0),
(4002, "Public", "0310047H", "Lycée Ozenne", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Ozenne - BTS - Services - Gestion de la PME", "BTS - Services", "", 59, 1614, 992, 1614, 0, 119, 32, 494, 188, 503, 265, 498, 0, 0, 0, 0, 0, 1531, 0, 0, 0, 119, 32, 494, 188, 503, 265, 415, 257, 61, 40, 61, 0, 9.0, 50.0, 58.0, 0, 23, 53, 10, 17, 26, 8, 0, 9, 24, 16, 4, 0.0, 6, 13, 25, 1, 1, 49, 49, 14.75, 81.97, 95.08, 65.59375, 92.5, 92.5, 1.89990234375, 43.3984375, 86.890625, 0.0, 17.0, 45.296875, 30.19921875, 7.5, 0.0, 18.8984375, 11.298828125, 32.09375, 24.5, 49.09375, 47.1953125, 39.0, 17.0, 75.0, 32.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 150, "Bacheliers technologiques toutes séries", 199, "Liste d'appel propre à cette formation", 26.0, "4075", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4075&g_ta_cod=4075", 21.0, 33.0, 46.0),
(4003, "Public", "0630022G", "Lycée professionnel Roger Claustres", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Autre formation", "Lycée professionnel Roger Claustres - Mention complémentaire - Aéronautique option hélicoptère moteur à turbines", "Mention complémentaire", "", 9, 88, 4, 88, 0, 0, 0, 0, 0, 77, 14, 11, 0, 0, 0, 0, 0, 80, 0, 0, 0, 0, 0, 0, 0, 71, 12, 9, 38, 9, 0, 9, 0, 0.0, 4.0, 5.0, 0, 2, 7, 0, 0, 7, 2, 0, 2, 3, 2, 0, 0.0, 0, 0, 5, 0, 0, 2, 2, 0.0, 44.44, 55.56, 0.0, 28.59765625, 28.59765625, 0, 28.59765625, 77.796875, 0.0, 28.59765625, 42.8984375, 28.59765625, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 71.390625, 0.0, 0.0, 31.0, 7.0, 7.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "21164", "Mention complémentaire - Aéronautique option hélicoptère moteur à turbines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21164&g_ta_cod=21164", 0.0, 0.0, 100.0),
(4004, "Public", "0860035W", "Lycée Camille Guérin", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "CPGE", "Lycée Camille Guérin - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 921, 322, 921, 716, 644, 52, 1, 0, 0, 0, 276, 0, 0, 0, 0, 0, 657, 0, 542, 636, 625, 49, 0, 0, 0, 0, 32, 425, 43, 11, 43, 0, 4.0, 20.0, 42.0, 19, 4, 39, 39, 0, 0, 4, 0, 2, 12, 17, 8, 0.0, 37, 0, 0, 1, 0, 24, 24, 9.3, 46.51, 97.67, 25.59765625, 61.5, 61.5, 2.599609375, 10.298828125, 90.6875, 0.0, 5.099609375, 30.796875, 43.59375, 20.5, 0.0, 100.0, 94.890625, 0.0, 0.0, 0.0, 0.0, 402.0, 30.0, 0.0, 0.0, 23.0, "Tous les candidats", 652.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "10585", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10585&g_ta_cod=10585", 100.0, 0.0, 0.0),
(4005, "Public", "0060043P", "Lycée professionnel Magnan", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Autre formation", "Lycée professionnel Magnan - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 12, 137, 27, 97, 0, 14, 3, 22, 7, 38, 15, 23, 40, 11, 9, 6, 14, 36, 10, 0, 0, 7, 3, 8, 2, 14, 4, 7, 51, 11, 3, 5, 5, 1.0, 5.0, 11.0, 0, 2, 10, 2, 3, 5, 1, 0, 6, 3, 1, 0, 0.0, 0, 2, 2, 0, 0, 10, 10, 9.09, 45.45, 100.0, 27.296875, 100.0, 100.0, 0, 20.0, 90.890625, 0.0, 60.0, 30.0, 10.0, 0.0, 0.0, 20.0, 0.0, 30.0, 20.0, 50.0, 20.0, 17.0, 3.0, 14.0, 5.0, 9.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "28386", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28386&g_ta_cod=28386", 18.0, 27.0, 55.0),
(4006, "Public", "0330135T", "Lycée Alfred Kastler", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "BTS", "Lycée Alfred Kastler - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 29, 794, 54, 785, 0, 106, 21, 260, 75, 218, 65, 201, 9, 0, 0, 5, 4, 381, 0, 0, 0, 71, 10, 157, 41, 117, 38, 36, 134, 23, 1, 23, 0, 2.0, 16.0, 22.0, 0, 4, 18, 3, 7, 8, 5, 0, 5, 9, 4, 0, 0.0, 1, 4, 8, 1, 0, 17, 17, 8.7, 69.57, 95.65, 4.2998046875, 94.390625, 94.390625, 5.599609375, 22.19921875, 78.296875, 0.0, 27.796875, 50.0, 22.19921875, 0.0, 0.0, 16.69921875, 5.599609375, 38.8984375, 22.19921875, 44.3984375, 44.3984375, 18.0, 5.0, 68.0, 23.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 118, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 30.0, "4320", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4320&g_ta_cod=4320", 22.0, 35.0, 43.0),
(4007, "Public", "0782117C", "I.U.T. de Mantes en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Mantes-la-Jolie", "formation sélective", "BUT", "I.U.T. de Mantes en Yvelines - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Marketing et Management du point de vente", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Marketing et Management du point de vente", 50, 1083, 539, 1083, 0, 488, 124, 392, 123, 20, 3, 183, 0, 0, 0, 0, 0, 464, 0, 0, 0, 221, 51, 205, 66, 0, 0, 38, 240, 53, 25, 53, 0, 2.0, 37.0, 49.0, 0, 12, 51, 26, 25, 0, 2, 0, 12, 32, 6, 1, 0.0, 20, 19, 0, 0, 0, 40, 42, 3.77, 69.81, 92.45, 47.1953125, 78.390625, 82.390625, 0, 23.5, 96.1875, 0.0, 23.5, 62.6953125, 11.798828125, 2.0, 0.0, 51.0, 39.1953125, 49.0, 37.296875, 0.0, 0.0, 122.0, 29.0, 0.0, 0.0, 10.0, "Tous les candidats sauf les Bac technologiques", 175.0, "Bacheliers technologiques toutes séries", 147, "", 0, "Liste d'appel propre à cette formation", 30.0, "10015", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Marketing et Management du point de vente", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10015&g_ta_cod=10015", 51.0, 49.0, 0.0),
(4008, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Géographie et aménagement / Histoire de l'art et archéologie - ARCHEOLOGIE  - GEOGRAPHIE", "Licence - Sciences humaines et sociales", "ARCHEOLOGIE  - GEOGRAPHIE", 20, 541, 340, 541, 0, 325, 42, 39, 7, 6, 0, 171, 0, 0, 0, 0, 0, 296, 0, 0, 0, 200, 23, 0, 0, 0, 0, 96, 99, 19, 13, 19, 0, 1.0, 13.0, 17.0, 0, 2, 15, 15, 0, 0, 4, 0, 0, 3, 10, 2, 0.0, 15, 0, 0, 0, 0, 5, 10, 5.26, 68.42, 89.47, 68.390625, 33.296875, 66.6875, 0, 13.298828125, 78.890625, 0.0, 0.0, 20.0, 66.6875, 13.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 88.0, 9.0, 0.0, 0.0, 11.0, "Tous les candidats", 198.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "12475", "Double licence - Géographie et aménagement / Histoire de l'art et archéologie - ARCHEOLOGIE  - GEOGRAPHIE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12475&g_ta_cod=12475", 100.0, 0.0, 0.0),
(4009, "Privé sous contrat d'association", "0333363B", "ESSCA School of Management - Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Ecole de Commerce", "ESSCA School of Management - Angers - Formation des écoles de commerce et de management Bac + 3 - Bachelor en Management International", "Formation des écoles de commerce et de management", "Bachelor en Management International", 50, 932, 384, 903, 0, 708, 23, 122, 4, 2, 0, 71, 29, 9, 3, 0, 17, 747, 7, 0, 0, 599, 14, 91, 4, 2, 0, 55, 545, 48, 19, 46, 2, 29.0, 46.0, 48.0, 0, 3, 43, 36, 7, 0, 5, 1, 12, 14, 11, 5, 0.0, 26, 4, 0, 0, 0, 30, 30, 60.42, 95.83, 100.0, 39.59375, 69.796875, 69.796875, 0, 7.0, 89.59375, 2.2998046875, 27.8984375, 32.59375, 25.59765625, 11.6, 0.0, 83.6875, 60.5, 16.296875, 9.298828125, 0.0, 0.0, 426.0, 10.0, 0.0, 0.0, 45.0, "Tous les candidats", 1468.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 83.0, "26146", "Formation des écoles de commerce et de management Bac + 3 - Bachelor en Management International", "ESSCA School of Management - Angers", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26144&g_ta_cod=26146", 81.0, 19.0, 0.0),
(4010, "Public", "0250030X", "Lycée Georges Cuvier", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "BTS", "Lycée Georges Cuvier - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 18, 178, 62, 169, 0, 17, 5, 52, 17, 48, 23, 52, 9, 1, 5, 0, 3, 143, 3, 0, 0, 16, 4, 46, 13, 42, 19, 39, 98, 17, 4, 13, 3, 2.0, 10.0, 11.0, 0, 5, 11, 2, 5, 4, 6, 0, 9, 2, 0, 0, 0.0, 0, 1, 1, 2, 1, 11, 11, 11.76, 58.82, 64.71, 23.5, 100.0, 100.0, 18.19921875, 45.5, 64.6875, 0.0, 81.796875, 18.19921875, 0.0, 0.0, 0.0, 18.19921875, 0.0, 45.5, 9.099609375, 36.3984375, 9.099609375, 13.0, 4.0, 27.0, 15.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 64.0, "3480", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3480&g_ta_cod=3480", 12.0, 59.0, 29.0),
(4011, "Public", "0130003H", "Lycée Vauvenargues", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "CPGE", "Lycée Vauvenargues - CPGE - PTSI", "Classe préparatoire scientifique", "", 96, 999, 194, 999, 692, 830, 83, 4, 1, 0, 0, 165, 0, 0, 0, 0, 0, 618, 0, 456, 600, 575, 47, 0, 0, 0, 0, 43, 409, 92, 14, 92, 0, 68.0, 83.0, 89.0, 19, 7, 88, 88, 0, 0, 4, 0, 0, 6, 56, 26, 0.0, 88, 0, 0, 4, 0, 56, 56, 73.91, 90.22, 96.74, 15.19921875, 63.59375, 63.59375, 4.5, 8.0, 95.6875, 0.0, 0.0, 6.7998046875, 63.59375, 29.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 388.0, 41.0, 0.0, 0.0, 21.0, "Tous les candidats", 423.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "2532", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2532&g_ta_cod=2532", 100.0, 0.0, 0.0),
(4012, "Public", "0301369A", "IFSI CH Bagnols Sur Ceze", "30", "Gard", "Occitanie", "Montpellier", "Bagnols-sur-Cèze", "formation sélective", "IFSI", "Regroupement d'IFSI Université Montpellier - D.E Infirmier", "D.E secteur sanitaire", "", 48, 6354, 5329, 6354, 0, 891, 207, 1154, 343, 591, 249, 3718, 0, 0, 0, 0, 0, 4590, 0, 0, 0, 762, 163, 906, 256, 402, 158, 2520, 738, 48, 44, 48, 0, 0.0, 22.0, 35.0, 0, 5, 28, 8, 14, 6, 20, 0, 2, 8, 16, 2, 0.0, 7, 13, 6, 0, 0, 10, 10, 0.0, 45.83, 72.92, 91.6875, 35.6953125, 35.6953125, 0, 17.8984375, 58.296875, 0.0, 7.099609375, 28.59765625, 57.09375, 7.1, 0.0, 28.59765625, 25.0, 50.0, 46.3984375, 21.3984375, 21.3984375, 126.0, 19.0, 62.0, 27.0, 334.0, "Tous les candidats", 2671.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "23176", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22991&g_ta_cod=23176", 46.0, 35.0, 17.0),
(4013, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Portail Sciences de la vie et de la terre", "Licence - Sciences - technologies - santé", "", 180, 2051, 1336, 2010, 0, 1273, 224, 46, 5, 2, 0, 689, 41, 11, 2, 1, 27, 2010, 37, 0, 0, 1273, 224, 46, 5, 2, 0, 689, 1105, 178, 112, 162, 16, 6.0, 101.0, 143.0, 0, 27, 112, 110, 1, 1, 66, 1, 26, 54, 26, 4, 1.0, 84, 1, 0, 0, 0, 104, 104, 3.37, 56.74, 80.34, 62.8984375, 92.890625, 92.890625, 0, 24.09765625, 62.8984375, 0.89990234375, 23.19921875, 48.1953125, 23.19921875, 3.6, 0.9, 98.1875, 75.0, 0.89990234375, 0.89990234375, 0.89990234375, 0.0, 555.0, 127.0, 2.0, 1.0, 534.0, "Tous les candidats", 1754.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 73.0, "10197", "Licence - Portail Sciences de la vie et de la terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28624&g_ta_cod=10197", 95.0, 3.0, 1.0),
(4014, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER Anglais", "Licence - Arts-lettres-langues", "LLCER Anglais : Université de Brest", 260, 1012, 765, 861, 0, 605, 131, 53, 17, 25, 8, 178, 151, 30, 5, 4, 112, 861, 137, 0, 0, 605, 131, 53, 17, 25, 8, 178, 914, 164, 103, 114, 49, 44.0, 113.0, 134.0, 0, 27, 107, 88, 10, 9, 57, 1, 25, 43, 31, 7, 0.0, 69, 5, 7, 0, 0, 97, 97, 26.83, 68.9, 81.71, 62.796875, 90.6875, 90.6875, 0, 25.19921875, 65.1875, 0.89990234375, 23.3984375, 40.1953125, 29.0, 6.5, 0.0, 82.1875, 64.5, 9.298828125, 4.69921875, 8.3984375, 6.5, 578.0, 124.0, 24.0, 7.0, 260.0, "Tous les candidats", 1009.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28644", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28642&g_ta_cod=28644", 76.0, 13.0, 10.0),
(4015, "Public", "9740911X", "Centre de Ressources, d'Expertise et de Performance Sportive de la Réunion (CREPS)", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "Autre formation", "CREPS de la Réunion - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 3, 95, 23, 95, 0, 24, 11, 28, 16, 12, 10, 31, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 1, 1, 2, 3, 3, 2, 3, 0, 3.0, 3.0, 3.0, 0, 1, 2, 1, 0, 1, 1, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 66.6875, 50.0, 50.0, 0, 50.0, 66.6875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 1.0, 0.0, 1.0, 1.0, 1.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 3.0, "21297", "BPJEPS - Activités physiques pour tous", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21297&g_ta_cod=21297", 33.0, 33.0, 33.0),
(4016, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Langues étrangères appliquées - Parcours Espagnol, Russe. Espagnol non débutant et Russe débutant", "Licence - Arts-lettres-langues", "Espagnol, Russe. Espagnol non débutant et Russe débutant", 5, 48, 38, 48, 0, 32, 8, 4, 1, 1, 1, 11, 0, 0, 0, 0, 0, 48, 0, 0, 0, 32, 8, 4, 1, 1, 1, 11, 48, 5, 4, 5, 0, 5.0, 5.0, 5.0, 0, 1, 4, 3, 1, 0, 1, 0, 2, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 3, 3, 100.0, 100.0, 100.0, 80.0, 75.0, 75.0, 0, 25.0, 80.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 75.0, 50.0, 25.0, 0.0, 0.0, 0.0, 32.0, 8.0, 1.0, 1.0, 11.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "23575", "Licence - Langues étrangères appliquées - Parcours Espagnol, Russe. Espagnol non débutant et Russe débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23575&g_ta_cod=23575", 60.0, 20.0, 20.0),
(4017, "Public", "0450049J", "Lycée Pothier", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "CPGE", "Lycée Pothier - CPGE - MPSI", "Classe préparatoire scientifique", "", 144, 1753, 454, 1753, 1187, 1260, 143, 9, 4, 0, 0, 484, 0, 0, 0, 0, 0, 1499, 0, 1187, 1062, 1177, 121, 6, 1, 0, 0, 316, 676, 139, 25, 139, 0, 48.0, 93.0, 135.0, 48, 13, 135, 135, 0, 0, 4, 0, 0, 12, 79, 41, 3.0, 135, 0, 0, 8, 3, 104, 104, 34.53, 66.91, 97.12, 18.0, 77.0, 77.0, 5.8994140625, 9.599609375, 97.09375, 0.0, 0.0, 8.8984375, 58.5, 30.4, 2.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 652.0, 63.0, 0.0, 0.0, 24.0, "Tous les candidats", 818.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "5649", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5649&g_ta_cod=5649", 100.0, 0.0, 0.0),
(4018, "Public", "0451147C", "IFSI CHR Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "Autre formation", "IFSI CHR Orléans - D.E Psychomotricien", "D.E secteur sanitaire", "", 15, 1461, 1328, 1461, 0, 333, 38, 164, 30, 29, 8, 935, 0, 0, 0, 0, 0, 792, 0, 0, 0, 210, 18, 106, 17, 13, 4, 463, 59, 17, 15, 17, 0, 2.0, 7.0, 12.0, 0, 4, 6, 4, 2, 0, 11, 0, 0, 0, 2, 4, 0.0, 4, 2, 0, 0, 0, 4, 4, 11.76, 41.18, 70.59, 88.1875, 66.6875, 66.6875, 0, 66.6875, 35.296875, 0.0, 0.0, 0.0, 33.296875, 66.7, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 7.0, 5.0, 0.0, 0.0, 50.0, "Tous les candidats", 99.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "33067", "D.E Psychomotricien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33067&g_ta_cod=33067", 88.0, 12.0, 0.0),
(4019, "Privé sous contrat d'association", "0593040J", "Lycée Notre-Dame De La Providence", "59", "Nord", "Hauts-de-France", "Lille", "Orchies", "formation sélective", "BTS", "Lycée Notre-Dame De La Providence - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 30, 69, 26, 63, 0, 0, 0, 23, 3, 31, 10, 9, 6, 0, 0, 5, 1, 63, 0, 0, 0, 0, 0, 23, 3, 31, 10, 9, 56, 9, 1, 9, 0, 8.0, 9.0, 9.0, 0, 1, 9, 0, 3, 6, 0, 0, 4, 2, 2, 1, 0.0, 0, 1, 4, 5, 1, 8, 8, 88.89, 100.0, 100.0, 11.099609375, 88.890625, 88.890625, 55.59375, 11.099609375, 100.0, 0.0, 44.3984375, 22.19921875, 22.19921875, 11.1, 0.0, 0.0, 0.0, 33.296875, 11.099609375, 66.6875, 44.3984375, 0.0, 0.0, 27.0, 9.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 97.0, "16285", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16285&g_ta_cod=16285", 0.0, 33.0, 67.0),
(4020, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Lettres - Parcours Cultures Littéraires Européennes (C.L.E.)", "Licence - Arts-lettres-langues", "Cultures Littéraires Européennes (C.L.E.)", 20, 96, 70, 63, 0, 27, 7, 6, 3, 16, 10, 14, 33, 6, 3, 12, 12, 63, 32, 0, 0, 27, 7, 6, 3, 16, 10, 14, 84, 18, 11, 5, 13, 0.0, 5.0, 14.0, 0, 8, 13, 2, 4, 7, 5, 0, 8, 5, 0, 0, 0.0, 1, 3, 1, 0, 0, 10, 10, 0.0, 27.78, 77.78, 61.09375, 76.890625, 76.890625, 0, 61.5, 72.1875, 0.0, 61.5, 38.5, 0.0, 0.0, 0.0, 15.3984375, 7.69921875, 30.796875, 23.09765625, 53.796875, 7.69921875, 30.0, 9.0, 22.0, 15.0, 24.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "8162", "Licence - Lettres - Parcours Cultures Littéraires Européennes (C.L.E.)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8162&g_ta_cod=8162", 22.0, 28.0, 50.0),
(4021, "Public", "0762047M", "Université de Rouen Normandie - Campus Martainville Rouen - UFR Santé", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation non sélective", "PASS", "Université de Rouen Normandie - Campus Martainville Rouen - UFR Santé - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Sciences et Techniques", 150, 2383, 1483, 2383, 0, 1806, 277, 79, 26, 14, 3, 484, 0, 0, 0, 0, 0, 2349, 0, 0, 0, 1806, 277, 79, 26, 14, 3, 450, 567, 148, 99, 148, 0, 41.0, 130.0, 142.0, 0, 28, 138, 137, 1, 0, 10, 0, 1, 17, 55, 52, 13.0, 136, 1, 0, 0, 0, 136, 136, 27.7, 87.84, 95.95, 66.890625, 98.59375, 98.59375, 0, 20.296875, 93.1875, 0.0, 0.699951171875, 12.298828125, 39.8984375, 37.7, 9.4, 99.296875, 98.59375, 0.699951171875, 0.699951171875, 0.0, 0.0, 499.0, 81.0, 0.0, 0.0, 64.0, "Tous les candidats", 1039.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "32799", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28834&g_ta_cod=32799", 99.0, 1.0, 0.0),
(4022, "Public", "0750658H", "Lycée Saint-Louis (6ème)", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Saint-Louis (6ème) - CPGE - PCSI", "Classe préparatoire scientifique", "", 240, 6046, 2228, 6046, 4143, 5570, 452, 2, 1, 0, 0, 474, 0, 0, 0, 0, 0, 2482, 0, 1199, 2450, 2481, 192, 0, 0, 0, 0, 1, 1192, 238, 113, 238, 0, 58.0, 189.0, 222.0, 56, 22, 238, 238, 0, 0, 0, 0, 0, 0, 12, 141, 85.0, 238, 0, 0, 0, 0, 80, 150, 24.37, 79.41, 93.28, 47.5, 33.59375, 63.0, 0, 9.19921875, 100.0, 0.0, 0.0, 0.0, 5.0, 59.2, 35.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1191.0, 100.0, 0.0, 0.0, 1.0, "Tous les candidats", 1493.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "8983", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8983&g_ta_cod=8983", 100.0, 0.0, 0.0),
(4023, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : ITALIEN MAJEURE NON DEBUTANT / mineure philosophie", "Licence - Arts-lettres-langues", "LLCER : ITALIEN MAJEURE NON DEBUTANT / mineure philosophie", 10, 106, 77, 98, 0, 43, 12, 13, 8, 6, 1, 36, 8, 2, 0, 1, 5, 97, 6, 0, 0, 43, 12, 13, 8, 6, 1, 35, 51, 9, 8, 8, 1, 1.0, 7.0, 8.0, 0, 3, 8, 3, 2, 3, 1, 1, 2, 2, 2, 1, 0.0, 2, 1, 2, 0, 0, 1, 4, 11.11, 77.78, 88.89, 88.890625, 12.5, 50.0, 0, 37.5, 88.890625, 12.5, 25.0, 25.0, 25.0, 12.5, 0.0, 37.5, 25.0, 25.0, 12.5, 37.5, 25.0, 26.0, 9.0, 5.0, 2.0, 14.0, "Tous les candidats", 87.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "19447", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : ITALIEN MAJEURE NON DEBUTANT / mineure philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19447&g_ta_cod=19447", 44.0, 22.0, 33.0),
(4024, "Public", "0750697A", "Lycée Batiment-Saint-Lambert", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Batiment-Saint-Lambert - BTS - Production - Management économique de la construction", "BTS - Production", "", 24, 479, 102, 479, 0, 30, 8, 121, 38, 200, 97, 128, 0, 0, 0, 0, 0, 369, 0, 0, 0, 29, 8, 76, 26, 200, 97, 64, 120, 21, 3, 21, 0, 5.0, 13.0, 16.0, 0, 7, 20, 2, 10, 8, 1, 0, 10, 7, 3, 0, 0.0, 1, 3, 6, 4, 1, 7, 19, 23.81, 61.9, 76.19, 14.298828125, 35.0, 95.0, 20, 35.0, 95.1875, 0.0, 50.0, 35.0, 15.0, 0.0, 0.0, 10.0, 5.0, 50.0, 15.0, 40.0, 30.0, 3.0, 1.0, 64.0, 26.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 31.0, "9123", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9123&g_ta_cod=9123", 10.0, 48.0, 43.0),
(4025, "Privé sous contrat d'association", "0500112A", "Lycée Notre Dame De La Providence", "50", "Manche", "Normandie", "Normandie", "Avranches", "formation sélective", "BTS", "Lycée Notre Dame De La Providence - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 73, 43, 61, 0, 7, 0, 20, 3, 14, 1, 20, 12, 1, 4, 1, 6, 48, 11, 0, 0, 7, 0, 19, 3, 11, 1, 11, 56, 13, 9, 11, 2, 7.0, 11.0, 12.0, 0, 1, 6, 1, 1, 4, 7, 0, 4, 2, 0, 0, 0.0, 1, 0, 1, 1, 0, 6, 6, 53.85, 84.62, 92.31, 69.1875, 100.0, 100.0, 16.69921875, 16.69921875, 46.1953125, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 16.69921875, 16.69921875, 16.69921875, 0.0, 66.6875, 16.69921875, 8.0, 0.0, 11.0, 2.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 75.0, "6010", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6010&g_ta_cod=6010", 54.0, 15.0, 31.0),
(4026, "Public", "0080047H", "Lycée professionnel des Métiers Jean-Baptiste Clément", "08", "Ariège", "Grand Est", "Reims", "Sedan", "formation sélective", "BTS", "Lycée professionnel des Métiers Jean-Baptiste Clément - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 153, 20, 147, 0, 6, 4, 4, 0, 29, 6, 108, 6, 0, 0, 4, 2, 56, 2, 0, 0, 6, 4, 4, 0, 29, 6, 17, 38, 10, 1, 9, 1, 1.0, 9.0, 10.0, 0, 2, 10, 1, 0, 9, 0, 0, 6, 1, 3, 0, 0.0, 1, 0, 3, 4, 0, 9, 9, 10.0, 90.0, 100.0, 10.0, 90.0, 90.0, 40, 20.0, 100.0, 0.0, 60.0, 10.0, 30.0, 0.0, 0.0, 10.0, 10.0, 0.0, 0.0, 90.0, 30.0, 5.0, 4.0, 26.0, 7.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers technologiques toutes séries", 4, "Bacheliers professionnels toutes séries", 32, "Liste d'appel propre à cette formation", 29.0, "25031", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25031&g_ta_cod=25031", 10.0, 0.0, 90.0),
(4027, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "PASS", "Université de Lille - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Enseignement à distance", 150, 3290, 2328, 3290, 0, 2474, 444, 63, 29, 10, 4, 743, 0, 0, 0, 0, 0, 3290, 0, 0, 0, 2474, 444, 63, 29, 10, 4, 743, 1169, 145, 101, 145, 0, 28.0, 86.0, 130.0, 0, 37, 129, 127, 2, 0, 16, 0, 14, 69, 38, 7, 1.0, 113, 2, 0, 0, 0, 117, 117, 19.31, 59.31, 89.66, 69.6875, 90.6875, 90.6875, 0, 28.69921875, 89.0, 0.0, 10.8984375, 53.5, 29.5, 5.4, 0.8, 98.390625, 87.59375, 1.599853515625, 1.599853515625, 0.0, 0.0, 1033.0, 187.0, 2.0, 2.0, 126.0, "Tous les candidats", 5632.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "29180", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27162&g_ta_cod=29180", 97.0, 2.0, 1.0),
(4028, "Public", "0134061U", "IUT Aix-Marseille - Site d'Aix-En-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BUT", "IUT Aix-Marseille - Site d'Aix-En-Provence - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Parcours : Business international : achat et vente - Parcours : Marketing et management du point de vente - Parcours : Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Parcours : Business international : achat et vente - Parcours : Marketing et management du point de vente - Parcours : Business développement et management de la relation client", 116, 5703, 3058, 5703, 0, 3235, 573, 1534, 473, 53, 22, 881, 0, 0, 0, 0, 0, 2086, 0, 0, 0, 865, 113, 935, 265, 0, 0, 286, 537, 119, 85, 119, 0, 18.0, 100.0, 101.0, 0, 25, 104, 52, 52, 0, 15, 0, 1, 30, 54, 16, 3.0, 51, 52, 0, 0, 0, 89, 89, 15.13, 84.03, 84.87, 71.390625, 85.59375, 85.59375, 0, 24.0, 87.390625, 0.0, 1.0, 28.796875, 51.8984375, 15.4, 2.9, 50.0, 49.0, 50.0, 50.0, 0.0, 0.0, 215.0, 68.0, 0.0, 0.0, 118.0, "Tous les candidats sauf les Bac technologiques", 467.0, "Bacheliers technologiques toutes séries", 372, "", 0, "Liste d'appel propre à cette formation", 15.0, "2706", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Parcours : Business international : achat et vente - Parcours : Marketing et management du point de vente - Parcours : Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2706&g_ta_cod=2706", 52.0, 48.0, 0.0),
(4029, "Public", "0260113G", "Lycée Les Catalins", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Montélimar", "formation sélective", "BTS", "Lycée Les Catalins - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 24, 313, 83, 313, 0, 11, 4, 51, 16, 96, 44, 155, 0, 0, 0, 0, 0, 313, 0, 0, 0, 11, 4, 51, 16, 96, 44, 155, 111, 23, 5, 23, 0, 1.0, 11.0, 18.0, 0, 6, 17, 0, 7, 10, 6, 0, 10, 5, 2, 0, 0.0, 0, 1, 6, 6, 1, 12, 12, 4.35, 47.83, 78.26, 21.69921875, 70.59375, 70.59375, 35.296875, 35.296875, 73.890625, 0.0, 58.796875, 29.3984375, 11.798828125, 0.0, 0.0, 0.0, 0.0, 41.1953125, 5.8994140625, 58.796875, 35.296875, 6.0, 3.0, 50.0, 19.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 41.0, "3641", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3641&g_ta_cod=3641", 9.0, 39.0, 48.0),
(4030, "Public", "0870040W", "Lycée Paul Eluard", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Saint-Junien", "formation sélective", "BTS", "Lycée Paul Eluard - BTS - Services - Tourisme", "BTS - Services", "", 24, 306, 210, 306, 0, 72, 18, 38, 9, 49, 20, 147, 0, 0, 0, 0, 0, 202, 0, 0, 0, 63, 12, 34, 7, 47, 19, 58, 105, 24, 18, 24, 0, 3.0, 19.0, 22.0, 0, 5, 16, 11, 1, 4, 8, 0, 6, 8, 2, 0, 0.0, 7, 0, 3, 0, 0, 8, 8, 12.5, 79.17, 91.67, 75.0, 50.0, 50.0, 0, 31.296875, 66.6875, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 68.796875, 43.796875, 6.2998046875, 0.0, 25.0, 18.796875, 43.0, 8.0, 23.0, 9.0, 21.0, "Tous les candidats sauf les Bac professionnels", 114.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 49.0, "10674", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10674&g_ta_cod=10674", 67.0, 8.0, 25.0),
(4031, "Public", "0300139N", "Lycée agricole Marie Durand", "30", "Gard", "Occitanie", "Montpellier", "Rodilhan", "formation sélective", "BTS", "Lycée agricole Marie Durand - BTS - Agricole - Viticulture-Oenologie", "BTS - Agricole", "", 27, 179, 59, 172, 0, 45, 6, 35, 5, 38, 4, 54, 7, 2, 1, 0, 4, 150, 2, 0, 0, 44, 5, 34, 5, 26, 2, 46, 99, 14, 7, 13, 1, 6.0, 12.0, 13.0, 0, 1, 11, 2, 3, 6, 3, 0, 5, 3, 3, 0, 0.0, 1, 2, 3, 5, 3, 5, 5, 42.86, 85.71, 92.86, 50.0, 45.5, 45.5, 45.5, 9.099609375, 78.59375, 0.0, 45.5, 27.296875, 27.296875, 0.0, 0.0, 18.19921875, 9.099609375, 27.296875, 18.19921875, 54.5, 27.296875, 21.0, 4.0, 16.0, 2.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 78.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 87.0, "3981", "BTS - Agricole - Viticulture-Oenologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3981&g_ta_cod=3981", 29.0, 29.0, 43.0),
(4032, "Public", "0590337W", "Ecole Nationale Supérieure d'Architecture et de Paysage de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture et de Paysage de Lille - Architecture", "Formations Bac + 5", "", 100, 1986, 1136, 1986, 0, 1234, 180, 190, 46, 33, 16, 529, 0, 0, 0, 0, 0, 407, 0, 0, 0, 324, 34, 27, 1, 11, 4, 45, 259, 108, 76, 108, 0, 38.0, 108.0, 108.0, 0, 18, 100, 94, 3, 3, 8, 0, 1, 13, 50, 29, 7.0, 93, 3, 3, 0, 0, 37, 37, 35.19, 100.0, 100.0, 70.390625, 37.0, 37.0, 0, 18.0, 92.59375, 0.0, 1.0, 13.0, 50.0, 29.0, 7.0, 94.0, 93.0, 3.0, 3.0, 3.0, 3.0, 212.0, 28.0, 5.0, 2.0, 26.0, "Tous les candidats", 315.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "6884", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6884&g_ta_cod=6884", 94.0, 3.0, 3.0),
(4033, "Privé sous contrat d'association", "0560181T", "Lycée St Joseph - LaSalle Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BTS", "Lycée St Joseph - LaSalle Lorient - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air - parcours Marine Nationale / Maistrance-défense", "BTS - Production", "parcours Marine Nationale / Maistrance-défense", 3, 45, 4, 41, 0, 2, 0, 13, 2, 21, 5, 5, 4, 0, 1, 1, 2, 7, 0, 0, 0, 2, 0, 2, 0, 3, 1, 0, 5, 2, 0, 2, 0, 2.0, 2.0, 2.0, 0, 1, 2, 0, 0, 2, 0, 0, 0, 1, 1, 0, 0.0, 0, 0, 2, 1, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 50.0, 50.0, 50, 50.0, 100.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 2.0, 1.0, 2.0, 1.0, 0.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "29776", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air - parcours Marine Nationale / Maistrance-défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29776&g_ta_cod=29776", 0.0, 0.0, 100.0),
(4034, "Public", "0381775Y", "I.U.T. 2 de Grenoble", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BUT", "I.U.T. 2 de Grenoble - BUT - Information communication Parcours communication des organisations", "BUT - Service", "", 54, 1618, 1265, 1618, 0, 1035, 128, 275, 55, 11, 3, 297, 0, 0, 0, 0, 0, 598, 0, 0, 0, 366, 27, 180, 31, 1, 0, 51, 205, 57, 50, 57, 0, 18.0, 48.0, 52.0, 0, 7, 52, 35, 17, 0, 5, 0, 3, 19, 28, 2, 0.0, 35, 14, 0, 0, 0, 34, 34, 31.58, 84.21, 91.23, 87.6875, 65.390625, 65.390625, 0, 13.5, 91.1875, 0.0, 5.7998046875, 36.5, 53.796875, 3.8, 0.0, 67.296875, 67.296875, 32.6953125, 26.8984375, 0.0, 0.0, 140.0, 17.0, 1.0, 0.0, 14.0, "Tous les candidats sauf les Bac technologiques", 221.0, "Bacheliers technologiques toutes séries", 61, "", 0, "Liste d'appel propre à cette formation", 17.0, "5003", "BUT - Information communication Parcours communication des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5003&g_ta_cod=5003", 67.0, 33.0, 0.0),
(4035, "Privé sous contrat d'association", "0471036W", "ADES FORMATIONS", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Marmande", "formation sélective", "EFTS", "ADES FORMATIONS - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 22, 186, 176, 186, 0, 33, 4, 30, 4, 22, 1, 101, 0, 0, 0, 0, 0, 117, 0, 0, 0, 18, 1, 15, 1, 5, 0, 79, 46, 22, 21, 22, 0, 10.0, 18.0, 19.0, 0, 0, 7, 3, 3, 1, 15, 0, 1, 1, 4, 1, 0.0, 2, 3, 1, 0, 0, 6, 6, 45.45, 81.82, 86.36, 95.5, 85.6875, 85.6875, 0, 0.0, 31.796875, 0.0, 14.298828125, 14.298828125, 57.09375, 14.3, 0.0, 42.8984375, 28.59765625, 42.8984375, 42.8984375, 14.298828125, 14.298828125, 5.0, 0.0, 1.0, 0.0, 36.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "24892", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24892&g_ta_cod=24892", 45.0, 36.0, 18.0),
(4036, "Public", "0450064A", "Lycée professionnel Gaudier-Brzeska", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Saint-Jean-de-Braye", "formation sélective", "BTS", "Lycée professionnel Gaudier-Brzeska - BTS - Production - Bâtiment", "BTS - Production", "", 15, 289, 53, 289, 0, 17, 2, 107, 20, 77, 25, 88, 0, 0, 0, 0, 0, 253, 0, 0, 0, 17, 2, 103, 19, 67, 19, 66, 69, 10, 0, 10, 0, 1.0, 7.0, 9.0, 0, 3, 10, 2, 3, 5, 0, 0, 6, 2, 2, 0, 0.0, 0, 1, 3, 5, 0, 9, 9, 10.0, 70.0, 90.0, 0.0, 90.0, 90.0, 50, 30.0, 100.0, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 20.0, 0.0, 30.0, 10.0, 50.0, 30.0, 9.0, 2.0, 17.0, 4.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 41.0, "13010", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13010&g_ta_cod=13010", 20.0, 30.0, 50.0),
(4037, "Privé sous contrat d'association", "0530068L", "Lycée HAUTE-FOLLIS", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "Lycée HAUTE-FOLLIS - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 18, 102, 48, 97, 0, 0, 0, 18, 2, 69, 17, 10, 5, 0, 0, 3, 2, 92, 2, 0, 0, 0, 0, 16, 2, 67, 15, 9, 63, 11, 5, 11, 0, 7.0, 11.0, 11.0, 0, 2, 11, 0, 0, 11, 0, 0, 2, 4, 3, 2, 0.0, 0, 0, 9, 6, 2, 8, 8, 63.64, 100.0, 100.0, 45.5, 72.6875, 72.6875, 54.5, 18.19921875, 100.0, 0.0, 18.19921875, 36.3984375, 27.296875, 18.2, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 81.796875, 0.0, 0.0, 47.0, 10.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 90.0, "18336", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18336&g_ta_cod=18336", 0.0, 0.0, 100.0),
(4038, "Public", "0381522Y", "CREPS Rhône-Alpes - Site de Voiron", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Voiron", "formation sélective", "Autre formation", "CREPS Rhône-Alpes - BPJEPS - Tennis de table", "BPJEPS", "", 3, 16, 5, 16, 0, 6, 1, 0, 0, 4, 1, 6, 0, 0, 0, 0, 0, 6, 0, 0, 0, 2, 0, 0, 0, 1, 0, 3, 3, 3, 1, 3, 0, 3.0, 3.0, 3.0, 0, 0, 3, 2, 0, 1, 0, 0, 1, 2, 0, 0, 0.0, 1, 0, 1, 0, 0, 2, 2, 100.0, 100.0, 100.0, 33.296875, 66.6875, 66.6875, 0, 0.0, 100.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 33.296875, 33.296875, 2.0, 0.0, 1.0, 0.0, 0.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "31909", "BPJEPS - Tennis de table", "CREPS Rhône-Alpes", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23536&g_ta_cod=31909", 67.0, 0.0, 33.0),
(4039, "Public", "0780015T", "Lycée Militaire de Saint-Cyr", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Cyr-l'Ecole", "formation sélective", "BTS", "Lycée Militaire de Saint-Cyr - BTS - Production - Systèmes numériques - Option informatique et réseaux - - Internat obligatoire", "BTS - Production", "- Internat obligatoire", 32, 428, 35, 428, 0, 153, 22, 129, 26, 69, 20, 77, 0, 0, 0, 0, 0, 110, 0, 0, 0, 48, 4, 40, 2, 8, 1, 14, 62, 32, 1, 32, 0, 18.0, 28.0, 30.0, 0, 6, 32, 14, 14, 4, 0, 0, 2, 9, 18, 3, 0.0, 12, 14, 4, 2, 0, 8, 9, 56.25, 87.5, 93.75, 3.099609375, 25.0, 28.09765625, 6.2998046875, 18.796875, 100.0, 0.0, 6.2998046875, 28.09765625, 56.296875, 9.4, 0.0, 43.796875, 37.5, 43.796875, 43.796875, 12.5, 12.5, 31.0, 4.0, 5.0, 1.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 16.0, "19449", "BTS - Production - Systèmes numériques - Option informatique et réseaux - - Internat obligatoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19449&g_ta_cod=19449", 44.0, 44.0, 13.0),
(4040, "Public", "0470662P", "Lycée agricole Armand FALLIERES Nérac", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Nérac", "formation sélective", "BTS", "Lycée agricole Armand FALLIERES Nérac - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 29, 285, 147, 280, 0, 20, 2, 40, 2, 52, 13, 168, 5, 0, 2, 1, 2, 112, 4, 0, 0, 20, 2, 40, 2, 43, 10, 9, 90, 18, 13, 15, 3, 6.0, 15.0, 17.0, 0, 4, 16, 3, 4, 9, 2, 0, 7, 4, 3, 2, 0.0, 2, 2, 5, 3, 2, 9, 9, 33.33, 83.33, 94.44, 72.1875, 56.296875, 56.296875, 18.796875, 25.0, 88.890625, 0.0, 43.796875, 25.0, 18.796875, 12.5, 0.0, 18.796875, 12.5, 25.0, 12.5, 56.296875, 31.296875, 17.0, 2.0, 39.0, 10.0, 7.0, "Tous les candidats sauf les Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 40.0, "5784", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5784&g_ta_cod=5784", 17.0, 22.0, 61.0),
(4041, "Public", "0912163G", "Lycée Paul Langevin", "91", "Essonne", "Ile-de-France", "Versailles", "Sainte-Geneviève-des-Bois", "formation sélective", "BTS", "Lycée Paul Langevin - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 30, 1384, 693, 1384, 0, 54, 12, 449, 163, 511, 215, 370, 0, 0, 0, 0, 0, 835, 0, 0, 0, 34, 9, 340, 110, 227, 98, 234, 174, 28, 15, 27, 0, 2.0, 21.0, 25.0, 0, 7, 21, 2, 9, 10, 7, 1, 3, 15, 2, 0, 0.0, 0, 7, 10, 3, 2, 21, 21, 7.14, 75.0, 89.29, 53.59375, 100.0, 100.0, 14.298828125, 33.296875, 75.0, 4.7998046875, 14.298828125, 71.390625, 9.5, 0.0, 0.0, 9.5, 0.0, 42.8984375, 33.296875, 47.59375, 47.59375, 12.0, 5.0, 87.0, 36.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 138, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 17.0, "10972", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10972&g_ta_cod=10972", 7.0, 50.0, 43.0),
(4042, "Public", "0595009Z", "IFSI CH d'Armentières", "59", "Nord", "Hauts-de-France", "Lille", "Armentières", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 80, 4808, 3848, 4808, 0, 935, 244, 905, 289, 490, 218, 2478, 0, 0, 0, 0, 0, 4037, 0, 0, 0, 859, 215, 777, 235, 396, 171, 2005, 1084, 80, 69, 80, 0, 0.0, 38.0, 61.0, 0, 18, 53, 15, 15, 23, 27, 0, 5, 29, 17, 2, 0.0, 11, 14, 23, 0, 0, 50, 50, 0.0, 47.5, 76.25, 86.296875, 94.296875, 94.296875, 0, 34.0, 66.296875, 0.0, 9.3984375, 54.6953125, 32.09375, 3.8, 0.0, 28.296875, 20.796875, 28.296875, 26.3984375, 43.3984375, 43.3984375, 252.0, 57.0, 135.0, 62.0, 466.0, "Tous les candidats", 3902.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "23133", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23133", 38.0, 26.0, 36.0),
(4043, "Public", "0341149P", "Unité de formation et de recherche de sciences pharmaceutiques et biologiques Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "Regroupement inter-régions - D.E Audioprothésiste", "D.E secteur sanitaire", "", 42, 838, 561, 838, 0, 258, 54, 39, 20, 8, 4, 533, 0, 0, 0, 0, 0, 490, 0, 0, 0, 170, 27, 2, 0, 0, 0, 318, 226, 37, 23, 37, 0, 3.0, 27.0, 34.0, 0, 6, 17, 17, 0, 0, 20, 0, 1, 8, 7, 1, 0.0, 16, 0, 0, 0, 0, 4, 4, 8.11, 72.97, 91.89, 62.1953125, 23.5, 23.5, 0, 35.296875, 45.8984375, 0.0, 5.8994140625, 47.09375, 41.1953125, 5.9, 0.0, 100.0, 94.09375, 0.0, 0.0, 0.0, 0.0, 88.0, 21.0, 0.0, 0.0, 138.0, "Tous les candidats", 517.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "28060", "D.E Audioprothésiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28060&g_ta_cod=28060", 92.0, 3.0, 0.0),
(4044, "Public", "0382838D", "Lycée La Pléiade", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Pont-de-Chéruy", "formation sélective", "BTS", "Lycée La Pléiade - BTS - Services - Commerce International", "BTS - Services", "", 15, 404, 221, 404, 0, 72, 16, 154, 69, 39, 20, 139, 0, 0, 0, 0, 0, 241, 0, 0, 0, 57, 11, 87, 40, 30, 18, 67, 83, 16, 9, 15, 0, 1.0, 11.0, 12.0, 0, 7, 13, 3, 8, 2, 3, 0, 3, 8, 1, 1, 0.0, 3, 5, 2, 5, 4, 10, 10, 6.25, 68.75, 75.0, 56.296875, 76.890625, 76.890625, 38.5, 53.796875, 81.296875, 0.0, 23.09765625, 61.5, 7.69921875, 7.7, 0.0, 23.09765625, 23.09765625, 61.5, 38.5, 15.3984375, 15.3984375, 12.0, 3.0, 15.0, 9.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 25.0, "5118", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5118&g_ta_cod=5118", 19.0, 56.0, 25.0),
(4045, "Public", "0380034F", "Lycée Louise Michel", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée Louise Michel - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 30, 1581, 1221, 1581, 0, 325, 67, 578, 194, 119, 45, 559, 0, 0, 0, 0, 0, 1147, 0, 0, 0, 296, 61, 485, 152, 70, 27, 296, 227, 28, 23, 28, 0, 1.0, 13.0, 25.0, 0, 8, 24, 2, 19, 3, 4, 0, 3, 18, 2, 1, 0.0, 2, 16, 3, 4, 3, 13, 13, 3.57, 46.43, 89.29, 82.09375, 54.1953125, 54.1953125, 16.69921875, 33.296875, 85.6875, 0.0, 12.5, 75.0, 8.298828125, 4.2, 0.0, 8.298828125, 8.298828125, 79.1875, 66.6875, 12.5, 12.5, 24.0, 8.0, 13.0, 8.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 294, "Liste d'appel propre à cette formation", 25.0, "4935", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4935&g_ta_cod=4935", 11.0, 79.0, 11.0),
(4046, "Public", "0230018V", "Lycée Des Metiers Du Batiment", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Felletin", "formation sélective", "BTS", "Lycée Des Metiers Du Batiment - BTS - Production - Architectures en Métal : conception et Réalisation", "BTS - Production", "", 12, 206, 35, 201, 0, 10, 3, 39, 3, 30, 12, 122, 5, 0, 0, 4, 1, 134, 3, 0, 0, 8, 2, 39, 3, 30, 12, 57, 61, 6, 0, 6, 0, 0.0, 5.0, 6.0, 0, 1, 6, 2, 1, 3, 0, 0, 4, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 0, 0, 0.0, 83.33, 100.0, 0.0, 0.0, 0.0, 0, 16.69921875, 100.0, 0.0, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 33.296875, 0.0, 16.69921875, 0.0, 50.0, 33.296875, 8.0, 2.0, 26.0, 10.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 41.0, "3393", "BTS - Production - Architectures en Métal : conception et Réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3393&g_ta_cod=3393", 33.0, 17.0, 50.0),
(4047, "Public", "0030051P", "Lycée Général et Technologique Albert Londres", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Cusset", "formation sélective", "BTS", "Lycée Général et Technologique Albert Londres - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 24, 379, 43, 378, 0, 52, 10, 89, 28, 69, 21, 168, 1, 0, 0, 1, 0, 164, 0, 0, 0, 43, 8, 59, 18, 44, 11, 18, 95, 23, 0, 23, 0, 4.0, 19.0, 22.0, 0, 7, 21, 5, 8, 8, 2, 0, 7, 8, 6, 0, 0.0, 1, 6, 7, 2, 0, 13, 13, 17.39, 82.61, 95.65, 0.0, 61.8984375, 61.8984375, 9.5, 33.296875, 91.296875, 0.0, 33.296875, 38.09375, 28.59765625, 0.0, 0.0, 23.796875, 4.7998046875, 38.09375, 28.59765625, 38.09375, 33.296875, 29.0, 5.0, 30.0, 7.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 31.0, "2136", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2136&g_ta_cod=2136", 26.0, 39.0, 35.0),
(4048, "Public", "0950641F", "Lycée Jean Jaures", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "BTS", "Lycée Jean Jaures - BTS - Production - Electrotechnique", "BTS - Production", "", 29, 350, 10, 350, 0, 8, 2, 56, 25, 184, 69, 102, 0, 0, 0, 0, 0, 287, 0, 0, 0, 5, 1, 54, 24, 162, 60, 66, 129, 27, 0, 27, 0, 5.0, 20.0, 24.0, 0, 11, 25, 0, 6, 19, 2, 1, 11, 12, 1, 0, 0.0, 0, 1, 12, 11, 0, 25, 25, 18.52, 74.07, 88.89, 0.0, 100.0, 100.0, 44, 44.0, 92.59375, 4.0, 44.0, 48.0, 4.0, 0.0, 0.0, 0.0, 0.0, 24.0, 4.0, 76.0, 48.0, 2.0, 1.0, 80.0, 30.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 113, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 51.0, "11559", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11559&g_ta_cod=11559", 4.0, 26.0, 70.0),
(4049, "Privé sous contrat d'association", "0333481E", "YNCREA - BÈGLES", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "Bac STL", 5, 19, 9, 19, 0, 0, 0, 19, 10, 0, 0, 0, 0, 0, 0, 0, 0, 11, 0, 0, 0, 0, 0, 11, 7, 0, 0, 0, 10, 1, 1, 1, 0, 1.0, 1.0, 1.0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 100.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "31136", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=31136", 0.0, 100.0, 0.0),
(4050, "Public", "0331760J", "Lycée Fernand Daguin", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Mérignac", "formation sélective", "BTS", "Lycée Fernand Daguin - BTS - Services - Professions immobilières", "BTS - Services", "", 35, 2278, 1297, 2278, 0, 638, 129, 694, 204, 370, 122, 576, 0, 0, 0, 0, 0, 716, 0, 0, 0, 239, 43, 212, 58, 174, 53, 91, 157, 32, 24, 32, 0, 7.0, 21.0, 25.0, 0, 6, 29, 15, 8, 6, 3, 0, 1, 12, 10, 6, 0.0, 14, 8, 6, 1, 1, 22, 22, 21.88, 65.63, 78.13, 75.0, 75.890625, 75.890625, 3.39990234375, 20.69921875, 90.59375, 0.0, 3.39990234375, 41.3984375, 34.5, 20.7, 0.0, 51.6953125, 48.296875, 27.59765625, 27.59765625, 20.69921875, 20.69921875, 68.0, 15.0, 17.0, 5.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 140.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 10.0, "4366", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4366&g_ta_cod=4366", 53.0, 28.0, 19.0),
(4051, "Public", "0772519V", "Université Paris- Est- Créteil Val de Marne UPEC - Antenne de Sénart", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lieusaint", "formation non sélective", "Licence", "Université Paris- Est- Créteil Val de Marne UPEC - Antenne de Sénart - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS - site de Sénart", "Licence - Sciences humaines et sociales", "STAPS - site de Sénart", 95, 1461, 353, 1461, 0, 789, 117, 213, 42, 65, 20, 394, 0, 0, 0, 0, 0, 1457, 0, 0, 0, 789, 117, 213, 42, 65, 20, 390, 398, 95, 32, 95, 0, 7.0, 68.0, 86.0, 0, 15, 74, 72, 2, 0, 21, 0, 42, 28, 4, 0, 0.0, 31, 1, 0, 0, 0, 57, 72, 7.37, 71.58, 90.53, 33.6953125, 77.0, 97.296875, 0, 20.296875, 77.890625, 0.0, 56.796875, 37.796875, 5.3994140625, 0.0, 0.0, 97.296875, 41.8984375, 2.69970703125, 1.39990234375, 0.0, 0.0, 302.0, 53.0, 0.0, 0.0, 92.0, "Tous les candidats", 448.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "9937", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS - site de Sénart", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9937&g_ta_cod=9937", 96.0, 4.0, 0.0),
(4052, "Public", "0771663P", "Lycée George Sand", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Le Mée-sur-Seine", "formation sélective", "BTS", "Lycée George Sand - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 441, 296, 441, 0, 17, 4, 114, 49, 166, 79, 144, 0, 0, 0, 0, 0, 390, 0, 0, 0, 17, 4, 104, 43, 156, 71, 113, 125, 24, 19, 24, 0, 2.0, 15.0, 19.0, 0, 9, 20, 0, 8, 12, 4, 0, 9, 7, 3, 1, 0.0, 0, 4, 7, 1, 1, 19, 20, 8.33, 62.5, 79.17, 79.1875, 95.0, 100.0, 5, 45.0, 83.296875, 0.0, 45.0, 35.0, 15.0, 5.0, 0.0, 0.0, 0.0, 40.0, 20.0, 60.0, 35.0, 7.0, 3.0, 56.0, 27.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 36.0, "9849", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9849&g_ta_cod=9849", 4.0, 42.0, 54.0),
(4053, "Public", "0271016H", "Lycée agricole Edouard de Chambray", "27", "Eure", "Normandie", "Normandie", "Mesnils-sur-Iton", "formation sélective", "BTS", "Lycée agricole Edouard de Chambray - BTS - Agricole - génie des équipements agricoles", "BTS - Agricole", "", 18, 157, 17, 156, 0, 17, 2, 36, 2, 32, 10, 71, 1, 0, 0, 1, 0, 86, 1, 0, 0, 17, 2, 36, 2, 30, 9, 3, 44, 3, 0, 3, 0, 3.0, 3.0, 3.0, 0, 0, 3, 0, 1, 2, 0, 0, 0, 2, 1, 0, 0.0, 0, 1, 2, 0, 0, 3, 3, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 8.0, 1.0, 21.0, 7.0, 1.0, "Tous les candidats sauf les Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 52.0, "3696", "BTS - Agricole - génie des équipements agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3696&g_ta_cod=3696", 0.0, 33.0, 67.0),
(4054, "Privé enseignement supérieur", "9741278W", "INST FORM ET RECH. TRAV.SOCIAL I.R.T.S DE LA REUNION", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Benoît", "formation sélective", "EFTS", "INST FORM ET RECH. TRAV.SOCIAL I.R.T.S DE LA REUNION - D.E Educateur Spécialisé", "D.E secteur social", "", 18, 126, 99, 126, 0, 30, 7, 29, 16, 5, 0, 62, 0, 0, 0, 0, 0, 30, 0, 0, 0, 10, 2, 9, 4, 0, 0, 11, 26, 18, 14, 18, 0, 11.0, 15.0, 16.0, 0, 4, 11, 6, 5, 0, 7, 0, 2, 4, 5, 0, 0.0, 5, 4, 0, 0, 0, 11, 11, 61.11, 83.33, 88.89, 77.796875, 100.0, 100.0, 0, 36.3984375, 61.09375, 0.0, 18.19921875, 36.3984375, 45.5, 0.0, 0.0, 54.5, 45.5, 45.5, 36.3984375, 0.0, 0.0, 8.0, 2.0, 0.0, 0.0, 11.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "24875", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24875&g_ta_cod=24875", 56.0, 39.0, 0.0),
(4055, "Privé sous contrat d'association", "0311177L", "Institut Limayrac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Institut Limayrac - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 24, 356, 31, 356, 0, 61, 15, 106, 28, 79, 33, 110, 0, 0, 0, 0, 0, 231, 0, 0, 0, 42, 10, 79, 17, 56, 24, 54, 113, 25, 1, 25, 0, 9.0, 22.0, 23.0, 0, 4, 17, 4, 6, 7, 8, 0, 4, 10, 2, 1, 0.0, 2, 4, 7, 0, 0, 14, 14, 36.0, 88.0, 92.0, 4.0, 82.390625, 82.390625, 0, 23.5, 68.0, 0.0, 23.5, 58.796875, 11.798828125, 5.9, 0.0, 23.5, 11.798828125, 35.296875, 23.5, 41.1953125, 41.1953125, 19.0, 6.0, 23.0, 7.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 43.0, "4109", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4109&g_ta_cod=4109", 32.0, 36.0, 32.0),
(4056, "Public", "0940138P", "Lycée professionnel Armand Guillaumin", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Orly", "formation sélective", "Autre formation", "Lycée professionnel Armand Guillaumin - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 66, 22, 17, 0, 0, 0.0, 0.0, 4.0, 0, 11, 22, 0, 1, 21, 0, 0, 14, 8, 0, 0, 0.0, 0, 0, 8, 0, 0, 22, 22, 0.0, 0.0, 18.18, 77.296875, 100.0, 100.0, 0, 50.0, 100.0, 0.0, 63.59375, 36.3984375, 0.0, 0.0, 0.0, 0.0, 0.0, 4.5, 0.0, 95.5, 36.3984375, 0.0, 0.0, 56.0, 27.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25602", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 5.0, 95.0),
(4057, "Public", "0690028F", "Lycée De Saint Just", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée De Saint Just - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 967, 490, 939, 0, 813, 63, 0, 0, 1, 1, 125, 28, 14, 2, 1, 11, 709, 10, 0, 709, 688, 50, 0, 0, 0, 0, 21, 478, 17, 7, 15, 2, 2.0, 6.0, 16.0, 0, 0, 15, 15, 0, 0, 2, 0, 0, 4, 9, 2, 0.0, 15, 0, 0, 0, 0, 5, 5, 11.76, 35.29, 94.12, 41.1953125, 33.296875, 33.296875, 0, 0.0, 88.1875, 0.0, 0.0, 26.69921875, 60.0, 13.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 462.0, 40.0, 0.0, 0.0, 16.0, "Tous les candidats", 704.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "31315", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31315&g_ta_cod=31315", 100.0, 0.0, 0.0),
(4058, "Public", "0252006V", "CREPS de Dijon - Antenne de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive de Dijon (CREPS) - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 7, 175, 35, 159, 0, 42, 4, 32, 5, 40, 12, 45, 16, 4, 1, 3, 8, 16, 0, 0, 0, 7, 0, 1, 0, 4, 0, 4, 16, 6, 1, 6, 0, 0.0, 6.0, 6.0, 0, 0, 4, 1, 1, 2, 2, 0, 2, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 3, 3, 0.0, 100.0, 100.0, 16.69921875, 75.0, 75.0, 0, 0.0, 66.6875, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 25.0, 0.0, 25.0, 0.0, 50.0, 50.0, 6.0, 0.0, 4.0, 0.0, 5.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 10.0, "28464", "BPJEPS - Activités physiques pour tous", "Centre de Ressources, d'Expertise et de Performance Sportive de Dijon (CREPS)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21291&g_ta_cod=28464", 17.0, 50.0, 33.0),
(4059, "Public", "0130172S", "Lycée professionnel Leonard De Vinci", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  7e  Arrondissement", "formation sélective", "BTS", "Lycée professionnel Leonard De Vinci - BTS - Services - Prothésiste dentaire", "BTS - Services", "", 15, 733, 564, 733, 0, 100, 31, 116, 57, 178, 93, 339, 0, 0, 0, 0, 0, 106, 0, 0, 0, 2, 0, 2, 2, 101, 40, 1, 49, 14, 11, 14, 0, 6.0, 9.0, 12.0, 0, 6, 13, 0, 0, 13, 1, 0, 8, 4, 1, 0, 0.0, 0, 0, 5, 6, 5, 8, 8, 42.86, 64.29, 85.71, 78.59375, 61.5, 61.5, 46.1953125, 46.1953125, 92.890625, 0.0, 61.5, 30.796875, 7.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 38.5, 2.0, 0.0, 42.0, 15.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 1, "Liste d'appel propre à cette formation", 8.0, "20273", "BTS - Services - Prothésiste dentaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20273&g_ta_cod=20273", 7.0, 0.0, 93.0),
(4060, "Privé sous contrat d'association", "0261429M", "Ecole Santé Social Sud-Est", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "EFTS", "Ecole Santé Social Sud-Est - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 27, 465, 446, 465, 0, 83, 7, 99, 12, 45, 10, 238, 0, 0, 0, 0, 0, 435, 0, 0, 0, 78, 7, 93, 10, 39, 9, 225, 81, 27, 27, 27, 0, 4.0, 25.0, 27.0, 0, 1, 7, 2, 2, 3, 20, 0, 1, 2, 2, 2, 0.0, 1, 2, 3, 0, 0, 3, 3, 14.81, 92.59, 100.0, 100.0, 42.8984375, 42.8984375, 0, 14.298828125, 25.8984375, 0.0, 14.298828125, 28.59765625, 28.59765625, 28.6, 0.0, 28.59765625, 14.298828125, 28.59765625, 28.59765625, 42.8984375, 42.8984375, 12.0, 1.0, 9.0, 1.0, 44.0, "Tous les candidats", 149.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 21.0, "25252", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24836&g_ta_cod=25252", 37.0, 33.0, 30.0),
(4061, "Privé sous contrat d'association", "0941934S", "EFREI Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villejuif", "formation sélective", "Ecole de Commerce", "EFREI Paris - Formation des écoles de commerce et de management Bac + 3 - Bachelor Stratégie digitale et innovation", "Formation des écoles de commerce et de management", "Bachelor Stratégie digitale et innovation", 35, 344, 148, 312, 0, 170, 29, 54, 12, 18, 6, 70, 32, 11, 3, 5, 13, 280, 12, 0, 0, 164, 28, 52, 11, 16, 5, 48, 200, 39, 17, 34, 5, 6.0, 22.0, 30.0, 0, 10, 35, 29, 3, 3, 4, 1, 17, 10, 6, 1, 0.0, 13, 3, 1, 0, 0, 10, 28, 15.38, 56.41, 76.92, 43.59375, 28.59765625, 80.0, 0, 28.59765625, 89.6875, 2.89990234375, 48.59375, 28.59765625, 17.09765625, 2.9, 0.0, 82.890625, 37.09375, 8.599609375, 8.599609375, 8.599609375, 2.89990234375, 103.0, 22.0, 15.0, 4.0, 34.0, "Tous les candidats", 249.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "25069", "Formation des écoles de commerce et de management Bac + 3 - Bachelor Stratégie digitale et innovation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25069&g_ta_cod=25069", 85.0, 8.0, 8.0),
(4062, "Public", "0221036G", "I.U.T de Lannion", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Lannion", "formation sélective", "BUT", "I.U.T de Lannion - BUT - Réseaux et télécommunications Parcours : Cybersécurité  - Développement Système et Cloud (Seconde année possible en apprentissage)", "BUT - Production", "Cybersécurité  - Développement Système et Cloud", 76, 915, 72, 902, 0, 531, 64, 253, 44, 8, 1, 110, 13, 2, 0, 0, 11, 617, 2, 0, 0, 399, 42, 156, 30, 1, 0, 61, 472, 69, 2, 68, 1, 21.0, 62.0, 65.0, 0, 8, 62, 46, 16, 0, 7, 0, 13, 36, 11, 2, 0.0, 35, 14, 0, 0, 0, 50, 50, 30.43, 89.86, 94.2, 2.89990234375, 80.59375, 80.59375, 0, 12.8984375, 89.890625, 0.0, 21.0, 58.09375, 17.69921875, 3.2, 0.0, 74.1875, 56.5, 25.796875, 22.59765625, 0.0, 0.0, 291.0, 40.0, 0.0, 0.0, 59.0, "Tous les candidats sauf les Bac technologiques", 412.0, "Bacheliers technologiques toutes séries", 167, "", 0, "Liste d'appel propre à cette formation", 64.0, "3355", "BUT - Réseaux et télécommunications Parcours : Cybersécurité  - Développement Système et Cloud (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3355&g_ta_cod=3355", 75.0, 25.0, 0.0),
(4063, "Privé sous contrat d'association", "0350808N", "Lycée Jeanne D'Arc", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Vitré", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 30, 103, 10, 93, 0, 8, 1, 23, 1, 37, 8, 25, 10, 0, 2, 4, 4, 42, 5, 0, 0, 6, 1, 13, 0, 18, 4, 5, 47, 12, 2, 9, 3, 5.0, 9.0, 11.0, 0, 1, 9, 1, 4, 4, 3, 0, 3, 5, 1, 0, 0.0, 1, 2, 3, 4, 0, 9, 9, 41.67, 75.0, 91.67, 16.69921875, 100.0, 100.0, 44.3984375, 11.099609375, 75.0, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 11.099609375, 11.099609375, 44.3984375, 22.19921875, 44.3984375, 33.296875, 6.0, 1.0, 20.0, 5.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 44.0, "4702", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4702&g_ta_cod=4702", 25.0, 42.0, 33.0),
(4064, "Privé sous contrat d'association", "0801479Y", "Lycée Saint Remi", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Saint Remi - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 340, 188, 311, 0, 18, 3, 113, 27, 65, 21, 115, 29, 0, 3, 17, 9, 227, 9, 0, 0, 14, 2, 107, 25, 42, 12, 64, 109, 31, 19, 27, 4, 6.0, 16.0, 27.0, 0, 3, 18, 0, 7, 11, 13, 0, 3, 11, 4, 0, 0.0, 0, 6, 9, 5, 4, 18, 18, 19.35, 51.61, 87.1, 61.296875, 100.0, 100.0, 27.796875, 16.69921875, 58.09375, 0.0, 16.69921875, 61.09375, 22.19921875, 0.0, 0.0, 0.0, 0.0, 38.8984375, 33.296875, 61.09375, 50.0, 10.0, 2.0, 42.0, 12.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 45.0, "10229", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10229&g_ta_cod=10229", 23.0, 39.0, 39.0),
(4065, "Public", "0860005N", "Cite Technique Edouard Branly", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Châtellerault", "formation sélective", "BTS", "Cite Technique Edouard Branly - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 166, 6, 148, 0, 8, 0, 24, 5, 56, 16, 60, 18, 0, 6, 2, 10, 82, 7, 0, 0, 6, 0, 19, 4, 49, 12, 8, 52, 10, 0, 7, 3, 1.0, 6.0, 7.0, 0, 5, 10, 0, 5, 5, 0, 0, 7, 2, 1, 0, 0.0, 0, 2, 1, 4, 0, 9, 9, 10.0, 60.0, 70.0, 0.0, 90.0, 90.0, 40, 50.0, 100.0, 0.0, 70.0, 20.0, 10.0, 0.0, 0.0, 0.0, 0.0, 50.0, 20.0, 50.0, 10.0, 4.0, 0.0, 27.0, 7.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 46.0, "10574", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10574&g_ta_cod=10574", 0.0, 50.0, 50.0),
(4066, "Privé sous contrat d'association", "0131403E", "Lycée St Vincent De Paul", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "BTS", "Lycée St Vincent De Paul - BTS - Production - Métiers de la mesure", "BTS - Production", "", 17, 71, 21, 67, 0, 5, 1, 29, 11, 0, 0, 33, 4, 1, 2, 0, 1, 63, 1, 0, 0, 5, 1, 28, 10, 0, 0, 30, 53, 20, 6, 19, 1, 2.0, 18.0, 20.0, 0, 4, 7, 1, 6, 0, 13, 0, 4, 3, 0, 0, 0.0, 0, 3, 0, 2, 0, 7, 7, 10.0, 90.0, 100.0, 30.0, 100.0, 100.0, 28.59765625, 57.09375, 35.0, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 14.298828125, 0.0, 85.6875, 42.8984375, 0.0, 0.0, 4.0, 1.0, 0.0, 0.0, 22.0, "Tous les candidats sauf les Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 88.0, "2645", "BTS - Production - Métiers de la mesure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2645&g_ta_cod=2645", 60.0, 35.0, 5.0),
(4067, "Public", "0620257T", "Lycée professionnel Alain Savary", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "Lycée professionnel Alain Savary - BTS - Services - Métiers des Services à l'environnement", "BTS - Services", "", 18, 173, 69, 172, 0, 31, 2, 33, 6, 30, 17, 78, 1, 0, 0, 0, 1, 121, 0, 0, 0, 30, 2, 33, 6, 30, 17, 28, 65, 16, 10, 16, 0, 3.0, 15.0, 15.0, 0, 5, 10, 1, 1, 8, 6, 0, 4, 1, 4, 1, 0.0, 0, 1, 5, 4, 2, 10, 10, 18.75, 93.75, 93.75, 62.5, 100.0, 100.0, 40, 50.0, 62.5, 0.0, 40.0, 10.0, 40.0, 10.0, 0.0, 10.0, 0.0, 10.0, 10.0, 80.0, 50.0, 17.0, 2.0, 15.0, 9.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 46.0, "7410", "BTS - Services - Métiers des Services à l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7410&g_ta_cod=7410", 13.0, 38.0, 50.0),
(4068, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Musicologie - Parcours Jazz et culture musicale", "Licence - Arts-lettres-langues", "Jazz et culture musicale", 40, 85, 22, 81, 0, 51, 15, 6, 3, 0, 0, 24, 4, 0, 0, 0, 4, 57, 1, 0, 0, 35, 10, 6, 3, 0, 0, 16, 54, 38, 6, 37, 1, 26.0, 37.0, 37.0, 0, 8, 24, 20, 4, 0, 14, 0, 7, 8, 8, 1, 0.0, 13, 4, 0, 0, 0, 16, 16, 68.42, 97.37, 97.37, 15.798828125, 66.6875, 66.6875, 0, 33.296875, 63.1953125, 0.0, 29.19921875, 33.296875, 33.296875, 4.2, 0.0, 83.296875, 54.1953125, 16.69921875, 16.69921875, 0.0, 0.0, 31.0, 9.0, 0.0, 0.0, 17.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "4159", "Licence - Musicologie - Parcours Jazz et culture musicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4159&g_ta_cod=4159", 79.0, 16.0, 5.0),
(4069, "Public", "0600021X", "Lycée Jules Uhry", "60", "Oise", "Hauts-de-France", "Amiens", "Creil", "formation sélective", "BTS", "Lycée Jules Uhry - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 30, 377, 325, 336, 0, 55, 16, 29, 7, 155, 64, 97, 41, 0, 2, 28, 11, 159, 6, 0, 0, 29, 6, 7, 2, 98, 36, 25, 63, 23, 22, 19, 4, 6.0, 11.0, 21.0, 0, 11, 19, 4, 0, 15, 4, 0, 5, 9, 4, 1, 0.0, 0, 0, 14, 2, 2, 9, 9, 26.09, 47.83, 91.3, 95.6875, 47.3984375, 47.3984375, 10.5, 57.8984375, 82.59375, 0.0, 26.296875, 47.3984375, 21.09765625, 5.3, 0.0, 21.09765625, 0.0, 0.0, 0.0, 78.890625, 73.6875, 12.0, 4.0, 37.0, 18.0, 11.0, "Tous les candidats sauf les Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 107, "", 0, "Liste d'appel propre à cette formation", 42.0, "12702", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12702&g_ta_cod=12702", 17.0, 0.0, 78.0),
(4070, "Privé sous contrat d'association", "0160083D", "Lycée Saint Joseph L'Amandier", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Saint-Yrieix-sur-Charente", "formation sélective", "Autre formation", "Lycée Saint Joseph L'Amandier - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 14, 130, 64, 108, 0, 30, 4, 15, 4, 4, 0, 59, 22, 3, 2, 2, 15, 58, 13, 0, 0, 21, 3, 12, 4, 4, 0, 21, 55, 7, 3, 5, 2, 3.0, 5.0, 7.0, 0, 1, 3, 0, 3, 0, 4, 0, 1, 1, 1, 0, 0.0, 0, 2, 0, 0, 0, 3, 3, 42.86, 71.43, 100.0, 42.8984375, 100.0, 100.0, 0, 33.296875, 42.8984375, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 14.0, 3.0, 6.0, 0.0, 24.0, "Tous les candidats", 58.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "2997", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2997&g_ta_cod=2997", 57.0, 43.0, 0.0),
(4071, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Breton", "Licence - Arts-lettres-langues", "LLCER Breton", 40, 57, 33, 48, 0, 34, 11, 2, 1, 0, 0, 12, 9, 5, 0, 0, 4, 48, 8, 0, 0, 34, 11, 2, 1, 0, 0, 12, 56, 10, 5, 8, 2, 8.0, 8.0, 9.0, 0, 1, 5, 5, 0, 0, 5, 0, 3, 1, 0, 1, 0.0, 2, 0, 0, 0, 0, 2, 2, 80.0, 80.0, 90.0, 50.0, 40.0, 40.0, 0, 20.0, 50.0, 0.0, 60.0, 20.0, 0.0, 20.0, 0.0, 100.0, 40.0, 0.0, 0.0, 0.0, 0.0, 39.0, 12.0, 0.0, 0.0, 15.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3871", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Breton", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3871&g_ta_cod=3871", 90.0, 0.0, 10.0),
(4072, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Musicologie - Parcours Musiques actuelles", "Licence - Arts-lettres-langues", "Musiques actuelles", 60, 234, 101, 232, 0, 132, 20, 10, 1, 8, 2, 82, 2, 0, 0, 0, 2, 226, 2, 0, 0, 132, 20, 10, 1, 8, 2, 76, 146, 60, 26, 58, 2, 18.0, 52.0, 55.0, 0, 6, 39, 35, 1, 3, 21, 1, 9, 18, 7, 4, 0.0, 27, 0, 2, 0, 0, 18, 18, 30.0, 86.67, 91.67, 43.296875, 46.1953125, 46.1953125, 0, 15.3984375, 65.0, 2.599609375, 23.09765625, 46.1953125, 17.8984375, 10.3, 0.0, 89.6875, 69.1875, 2.599609375, 0.0, 7.69921875, 5.099609375, 90.0, 14.0, 5.0, 1.0, 46.0, "Tous les candidats", 185.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "15993", "Licence - Musicologie - Parcours Musiques actuelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15993&g_ta_cod=15993", 93.0, 2.0, 5.0),
(4073, "Public", "0270044B", "Lycée Georges Dumezil", "27", "Eure", "Normandie", "Normandie", "Vernon", "formation sélective", "BTS", "Lycée Georges Dumezil - BTS - Services - Support à l'action managériale", "BTS - Services", "", 18, 209, 132, 189, 0, 9, 4, 60, 21, 77, 40, 43, 20, 2, 3, 7, 8, 123, 7, 0, 0, 7, 3, 49, 18, 49, 24, 18, 84, 17, 8, 12, 5, 0.0, 8.0, 9.0, 0, 8, 13, 1, 5, 7, 4, 0, 8, 5, 0, 0, 0.0, 0, 3, 2, 2, 0, 9, 9, 0.0, 47.06, 52.94, 47.09375, 69.1875, 69.1875, 15.3984375, 61.5, 76.5, 0.0, 61.5, 38.5, 0.0, 0.0, 0.0, 7.69921875, 0.0, 38.5, 23.09765625, 53.796875, 15.3984375, 8.0, 4.0, 31.0, 12.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 50.0, "3694", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3694&g_ta_cod=3694", 18.0, 35.0, 47.0),
(4074, "Public", "0410031L", "Lycée professionnel des Métiers André Ampère", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Vendôme", "formation sélective", "BTS", "Lycée professionnel des Métiers André Ampère - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 15, 250, 95, 250, 0, 51, 9, 49, 13, 118, 29, 32, 0, 0, 0, 0, 0, 242, 0, 0, 0, 51, 9, 49, 13, 118, 29, 24, 65, 14, 6, 14, 0, 3.0, 8.0, 12.0, 0, 3, 13, 1, 2, 10, 1, 0, 2, 4, 5, 2, 0.0, 1, 1, 9, 3, 2, 10, 10, 21.43, 57.14, 85.71, 42.8984375, 76.890625, 76.890625, 23.09765625, 23.09765625, 92.890625, 0.0, 15.3984375, 30.796875, 38.5, 15.4, 0.0, 7.69921875, 7.69921875, 15.3984375, 7.69921875, 76.890625, 69.1875, 14.0, 5.0, 37.0, 12.0, 4.0, "Tous les candidats sauf les Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 43.0, "30538", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30538&g_ta_cod=30538", 14.0, 14.0, 71.0),
(4075, "Public", "0740017S", "Lycée Charles Poncet", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Cluses", "formation sélective", "BTS", "Lycée Charles Poncet - BTS - Production - Conception et Réalisation de Systèmes Automatiques (Seconde année possible en apprentissage)", "BTS - Production", "", 15, 161, 16, 157, 0, 10, 0, 40, 3, 44, 5, 63, 4, 0, 1, 1, 2, 98, 3, 0, 0, 10, 0, 40, 3, 44, 5, 4, 78, 10, 0, 10, 0, 0.0, 8.0, 10.0, 0, 1, 10, 0, 4, 6, 0, 1, 5, 3, 1, 0, 0.0, 0, 0, 4, 2, 0, 9, 9, 0.0, 80.0, 100.0, 0.0, 90.0, 90.0, 20, 10.0, 100.0, 10.0, 50.0, 30.0, 10.0, 0.0, 0.0, 0.0, 0.0, 40.0, 0.0, 60.0, 40.0, 8.0, 0.0, 31.0, 6.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 60.0, "8867", "BTS - Production - Conception et Réalisation de Systèmes Automatiques (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8867&g_ta_cod=8867", 0.0, 40.0, 60.0),
(4076, "Public", "0134385W", "IUT Aix-Marseille - Site de Château-Gombert", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BUT", "IUT Aix-Marseille - Site de Château-Gombert - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment", "BUT - Production", "Travaux Bâtiment", 52, 1366, 256, 1366, 0, 656, 103, 408, 103, 23, 8, 279, 0, 0, 0, 0, 0, 1035, 0, 0, 0, 552, 82, 277, 59, 20, 6, 186, 268, 53, 14, 53, 0, 7.0, 33.0, 43.0, 0, 11, 48, 24, 23, 1, 5, 0, 5, 21, 21, 1, 0.0, 19, 23, 1, 0, 0, 36, 36, 13.21, 62.26, 81.13, 26.3984375, 75.0, 75.0, 0, 22.8984375, 90.59375, 0.0, 10.3984375, 43.796875, 43.796875, 2.1, 0.0, 50.0, 39.59375, 47.8984375, 47.8984375, 2.099609375, 2.099609375, 149.0, 31.0, 8.0, 3.0, 45.0, "Tous les candidats sauf les Bac technologiques", 304.0, "Bacheliers technologiques toutes séries", 121, "", 0, "Liste d'appel propre à cette formation", 31.0, "30795", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30795&g_ta_cod=30795", 53.0, 45.0, 2.0),
(4077, "Public", "0870019Y", "Lycée Suzanne Valadon", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée Suzanne Valadon - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 45, 920, 157, 908, 0, 116, 19, 175, 61, 113, 41, 504, 12, 1, 0, 0, 11, 336, 0, 0, 0, 99, 14, 118, 40, 82, 25, 37, 158, 46, 2, 46, 0, 4.0, 33.0, 44.0, 0, 11, 36, 7, 14, 15, 10, 0, 17, 11, 8, 0, 0.0, 2, 5, 12, 6, 0, 30, 30, 8.7, 71.74, 95.65, 4.2998046875, 83.296875, 83.296875, 16.69921875, 30.59765625, 78.296875, 0.0, 47.1953125, 30.59765625, 22.19921875, 0.0, 0.0, 19.3984375, 5.599609375, 38.8984375, 13.8984375, 41.6953125, 33.296875, 58.0, 10.0, 31.0, 8.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 119.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 26.0, "10669", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10669&g_ta_cod=10669", 28.0, 37.0, 35.0),
(4078, "Public", "0780515L", "Lycée Les Sept Mares", "78", "Yvelines", "Ile-de-France", "Versailles", "Maurepas", "formation sélective", "BTS", "Lycée Les Sept Mares - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 22, 668, 311, 668, 0, 46, 12, 237, 63, 218, 88, 167, 0, 0, 0, 0, 0, 441, 0, 0, 0, 45, 12, 185, 47, 111, 40, 100, 157, 20, 7, 18, 0, 0.0, 8.0, 11.0, 0, 6, 12, 0, 7, 5, 8, 0, 5, 7, 0, 0, 0.0, 0, 4, 3, 0, 0, 9, 10, 0.0, 40.0, 55.0, 35.0, 75.0, 83.296875, 0, 50.0, 60.0, 0.0, 41.6953125, 58.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 58.296875, 33.296875, 41.6953125, 25.0, 14.0, 4.0, 54.0, 21.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 29.0, "9961", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9961&g_ta_cod=9961", 5.0, 40.0, 55.0),
(4079, "Public", "0331863W", "Lycée agricole de Libourne Montagne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Montagne", "formation sélective", "BTS", "Lycée agricole de Libourne Montagne - BTS - Agricole - Viticulture-Oenologie", "BTS - Agricole", "", 32, 314, 103, 308, 0, 95, 10, 72, 9, 59, 18, 82, 6, 1, 1, 0, 4, 218, 6, 0, 0, 77, 8, 62, 9, 35, 10, 44, 135, 29, 9, 28, 1, 5.0, 23.0, 28.0, 0, 6, 23, 8, 8, 7, 6, 0, 6, 13, 4, 0, 0.0, 5, 6, 6, 5, 0, 15, 15, 17.24, 79.31, 96.55, 31.0, 65.1875, 65.1875, 21.69921875, 26.09765625, 79.296875, 0.0, 26.09765625, 56.5, 17.3984375, 0.0, 0.0, 34.796875, 21.69921875, 34.796875, 26.09765625, 30.3984375, 26.09765625, 48.0, 7.0, 24.0, 6.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 109.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 69.0, "4426", "BTS - Agricole - Viticulture-Oenologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4426&g_ta_cod=4426", 45.0, 31.0, 24.0),
(4080, "Public", "0330088S", "Lycée Max Linder", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Libourne", "formation sélective", "BTS", "Lycée Max Linder - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 263, 190, 256, 0, 10, 3, 105, 42, 92, 46, 49, 7, 0, 0, 6, 1, 214, 1, 0, 0, 8, 2, 97, 37, 81, 40, 28, 172, 28, 20, 24, 0, 1.0, 18.0, 22.0, 0, 6, 24, 1, 11, 12, 4, 1, 7, 14, 2, 0, 0.0, 0, 6, 10, 5, 1, 23, 23, 3.57, 64.29, 78.57, 71.390625, 95.796875, 95.796875, 20.796875, 25.0, 85.6875, 4.19921875, 29.19921875, 58.296875, 8.298828125, 0.0, 0.0, 4.19921875, 0.0, 45.796875, 25.0, 50.0, 41.6953125, 8.0, 2.0, 69.0, 34.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 78.0, "4310", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4310&g_ta_cod=4310", 11.0, 46.0, 43.0),
(4081, "Public", "0590122M", "Lycée Valentine Labbe", "59", "Nord", "Hauts-de-France", "Lille", "La Madeleine", "formation sélective", "Autre formation", "Lycée Valentine Labbe - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 60, 1203, 929, 1203, 0, 346, 101, 336, 129, 28, 19, 493, 0, 0, 0, 0, 0, 1065, 0, 0, 0, 313, 101, 327, 128, 2, 2, 423, 238, 58, 41, 58, 0, 15.0, 40.0, 50.0, 0, 7, 27, 19, 8, 0, 31, 0, 4, 9, 12, 1, 1.0, 15, 8, 0, 0, 0, 26, 26, 25.86, 68.97, 86.21, 70.6875, 96.296875, 96.296875, 0, 25.8984375, 46.59375, 0.0, 14.798828125, 33.296875, 44.3984375, 3.7, 3.7, 70.390625, 55.59375, 29.59765625, 29.59765625, 0.0, 0.0, 94.0, 38.0, 0.0, 0.0, 107.0, "Tous les candidats", 347.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "6807", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6807&g_ta_cod=6807", 83.0, 17.0, 0.0),
(4082, "Public", "0750677D", "Lycée Elisa Lemonnier", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "BTS", "Lycée Elisa Lemonnier - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 35, 771, 275, 771, 0, 42, 7, 206, 88, 333, 168, 190, 0, 0, 0, 0, 0, 318, 0, 0, 0, 25, 5, 77, 33, 174, 86, 42, 126, 33, 18, 33, 0, 6.0, 26.0, 29.0, 0, 15, 25, 1, 6, 18, 8, 0, 5, 10, 9, 1, 0.0, 1, 4, 15, 0, 0, 11, 23, 18.18, 78.79, 87.88, 54.5, 44.0, 92.0, 0, 60.0, 75.796875, 0.0, 20.0, 40.0, 36.0, 4.0, 0.0, 4.0, 4.0, 24.0, 16.0, 72.0, 60.0, 5.0, 4.0, 58.0, 27.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 88, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 21.0, "9040", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9040&g_ta_cod=9040", 12.0, 30.0, 58.0),
(4083, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Allemand - Anglais", "Licence - Arts-lettres-langues", "Allemand - Anglais", 38, 90, 59, 25, 0, 21, 4, 1, 0, 0, 0, 3, 65, 10, 10, 5, 40, 21, 19, 0, 0, 19, 3, 1, 0, 0, 0, 1, 41, 10, 3, 5, 5, 5.0, 5.0, 8.0, 0, 3, 6, 6, 0, 0, 4, 1, 2, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 3, 4, 50.0, 50.0, 80.0, 30.0, 50.0, 66.6875, 0, 50.0, 60.0, 16.69921875, 33.296875, 33.296875, 16.69921875, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 25.0, 4.0, 0.0, 0.0, 13.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "12870", "Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Allemand - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12870&g_ta_cod=12870", 90.0, 0.0, 0.0),
(4084, "Public", "0950641F", "Lycée Jean Jaures", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "BTS", "Lycée Jean Jaures - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 14, 146, 20, 146, 0, 6, 2, 30, 12, 66, 21, 44, 0, 0, 0, 0, 0, 146, 0, 0, 0, 6, 2, 30, 12, 66, 21, 44, 65, 9, 0, 9, 0, 2.0, 8.0, 8.0, 0, 3, 9, 0, 1, 8, 0, 0, 4, 3, 1, 1, 0.0, 0, 0, 5, 4, 0, 9, 9, 22.22, 88.89, 88.89, 0.0, 100.0, 100.0, 44.3984375, 33.296875, 100.0, 0.0, 44.3984375, 33.296875, 11.099609375, 11.1, 0.0, 0.0, 0.0, 11.099609375, 0.0, 88.890625, 55.59375, 2.0, 2.0, 32.0, 9.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 62.0, "11557", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11557&g_ta_cod=11557", 0.0, 11.0, 89.0),
(4085, "Public", "0221036G", "I.U.T de Lannion", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Lannion", "formation sélective", "BUT", "I.U.T de Lannion - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données (Seconde année possible en apprentissage)", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données", 122, 1334, 124, 1326, 0, 825, 126, 281, 49, 8, 3, 212, 8, 0, 6, 0, 2, 785, 0, 0, 0, 525, 73, 174, 29, 1, 1, 85, 456, 122, 7, 122, 0, 24.0, 101.0, 117.0, 0, 15, 111, 82, 29, 0, 11, 0, 11, 62, 34, 4, 0.0, 76, 24, 0, 0, 0, 96, 96, 19.67, 82.79, 95.9, 5.69921875, 86.5, 86.5, 0, 13.5, 91.0, 0.0, 9.8984375, 55.8984375, 30.59765625, 3.6, 0.0, 73.890625, 68.5, 26.09765625, 21.59765625, 0.0, 0.0, 259.0, 35.0, 0.0, 0.0, 59.0, "Tous les candidats sauf les Bac technologiques", 456.0, "Bacheliers technologiques toutes séries", 184, "", 0, "Liste d'appel propre à cette formation", 48.0, "3353", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3353&g_ta_cod=3353", 75.0, 25.0, 0.0),
(4086, "Public", "0090013R", "Lycée de Mirepoix", "09", "Ardennes", "Occitanie", "Toulouse", "Mirepoix", "formation sélective", "BTS", "Lycée de Mirepoix - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 12, 65, 7, 57, 0, 0, 0, 14, 3, 22, 5, 21, 8, 0, 0, 2, 6, 45, 4, 0, 0, 0, 0, 14, 3, 22, 5, 9, 43, 8, 0, 6, 2, 4.0, 6.0, 8.0, 0, 2, 5, 0, 0, 5, 3, 0, 2, 3, 0, 0, 0.0, 0, 0, 3, 4, 0, 5, 5, 50.0, 75.0, 100.0, 0.0, 100.0, 100.0, 80, 40.0, 62.5, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 17.0, 5.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 79.0, "2389", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2389&g_ta_cod=2389", 13.0, 25.0, 63.0),
(4087, "Public", "0382780R", "Lycée Aristides Berges", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Seyssinet-Pariset", "formation sélective", "BTS", "Lycée Aristides Berges - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 34, 628, 293, 603, 0, 49, 8, 208, 95, 91, 41, 255, 25, 0, 0, 15, 10, 273, 3, 0, 0, 0, 0, 166, 73, 55, 20, 52, 167, 29, 11, 26, 3, 1.0, 17.0, 23.0, 0, 13, 20, 0, 13, 7, 9, 0, 11, 6, 3, 0, 0.0, 0, 5, 4, 0, 0, 18, 18, 3.45, 58.62, 79.31, 37.8984375, 90.0, 90.0, 0, 65.0, 69.0, 0.0, 55.0, 30.0, 15.0, 0.0, 0.0, 0.0, 0.0, 65.0, 25.0, 35.0, 20.0, 0.0, 0.0, 44.0, 16.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 162, "Liste d'appel propre à cette formation", 38.0, "5114", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5114&g_ta_cod=5114", 14.0, 62.0, 24.0),
(4088, "Public", "0340099Y", "Centre de Ressources, d'Expertise et de Performance Sportive de Montpellier (CREPS)", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "CREPS de Montpellier - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 9, 65, 11, 56, 0, 27, 5, 8, 2, 7, 3, 14, 9, 3, 1, 1, 4, 14, 1, 0, 0, 6, 1, 2, 0, 2, 0, 4, 13, 9, 3, 8, 1, 7.0, 8.0, 8.0, 0, 0, 5, 4, 0, 1, 4, 0, 3, 0, 2, 0, 0.0, 1, 0, 1, 0, 0, 2, 2, 77.78, 88.89, 88.89, 33.296875, 40.0, 40.0, 0, 0.0, 55.59375, 0.0, 60.0, 0.0, 40.0, 0.0, 0.0, 80.0, 20.0, 0.0, 0.0, 20.0, 20.0, 6.0, 1.0, 1.0, 0.0, 4.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "21379", "BPJEPS - Activités aquatiques et de la natation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21379&g_ta_cod=21379", 78.0, 11.0, 11.0),
(4089, "Public", "9720002V", "Lycée Victor Schoelcher", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée Victor Schoelcher - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 647, 330, 647, 0, 130, 40, 237, 104, 195, 123, 85, 0, 0, 0, 0, 0, 340, 0, 0, 0, 74, 19, 140, 57, 120, 77, 6, 91, 31, 17, 31, 0, 4.0, 31.0, 31.0, 0, 18, 31, 8, 11, 12, 0, 0, 10, 13, 7, 1, 0.0, 3, 7, 11, 3, 1, 31, 31, 12.9, 100.0, 100.0, 54.796875, 100.0, 100.0, 9.69921875, 58.09375, 100.0, 0.0, 32.296875, 41.8984375, 22.59765625, 3.2, 0.0, 25.796875, 9.69921875, 35.5, 22.59765625, 38.6953125, 35.5, 25.0, 11.0, 28.0, 15.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 21.0, "11781", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11781&g_ta_cod=11781", 26.0, 35.0, 39.0),
(4090, "Public", "0301687W", "Université de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "Licence", "Université de Nîmes - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 270, 1638, 922, 1427, 0, 697, 257, 285, 154, 108, 78, 337, 211, 33, 31, 17, 130, 1413, 188, 0, 0, 697, 257, 285, 154, 108, 78, 323, 1360, 257, 135, 183, 74, 22.0, 176.0, 205.0, 0, 78, 144, 75, 47, 22, 113, 1, 92, 46, 5, 0, 0.0, 35, 11, 5, 0, 0, 102, 102, 8.56, 68.48, 79.77, 52.5, 70.796875, 70.796875, 0, 54.1953125, 56.0, 0.699951171875, 63.8984375, 31.8984375, 3.5, 0.0, 0.0, 52.09375, 24.296875, 32.59375, 7.599609375, 15.298828125, 3.5, 618.0, 229.0, 104.0, 78.0, 371.0, "Tous les candidats", 1413.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4018", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4018&g_ta_cod=4018", 47.0, 32.0, 20.0),
(4091, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Sciences de la terre - Terre / Envrionnement", "Licence - Sciences - technologies - santé", "Terre / Envrionnement", 20, 842, 533, 842, 0, 466, 62, 12, 1, 2, 0, 362, 0, 0, 0, 0, 0, 831, 0, 0, 0, 466, 62, 12, 1, 2, 0, 351, 227, 18, 9, 18, 0, 0.0, 4.0, 11.0, 0, 2, 14, 14, 0, 0, 4, 0, 0, 8, 6, 0, 0.0, 14, 0, 0, 0, 0, 3, 13, 0.0, 22.22, 61.11, 50.0, 21.3984375, 92.890625, 0, 14.298828125, 77.796875, 0.0, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 125.0, 18.0, 0.0, 0.0, 102.0, "Tous les candidats", 425.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "32392", "Licence - Portail Sciences de la terre - Terre / Envrionnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32397&g_ta_cod=32392", 100.0, 0.0, 0.0),
(4092, "Public", "0381603L", "Lycée Andre Argouges", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée Andre Argouges - BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "BTS - Services", "", 38, 553, 274, 553, 0, 58, 14, 92, 22, 121, 35, 282, 0, 0, 0, 0, 0, 342, 0, 0, 0, 58, 14, 92, 22, 114, 31, 78, 154, 44, 26, 44, 0, 7.0, 28.0, 37.0, 0, 7, 30, 0, 12, 18, 14, 0, 13, 9, 7, 1, 0.0, 0, 3, 14, 12, 7, 26, 26, 15.91, 63.64, 84.09, 59.09375, 86.6875, 86.6875, 40, 23.296875, 68.1875, 0.0, 43.296875, 30.0, 23.296875, 3.3, 0.0, 0.0, 0.0, 40.0, 10.0, 60.0, 46.6953125, 5.0, 3.0, 60.0, 14.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 34.0, "4978", "BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4978&g_ta_cod=4978", 18.0, 32.0, 50.0),
(4093, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence_Las", "Université Toulouse 3 Paul Sabatier - Licence - Portail Mécanique", "Licence - Sciences - technologies - santé", "", 18, 223, 63, 204, 0, 101, 15, 17, 5, 3, 3, 83, 19, 8, 0, 1, 10, 204, 17, 0, 0, 101, 15, 17, 5, 3, 3, 83, 153, 17, 8, 12, 5, 0.0, 6.0, 13.0, 0, 2, 10, 8, 2, 0, 7, 0, 7, 3, 0, 0, 0.0, 2, 1, 0, 0, 0, 5, 5, 0.0, 35.29, 76.47, 47.09375, 50.0, 50.0, 0, 20.0, 58.796875, 0.0, 70.0, 30.0, 0.0, 0.0, 0.0, 80.0, 20.0, 20.0, 10.0, 0.0, 0.0, 81.0, 14.0, 1.0, 1.0, 62.0, "Tous les candidats", 997.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27527", "Licence - Portail Mécanique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27526&g_ta_cod=27527", 76.0, 24.0, 0.0),
(4094, "Public", "0190862J", "I.U.T du Limousin - site de Tulle", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Tulle", "formation sélective", "BUT", "I.U.T du Limousin - site de Tulle - BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "BUT - Production", "Science du danger et management des risques professionnels technologiques et environnementaux", 60, 596, 170, 578, 0, 318, 25, 149, 22, 14, 3, 97, 18, 4, 3, 0, 11, 400, 8, 0, 0, 244, 17, 95, 11, 3, 1, 58, 318, 42, 11, 40, 2, 12.0, 34.0, 41.0, 0, 2, 36, 29, 7, 0, 6, 0, 16, 16, 4, 0, 0.0, 15, 5, 0, 0, 0, 15, 15, 28.57, 80.95, 97.62, 26.19921875, 41.6953125, 41.6953125, 0, 5.599609375, 85.6875, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 80.59375, 41.6953125, 19.3984375, 13.8984375, 0.0, 0.0, 183.0, 15.0, 1.0, 1.0, 49.0, "Tous les candidats sauf les Bac technologiques", 294.0, "Bacheliers technologiques toutes séries", 106, "", 0, "Liste d'appel propre à cette formation", 69.0, "3170", "BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3170&g_ta_cod=3170", 81.0, 19.0, 0.0),
(4095, "Public", "0680053N", "I.U.T. de Colmar", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BUT", "I.U.T. de Colmar - BUT - Génie biologique Parcours agronomie", "BUT - Production", "", 54, 642, 360, 642, 0, 419, 50, 63, 8, 2, 1, 158, 0, 0, 0, 0, 0, 574, 0, 0, 0, 401, 48, 52, 5, 1, 0, 120, 237, 52, 32, 52, 0, 18.0, 36.0, 43.0, 0, 3, 41, 34, 7, 0, 11, 0, 5, 15, 16, 5, 0.0, 30, 6, 0, 0, 0, 15, 15, 34.62, 69.23, 82.69, 61.5, 36.59375, 36.59375, 0, 7.2998046875, 78.796875, 0.0, 12.19921875, 36.59375, 39.0, 12.2, 0.0, 82.890625, 73.1875, 17.09765625, 14.599609375, 0.0, 0.0, 155.0, 19.0, 0.0, 0.0, 47.0, "Tous les candidats sauf les Bac technologiques", 273.0, "Bacheliers technologiques toutes séries", 58, "", 0, "Liste d'appel propre à cette formation", 52.0, "8113", "BUT - Génie biologique Parcours agronomie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8113&g_ta_cod=8113", 83.0, 17.0, 0.0),
(4096, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence_Las", "Université Paul Valery - Montpellier 3 - Licence - Portail Humanités - Parcours Cultures des mondes antiques et médiévaux", "Licence - Arts-lettres-langues", "Parcours Cultures des mondes antiques et médiévaux", 10, 132, 89, 118, 0, 49, 16, 3, 3, 4, 2, 62, 14, 3, 1, 0, 10, 117, 14, 0, 0, 49, 16, 3, 3, 4, 2, 61, 78, 10, 7, 7, 3, 1.0, 7.0, 7.0, 0, 2, 6, 6, 0, 0, 4, 0, 5, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 3, 3, 10.0, 70.0, 70.0, 70.0, 50.0, 50.0, 0, 33.296875, 60.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 100.0, 16.69921875, 0.0, 0.0, 0.0, 0.0, 28.0, 10.0, 0.0, 0.0, 46.0, "Tous les candidats", 313.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "28919", "Licence - Portail Humanités - Parcours Cultures des mondes antiques et médiévaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28918&g_ta_cod=28919", 90.0, 0.0, 10.0),
(4097, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 1 - Licence - Portail Portail Droit Science politique - Rennes", "Licence - Droit-économie-gestion", "Portail Droit Science politique - Rennes", 920, 5782, 3997, 5782, 0, 4745, 688, 213, 63, 19, 7, 805, 0, 0, 0, 0, 0, 5776, 0, 0, 0, 4745, 688, 213, 63, 19, 7, 799, 3117, 950, 666, 949, 0, 544.0, 947.0, 949.0, 0, 145, 859, 834, 25, 0, 91, 2, 94, 307, 353, 103, 0.0, 738, 25, 0, 0, 0, 753, 753, 57.26, 99.68, 99.89, 70.09375, 87.6875, 87.6875, 0, 16.8984375, 90.390625, 0.199981689453125, 10.8984375, 35.6953125, 41.09375, 12.0, 0.0, 97.09375, 85.890625, 2.89990234375, 2.89990234375, 0.0, 0.0, 2669.0, 440.0, 2.0, 1.0, 394.0, "Tous les candidats", 3657.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 62.0, "19302", "Licence - Portail Portail Droit Science politique - Rennes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27342&g_ta_cod=19302", 96.0, 4.0, 0.0),
(4098, "Privé sous contrat d'association", "0342299P", "EPF Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation Bac + 3 - Série générale, STI2D, STMG, STAV, STL, ST2S et bacs pros identifiés - Bachelors Technologiques » et « Bachelors hybrides Technologie et Management »", "Formations  des écoles d'ingénieurs", "Bachelor Technologique « Assistant Ingénieur Efficacité Energétique »", 20, 85, 11, 80, 0, 70, 9, 9, 2, 1, 0, 0, 5, 3, 2, 0, 0, 51, 1, 0, 0, 45, 5, 5, 1, 1, 0, 0, 52, 6, 1, 6, 0, 6.0, 6.0, 6.0, 0, 1, 6, 4, 1, 1, 0, 0, 0, 6, 0, 0, 0.0, 4, 1, 1, 0, 0, 4, 4, 100.0, 100.0, 100.0, 16.69921875, 66.6875, 66.6875, 0, 16.69921875, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 66.6875, 66.6875, 16.69921875, 16.69921875, 16.69921875, 16.69921875, 46.0, 5.0, 1.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "26466", "Formation Bac + 3 - Série générale, STI2D, STMG, STAV, STL, ST2S et bacs pros identifiés - Bachelors Technologiques » et « Bachelors hybrides Technologie et Management »", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26463&g_ta_cod=26466", 67.0, 17.0, 17.0),
(4099, "Public", "0861228T", "Lycée Du Bois D'Amour", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée Du Bois D'Amour - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 867, 409, 867, 0, 96, 20, 372, 106, 215, 79, 184, 0, 0, 0, 0, 0, 540, 0, 0, 0, 62, 13, 274, 72, 163, 51, 41, 136, 33, 10, 33, 0, 9.0, 23.0, 28.0, 0, 9, 30, 4, 13, 13, 3, 0, 10, 15, 5, 0, 0.0, 3, 8, 9, 8, 1, 26, 26, 27.27, 69.7, 84.85, 30.296875, 86.6875, 86.6875, 26.69921875, 30.0, 90.890625, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 13.298828125, 10.0, 43.296875, 26.69921875, 43.296875, 30.0, 9.0, 1.0, 54.0, 18.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 94, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 22.0, "10652", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10652&g_ta_cod=10652", 15.0, 45.0, 39.0),
(4100, "Public", "0560025Y", "Lycée Dupuy De Lôme", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "CPGE", "Lycée Dupuy De Lôme - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 951, 279, 931, 695, 789, 81, 3, 0, 0, 0, 139, 20, 8, 1, 0, 11, 826, 4, 695, 621, 745, 78, 2, 0, 0, 0, 79, 404, 41, 10, 39, 2, 7.0, 22.0, 39.0, 29, 6, 39, 39, 0, 0, 2, 0, 0, 2, 23, 14, 0.0, 39, 0, 0, 6, 2, 34, 34, 17.07, 53.66, 95.12, 24.3984375, 87.1875, 87.1875, 15.3984375, 15.3984375, 95.09375, 0.0, 0.0, 5.099609375, 59.0, 35.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 395.0, 40.0, 0.0, 0.0, 9.0, "Tous les candidats", 624.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "6419", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6419&g_ta_cod=6419", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(4101, "Privé sous contrat d'association", "0492015Z", "LGT privé Sacré-Coeur La Salle", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "LGT privé Sacré-Coeur La Salle - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 851, 319, 851, 0, 160, 16, 356, 50, 204, 37, 131, 0, 0, 0, 0, 0, 785, 0, 0, 0, 155, 16, 334, 46, 194, 32, 102, 185, 34, 16, 34, 0, 2.0, 21.0, 28.0, 0, 1, 32, 12, 10, 10, 2, 0, 9, 14, 8, 1, 0.0, 6, 8, 9, 2, 0, 31, 31, 5.88, 61.76, 82.35, 47.09375, 96.890625, 96.890625, 6.2998046875, 3.099609375, 94.09375, 0.0, 28.09765625, 43.796875, 25.0, 3.1, 0.0, 37.5, 18.796875, 31.296875, 25.0, 31.296875, 28.09765625, 64.0, 7.0, 45.0, 7.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 76.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 120, "Liste d'appel propre à cette formation", 31.0, "5961", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5961&g_ta_cod=5961", 38.0, 32.0, 29.0),
(4102, "Public", "0801327H", "Lycée Edouard Branly", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 24, 224, 18, 224, 0, 25, 4, 47, 16, 79, 31, 73, 0, 0, 0, 0, 0, 171, 0, 0, 0, 25, 4, 47, 16, 52, 18, 47, 102, 24, 0, 24, 0, 4.0, 22.0, 22.0, 0, 6, 16, 0, 7, 9, 8, 0, 6, 7, 1, 2, 0.0, 0, 3, 7, 3, 0, 15, 15, 16.67, 91.67, 91.67, 0.0, 93.796875, 93.796875, 18.796875, 37.5, 66.6875, 0.0, 37.5, 43.796875, 6.2998046875, 12.5, 0.0, 0.0, 0.0, 43.796875, 18.796875, 56.296875, 43.796875, 5.0, 0.0, 41.0, 14.0, 27.0, "Tous les candidats sauf les Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 59, "", 0, "Liste d'appel propre à cette formation", 50.0, "10192", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10192&g_ta_cod=10192", 0.0, 42.0, 58.0),
(4103, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Université de Lille - DEUST - Métiers des bibliothèques et de la documentation", "DEUST", "", 40, 249, 171, 177, 0, 49, 10, 9, 4, 10, 3, 109, 72, 4, 3, 2, 63, 52, 14, 0, 0, 22, 2, 0, 0, 0, 0, 30, 66, 31, 24, 20, 10, 19.0, 20.0, 29.0, 0, 0, 4, 4, 0, 0, 27, 0, 0, 0, 3, 1, 0.0, 4, 0, 0, 0, 0, 2, 2, 61.29, 64.52, 93.55, 77.390625, 50.0, 50.0, 0, 0.0, 12.8984375, 0.0, 0.0, 0.0, 75.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 23.0, 2.0, 0.0, 0.0, 43.0, "Tous les candidats", 52.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "7064", "DEUST - Métiers des bibliothèques et de la documentation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7064&g_ta_cod=7064", 90.0, 0.0, 10.0),
(4104, "Public", "0730858L", "Université Savoie Mont Blanc - Chambéry", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Jacob-Bellecombette", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Chambéry - Licence - Langues étrangères appliquées - Parcours LEA Anglais/Italien", "Licence - Arts-lettres-langues", "LEA Anglais/Italien", 60, 282, 210, 227, 0, 144, 22, 19, 6, 15, 9, 49, 55, 11, 5, 3, 36, 227, 52, 0, 0, 144, 22, 19, 6, 15, 9, 49, 247, 42, 31, 27, 15, 15.0, 27.0, 37.0, 0, 4, 25, 20, 2, 3, 17, 1, 4, 13, 6, 1, 0.0, 17, 0, 3, 0, 0, 22, 22, 35.71, 64.29, 88.1, 73.796875, 88.0, 88.0, 0, 16.0, 59.5, 4.0, 16.0, 52.0, 24.0, 4.0, 0.0, 80.0, 68.0, 8.0, 0.0, 12.0, 12.0, 138.0, 20.0, 16.0, 9.0, 72.0, "Tous les candidats", 227.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8809", "Licence - Langues étrangères appliquées - Parcours LEA Anglais/Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8809&g_ta_cod=8809", 71.0, 12.0, 17.0),
(4105, "Public", "0382099A", "Lycée Roger Deschaux", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Sassenage", "formation sélective", "Autre formation", "Lycée Roger Deschaux - Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "Mention complémentaire", "", 8, 20, 0, 19, 0, 0, 0, 0, 0, 18, 6, 1, 1, 0, 0, 0, 1, 19, 0, 0, 0, 0, 0, 0, 0, 18, 6, 1, 16, 5, 0, 5, 0, 2.0, 5.0, 5.0, 0, 1, 4, 0, 0, 4, 1, 0, 2, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 4, 4, 40.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 25.0, 80.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 15.0, 6.0, 1.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19388", "Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19388&g_ta_cod=19388", 0.0, 0.0, 100.0),
(4106, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Double licence - Economie / Philosophie - Economie - Philosophie", "Licence - Droit-économie-gestion", "Economie - Philosophie", 40, 224, 96, 132, 0, 78, 19, 11, 4, 6, 3, 37, 92, 18, 5, 5, 64, 129, 81, 0, 0, 78, 19, 11, 4, 6, 3, 34, 192, 36, 10, 11, 25, 4.0, 11.0, 26.0, 0, 5, 14, 8, 4, 2, 22, 0, 7, 5, 1, 1, 0.0, 4, 1, 2, 0, 0, 7, 7, 11.11, 30.56, 72.22, 27.796875, 50.0, 50.0, 0, 35.6953125, 38.8984375, 0.0, 50.0, 35.6953125, 7.099609375, 7.1, 0.0, 57.09375, 28.59765625, 28.59765625, 7.099609375, 14.298828125, 14.298828125, 86.0, 21.0, 10.0, 5.0, 83.0, "Tous les candidats", 130.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "30131", "Double licence - Economie / Philosophie - Economie - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30131&g_ta_cod=30131", 67.0, 22.0, 11.0),
(4107, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Portail Physique", "Licence - Sciences - technologies - santé", "", 40, 679, 204, 631, 0, 467, 71, 13, 2, 0, 0, 151, 48, 12, 1, 1, 34, 630, 31, 0, 0, 467, 71, 13, 2, 0, 0, 150, 393, 34, 9, 23, 11, 0.0, 23.0, 30.0, 0, 3, 16, 15, 1, 0, 18, 0, 8, 5, 3, 0, 0.0, 7, 1, 0, 0, 0, 11, 11, 0.0, 67.65, 88.24, 26.5, 68.796875, 68.796875, 0, 18.796875, 47.09375, 0.0, 50.0, 31.296875, 18.796875, 0.0, 0.0, 93.796875, 43.796875, 6.2998046875, 6.2998046875, 0.0, 0.0, 264.0, 40.0, 0.0, 0.0, 124.0, "Tous les candidats", 757.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "2875", "Licence - Portail Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27686&g_ta_cod=2875", 94.0, 3.0, 3.0),
(4108, "Public", "0782546U", "Lycée Le Corbusier", "78", "Yvelines", "Ile-de-France", "Versailles", "Poissy", "formation sélective", "BTS", "Lycée Le Corbusier - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1912, 916, 1333, 0, 93, 29, 454, 160, 440, 175, 346, 579, 0, 361, 0, 218, 360, 15, 0, 0, 41, 14, 95, 28, 206, 66, 18, 169, 40, 22, 33, 7, 5.0, 25.0, 29.0, 0, 13, 34, 2, 15, 17, 6, 0, 8, 20, 6, 0, 0.0, 2, 9, 15, 5, 2, 31, 33, 12.5, 62.5, 72.5, 55.0, 91.1875, 97.09375, 14.69921875, 38.1953125, 85.0, 0.0, 23.5, 58.796875, 17.59765625, 0.0, 0.0, 5.8994140625, 5.8994140625, 44.09375, 26.5, 50.0, 44.09375, 10.0, 4.0, 62.0, 18.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 86, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 15.0, "10032", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10032&g_ta_cod=10032", 18.0, 40.0, 43.0),
(4109, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Lettres - Parcours Lettres - Mineure Information-Communication", "Licence - Arts-lettres-langues", "Lettres - Mineure Information-Communication", 51, 534, 415, 534, 0, 316, 53, 26, 10, 15, 4, 177, 0, 0, 0, 0, 0, 534, 0, 0, 0, 316, 53, 26, 10, 15, 4, 177, 227, 50, 39, 50, 0, 4.0, 47.0, 49.0, 0, 10, 34, 30, 3, 1, 16, 1, 4, 20, 8, 1, 0.0, 26, 3, 0, 0, 0, 10, 31, 8.0, 94.0, 98.0, 78.0, 29.3984375, 91.1875, 0, 29.3984375, 68.0, 2.89990234375, 11.798828125, 58.796875, 23.5, 2.9, 0.0, 88.1875, 76.5, 8.798828125, 8.798828125, 2.89990234375, 0.0, 158.0, 28.0, 4.0, 1.0, 55.0, "Tous les candidats", 279.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "9240", "Licence - Lettres - Parcours Lettres - Mineure Information-Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9240&g_ta_cod=9240", 90.0, 6.0, 2.0),
(4110, "Public", "0611149T", "IUT GRAND OUEST NORMANDIE - Pôle d'Alençon", "61", "Orne", "Normandie", "Normandie", "Damigny", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle d'Alençon - BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", "BUT - Service", "Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", 56, 383, 86, 335, 0, 177, 14, 74, 12, 22, 7, 62, 48, 9, 5, 1, 33, 260, 29, 0, 0, 150, 10, 59, 10, 17, 6, 34, 210, 35, 10, 28, 7, 9.0, 28.0, 35.0, 0, 5, 23, 15, 4, 4, 12, 0, 9, 9, 4, 1, 0.0, 7, 4, 3, 0, 0, 13, 13, 25.71, 80.0, 100.0, 28.59765625, 56.5, 56.5, 0, 21.69921875, 65.6875, 0.0, 39.09375, 39.09375, 17.3984375, 4.3, 0.0, 65.1875, 30.3984375, 17.3984375, 17.3984375, 17.3984375, 13.0, 95.0, 5.0, 14.0, 5.0, 46.0, "Tous les candidats sauf les Bac technologiques", 195.0, "Bacheliers technologiques toutes séries", 64, "", 0, "Liste d'appel propre à cette formation", 77.0, "7319", "BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7319&g_ta_cod=7319", 74.0, 14.0, 11.0),
(4111, "Public", "9740082W", "Lycée professionnel Rontaunay", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée professionnel Rontaunay - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 709, 504, 694, 0, 44, 22, 197, 131, 292, 216, 161, 15, 0, 7, 0, 8, 247, 3, 0, 0, 21, 7, 77, 50, 131, 101, 18, 72, 27, 21, 26, 0, 10.0, 21.0, 23.0, 0, 19, 23, 2, 8, 13, 4, 0, 2, 9, 9, 3, 0.0, 1, 7, 13, 10, 9, 23, 23, 37.04, 77.78, 85.19, 77.796875, 100.0, 100.0, 43.5, 82.59375, 85.1875, 0.0, 8.69921875, 39.09375, 39.09375, 13.0, 0.0, 8.69921875, 4.2998046875, 34.796875, 30.3984375, 56.5, 56.5, 5.0, 3.0, 30.0, 25.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 12.0, "11908", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11908&g_ta_cod=11908", 11.0, 41.0, 48.0),
(4112, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues étrangères appliquées - Parcours Affaires Economiques Internationales, Commerce International, Communication Internationale", "Licence - Arts-lettres-langues", "Affaires Economiques Internationales, Commerce International, Communication Internationale", 675, 4214, 2926, 4214, 0, 2626, 682, 419, 156, 137, 70, 1032, 0, 0, 0, 0, 0, 4177, 0, 0, 0, 2626, 682, 419, 156, 137, 70, 995, 2113, 670, 457, 670, 0, 148.0, 541.0, 606.0, 0, 162, 478, 400, 59, 19, 192, 4, 146, 216, 98, 13, 1.0, 287, 28, 13, 0, 0, 366, 366, 22.09, 80.75, 90.45, 68.1875, 76.59375, 76.59375, 0, 33.8984375, 71.296875, 0.7999267578125, 30.5, 45.1953125, 20.5, 2.7, 0.2, 83.6875, 60.0, 12.298828125, 5.8994140625, 4.0, 2.69970703125, 1422.0, 391.0, 35.0, 18.0, 511.0, "Tous les candidats", 2463.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "4155", "Licence - Langues étrangères appliquées - Parcours Affaires Economiques Internationales, Commerce International, Communication Internationale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4155&g_ta_cod=4155", 82.0, 13.0, 5.0),
(4113, "Public", "0750685M", "Lycée Pierre-Gilles de Gennes - ENCPB", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Pierre-Gilles de Gennes - ENCPB - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 90, 1690, 1336, 1690, 0, 281, 87, 628, 278, 21, 8, 760, 0, 0, 0, 0, 0, 573, 0, 0, 0, 160, 48, 193, 78, 1, 0, 219, 382, 94, 73, 94, 0, 49.0, 62.0, 77.0, 0, 28, 63, 30, 33, 0, 31, 0, 17, 34, 10, 2, 0.0, 18, 28, 0, 0, 0, 15, 61, 52.13, 65.96, 81.91, 77.6875, 23.796875, 96.796875, 0, 44.3984375, 67.0, 0.0, 27.0, 54.0, 15.8984375, 3.2, 0.0, 47.59375, 28.59765625, 52.3984375, 44.3984375, 0.0, 0.0, 125.0, 39.0, 1.0, 0.0, 139.0, "Tous les candidats", 398.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "9085", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9085&g_ta_cod=9085", 64.0, 36.0, 0.0),
(4114, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 65, 383, 167, 341, 0, 214, 46, 26, 12, 15, 6, 86, 42, 7, 2, 9, 24, 334, 37, 0, 0, 214, 46, 26, 12, 15, 6, 79, 304, 63, 20, 45, 18, 6.0, 45.0, 50.0, 0, 13, 39, 26, 5, 8, 24, 0, 24, 12, 3, 0, 0.0, 13, 1, 1, 0, 0, 30, 30, 9.52, 71.43, 79.37, 31.69921875, 76.890625, 76.890625, 0, 33.296875, 61.8984375, 0.0, 61.5, 30.796875, 7.69921875, 0.0, 0.0, 66.6875, 33.296875, 12.798828125, 2.599609375, 20.5, 2.599609375, 194.0, 40.0, 19.0, 9.0, 73.0, "Tous les candidats", 334.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "5349", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5349&g_ta_cod=5349", 54.0, 22.0, 24.0),
(4115, "Public", "9740002J", "Lycée Roland Garros", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation sélective", "BTS", "Lycée Roland Garros - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 167, 9, 166, 0, 18, 9, 57, 25, 67, 49, 24, 1, 0, 1, 0, 0, 108, 0, 0, 0, 18, 9, 38, 17, 46, 35, 6, 61, 15, 0, 15, 0, 2.0, 14.0, 15.0, 0, 9, 14, 2, 5, 7, 1, 0, 6, 6, 2, 0, 0.0, 1, 1, 6, 1, 0, 14, 14, 13.33, 93.33, 100.0, 0.0, 100.0, 100.0, 7.099609375, 64.296875, 93.296875, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 14.298828125, 7.099609375, 35.6953125, 7.099609375, 50.0, 42.8984375, 11.0, 7.0, 22.0, 16.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 54.0, "11889", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11889&g_ta_cod=11889", 13.0, 40.0, 47.0),
(4116, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand Etudes germaniques - Mineure Information-Communication", "Licence - Arts-lettres-langues", "Allemand Etudes germaniques - Mineure Information-Communication", 25, 118, 72, 66, 0, 29, 8, 2, 2, 1, 0, 34, 52, 12, 4, 4, 32, 63, 47, 0, 0, 29, 8, 2, 2, 1, 0, 31, 101, 24, 12, 10, 14, 3.0, 10.0, 20.0, 0, 0, 8, 6, 1, 1, 16, 0, 4, 2, 2, 0, 0.0, 3, 0, 1, 0, 0, 1, 4, 12.5, 41.67, 83.33, 50.0, 12.5, 50.0, 0, 0.0, 33.296875, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 75.0, 37.5, 12.5, 0.0, 12.5, 12.5, 40.0, 11.0, 5.0, 1.0, 51.0, "Tous les candidats", 63.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "9244", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand Etudes germaniques - Mineure Information-Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9244&g_ta_cod=9244", 67.0, 17.0, 17.0),
(4117, "Public", "0280925D", "Lycée professionnel Gilbert Courtois", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Dreux", "formation sélective", "BTS", "Lycée professionnel Gilbert Courtois - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 27, 447, 422, 417, 0, 64, 18, 118, 27, 98, 30, 137, 30, 9, 0, 0, 21, 262, 3, 0, 0, 38, 7, 90, 14, 83, 23, 51, 126, 18, 18, 17, 1, 2.0, 13.0, 16.0, 0, 6, 13, 2, 6, 5, 5, 0, 5, 6, 2, 0, 0.0, 0, 4, 4, 1, 1, 8, 8, 11.11, 72.22, 88.89, 100.0, 61.5, 61.5, 7.69921875, 46.1953125, 72.1875, 0.0, 38.5, 46.1953125, 15.3984375, 0.0, 0.0, 15.3984375, 0.0, 46.1953125, 30.796875, 38.5, 30.796875, 28.0, 5.0, 27.0, 9.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 41.0, "16029", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16029&g_ta_cod=16029", 17.0, 50.0, 33.0),
(4118, "Public", "0111043Z", "Université de Montpellier, Antenne de Carcassonne", "11", "Aude", "Occitanie", "Montpellier", "Carcassonne", "formation non sélective", "Licence", "Université de Montpellier, Antenne de Carcassonne - Licence - Sciences et technologies - Parcours Métiers de l'enseignement, de l'éducation et de la formation (Faculté d'éducation)", "Licence - Sciences - technologies - santé", "Métiers de l'enseignement, de l'éducation et de la formation (Faculté d'éducation)", 39, 367, 293, 360, 0, 207, 47, 38, 8, 5, 0, 110, 7, 1, 0, 1, 5, 360, 5, 0, 0, 207, 47, 38, 8, 5, 0, 110, 208, 36, 27, 34, 2, 3.0, 27.0, 32.0, 0, 3, 27, 21, 6, 0, 9, 0, 9, 9, 8, 1, 0.0, 12, 6, 0, 0, 0, 14, 14, 8.33, 75.0, 88.89, 75.0, 51.8984375, 51.8984375, 0, 11.099609375, 75.0, 0.0, 33.296875, 33.296875, 29.59765625, 3.7, 0.0, 77.796875, 44.3984375, 22.19921875, 22.19921875, 0.0, 0.0, 129.0, 34.0, 0.0, 0.0, 63.0, "Tous les candidats", 322.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "20853", "Licence - Sciences et technologies - Parcours Métiers de l'enseignement, de l'éducation et de la formation (Faculté d'éducation)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20853&g_ta_cod=20853", 72.0, 25.0, 0.0),
(4119, "Public", "0133516B", "Aix Marseille Université - Site d'Aix-en-Provence (Montperrin)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix-Marseille Université - Portail Louis Pasteur - Licence - Portail Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales", "Licence - Sciences - technologies - santé", "Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales - site d'Aix-en-Provence", 175, 3702, 2539, 3702, 0, 2164, 424, 218, 69, 15, 10, 1305, 0, 0, 0, 0, 0, 3662, 0, 0, 0, 2164, 424, 218, 69, 15, 10, 1265, 2025, 162, 111, 161, 0, 34.0, 94.0, 131.0, 0, 24, 116, 112, 4, 0, 46, 0, 17, 52, 39, 8, 0.0, 95, 4, 0, 0, 0, 89, 89, 20.99, 58.02, 80.86, 68.5, 76.6875, 76.6875, 0, 20.69921875, 71.59375, 0.0, 14.69921875, 44.796875, 33.59375, 6.9, 0.0, 96.59375, 81.890625, 3.39990234375, 3.39990234375, 0.0, 0.0, 1272.0, 252.0, 0.0, 0.0, 710.0, "Tous les candidats", 4254.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 71.0, "12593", "Licence - Portail Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12615&g_ta_cod=12593", 96.0, 3.0, 0.0),
(4120, "Privé enseignement supérieur", "0922296W", "Strate - Ecole de design", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sèvres", "formation sélective", "Autre formation", "Strate - Ecole de design - Formation des écoles supérieure d'art Bac + 5 - Designer", "Formation des écoles supérieure d'art", "Designer", 130, 653, 351, 538, 0, 340, 19, 74, 9, 11, 1, 113, 115, 37, 13, 8, 57, 301, 30, 0, 0, 204, 7, 40, 3, 3, 0, 54, 303, 127, 69, 115, 12, 65.0, 115.0, 122.0, 0, 4, 95, 69, 24, 2, 32, 0, 18, 54, 20, 3, 0.0, 55, 20, 2, 0, 0, 46, 74, 51.18, 90.55, 96.06, 54.296875, 48.3984375, 77.890625, 0, 4.19921875, 74.796875, 0.0, 18.8984375, 56.796875, 21.09765625, 3.2, 0.0, 72.59375, 57.8984375, 25.296875, 21.09765625, 2.099609375, 2.099609375, 191.0, 9.0, 4.0, 0.0, 70.0, "Tous les candidats", 300.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "26224", "Formation des écoles supérieure d'art Bac + 5 - Designer", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26224&g_ta_cod=26224", 72.0, 23.0, 3.0),
(4121, "Public", "0693619J", "Lycée Robert Doisneau", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Vaulx-en-Velin", "formation sélective", "BTS", "Lycée Robert Doisneau - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 32, 611, 180, 604, 0, 41, 14, 266, 101, 153, 76, 144, 7, 0, 0, 6, 1, 377, 3, 0, 0, 32, 13, 166, 52, 101, 47, 78, 196, 31, 10, 27, 3, 3.0, 16.0, 24.0, 0, 11, 21, 0, 10, 11, 10, 0, 14, 7, 0, 0, 0.0, 0, 2, 5, 1, 0, 21, 21, 9.68, 51.61, 77.42, 32.296875, 100.0, 100.0, 4.7998046875, 52.3984375, 67.6875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 47.59375, 9.5, 52.3984375, 23.796875, 11.0, 5.0, 71.0, 37.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 119, "Bacheliers technologiques toutes séries", 98, "Liste d'appel propre à cette formation", 41.0, "8585", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8585&g_ta_cod=8585", 3.0, 45.0, 52.0),
(4122, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues étrangères appliquées - Parcours Allemand - Anglais", "Licence - Arts-lettres-langues", "Allemand - Anglais", 58, 336, 227, 189, 0, 118, 37, 16, 5, 1, 0, 54, 147, 19, 13, 8, 107, 189, 69, 0, 0, 118, 37, 16, 5, 1, 0, 54, 241, 51, 33, 23, 28, 3.0, 23.0, 36.0, 0, 4, 18, 13, 4, 1, 33, 0, 10, 7, 1, 0, 0.0, 7, 1, 0, 0, 0, 13, 16, 5.88, 45.1, 70.59, 64.6875, 72.1875, 88.890625, 0, 22.19921875, 35.296875, 0.0, 55.59375, 38.8984375, 5.599609375, 0.0, 0.0, 72.1875, 38.8984375, 22.19921875, 5.599609375, 5.599609375, 0.0, 117.0, 34.0, 5.0, 3.0, 97.0, "Tous les candidats", 189.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15135", "Licence - Langues étrangères appliquées - Parcours Allemand - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15135&g_ta_cod=15135", 73.0, 18.0, 6.0),
(4123, "Public", "0601863Z", "Lycée CHARLES DE GAULLE", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "BTS", "Lycée CHARLES DE GAULLE - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 830, 437, 830, 0, 65, 14, 269, 88, 260, 120, 236, 0, 0, 0, 0, 0, 830, 0, 0, 0, 65, 14, 269, 88, 260, 120, 236, 174, 30, 15, 30, 0, 1.0, 15.0, 25.0, 0, 12, 24, 0, 11, 13, 6, 0, 11, 10, 3, 0, 0.0, 0, 5, 8, 3, 2, 22, 22, 3.33, 50.0, 83.33, 50.0, 91.6875, 91.6875, 12.5, 50.0, 80.0, 0.0, 45.796875, 41.6953125, 12.5, 0.0, 0.0, 0.0, 0.0, 45.796875, 20.796875, 54.1953125, 33.296875, 7.0, 2.0, 90.0, 37.0, 23.0, "Tous les candidats sauf les Bac professionnels", 111.0, "Bacheliers professionnels toutes séries", 164, "", 0, "Liste d'appel propre à cette formation", 33.0, "7272", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7272&g_ta_cod=7272", 0.0, 37.0, 63.0),
(4124, "Public", "0681768C", "Lycée Laurent de Lavoisier", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "CPGE", "Lycée Laurent de Lavoisier - CPGE - TPC", "Classe préparatoire scientifique", "", 30, 134, 69, 130, 95, 0, 0, 120, 22, 0, 0, 10, 4, 0, 3, 0, 1, 125, 1, 95, 105, 0, 0, 120, 22, 0, 0, 5, 108, 28, 13, 28, 0, 12.0, 28.0, 28.0, 20, 3, 28, 0, 28, 0, 0, 0, 3, 7, 11, 7, 0.0, 0, 25, 0, 5, 2, 8, 8, 42.86, 100.0, 100.0, 46.3984375, 28.59765625, 28.59765625, 17.8984375, 10.69921875, 100.0, 0.0, 10.69921875, 25.0, 39.296875, 25.0, 0.0, 0.0, 0.0, 100.0, 89.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 124.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "8165", "CPGE - TPC", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8165&g_ta_cod=8165", 0.0, 100.0, 0.0),
(4125, "Public", "0440288Z", "Lycée général et technologique Albert Camus", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée général et technologique Albert Camus - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 32, 2373, 1241, 2360, 0, 333, 69, 906, 291, 591, 229, 530, 13, 3, 0, 0, 10, 749, 1, 0, 0, 113, 23, 232, 78, 311, 107, 93, 167, 29, 13, 28, 0, 3.0, 18.0, 25.0, 0, 9, 24, 4, 11, 9, 5, 0, 7, 12, 5, 0, 0.0, 2, 7, 8, 2, 0, 24, 24, 10.34, 62.07, 86.21, 44.796875, 100.0, 100.0, 8.298828125, 37.5, 82.796875, 0.0, 29.19921875, 50.0, 20.796875, 0.0, 0.0, 16.69921875, 8.298828125, 45.796875, 29.19921875, 37.5, 33.296875, 33.0, 9.0, 30.0, 13.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 181, "Liste d'appel propre à cette formation", 13.0, "5536", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5536&g_ta_cod=5536", 17.0, 45.0, 38.0),
(4126, "Public", "0150746E", "I.U.T. de Clermont-Ferrand - Antenne d'Aurillac", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "BUT", "I.U.T. de Clermont-Ferrand - Antenne d'Aurillac - BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "BUT - Production", "", 52, 1049, 509, 1040, 0, 688, 47, 137, 22, 0, 0, 215, 9, 0, 7, 0, 2, 895, 1, 0, 0, 612, 40, 117, 16, 0, 0, 166, 451, 48, 26, 47, 1, 21.0, 32.0, 40.0, 0, 4, 40, 32, 8, 0, 8, 0, 4, 19, 15, 2, 0.0, 29, 7, 0, 0, 0, 12, 12, 43.75, 66.67, 83.33, 54.1953125, 30.0, 30.0, 0, 10.0, 83.296875, 0.0, 10.0, 47.5, 37.5, 5.0, 0.0, 80.0, 72.5, 20.0, 17.5, 0.0, 0.0, 266.0, 25.0, 0.0, 0.0, 93.0, "Tous les candidats sauf les Bac technologiques", 424.0, "Bacheliers technologiques toutes séries", 133, "", 0, "Liste d'appel propre à cette formation", 54.0, "2965", "BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2965&g_ta_cod=2965", 81.0, 19.0, 0.0),
(4127, "Privé sous contrat d'association", "0594895A", "IFSI Santélys Formation", "59", "Nord", "Hauts-de-France", "Lille", "Loos", "formation sélective", "IFSI", "CLRP-IFSI SANTELYS - D.E Infirmier - Réservé aux personnes en situation de handicap", "D.E secteur sanitaire", "Réservé aux personnes en situation de handicap", 5, 19, 9, 19, 0, 3, 1, 2, 1, 1, 0, 13, 0, 0, 0, 0, 0, 9, 0, 0, 0, 2, 0, 1, 1, 0, 0, 6, 9, 5, 2, 5, 0, 5.0, 5.0, 5.0, 0, 0, 1, 1, 0, 0, 4, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 40.0, 100.0, 100.0, 0, 0.0, 20.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, 0.0, 0.0, 0.0, 6.0, "Tous les candidats", 9.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "32704", "D.E Infirmier - Réservé aux personnes en situation de handicap", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32704&g_ta_cod=32704", 40.0, 20.0, 20.0),
(4128, "Public", "0132319A", "Lycée professionnel Maurice Genevoix", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marignane", "formation sélective", "Autre formation", "Lycée professionnel Maurice Genevoix - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 66, 15, 66, 0, 6, 3, 14, 5, 29, 14, 17, 0, 0, 0, 0, 0, 60, 0, 0, 0, 6, 3, 13, 4, 27, 14, 14, 34, 15, 3, 15, 0, 7.0, 13.0, 14.0, 0, 6, 12, 2, 5, 5, 3, 0, 11, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 11, 11, 46.67, 86.67, 93.33, 20.0, 91.6875, 91.6875, 0, 50.0, 80.0, 0.0, 91.6875, 0.0, 8.298828125, 0.0, 0.0, 16.69921875, 0.0, 41.6953125, 0.0, 41.6953125, 8.298828125, 3.0, 1.0, 15.0, 7.0, 7.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "28771", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28771&g_ta_cod=28771", 20.0, 33.0, 40.0),
(4129, "Public", "0740009H", "Lycée des Glieres", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annemasse", "formation sélective", "BTS", "Lycée des Glieres - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 287, 211, 276, 0, 5, 0, 98, 40, 106, 47, 67, 11, 0, 3, 3, 5, 156, 4, 0, 0, 4, 0, 73, 25, 52, 18, 27, 123, 22, 18, 18, 4, 2.0, 17.0, 19.0, 0, 7, 18, 0, 11, 7, 4, 0, 12, 4, 2, 0, 0.0, 0, 3, 3, 7, 6, 13, 13, 9.09, 77.27, 86.36, 81.796875, 72.1875, 72.1875, 38.8984375, 38.8984375, 81.796875, 0.0, 66.6875, 22.19921875, 11.099609375, 0.0, 0.0, 0.0, 0.0, 61.09375, 16.69921875, 38.8984375, 16.69921875, 3.0, 0.0, 44.0, 19.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 53.0, "8864", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8864&g_ta_cod=8864", 5.0, 50.0, 45.0),
(4130, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours APAS - Activités physiques adaptées et santé", "Licence - Sciences - technologies - santé", "APAS - Activités physiques adaptées et santé", 80, 823, 255, 823, 0, 482, 80, 110, 27, 55, 18, 176, 0, 0, 0, 0, 0, 820, 0, 0, 0, 482, 80, 110, 27, 55, 18, 173, 396, 71, 14, 71, 0, 13.0, 49.0, 59.0, 0, 18, 58, 37, 14, 7, 13, 0, 35, 22, 1, 0, 0.0, 16, 5, 2, 0, 0, 57, 57, 18.31, 69.01, 83.1, 19.69921875, 98.296875, 98.296875, 0, 31.0, 81.6875, 0.0, 60.296875, 37.8984375, 1.699951171875, 0.0, 0.0, 63.796875, 27.59765625, 24.09765625, 8.599609375, 12.099609375, 3.39990234375, 246.0, 38.0, 29.0, 11.0, 74.0, "Tous les candidats", 422.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "22966", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours APAS - Activités physiques adaptées et santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22966&g_ta_cod=22966", 65.0, 23.0, 13.0),
(4131, "Public", "0831646N", "Lycée du Val d'Argens", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Le Muy", "formation sélective", "BTS", "Lycée du Val d'Argens - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 28, 500, 348, 468, 0, 144, 29, 103, 35, 54, 17, 167, 32, 3, 8, 0, 21, 174, 5, 0, 0, 78, 14, 19, 5, 30, 7, 47, 118, 17, 13, 13, 4, 4.0, 11.0, 14.0, 0, 4, 15, 6, 5, 4, 2, 0, 4, 7, 2, 2, 0.0, 2, 5, 4, 5, 2, 11, 11, 23.53, 64.71, 82.35, 76.5, 73.296875, 73.296875, 33.296875, 26.69921875, 88.1875, 0.0, 26.69921875, 46.6953125, 13.298828125, 13.3, 0.0, 40.0, 13.298828125, 33.296875, 33.296875, 26.69921875, 26.69921875, 52.0, 14.0, 8.0, 2.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 125.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 33.0, "10409", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10409&g_ta_cod=10409", 47.0, 29.0, 24.0),
(4132, "Public", "0141234R", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Caen", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Caen - BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques -  Mesures et analyses environnementales", "BUT - Production", "Techniques d'instrumentation - Matériaux et contrôles physico-chimiques -  Mesures et analyses environnementales", 130, 1141, 254, 1075, 0, 774, 72, 81, 16, 2, 0, 218, 66, 26, 3, 0, 37, 949, 34, 0, 0, 719, 62, 50, 7, 0, 0, 180, 722, 93, 14, 87, 6, 39.0, 87.0, 91.0, 0, 8, 72, 69, 3, 0, 21, 0, 16, 41, 12, 3, 0.0, 53, 3, 0, 0, 0, 61, 61, 41.94, 93.55, 97.85, 15.099609375, 84.6875, 84.6875, 0, 11.099609375, 77.390625, 0.0, 22.19921875, 56.8984375, 16.69921875, 4.2, 0.0, 95.796875, 73.59375, 4.19921875, 4.19921875, 0.0, 0.0, 496.0, 49.0, 0.0, 0.0, 176.0, "Tous les candidats sauf les Bac technologiques", 887.0, "Bacheliers technologiques toutes séries", 59, "", 0, "Liste d'appel propre à cette formation", 88.0, "2852", "BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques -  Mesures et analyses environnementales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2852&g_ta_cod=2852", 97.0, 3.0, 0.0),
(4133, "Public", "0022017G", "Institut de Formation en Soins Infirmiers - PRÉMONTRÉ", "02", "Aisne", "Hauts-de-France", "Amiens", "Prémontré", "formation sélective", "IFSI", "Regroupement d'IFSI Université Amiens - D.E Infirmier", "D.E secteur sanitaire", "", 52, 2131, 1761, 2131, 0, 337, 71, 360, 118, 286, 110, 1148, 0, 0, 0, 0, 0, 1426, 0, 0, 0, 279, 57, 258, 80, 212, 73, 677, 744, 50, 49, 50, 0, 0.0, 11.0, 35.0, 0, 6, 24, 4, 10, 10, 26, 0, 4, 16, 4, 0, 0.0, 4, 7, 9, 0, 0, 20, 20, 0.0, 22.0, 70.0, 98.0, 83.296875, 83.296875, 0, 25.0, 48.0, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 16.69921875, 16.69921875, 41.6953125, 29.19921875, 41.6953125, 37.5, 148.0, 30.0, 133.0, 53.0, 335.0, "Tous les candidats", 2931.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 48.0, "23076", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23008&g_ta_cod=23076", 30.0, 36.0, 34.0),
(4134, "Public", "0596610P", "Polytech Lille", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 25, 3747, 1663, 3747, 0, 3099, 298, 0, 0, 0, 0, 648, 0, 0, 0, 0, 0, 2358, 0, 0, 0, 2150, 148, 0, 0, 0, 0, 208, 615, 23, 15, 23, 0, 7.0, 14.0, 22.0, 0, 3, 21, 21, 0, 0, 2, 0, 0, 0, 6, 11, 4.0, 21, 0, 0, 0, 0, 9, 9, 30.43, 60.87, 95.65, 65.1875, 42.8984375, 42.8984375, 0, 14.298828125, 91.296875, 0.0, 0.0, 0.0, 28.59765625, 52.4, 19.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 592.0, 52.0, 0.0, 0.0, 23.0, "Autres candidats", 6771.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "26", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=26", 100.0, 0.0, 0.0),
(4135, "Public", "0620042J", "Lycée Andre Malraux", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "BTS", "Lycée Andre Malraux - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 169, 10, 164, 0, 12, 2, 46, 10, 47, 18, 59, 5, 0, 0, 4, 1, 142, 3, 0, 0, 12, 2, 46, 10, 29, 9, 55, 54, 15, 1, 14, 1, 1.0, 14.0, 14.0, 0, 2, 12, 1, 4, 7, 3, 0, 4, 4, 4, 0, 0.0, 0, 1, 7, 2, 0, 12, 12, 6.67, 93.33, 93.33, 6.69921875, 100.0, 100.0, 16.69921875, 16.69921875, 80.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 8.298828125, 0.0, 33.296875, 8.298828125, 58.296875, 58.296875, 8.0, 2.0, 26.0, 7.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 42.0, "7342", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7342&g_ta_cod=7342", 20.0, 33.0, 47.0),
(4136, "Privé enseignement supérieur", "0352349N", "Institut Catholique de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Bruz", "formation sélective", "Licence", "Institut Catholique de Rennes - Licence - Histoire - Parcours Histoire Science Politique", "Licence - Sciences humaines et sociales", "Histoire Science Politique", 210, 279, 124, 214, 0, 202, 16, 1, 0, 0, 0, 11, 65, 45, 1, 0, 19, 203, 27, 0, 0, 194, 14, 1, 0, 0, 0, 8, 230, 91, 38, 78, 13, 78.0, 78.0, 89.0, 0, 6, 86, 85, 1, 0, 5, 0, 8, 48, 26, 4, 0.0, 77, 1, 0, 0, 0, 45, 45, 85.71, 85.71, 97.8, 41.796875, 52.296875, 52.296875, 0, 7.0, 94.5, 0.0, 9.298828125, 55.796875, 30.19921875, 4.7, 0.0, 98.796875, 89.5, 1.199951171875, 1.199951171875, 0.0, 0.0, 217.0, 14.0, 0.0, 0.0, 12.0, "Tous les candidats", 203.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "13720", "Licence - Histoire - Parcours Histoire Science Politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13720&g_ta_cod=13720", 99.0, 1.0, 0.0),
(4137, "Privé sous contrat d'association", "0134249Y", "MAISON FAMILIALE RURALE DE ROUSSET", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Rousset", "formation sélective", "BTS", "MAISON FAMILIALE RURALE DE ROUSSET - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 24, 20, 7, 18, 0, 1, 1, 7, 1, 6, 2, 4, 2, 0, 1, 0, 1, 18, 0, 0, 0, 1, 1, 7, 1, 6, 2, 4, 21, 5, 3, 5, 0, 5.0, 5.0, 5.0, 0, 1, 2, 0, 1, 1, 3, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 60.0, 50.0, 50.0, 0, 50.0, 40.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 1.0, 1.0, 7.0, 2.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers technologiques toutes séries", 8, "Bacheliers professionnels toutes séries", 6, "Liste d'appel propre à cette formation", 100.0, "32753", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32753&g_ta_cod=32753", 40.0, 20.0, 40.0),
(4138, "Public", "0271585B", "Lycée Jean Moulin", "27", "Eure", "Normandie", "Normandie", "Les Andelys", "formation sélective", "BTS", "Lycée Jean Moulin - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 105, 8, 103, 0, 4, 1, 17, 4, 48, 17, 34, 2, 0, 0, 2, 0, 74, 0, 0, 0, 2, 0, 16, 3, 47, 17, 9, 51, 6, 0, 6, 0, 1.0, 5.0, 6.0, 0, 0, 4, 0, 2, 2, 2, 0, 1, 1, 1, 1, 0.0, 0, 2, 1, 2, 0, 4, 4, 16.67, 83.33, 100.0, 0.0, 100.0, 100.0, 50, 0.0, 66.6875, 0.0, 25.0, 25.0, 25.0, 25.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 25.0, 2.0, 0.0, 28.0, 7.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 60.0, "3712", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3712&g_ta_cod=3712", 0.0, 67.0, 33.0),
(4139, "Public", "0762735K", "Lycée professionnel maritime Anita Conti", "76", "Seine-Maritime", "Normandie", "Normandie", "Fécamp", "formation sélective", "BTS", "Lycée professionnel maritime Anita Conti - BTS - Maritime - Maintenance des systèmes électro-navals", "BTS - Maritime", "", 16, 58, 0, 58, 0, 0, 0, 0, 0, 38, 3, 20, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 0, 0, 0, 35, 3, 15, 29, 16, 0, 16, 0, 8.0, 14.0, 15.0, 0, 2, 9, 0, 0, 9, 7, 1, 1, 5, 2, 0, 0.0, 0, 0, 7, 0, 0, 1, 1, 50.0, 87.5, 93.75, 0.0, 11.099609375, 11.099609375, 0, 22.19921875, 56.296875, 11.099609375, 11.099609375, 55.59375, 22.19921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 77.796875, 0.0, 0.0, 16.0, 2.0, 13.0, "Tous les candidats sauf les Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 64.0, "24402", "BTS - Maritime - Maintenance des systèmes électro-navals", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24402&g_ta_cod=24402", 13.0, 0.0, 88.0),
(4140, "Public", "0750676C", "Lycée des Métiers Dorian", "75", "Paris", "Ile-de-France", "Paris", "Paris 11e  Arrondissement", "formation sélective", "BTS", "Lycée des Métiers Dorian - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "BTS - Production", "", 24, 584, 106, 399, 0, 51, 8, 94, 26, 101, 31, 153, 185, 22, 52, 22, 89, 134, 14, 0, 0, 21, 1, 30, 8, 66, 16, 17, 104, 19, 2, 11, 8, 5.0, 9.0, 12.0, 0, 2, 12, 2, 4, 6, 7, 0, 4, 4, 3, 1, 0.0, 2, 3, 3, 2, 0, 5, 11, 26.32, 47.37, 63.16, 10.5, 41.6953125, 91.6875, 16.69921875, 16.69921875, 63.1953125, 0.0, 33.296875, 33.296875, 25.0, 8.3, 0.0, 16.69921875, 16.69921875, 33.296875, 25.0, 50.0, 25.0, 18.0, 1.0, 44.0, 14.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 33.0, "9028", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9028&g_ta_cod=9028", 21.0, 42.0, 37.0),
(4141, "Privé sous contrat d'association", "0383208F", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Corenc", "formation sélective", "BTS", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 30, 217, 199, 208, 0, 19, 2, 54, 10, 83, 25, 52, 9, 1, 4, 0, 4, 165, 1, 0, 0, 17, 1, 53, 10, 68, 20, 27, 125, 22, 21, 21, 1, 5.0, 17.0, 20.0, 0, 4, 15, 1, 3, 11, 7, 0, 6, 5, 2, 2, 0.0, 0, 1, 8, 0, 0, 13, 13, 22.73, 77.27, 90.91, 95.5, 86.6875, 86.6875, 0, 26.69921875, 68.1875, 0.0, 40.0, 33.296875, 13.298828125, 13.3, 0.0, 6.69921875, 0.0, 20.0, 6.69921875, 73.296875, 53.296875, 12.0, 0.0, 46.0, 15.0, 23.0, "Tous les candidats sauf les Bac professionnels", 82.0, "Bacheliers professionnels toutes séries", 61, "", 0, "Liste d'appel propre à cette formation", 69.0, "5094", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5094&g_ta_cod=5094", 27.0, 18.0, 55.0),
(4142, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "PASS", "Université Toulouse 3 Paul Sabatier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Géographie, Aménagement et Environnement", 35, 1387, 887, 1387, 0, 982, 148, 30, 11, 8, 4, 367, 0, 0, 0, 0, 0, 1387, 0, 0, 0, 982, 148, 30, 11, 8, 4, 367, 357, 35, 27, 35, 0, 0.0, 8.0, 32.0, 0, 3, 31, 30, 1, 0, 4, 0, 1, 15, 14, 1, 0.0, 29, 1, 0, 0, 0, 28, 28, 0.0, 22.86, 91.43, 77.09375, 90.296875, 90.296875, 0, 9.69921875, 88.59375, 0.0, 3.19970703125, 48.3984375, 45.1953125, 3.2, 0.0, 96.796875, 93.5, 3.19970703125, 3.19970703125, 0.0, 0.0, 334.0, 44.0, 1.0, 1.0, 20.0, "Tous les candidats", 3635.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "29847", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29840&g_ta_cod=29847", 97.0, 3.0, 0.0),
(4143, "Public", "0592610S", "Lycée professionnel Pierre-Joseph Laurent", "59", "Nord", "Hauts-de-France", "Lille", "Aniche", "formation sélective", "BTS", "Lycée professionnel Pierre-Joseph Laurent - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 15, 267, 246, 267, 0, 16, 8, 72, 35, 105, 54, 74, 0, 0, 0, 0, 0, 257, 0, 0, 0, 16, 8, 72, 35, 105, 54, 64, 63, 18, 17, 18, 0, 4.0, 14.0, 17.0, 0, 13, 17, 3, 6, 8, 1, 0, 5, 9, 3, 0, 0.0, 1, 3, 8, 7, 6, 17, 17, 22.22, 77.78, 94.44, 94.390625, 100.0, 100.0, 41.1953125, 76.5, 94.390625, 0.0, 29.3984375, 52.8984375, 17.59765625, 0.0, 0.0, 17.59765625, 5.8994140625, 35.296875, 17.59765625, 47.09375, 47.09375, 6.0, 4.0, 28.0, 15.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers technologiques toutes séries", 40, "Bacheliers professionnels toutes séries", 40, "Liste d'appel propre à cette formation", 36.0, "33250", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33250&g_ta_cod=33250", 22.0, 33.0, 44.0),
(4144, "Privé sous contrat d'association", "0441972E", "MFR de Carquefou", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Carquefou", "formation sélective", "BTS", "MFR de Carquefou - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 10, 63, 32, 63, 0, 11, 2, 8, 1, 32, 10, 12, 0, 0, 0, 0, 0, 21, 0, 0, 0, 2, 0, 2, 0, 17, 7, 0, 19, 3, 0, 3, 0, 2.0, 3.0, 3.0, 0, 1, 3, 0, 1, 2, 0, 0, 1, 2, 0, 0, 0.0, 0, 0, 2, 1, 0, 2, 2, 66.67, 100.0, 100.0, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 100.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 66.6875, 2.0, 0.0, 15.0, 7.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 2, "Liste d'appel propre à cette formation", 33.0, "5601", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5601&g_ta_cod=5601", 0.0, 33.0, 67.0),
(4145, "Privé sous contrat d'association", "0381678T", "Lycée Robin", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vienne", "formation sélective", "BTS", "Lycée Robin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 326, 149, 326, 0, 50, 9, 110, 25, 94, 29, 72, 0, 0, 0, 0, 0, 287, 0, 0, 0, 50, 9, 100, 21, 90, 27, 47, 114, 24, 10, 24, 0, 5.0, 22.0, 22.0, 0, 7, 22, 6, 6, 10, 2, 0, 11, 6, 4, 1, 0.0, 2, 1, 8, 3, 2, 20, 20, 20.83, 91.67, 91.67, 41.6953125, 90.890625, 90.890625, 13.599609375, 31.796875, 91.6875, 0.0, 50.0, 27.296875, 18.19921875, 4.5, 0.0, 27.296875, 9.099609375, 27.296875, 4.5, 45.5, 36.3984375, 20.0, 6.0, 35.0, 8.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 43.0, "4984", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4984&g_ta_cod=4984", 29.0, 29.0, 42.0),
(4146, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 270, 1308, 982, 1129, 0, 827, 226, 68, 26, 37, 25, 197, 179, 21, 11, 13, 134, 1125, 165, 0, 0, 826, 226, 68, 26, 37, 25, 194, 1021, 235, 168, 185, 50, 36.0, 184.0, 213.0, 0, 57, 167, 135, 14, 18, 68, 1, 47, 66, 40, 13, 0.0, 100, 7, 12, 0, 0, 140, 140, 15.32, 78.3, 90.64, 71.5, 83.796875, 83.796875, 0, 34.09375, 71.09375, 0.5999755859375, 28.09765625, 39.5, 24.0, 7.8, 0.0, 80.796875, 59.8984375, 8.3984375, 4.19921875, 10.798828125, 7.19921875, 629.0, 169.0, 47.0, 29.0, 276.0, "Tous les candidats", 1127.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6338", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6338&g_ta_cod=6338", 78.0, 10.0, 11.0),
(4147, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "Autre formation", "Avignon Université - C.M.I - Cursus Master en Ingénierie - Histoire - Cursus Master en Ingénierie (CMI) :  Ingénierie en Histoire et Multimédia", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) :  Ingénierie en Histoire et Multimédia", 20, 69, 21, 50, 0, 34, 2, 10, 1, 0, 0, 6, 19, 4, 2, 2, 11, 28, 3, 0, 0, 25, 2, 0, 0, 0, 0, 3, 28, 13, 3, 12, 1, 9.0, 12.0, 13.0, 0, 1, 12, 12, 0, 0, 1, 0, 2, 5, 3, 2, 0.0, 10, 0, 0, 0, 0, 4, 4, 69.23, 92.31, 100.0, 23.09765625, 33.296875, 33.296875, 0, 8.298828125, 92.296875, 0.0, 16.69921875, 41.6953125, 25.0, 16.7, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 25.0, 2.0, 0.0, 0.0, 3.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "21198", "C.M.I - Cursus Master en Ingénierie - Histoire - Cursus Master en Ingénierie (CMI) :  Ingénierie en Histoire et Multimédia", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21198&g_ta_cod=21198", 100.0, 0.0, 0.0),
(4148, "Public", "0912414E", "Ecole Universitaire de premier cycle - Campus d'Evry Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "Autre formation", "Ecole Universitaire de premier cycle - Campus d'Evry Université Paris-Saclay - DEUST - Animation et gestion des activités physiques, sportives ou culturelles", "DEUST", "", 50, 691, 153, 691, 0, 240, 34, 169, 23, 89, 24, 193, 0, 0, 0, 0, 0, 491, 0, 0, 0, 213, 29, 114, 12, 50, 13, 114, 180, 50, 14, 50, 0, 4.0, 38.0, 44.0, 0, 3, 47, 21, 19, 7, 3, 1, 21, 20, 5, 0, 0.0, 8, 12, 5, 0, 0, 26, 45, 8.0, 76.0, 88.0, 28.0, 55.296875, 95.6875, 0, 6.3994140625, 94.0, 2.099609375, 44.6953125, 42.59375, 10.599609375, 0.0, 0.0, 44.6953125, 17.0, 40.3984375, 25.5, 14.8984375, 10.599609375, 107.0, 11.0, 14.0, 3.0, 12.0, "Tous les candidats", 217.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "10943", "DEUST - Animation et gestion des activités physiques, sportives ou culturelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10943&g_ta_cod=10943", 46.0, 38.0, 16.0),
(4149, "Privé sous contrat d'association", "0753873C", "Lycée Fénelon Sainte-Marie", "75", "Paris", "Ile-de-France", "Paris", "Paris  8e  Arrondissement", "formation sélective", "CPGE", "Lycée Fénelon Sainte-Marie - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 2194, 576, 2194, 0, 2015, 190, 1, 1, 0, 0, 178, 0, 0, 0, 0, 0, 1355, 0, 0, 1355, 1352, 98, 0, 0, 0, 0, 3, 423, 47, 14, 47, 0, 0.0, 22.0, 37.0, 0, 4, 47, 47, 0, 0, 0, 0, 0, 2, 30, 14, 1.0, 47, 0, 0, 1, 1, 18, 42, 0.0, 46.81, 78.72, 29.796875, 38.296875, 89.390625, 2.099609375, 8.5, 100.0, 0.0, 0.0, 4.2998046875, 63.796875, 29.8, 2.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 423.0, 30.0, 0.0, 0.0, 0.0, "Tous les candidats", 585.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "9474", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9474&g_ta_cod=9474", 100.0, 0.0, 0.0),
(4150, "Public", "0240005A", "Lycée Maine De Biran", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Bergerac", "formation sélective", "BTS", "Lycée Maine De Biran - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 389, 180, 386, 0, 30, 5, 142, 45, 150, 65, 64, 3, 0, 1, 0, 2, 333, 1, 0, 0, 30, 5, 129, 39, 132, 54, 42, 191, 25, 10, 25, 0, 2.0, 19.0, 20.0, 0, 11, 23, 3, 7, 13, 2, 1, 11, 7, 3, 1, 0.0, 2, 3, 6, 6, 2, 21, 21, 8.0, 76.0, 80.0, 40.0, 91.296875, 91.296875, 26.09765625, 47.796875, 92.0, 4.2998046875, 47.796875, 30.3984375, 13.0, 4.3, 0.0, 13.0, 8.69921875, 30.3984375, 13.0, 56.5, 26.09765625, 13.0, 5.0, 88.0, 34.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 114, "Bacheliers technologiques toutes séries", 92, "Liste d'appel propre à cette formation", 57.0, "3414", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3414&g_ta_cod=3414", 16.0, 32.0, 52.0),
(4151, "Public", "0271666P", "I.U.T d'Evreux", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BUT", "I.U.T d'Evreux - BUT - Génie biologique parcours biologie médicale et biotechnologie", "BUT - Production", "", 28, 1228, 827, 1228, 0, 713, 92, 219, 54, 4, 1, 292, 0, 0, 0, 0, 0, 745, 0, 0, 0, 499, 62, 141, 32, 0, 0, 105, 118, 27, 21, 27, 0, 2.0, 22.0, 26.0, 0, 4, 26, 14, 12, 0, 1, 0, 2, 8, 15, 1, 0.0, 14, 10, 0, 0, 0, 18, 18, 7.41, 81.48, 96.3, 77.796875, 69.1875, 69.1875, 0, 15.3984375, 96.296875, 0.0, 7.69921875, 30.796875, 57.6953125, 3.8, 0.0, 53.796875, 53.796875, 46.1953125, 38.5, 0.0, 0.0, 70.0, 12.0, 0.0, 0.0, 10.0, "Tous les candidats sauf les Bac technologiques", 138.0, "Bacheliers technologiques toutes séries", 69, "", 0, "Liste d'appel propre à cette formation", 17.0, "3719", "BUT - Génie biologique parcours biologie médicale et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3719&g_ta_cod=3719", 56.0, 44.0, 0.0),
(4152, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Musicologie - Parcours MUSIQUE ET MUSICOLOGIE", "Licence - Arts-lettres-langues", "MUSIQUE ET MUSICOLOGIE", 230, 803, 402, 673, 0, 411, 49, 51, 12, 11, 5, 200, 130, 25, 5, 3, 97, 436, 39, 0, 0, 285, 33, 35, 6, 2, 1, 114, 450, 222, 104, 192, 30, 119.0, 191.0, 210.0, 0, 19, 143, 127, 15, 1, 79, 1, 29, 54, 44, 14, 1.0, 100, 12, 1, 0, 0, 50, 94, 53.6, 86.04, 94.59, 46.796875, 35.0, 65.6875, 0, 13.298828125, 64.390625, 0.699951171875, 20.296875, 37.796875, 30.796875, 9.8, 0.7, 88.796875, 69.890625, 10.5, 8.3984375, 0.699951171875, 0.699951171875, 280.0, 33.0, 2.0, 1.0, 135.0, "Tous les candidats", 436.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "9273", "Licence - Musicologie - Parcours MUSIQUE ET MUSICOLOGIE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9273&g_ta_cod=9273", 86.0, 11.0, 2.0),
(4153, "Public", "0310036W", "Lycée Pierre De Fermat", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Pierre De Fermat - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 5049, 1545, 5049, 4134, 4376, 391, 3, 2, 0, 0, 670, 0, 0, 0, 0, 0, 4764, 0, 4134, 3886, 4267, 371, 2, 1, 0, 0, 495, 255, 95, 29, 95, 0, 31.0, 74.0, 92.0, 41, 8, 94, 94, 0, 0, 1, 0, 0, 0, 1, 31, 62.0, 94, 0, 0, 3, 0, 57, 57, 32.63, 77.89, 96.84, 30.5, 60.59375, 60.59375, 3.19970703125, 8.5, 98.890625, 0.0, 0.0, 0.0, 1.099853515625, 33.0, 66.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 246.0, 23.0, 0.0, 0.0, 9.0, "Tous les candidats", 328.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "4036", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4036&g_ta_cod=4036", 100.0, 0.0, 0.0),
(4154, "Public", "0080008R", "Lycée François Bazin", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BTS", "Lycée François Bazin - BTS - Production - Maintenance des systèmes - option C Systèmes éoliens", "BTS - Production", "", 12, 137, 4, 137, 0, 16, 2, 32, 9, 49, 18, 40, 0, 0, 0, 0, 0, 122, 0, 0, 0, 16, 2, 32, 9, 49, 18, 25, 52, 12, 0, 12, 0, 1.0, 11.0, 11.0, 0, 4, 10, 1, 4, 5, 2, 0, 4, 4, 2, 0, 0.0, 1, 2, 3, 1, 0, 8, 8, 8.33, 91.67, 91.67, 0.0, 80.0, 80.0, 10, 40.0, 83.296875, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 10.0, 10.0, 40.0, 20.0, 50.0, 30.0, 6.0, 2.0, 27.0, 13.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 57.0, "17750", "BTS - Production - Maintenance des systèmes - option C Systèmes éoliens", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17750&g_ta_cod=17750", 17.0, 33.0, 50.0),
(4155, "Privé sous contrat d'association", "0570311D", "Lycée De La Salle", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée De La Salle - BTS - Services - Commerce International", "BTS - Services", "", 35, 469, 251, 466, 0, 176, 29, 99, 29, 41, 16, 150, 3, 0, 0, 2, 1, 358, 0, 0, 0, 159, 25, 75, 21, 28, 9, 96, 146, 34, 13, 34, 0, 3.0, 28.0, 31.0, 0, 4, 27, 15, 9, 3, 7, 0, 15, 7, 4, 1, 0.0, 6, 3, 3, 2, 1, 25, 25, 8.82, 82.35, 91.18, 38.1953125, 92.59375, 92.59375, 7.3994140625, 14.798828125, 79.390625, 0.0, 55.59375, 25.8984375, 14.798828125, 3.7, 0.0, 55.59375, 22.19921875, 33.296875, 11.099609375, 11.099609375, 11.099609375, 85.0, 13.0, 13.0, 5.0, 24.0, "Tous les candidats sauf les Bac professionnels", 210.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 49.0, "6584", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6584&g_ta_cod=6584", 62.0, 29.0, 9.0),
(4156, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Sciences du langage - Parcours Sciences du langage - Mineures Humanités (Lettres OU Didactique du français langue étrangère OU Anglais) (à distance ENEAD)", "Licence - Sciences humaines et sociales", "Sciences du langage - Mineures Humanités (Lettres OU Didactique du français langue étrangère OU Anglais) (à distance ENEAD)", 45, 297, 241, 297, 0, 75, 15, 12, 3, 3, 1, 207, 0, 0, 0, 0, 0, 293, 0, 0, 0, 75, 15, 12, 3, 3, 1, 203, 142, 45, 34, 45, 0, 27.0, 41.0, 43.0, 0, 6, 14, 11, 3, 0, 31, 0, 1, 5, 6, 2, 0.0, 10, 3, 0, 0, 0, 1, 3, 60.0, 91.11, 95.56, 75.59375, 7.099609375, 21.3984375, 0, 42.8984375, 31.09765625, 0.0, 7.099609375, 35.6953125, 42.8984375, 14.3, 0.0, 78.59375, 71.390625, 21.3984375, 21.3984375, 0.0, 0.0, 45.0, 9.0, 2.0, 1.0, 91.0, "Tous les candidats", 176.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "24141", "Licence - Sciences du langage - Parcours Sciences du langage - Mineures Humanités (Lettres OU Didactique du français langue étrangère OU Anglais) (à distance ENEAD)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24141&g_ta_cod=24141", 73.0, 11.0, 2.0),
(4157, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Sciences de l'éducation - Parcours Licence Sciences de l'Education Option Sciences Sociales", "Licence - Sciences humaines et sociales", "Licence Sciences de l'Education Option Sciences Sociales", 197, 1017, 902, 1012, 0, 560, 125, 122, 34, 17, 6, 313, 5, 1, 1, 0, 3, 1012, 5, 0, 0, 560, 125, 122, 34, 17, 6, 313, 656, 213, 193, 210, 3, 54.0, 164.0, 198.0, 0, 41, 147, 116, 26, 5, 66, 0, 42, 72, 29, 4, 0.0, 82, 20, 3, 0, 0, 120, 120, 25.35, 77.0, 92.96, 90.59375, 81.59375, 81.59375, 0, 27.8984375, 69.0, 0.0, 28.59765625, 49.0, 19.69921875, 2.7, 0.0, 78.890625, 55.796875, 17.69921875, 13.599609375, 3.39990234375, 2.0, 361.0, 86.0, 15.0, 6.0, 191.0, "Tous les candidats", 776.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "25337", "Licence - Sciences de l'éducation - Parcours Licence Sciences de l'Education Option Sciences Sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25337&g_ta_cod=25337", 75.0, 21.0, 4.0),
(4158, "Privé enseignement supérieur", "0941953M", "ESME Sudria", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Ivry-sur-Seine", "formation sélective", "BTS", "ESME Sudria - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 12, 197, 11, 94, 0, 16, 3, 25, 4, 27, 9, 26, 103, 20, 16, 30, 37, 21, 3, 0, 0, 5, 0, 6, 0, 8, 1, 2, 21, 5, 0, 4, 1, 3.0, 4.0, 5.0, 0, 1, 5, 0, 0, 5, 0, 0, 1, 1, 0, 3, 0.0, 0, 0, 4, 0, 0, 2, 5, 60.0, 80.0, 100.0, 0.0, 40.0, 100.0, 0, 20.0, 100.0, 0.0, 20.0, 20.0, 0.0, 60.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 80.0, 5.0, 0.0, 9.0, 1.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 21.0, "25109", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25109&g_ta_cod=25109", 0.0, 0.0, 100.0),
(4159, "Public", "0731392S", "Lycée du Granier", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "La Ravoire", "formation sélective", "BTS", "Lycée du Granier - BTS - Services - Gestion de la PME", "BTS - Services", "", 32, 442, 249, 435, 0, 37, 7, 173, 52, 112, 48, 113, 7, 0, 5, 0, 2, 266, 0, 0, 0, 34, 5, 115, 32, 88, 34, 29, 176, 29, 20, 29, 0, 4.0, 23.0, 24.0, 0, 5, 24, 3, 9, 12, 5, 0, 8, 11, 4, 1, 0.0, 1, 5, 10, 3, 2, 21, 21, 13.79, 79.31, 82.76, 69.0, 87.5, 87.5, 12.5, 20.796875, 82.796875, 0.0, 33.296875, 45.796875, 16.69921875, 4.2, 0.0, 12.5, 4.19921875, 37.5, 20.796875, 50.0, 41.6953125, 17.0, 3.0, 50.0, 17.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 43.0, "8833", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8833&g_ta_cod=8833", 10.0, 34.0, 55.0),
(4160, "Public", "0110986M", "Université de Perpignan - Antenne de Narbonne", "11", "Aude", "Occitanie", "Montpellier", "Narbonne", "formation non sélective", "Licence", "Université de Perpignan - Antenne de Narbonne - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 170, 1281, 998, 1217, 0, 780, 230, 178, 71, 43, 20, 216, 64, 6, 13, 6, 39, 1217, 23, 0, 0, 780, 230, 178, 71, 43, 20, 216, 901, 153, 120, 145, 8, 22.0, 139.0, 143.0, 0, 44, 110, 86, 17, 7, 43, 0, 36, 48, 22, 4, 0.0, 62, 8, 4, 0, 0, 83, 83, 14.38, 90.85, 93.46, 78.390625, 75.5, 75.5, 0, 40.0, 71.890625, 0.0, 32.6953125, 43.59375, 20.0, 3.6, 0.0, 78.1875, 56.3984375, 15.5, 7.2998046875, 6.3994140625, 3.599609375, 521.0, 166.0, 41.0, 20.0, 198.0, "Tous les candidats", 1276.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "2473", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28124&g_ta_cod=2473", 73.0, 13.0, 7.0),
(4161, "Public", "0400002K", "Lycée Gaston Crampe", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Aire-sur-l'Adour", "formation sélective", "BTS", "Lycée Gaston Crampe - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 257, 28, 252, 0, 22, 3, 64, 21, 91, 30, 75, 5, 0, 4, 0, 1, 188, 0, 0, 0, 22, 3, 64, 21, 91, 30, 11, 109, 28, 1, 27, 0, 5.0, 23.0, 27.0, 0, 7, 25, 0, 10, 15, 3, 0, 16, 4, 5, 0, 0.0, 0, 0, 9, 5, 0, 22, 22, 17.86, 82.14, 96.43, 3.599609375, 88.0, 88.0, 20, 28.0, 89.296875, 0.0, 64.0, 16.0, 20.0, 0.0, 0.0, 0.0, 0.0, 40.0, 0.0, 60.0, 36.0, 6.0, 2.0, 41.0, 12.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 54.0, "5196", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5196&g_ta_cod=5196", 7.0, 39.0, 54.0),
(4162, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Lettres", "Licence - Arts-lettres-langues", "", 80, 192, 155, 165, 0, 112, 26, 4, 2, 4, 2, 45, 27, 1, 1, 1, 24, 164, 14, 0, 0, 112, 26, 4, 2, 4, 2, 44, 176, 22, 20, 14, 8, 11.0, 14.0, 20.0, 0, 3, 13, 12, 1, 0, 9, 0, 3, 5, 4, 1, 0.0, 10, 0, 0, 0, 0, 12, 12, 50.0, 63.64, 90.91, 90.890625, 92.296875, 92.296875, 0, 23.09765625, 59.09375, 0.0, 23.09765625, 38.5, 30.796875, 7.7, 0.0, 92.296875, 76.890625, 7.69921875, 0.0, 0.0, 0.0, 112.0, 25.0, 5.0, 3.0, 54.0, "Tous les candidats", 170.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "6501", "Licence - Portail Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26696&g_ta_cod=6501", 77.0, 9.0, 5.0),
(4163, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Licence", "Université Grenoble Alpes  - Licence - Double diplôme - Licence Droit - Franco-Allemand", "Licence - Droit-économie-gestion", "Franco-Allemand", 10, 110, 79, 56, 0, 44, 6, 0, 0, 0, 0, 12, 54, 18, 2, 1, 33, 41, 7, 0, 0, 32, 3, 0, 0, 0, 0, 9, 40, 7, 5, 5, 2, 2.0, 5.0, 7.0, 0, 1, 4, 4, 0, 0, 3, 0, 0, 0, 3, 1, 0.0, 4, 0, 0, 0, 0, 3, 3, 28.57, 71.43, 100.0, 71.390625, 75.0, 75.0, 0, 25.0, 57.09375, 0.0, 0.0, 0.0, 75.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 30.0, 3.0, 0.0, 0.0, 10.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "21672", "Licence - Double diplôme - Licence Droit - Franco-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29295&g_ta_cod=21672", 100.0, 0.0, 0.0),
(4164, "Privé sous contrat d'association", "0440119R", "Lycée Ste Anne", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "Autre formation", "Lycée Ste Anne - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 35, 163, 91, 144, 0, 56, 5, 19, 4, 20, 4, 49, 19, 0, 1, 1, 17, 131, 15, 0, 0, 54, 5, 18, 4, 17, 2, 42, 112, 26, 16, 22, 4, 12.0, 22.0, 25.0, 0, 3, 15, 10, 3, 2, 11, 0, 2, 8, 4, 1, 0.0, 9, 2, 2, 0, 0, 7, 7, 46.15, 84.62, 96.15, 61.5, 46.6953125, 46.6953125, 0, 20.0, 57.6953125, 0.0, 13.298828125, 53.296875, 26.69921875, 6.7, 0.0, 66.6875, 60.0, 20.0, 13.298828125, 13.298828125, 13.298828125, 42.0, 5.0, 7.0, 0.0, 50.0, "Tous les candidats", 132.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "5477", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5477&g_ta_cod=5477", 69.0, 23.0, 8.0),
(4165, "Public", "0921230M", "Lycée Leonard De Vinci", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Levallois-Perret", "formation sélective", "BTS", "Lycée Leonard De Vinci - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 28, 215, 14, 215, 0, 6, 1, 55, 13, 97, 32, 57, 0, 0, 0, 0, 0, 174, 0, 0, 0, 5, 1, 52, 11, 91, 29, 26, 110, 25, 0, 25, 0, 5.0, 22.0, 25.0, 0, 9, 24, 1, 2, 21, 1, 0, 7, 16, 1, 0, 0.0, 0, 2, 15, 4, 0, 14, 24, 20.0, 88.0, 100.0, 0.0, 58.296875, 100.0, 16.69921875, 37.5, 96.0, 0.0, 29.19921875, 66.6875, 4.19921875, 0.0, 0.0, 4.19921875, 0.0, 8.298828125, 8.298828125, 87.5, 62.5, 4.0, 1.0, 75.0, 26.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 94, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 61.0, "11110", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11110&g_ta_cod=11110", 4.0, 8.0, 88.0),
(4166, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "PASS", "Université de Limoges - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 150, 4663, 3252, 4663, 0, 3882, 541, 87, 21, 11, 4, 683, 0, 0, 0, 0, 0, 4623, 0, 0, 0, 3882, 541, 87, 21, 11, 4, 643, 909, 145, 96, 145, 0, 10.0, 90.0, 128.0, 0, 17, 111, 105, 6, 0, 34, 0, 17, 39, 31, 20, 4.0, 89, 5, 0, 0, 0, 73, 73, 6.9, 62.07, 88.28, 66.1875, 65.796875, 65.796875, 0, 15.298828125, 76.59375, 0.0, 15.298828125, 35.09375, 27.8984375, 18.0, 3.6, 94.59375, 80.1875, 5.3994140625, 4.5, 0.0, 0.0, 757.0, 115.0, 3.0, 1.0, 130.0, "Tous les candidats", 1490.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "27199", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26973&g_ta_cod=27199", 94.0, 6.0, 0.0),
(4167, "Public", "0211033J", "Lycée Gustave Eiffel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Production - Maintenance des systèmes - option C Systèmes éoliens", "BTS - Production", "", 8, 223, 12, 222, 0, 10, 1, 63, 10, 103, 35, 46, 1, 0, 0, 0, 1, 190, 0, 0, 0, 10, 1, 58, 9, 101, 33, 21, 49, 6, 2, 6, 0, 0.0, 5.0, 5.0, 0, 1, 4, 0, 2, 2, 2, 0, 1, 0, 3, 0, 0.0, 0, 1, 2, 0, 0, 0, 0, 0.0, 83.33, 83.33, 33.296875, 0.0, 0.0, 0, 25.0, 66.6875, 0.0, 25.0, 0.0, 75.0, 0.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 50.0, 3.0, 1.0, 22.0, 6.0, 8.0, "Tous les candidats sauf les Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 35.0, "17294", "BTS - Production - Maintenance des systèmes - option C Systèmes éoliens", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17294&g_ta_cod=17294", 17.0, 33.0, 50.0),
(4168, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues étrangères appliquées - Parcours  Anglais-Japonais débutant", "Licence - Arts-lettres-langues", "Anglais-Japonais débutant", 80, 957, 637, 957, 0, 593, 161, 75, 26, 31, 18, 258, 0, 0, 0, 0, 0, 957, 0, 0, 0, 593, 161, 75, 26, 31, 18, 258, 255, 80, 52, 80, 0, 14.0, 67.0, 71.0, 0, 20, 68, 58, 4, 6, 12, 2, 12, 28, 21, 5, 0.0, 49, 1, 4, 0, 0, 66, 66, 17.5, 83.75, 88.75, 65.0, 97.09375, 97.09375, 0, 29.3984375, 85.0, 2.89990234375, 17.59765625, 41.1953125, 30.8984375, 7.4, 0.0, 85.296875, 72.09375, 5.8994140625, 1.5, 8.798828125, 5.8994140625, 188.0, 43.0, 11.0, 6.0, 35.0, "Tous les candidats", 317.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "5082", "Licence - Langues étrangères appliquées - Parcours  Anglais-Japonais débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5082&g_ta_cod=5082", 81.0, 10.0, 9.0),
(4169, "Public", "9711032V", "Lycée Charles Coeffin", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "Autre formation", "Lycée Charles Coeffin - Mention complémentaire - FCIL classe passerelle BTS option production", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 19, 8, 0, 0, 0, 0.0, 0.0, 6.0, 0, 8, 8, 0, 0, 8, 0, 0, 5, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 8, 8, 0.0, 0.0, 75.0, 0.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 37.5, 0.0, 0.0, 19.0, 16.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22574", "Mention complémentaire - FCIL classe passerelle BTS option production", "", "", 0.0, 0.0, 100.0),
(4170, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence", "Avignon Université - Licence - Lettres", "Licence - Arts-lettres-langues", "", 140, 496, 372, 345, 0, 183, 55, 30, 18, 32, 13, 100, 151, 17, 18, 21, 95, 345, 65, 0, 0, 183, 55, 30, 18, 32, 13, 100, 377, 73, 43, 40, 33, 12.0, 37.0, 54.0, 0, 12, 31, 20, 1, 10, 42, 2, 12, 8, 8, 1, 0.0, 13, 0, 4, 0, 0, 19, 19, 16.44, 50.68, 73.97, 58.8984375, 61.296875, 61.296875, 0, 38.6953125, 42.5, 6.5, 38.6953125, 25.796875, 25.796875, 3.2, 0.0, 64.5, 41.8984375, 3.19970703125, 0.0, 32.296875, 12.8984375, 180.0, 59.0, 36.0, 18.0, 129.0, "Tous les candidats", 345.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10448", "Licence - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10448&g_ta_cod=10448", 59.0, 12.0, 26.0),
(4171, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "PASS", "Université de Brest - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 10, 1890, 1436, 1890, 0, 1389, 210, 38, 7, 12, 9, 451, 0, 0, 0, 0, 0, 1891, 0, 0, 0, 1390, 211, 38, 7, 12, 9, 451, 176, 10, 9, 10, 0, 0.0, 2.0, 6.0, 0, 0, 10, 10, 0, 0, 0, 0, 0, 6, 4, 0, 0.0, 10, 0, 0, 0, 0, 10, 10, 0.0, 20.0, 60.0, 90.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 60.0, 40.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 165.0, 17.0, 0.0, 0.0, 11.0, "Tous les candidats", 1755.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "28040", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27585&g_ta_cod=28040", 100.0, 0.0, 0.0),
(4172, "Public", "0753471R", "CNAM PARIS", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "Autre formation", "CNAM PARIS - Formation Supérieure de Spécialisation - Informatique - support et conseil digital", "Diplôme d'Université", "Informatique - support et conseil digital", 22, 204, 41, 40, 0, 9, 1, 3, 1, 7, 3, 21, 164, 32, 23, 13, 96, 8, 41, 0, 0, 4, 0, 1, 0, 1, 0, 2, 50, 20, 6, 2, 18, 2.0, 2.0, 10.0, 0, 1, 6, 2, 2, 2, 14, 0, 5, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 3, 5, 10.0, 10.0, 50.0, 30.0, 50.0, 83.296875, 0, 16.69921875, 30.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 33.296875, 16.69921875, 33.296875, 0.0, 33.296875, 0.0, 9.0, 0.0, 3.0, 1.0, 30.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "32291", "Formation Supérieure de Spécialisation - Informatique - support et conseil digital", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32291&g_ta_cod=32291", 35.0, 30.0, 30.0),
(4173, "Public", "0932119Y", "Lycée Eugene Henaff", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bagnolet", "formation sélective", "Autre formation", "Lycée Eugene Henaff - Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "Mention complémentaire", "", 12, 12, 0, 10, 0, 0, 0, 0, 0, 8, 5, 2, 2, 0, 0, 1, 1, 10, 0, 0, 0, 0, 0, 0, 0, 8, 5, 2, 14, 2, 0, 0, 0, 0.0, 0.0, 2.0, 0, 1, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 0.0, 0.0, 100.0, 0.0, 100.0, 100.0, 0, 50.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 12.0, 6.0, 2.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "22018", "Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22018&g_ta_cod=22018", 0.0, 0.0, 100.0),
(4174, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Langues étrangères appliquées - Parcours LEA / Anglais / Italien", "Licence - Arts-lettres-langues", "LEA / Anglais / Italien", 40, 219, 166, 199, 0, 122, 28, 14, 7, 6, 3, 57, 20, 7, 0, 1, 12, 199, 19, 0, 0, 122, 28, 14, 7, 6, 3, 57, 177, 40, 31, 31, 9, 9.0, 31.0, 35.0, 0, 7, 20, 18, 1, 1, 20, 1, 5, 12, 2, 0, 0.0, 13, 0, 1, 0, 0, 14, 14, 22.5, 77.5, 87.5, 77.5, 70.0, 70.0, 0, 35.0, 50.0, 5.0, 25.0, 60.0, 10.0, 0.0, 0.0, 90.0, 65.0, 5.0, 0.0, 5.0, 5.0, 108.0, 28.0, 4.0, 3.0, 59.0, "Tous les candidats", 199.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24047", "Licence - Langues étrangères appliquées - Parcours LEA / Anglais / Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24047&g_ta_cod=24047", 73.0, 20.0, 8.0),
(4175, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues Etrangères Appliquées Anglais-Japonais", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées Anglais-Japonais", 100, 1072, 758, 1072, 0, 637, 171, 68, 31, 36, 18, 331, 0, 0, 0, 0, 0, 1072, 0, 0, 0, 637, 171, 68, 31, 36, 18, 331, 305, 99, 64, 99, 0, 25.0, 95.0, 95.0, 0, 16, 69, 67, 2, 0, 30, 2, 26, 24, 12, 5, 0.0, 40, 1, 0, 0, 0, 50, 50, 25.25, 95.96, 95.96, 64.59375, 72.5, 72.5, 0, 23.19921875, 69.6875, 2.89990234375, 37.6953125, 34.796875, 17.3984375, 7.2, 0.0, 97.09375, 58.0, 2.89990234375, 1.39990234375, 0.0, 0.0, 240.0, 66.0, 0.0, 0.0, 61.0, "Tous les candidats", 327.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "8509", "Licence - Portail Langues Etrangères Appliquées Anglais-Japonais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8509&g_ta_cod=8509", 96.0, 4.0, 0.0),
(4176, "Privé sous contrat d'association", "0801479Y", "Lycée Saint Remi", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Saint Remi - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 335, 22, 298, 0, 59, 12, 70, 19, 73, 24, 96, 37, 0, 0, 22, 15, 246, 9, 0, 0, 59, 12, 70, 19, 29, 10, 88, 100, 33, 1, 26, 7, 8.0, 22.0, 29.0, 0, 10, 18, 7, 6, 5, 15, 0, 6, 10, 2, 0, 0.0, 5, 4, 3, 0, 0, 15, 15, 24.24, 66.67, 87.88, 3.0, 83.296875, 83.296875, 0, 55.59375, 54.5, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 38.8984375, 27.796875, 33.296875, 22.19921875, 27.796875, 16.69921875, 23.0, 5.0, 27.0, 12.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 39.0, "10231", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10231&g_ta_cod=10231", 36.0, 33.0, 30.0),
(4177, "Public", "0190032G", "Lycée Edmond Perrier", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Tulle", "formation sélective", "BTS", "Lycée Edmond Perrier - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 18, 281, 131, 271, 0, 39, 13, 86, 25, 69, 32, 77, 10, 0, 0, 3, 7, 146, 3, 0, 0, 32, 9, 61, 18, 38, 15, 15, 79, 14, 7, 14, 0, 6.0, 11.0, 12.0, 0, 5, 13, 1, 7, 5, 1, 0, 6, 5, 2, 0, 0.0, 1, 1, 5, 4, 3, 10, 10, 42.86, 78.57, 85.71, 50.0, 76.890625, 76.890625, 30.796875, 38.5, 92.890625, 0.0, 46.1953125, 38.5, 15.3984375, 0.0, 0.0, 7.69921875, 7.69921875, 53.796875, 7.69921875, 38.5, 38.5, 14.0, 3.0, 15.0, 7.0, 10.0, "Tous les candidats sauf les Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 37.0, "3147", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3147&g_ta_cod=3147", 7.0, 57.0, 36.0),
(4178, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 90, 330, 270, 207, 0, 147, 30, 9, 2, 2, 1, 49, 123, 40, 8, 11, 64, 207, 117, 0, 0, 147, 30, 9, 2, 2, 1, 49, 303, 88, 71, 44, 44, 17.0, 44.0, 74.0, 0, 16, 61, 46, 7, 8, 27, 1, 27, 23, 6, 4, 0.0, 26, 1, 6, 0, 0, 11, 53, 19.32, 50.0, 84.09, 80.6875, 18.0, 86.890625, 0, 26.19921875, 69.296875, 1.599853515625, 44.296875, 37.6953125, 9.798828125, 6.6, 0.0, 75.390625, 42.59375, 11.5, 1.599853515625, 13.099609375, 9.798828125, 177.0, 38.0, 13.0, 8.0, 96.0, "Tous les candidats", 207.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24037", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24037&g_ta_cod=24037", 72.0, 11.0, 17.0),
(4179, "Public", "0370770L", "Institut Universitaire de Technologie de TOURS", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BUT", "Institut Universitaire de Technologie de TOURS - BUT - Génie électrique et informatique industrielle", "BUT - Production", "", 88, 908, 41, 885, 0, 480, 67, 233, 43, 17, 1, 155, 23, 4, 3, 0, 16, 627, 6, 0, 0, 359, 44, 184, 31, 0, 0, 84, 366, 81, 4, 77, 4, 15.0, 67.0, 78.0, 0, 20, 69, 44, 25, 0, 12, 0, 19, 32, 16, 2, 0.0, 29, 21, 0, 0, 0, 60, 60, 18.52, 82.72, 96.3, 4.8994140625, 87.0, 87.0, 0, 29.0, 85.1875, 0.0, 27.5, 46.3984375, 23.19921875, 2.9, 0.0, 63.796875, 42.0, 36.1953125, 30.3984375, 0.0, 0.0, 181.0, 31.0, 0.0, 0.0, 58.0, "Tous les candidats sauf les Bac technologiques", 417.0, "Bacheliers technologiques toutes séries", 198, "", 0, "Liste d'appel propre à cette formation", 69.0, "4865", "BUT - Génie électrique et informatique industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4865&g_ta_cod=4865", 64.0, 36.0, 0.0),
(4180, "Privé sous contrat d'association", "0590347G", "ISEN Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 40, 1085, 314, 1079, 0, 1073, 112, 0, 0, 0, 0, 6, 6, 6, 0, 0, 0, 979, 4, 0, 0, 975, 82, 0, 0, 0, 0, 4, 917, 14, 4, 14, 0, 11.0, 14.0, 14.0, 0, 0, 13, 13, 0, 0, 1, 0, 1, 7, 4, 1, 0.0, 12, 0, 0, 0, 0, 8, 8, 78.57, 100.0, 100.0, 28.59765625, 61.5, 61.5, 0, 0.0, 92.890625, 0.0, 7.69921875, 53.796875, 30.796875, 7.7, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 913.0, 82.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "22813", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=22813", 100.0, 0.0, 0.0),
(4181, "Public", "0720896H", "Lycée Militaire Prytanee National", "72", "Sarthe", "Pays de la Loire", "Nantes", "La Flèche", "formation sélective", "Autre formation", "Lycée Militaire Prytanee National - CPES - Scientifique", "Classe préparatoire aux études supérieures", "", 20, 233, 41, 233, 0, 208, 34, 1, 1, 1, 0, 23, 0, 0, 0, 0, 0, 104, 0, 0, 0, 102, 14, 0, 0, 0, 0, 2, 77, 19, 3, 19, 0, 4.0, 15.0, 17.0, 0, 2, 19, 19, 0, 0, 0, 0, 0, 15, 4, 0, 0.0, 19, 0, 0, 0, 0, 5, 5, 21.05, 78.95, 89.47, 15.798828125, 26.296875, 26.296875, 0, 10.5, 100.0, 0.0, 0.0, 78.890625, 21.09765625, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 75.0, 14.0, 0.0, 0.0, 2.0, "Tous les candidats", 92.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "8735", "CPES - Scientifique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8735&g_ta_cod=8735", 100.0, 0.0, 0.0),
(4182, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Occitan", "Licence - Arts-lettres-langues", "Occitan", 45, 97, 59, 39, 0, 14, 6, 1, 0, 16, 12, 8, 58, 6, 5, 15, 32, 39, 56, 0, 0, 14, 6, 1, 0, 16, 12, 8, 95, 16, 12, 3, 13, 3.0, 3.0, 12.0, 0, 5, 9, 1, 1, 7, 7, 0, 5, 3, 1, 0, 0.0, 0, 0, 4, 0, 0, 6, 6, 18.75, 18.75, 75.0, 75.0, 66.6875, 66.6875, 0, 55.59375, 56.296875, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 11.099609375, 0.0, 11.099609375, 0.0, 77.796875, 44.3984375, 20.0, 10.0, 31.0, 23.0, 39.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4572", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Occitan", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4572&g_ta_cod=4572", 19.0, 25.0, 56.0),
(4183, "Public", "0922149L", "Lycée Auffray", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Clichy", "formation sélective", "BTS", "Lycée Auffray - BTS - Services - Diététique", "BTS - Services", "", 38, 1100, 910, 1100, 0, 197, 54, 342, 126, 75, 30, 486, 0, 0, 0, 0, 0, 716, 0, 0, 0, 141, 37, 285, 110, 56, 26, 234, 227, 36, 29, 36, 0, 2.0, 21.0, 30.0, 0, 11, 29, 12, 15, 2, 7, 0, 6, 18, 5, 0, 0.0, 10, 11, 2, 1, 1, 12, 26, 5.56, 58.33, 83.33, 80.59375, 41.3984375, 89.6875, 3.39990234375, 37.8984375, 80.59375, 0.0, 20.69921875, 62.09375, 17.19921875, 0.0, 0.0, 41.3984375, 34.5, 51.6953125, 37.8984375, 6.8994140625, 6.8994140625, 57.0, 16.0, 8.0, 3.0, 60.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 94.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 160, "Liste d'appel propre à cette formation", 25.0, "11135", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11135&g_ta_cod=11135", 39.0, 53.0, 8.0),
(4184, "Public", "0921987K", "IFSI Raymond Poincaré (AP-HP)", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Garches", "formation sélective", "IFSI", "Regroupement d'IFSI UVSQ - D.E Infirmier", "D.E secteur sanitaire", "", 97, 3036, 2678, 3036, 0, 341, 72, 515, 174, 297, 143, 1883, 0, 0, 0, 0, 0, 2125, 0, 0, 0, 333, 69, 414, 137, 172, 85, 1206, 787, 98, 91, 96, 0, 1.0, 31.0, 69.0, 0, 17, 48, 18, 27, 3, 50, 0, 23, 18, 6, 1, 0.0, 7, 17, 1, 0, 0, 34, 40, 1.02, 31.63, 70.41, 92.890625, 70.796875, 83.296875, 0, 35.3984375, 49.0, 0.0, 47.8984375, 37.5, 12.5, 2.1, 0.0, 37.5, 14.599609375, 56.296875, 35.3984375, 6.2998046875, 2.099609375, 187.0, 44.0, 14.0, 8.0, 417.0, "Tous les candidats", 1747.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "23298", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23007&g_ta_cod=23298", 54.0, 40.0, 5.0),
(4185, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence_Las", "Université Clermont Auvergne - Licence - Portail Mathématiques - Informatique -  option Santé", "Licence - Sciences - technologies - santé", "Mathématiques - Informatique", 40, 377, 142, 265, 0, 155, 38, 7, 4, 1, 0, 102, 112, 30, 7, 0, 75, 251, 95, 0, 0, 155, 38, 7, 4, 1, 0, 88, 275, 30, 16, 17, 13, 3.0, 15.0, 24.0, 0, 5, 13, 10, 3, 0, 17, 0, 5, 5, 2, 1, 0.0, 7, 1, 0, 0, 0, 3, 3, 10.0, 50.0, 80.0, 53.296875, 23.09765625, 23.09765625, 0, 38.5, 43.296875, 0.0, 38.5, 38.5, 15.3984375, 7.7, 0.0, 76.890625, 53.796875, 23.09765625, 7.69921875, 0.0, 0.0, 146.0, 31.0, 0.0, 0.0, 119.0, "Tous les candidats", 251.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "27505", "Licence - Portail Mathématiques - Informatique -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27505&g_ta_cod=27505", 87.0, 13.0, 0.0),
(4186, "Privé sous contrat d'association", "0761710W", "Lycée Saint-Joseph", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BTS", "Lycée Saint-Joseph - BTS - Services - Communication", "BTS - Services", "", 33, 440, 309, 440, 0, 148, 28, 104, 31, 47, 8, 141, 0, 0, 0, 0, 0, 308, 0, 0, 0, 148, 28, 85, 26, 38, 6, 37, 100, 33, 25, 33, 0, 12.0, 28.0, 33.0, 0, 6, 30, 20, 7, 3, 3, 2, 11, 11, 5, 1, 0.0, 10, 4, 3, 8, 6, 30, 30, 36.36, 84.85, 100.0, 75.796875, 100.0, 100.0, 26.69921875, 20.0, 90.890625, 6.69921875, 36.6953125, 36.6953125, 16.69921875, 3.3, 0.0, 66.6875, 33.296875, 23.296875, 13.298828125, 10.0, 10.0, 50.0, 7.0, 10.0, 2.0, 3.0, "Tous les candidats sauf les Bac professionnels", 124.0, "Bacheliers professionnels toutes séries", 13, "", 0, "Liste d'appel propre à cette formation", 31.0, "9665", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9665&g_ta_cod=9665", 67.0, 21.0, 12.0),
(4187, "Public", "0333357V", "I.U.T de Bordeaux - Site Bordeaux - Gradignan", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Gradignan", "formation sélective", "BUT", "I.U.T de Bordeaux - Site Bordeaux - Gradignan - BUT - Informatique Parcours : Réalisation d?applications : conception, développement, validation - Déploiement, intégration d?applications et management du SI", "BUT - Production", "Réalisation d?applications : conception, développement, validation - Déploiement, intégration d?applications et management du SI", 100, 1421, 114, 1421, 0, 863, 132, 322, 78, 6, 2, 230, 0, 0, 0, 0, 0, 719, 0, 0, 0, 455, 63, 207, 44, 0, 0, 57, 331, 100, 4, 100, 0, 26.0, 81.0, 92.0, 0, 21, 94, 45, 49, 0, 6, 0, 10, 43, 35, 6, 0.0, 43, 41, 0, 0, 0, 77, 77, 26.0, 81.0, 92.0, 4.0, 81.890625, 81.890625, 0, 22.296875, 94.0, 0.0, 10.599609375, 45.6953125, 37.1953125, 6.4, 0.0, 47.8984375, 45.6953125, 52.09375, 43.59375, 0.0, 0.0, 160.0, 28.0, 0.0, 0.0, 21.0, "Tous les candidats sauf les Bac technologiques", 244.0, "Bacheliers technologiques toutes séries", 179, "", 0, "Liste d'appel propre à cette formation", 30.0, "4345", "BUT - Informatique Parcours : Réalisation d?applications : conception, développement, validation - Déploiement, intégration d?applications et management du SI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4345&g_ta_cod=4345", 48.0, 52.0, 0.0),
(4188, "Public", "0510075E", "Centre de Ressources, d'Expertise et de Performance Sportive de Reims (CREPS)", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "CREPS de Reims - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 6, 221, 45, 221, 0, 50, 11, 52, 15, 55, 24, 64, 0, 0, 0, 0, 0, 15, 0, 0, 0, 2, 0, 3, 1, 1, 0, 9, 11, 6, 1, 6, 0, 3.0, 3.0, 3.0, 0, 1, 2, 0, 2, 0, 4, 0, 1, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 2, 2, 50.0, 50.0, 50.0, 16.69921875, 100.0, 100.0, 0, 50.0, 33.296875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 1.0, 0.0, 1.0, 0.0, 6.0, "Tous les candidats", 6.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 3.0, "21321", "BPJEPS - Activités physiques pour tous", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21321&g_ta_cod=21321", 33.0, 67.0, 0.0),
(4189, "Public", "0931272C", "Lycée GUSTAVE EIFFEL", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Gagny", "formation sélective", "BTS", "Lycée GUSTAVE EIFFEL - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 12, 513, 34, 513, 0, 31, 8, 157, 64, 135, 80, 190, 0, 0, 0, 0, 0, 296, 0, 0, 0, 23, 6, 118, 44, 126, 73, 29, 75, 11, 0, 11, 0, 3.0, 6.0, 11.0, 0, 5, 11, 1, 5, 5, 0, 0, 5, 6, 0, 0, 0.0, 0, 3, 3, 3, 0, 10, 11, 27.27, 54.55, 100.0, 0.0, 90.890625, 100.0, 27.296875, 45.5, 100.0, 0.0, 45.5, 54.5, 0.0, 0.0, 0.0, 9.099609375, 0.0, 45.5, 27.296875, 45.5, 27.296875, 12.0, 3.0, 36.0, 21.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 25.0, "18442", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18442&g_ta_cod=18442", 9.0, 45.0, 45.0),
(4190, "Public", "0911975C", "Université d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation non sélective", "Licence", "Université d'Evry Val d'Essonne - Licence - Portail Mathématiques-Informatique", "Licence - Sciences - technologies - santé", "Mathématiques-Informatique", 130, 1544, 279, 1544, 0, 993, 229, 73, 21, 7, 3, 471, 0, 0, 0, 0, 0, 1544, 0, 0, 0, 993, 229, 73, 21, 7, 3, 471, 708, 126, 23, 126, 0, 6.0, 75.0, 107.0, 0, 18, 72, 69, 1, 2, 54, 0, 37, 24, 9, 2, 0.0, 33, 0, 2, 0, 0, 48, 65, 4.76, 59.52, 84.92, 18.296875, 66.6875, 90.296875, 0, 25.0, 57.09375, 0.0, 51.3984375, 33.296875, 12.5, 2.8, 0.0, 95.796875, 45.796875, 1.39990234375, 0.0, 2.7998046875, 2.7998046875, 526.0, 122.0, 3.0, 2.0, 174.0, "Tous les candidats", 962.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "27048", "Licence - Portail Mathématiques-Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27048&g_ta_cod=27048", 94.0, 2.0, 3.0),
(4191, "Public", "0380092U", "Lycée Ferdinand Buisson", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Voiron", "formation sélective", "CPGE", "Lycée Ferdinand Buisson - CPGE - PTSI", "Classe préparatoire scientifique", "", 40, 495, 76, 495, 395, 446, 33, 1, 0, 0, 0, 48, 0, 0, 0, 0, 0, 417, 0, 343, 397, 398, 23, 0, 0, 0, 0, 19, 280, 34, 3, 34, 0, 4.0, 24.0, 33.0, 28, 0, 33, 33, 0, 0, 1, 0, 0, 8, 19, 6, 0.0, 33, 0, 0, 11, 1, 30, 30, 11.76, 70.59, 97.06, 8.798828125, 90.890625, 90.890625, 33.296875, 0.0, 97.09375, 0.0, 0.0, 24.19921875, 57.59375, 18.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 268.0, 23.0, 0.0, 0.0, 12.0, "Tous les candidats", 366.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "4957", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4957&g_ta_cod=4957", 100.0, 0.0, 0.0),
(4192, "Privé sous contrat d'association", "0831141P", "Lycée la Tourrache", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Autre formation", "Lycée la Tourrache - DN MADE - Graphisme - - Spécialité : Support et images de l'événement", "DN MADE", "- Spécialité : Support et images de l'événement", 15, 332, 234, 332, 0, 156, 28, 56, 10, 34, 8, 86, 0, 0, 0, 0, 0, 201, 0, 0, 0, 86, 18, 42, 7, 16, 3, 57, 55, 14, 9, 14, 0, 2.0, 11.0, 12.0, 0, 1, 13, 7, 3, 3, 1, 0, 1, 8, 3, 1, 0.0, 7, 2, 3, 0, 0, 3, 3, 14.29, 78.57, 85.71, 64.296875, 23.09765625, 23.09765625, 0, 7.69921875, 92.890625, 0.0, 7.69921875, 61.5, 23.09765625, 7.7, 0.0, 53.796875, 53.796875, 23.09765625, 15.3984375, 23.09765625, 23.09765625, 22.0, 4.0, 7.0, 2.0, 13.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "24352", "DN MADE - Graphisme - - Spécialité : Support et images de l'événement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24352&g_ta_cod=24352", 57.0, 21.0, 21.0),
(4193, "Privé sous contrat d'association", "0590347G", "ISEN Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "bac STL", 5, 22, 8, 19, 0, 0, 0, 19, 9, 0, 0, 0, 3, 0, 3, 0, 0, 5, 1, 0, 0, 0, 0, 5, 4, 0, 0, 0, 6, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "23343", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=23343", 0, 0, 0),
(4194, "Public", "0772347H", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lieusaint", "formation sélective", "BUT", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC - BUT - Carrières sociales parcours villes et territoires durables", "BUT - Service", "", 24, 199, 126, 161, 0, 65, 12, 43, 15, 9, 4, 44, 38, 0, 19, 0, 19, 63, 2, 0, 0, 36, 5, 16, 4, 0, 0, 11, 52, 26, 16, 22, 2, 14.0, 22.0, 23.0, 0, 4, 23, 12, 11, 0, 3, 0, 6, 10, 7, 0, 0.0, 10, 7, 0, 0, 0, 8, 13, 53.85, 84.62, 88.46, 61.5, 34.796875, 56.5, 0, 17.3984375, 88.5, 0.0, 26.09765625, 43.5, 30.3984375, 0.0, 0.0, 52.1953125, 43.5, 47.796875, 30.3984375, 0.0, 0.0, 25.0, 5.0, 0.0, 0.0, 6.0, "Tous les candidats sauf les Bac technologiques", 30.0, "Bacheliers technologiques toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 30.0, "25436", "BUT - Carrières sociales parcours villes et territoires durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25436&g_ta_cod=25436", 54.0, 46.0, 0.0),
(4195, "Public", "0741133E", "I.U.T. Annecy", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BUT", "I.U.T. Annecy - BUT - Réseaux et télécommunications Parcours : Cybersécurité - Développement Système et Cloud", "BUT - Production", "Cybersécurité - Développement Système et Cloud", 75, 1151, 91, 1151, 0, 639, 89, 315, 56, 18, 6, 179, 0, 0, 0, 0, 0, 833, 0, 0, 0, 549, 68, 194, 31, 5, 1, 85, 379, 72, 4, 72, 0, 10.0, 52.0, 69.0, 0, 18, 68, 44, 24, 0, 4, 1, 21, 31, 13, 2, 0.0, 23, 23, 0, 0, 0, 40, 40, 13.89, 72.22, 95.83, 5.599609375, 58.796875, 58.796875, 0, 26.5, 94.390625, 1.5, 30.8984375, 45.59375, 19.09765625, 2.9, 0.0, 64.6875, 33.796875, 35.296875, 33.796875, 0.0, 0.0, 226.0, 34.0, 0.0, 0.0, 18.0, "Tous les candidats sauf les Bac technologiques", 437.0, "Bacheliers technologiques toutes séries", 203, "", 0, "Liste d'appel propre à cette formation", 56.0, "8904", "BUT - Réseaux et télécommunications Parcours : Cybersécurité - Développement Système et Cloud", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8904&g_ta_cod=8904", 64.0, 36.0, 0.0),
(4196, "Public", "0900385E", "Université de Franche-Comté - Site de Belfort", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation non sélective", "Licence_Las", "Université de Franche-Comté - Site de Belfort - Licence - Portail Sciences pour l'ingénieur - Choix d'1 parcours (en 3e année de Licence) : Ingénierie électrique et énergie / Thermique et énergétique", "Licence - Sciences - technologies - santé", "Choix d'1 parcours (en 3e année de Licence) : Ingénierie électrique et énergie / Thermique et énergétique", 10, 59, 19, 34, 0, 19, 5, 4, 2, 0, 0, 11, 25, 10, 0, 1, 14, 33, 22, 0, 0, 19, 5, 4, 2, 0, 0, 10, 52, 9, 3, 4, 5, 0.0, 3.0, 8.0, 0, 1, 4, 3, 0, 1, 5, 0, 4, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 0.0, 33.33, 88.89, 33.296875, 75.0, 75.0, 0, 25.0, 44.3984375, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 75.0, 0.0, 0.0, 0.0, 25.0, 0.0, 29.0, 6.0, 1.0, 0.0, 19.0, "Tous les candidats", 139.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "32320", "Licence - Portail Sciences pour l'ingénieur - Choix d'1 parcours (en 3e année de Licence) : Ingénierie électrique et énergie / Thermique et énergétique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32319&g_ta_cod=32320", 67.0, 11.0, 22.0),
(4197, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Licence", "Université Angers - Double licence - Mathématiques / Economie et gestion - Double licence Mathématiques - Economie", "Licence - Droit-économie-gestion / Sciences - technologies - santé", "Double licence Mathématiques - Economie", 40, 617, 254, 529, 0, 425, 45, 2, 1, 0, 0, 102, 88, 26, 2, 1, 59, 320, 7, 0, 0, 289, 29, 1, 1, 0, 0, 30, 235, 20, 10, 19, 1, 1.0, 18.0, 20.0, 0, 1, 18, 18, 0, 0, 2, 0, 0, 4, 10, 4, 0.0, 18, 0, 0, 0, 0, 7, 7, 5.0, 90.0, 100.0, 50.0, 38.8984375, 38.8984375, 0, 5.599609375, 90.0, 0.0, 0.0, 22.19921875, 55.59375, 22.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 208.0, 18.0, 0.0, 0.0, 26.0, "Tous les candidats", 320.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "19679", "Double licence - Mathématiques / Economie et gestion - Double licence Mathématiques - Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19679&g_ta_cod=19679", 100.0, 0.0, 0.0),
(4198, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence_Las", "Université du Mans - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER espagnol", "Licence - Arts-lettres-langues", "LLCER espagnol", 2, 57, 47, 55, 0, 34, 11, 8, 2, 3, 3, 10, 2, 1, 0, 0, 1, 54, 2, 0, 0, 34, 11, 8, 2, 3, 3, 9, 16, 1, 1, 0, 1, 0.0, 0.0, 0.0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 0.0, 100.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 9.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "26884", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26883&g_ta_cod=26884", 100.0, 0.0, 0.0),
(4199, "Public", "0130036U", "Lycée Perier", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  8e  Arrondissement", "formation sélective", "BTS", "Lycée Perier - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 70, 2640, 1452, 2635, 0, 386, 129, 834, 417, 667, 397, 748, 5, 1, 0, 0, 4, 948, 2, 0, 0, 252, 79, 336, 165, 246, 142, 114, 325, 74, 42, 71, 2, 15.0, 52.0, 61.0, 0, 47, 63, 25, 22, 16, 11, 0, 26, 24, 11, 2, 0.0, 13, 11, 13, 4, 3, 62, 62, 20.27, 70.27, 82.43, 56.796875, 98.390625, 98.390625, 6.2998046875, 74.59375, 85.09375, 0.0, 41.296875, 38.09375, 17.5, 3.2, 0.0, 39.6953125, 20.59765625, 34.8984375, 17.5, 25.3984375, 20.59765625, 108.0, 46.0, 93.0, 53.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 172.0, "Bacheliers professionnels toutes séries", 105, "Bacheliers technologiques toutes séries", 137, "Liste d'appel propre à cette formation", 16.0, "2541", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2541&g_ta_cod=2541", 34.0, 36.0, 30.0),
(4200, "Privé sous contrat d'association", "0022108F", "Lycée des métiers Saint Vincent de Paul", "02", "Aisne", "Hauts-de-France", "Amiens", "Soissons", "formation sélective", "Autre formation", "Lycée des métiers Saint Vincent de Paul - DN MADE - Graphisme - - Spécialité : Identité et espace", "DN MADE", "- Spécialité : Identité et espace", 18, 226, 129, 125, 0, 52, 15, 12, 1, 22, 5, 39, 101, 27, 13, 15, 46, 40, 39, 0, 0, 19, 6, 7, 1, 8, 2, 6, 79, 16, 11, 3, 12, 1.0, 3.0, 10.0, 0, 2, 9, 2, 4, 3, 7, 0, 5, 3, 0, 1, 0.0, 1, 1, 2, 0, 0, 6, 6, 6.25, 18.75, 62.5, 68.796875, 66.6875, 66.6875, 0, 22.19921875, 56.296875, 0.0, 55.59375, 33.296875, 0.0, 11.1, 0.0, 22.19921875, 11.099609375, 44.3984375, 11.099609375, 33.296875, 22.19921875, 32.0, 7.0, 13.0, 3.0, 22.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "25134", "DN MADE - Graphisme - - Spécialité : Identité et espace", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25134&g_ta_cod=25134", 31.0, 25.0, 44.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(4201, "Public", "0312822Z", "Lycée polyvalent Charles de Gaulle", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Muret", "formation sélective", "BTS", "Lycée polyvalent Charles de Gaulle - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 14, 208, 3, 208, 0, 5, 0, 36, 6, 123, 53, 44, 0, 0, 0, 0, 0, 147, 0, 0, 0, 2, 0, 29, 5, 100, 38, 16, 50, 13, 0, 13, 0, 3.0, 12.0, 13.0, 0, 3, 11, 0, 2, 9, 2, 0, 2, 6, 1, 2, 0.0, 0, 1, 8, 11, 0, 11, 11, 23.08, 92.31, 100.0, 0.0, 100.0, 100.0, 100, 27.296875, 84.59375, 0.0, 18.19921875, 54.5, 9.099609375, 18.2, 0.0, 0.0, 0.0, 18.19921875, 9.099609375, 81.796875, 72.6875, 0.0, 0.0, 35.0, 12.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 39.0, "18815", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18815&g_ta_cod=18815", 0.0, 23.0, 69.0),
(4202, "Privé sous contrat d'association", "0300109F", "Lycée professionnel Pasteur", "30", "Gard", "Occitanie", "Montpellier", "La Grand-Combe", "formation sélective", "BTS", "Lycée professionnel Pasteur - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 34, 330, 278, 227, 0, 10, 1, 50, 19, 107, 50, 60, 103, 9, 40, 12, 42, 115, 24, 0, 0, 8, 0, 34, 14, 64, 28, 9, 128, 24, 22, 21, 3, 11.0, 20.0, 22.0, 0, 11, 22, 0, 6, 16, 2, 0, 6, 11, 5, 0, 0.0, 0, 2, 14, 7, 6, 21, 21, 45.83, 83.33, 91.67, 91.6875, 95.5, 95.5, 31.796875, 50.0, 91.6875, 0.0, 27.296875, 50.0, 22.69921875, 0.0, 0.0, 0.0, 0.0, 27.296875, 9.099609375, 72.6875, 63.59375, 12.0, 2.0, 59.0, 25.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 50.0, "16245", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16245&g_ta_cod=16245", 0.0, 25.0, 75.0),
(4203, "Public", "0831453D", "Lycée des Métiers d'Hôtellerie et Tourisme Anne-Sophie Pic", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée des Métiers d'Hôtellerie et Tourisme Anne-Sophie Pic - BTS - Services - Tourisme", "BTS - Services", "", 60, 1165, 824, 1045, 0, 236, 63, 175, 59, 147, 72, 487, 120, 0, 17, 58, 45, 532, 24, 0, 0, 225, 60, 67, 19, 78, 35, 162, 300, 64, 48, 58, 6, 10.0, 44.0, 54.0, 0, 12, 37, 22, 3, 12, 27, 0, 8, 23, 4, 2, 0.0, 16, 3, 10, 0, 0, 18, 18, 15.63, 68.75, 84.38, 75.0, 48.59375, 48.59375, 0, 32.3984375, 57.796875, 0.0, 21.59765625, 62.1953125, 10.798828125, 5.4, 0.0, 59.5, 43.1953125, 8.099609375, 8.099609375, 32.3984375, 27.0, 117.0, 30.0, 62.0, 24.0, 85.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 258.0, "Bacheliers professionnels toutes séries", 84, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 41.0, "10393", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10393&g_ta_cod=10393", 70.0, 11.0, 19.0),
(4204, "Public", "0594391C", "E.S.AA.T.", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "Autre formation", "E.S.AA.T. - DN MADE - Événement - - Spécialité : Design d'événements commerciaux", "DN MADE", "- Spécialité : Design d'événements commerciaux", 16, 390, 324, 390, 0, 165, 28, 124, 20, 19, 4, 82, 0, 0, 0, 0, 0, 103, 0, 0, 0, 34, 4, 60, 7, 6, 1, 3, 49, 14, 13, 14, 0, 2.0, 12.0, 13.0, 0, 3, 14, 6, 7, 1, 0, 0, 0, 1, 8, 5, 0.0, 6, 7, 1, 0, 0, 1, 1, 14.29, 85.71, 92.86, 92.890625, 7.099609375, 7.099609375, 0, 21.3984375, 100.0, 0.0, 0.0, 7.099609375, 57.09375, 35.7, 0.0, 42.8984375, 42.8984375, 50.0, 50.0, 7.099609375, 7.099609375, 13.0, 2.0, 5.0, 1.0, 0.0, "Tous les candidats", 76.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "24716", "DN MADE - Événement - - Spécialité : Design d'événements commerciaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24716&g_ta_cod=24716", 43.0, 50.0, 7.0),
(4205, "Public", "0760096S", "Lycée Gustave Flaubert", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "Autre formation", "Lycée Gustave Flaubert - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 30, 770, 596, 671, 0, 166, 35, 195, 53, 15, 4, 295, 99, 10, 24, 3, 62, 323, 2, 0, 0, 100, 19, 105, 24, 0, 0, 118, 171, 29, 25, 27, 2, 2.0, 15.0, 22.0, 0, 2, 16, 8, 8, 0, 13, 0, 4, 6, 6, 0, 0.0, 6, 6, 0, 0, 0, 9, 9, 6.9, 51.72, 75.86, 86.1875, 56.296875, 56.296875, 0, 12.5, 55.1953125, 0.0, 25.0, 37.5, 37.5, 0.0, 0.0, 50.0, 37.5, 50.0, 37.5, 0.0, 0.0, 43.0, 8.0, 0.0, 0.0, 71.0, "Tous les candidats", 298.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "9611", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9611&g_ta_cod=9611", 62.0, 38.0, 0.0),
(4206, "Public", "0333357V", "I.U.T de Bordeaux - Site Bordeaux - Gradignan", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Gradignan", "formation sélective", "BUT", "I.U.T de Bordeaux - Site Bordeaux - Gradignan - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle - Conception et production durable", "BUT - Production", "Innovation pour l?industrie - Simulation numérique et réalité virtuelle - Conception et production durable", 68, 1426, 113, 1426, 0, 842, 70, 347, 48, 3, 0, 234, 0, 0, 0, 0, 0, 1291, 0, 0, 0, 806, 63, 314, 40, 0, 0, 171, 402, 74, 7, 74, 0, 6.0, 42.0, 65.0, 0, 5, 64, 28, 36, 0, 10, 0, 3, 33, 26, 2, 0.0, 28, 33, 0, 0, 0, 53, 53, 8.11, 56.76, 87.84, 9.5, 82.796875, 82.796875, 0, 7.7998046875, 86.5, 0.0, 4.69921875, 51.59375, 40.59375, 3.1, 0.0, 43.796875, 43.796875, 56.296875, 51.59375, 0.0, 0.0, 171.0, 25.0, 0.0, 0.0, 83.0, "Tous les candidats sauf les Bac technologiques", 416.0, "Bacheliers technologiques toutes séries", 264, "", 0, "Liste d'appel propre à cette formation", 48.0, "4343", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle - Conception et production durable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4343&g_ta_cod=4343", 47.0, 53.0, 0.0),
(4207, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Licence - Langues étrangères appliquées - Parcours LEA Anglais Chinois", "Licence - Arts-lettres-langues", "LEA Anglais Chinois", 47, 501, 393, 501, 0, 250, 51, 15, 7, 6, 3, 230, 0, 0, 0, 0, 0, 302, 0, 0, 0, 201, 41, 3, 1, 0, 0, 98, 149, 45, 36, 45, 0, 25.0, 38.0, 43.0, 0, 4, 22, 22, 0, 0, 23, 0, 2, 11, 8, 1, 0.0, 20, 0, 0, 0, 0, 5, 16, 55.56, 84.44, 95.56, 80.0, 22.69921875, 72.6875, 0, 18.19921875, 48.8984375, 0.0, 9.099609375, 50.0, 36.3984375, 4.5, 0.0, 100.0, 90.890625, 0.0, 0.0, 0.0, 0.0, 94.0, 19.0, 0.0, 0.0, 55.0, "Tous les candidats", 183.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "9338", "Licence - Langues étrangères appliquées - Parcours LEA Anglais Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9338&g_ta_cod=9338", 98.0, 2.0, 0.0),
(4208, "Public", "0060026W", "Lycée Pierre Et Marie Curie", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Menton", "formation sélective", "BTS", "Lycée Pierre Et Marie Curie - BTS - Services - Support à l'action managériale", "BTS - Services", "", 23, 260, 184, 248, 0, 23, 4, 77, 23, 80, 28, 68, 12, 7, 0, 0, 5, 163, 5, 0, 0, 18, 2, 52, 13, 79, 27, 14, 89, 19, 15, 18, 1, 3.0, 15.0, 18.0, 0, 2, 19, 2, 8, 9, 0, 0, 11, 5, 2, 1, 0.0, 0, 2, 6, 10, 8, 17, 17, 15.79, 78.95, 94.74, 78.890625, 89.5, 89.5, 52.59375, 10.5, 100.0, 0.0, 57.8984375, 26.296875, 10.5, 5.3, 0.0, 10.5, 0.0, 42.09375, 10.5, 47.3984375, 31.59765625, 15.0, 3.0, 33.0, 10.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 45.0, "2202", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2202&g_ta_cod=2202", 11.0, 42.0, 47.0),
(4209, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 160, 1000, 725, 908, 0, 669, 187, 63, 23, 29, 11, 147, 92, 13, 6, 6, 67, 902, 83, 0, 0, 669, 187, 63, 23, 29, 11, 141, 706, 157, 101, 122, 35, 24.0, 118.0, 131.0, 0, 30, 100, 91, 3, 6, 57, 1, 32, 35, 24, 8, 0.0, 63, 0, 4, 0, 0, 91, 91, 15.29, 75.16, 83.44, 64.296875, 91.0, 91.0, 0, 30.0, 63.6953125, 1.0, 32.0, 35.0, 24.0, 8.0, 0.0, 91.0, 63.0, 3.0, 0.0, 6.0, 4.0, 468.0, 130.0, 22.0, 5.0, 164.0, "Tous les candidats", 902.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "6606", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6606&g_ta_cod=6606", 80.0, 9.0, 10.0),
(4210, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation non sélective", "PASS", "Université Claude Bernard Lyon 1 - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "proposée par l?Université Claude Bernard Lyon 1", 35, 4889, 3079, 4889, 0, 3922, 634, 100, 40, 14, 6, 853, 0, 0, 0, 0, 0, 4844, 0, 0, 0, 3922, 634, 100, 40, 14, 6, 808, 275, 36, 19, 36, 0, 2.0, 20.0, 31.0, 0, 10, 34, 34, 0, 0, 2, 0, 1, 3, 4, 23, 3.0, 33, 0, 0, 0, 0, 27, 27, 5.56, 55.56, 86.11, 52.796875, 79.390625, 79.390625, 0, 29.3984375, 94.390625, 0.0, 2.89990234375, 8.798828125, 11.798828125, 67.6, 8.8, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 228.0, 44.0, 0.0, 0.0, 47.0, "Tous les candidats", 1540.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 16.0, "28179", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28157&g_ta_cod=28179", 100.0, 0.0, 0.0),
(4211, "Public", "0381516S", "IUT 1 GRENOBLE", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "BUT", "IUT 1 GRENOBLE - BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Matériaux et produits formulés", "BUT - Production", "Analyse, contrôle-qualité, environnement - Matériaux et produits formulés", 120, 1639, 933, 1626, 0, 1047, 138, 181, 48, 2, 1, 396, 13, 1, 2, 0, 10, 1433, 2, 0, 0, 983, 121, 140, 31, 0, 0, 310, 906, 109, 59, 108, 1, 12.0, 61.0, 102.0, 0, 11, 92, 68, 24, 0, 17, 0, 13, 53, 21, 5, 0.0, 60, 19, 0, 0, 0, 78, 78, 11.01, 55.96, 93.58, 54.09375, 84.796875, 84.796875, 0, 12.0, 84.390625, 0.0, 14.099609375, 57.59375, 22.796875, 5.4, 0.0, 73.890625, 65.1875, 26.09765625, 20.69921875, 0.0, 0.0, 584.0, 89.0, 0.0, 0.0, 218.0, "Tous les candidats sauf les Bac technologiques", 1096.0, "Bacheliers technologiques toutes séries", 153, "", 0, "Liste d'appel propre à cette formation", 77.0, "4964", "BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Matériaux et produits formulés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4964&g_ta_cod=4964", 77.0, 23.0, 0.0),
(4212, "Public", "0110007Y", "Lycée Jules Fil", "11", "Aude", "Occitanie", "Montpellier", "Carcassonne", "formation sélective", "BTS", "Lycée Jules Fil - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 36, 467, 408, 467, 0, 23, 5, 159, 53, 146, 64, 139, 0, 0, 0, 0, 0, 466, 0, 0, 0, 23, 5, 159, 53, 146, 64, 138, 117, 35, 35, 35, 0, 2.0, 23.0, 32.0, 0, 16, 33, 1, 17, 15, 2, 1, 16, 10, 5, 1, 0.0, 0, 4, 12, 13, 13, 28, 28, 5.71, 65.71, 91.43, 100.0, 84.796875, 84.796875, 39.3984375, 48.5, 94.296875, 3.0, 48.5, 30.296875, 15.19921875, 3.0, 0.0, 3.0, 0.0, 51.5, 12.099609375, 45.5, 36.3984375, 8.0, 4.0, 42.0, 17.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 98, "Liste d'appel propre à cette formation", 43.0, "2451", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2451&g_ta_cod=2451", 6.0, 51.0, 43.0),
(4213, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation non sélective", "Licence", "ICES - Institut Catholique de Vendée - Licence - Physique, chimie", "Licence - Sciences - technologies - santé", "", 50, 174, 78, 139, 0, 102, 11, 5, 0, 0, 0, 32, 35, 13, 2, 0, 20, 139, 20, 0, 0, 102, 11, 5, 0, 0, 0, 32, 145, 10, 4, 10, 0, 3.0, 10.0, 10.0, 0, 1, 6, 6, 0, 0, 4, 0, 4, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 5, 5, 30.0, 100.0, 100.0, 40.0, 83.296875, 83.296875, 0, 16.69921875, 60.0, 0.0, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 100.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 100.0, 10.0, 0.0, 0.0, 40.0, "Tous les candidats", 139.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10554", "Licence - Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10554&g_ta_cod=10554", 90.0, 10.0, 0.0),
(4214, "Privé enseignement supérieur", "0941890U", "ESIEA Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Ivry-sur-Seine", "formation sélective", "Ecole d'Ingénieur", "PUISSANCE ALPHA BACHELOR - Formation Bac + 3", "Formations  des écoles d'ingénieurs", "Bachelor Cybersécurité", 25, 343, 33, 334, 0, 233, 30, 50, 16, 3, 3, 48, 9, 2, 1, 1, 5, 330, 4, 0, 0, 233, 30, 48, 15, 2, 2, 47, 316, 17, 0, 16, 1, 12.0, 16.0, 16.0, 0, 4, 16, 14, 2, 0, 1, 0, 12, 4, 0, 0, 0.0, 4, 0, 0, 0, 0, 5, 13, 70.59, 94.12, 94.12, 0.0, 31.296875, 81.296875, 0, 25.0, 94.09375, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 87.5, 25.0, 12.5, 0.0, 0.0, 0.0, 225.0, 28.0, 2.0, 2.0, 48.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "30818", "Formation Bac + 3", "PUISSANCE ALPHA BACHELOR", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30813&g_ta_cod=30818", 88.0, 12.0, 0.0),
(4215, "Public", "0451535Z", "Lycée agricole Le Chesnoy-Les Barres", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Nogent-sur-Vernisson", "formation sélective", "BTS", "Lycée agricole Le Chesnoy-Les Barres - BTS - Agricole - Gestion forestière", "BTS - Agricole", "", 38, 506, 116, 476, 0, 123, 18, 107, 13, 64, 10, 182, 30, 7, 3, 2, 18, 146, 2, 0, 0, 67, 4, 39, 1, 31, 4, 9, 107, 34, 5, 32, 2, 9.0, 32.0, 34.0, 0, 4, 29, 12, 10, 7, 5, 0, 8, 14, 6, 1, 0.0, 10, 7, 4, 0, 0, 11, 11, 26.47, 94.12, 100.0, 14.69921875, 37.8984375, 37.8984375, 0, 13.798828125, 85.296875, 0.0, 27.59765625, 48.296875, 20.69921875, 3.4, 0.0, 41.3984375, 34.5, 34.5, 24.09765625, 24.09765625, 13.798828125, 47.0, 4.0, 22.0, 3.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 73.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 29.0, "5739", "BTS - Agricole - Gestion forestière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5739&g_ta_cod=5739", 44.0, 35.0, 21.0),
(4216, "Public", "0900236T", "Lycée professionnel Raoul Follereau", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "Autre formation", "Lycée professionnel Raoul Follereau - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 23, 11, 7, 0, 0, 0.0, 0.0, 1.0, 0, 5, 11, 0, 0, 11, 0, 0, 7, 4, 0, 0, 0.0, 0, 0, 4, 0, 0, 11, 11, 0.0, 0.0, 9.09, 63.59375, 100.0, 100.0, 0, 45.5, 100.0, 0.0, 63.59375, 36.3984375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 36.3984375, 0.0, 0.0, 21.0, 12.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30550", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(4217, "Public", "0770934X", "Lycée Leonard De Vinci", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation sélective", "BTS", "Lycée Leonard De Vinci - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 892, 433, 892, 0, 60, 16, 289, 93, 329, 114, 214, 0, 0, 0, 0, 0, 690, 0, 0, 0, 53, 13, 234, 72, 261, 85, 142, 174, 34, 17, 34, 0, 3.0, 26.0, 28.0, 0, 11, 26, 1, 13, 12, 8, 0, 11, 10, 4, 1, 0.0, 1, 4, 10, 6, 4, 23, 24, 8.82, 76.47, 82.35, 50.0, 88.5, 92.296875, 23.09765625, 42.296875, 76.5, 0.0, 42.296875, 38.5, 15.3984375, 3.8, 0.0, 3.7998046875, 3.7998046875, 50.0, 15.3984375, 46.1953125, 38.5, 14.0, 4.0, 58.0, 19.0, 26.0, "Tous les candidats sauf les Bac professionnels", 136.0, "Bacheliers professionnels toutes séries", 87, "", 0, "Liste d'appel propre à cette formation", 25.0, "9816", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9816&g_ta_cod=9816", 9.0, 44.0, 44.0),
(4218, "Public", "0782132U", "Lycée Jeanne D'Albret", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "CPGE", "Lycée Jeanne D'Albret - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 433, 284, 383, 181, 298, 31, 0, 0, 1, 0, 84, 50, 33, 1, 1, 15, 300, 30, 147, 288, 284, 27, 0, 0, 0, 0, 16, 281, 28, 15, 22, 6, 9.0, 20.0, 28.0, 9, 2, 23, 22, 0, 1, 5, 0, 0, 12, 9, 1, 1.0, 22, 0, 1, 1, 0, 17, 19, 32.14, 71.43, 100.0, 53.59375, 73.890625, 82.59375, 4.2998046875, 8.69921875, 82.09375, 0.0, 0.0, 52.1953125, 39.09375, 4.3, 4.3, 95.6875, 95.6875, 0.0, 0.0, 4.2998046875, 4.2998046875, 260.0, 27.0, 1.0, 1.0, 20.0, "Tous les candidats", 301.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "10024", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10024&g_ta_cod=10024", 96.0, 0.0, 4.0),
(4219, "Public", "0691644M", "Lycée Louis Armand", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villefranche-sur-Saône", "formation sélective", "Autre formation", "Lycée Louis Armand - Mention complémentaire - Maintenance des installations oléohydrauliques et pneumatiques", "Mention complémentaire", "", 15, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 0, 2, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30566", "Mention complémentaire - Maintenance des installations oléohydrauliques et pneumatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30566&g_ta_cod=30566", 0, 0, 0),
(4220, "Public", "6200002H", "Lycée Laetitia Bonaparte", "2A", "Corse du Sud", "Corse", "Corse", "Ajaccio", "formation sélective", "BTS", "Lycée Laetitia Bonaparte - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 24, 576, 130, 538, 0, 30, 6, 37, 4, 35, 14, 436, 38, 3, 10, 0, 25, 72, 5, 0, 0, 19, 2, 19, 2, 25, 10, 9, 58, 24, 2, 22, 2, 11.0, 18.0, 20.0, 0, 8, 23, 4, 6, 13, 1, 0, 6, 12, 3, 2, 0.0, 1, 4, 12, 7, 1, 23, 23, 45.83, 75.0, 83.33, 8.298828125, 100.0, 100.0, 30.3984375, 34.796875, 95.796875, 0.0, 26.09765625, 52.1953125, 13.0, 8.7, 0.0, 17.3984375, 4.2998046875, 26.09765625, 17.3984375, 56.5, 52.1953125, 18.0, 3.0, 14.0, 7.0, 9.0, "Tous les candidats sauf les Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 11.0, "11683", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11683&g_ta_cod=11683", 21.0, 25.0, 54.0),
(4221, "Public", "0720048L", "Lycée polyvalent Raphaël Elizé", "72", "Sarthe", "Pays de la Loire", "Nantes", "Sablé-sur-Sarthe", "formation sélective", "BTS", "Lycée polyvalent Raphaël Elizé - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 175, 47, 145, 0, 6, 1, 66, 23, 44, 15, 29, 30, 0, 10, 9, 11, 109, 15, 0, 0, 5, 1, 52, 15, 39, 13, 13, 105, 21, 5, 11, 9, 0.0, 9.0, 13.0, 0, 7, 18, 0, 10, 8, 3, 0, 12, 4, 1, 1, 0.0, 0, 2, 4, 4, 2, 14, 14, 0.0, 42.86, 61.9, 23.796875, 77.796875, 77.796875, 22.19921875, 38.8984375, 85.6875, 0.0, 66.6875, 22.19921875, 5.599609375, 5.6, 0.0, 0.0, 0.0, 55.59375, 11.099609375, 44.3984375, 22.19921875, 4.0, 1.0, 34.0, 12.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 73.0, "8705", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8705&g_ta_cod=8705", 5.0, 52.0, 43.0),
(4222, "Public", "0800063J", "Lycée professionnel Boucher De Perthes", "80", "Somme", "Hauts-de-France", "Amiens", "Abbeville", "formation sélective", "Autre formation", "Lycée professionnel Boucher De Perthes - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 7, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 0.0, 1.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35018", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=35018&g_ta_cod=35018", 0, 0, 0),
(4223, "Public", "0342090M", "Lycée Victor Hugo", "34", "Hérault", "Occitanie", "Montpellier", "Lunel", "formation sélective", "BTS", "Lycée Victor Hugo - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 217, 7, 178, 0, 7, 1, 39, 13, 86, 49, 46, 39, 0, 8, 17, 14, 58, 12, 0, 0, 2, 0, 21, 7, 34, 18, 1, 72, 18, 1, 13, 4, 8.0, 13.0, 15.0, 0, 8, 17, 0, 3, 14, 1, 0, 5, 5, 5, 2, 0.0, 0, 2, 10, 11, 0, 17, 17, 44.44, 72.22, 83.33, 5.599609375, 100.0, 100.0, 64.6875, 47.09375, 94.390625, 0.0, 29.3984375, 29.3984375, 29.3984375, 11.8, 0.0, 0.0, 0.0, 17.59765625, 11.798828125, 82.390625, 58.796875, 3.0, 0.0, 39.0, 20.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 33.0, "19980", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19980&g_ta_cod=19980", 0.0, 17.0, 83.0),
(4224, "Public", "0751708Z", "Lycée Louis Armand", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "BTS", "Lycée Louis Armand - BTS - Services - Gestion de la PME", "BTS - Services", "", 33, 1524, 905, 1429, 0, 119, 29, 305, 113, 533, 296, 472, 95, 38, 0, 0, 57, 499, 11, 0, 0, 76, 20, 40, 12, 293, 160, 90, 191, 31, 23, 25, 6, 7.0, 20.0, 24.0, 0, 10, 18, 4, 1, 13, 13, 0, 3, 7, 8, 0, 0.0, 2, 1, 12, 0, 0, 9, 17, 22.58, 64.52, 77.42, 74.1875, 50.0, 94.390625, 0, 55.59375, 58.09375, 0.0, 16.69921875, 38.8984375, 44.3984375, 0.0, 0.0, 22.19921875, 11.099609375, 5.599609375, 5.599609375, 72.1875, 66.6875, 48.0, 19.0, 80.0, 51.0, 55.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 132, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 17.0, "18848", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18848&g_ta_cod=18848", 45.0, 3.0, 52.0),
(4225, "Public", "0330192E", "Sciences Po Bordeaux - Institut d'études politiques", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Autre formation", "Sciences Po Bordeaux - Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Filière intégrée France-Allemagne (FIFA)", "Sciences politiques", "Filière intégrée France-Allemagne (FIFA)", 12, 203, 138, 203, 0, 179, 10, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 35, 0, 0, 0, 32, 1, 0, 0, 0, 0, 3, 25, 11, 8, 11, 0, 2.0, 10.0, 11.0, 0, 0, 11, 11, 0, 0, 0, 0, 0, 0, 1, 6, 4.0, 11, 0, 0, 0, 0, 2, 2, 18.18, 90.91, 100.0, 72.6875, 18.19921875, 18.19921875, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 9.099609375, 54.5, 36.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 24.0, 1.0, 0.0, 0.0, 1.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "25930", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Filière intégrée France-Allemagne (FIFA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25930&g_ta_cod=25930", 100.0, 0.0, 0.0),
(4226, "Public", "0693619J", "Lycée Robert Doisneau", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Vaulx-en-Velin", "formation sélective", "Autre formation", "Lycée Robert Doisneau - Mention complémentaire - FCIL - CAES - Option Production", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 2.0, 1.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30697", "Mention complémentaire - FCIL - CAES - Option Production", "", "", 0, 0, 0),
(4227, "Public", "0831616F", "Lycée Rouvière", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Rouvière - BTS - Production - Systèmes numériques - Option électronique et communication - Parcours Marine Nationale / Maistrance - Défense", "BTS - Production", "Parcours Marine Nationale / Maistrance - Défense", 3, 84, 7, 84, 0, 27, 3, 15, 3, 33, 8, 9, 0, 0, 0, 0, 0, 24, 0, 0, 0, 14, 0, 5, 1, 4, 0, 1, 9, 3, 0, 3, 0, 1.0, 3.0, 3.0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 1, 1, 33.33, 100.0, 100.0, 0.0, 33.296875, 33.296875, 0, 0.0, 100.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 5.0, 0.0, 1.0, 0.0, 1.0, "Tous les candidats", 13.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "22030", "BTS - Production - Systèmes numériques - Option électronique et communication - Parcours Marine Nationale / Maistrance - Défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22030&g_ta_cod=22030", 100.0, 0.0, 0.0),
(4228, "Public", "0220023F", "Lycée Felix Le Dantec", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Lannion", "formation sélective", "BTS", "Lycée Felix Le Dantec - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 531, 55, 525, 0, 106, 15, 118, 26, 95, 26, 206, 6, 0, 0, 4, 2, 367, 0, 0, 0, 103, 13, 118, 26, 65, 18, 81, 113, 27, 0, 26, 0, 4.0, 21.0, 24.0, 0, 3, 22, 10, 6, 6, 5, 0, 13, 6, 3, 0, 0.0, 2, 2, 5, 5, 0, 22, 22, 14.81, 77.78, 88.89, 0.0, 100.0, 100.0, 22.69921875, 13.599609375, 81.5, 0.0, 59.09375, 27.296875, 13.599609375, 0.0, 0.0, 45.5, 9.099609375, 27.296875, 9.099609375, 27.296875, 22.69921875, 42.0, 7.0, 47.0, 14.0, 8.0, "Tous les candidats sauf les Bac professionnels", 146.0, "Bacheliers professionnels toutes séries", 66, "", 0, "Liste d'appel propre à cette formation", 40.0, "3310", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3310&g_ta_cod=3310", 44.0, 30.0, 26.0),
(4229, "Public", "0932323V", "IFSI Institut de Formation Interhospitalier Théodore Simon", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Neuilly-sur-Marne", "formation sélective", "IFSI", "Regroupement d'IFSI Université Paris Nord - D.E Infirmier", "D.E secteur sanitaire", "", 178, 4623, 4125, 4623, 0, 466, 181, 831, 393, 661, 380, 2665, 0, 0, 0, 0, 0, 3986, 0, 0, 0, 463, 179, 764, 362, 529, 309, 2230, 1016, 182, 158, 181, 0, 12.0, 119.0, 165.0, 0, 27, 88, 34, 48, 6, 94, 0, 25, 41, 19, 3, 0.0, 19, 38, 6, 0, 0, 75, 80, 6.59, 65.38, 90.66, 86.796875, 85.1875, 90.890625, 0, 30.69921875, 48.3984375, 0.0, 28.3984375, 46.59375, 21.59765625, 3.4, 0.0, 38.59375, 21.59765625, 54.5, 43.1953125, 6.7998046875, 6.7998046875, 250.0, 84.0, 31.0, 12.0, 504.0, "Tous les candidats", 1892.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "23054", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23010&g_ta_cod=23054", 52.0, 37.0, 10.0),
(4230, "Public", "9840482B", "Lycée du Diadème - Te tara o mai'ao", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Pirae", "formation sélective", "BTS", "Lycée du Diadème - Te tara o mai'ao - BTS - Services - Gestion de la PME", "BTS - Services", "", 22, 390, 307, 390, 0, 31, 15, 162, 93, 134, 96, 63, 0, 0, 0, 0, 0, 390, 0, 0, 0, 31, 15, 162, 93, 134, 96, 63, 77, 20, 17, 20, 0, 2.0, 18.0, 18.0, 0, 12, 18, 0, 10, 8, 2, 0, 5, 9, 4, 0, 0.0, 0, 5, 8, 7, 6, 18, 18, 10.0, 90.0, 90.0, 85.0, 100.0, 100.0, 38.8984375, 66.6875, 90.0, 0.0, 27.796875, 50.0, 22.19921875, 0.0, 0.0, 0.0, 0.0, 55.59375, 27.796875, 44.3984375, 44.3984375, 7.0, 3.0, 24.0, 14.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers technologiques toutes séries", 49, "Bacheliers professionnels toutes séries", 36, "Liste d'appel propre à cette formation", 28.0, "25800", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25800&g_ta_cod=25800", 5.0, 55.0, 40.0),
(4231, "Public", "9840300D", "CNAM de Polynésie Française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Punaauia", "formation sélective", "Autre formation", "CNAM de Polynésie Française - Formation Supérieure de Spécialisation - Tourisme", "Diplôme d'Université", "Tourisme", 14, 34, 24, 19, 0, 5, 1, 4, 1, 2, 0, 8, 15, 3, 1, 2, 9, 3, 10, 0, 0, 1, 0, 2, 1, 0, 0, 0, 13, 5, 3, 0, 5, 0.0, 0.0, 3.0, 0, 0, 1, 0, 0, 1, 4, 0, 0, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 0.0, 0.0, 60.0, 60.0, 100.0, 100.0, 0, 0.0, 20.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 3.0, 0.0, 2.0, 1.0, 5.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "33915", "Formation Supérieure de Spécialisation - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33915&g_ta_cod=33915", 60.0, 0.0, 40.0),
(4232, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Droit - Parcours Droit général", "Licence - Droit-économie-gestion", "Droit général", 350, 1712, 1237, 1712, 0, 1247, 279, 175, 63, 38, 14, 252, 0, 0, 0, 0, 0, 1684, 0, 0, 0, 1247, 279, 175, 63, 38, 14, 224, 1686, 362, 253, 362, 0, 355.0, 359.0, 359.0, 0, 84, 313, 256, 43, 14, 49, 0, 116, 134, 53, 10, 0.0, 161, 25, 11, 0, 0, 263, 263, 98.07, 99.17, 99.17, 69.890625, 84.0, 84.0, 0, 26.796875, 86.5, 0.0, 37.09375, 42.796875, 16.8984375, 3.2, 0.0, 81.796875, 51.3984375, 13.69921875, 8.0, 4.5, 3.5, 1248.0, 279.0, 38.0, 14.0, 225.0, "Tous les candidats", 1685.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "5703", "Licence - Droit - Parcours Droit général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5703&g_ta_cod=5703", 79.0, 15.0, 6.0),
(4233, "Privé sous contrat d'association", "0340194H", "ISEN Méditerranée (Campus Nîmes) CPGE associée YNCREA (ISEN-HEI) Saint Joseph Pierre Rouge", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Formation d'ingénieur Bac + 5 - Bac +1/+2", 12, 211, 81, 195, 0, 0, 0, 0, 0, 0, 0, 195, 16, 0, 0, 0, 16, 190, 9, 0, 0, 0, 0, 0, 0, 0, 0, 190, 193, 5, 0, 1, 4, 1.0, 1.0, 5.0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 20.0, 20.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 193.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "26159", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=26159", 100.0, 0.0, 0.0),
(4234, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Licence", "Université d'Amiens - Double licence - Langues, littératures & civilisations étrangères et régionales / Droit - Anglais - Droit", "Licence - Arts-lettres-langues", "Anglais - Droit", 40, 427, 346, 427, 0, 337, 76, 21, 7, 3, 2, 66, 0, 0, 0, 0, 0, 275, 0, 0, 0, 242, 45, 1, 1, 0, 0, 32, 173, 38, 33, 38, 0, 5.0, 38.0, 38.0, 0, 9, 35, 35, 0, 0, 3, 0, 0, 11, 18, 4, 2.0, 35, 0, 0, 0, 0, 29, 29, 13.16, 100.0, 100.0, 86.796875, 82.890625, 82.890625, 0, 25.69921875, 92.09375, 0.0, 0.0, 31.3984375, 51.3984375, 11.4, 5.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 148.0, 29.0, 0.0, 0.0, 25.0, "Tous les candidats", 270.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "33110", "Double licence - Langues, littératures & civilisations étrangères et régionales / Droit - Anglais - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33110&g_ta_cod=33110", 100.0, 0.0, 0.0),
(4235, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 3 Paul Sabatier - Double licence - Mathématiques / Informatique - Mathématiques-Informatique en Double Licence (MIDL)", "Licence - Sciences - technologies - santé", "Mathématiques-Informatique en Double Licence (MIDL)", 36, 741, 134, 741, 0, 583, 91, 15, 5, 1, 0, 142, 0, 0, 0, 0, 0, 620, 0, 0, 0, 540, 78, 0, 0, 0, 0, 80, 240, 35, 7, 35, 0, 1.0, 24.0, 32.0, 0, 9, 32, 32, 0, 0, 3, 0, 0, 9, 11, 11, 1.0, 32, 0, 0, 0, 0, 19, 19, 2.86, 68.57, 91.43, 20.0, 59.3984375, 59.3984375, 0, 28.09765625, 91.390625, 0.0, 0.0, 28.09765625, 34.3984375, 34.4, 3.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 217.0, 30.0, 0.0, 0.0, 23.0, "Tous les candidats", 349.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "31831", "Double licence - Mathématiques / Informatique - Mathématiques-Informatique en Double Licence (MIDL)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31831&g_ta_cod=31831", 100.0, 0.0, 0.0),
(4236, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Double diplôme - Licence Histoire - Histoire Double diplôme Franco-Allemand en partenariat avec l'université de Tübingen", "Licence - Sciences humaines et sociales", "Histoire Double diplôme Franco-Allemand en partenariat avec l'université de Tübingen", 15, 47, 31, 44, 0, 35, 10, 1, 0, 0, 0, 8, 3, 0, 0, 1, 2, 36, 0, 0, 0, 29, 7, 1, 0, 0, 0, 6, 30, 6, 5, 6, 0, 4.0, 6.0, 6.0, 0, 2, 5, 4, 1, 0, 1, 0, 0, 3, 1, 0, 1.0, 4, 1, 0, 0, 0, 2, 2, 66.67, 100.0, 100.0, 83.296875, 40.0, 40.0, 0, 40.0, 83.296875, 0.0, 0.0, 60.0, 20.0, 0.0, 20.0, 80.0, 80.0, 20.0, 20.0, 0.0, 0.0, 24.0, 7.0, 0.0, 0.0, 5.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "26404", "Licence - Double diplôme - Licence Histoire - Histoire Double diplôme Franco-Allemand en partenariat avec l'université de Tübingen", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26404&g_ta_cod=26404", 83.0, 17.0, 0.0),
(4237, "Privé enseignement supérieur", "0333415H", "ELISA Aerospace Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Saint-Jean-d'Illac", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 2, 103, 5, 103, 0, 0, 0, 103, 20, 0, 0, 0, 0, 0, 0, 0, 0, 49, 0, 0, 0, 0, 0, 49, 9, 0, 0, 0, 17, 2, 0, 2, 0, 0.0, 2.0, 2.0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 1, 1, 0.0, 0, 2, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 0.0, 50.0, 50.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "22909", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=22909", 0.0, 100.0, 0.0),
(4238, "Public", "0650025Z", "Lycée Théophile Gautier", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "CPGE", "Lycée Théophile Gautier - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 30, 297, 130, 282, 201, 246, 20, 0, 0, 0, 0, 36, 15, 9, 0, 0, 6, 228, 9, 162, 214, 218, 18, 0, 0, 0, 0, 10, 215, 26, 14, 24, 2, 8.0, 23.0, 24.0, 4, 1, 26, 26, 0, 0, 0, 0, 1, 13, 12, 0, 0.0, 25, 0, 0, 2, 1, 18, 18, 30.77, 88.46, 92.31, 53.796875, 69.1875, 69.1875, 7.69921875, 3.7998046875, 100.0, 0.0, 3.7998046875, 50.0, 46.1953125, 0.0, 0.0, 100.0, 96.1875, 0.0, 0.0, 0.0, 0.0, 204.0, 18.0, 0.0, 0.0, 11.0, "Tous les candidats", 228.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "31395", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31395&g_ta_cod=31395", 100.0, 0.0, 0.0),
(4239, "Privé sous contrat d'association", "0791171U", "Institut Catholique Supérieur Saint André", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BTS", "Institut Catholique Supérieur Saint André - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 20, 76, 33, 63, 0, 9, 0, 28, 4, 14, 4, 12, 13, 1, 2, 1, 9, 63, 6, 0, 0, 9, 0, 28, 4, 14, 4, 12, 57, 11, 5, 9, 2, 4.0, 9.0, 10.0, 0, 1, 6, 0, 5, 1, 5, 1, 4, 0, 0, 1, 0.0, 0, 1, 0, 0, 0, 5, 5, 36.36, 81.82, 90.91, 45.5, 83.296875, 83.296875, 0, 16.69921875, 54.5, 16.69921875, 66.6875, 0.0, 0.0, 16.7, 0.0, 0.0, 0.0, 83.296875, 16.69921875, 16.69921875, 0.0, 7.0, 0.0, 14.0, 4.0, 15.0, "Tous les candidats sauf les Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 98.0, "10142", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10142&g_ta_cod=10142", 18.0, 73.0, 9.0),
(4240, "Public", "0750693W", "Lycée Buffon", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "CPGE", "Lycée Buffon - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 1843, 692, 1843, 240, 1660, 204, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 1396, 0, 183, 1339, 1375, 175, 0, 0, 0, 0, 21, 538, 45, 19, 45, 0, 25.0, 26.0, 39.0, 1, 7, 45, 45, 0, 0, 0, 0, 0, 5, 30, 10, 0.0, 45, 0, 0, 0, 0, 26, 43, 55.56, 57.78, 86.67, 42.1953125, 57.796875, 95.59375, 0, 15.599609375, 100.0, 0.0, 0.0, 11.099609375, 66.6875, 22.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 537.0, 68.0, 0.0, 0.0, 1.0, "Tous les candidats", 581.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "9115", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9115&g_ta_cod=9115", 100.0, 0.0, 0.0),
(4241, "Privé sous contrat d'association", "0100734U", "Lycée agricole Sainte Maure", "10", "Aube", "Grand Est", "Reims", "Sainte-Maure", "formation sélective", "BTS", "Lycée agricole Sainte Maure - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 35, 114, 28, 107, 0, 21, 2, 32, 1, 10, 2, 44, 7, 1, 1, 1, 4, 66, 6, 0, 0, 21, 2, 32, 1, 3, 1, 10, 64, 9, 3, 6, 3, 2.0, 6.0, 9.0, 0, 0, 7, 2, 4, 1, 2, 0, 3, 3, 1, 0, 0.0, 0, 4, 0, 0, 0, 4, 4, 22.22, 66.67, 100.0, 33.296875, 57.09375, 57.09375, 0, 0.0, 77.796875, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 28.59765625, 0.0, 57.09375, 57.09375, 14.298828125, 0.0, 21.0, 2.0, 4.0, 1.0, 14.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 3, "", 0, "Liste d'appel propre à cette formation", 62.0, "2431", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2431&g_ta_cod=2431", 44.0, 44.0, 11.0),
(4242, "Public", "0790007D", "Lycée Maurice Genevoix", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Bressuire", "formation sélective", "BTS", "Lycée Maurice Genevoix - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 279, 176, 237, 0, 22, 6, 67, 15, 58, 21, 90, 42, 5, 0, 13, 24, 118, 15, 0, 0, 14, 2, 48, 7, 40, 14, 16, 79, 16, 10, 6, 10, 1.0, 5.0, 13.0, 0, 6, 10, 2, 4, 4, 6, 1, 4, 4, 1, 0, 0.0, 1, 2, 2, 3, 1, 5, 5, 6.25, 31.25, 81.25, 62.5, 50.0, 50.0, 30, 60.0, 62.5, 10.0, 40.0, 40.0, 10.0, 0.0, 0.0, 20.0, 10.0, 40.0, 20.0, 40.0, 20.0, 9.0, 2.0, 32.0, 16.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 39.0, "10102", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10102&g_ta_cod=10102", 25.0, 25.0, 44.0),
(4243, "Public", "0250067M", "Lycée professionnel Les Huisselets", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "BTS", "Lycée professionnel Les Huisselets - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 16, 225, 188, 225, 0, 47, 10, 27, 10, 82, 33, 69, 0, 0, 0, 0, 0, 225, 0, 0, 0, 47, 10, 27, 10, 82, 33, 69, 67, 16, 15, 16, 0, 1.0, 10.0, 15.0, 0, 8, 14, 4, 2, 8, 2, 0, 5, 4, 5, 0, 0.0, 3, 0, 6, 0, 0, 8, 8, 6.25, 62.5, 93.75, 93.796875, 57.09375, 57.09375, 0, 57.09375, 87.5, 0.0, 35.6953125, 28.59765625, 35.6953125, 0.0, 0.0, 28.59765625, 21.3984375, 14.298828125, 0.0, 57.09375, 42.8984375, 15.0, 6.0, 31.0, 13.0, 12.0, "Tous les candidats sauf les Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 39.0, "20639", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20639&g_ta_cod=20639", 31.0, 13.0, 56.0),
(4244, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud et Himalaya -  Bengali", "Licence - Arts-lettres-langues", "Asie du Sud et Himalaya -  Bengali", 10, 12, 7, 6, 0, 1, 1, 0, 0, 1, 1, 4, 6, 1, 0, 0, 5, 6, 3, 0, 0, 1, 1, 0, 0, 1, 1, 4, 9, 4, 3, 1, 3, 1.0, 1.0, 2.0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 25.0, 25.0, 50.0, 75.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 1.0, 1.0, 1.0, 7.0, "Tous les candidats", 6.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9407", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud et Himalaya -  Bengali", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9407&g_ta_cod=9407", 25.0, 50.0, 25.0),
(4245, "Privé sous contrat d'association", "0442725Y", "LPO Talensac - Jeanne Bernard", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LPO Talensac - Jeanne Bernard - BTS - Services - Economie sociale familiale", "BTS - Services", "", 70, 918, 833, 907, 0, 137, 29, 230, 44, 293, 85, 247, 11, 0, 0, 1, 10, 591, 1, 0, 0, 123, 22, 203, 35, 136, 32, 129, 285, 62, 59, 61, 1, 12.0, 40.0, 55.0, 0, 13, 46, 14, 15, 17, 16, 0, 17, 17, 10, 2, 0.0, 7, 6, 16, 3, 3, 41, 41, 19.35, 64.52, 88.71, 95.1875, 89.09375, 89.09375, 6.5, 28.296875, 74.1875, 0.0, 37.0, 37.0, 21.69921875, 4.3, 0.0, 30.3984375, 15.19921875, 32.59375, 13.0, 37.0, 34.796875, 67.0, 13.0, 61.0, 16.0, 47.0, "Tous les candidats sauf les Bac professionnels", 284.0, "Bacheliers professionnels toutes séries", 98, "", 0, "Liste d'appel propre à cette formation", 42.0, "5530", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5530&g_ta_cod=5530", 31.0, 40.0, 29.0),
(4246, "Public", "0641839B", "Lycée Jacques Monod", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Lescar", "formation sélective", "BTS", "Lycée Jacques Monod - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 30, 693, 474, 551, 0, 94, 11, 199, 45, 24, 2, 234, 142, 35, 40, 10, 57, 161, 33, 0, 0, 30, 4, 101, 20, 9, 1, 21, 156, 26, 18, 13, 11, 3.0, 11.0, 22.0, 0, 5, 18, 4, 12, 2, 8, 0, 8, 6, 2, 2, 0.0, 2, 6, 2, 2, 1, 12, 12, 11.54, 42.31, 84.62, 69.1875, 66.6875, 66.6875, 11.099609375, 27.796875, 69.1875, 0.0, 44.3984375, 33.296875, 11.099609375, 11.1, 0.0, 22.19921875, 11.099609375, 66.6875, 33.296875, 11.099609375, 11.099609375, 29.0, 6.0, 10.0, 1.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 106, "Liste d'appel propre à cette formation", 29.0, "7790", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7790&g_ta_cod=7790", 35.0, 58.0, 8.0),
(4247, "Public", "0641478J", "I.U.T. de Bayonne", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation sélective", "BUT", "I.U.T. de Bayonne - BUT - Informatique Parcours : Parcours : Réalisation d?applications (conception, développement, validation) - Parcours : Intégration  d?applications et management du système d?information", "BUT - Production", "Parcours : Réalisation d?applications (conception, développement, validation) - Parcours : Intégration  d?applications et management du système d?information", 64, 1039, 90, 1039, 0, 609, 93, 231, 60, 16, 5, 183, 0, 0, 0, 0, 0, 685, 0, 0, 0, 501, 73, 122, 29, 2, 1, 60, 290, 64, 1, 64, 0, 10.0, 60.0, 63.0, 0, 12, 63, 37, 26, 0, 1, 0, 15, 34, 14, 0, 0.0, 31, 17, 0, 0, 0, 50, 50, 15.63, 93.75, 98.44, 1.599853515625, 79.390625, 79.390625, 0, 19.0, 98.390625, 0.0, 23.796875, 54.0, 22.19921875, 0.0, 0.0, 58.6953125, 49.1953125, 41.296875, 27.0, 0.0, 0.0, 183.0, 32.0, 0.0, 0.0, 7.0, "Tous les candidats sauf les Bac technologiques", 289.0, "Bacheliers technologiques toutes séries", 125, "", 0, "Liste d'appel propre à cette formation", 40.0, "7758", "BUT - Informatique Parcours : Parcours : Réalisation d?applications (conception, développement, validation) - Parcours : Intégration  d?applications et management du système d?information", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7758&g_ta_cod=7758", 58.0, 41.0, 2.0),
(4248, "Public", "0622238W", "I.U.T. de Béthune", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "BUT", "I.U.T. de Béthune - BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Matériaux et produits formulés - Chimie industrielle", "BUT - Production", "Analyse, contrôle-qualité, environnement - Matériaux et produits formulés - Chimie industrielle", 78, 468, 245, 403, 0, 215, 32, 101, 18, 1, 0, 86, 65, 15, 5, 0, 45, 352, 19, 0, 0, 203, 28, 78, 12, 0, 0, 71, 347, 68, 27, 64, 3, 36.0, 64.0, 66.0, 0, 10, 57, 37, 20, 0, 11, 0, 17, 22, 15, 3, 0.0, 25, 15, 0, 0, 0, 47, 47, 52.94, 94.12, 97.06, 39.6953125, 82.5, 82.5, 0, 17.5, 83.796875, 0.0, 29.796875, 38.59375, 26.296875, 5.3, 0.0, 64.890625, 43.8984375, 35.09375, 26.296875, 0.0, 0.0, 197.0, 31.0, 0.0, 0.0, 74.0, "Tous les candidats sauf les Bac technologiques", 267.0, "Bacheliers technologiques toutes séries", 86, "", 0, "Liste d'appel propre à cette formation", 87.0, "7434", "BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Matériaux et produits formulés - Chimie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7434&g_ta_cod=7434", 68.0, 32.0, 0.0),
(4249, "Privé sous contrat d'association", "0440279P", "Lycée La Baugerie", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Sébastien-sur-Loire", "formation sélective", "BTS", "Lycée La Baugerie - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 15, 290, 252, 290, 0, 72, 11, 28, 7, 138, 32, 52, 0, 0, 0, 0, 0, 121, 0, 0, 0, 20, 1, 6, 1, 93, 19, 2, 53, 17, 14, 17, 0, 5.0, 15.0, 17.0, 0, 3, 17, 4, 1, 12, 0, 0, 1, 4, 8, 4, 0.0, 3, 1, 12, 3, 3, 13, 13, 29.41, 88.24, 100.0, 82.390625, 76.5, 76.5, 17.59765625, 17.59765625, 100.0, 0.0, 5.8994140625, 23.5, 47.09375, 23.5, 0.0, 23.5, 17.59765625, 5.8994140625, 5.8994140625, 70.59375, 70.59375, 10.0, 1.0, 40.0, 7.0, 0.0, "Tous les candidats sauf les Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 65, "", 0, "Liste d'appel propre à cette formation", 27.0, "12755", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12755&g_ta_cod=12755", 24.0, 6.0, 71.0),
(4250, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte / Lycée Pascal Paoli de Corte - Licence - Lettres - Parcours Préparatoire au Professorat des Ecoles", "Licence - Arts-lettres-langues", "Préparatoire au Professorat des Ecoles", 30, 155, 133, 155, 0, 82, 17, 21, 7, 6, 0, 46, 0, 0, 0, 0, 0, 155, 0, 0, 0, 82, 17, 21, 7, 6, 0, 46, 87, 26, 24, 26, 0, 12.0, 25.0, 25.0, 0, 8, 22, 15, 6, 1, 4, 0, 5, 9, 7, 1, 0.0, 10, 6, 1, 0, 0, 21, 21, 46.15, 96.15, 96.15, 92.296875, 95.5, 95.5, 0, 36.3984375, 84.59375, 0.0, 22.69921875, 40.8984375, 31.796875, 4.5, 0.0, 68.1875, 45.5, 27.296875, 27.296875, 4.5, 4.5, 53.0, 10.0, 3.0, 0.0, 16.0, "Tous les candidats", 107.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "32611", "Licence - Lettres - Parcours Préparatoire au Professorat des Ecoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32611&g_ta_cod=32611", 69.0, 27.0, 4.0),
(4251, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation non sélective", "Licence", "Université de La Rochelle - Licence - Génie civil", "Licence - Sciences - technologies - santé", "", 75, 841, 194, 815, 0, 516, 58, 146, 26, 2, 1, 151, 26, 7, 1, 0, 18, 775, 17, 0, 0, 516, 58, 146, 26, 2, 1, 111, 411, 72, 15, 61, 9, 0.0, 39.0, 58.0, 0, 10, 54, 47, 6, 1, 18, 0, 20, 30, 4, 0, 0.0, 29, 5, 0, 0, 0, 30, 30, 0.0, 54.17, 80.56, 20.796875, 55.59375, 55.59375, 0, 18.5, 75.0, 0.0, 37.0, 55.59375, 7.3994140625, 0.0, 0.0, 87.0, 53.6953125, 11.099609375, 9.298828125, 1.89990234375, 0.0, 311.0, 34.0, 1.0, 1.0, 80.0, "Tous les candidats", 683.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "3080", "Licence - Génie civil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3080&g_ta_cod=3080", 85.0, 13.0, 3.0),
(4252, "Privé sous contrat d'association", "0430098Y", "Lycée polyvalent Saint Jacques de Compostelle", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "BTS", "Lycée polyvalent Saint Jacques de Compostelle - BTS - Services - Economie sociale familiale", "BTS - Services", "", 40, 329, 270, 316, 0, 33, 7, 83, 19, 86, 28, 114, 13, 0, 2, 6, 5, 255, 6, 0, 0, 33, 7, 83, 19, 83, 27, 56, 183, 26, 24, 25, 1, 3.0, 21.0, 24.0, 0, 5, 19, 5, 6, 8, 7, 0, 10, 6, 2, 1, 0.0, 0, 1, 8, 2, 2, 16, 16, 11.54, 80.77, 92.31, 92.296875, 84.1875, 84.1875, 10.5, 26.296875, 73.09375, 0.0, 52.59375, 31.59765625, 10.5, 5.3, 0.0, 26.296875, 0.0, 31.59765625, 5.2998046875, 42.09375, 42.09375, 28.0, 6.0, 59.0, 19.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 69.0, "5404", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5404&g_ta_cod=5404", 23.0, 38.0, 38.0),
(4253, "Public", "0952196W", "LYCEE POLYVALENT GUSTAVE MONOD", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Enghien-les-Bains", "formation sélective", "CPGE", "LYCEE POLYVALENT GUSTAVE MONOD - CPGE - PCSI", "Classe préparatoire scientifique", "", 40, 530, 205, 519, 0, 369, 76, 3, 2, 2, 1, 145, 11, 3, 1, 1, 6, 373, 1, 0, 373, 307, 54, 0, 0, 0, 0, 66, 243, 35, 14, 34, 1, 3.0, 17.0, 31.0, 0, 2, 21, 21, 0, 0, 14, 0, 8, 4, 6, 3, 0.0, 13, 0, 0, 1, 0, 20, 21, 8.57, 48.57, 88.57, 40.0, 95.1875, 100.0, 4.7998046875, 9.5, 60.0, 0.0, 38.09375, 19.0, 28.59765625, 14.3, 0.0, 100.0, 61.8984375, 0.0, 0.0, 0.0, 0.0, 190.0, 41.0, 0.0, 0.0, 53.0, "Tous les candidats", 347.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "11562", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11562&g_ta_cod=11562", 100.0, 0.0, 0.0),
(4254, "Privé enseignement supérieur", "0310155A", "Institut Catholique de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Institut Catholique de Toulouse - Licence - Information et communication", "Licence - Sciences humaines et sociales", "", 30, 371, 291, 371, 0, 242, 38, 13, 2, 3, 2, 113, 0, 0, 0, 0, 0, 368, 0, 0, 0, 242, 38, 13, 2, 3, 2, 110, 141, 30, 24, 30, 0, 2.0, 27.0, 27.0, 0, 3, 25, 24, 1, 0, 5, 0, 2, 18, 4, 1, 0.0, 22, 1, 0, 0, 0, 19, 19, 6.67, 90.0, 90.0, 80.0, 76.0, 76.0, 0, 12.0, 83.296875, 0.0, 8.0, 72.0, 16.0, 4.0, 0.0, 96.0, 88.0, 4.0, 4.0, 0.0, 0.0, 114.0, 15.0, 0.0, 0.0, 24.0, "Tous les candidats", 175.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "24439", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24439&g_ta_cod=24439", 97.0, 3.0, 0.0),
(4255, "Public", "0442765S", "Lycée polyvalent Nelson Mandela", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée polyvalent Nelson Mandela - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 790, 595, 786, 0, 60, 15, 319, 121, 227, 109, 180, 4, 0, 0, 0, 4, 387, 0, 0, 0, 46, 12, 163, 43, 117, 48, 61, 155, 32, 28, 31, 0, 6.0, 22.0, 28.0, 0, 9, 21, 3, 10, 8, 11, 0, 8, 9, 3, 1, 0.0, 0, 7, 6, 5, 3, 18, 18, 18.75, 68.75, 87.5, 87.5, 85.6875, 85.6875, 23.796875, 42.8984375, 65.59375, 0.0, 38.09375, 42.8984375, 14.298828125, 4.8, 0.0, 14.298828125, 0.0, 47.59375, 33.296875, 38.09375, 28.59765625, 26.0, 8.0, 33.0, 12.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 105, "Liste d'appel propre à cette formation", 28.0, "5445", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5445&g_ta_cod=5445", 22.0, 50.0, 28.0),
(4256, "Privé sous contrat d'association", "0292125C", "ISEN Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 36, 1175, 468, 1150, 0, 1143, 107, 0, 0, 0, 0, 7, 25, 25, 0, 0, 0, 920, 13, 0, 0, 920, 78, 0, 0, 0, 0, 0, 842, 18, 12, 14, 4, 14.0, 14.0, 18.0, 0, 1, 18, 18, 0, 0, 0, 0, 2, 7, 6, 3, 0.0, 16, 0, 0, 0, 0, 14, 14, 77.78, 77.78, 100.0, 66.6875, 77.796875, 77.796875, 0, 5.599609375, 100.0, 0.0, 11.099609375, 38.8984375, 33.296875, 16.7, 0.0, 100.0, 88.890625, 0.0, 0.0, 0.0, 0.0, 842.0, 74.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "504", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=504", 100.0, 0.0, 0.0),
(4257, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation non sélective", "Licence", "Université Grenoble Alpes - Antenne de Valence - Licence - Lettres - Parcours Lettres modernes", "Licence - Arts-lettres-langues", "Lettres modernes", 45, 274, 219, 251, 0, 170, 50, 13, 3, 10, 6, 58, 23, 4, 2, 3, 14, 251, 16, 0, 0, 170, 50, 13, 3, 10, 6, 58, 222, 35, 25, 27, 8, 10.0, 27.0, 32.0, 0, 6, 22, 17, 3, 2, 13, 1, 13, 5, 3, 0, 0.0, 7, 0, 1, 0, 0, 19, 19, 28.57, 77.14, 91.43, 71.390625, 86.390625, 86.390625, 0, 27.296875, 62.8984375, 4.5, 59.09375, 22.69921875, 13.599609375, 0.0, 0.0, 77.296875, 31.796875, 13.599609375, 0.0, 9.099609375, 4.5, 147.0, 43.0, 12.0, 8.0, 50.0, "Tous les candidats", 251.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3668", "Licence - Lettres - Parcours Lettres modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3668&g_ta_cod=3668", 66.0, 11.0, 17.0),
(4258, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Lettres / Langues, littératures & civilisations étrangères et régionales - LETTRES MODERNES - LLCER ANGLAIS", "Licence - Arts-lettres-langues", "LETTRES MODERNES - LLCER ANGLAIS", 15, 1162, 960, 648, 0, 492, 63, 9, 4, 3, 1, 144, 514, 210, 25, 11, 268, 100, 13, 0, 0, 83, 12, 0, 0, 0, 0, 17, 74, 13, 11, 6, 7, 0.0, 6.0, 13.0, 0, 1, 11, 11, 0, 0, 2, 0, 0, 5, 2, 3, 1.0, 11, 0, 0, 0, 0, 2, 7, 0.0, 46.15, 100.0, 84.59375, 18.19921875, 63.59375, 0, 9.099609375, 84.59375, 0.0, 0.0, 45.5, 18.19921875, 27.3, 9.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 63.0, 9.0, 0.0, 0.0, 11.0, "Tous les candidats", 100.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "9295", "Double licence - Lettres / Langues, littératures & civilisations étrangères et régionales - LETTRES MODERNES - LLCER ANGLAIS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9295&g_ta_cod=9295", 100.0, 0.0, 0.0),
(4259, "Public", "0740005D", "Lycée Gabriel Fauré", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BTS", "Lycée Gabriel Fauré - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 24, 563, 63, 563, 0, 46, 8, 197, 47, 136, 41, 184, 0, 0, 0, 0, 0, 369, 0, 0, 0, 37, 5, 134, 28, 110, 29, 88, 112, 25, 4, 25, 0, 1.0, 20.0, 25.0, 0, 10, 21, 2, 8, 11, 4, 0, 4, 12, 4, 1, 0.0, 1, 6, 10, 1, 1, 18, 18, 4.0, 80.0, 100.0, 16.0, 85.6875, 85.6875, 4.7998046875, 47.59375, 84.0, 0.0, 19.0, 57.09375, 19.0, 4.8, 0.0, 9.5, 4.7998046875, 38.09375, 28.59765625, 52.3984375, 47.59375, 9.0, 3.0, 42.0, 13.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 31.0, "8853", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8853&g_ta_cod=8853", 8.0, 48.0, 44.0),
(4260, "Public", "0080008R", "Lycée François Bazin", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BTS", "Lycée François Bazin - BTS - Production - Conception de produits industriels", "BTS - Production", "", 24, 87, 8, 68, 0, 2, 1, 30, 8, 14, 3, 22, 19, 1, 6, 4, 8, 47, 16, 0, 0, 2, 1, 28, 7, 13, 2, 4, 61, 19, 1, 10, 9, 3.0, 9.0, 14.0, 0, 3, 12, 0, 9, 3, 7, 0, 9, 3, 0, 0, 0.0, 0, 1, 2, 7, 0, 11, 11, 15.79, 47.37, 73.68, 5.2998046875, 91.6875, 91.6875, 58.296875, 25.0, 63.1953125, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 75.0, 8.298828125, 25.0, 16.69921875, 4.0, 1.0, 16.0, 4.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 69.0, "2357", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2357&g_ta_cod=2357", 5.0, 68.0, 26.0),
(4261, "Public", "0611149T", "IUT GRAND OUEST NORMANDIE - Pôle d'Alençon", "61", "Orne", "Normandie", "Normandie", "Damigny", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle d'Alençon - BUT - Carrières sociales parcours villes et territoires durables", "BUT - Service", "", 56, 249, 165, 215, 0, 118, 15, 41, 10, 4, 2, 52, 34, 7, 3, 4, 20, 204, 8, 0, 0, 115, 13, 34, 9, 3, 1, 52, 167, 34, 18, 33, 1, 10.0, 33.0, 34.0, 0, 4, 25, 20, 5, 0, 9, 1, 8, 9, 7, 0, 0.0, 15, 1, 0, 0, 0, 10, 10, 29.41, 97.06, 100.0, 52.8984375, 40.0, 40.0, 0, 16.0, 73.5, 4.0, 32.0, 36.0, 28.0, 0.0, 0.0, 80.0, 60.0, 20.0, 4.0, 0.0, 0.0, 84.0, 12.0, 2.0, 1.0, 47.0, "Tous les candidats sauf les Bac technologiques", 159.0, "Bacheliers technologiques toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 94.0, "7321", "BUT - Carrières sociales parcours villes et territoires durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7321&g_ta_cod=7321", 82.0, 18.0, 0.0),
(4262, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence_Las", "Université de Paris - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 60, 2513, 1930, 2513, 0, 1441, 329, 56, 23, 8, 3, 1008, 0, 0, 0, 0, 0, 2513, 0, 0, 0, 1441, 329, 56, 23, 8, 3, 1008, 500, 59, 51, 59, 0, 2.0, 39.0, 45.0, 0, 10, 56, 56, 0, 0, 3, 0, 4, 23, 24, 5, 0.0, 52, 0, 0, 0, 0, 16, 46, 3.39, 66.1, 76.27, 86.390625, 28.59765625, 82.09375, 0, 17.8984375, 94.890625, 0.0, 7.099609375, 41.09375, 42.8984375, 8.9, 0.0, 100.0, 92.890625, 0.0, 0.0, 0.0, 0.0, 460.0, 93.0, 0.0, 0.0, 40.0, "Tous les candidats", 2387.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "26784", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26783&g_ta_cod=26784", 100.0, 0.0, 0.0),
(4263, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Lycée Gaston Berger - Mention complémentaire - FCIL - CAES - Option Services", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 1, 0, 0, 0, 0.0, 0.0, 0.0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 3.0, 1.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35002", "Mention complémentaire - FCIL - CAES - Option Services", "", "", 0.0, 0.0, 100.0),
(4264, "Privé enseignement supérieur", "0440112H", "Audencia Business School", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Ecole de Commerce", "Audencia Business School - Formation des écoles de commerce et de management Bac + 3 - Programme de  gestion - Bachelor de gestion et de management", "Formation des écoles de commerce et de management", "Programme de  gestion - Bachelor de gestion et de management", 300, 1068, 472, 1034, 0, 881, 22, 73, 3, 5, 0, 75, 34, 14, 3, 0, 17, 857, 26, 0, 0, 750, 16, 52, 2, 5, 0, 50, 789, 289, 137, 272, 17, 143.0, 272.0, 282.0, 0, 13, 254, 234, 16, 4, 35, 0, 65, 122, 61, 5, 1.0, 174, 11, 4, 0, 0, 184, 184, 49.48, 94.12, 97.58, 47.3984375, 72.390625, 72.390625, 0, 5.099609375, 87.890625, 0.0, 25.59765625, 48.0, 24.0, 2.0, 0.4, 92.09375, 68.5, 6.2998046875, 4.2998046875, 1.599853515625, 1.599853515625, 673.0, 16.0, 5.0, 0.0, 63.0, "Tous les candidats", 862.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 83.0, "26095", "Formation des écoles de commerce et de management Bac + 3 - Programme de  gestion - Bachelor de gestion et de management", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26095&g_ta_cod=26095", 92.0, 7.0, 1.0),
(4265, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Etudes culturelles - Parcours Tourisme, culture et territoires", "Licence - Arts-lettres-langues", "Tourisme, culture et territoires", 80, 661, 515, 614, 0, 365, 89, 50, 18, 25, 11, 174, 47, 4, 5, 2, 36, 613, 41, 0, 0, 365, 89, 49, 17, 25, 11, 174, 569, 78, 55, 62, 16, 38.0, 57.0, 71.0, 0, 12, 40, 32, 3, 5, 38, 0, 21, 16, 3, 0, 0.0, 17, 1, 1, 0, 0, 19, 19, 48.72, 73.08, 91.03, 70.5, 47.5, 47.5, 0, 30.0, 51.296875, 0.0, 52.5, 40.0, 7.5, 0.0, 0.0, 80.0, 42.5, 7.5, 2.5, 12.5, 2.5, 353.0, 88.0, 18.0, 9.0, 171.0, "Tous les candidats", 608.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7663", "Licence - Etudes culturelles - Parcours Tourisme, culture et territoires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7663&g_ta_cod=7663", 72.0, 14.0, 13.0),
(4266, "Public", "0330126H", "Lycée Victor Louis", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "BTS", "Lycée Victor Louis - BTS - Services - Management Commercial Opérationnel -  en 3 ans", "BTS - Services", "en 3 ans", 18, 110, 38, 110, 0, 25, 3, 49, 12, 21, 9, 15, 0, 0, 0, 0, 0, 66, 0, 0, 0, 18, 3, 35, 7, 8, 0, 5, 44, 17, 4, 17, 0, 7.0, 15.0, 15.0, 0, 3, 14, 5, 5, 4, 3, 1, 6, 6, 1, 0, 0.0, 2, 3, 2, 3, 1, 13, 13, 41.18, 88.24, 88.24, 23.5, 92.890625, 92.890625, 21.3984375, 21.3984375, 82.390625, 7.099609375, 42.8984375, 42.8984375, 7.099609375, 0.0, 0.0, 35.6953125, 14.298828125, 35.6953125, 21.3984375, 28.59765625, 14.298828125, 13.0, 2.0, 6.0, 0.0, 4.0, "Tous les candidats sauf les Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 35.0, "4314", "BTS - Services - Management Commercial Opérationnel -  en 3 ans", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4314&g_ta_cod=4314", 35.0, 41.0, 24.0),
(4267, "Public", "0920141D", "Lycée Joliot-Curie", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "BTS", "Lycée Joliot-Curie - BTS - Services - Economie sociale familiale", "BTS - Services", "", 30, 1352, 1197, 1352, 0, 77, 36, 322, 152, 513, 262, 440, 0, 0, 0, 0, 0, 641, 0, 0, 0, 48, 24, 140, 58, 304, 157, 149, 152, 30, 29, 30, 0, 4.0, 19.0, 30.0, 0, 8, 13, 1, 6, 6, 17, 0, 3, 6, 4, 0, 0.0, 1, 4, 5, 1, 1, 10, 13, 13.33, 63.33, 100.0, 96.6875, 76.890625, 100.0, 7.69921875, 61.5, 43.296875, 0.0, 23.09765625, 46.1953125, 30.796875, 0.0, 0.0, 7.69921875, 7.69921875, 46.1953125, 30.796875, 46.1953125, 38.5, 7.0, 3.0, 49.0, 24.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 131, "Bacheliers technologiques toutes séries", 145, "Liste d'appel propre à cette formation", 22.0, "11003", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11003&g_ta_cod=11003", 7.0, 43.0, 47.0),
(4268, "Public", "0530013B", "Lycée professionnel Robert BURON", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "Autre formation", "Lycée professionnel Robert BURON - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 10, 27, 1, 26, 0, 0, 0, 0, 0, 24, 7, 2, 1, 0, 0, 0, 1, 26, 1, 0, 0, 0, 0, 0, 0, 24, 7, 2, 20, 3, 0, 3, 0, 2.0, 3.0, 3.0, 0, 0, 3, 0, 0, 3, 0, 0, 1, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 3, 3, 66.67, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 18.0, 5.0, 2.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "24771", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24771&g_ta_cod=24771", 0.0, 0.0, 100.0),
(4269, "Privé sous contrat d'association", "0131684K", "Lycée Jeanne Perrimond", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  7e  Arrondissement", "formation sélective", "BTS", "Lycée Jeanne Perrimond - BTS - Services - Communication", "BTS - Services", "", 35, 674, 476, 674, 0, 214, 39, 166, 52, 52, 21, 242, 0, 0, 0, 0, 0, 289, 0, 0, 0, 161, 20, 77, 20, 22, 7, 29, 118, 33, 27, 33, 0, 10.0, 31.0, 31.0, 0, 7, 29, 24, 4, 1, 4, 0, 7, 14, 8, 0, 0.0, 17, 4, 1, 0, 0, 26, 26, 30.3, 93.94, 93.94, 81.796875, 89.6875, 89.6875, 0, 24.09765625, 87.890625, 0.0, 24.09765625, 48.296875, 27.59765625, 0.0, 0.0, 82.796875, 58.59375, 13.798828125, 13.798828125, 3.39990234375, 3.39990234375, 95.0, 13.0, 1.0, 1.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 122.0, "Bacheliers professionnels toutes séries", 2, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 22.0, "2669", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2669&g_ta_cod=2669", 73.0, 21.0, 6.0),
(4270, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Licence - Droit français - Droit étranger - Parcours Droit français - droits espagnol et latino-américains", "Licence - Droit-économie-gestion", "Droit français - droits espagnol et latino-américains", 60, 626, 532, 626, 0, 470, 110, 43, 11, 2, 0, 111, 0, 0, 0, 0, 0, 462, 0, 0, 0, 409, 86, 10, 2, 0, 0, 43, 210, 60, 51, 60, 0, 11.0, 52.0, 54.0, 0, 9, 56, 55, 1, 0, 4, 0, 0, 16, 32, 7, 1.0, 55, 1, 0, 0, 0, 17, 34, 18.33, 86.67, 90.0, 85.0, 30.3984375, 60.6953125, 0, 16.09765625, 93.296875, 0.0, 0.0, 28.59765625, 57.09375, 12.5, 1.8, 98.1875, 98.1875, 1.7998046875, 1.7998046875, 0.0, 0.0, 194.0, 44.0, 0.0, 0.0, 15.0, "Tous les candidats", 238.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "11075", "Licence - Droit français - Droit étranger - Parcours Droit français - droits espagnol et latino-américains", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11075&g_ta_cod=11075", 98.0, 2.0, 0.0),
(4271, "Privé sous contrat d'association", "0560198L", "Lycée St Joseph", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BTS", "Lycée St Joseph - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 15, 148, 5, 144, 0, 3, 1, 31, 2, 95, 16, 15, 4, 0, 1, 0, 3, 121, 1, 0, 0, 3, 1, 30, 2, 83, 13, 5, 60, 15, 1, 14, 1, 4.0, 9.0, 14.0, 0, 2, 14, 0, 1, 13, 1, 0, 0, 7, 7, 0, 0.0, 0, 1, 13, 4, 0, 14, 14, 26.67, 60.0, 93.33, 6.69921875, 100.0, 100.0, 28.59765625, 14.298828125, 93.296875, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 7.099609375, 7.099609375, 92.890625, 92.890625, 2.0, 1.0, 33.0, 5.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 65.0, "19905", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19905&g_ta_cod=19905", 0.0, 7.0, 93.0),
(4272, "Privé sous contrat d'association", "0850086G", "Ensemble scolaire Saint- Gabriel Saint- Michel", "85", "Vendée", "Pays de la Loire", "Nantes", "Saint-Laurent-sur-Sèvre", "formation sélective", "BTS", "Ensemble scolaire Saint- Gabriel Saint- Michel - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 12, 119, 4, 119, 0, 28, 4, 39, 3, 28, 5, 24, 0, 0, 0, 0, 0, 103, 0, 0, 0, 28, 4, 37, 2, 27, 5, 11, 47, 12, 0, 12, 0, 4.0, 11.0, 11.0, 0, 1, 9, 1, 4, 4, 3, 0, 2, 5, 2, 0, 0.0, 1, 3, 3, 4, 0, 9, 9, 33.33, 91.67, 91.67, 0.0, 100.0, 100.0, 44.3984375, 11.099609375, 75.0, 0.0, 22.19921875, 55.59375, 22.19921875, 0.0, 0.0, 11.099609375, 11.099609375, 44.3984375, 33.296875, 44.3984375, 33.296875, 11.0, 2.0, 13.0, 2.0, 6.0, "Tous les candidats sauf les Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 74.0, "10493", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10493&g_ta_cod=10493", 17.0, 42.0, 33.0),
(4273, "Privé sous contrat d'association", "0690521S", "Lycée Sainte - Marie Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée Sainte - Marie Lyon - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 19, 1311, 645, 1311, 1038, 1185, 57, 0, 0, 0, 0, 126, 0, 0, 0, 0, 0, 340, 0, 318, 227, 340, 10, 0, 0, 0, 0, 0, 102, 19, 13, 19, 0, 2.0, 13.0, 19.0, 5, 0, 19, 19, 0, 0, 0, 0, 0, 0, 0, 15, 4.0, 19, 0, 0, 0, 0, 5, 5, 10.53, 68.42, 100.0, 68.390625, 26.296875, 26.296875, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 78.9, 21.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 102.0, 3.0, 0.0, 0.0, 0.0, "Tous les candidats", 174.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "31319", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31319&g_ta_cod=31319", 100.0, 0.0, 0.0),
(4274, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Licence", "Université de Brest - Licence - Mathématiques - Parcours Mathématiques Renforcées et Concours", "Licence - Sciences - technologies - santé", "Mathématiques Renforcées et Concours", 20, 359, 119, 328, 0, 269, 27, 0, 0, 0, 0, 59, 31, 4, 2, 0, 25, 184, 3, 0, 0, 157, 18, 0, 0, 0, 0, 27, 126, 12, 5, 11, 1, 1.0, 11.0, 12.0, 0, 1, 10, 10, 0, 0, 2, 0, 0, 1, 7, 2, 0.0, 10, 0, 0, 0, 0, 9, 9, 8.33, 91.67, 100.0, 41.6953125, 90.0, 90.0, 0, 10.0, 83.296875, 0.0, 0.0, 10.0, 70.0, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 14.0, 0.0, 0.0, 26.0, "Tous les candidats", 184.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "3878", "Licence - Mathématiques - Parcours Mathématiques Renforcées et Concours", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3878&g_ta_cod=3878", 100.0, 0.0, 0.0),
(4275, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues étrangères appliquées - Parcours Allemand / Italien", "Licence - Arts-lettres-langues", "Allemand / Italien", 25, 45, 20, 15, 0, 3, 0, 0, 0, 6, 5, 6, 30, 0, 1, 4, 25, 14, 16, 0, 0, 3, 0, 0, 0, 6, 5, 5, 30, 6, 1, 4, 2, 4.0, 4.0, 4.0, 0, 1, 2, 0, 1, 1, 4, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 66.67, 66.67, 66.67, 16.69921875, 100.0, 100.0, 0, 50.0, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 3.0, 0.0, 7.0, 5.0, 19.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "28188", "Licence - Langues étrangères appliquées - Parcours Allemand / Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28188&g_ta_cod=28188", 50.0, 50.0, 17.0),
(4276, "Privé enseignement supérieur", "0060656F", "SKEMA Business School - Campus de Sophia Antipolis", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Valbonne", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "BBA in Global Management", 350, 2992, 1327, 2908, 0, 2552, 71, 140, 3, 6, 1, 210, 84, 41, 4, 0, 39, 2738, 55, 0, 0, 2438, 65, 117, 1, 4, 1, 179, 2503, 282, 97, 260, 22, 160.0, 259.0, 277.0, 0, 10, 237, 226, 11, 0, 45, 0, 61, 127, 45, 4, 0.0, 167, 9, 0, 0, 0, 89, 89, 56.74, 91.84, 98.23, 34.3984375, 37.59375, 37.59375, 0, 4.19921875, 84.0, 0.0, 25.69921875, 53.59375, 19.0, 1.7, 0.0, 95.390625, 70.5, 4.599609375, 3.7998046875, 0.0, 0.0, 2223.0, 64.0, 4.0, 1.0, 183.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "26131", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26131", 94.0, 5.0, 0.0),
(4277, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Université Angers - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 368, 5049, 4300, 5049, 0, 3025, 575, 495, 119, 103, 42, 1426, 0, 0, 0, 0, 0, 5049, 0, 0, 0, 3025, 575, 495, 119, 103, 42, 1426, 1076, 379, 327, 379, 0, 85.0, 342.0, 379.0, 0, 65, 311, 293, 16, 2, 68, 0, 64, 159, 77, 10, 1.0, 229, 16, 2, 0, 0, 292, 292, 22.43, 90.24, 100.0, 86.296875, 93.890625, 93.890625, 0, 20.8984375, 82.09375, 0.0, 20.59765625, 51.09375, 24.796875, 3.2, 0.3, 94.1875, 73.59375, 5.099609375, 5.099609375, 0.5999755859375, 0.5999755859375, 784.0, 156.0, 6.0, 2.0, 238.0, "Tous les candidats", 1529.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "5935", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27330&g_ta_cod=5935", 94.0, 5.0, 1.0),
(4278, "Privé sous contrat d'association", "0951998F", "Lycée G A R A C", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "BTS", "Lycée G A R A C - BTS - Production - Maintenance des véhicules option motocycles", "BTS - Production", "", 18, 158, 6, 156, 0, 44, 6, 33, 3, 61, 9, 18, 2, 0, 0, 2, 0, 99, 0, 0, 0, 27, 2, 27, 2, 39, 5, 6, 42, 17, 1, 17, 0, 7.0, 13.0, 15.0, 0, 2, 15, 5, 3, 7, 2, 0, 6, 4, 4, 1, 0.0, 2, 1, 6, 3, 1, 7, 8, 41.18, 76.47, 88.24, 5.8994140625, 46.6953125, 53.296875, 20, 13.298828125, 88.1875, 0.0, 40.0, 26.69921875, 26.69921875, 6.7, 0.0, 33.296875, 13.298828125, 20.0, 6.69921875, 46.6953125, 40.0, 8.0, 1.0, 23.0, 2.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 31.0, "11665", "BTS - Production - Maintenance des véhicules option motocycles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11665&g_ta_cod=11665", 35.0, 24.0, 41.0),
(4279, "Public", "0620190V", "Lycée professionnel Henri Darras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Liévin", "formation sélective", "Autre formation", "Lycée professionnel Henri Darras - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 25, 97, 30, 75, 0, 8, 2, 19, 5, 24, 9, 24, 22, 6, 7, 4, 5, 49, 2, 0, 0, 7, 2, 13, 5, 19, 8, 10, 53, 21, 8, 18, 1, 8.0, 17.0, 20.0, 0, 7, 18, 4, 6, 8, 3, 1, 8, 7, 2, 0, 0.0, 0, 3, 6, 0, 0, 18, 18, 38.1, 80.95, 95.24, 38.09375, 100.0, 100.0, 0, 38.8984375, 85.6875, 5.599609375, 44.3984375, 38.8984375, 11.099609375, 0.0, 0.0, 22.19921875, 0.0, 33.296875, 16.69921875, 44.3984375, 33.296875, 9.0, 2.0, 16.0, 7.0, 9.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "25233", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25233&g_ta_cod=25233", 24.0, 29.0, 48.0),
(4280, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien", "Licence - Arts-lettres-langues", "Italien", 30, 120, 81, 85, 0, 57, 10, 6, 6, 4, 3, 18, 35, 3, 6, 3, 23, 85, 30, 0, 0, 57, 10, 6, 6, 4, 3, 18, 103, 15, 10, 10, 5, 6.0, 10.0, 14.0, 0, 4, 12, 8, 4, 0, 3, 2, 3, 3, 2, 2, 0.0, 6, 1, 0, 0, 0, 9, 9, 40.0, 66.67, 93.33, 66.6875, 75.0, 75.0, 0, 33.296875, 80.0, 16.69921875, 25.0, 25.0, 16.69921875, 16.7, 0.0, 66.6875, 50.0, 33.296875, 8.298828125, 0.0, 0.0, 55.0, 12.0, 6.0, 3.0, 32.0, "Tous les candidats", 84.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "5063", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5063&g_ta_cod=5063", 73.0, 27.0, 0.0),
(4281, "Public", "0290007A", "Lycée La Pérouse - Kerichen", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "CPGE", "Lycée La Pérouse - Kerichen - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 1331, 383, 1331, 967, 1133, 89, 4, 0, 0, 0, 194, 0, 0, 0, 0, 0, 633, 0, 495, 628, 599, 46, 0, 0, 0, 0, 34, 477, 92, 22, 92, 0, 42.0, 64.0, 83.0, 24, 5, 90, 90, 0, 0, 2, 0, 0, 3, 45, 40, 2.0, 90, 0, 0, 3, 2, 84, 84, 45.65, 69.57, 90.22, 23.8984375, 93.296875, 93.296875, 3.2998046875, 5.599609375, 97.796875, 0.0, 0.0, 3.2998046875, 50.0, 44.4, 2.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 462.0, 38.0, 0.0, 0.0, 15.0, "Tous les candidats", 607.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "3759", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3759&g_ta_cod=3759", 100.0, 0.0, 0.0),
(4282, "Public", "0731487V", "IUT de CHAMBERY", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation sélective", "BUT", "IUT de CHAMBERY - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment-Réhabilitation et amélioration des performances environnementales des bâtiments", "BUT - Production", "Travaux Bâtiment-Réhabilitation et amélioration des performances environnementales des bâtiments", 52, 1674, 271, 1674, 0, 902, 100, 532, 80, 11, 2, 229, 0, 0, 0, 0, 0, 927, 0, 0, 0, 484, 45, 321, 48, 0, 0, 122, 276, 52, 10, 52, 0, 2.0, 34.0, 44.0, 0, 10, 46, 22, 24, 0, 6, 0, 3, 24, 16, 3, 0.0, 20, 23, 0, 0, 0, 28, 28, 3.85, 65.38, 84.62, 19.19921875, 60.8984375, 60.8984375, 0, 21.69921875, 88.5, 0.0, 6.5, 52.1953125, 34.796875, 6.5, 0.0, 47.796875, 43.5, 52.1953125, 50.0, 0.0, 0.0, 115.0, 17.0, 0.0, 0.0, 55.0, "Tous les candidats sauf les Bac technologiques", 237.0, "Bacheliers technologiques toutes séries", 187, "", 0, "Liste d'appel propre à cette formation", 25.0, "13640", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment-Réhabilitation et amélioration des performances environnementales des bâtiments", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13640&g_ta_cod=13640", 50.0, 50.0, 0.0),
(4283, "Privé sous contrat d'association", "0560198L", "Lycée St Joseph", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BTS", "Lycée St Joseph - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 16, 173, 19, 171, 0, 33, 4, 77, 5, 24, 4, 37, 2, 0, 1, 0, 1, 122, 1, 0, 0, 33, 4, 72, 3, 10, 0, 7, 69, 14, 2, 13, 0, 3.0, 9.0, 13.0, 0, 1, 10, 4, 5, 1, 4, 0, 3, 6, 1, 0, 0.0, 2, 4, 1, 3, 0, 6, 6, 21.43, 64.29, 92.86, 14.298828125, 60.0, 60.0, 30, 10.0, 71.390625, 0.0, 30.0, 60.0, 10.0, 0.0, 0.0, 40.0, 20.0, 50.0, 40.0, 10.0, 10.0, 21.0, 2.0, 9.0, 0.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 68.0, "6459", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6459&g_ta_cod=6459", 43.0, 43.0, 7.0),
(4284, "Public", "0381516T", "IUT 1 GRENOBLE - ENEPS", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "BUT", "IUT 1 GRENOBLE - ENEPS - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "BUT - Production", "Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", 22, 140, 0, 140, 0, 0, 0, 0, 0, 132, 40, 8, 0, 0, 0, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 40, 8, 0, 33, 22, 0, 22, 0, 14.0, 20.0, 22.0, 0, 5, 22, 0, 0, 22, 0, 0, 0, 0, 12, 10, 0.0, 0, 0, 22, 0, 0, 12, 12, 63.64, 90.91, 100.0, 0.0, 54.5, 54.5, 0, 22.69921875, 100.0, 0.0, 0.0, 0.0, 54.5, 45.5, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 33.0, 8.0, 0.0, "Tous les candidats sauf les Bac technologiques", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "4973", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4973&g_ta_cod=4973", 0.0, 0.0, 100.0),
(4285, "Public", "0622257S", "Lycée agro-environnemental d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Tilloy-lès-Mofflaines", "formation sélective", "BTS", "Lycée agro-environnemental d'Arras - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 24, 451, 133, 446, 0, 53, 9, 113, 18, 22, 6, 258, 5, 0, 0, 1, 4, 204, 2, 0, 0, 48, 8, 106, 15, 22, 6, 28, 114, 19, 3, 19, 0, 4.0, 18.0, 19.0, 0, 2, 13, 2, 10, 1, 6, 0, 2, 10, 1, 0, 0.0, 1, 9, 1, 5, 2, 10, 10, 21.05, 94.74, 100.0, 15.798828125, 76.890625, 76.890625, 38.5, 15.3984375, 68.390625, 0.0, 15.3984375, 76.890625, 7.69921875, 0.0, 0.0, 15.3984375, 7.69921875, 76.890625, 69.1875, 7.69921875, 7.69921875, 22.0, 4.0, 14.0, 5.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 104, "Liste d'appel propre à cette formation", 44.0, "7446", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7446&g_ta_cod=7446", 32.0, 53.0, 16.0),
(4286, "Public", "0450092F", "I.U.T d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BUT", "I.U.T d'Orléans - BUT - Génie mécanique et productique Parcours : Simulation numérique et réalité virtuelle - Management de process industriel - Innovation pour l?industrie - Apprentissage possible en 2ème année", "BUT - Production", "Simulation numérique et réalité virtuelle - Management de process industriel - Innovation pour l?industrie - Apprentissage possible en 2ème année", 84, 1096, 86, 1067, 0, 607, 59, 306, 47, 6, 1, 148, 29, 4, 10, 1, 14, 826, 6, 0, 0, 517, 44, 208, 35, 2, 0, 99, 524, 83, 1, 80, 3, 24.0, 66.0, 76.0, 0, 9, 73, 44, 29, 0, 10, 0, 10, 39, 23, 1, 0.0, 34, 29, 0, 0, 0, 49, 49, 28.92, 79.52, 91.57, 1.199951171875, 67.09375, 67.09375, 0, 12.298828125, 88.0, 0.0, 13.69921875, 53.3984375, 31.5, 1.4, 0.0, 60.296875, 46.59375, 39.6953125, 39.6953125, 0.0, 0.0, 263.0, 31.0, 0.0, 0.0, 79.0, "Tous les candidats sauf les Bac technologiques", 494.0, "Bacheliers technologiques toutes séries", 216, "", 0, "Liste d'appel propre à cette formation", 67.0, "5672", "BUT - Génie mécanique et productique Parcours : Simulation numérique et réalité virtuelle - Management de process industriel - Innovation pour l?industrie - Apprentissage possible en 2ème année", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5672&g_ta_cod=5672", 64.0, 36.0, 0.0),
(4287, "Privé sous contrat d'association", "0300080Z", "Lycée Emmanuel d'Alzon", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Emmanuel d'Alzon - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 30, 506, 375, 506, 0, 134, 23, 118, 26, 53, 18, 201, 0, 0, 0, 0, 0, 444, 0, 0, 0, 134, 23, 91, 19, 48, 16, 171, 160, 30, 19, 30, 0, 7.0, 16.0, 23.0, 0, 2, 24, 11, 9, 4, 6, 0, 9, 9, 5, 1, 0.0, 5, 6, 4, 0, 0, 12, 12, 23.33, 53.33, 76.67, 63.296875, 50.0, 50.0, 0, 8.298828125, 80.0, 0.0, 37.5, 37.5, 20.796875, 4.2, 0.0, 45.796875, 20.796875, 37.5, 25.0, 16.69921875, 16.69921875, 55.0, 14.0, 15.0, 5.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 109.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 40.0, "3965", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3965&g_ta_cod=3965", 43.0, 43.0, 13.0),
(4288, "Privé sous contrat d'association", "0342299P", "EPF Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 20, 154, 14, 154, 0, 0, 0, 154, 12, 0, 0, 0, 0, 0, 0, 0, 0, 148, 0, 0, 0, 0, 0, 148, 10, 0, 0, 0, 131, 24, 2, 24, 0, 17.0, 23.0, 23.0, 0, 2, 24, 0, 24, 0, 0, 0, 1, 9, 11, 3, 0.0, 0, 23, 0, 0, 0, 1, 1, 70.83, 95.83, 95.83, 8.298828125, 4.19921875, 4.19921875, 0, 8.298828125, 100.0, 0.0, 4.19921875, 37.5, 45.796875, 12.5, 0.0, 0.0, 0.0, 100.0, 95.796875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "13656", "Formation d'ingénieur Bac + 5 - Bac Série STI2D", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=106&g_ta_cod=13656", 0.0, 100.0, 0.0),
(4289, "Public", "0751722P", "Sorbonne Université - Sciences et Ingénierie", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Autre formation", "Sorbonne Université ? Sciences et Ingénierie - C.M.I - Cursus Master en Ingénierie - Electronique, énergie électrique, automatique - Cursus Master en Ingénierie (CMI) : Electronique, Energie électrique, Automatique", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Electronique, Energie électrique, Automatique", 16, 555, 93, 555, 0, 324, 50, 53, 16, 8, 3, 170, 0, 0, 0, 0, 0, 118, 0, 0, 0, 102, 10, 0, 0, 0, 0, 16, 71, 15, 3, 15, 0, 3.0, 13.0, 15.0, 0, 1, 14, 14, 0, 0, 1, 0, 0, 3, 5, 5, 1.0, 14, 0, 0, 0, 0, 0, 7, 20.0, 86.67, 100.0, 20.0, 0.0, 50.0, 0, 7.099609375, 93.296875, 0.0, 0.0, 21.3984375, 35.6953125, 35.7, 7.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 64.0, 9.0, 0.0, 0.0, 7.0, "Tous les candidats", 83.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "17972", "C.M.I - Cursus Master en Ingénierie - Electronique, énergie électrique, automatique - Cursus Master en Ingénierie (CMI) : Electronique, Energie électrique, Automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17972&g_ta_cod=17972", 100.0, 0.0, 0.0),
(4290, "Privé sous contrat d'association", "0131403E", "Lycée St Vincent De Paul", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "BTS", "Lycée St Vincent De Paul - BTS - Services - Gestion de la PME", "BTS - Services", "", 25, 262, 149, 257, 0, 30, 10, 89, 52, 59, 33, 79, 5, 0, 3, 0, 2, 207, 2, 0, 0, 28, 9, 78, 43, 49, 28, 52, 129, 25, 9, 25, 0, 1.0, 16.0, 22.0, 0, 10, 15, 0, 6, 9, 10, 1, 11, 2, 1, 0, 0.0, 0, 0, 3, 5, 2, 14, 14, 4.0, 64.0, 88.0, 36.0, 93.296875, 93.296875, 33.296875, 66.6875, 60.0, 6.69921875, 73.296875, 13.298828125, 6.69921875, 0.0, 0.0, 0.0, 0.0, 40.0, 0.0, 60.0, 20.0, 14.0, 6.0, 34.0, 21.0, 33.0, "Tous les candidats sauf les Bac professionnels", 108.0, "Bacheliers professionnels toutes séries", 52, "", 0, "Liste d'appel propre à cette formation", 62.0, "2646", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2646&g_ta_cod=2646", 16.0, 32.0, 52.0),
(4291, "Public", "0340059E", "Lycée Jean Moulin", "34", "Hérault", "Occitanie", "Montpellier", "Pézenas", "formation sélective", "BTS", "Lycée Jean Moulin - BTS - Services - Tourisme", "BTS - Services", "", 35, 564, 391, 535, 0, 130, 43, 93, 33, 132, 65, 180, 29, 2, 11, 0, 16, 264, 6, 0, 0, 80, 24, 74, 24, 70, 27, 40, 150, 22, 16, 20, 1, 2.0, 19.0, 22.0, 0, 9, 19, 3, 7, 9, 3, 0, 5, 7, 7, 0, 0.0, 3, 4, 7, 1, 0, 13, 13, 9.09, 86.36, 100.0, 72.6875, 68.390625, 68.390625, 5.2998046875, 47.3984375, 86.390625, 0.0, 26.296875, 36.796875, 36.796875, 0.0, 0.0, 15.798828125, 15.798828125, 36.796875, 21.09765625, 47.3984375, 36.796875, 25.0, 6.0, 40.0, 16.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 93.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 46.0, "4513", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4513&g_ta_cod=4513", 18.0, 36.0, 45.0),
(4292, "Privé sous contrat d'association", "0593071T", "Lycée Deforest De Lewarde", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "BTS", "Lycée Deforest De Lewarde - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 51, 287, 137, 269, 0, 25, 8, 55, 16, 117, 51, 72, 18, 0, 6, 3, 9, 269, 7, 0, 0, 25, 8, 55, 16, 117, 51, 72, 188, 44, 20, 40, 4, 4.0, 23.0, 32.0, 0, 16, 34, 3, 6, 25, 10, 0, 12, 14, 8, 0, 0.0, 1, 1, 20, 11, 4, 34, 34, 9.09, 52.27, 72.73, 45.5, 100.0, 100.0, 32.3984375, 47.09375, 77.296875, 0.0, 35.296875, 41.1953125, 23.5, 0.0, 0.0, 8.798828125, 2.89990234375, 17.59765625, 2.89990234375, 73.5, 58.796875, 18.0, 7.0, 87.0, 37.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 116, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 78.0, "6979", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6979&g_ta_cod=6979", 11.0, 30.0, 59.0),
(4293, "Public", "0750650Z", "Lycée D'Alembert-Cuir", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée D'Alembert-Cuir - BTS - Services - Prothésiste orthésiste", "BTS - Services", "", 24, 652, 459, 652, 0, 130, 25, 166, 30, 68, 22, 288, 0, 0, 0, 0, 0, 652, 0, 0, 0, 130, 25, 166, 30, 68, 22, 288, 71, 24, 17, 24, 0, 9.0, 20.0, 21.0, 0, 3, 12, 3, 7, 2, 12, 0, 4, 7, 0, 1, 0.0, 2, 5, 1, 2, 2, 2, 7, 37.5, 83.33, 87.5, 70.796875, 16.69921875, 58.296875, 16.69921875, 25.0, 50.0, 0.0, 33.296875, 58.296875, 0.0, 8.3, 0.0, 25.0, 16.69921875, 58.296875, 41.6953125, 16.69921875, 8.298828125, 11.0, 4.0, 2.0, 1.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 2, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 13.0, "8956", "BTS - Services - Prothésiste orthésiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8956&g_ta_cod=8956", 50.0, 42.0, 8.0),
(4294, "Public", "0420046X", "Lycée Etienne Mimard", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Etienne Mimard - BTS - Production - Conception de produits industriels", "BTS - Production", "", 24, 383, 26, 349, 0, 25, 4, 170, 43, 59, 22, 95, 34, 0, 9, 10, 15, 211, 6, 0, 0, 22, 2, 123, 25, 31, 10, 35, 120, 22, 5, 17, 5, 9.0, 15.0, 21.0, 0, 4, 15, 2, 8, 5, 7, 0, 3, 7, 3, 2, 0.0, 1, 6, 5, 1, 0, 12, 12, 40.91, 68.18, 95.45, 22.69921875, 80.0, 80.0, 6.69921875, 26.69921875, 68.1875, 0.0, 20.0, 46.6953125, 20.0, 13.3, 0.0, 13.298828125, 6.69921875, 53.296875, 40.0, 33.296875, 33.296875, 6.0, 2.0, 25.0, 10.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 150, "Liste d'appel propre à cette formation", 56.0, "5300", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5300&g_ta_cod=5300", 9.0, 68.0, 23.0),
(4295, "Public", "0730858L", "Université Savoie Mont Blanc - Chambéry", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Jacob-Bellecombette", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Chambéry - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 100, 660, 478, 530, 0, 353, 66, 42, 14, 13, 1, 122, 130, 34, 13, 8, 75, 530, 120, 0, 0, 353, 66, 42, 14, 13, 1, 122, 567, 96, 68, 54, 40, 14.0, 54.0, 80.0, 0, 14, 59, 44, 6, 9, 37, 5, 21, 25, 6, 2, 0.0, 24, 2, 7, 0, 0, 43, 43, 14.58, 56.25, 83.33, 70.796875, 72.890625, 72.890625, 0, 23.69921875, 61.5, 8.5, 35.59375, 42.3984375, 10.19921875, 3.4, 0.0, 74.59375, 40.6953125, 10.19921875, 3.39990234375, 15.298828125, 11.8984375, 351.0, 67.0, 20.0, 7.0, 149.0, "Tous les candidats", 530.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8813", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8813&g_ta_cod=8813", 68.0, 16.0, 14.0),
(4296, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence_Las", "Université de Strasbourg - Licence - Sciences pour la santé - Sciences pour la santé - Sciences et technologies (pluridisciplinaire) -  option Santé", "Licence - Sciences - technologies - santé", "Sciences pour la santé - Sciences et technologies (pluridisciplinaire)", 75, 871, 539, 871, 0, 486, 118, 101, 35, 8, 2, 276, 0, 0, 0, 0, 0, 851, 0, 0, 0, 486, 118, 101, 35, 8, 2, 256, 470, 68, 42, 67, 0, 5.0, 33.0, 52.0, 0, 11, 42, 35, 7, 0, 26, 0, 16, 18, 4, 3, 1.0, 23, 3, 0, 0, 0, 38, 38, 7.35, 48.53, 76.47, 61.796875, 90.5, 90.5, 0, 26.19921875, 61.796875, 0.0, 38.09375, 42.8984375, 9.5, 7.1, 2.4, 83.296875, 54.796875, 16.69921875, 7.099609375, 0.0, 0.0, 302.0, 81.0, 0.0, 0.0, 141.0, "Tous les candidats", 507.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "29228", "Licence - Sciences pour la santé - Sciences pour la santé - Sciences et technologies (pluridisciplinaire) -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29228&g_ta_cod=29228", 81.0, 18.0, 1.0),
(4297, "Public", "0060014H", "Lycée Jules Ferry", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BTS", "Lycée Jules Ferry - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 26, 196, 19, 177, 0, 20, 2, 58, 25, 52, 20, 47, 19, 0, 13, 0, 6, 123, 3, 0, 0, 18, 2, 38, 15, 52, 20, 15, 81, 22, 0, 20, 2, 6.0, 16.0, 18.0, 0, 5, 16, 4, 2, 10, 6, 0, 5, 5, 4, 2, 0.0, 0, 1, 10, 0, 0, 15, 15, 27.27, 72.73, 81.82, 0.0, 93.796875, 93.796875, 0, 31.296875, 72.6875, 0.0, 31.296875, 31.296875, 25.0, 12.5, 0.0, 25.0, 0.0, 12.5, 6.2998046875, 62.5, 62.5, 13.0, 2.0, 23.0, 7.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 47.0, "2196", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2196&g_ta_cod=2196", 18.0, 32.0, 50.0),
(4298, "Privé sous contrat d'association", "0650065T", "Lycée Pradeau la Sède-St Pierre", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Pradeau la Sède-St Pierre - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 235, 99, 224, 0, 34, 5, 88, 25, 62, 17, 40, 11, 1, 1, 3, 6, 213, 3, 0, 0, 34, 5, 88, 25, 62, 17, 29, 119, 23, 10, 21, 2, 6.0, 14.0, 20.0, 0, 7, 21, 5, 6, 10, 2, 0, 9, 9, 3, 0, 0.0, 3, 2, 7, 3, 1, 13, 13, 26.09, 60.87, 86.96, 43.5, 61.8984375, 61.8984375, 14.298828125, 33.296875, 91.296875, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 23.796875, 14.298828125, 28.59765625, 9.5, 47.59375, 33.296875, 23.0, 4.0, 48.0, 14.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 84.0, "7827", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7827&g_ta_cod=7827", 22.0, 26.0, 52.0),
(4299, "Public", "0450049J", "Lycée Pothier", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "CPGE", "Lycée Pothier - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 48, 332, 129, 309, 190, 224, 31, 1, 1, 0, 0, 84, 23, 10, 0, 0, 13, 288, 7, 190, 235, 215, 30, 0, 0, 0, 0, 73, 224, 21, 7, 21, 0, 3.0, 20.0, 21.0, 4, 2, 15, 15, 0, 0, 6, 0, 1, 10, 4, 0, 0.0, 14, 0, 0, 2, 1, 13, 13, 14.29, 95.24, 100.0, 33.296875, 86.6875, 86.6875, 13.298828125, 13.298828125, 71.390625, 0.0, 6.69921875, 66.6875, 26.69921875, 0.0, 0.0, 100.0, 93.296875, 0.0, 0.0, 0.0, 0.0, 185.0, 25.0, 0.0, 0.0, 39.0, "Tous les candidats", 242.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "31356", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31356&g_ta_cod=31356", 100.0, 0.0, 0.0),
(4300, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "PASS", "Université Clermont Auvergne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Physique Sciences pour l'Ingénieur", 80, 1726, 997, 1726, 0, 1353, 219, 16, 5, 2, 2, 355, 0, 0, 0, 0, 0, 1725, 0, 0, 0, 1353, 219, 16, 5, 2, 2, 354, 679, 77, 45, 77, 0, 1.0, 44.0, 59.0, 0, 3, 33, 33, 0, 0, 44, 0, 5, 12, 8, 6, 2.0, 28, 0, 0, 0, 0, 18, 18, 1.3, 57.14, 76.62, 58.3984375, 54.5, 54.5, 0, 9.099609375, 42.8984375, 0.0, 15.19921875, 36.3984375, 24.19921875, 18.2, 6.1, 100.0, 84.796875, 0.0, 0.0, 0.0, 0.0, 501.0, 78.0, 0.0, 0.0, 176.0, "Tous les candidats", 3062.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 54.0, "26635", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26629&g_ta_cod=26635", 94.0, 4.0, 3.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(4301, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Information et communication - Parcours Communication et arts du spectacle : Communication", "Licence - Arts-lettres-langues", "Communication et arts du spectacle : Communication", 25, 257, 209, 257, 0, 155, 34, 10, 2, 2, 0, 90, 0, 0, 0, 0, 0, 257, 0, 0, 0, 155, 34, 10, 2, 2, 0, 90, 57, 25, 20, 25, 0, 8.0, 19.0, 21.0, 0, 5, 13, 13, 0, 0, 12, 0, 1, 8, 2, 2, 0.0, 12, 0, 0, 0, 0, 4, 4, 32.0, 76.0, 84.0, 80.0, 30.796875, 30.796875, 0, 38.5, 52.0, 0.0, 7.69921875, 61.5, 15.3984375, 15.4, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 32.0, 10.0, 0.0, 0.0, 25.0, "Tous les candidats", 67.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "17856", "Licence - Information et communication - Parcours Communication et arts du spectacle : Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17856&g_ta_cod=17856", 100.0, 0.0, 0.0),
(4302, "Public", "0530013B", "Lycée professionnel Robert BURON", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "Autre formation", "Lycée professionnel Robert BURON - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 12, 43, 2, 43, 0, 0, 0, 0, 0, 31, 7, 12, 0, 0, 0, 0, 0, 43, 0, 0, 0, 0, 0, 0, 0, 31, 7, 12, 37, 10, 0, 10, 0, 5.0, 10.0, 10.0, 0, 0, 6, 0, 0, 6, 4, 0, 3, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 2, 2, 50.0, 100.0, 100.0, 0.0, 33.296875, 33.296875, 0, 0.0, 60.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 29.0, 6.0, 8.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19769", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19769&g_ta_cod=19769", 20.0, 0.0, 80.0),
(4303, "Privé sous contrat d'association", "0624488S", "IRTS Hauts-de-France - Site Côte d'Opale", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Etaples", "formation sélective", "EFTS", "IRTS Hauts-de-France - Site Côte d'Opale - D.E Educateur Spécialisé", "D.E secteur social", "", 18, 82, 59, 82, 0, 15, 1, 18, 1, 5, 4, 44, 0, 0, 0, 0, 0, 49, 0, 0, 0, 9, 1, 9, 1, 1, 1, 30, 30, 17, 15, 17, 0, 10.0, 16.0, 17.0, 0, 1, 4, 2, 1, 1, 13, 0, 1, 2, 1, 0, 0.0, 2, 0, 1, 0, 0, 4, 4, 58.82, 94.12, 100.0, 88.1875, 100.0, 100.0, 0, 25.0, 23.5, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 50.0, 50.0, 25.0, 0.0, 25.0, 25.0, 5.0, 0.0, 1.0, 1.0, 19.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "25007", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25007&g_ta_cod=25007", 53.0, 24.0, 24.0),
(4304, "Public", "0681222J", "Lycée agricole Du Pflixbourg", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Wintzenheim", "formation sélective", "BTS", "Lycée agricole Du Pflixbourg - BTS - Agricole - Production horticole", "BTS - Agricole", "", 27, 177, 64, 171, 0, 17, 4, 14, 2, 29, 4, 111, 6, 1, 0, 2, 3, 80, 2, 0, 0, 17, 4, 12, 1, 26, 2, 25, 69, 20, 9, 18, 2, 8.0, 17.0, 18.0, 0, 1, 13, 2, 4, 7, 7, 0, 4, 6, 2, 1, 0.0, 1, 3, 5, 4, 1, 8, 8, 40.0, 85.0, 90.0, 45.0, 61.5, 61.5, 30.796875, 7.69921875, 65.0, 0.0, 30.796875, 46.1953125, 15.3984375, 7.7, 0.0, 15.3984375, 7.69921875, 30.796875, 23.09765625, 53.796875, 38.5, 10.0, 1.0, 22.0, 2.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 47.0, "8164", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8164&g_ta_cod=8164", 25.0, 35.0, 40.0),
(4305, "Privé enseignement supérieur", "0951809A", "ILEPS", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "ILEPS - Licence professionnelle - Commercialisation des produits et services sportifs", "LP - Droit-économie-gestion", "Commercialisation des produits et services sportifs", 40, 131, 34, 59, 0, 28, 3, 6, 1, 7, 6, 18, 72, 21, 6, 5, 40, 31, 17, 0, 0, 18, 0, 5, 0, 3, 2, 5, 48, 25, 5, 14, 11, 14.0, 14.0, 20.0, 0, 3, 21, 17, 3, 1, 4, 0, 16, 5, 0, 0, 0.0, 4, 0, 1, 0, 0, 16, 18, 56.0, 56.0, 80.0, 20.0, 76.1875, 85.6875, 0, 14.298828125, 84.0, 0.0, 76.1875, 23.796875, 0.0, 0.0, 0.0, 81.0, 19.0, 14.298828125, 0.0, 4.7998046875, 4.7998046875, 32.0, 3.0, 3.0, 2.0, 7.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "32854", "Licence professionnelle - Commercialisation des produits et services sportifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32854&g_ta_cod=32854", 76.0, 20.0, 4.0),
(4306, "Public", "0560013K", "Lycée agricole Le Gros Chêne", "56", "Morbihan", "Bretagne", "Rennes", "Pontivy", "formation sélective", "BTS", "Lycée agricole Le Gros Chêne - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 16, 110, 62, 109, 0, 11, 4, 27, 6, 20, 7, 51, 1, 0, 0, 0, 1, 93, 0, 0, 0, 11, 4, 27, 6, 20, 7, 35, 73, 15, 9, 15, 0, 0.0, 15.0, 15.0, 0, 0, 1, 0, 1, 0, 14, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 60.0, 100.0, 100.0, 0, 0.0, 6.69921875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 11.0, 4.0, 16.0, 6.0, 25.0, "Tous les candidats sauf les Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 81.0, "6416", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6416&g_ta_cod=6416", 80.0, 7.0, 13.0),
(4307, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Institut Catholique Paris - Licence - Histoire de l'art et archéologie - Parcours Histoire de l'Art - Anglais", "Licence - Arts-lettres-langues", "Histoire de l'Art - Anglais", 100, 694, 529, 597, 0, 403, 31, 21, 2, 12, 3, 161, 97, 22, 7, 3, 65, 597, 91, 0, 0, 403, 31, 21, 2, 12, 3, 161, 608, 94, 72, 70, 24, 25.0, 69.0, 75.0, 0, 6, 55, 50, 3, 2, 39, 1, 11, 21, 18, 3, 1.0, 39, 3, 1, 0, 0, 18, 38, 26.6, 73.4, 79.79, 76.59375, 32.6953125, 69.09375, 0, 10.8984375, 58.5, 1.7998046875, 20.0, 38.1953125, 32.6953125, 5.5, 1.8, 90.890625, 70.890625, 5.5, 5.5, 3.599609375, 1.7998046875, 385.0, 34.0, 12.0, 5.0, 188.0, "Tous les candidats", 596.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9448", "Licence - Histoire de l'art et archéologie - Parcours Histoire de l'Art - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9448&g_ta_cod=9448", 88.0, 7.0, 4.0),
(4308, "Public", "0520032C", "Lycée professionnel Emile Baudot", "52", "Haute-Marne", "Grand Est", "Reims", "Wassy", "formation sélective", "Autre formation", "Lycée professionnel Emile Baudot - Mention complémentaire - FCIL Préparation aux concours de la fonction publique concernant les métiers de la sécurité", "Mention complémentaire", "", 15, 115, 64, 112, 0, 36, 7, 17, 5, 48, 16, 11, 3, 0, 0, 1, 2, 76, 0, 0, 0, 24, 4, 10, 2, 36, 11, 6, 54, 7, 4, 7, 0, 2.0, 7.0, 7.0, 0, 2, 7, 1, 0, 6, 0, 0, 4, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 4, 4, 28.57, 100.0, 100.0, 57.09375, 57.09375, 57.09375, 0, 28.59765625, 100.0, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 0.0, 0.0, 85.6875, 42.8984375, 18.0, 3.0, 26.0, 9.0, 5.0, "Tous les candidats", 66.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "30242", "Mention complémentaire - FCIL Préparation aux concours de la fonction publique concernant les métiers de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30242&g_ta_cod=30242", 14.0, 0.0, 86.0),
(4309, "Public", "0020022N", "Lycée professionnel Jean Monnet", "02", "Aisne", "Hauts-de-France", "Amiens", "La Fère", "formation sélective", "BTS", "Lycée professionnel Jean Monnet - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 16, 301, 289, 300, 0, 35, 5, 48, 20, 102, 44, 115, 1, 0, 0, 1, 0, 296, 1, 0, 0, 34, 5, 48, 20, 102, 44, 112, 96, 15, 15, 15, 0, 1.0, 5.0, 12.0, 0, 7, 9, 1, 2, 6, 6, 0, 6, 3, 0, 0, 0.0, 0, 0, 3, 2, 2, 8, 8, 6.67, 33.33, 80.0, 100.0, 88.890625, 88.890625, 22.19921875, 77.796875, 60.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 11.099609375, 0.0, 22.19921875, 0.0, 66.6875, 33.296875, 10.0, 4.0, 51.0, 22.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers technologiques toutes séries", 38, "Bacheliers professionnels toutes séries", 93, "Liste d'appel propre à cette formation", 49.0, "25366", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25366&g_ta_cod=25366", 27.0, 27.0, 47.0),
(4310, "Public", "0831563Y", "Lycée Costebelle", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Hyères", "formation sélective", "BTS", "Lycée Costebelle - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 307, 26, 307, 0, 52, 6, 83, 26, 92, 32, 80, 0, 0, 0, 0, 0, 220, 0, 0, 0, 45, 6, 79, 25, 65, 22, 31, 75, 16, 2, 16, 0, 1.0, 13.0, 16.0, 0, 4, 11, 0, 5, 6, 5, 0, 3, 4, 4, 0, 0.0, 0, 3, 5, 5, 0, 10, 10, 6.25, 81.25, 100.0, 12.5, 90.890625, 90.890625, 45.5, 36.3984375, 68.796875, 0.0, 27.296875, 36.3984375, 36.3984375, 0.0, 0.0, 0.0, 0.0, 45.5, 27.296875, 54.5, 45.5, 7.0, 0.0, 21.0, 8.0, 13.0, "Tous les candidats sauf les Bac professionnels", 94.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 40.0, "20850", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20850&g_ta_cod=20850", 13.0, 50.0, 38.0),
(4311, "Privé sous contrat d'association", "0690646C", "Lycée Carrel", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 6e  Arrondissement", "formation sélective", "BTS", "Lycée Carrel - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 963, 474, 963, 0, 84, 8, 387, 92, 303, 75, 189, 0, 0, 0, 0, 0, 652, 0, 0, 0, 58, 5, 293, 68, 201, 44, 100, 171, 23, 12, 23, 0, 3.0, 14.0, 17.0, 0, 3, 20, 2, 9, 9, 3, 0, 3, 8, 6, 3, 0.0, 1, 7, 9, 0, 0, 17, 17, 13.04, 60.87, 73.91, 52.1953125, 85.0, 85.0, 0, 15.0, 87.0, 0.0, 15.0, 40.0, 30.0, 15.0, 0.0, 10.0, 5.0, 45.0, 35.0, 45.0, 45.0, 8.0, 0.0, 62.0, 13.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 77, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 17.0, "8324", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8324&g_ta_cod=8324", 13.0, 39.0, 48.0),
(4312, "Public", "0580758J", "Université de Bourgogne - site de Nevers", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation non sélective", "PASS", "Université de Bourgogne - site de Dijon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 6, 851, 595, 851, 0, 591, 115, 28, 6, 4, 2, 228, 0, 0, 0, 0, 0, 847, 0, 0, 0, 592, 116, 28, 6, 4, 2, 223, 66, 6, 4, 6, 0, 0.0, 2.0, 6.0, 0, 1, 6, 6, 0, 0, 0, 0, 0, 3, 3, 0, 0.0, 6, 0, 0, 0, 0, 6, 6, 0.0, 33.33, 100.0, 66.6875, 100.0, 100.0, 0, 16.69921875, 100.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 59.0, 11.0, 0.0, 0.0, 5.0, "Tous les candidats", 2673.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 50.0, "27952", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27662&g_ta_cod=27952", 100.0, 0.0, 0.0),
(4313, "Public", "9740082W", "Lycée professionnel Rontaunay", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée professionnel Rontaunay - BTS - Services - Professions immobilières", "BTS - Services", "", 15, 817, 515, 700, 0, 93, 35, 259, 147, 198, 135, 150, 117, 18, 30, 0, 69, 178, 11, 0, 0, 15, 5, 48, 28, 104, 71, 11, 60, 14, 7, 8, 6, 1.0, 8.0, 13.0, 0, 4, 9, 1, 5, 3, 5, 0, 1, 3, 5, 0, 0.0, 1, 4, 3, 2, 1, 9, 9, 7.14, 57.14, 92.86, 50.0, 100.0, 100.0, 22.19921875, 44.3984375, 64.296875, 0.0, 11.099609375, 33.296875, 55.59375, 0.0, 0.0, 11.099609375, 11.099609375, 55.59375, 44.3984375, 33.296875, 33.296875, 10.0, 5.0, 11.0, 6.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 11.0, "23319", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23319&g_ta_cod=23319", 21.0, 57.0, 21.0),
(4314, "Public", "0380091T", "Lycée Edouard Herriot", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Voiron", "formation sélective", "BTS", "Lycée Edouard Herriot - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 278, 141, 274, 0, 20, 6, 93, 35, 66, 32, 95, 4, 0, 0, 3, 1, 274, 0, 0, 0, 20, 6, 93, 35, 66, 32, 95, 129, 20, 9, 19, 0, 0.0, 13.0, 16.0, 0, 7, 15, 0, 12, 3, 5, 0, 6, 8, 1, 0, 0.0, 0, 7, 2, 5, 2, 15, 15, 0.0, 65.0, 80.0, 45.0, 100.0, 100.0, 33.296875, 46.6953125, 75.0, 0.0, 40.0, 53.296875, 6.69921875, 0.0, 0.0, 0.0, 0.0, 80.0, 46.6953125, 20.0, 13.298828125, 7.0, 3.0, 42.0, 19.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 61.0, "4956", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4956&g_ta_cod=4956", 5.0, 70.0, 25.0),
(4315, "Public", "0060014H", "Lycée Jules Ferry", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "CPGE", "Lycée Jules Ferry - CPGE - TSI", "Classe préparatoire scientifique", "", 33, 242, 23, 238, 165, 0, 0, 209, 56, 0, 0, 29, 4, 0, 1, 0, 3, 189, 3, 132, 176, 0, 0, 182, 47, 0, 0, 7, 118, 21, 2, 20, 1, 4.0, 19.0, 20.0, 13, 6, 19, 0, 19, 0, 2, 0, 0, 8, 7, 4, 0.0, 0, 19, 0, 5, 0, 18, 18, 19.05, 90.48, 95.24, 9.5, 94.6875, 94.6875, 26.296875, 31.59765625, 90.5, 0.0, 0.0, 42.09375, 36.796875, 21.1, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 6.0, "Tous les candidats", 187.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "2194", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2194&g_ta_cod=2194", 0.0, 100.0, 0.0),
(4316, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Histoire - Parcours Histoire bilingue Français-Espagnol", "Licence - Sciences humaines et sociales", "Histoire bilingue Français-Espagnol", 28, 174, 128, 169, 0, 133, 33, 4, 1, 1, 1, 31, 5, 1, 0, 0, 4, 138, 1, 0, 0, 124, 30, 0, 0, 0, 0, 14, 93, 25, 20, 24, 1, 4.0, 23.0, 25.0, 0, 3, 25, 25, 0, 0, 0, 0, 2, 5, 13, 5, 0.0, 23, 0, 0, 0, 0, 10, 10, 16.0, 92.0, 100.0, 80.0, 40.0, 40.0, 0, 12.0, 100.0, 0.0, 8.0, 20.0, 52.0, 20.0, 0.0, 100.0, 92.0, 0.0, 0.0, 0.0, 0.0, 81.0, 16.0, 0.0, 0.0, 12.0, "Tous les candidats", 129.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "12217", "Licence - Histoire - Parcours Histoire bilingue Français-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12217&g_ta_cod=12217", 100.0, 0.0, 0.0),
(4317, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Autre formation", "Université Jean Moulin Lyon 3 - Diplôme de Comptabilité et de Gestion", "DCG", "", 130, 1915, 902, 1915, 0, 861, 206, 362, 141, 24, 12, 668, 0, 0, 0, 0, 0, 1128, 0, 0, 0, 806, 180, 217, 73, 0, 0, 105, 672, 125, 58, 125, 0, 18.0, 116.0, 116.0, 0, 26, 117, 106, 11, 0, 8, 1, 27, 48, 30, 9, 2.0, 79, 10, 0, 0, 0, 54, 54, 14.4, 92.8, 92.8, 46.3984375, 46.1953125, 46.1953125, 0, 22.19921875, 93.59375, 0.89990234375, 23.09765625, 41.0, 25.59765625, 7.7, 1.7, 90.59375, 67.5, 9.3984375, 8.5, 0.0, 0.0, 526.0, 106.0, 0.0, 0.0, 58.0, "Tous les candidats", 864.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "8496", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8496&g_ta_cod=8496", 88.0, 12.0, 0.0),
(4318, "Public", "0740006E", "Lycée Louis Lachenal", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Argonay", "formation sélective", "BTS", "Lycée Louis Lachenal - BTS - Production - Bâtiment", "BTS - Production", "", 30, 464, 53, 461, 0, 51, 3, 220, 39, 55, 17, 135, 3, 0, 0, 3, 0, 411, 0, 0, 0, 50, 3, 220, 39, 53, 17, 88, 154, 29, 2, 28, 0, 8.0, 22.0, 27.0, 0, 3, 23, 2, 11, 10, 6, 0, 7, 9, 6, 1, 0.0, 0, 9, 7, 7, 0, 18, 18, 27.59, 75.86, 93.1, 6.8994140625, 78.296875, 78.296875, 30.3984375, 13.0, 79.296875, 0.0, 30.3984375, 39.09375, 26.09765625, 4.3, 0.0, 8.69921875, 0.0, 47.796875, 39.09375, 43.5, 30.3984375, 8.0, 2.0, 41.0, 12.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 123, "Liste d'appel propre à cette formation", 46.0, "8857", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8857&g_ta_cod=8857", 10.0, 52.0, 38.0),
(4319, "Public", "0690128P", "Lycée Edouard Branly", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 45, 1418, 147, 1418, 0, 223, 45, 417, 144, 279, 117, 499, 0, 0, 0, 0, 0, 530, 0, 0, 0, 122, 23, 228, 70, 129, 41, 51, 158, 46, 2, 46, 0, 13.0, 38.0, 43.0, 0, 14, 45, 8, 16, 21, 1, 0, 7, 21, 14, 3, 0.0, 4, 14, 20, 14, 1, 41, 41, 28.26, 82.61, 93.48, 4.2998046875, 91.09375, 91.09375, 31.09765625, 31.09765625, 97.796875, 0.0, 15.599609375, 46.6953125, 31.09765625, 6.7, 0.0, 17.796875, 8.8984375, 35.59375, 31.09765625, 46.6953125, 44.3984375, 39.0, 11.0, 49.0, 15.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 130, "Liste d'appel propre à cette formation", 19.0, "8248", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8248&g_ta_cod=8248", 17.0, 37.0, 46.0),
(4320, "Public", "0631382K", "Unité de Formation et de Recherche de Médecine Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Autre formation", "Regroupement Auvergne Rhône Alpes - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 25, 2237, 2165, 2237, 0, 700, 91, 23, 5, 1, 0, 1513, 0, 0, 0, 0, 0, 325, 0, 0, 0, 161, 10, 0, 0, 0, 0, 164, 113, 25, 25, 25, 0, 1.0, 21.0, 23.0, 0, 0, 12, 12, 0, 0, 13, 0, 0, 0, 9, 3, 0.0, 12, 0, 0, 0, 0, 3, 3, 4.0, 84.0, 92.0, 100.0, 25.0, 25.0, 0, 0.0, 48.0, 0.0, 0.0, 0.0, 75.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 58.0, 7.0, 0.0, 0.0, 55.0, "Tous les candidats", 204.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 8.0, "28710", "Certificat de capacité d'Orthophoniste", "Regroupement Auvergne Rhône Alpes", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28709&g_ta_cod=28710", 100.0, 0.0, 0.0),
(4321, "Public", "0690097F", "Lycée Claude Bernard", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villefranche-sur-Saône", "formation sélective", "CPGE", "Lycée Claude Bernard - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 24, 283, 140, 267, 138, 0, 0, 232, 63, 0, 0, 35, 16, 0, 11, 0, 5, 184, 6, 97, 174, 0, 0, 181, 47, 0, 0, 3, 154, 20, 5, 18, 2, 5.0, 18.0, 18.0, 8, 3, 19, 0, 19, 0, 1, 0, 2, 7, 5, 5, 0.0, 0, 17, 0, 3, 1, 13, 13, 25.0, 90.0, 90.0, 25.0, 68.390625, 68.390625, 15.798828125, 15.798828125, 95.0, 0.0, 10.5, 36.796875, 26.296875, 26.3, 0.0, 0.0, 0.0, 100.0, 89.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 183.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "8239", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8239&g_ta_cod=8239", 0.0, 100.0, 0.0),
(4322, "Public", "0623911P", "Université d'Artois - Site de Lens", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation non sélective", "Licence", "Université d'Artois - Site de Lens - Licence - Portail Chimie", "Licence - Sciences - technologies - santé", "", 50, 515, 333, 462, 0, 300, 78, 25, 8, 0, 0, 137, 53, 19, 6, 0, 28, 457, 35, 0, 0, 300, 78, 25, 8, 0, 0, 132, 354, 32, 18, 22, 10, 6.0, 22.0, 29.0, 0, 5, 20, 17, 3, 0, 12, 0, 11, 3, 5, 1, 0.0, 8, 1, 0, 0, 0, 20, 20, 18.75, 68.75, 90.63, 56.296875, 100.0, 100.0, 0, 25.0, 62.5, 0.0, 55.0, 15.0, 25.0, 5.0, 0.0, 85.0, 40.0, 15.0, 5.0, 0.0, 0.0, 222.0, 55.0, 0.0, 0.0, 120.0, "Tous les candidats", 566.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "29082", "Licence - Portail Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27778&g_ta_cod=29082", 84.0, 16.0, 0.0),
(4323, "Public", "9710002A", "LGT Gerville Reache", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "CPGE", "LGT Gerville Reache - CPGE - Lettres", "Classe préparatoire littéraire", "", 38, 122, 98, 116, 72, 100, 36, 0, 0, 0, 0, 16, 6, 1, 1, 0, 4, 105, 0, 72, 78, 96, 33, 0, 0, 0, 0, 9, 74, 29, 24, 29, 0, 17.0, 29.0, 29.0, 17, 7, 29, 29, 0, 0, 0, 0, 0, 5, 13, 11, 0.0, 29, 0, 0, 7, 4, 28, 28, 58.62, 100.0, 100.0, 82.796875, 96.59375, 96.59375, 24.09765625, 24.09765625, 100.0, 0.0, 0.0, 17.19921875, 44.796875, 37.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 71.0, 22.0, 0.0, 0.0, 3.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "11728", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11728&g_ta_cod=11728", 100.0, 0.0, 0.0),
(4324, "Public", "0210017E", "Lycée Montchapet", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Montchapet - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 24, 811, 457, 804, 0, 131, 36, 201, 81, 171, 78, 301, 7, 0, 1, 0, 6, 460, 0, 0, 0, 79, 19, 111, 38, 171, 78, 99, 146, 17, 14, 17, 0, 2.0, 9.0, 14.0, 0, 4, 13, 5, 4, 4, 4, 0, 4, 7, 1, 1, 0.0, 3, 3, 3, 1, 1, 8, 8, 11.76, 52.94, 82.35, 82.390625, 61.5, 61.5, 7.69921875, 30.796875, 76.5, 0.0, 30.796875, 53.796875, 7.69921875, 7.7, 0.0, 38.5, 23.09765625, 30.796875, 23.09765625, 30.796875, 23.09765625, 34.0, 10.0, 33.0, 18.0, 30.0, "Tous les candidats sauf les Bac professionnels", 191.0, "Bacheliers professionnels toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 29.0, "3187", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3187&g_ta_cod=3187", 47.0, 24.0, 29.0),
(4325, "Public", "0942113L", "IFSI CH Paul Guiraud", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villejuif", "formation sélective", "IFSI", "Regroupement d'IFSI Université Paris Sud (P11) - D.E Infirmier", "D.E secteur sanitaire", "", 78, 6039, 5267, 6039, 0, 628, 188, 892, 366, 836, 444, 3683, 0, 0, 0, 0, 0, 4727, 0, 0, 0, 621, 184, 726, 285, 618, 328, 2762, 927, 71, 57, 71, 0, 1.0, 11.0, 54.0, 0, 13, 26, 8, 8, 10, 45, 0, 8, 13, 4, 1, 0.0, 4, 5, 9, 0, 0, 18, 24, 1.41, 15.49, 76.06, 80.296875, 69.1875, 92.296875, 0, 50.0, 36.59375, 0.0, 30.796875, 50.0, 15.3984375, 3.8, 0.0, 30.796875, 15.3984375, 30.796875, 19.19921875, 38.5, 34.59375, 195.0, 63.0, 121.0, 80.0, 575.0, "Tous les candidats", 2503.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "25058", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23011&g_ta_cod=25058", 52.0, 20.0, 27.0),
(4326, "Public", "0881509M", "IFSI Remiremont", "88", "Vosges", "Grand Est", "Nancy-Metz", "Remiremont", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nancy - D.E Infirmier", "D.E secteur sanitaire", "", 40, 2969, 2410, 2969, 0, 479, 88, 559, 160, 295, 108, 1636, 0, 0, 0, 0, 0, 2570, 0, 0, 0, 446, 79, 502, 135, 253, 86, 1369, 506, 40, 37, 40, 0, 1.0, 21.0, 32.0, 0, 7, 29, 6, 15, 8, 11, 0, 2, 13, 11, 3, 0.0, 5, 14, 8, 0, 0, 16, 16, 2.5, 52.5, 80.0, 92.5, 55.1953125, 55.1953125, 0, 24.09765625, 72.5, 0.0, 6.8994140625, 44.796875, 37.8984375, 10.3, 0.0, 20.69921875, 17.19921875, 51.6953125, 48.296875, 27.59765625, 27.59765625, 54.0, 11.0, 79.0, 24.0, 257.0, "Tous les candidats", 2393.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "23196", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22997&g_ta_cod=23196", 23.0, 48.0, 30.0),
(4327, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 450, 1211, 968, 946, 0, 623, 224, 74, 43, 35, 22, 214, 265, 34, 16, 17, 198, 937, 261, 0, 0, 623, 224, 74, 43, 35, 22, 205, 1199, 231, 173, 133, 98, 129.0, 132.0, 179.0, 0, 53, 107, 80, 19, 8, 124, 0, 41, 45, 16, 5, 0.0, 53, 7, 6, 0, 0, 58, 58, 55.84, 57.14, 77.49, 74.890625, 54.1953125, 54.1953125, 0, 49.5, 46.296875, 0.0, 38.296875, 42.09375, 15.0, 4.7, 0.0, 74.796875, 49.5, 17.796875, 6.5, 7.5, 5.599609375, 657.0, 238.0, 52.0, 31.0, 400.0, "Tous les candidats", 937.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4152", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4152&g_ta_cod=4152", 74.0, 15.0, 10.0),
(4328, "Privé sous contrat d'association", "0940821G", "Lycée Gregor Mendel", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vincennes", "formation sélective", "BTS", "Lycée Gregor Mendel - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 34, 738, 501, 550, 0, 167, 28, 145, 31, 8, 4, 230, 188, 38, 29, 5, 116, 241, 16, 0, 0, 112, 16, 84, 13, 1, 0, 44, 177, 30, 18, 25, 5, 3.0, 16.0, 25.0, 0, 4, 24, 14, 10, 0, 6, 0, 13, 10, 1, 0, 0.0, 5, 6, 0, 6, 1, 14, 24, 10.0, 53.33, 83.33, 60.0, 58.296875, 100.0, 25, 16.69921875, 80.0, 0.0, 54.1953125, 41.6953125, 4.19921875, 0.0, 0.0, 58.296875, 20.796875, 41.6953125, 25.0, 0.0, 0.0, 97.0, 14.0, 1.0, 0.0, 33.0, "Tous les candidats sauf les Bac professionnels", 240.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 44.0, "11446", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11446&g_ta_cod=11446", 63.0, 37.0, 0.0),
(4329, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Licence", "Université Bordeaux Montaigne - Licence - Arts - Parcours Licence 1 Arts plastiques", "Licence - Arts-lettres-langues", "Licence 1 Arts plastiques", 145, 1248, 1021, 1248, 0, 742, 174, 127, 33, 71, 31, 308, 0, 0, 0, 0, 0, 1248, 0, 0, 0, 742, 174, 127, 33, 71, 31, 308, 482, 147, 116, 147, 0, 25.0, 116.0, 132.0, 0, 35, 120, 95, 13, 12, 27, 2, 20, 65, 28, 5, 0.0, 75, 12, 11, 0, 0, 74, 74, 17.01, 78.91, 89.8, 78.890625, 61.6953125, 61.6953125, 0, 29.19921875, 81.59375, 1.699951171875, 16.69921875, 54.1953125, 23.296875, 4.2, 0.0, 79.1875, 62.5, 10.798828125, 10.0, 10.0, 9.19921875, 327.0, 73.0, 20.0, 5.0, 79.0, "Tous les candidats", 612.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "4413", "Licence - Arts - Parcours Licence 1 Arts plastiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4413&g_ta_cod=4413", 78.0, 11.0, 10.0),
(4330, "Public", "0750691U", "Lycée Raspail", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "CPGE", "Lycée Raspail - CPGE - TSI", "Classe préparatoire scientifique", "", 45, 605, 67, 585, 138, 0, 0, 549, 140, 0, 0, 36, 20, 0, 10, 0, 10, 315, 6, 97, 259, 0, 0, 308, 80, 0, 0, 7, 169, 26, 5, 22, 4, 11.0, 22.0, 22.0, 1, 8, 24, 0, 24, 0, 2, 0, 2, 3, 13, 6, 0.0, 0, 22, 0, 2, 1, 3, 22, 42.31, 84.62, 84.62, 19.19921875, 12.5, 91.6875, 8.298828125, 33.296875, 92.296875, 0.0, 8.298828125, 12.5, 54.1953125, 25.0, 0.0, 0.0, 0.0, 100.0, 91.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 6.0, "Tous les candidats", 271.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "9104", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9104&g_ta_cod=9104", 0.0, 100.0, 0.0),
(4331, "Public", "0590223X", "Lycée Du Hainaut", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "Autre formation", "Lycée Du Hainaut - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 52, 6, 2, 0, 0, 0.0, 0.0, 2.0, 0, 3, 6, 0, 0, 6, 0, 0, 3, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 6, 6, 0.0, 0.0, 33.33, 33.296875, 100.0, 100.0, 0, 50.0, 100.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 43.0, 26.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22307", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(4332, "Public", "0470001W", "Lycée Bernard Palissy", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "BTS", "Lycée Bernard Palissy - BTS - Production - Bioqualité", "BTS - Production", "", 15, 207, 138, 183, 0, 22, 2, 73, 14, 22, 6, 66, 24, 1, 14, 0, 9, 107, 9, 0, 0, 16, 1, 55, 9, 20, 5, 16, 80, 13, 9, 9, 2, 2.0, 9.0, 11.0, 0, 3, 12, 4, 5, 3, 1, 0, 7, 4, 1, 0, 0.0, 1, 2, 2, 0, 0, 7, 7, 15.38, 69.23, 84.62, 69.1875, 58.296875, 58.296875, 0, 25.0, 92.296875, 0.0, 58.296875, 33.296875, 8.298828125, 0.0, 0.0, 33.296875, 8.298828125, 41.6953125, 16.69921875, 25.0, 16.69921875, 13.0, 2.0, 15.0, 3.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 58.0, "23412", "BTS - Production - Bioqualité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23412&g_ta_cod=23412", 31.0, 38.0, 31.0),
(4333, "Privé sous contrat d'association", "0921484N", "Lycée Montalembert", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Courbevoie", "formation sélective", "BTS", "Lycée Montalembert - BTS - Services - Commerce International", "BTS - Services", "", 35, 898, 452, 779, 0, 273, 57, 258, 61, 69, 34, 179, 119, 0, 80, 0, 39, 481, 21, 0, 0, 218, 36, 155, 24, 29, 11, 79, 245, 30, 11, 27, 3, 4.0, 19.0, 24.0, 0, 7, 27, 13, 11, 3, 3, 0, 9, 15, 2, 1, 0.0, 7, 8, 3, 3, 2, 20, 27, 13.33, 63.33, 80.0, 36.6953125, 74.09375, 100.0, 11.099609375, 25.8984375, 90.0, 0.0, 33.296875, 55.59375, 7.3994140625, 3.7, 0.0, 48.09375, 25.8984375, 40.6953125, 29.59765625, 11.099609375, 11.099609375, 94.0, 24.0, 17.0, 6.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 181.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 161, "Liste d'appel propre à cette formation", 46.0, "11125", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11125&g_ta_cod=11125", 50.0, 37.0, 13.0),
(4334, "Public", "0750658H", "Lycée Saint-Louis (6ème)", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Saint-Louis (6ème) - CPGE - MPSI", "Classe préparatoire scientifique", "", 192, 7841, 2417, 7841, 5363, 7160, 648, 4, 2, 0, 0, 677, 0, 0, 0, 0, 0, 1497, 0, 957, 1459, 1496, 93, 0, 0, 0, 0, 1, 828, 191, 70, 191, 0, 53.0, 161.0, 179.0, 48, 21, 191, 191, 0, 0, 0, 2, 0, 0, 6, 86, 97.0, 189, 0, 0, 0, 0, 60, 131, 27.75, 84.29, 93.72, 36.59375, 31.3984375, 68.59375, 0, 11.0, 100.0, 1.0, 0.0, 0.0, 3.099609375, 45.0, 50.8, 100.0, 99.0, 0.0, 0.0, 0.0, 0.0, 827.0, 73.0, 0.0, 0.0, 1.0, "Tous les candidats", 1107.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "8982", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8982&g_ta_cod=8982", 100.0, 0.0, 0.0),
(4335, "Public", "0320691C", "I.U.T de Toulouse - Antenne d'Auch", "32", "Gers", "Occitanie", "Toulouse", "Auch", "formation sélective", "BUT", "I.U.T de Toulouse - Antenne d'Auch - BUT - Gestion des entreprises et des administrations Parcours : Gestion, entrepreneuriat et management d?activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion, entrepreneuriat et management d?activités - Contrôle de gestion et pilotage de la performance", 82, 1459, 733, 1393, 0, 733, 144, 417, 128, 12, 6, 231, 66, 0, 33, 0, 33, 1221, 8, 0, 0, 686, 132, 349, 104, 0, 0, 186, 694, 80, 28, 78, 2, 4.0, 60.0, 76.0, 0, 18, 61, 31, 30, 0, 19, 0, 21, 30, 9, 1, 0.0, 18, 22, 0, 0, 0, 40, 40, 5.0, 75.0, 95.0, 35.0, 65.59375, 65.59375, 0, 29.5, 76.296875, 0.0, 34.3984375, 49.1953125, 14.798828125, 1.6, 0.0, 50.796875, 29.5, 49.1953125, 36.09375, 0.0, 0.0, 311.0, 75.0, 0.0, 0.0, 106.0, "Tous les candidats sauf les Bac technologiques", 672.0, "Bacheliers technologiques toutes séries", 371, "", 0, "Liste d'appel propre à cette formation", 75.0, "4266", "BUT - Gestion des entreprises et des administrations Parcours : Gestion, entrepreneuriat et management d?activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4266&g_ta_cod=4266", 59.0, 41.0, 0.0),
(4336, "Public", "0910727W", "Lycée Parc de Vilgenis", "91", "Essonne", "Ile-de-France", "Versailles", "Massy", "formation sélective", "BTS", "Lycée Parc de Vilgenis - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 606, 282, 606, 0, 41, 8, 213, 84, 176, 87, 176, 0, 0, 0, 0, 0, 378, 0, 0, 0, 15, 6, 160, 65, 126, 59, 77, 160, 32, 21, 32, 0, 1.0, 22.0, 29.0, 0, 10, 24, 0, 11, 13, 8, 0, 12, 8, 4, 0, 0.0, 0, 5, 7, 6, 2, 22, 23, 3.13, 68.75, 90.63, 65.59375, 91.6875, 95.796875, 25, 41.6953125, 75.0, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 45.796875, 20.796875, 54.1953125, 29.19921875, 1.0, 1.0, 58.0, 27.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 113, "Bacheliers technologiques toutes séries", 129, "Liste d'appel propre à cette formation", 40.0, "10885", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10885&g_ta_cod=10885", 0.0, 50.0, 47.0),
(4337, "Public", "0410978R", "I.U.T de Blois", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BUT", "I.U.T de Blois - BUT - Réseaux et télécommunications Parcours : Cybersécurité - Internet des objets et mobilité", "BUT - Production", "Cybersécurité - Internet des objets et mobilité", 52, 610, 39, 599, 0, 339, 50, 166, 33, 8, 1, 86, 11, 0, 7, 0, 4, 460, 1, 0, 0, 276, 38, 134, 26, 4, 0, 46, 241, 50, 7, 50, 0, 2.0, 37.0, 47.0, 0, 12, 46, 29, 17, 0, 4, 0, 22, 22, 2, 0, 0.0, 15, 9, 0, 0, 0, 32, 32, 4.0, 74.0, 94.0, 14.0, 69.59375, 69.59375, 0, 26.09765625, 92.0, 0.0, 47.796875, 47.796875, 4.2998046875, 0.0, 0.0, 63.0, 32.59375, 37.0, 19.59765625, 0.0, 0.0, 115.0, 20.0, 0.0, 0.0, 20.0, "Tous les candidats sauf les Bac technologiques", 195.0, "Bacheliers technologiques toutes séries", 148, "", 0, "Liste d'appel propre à cette formation", 57.0, "5265", "BUT - Réseaux et télécommunications Parcours : Cybersécurité - Internet des objets et mobilité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5265&g_ta_cod=5265", 62.0, 38.0, 0.0),
(4338, "Public", "0782557F", "Lycée Jean-Baptiste Poquelin", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "BTS", "Lycée Jean-Baptiste Poquelin - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 590, 230, 590, 0, 56, 19, 167, 62, 112, 47, 255, 0, 0, 0, 0, 0, 298, 0, 0, 0, 44, 12, 118, 42, 86, 38, 50, 163, 32, 12, 32, 0, 3.0, 24.0, 29.0, 0, 5, 23, 3, 7, 13, 9, 0, 8, 12, 3, 0, 0.0, 1, 5, 9, 5, 2, 22, 22, 9.38, 75.0, 90.63, 37.5, 95.6875, 95.6875, 21.69921875, 21.69921875, 71.890625, 0.0, 34.796875, 52.1953125, 13.0, 0.0, 0.0, 13.0, 4.2998046875, 30.3984375, 21.69921875, 56.5, 39.09375, 21.0, 6.0, 54.0, 22.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 84, "Bacheliers technologiques toutes séries", 107, "Liste d'appel propre à cette formation", 37.0, "10041", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10041&g_ta_cod=10041", 9.0, 41.0, 50.0),
(4339, "Public", "0860005N", "Cite Technique Edouard Branly", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Châtellerault", "formation sélective", "BTS", "Cite Technique Edouard Branly - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 10, 76, 6, 76, 0, 5, 1, 40, 6, 20, 9, 11, 0, 0, 0, 0, 0, 76, 0, 0, 0, 5, 1, 40, 6, 20, 9, 11, 38, 11, 0, 11, 0, 2.0, 10.0, 10.0, 0, 2, 6, 0, 1, 5, 5, 0, 4, 1, 1, 0, 0.0, 0, 1, 1, 1, 0, 5, 5, 18.18, 90.91, 90.91, 0.0, 83.296875, 83.296875, 16.69921875, 33.296875, 54.5, 0.0, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 16.69921875, 16.69921875, 83.296875, 16.69921875, 5.0, 1.0, 15.0, 7.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 61.0, "10573", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10573&g_ta_cod=10573", 18.0, 27.0, 55.0),
(4340, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Langues : Anglais - Allemand  - Programme International MINERVE", "Licence - Arts-lettres-langues", "Langues : Anglais - Allemand  - Programme International MINERVE", 20, 205, 159, 192, 0, 151, 26, 9, 5, 2, 2, 30, 13, 1, 2, 3, 7, 192, 13, 0, 0, 151, 26, 9, 5, 2, 2, 30, 120, 24, 18, 18, 6, 3.0, 18.0, 19.0, 0, 7, 17, 14, 2, 1, 7, 0, 4, 6, 5, 2, 0.0, 12, 1, 0, 0, 0, 8, 8, 12.5, 75.0, 79.17, 75.0, 47.09375, 47.09375, 0, 41.1953125, 70.796875, 0.0, 23.5, 35.296875, 29.3984375, 11.8, 0.0, 82.390625, 70.59375, 11.798828125, 5.8994140625, 5.8994140625, 0.0, 83.0, 18.0, 5.0, 5.0, 22.0, "Tous les candidats", 192.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19301", "Licence - Portail Langues : Anglais - Allemand  - Programme International MINERVE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19301&g_ta_cod=19301", 79.0, 17.0, 4.0),
(4341, "Public", "0142179T", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Lisieux", "14", "Calvados", "Normandie", "Normandie", "Lisieux", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Lisieux - BUT - Techniques de commercialisation Parcours : Marketing et management du point de vente -  Business développement et management de la relation client", "BUT - Service", "Marketing et management du point de vente -  Business développement et management de la relation client", 56, 1339, 630, 1276, 0, 670, 92, 385, 90, 22, 3, 199, 63, 3, 34, 0, 26, 867, 15, 0, 0, 485, 62, 276, 66, 1, 0, 105, 458, 55, 21, 49, 6, 3.0, 26.0, 46.0, 0, 9, 43, 30, 13, 0, 12, 0, 17, 26, 0, 0, 0.0, 21, 5, 0, 0, 0, 36, 36, 5.45, 47.27, 83.64, 38.1953125, 83.6875, 83.6875, 0, 20.8984375, 78.1875, 0.0, 39.5, 60.5, 0.0, 0.0, 0.0, 69.796875, 48.796875, 30.19921875, 11.599609375, 0.0, 0.0, 208.0, 37.0, 1.0, 0.0, 60.0, "Tous les candidats sauf les Bac technologiques", 459.0, "Bacheliers technologiques toutes séries", 281, "", 0, "Liste d'appel propre à cette formation", 58.0, "2938", "BUT - Techniques de commercialisation Parcours : Marketing et management du point de vente -  Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2938&g_ta_cod=2938", 75.0, 25.0, 0.0),
(4342, "Public", "0940138P", "Lycée professionnel Armand Guillaumin", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Orly", "formation sélective", "BTS", "Lycée professionnel Armand Guillaumin - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 24, 524, 512, 524, 0, 61, 16, 134, 49, 164, 67, 165, 0, 0, 0, 0, 0, 504, 0, 0, 0, 58, 16, 129, 49, 164, 67, 153, 105, 20, 20, 20, 0, 3.0, 12.0, 17.0, 0, 6, 18, 5, 6, 7, 2, 0, 11, 4, 1, 2, 0.0, 0, 1, 6, 3, 3, 11, 16, 15.0, 60.0, 85.0, 100.0, 61.09375, 88.890625, 16.69921875, 33.296875, 90.0, 0.0, 61.09375, 22.19921875, 5.599609375, 11.1, 0.0, 27.796875, 0.0, 33.296875, 5.599609375, 38.8984375, 33.296875, 33.0, 10.0, 31.0, 11.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 23.0, "11423", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11423&g_ta_cod=11423", 35.0, 30.0, 35.0),
(4343, "Public", "9740787M", "Lycée Antoine Roussin", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Louis", "formation sélective", "BTS", "Lycée Antoine Roussin - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 345, 248, 315, 0, 8, 5, 134, 89, 123, 96, 50, 30, 0, 20, 1, 9, 158, 5, 0, 0, 6, 3, 68, 45, 72, 56, 12, 111, 33, 27, 30, 3, 6.0, 28.0, 31.0, 0, 22, 30, 0, 14, 16, 3, 0, 7, 11, 10, 2, 0.0, 0, 8, 15, 12, 7, 30, 30, 18.18, 84.85, 93.94, 81.796875, 100.0, 100.0, 40, 73.296875, 90.890625, 0.0, 23.296875, 36.6953125, 33.296875, 6.7, 0.0, 0.0, 0.0, 46.6953125, 26.69921875, 53.296875, 50.0, 5.0, 3.0, 45.0, 33.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 44.0, "11931", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11931&g_ta_cod=11931", 6.0, 45.0, 48.0),
(4344, "Public", "0590072H", "Lycée De L'Europe", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "Lycée De L'Europe - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 167, 17, 167, 0, 4, 0, 54, 18, 38, 13, 71, 0, 0, 0, 0, 0, 167, 0, 0, 0, 4, 0, 54, 18, 38, 13, 71, 48, 11, 2, 11, 0, 4.0, 9.0, 10.0, 0, 4, 8, 0, 4, 4, 3, 0, 3, 3, 2, 0, 0.0, 0, 3, 2, 3, 0, 8, 8, 36.36, 81.82, 90.91, 18.19921875, 100.0, 100.0, 37.5, 50.0, 72.6875, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 0.0, 0.0, 50.0, 37.5, 50.0, 25.0, 3.0, 0.0, 23.0, 8.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 39.0, "6751", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6751&g_ta_cod=6751", 9.0, 55.0, 36.0),
(4345, "Public", "0940114N", "Lycée Antoine de Saint Exupery", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "BTS", "Lycée Antoine de Saint Exupery - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 2093, 1031, 2093, 0, 121, 37, 613, 231, 753, 381, 606, 0, 0, 0, 0, 0, 686, 0, 0, 0, 65, 22, 206, 103, 316, 161, 99, 162, 34, 16, 32, 0, 5.0, 26.0, 27.0, 0, 15, 27, 3, 12, 12, 7, 0, 9, 15, 3, 0, 0.0, 0, 8, 10, 5, 4, 24, 27, 14.71, 76.47, 79.41, 47.09375, 88.890625, 100.0, 18.5, 55.59375, 79.390625, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 11.099609375, 0.0, 44.3984375, 29.59765625, 44.3984375, 37.0, 15.0, 6.0, 56.0, 32.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 102, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 9.0, "11375", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11375&g_ta_cod=11375", 9.0, 38.0, 53.0),
(4346, "Public", "9740053P", "Lycée Georges Brassens", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée Georges Brassens - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 30, 221, 13, 220, 0, 13, 7, 61, 28, 100, 54, 46, 1, 0, 0, 0, 1, 64, 0, 0, 0, 6, 3, 18, 7, 40, 23, 0, 60, 30, 0, 28, 0, 13.0, 24.0, 25.0, 0, 14, 29, 2, 5, 22, 1, 0, 1, 12, 12, 4, 0.0, 1, 5, 22, 5, 0, 28, 28, 43.33, 80.0, 83.33, 0.0, 96.59375, 96.59375, 17.19921875, 48.296875, 96.6875, 0.0, 3.39990234375, 41.3984375, 41.3984375, 13.8, 0.0, 6.8994140625, 3.39990234375, 17.19921875, 17.19921875, 75.890625, 75.890625, 7.0, 3.0, 37.0, 20.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 26.0, "11900", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11900&g_ta_cod=11900", 7.0, 20.0, 73.0),
(4347, "Privé sous contrat d'association", "0330207W", "I.R.T.S. NOUVELLE - AQUITAINE", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "EFTS", "I.R.T.S. NOUVELLE - AQUITAINE - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 35, 357, 339, 357, 0, 76, 11, 53, 6, 28, 2, 200, 0, 0, 0, 0, 0, 236, 0, 0, 0, 46, 2, 33, 4, 14, 0, 143, 46, 35, 32, 35, 0, 26.0, 34.0, 35.0, 0, 0, 10, 8, 1, 1, 25, 0, 2, 4, 4, 0, 0.0, 6, 1, 1, 0, 0, 6, 6, 74.29, 97.14, 100.0, 91.390625, 60.0, 60.0, 0, 0.0, 28.59765625, 0.0, 20.0, 40.0, 40.0, 0.0, 0.0, 80.0, 60.0, 10.0, 10.0, 10.0, 10.0, 9.0, 0.0, 2.0, 0.0, 34.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "24862", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24862&g_ta_cod=24862", 71.0, 23.0, 6.0),
(4348, "Public", "0623920Z", "Université du littoral - Site de Boulogne-sur-Mer", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "Autre formation", "Université du littoral - Site de Boulogne-sur-Mer - Formation Supérieure de Spécialisation - Assistant administratif commercial et comptable", "Diplôme d'Université", "Assistant administratif commercial et comptable", 15, 29, 19, 21, 0, 4, 0, 5, 4, 1, 0, 11, 8, 1, 0, 0, 7, 11, 1, 0, 0, 1, 0, 4, 3, 1, 0, 5, 13, 5, 4, 5, 0, 5.0, 5.0, 5.0, 0, 2, 3, 1, 2, 0, 2, 0, 2, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 3, 3, 100.0, 100.0, 100.0, 80.0, 100.0, 100.0, 0, 66.6875, 60.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 2.0, 0.0, 1.0, 0.0, 6.0, "Tous les candidats", 11.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "32539", "Formation Supérieure de Spécialisation - Assistant administratif commercial et comptable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32539&g_ta_cod=32539", 40.0, 40.0, 0.0),
(4349, "Public", "0900003P", "Lycée Gustave Courbet", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "CPGE", "Lycée Gustave Courbet - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 45, 258, 134, 247, 0, 172, 21, 1, 1, 0, 0, 74, 11, 4, 2, 0, 5, 189, 5, 0, 189, 167, 20, 0, 0, 0, 0, 22, 162, 30, 17, 30, 0, 8.0, 30.0, 30.0, 0, 3, 22, 22, 0, 0, 8, 0, 4, 7, 9, 2, 0.0, 18, 0, 0, 4, 2, 20, 20, 26.67, 100.0, 100.0, 56.6953125, 90.890625, 90.890625, 18.19921875, 13.599609375, 73.296875, 0.0, 18.19921875, 31.796875, 40.8984375, 9.1, 0.0, 100.0, 81.796875, 0.0, 0.0, 0.0, 0.0, 139.0, 19.0, 0.0, 0.0, 23.0, "Tous les candidats", 189.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "31279", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31279&g_ta_cod=31279", 100.0, 0.0, 0.0),
(4350, "Public", "0771171E", "Lycée professionnel Louis Lumiere", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Chelles", "formation sélective", "BTS", "Lycée professionnel Louis Lumiere - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1356, 592, 1140, 0, 97, 34, 329, 117, 410, 157, 304, 216, 29, 84, 0, 103, 401, 7, 0, 0, 66, 20, 75, 25, 215, 78, 45, 204, 31, 12, 26, 1, 4.0, 22.0, 26.0, 0, 8, 26, 7, 8, 11, 5, 0, 9, 13, 4, 0, 0.0, 3, 5, 9, 3, 1, 25, 25, 12.9, 70.97, 83.87, 38.6953125, 96.1875, 96.1875, 11.5, 30.796875, 83.890625, 0.0, 34.59375, 50.0, 15.3984375, 0.0, 0.0, 26.8984375, 11.5, 30.796875, 19.19921875, 42.296875, 34.59375, 55.0, 18.0, 60.0, 17.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 81.0, "Bacheliers professionnels toutes séries", 89, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 21.0, "9828", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9828&g_ta_cod=9828", 23.0, 35.0, 42.0),
(4351, "Public", "0290352A", "I.U.T de Quimper", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BUT", "I.U.T de Quimper - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 66, 593, 351, 578, 0, 349, 32, 101, 12, 1, 0, 127, 15, 3, 1, 0, 11, 497, 6, 0, 0, 332, 29, 59, 6, 0, 0, 106, 351, 59, 27, 56, 3, 8.0, 43.0, 54.0, 0, 7, 41, 28, 13, 0, 18, 0, 18, 19, 4, 0, 0.0, 19, 4, 0, 0, 0, 34, 34, 13.56, 72.88, 91.53, 45.796875, 82.890625, 82.890625, 0, 17.09765625, 69.5, 0.0, 43.8984375, 46.296875, 9.798828125, 0.0, 0.0, 68.296875, 46.296875, 31.69921875, 9.798828125, 0.0, 0.0, 206.0, 25.0, 0.0, 0.0, 89.0, "Tous les candidats sauf les Bac technologiques", 378.0, "Bacheliers technologiques toutes séries", 70, "", 0, "Liste d'appel propre à cette formation", 78.0, "3879", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3879&g_ta_cod=3879", 75.0, 25.0, 0.0),
(4352, "Privé sous contrat d'association", "0490072M", "ESA - Ecole Supérieure d'Agricultures", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "Bac STL", 5, 20, 8, 19, 0, 0, 0, 19, 10, 0, 0, 0, 1, 0, 1, 0, 0, 8, 0, 0, 0, 0, 0, 8, 5, 0, 0, 0, 6, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "31139", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=31139", 0, 0, 0),
(4353, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "PASS", "Université de Rennes 1 - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Chimie", 80, 3933, 2681, 3933, 0, 3270, 371, 75, 21, 5, 2, 583, 0, 0, 0, 0, 0, 3931, 0, 0, 0, 3270, 371, 75, 21, 5, 2, 581, 617, 80, 60, 80, 0, 4.0, 44.0, 68.0, 0, 10, 77, 77, 0, 0, 3, 0, 0, 10, 33, 31, 3.0, 77, 0, 0, 0, 0, 74, 74, 5.0, 55.0, 85.0, 75.0, 96.09375, 96.09375, 0, 13.0, 96.296875, 0.0, 0.0, 13.0, 42.8984375, 40.3, 3.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 516.0, 63.0, 2.0, 1.0, 93.0, "Tous les candidats", 1594.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "31999", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27360&g_ta_cod=31999", 100.0, 0.0, 0.0),
(4354, "Privé sous contrat d'association", "0595657D", "Institut Saint Vincent De Paul", "59", "Nord", "Hauts-de-France", "Lille", "Loos", "formation sélective", "BTS", "Institut Saint Vincent De Paul - BTS - Services - Economie sociale familiale", "BTS - Services", "", 51, 495, 442, 446, 0, 60, 23, 131, 49, 121, 56, 134, 49, 0, 9, 19, 21, 304, 15, 0, 0, 60, 23, 101, 34, 76, 35, 67, 173, 48, 41, 39, 9, 5.0, 24.0, 35.0, 0, 11, 27, 4, 13, 10, 21, 0, 13, 12, 2, 0, 0.0, 1, 6, 7, 5, 4, 26, 26, 10.42, 50.0, 72.92, 85.390625, 96.296875, 96.296875, 18.5, 40.6953125, 56.296875, 0.0, 48.09375, 44.3984375, 7.3994140625, 0.0, 0.0, 14.798828125, 3.69970703125, 48.09375, 22.19921875, 37.0, 25.8984375, 26.0, 13.0, 50.0, 26.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 84, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 54.0, "7139", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7139&g_ta_cod=7139", 29.0, 31.0, 40.0),
(4355, "Public", "0820883P", "Lycée Claude Nougaro", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Monteils", "formation sélective", "Autre formation", "Lycée Claude Nougaro - Mention complémentaire - Services numériques aux organisations", "Mention complémentaire", "", 24, 25, 7, 18, 0, 1, 0, 5, 0, 3, 1, 9, 7, 0, 1, 3, 3, 10, 5, 0, 0, 1, 0, 5, 0, 3, 1, 1, 15, 5, 2, 3, 2, 3.0, 3.0, 3.0, 0, 2, 5, 0, 3, 2, 0, 0, 1, 4, 0, 0, 0.0, 0, 3, 1, 0, 0, 3, 3, 60.0, 60.0, 60.0, 40.0, 60.0, 60.0, 0, 40.0, 100.0, 0.0, 20.0, 80.0, 0.0, 0.0, 0.0, 0.0, 0.0, 60.0, 60.0, 40.0, 20.0, 1.0, 0.0, 6.0, 4.0, 2.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "33746", "Mention complémentaire - Services numériques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33746&g_ta_cod=33746", 0.0, 60.0, 40.0),
(4356, "Privé sous contrat d'association", "0350795Z", "Lycée / Pôle Sup de La Salle - Groupe Saint Jean", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée / Pôle Sup de La Salle - Groupe Saint Jean - BTS - Services - Assurance", "BTS - Services", "", 35, 137, 62, 120, 0, 32, 9, 43, 6, 11, 3, 34, 17, 1, 2, 1, 13, 101, 3, 0, 0, 29, 8, 42, 6, 7, 1, 23, 86, 22, 12, 20, 2, 10.0, 19.0, 20.0, 0, 3, 14, 7, 5, 2, 8, 0, 5, 7, 2, 0, 0.0, 5, 2, 2, 1, 0, 14, 14, 45.45, 86.36, 90.91, 54.5, 100.0, 100.0, 7.099609375, 21.3984375, 63.59375, 0.0, 35.6953125, 50.0, 14.298828125, 0.0, 0.0, 50.0, 35.6953125, 35.6953125, 14.298828125, 14.298828125, 14.298828125, 25.0, 7.0, 7.0, 1.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 84.0, "4692", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4692&g_ta_cod=4692", 55.0, 36.0, 9.0),
(4357, "Privé enseignement supérieur", "0130239P", "KEDGE BUSINESS SCHOOL - Site de Marseille", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  9e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "International BBA", 180, 2337, 1022, 2289, 0, 1982, 73, 103, 10, 5, 1, 199, 48, 18, 5, 0, 25, 2097, 32, 0, 0, 1853, 60, 79, 7, 3, 1, 162, 2084, 146, 50, 135, 11, 118.0, 135.0, 143.0, 0, 11, 119, 113, 6, 0, 27, 0, 37, 53, 26, 3, 0.0, 77, 5, 0, 0, 0, 49, 49, 80.82, 92.47, 97.95, 34.1953125, 41.1953125, 41.1953125, 0, 9.19921875, 81.5, 0.0, 31.09765625, 44.5, 21.796875, 2.5, 0.0, 95.0, 64.6875, 5.0, 4.19921875, 0.0, 0.0, 1828.0, 62.0, 3.0, 1.0, 175.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "26296", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26296", 95.0, 5.0, 0.0),
(4358, "Public", "0630018C", "Lycée Blaise Pascal", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "CPGE", "Lycée Blaise Pascal - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 22, 521, 244, 516, 296, 438, 23, 0, 0, 0, 0, 78, 5, 3, 0, 0, 2, 391, 3, 146, 359, 370, 22, 0, 0, 0, 0, 21, 234, 9, 4, 9, 0, 1.0, 8.0, 9.0, 0, 0, 9, 9, 0, 0, 0, 0, 0, 1, 3, 5, 0.0, 9, 0, 0, 2, 1, 8, 8, 11.11, 88.89, 100.0, 44.3984375, 88.890625, 88.890625, 22.19921875, 0.0, 100.0, 0.0, 0.0, 11.099609375, 33.296875, 55.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 220.0, 12.0, 0.0, 0.0, 14.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "31470", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31285&g_ta_cod=31470", 100.0, 0.0, 0.0),
(4359, "Public", "0510062R", "Lycée Francois 1er", "51", "Marne", "Grand Est", "Reims", "Vitry-le-François", "formation sélective", "BTS", "Lycée Francois 1er - BTS - Services - Tourisme", "BTS - Services", "", 24, 494, 286, 490, 0, 64, 20, 49, 15, 55, 31, 322, 4, 0, 0, 4, 0, 227, 3, 0, 0, 64, 20, 49, 15, 55, 31, 59, 139, 22, 16, 20, 2, 1.0, 15.0, 18.0, 0, 7, 14, 5, 5, 4, 8, 0, 8, 4, 2, 0, 0.0, 3, 1, 2, 2, 1, 10, 10, 4.55, 68.18, 81.82, 72.6875, 71.390625, 71.390625, 14.298828125, 50.0, 63.59375, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 35.6953125, 21.3984375, 35.6953125, 7.099609375, 28.59765625, 14.298828125, 33.0, 7.0, 44.0, 25.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 92.0, "Bacheliers technologiques toutes séries", 55, "Bacheliers professionnels toutes séries", 66, "Liste d'appel propre à cette formation", 43.0, "29838", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29838&g_ta_cod=29838", 36.0, 36.0, 27.0),
(4360, "Public", "0620052V", "Lycée Edouard Branly", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Production - Bâtiment", "BTS - Production", "", 30, 297, 47, 283, 0, 16, 1, 76, 23, 37, 17, 154, 14, 0, 0, 7, 7, 180, 5, 0, 0, 16, 1, 74, 21, 34, 15, 56, 81, 28, 4, 24, 4, 6.0, 24.0, 28.0, 0, 6, 25, 3, 11, 11, 3, 0, 7, 9, 7, 2, 0.0, 1, 9, 8, 6, 0, 21, 21, 21.43, 85.71, 100.0, 14.298828125, 84.0, 84.0, 24, 24.0, 89.296875, 0.0, 28.0, 36.0, 28.0, 8.0, 0.0, 12.0, 4.0, 44.0, 36.0, 44.0, 32.0, 14.0, 1.0, 34.0, 16.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 32.0, "7352", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7352&g_ta_cod=7352", 18.0, 39.0, 43.0),
(4361, "Public", "0300026R", "Lycée Dhuoda", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Dhuoda - BTS - Production - Bâtiment", "BTS - Production", "", 28, 533, 81, 525, 0, 43, 9, 228, 56, 131, 49, 123, 8, 0, 0, 6, 2, 319, 0, 0, 0, 38, 9, 141, 24, 94, 31, 46, 152, 22, 3, 22, 0, 0.0, 20.0, 21.0, 0, 7, 19, 0, 12, 7, 3, 0, 13, 6, 0, 0, 0.0, 0, 4, 2, 2, 0, 10, 10, 0.0, 90.91, 95.45, 13.599609375, 52.59375, 52.59375, 10.5, 36.796875, 86.390625, 0.0, 68.390625, 31.59765625, 0.0, 0.0, 0.0, 0.0, 0.0, 63.1953125, 21.09765625, 36.796875, 10.5, 4.0, 1.0, 52.0, 17.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 91, "Bacheliers technologiques toutes séries", 122, "Liste d'appel propre à cette formation", 41.0, "3940", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3940&g_ta_cod=3940", 5.0, 59.0, 36.0),
(4362, "Public", "0772348J", "I.U.T de Marne la Vallée - Antenne de Meaux", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "BUT", "I.U.T de Marne la Vallée - Antenne de Meaux - BUT - Métiers du multimédia et de l'internet Parcours : Développement web et dispositifs interactifs", "BUT - Production", "Développement web et dispositifs interactifs", 80, 1276, 337, 1276, 0, 508, 89, 379, 89, 31, 7, 358, 0, 0, 0, 0, 0, 692, 0, 0, 0, 310, 39, 233, 54, 11, 2, 138, 270, 80, 12, 80, 0, 11.0, 61.0, 74.0, 0, 12, 68, 32, 35, 1, 12, 0, 28, 34, 4, 2, 0.0, 22, 17, 1, 0, 0, 52, 62, 13.75, 76.25, 92.5, 15.0, 76.5, 91.1875, 0, 17.59765625, 85.0, 0.0, 41.1953125, 50.0, 5.8994140625, 2.9, 0.0, 47.09375, 32.3984375, 51.5, 25.0, 1.5, 1.5, 123.0, 21.0, 4.0, 1.0, 37.0, "Tous les candidats sauf les Bac technologiques", 184.0, "Bacheliers technologiques toutes séries", 135, "", 0, "Liste d'appel propre à cette formation", 25.0, "9902", "BUT - Métiers du multimédia et de l'internet Parcours : Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9902&g_ta_cod=9902", 49.0, 50.0, 1.0),
(4363, "Public", "9741231V", "Lycée Marie Curie", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Benoît", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Economie sociale familiale", "BTS - Services", "", 18, 508, 435, 493, 0, 92, 51, 140, 97, 120, 76, 141, 15, 0, 0, 10, 5, 240, 0, 0, 0, 58, 30, 87, 57, 63, 44, 32, 85, 15, 13, 15, 0, 2.0, 10.0, 13.0, 0, 7, 10, 1, 5, 4, 5, 0, 6, 2, 2, 0, 0.0, 0, 1, 3, 2, 2, 9, 9, 13.33, 66.67, 86.67, 86.6875, 90.0, 90.0, 20, 70.0, 66.6875, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 10.0, 0.0, 50.0, 10.0, 40.0, 30.0, 3.0, 2.0, 25.0, 17.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 22.0, "11975", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11975&g_ta_cod=11975", 7.0, 67.0, 27.0),
(4364, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Licence", "Université Grenoble Alpes  - Licence - Sciences de la vie - Parcours Biologie international", "Licence - Sciences - technologies - santé", "Biologie international", 32, 725, 560, 725, 0, 449, 55, 9, 2, 3, 1, 264, 0, 0, 0, 0, 0, 250, 0, 0, 0, 219, 20, 0, 0, 0, 0, 31, 120, 31, 28, 31, 0, 6.0, 23.0, 27.0, 0, 4, 30, 30, 0, 0, 1, 0, 0, 0, 7, 18, 5.0, 30, 0, 0, 0, 0, 12, 12, 19.35, 74.19, 87.1, 90.296875, 40.0, 40.0, 0, 13.298828125, 96.796875, 0.0, 0.0, 0.0, 23.296875, 60.0, 16.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 114.0, 14.0, 0.0, 0.0, 6.0, "Tous les candidats", 159.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "19241", "Licence - Sciences de la vie - Parcours Biologie international", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19241&g_ta_cod=19241", 100.0, 0.0, 0.0),
(4365, "Privé sous contrat d'association", "9710993C", "Lycée Bel Air", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "BTS", "Lycée Bel Air - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 32, 266, 138, 266, 0, 62, 23, 68, 27, 94, 69, 42, 0, 0, 0, 0, 0, 266, 0, 0, 0, 62, 23, 68, 27, 94, 69, 42, 113, 22, 9, 22, 0, 1.0, 18.0, 21.0, 0, 14, 18, 4, 6, 8, 4, 0, 12, 4, 2, 0, 0.0, 1, 1, 4, 0, 0, 18, 18, 4.55, 81.82, 95.45, 40.8984375, 100.0, 100.0, 0, 77.796875, 81.796875, 0.0, 66.6875, 22.19921875, 11.099609375, 0.0, 0.0, 22.19921875, 5.599609375, 33.296875, 5.599609375, 44.3984375, 22.19921875, 37.0, 12.0, 39.0, 29.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 65.0, "22154", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22154&g_ta_cod=22154", 23.0, 36.0, 41.0),
(4366, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence", "Université du Mans - Licence - Acoustique et Vibrations - Parcours Acoustique - HORS parcours Cursus de Master en Ingénierie (CMI) Acoustique", "Licence - Sciences - technologies - santé", "Acoustique - HORS parcours Cursus de Master en Ingénierie (CMI) Acoustique", 40, 158, 30, 153, 0, 107, 7, 5, 1, 0, 0, 41, 5, 1, 0, 0, 4, 152, 4, 0, 0, 107, 7, 5, 1, 0, 0, 40, 143, 37, 6, 36, 1, 17.0, 32.0, 35.0, 0, 3, 25, 23, 2, 0, 12, 0, 8, 11, 3, 3, 0.0, 15, 2, 0, 0, 0, 11, 11, 45.95, 86.49, 94.59, 16.19921875, 44.0, 44.0, 0, 12.0, 67.59375, 0.0, 32.0, 44.0, 12.0, 12.0, 0.0, 92.0, 60.0, 8.0, 8.0, 0.0, 0.0, 101.0, 7.0, 0.0, 0.0, 39.0, "Tous les candidats", 150.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "15917", "Licence - Acoustique et Vibrations - Parcours Acoustique - HORS parcours Cursus de Master en Ingénierie (CMI) Acoustique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15917&g_ta_cod=15917", 86.0, 11.0, 0.0),
(4367, "Public", "0761315S", "Lycée agricole d'Yvetot", "76", "Seine-Maritime", "Normandie", "Normandie", "Yvetot", "formation sélective", "BTS", "Lycée agricole d'Yvetot - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 15, 233, 165, 230, 0, 47, 10, 86, 16, 33, 9, 64, 3, 0, 0, 2, 1, 197, 0, 0, 0, 47, 10, 84, 16, 19, 4, 47, 48, 14, 7, 14, 0, 2.0, 9.0, 14.0, 0, 4, 9, 3, 5, 1, 5, 0, 5, 3, 1, 0, 0.0, 2, 1, 1, 2, 2, 9, 9, 14.29, 64.29, 100.0, 50.0, 100.0, 100.0, 22.19921875, 44.3984375, 64.296875, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 33.296875, 22.19921875, 55.59375, 11.099609375, 11.099609375, 11.099609375, 11.0, 2.0, 10.0, 2.0, 9.0, "Tous les candidats sauf les Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 36.0, "9635", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9635&g_ta_cod=9635", 29.0, 57.0, 14.0),
(4368, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail Géographie / Sociologie", "Licence - Sciences humaines et sociales", "Géographie / Sociologie : Sociologie", 30, 282, 184, 218, 0, 157, 36, 16, 5, 7, 2, 38, 64, 13, 6, 6, 39, 218, 62, 0, 0, 157, 36, 16, 5, 7, 2, 38, 280, 24, 16, 13, 11, 13.0, 13.0, 17.0, 0, 6, 19, 15, 4, 0, 5, 0, 9, 6, 3, 1, 0.0, 10, 0, 0, 0, 0, 13, 13, 54.17, 54.17, 70.83, 66.6875, 68.390625, 68.390625, 0, 31.59765625, 79.1875, 0.0, 47.3984375, 31.59765625, 15.798828125, 5.3, 0.0, 78.890625, 52.59375, 21.09765625, 0.0, 0.0, 0.0, 170.0, 39.0, 13.0, 5.0, 75.0, "Tous les candidats", 323.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23317", "Licence - Portail Géographie / Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23316&g_ta_cod=23317", 75.0, 21.0, 4.0),
(4369, "Public", "0740003B", "Lycée Berthollet", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "CPGE", "Lycée Berthollet - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 1404, 511, 1404, 1116, 1240, 85, 1, 1, 1, 0, 162, 0, 0, 0, 0, 0, 1201, 0, 984, 1169, 1153, 73, 0, 0, 0, 0, 48, 798, 93, 33, 93, 0, 8.0, 44.0, 87.0, 42, 3, 90, 90, 0, 0, 3, 0, 0, 3, 61, 26, 0.0, 90, 0, 0, 10, 3, 66, 66, 8.6, 47.31, 93.55, 35.5, 73.296875, 73.296875, 11.099609375, 3.2998046875, 96.796875, 0.0, 0.0, 3.2998046875, 67.796875, 28.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 781.0, 73.0, 0.0, 0.0, 17.0, "Tous les candidats", 975.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "8845", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8845&g_ta_cod=8845", 100.0, 0.0, 0.0),
(4370, "Privé sous contrat d'association", "0370728R", "Lycée Saint Medard Inst N-D La Riche", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Saint Medard Inst N-D La Riche - BTS - Services - Tourisme", "BTS - Services", "", 90, 585, 391, 506, 0, 158, 29, 82, 20, 40, 12, 226, 79, 9, 13, 19, 38, 266, 30, 0, 0, 130, 19, 55, 12, 8, 3, 73, 262, 38, 29, 25, 13, 9.0, 23.0, 33.0, 0, 2, 22, 13, 7, 2, 16, 0, 13, 8, 1, 0, 0.0, 3, 5, 1, 2, 2, 16, 16, 23.68, 60.53, 86.84, 76.296875, 72.6875, 72.6875, 9.099609375, 9.099609375, 57.8984375, 0.0, 59.09375, 36.3984375, 4.5, 0.0, 0.0, 59.09375, 13.599609375, 31.796875, 22.69921875, 9.099609375, 4.5, 116.0, 16.0, 12.0, 4.0, 82.0, "Tous les candidats sauf les Bac professionnels", 256.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 53.0, "20543", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20543&g_ta_cod=20543", 66.0, 26.0, 8.0),
(4371, "Privé sous contrat d'association", "0261265J", "Centre d'études forestières et agricoles", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Montélimar", "formation sélective", "BTS", "Centre d'études forestières et agricoles - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 24, 307, 115, 293, 0, 3, 1, 19, 6, 15, 2, 256, 14, 0, 2, 1, 11, 45, 4, 0, 0, 3, 1, 19, 6, 15, 2, 8, 46, 7, 1, 4, 3, 4.0, 4.0, 4.0, 0, 0, 6, 0, 2, 4, 1, 1, 5, 0, 0, 0, 0.0, 0, 0, 0, 5, 1, 6, 6, 57.14, 57.14, 57.14, 14.298828125, 100.0, 100.0, 83.296875, 0.0, 85.6875, 16.69921875, 83.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 0.0, 3.0, 1.0, 15.0, 2.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 15.0, "3662", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3662&g_ta_cod=3662", 0.0, 29.0, 71.0),
(4372, "Public", "0875098U", "CREPS de Poitiers - Antenne de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive de Poitiers (CREPS) - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 6, 59, 19, 57, 0, 14, 1, 12, 3, 5, 1, 26, 2, 1, 0, 0, 1, 24, 0, 0, 0, 10, 1, 2, 0, 3, 1, 9, 18, 4, 2, 4, 0, 1.0, 4.0, 4.0, 0, 1, 2, 1, 0, 1, 2, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 25.0, 100.0, 100.0, 50.0, 100.0, 100.0, 0, 50.0, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 5.0, 1.0, 3.0, 1.0, 8.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "27665", "BPJEPS - Activités aquatiques et de la natation", "Centre de Ressources, d'Expertise et de Performance Sportive de Poitiers (CREPS)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21309&g_ta_cod=27665", 75.0, 0.0, 25.0),
(4373, "Privé sous contrat d'association", "0071126L", "Institut Supérieur Saint-Denis", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Annonay", "formation sélective", "BTS", "Institut Supérieur Saint-Denis - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 30, 517, 354, 420, 0, 115, 20, 120, 24, 15, 3, 170, 97, 31, 22, 0, 44, 196, 31, 0, 0, 95, 14, 62, 11, 3, 1, 36, 190, 21, 14, 16, 5, 2.0, 13.0, 17.0, 0, 0, 19, 16, 2, 1, 2, 0, 10, 8, 1, 0, 0.0, 8, 0, 1, 0, 0, 8, 8, 9.52, 61.9, 80.95, 66.6875, 42.09375, 42.09375, 0, 0.0, 90.5, 0.0, 52.59375, 42.09375, 5.2998046875, 0.0, 0.0, 84.1875, 42.09375, 10.5, 0.0, 5.2998046875, 5.2998046875, 93.0, 13.0, 2.0, 1.0, 44.0, "Tous les candidats sauf les Bac professionnels", 191.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 46.0, "2341", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2341&g_ta_cod=2341", 81.0, 14.0, 5.0),
(4374, "Public", "0951104J", "Lycée Jean Perrin", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Saint-Ouen-l'Aumône", "formation sélective", "BTS", "Lycée Jean Perrin - BTS - Production - Métiers de la mesure", "BTS - Production", "", 15, 92, 26, 66, 0, 10, 1, 27, 7, 1, 0, 28, 26, 3, 9, 0, 14, 46, 5, 0, 0, 10, 1, 26, 6, 1, 0, 9, 45, 8, 3, 5, 3, 1.0, 5.0, 7.0, 0, 1, 7, 3, 4, 0, 1, 0, 7, 0, 0, 0, 0.0, 0, 0, 0, 3, 0, 7, 7, 12.5, 62.5, 87.5, 37.5, 100.0, 100.0, 42.8984375, 14.298828125, 87.5, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 42.8984375, 0.0, 57.09375, 0.0, 0.0, 0.0, 10.0, 1.0, 1.0, 0.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 1, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 67.0, "17615", "BTS - Production - Métiers de la mesure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17615&g_ta_cod=17615", 50.0, 50.0, 0.0),
(4375, "Public", "0130143K", "Lycée Paul Langevin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Martigues", "formation sélective", "BTS", "Lycée Paul Langevin - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 623, 406, 453, 0, 37, 15, 133, 55, 142, 84, 141, 170, 9, 0, 63, 98, 226, 31, 0, 0, 25, 7, 98, 39, 76, 45, 27, 148, 25, 16, 13, 11, 3.0, 10.0, 15.0, 0, 5, 15, 2, 3, 10, 10, 0, 5, 9, 1, 0, 0.0, 1, 2, 7, 3, 2, 14, 14, 12.0, 40.0, 60.0, 64.0, 93.296875, 93.296875, 20, 33.296875, 60.0, 0.0, 33.296875, 60.0, 6.69921875, 0.0, 0.0, 13.298828125, 6.69921875, 20.0, 13.298828125, 66.6875, 46.6953125, 23.0, 6.0, 61.0, 36.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 35.0, "2617", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2617&g_ta_cod=2617", 24.0, 20.0, 56.0),
(4376, "Privé enseignement supérieur", "0597140R", "Institut de Formation en Ergothérapie de Berck-sur-Mer - Site de LOOS", "59", "Nord", "Hauts-de-France", "Lille", "Loos", "formation sélective", "Autre formation", "Institut de Formation en Ergothérapie de Berck sur Mer ? Site de Berck - D.E Ergothérapeute", "D.E secteur sanitaire", "", 30, 659, 576, 659, 0, 193, 17, 73, 6, 4, 3, 389, 0, 0, 0, 0, 0, 659, 0, 0, 0, 193, 17, 73, 6, 4, 3, 389, 126, 30, 28, 30, 0, 2.0, 22.0, 25.0, 0, 3, 18, 17, 1, 0, 12, 0, 1, 8, 7, 2, 0.0, 16, 1, 0, 0, 0, 13, 13, 6.67, 73.33, 83.33, 93.296875, 72.1875, 72.1875, 0, 16.69921875, 60.0, 0.0, 5.599609375, 44.3984375, 38.8984375, 11.1, 0.0, 94.390625, 88.890625, 5.599609375, 5.599609375, 0.0, 0.0, 50.0, 4.0, 0.0, 0.0, 73.0, "Tous les candidats", 156.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "29146", "D.E Ergothérapeute", "Institut de Formation en Ergothérapie de Berck sur Mer ? Site de Berck", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25952&g_ta_cod=29146", 97.0, 3.0, 0.0),
(4377, "Public", "9840471P", "IUT de Bordeaux - Antenne de Polynésie Française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation sélective", "BUT", "IUT de Bordeaux - Antenne de Polynésie Française - BUT - Gestion administrative et commerciale des organisations Parcours : Management des Fonctions Supports - Management Commercial et Marketing Omnicanal", "BUT - Service", "Management des Fonctions Supports - Management Commercial et Marketing Omnicanal", 28, 331, 201, 298, 0, 83, 19, 176, 83, 4, 3, 35, 33, 14, 0, 0, 19, 148, 0, 0, 0, 26, 10, 108, 58, 2, 2, 12, 70, 26, 19, 26, 0, 13.0, 26.0, 26.0, 0, 12, 25, 4, 21, 0, 1, 0, 0, 18, 7, 0, 0.0, 4, 21, 0, 0, 0, 25, 25, 50.0, 100.0, 100.0, 73.09375, 100.0, 100.0, 0, 48.0, 96.1875, 0.0, 0.0, 72.0, 28.0, 0.0, 0.0, 16.0, 16.0, 84.0, 84.0, 0.0, 0.0, 19.0, 8.0, 0.0, 0.0, 6.0, "Tous les candidats sauf les Bac technologiques", 33.0, "Bacheliers technologiques toutes séries", 78, "", 0, "Liste d'appel propre à cette formation", 37.0, "20017", "BUT - Gestion administrative et commerciale des organisations Parcours : Management des Fonctions Supports - Management Commercial et Marketing Omnicanal", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20017&g_ta_cod=20017", 19.0, 81.0, 0.0),
(4378, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Double licence - Economie et gestion / Mathématiques et informatique appliquées aux sciences humaines et sociales - Double Licence mention Economie et gestion [Gestion] - mention MIASHS [Informatique]", "Licence - Droit-économie-gestion", "Double Licence mention Economie et gestion [Gestion] - mention MIASHS [Informatique]", 30, 2973, 1079, 1072, 0, 703, 166, 71, 27, 4, 3, 294, 1901, 628, 187, 35, 1051, 220, 23, 0, 0, 210, 31, 4, 0, 0, 0, 6, 177, 30, 13, 15, 15, 6.0, 15.0, 24.0, 0, 6, 21, 18, 3, 0, 9, 0, 4, 4, 7, 5, 1.0, 17, 0, 0, 0, 0, 7, 14, 20.0, 50.0, 80.0, 43.296875, 33.296875, 66.6875, 0, 28.59765625, 70.0, 0.0, 19.0, 19.0, 33.296875, 23.8, 4.8, 85.6875, 81.0, 14.298828125, 0.0, 0.0, 0.0, 154.0, 20.0, 0.0, 0.0, 17.0, "Tous les candidats", 220.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "27233", "Double licence - Economie et gestion / Mathématiques et informatique appliquées aux sciences humaines et sociales - Double Licence mention Economie et gestion [Gestion] - mention MIASHS [Informatique]", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27233&g_ta_cod=27233", 87.0, 13.0, 0.0),
(4379, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Facultés libres de l'ouest - UCO - Licence - Portail Langues étrangères appliquées - Anglais - espagnol", "Licence - Arts-lettres-langues", "Anglais - espagnol", 6, 139, 98, 131, 0, 79, 12, 11, 3, 16, 8, 25, 8, 1, 0, 0, 7, 131, 8, 0, 0, 79, 12, 11, 3, 16, 8, 25, 45, 4, 2, 4, 0, 0.0, 1.0, 2.0, 0, 0, 4, 4, 0, 0, 0, 0, 2, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 0.0, 25.0, 50.0, 50.0, 50.0, 50.0, 0, 0.0, 100.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 29.0, 2.0, 1.0, 1.0, 13.0, "Tous les candidats", 581.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 66.0, "28971", "Licence - Portail Langues étrangères appliquées - Anglais - espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28970&g_ta_cod=28971", 100.0, 0.0, 0.0),
(4380, "Privé hors contrat", "0512070Y", "ECOLE TECHNIQUE PRIVEE PASTEUR", "51", "Marne", "Grand Est", "Reims", "Bétheny", "formation sélective", "BTS", "ECOLE TECHNIQUE PRIVEE PASTEUR - BTS - Services - Diététique", "BTS - Services", "", 46, 283, 227, 276, 0, 64, 6, 47, 11, 18, 5, 147, 7, 3, 0, 0, 4, 161, 4, 0, 0, 59, 6, 7, 0, 0, 0, 95, 120, 37, 26, 35, 2, 20.0, 32.0, 35.0, 0, 0, 13, 12, 1, 0, 24, 0, 9, 2, 1, 1, 0.0, 4, 0, 0, 0, 0, 9, 9, 54.05, 86.49, 94.59, 70.296875, 69.1875, 69.1875, 0, 0.0, 35.09375, 0.0, 69.1875, 15.3984375, 7.69921875, 7.7, 0.0, 92.296875, 30.796875, 7.69921875, 0.0, 0.0, 0.0, 47.0, 2.0, 0.0, 0.0, 72.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 136.0, "Bacheliers technologiques toutes séries", 5, "Bacheliers professionnels toutes séries", 1, "Liste d'appel propre à cette formation", 51.0, "23937", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23937&g_ta_cod=23937", 86.0, 14.0, 0.0),
(4381, "Public", "0190010H", "Lycée Georges Cabanis", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BTS", "Lycée Georges Cabanis - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 14, 209, 26, 202, 0, 11, 1, 40, 14, 45, 18, 106, 7, 1, 1, 0, 5, 97, 1, 0, 0, 11, 1, 38, 13, 35, 13, 13, 65, 12, 0, 12, 0, 2.0, 10.0, 12.0, 0, 4, 10, 1, 2, 7, 2, 0, 2, 7, 1, 0, 0.0, 1, 0, 7, 1, 0, 6, 6, 16.67, 83.33, 100.0, 0.0, 60.0, 60.0, 10, 40.0, 83.296875, 0.0, 20.0, 70.0, 10.0, 0.0, 0.0, 10.0, 10.0, 20.0, 0.0, 70.0, 70.0, 10.0, 1.0, 17.0, 6.0, 12.0, "Tous les candidats sauf les Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 43.0, "3135", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3135&g_ta_cod=3135", 17.0, 25.0, 58.0),
(4382, "Public", "0730029K", "Lycée des Métiers Ambroise Croizat", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Moûtiers", "formation sélective", "BTS", "Lycée des Métiers Ambroise Croizat - BTS - Services - Tourisme", "BTS - Services", "", 32, 414, 253, 407, 0, 65, 9, 51, 11, 61, 26, 230, 7, 0, 1, 2, 4, 206, 2, 0, 0, 62, 8, 46, 10, 61, 26, 37, 150, 18, 13, 17, 1, 3.0, 13.0, 17.0, 0, 5, 13, 2, 4, 7, 5, 1, 4, 4, 3, 1, 0.0, 2, 2, 4, 4, 2, 9, 9, 16.67, 72.22, 94.44, 72.1875, 69.1875, 69.1875, 30.796875, 38.5, 72.1875, 7.69921875, 30.796875, 30.796875, 23.09765625, 7.7, 0.0, 15.3984375, 15.3984375, 30.796875, 15.3984375, 53.796875, 30.796875, 35.0, 6.0, 42.0, 18.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 77.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 50.0, "8790", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8790&g_ta_cod=8790", 28.0, 28.0, 44.0),
(4383, "Privé enseignement supérieur", "0382541F", "Ecole de formation sanitaire et sociale IFTS", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Echirolles", "formation sélective", "EFTS", "Ecole de formation sanitaire et sociale IFTS - D.E Educateur Spécialisé", "D.E secteur social", "", 40, 353, 283, 353, 0, 55, 8, 42, 3, 33, 5, 223, 0, 0, 0, 0, 0, 325, 0, 0, 0, 52, 7, 40, 3, 30, 5, 203, 85, 40, 36, 40, 0, 14.0, 32.0, 35.0, 0, 2, 12, 4, 5, 3, 28, 0, 2, 2, 7, 1, 0.0, 2, 5, 3, 0, 0, 11, 11, 35.0, 80.0, 87.5, 90.0, 91.6875, 91.6875, 0, 16.69921875, 30.0, 0.0, 16.69921875, 16.69921875, 58.296875, 8.3, 0.0, 33.296875, 16.69921875, 41.6953125, 41.6953125, 25.0, 25.0, 12.0, 2.0, 7.0, 0.0, 56.0, "Tous les candidats", 93.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "24879", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24879&g_ta_cod=24879", 60.0, 25.0, 13.0),
(4384, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence", "Institut national universitaire Champollion - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 185, 1207, 879, 1164, 0, 863, 189, 109, 31, 33, 18, 159, 43, 11, 1, 0, 31, 1158, 40, 0, 0, 863, 189, 109, 31, 33, 18, 153, 899, 178, 126, 163, 15, 25.0, 159.0, 172.0, 0, 33, 148, 133, 13, 2, 30, 0, 46, 68, 28, 5, 1.0, 94, 7, 1, 0, 0, 137, 137, 14.04, 89.33, 96.63, 70.796875, 92.59375, 92.59375, 0, 22.296875, 83.09375, 0.0, 31.09765625, 45.8984375, 18.8984375, 3.4, 0.7, 89.890625, 63.5, 8.798828125, 4.69921875, 1.39990234375, 0.699951171875, 686.0, 134.0, 12.0, 6.0, 151.0, "Tous les candidats", 1197.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "10303", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29667&g_ta_cod=10303", 86.0, 10.0, 3.0),
(4385, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence_Las", "Université Toulouse 3 Paul Sabatier - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et Techniques des Activités Physiques et Sportives (STAPS)", "Licence - Sciences - technologies - santé", "Sciences et Techniques des Activités Physiques et Sportives (STAPS)", 36, 2990, 1187, 2990, 0, 1848, 267, 281, 61, 64, 24, 797, 0, 0, 0, 0, 0, 2990, 0, 0, 0, 1848, 267, 281, 61, 64, 24, 797, 204, 34, 23, 34, 0, 3.0, 15.0, 21.0, 0, 6, 21, 18, 3, 0, 13, 0, 3, 5, 10, 3, 0.0, 15, 3, 0, 0, 0, 16, 16, 8.82, 44.12, 61.76, 67.59375, 76.1875, 76.1875, 0, 28.59765625, 61.796875, 0.0, 14.298828125, 23.796875, 47.59375, 14.3, 0.0, 85.6875, 71.390625, 14.298828125, 14.298828125, 0.0, 0.0, 85.0, 21.0, 2.0, 2.0, 113.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "27531", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et Techniques des Activités Physiques et Sportives (STAPS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27530&g_ta_cod=27531", 91.0, 9.0, 0.0),
(4386, "Public", "0671557D", "I.U.T. d'Illkirch", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "BUT", "I.U.T. d'Illkirch - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international :achat et vente - Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international :achat et vente - Business développement et management de la relation client", 112, 2256, 1120, 2256, 0, 1234, 199, 575, 154, 37, 18, 410, 0, 0, 0, 0, 0, 1130, 0, 0, 0, 728, 89, 316, 62, 4, 2, 82, 289, 111, 67, 111, 0, 33.0, 104.0, 109.0, 0, 18, 105, 53, 52, 0, 6, 0, 2, 30, 58, 15, 0.0, 52, 51, 0, 0, 0, 96, 96, 29.73, 93.69, 98.2, 60.3984375, 91.390625, 91.390625, 0, 17.09765625, 94.59375, 0.0, 1.89990234375, 28.59765625, 55.1953125, 14.3, 0.0, 50.5, 49.5, 49.5, 48.59375, 0.0, 0.0, 165.0, 32.0, 1.0, 0.0, 11.0, "Tous les candidats sauf les Bac technologiques", 223.0, "Bacheliers technologiques toutes séries", 153, "", 0, "Liste d'appel propre à cette formation", 17.0, "7969", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international :achat et vente - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7969&g_ta_cod=7969", 50.0, 50.0, 0.0),
(4387, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Tourisme - Parcours Tourisme, Hôtellerie, Alimentation (THA)", "Licence - Sciences humaines et sociales", "Tourisme, Hôtellerie, Alimentation (THA)", 60, 583, 454, 583, 0, 278, 69, 77, 18, 37, 15, 191, 0, 0, 0, 0, 0, 577, 0, 0, 0, 278, 69, 77, 18, 37, 15, 185, 290, 48, 36, 48, 0, 4.0, 35.0, 41.0, 0, 10, 29, 24, 3, 2, 19, 0, 11, 10, 8, 0, 0.0, 14, 3, 1, 0, 0, 15, 15, 8.33, 72.92, 85.42, 75.0, 51.6953125, 51.6953125, 0, 34.5, 60.3984375, 0.0, 37.8984375, 34.5, 27.59765625, 0.0, 0.0, 82.796875, 48.296875, 10.298828125, 10.298828125, 6.8994140625, 3.39990234375, 178.0, 41.0, 11.0, 4.0, 77.0, "Tous les candidats", 407.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "31754", "Licence - Tourisme - Parcours Tourisme, Hôtellerie, Alimentation (THA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31754&g_ta_cod=31754", 81.0, 13.0, 6.0),
(4388, "Privé sous contrat d'association", "0383208F", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Corenc", "formation sélective", "CPGE", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 14, 153, 67, 151, 0, 140, 6, 0, 0, 1, 0, 10, 2, 1, 0, 0, 1, 146, 1, 0, 146, 138, 6, 0, 0, 0, 0, 8, 139, 12, 4, 12, 0, 9.0, 10.0, 12.0, 0, 0, 12, 12, 0, 0, 0, 0, 0, 9, 3, 0, 0.0, 12, 0, 0, 2, 0, 10, 10, 75.0, 83.33, 100.0, 33.296875, 83.296875, 83.296875, 16.69921875, 0.0, 100.0, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 132.0, 6.0, 0.0, 0.0, 7.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "31462", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31302&g_ta_cod=31462", 100.0, 0.0, 0.0),
(4389, "Privé sous contrat d'association", "0580071M", "Centre scolaire Notre-Dame", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "BTS", "Centre scolaire Notre-Dame - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 162, 79, 151, 0, 26, 4, 33, 8, 59, 21, 33, 11, 1, 1, 6, 3, 117, 3, 0, 0, 24, 4, 32, 8, 47, 15, 14, 82, 22, 8, 20, 2, 5.0, 20.0, 20.0, 0, 8, 19, 4, 8, 7, 3, 0, 8, 9, 2, 0, 0.0, 2, 5, 4, 9, 3, 19, 19, 22.73, 90.91, 90.91, 36.3984375, 100.0, 100.0, 47.3984375, 42.09375, 86.390625, 0.0, 42.09375, 47.3984375, 10.5, 0.0, 0.0, 21.09765625, 10.5, 42.09375, 26.296875, 36.796875, 21.09765625, 11.0, 2.0, 38.0, 13.0, 11.0, "Tous les candidats sauf les Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 60.0, "6688", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6688&g_ta_cod=6688", 18.0, 50.0, 32.0),
(4390, "Public", "0590185F", "Lycée Jean Moulin", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Jean Moulin - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 645, 417, 489, 0, 24, 9, 115, 64, 163, 113, 187, 156, 13, 0, 54, 89, 187, 17, 0, 0, 11, 3, 52, 27, 87, 56, 37, 127, 30, 24, 26, 4, 1.0, 26.0, 27.0, 0, 12, 26, 4, 5, 17, 4, 0, 9, 15, 2, 0, 0.0, 2, 4, 11, 15, 13, 25, 25, 3.33, 86.67, 90.0, 80.0, 96.1875, 96.1875, 57.6953125, 46.1953125, 86.6875, 0.0, 34.59375, 57.6953125, 7.69921875, 0.0, 0.0, 15.3984375, 7.69921875, 19.19921875, 15.3984375, 65.390625, 42.296875, 11.0, 3.0, 71.0, 44.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 28.0, "6820", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6820&g_ta_cod=6820", 20.0, 20.0, 60.0),
(4391, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation sélective", "Autre formation", "Université Savoie Mont Blanc - Bourget-du-Lac - Diplôme d'Université - Optimisation de la performance chez l'athlète de haut niveau", "Diplôme d'Université", "Optimisation de la performance chez l'athlète de haut niveau", 16, 72, 15, 43, 0, 27, 3, 5, 1, 4, 0, 7, 29, 10, 6, 4, 9, 37, 11, 0, 0, 24, 3, 4, 1, 3, 0, 6, 47, 14, 3, 6, 8, 5.0, 6.0, 12.0, 0, 1, 11, 7, 2, 2, 3, 0, 6, 3, 2, 0, 0.0, 3, 1, 1, 0, 0, 8, 8, 35.71, 42.86, 85.71, 21.3984375, 72.6875, 72.6875, 0, 9.099609375, 78.59375, 0.0, 54.5, 27.296875, 18.19921875, 0.0, 0.0, 63.59375, 27.296875, 18.19921875, 9.099609375, 18.19921875, 9.099609375, 30.0, 3.0, 5.0, 0.0, 7.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "21258", "Diplôme d'Université - Optimisation de la performance chez l'athlète de haut niveau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21258&g_ta_cod=21258", 57.0, 29.0, 14.0),
(4392, "Privé sous contrat d'association", "0940878U", "Lycée Teilhard De Chardin", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "BTS", "Lycée Teilhard De Chardin - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 36, 686, 315, 415, 0, 57, 15, 121, 46, 80, 41, 157, 271, 18, 70, 50, 133, 116, 40, 0, 0, 24, 6, 56, 16, 23, 11, 13, 143, 22, 10, 10, 12, 4.0, 10.0, 17.0, 0, 7, 20, 8, 9, 3, 2, 0, 8, 9, 3, 0, 0.0, 3, 6, 3, 2, 0, 17, 19, 18.18, 45.45, 77.27, 45.5, 85.0, 95.0, 10, 35.0, 90.890625, 0.0, 40.0, 45.0, 15.0, 0.0, 0.0, 40.0, 15.0, 45.0, 30.0, 15.0, 15.0, 32.0, 6.0, 24.0, 12.0, 26.0, "Tous les candidats sauf les Bac professionnels", 89.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 28.0, "11459", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11459&g_ta_cod=11459", 41.0, 41.0, 18.0),
(4393, "Privé sous contrat d'association", "0331495W", "Lycée L 'Assomption - Sainte Clotilde", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée L 'Assomption - Sainte Clotilde - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 829, 395, 807, 0, 166, 25, 345, 86, 123, 34, 173, 22, 1, 8, 2, 11, 343, 6, 0, 0, 97, 9, 145, 33, 64, 14, 37, 194, 23, 10, 21, 1, 2.0, 16.0, 19.0, 0, 5, 20, 4, 9, 7, 3, 0, 5, 11, 4, 0, 0.0, 3, 7, 5, 4, 1, 18, 18, 8.7, 69.57, 82.61, 43.5, 90.0, 90.0, 20, 25.0, 87.0, 0.0, 25.0, 55.0, 20.0, 0.0, 0.0, 20.0, 15.0, 45.0, 35.0, 35.0, 25.0, 49.0, 7.0, 35.0, 8.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 87.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 112, "Liste d'appel propre à cette formation", 31.0, "4351", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4351&g_ta_cod=4351", 22.0, 39.0, 39.0),
(4394, "Public", "0750711R", "Lycée Henri Bergson-Jacquard", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Henri Bergson-Jacquard - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 24, 908, 53, 908, 0, 18, 5, 102, 37, 527, 263, 261, 0, 0, 0, 0, 0, 368, 0, 0, 0, 7, 3, 45, 15, 300, 131, 16, 138, 22, 1, 22, 0, 0.0, 10.0, 16.0, 0, 5, 17, 0, 3, 14, 5, 0, 4, 11, 2, 0, 0.0, 0, 1, 12, 0, 0, 9, 17, 0.0, 45.45, 72.73, 4.5, 52.8984375, 100.0, 0, 29.3984375, 77.296875, 0.0, 23.5, 64.6875, 11.798828125, 0.0, 0.0, 0.0, 0.0, 17.59765625, 5.8994140625, 82.390625, 70.59375, 4.0, 3.0, 103.0, 45.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 157, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 22.0, "9179", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9179&g_ta_cod=9179", 5.0, 14.0, 77.0),
(4395, "Privé sous contrat d'association", "0592965C", "Lycée Industriel et Commercial", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Industriel et Commercial - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 20, 112, 31, 79, 0, 3, 0, 20, 7, 21, 8, 35, 33, 1, 11, 3, 18, 37, 12, 0, 0, 3, 0, 14, 4, 6, 1, 14, 48, 9, 1, 3, 5, 2.0, 3.0, 8.0, 0, 2, 6, 1, 5, 0, 3, 0, 4, 2, 0, 0, 0.0, 1, 1, 0, 1, 0, 3, 3, 22.22, 33.33, 88.89, 11.099609375, 50.0, 50.0, 16.69921875, 33.296875, 66.6875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 16.69921875, 16.69921875, 83.296875, 16.69921875, 0.0, 0.0, 2.0, 0.0, 6.0, 1.0, 20.0, "Tous les candidats sauf les Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 47.0, "13616", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13616&g_ta_cod=13616", 22.0, 78.0, 0.0),
(4396, "Public", "0442095N", "LGT La Herdrie", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Basse-Goulaine", "formation sélective", "BTS", "LGT La Herdrie - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 700, 425, 680, 0, 70, 15, 260, 68, 168, 66, 182, 20, 3, 5, 0, 12, 385, 5, 0, 0, 53, 10, 173, 43, 122, 41, 37, 233, 27, 16, 25, 2, 3.0, 21.0, 27.0, 0, 9, 26, 6, 12, 8, 1, 0, 13, 13, 0, 0, 0.0, 1, 6, 6, 3, 1, 22, 22, 11.11, 77.78, 100.0, 59.296875, 84.59375, 84.59375, 11.5, 34.59375, 96.296875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 23.09765625, 3.7998046875, 46.1953125, 23.09765625, 30.796875, 23.09765625, 37.0, 8.0, 64.0, 20.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 95, "Bacheliers technologiques toutes séries", 175, "Liste d'appel propre à cette formation", 49.0, "5616", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5616&g_ta_cod=5616", 26.0, 44.0, 30.0),
(4397, "Public", "0360043B", "Lycée Blaise Pascal", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Châteauroux", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 17, 204, 97, 199, 0, 30, 7, 70, 19, 46, 19, 53, 5, 0, 1, 3, 1, 137, 1, 0, 0, 27, 6, 61, 12, 25, 8, 24, 73, 12, 8, 11, 1, 2.0, 11.0, 11.0, 0, 4, 7, 1, 4, 2, 5, 0, 4, 2, 1, 0, 0.0, 0, 2, 1, 1, 0, 6, 6, 16.67, 91.67, 91.67, 66.6875, 85.6875, 85.6875, 14.298828125, 57.09375, 58.296875, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 57.09375, 28.59765625, 28.59765625, 14.298828125, 15.0, 4.0, 18.0, 6.0, 11.0, "Tous les candidats sauf les Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 50.0, "4802", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4802&g_ta_cod=4802", 17.0, 50.0, 33.0),
(4398, "Public", "0351890P", "IFSI CH Fougères", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Javené", "formation sélective", "IFSI", "Regroupement d'IFSI Université Rennes - D.E Infirmier", "D.E secteur sanitaire", "", 44, 4479, 3825, 4479, 0, 817, 130, 973, 202, 629, 177, 2060, 0, 0, 0, 0, 0, 4077, 0, 0, 0, 773, 118, 893, 174, 565, 151, 1846, 653, 50, 47, 50, 0, 1.0, 15.0, 37.0, 0, 9, 32, 2, 12, 18, 18, 0, 1, 12, 16, 3, 0.0, 2, 12, 17, 0, 0, 20, 20, 2.0, 30.0, 74.0, 94.0, 62.5, 62.5, 0, 28.09765625, 64.0, 0.0, 3.099609375, 37.5, 50.0, 9.4, 0.0, 6.2998046875, 6.2998046875, 37.5, 37.5, 56.296875, 53.09375, 82.0, 15.0, 168.0, 48.0, 317.0, "Tous les candidats", 1984.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "23383", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23369&g_ta_cod=23383", 36.0, 24.0, 40.0),
(4399, "Public", "0450092F", "I.U.T d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BUT", "I.U.T d'Orléans - BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Matériaux et produits formulés - Chimie industrielle - Synthèse (sous réserve) - Apprentissage possible en 3ème année", "BUT - Production", "Analyse, contrôle-qualité, environnement - Matériaux et produits formulés - Chimie industrielle - Synthèse (sous réserve) - Apprentissage possible en 3ème année", 87, 1033, 654, 1033, 0, 619, 76, 172, 34, 1, 0, 241, 0, 0, 0, 0, 0, 870, 0, 0, 0, 548, 62, 154, 29, 0, 0, 168, 646, 89, 65, 89, 0, 41.0, 74.0, 89.0, 0, 10, 74, 53, 21, 0, 15, 0, 7, 39, 21, 7, 0.0, 48, 19, 0, 0, 0, 51, 51, 46.07, 83.15, 100.0, 73.0, 68.890625, 68.890625, 0, 13.5, 83.09375, 0.0, 9.5, 52.6953125, 28.3984375, 9.5, 0.0, 71.59375, 64.890625, 28.3984375, 25.69921875, 0.0, 0.0, 438.0, 53.0, 0.0, 0.0, 92.0, "Tous les candidats sauf les Bac technologiques", 651.0, "Bacheliers technologiques toutes séries", 173, "", 0, "Liste d'appel propre à cette formation", 80.0, "5671", "BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Matériaux et produits formulés - Chimie industrielle - Synthèse (sous réserve) - Apprentissage possible en 3ème année", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5671&g_ta_cod=5671", 73.0, 27.0, 0.0),
(4400, "Privé sous contrat d'association", "0141178E", "Lycée Sainte Ursule", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Sainte Ursule - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 24, 322, 25, 322, 0, 62, 8, 95, 17, 76, 22, 89, 0, 0, 0, 0, 0, 218, 0, 0, 0, 53, 8, 70, 12, 62, 17, 33, 86, 24, 0, 24, 0, 6.0, 17.0, 23.0, 0, 1, 19, 8, 5, 6, 5, 0, 6, 5, 4, 4, 0.0, 4, 3, 6, 2, 0, 19, 19, 25.0, 70.83, 95.83, 0.0, 100.0, 100.0, 10.5, 5.2998046875, 79.1875, 0.0, 31.59765625, 26.296875, 21.09765625, 21.1, 0.0, 42.09375, 21.09765625, 26.296875, 15.798828125, 31.59765625, 31.59765625, 33.0, 3.0, 14.0, 2.0, 9.0, "Tous les candidats sauf les Bac professionnels", 130.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 46.0, "2850", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2850&g_ta_cod=2850", 38.0, 33.0, 29.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(4401, "Public", "0952259P", "CY Cergy Paris Université", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "CY Cergy Paris Université - Formation Supérieure de Spécialisation - Sécurité privée : Vidéoprotection", "Diplôme d'Université", "Sécurité privée : Vidéoprotection", 24, 51, 3, 15, 0, 3, 0, 2, 0, 6, 4, 4, 36, 2, 3, 5, 26, 15, 26, 0, 0, 3, 0, 2, 0, 6, 4, 4, 52, 21, 1, 6, 15, 6.0, 6.0, 9.0, 0, 5, 9, 3, 0, 6, 12, 0, 8, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 7, 7, 28.57, 28.57, 42.86, 4.7998046875, 77.796875, 77.796875, 0, 55.59375, 42.8984375, 0.0, 88.890625, 11.099609375, 0.0, 0.0, 0.0, 33.296875, 0.0, 0.0, 0.0, 66.6875, 11.099609375, 9.0, 3.0, 14.0, 8.0, 21.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32700", "Formation Supérieure de Spécialisation - Sécurité privée : Vidéoprotection", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32700&g_ta_cod=32700", 33.0, 10.0, 57.0),
(4402, "Public", "0570057C", "Lycée Robert Schuman", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Autre formation", "Lycée Robert Schuman - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 816, 359, 816, 0, 290, 79, 189, 65, 35, 24, 302, 0, 0, 0, 0, 0, 320, 0, 0, 0, 167, 39, 124, 42, 0, 0, 29, 197, 38, 18, 38, 0, 7.0, 38.0, 38.0, 0, 10, 33, 15, 18, 0, 5, 0, 2, 14, 15, 2, 0.0, 14, 17, 0, 0, 0, 33, 33, 18.42, 100.0, 100.0, 47.3984375, 100.0, 100.0, 0, 30.296875, 86.796875, 0.0, 6.099609375, 42.3984375, 45.5, 6.1, 0.0, 45.5, 42.3984375, 54.5, 51.5, 0.0, 0.0, 113.0, 22.0, 0.0, 0.0, 24.0, "Tous les candidats", 320.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "6536", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6536&g_ta_cod=6536", 50.0, 50.0, 0.0),
(4403, "Public", "9711151Z", "Université des Antilles - Pôle Guadeloupe (Saint-Claude)", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Saint-Claude", "formation non sélective", "Licence", "Université des Antilles - Pôle Guadeloupe (Saint-Claude) - Licence - Langues étrangères appliquées - Parcours Anglais-Espagnol : Communication multilingue-langue orientale/Langues et Droit/Langues et coopération économique et culturelle-Saint-Claude-Guadeloupe", "Licence - Arts-lettres-langues", "Anglais-Espagnol : Communication multilingue-langue orientale/Langues et Droit/Langues et coopération économique et culturelle-Saint-Claude-Guadeloupe", 140, 538, 406, 457, 0, 348, 163, 32, 13, 13, 8, 64, 81, 29, 7, 4, 41, 455, 80, 0, 0, 348, 163, 32, 13, 13, 8, 62, 462, 108, 80, 75, 33, 24.0, 74.0, 97.0, 0, 45, 82, 74, 6, 2, 26, 0, 31, 37, 11, 3, 0.0, 46, 4, 1, 0, 0, 79, 79, 22.22, 68.52, 89.81, 74.09375, 96.296875, 96.296875, 0, 54.8984375, 75.890625, 0.0, 37.796875, 45.09375, 13.3984375, 3.7, 0.0, 90.1875, 56.09375, 7.2998046875, 4.8994140625, 2.39990234375, 1.199951171875, 324.0, 157.0, 16.0, 10.0, 89.0, "Tous les candidats", 455.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19511", "Licence - Langues étrangères appliquées - Parcours Anglais-Espagnol : Communication multilingue-langue orientale/Langues et Droit/Langues et coopération économique et culturelle-Saint-Claude-Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19511&g_ta_cod=19511", 84.0, 13.0, 3.0),
(4404, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "PASS", "Université de Montpellier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 150, 5820, 4541, 5820, 0, 4450, 904, 200, 75, 50, 24, 1120, 0, 0, 0, 0, 0, 5820, 0, 0, 0, 4450, 904, 200, 75, 50, 24, 1120, 709, 146, 126, 146, 0, 13.0, 117.0, 140.0, 0, 40, 136, 136, 0, 0, 10, 0, 2, 13, 52, 59, 10.0, 134, 0, 0, 0, 0, 101, 101, 8.9, 80.14, 95.89, 86.296875, 74.296875, 74.296875, 0, 29.3984375, 93.1875, 0.0, 1.5, 9.599609375, 38.1953125, 43.4, 7.4, 100.0, 98.5, 0.0, 0.0, 0.0, 0.0, 657.0, 145.0, 0.0, 0.0, 52.0, "Tous les candidats", 1993.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 17.0, "31858", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27370&g_ta_cod=31858", 100.0, 0.0, 0.0),
(4405, "Privé sous contrat d'association", "0694060N", "IET - Institut de l'environnement et des technologies", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "BTS", "IET - Institut de l'environnement et des technologies - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 25, 154, 53, 115, 0, 5, 0, 39, 9, 29, 8, 42, 39, 7, 8, 5, 19, 65, 12, 0, 0, 5, 0, 28, 4, 22, 4, 10, 68, 6, 2, 4, 2, 3.0, 4.0, 4.0, 0, 1, 3, 0, 0, 3, 3, 0, 1, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 2, 2, 50.0, 66.67, 66.67, 33.296875, 66.6875, 66.6875, 0, 33.296875, 50.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 9.0, 1.0, 22.0, 6.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers technologiques toutes séries", 32, "Bacheliers professionnels toutes séries", 22, "Liste d'appel propre à cette formation", 57.0, "29137", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29137&g_ta_cod=29137", 33.0, 17.0, 50.0),
(4406, "Public", "0731248K", "Lycée Louis Armand", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "BTS", "Lycée Louis Armand - BTS - Production - Pilotage des procédés", "BTS - Production", "", 15, 107, 24, 99, 0, 3, 0, 18, 2, 32, 10, 46, 8, 0, 4, 4, 0, 52, 5, 0, 0, 3, 0, 18, 2, 17, 6, 14, 46, 9, 3, 7, 2, 2.0, 7.0, 8.0, 0, 2, 5, 1, 1, 3, 4, 0, 1, 2, 2, 0, 0.0, 1, 0, 3, 2, 0, 4, 4, 22.22, 77.78, 88.89, 33.296875, 80.0, 80.0, 40, 40.0, 55.59375, 0.0, 20.0, 40.0, 40.0, 0.0, 0.0, 20.0, 20.0, 20.0, 0.0, 60.0, 60.0, 3.0, 0.0, 15.0, 6.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 47.0, "20141", "BTS - Production - Pilotage des procédés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20141&g_ta_cod=20141", 56.0, 11.0, 33.0),
(4407, "Public", "0730005J", "Cité scolaire Jean Moulin", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Albertville", "formation sélective", "BTS", "Cité scolaire Jean Moulin - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 172, 113, 155, 0, 8, 2, 44, 17, 56, 25, 47, 17, 0, 0, 5, 12, 94, 5, 0, 0, 8, 2, 38, 17, 39, 15, 9, 87, 17, 13, 10, 3, 2.0, 9.0, 11.0, 0, 4, 12, 3, 4, 5, 5, 2, 4, 3, 3, 0, 0.0, 0, 1, 5, 5, 3, 12, 12, 11.76, 52.94, 64.71, 76.5, 100.0, 100.0, 41.6953125, 33.296875, 70.59375, 16.69921875, 33.296875, 25.0, 25.0, 0.0, 0.0, 25.0, 0.0, 33.296875, 8.298828125, 41.6953125, 41.6953125, 9.0, 2.0, 33.0, 13.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 60.0, "8778", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8778&g_ta_cod=8778", 24.0, 41.0, 35.0),
(4408, "Public", "0623902E", "Lycée Marguerite Yourcenar", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Beuvry", "formation sélective", "BTS", "Lycée Marguerite Yourcenar - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 36, 183, 68, 181, 0, 0, 0, 42, 12, 105, 55, 34, 2, 0, 1, 0, 1, 181, 0, 0, 0, 0, 0, 42, 12, 105, 55, 34, 107, 17, 3, 17, 0, 5.0, 12.0, 15.0, 0, 12, 16, 0, 4, 12, 1, 0, 5, 7, 4, 0, 0.0, 0, 1, 10, 6, 0, 14, 14, 29.41, 70.59, 88.24, 17.59765625, 87.5, 87.5, 37.5, 75.0, 94.09375, 0.0, 31.296875, 43.796875, 25.0, 0.0, 0.0, 0.0, 0.0, 25.0, 6.2998046875, 75.0, 62.5, 0.0, 0.0, 50.0, 30.0, 23.0, "Tous les candidats sauf les Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 72, "", 0, "Liste d'appel propre à cette formation", 79.0, "7481", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7481&g_ta_cod=7481", 6.0, 24.0, 71.0),
(4409, "Public", "0500017X", "Lycée Alexis De Tocqueville", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "BTS", "Lycée Alexis De Tocqueville - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 19, 198, 35, 194, 0, 14, 1, 42, 3, 20, 8, 118, 4, 0, 1, 0, 3, 72, 3, 0, 0, 12, 1, 36, 3, 17, 7, 7, 54, 14, 2, 11, 3, 3.0, 10.0, 10.0, 0, 3, 10, 2, 5, 3, 4, 0, 9, 1, 0, 0, 0.0, 0, 0, 1, 7, 1, 10, 10, 21.43, 71.43, 71.43, 14.298828125, 100.0, 100.0, 70, 30.0, 71.390625, 0.0, 90.0, 10.0, 0.0, 0.0, 0.0, 20.0, 0.0, 50.0, 0.0, 30.0, 10.0, 6.0, 1.0, 14.0, 7.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 37.0, "5992", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5992&g_ta_cod=5992", 29.0, 50.0, 21.0),
(4410, "Public", "0020048S", "Lycée Henri Martin", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "BTS", "Lycée Henri Martin - BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "BTS - Services", "", 15, 317, 45, 317, 0, 83, 9, 44, 8, 64, 21, 126, 0, 0, 0, 0, 0, 282, 0, 0, 0, 83, 9, 44, 8, 64, 21, 91, 51, 15, 4, 15, 0, 5.0, 15.0, 15.0, 0, 2, 10, 3, 2, 5, 5, 0, 1, 4, 5, 0, 0.0, 3, 1, 5, 0, 0, 3, 3, 33.33, 100.0, 100.0, 26.69921875, 30.0, 30.0, 0, 20.0, 66.6875, 0.0, 10.0, 40.0, 50.0, 0.0, 0.0, 30.0, 30.0, 20.0, 10.0, 50.0, 50.0, 19.0, 1.0, 16.0, 4.0, 8.0, "Tous les candidats sauf les Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 25.0, "2056", "BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2056&g_ta_cod=2056", 40.0, 20.0, 40.0),
(4411, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Double licence - Philosophie / Lettres - Double Licence : Philosophie Lettres Classiques", "Licence - Sciences humaines et sociales", "Double Licence : Philosophie Lettres Classiques", 10, 113, 80, 91, 0, 69, 17, 0, 0, 0, 0, 22, 22, 6, 0, 1, 15, 91, 18, 0, 0, 69, 17, 0, 0, 0, 0, 22, 77, 8, 4, 2, 6, 1.0, 2.0, 7.0, 0, 1, 3, 3, 0, 0, 5, 1, 0, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 12.5, 25.0, 87.5, 50.0, 66.6875, 66.6875, 0, 33.296875, 37.5, 33.296875, 0.0, 33.296875, 33.296875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 54.0, 13.0, 0.0, 0.0, 23.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "23720", "Double licence - Philosophie / Lettres - Double Licence : Philosophie Lettres Classiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23720&g_ta_cod=23720", 88.0, 13.0, 0.0),
(4412, "Public", "0290334F", "I.U.T de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BUT", "I.U.T de Brest - BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "BUT - Production", "", 42, 1156, 551, 1156, 0, 772, 68, 144, 16, 3, 2, 237, 0, 0, 0, 0, 0, 561, 0, 0, 0, 410, 36, 108, 13, 0, 0, 43, 246, 42, 24, 42, 0, 12.0, 36.0, 39.0, 0, 2, 41, 27, 14, 0, 1, 0, 0, 17, 21, 3, 0.0, 27, 14, 0, 0, 0, 32, 32, 28.57, 85.71, 92.86, 57.09375, 78.0, 78.0, 0, 4.8994140625, 97.59375, 0.0, 0.0, 41.5, 51.1953125, 7.3, 0.0, 65.890625, 65.890625, 34.09375, 34.09375, 0.0, 0.0, 167.0, 16.0, 0.0, 0.0, 20.0, "Tous les candidats sauf les Bac technologiques", 266.0, "Bacheliers technologiques toutes séries", 90, "", 0, "Liste d'appel propre à cette formation", 31.0, "3837", "BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3837&g_ta_cod=3837", 64.0, 36.0, 0.0),
(4413, "Public", "0070031W", "Lycée professionnel Marius Bouvier", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Tournon-sur-Rhône", "formation sélective", "BTS", "Lycée professionnel Marius Bouvier - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 24, 213, 68, 209, 0, 42, 6, 54, 13, 87, 17, 26, 4, 0, 1, 0, 3, 193, 1, 0, 0, 39, 5, 53, 12, 83, 17, 18, 102, 21, 8, 21, 0, 2.0, 16.0, 16.0, 0, 6, 21, 3, 5, 13, 0, 1, 3, 8, 9, 0, 0.0, 3, 3, 11, 7, 4, 16, 16, 9.52, 76.19, 76.19, 38.09375, 76.1875, 76.1875, 33.296875, 28.59765625, 100.0, 4.7998046875, 14.298828125, 38.09375, 42.8984375, 0.0, 0.0, 14.298828125, 14.298828125, 23.796875, 14.298828125, 61.8984375, 52.3984375, 18.0, 5.0, 33.0, 9.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers technologiques toutes séries", 57, "Bacheliers professionnels toutes séries", 38, "Liste d'appel propre à cette formation", 57.0, "32311", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32311&g_ta_cod=32311", 14.0, 24.0, 62.0),
(4414, "Privé sous contrat d'association", "0631162W", "LEAP St-Joseph", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Breuil-sur-Couze", "formation sélective", "BTS", "LEAP St-Joseph - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 26, 76, 16, 76, 0, 7, 1, 13, 3, 8, 2, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "7616", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7616&g_ta_cod=7616", 0, 0, 0),
(4415, "Privé sous contrat d'association", "0801613U", "Lycée Sainte Colette", "80", "Somme", "Hauts-de-France", "Amiens", "Corbie", "formation sélective", "BTS", "Lycée Sainte Colette - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 24, 70, 38, 70, 0, 8, 0, 24, 5, 12, 3, 26, 0, 0, 0, 0, 0, 68, 0, 0, 0, 8, 0, 23, 5, 11, 3, 26, 54, 17, 10, 17, 0, 5.0, 16.0, 16.0, 0, 1, 8, 1, 6, 1, 9, 0, 5, 3, 0, 0, 0.0, 0, 3, 0, 5, 4, 6, 6, 29.41, 94.12, 94.12, 58.796875, 75.0, 75.0, 62.5, 12.5, 47.09375, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 12.5, 0.0, 75.0, 37.5, 12.5, 0.0, 8.0, 0.0, 11.0, 3.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 90.0, "10234", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10234&g_ta_cod=10234", 53.0, 35.0, 12.0),
(4416, "Privé sous contrat d'association", "0331498Z", "Lycée Du Matin Le Mirail", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Autre formation", "Lycée Du Matin Le Mirail - DN MADE - Espace - - Spécialité : Espace de communication, aménagement éphémère et scénographie", "DN MADE", "- Spécialité : Espace de communication, aménagement éphémère et scénographie", 25, 465, 384, 465, 0, 192, 22, 105, 18, 54, 7, 114, 0, 0, 0, 0, 0, 322, 0, 0, 0, 147, 16, 89, 12, 34, 6, 52, 98, 25, 23, 25, 0, 4.0, 21.0, 23.0, 0, 4, 24, 5, 18, 1, 1, 0, 2, 9, 12, 1, 0.0, 4, 17, 1, 0, 0, 12, 12, 16.0, 84.0, 92.0, 92.0, 50.0, 50.0, 0, 16.69921875, 96.0, 0.0, 8.298828125, 37.5, 50.0, 4.2, 0.0, 20.796875, 16.69921875, 75.0, 70.796875, 4.19921875, 4.19921875, 27.0, 1.0, 8.0, 0.0, 8.0, "Tous les candidats", 126.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "24292", "DN MADE - Espace - - Spécialité : Espace de communication, aménagement éphémère et scénographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24292&g_ta_cod=24292", 24.0, 72.0, 4.0),
(4417, "Privé sous contrat d'association", "0211091X", "Lycée Les Arcades", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Autre formation", "Lycée Les Arcades - Mention complémentaire - FCIL Commerce international des vins, spiritueux et oenotourisme", "Mention complémentaire", "", 12, 41, 23, 39, 0, 9, 0, 6, 0, 10, 0, 14, 2, 0, 0, 0, 2, 32, 2, 0, 0, 9, 0, 6, 0, 8, 0, 9, 31, 10, 7, 8, 2, 2.0, 8.0, 8.0, 0, 0, 2, 0, 2, 0, 8, 1, 0, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 0, 20.0, 80.0, 80.0, 70.0, 0.0, 0.0, 0, 0.0, 20.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 8.0, 0.0, 8.0, 0.0, 9.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "25361", "Mention complémentaire - FCIL Commerce international des vins, spiritueux et oenotourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25361&g_ta_cod=25361", 70.0, 30.0, 0.0),
(4418, "Public", "0791062A", "Lycée de la Venise Verte", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BTS", "Lycée de la Venise Verte - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 36, 530, 233, 529, 0, 59, 11, 221, 52, 145, 43, 104, 1, 0, 0, 0, 1, 529, 0, 0, 0, 59, 11, 221, 52, 145, 43, 104, 218, 33, 15, 33, 0, 4.0, 16.0, 24.0, 0, 6, 27, 2, 11, 14, 6, 0, 14, 11, 1, 1, 0.0, 1, 4, 8, 4, 1, 26, 26, 12.12, 48.48, 72.73, 45.5, 96.296875, 96.296875, 14.798828125, 22.19921875, 81.796875, 0.0, 51.8984375, 40.6953125, 3.69970703125, 3.7, 0.0, 7.3994140625, 3.69970703125, 40.6953125, 14.798828125, 51.8984375, 29.59765625, 27.0, 7.0, 68.0, 16.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 123, "Bacheliers technologiques toutes séries", 125, "Liste d'appel propre à cette formation", 57.0, "10133", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10133&g_ta_cod=10133", 15.0, 39.0, 45.0),
(4419, "Public", "0952259P", "CY Cergy Paris Université", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "CY Cergy Paris Université - Diplôme d'Université - PAREO - DU de la terre à la table", "Diplôme d'Université", "DU de la terre à la table", 24, 25, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 25, 4, 3, 9, 9, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 0, 19, 8, 3, 0, 7, 0.0, 0.0, 1.0, 0, 2, 5, 1, 0, 4, 3, 0, 5, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 5, 0.0, 0.0, 12.5, 37.5, 40.0, 100.0, 0, 40.0, 62.5, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 0.0, 0.0, 80.0, 0.0, 2.0, 0.0, 8.0, 4.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34937", "Diplôme d'Université - PAREO - DU de la terre à la table", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34937&g_ta_cod=34937", 50.0, 0.0, 50.0),
(4420, "Public", "0130051K", "Lycée Marie Curie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 48, 1980, 1507, 1980, 0, 346, 127, 554, 237, 101, 66, 979, 0, 0, 0, 0, 0, 885, 0, 0, 0, 276, 86, 213, 78, 73, 45, 323, 278, 48, 34, 48, 0, 9.0, 29.0, 41.0, 0, 17, 33, 13, 19, 1, 15, 0, 13, 15, 5, 0, 0.0, 7, 12, 1, 9, 6, 26, 26, 18.75, 60.42, 85.42, 70.796875, 78.796875, 78.796875, 27.296875, 51.5, 68.796875, 0.0, 39.3984375, 45.5, 15.19921875, 0.0, 0.0, 39.3984375, 21.19921875, 57.59375, 36.3984375, 3.0, 3.0, 100.0, 42.0, 4.0, 2.0, 92.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 253.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 131, "Liste d'appel propre à cette formation", 20.0, "2586", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2586&g_ta_cod=2586", 46.0, 48.0, 6.0),
(4421, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence_Las", "Université de Nantes - Licence - Portail Mathématiques - MIP", "Licence - Sciences - technologies - santé", "MIP", 18, 446, 198, 432, 0, 298, 33, 8, 2, 0, 0, 126, 14, 2, 0, 0, 12, 432, 12, 0, 0, 298, 33, 8, 2, 0, 0, 126, 184, 16, 6, 13, 3, 0.0, 4.0, 11.0, 0, 1, 8, 8, 0, 0, 8, 0, 2, 5, 0, 1, 0.0, 6, 0, 0, 0, 0, 8, 8, 0.0, 25.0, 68.75, 37.5, 100.0, 100.0, 0, 12.5, 50.0, 0.0, 25.0, 62.5, 0.0, 12.5, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 117.0, 11.0, 0.0, 0.0, 67.0, "Tous les candidats", 1260.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 80.0, "32045", "Licence - Portail Mathématiques - MIP", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32044&g_ta_cod=32045", 94.0, 0.0, 0.0),
(4422, "Privé sous contrat d'association", "0312408Z", "Lycée Saliège", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Balma", "formation sélective", "CPGE", "Lycée Saliège - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 855, 293, 855, 657, 753, 66, 1, 0, 0, 0, 101, 0, 0, 0, 0, 0, 821, 0, 657, 723, 729, 59, 1, 0, 0, 0, 91, 498, 94, 29, 94, 0, 41.0, 67.0, 90.0, 75, 4, 88, 88, 0, 0, 6, 1, 0, 14, 48, 24, 1.0, 87, 0, 0, 0, 0, 73, 73, 43.62, 71.28, 95.74, 30.8984375, 83.0, 83.0, 0, 4.5, 93.59375, 1.099853515625, 0.0, 15.8984375, 54.5, 27.3, 1.1, 100.0, 98.890625, 0.0, 0.0, 0.0, 0.0, 468.0, 33.0, 0.0, 0.0, 30.0, "Tous les candidats", 573.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "4227", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4227&g_ta_cod=4227", 100.0, 0.0, 0.0),
(4423, "Privé sous contrat d'association", "0100059K", "Lycée LA SALLE", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BTS", "Lycée LA SALLE - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 21, 350, 197, 350, 0, 83, 14, 110, 24, 85, 15, 72, 0, 0, 0, 0, 0, 326, 0, 0, 0, 83, 14, 107, 23, 80, 15, 56, 33, 22, 12, 22, 0, 15.0, 22.0, 22.0, 0, 2, 22, 7, 8, 7, 0, 0, 5, 11, 6, 0, 0.0, 4, 7, 6, 2, 2, 14, 14, 68.18, 100.0, 100.0, 54.5, 63.59375, 63.59375, 9.099609375, 9.099609375, 100.0, 0.0, 22.69921875, 50.0, 27.296875, 0.0, 0.0, 31.796875, 18.19921875, 36.3984375, 31.796875, 31.796875, 27.296875, 7.0, 1.0, 10.0, 2.0, 0.0, "Tous les candidats sauf les Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 12, "", 0, "Liste d'appel propre à cette formation", 12.0, "13427", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13427&g_ta_cod=13427", 32.0, 36.0, 32.0),
(4424, "Privé sous contrat d'association", "0597097U", "IRTS Hauts-de-France - Site Hainaut Cambrésis", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "EFTS", "IRTS Hauts-de-France - Site Hainaut Cambrésis - D.E Educateur Spécialisé", "D.E secteur social", "", 18, 168, 128, 168, 0, 35, 6, 39, 10, 17, 5, 77, 0, 0, 0, 0, 0, 119, 0, 0, 0, 26, 5, 20, 4, 9, 3, 64, 25, 18, 12, 18, 0, 12.0, 16.0, 17.0, 0, 2, 6, 4, 0, 2, 12, 0, 1, 2, 2, 1, 0.0, 3, 0, 2, 0, 0, 6, 6, 66.67, 88.89, 94.44, 66.6875, 100.0, 100.0, 0, 33.296875, 33.296875, 0.0, 16.69921875, 33.296875, 33.296875, 16.7, 0.0, 66.6875, 50.0, 0.0, 0.0, 33.296875, 33.296875, 5.0, 2.0, 3.0, 0.0, 16.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "24997", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24997&g_ta_cod=24997", 56.0, 22.0, 22.0),
(4425, "Privé sous contrat d'association", "0622110G", "Lycée Saint Pierre", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "Autre formation", "Lycée Saint Pierre - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 20, 51, 17, 43, 0, 16, 1, 4, 2, 5, 0, 18, 8, 0, 0, 1, 7, 43, 0, 0, 0, 16, 1, 4, 2, 5, 0, 18, 40, 10, 1, 10, 0, 3.0, 10.0, 10.0, 0, 0, 6, 3, 1, 2, 4, 0, 4, 2, 0, 0, 0.0, 1, 0, 1, 0, 0, 5, 5, 30.0, 100.0, 100.0, 10.0, 83.296875, 83.296875, 0, 0.0, 60.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 50.0, 16.69921875, 16.69921875, 0.0, 33.296875, 16.69921875, 16.0, 1.0, 5.0, 0.0, 16.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7412", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7412&g_ta_cod=7412", 70.0, 10.0, 20.0),
(4426, "Public", "0870058R", "Lycée professionnel Antoine de Saint-Exupéry", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Autre formation", "Lycée professionnel Antoine de Saint-Exupéry - Mention complémentaire - FCIL Technicien des systèmes auxiliaires et véhicules électriques", "Mention complémentaire", "", 10, 13, 3, 10, 0, 0, 0, 1, 1, 3, 0, 6, 3, 0, 0, 2, 1, 5, 2, 0, 0, 0, 0, 0, 0, 3, 0, 2, 7, 5, 0, 4, 1, 4.0, 4.0, 5.0, 0, 0, 2, 0, 0, 2, 3, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 80.0, 80.0, 100.0, 0.0, 0.0, 0.0, 0, 0.0, 40.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 4.0, 0.0, 3.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "32449", "Mention complémentaire - FCIL Technicien des systèmes auxiliaires et véhicules électriques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32449&g_ta_cod=32449", 0.0, 0.0, 100.0),
(4427, "Privé sous contrat d'association", "0761343X", "Lycée La Chataigneraie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Mesnil-Esnard", "formation sélective", "BTS", "Lycée La Chataigneraie - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 30, 126, 3, 109, 0, 6, 2, 44, 5, 44, 10, 15, 17, 2, 3, 5, 7, 81, 10, 0, 0, 6, 2, 37, 5, 32, 4, 6, 83, 13, 0, 8, 5, 7.0, 8.0, 12.0, 0, 1, 10, 1, 3, 6, 3, 1, 4, 4, 0, 1, 0.0, 0, 0, 5, 6, 0, 10, 10, 53.85, 61.54, 92.31, 0.0, 100.0, 100.0, 60, 10.0, 76.890625, 10.0, 40.0, 40.0, 0.0, 10.0, 0.0, 10.0, 0.0, 30.0, 0.0, 60.0, 50.0, 5.0, 1.0, 35.0, 4.0, 9.0, "Tous les candidats sauf les Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 74.0, "9641", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9641&g_ta_cod=9641", 23.0, 31.0, 46.0),
(4428, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues étrangères appliquées - Parcours LEA Anglais-Chinois", "Licence - Arts-lettres-langues", "LEA Anglais-Chinois", 60, 422, 327, 422, 0, 271, 83, 27, 12, 10, 3, 114, 0, 0, 0, 0, 0, 419, 0, 0, 0, 271, 83, 27, 12, 10, 3, 111, 250, 59, 52, 59, 0, 22.0, 52.0, 54.0, 0, 18, 51, 47, 2, 2, 8, 1, 2, 29, 17, 2, 0.0, 44, 2, 2, 0, 0, 26, 26, 37.29, 88.14, 91.53, 88.09375, 51.0, 51.0, 0, 35.296875, 86.390625, 2.0, 3.89990234375, 56.8984375, 33.296875, 3.9, 0.0, 92.1875, 86.296875, 3.89990234375, 3.89990234375, 3.89990234375, 3.89990234375, 185.0, 55.0, 7.0, 2.0, 44.0, "Tous les candidats", 316.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "2739", "Licence - Langues étrangères appliquées - Parcours LEA Anglais-Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2739&g_ta_cod=2739", 92.0, 3.0, 5.0),
(4429, "Public", "0311713U", "I.U.T de Blagnac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Blagnac", "formation sélective", "BUT", "I.U.T de Blagnac - BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "BUT - Production", "Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", 52, 937, 81, 904, 0, 416, 47, 283, 68, 41, 17, 164, 33, 0, 12, 0, 21, 691, 9, 0, 0, 348, 33, 227, 53, 13, 3, 103, 353, 41, 1, 40, 1, 0.0, 24.0, 40.0, 0, 5, 36, 21, 14, 1, 5, 0, 7, 24, 4, 1, 0.0, 16, 12, 1, 0, 0, 20, 20, 0.0, 58.54, 97.56, 2.39990234375, 55.59375, 55.59375, 0, 13.8984375, 87.796875, 0.0, 19.3984375, 66.6875, 11.099609375, 2.8, 0.0, 58.296875, 44.3984375, 38.8984375, 33.296875, 2.7998046875, 2.7998046875, 139.0, 25.0, 7.0, 0.0, 83.0, "Tous les candidats sauf les Bac technologiques", 397.0, "Bacheliers technologiques toutes séries", 247, "", 0, "Liste d'appel propre à cette formation", 71.0, "4196", "BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4196&g_ta_cod=4196", 61.0, 37.0, 2.0),
(4430, "Public", "0130051K", "Lycée Marie Curie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Production - Biotechnologies", "BTS - Production", "", 35, 867, 558, 867, 0, 168, 51, 265, 99, 29, 21, 405, 0, 0, 0, 0, 0, 715, 0, 0, 0, 165, 50, 225, 80, 23, 15, 302, 164, 33, 20, 33, 0, 7.0, 23.0, 31.0, 0, 13, 20, 5, 14, 1, 13, 0, 5, 9, 6, 0, 0.0, 2, 12, 1, 9, 7, 19, 19, 21.21, 69.7, 93.94, 60.59375, 95.0, 95.0, 45, 65.0, 60.59375, 0.0, 25.0, 45.0, 30.0, 0.0, 0.0, 25.0, 10.0, 70.0, 60.0, 5.0, 5.0, 57.0, 17.0, 4.0, 4.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 121.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 26.0, "2583", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2583&g_ta_cod=2583", 36.0, 58.0, 6.0),
(4431, "Public", "0751871B", "Ecole Nationale Supérieure d'Architecture de Paris-Malaquais", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Paris-Malaquais - Architecture", "Formations Bac + 5", "", 115, 2891, 1886, 2891, 0, 1733, 368, 185, 60, 77, 37, 896, 0, 0, 0, 0, 0, 450, 0, 0, 0, 391, 42, 26, 6, 7, 0, 26, 228, 115, 86, 115, 0, 50.0, 110.0, 112.0, 0, 16, 107, 96, 8, 3, 8, 1, 1, 9, 60, 34, 2.0, 94, 8, 3, 0, 0, 16, 59, 43.48, 95.65, 97.39, 74.796875, 15.0, 55.09375, 0, 15.0, 93.0, 0.89990234375, 0.89990234375, 8.3984375, 56.09375, 31.8, 1.9, 89.6875, 87.890625, 7.5, 7.5, 2.7998046875, 2.7998046875, 191.0, 29.0, 4.0, 0.0, 16.0, "Tous les candidats", 254.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "9353", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9353&g_ta_cod=9353", 89.0, 8.0, 3.0),
(4432, "Public", "0620256S", "Lycée Guy Mollet", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "Lycée Guy Mollet - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 73, 1350, 688, 1350, 0, 127, 36, 366, 132, 390, 182, 467, 0, 0, 0, 0, 0, 1091, 0, 0, 0, 127, 36, 366, 132, 390, 182, 208, 301, 64, 31, 64, 0, 9.0, 42.0, 57.0, 0, 14, 53, 6, 16, 31, 11, 0, 24, 23, 6, 0, 0.0, 2, 11, 16, 9, 3, 51, 51, 14.06, 65.63, 89.06, 48.3984375, 96.1875, 96.1875, 17, 26.3984375, 82.796875, 0.0, 45.296875, 43.3984375, 11.298828125, 0.0, 0.0, 11.298828125, 3.7998046875, 30.19921875, 20.796875, 58.5, 30.19921875, 48.0, 13.0, 153.0, 65.0, 50.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 92.0, "Bacheliers professionnels toutes séries", 292, "Bacheliers technologiques toutes séries", 113, "Liste d'appel propre à cette formation", 37.0, "7405", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7405&g_ta_cod=7405", 13.0, 27.0, 61.0),
(4433, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Langues étrangères appliquées - Parcours Anglais - Italien", "Licence - Arts-lettres-langues", "Anglais - Italien", 60, 285, 216, 240, 0, 160, 45, 22, 7, 5, 2, 53, 45, 4, 6, 4, 31, 236, 42, 0, 0, 160, 45, 22, 7, 5, 2, 49, 236, 44, 33, 31, 13, 7.0, 31.0, 42.0, 0, 12, 30, 26, 4, 0, 14, 0, 10, 11, 8, 1, 0.0, 20, 0, 0, 0, 0, 22, 22, 15.91, 70.45, 95.45, 75.0, 73.296875, 73.296875, 0, 40.0, 68.1875, 0.0, 33.296875, 36.6953125, 26.69921875, 3.3, 0.0, 86.6875, 66.6875, 13.298828125, 0.0, 0.0, 0.0, 135.0, 42.0, 8.0, 5.0, 65.0, "Tous les candidats", 236.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "6347", "Licence - Langues étrangères appliquées - Parcours Anglais - Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6347&g_ta_cod=6347", 84.0, 11.0, 5.0),
(4434, "Public", "9730429D", "Université de Guyane", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation non sélective", "Licence", "Université de Guyane - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 115, 360, 222, 249, 0, 168, 83, 23, 10, 22, 16, 36, 111, 17, 14, 22, 58, 249, 77, 0, 0, 168, 83, 23, 10, 22, 16, 36, 298, 81, 51, 41, 40, 17.0, 41.0, 65.0, 0, 28, 51, 30, 9, 12, 30, 10, 28, 12, 1, 0, 0.0, 7, 2, 4, 0, 0, 50, 50, 20.99, 50.62, 80.25, 63.0, 98.0, 98.0, 0, 54.8984375, 63.0, 19.59765625, 54.8984375, 23.5, 2.0, 0.0, 0.0, 58.796875, 13.69921875, 17.59765625, 3.89990234375, 23.5, 7.7998046875, 170.0, 85.0, 33.0, 26.0, 66.0, "Tous les candidats", 249.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "16937", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16937&g_ta_cod=16937", 49.0, 23.0, 25.0),
(4435, "Public", "0860080V", "IFSI CHU Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "IFSI", "Regroupement d'IFSI Université Poitiers - D.E Infirmier", "D.E secteur sanitaire", "", 37, 4682, 4027, 4682, 0, 1021, 170, 775, 177, 577, 170, 2309, 0, 0, 0, 0, 0, 3045, 0, 0, 0, 696, 99, 569, 113, 459, 123, 1321, 158, 37, 35, 37, 0, 4.0, 24.0, 33.0, 0, 2, 14, 0, 11, 3, 23, 0, 0, 2, 9, 3, 0.0, 0, 11, 3, 0, 0, 10, 10, 10.81, 64.86, 89.19, 94.59375, 71.390625, 71.390625, 0, 14.298828125, 37.796875, 0.0, 0.0, 14.298828125, 64.296875, 21.4, 0.0, 0.0, 0.0, 78.59375, 78.59375, 21.3984375, 21.3984375, 3.0, 1.0, 35.0, 18.0, 101.0, "Tous les candidats", 363.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 7.0, "25263", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22988&g_ta_cod=25263", 32.0, 46.0, 22.0),
(4436, "Public", "0693504J", "Lycée Francois Rabelais", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Dardilly", "formation sélective", "Autre formation", "Lycée Francois Rabelais - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 391, 212, 391, 0, 171, 19, 68, 17, 34, 8, 118, 0, 0, 0, 0, 0, 275, 0, 0, 0, 161, 16, 51, 12, 16, 2, 47, 133, 22, 11, 22, 0, 2.0, 21.0, 21.0, 0, 2, 18, 15, 2, 1, 4, 0, 5, 7, 6, 0, 0.0, 11, 1, 1, 0, 0, 13, 13, 9.09, 95.45, 95.45, 50.0, 72.1875, 72.1875, 0, 11.099609375, 81.796875, 0.0, 27.796875, 38.8984375, 33.296875, 0.0, 0.0, 83.296875, 61.09375, 11.099609375, 5.599609375, 5.599609375, 5.599609375, 73.0, 9.0, 7.0, 1.0, 29.0, "Tous les candidats", 202.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "8572", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8572&g_ta_cod=8572", 77.0, 18.0, 5.0),
(4437, "Public", "0212174Z", "Sciences Po - campus de Dijon - Institut d'études politiques", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Autre formation", "Sciences Po Paris - Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", "Sciences politiques", "Bachelor du Collège universitaire de Sciences Po - Programme européen Europe Centrale et Orientale, campus de Dijon", 56, 1606, 926, 1606, 0, 1600, 172, 5, 2, 0, 0, 1, 0, 0, 0, 0, 0, 67, 0, 0, 0, 67, 7, 0, 0, 0, 0, 0, 67, 54, 34, 54, 0, 0.0, 54.0, 54.0, 0, 6, 54, 54, 0, 0, 0, 0, 0, 0, 0, 31, 23.0, 54, 0, 0, 0, 0, 11, 11, 0.0, 100.0, 100.0, 63.0, 20.3984375, 20.3984375, 0, 11.099609375, 100.0, 0.0, 0.0, 0.0, 0.0, 57.4, 42.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 67.0, 7.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "31210", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", "Sciences Po Paris - Institut d'études politiques", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25777&g_ta_cod=31210", 100.0, 0.0, 0.0),
(4438, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence_Las", "Université de Paris - Licence - Portail Sciences de la terre - Terre / Envrionnement", "Licence - Sciences - technologies - santé", "Terre / Envrionnement", 10, 826, 561, 826, 0, 464, 97, 7, 3, 4, 1, 351, 0, 0, 0, 0, 0, 819, 0, 0, 0, 464, 97, 7, 3, 4, 1, 344, 128, 8, 6, 8, 0, 0.0, 2.0, 5.0, 0, 2, 6, 6, 0, 0, 2, 0, 0, 5, 1, 0, 0.0, 6, 0, 0, 0, 0, 3, 6, 0.0, 25.0, 62.5, 75.0, 50.0, 100.0, 0, 33.296875, 75.0, 0.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 92.0, 16.0, 0.0, 0.0, 36.0, "Tous les candidats", 280.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "32398", "Licence - Portail Sciences de la terre - Terre / Envrionnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32397&g_ta_cod=32398", 100.0, 0.0, 0.0),
(4439, "Public", "0931585T", "Lycée Andre Boulloche", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Livry-Gargan", "formation sélective", "CPGE", "Lycée Andre Boulloche - CPGE - ENS Rennes D1", "Classe préparatoire économique et commerciale", "", 35, 516, 358, 516, 0, 380, 106, 18, 4, 3, 1, 115, 0, 0, 0, 0, 0, 378, 0, 0, 378, 360, 95, 0, 0, 0, 0, 18, 233, 34, 25, 34, 0, 2.0, 28.0, 31.0, 0, 10, 33, 33, 0, 0, 1, 0, 1, 16, 12, 4, 0.0, 32, 0, 0, 5, 5, 20, 25, 5.88, 82.35, 91.18, 73.5, 60.59375, 75.796875, 15.19921875, 30.296875, 97.09375, 0.0, 3.0, 48.5, 36.3984375, 12.1, 0.0, 100.0, 97.0, 0.0, 0.0, 0.0, 0.0, 220.0, 54.0, 0.0, 0.0, 13.0, "Tous les candidats", 317.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "11276", "CPGE - ENS Rennes D1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11276&g_ta_cod=11276", 100.0, 0.0, 0.0),
(4440, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand débutant", "Licence - Arts-lettres-langues", "Allemand débutant", 15, 44, 29, 15, 0, 5, 2, 0, 0, 1, 0, 9, 29, 5, 1, 2, 21, 15, 26, 0, 0, 5, 2, 0, 0, 1, 0, 9, 41, 9, 4, 2, 7, 2.0, 2.0, 6.0, 0, 1, 2, 2, 0, 0, 7, 0, 0, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 22.22, 22.22, 66.67, 44.3984375, 100.0, 100.0, 0, 50.0, 22.19921875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 9.0, 3.0, 3.0, 0.0, 28.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5072", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5072&g_ta_cod=5072", 100.0, 0.0, 0.0),
(4441, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Université Angers - Licence - Portail Langues étrangères appliquées - Anglais-Espagnol", "Licence - Arts-lettres-langues", "Anglais-Espagnol", 220, 1409, 1099, 1358, 0, 968, 194, 131, 50, 25, 8, 234, 51, 10, 4, 1, 36, 1358, 27, 0, 0, 968, 194, 131, 50, 25, 8, 234, 1009, 213, 152, 197, 16, 97.0, 192.0, 197.0, 0, 39, 157, 136, 13, 8, 56, 0, 44, 65, 39, 9, 0.0, 99, 8, 6, 0, 0, 132, 132, 45.54, 90.14, 92.49, 71.390625, 84.09375, 84.09375, 0, 24.796875, 73.6875, 0.0, 28.0, 41.3984375, 24.796875, 5.7, 0.0, 86.59375, 63.09375, 8.298828125, 5.099609375, 5.099609375, 3.7998046875, 713.0, 144.0, 16.0, 3.0, 187.0, "Tous les candidats", 1424.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "5928", "Licence - Portail Langues étrangères appliquées - Anglais-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26952&g_ta_cod=5928", 84.0, 10.0, 6.0),
(4442, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études hébraïques", "Licence - Arts-lettres-langues", "Études hébraïques", 20, 24, 16, 15, 0, 8, 2, 0, 0, 1, 1, 6, 9, 0, 0, 0, 9, 15, 3, 0, 0, 8, 2, 0, 0, 1, 1, 6, 18, 4, 2, 2, 2, 2.0, 2.0, 3.0, 0, 2, 2, 1, 0, 1, 2, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 50.0, 50.0, 75.0, 50.0, 50.0, 50.0, 0, 100.0, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 8.0, 2.0, 1.0, 1.0, 9.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8042", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études hébraïques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8042&g_ta_cod=8042", 75.0, 0.0, 25.0),
(4443, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence_Las", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER : ESPAGNOL", "Licence - Arts-lettres-langues", "LLCER : ESPAGNOL", 15, 194, 169, 194, 0, 119, 34, 4, 0, 0, 0, 71, 0, 0, 0, 0, 0, 193, 0, 0, 0, 119, 34, 4, 0, 0, 0, 70, 55, 15, 14, 15, 0, 1.0, 8.0, 12.0, 0, 2, 12, 12, 0, 0, 3, 1, 4, 4, 3, 0, 0.0, 7, 0, 0, 0, 0, 5, 10, 6.67, 53.33, 80.0, 93.296875, 41.6953125, 83.296875, 0, 16.69921875, 80.0, 8.298828125, 33.296875, 33.296875, 25.0, 0.0, 0.0, 100.0, 58.296875, 0.0, 0.0, 0.0, 0.0, 36.0, 10.0, 0.0, 0.0, 19.0, "Tous les candidats", 137.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "28439", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER : ESPAGNOL", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28438&g_ta_cod=28439", 100.0, 0.0, 0.0),
(4444, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Langues étrangères appliquées - Parcours Anglais-Russe", "Licence - Arts-lettres-langues", "Anglais-Russe", 35, 145, 94, 121, 0, 74, 27, 8, 3, 3, 2, 36, 24, 2, 0, 2, 20, 121, 24, 0, 0, 74, 27, 8, 3, 3, 2, 36, 134, 35, 19, 22, 13, 18.0, 22.0, 29.0, 0, 6, 17, 16, 0, 1, 18, 0, 5, 9, 2, 1, 0.0, 12, 0, 0, 0, 0, 13, 13, 51.43, 62.86, 82.86, 54.296875, 76.5, 76.5, 0, 35.296875, 48.59375, 0.0, 29.3984375, 52.8984375, 11.798828125, 5.9, 0.0, 94.09375, 70.59375, 0.0, 0.0, 5.8994140625, 0.0, 71.0, 27.0, 5.0, 3.0, 51.0, "Tous les candidats", 120.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "3258", "Licence - Langues étrangères appliquées - Parcours Anglais-Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3258&g_ta_cod=3258", 80.0, 9.0, 9.0),
(4445, "Privé sous contrat d'association", "0530049R", "Lycée d'AVESNIERES", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "Lycée d'AVESNIERES - BTS - Services - Tourisme", "BTS - Services", "", 35, 314, 244, 299, 0, 97, 20, 52, 6, 54, 11, 96, 15, 7, 0, 0, 8, 215, 7, 0, 0, 88, 17, 45, 3, 40, 7, 42, 145, 30, 27, 26, 4, 6.0, 26.0, 28.0, 0, 3, 18, 8, 3, 7, 12, 0, 5, 8, 3, 2, 0.0, 4, 2, 7, 1, 1, 13, 13, 20.0, 86.67, 93.33, 90.0, 72.1875, 72.1875, 5.599609375, 16.69921875, 60.0, 0.0, 27.796875, 44.3984375, 16.69921875, 11.1, 0.0, 44.3984375, 22.19921875, 16.69921875, 11.099609375, 38.8984375, 38.8984375, 59.0, 12.0, 19.0, 2.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 124.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 66.0, "6210", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6210&g_ta_cod=6210", 57.0, 17.0, 27.0),
(4446, "Public", "0930834B", "Lycée Voillaume", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aulnay-sous-Bois", "formation sélective", "BTS", "Lycée Voillaume - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 358, 18, 358, 0, 10, 4, 109, 55, 124, 53, 115, 0, 0, 0, 0, 0, 205, 0, 0, 0, 6, 2, 70, 38, 92, 38, 37, 110, 19, 0, 19, 0, 2.0, 17.0, 19.0, 0, 6, 15, 0, 6, 9, 4, 0, 7, 6, 1, 1, 0.0, 0, 2, 6, 3, 0, 13, 13, 10.53, 89.47, 100.0, 0.0, 86.6875, 86.6875, 20, 40.0, 78.890625, 0.0, 46.6953125, 40.0, 6.69921875, 6.7, 0.0, 0.0, 0.0, 40.0, 13.298828125, 60.0, 40.0, 4.0, 2.0, 56.0, 22.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 41.0, "11210", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11210&g_ta_cod=11210", 5.0, 47.0, 47.0),
(4447, "Privé enseignement supérieur", "0721484X", "ISMANS CESI - Le Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "Ecole d'Ingénieur", "ISMANS CESI - Formation d'ingénieur Bac + 5 - Cycle préparatoire intégré", "Formations  des écoles d'ingénieurs", "Cycle préparatoire intégré", 55, 277, 21, 252, 0, 200, 18, 31, 5, 0, 0, 21, 25, 15, 0, 0, 10, 136, 5, 0, 0, 120, 6, 12, 1, 0, 0, 4, 137, 41, 2, 39, 2, 10.0, 39.0, 41.0, 0, 2, 40, 39, 1, 0, 1, 0, 5, 26, 9, 0, 0.0, 34, 1, 0, 0, 0, 10, 10, 24.39, 95.12, 100.0, 4.8994140625, 25.0, 25.0, 0, 5.0, 97.59375, 0.0, 12.5, 65.0, 22.5, 0.0, 0.0, 97.5, 85.0, 2.5, 2.5, 0.0, 0.0, 120.0, 5.0, 0.0, 0.0, 6.0, "Tous les candidats", 136.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "19684", "Formation d'ingénieur Bac + 5 - Cycle préparatoire intégré", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19684&g_ta_cod=19684", 98.0, 2.0, 0.0),
(4448, "Public", "0750697A", "Lycée Batiment-Saint-Lambert", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Batiment-Saint-Lambert - BTS - Production - Travaux publics", "BTS - Production", "", 30, 774, 99, 774, 0, 75, 20, 211, 72, 179, 73, 309, 0, 0, 0, 0, 0, 477, 0, 0, 0, 60, 15, 171, 53, 155, 59, 91, 177, 25, 2, 24, 0, 1.0, 18.0, 20.0, 0, 8, 22, 4, 10, 8, 3, 0, 14, 8, 0, 0, 0.0, 0, 5, 3, 0, 0, 7, 22, 4.0, 72.0, 80.0, 8.0, 31.796875, 100.0, 0, 36.3984375, 88.0, 0.0, 63.59375, 36.3984375, 0.0, 0.0, 0.0, 18.19921875, 0.0, 45.5, 22.69921875, 36.3984375, 13.599609375, 24.0, 6.0, 51.0, 18.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 114, "Liste d'appel propre à cette formation", 27.0, "9124", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9124&g_ta_cod=9124", 16.0, 48.0, 36.0),
(4449, "Public", "0291660X", "Université de Brest - Site de Quimper", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation non sélective", "Licence", "Université de Brest - Licence - Portail LEA Anglais, Espagnol", "Licence - Arts-lettres-langues", "LEA Anglais, Espagnol : Université de Brest - Site de Quimper", 80, 544, 410, 477, 0, 290, 59, 91, 19, 14, 5, 82, 67, 15, 11, 4, 37, 477, 60, 0, 0, 290, 59, 91, 19, 14, 5, 82, 489, 37, 28, 29, 8, 20.0, 29.0, 34.0, 0, 10, 30, 15, 8, 7, 7, 0, 11, 14, 5, 0, 0.0, 9, 6, 4, 0, 0, 27, 27, 54.05, 78.38, 91.89, 75.6875, 90.0, 90.0, 0, 33.296875, 81.09375, 0.0, 36.6953125, 46.6953125, 16.69921875, 0.0, 0.0, 50.0, 30.0, 26.69921875, 20.0, 23.296875, 13.298828125, 280.0, 60.0, 16.0, 9.0, 100.0, "Tous les candidats", 848.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28763", "Licence - Portail LEA Anglais, Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28762&g_ta_cod=28763", 54.0, 27.0, 19.0),
(4450, "Privé enseignement supérieur", "0061643D", "IDRAC Business School - Campus de Nice", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Mougins", "formation sélective", "Ecole de Commerce", "Concours Bachelor IDRAC Business School - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "Approfondissement en : marketing digital, international, sport & business et approfondissement personnalisable", 180, 568, 223, 545, 0, 370, 57, 93, 20, 9, 6, 73, 23, 12, 2, 1, 8, 406, 2, 0, 0, 302, 38, 60, 10, 2, 1, 42, 408, 28, 14, 27, 1, 27.0, 27.0, 28.0, 0, 5, 24, 16, 8, 0, 4, 1, 14, 6, 3, 0, 0.0, 8, 1, 0, 0, 0, 19, 19, 96.43, 96.43, 100.0, 50.0, 79.1875, 79.1875, 0, 20.796875, 85.6875, 4.19921875, 58.296875, 25.0, 12.5, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 4.19921875, 0.0, 0.0, 302.0, 38.0, 2.0, 1.0, 43.0, "Tous les candidats", 1415.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 74.0, "443", "Formation des écoles de commerce et de management Bac + 3", "Concours Bachelor IDRAC Business School", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=439&g_ta_cod=443", 68.0, 32.0, 0.0),
(4451, "Public", "0850016F", "Lycée ATLANTIQUE", "85", "Vendée", "Pays de la Loire", "Nantes", "Luçon", "formation sélective", "BTS", "Lycée ATLANTIQUE - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 591, 523, 587, 0, 62, 15, 139, 42, 190, 61, 196, 4, 0, 1, 1, 2, 410, 4, 0, 0, 54, 10, 131, 38, 130, 39, 95, 204, 28, 26, 25, 3, 2.0, 17.0, 25.0, 0, 7, 21, 3, 9, 9, 7, 0, 6, 12, 3, 0, 0.0, 2, 5, 8, 3, 2, 19, 19, 7.14, 60.71, 89.29, 92.890625, 90.5, 90.5, 14.298828125, 33.296875, 75.0, 0.0, 28.59765625, 57.09375, 14.298828125, 0.0, 0.0, 14.298828125, 9.5, 42.8984375, 23.796875, 42.8984375, 38.09375, 19.0, 3.0, 70.0, 22.0, 43.0, "Tous les candidats sauf les Bac professionnels", 186.0, "Bacheliers professionnels toutes séries", 129, "", 0, "Liste d'appel propre à cette formation", 54.0, "10472", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10472&g_ta_cod=10472", 18.0, 46.0, 36.0),
(4452, "Public", "0660570L", "IFSI CH Perpignan", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "IFSI", "Regroupement d'IFSI Université Montpellier - D.E Infirmier", "D.E secteur sanitaire", "", 92, 7653, 6444, 7653, 0, 1159, 280, 1381, 383, 749, 318, 4364, 0, 0, 0, 0, 0, 5547, 0, 0, 0, 995, 213, 1081, 282, 476, 193, 2995, 1065, 92, 77, 92, 0, 1.0, 32.0, 75.0, 0, 12, 47, 25, 14, 8, 45, 0, 4, 17, 22, 4, 0.0, 22, 13, 8, 0, 0, 39, 39, 1.09, 34.78, 81.52, 83.6875, 83.0, 83.0, 0, 25.5, 51.09375, 0.0, 8.5, 36.1953125, 46.796875, 8.5, 0.0, 53.1953125, 46.796875, 29.796875, 27.69921875, 17.0, 17.0, 225.0, 39.0, 82.0, 34.0, 458.0, "Tous les candidats", 2618.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "23183", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22991&g_ta_cod=23183", 52.0, 32.0, 14.0),
(4453, "Public", "9740002J", "Lycée Roland Garros", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation sélective", "BTS", "Lycée Roland Garros - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 30, 737, 549, 666, 0, 149, 68, 261, 162, 37, 27, 219, 71, 1, 27, 0, 43, 174, 3, 0, 0, 38, 12, 76, 47, 24, 18, 36, 100, 28, 22, 26, 2, 6.0, 25.0, 25.0, 0, 12, 22, 1, 19, 2, 6, 0, 3, 11, 7, 1, 0.0, 1, 16, 2, 7, 5, 20, 20, 21.43, 89.29, 89.29, 78.59375, 90.890625, 90.890625, 31.796875, 54.5, 78.59375, 0.0, 13.599609375, 50.0, 31.796875, 4.5, 0.0, 4.5, 4.5, 86.390625, 72.6875, 9.099609375, 9.099609375, 12.0, 7.0, 6.0, 6.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 87, "Liste d'appel propre à cette formation", 21.0, "11890", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11890&g_ta_cod=11890", 14.0, 79.0, 7.0),
(4454, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Droit-Projet d'insertion en licence professionnelle métiers de l'immobilier", "Licence - Droit-économie-gestion", "Droit-Projet d'insertion en licence professionnelle métiers de l'immobilier", 30, 673, 421, 673, 0, 433, 107, 87, 27, 16, 5, 137, 0, 0, 0, 0, 0, 665, 0, 0, 0, 433, 107, 87, 27, 16, 5, 129, 155, 30, 24, 30, 0, 5.0, 19.0, 27.0, 0, 6, 25, 20, 4, 1, 5, 0, 3, 15, 6, 1, 0.0, 17, 4, 1, 0, 0, 24, 24, 16.67, 63.33, 90.0, 80.0, 96.0, 96.0, 0, 24.0, 83.296875, 0.0, 12.0, 60.0, 24.0, 4.0, 0.0, 80.0, 68.0, 16.0, 16.0, 4.0, 4.0, 110.0, 25.0, 3.0, 1.0, 28.0, "Tous les candidats", 210.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "31779", "Licence - Portail Droit-Projet d'insertion en licence professionnelle métiers de l'immobilier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31779&g_ta_cod=31779", 83.0, 13.0, 3.0),
(4455, "Public", "0570098X", "Lycée Jean De Pange", "57", "Moselle", "Grand Est", "Nancy-Metz", "Sarreguemines", "formation sélective", "BTS", "Lycée Jean De Pange - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 358, 175, 335, 0, 38, 9, 123, 39, 112, 43, 62, 23, 4, 0, 7, 12, 227, 5, 0, 0, 35, 8, 114, 36, 55, 21, 23, 114, 28, 20, 24, 4, 8.0, 20.0, 24.0, 0, 11, 26, 3, 12, 11, 2, 0, 6, 11, 6, 3, 0.0, 1, 9, 10, 11, 11, 26, 26, 28.57, 71.43, 85.71, 71.390625, 100.0, 100.0, 42.296875, 42.296875, 92.890625, 0.0, 23.09765625, 42.296875, 23.09765625, 11.5, 0.0, 11.5, 3.7998046875, 46.1953125, 34.59375, 42.296875, 38.5, 28.0, 9.0, 37.0, 16.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 46.0, "6555", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6555&g_ta_cod=6555", 18.0, 43.0, 39.0),
(4456, "Public", "0840607D", "Lycée agricole LOUIS GIRAUD", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Carpentras", "formation sélective", "BTS", "Lycée agricole LOUIS GIRAUD - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 16, 168, 79, 161, 0, 12, 0, 25, 3, 50, 16, 74, 7, 2, 0, 3, 2, 96, 2, 0, 0, 12, 0, 25, 3, 42, 13, 17, 53, 15, 8, 15, 0, 2.0, 12.0, 14.0, 0, 1, 13, 2, 5, 6, 2, 0, 5, 7, 1, 0, 0.0, 1, 1, 6, 5, 4, 12, 12, 13.33, 80.0, 93.33, 53.296875, 92.296875, 92.296875, 38.5, 7.69921875, 86.6875, 0.0, 38.5, 53.796875, 7.69921875, 0.0, 0.0, 15.3984375, 7.69921875, 38.5, 7.69921875, 46.1953125, 46.1953125, 9.0, 0.0, 17.0, 3.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 44.0, "10440", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10440&g_ta_cod=10440", 20.0, 33.0, 47.0),
(4457, "Public", "0690023A", "Lycée Ampère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "CPGE", "Lycée Ampère - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 2092, 1043, 2006, 0, 1791, 119, 2, 1, 0, 0, 213, 86, 51, 1, 2, 32, 450, 18, 0, 450, 446, 22, 0, 0, 0, 0, 4, 254, 21, 10, 10, 11, 0.0, 10.0, 21.0, 0, 1, 20, 20, 0, 0, 1, 0, 0, 1, 9, 9, 1.0, 20, 0, 0, 0, 0, 2, 2, 0.0, 47.62, 100.0, 47.59375, 10.0, 10.0, 0, 5.0, 95.1875, 0.0, 0.0, 5.0, 45.0, 45.0, 5.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 251.0, 13.0, 0.0, 0.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "31455", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31313&g_ta_cod=31455", 100.0, 0.0, 0.0),
(4458, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 220, 625, 528, 538, 0, 358, 203, 40, 30, 14, 10, 126, 87, 13, 7, 10, 57, 537, 86, 0, 0, 358, 203, 40, 30, 14, 10, 125, 567, 134, 121, 107, 27, 51.0, 104.0, 119.0, 0, 55, 88, 77, 4, 7, 46, 0, 33, 35, 17, 3, 0.0, 49, 1, 5, 0, 0, 77, 77, 38.06, 77.61, 88.81, 90.296875, 87.5, 87.5, 0, 62.5, 65.6875, 0.0, 37.5, 39.796875, 19.296875, 3.4, 0.0, 87.5, 55.6953125, 4.5, 1.099853515625, 8.0, 5.69921875, 338.0, 193.0, 21.0, 15.0, 166.0, "Tous les candidats", 537.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11919", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11919&g_ta_cod=11919", 75.0, 12.0, 13.0),
(4459, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Portail Sciences sanitaires et sociales", "Licence - Sciences - technologies - santé", "", 125, 899, 806, 805, 0, 228, 39, 284, 71, 28, 17, 265, 94, 18, 12, 6, 58, 792, 82, 0, 0, 228, 39, 284, 71, 28, 17, 252, 762, 102, 87, 81, 19, 5.0, 79.0, 82.0, 0, 17, 64, 23, 34, 7, 38, 0, 37, 22, 4, 1, 0.0, 11, 11, 5, 0, 0, 54, 54, 4.9, 77.45, 80.39, 85.296875, 84.390625, 84.390625, 0, 26.59765625, 62.6953125, 0.0, 57.796875, 34.3984375, 6.2998046875, 1.6, 0.0, 35.8984375, 17.19921875, 53.09375, 17.19921875, 10.8984375, 7.7998046875, 223.0, 41.0, 23.0, 13.0, 250.0, "Tous les candidats", 984.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "13599", "Licence - Portail Sciences sanitaires et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27719&g_ta_cod=13599", 48.0, 45.0, 7.0),
(4460, "Privé enseignement supérieur", "0592808G", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines - Licence - Information et communication - Parcours Médias Culture et Communication", "Licence - Arts-lettres-langues", "Médias Culture et Communication", 450, 1521, 1129, 1236, 0, 910, 78, 73, 12, 8, 4, 245, 285, 107, 13, 3, 162, 1236, 274, 0, 0, 910, 78, 73, 12, 8, 4, 245, 1324, 270, 196, 193, 77, 56.0, 191.0, 253.0, 0, 25, 187, 174, 13, 0, 83, 0, 38, 85, 55, 9, 0.0, 141, 8, 0, 0, 0, 49, 49, 20.74, 70.74, 93.7, 72.59375, 26.19921875, 26.19921875, 0, 13.3984375, 69.296875, 0.0, 20.296875, 45.5, 29.3984375, 4.8, 0.0, 93.0, 75.390625, 7.0, 4.2998046875, 0.0, 0.0, 857.0, 86.0, 11.0, 4.0, 386.0, "Tous les candidats", 1237.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12642", "Licence - Information et communication - Parcours Médias Culture et Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12642&g_ta_cod=12642", 90.0, 8.0, 1.0),
(4461, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Licence - Psychologie", "Licence - Sciences humaines et sociales", "", 300, 5597, 4679, 5597, 0, 2736, 687, 432, 165, 136, 51, 2293, 0, 0, 0, 0, 0, 5592, 0, 0, 0, 2736, 687, 432, 165, 136, 51, 2288, 1540, 282, 235, 282, 0, 25.0, 212.0, 239.0, 0, 49, 129, 125, 3, 1, 153, 0, 19, 70, 37, 3, 0.0, 107, 2, 1, 0, 0, 48, 109, 8.87, 75.18, 84.75, 83.296875, 37.1953125, 84.5, 0, 38.0, 45.6953125, 0.0, 14.69921875, 54.296875, 28.69921875, 2.3, 0.0, 96.890625, 82.890625, 2.2998046875, 1.599853515625, 0.7999267578125, 0.7999267578125, 956.0, 270.0, 1.0, 1.0, 577.0, "Tous les candidats", 1747.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "11256", "Licence - Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11256&g_ta_cod=11256", 90.0, 3.0, 1.0),
(4462, "Public", "0951750L", "I.U.T de Cergy-Pontoise - Site de Neuville", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "BUT", "I.U.T de Cergy-Pontoise - Site de Neuville - BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electronique et systèmes embarqués (Seconde année possible en apprentissage)", "BUT - Production", "Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", 96, 969, 58, 969, 0, 451, 113, 303, 96, 7, 2, 208, 0, 0, 0, 0, 0, 761, 0, 0, 0, 416, 102, 221, 67, 0, 0, 124, 481, 86, 2, 86, 0, 27.0, 71.0, 83.0, 0, 21, 81, 39, 42, 0, 5, 0, 30, 44, 6, 1, 0.0, 21, 30, 0, 0, 0, 74, 75, 31.4, 82.56, 96.51, 2.2998046875, 91.390625, 92.59375, 0, 25.8984375, 94.1875, 0.0, 37.0, 54.296875, 7.3994140625, 1.2, 0.0, 48.09375, 25.8984375, 51.8984375, 37.0, 0.0, 0.0, 235.0, 68.0, 0.0, 0.0, 67.0, "Tous les candidats sauf les Bac technologiques", 362.0, "Bacheliers technologiques toutes séries", 231, "", 0, "Liste d'appel propre à cette formation", 61.0, "11619", "BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electronique et systèmes embarqués (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11619&g_ta_cod=11619", 49.0, 51.0, 0.0),
(4463, "Public", "0891222V", "I.U.T de Dijon - Antenne d'Auxerre", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Auxerre", "formation sélective", "BUT", "I.U.T de Dijon - Antenne d'Auxerre - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment TB - Travaux Publics TP - Bureaux d'études Conception BEC", "BUT - Production", "Travaux Bâtiment TB - Travaux Publics TP - Bureaux d'études Conception BEC", 52, 1143, 210, 1137, 0, 632, 77, 311, 57, 10, 3, 184, 6, 0, 0, 0, 6, 874, 0, 0, 0, 510, 57, 281, 49, 1, 0, 82, 536, 48, 6, 48, 0, 16.0, 28.0, 44.0, 0, 9, 43, 20, 23, 0, 5, 0, 10, 26, 7, 0, 0.0, 14, 19, 0, 0, 0, 11, 11, 33.33, 58.33, 91.67, 12.5, 25.59765625, 25.59765625, 0, 20.8984375, 89.59375, 0.0, 23.296875, 60.5, 16.296875, 0.0, 0.0, 46.5, 32.59375, 53.5, 44.1953125, 0.0, 0.0, 287.0, 43.0, 1.0, 0.0, 48.0, "Tous les candidats sauf les Bac technologiques", 441.0, "Bacheliers technologiques toutes séries", 255, "", 0, "Liste d'appel propre à cette formation", 61.0, "16879", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment TB - Travaux Publics TP - Bureaux d'études Conception BEC", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16879&g_ta_cod=16879", 48.0, 52.0, 0.0),
(4464, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Droit", "Licence - Droit-économie-gestion", "", 778, 8098, 5901, 8098, 0, 6161, 1318, 516, 168, 52, 24, 1369, 0, 0, 0, 0, 0, 8097, 0, 0, 0, 6160, 1318, 516, 168, 52, 24, 1369, 3283, 776, 569, 770, 0, 44.0, 621.0, 707.0, 0, 163, 747, 731, 8, 8, 29, 0, 38, 397, 291, 21, 0.0, 695, 7, 7, 0, 0, 365, 682, 5.67, 80.03, 91.11, 73.296875, 48.8984375, 91.296875, 0, 21.796875, 96.296875, 0.0, 5.099609375, 53.09375, 39.0, 2.8, 0.0, 97.890625, 93.0, 1.099853515625, 0.89990234375, 1.099853515625, 0.89990234375, 3179.0, 627.0, 16.0, 5.0, 75.0, "Tous les candidats", 3947.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "11076", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11076&g_ta_cod=11076", 97.0, 1.0, 1.0),
(4465, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues Etrangères Appliquées Anglais-Polonais", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées Anglais-Polonais", 15, 41, 33, 31, 0, 18, 6, 4, 1, 1, 0, 8, 10, 0, 2, 1, 7, 31, 10, 0, 0, 18, 6, 4, 1, 1, 0, 8, 39, 12, 11, 10, 2, 7.0, 10.0, 10.0, 0, 4, 9, 6, 3, 0, 3, 0, 2, 5, 1, 1, 0.0, 5, 2, 0, 0, 0, 3, 3, 58.33, 83.33, 83.33, 91.6875, 33.296875, 33.296875, 0, 44.3984375, 75.0, 0.0, 22.19921875, 55.59375, 11.099609375, 11.1, 0.0, 66.6875, 55.59375, 33.296875, 22.19921875, 0.0, 0.0, 18.0, 6.0, 2.0, 0.0, 14.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8513", "Licence - Portail Langues Etrangères Appliquées Anglais-Polonais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8513&g_ta_cod=8513", 67.0, 25.0, 0.0),
(4466, "Public", "0511926S", "Lycée Marc Chagall", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "Lycée Marc Chagall - DN MADE - Espace - - Spécialité : Objets parcours design d'intérieurs", "DN MADE", "- Spécialité : Objets parcours design d'intérieurs", 18, 1009, 841, 1009, 0, 459, 74, 270, 48, 60, 14, 220, 0, 0, 0, 0, 0, 568, 0, 0, 0, 313, 48, 164, 20, 33, 7, 58, 69, 16, 15, 16, 0, 2.0, 15.0, 16.0, 0, 2, 16, 9, 7, 0, 0, 0, 0, 7, 9, 0, 0.0, 9, 7, 0, 0, 0, 5, 5, 12.5, 93.75, 100.0, 93.796875, 31.296875, 31.296875, 0, 12.5, 100.0, 0.0, 0.0, 43.796875, 56.296875, 0.0, 0.0, 56.296875, 56.296875, 43.796875, 43.796875, 0.0, 0.0, 29.0, 3.0, 1.0, 0.0, 0.0, "Tous les candidats", 103.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "24447", "DN MADE - Espace - - Spécialité : Objets parcours design d'intérieurs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24447&g_ta_cod=24447", 56.0, 44.0, 0.0),
(4467, "Privé sous contrat d'association", "0022108F", "Lycée des métiers Saint Vincent de Paul", "02", "Aisne", "Hauts-de-France", "Amiens", "Soissons", "formation sélective", "Autre formation", "Lycée des métiers Saint Vincent de Paul - DN MADE - Graphisme - - Spécialité : Images et évènements", "DN MADE", "- Spécialité : Images et évènements", 18, 247, 152, 134, 0, 44, 10, 27, 5, 27, 6, 36, 113, 26, 15, 23, 49, 59, 26, 0, 0, 21, 4, 14, 3, 13, 3, 11, 73, 17, 11, 10, 7, 7.0, 10.0, 16.0, 0, 4, 11, 2, 4, 5, 6, 0, 0, 6, 5, 0, 0.0, 2, 4, 5, 0, 0, 4, 4, 41.18, 58.82, 94.12, 64.6875, 36.3984375, 36.3984375, 0, 36.3984375, 64.6875, 0.0, 0.0, 54.5, 45.5, 0.0, 0.0, 18.19921875, 18.19921875, 36.3984375, 36.3984375, 45.5, 45.5, 25.0, 6.0, 15.0, 3.0, 17.0, "Tous les candidats", 58.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "25133", "DN MADE - Graphisme - - Spécialité : Images et évènements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25133&g_ta_cod=25133", 18.0, 35.0, 41.0),
(4468, "Public", "0770933W", "Lycée Jacques Amyot", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation sélective", "CPGE", "Lycée Jacques Amyot - CPGE - MPSI", "Classe préparatoire scientifique", "", 35, 626, 143, 626, 390, 536, 78, 1, 0, 0, 0, 89, 0, 0, 0, 0, 0, 478, 0, 307, 458, 455, 59, 0, 0, 0, 0, 23, 257, 45, 3, 42, 0, 2.0, 31.0, 41.0, 10, 3, 45, 45, 0, 0, 0, 1, 3, 16, 18, 6, 1.0, 41, 0, 0, 3, 0, 33, 41, 4.44, 68.89, 91.11, 6.69921875, 73.296875, 91.09375, 6.69921875, 6.69921875, 100.0, 2.19970703125, 6.69921875, 35.59375, 40.0, 13.3, 2.2, 100.0, 91.09375, 0.0, 0.0, 0.0, 0.0, 252.0, 36.0, 0.0, 0.0, 5.0, "Tous les candidats", 401.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "9808", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9808&g_ta_cod=9808", 100.0, 0.0, 0.0),
(4469, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Licence", "Université de Strasbourg - Licence - Droit - Parcours Droits européens", "Licence - Droit-économie-gestion", "Droits européens", 40, 391, 263, 298, 0, 217, 22, 6, 4, 4, 1, 71, 93, 31, 7, 1, 54, 64, 3, 0, 0, 55, 2, 0, 0, 0, 0, 9, 65, 23, 19, 20, 3, 12.0, 20.0, 23.0, 0, 1, 19, 19, 0, 0, 4, 1, 0, 0, 9, 6, 3.0, 18, 0, 0, 0, 0, 9, 9, 52.17, 86.96, 100.0, 82.59375, 47.3984375, 47.3984375, 0, 5.2998046875, 82.59375, 5.2998046875, 0.0, 0.0, 47.3984375, 31.6, 15.8, 100.0, 94.6875, 0.0, 0.0, 0.0, 0.0, 56.0, 2.0, 0.0, 0.0, 9.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "21547", "Licence - Droit - Parcours Droits européens", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21547&g_ta_cod=21547", 100.0, 0.0, 0.0),
(4470, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Arts - Parcours  Musique et musicologie", "Licence - Arts-lettres-langues", "Musique et musicologie", 90, 471, 218, 445, 0, 241, 34, 50, 6, 8, 4, 146, 26, 5, 5, 2, 14, 331, 4, 0, 0, 185, 24, 39, 4, 3, 1, 104, 268, 81, 35, 81, 0, 39.0, 74.0, 78.0, 0, 9, 61, 47, 14, 0, 20, 0, 15, 18, 16, 11, 1.0, 32, 14, 0, 0, 0, 50, 50, 48.15, 91.36, 96.3, 43.1953125, 82.0, 82.0, 0, 14.798828125, 75.296875, 0.0, 24.59765625, 29.5, 26.19921875, 18.0, 1.6, 77.0, 52.5, 23.0, 23.0, 0.0, 0.0, 141.0, 19.0, 1.0, 0.0, 91.0, "Tous les candidats", 331.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "7067", "Licence - Arts - Parcours  Musique et musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7067&g_ta_cod=7067", 74.0, 22.0, 2.0),
(4471, "Public", "0750655E", "Lycée Louis Le Grand", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "CPGE", "Lycée Louis Le Grand - CPGE - MP2I", "Classe préparatoire scientifique", "", 48, 2970, 554, 2970, 2024, 2557, 319, 10, 3, 0, 0, 403, 0, 0, 0, 0, 0, 303, 0, 249, 294, 295, 40, 0, 0, 0, 0, 8, 111, 47, 3, 47, 0, 17.0, 41.0, 43.0, 12, 6, 46, 46, 0, 0, 1, 1, 0, 0, 4, 22, 19.0, 45, 0, 0, 6, 1, 9, 18, 36.17, 87.23, 91.49, 6.3994140625, 19.59765625, 39.09375, 13, 13.0, 97.890625, 2.19970703125, 0.0, 0.0, 8.69921875, 47.8, 41.3, 100.0, 97.796875, 0.0, 0.0, 0.0, 0.0, 105.0, 14.0, 0.0, 0.0, 6.0, "Tous les candidats", 127.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "32122", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32122&g_ta_cod=32122", 100.0, 0.0, 0.0),
(4472, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Double licence - Science politique / Economie - Science Politique - Economie", "Licence - Droit-économie-gestion", "Science Politique - Economie", 30, 3639, 1974, 3639, 0, 2993, 275, 18, 4, 3, 0, 625, 0, 0, 0, 0, 0, 941, 0, 0, 0, 832, 55, 0, 0, 0, 0, 109, 166, 30, 20, 30, 0, 3.0, 20.0, 24.0, 0, 2, 29, 29, 0, 0, 1, 0, 0, 0, 1, 23, 5.0, 29, 0, 0, 0, 0, 0, 3, 10.0, 66.67, 80.0, 66.6875, 0.0, 10.298828125, 0, 6.8994140625, 96.6875, 0.0, 0.0, 0.0, 3.39990234375, 79.3, 17.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 147.0, 18.0, 0.0, 0.0, 19.0, "Tous les candidats", 250.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "23595", "Double licence - Science politique / Economie - Science Politique - Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23595&g_ta_cod=23595", 100.0, 0.0, 0.0),
(4473, "Public", "0340042L", "Lycée Jean Mermoz", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Jean Mermoz - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 15, 327, 11, 321, 0, 16, 5, 71, 15, 153, 84, 81, 6, 0, 2, 0, 4, 154, 1, 0, 0, 7, 3, 54, 9, 76, 37, 17, 79, 13, 0, 13, 0, 3.0, 9.0, 13.0, 0, 6, 11, 1, 4, 6, 2, 0, 4, 4, 3, 0, 0.0, 0, 2, 5, 5, 0, 9, 9, 23.08, 69.23, 100.0, 0.0, 81.796875, 81.796875, 45.5, 54.5, 84.59375, 0.0, 36.3984375, 36.3984375, 27.296875, 0.0, 0.0, 9.099609375, 0.0, 36.3984375, 18.19921875, 54.5, 45.5, 5.0, 3.0, 24.0, 14.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 41.0, "4501", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4501&g_ta_cod=4501", 15.0, 38.0, 46.0),
(4474, "Privé sous contrat d'association", "0783351U", "Lycée Notre Dame du Grandchamp", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Notre Dame du Grandchamp - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 23, 1524, 729, 1524, 0, 1415, 56, 0, 0, 0, 0, 109, 0, 0, 0, 0, 0, 469, 0, 0, 469, 469, 18, 0, 0, 0, 0, 0, 178, 22, 7, 22, 0, 0.0, 14.0, 18.0, 0, 1, 22, 22, 0, 0, 0, 1, 0, 0, 3, 15, 3.0, 21, 0, 0, 0, 0, 11, 16, 0.0, 63.64, 81.82, 31.796875, 50.0, 72.6875, 0, 4.5, 100.0, 4.5, 0.0, 0.0, 13.599609375, 68.2, 13.6, 100.0, 95.5, 0.0, 0.0, 0.0, 0.0, 178.0, 7.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "31607", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31268&g_ta_cod=31607", 100.0, 0.0, 0.0),
(4475, "Public", "9720350Y", "Lycée Frantz Fanon", "972", "Martinique", "Martinique", "Martinique", "La Trinité", "formation sélective", "BTS", "Lycée Frantz Fanon - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 26, 131, 8, 104, 0, 25, 7, 26, 10, 41, 26, 12, 27, 3, 4, 11, 9, 69, 13, 0, 0, 18, 5, 16, 5, 33, 20, 2, 71, 20, 2, 13, 7, 5.0, 11.0, 19.0, 0, 9, 18, 6, 4, 8, 2, 0, 9, 9, 0, 0, 0.0, 2, 1, 6, 5, 1, 18, 18, 25.0, 55.0, 95.0, 10.0, 100.0, 100.0, 27.796875, 50.0, 90.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 33.296875, 11.099609375, 22.19921875, 5.599609375, 44.3984375, 33.296875, 16.0, 5.0, 30.0, 20.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 66.0, "11808", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11808&g_ta_cod=11808", 35.0, 25.0, 40.0),
(4476, "Public", "0070003R", "Lycée Marcel Gimond", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Aubenas", "formation sélective", "BTS", "Lycée Marcel Gimond - BTS - Services - Gestion de la PME", "BTS - Services", "", 12, 120, 76, 102, 0, 9, 3, 27, 10, 43, 18, 23, 18, 0, 13, 0, 5, 102, 4, 0, 0, 9, 3, 27, 10, 43, 18, 23, 58, 9, 6, 7, 2, 0.0, 5.0, 8.0, 0, 2, 8, 0, 4, 4, 1, 0, 3, 5, 0, 0, 0.0, 0, 3, 2, 4, 3, 8, 8, 0.0, 55.56, 88.89, 66.6875, 100.0, 100.0, 50, 25.0, 88.890625, 0.0, 37.5, 62.5, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 37.5, 50.0, 25.0, 1.0, 1.0, 24.0, 9.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 66.0, "20143", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20143&g_ta_cod=20143", 11.0, 44.0, 44.0),
(4477, "Public", "0941288P", "I.U.T. de Créteil-Vitry - Site de Créteil- UPEC", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "BUT", "I.U.T. de Créteil-Vitry - Site de Créteil- UPEC - BUT - Génie biologique Parcours diététique et nutrition", "BUT - Production", "", 25, 1185, 932, 1185, 0, 450, 76, 327, 101, 7, 3, 401, 0, 0, 0, 0, 0, 462, 0, 0, 0, 233, 37, 92, 28, 0, 0, 137, 181, 25, 19, 25, 0, 0.0, 13.0, 20.0, 0, 4, 17, 9, 8, 0, 8, 0, 1, 8, 8, 0, 0.0, 9, 7, 0, 0, 0, 8, 13, 0.0, 52.0, 80.0, 76.0, 47.09375, 76.5, 0, 23.5, 68.0, 0.0, 5.8994140625, 47.09375, 47.09375, 0.0, 0.0, 52.8984375, 52.8984375, 47.09375, 41.1953125, 0.0, 0.0, 80.0, 17.0, 0.0, 0.0, 71.0, "Tous les candidats sauf les Bac technologiques", 187.0, "Bacheliers technologiques toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 20.0, "11510", "BUT - Génie biologique Parcours diététique et nutrition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11510&g_ta_cod=11510", 60.0, 40.0, 0.0),
(4478, "Public", "0672834S", "I.U.T. de Haguenau", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Haguenau", "formation sélective", "BUT", "I.U.T. de Haguenau - BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", "BUT - Production", "Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", 92, 1230, 378, 1208, 0, 555, 90, 272, 67, 28, 8, 353, 22, 0, 7, 0, 15, 531, 7, 0, 0, 362, 47, 75, 12, 0, 0, 94, 247, 93, 29, 88, 5, 25.0, 76.0, 86.0, 0, 8, 74, 53, 21, 0, 19, 0, 18, 40, 15, 1, 0.0, 41, 15, 0, 0, 0, 48, 48, 26.88, 81.72, 92.47, 31.19921875, 64.890625, 64.890625, 0, 10.798828125, 79.59375, 0.0, 24.296875, 54.09375, 20.296875, 1.4, 0.0, 71.59375, 55.3984375, 28.3984375, 20.296875, 0.0, 0.0, 141.0, 17.0, 0.0, 0.0, 39.0, "Tous les candidats sauf les Bac technologiques", 251.0, "Bacheliers technologiques toutes séries", 92, "", 0, "Liste d'appel propre à cette formation", 28.0, "8014", "BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8014&g_ta_cod=8014", 65.0, 35.0, 0.0),
(4479, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "Autre formation", "Avignon Université - C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master en Ingénierie (CMI) : Ingénierie Informatique", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Ingénierie Informatique", 20, 453, 79, 313, 0, 213, 37, 11, 4, 2, 0, 87, 140, 34, 3, 3, 100, 116, 11, 0, 0, 91, 13, 2, 0, 0, 0, 23, 98, 15, 4, 10, 5, 2.0, 10.0, 15.0, 0, 1, 9, 9, 0, 0, 6, 0, 0, 4, 4, 1, 0.0, 9, 0, 0, 0, 0, 4, 4, 13.33, 66.67, 100.0, 26.69921875, 44.3984375, 44.3984375, 0, 11.099609375, 60.0, 0.0, 0.0, 44.3984375, 44.3984375, 11.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 67.0, 10.0, 0.0, 0.0, 30.0, "Tous les candidats", 114.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "23359", "C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master en Ingénierie (CMI) : Ingénierie Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23359&g_ta_cod=23359", 100.0, 0.0, 0.0),
(4480, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "PASS", "Université Grenoble Alpes  - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Sciences", 1015, 5008, 3301, 4910, 0, 3958, 625, 94, 29, 6, 1, 852, 98, 40, 1, 0, 57, 4815, 92, 0, 0, 3957, 625, 94, 29, 6, 1, 758, 3195, 980, 602, 937, 43, 165.0, 703.0, 841.0, 0, 127, 788, 767, 20, 1, 192, 7, 191, 327, 179, 66, 18.0, 579, 11, 0, 0, 0, 586, 586, 16.84, 71.73, 85.82, 61.3984375, 74.390625, 74.390625, 0, 16.09765625, 80.390625, 0.89990234375, 24.19921875, 41.5, 22.69921875, 8.4, 2.3, 97.296875, 73.5, 2.5, 1.39990234375, 0.0999908447265625, 0.0, 2605.0, 406.0, 4.0, 0.0, 535.0, "Tous les candidats", 5722.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 87.0, "30790", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30761&g_ta_cod=30790", 95.0, 3.0, 1.0),
(4481, "Public", "0772910V", "UPEC SITE DE FONTAINEBLEAU", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Fontainebleau", "formation non sélective", "Licence_Las", "UPEC SITE DE FONTAINEBLEAU - Licence - Portail Science politique - Parcours Science politique", "Licence - Droit-économie-gestion", "Parcours Science politique", 35, 180, 113, 178, 0, 115, 24, 1, 0, 0, 0, 62, 2, 0, 0, 0, 2, 178, 1, 0, 0, 115, 24, 1, 0, 0, 0, 62, 146, 35, 20, 34, 1, 1.0, 24.0, 32.0, 0, 3, 16, 15, 1, 0, 19, 0, 4, 9, 2, 1, 0.0, 11, 1, 0, 0, 0, 10, 15, 2.86, 68.57, 91.43, 57.09375, 62.5, 93.796875, 0, 18.796875, 45.6953125, 0.0, 25.0, 56.296875, 12.5, 6.3, 0.0, 93.796875, 68.796875, 6.2998046875, 6.2998046875, 0.0, 0.0, 97.0, 22.0, 0.0, 0.0, 48.0, "Tous les candidats", 986.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 85.0, "28281", "Licence - Portail Science politique - Parcours Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27757&g_ta_cod=28281", 89.0, 9.0, 0.0),
(4482, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation non sélective", "Licence_Las", "Université Grenoble Alpes - Antenne de Valence - Licence - Portail Droit - Droit - Valence", "Licence - Droit-économie-gestion", "Droit - Valence", 30, 237, 188, 213, 0, 126, 29, 28, 11, 12, 7, 47, 24, 12, 0, 1, 11, 213, 24, 0, 0, 126, 29, 28, 11, 12, 7, 47, 203, 28, 24, 16, 10, 1.0, 11.0, 20.0, 0, 3, 16, 16, 0, 0, 12, 0, 7, 6, 3, 0, 0.0, 9, 0, 0, 0, 0, 14, 14, 3.57, 39.29, 71.43, 85.6875, 87.5, 87.5, 0, 18.796875, 57.09375, 0.0, 43.796875, 37.5, 18.796875, 0.0, 0.0, 100.0, 56.296875, 0.0, 0.0, 0.0, 0.0, 110.0, 26.0, 12.0, 6.0, 55.0, "Tous les candidats", 1297.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "31042", "Licence - Portail Droit - Droit - Valence", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31041&g_ta_cod=31042", 86.0, 4.0, 4.0),
(4483, "Privé sous contrat d'association", "0693820C", "ARFRIPS", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "EFTS", "ARFRIPS - D.E Educateur Spécialisé", "D.E secteur social", "", 85, 672, 545, 672, 0, 97, 11, 78, 15, 39, 9, 458, 0, 0, 0, 0, 0, 515, 0, 0, 0, 66, 6, 49, 7, 23, 4, 377, 152, 81, 65, 81, 0, 49.0, 71.0, 76.0, 0, 2, 15, 4, 4, 7, 66, 0, 4, 4, 7, 0, 0.0, 4, 2, 5, 0, 0, 7, 7, 60.49, 87.65, 93.83, 80.1875, 46.6953125, 46.6953125, 0, 13.298828125, 18.5, 0.0, 26.69921875, 26.69921875, 46.6953125, 0.0, 0.0, 26.69921875, 26.69921875, 26.69921875, 13.298828125, 46.6953125, 33.296875, 10.0, 1.0, 9.0, 2.0, 127.0, "Tous les candidats", 150.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "23730", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23730&g_ta_cod=23730", 62.0, 21.0, 16.0),
(4484, "Public", "9720726G", "Lycée Joseph Pernock", "972", "Martinique", "Martinique", "Martinique", "Le Lorrain", "formation sélective", "BTS", "Lycée Joseph Pernock - BTS - Production - Métiers de l'eau", "BTS - Production", "", 12, 55, 15, 43, 0, 9, 2, 5, 1, 13, 10, 16, 12, 2, 0, 4, 6, 21, 2, 0, 0, 6, 0, 5, 1, 6, 5, 4, 21, 8, 2, 8, 0, 6.0, 8.0, 8.0, 0, 4, 7, 1, 2, 4, 1, 0, 4, 1, 2, 0, 0.0, 0, 0, 3, 5, 0, 5, 5, 75.0, 100.0, 100.0, 25.0, 71.390625, 71.390625, 71.390625, 57.09375, 87.5, 0.0, 57.09375, 14.298828125, 28.59765625, 0.0, 0.0, 14.298828125, 0.0, 28.59765625, 0.0, 57.09375, 42.8984375, 6.0, 0.0, 6.0, 4.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 5, "Liste d'appel propre à cette formation", 47.0, "14500", "BTS - Production - Métiers de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14500&g_ta_cod=14500", 25.0, 25.0, 50.0),
(4485, "Public", "0050566N", "IFSI CH Briançon", "05", "Hautes-Alpes", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Briançon", "formation sélective", "IFSI", "Regroupement d'IFSI Université Aix-Marseille - D.E Infirmier", "D.E secteur sanitaire", "", 24, 4822, 3949, 4822, 0, 601, 145, 741, 231, 434, 200, 3046, 0, 0, 0, 0, 0, 2339, 0, 0, 0, 468, 98, 350, 85, 56, 16, 1465, 483, 23, 19, 23, 0, 2.0, 4.0, 12.0, 0, 2, 6, 5, 1, 0, 17, 0, 1, 2, 2, 1, 0.0, 4, 1, 0, 0, 0, 6, 6, 8.7, 17.39, 52.17, 82.59375, 100.0, 100.0, 0, 33.296875, 26.09765625, 0.0, 16.69921875, 33.296875, 33.296875, 16.7, 0.0, 83.296875, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 141.0, 38.0, 0.0, 0.0, 306.0, "Tous les candidats", 2531.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "23027", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22987&g_ta_cod=23027", 74.0, 17.0, 9.0),
(4486, "Public", "0910727W", "Lycée Parc de Vilgenis", "91", "Essonne", "Ile-de-France", "Versailles", "Massy", "formation sélective", "CPGE", "Lycée Parc de Vilgenis - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 32, 317, 169, 255, 0, 0, 0, 228, 67, 0, 0, 27, 62, 0, 35, 0, 27, 180, 8, 0, 180, 0, 0, 175, 44, 0, 0, 5, 157, 26, 11, 22, 4, 1.0, 22.0, 25.0, 0, 8, 25, 0, 25, 0, 1, 0, 5, 16, 4, 0, 0.0, 0, 20, 0, 1, 1, 21, 25, 3.85, 84.62, 96.15, 42.296875, 84.0, 100.0, 4, 32.0, 96.1875, 0.0, 20.0, 64.0, 16.0, 0.0, 0.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8.0, "Tous les candidats", 180.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "10874", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10874&g_ta_cod=10874", 0.0, 100.0, 0.0),
(4487, "Public", "0750668U", "Lycée Jacques Decour", "75", "Paris", "Ile-de-France", "Paris", "Paris  9e  Arrondissement", "formation sélective", "CPGE", "Lycée Jacques Decour - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 2841, 792, 2841, 456, 2516, 533, 5, 3, 0, 0, 320, 0, 0, 0, 0, 0, 1763, 0, 366, 1619, 1708, 380, 0, 0, 0, 0, 55, 543, 42, 13, 42, 0, 1.0, 15.0, 39.0, 2, 8, 41, 41, 0, 0, 1, 0, 0, 5, 25, 11, 0.0, 41, 0, 0, 0, 0, 15, 38, 2.38, 35.71, 92.86, 31.0, 36.59375, 92.6875, 0, 19.5, 97.59375, 0.0, 0.0, 12.19921875, 61.0, 26.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 539.0, 105.0, 0.0, 0.0, 4.0, "Tous les candidats", 856.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "9001", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9001&g_ta_cod=9001", 100.0, 0.0, 0.0),
(4488, "Privé sous contrat d'association", "9720791C", "IFMES", "972", "Martinique", "Martinique", "Martinique", "Saint-Joseph", "formation sélective", "EFTS", "IFMES - D.E Assistant de Service Social", "D.E secteur social", "", 6, 54, 50, 54, 0, 9, 5, 11, 5, 11, 7, 23, 0, 0, 0, 0, 0, 12, 0, 0, 0, 2, 1, 0, 0, 2, 1, 8, 7, 6, 6, 6, 0, 5.0, 6.0, 6.0, 0, 1, 2, 2, 0, 0, 4, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 83.33, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 50.0, 33.296875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 2.0, 1.0, 0.0, 0.0, 5.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "23732", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23732&g_ta_cod=23732", 50.0, 17.0, 17.0),
(4489, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence_Las", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Informatique - Informatique (tronc commun en L1 avec Mathématiques et Sciences et technologies)", "Licence - Sciences - technologies - santé", "Informatique (tronc commun en L1 avec Mathématiques et Sciences et technologies)", 5, 47, 10, 45, 0, 24, 1, 1, 1, 2, 1, 18, 2, 0, 0, 0, 2, 45, 2, 0, 0, 24, 1, 1, 1, 2, 1, 18, 34, 5, 1, 3, 2, 0.0, 1.0, 3.0, 0, 1, 3, 1, 1, 1, 2, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 0.0, 20.0, 60.0, 20.0, 100.0, 100.0, 0, 33.296875, 60.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 33.296875, 0.0, 33.296875, 0.0, 18.0, 1.0, 2.0, 1.0, 13.0, "Tous les candidats", 436.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "29665", "Licence - Portail Informatique - Informatique (tronc commun en L1 avec Mathématiques et Sciences et technologies)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29664&g_ta_cod=29665", 40.0, 40.0, 20.0),
(4490, "Privé sous contrat d'association", "0570210U", "Lycée Notre Dame", "57", "Moselle", "Grand Est", "Nancy-Metz", "Peltre", "formation sélective", "BTS", "Lycée Notre Dame - BTS - Services - Tourisme", "BTS - Services", "", 48, 293, 205, 283, 0, 88, 22, 52, 8, 49, 19, 94, 10, 0, 6, 0, 4, 217, 5, 0, 0, 84, 19, 52, 8, 32, 10, 49, 184, 31, 25, 30, 1, 5.0, 29.0, 29.0, 0, 2, 20, 8, 7, 5, 11, 0, 9, 8, 2, 1, 0.0, 4, 3, 4, 1, 1, 18, 18, 16.13, 93.55, 93.55, 80.59375, 90.0, 90.0, 5, 10.0, 64.5, 0.0, 45.0, 40.0, 10.0, 5.0, 0.0, 40.0, 20.0, 35.0, 15.0, 25.0, 20.0, 68.0, 16.0, 19.0, 6.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 113.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 73.0, "6579", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6579&g_ta_cod=6579", 58.0, 23.0, 19.0),
(4491, "Public", "9720003W", "Lycée Bellevue", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée Bellevue - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 26, 469, 243, 412, 0, 92, 33, 145, 61, 126, 82, 49, 57, 4, 17, 15, 21, 68, 11, 0, 0, 21, 6, 31, 16, 14, 10, 2, 73, 23, 15, 15, 6, 6.0, 14.0, 19.0, 0, 9, 17, 3, 7, 7, 6, 0, 3, 9, 4, 1, 0.0, 3, 5, 6, 2, 2, 16, 16, 26.09, 60.87, 82.61, 65.1875, 94.09375, 94.09375, 11.798828125, 52.8984375, 73.890625, 0.0, 17.59765625, 52.8984375, 23.5, 5.9, 0.0, 17.59765625, 17.59765625, 41.1953125, 29.3984375, 41.1953125, 35.296875, 17.0, 7.0, 15.0, 10.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 16.0, "11790", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11790&g_ta_cod=11790", 26.0, 35.0, 39.0),
(4492, "Public", "0060001U", "Lycée Jacques Audiberti", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "BTS", "Lycée Jacques Audiberti - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 609, 303, 600, 0, 97, 27, 144, 50, 119, 49, 240, 9, 0, 4, 3, 2, 256, 3, 0, 0, 69, 18, 77, 16, 61, 23, 49, 113, 21, 10, 21, 0, 6.0, 15.0, 18.0, 0, 4, 17, 7, 6, 4, 4, 0, 7, 6, 4, 0, 0.0, 2, 4, 4, 3, 0, 17, 17, 28.57, 71.43, 85.71, 47.59375, 100.0, 100.0, 17.59765625, 23.5, 81.0, 0.0, 41.1953125, 35.296875, 23.5, 0.0, 0.0, 41.1953125, 11.798828125, 35.296875, 23.5, 23.5, 23.5, 21.0, 7.0, 18.0, 9.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 26.0, "2184", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2184&g_ta_cod=2184", 48.0, 29.0, 24.0),
(4493, "Privé enseignement supérieur", "0752139T", "IPC-Facultés Libres de Philosophie et de Psycholog", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "Licence", "IPC-Facultés Libres de Philosophie et de Psycholog - Licence - Psychologie", "Licence - Sciences humaines et sociales", "", 35, 1307, 1064, 1307, 0, 624, 77, 124, 42, 30, 11, 529, 0, 0, 0, 0, 0, 181, 0, 0, 0, 146, 9, 2, 0, 0, 0, 33, 105, 38, 38, 38, 0, 17.0, 36.0, 38.0, 0, 5, 33, 33, 0, 0, 5, 0, 2, 15, 15, 1, 0.0, 31, 0, 0, 0, 0, 5, 18, 44.74, 94.74, 100.0, 100.0, 15.19921875, 54.5, 0, 15.19921875, 86.796875, 0.0, 6.099609375, 45.5, 45.5, 3.0, 0.0, 100.0, 93.890625, 0.0, 0.0, 0.0, 0.0, 89.0, 9.0, 0.0, 0.0, 14.0, "Tous les candidats", 130.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "9360", "Licence - Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9360&g_ta_cod=9360", 100.0, 0.0, 0.0),
(4494, "Public", "0150006A", "Lycée Jean Monnet - Mermoz", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "BTS", "Lycée Jean Monnet - Mermoz - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 238, 30, 231, 0, 29, 6, 38, 11, 45, 14, 119, 7, 0, 3, 1, 3, 126, 0, 0, 0, 26, 6, 38, 11, 45, 14, 17, 65, 12, 1, 12, 0, 2.0, 10.0, 12.0, 0, 1, 9, 0, 3, 6, 3, 0, 4, 3, 1, 1, 0.0, 0, 1, 4, 6, 1, 8, 8, 16.67, 83.33, 100.0, 8.298828125, 88.890625, 88.890625, 66.6875, 11.099609375, 75.0, 0.0, 44.3984375, 33.296875, 11.099609375, 11.1, 0.0, 0.0, 0.0, 33.296875, 11.099609375, 66.6875, 44.3984375, 12.0, 4.0, 23.0, 6.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 42.0, "2949", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2949&g_ta_cod=2949", 8.0, 42.0, 50.0),
(4495, "Public", "0620257T", "Lycée professionnel Alain Savary", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "Lycée professionnel Alain Savary - BTS - Services - Métiers de la coiffure", "BTS - Services", "", 18, 162, 134, 155, 0, 18, 6, 12, 5, 45, 28, 80, 7, 0, 0, 4, 3, 138, 3, 0, 0, 17, 5, 12, 5, 45, 28, 64, 61, 17, 16, 15, 2, 3.0, 10.0, 14.0, 0, 8, 13, 3, 3, 7, 4, 0, 9, 3, 1, 0, 0.0, 0, 0, 4, 4, 4, 12, 12, 17.65, 58.82, 82.35, 94.09375, 92.296875, 92.296875, 30.796875, 61.5, 76.5, 0.0, 69.1875, 23.09765625, 7.69921875, 0.0, 0.0, 23.09765625, 0.0, 23.09765625, 0.0, 53.796875, 30.796875, 11.0, 4.0, 25.0, 13.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 55.0, "17663", "BTS - Services - Métiers de la coiffure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17663&g_ta_cod=17663", 24.0, 24.0, 53.0),
(4496, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 500, 3929, 3243, 3929, 0, 2119, 479, 465, 144, 115, 40, 1230, 0, 0, 0, 0, 0, 3923, 0, 0, 0, 2120, 479, 465, 144, 115, 40, 1223, 1618, 504, 429, 503, 0, 108.0, 411.0, 475.0, 0, 106, 404, 304, 76, 24, 100, 2, 125, 185, 73, 19, 0.0, 220, 37, 20, 0, 0, 382, 382, 21.43, 81.55, 94.25, 85.09375, 94.59375, 94.59375, 0, 26.19921875, 80.1875, 0.5, 30.8984375, 45.796875, 18.09765625, 4.7, 0.0, 75.1875, 54.5, 18.796875, 9.19921875, 5.8994140625, 5.0, 1007.0, 206.0, 64.0, 24.0, 310.0, "Tous les candidats", 2112.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 49.0, "10209", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28841&g_ta_cod=10209", 75.0, 18.0, 7.0),
(4497, "Public", "0782557F", "Lycée Jean-Baptiste Poquelin", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "BTS", "Lycée Jean-Baptiste Poquelin - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 519, 349, 519, 0, 15, 5, 167, 61, 196, 82, 141, 0, 0, 0, 0, 0, 300, 0, 0, 0, 15, 5, 112, 41, 126, 48, 47, 152, 32, 27, 32, 0, 6.0, 25.0, 29.0, 0, 8, 28, 2, 13, 13, 4, 0, 5, 17, 5, 1, 0.0, 0, 10, 13, 10, 9, 27, 28, 18.75, 78.13, 90.63, 84.390625, 96.390625, 100.0, 35.6953125, 28.59765625, 87.5, 0.0, 17.8984375, 60.6953125, 17.8984375, 3.6, 0.0, 7.099609375, 0.0, 46.3984375, 35.6953125, 46.3984375, 46.3984375, 12.0, 5.0, 50.0, 18.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 89, "Bacheliers technologiques toutes séries", 96, "Liste d'appel propre à cette formation", 40.0, "10038", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10038&g_ta_cod=10038", 6.0, 47.0, 47.0),
(4498, "Public", "0441916U", "École nationale vétérinaire agroalimentaire et de l'alimentation de Nantes Atlantique (Oniris) - Site de la Chantrerie", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Concours des écoles nationales vétérinaires - Concours Première année", "Formations des écoles nationales vétérinaires", "Concours première année", 40, 5104, 3908, 5104, 0, 5073, 499, 0, 0, 0, 0, 31, 0, 0, 0, 0, 0, 578, 0, 0, 0, 575, 60, 0, 0, 0, 0, 3, 169, 40, 30, 40, 0, 8.0, 37.0, 39.0, 0, 5, 40, 40, 0, 0, 0, 0, 0, 0, 2, 26, 12.0, 40, 0, 0, 0, 0, 7, 7, 20.0, 92.5, 97.5, 75.0, 17.5, 17.5, 0, 12.5, 100.0, 0.0, 0.0, 0.0, 5.0, 65.0, 30.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 168.0, 20.0, 0.0, 0.0, 1.0, "Tous les candidats", 176.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 3.0, "30877", "Concours Première année", "Concours des écoles nationales vétérinaires", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30874&g_ta_cod=30877", 100.0, 0.0, 0.0),
(4499, "Public", "0190010H", "Lycée Georges Cabanis", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BTS", "Lycée Georges Cabanis - BTS - Production - Conception de produits industriels", "BTS - Production", "", 12, 130, 9, 125, 0, 9, 1, 70, 19, 18, 6, 28, 5, 1, 1, 0, 3, 114, 2, 0, 0, 9, 1, 69, 18, 18, 6, 18, 52, 11, 2, 9, 2, 1.0, 8.0, 9.0, 0, 0, 6, 2, 3, 1, 5, 0, 4, 1, 1, 0, 0.0, 0, 1, 1, 2, 0, 3, 3, 9.09, 72.73, 81.82, 18.19921875, 50.0, 50.0, 33.296875, 0.0, 54.5, 0.0, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 33.296875, 0.0, 50.0, 16.69921875, 16.69921875, 16.69921875, 8.0, 1.0, 4.0, 2.0, 13.0, "Tous les candidats sauf les Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 70.0, "3132", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3132&g_ta_cod=3132", 45.0, 36.0, 18.0),
(4500, "Public", "0595616J", "Lycée Du Noordover", "59", "Nord", "Hauts-de-France", "Lille", "Grande-Synthe", "formation sélective", "BTS", "Lycée Du Noordover - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 35, 143, 52, 131, 0, 16, 5, 31, 7, 51, 26, 33, 12, 1, 1, 4, 6, 80, 2, 0, 0, 12, 3, 24, 4, 35, 20, 9, 76, 18, 5, 18, 0, 6.0, 18.0, 18.0, 0, 7, 17, 2, 8, 7, 1, 0, 9, 6, 1, 1, 0.0, 1, 4, 3, 8, 3, 15, 15, 33.33, 100.0, 100.0, 27.796875, 88.1875, 88.1875, 47.09375, 41.1953125, 94.390625, 0.0, 52.8984375, 35.296875, 5.8994140625, 5.9, 0.0, 11.798828125, 5.8994140625, 47.09375, 23.5, 41.1953125, 17.59765625, 12.0, 3.0, 35.0, 20.0, 6.0, "Tous les candidats sauf les Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 61.0, "7133", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7133&g_ta_cod=7133", 11.0, 44.0, 44.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(4501, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Lettres - Arts du spectacle - Musicologie", "Licence - Arts-lettres-langues", "mention Arts du spectacle", 80, 784, 536, 784, 0, 488, 115, 48, 13, 19, 6, 229, 0, 0, 0, 0, 0, 778, 0, 0, 0, 488, 115, 48, 13, 19, 6, 223, 322, 79, 55, 79, 0, 11.0, 64.0, 67.0, 0, 10, 70, 64, 3, 3, 9, 1, 8, 31, 25, 5, 0.0, 58, 3, 0, 0, 0, 51, 51, 13.92, 81.01, 84.81, 69.59375, 72.890625, 72.890625, 0, 14.298828125, 88.59375, 1.39990234375, 11.3984375, 44.296875, 35.6953125, 7.1, 0.0, 91.390625, 82.890625, 4.2998046875, 4.2998046875, 4.2998046875, 0.0, 259.0, 50.0, 8.0, 2.0, 41.0, "Tous les candidats", 813.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 64.0, "24033", "Licence - Portail Lettres - Arts du spectacle - Musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24032&g_ta_cod=24033", 89.0, 5.0, 5.0),
(4502, "Public", "0611205D", "ANT UFR DROIT SC POLITIQUES UNIVERSITE CAEN NORMANDIE", "61", "Orne", "Normandie", "Normandie", "Damigny", "formation non sélective", "Licence_Las", "ANT UFR DROIT SC POLITIQUES UNIVERSITE CAEN NORMANDIE - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 120, 596, 417, 242, 0, 148, 33, 16, 3, 5, 4, 73, 354, 194, 12, 1, 147, 238, 335, 0, 0, 148, 33, 16, 3, 5, 4, 69, 557, 82, 49, 14, 68, 8.0, 14.0, 65.0, 0, 7, 50, 48, 1, 1, 32, 0, 27, 18, 4, 1, 0.0, 22, 0, 1, 0, 0, 13, 13, 9.76, 17.07, 79.27, 59.796875, 26.0, 26.0, 0, 14.0, 61.0, 0.0, 54.0, 36.0, 8.0, 2.0, 0.0, 96.0, 44.0, 2.0, 0.0, 2.0, 2.0, 334.0, 63.0, 4.0, 3.0, 193.0, "Tous les candidats", 844.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "28619", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28618&g_ta_cod=28619", 91.0, 5.0, 4.0),
(4503, "Public", "0670085D", "Lycée Louis Couffignal", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Louis Couffignal - BTS - Production - Développement et Réalisation Bois", "BTS - Production", "", 15, 220, 31, 220, 0, 42, 3, 42, 6, 75, 22, 61, 0, 0, 0, 0, 0, 220, 0, 0, 0, 42, 3, 42, 6, 75, 22, 61, 52, 16, 2, 16, 0, 4.0, 12.0, 14.0, 0, 5, 11, 2, 2, 7, 5, 0, 2, 4, 2, 3, 0.0, 1, 1, 7, 1, 0, 7, 7, 25.0, 75.0, 87.5, 12.5, 63.59375, 63.59375, 9.099609375, 45.5, 68.796875, 0.0, 18.19921875, 36.3984375, 18.19921875, 27.3, 0.0, 18.19921875, 9.099609375, 18.19921875, 9.099609375, 63.59375, 63.59375, 14.0, 2.0, 18.0, 6.0, 13.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 38.0, "7938", "BTS - Production - Développement et Réalisation Bois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7938&g_ta_cod=7938", 25.0, 25.0, 44.0),
(4504, "Privé sous contrat d'association", "0490075R", "ESEO Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 30, 1464, 330, 1464, 0, 1458, 96, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 1311, 0, 0, 0, 1311, 76, 0, 0, 0, 0, 0, 632, 12, 2, 12, 0, 5.0, 12.0, 12.0, 0, 0, 12, 12, 0, 0, 0, 0, 0, 6, 5, 1, 0.0, 12, 0, 0, 0, 0, 6, 6, 41.67, 100.0, 100.0, 16.69921875, 50.0, 50.0, 0, 0.0, 100.0, 0.0, 0.0, 50.0, 41.6953125, 8.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 632.0, 40.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "30959", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=30959", 100.0, 0.0, 0.0),
(4505, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 350, 1805, 1339, 1788, 0, 1307, 221, 150, 32, 30, 14, 301, 17, 3, 0, 0, 14, 1786, 15, 0, 0, 1308, 222, 150, 32, 30, 14, 298, 1082, 346, 264, 335, 11, 66.0, 285.0, 315.0, 0, 77, 294, 269, 16, 9, 52, 0, 86, 120, 74, 14, 0.0, 192, 9, 7, 0, 0, 289, 289, 19.08, 82.37, 91.04, 76.296875, 98.296875, 98.296875, 0, 26.19921875, 85.0, 0.0, 29.296875, 40.796875, 25.19921875, 4.8, 0.0, 91.5, 65.296875, 5.3994140625, 3.099609375, 3.099609375, 2.39990234375, 813.0, 147.0, 14.0, 7.0, 203.0, "Tous les candidats", 1224.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 66.0, "3541", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27300&g_ta_cod=3541", 91.0, 5.0, 4.0),
(4506, "Public", "0211033J", "Lycée Gustave Eiffel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 12, 170, 16, 160, 0, 16, 2, 54, 13, 50, 13, 40, 10, 2, 0, 4, 4, 116, 2, 0, 0, 14, 2, 50, 10, 42, 10, 10, 59, 10, 0, 10, 0, 0.0, 10.0, 10.0, 0, 3, 9, 1, 4, 4, 1, 0, 6, 3, 0, 0, 0.0, 0, 1, 2, 4, 0, 6, 6, 0.0, 100.0, 100.0, 0.0, 66.6875, 66.6875, 44.3984375, 33.296875, 90.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 11.099609375, 0.0, 44.3984375, 11.099609375, 44.3984375, 22.19921875, 10.0, 3.0, 23.0, 7.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 49.0, "3212", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3212&g_ta_cod=3212", 20.0, 40.0, 40.0),
(4507, "Privé sous contrat d'association", "0422128K", "Institut Régional et Européen des métiers de l'Intervention Sociale Rhône-Alpes - IREIS", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Firminy", "formation sélective", "EFTS", "Institut Régional et Européen des métiers de l'Intervention Sociale Rhône-Alpes- IREIS - D.E Educateur Spécialisé", "D.E secteur social", "", 31, 277, 231, 277, 0, 36, 4, 41, 4, 19, 5, 181, 0, 0, 0, 0, 0, 191, 0, 0, 0, 26, 1, 20, 0, 11, 2, 134, 76, 31, 27, 31, 0, 9.0, 22.0, 23.0, 0, 0, 6, 3, 3, 0, 25, 0, 0, 3, 3, 0, 0.0, 3, 3, 0, 0, 0, 4, 4, 29.03, 70.97, 74.19, 87.09375, 66.6875, 66.6875, 0, 0.0, 19.3984375, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 9.0, 1.0, 1.0, 0.0, 59.0, "Tous les candidats", 104.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "24882", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24810&g_ta_cod=24882", 55.0, 32.0, 13.0),
(4508, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence_Las", "Université des Antilles - Pôle Martinique - Licence - Portail Géographie et aménagement - Sociétés et environnement - Martinique", "Licence - Sciences humaines et sociales", "Sociétés et environnement - Martinique", 9, 68, 43, 37, 0, 23, 7, 2, 2, 2, 1, 10, 31, 10, 0, 0, 21, 37, 30, 0, 0, 23, 7, 2, 2, 2, 1, 10, 54, 6, 6, 2, 4, 1.0, 2.0, 6.0, 0, 1, 2, 2, 0, 0, 4, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 16.67, 33.33, 100.0, 100.0, 50.0, 50.0, 0, 50.0, 33.296875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 26.0, 8.0, 1.0, 0.0, 26.0, "Tous les candidats", 107.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "26848", "Licence - Portail Géographie et aménagement - Sociétés et environnement - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26847&g_ta_cod=26848", 50.0, 17.0, 17.0),
(4509, "Public", "0624141P", "Lycée Léonard de Vinci", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "BTS", "Lycée Léonard de Vinci - BTS - Production - Métiers de la chimie", "BTS - Production", "", 30, 443, 193, 433, 0, 42, 10, 61, 19, 19, 8, 311, 10, 0, 5, 0, 5, 166, 4, 0, 0, 42, 10, 61, 19, 19, 8, 44, 120, 27, 11, 24, 3, 6.0, 21.0, 22.0, 0, 9, 21, 6, 9, 6, 6, 0, 5, 9, 6, 1, 0.0, 3, 8, 5, 11, 8, 18, 18, 22.22, 77.78, 81.48, 40.6953125, 85.6875, 85.6875, 52.3984375, 42.8984375, 77.796875, 0.0, 23.796875, 42.8984375, 28.59765625, 4.8, 0.0, 28.59765625, 14.298828125, 42.8984375, 38.09375, 28.59765625, 23.796875, 37.0, 10.0, 16.0, 8.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 35.0, "7539", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7539&g_ta_cod=7539", 33.0, 41.0, 26.0),
(4510, "Privé enseignement supérieur", "0751150E", "ESME Sudria Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Advance - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 220, 3284, 741, 3284, 0, 3280, 255, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 2853, 0, 0, 0, 2853, 173, 0, 0, 0, 0, 0, 2360, 221, 64, 221, 0, 77.0, 185.0, 219.0, 0, 7, 221, 221, 0, 0, 0, 0, 48, 120, 48, 5, 0.0, 173, 0, 0, 0, 0, 66, 202, 34.84, 83.71, 99.1, 29.0, 29.8984375, 91.390625, 0, 3.19970703125, 100.0, 0.0, 21.69921875, 54.296875, 21.69921875, 2.3, 0.0, 100.0, 78.296875, 0.0, 0.0, 0.0, 0.0, 2360.0, 128.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 85.0, "125", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Advance", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=124&g_ta_cod=125", 100.0, 0.0, 0.0),
(4511, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "Autre formation", "Université de Mulhouse - Diplôme d'Université - informatique", "Diplôme d'Université", "informatique", 15, 114, 26, 66, 0, 41, 12, 11, 5, 4, 2, 10, 48, 6, 6, 8, 28, 25, 3, 0, 0, 19, 8, 4, 3, 0, 0, 2, 28, 11, 2, 10, 1, 8.0, 10.0, 11.0, 0, 6, 10, 8, 2, 0, 1, 0, 5, 5, 0, 0, 0.0, 4, 1, 0, 0, 0, 10, 10, 72.73, 90.91, 100.0, 18.19921875, 100.0, 100.0, 0, 60.0, 90.890625, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 80.0, 40.0, 20.0, 10.0, 0.0, 0.0, 20.0, 8.0, 0.0, 0.0, 3.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "18547", "Diplôme d'Université - informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18547&g_ta_cod=18547", 82.0, 18.0, 0.0),
(4512, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Langues étrangères appliquées - Parcours Anglais, Portugais. Anglais non débutant et Portugais débutant ou non débutant", "Licence - Arts-lettres-langues", "Anglais, Portugais. Anglais non débutant et Portugais débutant ou non débutant", 40, 219, 139, 146, 0, 90, 21, 10, 3, 8, 3, 38, 73, 15, 7, 5, 46, 145, 71, 0, 0, 90, 21, 10, 3, 8, 3, 37, 216, 38, 21, 15, 23, 15.0, 15.0, 29.0, 0, 2, 14, 8, 4, 2, 24, 0, 8, 5, 1, 0, 0.0, 3, 1, 2, 0, 0, 8, 8, 39.47, 39.47, 76.32, 55.296875, 57.09375, 57.09375, 0, 14.298828125, 36.796875, 0.0, 57.09375, 35.6953125, 7.099609375, 0.0, 0.0, 57.09375, 21.3984375, 28.59765625, 7.099609375, 14.298828125, 14.298828125, 105.0, 24.0, 13.0, 6.0, 81.0, "Tous les candidats", 145.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "23572", "Licence - Langues étrangères appliquées - Parcours Anglais, Portugais. Anglais non débutant et Portugais débutant ou non débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23572&g_ta_cod=23572", 71.0, 18.0, 8.0),
(4513, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Administration et Echanges internationaux - Parcours Europe", "Licence - Droit-économie-gestion", "Europe", 90, 1280, 821, 1225, 0, 774, 238, 132, 67, 6, 4, 313, 55, 21, 6, 1, 27, 652, 5, 0, 0, 539, 159, 9, 5, 0, 0, 104, 478, 89, 57, 85, 4, 25.0, 62.0, 77.0, 0, 28, 76, 75, 1, 0, 13, 0, 5, 48, 20, 3, 0.0, 70, 1, 0, 0, 0, 37, 56, 28.09, 69.66, 86.52, 64.0, 48.6953125, 73.6875, 0, 36.796875, 85.390625, 0.0, 6.599609375, 63.1953125, 26.296875, 3.9, 0.0, 98.6875, 92.09375, 1.2998046875, 1.2998046875, 0.0, 0.0, 395.0, 124.0, 0.0, 0.0, 76.0, "Tous les candidats", 597.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "11486", "Licence - Administration et Echanges internationaux - Parcours Europe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11486&g_ta_cod=11486", 99.0, 1.0, 0.0),
(4514, "Public", "0840016L", "Lycée Victor Hugo", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Carpentras", "formation sélective", "BTS", "Lycée Victor Hugo - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 282, 209, 265, 0, 20, 8, 66, 34, 107, 58, 72, 17, 4, 0, 0, 13, 144, 7, 0, 0, 15, 3, 45, 21, 64, 34, 20, 94, 20, 16, 19, 1, 4.0, 13.0, 19.0, 0, 9, 15, 0, 8, 7, 5, 0, 4, 7, 4, 0, 0.0, 0, 4, 7, 3, 2, 15, 15, 20.0, 65.0, 95.0, 80.0, 100.0, 100.0, 20, 60.0, 75.0, 0.0, 26.69921875, 46.6953125, 26.69921875, 0.0, 0.0, 0.0, 0.0, 53.296875, 26.69921875, 46.6953125, 46.6953125, 17.0, 3.0, 30.0, 15.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 43.0, "10426", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10426&g_ta_cod=10426", 5.0, 45.0, 50.0),
(4515, "Public", "0512181U", "EiSINe - Reims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "EiSINe - Reims - Licence - Electronique, énergie électrique, automatique", "Licence - Sciences - technologies - santé", "", 35, 185, 27, 147, 0, 78, 13, 15, 2, 3, 0, 51, 38, 6, 1, 1, 30, 137, 22, 0, 0, 78, 13, 15, 2, 3, 0, 41, 137, 24, 4, 13, 11, 3.0, 13.0, 21.0, 0, 3, 11, 10, 1, 0, 13, 0, 7, 4, 0, 0, 0.0, 4, 0, 0, 0, 0, 5, 5, 12.5, 54.17, 87.5, 16.69921875, 45.5, 45.5, 0, 27.296875, 45.796875, 0.0, 63.59375, 36.3984375, 0.0, 0.0, 0.0, 90.890625, 36.3984375, 9.099609375, 0.0, 0.0, 0.0, 76.0, 13.0, 2.0, 0.0, 54.0, "Tous les candidats", 137.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "20691", "Licence - Electronique, énergie électrique, automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20691&g_ta_cod=20691", 79.0, 8.0, 8.0),
(4516, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud et Himalaya -  Népali", "Licence - Arts-lettres-langues", "Asie du Sud et Himalaya -  Népali", 10, 15, 10, 8, 0, 3, 0, 0, 0, 0, 0, 5, 7, 0, 0, 0, 7, 8, 2, 0, 0, 3, 0, 0, 0, 0, 0, 5, 10, 1, 1, 1, 0, 1.0, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3.0, 0.0, 0.0, 0.0, 7.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9391", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud et Himalaya -  Népali", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9391&g_ta_cod=9391", 100.0, 0.0, 0.0),
(4517, "Public", "0541205S", "I.U.T de Nancy-Brabois - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Villers-lès-Nancy", "formation sélective", "BUT", "I.U.T de Nancy-Brabois - Université de Lorraine - BUT - Génie mécanique et productique", "BUT - Production", "", 78, 1042, 83, 1019, 0, 603, 53, 249, 48, 6, 2, 161, 23, 5, 1, 0, 17, 788, 1, 0, 0, 496, 26, 182, 29, 0, 0, 110, 477, 82, 3, 82, 0, 11.0, 56.0, 76.0, 0, 8, 72, 47, 25, 0, 10, 0, 14, 42, 14, 2, 0.0, 38, 20, 0, 0, 0, 51, 51, 13.41, 68.29, 92.68, 3.69970703125, 70.796875, 70.796875, 0, 11.099609375, 87.796875, 0.0, 19.3984375, 58.296875, 19.3984375, 2.8, 0.0, 65.296875, 52.796875, 34.6953125, 27.796875, 0.0, 0.0, 241.0, 20.0, 0.0, 0.0, 88.0, "Tous les candidats sauf les Bac technologiques", 545.0, "Bacheliers technologiques toutes séries", 187, "", 0, "Liste d'appel propre à cette formation", 72.0, "6299", "BUT - Génie mécanique et productique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6299&g_ta_cod=6299", 70.0, 30.0, 0.0),
(4518, "Public", "0594391C", "E.S.AA.T.", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "Autre formation", "E.S.AA.T. - DN MADE - Matériaux - - Spécialité : Textile couleur matière", "DN MADE", "- Spécialité : Textile couleur matière", 15, 294, 231, 294, 0, 98, 20, 113, 17, 8, 2, 75, 0, 0, 0, 0, 0, 110, 0, 0, 0, 44, 3, 58, 6, 0, 0, 8, 41, 15, 14, 15, 0, 6.0, 14.0, 14.0, 0, 3, 11, 5, 6, 0, 4, 0, 0, 2, 5, 4, 0.0, 5, 6, 0, 0, 0, 6, 6, 40.0, 93.33, 93.33, 93.296875, 54.5, 54.5, 0, 27.296875, 73.296875, 0.0, 0.0, 18.19921875, 45.5, 36.4, 0.0, 45.5, 45.5, 54.5, 54.5, 0.0, 0.0, 15.0, 3.0, 0.0, 0.0, 6.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "24722", "DN MADE - Matériaux - - Spécialité : Textile couleur matière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24722&g_ta_cod=24722", 47.0, 53.0, 0.0),
(4519, "Public", "0932270M", "I.U.T. de Bobigny - Université Paris 13", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation sélective", "BUT", "I.U.T. de Bobigny - Université Paris 13 - BUT - Carrières sociales parcours villes et territoires durables", "BUT - Service", "", 28, 480, 334, 350, 0, 95, 24, 114, 50, 31, 18, 110, 130, 0, 88, 0, 42, 117, 4, 0, 0, 43, 5, 35, 9, 1, 0, 38, 109, 25, 18, 21, 2, 5.0, 20.0, 21.0, 0, 4, 14, 5, 8, 1, 11, 0, 6, 8, 0, 0, 0.0, 3, 4, 1, 0, 0, 5, 10, 20.0, 80.0, 84.0, 72.0, 35.6953125, 71.390625, 0, 28.59765625, 56.0, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 35.6953125, 21.3984375, 57.09375, 28.59765625, 7.099609375, 7.099609375, 33.0, 6.0, 2.0, 0.0, 31.0, "Tous les candidats sauf les Bac technologiques", 75.0, "Bacheliers technologiques toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 33.0, "11357", "BUT - Carrières sociales parcours villes et territoires durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11357&g_ta_cod=11357", 40.0, 36.0, 12.0),
(4520, "Public", "0130051K", "Lycée Marie Curie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 1143, 997, 1143, 0, 109, 60, 271, 159, 373, 238, 390, 0, 0, 0, 0, 0, 324, 0, 0, 0, 20, 5, 75, 40, 137, 80, 92, 117, 30, 29, 30, 0, 8.0, 18.0, 26.0, 0, 7, 13, 1, 7, 5, 17, 0, 3, 7, 2, 1, 0.0, 1, 4, 5, 4, 4, 12, 12, 26.67, 60.0, 86.67, 96.6875, 92.296875, 92.296875, 30.796875, 53.796875, 43.296875, 0.0, 23.09765625, 53.796875, 15.3984375, 7.7, 0.0, 7.69921875, 7.69921875, 53.796875, 30.796875, 38.5, 38.5, 8.0, 4.0, 21.0, 12.0, 57.0, "Tous les candidats sauf les Bac professionnels", 113.0, "Bacheliers professionnels toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 14.0, "2590", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2590&g_ta_cod=2590", 20.0, 53.0, 27.0),
(4521, "Public", "0771027Y", "Lycée Joliot Curie", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Dammarie-les-Lys", "formation sélective", "BTS", "Lycée Joliot Curie - BTS - Services - Commerce International", "BTS - Services", "", 35, 551, 269, 551, 0, 106, 30, 142, 49, 100, 50, 203, 0, 0, 0, 0, 0, 551, 0, 0, 0, 106, 30, 142, 49, 100, 50, 203, 130, 34, 16, 34, 0, 6.0, 28.0, 28.0, 0, 10, 22, 7, 8, 7, 12, 0, 8, 13, 1, 0, 0.0, 5, 4, 5, 4, 2, 19, 21, 17.65, 82.35, 82.35, 47.09375, 86.390625, 95.5, 18.19921875, 45.5, 64.6875, 0.0, 36.3984375, 59.09375, 4.5, 0.0, 0.0, 31.796875, 22.69921875, 36.3984375, 18.19921875, 31.796875, 22.69921875, 23.0, 9.0, 40.0, 22.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 26.0, "9827", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9827&g_ta_cod=9827", 35.0, 35.0, 29.0),
(4522, "Privé enseignement supérieur", "0741787R", "UCLy Alpes-Europe", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "Ecole de Commerce", "UCLy Alpes-Europe - Formation des écoles de commerce et de management Bac + 3 - Bachelor In Business", "Formation des écoles de commerce et de management", "Bachelor In Business", 30, 163, 90, 147, 0, 97, 10, 30, 2, 8, 1, 12, 16, 7, 1, 1, 7, 84, 16, 0, 0, 66, 7, 12, 0, 2, 0, 4, 100, 24, 16, 17, 7, 15.0, 16.0, 20.0, 0, 1, 19, 15, 3, 1, 5, 0, 6, 8, 5, 0, 0.0, 10, 2, 1, 0, 0, 16, 16, 62.5, 66.67, 83.33, 66.6875, 84.1875, 84.1875, 0, 5.2998046875, 79.1875, 0.0, 31.59765625, 42.09375, 26.296875, 0.0, 0.0, 78.890625, 52.59375, 15.798828125, 10.5, 5.2998046875, 5.2998046875, 73.0, 7.0, 3.0, 1.0, 11.0, "Tous les candidats", 84.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "32473", "Formation des écoles de commerce et de management Bac + 3 - Bachelor In Business", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32473&g_ta_cod=32473", 79.0, 17.0, 4.0),
(4523, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Musicologie - Parcours Musique (en partenariat avec le Conservatoire à Rayonnement Régional de Metz)", "Licence - Arts-lettres-langues", "Musique (en partenariat avec le Conservatoire à Rayonnement Régional de Metz)", 80, 289, 126, 244, 0, 141, 32, 33, 8, 13, 6, 57, 45, 10, 4, 3, 28, 244, 43, 0, 0, 141, 32, 33, 8, 13, 6, 57, 240, 49, 20, 37, 12, 16.0, 37.0, 46.0, 0, 11, 30, 19, 8, 3, 19, 0, 11, 8, 10, 1, 0.0, 13, 5, 1, 0, 0, 27, 27, 32.65, 75.51, 93.88, 40.796875, 90.0, 90.0, 0, 36.6953125, 61.1953125, 0.0, 36.6953125, 26.69921875, 33.296875, 3.3, 0.0, 63.296875, 43.296875, 26.69921875, 16.69921875, 10.0, 3.2998046875, 126.0, 28.0, 13.0, 7.0, 68.0, "Tous les candidats", 244.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6601", "Licence - Musicologie - Parcours Musique (en partenariat avec le Conservatoire à Rayonnement Régional de Metz)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6601&g_ta_cod=6601", 55.0, 29.0, 14.0),
(4524, "Public", "0290012F", "Lycée Vauban", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Vauban - BTS - Production - Electrotechnique - parcours Marine Nationale/Maistrance-Défense", "BTS - Production", "parcours Marine Nationale/Maistrance-Défense", 4, 74, 1, 73, 0, 31, 2, 10, 0, 28, 4, 4, 1, 0, 1, 0, 0, 23, 1, 0, 0, 17, 0, 3, 0, 2, 0, 1, 10, 3, 0, 3, 0, 1.0, 3.0, 3.0, 0, 0, 3, 2, 1, 0, 0, 0, 0, 1, 2, 0, 0.0, 2, 1, 0, 1, 0, 1, 1, 33.33, 100.0, 100.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 100.0, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 8.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "19591", "BTS - Production - Electrotechnique - parcours Marine Nationale/Maistrance-Défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19591&g_ta_cod=19591", 67.0, 33.0, 0.0),
(4525, "Public", "0910625K", "Lycée ROSA PARKS", "91", "Essonne", "Ile-de-France", "Versailles", "Montgeron", "formation sélective", "BTS", "Lycée ROSA PARKS - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 660, 322, 660, 0, 40, 18, 233, 94, 160, 85, 227, 0, 0, 0, 0, 0, 323, 0, 0, 0, 21, 10, 130, 43, 102, 56, 70, 200, 33, 19, 31, 0, 2.0, 20.0, 29.0, 0, 7, 22, 1, 12, 9, 11, 0, 16, 5, 1, 0, 0.0, 0, 3, 3, 4, 0, 14, 20, 6.06, 60.61, 87.88, 57.59375, 63.59375, 90.890625, 18.19921875, 31.796875, 66.6875, 0.0, 72.6875, 22.69921875, 4.5, 0.0, 0.0, 4.5, 0.0, 54.5, 13.599609375, 40.8984375, 13.599609375, 5.0, 3.0, 64.0, 31.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 110, "Bacheliers technologiques toutes séries", 139, "Liste d'appel propre à cette formation", 41.0, "10858", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10858&g_ta_cod=10858", 9.0, 52.0, 39.0),
(4526, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Arts du spectacle - Parcours Études théâtrales", "Licence - Arts-lettres-langues", "Études théâtrales", 160, 628, 426, 452, 0, 261, 62, 36, 4, 20, 9, 135, 176, 30, 13, 16, 117, 439, 150, 0, 0, 261, 62, 36, 4, 20, 9, 122, 544, 102, 60, 61, 41, 16.0, 59.0, 84.0, 0, 14, 55, 38, 8, 9, 47, 0, 25, 16, 12, 2, 0.0, 26, 0, 4, 0, 0, 23, 23, 15.69, 57.84, 82.35, 58.796875, 41.796875, 41.796875, 0, 25.5, 53.8984375, 0.0, 45.5, 29.09765625, 21.796875, 3.6, 0.0, 69.09375, 47.296875, 14.5, 0.0, 16.3984375, 7.2998046875, 262.0, 57.0, 31.0, 13.0, 207.0, "Tous les candidats", 437.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "8029", "Licence - Arts du spectacle - Parcours Études théâtrales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8029&g_ta_cod=8029", 71.0, 12.0, 17.0),
(4527, "Public", "1290007A", "Pôle Kerichen-Vauban", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "CPGE", "Pôle Kerichen-Vauban - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 1157, 398, 1157, 823, 863, 70, 3, 0, 0, 0, 291, 0, 0, 0, 0, 0, 800, 0, 598, 789, 712, 56, 0, 0, 0, 0, 88, 628, 91, 33, 91, 0, 41.0, 66.0, 87.0, 14, 6, 86, 86, 0, 0, 5, 0, 0, 10, 54, 20, 2.0, 86, 0, 0, 0, 0, 84, 84, 45.05, 72.53, 95.6, 36.296875, 97.6875, 97.6875, 0, 7.0, 94.5, 0.0, 0.0, 11.599609375, 62.796875, 23.3, 2.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 594.0, 45.0, 0.0, 0.0, 34.0, "Tous les candidats", 754.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "11671", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11671&g_ta_cod=11671", 100.0, 0.0, 0.0),
(4528, "Public", "0171405K", "Lycée des Métiers - Hotelier", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Autre formation", "Lycée des Métiers - Hotelier - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 46, 354, 192, 352, 0, 140, 22, 56, 12, 17, 2, 139, 2, 0, 2, 0, 0, 283, 2, 0, 0, 136, 21, 51, 9, 4, 0, 92, 188, 43, 22, 42, 1, 5.0, 31.0, 37.0, 0, 3, 23, 15, 7, 1, 20, 1, 12, 8, 2, 0, 0.0, 6, 3, 1, 0, 0, 10, 10, 11.63, 72.09, 86.05, 51.1953125, 43.5, 43.5, 0, 13.0, 53.5, 4.2998046875, 52.1953125, 34.796875, 8.69921875, 0.0, 0.0, 65.1875, 26.09765625, 30.3984375, 13.0, 4.2998046875, 4.2998046875, 94.0, 15.0, 4.0, 0.0, 58.0, "Tous les candidats", 274.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "3067", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3067&g_ta_cod=3067", 74.0, 23.0, 2.0),
(4529, "Privé enseignement supérieur", "0690670D", "CRESPA -SCIENCES U", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 3e  Arrondissement", "formation sélective", "BTS", "CRESPA -SCIENCES U - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 100, 474, 42, 311, 0, 68, 16, 76, 14, 84, 31, 83, 163, 35, 30, 16, 82, 237, 20, 0, 0, 45, 13, 74, 14, 76, 24, 42, 207, 40, 1, 39, 1, 8.0, 37.0, 40.0, 0, 7, 28, 1, 14, 13, 12, 0, 16, 8, 4, 0, 0.0, 0, 3, 9, 0, 0, 20, 20, 20.0, 92.5, 100.0, 2.5, 71.390625, 71.390625, 0, 25.0, 70.0, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 3.599609375, 0.0, 50.0, 10.69921875, 46.3984375, 32.09375, 43.0, 10.0, 57.0, 17.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 61.0, "Bacheliers technologiques toutes séries", 86, "Bacheliers professionnels toutes séries", 87, "Liste d'appel propre à cette formation", 75.0, "26525", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26525&g_ta_cod=26525", 18.0, 43.0, 40.0),
(4530, "Privé sous contrat d'association", "0772153X", "Lycée JEAN ROSE", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "BTS", "Lycée JEAN ROSE - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 423, 355, 347, 0, 16, 3, 86, 21, 118, 42, 127, 76, 6, 43, 0, 27, 154, 20, 0, 0, 11, 2, 48, 11, 71, 23, 24, 117, 17, 13, 14, 3, 1.0, 11.0, 13.0, 0, 2, 13, 1, 4, 8, 4, 0, 4, 8, 1, 0, 0.0, 1, 0, 8, 6, 5, 13, 13, 5.88, 64.71, 76.47, 76.5, 100.0, 100.0, 46.1953125, 15.3984375, 76.5, 0.0, 30.796875, 61.5, 7.69921875, 0.0, 0.0, 7.69921875, 7.69921875, 30.796875, 0.0, 61.5, 61.5, 5.0, 1.0, 46.0, 12.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers technologiques toutes séries", 61, "Bacheliers professionnels toutes séries", 58, "Liste d'appel propre à cette formation", 39.0, "30051", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30051&g_ta_cod=30051", 24.0, 29.0, 47.0),
(4531, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Licence", "Université de Strasbourg - Licence - Musicologie - Parcours Composition et interprétation musicale", "Licence - Arts-lettres-langues", "Composition et interprétation musicale", 40, 126, 52, 126, 0, 28, 4, 6, 1, 4, 1, 88, 0, 0, 0, 0, 0, 30, 0, 0, 0, 1, 0, 0, 0, 0, 0, 29, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "16033", "Licence - Musicologie - Parcours Composition et interprétation musicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16033&g_ta_cod=16033", 0, 0, 0),
(4532, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud et Himalaya - Télougou", "Licence - Arts-lettres-langues", "Asie du Sud et Himalaya - Télougou", 10, 23, 14, 8, 0, 4, 2, 1, 0, 0, 0, 3, 15, 2, 3, 0, 10, 8, 7, 0, 0, 4, 2, 1, 0, 0, 0, 3, 15, 4, 3, 2, 2, 2.0, 2.0, 2.0, 0, 1, 3, 3, 0, 0, 1, 0, 1, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 0, 2, 50.0, 50.0, 50.0, 75.0, 0.0, 66.6875, 0, 33.296875, 75.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 6.0, 2.0, 0.0, 0.0, 7.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "16720", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud et Himalaya - Télougou", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16720&g_ta_cod=16720", 75.0, 25.0, 0.0),
(4533, "Privé enseignement supérieur", "0755753W", "Ecole de management de Normandie - Campus de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 50, 2584, 1282, 2584, 0, 2301, 80, 109, 3, 4, 1, 170, 0, 0, 0, 0, 0, 2316, 0, 0, 0, 2097, 69, 75, 2, 1, 1, 143, 811, 60, 39, 60, 0, 11.0, 41.0, 57.0, 0, 4, 53, 51, 2, 0, 7, 0, 5, 26, 20, 2, 0.0, 46, 2, 0, 0, 0, 8, 45, 18.33, 68.33, 95.0, 65.0, 15.099609375, 84.890625, 0, 7.5, 88.296875, 0.0, 9.3984375, 49.09375, 37.6953125, 3.8, 0.0, 96.1875, 86.796875, 3.7998046875, 3.7998046875, 0.0, 0.0, 747.0, 27.0, 0.0, 0.0, 42.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "31979", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=31979", 97.0, 3.0, 0.0),
(4534, "Privé sous contrat d'association", "0761735Y", "Lycée Jeanne D'Arc", "76", "Seine-Maritime", "Normandie", "Normandie", "Sainte-Adresse", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 106, 1, 105, 0, 4, 1, 23, 4, 56, 16, 22, 1, 0, 0, 0, 1, 89, 0, 0, 0, 4, 1, 22, 4, 49, 13, 14, 45, 14, 0, 14, 0, 3.0, 12.0, 14.0, 0, 5, 12, 0, 3, 9, 2, 1, 3, 4, 3, 1, 0.0, 0, 0, 8, 6, 0, 12, 12, 21.43, 85.71, 100.0, 0.0, 100.0, 100.0, 50, 41.6953125, 85.6875, 8.298828125, 25.0, 33.296875, 25.0, 8.3, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 66.6875, 1.0, 1.0, 25.0, 7.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 56.0, "9670", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9670&g_ta_cod=9670", 7.0, 29.0, 64.0),
(4535, "Public", "0760052U", "Lycée François 1er", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "CPGE", "Lycée François 1er - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 927, 263, 768, 0, 558, 48, 0, 0, 0, 0, 210, 159, 90, 1, 0, 68, 361, 20, 0, 361, 349, 23, 0, 0, 0, 0, 12, 295, 28, 3, 25, 3, 7.0, 25.0, 28.0, 0, 2, 27, 27, 0, 0, 1, 0, 0, 2, 19, 5, 1.0, 27, 0, 0, 7, 1, 26, 26, 25.0, 89.29, 100.0, 10.69921875, 96.296875, 96.296875, 25.8984375, 7.3994140625, 96.390625, 0.0, 0.0, 7.3994140625, 70.390625, 18.5, 3.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 286.0, 17.0, 0.0, 0.0, 9.0, "Tous les candidats", 358.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "9570", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9570&g_ta_cod=9570", 100.0, 0.0, 0.0),
(4536, "Public", "0592602H", "I.U.T. de Lille A", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "BUT", "I.U.T. de Lille A - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 44, 1127, 698, 1026, 0, 548, 93, 189, 41, 2, 1, 287, 101, 9, 41, 0, 51, 724, 9, 0, 0, 433, 66, 88, 17, 0, 0, 203, 320, 35, 20, 32, 3, 1.0, 16.0, 30.0, 0, 4, 24, 17, 7, 0, 11, 0, 2, 10, 10, 2, 0.0, 15, 7, 0, 0, 0, 15, 15, 2.86, 45.71, 85.71, 57.09375, 62.5, 62.5, 0, 16.69921875, 68.59375, 0.0, 8.298828125, 41.6953125, 41.6953125, 8.3, 0.0, 70.796875, 62.5, 29.19921875, 29.19921875, 0.0, 0.0, 130.0, 23.0, 0.0, 0.0, 119.0, "Tous les candidats sauf les Bac technologiques", 542.0, "Bacheliers technologiques toutes séries", 94, "", 0, "Liste d'appel propre à cette formation", 62.0, "6891", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6891&g_ta_cod=6891", 80.0, 20.0, 0.0),
(4537, "Privé sous contrat d'association", "0421090G", "Lycée agricole de Ressins", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Nandax", "formation sélective", "BTS", "Lycée agricole de Ressins - BTS - Agricole - productions animales", "BTS - Agricole", "", 30, 172, 110, 162, 0, 62, 11, 68, 16, 10, 4, 22, 10, 1, 0, 0, 9, 110, 2, 0, 0, 47, 5, 51, 13, 7, 3, 5, 63, 21, 7, 21, 0, 16.0, 21.0, 21.0, 0, 5, 20, 6, 13, 1, 1, 0, 2, 11, 7, 0, 0.0, 4, 13, 1, 17, 4, 19, 19, 76.19, 100.0, 100.0, 33.296875, 95.0, 95.0, 85, 25.0, 95.1875, 0.0, 10.0, 55.0, 35.0, 0.0, 0.0, 30.0, 20.0, 65.0, 65.0, 5.0, 5.0, 35.0, 5.0, 6.0, 3.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 46.0, "5329", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5329&g_ta_cod=5329", 33.0, 62.0, 5.0),
(4538, "Public", "0300002P", "Lycée Jean-Baptiste Dumas", "30", "Gard", "Occitanie", "Montpellier", "Alès", "formation sélective", "BTS", "Lycée Jean-Baptiste Dumas - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 15, 187, 32, 176, 0, 18, 4, 73, 18, 31, 19, 54, 11, 0, 5, 3, 3, 119, 5, 0, 0, 15, 4, 58, 14, 25, 14, 21, 92, 11, 0, 7, 2, 1.0, 7.0, 9.0, 0, 1, 8, 1, 3, 4, 3, 0, 1, 6, 0, 1, 0.0, 0, 3, 4, 4, 0, 7, 7, 9.09, 63.64, 81.82, 0.0, 87.5, 87.5, 50, 12.5, 72.6875, 0.0, 12.5, 75.0, 0.0, 12.5, 0.0, 12.5, 0.0, 37.5, 37.5, 50.0, 50.0, 9.0, 3.0, 23.0, 13.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 64.0, "3923", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3923&g_ta_cod=3923", 18.0, 45.0, 36.0),
(4539, "Privé sous contrat d'association", "0290170C", "Lycée Le Likès", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Le Likès - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 118, 12, 113, 0, 8, 1, 55, 5, 30, 3, 20, 5, 0, 1, 1, 3, 73, 2, 0, 0, 7, 1, 35, 4, 23, 3, 8, 51, 11, 1, 10, 1, 3.0, 10.0, 10.0, 0, 2, 9, 1, 4, 4, 2, 0, 0, 6, 3, 0, 0.0, 1, 4, 4, 2, 0, 9, 9, 27.27, 90.91, 90.91, 9.099609375, 100.0, 100.0, 22.19921875, 22.19921875, 81.796875, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 11.099609375, 11.099609375, 44.3984375, 44.3984375, 44.3984375, 44.3984375, 6.0, 1.0, 17.0, 3.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 63.0, "3813", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3813&g_ta_cod=3813", 9.0, 55.0, 36.0),
(4540, "Public", "0750654D", "Lycée Henri IV", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "CPGE", "Lycée Henri IV - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 2772, 1952, 2772, 1532, 2329, 228, 1, 0, 2, 1, 440, 0, 0, 0, 0, 0, 622, 0, 407, 605, 619, 36, 0, 0, 0, 0, 3, 237, 47, 34, 47, 0, 13.0, 36.0, 44.0, 12, 6, 47, 47, 0, 0, 0, 0, 0, 0, 3, 23, 21.0, 47, 0, 0, 3, 3, 14, 26, 27.66, 76.6, 93.62, 72.296875, 29.796875, 55.296875, 6.3994140625, 12.798828125, 100.0, 0.0, 0.0, 0.0, 6.3994140625, 48.9, 44.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 234.0, 22.0, 0.0, 0.0, 3.0, "Tous les candidats", 331.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "8966", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8966&g_ta_cod=8966", 100.0, 0.0, 0.0),
(4541, "Public", "0623985V", "I.U.T. de Lens", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "BUT", "I.U.T. de Lens - BUT - Informatique Parcours : Réalisation d?applications : conception, développement, validation - Déploiement d?applications communicantes et sécurisées - Administration, gestion et exploitation des données", "BUT - Production", "Réalisation d?applications : conception, développement, validation - Déploiement d?applications communicantes et sécurisées - Administration, gestion et exploitation des données", 78, 1109, 77, 1077, 0, 555, 99, 272, 75, 28, 11, 222, 32, 0, 15, 0, 17, 651, 5, 0, 0, 425, 71, 142, 34, 1, 0, 83, 335, 79, 3, 75, 4, 11.0, 53.0, 73.0, 0, 11, 65, 52, 12, 1, 14, 0, 15, 29, 15, 6, 0.0, 41, 8, 1, 0, 0, 58, 58, 13.92, 67.09, 92.41, 3.7998046875, 89.1875, 89.1875, 0, 16.8984375, 82.296875, 0.0, 23.09765625, 44.59375, 23.09765625, 9.2, 0.0, 80.0, 63.09375, 18.5, 12.298828125, 1.5, 1.5, 175.0, 39.0, 1.0, 0.0, 44.0, "Tous les candidats sauf les Bac technologiques", 365.0, "Bacheliers technologiques toutes séries", 155, "", 0, "Liste d'appel propre à cette formation", 48.0, "7520", "BUT - Informatique Parcours : Réalisation d?applications : conception, développement, validation - Déploiement d?applications communicantes et sécurisées - Administration, gestion et exploitation des données", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7520&g_ta_cod=7520", 77.0, 22.0, 1.0),
(4542, "Public", "0190012K", "Lycée Simone Veil", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BTS", "Lycée Simone Veil - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 18, 299, 79, 287, 0, 13, 3, 29, 9, 69, 28, 176, 12, 4, 0, 0, 8, 101, 4, 0, 0, 13, 3, 28, 8, 54, 19, 6, 58, 17, 4, 15, 2, 7.0, 12.0, 16.0, 0, 6, 15, 1, 7, 7, 2, 0, 7, 7, 1, 0, 0.0, 0, 3, 5, 3, 1, 9, 9, 41.18, 70.59, 94.12, 23.5, 60.0, 60.0, 20, 40.0, 88.1875, 0.0, 46.6953125, 46.6953125, 6.69921875, 0.0, 0.0, 6.69921875, 0.0, 46.6953125, 20.0, 46.6953125, 33.296875, 15.0, 3.0, 21.0, 8.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 31.0, "3139", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3139&g_ta_cod=3139", 12.0, 41.0, 47.0),
(4543, "Public", "0170020E", "Lycée Emile Combes", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Pons", "formation sélective", "BTS", "Lycée Emile Combes - BTS - Production - Bâtiment", "BTS - Production", "", 15, 299, 51, 247, 0, 30, 5, 81, 16, 39, 6, 97, 52, 6, 15, 12, 19, 111, 23, 0, 0, 14, 4, 55, 11, 28, 5, 14, 95, 11, 2, 3, 8, 0.0, 3.0, 7.0, 0, 2, 7, 3, 1, 3, 4, 1, 4, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 2, 2, 0.0, 27.27, 63.64, 18.19921875, 28.59765625, 28.59765625, 0, 28.59765625, 63.59375, 14.298828125, 57.09375, 28.59765625, 0.0, 0.0, 0.0, 42.8984375, 14.298828125, 14.298828125, 14.298828125, 42.8984375, 0.0, 14.0, 2.0, 27.0, 5.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 43.0, "3017", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3017&g_ta_cod=3017", 27.0, 18.0, 55.0),
(4544, "Privé sous contrat d'association", "0440282T", "SEGT LPP LE MASLE", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BTS", "SEGT LPP LE MASLE - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 18, 282, 113, 282, 0, 32, 3, 103, 18, 112, 26, 35, 0, 0, 0, 0, 0, 264, 0, 0, 0, 31, 3, 95, 16, 108, 25, 30, 80, 20, 8, 20, 0, 2.0, 6.0, 13.0, 0, 0, 18, 1, 7, 10, 2, 0, 11, 6, 1, 0, 0.0, 0, 1, 6, 2, 0, 13, 13, 10.0, 30.0, 65.0, 40.0, 72.1875, 72.1875, 11.099609375, 0.0, 90.0, 0.0, 61.09375, 33.296875, 5.599609375, 0.0, 0.0, 5.599609375, 0.0, 38.8984375, 5.599609375, 55.59375, 33.296875, 8.0, 2.0, 24.0, 3.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 38.0, "5534", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5534&g_ta_cod=5534", 10.0, 40.0, 50.0),
(4545, "Public", "0280007F", "Lycée Marceau", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Chartres", "formation sélective", "CPGE", "Lycée Marceau - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 526, 195, 433, 330, 283, 36, 2, 0, 0, 0, 148, 93, 58, 1, 1, 33, 276, 37, 219, 255, 253, 26, 0, 0, 0, 0, 23, 287, 23, 6, 21, 2, 1.0, 20.0, 22.0, 19, 2, 22, 22, 0, 0, 1, 0, 0, 15, 7, 0, 0.0, 22, 0, 0, 0, 0, 3, 3, 4.35, 86.96, 95.65, 26.09765625, 13.599609375, 13.599609375, 0, 9.099609375, 95.6875, 0.0, 0.0, 68.1875, 31.796875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 265.0, 23.0, 0.0, 0.0, 22.0, "Tous les candidats", 271.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "3725", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3725&g_ta_cod=3725", 100.0, 0.0, 0.0),
(4546, "Public", "0941288P", "I.U.T. de Créteil-Vitry - Site de Créteil- UPEC", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "BUT", "I.U.T. de Créteil-Vitry - Site de Créteil- UPEC - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", "BUT - Production", "Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", 72, 1669, 127, 1669, 0, 742, 234, 494, 171, 44, 18, 389, 0, 0, 0, 0, 0, 1117, 0, 0, 0, 610, 185, 333, 107, 2, 1, 172, 490, 79, 7, 79, 0, 4.0, 42.0, 69.0, 0, 22, 66, 33, 32, 1, 13, 0, 32, 26, 6, 2, 0.0, 18, 15, 1, 0, 0, 39, 65, 5.06, 53.16, 87.34, 8.8984375, 59.09375, 98.5, 0, 33.296875, 83.5, 0.0, 48.5, 39.3984375, 9.099609375, 3.0, 0.0, 50.0, 27.296875, 48.5, 22.69921875, 1.5, 1.5, 218.0, 75.0, 2.0, 1.0, 79.0, "Tous les candidats sauf les Bac technologiques", 458.0, "Bacheliers technologiques toutes séries", 331, "", 0, "Liste d'appel propre à cette formation", 47.0, "11508", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11508&g_ta_cod=11508", 51.0, 48.0, 1.0),
(4547, "Public", "0221031B", "Lycée agricole Public", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Merdrignac", "formation sélective", "BTS", "Lycée agricole Public - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 38, 380, 200, 380, 0, 14, 5, 41, 10, 92, 19, 233, 0, 0, 0, 0, 0, 164, 0, 0, 0, 14, 5, 41, 10, 92, 19, 17, 104, 37, 24, 37, 0, 14.0, 34.0, 35.0, 0, 7, 35, 2, 11, 22, 2, 0, 16, 13, 6, 0, 0.0, 1, 7, 11, 12, 7, 24, 24, 37.84, 91.89, 94.59, 64.890625, 68.59375, 68.59375, 34.296875, 20.0, 94.59375, 0.0, 45.6953125, 37.09375, 17.09765625, 0.0, 0.0, 5.69921875, 2.89990234375, 31.3984375, 20.0, 62.8984375, 31.3984375, 10.0, 3.0, 59.0, 11.0, 6.0, "Tous les candidats sauf les Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 75, "", 0, "Liste d'appel propre à cette formation", 33.0, "3351", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3351&g_ta_cod=3351", 8.0, 30.0, 62.0),
(4548, "Public", "0140043W", "Lycée André Maurois", "14", "Calvados", "Normandie", "Normandie", "Deauville", "formation sélective", "BTS", "Lycée André Maurois - BTS - Services - Tourisme", "BTS - Services", "", 36, 443, 337, 443, 0, 119, 19, 91, 24, 82, 37, 151, 0, 0, 0, 0, 0, 340, 0, 0, 0, 110, 17, 77, 19, 73, 34, 80, 132, 35, 30, 35, 0, 8.0, 31.0, 35.0, 0, 6, 31, 9, 13, 9, 4, 0, 6, 16, 8, 1, 0.0, 8, 8, 9, 1, 1, 29, 29, 22.86, 88.57, 100.0, 85.6875, 93.5, 93.5, 3.19970703125, 19.3984375, 88.59375, 0.0, 19.3984375, 51.59375, 25.796875, 3.2, 0.0, 29.0, 25.796875, 41.8984375, 25.796875, 29.0, 29.0, 28.0, 8.0, 30.0, 10.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 45.0, "2831", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2831&g_ta_cod=2831", 31.0, 43.0, 26.0),
(4549, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "PASS", "Université de Tours - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 90, 1633, 1055, 1633, 0, 1219, 205, 16, 5, 12, 6, 386, 0, 0, 0, 0, 0, 1593, 0, 0, 0, 1219, 205, 16, 5, 12, 6, 346, 509, 88, 55, 88, 0, 1.0, 46.0, 72.0, 0, 23, 85, 85, 0, 0, 3, 0, 9, 50, 24, 2, 0.0, 76, 0, 0, 0, 0, 80, 80, 1.14, 52.27, 81.82, 62.5, 94.09375, 94.09375, 0, 27.09765625, 96.59375, 0.0, 10.599609375, 58.796875, 28.19921875, 2.4, 0.0, 100.0, 89.390625, 0.0, 0.0, 0.0, 0.0, 498.0, 82.0, 0.0, 0.0, 11.0, "Tous les candidats", 2189.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "27676", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27667&g_ta_cod=27676", 100.0, 0.0, 0.0),
(4550, "Public", "0750558Z", "Lycée Paul Poiret", "75", "Paris", "Ile-de-France", "Paris", "Paris 11e  Arrondissement", "formation sélective", "Autre formation", "Lycée Paul Poiret - DN MADE - Spectacle - - Spécialité : Mise en lumière pour le spectacle et l'événement", "DN MADE", "- Spécialité : Mise en lumière pour le spectacle et l'événement", 8, 133, 62, 133, 0, 50, 4, 24, 4, 15, 4, 44, 0, 0, 0, 0, 0, 48, 0, 0, 0, 23, 0, 8, 1, 2, 1, 15, 24, 7, 4, 7, 0, 0.0, 7.0, 7.0, 0, 0, 5, 4, 1, 0, 2, 0, 0, 4, 1, 0, 0.0, 4, 1, 0, 0, 0, 2, 2, 0.0, 100.0, 100.0, 57.09375, 40.0, 40.0, 0, 0.0, 71.390625, 0.0, 0.0, 80.0, 20.0, 0.0, 0.0, 80.0, 80.0, 20.0, 20.0, 0.0, 0.0, 11.0, 0.0, 0.0, 0.0, 8.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "21976", "DN MADE - Spectacle - - Spécialité : Mise en lumière pour le spectacle et l'événement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21976&g_ta_cod=21976", 86.0, 14.0, 0.0),
(4551, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Gaston Berger - CPGE - ENS Cachan D2", "Classe préparatoire économique et commerciale", "", 48, 616, 314, 594, 316, 416, 55, 2, 0, 0, 0, 176, 22, 10, 3, 0, 9, 394, 4, 58, 389, 365, 41, 0, 0, 0, 0, 29, 303, 31, 20, 30, 1, 8.0, 29.0, 31.0, 4, 4, 28, 28, 0, 0, 3, 1, 2, 8, 10, 7, 0.0, 25, 0, 0, 0, 0, 18, 18, 25.81, 93.55, 100.0, 64.5, 64.296875, 64.296875, 0, 14.298828125, 90.296875, 3.599609375, 7.099609375, 28.59765625, 35.6953125, 25.0, 0.0, 100.0, 89.296875, 0.0, 0.0, 0.0, 0.0, 280.0, 34.0, 0.0, 0.0, 23.0, "Tous les candidats", 404.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "6862", "CPGE - ENS Cachan D2", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6862&g_ta_cod=6862", 100.0, 0.0, 0.0),
(4552, "Public", "0101037Y", "Campus des Comtes de champagne - URCA", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation non sélective", "Licence_Las", "Université de Reims Champagne-Ardenne - Licence - Sciences pour la santé - Droit -  option Santé", "Licence - Sciences - technologies - santé", "Droit : Campus des Comtes de champagne - URCA", 36, 144, 112, 139, 0, 92, 26, 12, 7, 4, 3, 31, 5, 4, 0, 0, 1, 139, 5, 0, 0, 92, 26, 12, 7, 4, 3, 31, 126, 30, 25, 28, 2, 1.0, 23.0, 28.0, 0, 10, 22, 15, 4, 3, 8, 0, 12, 9, 1, 0, 0.0, 9, 0, 1, 0, 0, 14, 14, 3.33, 76.67, 93.33, 83.296875, 63.59375, 63.59375, 0, 45.5, 73.296875, 0.0, 54.5, 40.8984375, 4.5, 0.0, 0.0, 68.1875, 40.8984375, 18.19921875, 0.0, 13.599609375, 4.5, 86.0, 23.0, 3.0, 2.0, 25.0, "Tous les candidats", 138.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "32144", "Licence - Sciences pour la santé - Droit -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32143&g_ta_cod=32144", 67.0, 20.0, 10.0),
(4553, "Public", "0390013C", "Lycée Jacques Duhamel", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Dole", "formation sélective", "BTS", "Lycée Jacques Duhamel - BTS - Production - Conception de produits industriels", "BTS - Production", "", 18, 131, 10, 126, 0, 12, 1, 65, 6, 32, 7, 17, 5, 0, 1, 1, 3, 101, 1, 0, 0, 11, 1, 63, 6, 17, 4, 10, 72, 9, 1, 9, 0, 1.0, 9.0, 9.0, 0, 1, 8, 2, 3, 3, 1, 0, 2, 4, 2, 0, 0.0, 2, 1, 3, 1, 0, 5, 5, 11.11, 100.0, 100.0, 11.099609375, 62.5, 62.5, 12.5, 12.5, 88.890625, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 25.0, 25.0, 37.5, 12.5, 37.5, 37.5, 8.0, 1.0, 15.0, 2.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 76.0, "5143", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5143&g_ta_cod=5143", 22.0, 44.0, 33.0),
(4554, "Privé enseignement supérieur", "T942095S", "EPITA Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Ecole d'Ingénieur", "Concours Advance - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 60, 1805, 278, 1801, 0, 1797, 137, 0, 0, 0, 0, 4, 4, 4, 0, 0, 0, 1497, 3, 0, 0, 1497, 88, 0, 0, 0, 0, 0, 1219, 65, 12, 62, 3, 42.0, 52.0, 63.0, 0, 5, 65, 65, 0, 0, 0, 0, 4, 24, 23, 13, 1.0, 61, 0, 0, 0, 0, 35, 35, 64.62, 80.0, 96.92, 18.5, 53.796875, 53.796875, 0, 7.69921875, 100.0, 0.0, 6.19921875, 36.8984375, 35.3984375, 20.0, 1.5, 100.0, 93.796875, 0.0, 0.0, 0.0, 0.0, 1219.0, 65.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 83.0, "481", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Advance", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=124&g_ta_cod=481", 100.0, 0.0, 0.0),
(4555, "Privé sous contrat d'association", "0211090W", "Lycée saint bénigne", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée saint bénigne - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 298, 129, 251, 0, 61, 12, 62, 16, 39, 8, 89, 47, 4, 4, 11, 28, 190, 10, 0, 0, 59, 12, 49, 11, 31, 7, 51, 145, 27, 14, 21, 6, 4.0, 17.0, 23.0, 0, 2, 16, 7, 2, 7, 11, 0, 4, 10, 2, 0, 0.0, 3, 2, 7, 4, 1, 16, 16, 14.81, 62.96, 85.19, 51.8984375, 100.0, 100.0, 25, 12.5, 59.296875, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 43.796875, 18.796875, 12.5, 12.5, 43.796875, 43.796875, 46.0, 6.0, 26.0, 7.0, 38.0, "Tous les candidats sauf les Bac professionnels", 143.0, "Bacheliers professionnels toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 69.0, "3223", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3223&g_ta_cod=3223", 56.0, 15.0, 30.0),
(4556, "Public", "0631480S", "Lycée professionnel Pierre Boulanger", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Pont-du-Château", "formation sélective", "BTS", "Lycée professionnel Pierre Boulanger - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 24, 355, 95, 315, 0, 24, 3, 35, 9, 95, 34, 161, 40, 2, 8, 8, 22, 81, 8, 0, 0, 10, 1, 20, 4, 45, 12, 6, 68, 20, 6, 16, 4, 9.0, 16.0, 18.0, 0, 6, 15, 1, 1, 13, 5, 0, 5, 6, 4, 0, 0.0, 0, 0, 10, 6, 1, 12, 12, 45.0, 80.0, 90.0, 30.0, 80.0, 80.0, 40, 40.0, 75.0, 0.0, 33.296875, 40.0, 26.69921875, 0.0, 0.0, 6.69921875, 0.0, 6.69921875, 0.0, 86.6875, 66.6875, 11.0, 1.0, 31.0, 9.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 25.0, "7627", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7627&g_ta_cod=7627", 10.0, 20.0, 70.0),
(4557, "Public", "0641732K", "Lycée Saint-John Perse", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "BTS", "Lycée Saint-John Perse - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 468, 47, 468, 0, 56, 12, 128, 46, 135, 54, 149, 0, 0, 0, 0, 0, 320, 0, 0, 0, 51, 12, 110, 39, 110, 39, 49, 142, 30, 3, 30, 0, 4.0, 25.0, 28.0, 0, 10, 27, 2, 16, 9, 3, 0, 11, 11, 4, 1, 0.0, 2, 5, 9, 3, 1, 24, 24, 13.33, 83.33, 93.33, 10.0, 88.890625, 88.890625, 11.099609375, 37.0, 90.0, 0.0, 40.6953125, 40.6953125, 14.798828125, 3.7, 0.0, 7.3994140625, 7.3994140625, 59.296875, 18.5, 33.296875, 33.296875, 16.0, 5.0, 40.0, 13.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 103, "Liste d'appel propre à cette formation", 41.0, "7777", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7777&g_ta_cod=7777", 13.0, 57.0, 30.0),
(4558, "Privé sous contrat d'association", "0783351U", "Lycée Notre Dame du Grandchamp", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Notre Dame du Grandchamp - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 22, 1993, 1021, 1993, 0, 1876, 67, 1, 0, 0, 0, 116, 0, 0, 0, 0, 0, 585, 0, 0, 585, 585, 20, 0, 0, 0, 0, 0, 213, 20, 12, 20, 0, 1.0, 13.0, 17.0, 0, 1, 20, 20, 0, 0, 0, 0, 0, 0, 6, 14, 0.0, 20, 0, 0, 3, 2, 12, 17, 5.0, 65.0, 85.0, 60.0, 60.0, 85.0, 15, 5.0, 100.0, 0.0, 0.0, 0.0, 30.0, 70.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 213.0, 7.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "31644", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31268&g_ta_cod=31644", 100.0, 0.0, 0.0),
(4559, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour / Lycée Louis Barthou de Pau - Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales - Parcours PPPE", "Licence - Sciences - technologies - santé", "PPPE", 40, 220, 148, 197, 0, 132, 12, 12, 1, 4, 1, 49, 23, 2, 2, 0, 19, 197, 22, 0, 0, 132, 12, 12, 1, 4, 1, 49, 169, 32, 20, 28, 4, 7.0, 28.0, 31.0, 0, 2, 19, 16, 3, 0, 13, 0, 5, 6, 4, 4, 0.0, 12, 2, 0, 0, 0, 12, 12, 21.88, 87.5, 96.88, 62.5, 63.1953125, 63.1953125, 0, 10.5, 59.3984375, 0.0, 26.296875, 31.59765625, 21.09765625, 21.1, 0.0, 84.1875, 63.1953125, 15.798828125, 10.5, 0.0, 0.0, 99.0, 12.0, 1.0, 1.0, 60.0, "Tous les candidats", 192.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "32734", "Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales - Parcours PPPE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32734&g_ta_cod=32734", 91.0, 9.0, 0.0),
(4560, "Public", "0830053G", "Lycée Dumont d'Urville", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "CPGE", "Lycée Dumont d'Urville - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 351, 236, 327, 156, 264, 53, 3, 1, 1, 1, 59, 24, 13, 3, 0, 8, 287, 13, 143, 274, 254, 49, 0, 0, 0, 0, 33, 274, 55, 33, 52, 3, 23.0, 52.0, 54.0, 14, 11, 50, 50, 0, 0, 5, 0, 2, 19, 16, 12, 1.0, 48, 0, 0, 11, 5, 42, 42, 41.82, 94.55, 98.18, 60.0, 84.0, 84.0, 22, 22.0, 90.890625, 0.0, 4.0, 38.0, 32.0, 24.0, 2.0, 100.0, 96.0, 0.0, 0.0, 0.0, 0.0, 241.0, 46.0, 0.0, 0.0, 33.0, "Tous les candidats", 287.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "10345", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10345&g_ta_cod=10345", 100.0, 0.0, 0.0),
(4561, "Public", "0320039U", "L.E.G.T.A. Beaulieu-Lavacant", "32", "Gers", "Occitanie", "Toulouse", "Auch", "formation sélective", "BTS", "L.E.G.T.A. Beaulieu-Lavacant - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 19, 332, 146, 323, 0, 18, 2, 28, 7, 66, 29, 211, 9, 0, 2, 3, 4, 133, 2, 0, 0, 18, 2, 28, 7, 66, 29, 21, 80, 20, 9, 20, 0, 3.0, 15.0, 20.0, 0, 2, 17, 4, 2, 11, 3, 0, 6, 6, 5, 0, 0.0, 1, 2, 8, 1, 1, 12, 12, 15.0, 75.0, 100.0, 45.0, 70.59375, 70.59375, 5.8994140625, 11.798828125, 85.0, 0.0, 35.296875, 35.296875, 29.3984375, 0.0, 0.0, 23.5, 5.8994140625, 11.798828125, 11.798828125, 64.6875, 47.09375, 12.0, 1.0, 32.0, 12.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 41.0, "19635", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19635&g_ta_cod=19635", 35.0, 10.0, 55.0),
(4562, "Public", "0932116V", "Lycée Eugenie Cotton", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "Autre formation", "Lycée Eugenie Cotton - DN MADE - Graphisme - - Spécialité : OBJET ÉDITORIAL", "DN MADE", "- Spécialité : OBJET ÉDITORIAL", 16, 442, 263, 442, 0, 111, 32, 72, 11, 87, 28, 172, 0, 0, 0, 0, 0, 150, 0, 0, 0, 51, 9, 50, 6, 19, 3, 30, 67, 16, 9, 16, 0, 1.0, 12.0, 15.0, 0, 2, 11, 4, 4, 3, 5, 0, 2, 7, 1, 1, 0.0, 4, 3, 2, 0, 0, 4, 7, 6.25, 75.0, 93.75, 56.296875, 36.3984375, 63.59375, 0, 18.19921875, 68.796875, 0.0, 18.19921875, 63.59375, 9.099609375, 9.1, 0.0, 36.3984375, 36.3984375, 36.3984375, 27.296875, 27.296875, 18.19921875, 21.0, 7.0, 7.0, 2.0, 10.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "21915", "DN MADE - Graphisme - - Spécialité : OBJET ÉDITORIAL", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21915&g_ta_cod=21915", 38.0, 31.0, 19.0),
(4563, "Privé enseignement supérieur", "0753147N", "ICD International Business School - Campus de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 10e  Arrondissement", "formation sélective", "Ecole de Commerce", "ICD International Business School - Campus de Paris - Formation des écoles de commerce et de management Bac + 3 - Programme Bachelor visé en 3 ans - Option Event Management", "Formation des écoles de commerce et de management", "Programme Bachelor visé en 3 ans - Option Event Management", 75, 108, 65, 103, 0, 63, 9, 25, 1, 0, 0, 15, 5, 1, 1, 1, 2, 75, 0, 0, 0, 48, 7, 18, 1, 0, 0, 9, 75, 18, 13, 18, 0, 18.0, 18.0, 18.0, 0, 1, 15, 9, 6, 0, 3, 0, 11, 3, 1, 0, 0.0, 2, 2, 0, 0, 0, 2, 9, 100.0, 100.0, 100.0, 72.1875, 13.298828125, 60.0, 0, 6.69921875, 83.296875, 0.0, 73.296875, 20.0, 6.69921875, 0.0, 0.0, 60.0, 13.298828125, 40.0, 13.298828125, 0.0, 0.0, 48.0, 7.0, 0.0, 0.0, 9.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "23906", "Formation des écoles de commerce et de management Bac + 3 - Programme Bachelor visé en 3 ans - Option Event Management", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23906&g_ta_cod=23906", 67.0, 33.0, 0.0),
(4564, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Russe", "Licence - Arts-lettres-langues", "Russe", 50, 78, 48, 64, 0, 28, 8, 9, 3, 3, 2, 24, 14, 1, 1, 1, 11, 64, 7, 0, 0, 28, 8, 9, 3, 3, 2, 24, 71, 14, 8, 10, 4, 10.0, 10.0, 12.0, 0, 2, 6, 5, 1, 0, 8, 1, 1, 4, 0, 0, 0.0, 4, 0, 0, 0, 0, 5, 5, 71.43, 71.43, 85.71, 57.09375, 83.296875, 83.296875, 0, 33.296875, 42.8984375, 16.69921875, 16.69921875, 66.6875, 0.0, 0.0, 0.0, 83.296875, 66.6875, 16.69921875, 0.0, 0.0, 0.0, 28.0, 8.0, 4.0, 2.0, 29.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2896", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2896&g_ta_cod=2896", 86.0, 14.0, 0.0),
(4565, "Public", "0133516B", "Aix Marseille Université - Site d'Aix-en-Provence (Montperrin)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence_Las", "Aix-Marseille Université - Portail Louis Pasteur - Licence - Portail Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales", "Licence - Sciences - technologies - santé", "Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales - site d'Aix-en-Provence", 20, 3281, 2320, 3281, 0, 1920, 397, 184, 59, 10, 6, 1167, 0, 0, 0, 0, 0, 3240, 0, 0, 0, 1920, 397, 184, 59, 10, 6, 1126, 272, 15, 11, 15, 0, 1.0, 4.0, 8.0, 0, 2, 11, 11, 0, 0, 4, 0, 0, 2, 4, 5, 0.0, 11, 0, 0, 0, 0, 10, 10, 6.67, 26.67, 53.33, 73.296875, 90.890625, 90.890625, 0, 18.19921875, 73.296875, 0.0, 0.0, 18.19921875, 36.3984375, 45.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 138.0, 24.0, 0.0, 0.0, 132.0, "Tous les candidats", 1300.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "28587", "Licence - Portail Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12615&g_ta_cod=28587", 100.0, 0.0, 0.0),
(4566, "Public", "9741230U", "Lycée de Vincendo", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Joseph", "formation sélective", "BTS", "Lycée de Vincendo - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 388, 247, 338, 0, 23, 16, 133, 87, 102, 79, 80, 50, 0, 22, 0, 28, 174, 1, 0, 0, 10, 5, 83, 58, 66, 53, 15, 135, 34, 25, 31, 0, 5.0, 30.0, 30.0, 0, 24, 32, 4, 13, 15, 2, 0, 16, 9, 5, 2, 0.0, 2, 3, 11, 7, 4, 28, 28, 14.71, 88.24, 88.24, 73.5, 87.5, 87.5, 21.8984375, 75.0, 94.09375, 0.0, 50.0, 28.09765625, 15.599609375, 6.3, 0.0, 12.5, 6.2998046875, 40.59375, 9.3984375, 46.8984375, 34.3984375, 4.0, 3.0, 53.0, 43.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 47.0, "11973", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11973&g_ta_cod=11973", 15.0, 41.0, 44.0),
(4567, "Public", "0690104N", "Lycée Marcel Sembat", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Vénissieux", "formation sélective", "BTS", "Lycée Marcel Sembat - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 30, 510, 32, 467, 0, 27, 4, 179, 56, 141, 62, 120, 43, 0, 0, 25, 18, 242, 11, 0, 0, 8, 0, 130, 32, 83, 31, 21, 145, 30, 1, 21, 6, 2.0, 16.0, 20.0, 0, 10, 25, 0, 11, 14, 5, 0, 8, 12, 4, 1, 0.0, 0, 4, 13, 0, 0, 18, 18, 6.67, 53.33, 66.67, 3.2998046875, 72.0, 72.0, 0, 40.0, 83.296875, 0.0, 32.0, 48.0, 16.0, 4.0, 0.0, 0.0, 0.0, 44.0, 16.0, 56.0, 52.0, 2.0, 0.0, 68.0, 26.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 122, "Liste d'appel propre à cette formation", 45.0, "8244", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8244&g_ta_cod=8244", 3.0, 43.0, 53.0),
(4568, "Privé enseignement supérieur", "0492062A", "IRCOM Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Les Ponts-de-Cé", "formation sélective", "Licence", "IRCOM Angers - Licence - Humanités", "Licence - Sciences humaines et sociales", "", 55, 324, 206, 324, 0, 282, 17, 5, 1, 0, 0, 37, 0, 0, 0, 0, 0, 281, 0, 0, 0, 252, 13, 4, 1, 0, 0, 25, 168, 63, 41, 63, 0, 17.0, 58.0, 62.0, 0, 2, 59, 57, 2, 0, 4, 0, 0, 20, 29, 10, 0.0, 57, 2, 0, 0, 0, 12, 12, 26.98, 92.06, 98.41, 65.09375, 20.296875, 20.296875, 0, 3.39990234375, 93.6875, 0.0, 0.0, 33.8984375, 49.1953125, 16.9, 0.0, 96.59375, 96.59375, 3.39990234375, 3.39990234375, 0.0, 0.0, 149.0, 8.0, 0.0, 0.0, 16.0, "Tous les candidats", 252.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 63.0, "26069", "Licence - Humanités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26069&g_ta_cod=26069", 97.0, 3.0, 0.0),
(4569, "Privé sous contrat d'association", "0593061G", "Lycée Saint Luc Cambrai", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "BTS", "Lycée Saint Luc Cambrai - BTS - Services - Communication", "BTS - Services", "", 50, 234, 165, 226, 0, 77, 10, 39, 7, 19, 10, 91, 8, 1, 0, 3, 4, 174, 1, 0, 0, 77, 10, 36, 5, 5, 2, 56, 126, 46, 31, 45, 1, 22.0, 40.0, 46.0, 0, 7, 32, 20, 8, 4, 14, 0, 12, 13, 6, 1, 0.0, 10, 6, 4, 8, 4, 28, 28, 47.83, 86.96, 100.0, 67.390625, 87.5, 87.5, 25, 21.8984375, 69.59375, 0.0, 37.5, 40.59375, 18.796875, 3.1, 0.0, 62.5, 31.296875, 25.0, 18.796875, 12.5, 12.5, 57.0, 10.0, 7.0, 2.0, 42.0, "Tous les candidats sauf les Bac professionnels", 167.0, "Bacheliers professionnels toutes séries", 5, "", 0, "Liste d'appel propre à cette formation", 76.0, "6973", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6973&g_ta_cod=6973", 63.0, 28.0, 9.0),
(4570, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Lettres - Parcours Binational Lettres modernes-Allemand: études transculturelles", "Licence - Arts-lettres-langues", "Binational Lettres modernes-Allemand: études transculturelles", 5, 27, 19, 21, 0, 12, 4, 0, 0, 0, 0, 9, 6, 0, 1, 0, 5, 21, 5, 0, 0, 12, 4, 0, 0, 0, 0, 9, 16, 5, 3, 3, 2, 1.0, 3.0, 3.0, 0, 3, 4, 3, 1, 0, 1, 1, 2, 0, 0, 1, 0.0, 1, 0, 0, 0, 0, 2, 2, 20.0, 60.0, 60.0, 60.0, 50.0, 50.0, 0, 75.0, 80.0, 25.0, 50.0, 0.0, 0.0, 25.0, 0.0, 75.0, 25.0, 25.0, 0.0, 0.0, 0.0, 8.0, 4.0, 0.0, 0.0, 7.0, "Tous les candidats", 18.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "30881", "Licence - Lettres - Parcours Binational Lettres modernes-Allemand: études transculturelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30881&g_ta_cod=30881", 80.0, 20.0, 0.0),
(4571, "Privé sous contrat d'association", "0921981D", "IFSI de l'Hôpital Foch", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Suresnes", "formation sélective", "IFSI", "Regroupement d'IFSI UVSQ - D.E Infirmier", "D.E secteur sanitaire", "", 56, 3179, 2806, 3179, 0, 393, 84, 548, 186, 304, 145, 1934, 0, 0, 0, 0, 0, 2213, 0, 0, 0, 383, 82, 439, 144, 168, 83, 1223, 410, 56, 48, 56, 0, 2.0, 31.0, 54.0, 0, 3, 33, 24, 9, 0, 23, 0, 5, 15, 12, 1, 0.0, 19, 9, 0, 0, 0, 21, 26, 3.57, 55.36, 96.43, 85.6875, 63.59375, 78.796875, 0, 9.099609375, 58.8984375, 0.0, 15.19921875, 45.5, 36.3984375, 3.0, 0.0, 72.6875, 57.59375, 27.296875, 27.296875, 0.0, 0.0, 98.0, 21.0, 0.0, 0.0, 236.0, "Tous les candidats", 1029.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "23296", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23007&g_ta_cod=23296", 79.0, 21.0, 0.0),
(4572, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation non sélective", "Licence", "Université de La Rochelle - Licence - Sciences pour la santé", "Licence - Sciences - technologies - santé", "", 80, 834, 678, 834, 0, 474, 71, 59, 13, 1, 0, 300, 0, 0, 0, 0, 0, 833, 0, 0, 0, 474, 71, 59, 13, 1, 0, 299, 465, 78, 67, 77, 0, 4.0, 48.0, 62.0, 0, 14, 66, 63, 3, 0, 12, 1, 12, 30, 20, 3, 0.0, 51, 2, 0, 0, 0, 34, 34, 5.13, 61.54, 79.49, 85.890625, 51.5, 51.5, 0, 21.19921875, 84.59375, 1.5, 18.19921875, 45.5, 30.296875, 4.5, 0.0, 95.5, 77.296875, 4.5, 3.0, 0.0, 0.0, 289.0, 52.0, 0.0, 0.0, 166.0, "Tous les candidats", 551.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "21514", "Licence - Sciences pour la santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21514&g_ta_cod=21514", 95.0, 5.0, 0.0),
(4573, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Sciences sanitaires et sociales - Action sociale Santé", "Licence - Sciences humaines et sociales", "Action sociale Santé", 212, 973, 878, 777, 0, 284, 49, 240, 61, 43, 20, 210, 196, 51, 40, 14, 91, 774, 145, 0, 0, 284, 49, 240, 61, 43, 20, 207, 879, 185, 169, 122, 60, 42.0, 117.0, 156.0, 0, 36, 117, 54, 48, 15, 68, 0, 65, 43, 9, 0, 0.0, 23, 18, 11, 0, 0, 86, 86, 22.7, 63.24, 84.32, 91.390625, 73.5, 73.5, 0, 30.796875, 63.1953125, 0.0, 55.59375, 36.796875, 7.69921875, 0.0, 0.0, 46.1953125, 19.69921875, 41.0, 15.3984375, 12.798828125, 9.3984375, 321.0, 55.0, 45.0, 18.0, 260.0, "Tous les candidats", 903.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "6496", "Licence - Portail Sciences sanitaires et sociales - Action sociale Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26674&g_ta_cod=6496", 45.0, 40.0, 15.0),
(4574, "Public", "0060807V", "Université Côte d'Azur - UFR de Médecine", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Autre formation", "Regroupement Occitanie (Est) et PACA - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 40, 1974, 1899, 1974, 0, 585, 97, 57, 16, 1, 1, 1331, 0, 0, 0, 0, 0, 302, 0, 0, 0, 141, 12, 3, 0, 0, 0, 158, 146, 40, 40, 40, 0, 4.0, 34.0, 38.0, 0, 3, 21, 21, 0, 0, 19, 0, 0, 2, 13, 6, 0.0, 21, 0, 0, 0, 0, 4, 4, 10.0, 85.0, 95.0, 100.0, 19.0, 19.0, 0, 14.298828125, 52.5, 0.0, 0.0, 9.5, 61.8984375, 28.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 64.0, 10.0, 0.0, 0.0, 81.0, "Tous les candidats", 192.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 9.0, "28055", "Certificat de capacité d'Orthophoniste", "Regroupement Occitanie (Est) et PACA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28053&g_ta_cod=28055", 100.0, 0.0, 0.0),
(4575, "Public", "0211139Z", "I.U.T de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BUT", "I.U.T de Dijon - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière GC2F - Gestion et pilotage des ressources humaines GPRH - Gestion, entrepreneuriat et management d'activités GEMA - Contrôle de gestion et pilotage de la performance CG2P", "BUT - Service", "Gestion comptable, fiscale et financière GC2F - Gestion et pilotage des ressources humaines GPRH - Gestion, entrepreneuriat et management d'activités GEMA - Contrôle de gestion et pilotage de la performance CG2P", 168, 2437, 1273, 2402, 0, 1256, 211, 652, 209, 28, 12, 466, 35, 3, 14, 0, 18, 1677, 5, 0, 0, 981, 150, 448, 128, 0, 0, 248, 881, 164, 91, 160, 4, 78.0, 133.0, 152.0, 0, 40, 138, 73, 65, 0, 26, 0, 26, 72, 35, 5, 0.0, 60, 52, 0, 0, 0, 108, 108, 47.56, 81.1, 92.68, 55.5, 78.296875, 78.296875, 0, 29.0, 84.09375, 0.0, 18.796875, 52.1953125, 25.3984375, 3.6, 0.0, 52.8984375, 43.5, 47.09375, 37.6953125, 0.0, 0.0, 435.0, 91.0, 0.0, 0.0, 112.0, "Tous les candidats sauf les Bac technologiques", 573.0, "Bacheliers technologiques toutes séries", 486, "", 0, "Liste d'appel propre à cette formation", 44.0, "3239", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière GC2F - Gestion et pilotage des ressources humaines GPRH - Gestion, entrepreneuriat et management d'activités GEMA - Contrôle de gestion et pilotage de la performance CG2P", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3239&g_ta_cod=3239", 55.0, 45.0, 0.0),
(4576, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Portail Sciences pour l?ingénieur franco-allemand - Génie civil et management en Europe", "Licence - Sciences - technologies - santé", "Sciences pour l?ingénieur franco-allemand - Génie civil et management en Europe", 12, 62, 22, 52, 0, 43, 3, 3, 1, 0, 0, 6, 10, 5, 0, 0, 5, 35, 1, 0, 0, 30, 2, 1, 0, 0, 0, 4, 31, 8, 3, 7, 1, 2.0, 7.0, 8.0, 0, 0, 7, 6, 1, 0, 1, 1, 0, 2, 1, 3, 0.0, 5, 1, 0, 0, 0, 1, 1, 25.0, 87.5, 100.0, 37.5, 14.298828125, 14.298828125, 0, 0.0, 87.5, 14.298828125, 0.0, 28.59765625, 14.298828125, 42.9, 0.0, 85.6875, 71.390625, 14.298828125, 14.298828125, 0.0, 0.0, 26.0, 2.0, 0.0, 0.0, 4.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "30732", "Licence - Portail Sciences pour l?ingénieur franco-allemand - Génie civil et management en Europe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30732&g_ta_cod=30732", 88.0, 13.0, 0.0),
(4577, "Public", "0312686B", "Lycée Saint-Exupéry", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Blagnac", "formation sélective", "Autre formation", "Lycée Saint-Exupéry - Mention complémentaire - Aéronautique option avions à moteur à pistons", "Mention complémentaire", "", 6, 70, 4, 70, 0, 0, 0, 0, 0, 62, 13, 8, 0, 0, 0, 0, 0, 58, 0, 0, 0, 0, 0, 0, 0, 51, 11, 7, 22, 6, 0, 6, 0, 0.0, 5.0, 5.0, 0, 1, 5, 0, 0, 5, 1, 0, 1, 2, 2, 0, 0.0, 0, 0, 4, 0, 0, 1, 1, 0.0, 83.33, 83.33, 0.0, 20.0, 20.0, 0, 20.0, 83.296875, 0.0, 20.0, 40.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 19.0, 8.0, 3.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "16949", "Mention complémentaire - Aéronautique option avions à moteur à pistons", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16949&g_ta_cod=16949", 0.0, 0.0, 100.0),
(4578, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence_Las", "Université Paul Valery - Montpellier 3 - Licence - Portail Humanités - Licence - Portail Humanités - Parcours Etude et pratique du français (préparation à l'entrée aux écoles d'orthophonie)", "Licence - Arts-lettres-langues", "Licence - Portail Humanités - Parcours Etude et pratique du français (préparation à l'entrée aux écoles d'orthophonie)", 25, 418, 364, 411, 0, 172, 40, 40, 17, 10, 8, 189, 7, 1, 0, 0, 6, 411, 7, 0, 0, 172, 40, 40, 17, 10, 8, 189, 183, 23, 22, 21, 2, 6.0, 12.0, 19.0, 0, 4, 13, 9, 4, 0, 10, 0, 2, 6, 4, 1, 0.0, 8, 3, 0, 0, 0, 9, 9, 26.09, 52.17, 82.61, 95.6875, 69.1875, 69.1875, 0, 30.796875, 56.5, 0.0, 15.3984375, 46.1953125, 30.796875, 7.7, 0.0, 69.1875, 61.5, 30.796875, 23.09765625, 0.0, 0.0, 74.0, 18.0, 1.0, 1.0, 91.0, "Tous les candidats", 293.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 54.0, "28927", "Licence - Portail Humanités - Licence - Portail Humanités - Parcours Etude et pratique du français (préparation à l'entrée aux écoles d'orthophonie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28926&g_ta_cod=28927", 78.0, 17.0, 0.0),
(4579, "Public", "0420046X", "Lycée Etienne Mimard", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Etienne Mimard - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 13, 357, 18, 357, 0, 12, 2, 91, 18, 150, 50, 104, 0, 0, 0, 0, 0, 216, 0, 0, 0, 12, 2, 73, 14, 99, 32, 32, 74, 8, 0, 8, 0, 1.0, 6.0, 8.0, 0, 1, 7, 0, 2, 5, 1, 0, 0, 2, 3, 2, 0.0, 0, 2, 5, 0, 0, 6, 6, 12.5, 75.0, 100.0, 0.0, 85.6875, 85.6875, 0, 14.298828125, 87.5, 0.0, 0.0, 28.59765625, 42.8984375, 28.6, 0.0, 0.0, 0.0, 28.59765625, 28.59765625, 71.390625, 71.390625, 3.0, 1.0, 35.0, 10.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 41.0, "5301", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5301&g_ta_cod=5301", 0.0, 25.0, 75.0),
(4580, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence_Las", "Université de Caen Normandie - Licence - Portail Sciences pour la santé", "Licence - Sciences - technologies - santé", "", 255, 2006, 1493, 2006, 0, 1472, 208, 105, 25, 4, 3, 425, 0, 0, 0, 0, 0, 2005, 0, 0, 0, 1472, 208, 105, 25, 4, 3, 424, 745, 255, 191, 255, 0, 74.0, 205.0, 221.0, 0, 31, 239, 234, 5, 0, 16, 0, 6, 40, 117, 62, 14.0, 228, 5, 0, 0, 0, 222, 222, 29.02, 80.39, 86.67, 74.890625, 92.890625, 92.890625, 0, 13.0, 93.6875, 0.0, 2.5, 16.69921875, 49.0, 25.9, 5.9, 97.890625, 95.390625, 2.099609375, 2.099609375, 0.0, 0.0, 591.0, 75.0, 0.0, 0.0, 126.0, "Tous les candidats", 937.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "27710", "Licence - Portail Sciences pour la santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27709&g_ta_cod=27710", 96.0, 3.0, 0.0),
(4581, "Public", "0590060V", "Lycée Alfred Kastler", "59", "Nord", "Hauts-de-France", "Lille", "Denain", "formation sélective", "BTS", "Lycée Alfred Kastler - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 15, 66, 12, 59, 0, 7, 2, 15, 3, 26, 7, 11, 7, 0, 0, 4, 3, 59, 5, 0, 0, 7, 2, 15, 3, 26, 7, 11, 38, 8, 0, 5, 3, 2.0, 5.0, 6.0, 0, 4, 6, 1, 0, 5, 2, 0, 1, 4, 1, 0, 0.0, 0, 0, 5, 1, 0, 4, 4, 25.0, 62.5, 75.0, 0.0, 66.6875, 66.6875, 16.69921875, 66.6875, 75.0, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 16.69921875, 0.0, 0.0, 0.0, 83.296875, 83.296875, 2.0, 1.0, 23.0, 8.0, 8.0, "Tous les candidats sauf les Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 90.0, "6732", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6732&g_ta_cod=6732", 13.0, 13.0, 75.0),
(4582, "Privé sous contrat d'association", "0921365J", "Lycée Madeleine Daniélou", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Rueil-Malmaison", "formation sélective", "CPGE", "Lycée Madeleine Daniélou - CPGE - Lettres", "Classe préparatoire littéraire", "", 42, 337, 232, 337, 0, 313, 17, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 250, 0, 0, 250, 247, 16, 0, 0, 0, 0, 3, 123, 42, 29, 42, 0, 10.0, 36.0, 41.0, 0, 0, 42, 42, 0, 0, 0, 0, 0, 0, 12, 26, 4.0, 42, 0, 0, 3, 3, 16, 32, 23.81, 85.71, 97.62, 69.0, 38.09375, 76.1875, 7.099609375, 0.0, 100.0, 0.0, 0.0, 0.0, 28.59765625, 61.9, 9.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 121.0, 6.0, 0.0, 0.0, 2.0, "Tous les candidats", 156.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "11116", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11116&g_ta_cod=11116", 100.0, 0.0, 0.0),
(4583, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 170, 1849, 1349, 1849, 0, 1074, 265, 158, 59, 29, 14, 588, 0, 0, 0, 0, 0, 1849, 0, 0, 0, 1074, 265, 158, 59, 29, 14, 588, 887, 166, 111, 166, 0, 8.0, 125.0, 149.0, 0, 27, 109, 108, 1, 0, 57, 0, 57, 44, 7, 1, 0.0, 51, 1, 0, 0, 0, 63, 103, 4.82, 75.3, 89.76, 66.890625, 57.796875, 94.5, 0, 24.796875, 65.6875, 0.0, 52.296875, 40.3984375, 6.3994140625, 0.9, 0.0, 99.09375, 46.796875, 0.89990234375, 0.89990234375, 0.0, 0.0, 665.0, 163.0, 2.0, 2.0, 212.0, "Tous les candidats", 1144.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "11088", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11088&g_ta_cod=11088", 98.0, 1.0, 0.0),
(4584, "Public", "0290018M", "Lycée agricole de Brehoulou", "29", "Finistère", "Bretagne", "Rennes", "Fouesnant", "formation sélective", "BTS", "Lycée agricole de Brehoulou - BTS - Agricole - Aquaculture", "BTS - Agricole", "", 32, 290, 69, 289, 0, 33, 4, 39, 5, 76, 17, 141, 1, 0, 0, 0, 1, 164, 0, 0, 0, 31, 4, 38, 5, 67, 14, 28, 107, 31, 4, 31, 0, 7.0, 27.0, 30.0, 0, 5, 24, 5, 9, 10, 7, 2, 14, 6, 2, 0, 0.0, 2, 2, 4, 2, 1, 9, 9, 22.58, 87.1, 96.77, 12.8984375, 37.5, 37.5, 8.298828125, 20.796875, 77.390625, 8.298828125, 58.296875, 25.0, 8.298828125, 0.0, 0.0, 20.796875, 8.298828125, 37.5, 8.298828125, 41.6953125, 16.69921875, 27.0, 3.0, 25.0, 4.0, 23.0, "Tous les candidats sauf les Bac professionnels", 95.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 46.0, "3780", "BTS - Agricole - Aquaculture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3780&g_ta_cod=3780", 32.0, 35.0, 32.0),
(4585, "Public", "0341334R", "IFSI CHU Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "IFSI", "Regroupement d'IFSI Université Montpellier - D.E Infirmier", "D.E secteur sanitaire", "", 126, 10571, 8896, 10571, 0, 1813, 471, 1850, 561, 990, 426, 5918, 0, 0, 0, 0, 0, 7583, 0, 0, 0, 1547, 365, 1386, 384, 608, 242, 4042, 674, 126, 111, 126, 0, 18.0, 78.0, 99.0, 0, 19, 62, 20, 36, 6, 64, 0, 1, 12, 39, 9, 1.0, 19, 36, 6, 0, 0, 44, 44, 14.29, 61.9, 78.57, 88.09375, 71.0, 71.0, 0, 30.59765625, 49.1953125, 0.0, 1.599853515625, 19.3984375, 62.8984375, 14.5, 1.6, 32.296875, 30.59765625, 58.09375, 58.09375, 9.69921875, 9.69921875, 163.0, 25.0, 30.0, 15.0, 314.0, "Tous les candidats", 1125.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 10.0, "23177", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22991&g_ta_cod=23177", 51.0, 40.0, 6.0),
(4586, "Privé sous contrat d'association", "0593007Y", "Lycée Frédéric OZANAM", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Frédéric OZANAM - BTS - Production - Management économique de la construction", "BTS - Production", "", 30, 92, 22, 75, 0, 16, 0, 32, 6, 9, 2, 18, 17, 3, 4, 2, 8, 65, 7, 0, 0, 16, 0, 29, 6, 8, 2, 12, 66, 15, 3, 13, 2, 10.0, 13.0, 15.0, 0, 4, 14, 4, 8, 2, 1, 0, 8, 4, 2, 0, 0.0, 2, 2, 2, 4, 0, 11, 11, 66.67, 86.67, 100.0, 20.0, 78.59375, 78.59375, 28.59765625, 28.59765625, 93.296875, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 28.59765625, 14.298828125, 57.09375, 14.298828125, 14.298828125, 14.298828125, 17.0, 0.0, 8.0, 3.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 85.0, "6945", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6945&g_ta_cod=6945", 27.0, 53.0, 20.0),
(4587, "Privé sous contrat d'association", "0660077A", "Lycée Sainte Louise de Marillac", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée Sainte Louise de Marillac - BTS - Production - Bâtiment", "BTS - Production", "", 16, 216, 29, 216, 0, 20, 7, 86, 14, 49, 17, 61, 0, 0, 0, 0, 0, 118, 0, 0, 0, 14, 3, 40, 3, 33, 7, 31, 34, 14, 1, 14, 0, 7.0, 12.0, 13.0, 0, 1, 11, 0, 8, 3, 3, 0, 2, 5, 3, 1, 0.0, 0, 7, 2, 2, 0, 11, 11, 50.0, 85.71, 92.86, 7.099609375, 100.0, 100.0, 18.19921875, 9.099609375, 78.59375, 0.0, 18.19921875, 45.5, 27.296875, 9.1, 0.0, 0.0, 0.0, 72.6875, 63.59375, 27.296875, 18.19921875, 6.0, 2.0, 6.0, 1.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 20.0, "7862", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7862&g_ta_cod=7862", 14.0, 64.0, 21.0),
(4588, "Privé enseignement supérieur", "0352349N", "Institut Catholique de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Bruz", "formation sélective", "Licence", "Institut Catholique de Rennes - Licence - Droit", "Licence - Droit-économie-gestion", "", 210, 253, 188, 208, 0, 180, 12, 9, 2, 0, 0, 19, 45, 23, 1, 0, 21, 179, 14, 0, 0, 155, 9, 8, 2, 0, 0, 16, 193, 57, 50, 54, 3, 54.0, 54.0, 57.0, 0, 5, 52, 46, 6, 0, 5, 0, 8, 29, 14, 1, 0.0, 38, 6, 0, 0, 0, 41, 41, 94.74, 94.74, 100.0, 87.6875, 78.796875, 78.796875, 0, 9.599609375, 91.1875, 0.0, 15.3984375, 55.796875, 26.8984375, 1.9, 0.0, 88.5, 73.09375, 11.5, 11.5, 0.0, 0.0, 166.0, 9.0, 0.0, 0.0, 19.0, "Tous les candidats", 179.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "13714", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13714&g_ta_cod=13714", 89.0, 11.0, 0.0),
(4589, "Public", "0312759F", "Lycée Joseph Gallieni", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée Joseph Gallieni - Mention complémentaire - Technicien en peinture aéronautique", "Mention complémentaire", "", 12, 42, 6, 42, 0, 0, 0, 0, 0, 34, 7, 8, 0, 0, 0, 0, 0, 42, 0, 0, 0, 0, 0, 0, 0, 34, 7, 8, 32, 10, 0, 10, 0, 3.0, 6.0, 9.0, 0, 2, 9, 0, 0, 9, 1, 0, 3, 5, 1, 0, 0.0, 0, 0, 6, 0, 0, 6, 6, 30.0, 60.0, 90.0, 0.0, 66.6875, 66.6875, 0, 22.19921875, 90.0, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 25.0, 6.0, 7.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "25663", "Mention complémentaire - Technicien en peinture aéronautique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25663&g_ta_cod=25663", 0.0, 0.0, 100.0),
(4590, "Public", "0681967U", "Université de Mulhouse - Site de Colmar - Faculté de marketing et d'agrosciences", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "Licence", "Université de Mulhouse - Site de Colmar - Faculté de marketing et d'agrosciences - Licence - Gestion - Parcours Marketing international", "Licence - Droit-économie-gestion", "Marketing international", 13, 150, 98, 101, 0, 53, 9, 13, 4, 2, 2, 33, 49, 8, 4, 1, 36, 18, 0, 0, 0, 17, 1, 1, 0, 0, 0, 0, 18, 4, 3, 4, 0, 3.0, 4.0, 4.0, 0, 0, 4, 4, 0, 0, 0, 0, 0, 1, 1, 2, 0.0, 4, 0, 0, 0, 0, 2, 2, 75.0, 100.0, 100.0, 75.0, 50.0, 50.0, 0, 0.0, 100.0, 0.0, 0.0, 25.0, 25.0, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 17.0, 1.0, 0.0, 0.0, 0.0, "Tous les candidats", 18.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "19095", "Licence - Gestion - Parcours Marketing international", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19095&g_ta_cod=19095", 100.0, 0.0, 0.0),
(4591, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 95, 1758, 1185, 1758, 0, 1189, 187, 93, 17, 3, 2, 473, 0, 0, 0, 0, 0, 1756, 0, 0, 0, 1189, 187, 93, 17, 3, 2, 471, 703, 94, 63, 94, 0, 5.0, 68.0, 92.0, 0, 15, 67, 65, 2, 0, 27, 0, 11, 31, 22, 2, 1.0, 55, 1, 0, 0, 0, 63, 63, 5.32, 72.34, 97.87, 67.0, 94.0, 94.0, 0, 22.3984375, 71.296875, 0.0, 16.3984375, 46.296875, 32.796875, 3.0, 1.5, 97.0, 82.09375, 3.0, 1.5, 0.0, 0.0, 499.0, 71.0, 0.0, 0.0, 191.0, "Tous les candidats", 1208.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 58.0, "7743", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28697&g_ta_cod=7743", 98.0, 2.0, 0.0),
(4592, "Public", "0221036G", "I.U.T de Lannion", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Lannion", "formation sélective", "BUT", "I.U.T de Lannion - BUT - Information communication Parcours journalisme", "BUT - Service", "", 29, 1011, 481, 1008, 0, 733, 90, 43, 7, 5, 2, 227, 3, 0, 0, 0, 3, 53, 0, 0, 0, 28, 2, 9, 2, 0, 0, 16, 44, 28, 14, 28, 0, 18.0, 26.0, 27.0, 0, 2, 18, 14, 4, 0, 10, 0, 0, 5, 6, 6, 1.0, 14, 4, 0, 0, 0, 7, 7, 64.29, 92.86, 96.43, 50.0, 38.8984375, 38.8984375, 0, 11.099609375, 64.296875, 0.0, 0.0, 27.796875, 33.296875, 33.3, 5.6, 77.796875, 77.796875, 22.19921875, 22.19921875, 0.0, 0.0, 23.0, 2.0, 0.0, 0.0, 13.0, "Tous les candidats sauf les Bac technologiques", 36.0, "Bacheliers technologiques toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 5.0, "3356", "BUT - Information communication Parcours journalisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3356&g_ta_cod=3356", 86.0, 14.0, 0.0),
(4593, "Public", "0671509B", "Lycée des métiers CFA Heinrich-Nessel", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Haguenau", "formation sélective", "BTS", "Lycée des métiers CFA Heinrich-Nessel - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 14, 284, 30, 284, 0, 46, 12, 82, 30, 57, 22, 99, 0, 0, 0, 0, 0, 234, 0, 0, 0, 43, 11, 74, 28, 49, 17, 68, 46, 16, 0, 16, 0, 6.0, 16.0, 16.0, 0, 4, 11, 2, 4, 5, 5, 0, 7, 2, 2, 0, 0.0, 0, 0, 4, 2, 0, 10, 10, 37.5, 100.0, 100.0, 0.0, 90.890625, 90.890625, 18.19921875, 36.3984375, 68.796875, 0.0, 63.59375, 18.19921875, 18.19921875, 0.0, 0.0, 18.19921875, 0.0, 36.3984375, 0.0, 45.5, 36.3984375, 6.0, 1.0, 8.0, 2.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 23.0, "7963", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7963&g_ta_cod=7963", 19.0, 50.0, 31.0),
(4594, "Privé sous contrat d'association", "0440161L", "Lycée St Joseph du Loquidy", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "Lycée St Joseph du Loquidy - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 34, 327, 140, 317, 0, 290, 16, 0, 0, 0, 0, 27, 10, 6, 0, 0, 4, 303, 6, 0, 303, 285, 14, 0, 0, 0, 0, 18, 221, 19, 5, 18, 1, 1.0, 18.0, 19.0, 0, 0, 17, 17, 0, 0, 2, 0, 2, 6, 7, 2, 0.0, 15, 0, 0, 4, 2, 14, 14, 5.26, 94.74, 100.0, 26.296875, 82.390625, 82.390625, 23.5, 0.0, 89.5, 0.0, 11.798828125, 35.296875, 41.1953125, 11.8, 0.0, 100.0, 88.1875, 0.0, 0.0, 0.0, 0.0, 206.0, 14.0, 0.0, 0.0, 15.0, "Tous les candidats", 302.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "31339", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31339&g_ta_cod=31339", 100.0, 0.0, 0.0),
(4595, "Public", "0420042T", "Lycée Honore D'Urfe", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Honore D'Urfe - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 34, 1052, 554, 1052, 0, 81, 22, 431, 154, 286, 109, 254, 0, 0, 0, 0, 0, 450, 0, 0, 0, 63, 16, 142, 49, 170, 53, 75, 130, 27, 11, 27, 0, 4.0, 24.0, 24.0, 0, 10, 21, 0, 12, 9, 6, 0, 7, 10, 4, 0, 0.0, 0, 6, 8, 0, 0, 18, 18, 14.81, 88.89, 88.89, 40.6953125, 85.6875, 85.6875, 0, 47.59375, 77.796875, 0.0, 33.296875, 47.59375, 19.0, 0.0, 0.0, 0.0, 0.0, 57.09375, 28.59765625, 42.8984375, 38.09375, 1.0, 1.0, 57.0, 15.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 87, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 17.0, "5288", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5288&g_ta_cod=5288", 4.0, 59.0, 37.0),
(4596, "Public", "0590282L", "Lycée Jules Mousseron", "59", "Nord", "Hauts-de-France", "Lille", "Denain", "formation sélective", "BTS", "Lycée Jules Mousseron - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 519, 457, 516, 0, 51, 15, 120, 50, 170, 87, 175, 3, 1, 0, 0, 2, 361, 0, 0, 0, 44, 13, 101, 40, 136, 68, 80, 148, 33, 32, 33, 0, 3.0, 22.0, 27.0, 0, 12, 28, 5, 10, 13, 5, 0, 7, 14, 6, 1, 0.0, 2, 7, 12, 6, 6, 28, 28, 9.09, 66.67, 81.82, 97.0, 100.0, 100.0, 21.3984375, 42.8984375, 84.796875, 0.0, 25.0, 50.0, 21.3984375, 3.6, 0.0, 17.8984375, 7.099609375, 35.6953125, 25.0, 46.3984375, 42.8984375, 36.0, 12.0, 45.0, 22.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 39.0, "6879", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6879&g_ta_cod=6879", 24.0, 30.0, 45.0),
(4597, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Eurasie -  Mongol", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Eurasie -  Mongol", 25, 71, 40, 25, 0, 9, 3, 0, 0, 1, 1, 15, 46, 7, 2, 0, 37, 25, 44, 0, 0, 9, 3, 0, 0, 1, 1, 15, 69, 23, 13, 5, 18, 5.0, 5.0, 10.0, 0, 2, 3, 1, 1, 1, 20, 0, 1, 1, 1, 0, 0.0, 1, 0, 1, 0, 0, 0, 1, 21.74, 21.74, 43.48, 56.5, 0.0, 33.296875, 0, 66.6875, 13.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 33.296875, 33.296875, 15.0, 6.0, 1.0, 1.0, 51.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9433", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Eurasie -  Mongol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29631&g_ta_cod=9433", 78.0, 13.0, 4.0),
(4598, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Lettres", "Licence - Arts-lettres-langues", "", 80, 420, 354, 361, 0, 272, 56, 13, 6, 11, 3, 65, 59, 12, 3, 6, 38, 361, 58, 0, 0, 272, 56, 13, 6, 11, 3, 65, 419, 59, 49, 39, 20, 37.0, 38.0, 53.0, 0, 9, 33, 27, 2, 4, 26, 0, 11, 14, 6, 2, 0.0, 18, 2, 2, 0, 0, 26, 26, 62.71, 64.41, 89.83, 83.09375, 78.796875, 78.796875, 0, 27.296875, 55.8984375, 0.0, 33.296875, 42.3984375, 18.19921875, 6.1, 0.0, 81.796875, 54.5, 6.099609375, 6.099609375, 12.099609375, 6.099609375, 284.0, 59.0, 17.0, 5.0, 102.0, "Tous les candidats", 361.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "27287", "Licence - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27287&g_ta_cod=27287", 81.0, 5.0, 14.0),
(4599, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Bi-disciplinaire : Philosophie - Allemand", "Licence - Arts-lettres-langues", "Bi-disciplinaire : Philosophie - Allemand", 60, 130, 74, 39, 0, 17, 7, 4, 1, 3, 3, 15, 91, 4, 2, 6, 79, 39, 89, 0, 0, 17, 7, 4, 1, 3, 3, 15, 128, 17, 7, 2, 15, 2.0, 2.0, 7.0, 0, 1, 2, 0, 0, 2, 15, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 11.76, 11.76, 41.18, 41.1953125, 100.0, 100.0, 0, 50.0, 11.798828125, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 21.0, 7.0, 9.0, 8.0, 92.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20687", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Bi-disciplinaire : Philosophie - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20687&g_ta_cod=20687", 76.0, 6.0, 12.0),
(4600, "Public", "0630018C", "Lycée Blaise Pascal", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "CPGE", "Lycée Blaise Pascal - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 22, 643, 296, 641, 352, 557, 45, 0, 0, 0, 0, 84, 2, 1, 0, 0, 1, 497, 1, 193, 451, 473, 42, 0, 0, 0, 0, 24, 225, 17, 12, 17, 0, 1.0, 11.0, 17.0, 0, 1, 17, 17, 0, 0, 0, 0, 0, 3, 12, 2, 0.0, 17, 0, 0, 1, 0, 10, 10, 5.88, 64.71, 100.0, 70.59375, 58.796875, 58.796875, 5.8994140625, 5.8994140625, 100.0, 0.0, 0.0, 17.59765625, 70.59375, 11.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 215.0, 18.0, 0.0, 0.0, 10.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "31623", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31285&g_ta_cod=31623", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(4601, "Public", "0520021R", "Lycée Diderot", "52", "Haute-Marne", "Grand Est", "Reims", "Langres", "formation sélective", "BTS", "Lycée Diderot - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 134, 82, 131, 0, 6, 2, 46, 13, 37, 10, 42, 3, 0, 1, 1, 1, 92, 1, 0, 0, 5, 2, 41, 11, 37, 10, 9, 70, 19, 13, 19, 0, 7.0, 16.0, 19.0, 0, 5, 17, 0, 5, 12, 2, 0, 11, 1, 3, 2, 0.0, 0, 2, 4, 3, 0, 15, 15, 36.84, 84.21, 100.0, 68.390625, 88.1875, 88.1875, 17.59765625, 29.3984375, 89.5, 0.0, 64.6875, 5.8994140625, 17.59765625, 11.8, 0.0, 0.0, 0.0, 29.3984375, 11.798828125, 70.59375, 23.5, 3.0, 1.0, 25.0, 8.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 62.0, "6171", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6171&g_ta_cod=6171", 0.0, 37.0, 63.0),
(4602, "Privé sous contrat d'association", "0721381K", "MFR-IR de Bernay en Champagne", "72", "Sarthe", "Pays de la Loire", "Nantes", "Bernay-Neuvy-en-Champagne", "formation sélective", "BTS", "MFR-IR de Bernay en Champagne - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 15, 20, 3, 20, 0, 1, 0, 3, 1, 15, 3, 1, 0, 0, 0, 0, 0, 20, 0, 0, 0, 1, 0, 3, 1, 15, 3, 1, 20, 8, 0, 8, 0, 4.0, 8.0, 8.0, 0, 2, 7, 0, 1, 6, 1, 0, 3, 4, 0, 0, 0.0, 0, 0, 4, 1, 0, 6, 6, 50.0, 100.0, 100.0, 0.0, 85.6875, 85.6875, 14.298828125, 28.59765625, 87.5, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 0.0, 0.0, 14.298828125, 0.0, 85.6875, 57.09375, 1.0, 0.0, 15.0, 3.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 3, "Liste d'appel propre à cette formation", 100.0, "8765", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8765&g_ta_cod=8765", 0.0, 13.0, 88.0),
(4603, "Public", "9740979W", "Lycée Jean Hinglo", "974", "La Réunion", "La Réunion", "La Réunion", "Le Port", "formation sélective", "BTS", "Lycée Jean Hinglo - BTS - Production - Bâtiment", "BTS - Production", "", 24, 254, 40, 254, 0, 12, 6, 90, 37, 95, 55, 57, 0, 0, 0, 0, 0, 150, 0, 0, 0, 10, 4, 69, 25, 61, 41, 10, 72, 23, 4, 23, 0, 7.0, 23.0, 23.0, 0, 14, 22, 1, 10, 11, 1, 0, 5, 9, 8, 0, 0.0, 0, 7, 10, 4, 1, 20, 20, 30.43, 100.0, 100.0, 17.3984375, 90.890625, 90.890625, 18.19921875, 63.59375, 95.6875, 0.0, 22.69921875, 40.8984375, 36.3984375, 0.0, 0.0, 4.5, 0.0, 45.5, 31.796875, 50.0, 45.5, 6.0, 2.0, 23.0, 17.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 37.0, "11935", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11935&g_ta_cod=11935", 4.0, 48.0, 48.0),
(4604, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Université de Strasbourg - C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master Ingénierie : Informatique, Image, Réalité Virtuelle, Interactions et Jeux", "C.M.I - Cursus Master en Ingénierie", "Cursus Master Ingénierie : Informatique, Image, Réalité Virtuelle, Interactions et Jeux", 20, 560, 91, 431, 0, 310, 56, 23, 5, 3, 1, 95, 129, 33, 5, 5, 86, 120, 8, 0, 0, 113, 15, 0, 0, 0, 0, 7, 78, 12, 1, 10, 2, 2.0, 9.0, 11.0, 0, 0, 9, 9, 0, 0, 3, 0, 0, 0, 5, 3, 1.0, 9, 0, 0, 0, 0, 5, 5, 16.67, 75.0, 91.67, 8.298828125, 55.59375, 55.59375, 0, 0.0, 75.0, 0.0, 0.0, 0.0, 55.59375, 33.3, 11.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 67.0, 10.0, 0.0, 0.0, 11.0, "Tous les candidats", 118.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "15964", "C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master Ingénierie : Informatique, Image, Réalité Virtuelle, Interactions et Jeux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15964&g_ta_cod=15964", 100.0, 0.0, 0.0),
(4605, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Sciences du langage - Parcours Linguistique générale et outillée", "Licence - Sciences humaines et sociales", "Linguistique générale et outillée", 150, 499, 431, 391, 0, 256, 53, 18, 5, 0, 0, 117, 108, 25, 5, 1, 77, 391, 78, 0, 0, 256, 53, 18, 5, 0, 0, 117, 445, 116, 98, 79, 37, 49.0, 78.0, 101.0, 0, 14, 66, 58, 7, 1, 50, 0, 21, 19, 21, 5, 0.0, 40, 5, 0, 0, 0, 56, 56, 42.24, 67.24, 87.07, 84.5, 84.796875, 84.796875, 0, 21.19921875, 56.8984375, 0.0, 31.796875, 28.796875, 31.796875, 7.6, 0.0, 87.890625, 60.59375, 10.599609375, 7.599609375, 1.5, 0.0, 266.0, 54.0, 1.0, 1.0, 156.0, "Tous les candidats", 391.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15756", "Licence - Sciences du langage - Parcours Linguistique générale et outillée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15756&g_ta_cod=15756", 88.0, 10.0, 2.0),
(4606, "Public", "0460493L", "Lycée Gaston Monnerville", "46", "Lot", "Occitanie", "Toulouse", "Cahors", "formation sélective", "BTS", "Lycée Gaston Monnerville - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 101, 5, 96, 0, 3, 0, 13, 1, 62, 14, 18, 5, 0, 3, 0, 2, 84, 1, 0, 0, 3, 0, 13, 1, 62, 14, 6, 34, 12, 0, 11, 1, 7.0, 9.0, 11.0, 0, 3, 12, 0, 1, 11, 0, 0, 1, 5, 6, 0, 0.0, 0, 1, 10, 7, 0, 11, 11, 58.33, 75.0, 91.67, 0.0, 91.6875, 91.6875, 58.296875, 25.0, 100.0, 0.0, 8.298828125, 41.6953125, 50.0, 0.0, 0.0, 0.0, 0.0, 8.298828125, 8.298828125, 91.6875, 83.296875, 1.0, 0.0, 19.0, 5.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 50.0, "5751", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5751&g_ta_cod=5751", 0.0, 8.0, 92.0),
(4607, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues étrangères appliquées - Parcours Anglais / Russe", "Licence - Arts-lettres-langues", "Anglais / Russe", 25, 139, 92, 54, 0, 23, 8, 1, 0, 4, 3, 26, 85, 7, 9, 4, 65, 50, 44, 0, 0, 23, 8, 1, 0, 4, 3, 22, 90, 22, 13, 3, 19, 1.0, 3.0, 12.0, 0, 4, 9, 4, 3, 2, 13, 0, 5, 3, 1, 0, 0.0, 1, 2, 1, 0, 0, 6, 7, 4.55, 13.64, 54.55, 59.09375, 66.6875, 77.796875, 0, 44.3984375, 40.8984375, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 44.3984375, 11.099609375, 33.296875, 22.19921875, 22.19921875, 11.099609375, 27.0, 10.0, 6.0, 5.0, 50.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "28170", "Licence - Langues étrangères appliquées - Parcours Anglais / Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28170&g_ta_cod=28170", 50.0, 18.0, 32.0),
(4608, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales - Mathématiques et informatique appliquées aux sciences humaines et sociales (MIASHS)", "Licence - Sciences humaines et sociales", "Mathématiques et informatique appliquées aux sciences humaines et sociales (MIASHS)", 90, 714, 311, 679, 0, 450, 67, 7, 4, 2, 0, 220, 35, 7, 1, 0, 27, 679, 28, 0, 0, 450, 67, 7, 4, 2, 0, 220, 580, 87, 35, 73, 14, 18.0, 57.0, 73.0, 0, 5, 44, 43, 1, 0, 43, 3, 9, 14, 15, 3, 0.0, 32, 0, 0, 0, 0, 36, 36, 20.69, 65.52, 83.91, 40.1953125, 81.796875, 81.796875, 0, 11.3984375, 50.59375, 6.7998046875, 20.5, 31.796875, 34.09375, 6.8, 0.0, 97.6875, 72.6875, 2.2998046875, 0.0, 0.0, 0.0, 385.0, 58.0, 1.0, 0.0, 189.0, "Tous les candidats", 708.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "32005", "Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales - Mathématiques et informatique appliquées aux sciences humaines et sociales (MIASHS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32006&g_ta_cod=32005", 93.0, 6.0, 0.0),
(4609, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte - Licence - Economie et gestion - Parcours Economie et Gestion - renforcé", "Licence - Droit-économie-gestion", "Economie et Gestion - renforcé", 20, 200, 94, 188, 0, 106, 21, 42, 12, 12, 2, 28, 12, 1, 0, 2, 9, 185, 10, 0, 0, 106, 21, 42, 12, 12, 2, 25, 125, 18, 7, 14, 4, 2.0, 14.0, 15.0, 0, 2, 13, 11, 1, 1, 5, 0, 6, 4, 3, 0, 0.0, 7, 0, 0, 0, 0, 13, 13, 11.11, 77.78, 83.33, 38.8984375, 100.0, 100.0, 0, 15.3984375, 72.1875, 0.0, 46.1953125, 30.796875, 23.09765625, 0.0, 0.0, 84.59375, 53.796875, 7.69921875, 0.0, 7.69921875, 0.0, 77.0, 16.0, 5.0, 1.0, 27.0, "Tous les candidats", 185.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "20937", "Licence - Economie et gestion - Parcours Economie et Gestion - renforcé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20937&g_ta_cod=20937", 89.0, 6.0, 6.0),
(4610, "Public", "0940114N", "Lycée Antoine de Saint Exupery", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Autre formation", "Lycée Antoine de Saint Exupery - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 58, 24, 12, 0, 0, 0.0, 0.0, 5.0, 0, 11, 23, 0, 7, 16, 1, 0, 20, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 22, 22, 0.0, 0.0, 20.83, 50.0, 95.6875, 95.6875, 0, 47.796875, 95.796875, 0.0, 87.0, 13.0, 0.0, 0.0, 0.0, 0.0, 0.0, 30.3984375, 0.0, 69.59375, 13.0, 0.0, 0.0, 41.0, 22.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25601", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 29.0, 71.0),
(4611, "Public", "0750679F", "Lycée Paul Valery", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "CPGE", "Lycée Paul Valery - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 1064, 768, 1037, 153, 908, 132, 1, 1, 2, 1, 126, 27, 9, 1, 0, 17, 875, 4, 120, 851, 833, 114, 1, 1, 1, 1, 40, 467, 37, 25, 36, 1, 5.0, 27.0, 37.0, 2, 3, 37, 37, 0, 0, 0, 0, 0, 5, 23, 8, 1.0, 37, 0, 0, 0, 0, 16, 28, 13.51, 72.97, 100.0, 67.59375, 43.1953125, 75.6875, 0, 8.099609375, 100.0, 0.0, 0.0, 13.5, 62.1953125, 21.6, 2.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 448.0, 52.0, 0.0, 0.0, 19.0, "Tous les candidats", 864.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "9046", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9046&g_ta_cod=9046", 100.0, 0.0, 0.0),
(4612, "Public", "0660011D", "Lycée Jean Lurcat", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée Jean Lurcat - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 714, 628, 708, 0, 49, 16, 201, 82, 258, 122, 200, 6, 0, 0, 0, 6, 422, 3, 0, 0, 47, 15, 120, 42, 176, 74, 79, 130, 28, 27, 26, 2, 8.0, 20.0, 25.0, 0, 9, 21, 1, 10, 10, 7, 0, 7, 10, 2, 2, 0.0, 0, 5, 9, 4, 4, 19, 19, 28.57, 71.43, 89.29, 96.390625, 90.5, 90.5, 19, 42.8984375, 75.0, 0.0, 33.296875, 47.59375, 9.5, 9.5, 0.0, 4.7998046875, 0.0, 47.59375, 23.796875, 47.59375, 42.8984375, 5.0, 2.0, 35.0, 13.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 123, "Liste d'appel propre à cette formation", 23.0, "7854", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7854&g_ta_cod=7854", 7.0, 57.0, 36.0),
(4613, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation non sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Géographie et aménagement - Parcours Géographie", "Licence - Sciences humaines et sociales", "Géographie", 130, 421, 149, 254, 0, 148, 27, 28, 4, 5, 2, 73, 167, 40, 12, 5, 110, 254, 154, 0, 0, 148, 27, 28, 4, 5, 2, 73, 403, 110, 37, 53, 57, 23.0, 51.0, 94.0, 0, 15, 54, 41, 11, 2, 56, 1, 34, 13, 5, 1, 0.0, 15, 3, 1, 0, 0, 43, 46, 20.91, 46.36, 85.45, 33.59375, 79.59375, 85.1875, 0, 27.796875, 49.09375, 1.89990234375, 63.0, 24.09765625, 9.298828125, 1.9, 0.0, 75.890625, 27.796875, 20.3984375, 5.599609375, 3.69970703125, 1.89990234375, 188.0, 38.0, 10.0, 4.0, 165.0, "Tous les candidats", 254.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11637", "Licence - Géographie et aménagement - Parcours Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11637&g_ta_cod=11637", 65.0, 24.0, 11.0),
(4614, "Public", "0670084C", "Lycée Jean Rostand", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Production - Métiers de la mesure", "BTS - Production", "", 24, 176, 42, 135, 0, 16, 3, 44, 10, 11, 7, 64, 41, 1, 7, 7, 26, 78, 14, 0, 0, 13, 2, 36, 10, 3, 2, 26, 86, 21, 4, 13, 7, 4.0, 13.0, 18.0, 0, 5, 11, 3, 5, 3, 10, 0, 6, 4, 1, 0, 0.0, 2, 1, 2, 3, 2, 10, 10, 19.05, 61.9, 85.71, 19.0, 90.890625, 90.890625, 27.296875, 45.5, 52.3984375, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 27.296875, 18.19921875, 45.5, 9.099609375, 27.296875, 18.19921875, 13.0, 2.0, 6.0, 4.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 58.0, "7925", "BTS - Production - Métiers de la mesure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7925&g_ta_cod=7925", 43.0, 38.0, 19.0),
(4615, "Privé sous contrat d'association", "0622198C", "Lycée Saint Joseph", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Martin-Boulogne", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 55, 228, 204, 220, 0, 28, 6, 62, 24, 77, 34, 53, 8, 1, 5, 1, 1, 201, 3, 0, 0, 28, 6, 57, 23, 75, 33, 41, 136, 31, 30, 31, 0, 9.0, 22.0, 31.0, 0, 13, 27, 4, 11, 12, 4, 0, 15, 10, 2, 0, 0.0, 1, 5, 6, 17, 16, 27, 27, 29.03, 70.97, 100.0, 96.796875, 100.0, 100.0, 63, 48.09375, 87.09375, 0.0, 55.59375, 37.0, 7.3994140625, 0.0, 0.0, 14.798828125, 3.69970703125, 40.6953125, 18.5, 44.3984375, 22.19921875, 15.0, 4.0, 58.0, 23.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 85.0, "7425", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7425&g_ta_cod=7425", 16.0, 42.0, 42.0),
(4616, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence_Las", "Université de Toulon - Licence - Portail Economie et gestion - Licence d'Economie et Gestion - Campus Toulon Centre Ville", "Licence - Droit-économie-gestion", "Licence d'Economie et Gestion - Campus Toulon Centre Ville", 20, 394, 236, 387, 0, 202, 55, 27, 8, 22, 16, 136, 7, 0, 0, 0, 7, 365, 7, 0, 0, 202, 55, 27, 8, 22, 16, 114, 174, 19, 8, 18, 1, 0.0, 9.0, 16.0, 0, 1, 12, 10, 2, 0, 7, 0, 7, 4, 1, 0, 0.0, 5, 0, 0, 0, 0, 9, 9, 0.0, 47.37, 84.21, 42.09375, 75.0, 75.0, 0, 8.298828125, 63.1953125, 0.0, 58.296875, 33.296875, 8.298828125, 0.0, 0.0, 83.296875, 41.6953125, 16.69921875, 0.0, 0.0, 0.0, 103.0, 25.0, 4.0, 2.0, 59.0, "Tous les candidats", 1434.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 74.0, "31835", "Licence - Portail Economie et gestion - Licence d'Economie et Gestion - Campus Toulon Centre Ville", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31834&g_ta_cod=31835", 89.0, 11.0, 0.0),
(4617, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Russe (En enseignement à distance)", "Licence - Arts-lettres-langues", "Russe (En enseignement à distance)", 25, 87, 57, 87, 0, 8, 3, 3, 3, 4, 2, 72, 0, 0, 0, 0, 0, 87, 0, 0, 0, 8, 3, 3, 3, 4, 2, 72, 70, 31, 18, 31, 0, 13.0, 31.0, 31.0, 0, 1, 2, 1, 1, 0, 29, 0, 1, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 1, 1, 41.94, 100.0, 100.0, 58.09375, 50.0, 50.0, 0, 50.0, 6.5, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 4.0, 1.0, 4.0, 2.0, 59.0, "Tous les candidats", 87.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24234", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Russe (En enseignement à distance)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24234&g_ta_cod=24234", 81.0, 10.0, 3.0),
(4618, "Public", "0281077U", "Lycée Silvia Monfort", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Luisant", "formation sélective", "BTS", "Lycée Silvia Monfort - BTS - Services - Commerce International", "BTS - Services", "", 36, 705, 315, 605, 0, 94, 26, 89, 34, 41, 16, 381, 100, 21, 27, 0, 52, 155, 8, 0, 0, 48, 11, 56, 19, 28, 7, 23, 118, 33, 18, 27, 6, 2.0, 25.0, 31.0, 0, 4, 21, 5, 11, 5, 12, 0, 7, 8, 5, 1, 0.0, 3, 6, 5, 8, 4, 18, 18, 6.06, 75.76, 93.94, 54.5, 85.6875, 85.6875, 38.09375, 19.0, 63.59375, 0.0, 33.296875, 38.09375, 23.796875, 4.8, 0.0, 23.796875, 14.298828125, 52.3984375, 28.59765625, 23.796875, 23.796875, 35.0, 8.0, 15.0, 2.0, 24.0, "Tous les candidats sauf les Bac professionnels", 127.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 25.0, "3755", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3755&g_ta_cod=3755", 45.0, 39.0, 15.0),
(4619, "Public", "0310040A", "Lycée Raymond Naves", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Raymond Naves - BTS - Services - Commerce International", "BTS - Services", "", 32, 2063, 1119, 2063, 0, 455, 115, 683, 281, 336, 178, 589, 0, 0, 0, 0, 0, 970, 0, 0, 0, 278, 64, 357, 141, 179, 80, 156, 185, 26, 14, 26, 0, 1.0, 16.0, 21.0, 0, 14, 22, 8, 7, 7, 4, 0, 3, 14, 5, 0, 0.0, 6, 6, 7, 2, 0, 17, 17, 3.85, 61.54, 80.77, 53.796875, 77.296875, 77.296875, 9.099609375, 63.59375, 84.59375, 0.0, 13.599609375, 63.59375, 22.69921875, 0.0, 0.0, 36.3984375, 27.296875, 31.796875, 27.296875, 31.796875, 31.796875, 44.0, 19.0, 42.0, 21.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 101.0, "Bacheliers professionnels toutes séries", 119, "Bacheliers technologiques toutes séries", 176, "Liste d'appel propre à cette formation", 19.0, "17579", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17579&g_ta_cod=17579", 35.0, 31.0, 35.0),
(4620, "Public", "0590034S", "Lycée Paul Duez", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "BTS", "Lycée Paul Duez - BTS - Services - Professions immobilières", "BTS - Services", "", 24, 814, 434, 814, 0, 245, 63, 224, 69, 105, 42, 240, 0, 0, 0, 0, 0, 601, 0, 0, 0, 205, 52, 163, 49, 83, 34, 150, 152, 21, 13, 21, 0, 3.0, 14.0, 21.0, 0, 6, 18, 13, 3, 2, 3, 0, 3, 8, 7, 0, 0.0, 10, 3, 2, 3, 2, 15, 15, 14.29, 66.67, 100.0, 61.8984375, 83.296875, 83.296875, 16.69921875, 33.296875, 85.6875, 0.0, 16.69921875, 44.3984375, 38.8984375, 0.0, 0.0, 72.1875, 55.59375, 16.69921875, 16.69921875, 11.099609375, 11.099609375, 70.0, 21.0, 3.0, 2.0, 35.0, "Tous les candidats sauf les Bac professionnels", 233.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 29.0, "6724", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6724&g_ta_cod=6724", 76.0, 14.0, 10.0),
(4621, "Public", "0595964M", "Université du littoral - Site de Dunkerque", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation non sélective", "Licence", "Université du littoral - Site de Dunkerque - Licence - Humanités - Parcours Culture et médias", "Licence - Arts-lettres-langues", "Culture et médias", 144, 445, 293, 363, 0, 201, 49, 33, 11, 10, 7, 119, 82, 15, 7, 1, 59, 359, 79, 0, 0, 201, 49, 33, 11, 10, 7, 115, 421, 91, 48, 63, 28, 35.0, 63.0, 79.0, 0, 11, 47, 37, 7, 3, 44, 0, 24, 15, 5, 3, 0.0, 21, 1, 1, 0, 0, 41, 41, 38.46, 69.23, 86.81, 52.6953125, 87.1875, 87.1875, 0, 23.3984375, 51.59375, 0.0, 51.09375, 31.8984375, 10.599609375, 6.4, 0.0, 78.6875, 44.6953125, 14.8984375, 2.099609375, 6.3994140625, 2.099609375, 211.0, 51.0, 11.0, 8.0, 161.0, "Tous les candidats", 359.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "28547", "Licence - Humanités - Parcours Culture et médias", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28547&g_ta_cod=28547", 73.0, 14.0, 9.0),
(4622, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Chimie, Sciences de la vie - Parcours International Chimie-Biologie", "Licence - Sciences - technologies - santé", "International Chimie-Biologie", 24, 1260, 992, 1260, 0, 761, 161, 30, 12, 1, 1, 468, 0, 0, 0, 0, 0, 674, 0, 0, 0, 495, 92, 0, 0, 0, 0, 179, 248, 23, 19, 22, 0, 1.0, 5.0, 16.0, 0, 3, 18, 18, 0, 0, 5, 0, 0, 9, 7, 2, 0.0, 18, 0, 0, 0, 0, 12, 15, 4.35, 21.74, 69.57, 82.59375, 66.6875, 83.296875, 0, 16.69921875, 78.296875, 0.0, 0.0, 50.0, 38.8984375, 11.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 185.0, 24.0, 0.0, 0.0, 63.0, "Tous les candidats", 504.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "28562", "Licence - Chimie, Sciences de la vie - Parcours International Chimie-Biologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28562&g_ta_cod=28562", 100.0, 0.0, 0.0),
(4623, "Privé sous contrat d'association", "0220097L", "Lycée-Collège NOTRE-DAME", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Guingamp", "formation sélective", "BTS", "Lycée-Collège NOTRE-DAME - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 316, 148, 302, 0, 33, 6, 112, 21, 96, 22, 61, 14, 0, 0, 13, 1, 247, 2, 0, 0, 33, 6, 112, 21, 59, 14, 43, 133, 22, 10, 21, 1, 10.0, 18.0, 21.0, 0, 7, 19, 6, 4, 9, 3, 0, 7, 8, 3, 1, 0.0, 2, 2, 8, 2, 1, 19, 19, 45.45, 81.82, 95.45, 45.5, 100.0, 100.0, 10.5, 36.796875, 86.390625, 0.0, 36.796875, 42.09375, 15.798828125, 5.3, 0.0, 31.59765625, 10.5, 21.09765625, 10.5, 47.3984375, 42.09375, 20.0, 6.0, 46.0, 13.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 89, "Liste d'appel propre à cette formation", 62.0, "3337", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3337&g_ta_cod=3337", 32.0, 23.0, 45.0),
(4624, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "PASS", "Université de Limoges - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Chimie - Physique,Chimie", 24, 2762, 1763, 2762, 0, 2259, 299, 47, 14, 9, 3, 447, 0, 0, 0, 0, 0, 2725, 0, 0, 0, 2259, 299, 47, 14, 9, 3, 410, 272, 24, 17, 24, 0, 3.0, 10.0, 21.0, 0, 8, 23, 23, 0, 0, 1, 0, 1, 2, 6, 13, 1.0, 22, 0, 0, 0, 0, 12, 12, 12.5, 41.67, 87.5, 70.796875, 52.1953125, 52.1953125, 0, 34.796875, 95.796875, 0.0, 4.2998046875, 8.69921875, 26.09765625, 56.5, 4.3, 100.0, 95.6875, 0.0, 0.0, 0.0, 0.0, 215.0, 26.0, 2.0, 1.0, 51.0, "Tous les candidats", 1712.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "31765", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26973&g_ta_cod=31765", 100.0, 0.0, 0.0),
(4625, "Public", "0491679J", "IFSI CH DE CHOLET", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "IFSI", "Regroupement d'IFSI Université Angers - D.E Infirmier", "D.E secteur sanitaire", "", 73, 2808, 2478, 2808, 0, 670, 91, 568, 109, 302, 78, 1268, 0, 0, 0, 0, 0, 2365, 0, 0, 0, 629, 81, 473, 75, 242, 47, 1021, 516, 73, 68, 73, 0, 2.0, 37.0, 53.0, 0, 4, 43, 15, 18, 10, 30, 0, 0, 19, 19, 5, 0.0, 15, 18, 10, 0, 0, 34, 34, 2.74, 50.68, 72.6, 93.1875, 79.09375, 79.09375, 0, 9.298828125, 58.8984375, 0.0, 0.0, 44.1953125, 44.1953125, 11.6, 0.0, 34.8984375, 34.8984375, 41.8984375, 41.8984375, 23.296875, 23.296875, 117.0, 11.0, 57.0, 13.0, 244.0, "Tous les candidats", 1021.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "23040", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22996&g_ta_cod=23040", 58.0, 25.0, 18.0),
(4626, "Public", "0440139M", "I.U.T. Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Carquefou", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 14, 227, 3, 225, 0, 0, 0, 217, 50, 0, 0, 8, 2, 0, 2, 0, 0, 99, 0, 0, 0, 0, 0, 97, 16, 0, 0, 2, 57, 13, 0, 13, 0, 3.0, 13.0, 13.0, 0, 0, 13, 0, 13, 0, 0, 0, 0, 3, 8, 2, 0.0, 0, 13, 0, 0, 0, 4, 4, 23.08, 100.0, 100.0, 0.0, 30.796875, 30.796875, 0, 0.0, 100.0, 0.0, 0.0, 23.09765625, 61.5, 15.4, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 344.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 43.0, "464", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=464", 0.0, 100.0, 0.0),
(4627, "Public", "0720029R", "Lycée Montesquieu", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "CPGE", "Lycée Montesquieu - CPGE - Lettres", "Classe préparatoire littéraire", "", 46, 285, 191, 271, 0, 207, 28, 1, 0, 0, 0, 63, 14, 8, 0, 1, 5, 200, 9, 0, 200, 194, 28, 0, 0, 0, 0, 6, 164, 20, 9, 17, 3, 4.0, 17.0, 20.0, 0, 0, 18, 18, 0, 0, 2, 0, 1, 7, 4, 6, 0.0, 17, 0, 0, 6, 3, 15, 15, 20.0, 85.0, 100.0, 45.0, 83.296875, 83.296875, 33.296875, 0.0, 90.0, 0.0, 5.599609375, 38.8984375, 22.19921875, 33.3, 0.0, 100.0, 94.390625, 0.0, 0.0, 0.0, 0.0, 156.0, 16.0, 0.0, 0.0, 8.0, "Tous les candidats", 200.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "8692", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8692&g_ta_cod=8692", 100.0, 0.0, 0.0),
(4628, "Public", "0550025D", "Lycée Jean-Auguste Margueritte", "55", "Meuse", "Grand Est", "Nancy-Metz", "Verdun", "formation sélective", "BTS", "Lycée Jean-Auguste Margueritte - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 97, 4, 81, 0, 6, 1, 26, 8, 24, 5, 25, 16, 1, 5, 3, 7, 40, 4, 0, 0, 0, 0, 20, 5, 13, 2, 7, 45, 22, 0, 18, 3, 13.0, 17.0, 20.0, 0, 5, 17, 1, 7, 9, 5, 0, 7, 6, 4, 0, 0.0, 0, 4, 6, 15, 0, 17, 17, 59.09, 77.27, 90.91, 0.0, 100.0, 100.0, 88.1875, 29.3984375, 77.296875, 0.0, 41.1953125, 35.296875, 23.5, 0.0, 0.0, 5.8994140625, 0.0, 41.1953125, 23.5, 52.8984375, 35.296875, 1.0, 0.0, 16.0, 3.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 49.0, "6403", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6403&g_ta_cod=6403", 5.0, 55.0, 41.0),
(4629, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Sciences de l'éducation - Parcours Professorat des écoles", "Licence - Sciences humaines et sociales", "Professorat des écoles", 55, 1458, 1286, 1458, 0, 681, 153, 162, 61, 30, 12, 585, 0, 0, 0, 0, 0, 1458, 0, 0, 0, 681, 153, 162, 61, 30, 12, 585, 118, 55, 49, 55, 0, 25.0, 47.0, 53.0, 0, 11, 42, 37, 4, 1, 13, 0, 3, 14, 22, 3, 0.0, 34, 4, 1, 0, 0, 5, 42, 45.45, 85.45, 96.36, 89.09375, 11.8984375, 100.0, 0, 26.19921875, 76.390625, 0.0, 7.099609375, 33.296875, 52.3984375, 7.1, 0.0, 88.09375, 81.0, 9.5, 9.5, 2.39990234375, 2.39990234375, 80.0, 18.0, 3.0, 2.0, 29.0, "Tous les candidats", 161.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "32521", "Licence - Sciences de l'éducation - Parcours Professorat des écoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32521&g_ta_cod=32521", 87.0, 9.0, 4.0),
(4630, "Privé sous contrat d'association", "0841091E", "I.M.F. Avignon", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "EFTS", "I.M.F. Avignon - D.E Assistant de Service Social", "D.E secteur social", "", 15, 99, 95, 99, 0, 15, 3, 22, 7, 9, 3, 53, 0, 0, 0, 0, 0, 84, 0, 0, 0, 15, 3, 15, 4, 7, 3, 47, 45, 17, 16, 17, 0, 4.0, 15.0, 16.0, 0, 4, 8, 5, 3, 0, 9, 0, 2, 3, 3, 0, 0.0, 4, 2, 0, 0, 0, 4, 4, 23.53, 88.24, 94.12, 94.09375, 50.0, 50.0, 0, 50.0, 47.09375, 0.0, 25.0, 37.5, 37.5, 0.0, 0.0, 62.5, 50.0, 37.5, 25.0, 0.0, 0.0, 9.0, 2.0, 0.0, 0.0, 27.0, "Tous les candidats", 66.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "23609", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23609&g_ta_cod=23609", 65.0, 24.0, 12.0),
(4631, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "Licence_Las", "Université Polytechnique Hauts-de-France - Licence - Portail Pluridisciplinaire - Projet personnel", "Licence - Arts-lettres-langues", "Projet personnel", 15, 83, 69, 83, 0, 43, 10, 14, 4, 1, 0, 25, 0, 0, 0, 0, 0, 50, 0, 0, 0, 29, 6, 9, 2, 1, 0, 11, 42, 12, 10, 12, 0, 3.0, 9.0, 12.0, 0, 4, 11, 7, 4, 0, 1, 0, 5, 5, 1, 0, 0.0, 4, 2, 0, 0, 0, 11, 11, 25.0, 75.0, 100.0, 83.296875, 100.0, 100.0, 0, 36.3984375, 91.6875, 0.0, 45.5, 45.5, 9.099609375, 0.0, 0.0, 63.59375, 36.3984375, 36.3984375, 18.19921875, 0.0, 0.0, 26.0, 7.0, 1.0, 0.0, 8.0, "Tous les candidats", 58.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 53.0, "32814", "Licence - Portail Pluridisciplinaire - Projet personnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32813&g_ta_cod=32814", 67.0, 33.0, 0.0),
(4632, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Double licence - Droit / Langues étrangères appliquées - Droit Langues Anglais/Allemand", "Licence - Droit-économie-gestion", "Droit Langues Anglais/Allemand", 40, 170, 127, 125, 0, 93, 14, 3, 3, 0, 0, 29, 45, 13, 4, 2, 26, 125, 41, 0, 0, 93, 14, 3, 3, 0, 0, 29, 166, 40, 29, 27, 13, 27.0, 27.0, 36.0, 0, 7, 28, 25, 2, 1, 12, 0, 10, 7, 7, 4, 0.0, 17, 1, 0, 0, 0, 18, 18, 67.5, 67.5, 90.0, 72.5, 64.296875, 64.296875, 0, 25.0, 70.0, 0.0, 35.6953125, 25.0, 25.0, 14.3, 0.0, 89.296875, 60.6953125, 7.099609375, 3.599609375, 3.599609375, 0.0, 106.0, 17.0, 2.0, 1.0, 51.0, "Tous les candidats", 125.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32016", "Double licence - Droit / Langues étrangères appliquées - Droit Langues Anglais/Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32016&g_ta_cod=32016", 88.0, 10.0, 3.0),
(4633, "Public", "0600020W", "Lycée Marie Curie", "60", "Oise", "Hauts-de-France", "Amiens", "Nogent-sur-Oise", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Production - Forge", "BTS - Production", "", 11, 108, 12, 106, 0, 24, 1, 37, 3, 16, 5, 29, 2, 0, 2, 0, 0, 51, 0, 0, 0, 17, 1, 23, 2, 8, 1, 3, 39, 6, 0, 6, 0, 1.0, 5.0, 5.0, 0, 0, 6, 0, 5, 1, 0, 0, 0, 4, 1, 1, 0.0, 0, 5, 1, 3, 0, 3, 3, 16.67, 83.33, 83.33, 0.0, 50.0, 50.0, 50, 0.0, 100.0, 0.0, 0.0, 66.6875, 16.69921875, 16.7, 0.0, 0.0, 0.0, 83.296875, 83.296875, 16.69921875, 16.69921875, 14.0, 1.0, 6.0, 1.0, 2.0, "Tous les candidats sauf les Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 42.0, "7229", "BTS - Production - Forge", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7229&g_ta_cod=7229", 0.0, 83.0, 17.0),
(4634, "Public", "0800011C", "Lycée des Métiers Édouard Gand", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée des Métiers Édouard Gand - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 488, 307, 411, 0, 22, 7, 140, 44, 136, 65, 113, 77, 0, 0, 51, 26, 282, 4, 0, 0, 22, 7, 106, 31, 91, 44, 63, 111, 25, 21, 22, 3, 1.0, 14.0, 22.0, 0, 10, 21, 1, 9, 11, 4, 0, 5, 13, 3, 0, 0.0, 1, 6, 9, 1, 0, 19, 19, 4.0, 56.0, 88.0, 84.0, 90.5, 90.5, 4.7998046875, 47.59375, 84.0, 0.0, 23.796875, 61.8984375, 14.298828125, 0.0, 0.0, 4.7998046875, 4.7998046875, 42.8984375, 28.59765625, 52.3984375, 42.8984375, 4.0, 0.0, 52.0, 26.0, 17.0, "Tous les candidats sauf les Bac professionnels", 99.0, "Bacheliers professionnels toutes séries", 94, "", 0, "Liste d'appel propre à cette formation", 47.0, "10160", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10160&g_ta_cod=10160", 8.0, 40.0, 52.0),
(4635, "Public", "0540038Y", "Lycée Henri Poincaré", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "CPGE", "Lycée Henri Poincaré - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 572, 273, 570, 348, 446, 35, 1, 0, 0, 0, 123, 2, 0, 0, 0, 2, 459, 1, 274, 422, 421, 33, 0, 0, 0, 0, 38, 206, 16, 6, 16, 0, 1.0, 10.0, 15.0, 3, 2, 16, 16, 0, 0, 0, 0, 0, 0, 11, 5, 0.0, 16, 0, 0, 1, 0, 15, 15, 6.25, 62.5, 93.75, 37.5, 93.796875, 93.796875, 6.2998046875, 12.5, 100.0, 0.0, 0.0, 0.0, 68.796875, 31.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 186.0, 11.0, 0.0, 0.0, 20.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "31602", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31329&g_ta_cod=31602", 100.0, 0.0, 0.0),
(4636, "Public", "0340128E", "Lycée agricole Frédéric BAZILLE - Agropolis (Classes Agri)", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée agricole Frédéric BAZILLE - Agropolis (Classes Agri) - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 27, 569, 235, 554, 0, 29, 3, 58, 20, 68, 15, 399, 15, 0, 6, 0, 9, 141, 2, 0, 0, 28, 3, 21, 8, 68, 15, 24, 81, 22, 10, 20, 2, 5.0, 15.0, 20.0, 0, 7, 15, 3, 1, 11, 7, 0, 12, 3, 0, 0, 0.0, 0, 1, 2, 0, 0, 10, 10, 22.73, 68.18, 90.91, 45.5, 66.6875, 66.6875, 0, 46.6953125, 68.1875, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 20.0, 0.0, 6.69921875, 6.69921875, 73.296875, 13.298828125, 11.0, 2.0, 39.0, 9.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 19.0, "4518", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4518&g_ta_cod=4518", 18.0, 27.0, 55.0),
(4637, "Public", "0900004R", "Lycée Raoul Follereau", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "CPGE", "Lycée Raoul Follereau - CPGE - PCSI", "Classe préparatoire scientifique", "", 45, 550, 223, 538, 366, 252, 39, 0, 0, 0, 0, 286, 12, 1, 0, 0, 11, 290, 4, 201, 280, 235, 31, 0, 0, 0, 0, 55, 266, 29, 3, 28, 1, 5.0, 28.0, 29.0, 14, 3, 21, 21, 0, 0, 8, 0, 2, 10, 8, 1, 0.0, 19, 0, 0, 0, 0, 21, 21, 17.24, 96.55, 100.0, 10.298828125, 100.0, 100.0, 0, 14.298828125, 72.390625, 0.0, 9.5, 47.59375, 38.09375, 4.8, 0.0, 100.0, 90.5, 0.0, 0.0, 0.0, 0.0, 215.0, 24.0, 0.0, 0.0, 51.0, "Tous les candidats", 289.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "17638", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17638&g_ta_cod=17638", 100.0, 0.0, 0.0),
(4638, "Public", "0180923F", "Centre de Ressources, d'Expertise et de Performance Sportive du Centre (CREPS)", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "Autre formation", "CREPS du Centre - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 15, 204, 47, 184, 0, 53, 8, 59, 12, 28, 7, 44, 20, 4, 5, 3, 8, 32, 0, 0, 0, 12, 1, 12, 0, 4, 1, 4, 31, 11, 4, 11, 0, 5.0, 11.0, 11.0, 0, 0, 11, 4, 5, 2, 0, 0, 8, 3, 0, 0, 0.0, 2, 0, 1, 0, 0, 11, 11, 45.45, 100.0, 100.0, 36.3984375, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 72.6875, 27.296875, 0.0, 0.0, 0.0, 36.3984375, 18.19921875, 45.5, 0.0, 18.19921875, 9.099609375, 11.0, 1.0, 4.0, 2.0, 4.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "21370", "BPJEPS - Activités physiques pour tous", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21370&g_ta_cod=21370", 36.0, 45.0, 18.0),
(4639, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Autre formation", "Institut Catholique Paris - Année préparatoire - Année de préparation aux études supérieures (A.P.E.S.)- Option Etudes européennes", "Année préparatoire", "Année de préparation aux études supérieures (A.P.E.S.)- Option Etudes européennes", 25, 111, 71, 78, 0, 56, 2, 3, 1, 0, 0, 19, 33, 25, 0, 0, 8, 61, 27, 0, 0, 51, 1, 3, 1, 0, 0, 7, 81, 20, 15, 11, 9, 6.0, 11.0, 16.0, 0, 1, 18, 16, 2, 0, 2, 0, 6, 5, 7, 0, 0.0, 10, 2, 0, 0, 0, 8, 17, 30.0, 55.0, 80.0, 75.0, 44.3984375, 94.390625, 0, 5.599609375, 90.0, 0.0, 33.296875, 27.796875, 38.8984375, 0.0, 0.0, 88.890625, 55.59375, 11.099609375, 11.099609375, 0.0, 0.0, 70.0, 2.0, 0.0, 0.0, 8.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "29104", "Année préparatoire - Année de préparation aux études supérieures (A.P.E.S.)- Option Etudes européennes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29104&g_ta_cod=29104", 90.0, 10.0, 0.0),
(4640, "Privé sous contrat d'association", "0680151V", "Lycée Jeanne D Arc", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BTS", "Lycée Jeanne D Arc - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 569, 285, 510, 0, 88, 13, 148, 49, 152, 58, 122, 59, 1, 19, 17, 22, 207, 6, 0, 0, 76, 9, 58, 13, 39, 13, 34, 138, 21, 7, 17, 4, 3.0, 10.0, 16.0, 0, 1, 18, 7, 6, 5, 3, 0, 6, 9, 3, 0, 0.0, 3, 4, 5, 4, 3, 17, 17, 14.29, 47.62, 76.19, 33.296875, 94.390625, 94.390625, 22.19921875, 5.599609375, 85.6875, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 38.8984375, 16.69921875, 33.296875, 22.19921875, 27.796875, 27.796875, 45.0, 9.0, 36.0, 13.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 33.0, "8132", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8132&g_ta_cod=8132", 38.0, 38.0, 24.0),
(4641, "Privé sous contrat d'association", "0442774B", "LGT SAINT FELIX - LA SALLE", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LGT SAINT FELIX - LA SALLE - BTS - Services - Commerce International", "BTS - Services", "", 33, 825, 451, 825, 0, 312, 42, 272, 52, 79, 22, 162, 0, 0, 0, 0, 0, 380, 0, 0, 0, 156, 20, 139, 26, 50, 16, 35, 176, 33, 20, 33, 0, 3.0, 27.0, 31.0, 0, 3, 26, 13, 9, 4, 7, 0, 4, 16, 5, 1, 0.0, 12, 6, 4, 0, 0, 20, 20, 9.09, 81.82, 93.94, 60.59375, 76.890625, 76.890625, 0, 11.5, 78.796875, 0.0, 15.3984375, 61.5, 19.19921875, 3.8, 0.0, 50.0, 46.1953125, 34.59375, 23.09765625, 15.3984375, 15.3984375, 80.0, 10.0, 11.0, 4.0, 20.0, "Tous les candidats sauf les Bac professionnels", 249.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 32.0, "5506", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5506&g_ta_cod=5506", 55.0, 33.0, 12.0),
(4642, "Public", "0630020E", "Lycée Sidoine Apollinaire", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée Sidoine Apollinaire - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 842, 742, 842, 0, 93, 37, 248, 84, 211, 97, 290, 0, 0, 0, 0, 0, 430, 0, 0, 0, 71, 30, 159, 54, 119, 51, 81, 172, 35, 34, 35, 0, 2.0, 21.0, 29.0, 0, 5, 26, 5, 11, 10, 9, 0, 13, 11, 2, 0, 0.0, 1, 3, 9, 5, 5, 20, 20, 5.71, 60.0, 82.86, 97.09375, 76.890625, 76.890625, 19.19921875, 19.19921875, 74.296875, 0.0, 50.0, 42.296875, 7.69921875, 0.0, 0.0, 19.19921875, 3.7998046875, 42.296875, 11.5, 38.5, 34.59375, 33.0, 13.0, 42.0, 11.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 119, "Liste d'appel propre à cette formation", 30.0, "7554", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7554&g_ta_cod=7554", 26.0, 43.0, 31.0),
(4643, "Public", "0240026Y", "Lycée Albert Claveille", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BTS", "Lycée Albert Claveille - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 28, 210, 10, 209, 0, 19, 4, 43, 11, 104, 37, 43, 1, 0, 0, 1, 0, 174, 0, 0, 0, 19, 4, 41, 10, 104, 37, 10, 95, 27, 1, 27, 0, 10.0, 19.0, 23.0, 0, 6, 26, 2, 8, 16, 1, 0, 12, 9, 4, 1, 0.0, 0, 1, 13, 6, 0, 13, 13, 37.04, 70.37, 85.19, 3.69970703125, 50.0, 50.0, 23.09765625, 23.09765625, 96.296875, 0.0, 46.1953125, 34.59375, 15.3984375, 3.8, 0.0, 7.69921875, 0.0, 30.796875, 3.7998046875, 61.5, 50.0, 13.0, 4.0, 50.0, 16.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 56.0, "3429", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3429&g_ta_cod=3429", 7.0, 33.0, 59.0),
(4644, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Double diplôme - Licence Droit - prépa aux grandes écoles du droit", "Licence - Droit-économie-gestion", "prépa aux grandes écoles du droit", 20, 583, 426, 583, 0, 474, 70, 20, 6, 4, 3, 85, 0, 0, 0, 0, 0, 200, 0, 0, 0, 181, 16, 0, 0, 0, 0, 19, 88, 20, 18, 20, 0, 9.0, 20.0, 20.0, 0, 2, 20, 20, 0, 0, 0, 0, 0, 0, 4, 14, 2.0, 20, 0, 0, 0, 0, 14, 14, 45.0, 100.0, 100.0, 90.0, 70.0, 70.0, 0, 10.0, 100.0, 0.0, 0.0, 0.0, 20.0, 70.0, 10.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 84.0, 12.0, 0.0, 0.0, 4.0, "Tous les candidats", 121.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "21523", "Licence - Double diplôme - Licence Droit - prépa aux grandes écoles du droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21523&g_ta_cod=21523", 100.0, 0.0, 0.0),
(4645, "Privé sous contrat d'association", "0240092V", "Lycée professionnel Chambre Com Et Industrie", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Boulazac Isle Manoire", "formation sélective", "Autre formation", "Lycée professionnel Chambre Com Et Industrie - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 28, 108, 48, 105, 0, 31, 5, 12, 3, 2, 1, 60, 3, 0, 0, 0, 3, 105, 3, 0, 0, 31, 5, 12, 3, 2, 1, 60, 82, 16, 9, 15, 1, 3.0, 15.0, 15.0, 0, 1, 4, 2, 2, 0, 12, 0, 2, 1, 0, 1, 0.0, 1, 1, 0, 0, 0, 4, 4, 18.75, 93.75, 93.75, 56.296875, 100.0, 100.0, 0, 25.0, 25.0, 0.0, 50.0, 25.0, 0.0, 25.0, 0.0, 50.0, 25.0, 50.0, 25.0, 0.0, 0.0, 23.0, 2.0, 2.0, 1.0, 45.0, "Tous les candidats", 105.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3437", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3437&g_ta_cod=3437", 75.0, 19.0, 6.0),
(4646, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 80, 265, 114, 212, 0, 132, 25, 17, 0, 4, 1, 59, 53, 12, 6, 3, 32, 212, 51, 0, 0, 132, 25, 17, 0, 4, 1, 59, 257, 50, 18, 32, 18, 24.0, 32.0, 45.0, 0, 8, 32, 27, 3, 2, 18, 0, 13, 15, 4, 0, 0.0, 16, 2, 1, 0, 0, 29, 29, 48.0, 64.0, 90.0, 36.0, 90.59375, 90.59375, 0, 25.0, 64.0, 0.0, 40.59375, 46.8984375, 12.5, 0.0, 0.0, 84.390625, 50.0, 9.3984375, 6.2998046875, 6.2998046875, 3.099609375, 141.0, 29.0, 7.0, 3.0, 86.0, "Tous les candidats", 211.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3855", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27982&g_ta_cod=3855", 76.0, 16.0, 6.0),
(4647, "Public", "1770930T", "Lycée Henri Moissan - Meaux", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "CPGE", "Lycée Henri Moissan - Meaux - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 30, 363, 160, 322, 174, 0, 0, 305, 79, 0, 0, 17, 41, 0, 24, 0, 17, 176, 4, 104, 156, 0, 0, 174, 46, 0, 0, 2, 132, 29, 17, 26, 3, 10.0, 26.0, 28.0, 12, 7, 28, 0, 28, 0, 1, 0, 0, 6, 18, 4, 0.0, 0, 28, 0, 0, 0, 23, 24, 34.48, 89.66, 96.55, 58.59375, 82.09375, 85.6875, 0, 25.0, 96.59375, 0.0, 0.0, 21.3984375, 64.296875, 14.3, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 175.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "11674", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11674&g_ta_cod=11674", 0.0, 100.0, 0.0),
(4648, "Public", "0952261S", "CY TECH - Université de Cergy-Pontoise", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "Concours GalaxY - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "Double diplôme - Ingénieur en Mathématiques et Informatique - Sciences Po", 30, 216, 48, 205, 0, 197, 30, 0, 0, 0, 0, 8, 11, 11, 0, 0, 0, 60, 4, 0, 0, 60, 7, 0, 0, 0, 0, 0, 56, 22, 9, 18, 4, 12.0, 17.0, 20.0, 0, 3, 22, 22, 0, 0, 0, 0, 0, 3, 12, 7, 0.0, 22, 0, 0, 0, 0, 8, 12, 54.55, 77.27, 90.91, 40.8984375, 36.3984375, 54.5, 0, 13.599609375, 100.0, 0.0, 0.0, 13.599609375, 54.5, 31.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 56.0, 9.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "32795", "Formation d'ingénieur Bac + 5", "Concours GalaxY", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31208&g_ta_cod=32795", 100.0, 0.0, 0.0),
(4649, "Public", "0241328N", "IFSI Bagatelle - John Bost Bergerac", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Bergerac", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bordeaux - D.E Infirmier", "D.E secteur sanitaire", "", 35, 4484, 3821, 4484, 0, 868, 151, 761, 177, 317, 109, 2538, 0, 0, 0, 0, 0, 3644, 0, 0, 0, 804, 132, 692, 152, 227, 77, 1921, 807, 35, 32, 35, 0, 0.0, 6.0, 13.0, 0, 6, 16, 7, 8, 1, 19, 0, 6, 8, 2, 0, 0.0, 4, 5, 1, 0, 0, 15, 15, 0.0, 17.14, 37.14, 91.390625, 93.796875, 93.796875, 0, 37.5, 45.6953125, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 43.796875, 25.0, 50.0, 31.296875, 6.2998046875, 6.2998046875, 152.0, 27.0, 14.0, 5.0, 472.0, "Tous les candidats", 3166.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "34528", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23940&g_ta_cod=34528", 69.0, 29.0, 3.0),
(4650, "Public", "9710003B", "Lycée Baimbridge", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "BTS", "Lycée Baimbridge - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 514, 326, 513, 0, 95, 45, 175, 101, 159, 113, 84, 1, 0, 0, 0, 1, 238, 0, 0, 0, 59, 29, 106, 70, 51, 37, 22, 88, 36, 26, 35, 0, 14.0, 34.0, 35.0, 0, 21, 33, 7, 16, 10, 3, 0, 6, 12, 12, 3, 0.0, 6, 12, 9, 6, 3, 33, 33, 38.89, 94.44, 97.22, 72.1875, 100.0, 100.0, 18.19921875, 63.59375, 91.6875, 0.0, 18.19921875, 36.3984375, 36.3984375, 9.1, 0.0, 21.19921875, 18.19921875, 48.5, 36.3984375, 30.296875, 27.296875, 20.0, 10.0, 23.0, 15.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 26.0, "11737", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11737&g_ta_cod=11737", 19.0, 50.0, 31.0),
(4651, "Public", "0631669X", "Lycée des Métiers de Chamalières", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Chamalières", "formation sélective", "BTS", "Lycée des Métiers de Chamalières - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 60, 354, 193, 341, 0, 0, 0, 125, 22, 135, 34, 81, 13, 0, 0, 8, 5, 179, 3, 0, 0, 0, 0, 90, 17, 44, 12, 45, 109, 53, 25, 51, 2, 31.0, 50.0, 52.0, 0, 12, 40, 0, 25, 15, 13, 1, 10, 10, 16, 3, 0.0, 0, 15, 14, 31, 12, 37, 37, 58.49, 94.34, 98.11, 47.1953125, 92.5, 92.5, 77.5, 30.0, 75.5, 2.5, 25.0, 25.0, 40.0, 7.5, 0.0, 0.0, 0.0, 62.5, 37.5, 37.5, 35.0, 0.0, 0.0, 32.0, 11.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 92, "Liste d'appel propre à cette formation", 51.0, "7670", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7670&g_ta_cod=7670", 13.0, 57.0, 30.0),
(4652, "Public", "0690027E", "Lycée Edouard Herriot", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 6e  Arrondissement", "formation sélective", "CPGE", "Lycée Edouard Herriot - CPGE - Lettres", "Classe préparatoire littéraire", "", 144, 1545, 1128, 1545, 0, 1284, 142, 7, 2, 2, 0, 252, 0, 0, 0, 0, 0, 1288, 0, 0, 1288, 1184, 138, 0, 0, 0, 0, 104, 757, 138, 103, 138, 0, 44.0, 109.0, 133.0, 0, 12, 130, 130, 0, 0, 8, 1, 1, 13, 58, 52, 5.0, 128, 0, 0, 4, 4, 62, 62, 31.88, 78.99, 96.38, 74.59375, 47.6953125, 47.6953125, 3.099609375, 9.19921875, 94.1875, 0.7999267578125, 0.7999267578125, 10.0, 44.59375, 40.0, 3.8, 100.0, 98.5, 0.0, 0.0, 0.0, 0.0, 708.0, 96.0, 0.0, 0.0, 49.0, "Tous les candidats", 1128.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "8188", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8188&g_ta_cod=8188", 100.0, 0.0, 0.0),
(4653, "Public", "0920137Z", "Lycée Guy De Maupassant", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Colombes", "formation sélective", "BTS", "Lycée Guy De Maupassant - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 36, 2760, 1362, 2760, 0, 155, 47, 903, 391, 834, 391, 868, 0, 0, 0, 0, 0, 798, 0, 0, 0, 0, 0, 254, 117, 319, 147, 225, 135, 35, 14, 31, 0, 2.0, 18.0, 25.0, 0, 15, 28, 0, 15, 13, 7, 0, 13, 12, 3, 0, 0.0, 0, 8, 7, 0, 0, 24, 28, 5.71, 51.43, 71.43, 40.0, 85.6875, 100.0, 0, 53.59375, 80.0, 0.0, 46.3984375, 42.8984375, 10.69921875, 0.0, 0.0, 0.0, 0.0, 53.59375, 28.59765625, 46.3984375, 25.0, 0.0, 0.0, 54.0, 23.0, 50.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 91, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 6.0, "10996", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10996&g_ta_cod=10996", 3.0, 60.0, 37.0),
(4654, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence_Las", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Sciences pour la santé -  option Santé", "Licence - Sciences - technologies - santé", "", 1050, 7362, 5396, 7362, 0, 4783, 1205, 345, 139, 20, 9, 2214, 0, 0, 0, 0, 0, 7362, 0, 0, 0, 4783, 1205, 345, 139, 20, 9, 2214, 2678, 1049, 785, 1049, 0, 222.0, 836.0, 984.0, 0, 216, 1046, 988, 52, 6, 3, 0, 137, 521, 314, 66, 8.0, 861, 43, 5, 0, 0, 630, 996, 21.16, 79.69, 93.8, 74.796875, 60.1953125, 95.1875, 0, 20.69921875, 99.6875, 0.0, 13.099609375, 49.796875, 30.0, 6.3, 0.8, 94.5, 82.296875, 5.0, 4.099609375, 0.5999755859375, 0.5, 2550.0, 554.0, 12.0, 7.0, 3.0, "Tous les candidats", 2856.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "28906", "Licence - Sciences pour la santé -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28906&g_ta_cod=28906", 94.0, 5.0, 1.0),
(4655, "Public", "0630077S", "Lycée Ambroise Brugiere", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée Ambroise Brugiere - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 935, 521, 914, 0, 192, 61, 226, 109, 121, 66, 375, 21, 0, 0, 15, 6, 324, 3, 0, 0, 118, 31, 95, 36, 48, 21, 63, 177, 33, 19, 31, 2, 2.0, 24.0, 24.0, 0, 11, 22, 7, 12, 3, 11, 0, 14, 6, 2, 0, 0.0, 1, 6, 1, 6, 3, 22, 22, 6.06, 72.73, 72.73, 57.59375, 100.0, 100.0, 27.296875, 50.0, 66.6875, 0.0, 63.59375, 27.296875, 9.099609375, 0.0, 0.0, 31.796875, 4.5, 54.5, 27.296875, 13.599609375, 4.5, 45.0, 13.0, 36.0, 14.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 82.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 24.0, "7588", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7588&g_ta_cod=7588", 39.0, 45.0, 15.0),
(4656, "Public", "0134015U", "Aix-Marseille Université - Site de Marseille Saint Charles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation sélective", "Autre formation", "Aix-Marseille Université - Site de Marseille Saint Charles - C.M.I - Cursus Master en Ingénierie - Sciences de la vie et de la terre", "C.M.I - Cursus Master en Ingénierie", "", 15, 202, 122, 97, 0, 50, 8, 2, 0, 0, 0, 45, 105, 28, 6, 8, 63, 74, 6, 0, 0, 43, 7, 0, 0, 0, 0, 31, 66, 13, 5, 11, 2, 4.0, 11.0, 12.0, 0, 2, 11, 11, 0, 0, 2, 0, 1, 6, 4, 0, 0.0, 10, 0, 0, 0, 0, 7, 7, 30.77, 84.62, 92.31, 38.5, 63.59375, 63.59375, 0, 18.19921875, 84.59375, 0.0, 9.099609375, 54.5, 36.3984375, 0.0, 0.0, 100.0, 90.890625, 0.0, 0.0, 0.0, 0.0, 38.0, 6.0, 0.0, 0.0, 28.0, "Tous les candidats", 73.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "32791", "C.M.I - Cursus Master en Ingénierie - Sciences de la vie et de la terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32791&g_ta_cod=32791", 100.0, 0.0, 0.0),
(4657, "Public", "0350710G", "Lycée Francois René De Chateaubriand", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "CPGE", "Lycée Francois René De Chateaubriand - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 25, 1657, 807, 1657, 1121, 1489, 94, 0, 0, 0, 0, 168, 0, 0, 0, 0, 0, 1312, 0, 1121, 670, 1207, 82, 0, 0, 0, 0, 105, 189, 25, 19, 25, 0, 2.0, 16.0, 24.0, 8, 2, 25, 25, 0, 0, 0, 0, 0, 0, 5, 18, 2.0, 25, 0, 0, 0, 0, 9, 9, 8.0, 64.0, 96.0, 76.0, 36.0, 36.0, 0, 8.0, 100.0, 0.0, 0.0, 0.0, 20.0, 72.0, 8.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 178.0, 13.0, 0.0, 0.0, 11.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "31624", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31384&g_ta_cod=31624", 100.0, 0.0, 0.0),
(4658, "Public", "0680032R", "Lycée Michel De Montaigne", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "CPGE", "Lycée Michel De Montaigne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 15, 212, 97, 209, 127, 163, 16, 0, 0, 0, 0, 46, 3, 2, 0, 0, 1, 165, 2, 105, 142, 151, 12, 0, 0, 0, 0, 14, 96, 3, 0, 3, 0, 0.0, 3.0, 3.0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 33.296875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 90.0, 8.0, 0.0, 0.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "31584", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31390&g_ta_cod=31584", 100.0, 0.0, 0.0),
(4659, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 270, 1093, 615, 853, 0, 531, 236, 94, 61, 40, 28, 188, 240, 25, 28, 37, 150, 852, 234, 0, 0, 531, 236, 94, 61, 40, 28, 187, 952, 244, 111, 141, 103, 52.0, 138.0, 195.0, 0, 72, 129, 88, 20, 21, 115, 1, 61, 40, 22, 5, 0.0, 52, 5, 10, 0, 0, 105, 105, 21.31, 56.56, 79.92, 45.5, 81.390625, 81.390625, 0, 55.796875, 52.8984375, 0.7999267578125, 47.296875, 31.0, 17.09765625, 3.9, 0.0, 68.1875, 40.296875, 15.5, 3.89990234375, 16.296875, 7.7998046875, 462.0, 210.0, 68.0, 49.0, 313.0, "Tous les candidats", 852.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11916", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11916&g_ta_cod=11916", 52.0, 23.0, 25.0),
(4660, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Chinois et Gestion parcours Techniques quantitatives et management (TQM)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Chinois et Gestion parcours Techniques quantitatives et management (TQM)", 5, 65, 49, 65, 0, 45, 10, 1, 1, 0, 0, 19, 0, 0, 0, 0, 0, 65, 0, 0, 0, 45, 10, 1, 1, 0, 0, 19, 26, 5, 3, 5, 0, 1.0, 4.0, 5.0, 0, 2, 5, 5, 0, 0, 0, 0, 2, 0, 2, 1, 0.0, 3, 0, 0, 0, 0, 1, 1, 20.0, 80.0, 100.0, 60.0, 20.0, 20.0, 0, 40.0, 100.0, 0.0, 40.0, 0.0, 40.0, 20.0, 0.0, 100.0, 60.0, 0.0, 0.0, 0.0, 0.0, 20.0, 5.0, 0.0, 0.0, 6.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "8527", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Chinois et Gestion parcours Techniques quantitatives et management (TQM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8527&g_ta_cod=8527", 100.0, 0.0, 0.0),
(4661, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Double licence LLCER Espagnol / LLCER Portugais (Langues associées)", "Licence - Arts-lettres-langues", "Double licence LLCER Espagnol / LLCER Portugais (Langues associées)", 8, 81, 60, 28, 0, 18, 7, 2, 1, 0, 0, 8, 53, 12, 5, 4, 32, 12, 1, 0, 0, 10, 6, 0, 0, 0, 0, 2, 13, 5, 3, 5, 0, 3.0, 5.0, 5.0, 0, 2, 5, 5, 0, 0, 0, 0, 0, 1, 3, 1, 0.0, 5, 0, 0, 0, 0, 1, 4, 60.0, 100.0, 100.0, 60.0, 20.0, 80.0, 0, 40.0, 100.0, 0.0, 0.0, 20.0, 60.0, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 11.0, 6.0, 0.0, 0.0, 2.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "24031", "Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Double licence LLCER Espagnol / LLCER Portugais (Langues associées)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24031&g_ta_cod=24031", 100.0, 0.0, 0.0),
(4662, "Public", "0470009E", "Lycée Stendhal", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Aiguillon", "formation sélective", "BTS", "Lycée Stendhal - BTS - Services - Economie sociale familiale", "BTS - Services", "", 30, 528, 421, 526, 0, 52, 12, 113, 39, 154, 57, 207, 2, 0, 0, 0, 2, 381, 1, 0, 0, 52, 12, 113, 39, 143, 52, 73, 171, 23, 18, 22, 1, 5.0, 17.0, 20.0, 0, 5, 19, 5, 6, 8, 4, 0, 11, 3, 5, 0, 0.0, 3, 0, 5, 3, 2, 14, 14, 21.74, 73.91, 86.96, 78.296875, 73.6875, 73.6875, 15.798828125, 26.296875, 82.59375, 0.0, 57.8984375, 15.798828125, 26.296875, 0.0, 0.0, 26.296875, 15.798828125, 31.59765625, 0.0, 42.09375, 26.296875, 20.0, 3.0, 63.0, 23.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 87, "Bacheliers technologiques toutes séries", 136, "Liste d'appel propre à cette formation", 48.0, "23413", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23413&g_ta_cod=23413", 22.0, 30.0, 48.0),
(4663, "Public", "0592758C", "Centre Régional associé au Conservatoire National des Arts et Métiers Hauts de France - Centre de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Centre Régional associé au Conservatoire National des Arts et Métiers Hauts de France - Centre de Lille - Formation Supérieure de Spécialisation - Sécurité privée - middle management", "Diplôme d'Université", "Sécurité privée - middle management", 15, 27, 8, 19, 0, 6, 1, 3, 1, 6, 3, 4, 8, 0, 2, 0, 6, 17, 2, 0, 0, 6, 1, 3, 1, 6, 3, 2, 19, 3, 2, 2, 1, 1.0, 2.0, 3.0, 0, 1, 2, 0, 0, 2, 1, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 33.33, 66.67, 100.0, 66.6875, 100.0, 100.0, 0, 50.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 6.0, 1.0, 6.0, 3.0, 4.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "33332", "Formation Supérieure de Spécialisation - Sécurité privée - middle management", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33332&g_ta_cod=33332", 0.0, 0.0, 100.0),
(4664, "Public", "0430827R", "IFSI CH du Puy", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "IFSI", "Regroupement d'IFSI Université Clermont Auvergne - D.E Infirmier", "D.E secteur sanitaire", "", 84, 3205, 2624, 3205, 0, 602, 102, 710, 157, 272, 95, 1621, 0, 0, 0, 0, 0, 2589, 0, 0, 0, 552, 84, 661, 137, 199, 66, 1177, 608, 84, 68, 84, 0, 5.0, 50.0, 63.0, 0, 10, 63, 14, 43, 6, 21, 0, 15, 31, 17, 0, 0.0, 10, 32, 6, 0, 0, 40, 40, 5.95, 59.52, 75.0, 81.0, 63.5, 63.5, 0, 15.8984375, 75.0, 0.0, 23.796875, 49.1953125, 27.0, 0.0, 0.0, 22.19921875, 15.8984375, 68.296875, 50.796875, 9.5, 9.5, 118.0, 14.0, 18.0, 4.0, 153.0, "Tous les candidats", 1376.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "23107", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22999&g_ta_cod=23107", 27.0, 65.0, 7.0),
(4665, "Public", "0870125N", "I.U.T du Limousin - site de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BUT", "I.U.T du Limousin - site de Limoges - BUT - Métiers du multimédia et de l'internet Parcours : Création numérique - Développement web et dispositifs interactifs", "BUT - Production", "Création numérique - Développement web et dispositifs interactifs", 52, 1264, 296, 1264, 0, 607, 107, 313, 86, 25, 9, 319, 0, 0, 0, 0, 0, 780, 0, 0, 0, 460, 74, 200, 55, 0, 0, 120, 265, 51, 12, 51, 0, 15.0, 41.0, 50.0, 0, 14, 45, 20, 25, 0, 6, 0, 5, 31, 7, 2, 0.0, 20, 20, 0, 0, 0, 23, 23, 29.41, 80.39, 98.04, 23.5, 51.09375, 51.09375, 0, 31.09765625, 88.1875, 0.0, 11.099609375, 68.890625, 15.599609375, 4.4, 0.0, 44.3984375, 44.3984375, 55.59375, 44.3984375, 0.0, 0.0, 129.0, 29.0, 0.0, 0.0, 23.0, "Tous les candidats sauf les Bac technologiques", 208.0, "Bacheliers technologiques toutes séries", 162, "", 0, "Liste d'appel propre à cette formation", 29.0, "10690", "BUT - Métiers du multimédia et de l'internet Parcours : Création numérique - Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10690&g_ta_cod=10690", 51.0, 49.0, 0.0),
(4666, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, littératures & civilisations étrangères et régionales Anglais", "Licence - Arts-lettres-langues", "Langues, littératures & civilisations étrangères et régionales Anglais", 300, 1713, 1286, 1612, 0, 1202, 263, 91, 33, 29, 13, 290, 101, 16, 7, 2, 76, 1612, 91, 0, 0, 1202, 263, 91, 33, 29, 13, 290, 1330, 304, 206, 258, 46, 79.0, 258.0, 280.0, 0, 52, 205, 181, 20, 4, 99, 0, 60, 83, 47, 15, 0.0, 139, 6, 0, 0, 0, 143, 143, 25.99, 84.87, 92.11, 67.796875, 69.796875, 69.796875, 0, 25.3984375, 67.390625, 0.0, 29.296875, 40.5, 22.8984375, 7.3, 0.0, 88.296875, 67.796875, 9.798828125, 2.89990234375, 2.0, 0.0, 976.0, 206.0, 20.0, 10.0, 268.0, "Tous les candidats", 1613.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4751", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, littératures & civilisations étrangères et régionales Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4751&g_ta_cod=4751", 83.0, 13.0, 4.0),
(4667, "Public", "0761688X", "I.U.T du Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BUT", "I.U.T du Havre - BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la Supply Chain connectées - Management de la mobilité et de la Supply Chain durables", "BUT - Service", "Management de la mobilité et de la Supply Chain connectées - Management de la mobilité et de la Supply Chain durables", 112, 749, 243, 714, 0, 294, 50, 188, 59, 57, 25, 175, 35, 3, 12, 2, 18, 521, 7, 0, 0, 279, 44, 139, 39, 14, 2, 89, 397, 105, 33, 99, 6, 36.0, 89.0, 93.0, 0, 20, 89, 54, 30, 5, 16, 3, 46, 30, 7, 3, 0.0, 24, 12, 4, 0, 0, 79, 79, 34.29, 84.76, 88.57, 31.3984375, 88.796875, 88.796875, 0, 22.5, 84.796875, 3.39990234375, 51.6953125, 33.6953125, 7.8994140625, 3.4, 0.0, 60.6953125, 27.0, 33.6953125, 13.5, 5.599609375, 4.5, 205.0, 40.0, 9.0, 3.0, 52.0, "Tous les candidats sauf les Bac technologiques", 275.0, "Bacheliers technologiques toutes séries", 155, "", 0, "Liste d'appel propre à cette formation", 60.0, "9657", "BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la Supply Chain connectées - Management de la mobilité et de la Supply Chain durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9657&g_ta_cod=9657", 63.0, 32.0, 5.0),
(4668, "Privé sous contrat d'association", "0754042L", "Lycée Le Rebours", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "CPGE", "Lycée Le Rebours - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 36, 458, 216, 433, 0, 0, 0, 407, 86, 0, 0, 26, 25, 0, 16, 0, 9, 318, 2, 0, 318, 0, 0, 310, 65, 0, 0, 8, 185, 33, 18, 33, 0, 2.0, 26.0, 33.0, 0, 7, 32, 0, 32, 0, 1, 0, 3, 23, 5, 1, 0.0, 0, 29, 0, 3, 2, 10, 27, 6.06, 78.79, 100.0, 54.5, 31.296875, 84.390625, 9.3984375, 21.8984375, 97.0, 0.0, 9.3984375, 71.890625, 15.599609375, 3.1, 0.0, 0.0, 0.0, 100.0, 90.59375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 6.0, "Tous les candidats", 306.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "9503", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9503&g_ta_cod=9503", 0.0, 100.0, 0.0),
(4669, "Public", "0750650Z", "Lycée D'Alembert-Cuir", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "Autre formation", "Lycée D'Alembert-Cuir - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 23, 8, 8, 0, 0, 0.0, 0.0, 1.0, 0, 6, 8, 0, 2, 6, 0, 0, 5, 1, 2, 0, 0.0, 0, 1, 2, 0, 0, 8, 8, 0.0, 0.0, 12.5, 100.0, 100.0, 100.0, 0, 75.0, 100.0, 0.0, 62.5, 12.5, 25.0, 0.0, 0.0, 0.0, 0.0, 25.0, 12.5, 75.0, 25.0, 0.0, 0.0, 18.0, 12.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22393", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 25.0, 75.0),
(4670, "Public", "0020048S", "Lycée Henri Martin", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "BTS", "Lycée Henri Martin - BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "BTS - Services", "", 15, 406, 164, 406, 0, 154, 27, 55, 13, 29, 10, 168, 0, 0, 0, 0, 0, 361, 0, 0, 0, 154, 27, 55, 13, 29, 10, 123, 83, 14, 5, 14, 0, 2.0, 12.0, 12.0, 0, 2, 11, 7, 2, 2, 3, 0, 2, 3, 6, 0, 0.0, 6, 2, 1, 1, 1, 6, 6, 14.29, 85.71, 85.71, 35.6953125, 54.5, 54.5, 9.099609375, 18.19921875, 78.59375, 0.0, 18.19921875, 27.296875, 54.5, 0.0, 0.0, 63.59375, 54.5, 18.19921875, 18.19921875, 18.19921875, 9.099609375, 45.0, 9.0, 14.0, 6.0, 22.0, "Tous les candidats sauf les Bac professionnels", 77.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 25.0, "2057", "BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2057&g_ta_cod=2057", 71.0, 14.0, 14.0),
(4671, "Public", "0740027C", "Lycée Mont Blanc", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Passy", "formation sélective", "BTS", "Lycée Mont Blanc - BTS - Production - Conception de produits industriels (Seconde année possible en apprentissage)", "BTS - Production", "", 15, 199, 25, 199, 0, 11, 1, 70, 7, 45, 5, 73, 0, 0, 0, 0, 0, 144, 0, 0, 0, 10, 1, 67, 5, 44, 5, 23, 53, 14, 1, 14, 0, 5.0, 11.0, 14.0, 0, 1, 10, 0, 4, 6, 4, 0, 5, 3, 2, 0, 0.0, 0, 1, 4, 0, 0, 9, 9, 35.71, 78.57, 100.0, 7.099609375, 90.0, 90.0, 0, 10.0, 71.390625, 0.0, 50.0, 30.0, 20.0, 0.0, 0.0, 0.0, 0.0, 40.0, 10.0, 60.0, 40.0, 5.0, 1.0, 14.0, 2.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 61.0, "8871", "BTS - Production - Conception de produits industriels (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8871&g_ta_cod=8871", 14.0, 43.0, 43.0),
(4672, "Public", "0530012A", "LGT Réaumur - Lycée des métiers", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "LGT Réaumur - Lycée des métiers - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 10, 106, 10, 98, 0, 12, 2, 38, 8, 24, 2, 24, 8, 1, 2, 1, 4, 86, 3, 0, 0, 12, 2, 35, 7, 23, 1, 16, 59, 9, 1, 9, 0, 2.0, 7.0, 9.0, 0, 2, 8, 1, 4, 3, 1, 0, 3, 5, 0, 0, 0.0, 0, 3, 2, 2, 0, 5, 5, 22.22, 77.78, 100.0, 11.099609375, 62.5, 62.5, 25, 25.0, 88.890625, 0.0, 37.5, 62.5, 0.0, 0.0, 0.0, 12.5, 0.0, 50.0, 37.5, 37.5, 25.0, 8.0, 1.0, 20.0, 1.0, 10.0, "Tous les candidats sauf les Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 84.0, "6203", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6203&g_ta_cod=6203", 11.0, 56.0, 33.0),
(4673, "Public", "0750653C", "Lycée Sophie Germain", "75", "Paris", "Ile-de-France", "Paris", "Paris  4e  Arrondissement", "formation sélective", "BTS", "Lycée Sophie Germain - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 24, 1809, 967, 1809, 0, 180, 62, 626, 311, 429, 216, 574, 0, 0, 0, 0, 0, 968, 0, 0, 0, 80, 29, 256, 130, 429, 216, 203, 140, 24, 10, 24, 0, 3.0, 13.0, 20.0, 0, 13, 23, 3, 14, 6, 1, 0, 2, 12, 9, 0, 0.0, 3, 12, 6, 0, 0, 8, 22, 12.5, 54.17, 83.33, 41.6953125, 34.796875, 95.6875, 0, 56.5, 95.796875, 0.0, 8.69921875, 52.1953125, 39.09375, 0.0, 0.0, 13.0, 13.0, 60.8984375, 52.1953125, 26.09765625, 26.09765625, 25.0, 7.0, 21.0, 12.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 170, "Liste d'appel propre à cette formation", 14.0, "8962", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8962&g_ta_cod=8962", 17.0, 58.0, 25.0),
(4674, "Public", "0772347H", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lieusaint", "formation sélective", "BUT", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC - BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "BUT - Production", "", 53, 796, 406, 779, 0, 491, 33, 134, 27, 0, 0, 154, 17, 0, 10, 0, 7, 561, 3, 0, 0, 370, 28, 107, 21, 0, 0, 84, 295, 52, 25, 49, 1, 8.0, 33.0, 43.0, 0, 12, 44, 28, 16, 0, 8, 0, 10, 21, 10, 3, 0.0, 23, 11, 0, 0, 0, 21, 37, 15.38, 63.46, 82.69, 48.09375, 47.6953125, 84.09375, 0, 27.296875, 84.59375, 0.0, 22.69921875, 47.6953125, 22.69921875, 6.8, 0.0, 63.59375, 52.296875, 36.3984375, 25.0, 0.0, 0.0, 156.0, 17.0, 0.0, 0.0, 52.0, "Tous les candidats sauf les Bac technologiques", 288.0, "Bacheliers technologiques toutes séries", 117, "", 0, "Liste d'appel propre à cette formation", 52.0, "25434", "BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25434&g_ta_cod=25434", 63.0, 37.0, 0.0),
(4675, "Public", "0640017W", "Lycée André Malraux", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Biarritz", "formation sélective", "BTS", "Lycée André Malraux - BTS - Services - Photographie", "BTS - Services", "", 12, 425, 278, 425, 0, 182, 37, 60, 15, 52, 18, 131, 0, 0, 0, 0, 0, 425, 0, 0, 0, 182, 37, 60, 15, 52, 18, 131, 31, 12, 10, 12, 0, 5.0, 11.0, 11.0, 0, 5, 11, 5, 2, 4, 1, 0, 0, 1, 6, 4, 0.0, 5, 2, 4, 1, 1, 4, 4, 41.67, 91.67, 91.67, 83.296875, 36.3984375, 36.3984375, 9.099609375, 45.5, 91.6875, 0.0, 0.0, 9.099609375, 54.5, 36.4, 0.0, 45.5, 45.5, 18.19921875, 18.19921875, 36.3984375, 36.3984375, 9.0, 2.0, 6.0, 3.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 8.0, "13694", "BTS - Services - Photographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13694&g_ta_cod=13694", 50.0, 17.0, 33.0),
(4676, "Public", "0340042L", "Lycée Jean Mermoz", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "CPGE", "Lycée Jean Mermoz - CPGE - PTSI", "Classe préparatoire scientifique", "", 45, 691, 145, 691, 0, 523, 59, 3, 2, 1, 0, 164, 0, 0, 0, 0, 0, 492, 0, 0, 492, 446, 44, 0, 0, 0, 0, 46, 257, 44, 7, 44, 0, 4.0, 29.0, 40.0, 0, 4, 41, 41, 0, 0, 3, 0, 0, 19, 17, 5, 0.0, 41, 0, 0, 1, 0, 37, 37, 9.09, 65.91, 90.91, 15.8984375, 90.1875, 90.1875, 2.39990234375, 9.798828125, 93.1875, 0.0, 0.0, 46.296875, 41.5, 12.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 229.0, 24.0, 0.0, 0.0, 28.0, "Tous les candidats", 460.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "4494", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4494&g_ta_cod=4494", 100.0, 0.0, 0.0),
(4677, "Public", "9840471P", "IUT de Bordeaux - Antenne de Polynésie Française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation sélective", "BUT", "IUT de Bordeaux - Antenne de Polynésie Française - BUT - Techniques de commercialisation Parcours : Business international : achat et vente", "BUT - Service", "Business international : achat et vente", 28, 272, 161, 272, 0, 100, 26, 129, 50, 6, 2, 37, 0, 0, 0, 0, 0, 121, 0, 0, 0, 31, 11, 77, 34, 2, 1, 11, 67, 32, 24, 32, 0, 10.0, 32.0, 32.0, 0, 10, 27, 8, 19, 0, 5, 0, 5, 15, 7, 0, 0.0, 5, 17, 0, 0, 0, 27, 27, 31.25, 100.0, 100.0, 75.0, 100.0, 100.0, 0, 37.0, 84.390625, 0.0, 18.5, 55.59375, 25.8984375, 0.0, 0.0, 29.59765625, 18.5, 70.390625, 63.0, 0.0, 0.0, 18.0, 6.0, 0.0, 0.0, 6.0, "Tous les candidats sauf les Bac technologiques", 26.0, "Bacheliers technologiques toutes séries", 65, "", 0, "Liste d'appel propre à cette formation", 32.0, "20022", "BUT - Techniques de commercialisation Parcours : Business international : achat et vente", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20022&g_ta_cod=20022", 28.0, 72.0, 0.0),
(4678, "Privé sous contrat d'association", "0490886X", "Lycée professionnel LA PROVIDENCE", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "BTS", "Lycée professionnel LA PROVIDENCE - BTS - Services - Support à l'action managériale", "BTS - Services", "", 18, 181, 129, 172, 0, 12, 2, 47, 6, 43, 10, 70, 9, 1, 2, 1, 5, 113, 3, 0, 0, 12, 2, 47, 6, 39, 9, 15, 80, 11, 6, 10, 1, 2.0, 10.0, 11.0, 0, 1, 8, 0, 2, 6, 3, 0, 4, 4, 0, 0, 0.0, 0, 0, 4, 1, 0, 8, 8, 18.18, 90.91, 100.0, 54.5, 100.0, 100.0, 12.5, 12.5, 72.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 50.0, 9.0, 2.0, 26.0, 5.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 66.0, "5902", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5902&g_ta_cod=5902", 9.0, 36.0, 55.0),
(4679, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 200, 1847, 1072, 1769, 0, 1105, 247, 283, 117, 28, 14, 353, 78, 10, 10, 5, 53, 1734, 63, 0, 0, 1105, 247, 283, 117, 28, 14, 318, 1058, 198, 112, 175, 23, 18.0, 139.0, 170.0, 0, 42, 155, 125, 28, 2, 43, 0, 71, 60, 19, 4, 1.0, 75, 8, 1, 0, 0, 138, 138, 9.09, 70.2, 85.86, 56.59375, 89.0, 89.0, 0, 27.09765625, 78.296875, 0.0, 45.796875, 38.6953125, 12.298828125, 2.6, 0.6, 80.59375, 48.3984375, 18.09765625, 5.19921875, 1.2998046875, 0.5999755859375, 753.0, 156.0, 7.0, 4.0, 163.0, "Tous les candidats", 1626.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "6331", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6331&g_ta_cod=6331", 75.0, 22.0, 3.0),
(4680, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud-Est et Pacifique -  Drehu - Tahitien", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations,  parcours Asie du Sud-Est et Pacifique -  Drehu - Tahitien", 15, 35, 26, 20, 0, 9, 5, 5, 4, 1, 1, 5, 15, 0, 1, 0, 14, 20, 14, 0, 0, 9, 5, 5, 4, 1, 1, 5, 34, 5, 4, 3, 2, 3.0, 3.0, 3.0, 0, 2, 2, 1, 1, 0, 3, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 60.0, 60.0, 60.0, 80.0, 0.0, 0.0, 0, 100.0, 40.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 0.0, 0.0, 0.0, 9.0, 5.0, 1.0, 1.0, 18.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9386", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud-Est et Pacifique -  Drehu - Tahitien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29575&g_ta_cod=9386", 80.0, 20.0, 0.0),
(4681, "Public", "9730421V", "Lycée polyvalent Leopold Elfort", "973", "Guyane", "Guyane", "Guyane", "Mana", "formation sélective", "Autre formation", "Lycée polyvalent Leopold Elfort - Mention complémentaire - Organisateur de réception", "Mention complémentaire", "", 15, 7, 7, 5, 0, 0, 0, 0, 0, 5, 2, 0, 2, 0, 1, 1, 0, 5, 2, 0, 0, 0, 0, 0, 0, 5, 2, 0, 7, 3, 3, 2, 1, 2.0, 2.0, 3.0, 0, 1, 3, 0, 0, 3, 0, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 3, 3, 66.67, 66.67, 100.0, 100.0, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 33.296875, 0.0, 0.0, 6.0, 3.0, 0.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "22946", "Mention complémentaire - Organisateur de réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22946&g_ta_cod=22946", 0.0, 0.0, 100.0),
(4682, "Privé sous contrat d'association", "0951819L", "ECAM EPMI", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "ECAM-ECAM LaSalle - Formation d'ingénieur Bac + 5 - Autres Séries", "Formations  des écoles d'ingénieurs", "Autres séries", 5, 7, 2, 4, 0, 0, 0, 0, 0, 0, 0, 4, 3, 0, 0, 0, 3, 4, 2, 0, 0, 0, 0, 0, 0, 0, 0, 4, 6, 2, 1, 2, 0, 2.0, 2.0, 2.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 50.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "29338", "Formation d'ingénieur Bac + 5 - Autres Séries", "ECAM-ECAM LaSalle", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29306&g_ta_cod=29338", 100.0, 0.0, 0.0),
(4683, "Public", "0120621K", "L.E.G.T.A. Villefranche de Rouergue", "12", "Aveyron", "Occitanie", "Toulouse", "Villefranche-de-Rouergue", "formation sélective", "BTS", "L.E.G.T.A. Villefranche de Rouergue - BTS - Production - Bioqualité", "BTS - Production", "", 24, 240, 147, 228, 0, 12, 0, 79, 16, 10, 4, 127, 12, 0, 6, 1, 5, 145, 8, 0, 0, 12, 0, 79, 16, 10, 4, 44, 114, 22, 10, 17, 5, 4.0, 10.0, 22.0, 0, 3, 8, 0, 6, 2, 14, 0, 1, 6, 1, 0, 0.0, 0, 5, 2, 1, 0, 6, 6, 18.18, 45.45, 100.0, 45.5, 75.0, 75.0, 12.5, 37.5, 36.3984375, 0.0, 12.5, 75.0, 12.5, 0.0, 0.0, 0.0, 0.0, 75.0, 62.5, 25.0, 25.0, 11.0, 0.0, 11.0, 4.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 63.0, "2494", "BTS - Production - Bioqualité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2494&g_ta_cod=2494", 45.0, 41.0, 14.0),
(4684, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 120, 1011, 617, 1011, 0, 549, 158, 166, 76, 74, 53, 222, 0, 0, 0, 0, 0, 1008, 0, 0, 0, 549, 158, 166, 76, 74, 53, 219, 621, 114, 68, 113, 0, 5.0, 97.0, 100.0, 0, 41, 72, 43, 19, 10, 42, 1, 34, 31, 6, 0, 0.0, 27, 4, 6, 0, 0, 72, 72, 4.39, 85.09, 87.72, 59.59375, 100.0, 100.0, 0, 56.8984375, 63.1953125, 1.39990234375, 47.1953125, 43.09375, 8.298828125, 0.0, 0.0, 59.6953125, 37.5, 26.3984375, 5.599609375, 13.8984375, 8.298828125, 354.0, 105.0, 26.0, 20.0, 143.0, "Tous les candidats", 699.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "8145", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8145&g_ta_cod=8145", 48.0, 30.0, 22.0),
(4685, "Public", "0741133E", "I.U.T. Annecy", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 12, 283, 22, 283, 0, 0, 0, 264, 43, 0, 0, 19, 0, 0, 0, 0, 0, 128, 0, 0, 0, 0, 0, 122, 19, 0, 0, 6, 53, 13, 1, 13, 0, 2.0, 13.0, 13.0, 0, 1, 13, 0, 13, 0, 0, 0, 0, 0, 8, 5, 0.0, 0, 13, 0, 0, 0, 7, 7, 15.38, 100.0, 100.0, 7.69921875, 53.796875, 53.796875, 0, 7.69921875, 100.0, 0.0, 0.0, 0.0, 61.5, 38.5, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 274.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "347", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=347", 0.0, 100.0, 0.0),
(4686, "Public", "0760035A", "Lycée Guy De Maupassant", "76", "Seine-Maritime", "Normandie", "Normandie", "Fécamp", "formation sélective", "BTS", "Lycée Guy De Maupassant - BTS - Production - Maintenance des systèmes - option C Systèmes éoliens", "BTS - Production", "", 8, 180, 7, 180, 0, 4, 0, 52, 10, 82, 24, 42, 0, 0, 0, 0, 0, 128, 0, 0, 0, 4, 0, 39, 7, 64, 18, 21, 31, 8, 0, 8, 0, 0.0, 6.0, 8.0, 0, 1, 7, 1, 2, 4, 1, 0, 3, 1, 3, 0, 0.0, 0, 1, 3, 0, 0, 6, 6, 0.0, 75.0, 100.0, 0.0, 85.6875, 85.6875, 0, 14.298828125, 87.5, 0.0, 42.8984375, 14.298828125, 42.8984375, 0.0, 0.0, 14.298828125, 0.0, 28.59765625, 14.298828125, 57.09375, 42.8984375, 1.0, 0.0, 21.0, 4.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 37.0, "17546", "BTS - Production - Maintenance des systèmes - option C Systèmes éoliens", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17546&g_ta_cod=17546", 13.0, 38.0, 50.0),
(4687, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "PASS", "Université de Bordeaux - Bordeaux Métropole - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 240, 3366, 2459, 3366, 0, 2647, 402, 65, 20, 17, 7, 637, 0, 0, 0, 0, 0, 3327, 0, 0, 0, 2647, 402, 65, 20, 17, 7, 598, 1102, 236, 186, 236, 0, 14.0, 228.0, 228.0, 0, 43, 212, 207, 3, 2, 24, 0, 39, 94, 61, 15, 3.0, 170, 3, 0, 0, 0, 186, 186, 5.93, 96.61, 96.61, 78.796875, 87.6875, 87.6875, 0, 20.296875, 89.796875, 0.0, 18.3984375, 44.296875, 28.796875, 7.1, 1.4, 97.59375, 80.1875, 1.39990234375, 1.39990234375, 0.89990234375, 0.0, 948.0, 148.0, 5.0, 5.0, 139.0, "Tous les candidats", 4139.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "26841", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26837&g_ta_cod=26841", 98.0, 1.0, 1.0),
(4688, "Privé sous contrat d'association", "0100059K", "Lycée LA SALLE", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BTS", "Lycée LA SALLE - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 20, 129, 50, 129, 0, 22, 5, 37, 16, 20, 11, 50, 0, 0, 0, 0, 0, 113, 0, 0, 0, 22, 5, 37, 16, 20, 11, 34, 77, 14, 5, 14, 0, 3.0, 11.0, 13.0, 0, 1, 10, 0, 7, 3, 4, 0, 7, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 9, 9, 21.43, 78.57, 92.86, 35.6953125, 90.0, 90.0, 0, 10.0, 71.390625, 0.0, 70.0, 30.0, 0.0, 0.0, 0.0, 0.0, 0.0, 70.0, 0.0, 30.0, 30.0, 18.0, 4.0, 16.0, 9.0, 15.0, "Tous les candidats sauf les Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 76.0, "2421", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2421&g_ta_cod=2421", 14.0, 57.0, 29.0),
(4689, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 500, 5957, 5020, 5957, 0, 3335, 672, 590, 158, 180, 72, 1852, 0, 0, 0, 0, 0, 5956, 0, 0, 0, 3335, 672, 590, 158, 180, 72, 1851, 1680, 504, 430, 504, 0, 116.0, 424.0, 478.0, 0, 89, 359, 297, 47, 15, 145, 1, 70, 180, 84, 23, 1.0, 239, 36, 13, 0, 0, 335, 335, 23.02, 84.13, 94.84, 85.296875, 93.296875, 93.296875, 0, 24.796875, 71.1875, 0.29998779296875, 19.5, 50.09375, 23.3984375, 6.4, 0.3, 82.6875, 66.59375, 13.099609375, 10.0, 4.19921875, 3.599609375, 1021.0, 203.0, 59.0, 27.0, 442.0, "Tous les candidats", 2323.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "4732", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27610&g_ta_cod=4732", 82.0, 12.0, 5.0),
(4690, "Public", "0501700B", "IFSI CH Avranches-Granville", "50", "Manche", "Normandie", "Normandie", "Granville", "formation sélective", "IFSI", "Regroupement d'IFSI Université Caen - D.E Infirmier", "D.E secteur sanitaire", "", 62, 2396, 2019, 2396, 0, 399, 55, 525, 97, 357, 106, 1115, 0, 0, 0, 0, 0, 2283, 0, 0, 0, 397, 55, 508, 92, 335, 103, 1043, 513, 62, 57, 62, 0, 1.0, 34.0, 57.0, 0, 10, 42, 22, 16, 4, 20, 0, 5, 32, 4, 1, 0.0, 17, 16, 4, 0, 0, 16, 16, 1.61, 54.84, 91.94, 91.890625, 38.09375, 38.09375, 0, 23.796875, 67.6875, 0.0, 11.8984375, 76.1875, 9.5, 2.4, 0.0, 52.3984375, 40.5, 38.09375, 38.09375, 9.5, 9.5, 159.0, 22.0, 42.0, 16.0, 197.0, "Tous les candidats", 1589.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "25269", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23094&g_ta_cod=25269", 60.0, 29.0, 11.0),
(4691, "Public", "0430021P", "Lycée Simone Weil", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "BTS", "Lycée Simone Weil - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 18, 309, 168, 292, 0, 57, 16, 67, 28, 34, 14, 134, 17, 0, 1, 6, 10, 172, 3, 0, 0, 53, 13, 50, 20, 28, 9, 41, 115, 11, 4, 10, 1, 2.0, 8.0, 9.0, 0, 6, 9, 2, 5, 2, 2, 0, 4, 5, 0, 0, 0.0, 1, 4, 0, 3, 1, 6, 6, 18.18, 72.73, 81.82, 36.3984375, 66.6875, 66.6875, 33.296875, 66.6875, 81.796875, 0.0, 44.3984375, 55.59375, 0.0, 0.0, 0.0, 22.19921875, 11.099609375, 55.59375, 44.3984375, 22.19921875, 0.0, 37.0, 9.0, 25.0, 9.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 53.0, "20753", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20753&g_ta_cod=20753", 36.0, 45.0, 18.0),
(4692, "Privé enseignement supérieur", "0310155A", "Institut Catholique de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Institut Catholique de Toulouse - Licence - Arts - Parcours Médiation et gestion d'actions culturelles", "Licence - Arts-lettres-langues", "Médiation et gestion d'actions culturelles", 120, 282, 216, 217, 0, 121, 24, 19, 5, 6, 1, 71, 65, 19, 1, 1, 44, 214, 59, 0, 0, 121, 24, 19, 5, 6, 1, 68, 263, 37, 24, 27, 10, 5.0, 27.0, 34.0, 0, 3, 17, 13, 2, 2, 20, 0, 9, 5, 2, 1, 0.0, 4, 2, 2, 0, 0, 8, 8, 13.51, 72.97, 91.89, 64.890625, 47.09375, 47.09375, 0, 17.59765625, 45.8984375, 0.0, 52.8984375, 29.3984375, 11.798828125, 5.9, 0.0, 76.5, 23.5, 11.798828125, 11.798828125, 11.798828125, 11.798828125, 139.0, 26.0, 5.0, 0.0, 100.0, "Tous les candidats", 215.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "24405", "Licence - Arts - Parcours Médiation et gestion d'actions culturelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24405&g_ta_cod=24405", 78.0, 8.0, 8.0),
(4693, "Public", "0401002X", "Lycée Haroun Tazieff", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Saint-Paul-lès-Dax", "formation sélective", "BTS", "Lycée Haroun Tazieff - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 15, 128, 41, 105, 0, 5, 2, 35, 7, 33, 10, 32, 23, 4, 4, 8, 7, 67, 13, 0, 0, 5, 2, 29, 4, 26, 7, 7, 70, 9, 2, 5, 4, 2.0, 5.0, 9.0, 0, 1, 8, 2, 1, 5, 1, 0, 4, 4, 0, 0, 0.0, 2, 0, 2, 4, 1, 7, 7, 22.22, 55.56, 100.0, 22.19921875, 87.5, 87.5, 50, 12.5, 88.890625, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 25.0, 25.0, 12.5, 0.0, 62.5, 25.0, 8.0, 4.0, 25.0, 6.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 61.0, "5222", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5222&g_ta_cod=5222", 22.0, 11.0, 67.0),
(4694, "Public", "0561739L", "Université de Bretagne Sud - Site de Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation non sélective", "Licence_Las", "Université de Bretagne Sud - Site de Vannes - Licence - Portail Mathématiques - Parcours Mathématiques ou parcours statistiques", "Licence - Sciences - technologies - santé", "Parcours Mathématiques ou parcours statistiques", 18, 163, 89, 133, 0, 88, 7, 3, 1, 0, 0, 42, 30, 10, 1, 0, 19, 130, 28, 0, 0, 88, 7, 3, 1, 0, 0, 39, 127, 11, 7, 9, 2, 0.0, 9.0, 9.0, 0, 1, 9, 9, 0, 0, 2, 0, 3, 3, 3, 0, 0.0, 6, 0, 0, 0, 0, 7, 7, 0.0, 81.82, 81.82, 63.59375, 77.796875, 77.796875, 0, 11.099609375, 81.796875, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 83.0, 5.0, 0.0, 0.0, 43.0, "Tous les candidats", 404.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "26733", "Licence - Portail Mathématiques - Parcours Mathématiques ou parcours statistiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26732&g_ta_cod=26733", 91.0, 9.0, 0.0),
(4695, "Public", "9740015Y", "Lycée professionnel Vue Belle", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Paul", "formation sélective", "Autre formation", "Lycée professionnel Vue Belle - Mention complémentaire - Assistance Conseil Vente à distance", "Mention complémentaire", "", 15, 57, 36, 55, 0, 0, 0, 2, 2, 36, 28, 17, 2, 0, 0, 1, 1, 39, 1, 0, 0, 0, 0, 2, 2, 34, 27, 3, 40, 5, 3, 4, 0, 0.0, 4.0, 4.0, 0, 4, 5, 0, 0, 5, 0, 0, 4, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 5, 5, 0.0, 80.0, 80.0, 60.0, 100.0, 100.0, 0, 80.0, 100.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 20.0, 0.0, 0.0, 35.0, 28.0, 3.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "22097", "Mention complémentaire - Assistance Conseil Vente à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22097&g_ta_cod=22097", 0.0, 0.0, 100.0),
(4696, "Privé sous contrat d'association", "0692706S", "MFREO Saint Laurent de Chamousset", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Laurent-de-Chamousset", "formation sélective", "BTS", "MFREO Saint Laurent de Chamousset - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 20, 62, 30, 61, 0, 7, 1, 9, 0, 30, 8, 15, 1, 0, 1, 0, 0, 46, 0, 0, 0, 6, 1, 9, 0, 29, 7, 2, 35, 14, 5, 14, 0, 8.0, 14.0, 14.0, 0, 3, 14, 0, 2, 12, 0, 0, 5, 5, 4, 0, 0.0, 0, 2, 7, 7, 1, 14, 14, 57.14, 100.0, 100.0, 35.6953125, 100.0, 100.0, 50, 21.3984375, 100.0, 0.0, 35.6953125, 35.6953125, 28.59765625, 0.0, 0.0, 0.0, 0.0, 14.298828125, 14.298828125, 85.6875, 50.0, 3.0, 1.0, 24.0, 5.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 70.0, "8543", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8543&g_ta_cod=8543", 0.0, 14.0, 86.0),
(4697, "Privé enseignement supérieur", "0752304X", "ISTEC - Ecole Supérieure de Commerce et de Marketing", "75", "Paris", "Ile-de-France", "Paris", "Paris 10e  Arrondissement", "formation sélective", "Ecole de Commerce", "ISTEC - Ecole Supérieure de Commerce et de Marketing - Formation des écoles de commerce et de management Bac + 5 - Programme Grandes Ecoles - Grade Master", "Formation des écoles de commerce et de management", "Programme Grandes Ecoles - Grade Master", 110, 1140, 554, 878, 0, 633, 75, 106, 22, 35, 5, 104, 262, 91, 34, 18, 119, 468, 31, 0, 0, 384, 38, 44, 4, 5, 2, 35, 464, 78, 36, 59, 19, 35.0, 59.0, 70.0, 0, 8, 62, 49, 11, 2, 16, 1, 28, 23, 9, 1, 0.0, 26, 7, 0, 0, 0, 7, 50, 44.87, 75.64, 89.74, 46.1953125, 11.298828125, 80.59375, 0, 12.8984375, 79.5, 1.599853515625, 45.1953125, 37.09375, 14.5, 1.6, 0.0, 79.0, 41.8984375, 17.69921875, 11.298828125, 3.19970703125, 0.0, 368.0, 37.0, 4.0, 1.0, 43.0, "Tous les candidats", 468.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "24113", "Formation des écoles de commerce et de management Bac + 5 - Programme Grandes Ecoles - Grade Master", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24113&g_ta_cod=24113", 78.0, 19.0, 3.0),
(4698, "Public", "0623844S", "Institut de Formation en Soins Infirmiers - IFSI et IFAS - BERCK", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Berck", "formation sélective", "IFSI", "Regroupement d'IFSI Université Amiens - D.E Infirmier", "D.E secteur sanitaire", "", 108, 2730, 2238, 2730, 0, 506, 104, 492, 145, 372, 143, 1360, 0, 0, 0, 0, 0, 1949, 0, 0, 0, 430, 83, 375, 100, 268, 95, 876, 651, 107, 87, 107, 0, 5.0, 57.0, 87.0, 0, 13, 59, 20, 26, 13, 48, 0, 8, 28, 23, 0, 0.0, 15, 24, 12, 0, 0, 50, 50, 4.67, 53.27, 81.31, 81.296875, 84.6875, 84.6875, 0, 22.0, 55.09375, 0.0, 13.599609375, 47.5, 39.0, 0.0, 0.0, 33.8984375, 25.3984375, 44.09375, 40.6953125, 22.0, 20.296875, 164.0, 33.0, 78.0, 23.0, 289.0, "Tous les candidats", 2229.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "23150", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23008&g_ta_cod=23150", 56.0, 30.0, 14.0),
(4699, "Privé enseignement supérieur", "0592808G", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LCE Anglais", "Licence - Arts-lettres-langues", "LCE Anglais", 200, 429, 314, 327, 0, 246, 53, 19, 6, 8, 3, 54, 102, 21, 8, 5, 68, 327, 88, 0, 0, 246, 53, 19, 6, 8, 3, 54, 410, 56, 41, 47, 9, 32.0, 47.0, 53.0, 0, 10, 48, 41, 4, 3, 8, 1, 11, 17, 10, 6, 3.0, 30, 3, 3, 0, 0, 31, 31, 57.14, 83.93, 94.64, 73.1875, 64.59375, 64.59375, 0, 20.796875, 85.6875, 2.099609375, 22.8984375, 35.3984375, 20.796875, 12.5, 6.3, 85.390625, 62.5, 8.298828125, 6.2998046875, 6.2998046875, 6.2998046875, 263.0, 58.0, 13.0, 7.0, 107.0, "Tous les candidats", 327.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12646", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LCE Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12646&g_ta_cod=12646", 84.0, 7.0, 7.0),
(4700, "Public", "0750663N", "Lycée Chaptal", "75", "Paris", "Ile-de-France", "Paris", "Paris  8e  Arrondissement", "formation sélective", "CPGE", "Pôle Chaptal / ENC - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 48, 1017, 480, 1017, 396, 891, 93, 1, 0, 0, 0, 125, 0, 0, 0, 0, 0, 981, 0, 396, 939, 880, 89, 1, 0, 0, 0, 100, 494, 42, 20, 42, 0, 0.0, 9.0, 35.0, 8, 9, 37, 37, 0, 0, 5, 0, 3, 13, 19, 1, 1.0, 34, 0, 0, 2, 2, 13, 32, 0.0, 21.43, 83.33, 47.59375, 35.09375, 86.5, 5.3994140625, 24.296875, 88.09375, 0.0, 8.099609375, 35.09375, 51.3984375, 2.7, 2.7, 100.0, 91.890625, 0.0, 0.0, 0.0, 0.0, 458.0, 51.0, 0.0, 0.0, 36.0, "Tous les candidats", 714.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "31363", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31363&g_ta_cod=31363", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(4701, "Privé enseignement supérieur", "0753111Z", "PSB Paris School of Business", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Ecole de Commerce", "PSB Paris School of Business - Formation des écoles de commerce et de management Bac + 3 - Management général et international", "Formation des écoles de commerce et de management", "Management général et international", 250, 1097, 483, 869, 0, 576, 43, 161, 21, 35, 13, 97, 228, 87, 39, 18, 84, 501, 156, 0, 0, 348, 23, 96, 9, 11, 3, 46, 657, 157, 58, 99, 58, 97.0, 99.0, 136.0, 0, 16, 124, 81, 35, 8, 33, 2, 62, 45, 13, 2, 0.0, 40, 13, 7, 0, 0, 24, 83, 61.78, 63.06, 86.62, 36.8984375, 19.3984375, 66.890625, 0, 12.8984375, 79.0, 1.599853515625, 50.0, 36.296875, 10.5, 1.6, 0.0, 65.296875, 32.296875, 28.19921875, 10.5, 6.5, 5.599609375, 414.0, 33.0, 18.0, 6.0, 102.0, "Tous les candidats", 501.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "26223", "Formation des écoles de commerce et de management Bac + 3 - Management général et international", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26223&g_ta_cod=26223", 66.0, 29.0, 5.0),
(4702, "Public", "0760170X", "I.U.T de Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation sélective", "BUT", "I.U.T de Rouen - BUT - Techniques de commercialisation Parcours : Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client", "BUT - Service", "Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client", 140, 3123, 1537, 3123, 0, 1516, 255, 1026, 329, 41, 14, 540, 0, 0, 0, 0, 0, 1836, 0, 0, 0, 1062, 144, 601, 172, 5, 2, 168, 550, 146, 80, 146, 0, 21.0, 122.0, 139.0, 0, 47, 136, 62, 72, 2, 10, 0, 5, 67, 58, 6, 0.0, 61, 68, 2, 0, 0, 124, 124, 14.38, 83.56, 95.21, 54.796875, 91.1875, 91.1875, 0, 34.59375, 93.1875, 0.0, 3.69970703125, 49.296875, 42.59375, 4.4, 0.0, 45.59375, 44.8984375, 52.8984375, 50.0, 1.5, 1.5, 257.0, 66.0, 3.0, 2.0, 50.0, "Tous les candidats sauf les Bac technologiques", 468.0, "Bacheliers technologiques toutes séries", 345, "", 0, "Liste d'appel propre à cette formation", 26.0, "9628", "BUT - Techniques de commercialisation Parcours : Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9628&g_ta_cod=9628", 49.0, 50.0, 1.0),
(4703, "Privé sous contrat d'association", "0601194X", "Institut Charles Quentin", "60", "Oise", "Hauts-de-France", "Amiens", "Pierrefonds", "formation sélective", "BTS", "Institut Charles Quentin - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 32, 247, 63, 241, 0, 38, 6, 88, 8, 17, 3, 98, 6, 1, 1, 1, 3, 150, 4, 0, 0, 38, 6, 82, 7, 15, 3, 15, 114, 21, 2, 18, 3, 8.0, 18.0, 19.0, 0, 1, 18, 5, 10, 3, 3, 0, 9, 4, 4, 1, 0.0, 1, 5, 3, 0, 0, 5, 5, 38.1, 85.71, 90.48, 9.5, 27.796875, 27.796875, 0, 5.599609375, 85.6875, 0.0, 50.0, 22.19921875, 22.19921875, 5.6, 0.0, 27.796875, 5.599609375, 55.59375, 27.796875, 16.69921875, 16.69921875, 28.0, 4.0, 12.0, 2.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 61.0, "7257", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7257&g_ta_cod=7257", 38.0, 48.0, 14.0),
(4704, "Public", "0595964M", "Université du littoral - Site de Dunkerque", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation non sélective", "Licence", "Université du littoral - Site de Calais - - Licence - Sciences et Techniques des Activités Physiques et Sportives", "Licence - STAPS", ": Université du littoral - Site de Dunkerque", 80, 1732, 463, 1732, 0, 1079, 218, 242, 67, 57, 18, 354, 0, 0, 0, 0, 0, 1732, 0, 0, 0, 1079, 218, 242, 67, 57, 18, 354, 382, 78, 23, 77, 0, 16.0, 65.0, 73.0, 0, 18, 61, 46, 13, 2, 17, 0, 17, 31, 8, 5, 0.0, 35, 7, 2, 0, 0, 59, 59, 20.51, 83.33, 93.59, 29.5, 96.6875, 96.6875, 0, 29.5, 78.1875, 0.0, 27.8984375, 50.796875, 13.099609375, 8.2, 0.0, 75.390625, 57.3984375, 21.296875, 11.5, 3.2998046875, 3.2998046875, 223.0, 66.0, 4.0, 4.0, 115.0, "Tous les candidats", 975.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 43.0, "29100", "Licence - Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29099&g_ta_cod=29100", 77.0, 18.0, 5.0),
(4705, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "Licence", "ICES - Institut Catholique de Vendée - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 50, 215, 69, 149, 0, 120, 10, 5, 1, 1, 1, 23, 66, 22, 0, 0, 44, 146, 11, 0, 0, 120, 10, 5, 1, 1, 1, 20, 130, 14, 5, 12, 2, 10.0, 12.0, 14.0, 0, 1, 11, 11, 0, 0, 3, 0, 3, 7, 1, 0, 0.0, 8, 0, 0, 0, 0, 8, 8, 71.43, 85.71, 100.0, 35.6953125, 72.6875, 72.6875, 0, 9.099609375, 78.59375, 0.0, 27.296875, 63.59375, 9.099609375, 0.0, 0.0, 100.0, 72.6875, 0.0, 0.0, 0.0, 0.0, 104.0, 10.0, 0.0, 0.0, 21.0, "Tous les candidats", 146.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "19376", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19376&g_ta_cod=19376", 100.0, 0.0, 0.0),
(4706, "Public", "0210015C", "Lycée Carnot", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "CPGE", "Lycée Carnot - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 612, 284, 606, 378, 497, 48, 1, 0, 1, 0, 107, 6, 5, 0, 1, 0, 441, 1, 207, 421, 422, 30, 0, 0, 0, 0, 19, 200, 14, 6, 14, 0, 4.0, 9.0, 14.0, 4, 0, 14, 14, 0, 0, 0, 0, 0, 2, 5, 5, 2.0, 14, 0, 0, 4, 1, 9, 9, 28.57, 64.29, 100.0, 42.8984375, 64.296875, 64.296875, 28.59765625, 0.0, 100.0, 0.0, 0.0, 14.298828125, 35.6953125, 35.7, 14.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 193.0, 16.0, 0.0, 0.0, 7.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "31600", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31297&g_ta_cod=31600", 100.0, 0.0, 0.0),
(4707, "Public", "0382895R", "Lycée Philibert Delorme", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "L'Isle-d'Abeau", "formation sélective", "BTS", "Lycée Philibert Delorme - BTS - Services - Gestion de la PME", "BTS - Services", "", 32, 348, 234, 346, 0, 24, 6, 138, 44, 101, 56, 83, 2, 0, 0, 0, 2, 346, 0, 0, 0, 24, 6, 138, 44, 101, 56, 83, 177, 28, 21, 28, 0, 0.0, 17.0, 20.0, 0, 10, 19, 2, 11, 6, 9, 0, 10, 8, 1, 0, 0.0, 1, 6, 2, 3, 2, 18, 18, 0.0, 60.71, 71.43, 75.0, 94.6875, 94.6875, 15.798828125, 52.59375, 67.890625, 0.0, 52.59375, 42.09375, 5.2998046875, 0.0, 0.0, 10.5, 5.2998046875, 57.8984375, 31.59765625, 31.59765625, 10.5, 12.0, 5.0, 63.0, 33.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 94, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 58.0, "5125", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5125&g_ta_cod=5125", 18.0, 46.0, 36.0),
(4708, "Privé sous contrat d'association", "0420974F", "Lycée Sainte Anne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Roanne", "formation sélective", "BTS", "Lycée Sainte Anne - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 21, 156, 73, 127, 0, 12, 0, 27, 10, 32, 19, 56, 29, 2, 3, 0, 24, 64, 14, 0, 0, 5, 0, 21, 7, 17, 10, 21, 70, 14, 10, 10, 4, 6.0, 10.0, 13.0, 0, 4, 7, 0, 3, 4, 7, 0, 1, 4, 2, 0, 0.0, 0, 2, 4, 1, 1, 7, 7, 42.86, 71.43, 92.86, 71.390625, 100.0, 100.0, 14.298828125, 57.09375, 50.0, 0.0, 14.298828125, 57.09375, 28.59765625, 0.0, 0.0, 0.0, 0.0, 42.8984375, 28.59765625, 57.09375, 57.09375, 6.0, 0.0, 16.0, 9.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 50.0, "5313", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5313&g_ta_cod=5313", 14.0, 50.0, 36.0),
(4709, "Public", "0930129K", "Lycée professionnel Madeleine Vionnet", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bondy", "formation sélective", "Autre formation", "Lycée professionnel Madeleine Vionnet - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 31, 14, 8, 0, 0, 0.0, 0.0, 1.0, 0, 8, 13, 1, 2, 10, 1, 0, 12, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 12, 13, 0.0, 0.0, 7.14, 57.09375, 92.296875, 100.0, 0, 61.5, 92.890625, 0.0, 92.296875, 7.69921875, 0.0, 0.0, 0.0, 7.69921875, 0.0, 15.3984375, 0.0, 76.890625, 7.69921875, 2.0, 1.0, 19.0, 9.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22458", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 7.0, 14.0, 79.0),
(4710, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 14  - Sciences de la terre-Physique-Chimie", "Licence - Sciences - technologies - santé", "14  - Sciences de la terre-Physique-Chimie", 120, 464, 229, 219, 0, 127, 18, 20, 2, 2, 1, 70, 245, 111, 16, 5, 113, 215, 222, 0, 0, 127, 18, 20, 2, 2, 1, 66, 437, 44, 18, 13, 31, 13.0, 13.0, 42.0, 0, 6, 22, 15, 4, 3, 22, 0, 16, 4, 2, 0, 0.0, 5, 0, 1, 0, 0, 11, 11, 29.55, 29.55, 95.45, 40.8984375, 50.0, 50.0, 0, 27.296875, 50.0, 0.0, 72.6875, 18.19921875, 9.099609375, 0.0, 0.0, 68.1875, 22.69921875, 18.19921875, 0.0, 13.599609375, 4.5, 236.0, 27.0, 7.0, 4.0, 158.0, "Tous les candidats", 215.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "23427", "Licence - Portail 14  - Sciences de la terre-Physique-Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23427&g_ta_cod=23427", 66.0, 18.0, 16.0),
(4711, "Privé enseignement supérieur", "0561767S", "ASKORIA - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "EFTS", "ASKORIA - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 15, 443, 422, 443, 0, 65, 10, 91, 11, 67, 12, 220, 0, 0, 0, 0, 0, 302, 0, 0, 0, 30, 1, 56, 6, 40, 6, 176, 45, 15, 15, 15, 0, 1.0, 14.0, 14.0, 0, 0, 6, 1, 3, 2, 9, 0, 2, 2, 2, 0, 0.0, 1, 2, 1, 0, 0, 6, 6, 6.67, 93.33, 93.33, 100.0, 100.0, 100.0, 0, 0.0, 40.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 16.69921875, 16.69921875, 50.0, 33.296875, 33.296875, 16.69921875, 2.0, 0.0, 8.0, 0.0, 30.0, "Tous les candidats", 62.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 12.0, "25944", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24973&g_ta_cod=25944", 40.0, 40.0, 20.0),
(4712, "Public", "0080863V", "Lycée agricole de Charleville le Balcon des Ardennes", "08", "Ariège", "Grand Est", "Reims", "Saint-Laurent", "formation sélective", "BTS", "Lycée agricole de Charleville le Balcon des Ardennes - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 32, 560, 219, 560, 0, 144, 24, 123, 13, 94, 18, 199, 0, 0, 0, 0, 0, 455, 0, 0, 0, 142, 23, 119, 12, 87, 15, 107, 138, 32, 14, 31, 0, 4.0, 27.0, 27.0, 0, 7, 25, 9, 6, 10, 7, 0, 5, 12, 8, 0, 0.0, 6, 4, 10, 4, 2, 11, 11, 12.5, 84.38, 84.38, 43.796875, 44.0, 44.0, 16, 28.0, 78.09375, 0.0, 20.0, 48.0, 32.0, 0.0, 0.0, 36.0, 24.0, 24.0, 16.0, 40.0, 40.0, 50.0, 6.0, 26.0, 6.0, 30.0, "Tous les candidats sauf les Bac professionnels", 151.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 32.0, "2374", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2374&g_ta_cod=2374", 41.0, 25.0, 31.0),
(4713, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Licence", "Université Grenoble Alpes  - Licence - Informatique - Parcours Mathématiques-Informatique International", "Licence - Sciences - technologies - santé", "Mathématiques-Informatique International", 32, 362, 73, 281, 0, 218, 30, 7, 5, 1, 0, 55, 81, 26, 1, 2, 52, 89, 16, 0, 0, 64, 6, 0, 0, 0, 0, 25, 94, 18, 2, 9, 9, 4.0, 9.0, 15.0, 0, 0, 8, 8, 0, 0, 10, 0, 1, 2, 3, 1, 1.0, 7, 0, 0, 0, 0, 5, 5, 22.22, 50.0, 83.33, 11.099609375, 62.5, 62.5, 0, 0.0, 44.3984375, 0.0, 12.5, 25.0, 37.5, 12.5, 12.5, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 60.0, 6.0, 0.0, 0.0, 34.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "5017", "Licence - Informatique - Parcours Mathématiques-Informatique International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5017&g_ta_cod=5017", 100.0, 0.0, 0.0),
(4714, "Public", "0590072H", "Lycée De L'Europe", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "Lycée De L'Europe - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 62, 10, 61, 0, 4, 1, 15, 7, 18, 5, 24, 1, 0, 0, 1, 0, 61, 1, 0, 0, 4, 1, 15, 7, 18, 5, 24, 44, 9, 1, 8, 1, 2.0, 6.0, 6.0, 0, 4, 8, 1, 4, 3, 1, 0, 3, 3, 2, 0, 0.0, 0, 2, 3, 5, 0, 8, 8, 22.22, 66.67, 66.67, 11.099609375, 100.0, 100.0, 62.5, 50.0, 88.890625, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 12.5, 0.0, 50.0, 25.0, 37.5, 37.5, 4.0, 1.0, 19.0, 6.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 70.0, "6753", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6753&g_ta_cod=6753", 22.0, 44.0, 33.0),
(4715, "Public", "0132820V", "IFSI St Jacques", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 14e  Arrondissement", "formation sélective", "IFSI", "Regroupement d'IFSI Université Aix-Marseille - D.E Infirmier", "D.E secteur sanitaire", "", 70, 8521, 7073, 8521, 0, 1239, 359, 1261, 481, 836, 427, 5185, 0, 0, 0, 0, 0, 3902, 0, 0, 0, 907, 221, 522, 171, 87, 37, 2386, 1107, 68, 57, 68, 0, 0.0, 12.0, 50.0, 0, 17, 31, 18, 11, 2, 37, 0, 9, 14, 7, 1, 0.0, 11, 9, 2, 0, 0, 27, 27, 0.0, 17.65, 73.53, 83.796875, 87.09375, 87.09375, 0, 54.796875, 45.59375, 0.0, 29.0, 45.1953125, 22.59765625, 3.2, 0.0, 58.09375, 35.5, 35.5, 29.0, 6.5, 6.5, 378.0, 119.0, 10.0, 9.0, 636.0, "Tous les candidats", 2425.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "23024", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22987&g_ta_cod=23024", 60.0, 25.0, 15.0),
(4716, "Public", "0750612H", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART.", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART. - DN MADE - Ornement - - Spécialité : Vitrail", "DN MADE", "- Spécialité : Vitrail", 7, 184, 159, 184, 0, 53, 9, 51, 4, 13, 2, 67, 0, 0, 0, 0, 0, 33, 0, 0, 0, 9, 0, 15, 2, 1, 0, 8, 12, 7, 6, 7, 0, 3.0, 6.0, 6.0, 0, 0, 6, 1, 4, 1, 1, 0, 0, 2, 3, 1, 0.0, 1, 4, 1, 0, 0, 1, 3, 42.86, 85.71, 85.71, 85.6875, 16.69921875, 50.0, 0, 0.0, 85.6875, 0.0, 0.0, 33.296875, 50.0, 16.7, 0.0, 16.69921875, 16.69921875, 66.6875, 66.6875, 16.69921875, 16.69921875, 1.0, 0.0, 1.0, 0.0, 1.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "21969", "DN MADE - Ornement - - Spécialité : Vitrail", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21969&g_ta_cod=21969", 14.0, 71.0, 14.0),
(4717, "Privé sous contrat d'association", "0100734U", "Lycée agricole Sainte Maure", "10", "Aube", "Grand Est", "Reims", "Sainte-Maure", "formation sélective", "BTS", "Lycée agricole Sainte Maure - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 35, 200, 56, 192, 0, 20, 5, 45, 7, 26, 2, 101, 8, 2, 1, 1, 4, 95, 7, 0, 0, 20, 5, 44, 6, 23, 0, 8, 80, 12, 5, 10, 2, 2.0, 10.0, 11.0, 0, 0, 9, 1, 5, 3, 3, 0, 6, 3, 0, 0, 0.0, 0, 3, 0, 7, 3, 8, 8, 16.67, 83.33, 91.67, 41.6953125, 88.890625, 88.890625, 77.796875, 0.0, 75.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 11.099609375, 0.0, 55.59375, 33.296875, 33.296875, 0.0, 22.0, 5.0, 23.0, 0.0, 11.0, "Tous les candidats sauf les Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 49.0, "2430", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2430&g_ta_cod=2430", 8.0, 58.0, 33.0),
(4718, "Public", "0710012C", "Lycée Nicéphore Niepce", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "BTS", "Lycée Nicéphore Niepce - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 116, 11, 114, 0, 5, 1, 31, 5, 45, 10, 33, 2, 0, 0, 1, 1, 114, 0, 0, 0, 5, 1, 31, 5, 45, 10, 33, 68, 11, 1, 11, 0, 3.0, 11.0, 11.0, 0, 3, 7, 0, 3, 4, 4, 0, 5, 0, 2, 0, 0.0, 0, 0, 2, 3, 0, 6, 6, 27.27, 100.0, 100.0, 9.099609375, 85.6875, 85.6875, 42.8984375, 42.8984375, 63.59375, 0.0, 71.390625, 0.0, 28.59765625, 0.0, 0.0, 0.0, 0.0, 42.8984375, 0.0, 57.09375, 28.59765625, 5.0, 1.0, 30.0, 9.0, 9.0, "Tous les candidats sauf les Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 81.0, "25393", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25393&g_ta_cod=25393", 18.0, 36.0, 45.0),
(4719, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Gestion", "Licence - Droit-économie-gestion", "", 250, 1318, 678, 1159, 0, 655, 136, 179, 62, 23, 15, 302, 159, 20, 11, 11, 117, 1148, 128, 0, 0, 655, 136, 179, 62, 23, 15, 291, 1139, 244, 97, 184, 60, 105.0, 171.0, 209.0, 0, 36, 127, 100, 19, 8, 117, 1, 75, 37, 12, 2, 0.0, 46, 4, 1, 0, 0, 81, 81, 43.03, 70.08, 85.66, 39.796875, 63.796875, 63.796875, 0, 28.296875, 52.0, 0.7999267578125, 59.09375, 29.09765625, 9.3984375, 1.6, 0.0, 78.6875, 36.1953125, 15.0, 3.099609375, 6.2998046875, 0.7999267578125, 603.0, 125.0, 29.0, 19.0, 343.0, "Tous les candidats", 1149.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "13904", "Licence - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13904&g_ta_cod=13904", 74.0, 18.0, 7.0),
(4720, "Privé sous contrat d'association", "0922728R", "CENTRE DE FORMATION L'HORIZON", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Malakoff", "formation sélective", "EFTS", "CENTRE DE FORMATION L'HORIZON - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 64, 266, 248, 228, 0, 35, 6, 58, 11, 30, 4, 105, 38, 1, 3, 5, 29, 197, 1, 0, 0, 29, 4, 48, 8, 23, 2, 97, 164, 58, 55, 57, 1, 22.0, 51.0, 57.0, 0, 2, 26, 6, 13, 7, 32, 0, 7, 14, 2, 3, 0.0, 3, 9, 7, 0, 0, 15, 19, 37.93, 87.93, 98.28, 94.796875, 57.6953125, 73.09375, 0, 7.69921875, 44.796875, 0.0, 26.8984375, 53.796875, 7.69921875, 11.5, 0.0, 23.09765625, 11.5, 50.0, 34.59375, 26.8984375, 26.8984375, 21.0, 2.0, 21.0, 2.0, 84.0, "Tous les candidats", 196.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "24920", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24920&g_ta_cod=24920", 36.0, 40.0, 21.0),
(4721, "Public", "0280019U", "Lycée Rotrou", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Dreux", "formation sélective", "BTS", "Lycée Rotrou - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 28, 648, 460, 648, 0, 104, 28, 240, 73, 32, 16, 272, 0, 0, 0, 0, 0, 549, 0, 0, 0, 101, 26, 231, 68, 32, 16, 185, 167, 28, 21, 27, 0, 2.0, 16.0, 23.0, 0, 5, 22, 8, 12, 2, 6, 0, 13, 7, 1, 1, 0.0, 3, 4, 2, 2, 0, 11, 11, 7.14, 57.14, 82.14, 75.0, 50.0, 50.0, 9.099609375, 22.69921875, 78.59375, 0.0, 59.09375, 31.796875, 4.5, 4.5, 0.0, 36.3984375, 13.599609375, 54.5, 18.19921875, 9.099609375, 9.099609375, 47.0, 10.0, 16.0, 11.0, 37.0, "Tous les candidats sauf les Bac professionnels", 238.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 40.0, "3728", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3728&g_ta_cod=3728", 50.0, 43.0, 7.0),
(4722, "Privé sous contrat d'association", "0560117Y", "Lycée St Paul", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BTS", "Lycée St Paul - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 50, 953, 429, 953, 0, 126, 8, 420, 64, 280, 64, 127, 0, 0, 0, 0, 0, 751, 0, 0, 0, 113, 7, 376, 60, 184, 36, 78, 255, 47, 25, 47, 0, 4.0, 33.0, 40.0, 0, 8, 42, 5, 18, 19, 5, 0, 9, 23, 8, 2, 0.0, 3, 12, 18, 2, 0, 41, 41, 8.51, 70.21, 85.11, 53.1953125, 97.59375, 97.59375, 4.7998046875, 19.0, 89.390625, 0.0, 21.3984375, 54.796875, 19.0, 4.8, 0.0, 11.8984375, 7.099609375, 42.8984375, 28.59765625, 45.1953125, 42.8984375, 34.0, 6.0, 101.0, 21.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 171, "Bacheliers technologiques toutes séries", 127, "Liste d'appel propre à cette formation", 40.0, "6444", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6444&g_ta_cod=6444", 17.0, 40.0, 43.0),
(4723, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Sciences de l'éducation - Parcours Education et enseignement", "Licence - Sciences humaines et sociales", "Education et enseignement", 250, 1615, 1392, 1615, 0, 745, 211, 200, 56, 34, 12, 636, 0, 0, 0, 0, 0, 1615, 0, 0, 0, 745, 211, 200, 56, 34, 12, 636, 755, 245, 217, 245, 0, 38.0, 199.0, 233.0, 0, 75, 214, 171, 42, 1, 31, 0, 96, 90, 26, 2, 0.0, 94, 24, 0, 0, 0, 155, 201, 15.51, 81.22, 95.1, 88.59375, 72.390625, 93.890625, 0, 35.0, 87.296875, 0.0, 44.8984375, 42.09375, 12.099609375, 0.9, 0.0, 79.890625, 43.8984375, 19.59765625, 11.19921875, 0.5, 0.0, 592.0, 181.0, 8.0, 4.0, 73.0, "Tous les candidats", 877.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "28260", "Licence - Sciences de l'éducation - Parcours Education et enseignement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28260&g_ta_cod=28260", 81.0, 18.0, 1.0),
(4724, "Privé hors contrat", "0190071Z", "Institut Briviste Supérieur Administration et Commerce (Ecole secondaire professionnelle privée)", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BTS", "Institut Briviste Supérieur Administration et Commerce (Ecole secondaire professionnelle privée) - BTS - Services - Gestion de la PME", "BTS - Services", "", 10, 51, 25, 37, 0, 4, 0, 3, 1, 10, 3, 20, 14, 1, 2, 3, 8, 18, 4, 0, 0, 2, 0, 1, 0, 8, 3, 7, 20, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3.0, 0.0, 7.0, 4.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 3, "Liste d'appel propre à cette formation", 43.0, "16793", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16793&g_ta_cod=16793", 0, 0, 0),
(4725, "Public", "0310053P", "Lycée professionnel des métiers du bâtiment - Urbain Vitry", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée professionnel des métiers du bâtiment - Urbain Vitry - BTS - Production - Finitions, aménagement des bâtiments: conception et réalisation", "BTS - Production", "", 12, 275, 82, 275, 0, 16, 2, 72, 15, 100, 46, 87, 0, 0, 0, 0, 0, 172, 0, 0, 0, 0, 0, 70, 15, 82, 36, 20, 54, 11, 4, 11, 0, 3.0, 6.0, 7.0, 0, 2, 10, 0, 2, 8, 1, 0, 3, 4, 3, 0, 0.0, 0, 1, 6, 2, 0, 2, 2, 27.27, 54.55, 63.64, 36.3984375, 20.0, 20.0, 20, 20.0, 90.890625, 0.0, 30.0, 40.0, 30.0, 0.0, 0.0, 0.0, 0.0, 20.0, 10.0, 80.0, 60.0, 0.0, 0.0, 41.0, 11.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 25.0, "16005", "BTS - Production - Finitions, aménagement des bâtiments: conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16005&g_ta_cod=16005", 0.0, 18.0, 82.0),
(4726, "Public", "0911828T", "Lycée Georges Brassens", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "BTS", "Lycée Georges Brassens - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 28, 366, 31, 366, 0, 11, 2, 71, 31, 144, 53, 140, 0, 0, 0, 0, 0, 339, 0, 0, 0, 11, 2, 70, 30, 137, 52, 121, 117, 25, 0, 23, 0, 2.0, 18.0, 18.0, 0, 6, 17, 1, 3, 13, 8, 0, 9, 6, 2, 0, 0.0, 0, 0, 8, 9, 0, 16, 17, 8.0, 72.0, 72.0, 0.0, 94.09375, 100.0, 52.8984375, 35.296875, 68.0, 0.0, 52.8984375, 35.296875, 11.798828125, 0.0, 0.0, 5.8994140625, 0.0, 17.59765625, 0.0, 76.5, 47.09375, 2.0, 1.0, 54.0, 17.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 37.0, "10938", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10938&g_ta_cod=10938", 4.0, 16.0, 80.0),
(4727, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Espagnol et Gestion parcours Techniques quantitatives et management (TQM)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Espagnol et Gestion parcours Techniques quantitatives et management (TQM)", 15, 331, 230, 331, 0, 234, 22, 23, 8, 5, 2, 69, 0, 0, 0, 0, 0, 331, 0, 0, 0, 234, 22, 23, 8, 5, 2, 69, 60, 15, 12, 15, 0, 4.0, 12.0, 15.0, 0, 1, 13, 13, 0, 0, 2, 0, 0, 2, 4, 7, 0.0, 13, 0, 0, 0, 0, 4, 4, 26.67, 80.0, 100.0, 80.0, 30.796875, 30.796875, 0, 7.69921875, 86.6875, 0.0, 0.0, 15.3984375, 30.796875, 53.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 47.0, 6.0, 0.0, 0.0, 13.0, "Tous les candidats", 88.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "8519", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Espagnol et Gestion parcours Techniques quantitatives et management (TQM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8519&g_ta_cod=8519", 100.0, 0.0, 0.0),
(4728, "Public", "0382859B", "Centre d'enseignement et de formation des maîtres", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "Autre formation", "Centre d'enseignement et de formation des maîtres - Formation Supérieure de Spécialisation - Tourisme", "Diplôme d'Université", "Tourisme", 12, 12, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 2, 8, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 1, 0, 0, 1, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34912", "Formation Supérieure de Spécialisation - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34912&g_ta_cod=34912", 100.0, 0.0, 0.0),
(4729, "Public", "0060038J", "Lycée professionnel Vauban", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée professionnel Vauban - BTS - Production - Finitions, aménagement des bâtiments: conception et réalisation", "BTS - Production", "", 16, 168, 48, 165, 0, 12, 3, 28, 9, 70, 39, 55, 3, 0, 2, 0, 1, 100, 0, 0, 0, 10, 3, 24, 8, 46, 25, 20, 71, 12, 3, 12, 0, 1.0, 8.0, 10.0, 0, 4, 8, 0, 2, 6, 4, 0, 2, 6, 0, 0, 0.0, 0, 2, 4, 4, 0, 6, 6, 8.33, 66.67, 83.33, 25.0, 75.0, 75.0, 50, 50.0, 66.6875, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 0.0, 0.0, 25.0, 25.0, 75.0, 50.0, 7.0, 3.0, 38.0, 22.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 52.0, "16115", "BTS - Production - Finitions, aménagement des bâtiments: conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16115&g_ta_cod=16115", 8.0, 25.0, 67.0),
(4730, "Public", "0330028B", "Lycée Gustave Eiffel", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1737, 854, 1737, 0, 181, 34, 669, 221, 536, 204, 351, 0, 0, 0, 0, 0, 534, 0, 0, 0, 130, 24, 146, 43, 231, 86, 27, 117, 29, 15, 29, 0, 6.0, 23.0, 26.0, 0, 3, 28, 4, 8, 16, 1, 0, 1, 14, 8, 5, 0.0, 4, 8, 15, 1, 0, 28, 28, 20.69, 79.31, 89.66, 51.6953125, 100.0, 100.0, 3.599609375, 10.69921875, 96.59375, 0.0, 3.599609375, 50.0, 28.59765625, 17.9, 0.0, 14.298828125, 14.298828125, 28.59765625, 28.59765625, 57.09375, 53.59375, 16.0, 5.0, 50.0, 13.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 113, "Liste d'appel propre à cette formation", 12.0, "4297", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4297&g_ta_cod=4297", 14.0, 31.0, 55.0),
(4731, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Anglais", "Licence - Arts-lettres-langues", "LLCER Anglais", 250, 1555, 1085, 1338, 0, 1001, 232, 67, 20, 50, 22, 220, 217, 53, 22, 16, 126, 1332, 212, 0, 0, 1001, 232, 67, 20, 50, 22, 214, 1148, 291, 180, 200, 91, 37.0, 197.0, 250.0, 0, 57, 198, 153, 23, 22, 93, 2, 80, 69, 39, 7, 1.0, 100, 5, 11, 0, 0, 166, 166, 12.71, 67.7, 85.91, 61.8984375, 83.796875, 83.796875, 0, 28.796875, 68.0, 1.0, 40.3984375, 34.796875, 19.69921875, 3.5, 0.5, 77.296875, 50.5, 11.599609375, 2.5, 11.099609375, 5.599609375, 754.0, 173.0, 53.0, 23.0, 280.0, "Tous les candidats", 1332.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4891", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4891&g_ta_cod=4891", 74.0, 14.0, 11.0),
(4732, "Public", "0160004T", "Lycée Charles A. COULOMB", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BTS", "Lycée Charles A. COULOMB - BTS - Production - Conception de produits industriels", "BTS - Production", "", 24, 192, 17, 191, 0, 14, 2, 85, 13, 41, 9, 51, 1, 0, 1, 0, 0, 178, 1, 0, 0, 14, 2, 85, 13, 40, 8, 39, 110, 17, 2, 16, 1, 3.0, 15.0, 15.0, 0, 3, 12, 0, 7, 5, 5, 0, 6, 6, 0, 0, 0.0, 0, 3, 3, 3, 2, 9, 9, 17.65, 88.24, 88.24, 11.798828125, 75.0, 75.0, 25, 25.0, 70.59375, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 58.296875, 25.0, 41.6953125, 25.0, 7.0, 2.0, 31.0, 5.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 75.0, "2978", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2978&g_ta_cod=2978", 0.0, 71.0, 29.0),
(4733, "Privé sous contrat d'association", "0350791V", "Lycée Marcel Callo", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Redon", "formation sélective", "BTS", "Lycée Marcel Callo - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 132, 9, 122, 0, 1, 0, 36, 3, 56, 10, 29, 10, 0, 3, 3, 4, 97, 6, 0, 0, 1, 0, 36, 3, 55, 10, 5, 80, 18, 1, 15, 3, 11.0, 15.0, 18.0, 0, 0, 14, 0, 4, 10, 4, 0, 2, 2, 8, 2, 0.0, 0, 2, 10, 13, 0, 14, 14, 61.11, 83.33, 100.0, 5.599609375, 100.0, 100.0, 92.890625, 0.0, 77.796875, 0.0, 14.298828125, 14.298828125, 57.09375, 14.3, 0.0, 0.0, 0.0, 28.59765625, 14.298828125, 71.390625, 71.390625, 1.0, 0.0, 43.0, 8.0, 8.0, "Tous les candidats sauf les Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 53, "", 0, "Liste d'appel propre à cette formation", 78.0, "4685", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4685&g_ta_cod=4685", 0.0, 33.0, 67.0),
(4734, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence_Las", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 5, 73, 41, 67, 0, 47, 9, 4, 3, 1, 0, 15, 6, 2, 1, 0, 3, 67, 6, 0, 0, 47, 9, 4, 3, 1, 0, 15, 34, 4, 2, 3, 1, 0.0, 2.0, 3.0, 0, 0, 2, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 1, 1, 0.0, 50.0, 75.0, 50.0, 50.0, 50.0, 0, 0.0, 50.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 23.0, 3.0, 0.0, 0.0, 8.0, "Tous les candidats", 309.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 93.0, "29676", "Licence - Portail Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29649&g_ta_cod=29676", 100.0, 0.0, 0.0),
(4735, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Portail  Sciences exactes et sciences pour l'ingénieur (SESI) Option Bilingue", "Licence - Sciences - technologies - santé", "Sciences exactes et sciences pour l'ingénieur (SESI) Option Bilingue", 60, 640, 286, 628, 0, 434, 78, 3, 1, 1, 1, 190, 12, 1, 2, 0, 9, 628, 3, 0, 0, 434, 78, 3, 1, 1, 1, 190, 454, 55, 25, 53, 2, 8.0, 40.0, 53.0, 0, 7, 31, 31, 0, 0, 24, 0, 6, 11, 11, 3, 0.0, 25, 0, 0, 0, 0, 22, 22, 14.55, 72.73, 96.36, 45.5, 71.0, 71.0, 0, 22.59765625, 56.3984375, 0.0, 19.3984375, 35.5, 35.5, 9.7, 0.0, 100.0, 80.59375, 0.0, 0.0, 0.0, 0.0, 315.0, 60.0, 0.0, 0.0, 139.0, "Tous les candidats", 602.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "28591", "Licence - Portail  Sciences exactes et sciences pour l'ingénieur (SESI) Option Bilingue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28591&g_ta_cod=28591", 96.0, 2.0, 0.0),
(4736, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "PASS", "Université de Lille - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 105, 4382, 2624, 4382, 0, 3486, 554, 53, 22, 12, 8, 831, 0, 0, 0, 0, 0, 4382, 0, 0, 0, 3486, 554, 53, 22, 12, 8, 831, 1346, 101, 51, 101, 0, 73.0, 79.0, 95.0, 0, 23, 91, 88, 3, 0, 10, 0, 0, 7, 38, 32, 14.0, 88, 3, 0, 0, 0, 79, 79, 72.28, 78.22, 94.06, 50.5, 86.796875, 86.796875, 0, 25.296875, 90.09375, 0.0, 0.0, 7.69921875, 41.796875, 35.2, 15.4, 96.6875, 96.6875, 3.2998046875, 3.2998046875, 0.0, 0.0, 1217.0, 188.0, 1.0, 1.0, 120.0, "Tous les candidats", 3717.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "29183", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27162&g_ta_cod=29183", 97.0, 3.0, 0.0),
(4737, "Public", "0021964Z", "IUT de l'Aisne - Site de Laon", "02", "Aisne", "Hauts-de-France", "Amiens", "Laon", "formation sélective", "BUT", "IUT de l'Aisne - Site de Laon - BUT - Carrières juridiques Parcours : Administration et justice - Patrimoine et finance - Entreprise et Association", "BUT - Service", "Administration et justice - Patrimoine et finance - Entreprise et Association", 140, 1691, 1278, 1673, 0, 866, 177, 495, 134, 33, 11, 279, 18, 0, 6, 0, 12, 1494, 14, 0, 0, 818, 166, 469, 128, 4, 0, 203, 959, 130, 104, 125, 5, 24.0, 107.0, 126.0, 0, 30, 112, 58, 54, 0, 18, 0, 40, 58, 11, 3, 0.0, 43, 29, 0, 0, 0, 59, 59, 18.46, 82.31, 96.92, 80.0, 52.6953125, 52.6953125, 0, 26.796875, 86.1875, 0.0, 35.6953125, 51.796875, 9.798828125, 2.7, 0.0, 51.796875, 38.3984375, 48.1953125, 25.8984375, 0.0, 0.0, 493.0, 110.0, 1.0, 0.0, 113.0, "Tous les candidats sauf les Bac technologiques", 805.0, "Bacheliers technologiques toutes séries", 518, "", 0, "Liste d'appel propre à cette formation", 79.0, "2100", "BUT - Carrières juridiques Parcours : Administration et justice - Patrimoine et finance - Entreprise et Association", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2100&g_ta_cod=2100", 51.0, 48.0, 0.0),
(4738, "Public", "0860034V", "Lycée Victor-Hugo", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée Victor-Hugo - BTS - Services - Commerce International", "BTS - Services", "", 32, 1010, 519, 1010, 0, 265, 60, 243, 78, 93, 42, 409, 0, 0, 0, 0, 0, 551, 0, 0, 0, 225, 52, 172, 44, 49, 22, 105, 178, 31, 23, 31, 0, 2.0, 21.0, 27.0, 0, 8, 29, 10, 13, 6, 2, 0, 8, 14, 7, 0, 0.0, 8, 7, 6, 3, 3, 23, 23, 6.45, 67.74, 87.1, 74.1875, 79.296875, 79.296875, 10.298828125, 27.59765625, 93.5, 0.0, 27.59765625, 48.296875, 24.09765625, 0.0, 0.0, 34.5, 27.59765625, 44.796875, 24.09765625, 20.69921875, 20.69921875, 75.0, 16.0, 26.0, 10.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 157.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 98, "Liste d'appel propre à cette formation", 29.0, "10582", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10582&g_ta_cod=10582", 35.0, 45.0, 19.0),
(4739, "Public", "0952259P", "CY Cergy Paris Université", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "CY Cergy Paris Université - Formation Supérieure de Spécialisation - Patrimoine bâti : Métiers de la construction et du patrimoine", "Diplôme d'Université", "Patrimoine bâti : Métiers de la construction et du patrimoine", 24, 40, 14, 21, 0, 7, 1, 3, 0, 2, 1, 9, 19, 4, 4, 1, 10, 16, 15, 0, 0, 4, 1, 2, 0, 1, 0, 9, 46, 15, 4, 3, 9, 3.0, 3.0, 8.0, 0, 3, 7, 2, 5, 0, 8, 0, 5, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 7, 7, 20.0, 20.0, 53.33, 26.69921875, 100.0, 100.0, 0, 42.8984375, 46.6953125, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 28.59765625, 14.298828125, 71.390625, 14.298828125, 0.0, 0.0, 8.0, 2.0, 7.0, 3.0, 20.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "32715", "Formation Supérieure de Spécialisation - Patrimoine bâti : Métiers de la construction et du patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32715&g_ta_cod=32715", 20.0, 47.0, 27.0),
(4740, "Public", "9711066G", "Lycée des métiers de l'Hôtellerie et du Tourisme Archipel Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Le Gosier", "formation sélective", "Autre formation", "Lycée des métiers de l'Hôtellerie et du Tourisme Archipel Guadeloupe - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 12, 102, 70, 69, 0, 13, 7, 9, 6, 37, 28, 10, 33, 2, 1, 13, 17, 31, 6, 0, 0, 5, 3, 5, 3, 20, 15, 1, 36, 13, 10, 8, 4, 1.0, 7.0, 11.0, 0, 8, 12, 1, 1, 10, 1, 0, 5, 5, 2, 0, 0.0, 0, 0, 7, 0, 0, 11, 11, 7.69, 53.85, 84.62, 76.890625, 91.6875, 91.6875, 0, 66.6875, 92.296875, 0.0, 41.6953125, 41.6953125, 16.69921875, 0.0, 0.0, 8.298828125, 0.0, 8.298828125, 0.0, 83.296875, 58.296875, 4.0, 2.0, 24.0, 17.0, 3.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "24424", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24424&g_ta_cod=24424", 8.0, 15.0, 77.0),
(4741, "Privé sous contrat d'association", "0131402D", "Lycée Charles Peguy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "BTS", "Lycée Charles Peguy - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 598, 285, 598, 0, 94, 27, 206, 82, 162, 68, 136, 0, 0, 0, 0, 0, 488, 0, 0, 0, 83, 22, 171, 63, 145, 58, 89, 73, 26, 11, 25, 0, 13.0, 21.0, 23.0, 0, 6, 23, 4, 11, 8, 3, 0, 6, 10, 6, 1, 0.0, 3, 8, 6, 14, 7, 22, 22, 50.0, 80.77, 88.46, 42.296875, 95.6875, 95.6875, 60.8984375, 26.09765625, 88.5, 0.0, 26.09765625, 43.5, 26.09765625, 4.3, 0.0, 17.3984375, 13.0, 47.796875, 34.796875, 34.796875, 26.09765625, 24.0, 10.0, 24.0, 9.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers technologiques toutes séries", 22, "Bacheliers professionnels toutes séries", 40, "Liste d'appel propre à cette formation", 19.0, "29421", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29421&g_ta_cod=29421", 23.0, 46.0, 31.0),
(4742, "Public", "0770920G", "Lycée polyvalent La Fayette", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Champagne-sur-Seine", "formation sélective", "BTS", "Lycée polyvalent La Fayette - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 24, 110, 11, 108, 0, 2, 2, 36, 10, 38, 8, 32, 2, 0, 1, 0, 1, 86, 0, 0, 0, 2, 2, 35, 9, 36, 8, 13, 68, 22, 0, 21, 0, 9.0, 19.0, 21.0, 0, 2, 21, 0, 11, 10, 1, 0, 7, 8, 3, 3, 0.0, 0, 6, 8, 12, 0, 21, 21, 40.91, 86.36, 95.45, 0.0, 100.0, 100.0, 57.09375, 9.5, 95.5, 0.0, 33.296875, 38.09375, 14.298828125, 14.3, 0.0, 0.0, 0.0, 52.3984375, 28.59765625, 47.59375, 38.09375, 2.0, 2.0, 23.0, 6.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 80.0, "9782", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9782&g_ta_cod=9782", 0.0, 50.0, 50.0),
(4743, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Portail Pluridisciplinaire - Projet personnel", "Licence - Arts-lettres-langues", "Projet personnel", 25, 133, 92, 82, 0, 45, 8, 9, 4, 0, 0, 28, 51, 11, 5, 1, 34, 31, 8, 0, 0, 18, 4, 4, 0, 0, 0, 9, 38, 11, 5, 8, 3, 6.0, 8.0, 11.0, 0, 2, 7, 6, 1, 0, 4, 0, 1, 4, 1, 1, 0.0, 5, 1, 0, 0, 0, 3, 3, 54.55, 72.73, 100.0, 45.5, 42.8984375, 42.8984375, 0, 28.59765625, 63.59375, 0.0, 14.298828125, 57.09375, 14.298828125, 14.3, 0.0, 85.6875, 71.390625, 14.298828125, 14.298828125, 0.0, 0.0, 19.0, 4.0, 0.0, 0.0, 16.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "28422", "Licence - Portail Pluridisciplinaire - Projet personnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32813&g_ta_cod=28422", 73.0, 18.0, 9.0),
(4744, "Privé enseignement supérieur", "0440112H", "Audencia Business School", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Ecole de Commerce", "Audencia Business School - Centrale Nantes - Formation des écoles de commerce et de management Bac + 4 - Bachelor (BBA) Big Data & Management", "Formation des écoles de commerce et de management", "Bachelor (BBA) Big Data & Management", 35, 90, 34, 83, 0, 66, 1, 7, 0, 0, 0, 10, 7, 2, 0, 0, 5, 70, 2, 0, 0, 57, 1, 6, 0, 0, 0, 7, 68, 22, 10, 21, 1, 17.0, 21.0, 22.0, 0, 1, 20, 17, 3, 0, 2, 0, 3, 7, 8, 2, 0.0, 15, 2, 0, 0, 0, 9, 9, 77.27, 95.45, 100.0, 45.5, 45.0, 45.0, 0, 5.0, 90.890625, 0.0, 15.0, 35.0, 40.0, 10.0, 0.0, 85.0, 75.0, 15.0, 10.0, 0.0, 0.0, 55.0, 1.0, 0.0, 0.0, 7.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "33455", "Formation des écoles de commerce et de management Bac + 4 - Bachelor (BBA) Big Data & Management", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33455&g_ta_cod=33455", 86.0, 14.0, 0.0),
(4745, "Public", "0520844K", "Lycée Edme Bouchardon", "52", "Haute-Marne", "Grand Est", "Reims", "Chaumont", "formation sélective", "BTS", "Lycée Edme Bouchardon - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 477, 82, 362, 0, 25, 6, 52, 17, 43, 16, 242, 115, 6, 22, 24, 63, 107, 31, 0, 0, 24, 5, 32, 10, 33, 9, 18, 129, 31, 1, 20, 11, 5.0, 20.0, 26.0, 0, 6, 18, 3, 10, 5, 13, 0, 15, 3, 0, 0, 0.0, 0, 1, 2, 4, 0, 9, 9, 16.13, 64.52, 83.87, 3.19970703125, 50.0, 50.0, 22.19921875, 33.296875, 58.09375, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 16.69921875, 0.0, 55.59375, 5.599609375, 27.796875, 11.099609375, 24.0, 5.0, 43.0, 14.0, 28.0, "Tous les candidats sauf les Bac professionnels", 65.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 29.0, "6182", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6182&g_ta_cod=6182", 10.0, 65.0, 26.0),
(4746, "Privé sous contrat d'association", "0932755P", "Institut de Travail Social et de Recherche Sociale", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Neuilly-sur-Marne", "formation sélective", "EFTS", "Institut de travail social et de recherches sociales - D.E Educateur Spécialisé", "D.E secteur social", "", 63, 319, 265, 319, 0, 43, 5, 57, 14, 55, 16, 164, 0, 0, 0, 0, 0, 257, 0, 0, 0, 42, 5, 51, 10, 44, 13, 120, 169, 58, 51, 58, 0, 20.0, 53.0, 57.0, 0, 7, 43, 7, 18, 18, 15, 0, 9, 21, 11, 2, 0.0, 6, 13, 15, 0, 0, 39, 39, 34.48, 91.38, 98.28, 87.890625, 90.6875, 90.6875, 0, 16.296875, 74.09375, 0.0, 20.8984375, 48.796875, 25.59765625, 4.7, 0.0, 16.296875, 14.0, 41.8984375, 30.19921875, 41.8984375, 34.8984375, 23.0, 3.0, 37.0, 9.0, 63.0, "Tous les candidats", 306.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 60.0, "25307", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23559&g_ta_cod=25307", 16.0, 47.0, 36.0),
(4747, "Public", "0860703X", "I.U.T. Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BUT", "I.U.T. Poitiers - BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement", "BUT - Production", "Analyse, contrôle-qualité, environnement", 98, 1017, 601, 969, 0, 593, 71, 167, 36, 3, 0, 206, 48, 12, 6, 0, 30, 758, 29, 0, 0, 512, 56, 110, 22, 0, 0, 136, 651, 81, 47, 69, 12, 39.0, 57.0, 76.0, 0, 9, 65, 55, 10, 0, 16, 0, 9, 36, 14, 6, 0.0, 46, 10, 0, 0, 0, 30, 30, 48.15, 70.37, 93.83, 58.0, 46.1953125, 46.1953125, 0, 13.798828125, 80.1875, 0.0, 13.798828125, 55.3984375, 21.5, 9.2, 0.0, 84.59375, 70.796875, 15.3984375, 15.3984375, 0.0, 0.0, 405.0, 56.0, 0.0, 0.0, 145.0, "Tous les candidats sauf les Bac technologiques", 639.0, "Bacheliers technologiques toutes séries", 119, "", 0, "Liste d'appel propre à cette formation", 78.0, "10599", "BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10599&g_ta_cod=10599", 85.0, 15.0, 0.0),
(4748, "Public", "0120096P", "Lycée professionnel des métiers du bois et de l'habitat", "12", "Aveyron", "Occitanie", "Toulouse", "Aubin", "formation sélective", "BTS", "Lycée professionnel des métiers du bois et de l'habitat - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 12, 137, 14, 125, 0, 11, 1, 50, 5, 40, 11, 24, 12, 1, 0, 9, 2, 105, 3, 0, 0, 9, 1, 49, 4, 35, 8, 12, 69, 11, 1, 9, 2, 3.0, 5.0, 9.0, 0, 3, 10, 1, 4, 5, 1, 0, 4, 4, 1, 1, 0.0, 0, 2, 4, 2, 0, 8, 8, 27.27, 45.45, 81.82, 9.099609375, 80.0, 80.0, 20, 30.0, 90.890625, 0.0, 40.0, 40.0, 10.0, 10.0, 0.0, 10.0, 0.0, 40.0, 20.0, 50.0, 40.0, 4.0, 0.0, 23.0, 8.0, 5.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 78.0, "2493", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2493&g_ta_cod=2493", 18.0, 36.0, 45.0),
(4749, "Privé sous contrat d'association", "0131402D", "Lycée Charles Peguy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "BTS", "Lycée Charles Peguy - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 236, 168, 219, 0, 19, 8, 102, 54, 51, 29, 47, 17, 2, 0, 0, 15, 202, 6, 0, 0, 18, 7, 97, 50, 48, 28, 39, 136, 21, 18, 18, 2, 4.0, 14.0, 14.0, 0, 9, 14, 0, 11, 3, 7, 0, 8, 5, 0, 1, 0.0, 0, 3, 3, 1, 0, 13, 13, 19.05, 66.67, 66.67, 85.6875, 92.890625, 92.890625, 7.099609375, 64.296875, 66.6875, 0.0, 57.09375, 35.6953125, 0.0, 7.1, 0.0, 0.0, 0.0, 78.59375, 21.3984375, 21.3984375, 21.3984375, 16.0, 7.0, 35.0, 19.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 73.0, "2639", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2639&g_ta_cod=2639", 10.0, 52.0, 38.0),
(4750, "Public", "0541207U", "Lycée agricole Nancy-Pixerecourt", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Malzéville", "formation sélective", "BTS", "Lycée agricole Nancy-Pixerecourt - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 26, 295, 154, 286, 0, 17, 3, 48, 14, 9, 1, 212, 9, 3, 0, 1, 5, 96, 6, 0, 0, 16, 2, 48, 14, 9, 1, 23, 77, 18, 13, 16, 1, 4.0, 15.0, 18.0, 0, 4, 16, 3, 11, 2, 2, 0, 11, 4, 1, 0, 0.0, 0, 4, 1, 3, 3, 12, 12, 22.22, 83.33, 100.0, 72.1875, 75.0, 75.0, 18.796875, 25.0, 88.890625, 0.0, 68.796875, 25.0, 6.2998046875, 0.0, 0.0, 18.796875, 0.0, 68.796875, 25.0, 12.5, 6.2998046875, 14.0, 1.0, 9.0, 1.0, 21.0, "Tous les candidats sauf les Bac professionnels", 85.0, "Bacheliers professionnels toutes séries", 9, "", 0, "Liste d'appel propre à cette formation", 33.0, "6308", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6308&g_ta_cod=6308", 22.0, 67.0, 11.0),
(4751, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence_Las", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Portail Licence Chimie / Licence Physique-Chimie", "Licence - Sciences - technologies - santé", "Licence Chimie / Licence Physique-Chimie", 36, 840, 522, 826, 0, 512, 96, 36, 10, 1, 1, 277, 14, 3, 0, 0, 11, 819, 14, 0, 0, 512, 96, 36, 10, 1, 1, 270, 381, 33, 23, 24, 9, 0.0, 5.0, 21.0, 0, 6, 21, 18, 3, 0, 12, 0, 11, 7, 3, 0, 0.0, 8, 2, 0, 0, 0, 17, 17, 0.0, 15.15, 63.64, 69.6875, 81.0, 81.0, 0, 28.59765625, 63.59375, 0.0, 52.3984375, 33.296875, 14.298828125, 0.0, 0.0, 85.6875, 38.09375, 14.298828125, 9.5, 0.0, 0.0, 210.0, 43.0, 0.0, 0.0, 165.0, "Tous les candidats", 1289.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 93.0, "26796", "Licence - Portail Licence Chimie / Licence Physique-Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26795&g_ta_cod=26796", 91.0, 9.0, 0.0),
(4752, "Public", "9760182U", "Lycée de Sada", "976", "Mayotte", "Mayotte", "Mayotte", "Sada", "formation sélective", "CPGE", "Lycée de Sada - CPGE - ECG -  - Mathématiques appliquées + HGG", "Classe préparatoire économique et commerciale", "", 24, 198, 99, 67, 21, 34, 16, 9, 7, 4, 1, 20, 131, 20, 33, 17, 61, 43, 1, 16, 41, 31, 16, 4, 3, 1, 0, 7, 40, 14, 7, 12, 1, 5.0, 11.0, 11.0, 4, 4, 12, 12, 0, 0, 2, 0, 1, 6, 3, 2, 0.0, 11, 0, 0, 8, 4, 12, 12, 35.71, 78.57, 78.57, 50.0, 100.0, 100.0, 66.6875, 33.296875, 85.6875, 0.0, 8.298828125, 50.0, 25.0, 16.7, 0.0, 100.0, 91.6875, 0.0, 0.0, 0.0, 0.0, 30.0, 14.0, 1.0, 0.0, 7.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "31323", "CPGE - ECG -  - Mathématiques appliquées + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31323&g_ta_cod=31323", 100.0, 0.0, 0.0),
(4753, "Public", "0782557F", "Lycée Jean-Baptiste Poquelin", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "Autre formation", "Lycée Jean-Baptiste Poquelin - Diplôme de Comptabilité et de Gestion", "DCG", "", 40, 788, 347, 674, 0, 276, 83, 161, 56, 11, 4, 226, 114, 16, 21, 8, 69, 328, 9, 0, 0, 220, 60, 65, 23, 0, 0, 43, 183, 32, 13, 27, 5, 9.0, 22.0, 27.0, 0, 9, 27, 19, 8, 0, 5, 0, 7, 13, 7, 0, 0.0, 13, 7, 0, 0, 0, 24, 26, 28.13, 68.75, 84.38, 40.59375, 88.890625, 96.296875, 0, 33.296875, 84.390625, 0.0, 25.8984375, 48.09375, 25.8984375, 0.0, 0.0, 70.390625, 48.09375, 29.59765625, 25.8984375, 0.0, 0.0, 124.0, 29.0, 0.0, 0.0, 30.0, "Tous les candidats", 326.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "10042", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10042&g_ta_cod=10042", 75.0, 25.0, 0.0),
(4754, "Public", "0740003B", "Lycée Berthollet", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "CPGE", "Lycée Berthollet - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 875, 400, 875, 589, 796, 51, 0, 0, 0, 0, 79, 0, 0, 0, 0, 0, 666, 0, 327, 635, 643, 35, 0, 0, 0, 0, 23, 256, 26, 11, 26, 0, 5.0, 14.0, 26.0, 5, 3, 26, 26, 0, 0, 0, 0, 0, 3, 20, 3, 0.0, 26, 0, 0, 3, 2, 18, 18, 19.23, 53.85, 100.0, 42.296875, 69.1875, 69.1875, 11.5, 11.5, 100.0, 0.0, 0.0, 11.5, 76.890625, 11.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 251.0, 24.0, 0.0, 0.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "31613", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31300&g_ta_cod=31613", 100.0, 0.0, 0.0),
(4755, "Public", "0830032J", "Lycée de Lorgues - Thomas Edison", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Lorgues", "formation sélective", "BTS", "Lycée de Lorgues - Thomas Edison - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 27, 179, 15, 163, 0, 16, 1, 39, 9, 30, 13, 78, 16, 0, 5, 7, 4, 95, 6, 0, 0, 16, 1, 39, 9, 30, 13, 10, 85, 20, 1, 17, 3, 6.0, 17.0, 19.0, 0, 6, 19, 3, 9, 7, 1, 0, 9, 5, 5, 0, 0.0, 0, 5, 5, 8, 1, 19, 19, 30.0, 85.0, 95.0, 5.0, 100.0, 100.0, 42.09375, 31.59765625, 95.0, 0.0, 47.3984375, 26.296875, 26.296875, 0.0, 0.0, 15.798828125, 0.0, 47.3984375, 26.296875, 36.796875, 26.296875, 15.0, 1.0, 27.0, 10.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 58.0, "10333", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10333&g_ta_cod=10333", 15.0, 45.0, 40.0),
(4756, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence", "Institut national universitaire Champollion - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 100, 666, 499, 583, 0, 444, 131, 34, 16, 15, 5, 90, 83, 21, 6, 2, 54, 583, 70, 0, 0, 444, 131, 34, 16, 15, 5, 90, 487, 87, 57, 66, 21, 10.0, 66.0, 81.0, 0, 14, 55, 44, 6, 5, 32, 0, 16, 26, 9, 4, 0.0, 32, 4, 3, 0, 0, 53, 53, 11.49, 75.86, 93.1, 65.5, 96.390625, 96.390625, 0, 25.5, 63.1953125, 0.0, 29.09765625, 47.296875, 16.3984375, 7.3, 0.0, 80.0, 58.1953125, 10.8984375, 7.2998046875, 9.099609375, 5.5, 346.0, 93.0, 9.0, 3.0, 109.0, "Tous les candidats", 580.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "10300", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10300&g_ta_cod=10300", 74.0, 17.0, 9.0),
(4757, "Public", "0332881C", "Ecole Nationale Supérieure Architecture Paysage de Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Autre formation", "Ecole Nationale Supérieure Architecture Paysage de Bordeaux - Paysage", "Formations Bac + 5", "", 30, 438, 223, 438, 0, 262, 39, 49, 12, 13, 4, 114, 0, 0, 0, 0, 0, 98, 0, 0, 0, 73, 2, 9, 2, 2, 0, 14, 61, 30, 15, 30, 0, 16.0, 30.0, 30.0, 0, 3, 22, 18, 3, 1, 8, 0, 1, 9, 9, 3, 0.0, 17, 3, 1, 0, 0, 7, 7, 53.33, 100.0, 100.0, 50.0, 31.796875, 31.796875, 0, 13.599609375, 73.296875, 0.0, 4.5, 40.8984375, 40.8984375, 13.6, 0.0, 81.796875, 77.296875, 13.599609375, 13.599609375, 4.5, 4.5, 46.0, 2.0, 1.0, 0.0, 9.0, "Tous les candidats", 72.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "18546", "Paysage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18546&g_ta_cod=18546", 83.0, 10.0, 7.0),
(4758, "Public", "0511574J", "INST. DE FORM. DE MANIP. ELEC CHU REIMS", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "INST. DE FORM. DE MANIP. ELEC CHU REIMS - D.E manipulateur/trice en électroradiologie médicale", "D.E secteur sanitaire", "", 31, 426, 316, 426, 0, 124, 21, 79, 29, 5, 4, 218, 0, 0, 0, 0, 0, 250, 0, 0, 0, 90, 14, 15, 3, 2, 2, 143, 143, 30, 21, 30, 0, 2.0, 13.0, 22.0, 0, 5, 15, 15, 0, 0, 15, 0, 7, 8, 0, 0, 0.0, 8, 0, 0, 0, 0, 8, 8, 6.67, 43.33, 73.33, 70.0, 53.296875, 53.296875, 0, 33.296875, 50.0, 0.0, 46.6953125, 53.296875, 0.0, 0.0, 0.0, 100.0, 53.296875, 0.0, 0.0, 0.0, 0.0, 55.0, 13.0, 0.0, 0.0, 85.0, "Tous les candidats", 188.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "19404", "D.E manipulateur/trice en électroradiologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19404&g_ta_cod=19404", 100.0, 0.0, 0.0),
(4759, "Public", "0710054Y", "Lycée Henri Parriat", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Montceau-les-Mines", "formation sélective", "CPGE", "Lycée Henri Parriat - CPGE - TSI - (en 3 ans, destinée aux bacs professionnels)", "Classe préparatoire scientifique", "(en 3 ans, destinée aux bacs professionnels)", 32, 127, 13, 127, 127, 0, 0, 0, 0, 125, 41, 2, 0, 0, 0, 0, 0, 127, 0, 127, 0, 0, 0, 0, 0, 125, 41, 2, 70, 34, 3, 34, 0, 18.0, 31.0, 33.0, 34, 10, 34, 0, 0, 34, 0, 0, 0, 7, 18, 9, 0.0, 0, 0, 34, 0, 0, 11, 11, 52.94, 91.18, 97.06, 8.798828125, 32.3984375, 32.3984375, 0, 29.3984375, 100.0, 0.0, 0.0, 20.59765625, 52.8984375, 26.5, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 70.0, 22.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "8641", "CPGE - TSI - (en 3 ans, destinée aux bacs professionnels)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8641&g_ta_cod=8641", 0.0, 0.0, 100.0),
(4760, "Public", "0920145H", "Lycée Lakanal", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "CPGE", "Lycée Lakanal - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 48, 1275, 587, 1275, 878, 1161, 56, 0, 0, 0, 0, 114, 0, 0, 0, 0, 0, 493, 0, 373, 479, 493, 25, 0, 0, 0, 0, 0, 232, 48, 24, 48, 0, 5.0, 35.0, 45.0, 13, 1, 48, 48, 0, 0, 0, 1, 0, 0, 7, 38, 2.0, 47, 0, 0, 7, 5, 24, 27, 10.42, 72.92, 93.75, 50.0, 50.0, 56.296875, 14.599609375, 2.099609375, 100.0, 2.099609375, 0.0, 0.0, 14.599609375, 79.2, 4.2, 100.0, 97.890625, 0.0, 0.0, 0.0, 0.0, 232.0, 11.0, 0.0, 0.0, 0.0, "Tous les candidats", 346.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "31405", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31405&g_ta_cod=31405", 100.0, 0.0, 0.0),
(4761, "Privé sous contrat d'association", "0681847N", "Ecole Supérieure de Praxis Sociale (Ex-ISSM, Ex-CFEJE)", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "EFTS", "Ecole Supérieure de Praxis Sociale (Ex-ISSM, Ex-CFEJE) - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 25, 138, 132, 138, 0, 27, 1, 18, 2, 20, 1, 73, 0, 0, 0, 0, 0, 99, 0, 0, 0, 18, 0, 12, 0, 12, 1, 57, 54, 35, 34, 35, 0, 19.0, 28.0, 34.0, 0, 0, 9, 7, 1, 1, 26, 0, 2, 4, 1, 2, 0.0, 5, 1, 1, 0, 0, 6, 6, 54.29, 80.0, 97.14, 97.09375, 66.6875, 66.6875, 0, 0.0, 25.69921875, 0.0, 22.19921875, 44.3984375, 11.099609375, 22.2, 0.0, 77.796875, 55.59375, 11.099609375, 11.099609375, 11.099609375, 11.099609375, 10.0, 0.0, 4.0, 0.0, 35.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "24994", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24994&g_ta_cod=24994", 57.0, 31.0, 11.0),
(4762, "Public", "0180048E", "Ecole nationale supérieure d'art de Bourges", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "Autre formation", "Ecole nationale supérieure d'art de Bourges - Diplôme National d'Art option art", "Diplôme National d'Art", "", 36, 242, 180, 235, 0, 56, 15, 14, 5, 3, 3, 162, 7, 2, 0, 0, 5, 47, 1, 0, 0, 9, 1, 1, 1, 0, 0, 37, 48, 22, 18, 21, 1, 16.0, 21.0, 21.0, 0, 1, 6, 6, 0, 0, 16, 0, 0, 0, 5, 1, 0.0, 6, 0, 0, 0, 0, 4, 4, 72.73, 95.45, 95.45, 81.796875, 66.6875, 66.6875, 0, 16.69921875, 27.296875, 0.0, 0.0, 0.0, 83.296875, 16.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 9.0, 1.0, 0.0, 0.0, 38.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "26172", "Diplôme National d'Art option art", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26172&g_ta_cod=26172", 95.0, 0.0, 5.0),
(4763, "Public", "0870019Y", "Lycée Suzanne Valadon", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée Suzanne Valadon - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1107, 554, 1107, 0, 150, 31, 403, 163, 257, 129, 297, 0, 0, 0, 0, 0, 685, 0, 0, 0, 138, 29, 281, 108, 201, 93, 65, 157, 35, 22, 35, 0, 7.0, 25.0, 27.0, 0, 12, 31, 9, 13, 9, 4, 0, 8, 19, 2, 2, 0.0, 5, 9, 9, 2, 1, 29, 29, 20.0, 71.43, 77.14, 62.8984375, 93.5, 93.5, 6.5, 38.6953125, 88.59375, 0.0, 25.796875, 61.296875, 6.5, 6.5, 0.0, 29.0, 16.09765625, 41.8984375, 29.0, 29.0, 29.0, 41.0, 16.0, 36.0, 13.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 115, "Liste d'appel propre à cette formation", 20.0, "10666", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10666&g_ta_cod=10666", 26.0, 43.0, 31.0),
(4764, "Public", "0931024H", "Lycée professionnel Jean-Pierre Timbaud", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "BTS", "Lycée professionnel Jean-Pierre Timbaud - BTS - Services - Métiers des Services à l'environnement", "BTS - Services", "", 24, 220, 88, 195, 0, 19, 4, 37, 12, 29, 20, 110, 25, 0, 0, 11, 14, 110, 2, 0, 0, 19, 4, 27, 8, 25, 16, 39, 72, 19, 8, 19, 0, 4.0, 15.0, 19.0, 0, 7, 11, 4, 1, 6, 8, 0, 4, 5, 0, 2, 0.0, 2, 0, 5, 5, 2, 10, 11, 21.05, 78.95, 100.0, 42.09375, 90.890625, 100.0, 45.5, 63.59375, 57.8984375, 0.0, 36.3984375, 45.5, 0.0, 18.2, 0.0, 36.3984375, 18.19921875, 9.099609375, 0.0, 54.5, 45.5, 17.0, 4.0, 26.0, 16.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers technologiques toutes séries", 38, "Bacheliers professionnels toutes séries", 27, "Liste d'appel propre à cette formation", 54.0, "30546", "BTS - Services - Métiers des Services à l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30546&g_ta_cod=30546", 58.0, 5.0, 37.0),
(4765, "Public", "0850028U", "Lycée professionnel Edouard Branly", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée professionnel Edouard Branly - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 18, 341, 116, 341, 0, 64, 10, 85, 14, 145, 35, 47, 0, 0, 0, 0, 0, 341, 0, 0, 0, 64, 10, 85, 14, 145, 35, 47, 61, 18, 6, 18, 0, 3.0, 15.0, 15.0, 0, 5, 16, 1, 8, 7, 2, 0, 5, 4, 4, 3, 0.0, 1, 4, 6, 0, 0, 6, 6, 16.67, 83.33, 83.33, 33.296875, 37.5, 37.5, 0, 31.296875, 88.890625, 0.0, 31.296875, 25.0, 25.0, 18.8, 0.0, 6.2998046875, 6.2998046875, 50.0, 25.0, 43.796875, 37.5, 5.0, 1.0, 24.0, 5.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers technologiques toutes séries", 45, "Bacheliers professionnels toutes séries", 31, "Liste d'appel propre à cette formation", 24.0, "33175", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33175&g_ta_cod=33175", 11.0, 44.0, 44.0),
(4766, "Privé sous contrat d'association", "0720822C", "Lycée Ste Catherine", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Ste Catherine - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 34, 178, 91, 178, 0, 0, 0, 52, 4, 84, 21, 42, 0, 0, 0, 0, 0, 175, 0, 0, 0, 0, 0, 52, 4, 83, 21, 40, 80, 31, 15, 31, 0, 15.0, 29.0, 31.0, 0, 5, 20, 0, 10, 10, 11, 0, 5, 7, 7, 1, 0.0, 0, 6, 9, 15, 5, 19, 19, 48.39, 93.55, 100.0, 48.3984375, 95.0, 95.0, 75, 25.0, 64.5, 0.0, 25.0, 35.0, 35.0, 5.0, 0.0, 0.0, 0.0, 50.0, 30.0, 50.0, 45.0, 0.0, 0.0, 48.0, 15.0, 17.0, "Tous les candidats sauf les Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 89, "", 0, "Liste d'appel propre à cette formation", 68.0, "8723", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8723&g_ta_cod=8723", 23.0, 32.0, 45.0),
(4767, "Privé sous contrat d'association", "0141175B", "Lycée Institut Lemonnier", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Institut Lemonnier - BTS - Production - Maintenance des systèmes - option A Systèmes de production (Seconde année possible en apprentissage)", "BTS - Production", "", 24, 162, 9, 161, 0, 9, 0, 39, 8, 85, 24, 28, 1, 0, 0, 0, 1, 153, 0, 0, 0, 8, 0, 39, 8, 83, 24, 23, 113, 20, 1, 20, 0, 1.0, 19.0, 20.0, 0, 3, 18, 0, 6, 12, 2, 0, 5, 10, 3, 0, 0.0, 0, 3, 10, 3, 0, 18, 18, 5.0, 95.0, 100.0, 5.0, 100.0, 100.0, 16.69921875, 16.69921875, 90.0, 0.0, 27.796875, 55.59375, 16.69921875, 0.0, 0.0, 0.0, 0.0, 33.296875, 16.69921875, 66.6875, 55.59375, 6.0, 0.0, 62.0, 12.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 82.0, "2839", "BTS - Production - Maintenance des systèmes - option A Systèmes de production (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2839&g_ta_cod=2839", 5.0, 35.0, 60.0),
(4768, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 180, 1200, 927, 1116, 0, 703, 164, 98, 26, 28, 8, 287, 84, 17, 4, 5, 58, 1109, 80, 0, 0, 703, 164, 98, 26, 28, 8, 280, 1192, 169, 116, 138, 31, 134.0, 137.0, 140.0, 0, 30, 102, 78, 18, 6, 67, 0, 63, 30, 8, 1, 0.0, 29, 5, 5, 0, 0, 80, 80, 79.29, 81.07, 82.84, 68.59375, 78.390625, 78.390625, 0, 29.3984375, 60.3984375, 0.0, 61.796875, 29.3984375, 7.7998046875, 1.0, 0.0, 76.5, 28.3984375, 17.59765625, 4.8994140625, 5.8994140625, 4.8994140625, 720.0, 171.0, 34.0, 10.0, 335.0, "Tous les candidats", 1109.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "3268", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3268&g_ta_cod=3268", 69.0, 22.0, 9.0),
(4769, "Privé sous contrat d'association", "0572589E", "IFSI Croix Rouge Française Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nancy - D.E Infirmier", "D.E secteur sanitaire", "", 83, 4377, 3538, 4377, 0, 847, 183, 789, 224, 421, 149, 2320, 0, 0, 0, 0, 0, 3719, 0, 0, 0, 778, 159, 666, 175, 358, 119, 1917, 1084, 83, 69, 83, 0, 1.0, 30.0, 57.0, 0, 8, 35, 11, 18, 6, 48, 0, 4, 18, 13, 0, 0.0, 11, 14, 6, 0, 0, 31, 31, 1.2, 36.14, 68.67, 83.09375, 88.59375, 88.59375, 0, 22.8984375, 42.1953125, 0.0, 11.3984375, 51.3984375, 37.09375, 0.0, 0.0, 31.3984375, 31.3984375, 51.3984375, 40.0, 17.09765625, 17.09765625, 174.0, 45.0, 131.0, 39.0, 564.0, "Tous les candidats", 2787.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "23189", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22997&g_ta_cod=23189", 47.0, 31.0, 22.0),
(4770, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Université de Lille - Diplôme d'Université - PAREO - ICARE Parcours Sciences humaines et création (culture, langues, littérature)", "Diplôme d'Université", "ICARE Parcours Sciences humaines et création (culture, langues, littérature)", 15, 108, 65, 61, 0, 20, 3, 10, 5, 8, 4, 23, 47, 8, 7, 7, 25, 45, 12, 0, 0, 17, 3, 9, 4, 6, 3, 13, 60, 14, 11, 8, 5, 1.0, 8.0, 11.0, 0, 2, 8, 4, 3, 1, 6, 0, 6, 1, 1, 0, 0.0, 0, 1, 1, 0, 0, 7, 7, 7.14, 57.14, 78.57, 78.59375, 87.5, 87.5, 0, 25.0, 57.09375, 0.0, 75.0, 12.5, 12.5, 0.0, 0.0, 50.0, 0.0, 37.5, 12.5, 12.5, 12.5, 23.0, 4.0, 5.0, 3.0, 19.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "32415", "Diplôme d'Université - PAREO - ICARE Parcours Sciences humaines et création (culture, langues, littérature)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32415&g_ta_cod=32415", 50.0, 43.0, 7.0),
(4771, "Public", "0342023P", "Université Paul Valery Montpellier - Site de Béziers", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation non sélective", "Licence", "Université Paul Valery Montpellier - Site de Béziers - Licence - Administration économique et sociale - Parcours Science de l'homme et de la société", "Licence - Sciences humaines et sociales", "Science de l'homme et de la société", 85, 841, 547, 785, 0, 402, 133, 148, 76, 35, 27, 200, 56, 9, 12, 3, 32, 773, 44, 0, 0, 402, 133, 148, 76, 35, 27, 188, 517, 83, 48, 69, 14, 13.0, 60.0, 69.0, 0, 27, 51, 27, 18, 6, 32, 0, 29, 19, 2, 1, 0.0, 13, 4, 5, 0, 0, 37, 37, 15.66, 72.29, 83.13, 57.796875, 72.5, 72.5, 0, 52.8984375, 61.3984375, 0.0, 56.8984375, 37.296875, 3.89990234375, 2.0, 0.0, 52.8984375, 25.5, 35.296875, 7.7998046875, 11.798828125, 9.798828125, 249.0, 85.0, 29.0, 22.0, 136.0, "Tous les candidats", 771.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "4614", "Licence - Administration économique et sociale - Parcours Science de l'homme et de la société", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4614&g_ta_cod=4614", 48.0, 33.0, 18.0),
(4772, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 95, 1452, 1257, 1452, 0, 522, 185, 225, 114, 81, 29, 624, 0, 0, 0, 0, 0, 1439, 0, 0, 0, 522, 185, 225, 114, 81, 29, 611, 416, 96, 80, 96, 0, 48.0, 76.0, 91.0, 0, 40, 91, 46, 18, 27, 5, 0, 30, 43, 15, 3, 0.0, 30, 12, 19, 0, 0, 50, 83, 50.0, 79.17, 94.79, 83.296875, 54.8984375, 91.1875, 0, 44.0, 94.796875, 0.0, 33.0, 47.296875, 16.5, 3.3, 0.0, 50.5, 33.0, 19.796875, 13.19921875, 29.69921875, 20.8984375, 235.0, 76.0, 80.0, 29.0, 17.0, "Tous les candidats", 507.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "17198", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17198&g_ta_cod=17198", 50.0, 21.0, 29.0),
(4773, "Privé sous contrat d'association", "0420976H", "Lycée La Salle", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée La Salle - BTS - Production - Métiers de l'eau", "BTS - Production", "", 14, 167, 48, 166, 0, 34, 6, 63, 11, 15, 5, 54, 1, 0, 0, 0, 1, 119, 0, 0, 0, 34, 6, 53, 9, 10, 1, 22, 67, 14, 5, 14, 0, 2.0, 12.0, 14.0, 0, 2, 12, 8, 3, 1, 2, 0, 8, 4, 0, 0, 0.0, 4, 0, 0, 0, 0, 9, 9, 14.29, 85.71, 100.0, 35.6953125, 75.0, 75.0, 0, 16.69921875, 85.6875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 25.0, 0.0, 8.298828125, 0.0, 24.0, 5.0, 5.0, 1.0, 12.0, "Tous les candidats sauf les Bac professionnels", 97.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 65.0, "13341", "BTS - Production - Métiers de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13341&g_ta_cod=13341", 64.0, 21.0, 14.0),
(4774, "Public", "0940119U", "Lycée Paul Doumer", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Le Perreux-sur-Marne", "formation sélective", "BTS", "Lycée Paul Doumer - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1182, 515, 1182, 0, 89, 21, 390, 121, 386, 190, 317, 0, 0, 0, 0, 0, 779, 0, 0, 0, 68, 14, 319, 94, 223, 107, 169, 149, 35, 11, 35, 0, 2.0, 31.0, 33.0, 0, 10, 32, 6, 11, 15, 3, 0, 13, 14, 5, 0, 0.0, 1, 8, 10, 5, 2, 31, 32, 5.71, 88.57, 94.29, 31.3984375, 96.890625, 100.0, 15.599609375, 31.296875, 91.390625, 0.0, 40.59375, 43.796875, 15.599609375, 0.0, 0.0, 18.796875, 3.099609375, 34.3984375, 25.0, 46.8984375, 31.296875, 28.0, 12.0, 44.0, 25.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 14.0, "11388", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11388&g_ta_cod=11388", 20.0, 34.0, 46.0),
(4775, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Double licence - Sciences biomédicales / Psychologie - Parcours sélectif bi-diplômant Sciences Biomédicales / Sciences Psychologiques", "Licence - Sciences - technologies - santé", "Parcours sélectif bi-diplômant Sciences Biomédicales / Sciences Psychologiques", 6, 909, 817, 909, 0, 337, 50, 16, 8, 10, 5, 546, 0, 0, 0, 0, 0, 194, 0, 0, 0, 84, 10, 0, 0, 0, 0, 110, 34, 6, 6, 6, 0, 0.0, 5.0, 6.0, 0, 0, 5, 5, 0, 0, 1, 0, 0, 0, 1, 4, 0.0, 5, 0, 0, 0, 0, 2, 2, 0.0, 83.33, 100.0, 100.0, 40.0, 40.0, 0, 0.0, 83.296875, 0.0, 0.0, 0.0, 20.0, 80.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 30.0, 3.0, 0.0, 0.0, 4.0, "Tous les candidats", 42.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "28714", "Double licence - Sciences biomédicales / Psychologie - Parcours sélectif bi-diplômant Sciences Biomédicales / Sciences Psychologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28714&g_ta_cod=28714", 100.0, 0.0, 0.0),
(4776, "Privé sous contrat d'association", "0340991T", "Lycée Nevers", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Nevers - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 17, 893, 440, 871, 0, 106, 26, 371, 120, 202, 76, 192, 22, 3, 9, 0, 10, 128, 1, 0, 0, 39, 11, 65, 21, 24, 5, 0, 50, 15, 8, 15, 0, 7.0, 11.0, 12.0, 0, 2, 15, 4, 6, 5, 0, 0, 0, 9, 4, 2, 0.0, 4, 6, 5, 9, 4, 14, 14, 46.67, 73.33, 80.0, 53.296875, 93.296875, 93.296875, 60, 13.298828125, 100.0, 0.0, 0.0, 60.0, 26.69921875, 13.3, 0.0, 26.69921875, 26.69921875, 40.0, 40.0, 33.296875, 33.296875, 11.0, 5.0, 7.0, 2.0, 1.0, "Tous les candidats sauf les Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 8.0, "4537", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4537&g_ta_cod=4537", 27.0, 40.0, 33.0),
(4777, "Privé sous contrat d'association", "0831229K", "IFTS CROIX ROUGE OLLIOULES", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Ollioules", "formation sélective", "EFTS", "IFTS CROIX ROUGE OLLIOULES - D.E Assistant de Service Social", "D.E secteur social", "", 32, 174, 164, 174, 0, 32, 9, 37, 12, 30, 9, 75, 0, 0, 0, 0, 0, 75, 0, 0, 0, 17, 4, 16, 3, 7, 4, 35, 54, 30, 29, 30, 0, 19.0, 27.0, 28.0, 0, 3, 15, 7, 6, 2, 15, 0, 4, 9, 2, 0, 0.0, 6, 3, 2, 0, 0, 13, 13, 63.33, 90.0, 93.33, 96.6875, 86.6875, 86.6875, 0, 20.0, 50.0, 0.0, 26.69921875, 60.0, 13.298828125, 0.0, 0.0, 46.6953125, 40.0, 40.0, 20.0, 13.298828125, 13.298828125, 10.0, 1.0, 3.0, 1.0, 31.0, "Tous les candidats", 53.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "24952", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24952&g_ta_cod=24952", 53.0, 30.0, 17.0),
(4778, "Public", "0870748R", "Lycée professionnel Le Mas Jambost", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Autre formation", "Lycée professionnel Le Mas Jambost - Mention complémentaire - Maquettes et prototypes", "Mention complémentaire", "", 10, 30, 6, 30, 0, 1, 1, 2, 2, 16, 6, 11, 0, 0, 0, 0, 0, 30, 0, 0, 0, 1, 1, 2, 2, 16, 6, 11, 23, 9, 2, 9, 0, 3.0, 9.0, 9.0, 0, 3, 8, 0, 1, 7, 1, 0, 1, 5, 2, 0, 0.0, 0, 0, 7, 0, 0, 8, 8, 33.33, 100.0, 100.0, 22.19921875, 100.0, 100.0, 0, 37.5, 88.890625, 0.0, 12.5, 62.5, 25.0, 0.0, 0.0, 0.0, 0.0, 12.5, 0.0, 87.5, 87.5, 0.0, 0.0, 13.0, 5.0, 8.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "31938", "Mention complémentaire - Maquettes et prototypes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31938&g_ta_cod=31938", 0.0, 22.0, 78.0),
(4779, "Public", "0660014G", "Lycée Pablo Picasso", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée Pablo Picasso - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 12, 270, 43, 270, 0, 10, 3, 54, 22, 77, 31, 129, 0, 0, 0, 0, 0, 270, 0, 0, 0, 10, 3, 54, 22, 77, 31, 129, 85, 10, 0, 10, 0, 0.0, 8.0, 9.0, 0, 3, 8, 0, 3, 5, 2, 0, 4, 4, 0, 0, 0.0, 0, 2, 2, 7, 0, 8, 8, 0.0, 80.0, 90.0, 0.0, 100.0, 100.0, 87.5, 37.5, 80.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 37.5, 25.0, 62.5, 25.0, 5.0, 2.0, 35.0, 15.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 46.0, "7857", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7857&g_ta_cod=7857", 10.0, 30.0, 60.0),
(4780, "Public", "0492137G", "Université Angers-Campus de Cholet", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation non sélective", "Licence", "Université Angers-Campus de Cholet - Licence - Portail Histoire", "Licence - Sciences humaines et sociales", "", 50, 373, 188, 304, 0, 238, 46, 25, 5, 13, 7, 28, 69, 18, 10, 0, 41, 304, 48, 0, 0, 238, 46, 25, 5, 13, 7, 28, 330, 36, 15, 27, 9, 15.0, 25.0, 30.0, 0, 3, 29, 18, 10, 1, 7, 0, 11, 13, 2, 3, 0.0, 13, 5, 0, 0, 0, 25, 25, 41.67, 69.44, 83.33, 41.6953125, 86.1875, 86.1875, 0, 10.298828125, 80.59375, 0.0, 37.8984375, 44.796875, 6.8994140625, 10.3, 0.0, 62.09375, 44.796875, 34.5, 17.19921875, 3.39990234375, 0.0, 241.0, 43.0, 12.0, 6.0, 48.0, "Tous les candidats", 333.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27734", "Licence - Portail Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27735&g_ta_cod=27734", 58.0, 39.0, 3.0),
(4781, "Public", "0502009M", "Lycée professionnel Thomas Pesquet", "50", "Manche", "Normandie", "Normandie", "Coutances", "formation sélective", "BTS", "Lycée professionnel Thomas Pesquet - BTS - Production - Bâtiment (Seconde année en apprentissage)", "BTS - Production", "", 15, 144, 25, 144, 0, 20, 2, 34, 4, 47, 14, 43, 0, 0, 0, 0, 0, 144, 0, 0, 0, 20, 2, 34, 4, 47, 14, 43, 67, 16, 3, 16, 0, 2.0, 14.0, 15.0, 0, 2, 10, 1, 5, 4, 6, 1, 8, 1, 0, 0, 0.0, 1, 0, 0, 2, 2, 6, 6, 12.5, 87.5, 93.75, 18.796875, 60.0, 60.0, 20, 20.0, 62.5, 10.0, 80.0, 10.0, 0.0, 0.0, 0.0, 10.0, 10.0, 50.0, 0.0, 40.0, 0.0, 7.0, 2.0, 28.0, 8.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 63.0, "15903", "BTS - Production - Bâtiment (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15903&g_ta_cod=15903", 19.0, 38.0, 44.0),
(4782, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Langues étrangères appliquées", "Licence - Arts-lettres-langues", "", 400, 1660, 1174, 1439, 0, 889, 233, 174, 85, 42, 22, 334, 221, 37, 26, 11, 147, 1429, 213, 0, 0, 889, 233, 174, 85, 42, 22, 324, 1442, 399, 259, 299, 99, 70.0, 291.0, 335.0, 0, 76, 254, 196, 45, 13, 145, 19, 102, 91, 36, 6, 0.0, 111, 14, 8, 0, 0, 226, 226, 17.54, 72.93, 83.96, 64.890625, 89.0, 89.0, 0, 29.8984375, 63.6953125, 7.5, 40.1953125, 35.796875, 14.19921875, 2.4, 0.0, 77.1875, 43.6953125, 17.69921875, 5.5, 5.099609375, 3.099609375, 818.0, 215.0, 39.0, 25.0, 434.0, "Tous les candidats", 1426.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "9686", "Licence - Langues étrangères appliquées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9686&g_ta_cod=9686", 75.0, 18.0, 7.0),
(4783, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "Licence", "Université des Antilles - Pôle Guadeloupe - Licence - Portail Physique, chimie - Chimie et applications(C&A) / Physique et application (P&A) / Physique-Chimie pour l?enseignement (PCE) / (SIE) / (SIM) - Guadeloupe", "Licence - Sciences - technologies - santé", "Chimie et applications(C&A) / Physique et application (P&A) / Physique-Chimie pour l?enseignement (PCE) / (SIE) / (SIM) - Guadeloupe", 150, 222, 136, 188, 0, 133, 44, 13, 6, 2, 1, 40, 34, 9, 1, 2, 22, 188, 31, 0, 0, 133, 44, 13, 6, 2, 1, 40, 219, 24, 11, 14, 10, 12.0, 14.0, 21.0, 0, 5, 10, 8, 0, 2, 14, 0, 6, 2, 2, 0, 0.0, 3, 0, 1, 0, 0, 10, 10, 50.0, 58.33, 87.5, 45.796875, 100.0, 100.0, 0, 50.0, 41.6953125, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 80.0, 30.0, 0.0, 0.0, 20.0, 10.0, 141.0, 46.0, 3.0, 2.0, 61.0, "Tous les candidats", 261.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "11746", "Licence - Portail Physique, chimie - Chimie et applications(C&A) / Physique et application (P&A) / Physique-Chimie pour l?enseignement (PCE) / (SIE) / (SIM) - Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27409&g_ta_cod=11746", 83.0, 4.0, 13.0),
(4784, "Public", "0590011S", "Lycée Gustave Eiffel", "59", "Nord", "Hauts-de-France", "Lille", "Armentières", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 144, 7, 94, 0, 9, 1, 36, 8, 30, 10, 19, 50, 4, 5, 15, 26, 69, 18, 0, 0, 9, 1, 33, 8, 22, 7, 5, 71, 16, 1, 9, 7, 5.0, 8.0, 10.0, 0, 6, 14, 3, 6, 5, 2, 0, 6, 6, 1, 1, 0.0, 2, 2, 4, 8, 0, 13, 13, 31.25, 50.0, 62.5, 6.2998046875, 92.890625, 92.890625, 57.09375, 42.8984375, 87.5, 0.0, 42.8984375, 42.8984375, 7.099609375, 7.1, 0.0, 21.3984375, 14.298828125, 42.8984375, 14.298828125, 35.6953125, 28.59765625, 11.0, 2.0, 23.0, 9.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 72.0, "6717", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6717&g_ta_cod=6717", 19.0, 50.0, 31.0),
(4785, "Public", "0701052N", "Lycée Les Haberges", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Vesoul", "formation sélective", "BTS", "Lycée Les Haberges - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 253, 120, 251, 0, 29, 5, 86, 22, 91, 52, 45, 2, 1, 1, 0, 0, 198, 2, 0, 0, 28, 5, 69, 18, 91, 52, 10, 75, 19, 8, 19, 0, 5.0, 12.0, 18.0, 0, 6, 17, 0, 9, 8, 2, 0, 9, 4, 3, 1, 0.0, 0, 3, 5, 4, 3, 16, 16, 26.32, 63.16, 94.74, 42.09375, 94.09375, 94.09375, 23.5, 35.296875, 89.5, 0.0, 52.8984375, 23.5, 17.59765625, 5.9, 0.0, 0.0, 0.0, 52.8984375, 17.59765625, 47.09375, 29.3984375, 13.0, 4.0, 14.0, 9.0, 8.0, "Tous les candidats sauf les Bac professionnels", 89.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 42.0, "8608", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8608&g_ta_cod=8608", 5.0, 53.0, 42.0),
(4786, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Université de Lille - DEUST - Santé environnement : Techniques de laboratoire", "DEUST", "", 30, 663, 468, 602, 0, 206, 62, 141, 52, 8, 6, 247, 61, 11, 13, 1, 36, 428, 24, 0, 0, 168, 48, 81, 30, 0, 0, 179, 299, 30, 20, 16, 14, 0.0, 8.0, 12.0, 0, 1, 12, 7, 5, 0, 18, 0, 4, 7, 1, 0, 0.0, 3, 5, 0, 0, 0, 11, 11, 0.0, 26.67, 40.0, 66.6875, 91.6875, 91.6875, 0, 8.298828125, 40.0, 0.0, 33.296875, 58.296875, 8.298828125, 0.0, 0.0, 58.296875, 25.0, 41.6953125, 41.6953125, 0.0, 0.0, 127.0, 36.0, 0.0, 0.0, 136.0, "Tous les candidats", 359.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "7056", "DEUST - Santé environnement : Techniques de laboratoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7056&g_ta_cod=7056", 77.0, 23.0, 0.0),
(4787, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Licence", "Université de Poitiers - Double licence - Philosophie / Droit - Double mention  PHILOSOPHIE / DROIT", "Licence - Sciences humaines et sociales", "Double mention  PHILOSOPHIE / DROIT", 30, 227, 165, 227, 0, 175, 35, 15, 5, 0, 0, 37, 0, 0, 0, 0, 0, 211, 0, 0, 0, 165, 30, 10, 1, 0, 0, 36, 119, 30, 23, 30, 0, 2.0, 28.0, 28.0, 0, 5, 25, 24, 1, 0, 5, 1, 1, 5, 14, 4, 0.0, 22, 1, 0, 0, 0, 14, 14, 6.67, 93.33, 93.33, 76.6875, 56.0, 56.0, 0, 20.0, 83.296875, 4.0, 4.0, 20.0, 56.0, 16.0, 0.0, 96.0, 88.0, 4.0, 4.0, 0.0, 0.0, 93.0, 21.0, 0.0, 0.0, 23.0, "Tous les candidats", 151.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "20615", "Double licence - Philosophie / Droit - Double mention  PHILOSOPHIE / DROIT", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20615&g_ta_cod=20615", 97.0, 3.0, 0.0),
(4788, "Public", "0080010T", "Lycée professionnel Simone Veil", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BTS", "Lycée professionnel Simone Veil - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 573, 270, 483, 0, 22, 5, 93, 42, 115, 52, 253, 90, 10, 32, 0, 48, 146, 7, 0, 0, 11, 3, 48, 18, 79, 29, 8, 131, 26, 12, 25, 1, 14.0, 25.0, 25.0, 0, 8, 25, 1, 5, 19, 1, 0, 7, 16, 2, 0, 0.0, 0, 4, 14, 8, 5, 24, 24, 53.85, 96.15, 96.15, 46.1953125, 96.0, 96.0, 32, 32.0, 96.1875, 0.0, 28.0, 64.0, 8.0, 0.0, 0.0, 4.0, 0.0, 20.0, 16.0, 76.0, 56.0, 11.0, 2.0, 73.0, 27.0, 8.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 82, "", 0, "Liste d'appel propre à cette formation", 30.0, "2364", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2364&g_ta_cod=2364", 4.0, 23.0, 73.0),
(4789, "Public", "9740479C", "Lycée professionnel Amiral Lacaze", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée professionnel Amiral Lacaze - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 18, 174, 26, 152, 0, 5, 4, 43, 30, 67, 52, 37, 22, 0, 9, 0, 13, 74, 5, 0, 0, 2, 2, 18, 12, 45, 34, 9, 63, 11, 5, 10, 1, 2.0, 10.0, 11.0, 0, 7, 9, 0, 4, 5, 2, 0, 5, 3, 1, 0, 0.0, 0, 2, 2, 4, 2, 9, 9, 18.18, 90.91, 100.0, 45.5, 100.0, 100.0, 44.3984375, 77.796875, 81.796875, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 0.0, 0.0, 44.3984375, 22.19921875, 55.59375, 22.19921875, 2.0, 2.0, 28.0, 19.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 48.0, "15683", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15683&g_ta_cod=15683", 0.0, 45.0, 55.0),
(4790, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "Licence_Las", "Université des Antilles - Pôle Guadeloupe - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS (Activités physiques adaptées et santé, Education et motricité, Entraînement sportif) - Guadeloupe", "Licence - Sciences - technologies - santé", "STAPS (Activités physiques adaptées et santé, Education et motricité, Entraînement sportif) - Guadeloupe", 50, 797, 297, 797, 0, 461, 124, 111, 41, 29, 18, 196, 0, 0, 0, 0, 0, 797, 0, 0, 0, 461, 124, 111, 41, 29, 18, 196, 169, 45, 17, 45, 0, 8.0, 44.0, 44.0, 0, 12, 33, 33, 0, 0, 12, 0, 15, 14, 3, 1, 0.0, 18, 0, 0, 0, 0, 21, 21, 17.78, 97.78, 97.78, 37.796875, 63.59375, 63.59375, 0, 36.3984375, 73.296875, 0.0, 45.5, 42.3984375, 9.099609375, 3.0, 0.0, 100.0, 54.5, 0.0, 0.0, 0.0, 0.0, 111.0, 43.0, 0.0, 0.0, 57.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "27420", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS (Activités physiques adaptées et santé, Education et motricité, Entraînement sportif) - Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27419&g_ta_cod=27420", 100.0, 0.0, 0.0),
(4791, "Public", "0952261S", "CY TECH - Université de Cergy-Pontoise", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "Concours GalaxY - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "Ingénieur en Biotechnologies et Chimie", 30, 343, 183, 336, 0, 328, 57, 0, 0, 0, 0, 8, 7, 7, 0, 0, 0, 270, 0, 0, 0, 270, 43, 0, 0, 0, 0, 0, 184, 29, 24, 29, 0, 9.0, 27.0, 29.0, 0, 4, 29, 29, 0, 0, 0, 0, 1, 6, 17, 5, 0.0, 28, 0, 0, 0, 0, 15, 17, 31.03, 93.1, 100.0, 82.796875, 51.6953125, 58.59375, 0, 13.798828125, 100.0, 0.0, 3.39990234375, 20.69921875, 58.59375, 17.2, 0.0, 100.0, 96.59375, 0.0, 0.0, 0.0, 0.0, 184.0, 29.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "31244", "Formation d'ingénieur Bac + 5", "Concours GalaxY", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31208&g_ta_cod=31244", 100.0, 0.0, 0.0),
(4792, "Public", "0940120V", "Lycée Marcelin Berthelot", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "CPGE", "Lycée Marcelin Berthelot - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 763, 320, 748, 408, 637, 78, 0, 0, 1, 1, 110, 15, 6, 0, 0, 9, 405, 3, 63, 399, 392, 39, 0, 0, 0, 0, 13, 214, 19, 7, 18, 1, 0.0, 9.0, 16.0, 1, 1, 19, 19, 0, 0, 0, 0, 0, 2, 15, 2, 0.0, 19, 0, 0, 9, 2, 15, 19, 0.0, 47.37, 84.21, 36.796875, 78.890625, 100.0, 47.3984375, 5.2998046875, 100.0, 0.0, 0.0, 10.5, 78.890625, 10.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 205.0, 15.0, 0.0, 0.0, 9.0, "Tous les candidats", 403.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "31295", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31295&g_ta_cod=31295", 100.0, 0.0, 0.0),
(4793, "Public", "0040533H", "Lycée Les Iscles", "04", "Alpes-de-Haute-Provence", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Manosque", "formation sélective", "BTS", "Lycée Les Iscles - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 14, 179, 20, 175, 0, 9, 2, 28, 5, 75, 30, 63, 4, 0, 1, 0, 3, 127, 1, 0, 0, 9, 2, 28, 5, 75, 30, 15, 78, 9, 1, 9, 0, 1.0, 6.0, 9.0, 0, 5, 9, 1, 0, 8, 0, 0, 4, 4, 0, 1, 0.0, 0, 0, 5, 3, 1, 8, 8, 11.11, 66.67, 100.0, 11.099609375, 88.890625, 88.890625, 33.296875, 55.59375, 100.0, 0.0, 44.3984375, 44.3984375, 0.0, 11.1, 0.0, 11.099609375, 0.0, 0.0, 0.0, 88.890625, 55.59375, 7.0, 2.0, 39.0, 19.0, 12.0, "Tous les candidats sauf les Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 67, "", 0, "Liste d'appel propre à cette formation", 66.0, "12233", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12233&g_ta_cod=12233", 11.0, 0.0, 89.0),
(4794, "Privé sous contrat d'association", "9741255W", "Lycée Catholique St Charles", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "Bac STI2D", 5, 40, 2, 40, 0, 0, 0, 40, 14, 0, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 32, 10, 0, 0, 0, 31, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "31227", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=31227", 0.0, 100.0, 0.0),
(4795, "Privé sous contrat d'association", "0592921E", "Lycée Saint Rémi", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Saint Rémi - BTS - Services - Communication", "BTS - Services", "", 35, 554, 348, 492, 0, 135, 30, 108, 33, 37, 17, 212, 62, 2, 8, 12, 40, 168, 9, 0, 0, 77, 20, 37, 9, 4, 2, 50, 122, 32, 22, 28, 4, 10.0, 25.0, 30.0, 0, 7, 22, 11, 8, 3, 10, 0, 1, 14, 6, 1, 0.0, 11, 7, 3, 6, 5, 18, 18, 31.25, 78.13, 93.75, 68.796875, 81.796875, 81.796875, 27.296875, 31.796875, 68.796875, 0.0, 4.5, 63.59375, 27.296875, 4.5, 0.0, 50.0, 50.0, 36.3984375, 31.796875, 13.599609375, 13.599609375, 52.0, 15.0, 6.0, 2.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 116.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 34.0, "6904", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6904&g_ta_cod=6904", 59.0, 28.0, 13.0),
(4796, "Public", "0380033E", "Lycée VAUCANSON", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "CPGE", "Lycée VAUCANSON - CPGE - PTSI", "Classe préparatoire scientifique", "", 72, 744, 121, 720, 506, 624, 53, 0, 0, 0, 0, 96, 24, 10, 0, 0, 14, 592, 8, 424, 574, 545, 44, 0, 0, 0, 0, 47, 503, 58, 9, 54, 4, 7.0, 32.0, 57.0, 25, 2, 49, 49, 0, 0, 9, 0, 1, 25, 23, 0, 0.0, 48, 0, 0, 1, 1, 42, 42, 12.07, 55.17, 98.28, 15.5, 85.6875, 85.6875, 2, 4.099609375, 84.5, 0.0, 2.0, 51.0, 46.8984375, 0.0, 0.0, 100.0, 98.0, 0.0, 0.0, 0.0, 0.0, 458.0, 44.0, 0.0, 0.0, 45.0, "Tous les candidats", 592.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "4928", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4928&g_ta_cod=4928", 100.0, 0.0, 0.0),
(4797, "Public", "0730016W", "Lycée Monge", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "BTS", "Lycée Monge - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 14, 153, 4, 145, 0, 6, 0, 38, 6, 67, 12, 34, 8, 0, 1, 3, 4, 106, 4, 0, 0, 6, 0, 31, 4, 59, 9, 10, 69, 11, 1, 8, 2, 1.0, 5.0, 8.0, 0, 1, 8, 0, 2, 6, 3, 0, 2, 4, 2, 0, 0.0, 0, 2, 4, 1, 0, 7, 7, 9.09, 45.45, 72.73, 9.099609375, 87.5, 87.5, 12.5, 12.5, 72.6875, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 0.0, 25.0, 25.0, 75.0, 50.0, 4.0, 0.0, 34.0, 6.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 73.0, "8785", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8785&g_ta_cod=8785", 0.0, 27.0, 73.0),
(4798, "Privé sous contrat d'association", "0650065T", "Lycée Pradeau la Sède-St Pierre", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Pradeau la Sède-St Pierre - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 148, 11, 121, 0, 23, 2, 37, 10, 32, 11, 29, 27, 2, 3, 8, 14, 96, 8, 0, 0, 23, 2, 34, 10, 30, 9, 9, 86, 25, 1, 22, 2, 11.0, 19.0, 23.0, 0, 5, 22, 5, 5, 12, 3, 0, 12, 7, 3, 0, 0.0, 1, 1, 8, 3, 0, 20, 20, 44.0, 76.0, 92.0, 4.0, 90.890625, 90.890625, 13.599609375, 22.69921875, 88.0, 0.0, 54.5, 31.796875, 13.599609375, 0.0, 0.0, 22.69921875, 4.5, 22.69921875, 4.5, 54.5, 36.3984375, 24.0, 2.0, 27.0, 9.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 78.0, "7837", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7837&g_ta_cod=7837", 28.0, 24.0, 48.0),
(4799, "Public", "0312686B", "Lycée Saint-Exupéry", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Blagnac", "formation sélective", "Autre formation", "Lycée Saint-Exupéry - Mention complémentaire - Aéronautique option avions à moteur à turbines", "Mention complémentaire", "", 5, 148, 13, 148, 0, 0, 0, 0, 0, 128, 28, 20, 0, 0, 0, 0, 0, 118, 0, 0, 0, 0, 0, 0, 0, 107, 21, 11, 25, 5, 1, 5, 0, 0.0, 3.0, 3.0, 0, 0, 2, 0, 0, 2, 3, 0, 0, 0, 2, 0, 0.0, 0, 0, 2, 0, 0, 0, 0, 0.0, 60.0, 60.0, 20.0, 0.0, 0.0, 0, 0.0, 40.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 19.0, 7.0, 6.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "16947", "Mention complémentaire - Aéronautique option avions à moteur à turbines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16947&g_ta_cod=16947", 0.0, 0.0, 100.0),
(4800, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Europe - Polonais", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères, parcours Europe - Polonais", 30, 108, 74, 76, 0, 45, 15, 11, 4, 2, 2, 18, 32, 6, 1, 1, 24, 76, 15, 0, 0, 45, 15, 11, 4, 2, 2, 18, 86, 22, 17, 13, 9, 7.0, 13.0, 18.0, 0, 4, 9, 6, 2, 1, 13, 0, 7, 2, 0, 0, 0.0, 1, 0, 1, 0, 0, 2, 7, 31.82, 59.09, 81.82, 77.296875, 22.19921875, 77.796875, 0, 44.3984375, 40.8984375, 0.0, 77.796875, 22.19921875, 0.0, 0.0, 0.0, 66.6875, 11.099609375, 22.19921875, 0.0, 11.099609375, 11.099609375, 44.0, 14.0, 2.0, 2.0, 30.0, "Tous les candidats", 99.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9431", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Europe - Polonais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29629&g_ta_cod=9431", 73.0, 18.0, 9.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(4801, "Public", "9741180P", "I.U.T de la Réunion", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BUT", "I.U.T de la Réunion - BUT - Hygiène Sécurité Environnement", "BUT - Production", "", 24, 275, 113, 274, 0, 106, 37, 109, 57, 22, 16, 37, 1, 0, 1, 0, 0, 171, 1, 0, 0, 91, 29, 59, 31, 1, 1, 20, 80, 25, 14, 24, 1, 5.0, 22.0, 22.0, 0, 9, 24, 11, 13, 0, 1, 0, 10, 8, 4, 2, 0.0, 6, 8, 0, 0, 0, 24, 24, 20.0, 88.0, 88.0, 56.0, 100.0, 100.0, 0, 37.5, 96.0, 0.0, 41.6953125, 33.296875, 16.69921875, 8.3, 0.0, 45.796875, 25.0, 54.1953125, 33.296875, 0.0, 0.0, 40.0, 19.0, 0.0, 0.0, 5.0, "Tous les candidats sauf les Bac technologiques", 66.0, "Bacheliers technologiques toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 41.0, "19657", "BUT - Hygiène Sécurité Environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19657&g_ta_cod=19657", 48.0, 52.0, 0.0),
(4802, "Privé hors contrat", "0342129E", "ACFA multimédia", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "ACFA multimédia - BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "BTS - Services", "", 12, 387, 109, 387, 0, 187, 35, 50, 9, 30, 13, 120, 0, 0, 0, 0, 0, 311, 0, 0, 0, 171, 29, 36, 5, 15, 3, 89, 108, 13, 4, 13, 0, 2.0, 4.0, 6.0, 0, 1, 5, 4, 0, 1, 8, 0, 1, 2, 1, 1, 0.0, 3, 0, 1, 0, 0, 1, 1, 15.38, 30.77, 46.15, 30.796875, 20.0, 20.0, 0, 20.0, 38.5, 0.0, 20.0, 40.0, 20.0, 20.0, 0.0, 80.0, 60.0, 0.0, 0.0, 20.0, 20.0, 65.0, 12.0, 1.0, 0.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 127.0, "Bacheliers technologiques toutes séries", 1, "Bacheliers professionnels toutes séries", 1, "Liste d'appel propre à cette formation", 33.0, "30202", "BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30202&g_ta_cod=30202", 77.0, 15.0, 8.0),
(4803, "Public", "0081149F", "EiSINe - Charleville-Mézières", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation non sélective", "Licence_Las", "Université de Reims Champagne-Ardenne - Licence - Sciences pour la santé - Sciences pour l'ingénieur -  option Santé", "Licence - Sciences - technologies - santé", "Sciences pour l'ingénieur : EiSINe - Charleville-Mézières", 16, 119, 80, 96, 0, 63, 10, 13, 5, 1, 1, 19, 23, 10, 1, 0, 12, 95, 20, 0, 0, 63, 10, 13, 5, 1, 1, 18, 102, 10, 5, 7, 3, 0.0, 7.0, 10.0, 0, 4, 7, 4, 3, 0, 3, 1, 4, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 4, 4, 0.0, 70.0, 100.0, 50.0, 57.09375, 57.09375, 0, 57.09375, 70.0, 14.298828125, 57.09375, 28.59765625, 0.0, 0.0, 0.0, 57.09375, 28.59765625, 42.8984375, 0.0, 0.0, 0.0, 72.0, 12.0, 1.0, 1.0, 20.0, "Tous les candidats", 95.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "32188", "Licence - Sciences pour la santé - Sciences pour l'ingénieur -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32187&g_ta_cod=32188", 60.0, 40.0, 0.0),
(4804, "Public", "0130050J", "Lycée Denis Diderot", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BTS", "Lycée Denis Diderot - BTS - Production - Enveloppe des bâtiments : conception et réalisation", "BTS - Production", "", 15, 249, 53, 249, 0, 19, 6, 97, 29, 69, 44, 64, 0, 0, 0, 0, 0, 219, 0, 0, 0, 18, 6, 94, 28, 61, 38, 46, 61, 15, 1, 15, 0, 2.0, 14.0, 15.0, 0, 7, 13, 0, 5, 8, 2, 0, 7, 5, 1, 0, 0.0, 0, 2, 4, 9, 0, 13, 13, 13.33, 93.33, 100.0, 6.69921875, 100.0, 100.0, 69.1875, 53.796875, 86.6875, 0.0, 53.796875, 38.5, 7.69921875, 0.0, 0.0, 0.0, 0.0, 38.5, 15.3984375, 61.5, 30.796875, 2.0, 2.0, 25.0, 15.0, 4.0, "Tous les candidats sauf les Bac professionnels", 65.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 39.0, "2569", "BTS - Production - Enveloppe des bâtiments : conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2569&g_ta_cod=2569", 0.0, 47.0, 53.0),
(4805, "Public", "0080047H", "Lycée professionnel des Métiers Jean-Baptiste Clément", "08", "Ariège", "Grand Est", "Reims", "Sedan", "formation sélective", "Autre formation", "Lycée professionnel des Métiers Jean-Baptiste Clément - Mention complémentaire - FCIL Fibre optique", "Mention complémentaire", "", 15, 50, 2, 50, 0, 1, 0, 0, 0, 34, 21, 15, 0, 0, 0, 0, 0, 50, 0, 0, 0, 1, 0, 0, 0, 34, 21, 15, 39, 11, 1, 11, 0, 5.0, 9.0, 9.0, 0, 6, 6, 0, 0, 6, 5, 0, 5, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 4, 4, 45.45, 81.82, 81.82, 9.099609375, 66.6875, 66.6875, 0, 100.0, 54.5, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 16.69921875, 1.0, 0.0, 29.0, 18.0, 9.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "30124", "Mention complémentaire - FCIL Fibre optique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30124&g_ta_cod=30124", 27.0, 9.0, 64.0),
(4806, "Public", "0770918E", "Lycée Uruguay France", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Avon", "formation sélective", "Autre formation", "Lycée Uruguay France - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 12, 99, 23, 99, 0, 12, 0, 17, 3, 46, 13, 24, 0, 0, 0, 0, 0, 50, 0, 0, 0, 5, 0, 7, 1, 33, 9, 5, 38, 12, 2, 12, 0, 1.0, 11.0, 11.0, 0, 2, 9, 1, 1, 7, 3, 0, 4, 4, 1, 0, 0.0, 0, 0, 5, 0, 0, 8, 9, 8.33, 91.67, 91.67, 16.69921875, 88.890625, 100.0, 0, 22.19921875, 75.0, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 11.099609375, 0.0, 11.099609375, 0.0, 77.796875, 55.59375, 3.0, 0.0, 25.0, 9.0, 4.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "29985", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29985&g_ta_cod=29985", 8.0, 25.0, 67.0),
(4807, "Privé sous contrat d'association", "0590347G", "ISEN Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 5, 113, 3, 110, 0, 0, 0, 110, 33, 0, 0, 0, 3, 0, 3, 0, 0, 52, 0, 0, 0, 0, 0, 52, 11, 0, 0, 0, 38, 3, 0, 3, 0, 0.0, 3.0, 3.0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0.0, 0, 3, 0, 0, 0, 2, 2, 0.0, 100.0, 100.0, 0.0, 66.6875, 66.6875, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "22896", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=22896", 0.0, 100.0, 0.0),
(4808, "Privé sous contrat d'association", "0593071T", "Lycée Deforest De Lewarde", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "BTS", "Lycée Deforest De Lewarde - BTS - Services - Support à l'action managériale", "BTS - Services", "", 36, 141, 95, 103, 0, 5, 0, 19, 8, 27, 15, 52, 38, 0, 8, 6, 24, 103, 28, 0, 0, 5, 0, 19, 8, 27, 15, 52, 102, 26, 18, 12, 14, 1.0, 12.0, 22.0, 0, 4, 8, 0, 1, 7, 18, 0, 7, 1, 0, 0, 0.0, 0, 0, 1, 3, 2, 8, 8, 3.85, 46.15, 84.62, 69.1875, 100.0, 100.0, 37.5, 50.0, 30.796875, 0.0, 87.5, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 12.5, 0.0, 87.5, 12.5, 4.0, 0.0, 33.0, 19.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 74.0, "6978", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6978&g_ta_cod=6978", 15.0, 31.0, 54.0),
(4809, "Public", "0561534N", "Lycée Benjamin Franklin", "56", "Morbihan", "Bretagne", "Rennes", "Auray", "formation sélective", "BTS", "Lycée Benjamin Franklin - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 824, 370, 823, 0, 56, 9, 396, 84, 234, 61, 137, 1, 0, 0, 0, 1, 511, 0, 0, 0, 33, 6, 231, 38, 199, 44, 48, 220, 32, 8, 32, 0, 1.0, 28.0, 29.0, 0, 5, 27, 1, 13, 13, 5, 0, 11, 14, 2, 0, 0.0, 0, 8, 8, 1, 0, 25, 25, 3.13, 87.5, 90.63, 25.0, 92.59375, 92.59375, 3.69970703125, 18.5, 84.390625, 0.0, 40.6953125, 51.8984375, 7.3994140625, 0.0, 0.0, 3.69970703125, 0.0, 48.09375, 29.59765625, 48.09375, 29.59765625, 11.0, 2.0, 117.0, 28.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 178, "Bacheliers technologiques toutes séries", 105, "Liste d'appel propre à cette formation", 38.0, "6482", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6482&g_ta_cod=6482", 6.0, 44.0, 50.0),
(4810, "Public", "0130036U", "Lycée Perier", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  8e  Arrondissement", "formation sélective", "BTS", "Lycée Perier - BTS - Services - Commerce International", "BTS - Services", "", 34, 2033, 1159, 2033, 0, 523, 178, 700, 375, 198, 119, 612, 0, 0, 0, 0, 0, 482, 0, 0, 0, 282, 97, 130, 58, 70, 44, 0, 114, 33, 18, 33, 0, 11.0, 27.0, 28.0, 0, 18, 33, 16, 15, 2, 0, 0, 7, 18, 8, 0, 0.0, 11, 13, 2, 3, 1, 32, 32, 33.33, 81.82, 84.85, 54.5, 97.0, 97.0, 9.099609375, 54.5, 100.0, 0.0, 21.19921875, 54.5, 24.19921875, 0.0, 0.0, 48.5, 33.296875, 45.5, 39.3984375, 6.099609375, 6.099609375, 53.0, 25.0, 7.0, 5.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 7.0, "2540", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2540&g_ta_cod=2540", 48.0, 45.0, 6.0),
(4811, "Public", "9711082Z", "Lycée Nord Grande Terre", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Port-Louis", "formation sélective", "BTS", "Lycée Nord Grande Terre - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 348, 311, 348, 0, 52, 32, 109, 72, 119, 89, 68, 0, 0, 0, 0, 0, 96, 0, 0, 0, 18, 13, 46, 30, 32, 23, 0, 64, 25, 24, 23, 0, 7.0, 19.0, 20.0, 0, 14, 24, 4, 8, 12, 1, 0, 11, 12, 1, 0, 0.0, 2, 5, 6, 8, 8, 24, 24, 28.0, 76.0, 80.0, 96.0, 100.0, 100.0, 33.296875, 58.296875, 96.0, 0.0, 45.796875, 50.0, 4.19921875, 0.0, 0.0, 16.69921875, 8.298828125, 33.296875, 20.796875, 50.0, 25.0, 9.0, 6.0, 28.0, 20.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 20.0, "11774", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11774&g_ta_cod=11774", 16.0, 32.0, 52.0),
(4812, "Public", "0750712S", "Lycée Diderot", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Diderot - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 629, 29, 629, 0, 30, 6, 216, 75, 216, 87, 167, 0, 0, 0, 0, 0, 546, 0, 0, 0, 29, 6, 158, 48, 216, 87, 143, 100, 15, 1, 15, 0, 1.0, 9.0, 14.0, 0, 5, 13, 2, 5, 6, 2, 0, 4, 6, 2, 1, 0.0, 0, 4, 5, 0, 0, 4, 13, 6.67, 60.0, 93.33, 6.69921875, 30.796875, 100.0, 0, 38.5, 86.6875, 0.0, 30.796875, 46.1953125, 15.3984375, 7.7, 0.0, 15.3984375, 0.0, 38.5, 30.796875, 46.1953125, 38.5, 6.0, 3.0, 35.0, 11.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 89, "Bacheliers technologiques toutes séries", 106, "Liste d'appel propre à cette formation", 33.0, "9174", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9174&g_ta_cod=9174", 20.0, 40.0, 40.0),
(4813, "Public", "9760358K", "CUFR Centre Universitaire de Mayotte", "976", "Mayotte", "Mayotte", "Mayotte", "Dembeni", "formation sélective", "Autre formation", "CUFR Centre Universitaire de Mayotte - Diplôme d'Université - PAREO", "Diplôme d'Université", "", 90, 532, 316, 149, 0, 53, 31, 44, 33, 14, 9, 38, 383, 67, 117, 49, 150, 149, 82, 0, 0, 53, 31, 44, 33, 14, 9, 38, 267, 104, 64, 28, 48, 17.0, 21.0, 24.0, 0, 46, 70, 38, 25, 7, 34, 0, 55, 15, 0, 0, 0.0, 12, 2, 1, 0, 0, 70, 70, 16.35, 20.19, 23.08, 61.5, 100.0, 100.0, 0, 65.6875, 67.296875, 0.0, 78.59375, 21.3984375, 0.0, 0.0, 0.0, 54.296875, 17.09765625, 35.6953125, 2.89990234375, 10.0, 1.39990234375, 92.0, 52.0, 23.0, 17.0, 73.0, "Tous les candidats", 149.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32333", "Diplôme d'Université - PAREO", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32333&g_ta_cod=32333", 54.0, 35.0, 12.0),
(4814, "Privé sous contrat d'association", "0261265J", "Centre d'études forestières et agricoles", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Montélimar", "formation sélective", "BTS", "Centre d'études forestières et agricoles - BTS - Agricole - Gestion forestière", "BTS - Agricole", "", 35, 336, 51, 335, 0, 83, 11, 120, 16, 54, 11, 78, 1, 0, 1, 0, 0, 319, 1, 0, 0, 83, 11, 120, 16, 54, 11, 62, 147, 29, 4, 29, 0, 3.0, 25.0, 27.0, 0, 8, 25, 5, 9, 11, 4, 0, 12, 10, 2, 1, 0.0, 1, 4, 8, 1, 0, 7, 7, 10.34, 86.21, 93.1, 13.798828125, 28.0, 28.0, 4, 32.0, 86.1875, 0.0, 48.0, 40.0, 8.0, 4.0, 0.0, 20.0, 4.0, 36.0, 16.0, 44.0, 32.0, 35.0, 5.0, 32.0, 9.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 103.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 71.0, "3663", "BTS - Agricole - Gestion forestière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3663&g_ta_cod=3663", 24.0, 38.0, 38.0),
(4815, "Privé sous contrat d'association", "0212195Z", "ESEO Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "Bac STI2D", 10, 103, 5, 101, 0, 0, 0, 101, 21, 0, 0, 0, 2, 0, 2, 0, 0, 71, 0, 0, 0, 0, 0, 71, 9, 0, 0, 0, 59, 3, 0, 3, 0, 2.0, 3.0, 3.0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 1, 2, 0, 0.0, 0, 3, 0, 0, 0, 2, 2, 66.67, 100.0, 100.0, 0.0, 66.6875, 66.6875, 0, 0.0, 100.0, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "31219", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=31219", 0.0, 100.0, 0.0),
(4816, "Public", "0291660X", "Université de Brest - Site de Quimper", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation non sélective", "Licence_Las", "Université de Brest - Licence - Portail Droit - Droit parcours général", "Licence - Droit-économie-gestion", "Droit parcours général : Université de Brest - Site de Quimper", 20, 374, 284, 300, 0, 192, 29, 23, 7, 7, 4, 78, 74, 32, 4, 0, 38, 298, 70, 0, 0, 192, 29, 23, 7, 7, 4, 76, 252, 12, 10, 4, 8, 0.0, 4.0, 9.0, 0, 1, 4, 3, 1, 0, 8, 0, 3, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 3, 3, 0.0, 33.33, 75.0, 83.296875, 75.0, 75.0, 0, 25.0, 33.296875, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 75.0, 25.0, 25.0, 0.0, 0.0, 0.0, 150.0, 18.0, 4.0, 2.0, 81.0, "Tous les candidats", 2145.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "32733", "Licence - Portail Droit - Droit parcours général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28752&g_ta_cod=32733", 75.0, 25.0, 0.0),
(4817, "Public", "0750707L", "Ecole Nationale De Commerce", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "BTS", "Ecole Nationale De Commerce - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 1988, 222, 1988, 0, 235, 62, 530, 217, 586, 238, 637, 0, 0, 0, 0, 0, 1027, 0, 0, 0, 91, 20, 239, 89, 582, 237, 115, 112, 31, 3, 31, 0, 11.0, 23.0, 30.0, 0, 8, 21, 4, 10, 7, 10, 0, 4, 9, 7, 1, 0.0, 4, 6, 7, 0, 0, 7, 20, 35.48, 74.19, 96.77, 9.69921875, 33.296875, 95.1875, 0, 38.09375, 67.6875, 0.0, 19.0, 42.8984375, 33.296875, 4.8, 0.0, 19.0, 19.0, 47.59375, 28.59765625, 33.296875, 33.296875, 25.0, 11.0, 14.0, 6.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 8.0, "9160", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9160&g_ta_cod=9160", 23.0, 39.0, 39.0),
(4818, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "PASS", "Université de Lille - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 105, 5729, 3491, 5729, 0, 4682, 678, 72, 33, 9, 5, 966, 0, 0, 0, 0, 0, 5729, 0, 0, 0, 4682, 678, 72, 33, 9, 5, 966, 1304, 104, 47, 104, 0, 18.0, 47.0, 94.0, 0, 22, 102, 101, 1, 0, 2, 0, 2, 18, 59, 17, 6.0, 99, 1, 0, 0, 0, 92, 92, 17.31, 45.19, 90.38, 45.1953125, 90.1875, 90.1875, 0, 21.59765625, 98.09375, 0.0, 2.0, 17.59765625, 57.796875, 16.7, 5.9, 99.0, 97.09375, 1.0, 1.0, 0.0, 0.0, 1210.0, 171.0, 1.0, 1.0, 90.0, "Tous les candidats", 4206.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "29186", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27162&g_ta_cod=29186", 99.0, 1.0, 0.0),
(4819, "Public", "0942070P", "IFSI Jean Baptiste Pussin", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maurice", "formation sélective", "IFSI", "Regroupement IFSI Université de Paris - D.E Infirmier", "D.E secteur sanitaire", "", 83, 4868, 4317, 4868, 0, 493, 151, 698, 277, 682, 353, 2995, 0, 0, 0, 0, 0, 3729, 0, 0, 0, 453, 133, 564, 218, 535, 280, 2177, 969, 83, 79, 80, 0, 3.0, 34.0, 70.0, 0, 21, 64, 5, 28, 31, 19, 0, 11, 32, 18, 2, 1.0, 4, 21, 28, 0, 0, 44, 61, 3.61, 40.96, 84.34, 95.1875, 68.796875, 95.296875, 0, 32.796875, 77.09375, 0.0, 17.19921875, 50.0, 28.09765625, 3.1, 1.6, 7.7998046875, 6.2998046875, 43.796875, 32.796875, 48.3984375, 43.796875, 118.0, 21.0, 219.0, 96.0, 418.0, "Tous les candidats", 3662.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "23209", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25148&g_ta_cod=23209", 11.0, 43.0, 46.0),
(4820, "Public", "0690035N", "Lycée Auguste et Louis Lumière", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Autre formation", "Lycée Auguste et Louis Lumière - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 20, 152, 37, 96, 0, 14, 3, 25, 7, 30, 16, 27, 56, 13, 5, 11, 27, 34, 9, 0, 0, 8, 1, 9, 1, 13, 7, 4, 51, 14, 5, 9, 4, 7.0, 9.0, 9.0, 0, 3, 9, 2, 4, 3, 5, 0, 5, 3, 1, 0, 0.0, 1, 1, 2, 0, 0, 4, 4, 50.0, 64.29, 64.29, 35.6953125, 44.3984375, 44.3984375, 0, 33.296875, 64.296875, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 22.19921875, 11.099609375, 44.3984375, 11.099609375, 33.296875, 22.19921875, 12.0, 1.0, 16.0, 7.0, 9.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "22256", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22256&g_ta_cod=22256", 14.0, 43.0, 43.0),
(4821, "Public", "0593052X", "I.U.T. de Valenciennes", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BUT", "I.U.T. de Valenciennes - BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "BUT - Production", "Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", 65, 287, 14, 248, 0, 99, 17, 95, 22, 8, 4, 46, 39, 12, 6, 0, 21, 229, 16, 0, 0, 96, 15, 87, 20, 7, 4, 39, 227, 31, 0, 28, 3, 20.0, 28.0, 29.0, 0, 7, 25, 15, 9, 1, 6, 0, 13, 9, 3, 0, 0.0, 6, 6, 0, 0, 0, 19, 19, 64.52, 90.32, 93.55, 0.0, 76.0, 76.0, 0, 28.0, 80.59375, 0.0, 52.0, 36.0, 12.0, 0.0, 0.0, 60.0, 24.0, 36.0, 24.0, 4.0, 0.0, 94.0, 16.0, 7.0, 4.0, 45.0, "Tous les candidats sauf les Bac technologiques", 140.0, "Bacheliers technologiques toutes séries", 92, "", 0, "Liste d'appel propre à cette formation", 92.0, "6957", "BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6957&g_ta_cod=6957", 55.0, 32.0, 10.0),
(4822, "Public", "0640057P", "Lycée Saint-Cricq", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "BTS", "Lycée Saint-Cricq - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 24, 200, 31, 190, 0, 11, 2, 48, 5, 33, 12, 98, 10, 0, 2, 5, 3, 190, 5, 0, 0, 11, 2, 48, 5, 33, 12, 98, 98, 16, 4, 15, 1, 3.0, 14.0, 16.0, 0, 1, 9, 1, 3, 5, 7, 0, 5, 3, 1, 0, 0.0, 1, 1, 2, 3, 0, 8, 8, 18.75, 87.5, 100.0, 25.0, 88.890625, 88.890625, 33.296875, 11.099609375, 56.296875, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 11.099609375, 11.099609375, 33.296875, 11.099609375, 55.59375, 22.19921875, 8.0, 1.0, 30.0, 12.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 62.0, "7711", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7711&g_ta_cod=7711", 50.0, 19.0, 31.0),
(4823, "Privé enseignement supérieur", "0130235K", "Institut des métiers du notariat", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Institut des métiers du notariat - BTS - Services - Notariat", "BTS - Services", "", 45, 518, 384, 430, 0, 174, 50, 81, 24, 34, 13, 141, 88, 23, 10, 0, 55, 67, 1, 0, 0, 30, 10, 3, 0, 4, 1, 30, 66, 11, 6, 10, 1, 8.0, 10.0, 10.0, 0, 2, 6, 5, 1, 0, 5, 0, 5, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 3, 3, 72.73, 90.91, 90.91, 54.5, 50.0, 50.0, 0, 33.296875, 54.5, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 83.296875, 0.0, 16.69921875, 16.69921875, 0.0, 0.0, 31.0, 10.0, 4.0, 1.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 3, "Liste d'appel propre à cette formation", 16.0, "16404", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16404&g_ta_cod=16404", 91.0, 9.0, 0.0),
(4824, "Public", "0750655E", "Lycée Louis Le Grand", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "CPGE", "Lycée Louis Le Grand - CPGE - PCSI", "Classe préparatoire scientifique", "", 93, 4665, 1762, 4665, 3555, 4243, 355, 1, 0, 0, 0, 421, 0, 0, 0, 0, 0, 731, 0, 591, 715, 729, 71, 0, 0, 0, 0, 2, 262, 93, 51, 93, 0, 26.0, 80.0, 93.0, 33, 10, 92, 92, 0, 0, 1, 4, 0, 0, 0, 42, 46.0, 88, 0, 0, 40, 20, 48, 66, 27.96, 86.02, 100.0, 54.796875, 52.1953125, 71.6875, 43.5, 10.8984375, 98.890625, 4.2998046875, 0.0, 0.0, 0.0, 45.7, 50.0, 100.0, 95.6875, 0.0, 0.0, 0.0, 0.0, 261.0, 26.0, 0.0, 0.0, 1.0, "Tous les candidats", 364.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "8975", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8975&g_ta_cod=8975", 100.0, 0.0, 0.0),
(4825, "Public", "0730003G", "Lycée Marlioz", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Aix-les-Bains", "formation sélective", "BTS", "Lycée Marlioz - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 18, 379, 100, 379, 0, 12, 2, 67, 16, 81, 31, 219, 0, 0, 0, 0, 0, 171, 0, 0, 0, 11, 2, 67, 16, 71, 24, 22, 80, 18, 3, 18, 0, 3.0, 10.0, 11.0, 0, 6, 16, 0, 7, 9, 2, 2, 8, 6, 0, 0, 0.0, 0, 0, 6, 1, 0, 11, 11, 16.67, 55.56, 61.11, 16.69921875, 68.796875, 68.796875, 6.2998046875, 37.5, 88.890625, 12.5, 50.0, 37.5, 0.0, 0.0, 0.0, 0.0, 0.0, 43.796875, 0.0, 56.296875, 37.5, 8.0, 1.0, 34.0, 9.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 26.0, "21237", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21237&g_ta_cod=21237", 0.0, 50.0, 50.0),
(4826, "Public", "0740006E", "Lycée Louis Lachenal", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Argonay", "formation sélective", "BTS", "Lycée Louis Lachenal - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 137, 4, 136, 0, 9, 0, 65, 6, 43, 7, 19, 1, 0, 1, 0, 0, 116, 0, 0, 0, 9, 0, 60, 6, 36, 6, 11, 67, 13, 0, 13, 0, 2.0, 12.0, 13.0, 0, 1, 11, 0, 3, 8, 2, 0, 2, 6, 2, 1, 0.0, 0, 2, 7, 2, 0, 10, 10, 15.38, 92.31, 100.0, 0.0, 90.890625, 90.890625, 18.19921875, 9.099609375, 84.59375, 0.0, 18.19921875, 54.5, 18.19921875, 9.1, 0.0, 0.0, 0.0, 27.296875, 18.19921875, 72.6875, 63.59375, 5.0, 0.0, 18.0, 3.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 71.0, "8861", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8861&g_ta_cod=8861", 8.0, 31.0, 62.0),
(4827, "Public", "0382440W", "Lycée des Métiers - Léonard de Vinci", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Villefontaine", "formation sélective", "Autre formation", "Lycée des Métiers - Léonard de Vinci - DN MADE - Objet - - Spécialité : Design de produit industriel", "DN MADE", "- Spécialité : Design de produit industriel", 15, 425, 231, 425, 0, 153, 17, 142, 20, 22, 7, 108, 0, 0, 0, 0, 0, 111, 0, 0, 0, 27, 1, 71, 11, 2, 1, 11, 72, 15, 8, 13, 0, 0.0, 12.0, 13.0, 0, 4, 14, 2, 10, 2, 1, 0, 1, 7, 5, 1, 0.0, 2, 9, 2, 0, 0, 8, 8, 0.0, 80.0, 86.67, 53.296875, 57.09375, 57.09375, 0, 28.59765625, 93.296875, 0.0, 7.099609375, 50.0, 35.6953125, 7.1, 0.0, 14.298828125, 14.298828125, 71.390625, 64.296875, 14.298828125, 14.298828125, 15.0, 1.0, 4.0, 1.0, 6.0, "Tous les candidats", 111.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "24361", "DN MADE - Objet - - Spécialité : Design de produit industriel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24361&g_ta_cod=24361", 13.0, 73.0, 13.0),
(4828, "Public", "0680053N", "I.U.T. de Colmar", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BUT", "I.U.T. de Colmar - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Business développement et management de la relation client", 75, 892, 446, 892, 0, 508, 72, 236, 45, 12, 4, 136, 0, 0, 0, 0, 0, 526, 0, 0, 0, 290, 52, 167, 26, 1, 1, 68, 232, 79, 51, 79, 0, 17.0, 64.0, 73.0, 0, 12, 70, 33, 36, 1, 9, 0, 4, 30, 33, 3, 0.0, 32, 33, 1, 0, 0, 66, 66, 21.52, 81.01, 92.41, 64.59375, 94.296875, 94.296875, 0, 17.09765625, 88.59375, 0.0, 5.69921875, 42.8984375, 47.09375, 4.3, 0.0, 47.09375, 45.6953125, 51.3984375, 47.09375, 1.39990234375, 1.39990234375, 102.0, 21.0, 1.0, 1.0, 32.0, "Tous les candidats sauf les Bac technologiques", 160.0, "Bacheliers technologiques toutes séries", 138, "", 0, "Liste d'appel propre à cette formation", 33.0, "8117", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8117&g_ta_cod=8117", 49.0, 49.0, 1.0),
(4829, "Privé sous contrat d'association", "0310154Z", "Ecole d'ingénieurs de PURPAN", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Ecole d'Ingénieur", "Réseau France Agro3 - Formation d'ingénieur Bac + 5 - Voie d'accès bac série générale", "Formations  des écoles d'ingénieurs", "Voie d'accès bac série générale", 233, 920, 462, 908, 0, 901, 60, 0, 0, 0, 0, 7, 12, 12, 0, 0, 0, 700, 7, 0, 0, 700, 33, 0, 0, 0, 0, 0, 627, 235, 124, 230, 5, 192.0, 230.0, 235.0, 0, 15, 235, 235, 0, 0, 0, 0, 11, 88, 108, 27, 1.0, 224, 0, 0, 0, 0, 100, 100, 81.7, 97.87, 100.0, 52.796875, 42.59375, 42.59375, 0, 6.3994140625, 100.0, 0.0, 4.69921875, 37.3984375, 46.0, 11.5, 0.4, 100.0, 95.296875, 0.0, 0.0, 0.0, 0.0, 627.0, 34.0, 0.0, 0.0, 0.0, "Tous les candidats", 699.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "25916", "Formation d'ingénieur Bac + 5 - Voie d'accès bac série générale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25916&g_ta_cod=25916", 100.0, 0.0, 0.0),
(4830, "Public", "9740472V", "Lycée professionnel Patu de Rosemont", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Benoît", "formation sélective", "Autre formation", "Lycée professionnel Patu de Rosemont - Mention complémentaire - Maintenance des installations oléohydrauliques et pneumatiques", "Mention complémentaire", "", 10, 28, 0, 22, 0, 0, 0, 0, 0, 19, 10, 3, 6, 0, 0, 4, 2, 15, 3, 0, 0, 0, 0, 0, 0, 14, 6, 1, 18, 6, 0, 4, 2, 3.0, 3.0, 6.0, 0, 1, 4, 0, 0, 4, 2, 1, 2, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 4, 4, 50.0, 50.0, 100.0, 0.0, 100.0, 100.0, 0, 25.0, 66.6875, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 16.0, 6.0, 2.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "31217", "Mention complémentaire - Maintenance des installations oléohydrauliques et pneumatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31217&g_ta_cod=31217", 0.0, 0.0, 100.0),
(4831, "Public", "0230025C", "Lycée Raymond Loewy", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "La Souterraine", "formation sélective", "Autre formation", "Lycée Raymond Loewy - DN MADE - Espace - - Spécialité : Design responsable : Territoire , Société & patrimoine", "DN MADE", "- Spécialité : Design responsable : Territoire , Société & patrimoine", 16, 390, 327, 390, 0, 142, 11, 141, 25, 33, 7, 74, 0, 0, 0, 0, 0, 199, 0, 0, 0, 62, 3, 113, 20, 8, 3, 16, 86, 16, 15, 16, 0, 2.0, 13.0, 16.0, 0, 1, 16, 7, 9, 0, 0, 0, 0, 6, 8, 2, 0.0, 7, 9, 0, 0, 0, 2, 2, 12.5, 81.25, 100.0, 93.796875, 12.5, 12.5, 0, 6.2998046875, 100.0, 0.0, 0.0, 37.5, 50.0, 12.5, 0.0, 43.796875, 43.796875, 56.296875, 56.296875, 0.0, 0.0, 28.0, 1.0, 0.0, 0.0, 3.0, "Tous les candidats", 159.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "21751", "DN MADE - Espace - - Spécialité : Design responsable : Territoire , Société & patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21751&g_ta_cod=21751", 44.0, 56.0, 0.0),
(4832, "Public", "0301687W", "Université de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "Licence_Las", "Université de Nîmes - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 40, 583, 444, 565, 0, 266, 87, 60, 32, 22, 10, 217, 18, 5, 2, 3, 8, 563, 18, 0, 0, 266, 87, 60, 32, 22, 10, 215, 286, 38, 28, 27, 11, 3.0, 18.0, 26.0, 0, 8, 26, 19, 5, 2, 12, 0, 13, 7, 5, 1, 0.0, 12, 1, 0, 0, 0, 21, 21, 7.89, 47.37, 68.42, 73.6875, 80.796875, 80.796875, 0, 30.796875, 68.390625, 0.0, 50.0, 26.8984375, 19.19921875, 3.8, 0.0, 73.09375, 46.1953125, 19.19921875, 3.7998046875, 7.69921875, 0.0, 121.0, 35.0, 11.0, 3.0, 134.0, "Tous les candidats", 1582.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 69.0, "28869", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28868&g_ta_cod=28869", 71.0, 21.0, 8.0),
(4833, "Public", "0910975R", "Lycée Jean Pierre Timbaud", "91", "Essonne", "Ile-de-France", "Versailles", "Brétigny-sur-Orge", "formation sélective", "BTS", "Lycée Jean Pierre Timbaud - BTS - Production - Architectures en Métal : conception et Réalisation", "BTS - Production", "", 15, 204, 38, 204, 0, 16, 4, 44, 13, 62, 27, 82, 0, 0, 0, 0, 0, 204, 0, 0, 0, 16, 4, 44, 13, 62, 27, 82, 54, 11, 3, 11, 0, 2.0, 8.0, 8.0, 0, 4, 7, 1, 1, 5, 4, 0, 3, 2, 1, 1, 0.0, 0, 1, 3, 3, 0, 5, 6, 18.18, 72.73, 72.73, 27.296875, 71.390625, 85.6875, 42.8984375, 57.09375, 63.59375, 0.0, 42.8984375, 28.59765625, 14.298828125, 14.3, 0.0, 14.298828125, 0.0, 14.298828125, 14.298828125, 71.390625, 42.8984375, 5.0, 2.0, 26.0, 8.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 30.0, "10908", "BTS - Production - Architectures en Métal : conception et Réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10908&g_ta_cod=10908", 9.0, 27.0, 64.0),
(4834, "Privé enseignement supérieur", "0371790V", "EXCELIA - Campus de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "Autre formation", "Excelia Tourism and Hospitality School - Diplôme d'Etablissement - Bachelor en management du tourisme et de l'hôtellerie", "Diplôme d'Etablissement", "Bachelor en management du tourisme et de l'hôtellerie", 50, 58, 41, 53, 0, 37, 1, 8, 0, 1, 0, 7, 5, 1, 0, 2, 2, 38, 2, 0, 0, 29, 1, 6, 0, 1, 0, 2, 40, 2, 2, 2, 0, 2.0, 2.0, 2.0, 0, 0, 2, 1, 1, 0, 0, 0, 1, 0, 1, 0, 0.0, 0, 1, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 100.0, 50.0, 50.0, 0, 0.0, 100.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 30.0, 1.0, 2.0, 0.0, 2.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 72.0, "31891", "Diplôme d'Etablissement - Bachelor en management du tourisme et de l'hôtellerie", "Excelia Tourism and Hospitality School", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31886&g_ta_cod=31891", 50.0, 50.0, 0.0),
(4835, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Philosophie", "Licence - Sciences humaines et sociales", "", 150, 436, 254, 288, 0, 193, 50, 24, 7, 2, 1, 69, 148, 17, 26, 12, 93, 287, 143, 0, 0, 193, 50, 24, 7, 2, 1, 68, 431, 57, 25, 28, 29, 27.0, 27.0, 50.0, 0, 7, 32, 18, 11, 3, 25, 3, 21, 5, 3, 0, 0.0, 6, 1, 1, 0, 0, 29, 29, 47.37, 47.37, 87.72, 43.8984375, 90.59375, 90.59375, 0, 21.8984375, 56.09375, 9.3984375, 65.59375, 15.599609375, 9.3984375, 0.0, 0.0, 56.296875, 18.796875, 34.3984375, 3.099609375, 9.3984375, 3.099609375, 210.0, 54.0, 14.0, 5.0, 156.0, "Tous les candidats", 287.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9704", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9704&g_ta_cod=9704", 56.0, 33.0, 11.0),
(4836, "Public", "0360043B", "Lycée Blaise Pascal", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Châteauroux", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 117, 5, 117, 0, 3, 1, 20, 3, 67, 21, 27, 0, 0, 0, 0, 0, 117, 0, 0, 0, 3, 1, 20, 3, 67, 21, 27, 53, 9, 1, 9, 0, 1.0, 6.0, 8.0, 0, 4, 9, 1, 1, 7, 0, 0, 4, 3, 2, 0, 0.0, 0, 0, 5, 7, 0, 9, 9, 11.11, 66.67, 88.89, 11.099609375, 100.0, 100.0, 77.796875, 44.3984375, 100.0, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 11.099609375, 0.0, 11.099609375, 0.0, 77.796875, 55.59375, 2.0, 0.0, 35.0, 11.0, 3.0, "Tous les candidats sauf les Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 53.0, "4797", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4797&g_ta_cod=4797", 11.0, 11.0, 78.0),
(4837, "Public", "0930834B", "Lycée Voillaume", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aulnay-sous-Bois", "formation sélective", "BTS", "Lycée Voillaume - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 1508, 927, 1508, 0, 46, 23, 467, 236, 528, 331, 467, 0, 0, 0, 0, 0, 949, 0, 0, 0, 44, 23, 307, 165, 396, 249, 202, 190, 33, 21, 33, 0, 5.0, 21.0, 32.0, 0, 20, 28, 3, 11, 14, 5, 0, 9, 14, 5, 0, 0.0, 0, 9, 10, 5, 5, 27, 28, 15.15, 63.64, 96.97, 63.59375, 96.390625, 100.0, 17.8984375, 71.390625, 84.796875, 0.0, 32.09375, 50.0, 17.8984375, 0.0, 0.0, 10.69921875, 0.0, 39.296875, 32.09375, 50.0, 35.6953125, 21.0, 11.0, 92.0, 60.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 195, "Bacheliers technologiques toutes séries", 103, "Liste d'appel propre à cette formation", 22.0, "11214", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11214&g_ta_cod=11214", 15.0, 36.0, 48.0),
(4838, "Public", "0511565Z", "Lycée Francois Arago", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Francois Arago - BTS - Production - Enveloppe des bâtiments : conception et réalisation", "BTS - Production", "", 15, 201, 24, 170, 0, 11, 3, 53, 13, 44, 19, 62, 31, 0, 5, 9, 17, 99, 15, 0, 0, 11, 3, 45, 11, 35, 15, 8, 79, 11, 0, 7, 4, 1.0, 6.0, 10.0, 0, 3, 5, 1, 0, 4, 6, 0, 4, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 4, 4, 9.09, 54.55, 90.91, 0.0, 80.0, 80.0, 0, 60.0, 45.5, 0.0, 80.0, 0.0, 20.0, 0.0, 0.0, 20.0, 0.0, 0.0, 0.0, 80.0, 20.0, 8.0, 2.0, 30.0, 13.0, 16.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 56.0, "6139", "BTS - Production - Enveloppe des bâtiments : conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6139&g_ta_cod=6139", 18.0, 27.0, 55.0),
(4839, "Public", "9741204R", "Université de la Réunion - Le Tampon", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation non sélective", "Licence", "Université de la Réunion - Le Tampon - Licence - Portail Sciences pour la santé", "Licence - Sciences - technologies - santé", "", 270, 951, 682, 742, 0, 382, 159, 119, 71, 6, 5, 235, 209, 54, 25, 4, 126, 741, 197, 0, 0, 382, 159, 119, 71, 6, 5, 234, 887, 198, 136, 113, 85, 22.0, 104.0, 170.0, 0, 54, 97, 59, 35, 3, 101, 1, 49, 38, 9, 0, 0.0, 25, 20, 2, 0, 0, 88, 88, 11.11, 52.53, 85.86, 68.6875, 90.6875, 90.6875, 0, 55.6953125, 49.0, 1.0, 50.5, 39.1953125, 9.298828125, 0.0, 0.0, 60.796875, 25.796875, 36.09375, 20.59765625, 3.099609375, 2.099609375, 407.0, 165.0, 9.0, 7.0, 341.0, "Tous les candidats", 1084.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "20499", "Licence - Portail Sciences pour la santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27544&g_ta_cod=20499", 68.0, 27.0, 5.0),
(4840, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "PASS", "Université des Antilles - Pôle Guadeloupe - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 60, 377, 269, 359, 0, 265, 80, 33, 20, 9, 4, 52, 18, 7, 2, 1, 8, 356, 18, 0, 0, 265, 80, 33, 20, 9, 4, 49, 280, 60, 45, 53, 7, 11.0, 52.0, 53.0, 0, 25, 55, 45, 8, 2, 5, 0, 13, 26, 14, 2, 0.0, 34, 6, 2, 0, 0, 52, 52, 18.33, 86.67, 88.33, 75.0, 94.5, 94.5, 0, 45.5, 91.6875, 0.0, 23.59765625, 47.296875, 25.5, 3.6, 0.0, 81.796875, 61.796875, 14.5, 10.8984375, 3.599609375, 3.599609375, 212.0, 60.0, 5.0, 4.0, 44.0, "Tous les candidats", 1390.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "27430", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27424&g_ta_cod=27430", 80.0, 13.0, 5.0),
(4841, "Public", "9741180P", "I.U.T de la Réunion", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BUT", "I.U.T de la Réunion - BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "BUT - Production", "", 25, 336, 170, 327, 0, 174, 48, 75, 37, 2, 2, 76, 9, 3, 1, 0, 5, 203, 5, 0, 0, 117, 29, 35, 18, 0, 0, 51, 126, 22, 11, 20, 2, 1.0, 17.0, 18.0, 0, 3, 15, 12, 3, 0, 7, 0, 1, 5, 8, 1, 0.0, 12, 2, 0, 0, 0, 10, 10, 4.55, 77.27, 81.82, 50.0, 66.6875, 66.6875, 0, 20.0, 68.1875, 0.0, 6.69921875, 33.296875, 53.296875, 6.7, 0.0, 80.0, 80.0, 20.0, 13.298828125, 0.0, 0.0, 64.0, 18.0, 0.0, 0.0, 45.0, "Tous les candidats sauf les Bac technologiques", 143.0, "Bacheliers technologiques toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 54.0, "11954", "BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11954&g_ta_cod=11954", 73.0, 27.0, 0.0),
(4842, "Public", "0180007K", "Lycée Jacques Coeur", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BTS", "Lycée Jacques Coeur - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 24, 353, 309, 353, 0, 51, 11, 34, 8, 185, 50, 83, 0, 0, 0, 0, 0, 194, 0, 0, 0, 30, 6, 12, 1, 128, 32, 24, 86, 23, 22, 23, 0, 6.0, 18.0, 21.0, 0, 5, 19, 2, 0, 17, 4, 0, 5, 6, 6, 2, 0.0, 1, 0, 13, 0, 0, 15, 15, 26.09, 78.26, 91.3, 95.6875, 78.890625, 78.890625, 0, 26.296875, 82.59375, 0.0, 26.296875, 31.59765625, 31.59765625, 10.5, 0.0, 10.5, 5.2998046875, 0.0, 0.0, 89.5, 68.390625, 7.0, 2.0, 71.0, 18.0, 7.0, "Tous les candidats sauf les Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 101, "", 0, "Liste d'appel propre à cette formation", 33.0, "12383", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12383&g_ta_cod=12383", 17.0, 0.0, 83.0),
(4843, "Public", "0800001S", "Lycée Boucher De Perthes", "80", "Somme", "Hauts-de-France", "Amiens", "Abbeville", "formation sélective", "BTS", "Lycée Boucher De Perthes - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 53, 602, 314, 602, 0, 62, 16, 113, 29, 163, 68, 264, 0, 0, 0, 0, 0, 451, 0, 0, 0, 62, 16, 113, 29, 163, 68, 113, 141, 44, 23, 44, 0, 13.0, 23.0, 38.0, 0, 12, 35, 4, 7, 24, 9, 0, 13, 13, 9, 0, 0.0, 2, 2, 18, 4, 2, 31, 31, 29.55, 52.27, 86.36, 52.296875, 88.59375, 88.59375, 11.3984375, 34.296875, 79.5, 0.0, 37.09375, 37.09375, 25.69921875, 0.0, 0.0, 11.3984375, 5.69921875, 20.0, 5.69921875, 68.59375, 51.3984375, 19.0, 7.0, 57.0, 20.0, 14.0, "Tous les candidats sauf les Bac professionnels", 107.0, "Bacheliers professionnels toutes séries", 82, "", 0, "Liste d'appel propre à cette formation", 31.0, "10145", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10145&g_ta_cod=10145", 23.0, 18.0, 59.0),
(4844, "Public", "0590121L", "Lycée Cesar Baggio", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Cesar Baggio - BTS - Production - Electrotechnique", "BTS - Production", "", 45, 341, 24, 341, 0, 11, 4, 48, 14, 170, 79, 112, 0, 0, 0, 0, 0, 281, 0, 0, 0, 9, 2, 39, 11, 170, 79, 63, 111, 23, 0, 23, 0, 3.0, 12.0, 19.0, 0, 14, 22, 1, 0, 21, 1, 0, 10, 8, 3, 1, 0.0, 0, 0, 12, 0, 0, 21, 21, 13.04, 52.17, 82.61, 0.0, 95.5, 95.5, 0, 63.59375, 95.6875, 0.0, 45.5, 36.3984375, 13.599609375, 4.5, 0.0, 4.5, 0.0, 0.0, 0.0, 95.5, 54.5, 3.0, 2.0, 80.0, 39.0, 22.0, "Tous les candidats sauf les Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 114, "", 0, "Liste d'appel propre à cette formation", 47.0, "6794", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6794&g_ta_cod=6794", 4.0, 4.0, 91.0),
(4845, "Public", "0861283C", "I.U.T. Poitiers (site Chatellerault)", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Châtellerault", "formation sélective", "BUT", "I.U.T. Poitiers (site Chatellerault) - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client", 82, 2112, 999, 2109, 0, 1170, 167, 645, 157, 13, 6, 281, 3, 0, 2, 0, 1, 1446, 0, 0, 0, 864, 115, 436, 97, 1, 0, 145, 575, 83, 31, 83, 0, 29.0, 57.0, 75.0, 0, 19, 72, 29, 43, 0, 11, 0, 7, 50, 14, 1, 0.0, 25, 40, 0, 0, 0, 44, 44, 34.94, 68.67, 90.36, 37.296875, 61.09375, 61.09375, 0, 26.3984375, 86.6875, 0.0, 9.69921875, 69.390625, 19.3984375, 1.4, 0.0, 40.296875, 34.6953125, 59.6953125, 55.59375, 0.0, 0.0, 245.0, 46.0, 0.0, 0.0, 64.0, "Tous les candidats sauf les Bac technologiques", 440.0, "Bacheliers technologiques toutes séries", 347, "", 0, "Liste d'appel propre à cette formation", 37.0, "10656", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10656&g_ta_cod=10656", 46.0, 54.0, 0.0),
(4846, "Privé sous contrat d'association", "0311177L", "Institut Limayrac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Institut Limayrac - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 18, 159, 43, 149, 0, 12, 2, 77, 18, 18, 5, 42, 10, 1, 2, 3, 4, 118, 6, 0, 0, 11, 2, 61, 14, 11, 4, 35, 80, 19, 4, 17, 2, 7.0, 14.0, 16.0, 0, 1, 12, 2, 9, 1, 7, 0, 4, 8, 0, 0, 0.0, 1, 6, 1, 0, 0, 11, 11, 36.84, 73.68, 84.21, 21.09765625, 91.6875, 91.6875, 0, 8.298828125, 63.1953125, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 16.69921875, 8.298828125, 75.0, 50.0, 8.298828125, 8.298828125, 9.0, 2.0, 9.0, 4.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 58.0, "22103", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22103&g_ta_cod=22103", 16.0, 68.0, 16.0),
(4847, "Public", "0410002E", "Lycée F Philibert Dessaignes", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "CPGE", "Lycée F Philibert Dessaignes - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 594, 150, 441, 303, 347, 47, 0, 0, 0, 0, 94, 153, 91, 1, 0, 61, 318, 56, 229, 301, 302, 35, 0, 0, 0, 0, 16, 329, 35, 10, 22, 13, 6.0, 22.0, 34.0, 11, 5, 34, 34, 0, 0, 1, 0, 0, 16, 13, 5, 0.0, 34, 0, 0, 4, 2, 19, 19, 17.14, 62.86, 97.14, 28.59765625, 55.8984375, 55.8984375, 11.798828125, 14.69921875, 97.09375, 0.0, 0.0, 47.09375, 38.1953125, 14.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 313.0, 33.0, 0.0, 0.0, 16.0, "Tous les candidats", 317.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "5233", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5233&g_ta_cod=5233", 100.0, 0.0, 0.0),
(4848, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Lettres - Parcours Lettres modernes mineure Anglais renforcé", "Licence - Arts-lettres-langues", "Lettres modernes mineure Anglais renforcé", 160, 591, 428, 260, 0, 168, 45, 4, 2, 11, 6, 77, 331, 49, 31, 21, 230, 259, 319, 0, 0, 168, 45, 4, 2, 11, 6, 76, 578, 139, 95, 28, 111, 28.0, 28.0, 85.0, 0, 19, 48, 30, 7, 11, 91, 0, 17, 22, 8, 1, 0.0, 21, 3, 7, 0, 0, 29, 29, 20.14, 20.14, 61.15, 68.296875, 60.3984375, 60.3984375, 0, 39.59375, 34.5, 0.0, 35.3984375, 45.796875, 16.69921875, 2.1, 0.0, 62.5, 43.796875, 14.599609375, 6.2998046875, 22.8984375, 14.599609375, 215.0, 60.0, 32.0, 22.0, 296.0, "Tous les candidats", 259.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "30880", "Licence - Lettres - Parcours Lettres modernes mineure Anglais renforcé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30880&g_ta_cod=30880", 66.0, 14.0, 18.0),
(4849, "Public", "0380029A", "Lycée Les Eaux Claires", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "CPGE", "Lycée Les Eaux Claires - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 24, 260, 131, 241, 0, 0, 0, 217, 54, 0, 0, 24, 19, 0, 13, 0, 6, 177, 5, 0, 177, 0, 0, 174, 43, 0, 0, 3, 132, 17, 5, 17, 0, 3.0, 17.0, 17.0, 0, 6, 17, 0, 17, 0, 0, 0, 2, 7, 8, 0, 0.0, 0, 15, 0, 0, 0, 14, 14, 17.65, 100.0, 100.0, 29.3984375, 82.390625, 82.390625, 0, 35.296875, 100.0, 0.0, 11.798828125, 41.1953125, 47.09375, 0.0, 0.0, 0.0, 0.0, 100.0, 88.1875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 175.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "4926", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4926&g_ta_cod=4926", 0.0, 100.0, 0.0),
(4850, "Public", "0850025R", "LGT Pierre Mendès France", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "LGT Pierre Mendès France - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 640, 389, 608, 0, 69, 12, 201, 52, 102, 33, 236, 32, 1, 5, 3, 23, 307, 8, 0, 0, 45, 6, 156, 30, 77, 22, 29, 177, 29, 21, 23, 5, 3.0, 22.0, 24.0, 0, 6, 21, 3, 10, 8, 8, 0, 9, 11, 1, 0, 0.0, 1, 3, 8, 3, 3, 19, 19, 10.34, 75.86, 82.76, 72.390625, 90.5, 90.5, 14.298828125, 28.59765625, 72.390625, 0.0, 42.8984375, 52.3984375, 4.7998046875, 0.0, 0.0, 14.298828125, 4.7998046875, 47.59375, 14.298828125, 38.09375, 38.09375, 28.0, 5.0, 46.0, 12.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 158, "Liste d'appel propre à cette formation", 48.0, "10478", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10478&g_ta_cod=10478", 21.0, 48.0, 31.0),
(4851, "Public", "0310098N", "Centre de Ressources, d'Expertise et de Performance Sportive de Toulouse (CREPS)", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "CREPS de Toulouse - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 5, 156, 37, 156, 0, 31, 7, 44, 11, 36, 15, 45, 0, 0, 0, 0, 0, 24, 0, 0, 0, 5, 2, 10, 3, 2, 2, 7, 12, 5, 1, 5, 0, 1.0, 5.0, 5.0, 0, 1, 4, 1, 3, 0, 1, 0, 2, 1, 1, 0, 0.0, 1, 1, 0, 0, 0, 3, 3, 20.0, 100.0, 100.0, 20.0, 75.0, 75.0, 0, 25.0, 80.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 25.0, 25.0, 75.0, 25.0, 0.0, 0.0, 3.0, 1.0, 0.0, 0.0, 4.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "30935", "BPJEPS - Activités physiques pour tous", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30935&g_ta_cod=30935", 20.0, 60.0, 20.0),
(4852, "Public", "0762687H", "Ecole Supérieure d'Art et Design Le Havre-Rouen (ESADHaR) site de Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "Autre formation", "Ecole Supérieure d'Art et Design Le Havre-Rouen (ESADHaR) site de Rouen - Diplôme National d'Art", "Diplôme National d'Art", "", 45, 241, 189, 176, 0, 72, 14, 15, 3, 6, 3, 83, 65, 14, 2, 10, 39, 48, 1, 0, 0, 18, 2, 3, 1, 0, 0, 27, 49, 29, 23, 29, 0, 29.0, 29.0, 29.0, 0, 3, 15, 13, 2, 0, 14, 0, 4, 4, 4, 3, 0.0, 10, 1, 0, 0, 0, 13, 13, 100.0, 100.0, 100.0, 79.296875, 86.6875, 86.6875, 0, 20.0, 51.6953125, 0.0, 26.69921875, 26.69921875, 26.69921875, 20.0, 0.0, 86.6875, 66.6875, 13.298828125, 6.69921875, 0.0, 0.0, 18.0, 2.0, 0.0, 0.0, 28.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "19438", "Diplôme National d'Art", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19438&g_ta_cod=19438", 83.0, 14.0, 3.0),
(4853, "Privé enseignement supérieur", "0530959E", "Facultés libres de l'ouest - UCO - Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "Licence", "Facultés libres de l'ouest - UCO - Laval - Licence - Information et communication - Parcours Infographie et médias interactifs", "Licence - Sciences humaines et sociales", "Infographie et médias interactifs", 44, 162, 74, 115, 0, 64, 8, 12, 2, 9, 3, 30, 47, 17, 3, 6, 21, 55, 1, 0, 0, 34, 6, 2, 1, 7, 3, 12, 56, 29, 10, 28, 1, 27.0, 28.0, 29.0, 0, 7, 20, 15, 2, 3, 9, 0, 7, 5, 7, 1, 0.0, 11, 0, 2, 0, 0, 14, 14, 93.1, 96.55, 100.0, 34.5, 70.0, 70.0, 0, 35.0, 69.0, 0.0, 35.0, 25.0, 35.0, 5.0, 0.0, 75.0, 55.0, 10.0, 0.0, 15.0, 10.0, 35.0, 6.0, 7.0, 3.0, 12.0, "Tous les candidats", 56.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "14302", "Licence - Information et communication - Parcours Infographie et médias interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14302&g_ta_cod=14302", 72.0, 10.0, 17.0),
(4854, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Licence", "Université de Brest - Licence - Arts - Parcours pratique théâtre", "Licence - Arts-lettres-langues", "pratique théâtre", 8, 81, 54, 81, 0, 54, 10, 3, 1, 2, 1, 22, 0, 0, 0, 0, 0, 14, 0, 0, 0, 9, 3, 0, 0, 0, 0, 5, 13, 8, 5, 8, 0, 6.0, 8.0, 8.0, 0, 1, 6, 6, 0, 0, 2, 0, 1, 1, 3, 1, 0.0, 5, 0, 0, 0, 0, 5, 5, 75.0, 100.0, 100.0, 62.5, 83.296875, 83.296875, 0, 16.69921875, 75.0, 0.0, 16.69921875, 16.69921875, 50.0, 16.7, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 9.0, 3.0, 0.0, 0.0, 4.0, "Tous les candidats", 13.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "21177", "Licence - Arts - Parcours pratique théâtre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21177&g_ta_cod=21177", 75.0, 0.0, 25.0),
(4855, "Public", "0501850P", "Lycée Maurice Marland", "50", "Manche", "Normandie", "Normandie", "Granville", "formation sélective", "BTS", "Lycée Maurice Marland - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 36, 282, 135, 282, 0, 0, 0, 75, 13, 157, 37, 50, 0, 0, 0, 0, 0, 226, 0, 0, 0, 0, 0, 61, 9, 133, 28, 32, 113, 36, 17, 36, 0, 16.0, 29.0, 31.0, 0, 9, 36, 0, 15, 21, 0, 0, 5, 12, 14, 5, 0.0, 0, 11, 20, 26, 10, 34, 34, 44.44, 80.56, 86.11, 47.1953125, 94.390625, 94.390625, 72.1875, 25.0, 100.0, 0.0, 13.8984375, 33.296875, 38.8984375, 13.9, 0.0, 0.0, 0.0, 41.6953125, 30.59765625, 58.296875, 55.59375, 0.0, 0.0, 48.0, 12.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 50.0, "6038", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6038&g_ta_cod=6038", 0.0, 42.0, 58.0),
(4856, "Privé enseignement supérieur", "0690670D", "CRESPA -SCIENCES U", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 3e  Arrondissement", "formation sélective", "BTS", "CRESPA -SCIENCES U - BTS - Services - Professions immobilières", "BTS - Services", "", 180, 1017, 539, 858, 0, 236, 52, 263, 55, 117, 36, 242, 159, 26, 29, 42, 62, 492, 9, 0, 0, 180, 38, 187, 33, 21, 6, 104, 374, 70, 31, 69, 1, 19.0, 53.0, 70.0, 0, 8, 52, 19, 28, 5, 18, 0, 27, 22, 3, 0, 0.0, 9, 11, 5, 0, 0, 25, 25, 27.14, 75.71, 100.0, 44.296875, 48.09375, 48.09375, 0, 15.3984375, 74.296875, 0.0, 51.8984375, 42.296875, 5.7998046875, 0.0, 0.0, 36.5, 17.296875, 53.796875, 21.19921875, 9.599609375, 9.599609375, 130.0, 23.0, 24.0, 8.0, 87.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 241.0, "Bacheliers technologiques toutes séries", 226, "Bacheliers professionnels toutes séries", 22, "Liste d'appel propre à cette formation", 57.0, "26524", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26524&g_ta_cod=26524", 36.0, 54.0, 10.0),
(4857, "Public", "0350048M", "Lycée Jacques Cartier", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Saint-Malo", "formation sélective", "Autre formation", "Lycée Jacques Cartier - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 117, 24, 114, 0, 9, 1, 22, 5, 53, 18, 30, 3, 1, 2, 0, 0, 111, 2, 0, 0, 9, 1, 22, 5, 51, 16, 29, 66, 11, 1, 10, 1, 1.0, 9.0, 9.0, 0, 2, 10, 1, 2, 7, 1, 0, 6, 2, 2, 0, 0.0, 0, 1, 3, 0, 0, 8, 8, 9.09, 81.82, 81.82, 9.099609375, 80.0, 80.0, 0, 20.0, 90.890625, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 10.0, 0.0, 20.0, 10.0, 70.0, 30.0, 5.0, 0.0, 47.0, 13.0, 7.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "25909", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25909&g_ta_cod=25909", 9.0, 27.0, 64.0),
(4858, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 1 Capitole - Double licence - Economie / Droit - parcours double diplômant en Economie et en Droit", "Licence - Droit-économie-gestion", "parcours double diplômant en Economie et en Droit", 90, 1131, 662, 1131, 0, 896, 133, 20, 5, 6, 2, 209, 0, 0, 0, 0, 0, 630, 0, 0, 0, 501, 51, 0, 0, 0, 0, 129, 360, 88, 59, 88, 0, 13.0, 73.0, 80.0, 0, 9, 73, 73, 0, 0, 15, 0, 1, 13, 35, 24, 0.0, 72, 0, 0, 0, 0, 45, 45, 14.77, 82.95, 90.91, 67.0, 61.59375, 61.59375, 0, 12.298828125, 83.0, 0.0, 1.39990234375, 17.796875, 47.8984375, 32.9, 0.0, 100.0, 98.59375, 0.0, 0.0, 0.0, 0.0, 291.0, 37.0, 0.0, 0.0, 69.0, "Tous les candidats", 418.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "4137", "Double licence - Economie / Droit - parcours double diplômant en Economie et en Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4137&g_ta_cod=4137", 100.0, 0.0, 0.0),
(4859, "Privé sous contrat d'association", "9720615L", "Lycée AMEP", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée AMEP - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 30, 126, 13, 104, 0, 30, 9, 30, 12, 25, 9, 19, 22, 0, 11, 3, 8, 104, 7, 0, 0, 30, 9, 30, 12, 25, 9, 19, 86, 24, 2, 19, 5, 7.0, 19.0, 21.0, 0, 5, 20, 5, 10, 5, 4, 0, 11, 6, 3, 0, 0.0, 4, 3, 2, 3, 0, 20, 20, 29.17, 79.17, 87.5, 8.298828125, 100.0, 100.0, 15, 25.0, 83.296875, 0.0, 55.0, 30.0, 15.0, 0.0, 0.0, 25.0, 20.0, 50.0, 15.0, 25.0, 10.0, 16.0, 5.0, 24.0, 9.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 90.0, "11820", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11820&g_ta_cod=11820", 25.0, 54.0, 21.0),
(4860, "Privé sous contrat d'association", "0131456M", "Lycée Pastré - Grande Bastide", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  9e  Arrondissement", "formation sélective", "BTS", "Lycée Pastré - Grande Bastide - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 18, 587, 516, 352, 0, 25, 10, 78, 33, 137, 73, 112, 235, 13, 46, 69, 107, 45, 14, 0, 0, 13, 5, 13, 5, 5, 0, 14, 61, 18, 17, 6, 11, 3.0, 4.0, 12.0, 0, 3, 9, 2, 4, 3, 9, 0, 4, 2, 3, 0, 0.0, 1, 1, 3, 0, 0, 8, 8, 16.67, 22.22, 66.67, 94.390625, 88.890625, 88.890625, 0, 33.296875, 50.0, 0.0, 44.3984375, 22.19921875, 33.296875, 0.0, 0.0, 22.19921875, 11.099609375, 44.3984375, 11.099609375, 33.296875, 33.296875, 12.0, 4.0, 9.0, 3.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 13.0, "2649", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2649&g_ta_cod=2649", 28.0, 39.0, 33.0),
(4861, "Privé sous contrat d'association", "0922116A", "Institut de travail social et de recherches sociales", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Montrouge", "formation sélective", "EFTS", "Institut de travail social et de recherches sociales - D.E Educateur Spécialisé", "D.E secteur social", "", 68, 389, 309, 389, 0, 67, 10, 68, 11, 45, 10, 209, 0, 0, 0, 0, 0, 323, 0, 0, 0, 64, 9, 63, 8, 38, 8, 158, 188, 66, 50, 66, 0, 14.0, 60.0, 63.0, 0, 8, 38, 16, 9, 13, 28, 0, 5, 22, 10, 1, 0.0, 12, 8, 13, 0, 0, 18, 32, 21.21, 90.91, 95.45, 75.796875, 47.3984375, 84.1875, 0, 21.09765625, 57.59375, 0.0, 13.19921875, 57.8984375, 26.296875, 2.6, 0.0, 42.09375, 31.59765625, 23.69921875, 21.09765625, 34.1953125, 34.1953125, 33.0, 5.0, 31.0, 6.0, 72.0, "Tous les candidats", 304.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 61.0, "25304", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23559&g_ta_cod=25304", 33.0, 35.0, 32.0),
(4862, "Public", "0030858S", "Centre de Ressources, d'Expertise et de Performance Sportive - CREPS DE VICHY AUVERGNE", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Bellerive-sur-Allier", "formation sélective", "Autre formation", "CREPS de Vichy - BPJEPS - Activités de la forme", "BPJEPS", "", 10, 253, 56, 162, 0, 40, 5, 42, 8, 23, 7, 57, 91, 29, 27, 6, 29, 16, 2, 0, 0, 3, 1, 2, 1, 2, 1, 9, 17, 8, 1, 7, 1, 4.0, 7.0, 7.0, 0, 0, 2, 1, 0, 1, 6, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 50.0, 87.5, 87.5, 12.5, 50.0, 50.0, 0, 0.0, 25.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 50.0, 2.0, 1.0, 2.0, 1.0, 10.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "21836", "BPJEPS - Activités de la forme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21836&g_ta_cod=21836", 25.0, 25.0, 50.0),
(4863, "Public", "0640011P", "Lycée Louis De Foix", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "BTS", "Lycée Louis De Foix - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 22, 155, 19, 154, 0, 13, 1, 45, 13, 51, 11, 45, 1, 0, 0, 1, 0, 154, 0, 0, 0, 13, 1, 45, 13, 51, 11, 45, 71, 20, 0, 20, 0, 11.0, 19.0, 20.0, 0, 4, 18, 1, 9, 8, 2, 0, 9, 7, 2, 0, 0.0, 0, 5, 4, 8, 0, 18, 18, 55.0, 95.0, 100.0, 0.0, 100.0, 100.0, 44.3984375, 22.19921875, 90.0, 0.0, 50.0, 38.8984375, 11.099609375, 0.0, 0.0, 5.599609375, 0.0, 50.0, 27.796875, 44.3984375, 22.19921875, 7.0, 1.0, 34.0, 9.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 73.0, "7696", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7696&g_ta_cod=7696", 5.0, 55.0, 40.0),
(4864, "Public", "0573231C", "Lycée Condorcet", "57", "Moselle", "Grand Est", "Nancy-Metz", "Schoeneck", "formation sélective", "BTS", "Lycée Condorcet - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 57, 5, 51, 0, 3, 1, 19, 7, 15, 4, 14, 6, 0, 3, 0, 3, 51, 3, 0, 0, 3, 1, 19, 7, 15, 4, 14, 46, 12, 0, 10, 2, 1.0, 10.0, 12.0, 0, 3, 7, 0, 3, 4, 5, 0, 3, 3, 1, 0, 0.0, 0, 0, 4, 7, 0, 7, 7, 8.33, 83.33, 100.0, 0.0, 100.0, 100.0, 100, 42.8984375, 58.296875, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 0.0, 0.0, 42.8984375, 0.0, 57.09375, 57.09375, 3.0, 1.0, 14.0, 4.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 92.0, "6651", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6651&g_ta_cod=6651", 0.0, 50.0, 50.0),
(4865, "Privé enseignement supérieur", "0753324F", "ESRA - Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ESRA - Formation des écoles supérieure d'art Bac + 3 - Etudes Supérieures en Réalisation Audiovisuelle", "Formation des écoles supérieure d'art", "Etudes Supérieures en Réalisation Audiovisuelle", 260, 774, 308, 763, 0, 508, 33, 34, 2, 20, 1, 201, 11, 3, 0, 0, 8, 659, 9, 0, 0, 459, 31, 26, 2, 13, 0, 161, 533, 251, 93, 245, 6, 142.0, 234.0, 238.0, 0, 9, 168, 156, 6, 6, 83, 0, 39, 75, 39, 14, 1.0, 118, 5, 6, 0, 0, 32, 103, 56.57, 93.23, 94.82, 37.09375, 19.0, 61.296875, 0, 5.3994140625, 66.890625, 0.0, 23.19921875, 44.59375, 23.19921875, 8.3, 0.6, 92.890625, 70.1875, 3.599609375, 3.0, 3.599609375, 3.599609375, 357.0, 22.0, 10.0, 0.0, 148.0, "Tous les candidats", 650.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 77.0, "26436", "Formation des écoles supérieure d'art Bac + 3 - Etudes Supérieures en Réalisation Audiovisuelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26436&g_ta_cod=26436", 91.0, 6.0, 4.0),
(4866, "Public", "0762169V", "Lycée Pablo Neruda", "76", "Seine-Maritime", "Normandie", "Normandie", "Dieppe", "formation sélective", "BTS", "Lycée Pablo Neruda - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 126, 5, 119, 0, 2, 1, 44, 12, 49, 20, 24, 7, 0, 1, 4, 2, 91, 1, 0, 0, 2, 1, 33, 10, 44, 18, 12, 77, 14, 0, 14, 0, 4.0, 13.0, 14.0, 0, 5, 13, 0, 7, 6, 1, 0, 6, 6, 1, 0, 0.0, 0, 4, 3, 6, 0, 12, 12, 28.57, 92.86, 100.0, 0.0, 92.296875, 92.296875, 46.1953125, 38.5, 92.890625, 0.0, 46.1953125, 46.1953125, 7.69921875, 0.0, 0.0, 0.0, 0.0, 53.796875, 30.796875, 46.1953125, 23.09765625, 2.0, 1.0, 36.0, 13.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 74.0, "9720", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9720&g_ta_cod=9720", 0.0, 57.0, 43.0),
(4867, "Privé sous contrat d'association", "0790080H", "Lycée Saint Joseph", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Bressuire", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 18, 210, 23, 167, 0, 39, 3, 41, 4, 32, 8, 55, 43, 0, 6, 19, 18, 112, 13, 0, 0, 35, 2, 33, 4, 29, 5, 15, 82, 15, 2, 12, 3, 1.0, 11.0, 12.0, 0, 2, 9, 2, 3, 4, 6, 0, 5, 4, 0, 0, 0.0, 0, 2, 2, 1, 0, 2, 2, 6.67, 73.33, 80.0, 13.298828125, 22.19921875, 22.19921875, 11.099609375, 22.19921875, 60.0, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 0.0, 22.19921875, 0.0, 33.296875, 22.19921875, 44.3984375, 22.19921875, 18.0, 2.0, 28.0, 7.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 66.0, "10118", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10118&g_ta_cod=10118", 33.0, 20.0, 47.0),
(4868, "Public", "0781945R", "I.U.T de Velizy", "78", "Yvelines", "Ile-de-France", "Versailles", "Vélizy-Villacoublay", "formation sélective", "BUT", "I.U.T de Velizy - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données (Seconde année possible en apprentissage)", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données", 76, 2521, 236, 2521, 0, 1377, 299, 687, 203, 22, 9, 435, 0, 0, 0, 0, 0, 1401, 0, 0, 0, 882, 172, 379, 102, 0, 0, 140, 589, 77, 3, 75, 0, 13.0, 51.0, 70.0, 0, 15, 70, 36, 34, 0, 7, 1, 9, 45, 14, 1, 0.0, 32, 28, 0, 0, 0, 53, 60, 16.88, 66.23, 90.91, 3.89990234375, 75.6875, 85.6875, 0, 21.3984375, 90.890625, 1.39990234375, 12.8984375, 64.296875, 20.0, 1.4, 0.0, 51.3984375, 45.6953125, 48.59375, 40.0, 0.0, 0.0, 340.0, 79.0, 0.0, 0.0, 40.0, "Tous les candidats sauf les Bac technologiques", 487.0, "Bacheliers technologiques toutes séries", 351, "", 0, "Liste d'appel propre à cette formation", 33.0, "9993", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9993&g_ta_cod=9993", 52.0, 48.0, 0.0),
(4869, "Public", "0881510N", "IFSI Neufchateau", "88", "Vosges", "Grand Est", "Nancy-Metz", "Neufchâteau", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nancy - D.E Infirmier", "D.E secteur sanitaire", "", 53, 2913, 2357, 2913, 0, 477, 97, 536, 161, 288, 98, 1612, 0, 0, 0, 0, 0, 2503, 0, 0, 0, 441, 88, 475, 132, 246, 78, 1341, 686, 56, 51, 56, 0, 1.0, 18.0, 38.0, 0, 7, 33, 8, 13, 12, 23, 0, 3, 19, 9, 2, 0.0, 6, 12, 12, 0, 0, 29, 29, 1.79, 32.14, 67.86, 91.09375, 87.890625, 87.890625, 0, 21.19921875, 58.8984375, 0.0, 9.099609375, 57.59375, 27.296875, 6.1, 0.0, 24.19921875, 18.19921875, 39.3984375, 36.3984375, 36.3984375, 36.3984375, 94.0, 23.0, 96.0, 30.0, 342.0, "Tous les candidats", 2871.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 41.0, "23197", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22997&g_ta_cod=23197", 32.0, 34.0, 34.0),
(4870, "Public", "0420042T", "Lycée Honore D'Urfe", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Honore D'Urfe - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 499, 255, 499, 0, 59, 23, 145, 62, 102, 59, 193, 0, 0, 0, 0, 0, 249, 0, 0, 0, 29, 10, 90, 35, 72, 39, 58, 104, 23, 13, 22, 0, 5.0, 22.0, 23.0, 0, 15, 22, 0, 13, 9, 1, 0, 9, 11, 2, 0, 0.0, 0, 5, 8, 4, 2, 20, 20, 21.74, 95.65, 100.0, 56.5, 90.890625, 90.890625, 18.19921875, 68.1875, 95.6875, 0.0, 40.8984375, 50.0, 9.099609375, 0.0, 0.0, 0.0, 0.0, 59.09375, 22.69921875, 40.8984375, 36.3984375, 1.0, 1.0, 32.0, 17.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 96, "Liste d'appel propre à cette formation", 32.0, "5289", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5289&g_ta_cod=5289", 4.0, 57.0, 39.0),
(4871, "Public", "0620006V", "Lycée Robespierre", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "CPGE", "Lycée Robespierre - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 1394, 425, 1394, 982, 834, 132, 3, 1, 0, 0, 557, 0, 0, 0, 0, 0, 965, 0, 716, 911, 798, 128, 0, 0, 0, 0, 167, 458, 46, 16, 46, 0, 7.0, 30.0, 40.0, 33, 11, 42, 42, 0, 0, 4, 0, 0, 4, 23, 13, 2.0, 42, 0, 0, 2, 1, 32, 32, 15.22, 65.22, 86.96, 34.796875, 76.1875, 76.1875, 4.7998046875, 26.19921875, 91.296875, 0.0, 0.0, 9.5, 54.796875, 31.0, 4.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 438.0, 66.0, 0.0, 0.0, 20.0, "Tous les candidats", 707.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "7326", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7326&g_ta_cod=7326", 100.0, 0.0, 0.0),
(4872, "Public", "0381629P", "CNED", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "CNED - BTS - Services - Economie sociale familiale", "BTS - Services", "", 2000, 1082, 863, 808, 0, 81, 38, 108, 52, 176, 89, 443, 274, 19, 40, 75, 140, 808, 272, 0, 0, 81, 38, 108, 52, 176, 89, 443, 1080, 191, 147, 123, 68, 119.0, 121.0, 165.0, 0, 22, 47, 8, 9, 30, 144, 1, 26, 15, 4, 1, 0.0, 3, 1, 16, 0, 0, 11, 11, 62.3, 63.35, 86.39, 77.0, 23.3984375, 23.3984375, 0, 46.796875, 24.59765625, 2.099609375, 55.296875, 31.8984375, 8.5, 2.1, 0.0, 17.0, 6.3994140625, 19.09765625, 2.099609375, 63.796875, 34.0, 100.0, 43.0, 249.0, 124.0, 583.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 372.0, "Bacheliers professionnels toutes séries", 256, "Bacheliers technologiques toutes séries", 181, "Liste d'appel propre à cette formation", 100.0, "20774", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20774&g_ta_cod=20774", 38.0, 19.0, 35.0),
(4873, "Public", "9720583B", "IFSI CHU Martinique", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "IFSI", "Regroupement d'IFSI CHU Martinique - Université Antilles - D.E Infirmier", "D.E secteur sanitaire", "", 70, 1603, 1350, 1603, 0, 345, 157, 288, 152, 173, 117, 797, 0, 0, 0, 0, 0, 932, 0, 0, 0, 260, 108, 181, 86, 128, 86, 363, 189, 79, 69, 79, 0, 17.0, 59.0, 62.0, 0, 33, 68, 23, 15, 30, 11, 1, 5, 29, 29, 4, 0.0, 23, 13, 26, 0, 0, 63, 63, 21.52, 74.68, 78.48, 87.296875, 92.59375, 92.59375, 0, 48.5, 86.09375, 1.5, 7.3994140625, 42.59375, 42.59375, 5.9, 0.0, 33.796875, 33.796875, 22.09765625, 19.09765625, 44.09375, 38.1953125, 71.0, 21.0, 47.0, 30.0, 37.0, "Tous les candidats", 193.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "23375", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23371&g_ta_cod=23375", 41.0, 20.0, 39.0),
(4874, "Public", "0861168C", "IFMEM", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Autre formation", "IFMEM - D.E manipulateur/trice en électroradiologie médicale", "D.E secteur sanitaire", "", 24, 582, 461, 582, 0, 86, 9, 184, 48, 16, 4, 296, 0, 0, 0, 0, 0, 286, 0, 0, 0, 56, 5, 90, 15, 0, 0, 140, 91, 24, 21, 24, 0, 4.0, 14.0, 19.0, 0, 3, 12, 4, 8, 0, 12, 0, 4, 5, 3, 0, 0.0, 4, 4, 0, 0, 0, 5, 5, 16.67, 58.33, 79.17, 87.5, 41.6953125, 41.6953125, 0, 25.0, 50.0, 0.0, 33.296875, 41.6953125, 25.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 33.296875, 0.0, 0.0, 14.0, 2.0, 0.0, 0.0, 38.0, "Tous les candidats", 118.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "19406", "D.E manipulateur/trice en électroradiologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19406&g_ta_cod=19406", 46.0, 50.0, 4.0),
(4875, "Public", "0501893L", "IUT GRAND OUEST NORMANDIE - Pôle de Cherbourg - Site de Cherbourg-en-Cotentin", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Cherbourg - Site de Cherbourg-en-Cotentin - BUT - Techniques de commercialisation Parcours : Marketing digital, E-Business et Entrepreneuriat - International Business: achat et vente - Business Développement et Management de la Relation client", "BUT - Service", "Marketing digital, E-Business et Entrepreneuriat - International Business: achat et vente - Business Développement et Management de la Relation client", 105, 1256, 581, 1256, 0, 685, 86, 368, 64, 17, 10, 186, 0, 0, 0, 0, 0, 1101, 0, 0, 0, 634, 73, 314, 53, 4, 3, 149, 557, 96, 48, 96, 0, 5.0, 65.0, 90.0, 0, 14, 89, 48, 41, 0, 7, 0, 28, 44, 16, 1, 0.0, 37, 24, 0, 0, 0, 75, 75, 5.21, 67.71, 93.75, 50.0, 84.296875, 84.296875, 0, 15.69921875, 92.6875, 0.0, 31.5, 49.3984375, 18.0, 1.1, 0.0, 53.8984375, 41.59375, 46.09375, 27.0, 0.0, 0.0, 292.0, 40.0, 2.0, 2.0, 45.0, "Tous les candidats sauf les Bac technologiques", 492.0, "Bacheliers technologiques toutes séries", 326, "", 0, "Liste d'appel propre à cette formation", 65.0, "6042", "BUT - Techniques de commercialisation Parcours : Marketing digital, E-Business et Entrepreneuriat - International Business: achat et vente - Business Développement et Management de la Relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6042&g_ta_cod=6042", 55.0, 45.0, 0.0),
(4876, "Public", "0220056S", "Lycée Francois Rabelais", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "CPGE", "Lycée Francois Rabelais - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 48, 356, 186, 348, 209, 268, 20, 0, 0, 0, 0, 80, 8, 5, 0, 0, 3, 283, 6, 151, 261, 260, 19, 0, 0, 0, 0, 23, 236, 15, 7, 14, 1, 3.0, 12.0, 15.0, 3, 1, 14, 14, 0, 0, 1, 0, 0, 8, 6, 0, 0.0, 14, 0, 0, 2, 1, 11, 11, 20.0, 80.0, 100.0, 46.6953125, 78.59375, 78.59375, 14.298828125, 7.099609375, 93.296875, 0.0, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 215.0, 15.0, 0.0, 0.0, 21.0, "Tous les candidats", 271.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "31382", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31382&g_ta_cod=31382", 100.0, 0.0, 0.0),
(4877, "Public", "0021476U", "Lycée Leonard De Vinci", "02", "Aisne", "Hauts-de-France", "Amiens", "Soissons", "formation sélective", "BTS", "Lycée Leonard De Vinci - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 136, 8, 133, 0, 2, 0, 29, 10, 55, 18, 47, 3, 0, 2, 0, 1, 64, 2, 0, 0, 1, 0, 15, 4, 45, 14, 3, 44, 13, 1, 11, 2, 5.0, 9.0, 12.0, 0, 5, 12, 0, 2, 10, 1, 0, 3, 2, 6, 1, 0.0, 0, 0, 9, 11, 0, 12, 12, 38.46, 69.23, 92.31, 7.69921875, 100.0, 100.0, 91.6875, 41.6953125, 92.296875, 0.0, 25.0, 16.69921875, 50.0, 8.3, 0.0, 0.0, 0.0, 16.69921875, 0.0, 83.296875, 75.0, 1.0, 0.0, 30.0, 8.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 44.0, "2077", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2077&g_ta_cod=2077", 0.0, 23.0, 77.0),
(4878, "Public", "0210018F", "Lycée Hippolyte Fontaine", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Hippolyte Fontaine - BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "BTS - Production", "", 15, 169, 10, 165, 0, 4, 1, 34, 4, 72, 17, 55, 4, 0, 0, 4, 0, 134, 1, 0, 0, 4, 1, 34, 4, 70, 16, 26, 79, 13, 0, 12, 1, 1.0, 11.0, 12.0, 0, 3, 13, 1, 4, 8, 0, 0, 8, 4, 1, 0, 0.0, 0, 2, 3, 3, 0, 8, 8, 7.69, 84.62, 92.31, 0.0, 61.5, 61.5, 23.09765625, 23.09765625, 100.0, 0.0, 61.5, 30.796875, 7.69921875, 0.0, 0.0, 7.69921875, 0.0, 30.796875, 15.3984375, 61.5, 23.09765625, 2.0, 1.0, 55.0, 13.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 61.0, "3190", "BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3190&g_ta_cod=3190", 8.0, 31.0, 62.0),
(4879, "Public", "9710003B", "Lycée Baimbridge", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "CPGE", "Lycée Baimbridge - CPGE - MPSI", "Classe préparatoire scientifique", "", 45, 293, 109, 291, 205, 218, 56, 1, 1, 0, 0, 72, 2, 1, 0, 0, 1, 187, 2, 150, 169, 171, 46, 0, 0, 0, 0, 16, 129, 39, 15, 38, 1, 6.0, 33.0, 38.0, 13, 10, 35, 35, 0, 0, 4, 0, 0, 4, 17, 13, 1.0, 35, 0, 0, 2, 1, 33, 33, 15.38, 84.62, 97.44, 38.5, 94.296875, 94.296875, 5.69921875, 28.59765625, 89.6875, 0.0, 0.0, 11.3984375, 48.59375, 37.1, 2.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 116.0, 29.0, 0.0, 0.0, 13.0, "Tous les candidats", 172.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "11733", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11733&g_ta_cod=11733", 100.0, 0.0, 0.0),
(4880, "Public", "0400007R", "Lycée de Borda", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Dax", "formation sélective", "BTS", "Lycée de Borda - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 274, 23, 274, 0, 46, 5, 90, 26, 90, 30, 48, 0, 0, 0, 0, 0, 269, 0, 0, 0, 46, 5, 90, 26, 90, 30, 43, 65, 11, 0, 11, 0, 0.0, 8.0, 10.0, 0, 2, 11, 1, 3, 7, 0, 0, 5, 4, 1, 1, 0.0, 0, 0, 6, 2, 0, 11, 11, 0.0, 72.73, 90.91, 0.0, 100.0, 100.0, 18.19921875, 18.19921875, 100.0, 0.0, 45.5, 36.3984375, 9.099609375, 9.1, 0.0, 9.099609375, 0.0, 27.296875, 0.0, 63.59375, 54.5, 3.0, 2.0, 34.0, 12.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 34.0, "19280", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19280&g_ta_cod=19280", 9.0, 27.0, 64.0),
(4881, "Public", "0381775Y", "I.U.T. 2 de Grenoble", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BUT", "I.U.T. 2 de Grenoble - BUT - Information communication Parcours information numérique dans les organisations", "BUT - Service", "", 26, 418, 259, 418, 0, 248, 38, 77, 18, 3, 1, 90, 0, 0, 0, 0, 0, 188, 0, 0, 0, 103, 15, 56, 11, 0, 0, 29, 113, 27, 20, 27, 0, 6.0, 23.0, 24.0, 0, 3, 24, 17, 7, 0, 3, 0, 7, 15, 2, 0, 0.0, 11, 6, 0, 0, 0, 20, 20, 22.22, 85.19, 88.89, 74.09375, 83.296875, 83.296875, 0, 12.5, 88.890625, 0.0, 29.19921875, 62.5, 8.298828125, 0.0, 0.0, 70.796875, 45.796875, 29.19921875, 25.0, 0.0, 0.0, 61.0, 11.0, 0.0, 0.0, 13.0, "Tous les candidats sauf les Bac technologiques", 79.0, "Bacheliers technologiques toutes séries", 57, "", 0, "Liste d'appel propre à cette formation", 33.0, "5002", "BUT - Information communication Parcours information numérique dans les organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5002&g_ta_cod=5002", 74.0, 26.0, 0.0),
(4882, "Public", "0330028B", "Lycée Gustave Eiffel", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Production - Electrotechnique", "BTS - Production", "", 60, 527, 21, 522, 0, 26, 7, 133, 34, 221, 68, 142, 5, 0, 0, 5, 0, 322, 0, 0, 0, 22, 5, 121, 32, 153, 43, 26, 193, 54, 0, 54, 0, 12.0, 41.0, 47.0, 0, 12, 50, 3, 16, 31, 4, 0, 17, 20, 7, 6, 0.0, 0, 6, 27, 15, 0, 46, 46, 22.22, 75.93, 87.04, 0.0, 92.0, 92.0, 30, 24.0, 92.59375, 0.0, 34.0, 40.0, 14.0, 12.0, 0.0, 6.0, 0.0, 32.0, 12.0, 62.0, 54.0, 13.0, 2.0, 86.0, 21.0, 20.0, "Tous les candidats sauf les Bac professionnels", 120.0, "Bacheliers professionnels toutes séries", 118, "", 0, "Liste d'appel propre à cette formation", 46.0, "4294", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4294&g_ta_cod=4294", 9.0, 33.0, 57.0),
(4883, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Anglais à distance", "Licence - Arts-lettres-langues", "LLCER Anglais à distance", 40, 329, 252, 319, 0, 120, 42, 19, 8, 9, 4, 171, 10, 1, 0, 0, 9, 311, 9, 0, 0, 120, 42, 19, 8, 9, 4, 163, 211, 40, 31, 34, 5, 12.0, 24.0, 29.0, 0, 4, 10, 6, 4, 0, 30, 0, 2, 2, 4, 2, 0.0, 5, 3, 0, 0, 0, 2, 2, 30.0, 60.0, 72.5, 77.5, 20.0, 20.0, 0, 40.0, 25.0, 0.0, 20.0, 20.0, 40.0, 20.0, 0.0, 60.0, 50.0, 40.0, 30.0, 0.0, 0.0, 93.0, 29.0, 7.0, 4.0, 100.0, "Tous les candidats", 260.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "24002", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Anglais à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24002&g_ta_cod=24002", 78.0, 15.0, 8.0),
(4884, "Public", "0770927P", "Lycée Francois Ier", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Fontainebleau", "formation sélective", "CPGE", "Lycée Francois Ier - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 1475, 1053, 1475, 1078, 1184, 125, 1, 0, 1, 0, 289, 0, 0, 0, 0, 0, 763, 0, 435, 740, 716, 68, 0, 0, 0, 0, 47, 376, 47, 34, 47, 0, 5.0, 23.0, 45.0, 11, 2, 47, 47, 0, 0, 0, 0, 0, 6, 23, 18, 0.0, 47, 0, 0, 3, 3, 15, 21, 10.64, 48.94, 95.74, 72.296875, 31.8984375, 44.6953125, 6.3994140625, 4.2998046875, 100.0, 0.0, 0.0, 12.798828125, 48.8984375, 38.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 372.0, 36.0, 0.0, 0.0, 4.0, "Tous les candidats", 480.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "9798", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9798&g_ta_cod=9798", 100.0, 0.0, 0.0),
(4885, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - Histoire -Allemand", "Licence - Sciences humaines et sociales", "Histoire -Allemand", 28, 96, 37, 27, 0, 5, 0, 3, 2, 15, 4, 4, 69, 1, 1, 37, 30, 4, 2, 0, 0, 4, 0, 0, 0, 0, 0, 0, 6, 1, 0, 0, 1, 0.0, 0.0, 1.0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 5.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 4.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "11503", "Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - Histoire -Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11503&g_ta_cod=11503", 100.0, 0.0, 0.0),
(4886, "Public", "0770945J", "Lycée professionnel Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Varennes-sur-Seine", "formation sélective", "Autre formation", "Lycée professionnel Gustave Eiffel - Mention complémentaire - Technicien(ne) en tuyauterie", "Mention complémentaire", "", 12, 55, 2, 55, 0, 0, 0, 0, 0, 30, 10, 25, 0, 0, 0, 0, 0, 55, 0, 0, 0, 0, 0, 0, 0, 30, 10, 25, 24, 11, 0, 11, 0, 5.0, 10.0, 10.0, 0, 3, 11, 0, 0, 11, 0, 0, 1, 8, 2, 0, 0.0, 0, 0, 10, 0, 0, 10, 10, 45.45, 90.91, 90.91, 0.0, 90.890625, 90.890625, 0, 27.296875, 100.0, 0.0, 9.099609375, 72.6875, 18.19921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 90.890625, 0.0, 0.0, 24.0, 7.0, 0.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "21907", "Mention complémentaire - Technicien(ne) en tuyauterie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21907&g_ta_cod=21907", 0.0, 0.0, 100.0),
(4887, "Public", "9741046U", "Lycée Bellepierre", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "CPGE", "Lycée Bellepierre - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 24, 92, 44, 92, 0, 0, 0, 86, 39, 0, 0, 6, 0, 0, 0, 0, 0, 80, 0, 0, 80, 0, 0, 77, 35, 0, 0, 3, 64, 23, 9, 23, 0, 15.0, 23.0, 23.0, 0, 6, 22, 0, 22, 0, 1, 0, 1, 12, 7, 2, 0.0, 0, 21, 0, 6, 1, 22, 22, 65.22, 100.0, 100.0, 39.09375, 100.0, 100.0, 27.296875, 27.296875, 95.6875, 0.0, 4.5, 54.5, 31.796875, 9.1, 0.0, 0.0, 0.0, 100.0, 95.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "11939", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11939&g_ta_cod=11939", 0.0, 100.0, 0.0),
(4888, "Public", "0650583F", "I.U.T de Tarbes", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BUT", "I.U.T de Tarbes - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", "BUT - Production", "Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", 72, 667, 58, 638, 0, 347, 42, 160, 37, 10, 3, 121, 29, 3, 4, 0, 22, 575, 7, 0, 0, 337, 39, 147, 33, 2, 0, 89, 446, 45, 5, 42, 3, 8.0, 27.0, 44.0, 0, 5, 39, 28, 11, 0, 6, 0, 17, 16, 4, 2, 0.0, 13, 9, 0, 0, 0, 26, 26, 17.78, 60.0, 97.78, 11.099609375, 66.6875, 66.6875, 0, 12.798828125, 86.6875, 0.0, 43.59375, 41.0, 10.298828125, 5.1, 0.0, 71.796875, 33.296875, 28.19921875, 23.09765625, 0.0, 0.0, 264.0, 30.0, 0.0, 0.0, 70.0, "Tous les candidats sauf les Bac technologiques", 405.0, "Bacheliers technologiques toutes séries", 168, "", 0, "Liste d'appel propre à cette formation", 90.0, "7832", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7832&g_ta_cod=7832", 76.0, 24.0, 0.0),
(4889, "Public", "0840015K", "Lycée Jean Henri Fabre", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Carpentras", "formation sélective", "BTS", "Lycée Jean Henri Fabre - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 12, 93, 1, 90, 0, 4, 1, 34, 8, 33, 11, 19, 3, 0, 0, 2, 1, 77, 0, 0, 0, 4, 1, 33, 7, 26, 8, 14, 43, 8, 0, 8, 0, 2.0, 7.0, 7.0, 0, 1, 7, 1, 2, 4, 1, 0, 3, 1, 1, 2, 0.0, 0, 1, 3, 3, 0, 6, 6, 25.0, 87.5, 87.5, 0.0, 85.6875, 85.6875, 42.8984375, 14.298828125, 87.5, 0.0, 42.8984375, 14.298828125, 14.298828125, 28.6, 0.0, 14.298828125, 0.0, 28.59765625, 14.298828125, 57.09375, 42.8984375, 2.0, 1.0, 19.0, 6.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 60.0, "10424", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10424&g_ta_cod=10424", 13.0, 38.0, 50.0),
(4890, "Public", "0490946M", "Lycée agricole Angers le Fresne", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "CPGE", "Lycée agricole Angers le Fresne - CPGE - BCPST", "Classe préparatoire scientifique", "", 42, 1541, 1108, 1541, 825, 1371, 127, 4, 2, 0, 0, 166, 0, 0, 0, 0, 0, 872, 0, 499, 860, 845, 63, 0, 0, 0, 0, 27, 211, 39, 27, 39, 0, 5.0, 26.0, 38.0, 10, 4, 39, 39, 0, 0, 0, 0, 0, 0, 13, 23, 3.0, 39, 0, 0, 0, 0, 22, 22, 12.82, 66.67, 97.44, 69.1875, 56.3984375, 56.3984375, 0, 10.298828125, 100.0, 0.0, 0.0, 0.0, 33.296875, 59.0, 7.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 209.0, 20.0, 0.0, 0.0, 2.0, "Tous les candidats", 388.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "5919", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5919&g_ta_cod=5919", 100.0, 0.0, 0.0),
(4891, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 120, 975, 873, 973, 0, 568, 73, 117, 19, 26, 7, 262, 2, 1, 0, 0, 1, 973, 2, 0, 0, 568, 73, 117, 19, 26, 7, 262, 473, 114, 106, 113, 1, 25.0, 97.0, 105.0, 0, 9, 97, 83, 9, 5, 17, 0, 20, 50, 22, 4, 1.0, 64, 8, 5, 0, 0, 71, 71, 21.93, 85.09, 92.11, 93.0, 73.1875, 73.1875, 0, 9.298828125, 85.09375, 0.0, 20.59765625, 51.5, 22.69921875, 4.1, 1.0, 85.59375, 66.0, 9.298828125, 8.19921875, 5.19921875, 5.19921875, 323.0, 33.0, 16.0, 3.0, 76.0, "Tous les candidats", 814.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 78.0, "5890", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16251&g_ta_cod=5890", 85.0, 11.0, 4.0),
(4892, "Public", "0251763F", "I.U.T de Belfort-Montbéliard - Site de Montbéliard", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "BUT", "I.U.T de Belfort-Montbéliard - Site de Montbéliard - BUT - Réseaux et télécommunications Parcours : Cybersécurité - Internet des objets et mobilité - Pilotage de Projets Réseaux", "BUT - Production", "Cybersécurité - Internet des objets et mobilité - Pilotage de Projets Réseaux", 48, 677, 61, 602, 0, 305, 58, 156, 54, 21, 12, 120, 75, 18, 16, 2, 39, 418, 18, 0, 0, 257, 43, 100, 35, 1, 0, 60, 289, 45, 4, 39, 6, 2.0, 31.0, 43.0, 0, 12, 36, 24, 12, 0, 9, 0, 21, 12, 2, 1, 0.0, 9, 6, 0, 0, 0, 19, 19, 4.44, 68.89, 95.56, 8.8984375, 52.796875, 52.796875, 0, 33.296875, 80.0, 0.0, 58.296875, 33.296875, 5.599609375, 2.8, 0.0, 66.6875, 25.0, 33.296875, 16.69921875, 0.0, 0.0, 163.0, 26.0, 0.0, 0.0, 58.0, "Tous les candidats sauf les Bac technologiques", 303.0, "Bacheliers technologiques toutes séries", 114, "", 0, "Liste d'appel propre à cette formation", 69.0, "3585", "BUT - Réseaux et télécommunications Parcours : Cybersécurité - Internet des objets et mobilité - Pilotage de Projets Réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3585&g_ta_cod=3585", 67.0, 33.0, 0.0),
(4893, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Portail Lettres", "Licence - Arts-lettres-langues", "", 135, 736, 574, 540, 0, 312, 99, 28, 13, 40, 22, 160, 196, 30, 20, 20, 126, 536, 187, 0, 0, 312, 99, 28, 13, 40, 22, 156, 651, 104, 71, 39, 65, 2.0, 38.0, 73.0, 0, 20, 44, 25, 9, 10, 60, 1, 22, 17, 3, 1, 0.0, 12, 4, 5, 0, 0, 38, 38, 1.92, 36.54, 70.19, 68.296875, 86.390625, 86.390625, 0, 45.5, 42.296875, 2.2998046875, 50.0, 38.59375, 6.7998046875, 2.3, 0.0, 56.796875, 27.296875, 20.5, 9.099609375, 22.69921875, 11.3984375, 299.0, 92.0, 55.0, 30.0, 254.0, "Tous les candidats", 628.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "20439", "Licence - Portail Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27480&g_ta_cod=20439", 63.0, 18.0, 16.0),
(4894, "Public", "0690035N", "Lycée Auguste et Louis Lumière", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Autre formation", "Lycée Auguste et Louis Lumière - CPES - Arts", "Classe préparatoire aux études supérieures", "", 26, 563, 442, 563, 0, 436, 67, 37, 8, 19, 3, 71, 0, 0, 0, 0, 0, 175, 0, 0, 0, 155, 18, 13, 1, 0, 0, 7, 70, 25, 24, 25, 0, 5.0, 16.0, 25.0, 0, 5, 22, 21, 1, 0, 3, 1, 1, 4, 11, 5, 0.0, 19, 1, 0, 0, 0, 5, 5, 20.0, 64.0, 100.0, 96.0, 22.69921875, 22.69921875, 0, 22.69921875, 88.0, 4.5, 4.5, 18.19921875, 50.0, 22.7, 0.0, 95.5, 86.390625, 4.5, 4.5, 0.0, 0.0, 62.0, 11.0, 0.0, 0.0, 5.0, "Tous les candidats", 105.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "20121", "CPES - Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20121&g_ta_cod=20121", 96.0, 4.0, 0.0),
(4895, "Public", "0861113T", "Lycée professionnel Le Verger", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Châtellerault", "formation sélective", "BTS", "Lycée professionnel Le Verger - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 206, 19, 194, 0, 0, 0, 10, 1, 62, 15, 122, 12, 0, 1, 3, 8, 52, 1, 0, 0, 0, 0, 9, 1, 37, 8, 6, 43, 7, 0, 6, 0, 2.0, 6.0, 6.0, 0, 1, 7, 0, 0, 7, 0, 0, 3, 1, 2, 1, 0.0, 0, 0, 4, 5, 0, 7, 7, 28.57, 85.71, 85.71, 0.0, 100.0, 100.0, 71.390625, 14.298828125, 100.0, 0.0, 42.8984375, 14.298828125, 28.59765625, 14.3, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 57.09375, 0.0, 0.0, 30.0, 7.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers technologiques toutes séries", 13, "Bacheliers professionnels toutes séries", 37, "Liste d'appel propre à cette formation", 26.0, "26032", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26032&g_ta_cod=26032", 0.0, 0.0, 100.0),
(4896, "Privé sous contrat d'association", "0061496U", "INSTITUT ENSEIGNEMENT SUPERIEUR TRAVAIL SOCIAL - IESTS", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "EFTS", "INSTITUT ENSEIGNEMENT SUPERIEUR TRAVAIL SOCIAL - IESTS - D.E Educateur Spécialisé", "D.E secteur social", "", 35, 267, 238, 267, 0, 42, 12, 51, 10, 34, 11, 140, 0, 0, 0, 0, 0, 203, 0, 0, 0, 28, 7, 37, 8, 22, 6, 116, 56, 33, 29, 33, 0, 21.0, 28.0, 28.0, 0, 1, 8, 5, 2, 1, 25, 0, 1, 7, 0, 0, 0.0, 5, 1, 1, 0, 0, 5, 5, 63.64, 84.85, 84.85, 87.890625, 62.5, 62.5, 0, 12.5, 24.19921875, 0.0, 12.5, 87.5, 0.0, 0.0, 0.0, 62.5, 62.5, 25.0, 12.5, 12.5, 12.5, 7.0, 1.0, 3.0, 0.0, 43.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "24814", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24814&g_ta_cod=24814", 64.0, 21.0, 12.0),
(4897, "Public", "0300021K", "Lycée Alphonse DAUDET", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "CPGE", "Lycée Alphonse DAUDET - CPGE - MPSI", "Classe préparatoire scientifique", "", 47, 1656, 461, 1656, 1156, 1244, 169, 4, 2, 0, 0, 408, 0, 0, 0, 0, 0, 756, 0, 47, 749, 739, 82, 0, 0, 0, 0, 17, 389, 47, 11, 47, 0, 17.0, 29.0, 44.0, 1, 5, 47, 47, 0, 0, 0, 0, 0, 1, 18, 25, 3.0, 47, 0, 0, 5, 0, 32, 32, 36.17, 61.7, 93.62, 23.3984375, 68.09375, 68.09375, 10.599609375, 10.599609375, 100.0, 0.0, 0.0, 2.099609375, 38.296875, 53.2, 6.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 385.0, 47.0, 0.0, 0.0, 4.0, "Tous les candidats", 549.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "3926", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3926&g_ta_cod=3926", 100.0, 0.0, 0.0),
(4898, "Public", "0772347H", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lieusaint", "formation sélective", "BUT", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et Management du point de vente - Business développement et Management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et Management du point de vente - Business développement et Management de la relation client - Stratégie de marque et événementiel", 106, 3058, 1671, 2486, 0, 1217, 244, 766, 212, 67, 22, 436, 572, 0, 415, 0, 157, 673, 22, 0, 0, 452, 71, 128, 33, 23, 10, 70, 382, 104, 66, 88, 11, 21.0, 82.0, 93.0, 0, 22, 91, 41, 47, 3, 12, 0, 9, 41, 35, 6, 0.0, 38, 41, 3, 0, 0, 49, 86, 20.19, 78.85, 89.42, 63.5, 53.796875, 94.5, 0, 24.19921875, 87.5, 0.0, 9.8984375, 45.09375, 38.5, 6.6, 0.0, 45.09375, 41.796875, 51.59375, 45.09375, 3.2998046875, 3.2998046875, 191.0, 42.0, 11.0, 5.0, 46.0, "Tous les candidats sauf les Bac technologiques", 303.0, "Bacheliers technologiques toutes séries", 134, "", 0, "Liste d'appel propre à cette formation", 18.0, "9896", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et Management du point de vente - Business développement et Management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9896&g_ta_cod=9896", 45.0, 49.0, 5.0),
(4899, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues étrangères appliquées - Parcours LEA Anglais-Japonais", "Licence - Arts-lettres-langues", "LEA Anglais-Japonais", 100, 943, 604, 943, 0, 510, 166, 64, 32, 43, 24, 326, 0, 0, 0, 0, 0, 942, 0, 0, 0, 510, 166, 64, 32, 43, 24, 325, 292, 100, 59, 100, 0, 21.0, 85.0, 89.0, 0, 33, 61, 48, 8, 5, 39, 0, 22, 16, 20, 3, 0.0, 34, 3, 2, 0, 0, 55, 55, 21.0, 85.0, 89.0, 59.0, 90.1875, 90.1875, 0, 54.09375, 61.0, 0.0, 36.09375, 26.19921875, 32.796875, 4.9, 0.0, 78.6875, 55.6953125, 13.099609375, 4.8994140625, 8.19921875, 3.2998046875, 161.0, 62.0, 14.0, 8.0, 95.0, "Tous les candidats", 315.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "2742", "Licence - Langues étrangères appliquées - Parcours LEA Anglais-Japonais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2742&g_ta_cod=2742", 73.0, 15.0, 11.0),
(4900, "Public", "0260113G", "Lycée Les Catalins", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Montélimar", "formation sélective", "BTS", "Lycée Les Catalins - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 24, 175, 5, 174, 0, 3, 1, 39, 12, 110, 40, 22, 1, 0, 1, 0, 0, 174, 0, 0, 0, 3, 1, 39, 12, 110, 40, 22, 106, 22, 0, 22, 0, 1.0, 12.0, 15.0, 0, 8, 18, 0, 4, 14, 4, 0, 12, 5, 0, 1, 0.0, 0, 0, 6, 10, 0, 15, 15, 4.55, 54.55, 68.18, 0.0, 83.296875, 83.296875, 55.59375, 44.3984375, 81.796875, 0.0, 66.6875, 27.796875, 0.0, 5.6, 0.0, 0.0, 0.0, 22.19921875, 0.0, 77.796875, 33.296875, 3.0, 1.0, 62.0, 21.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 71.0, "3637", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3637&g_ta_cod=3637", 5.0, 23.0, 68.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(4901, "Public", "0341336T", "IFSI du CH du Bassin de Thau", "34", "Hérault", "Occitanie", "Montpellier", "Sète", "formation sélective", "IFSI", "Regroupement d'IFSI Université Montpellier - D.E Infirmier", "D.E secteur sanitaire", "", 49, 7368, 6184, 7368, 0, 1126, 278, 1344, 384, 694, 293, 4204, 0, 0, 0, 0, 0, 5379, 0, 0, 0, 977, 221, 1043, 280, 461, 181, 2898, 679, 47, 43, 47, 0, 1.0, 14.0, 35.0, 0, 9, 30, 15, 6, 9, 17, 0, 2, 16, 8, 4, 0.0, 13, 6, 9, 0, 0, 21, 21, 2.13, 29.79, 74.47, 91.5, 70.0, 70.0, 0, 30.0, 63.796875, 0.0, 6.69921875, 53.296875, 26.69921875, 13.3, 0.0, 50.0, 43.296875, 20.0, 20.0, 30.0, 30.0, 140.0, 19.0, 46.0, 18.0, 299.0, "Tous les candidats", 2180.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "23179", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22991&g_ta_cod=23179", 60.0, 21.0, 19.0),
(4902, "Public", "0770926N", "Lycée Francois Couperin", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Fontainebleau", "formation sélective", "BTS", "Lycée Francois Couperin - BTS - Services - Tourisme", "BTS - Services", "", 35, 609, 447, 550, 0, 141, 33, 106, 36, 147, 68, 156, 59, 3, 0, 33, 23, 189, 1, 0, 0, 74, 10, 55, 13, 55, 15, 5, 103, 31, 24, 31, 0, 12.0, 28.0, 30.0, 0, 7, 29, 14, 7, 8, 2, 0, 7, 14, 6, 2, 0.0, 10, 5, 7, 11, 8, 24, 26, 38.71, 90.32, 96.77, 77.390625, 82.796875, 89.6875, 37.8984375, 24.09765625, 93.5, 0.0, 24.09765625, 48.296875, 20.69921875, 6.9, 0.0, 48.296875, 34.5, 24.09765625, 17.19921875, 27.59765625, 24.09765625, 51.0, 10.0, 27.0, 9.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 27.0, "20075", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20075&g_ta_cod=20075", 45.0, 23.0, 32.0),
(4903, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Licence", "Université Angers - Double licence - Lettres / Histoire - Double licence Lettres - Histoire", "Licence - Arts-lettres-langues / Sciences humaines et sociales", "Double licence Lettres - Histoire", 30, 286, 200, 220, 0, 176, 18, 5, 2, 2, 0, 37, 66, 14, 4, 1, 47, 147, 12, 0, 0, 126, 11, 1, 1, 0, 0, 20, 127, 19, 13, 10, 9, 7.0, 10.0, 15.0, 0, 1, 11, 11, 0, 0, 8, 0, 0, 0, 9, 2, 0.0, 11, 0, 0, 0, 0, 8, 8, 36.84, 52.63, 78.95, 68.390625, 72.6875, 72.6875, 0, 9.099609375, 57.8984375, 0.0, 0.0, 0.0, 81.796875, 18.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 99.0, 11.0, 0.0, 0.0, 28.0, "Tous les candidats", 144.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "20622", "Double licence - Lettres / Histoire - Double licence Lettres - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20622&g_ta_cod=20622", 95.0, 5.0, 0.0),
(4904, "Public", "0300026R", "Lycée Dhuoda", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Dhuoda - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 28, 518, 64, 518, 0, 64, 16, 163, 63, 133, 57, 158, 0, 0, 0, 0, 0, 275, 0, 0, 0, 38, 5, 119, 37, 81, 32, 37, 111, 25, 1, 25, 0, 6.0, 24.0, 25.0, 0, 10, 21, 1, 9, 11, 4, 0, 6, 10, 5, 0, 0.0, 1, 7, 7, 7, 0, 17, 17, 24.0, 96.0, 100.0, 4.0, 81.0, 81.0, 33.296875, 47.59375, 84.0, 0.0, 28.59765625, 47.59375, 23.796875, 0.0, 0.0, 4.7998046875, 4.7998046875, 42.8984375, 33.296875, 52.3984375, 33.296875, 8.0, 3.0, 47.0, 15.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 34.0, "3939", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3939&g_ta_cod=3939", 4.0, 48.0, 48.0),
(4905, "Public", "0597160M", "Université Polytechnique Hauts-de-France - Site de CAMBRAI", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Site de CAMBRAI - Licence - Portail Sciences de la vie - Biotechnologies et Agroalimentaire (Cambrai)", "Licence - Sciences - technologies - santé", "Biotechnologies et Agroalimentaire (Cambrai)", 50, 491, 311, 451, 0, 293, 56, 34, 9, 0, 0, 124, 40, 10, 2, 1, 27, 451, 35, 0, 0, 293, 56, 34, 9, 0, 0, 124, 320, 43, 21, 34, 9, 2.0, 27.0, 35.0, 0, 5, 26, 24, 2, 0, 17, 0, 7, 14, 4, 1, 0.0, 18, 1, 0, 0, 0, 17, 17, 4.65, 62.79, 81.4, 48.796875, 65.390625, 65.390625, 0, 19.19921875, 60.5, 0.0, 26.8984375, 53.796875, 15.3984375, 3.8, 0.0, 92.296875, 69.1875, 7.69921875, 3.7998046875, 0.0, 0.0, 182.0, 39.0, 1.0, 0.0, 121.0, "Tous les candidats", 641.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "7006", "Licence - Portail Sciences de la vie - Biotechnologies et Agroalimentaire (Cambrai)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28667&g_ta_cod=7006", 88.0, 12.0, 0.0),
(4906, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Langues étrangères appliquées - Parcours Anglais/Italien", "Licence - Arts-lettres-langues", "Anglais/Italien", 75, 263, 187, 190, 0, 113, 29, 20, 11, 9, 6, 48, 73, 9, 11, 3, 50, 190, 71, 0, 0, 113, 29, 20, 11, 9, 6, 48, 261, 75, 51, 45, 30, 42.0, 43.0, 54.0, 0, 15, 41, 28, 8, 5, 34, 2, 13, 18, 7, 1, 0.0, 18, 3, 5, 0, 0, 37, 37, 56.0, 57.33, 72.0, 68.0, 90.1875, 90.1875, 0, 36.59375, 54.6953125, 4.8994140625, 31.69921875, 43.8984375, 17.09765625, 2.4, 0.0, 68.296875, 43.8984375, 19.5, 7.2998046875, 12.19921875, 12.19921875, 122.0, 33.0, 12.0, 8.0, 96.0, "Tous les candidats", 190.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2889", "Licence - Langues étrangères appliquées - Parcours Anglais/Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2889&g_ta_cod=2889", 76.0, 15.0, 9.0),
(4907, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Lettres / Langues, littératures & civilisations étrangères et régionales - LETTRES MODERNES - LLCER ALLEMAND NON DEBUTANT - Parcours binational et de co-diplomation avec l?université allemande de Bonn (Bachelor Deutsch-Französische Studien)", "Licence - Arts-lettres-langues", "LETTRES MODERNES - LLCER ALLEMAND NON DEBUTANT - Parcours binational et de co-diplomation avec l?université allemande de Bonn (Bachelor Deutsch-Französische Studien)", 30, 138, 94, 68, 0, 47, 8, 1, 1, 1, 1, 19, 70, 14, 1, 1, 54, 58, 9, 0, 0, 44, 6, 0, 0, 0, 0, 14, 65, 17, 10, 15, 2, 8.0, 15.0, 16.0, 0, 4, 10, 10, 0, 0, 7, 0, 0, 3, 3, 3, 1.0, 10, 0, 0, 0, 0, 1, 2, 47.06, 88.24, 94.12, 58.796875, 10.0, 20.0, 0, 40.0, 58.796875, 0.0, 0.0, 30.0, 30.0, 30.0, 10.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 48.0, 6.0, 0.0, 0.0, 17.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "9293", "Double licence - Lettres / Langues, littératures & civilisations étrangères et régionales - LETTRES MODERNES - LLCER ALLEMAND NON DEBUTANT - Parcours binational et de co-diplomation avec l?université allemande de Bonn (Bachelor Deutsch-Französische Studien)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9293&g_ta_cod=9293", 100.0, 0.0, 0.0),
(4908, "Public", "0932126F", "Lycée Francois Rabelais", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Dugny", "formation sélective", "BTS", "Lycée Francois Rabelais - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 24, 174, 87, 173, 0, 0, 0, 43, 11, 66, 31, 64, 1, 0, 0, 0, 1, 138, 0, 0, 0, 0, 0, 39, 9, 50, 22, 49, 61, 22, 7, 22, 0, 8.0, 18.0, 22.0, 0, 9, 14, 0, 7, 7, 8, 0, 3, 5, 3, 3, 0.0, 0, 6, 5, 12, 4, 13, 13, 36.36, 81.82, 100.0, 31.796875, 92.890625, 92.890625, 85.6875, 64.296875, 63.59375, 0.0, 21.3984375, 35.6953125, 21.3984375, 21.4, 0.0, 0.0, 0.0, 50.0, 42.8984375, 50.0, 35.6953125, 0.0, 0.0, 34.0, 15.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 51.0, "11347", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11347&g_ta_cod=11347", 18.0, 36.0, 45.0),
(4909, "Public", "0951104J", "Lycée Jean Perrin", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Saint-Ouen-l'Aumône", "formation sélective", "CPGE", "Lycée Jean Perrin - CPGE - TSI", "Classe préparatoire scientifique", "", 34, 247, 27, 247, 104, 0, 0, 217, 65, 0, 0, 30, 0, 0, 0, 0, 0, 150, 0, 66, 141, 0, 0, 142, 37, 0, 0, 8, 94, 29, 3, 29, 0, 12.0, 28.0, 29.0, 5, 5, 26, 0, 26, 0, 3, 0, 1, 6, 17, 2, 0.0, 0, 25, 0, 9, 0, 26, 26, 41.38, 96.55, 100.0, 10.298828125, 100.0, 100.0, 34.59375, 19.19921875, 89.6875, 0.0, 3.7998046875, 23.09765625, 65.390625, 7.7, 0.0, 0.0, 0.0, 100.0, 96.1875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 7.0, "Tous les candidats", 149.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "11595", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11595&g_ta_cod=11595", 0.0, 100.0, 0.0),
(4910, "Public", "6200002H", "Lycée Laetitia Bonaparte", "2A", "Corse du Sud", "Corse", "Corse", "Ajaccio", "formation sélective", "BTS", "Lycée Laetitia Bonaparte - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 15, 210, 116, 205, 0, 37, 7, 66, 15, 53, 16, 49, 5, 0, 2, 0, 3, 87, 1, 0, 0, 21, 4, 32, 5, 31, 9, 3, 57, 13, 6, 11, 1, 4.0, 8.0, 10.0, 0, 3, 13, 3, 3, 7, 0, 0, 4, 4, 2, 3, 0.0, 1, 2, 6, 3, 1, 13, 13, 30.77, 61.54, 76.92, 46.1953125, 100.0, 100.0, 23.09765625, 23.09765625, 100.0, 0.0, 30.796875, 30.796875, 15.3984375, 23.1, 0.0, 23.09765625, 7.69921875, 23.09765625, 15.3984375, 53.796875, 46.1953125, 17.0, 4.0, 18.0, 5.0, 3.0, "Tous les candidats sauf les Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 30.0, "11681", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11681&g_ta_cod=11681", 23.0, 23.0, 54.0),
(4911, "Public", "0711373G", "IFSI CH Chalon Sur Saône", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bourgogne Dijon - D.E Infirmier", "D.E secteur sanitaire", "", 53, 3223, 2709, 3223, 0, 600, 100, 640, 135, 346, 116, 1637, 0, 0, 0, 0, 0, 2667, 0, 0, 0, 546, 84, 541, 108, 263, 88, 1317, 545, 53, 44, 53, 0, 2.0, 22.0, 41.0, 0, 12, 36, 12, 9, 15, 17, 0, 5, 10, 20, 1, 0.0, 9, 8, 14, 0, 0, 26, 26, 3.77, 41.51, 77.36, 83.0, 72.1875, 72.1875, 0, 33.296875, 67.890625, 0.0, 13.8984375, 27.796875, 55.59375, 2.8, 0.0, 33.296875, 25.0, 25.0, 22.19921875, 41.6953125, 38.8984375, 144.0, 23.0, 78.0, 29.0, 251.0, "Tous les candidats", 1510.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "23088", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23009&g_ta_cod=23088", 40.0, 26.0, 34.0),
(4912, "Public", "0670020H", "Lycée Robert Schuman", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Haguenau", "formation sélective", "BTS", "Lycée Robert Schuman - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 445, 327, 436, 0, 23, 5, 167, 58, 138, 73, 108, 9, 0, 1, 0, 8, 289, 4, 0, 0, 22, 5, 133, 41, 98, 54, 36, 168, 30, 26, 28, 2, 3.0, 19.0, 22.0, 0, 5, 23, 1, 12, 10, 7, 0, 9, 13, 1, 0, 0.0, 0, 7, 7, 2, 2, 23, 23, 10.0, 63.33, 73.33, 86.6875, 100.0, 100.0, 8.69921875, 21.69921875, 76.6875, 0.0, 39.09375, 56.5, 4.2998046875, 0.0, 0.0, 4.2998046875, 0.0, 52.1953125, 30.3984375, 43.5, 30.3984375, 14.0, 3.0, 44.0, 20.0, 26.0, "Tous les candidats sauf les Bac professionnels", 145.0, "Bacheliers professionnels toutes séries", 62, "", 0, "Liste d'appel propre à cette formation", 47.0, "7902", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7902&g_ta_cod=7902", 13.0, 47.0, 40.0),
(4913, "Privé sous contrat d'association", "0851344Z", "Lycée polyvalent privé Notre Dame", "85", "Vendée", "Pays de la Loire", "Nantes", "Fontenay-le-Comte", "formation sélective", "BTS", "Lycée polyvalent privé Notre Dame - BTS - Production - Développement et Réalisation Bois", "BTS - Production", "", 13, 100, 12, 92, 0, 16, 3, 21, 2, 45, 4, 10, 8, 0, 0, 1, 7, 87, 5, 0, 0, 16, 3, 21, 2, 45, 4, 5, 66, 12, 0, 8, 4, 0.0, 4.0, 11.0, 0, 0, 9, 3, 0, 6, 3, 0, 4, 3, 2, 0, 0.0, 0, 0, 5, 0, 0, 5, 5, 0.0, 33.33, 91.67, 0.0, 55.59375, 55.59375, 0, 0.0, 75.0, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 33.296875, 0.0, 0.0, 0.0, 66.6875, 55.59375, 12.0, 3.0, 30.0, 3.0, 8.0, "Tous les candidats sauf les Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 92.0, "10534", "BTS - Production - Développement et Réalisation Bois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10534&g_ta_cod=10534", 33.0, 8.0, 50.0),
(4914, "Public", "0660011D", "Lycée Jean Lurcat", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée Jean Lurcat - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 814, 417, 814, 0, 63, 19, 339, 142, 265, 135, 147, 0, 0, 0, 0, 0, 786, 0, 0, 0, 63, 19, 335, 141, 258, 132, 130, 127, 32, 19, 32, 0, 8.0, 25.0, 29.0, 0, 17, 31, 1, 16, 14, 1, 0, 4, 15, 8, 4, 0.0, 1, 15, 11, 11, 7, 31, 31, 25.0, 78.13, 90.63, 59.3984375, 100.0, 100.0, 35.5, 54.796875, 96.890625, 0.0, 12.8984375, 48.3984375, 25.796875, 12.9, 0.0, 3.19970703125, 3.19970703125, 51.59375, 48.3984375, 45.1953125, 35.5, 10.0, 4.0, 34.0, 21.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 134, "Liste d'appel propre à cette formation", 22.0, "7851", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7851&g_ta_cod=7851", 3.0, 53.0, 44.0),
(4915, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Autre formation", "Université de Bordeaux - Bordeaux Métropole - C.M.I - Cursus Master en Ingénierie - Sciences pour l'ingénieur - Cursus Master en Ingénierie (CMI): Ingénierie et Maintenance des Systèmes pour l'Aéronautique et les Transports (IMSAT)", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI): Ingénierie et Maintenance des Systèmes pour l'Aéronautique et les Transports (IMSAT)", 60, 830, 141, 746, 0, 513, 53, 17, 6, 12, 3, 204, 84, 27, 3, 4, 50, 213, 3, 0, 0, 182, 7, 0, 0, 0, 0, 31, 180, 44, 9, 43, 1, 11.0, 41.0, 43.0, 0, 1, 36, 36, 0, 0, 8, 0, 0, 18, 14, 4, 0.0, 36, 0, 0, 0, 0, 17, 17, 25.0, 93.18, 97.73, 20.5, 47.1953125, 47.1953125, 0, 2.7998046875, 81.796875, 0.0, 0.0, 50.0, 38.8984375, 11.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 152.0, 7.0, 0.0, 0.0, 28.0, "Tous les candidats", 213.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "4378", "C.M.I - Cursus Master en Ingénierie - Sciences pour l'ingénieur - Cursus Master en Ingénierie (CMI): Ingénierie et Maintenance des Systèmes pour l'Aéronautique et les Transports (IMSAT)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4378&g_ta_cod=4378", 100.0, 0.0, 0.0),
(4916, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Double diplôme - Licence Droit - Droit Anglo-Américain (DU droit anglo-américain)", "Licence - Droit-économie-gestion", "Droit Anglo-Américain (DU droit anglo-américain)", 170, 1518, 1130, 742, 0, 628, 124, 29, 10, 1, 0, 84, 776, 343, 66, 28, 339, 299, 69, 0, 0, 279, 38, 3, 1, 0, 0, 17, 358, 111, 88, 83, 28, 35.0, 82.0, 98.0, 0, 17, 95, 93, 1, 1, 16, 0, 1, 11, 62, 21, 0.0, 92, 1, 1, 0, 0, 55, 64, 31.53, 73.87, 88.29, 79.296875, 57.8984375, 67.390625, 0, 17.8984375, 85.59375, 0.0, 1.099853515625, 11.599609375, 65.296875, 22.1, 0.0, 97.890625, 96.796875, 1.099853515625, 1.099853515625, 1.099853515625, 1.099853515625, 312.0, 50.0, 1.0, 1.0, 41.0, "Tous les candidats", 300.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "11641", "Licence - Double diplôme - Licence Droit - Droit Anglo-Américain (DU droit anglo-américain)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11641&g_ta_cod=11641", 97.0, 1.0, 2.0),
(4917, "Public", "0511572G", "IFSI Reims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "IFSI", "Regroupement d'IFSI Université Reims - D.E Infirmier", "D.E secteur sanitaire", "", 148, 3436, 2917, 3436, 0, 655, 152, 751, 237, 346, 151, 1684, 0, 0, 0, 0, 0, 2732, 0, 0, 0, 526, 102, 598, 166, 261, 107, 1347, 671, 148, 123, 148, 0, 14.0, 82.0, 131.0, 0, 15, 65, 24, 21, 20, 83, 0, 3, 30, 25, 7, 0.0, 23, 20, 19, 0, 0, 46, 46, 9.46, 55.41, 88.51, 83.09375, 70.796875, 70.796875, 0, 23.09765625, 43.8984375, 0.0, 4.599609375, 46.1953125, 38.5, 10.8, 0.0, 36.8984375, 35.3984375, 32.296875, 30.796875, 30.796875, 29.19921875, 96.0, 14.0, 83.0, 27.0, 352.0, "Tous les candidats", 1239.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "23221", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22986&g_ta_cod=23221", 64.0, 18.0, 18.0),
(4918, "Public", "0690028F", "Lycée De Saint Just", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée De Saint Just - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 1258, 868, 1258, 0, 966, 74, 0, 0, 1, 0, 291, 0, 0, 0, 0, 0, 730, 0, 0, 730, 660, 38, 0, 0, 0, 0, 70, 521, 52, 39, 52, 0, 13.0, 38.0, 52.0, 0, 2, 46, 46, 0, 0, 6, 0, 0, 1, 19, 26, 0.0, 46, 0, 0, 1, 0, 14, 14, 25.0, 73.08, 100.0, 75.0, 30.3984375, 30.3984375, 2.19970703125, 4.2998046875, 88.5, 0.0, 0.0, 2.19970703125, 41.296875, 56.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 473.0, 38.0, 0.0, 0.0, 48.0, "Tous les candidats", 671.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "19598", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19598&g_ta_cod=19598", 100.0, 0.0, 0.0),
(4919, "Public", "0580031U", "Lycée Jules Renard", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "BTS", "Lycée Jules Renard - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 86, 11, 85, 0, 12, 2, 27, 7, 23, 9, 23, 1, 0, 0, 0, 1, 69, 0, 0, 0, 12, 2, 27, 7, 20, 6, 10, 50, 10, 1, 10, 0, 3.0, 9.0, 9.0, 0, 2, 7, 0, 6, 1, 3, 0, 2, 5, 0, 0, 0.0, 0, 4, 1, 6, 0, 7, 7, 30.0, 90.0, 90.0, 10.0, 100.0, 100.0, 85.6875, 28.59765625, 70.0, 0.0, 28.59765625, 71.390625, 0.0, 0.0, 0.0, 0.0, 0.0, 85.6875, 57.09375, 14.298828125, 14.298828125, 5.0, 1.0, 16.0, 5.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 75.0, "6677", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6677&g_ta_cod=6677", 30.0, 60.0, 10.0),
(4920, "Public", "0311902Z", "Lycée Stéphane Hessel", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Stéphane Hessel - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 30, 576, 154, 576, 0, 46, 16, 260, 87, 153, 70, 117, 0, 0, 0, 0, 0, 476, 0, 0, 0, 45, 16, 214, 62, 124, 53, 93, 142, 30, 1, 30, 0, 2.0, 15.0, 18.0, 0, 13, 23, 2, 12, 9, 7, 0, 9, 12, 2, 0, 0.0, 2, 6, 6, 1, 0, 21, 21, 6.67, 50.0, 60.0, 3.2998046875, 91.296875, 91.296875, 4.2998046875, 56.5, 76.6875, 0.0, 39.09375, 52.1953125, 8.69921875, 0.0, 0.0, 8.69921875, 8.69921875, 52.1953125, 26.09765625, 39.09375, 26.09765625, 18.0, 7.0, 42.0, 20.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 26.0, "4204", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4204&g_ta_cod=4204", 13.0, 50.0, 37.0),
(4921, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Licence", "Université Clermont Auvergne - Licence - Portail Economie ou Gestion parcours Langues Vivantes", "Licence - Droit-économie-gestion", "Economie ou Gestion parcours Langues Vivantes", 60, 609, 344, 466, 0, 315, 67, 40, 17, 5, 4, 106, 143, 35, 8, 3, 97, 363, 10, 0, 0, 293, 63, 4, 1, 5, 4, 61, 252, 52, 26, 47, 5, 12.0, 47.0, 52.0, 0, 9, 38, 38, 0, 0, 14, 0, 11, 14, 11, 2, 0.0, 27, 0, 0, 0, 0, 28, 28, 23.08, 90.38, 100.0, 50.0, 73.6875, 73.6875, 0, 23.69921875, 73.09375, 0.0, 28.8984375, 36.796875, 28.8984375, 5.3, 0.0, 100.0, 71.09375, 0.0, 0.0, 0.0, 0.0, 190.0, 38.0, 1.0, 1.0, 60.0, "Tous les candidats", 363.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "27507", "Licence - Portail Economie ou Gestion parcours Langues Vivantes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27507&g_ta_cod=27507", 98.0, 2.0, 0.0),
(4922, "Privé sous contrat d'association", "9741255W", "Lycée Catholique St Charles", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 10, 758, 184, 756, 0, 748, 73, 0, 0, 0, 0, 8, 2, 2, 0, 0, 0, 705, 0, 0, 0, 701, 65, 0, 0, 0, 0, 4, 635, 8, 1, 8, 0, 7.0, 8.0, 8.0, 0, 0, 8, 8, 0, 0, 0, 0, 0, 5, 3, 0, 0.0, 8, 0, 0, 0, 0, 8, 8, 87.5, 100.0, 100.0, 12.5, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 62.5, 37.5, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 632.0, 61.0, 0.0, 0.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "31112", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=31112", 100.0, 0.0, 0.0),
(4923, "Privé sous contrat d'association", "0410693F", "Lycée La Providence", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "Autre formation", "Lycée La Providence - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 52, 14, 31, 0, 2, 1, 4, 0, 19, 5, 6, 21, 10, 1, 9, 1, 28, 18, 0, 0, 2, 1, 4, 0, 18, 5, 4, 50, 7, 4, 3, 4, 3.0, 3.0, 5.0, 0, 2, 7, 2, 0, 5, 0, 0, 4, 3, 0, 0, 0.0, 1, 0, 2, 0, 0, 7, 7, 42.86, 42.86, 71.43, 57.09375, 100.0, 100.0, 0, 28.59765625, 100.0, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 28.59765625, 14.298828125, 0.0, 0.0, 71.390625, 28.59765625, 11.0, 1.0, 26.0, 10.0, 5.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "33864", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33864&g_ta_cod=33864", 29.0, 0.0, 71.0),
(4924, "Privé sous contrat d'association", "0100059K", "Lycée LA SALLE", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BTS", "Lycée LA SALLE - BTS - Services - Communication", "BTS - Services", "", 23, 320, 218, 320, 0, 75, 13, 98, 24, 44, 19, 103, 0, 0, 0, 0, 0, 282, 0, 0, 0, 73, 13, 94, 23, 41, 16, 74, 59, 20, 18, 20, 0, 11.0, 17.0, 19.0, 0, 4, 18, 6, 8, 4, 2, 0, 5, 7, 6, 0, 0.0, 5, 6, 2, 5, 5, 17, 17, 55.0, 85.0, 95.0, 90.0, 94.390625, 94.390625, 27.796875, 22.19921875, 90.0, 0.0, 27.796875, 38.8984375, 33.296875, 0.0, 0.0, 33.296875, 27.796875, 44.3984375, 33.296875, 22.19921875, 11.099609375, 10.0, 2.0, 17.0, 5.0, 8.0, "Tous les candidats sauf les Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 26.0, "2422", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2422&g_ta_cod=2422", 30.0, 50.0, 20.0),
(4925, "Public", "0753034R", "IFSI Lycée Rabelais", "75", "Paris", "Ile-de-France", "Paris", "Paris 18e  Arrondissement", "formation sélective", "IFSI", "Regroupement IFSI Université de Paris - D.E Infirmier", "D.E secteur sanitaire", "", 67, 3707, 3332, 3707, 0, 478, 151, 582, 224, 397, 195, 2250, 0, 0, 0, 0, 0, 3005, 0, 0, 0, 439, 132, 501, 185, 327, 161, 1738, 1013, 57, 54, 57, 0, 1.0, 5.0, 47.0, 0, 11, 21, 2, 6, 13, 36, 0, 5, 9, 7, 0, 0.0, 0, 4, 12, 0, 0, 4, 17, 1.75, 8.77, 82.46, 94.6875, 19.0, 81.0, 0, 52.3984375, 36.796875, 0.0, 23.796875, 42.8984375, 33.296875, 0.0, 0.0, 9.5, 0.0, 28.59765625, 19.0, 61.8984375, 57.09375, 148.0, 32.0, 165.0, 71.0, 474.0, "Tous les candidats", 3949.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 41.0, "34676", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25148&g_ta_cod=34676", 37.0, 19.0, 40.0),
(4926, "Public", "0771984N", "IFSI CH Marc Jacquet Melun", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation sélective", "IFSI", "Regroupement d'IFSI UPEC (P12)  - D.E Infirmier", "D.E secteur sanitaire", "", 93, 3712, 3252, 3712, 0, 415, 99, 629, 225, 549, 258, 2119, 0, 0, 0, 0, 0, 2517, 0, 0, 0, 381, 84, 445, 137, 349, 152, 1342, 750, 89, 80, 89, 0, 3.0, 51.0, 87.0, 0, 6, 49, 17, 24, 8, 40, 0, 6, 29, 12, 2, 0.0, 13, 22, 8, 0, 0, 39, 48, 3.37, 57.3, 97.75, 89.890625, 79.59375, 98.0, 0, 12.19921875, 55.09375, 0.0, 12.19921875, 59.1953125, 24.5, 4.1, 0.0, 34.6953125, 26.5, 49.0, 44.8984375, 16.296875, 16.296875, 185.0, 42.0, 80.0, 27.0, 364.0, "Tous les candidats", 2252.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "23271", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23006&g_ta_cod=23271", 48.0, 35.0, 17.0),
(4927, "Privé enseignement supérieur", "0941954N", "ESITC Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Arcueil", "formation sélective", "Ecole d'Ingénieur", "ESITC Paris - Formation d'ingénieur Bac + 5 - bac S,STI2D", "Formations  des écoles d'ingénieurs", "bac S,STI2D", 65, 210, 44, 194, 0, 143, 9, 20, 1, 0, 0, 31, 16, 8, 0, 0, 8, 129, 4, 0, 0, 102, 6, 11, 0, 0, 0, 16, 129, 41, 12, 39, 2, 30.0, 38.0, 40.0, 0, 2, 37, 35, 2, 0, 4, 0, 6, 18, 12, 1, 0.0, 29, 2, 0, 0, 0, 8, 25, 73.17, 92.68, 97.56, 29.296875, 21.59765625, 67.59375, 0, 5.3994140625, 90.1875, 0.0, 16.19921875, 48.59375, 32.3984375, 2.7, 0.0, 94.59375, 78.390625, 5.3994140625, 5.3994140625, 0.0, 0.0, 101.0, 6.0, 0.0, 0.0, 17.0, "Tous les candidats", 129.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "11541", "Formation d'ingénieur Bac + 5 - bac S,STI2D", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11541&g_ta_cod=11541", 95.0, 5.0, 0.0),
(4928, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Lettres - Parcours Lettres classiques", "Licence - Arts-lettres-langues", "Lettres classiques", 40, 138, 104, 119, 0, 69, 14, 4, 2, 5, 4, 41, 19, 2, 2, 2, 13, 119, 17, 0, 0, 69, 14, 4, 2, 5, 4, 41, 136, 5, 4, 4, 1, 4.0, 4.0, 5.0, 0, 2, 5, 4, 1, 0, 0, 0, 3, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 1, 1, 80.0, 80.0, 100.0, 80.0, 20.0, 20.0, 0, 40.0, 100.0, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 80.0, 20.0, 20.0, 20.0, 0.0, 0.0, 71.0, 14.0, 7.0, 5.0, 52.0, "Tous les candidats", 119.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7644", "Licence - Lettres - Parcours Lettres classiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7644&g_ta_cod=7644", 80.0, 20.0, 0.0),
(4929, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Cinéma - Parcours Cinéma : pratique & esthétique", "Licence - Arts-lettres-langues", "Cinéma : pratique & esthétique", 122, 2532, 1473, 2532, 0, 1604, 225, 74, 10, 32, 10, 822, 0, 0, 0, 0, 0, 2530, 0, 0, 0, 1604, 225, 74, 10, 32, 10, 820, 425, 123, 82, 123, 0, 19.0, 94.0, 108.0, 0, 13, 98, 93, 3, 2, 25, 1, 2, 6, 45, 41, 3.0, 91, 3, 1, 0, 0, 23, 44, 15.45, 76.42, 87.8, 66.6875, 23.5, 44.8984375, 0, 13.298828125, 79.6875, 1.0, 2.0, 6.099609375, 45.8984375, 41.8, 3.1, 94.890625, 92.890625, 3.099609375, 3.099609375, 2.0, 1.0, 291.0, 33.0, 4.0, 1.0, 118.0, "Tous les candidats", 538.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "9196", "Licence - Cinéma - Parcours Cinéma : pratique & esthétique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9196&g_ta_cod=9196", 95.0, 3.0, 2.0),
(4930, "Public", "0590207E", "Lycée Louis Pasteur", "59", "Nord", "Hauts-de-France", "Lille", "Somain", "formation sélective", "BTS", "Lycée Louis Pasteur - BTS - Services - Gestion de la PME", "BTS - Services", "", 32, 521, 287, 485, 0, 36, 12, 75, 31, 90, 45, 284, 36, 0, 3, 15, 18, 126, 8, 0, 0, 12, 3, 42, 18, 58, 31, 14, 99, 27, 16, 23, 3, 9.0, 22.0, 25.0, 0, 9, 24, 2, 11, 11, 3, 0, 7, 11, 6, 0, 0.0, 0, 9, 8, 10, 4, 24, 24, 33.33, 81.48, 92.59, 59.296875, 100.0, 100.0, 41.6953125, 37.5, 88.890625, 0.0, 29.19921875, 45.796875, 25.0, 0.0, 0.0, 8.298828125, 0.0, 45.796875, 37.5, 45.796875, 33.296875, 7.0, 2.0, 50.0, 24.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 24.0, "6829", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6829&g_ta_cod=6829", 7.0, 48.0, 44.0),
(4931, "Privé enseignement supérieur", "0590345E", "ICAM Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "GROUPE ICAM - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "", 72, 850, 97, 850, 0, 671, 32, 76, 3, 0, 0, 103, 0, 0, 0, 0, 0, 537, 0, 0, 0, 453, 17, 44, 0, 0, 0, 40, 272, 77, 8, 77, 0, 71.0, 74.0, 77.0, 0, 2, 74, 65, 9, 0, 3, 0, 6, 29, 32, 7, 0.0, 60, 8, 0, 0, 0, 60, 60, 92.21, 96.1, 100.0, 10.3984375, 81.09375, 81.09375, 0, 2.69970703125, 96.09375, 0.0, 8.099609375, 39.1953125, 43.1953125, 9.5, 0.0, 87.796875, 81.09375, 12.19921875, 10.798828125, 0.0, 0.0, 232.0, 9.0, 0.0, 0.0, 15.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "24654", "Formation d'ingénieur Bac + 5", "GROUPE ICAM", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24652&g_ta_cod=24654", 88.0, 12.0, 0.0),
(4932, "Public", "0340076Y", "Lycée Irene et Frederic Joliot Curie", "34", "Hérault", "Occitanie", "Montpellier", "Sète", "formation sélective", "BTS", "Lycée Irene et Frederic Joliot Curie - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 29, 281, 9, 276, 0, 17, 3, 68, 12, 128, 57, 63, 5, 0, 1, 4, 0, 181, 0, 0, 0, 16, 3, 68, 12, 73, 27, 24, 115, 23, 0, 23, 0, 2.0, 18.0, 20.0, 0, 8, 20, 1, 4, 15, 3, 0, 7, 7, 5, 1, 0.0, 0, 1, 12, 1, 0, 18, 18, 8.7, 78.26, 86.96, 0.0, 90.0, 90.0, 5, 40.0, 87.0, 0.0, 35.0, 35.0, 25.0, 5.0, 0.0, 5.0, 0.0, 20.0, 5.0, 75.0, 60.0, 4.0, 1.0, 47.0, 17.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 48.0, "4515", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4515&g_ta_cod=4515", 9.0, 26.0, 65.0),
(4933, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation non sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Droit", "Licence - Droit-économie-gestion", "", 665, 3137, 2260, 3137, 0, 2261, 576, 278, 103, 48, 18, 550, 0, 0, 0, 0, 0, 3109, 0, 0, 0, 2260, 576, 278, 103, 48, 18, 523, 2106, 668, 461, 659, 0, 105.0, 543.0, 614.0, 0, 152, 612, 567, 39, 6, 56, 1, 235, 243, 120, 13, 0.0, 340, 30, 6, 0, 0, 521, 572, 15.72, 81.29, 91.92, 69.0, 85.09375, 93.5, 0, 24.796875, 91.59375, 0.199981689453125, 38.3984375, 39.6953125, 19.59765625, 2.1, 0.0, 92.59375, 55.59375, 6.3994140625, 4.8994140625, 1.0, 1.0, 1810.0, 461.0, 13.0, 6.0, 178.0, "Tous les candidats", 2252.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "11626", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11626&g_ta_cod=11626", 92.0, 6.0, 1.0),
(4934, "Public", "0131656E", "Lycée agricole Aix-Valabre", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Gardanne", "formation sélective", "BTS", "Lycée agricole Aix-Valabre - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 23, 282, 114, 274, 0, 48, 11, 36, 8, 7, 1, 183, 8, 0, 2, 1, 5, 128, 4, 0, 0, 47, 11, 36, 8, 7, 1, 38, 83, 20, 11, 17, 3, 5.0, 11.0, 17.0, 0, 2, 14, 9, 3, 2, 6, 1, 8, 5, 0, 0, 0.0, 2, 2, 1, 1, 1, 10, 10, 25.0, 55.0, 85.0, 55.0, 71.390625, 71.390625, 7.099609375, 14.298828125, 70.0, 7.099609375, 57.09375, 35.6953125, 0.0, 0.0, 0.0, 64.296875, 14.298828125, 21.3984375, 14.298828125, 14.298828125, 7.099609375, 30.0, 7.0, 8.0, 2.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 45.0, "2659", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2659&g_ta_cod=2659", 55.0, 30.0, 15.0),
(4935, "Privé sous contrat d'association", "0593117T", "Lycée polyvalent privé La Salle", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée polyvalent privé La Salle - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 32, 350, 147, 275, 0, 52, 13, 73, 25, 31, 13, 119, 75, 9, 11, 5, 50, 106, 19, 0, 0, 37, 8, 38, 16, 12, 2, 19, 103, 18, 9, 13, 5, 10.0, 13.0, 18.0, 0, 6, 11, 3, 7, 1, 7, 0, 4, 6, 1, 0, 0.0, 0, 6, 1, 4, 2, 10, 10, 55.56, 72.22, 100.0, 50.0, 90.890625, 90.890625, 36.3984375, 54.5, 61.09375, 0.0, 36.3984375, 54.5, 9.099609375, 0.0, 0.0, 27.296875, 0.0, 63.59375, 54.5, 9.099609375, 9.099609375, 36.0, 9.0, 11.0, 2.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 38.0, "17468", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17468&g_ta_cod=17468", 50.0, 39.0, 11.0),
(4936, "Privé sous contrat d'association", "0440246D", "LPO Sacré-Coeur La Salle", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "LPO Sacré-Coeur La Salle - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 68, 13, 61, 0, 10, 3, 5, 1, 34, 8, 12, 7, 2, 0, 3, 2, 61, 7, 0, 0, 10, 3, 5, 1, 34, 8, 12, 62, 7, 3, 6, 1, 1.0, 5.0, 5.0, 0, 1, 3, 0, 1, 2, 4, 0, 2, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 3, 3, 14.29, 71.43, 71.43, 42.8984375, 100.0, 100.0, 0, 33.296875, 42.8984375, 0.0, 66.6875, 0.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 33.296875, 9.0, 2.0, 35.0, 8.0, 13.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "24774", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24774&g_ta_cod=24774", 29.0, 14.0, 57.0),
(4937, "Public", "0070003R", "Lycée Marcel Gimond", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Aubenas", "formation sélective", "BTS", "Lycée Marcel Gimond - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 12, 91, 51, 84, 0, 7, 4, 24, 6, 37, 17, 16, 7, 0, 2, 0, 5, 84, 3, 0, 0, 7, 4, 24, 6, 37, 17, 16, 43, 11, 5, 11, 0, 3.0, 10.0, 11.0, 0, 4, 11, 1, 4, 6, 0, 0, 4, 5, 2, 0, 0.0, 0, 2, 5, 10, 5, 11, 11, 27.27, 90.91, 100.0, 45.5, 100.0, 100.0, 90.890625, 36.3984375, 100.0, 0.0, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 9.099609375, 0.0, 36.3984375, 18.19921875, 54.5, 45.5, 5.0, 4.0, 16.0, 6.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 73.0, "2332", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2332&g_ta_cod=2332", 9.0, 36.0, 55.0),
(4938, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 650, 1501, 1068, 1269, 0, 848, 358, 119, 71, 43, 33, 259, 232, 30, 18, 19, 165, 1267, 225, 0, 0, 848, 358, 119, 71, 43, 33, 257, 1449, 472, 334, 355, 117, 193.0, 345.0, 407.0, 0, 157, 311, 262, 30, 19, 161, 1, 115, 104, 67, 22, 2.0, 175, 8, 12, 0, 0, 293, 293, 40.89, 73.09, 86.23, 70.796875, 94.1875, 94.1875, 0, 50.5, 65.890625, 0.29998779296875, 37.0, 33.3984375, 21.5, 7.1, 0.6, 84.1875, 56.296875, 9.599609375, 2.599609375, 6.099609375, 3.89990234375, 851.0, 359.0, 59.0, 44.0, 404.0, "Tous les candidats", 1267.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11918", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11918&g_ta_cod=11918", 77.0, 14.0, 9.0),
(4939, "Privé sous contrat d'association", "0241199Y", "Centre de formation au travail sanitaire et social - Fondation John Bost", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Bergerac", "formation sélective", "EFTS", "Centre de formation au travail sanitaire et social - Fondation John Bost - D.E Educateur Spécialisé", "D.E secteur social", "", 35, 198, 158, 198, 0, 22, 0, 29, 7, 10, 3, 137, 0, 0, 0, 0, 0, 127, 0, 0, 0, 15, 0, 17, 4, 7, 2, 88, 67, 33, 25, 33, 0, 18.0, 30.0, 33.0, 0, 1, 2, 0, 2, 0, 31, 0, 0, 0, 2, 0, 0.0, 0, 2, 0, 0, 0, 2, 2, 54.55, 90.91, 100.0, 75.796875, 100.0, 100.0, 0, 50.0, 6.099609375, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 5.0, 0.0, 2.0, 2.0, 51.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "24831", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24831&g_ta_cod=24831", 52.0, 30.0, 6.0),
(4940, "Public", "0312759F", "Lycée Joseph Gallieni", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Joseph Gallieni - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 34, 699, 198, 666, 0, 32, 6, 100, 39, 204, 102, 330, 33, 5, 0, 0, 28, 285, 2, 0, 0, 23, 3, 100, 39, 104, 50, 58, 112, 33, 10, 31, 2, 4.0, 24.0, 30.0, 0, 13, 21, 1, 6, 14, 12, 0, 8, 9, 3, 1, 0.0, 1, 2, 10, 8, 4, 15, 15, 12.12, 72.73, 90.91, 30.296875, 71.390625, 71.390625, 38.09375, 61.8984375, 63.59375, 0.0, 38.09375, 42.8984375, 14.298828125, 4.8, 0.0, 4.7998046875, 4.7998046875, 28.59765625, 9.5, 66.6875, 47.59375, 13.0, 4.0, 50.0, 28.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 25.0, "14444", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14444&g_ta_cod=14444", 9.0, 30.0, 61.0),
(4941, "Privé sous contrat d'association", "0581000X", "INSTITUT DE FORMATION EN ERGOTHERAPIE DE NEVERS", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "Autre formation", "INSTITUT DE FORMATION EN ERGOTHERAPIE DE NEVERS - D.E Ergothérapeute", "D.E secteur sanitaire", "", 32, 295, 254, 295, 0, 76, 1, 32, 0, 2, 0, 185, 0, 0, 0, 0, 0, 260, 0, 0, 0, 69, 0, 27, 0, 2, 0, 162, 90, 33, 32, 33, 0, 9.0, 23.0, 29.0, 0, 0, 13, 7, 6, 0, 20, 0, 1, 6, 6, 0, 0.0, 6, 6, 0, 0, 0, 1, 1, 27.27, 69.7, 87.88, 97.0, 7.69921875, 7.69921875, 0, 0.0, 39.3984375, 0.0, 7.69921875, 46.1953125, 46.1953125, 0.0, 0.0, 53.796875, 46.1953125, 46.1953125, 46.1953125, 0.0, 0.0, 29.0, 0.0, 0.0, 0.0, 49.0, "Tous les candidats", 102.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "26031", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26031&g_ta_cod=26031", 55.0, 45.0, 0.0),
(4942, "Public", "0400007R", "Lycée de Borda", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Dax", "formation sélective", "BTS", "Lycée de Borda - BTS - Services - Métiers des Services à l'environnement", "BTS - Services", "", 15, 205, 77, 205, 0, 23, 2, 56, 14, 14, 6, 112, 0, 0, 0, 0, 0, 119, 0, 0, 0, 23, 2, 56, 14, 14, 6, 26, 71, 12, 4, 12, 0, 2.0, 11.0, 12.0, 0, 0, 9, 3, 3, 3, 3, 0, 6, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 5, 5, 16.67, 91.67, 100.0, 33.296875, 55.59375, 55.59375, 0, 0.0, 75.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 33.296875, 0.0, 33.296875, 0.0, 33.296875, 33.296875, 14.0, 1.0, 11.0, 3.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 50.0, "19278", "BTS - Services - Métiers des Services à l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19278&g_ta_cod=19278", 33.0, 33.0, 33.0),
(4943, "Privé hors contrat", "0383073J", "Institut Supérieur de la Construction (ISCO)", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "Autre formation", "ISCO - BTP CFA AFRA - Formation professionnelle - Responsable technique en bâtiment et travaux publics (bac +2) (Seconde année en apprentissage)", "Formation professionnelle", "", 24, 77, 4, 57, 0, 12, 3, 19, 4, 11, 3, 15, 20, 4, 5, 3, 8, 25, 11, 0, 0, 2, 1, 12, 1, 5, 0, 6, 35, 20, 3, 11, 9, 11.0, 11.0, 19.0, 0, 1, 13, 3, 5, 5, 7, 0, 5, 4, 4, 0, 0.0, 2, 3, 3, 0, 0, 12, 12, 55.0, 55.0, 95.0, 15.0, 92.296875, 92.296875, 0, 7.69921875, 65.0, 0.0, 38.5, 30.796875, 30.796875, 0.0, 0.0, 23.09765625, 15.3984375, 38.5, 23.09765625, 38.5, 23.09765625, 6.0, 1.0, 6.0, 0.0, 9.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "19619", "Formation professionnelle - Responsable technique en bâtiment et travaux publics (bac +2) (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19619&g_ta_cod=19619", 25.0, 45.0, 25.0),
(4944, "Public", "0110007Y", "Lycée Jules Fil", "11", "Aude", "Occitanie", "Montpellier", "Carcassonne", "formation sélective", "BTS", "Lycée Jules Fil - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 162, 10, 158, 0, 12, 3, 71, 15, 41, 17, 34, 4, 0, 0, 1, 3, 158, 1, 0, 0, 12, 3, 71, 15, 41, 17, 34, 84, 12, 0, 12, 0, 2.0, 9.0, 12.0, 0, 3, 9, 0, 6, 3, 3, 0, 6, 1, 2, 0, 0.0, 0, 3, 0, 5, 0, 7, 7, 16.67, 75.0, 100.0, 0.0, 77.796875, 77.796875, 55.59375, 33.296875, 75.0, 0.0, 66.6875, 11.099609375, 22.19921875, 0.0, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 0.0, 5.0, 1.0, 25.0, 10.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 95.0, "2448", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2448&g_ta_cod=2448", 8.0, 67.0, 25.0),
(4945, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 1 - Licence - Philosophie", "Licence - Sciences humaines et sociales", "", 110, 673, 411, 498, 0, 322, 86, 32, 6, 8, 4, 136, 175, 30, 23, 6, 116, 498, 167, 0, 0, 322, 86, 32, 6, 8, 4, 136, 559, 91, 45, 40, 51, 7.0, 40.0, 73.0, 0, 12, 39, 27, 8, 4, 52, 0, 18, 10, 7, 4, 0.0, 19, 1, 1, 0, 0, 27, 27, 7.69, 43.96, 80.22, 49.5, 69.1875, 69.1875, 0, 30.796875, 42.8984375, 0.0, 46.1953125, 25.59765625, 17.8984375, 10.3, 0.0, 69.1875, 48.6953125, 20.5, 2.599609375, 10.298828125, 2.599609375, 282.0, 75.0, 14.0, 8.0, 220.0, "Tous les candidats", 498.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4725", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4725&g_ta_cod=4725", 73.0, 15.0, 12.0),
(4946, "Public", "0690032K", "Lycée Juliette Récamier", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "CPGE", "Lycée Juliette Récamier - CPGE - ENS Rennes D1", "Classe préparatoire économique et commerciale", "", 42, 2012, 1468, 2012, 0, 1862, 183, 7, 0, 3, 2, 140, 0, 0, 0, 0, 0, 1206, 0, 0, 1206, 1193, 132, 0, 0, 0, 0, 13, 272, 41, 31, 41, 0, 9.0, 31.0, 39.0, 0, 8, 40, 40, 0, 0, 1, 0, 0, 0, 6, 28, 6.0, 40, 0, 0, 0, 0, 10, 10, 21.95, 75.61, 95.12, 75.59375, 25.0, 25.0, 0, 20.0, 97.59375, 0.0, 0.0, 0.0, 15.0, 70.0, 15.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 261.0, 40.0, 0.0, 0.0, 11.0, "Tous les candidats", 492.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "8193", "CPGE - ENS Rennes D1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8193&g_ta_cod=8193", 100.0, 0.0, 0.0),
(4947, "Public", "0672981B", "IFSI Erstein", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Erstein", "formation sélective", "IFSI", "Regroupement d'IFSI Université Strasbourg - D.E Infirmier", "D.E secteur sanitaire", "", 54, 2866, 2409, 2866, 0, 482, 87, 585, 170, 287, 102, 1512, 0, 0, 0, 0, 0, 2482, 0, 0, 0, 466, 79, 504, 136, 211, 67, 1301, 684, 54, 47, 54, 0, 2.0, 32.0, 42.0, 0, 7, 29, 11, 12, 6, 25, 0, 1, 15, 10, 3, 0.0, 11, 12, 5, 0, 0, 25, 25, 3.7, 59.26, 77.78, 87.0, 86.1875, 86.1875, 0, 24.09765625, 53.6953125, 0.0, 3.39990234375, 51.6953125, 34.5, 10.3, 0.0, 37.8984375, 37.8984375, 41.3984375, 41.3984375, 20.69921875, 17.19921875, 192.0, 37.0, 27.0, 16.0, 356.0, "Tous les candidats", 1808.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "23243", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23000&g_ta_cod=23243", 50.0, 33.0, 17.0),
(4948, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence_Las", "Université de Reims Champagne-Ardenne - Licence - Sciences pour la santé - Psychologie -  option Santé", "Licence - Sciences - technologies - santé", "Psychologie", 125, 1359, 1080, 1359, 0, 922, 173, 90, 34, 8, 2, 339, 0, 0, 0, 0, 0, 1359, 0, 0, 0, 922, 173, 90, 34, 8, 2, 339, 404, 124, 111, 124, 0, 29.0, 117.0, 121.0, 0, 23, 119, 112, 7, 0, 5, 0, 0, 22, 62, 28, 7.0, 112, 7, 0, 0, 0, 97, 97, 23.39, 94.35, 97.58, 89.5, 81.5, 81.5, 0, 19.296875, 96.0, 0.0, 0.0, 18.5, 52.09375, 23.5, 5.9, 94.09375, 94.09375, 5.8994140625, 5.8994140625, 0.0, 0.0, 344.0, 56.0, 1.0, 0.0, 41.0, "Tous les candidats", 551.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "32172", "Licence - Sciences pour la santé - Psychologie -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32172&g_ta_cod=32172", 93.0, 6.0, 1.0),
(4949, "Public", "0381603L", "Lycée Andre Argouges", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée Andre Argouges - BTS - Production - Systèmes photoniques", "BTS - Production", "", 24, 220, 66, 193, 0, 32, 3, 56, 14, 22, 8, 83, 27, 1, 5, 4, 17, 122, 7, 0, 0, 32, 3, 48, 11, 13, 4, 29, 101, 16, 3, 14, 2, 5.0, 9.0, 15.0, 0, 1, 8, 5, 1, 2, 8, 1, 4, 3, 0, 0, 0.0, 0, 1, 2, 0, 0, 4, 4, 31.25, 56.25, 93.75, 18.796875, 50.0, 50.0, 0, 12.5, 50.0, 12.5, 50.0, 37.5, 0.0, 0.0, 0.0, 62.5, 0.0, 12.5, 12.5, 25.0, 25.0, 26.0, 3.0, 7.0, 2.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 60.0, "4976", "BTS - Production - Systèmes photoniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4976&g_ta_cod=4976", 69.0, 13.0, 19.0),
(4950, "Public", "0442095N", "LGT La Herdrie", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Basse-Goulaine", "formation sélective", "BTS", "LGT La Herdrie - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 70, 1476, 637, 1474, 0, 176, 28, 582, 154, 388, 127, 328, 2, 1, 0, 0, 1, 1092, 0, 0, 0, 166, 28, 455, 114, 311, 91, 160, 373, 58, 26, 58, 0, 3.0, 19.0, 45.0, 0, 18, 44, 5, 24, 15, 14, 0, 20, 20, 4, 0, 0.0, 2, 12, 10, 6, 2, 39, 39, 5.17, 32.76, 77.59, 44.796875, 88.59375, 88.59375, 13.599609375, 40.8984375, 75.890625, 0.0, 45.5, 45.5, 9.099609375, 0.0, 0.0, 11.3984375, 4.5, 54.5, 27.296875, 34.09375, 22.69921875, 36.0, 12.0, 114.0, 37.0, 74.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 215.0, "Bacheliers professionnels toutes séries", 234, "Bacheliers technologiques toutes séries", 255, "Liste d'appel propre à cette formation", 48.0, "5615", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5615&g_ta_cod=5615", 21.0, 50.0, 29.0),
(4951, "Public", "0420041S", "Lycée Claude Fauriel", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "CPGE", "Lycée Claude Fauriel - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 1367, 963, 1367, 883, 1138, 134, 2, 1, 0, 0, 227, 0, 0, 0, 0, 0, 1076, 0, 717, 1047, 929, 100, 0, 0, 0, 0, 147, 339, 44, 35, 44, 0, 3.0, 31.0, 41.0, 10, 9, 44, 44, 0, 0, 0, 0, 0, 1, 21, 22, 0.0, 44, 0, 0, 2, 1, 25, 25, 6.82, 70.45, 93.18, 79.5, 56.796875, 56.796875, 4.5, 20.5, 100.0, 0.0, 0.0, 2.2998046875, 47.6953125, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 335.0, 52.0, 0.0, 0.0, 4.0, "Tous les candidats", 471.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "5281", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5281&g_ta_cod=5281", 100.0, 0.0, 0.0),
(4952, "Public", "9710002A", "LGT Gerville Reache", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "BTS", "LGT Gerville Reache - BTS - Services - Support à l'action managériale", "BTS - Services", "", 30, 179, 124, 167, 0, 31, 18, 71, 43, 45, 33, 20, 12, 0, 0, 10, 2, 167, 4, 0, 0, 31, 18, 71, 43, 45, 33, 20, 95, 32, 22, 28, 4, 4.0, 28.0, 29.0, 0, 20, 28, 5, 14, 9, 4, 0, 18, 6, 4, 0, 0.0, 1, 6, 3, 6, 5, 27, 27, 12.5, 87.5, 90.63, 68.796875, 96.390625, 96.390625, 21.3984375, 71.390625, 87.5, 0.0, 64.296875, 21.3984375, 14.298828125, 0.0, 0.0, 17.8984375, 3.599609375, 50.0, 21.3984375, 32.09375, 10.69921875, 21.0, 13.0, 30.0, 23.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 80.0, "11729", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11729&g_ta_cod=11729", 22.0, 44.0, 34.0),
(4953, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - HISTOIRE - LLCER ARABE", "Licence - Sciences humaines et sociales", "HISTOIRE - LLCER ARABE", 40, 343, 216, 117, 0, 64, 24, 4, 3, 0, 0, 49, 226, 63, 13, 10, 140, 60, 21, 0, 0, 37, 8, 2, 1, 0, 0, 21, 78, 32, 16, 24, 8, 14.0, 24.0, 30.0, 0, 5, 23, 23, 0, 0, 9, 1, 2, 8, 6, 6, 0.0, 20, 0, 0, 0, 0, 0, 7, 43.75, 75.0, 93.75, 50.0, 0.0, 30.3984375, 0, 21.69921875, 71.890625, 4.2998046875, 8.69921875, 34.796875, 26.09765625, 26.1, 0.0, 100.0, 87.0, 0.0, 0.0, 0.0, 0.0, 47.0, 9.0, 0.0, 0.0, 30.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "12468", "Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - HISTOIRE - LLCER ARABE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12468&g_ta_cod=12468", 97.0, 3.0, 0.0),
(4954, "Public", "0530012A", "LGT Réaumur - Lycée des métiers", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "LGT Réaumur - Lycée des métiers - BTS - Production - Travaux publics", "BTS - Production", "", 18, 275, 25, 260, 0, 41, 1, 89, 11, 48, 12, 82, 15, 0, 4, 4, 7, 190, 5, 0, 0, 41, 1, 89, 11, 45, 11, 15, 103, 13, 0, 11, 2, 2.0, 10.0, 11.0, 0, 3, 13, 3, 8, 2, 0, 0, 8, 4, 1, 0, 0.0, 0, 3, 2, 2, 0, 6, 6, 15.38, 76.92, 84.62, 0.0, 46.1953125, 46.1953125, 15.3984375, 23.09765625, 100.0, 0.0, 61.5, 30.796875, 7.69921875, 0.0, 0.0, 23.09765625, 0.0, 61.5, 23.09765625, 15.3984375, 15.3984375, 19.0, 0.0, 18.0, 6.0, 9.0, "Tous les candidats sauf les Bac professionnels", 142.0, "Bacheliers professionnels toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 70.0, "6199", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6199&g_ta_cod=6199", 23.0, 62.0, 15.0),
(4955, "Privé sous contrat d'association", "0593117T", "Lycée polyvalent privé La Salle", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée polyvalent privé La Salle - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 479, 98, 369, 0, 254, 56, 0, 0, 0, 0, 115, 110, 52, 1, 0, 57, 159, 44, 0, 159, 128, 24, 0, 0, 0, 0, 31, 187, 17, 3, 11, 6, 4.0, 11.0, 14.0, 0, 2, 7, 7, 0, 0, 10, 0, 1, 1, 4, 1, 0.0, 6, 0, 0, 2, 0, 6, 6, 23.53, 64.71, 82.35, 17.59765625, 85.6875, 85.6875, 28.59765625, 28.59765625, 41.1953125, 0.0, 14.298828125, 14.298828125, 57.09375, 14.3, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 141.0, 22.0, 0.0, 0.0, 45.0, "Tous les candidats", 158.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "6988", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6988&g_ta_cod=6988", 94.0, 6.0, 0.0),
(4956, "Privé sous contrat d'association", "9720615L", "Lycée AMEP", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée AMEP - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 122, 67, 91, 0, 20, 7, 46, 16, 18, 12, 7, 31, 2, 7, 8, 14, 84, 6, 0, 0, 19, 6, 46, 16, 18, 12, 1, 56, 19, 5, 16, 3, 0.0, 14.0, 16.0, 0, 6, 17, 2, 11, 4, 2, 0, 12, 5, 0, 0, 0.0, 0, 3, 2, 2, 0, 17, 17, 0.0, 73.68, 84.21, 26.296875, 100.0, 100.0, 11.798828125, 35.296875, 89.5, 0.0, 70.59375, 29.3984375, 0.0, 0.0, 0.0, 11.798828125, 0.0, 64.6875, 17.59765625, 23.5, 11.798828125, 11.0, 4.0, 8.0, 5.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 89.0, "11818", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11818&g_ta_cod=11818", 21.0, 58.0, 21.0),
(4957, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Sciences sociales - Parcours Economie et sociologie", "Licence - Sciences humaines et sociales", "Economie et sociologie", 250, 1664, 1064, 1561, 0, 1001, 246, 123, 61, 31, 16, 406, 103, 14, 8, 4, 77, 1555, 97, 0, 0, 1001, 246, 123, 61, 31, 16, 400, 1652, 244, 131, 204, 40, 200.0, 202.0, 209.0, 0, 43, 126, 95, 20, 11, 118, 0, 54, 48, 17, 7, 0.0, 57, 10, 5, 0, 0, 61, 61, 81.97, 82.79, 85.66, 53.6953125, 48.3984375, 48.3984375, 0, 34.09375, 51.59375, 0.0, 42.8984375, 38.09375, 13.5, 5.6, 0.0, 75.390625, 45.1953125, 15.8984375, 7.8994140625, 8.69921875, 4.0, 1015.0, 249.0, 34.0, 19.0, 472.0, "Tous les candidats", 1555.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4172", "Licence - Sciences sociales - Parcours Economie et sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4172&g_ta_cod=4172", 69.0, 16.0, 12.0),
(4958, "Public", "0880152M", "Lycée Georges Baumont", "88", "Vosges", "Grand Est", "Nancy-Metz", "Saint-Dié-des-Vosges", "formation sélective", "Autre formation", "Lycée Georges Baumont - Mention complémentaire - Technicien(ne) en tuyauterie", "Mention complémentaire", "", 10, 27, 2, 27, 0, 0, 0, 0, 0, 13, 5, 14, 0, 0, 0, 0, 0, 21, 0, 0, 0, 0, 0, 0, 0, 13, 5, 8, 17, 10, 0, 10, 0, 6.0, 10.0, 10.0, 0, 4, 8, 0, 0, 8, 2, 0, 4, 2, 2, 0, 0.0, 0, 0, 4, 0, 0, 7, 7, 60.0, 100.0, 100.0, 0.0, 87.5, 87.5, 0, 50.0, 80.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 11.0, 5.0, 6.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "33408", "Mention complémentaire - Technicien(ne) en tuyauterie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33408&g_ta_cod=33408", 0.0, 0.0, 100.0),
(4959, "Public", "0290108K", "Lycée polyvalent Dupuy de Lôme", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée polyvalent Dupuy de Lôme - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 15, 199, 11, 192, 0, 6, 2, 52, 6, 86, 24, 48, 7, 1, 3, 0, 3, 136, 4, 0, 0, 6, 2, 49, 6, 64, 17, 17, 76, 9, 1, 5, 4, 1.0, 5.0, 6.0, 0, 1, 7, 1, 1, 5, 2, 0, 3, 2, 2, 0, 0.0, 0, 0, 4, 3, 0, 7, 7, 11.11, 55.56, 66.67, 11.099609375, 100.0, 100.0, 42.8984375, 14.298828125, 77.796875, 0.0, 42.8984375, 28.59765625, 28.59765625, 0.0, 0.0, 14.298828125, 0.0, 14.298828125, 0.0, 71.390625, 57.09375, 6.0, 2.0, 30.0, 9.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 63.0, "3806", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3806&g_ta_cod=3806", 11.0, 33.0, 56.0),
(4960, "Public", "0630069H", "Lycée Jean Zay", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Thiers", "formation sélective", "BTS", "Lycée Jean Zay - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 154, 15, 148, 0, 15, 3, 42, 7, 33, 8, 58, 6, 0, 1, 0, 5, 145, 4, 0, 0, 15, 3, 40, 7, 33, 8, 57, 77, 14, 3, 11, 3, 2.0, 10.0, 11.0, 0, 0, 4, 0, 2, 2, 10, 0, 0, 2, 2, 0, 0.0, 0, 2, 2, 1, 0, 4, 4, 14.29, 71.43, 78.57, 21.3984375, 100.0, 100.0, 25, 0.0, 28.59765625, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 12.0, 3.0, 24.0, 8.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 65.0, "7582", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7582&g_ta_cod=7582", 36.0, 36.0, 29.0),
(4961, "Public", "0301577B", "Université de Montpellier, Antenne de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "Licence", "Université de Montpellier, Antenne de Nîmes - Licence - Sciences et technologies - Parcours Métiers de l'enseignement, de l'éducation et de la formation (Faculté d'éducation)", "Licence - Sciences - technologies - santé", "Métiers de l'enseignement, de l'éducation et de la formation (Faculté d'éducation)", 78, 628, 500, 628, 0, 342, 87, 69, 25, 10, 5, 207, 0, 0, 0, 0, 0, 628, 0, 0, 0, 342, 87, 69, 25, 10, 5, 207, 317, 77, 64, 77, 0, 11.0, 64.0, 74.0, 0, 14, 57, 55, 1, 1, 20, 0, 19, 25, 10, 3, 0.0, 36, 1, 1, 0, 0, 35, 35, 14.29, 83.12, 96.1, 83.09375, 61.3984375, 61.3984375, 0, 24.59765625, 74.0, 0.0, 33.296875, 43.8984375, 17.5, 5.3, 0.0, 96.5, 63.1953125, 1.7998046875, 1.7998046875, 1.7998046875, 1.7998046875, 229.0, 55.0, 1.0, 1.0, 79.0, "Tous les candidats", 393.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "21156", "Licence - Sciences et technologies - Parcours Métiers de l'enseignement, de l'éducation et de la formation (Faculté d'éducation)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21156&g_ta_cod=21156", 94.0, 5.0, 1.0),
(4962, "Public", "0600040T", "Lycée Jean Calvin", "60", "Oise", "Hauts-de-France", "Amiens", "Noyon", "formation sélective", "BTS", "Lycée Jean Calvin - BTS - Services - Gestion de la PME", "BTS - Services", "", 20, 227, 142, 182, 0, 12, 3, 55, 19, 48, 23, 67, 45, 0, 0, 23, 22, 78, 9, 0, 0, 12, 3, 36, 11, 26, 11, 4, 55, 9, 6, 7, 1, 5.0, 7.0, 7.0, 0, 3, 9, 2, 2, 5, 0, 0, 4, 3, 2, 0, 0.0, 1, 1, 3, 2, 0, 9, 9, 55.56, 77.78, 77.78, 66.6875, 100.0, 100.0, 22.19921875, 33.296875, 100.0, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 22.19921875, 11.099609375, 22.19921875, 11.099609375, 55.59375, 33.296875, 7.0, 1.0, 33.0, 14.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 35.0, "7249", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7249&g_ta_cod=7249", 22.0, 22.0, 56.0),
(4963, "Privé hors contrat", "6200694K", "Institut consulaire de formation euro-méditerranéen", "2A", "Corse du Sud", "Corse", "Corse", "Ajaccio", "formation sélective", "Autre formation", "Institut consulaire de formation euro-méditerranéen - Formation professionnelle - Gestionnaire d'unité commerciale (option généraliste / option spécialisée) (bac +2)", "Formation professionnelle", "", 20, 28, 15, 24, 0, 5, 0, 7, 3, 4, 2, 8, 4, 0, 1, 0, 3, 24, 0, 0, 0, 5, 0, 7, 3, 4, 2, 8, 24, 7, 4, 7, 0, 7.0, 7.0, 7.0, 0, 2, 6, 2, 4, 0, 1, 0, 4, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 6, 6, 100.0, 100.0, 100.0, 57.09375, 100.0, 100.0, 0, 33.296875, 85.6875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 33.296875, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 5.0, 0.0, 4.0, 2.0, 8.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12988", "Formation professionnelle - Gestionnaire d'unité commerciale (option généraliste / option spécialisée) (bac +2)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12988&g_ta_cod=12988", 43.0, 57.0, 0.0),
(4964, "Public", "0660699B", "Lycée agricole Federico GARCIA LORCA", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Elne", "formation sélective", "BTS", "Lycée agricole Federico GARCIA LORCA - BTS - Agricole - Production horticole", "BTS - Agricole", "", 19, 158, 50, 151, 0, 9, 4, 20, 6, 33, 17, 89, 7, 1, 3, 0, 3, 74, 3, 0, 0, 9, 4, 18, 4, 33, 17, 14, 49, 13, 4, 11, 2, 6.0, 10.0, 13.0, 0, 6, 9, 1, 1, 7, 4, 0, 3, 5, 1, 0, 0.0, 1, 0, 5, 1, 0, 8, 8, 46.15, 76.92, 100.0, 30.796875, 88.890625, 88.890625, 11.099609375, 66.6875, 69.1875, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 11.099609375, 11.099609375, 11.099609375, 0.0, 77.796875, 55.59375, 9.0, 4.0, 13.0, 7.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 34.0, "7895", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7895&g_ta_cod=7895", 15.0, 23.0, 62.0),
(4965, "Public", "0782075G", "Unité de Formation et de Recherche de Sciences de l' Université de Versailles Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation non sélective", "Licence", "Unité de Formation et de Recherche de Sciences de l' Université de Versailles Saint Quentin en Yvelines - Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales - Parcours Mathématiques et informatique Appliquées aux Sciences Humaines Sociales MIASHS", "Licence - Sciences - technologies - santé", "Mathématiques et informatique Appliquées aux Sciences Humaines Sociales MIASHS", 75, 556, 188, 542, 0, 350, 63, 14, 3, 2, 1, 176, 14, 4, 1, 0, 9, 529, 8, 0, 0, 350, 63, 14, 3, 2, 1, 163, 431, 73, 18, 65, 8, 10.0, 37.0, 59.0, 0, 9, 44, 41, 2, 1, 29, 0, 28, 10, 6, 0, 0.0, 14, 1, 1, 0, 0, 33, 39, 13.7, 50.68, 80.82, 24.69921875, 75.0, 88.59375, 0, 20.5, 60.296875, 0.0, 63.59375, 22.69921875, 13.599609375, 0.0, 0.0, 93.1875, 31.796875, 4.5, 2.2998046875, 2.2998046875, 2.2998046875, 309.0, 56.0, 2.0, 1.0, 117.0, "Tous les candidats", 508.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "9988", "Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales - Parcours Mathématiques et informatique Appliquées aux Sciences Humaines Sociales MIASHS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27119&g_ta_cod=9988", 89.0, 8.0, 1.0),
(4966, "Public", "0310088C", "Lycée professionnel de l'Ameublement", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Revel", "formation sélective", "Autre formation", "Lycée professionnel de l'Ameublement - DN MADE - Objet - - Spécialité : création et expérimentation en ébénisterie", "DN MADE", "- Spécialité : création et expérimentation en ébénisterie", 12, 169, 86, 169, 0, 42, 8, 37, 7, 12, 3, 78, 0, 0, 0, 0, 0, 169, 0, 0, 0, 42, 8, 37, 7, 12, 3, 78, 31, 12, 6, 12, 0, 5.0, 8.0, 12.0, 0, 1, 2, 1, 0, 1, 10, 0, 0, 1, 1, 0, 0.0, 1, 0, 1, 0, 0, 1, 1, 41.67, 66.67, 100.0, 50.0, 50.0, 50.0, 0, 50.0, 16.69921875, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 50.0, 50.0, 1.0, 1.0, 2.0, 1.0, 25.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "21700", "DN MADE - Objet - - Spécialité : création et expérimentation en ébénisterie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21700&g_ta_cod=21700", 25.0, 17.0, 17.0),
(4967, "Public", "0260006R", "Lycée F.J. Armorin", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Crest", "formation sélective", "Autre formation", "Lycée F.J. Armorin - Mention complémentaire - FCIL administration de projets dans le secteur du tourisme", "Mention complémentaire", "", 15, 24, 18, 22, 0, 3, 0, 2, 1, 8, 4, 9, 2, 0, 0, 0, 2, 22, 0, 0, 0, 3, 0, 2, 1, 8, 4, 9, 22, 3, 2, 3, 0, 1.0, 3.0, 3.0, 0, 0, 1, 0, 0, 1, 2, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 33.33, 100.0, 100.0, 66.6875, 0.0, 0.0, 0, 0.0, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 3.0, 0.0, 8.0, 4.0, 9.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "25373", "Mention complémentaire - FCIL administration de projets dans le secteur du tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25373&g_ta_cod=25373", 67.0, 0.0, 33.0),
(4968, "Privé sous contrat d'association", "0121298W", "MFREO de St Sernin / Rance", "12", "Aveyron", "Occitanie", "Toulouse", "Saint-Sernin-sur-Rance", "formation sélective", "BTS", "MFREO de St Sernin / Rance - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 60, 328, 113, 328, 0, 77, 15, 72, 6, 85, 29, 94, 0, 0, 0, 0, 0, 288, 0, 0, 0, 77, 15, 68, 5, 68, 21, 75, 158, 63, 19, 62, 0, 30.0, 56.0, 60.0, 0, 10, 51, 12, 19, 20, 12, 0, 17, 25, 9, 0, 0.0, 7, 14, 13, 4, 2, 20, 20, 47.62, 88.89, 95.24, 30.19921875, 39.1953125, 39.1953125, 7.7998046875, 19.59765625, 81.0, 0.0, 33.296875, 49.0, 17.59765625, 0.0, 0.0, 23.5, 13.69921875, 37.296875, 27.5, 39.1953125, 25.5, 34.0, 7.0, 41.0, 11.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 78.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 63.0, "2505", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2505&g_ta_cod=2505", 32.0, 33.0, 35.0),
(4969, "Public", "0340076Y", "Lycée Irene et Frederic Joliot Curie", "34", "Hérault", "Occitanie", "Montpellier", "Sète", "formation sélective", "BTS", "Lycée Irene et Frederic Joliot Curie - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 705, 422, 698, 0, 24, 6, 236, 107, 197, 109, 241, 7, 0, 2, 4, 1, 322, 1, 0, 0, 16, 2, 142, 67, 131, 72, 33, 204, 29, 20, 28, 1, 13.0, 21.0, 26.0, 0, 11, 27, 1, 16, 10, 2, 0, 11, 10, 5, 1, 0.0, 1, 8, 7, 6, 3, 23, 23, 44.83, 72.41, 89.66, 69.0, 85.1875, 85.1875, 22.19921875, 40.6953125, 93.09375, 0.0, 40.6953125, 37.0, 18.5, 3.7, 0.0, 3.69970703125, 3.69970703125, 59.296875, 29.59765625, 37.0, 25.8984375, 6.0, 2.0, 75.0, 35.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 151, "Liste d'appel propre à cette formation", 36.0, "4517", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4517&g_ta_cod=4517", 3.0, 59.0, 38.0),
(4970, "Public", "0311086M", "I.U.T de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BUT", "I.U.T de Toulouse - BUT - Information communication Parcours communication des organisations", "BUT - Service", "", 54, 3153, 2462, 3153, 0, 1810, 289, 640, 173, 20, 8, 683, 0, 0, 0, 0, 0, 1854, 0, 0, 0, 1061, 153, 428, 110, 0, 0, 365, 216, 55, 53, 55, 0, 6.0, 44.0, 48.0, 0, 11, 46, 25, 21, 0, 9, 0, 0, 9, 22, 15, 0.0, 25, 21, 0, 0, 0, 30, 30, 10.91, 80.0, 87.27, 96.390625, 65.1875, 65.1875, 0, 23.8984375, 83.59375, 0.0, 0.0, 19.59765625, 47.796875, 32.6, 0.0, 54.296875, 54.296875, 45.6953125, 45.6953125, 0.0, 0.0, 100.0, 18.0, 0.0, 0.0, 37.0, "Tous les candidats sauf les Bac technologiques", 194.0, "Bacheliers technologiques toutes séries", 141, "", 0, "Liste d'appel propre à cette formation", 11.0, "4103", "BUT - Information communication Parcours communication des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4103&g_ta_cod=4103", 58.0, 42.0, 0.0),
(4971, "Privé sous contrat d'association", "0141178E", "Lycée Sainte Ursule", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Sainte Ursule - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 744, 345, 744, 0, 99, 14, 333, 71, 178, 52, 134, 0, 0, 0, 0, 0, 704, 0, 0, 0, 95, 13, 320, 67, 168, 50, 121, 204, 31, 15, 31, 0, 6.0, 16.0, 20.0, 0, 3, 25, 4, 13, 8, 6, 0, 12, 12, 1, 0, 0.0, 2, 6, 5, 4, 3, 25, 25, 19.35, 51.61, 64.52, 48.3984375, 100.0, 100.0, 16, 12.0, 80.59375, 0.0, 48.0, 48.0, 4.0, 0.0, 0.0, 16.0, 8.0, 52.0, 24.0, 32.0, 20.0, 30.0, 6.0, 31.0, 7.0, 32.0, "Tous les candidats sauf les Bac professionnels", 161.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 25.0, "2847", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2847&g_ta_cod=2847", 26.0, 45.0, 29.0),
(4972, "Public", "0592602H", "I.U.T. de Lille A", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "BUT", "I.U.T. de Lille A - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Management de process industriel - Conception et production durable (Seconde année possible en apprentissage)", "BUT - Production", "Innovation pour l?industrie - Management de process industriel - Conception et production durable", 88, 1365, 125, 1307, 0, 704, 75, 329, 65, 4, 2, 270, 58, 10, 11, 0, 37, 1001, 24, 0, 0, 597, 57, 212, 35, 0, 0, 192, 566, 85, 6, 79, 6, 6.0, 58.0, 80.0, 0, 15, 70, 40, 30, 0, 15, 0, 20, 33, 17, 0, 0.0, 24, 26, 0, 0, 0, 44, 44, 7.06, 68.24, 94.12, 7.099609375, 62.8984375, 62.8984375, 0, 21.3984375, 82.390625, 0.0, 28.59765625, 47.09375, 24.296875, 0.0, 0.0, 57.09375, 34.296875, 42.8984375, 37.09375, 0.0, 0.0, 296.0, 31.0, 0.0, 0.0, 115.0, "Tous les candidats sauf les Bac technologiques", 771.0, "Bacheliers technologiques toutes séries", 228, "", 0, "Liste d'appel propre à cette formation", 76.0, "6887", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Management de process industriel - Conception et production durable (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6887&g_ta_cod=6887", 61.0, 39.0, 0.0),
(4973, "Public", "0290071V", "Lycée Yves Thepot", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Yves Thepot - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 30, 226, 9, 221, 0, 3, 1, 30, 5, 143, 35, 45, 5, 0, 3, 0, 2, 186, 0, 0, 0, 3, 1, 30, 5, 130, 30, 23, 106, 22, 0, 22, 0, 7.0, 17.0, 18.0, 0, 6, 20, 1, 1, 18, 2, 0, 2, 11, 5, 2, 0.0, 1, 1, 16, 10, 0, 19, 19, 31.82, 77.27, 81.82, 0.0, 95.0, 95.0, 50, 30.0, 90.890625, 0.0, 10.0, 55.0, 25.0, 10.0, 0.0, 5.0, 5.0, 5.0, 5.0, 90.0, 80.0, 3.0, 1.0, 65.0, 18.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 86, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 59.0, "3802", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3802&g_ta_cod=3802", 5.0, 14.0, 82.0),
(4974, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues étrangères appliquées - Parcours Arabe - Anglais", "Licence - Arts-lettres-langues", "Arabe - Anglais", 21, 316, 242, 316, 0, 94, 48, 40, 22, 26, 10, 156, 0, 0, 0, 0, 0, 316, 0, 0, 0, 94, 48, 40, 22, 26, 10, 156, 86, 21, 16, 21, 0, 2.0, 16.0, 20.0, 0, 2, 8, 3, 4, 1, 13, 1, 5, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 4, 6, 9.52, 76.19, 95.24, 76.1875, 50.0, 75.0, 0, 25.0, 38.09375, 12.5, 62.5, 25.0, 0.0, 0.0, 0.0, 37.5, 25.0, 50.0, 0.0, 12.5, 0.0, 24.0, 10.0, 12.0, 6.0, 38.0, "Tous les candidats", 103.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "15136", "Licence - Langues étrangères appliquées - Parcours Arabe - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15136&g_ta_cod=15136", 57.0, 29.0, 10.0),
(4975, "Privé sous contrat d'association", "0940878U", "Lycée Teilhard De Chardin", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "BTS", "Lycée Teilhard De Chardin - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 742, 637, 355, 0, 17, 2, 80, 28, 142, 64, 116, 387, 25, 139, 50, 173, 124, 28, 0, 0, 13, 1, 42, 13, 52, 22, 17, 130, 15, 13, 7, 7, 1.0, 7.0, 12.0, 0, 3, 12, 4, 5, 3, 3, 0, 7, 2, 3, 0, 0.0, 0, 2, 3, 0, 0, 10, 12, 6.67, 46.67, 80.0, 86.6875, 83.296875, 100.0, 0, 25.0, 80.0, 0.0, 58.296875, 16.69921875, 25.0, 0.0, 0.0, 33.296875, 0.0, 41.6953125, 16.69921875, 25.0, 25.0, 20.0, 2.0, 41.0, 17.0, 18.0, "Tous les candidats sauf les Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 35.0, "11458", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11458&g_ta_cod=11458", 27.0, 40.0, 33.0),
(4976, "Public", "0310044E", "Lycée Déodat de Séverac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Déodat de Séverac - BTS - Production - Electrotechnique", "BTS - Production", "", 56, 628, 30, 591, 0, 31, 9, 116, 39, 257, 100, 187, 37, 0, 8, 10, 19, 330, 5, 0, 0, 24, 6, 99, 32, 153, 47, 54, 184, 51, 1, 47, 4, 12.0, 41.0, 47.0, 0, 11, 39, 4, 7, 28, 12, 0, 6, 13, 15, 5, 0.0, 2, 4, 27, 3, 1, 27, 27, 23.53, 80.39, 92.16, 2.0, 69.1875, 69.1875, 7.69921875, 28.19921875, 76.5, 0.0, 15.3984375, 33.296875, 38.5, 12.8, 0.0, 10.298828125, 5.099609375, 17.8984375, 10.298828125, 71.796875, 69.1875, 6.0, 4.0, 79.0, 23.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 158, "Bacheliers technologiques toutes séries", 124, "Liste d'appel propre à cette formation", 50.0, "4059", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4059&g_ta_cod=4059", 8.0, 33.0, 59.0),
(4977, "Public", "0501893L", "IUT GRAND OUEST NORMANDIE - Pôle de Cherbourg - Site de Cherbourg-en-Cotentin", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Cherbourg - Site de Cherbourg-en-Cotentin - BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique industrielle", "BUT - Production", "Automatisme et Informatique industrielle", 44, 341, 30, 299, 0, 171, 26, 78, 12, 1, 0, 49, 42, 6, 1, 0, 35, 247, 25, 0, 0, 156, 22, 65, 9, 0, 0, 26, 196, 32, 0, 20, 12, 4.0, 19.0, 27.0, 0, 4, 19, 12, 7, 0, 13, 0, 5, 11, 2, 1, 0.0, 8, 6, 0, 0, 0, 15, 15, 12.5, 59.38, 84.38, 0.0, 78.890625, 78.890625, 0, 21.09765625, 59.3984375, 0.0, 26.296875, 57.8984375, 10.5, 5.3, 0.0, 63.1953125, 42.09375, 36.796875, 31.59765625, 0.0, 0.0, 98.0, 10.0, 0.0, 0.0, 42.0, "Tous les candidats sauf les Bac technologiques", 175.0, "Bacheliers technologiques toutes séries", 72, "", 0, "Liste d'appel propre à cette formation", 82.0, "6039", "BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6039&g_ta_cod=6039", 72.0, 28.0, 0.0),
(4978, "Public", "0050567P", "IFSI du C.H.I.C.A.S", "05", "Hautes-Alpes", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Gap", "formation sélective", "IFSI", "Regroupement d'IFSI Université Aix-Marseille - D.E Infirmier", "D.E secteur sanitaire", "", 30, 5062, 4170, 5062, 0, 624, 149, 799, 242, 476, 208, 3163, 0, 0, 0, 0, 0, 2445, 0, 0, 0, 482, 99, 374, 93, 67, 19, 1522, 409, 30, 24, 30, 0, 2.0, 17.0, 27.0, 0, 2, 11, 8, 3, 0, 19, 0, 2, 7, 0, 2, 0.0, 6, 3, 0, 0, 0, 6, 6, 6.67, 56.67, 90.0, 80.0, 54.5, 54.5, 0, 18.19921875, 36.6953125, 0.0, 18.19921875, 63.59375, 0.0, 18.2, 0.0, 72.6875, 54.5, 27.296875, 27.296875, 0.0, 0.0, 140.0, 33.0, 1.0, 1.0, 237.0, "Tous les candidats", 2160.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 17.0, "23028", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22987&g_ta_cod=23028", 70.0, 20.0, 10.0),
(4979, "Privé sous contrat d'association", "0850130E", "Lycée Notre Dame Du Roc", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée Notre Dame Du Roc - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 165, 109, 146, 0, 18, 3, 42, 6, 35, 5, 51, 19, 1, 5, 0, 13, 109, 7, 0, 0, 18, 3, 42, 6, 35, 5, 14, 99, 23, 15, 20, 3, 4.0, 19.0, 23.0, 0, 2, 16, 3, 6, 7, 7, 0, 7, 6, 3, 0, 0.0, 1, 3, 5, 10, 7, 13, 13, 17.39, 82.61, 100.0, 65.1875, 81.296875, 81.296875, 62.5, 12.5, 69.59375, 0.0, 43.796875, 37.5, 18.796875, 0.0, 0.0, 18.796875, 6.2998046875, 37.5, 18.796875, 43.796875, 31.296875, 16.0, 3.0, 27.0, 3.0, 15.0, "Tous les candidats sauf les Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 75.0, "10498", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10498&g_ta_cod=10498", 17.0, 48.0, 35.0),
(4980, "Privé sous contrat d'association", "0783664J", "ESTACA Paris-Saclay (Saint-Quentin-en-Yvelines)", "78", "Yvelines", "Ile-de-France", "Versailles", "Montigny-le-Bretonneux", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 260, 5087, 912, 5087, 0, 5082, 257, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 3400, 0, 0, 0, 3398, 116, 0, 0, 0, 0, 2, 1954, 267, 34, 267, 0, 210.0, 233.0, 248.0, 0, 15, 267, 267, 0, 0, 0, 2, 3, 34, 161, 64, 3.0, 262, 0, 0, 0, 0, 115, 161, 78.65, 87.27, 92.88, 12.69921875, 43.09375, 60.296875, 0, 5.599609375, 100.0, 0.699951171875, 1.099853515625, 12.69921875, 60.296875, 24.0, 1.1, 100.0, 98.09375, 0.0, 0.0, 0.0, 0.0, 1954.0, 98.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "105", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=99&g_ta_cod=105", 100.0, 0.0, 0.0),
(4981, "Public", "0681222J", "Lycée agricole Du Pflixbourg", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Wintzenheim", "formation sélective", "BTS", "Lycée agricole Du Pflixbourg - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 27, 185, 102, 176, 0, 12, 1, 36, 14, 20, 7, 108, 9, 0, 2, 3, 4, 63, 5, 0, 0, 12, 1, 28, 8, 16, 4, 7, 64, 8, 5, 5, 3, 2.0, 5.0, 6.0, 0, 0, 6, 0, 0, 6, 2, 0, 4, 2, 0, 0, 0.0, 0, 0, 2, 2, 2, 6, 6, 25.0, 62.5, 75.0, 62.5, 100.0, 100.0, 33.296875, 0.0, 75.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 33.296875, 12.0, 1.0, 18.0, 4.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 36.0, "18723", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18723&g_ta_cod=18723", 0.0, 13.0, 88.0),
(4982, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Droit - Parcours Droits français et espagnol", "Licence - Droit-économie-gestion", "Droits français et espagnol", 25, 370, 302, 370, 0, 285, 35, 9, 4, 1, 0, 75, 0, 0, 0, 0, 0, 62, 0, 0, 0, 51, 7, 0, 0, 0, 0, 11, 41, 25, 21, 25, 0, 19.0, 25.0, 25.0, 0, 2, 19, 19, 0, 0, 6, 0, 0, 0, 3, 14, 2.0, 19, 0, 0, 0, 0, 3, 5, 76.0, 100.0, 100.0, 84.0, 15.798828125, 26.296875, 0, 10.5, 76.0, 0.0, 0.0, 0.0, 15.798828125, 73.7, 10.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 35.0, 5.0, 0.0, 0.0, 6.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "9203", "Licence - Droit - Parcours Droits français et espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9203&g_ta_cod=9203", 100.0, 0.0, 0.0),
(4983, "Public", "0340039H", "Lycée Georges Clemenceau", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Georges Clemenceau - BTS - Services - Assurance", "BTS - Services", "", 34, 1343, 816, 1254, 0, 110, 40, 429, 245, 267, 166, 448, 89, 1, 25, 10, 53, 328, 15, 0, 0, 42, 13, 152, 74, 88, 52, 46, 212, 30, 18, 21, 9, 0.0, 19.0, 21.0, 0, 15, 22, 1, 15, 6, 8, 0, 10, 8, 4, 0, 0.0, 0, 8, 4, 1, 0, 15, 15, 0.0, 63.33, 70.0, 60.0, 68.1875, 68.1875, 4.5, 68.1875, 73.296875, 0.0, 45.5, 36.3984375, 18.19921875, 0.0, 0.0, 4.5, 0.0, 68.1875, 36.3984375, 27.296875, 18.19921875, 23.0, 10.0, 47.0, 27.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 170, "Liste d'appel propre à cette formation", 23.0, "4486", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4486&g_ta_cod=4486", 10.0, 63.0, 27.0),
(4984, "Public", "0410978R", "I.U.T de Blois", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 6, 133, 2, 131, 0, 0, 0, 124, 34, 0, 0, 7, 2, 0, 2, 0, 0, 61, 0, 0, 0, 0, 0, 60, 13, 0, 0, 1, 32, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 340.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 44.0, "435", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=435", 0, 0, 0),
(4985, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "CPGE", "Lycée Jean Perrin - CPGE - ENS Paris-Saclay D2", "Classe préparatoire économique et commerciale", "ENS Paris-Saclay D2", 36, 501, 256, 446, 261, 341, 52, 1, 1, 0, 0, 104, 55, 25, 1, 3, 26, 355, 3, 261, 251, 287, 39, 1, 1, 0, 0, 67, 217, 17, 7, 16, 1, 0.0, 15.0, 17.0, 2, 5, 15, 15, 0, 0, 2, 0, 0, 6, 6, 2, 1.0, 15, 0, 0, 4, 0, 12, 12, 0.0, 88.24, 100.0, 41.1953125, 80.0, 80.0, 26.69921875, 33.296875, 88.1875, 0.0, 0.0, 40.0, 40.0, 13.3, 6.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 201.0, 25.0, 0.0, 0.0, 16.0, "Tous les candidats", 258.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "2598", "CPGE - ENS Paris-Saclay D2", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2598&g_ta_cod=2598", 100.0, 0.0, 0.0),
(4986, "Public", "0760096S", "Lycée Gustave Flaubert", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "Autre formation", "Lycée Gustave Flaubert - Diplôme de Comptabilité et de Gestion", "DCG", "", 45, 554, 272, 546, 0, 209, 50, 162, 58, 15, 8, 160, 8, 2, 1, 0, 5, 252, 2, 0, 0, 127, 23, 92, 29, 1, 1, 32, 161, 42, 20, 42, 0, 9.0, 39.0, 41.0, 0, 5, 37, 21, 16, 0, 5, 0, 2, 15, 17, 3, 0.0, 20, 15, 0, 0, 0, 34, 34, 21.43, 92.86, 97.62, 47.59375, 91.890625, 91.890625, 0, 13.5, 88.09375, 0.0, 5.3994140625, 40.5, 45.8984375, 8.1, 0.0, 56.796875, 54.09375, 43.1953125, 40.5, 0.0, 0.0, 89.0, 19.0, 0.0, 0.0, 22.0, "Tous les candidats", 230.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "9612", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9612&g_ta_cod=9612", 60.0, 40.0, 0.0),
(4987, "Privé enseignement supérieur", "0820822Y", "EGC Montauban", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Montauban", "formation sélective", "Ecole de Commerce", "EGC d'Occitanie - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "Formation Bac + 3", 40, 145, 63, 135, 0, 100, 8, 13, 0, 2, 0, 20, 10, 2, 4, 1, 3, 108, 6, 0, 0, 89, 7, 11, 0, 1, 0, 7, 98, 19, 11, 16, 3, 4.0, 16.0, 18.0, 0, 2, 18, 11, 5, 2, 1, 0, 4, 9, 5, 0, 0.0, 7, 5, 2, 0, 0, 16, 16, 21.05, 84.21, 94.74, 57.8984375, 88.890625, 88.890625, 0, 11.099609375, 94.6875, 0.0, 22.19921875, 50.0, 27.796875, 0.0, 0.0, 61.09375, 38.8984375, 27.796875, 27.796875, 11.099609375, 11.099609375, 77.0, 6.0, 2.0, 1.0, 8.0, "Tous les candidats", 183.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 80.0, "23583", "Formation des écoles de commerce et de management Bac + 3", "EGC d'Occitanie", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12059&g_ta_cod=23583", 63.0, 26.0, 11.0),
(4988, "Public", "0251994G", "Lycée polyvalent Germaine Tillion", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "BTS", "Lycée polyvalent Germaine Tillion - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 24, 231, 13, 229, 0, 18, 7, 39, 13, 94, 34, 78, 2, 0, 0, 0, 2, 157, 1, 0, 0, 17, 7, 39, 13, 81, 28, 20, 89, 24, 3, 23, 1, 6.0, 12.0, 20.0, 0, 9, 21, 3, 5, 13, 3, 0, 10, 7, 4, 0, 0.0, 1, 1, 9, 15, 2, 19, 19, 25.0, 50.0, 83.33, 12.5, 90.5, 90.5, 71.390625, 42.8984375, 87.5, 0.0, 47.59375, 33.296875, 19.0, 0.0, 0.0, 14.298828125, 4.7998046875, 23.796875, 4.7998046875, 61.8984375, 42.8984375, 17.0, 7.0, 30.0, 10.0, 15.0, "Tous les candidats sauf les Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 45.0, "3485", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3485&g_ta_cod=3485", 17.0, 25.0, 58.0),
(4989, "Privé hors contrat", "0611269Y", "INST FORM REGIONAL EN SANTE", "61", "Orne", "Normandie", "Normandie", "Alençon", "formation sélective", "Autre formation", "INST FORM REGIONAL EN SANTE - D.E Ergothérapeute", "D.E secteur sanitaire", "", 46, 560, 481, 560, 0, 151, 20, 70, 8, 9, 1, 330, 0, 0, 0, 0, 0, 502, 0, 0, 0, 151, 20, 54, 8, 9, 1, 288, 154, 46, 42, 46, 0, 5.0, 31.0, 38.0, 0, 1, 32, 32, 0, 0, 14, 0, 2, 20, 10, 0, 0.0, 30, 0, 0, 0, 0, 11, 11, 10.87, 67.39, 82.61, 91.296875, 34.3984375, 34.3984375, 0, 3.099609375, 69.59375, 0.0, 6.2998046875, 62.5, 31.296875, 0.0, 0.0, 100.0, 93.796875, 0.0, 0.0, 0.0, 0.0, 81.0, 9.0, 1.0, 0.0, 71.0, "Tous les candidats", 170.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "26258", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26258&g_ta_cod=26258", 96.0, 2.0, 2.0),
(4990, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence_Las", "Université Clermont Auvergne - Licence - Portail Histoire Philosophie Lettres -  option Santé", "Licence - Sciences humaines et sociales", "Histoire Philosophie Lettres", 40, 253, 183, 125, 0, 59, 11, 14, 2, 7, 3, 45, 128, 36, 6, 3, 83, 124, 120, 0, 0, 59, 11, 14, 2, 7, 3, 44, 227, 29, 24, 12, 17, 4.0, 12.0, 22.0, 0, 5, 17, 11, 3, 3, 12, 0, 7, 8, 1, 1, 0.0, 8, 1, 1, 0, 0, 6, 6, 13.79, 41.38, 75.86, 82.796875, 35.296875, 35.296875, 0, 29.3984375, 58.59375, 0.0, 41.1953125, 47.09375, 5.8994140625, 5.9, 0.0, 64.6875, 47.09375, 17.59765625, 5.8994140625, 17.59765625, 5.8994140625, 94.0, 22.0, 9.0, 6.0, 107.0, "Tous les candidats", 124.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "26678", "Licence - Portail Histoire Philosophie Lettres -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26678&g_ta_cod=26678", 69.0, 17.0, 14.0),
(4991, "Privé sous contrat d'association", "0022022M", "Lycée Sainte Sophie", "02", "Aisne", "Hauts-de-France", "Amiens", "Bohain-en-Vermandois", "formation sélective", "BTS", "Lycée Sainte Sophie - BTS - Services - Economie sociale familiale", "BTS - Services", "", 36, 143, 118, 94, 0, 12, 2, 27, 6, 22, 8, 33, 49, 1, 10, 21, 17, 34, 19, 0, 0, 4, 1, 16, 4, 4, 1, 10, 61, 22, 17, 18, 4, 16.0, 17.0, 20.0, 0, 4, 15, 2, 9, 4, 7, 0, 6, 5, 3, 1, 0.0, 1, 4, 4, 2, 2, 8, 8, 72.73, 77.27, 90.91, 77.296875, 53.296875, 53.296875, 13.298828125, 26.69921875, 68.1875, 0.0, 40.0, 33.296875, 20.0, 6.7, 0.0, 13.298828125, 6.69921875, 60.0, 26.69921875, 26.69921875, 26.69921875, 5.0, 1.0, 20.0, 6.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 36.0, "2105", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2105&g_ta_cod=2105", 18.0, 45.0, 36.0),
(4992, "Public", "0690040U", "Lycée Hector Guimard", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "BTS", "Lycée Hector Guimard - BTS - Services - Prothésiste dentaire", "BTS - Services", "", 12, 948, 731, 948, 0, 149, 43, 188, 83, 195, 82, 416, 0, 0, 0, 0, 0, 709, 0, 0, 0, 122, 29, 153, 59, 161, 61, 273, 35, 7, 5, 7, 0, 0.0, 3.0, 4.0, 0, 3, 6, 1, 1, 4, 1, 0, 2, 2, 2, 0, 0.0, 1, 1, 2, 1, 1, 3, 3, 0.0, 42.86, 57.14, 71.390625, 50.0, 50.0, 16.69921875, 50.0, 85.6875, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 16.69921875, 16.69921875, 16.69921875, 16.69921875, 66.6875, 33.296875, 4.0, 2.0, 26.0, 9.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 2, "Liste d'appel propre à cette formation", 4.0, "16136", "BTS - Services - Prothésiste dentaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16136&g_ta_cod=16136", 14.0, 14.0, 71.0),
(4993, "Public", "0170060Y", "Lycée Bernard Palissy", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Saintes", "formation sélective", "BTS", "Lycée Bernard Palissy - BTS - Production - Electrotechnique", "BTS - Production", "", 20, 153, 7, 151, 0, 9, 0, 23, 3, 73, 16, 46, 2, 0, 1, 0, 1, 141, 0, 0, 0, 9, 0, 23, 3, 73, 16, 36, 56, 20, 0, 20, 0, 7.0, 15.0, 17.0, 0, 4, 16, 1, 5, 10, 4, 1, 5, 8, 2, 0, 0.0, 1, 0, 9, 2, 0, 13, 13, 35.0, 75.0, 85.0, 0.0, 81.296875, 81.296875, 12.5, 25.0, 80.0, 6.2998046875, 31.296875, 50.0, 12.5, 0.0, 0.0, 6.2998046875, 6.2998046875, 31.296875, 0.0, 62.5, 56.296875, 8.0, 0.0, 23.0, 8.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 53.0, "3041", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3041&g_ta_cod=3041", 15.0, 35.0, 50.0),
(4994, "Public", "0580758J", "Université de Bourgogne - site de Nevers", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation non sélective", "PASS", "Université de Bourgogne - site de Dijon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Sciences et techniques", 3, 1022, 661, 1022, 0, 732, 125, 35, 6, 9, 2, 246, 0, 0, 0, 0, 0, 1017, 0, 0, 0, 733, 126, 35, 6, 9, 2, 240, 27, 3, 0, 3, 0, 0.0, 2.0, 3.0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 2, 1, 0.0, 3, 0, 0, 0, 0, 3, 3, 0.0, 66.67, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 66.6875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 26.0, 6.0, 0.0, 0.0, 1.0, "Tous les candidats", 857.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "28051", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27662&g_ta_cod=28051", 100.0, 0.0, 0.0),
(4995, "Public", "0710048S", "Lycée Rene Cassin", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Mâcon", "formation sélective", "BTS", "Lycée Rene Cassin - BTS - Production - Techniques et services en matériels agricoles", "BTS - Production", "", 12, 108, 10, 105, 0, 10, 1, 21, 1, 58, 7, 16, 3, 2, 0, 0, 1, 91, 1, 0, 0, 10, 1, 20, 1, 57, 7, 4, 24, 12, 1, 11, 1, 8.0, 11.0, 11.0, 0, 1, 11, 2, 1, 8, 1, 0, 0, 6, 4, 1, 0.0, 2, 1, 8, 6, 0, 8, 8, 66.67, 91.67, 91.67, 8.298828125, 72.6875, 72.6875, 54.5, 9.099609375, 91.6875, 0.0, 0.0, 54.5, 36.3984375, 9.1, 0.0, 18.19921875, 18.19921875, 9.099609375, 9.099609375, 72.6875, 72.6875, 3.0, 1.0, 13.0, 2.0, 2.0, "Tous les candidats sauf les Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 48.0, "8637", "BTS - Production - Techniques et services en matériels agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8637&g_ta_cod=8637", 25.0, 8.0, 67.0),
(4996, "Public", "0932667U", "LYCEE POLYVALENT PUBLIC PLAINE COMMUNE", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BTS", "LYCEE POLYVALENT PUBLIC PLAINE COMMUNE - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 1475, 1328, 1475, 0, 65, 40, 280, 145, 672, 380, 458, 0, 0, 0, 0, 0, 1475, 0, 0, 0, 65, 40, 280, 145, 672, 380, 458, 137, 29, 25, 29, 0, 3.0, 19.0, 25.0, 0, 13, 17, 2, 4, 11, 12, 0, 8, 6, 3, 0, 0.0, 1, 0, 8, 2, 1, 9, 14, 10.34, 65.52, 86.21, 86.1875, 52.8984375, 82.390625, 11.798828125, 76.5, 58.59375, 0.0, 47.09375, 35.296875, 17.59765625, 0.0, 0.0, 11.798828125, 5.8994140625, 23.5, 0.0, 64.6875, 47.09375, 22.0, 13.0, 36.0, 25.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 13.0, "20930", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20930&g_ta_cod=20930", 17.0, 24.0, 59.0),
(4997, "Public", "0090015T", "Lycée polyvalent Pyrène", "09", "Ardennes", "Occitanie", "Toulouse", "Pamiers", "formation sélective", "Autre formation", "Lycée polyvalent Pyrène - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 1, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 6.0, 1.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22397", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(4998, "Privé sous contrat d'association", "0921484N", "Lycée Montalembert", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Courbevoie", "formation sélective", "BTS", "Lycée Montalembert - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 497, 157, 228, 0, 47, 17, 69, 24, 35, 13, 77, 269, 30, 72, 31, 136, 115, 55, 0, 0, 34, 11, 44, 11, 20, 7, 17, 146, 21, 3, 9, 12, 3.0, 9.0, 13.0, 0, 2, 10, 3, 5, 2, 11, 0, 7, 2, 1, 0, 0.0, 0, 2, 1, 1, 0, 9, 10, 14.29, 42.86, 61.9, 14.298828125, 90.0, 100.0, 10, 20.0, 47.59375, 0.0, 70.0, 20.0, 10.0, 0.0, 0.0, 30.0, 0.0, 50.0, 20.0, 20.0, 10.0, 43.0, 15.0, 18.0, 7.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 48.0, "11127", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11127&g_ta_cod=11127", 62.0, 29.0, 10.0),
(4999, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Etudes Japonaises", "Licence - Arts-lettres-langues", "LLCER Etudes Japonaises", 115, 1223, 812, 1223, 0, 535, 133, 62, 25, 37, 14, 589, 0, 0, 0, 0, 0, 600, 0, 0, 0, 366, 77, 17, 3, 9, 5, 208, 478, 109, 72, 109, 0, 35.0, 98.0, 104.0, 0, 14, 72, 65, 3, 4, 37, 0, 6, 44, 17, 5, 0.0, 59, 3, 4, 0, 0, 5, 56, 32.11, 89.91, 95.41, 66.09375, 6.8994140625, 77.796875, 0, 19.3984375, 66.09375, 0.0, 8.298828125, 61.09375, 23.59765625, 6.9, 0.0, 90.296875, 81.890625, 4.19921875, 4.19921875, 5.599609375, 5.599609375, 309.0, 63.0, 8.0, 5.0, 151.0, "Tous les candidats", 563.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "9331", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Etudes Japonaises", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9331&g_ta_cod=9331", 89.0, 5.0, 6.0),
(5000, "Public", "0860038Z", "Lycée Aliénor d' Aquitaine", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée Aliénor d' Aquitaine - BTS - Services - Support à l'action managériale", "BTS - Services", "", 48, 515, 342, 459, 0, 21, 5, 178, 71, 102, 57, 158, 56, 0, 0, 31, 25, 275, 1, 0, 0, 19, 5, 137, 47, 64, 33, 55, 170, 43, 28, 43, 0, 7.0, 36.0, 37.0, 0, 14, 31, 1, 21, 9, 12, 0, 20, 9, 2, 0, 0.0, 0, 6, 5, 6, 3, 25, 25, 16.28, 83.72, 86.05, 65.09375, 80.59375, 80.59375, 19.3984375, 45.1953125, 72.09375, 0.0, 64.5, 29.0, 6.5, 0.0, 0.0, 3.19970703125, 0.0, 67.6875, 19.3984375, 29.0, 16.09765625, 10.0, 4.0, 48.0, 28.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 113, "Liste d'appel propre à cette formation", 44.0, "10594", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10594&g_ta_cod=10594", 14.0, 58.0, 28.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(5001, "Privé sous contrat d'association", "0542390E", "Ecole Sup. Agricole Roville - Section BTS - site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Villers-lès-Nancy", "formation sélective", "BTS", "Ecole Sup. Agricole Roville - Section BTS - site de Nancy - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 35, 277, 84, 264, 0, 51, 7, 43, 3, 40, 7, 130, 13, 2, 0, 3, 8, 143, 6, 0, 0, 48, 6, 41, 3, 35, 6, 19, 117, 28, 5, 27, 1, 11.0, 25.0, 27.0, 0, 3, 26, 7, 8, 11, 2, 0, 8, 9, 8, 1, 0.0, 5, 3, 10, 0, 0, 23, 23, 39.29, 89.29, 96.43, 17.8984375, 88.5, 88.5, 0, 11.5, 92.890625, 0.0, 30.796875, 34.59375, 30.796875, 3.8, 0.0, 26.8984375, 19.19921875, 30.796875, 11.5, 42.296875, 38.5, 42.0, 4.0, 24.0, 5.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 53.0, "6382", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6382&g_ta_cod=6382", 32.0, 29.0, 39.0),
(5002, "Privé sous contrat d'association", "7200742U", "IFRTS Corse", "2B", "Haute-Corse", "Corse", "Corse", "Bastia", "formation sélective", "EFTS", "IFRTS Corse - D.E Educateur Spécialisé", "D.E secteur social", "", 12, 120, 108, 120, 0, 11, 1, 23, 3, 26, 8, 60, 0, 0, 0, 0, 0, 44, 0, 0, 0, 5, 1, 3, 0, 10, 4, 26, 21, 10, 8, 10, 0, 0.0, 9.0, 9.0, 0, 0, 4, 1, 0, 3, 6, 0, 2, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 4, 4, 0.0, 90.0, 90.0, 80.0, 100.0, 100.0, 0, 0.0, 40.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 25.0, 0.0, 0.0, 0.0, 75.0, 50.0, 1.0, 0.0, 6.0, 2.0, 14.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "30206", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30206&g_ta_cod=30206", 50.0, 10.0, 40.0),
(5003, "Public", "0942085F", "Institut de formation en ergothérapie Université Paris 12", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Autre formation", "Institut de formation en ergothérapie Université Paris 12 - D.E Ergothérapeute", "D.E secteur sanitaire", "", 70, 830, 746, 830, 0, 171, 17, 137, 37, 10, 3, 512, 0, 0, 0, 0, 0, 575, 0, 0, 0, 131, 12, 74, 18, 4, 1, 366, 247, 70, 62, 70, 0, 13.0, 43.0, 59.0, 0, 2, 19, 14, 5, 0, 51, 0, 1, 6, 11, 1, 0.0, 13, 5, 0, 0, 0, 7, 14, 18.57, 61.43, 84.29, 88.59375, 36.796875, 73.6875, 0, 10.5, 27.09765625, 0.0, 5.2998046875, 31.59765625, 57.8984375, 5.3, 0.0, 73.6875, 68.390625, 26.296875, 26.296875, 0.0, 0.0, 52.0, 9.0, 1.0, 0.0, 169.0, "Tous les candidats", 267.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "26013", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26013&g_ta_cod=26013", 81.0, 13.0, 6.0),
(5004, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "PASS", "Université de Nantes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 36, 2733, 1689, 2733, 0, 2229, 266, 38, 14, 4, 3, 462, 0, 0, 0, 0, 0, 2733, 0, 0, 0, 2229, 266, 38, 14, 4, 3, 462, 317, 37, 19, 37, 0, 2.0, 22.0, 35.0, 0, 4, 36, 36, 0, 0, 1, 0, 2, 2, 16, 11, 5.0, 34, 0, 0, 0, 0, 28, 28, 5.41, 59.46, 94.59, 51.3984375, 77.796875, 77.796875, 0, 11.099609375, 97.296875, 0.0, 5.599609375, 5.599609375, 44.3984375, 30.6, 13.9, 100.0, 94.390625, 0.0, 0.0, 0.0, 0.0, 311.0, 31.0, 0.0, 0.0, 4.0, "Tous les candidats", 1471.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 21.0, "27986", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27985&g_ta_cod=27986", 100.0, 0.0, 0.0),
(5005, "Public", "0741444T", "Ecole supérieure d'art annecy alpes", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "Autre formation", "Ecole supérieure d'art annecy alpes - Diplôme National d'Art", "Diplôme National d'Art", "", 5, 59, 39, 59, 0, 34, 6, 7, 2, 4, 1, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "12035", "Diplôme National d'Art", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12035&g_ta_cod=12035", 0, 0, 0),
(5006, "Public", "0951722F", "Lycée Jean Monnet", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Franconville", "formation sélective", "Autre formation", "Lycée Jean Monnet - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 40, 605, 455, 605, 0, 79, 31, 208, 96, 9, 4, 309, 0, 0, 0, 0, 0, 240, 0, 0, 0, 43, 19, 100, 44, 0, 0, 97, 150, 40, 26, 40, 0, 7.0, 25.0, 36.0, 0, 8, 23, 12, 11, 0, 17, 0, 7, 11, 5, 0, 0.0, 5, 11, 0, 0, 0, 21, 22, 17.5, 62.5, 90.0, 65.0, 91.296875, 95.6875, 0, 34.796875, 57.5, 0.0, 30.3984375, 47.796875, 21.69921875, 0.0, 0.0, 52.1953125, 21.69921875, 47.796875, 47.796875, 0.0, 0.0, 36.0, 13.0, 0.0, 0.0, 60.0, "Tous les candidats", 175.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "11615", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11615&g_ta_cod=11615", 68.0, 33.0, 0.0),
(5007, "Public", "9840482B", "Lycée du Diadème - Te tara o mai'ao", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Pirae", "formation sélective", "BTS", "Lycée du Diadème - Te tara o mai'ao - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 31, 249, 197, 249, 0, 35, 19, 88, 51, 89, 70, 37, 0, 0, 0, 0, 0, 249, 0, 0, 0, 35, 19, 88, 51, 89, 70, 37, 68, 30, 27, 30, 0, 15.0, 27.0, 27.0, 0, 20, 27, 0, 16, 11, 3, 0, 6, 12, 7, 2, 0.0, 0, 13, 8, 10, 10, 27, 27, 50.0, 90.0, 90.0, 90.0, 100.0, 100.0, 37, 74.09375, 90.0, 0.0, 22.19921875, 44.3984375, 25.8984375, 7.4, 0.0, 0.0, 0.0, 59.296875, 48.09375, 40.6953125, 29.59765625, 1.0, 1.0, 30.0, 25.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers technologiques toutes séries", 45, "Bacheliers professionnels toutes séries", 32, "Liste d'appel propre à cette formation", 33.0, "25799", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25799&g_ta_cod=25799", 10.0, 53.0, 37.0),
(5008, "Public", "0230020X", "Lycée Pierre Bourdan", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Guéret", "formation sélective", "BTS", "Lycée Pierre Bourdan - BTS - Services - Gestion de la PME", "BTS - Services", "", 22, 642, 318, 619, 0, 31, 9, 59, 15, 47, 24, 482, 23, 0, 2, 0, 21, 141, 4, 0, 0, 29, 9, 58, 15, 39, 19, 15, 80, 16, 11, 15, 1, 5.0, 14.0, 16.0, 0, 5, 13, 3, 3, 7, 3, 0, 8, 4, 0, 1, 0.0, 1, 0, 4, 3, 2, 12, 12, 31.25, 87.5, 100.0, 68.796875, 92.296875, 92.296875, 23.09765625, 38.5, 81.296875, 0.0, 61.5, 30.796875, 0.0, 7.7, 0.0, 23.09765625, 7.69921875, 23.09765625, 0.0, 53.796875, 30.796875, 23.0, 7.0, 14.0, 9.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 18.0, "3395", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3395&g_ta_cod=3395", 25.0, 25.0, 50.0),
(5009, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Licence - Droit français - Droit étranger - Parcours Droit français - common law", "Licence - Droit-économie-gestion", "Droit français - common law", 140, 3160, 2374, 2060, 0, 1692, 272, 53, 19, 7, 2, 308, 1100, 499, 72, 11, 518, 700, 63, 0, 0, 643, 75, 4, 1, 0, 0, 53, 621, 140, 117, 112, 28, 18.0, 111.0, 120.0, 0, 14, 119, 118, 1, 0, 21, 0, 2, 13, 67, 35, 2.0, 116, 1, 0, 0, 0, 34, 71, 12.86, 79.29, 85.71, 83.59375, 28.59765625, 59.6953125, 0, 11.798828125, 85.0, 0.0, 1.699951171875, 10.8984375, 56.296875, 29.4, 1.7, 99.1875, 97.5, 0.7999267578125, 0.7999267578125, 0.0, 0.0, 548.0, 62.0, 0.0, 0.0, 71.0, "Tous les candidats", 696.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "11074", "Licence - Droit français - Droit étranger - Parcours Droit français - common law", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11074&g_ta_cod=11074", 99.0, 1.0, 0.0),
(5010, "Public", "0762880T", "Lycée Raymond Queneau", "76", "Seine-Maritime", "Normandie", "Normandie", "Yvetot", "formation sélective", "BTS", "Lycée Raymond Queneau - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 309, 34, 309, 0, 30, 6, 90, 20, 85, 30, 104, 0, 0, 0, 0, 0, 220, 0, 0, 0, 26, 5, 76, 17, 85, 30, 33, 66, 13, 1, 13, 0, 1.0, 12.0, 12.0, 0, 2, 11, 2, 3, 6, 2, 0, 4, 3, 1, 3, 0.0, 1, 1, 5, 4, 1, 11, 11, 7.69, 92.31, 92.31, 7.69921875, 100.0, 100.0, 36.3984375, 18.19921875, 84.59375, 0.0, 36.3984375, 27.296875, 9.099609375, 27.3, 0.0, 18.19921875, 9.099609375, 27.296875, 9.099609375, 54.5, 45.5, 8.0, 2.0, 18.0, 5.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 28.0, "9755", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9755&g_ta_cod=9755", 15.0, 38.0, 46.0),
(5011, "Public", "0230018V", "Lycée Des Metiers Du Batiment", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Felletin", "formation sélective", "BTS", "Lycée Des Metiers Du Batiment - BTS - Production - Bâtiment", "BTS - Production", "", 30, 287, 49, 267, 0, 14, 3, 57, 9, 57, 20, 139, 20, 0, 0, 13, 7, 224, 18, 0, 0, 14, 3, 55, 9, 56, 20, 99, 108, 23, 5, 16, 7, 6.0, 16.0, 21.0, 0, 5, 18, 1, 4, 13, 5, 0, 9, 8, 0, 1, 0.0, 0, 4, 5, 0, 0, 5, 5, 26.09, 69.57, 91.3, 21.69921875, 27.796875, 27.796875, 0, 27.796875, 78.296875, 0.0, 50.0, 44.3984375, 0.0, 5.6, 0.0, 5.599609375, 0.0, 22.19921875, 22.19921875, 72.1875, 27.796875, 8.0, 2.0, 62.0, 25.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 39.0, "3391", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3391&g_ta_cod=3391", 9.0, 17.0, 74.0),
(5012, "Privé sous contrat d'association", "0601831P", "Lycée St Joseph Du Moncel", "60", "Oise", "Hauts-de-France", "Amiens", "Pont-Sainte-Maxence", "formation sélective", "BTS", "Lycée St Joseph Du Moncel - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 305, 145, 231, 0, 20, 5, 78, 25, 82, 23, 51, 74, 6, 35, 5, 28, 118, 25, 0, 0, 15, 5, 50, 13, 49, 11, 4, 120, 32, 18, 23, 7, 12.0, 17.0, 18.0, 0, 7, 27, 4, 5, 18, 5, 0, 4, 16, 4, 3, 0.0, 2, 4, 17, 3, 0, 24, 24, 37.5, 53.13, 56.25, 56.296875, 88.890625, 88.890625, 11.099609375, 25.8984375, 84.390625, 0.0, 14.798828125, 59.296875, 14.798828125, 11.1, 0.0, 14.798828125, 7.3994140625, 18.5, 14.798828125, 66.6875, 63.0, 18.0, 6.0, 48.0, 14.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 51.0, "7270", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7270&g_ta_cod=7270", 19.0, 25.0, 56.0),
(5013, "Privé sous contrat d'association", "0761719F", "Lycée Sacre-Coeur", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Sacre-Coeur - BTS - Services - Assurance", "BTS - Services", "", 35, 384, 212, 384, 0, 65, 12, 83, 29, 43, 21, 193, 0, 0, 0, 0, 0, 317, 0, 0, 0, 62, 11, 71, 24, 39, 20, 145, 94, 23, 11, 23, 0, 4.0, 20.0, 21.0, 0, 6, 10, 2, 5, 3, 13, 1, 2, 6, 1, 0, 0.0, 1, 4, 2, 2, 1, 10, 10, 17.39, 86.96, 91.3, 47.796875, 100.0, 100.0, 20, 60.0, 43.5, 10.0, 20.0, 60.0, 10.0, 0.0, 0.0, 20.0, 10.0, 50.0, 40.0, 30.0, 20.0, 11.0, 5.0, 14.0, 5.0, 47.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 30.0, "9668", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9668&g_ta_cod=9668", 52.0, 30.0, 17.0),
(5014, "Public", "0352009U", "Lycée Victor et Hélène BASCH", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Victor et Hélène BASCH - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 70, 2535, 1210, 2512, 0, 268, 45, 1100, 286, 669, 214, 475, 23, 6, 5, 0, 12, 948, 8, 0, 0, 172, 30, 395, 95, 285, 71, 96, 384, 66, 32, 59, 4, 5.0, 38.0, 50.0, 0, 17, 46, 8, 23, 15, 20, 0, 7, 29, 9, 1, 0.0, 5, 20, 14, 1, 0, 39, 39, 7.58, 57.58, 75.76, 48.5, 84.796875, 84.796875, 2.19970703125, 37.0, 69.6875, 0.0, 15.19921875, 63.0, 19.59765625, 2.2, 0.0, 17.3984375, 10.8984375, 50.0, 43.5, 32.59375, 30.3984375, 69.0, 17.0, 103.0, 29.0, 61.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 115.0, "Bacheliers professionnels toutes séries", 208, "Bacheliers technologiques toutes séries", 278, "Liste d'appel propre à cette formation", 24.0, "4773", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4773&g_ta_cod=4773", 18.0, 38.0, 44.0),
(5015, "Privé enseignement supérieur", "0213333J", "INSTITUT NATIONAL DES FORMATIONS NOTARIALES DIJON", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "INSTITUT NATIONAL DES FORMATIONS NOTARIALES DIJON - BTS - Services - Notariat", "BTS - Services", "", 35, 366, 268, 300, 0, 104, 13, 76, 16, 23, 10, 97, 66, 13, 9, 5, 39, 70, 10, 0, 0, 35, 2, 17, 5, 1, 0, 17, 69, 27, 24, 19, 8, 14.0, 19.0, 27.0, 0, 3, 18, 15, 3, 0, 9, 0, 11, 6, 1, 0, 0.0, 6, 1, 0, 0, 0, 13, 13, 51.85, 70.37, 100.0, 88.890625, 72.1875, 72.1875, 0, 16.69921875, 66.6875, 0.0, 61.09375, 33.296875, 5.599609375, 0.0, 0.0, 83.296875, 33.296875, 16.69921875, 5.599609375, 0.0, 0.0, 34.0, 2.0, 0.0, 0.0, 21.0, "Tous les candidats", 67.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "3304", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3304&g_ta_cod=3304", 81.0, 19.0, 0.0),
(5016, "Public", "9711151Z", "Université des Antilles - Pôle Guadeloupe (Saint-Claude)", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Saint-Claude", "formation non sélective", "Licence", "Université des Antilles - Pôle Guadeloupe (Saint-Claude) - Licence - Humanités - Parcours Histoire et sciences sociales (option préparation IEP) - Saint-Claude - Guadeloupe", "Licence - Sciences humaines et sociales", "Histoire et sciences sociales (option préparation IEP) - Saint-Claude - Guadeloupe", 100, 334, 232, 290, 0, 223, 85, 18, 10, 3, 2, 46, 44, 12, 7, 2, 23, 289, 44, 0, 0, 223, 85, 18, 10, 3, 2, 45, 300, 45, 29, 37, 8, 16.0, 36.0, 42.0, 0, 22, 33, 29, 2, 2, 12, 0, 11, 14, 6, 2, 0.0, 20, 0, 2, 0, 0, 29, 29, 35.56, 80.0, 93.33, 64.390625, 87.890625, 87.890625, 0, 66.6875, 73.296875, 0.0, 33.296875, 42.3984375, 18.19921875, 6.1, 0.0, 87.890625, 60.59375, 6.099609375, 0.0, 6.099609375, 6.099609375, 208.0, 83.0, 5.0, 3.0, 65.0, "Tous les candidats", 289.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19517", "Licence - Humanités - Parcours Histoire et sciences sociales (option préparation IEP) - Saint-Claude - Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19517&g_ta_cod=19517", 82.0, 9.0, 7.0),
(5017, "Public", "9760358K", "CUFR Centre Universitaire de Mayotte", "976", "Mayotte", "Mayotte", "Mayotte", "Dembeni", "formation non sélective", "Licence", "CUFR Centre Universitaire de Mayotte - Licence - Sciences et technologies - Parcours PPPE (ou 3PE)", "Licence - Sciences - technologies - santé", "PPPE (ou 3PE)", 30, 160, 113, 160, 0, 90, 62, 27, 19, 3, 2, 40, 0, 0, 0, 0, 0, 160, 0, 0, 0, 90, 62, 27, 19, 3, 2, 40, 76, 29, 23, 28, 0, 13.0, 27.0, 27.0, 0, 19, 26, 24, 1, 1, 3, 1, 17, 6, 1, 1, 0.0, 7, 1, 0, 0, 0, 26, 26, 44.83, 93.1, 93.1, 79.296875, 100.0, 100.0, 0, 73.09375, 89.6875, 3.7998046875, 65.390625, 23.09765625, 3.7998046875, 3.8, 0.0, 92.296875, 26.8984375, 3.7998046875, 3.7998046875, 3.7998046875, 0.0, 60.0, 40.0, 1.0, 1.0, 14.0, "Tous les candidats", 77.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "33340", "Licence - Sciences et technologies - Parcours PPPE (ou 3PE)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33340&g_ta_cod=33340", 93.0, 3.0, 3.0),
(5018, "Public", "0941470M", "Lycée Champlain", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Chennevières-sur-Marne", "formation sélective", "BTS", "Lycée Champlain - BTS - Services - Communication", "BTS - Services", "", 35, 1508, 971, 1508, 0, 220, 51, 410, 157, 196, 96, 682, 0, 0, 0, 0, 0, 802, 0, 0, 0, 161, 39, 296, 111, 137, 70, 208, 173, 36, 26, 35, 0, 4.0, 25.0, 30.0, 0, 12, 26, 7, 10, 9, 10, 0, 2, 16, 7, 1, 0.0, 6, 9, 9, 3, 0, 20, 24, 11.11, 69.44, 83.33, 72.1875, 76.890625, 92.296875, 11.5, 46.1953125, 72.1875, 0.0, 7.69921875, 61.5, 26.8984375, 3.8, 0.0, 26.8984375, 23.09765625, 38.5, 34.59375, 34.59375, 34.59375, 40.0, 9.0, 41.0, 20.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 123, "Liste d'appel propre à cette formation", 16.0, "11528", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11528&g_ta_cod=11528", 25.0, 50.0, 25.0),
(5019, "Privé enseignement supérieur", "0592607N", "Institut Supérieur d'Expertise et d'Audit - Institut Catholique de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence_Las", "Institut Supérieur d'Expertise et d'Audit - Institut Catholique de Lille - Licence - Portail Economie et gestion - parcours Comptabilité, Finance et Audit", "Licence - Droit-économie-gestion", "parcours Comptabilité, Finance et Audit", 10, 94, 52, 35, 0, 27, 7, 0, 0, 0, 0, 8, 59, 22, 3, 0, 34, 24, 11, 0, 0, 20, 4, 0, 0, 0, 0, 4, 34, 6, 4, 2, 4, 0.0, 2.0, 6.0, 0, 1, 3, 3, 0, 0, 3, 0, 1, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 1, 1, 0.0, 33.33, 100.0, 66.6875, 33.296875, 33.296875, 0, 33.296875, 50.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 25.0, 5.0, 0.0, 0.0, 9.0, "Tous les candidats", 129.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 69.0, "28830", "Licence - Portail Economie et gestion - parcours Comptabilité, Finance et Audit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28829&g_ta_cod=28830", 100.0, 0.0, 0.0),
(5020, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Autre formation", "Université Lumière-Lyon 2 - Diplôme d'Université - Carrières juridiques", "Diplôme d'Université", "Carrières juridiques", 22, 342, 253, 322, 0, 128, 24, 65, 24, 24, 10, 105, 20, 1, 2, 3, 14, 123, 3, 0, 0, 75, 0, 12, 0, 0, 0, 36, 80, 15, 12, 15, 0, 6.0, 12.0, 13.0, 0, 0, 9, 8, 1, 0, 6, 0, 8, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 6, 6, 40.0, 80.0, 86.67, 80.0, 66.6875, 66.6875, 0, 0.0, 60.0, 0.0, 88.890625, 11.099609375, 0.0, 0.0, 0.0, 88.890625, 11.099609375, 11.099609375, 0.0, 0.0, 0.0, 36.0, 0.0, 0.0, 0.0, 37.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "14851", "Diplôme d'Université - Carrières juridiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14851&g_ta_cod=14851", 93.0, 7.0, 0.0),
(5021, "Public", "0451483T", "Lycée Maurice Genevoix", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Ingré", "formation sélective", "BTS", "Lycée Maurice Genevoix - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 24, 221, 27, 220, 0, 6, 0, 58, 20, 68, 22, 88, 1, 0, 0, 0, 1, 150, 1, 0, 0, 6, 0, 53, 15, 61, 19, 30, 103, 20, 2, 20, 0, 4.0, 16.0, 16.0, 0, 3, 18, 1, 7, 10, 2, 0, 5, 9, 4, 0, 0.0, 1, 3, 9, 12, 1, 18, 18, 20.0, 80.0, 80.0, 10.0, 100.0, 100.0, 66.6875, 16.69921875, 90.0, 0.0, 27.796875, 50.0, 22.19921875, 0.0, 0.0, 5.599609375, 5.599609375, 38.8984375, 16.69921875, 55.59375, 50.0, 3.0, 0.0, 40.0, 11.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 46.0, "5736", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5736&g_ta_cod=5736", 10.0, 40.0, 50.0),
(5022, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Portail Economie - Gestion franco-allemand - Management de la logistique internationale", "Licence - Droit-économie-gestion", "Economie - Gestion franco-allemand - Management de la logistique internationale", 10, 101, 49, 50, 0, 41, 3, 2, 1, 0, 0, 7, 51, 10, 2, 9, 30, 27, 5, 0, 0, 26, 0, 0, 0, 0, 0, 1, 32, 7, 3, 4, 3, 0.0, 4.0, 6.0, 0, 0, 4, 4, 0, 0, 3, 1, 0, 3, 0, 0, 0.0, 3, 0, 0, 0, 0, 2, 2, 0.0, 57.14, 85.71, 42.8984375, 50.0, 50.0, 0, 0.0, 57.09375, 25.0, 0.0, 75.0, 0.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 27.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "30740", "Licence - Portail Economie - Gestion franco-allemand - Management de la logistique internationale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30740&g_ta_cod=30740", 100.0, 0.0, 0.0),
(5023, "Public", "0640055M", "Lycée Louis Barthou", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "CPGE", "Lycée Louis Barthou - CPGE - BCPST", "Classe préparatoire scientifique", "", 47, 1332, 904, 1332, 889, 1053, 131, 6, 0, 0, 0, 273, 0, 0, 0, 0, 0, 574, 0, 415, 540, 542, 48, 0, 0, 0, 0, 32, 384, 46, 28, 46, 0, 10.0, 26.0, 42.0, 11, 6, 46, 46, 0, 0, 0, 1, 0, 1, 32, 12, 0.0, 45, 0, 0, 2, 2, 26, 26, 21.74, 56.52, 91.3, 60.8984375, 56.5, 56.5, 4.2998046875, 13.0, 100.0, 2.19970703125, 0.0, 2.19970703125, 69.59375, 26.1, 0.0, 100.0, 97.796875, 0.0, 0.0, 0.0, 0.0, 380.0, 37.0, 0.0, 0.0, 4.0, "Tous les candidats", 464.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "7706", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7706&g_ta_cod=7706", 100.0, 0.0, 0.0),
(5024, "Privé sous contrat d'association", "0561454B", "Lycée professionnel Agricole horticoles de Kerplouz", "56", "Morbihan", "Bretagne", "Rennes", "Auray", "formation sélective", "BTS", "Lycée professionnel Agricole horticoles de Kerplouz - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 24, 154, 32, 153, 0, 16, 1, 38, 8, 66, 13, 33, 1, 1, 0, 0, 0, 143, 0, 0, 0, 16, 1, 38, 8, 66, 13, 23, 67, 21, 3, 21, 0, 10.0, 21.0, 21.0, 0, 6, 18, 1, 6, 11, 3, 0, 3, 14, 1, 0, 0.0, 1, 3, 11, 13, 1, 17, 17, 47.62, 100.0, 100.0, 14.298828125, 94.390625, 94.390625, 72.1875, 33.296875, 85.6875, 0.0, 16.69921875, 77.796875, 5.599609375, 0.0, 0.0, 5.599609375, 5.599609375, 33.296875, 16.69921875, 61.09375, 61.09375, 12.0, 1.0, 17.0, 4.0, 9.0, "Tous les candidats sauf les Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 64.0, "6479", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6479&g_ta_cod=6479", 5.0, 43.0, 52.0),
(5025, "Public", "0750686N", "Lycée Estienne Esaig", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Estienne Esaig - DN MADE - Livre - - Spécialité : Objet-livre - création éditoriale", "DN MADE", "- Spécialité : Objet-livre - création éditoriale", 12, 420, 364, 420, 0, 135, 25, 110, 19, 17, 5, 158, 0, 0, 0, 0, 0, 50, 0, 0, 0, 19, 2, 23, 3, 2, 0, 6, 23, 12, 12, 12, 0, 4.0, 9.0, 11.0, 0, 1, 10, 4, 5, 1, 2, 0, 0, 0, 6, 2, 2.0, 4, 5, 1, 0, 0, 0, 2, 33.33, 75.0, 91.67, 100.0, 0.0, 20.0, 0, 10.0, 83.296875, 0.0, 0.0, 0.0, 60.0, 20.0, 20.0, 40.0, 40.0, 50.0, 50.0, 10.0, 10.0, 8.0, 2.0, 1.0, 0.0, 3.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "21950", "DN MADE - Livre - - Spécialité : Objet-livre - création éditoriale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21950&g_ta_cod=21950", 50.0, 42.0, 8.0),
(5026, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail Géographie / Sociologie", "Licence - Sciences humaines et sociales", "Géographie / Sociologie : Géographie et aménagement", 42, 263, 143, 209, 0, 163, 37, 7, 1, 5, 2, 34, 54, 14, 7, 3, 30, 209, 51, 0, 0, 163, 37, 7, 1, 5, 2, 34, 260, 30, 14, 17, 13, 17.0, 17.0, 26.0, 0, 6, 18, 18, 0, 0, 12, 0, 3, 6, 7, 2, 0.0, 15, 0, 0, 0, 0, 15, 15, 56.67, 56.67, 86.67, 46.6953125, 83.296875, 83.296875, 0, 33.296875, 60.0, 0.0, 16.69921875, 33.296875, 38.8984375, 11.1, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 176.0, 37.0, 8.0, 3.0, 62.0, "Tous les candidats", 324.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23318", "Licence - Portail Géographie / Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23316&g_ta_cod=23318", 87.0, 10.0, 3.0),
(5027, "Public", "9741173G", "Lycée La Possession", "974", "La Réunion", "La Réunion", "La Réunion", "La Possession", "formation sélective", "Autre formation", "Lycée La Possession - Mention complémentaire - Accueil dans transports", "Mention complémentaire", "", 15, 102, 79, 99, 0, 4, 3, 4, 2, 63, 53, 28, 3, 0, 0, 0, 3, 59, 2, 0, 0, 4, 3, 3, 1, 42, 38, 10, 50, 15, 14, 13, 2, 2.0, 12.0, 12.0, 0, 11, 12, 1, 1, 10, 3, 0, 6, 5, 1, 0, 0.0, 0, 0, 6, 0, 0, 12, 12, 13.33, 80.0, 80.0, 93.296875, 100.0, 100.0, 0, 91.6875, 80.0, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 8.298828125, 0.0, 8.298828125, 0.0, 83.296875, 50.0, 3.0, 2.0, 36.0, 32.0, 10.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "20190", "Mention complémentaire - Accueil dans transports", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20190&g_ta_cod=20190", 7.0, 7.0, 87.0),
(5028, "Public", "0880019T", "Lycée Louis Lapicque", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "BTS", "Lycée Louis Lapicque - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 526, 258, 506, 0, 46, 5, 185, 56, 118, 51, 157, 20, 2, 0, 7, 11, 283, 1, 0, 0, 35, 5, 126, 32, 87, 37, 35, 125, 31, 19, 30, 0, 5.0, 19.0, 28.0, 0, 16, 30, 3, 12, 15, 1, 0, 15, 10, 4, 1, 0.0, 0, 3, 12, 12, 9, 30, 30, 16.13, 61.29, 90.32, 61.296875, 100.0, 100.0, 40, 53.296875, 96.796875, 0.0, 50.0, 33.296875, 13.298828125, 3.3, 0.0, 10.0, 0.0, 40.0, 10.0, 50.0, 40.0, 21.0, 4.0, 60.0, 22.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 34.0, "10728", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10728&g_ta_cod=10728", 10.0, 39.0, 52.0),
(5029, "Public", "0430951A", "I.U.T. de Clermont-Ferrand - Antenne du Puy", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "BUT", "I.U.T. de Clermont-Ferrand - Antenne du Puy - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Intégration d'applications et management du système d?information", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Intégration d'applications et management du système d?information", 48, 870, 89, 831, 0, 472, 98, 203, 59, 18, 5, 138, 39, 0, 20, 0, 19, 495, 0, 0, 0, 374, 72, 98, 26, 0, 0, 23, 210, 40, 1, 40, 0, 3.0, 29.0, 34.0, 0, 8, 37, 26, 11, 0, 3, 0, 10, 19, 6, 2, 0.0, 16, 11, 0, 0, 0, 14, 14, 7.5, 72.5, 85.0, 2.5, 37.796875, 37.796875, 0, 21.59765625, 92.5, 0.0, 27.0, 51.3984375, 16.19921875, 5.4, 0.0, 70.296875, 43.1953125, 29.69921875, 29.69921875, 0.0, 0.0, 130.0, 26.0, 0.0, 0.0, 7.0, "Tous les candidats sauf les Bac technologiques", 211.0, "Bacheliers technologiques toutes séries", 105, "", 0, "Liste d'appel propre à cette formation", 38.0, "5411", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Intégration d'applications et management du système d?information", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5411&g_ta_cod=5411", 68.0, 33.0, 0.0),
(5030, "Public", "0520727H", "Pôle d'Enseignement Agricole Public Edgard Pisani", "52", "Haute-Marne", "Grand Est", "Reims", "Chamarandes-Choignes", "formation sélective", "BTS", "Pôle d'Enseignement Agricole Public Edgard Pisani - BTS - Agricole - productions animales", "BTS - Agricole", "", 25, 200, 149, 185, 0, 60, 12, 69, 17, 29, 9, 27, 15, 3, 3, 2, 7, 84, 10, 0, 0, 18, 3, 45, 9, 13, 3, 8, 80, 15, 10, 9, 6, 2.0, 6.0, 10.0, 0, 2, 10, 3, 7, 0, 5, 0, 3, 4, 3, 0, 0.0, 2, 5, 0, 3, 2, 5, 5, 13.33, 40.0, 66.67, 66.6875, 50.0, 50.0, 30, 20.0, 66.6875, 0.0, 30.0, 40.0, 30.0, 0.0, 0.0, 30.0, 20.0, 70.0, 50.0, 0.0, 0.0, 21.0, 3.0, 10.0, 2.0, 12.0, "Tous les candidats sauf les Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 43.0, "6179", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6179&g_ta_cod=6179", 47.0, 47.0, 7.0),
(5031, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Langues étrangères appliquées - LEA Anglais Espagnol", "Licence - Arts-lettres-langues", "LEA Anglais Espagnol", 90, 2165, 1729, 2165, 0, 1297, 373, 210, 95, 44, 20, 614, 0, 0, 0, 0, 0, 2165, 0, 0, 0, 1297, 373, 210, 95, 44, 20, 614, 560, 89, 72, 89, 0, 6.0, 56.0, 76.0, 0, 27, 74, 66, 7, 1, 15, 1, 5, 46, 20, 2, 0.0, 60, 7, 1, 0, 0, 9, 72, 6.74, 62.92, 85.39, 80.890625, 12.19921875, 97.296875, 0, 36.5, 83.09375, 1.39990234375, 6.7998046875, 62.1953125, 27.0, 2.7, 0.0, 89.1875, 81.09375, 9.5, 9.5, 1.39990234375, 1.39990234375, 404.0, 117.0, 8.0, 4.0, 116.0, "Tous les candidats", 939.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "9333", "Licence - Portail Langues étrangères appliquées - LEA Anglais Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29403&g_ta_cod=9333", 87.0, 10.0, 3.0),
(5032, "Privé sous contrat d'association", "0131391S", "Lycée St Eloi", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée St Eloi - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 12, 137, 9, 101, 0, 9, 1, 22, 6, 49, 17, 21, 36, 4, 3, 15, 14, 65, 12, 0, 0, 9, 1, 16, 4, 33, 13, 7, 65, 9, 1, 5, 4, 1.0, 5.0, 7.0, 0, 5, 6, 0, 1, 5, 3, 0, 3, 2, 1, 0, 0.0, 0, 0, 3, 1, 0, 5, 5, 11.11, 55.56, 77.78, 11.099609375, 83.296875, 83.296875, 16.69921875, 83.296875, 66.6875, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 16.69921875, 0.0, 83.296875, 50.0, 9.0, 1.0, 30.0, 13.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 64.0, "2631", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2631&g_ta_cod=2631", 0.0, 22.0, 78.0),
(5033, "Privé sous contrat d'association", "0932618R", "LYCEE TECHNOLOGIQUE PRIVE ROBERT SCHUMAN", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Dugny", "formation sélective", "BTS", "LYCEE TECHNOLOGIQUE PRIVE ROBERT SCHUMAN - BTS - Services - Services informatiques aux organisations (Seconde année en apprentissage)", "BTS - Services", "", 42, 538, 41, 294, 0, 39, 13, 87, 38, 68, 21, 100, 244, 38, 64, 0, 142, 106, 17, 0, 0, 19, 5, 30, 9, 38, 10, 19, 106, 44, 3, 34, 10, 26.0, 34.0, 42.0, 0, 5, 31, 6, 5, 20, 13, 0, 7, 15, 7, 2, 0.0, 3, 2, 19, 2, 0, 27, 31, 59.09, 77.27, 95.45, 6.7998046875, 87.09375, 100.0, 6.5, 16.09765625, 70.5, 0.0, 22.59765625, 48.3984375, 22.59765625, 6.5, 0.0, 19.3984375, 9.69921875, 16.09765625, 6.5, 64.5, 61.296875, 23.0, 6.0, 32.0, 10.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 35.0, "13531", "BTS - Services - Services informatiques aux organisations (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13531&g_ta_cod=13531", 27.0, 23.0, 50.0),
(5034, "Public", "0911975C", "Université d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation non sélective", "Licence", "Université d'Evry Val d'Essonne - Licence - Portail Mathématiques-Physique", "Licence - Sciences - technologies - santé", "Mathématiques-Physique", 45, 823, 205, 810, 0, 637, 106, 18, 4, 3, 2, 152, 13, 5, 1, 0, 7, 810, 10, 0, 0, 637, 106, 18, 4, 3, 2, 152, 428, 44, 11, 36, 8, 1.0, 16.0, 33.0, 0, 5, 28, 26, 1, 1, 16, 0, 14, 9, 4, 0, 1.0, 13, 0, 1, 0, 0, 15, 24, 2.27, 36.36, 75.0, 25.0, 53.59375, 85.6875, 0, 17.8984375, 63.59375, 0.0, 50.0, 32.09375, 14.298828125, 0.0, 3.6, 92.890625, 46.3984375, 3.599609375, 0.0, 3.599609375, 3.599609375, 342.0, 58.0, 1.0, 1.0, 83.0, "Tous les candidats", 772.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "27049", "Licence - Portail Mathématiques-Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27049&g_ta_cod=27049", 82.0, 11.0, 7.0),
(5035, "Public", "0310047H", "Lycée Ozenne", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Ozenne - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 30, 433, 227, 433, 0, 0, 0, 407, 87, 0, 0, 26, 0, 0, 0, 0, 0, 433, 0, 0, 433, 0, 0, 407, 87, 0, 0, 26, 142, 35, 21, 35, 0, 15.0, 30.0, 34.0, 0, 7, 35, 0, 35, 0, 0, 0, 0, 4, 21, 10, 0.0, 0, 35, 0, 3, 1, 17, 17, 42.86, 85.71, 97.14, 60.0, 48.59375, 48.59375, 8.599609375, 20.0, 100.0, 0.0, 0.0, 11.3984375, 60.0, 28.6, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 197.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "4069", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4069&g_ta_cod=4069", 0.0, 100.0, 0.0),
(5036, "Public", "0020049T", "Lycée Pierre de La Ramee", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "BTS", "Lycée Pierre de La Ramee - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 53, 564, 296, 538, 0, 52, 14, 143, 55, 155, 76, 188, 26, 0, 0, 17, 9, 375, 7, 0, 0, 49, 12, 143, 55, 105, 51, 78, 168, 46, 22, 39, 4, 5.0, 20.0, 36.0, 0, 18, 38, 7, 15, 16, 8, 0, 16, 15, 5, 2, 0.0, 4, 6, 12, 15, 9, 36, 36, 10.87, 43.48, 78.26, 47.796875, 94.6875, 94.6875, 39.5, 47.3984375, 82.59375, 0.0, 42.09375, 39.5, 13.19921875, 5.3, 0.0, 18.3984375, 10.5, 39.5, 15.798828125, 42.09375, 31.59765625, 16.0, 6.0, 91.0, 49.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 113, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 49.0, "2059", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2059&g_ta_cod=2059", 26.0, 37.0, 37.0),
(5037, "Public", "0762879S", "Lycée Vallée Du Cailly", "76", "Seine-Maritime", "Normandie", "Normandie", "Déville-lès-Rouen", "formation sélective", "BTS", "Lycée Vallée Du Cailly - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 578, 382, 457, 0, 29, 16, 150, 70, 148, 89, 130, 121, 14, 40, 0, 67, 220, 24, 0, 0, 22, 9, 80, 32, 100, 54, 18, 189, 32, 24, 24, 7, 0.0, 21.0, 24.0, 0, 16, 23, 3, 6, 14, 9, 1, 9, 10, 2, 1, 0.0, 2, 1, 10, 4, 3, 23, 23, 0.0, 65.63, 75.0, 75.0, 100.0, 100.0, 17.3984375, 69.59375, 71.890625, 4.2998046875, 39.09375, 43.5, 8.69921875, 4.3, 0.0, 13.0, 8.69921875, 26.09765625, 4.2998046875, 60.8984375, 43.5, 21.0, 11.0, 78.0, 42.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 102, "Bacheliers technologiques toutes séries", 87, "Liste d'appel propre à cette formation", 47.0, "9753", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9753&g_ta_cod=9753", 22.0, 28.0, 50.0),
(5038, "Public", "0690274Y", "IUT Lyon1 Site de Villeurbanne Doua", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "BUT", "IUT Lyon1 Site de Villeurbanne Doua - BUT - Génie chimique génie des procédés Parcours : Conception des procédés et innovation technologique - Contrôle, pilotage et optimisation des procédés", "BUT - Production", "Conception des procédés et innovation technologique - Contrôle, pilotage et optimisation des procédés", 56, 1493, 729, 1441, 0, 819, 107, 185, 51, 6, 2, 431, 52, 0, 34, 0, 18, 1165, 15, 0, 0, 746, 106, 142, 45, 0, 0, 277, 560, 60, 21, 51, 9, 7.0, 31.0, 50.0, 0, 17, 47, 29, 18, 0, 13, 0, 10, 21, 15, 1, 0.0, 28, 9, 0, 0, 0, 23, 23, 11.67, 51.67, 83.33, 35.0, 48.8984375, 48.8984375, 0, 36.1953125, 78.296875, 0.0, 21.296875, 44.6953125, 31.8984375, 2.1, 0.0, 61.6953125, 59.59375, 38.296875, 19.09765625, 0.0, 0.0, 303.0, 61.0, 0.0, 0.0, 129.0, "Tous les candidats sauf les Bac technologiques", 582.0, "Bacheliers technologiques toutes séries", 155, "", 0, "Liste d'appel propre à cette formation", 51.0, "8273", "BUT - Génie chimique génie des procédés Parcours : Conception des procédés et innovation technologique - Contrôle, pilotage et optimisation des procédés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8273&g_ta_cod=8273", 58.0, 42.0, 0.0),
(5039, "Public", "0760091L", "Lycée Jeanne D'Arc", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "CPGE", "Lycée Jeanne D'Arc - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 621, 431, 597, 222, 466, 68, 2, 0, 3, 0, 126, 24, 8, 0, 1, 15, 439, 5, 3, 438, 412, 52, 0, 0, 0, 0, 27, 330, 80, 55, 79, 1, 22.0, 77.0, 78.0, 0, 9, 79, 79, 0, 0, 1, 0, 6, 20, 33, 20, 0.0, 73, 0, 0, 9, 7, 76, 76, 27.5, 96.25, 97.5, 68.796875, 96.1875, 96.1875, 11.3984375, 11.3984375, 98.796875, 0.0, 7.599609375, 25.296875, 41.796875, 25.3, 0.0, 100.0, 92.390625, 0.0, 0.0, 0.0, 0.0, 308.0, 41.0, 0.0, 0.0, 22.0, "Tous les candidats", 451.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "9593", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9593&g_ta_cod=9593", 100.0, 0.0, 0.0),
(5040, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Arabe et Gestion parcours Management et sciences humaines (MSH)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Arabe et Gestion parcours Management et sciences humaines (MSH)", 5, 88, 69, 88, 0, 32, 10, 8, 7, 2, 1, 46, 0, 0, 0, 0, 0, 88, 0, 0, 0, 32, 10, 8, 7, 2, 1, 46, 27, 5, 5, 5, 0, 0.0, 4.0, 5.0, 0, 2, 4, 3, 1, 0, 1, 0, 2, 0, 2, 0, 0.0, 1, 1, 0, 0, 0, 1, 1, 0.0, 80.0, 100.0, 100.0, 25.0, 25.0, 0, 50.0, 80.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 75.0, 25.0, 25.0, 25.0, 0.0, 0.0, 16.0, 5.0, 0.0, 0.0, 10.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "8517", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Arabe et Gestion parcours Management et sciences humaines (MSH)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8517&g_ta_cod=8517", 80.0, 20.0, 0.0),
(5041, "Public", "0831616F", "Lycée Rouvière", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Rouvière - BTS - Production - Traitement des matériaux", "BTS - Production", "", 21, 161, 42, 150, 0, 20, 4, 49, 12, 6, 1, 75, 11, 0, 2, 5, 4, 80, 2, 0, 0, 17, 2, 43, 11, 2, 0, 18, 65, 21, 5, 19, 2, 3.0, 15.0, 19.0, 0, 5, 13, 3, 10, 0, 8, 0, 5, 7, 1, 0, 0.0, 2, 6, 0, 5, 0, 9, 9, 14.29, 71.43, 90.48, 23.796875, 69.1875, 69.1875, 38.5, 38.5, 61.8984375, 0.0, 38.5, 53.796875, 7.69921875, 0.0, 0.0, 23.09765625, 15.3984375, 76.890625, 46.1953125, 0.0, 0.0, 17.0, 2.0, 2.0, 0.0, 14.0, "Tous les candidats sauf les Bac professionnels", 77.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 53.0, "10404", "BTS - Production - Traitement des matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10404&g_ta_cod=10404", 48.0, 52.0, 0.0),
(5042, "Public", "0530934C", "Université du Mans - Campus de Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation non sélective", "Licence_Las", "Université du Mans - Campus de Laval - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 10, 112, 86, 102, 0, 59, 15, 14, 4, 4, 2, 25, 10, 8, 0, 0, 2, 102, 8, 0, 0, 59, 15, 14, 4, 4, 2, 25, 71, 10, 7, 7, 3, 3.0, 4.0, 7.0, 0, 2, 8, 6, 2, 0, 2, 1, 5, 0, 2, 0, 0.0, 2, 0, 0, 0, 0, 6, 6, 30.0, 40.0, 70.0, 70.0, 75.0, 75.0, 0, 25.0, 80.0, 12.5, 62.5, 0.0, 25.0, 0.0, 0.0, 75.0, 25.0, 25.0, 0.0, 0.0, 0.0, 46.0, 12.0, 1.0, 1.0, 14.0, "Tous les candidats", 665.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 93.0, "26780", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26779&g_ta_cod=26780", 70.0, 20.0, 10.0),
(5043, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence_Las", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Sciences de la vie et de la terre - Bio et Ecologie générale, Bio cellulaire moléculaire, Sciences de l'environnement, Bio Biotech, Bio Biosanté, TACB", "Licence - Sciences - technologies - santé", "", 46, 832, 564, 832, 0, 601, 69, 53, 11, 1, 0, 177, 0, 0, 0, 0, 0, 827, 0, 0, 0, 601, 69, 53, 11, 1, 0, 172, 371, 42, 27, 42, 0, 0.0, 24.0, 34.0, 0, 3, 39, 39, 0, 0, 3, 0, 8, 20, 11, 0, 0.0, 31, 0, 0, 0, 0, 35, 35, 0.0, 57.14, 80.95, 64.296875, 89.6875, 89.6875, 0, 7.69921875, 92.890625, 0.0, 20.5, 51.296875, 28.19921875, 0.0, 0.0, 100.0, 79.5, 0.0, 0.0, 0.0, 0.0, 288.0, 34.0, 0.0, 0.0, 78.0, "Tous les candidats", 837.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 62.0, "26695", "Licence - Portail Sciences de la vie et de la terre - Bio et Ecologie générale, Bio cellulaire moléculaire, Sciences de l'environnement, Bio Biotech, Bio Biosanté, TACB", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26694&g_ta_cod=26695", 100.0, 0.0, 0.0),
(5044, "Public", "0594391C", "E.S.AA.T.", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "Autre formation", "E.S.AA.T. - DN MADE - Objet - - Spécialité : Design et matériaux", "DN MADE", "- Spécialité : Design et matériaux", 16, 453, 283, 453, 0, 196, 27, 133, 24, 17, 9, 107, 0, 0, 0, 0, 0, 142, 0, 0, 0, 70, 5, 67, 9, 0, 0, 5, 73, 16, 12, 16, 0, 1.0, 13.0, 16.0, 0, 1, 16, 9, 7, 0, 0, 0, 0, 2, 10, 4, 0.0, 9, 7, 0, 0, 0, 7, 7, 6.25, 81.25, 100.0, 75.0, 43.796875, 43.796875, 0, 6.2998046875, 100.0, 0.0, 0.0, 12.5, 62.5, 25.0, 0.0, 56.296875, 56.296875, 43.796875, 43.796875, 0.0, 0.0, 33.0, 3.0, 0.0, 0.0, 1.0, "Tous les candidats", 113.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "24720", "DN MADE - Objet - - Spécialité : Design et matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24720&g_ta_cod=24720", 56.0, 44.0, 0.0),
(5045, "Public", "0850068M", "Lycée Francois Rabelais", "85", "Vendée", "Pays de la Loire", "Nantes", "Fontenay-le-Comte", "formation sélective", "BTS", "Lycée Francois Rabelais - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 23, 183, 89, 149, 0, 25, 4, 42, 11, 24, 3, 58, 34, 2, 6, 3, 23, 94, 11, 0, 0, 25, 4, 39, 8, 19, 3, 11, 76, 18, 6, 12, 6, 4.0, 12.0, 14.0, 0, 2, 12, 1, 4, 7, 6, 0, 2, 7, 3, 0, 0.0, 1, 3, 6, 6, 1, 11, 11, 22.22, 66.67, 77.78, 33.296875, 91.6875, 91.6875, 50, 16.69921875, 66.6875, 0.0, 16.69921875, 58.296875, 25.0, 0.0, 0.0, 8.298828125, 8.298828125, 33.296875, 25.0, 58.296875, 50.0, 18.0, 4.0, 14.0, 4.0, 19.0, "Tous les candidats sauf les Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 12, "", 0, "Liste d'appel propre à cette formation", 58.0, "10488", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10488&g_ta_cod=10488", 39.0, 22.0, 39.0),
(5046, "Privé enseignement supérieur", "0942193Y", "Sup'Biotech Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villejuif", "formation sélective", "Ecole d'Ingénieur", "Concours Advance - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 100, 1859, 847, 1859, 0, 1855, 174, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 1576, 0, 0, 0, 1575, 121, 0, 0, 0, 0, 1, 729, 110, 75, 110, 0, 29.0, 92.0, 104.0, 0, 6, 110, 110, 0, 0, 0, 0, 0, 33, 62, 15, 0.0, 110, 0, 0, 0, 0, 22, 74, 26.36, 83.64, 94.55, 68.1875, 20.0, 67.296875, 0, 5.5, 100.0, 0.0, 0.0, 30.0, 56.3984375, 13.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 729.0, 46.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 50.0, "477", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Advance", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=124&g_ta_cod=477", 100.0, 0.0, 0.0),
(5047, "Privé sous contrat d'association", "0292125C", "ISEN Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 24, 1105, 229, 1101, 0, 1093, 92, 0, 0, 0, 0, 8, 4, 4, 0, 0, 0, 991, 3, 0, 0, 991, 75, 0, 0, 0, 0, 0, 913, 7, 4, 6, 1, 4.0, 6.0, 7.0, 0, 0, 7, 7, 0, 0, 0, 0, 2, 2, 0, 3, 0.0, 5, 0, 0, 0, 0, 1, 1, 57.14, 85.71, 100.0, 57.09375, 14.298828125, 14.298828125, 0, 0.0, 100.0, 0.0, 28.59765625, 28.59765625, 0.0, 42.9, 0.0, 100.0, 71.390625, 0.0, 0.0, 0.0, 0.0, 913.0, 69.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "505", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=505", 100.0, 0.0, 0.0),
(5048, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 135, 2033, 1586, 2033, 0, 1294, 267, 91, 28, 29, 12, 619, 0, 0, 0, 0, 0, 2028, 0, 0, 0, 1294, 267, 91, 28, 29, 12, 614, 695, 136, 107, 135, 0, 9.0, 90.0, 116.0, 0, 24, 97, 85, 7, 5, 39, 1, 7, 49, 31, 9, 0.0, 77, 7, 5, 0, 0, 17, 77, 6.62, 66.18, 85.29, 78.6875, 17.5, 79.390625, 0, 24.69921875, 71.296875, 1.0, 7.19921875, 50.5, 32.0, 9.3, 0.0, 87.59375, 79.390625, 7.19921875, 7.19921875, 5.19921875, 5.19921875, 470.0, 106.0, 12.0, 6.0, 188.0, "Tous les candidats", 972.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "9310", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9310&g_ta_cod=9310", 84.0, 7.0, 7.0),
(5049, "Public", "0620040G", "Lycée Louis Blaringhem", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "BTS", "Lycée Louis Blaringhem - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 233, 154, 218, 0, 21, 8, 82, 33, 58, 36, 57, 15, 0, 0, 7, 8, 187, 8, 0, 0, 21, 8, 79, 32, 58, 36, 29, 113, 27, 17, 24, 3, 4.0, 23.0, 26.0, 0, 11, 22, 6, 6, 10, 5, 0, 12, 8, 2, 0, 0.0, 2, 3, 5, 5, 3, 22, 22, 14.81, 85.19, 96.3, 63.0, 100.0, 100.0, 22.69921875, 50.0, 81.5, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 27.296875, 9.099609375, 27.296875, 13.599609375, 45.5, 22.69921875, 16.0, 6.0, 58.0, 37.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 56.0, "7336", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7336&g_ta_cod=7336", 22.0, 22.0, 56.0),
(5050, "Public", "0623957P", "Université d'Artois - Site d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation non sélective", "Licence", "Université d'Artois - Site d'Arras - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol - LLCER", "Licence - Arts-lettres-langues", "Espagnol - LLCER", 67, 341, 288, 314, 0, 225, 86, 25, 12, 2, 1, 62, 27, 7, 2, 0, 18, 312, 27, 0, 0, 225, 86, 25, 12, 2, 1, 60, 258, 56, 48, 47, 9, 21.0, 47.0, 51.0, 0, 18, 43, 38, 5, 0, 13, 1, 9, 16, 11, 6, 0.0, 31, 2, 0, 0, 0, 40, 40, 37.5, 83.93, 91.07, 85.6875, 93.0, 93.0, 0, 41.8984375, 76.796875, 2.2998046875, 20.8984375, 37.1953125, 25.59765625, 14.0, 0.0, 88.390625, 72.09375, 11.599609375, 4.69921875, 0.0, 0.0, 181.0, 69.0, 0.0, 0.0, 59.0, "Tous les candidats", 312.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7511", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol - LLCER", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7511&g_ta_cod=7511", 88.0, 11.0, 0.0),
(5051, "Public", "0141275K", "Lycée Paul Cornu", "14", "Calvados", "Normandie", "Normandie", "Lisieux", "formation sélective", "BTS", "Lycée Paul Cornu - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 104, 6, 100, 0, 2, 0, 18, 5, 49, 14, 31, 4, 0, 0, 4, 0, 53, 1, 0, 0, 1, 0, 12, 3, 35, 10, 5, 43, 5, 0, 5, 0, 3.0, 5.0, 5.0, 0, 0, 3, 0, 1, 2, 2, 0, 0, 2, 1, 0, 0.0, 0, 1, 2, 2, 0, 3, 3, 60.0, 100.0, 100.0, 0.0, 100.0, 100.0, 66.6875, 0.0, 60.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 1.0, 0.0, 28.0, 7.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 51.0, "2863", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2863&g_ta_cod=2863", 0.0, 60.0, 40.0),
(5052, "Privé sous contrat d'association", "0350797B", "Lycée Jeanne d'Arc", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Jeanne d'Arc - BTS - Services - Tourisme", "BTS - Services", "", 35, 364, 292, 364, 0, 123, 18, 100, 19, 51, 13, 90, 0, 0, 0, 0, 0, 270, 0, 0, 0, 102, 13, 78, 13, 37, 9, 53, 107, 36, 31, 36, 0, 12.0, 30.0, 35.0, 0, 7, 30, 11, 11, 8, 6, 0, 4, 14, 11, 1, 0.0, 11, 8, 7, 1, 1, 28, 28, 33.33, 83.33, 97.22, 86.09375, 93.296875, 93.296875, 3.2998046875, 23.296875, 83.296875, 0.0, 13.298828125, 46.6953125, 36.6953125, 3.3, 0.0, 36.6953125, 36.6953125, 36.6953125, 26.69921875, 26.69921875, 23.296875, 36.0, 6.0, 15.0, 4.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 30.0, "4700", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4700&g_ta_cod=4700", 42.0, 36.0, 22.0),
(5053, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais Culture Economique", "Licence - Arts-lettres-langues", "Anglais Culture Economique", 70, 662, 497, 662, 0, 524, 123, 19, 8, 3, 1, 116, 0, 0, 0, 0, 0, 650, 0, 0, 0, 524, 123, 19, 8, 3, 1, 104, 234, 69, 56, 69, 0, 12.0, 58.0, 67.0, 0, 11, 63, 61, 2, 0, 6, 1, 5, 20, 30, 7, 0.0, 56, 1, 0, 0, 0, 16, 48, 17.39, 84.06, 97.1, 81.1875, 25.3984375, 76.1875, 0, 17.5, 91.296875, 1.599853515625, 7.8994140625, 31.69921875, 47.59375, 11.1, 0.0, 96.796875, 88.890625, 3.19970703125, 1.599853515625, 0.0, 0.0, 210.0, 46.0, 0.0, 0.0, 21.0, "Tous les candidats", 295.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "9231", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais Culture Economique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9231&g_ta_cod=9231", 96.0, 3.0, 1.0),
(5054, "Privé sous contrat d'association", "0131690S", "Lycée agricole Fontlongue", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Miramas", "formation sélective", "BTS", "Lycée agricole Fontlongue - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 24, 75, 39, 71, 0, 15, 1, 21, 5, 20, 4, 15, 4, 0, 1, 1, 2, 57, 2, 0, 0, 14, 1, 18, 5, 19, 3, 6, 55, 6, 5, 6, 0, 2.0, 6.0, 6.0, 0, 0, 4, 1, 1, 2, 2, 0, 3, 1, 0, 0, 0.0, 1, 0, 0, 1, 1, 1, 1, 33.33, 100.0, 100.0, 83.296875, 25.0, 25.0, 25, 0.0, 66.6875, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 25.0, 25.0, 25.0, 0.0, 50.0, 0.0, 13.0, 1.0, 16.0, 3.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 80.0, "2673", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2673&g_ta_cod=2673", 33.0, 33.0, 33.0),
(5055, "Public", "0330023W", "Lycée Camille Jullian", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Camille Jullian - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 992, 717, 983, 533, 840, 115, 1, 1, 0, 0, 142, 9, 3, 0, 0, 6, 698, 2, 283, 691, 639, 78, 0, 0, 0, 0, 59, 545, 86, 66, 86, 0, 39.0, 77.0, 86.0, 19, 8, 77, 77, 0, 0, 9, 0, 0, 7, 40, 27, 3.0, 77, 0, 0, 6, 2, 58, 58, 45.35, 89.53, 100.0, 76.6875, 75.296875, 75.296875, 7.7998046875, 10.3984375, 89.5, 0.0, 0.0, 9.099609375, 51.8984375, 35.1, 3.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 497.0, 59.0, 0.0, 0.0, 48.0, "Tous les candidats", 699.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "4280", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4280&g_ta_cod=4280", 100.0, 0.0, 0.0),
(5056, "Public", "0610790C", "Lycée agricole Auguste Loutreuil", "61", "Orne", "Normandie", "Normandie", "Sées", "formation sélective", "BTS", "Lycée agricole Auguste Loutreuil - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 64, 668, 271, 668, 0, 194, 22, 131, 21, 114, 21, 229, 0, 0, 0, 0, 0, 419, 0, 0, 0, 176, 18, 104, 14, 70, 13, 69, 178, 64, 25, 64, 0, 22.0, 53.0, 62.0, 0, 5, 54, 22, 16, 16, 10, 0, 12, 29, 11, 2, 0.0, 16, 12, 14, 2, 1, 29, 29, 34.38, 82.81, 96.88, 39.09375, 53.6953125, 53.6953125, 3.69970703125, 9.298828125, 84.390625, 0.0, 22.19921875, 53.6953125, 20.3984375, 3.7, 0.0, 40.6953125, 29.59765625, 29.59765625, 22.19921875, 29.59765625, 25.8984375, 74.0, 8.0, 31.0, 3.0, 31.0, "Tous les candidats sauf les Bac professionnels", 229.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 41.0, "7314", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7314&g_ta_cod=7314", 44.0, 31.0, 25.0),
(5057, "Privé sous contrat d'association", "0490840X", "Lycée polyvalent privé Bourg-Chevreau", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Segré-en-Anjou Bleu", "formation sélective", "BTS", "Lycée polyvalent privé Bourg-Chevreau - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 33, 221, 93, 129, 0, 11, 2, 43, 8, 47, 17, 28, 92, 13, 32, 20, 27, 88, 19, 0, 0, 10, 2, 35, 5, 35, 13, 8, 98, 18, 4, 14, 4, 5.0, 14.0, 18.0, 0, 5, 15, 4, 5, 6, 3, 0, 7, 5, 3, 0, 0.0, 3, 0, 5, 7, 2, 14, 14, 27.78, 77.78, 100.0, 22.19921875, 93.296875, 93.296875, 46.6953125, 33.296875, 83.296875, 0.0, 46.6953125, 33.296875, 20.0, 0.0, 0.0, 26.69921875, 20.0, 33.296875, 0.0, 40.0, 33.296875, 14.0, 2.0, 33.0, 11.0, 12.0, "Tous les candidats sauf les Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 67.0, "5900", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5900&g_ta_cod=5900", 33.0, 28.0, 39.0),
(5058, "Privé sous contrat d'association", "0940822H", "Lycée Claude-Nicolas LEDOUX / EBTP", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vincennes", "formation sélective", "BTS", "Lycée Claude-Nicolas LEDOUX / EBTP - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "BTS - Production", "", 16, 204, 25, 175, 0, 41, 4, 36, 4, 44, 12, 54, 29, 3, 4, 7, 15, 104, 6, 0, 0, 34, 3, 27, 4, 22, 6, 21, 77, 11, 2, 11, 0, 4.0, 11.0, 11.0, 0, 1, 8, 3, 3, 2, 3, 0, 3, 4, 1, 0, 0.0, 1, 3, 1, 1, 0, 5, 7, 36.36, 100.0, 100.0, 18.19921875, 62.5, 87.5, 12.5, 12.5, 72.6875, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 37.5, 12.5, 37.5, 37.5, 25.0, 12.5, 26.0, 2.0, 17.0, 6.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 55.0, "11453", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11453&g_ta_cod=11453", 55.0, 27.0, 18.0),
(5059, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Double diplôme - Licence Information et communication - Médias, cultures et sociétés ? Cursus franco-allemand « Culture Européenne des Médias »", "Licence - Sciences humaines et sociales", "Médias, cultures et sociétés ? Cursus franco-allemand « Culture Européenne des Médias »", 15, 176, 132, 176, 0, 112, 14, 6, 2, 2, 2, 56, 0, 0, 0, 0, 0, 116, 0, 0, 0, 85, 7, 1, 0, 0, 0, 30, 61, 14, 11, 14, 0, 4.0, 11.0, 13.0, 0, 1, 12, 12, 0, 0, 2, 0, 1, 2, 4, 4, 1.0, 11, 0, 0, 0, 0, 1, 1, 28.57, 78.57, 92.86, 78.59375, 8.298828125, 8.298828125, 0, 8.298828125, 85.6875, 0.0, 8.298828125, 16.69921875, 33.296875, 33.3, 8.3, 100.0, 91.6875, 0.0, 0.0, 0.0, 0.0, 49.0, 7.0, 0.0, 0.0, 12.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "32055", "Licence - Double diplôme - Licence Information et communication - Médias, cultures et sociétés ? Cursus franco-allemand « Culture Européenne des Médias »", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32055&g_ta_cod=32055", 100.0, 0.0, 0.0),
(5060, "Privé enseignement supérieur", "0922007G", "EDC Paris BS", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Puteaux", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 20, 1251, 673, 1242, 0, 1036, 56, 93, 6, 4, 2, 109, 9, 3, 1, 0, 5, 1166, 8, 0, 0, 992, 50, 84, 5, 1, 1, 89, 1031, 8, 5, 7, 1, 4.0, 7.0, 7.0, 0, 0, 6, 6, 0, 0, 2, 0, 4, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 2, 3, 50.0, 87.5, 87.5, 62.5, 33.296875, 50.0, 0, 0.0, 75.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 100.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 886.0, 45.0, 1.0, 1.0, 76.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "31982", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=31982", 100.0, 0.0, 0.0),
(5061, "Public", "0132133Y", "Aix Marseille Université - Site d'Aix-en-Provence (3 Schuman)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence (3 Schuman) - Double licence - Droit / Economie et gestion -", "Licence - Droit-économie-gestion", "", 36, 1454, 898, 1320, 0, 1112, 190, 35, 9, 4, 4, 169, 134, 40, 9, 3, 82, 313, 5, 0, 0, 281, 31, 0, 0, 0, 0, 32, 171, 36, 29, 32, 3, 11.0, 27.0, 32.0, 0, 7, 32, 32, 0, 0, 4, 0, 0, 1, 5, 24, 2.0, 32, 0, 0, 0, 0, 15, 15, 30.56, 75.0, 88.89, 80.59375, 46.8984375, 46.8984375, 0, 21.8984375, 88.890625, 0.0, 0.0, 3.099609375, 15.599609375, 75.0, 6.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 147.0, 20.0, 0.0, 0.0, 24.0, "Tous les candidats", 259.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "28662", "Double licence - Droit / Economie et gestion -", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28662&g_ta_cod=28662", 100.0, 0.0, 0.0),
(5062, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "Licence", "Université des Antilles - Pôle Guadeloupe - Licence - Portail Economie et gestion - Métiers de l?environnement & aménagement du territoire/Métiers de l?expertise éco & managériale/Métiers de l?ingénierie éco & juridique - Guadeloupe", "Licence - Droit-économie-gestion", "Métiers de l?environnement & aménagement du territoire/Métiers de l?expertise éco & managériale/Métiers de l?ingénierie éco & juridique - Guadeloupe", 350, 748, 383, 547, 0, 317, 139, 104, 60, 30, 23, 96, 201, 39, 28, 32, 102, 545, 193, 0, 0, 317, 139, 104, 60, 30, 23, 94, 732, 242, 114, 146, 94, 104.0, 143.0, 198.0, 0, 92, 162, 86, 45, 31, 80, 0, 100, 48, 12, 2, 0.0, 42, 11, 9, 0, 0, 158, 158, 42.98, 59.09, 81.82, 47.09375, 97.5, 97.5, 0, 56.796875, 66.890625, 0.0, 61.6953125, 29.59765625, 7.3994140625, 1.2, 0.0, 53.09375, 25.8984375, 27.796875, 6.7998046875, 19.09765625, 5.599609375, 353.0, 156.0, 59.0, 46.0, 185.0, "Tous les candidats", 610.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "19990", "Licence - Portail Economie et gestion - Métiers de l?environnement & aménagement du territoire/Métiers de l?expertise éco & managériale/Métiers de l?ingénierie éco & juridique - Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27421&g_ta_cod=19990", 55.0, 26.0, 19.0),
(5063, "Public", "0690038S", "Lycée La Martinière Duchère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "Autre formation", "Lycée La Martinière Duchère - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 24, 1332, 1102, 1332, 0, 287, 93, 410, 148, 32, 16, 603, 0, 0, 0, 0, 0, 500, 0, 0, 0, 145, 41, 119, 38, 0, 0, 236, 213, 26, 23, 26, 0, 1.0, 11.0, 21.0, 0, 6, 15, 7, 8, 0, 11, 0, 2, 7, 5, 1, 0.0, 5, 8, 0, 0, 0, 11, 11, 3.85, 42.31, 80.77, 88.5, 73.296875, 73.296875, 0, 40.0, 57.6953125, 0.0, 13.298828125, 46.6953125, 33.296875, 6.7, 0.0, 46.6953125, 33.296875, 53.296875, 53.296875, 0.0, 0.0, 75.0, 24.0, 0.0, 0.0, 107.0, "Tous les candidats", 306.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "8225", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8225&g_ta_cod=8225", 65.0, 35.0, 0.0),
(5064, "Public", "0442765S", "Lycée polyvalent Nelson Mandela", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée polyvalent Nelson Mandela - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 70, 1314, 714, 1179, 0, 162, 39, 325, 129, 161, 81, 531, 135, 5, 18, 17, 95, 412, 30, 0, 0, 105, 20, 154, 43, 70, 31, 83, 250, 45, 21, 29, 14, 3.0, 20.0, 34.0, 0, 12, 30, 10, 11, 9, 15, 0, 15, 11, 4, 0, 0.0, 4, 3, 8, 1, 0, 26, 26, 6.67, 44.44, 75.56, 46.6953125, 86.6875, 86.6875, 3.2998046875, 40.0, 66.6875, 0.0, 50.0, 36.6953125, 13.298828125, 0.0, 0.0, 33.296875, 13.298828125, 36.6953125, 10.0, 30.0, 26.69921875, 60.0, 13.0, 39.0, 23.0, 65.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 143.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 188, "Liste d'appel propre à cette formation", 34.0, "5446", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5446&g_ta_cod=5446", 36.0, 40.0, 24.0),
(5065, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Licence", "Université de Rennes 1 - Licence - Physique, chimie - Parcours DEFI Sciences et Propriétés de la Matière (SPM)", "Licence - Sciences - technologies - santé", "DEFI Sciences et Propriétés de la Matière (SPM)", 30, 727, 311, 688, 0, 524, 61, 18, 4, 0, 0, 146, 39, 9, 0, 0, 30, 480, 9, 0, 0, 390, 38, 0, 0, 0, 0, 90, 306, 24, 7, 21, 3, 2.0, 19.0, 23.0, 0, 3, 20, 20, 0, 0, 4, 0, 0, 3, 11, 6, 0.0, 20, 0, 0, 0, 0, 15, 15, 8.33, 79.17, 95.83, 29.19921875, 75.0, 75.0, 0, 15.0, 83.296875, 0.0, 0.0, 15.0, 55.0, 30.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 241.0, 24.0, 0.0, 0.0, 65.0, "Tous les candidats", 480.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "19166", "Licence - Physique, chimie - Parcours DEFI Sciences et Propriétés de la Matière (SPM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19166&g_ta_cod=19166", 100.0, 0.0, 0.0),
(5066, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "Autre formation", "Université Claude Bernard Lyon 1 - DEUST - Animation et gestion des activités sportives, physiques ou culturelles, parcours activités de pleine nature", "DEUST", "", 58, 169, 33, 152, 0, 56, 8, 30, 3, 26, 2, 40, 17, 6, 2, 2, 7, 71, 4, 0, 0, 17, 1, 15, 0, 15, 1, 24, 75, 57, 9, 53, 4, 51.0, 53.0, 56.0, 0, 2, 39, 13, 12, 14, 18, 0, 11, 18, 9, 1, 0.0, 11, 5, 12, 0, 0, 3, 3, 89.47, 92.98, 98.25, 15.798828125, 7.69921875, 7.69921875, 0, 5.099609375, 68.390625, 0.0, 28.19921875, 46.1953125, 23.09765625, 2.6, 0.0, 33.296875, 28.19921875, 30.796875, 12.798828125, 35.8984375, 30.796875, 18.0, 1.0, 17.0, 1.0, 24.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "8339", "DEUST - Animation et gestion des activités sportives, physiques ou culturelles, parcours activités de pleine nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8339&g_ta_cod=8339", 44.0, 28.0, 28.0),
(5067, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte - Licence - Sciences pour l'ingénieur - Parcours Sciences pour l?ingénieur ou Informatique", "Licence - Sciences - technologies - santé", "Sciences pour l?ingénieur ou Informatique", 70, 264, 67, 234, 0, 164, 28, 15, 3, 4, 1, 51, 30, 9, 1, 0, 20, 233, 27, 0, 0, 164, 28, 15, 3, 4, 1, 50, 236, 46, 8, 37, 8, 10.0, 35.0, 43.0, 0, 13, 31, 29, 2, 0, 15, 0, 10, 9, 10, 2, 0.0, 20, 1, 0, 0, 0, 28, 28, 21.74, 76.09, 93.48, 17.3984375, 90.296875, 90.296875, 0, 41.8984375, 67.390625, 0.0, 32.296875, 29.0, 32.296875, 6.5, 0.0, 93.5, 64.5, 6.5, 3.19970703125, 0.0, 0.0, 163.0, 29.0, 2.0, 0.0, 61.0, "Tous les candidats", 233.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11723", "Licence - Sciences pour l'ingénieur - Parcours Sciences pour l?ingénieur ou Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27468&g_ta_cod=11723", 89.0, 11.0, 0.0),
(5068, "Public", "0500087Y", "Lycée Claude Lehec", "50", "Manche", "Normandie", "Normandie", "Saint-Hilaire-du-Harcouët", "formation sélective", "BTS", "Lycée Claude Lehec - BTS - Production - Maintenance des matériels de construction et de manutention", "BTS - Production", "", 12, 78, 2, 78, 0, 1, 0, 12, 3, 32, 7, 33, 0, 0, 0, 0, 0, 46, 0, 0, 0, 1, 0, 12, 3, 32, 7, 1, 27, 10, 0, 10, 0, 4.0, 10.0, 10.0, 0, 3, 10, 0, 2, 8, 0, 0, 4, 4, 2, 0, 0.0, 0, 0, 6, 5, 0, 7, 7, 40.0, 100.0, 100.0, 0.0, 70.0, 70.0, 50, 30.0, 100.0, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 60.0, 1.0, 0.0, 22.0, 5.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 56.0, "6008", "BTS - Production - Maintenance des matériels de construction et de manutention", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6008&g_ta_cod=6008", 0.0, 20.0, 80.0),
(5069, "Public", "0440030U", "Lycée Polyvalent Gaspard Monge - La Chauvinière", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée Polyvalent Gaspard Monge - La Chauvinière - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 15, 162, 7, 154, 0, 2, 0, 42, 8, 75, 25, 35, 8, 0, 0, 4, 4, 109, 6, 0, 0, 2, 0, 40, 8, 54, 15, 13, 56, 11, 0, 7, 4, 6.0, 7.0, 8.0, 0, 4, 9, 0, 3, 6, 2, 0, 3, 4, 1, 1, 0.0, 0, 2, 4, 1, 0, 7, 7, 54.55, 63.64, 72.73, 0.0, 77.796875, 77.796875, 11.099609375, 44.3984375, 81.796875, 0.0, 33.296875, 44.3984375, 11.099609375, 11.1, 0.0, 0.0, 0.0, 33.296875, 22.19921875, 66.6875, 44.3984375, 1.0, 0.0, 30.0, 10.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 67.0, "5441", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5441&g_ta_cod=5441", 0.0, 36.0, 64.0),
(5070, "Public", "0781944P", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "Licence", "Université de Versailles - Saint Quentin en Yvelines - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes européennes et internationales", "Licence - Arts-lettres-langues", "Etudes européennes et internationales", 65, 331, 256, 302, 0, 229, 36, 22, 6, 7, 3, 44, 29, 10, 2, 1, 16, 302, 26, 0, 0, 229, 36, 22, 6, 7, 3, 44, 278, 63, 42, 52, 11, 16.0, 51.0, 56.0, 0, 12, 49, 44, 2, 3, 14, 1, 15, 15, 14, 4, 0.0, 31, 0, 2, 0, 0, 37, 38, 25.4, 80.95, 88.89, 66.6875, 75.5, 77.59375, 0, 24.5, 77.796875, 2.0, 30.59765625, 30.59765625, 28.59765625, 8.2, 0.0, 89.796875, 63.296875, 4.099609375, 0.0, 6.099609375, 4.099609375, 209.0, 34.0, 7.0, 3.0, 45.0, "Tous les candidats", 303.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12863", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes européennes et internationales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12863&g_ta_cod=12863", 86.0, 8.0, 6.0),
(5071, "Public", "0620113L", "Lycée Henri Darras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Liévin", "formation sélective", "BTS", "Lycée Henri Darras - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 30, 1158, 823, 1112, 0, 272, 85, 318, 119, 33, 15, 489, 46, 0, 15, 8, 23, 411, 3, 0, 0, 216, 62, 74, 27, 19, 11, 102, 151, 22, 14, 20, 1, 3.0, 14.0, 18.0, 0, 9, 16, 6, 10, 0, 6, 0, 6, 4, 5, 1, 0.0, 5, 5, 0, 4, 2, 15, 15, 13.64, 63.64, 81.82, 63.59375, 93.796875, 93.796875, 25, 56.296875, 72.6875, 0.0, 37.5, 25.0, 31.296875, 6.3, 0.0, 37.5, 31.296875, 62.5, 31.296875, 0.0, 0.0, 50.0, 14.0, 13.0, 9.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 130.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 21.0, "7383", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7383&g_ta_cod=7383", 45.0, 50.0, 5.0),
(5072, "Privé sous contrat d'association", "0753915Y", "Lycée Blomet", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "CPGE", "Lycée Blomet - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 878, 616, 826, 0, 750, 50, 0, 0, 0, 0, 76, 52, 32, 0, 2, 18, 663, 22, 0, 663, 637, 40, 0, 0, 0, 0, 26, 574, 78, 57, 70, 8, 36.0, 70.0, 77.0, 0, 3, 75, 75, 0, 0, 3, 0, 0, 14, 47, 14, 0.0, 75, 0, 0, 2, 0, 36, 56, 46.15, 89.74, 98.72, 73.09375, 48.0, 74.6875, 2.69970703125, 4.0, 96.1875, 0.0, 0.0, 18.69921875, 62.6953125, 18.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 548.0, 34.0, 0.0, 0.0, 26.0, "Tous les candidats", 663.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "9479", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9479&g_ta_cod=9479", 100.0, 0.0, 0.0),
(5073, "Public", "0940123Y", "Lycée Guillaume Apollinaire", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Thiais", "formation sélective", "BTS", "Lycée Guillaume Apollinaire - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 872, 515, 872, 0, 30, 10, 253, 105, 313, 167, 276, 0, 0, 0, 0, 0, 872, 0, 0, 0, 30, 10, 253, 105, 313, 167, 276, 166, 35, 25, 34, 0, 4.0, 24.0, 32.0, 0, 12, 22, 0, 7, 15, 13, 0, 9, 10, 3, 0, 0.0, 0, 6, 7, 6, 6, 17, 21, 11.43, 68.57, 91.43, 71.390625, 77.296875, 95.5, 27.296875, 54.5, 62.8984375, 0.0, 40.8984375, 45.5, 13.599609375, 0.0, 0.0, 0.0, 0.0, 31.796875, 27.296875, 68.1875, 31.796875, 8.0, 8.0, 87.0, 47.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 174, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 31.0, "11404", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11404&g_ta_cod=11404", 11.0, 34.0, 51.0),
(5074, "Privé sous contrat d'association", "0011170S", "MFR Domaine de La Saulsaie", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Montluel", "formation sélective", "BTS", "MFR Domaine de La Saulsaie - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 20, 78, 50, 66, 0, 5, 1, 7, 2, 27, 8, 27, 12, 2, 1, 3, 6, 44, 10, 0, 0, 5, 1, 7, 2, 26, 8, 6, 51, 12, 10, 5, 7, 2.0, 4.0, 11.0, 0, 2, 8, 1, 2, 5, 4, 0, 4, 4, 0, 0, 0.0, 0, 0, 4, 1, 1, 7, 7, 16.67, 33.33, 91.67, 83.296875, 87.5, 87.5, 12.5, 25.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 12.5, 0.0, 25.0, 0.0, 62.5, 50.0, 7.0, 2.0, 25.0, 8.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 65.0, "13671", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13671&g_ta_cod=13671", 25.0, 17.0, 58.0),
(5075, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "PASS", "Université des Antilles - Pôle Martinique - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 21, 217, 152, 214, 0, 143, 45, 24, 13, 5, 2, 42, 3, 2, 0, 0, 1, 214, 3, 0, 0, 143, 45, 24, 13, 5, 2, 42, 126, 20, 16, 19, 1, 1.0, 19.0, 19.0, 0, 5, 17, 15, 2, 0, 3, 0, 8, 5, 4, 0, 0.0, 9, 0, 0, 0, 0, 16, 16, 5.0, 95.0, 95.0, 80.0, 94.09375, 94.09375, 0, 29.3984375, 85.0, 0.0, 47.09375, 29.3984375, 23.5, 0.0, 0.0, 88.1875, 52.8984375, 11.798828125, 0.0, 0.0, 0.0, 101.0, 28.0, 1.0, 0.0, 15.0, "Tous les candidats", 1005.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "26826", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26824&g_ta_cod=26826", 80.0, 15.0, 5.0),
(5076, "Public", "0790024X", "Lycée Paul Guerin", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BTS", "Lycée Paul Guerin - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 20, 131, 13, 127, 0, 5, 1, 16, 1, 57, 13, 49, 4, 0, 3, 0, 1, 80, 1, 0, 0, 4, 1, 15, 1, 57, 13, 4, 44, 14, 0, 14, 0, 5.0, 12.0, 13.0, 0, 2, 13, 1, 1, 11, 1, 0, 3, 4, 6, 0, 0.0, 0, 0, 10, 1, 0, 10, 10, 35.71, 85.71, 92.86, 0.0, 76.890625, 76.890625, 7.69921875, 15.3984375, 92.890625, 0.0, 23.09765625, 30.796875, 46.1953125, 0.0, 0.0, 7.69921875, 0.0, 7.69921875, 0.0, 84.59375, 76.890625, 3.0, 1.0, 27.0, 5.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 39.0, "10106", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10106&g_ta_cod=10106", 14.0, 7.0, 79.0),
(5077, "Privé enseignement supérieur", "0693448Y", "INSEEC Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours PASS - Formation des écoles de commerce et de management Bac + 4", "Formation des écoles de commerce et de management", "BBA INSEEC - English Track", 25, 1068, 544, 1068, 0, 933, 28, 51, 2, 0, 0, 84, 0, 0, 0, 0, 0, 845, 0, 0, 0, 752, 24, 37, 1, 0, 0, 56, 825, 48, 26, 48, 0, 40.0, 48.0, 48.0, 0, 2, 43, 38, 5, 0, 5, 0, 9, 18, 14, 2, 0.0, 30, 4, 0, 0, 0, 11, 11, 83.33, 100.0, 100.0, 54.1953125, 25.59765625, 25.59765625, 0, 4.69921875, 89.59375, 0.0, 20.8984375, 41.8984375, 32.59375, 4.7, 0.0, 88.390625, 69.796875, 11.599609375, 9.298828125, 0.0, 0.0, 732.0, 22.0, 0.0, 0.0, 56.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 79.0, "26374", "Formation des écoles de commerce et de management Bac + 4", "Concours PASS", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26356&g_ta_cod=26374", 85.0, 15.0, 0.0),
(5078, "Privé sous contrat d'association", "0431000D", "ISVT", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Vals-près-le-Puy", "formation sélective", "BTS", "ISVT - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 20, 80, 14, 74, 0, 9, 1, 42, 7, 8, 1, 15, 6, 2, 1, 0, 3, 67, 5, 0, 0, 9, 1, 42, 7, 7, 1, 9, 57, 13, 3, 11, 2, 4.0, 11.0, 12.0, 0, 2, 10, 1, 7, 2, 3, 0, 6, 3, 1, 0, 0.0, 0, 3, 1, 3, 0, 5, 5, 30.77, 84.62, 92.31, 23.09765625, 50.0, 50.0, 30, 20.0, 76.890625, 0.0, 60.0, 30.0, 10.0, 0.0, 0.0, 10.0, 0.0, 70.0, 30.0, 20.0, 10.0, 11.0, 1.0, 6.0, 1.0, 10.0, "Tous les candidats sauf les Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 91.0, "5416", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5416&g_ta_cod=5416", 23.0, 62.0, 15.0),
(5079, "Privé hors contrat", "0261286G", "Ecole technique privée EPSECO", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "Ecole technique privée EPSECO - BTS - Services - Diététique", "BTS - Services", "", 30, 473, 393, 455, 0, 131, 15, 110, 23, 30, 10, 184, 18, 4, 2, 0, 12, 255, 14, 0, 0, 80, 10, 92, 13, 21, 4, 62, 148, 14, 11, 10, 4, 3.0, 8.0, 10.0, 0, 1, 6, 4, 2, 0, 8, 0, 3, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 5, 5, 21.43, 57.14, 71.43, 78.59375, 83.296875, 83.296875, 0, 16.69921875, 42.8984375, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 66.6875, 50.0, 33.296875, 0.0, 0.0, 0.0, 51.0, 8.0, 12.0, 2.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 129.0, "Bacheliers technologiques toutes séries", 64, "Bacheliers professionnels toutes séries", 10, "Liste d'appel propre à cette formation", 45.0, "24301", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24301&g_ta_cod=24301", 57.0, 43.0, 0.0),
(5080, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence_Las", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS - site de Créteil", "Licence - Sciences humaines et sociales", "STAPS - site de Créteil", 25, 2694, 865, 2694, 0, 1502, 272, 298, 66, 66, 23, 828, 0, 0, 0, 0, 0, 2681, 0, 0, 0, 1502, 272, 298, 66, 66, 23, 815, 149, 25, 12, 25, 0, 2.0, 11.0, 16.0, 0, 8, 15, 14, 0, 1, 10, 0, 9, 1, 5, 0, 0.0, 5, 0, 1, 0, 0, 8, 14, 8.0, 44.0, 64.0, 48.0, 53.296875, 93.296875, 0, 53.296875, 60.0, 0.0, 60.0, 6.69921875, 33.296875, 0.0, 0.0, 93.296875, 33.296875, 0.0, 0.0, 6.69921875, 6.69921875, 66.0, 18.0, 2.0, 1.0, 79.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "28727", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS - site de Créteil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28726&g_ta_cod=28727", 88.0, 8.0, 4.0),
(5081, "Public", "9711032V", "Lycée Charles Coeffin", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "Autre formation", "Lycée Charles Coeffin - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 27, 11, 10, 0, 0, 0.0, 0.0, 4.0, 0, 4, 11, 0, 0, 11, 0, 0, 6, 5, 0, 0, 0.0, 0, 0, 5, 0, 0, 11, 11, 0.0, 0.0, 36.36, 90.890625, 100.0, 100.0, 0, 36.3984375, 100.0, 0.0, 54.5, 45.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 45.5, 0.0, 0.0, 27.0, 14.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25346", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 0.0, 100.0),
(5082, "Public", "0720048L", "Lycée polyvalent Raphaël Elizé", "72", "Sarthe", "Pays de la Loire", "Nantes", "Sablé-sur-Sarthe", "formation sélective", "BTS", "Lycée polyvalent Raphaël Elizé - BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "BTS - Production", "", 11, 157, 20, 116, 0, 5, 0, 19, 2, 28, 8, 64, 41, 1, 8, 7, 25, 52, 11, 0, 0, 3, 0, 17, 2, 22, 7, 10, 55, 10, 1, 4, 6, 1.0, 4.0, 8.0, 0, 2, 4, 1, 0, 3, 6, 0, 0, 4, 0, 0, 0.0, 1, 0, 3, 0, 0, 3, 3, 10.0, 40.0, 80.0, 10.0, 75.0, 75.0, 0, 50.0, 40.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 25.0, 25.0, 0.0, 0.0, 75.0, 75.0, 4.0, 0.0, 22.0, 9.0, 15.0, "Tous les candidats sauf les Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 45.0, "18096", "BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18096&g_ta_cod=18096", 30.0, 40.0, 30.0),
(5083, "Public", "0750699C", "Lycée Janson De Sailly", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Lycée Janson De Sailly - CPGE - MP2I", "Classe préparatoire scientifique", "", 48, 2931, 528, 2931, 1776, 2565, 319, 10, 3, 0, 0, 356, 0, 0, 0, 0, 0, 1601, 0, 276, 1469, 1588, 191, 0, 0, 0, 0, 13, 211, 50, 8, 50, 0, 4.0, 45.0, 50.0, 5, 7, 50, 50, 0, 0, 0, 0, 0, 0, 15, 31, 4.0, 50, 0, 0, 0, 0, 4, 23, 8.0, 90.0, 100.0, 16.0, 8.0, 46.0, 0, 14.0, 100.0, 0.0, 0.0, 0.0, 30.0, 62.0, 8.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 211.0, 23.0, 0.0, 0.0, 0.0, "Tous les candidats", 379.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "32124", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32124&g_ta_cod=32124", 100.0, 0.0, 0.0),
(5084, "Public", "0230602E", "I.U.T du Limousin - Site de Guéret", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Guéret", "formation sélective", "BUT", "I.U.T du Limousin - Site de Guéret - BUT - Carrières sociales Parcours animation sociale et socioculturelle", "BUT - Service", "", 44, 638, 488, 633, 0, 222, 33, 220, 63, 40, 13, 151, 5, 0, 2, 1, 2, 599, 5, 0, 0, 220, 32, 200, 52, 38, 11, 141, 261, 42, 34, 38, 4, 5.0, 23.0, 33.0, 0, 8, 38, 11, 21, 6, 4, 0, 20, 15, 3, 0, 0.0, 7, 6, 5, 0, 0, 7, 7, 11.9, 54.76, 78.57, 81.0, 18.3984375, 18.3984375, 0, 21.09765625, 90.5, 0.0, 52.59375, 39.5, 7.8994140625, 0.0, 0.0, 28.8984375, 18.3984375, 55.296875, 15.798828125, 15.798828125, 13.19921875, 76.0, 16.0, 12.0, 7.0, 57.0, "Tous les candidats sauf les Bac technologiques", 197.0, "Bacheliers technologiques toutes séries", 214, "", 0, "Liste d'appel propre à cette formation", 65.0, "15506", "BUT - Carrières sociales Parcours animation sociale et socioculturelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15506&g_ta_cod=15506", 33.0, 52.0, 14.0),
(5085, "Public", "0270017X", "Lycée Modeste Leroy", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "Autre formation", "Lycée Modeste Leroy - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 9, 3, 0, 0, 0.0, 0.0, 0.0, 0, 4, 8, 0, 4, 4, 1, 2, 4, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 7, 7, 0.0, 0.0, 0.0, 33.296875, 87.5, 87.5, 0, 50.0, 88.890625, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 25.0, 0.0, 0.0, 18.0, 9.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25745", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 56.0, 44.0),
(5086, "Privé enseignement supérieur", "0310155A", "Institut Catholique de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Institut Catholique de Toulouse - Licence - Philosophie", "Licence - Sciences humaines et sociales", "", 50, 174, 105, 118, 0, 74, 14, 3, 1, 4, 1, 37, 56, 11, 5, 1, 39, 118, 50, 0, 0, 74, 14, 3, 1, 4, 1, 37, 149, 23, 16, 14, 9, 11.0, 14.0, 18.0, 0, 1, 12, 11, 1, 0, 11, 0, 3, 1, 6, 1, 1.0, 8, 1, 0, 0, 0, 5, 5, 47.83, 60.87, 78.26, 69.59375, 41.6953125, 41.6953125, 0, 8.298828125, 52.1953125, 0.0, 25.0, 8.298828125, 50.0, 8.3, 8.3, 91.6875, 66.6875, 8.298828125, 8.298828125, 0.0, 0.0, 76.0, 13.0, 3.0, 2.0, 63.0, "Tous les candidats", 118.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4091", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4091&g_ta_cod=4091", 87.0, 4.0, 0.0),
(5087, "Public", "0590101P", "Lycée des Flandres", "59", "Nord", "Hauts-de-France", "Lille", "Hazebrouck", "formation sélective", "BTS", "Lycée des Flandres - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 269, 123, 269, 0, 22, 11, 93, 26, 93, 42, 61, 0, 0, 0, 0, 0, 193, 0, 0, 0, 16, 7, 71, 19, 69, 33, 37, 74, 22, 9, 22, 0, 6.0, 20.0, 20.0, 0, 5, 16, 0, 6, 10, 6, 0, 6, 7, 3, 0, 0.0, 0, 3, 7, 2, 2, 16, 16, 27.27, 90.91, 90.91, 40.8984375, 100.0, 100.0, 12.5, 31.296875, 72.6875, 0.0, 37.5, 43.796875, 18.796875, 0.0, 0.0, 0.0, 0.0, 37.5, 18.796875, 62.5, 43.796875, 3.0, 1.0, 36.0, 17.0, 14.0, "Tous les candidats sauf les Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 61, "", 0, "Liste d'appel propre à cette formation", 32.0, "33249", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33249&g_ta_cod=33249", 9.0, 27.0, 64.0),
(5088, "Public", "9710003B", "Lycée Baimbridge", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "BTS", "Lycée Baimbridge - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 284, 33, 284, 0, 70, 29, 86, 45, 68, 43, 60, 0, 0, 0, 0, 0, 133, 0, 0, 0, 49, 17, 48, 25, 15, 8, 21, 77, 37, 2, 37, 0, 17.0, 36.0, 37.0, 0, 17, 34, 13, 13, 8, 3, 0, 10, 15, 8, 1, 0.0, 8, 8, 8, 4, 0, 34, 34, 45.95, 97.3, 100.0, 5.3994140625, 100.0, 100.0, 11.798828125, 50.0, 91.890625, 0.0, 29.3984375, 44.09375, 23.5, 2.9, 0.0, 38.1953125, 23.5, 38.1953125, 23.5, 23.5, 23.5, 26.0, 13.0, 14.0, 7.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 35.0, "11739", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11739&g_ta_cod=11739", 41.0, 35.0, 24.0),
(5089, "Public", "9741046U", "Lycée Bellepierre", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "CPGE", "Lycée Bellepierre - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 24, 233, 145, 216, 0, 166, 28, 1, 1, 0, 0, 49, 17, 5, 0, 1, 11, 154, 8, 0, 154, 137, 23, 0, 0, 0, 0, 17, 125, 18, 9, 17, 1, 4.0, 17.0, 18.0, 0, 3, 13, 13, 0, 0, 5, 0, 2, 1, 5, 4, 1.0, 11, 0, 0, 1, 1, 13, 13, 22.22, 94.44, 100.0, 50.0, 100.0, 100.0, 7.69921875, 23.09765625, 72.1875, 0.0, 15.3984375, 7.69921875, 38.5, 30.8, 7.7, 100.0, 84.59375, 0.0, 0.0, 0.0, 0.0, 105.0, 18.0, 0.0, 0.0, 20.0, "Tous les candidats", 154.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "19653", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19653&g_ta_cod=19653", 100.0, 0.0, 0.0),
(5090, "Public", "0930121B", "Lycée Jean Jaurès", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "BTS", "Lycée Jean Jaurès - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 1695, 851, 1695, 0, 75, 37, 581, 289, 574, 306, 465, 0, 0, 0, 0, 0, 655, 0, 0, 0, 75, 37, 177, 90, 273, 143, 130, 162, 24, 14, 23, 0, 1.0, 16.0, 20.0, 0, 13, 21, 3, 8, 10, 3, 0, 6, 9, 6, 0, 0.0, 2, 6, 7, 1, 0, 19, 20, 4.17, 66.67, 83.33, 58.296875, 90.5, 95.1875, 4.7998046875, 61.8984375, 87.5, 0.0, 28.59765625, 42.8984375, 28.59765625, 0.0, 0.0, 14.298828125, 9.5, 38.09375, 28.59765625, 47.59375, 33.296875, 19.0, 8.0, 58.0, 32.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 109, "Bacheliers technologiques toutes séries", 92, "Liste d'appel propre à cette formation", 14.0, "11182", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11182&g_ta_cod=11182", 21.0, 33.0, 46.0),
(5091, "Public", "0332289J", "IFSI CHU de Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bordeaux - D.E Infirmier", "D.E secteur sanitaire", "", 282, 9496, 7992, 9496, 0, 2136, 421, 1518, 396, 693, 239, 5149, 0, 0, 0, 0, 0, 7539, 0, 0, 0, 1925, 345, 1280, 309, 445, 148, 3889, 1596, 282, 243, 282, 0, 15.0, 136.0, 213.0, 0, 29, 128, 70, 50, 8, 154, 0, 27, 51, 43, 7, 0.0, 54, 40, 7, 0, 0, 84, 84, 5.32, 48.23, 75.53, 86.1875, 65.59375, 65.59375, 0, 22.69921875, 45.3984375, 0.0, 21.09765625, 39.796875, 33.59375, 5.5, 0.0, 54.6953125, 42.1953125, 39.09375, 31.296875, 6.2998046875, 5.5, 356.0, 73.0, 25.0, 11.0, 914.0, "Tous les candidats", 2227.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 21.0, "23942", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23940&g_ta_cod=23942", 74.0, 22.0, 4.0),
(5092, "Public", "0650583F", "I.U.T de Tarbes", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 8, 232, 16, 228, 0, 0, 0, 210, 33, 0, 0, 18, 4, 0, 2, 0, 2, 103, 0, 0, 0, 0, 0, 97, 17, 0, 0, 6, 49, 6, 0, 6, 0, 0.0, 6.0, 6.0, 0, 0, 6, 0, 6, 0, 0, 0, 0, 1, 2, 3, 0.0, 0, 6, 0, 0, 0, 3, 3, 0.0, 100.0, 100.0, 0.0, 50.0, 50.0, 0, 0.0, 100.0, 0.0, 0.0, 16.69921875, 33.296875, 50.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 347.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "449", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=449", 0.0, 100.0, 0.0),
(5093, "Public", "0450042B", "Lycée des Métiers Durzy", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Villemandeur", "formation sélective", "BTS", "Lycée des Métiers Durzy - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 181, 15, 159, 0, 2, 1, 33, 11, 38, 15, 86, 22, 0, 2, 10, 10, 62, 10, 0, 0, 2, 1, 29, 10, 25, 10, 6, 73, 15, 1, 9, 6, 5.0, 9.0, 13.0, 0, 6, 14, 0, 7, 7, 1, 0, 8, 3, 3, 0, 0.0, 0, 3, 3, 5, 0, 10, 10, 33.33, 60.0, 86.67, 6.69921875, 71.390625, 71.390625, 35.6953125, 42.8984375, 93.296875, 0.0, 57.09375, 21.3984375, 21.3984375, 0.0, 0.0, 0.0, 0.0, 50.0, 21.3984375, 50.0, 21.3984375, 1.0, 0.0, 36.0, 16.0, 8.0, "Tous les candidats sauf les Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 39.0, "5648", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5648&g_ta_cod=5648", 0.0, 53.0, 47.0),
(5094, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Double licence - Droit / Histoire de l'art et archéologie -", "Licence - Droit-économie-gestion / Arts-lettres-langues", "", 30, 780, 550, 450, 0, 332, 49, 15, 8, 4, 2, 99, 330, 108, 24, 9, 189, 62, 32, 0, 0, 51, 2, 0, 0, 0, 0, 11, 87, 25, 20, 13, 12, 8.0, 13.0, 19.0, 0, 1, 18, 18, 0, 0, 7, 0, 0, 3, 6, 9, 0.0, 18, 0, 0, 0, 0, 10, 10, 32.0, 52.0, 76.0, 80.0, 55.59375, 55.59375, 0, 5.599609375, 72.0, 0.0, 0.0, 16.69921875, 33.296875, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 62.0, 3.0, 0.0, 0.0, 25.0, "Tous les candidats", 62.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "31233", "Double licence - Droit / Histoire de l'art et archéologie -", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31233&g_ta_cod=31233", 100.0, 0.0, 0.0),
(5095, "Privé sous contrat d'association", "0291751W", "Lycée agricole Kerustum", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée agricole Kerustum - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 28, 83, 36, 76, 0, 5, 0, 8, 0, 35, 8, 28, 7, 0, 2, 3, 2, 55, 6, 0, 0, 5, 0, 8, 0, 33, 7, 9, 58, 16, 6, 13, 3, 7.0, 13.0, 14.0, 0, 1, 9, 1, 2, 6, 7, 0, 8, 1, 0, 0, 0.0, 0, 0, 1, 2, 1, 9, 9, 43.75, 81.25, 87.5, 37.5, 100.0, 100.0, 22.19921875, 11.099609375, 56.296875, 0.0, 88.890625, 11.099609375, 0.0, 0.0, 0.0, 11.099609375, 0.0, 22.19921875, 0.0, 66.6875, 11.099609375, 5.0, 0.0, 33.0, 8.0, 11.0, "Tous les candidats sauf les Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 72.0, "3899", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3899&g_ta_cod=3899", 31.0, 25.0, 44.0),
(5096, "Public", "0210071N", "Centre de Ressources, d'Expertise et de Performance Sportive de Dijon (CREPS)", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive de Dijon (CREPS) - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 4, 49, 15, 32, 0, 13, 3, 11, 1, 2, 1, 6, 17, 2, 7, 1, 7, 5, 0, 0, 0, 3, 2, 0, 0, 0, 0, 2, 3, 3, 2, 3, 0, 3.0, 3.0, 3.0, 0, 1, 1, 1, 0, 0, 2, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 66.6875, 100.0, 100.0, 0, 100.0, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 0.0, 0.0, 2.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 9.0, "21288", "BPJEPS - Activités aquatiques et de la natation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21288&g_ta_cod=21288", 100.0, 0.0, 0.0),
(5097, "Privé sous contrat d'association", "0010099C", "Lycée professionnel Saint Joseph", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "Autre formation", "Lycée professionnel Saint Joseph - Mention complémentaire - FCIL secrétariat médical", "Mention complémentaire", "", 12, 47, 45, 40, 0, 1, 0, 5, 2, 24, 5, 10, 7, 2, 1, 0, 4, 37, 4, 0, 0, 1, 0, 5, 2, 21, 3, 10, 33, 9, 9, 7, 2, 3.0, 5.0, 7.0, 0, 0, 4, 0, 1, 3, 5, 0, 2, 0, 2, 0, 0.0, 0, 1, 1, 0, 0, 4, 4, 33.33, 55.56, 77.78, 100.0, 100.0, 100.0, 0, 0.0, 44.3984375, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 0.0, 25.0, 25.0, 75.0, 25.0, 2.0, 0.0, 13.0, 2.0, 13.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "24759", "Mention complémentaire - FCIL secrétariat médical", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24759&g_ta_cod=24759", 0.0, 22.0, 67.0),
(5098, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Université de Lille - DEUST - Technologies de l'organisation dans les professions de santé", "DEUST", "", 30, 181, 134, 160, 0, 27, 12, 71, 33, 1, 1, 61, 21, 3, 7, 1, 10, 141, 3, 0, 0, 27, 12, 62, 30, 0, 0, 52, 123, 26, 19, 24, 2, 10.0, 21.0, 24.0, 0, 8, 17, 6, 11, 0, 9, 0, 11, 6, 0, 0, 0.0, 3, 3, 0, 0, 0, 15, 15, 38.46, 80.77, 92.31, 73.09375, 88.1875, 88.1875, 0, 47.09375, 65.390625, 0.0, 64.6875, 35.296875, 0.0, 0.0, 0.0, 35.296875, 17.59765625, 64.6875, 17.59765625, 0.0, 0.0, 24.0, 10.0, 0.0, 0.0, 47.0, "Tous les candidats", 139.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "7057", "DEUST - Technologies de l'organisation dans les professions de santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7057&g_ta_cod=7057", 46.0, 50.0, 0.0),
(5099, "Public", "0120870F", "I.U.T de Rodez", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BUT", "I.U.T de Rodez - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation (3è année en alternance) - Déploiement, intégration d'applications et management du SI", "BUT - Production", "Réalisation d'applications : conception, développement, validation (3è année en alternance) - Déploiement, intégration d'applications et management du SI", 50, 768, 55, 768, 0, 465, 96, 185, 52, 4, 0, 114, 0, 0, 0, 0, 0, 456, 0, 0, 0, 324, 59, 104, 28, 0, 0, 28, 245, 52, 6, 52, 0, 4.0, 38.0, 47.0, 0, 6, 51, 38, 13, 0, 1, 0, 11, 31, 8, 1, 0.0, 28, 12, 0, 0, 0, 38, 38, 7.69, 73.08, 90.38, 11.5, 74.5, 74.5, 0, 11.798828125, 98.09375, 0.0, 21.59765625, 60.796875, 15.69921875, 2.0, 0.0, 74.5, 54.8984375, 25.5, 23.5, 0.0, 0.0, 162.0, 26.0, 0.0, 0.0, 20.0, "Tous les candidats sauf les Bac technologiques", 302.0, "Bacheliers technologiques toutes séries", 108, "", 0, "Liste d'appel propre à cette formation", 53.0, "2495", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation (3è année en alternance) - Déploiement, intégration d'applications et management du SI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2495&g_ta_cod=2495", 75.0, 25.0, 0.0),
(5100, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence_Las", "Université de Brest - Licence - Portail Droit - Droit parcours général", "Licence - Droit-économie-gestion", "Droit parcours général : Université de Brest", 40, 479, 358, 457, 0, 287, 51, 29, 11, 8, 5, 133, 22, 8, 2, 0, 12, 453, 21, 0, 0, 287, 51, 29, 11, 8, 5, 129, 296, 38, 29, 28, 10, 0.0, 23.0, 30.0, 0, 6, 25, 20, 5, 0, 13, 0, 9, 13, 3, 0, 0.0, 13, 3, 0, 0, 0, 19, 19, 0.0, 60.53, 78.95, 76.296875, 76.0, 76.0, 0, 24.0, 65.796875, 0.0, 36.0, 52.0, 12.0, 0.0, 0.0, 80.0, 52.0, 20.0, 12.0, 0.0, 0.0, 186.0, 29.0, 2.0, 1.0, 89.0, "Tous les candidats", 2144.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "28826", "Licence - Portail Droit - Droit parcours général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28752&g_ta_cod=28826", 84.0, 13.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(5101, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Sciences du langage - Parcours Sciences du langage - Enseignement à distance", "Licence - Arts-lettres-langues", "Sciences du langage - Enseignement à distance", 100, 347, 294, 172, 0, 43, 11, 5, 1, 2, 1, 122, 175, 11, 2, 1, 161, 171, 166, 0, 0, 43, 11, 5, 1, 2, 1, 121, 328, 99, 81, 31, 68, 11.0, 31.0, 74.0, 0, 2, 5, 3, 1, 1, 94, 0, 2, 2, 1, 0, 0.0, 1, 1, 1, 0, 0, 3, 3, 11.11, 31.31, 74.75, 81.796875, 60.0, 60.0, 0, 40.0, 5.099609375, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 60.0, 20.0, 20.0, 20.0, 20.0, 20.0, 54.0, 13.0, 2.0, 2.0, 265.0, "Tous les candidats", 169.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "20447", "Licence - Sciences du langage - Parcours Sciences du langage - Enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20447&g_ta_cod=20447", 67.0, 16.0, 8.0),
(5102, "Privé sous contrat d'association", "0311177L", "Institut Limayrac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Institut Limayrac - BTS - Services - Economie sociale familiale", "BTS - Services", "", 70, 852, 772, 826, 0, 104, 32, 203, 47, 287, 123, 232, 26, 3, 6, 5, 12, 534, 13, 0, 0, 80, 22, 145, 28, 167, 57, 142, 313, 59, 55, 56, 3, 18.0, 38.0, 46.0, 0, 10, 38, 9, 13, 16, 21, 0, 8, 21, 8, 1, 0.0, 7, 10, 13, 0, 0, 32, 32, 30.51, 64.41, 77.97, 93.1875, 84.1875, 84.1875, 0, 26.296875, 64.390625, 0.0, 21.09765625, 55.296875, 21.09765625, 2.6, 0.0, 23.69921875, 18.3984375, 34.1953125, 26.296875, 42.09375, 34.1953125, 42.0, 14.0, 86.0, 29.0, 90.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 119, "Bacheliers technologiques toutes séries", 158, "Liste d'appel propre à cette formation", 44.0, "4111", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4111&g_ta_cod=4111", 29.0, 34.0, 37.0),
(5103, "Public", "0540041B", "Lycée Georges de la Tour", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Georges de la Tour - BTS - Services - Assurance", "BTS - Services", "", 35, 864, 499, 864, 0, 96, 31, 280, 112, 137, 74, 351, 0, 0, 0, 0, 0, 382, 0, 0, 0, 76, 24, 172, 63, 58, 25, 76, 160, 28, 16, 28, 0, 2.0, 18.0, 26.0, 0, 9, 17, 2, 13, 2, 11, 0, 8, 5, 3, 1, 0.0, 2, 5, 2, 2, 1, 15, 15, 7.14, 64.29, 92.86, 57.09375, 88.1875, 88.1875, 11.798828125, 52.8984375, 60.6953125, 0.0, 47.09375, 29.3984375, 17.59765625, 5.9, 0.0, 11.798828125, 11.798828125, 76.5, 29.3984375, 11.798828125, 11.798828125, 19.0, 10.0, 16.0, 7.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 178, "Liste d'appel propre à cette formation", 30.0, "6259", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6259&g_ta_cod=6259", 29.0, 61.0, 11.0),
(5104, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud et Himalaya - Tibétain", "Licence - Arts-lettres-langues", "Asie du Sud et Himalaya - Tibétain", 30, 19, 13, 12, 0, 5, 0, 1, 1, 0, 0, 6, 7, 0, 0, 1, 6, 12, 3, 0, 0, 5, 0, 1, 1, 0, 0, 6, 15, 4, 1, 3, 1, 3.0, 3.0, 3.0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 75.0, 75.0, 75.0, 25.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5.0, 0.0, 1.0, 0.0, 8.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9408", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud et Himalaya - Tibétain", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9408&g_ta_cod=9408", 75.0, 0.0, 25.0),
(5105, "Public", "0670141P", "Centre de Ressources, d'Expertise et de Performance Sportive de Strasbourg (CREPS)", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "CREPS de Strasbourg - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 5, 129, 26, 129, 0, 36, 7, 39, 13, 18, 6, 36, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 0, 2, 0, 1, 0, 2, 7, 5, 1, 5, 0, 2.0, 5.0, 5.0, 0, 0, 4, 3, 1, 0, 1, 0, 1, 3, 0, 0, 0.0, 2, 1, 0, 0, 0, 4, 4, 40.0, 100.0, 100.0, 20.0, 100.0, 100.0, 0, 0.0, 80.0, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 75.0, 50.0, 25.0, 25.0, 0.0, 0.0, 4.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "21326", "BPJEPS - Activités physiques pour tous", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21326&g_ta_cod=21326", 60.0, 20.0, 20.0),
(5106, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Licence", "Université Bordeaux Montaigne - Double licence - Information et communication / Langues, littératures & civilisations étrangères et régionales - Licence 1 Allemand-information communication", "Licence - Sciences humaines et sociales", "Licence 1 Allemand-information communication", 15, 54, 46, 39, 0, 26, 2, 1, 0, 1, 0, 11, 15, 1, 0, 0, 14, 33, 3, 0, 0, 25, 1, 0, 0, 0, 0, 8, 34, 11, 9, 10, 1, 5.0, 10.0, 11.0, 0, 0, 8, 8, 0, 0, 3, 0, 1, 4, 3, 0, 0.0, 7, 0, 0, 0, 0, 3, 3, 45.45, 90.91, 100.0, 81.796875, 37.5, 37.5, 0, 0.0, 72.6875, 0.0, 12.5, 50.0, 37.5, 0.0, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 24.0, 1.0, 0.0, 0.0, 10.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "18080", "Double licence - Information et communication / Langues, littératures & civilisations étrangères et régionales - Licence 1 Allemand-information communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18080&g_ta_cod=18080", 100.0, 0.0, 0.0),
(5107, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Histoire - Parcours TRISTRA Histoire franco-allemande", "Licence - Sciences humaines et sociales", "TRISTRA Histoire franco-allemande", 20, 142, 70, 104, 0, 73, 8, 9, 4, 2, 0, 20, 38, 2, 1, 7, 28, 104, 19, 0, 0, 73, 8, 9, 4, 2, 0, 20, 94, 14, 5, 7, 7, 6.0, 7.0, 11.0, 0, 1, 8, 7, 0, 1, 6, 0, 1, 2, 4, 1, 0.0, 6, 0, 1, 0, 0, 4, 4, 42.86, 50.0, 78.57, 35.6953125, 50.0, 50.0, 0, 12.5, 57.09375, 0.0, 12.5, 25.0, 50.0, 12.5, 0.0, 87.5, 75.0, 0.0, 0.0, 12.5, 12.5, 52.0, 7.0, 5.0, 3.0, 30.0, "Tous les candidats", 98.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "8078", "Licence - Histoire - Parcours TRISTRA Histoire franco-allemande", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8078&g_ta_cod=8078", 71.0, 14.0, 14.0),
(5108, "Public", "0420043U", "Lycée Jean Monnet", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Services - Commerce International", "BTS - Services", "", 35, 1358, 712, 1198, 0, 280, 81, 360, 148, 115, 62, 443, 160, 0, 101, 3, 56, 326, 12, 0, 0, 123, 34, 130, 40, 40, 19, 33, 194, 31, 20, 27, 2, 3.0, 24.0, 29.0, 0, 4, 26, 4, 17, 5, 5, 0, 8, 15, 3, 0, 0.0, 3, 10, 5, 2, 1, 20, 20, 9.68, 77.42, 93.55, 64.5, 76.890625, 76.890625, 7.69921875, 15.3984375, 83.890625, 0.0, 30.796875, 57.6953125, 11.5, 0.0, 0.0, 15.3984375, 11.5, 65.390625, 38.5, 19.19921875, 19.19921875, 42.0, 10.0, 29.0, 13.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 102.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 136, "Liste d'appel propre à cette formation", 23.0, "5294", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5294&g_ta_cod=5294", 19.0, 61.0, 19.0),
(5109, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "Licence", "Université Grenoble Alpes - Antenne de Valence - Double licence - Droit / Economie et gestion - Double Licence : Droit/Economie-Gestion", "Licence - Droit-économie-gestion", "Double Licence : Droit/Economie-Gestion", 35, 549, 349, 549, 0, 435, 72, 25, 7, 8, 5, 81, 0, 0, 0, 0, 0, 298, 0, 0, 0, 266, 28, 0, 0, 0, 0, 32, 177, 33, 17, 33, 0, 5.0, 24.0, 32.0, 0, 4, 33, 33, 0, 0, 0, 0, 0, 11, 16, 6, 0.0, 33, 0, 0, 0, 0, 18, 18, 15.15, 72.73, 96.97, 51.5, 54.5, 54.5, 0, 12.099609375, 100.0, 0.0, 0.0, 33.296875, 48.5, 18.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 160.0, 23.0, 0.0, 0.0, 17.0, "Tous les candidats", 259.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "18560", "Double licence - Droit / Economie et gestion - Double Licence : Droit/Economie-Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18560&g_ta_cod=18560", 100.0, 0.0, 0.0),
(5110, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Lettres - Parcours Lettres classiques", "Licence - Arts-lettres-langues", "Lettres classiques", 30, 96, 81, 60, 0, 38, 16, 4, 1, 1, 1, 17, 36, 8, 2, 2, 24, 60, 35, 0, 0, 38, 16, 4, 1, 1, 1, 17, 95, 5, 4, 2, 3, 2.0, 2.0, 4.0, 0, 0, 2, 2, 0, 0, 3, 1, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 40.0, 40.0, 80.0, 80.0, 50.0, 50.0, 0, 0.0, 40.0, 50.0, 0.0, 0.0, 50.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 45.0, 17.0, 3.0, 2.0, 41.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15185", "Licence - Lettres - Parcours Lettres classiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15185&g_ta_cod=15185", 100.0, 0.0, 0.0),
(5111, "Public", "0851457X", "I.U.T. La Roche-sur-Yon", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BUT", "I.U.T. La Roche-sur-Yon - BUT - Réseaux et télécommunications Parcours : Cyber sécurité - Internet des Objets et Mobilité (Seconde année possible en apprentissage)", "BUT - Production", "Cyber sécurité - Internet des Objets et Mobilité", 46, 709, 40, 709, 0, 419, 45, 187, 33, 15, 4, 88, 0, 0, 0, 0, 0, 514, 0, 0, 0, 354, 38, 119, 19, 3, 0, 38, 165, 50, 4, 50, 0, 22.0, 43.0, 49.0, 0, 6, 49, 27, 21, 1, 1, 0, 7, 24, 12, 5, 1.0, 26, 15, 1, 0, 0, 44, 44, 44.0, 86.0, 98.0, 8.0, 89.796875, 89.796875, 0, 12.19921875, 98.0, 0.0, 14.298828125, 49.0, 24.5, 10.2, 2.0, 55.09375, 53.09375, 42.8984375, 30.59765625, 2.0, 2.0, 89.0, 11.0, 2.0, 0.0, 10.0, "Tous les candidats sauf les Bac technologiques", 131.0, "Bacheliers technologiques toutes séries", 125, "", 0, "Liste d'appel propre à cette formation", 36.0, "10558", "BUT - Réseaux et télécommunications Parcours : Cyber sécurité - Internet des Objets et Mobilité (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10558&g_ta_cod=10558", 56.0, 42.0, 2.0),
(5112, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "PASS", "Université Clermont Auvergne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Accès à Kinésithérapie + Ergothérapie + Orthoptie", 30, 1457, 1097, 1457, 0, 1065, 141, 59, 9, 15, 5, 318, 0, 0, 0, 0, 0, 1457, 0, 0, 0, 1065, 141, 59, 9, 15, 5, 318, 221, 30, 21, 30, 0, 0.0, 20.0, 23.0, 0, 5, 28, 28, 0, 0, 2, 0, 7, 17, 4, 0, 0.0, 21, 0, 0, 0, 0, 26, 26, 0.0, 66.67, 76.67, 70.0, 92.890625, 92.890625, 0, 17.8984375, 93.296875, 0.0, 25.0, 60.6953125, 14.298828125, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 216.0, 30.0, 0.0, 0.0, 5.0, "Tous les candidats", 544.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "32154", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32152&g_ta_cod=32154", 93.0, 3.0, 0.0),
(5113, "Public", "0120006S", "Lycée La Découverte", "12", "Aveyron", "Occitanie", "Toulouse", "Decazeville", "formation sélective", "BTS", "Lycée La Découverte - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 12, 192, 40, 180, 0, 2, 0, 17, 2, 18, 6, 143, 12, 2, 3, 1, 6, 41, 9, 0, 0, 2, 0, 17, 2, 18, 6, 4, 46, 9, 1, 7, 2, 3.0, 7.0, 9.0, 0, 2, 7, 0, 3, 4, 2, 0, 5, 1, 1, 0, 0.0, 0, 1, 1, 6, 0, 6, 6, 33.33, 77.78, 100.0, 11.099609375, 85.6875, 85.6875, 85.6875, 28.59765625, 77.796875, 0.0, 71.390625, 14.298828125, 14.298828125, 0.0, 0.0, 0.0, 0.0, 42.8984375, 14.298828125, 57.09375, 14.298828125, 4.0, 0.0, 16.0, 4.0, 7.0, "Tous les candidats sauf les Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 23.0, "2481", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2481&g_ta_cod=2481", 11.0, 33.0, 56.0),
(5114, "Public", "9741186W", "Lycée de Trois Bassins", "974", "La Réunion", "La Réunion", "La Réunion", "Les Trois-Bassins", "formation sélective", "BTS", "Lycée de Trois Bassins - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 14, 125, 8, 121, 0, 4, 1, 40, 16, 60, 46, 17, 4, 0, 0, 0, 4, 87, 2, 0, 0, 1, 0, 19, 9, 60, 46, 7, 34, 14, 0, 14, 0, 4.0, 11.0, 14.0, 0, 7, 14, 0, 6, 8, 0, 0, 4, 8, 1, 1, 0.0, 0, 2, 8, 12, 0, 14, 14, 28.57, 78.57, 100.0, 0.0, 100.0, 100.0, 85.6875, 50.0, 100.0, 0.0, 28.59765625, 57.09375, 7.099609375, 7.1, 0.0, 0.0, 0.0, 42.8984375, 14.298828125, 57.09375, 57.09375, 1.0, 0.0, 22.0, 15.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 41.0, "11963", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11963&g_ta_cod=11963", 0.0, 43.0, 57.0),
(5115, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Langues étrangères appliquées - Parcours Anglais - Italien", "Licence - Arts-lettres-langues", "Anglais - Italien", 35, 226, 157, 167, 0, 98, 28, 22, 10, 13, 8, 34, 59, 11, 5, 8, 35, 164, 56, 0, 0, 98, 28, 22, 10, 13, 8, 31, 184, 35, 20, 14, 21, 3.0, 13.0, 25.0, 0, 9, 18, 9, 3, 6, 17, 0, 11, 4, 3, 0, 0.0, 4, 0, 3, 0, 0, 17, 17, 8.57, 37.14, 71.43, 57.09375, 94.390625, 94.390625, 0, 50.0, 51.3984375, 0.0, 61.09375, 22.19921875, 16.69921875, 0.0, 0.0, 50.0, 22.19921875, 16.69921875, 0.0, 33.296875, 16.69921875, 93.0, 23.0, 15.0, 9.0, 57.0, "Tous les candidats", 164.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "5336", "Licence - Langues étrangères appliquées - Parcours Anglais - Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5336&g_ta_cod=5336", 54.0, 20.0, 23.0),
(5116, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Portail Maths-Physique Sciences pour l'Ingénieur", "Licence - Sciences - technologies - santé", "Maths-Physique Sciences pour l'Ingénieur", 145, 860, 224, 771, 0, 587, 76, 29, 4, 0, 0, 155, 89, 22, 0, 0, 67, 768, 83, 0, 0, 587, 76, 29, 4, 0, 0, 152, 731, 73, 17, 57, 15, 9.0, 56.0, 67.0, 0, 14, 41, 40, 1, 0, 32, 0, 11, 19, 9, 2, 0.0, 30, 0, 0, 0, 0, 23, 23, 12.33, 76.71, 91.78, 23.296875, 56.09375, 56.09375, 0, 34.09375, 56.1953125, 0.0, 26.796875, 46.296875, 22.0, 4.9, 0.0, 97.59375, 73.1875, 2.39990234375, 0.0, 0.0, 0.0, 527.0, 72.0, 0.0, 0.0, 191.0, "Tous les candidats", 768.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "30987", "Licence - Portail Maths-Physique Sciences pour l'Ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30987&g_ta_cod=30987", 92.0, 3.0, 3.0),
(5117, "Public", "0801700N", "Lycée Jean- Baptiste Delambre", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Jean- Baptiste Delambre - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 40, 242, 16, 237, 0, 17, 3, 35, 10, 111, 50, 74, 5, 0, 0, 4, 1, 180, 4, 0, 0, 14, 2, 31, 8, 111, 50, 24, 94, 33, 6, 29, 3, 11.0, 17.0, 26.0, 0, 15, 29, 2, 4, 23, 4, 0, 9, 10, 7, 3, 0.0, 0, 2, 18, 0, 0, 21, 21, 33.33, 51.52, 78.79, 18.19921875, 72.390625, 72.390625, 0, 51.6953125, 87.890625, 0.0, 31.0, 34.5, 24.09765625, 10.3, 0.0, 6.8994140625, 0.0, 13.798828125, 6.8994140625, 79.296875, 62.09375, 4.0, 1.0, 60.0, 29.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 94, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 59.0, "10236", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10236&g_ta_cod=10236", 12.0, 12.0, 76.0),
(5118, "Public", "0750668U", "Lycée Jacques Decour", "75", "Paris", "Ile-de-France", "Paris", "Paris  9e  Arrondissement", "formation sélective", "CPGE", "Lycée Jacques Decour - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 2245, 850, 2245, 328, 1966, 347, 2, 1, 0, 0, 277, 0, 0, 0, 0, 0, 1603, 0, 258, 1537, 1535, 278, 1, 0, 0, 0, 67, 626, 93, 36, 93, 0, 1.0, 56.0, 79.0, 5, 9, 93, 93, 0, 0, 0, 0, 0, 8, 64, 21, 0.0, 93, 0, 0, 3, 1, 48, 86, 1.08, 60.22, 84.95, 38.6953125, 51.59375, 92.5, 3.19970703125, 9.69921875, 100.0, 0.0, 0.0, 8.599609375, 68.796875, 22.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 624.0, 105.0, 0.0, 0.0, 2.0, "Tous les candidats", 859.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "9002", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9002&g_ta_cod=9002", 100.0, 0.0, 0.0),
(5119, "Public", "0590214M", "Lycée Colbert", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "CPGE", "Lycée Colbert - CPGE - MP2I", "Classe préparatoire scientifique", "", 24, 433, 84, 433, 270, 280, 45, 4, 1, 0, 0, 149, 0, 0, 0, 0, 0, 249, 0, 153, 241, 221, 27, 0, 0, 0, 0, 28, 146, 18, 2, 18, 0, 1.0, 11.0, 17.0, 9, 2, 13, 13, 0, 0, 5, 1, 0, 2, 7, 3, 0.0, 12, 0, 0, 2, 1, 9, 9, 5.56, 61.11, 94.44, 11.099609375, 69.1875, 69.1875, 15.3984375, 15.3984375, 72.1875, 7.69921875, 0.0, 15.3984375, 53.796875, 23.1, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 128.0, 14.0, 0.0, 0.0, 18.0, "Tous les candidats", 238.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "31678", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31678&g_ta_cod=31678", 100.0, 0.0, 0.0),
(5120, "Privé sous contrat d'association", "0690634P", "Ecole LA MACHE", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Ecole LA MACHE - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 15, 137, 3, 131, 0, 5, 0, 34, 5, 66, 20, 26, 6, 1, 0, 1, 4, 83, 1, 0, 0, 2, 0, 17, 1, 48, 9, 16, 41, 14, 0, 13, 1, 4.0, 10.0, 12.0, 0, 1, 10, 1, 1, 8, 4, 0, 4, 3, 3, 0, 0.0, 0, 0, 6, 0, 0, 9, 9, 28.57, 71.43, 85.71, 0.0, 90.0, 90.0, 0, 10.0, 71.390625, 0.0, 40.0, 30.0, 30.0, 0.0, 0.0, 10.0, 0.0, 10.0, 0.0, 80.0, 60.0, 3.0, 1.0, 25.0, 5.0, 10.0, "Tous les candidats sauf les Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 46.0, "8320", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8320&g_ta_cod=8320", 14.0, 14.0, 71.0),
(5121, "Public", "0770934X", "Lycée Leonard De Vinci", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation sélective", "BTS", "Lycée Leonard De Vinci - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 60, 1107, 161, 1107, 0, 94, 29, 230, 70, 206, 69, 577, 0, 0, 0, 0, 0, 667, 0, 0, 0, 91, 28, 214, 62, 161, 52, 201, 185, 59, 5, 59, 0, 13.0, 58.0, 58.0, 0, 14, 43, 9, 13, 21, 16, 0, 24, 12, 7, 0, 0.0, 2, 7, 10, 7, 3, 35, 40, 22.03, 98.31, 98.31, 8.5, 81.390625, 93.0, 16.296875, 32.59375, 72.890625, 0.0, 55.796875, 27.8984375, 16.296875, 0.0, 0.0, 20.8984375, 4.69921875, 30.19921875, 16.296875, 48.796875, 23.296875, 21.0, 6.0, 74.0, 18.0, 40.0, "Tous les candidats sauf les Bac professionnels", 120.0, "Bacheliers professionnels toutes séries", 101, "", 0, "Liste d'appel propre à cette formation", 20.0, "9818", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9818&g_ta_cod=9818", 25.0, 36.0, 39.0),
(5122, "Privé sous contrat d'association", "0721009F", "Lycée agricole Val De Sarthe", "72", "Sarthe", "Pays de la Loire", "Nantes", "Sablé-sur-Sarthe", "formation sélective", "BTS", "Lycée agricole Val De Sarthe - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 35, 212, 106, 211, 0, 30, 4, 37, 9, 48, 10, 96, 1, 0, 0, 1, 0, 123, 0, 0, 0, 30, 4, 37, 9, 47, 10, 9, 86, 21, 18, 21, 0, 10.0, 21.0, 21.0, 0, 3, 18, 6, 3, 9, 3, 0, 8, 9, 0, 1, 0.0, 4, 3, 3, 6, 5, 12, 12, 47.62, 100.0, 100.0, 85.6875, 66.6875, 66.6875, 33.296875, 16.69921875, 85.6875, 0.0, 44.3984375, 50.0, 0.0, 5.6, 0.0, 33.296875, 22.19921875, 16.69921875, 16.69921875, 50.0, 16.69921875, 23.0, 4.0, 32.0, 9.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 58.0, "8756", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8756&g_ta_cod=8756", 38.0, 19.0, 43.0),
(5123, "Public", "0420042T", "Lycée Honore D'Urfe", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "Autre formation", "Lycée Honore D'Urfe - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 20, 909, 719, 851, 0, 166, 46, 289, 108, 22, 12, 374, 58, 2, 9, 1, 46, 250, 4, 0, 0, 76, 18, 94, 34, 0, 0, 80, 130, 20, 15, 17, 3, 0.0, 8.0, 14.0, 0, 2, 10, 4, 6, 0, 10, 1, 0, 5, 4, 0, 0.0, 4, 5, 0, 0, 0, 5, 5, 0.0, 40.0, 70.0, 75.0, 50.0, 50.0, 0, 20.0, 50.0, 10.0, 0.0, 50.0, 40.0, 0.0, 0.0, 40.0, 40.0, 60.0, 50.0, 0.0, 0.0, 36.0, 6.0, 0.0, 0.0, 56.0, "Tous les candidats", 188.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "5292", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5292&g_ta_cod=5292", 60.0, 40.0, 0.0),
(5124, "Public", "0510037N", "Lycée professionnel Yser", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée professionnel Yser - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 18, 266, 109, 266, 0, 23, 7, 60, 27, 88, 35, 95, 0, 0, 0, 0, 0, 202, 0, 0, 0, 23, 7, 59, 27, 86, 33, 34, 74, 16, 5, 16, 0, 3.0, 14.0, 15.0, 0, 7, 14, 0, 5, 9, 2, 0, 9, 3, 2, 0, 0.0, 0, 0, 5, 8, 1, 14, 14, 18.75, 87.5, 93.75, 31.296875, 100.0, 100.0, 57.09375, 50.0, 87.5, 0.0, 64.296875, 21.3984375, 14.298828125, 0.0, 0.0, 0.0, 0.0, 35.6953125, 0.0, 64.296875, 35.6953125, 16.0, 5.0, 33.0, 10.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 36.0, "19970", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19970&g_ta_cod=19970", 13.0, 31.0, 56.0),
(5125, "Public", "0931565W", "Lycée Flora Tristan", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Noisy-le-Grand", "formation sélective", "BTS", "Lycée Flora Tristan - BTS - Services - Support à l'action managériale", "BTS - Services", "", 20, 1005, 706, 1005, 0, 32, 12, 260, 128, 367, 204, 346, 0, 0, 0, 0, 0, 346, 0, 0, 0, 12, 6, 87, 37, 197, 113, 50, 113, 19, 16, 18, 0, 1.0, 15.0, 15.0, 0, 9, 17, 2, 8, 7, 2, 0, 4, 12, 1, 0, 0.0, 2, 5, 6, 2, 2, 16, 17, 5.26, 78.95, 78.95, 84.1875, 94.09375, 100.0, 11.798828125, 52.8984375, 89.5, 0.0, 23.5, 70.59375, 5.8994140625, 0.0, 0.0, 11.798828125, 11.798828125, 47.09375, 29.3984375, 41.1953125, 35.296875, 7.0, 4.0, 42.0, 20.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 14.0, "11272", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11272&g_ta_cod=11272", 11.0, 42.0, 47.0),
(5126, "Public", "0781949V", "Lycée De Villaroy", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation sélective", "BTS", "Lycée De Villaroy - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 30, 265, 67, 258, 0, 3, 0, 140, 33, 61, 18, 54, 7, 0, 0, 4, 3, 258, 0, 0, 0, 3, 0, 140, 33, 61, 18, 54, 111, 23, 4, 23, 0, 7.0, 19.0, 21.0, 0, 5, 15, 0, 6, 9, 8, 0, 8, 6, 1, 0, 0.0, 0, 2, 5, 3, 0, 13, 14, 30.43, 82.61, 91.3, 17.3984375, 86.6875, 93.296875, 20, 33.296875, 65.1875, 0.0, 53.296875, 40.0, 6.69921875, 0.0, 0.0, 0.0, 0.0, 40.0, 13.298828125, 60.0, 33.296875, 1.0, 0.0, 52.0, 13.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers technologiques toutes séries", 47, "Bacheliers professionnels toutes séries", 57, "Liste d'appel propre à cette formation", 43.0, "30576", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30576&g_ta_cod=30576", 4.0, 43.0, 52.0),
(5127, "Privé sous contrat d'association", "0593006X", "Lycée Notre-Dame D'Annay", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Notre-Dame D'Annay - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 32, 268, 105, 151, 0, 21, 7, 55, 14, 27, 11, 48, 117, 9, 20, 14, 74, 103, 37, 0, 0, 18, 5, 40, 8, 14, 4, 31, 124, 19, 5, 7, 12, 5.0, 7.0, 12.0, 0, 3, 6, 2, 2, 2, 13, 0, 2, 4, 0, 0, 0.0, 2, 0, 2, 1, 0, 5, 5, 26.32, 36.84, 63.16, 26.296875, 83.296875, 83.296875, 16.69921875, 50.0, 31.59765625, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 33.296875, 33.296875, 17.0, 4.0, 19.0, 7.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 68.0, "6941", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6941&g_ta_cod=6941", 47.0, 26.0, 26.0),
(5128, "Public", "9710002A", "LGT Gerville Reache", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "CPGE", "LGT Gerville Reache - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 42, 151, 72, 147, 110, 127, 32, 0, 0, 1, 1, 19, 4, 3, 0, 0, 1, 127, 3, 110, 78, 115, 29, 0, 0, 1, 1, 11, 81, 17, 6, 17, 0, 6.0, 16.0, 17.0, 7, 6, 17, 17, 0, 0, 0, 0, 1, 6, 7, 3, 0.0, 16, 0, 0, 2, 1, 17, 17, 35.29, 94.12, 100.0, 35.296875, 100.0, 100.0, 11.798828125, 35.296875, 100.0, 0.0, 5.8994140625, 35.296875, 41.1953125, 17.6, 0.0, 100.0, 94.09375, 0.0, 0.0, 0.0, 0.0, 79.0, 20.0, 0.0, 0.0, 2.0, "Tous les candidats", 94.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "31304", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31304&g_ta_cod=31304", 100.0, 0.0, 0.0),
(5129, "Public", "9741246L", "Centre regional associe Cnam Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Le Port", "formation sélective", "Autre formation", "Centre regional associe Cnam Saint Denis - Formation Supérieure de Spécialisation - Informatique - intégration web", "Diplôme d'Université", "Informatique - intégration web", 8, 100, 19, 34, 0, 8, 2, 6, 3, 3, 1, 17, 66, 14, 13, 2, 37, 3, 0, 0, 0, 1, 1, 2, 2, 0, 0, 0, 3, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 1.0, 0.0, 0.0, 0.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "33514", "Formation Supérieure de Spécialisation - Informatique - intégration web", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33514&g_ta_cod=33514", 0, 0, 0),
(5130, "Public", "0624141P", "Lycée Léonard de Vinci", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "BTS", "Lycée Léonard de Vinci - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 30, 209, 28, 199, 0, 8, 4, 61, 18, 34, 14, 96, 10, 0, 0, 8, 2, 132, 6, 0, 0, 8, 4, 61, 18, 34, 14, 29, 86, 20, 1, 17, 3, 4.0, 13.0, 15.0, 0, 6, 14, 1, 9, 4, 6, 0, 5, 6, 3, 0, 0.0, 1, 7, 1, 11, 1, 14, 14, 20.0, 65.0, 75.0, 5.0, 100.0, 100.0, 78.59375, 42.8984375, 70.0, 0.0, 35.6953125, 42.8984375, 21.3984375, 0.0, 0.0, 7.099609375, 7.099609375, 64.296875, 50.0, 28.59765625, 7.099609375, 8.0, 4.0, 35.0, 14.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 45.0, "7540", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7540&g_ta_cod=7540", 25.0, 50.0, 25.0),
(5131, "Public", "0381516S", "IUT 1 GRENOBLE", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "BUT", "IUT 1 GRENOBLE - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics", "BUT - Production", "Travaux Bâtiment - Travaux Publics", 120, 2581, 415, 2581, 0, 1391, 197, 792, 148, 9, 2, 389, 0, 0, 0, 0, 0, 1968, 0, 0, 0, 1150, 150, 578, 94, 0, 0, 240, 679, 115, 13, 115, 0, 5.0, 77.0, 102.0, 0, 13, 110, 56, 54, 0, 5, 0, 5, 70, 31, 4, 0.0, 55, 50, 0, 0, 0, 77, 77, 4.35, 66.96, 88.7, 11.298828125, 70.0, 70.0, 0, 11.798828125, 95.6875, 0.0, 4.5, 63.59375, 28.19921875, 3.6, 0.0, 50.8984375, 50.0, 49.09375, 45.5, 0.0, 0.0, 371.0, 47.0, 0.0, 0.0, 24.0, "Tous les candidats sauf les Bac technologiques", 644.0, "Bacheliers technologiques toutes séries", 457, "", 0, "Liste d'appel propre à cette formation", 43.0, "4965", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4965&g_ta_cod=4965", 52.0, 48.0, 0.0),
(5132, "Privé sous contrat d'association", "0340194H", "ISEN Méditerranée (Campus Nîmes) CPGE associée YNCREA (ISEN-HEI) Saint Joseph Pierre Rouge", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "Ecole d'Ingénieur", "ISEN Méditerranée (Campus Nîmes) CPGE associée YNCREA (ISEN-HEI) Saint Joseph Pierre Rouge - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "", 8, 7, 5, 7, 0, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 2.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "16964", "Formation d'ingénieur Bac + 5", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16964&g_ta_cod=16964", 100.0, 0.0, 0.0),
(5133, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Sciences sociales - Parcours Licence Sciences Sociales Option Sciences de l'Education", "Licence - Sciences humaines et sociales", "Licence Sciences Sociales Option Sciences de l'Education", 130, 945, 776, 873, 0, 476, 129, 124, 36, 30, 13, 243, 72, 8, 11, 5, 48, 872, 70, 0, 0, 476, 129, 124, 36, 30, 13, 242, 736, 132, 103, 93, 38, 10.0, 91.0, 104.0, 0, 16, 74, 45, 25, 4, 58, 1, 41, 23, 7, 2, 0.0, 24, 6, 2, 0, 0, 51, 51, 7.58, 68.94, 78.79, 78.0, 68.890625, 68.890625, 0, 21.59765625, 56.09375, 1.39990234375, 55.3984375, 31.09765625, 9.5, 2.7, 0.0, 60.796875, 32.3984375, 33.796875, 8.099609375, 5.3994140625, 2.69970703125, 391.0, 99.0, 29.0, 13.0, 203.0, "Tous les candidats", 871.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "25339", "Licence - Sciences sociales - Parcours Licence Sciences Sociales Option Sciences de l'Education", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25339&g_ta_cod=25339", 54.0, 34.0, 8.0),
(5134, "Public", "0781984H", "Lycée Vaucanson", "78", "Yvelines", "Ile-de-France", "Versailles", "Les Mureaux", "formation sélective", "BTS", "Lycée Vaucanson - BTS - Services - Economie sociale familiale", "BTS - Services", "", 30, 444, 396, 444, 0, 20, 11, 112, 49, 164, 72, 148, 0, 0, 0, 0, 0, 344, 0, 0, 0, 20, 11, 98, 40, 139, 61, 87, 140, 30, 29, 30, 0, 0.0, 18.0, 26.0, 0, 8, 24, 1, 10, 13, 6, 0, 10, 10, 2, 2, 0.0, 0, 3, 11, 5, 5, 23, 23, 0.0, 60.0, 86.67, 96.6875, 95.796875, 95.796875, 20.796875, 33.296875, 80.0, 0.0, 41.6953125, 41.6953125, 8.298828125, 8.3, 0.0, 4.19921875, 0.0, 41.6953125, 12.5, 54.1953125, 45.796875, 11.0, 5.0, 65.0, 27.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 100, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 47.0, "19762", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19762&g_ta_cod=19762", 17.0, 33.0, 50.0),
(5135, "Public", "0740051D", "Lycée Anna de Noailles", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Evian-les-Bains", "formation sélective", "BTS", "Lycée Anna de Noailles - BTS - Services - Tourisme", "BTS - Services", "", 30, 466, 333, 462, 0, 86, 7, 104, 30, 87, 32, 185, 4, 1, 0, 0, 3, 312, 0, 0, 0, 86, 7, 104, 30, 78, 29, 44, 156, 27, 19, 27, 0, 4.0, 22.0, 26.0, 0, 7, 25, 5, 9, 11, 2, 1, 7, 7, 9, 1, 0.0, 4, 5, 8, 4, 3, 15, 15, 14.81, 81.48, 96.3, 70.390625, 60.0, 60.0, 16, 28.0, 92.59375, 4.0, 28.0, 28.0, 36.0, 4.0, 0.0, 20.0, 16.0, 36.0, 20.0, 44.0, 32.0, 41.0, 6.0, 43.0, 20.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 106, "Liste d'appel propre à cette formation", 50.0, "8879", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8879&g_ta_cod=8879", 22.0, 37.0, 41.0),
(5136, "Public", "0310017A", "Lycée des Métiers - Paul Mathou", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Gourdan-Polignan", "formation sélective", "BTS", "Lycée des Métiers - Paul Mathou - BTS - Production - Travaux publics", "BTS - Production", "", 24, 351, 44, 336, 0, 18, 7, 101, 19, 45, 6, 172, 15, 0, 4, 5, 6, 302, 3, 0, 0, 18, 7, 100, 18, 30, 3, 154, 130, 18, 5, 17, 1, 4.0, 6.0, 11.0, 0, 1, 8, 0, 4, 4, 10, 0, 3, 4, 1, 0, 0.0, 0, 1, 4, 4, 0, 7, 7, 22.22, 33.33, 61.11, 27.796875, 87.5, 87.5, 50, 12.5, 44.3984375, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 0.0, 0.0, 50.0, 12.5, 50.0, 50.0, 9.0, 2.0, 26.0, 3.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 120, "Liste d'appel propre à cette formation", 53.0, "4028", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4028&g_ta_cod=4028", 44.0, 28.0, 28.0),
(5137, "Public", "0350028R", "Lycée Bréquigny", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Bréquigny - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 1117, 556, 1117, 0, 156, 44, 388, 102, 163, 81, 410, 0, 0, 0, 0, 0, 796, 0, 0, 0, 148, 38, 339, 78, 118, 56, 191, 176, 31, 16, 31, 0, 3.0, 21.0, 26.0, 0, 17, 29, 2, 18, 9, 2, 0, 11, 12, 4, 2, 0.0, 0, 10, 8, 2, 0, 25, 25, 9.68, 67.74, 83.87, 51.59375, 86.1875, 86.1875, 6.8994140625, 58.59375, 93.5, 0.0, 37.8984375, 41.3984375, 13.798828125, 6.9, 0.0, 6.8994140625, 0.0, 62.09375, 34.5, 31.0, 27.59765625, 37.0, 11.0, 30.0, 15.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 102.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 227, "Liste d'appel propre à cette formation", 35.0, "4637", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4637&g_ta_cod=4637", 6.0, 61.0, 32.0),
(5138, "Privé sous contrat d'association", "0350795Z", "Lycée / Pôle Sup de La Salle - Groupe Saint Jean", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "CPGE", "Lycée / Pôle Sup de La Salle - Groupe Saint Jean - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 30, 110, 52, 99, 0, 0, 0, 96, 14, 0, 0, 3, 11, 0, 8, 0, 3, 84, 0, 0, 84, 0, 0, 84, 11, 0, 0, 0, 78, 22, 7, 22, 0, 5.0, 22.0, 22.0, 0, 5, 22, 0, 22, 0, 0, 0, 1, 8, 13, 0, 0.0, 0, 21, 0, 5, 2, 19, 19, 22.73, 100.0, 100.0, 31.796875, 86.390625, 86.390625, 22.69921875, 22.69921875, 100.0, 0.0, 4.5, 36.3984375, 59.09375, 0.0, 0.0, 0.0, 0.0, 100.0, 95.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 84.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "4689", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4689&g_ta_cod=4689", 0.0, 100.0, 0.0),
(5139, "Privé sous contrat d'association", "0111024D", "Ecole Sup. La Raque", "11", "Aude", "Occitanie", "Montpellier", "Lasbordes", "formation sélective", "BTS", "Ecole Sup. La Raque - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 15, 45, 25, 38, 0, 3, 1, 14, 3, 4, 2, 17, 7, 2, 0, 1, 4, 27, 4, 0, 0, 3, 1, 14, 3, 4, 2, 6, 31, 7, 6, 5, 2, 5.0, 5.0, 6.0, 0, 0, 2, 1, 1, 0, 5, 0, 1, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 0, 71.43, 71.43, 85.71, 85.6875, 0.0, 0.0, 0, 0.0, 28.59765625, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 4.0, 1.0, 5.0, 3.0, 8.0, "Tous les candidats sauf les Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 71.0, "2479", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2479&g_ta_cod=2479", 43.0, 29.0, 29.0),
(5140, "Public", "0680001G", "Lycée Jean Jacques Henner", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Altkirch", "formation sélective", "BTS", "Lycée Jean Jacques Henner - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 219, 127, 217, 0, 18, 8, 57, 19, 64, 33, 78, 2, 0, 1, 0, 1, 179, 0, 0, 0, 18, 8, 42, 13, 46, 23, 73, 104, 21, 12, 21, 0, 2.0, 15.0, 18.0, 0, 6, 13, 0, 5, 8, 8, 0, 8, 5, 0, 0, 0.0, 0, 0, 5, 5, 5, 12, 12, 9.52, 71.43, 85.71, 57.09375, 92.296875, 92.296875, 38.5, 46.1953125, 61.8984375, 0.0, 61.5, 38.5, 0.0, 0.0, 0.0, 0.0, 0.0, 38.5, 0.0, 61.5, 38.5, 13.0, 6.0, 25.0, 10.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 61.0, "8080", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8080&g_ta_cod=8080", 19.0, 38.0, 43.0),
(5141, "Public", "0010016M", "Lycée Joseph-Marie Carriat", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "BTS", "Lycée Joseph-Marie Carriat - BTS - Production - Bâtiment", "BTS - Production", "", 15, 384, 42, 373, 0, 46, 6, 196, 39, 49, 17, 82, 11, 0, 0, 7, 4, 170, 1, 0, 0, 31, 2, 84, 14, 39, 12, 16, 71, 15, 1, 14, 1, 1.0, 11.0, 13.0, 0, 3, 13, 1, 7, 5, 2, 0, 3, 9, 1, 0, 0.0, 1, 6, 3, 9, 1, 10, 10, 6.67, 73.33, 86.67, 6.69921875, 76.890625, 76.890625, 69.1875, 23.09765625, 86.6875, 0.0, 23.09765625, 69.1875, 7.69921875, 0.0, 0.0, 7.69921875, 7.69921875, 53.796875, 46.1953125, 38.5, 23.09765625, 1.0, 1.0, 26.0, 5.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 29.0, "21678", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21678&g_ta_cod=21678", 13.0, 53.0, 33.0),
(5142, "Public", "0630020E", "Lycée Sidoine Apollinaire", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée Sidoine Apollinaire - BTS - Services - Professions immobilières", "BTS - Services", "", 35, 1521, 921, 1521, 0, 457, 101, 442, 145, 228, 94, 394, 0, 0, 0, 0, 0, 789, 0, 0, 0, 262, 56, 289, 85, 85, 26, 153, 179, 34, 22, 34, 0, 3.0, 26.0, 28.0, 0, 9, 26, 11, 8, 7, 8, 0, 4, 15, 6, 1, 0.0, 11, 6, 5, 0, 0, 19, 19, 8.82, 76.47, 82.35, 64.6875, 73.09375, 73.09375, 0, 34.59375, 76.5, 0.0, 15.3984375, 57.6953125, 23.09765625, 3.8, 0.0, 42.296875, 42.296875, 30.796875, 23.09765625, 26.8984375, 19.19921875, 50.0, 14.0, 27.0, 8.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 104.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 143, "Liste d'appel propre à cette formation", 19.0, "7556", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7556&g_ta_cod=7556", 44.0, 35.0, 21.0),
(5143, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues étrangères appliquées - Parcours Espagnol - Portugais", "Licence - Arts-lettres-langues", "Espagnol - Portugais", 27, 146, 105, 110, 0, 47, 21, 20, 7, 13, 8, 30, 36, 9, 2, 4, 21, 109, 32, 0, 0, 47, 21, 20, 7, 13, 8, 29, 119, 26, 18, 14, 12, 2.0, 14.0, 25.0, 0, 7, 20, 10, 4, 6, 6, 0, 9, 8, 3, 0, 0.0, 5, 1, 5, 0, 0, 11, 11, 7.69, 53.85, 96.15, 69.1875, 55.0, 55.0, 0, 35.0, 76.890625, 0.0, 45.0, 40.0, 15.0, 0.0, 0.0, 50.0, 25.0, 20.0, 5.0, 30.0, 25.0, 50.0, 21.0, 12.0, 7.0, 42.0, "Tous les candidats", 108.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "4577", "Licence - Langues étrangères appliquées - Parcours Espagnol - Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4577&g_ta_cod=4577", 50.0, 23.0, 27.0),
(5144, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence_Las", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 36, 1900, 1576, 1900, 0, 966, 241, 210, 67, 63, 27, 661, 0, 0, 0, 0, 0, 1888, 0, 0, 0, 967, 241, 210, 67, 63, 27, 648, 284, 33, 27, 33, 0, 1.0, 14.0, 22.0, 0, 8, 27, 25, 2, 0, 6, 0, 5, 11, 8, 3, 0.0, 20, 2, 0, 0, 0, 26, 26, 3.03, 42.42, 66.67, 81.796875, 96.296875, 96.296875, 0, 29.59765625, 81.796875, 0.0, 18.5, 40.6953125, 29.59765625, 11.1, 0.0, 92.59375, 74.09375, 7.3994140625, 7.3994140625, 0.0, 0.0, 142.0, 39.0, 0.0, 0.0, 138.0, "Tous les candidats", 984.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "30868", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30867&g_ta_cod=30868", 94.0, 6.0, 0.0),
(5145, "Public", "0900231M", "I.U.T de Belfort-Montbéliard", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "BUT", "I.U.T de Belfort-Montbéliard - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business internationnal : achat et vente - Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business internationnal : achat et vente - Business développement et management de la relation client", 84, 1246, 625, 1242, 0, 620, 129, 375, 120, 34, 18, 213, 4, 0, 3, 0, 1, 768, 0, 0, 0, 402, 79, 250, 67, 13, 5, 103, 394, 83, 44, 83, 0, 10.0, 56.0, 75.0, 0, 24, 72, 32, 35, 5, 11, 0, 12, 39, 20, 1, 0.0, 27, 29, 4, 0, 0, 54, 54, 12.05, 67.47, 90.36, 53.0, 75.0, 75.0, 0, 33.296875, 86.6875, 0.0, 16.69921875, 54.1953125, 27.796875, 1.4, 0.0, 44.3984375, 37.5, 48.59375, 40.296875, 6.8994140625, 5.599609375, 160.0, 43.0, 9.0, 4.0, 63.0, "Tous les candidats sauf les Bac technologiques", 284.0, "Bacheliers technologiques toutes séries", 278, "", 0, "Liste d'appel propre à cette formation", 45.0, "10826", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business internationnal : achat et vente - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10826&g_ta_cod=10826", 47.0, 46.0, 7.0),
(5146, "Public", "0450786K", "Lycée professionnel Paul Gauguin", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "Autre formation", "Lycée professionnel Paul Gauguin - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 30, 121, 34, 112, 0, 20, 3, 8, 0, 57, 26, 27, 9, 2, 2, 2, 3, 106, 1, 0, 0, 18, 3, 8, 0, 55, 25, 25, 82, 23, 3, 23, 0, 5.0, 20.0, 22.0, 0, 9, 14, 1, 0, 13, 9, 0, 7, 6, 1, 0, 0.0, 0, 0, 7, 0, 0, 13, 13, 21.74, 86.96, 95.65, 13.0, 92.890625, 92.890625, 0, 64.296875, 60.8984375, 0.0, 50.0, 42.8984375, 7.099609375, 0.0, 0.0, 7.099609375, 0.0, 0.0, 0.0, 92.890625, 50.0, 18.0, 3.0, 39.0, 20.0, 19.0, "Tous les candidats", 92.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "22233", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22233&g_ta_cod=22233", 9.0, 26.0, 65.0),
(5147, "Privé sous contrat d'association", "0332473J", "MAISON FAMILIALE RURALE", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Vayres", "formation sélective", "BTS", "MAISON FAMILIALE RURALE - BTS - Agricole - Viticulture-Oenologie", "BTS - Agricole", "", 30, 133, 46, 117, 0, 34, 4, 22, 2, 16, 2, 45, 16, 3, 4, 1, 8, 80, 9, 0, 0, 30, 3, 16, 1, 14, 2, 20, 78, 12, 4, 9, 3, 7.0, 9.0, 12.0, 0, 2, 9, 5, 2, 2, 3, 0, 6, 2, 0, 1, 0.0, 1, 0, 2, 0, 0, 5, 5, 58.33, 75.0, 100.0, 33.296875, 55.59375, 55.59375, 0, 22.19921875, 75.0, 0.0, 66.6875, 22.19921875, 0.0, 11.1, 0.0, 55.59375, 11.099609375, 22.19921875, 0.0, 22.19921875, 22.19921875, 27.0, 3.0, 14.0, 2.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 68.0, "4442", "BTS - Agricole - Viticulture-Oenologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4442&g_ta_cod=4442", 67.0, 17.0, 17.0),
(5148, "Public", "0623985V", "I.U.T. de Lens", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "BUT", "I.U.T. de Lens - BUT - Gestion des entreprises et des administrations Parcours : Gestion Comptable, Fiscale et Financière - Contrôle de Gestion et Pilotage de la Performance - Gestion et Pilotage des Ressources Humaines - Gestion, Entrepreneuriat et Management d'Activités.", "BUT - Service", "Gestion Comptable, Fiscale et Financière - Contrôle de Gestion et Pilotage de la Performance - Gestion et Pilotage des Ressources Humaines - Gestion, Entrepreneuriat et Management d'Activités.", 127, 1122, 516, 1122, 0, 414, 86, 471, 185, 14, 4, 223, 0, 0, 0, 0, 0, 570, 0, 0, 0, 265, 58, 217, 70, 2, 1, 86, 351, 121, 68, 121, 0, 46.0, 103.0, 113.0, 0, 32, 96, 43, 53, 0, 25, 0, 17, 49, 24, 6, 0.0, 32, 47, 0, 0, 0, 92, 92, 38.02, 85.12, 93.39, 56.1953125, 95.796875, 95.796875, 0, 33.296875, 79.296875, 0.0, 17.69921875, 51.0, 25.0, 6.3, 0.0, 44.796875, 33.296875, 55.1953125, 49.0, 0.0, 0.0, 155.0, 47.0, 1.0, 1.0, 54.0, "Tous les candidats sauf les Bac technologiques", 255.0, "Bacheliers technologiques toutes séries", 157, "", 0, "Liste d'appel propre à cette formation", 37.0, "7521", "BUT - Gestion des entreprises et des administrations Parcours : Gestion Comptable, Fiscale et Financière - Contrôle de Gestion et Pilotage de la Performance - Gestion et Pilotage des Ressources Humaines - Gestion, Entrepreneuriat et Management d'Activités.", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7521&g_ta_cod=7521", 47.0, 52.0, 1.0),
(5149, "Public", "0830053G", "Lycée Dumont d'Urville", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "CPGE", "Lycée Dumont d'Urville - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 342, 183, 336, 218, 282, 36, 2, 0, 0, 0, 52, 6, 4, 0, 0, 2, 309, 3, 200, 257, 274, 33, 1, 0, 0, 0, 34, 218, 13, 9, 12, 1, 3.0, 10.0, 13.0, 5, 2, 11, 11, 0, 0, 2, 0, 1, 3, 4, 3, 0.0, 10, 0, 0, 0, 0, 10, 10, 23.08, 76.92, 100.0, 69.1875, 90.890625, 90.890625, 0, 18.19921875, 84.59375, 0.0, 9.099609375, 27.296875, 36.3984375, 27.3, 0.0, 100.0, 90.890625, 0.0, 0.0, 0.0, 0.0, 189.0, 24.0, 0.0, 0.0, 29.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "31487", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31344&g_ta_cod=31487", 100.0, 0.0, 0.0),
(5150, "Privé hors contrat", "0492342E", "INSTITUT DE BIJOUTERIE", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saumur", "formation sélective", "Autre formation", "INSTITUT DE BIJOUTERIE - DN MADE - Objet - - Spécialité : Art du bijou et du joyau", "DN MADE", "- Spécialité : Art du bijou et du joyau", 9, 189, 144, 189, 0, 73, 4, 52, 4, 8, 2, 56, 0, 0, 0, 0, 0, 53, 0, 0, 0, 12, 1, 21, 1, 2, 0, 18, 25, 7, 6, 7, 0, 1.0, 6.0, 7.0, 0, 1, 3, 1, 2, 0, 4, 0, 0, 3, 0, 0, 0.0, 1, 2, 0, 0, 0, 1, 1, 14.29, 85.71, 100.0, 85.6875, 33.296875, 33.296875, 0, 33.296875, 42.8984375, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 0.0, 0.0, 5.0, 1.0, 0.0, 0.0, 8.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "24251", "DN MADE - Objet - - Spécialité : Art du bijou et du joyau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24251&g_ta_cod=24251", 43.0, 57.0, 0.0),
(5151, "Public", "0490003M", "Lycée Polyvalent Chevrollier", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Lycée Polyvalent Chevrollier - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 69, 911, 831, 828, 0, 79, 22, 268, 71, 244, 98, 237, 83, 0, 29, 19, 35, 470, 6, 0, 0, 56, 13, 187, 42, 135, 43, 92, 219, 53, 51, 48, 5, 3.0, 21.0, 47.0, 0, 13, 41, 6, 15, 20, 12, 0, 15, 17, 8, 1, 0.0, 3, 6, 17, 4, 4, 35, 35, 5.66, 39.62, 88.68, 96.1875, 85.390625, 85.390625, 9.798828125, 31.69921875, 77.390625, 0.0, 36.59375, 41.5, 19.5, 2.4, 0.0, 14.599609375, 7.2998046875, 36.59375, 14.599609375, 48.796875, 41.5, 14.0, 5.0, 74.0, 27.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 92.0, "Bacheliers professionnels toutes séries", 155, "Bacheliers technologiques toutes séries", 216, "Liste d'appel propre à cette formation", 56.0, "5831", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5831&g_ta_cod=5831", 19.0, 36.0, 45.0),
(5152, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "Licence", "Université Paris 8 - Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales -  Parcours Mondes anglophones", "Licence - Sciences humaines et sociales", "Parcours Mondes anglophones", 35, 658, 432, 220, 0, 162, 42, 14, 3, 5, 2, 39, 438, 113, 62, 18, 245, 163, 70, 0, 0, 141, 32, 8, 2, 0, 0, 14, 206, 33, 25, 14, 19, 2.0, 14.0, 24.0, 0, 3, 20, 20, 0, 0, 13, 0, 7, 9, 4, 0, 0.0, 13, 0, 0, 0, 0, 7, 16, 6.06, 42.42, 72.73, 75.796875, 35.0, 80.0, 0, 15.0, 60.59375, 0.0, 35.0, 45.0, 20.0, 0.0, 0.0, 100.0, 65.0, 0.0, 0.0, 0.0, 0.0, 155.0, 32.0, 1.0, 1.0, 42.0, "Tous les candidats", 163.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "20910", "Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales -  Parcours Mondes anglophones", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20910&g_ta_cod=20910", 88.0, 12.0, 0.0),
(5153, "Public", "0770927P", "Lycée Francois Ier", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Fontainebleau", "formation sélective", "CPGE", "Lycée Francois Ier - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 754, 268, 752, 557, 579, 58, 0, 0, 0, 0, 173, 2, 0, 0, 0, 2, 500, 0, 387, 473, 487, 44, 0, 0, 0, 0, 13, 314, 45, 15, 45, 0, 4.0, 29.0, 39.0, 20, 4, 45, 45, 0, 0, 0, 0, 0, 7, 23, 13, 2.0, 45, 0, 0, 6, 3, 21, 37, 8.89, 64.44, 86.67, 33.296875, 46.6953125, 82.1875, 13.298828125, 8.8984375, 100.0, 0.0, 0.0, 15.599609375, 51.09375, 28.9, 4.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 312.0, 32.0, 0.0, 0.0, 2.0, "Tous les candidats", 406.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "9797", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9797&g_ta_cod=9797", 100.0, 0.0, 0.0),
(5154, "Public", "0590185F", "Lycée Jean Moulin", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Jean Moulin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1123, 552, 944, 0, 83, 27, 254, 137, 306, 200, 301, 179, 0, 0, 102, 77, 321, 10, 0, 0, 36, 9, 110, 57, 137, 86, 38, 161, 30, 15, 28, 2, 4.0, 27.0, 30.0, 0, 19, 25, 2, 6, 17, 5, 0, 5, 15, 4, 1, 0.0, 1, 5, 14, 8, 2, 24, 24, 13.33, 90.0, 100.0, 50.0, 96.0, 96.0, 32, 76.0, 83.296875, 0.0, 20.0, 60.0, 16.0, 4.0, 0.0, 8.0, 4.0, 24.0, 20.0, 68.0, 56.0, 23.0, 8.0, 107.0, 66.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 140, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 21.0, "6821", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6821&g_ta_cod=6821", 20.0, 20.0, 60.0),
(5155, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 55, 218, 175, 174, 0, 116, 41, 10, 3, 8, 7, 40, 44, 7, 5, 3, 29, 173, 40, 0, 0, 116, 41, 10, 3, 8, 7, 39, 182, 32, 22, 24, 8, 5.0, 22.0, 25.0, 0, 9, 23, 18, 2, 3, 9, 0, 11, 4, 8, 0, 0.0, 12, 0, 0, 0, 0, 16, 16, 15.63, 68.75, 78.13, 68.796875, 69.59375, 69.59375, 0, 39.09375, 71.890625, 0.0, 47.796875, 17.3984375, 34.796875, 0.0, 0.0, 78.296875, 52.1953125, 8.69921875, 0.0, 13.0, 0.0, 100.0, 33.0, 11.0, 9.0, 58.0, "Tous les candidats", 172.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "6340", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6340&g_ta_cod=6340", 81.0, 9.0, 9.0),
(5156, "Public", "0763096C", "ISEL Le Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Ecole d'Ingénieur", "ISEL Le Havre - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 10, 48, 6, 41, 0, 0, 0, 37, 9, 0, 0, 4, 7, 0, 5, 0, 2, 13, 3, 0, 0, 0, 0, 12, 3, 0, 0, 1, 16, 4, 1, 2, 2, 2.0, 2.0, 3.0, 0, 1, 3, 0, 3, 0, 1, 0, 0, 0, 3, 0, 0.0, 0, 3, 0, 0, 0, 3, 3, 50.0, 50.0, 75.0, 25.0, 100.0, 100.0, 0, 33.296875, 75.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 13.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "13755", "Formation d'ingénieur Bac + 5 - bac STI2D", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13755&g_ta_cod=13755", 0.0, 100.0, 0.0),
(5157, "Public", "0750688R", "Lycée François Rabelais", "75", "Paris", "Ile-de-France", "Paris", "Paris 18e  Arrondissement", "formation sélective", "EFTS", "Lycée François Rabelais - D.E Assistant de Service Social", "D.E secteur social", "", 45, 554, 468, 0, 0, 0, 0, 0, 0, 0, 0, 0, 554, 34, 80, 64, 376, 0, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 49, 36, 30, 0, 36, 0.0, 0.0, 25.0, 0, 3, 5, 3, 2, 0, 31, 0, 5, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 5, 0.0, 0.0, 69.44, 83.296875, 20.0, 100.0, 0, 60.0, 13.8984375, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 60.0, 0.0, 40.0, 0.0, 0.0, 0.0, 6.0, 1.0, 0.0, 0.0, 40.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "24993", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24993&g_ta_cod=24993", 47.0, 22.0, 28.0),
(5158, "Public", "0060075Z", "Lycée Les Eucalyptus", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Les Eucalyptus - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 20, 166, 16, 166, 0, 25, 2, 58, 16, 46, 14, 37, 0, 0, 0, 0, 0, 138, 0, 0, 0, 20, 1, 52, 14, 39, 10, 27, 67, 22, 2, 22, 0, 4.0, 22.0, 22.0, 0, 2, 18, 1, 7, 10, 4, 0, 8, 8, 1, 1, 0.0, 1, 3, 6, 4, 1, 17, 17, 18.18, 100.0, 100.0, 9.099609375, 94.390625, 94.390625, 22.19921875, 11.099609375, 81.796875, 0.0, 44.3984375, 44.3984375, 5.599609375, 5.6, 0.0, 5.599609375, 5.599609375, 38.8984375, 16.69921875, 55.59375, 33.296875, 8.0, 1.0, 24.0, 5.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 49.0, "2232", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2232&g_ta_cod=2232", 18.0, 36.0, 45.0),
(5159, "Privé sous contrat d'association", "0951998F", "Lycée G A R A C", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "BTS", "Lycée G A R A C - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 48, 300, 11, 252, 0, 47, 11, 45, 8, 107, 22, 53, 48, 9, 11, 9, 19, 98, 16, 0, 0, 18, 2, 18, 3, 60, 10, 2, 94, 36, 2, 27, 9, 15.0, 23.0, 31.0, 0, 6, 30, 9, 3, 18, 6, 0, 8, 6, 14, 2, 0.0, 4, 1, 17, 13, 0, 22, 25, 41.67, 63.89, 86.11, 5.599609375, 73.296875, 83.296875, 43.296875, 20.0, 83.296875, 0.0, 26.69921875, 20.0, 46.6953125, 6.7, 0.0, 30.0, 13.298828125, 10.0, 3.2998046875, 60.0, 56.6953125, 20.0, 2.0, 42.0, 9.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 38.0, "11666", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11666&g_ta_cod=11666", 33.0, 17.0, 50.0),
(5160, "Public", "0340076Y", "Lycée Irene et Frederic Joliot Curie", "34", "Hérault", "Occitanie", "Montpellier", "Sète", "formation sélective", "BTS", "Lycée Irene et Frederic Joliot Curie - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 341, 18, 341, 0, 19, 2, 88, 26, 73, 35, 161, 0, 0, 0, 0, 0, 203, 0, 0, 0, 16, 1, 85, 23, 68, 31, 34, 99, 26, 0, 26, 0, 5.0, 18.0, 24.0, 0, 9, 20, 1, 8, 11, 6, 0, 9, 7, 3, 1, 0.0, 0, 2, 9, 7, 0, 15, 15, 19.23, 69.23, 92.31, 0.0, 75.0, 75.0, 35, 45.0, 76.890625, 0.0, 45.0, 35.0, 15.0, 5.0, 0.0, 5.0, 0.0, 40.0, 10.0, 55.0, 45.0, 5.0, 1.0, 38.0, 18.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 46.0, "4514", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4514&g_ta_cod=4514", 8.0, 38.0, 54.0),
(5161, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Etudes internationales", "Licence - Arts-lettres-langues", "Anglais - Mineure Etudes internationales", 75, 2156, 1735, 2156, 0, 1574, 355, 107, 48, 24, 12, 451, 0, 0, 0, 0, 0, 2120, 0, 0, 0, 1574, 355, 107, 48, 24, 12, 415, 333, 74, 67, 74, 0, 10.0, 56.0, 70.0, 0, 16, 62, 57, 2, 3, 12, 0, 2, 17, 25, 16, 2.0, 55, 2, 3, 0, 0, 8, 49, 13.51, 75.68, 94.59, 90.5, 12.8984375, 79.0, 0, 25.796875, 83.796875, 0.0, 3.19970703125, 27.3984375, 40.296875, 25.8, 3.2, 91.890625, 88.6875, 3.19970703125, 3.19970703125, 4.7998046875, 4.7998046875, 273.0, 58.0, 7.0, 4.0, 38.0, "Tous les candidats", 547.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "24005", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Etudes internationales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24005&g_ta_cod=24005", 92.0, 3.0, 5.0),
(5162, "Privé enseignement supérieur", "0772797X", "ICAM Paris Sénart", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lieusaint", "formation sélective", "Ecole d'Ingénieur", "GROUPE ICAM - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "", 48, 514, 57, 514, 0, 401, 17, 51, 5, 0, 0, 62, 0, 0, 0, 0, 0, 311, 0, 0, 0, 263, 5, 25, 0, 0, 0, 23, 252, 46, 1, 46, 0, 27.0, 44.0, 46.0, 0, 2, 44, 42, 2, 0, 2, 0, 8, 24, 12, 0, 0.0, 34, 2, 0, 0, 0, 12, 30, 58.7, 95.65, 100.0, 2.19970703125, 27.296875, 68.1875, 0, 4.5, 95.6875, 0.0, 18.19921875, 54.5, 27.296875, 0.0, 0.0, 95.5, 77.296875, 4.5, 4.5, 0.0, 0.0, 215.0, 5.0, 0.0, 0.0, 20.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "24657", "Formation d'ingénieur Bac + 5", "GROUPE ICAM", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24652&g_ta_cod=24657", 96.0, 4.0, 0.0),
(5163, "Public", "0820004J", "Lycée Jean De Prades", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Castelsarrasin", "formation sélective", "BTS", "Lycée Jean De Prades - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 17, 277, 112, 277, 0, 13, 3, 70, 34, 148, 64, 46, 0, 0, 0, 0, 0, 203, 0, 0, 0, 12, 3, 63, 28, 111, 45, 17, 73, 18, 8, 18, 0, 3.0, 13.0, 17.0, 0, 11, 17, 2, 5, 10, 1, 0, 5, 9, 2, 1, 0.0, 1, 3, 8, 9, 4, 16, 16, 16.67, 72.22, 94.44, 44.3984375, 94.09375, 94.09375, 52.8984375, 64.6875, 94.390625, 0.0, 29.3984375, 52.8984375, 11.798828125, 5.9, 0.0, 11.798828125, 5.8994140625, 29.3984375, 17.59765625, 58.796875, 47.09375, 10.0, 3.0, 45.0, 21.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 34.0, "17585", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17585&g_ta_cod=17585", 11.0, 28.0, 61.0),
(5164, "Public", "0370038R", "Lycée Grandmont", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Grandmont - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 304, 18, 295, 0, 28, 3, 107, 19, 69, 24, 91, 9, 0, 0, 6, 3, 208, 3, 0, 0, 28, 3, 106, 18, 54, 15, 20, 116, 24, 0, 23, 1, 3.0, 20.0, 22.0, 0, 3, 21, 4, 11, 6, 3, 0, 10, 8, 3, 0, 0.0, 1, 5, 5, 0, 0, 19, 19, 12.5, 83.33, 91.67, 0.0, 90.5, 90.5, 0, 14.298828125, 87.5, 0.0, 47.59375, 38.09375, 14.298828125, 0.0, 0.0, 19.0, 4.7998046875, 52.3984375, 23.796875, 28.59765625, 23.796875, 18.0, 2.0, 40.0, 12.0, 4.0, "Tous les candidats sauf les Bac professionnels", 122.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 60.0, "4834", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4834&g_ta_cod=4834", 17.0, 54.0, 29.0),
(5165, "Privé hors contrat", "0672877N", "OMNIS - Ecole Supérieure de Commerce & Management", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "OMNIS - Ecole Supérieure de Commerce & Management - BTS - Services - Support à l'action managériale", "BTS - Services", "", 70, 226, 116, 202, 0, 22, 1, 56, 20, 28, 15, 96, 24, 0, 8, 6, 10, 119, 6, 0, 0, 21, 1, 43, 12, 5, 2, 50, 121, 13, 3, 13, 0, 11.0, 13.0, 13.0, 0, 1, 2, 0, 2, 0, 11, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 84.62, 100.0, 100.0, 23.09765625, 100.0, 100.0, 0, 50.0, 15.3984375, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 21.0, 1.0, 5.0, 2.0, 50.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 59.0, "15450", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15450&g_ta_cod=15450", 77.0, 23.0, 0.0),
(5166, "Public", "0595523H", "IFSI CH Roubaix", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 101, 5880, 4629, 5880, 0, 1073, 321, 1170, 472, 574, 288, 3063, 0, 0, 0, 0, 0, 4706, 0, 0, 0, 947, 264, 924, 346, 446, 215, 2389, 1054, 101, 87, 101, 0, 1.0, 51.0, 81.0, 0, 36, 70, 16, 42, 12, 31, 0, 6, 31, 32, 1, 0.0, 14, 38, 12, 0, 0, 67, 67, 0.99, 50.5, 80.2, 86.09375, 95.6875, 95.6875, 0, 51.3984375, 69.296875, 0.0, 8.599609375, 44.296875, 45.6953125, 1.4, 0.0, 22.8984375, 20.0, 60.0, 54.296875, 17.09765625, 17.09765625, 230.0, 51.0, 129.0, 67.0, 450.0, "Tous les candidats", 3823.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "23146", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23146", 36.0, 46.0, 18.0),
(5167, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "PASS", "Université de Bordeaux - Bordeaux Métropole - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 690, 8975, 6300, 8975, 0, 7498, 1058, 133, 30, 21, 6, 1323, 0, 0, 0, 0, 0, 8834, 0, 0, 0, 7498, 1058, 133, 30, 21, 6, 1182, 1995, 751, 562, 751, 0, 205.0, 748.0, 751.0, 0, 118, 708, 708, 0, 0, 43, 0, 12, 166, 329, 186, 15.0, 696, 0, 0, 0, 0, 636, 636, 27.3, 99.6, 100.0, 74.796875, 89.796875, 89.796875, 0, 16.69921875, 94.296875, 0.0, 1.699951171875, 23.3984375, 46.5, 26.3, 2.1, 100.0, 98.296875, 0.0, 0.0, 0.0, 0.0, 1785.0, 268.0, 0.0, 0.0, 210.0, "Tous les candidats", 2634.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "26839", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26837&g_ta_cod=26839", 100.0, 0.0, 0.0),
(5168, "Public", "0820884R", "Université Toulouse 2 - Antenne Montauban", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Montauban", "formation sélective", "Licence", "Université Toulouse 2 - Antenne Montauban - Licence - Arts - Parcours Couleur, Image, Design (CID)", "Licence - Arts-lettres-langues", "Couleur, Image, Design (CID)", 60, 818, 630, 818, 0, 453, 106, 129, 27, 53, 19, 183, 0, 0, 0, 0, 0, 506, 0, 0, 0, 282, 53, 98, 20, 31, 11, 95, 243, 60, 46, 60, 0, 7.0, 48.0, 54.0, 0, 16, 48, 29, 8, 11, 12, 1, 12, 20, 12, 3, 0.0, 19, 7, 9, 0, 0, 20, 20, 11.67, 80.0, 90.0, 76.6875, 41.6953125, 41.6953125, 0, 33.296875, 80.0, 2.099609375, 25.0, 41.6953125, 25.0, 6.3, 0.0, 60.3984375, 39.59375, 16.69921875, 14.599609375, 22.8984375, 18.796875, 113.0, 28.0, 20.0, 8.0, 52.0, "Tous les candidats", 314.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "15840", "Licence - Arts - Parcours Couleur, Image, Design (CID)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15840&g_ta_cod=15840", 58.0, 22.0, 20.0),
(5169, "Public", "0690274Y", "IUT Lyon1 Site de Villeurbanne Doua", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "BUT", "IUT Lyon1 Site de Villeurbanne Doua - BUT - Génie biologique Parcours agronomie", "BUT - Production", "", 42, 1387, 835, 1387, 0, 866, 85, 188, 41, 5, 0, 328, 0, 0, 0, 0, 0, 1300, 0, 0, 0, 866, 85, 116, 23, 5, 0, 313, 228, 44, 28, 44, 0, 3.0, 28.0, 36.0, 0, 9, 38, 16, 22, 0, 6, 0, 11, 8, 15, 4, 0.0, 16, 11, 0, 0, 0, 23, 23, 6.82, 63.64, 81.82, 63.59375, 60.5, 60.5, 0, 23.69921875, 86.390625, 0.0, 28.8984375, 21.09765625, 39.5, 10.5, 0.0, 42.09375, 42.09375, 57.8984375, 28.8984375, 0.0, 0.0, 106.0, 13.0, 0.0, 0.0, 52.0, "Tous les candidats sauf les Bac technologiques", 203.0, "Bacheliers technologiques toutes séries", 86, "", 0, "Liste d'appel propre à cette formation", 21.0, "8277", "BUT - Génie biologique Parcours agronomie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8277&g_ta_cod=8277", 50.0, 50.0, 0.0),
(5170, "Public", "0492191R", "I.U.T. Angers-Cholet - Site de Cholet", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "BUT", "I.U.T. Angers-Cholet - Site de Cholet - BUT - Carrières sociales Parcours assistance sociale", "BUT - Service", "", 56, 1541, 1405, 1529, 0, 531, 123, 532, 136, 67, 28, 399, 12, 0, 3, 0, 9, 810, 6, 0, 0, 290, 53, 243, 59, 3, 0, 274, 321, 51, 46, 50, 1, 3.0, 34.0, 42.0, 0, 6, 33, 21, 12, 0, 18, 0, 6, 18, 8, 1, 0.0, 16, 11, 0, 0, 0, 22, 22, 5.88, 66.67, 82.35, 90.1875, 66.6875, 66.6875, 0, 18.19921875, 64.6875, 0.0, 18.19921875, 54.5, 24.19921875, 3.0, 0.0, 63.59375, 48.5, 36.3984375, 33.296875, 0.0, 0.0, 120.0, 24.0, 0.0, 0.0, 87.0, "Tous les candidats sauf les Bac technologiques", 335.0, "Bacheliers technologiques toutes séries", 241, "", 0, "Liste d'appel propre à cette formation", 38.0, "5869", "BUT - Carrières sociales Parcours assistance sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5869&g_ta_cod=5869", 67.0, 31.0, 0.0),
(5171, "Public", "0750654D", "Lycée Henri IV", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "CPGE", "Lycée Henri IV - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 2540, 1261, 2540, 1638, 2257, 175, 1, 0, 1, 0, 281, 0, 0, 0, 0, 0, 738, 0, 308, 621, 731, 44, 0, 0, 0, 0, 7, 106, 24, 11, 24, 0, 6.0, 19.0, 22.0, 1, 1, 22, 22, 0, 0, 2, 0, 0, 0, 0, 13, 9.0, 22, 0, 0, 2, 0, 11, 16, 25.0, 79.17, 91.67, 45.796875, 50.0, 72.6875, 9.099609375, 4.5, 91.6875, 0.0, 0.0, 0.0, 0.0, 59.1, 40.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 103.0, 8.0, 0.0, 0.0, 3.0, "Tous les candidats", 156.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "31358", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31358&g_ta_cod=31358", 100.0, 0.0, 0.0),
(5172, "Public", "0910923J", "I.U.T d'Orsay - Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "BUT", "I.U.T d'Orsay - Université Paris-Saclay - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation-Administration, gestion et exploitation des données (Seconde année possible en apprentissage)", "BUT - Production", "Réalisation d'applications : conception, développement, validation-Administration, gestion et exploitation des données", 172, 3234, 383, 3234, 0, 1836, 369, 705, 199, 37, 18, 656, 0, 0, 0, 0, 0, 2132, 0, 0, 0, 1440, 261, 407, 98, 3, 2, 282, 770, 172, 16, 172, 0, 56.0, 145.0, 159.0, 0, 29, 152, 79, 73, 0, 20, 0, 19, 80, 47, 6, 0.0, 73, 60, 0, 0, 0, 107, 129, 32.56, 84.3, 92.44, 9.298828125, 70.390625, 84.890625, 0, 19.09765625, 88.390625, 0.0, 12.5, 52.59375, 30.8984375, 3.9, 0.0, 52.0, 48.0, 48.0, 39.5, 0.0, 0.0, 406.0, 94.0, 0.0, 0.0, 72.0, "Tous les candidats sauf les Bac technologiques", 635.0, "Bacheliers technologiques toutes séries", 384, "", 0, "Liste d'appel propre à cette formation", 32.0, "10902", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation-Administration, gestion et exploitation des données (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10902&g_ta_cod=10902", 50.0, 50.0, 0.0),
(5173, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues Etrangères Appliquées Anglais-Italien", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées Anglais-Italien", 85, 359, 285, 356, 0, 233, 60, 33, 21, 15, 10, 75, 3, 0, 0, 0, 3, 356, 3, 0, 0, 233, 60, 33, 21, 15, 10, 75, 288, 83, 64, 81, 2, 21.0, 76.0, 81.0, 0, 20, 67, 54, 10, 3, 16, 0, 18, 34, 14, 1, 0.0, 44, 2, 3, 0, 0, 36, 36, 25.3, 91.57, 97.59, 77.09375, 53.6953125, 53.6953125, 0, 29.8984375, 80.6875, 0.0, 26.8984375, 50.6953125, 20.8984375, 1.5, 0.0, 80.59375, 65.6875, 14.8984375, 3.0, 4.5, 4.5, 193.0, 50.0, 8.0, 5.0, 64.0, "Tous les candidats", 357.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8508", "Licence - Portail Langues Etrangères Appliquées Anglais-Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8508&g_ta_cod=8508", 80.0, 13.0, 5.0),
(5174, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langue et culture chinoises", "Licence - Arts-lettres-langues", "Langue et culture chinoises", 100, 326, 237, 206, 0, 97, 36, 7, 3, 10, 6, 92, 120, 14, 3, 7, 96, 206, 119, 0, 0, 97, 36, 7, 3, 10, 6, 92, 325, 47, 31, 24, 23, 24.0, 24.0, 38.0, 0, 4, 12, 8, 3, 1, 35, 0, 4, 6, 2, 0, 0.0, 7, 0, 1, 0, 0, 3, 3, 51.06, 51.06, 80.85, 66.0, 25.0, 25.0, 0, 33.296875, 25.5, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 66.6875, 58.296875, 25.0, 0.0, 8.298828125, 8.298828125, 111.0, 42.0, 17.0, 10.0, 187.0, "Tous les candidats", 206.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4176", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langue et culture chinoises", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4176&g_ta_cod=4176", 70.0, 23.0, 6.0),
(5175, "Public", "0690038S", "Lycée La Martinière Duchère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "BTS", "Lycée La Martinière Duchère - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 1003, 767, 1003, 0, 42, 10, 408, 218, 276, 165, 277, 0, 0, 0, 0, 0, 719, 0, 0, 0, 39, 7, 328, 162, 192, 113, 160, 180, 33, 25, 33, 0, 4.0, 27.0, 32.0, 0, 17, 28, 2, 14, 12, 5, 0, 9, 15, 4, 0, 0.0, 1, 8, 10, 2, 2, 23, 23, 12.12, 81.82, 96.97, 75.796875, 82.09375, 82.09375, 7.099609375, 60.6953125, 84.796875, 0.0, 32.09375, 53.59375, 14.298828125, 0.0, 0.0, 7.099609375, 3.599609375, 50.0, 28.59765625, 42.8984375, 35.6953125, 8.0, 5.0, 62.0, 33.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 122, "Bacheliers technologiques toutes séries", 169, "Liste d'appel propre à cette formation", 30.0, "8216", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8216&g_ta_cod=8216", 6.0, 45.0, 48.0),
(5176, "Public", "0921619K", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS)", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Châtenay-Malabry", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS) - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 33, 457, 77, 457, 0, 82, 9, 88, 20, 125, 41, 162, 0, 0, 0, 0, 0, 70, 0, 0, 0, 17, 0, 8, 0, 11, 0, 34, 55, 32, 5, 32, 0, 14.0, 27.0, 30.0, 0, 0, 12, 6, 3, 3, 20, 0, 6, 4, 2, 0, 0.0, 1, 2, 3, 0, 0, 7, 12, 43.75, 84.38, 93.75, 15.599609375, 58.296875, 100.0, 0, 0.0, 37.5, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 50.0, 8.298828125, 25.0, 16.69921875, 25.0, 25.0, 11.0, 0.0, 9.0, 0.0, 29.0, "Tous les candidats", 63.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 12.0, "21356", "BPJEPS - Activités physiques pour tous", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21356&g_ta_cod=21356", 34.0, 38.0, 25.0),
(5177, "Public", "0260113G", "Lycée Les Catalins", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Montélimar", "formation sélective", "BTS", "Lycée Les Catalins - BTS - Production - Environnement nucléaire", "BTS - Production", "", 14, 327, 30, 327, 0, 44, 13, 97, 28, 120, 56, 66, 0, 0, 0, 0, 0, 327, 0, 0, 0, 44, 13, 97, 28, 120, 56, 66, 66, 13, 0, 13, 0, 0.0, 6.0, 9.0, 0, 3, 13, 1, 3, 9, 0, 0, 5, 6, 2, 0, 0.0, 0, 2, 6, 4, 0, 9, 9, 0.0, 46.15, 69.23, 0.0, 69.1875, 69.1875, 30.796875, 23.09765625, 100.0, 0.0, 38.5, 46.1953125, 15.3984375, 0.0, 0.0, 7.69921875, 0.0, 23.09765625, 15.3984375, 69.1875, 46.1953125, 2.0, 1.0, 39.0, 11.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 39.0, "12967", "BTS - Production - Environnement nucléaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12967&g_ta_cod=12967", 8.0, 23.0, 69.0),
(5178, "Public", "0120012Y", "Lycée Jean Vigo", "12", "Aveyron", "Occitanie", "Toulouse", "Millau", "formation sélective", "BTS", "Lycée Jean Vigo - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 111, 60, 80, 0, 12, 3, 27, 8, 15, 5, 26, 31, 1, 13, 4, 13, 65, 12, 0, 0, 12, 3, 25, 7, 12, 3, 16, 61, 12, 3, 8, 4, 3.0, 8.0, 11.0, 0, 2, 7, 0, 7, 0, 5, 0, 5, 2, 0, 0, 0.0, 0, 2, 0, 3, 1, 6, 6, 25.0, 66.67, 91.67, 25.0, 85.6875, 85.6875, 42.8984375, 28.59765625, 58.296875, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 28.59765625, 0.0, 0.0, 12.0, 3.0, 11.0, 3.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 75.0, "2486", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2486&g_ta_cod=2486", 17.0, 75.0, 8.0),
(5179, "Public", "0450051L", "Lycée BENJAMIN FRANKLIN", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée BENJAMIN FRANKLIN - BTS - Production - Conception de produits industriels", "BTS - Production", "", 24, 299, 24, 299, 0, 30, 4, 147, 38, 58, 19, 64, 0, 0, 0, 0, 0, 299, 0, 0, 0, 30, 4, 147, 38, 58, 19, 64, 85, 26, 3, 26, 0, 12.0, 26.0, 26.0, 0, 5, 22, 0, 14, 8, 4, 0, 8, 12, 2, 0, 0.0, 0, 10, 4, 11, 1, 17, 17, 46.15, 100.0, 100.0, 11.5, 77.296875, 77.296875, 50, 22.69921875, 84.59375, 0.0, 36.3984375, 54.5, 9.099609375, 0.0, 0.0, 0.0, 0.0, 63.59375, 45.5, 36.3984375, 18.19921875, 3.0, 0.0, 15.0, 4.0, 10.0, "Tous les candidats sauf les Bac professionnels", 99.0, "Bacheliers professionnels toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 40.0, "5658", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5658&g_ta_cod=5658", 4.0, 65.0, 31.0),
(5180, "Public", "0570057C", "Lycée Robert Schuman", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée Robert Schuman - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 83, 1688, 891, 1688, 0, 230, 49, 609, 225, 436, 169, 413, 0, 0, 0, 0, 0, 1082, 0, 0, 0, 184, 34, 441, 161, 267, 97, 190, 410, 80, 39, 80, 0, 10.0, 41.0, 56.0, 0, 26, 53, 6, 19, 28, 27, 0, 17, 17, 15, 4, 0.0, 3, 6, 27, 10, 7, 53, 53, 12.5, 51.25, 70.0, 48.796875, 100.0, 100.0, 18.8984375, 49.09375, 66.296875, 0.0, 32.09375, 32.09375, 28.296875, 7.5, 0.0, 11.298828125, 5.69921875, 35.796875, 11.298828125, 52.796875, 50.8984375, 74.0, 26.0, 89.0, 26.0, 74.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 145.0, "Bacheliers professionnels toutes séries", 135, "Bacheliers technologiques toutes séries", 306, "Liste d'appel propre à cette formation", 35.0, "6531", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6531&g_ta_cod=6531", 21.0, 35.0, 44.0),
(5181, "Public", "0601910A", "Université d'Amiens - Antenne de Beauvais", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation non sélective", "Licence", "Université d'Amiens - Antenne de Beauvais - Licence - Humanités - Parcours Licence Humanités (Portail Lettres)", "Licence - Arts-lettres-langues", "Licence Humanités (Portail Lettres)", 115, 318, 242, 208, 0, 131, 32, 25, 7, 9, 3, 43, 110, 21, 11, 4, 74, 208, 106, 0, 0, 131, 32, 25, 7, 9, 3, 43, 311, 69, 44, 38, 31, 21.0, 37.0, 56.0, 0, 9, 38, 24, 9, 5, 31, 0, 20, 10, 8, 0, 0.0, 13, 3, 2, 0, 0, 35, 35, 30.43, 53.62, 81.16, 63.796875, 92.09375, 92.09375, 0, 23.69921875, 55.09375, 0.0, 52.59375, 26.296875, 21.09765625, 0.0, 0.0, 63.1953125, 34.1953125, 23.69921875, 7.8994140625, 13.19921875, 5.2998046875, 149.0, 38.0, 12.0, 4.0, 115.0, "Tous les candidats", 208.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20677", "Licence - Humanités - Parcours Licence Humanités (Portail Lettres)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20677&g_ta_cod=20677", 57.0, 23.0, 19.0),
(5182, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Autre formation", "Université de La Rochelle - C.M.I - Cursus Master en Ingénierie - Mathématiques", "C.M.I - Cursus Master en Ingénierie", "", 5, 133, 41, 120, 0, 94, 13, 2, 0, 0, 0, 24, 13, 7, 0, 0, 6, 79, 0, 0, 0, 66, 6, 0, 0, 0, 0, 13, 47, 3, 2, 3, 0, 0.0, 3.0, 3.0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 2, 1, 0.0, 3, 0, 0, 0, 0, 2, 2, 0.0, 100.0, 100.0, 66.6875, 66.6875, 66.6875, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 66.6875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 36.0, 5.0, 0.0, 0.0, 11.0, "Tous les candidats", 76.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "29027", "C.M.I - Cursus Master en Ingénierie - Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29027&g_ta_cod=29027", 100.0, 0.0, 0.0),
(5183, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Licence", "Université Grenoble Alpes  - Double licence - Droit / Langues étrangères appliquées - Double Licence : Droit-Langues Option Juristes Trilingues d'affaires", "Licence - Droit-économie-gestion", "Double Licence : Droit-Langues Option Juristes Trilingues d'affaires", 36, 524, 440, 524, 0, 420, 69, 10, 4, 2, 1, 92, 0, 0, 0, 0, 0, 400, 0, 0, 0, 334, 48, 0, 0, 0, 0, 66, 142, 34, 33, 34, 0, 8.0, 26.0, 31.0, 0, 7, 33, 33, 0, 0, 1, 0, 0, 2, 19, 12, 0.0, 33, 0, 0, 0, 0, 21, 21, 23.53, 76.47, 91.18, 97.09375, 63.59375, 63.59375, 0, 21.19921875, 97.09375, 0.0, 0.0, 6.099609375, 57.59375, 36.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 118.0, 24.0, 0.0, 0.0, 24.0, "Tous les candidats", 190.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "5028", "Double licence - Droit / Langues étrangères appliquées - Double Licence : Droit-Langues Option Juristes Trilingues d'affaires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5028&g_ta_cod=5028", 100.0, 0.0, 0.0),
(5184, "Public", "9741046U", "Lycée Bellepierre", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée Bellepierre - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 983, 688, 838, 0, 55, 31, 340, 226, 272, 196, 171, 145, 0, 66, 0, 79, 285, 12, 0, 0, 10, 1, 74, 52, 168, 117, 33, 127, 34, 22, 29, 5, 4.0, 23.0, 29.0, 0, 21, 27, 1, 12, 14, 7, 0, 2, 13, 12, 0, 0.0, 0, 11, 14, 4, 1, 24, 24, 11.76, 67.65, 85.29, 64.6875, 88.890625, 88.890625, 14.798828125, 77.796875, 79.390625, 0.0, 7.3994140625, 48.09375, 44.3984375, 0.0, 0.0, 3.69970703125, 0.0, 44.3984375, 40.6953125, 51.8984375, 51.8984375, 6.0, 1.0, 53.0, 41.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 19.0, "11941", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11941&g_ta_cod=11941", 6.0, 47.0, 47.0),
(5185, "Public", "0922276Z", "Lycée Santos Dumont", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Saint-Cloud", "formation sélective", "BTS", "Lycée Santos Dumont - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 60, 1282, 576, 1282, 0, 71, 19, 467, 161, 442, 200, 302, 0, 0, 0, 0, 0, 418, 0, 0, 0, 0, 0, 161, 69, 220, 95, 37, 252, 60, 37, 60, 0, 12.0, 51.0, 57.0, 0, 25, 54, 0, 27, 27, 6, 0, 24, 21, 8, 1, 0.0, 0, 12, 18, 1, 0, 49, 51, 20.0, 85.0, 95.0, 61.6953125, 90.6875, 94.390625, 1.89990234375, 46.296875, 90.0, 0.0, 44.3984375, 38.8984375, 14.798828125, 1.9, 0.0, 0.0, 0.0, 50.0, 22.19921875, 50.0, 33.296875, 0.0, 0.0, 118.0, 47.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 128, "Bacheliers technologiques toutes séries", 153, "Liste d'appel propre à cette formation", 23.0, "14530", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14530&g_ta_cod=14530", 8.0, 45.0, 47.0),
(5186, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Licence", "Université de Bourgogne - site de Dijon - Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - bidisciplinaire Anglais - Espagnol", "Licence - Arts-lettres-langues", "bidisciplinaire Anglais - Espagnol", 18, 178, 145, 178, 0, 125, 31, 9, 3, 2, 0, 42, 0, 0, 0, 0, 0, 135, 0, 0, 0, 108, 23, 3, 0, 0, 0, 24, 98, 17, 15, 17, 0, 6.0, 16.0, 17.0, 0, 4, 15, 14, 1, 0, 2, 0, 2, 4, 7, 2, 0.0, 12, 1, 0, 0, 0, 15, 15, 35.29, 94.12, 100.0, 88.1875, 100.0, 100.0, 0, 26.69921875, 88.1875, 0.0, 13.298828125, 26.69921875, 46.6953125, 13.3, 0.0, 93.296875, 80.0, 6.69921875, 6.69921875, 0.0, 0.0, 79.0, 19.0, 0.0, 0.0, 17.0, "Tous les candidats", 135.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "21512", "Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - bidisciplinaire Anglais - Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21512&g_ta_cod=21512", 94.0, 6.0, 0.0),
(5187, "Public", "0310152X", "INSA Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Ecole d'Ingénieur", "Groupe INSA - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 250, 16899, 5477, 16899, 0, 15233, 1151, 0, 0, 0, 0, 1666, 0, 0, 0, 0, 0, 12675, 0, 0, 0, 11453, 755, 0, 0, 0, 0, 1222, 1987, 243, 115, 243, 0, 83.0, 212.0, 239.0, 0, 21, 234, 234, 0, 0, 9, 0, 0, 1, 20, 155, 58.0, 234, 0, 0, 0, 0, 70, 70, 34.16, 87.24, 98.35, 47.296875, 29.8984375, 29.8984375, 0, 9.0, 96.296875, 0.0, 0.0, 0.39996337890625, 8.5, 66.2, 24.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1865.0, 150.0, 0.0, 0.0, 122.0, "Tous les candidats", 2975.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 14.0, "59", "Formation d'ingénieur Bac + 5 - Bac Général", "Groupe INSA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=57&g_ta_cod=59", 100.0, 0.0, 0.0),
(5188, "Public", "0342091N", "Lycée polyvalent Marc BLOCH", "34", "Hérault", "Occitanie", "Montpellier", "Sérignan", "formation sélective", "BTS", "Lycée polyvalent Marc BLOCH - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 30, 418, 38, 414, 0, 59, 14, 99, 41, 105, 38, 151, 4, 0, 0, 2, 2, 203, 1, 0, 0, 45, 11, 66, 21, 57, 19, 35, 98, 32, 0, 31, 1, 13.0, 25.0, 28.0, 0, 8, 23, 3, 9, 11, 9, 0, 8, 10, 5, 0, 0.0, 1, 6, 8, 3, 0, 21, 21, 40.63, 78.13, 87.5, 0.0, 91.296875, 91.296875, 13, 34.796875, 71.890625, 0.0, 34.796875, 43.5, 21.69921875, 0.0, 0.0, 13.0, 4.2998046875, 39.09375, 26.09765625, 47.796875, 34.796875, 17.0, 5.0, 26.0, 10.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 36.0, "14185", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14185&g_ta_cod=14185", 22.0, 41.0, 38.0),
(5189, "Public", "0941474S", "Lycée Darius Milhaud", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Le Kremlin-Bicêtre", "formation sélective", "BTS", "Lycée Darius Milhaud - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 34, 1722, 796, 1722, 0, 67, 26, 529, 238, 617, 320, 509, 0, 0, 0, 0, 0, 832, 0, 0, 0, 58, 24, 306, 140, 311, 170, 157, 175, 32, 19, 32, 0, 4.0, 24.0, 31.0, 0, 13, 24, 1, 10, 13, 8, 0, 5, 13, 5, 1, 0.0, 0, 9, 10, 2, 0, 11, 23, 12.5, 75.0, 96.88, 59.3984375, 45.796875, 95.796875, 8.298828125, 54.1953125, 75.0, 0.0, 20.796875, 54.1953125, 20.796875, 4.2, 0.0, 4.19921875, 0.0, 41.6953125, 37.5, 54.1953125, 41.6953125, 11.0, 5.0, 61.0, 33.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 125, "Bacheliers technologiques toutes séries", 113, "Liste d'appel propre à cette formation", 15.0, "11531", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11531&g_ta_cod=11531", 13.0, 41.0, 47.0),
(5190, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Economie et gestion - Parcours International studies in economics and management", "Licence - Droit-économie-gestion", "International studies in economics and management", 35, 1078, 625, 918, 0, 723, 117, 21, 8, 1, 0, 173, 160, 43, 5, 0, 112, 263, 5, 0, 0, 251, 30, 0, 0, 0, 0, 12, 183, 30, 21, 28, 2, 14.0, 28.0, 28.0, 0, 7, 27, 27, 0, 0, 3, 0, 0, 5, 10, 12, 0.0, 27, 0, 0, 0, 0, 17, 17, 46.67, 93.33, 93.33, 70.0, 63.0, 63.0, 0, 25.8984375, 90.0, 0.0, 0.0, 18.5, 37.0, 44.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 172.0, 24.0, 0.0, 0.0, 11.0, "Tous les candidats", 259.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "15916", "Licence - Economie et gestion - Parcours International studies in economics and management", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15916&g_ta_cod=15916", 100.0, 0.0, 0.0),
(5191, "Public", "0622238W", "I.U.T. de Béthune", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "BUT", "I.U.T. de Béthune - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Bureaux d'études Conception", "BUT - Production", "Travaux Bâtiment - Travaux Publics - Bureaux d'études Conception", 122, 1122, 169, 1113, 0, 515, 69, 373, 92, 14, 7, 211, 9, 0, 4, 0, 5, 743, 6, 0, 0, 401, 47, 230, 43, 2, 1, 110, 561, 117, 18, 115, 2, 56.0, 91.0, 109.0, 0, 17, 100, 51, 48, 1, 17, 0, 14, 57, 26, 3, 0.0, 44, 42, 0, 0, 0, 87, 87, 47.86, 77.78, 93.16, 15.3984375, 87.0, 87.0, 0, 17.0, 85.5, 0.0, 14.0, 57.0, 26.0, 3.0, 0.0, 51.0, 44.0, 48.0, 42.0, 1.0, 0.0, 277.0, 43.0, 1.0, 1.0, 92.0, "Tous les candidats sauf les Bac technologiques", 449.0, "Bacheliers technologiques toutes séries", 257, "", 0, "Liste d'appel propre à cette formation", 63.0, "7435", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Bureaux d'études Conception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7435&g_ta_cod=7435", 55.0, 44.0, 1.0),
(5192, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Université Angers - Licence - Portail Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 70, 418, 181, 418, 0, 301, 46, 29, 3, 5, 2, 83, 0, 0, 0, 0, 0, 418, 0, 0, 0, 301, 46, 29, 3, 5, 2, 83, 417, 70, 24, 70, 0, 68.0, 70.0, 70.0, 0, 8, 56, 50, 5, 1, 14, 0, 20, 30, 6, 0, 0.0, 32, 3, 1, 0, 0, 43, 43, 97.14, 100.0, 100.0, 34.296875, 76.796875, 76.796875, 0, 14.298828125, 80.0, 0.0, 35.6953125, 53.59375, 10.69921875, 0.0, 0.0, 89.296875, 57.09375, 8.8984375, 5.3994140625, 1.7998046875, 1.7998046875, 300.0, 46.0, 5.0, 2.0, 83.0, "Tous les candidats", 428.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "5936", "Licence - Portail Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27328&g_ta_cod=5936", 86.0, 10.0, 4.0),
(5193, "Public", "0601895J", "I.U.T de l'Oise - Site de Creil", "60", "Oise", "Hauts-de-France", "Amiens", "Creil", "formation sélective", "BUT", "I.U.T de l'Oise - Site de Creil - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international : achat et vente Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", 84, 1308, 674, 934, 0, 391, 96, 308, 131, 27, 12, 208, 374, 157, 25, 21, 171, 411, 43, 0, 0, 185, 44, 166, 59, 6, 2, 54, 379, 79, 40, 62, 17, 11.0, 60.0, 61.0, 0, 20, 63, 30, 32, 1, 16, 0, 22, 34, 7, 0, 0.0, 24, 16, 1, 0, 0, 38, 38, 13.92, 75.95, 77.22, 50.59375, 60.296875, 60.296875, 0, 31.69921875, 79.6875, 0.0, 34.8984375, 54.0, 11.099609375, 0.0, 0.0, 47.59375, 38.09375, 50.796875, 25.3984375, 1.599853515625, 1.599853515625, 163.0, 39.0, 1.0, 0.0, 65.0, "Tous les candidats sauf les Bac technologiques", 232.0, "Bacheliers technologiques toutes séries", 179, "", 0, "Liste d'appel propre à cette formation", 44.0, "7278", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7278&g_ta_cod=7278", 49.0, 49.0, 1.0),
(5194, "Public", "0310032S", "Lycée De Bagatelle", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Saint-Gaudens", "formation sélective", "BTS", "Lycée De Bagatelle - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 18, 343, 187, 336, 0, 30, 8, 82, 33, 136, 69, 88, 7, 0, 2, 0, 5, 192, 0, 0, 0, 29, 8, 42, 17, 115, 58, 6, 90, 16, 4, 16, 0, 2.0, 9.0, 12.0, 0, 6, 16, 3, 4, 9, 0, 0, 8, 7, 1, 0, 0.0, 1, 1, 6, 4, 1, 15, 15, 12.5, 56.25, 75.0, 25.0, 93.796875, 93.796875, 25, 37.5, 100.0, 0.0, 50.0, 43.796875, 6.2998046875, 0.0, 0.0, 18.796875, 6.2998046875, 25.0, 6.2998046875, 56.296875, 37.5, 15.0, 5.0, 48.0, 23.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 36.0, "21184", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21184&g_ta_cod=21184", 19.0, 25.0, 56.0),
(5195, "Privé sous contrat d'association", "0133424B", "Lycée CAUCADIS", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Vitrolles", "formation sélective", "BTS", "Lycée CAUCADIS - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 15, 178, 37, 166, 0, 19, 8, 47, 17, 50, 26, 50, 12, 0, 1, 9, 2, 89, 5, 0, 0, 12, 6, 31, 8, 33, 16, 13, 58, 13, 4, 11, 2, 2.0, 10.0, 11.0, 0, 7, 12, 2, 2, 8, 1, 0, 2, 9, 1, 0, 0.0, 2, 2, 6, 3, 1, 12, 12, 15.38, 76.92, 84.62, 30.796875, 100.0, 100.0, 25, 58.296875, 92.296875, 0.0, 16.69921875, 75.0, 8.298828125, 0.0, 0.0, 16.69921875, 16.69921875, 16.69921875, 16.69921875, 66.6875, 50.0, 7.0, 4.0, 30.0, 13.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers technologiques toutes séries", 20, "Bacheliers professionnels toutes séries", 30, "Liste d'appel propre à cette formation", 37.0, "27072", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27072&g_ta_cod=27072", 23.0, 15.0, 62.0),
(5196, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Perrin - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 24, 169, 4, 168, 0, 11, 2, 31, 9, 69, 26, 57, 1, 0, 0, 1, 0, 137, 0, 0, 0, 10, 1, 31, 9, 56, 20, 40, 66, 21, 1, 21, 0, 7.0, 20.0, 20.0, 0, 2, 13, 1, 7, 5, 8, 0, 4, 7, 2, 0, 0.0, 0, 4, 5, 5, 0, 12, 12, 33.33, 95.24, 95.24, 4.7998046875, 92.296875, 92.296875, 38.5, 15.3984375, 61.8984375, 0.0, 30.796875, 53.796875, 15.3984375, 0.0, 0.0, 7.69921875, 0.0, 53.796875, 30.796875, 38.5, 38.5, 8.0, 1.0, 20.0, 9.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 49.0, "2607", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2607&g_ta_cod=2607", 14.0, 48.0, 38.0),
(5197, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Portail Philosophie", "Licence - Arts-lettres-langues", "", 50, 467, 297, 399, 0, 223, 55, 29, 10, 16, 6, 131, 68, 14, 2, 6, 46, 398, 66, 0, 0, 223, 55, 29, 10, 16, 6, 130, 369, 49, 23, 33, 16, 10.0, 32.0, 41.0, 0, 9, 23, 16, 2, 5, 26, 0, 7, 10, 5, 1, 0.0, 11, 2, 3, 0, 0, 18, 18, 20.41, 65.31, 83.67, 46.8984375, 78.296875, 78.296875, 0, 39.09375, 46.8984375, 0.0, 30.3984375, 43.5, 21.69921875, 4.3, 0.0, 69.59375, 47.796875, 8.69921875, 8.69921875, 21.69921875, 13.0, 180.0, 45.0, 16.0, 7.0, 153.0, "Tous les candidats", 486.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "3262", "Licence - Portail Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27622&g_ta_cod=3262", 80.0, 6.0, 14.0),
(5198, "Public", "0670086E", "Lycée des métiers René Cassin", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Lycée des métiers René Cassin - Diplôme de Comptabilité et de Gestion", "DCG", "", 36, 836, 421, 824, 0, 371, 79, 197, 65, 27, 10, 229, 12, 1, 2, 4, 5, 337, 0, 0, 0, 200, 24, 100, 22, 0, 0, 37, 138, 33, 20, 33, 0, 7.0, 28.0, 31.0, 0, 6, 32, 15, 17, 0, 1, 0, 1, 8, 17, 6, 0.0, 14, 17, 0, 0, 0, 26, 26, 21.21, 84.85, 93.94, 60.59375, 81.296875, 81.296875, 0, 18.796875, 97.0, 0.0, 3.099609375, 25.0, 53.09375, 18.8, 0.0, 46.8984375, 43.796875, 53.09375, 53.09375, 0.0, 0.0, 78.0, 8.0, 0.0, 0.0, 14.0, "Tous les candidats", 243.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "7952", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7952&g_ta_cod=7952", 48.0, 52.0, 0.0),
(5199, "Public", "0750704H", "Lycée Carnot", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "CPGE", "Lycée Carnot - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 1518, 612, 1518, 194, 1271, 220, 2, 1, 0, 0, 245, 0, 0, 0, 0, 0, 771, 0, 143, 695, 730, 129, 0, 0, 0, 0, 41, 516, 46, 17, 46, 0, 11.0, 24.0, 43.0, 2, 8, 46, 46, 0, 0, 0, 0, 1, 11, 30, 4, 0.0, 45, 0, 0, 2, 1, 16, 42, 23.91, 52.17, 93.48, 37.0, 34.796875, 91.296875, 4.2998046875, 17.3984375, 100.0, 0.0, 2.19970703125, 23.8984375, 65.1875, 8.7, 0.0, 100.0, 97.796875, 0.0, 0.0, 0.0, 0.0, 503.0, 83.0, 0.0, 0.0, 13.0, "Tous les candidats", 649.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "9141", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9141&g_ta_cod=9141", 100.0, 0.0, 0.0),
(5200, "Public", "0440139M", "I.U.T. Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Carquefou", "formation sélective", "BUT", "I.U.T. Nantes - BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services - Pilotage de la chaîne logistique globale - Qualité et pilotage des systèmes de management intégrés - Accompagnement à la transformation numérique", "BUT - Production", "Management de la production de biens et de services - Pilotage de la chaîne logistique globale - Qualité et pilotage des systèmes de management intégrés - Accompagnement à la transformation numérique", 78, 644, 151, 598, 0, 304, 39, 153, 26, 6, 1, 135, 46, 12, 8, 4, 22, 411, 19, 0, 0, 242, 27, 94, 13, 5, 0, 70, 294, 62, 21, 53, 9, 8.0, 47.0, 60.0, 0, 6, 47, 28, 18, 1, 15, 0, 14, 27, 5, 1, 0.0, 17, 15, 1, 0, 0, 29, 29, 12.9, 75.81, 96.77, 33.8984375, 61.6953125, 61.6953125, 0, 12.798828125, 75.796875, 0.0, 29.796875, 57.3984375, 10.599609375, 2.1, 0.0, 59.59375, 36.1953125, 38.296875, 31.8984375, 2.099609375, 2.099609375, 151.0, 22.0, 4.0, 0.0, 61.0, "Tous les candidats sauf les Bac technologiques", 304.0, "Bacheliers technologiques toutes séries", 108, "", 0, "Liste d'appel propre à cette formation", 69.0, "5483", "BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services - Pilotage de la chaîne logistique globale - Qualité et pilotage des systèmes de management intégrés - Accompagnement à la transformation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5483&g_ta_cod=5483", 66.0, 32.0, 2.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(5201, "Public", "0110982H", "I.U.T de Perpignan (Site de Carcassonne)", "11", "Aude", "Occitanie", "Montpellier", "Carcassonne", "formation sélective", "BUT", "I.U.T de Perpignan (Site de Carcassonne) - BUT - Statistique et informatique décisionnelle Parcours : Sciences des données : exploration et modéalisation statistique - Sciences des données : visualisation, conception d'outils décisionnels (Seconde année possible en apprentissage)", "BUT - Service", "Sciences des données : exploration et modéalisation statistique - Sciences des données : visualisation, conception d'outils décisionnels", 42, 518, 105, 472, 0, 287, 45, 56, 17, 4, 3, 125, 46, 4, 4, 0, 38, 442, 35, 0, 0, 280, 42, 43, 10, 0, 0, 119, 383, 42, 9, 30, 12, 5.0, 22.0, 37.0, 0, 4, 14, 13, 1, 0, 28, 0, 9, 5, 0, 0, 0.0, 4, 1, 0, 0, 0, 6, 6, 11.9, 52.38, 88.1, 21.3984375, 42.8984375, 42.8984375, 0, 28.59765625, 33.296875, 0.0, 64.296875, 35.6953125, 0.0, 0.0, 0.0, 92.890625, 28.59765625, 7.099609375, 7.099609375, 0.0, 0.0, 222.0, 39.0, 0.0, 0.0, 123.0, "Tous les candidats sauf les Bac technologiques", 393.0, "Bacheliers technologiques toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 93.0, "2469", "BUT - Statistique et informatique décisionnelle Parcours : Sciences des données : exploration et modéalisation statistique - Sciences des données : visualisation, conception d'outils décisionnels (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2469&g_ta_cod=2469", 86.0, 12.0, 0.0),
(5202, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Portail Lettres - LETTRES EDITION MEDIAS AUDIOVISUEL", "Licence - Arts-lettres-langues", "LETTRES EDITION MEDIAS AUDIOVISUEL", 335, 1290, 1057, 1260, 0, 765, 104, 26, 11, 9, 6, 460, 30, 6, 1, 3, 20, 1252, 28, 0, 0, 765, 104, 26, 11, 9, 6, 452, 1054, 329, 272, 311, 18, 55.0, 263.0, 302.0, 0, 38, 199, 185, 10, 4, 130, 0, 50, 77, 55, 17, 0.0, 145, 2, 2, 0, 0, 44, 138, 16.72, 79.94, 91.79, 82.6875, 22.09765625, 69.296875, 0, 19.09765625, 60.5, 0.0, 25.09765625, 38.6953125, 27.59765625, 8.5, 0.0, 93.0, 72.890625, 5.0, 1.0, 2.0, 1.0, 666.0, 93.0, 6.0, 2.0, 364.0, "Tous les candidats", 1322.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "9274", "Licence - Portail Lettres - LETTRES EDITION MEDIAS AUDIOVISUEL", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28336&g_ta_cod=9274", 89.0, 7.0, 4.0),
(5203, "Privé enseignement supérieur", "0290127F", "Brest Business School", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Ecole de Commerce", "Brest Business School - Formation des écoles de commerce et de management Bac + 3 - Bachelor e-business et marketing", "Formation des écoles de commerce et de management", "Bachelor International Management", 40, 67, 28, 60, 0, 41, 9, 8, 2, 0, 0, 11, 7, 3, 1, 0, 3, 52, 4, 0, 0, 36, 7, 5, 0, 0, 0, 11, 56, 10, 3, 8, 2, 6.0, 8.0, 9.0, 0, 1, 7, 5, 2, 0, 3, 0, 3, 3, 1, 0, 0.0, 2, 2, 0, 0, 0, 5, 5, 60.0, 80.0, 90.0, 30.0, 71.390625, 71.390625, 0, 14.298828125, 70.0, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 71.390625, 28.59765625, 28.59765625, 28.59765625, 0.0, 0.0, 39.0, 8.0, 0.0, 0.0, 12.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 87.0, "18079", "Formation des écoles de commerce et de management Bac + 3 - Bachelor e-business et marketing", "Brest Business School", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18078&g_ta_cod=18079", 80.0, 20.0, 0.0),
(5204, "Privé sous contrat d'association", "0690521S", "Lycée Sainte - Marie Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "BTS", "Lycée Sainte - Marie Lyon - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 45, 553, 220, 433, 0, 143, 25, 104, 25, 29, 8, 157, 120, 30, 18, 6, 66, 203, 20, 0, 0, 93, 13, 56, 10, 16, 5, 38, 167, 32, 11, 24, 8, 12.0, 23.0, 29.0, 0, 3, 24, 17, 6, 1, 8, 0, 10, 11, 3, 0, 0.0, 10, 3, 1, 11, 1, 18, 18, 37.5, 71.88, 90.63, 34.3984375, 75.0, 75.0, 45.796875, 12.5, 75.0, 0.0, 41.6953125, 45.796875, 12.5, 0.0, 0.0, 70.796875, 41.6953125, 25.0, 12.5, 4.19921875, 4.19921875, 85.0, 8.0, 13.0, 5.0, 33.0, "Tous les candidats sauf les Bac professionnels", 186.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 47.0, "8290", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8290&g_ta_cod=8290", 75.0, 19.0, 6.0),
(5205, "Privé sous contrat d'association", "0451565G", "Lycée Professionnel Agricole d'Horticulture et du Paysage La Mouillère", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Professionnel Agricole d'Horticulture et du Paysage La Mouillère - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 24, 134, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 134, 29, 23, 17, 65, 0, 27, 0, 0, 0, 0, 0, 0, 0, 0, 0, 27, 17, 12, 0, 17, 0.0, 0.0, 14.0, 0, 1, 9, 4, 3, 2, 8, 0, 4, 5, 0, 0, 0.0, 2, 1, 2, 0, 0, 6, 6, 0.0, 0.0, 82.35, 70.59375, 66.6875, 66.6875, 0, 11.099609375, 52.8984375, 0.0, 44.3984375, 55.59375, 0.0, 0.0, 0.0, 44.3984375, 22.19921875, 33.296875, 11.099609375, 22.19921875, 22.19921875, 7.0, 1.0, 5.0, 2.0, 11.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34694", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34694&g_ta_cod=34694", 53.0, 35.0, 12.0),
(5206, "Public", "0810003N", "Lycée professionnel Toulouse-Lautrec", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "BTS", "Lycée professionnel Toulouse-Lautrec - BTS - Services - Tourisme", "BTS - Services", "", 18, 547, 401, 547, 0, 109, 35, 123, 39, 133, 67, 182, 0, 0, 0, 0, 0, 426, 0, 0, 0, 109, 35, 94, 28, 133, 67, 90, 101, 20, 19, 20, 0, 2.0, 14.0, 20.0, 0, 8, 16, 4, 4, 8, 4, 0, 5, 5, 4, 2, 0.0, 2, 2, 7, 2, 1, 13, 13, 10.0, 70.0, 100.0, 95.0, 81.296875, 81.296875, 12.5, 50.0, 80.0, 0.0, 31.296875, 31.296875, 25.0, 12.5, 0.0, 25.0, 12.5, 25.0, 12.5, 50.0, 43.796875, 26.0, 8.0, 25.0, 10.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 95.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 39.0, "16015", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16015&g_ta_cod=16015", 35.0, 25.0, 40.0),
(5207, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Afrique et océan Indien - Peul", "Licence - Arts-lettres-langues", "Afrique et océan Indien - Peul", 15, 44, 32, 29, 0, 9, 6, 1, 0, 6, 3, 13, 15, 2, 2, 1, 10, 29, 12, 0, 0, 9, 6, 1, 0, 6, 3, 13, 39, 15, 8, 6, 9, 4.0, 6.0, 11.0, 0, 4, 5, 2, 1, 2, 10, 0, 4, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 4, 26.67, 40.0, 73.33, 53.296875, 40.0, 80.0, 0, 80.0, 33.296875, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 40.0, 20.0, 20.0, 0.0, 40.0, 0.0, 10.0, 7.0, 7.0, 4.0, 19.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9403", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Afrique et océan Indien - Peul", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9403&g_ta_cod=9403", 47.0, 20.0, 27.0),
(5208, "Public", "0912418J", "Université Paris-Saclay, Campus d'Orsay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "Licence", "Université Paris-Saclay, Campus d'Orsay - Licence - Double diplôme - Licence Informatique, Management - Licence Double-Diplôme Sciences du Management et du numérique", "Licence - Sciences - technologies - santé", "Licence Double-Diplôme Sciences du Management et du numérique", 25, 791, 256, 441, 0, 297, 51, 24, 4, 4, 0, 116, 350, 113, 23, 9, 205, 150, 5, 0, 0, 136, 23, 0, 0, 0, 0, 14, 124, 18, 6, 16, 2, 1.0, 16.0, 18.0, 0, 4, 16, 16, 0, 0, 2, 0, 0, 8, 7, 1, 0.0, 16, 0, 0, 0, 0, 7, 12, 5.56, 88.89, 100.0, 33.296875, 43.796875, 75.0, 0, 25.0, 88.890625, 0.0, 0.0, 50.0, 43.796875, 6.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 109.0, 20.0, 0.0, 0.0, 15.0, "Tous les candidats", 148.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "28938", "Licence - Double diplôme - Licence Informatique, Management - Licence Double-Diplôme Sciences du Management et du numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28938&g_ta_cod=28938", 100.0, 0.0, 0.0),
(5209, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Langues étrangères appliquées - Parcours Anglais - Polonais", "Licence - Arts-lettres-langues", "Anglais - Polonais", 20, 87, 55, 56, 0, 33, 10, 5, 3, 4, 1, 14, 31, 4, 0, 10, 17, 54, 30, 0, 0, 33, 10, 5, 3, 4, 1, 12, 75, 13, 8, 7, 6, 1.0, 7.0, 11.0, 0, 2, 9, 4, 0, 5, 4, 0, 2, 6, 1, 0, 0.0, 3, 0, 4, 0, 0, 4, 4, 7.69, 53.85, 84.62, 61.5, 44.3984375, 44.3984375, 0, 22.19921875, 69.1875, 0.0, 22.19921875, 66.6875, 11.099609375, 0.0, 0.0, 44.3984375, 33.296875, 0.0, 0.0, 55.59375, 44.3984375, 34.0, 8.0, 12.0, 5.0, 26.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "6345", "Licence - Langues étrangères appliquées - Parcours Anglais - Polonais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6345&g_ta_cod=6345", 54.0, 0.0, 46.0),
(5210, "Public", "0542307P", "ENSGSI Nancy - Groupe INP", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 40, 3897, 977, 3893, 0, 3337, 283, 0, 0, 0, 0, 556, 4, 2, 0, 0, 2, 2581, 1, 0, 0, 2392, 144, 0, 0, 0, 0, 189, 2188, 31, 8, 31, 0, 11.0, 23.0, 31.0, 0, 1, 28, 28, 0, 0, 3, 0, 0, 8, 14, 6, 0.0, 28, 0, 0, 0, 0, 21, 21, 35.48, 74.19, 100.0, 25.796875, 75.0, 75.0, 0, 3.599609375, 90.296875, 0.0, 0.0, 28.59765625, 50.0, 21.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 2020.0, 144.0, 0.0, 0.0, 168.0, "Autres candidats", 13682.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 66.0, "22", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=22", 100.0, 0.0, 0.0),
(5211, "Public", "0711064W", "Lycée Militaire d'Autun", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Autun", "formation sélective", "CPGE", "Lycée Militaire d'Autun - CPGE - MPSI", "Classe préparatoire scientifique", "", 30, 731, 146, 720, 720, 642, 49, 3, 1, 0, 0, 75, 11, 3, 1, 0, 7, 720, 1, 720, 0, 642, 49, 3, 1, 0, 0, 75, 204, 25, 4, 23, 1, 3.0, 15.0, 22.0, 23, 1, 24, 24, 0, 0, 0, 0, 0, 2, 16, 6, 0.0, 24, 0, 0, 0, 0, 1, 1, 12.0, 60.0, 88.0, 16.0, 4.19921875, 4.19921875, 0, 4.19921875, 96.0, 0.0, 0.0, 8.298828125, 66.6875, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 194.0, 10.0, 0.0, 0.0, 10.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "8648", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8648&g_ta_cod=8648", 100.0, 0.0, 0.0),
(5212, "Public", "0911037H", "Lycée professionnel Andre-Marie Ampere", "91", "Essonne", "Ile-de-France", "Versailles", "Morsang-sur-Orge", "formation sélective", "Autre formation", "Lycée professionnel Andre-Marie Ampere - Mention complémentaire - FCIL Fibre optique", "Mention complémentaire", "", 12, 22, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22, 1, 0, 9, 12, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 3, 0, 0, 1, 0.0, 0.0, 0.0, 0, 0, 2, 0, 0, 2, 1, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 0.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 9.0, 4.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34941", "Mention complémentaire - FCIL Fibre optique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34941&g_ta_cod=34941", 0.0, 0.0, 100.0),
(5213, "Privé sous contrat d'association", "0300083C", "Lycée Saint Stanislas", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "Autre formation", "Lycée Saint Stanislas - Préparation concours écoles de cinéma, photo et son (PREP'ARTS)", "Année préparatoire", "Préparation concours écoles de cinéma, photo et son (PREP'ARTS)", 40, 323, 164, 316, 0, 245, 38, 12, 3, 10, 7, 49, 7, 1, 1, 0, 5, 301, 5, 0, 0, 237, 37, 12, 3, 7, 4, 45, 203, 31, 14, 30, 1, 7.0, 24.0, 30.0, 0, 9, 25, 22, 2, 1, 6, 0, 6, 7, 10, 2, 0.0, 18, 1, 0, 0, 0, 9, 9, 22.58, 77.42, 96.77, 45.1953125, 36.0, 36.0, 0, 36.0, 80.59375, 0.0, 24.0, 28.0, 40.0, 8.0, 0.0, 88.0, 72.0, 8.0, 4.0, 4.0, 0.0, 155.0, 25.0, 5.0, 3.0, 39.0, "Tous les candidats", 299.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "18515", "Préparation concours écoles de cinéma, photo et son (PREP'ARTS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18515&g_ta_cod=18515", 90.0, 6.0, 3.0),
(5214, "Public", "0741133E", "I.U.T. Annecy", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BUT", "I.U.T. Annecy - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie Section aménagée sport ou musique études (quatre ans)", "BUT - Production", "Innovation pour l?industrie Section aménagée sport ou musique études (quatre ans)", 14, 81, 7, 81, 0, 64, 4, 13, 3, 0, 0, 4, 0, 0, 0, 0, 0, 48, 0, 0, 0, 44, 0, 4, 0, 0, 0, 0, 32, 14, 2, 14, 0, 5.0, 12.0, 14.0, 0, 0, 14, 12, 2, 0, 0, 0, 0, 6, 7, 1, 0.0, 12, 2, 0, 0, 0, 5, 5, 35.71, 85.71, 100.0, 14.298828125, 35.6953125, 35.6953125, 0, 0.0, 100.0, 0.0, 0.0, 42.8984375, 50.0, 7.1, 0.0, 85.6875, 85.6875, 14.298828125, 14.298828125, 0.0, 0.0, 28.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats sauf les Bac technologiques", 42.0, "Bacheliers technologiques toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 57.0, "8908", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie Section aménagée sport ou musique études (quatre ans)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8908&g_ta_cod=8908", 86.0, 14.0, 0.0),
(5215, "Public", "0340040J", "Lycée Jules Guesde", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Jules Guesde - BTS - Services - Support à l'action managériale", "BTS - Services", "", 36, 1221, 845, 1221, 0, 46, 15, 504, 273, 335, 229, 336, 0, 0, 0, 0, 0, 476, 0, 0, 0, 36, 14, 233, 118, 152, 98, 55, 202, 35, 29, 35, 0, 6.0, 23.0, 31.0, 0, 24, 29, 1, 15, 13, 6, 0, 4, 16, 7, 2, 0.0, 0, 15, 10, 11, 11, 25, 25, 17.14, 65.71, 88.57, 82.890625, 86.1875, 86.1875, 37.8984375, 82.796875, 82.890625, 0.0, 13.798828125, 55.1953125, 24.09765625, 6.9, 0.0, 3.39990234375, 0.0, 51.6953125, 51.6953125, 44.796875, 34.5, 17.0, 10.0, 56.0, 36.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 120, "Bacheliers technologiques toutes séries", 166, "Liste d'appel propre à cette formation", 27.0, "4489", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4489&g_ta_cod=4489", 6.0, 51.0, 43.0),
(5216, "Public", "0782546U", "Lycée Le Corbusier", "78", "Yvelines", "Ile-de-France", "Versailles", "Poissy", "formation sélective", "Autre formation", "Lycée Le Corbusier - DN MADE - Matériaux - - Spécialité : Décors objet et mobilier : du patrimonial à la prospective", "DN MADE", "- Spécialité : Décors objet et mobilier : du patrimonial à la prospective", 8, 113, 87, 113, 0, 33, 6, 29, 4, 14, 2, 37, 0, 0, 0, 0, 0, 100, 0, 0, 0, 31, 5, 28, 4, 14, 2, 27, 39, 9, 4, 9, 0, 2.0, 9.0, 9.0, 0, 2, 5, 3, 0, 2, 4, 0, 1, 3, 1, 0, 0.0, 2, 0, 2, 0, 0, 2, 2, 22.22, 100.0, 100.0, 44.3984375, 40.0, 40.0, 0, 40.0, 55.59375, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 60.0, 40.0, 0.0, 0.0, 40.0, 40.0, 9.0, 2.0, 6.0, 2.0, 13.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "32783", "DN MADE - Matériaux - - Spécialité : Décors objet et mobilier : du patrimonial à la prospective", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32783&g_ta_cod=32783", 44.0, 0.0, 22.0),
(5217, "Public", "0930830X", "Lycée Albert Schweitzer", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Le Raincy", "formation sélective", "CPGE", "Lycée Albert Schweitzer - CPGE - MPSI", "Classe préparatoire scientifique", "", 70, 1146, 319, 1146, 399, 947, 306, 3, 0, 1, 0, 195, 0, 0, 0, 0, 0, 436, 0, 5, 436, 397, 112, 0, 0, 0, 0, 39, 317, 69, 19, 69, 0, 27.0, 53.0, 65.0, 0, 11, 52, 52, 0, 0, 17, 0, 0, 2, 27, 22, 1.0, 52, 0, 0, 7, 1, 49, 50, 39.13, 76.81, 94.2, 27.5, 94.1875, 96.1875, 13.5, 21.19921875, 75.390625, 0.0, 0.0, 3.7998046875, 51.8984375, 42.3, 1.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 288.0, 82.0, 0.0, 0.0, 29.0, "Tous les candidats", 413.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "11200", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11200&g_ta_cod=11200", 100.0, 0.0, 0.0),
(5218, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence_Las", "Université Grenoble Alpes  - Licence - Portail Informatique, Mathématiques et Application (IMA)", "Licence - Sciences - technologies - santé", "Informatique, Mathématiques et Application (IMA)", 15, 309, 88, 290, 0, 164, 35, 2, 0, 1, 0, 123, 19, 4, 0, 0, 15, 290, 8, 0, 0, 164, 35, 2, 0, 1, 0, 123, 148, 12, 4, 11, 1, 0.0, 6.0, 10.0, 0, 2, 4, 4, 0, 0, 8, 0, 2, 0, 2, 0, 0.0, 2, 0, 0, 0, 0, 3, 3, 0.0, 50.0, 83.33, 33.296875, 75.0, 75.0, 0, 50.0, 33.296875, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 83.0, 17.0, 1.0, 0.0, 64.0, "Tous les candidats", 1497.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "31941", "Licence - Portail Informatique, Mathématiques et Application (IMA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31940&g_ta_cod=31941", 100.0, 0.0, 0.0),
(5219, "Privé hors contrat", "0333016Z", "Institut de Formation pour l'Emploi et l'Entreprise - Noschool", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Mérignac", "formation sélective", "Autre formation", "Institut de Formation pour l'Emploi et l'Entreprise - Noschool - Diplôme d'Université - PAREO", "Diplôme d'Université", "", 50, 20, 10, 7, 0, 0, 0, 1, 0, 1, 1, 5, 13, 4, 3, 1, 5, 5, 11, 0, 0, 0, 0, 1, 0, 0, 0, 4, 17, 8, 4, 1, 6, 1.0, 1.0, 1.0, 0, 0, 5, 3, 2, 0, 3, 0, 3, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 4, 4, 12.5, 12.5, 12.5, 50.0, 80.0, 80.0, 0, 0.0, 62.5, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 60.0, 20.0, 40.0, 20.0, 0.0, 0.0, 4.0, 0.0, 0.0, 0.0, 9.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "32206", "Diplôme d'Université - PAREO", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32206&g_ta_cod=32206", 63.0, 38.0, 0.0),
(5220, "Privé sous contrat d'association", "0542408Z", "Lycée Charles De Foucauld", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Charles De Foucauld - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 585, 259, 517, 0, 99, 15, 175, 43, 112, 35, 131, 68, 0, 13, 23, 32, 283, 25, 0, 0, 83, 13, 114, 28, 55, 17, 31, 196, 32, 12, 21, 11, 4.0, 14.0, 21.0, 0, 4, 24, 9, 8, 7, 8, 0, 14, 8, 1, 1, 0.0, 3, 4, 3, 4, 1, 21, 21, 12.5, 43.75, 65.63, 37.5, 87.5, 87.5, 16.69921875, 16.69921875, 75.0, 0.0, 58.296875, 33.296875, 4.19921875, 4.2, 0.0, 37.5, 12.5, 33.296875, 16.69921875, 29.19921875, 12.5, 46.0, 9.0, 50.0, 13.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 129, "Liste d'appel propre à cette formation", 50.0, "6389", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6389&g_ta_cod=6389", 34.0, 38.0, 28.0),
(5221, "Privé sous contrat d'association", "0290186V", "Lycée Le Paraclet", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "Autre formation", "Lycée Le Paraclet - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 34, 167, 87, 149, 0, 50, 7, 31, 9, 8, 0, 60, 18, 0, 0, 1, 17, 128, 10, 0, 0, 50, 7, 30, 9, 6, 0, 42, 96, 25, 12, 21, 4, 12.0, 21.0, 23.0, 0, 3, 13, 7, 6, 0, 12, 0, 5, 6, 2, 0, 0.0, 4, 4, 0, 0, 0, 13, 13, 48.0, 84.0, 92.0, 48.0, 100.0, 100.0, 0, 23.09765625, 52.0, 0.0, 38.5, 46.1953125, 15.3984375, 0.0, 0.0, 53.796875, 30.796875, 46.1953125, 30.796875, 0.0, 0.0, 36.0, 6.0, 7.0, 1.0, 31.0, "Tous les candidats", 127.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "3830", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3830&g_ta_cod=3830", 60.0, 40.0, 0.0),
(5222, "Public", "0811199N", "I.U.T de Toulouse - Antenne de Castres", "81", "Tarn", "Occitanie", "Toulouse", "Castres", "formation sélective", "BUT", "I.U.T de Toulouse - Antenne de Castres - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client", 82, 2064, 1058, 2064, 0, 1055, 169, 688, 179, 27, 11, 294, 0, 0, 0, 0, 0, 1839, 0, 0, 0, 985, 151, 612, 156, 0, 0, 242, 607, 90, 40, 90, 0, 7.0, 60.0, 83.0, 0, 15, 72, 30, 42, 0, 18, 0, 4, 47, 21, 0, 0.0, 29, 39, 0, 0, 0, 58, 58, 7.78, 66.67, 92.22, 44.3984375, 80.59375, 80.59375, 0, 20.796875, 80.0, 0.0, 5.599609375, 65.296875, 29.19921875, 0.0, 0.0, 41.6953125, 40.296875, 58.296875, 54.1953125, 0.0, 0.0, 262.0, 63.0, 0.0, 0.0, 91.0, "Tous les candidats sauf les Bac technologiques", 462.0, "Bacheliers technologiques toutes séries", 371, "", 0, "Liste d'appel propre à cette formation", 40.0, "10296", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10296&g_ta_cod=10296", 49.0, 51.0, 0.0),
(5223, "Public", "0230018V", "Lycée Des Metiers Du Batiment", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Felletin", "formation sélective", "Autre formation", "Lycée Des Metiers Du Batiment - Mention complémentaire - FCIL Responsable d'exécution de travaux de réhabilitation : reprise et rénovation d'ouvrage de Gros ?uvre", "Mention complémentaire", "", 12, 15, 3, 13, 0, 3, 0, 0, 0, 2, 0, 8, 2, 0, 0, 1, 1, 5, 0, 0, 0, 2, 0, 0, 0, 1, 0, 2, 5, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.0, 0.0, 1.0, 0.0, 2.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "24274", "Mention complémentaire - FCIL Responsable d'exécution de travaux de réhabilitation : reprise et rénovation d'ouvrage de Gros ?uvre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24274&g_ta_cod=24274", 0, 0, 0),
(5224, "Public", "0690037R", "Lycée La Martinière-Diderot", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "Autre formation", "Lycée La Martinière-Diderot - DN MADE - Spectacle - - Spécialité : Costume formes-couleurs-matériaux/exploration et réalisation", "DN MADE", "- Spécialité : Costume formes-couleurs-matériaux/exploration et réalisation", 15, 620, 582, 620, 0, 166, 27, 158, 25, 90, 23, 206, 0, 0, 0, 0, 0, 55, 0, 0, 0, 16, 0, 23, 3, 2, 0, 14, 34, 15, 15, 15, 0, 5.0, 15.0, 15.0, 0, 0, 11, 5, 4, 2, 4, 0, 0, 1, 4, 4, 2.0, 5, 4, 2, 0, 0, 2, 2, 33.33, 100.0, 100.0, 100.0, 18.19921875, 18.19921875, 0, 0.0, 73.296875, 0.0, 0.0, 9.099609375, 36.3984375, 36.4, 18.2, 45.5, 45.5, 36.3984375, 36.3984375, 18.19921875, 18.19921875, 9.0, 0.0, 2.0, 0.0, 8.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "21591", "DN MADE - Spectacle - - Spécialité : Costume formes-couleurs-matériaux/exploration et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21591&g_ta_cod=21591", 47.0, 27.0, 20.0),
(5225, "Public", "0680053N", "I.U.T. de Colmar", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BUT", "I.U.T. de Colmar - BUT - Techniques de commercialisation Parcours : Tec2tour Management touristique international en double diplôme franco-allemand Business international : achat et vente", "BUT - Service", "Tec2tour Management touristique international en double diplôme franco-allemand Business international : achat et vente", 15, 230, 123, 164, 0, 91, 17, 41, 11, 1, 0, 31, 66, 37, 0, 0, 29, 40, 5, 0, 0, 33, 2, 2, 0, 0, 0, 5, 40, 14, 10, 12, 2, 7.0, 12.0, 14.0, 0, 2, 13, 12, 1, 0, 1, 0, 0, 5, 7, 1, 0.0, 12, 1, 0, 0, 0, 11, 11, 50.0, 85.71, 100.0, 71.390625, 84.59375, 84.59375, 0, 15.3984375, 92.890625, 0.0, 0.0, 38.5, 53.796875, 7.7, 0.0, 92.296875, 92.296875, 7.69921875, 7.69921875, 0.0, 0.0, 32.0, 2.0, 0.0, 0.0, 6.0, "Tous les candidats sauf les Bac technologiques", 37.0, "Bacheliers technologiques toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 24.0, "13388", "BUT - Techniques de commercialisation Parcours : Tec2tour Management touristique international en double diplôme franco-allemand Business international : achat et vente", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13388&g_ta_cod=13388", 93.0, 7.0, 0.0),
(5226, "Public", "0921245D", "IUT de Sceaux-Ecole universitaire de premier cycle-Université Paris-Saclay.", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "BUT", "IUT de Sceaux-Ecole universitaire de premier cycle-Université Paris-Saclay. - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", 347, 10161, 5663, 10161, 0, 5258, 1142, 3203, 1087, 122, 60, 1578, 0, 0, 0, 0, 0, 3544, 0, 0, 0, 2061, 350, 1223, 356, 0, 0, 260, 1457, 352, 234, 352, 0, 180.0, 318.0, 345.0, 0, 78, 329, 163, 166, 0, 23, 0, 7, 104, 191, 27, 0.0, 160, 162, 0, 0, 0, 172, 270, 51.14, 90.34, 98.01, 66.5, 52.296875, 82.09375, 0, 23.69921875, 93.5, 0.0, 2.099609375, 31.59765625, 58.09375, 8.2, 0.0, 49.5, 48.59375, 50.5, 49.1953125, 0.0, 0.0, 812.0, 209.0, 0.0, 0.0, 103.0, "Tous les candidats sauf les Bac technologiques", 1023.0, "Bacheliers technologiques toutes séries", 748, "", 0, "Liste d'appel propre à cette formation", 17.0, "11113", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11113&g_ta_cod=11113", 51.0, 49.0, 0.0),
(5227, "Public", "0700882D", "Lycée professionnel Pontarcher", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Vesoul", "formation sélective", "BTS", "Lycée professionnel Pontarcher - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 12, 70, 33, 65, 0, 0, 0, 5, 2, 51, 19, 9, 5, 0, 0, 3, 2, 60, 2, 0, 0, 0, 0, 4, 1, 48, 19, 8, 51, 10, 6, 8, 2, 2.0, 7.0, 8.0, 0, 8, 10, 0, 0, 10, 0, 0, 3, 4, 1, 2, 0.0, 0, 0, 7, 2, 1, 8, 8, 20.0, 70.0, 80.0, 60.0, 80.0, 80.0, 20, 80.0, 100.0, 0.0, 30.0, 40.0, 10.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 70.0, 0.0, 0.0, 40.0, 17.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 6, "Liste d'appel propre à cette formation", 91.0, "21883", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21883&g_ta_cod=21883", 0.0, 0.0, 100.0),
(5228, "Privé sous contrat d'association", "0671639T", "Lycée des Métiers Sainte Clotilde", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée des Métiers Sainte Clotilde - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 38, 310, 135, 241, 0, 62, 7, 53, 18, 30, 12, 96, 69, 6, 6, 19, 38, 130, 8, 0, 0, 52, 5, 29, 8, 13, 4, 36, 127, 19, 8, 15, 4, 9.0, 15.0, 18.0, 0, 3, 10, 4, 4, 2, 9, 0, 3, 7, 0, 0, 0.0, 3, 3, 1, 2, 2, 9, 9, 47.37, 78.95, 94.74, 42.09375, 90.0, 90.0, 20, 30.0, 52.59375, 0.0, 30.0, 70.0, 0.0, 0.0, 0.0, 40.0, 30.0, 40.0, 30.0, 20.0, 10.0, 48.0, 5.0, 11.0, 4.0, 42.0, "Tous les candidats sauf les Bac professionnels", 116.0, "Bacheliers professionnels toutes séries", 13, "", 0, "Liste d'appel propre à cette formation", 54.0, "7983", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7983&g_ta_cod=7983", 53.0, 37.0, 11.0),
(5229, "Public", "0750681H", "ESAA Boulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "ESAA Boulle - DN MADE - Objet - Spécialité : Métiers d?art Tournage d?art : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "DN MADE", "Spécialité : Métiers d?art Tournage d?art : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", 2, 157, 109, 157, 0, 51, 8, 22, 3, 11, 3, 73, 0, 0, 0, 0, 0, 9, 0, 0, 0, 2, 0, 3, 0, 0, 0, 4, 3, 2, 1, 2, 0, 1.0, 2.0, 2.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 50.0, 100.0, 100.0, 50.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 2.0, "26880", "DN MADE - Objet - Spécialité : Métiers d?art Tournage d?art : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26880&g_ta_cod=26880", 0.0, 0.0, 0.0),
(5230, "Public", "0130051K", "Lycée Marie Curie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation sélective", "CPGE", "Lycée Marie Curie - CPGE - TB", "Classe préparatoire scientifique", "", 18, 195, 138, 195, 0, 0, 0, 176, 33, 0, 0, 19, 0, 0, 0, 0, 0, 152, 0, 0, 152, 0, 0, 150, 29, 0, 0, 2, 69, 18, 11, 18, 0, 5.0, 18.0, 18.0, 0, 6, 17, 0, 17, 0, 1, 0, 0, 6, 8, 3, 0.0, 0, 17, 0, 1, 1, 5, 5, 27.78, 100.0, 100.0, 61.09375, 29.3984375, 29.3984375, 5.8994140625, 35.296875, 94.390625, 0.0, 0.0, 35.296875, 47.09375, 17.6, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 145.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "2580", "CPGE - TB", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2580&g_ta_cod=2580", 0.0, 100.0, 0.0),
(5231, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence_Las", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Sciences pour l'ingénieur - Parcours Physique, Thermique énergétique, Génie civil, Polymères et composites, Génie mécanique et matériaux", "Licence - Sciences - technologies - santé", "Parcours Physique", 36, 276, 110, 118, 0, 78, 6, 12, 0, 1, 0, 27, 158, 59, 7, 1, 91, 117, 131, 0, 0, 78, 6, 12, 0, 1, 0, 26, 237, 19, 7, 3, 16, 0.0, 2.0, 16.0, 0, 4, 9, 7, 2, 0, 10, 0, 7, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 0.0, 10.53, 84.21, 36.796875, 22.19921875, 22.19921875, 0, 44.3984375, 47.3984375, 0.0, 77.796875, 22.19921875, 0.0, 0.0, 0.0, 77.796875, 22.19921875, 22.19921875, 0.0, 0.0, 0.0, 125.0, 14.0, 1.0, 1.0, 96.0, "Tous les candidats", 670.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "26723", "Licence - Portail Sciences pour l'ingénieur - Parcours Physique, Thermique énergétique, Génie civil, Polymères et composites, Génie mécanique et matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26722&g_ta_cod=26723", 84.0, 16.0, 0.0),
(5232, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence_Las", "Université de Caen Normandie - Licence - Portail Physique", "Licence - Sciences - technologies - santé", "", 40, 374, 164, 348, 0, 284, 51, 8, 3, 0, 0, 56, 26, 10, 2, 1, 13, 347, 24, 0, 0, 284, 51, 8, 3, 0, 0, 55, 254, 38, 14, 29, 9, 3.0, 22.0, 29.0, 0, 10, 28, 27, 1, 0, 10, 0, 12, 8, 6, 2, 0.0, 15, 1, 0, 0, 0, 24, 24, 7.89, 57.89, 76.32, 36.796875, 85.6875, 85.6875, 0, 35.6953125, 73.6875, 0.0, 42.8984375, 28.59765625, 21.3984375, 7.1, 0.0, 96.390625, 53.59375, 3.599609375, 3.599609375, 0.0, 0.0, 204.0, 38.0, 1.0, 0.0, 45.0, "Tous les candidats", 756.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27687", "Licence - Portail Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27686&g_ta_cod=27687", 89.0, 5.0, 5.0),
(5233, "Public", "0750502N", "Lycée Maximilien Vox", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Autre formation", "Lycée Maximilien Vox - DN MADE - Événement - - Spécialité : Dispositifs de communication", "DN MADE", "- Spécialité : Dispositifs de communication", 12, 439, 371, 439, 0, 148, 18, 117, 22, 39, 6, 135, 0, 0, 0, 0, 0, 82, 0, 0, 0, 35, 1, 38, 3, 3, 0, 6, 51, 12, 10, 12, 0, 3.0, 12.0, 12.0, 0, 0, 11, 6, 5, 0, 1, 0, 0, 3, 7, 1, 0.0, 6, 5, 0, 0, 0, 1, 7, 25.0, 100.0, 100.0, 83.296875, 9.099609375, 63.59375, 0, 0.0, 91.6875, 0.0, 0.0, 27.296875, 63.59375, 9.1, 0.0, 54.5, 54.5, 45.5, 45.5, 0.0, 0.0, 21.0, 1.0, 1.0, 0.0, 3.0, "Tous les candidats", 72.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "21978", "DN MADE - Événement - - Spécialité : Dispositifs de communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21978&g_ta_cod=21978", 50.0, 50.0, 0.0),
(5234, "Privé sous contrat d'association", "9720615L", "Lycée AMEP", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée AMEP - BTS - Services - Assurance", "BTS - Services", "", 25, 140, 82, 128, 0, 28, 8, 35, 18, 31, 18, 34, 12, 0, 3, 4, 5, 128, 6, 0, 0, 28, 8, 35, 18, 31, 18, 34, 82, 15, 8, 13, 2, 7.0, 13.0, 14.0, 0, 7, 12, 3, 5, 4, 3, 0, 8, 4, 0, 0, 0.0, 1, 1, 2, 1, 1, 11, 11, 46.67, 86.67, 93.33, 53.296875, 91.6875, 91.6875, 8.298828125, 58.296875, 80.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 25.0, 8.298828125, 41.6953125, 8.298828125, 33.296875, 16.69921875, 21.0, 5.0, 24.0, 14.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 80.0, "16278", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16278&g_ta_cod=16278", 20.0, 40.0, 40.0),
(5235, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues étrangères appliquées - Parcours Allemand-Anglais - A distance", "Licence - Arts-lettres-langues", "Allemand-Anglais - A distance", 35, 192, 135, 121, 0, 44, 11, 9, 5, 4, 1, 64, 71, 7, 2, 0, 62, 121, 35, 0, 0, 44, 11, 9, 5, 4, 1, 64, 143, 32, 24, 13, 19, 3.0, 13.0, 22.0, 0, 1, 3, 2, 1, 0, 29, 0, 1, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 0, 1, 9.38, 40.63, 68.75, 75.0, 0.0, 33.296875, 0, 33.296875, 9.3984375, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 66.6875, 66.6875, 33.296875, 0.0, 0.0, 0.0, 42.0, 10.0, 4.0, 1.0, 90.0, "Tous les candidats", 121.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20905", "Licence - Langues étrangères appliquées - Parcours Allemand-Anglais - A distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20905&g_ta_cod=20905", 88.0, 9.0, 3.0),
(5236, "Privé sous contrat d'association", "0783192W", "BUC RESSOURCES", "78", "Yvelines", "Ile-de-France", "Versailles", "Buc", "formation sélective", "EFTS", "BUC RESSOURCES - D.E Educateur Spécialisé", "D.E secteur social", "", 112, 288, 236, 288, 0, 42, 7, 60, 4, 56, 7, 130, 0, 0, 0, 0, 0, 247, 0, 0, 0, 39, 5, 50, 3, 49, 4, 109, 184, 112, 94, 112, 0, 64.0, 107.0, 110.0, 0, 5, 64, 18, 22, 24, 48, 0, 17, 26, 16, 5, 0.0, 11, 15, 21, 0, 0, 41, 47, 57.14, 95.54, 98.21, 83.890625, 64.09375, 73.390625, 0, 7.7998046875, 57.09375, 0.0, 26.59765625, 40.59375, 25.0, 7.8, 0.0, 28.09765625, 17.19921875, 34.3984375, 23.3984375, 37.5, 32.796875, 29.0, 2.0, 30.0, 4.0, 92.0, "Tous les candidats", 195.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "23789", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23789&g_ta_cod=23789", 30.0, 31.0, 38.0),
(5237, "Public", "0680073K", "Lycée Scheurer-Kestner", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Thann", "formation sélective", "BTS", "Lycée Scheurer-Kestner - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 246, 171, 234, 0, 8, 4, 70, 30, 99, 58, 57, 12, 1, 2, 2, 7, 144, 2, 0, 0, 7, 4, 56, 25, 51, 26, 30, 110, 24, 20, 23, 1, 2.0, 13.0, 16.0, 0, 8, 17, 0, 10, 7, 7, 0, 11, 6, 0, 0, 0.0, 0, 1, 5, 4, 3, 17, 17, 8.33, 54.17, 66.67, 83.296875, 100.0, 100.0, 23.5, 47.09375, 70.796875, 0.0, 64.6875, 35.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 58.796875, 5.8994140625, 41.1953125, 29.3984375, 4.0, 2.0, 40.0, 19.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 47.0, "8130", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8130&g_ta_cod=8130", 0.0, 54.0, 46.0),
(5238, "Public", "0831060B", "IFSI Varois La Garde", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nice Sophia Antipolis - D.E Infirmier", "D.E secteur sanitaire", "", 97, 4246, 3553, 4246, 0, 697, 140, 666, 183, 366, 140, 2517, 0, 0, 0, 0, 0, 2139, 0, 0, 0, 532, 87, 365, 88, 132, 43, 1110, 484, 97, 84, 97, 0, 6.0, 70.0, 87.0, 0, 13, 62, 35, 22, 5, 35, 1, 4, 27, 21, 8, 1.0, 31, 21, 5, 0, 0, 52, 52, 6.19, 72.16, 89.69, 86.59375, 83.890625, 83.890625, 0, 21.0, 63.8984375, 1.599853515625, 6.5, 43.5, 33.8984375, 12.9, 1.6, 56.5, 50.0, 35.5, 33.8984375, 8.099609375, 8.099609375, 180.0, 33.0, 17.0, 5.0, 228.0, "Tous les candidats", 952.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 14.0, "23071", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22984&g_ta_cod=23071", 67.0, 26.0, 7.0),
(5239, "Public", "0673015N", "Ecole management Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Ecole de Commerce", "Banque ECRICOME - Formation des écoles de commerce et de management Bac + 3 - Bachelor Affaires internationales", "Formation des écoles de commerce et de management", "Bachelor Affaires internationales", 175, 832, 356, 793, 0, 622, 34, 55, 5, 4, 0, 112, 39, 9, 5, 2, 23, 487, 10, 0, 0, 408, 17, 27, 3, 1, 0, 51, 478, 147, 76, 139, 8, 130.0, 137.0, 139.0, 0, 7, 124, 112, 11, 1, 23, 2, 11, 55, 46, 10, 0.0, 100, 10, 1, 0, 0, 104, 104, 88.44, 93.2, 94.56, 51.6953125, 83.890625, 83.890625, 0, 5.599609375, 84.390625, 1.599853515625, 8.8984375, 44.3984375, 37.09375, 8.1, 0.0, 90.296875, 80.59375, 8.8984375, 8.099609375, 0.7999267578125, 0.7999267578125, 401.0, 19.0, 1.0, 0.0, 51.0, "Tous les candidats", 487.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "26268", "Formation des écoles de commerce et de management Bac + 3 - Bachelor Affaires internationales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26268&g_ta_cod=26268", 91.0, 8.0, 1.0),
(5240, "Public", "0771171E", "Lycée professionnel Louis Lumiere", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Chelles", "formation sélective", "Autre formation", "Lycée professionnel Louis Lumiere - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 59, 21, 7, 0, 0, 0.0, 0.0, 2.0, 0, 7, 21, 0, 0, 21, 0, 0, 17, 3, 1, 0, 0.0, 0, 0, 4, 0, 0, 21, 21, 0.0, 0.0, 9.52, 33.296875, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 81.0, 14.298828125, 4.7998046875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 19.0, 0.0, 0.0, 53.0, 22.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25597", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(5241, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "CPGE", "Lycée Jean Perrin - CPGE - ECT - Option technologique - (en 3 ans, destinée aux bacs professionnels)", "Classe préparatoire économique et commerciale", "(en 3 ans, destinée aux bacs professionnels)", 28, 97, 45, 85, 43, 0, 0, 0, 0, 73, 38, 12, 12, 0, 0, 9, 3, 75, 0, 43, 72, 0, 0, 0, 0, 70, 35, 5, 67, 23, 13, 23, 0, 4.0, 20.0, 23.0, 6, 13, 22, 0, 0, 22, 1, 0, 7, 4, 6, 5, 0.0, 0, 0, 15, 0, 0, 13, 13, 17.39, 86.96, 100.0, 56.5, 59.09375, 59.09375, 0, 59.09375, 95.6875, 0.0, 31.796875, 18.19921875, 27.296875, 22.7, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 68.1875, 0.0, 0.0, 63.0, 30.0, 4.0, "Tous les candidats", 72.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "2611", "CPGE - ECT - Option technologique - (en 3 ans, destinée aux bacs professionnels)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2611&g_ta_cod=2611", 0.0, 0.0, 100.0),
(5242, "Public", "0441623A", "IFSI CH de Saint-Nazaire", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nantes - D.E Infirmier", "D.E secteur sanitaire", "", 73, 4410, 3794, 4410, 0, 859, 128, 792, 150, 640, 190, 2119, 0, 0, 0, 0, 0, 3927, 0, 0, 0, 817, 119, 719, 125, 564, 162, 1827, 705, 72, 65, 72, 0, 0.0, 21.0, 46.0, 0, 10, 46, 7, 26, 13, 26, 0, 4, 18, 22, 2, 0.0, 5, 24, 13, 0, 0, 39, 39, 0.0, 29.17, 63.89, 90.296875, 84.796875, 84.796875, 0, 21.69921875, 63.8984375, 0.0, 8.69921875, 39.09375, 47.796875, 4.3, 0.0, 15.19921875, 10.8984375, 56.5, 52.1953125, 28.296875, 28.296875, 97.0, 7.0, 117.0, 42.0, 379.0, "Tous les candidats", 1925.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "23200", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22994&g_ta_cod=23200", 33.0, 39.0, 26.0),
(5243, "Public", "0870581J", "Lycée agricole de Limoges les Vaseix", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Verneuil-sur-Vienne", "formation sélective", "BTS", "Lycée agricole de Limoges les Vaseix - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 19, 182, 99, 171, 0, 12, 2, 22, 8, 14, 6, 123, 11, 3, 2, 0, 6, 57, 6, 0, 0, 12, 2, 22, 8, 12, 5, 11, 57, 10, 7, 9, 1, 0.0, 9.0, 10.0, 0, 2, 8, 0, 5, 3, 2, 0, 3, 4, 0, 1, 0.0, 0, 4, 1, 0, 0, 7, 7, 0.0, 90.0, 100.0, 70.0, 87.5, 87.5, 0, 25.0, 80.0, 0.0, 37.5, 50.0, 0.0, 12.5, 0.0, 0.0, 0.0, 62.5, 50.0, 37.5, 12.5, 14.0, 2.0, 8.0, 3.0, 12.0, "Tous les candidats sauf les Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 33.0, "10694", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10694&g_ta_cod=10694", 10.0, 60.0, 30.0),
(5244, "Public", "9760125G", "Lycée Gustave Eiffel De Kahani", "976", "Mayotte", "Mayotte", "Mayotte", "Ouangani", "formation sélective", "Autre formation", "Lycée Gustave Eiffel De Kahani - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 42, 30, 16, 0, 0, 0.0, 0.0, 13.0, 0, 14, 28, 0, 4, 24, 2, 0, 24, 4, 0, 0, 0.0, 0, 0, 4, 0, 0, 28, 28, 0.0, 0.0, 43.33, 53.296875, 100.0, 100.0, 0, 50.0, 93.296875, 0.0, 85.6875, 14.298828125, 0.0, 0.0, 0.0, 0.0, 0.0, 14.298828125, 0.0, 85.6875, 14.298828125, 0.0, 0.0, 34.0, 16.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30553", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 17.0, 83.0),
(5245, "Privé sous contrat d'association", "0660951A", "Institut Régional du Travail Social de Perpignan", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "EFTS", "Institut Régional du Travail Social de Montpellier - D.E Assistant de Service Social", "D.E secteur social", "", 12, 181, 167, 181, 0, 25, 6, 21, 5, 18, 5, 117, 0, 0, 0, 0, 0, 65, 0, 0, 0, 9, 2, 8, 2, 5, 0, 43, 32, 11, 10, 11, 0, 3.0, 8.0, 9.0, 0, 2, 3, 2, 1, 0, 8, 0, 1, 0, 2, 0, 0.0, 1, 1, 0, 0, 0, 2, 2, 27.27, 72.73, 81.82, 90.890625, 66.6875, 66.6875, 0, 66.6875, 27.296875, 0.0, 33.296875, 0.0, 66.6875, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 5.0, 2.0, 1.0, 0.0, 25.0, "Tous les candidats", 74.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "28390", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23735&g_ta_cod=28390", 64.0, 18.0, 18.0),
(5246, "Public", "0790928E", "Lycée professionnel G. Barré", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "Autre formation", "Lycée professionnel G. Barré - Mention complémentaire - Technicien en peinture aéronautique", "Mention complémentaire", "", 6, 21, 4, 17, 0, 0, 0, 0, 0, 15, 4, 2, 4, 0, 0, 2, 2, 17, 2, 0, 0, 0, 0, 0, 0, 15, 4, 2, 17, 2, 0, 2, 0, 0.0, 2.0, 2.0, 0, 1, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0, 50.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 15.0, 4.0, 2.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "31967", "Mention complémentaire - Technicien en peinture aéronautique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31967&g_ta_cod=31967", 0.0, 0.0, 100.0),
(5247, "Privé sous contrat d'association", "0941934S", "EFREI Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villejuif", "formation sélective", "Ecole d'Ingénieur", "PUISSANCE ALPHA BACHELOR - Formation Bac + 3", "Formations  des écoles d'ingénieurs", "Bachelor Concepteur Développeur Global Programming", 35, 316, 32, 271, 0, 181, 27, 48, 15, 5, 5, 37, 45, 20, 9, 4, 12, 258, 22, 0, 0, 176, 24, 44, 12, 3, 3, 35, 213, 37, 1, 27, 10, 8.0, 25.0, 30.0, 0, 6, 35, 26, 9, 0, 2, 0, 17, 12, 4, 2, 0.0, 13, 5, 0, 0, 0, 12, 32, 21.62, 67.57, 81.08, 2.69970703125, 34.296875, 91.390625, 0, 17.09765625, 94.59375, 0.0, 48.59375, 34.296875, 11.3984375, 5.7, 0.0, 74.296875, 37.09375, 25.69921875, 14.298828125, 0.0, 0.0, 139.0, 22.0, 4.0, 4.0, 30.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "30823", "Formation Bac + 3", "PUISSANCE ALPHA BACHELOR", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30813&g_ta_cod=30823", 76.0, 24.0, 0.0),
(5248, "Privé sous contrat d'association", "0383208F", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Corenc", "formation sélective", "BTS", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY - BTS - Services - Support à l'action managériale", "BTS - Services", "", 15, 152, 106, 119, 0, 15, 2, 47, 14, 30, 6, 27, 33, 5, 15, 0, 13, 99, 11, 0, 0, 15, 2, 44, 13, 29, 6, 11, 96, 10, 7, 6, 4, 2.0, 6.0, 8.0, 0, 3, 8, 1, 5, 2, 2, 0, 1, 6, 1, 0, 0.0, 1, 4, 2, 1, 0, 8, 8, 20.0, 60.0, 80.0, 70.0, 100.0, 100.0, 12.5, 37.5, 80.0, 0.0, 12.5, 75.0, 12.5, 0.0, 0.0, 12.5, 12.5, 62.5, 50.0, 25.0, 25.0, 15.0, 2.0, 25.0, 5.0, 13.0, "Tous les candidats sauf les Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 79.0, "5093", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5093&g_ta_cod=5093", 10.0, 70.0, 20.0),
(5249, "Public", "0330126H", "Lycée Victor Louis", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "BTS", "Lycée Victor Louis - BTS - Services - Communication", "BTS - Services", "", 35, 1726, 1203, 1726, 0, 386, 81, 522, 158, 247, 101, 571, 0, 0, 0, 0, 0, 427, 0, 0, 0, 95, 24, 168, 52, 91, 28, 73, 160, 36, 32, 36, 0, 3.0, 29.0, 33.0, 0, 6, 29, 6, 10, 13, 7, 0, 1, 14, 13, 1, 0.0, 6, 10, 12, 3, 2, 27, 27, 8.33, 80.56, 91.67, 88.890625, 93.09375, 93.09375, 10.298828125, 20.69921875, 80.59375, 0.0, 3.39990234375, 48.296875, 44.796875, 3.4, 0.0, 20.69921875, 20.69921875, 34.5, 34.5, 44.796875, 41.3984375, 28.0, 6.0, 43.0, 8.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 166, "Liste d'appel propre à cette formation", 17.0, "4318", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4318&g_ta_cod=4318", 25.0, 39.0, 36.0),
(5250, "Public", "0011329P", "Campus de Bourg-en-Bresse - Université Lyon 3", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation non sélective", "Licence", "Campus de Bourg-en-Bresse - Université Lyon 3 - Licence - Portail Gestion - Bourg - parcours Management et Sciences Humaines (MSH)", "Licence - Droit-économie-gestion", "Gestion - Bourg - parcours Management et Sciences Humaines (MSH)", 80, 799, 465, 799, 0, 574, 73, 61, 12, 5, 3, 159, 0, 0, 0, 0, 0, 778, 0, 0, 0, 574, 73, 61, 12, 5, 3, 138, 482, 73, 45, 73, 0, 5.0, 48.0, 66.0, 0, 8, 52, 47, 5, 0, 21, 0, 23, 21, 7, 1, 0.0, 26, 3, 0, 0, 0, 42, 42, 6.85, 65.75, 90.41, 61.59375, 80.796875, 80.796875, 0, 15.3984375, 71.1875, 0.0, 44.1953125, 40.3984375, 13.5, 1.9, 0.0, 90.390625, 50.0, 9.599609375, 5.7998046875, 0.0, 0.0, 376.0, 51.0, 1.0, 1.0, 90.0, "Tous les candidats", 676.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "2038", "Licence - Portail Gestion - Bourg - parcours Management et Sciences Humaines (MSH)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2038&g_ta_cod=2038", 82.0, 15.0, 1.0),
(5251, "Public", "0451146B", "IFSI CH Montargis", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Châlette-sur-Loing", "formation sélective", "IFSI", "Regroupement d'IFSI Université Tours - D.E Infirmier", "D.E secteur sanitaire", "", 49, 3935, 3308, 3935, 0, 549, 95, 936, 211, 351, 126, 2099, 0, 0, 0, 0, 0, 3437, 0, 0, 0, 527, 88, 893, 193, 269, 96, 1748, 816, 49, 44, 49, 0, 0.0, 17.0, 34.0, 0, 8, 31, 10, 16, 5, 18, 0, 7, 16, 7, 1, 0.0, 9, 10, 5, 0, 0, 21, 21, 0.0, 34.69, 69.39, 89.796875, 67.6875, 67.6875, 0, 25.796875, 63.296875, 0.0, 22.59765625, 51.59375, 22.59765625, 3.2, 0.0, 32.296875, 29.0, 51.59375, 32.296875, 16.09765625, 16.09765625, 135.0, 17.0, 37.0, 13.0, 313.0, "Tous les candidats", 2778.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "23269", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22995&g_ta_cod=23269", 45.0, 43.0, 12.0),
(5252, "Public", "0760090K", "Lycée Pierre Corneille", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "CPGE", "Lycée Pierre Corneille - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 1443, 984, 1443, 944, 1218, 113, 6, 2, 4, 3, 215, 0, 0, 0, 0, 0, 1100, 0, 944, 495, 984, 92, 4, 0, 1, 1, 111, 208, 44, 28, 44, 0, 4.0, 32.0, 42.0, 4, 3, 44, 44, 0, 0, 0, 0, 0, 0, 6, 30, 8.0, 44, 0, 0, 0, 0, 32, 32, 9.09, 72.73, 95.45, 63.59375, 72.6875, 72.6875, 0, 6.7998046875, 100.0, 0.0, 0.0, 0.0, 13.599609375, 68.2, 18.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 189.0, 20.0, 0.0, 0.0, 19.0, "Tous les candidats", 374.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "9588", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9588&g_ta_cod=9588", 100.0, 0.0, 0.0),
(5253, "Public", "0332913M", "CPBx (ENSTBB)", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Ecole d'Ingénieur", "CPBx (ENSTBB) - Formation d'ingénieur Bac + 5 - bac général", "Formations  des écoles d'ingénieurs", "bac général", 6, 228, 164, 228, 0, 228, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 74, 0, 0, 0, 74, 3, 0, 0, 0, 0, 0, 17, 6, 6, 6, 0, 0.0, 6.0, 6.0, 0, 0, 6, 6, 0, 0, 0, 0, 0, 0, 0, 4, 2.0, 6, 0, 0, 0, 0, 4, 4, 0.0, 100.0, 100.0, 100.0, 66.6875, 66.6875, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 66.7, 33.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 17.0, 2.0, 0.0, 0.0, 0.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "4459", "Formation d'ingénieur Bac + 5 - bac général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4459&g_ta_cod=4459", 100.0, 0.0, 0.0),
(5254, "Public", "9840267T", "Lycée professionnel de Faaa", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation sélective", "BTS", "Lycée professionnel de Faaa - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 17, 136, 53, 136, 0, 17, 9, 58, 43, 54, 43, 7, 0, 0, 0, 0, 0, 122, 0, 0, 0, 14, 9, 57, 43, 46, 40, 5, 35, 17, 9, 17, 0, 9.0, 15.0, 15.0, 0, 11, 15, 0, 7, 8, 2, 0, 5, 7, 3, 0, 0.0, 0, 3, 7, 4, 2, 15, 15, 52.94, 88.24, 88.24, 52.8984375, 100.0, 100.0, 26.69921875, 73.296875, 88.1875, 0.0, 33.296875, 46.6953125, 20.0, 0.0, 0.0, 0.0, 0.0, 46.6953125, 20.0, 53.296875, 46.6953125, 4.0, 2.0, 10.0, 9.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers technologiques toutes séries", 24, "Bacheliers professionnels toutes séries", 12, "Liste d'appel propre à cette formation", 32.0, "30770", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30770&g_ta_cod=30770", 0.0, 41.0, 59.0),
(5255, "Privé sous contrat d'association", "0311877X", "Ecole assistants de service social", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "EFTS", "Ecole assistants de service social - D.E Assistant de Service Social", "D.E secteur social", "", 22, 205, 188, 205, 0, 30, 4, 23, 9, 14, 0, 138, 0, 0, 0, 0, 0, 119, 0, 0, 0, 18, 3, 11, 3, 3, 0, 87, 76, 20, 18, 20, 0, 5.0, 19.0, 19.0, 0, 2, 5, 4, 1, 0, 15, 0, 0, 2, 3, 0, 0.0, 4, 1, 0, 0, 0, 5, 5, 25.0, 95.0, 95.0, 90.0, 100.0, 100.0, 0, 40.0, 25.0, 0.0, 0.0, 40.0, 60.0, 0.0, 0.0, 80.0, 80.0, 20.0, 20.0, 0.0, 0.0, 12.0, 3.0, 2.0, 0.0, 57.0, "Tous les candidats", 122.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "25309", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23556&g_ta_cod=25309", 75.0, 15.0, 10.0),
(5256, "Public", "0161125L", "I.U.T. Angoulême", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BUT", "I.U.T. Angoulême - BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", "BUT - Production", "Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", 69, 1511, 417, 1511, 0, 730, 108, 374, 97, 32, 11, 375, 0, 0, 0, 0, 0, 1105, 0, 0, 0, 613, 86, 285, 66, 9, 3, 198, 266, 68, 16, 68, 0, 10.0, 55.0, 64.0, 0, 11, 60, 34, 25, 1, 8, 0, 2, 28, 28, 2, 0.0, 33, 24, 1, 0, 0, 31, 31, 14.71, 80.88, 94.12, 23.5, 51.6953125, 51.6953125, 0, 18.296875, 88.1875, 0.0, 3.2998046875, 46.6953125, 46.6953125, 3.3, 0.0, 56.6953125, 55.0, 41.6953125, 40.0, 1.699951171875, 1.699951171875, 124.0, 21.0, 1.0, 1.0, 30.0, "Tous les candidats sauf les Bac technologiques", 258.0, "Bacheliers technologiques toutes séries", 194, "", 0, "Liste d'appel propre à cette formation", 30.0, "3015", "BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3015&g_ta_cod=3015", 51.0, 47.0, 1.0),
(5257, "Public", "0750672Y", "Esaa Duperré", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "Autre formation", "Esaa Duperré - DN MADE - Matériaux - - Spécialité : Textile - Recherche et développement, matière, surface & couleur", "DN MADE", "- Spécialité : Textile - Recherche et développement, matière, surface & couleur", 16, 457, 380, 457, 0, 132, 21, 129, 15, 8, 0, 188, 0, 0, 0, 0, 0, 111, 0, 0, 0, 35, 2, 50, 3, 1, 0, 25, 40, 16, 15, 16, 0, 4.0, 13.0, 15.0, 0, 1, 12, 8, 4, 0, 4, 0, 0, 2, 7, 2, 1.0, 8, 4, 0, 0, 0, 3, 5, 25.0, 81.25, 93.75, 93.796875, 25.0, 41.6953125, 0, 8.298828125, 75.0, 0.0, 0.0, 16.69921875, 58.296875, 16.7, 8.3, 66.6875, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 14.0, 2.0, 0.0, 0.0, 8.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "21965", "DN MADE - Matériaux - - Spécialité : Textile - Recherche et développement, matière, surface & couleur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21965&g_ta_cod=21965", 75.0, 25.0, 0.0),
(5258, "Public", "0791090F", "I.U.T. Poitiers (site Niort)", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BUT", "I.U.T. Poitiers (site Niort) - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", 82, 1365, 618, 1346, 0, 791, 79, 335, 60, 7, 4, 213, 19, 0, 12, 0, 7, 825, 5, 0, 0, 519, 44, 219, 33, 0, 0, 87, 369, 71, 26, 70, 1, 22.0, 52.0, 71.0, 0, 6, 58, 37, 21, 0, 13, 0, 10, 27, 19, 2, 0.0, 27, 21, 0, 0, 0, 47, 47, 30.99, 73.24, 100.0, 36.59375, 81.0, 81.0, 0, 10.298828125, 81.6875, 0.0, 17.19921875, 46.59375, 32.796875, 3.4, 0.0, 63.796875, 46.59375, 36.1953125, 36.1953125, 0.0, 0.0, 173.0, 18.0, 0.0, 0.0, 51.0, "Tous les candidats sauf les Bac technologiques", 517.0, "Bacheliers technologiques toutes séries", 229, "", 0, "Liste d'appel propre à cette formation", 55.0, "10138", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10138&g_ta_cod=10138", 65.0, 35.0, 0.0),
(5259, "Privé sous contrat d'association", "0781070P", "Lycée professionnel Agricole Le Buat", "78", "Yvelines", "Ile-de-France", "Versailles", "Maule", "formation sélective", "BTS", "Lycée professionnel Agricole Le Buat - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 25, 75, 37, 58, 0, 1, 0, 5, 1, 38, 5, 14, 17, 1, 2, 8, 6, 47, 8, 0, 0, 1, 0, 4, 1, 38, 5, 4, 48, 13, 8, 11, 2, 8.0, 11.0, 13.0, 0, 1, 12, 0, 0, 12, 1, 0, 5, 3, 3, 1, 0.0, 0, 0, 7, 10, 5, 11, 11, 61.54, 84.62, 100.0, 61.5, 91.6875, 91.6875, 83.296875, 8.298828125, 92.296875, 0.0, 41.6953125, 25.0, 25.0, 8.3, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 58.296875, 2.0, 0.0, 36.0, 6.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers technologiques toutes séries", 4, "Bacheliers professionnels toutes séries", 40, "Liste d'appel propre à cette formation", 79.0, "28902", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28902&g_ta_cod=28902", 0.0, 0.0, 100.0),
(5260, "Public", "0190018S", "Lycée Pierre Caraminot", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Egletons", "formation sélective", "BTS", "Lycée Pierre Caraminot - BTS - Production - Management économique de la construction", "BTS - Production", "", 30, 206, 43, 186, 0, 30, 0, 72, 11, 46, 12, 38, 20, 3, 0, 6, 11, 157, 3, 0, 0, 29, 0, 72, 11, 46, 12, 10, 116, 30, 6, 28, 2, 5.0, 23.0, 29.0, 0, 7, 28, 6, 14, 8, 2, 0, 15, 10, 3, 0, 0.0, 1, 8, 4, 8, 2, 12, 12, 16.67, 76.67, 96.67, 20.0, 42.8984375, 42.8984375, 28.59765625, 25.0, 93.296875, 0.0, 53.59375, 35.6953125, 10.69921875, 0.0, 0.0, 21.3984375, 3.599609375, 50.0, 28.59765625, 28.59765625, 14.298828125, 25.0, 0.0, 43.0, 12.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 74.0, "3142", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3142&g_ta_cod=3142", 27.0, 47.0, 27.0),
(5261, "Privé sous contrat d'association", "0570309B", "INSTIT.REGIONAL TRAVAIL SOCIAL IRTS DE LORRAINE - Le Ban Saint Martin", "57", "Moselle", "Grand Est", "Nancy-Metz", "Le Ban-Saint-Martin", "formation sélective", "EFTS", "INSTIT.REGIONAL TRAVAIL SOCIAL IRTS DE LORRAINE - Le Ban Saint Martin - D.E Educateur Technique Spécialisé", "D.E secteur social", "", 9, 26, 22, 26, 0, 4, 0, 5, 0, 8, 2, 9, 0, 0, 0, 0, 0, 26, 0, 0, 0, 4, 0, 5, 0, 8, 2, 9, 19, 8, 6, 8, 0, 2.0, 7.0, 7.0, 0, 1, 7, 1, 2, 4, 1, 0, 2, 4, 1, 0, 0.0, 0, 1, 4, 0, 0, 7, 7, 25.0, 87.5, 87.5, 75.0, 100.0, 100.0, 0, 14.298828125, 87.5, 0.0, 28.59765625, 57.09375, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 28.59765625, 14.298828125, 57.09375, 57.09375, 2.0, 0.0, 8.0, 2.0, 5.0, "Tous les candidats", 18.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "24924", "D.E Educateur Technique Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24924&g_ta_cod=24924", 13.0, 38.0, 50.0),
(5262, "Public", "0572981F", "IFSI Sarrebourg", "57", "Moselle", "Grand Est", "Nancy-Metz", "Sarrebourg", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nancy - D.E Infirmier", "D.E secteur sanitaire", "", 42, 3267, 2649, 3267, 0, 579, 125, 612, 179, 336, 122, 1740, 0, 0, 0, 0, 0, 2796, 0, 0, 0, 540, 111, 520, 146, 289, 99, 1447, 498, 42, 39, 42, 0, 0.0, 22.0, 42.0, 0, 6, 25, 2, 10, 13, 17, 0, 4, 9, 9, 3, 0.0, 1, 7, 13, 0, 0, 15, 15, 0.0, 52.38, 100.0, 92.890625, 60.0, 60.0, 0, 24.0, 59.5, 0.0, 16.0, 36.0, 36.0, 12.0, 0.0, 8.0, 4.0, 40.0, 28.0, 52.0, 52.0, 57.0, 9.0, 79.0, 22.0, 251.0, "Tous les candidats", 2476.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "23194", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22997&g_ta_cod=23194", 19.0, 36.0, 43.0),
(5263, "Privé sous contrat d'association", "0754016H", "Lycée L'Initiative", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée L'Initiative - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 305, 190, 305, 0, 18, 3, 89, 27, 105, 53, 93, 0, 0, 0, 0, 0, 218, 0, 0, 0, 17, 2, 77, 23, 95, 47, 29, 89, 22, 10, 22, 0, 7.0, 17.0, 19.0, 0, 10, 18, 0, 10, 8, 4, 0, 8, 10, 0, 0, 0.0, 0, 4, 6, 1, 1, 7, 18, 31.82, 77.27, 86.36, 45.5, 38.8984375, 100.0, 5.599609375, 55.59375, 81.796875, 0.0, 44.3984375, 55.59375, 0.0, 0.0, 0.0, 0.0, 0.0, 55.59375, 22.19921875, 44.3984375, 33.296875, 7.0, 1.0, 39.0, 18.0, 4.0, "Tous les candidats sauf les Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 63, "", 0, "Liste d'appel propre à cette formation", 37.0, "9484", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9484&g_ta_cod=9484", 0.0, 50.0, 50.0),
(5264, "Public", "0690085T", "Lycée René Cassin", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Tarare", "formation sélective", "BTS", "Lycée René Cassin - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 359, 230, 359, 0, 7, 1, 125, 51, 116, 74, 111, 0, 0, 0, 0, 0, 298, 0, 0, 0, 7, 1, 114, 45, 111, 71, 66, 162, 21, 9, 21, 0, 7.0, 15.0, 17.0, 0, 8, 17, 1, 9, 7, 4, 0, 8, 8, 1, 0, 0.0, 0, 3, 6, 10, 5, 13, 13, 33.33, 71.43, 80.95, 42.8984375, 76.5, 76.5, 58.796875, 47.09375, 81.0, 0.0, 47.09375, 47.09375, 5.8994140625, 0.0, 0.0, 5.8994140625, 0.0, 52.8984375, 17.59765625, 41.1953125, 35.296875, 1.0, 1.0, 67.0, 37.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 105, "Liste d'appel propre à cette formation", 52.0, "8237", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8237&g_ta_cod=8237", 5.0, 52.0, 43.0),
(5265, "Public", "0770938B", "Lycée André Malraux", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Montereau-Fault-Yonne", "formation sélective", "Autre formation", "Lycée André Malraux - Mention complémentaire - FCIL Maintenance Milieu Nucléaire", "Mention complémentaire", "", 15, 48, 4, 39, 0, 1, 0, 5, 3, 19, 12, 14, 9, 1, 3, 4, 1, 39, 6, 0, 0, 1, 0, 5, 3, 19, 12, 14, 39, 8, 1, 5, 3, 1.0, 4.0, 6.0, 0, 4, 6, 0, 3, 3, 2, 0, 3, 2, 0, 1, 0.0, 0, 0, 3, 0, 0, 4, 4, 12.5, 50.0, 75.0, 12.5, 66.6875, 66.6875, 0, 66.6875, 75.0, 0.0, 50.0, 33.296875, 0.0, 16.7, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 1.0, 0.0, 20.0, 13.0, 11.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24712", "Mention complémentaire - FCIL Maintenance Milieu Nucléaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24712&g_ta_cod=24712", 13.0, 50.0, 38.0),
(5266, "Public", "0690037R", "Lycée La Martinière-Diderot", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "Autre formation", "Lycée La Martinière-Diderot - DN MADE - Mode - - Spécialité :  Design, recherche, image", "DN MADE", "- Spécialité :  Design, recherche, image", 15, 1245, 986, 1245, 0, 495, 79, 270, 62, 149, 52, 331, 0, 0, 0, 0, 0, 272, 0, 0, 0, 129, 10, 85, 14, 41, 13, 17, 32, 17, 9, 17, 0, 8.0, 17.0, 17.0, 0, 3, 17, 10, 7, 0, 0, 0, 0, 0, 11, 5, 1.0, 10, 7, 0, 0, 0, 3, 3, 47.06, 100.0, 100.0, 52.8984375, 17.59765625, 17.59765625, 0, 17.59765625, 100.0, 0.0, 0.0, 0.0, 64.6875, 29.4, 5.9, 58.796875, 58.796875, 41.1953125, 41.1953125, 0.0, 0.0, 20.0, 1.0, 0.0, 0.0, 0.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 3.0, "21589", "DN MADE - Mode - - Spécialité :  Design, recherche, image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21589&g_ta_cod=21589", 59.0, 41.0, 0.0),
(5267, "Privé sous contrat d'association", "0220107X", "Lycée Notre Dame De Campostal", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Rostrenen", "formation sélective", "BTS", "Lycée Notre Dame De Campostal - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 70, 384, 328, 299, 0, 13, 3, 55, 11, 118, 34, 113, 85, 0, 8, 55, 22, 299, 31, 0, 0, 13, 3, 55, 11, 118, 34, 113, 255, 48, 42, 41, 7, 7.0, 37.0, 45.0, 0, 9, 32, 2, 4, 26, 16, 1, 23, 6, 2, 0, 0.0, 0, 1, 7, 0, 0, 30, 30, 14.58, 77.08, 93.75, 87.5, 93.796875, 93.796875, 0, 28.09765625, 66.6875, 3.099609375, 71.890625, 18.796875, 6.2998046875, 0.0, 0.0, 6.2998046875, 0.0, 12.5, 3.099609375, 81.296875, 21.8984375, 12.0, 3.0, 131.0, 35.0, 62.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 140, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 86.0, "14642", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14642&g_ta_cod=14642", 25.0, 10.0, 65.0),
(5268, "Public", "0440139M", "I.U.T. Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Carquefou", "formation sélective", "BUT", "I.U.T. Nantes - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués (Seconde année possible en apprentissage)", "BUT - Production", "Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", 90, 1271, 90, 1216, 0, 710, 77, 307, 45, 12, 3, 187, 55, 7, 6, 0, 42, 993, 18, 0, 0, 576, 52, 288, 39, 3, 2, 126, 574, 68, 3, 62, 6, 4.0, 50.0, 66.0, 0, 8, 54, 26, 27, 1, 14, 0, 13, 31, 10, 0, 0.0, 16, 24, 1, 0, 0, 40, 40, 5.88, 73.53, 97.06, 4.3994140625, 74.09375, 74.09375, 0, 14.798828125, 79.390625, 0.0, 24.09765625, 57.3984375, 18.5, 0.0, 0.0, 48.09375, 29.59765625, 50.0, 44.3984375, 1.89990234375, 1.89990234375, 311.0, 31.0, 2.0, 1.0, 108.0, "Tous les candidats sauf les Bac technologiques", 678.0, "Bacheliers technologiques toutes séries", 311, "", 0, "Liste d'appel propre à cette formation", 81.0, "5479", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5479&g_ta_cod=5479", 59.0, 40.0, 1.0),
(5269, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 1 Capitole - Double licence - Droit / Gestion - parcours double diplômant en Droit et en Gestion", "Licence - Droit-économie-gestion", "parcours double diplômant en Droit et en Gestion", 60, 899, 607, 899, 0, 706, 118, 34, 9, 6, 1, 153, 0, 0, 0, 0, 0, 899, 0, 0, 0, 706, 118, 34, 9, 6, 1, 153, 251, 58, 42, 58, 0, 16.0, 51.0, 57.0, 0, 8, 54, 54, 0, 0, 4, 0, 0, 13, 24, 16, 1.0, 54, 0, 0, 0, 0, 27, 27, 27.59, 87.93, 98.28, 72.390625, 50.0, 50.0, 0, 14.798828125, 93.09375, 0.0, 0.0, 24.09765625, 44.3984375, 29.6, 1.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 216.0, 27.0, 0.0, 0.0, 35.0, "Tous les candidats", 360.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "13800", "Double licence - Droit / Gestion - parcours double diplômant en Droit et en Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13800&g_ta_cod=13800", 100.0, 0.0, 0.0),
(5270, "Privé sous contrat d'association", "0671636P", "Lycée ORT STRASBOURG", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée ORT STRASBOURG - CPGE - MPSI", "Classe préparatoire scientifique", "", 30, 333, 82, 311, 0, 245, 28, 3, 2, 0, 0, 63, 22, 5, 0, 0, 17, 249, 8, 0, 249, 216, 24, 3, 2, 0, 0, 30, 152, 29, 4, 22, 7, 6.0, 14.0, 26.0, 0, 4, 20, 20, 0, 0, 9, 0, 0, 4, 11, 5, 0.0, 20, 0, 0, 0, 0, 9, 9, 20.69, 48.28, 89.66, 13.798828125, 45.0, 45.0, 0, 20.0, 69.0, 0.0, 0.0, 20.0, 55.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 121.0, 10.0, 0.0, 0.0, 31.0, "Tous les candidats", 241.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "7975", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7975&g_ta_cod=7975", 100.0, 0.0, 0.0),
(5271, "Public", "0134315V", "UFR des Sciences Médicales et Paramédicales site Nord Université Aix Marseille", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 14e  Arrondissement", "formation sélective", "Autre formation", "UFR des Sciences Médicales et Paramédicales site Nord Université Aix Marseille - D.E Ergothérapeute", "D.E secteur sanitaire", "", 27, 654, 560, 654, 0, 139, 37, 54, 27, 10, 6, 451, 0, 0, 0, 0, 0, 217, 0, 0, 0, 57, 3, 13, 6, 0, 0, 147, 62, 28, 22, 28, 0, 11.0, 27.0, 27.0, 0, 3, 11, 9, 2, 0, 17, 0, 0, 5, 6, 0, 0.0, 9, 2, 0, 0, 0, 5, 5, 39.29, 96.43, 96.43, 78.59375, 45.5, 45.5, 0, 27.296875, 39.296875, 0.0, 0.0, 45.5, 54.5, 0.0, 0.0, 81.796875, 81.796875, 18.19921875, 18.19921875, 0.0, 0.0, 15.0, 2.0, 0.0, 0.0, 42.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "26909", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26909&g_ta_cod=26909", 75.0, 21.0, 4.0),
(5272, "Public", "0370037P", "Lycée Choiseul", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Choiseul - BTS - Services - Commerce International", "BTS - Services", "", 36, 1581, 848, 1581, 0, 385, 89, 448, 171, 179, 76, 569, 0, 0, 0, 0, 0, 429, 0, 0, 0, 131, 25, 156, 39, 75, 29, 67, 163, 34, 21, 34, 0, 12.0, 26.0, 28.0, 0, 12, 27, 4, 19, 4, 7, 0, 4, 20, 3, 0, 0.0, 4, 16, 3, 1, 0, 24, 24, 35.29, 76.47, 82.35, 61.796875, 88.890625, 88.890625, 3.69970703125, 44.3984375, 79.390625, 0.0, 14.798828125, 74.09375, 11.099609375, 0.0, 0.0, 14.798828125, 14.798828125, 70.390625, 59.296875, 14.798828125, 11.099609375, 30.0, 10.0, 19.0, 6.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 87.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 13.0, "4831", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4831&g_ta_cod=4831", 21.0, 68.0, 12.0),
(5273, "Privé sous contrat d'association", "0131398Z", "Lycée Maximilien de Sully", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "BTS", "Lycée Maximilien de Sully - BTS - Services - Professions immobilières", "BTS - Services", "", 33, 875, 479, 870, 0, 243, 60, 255, 89, 128, 51, 244, 5, 0, 0, 3, 2, 390, 0, 0, 0, 164, 33, 111, 38, 48, 17, 67, 122, 36, 15, 36, 0, 9.0, 25.0, 29.0, 0, 12, 27, 12, 8, 7, 9, 0, 7, 13, 6, 1, 0.0, 7, 6, 7, 1, 0, 24, 24, 25.0, 69.44, 80.56, 41.6953125, 88.890625, 88.890625, 3.69970703125, 44.3984375, 75.0, 0.0, 25.8984375, 48.09375, 22.19921875, 3.7, 0.0, 44.3984375, 25.8984375, 29.59765625, 22.19921875, 25.8984375, 25.8984375, 57.0, 15.0, 26.0, 9.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 127.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 22.0, "14667", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14667&g_ta_cod=14667", 56.0, 25.0, 19.0),
(5274, "Public", "0480514Y", "Lycée agricole de la Lozère site François Rabelais", "48", "Lozère", "Occitanie", "Montpellier", "Saint-Chély-d'Apcher", "formation sélective", "BTS", "Lycée agricole de la Lozère site François Rabelais - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 24, 286, 99, 277, 0, 19, 3, 36, 11, 47, 18, 175, 9, 0, 2, 3, 4, 97, 9, 0, 0, 14, 2, 31, 8, 39, 13, 13, 78, 12, 3, 9, 3, 3.0, 9.0, 10.0, 0, 2, 6, 0, 2, 4, 6, 0, 0, 4, 2, 0, 0.0, 0, 2, 4, 1, 1, 2, 2, 25.0, 75.0, 83.33, 25.0, 33.296875, 33.296875, 16.69921875, 33.296875, 50.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 7.0, 1.0, 26.0, 7.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 34.0, "5810", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5810&g_ta_cod=5810", 42.0, 17.0, 33.0),
(5275, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence_Las", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Economie et gestion - Economie gestion", "Licence - Droit-économie-gestion", "Economie gestion", 35, 989, 497, 989, 0, 614, 109, 64, 20, 14, 10, 297, 0, 0, 0, 0, 0, 951, 0, 0, 0, 614, 109, 64, 20, 14, 10, 259, 254, 36, 20, 35, 0, 2.0, 21.0, 29.0, 0, 0, 27, 26, 1, 0, 9, 0, 6, 14, 6, 1, 0.0, 20, 1, 0, 0, 0, 24, 24, 5.56, 58.33, 80.56, 55.59375, 88.890625, 88.890625, 0, 0.0, 75.0, 0.0, 22.19921875, 51.8984375, 22.19921875, 3.7, 0.0, 96.296875, 74.09375, 3.69970703125, 3.69970703125, 0.0, 0.0, 216.0, 40.0, 0.0, 0.0, 36.0, "Tous les candidats", 2349.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "26670", "Licence - Portail Economie et gestion - Economie gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26669&g_ta_cod=26670", 97.0, 3.0, 0.0),
(5276, "Public", "0950667J", "Lycée Romain Rolland", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Goussainville", "formation sélective", "BTS", "Lycée Romain Rolland - BTS - Services - Gestion de la PME (Seconde année possible en apprentissage)", "BTS - Services", "", 30, 602, 353, 602, 0, 15, 5, 185, 71, 207, 110, 195, 0, 0, 0, 0, 0, 602, 0, 0, 0, 15, 5, 185, 71, 207, 110, 195, 135, 31, 19, 31, 0, 2.0, 21.0, 26.0, 0, 10, 21, 1, 12, 8, 10, 0, 6, 11, 2, 2, 0.0, 0, 8, 7, 13, 8, 19, 21, 6.45, 67.74, 83.87, 61.296875, 90.5, 100.0, 61.8984375, 47.59375, 67.6875, 0.0, 28.59765625, 52.3984375, 9.5, 9.5, 0.0, 4.7998046875, 0.0, 57.09375, 38.09375, 38.09375, 33.296875, 9.0, 5.0, 49.0, 28.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 88, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 29.0, "11589", "BTS - Services - Gestion de la PME (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11589&g_ta_cod=11589", 3.0, 48.0, 48.0),
(5277, "Public", "0230051F", "Lycée Jean Favard", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Guéret", "formation sélective", "BTS", "Lycée Jean Favard - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 275, 41, 267, 0, 8, 1, 26, 8, 26, 9, 207, 8, 0, 1, 4, 3, 267, 3, 0, 0, 8, 1, 26, 8, 26, 9, 207, 49, 7, 1, 7, 0, 3.0, 7.0, 7.0, 0, 3, 7, 1, 5, 1, 0, 0, 3, 3, 1, 0, 0.0, 0, 4, 0, 5, 1, 6, 6, 42.86, 100.0, 100.0, 14.298828125, 85.6875, 85.6875, 71.390625, 42.8984375, 100.0, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 71.390625, 57.09375, 14.298828125, 0.0, 5.0, 1.0, 26.0, 10.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 22.0, "3403", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3403&g_ta_cod=3403", 14.0, 71.0, 14.0),
(5278, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence", "Université des Antilles - Pôle Martinique - Licence - Portail Economie et gestion - Comptabilité, contrôle, audit  / Monnaie-Banque-Finance / Management des entreprises / Economie et politique publique - Martinique", "Licence - Droit-économie-gestion", "Comptabilité, contrôle, audit  / Monnaie-Banque-Finance / Management des entreprises / Economie et politique publique - Martinique", 350, 727, 340, 616, 0, 346, 110, 136, 67, 22, 16, 112, 111, 20, 16, 13, 62, 616, 104, 0, 0, 346, 110, 136, 67, 22, 16, 112, 706, 149, 65, 104, 45, 60.0, 103.0, 132.0, 0, 42, 92, 58, 23, 11, 57, 1, 58, 27, 6, 0, 0.0, 25, 4, 4, 0, 0, 87, 87, 40.27, 69.13, 88.59, 43.59375, 94.59375, 94.59375, 0, 45.6953125, 61.6953125, 1.099853515625, 63.0, 29.296875, 6.5, 0.0, 0.0, 63.0, 27.19921875, 25.0, 4.2998046875, 12.0, 4.2998046875, 364.0, 117.0, 33.0, 24.0, 161.0, "Tous les candidats", 678.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "15950", "Licence - Portail Economie et gestion - Comptabilité, contrôle, audit  / Monnaie-Banque-Finance / Management des entreprises / Economie et politique publique - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26910&g_ta_cod=15950", 58.0, 27.0, 15.0),
(5279, "Public", "0062089N", "Lycée René Goscinny", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Drap", "formation sélective", "Autre formation", "Lycée René Goscinny - DN MADE - Numérique - - Spécialité : Design d'interfaces, motion design et dispositifs interactifs", "DN MADE", "- Spécialité : Design d'interfaces, motion design et dispositifs interactifs", 15, 380, 186, 324, 0, 103, 22, 105, 26, 30, 11, 86, 56, 11, 6, 4, 35, 79, 4, 0, 0, 17, 0, 53, 10, 5, 1, 4, 60, 14, 7, 12, 2, 1.0, 12.0, 12.0, 0, 2, 11, 2, 7, 2, 3, 0, 2, 5, 4, 0, 0.0, 1, 6, 2, 0, 0, 2, 2, 7.14, 85.71, 85.71, 50.0, 18.19921875, 18.19921875, 0, 18.19921875, 78.59375, 0.0, 18.19921875, 45.5, 36.3984375, 0.0, 0.0, 18.19921875, 9.099609375, 63.59375, 54.5, 18.19921875, 18.19921875, 15.0, 0.0, 3.0, 1.0, 4.0, "Tous les candidats", 77.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "24345", "DN MADE - Numérique - - Spécialité : Design d'interfaces, motion design et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24345&g_ta_cod=24345", 21.0, 64.0, 14.0),
(5280, "Privé hors contrat", "0142081L", "IRTS INST REG TRAVAILLEURS SOCIAUX", "14", "Calvados", "Normandie", "Normandie", "Hérouville-Saint-Clair", "formation sélective", "EFTS", "IRTS INST REG TRAVAILLEURS SOCIAUX - D.E Assistant de Service Social", "D.E secteur social", "", 23, 85, 81, 85, 0, 12, 2, 19, 6, 5, 3, 49, 0, 0, 0, 0, 0, 68, 0, 0, 0, 12, 2, 10, 4, 4, 3, 42, 31, 23, 21, 23, 0, 16.0, 23.0, 23.0, 0, 5, 8, 3, 3, 2, 15, 0, 1, 3, 3, 1, 0.0, 2, 3, 2, 0, 0, 8, 8, 69.57, 100.0, 100.0, 91.296875, 100.0, 100.0, 0, 62.5, 34.796875, 0.0, 12.5, 37.5, 37.5, 12.5, 0.0, 37.5, 25.0, 37.5, 37.5, 25.0, 25.0, 5.0, 2.0, 2.0, 2.0, 21.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "23677", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23677&g_ta_cod=23677", 57.0, 26.0, 9.0),
(5281, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Economie", "Licence - Droit-économie-gestion", "", 180, 1570, 642, 1410, 0, 928, 192, 147, 58, 22, 13, 313, 160, 19, 11, 3, 127, 1402, 128, 0, 0, 928, 192, 147, 58, 22, 13, 305, 1127, 160, 41, 117, 43, 32.0, 114.0, 142.0, 0, 26, 77, 65, 10, 2, 83, 0, 36, 29, 12, 0, 0.0, 38, 2, 1, 0, 0, 53, 53, 20.0, 71.25, 88.75, 25.59765625, 68.796875, 68.796875, 0, 33.796875, 48.09375, 0.0, 46.796875, 37.6953125, 15.599609375, 0.0, 0.0, 84.390625, 49.3984375, 13.0, 2.599609375, 2.599609375, 1.2998046875, 648.0, 129.0, 16.0, 11.0, 354.0, "Tous les candidats", 1402.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7621", "Licence - Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7621&g_ta_cod=7621", 80.0, 15.0, 4.0),
(5282, "Public", "0160004T", "Lycée Charles A. COULOMB", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "Autre formation", "Lycée Charles A. COULOMB - DN MADE - Objet - - Spécialité : petites séries et matériaux", "DN MADE", "- Spécialité : petites séries et matériaux", 15, 261, 177, 261, 0, 73, 8, 99, 19, 19, 5, 70, 0, 0, 0, 0, 0, 222, 0, 0, 0, 68, 8, 93, 17, 16, 4, 45, 60, 15, 12, 15, 0, 1.0, 10.0, 14.0, 0, 0, 12, 5, 6, 1, 3, 0, 2, 4, 4, 2, 0.0, 3, 6, 1, 0, 0, 4, 4, 6.67, 66.67, 93.33, 80.0, 33.296875, 33.296875, 0, 0.0, 80.0, 0.0, 16.69921875, 33.296875, 33.296875, 16.7, 0.0, 41.6953125, 25.0, 50.0, 50.0, 8.298828125, 8.298828125, 18.0, 3.0, 3.0, 1.0, 9.0, "Tous les candidats", 110.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "23772", "DN MADE - Objet - - Spécialité : petites séries et matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23772&g_ta_cod=23772", 53.0, 40.0, 7.0),
(5283, "Privé sous contrat d'association", "0810833R", "Lycée agricole privé de Touscayrats", "81", "Tarn", "Occitanie", "Toulouse", "Verdalle", "formation sélective", "BTS", "Lycée agricole privé de Touscayrats - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 30, 245, 127, 245, 0, 21, 4, 28, 8, 47, 12, 149, 0, 0, 0, 0, 0, 245, 0, 0, 0, 21, 4, 28, 8, 47, 12, 149, 69, 29, 22, 29, 0, 20.0, 28.0, 29.0, 0, 5, 23, 2, 2, 19, 6, 0, 8, 10, 5, 0, 0.0, 1, 1, 13, 14, 10, 19, 19, 68.97, 96.55, 100.0, 75.890625, 82.59375, 82.59375, 60.8984375, 21.69921875, 79.296875, 0.0, 34.796875, 43.5, 21.69921875, 0.0, 0.0, 8.69921875, 4.2998046875, 8.69921875, 4.2998046875, 82.59375, 56.5, 14.0, 3.0, 33.0, 9.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 43.0, "10280", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10280&g_ta_cod=10280", 21.0, 10.0, 69.0),
(5284, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Arts du spectacle - Parcours Licence Arts du spectacle Option Arts plastiques", "Licence - Arts-lettres-langues", "Licence Arts du spectacle Option Arts plastiques", 100, 514, 361, 469, 0, 289, 76, 44, 15, 25, 8, 111, 45, 9, 2, 3, 31, 468, 45, 0, 0, 289, 76, 44, 15, 25, 8, 110, 422, 99, 58, 82, 16, 18.0, 80.0, 89.0, 0, 16, 68, 52, 9, 7, 31, 1, 26, 16, 21, 4, 0.0, 36, 1, 4, 0, 0, 55, 55, 18.18, 80.81, 89.9, 58.59375, 80.890625, 80.890625, 0, 23.5, 68.6875, 1.5, 38.1953125, 23.5, 30.8984375, 5.9, 0.0, 76.5, 52.8984375, 13.19921875, 1.5, 10.298828125, 5.8994140625, 245.0, 60.0, 24.0, 6.0, 110.0, "Tous les candidats", 466.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "25322", "Licence - Arts du spectacle - Parcours Licence Arts du spectacle Option Arts plastiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25322&g_ta_cod=25322", 70.0, 17.0, 10.0),
(5285, "Public", "0881717N", "Université de Lorraine - UFR STAPS - Site d'Epinal", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation non sélective", "Licence", "Université de Lorraine - UFR STAPS - Site d'Epinal - Licence - Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 100, 1078, 313, 1078, 0, 756, 118, 131, 32, 29, 8, 162, 0, 0, 0, 0, 0, 1078, 0, 0, 0, 756, 118, 131, 32, 29, 8, 162, 523, 97, 36, 97, 0, 9.0, 59.0, 84.0, 0, 12, 85, 66, 17, 2, 12, 0, 51, 30, 3, 1, 0.0, 27, 6, 1, 0, 0, 84, 84, 9.28, 60.82, 86.6, 37.09375, 98.796875, 98.796875, 0, 14.099609375, 87.59375, 0.0, 60.0, 35.296875, 3.5, 1.2, 0.0, 77.59375, 31.796875, 20.0, 7.099609375, 2.39990234375, 1.199951171875, 378.0, 52.0, 14.0, 4.0, 82.0, "Tous les candidats", 623.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "14043", "Licence - Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14043&g_ta_cod=14043", 75.0, 21.0, 4.0),
(5286, "Public", "0470003Y", "Lycée Jean-Baptiste De Baudre", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "BTS", "Lycée Jean-Baptiste De Baudre - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 458, 220, 435, 0, 57, 25, 99, 43, 66, 30, 213, 23, 0, 2, 9, 12, 232, 3, 0, 0, 53, 22, 87, 35, 45, 19, 47, 153, 28, 14, 25, 3, 7.0, 24.0, 26.0, 0, 10, 21, 1, 9, 11, 7, 0, 9, 10, 2, 0, 0.0, 1, 4, 7, 6, 5, 16, 16, 25.0, 85.71, 92.86, 50.0, 76.1875, 76.1875, 28.59765625, 47.59375, 75.0, 0.0, 42.8984375, 47.59375, 9.5, 0.0, 0.0, 4.7998046875, 4.7998046875, 42.8984375, 19.0, 52.3984375, 33.296875, 17.0, 5.0, 41.0, 17.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 111, "Liste d'appel propre à cette formation", 44.0, "5772", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5772&g_ta_cod=5772", 7.0, 54.0, 39.0),
(5287, "Public", "0940120V", "Lycée Marcelin Berthelot", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "CPGE", "Lycée Marcelin Berthelot - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 1058, 472, 1058, 535, 937, 120, 0, 0, 1, 1, 120, 0, 0, 0, 0, 0, 539, 0, 87, 533, 522, 65, 0, 0, 0, 0, 17, 262, 17, 8, 17, 0, 0.0, 7.0, 16.0, 0, 1, 17, 17, 0, 0, 0, 0, 0, 3, 9, 5, 0.0, 17, 0, 0, 2, 0, 13, 17, 0.0, 41.18, 94.12, 47.09375, 76.5, 100.0, 11.798828125, 5.8994140625, 100.0, 0.0, 0.0, 17.59765625, 52.8984375, 29.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 252.0, 28.0, 0.0, 0.0, 10.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "31483", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31295&g_ta_cod=31483", 100.0, 0.0, 0.0),
(5288, "Privé sous contrat d'association", "0430098Y", "Lycée polyvalent Saint Jacques de Compostelle", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "BTS", "Lycée polyvalent Saint Jacques de Compostelle - BTS - Services - Tourisme", "BTS - Services", "", 15, 112, 81, 109, 0, 28, 9, 19, 5, 24, 10, 38, 3, 0, 1, 0, 2, 95, 0, 0, 0, 26, 7, 19, 5, 23, 9, 27, 60, 14, 11, 14, 0, 2.0, 13.0, 14.0, 0, 2, 7, 2, 2, 3, 7, 0, 4, 1, 1, 1, 0.0, 1, 0, 2, 1, 1, 5, 5, 14.29, 92.86, 100.0, 78.59375, 71.390625, 71.390625, 14.298828125, 28.59765625, 50.0, 0.0, 57.09375, 14.298828125, 14.298828125, 14.3, 0.0, 28.59765625, 14.298828125, 28.59765625, 0.0, 42.8984375, 28.59765625, 13.0, 6.0, 12.0, 5.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers technologiques toutes séries", 22, "Bacheliers professionnels toutes séries", 17, "Liste d'appel propre à cette formation", 69.0, "24413", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24413&g_ta_cod=24413", 57.0, 14.0, 29.0),
(5289, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "Licence_Las", "Université des Antilles - Pôle Guadeloupe - Licence - Portail Science politique - Science politique - Guadeloupe", "Licence - Droit-économie-gestion", "Science politique - Guadeloupe", 30, 165, 120, 116, 0, 66, 34, 19, 9, 4, 2, 27, 49, 18, 2, 4, 25, 116, 48, 0, 0, 66, 34, 19, 9, 4, 2, 27, 140, 28, 23, 13, 15, 2.0, 13.0, 23.0, 0, 12, 18, 10, 5, 3, 10, 0, 13, 5, 0, 0, 0.0, 4, 1, 0, 0, 0, 15, 15, 7.14, 46.43, 82.14, 82.09375, 83.296875, 83.296875, 0, 66.6875, 64.296875, 0.0, 72.1875, 27.796875, 0.0, 0.0, 0.0, 55.59375, 22.19921875, 27.796875, 5.599609375, 16.69921875, 0.0, 69.0, 36.0, 8.0, 5.0, 46.0, "Tous les candidats", 372.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "29038", "Licence - Portail Science politique - Science politique - Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29037&g_ta_cod=29038", 61.0, 21.0, 18.0),
(5290, "Public", "9741204R", "Université de la Réunion - Le Tampon", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation non sélective", "Licence_Las", "Université de La Réunion - Saint Denis - Licence - Portail Administration économique et sociale", "Licence - Droit-économie-gestion", ": Université de la Réunion - Le Tampon", 50, 700, 479, 609, 0, 221, 94, 129, 74, 66, 47, 193, 91, 15, 14, 20, 42, 609, 90, 0, 0, 221, 94, 129, 74, 66, 47, 193, 410, 46, 35, 26, 20, 5.0, 23.0, 29.0, 0, 18, 29, 11, 9, 9, 17, 0, 14, 8, 4, 2, 1.0, 7, 4, 4, 0, 0, 28, 28, 10.87, 50.0, 63.04, 76.09375, 96.59375, 96.59375, 0, 62.09375, 63.0, 0.0, 48.296875, 27.59765625, 13.798828125, 6.9, 3.4, 37.8984375, 24.09765625, 31.0, 13.798828125, 31.0, 13.798828125, 125.0, 56.0, 51.0, 38.0, 166.0, "Tous les candidats", 2528.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28307", "Licence - Portail Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26496&g_ta_cod=28307", 28.0, 41.0, 28.0),
(5291, "Public", "0450094H", "Lycée agricole Le Chesnoy - Les Barres", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Amilly", "formation sélective", "CPGE", "Lycée agricole Le Chesnoy - Les Barres - CPGE - BCPST", "Classe préparatoire scientifique", "", 35, 525, 375, 525, 404, 400, 50, 1, 0, 0, 0, 124, 0, 0, 0, 0, 0, 455, 0, 404, 283, 375, 48, 1, 0, 0, 0, 79, 148, 34, 28, 34, 0, 8.0, 22.0, 33.0, 29, 4, 34, 34, 0, 0, 0, 0, 0, 6, 24, 4, 0.0, 34, 0, 0, 2, 2, 12, 12, 23.53, 64.71, 97.06, 82.390625, 35.296875, 35.296875, 5.8994140625, 11.798828125, 100.0, 0.0, 0.0, 17.59765625, 70.59375, 11.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 141.0, 17.0, 0.0, 0.0, 7.0, "Tous les candidats", 176.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "5678", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5678&g_ta_cod=5678", 100.0, 0.0, 0.0),
(5292, "Public", "0910620E", "Lycée Robert Doisneau", "91", "Essonne", "Ile-de-France", "Versailles", "Corbeil-Essonnes", "formation sélective", "BTS", "Lycée Robert Doisneau - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 34, 601, 282, 601, 0, 43, 13, 234, 105, 149, 80, 175, 0, 0, 0, 0, 0, 350, 0, 0, 0, 31, 9, 148, 62, 86, 42, 85, 131, 36, 22, 36, 0, 6.0, 33.0, 34.0, 0, 17, 26, 1, 12, 13, 10, 0, 7, 14, 4, 1, 0.0, 1, 8, 10, 9, 4, 22, 25, 16.67, 91.67, 94.44, 61.09375, 84.59375, 96.1875, 34.59375, 65.390625, 72.1875, 0.0, 26.8984375, 53.796875, 15.3984375, 3.8, 0.0, 3.7998046875, 3.7998046875, 46.1953125, 30.796875, 50.0, 38.5, 14.0, 9.0, 46.0, 22.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 29.0, "10847", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10847&g_ta_cod=10847", 11.0, 44.0, 44.0),
(5293, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "PASS", "Universite Jean Monnet, Saint-Etienne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Biomécanique et Activités Physiques et Sportives", 36, 2063, 1256, 2063, 0, 1667, 214, 60, 21, 7, 5, 329, 0, 0, 0, 0, 0, 2046, 0, 0, 0, 1667, 214, 60, 21, 7, 5, 312, 280, 36, 14, 36, 0, 3.0, 26.0, 33.0, 0, 2, 36, 36, 0, 0, 0, 0, 1, 6, 22, 7, 0.0, 35, 0, 0, 0, 0, 25, 25, 8.33, 72.22, 91.67, 38.8984375, 69.390625, 69.390625, 0, 5.599609375, 100.0, 0.0, 2.7998046875, 16.69921875, 61.09375, 19.4, 0.0, 100.0, 97.1875, 0.0, 0.0, 0.0, 0.0, 269.0, 33.0, 0.0, 0.0, 11.0, "Tous les candidats", 1032.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "27853", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27845&g_ta_cod=27853", 100.0, 0.0, 0.0),
(5294, "Privé sous contrat d'association", "0460039T", "Lycée Jeanne D'Arc", "46", "Lot", "Occitanie", "Toulouse", "Figeac", "formation sélective", "Autre formation", "Lycée Jeanne D'Arc - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 24, 29, 7, 18, 0, 2, 1, 3, 0, 12, 1, 1, 11, 3, 1, 4, 3, 18, 10, 0, 0, 2, 1, 3, 0, 12, 1, 1, 29, 3, 1, 1, 1, 1.0, 1.0, 2.0, 0, 0, 3, 1, 1, 1, 0, 0, 2, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 3, 3, 33.33, 33.33, 66.67, 33.296875, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 33.296875, 0.0, 6.0, 1.0, 16.0, 1.0, 3.0, "Tous les candidats", 18.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "34298", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34298&g_ta_cod=34298", 33.0, 33.0, 33.0),
(5295, "Public", "9720350Y", "Lycée Frantz Fanon", "972", "Martinique", "Martinique", "Martinique", "La Trinité", "formation sélective", "BTS", "Lycée Frantz Fanon - BTS - Production - Bâtiment", "BTS - Production", "", 26, 149, 27, 135, 0, 14, 5, 29, 13, 48, 19, 44, 14, 2, 6, 0, 6, 67, 5, 0, 0, 12, 4, 26, 10, 20, 6, 9, 59, 26, 9, 21, 5, 11.0, 21.0, 26.0, 0, 11, 23, 4, 11, 8, 3, 0, 11, 10, 2, 0, 0.0, 1, 6, 5, 6, 2, 23, 23, 42.31, 80.77, 100.0, 34.59375, 100.0, 100.0, 26.09765625, 47.796875, 88.5, 0.0, 47.796875, 43.5, 8.69921875, 0.0, 0.0, 17.3984375, 4.2998046875, 47.796875, 26.09765625, 34.796875, 21.69921875, 9.0, 3.0, 16.0, 5.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 50.0, "11807", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11807&g_ta_cod=11807", 23.0, 46.0, 31.0),
(5296, "Public", "0750712S", "Lycée Diderot", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Diderot - BTS - Production - Electrotechnique", "BTS - Production", "", 23, 711, 11, 711, 0, 16, 1, 69, 34, 463, 214, 163, 0, 0, 0, 0, 0, 383, 0, 0, 0, 13, 1, 48, 23, 262, 118, 60, 99, 23, 0, 23, 0, 6.0, 20.0, 23.0, 0, 10, 20, 1, 5, 14, 3, 0, 2, 5, 7, 6, 0.0, 1, 3, 14, 0, 0, 9, 18, 26.09, 86.96, 100.0, 0.0, 45.0, 90.0, 0, 50.0, 87.0, 0.0, 10.0, 25.0, 35.0, 30.0, 0.0, 5.0, 5.0, 25.0, 15.0, 70.0, 70.0, 6.0, 1.0, 46.0, 17.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 20.0, "9177", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9177&g_ta_cod=9177", 9.0, 30.0, 61.0),
(5297, "Privé sous contrat d'association", "0480502K", "Lycée agricole Terre Nouvelle", "48", "Lozère", "Occitanie", "Montpellier", "Marvejols", "formation sélective", "BTS", "Lycée agricole Terre Nouvelle - BTS - Agricole - productions animales", "BTS - Agricole", "", 36, 202, 111, 190, 0, 47, 7, 74, 18, 41, 20, 28, 12, 2, 2, 2, 6, 175, 10, 0, 0, 46, 7, 72, 17, 35, 16, 22, 133, 22, 12, 19, 3, 7.0, 18.0, 22.0, 0, 5, 18, 3, 10, 5, 4, 0, 3, 11, 4, 0, 0.0, 2, 9, 4, 10, 3, 14, 14, 31.82, 81.82, 100.0, 54.5, 77.796875, 77.796875, 55.59375, 27.796875, 81.796875, 0.0, 16.69921875, 61.09375, 22.19921875, 0.0, 0.0, 16.69921875, 11.099609375, 55.59375, 50.0, 27.796875, 22.19921875, 27.0, 6.0, 24.0, 11.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 90.0, "5809", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5809&g_ta_cod=5809", 27.0, 50.0, 23.0),
(5298, "Public", "0381516S", "IUT 1 GRENOBLE", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "BUT", "IUT 1 GRENOBLE - BUT - Réseaux et télécommunications Parcours : Cybersécurité - Développement Système et Cloud", "BUT - Production", "Cybersécurité - Développement Système et Cloud", 78, 1565, 113, 1565, 0, 835, 140, 405, 109, 13, 6, 312, 0, 0, 0, 0, 0, 1214, 0, 0, 0, 824, 137, 256, 61, 0, 0, 134, 454, 78, 4, 78, 0, 14.0, 56.0, 68.0, 0, 24, 70, 41, 29, 0, 8, 0, 18, 40, 11, 1, 0.0, 29, 23, 0, 0, 0, 53, 53, 17.95, 71.79, 87.18, 5.099609375, 75.6875, 75.6875, 0, 34.296875, 89.6875, 0.0, 25.69921875, 57.09375, 15.69921875, 1.4, 0.0, 58.59375, 41.3984375, 41.3984375, 32.8984375, 0.0, 0.0, 243.0, 61.0, 0.0, 0.0, 58.0, "Tous les candidats sauf les Bac technologiques", 435.0, "Bacheliers technologiques toutes séries", 266, "", 0, "Liste d'appel propre à cette formation", 45.0, "4970", "BUT - Réseaux et télécommunications Parcours : Cybersécurité - Développement Système et Cloud", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4970&g_ta_cod=4970", 62.0, 38.0, 0.0),
(5299, "Privé sous contrat d'association", "0941934S", "EFREI Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villejuif", "formation sélective", "Ecole d'Ingénieur", "EFREI Paris - Formation d'ingénieur Bac + 5 - Prépa Renforcée Spé SES", "Formations  des écoles d'ingénieurs", "Prépa Renforcée Spé SES", 16, 98, 25, 48, 0, 30, 6, 3, 1, 1, 0, 14, 50, 28, 2, 3, 17, 35, 4, 0, 0, 23, 4, 2, 0, 0, 0, 10, 37, 9, 3, 8, 1, 3.0, 8.0, 8.0, 0, 1, 7, 7, 0, 0, 2, 0, 1, 5, 1, 0, 0.0, 6, 0, 0, 0, 0, 3, 5, 33.33, 88.89, 88.89, 33.296875, 42.8984375, 71.390625, 0, 14.298828125, 77.796875, 0.0, 14.298828125, 71.390625, 14.298828125, 0.0, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 22.0, 4.0, 0.0, 0.0, 13.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "33324", "Formation d'ingénieur Bac + 5 - Prépa Renforcée Spé SES", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33324&g_ta_cod=33324", 100.0, 0.0, 0.0),
(5300, "Public", "0860703X", "I.U.T. Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BUT", "I.U.T. Poitiers - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", 168, 2370, 1141, 2321, 0, 1328, 170, 593, 154, 15, 8, 385, 49, 0, 25, 0, 24, 1723, 2, 0, 0, 1290, 138, 279, 51, 11, 7, 143, 492, 136, 64, 134, 2, 36.0, 127.0, 133.0, 0, 23, 131, 86, 45, 0, 5, 0, 18, 72, 35, 6, 0.0, 76, 37, 0, 0, 0, 121, 121, 26.47, 93.38, 97.79, 47.09375, 92.390625, 92.390625, 0, 17.59765625, 96.296875, 0.0, 13.69921875, 55.0, 26.69921875, 4.6, 0.0, 65.59375, 58.0, 34.3984375, 28.19921875, 0.0, 0.0, 246.0, 39.0, 0.0, 0.0, 14.0, "Tous les candidats sauf les Bac technologiques", 371.0, "Bacheliers technologiques toutes séries", 279, "", 0, "Liste d'appel propre à cette formation", 28.0, "10605", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10605&g_ta_cod=10605", 66.0, 34.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(5301, "Public", "0830081M", "Centre de Ressources, d'Expertise et de Performance Sportive PACA - site de Boulouris (CREPS)", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Saint-Raphaël", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive PACA - site d'Aix-en-Provence (CREPS) - BPJEPS - Activités de la forme", "BPJEPS", "", 8, 134, 22, 134, 0, 36, 8, 31, 5, 18, 7, 49, 0, 0, 0, 0, 0, 17, 0, 0, 0, 2, 1, 0, 0, 0, 0, 15, 10, 7, 2, 7, 0, 5.0, 7.0, 7.0, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 71.43, 100.0, 100.0, 28.59765625, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 10.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 7.0, "26739", "BPJEPS - Activités de la forme", "Centre de Ressources, d'Expertise et de Performance Sportive PACA - site d'Aix-en-Provence (CREPS)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30916&g_ta_cod=26739", 43.0, 43.0, 14.0),
(5302, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Double diplôme - Licence Histoire - Humanités ? Cursus franco - italien de licence d'histoire / Laurea di storia", "Licence - Sciences humaines et sociales", "Humanités ? Cursus franco - italien de licence d'histoire / Laurea di storia", 10, 56, 38, 56, 0, 38, 6, 2, 1, 0, 0, 16, 0, 0, 0, 0, 0, 55, 0, 0, 0, 38, 6, 1, 0, 0, 0, 16, 31, 8, 5, 8, 0, 5.0, 6.0, 8.0, 0, 2, 6, 6, 0, 0, 2, 0, 1, 0, 3, 2, 0.0, 5, 0, 0, 0, 0, 1, 1, 62.5, 75.0, 100.0, 62.5, 16.69921875, 16.69921875, 0, 33.296875, 75.0, 0.0, 16.69921875, 0.0, 50.0, 33.3, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 21.0, 3.0, 0.0, 0.0, 9.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "32056", "Licence - Double diplôme - Licence Histoire - Humanités ? Cursus franco - italien de licence d'histoire / Laurea di storia", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32056&g_ta_cod=32056", 100.0, 0.0, 0.0),
(5303, "Public", "0510035L", "Lycée Hugues Libergier", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Hugues Libergier - BTS - Services - Commerce International", "BTS - Services", "", 35, 1027, 545, 1027, 0, 265, 54, 269, 112, 134, 63, 359, 0, 0, 0, 0, 0, 578, 0, 0, 0, 193, 31, 142, 55, 120, 57, 123, 152, 32, 19, 32, 0, 2.0, 25.0, 30.0, 0, 7, 24, 8, 11, 5, 8, 0, 4, 11, 8, 1, 0.0, 7, 8, 5, 2, 0, 22, 22, 6.25, 78.13, 93.75, 59.3984375, 91.6875, 91.6875, 8.298828125, 29.19921875, 75.0, 0.0, 16.69921875, 45.796875, 33.296875, 4.2, 0.0, 33.296875, 29.19921875, 45.796875, 33.296875, 20.796875, 20.796875, 50.0, 11.0, 16.0, 3.0, 36.0, "Tous les candidats sauf les Bac professionnels", 262.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 28.0, "6078", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6078&g_ta_cod=6078", 47.0, 38.0, 16.0),
(5304, "Public", "0860038Z", "Lycée Aliénor d' Aquitaine", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Autre formation", "Lycée Aliénor d' Aquitaine - Diplôme de Comptabilité et de Gestion", "DCG", "", 45, 545, 250, 522, 0, 174, 32, 117, 35, 6, 3, 225, 23, 0, 5, 0, 18, 316, 3, 0, 0, 163, 26, 100, 26, 0, 0, 53, 274, 44, 18, 41, 3, 21.0, 41.0, 41.0, 0, 7, 35, 22, 13, 0, 9, 0, 10, 14, 7, 4, 0.0, 16, 9, 0, 0, 0, 30, 30, 47.73, 93.18, 93.18, 40.8984375, 85.6875, 85.6875, 0, 20.0, 79.5, 0.0, 28.59765625, 40.0, 20.0, 11.4, 0.0, 62.8984375, 45.6953125, 37.09375, 25.69921875, 0.0, 0.0, 144.0, 18.0, 0.0, 0.0, 48.0, "Tous les candidats", 316.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "10598", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10598&g_ta_cod=10598", 70.0, 30.0, 0.0),
(5305, "Privé enseignement supérieur", "0530939H", "ESIEA Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 90, 1787, 345, 1781, 0, 1770, 130, 0, 0, 0, 0, 11, 6, 6, 0, 0, 0, 1716, 6, 0, 0, 1716, 121, 0, 0, 0, 0, 0, 1643, 37, 5, 36, 1, 25.0, 36.0, 37.0, 0, 3, 37, 37, 0, 0, 0, 1, 9, 16, 9, 2, 0.0, 27, 0, 0, 0, 0, 19, 19, 67.57, 97.3, 100.0, 13.5, 51.3984375, 51.3984375, 0, 8.099609375, 100.0, 2.69970703125, 24.296875, 43.1953125, 24.296875, 5.4, 0.0, 100.0, 73.0, 0.0, 0.0, 0.0, 0.0, 1643.0, 116.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "172", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=172", 100.0, 0.0, 0.0),
(5306, "Public", "0750710P", "Lycée Auguste Renoir", "75", "Paris", "Ile-de-France", "Paris", "Paris 18e  Arrondissement", "formation sélective", "Autre formation", "Lycée Auguste Renoir - DN MADE - Objet - - Spécialité : Objets et systèmes d'objets céramique", "DN MADE", "- Spécialité : Objets et systèmes d'objets céramique", 10, 205, 163, 205, 0, 53, 12, 69, 7, 10, 2, 73, 0, 0, 0, 0, 0, 69, 0, 0, 0, 19, 3, 41, 3, 0, 0, 9, 44, 7, 5, 7, 0, 3.0, 7.0, 7.0, 0, 1, 6, 0, 6, 0, 1, 0, 0, 0, 4, 2, 0.0, 0, 6, 0, 0, 0, 1, 2, 42.86, 100.0, 100.0, 71.390625, 16.69921875, 33.296875, 0, 16.69921875, 85.6875, 0.0, 0.0, 0.0, 66.6875, 33.3, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 14.0, 3.0, 0.0, 0.0, 4.0, "Tous les candidats", 67.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "21741", "DN MADE - Objet - - Spécialité : Objets et systèmes d'objets céramique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21741&g_ta_cod=21741", 14.0, 86.0, 0.0),
(5307, "Public", "0540040A", "Lycée Frédéric Chopin", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Lycée Frédéric Chopin - CPES - Arts", "Classe préparatoire aux études supérieures", "", 24, 256, 202, 256, 0, 196, 32, 13, 5, 10, 2, 37, 0, 0, 0, 0, 0, 139, 0, 0, 0, 121, 24, 5, 2, 2, 0, 11, 71, 24, 21, 24, 0, 5.0, 20.0, 22.0, 0, 5, 19, 18, 1, 0, 5, 0, 0, 5, 11, 3, 0.0, 18, 1, 0, 0, 0, 14, 14, 20.83, 83.33, 91.67, 87.5, 73.6875, 73.6875, 0, 26.296875, 79.1875, 0.0, 0.0, 26.296875, 57.8984375, 15.8, 0.0, 94.6875, 94.6875, 5.2998046875, 5.2998046875, 0.0, 0.0, 63.0, 15.0, 0.0, 0.0, 7.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "21161", "CPES - Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21161&g_ta_cod=21161", 96.0, 4.0, 0.0),
(5308, "Public", "0755890V", "Sorbonne université", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Sorbonne université - Double licence - LLCER / Sciences - LLCER : ALLEMAND NON DEBUTANT - SCIENCES", "Licence - Arts-lettres-langues", "LLCER / Sciences - LLCER : ALLEMAND NON DEBUTANT - SCIENCES", 16, 101, 73, 75, 0, 58, 3, 0, 0, 1, 1, 16, 26, 9, 0, 2, 15, 45, 8, 0, 0, 41, 0, 0, 0, 1, 1, 3, 49, 15, 13, 11, 4, 6.0, 11.0, 13.0, 0, 1, 11, 10, 0, 1, 4, 0, 0, 0, 3, 8, 0.0, 10, 0, 1, 0, 0, 2, 3, 40.0, 73.33, 86.67, 86.6875, 18.19921875, 27.296875, 0, 9.099609375, 73.296875, 0.0, 0.0, 0.0, 27.296875, 72.7, 0.0, 90.890625, 90.890625, 0.0, 0.0, 9.099609375, 9.099609375, 39.0, 0.0, 1.0, 1.0, 9.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "30851", "Double licence - LLCER / Sciences - LLCER : ALLEMAND NON DEBUTANT - SCIENCES", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30851&g_ta_cod=30851", 93.0, 0.0, 7.0),
(5309, "Privé enseignement supérieur", "0942095S", "EPITA Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Le Kremlin-Bicêtre", "formation sélective", "Ecole d'Ingénieur", "Concours Advance - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 15, 95, 6, 91, 0, 0, 0, 91, 17, 0, 0, 0, 4, 0, 4, 0, 0, 27, 1, 0, 0, 0, 0, 27, 6, 0, 0, 0, 28, 9, 1, 8, 1, 8.0, 8.0, 9.0, 0, 1, 9, 0, 9, 0, 0, 0, 0, 2, 6, 1, 0.0, 0, 9, 0, 0, 0, 1, 7, 88.89, 88.89, 100.0, 11.099609375, 11.099609375, 77.796875, 0, 11.099609375, 100.0, 0.0, 0.0, 22.19921875, 66.6875, 11.1, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "137", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Advance", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=131&g_ta_cod=137", 0.0, 100.0, 0.0),
(5310, "Privé sous contrat d'association", "0410693F", "Lycée La Providence", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BTS", "Lycée La Providence - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 179, 16, 170, 0, 29, 5, 62, 23, 39, 10, 40, 9, 0, 0, 9, 0, 138, 1, 0, 0, 26, 4, 59, 21, 24, 6, 29, 85, 12, 1, 12, 0, 0.0, 8.0, 11.0, 0, 2, 7, 1, 2, 4, 5, 0, 4, 3, 0, 0, 0.0, 0, 0, 3, 4, 0, 7, 7, 0.0, 66.67, 91.67, 8.298828125, 100.0, 100.0, 57.09375, 28.59765625, 58.296875, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 14.298828125, 0.0, 28.59765625, 0.0, 57.09375, 42.8984375, 16.0, 3.0, 19.0, 5.0, 17.0, "Tous les candidats sauf les Bac professionnels", 99.0, "Bacheliers professionnels toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 71.0, "24155", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24155&g_ta_cod=24155", 25.0, 42.0, 33.0),
(5311, "Public", "0911975C", "Université d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation non sélective", "Licence", "Université d'Evry Val d'Essonne - Licence - Portail Sciences de la vie-Chimie", "Licence - Sciences - technologies - santé", "Sciences de la vie-Chimie", 160, 1277, 834, 1277, 0, 843, 195, 67, 15, 0, 0, 367, 0, 0, 0, 0, 0, 1277, 0, 0, 0, 843, 195, 67, 15, 0, 0, 367, 820, 154, 84, 154, 0, 5.0, 91.0, 129.0, 0, 25, 115, 114, 1, 0, 39, 0, 60, 50, 5, 0, 0.0, 55, 0, 0, 0, 0, 80, 112, 3.25, 59.09, 83.77, 54.5, 69.59375, 97.390625, 0, 21.69921875, 74.6875, 0.0, 52.1953125, 43.5, 4.2998046875, 0.0, 0.0, 99.09375, 47.796875, 0.89990234375, 0.0, 0.0, 0.0, 625.0, 149.0, 0.0, 0.0, 191.0, "Tous les candidats", 896.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "27051", "Licence - Portail Sciences de la vie-Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27051&g_ta_cod=27051", 98.0, 2.0, 0.0),
(5312, "Public", "9740737H", "Lycée professionnel de L'Horizon", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "Autre formation", "Lycée professionnel de L'Horizon - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 6, 24, 0, 23, 0, 0, 0, 0, 0, 22, 14, 1, 1, 0, 0, 1, 0, 16, 1, 0, 0, 0, 0, 0, 0, 16, 11, 0, 16, 7, 0, 6, 1, 3.0, 6.0, 7.0, 0, 6, 7, 0, 0, 7, 0, 0, 1, 5, 1, 0, 0.0, 0, 0, 6, 0, 0, 7, 7, 42.86, 85.71, 100.0, 0.0, 100.0, 100.0, 0, 85.6875, 100.0, 0.0, 14.298828125, 71.390625, 14.298828125, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 85.6875, 0.0, 0.0, 16.0, 11.0, 0.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "32853", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32853&g_ta_cod=32853", 0.0, 0.0, 100.0),
(5313, "Public", "0290098Z", "Lycée de Cornouaille", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée de Cornouaille - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 982, 507, 980, 0, 95, 14, 456, 76, 286, 72, 143, 2, 0, 0, 0, 2, 854, 1, 0, 0, 86, 11, 399, 64, 269, 68, 100, 244, 31, 14, 29, 1, 3.0, 16.0, 17.0, 0, 6, 25, 0, 12, 13, 6, 0, 4, 19, 1, 1, 0.0, 0, 12, 9, 4, 1, 22, 22, 9.68, 51.61, 54.84, 45.1953125, 88.0, 88.0, 16, 24.0, 80.59375, 0.0, 16.0, 76.0, 4.0, 4.0, 0.0, 0.0, 0.0, 48.0, 48.0, 52.0, 36.0, 29.0, 7.0, 99.0, 25.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 143, "Bacheliers technologiques toutes séries", 121, "Liste d'appel propre à cette formation", 31.0, "3805", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3805&g_ta_cod=3805", 10.0, 45.0, 45.0),
(5314, "Privé sous contrat d'association", "9840465H", "Lycée La Mennais", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Papeete", "formation sélective", "BTS", "Lycée La Mennais - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 16, 86, 15, 81, 0, 15, 6, 41, 17, 16, 6, 9, 5, 0, 0, 3, 2, 57, 1, 0, 0, 12, 5, 28, 13, 12, 5, 5, 37, 15, 1, 14, 1, 5.0, 14.0, 15.0, 0, 8, 11, 0, 9, 2, 4, 0, 6, 4, 1, 0, 0.0, 0, 5, 0, 3, 0, 11, 11, 33.33, 93.33, 100.0, 6.69921875, 100.0, 100.0, 27.296875, 72.6875, 73.296875, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 0.0, 0.0, 81.796875, 45.5, 18.19921875, 0.0, 4.0, 1.0, 7.0, 4.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 59.0, "14228", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14228&g_ta_cod=14228", 0.0, 73.0, 27.0),
(5315, "Public", "0670084C", "Lycée Jean Rostand", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 32, 1070, 742, 1070, 0, 254, 51, 307, 88, 55, 26, 454, 0, 0, 0, 0, 0, 537, 0, 0, 0, 161, 27, 196, 41, 12, 3, 168, 183, 31, 19, 31, 0, 3.0, 21.0, 26.0, 0, 9, 28, 7, 19, 2, 3, 0, 4, 18, 6, 0, 0.0, 6, 16, 2, 13, 9, 27, 27, 9.68, 67.74, 83.87, 61.296875, 96.390625, 96.390625, 46.3984375, 32.09375, 90.296875, 0.0, 14.298828125, 64.296875, 21.3984375, 0.0, 0.0, 25.0, 21.3984375, 67.890625, 57.09375, 7.099609375, 7.099609375, 48.0, 12.0, 5.0, 2.0, 59.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 141.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 117, "Liste d'appel propre à cette formation", 25.0, "7926", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7926&g_ta_cod=7926", 26.0, 68.0, 6.0),
(5316, "Public", "0580014A", "Lycée Pierre Gilles de Gennes", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Cosne-Cours-sur-Loire", "formation sélective", "BTS", "Lycée Pierre Gilles de Gennes - BTS - Production - Métiers de l'eau", "BTS - Production", "", 24, 233, 65, 232, 0, 24, 6, 60, 13, 14, 6, 134, 1, 0, 0, 0, 1, 126, 1, 0, 0, 24, 6, 59, 12, 14, 6, 29, 88, 18, 4, 18, 0, 7.0, 18.0, 18.0, 0, 4, 13, 3, 5, 5, 5, 0, 4, 7, 2, 0, 0.0, 2, 2, 5, 7, 0, 10, 10, 38.89, 100.0, 100.0, 22.19921875, 76.890625, 76.890625, 53.796875, 30.796875, 72.1875, 0.0, 30.796875, 53.796875, 15.3984375, 0.0, 0.0, 23.09765625, 15.3984375, 38.5, 15.3984375, 38.5, 38.5, 19.0, 6.0, 12.0, 5.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 50.0, "6674", "BTS - Production - Métiers de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6674&g_ta_cod=6674", 39.0, 33.0, 28.0),
(5317, "Public", "0782563M", "Lycée La Bruyère", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée La Bruyère - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 48, 531, 230, 531, 346, 480, 30, 1, 0, 0, 0, 50, 0, 0, 0, 0, 0, 463, 0, 308, 442, 451, 26, 0, 0, 0, 0, 12, 290, 42, 16, 42, 0, 0.0, 21.0, 40.0, 15, 1, 42, 42, 0, 0, 0, 0, 1, 12, 23, 6, 0.0, 41, 0, 0, 1, 0, 33, 34, 0.0, 50.0, 95.24, 38.09375, 78.59375, 81.0, 2.39990234375, 2.39990234375, 100.0, 0.0, 2.39990234375, 28.59765625, 54.796875, 14.3, 0.0, 100.0, 97.59375, 0.0, 0.0, 0.0, 0.0, 285.0, 18.0, 0.0, 0.0, 5.0, "Tous les candidats", 438.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "31407", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31407&g_ta_cod=31407", 100.0, 0.0, 0.0),
(5318, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Portail Géographie et aménagement - Parcours Géographie", "Licence - Sciences humaines et sociales", "Parcours Géographie", 130, 735, 292, 488, 0, 302, 65, 37, 13, 10, 3, 139, 247, 66, 26, 9, 146, 476, 160, 0, 0, 302, 65, 37, 13, 10, 3, 127, 530, 124, 41, 59, 65, 24.0, 59.0, 92.0, 0, 17, 69, 49, 16, 4, 55, 0, 45, 22, 2, 0, 0.0, 18, 3, 3, 0, 0, 39, 60, 19.35, 47.58, 74.19, 33.09375, 56.5, 87.0, 0, 24.59765625, 55.59375, 0.0, 65.1875, 31.8984375, 2.89990234375, 0.0, 0.0, 71.0, 26.09765625, 23.19921875, 4.2998046875, 5.7998046875, 4.2998046875, 269.0, 56.0, 14.0, 6.0, 198.0, "Tous les candidats", 566.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "24389", "Licence - Portail Géographie et aménagement - Parcours Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27077&g_ta_cod=24389", 69.0, 23.0, 8.0),
(5319, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 525, 3495, 1605, 3473, 0, 2189, 393, 243, 89, 56, 32, 985, 22, 1, 1, 4, 16, 3471, 16, 0, 0, 2189, 393, 243, 89, 56, 32, 983, 2461, 512, 197, 499, 12, 86.0, 338.0, 441.0, 0, 78, 324, 280, 37, 7, 188, 2, 134, 112, 63, 13, 0.0, 174, 12, 2, 0, 0, 266, 266, 16.8, 66.02, 86.13, 38.5, 82.09375, 82.09375, 0, 24.09765625, 63.296875, 0.5999755859375, 41.3984375, 34.59375, 19.3984375, 4.0, 0.0, 86.390625, 53.6953125, 11.3984375, 3.69970703125, 2.19970703125, 0.5999755859375, 1776.0, 320.0, 15.0, 12.0, 573.0, "Tous les candidats", 3041.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "8066", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8066&g_ta_cod=8066", 83.0, 12.0, 4.0),
(5320, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Information et communication - Parcours Communication", "Licence - Sciences humaines et sociales", "Communication", 80, 2411, 1772, 2411, 0, 1508, 260, 143, 52, 21, 9, 739, 0, 0, 0, 0, 0, 2406, 0, 0, 0, 1508, 260, 143, 52, 21, 9, 734, 468, 78, 62, 78, 0, 19.0, 64.0, 75.0, 0, 17, 68, 67, 1, 0, 10, 0, 0, 21, 42, 5, 0.0, 67, 1, 0, 0, 0, 40, 40, 24.36, 82.05, 96.15, 79.5, 58.796875, 58.796875, 0, 25.0, 87.1875, 0.0, 0.0, 30.8984375, 61.796875, 7.4, 0.0, 98.5, 98.5, 1.5, 1.5, 0.0, 0.0, 370.0, 57.0, 0.0, 0.0, 90.0, "Tous les candidats", 784.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "26354", "Licence - Information et communication - Parcours Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29065&g_ta_cod=26354", 99.0, 1.0, 0.0),
(5321, "Privé sous contrat d'association", "0720822C", "Lycée Ste Catherine", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "Autre formation", "Lycée Ste Catherine - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 186, 97, 161, 0, 46, 6, 23, 4, 12, 4, 80, 25, 2, 3, 3, 17, 109, 9, 0, 0, 46, 6, 21, 4, 11, 3, 31, 101, 16, 13, 15, 1, 4.0, 15.0, 16.0, 0, 3, 9, 4, 3, 2, 7, 0, 5, 2, 1, 1, 0.0, 2, 1, 1, 0, 0, 5, 5, 25.0, 93.75, 100.0, 81.296875, 55.59375, 55.59375, 0, 33.296875, 56.296875, 0.0, 55.59375, 22.19921875, 11.099609375, 11.1, 0.0, 44.3984375, 22.19921875, 33.296875, 11.099609375, 22.19921875, 11.099609375, 36.0, 4.0, 11.0, 3.0, 34.0, "Tous les candidats", 109.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "8724", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8724&g_ta_cod=8724", 63.0, 19.0, 19.0),
(5322, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Autre formation", "Université de La Rochelle - C.M.I - Cursus Master en Ingénierie - Physique, chimie - Cursus Master en Ingénierie", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie", 7, 178, 58, 178, 0, 122, 19, 0, 0, 2, 0, 54, 0, 0, 0, 0, 0, 167, 0, 0, 0, 113, 18, 0, 0, 2, 0, 52, 56, 6, 1, 6, 0, 0.0, 2.0, 5.0, 0, 0, 3, 3, 0, 0, 3, 0, 0, 1, 1, 1, 0.0, 3, 0, 0, 0, 0, 1, 1, 0.0, 33.33, 83.33, 16.69921875, 33.296875, 33.296875, 0, 0.0, 50.0, 0.0, 0.0, 33.296875, 33.296875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 35.0, 7.0, 0.0, 0.0, 21.0, "Tous les candidats", 108.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "15553", "C.M.I - Cursus Master en Ingénierie - Physique, chimie - Cursus Master en Ingénierie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15553&g_ta_cod=15553", 100.0, 0.0, 0.0),
(5323, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : NEERLANDAIS", "Licence - Arts-lettres-langues", "LLCER : NEERLANDAIS", 55, 99, 62, 37, 0, 15, 6, 3, 1, 2, 1, 17, 62, 2, 5, 6, 49, 37, 59, 0, 0, 15, 6, 3, 1, 2, 1, 17, 96, 32, 23, 11, 21, 11.0, 11.0, 18.0, 0, 4, 6, 1, 1, 4, 26, 0, 3, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 0, 4, 34.38, 34.38, 56.25, 71.890625, 0.0, 66.6875, 0, 66.6875, 18.796875, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 16.69921875, 0.0, 16.69921875, 0.0, 66.6875, 50.0, 17.0, 8.0, 8.0, 4.0, 63.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9283", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : NEERLANDAIS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9283&g_ta_cod=9283", 38.0, 19.0, 41.0),
(5324, "Privé enseignement supérieur", "0753636V", "European Business School Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 20, 1507, 583, 1494, 0, 1275, 71, 90, 5, 5, 2, 124, 13, 3, 0, 0, 10, 1417, 10, 0, 0, 1228, 66, 83, 4, 3, 2, 103, 1355, 11, 3, 10, 1, 9.0, 9.0, 10.0, 0, 0, 9, 9, 0, 0, 2, 0, 6, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 2, 7, 81.82, 81.82, 90.91, 27.296875, 22.19921875, 77.796875, 0, 0.0, 81.796875, 0.0, 66.6875, 22.19921875, 11.099609375, 0.0, 0.0, 100.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 1170.0, 60.0, 2.0, 1.0, 107.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "31990", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=31990", 91.0, 9.0, 0.0),
(5325, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Licence", "Université Côte d'Azur - Double licence - Informatique / Mathématiques - Double licence Mathématiques-Informatique", "Licence - Sciences - technologies - santé", "Double licence Mathématiques-Informatique", 35, 806, 149, 724, 0, 519, 79, 14, 6, 2, 0, 189, 82, 22, 1, 0, 59, 359, 17, 0, 0, 295, 30, 0, 0, 0, 0, 64, 235, 28, 5, 25, 3, 1.0, 17.0, 26.0, 0, 6, 24, 24, 0, 0, 4, 1, 0, 6, 13, 3, 1.0, 23, 0, 0, 0, 0, 17, 17, 3.57, 60.71, 92.86, 17.8984375, 70.796875, 70.796875, 0, 25.0, 85.6875, 4.19921875, 0.0, 25.0, 54.1953125, 12.5, 4.2, 100.0, 95.796875, 0.0, 0.0, 0.0, 0.0, 181.0, 25.0, 0.0, 0.0, 54.0, "Tous les candidats", 358.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "18405", "Double licence - Informatique / Mathématiques - Double licence Mathématiques-Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18405&g_ta_cod=18405", 100.0, 0.0, 0.0),
(5326, "Public", "0570099Y", "Lycée Henri Nominé", "57", "Moselle", "Grand Est", "Nancy-Metz", "Sarreguemines", "formation sélective", "BTS", "Lycée Henri Nominé - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 141, 6, 123, 0, 3, 0, 26, 5, 52, 17, 42, 18, 0, 7, 2, 9, 68, 2, 0, 0, 3, 0, 24, 4, 36, 11, 5, 51, 8, 0, 7, 1, 1.0, 7.0, 8.0, 0, 1, 8, 0, 3, 5, 0, 0, 3, 3, 2, 0, 0.0, 0, 2, 3, 4, 0, 8, 8, 12.5, 87.5, 100.0, 0.0, 100.0, 100.0, 50, 12.5, 100.0, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 0.0, 0.0, 37.5, 25.0, 62.5, 37.5, 2.0, 0.0, 26.0, 8.0, 5.0, "Tous les candidats sauf les Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 54.0, "6558", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6558&g_ta_cod=6558", 0.0, 38.0, 63.0),
(5327, "Privé sous contrat d'association", "0492298G", "Ecole Technique Supérieure de Chimie de l'Ouest", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Ecole Technique Supérieure de Chimie de l'Ouest - BTS - Production - Métiers de la chimie", "BTS - Production", "", 70, 560, 281, 560, 0, 145, 22, 152, 30, 13, 5, 250, 0, 0, 0, 0, 0, 418, 0, 0, 0, 145, 22, 152, 30, 13, 5, 108, 229, 70, 43, 70, 0, 42.0, 57.0, 69.0, 0, 9, 58, 26, 29, 3, 12, 0, 27, 21, 8, 2, 0.0, 11, 18, 2, 0, 0, 39, 39, 60.0, 81.43, 98.57, 61.3984375, 67.1875, 67.1875, 0, 15.5, 82.890625, 0.0, 46.59375, 36.1953125, 13.798828125, 3.4, 0.0, 44.796875, 19.0, 50.0, 31.0, 5.19921875, 3.39990234375, 95.0, 9.0, 6.0, 2.0, 46.0, "Tous les candidats sauf les Bac professionnels", 371.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 68.0, "5981", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5981&g_ta_cod=5981", 43.0, 53.0, 4.0),
(5328, "Privé sous contrat d'association", "0420979L", "Lycée Tezenas du Montcel", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Tezenas du Montcel - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 758, 385, 739, 0, 110, 22, 281, 62, 169, 55, 179, 19, 2, 3, 3, 11, 415, 13, 0, 0, 80, 15, 186, 46, 108, 31, 41, 204, 28, 12, 22, 5, 1.0, 10.0, 13.0, 0, 5, 24, 9, 9, 6, 4, 0, 14, 8, 2, 0, 0.0, 1, 4, 5, 1, 1, 21, 21, 3.57, 35.71, 46.43, 42.8984375, 87.5, 87.5, 4.19921875, 20.796875, 85.6875, 0.0, 58.296875, 33.296875, 8.298828125, 0.0, 0.0, 37.5, 4.19921875, 37.5, 16.69921875, 25.0, 20.796875, 37.0, 4.0, 40.0, 10.0, 27.0, "Tous les candidats sauf les Bac professionnels", 222.0, "Bacheliers professionnels toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 37.0, "5317", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5317&g_ta_cod=5317", 36.0, 43.0, 21.0),
(5329, "Public", "0440139M", "I.U.T. Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Carquefou", "formation sélective", "BUT", "I.U.T. Nantes - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance (Seconde année possible en apprentissage)", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", 196, 4572, 2231, 4572, 0, 2801, 299, 1138, 244, 32, 12, 601, 0, 0, 0, 0, 0, 1949, 0, 0, 0, 846, 83, 709, 130, 0, 0, 394, 781, 189, 105, 189, 0, 22.0, 142.0, 175.0, 0, 30, 156, 74, 82, 0, 33, 0, 13, 90, 48, 5, 0.0, 67, 76, 0, 0, 0, 116, 116, 11.64, 75.13, 92.59, 55.59375, 74.390625, 74.390625, 0, 19.19921875, 82.5, 0.0, 8.298828125, 57.6953125, 30.796875, 3.2, 0.0, 47.3984375, 42.8984375, 52.59375, 48.6953125, 0.0, 0.0, 276.0, 48.0, 0.0, 0.0, 124.0, "Tous les candidats sauf les Bac technologiques", 532.0, "Bacheliers technologiques toutes séries", 710, "", 0, "Liste d'appel propre à cette formation", 27.0, "5485", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5485&g_ta_cod=5485", 52.0, 48.0, 0.0),
(5330, "Public", "0040056P", "Lycée agricole Digne-Carmejane", "04", "Alpes-de-Haute-Provence", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Le Chaffaut-Saint-Jurson", "formation sélective", "BTS", "Lycée agricole Digne-Carmejane - BTS - Agricole - productions animales", "BTS - Agricole", "", 24, 181, 130, 180, 0, 50, 10, 60, 14, 22, 9, 48, 1, 0, 0, 1, 0, 127, 0, 0, 0, 49, 10, 57, 13, 19, 7, 2, 49, 13, 8, 13, 0, 5.0, 9.0, 11.0, 0, 4, 12, 4, 3, 5, 1, 0, 4, 5, 3, 0, 0.0, 2, 3, 3, 0, 0, 5, 5, 38.46, 69.23, 84.62, 61.5, 41.6953125, 41.6953125, 0, 33.296875, 92.296875, 0.0, 33.296875, 41.6953125, 25.0, 0.0, 0.0, 33.296875, 16.69921875, 25.0, 25.0, 41.6953125, 25.0, 9.0, 3.0, 20.0, 7.0, 1.0, "Tous les candidats sauf les Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 36.0, "2162", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2162&g_ta_cod=2162", 38.0, 23.0, 38.0),
(5331, "Public", "0332380H", "Lycée Horticole Camille Godard", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Blanquefort", "formation sélective", "BTS", "Lycée Horticole Camille Godard - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 24, 425, 143, 425, 0, 80, 15, 88, 21, 89, 19, 168, 0, 0, 0, 0, 0, 247, 0, 0, 0, 73, 15, 79, 17, 67, 13, 28, 110, 24, 10, 24, 0, 4.0, 17.0, 22.0, 0, 1, 19, 5, 6, 8, 5, 0, 7, 4, 8, 0, 0.0, 2, 2, 8, 2, 1, 13, 13, 16.67, 70.83, 91.67, 41.6953125, 68.390625, 68.390625, 10.5, 5.2998046875, 79.1875, 0.0, 36.796875, 21.09765625, 42.09375, 0.0, 0.0, 26.296875, 10.5, 31.59765625, 10.5, 42.09375, 42.09375, 31.0, 4.0, 20.0, 4.0, 19.0, "Tous les candidats sauf les Bac professionnels", 130.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 38.0, "13467", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13467&g_ta_cod=13467", 42.0, 25.0, 33.0),
(5332, "Public", "0470947Z", "Université de Bordeaux - Antenne d'Agen", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation non sélective", "Licence_Las", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Droit", "Licence - Droit-économie-gestion", "Université de Bordeaux - Antenne d'Agen", 30, 864, 627, 853, 0, 524, 118, 85, 38, 23, 13, 221, 11, 2, 1, 1, 7, 845, 11, 0, 0, 524, 118, 85, 38, 23, 13, 213, 322, 28, 20, 24, 3, 0.0, 14.0, 20.0, 0, 7, 23, 19, 3, 1, 5, 0, 12, 9, 2, 0, 0.0, 9, 1, 1, 0, 0, 16, 16, 0.0, 50.0, 71.43, 71.390625, 69.59375, 69.59375, 0, 30.3984375, 82.09375, 0.0, 52.1953125, 39.09375, 8.69921875, 0.0, 0.0, 82.59375, 39.09375, 13.0, 4.2998046875, 4.2998046875, 4.2998046875, 203.0, 40.0, 9.0, 6.0, 82.0, "Tous les candidats", 8113.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "26607", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26327&g_ta_cod=26607", 82.0, 14.0, 4.0),
(5333, "Public", "0230030H", "Lycée agricole d'Ahun", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Ahun", "formation sélective", "BTS", "Lycée agricole d'Ahun - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 18, 124, 33, 122, 0, 19, 2, 34, 9, 17, 5, 52, 2, 0, 0, 2, 0, 120, 0, 0, 0, 19, 2, 33, 9, 17, 5, 51, 60, 15, 4, 15, 0, 4.0, 12.0, 12.0, 0, 1, 5, 3, 1, 1, 10, 0, 2, 2, 1, 0, 0.0, 1, 1, 1, 0, 0, 4, 4, 26.67, 80.0, 80.0, 26.69921875, 80.0, 80.0, 0, 20.0, 33.296875, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 60.0, 20.0, 20.0, 20.0, 20.0, 20.0, 13.0, 1.0, 12.0, 3.0, 18.0, "Tous les candidats sauf les Bac professionnels", 73.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 74.0, "3401", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3401&g_ta_cod=3401", 87.0, 7.0, 7.0),
(5334, "Privé sous contrat d'association", "0133314G", "Lycée St Louis - Ste Marie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Gignac-la-Nerthe", "formation sélective", "BTS", "Lycée St Louis - Ste Marie - BTS - Production - Systèmes photoniques", "BTS - Production", "", 15, 62, 10, 58, 0, 10, 0, 24, 0, 4, 0, 20, 4, 1, 0, 0, 3, 35, 3, 0, 0, 10, 0, 19, 0, 3, 0, 3, 36, 12, 1, 12, 0, 6.0, 12.0, 12.0, 0, 0, 11, 2, 7, 2, 1, 0, 4, 6, 1, 0, 0.0, 0, 5, 2, 2, 0, 9, 9, 50.0, 100.0, 100.0, 8.298828125, 81.796875, 81.796875, 18.19921875, 0.0, 91.6875, 0.0, 36.3984375, 54.5, 9.099609375, 0.0, 0.0, 18.19921875, 0.0, 63.59375, 45.5, 18.19921875, 18.19921875, 11.0, 0.0, 3.0, 0.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 57.0, "20275", "BTS - Production - Systèmes photoniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20275&g_ta_cod=20275", 17.0, 58.0, 25.0),
(5335, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues étrangères appliquées - Parcours LEA Espagnol - Portugais", "Licence - Arts-lettres-langues", "LEA Espagnol - Portugais", 15, 151, 122, 151, 0, 84, 18, 24, 9, 10, 5, 33, 0, 0, 0, 0, 0, 151, 0, 0, 0, 84, 18, 24, 9, 10, 5, 33, 60, 15, 11, 15, 0, 3.0, 12.0, 12.0, 0, 4, 11, 8, 1, 2, 4, 0, 3, 8, 0, 0, 0.0, 7, 0, 1, 0, 0, 1, 11, 20.0, 80.0, 80.0, 73.296875, 9.099609375, 100.0, 0, 36.3984375, 73.296875, 0.0, 27.296875, 72.6875, 0.0, 0.0, 0.0, 72.6875, 63.59375, 9.099609375, 0.0, 18.19921875, 9.099609375, 46.0, 10.0, 2.0, 2.0, 8.0, "Tous les candidats", 77.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "9236", "Licence - Langues étrangères appliquées - Parcours LEA Espagnol - Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9236&g_ta_cod=9236", 73.0, 13.0, 13.0),
(5336, "Public", "0781944P", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "Licence_Las", "Université de Versailles - Saint Quentin en Yvelines - Licence - Sciences pour la santé - Rééducation Réadaptation -  option Santé", "Licence - Sciences - technologies - santé", "Rééducation Réadaptation", 100, 1461, 1105, 1461, 0, 886, 137, 65, 14, 5, 3, 505, 0, 0, 0, 0, 0, 1461, 0, 0, 0, 886, 137, 65, 14, 5, 3, 505, 487, 96, 76, 96, 0, 9.0, 70.0, 72.0, 0, 13, 76, 70, 6, 0, 20, 0, 11, 35, 29, 1, 0.0, 60, 5, 0, 0, 0, 62, 71, 9.38, 72.92, 75.0, 79.1875, 81.59375, 93.390625, 0, 17.09765625, 79.1875, 0.0, 14.5, 46.09375, 38.1953125, 1.3, 0.0, 92.09375, 78.890625, 7.8994140625, 6.599609375, 0.0, 0.0, 346.0, 56.0, 1.0, 1.0, 124.0, "Tous les candidats", 497.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "32603", "Licence - Sciences pour la santé - Rééducation Réadaptation -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32603&g_ta_cod=32603", 92.0, 8.0, 0.0),
(5337, "Public", "0711067Z", "Lycée agricole Macon-Davaye", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Davayé", "formation sélective", "BTS", "Lycée agricole Macon-Davaye - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 19, 319, 136, 315, 0, 10, 0, 38, 7, 48, 10, 219, 4, 0, 1, 1, 2, 109, 3, 0, 0, 10, 0, 38, 7, 47, 9, 14, 64, 12, 6, 10, 1, 2.0, 8.0, 10.0, 0, 3, 12, 2, 5, 5, 0, 0, 5, 5, 2, 0, 0.0, 0, 3, 4, 3, 3, 10, 10, 16.67, 66.67, 83.33, 50.0, 83.296875, 83.296875, 25, 25.0, 100.0, 0.0, 41.6953125, 41.6953125, 16.69921875, 0.0, 0.0, 16.69921875, 0.0, 41.6953125, 25.0, 41.6953125, 33.296875, 7.0, 0.0, 21.0, 5.0, 9.0, "Tous les candidats sauf les Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 30.0, "8651", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8651&g_ta_cod=8651", 17.0, 42.0, 42.0),
(5338, "Public", "0310047H", "Lycée Ozenne", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Ozenne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 1610, 845, 1610, 0, 1452, 136, 3, 2, 1, 1, 154, 0, 0, 0, 0, 0, 1610, 0, 0, 1610, 1452, 136, 3, 2, 1, 1, 154, 276, 25, 15, 25, 0, 2.0, 12.0, 23.0, 0, 2, 24, 24, 0, 0, 1, 0, 0, 0, 13, 11, 0.0, 24, 0, 0, 0, 0, 15, 15, 8.0, 48.0, 92.0, 60.0, 62.5, 62.5, 0, 8.298828125, 96.0, 0.0, 0.0, 0.0, 54.1953125, 45.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 268.0, 20.0, 0.0, 0.0, 8.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "31633", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31393&g_ta_cod=31633", 100.0, 0.0, 0.0),
(5339, "Public", "6200053N", "IFSI Ajaccio", "2A", "Corse du Sud", "Corse", "Corse", "Ajaccio", "formation sélective", "IFSI", "Regroupement d'IFSI Université Corse - D.E Infirmier", "D.E secteur sanitaire", "", 47, 966, 768, 966, 0, 186, 32, 141, 28, 84, 27, 555, 0, 0, 0, 0, 0, 966, 0, 0, 0, 186, 32, 141, 28, 84, 27, 555, 157, 47, 40, 47, 0, 10.0, 38.0, 42.0, 0, 2, 14, 9, 5, 0, 33, 0, 1, 8, 5, 0, 0.0, 8, 5, 0, 0, 0, 14, 14, 21.28, 80.85, 89.36, 85.09375, 100.0, 100.0, 0, 14.298828125, 29.796875, 0.0, 7.099609375, 57.09375, 35.6953125, 0.0, 0.0, 64.296875, 57.09375, 35.6953125, 35.6953125, 0.0, 0.0, 52.0, 10.0, 0.0, 0.0, 87.0, "Tous les candidats", 214.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "23110", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23109&g_ta_cod=23110", 81.0, 17.0, 2.0),
(5340, "Privé sous contrat d'association", "0623133U", "IFSI La Croix-Rouge Française Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 87, 4757, 3798, 4757, 0, 885, 207, 1005, 316, 461, 196, 2406, 0, 0, 0, 0, 0, 3939, 0, 0, 0, 807, 181, 824, 243, 368, 151, 1940, 1263, 87, 72, 87, 0, 3.0, 25.0, 56.0, 0, 16, 48, 14, 23, 11, 39, 0, 14, 26, 5, 2, 1.0, 10, 14, 10, 0, 0, 44, 44, 3.45, 28.74, 64.37, 82.796875, 91.6875, 91.6875, 0, 33.296875, 55.1953125, 0.0, 29.19921875, 54.1953125, 10.3984375, 4.2, 2.1, 29.19921875, 20.796875, 47.8984375, 29.19921875, 22.8984375, 20.796875, 277.0, 58.0, 143.0, 60.0, 563.0, "Tous les candidats", 4423.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "23138", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23138", 38.0, 37.0, 25.0),
(5341, "Privé enseignement supérieur", "0371790V", "EXCELIA - Campus de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "Ecole de Commerce", "Excelia Business School  - Formation des écoles de commerce et de management Bac + 5 -  Programme Grande école", "Formation des écoles de commerce et de management", "Programme Grande école", 40, 66, 30, 60, 0, 53, 2, 1, 0, 0, 0, 6, 6, 2, 0, 0, 4, 47, 4, 0, 0, 43, 2, 0, 0, 0, 0, 4, 51, 10, 6, 8, 2, 8.0, 8.0, 9.0, 0, 0, 7, 7, 0, 0, 3, 0, 2, 4, 1, 0, 0.0, 5, 0, 0, 0, 0, 3, 3, 80.0, 80.0, 90.0, 60.0, 42.8984375, 42.8984375, 0, 0.0, 70.0, 0.0, 28.59765625, 57.09375, 14.298828125, 0.0, 0.0, 100.0, 71.390625, 0.0, 0.0, 0.0, 0.0, 45.0, 2.0, 0.0, 0.0, 6.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "33724", "Formation des écoles de commerce et de management Bac + 5 -  Programme Grande école", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33724&g_ta_cod=33724", 100.0, 0.0, 0.0),
(5342, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Portail Lettres", "Licence - Arts-lettres-langues", "", 40, 200, 161, 170, 0, 123, 19, 8, 1, 4, 1, 35, 30, 2, 1, 2, 25, 170, 26, 0, 0, 123, 19, 8, 1, 4, 1, 35, 196, 25, 18, 23, 2, 23.0, 23.0, 25.0, 0, 3, 19, 17, 2, 0, 6, 0, 6, 5, 6, 2, 0.0, 12, 1, 0, 0, 0, 13, 13, 92.0, 92.0, 100.0, 72.0, 68.390625, 68.390625, 0, 15.798828125, 76.0, 0.0, 31.59765625, 26.296875, 31.59765625, 10.5, 0.0, 89.5, 63.1953125, 10.5, 5.2998046875, 0.0, 0.0, 125.0, 19.0, 6.0, 1.0, 56.0, "Tous les candidats", 179.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "5883", "Licence - Portail Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28944&g_ta_cod=5883", 84.0, 8.0, 8.0),
(5343, "Privé sous contrat d'association", "0730763H", "Lycée Saint Ambroise", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "BTS", "Lycée Saint Ambroise - BTS - Services - Commerce International", "BTS - Services", "", 24, 485, 256, 485, 0, 140, 20, 168, 43, 55, 20, 122, 0, 0, 0, 0, 0, 346, 0, 0, 0, 115, 12, 129, 33, 41, 12, 61, 104, 23, 16, 23, 0, 4.0, 16.0, 20.0, 0, 3, 18, 10, 5, 3, 5, 0, 2, 11, 5, 0, 0.0, 10, 3, 3, 4, 3, 17, 17, 17.39, 69.57, 86.96, 69.59375, 94.390625, 94.390625, 22.19921875, 16.69921875, 78.296875, 0.0, 11.099609375, 61.09375, 27.796875, 0.0, 0.0, 55.59375, 55.59375, 27.796875, 16.69921875, 16.69921875, 16.69921875, 38.0, 8.0, 19.0, 6.0, 18.0, "Tous les candidats sauf les Bac professionnels", 123.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 32.0, "14273", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14273&g_ta_cod=14273", 65.0, 22.0, 13.0),
(5344, "Privé sous contrat d'association", "0840072X", "Lycée St Joseph", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "CPGE", "Lycée St Joseph - CPGE - PCSI", "Classe préparatoire scientifique", "", 42, 407, 128, 363, 222, 251, 25, 0, 0, 0, 0, 112, 44, 18, 1, 0, 25, 269, 21, 167, 263, 235, 21, 0, 0, 0, 0, 34, 240, 30, 4, 26, 4, 1.0, 22.0, 30.0, 14, 4, 26, 26, 0, 0, 4, 0, 1, 15, 8, 2, 0.0, 25, 0, 0, 3, 1, 20, 20, 3.33, 73.33, 100.0, 13.298828125, 76.890625, 76.890625, 11.5, 15.3984375, 86.6875, 0.0, 3.7998046875, 57.6953125, 30.796875, 7.7, 0.0, 100.0, 96.1875, 0.0, 0.0, 0.0, 0.0, 203.0, 14.0, 0.0, 0.0, 37.0, "Tous les candidats", 268.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "10436", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10436&g_ta_cod=10436", 100.0, 0.0, 0.0),
(5345, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 617, 7995, 5860, 7995, 0, 5807, 1223, 261, 87, 40, 18, 1887, 0, 0, 0, 0, 0, 7995, 0, 0, 0, 5807, 1223, 261, 87, 40, 18, 1887, 2907, 614, 462, 612, 0, 49.0, 553.0, 553.0, 0, 114, 590, 589, 1, 0, 24, 0, 29, 255, 283, 23, 0.0, 561, 0, 0, 0, 0, 166, 510, 7.98, 90.07, 90.07, 75.1875, 28.09765625, 86.390625, 0, 19.296875, 96.09375, 0.0, 4.8994140625, 43.1953125, 48.0, 3.9, 0.0, 99.796875, 95.09375, 0.199981689453125, 0.0, 0.0, 0.0, 2761.0, 502.0, 0.0, 0.0, 145.0, "Tous les candidats", 3345.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "9322", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26783&g_ta_cod=9322", 100.0, 0.0, 0.0),
(5346, "Privé sous contrat d'association", "0753559L", "ISEP Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 100, 2736, 600, 2674, 0, 2667, 258, 0, 0, 0, 0, 7, 62, 61, 0, 0, 1, 2154, 27, 0, 0, 2154, 169, 0, 0, 0, 0, 0, 1722, 81, 11, 71, 10, 25.0, 68.0, 80.0, 0, 4, 81, 81, 0, 0, 0, 0, 2, 36, 37, 5, 1.0, 79, 0, 0, 0, 0, 29, 63, 30.86, 83.95, 98.77, 13.599609375, 35.796875, 77.796875, 0, 4.8994140625, 100.0, 0.0, 2.5, 44.3984375, 45.6953125, 6.2, 1.2, 100.0, 97.5, 0.0, 0.0, 0.0, 0.0, 1721.0, 151.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "88", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=88", 100.0, 0.0, 0.0),
(5347, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 160, 473, 197, 372, 0, 255, 54, 27, 10, 10, 2, 80, 101, 21, 9, 5, 66, 372, 91, 0, 0, 255, 54, 27, 10, 10, 2, 80, 463, 88, 31, 61, 27, 57.0, 60.0, 74.0, 0, 12, 53, 38, 12, 3, 35, 2, 28, 16, 7, 0, 0.0, 16, 4, 3, 0, 0, 46, 46, 64.77, 68.18, 84.09, 35.1953125, 86.796875, 86.796875, 0, 22.59765625, 60.1953125, 3.7998046875, 52.796875, 30.19921875, 13.19921875, 0.0, 0.0, 71.6875, 30.19921875, 22.59765625, 7.5, 5.69921875, 5.69921875, 276.0, 60.0, 15.0, 5.0, 136.0, "Tous les candidats", 372.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9702", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9702&g_ta_cod=9702", 70.0, 20.0, 7.0),
(5348, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "PASS", "Université de Montpellier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 15, 2547, 1881, 2547, 0, 1708, 354, 102, 41, 34, 18, 703, 0, 0, 0, 0, 0, 2547, 0, 0, 0, 1708, 354, 102, 41, 34, 18, 703, 218, 14, 14, 14, 0, 0.0, 1.0, 12.0, 0, 5, 12, 12, 0, 0, 2, 0, 1, 5, 5, 1, 0.0, 11, 0, 0, 0, 0, 11, 11, 0.0, 7.14, 85.71, 100.0, 91.6875, 91.6875, 0, 41.6953125, 85.6875, 0.0, 8.298828125, 41.6953125, 41.6953125, 8.3, 0.0, 100.0, 91.6875, 0.0, 0.0, 0.0, 0.0, 182.0, 37.0, 0.0, 0.0, 36.0, "Tous les candidats", 2759.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "31859", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27370&g_ta_cod=31859", 100.0, 0.0, 0.0),
(5349, "Public", "0750647W", "Lycée Turgot", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "CPGE", "Lycée Turgot - CPGE - ENS Rennes D1", "Classe préparatoire économique et commerciale", "", 48, 2657, 1889, 2657, 441, 2459, 311, 18, 4, 3, 2, 177, 0, 0, 0, 0, 0, 1719, 0, 322, 1579, 1680, 242, 4, 2, 0, 0, 35, 272, 50, 42, 50, 0, 14.0, 43.0, 49.0, 3, 6, 48, 48, 0, 0, 2, 0, 0, 0, 10, 36, 2.0, 48, 0, 0, 0, 0, 11, 25, 28.0, 86.0, 98.0, 84.0, 22.8984375, 52.09375, 0, 12.5, 96.0, 0.0, 0.0, 0.0, 20.796875, 75.0, 4.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 264.0, 33.0, 0.0, 0.0, 8.0, "Tous les candidats", 371.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "8948", "CPGE - ENS Rennes D1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8948&g_ta_cod=8948", 100.0, 0.0, 0.0),
(5350, "Public", "0750672Y", "Esaa Duperré", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "CPGE", "Esaa Duperré - CPGE - Ecole normale supérieure Paris Saclay ? arts et design", "Classe préparatoire scientifique", "", 24, 492, 393, 492, 83, 319, 41, 73, 14, 13, 2, 87, 0, 0, 0, 0, 0, 491, 0, 68, 487, 318, 41, 73, 14, 13, 2, 87, 60, 24, 19, 24, 0, 7.0, 22.0, 23.0, 1, 6, 23, 14, 9, 0, 1, 0, 0, 5, 6, 9, 3.0, 14, 9, 0, 0, 0, 5, 7, 29.17, 91.67, 95.83, 79.1875, 21.69921875, 30.3984375, 0, 26.09765625, 95.796875, 0.0, 0.0, 21.69921875, 26.09765625, 39.1, 13.0, 60.8984375, 60.8984375, 39.09375, 39.09375, 0.0, 0.0, 33.0, 5.0, 0.0, 0.0, 2.0, "Tous les candidats", 74.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "9009", "CPGE - Ecole normale supérieure Paris Saclay ? arts et design", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9009&g_ta_cod=9009", 63.0, 38.0, 0.0),
(5351, "Public", "0751718K", "Université Paris 2 Panthéon - Assas", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation non sélective", "Licence", "Université Paris 2 Panthéon - Assas - Licence - Droit", "Licence - Droit-économie-gestion", "", 933, 14574, 10485, 14574, 0, 11600, 1836, 381, 122, 69, 34, 2524, 0, 0, 0, 0, 0, 14574, 0, 0, 0, 11600, 1836, 381, 122, 69, 34, 2524, 2393, 931, 705, 929, 0, 220.0, 817.0, 877.0, 0, 156, 919, 919, 0, 0, 12, 0, 0, 54, 544, 304, 17.0, 919, 0, 0, 0, 0, 352, 817, 23.63, 87.76, 94.2, 75.6875, 38.296875, 88.890625, 0, 17.0, 98.6875, 0.0, 0.0, 5.8994140625, 59.1953125, 33.1, 1.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 2374.0, 319.0, 0.0, 0.0, 19.0, "Tous les candidats", 2659.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "9220", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9220&g_ta_cod=9220", 100.0, 0.0, 0.0),
(5352, "Public", "0860038Z", "Lycée Aliénor d' Aquitaine", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée Aliénor d' Aquitaine - BTS - Services - Economie sociale familiale", "BTS - Services", "", 33, 889, 777, 889, 0, 107, 26, 246, 66, 257, 88, 279, 0, 0, 0, 0, 0, 533, 0, 0, 0, 66, 16, 110, 27, 227, 75, 130, 148, 32, 30, 32, 0, 4.0, 24.0, 26.0, 0, 7, 25, 4, 13, 8, 7, 0, 9, 12, 4, 0, 0.0, 3, 9, 4, 1, 1, 23, 23, 12.5, 75.0, 81.25, 93.796875, 92.0, 92.0, 4, 28.0, 78.09375, 0.0, 36.0, 48.0, 16.0, 0.0, 0.0, 16.0, 12.0, 52.0, 36.0, 32.0, 16.0, 11.0, 3.0, 60.0, 18.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 89, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 19.0, "10597", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10597&g_ta_cod=10597", 16.0, 47.0, 38.0),
(5353, "Privé sous contrat d'association", "0580071M", "Centre scolaire Notre-Dame", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "BTS", "Centre scolaire Notre-Dame - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 12, 78, 0, 76, 0, 19, 2, 14, 2, 33, 5, 10, 2, 0, 0, 1, 1, 70, 2, 0, 0, 19, 2, 14, 2, 31, 3, 6, 46, 12, 0, 10, 2, 5.0, 8.0, 9.0, 0, 3, 10, 3, 1, 6, 2, 0, 4, 3, 1, 2, 0.0, 1, 0, 5, 2, 0, 6, 6, 41.67, 66.67, 75.0, 0.0, 60.0, 60.0, 20, 30.0, 83.296875, 0.0, 40.0, 30.0, 10.0, 20.0, 0.0, 30.0, 10.0, 10.0, 0.0, 60.0, 50.0, 14.0, 2.0, 19.0, 3.0, 4.0, "Tous les candidats sauf les Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 80.0, "6704", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6704&g_ta_cod=6704", 33.0, 17.0, 50.0),
(5354, "Public", "0920802X", "Lycée Jean-Pierre Vernant", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sèvres", "formation sélective", "Autre formation", "Lycée Jean-Pierre Vernant - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 835, 367, 766, 0, 328, 99, 188, 80, 15, 11, 235, 69, 12, 16, 1, 40, 350, 4, 0, 0, 210, 54, 91, 34, 0, 0, 49, 218, 34, 15, 32, 2, 3.0, 24.0, 30.0, 0, 9, 27, 22, 5, 0, 7, 0, 14, 10, 3, 0, 0.0, 9, 4, 0, 0, 0, 22, 26, 8.82, 70.59, 88.24, 44.09375, 81.5, 96.296875, 0, 33.296875, 79.390625, 0.0, 51.8984375, 37.0, 11.099609375, 0.0, 0.0, 81.5, 33.296875, 18.5, 14.798828125, 0.0, 0.0, 133.0, 38.0, 0.0, 0.0, 46.0, "Tous les candidats", 341.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "11039", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11039&g_ta_cod=11039", 85.0, 15.0, 0.0),
(5355, "Public", "0150006A", "Lycée Jean Monnet - Mermoz", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "BTS", "Lycée Jean Monnet - Mermoz - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 207, 28, 207, 0, 8, 1, 36, 11, 37, 6, 126, 0, 0, 0, 0, 0, 89, 0, 0, 0, 8, 1, 36, 11, 37, 6, 8, 47, 14, 1, 14, 0, 3.0, 14.0, 14.0, 0, 4, 14, 1, 7, 6, 0, 0, 7, 6, 1, 0, 0.0, 0, 2, 5, 13, 1, 13, 13, 21.43, 100.0, 100.0, 7.099609375, 92.890625, 92.890625, 92.890625, 28.59765625, 100.0, 0.0, 50.0, 42.8984375, 7.099609375, 0.0, 0.0, 7.099609375, 0.0, 50.0, 14.298828125, 42.8984375, 35.6953125, 5.0, 1.0, 24.0, 2.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 29.0, "2948", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2948&g_ta_cod=2948", 7.0, 50.0, 43.0),
(5356, "Public", "0572027U", "Lycée Rosa Parks", "57", "Moselle", "Grand Est", "Nancy-Metz", "Thionville", "formation sélective", "BTS", "Lycée Rosa Parks - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 391, 339, 341, 0, 23, 7, 115, 39, 108, 39, 95, 50, 1, 3, 20, 26, 152, 4, 0, 0, 10, 2, 71, 22, 52, 17, 19, 121, 19, 18, 15, 3, 1.0, 11.0, 12.0, 0, 3, 15, 0, 11, 4, 4, 0, 10, 5, 0, 0, 0.0, 0, 2, 3, 8, 8, 14, 14, 5.26, 57.89, 63.16, 94.6875, 93.296875, 93.296875, 53.296875, 20.0, 78.890625, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 73.296875, 13.298828125, 26.69921875, 20.0, 7.0, 2.0, 44.0, 11.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 40.0, "20021", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20021&g_ta_cod=20021", 5.0, 68.0, 26.0),
(5357, "Privé sous contrat d'association", "0690564N", "Institution des Chartreux", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "CPGE", "Institution des Chartreux - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 18, 1080, 506, 1073, 819, 968, 43, 1, 1, 0, 0, 104, 7, 3, 0, 0, 4, 418, 0, 359, 354, 416, 12, 0, 0, 0, 0, 2, 205, 15, 7, 15, 0, 0.0, 7.0, 15.0, 10, 1, 15, 15, 0, 0, 0, 0, 0, 0, 6, 9, 0.0, 15, 0, 0, 0, 0, 7, 7, 0.0, 46.67, 100.0, 46.6953125, 46.6953125, 46.6953125, 0, 6.69921875, 100.0, 0.0, 0.0, 0.0, 40.0, 60.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 204.0, 3.0, 0.0, 0.0, 1.0, "Tous les candidats", 369.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "31320", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31320&g_ta_cod=31320", 100.0, 0.0, 0.0),
(5358, "Public", "0451462V", "Lycée Jacques Monod", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Saint-Jean-de-Braye", "formation sélective", "BTS", "Lycée Jacques Monod - BTS - Production - Biotechnologies", "BTS - Production", "", 30, 532, 331, 532, 0, 110, 13, 190, 39, 19, 7, 213, 0, 0, 0, 0, 0, 406, 0, 0, 0, 110, 13, 185, 37, 19, 7, 92, 138, 28, 19, 28, 0, 4.0, 22.0, 27.0, 0, 3, 23, 5, 18, 0, 5, 0, 5, 13, 5, 0, 0.0, 4, 14, 0, 7, 5, 17, 17, 14.29, 78.57, 96.43, 67.890625, 73.890625, 73.890625, 30.3984375, 13.0, 82.09375, 0.0, 21.69921875, 56.5, 21.69921875, 0.0, 0.0, 21.69921875, 17.3984375, 78.296875, 60.8984375, 0.0, 0.0, 32.0, 7.0, 2.0, 1.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 134, "Liste d'appel propre à cette formation", 39.0, "5734", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5734&g_ta_cod=5734", 21.0, 75.0, 4.0),
(5359, "Public", "0754247J", "I.U.T de Paris Descartes", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "BUT", "I.U.T de Paris Descartes - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Parcours : Déploiement d'applications communicantes et sécurisées - Parcours : Administration, gestion et exploitation des données", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Parcours : Déploiement d'applications communicantes et sécurisées - Parcours : Administration, gestion et exploitation des données", 168, 4015, 465, 4015, 0, 2363, 565, 893, 290, 22, 13, 737, 0, 0, 0, 0, 0, 1730, 0, 0, 0, 1267, 275, 298, 95, 0, 0, 165, 511, 166, 17, 166, 0, 42.0, 151.0, 162.0, 0, 47, 152, 70, 82, 0, 14, 0, 10, 57, 70, 15, 0.0, 67, 75, 0, 0, 0, 39, 136, 25.3, 90.96, 97.59, 10.19921875, 25.69921875, 89.5, 0, 30.8984375, 91.59375, 0.0, 6.599609375, 37.5, 46.09375, 9.9, 0.0, 46.09375, 44.09375, 53.8984375, 49.296875, 0.0, 0.0, 284.0, 79.0, 0.0, 0.0, 45.0, "Tous les candidats sauf les Bac technologiques", 530.0, "Bacheliers technologiques toutes séries", 220, "", 0, "Liste d'appel propre à cette formation", 19.0, "9515", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Parcours : Déploiement d'applications communicantes et sécurisées - Parcours : Administration, gestion et exploitation des données", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9515&g_ta_cod=9515", 50.0, 50.0, 0.0),
(5360, "Public", "0920163C", "Lycée professionnel Louis Girard", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Malakoff", "formation sélective", "Autre formation", "Lycée professionnel Louis Girard - Mention complémentaire - Maquettes et prototypes", "Mention complémentaire", "", 12, 78, 19, 78, 0, 3, 1, 7, 2, 34, 11, 34, 0, 0, 0, 0, 0, 49, 0, 0, 0, 1, 0, 4, 0, 17, 6, 27, 31, 11, 5, 11, 0, 3.0, 7.0, 11.0, 0, 2, 5, 0, 0, 5, 6, 0, 1, 1, 1, 2, 0.0, 0, 0, 4, 0, 0, 4, 5, 27.27, 63.64, 100.0, 45.5, 80.0, 100.0, 0, 40.0, 45.5, 0.0, 20.0, 20.0, 20.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 11.0, 4.0, 20.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "13406", "Mention complémentaire - Maquettes et prototypes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13406&g_ta_cod=13406", 27.0, 9.0, 64.0),
(5361, "Public", "0911251R", "Lycée du Parc des Loges", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "CPGE", "Lycée du Parc des Loges - CPGE - MPSI", "Classe préparatoire scientifique", "", 40, 757, 216, 757, 0, 503, 109, 6, 2, 0, 0, 248, 0, 0, 0, 0, 0, 454, 0, 0, 454, 350, 68, 0, 0, 0, 0, 104, 280, 38, 15, 38, 0, 1.0, 21.0, 37.0, 0, 3, 16, 16, 0, 0, 22, 0, 3, 3, 8, 1, 1.0, 13, 0, 0, 4, 1, 13, 14, 2.63, 55.26, 97.37, 39.5, 81.296875, 87.5, 25, 18.796875, 42.09375, 0.0, 18.796875, 18.796875, 50.0, 6.3, 6.3, 100.0, 81.296875, 0.0, 0.0, 0.0, 0.0, 231.0, 42.0, 0.0, 0.0, 49.0, "Tous les candidats", 359.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "10926", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10926&g_ta_cod=10926", 100.0, 0.0, 0.0),
(5362, "Public", "0791062A", "Lycée de la Venise Verte", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "CPGE", "Lycée de la Venise Verte - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 34, 212, 91, 201, 103, 0, 0, 147, 42, 0, 0, 54, 11, 0, 6, 0, 5, 167, 7, 77, 154, 0, 0, 147, 42, 0, 0, 20, 125, 24, 6, 24, 0, 4.0, 22.0, 23.0, 5, 7, 19, 0, 19, 0, 5, 0, 7, 5, 7, 0, 0.0, 0, 12, 0, 3, 0, 14, 14, 16.67, 91.67, 95.83, 25.0, 73.6875, 73.6875, 15.798828125, 36.796875, 79.1875, 0.0, 36.796875, 26.296875, 36.796875, 0.0, 0.0, 0.0, 0.0, 100.0, 63.1953125, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 13.0, "Tous les candidats", 167.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "10130", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10130&g_ta_cod=10130", 0.0, 100.0, 0.0),
(5363, "Public", "0180887S", "Université d'Orléans - Collegium Droit - Antenne de Bourges", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation non sélective", "Licence", "Université d'Orléans - Collegium Droit - Antenne de Bourges - Licence - Portail Droit - parcours Droit général", "Licence - Droit-économie-gestion", "parcours Droit général", 150, 898, 664, 867, 0, 569, 152, 126, 39, 39, 23, 133, 31, 5, 3, 1, 22, 855, 29, 0, 0, 569, 152, 126, 39, 39, 23, 121, 885, 146, 100, 139, 7, 136.0, 136.0, 136.0, 0, 36, 120, 87, 27, 6, 26, 2, 60, 43, 14, 1, 0.0, 42, 12, 4, 0, 0, 92, 92, 93.15, 93.15, 93.15, 68.5, 76.6875, 76.6875, 0, 30.0, 82.1875, 1.699951171875, 50.0, 35.796875, 11.69921875, 0.8, 0.0, 72.5, 35.0, 22.5, 10.0, 5.0, 3.2998046875, 574.0, 153.0, 40.0, 23.0, 142.0, "Tous les candidats", 917.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "3129", "Licence - Portail Droit - parcours Droit général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31813&g_ta_cod=3129", 71.0, 22.0, 8.0),
(5364, "Public", "0690128P", "Lycée Edouard Branly", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée Edouard Branly - CPGE - TSI", "Classe préparatoire scientifique", "", 40, 470, 47, 470, 0, 0, 0, 431, 102, 0, 0, 39, 0, 0, 0, 0, 0, 291, 0, 0, 291, 0, 0, 281, 59, 0, 0, 10, 217, 39, 3, 39, 0, 23.0, 39.0, 39.0, 0, 8, 36, 0, 36, 0, 3, 0, 0, 9, 20, 7, 0.0, 0, 36, 0, 3, 0, 22, 22, 58.97, 100.0, 100.0, 7.69921875, 61.09375, 61.09375, 8.298828125, 22.19921875, 92.296875, 0.0, 0.0, 25.0, 55.59375, 19.4, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 9.0, "Tous les candidats", 291.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "8247", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8247&g_ta_cod=8247", 0.0, 100.0, 0.0),
(5365, "Privé sous contrat d'association", "0260074P", "Lycée Montplaisir", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "Autre formation", "Lycée Montplaisir - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 304, 143, 285, 0, 125, 18, 71, 23, 4, 0, 85, 19, 4, 3, 2, 10, 218, 7, 0, 0, 108, 12, 67, 21, 0, 0, 43, 174, 30, 15, 28, 2, 7.0, 23.0, 27.0, 0, 7, 24, 17, 7, 0, 6, 0, 11, 10, 2, 1, 0.0, 10, 3, 0, 0, 0, 21, 21, 23.33, 76.67, 90.0, 50.0, 87.5, 87.5, 0, 29.19921875, 80.0, 0.0, 45.796875, 41.6953125, 8.298828125, 4.2, 0.0, 70.796875, 41.6953125, 29.19921875, 12.5, 0.0, 0.0, 76.0, 7.0, 0.0, 0.0, 43.0, "Tous les candidats", 216.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "3636", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3636&g_ta_cod=3636", 70.0, 30.0, 0.0),
(5366, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe - Mineure Didactique du français langue étrangère", "Licence - Arts-lettres-langues", "Arabe - Mineure Didactique du français langue étrangère", 6, 67, 46, 67, 0, 19, 10, 4, 3, 6, 5, 38, 0, 0, 0, 0, 0, 60, 0, 0, 0, 19, 10, 4, 3, 6, 5, 31, 30, 5, 3, 5, 0, 0.0, 5.0, 5.0, 0, 0, 1, 1, 0, 0, 4, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 1, 0.0, 100.0, 100.0, 60.0, 0.0, 100.0, 0, 0.0, 20.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 12.0, 6.0, 4.0, 3.0, 12.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "24028", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe - Mineure Didactique du français langue étrangère", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24028&g_ta_cod=24028", 60.0, 20.0, 0.0),
(5367, "Public", "0290018M", "Lycée agricole de Brehoulou", "29", "Finistère", "Bretagne", "Rennes", "Fouesnant", "formation sélective", "BTS", "Lycée agricole de Brehoulou - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 27, 178, 66, 174, 0, 12, 3, 35, 7, 53, 11, 74, 4, 0, 0, 4, 0, 105, 2, 0, 0, 12, 3, 35, 7, 53, 11, 5, 88, 22, 5, 22, 0, 5.0, 22.0, 22.0, 0, 3, 21, 0, 8, 13, 1, 0, 9, 8, 4, 0, 0.0, 0, 5, 7, 12, 3, 20, 20, 22.73, 100.0, 100.0, 22.69921875, 95.1875, 95.1875, 57.09375, 14.298828125, 95.5, 0.0, 42.8984375, 38.09375, 19.0, 0.0, 0.0, 0.0, 0.0, 38.09375, 23.796875, 61.8984375, 33.296875, 6.0, 1.0, 48.0, 10.0, 5.0, "Tous les candidats sauf les Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 53, "", 0, "Liste d'appel propre à cette formation", 60.0, "3779", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3779&g_ta_cod=3779", 5.0, 36.0, 59.0),
(5368, "Public", "0690274Y", "IUT Lyon1 Site de Villeurbanne Doua", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "BUT", "IUT Lyon1 Site de Villeurbanne Doua - BUT - Gestion des entreprises et des administrations Parcours : Contrôle de gestion et pilotage de la performance - Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "BUT - Service", "Contrôle de gestion et pilotage de la performance - Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", 161, 4858, 2353, 4858, 0, 2646, 401, 1385, 429, 52, 25, 775, 0, 0, 0, 0, 0, 2956, 0, 0, 0, 1691, 233, 878, 247, 0, 0, 387, 566, 162, 93, 162, 0, 65.0, 137.0, 149.0, 0, 26, 128, 53, 75, 0, 34, 0, 7, 56, 59, 6, 0.0, 49, 72, 0, 0, 0, 103, 103, 40.12, 84.57, 91.98, 57.3984375, 80.5, 80.5, 0, 20.296875, 79.0, 0.0, 5.5, 43.796875, 46.09375, 4.7, 0.0, 41.3984375, 38.296875, 58.59375, 56.296875, 0.0, 0.0, 248.0, 59.0, 0.0, 0.0, 99.0, "Tous les candidats sauf les Bac technologiques", 471.0, "Bacheliers technologiques toutes séries", 343, "", 0, "Liste d'appel propre à cette formation", 17.0, "8279", "BUT - Gestion des entreprises et des administrations Parcours : Contrôle de gestion et pilotage de la performance - Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8279&g_ta_cod=8279", 49.0, 51.0, 0.0),
(5369, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : Italien Monolingue et Bilingue", "Licence - Arts-lettres-langues", "LLCER : Italien Monolingue et Bilingue", 65, 61, 42, 38, 0, 21, 2, 3, 3, 2, 1, 12, 23, 3, 4, 0, 16, 38, 20, 0, 0, 21, 2, 3, 3, 2, 1, 12, 58, 9, 7, 6, 3, 6.0, 6.0, 8.0, 0, 2, 3, 2, 1, 0, 6, 0, 2, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 66.67, 66.67, 88.89, 77.796875, 66.6875, 66.6875, 0, 66.6875, 33.296875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 24.0, 4.0, 2.0, 1.0, 25.0, "Tous les candidats", 38.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5564", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : Italien Monolingue et Bilingue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5564&g_ta_cod=5564", 67.0, 33.0, 0.0),
(5370, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation sélective", "Licence", "Université Gustave Eiffel - Licence - Arts - Parcours ARTS : Etudes visuelles, médias et arts numériques", "Licence - Arts-lettres-langues", "ARTS : Etudes visuelles, médias et arts numériques", 60, 1240, 770, 1240, 0, 685, 134, 136, 38, 64, 20, 355, 0, 0, 0, 0, 0, 1240, 0, 0, 0, 685, 134, 136, 38, 64, 20, 355, 233, 59, 38, 58, 0, 6.0, 46.0, 51.0, 0, 8, 45, 42, 1, 2, 14, 0, 4, 18, 22, 1, 0.0, 38, 1, 2, 0, 0, 24, 33, 10.17, 77.97, 86.44, 64.390625, 53.296875, 73.296875, 0, 17.796875, 76.296875, 0.0, 8.8984375, 40.0, 48.8984375, 2.2, 0.0, 93.296875, 84.390625, 2.19970703125, 2.19970703125, 4.3994140625, 4.3994140625, 191.0, 39.0, 7.0, 3.0, 30.0, "Tous les candidats", 299.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "9922", "Licence - Arts - Parcours ARTS : Etudes visuelles, médias et arts numériques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9922&g_ta_cod=9922", 88.0, 3.0, 8.0),
(5371, "Public", "0530011Z", "Lycée Douanier Rousseau", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "Lycée Douanier Rousseau - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 264, 183, 213, 0, 18, 2, 102, 34, 62, 34, 31, 51, 7, 1, 21, 22, 128, 6, 0, 0, 15, 1, 70, 23, 31, 18, 12, 77, 19, 14, 16, 2, 3.0, 13.0, 17.0, 0, 7, 13, 1, 8, 4, 6, 0, 5, 8, 0, 0, 0.0, 0, 6, 2, 5, 4, 10, 10, 15.79, 68.42, 89.47, 73.6875, 76.890625, 76.890625, 38.5, 53.796875, 68.390625, 0.0, 38.5, 61.5, 0.0, 0.0, 0.0, 7.69921875, 0.0, 61.5, 46.1953125, 30.796875, 15.3984375, 14.0, 1.0, 23.0, 18.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 50.0, "6196", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6196&g_ta_cod=6196", 5.0, 63.0, 32.0),
(5372, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues étrangères appliquées - Parcours Allemand / Espagnol", "Licence - Arts-lettres-langues", "Allemand / Espagnol", 25, 107, 69, 8, 0, 1, 1, 0, 0, 5, 3, 2, 99, 8, 12, 16, 63, 8, 53, 0, 0, 1, 1, 0, 0, 5, 3, 2, 61, 17, 10, 3, 14, 3.0, 3.0, 5.0, 0, 3, 6, 0, 2, 4, 11, 0, 3, 2, 1, 0, 0.0, 0, 1, 2, 0, 0, 3, 5, 17.65, 17.65, 29.41, 58.796875, 50.0, 83.296875, 0, 50.0, 35.296875, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 33.296875, 16.69921875, 66.6875, 33.296875, 4.0, 1.0, 11.0, 5.0, 40.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "28186", "Licence - Langues étrangères appliquées - Parcours Allemand / Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28186&g_ta_cod=28186", 12.0, 35.0, 53.0),
(5373, "Public", "0800009A", "Lycée Louis Thuillier", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "CPGE", "Lycée Louis Thuillier - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 1225, 352, 1224, 854, 865, 112, 2, 1, 0, 0, 357, 1, 0, 0, 0, 1, 675, 0, 526, 548, 604, 70, 0, 0, 0, 0, 71, 287, 47, 9, 47, 0, 1.0, 32.0, 45.0, 20, 6, 42, 42, 0, 0, 5, 0, 0, 1, 24, 16, 1.0, 42, 0, 0, 2, 1, 31, 31, 2.13, 68.09, 95.74, 19.09765625, 73.796875, 73.796875, 4.7998046875, 14.298828125, 89.390625, 0.0, 0.0, 2.39990234375, 57.09375, 38.1, 2.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 268.0, 26.0, 0.0, 0.0, 19.0, "Tous les candidats", 515.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "10150", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10150&g_ta_cod=10150", 100.0, 0.0, 0.0),
(5374, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence_Las", "Université Côte d'Azur - Licence - Portail Lettres", "Licence - Arts-lettres-langues", "", 45, 288, 224, 198, 0, 61, 21, 11, 8, 13, 7, 113, 90, 22, 8, 1, 59, 194, 86, 0, 0, 61, 21, 11, 8, 13, 7, 109, 251, 43, 36, 19, 24, 1.0, 19.0, 28.0, 0, 4, 18, 13, 4, 1, 25, 0, 8, 6, 4, 0, 0.0, 8, 1, 1, 0, 0, 13, 13, 2.33, 44.19, 65.12, 83.6875, 72.1875, 72.1875, 0, 22.19921875, 41.8984375, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 72.1875, 44.3984375, 22.19921875, 5.599609375, 5.599609375, 5.599609375, 75.0, 20.0, 7.0, 1.0, 153.0, "Tous les candidats", 623.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "27481", "Licence - Portail Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27480&g_ta_cod=27481", 67.0, 21.0, 9.0),
(5375, "Public", "0370035M", "Lycée Descartes", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "CPGE", "Lycée Descartes - CPGE - MP2I", "Classe préparatoire scientifique", "", 48, 1562, 275, 1562, 1217, 1332, 163, 8, 1, 4, 1, 218, 0, 0, 0, 0, 0, 1116, 0, 726, 823, 1082, 136, 3, 1, 2, 1, 29, 197, 46, 5, 46, 0, 6.0, 29.0, 45.0, 20, 5, 45, 45, 0, 0, 1, 0, 0, 0, 14, 28, 3.0, 45, 0, 0, 0, 0, 15, 15, 13.04, 63.04, 97.83, 10.8984375, 33.296875, 33.296875, 0, 11.099609375, 97.796875, 0.0, 0.0, 0.0, 31.09765625, 62.2, 6.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 195.0, 22.0, 0.0, 0.0, 2.0, "Tous les candidats", 329.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "32118", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32118&g_ta_cod=32118", 100.0, 0.0, 0.0),
(5376, "Public", "0311323V", "Lycée Rive Gauche", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée Rive Gauche - DN MADE - Innovation sociale - - Spécialité : Design social et de médiation", "DN MADE", "- Spécialité : Design social et de médiation", 15, 243, 192, 243, 0, 86, 22, 81, 19, 8, 3, 68, 0, 0, 0, 0, 0, 140, 0, 0, 0, 51, 12, 69, 15, 1, 0, 19, 74, 15, 12, 15, 0, 1.0, 14.0, 15.0, 0, 2, 13, 5, 8, 0, 2, 0, 1, 7, 4, 1, 0.0, 5, 7, 0, 0, 0, 2, 2, 6.67, 93.33, 100.0, 80.0, 15.3984375, 15.3984375, 0, 15.3984375, 86.6875, 0.0, 7.69921875, 53.796875, 30.796875, 7.7, 0.0, 38.5, 38.5, 61.5, 53.796875, 0.0, 0.0, 20.0, 4.0, 0.0, 0.0, 8.0, "Tous les candidats", 104.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "21694", "DN MADE - Innovation sociale - - Spécialité : Design social et de médiation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21694&g_ta_cod=21694", 40.0, 60.0, 0.0),
(5377, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence_Las", "Université de Lorraine - Site de Metz - Licence - Portail Portail Economie - Gestion", "Licence - Droit-économie-gestion", "Portail Economie - Gestion", 40, 395, 213, 345, 0, 199, 58, 35, 12, 9, 6, 102, 50, 17, 8, 2, 23, 335, 43, 0, 0, 199, 58, 35, 12, 9, 6, 92, 273, 38, 22, 27, 11, 0.0, 18.0, 27.0, 0, 13, 30, 17, 9, 4, 8, 1, 19, 8, 2, 0, 0.0, 8, 2, 0, 0, 0, 24, 24, 0.0, 47.37, 71.05, 57.8984375, 80.0, 80.0, 0, 43.296875, 78.890625, 3.2998046875, 63.296875, 26.69921875, 6.69921875, 0.0, 0.0, 56.6953125, 26.69921875, 30.0, 6.69921875, 13.298828125, 0.0, 156.0, 46.0, 8.0, 6.0, 81.0, "Tous les candidats", 1448.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "26938", "Licence - Portail Portail Economie - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26937&g_ta_cod=26938", 61.0, 26.0, 11.0),
(5378, "Privé sous contrat d'association", "0592921E", "Lycée Saint Rémi", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Saint Rémi - BTS - Production - Electrotechnique", "BTS - Production", "", 22, 113, 4, 95, 0, 10, 3, 26, 11, 37, 15, 22, 18, 1, 1, 6, 10, 53, 7, 0, 0, 7, 1, 17, 6, 25, 11, 4, 47, 12, 0, 11, 1, 9.0, 11.0, 11.0, 0, 6, 11, 0, 5, 6, 1, 0, 1, 5, 3, 2, 0.0, 0, 4, 6, 5, 0, 11, 11, 75.0, 91.67, 91.67, 0.0, 100.0, 100.0, 45.5, 54.5, 91.6875, 0.0, 9.099609375, 45.5, 27.296875, 18.2, 0.0, 0.0, 0.0, 45.5, 36.3984375, 54.5, 54.5, 8.0, 1.0, 19.0, 9.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 47.0, "6902", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6902&g_ta_cod=6902", 8.0, 42.0, 50.0),
(5379, "Privé sous contrat d'association", "0573770N", "LYCEE GEN.ET TECHNOL.PRIVE LYCEE PRIVE ST ETIENNE", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "LYCEE GEN.ET TECHNOL.PRIVE LYCEE PRIVE ST ETIENNE - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 35, 220, 215, 209, 0, 29, 3, 54, 15, 64, 17, 62, 11, 2, 0, 2, 7, 103, 1, 0, 0, 13, 1, 24, 6, 33, 5, 33, 88, 28, 27, 27, 1, 12.0, 25.0, 25.0, 0, 7, 18, 4, 2, 12, 10, 0, 1, 9, 6, 2, 0.0, 3, 2, 12, 1, 1, 16, 16, 42.86, 89.29, 89.29, 96.390625, 88.890625, 88.890625, 5.599609375, 38.8984375, 64.296875, 0.0, 5.599609375, 50.0, 33.296875, 11.1, 0.0, 22.19921875, 16.69921875, 11.099609375, 11.099609375, 66.6875, 66.6875, 13.0, 1.0, 32.0, 5.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 42.0, "6673", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6673&g_ta_cod=6673", 29.0, 18.0, 54.0),
(5380, "Public", "0641919I", "ISA BTP", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation sélective", "Ecole d'Ingénieur", "ISA BTP - Formation d'ingénieur Bac + 5 - bac S,STI2D", "Formations  des écoles d'ingénieurs", "bac S,STI2D", 48, 452, 97, 452, 0, 326, 24, 54, 8, 0, 0, 72, 0, 0, 0, 0, 0, 218, 0, 0, 0, 203, 16, 7, 1, 0, 0, 8, 108, 48, 16, 48, 0, 12.0, 46.0, 48.0, 0, 4, 46, 46, 0, 0, 2, 0, 0, 1, 33, 11, 1.0, 46, 0, 0, 0, 0, 31, 31, 25.0, 95.83, 100.0, 33.296875, 67.390625, 67.390625, 0, 8.69921875, 95.796875, 0.0, 0.0, 2.19970703125, 71.6875, 23.9, 2.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 101.0, 11.0, 0.0, 0.0, 3.0, "Tous les candidats", 118.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "7796", "Formation d'ingénieur Bac + 5 - bac S,STI2D", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7796&g_ta_cod=7796", 100.0, 0.0, 0.0),
(5381, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence", "Institut national universitaire Champollion - Licence - Portail Mathématiques", "Licence - Sciences - technologies - santé", "", 40, 334, 110, 305, 0, 225, 49, 8, 0, 2, 1, 70, 29, 6, 2, 0, 21, 305, 24, 0, 0, 225, 49, 8, 0, 2, 1, 70, 262, 28, 10, 22, 6, 2.0, 21.0, 25.0, 0, 4, 16, 15, 1, 0, 12, 0, 4, 6, 4, 1, 1.0, 11, 1, 0, 0, 0, 13, 13, 7.14, 75.0, 89.29, 35.6953125, 81.296875, 81.296875, 0, 25.0, 57.09375, 0.0, 25.0, 37.5, 25.0, 6.3, 6.3, 93.796875, 68.796875, 6.2998046875, 6.2998046875, 0.0, 0.0, 186.0, 38.0, 1.0, 0.0, 72.0, "Tous les candidats", 316.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "10311", "Licence - Portail Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31234&g_ta_cod=10311", 93.0, 7.0, 0.0),
(5382, "Public", "0801272Y", "Lycée agricole le Paraclet Amiens-Cottenchy", "80", "Somme", "Hauts-de-France", "Amiens", "Cottenchy", "formation sélective", "BTS", "Lycée agricole le Paraclet Amiens-Cottenchy - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 16, 115, 27, 103, 0, 15, 3, 37, 5, 10, 3, 41, 12, 1, 1, 0, 10, 57, 3, 0, 0, 15, 3, 25, 4, 6, 0, 11, 50, 9, 2, 9, 0, 1.0, 9.0, 9.0, 0, 1, 7, 2, 5, 0, 2, 0, 2, 5, 0, 0, 0.0, 1, 4, 0, 3, 0, 4, 4, 11.11, 100.0, 100.0, 22.19921875, 57.09375, 57.09375, 42.8984375, 14.298828125, 77.796875, 0.0, 28.59765625, 71.390625, 0.0, 0.0, 0.0, 28.59765625, 14.298828125, 71.390625, 57.09375, 0.0, 0.0, 15.0, 3.0, 7.0, 0.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 53.0, "10182", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10182&g_ta_cod=10182", 33.0, 67.0, 0.0),
(5383, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence", "Institut national universitaire Champollion - Licence - Portail Physique, chimie", "Licence - Sciences - technologies - santé", "", 25, 519, 283, 485, 0, 308, 53, 33, 5, 2, 0, 142, 34, 10, 3, 0, 21, 482, 32, 0, 0, 308, 53, 33, 5, 2, 0, 139, 323, 21, 5, 13, 7, 0.0, 8.0, 16.0, 0, 2, 8, 7, 1, 0, 13, 1, 2, 3, 2, 0, 0.0, 5, 0, 0, 0, 0, 5, 5, 0.0, 38.1, 76.19, 23.796875, 62.5, 62.5, 0, 25.0, 38.09375, 12.5, 25.0, 37.5, 25.0, 0.0, 0.0, 87.5, 62.5, 12.5, 0.0, 0.0, 0.0, 190.0, 28.0, 0.0, 0.0, 114.0, "Tous les candidats", 582.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "10309", "Licence - Portail Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29672&g_ta_cod=10309", 86.0, 14.0, 0.0),
(5384, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Espagnol et Gestion parcours Management et sciences humaines (MSH)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Espagnol et Gestion parcours Management et sciences humaines (MSH)", 15, 618, 460, 618, 0, 456, 48, 19, 6, 4, 3, 139, 0, 0, 0, 0, 0, 618, 0, 0, 0, 456, 48, 19, 6, 4, 3, 139, 60, 15, 14, 15, 0, 3.0, 13.0, 13.0, 0, 2, 12, 12, 0, 0, 3, 0, 0, 0, 6, 6, 0.0, 12, 0, 0, 0, 0, 2, 2, 20.0, 86.67, 86.67, 93.296875, 16.69921875, 16.69921875, 0, 16.69921875, 80.0, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 47.0, 8.0, 0.0, 0.0, 13.0, "Tous les candidats", 82.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "8518", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Espagnol et Gestion parcours Management et sciences humaines (MSH)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8518&g_ta_cod=8518", 100.0, 0.0, 0.0),
(5385, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Licence - Géographie et aménagement - Parcours Cursus master en ingénierie (CMI) : Transition, territoires, participation", "Licence - Sciences humaines et sociales", "Cursus master en ingénierie (CMI) : Transition, territoires, participation", 12, 84, 35, 84, 0, 56, 4, 3, 0, 0, 0, 25, 0, 0, 0, 0, 0, 73, 0, 0, 0, 51, 3, 2, 0, 0, 0, 20, 30, 12, 5, 12, 0, 4.0, 12.0, 12.0, 0, 2, 10, 10, 0, 0, 2, 0, 0, 4, 5, 1, 0.0, 10, 0, 0, 0, 0, 3, 7, 33.33, 100.0, 100.0, 41.6953125, 30.0, 70.0, 0, 20.0, 83.296875, 0.0, 0.0, 40.0, 50.0, 10.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 26.0, 2.0, 0.0, 0.0, 4.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "27084", "Licence - Géographie et aménagement - Parcours Cursus master en ingénierie (CMI) : Transition, territoires, participation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27084&g_ta_cod=27084", 100.0, 0.0, 0.0),
(5386, "Public", "0290070U", "Lycée Jean Chaptal", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Jean Chaptal - BTS - Services - Support à l'action managériale", "BTS - Services", "", 33, 396, 273, 379, 0, 26, 5, 128, 25, 101, 41, 124, 17, 5, 2, 1, 9, 288, 8, 0, 0, 26, 5, 125, 24, 92, 37, 45, 192, 23, 21, 20, 3, 0.0, 14.0, 18.0, 0, 5, 14, 0, 8, 6, 9, 0, 7, 7, 0, 0, 0.0, 0, 4, 3, 0, 0, 12, 12, 0.0, 60.87, 78.26, 91.296875, 85.6875, 85.6875, 0, 35.6953125, 60.8984375, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 57.09375, 28.59765625, 42.8984375, 21.3984375, 23.0, 4.0, 62.0, 26.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 91, "Bacheliers technologiques toutes séries", 111, "Liste d'appel propre à cette formation", 61.0, "3796", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3796&g_ta_cod=3796", 0.0, 52.0, 48.0),
(5387, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Université Toulouse 3 Paul Sabatier - C.M.I - Cursus Master en Ingénierie - Chimie - Cursus Master en Ingénierie Chimie", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie Chimie", 36, 700, 458, 667, 0, 403, 77, 11, 6, 0, 0, 253, 33, 8, 0, 0, 25, 335, 5, 0, 0, 218, 31, 0, 0, 0, 0, 117, 243, 24, 15, 21, 3, 4.0, 12.0, 23.0, 0, 3, 13, 13, 0, 0, 11, 0, 0, 0, 10, 3, 0.0, 13, 0, 0, 0, 0, 7, 7, 16.67, 50.0, 95.83, 62.5, 53.796875, 53.796875, 0, 23.09765625, 54.1953125, 0.0, 0.0, 0.0, 76.890625, 23.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 143.0, 24.0, 0.0, 0.0, 100.0, "Tous les candidats", 334.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "16749", "C.M.I - Cursus Master en Ingénierie - Chimie - Cursus Master en Ingénierie Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16749&g_ta_cod=16749", 100.0, 0.0, 0.0),
(5388, "Privé sous contrat d'association", "0131684K", "Lycée Jeanne Perrimond", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  7e  Arrondissement", "formation sélective", "CPGE", "Lycée Jeanne Perrimond - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 24, 145, 87, 127, 0, 0, 0, 105, 41, 0, 0, 22, 18, 0, 10, 0, 8, 84, 12, 0, 84, 0, 0, 83, 32, 0, 0, 1, 78, 5, 2, 3, 2, 3.0, 3.0, 4.0, 0, 2, 5, 0, 5, 0, 0, 0, 1, 4, 0, 0, 0.0, 0, 4, 0, 0, 0, 5, 5, 60.0, 60.0, 80.0, 40.0, 100.0, 100.0, 0, 40.0, 100.0, 0.0, 20.0, 80.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 6.0, "Tous les candidats", 84.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "2663", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2663&g_ta_cod=2663", 0.0, 100.0, 0.0),
(5389, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Arts - Parcours Cinéma et audiovisuel", "Licence - Arts-lettres-langues", "Cinéma et audiovisuel", 120, 2450, 1334, 2450, 0, 1458, 346, 157, 52, 94, 40, 741, 0, 0, 0, 0, 0, 2421, 0, 0, 0, 1458, 346, 157, 52, 94, 40, 712, 490, 120, 69, 120, 0, 9.0, 93.0, 110.0, 0, 35, 98, 91, 3, 4, 22, 0, 8, 34, 48, 8, 0.0, 85, 3, 2, 0, 0, 55, 55, 7.5, 77.5, 91.67, 57.5, 56.09375, 56.09375, 0, 35.6953125, 81.6875, 0.0, 8.19921875, 34.6953125, 49.0, 8.2, 0.0, 92.890625, 86.6875, 3.099609375, 3.099609375, 4.099609375, 2.0, 386.0, 82.0, 14.0, 6.0, 75.0, "Tous les candidats", 688.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "17854", "Licence - Arts - Parcours Cinéma et audiovisuel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17854&g_ta_cod=17854", 92.0, 3.0, 5.0),
(5390, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation non sélective", "Licence_Las", "Université Claude Bernard Lyon 1 - Licence - Portail portail Physique / Chimie / Sciences de l'Ingénieur", "Licence - Sciences - technologies - santé", "portail Physique / Chimie / Sciences de l'Ingénieur", 50, 2362, 1330, 2362, 0, 1285, 250, 67, 29, 2, 1, 1008, 0, 0, 0, 0, 0, 2346, 0, 0, 0, 1285, 250, 67, 29, 2, 1, 992, 547, 48, 27, 48, 0, 1.0, 9.0, 25.0, 0, 8, 14, 13, 1, 0, 34, 0, 3, 8, 3, 0, 0.0, 10, 1, 0, 0, 0, 14, 14, 2.08, 18.75, 52.08, 56.296875, 100.0, 100.0, 0, 57.09375, 29.19921875, 0.0, 21.3984375, 57.09375, 21.3984375, 0.0, 0.0, 92.890625, 71.390625, 7.099609375, 7.099609375, 0.0, 0.0, 235.0, 61.0, 0.0, 0.0, 307.0, "Tous les candidats", 2433.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 47.0, "27059", "Licence - Portail portail Physique / Chimie / Sciences de l'Ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27058&g_ta_cod=27059", 96.0, 4.0, 0.0),
(5391, "Public", "0751722P", "Sorbonne Université - Sciences et Ingénierie", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Sciences et Ingénierie - Licence - Portail Sciences de l'ingénieur", "Licence - Sciences - technologies - santé", "Sciences de l'ingénieur", 115, 4307, 1206, 4307, 0, 2765, 500, 210, 84, 8, 4, 1324, 0, 0, 0, 0, 0, 4307, 0, 0, 0, 2765, 500, 210, 84, 8, 4, 1324, 1104, 109, 33, 109, 0, 8.0, 56.0, 87.0, 0, 19, 72, 68, 4, 0, 37, 1, 4, 22, 25, 19, 1.0, 64, 3, 0, 0, 0, 16, 40, 7.34, 51.38, 79.82, 30.296875, 22.19921875, 55.59375, 0, 26.3984375, 66.09375, 1.39990234375, 5.599609375, 30.59765625, 34.6953125, 26.4, 1.4, 94.390625, 88.890625, 5.599609375, 4.19921875, 0.0, 0.0, 835.0, 150.0, 0.0, 0.0, 250.0, "Tous les candidats", 1732.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "30979", "Licence - Portail Sciences de l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31055&g_ta_cod=30979", 91.0, 8.0, 1.0),
(5392, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Portail Sciences de la vie - Parcours  classique", "Licence - Sciences - technologies - santé", "Parcours  classique", 264, 2150, 1457, 2087, 0, 1292, 217, 114, 30, 7, 1, 674, 63, 19, 6, 0, 38, 2081, 58, 0, 0, 1292, 217, 114, 30, 7, 1, 668, 1411, 246, 137, 222, 24, 14.0, 153.0, 204.0, 0, 36, 153, 136, 15, 2, 93, 1, 57, 62, 31, 2, 0.0, 84, 9, 2, 0, 0, 74, 74, 5.69, 62.2, 82.93, 55.6953125, 48.3984375, 48.3984375, 0, 23.5, 62.1953125, 0.699951171875, 37.296875, 40.5, 20.296875, 1.3, 0.0, 88.890625, 54.8984375, 9.798828125, 5.8994140625, 1.2998046875, 1.2998046875, 686.0, 151.0, 6.0, 0.0, 641.0, "Tous les candidats", 2242.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 89.0, "10703", "Licence - Portail Sciences de la vie - Parcours  classique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26933&g_ta_cod=10703", 88.0, 11.0, 1.0),
(5393, "Public", "0922472M", "Université Paris Nanterre - Ville-d'Avray", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Ville-d'Avray", "formation sélective", "Autre formation", "Université Paris Nanterre - Ville-d'Avray - C.M.I - Cursus Master en Ingénierie - Sciences pour l'ingénieur - Cursus Master en Ingénierie (CMI) : Ingénierie pour l'Aéronautique, les Transports et l'Energétique", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Ingénierie pour l'Aéronautique, les Transports et l'Energétique", 24, 882, 167, 846, 0, 567, 77, 23, 7, 7, 3, 249, 36, 4, 3, 1, 28, 469, 1, 0, 0, 365, 31, 0, 0, 0, 0, 104, 153, 23, 3, 21, 1, 1.0, 8.0, 16.0, 0, 2, 17, 16, 1, 0, 6, 0, 4, 8, 4, 1, 0.0, 13, 0, 0, 0, 0, 9, 14, 4.35, 34.78, 69.57, 13.0, 52.8984375, 82.390625, 0, 11.798828125, 73.890625, 0.0, 23.5, 47.09375, 23.5, 5.9, 0.0, 94.09375, 76.5, 5.8994140625, 0.0, 0.0, 0.0, 93.0, 13.0, 0.0, 0.0, 59.0, "Tous les candidats", 271.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "19393", "C.M.I - Cursus Master en Ingénierie - Sciences pour l'ingénieur - Cursus Master en Ingénierie (CMI) : Ingénierie pour l'Aéronautique, les Transports et l'Energétique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19393&g_ta_cod=19393", 96.0, 4.0, 0.0),
(5394, "Privé sous contrat d'association", "0802184P", "APRADIS - Site Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "EFTS", "APRADIS - Site Amiens - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 19, 212, 201, 212, 0, 36, 6, 50, 10, 28, 6, 98, 0, 0, 0, 0, 0, 139, 0, 0, 0, 28, 3, 27, 3, 14, 2, 70, 32, 19, 18, 19, 0, 9.0, 18.0, 18.0, 0, 1, 5, 2, 2, 1, 14, 0, 1, 2, 2, 0, 0.0, 1, 2, 1, 0, 0, 4, 4, 47.37, 94.74, 94.74, 94.6875, 80.0, 80.0, 0, 20.0, 26.296875, 0.0, 20.0, 40.0, 40.0, 0.0, 0.0, 40.0, 20.0, 40.0, 40.0, 20.0, 20.0, 4.0, 0.0, 1.0, 1.0, 24.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "25204", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25204&g_ta_cod=25204", 63.0, 26.0, 11.0),
(5395, "Public", "0771940R", "Lycée polyvalent de Noisiel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Noisiel", "formation sélective", "BTS", "Lycée polyvalent de Noisiel - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 22, 196, 22, 130, 0, 3, 1, 37, 13, 53, 27, 37, 66, 0, 22, 23, 21, 71, 26, 0, 0, 3, 1, 20, 3, 44, 20, 4, 92, 15, 2, 7, 8, 2.0, 7.0, 12.0, 0, 4, 14, 2, 4, 8, 1, 0, 6, 7, 1, 0, 0.0, 2, 0, 6, 0, 0, 13, 14, 13.33, 46.67, 80.0, 13.298828125, 92.890625, 100.0, 0, 28.59765625, 93.296875, 0.0, 42.8984375, 50.0, 7.099609375, 0.0, 0.0, 14.298828125, 14.298828125, 28.59765625, 0.0, 57.09375, 42.8984375, 3.0, 1.0, 48.0, 18.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 55.0, "9856", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9856&g_ta_cod=9856", 13.0, 33.0, 53.0),
(5396, "Public", "0260998U", "I.U.T de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BUT", "I.U.T de Valence - BUT - Réseaux et télécommunications Parcours : Cybersécurité", "BUT - Production", "Cybersécurité", 52, 1151, 98, 1141, 0, 598, 111, 307, 78, 16, 5, 220, 10, 0, 1, 1, 8, 704, 0, 0, 0, 415, 66, 194, 40, 0, 0, 95, 405, 52, 1, 52, 0, 16.0, 32.0, 47.0, 0, 10, 50, 32, 18, 0, 2, 0, 16, 25, 8, 1, 0.0, 20, 14, 0, 0, 0, 35, 35, 30.77, 61.54, 90.38, 1.89990234375, 70.0, 70.0, 0, 20.0, 96.1875, 0.0, 32.0, 50.0, 16.0, 2.0, 0.0, 64.0, 40.0, 36.0, 28.0, 0.0, 0.0, 196.0, 36.0, 0.0, 0.0, 56.0, "Tous les candidats sauf les Bac technologiques", 410.0, "Bacheliers technologiques toutes séries", 203, "", 0, "Liste d'appel propre à cette formation", 54.0, "3647", "BUT - Réseaux et télécommunications Parcours : Cybersécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3647&g_ta_cod=3647", 65.0, 35.0, 0.0),
(5397, "Public", "0940118T", "Lycée Louis Armand", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Nogent-sur-Marne", "formation sélective", "BTS", "Lycée Louis Armand - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 634, 16, 613, 0, 18, 6, 75, 28, 329, 152, 191, 21, 4, 0, 0, 17, 528, 1, 0, 0, 18, 6, 75, 28, 329, 152, 106, 132, 20, 0, 18, 0, 1.0, 14.0, 16.0, 0, 5, 14, 2, 2, 10, 6, 0, 3, 4, 6, 1, 0.0, 0, 1, 10, 5, 0, 13, 13, 5.0, 70.0, 80.0, 0.0, 92.890625, 92.890625, 35.6953125, 35.6953125, 70.0, 0.0, 21.3984375, 28.59765625, 42.8984375, 7.1, 0.0, 14.298828125, 0.0, 14.298828125, 7.099609375, 71.390625, 71.390625, 13.0, 4.0, 73.0, 28.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 134, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 32.0, "11383", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11383&g_ta_cod=11383", 20.0, 15.0, 65.0),
(5398, "Public", "0672462M", "I.U.T. de Schiltigheim", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Schiltigheim", "formation sélective", "BUT", "I.U.T. de Schiltigheim - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 60, 789, 502, 665, 0, 354, 50, 122, 42, 5, 1, 184, 124, 57, 0, 0, 67, 279, 29, 0, 0, 164, 20, 60, 12, 0, 0, 55, 236, 52, 33, 41, 11, 7.0, 38.0, 45.0, 0, 4, 30, 20, 10, 0, 22, 0, 3, 13, 13, 1, 0.0, 19, 8, 0, 0, 0, 26, 26, 13.46, 73.08, 86.54, 63.5, 86.6875, 86.6875, 0, 13.298828125, 57.6953125, 0.0, 10.0, 43.296875, 43.296875, 3.3, 0.0, 66.6875, 63.296875, 33.296875, 26.69921875, 0.0, 0.0, 128.0, 18.0, 0.0, 0.0, 63.0, "Tous les candidats sauf les Bac technologiques", 212.0, "Bacheliers technologiques toutes séries", 69, "", 0, "Liste d'appel propre à cette formation", 42.0, "8003", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8003&g_ta_cod=8003", 77.0, 23.0, 0.0),
(5399, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence_Las", "Université des Antilles - Pôle Martinique - Licence - Portail Economie et gestion - Comptabilité, contrôle, audit  / Monnaie-Banque-Finance / Management des entreprises / Economie et politique publique - Martinique", "Licence - Droit-économie-gestion", "Comptabilité, contrôle, audit  / Monnaie-Banque-Finance / Management des entreprises / Economie et politique publique - Martinique", 20, 198, 109, 188, 0, 105, 37, 26, 13, 10, 7, 47, 10, 1, 2, 0, 7, 188, 9, 0, 0, 105, 37, 26, 13, 10, 7, 47, 122, 20, 11, 15, 5, 1.0, 15.0, 17.0, 0, 3, 9, 5, 3, 1, 11, 0, 6, 1, 1, 1, 0.0, 3, 0, 0, 0, 0, 7, 7, 5.0, 75.0, 85.0, 55.0, 77.796875, 77.796875, 0, 33.296875, 45.0, 0.0, 66.6875, 11.099609375, 11.099609375, 11.1, 0.0, 55.59375, 33.296875, 33.296875, 0.0, 11.099609375, 0.0, 71.0, 22.0, 6.0, 4.0, 34.0, "Tous les candidats", 677.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "26911", "Licence - Portail Economie et gestion - Comptabilité, contrôle, audit  / Monnaie-Banque-Finance / Management des entreprises / Economie et politique publique - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26910&g_ta_cod=26911", 65.0, 25.0, 10.0),
(5400, "Public", "0120937D", "L.E.G.T.A. Rodez-La Roque", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BTS", "L.E.G.T.A. Rodez-La Roque - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 16, 94, 45, 89, 0, 7, 0, 29, 8, 9, 5, 44, 5, 0, 2, 0, 3, 59, 3, 0, 0, 6, 0, 29, 8, 8, 4, 16, 49, 10, 5, 10, 0, 3.0, 9.0, 10.0, 0, 3, 8, 0, 8, 0, 2, 0, 4, 3, 1, 0, 0.0, 0, 4, 0, 4, 3, 6, 6, 30.0, 90.0, 100.0, 50.0, 75.0, 75.0, 50, 37.5, 80.0, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 4.0, 0.0, 7.0, 3.0, 12.0, "Tous les candidats sauf les Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 64.0, "13882", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13882&g_ta_cod=13882", 20.0, 80.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(5401, "Privé enseignement supérieur", "0211053F", "IRTESS", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "EFTS", "IRTESS - D.E Educateur Technique Spécialisé", "D.E secteur social", "", 12, 29, 17, 23, 0, 2, 0, 6, 2, 3, 0, 12, 6, 1, 1, 0, 4, 17, 3, 0, 0, 2, 0, 5, 2, 2, 0, 8, 20, 12, 7, 11, 1, 9.0, 11.0, 11.0, 0, 2, 8, 1, 5, 2, 4, 0, 2, 5, 1, 0, 0.0, 1, 3, 2, 0, 0, 5, 5, 75.0, 91.67, 91.67, 58.296875, 62.5, 62.5, 0, 25.0, 66.6875, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 12.5, 12.5, 62.5, 37.5, 25.0, 25.0, 3.0, 0.0, 2.0, 0.0, 10.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "23714", "D.E Educateur Technique Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23714&g_ta_cod=23714", 17.0, 58.0, 25.0),
(5402, "Public", "0640011P", "Lycée Louis De Foix", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "BTS", "Lycée Louis De Foix - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 522, 313, 513, 0, 47, 9, 190, 50, 117, 46, 159, 9, 0, 6, 1, 2, 357, 2, 0, 0, 43, 9, 157, 40, 99, 41, 58, 188, 28, 14, 27, 1, 4.0, 23.0, 26.0, 0, 13, 25, 2, 11, 12, 3, 0, 11, 8, 6, 0, 0.0, 0, 5, 9, 0, 0, 20, 20, 14.29, 82.14, 92.86, 50.0, 80.0, 80.0, 0, 52.0, 89.296875, 0.0, 44.0, 32.0, 24.0, 0.0, 0.0, 8.0, 0.0, 44.0, 20.0, 48.0, 36.0, 10.0, 4.0, 69.0, 29.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 103, "Bacheliers technologiques toutes séries", 170, "Liste d'appel propre à cette formation", 56.0, "7700", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7700&g_ta_cod=7700", 11.0, 46.0, 43.0),
(5403, "Public", "0623915U", "Lycée Voltaire", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Wingles", "formation sélective", "BTS", "Lycée Voltaire - BTS - Services - Tourisme", "BTS - Services", "", 35, 447, 300, 447, 0, 103, 31, 74, 37, 57, 28, 213, 0, 0, 0, 0, 0, 335, 0, 0, 0, 103, 31, 74, 37, 55, 27, 103, 150, 34, 25, 34, 0, 3.0, 27.0, 33.0, 0, 10, 19, 5, 10, 4, 15, 0, 10, 7, 2, 0, 0.0, 5, 2, 2, 3, 2, 19, 19, 8.82, 79.41, 97.06, 73.5, 100.0, 100.0, 15.798828125, 52.59375, 55.8984375, 0.0, 52.59375, 36.796875, 10.5, 0.0, 0.0, 26.296875, 26.296875, 52.59375, 10.5, 21.09765625, 10.5, 40.0, 14.0, 17.0, 12.0, 62.0, "Tous les candidats sauf les Bac professionnels", 221.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 56.0, "7492", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7492&g_ta_cod=7492", 41.0, 47.0, 12.0),
(5404, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Chimie - Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", "Licence - Sciences - technologies - santé", "Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", 60, 471, 228, 333, 0, 234, 51, 7, 2, 3, 3, 89, 138, 33, 10, 1, 94, 324, 94, 0, 0, 234, 51, 7, 2, 3, 3, 80, 360, 43, 23, 15, 28, 3.0, 14.0, 29.0, 0, 5, 19, 14, 3, 2, 24, 0, 11, 6, 2, 0, 0.0, 8, 0, 0, 0, 0, 12, 12, 6.98, 32.56, 67.44, 53.5, 63.1953125, 63.1953125, 0, 26.296875, 44.1953125, 0.0, 57.8984375, 31.59765625, 10.5, 0.0, 0.0, 73.6875, 42.09375, 15.798828125, 0.0, 10.5, 0.0, 221.0, 50.0, 3.0, 3.0, 127.0, "Tous les candidats", 354.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "5354", "Licence - Portail Chimie - Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32246&g_ta_cod=5354", 77.0, 14.0, 7.0),
(5405, "Public", "0754475G", "Lycée Léonard de Vinci", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "BTS", "Lycée Léonard de Vinci - BTS - Production - Développement et Réalisation Bois", "BTS - Production", "", 24, 351, 50, 313, 0, 51, 5, 43, 9, 124, 30, 95, 38, 0, 0, 19, 19, 180, 0, 0, 0, 50, 5, 37, 6, 65, 12, 28, 97, 24, 5, 24, 0, 3.0, 19.0, 22.0, 0, 3, 19, 6, 1, 12, 5, 0, 6, 9, 4, 0, 0.0, 3, 1, 9, 4, 0, 5, 15, 12.5, 79.17, 91.67, 20.796875, 26.296875, 78.890625, 21.09765625, 15.798828125, 79.1875, 0.0, 31.59765625, 47.3984375, 21.09765625, 0.0, 0.0, 31.59765625, 15.798828125, 5.2998046875, 5.2998046875, 63.1953125, 47.3984375, 20.0, 3.0, 48.0, 6.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 38.0, "9538", "BTS - Production - Développement et Réalisation Bois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9538&g_ta_cod=9538", 29.0, 17.0, 54.0),
(5406, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "Autre formation", "Université de Pau et des Pays de l'Adour - Insertion à la Licence Scientifique (APILS)", "Année préparatoire", "Insertion à la Licence Scientifique (APILS)", 45, 201, 112, 132, 0, 20, 7, 30, 9, 9, 3, 73, 69, 30, 7, 3, 29, 93, 42, 0, 0, 20, 7, 30, 9, 9, 3, 34, 126, 42, 20, 24, 18, 14.0, 24.0, 34.0, 0, 6, 26, 17, 6, 3, 16, 0, 13, 11, 2, 0, 0.0, 6, 4, 3, 0, 0, 16, 16, 33.33, 57.14, 80.95, 47.59375, 61.5, 61.5, 0, 23.09765625, 61.8984375, 0.0, 50.0, 42.296875, 7.69921875, 0.0, 0.0, 65.390625, 23.09765625, 23.09765625, 15.3984375, 11.5, 11.5, 41.0, 8.0, 7.0, 2.0, 45.0, "Tous les candidats", 93.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "7735", "Insertion à la Licence Scientifique (APILS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7735&g_ta_cod=7735", 67.0, 19.0, 12.0),
(5407, "Public", "0740006E", "Lycée Louis Lachenal", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Argonay", "formation sélective", "BTS", "Lycée Louis Lachenal - BTS - Production - Management économique de la construction", "BTS - Production", "", 15, 248, 46, 248, 0, 33, 5, 102, 10, 65, 26, 48, 0, 0, 0, 0, 0, 226, 0, 0, 0, 32, 4, 101, 10, 61, 24, 32, 54, 15, 4, 15, 0, 3.0, 15.0, 15.0, 0, 5, 13, 1, 6, 6, 2, 0, 4, 5, 4, 0, 0.0, 0, 5, 4, 4, 1, 10, 10, 20.0, 100.0, 100.0, 26.69921875, 76.890625, 76.890625, 30.796875, 38.5, 86.6875, 0.0, 30.796875, 38.5, 30.796875, 0.0, 0.0, 7.69921875, 0.0, 46.1953125, 38.5, 46.1953125, 30.796875, 11.0, 4.0, 20.0, 10.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 31.0, "8858", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8858&g_ta_cod=8858", 13.0, 47.0, 40.0),
(5408, "Public", "0440024M", "Lycée général Gabriel Guist'Hau", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Lycée général Gabriel Guist'Hau - DN MADE - Spectacle - - Spécialité : Régie lumière", "DN MADE", "- Spécialité : Régie lumière", 10, 147, 60, 147, 0, 56, 14, 20, 5, 24, 7, 47, 0, 0, 0, 0, 0, 41, 0, 0, 0, 28, 6, 6, 0, 2, 0, 5, 21, 10, 5, 10, 0, 6.0, 9.0, 10.0, 0, 2, 9, 6, 3, 0, 1, 0, 0, 2, 7, 0, 0.0, 6, 3, 0, 0, 0, 4, 4, 60.0, 90.0, 100.0, 50.0, 44.3984375, 44.3984375, 0, 22.19921875, 90.0, 0.0, 0.0, 22.19921875, 77.796875, 0.0, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 15.0, 4.0, 0.0, 0.0, 1.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "24243", "DN MADE - Spectacle - - Spécialité : Régie lumière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24243&g_ta_cod=24243", 70.0, 30.0, 0.0),
(5409, "Public", "0820004J", "Lycée Jean De Prades", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Castelsarrasin", "formation sélective", "BTS", "Lycée Jean De Prades - BTS - Services - Gestion de la PME", "BTS - Services", "", 23, 255, 155, 222, 0, 6, 0, 65, 34, 101, 53, 50, 33, 9, 3, 0, 21, 168, 5, 0, 0, 6, 0, 58, 28, 86, 41, 18, 113, 18, 12, 15, 3, 0.0, 13.0, 15.0, 0, 10, 18, 2, 5, 11, 0, 0, 10, 6, 2, 0, 0.0, 0, 1, 7, 9, 6, 18, 18, 0.0, 72.22, 83.33, 66.6875, 100.0, 100.0, 50, 55.59375, 100.0, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 11.099609375, 0.0, 27.796875, 5.599609375, 61.09375, 38.8984375, 9.0, 1.0, 52.0, 24.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 64.0, "10315", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10315&g_ta_cod=10315", 11.0, 28.0, 61.0),
(5410, "Privé sous contrat d'association", "0500119H", "Lycée Sevigne", "50", "Manche", "Normandie", "Normandie", "Granville", "formation sélective", "BTS", "Lycée Sevigne - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 18, 291, 131, 282, 0, 43, 9, 60, 15, 24, 9, 155, 9, 0, 4, 0, 5, 198, 6, 0, 0, 39, 8, 58, 14, 21, 8, 80, 92, 12, 6, 10, 2, 2.0, 5.0, 9.0, 0, 3, 5, 1, 2, 2, 7, 0, 2, 2, 1, 0, 0.0, 0, 1, 2, 0, 0, 4, 4, 16.67, 41.67, 75.0, 50.0, 80.0, 80.0, 0, 60.0, 41.6953125, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 20.0, 0.0, 40.0, 20.0, 40.0, 40.0, 10.0, 2.0, 16.0, 8.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 43.0, "14835", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14835&g_ta_cod=14835", 50.0, 25.0, 25.0),
(5411, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Double licence - Histoire / Histoire de l'art et archéologie - Histoire - Histoire de l'art et Archéologie", "Licence - Sciences humaines et sociales", "Histoire - Histoire de l'art et Archéologie", 60, 1078, 787, 1078, 0, 755, 84, 26, 9, 6, 0, 291, 0, 0, 0, 0, 0, 599, 0, 0, 0, 423, 44, 0, 0, 0, 0, 176, 247, 60, 49, 60, 0, 5.0, 39.0, 53.0, 0, 5, 32, 32, 0, 0, 28, 1, 0, 0, 7, 22, 2.0, 31, 0, 0, 0, 0, 6, 14, 8.33, 65.0, 88.33, 81.6875, 18.796875, 43.796875, 0, 15.599609375, 53.296875, 3.099609375, 0.0, 0.0, 21.8984375, 68.8, 6.3, 100.0, 96.890625, 0.0, 0.0, 0.0, 0.0, 140.0, 27.0, 0.0, 0.0, 107.0, "Tous les candidats", 376.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "9209", "Double licence - Histoire / Histoire de l'art et archéologie - Histoire - Histoire de l'art et Archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9209&g_ta_cod=9209", 100.0, 0.0, 0.0),
(5412, "Privé enseignement supérieur", "0590346F", "SKEMA Business School - Campus de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole de Commerce", "Skema Business school - Campus de Lille - Formation des écoles de commerce et de management Bac + 3 - ESDHEM Droit", "Formation des écoles de commerce et de management", "ESDHEM Droit", 30, 119, 78, 107, 0, 94, 4, 2, 0, 0, 0, 11, 12, 6, 0, 0, 6, 101, 7, 0, 0, 90, 4, 2, 0, 0, 0, 9, 103, 23, 16, 21, 2, 19.0, 21.0, 23.0, 0, 1, 22, 21, 1, 0, 1, 0, 1, 11, 9, 1, 0.0, 20, 1, 0, 0, 0, 16, 16, 82.61, 91.3, 100.0, 69.59375, 72.6875, 72.6875, 0, 4.5, 95.6875, 0.0, 4.5, 50.0, 40.8984375, 4.5, 0.0, 95.5, 90.890625, 4.5, 4.5, 0.0, 0.0, 90.0, 4.0, 0.0, 0.0, 11.0, "Tous les candidats", 101.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "31193", "Formation des écoles de commerce et de management Bac + 3 - ESDHEM Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31193&g_ta_cod=31193", 96.0, 4.0, 0.0),
(5413, "Privé enseignement supérieur", "0561767S", "ASKORIA - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "EFTS", "ASKORIA - D.E Assistant de Service Social", "D.E secteur social", "", 32, 236, 218, 236, 0, 37, 7, 46, 7, 18, 5, 135, 0, 0, 0, 0, 0, 234, 0, 0, 0, 36, 7, 46, 7, 18, 5, 134, 101, 32, 31, 32, 0, 6.0, 28.0, 32.0, 0, 3, 8, 3, 0, 5, 24, 0, 0, 6, 2, 0, 0.0, 3, 0, 5, 0, 0, 8, 8, 18.75, 87.5, 100.0, 96.890625, 100.0, 100.0, 0, 37.5, 25.0, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 37.5, 37.5, 0.0, 0.0, 62.5, 62.5, 14.0, 2.0, 12.0, 3.0, 66.0, "Tous les candidats", 226.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 61.0, "25020", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24972&g_ta_cod=25020", 47.0, 13.0, 38.0),
(5414, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "PASS", "Université de Bourgogne - site de Dijon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Sciences et techniques", 77, 1886, 1158, 1886, 0, 1474, 204, 59, 10, 9, 4, 344, 0, 0, 0, 0, 0, 1882, 0, 0, 0, 1475, 205, 59, 10, 9, 4, 339, 387, 77, 41, 77, 0, 13.0, 69.0, 75.0, 0, 7, 75, 73, 2, 0, 2, 0, 1, 6, 36, 26, 6.0, 72, 2, 0, 0, 0, 69, 69, 16.88, 89.61, 97.4, 53.1953125, 92.0, 92.0, 0, 9.298828125, 97.390625, 0.0, 1.2998046875, 8.0, 48.0, 34.7, 8.0, 97.296875, 96.0, 2.69970703125, 2.69970703125, 0.0, 0.0, 364.0, 44.0, 0.0, 0.0, 16.0, "Tous les candidats", 2908.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 65.0, "27679", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27662&g_ta_cod=27679", 97.0, 3.0, 0.0),
(5415, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues étrangères appliquées - Parcours Anglais-Russe", "Licence - Arts-lettres-langues", "Anglais-Russe", 65, 365, 261, 338, 0, 214, 72, 16, 8, 17, 10, 91, 27, 4, 2, 1, 20, 337, 27, 0, 0, 214, 72, 16, 8, 17, 10, 90, 267, 65, 49, 50, 15, 10.0, 48.0, 56.0, 0, 18, 39, 36, 1, 2, 26, 1, 9, 11, 15, 3, 0.0, 27, 1, 1, 0, 0, 21, 21, 15.38, 73.85, 86.15, 75.390625, 53.796875, 53.796875, 0, 46.1953125, 60.0, 2.599609375, 23.09765625, 28.19921875, 38.5, 7.7, 0.0, 92.296875, 69.1875, 2.599609375, 2.599609375, 5.099609375, 2.599609375, 175.0, 61.0, 12.0, 6.0, 71.0, "Tous les candidats", 334.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4582", "Licence - Langues étrangères appliquées - Parcours Anglais-Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4582&g_ta_cod=4582", 89.0, 2.0, 6.0),
(5416, "Public", "0690276A", "CNED", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 4e  Arrondissement", "formation sélective", "BTS", "CNED - BTS - Services - Commerce International", "BTS - Services", "", 2400, 1985, 1018, 1539, 0, 415, 131, 276, 121, 135, 78, 713, 446, 70, 63, 53, 260, 1539, 429, 0, 0, 415, 131, 276, 121, 135, 78, 713, 1968, 319, 155, 225, 94, 221.0, 223.0, 270.0, 0, 28, 78, 34, 19, 25, 241, 1, 42, 20, 11, 4, 0.0, 17, 8, 10, 0, 0, 18, 18, 69.28, 69.91, 84.64, 48.59375, 23.09765625, 23.09765625, 0, 35.8984375, 24.5, 1.2998046875, 53.796875, 25.59765625, 14.099609375, 5.1, 0.0, 43.59375, 21.796875, 24.3984375, 10.298828125, 32.09375, 12.798828125, 481.0, 149.0, 186.0, 100.0, 968.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 967.0, "Bacheliers professionnels toutes séries", 182, "Bacheliers technologiques toutes séries", 393, "Liste d'appel propre à cette formation", 100.0, "20794", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20794&g_ta_cod=20794", 62.0, 22.0, 15.0),
(5417, "Public", "0730858L", "Université Savoie Mont Blanc - Chambéry", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Jacob-Bellecombette", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Chambéry - Licence - Histoire - Parcours Archéologie, Histoire de l'art, Patrimoine", "Licence - Sciences humaines et sociales", "Archéologie, Histoire de l'art, Patrimoine", 30, 364, 255, 364, 0, 253, 31, 26, 3, 10, 2, 75, 0, 0, 0, 0, 0, 364, 0, 0, 0, 253, 31, 26, 3, 10, 2, 75, 159, 34, 23, 34, 0, 10.0, 30.0, 34.0, 0, 4, 27, 22, 4, 1, 7, 2, 5, 11, 6, 3, 0.0, 16, 3, 1, 0, 0, 26, 26, 29.41, 88.24, 100.0, 67.59375, 96.296875, 96.296875, 0, 14.798828125, 79.390625, 7.3994140625, 18.5, 40.6953125, 22.19921875, 11.1, 0.0, 81.5, 59.296875, 14.798828125, 11.099609375, 3.69970703125, 3.69970703125, 118.0, 16.0, 3.0, 1.0, 27.0, "Tous les candidats", 242.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "23367", "Licence - Histoire - Parcours Archéologie, Histoire de l'art, Patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23367&g_ta_cod=23367", 79.0, 12.0, 9.0),
(5418, "Public", "0150037J", "ENILV - Georges Pompidou", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "BTS", "ENILV - Georges Pompidou - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 30, 191, 78, 184, 0, 17, 4, 46, 15, 81, 27, 40, 7, 1, 2, 0, 4, 140, 2, 0, 0, 17, 4, 46, 15, 74, 27, 3, 109, 19, 10, 19, 0, 7.0, 19.0, 19.0, 0, 9, 18, 1, 7, 10, 1, 0, 3, 7, 6, 2, 0.0, 1, 6, 8, 8, 4, 13, 13, 36.84, 100.0, 100.0, 52.59375, 72.1875, 72.1875, 44.3984375, 50.0, 94.6875, 0.0, 16.69921875, 38.8984375, 33.296875, 11.1, 0.0, 5.599609375, 5.599609375, 38.8984375, 33.296875, 55.59375, 44.3984375, 16.0, 3.0, 57.0, 25.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 75.0, "2956", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2956&g_ta_cod=2956", 11.0, 37.0, 53.0),
(5419, "Privé sous contrat d'association", "0681847N", "Ecole Supérieure de Praxis Sociale (Ex-ISSM, Ex-CFEJE)", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "EFTS", "Ecole Supérieure de Praxis Sociale (Ex-ISSM, Ex-CFEJE) - D.E Assistant de Service Social", "D.E secteur social", "", 25, 71, 65, 71, 0, 17, 5, 18, 5, 5, 2, 31, 0, 0, 0, 0, 0, 54, 0, 0, 0, 12, 4, 14, 4, 2, 1, 26, 40, 27, 26, 27, 0, 16.0, 23.0, 25.0, 0, 5, 13, 6, 6, 1, 14, 0, 3, 9, 1, 0, 0.0, 3, 6, 1, 0, 0, 9, 9, 59.26, 85.19, 92.59, 96.296875, 69.1875, 69.1875, 0, 38.5, 48.09375, 0.0, 23.09765625, 69.1875, 7.69921875, 0.0, 0.0, 46.1953125, 23.09765625, 46.1953125, 46.1953125, 7.69921875, 7.69921875, 9.0, 2.0, 1.0, 1.0, 21.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "23786", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23786&g_ta_cod=23786", 37.0, 41.0, 15.0),
(5420, "Privé sous contrat d'association", "0142182W", "ESITC Caen", "14", "Calvados", "Normandie", "Normandie", "Epron", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 110, 1917, 374, 1917, 0, 1916, 87, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1889, 0, 0, 0, 1888, 86, 0, 0, 0, 0, 1, 1807, 99, 22, 99, 0, 62.0, 98.0, 99.0, 0, 5, 99, 99, 0, 0, 0, 0, 20, 48, 27, 4, 0.0, 79, 0, 0, 0, 0, 37, 37, 62.63, 98.99, 100.0, 22.19921875, 37.3984375, 37.3984375, 0, 5.099609375, 100.0, 0.0, 20.19921875, 48.5, 27.296875, 4.0, 0.0, 100.0, 79.796875, 0.0, 0.0, 0.0, 0.0, 1806.0, 77.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "22725", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=99&g_ta_cod=22725", 100.0, 0.0, 0.0),
(5421, "Privé hors contrat", "0261286G", "Ecole technique privée EPSECO", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "Ecole technique privée EPSECO - BTS - Services - Tourisme", "BTS - Services", "", 30, 140, 106, 110, 0, 30, 6, 22, 2, 24, 6, 34, 30, 6, 3, 7, 14, 56, 25, 0, 0, 19, 5, 20, 2, 5, 0, 12, 72, 5, 5, 1, 4, 0.0, 1.0, 4.0, 0, 0, 2, 1, 0, 1, 3, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 20.0, 80.0, 100.0, 50.0, 50.0, 0, 0.0, 40.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 18.0, 5.0, 10.0, 3.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers technologiques toutes séries", 25, "Bacheliers professionnels toutes séries", 4, "Liste d'appel propre à cette formation", 49.0, "24304", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24304&g_ta_cod=24304", 80.0, 0.0, 20.0),
(5422, "Public", "0222032P", "Université Rennes 1 - Site de Saint-Brieuc", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation non sélective", "PASS", "Université Rennes 1 - Site de Saint-Brieuc - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 25, 432, 309, 432, 0, 363, 53, 11, 3, 4, 2, 54, 0, 0, 0, 0, 0, 432, 0, 0, 0, 363, 53, 11, 3, 4, 2, 54, 140, 25, 18, 25, 0, 1.0, 14.0, 20.0, 0, 4, 24, 22, 2, 0, 1, 0, 1, 5, 14, 3, 1.0, 21, 2, 0, 0, 0, 24, 24, 4.0, 56.0, 80.0, 72.0, 100.0, 100.0, 0, 16.69921875, 96.0, 0.0, 4.19921875, 20.796875, 58.296875, 12.5, 4.2, 91.6875, 87.5, 8.298828125, 8.298828125, 0.0, 0.0, 118.0, 20.0, 2.0, 1.0, 17.0, "Tous les candidats", 187.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "28796", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28796&g_ta_cod=28796", 88.0, 12.0, 0.0),
(5423, "Privé hors contrat", "0541921V", "Ecole internationale d'esthétique et haute coiffure", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Ecole internationale d'esthétique et haute coiffure - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 80, 333, 316, 303, 0, 65, 8, 86, 28, 61, 24, 91, 30, 5, 5, 12, 8, 210, 18, 0, 0, 55, 6, 66, 20, 39, 12, 50, 216, 21, 21, 21, 0, 5.0, 21.0, 21.0, 0, 3, 15, 5, 5, 5, 6, 1, 10, 4, 0, 0, 0.0, 1, 1, 2, 0, 0, 7, 7, 23.81, 100.0, 100.0, 100.0, 46.6953125, 46.6953125, 0, 20.0, 71.390625, 6.69921875, 66.6875, 26.69921875, 0.0, 0.0, 0.0, 33.296875, 6.69921875, 33.296875, 6.69921875, 33.296875, 13.298828125, 56.0, 6.0, 47.0, 16.0, 49.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 79.0, "Bacheliers technologiques toutes séries", 84, "Bacheliers professionnels toutes séries", 47, "Liste d'appel propre à cette formation", 69.0, "24045", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24045&g_ta_cod=24045", 33.0, 38.0, 29.0),
(5424, "Public", "0141234R", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Caen", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Caen - BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "BUT - Production", "", 32, 1151, 559, 1151, 0, 752, 61, 143, 15, 0, 0, 256, 0, 0, 0, 0, 0, 638, 0, 0, 0, 452, 36, 74, 9, 0, 0, 112, 189, 31, 10, 31, 0, 1.0, 22.0, 31.0, 0, 3, 29, 17, 12, 0, 2, 0, 1, 12, 14, 2, 0.0, 17, 11, 0, 0, 0, 22, 22, 3.23, 70.97, 100.0, 32.296875, 75.890625, 75.890625, 0, 10.298828125, 93.5, 0.0, 3.39990234375, 41.3984375, 48.296875, 6.9, 0.0, 58.59375, 58.59375, 41.3984375, 37.8984375, 0.0, 0.0, 104.0, 10.0, 0.0, 0.0, 43.0, "Tous les candidats sauf les Bac technologiques", 317.0, "Bacheliers technologiques toutes séries", 62, "", 0, "Liste d'appel propre à cette formation", 33.0, "2853", "BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2853&g_ta_cod=2853", 61.0, 39.0, 0.0),
(5425, "Public", "0680053N", "I.U.T. de Colmar", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BUT", "I.U.T. de Colmar - BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie - Management de l'énergie pour le bâtiment et l'industrie", "BUT - Production", "Optimisation énergétique pour le bâtiment et l'industrie - Management de l'énergie pour le bâtiment et l'industrie", 28, 284, 33, 259, 0, 123, 15, 93, 16, 1, 0, 42, 25, 7, 0, 1, 17, 229, 16, 0, 0, 111, 15, 89, 15, 1, 0, 28, 169, 24, 3, 19, 5, 1.0, 18.0, 20.0, 0, 4, 20, 8, 11, 1, 4, 0, 8, 10, 2, 0, 0.0, 3, 9, 0, 0, 0, 15, 15, 4.17, 75.0, 83.33, 12.5, 75.0, 75.0, 0, 20.0, 83.296875, 0.0, 40.0, 50.0, 10.0, 0.0, 0.0, 40.0, 15.0, 55.0, 45.0, 5.0, 0.0, 77.0, 10.0, 1.0, 0.0, 33.0, "Tous les candidats sauf les Bac technologiques", 132.0, "Bacheliers technologiques toutes séries", 95, "", 0, "Liste d'appel propre à cette formation", 88.0, "8111", "BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie - Management de l'énergie pour le bâtiment et l'industrie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8111&g_ta_cod=8111", 42.0, 54.0, 4.0),
(5426, "Public", "0721094Y", "Lycée Polyvalent Le Mans Sud", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Le Mans Sud - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 68, 1252, 615, 1163, 0, 125, 23, 469, 152, 323, 131, 246, 89, 6, 32, 0, 51, 470, 16, 0, 0, 67, 13, 204, 55, 150, 57, 49, 234, 63, 37, 56, 5, 1.0, 23.0, 51.0, 0, 27, 52, 8, 21, 23, 11, 0, 19, 25, 8, 0, 0.0, 6, 9, 18, 17, 4, 46, 46, 1.59, 36.51, 80.95, 58.6953125, 88.5, 88.5, 32.6953125, 51.8984375, 82.5, 0.0, 36.5, 48.09375, 15.3984375, 0.0, 0.0, 15.3984375, 11.5, 40.3984375, 17.296875, 44.1953125, 34.59375, 37.0, 11.0, 58.0, 31.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 90.0, "Bacheliers professionnels toutes séries", 105, "Bacheliers technologiques toutes séries", 216, "Liste d'appel propre à cette formation", 35.0, "8761", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8761&g_ta_cod=8761", 22.0, 38.0, 40.0),
(5427, "Privé sous contrat d'association", "0331556M", "Lycée Ste Famille - Saintonge", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Ste Famille - Saintonge - BTS - Production - Management économique de la construction", "BTS - Production", "", 24, 287, 63, 245, 0, 38, 9, 79, 5, 62, 15, 66, 42, 11, 11, 3, 17, 66, 10, 0, 0, 15, 2, 24, 2, 23, 5, 4, 62, 20, 5, 16, 4, 9.0, 16.0, 20.0, 0, 3, 19, 7, 6, 6, 1, 0, 8, 8, 3, 0, 0.0, 3, 5, 3, 3, 1, 15, 15, 45.0, 80.0, 100.0, 25.0, 78.890625, 78.890625, 15.798828125, 15.798828125, 95.0, 0.0, 42.09375, 42.09375, 15.798828125, 0.0, 0.0, 36.796875, 15.798828125, 31.59765625, 26.296875, 31.59765625, 15.798828125, 17.0, 2.0, 18.0, 3.0, 5.0, "Tous les candidats sauf les Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 26.0, "4359", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4359&g_ta_cod=4359", 40.0, 30.0, 30.0),
(5428, "Public", "0690129R", "Lycée professionnel Edmond Labbe", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Oullins", "formation sélective", "Autre formation", "Lycée professionnel Edmond Labbe - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 19, 6, 0, 0, 0, 0.0, 0.0, 0.0, 0, 2, 3, 0, 0, 3, 3, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 0.0, 0.0, 0.0, 0.0, 66.6875, 66.6875, 0, 66.6875, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 12.0, 9.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22498", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 33.0, 67.0),
(5429, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Langues étrangères appliquées", "Licence - Arts-lettres-langues", "", 275, 1554, 1108, 1403, 0, 913, 228, 143, 44, 26, 13, 321, 151, 24, 14, 12, 101, 1401, 142, 0, 0, 913, 228, 143, 44, 26, 13, 319, 1218, 272, 174, 216, 56, 36.0, 215.0, 240.0, 0, 44, 181, 137, 37, 7, 91, 2, 72, 72, 26, 9, 0.0, 87, 16, 4, 0, 0, 165, 165, 13.24, 79.04, 88.24, 64.0, 91.1875, 91.1875, 0, 24.296875, 66.5, 1.099853515625, 39.796875, 39.796875, 14.3984375, 5.0, 0.0, 75.6875, 48.09375, 20.3984375, 8.798828125, 3.89990234375, 2.19970703125, 742.0, 195.0, 28.0, 13.0, 338.0, "Tous les candidats", 1400.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10214", "Licence - Langues étrangères appliquées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10214&g_ta_cod=10214", 71.0, 22.0, 7.0),
(5430, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Portail MPI - Mathématiques, Physique, Informatique", "Licence - Sciences - technologies - santé", "MPI - Mathématiques, Physique, Informatique", 160, 1349, 364, 1212, 0, 889, 102, 29, 3, 3, 1, 291, 137, 21, 6, 1, 109, 1212, 103, 0, 0, 889, 102, 29, 3, 3, 1, 291, 1188, 96, 26, 72, 24, 37.0, 71.0, 88.0, 0, 13, 52, 49, 3, 0, 44, 0, 21, 15, 9, 7, 0.0, 29, 2, 0, 0, 0, 38, 38, 38.54, 73.96, 91.67, 27.09765625, 73.09375, 73.09375, 0, 25.0, 54.1953125, 0.0, 40.3984375, 28.796875, 17.296875, 13.5, 0.0, 94.1875, 55.796875, 5.7998046875, 3.7998046875, 0.0, 0.0, 826.0, 102.0, 4.0, 2.0, 341.0, "Tous les candidats", 1310.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23356", "Licence - Portail MPI - Mathématiques, Physique, Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28021&g_ta_cod=23356", 93.0, 6.0, 1.0),
(5431, "Public", "0301687W", "Université de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "Licence", "Université de Nîmes - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 400, 4243, 3525, 4243, 0, 1903, 519, 569, 205, 352, 158, 1419, 0, 0, 0, 0, 0, 4224, 0, 0, 0, 1903, 519, 569, 205, 352, 158, 1400, 1741, 394, 325, 394, 0, 46.0, 335.0, 347.0, 0, 75, 262, 153, 54, 55, 132, 3, 102, 118, 37, 1, 1.0, 95, 27, 35, 0, 0, 185, 185, 11.68, 85.03, 88.07, 82.5, 70.59375, 70.59375, 0, 28.59765625, 66.5, 1.099853515625, 38.8984375, 45.0, 14.099609375, 0.4, 0.4, 58.3984375, 36.296875, 20.59765625, 10.298828125, 21.0, 13.3984375, 798.0, 195.0, 162.0, 81.0, 542.0, "Tous les candidats", 2173.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 47.0, "4019", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28792&g_ta_cod=4019", 61.0, 20.0, 19.0),
(5432, "Public", "0081047V", "Lycée Bazeilles", "08", "Ariège", "Grand Est", "Reims", "Sedan", "formation sélective", "BTS", "Lycée Bazeilles - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 64, 129, 58, 129, 0, 0, 0, 37, 11, 64, 15, 28, 0, 0, 0, 0, 0, 129, 0, 0, 0, 0, 0, 37, 11, 64, 15, 28, 102, 60, 24, 57, 0, 42.0, 57.0, 60.0, 0, 12, 43, 0, 20, 23, 17, 0, 11, 13, 15, 4, 0.0, 0, 13, 19, 38, 15, 42, 42, 70.0, 95.0, 100.0, 40.0, 97.6875, 97.6875, 88.390625, 27.8984375, 71.6875, 0.0, 25.59765625, 30.19921875, 34.8984375, 9.3, 0.0, 0.0, 0.0, 46.5, 30.19921875, 53.5, 44.1953125, 0.0, 0.0, 53.0, 12.0, 20.0, "Tous les candidats sauf les Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 58, "", 0, "Liste d'appel propre à cette formation", 78.0, "2376", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2376&g_ta_cod=2376", 17.0, 40.0, 43.0),
(5433, "Public", "0910630R", "Lycée professionnel Alexandre Denis Lycée des métiers de l'aéronautique et de la logistique", "91", "Essonne", "Ile-de-France", "Versailles", "Cerny", "formation sélective", "BTS", "Lycée professionnel Alexandre Denis Lycée des métiers de l'aéronautique et de la logistique - BTS - Production - Aéronautique", "BTS - Production", "", 22, 1038, 118, 1038, 0, 158, 22, 275, 74, 266, 85, 339, 0, 0, 0, 0, 0, 822, 0, 0, 0, 94, 11, 275, 74, 267, 86, 186, 91, 21, 1, 21, 0, 5.0, 14.0, 16.0, 0, 5, 14, 0, 5, 9, 7, 0, 1, 8, 5, 0, 0.0, 0, 4, 9, 4, 0, 6, 8, 23.81, 66.67, 76.19, 4.7998046875, 42.8984375, 57.09375, 28.59765625, 35.6953125, 66.6875, 0.0, 7.099609375, 57.09375, 35.6953125, 0.0, 0.0, 0.0, 0.0, 35.6953125, 28.59765625, 64.296875, 64.296875, 8.0, 2.0, 29.0, 7.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers technologiques toutes séries", 89, "Bacheliers professionnels toutes séries", 34, "Liste d'appel propre à cette formation", 15.0, "25073", "BTS - Production - Aéronautique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25073&g_ta_cod=25073", 10.0, 33.0, 57.0),
(5434, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Double diplôme - Licence Langues, littératures & civilisations étrangères et régionales - Double diplôme international - Licence Etudes interculturelles franco-allemandes (avec la Freie Universität de Berlin) (Langues associées)", "Licence - Arts-lettres-langues", "Double diplôme international - Licence Etudes interculturelles franco-allemandes (avec la Freie Universität de Berlin) (Langues associées)", 13, 113, 93, 113, 0, 93, 12, 0, 0, 0, 0, 20, 0, 0, 0, 0, 0, 60, 0, 0, 0, 50, 3, 0, 0, 0, 0, 10, 45, 12, 10, 12, 0, 2.0, 12.0, 12.0, 0, 0, 10, 10, 0, 0, 2, 1, 0, 0, 2, 5, 2.0, 9, 0, 0, 0, 0, 1, 3, 16.67, 100.0, 100.0, 83.296875, 10.0, 30.0, 0, 0.0, 83.296875, 10.0, 0.0, 0.0, 20.0, 50.0, 20.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 40.0, 3.0, 0.0, 0.0, 5.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "23963", "Licence - Double diplôme - Licence Langues, littératures & civilisations étrangères et régionales - Double diplôme international - Licence Etudes interculturelles franco-allemandes (avec la Freie Universität de Berlin) (Langues associées)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23963&g_ta_cod=23963", 100.0, 0.0, 0.0),
(5435, "Privé hors contrat", "0261286G", "Ecole technique privée EPSECO", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "Ecole technique privée EPSECO - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 260, 113, 211, 0, 43, 8, 60, 10, 52, 19, 56, 49, 4, 28, 1, 16, 137, 26, 0, 0, 35, 6, 44, 8, 37, 12, 21, 125, 15, 7, 11, 4, 5.0, 9.0, 13.0, 0, 4, 14, 5, 5, 4, 1, 1, 9, 3, 1, 0, 0.0, 1, 1, 2, 0, 0, 14, 14, 33.33, 60.0, 86.67, 46.6953125, 100.0, 100.0, 0, 28.59765625, 93.296875, 7.099609375, 64.296875, 21.3984375, 7.099609375, 0.0, 0.0, 35.6953125, 7.099609375, 35.6953125, 7.099609375, 28.59765625, 14.298828125, 28.0, 4.0, 24.0, 7.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers technologiques toutes séries", 49, "Bacheliers professionnels toutes séries", 26, "Liste d'appel propre à cette formation", 59.0, "24303", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24303&g_ta_cod=24303", 40.0, 33.0, 27.0),
(5436, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 300, 8324, 6960, 8324, 0, 4453, 911, 625, 174, 194, 86, 3052, 0, 0, 0, 0, 0, 8303, 0, 0, 0, 4453, 911, 625, 174, 194, 86, 3031, 1111, 298, 265, 298, 0, 32.0, 224.0, 261.0, 0, 85, 219, 211, 4, 4, 79, 0, 7, 76, 110, 23, 3.0, 204, 4, 4, 0, 0, 197, 197, 10.74, 75.17, 87.58, 88.890625, 90.0, 90.0, 0, 38.796875, 73.5, 0.0, 3.19970703125, 34.6953125, 50.1953125, 10.5, 1.4, 96.296875, 93.1875, 1.7998046875, 1.7998046875, 1.7998046875, 1.7998046875, 707.0, 204.0, 8.0, 8.0, 392.0, "Tous les candidats", 1678.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "4389", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26672&g_ta_cod=4389", 97.0, 2.0, 1.0),
(5437, "Privé sous contrat d'association", "0831141P", "Lycée la Tourrache", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Autre formation", "Lycée la Tourrache - DN MADE - Objet - - Spécialité : Design de la mobilité", "DN MADE", "- Spécialité : Design de la mobilité", 15, 122, 63, 122, 0, 38, 5, 50, 10, 5, 1, 29, 0, 0, 0, 0, 0, 75, 0, 0, 0, 23, 5, 34, 8, 1, 0, 17, 61, 12, 4, 12, 0, 1.0, 9.0, 12.0, 0, 2, 7, 5, 2, 0, 5, 0, 5, 1, 0, 1, 0.0, 2, 0, 0, 0, 0, 4, 4, 8.33, 75.0, 100.0, 33.296875, 57.09375, 57.09375, 0, 28.59765625, 58.296875, 0.0, 71.390625, 14.298828125, 0.0, 14.3, 0.0, 71.390625, 28.59765625, 28.59765625, 0.0, 0.0, 0.0, 20.0, 5.0, 1.0, 0.0, 16.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "24357", "DN MADE - Objet - - Spécialité : Design de la mobilité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24357&g_ta_cod=24357", 83.0, 17.0, 0.0),
(5438, "Public", "0750672Y", "Esaa Duperré", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "Autre formation", "Esaa Duperré - DN MADE - Graphisme - - Spécialité : Image & identité visuelle", "DN MADE", "- Spécialité : Image & identité visuelle", 12, 1936, 1358, 1936, 0, 733, 101, 339, 69, 143, 37, 721, 0, 0, 0, 0, 0, 100, 0, 0, 0, 64, 5, 18, 0, 3, 1, 15, 32, 11, 6, 11, 0, 4.0, 11.0, 11.0, 0, 3, 11, 9, 2, 0, 0, 0, 0, 3, 5, 3, 0.0, 9, 2, 0, 0, 0, 3, 6, 36.36, 100.0, 100.0, 54.5, 27.296875, 54.5, 0, 27.296875, 100.0, 0.0, 0.0, 27.296875, 45.5, 27.3, 0.0, 81.796875, 81.796875, 18.19921875, 18.19921875, 0.0, 0.0, 18.0, 4.0, 2.0, 1.0, 3.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 2.0, "21733", "DN MADE - Graphisme - - Spécialité : Image & identité visuelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21733&g_ta_cod=21733", 82.0, 18.0, 0.0),
(5439, "Public", "0921986J", "IFSI Antoine Beclere (AP-HP)", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Clamart", "formation sélective", "IFSI", "Regroupement d'IFSI Université Paris Sud (P11) - D.E Infirmier", "D.E secteur sanitaire", "", 98, 5366, 4670, 5366, 0, 539, 153, 714, 285, 713, 372, 3400, 0, 0, 0, 0, 0, 4227, 0, 0, 0, 535, 152, 594, 228, 528, 275, 2570, 716, 106, 85, 106, 0, 3.0, 47.0, 104.0, 0, 16, 49, 27, 4, 18, 57, 0, 6, 25, 12, 6, 0.0, 21, 4, 18, 0, 0, 40, 45, 2.83, 44.34, 98.11, 80.1875, 81.59375, 91.796875, 0, 32.6953125, 46.1953125, 0.0, 12.19921875, 51.0, 24.5, 12.2, 0.0, 55.09375, 42.8984375, 8.19921875, 8.19921875, 36.6953125, 36.6953125, 161.0, 49.0, 83.0, 55.0, 449.0, "Tous les candidats", 2340.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "23060", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23011&g_ta_cod=23060", 69.0, 7.0, 24.0),
(5440, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien (En enseignement à distance)", "Licence - Arts-lettres-langues", "Italien (En enseignement à distance)", 13, 65, 55, 46, 0, 11, 1, 0, 0, 2, 2, 33, 19, 2, 0, 0, 17, 46, 19, 0, 0, 11, 1, 0, 0, 2, 2, 33, 56, 13, 12, 9, 4, 2.0, 9.0, 10.0, 0, 0, 1, 1, 0, 0, 12, 0, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 15.38, 69.23, 76.92, 92.296875, 100.0, 100.0, 0, 0.0, 7.69921875, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 11.0, 2.0, 1.0, 1.0, 44.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24236", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien (En enseignement à distance)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24236&g_ta_cod=24236", 69.0, 0.0, 8.0),
(5441, "Public", "0650025Z", "Lycée Théophile Gautier", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "CPGE", "Lycée Théophile Gautier - CPGE - PCSI", "Classe préparatoire scientifique", "", 36, 593, 221, 586, 433, 422, 51, 0, 0, 0, 0, 164, 7, 3, 0, 0, 4, 476, 5, 362, 458, 417, 50, 0, 0, 0, 0, 59, 382, 27, 9, 26, 1, 4.0, 10.0, 27.0, 6, 1, 22, 22, 0, 0, 5, 0, 7, 10, 4, 1, 0.0, 15, 0, 0, 0, 0, 15, 15, 14.81, 37.04, 100.0, 33.296875, 68.1875, 68.1875, 0, 4.5, 81.5, 0.0, 31.796875, 45.5, 18.19921875, 4.5, 0.0, 100.0, 68.1875, 0.0, 0.0, 0.0, 0.0, 350.0, 43.0, 0.0, 0.0, 32.0, "Tous les candidats", 476.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "7804", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7804&g_ta_cod=7804", 100.0, 0.0, 0.0),
(5442, "Public", "0570124A", "Lycée professionnel René Cassin", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Autre formation", "Lycée professionnel René Cassin - Mention complémentaire - Vendeur-conseil en produits techniques pour l'habitat", "Mention complémentaire", "", 15, 54, 26, 54, 0, 0, 0, 1, 0, 47, 23, 6, 0, 0, 0, 0, 0, 45, 0, 0, 0, 0, 0, 1, 0, 42, 19, 2, 40, 9, 3, 9, 0, 4.0, 9.0, 9.0, 0, 3, 8, 0, 0, 8, 1, 0, 6, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 8, 8, 44.44, 100.0, 100.0, 33.296875, 100.0, 100.0, 0, 37.5, 88.890625, 0.0, 75.0, 12.5, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 37.0, 17.0, 2.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "21473", "Mention complémentaire - Vendeur-conseil en produits techniques pour l'habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21473&g_ta_cod=21473", 0.0, 0.0, 100.0),
(5443, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Sciences de l'homme et de la société (Anthropologie - Géographie et aménagement - Histoire - Sociologie)", "Licence - Sciences humaines et sociales", "Sciences de l'homme et de la société (Anthropologie - Géographie et aménagement - Histoire - Sociologie)", 252, 1724, 1040, 1581, 0, 1051, 271, 68, 26, 29, 13, 433, 143, 20, 10, 4, 109, 1572, 136, 0, 0, 1051, 271, 68, 26, 29, 13, 424, 1432, 234, 136, 182, 52, 79.0, 160.0, 194.0, 0, 46, 144, 130, 10, 4, 90, 0, 43, 51, 41, 8, 1.0, 97, 1, 3, 0, 0, 93, 93, 33.76, 68.38, 82.91, 58.09375, 64.59375, 64.59375, 0, 31.8984375, 61.5, 0.0, 29.8984375, 35.3984375, 28.5, 5.6, 0.7, 90.296875, 67.390625, 6.8994140625, 0.699951171875, 2.7998046875, 2.099609375, 926.0, 226.0, 23.0, 13.0, 427.0, "Tous les candidats", 1751.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "12585", "Licence - Portail Sciences de l'homme et de la société (Anthropologie - Géographie et aménagement - Histoire - Sociologie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28773&g_ta_cod=12585", 82.0, 11.0, 5.0),
(5444, "Public", "0350697T", "I.U.T de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BUT", "I.U.T de Rennes - BUT - Génie mécanique et productique Parcours : Management de process industriel- Simulation numérique et réalité virtuelle - Conception et production durable", "BUT - Production", "Management de process industriel- Simulation numérique et réalité virtuelle - Conception et production durable", 104, 2246, 170, 2240, 0, 1329, 122, 584, 74, 10, 3, 317, 6, 1, 0, 0, 5, 1412, 0, 0, 0, 978, 82, 356, 43, 0, 0, 78, 672, 98, 3, 98, 0, 22.0, 75.0, 93.0, 0, 9, 97, 56, 41, 0, 1, 0, 1, 58, 36, 2, 0.0, 55, 41, 0, 0, 0, 71, 71, 22.45, 76.53, 94.9, 3.099609375, 73.1875, 73.1875, 0, 9.298828125, 99.0, 0.0, 1.0, 59.796875, 37.09375, 2.1, 0.0, 57.6953125, 56.6953125, 42.296875, 42.296875, 0.0, 0.0, 430.0, 40.0, 0.0, 0.0, 36.0, "Tous les candidats sauf les Bac technologiques", 819.0, "Bacheliers technologiques toutes séries", 378, "", 0, "Liste d'appel propre à cette formation", 53.0, "4663", "BUT - Génie mécanique et productique Parcours : Management de process industriel- Simulation numérique et réalité virtuelle - Conception et production durable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4663&g_ta_cod=4663", 58.0, 42.0, 0.0),
(5445, "Public", "0442674T", "ONIRIS (ECOLE NATIONALE VETERINAIRE AGROALIMENTAIRE ET DE L'ALIMENTATION)", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "ONIRIS (ECOLE NATIONALE VETERINAIRE AGROALIMENTAIRE ET DE L'ALIMENTATION) - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 32, 272, 150, 257, 0, 58, 5, 38, 5, 10, 1, 151, 15, 2, 3, 1, 9, 83, 2, 0, 0, 36, 2, 26, 2, 4, 0, 17, 78, 16, 7, 16, 0, 12.0, 16.0, 16.0, 0, 1, 12, 6, 5, 1, 4, 0, 4, 7, 1, 0, 0.0, 5, 3, 0, 0, 0, 9, 9, 75.0, 100.0, 100.0, 43.796875, 75.0, 75.0, 0, 8.298828125, 75.0, 0.0, 33.296875, 58.296875, 8.298828125, 0.0, 0.0, 50.0, 41.6953125, 41.6953125, 25.0, 8.298828125, 0.0, 35.0, 2.0, 4.0, 0.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 31.0, "5594", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5594&g_ta_cod=5594", 63.0, 31.0, 6.0),
(5446, "Public", "0030025L", "Lycée Madame De Stael", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "CPGE", "Lycée Madame De Stael - CPGE - Lettres", "Classe préparatoire littéraire", "", 35, 248, 128, 231, 169, 174, 18, 1, 0, 0, 0, 56, 17, 3, 1, 0, 13, 209, 3, 169, 158, 172, 18, 1, 0, 0, 0, 36, 126, 21, 18, 21, 0, 14.0, 21.0, 21.0, 9, 1, 20, 20, 0, 0, 1, 0, 1, 3, 7, 9, 0.0, 19, 0, 0, 8, 7, 14, 14, 66.67, 100.0, 100.0, 85.6875, 70.0, 70.0, 40, 5.0, 95.1875, 0.0, 5.0, 15.0, 35.0, 45.0, 0.0, 100.0, 95.0, 0.0, 0.0, 0.0, 0.0, 115.0, 10.0, 0.0, 0.0, 11.0, "Tous les candidats", 172.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "2112", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2112&g_ta_cod=2112", 100.0, 0.0, 0.0),
(5447, "Public", "0301654K", "Lycée des métiers Geneviève DE GAULLE-ANTHONIOZ", "30", "Gard", "Occitanie", "Montpellier", "Milhaud", "formation sélective", "BTS", "Lycée des métiers Geneviève DE GAULLE-ANTHONIOZ - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 18, 445, 392, 445, 0, 21, 5, 142, 55, 172, 86, 110, 0, 0, 0, 0, 0, 377, 0, 0, 0, 21, 5, 132, 52, 161, 80, 63, 101, 15, 13, 15, 0, 2.0, 11.0, 15.0, 0, 6, 12, 1, 4, 7, 3, 0, 2, 8, 2, 0, 0.0, 0, 3, 7, 3, 3, 9, 9, 13.33, 73.33, 100.0, 86.6875, 75.0, 75.0, 25, 50.0, 80.0, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 8.298828125, 0.0, 33.296875, 25.0, 58.296875, 58.296875, 6.0, 3.0, 35.0, 17.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 33.0, "4011", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4011&g_ta_cod=4011", 13.0, 40.0, 47.0),
(5448, "Public", "0720048L", "Lycée polyvalent Raphaël Elizé", "72", "Sarthe", "Pays de la Loire", "Nantes", "Sablé-sur-Sarthe", "formation sélective", "Autre formation", "Lycée polyvalent Raphaël Elizé - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 29, 5, 2, 0, 0, 0.0, 0.0, 1.0, 0, 4, 5, 0, 1, 4, 0, 0, 3, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 5, 5, 0.0, 0.0, 20.0, 40.0, 100.0, 100.0, 0, 80.0, 100.0, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 20.0, 20.0, 80.0, 20.0, 0.0, 0.0, 23.0, 14.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22550", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 20.0, 80.0),
(5449, "Public", "0940585A", "Lycée Francois Mansart", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "BTS", "Lycée Francois Mansart - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 28, 246, 28, 216, 0, 23, 3, 49, 13, 61, 16, 83, 30, 1, 12, 3, 14, 131, 7, 0, 0, 20, 2, 34, 10, 54, 11, 23, 109, 28, 3, 24, 3, 6.0, 20.0, 25.0, 0, 3, 25, 6, 6, 13, 3, 0, 15, 7, 3, 0, 0.0, 1, 1, 8, 5, 0, 18, 22, 21.43, 71.43, 89.29, 10.69921875, 72.0, 88.0, 20, 12.0, 89.296875, 0.0, 60.0, 28.0, 12.0, 0.0, 0.0, 24.0, 4.0, 24.0, 4.0, 52.0, 32.0, 19.0, 2.0, 43.0, 9.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 53.0, "11437", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11437&g_ta_cod=11437", 25.0, 25.0, 50.0),
(5450, "Privé sous contrat d'association", "0340881Y", "Lycée Notre Dame De La Merci", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "CPGE", "Lycée Notre Dame De La Merci - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 36, 611, 319, 599, 0, 539, 49, 2, 1, 0, 0, 58, 12, 7, 0, 0, 5, 384, 3, 0, 384, 367, 27, 0, 0, 0, 0, 17, 266, 24, 12, 24, 0, 5.0, 21.0, 24.0, 0, 1, 24, 24, 0, 0, 0, 0, 0, 7, 12, 5, 0.0, 24, 0, 0, 3, 1, 17, 17, 20.83, 87.5, 100.0, 50.0, 70.796875, 70.796875, 12.5, 4.19921875, 100.0, 0.0, 0.0, 29.19921875, 50.0, 20.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 255.0, 21.0, 0.0, 0.0, 11.0, "Tous les candidats", 381.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "31327", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31327&g_ta_cod=31327", 100.0, 0.0, 0.0),
(5451, "Public", "0670084C", "Lycée Jean Rostand", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Services - Diététique", "BTS - Services", "", 32, 1606, 1344, 1606, 0, 405, 60, 428, 112, 109, 44, 664, 0, 0, 0, 0, 0, 638, 0, 0, 0, 228, 33, 213, 49, 36, 13, 161, 188, 31, 27, 31, 0, 1.0, 20.0, 29.0, 0, 4, 24, 10, 11, 3, 7, 0, 1, 10, 11, 2, 0.0, 9, 11, 3, 2, 2, 9, 9, 3.23, 64.52, 93.55, 87.09375, 37.5, 37.5, 8.298828125, 16.69921875, 77.390625, 0.0, 4.19921875, 41.6953125, 45.796875, 8.3, 0.0, 41.6953125, 37.5, 45.796875, 45.796875, 12.5, 12.5, 61.0, 13.0, 13.0, 5.0, 49.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 205.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 127, "Liste d'appel propre à cette formation", 22.0, "7930", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7930&g_ta_cod=7930", 45.0, 45.0, 10.0),
(5452, "Public", "0195014X", "Université de Limoges - Antenne de Brive", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation non sélective", "Licence", "Université de Limoges - Antenne de Brive - Licence - Portail Droit - Droit Brive", "Licence - Droit-économie-gestion", "Droit Brive", 80, 537, 384, 493, 0, 353, 78, 67, 26, 14, 8, 59, 44, 7, 5, 3, 29, 492, 31, 0, 0, 353, 78, 67, 26, 14, 8, 58, 379, 75, 48, 60, 15, 11.0, 57.0, 65.0, 0, 19, 61, 50, 8, 3, 14, 0, 26, 20, 11, 3, 1.0, 31, 4, 0, 0, 0, 49, 49, 14.67, 76.0, 86.67, 64.0, 80.296875, 80.296875, 0, 31.09765625, 81.296875, 0.0, 42.59375, 32.796875, 18.0, 4.9, 1.6, 82.0, 50.796875, 13.099609375, 6.599609375, 4.8994140625, 0.0, 277.0, 68.0, 10.0, 4.0, 63.0, "Tous les candidats", 534.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "3172", "Licence - Portail Droit - Droit Brive", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27740&g_ta_cod=3172", 79.0, 17.0, 4.0),
(5453, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Géographie et aménagement - Parcours Géographie, Aménagement et Environnement", "Licence - Sciences humaines et sociales", "Géographie, Aménagement et Environnement", 250, 1103, 522, 855, 0, 508, 92, 55, 10, 12, 6, 280, 248, 36, 12, 13, 187, 855, 237, 0, 0, 508, 92, 55, 10, 12, 6, 280, 1092, 247, 106, 149, 98, 144.0, 145.0, 208.0, 0, 19, 85, 75, 8, 2, 162, 0, 39, 35, 11, 0, 0.0, 44, 2, 0, 0, 0, 56, 56, 58.3, 58.7, 84.21, 42.8984375, 65.890625, 65.890625, 0, 22.3984375, 34.3984375, 0.0, 45.8984375, 41.1953125, 12.8984375, 0.0, 0.0, 88.1875, 51.796875, 9.3984375, 2.39990234375, 2.39990234375, 0.0, 544.0, 95.0, 25.0, 17.0, 456.0, "Tous les candidats", 855.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4167", "Licence - Géographie et aménagement - Parcours Géographie, Aménagement et Environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4167&g_ta_cod=4167", 74.0, 15.0, 8.0),
(5454, "Public", "0060033D", "Lycée Honoré d'Estienne d'Orves (Beau-Site)", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Honoré d'Estienne d'Orves (Beau-Site) - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 531, 470, 527, 0, 72, 26, 133, 53, 175, 88, 147, 4, 2, 0, 0, 2, 322, 1, 0, 0, 54, 19, 112, 47, 87, 37, 69, 112, 21, 21, 20, 1, 3.0, 15.0, 19.0, 0, 9, 17, 5, 4, 8, 4, 0, 2, 9, 4, 2, 0.0, 5, 2, 8, 0, 0, 12, 12, 14.29, 71.43, 90.48, 100.0, 70.59375, 70.59375, 0, 52.8984375, 81.0, 0.0, 11.798828125, 52.8984375, 23.5, 11.8, 0.0, 29.3984375, 29.3984375, 23.5, 11.798828125, 47.09375, 47.09375, 24.0, 12.0, 24.0, 7.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 29.0, "2214", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2214&g_ta_cod=2214", 33.0, 29.0, 38.0),
(5455, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 195, 793, 378, 686, 0, 442, 80, 33, 10, 7, 2, 204, 107, 28, 5, 4, 70, 685, 103, 0, 0, 442, 80, 33, 10, 7, 2, 203, 640, 194, 88, 139, 55, 44.0, 139.0, 168.0, 0, 33, 114, 105, 7, 2, 80, 2, 51, 45, 13, 3, 0.0, 56, 3, 2, 0, 0, 34, 95, 22.68, 71.65, 86.6, 45.3984375, 29.796875, 83.296875, 0, 28.8984375, 58.796875, 1.7998046875, 44.6953125, 39.5, 11.3984375, 2.6, 0.0, 92.09375, 49.09375, 6.099609375, 2.599609375, 1.7998046875, 1.7998046875, 371.0, 86.0, 10.0, 3.0, 233.0, "Tous les candidats", 686.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9311", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9311&g_ta_cod=9311", 86.0, 11.0, 3.0),
(5456, "Public", "0061841U", "I.U.T de Nice - Antenne de Cannes", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BUT", "I.U.T de Nice - Antenne de Cannes - BUT - Techniques de commercialisation (Seconde année possible en apprentissage)", "BUT - Service", "", 112, 1969, 1045, 1969, 0, 1070, 155, 578, 126, 41, 18, 280, 0, 0, 0, 0, 0, 1218, 0, 0, 0, 608, 79, 397, 73, 23, 9, 190, 483, 111, 67, 111, 0, 17.0, 72.0, 96.0, 0, 20, 91, 37, 53, 1, 20, 0, 7, 47, 33, 3, 1.0, 37, 46, 1, 0, 0, 73, 73, 15.32, 64.86, 86.49, 60.3984375, 80.1875, 80.1875, 0, 22.0, 82.0, 0.0, 7.69921875, 51.59375, 36.296875, 3.3, 1.1, 40.6953125, 40.6953125, 58.1953125, 50.5, 1.099853515625, 1.099853515625, 170.0, 33.0, 2.0, 1.0, 78.0, "Tous les candidats sauf les Bac technologiques", 320.0, "Bacheliers technologiques toutes séries", 300, "", 0, "Liste d'appel propre à cette formation", 31.0, "2324", "BUT - Techniques de commercialisation (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2324&g_ta_cod=2324", 50.0, 50.0, 1.0),
(5457, "Privé sous contrat d'association", "0060670W", "Institut Sainte Marie de Chavagnes", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BTS", "Institut Sainte Marie de Chavagnes - BTS - Services - Tourisme", "BTS - Services", "", 61, 398, 304, 335, 0, 125, 28, 60, 16, 55, 19, 95, 63, 9, 6, 10, 38, 230, 24, 0, 0, 114, 24, 42, 7, 26, 6, 48, 222, 57, 46, 53, 4, 21.0, 52.0, 55.0, 0, 10, 44, 29, 7, 8, 13, 0, 17, 16, 9, 2, 0.0, 20, 2, 5, 2, 2, 37, 37, 36.84, 91.23, 96.49, 80.6875, 84.09375, 84.09375, 4.5, 22.69921875, 77.1875, 0.0, 38.59375, 36.3984375, 20.5, 4.5, 0.0, 65.890625, 45.5, 15.8984375, 4.5, 18.19921875, 11.3984375, 103.0, 22.0, 28.0, 7.0, 57.0, "Tous les candidats sauf les Bac professionnels", 201.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 68.0, "2235", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2235&g_ta_cod=2235", 68.0, 16.0, 16.0),
(5458, "Public", "0880153N", "Lycée Andre Malraux", "88", "Vosges", "Grand Est", "Nancy-Metz", "Remiremont", "formation sélective", "BTS", "Lycée Andre Malraux - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 15, 139, 20, 134, 0, 20, 3, 48, 5, 41, 5, 25, 5, 0, 2, 0, 3, 132, 0, 0, 0, 20, 3, 48, 5, 41, 5, 23, 69, 11, 0, 11, 0, 5.0, 8.0, 9.0, 0, 0, 10, 1, 4, 5, 1, 0, 3, 2, 5, 0, 0.0, 0, 3, 4, 4, 0, 9, 9, 45.45, 72.73, 81.82, 0.0, 90.0, 90.0, 40, 0.0, 90.890625, 0.0, 30.0, 20.0, 50.0, 0.0, 0.0, 10.0, 0.0, 40.0, 30.0, 50.0, 40.0, 15.0, 2.0, 20.0, 3.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 85.0, "10745", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10745&g_ta_cod=10745", 18.0, 36.0, 45.0),
(5459, "Public", "0931430Z", "Lycée Jacques Brel", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "La Courneuve", "formation sélective", "BTS", "Lycée Jacques Brel - BTS - Services - Communication", "BTS - Services", "", 35, 2063, 1404, 2063, 0, 224, 86, 615, 318, 269, 137, 955, 0, 0, 0, 0, 0, 538, 0, 0, 0, 5, 4, 166, 80, 232, 116, 135, 182, 33, 20, 33, 0, 4.0, 26.0, 29.0, 0, 8, 17, 2, 8, 7, 16, 0, 1, 13, 3, 0, 0.0, 2, 7, 7, 0, 0, 13, 15, 12.12, 78.79, 87.88, 60.59375, 76.5, 88.1875, 0, 47.09375, 51.5, 0.0, 5.8994140625, 76.5, 17.59765625, 0.0, 0.0, 11.798828125, 11.798828125, 47.09375, 41.1953125, 41.1953125, 41.1953125, 4.0, 4.0, 40.0, 18.0, 71.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 131, "Liste d'appel propre à cette formation", 12.0, "11271", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11271&g_ta_cod=11271", 36.0, 39.0, 24.0),
(5460, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Portail Licence 1ère année Portail Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "Licence 1ère année Portail Sciences pour l'ingénieur", 54, 706, 148, 669, 0, 417, 71, 49, 11, 6, 2, 197, 37, 5, 0, 0, 32, 643, 20, 0, 0, 417, 71, 49, 11, 6, 2, 171, 423, 49, 8, 41, 8, 0.0, 31.0, 42.0, 0, 9, 36, 32, 4, 0, 13, 1, 22, 12, 1, 0, 0.0, 13, 0, 0, 0, 0, 33, 33, 0.0, 63.27, 85.71, 16.296875, 91.6875, 91.6875, 0, 25.0, 73.5, 2.7998046875, 61.09375, 33.296875, 2.7998046875, 0.0, 0.0, 88.890625, 36.09375, 11.099609375, 0.0, 0.0, 0.0, 277.0, 54.0, 4.0, 1.0, 124.0, "Tous les candidats", 713.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "6616", "Licence - Portail Licence 1ère année Portail Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26946&g_ta_cod=6616", 82.0, 16.0, 2.0),
(5461, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence", "Avignon Université - Licence - Administration économique et sociale - Parcours Science Politique et Europe", "Licence - Droit-économie-gestion", "Science Politique et Europe", 200, 1776, 1027, 1776, 0, 1176, 327, 206, 114, 72, 41, 322, 0, 0, 0, 0, 0, 1762, 0, 0, 0, 1176, 327, 206, 114, 72, 41, 308, 1138, 199, 97, 199, 0, 98.0, 174.0, 176.0, 0, 66, 158, 133, 13, 12, 41, 1, 48, 71, 31, 7, 0.0, 96, 5, 8, 0, 0, 112, 112, 49.25, 87.44, 88.44, 48.6953125, 70.890625, 70.890625, 0, 41.796875, 79.390625, 0.5999755859375, 30.3984375, 44.8984375, 19.59765625, 4.4, 0.0, 84.1875, 60.796875, 8.19921875, 3.19970703125, 7.599609375, 5.099609375, 812.0, 240.0, 35.0, 20.0, 180.0, "Tous les candidats", 1221.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "10451", "Licence - Administration économique et sociale - Parcours Science Politique et Europe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10451&g_ta_cod=10451", 82.0, 12.0, 7.0),
(5462, "Public", "0595876S", "Sciences Po Lille - Institut d'études politiques", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Sciences Po Lille ? Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Double diplôme Franco-Espagnol", "Sciences politiques", "Double diplôme Franco-Espagnol", 12, 162, 102, 162, 0, 112, 21, 2, 1, 0, 0, 48, 0, 0, 0, 0, 0, 19, 0, 0, 0, 15, 1, 0, 0, 0, 0, 4, 16, 14, 13, 14, 0, 7.0, 14.0, 14.0, 0, 1, 12, 12, 0, 0, 2, 0, 0, 0, 1, 8, 3.0, 12, 0, 0, 0, 0, 1, 1, 50.0, 100.0, 100.0, 92.890625, 8.298828125, 8.298828125, 0, 8.298828125, 85.6875, 0.0, 0.0, 0.0, 8.298828125, 66.7, 25.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 14.0, 1.0, 0.0, 0.0, 2.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "25835", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Double diplôme Franco-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25835&g_ta_cod=25835", 100.0, 0.0, 0.0),
(5463, "Public", "0622276M", "Lycée Jan Lavezzari", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Berck", "formation sélective", "BTS", "Lycée Jan Lavezzari - BTS - Services - Prothésiste orthésiste", "BTS - Services", "", 15, 627, 453, 627, 0, 154, 20, 161, 23, 51, 8, 261, 0, 0, 0, 0, 0, 621, 0, 0, 0, 154, 20, 161, 23, 51, 8, 255, 43, 14, 13, 14, 0, 3.0, 13.0, 13.0, 0, 2, 14, 7, 5, 2, 0, 0, 0, 7, 3, 4, 0.0, 7, 5, 2, 2, 1, 5, 5, 21.43, 92.86, 92.86, 92.890625, 35.6953125, 35.6953125, 14.298828125, 14.298828125, 100.0, 0.0, 0.0, 50.0, 21.3984375, 28.6, 0.0, 50.0, 50.0, 35.6953125, 35.6953125, 14.298828125, 14.298828125, 19.0, 4.0, 5.0, 1.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 11.0, "21200", "BTS - Services - Prothésiste orthésiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21200&g_ta_cod=21200", 50.0, 36.0, 14.0),
(5464, "Public", "0311870P", "IFSI CHU de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "IFSI", "Regroupement d'IFSI Université Toulouse - D.E Infirmier", "D.E secteur sanitaire", "", 220, 10107, 8606, 10107, 0, 1765, 396, 1713, 528, 1225, 488, 5404, 0, 0, 0, 0, 0, 6324, 0, 0, 0, 1560, 332, 1077, 309, 644, 245, 3043, 968, 218, 193, 218, 0, 27.0, 125.0, 156.0, 0, 30, 113, 81, 26, 6, 105, 0, 7, 37, 52, 16, 1.0, 77, 25, 4, 0, 0, 73, 73, 12.39, 57.34, 71.56, 88.5, 64.59375, 64.59375, 0, 26.5, 51.796875, 0.0, 6.19921875, 32.6953125, 46.0, 14.2, 0.9, 71.6875, 68.09375, 23.0, 22.09765625, 5.2998046875, 3.5, 357.0, 78.0, 22.0, 12.0, 523.0, "Tous les candidats", 1105.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 10.0, "23251", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22985&g_ta_cod=23251", 79.0, 15.0, 5.0),
(5465, "Public", "0130048G", "Lycée Saint Exupery", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 15e  Arrondissement", "formation sélective", "BTS", "Lycée Saint Exupery - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 31, 1482, 809, 1482, 0, 143, 65, 540, 317, 369, 234, 430, 0, 0, 0, 0, 0, 527, 0, 0, 0, 92, 41, 204, 112, 142, 89, 89, 166, 34, 18, 32, 0, 6.0, 22.0, 27.0, 0, 17, 23, 2, 11, 10, 11, 0, 11, 9, 2, 1, 0.0, 1, 8, 3, 5, 1, 23, 23, 17.65, 64.71, 79.41, 52.8984375, 100.0, 100.0, 21.69921875, 73.890625, 67.59375, 0.0, 47.796875, 39.09375, 8.69921875, 4.3, 0.0, 8.69921875, 4.2998046875, 47.796875, 34.796875, 43.5, 13.0, 34.0, 17.0, 53.0, 32.0, 32.0, "Tous les candidats sauf les Bac professionnels", 172.0, "Bacheliers professionnels toutes séries", 111, "", 0, "Liste d'appel propre à cette formation", 19.0, "2560", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2560&g_ta_cod=2560", 26.0, 44.0, 29.0),
(5466, "Public", "0590065A", "Lycée Edmond Labbe", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "BTS", "Lycée Edmond Labbe - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 226, 11, 207, 0, 12, 2, 32, 9, 101, 43, 62, 19, 0, 9, 6, 4, 142, 9, 0, 0, 12, 2, 32, 9, 63, 30, 35, 75, 10, 0, 7, 3, 1.0, 6.0, 8.0, 0, 5, 10, 1, 2, 7, 0, 0, 5, 3, 1, 1, 0.0, 0, 1, 4, 0, 0, 7, 7, 10.0, 60.0, 80.0, 0.0, 70.0, 70.0, 0, 50.0, 100.0, 0.0, 50.0, 30.0, 10.0, 10.0, 0.0, 10.0, 0.0, 20.0, 10.0, 70.0, 40.0, 2.0, 1.0, 47.0, 24.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 45.0, "13555", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13555&g_ta_cod=13555", 10.0, 20.0, 70.0),
(5467, "Privé sous contrat d'association", "0451335G", "Lycée Sainte-Croix Saint-Euverte", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Sainte-Croix Saint-Euverte - BTS - Services - Diététique", "BTS - Services", "", 32, 454, 369, 454, 0, 109, 10, 127, 26, 37, 8, 181, 0, 0, 0, 0, 0, 265, 0, 0, 0, 65, 2, 77, 11, 6, 2, 117, 141, 29, 24, 29, 0, 1.0, 14.0, 21.0, 0, 2, 20, 10, 10, 0, 9, 0, 10, 6, 4, 0, 0.0, 6, 4, 0, 0, 0, 14, 14, 3.45, 48.28, 72.41, 82.796875, 70.0, 70.0, 0, 10.0, 69.0, 0.0, 50.0, 30.0, 20.0, 0.0, 0.0, 50.0, 30.0, 50.0, 20.0, 0.0, 0.0, 44.0, 2.0, 5.0, 2.0, 52.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 102.0, "Bacheliers technologiques toutes séries", 62, "Bacheliers professionnels toutes séries", 10, "Liste d'appel propre à cette formation", 38.0, "33789", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33789&g_ta_cod=33789", 55.0, 45.0, 0.0),
(5468, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Université Toulouse 2 Jean Jaurès - Année préparatoire - Langues Etrangères Appliquées (LEA) parcours LEARN (remise à niveau) - Anglais / Espagnol", "Année préparatoire", "Langues Etrangères Appliquées (LEA) parcours LEARN (remise à niveau) - Anglais / Espagnol", 25, 218, 166, 212, 0, 80, 27, 21, 8, 24, 14, 87, 6, 0, 1, 0, 5, 184, 4, 0, 0, 80, 27, 21, 8, 22, 12, 61, 111, 30, 21, 26, 4, 5.0, 17.0, 21.0, 0, 8, 13, 6, 5, 2, 17, 0, 5, 5, 2, 1, 0.0, 5, 1, 2, 0, 0, 10, 10, 16.67, 56.67, 70.0, 70.0, 76.890625, 76.890625, 0, 61.5, 43.296875, 0.0, 38.5, 38.5, 15.3984375, 7.7, 0.0, 46.1953125, 38.5, 38.5, 7.69921875, 15.3984375, 15.3984375, 53.0, 17.0, 7.0, 5.0, 40.0, "Tous les candidats", 140.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "30884", "Année préparatoire - Langues Etrangères Appliquées (LEA) parcours LEARN (remise à niveau) - Anglais / Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30884&g_ta_cod=30884", 60.0, 27.0, 13.0),
(5469, "Public", "0132733A", "Lycée Antonin Artaud", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "CPGE", "Lycée Antonin Artaud - CPGE - TSI", "Classe préparatoire scientifique", "", 30, 224, 23, 214, 0, 0, 0, 198, 53, 0, 0, 16, 10, 0, 3, 0, 7, 156, 6, 0, 156, 0, 0, 150, 42, 0, 0, 6, 136, 24, 2, 22, 2, 10.0, 22.0, 24.0, 0, 6, 18, 0, 18, 0, 6, 0, 3, 7, 6, 2, 0.0, 0, 15, 0, 3, 0, 16, 16, 41.67, 91.67, 100.0, 8.298828125, 88.890625, 88.890625, 16.69921875, 33.296875, 75.0, 0.0, 16.69921875, 38.8984375, 33.296875, 11.1, 0.0, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 10.0, "Tous les candidats", 156.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "2775", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2775&g_ta_cod=2775", 0.0, 79.0, 21.0),
(5470, "Public", "0301577B", "Université de Montpellier, Antenne de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "PASS", "Université de Montpellier, Antenne de Nîmes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 19, 2069, 1344, 2069, 0, 1623, 350, 62, 26, 8, 4, 376, 0, 0, 0, 0, 0, 2069, 0, 0, 0, 1623, 350, 62, 26, 8, 4, 376, 253, 17, 11, 17, 0, 1.0, 7.0, 14.0, 0, 3, 16, 16, 0, 0, 1, 0, 1, 2, 6, 4, 3.0, 15, 0, 0, 0, 0, 12, 12, 5.88, 41.18, 82.35, 64.6875, 75.0, 75.0, 0, 18.796875, 94.09375, 0.0, 6.2998046875, 12.5, 37.5, 25.0, 18.8, 100.0, 93.796875, 0.0, 0.0, 0.0, 0.0, 223.0, 35.0, 2.0, 1.0, 27.0, "Tous les candidats", 1147.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "31853", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28811&g_ta_cod=31853", 100.0, 0.0, 0.0),
(5471, "Public", "0480009Z", "Lycée Emile Peytavin", "48", "Lozère", "Occitanie", "Montpellier", "Mende", "formation sélective", "BTS", "Lycée Emile Peytavin - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 18, 371, 303, 363, 0, 14, 3, 86, 30, 94, 39, 169, 8, 0, 6, 0, 2, 343, 0, 0, 0, 14, 3, 75, 23, 94, 39, 160, 88, 16, 15, 16, 0, 3.0, 13.0, 14.0, 0, 5, 12, 1, 5, 6, 4, 0, 4, 4, 4, 0, 0.0, 1, 2, 5, 3, 3, 8, 8, 18.75, 81.25, 87.5, 93.796875, 66.6875, 66.6875, 25, 41.6953125, 75.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 8.298828125, 8.298828125, 41.6953125, 16.69921875, 50.0, 41.6953125, 11.0, 3.0, 29.0, 10.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 35.0, "5799", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5799&g_ta_cod=5799", 25.0, 31.0, 44.0),
(5472, "Public", "0134015U", "Aix-Marseille Université - Site de Marseille Saint Charles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation non sélective", "Licence_Las", "Aix-Marseille Université - Portail René Descartes - Licence - Portail Descartes : Informatique, Mathématiques, Mécanique, Physique", "Licence - Sciences - technologies - santé", "Descartes : Informatique, Mathématiques, Mécanique, Physique - site de Saint Charles", 20, 1180, 398, 1180, 0, 644, 144, 52, 25, 9, 7, 475, 0, 0, 0, 0, 0, 1180, 0, 0, 0, 644, 144, 52, 25, 9, 7, 475, 377, 18, 9, 18, 0, 0.0, 3.0, 10.0, 0, 0, 2, 2, 0, 0, 16, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 0.0, 16.67, 55.56, 50.0, 100.0, 100.0, 0, 0.0, 11.099609375, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 188.0, 33.0, 0.0, 0.0, 184.0, "Tous les candidats", 2450.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 63.0, "28578", "Licence - Portail Descartes : Informatique, Mathématiques, Mécanique, Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12608&g_ta_cod=28578", 94.0, 0.0, 6.0),
(5473, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "PASS", "Université de Tours - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 305, 5530, 3931, 5530, 0, 4555, 658, 107, 26, 19, 8, 849, 0, 0, 0, 0, 0, 5441, 0, 0, 0, 4555, 658, 107, 26, 19, 8, 760, 1042, 304, 235, 304, 0, 57.0, 258.0, 290.0, 0, 62, 304, 304, 0, 0, 0, 0, 2, 26, 153, 113, 10.0, 302, 0, 0, 0, 0, 270, 270, 18.75, 84.87, 95.39, 77.296875, 88.796875, 88.796875, 0, 20.3984375, 100.0, 0.0, 0.699951171875, 8.599609375, 50.296875, 37.2, 3.3, 100.0, 99.296875, 0.0, 0.0, 0.0, 0.0, 1034.0, 154.0, 0.0, 0.0, 8.0, "Tous les candidats", 1481.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "27664", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27667&g_ta_cod=27664", 100.0, 0.0, 0.0),
(5474, "Public", "0660011D", "Lycée Jean Lurcat", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée Jean Lurcat - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 480, 52, 480, 0, 41, 14, 122, 44, 136, 48, 181, 0, 0, 0, 0, 0, 372, 0, 0, 0, 41, 14, 122, 44, 113, 43, 96, 73, 32, 2, 32, 0, 14.0, 27.0, 31.0, 0, 11, 27, 2, 11, 14, 5, 0, 3, 15, 8, 1, 0.0, 1, 9, 14, 0, 0, 25, 25, 43.75, 84.38, 96.88, 6.2998046875, 92.59375, 92.59375, 0, 40.6953125, 84.390625, 0.0, 11.099609375, 55.59375, 29.59765625, 3.7, 0.0, 7.3994140625, 3.69970703125, 40.6953125, 33.296875, 51.8984375, 51.8984375, 10.0, 4.0, 17.0, 7.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 21.0, "7853", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7853&g_ta_cod=7853", 13.0, 44.0, 44.0),
(5475, "Privé sous contrat d'association", "0211090W", "Lycée saint bénigne", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée saint bénigne - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 301, 181, 277, 0, 28, 9, 78, 19, 76, 20, 95, 24, 0, 2, 9, 13, 162, 7, 0, 0, 23, 6, 61, 15, 43, 8, 35, 140, 27, 16, 21, 6, 7.0, 18.0, 21.0, 0, 4, 19, 3, 11, 5, 8, 0, 13, 3, 3, 0, 0.0, 0, 2, 4, 8, 3, 18, 18, 25.93, 66.67, 77.78, 59.296875, 94.6875, 94.6875, 42.09375, 21.09765625, 70.390625, 0.0, 68.390625, 15.798828125, 15.798828125, 0.0, 0.0, 15.798828125, 0.0, 57.8984375, 10.5, 26.296875, 21.09765625, 20.0, 6.0, 39.0, 9.0, 33.0, "Tous les candidats sauf les Bac professionnels", 106.0, "Bacheliers professionnels toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 56.0, "3218", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3218&g_ta_cod=3218", 19.0, 56.0, 26.0),
(5476, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence", "Université des Antilles - Pôle Martinique - Licence - Portail Information et communication - Information et communication - Martinique", "Licence - Sciences humaines et sociales", "Information et communication - Martinique", 90, 332, 215, 252, 0, 133, 46, 46, 19, 6, 4, 67, 80, 14, 14, 8, 44, 252, 75, 0, 0, 133, 46, 46, 19, 6, 4, 67, 288, 76, 42, 43, 33, 16.0, 43.0, 64.0, 0, 18, 41, 24, 15, 2, 35, 0, 29, 11, 1, 0, 0.0, 8, 4, 0, 0, 0, 32, 32, 21.05, 56.58, 84.21, 55.296875, 78.0, 78.0, 0, 43.8984375, 53.8984375, 0.0, 70.6875, 26.796875, 2.39990234375, 0.0, 0.0, 58.5, 19.5, 36.59375, 9.798828125, 4.8994140625, 0.0, 127.0, 44.0, 11.0, 7.0, 96.0, "Tous les candidats", 289.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "19466", "Licence - Portail Information et communication - Information et communication - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26842&g_ta_cod=19466", 61.0, 33.0, 7.0),
(5477, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Licence", "Université de Montpellier - Double licence - Economie / Science politique - Economie - Science Politique - Economie -Science politique (Facultés d'Economie et de Droit Science politique)", "Licence - Droit-économie-gestion", "Economie - Science Politique - Economie -Science politique (Facultés d'Economie et de Droit Science politique)", 30, 1699, 961, 1699, 0, 1357, 204, 39, 20, 4, 1, 299, 0, 0, 0, 0, 0, 1699, 0, 0, 0, 1357, 204, 39, 20, 4, 1, 299, 174, 29, 23, 29, 0, 0.0, 21.0, 25.0, 0, 9, 27, 27, 0, 0, 2, 0, 0, 0, 4, 22, 1.0, 27, 0, 0, 0, 0, 4, 4, 0.0, 72.41, 86.21, 79.296875, 14.798828125, 14.798828125, 0, 33.296875, 93.09375, 0.0, 0.0, 0.0, 14.798828125, 81.5, 3.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 158.0, 32.0, 0.0, 0.0, 16.0, "Tous les candidats", 201.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "31964", "Double licence - Economie / Science politique - Economie - Science Politique - Economie -Science politique (Facultés d'Economie et de Droit Science politique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31964&g_ta_cod=31964", 100.0, 0.0, 0.0),
(5478, "Public", "0620256S", "Lycée Guy Mollet", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "Lycée Guy Mollet - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 546, 278, 508, 0, 67, 20, 136, 49, 83, 48, 222, 38, 0, 8, 11, 19, 269, 11, 0, 0, 65, 19, 92, 26, 62, 37, 50, 129, 25, 16, 18, 7, 3.0, 13.0, 20.0, 0, 9, 16, 4, 8, 4, 9, 0, 5, 7, 3, 1, 0.0, 2, 6, 3, 8, 4, 16, 16, 12.0, 52.0, 80.0, 64.0, 100.0, 100.0, 50, 56.296875, 64.0, 0.0, 31.296875, 43.796875, 18.796875, 6.3, 0.0, 25.0, 12.5, 50.0, 37.5, 25.0, 18.796875, 22.0, 10.0, 49.0, 29.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 40.0, "7406", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7406&g_ta_cod=7406", 28.0, 52.0, 20.0),
(5479, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "Licence", "Université Paris 8 - Double licence - Histoire / Science politique - Histoire / Science politique", "Licence - Sciences humaines et sociales", "Histoire / Science politique", 30, 1425, 743, 1425, 0, 1165, 185, 11, 3, 7, 1, 242, 0, 0, 0, 0, 0, 665, 0, 0, 0, 562, 64, 0, 0, 0, 0, 103, 201, 30, 13, 29, 0, 8.0, 21.0, 27.0, 0, 4, 23, 23, 0, 0, 7, 0, 0, 0, 10, 13, 0.0, 23, 0, 0, 0, 0, 3, 13, 26.67, 70.0, 90.0, 43.296875, 13.0, 56.5, 0, 17.3984375, 76.6875, 0.0, 0.0, 0.0, 43.5, 56.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 178.0, 28.0, 0.0, 0.0, 23.0, "Tous les candidats", 312.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "14131", "Double licence - Histoire / Science politique - Histoire / Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14131&g_ta_cod=14131", 100.0, 0.0, 0.0),
(5480, "Public", "0952196W", "LYCEE POLYVALENT GUSTAVE MONOD", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Enghien-les-Bains", "formation sélective", "BTS", "LYCEE POLYVALENT GUSTAVE MONOD - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 351, 9, 351, 0, 7, 0, 63, 28, 208, 77, 73, 0, 0, 0, 0, 0, 275, 0, 0, 0, 7, 0, 57, 26, 161, 61, 50, 61, 23, 1, 22, 0, 13.0, 20.0, 22.0, 0, 10, 22, 0, 5, 17, 1, 0, 6, 5, 9, 2, 0.0, 0, 1, 15, 3, 0, 21, 22, 56.52, 86.96, 95.65, 4.2998046875, 95.5, 100.0, 13.599609375, 45.5, 95.6875, 0.0, 27.296875, 22.69921875, 40.8984375, 9.1, 0.0, 0.0, 0.0, 22.69921875, 4.5, 77.296875, 68.1875, 0.0, 0.0, 28.0, 11.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 21.0, "11565", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11565&g_ta_cod=11565", 4.0, 22.0, 74.0),
(5481, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe - Mineure Anglais", "Licence - Arts-lettres-langues", "Arabe - Mineure Anglais", 6, 87, 62, 87, 0, 24, 15, 6, 1, 2, 1, 55, 0, 0, 0, 0, 0, 77, 0, 0, 0, 24, 15, 6, 1, 2, 1, 45, 44, 5, 4, 5, 0, 0.0, 4.0, 4.0, 0, 3, 4, 3, 1, 0, 1, 0, 2, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 1, 4, 0.0, 80.0, 80.0, 80.0, 25.0, 100.0, 0, 75.0, 80.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 75.0, 25.0, 25.0, 25.0, 0.0, 0.0, 17.0, 10.0, 2.0, 1.0, 21.0, "Tous les candidats", 52.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "24022", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe - Mineure Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24022&g_ta_cod=24022", 80.0, 20.0, 0.0),
(5482, "Privé sous contrat d'association", "0590348H", "HEI Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 5, 297, 111, 297, 0, 0, 0, 0, 0, 0, 0, 297, 0, 0, 0, 0, 0, 258, 0, 0, 0, 0, 0, 0, 0, 0, 0, 258, 214, 3, 1, 3, 0, 3.0, 3.0, 3.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 33.296875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 214.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "22867", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22867", 100.0, 0.0, 0.0),
(5483, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Langues étrangères appliquées - Parcours Anglais - Espagnol", "Licence - Arts-lettres-langues", "Anglais - Espagnol", 115, 920, 720, 884, 0, 530, 140, 95, 36, 37, 14, 222, 36, 7, 3, 1, 25, 884, 19, 0, 0, 530, 140, 95, 36, 37, 14, 222, 537, 109, 80, 99, 10, 10.0, 74.0, 97.0, 0, 27, 71, 47, 19, 5, 38, 0, 28, 29, 12, 2, 0.0, 34, 7, 2, 0, 0, 65, 65, 9.17, 67.89, 88.99, 73.390625, 91.5, 91.5, 0, 38.0, 65.09375, 0.0, 39.3984375, 40.796875, 16.8984375, 2.8, 0.0, 66.1875, 47.8984375, 26.796875, 9.8984375, 7.0, 2.7998046875, 314.0, 79.0, 19.0, 9.0, 150.0, "Tous les candidats", 828.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "22666", "Licence - Langues étrangères appliquées - Parcours Anglais - Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22666&g_ta_cod=22666", 72.0, 21.0, 7.0),
(5484, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Portail Lettres - Littérature : création littéraire et écritures du monde", "Licence - Arts-lettres-langues", "Littérature : création littéraire et écritures du monde", 130, 699, 528, 468, 0, 253, 69, 20, 10, 44, 24, 151, 231, 31, 19, 9, 172, 466, 146, 0, 0, 253, 69, 20, 10, 44, 24, 149, 614, 124, 86, 67, 56, 65.0, 66.0, 98.0, 0, 20, 57, 32, 16, 9, 67, 1, 31, 12, 8, 3, 2.0, 16, 5, 4, 0, 0, 24, 42, 52.42, 53.23, 79.03, 69.390625, 42.09375, 73.6875, 0, 35.09375, 46.0, 1.7998046875, 54.3984375, 21.09765625, 14.0, 5.3, 3.5, 56.09375, 28.09765625, 28.09765625, 8.798828125, 15.798828125, 7.0, 281.0, 78.0, 48.0, 28.0, 254.0, "Tous les candidats", 542.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "15407", "Licence - Portail Lettres - Littérature : création littéraire et écritures du monde", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28415&g_ta_cod=15407", 65.0, 19.0, 15.0),
(5485, "Public", "0020032Z", "Lycée Paul Claudel", "02", "Aisne", "Hauts-de-France", "Amiens", "Laon", "formation sélective", "BTS", "Lycée Paul Claudel - BTS - Services - Support à l'action managériale", "BTS - Services", "", 33, 238, 143, 202, 0, 7, 4, 62, 20, 55, 24, 78, 36, 1, 6, 13, 16, 126, 15, 0, 0, 5, 3, 62, 20, 30, 16, 29, 111, 26, 15, 16, 9, 5.0, 15.0, 17.0, 0, 9, 16, 1, 8, 7, 10, 1, 7, 6, 2, 0, 0.0, 0, 2, 6, 2, 0, 14, 14, 19.23, 57.69, 65.38, 57.6953125, 87.5, 87.5, 12.5, 56.296875, 61.5, 6.2998046875, 43.796875, 37.5, 12.5, 0.0, 0.0, 6.2998046875, 0.0, 50.0, 12.5, 43.796875, 37.5, 2.0, 2.0, 31.0, 18.0, 30.0, "Tous les candidats sauf les Bac professionnels", 87.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 61.0, "2046", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2046&g_ta_cod=2046", 12.0, 42.0, 46.0),
(5486, "Public", "0134061U", "IUT Aix-Marseille - Site d'Aix-En-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BUT", "IUT Aix-Marseille - Site d'Aix-En-Provence - BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la Supply Chain connectées - Parcours : Management de la mobilité et de la Supply Chain durables", "BUT - Service", "Management de la mobilité et de la Supply Chain connectées - Parcours : Management de la mobilité et de la Supply Chain durables", 90, 807, 243, 804, 0, 358, 71, 259, 94, 21, 8, 166, 3, 0, 3, 0, 0, 481, 3, 0, 0, 255, 42, 167, 55, 10, 3, 49, 278, 88, 25, 85, 2, 23.0, 75.0, 79.0, 0, 31, 82, 39, 42, 1, 6, 0, 15, 49, 18, 0, 0.0, 31, 35, 1, 0, 0, 65, 65, 26.14, 85.23, 89.77, 28.3984375, 79.296875, 79.296875, 0, 37.796875, 93.1875, 0.0, 18.296875, 59.796875, 22.0, 0.0, 0.0, 47.59375, 37.796875, 51.1953125, 42.6953125, 1.199951171875, 1.199951171875, 137.0, 30.0, 6.0, 3.0, 24.0, "Tous les candidats sauf les Bac technologiques", 186.0, "Bacheliers technologiques toutes séries", 154, "", 0, "Liste d'appel propre à cette formation", 42.0, "2705", "BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la Supply Chain connectées - Parcours : Management de la mobilité et de la Supply Chain durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2705&g_ta_cod=2705", 50.0, 49.0, 1.0),
(5487, "Public", "0060914L", "I.U.T Nice-Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BUT", "I.U.T Nice-Côte d'Azur - BUT - Techniques de commercialisation", "BUT - Service", "", 168, 3812, 1988, 3812, 0, 2082, 285, 1047, 271, 66, 27, 617, 0, 0, 0, 0, 0, 2537, 0, 0, 0, 1663, 210, 634, 146, 9, 2, 231, 724, 172, 110, 172, 0, 24.0, 138.0, 162.0, 0, 44, 159, 81, 77, 1, 13, 0, 7, 67, 78, 7, 0.0, 77, 74, 1, 0, 0, 124, 124, 13.95, 80.23, 94.19, 64.0, 78.0, 78.0, 0, 27.69921875, 92.390625, 0.0, 4.3994140625, 42.09375, 49.09375, 4.4, 0.0, 50.8984375, 48.3984375, 48.3984375, 46.5, 0.5999755859375, 0.5999755859375, 365.0, 72.0, 4.0, 0.0, 62.0, "Tous les candidats sauf les Bac technologiques", 652.0, "Bacheliers technologiques toutes séries", 403, "", 0, "Liste d'appel propre à cette formation", 28.0, "2254", "BUT - Techniques de commercialisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2254&g_ta_cod=2254", 51.0, 48.0, 1.0),
(5488, "Public", "0250007X", "Lycée Victor Hugo", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "CPGE", "Lycée Victor Hugo - CPGE - PCSI", "Classe préparatoire scientifique", "", 90, 1137, 458, 1137, 798, 639, 58, 2, 1, 0, 0, 496, 0, 0, 0, 0, 0, 794, 0, 474, 776, 565, 43, 0, 0, 0, 0, 229, 581, 83, 33, 83, 0, 12.0, 46.0, 79.0, 41, 2, 57, 57, 0, 0, 26, 0, 0, 13, 28, 15, 1.0, 57, 0, 0, 6, 2, 47, 47, 14.46, 55.42, 95.18, 39.796875, 82.5, 82.5, 10.5, 3.5, 68.6875, 0.0, 0.0, 22.796875, 49.09375, 26.3, 1.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 458.0, 29.0, 0.0, 0.0, 123.0, "Tous les candidats", 700.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "3451", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3451&g_ta_cod=3451", 100.0, 0.0, 0.0),
(5489, "Public", "0641459N", "IFSI CH de Bayonne", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bordeaux - D.E Infirmier", "D.E secteur sanitaire", "", 84, 7012, 5889, 7012, 0, 1434, 251, 1165, 276, 524, 168, 3889, 0, 0, 0, 0, 0, 5643, 0, 0, 0, 1315, 216, 1026, 235, 356, 117, 2946, 849, 84, 71, 84, 0, 3.0, 42.0, 64.0, 0, 14, 46, 22, 22, 2, 38, 0, 6, 23, 15, 2, 0.0, 17, 21, 2, 0, 0, 32, 32, 3.57, 50.0, 76.19, 84.5, 69.59375, 69.59375, 0, 30.3984375, 54.796875, 0.0, 13.0, 50.0, 32.59375, 4.3, 0.0, 47.796875, 37.0, 47.796875, 45.6953125, 4.2998046875, 4.2998046875, 169.0, 40.0, 10.0, 4.0, 503.0, "Tous les candidats", 2251.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "23953", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23940&g_ta_cod=23953", 62.0, 36.0, 2.0),
(5490, "Public", "0941018W", "Lycée Edouard Branly", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 24, 292, 27, 268, 0, 12, 2, 78, 24, 104, 36, 74, 24, 0, 11, 0, 13, 211, 3, 0, 0, 12, 2, 76, 24, 62, 15, 61, 114, 23, 0, 21, 2, 6.0, 17.0, 19.0, 0, 5, 20, 0, 9, 11, 3, 0, 13, 4, 2, 1, 0.0, 0, 0, 7, 15, 0, 17, 20, 26.09, 73.91, 82.61, 0.0, 85.0, 100.0, 75, 25.0, 87.0, 0.0, 65.0, 20.0, 10.0, 5.0, 0.0, 0.0, 0.0, 45.0, 0.0, 55.0, 35.0, 9.0, 2.0, 32.0, 9.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 61.0, "11466", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11466&g_ta_cod=11466", 9.0, 43.0, 48.0),
(5491, "Privé enseignement supérieur", "0755956S", "NEOMA Business School - Campus de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  9e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "TEMA, Innovation & Digital Management", 45, 2056, 850, 2056, 0, 1731, 65, 143, 6, 6, 1, 176, 0, 0, 0, 0, 0, 1796, 0, 0, 0, 1545, 46, 109, 5, 2, 1, 140, 1324, 110, 41, 110, 0, 41.0, 110.0, 110.0, 0, 5, 96, 83, 13, 0, 14, 1, 34, 44, 17, 0, 0.0, 54, 7, 0, 0, 0, 32, 78, 37.27, 100.0, 100.0, 37.296875, 33.296875, 81.296875, 0, 5.19921875, 87.296875, 1.0, 35.3984375, 45.796875, 17.69921875, 0.0, 0.0, 86.5, 56.296875, 13.5, 7.2998046875, 0.0, 0.0, 1155.0, 30.0, 2.0, 1.0, 96.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "26127", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26127", 86.0, 14.0, 0.0),
(5492, "Public", "0132940A", "IFSI Croix Rouge Française Marseille", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  9e  Arrondissement", "formation sélective", "IFSI", "Regroupement d'IFSI Université Aix-Marseille - D.E Infirmier", "D.E secteur sanitaire", "", 130, 9494, 7866, 9494, 0, 1499, 411, 1345, 504, 948, 465, 5702, 0, 0, 0, 0, 0, 4428, 0, 0, 0, 1120, 260, 539, 177, 100, 41, 2669, 1384, 129, 110, 129, 0, 1.0, 34.0, 89.0, 0, 17, 49, 44, 5, 0, 80, 0, 17, 24, 7, 1, 0.0, 28, 4, 0, 0, 0, 35, 35, 0.78, 26.36, 68.99, 85.296875, 71.390625, 71.390625, 0, 34.6953125, 38.0, 0.0, 34.6953125, 49.0, 14.298828125, 2.0, 0.0, 89.796875, 57.09375, 10.19921875, 8.19921875, 0.0, 0.0, 501.0, 148.0, 13.0, 11.0, 782.0, "Tous les candidats", 2410.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "23036", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22987&g_ta_cod=23036", 80.0, 14.0, 5.0),
(5493, "Privé sous contrat d'association", "0131341M", "Lycée Notre Dame De Sion", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Notre Dame De Sion - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 602, 171, 584, 0, 471, 88, 2, 1, 0, 0, 111, 18, 6, 1, 0, 11, 468, 8, 0, 468, 396, 60, 0, 0, 0, 0, 72, 314, 46, 9, 41, 5, 0.0, 28.0, 34.0, 0, 7, 33, 33, 0, 0, 13, 0, 1, 8, 23, 1, 0.0, 32, 0, 0, 0, 0, 28, 28, 0.0, 60.87, 73.91, 19.59765625, 84.796875, 84.796875, 0, 21.19921875, 71.6875, 0.0, 3.0, 24.19921875, 69.6875, 3.0, 0.0, 100.0, 97.0, 0.0, 0.0, 0.0, 0.0, 261.0, 41.0, 0.0, 0.0, 53.0, "Tous les candidats", 440.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "2628", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2628&g_ta_cod=2628", 98.0, 2.0, 0.0),
(5494, "Privé enseignement supérieur", "0221739W", "ASKORIA - Site de Saint-Brieuc", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "EFTS", "ASKORIA - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 15, 431, 410, 431, 0, 60, 10, 87, 8, 68, 14, 216, 0, 0, 0, 0, 0, 296, 0, 0, 0, 28, 1, 55, 3, 42, 7, 171, 61, 15, 15, 15, 0, 1.0, 13.0, 13.0, 0, 0, 7, 1, 0, 6, 8, 0, 1, 3, 2, 1, 0.0, 1, 0, 5, 0, 0, 5, 5, 6.67, 86.67, 86.67, 100.0, 71.390625, 71.390625, 0, 0.0, 46.6953125, 0.0, 14.298828125, 42.8984375, 28.59765625, 14.3, 0.0, 14.298828125, 14.298828125, 0.0, 0.0, 85.6875, 71.390625, 3.0, 0.0, 13.0, 0.0, 38.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 15.0, "24975", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24973&g_ta_cod=24975", 27.0, 27.0, 47.0),
(5495, "Public", "0382863F", "Lycée du Gresivaudan (LGM)", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Meylan", "formation sélective", "BTS", "Lycée du Gresivaudan (LGM) - BTS - Production - Aéronautique", "BTS - Production", "", 15, 684, 66, 681, 0, 166, 20, 206, 37, 125, 35, 184, 3, 0, 0, 0, 3, 368, 0, 0, 0, 120, 11, 97, 17, 66, 14, 85, 85, 10, 1, 10, 0, 4.0, 7.0, 9.0, 0, 1, 8, 1, 2, 5, 2, 0, 1, 1, 4, 2, 0.0, 1, 1, 5, 4, 0, 7, 7, 40.0, 70.0, 90.0, 10.0, 87.5, 87.5, 50, 12.5, 80.0, 0.0, 12.5, 12.5, 50.0, 25.0, 0.0, 12.5, 12.5, 25.0, 12.5, 62.5, 62.5, 14.0, 3.0, 21.0, 2.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 19.0, "19124", "BTS - Production - Aéronautique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19124&g_ta_cod=19124", 20.0, 30.0, 50.0),
(5496, "Public", "0340838B", "I.U.T de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BUT", "I.U.T de Montpellier - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 26, 1208, 802, 1170, 0, 628, 84, 190, 47, 4, 4, 348, 38, 0, 25, 0, 13, 466, 0, 0, 0, 282, 30, 78, 15, 0, 0, 106, 175, 25, 21, 25, 0, 0.0, 15.0, 24.0, 0, 5, 23, 15, 8, 0, 2, 0, 1, 9, 11, 2, 0.0, 15, 7, 0, 0, 0, 8, 8, 0.0, 60.0, 96.0, 84.0, 34.796875, 34.796875, 0, 21.69921875, 92.0, 0.0, 4.2998046875, 39.09375, 47.796875, 8.7, 0.0, 65.1875, 65.1875, 34.796875, 30.3984375, 0.0, 0.0, 96.0, 17.0, 0.0, 0.0, 28.0, "Tous les candidats sauf les Bac technologiques", 207.0, "Bacheliers technologiques toutes séries", 84, "", 0, "Liste d'appel propre à cette formation", 25.0, "4527", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4527&g_ta_cod=4527", 68.0, 32.0, 0.0),
(5497, "Public", "0754247J", "I.U.T de Paris Descartes", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "BUT", "I.U.T de Paris Descartes - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Parcours : Gestion et pilotage des ressources humaines - Parcours : Gestion, entrepreneuriat et management d'activités - Parcours : Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Parcours : Gestion et pilotage des ressources humaines - Parcours : Gestion, entrepreneuriat et management d'activités - Parcours : Contrôle de gestion et pilotage de la performance", 168, 5496, 2840, 5496, 0, 3000, 604, 1633, 572, 54, 28, 809, 0, 0, 0, 0, 0, 720, 0, 0, 0, 348, 92, 305, 79, 0, 0, 67, 463, 177, 111, 177, 0, 69.0, 160.0, 172.0, 0, 59, 153, 70, 83, 0, 24, 0, 3, 40, 88, 22, 0.0, 67, 83, 0, 0, 0, 41, 141, 38.98, 90.4, 97.18, 62.6953125, 26.796875, 92.1875, 0, 38.59375, 86.390625, 0.0, 2.0, 26.09765625, 57.5, 14.4, 0.0, 45.796875, 43.796875, 54.1953125, 54.1953125, 0.0, 0.0, 235.0, 70.0, 0.0, 0.0, 61.0, "Tous les candidats sauf les Bac technologiques", 397.0, "Bacheliers technologiques toutes séries", 192, "", 0, "Liste d'appel propre à cette formation", 11.0, "9517", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Parcours : Gestion et pilotage des ressources humaines - Parcours : Gestion, entrepreneuriat et management d'activités - Parcours : Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9517&g_ta_cod=9517", 51.0, 49.0, 0.0),
(5498, "Public", "0311086M", "I.U.T de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BUT", "I.U.T de Toulouse - BUT - Mesures physiques Parcours : Technique d?Instrumentation - Matériaux et contrôles physico-chimiques", "BUT - Production", "Technique d?Instrumentation - Matériaux et contrôles physico-chimiques", 116, 1835, 443, 1800, 0, 1257, 155, 154, 38, 1, 0, 388, 35, 0, 14, 0, 21, 1690, 5, 0, 0, 1192, 140, 136, 33, 0, 0, 362, 837, 115, 25, 113, 2, 20.0, 61.0, 97.0, 0, 13, 90, 74, 16, 0, 25, 0, 13, 42, 31, 4, 0.0, 64, 13, 0, 0, 0, 64, 64, 17.39, 53.04, 84.35, 21.69921875, 71.09375, 71.09375, 0, 14.3984375, 78.296875, 0.0, 14.3984375, 46.6953125, 34.3984375, 4.4, 0.0, 82.1875, 71.09375, 17.796875, 14.3984375, 0.0, 0.0, 521.0, 74.0, 0.0, 0.0, 213.0, "Tous les candidats sauf les Bac technologiques", 1142.0, "Bacheliers technologiques toutes séries", 165, "", 0, "Liste d'appel propre à cette formation", 73.0, "4099", "BUT - Mesures physiques Parcours : Technique d?Instrumentation - Matériaux et contrôles physico-chimiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4099&g_ta_cod=4099", 82.0, 18.0, 0.0),
(5499, "Privé sous contrat d'association", "0211530Z", "Maison Familiale et Rurale de Quetigny", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Quetigny", "formation sélective", "BTS", "Maison Familiale et Rurale de Quetigny - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 21, 65, 37, 59, 0, 10, 3, 5, 0, 15, 5, 29, 6, 0, 3, 1, 2, 45, 4, 0, 0, 10, 3, 5, 0, 15, 5, 15, 44, 12, 6, 11, 1, 4.0, 11.0, 12.0, 0, 2, 9, 3, 2, 4, 3, 0, 5, 4, 0, 0, 0.0, 1, 1, 2, 0, 0, 7, 7, 33.33, 91.67, 100.0, 50.0, 77.796875, 77.796875, 0, 22.19921875, 75.0, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 0.0, 33.296875, 11.099609375, 22.19921875, 11.099609375, 44.3984375, 22.19921875, 10.0, 3.0, 16.0, 5.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 75.0, "12313", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12313&g_ta_cod=12313", 33.0, 25.0, 42.0),
(5500, "Public", "0450042B", "Lycée des Métiers Durzy", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Villemandeur", "formation sélective", "BTS", "Lycée des Métiers Durzy - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 104, 14, 93, 0, 8, 1, 48, 9, 14, 4, 23, 11, 1, 4, 3, 3, 63, 6, 0, 0, 7, 1, 43, 7, 7, 3, 6, 60, 10, 2, 8, 2, 1.0, 8.0, 9.0, 0, 2, 8, 2, 5, 1, 2, 0, 4, 3, 1, 0, 0.0, 1, 2, 1, 1, 1, 3, 3, 10.0, 80.0, 90.0, 20.0, 37.5, 37.5, 12.5, 25.0, 80.0, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 25.0, 12.5, 62.5, 25.0, 12.5, 12.5, 6.0, 2.0, 8.0, 4.0, 8.0, "Tous les candidats sauf les Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 66.0, "5646", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5646&g_ta_cod=5646", 40.0, 50.0, 10.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(5501, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "Licence_Las", "Université des Antilles - Pôle Guadeloupe - Licence - Portail Droit - Droit- Droit / Métiers de l'ingénierie économique et juridique - Guadeloupe", "Licence - Droit-économie-gestion", "Droit- Droit / Métiers de l'ingénierie économique et juridique - Guadeloupe", 30, 229, 173, 204, 0, 144, 66, 27, 13, 3, 0, 30, 25, 10, 1, 1, 13, 204, 25, 0, 0, 144, 66, 27, 13, 3, 0, 30, 160, 30, 23, 22, 8, 4.0, 22.0, 25.0, 0, 16, 23, 18, 4, 1, 7, 0, 10, 11, 2, 0, 0.0, 8, 4, 1, 0, 0, 23, 23, 13.33, 73.33, 83.33, 76.6875, 100.0, 100.0, 0, 69.59375, 76.6875, 0.0, 43.5, 47.796875, 8.69921875, 0.0, 0.0, 78.296875, 34.796875, 17.3984375, 17.3984375, 4.2998046875, 4.2998046875, 107.0, 47.0, 1.0, 1.0, 32.0, "Tous les candidats", 680.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "29040", "Licence - Portail Droit - Droit- Droit / Métiers de l'ingénierie économique et juridique - Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29039&g_ta_cod=29040", 77.0, 13.0, 10.0),
(5502, "Public", "0110019L", "Lycée Jacques Ruffié", "11", "Aude", "Occitanie", "Montpellier", "Limoux", "formation sélective", "BTS", "Lycée Jacques Ruffié - BTS - Services - Gestion de la PME", "BTS - Services", "", 20, 239, 150, 173, 0, 15, 3, 48, 12, 70, 35, 40, 66, 0, 22, 19, 25, 98, 15, 0, 0, 15, 3, 34, 9, 40, 17, 9, 95, 16, 12, 13, 2, 2.0, 9.0, 11.0, 0, 2, 14, 3, 4, 7, 2, 0, 6, 5, 3, 0, 0.0, 1, 2, 5, 7, 5, 13, 13, 12.5, 56.25, 68.75, 75.0, 92.890625, 92.890625, 50, 14.298828125, 87.5, 0.0, 42.8984375, 35.6953125, 21.3984375, 0.0, 0.0, 21.3984375, 7.099609375, 28.59765625, 14.298828125, 50.0, 35.6953125, 7.0, 3.0, 40.0, 15.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 57.0, "2455", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2455&g_ta_cod=2455", 19.0, 38.0, 44.0),
(5503, "Public", "9741394X", "ESIROI La Réunion", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 36, 2017, 559, 2013, 0, 1635, 197, 0, 0, 0, 0, 378, 4, 2, 0, 0, 2, 1231, 0, 0, 0, 1107, 87, 0, 0, 0, 0, 124, 1205, 12, 4, 12, 0, 11.0, 12.0, 12.0, 0, 2, 10, 10, 0, 0, 2, 0, 0, 2, 6, 2, 0.0, 10, 0, 0, 0, 0, 8, 8, 91.67, 100.0, 100.0, 33.296875, 80.0, 80.0, 0, 20.0, 83.296875, 0.0, 0.0, 20.0, 60.0, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1083.0, 87.0, 0.0, 0.0, 122.0, "Autres candidats", 13682.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 61.0, "433", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=433", 100.0, 0.0, 0.0),
(5504, "Privé sous contrat d'association", "0410693F", "Lycée La Providence", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BTS", "Lycée La Providence - BTS - Services - Support à l'action managériale", "BTS - Services", "", 18, 194, 131, 122, 0, 6, 1, 30, 7, 41, 19, 45, 72, 2, 16, 24, 30, 65, 31, 0, 0, 6, 1, 24, 6, 25, 11, 10, 87, 18, 15, 5, 12, 2.0, 5.0, 10.0, 0, 7, 15, 0, 4, 11, 3, 0, 10, 4, 1, 0, 0.0, 0, 1, 4, 8, 6, 15, 15, 11.11, 27.78, 55.56, 83.296875, 100.0, 100.0, 53.296875, 46.6953125, 83.296875, 0.0, 66.6875, 26.69921875, 6.69921875, 0.0, 0.0, 0.0, 0.0, 26.69921875, 6.69921875, 73.296875, 26.69921875, 3.0, 0.0, 35.0, 17.0, 19.0, "Tous les candidats sauf les Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 53.0, "5246", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5246&g_ta_cod=5246", 6.0, 28.0, 67.0),
(5505, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "Autre formation", "Université du Mans - C.M.I - Cursus Master en Ingénierie - Acoustique et Vibrations - Acoustique - parcours Cursus de Master en Ingénierie (CMI) Acoustique", "C.M.I - Cursus Master en Ingénierie", "Acoustique - parcours Cursus de Master en Ingénierie (CMI) Acoustique", 16, 89, 16, 83, 0, 62, 4, 2, 0, 1, 0, 18, 6, 1, 0, 0, 5, 31, 0, 0, 0, 28, 2, 0, 0, 0, 0, 3, 31, 15, 2, 15, 0, 10.0, 15.0, 15.0, 0, 0, 13, 13, 0, 0, 2, 0, 1, 5, 6, 0, 1.0, 12, 0, 0, 0, 0, 7, 7, 66.67, 100.0, 100.0, 13.298828125, 53.796875, 53.796875, 0, 0.0, 86.6875, 0.0, 7.69921875, 38.5, 46.1953125, 0.0, 7.7, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 28.0, 2.0, 0.0, 0.0, 3.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "19641", "C.M.I - Cursus Master en Ingénierie - Acoustique et Vibrations - Acoustique - parcours Cursus de Master en Ingénierie (CMI) Acoustique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19641&g_ta_cod=19641", 100.0, 0.0, 0.0),
(5506, "Public", "0951637N", "Lycée Galilée", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "BTS", "Lycée Galilée - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 30, 419, 21, 399, 0, 11, 2, 79, 29, 178, 65, 131, 20, 0, 2, 11, 7, 192, 2, 0, 0, 9, 1, 41, 12, 123, 46, 19, 120, 24, 1, 22, 2, 3.0, 16.0, 19.0, 0, 8, 22, 1, 4, 17, 2, 0, 8, 9, 5, 0, 0.0, 0, 2, 12, 1, 0, 20, 22, 12.5, 66.67, 79.17, 4.19921875, 90.890625, 100.0, 4.5, 36.3984375, 91.6875, 0.0, 36.3984375, 40.8984375, 22.69921875, 0.0, 0.0, 4.5, 0.0, 18.19921875, 9.099609375, 77.296875, 54.5, 2.0, 1.0, 80.0, 31.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 116, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 41.0, "11607", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11607&g_ta_cod=11607", 4.0, 25.0, 71.0),
(5507, "Privé enseignement supérieur", "0251872Z", "IMEA Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Autre formation", "IMEA Besançon - Formation professionnelle - Gestionnaire d'unité commerciale (option généraliste / option spécialisée) (bac +2)", "Formation professionnelle", "", 15, 59, 26, 55, 0, 18, 1, 7, 1, 17, 7, 13, 4, 2, 0, 0, 2, 19, 3, 0, 0, 6, 1, 2, 0, 3, 0, 8, 25, 10, 6, 7, 1, 7.0, 7.0, 7.0, 0, 2, 3, 0, 3, 0, 7, 0, 2, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 3, 3, 70.0, 70.0, 70.0, 60.0, 100.0, 100.0, 0, 66.6875, 30.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 33.296875, 0.0, 0.0, 7.0, 1.0, 3.0, 0.0, 10.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "18693", "Formation professionnelle - Gestionnaire d'unité commerciale (option généraliste / option spécialisée) (bac +2)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18693&g_ta_cod=18693", 40.0, 50.0, 10.0),
(5508, "Public", "0920149M", "Lycée Michelet", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Vanves", "formation sélective", "CPGE", "Lycée Michelet - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 420, 300, 411, 176, 374, 38, 0, 0, 0, 0, 37, 9, 7, 0, 0, 2, 372, 2, 165, 358, 355, 36, 0, 0, 0, 0, 17, 288, 36, 30, 36, 0, 2.0, 29.0, 36.0, 13, 7, 34, 34, 0, 0, 2, 0, 1, 6, 22, 5, 0.0, 33, 0, 0, 3, 2, 17, 26, 5.56, 80.56, 100.0, 83.296875, 50.0, 76.5, 8.798828125, 20.59765625, 94.390625, 0.0, 2.89990234375, 17.59765625, 64.6875, 14.7, 0.0, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 274.0, 23.0, 0.0, 0.0, 14.0, "Tous les candidats", 370.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "11026", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11026&g_ta_cod=11026", 100.0, 0.0, 0.0),
(5509, "Public", "0950641F", "Lycée Jean Jaures", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "CPGE", "Lycée Jean Jaures - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 446, 147, 245, 94, 178, 51, 1, 1, 2, 0, 64, 201, 116, 4, 1, 80, 175, 84, 73, 170, 133, 27, 0, 0, 0, 0, 42, 242, 23, 9, 10, 13, 0.0, 9.0, 21.0, 5, 2, 8, 8, 0, 0, 15, 0, 1, 5, 2, 0, 0.0, 7, 0, 0, 3, 2, 5, 7, 0.0, 39.13, 91.3, 39.09375, 62.5, 87.5, 37.5, 25.0, 34.796875, 0.0, 12.5, 62.5, 25.0, 0.0, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 168.0, 31.0, 0.0, 0.0, 74.0, "Tous les candidats", 173.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "11554", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11554&g_ta_cod=11554", 100.0, 0.0, 0.0),
(5510, "Public", "0300023M", "Lycée ALBERT CAMUS", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "Autre formation", "Lycée ALBERT CAMUS - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 23, 10, 6, 0, 0, 0.0, 0.0, 2.0, 0, 8, 10, 0, 3, 7, 0, 0, 9, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 10, 10, 0.0, 0.0, 20.0, 60.0, 100.0, 100.0, 0, 80.0, 100.0, 0.0, 90.0, 0.0, 10.0, 0.0, 0.0, 0.0, 0.0, 30.0, 0.0, 70.0, 10.0, 0.0, 0.0, 17.0, 8.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22530", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 30.0, 70.0),
(5511, "Public", "0541205S", "I.U.T de Nancy-Brabois - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Villers-lès-Nancy", "formation sélective", "BUT", "I.U.T de Nancy-Brabois - Université de Lorraine - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 54, 832, 542, 828, 0, 480, 57, 134, 29, 1, 0, 213, 4, 1, 0, 0, 3, 683, 0, 0, 0, 428, 49, 90, 18, 0, 0, 165, 420, 51, 35, 51, 0, 18.0, 37.0, 48.0, 0, 11, 41, 32, 9, 0, 10, 0, 7, 20, 14, 0, 0.0, 27, 7, 0, 0, 0, 29, 29, 35.29, 72.55, 94.12, 68.59375, 70.6875, 70.6875, 0, 26.796875, 80.390625, 0.0, 17.09765625, 48.796875, 34.09375, 0.0, 0.0, 78.0, 65.890625, 22.0, 17.09765625, 0.0, 0.0, 253.0, 41.0, 0.0, 0.0, 114.0, "Tous les candidats sauf les Bac technologiques", 461.0, "Bacheliers technologiques toutes séries", 85, "", 0, "Liste d'appel propre à cette formation", 66.0, "6304", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6304&g_ta_cod=6304", 80.0, 20.0, 0.0),
(5512, "Public", "0061292X", "IFSI CH de Cannes Simone Veil", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nice Sophia Antipolis - D.E Infirmier", "D.E secteur sanitaire", "", 89, 4856, 4141, 4856, 0, 870, 183, 722, 204, 443, 162, 2821, 0, 0, 0, 0, 0, 2484, 0, 0, 0, 648, 114, 383, 90, 155, 48, 1298, 801, 89, 75, 89, 0, 1.0, 33.0, 63.0, 0, 4, 50, 24, 20, 6, 39, 0, 6, 28, 12, 4, 0.0, 18, 20, 6, 0, 0, 39, 39, 1.12, 37.08, 70.79, 84.296875, 78.0, 78.0, 0, 8.0, 56.1953125, 0.0, 12.0, 56.0, 24.0, 8.0, 0.0, 48.0, 36.0, 40.0, 40.0, 12.0, 12.0, 244.0, 45.0, 36.0, 12.0, 417.0, "Tous les candidats", 1288.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "23065", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22984&g_ta_cod=23065", 58.0, 31.0, 10.0),
(5513, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Langues étrangères appliquées - Parcours Commerce international", "Licence - Arts-lettres-langues", "Commerce international", 145, 1956, 1364, 1956, 0, 1331, 300, 194, 72, 52, 28, 379, 0, 0, 0, 0, 0, 1956, 0, 0, 0, 1331, 300, 194, 72, 52, 28, 379, 629, 145, 110, 145, 0, 51.0, 126.0, 142.0, 0, 42, 134, 119, 11, 4, 11, 0, 20, 65, 41, 8, 0.0, 103, 7, 4, 0, 0, 121, 121, 35.17, 86.9, 97.93, 75.890625, 90.296875, 90.296875, 0, 31.296875, 92.390625, 0.0, 14.8984375, 48.5, 30.59765625, 6.0, 0.0, 88.796875, 76.890625, 8.19921875, 5.19921875, 3.0, 3.0, 507.0, 116.0, 14.0, 5.0, 55.0, "Tous les candidats", 901.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "20517", "Licence - Langues étrangères appliquées - Parcours Commerce international", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20517&g_ta_cod=20517", 88.0, 9.0, 3.0),
(5514, "Public", "0351599Y", "IFSI CH Saint Malo", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Saint-Malo", "formation sélective", "IFSI", "Regroupement d'IFSI Université Rennes - D.E Infirmier", "D.E secteur sanitaire", "", 37, 5087, 4346, 5087, 0, 989, 142, 1047, 218, 702, 197, 2349, 0, 0, 0, 0, 0, 4646, 0, 0, 0, 933, 123, 962, 186, 632, 172, 2119, 579, 37, 33, 37, 0, 1.0, 15.0, 26.0, 0, 3, 22, 8, 7, 7, 15, 0, 2, 6, 10, 4, 0.0, 7, 6, 7, 0, 0, 15, 15, 2.7, 40.54, 70.27, 89.1875, 68.1875, 68.1875, 0, 13.599609375, 59.5, 0.0, 9.099609375, 27.296875, 45.5, 18.2, 0.0, 36.3984375, 31.796875, 31.796875, 27.296875, 31.796875, 31.796875, 81.0, 12.0, 134.0, 40.0, 308.0, "Tous les candidats", 1695.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "23382", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23369&g_ta_cod=23382", 54.0, 22.0, 24.0),
(5515, "Public", "9730429D", "Université de Guyane", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation non sélective", "Licence_Las", "Université de Guyane - Licence - Portail Sciences de la vie et de la terre - Biochimie, biologie, biotechnologies - Guyane", "Licence - Sciences - technologies - santé", "Biochimie, biologie, biotechnologies - Guyane", 20, 310, 222, 310, 0, 166, 73, 62, 40, 21, 10, 61, 0, 0, 0, 0, 0, 308, 0, 0, 0, 166, 73, 62, 40, 21, 10, 59, 71, 19, 13, 19, 0, 0.0, 16.0, 17.0, 0, 6, 13, 11, 1, 1, 6, 0, 0, 6, 7, 0, 0.0, 11, 1, 1, 0, 0, 13, 13, 0.0, 84.21, 89.47, 68.390625, 100.0, 100.0, 0, 46.1953125, 68.390625, 0.0, 0.0, 46.1953125, 53.796875, 0.0, 0.0, 84.59375, 84.59375, 7.69921875, 7.69921875, 7.69921875, 7.69921875, 49.0, 21.0, 1.0, 0.0, 20.0, "Tous les candidats", 135.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "27751", "Licence - Portail Sciences de la vie et de la terre - Biochimie, biologie, biotechnologies - Guyane", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27750&g_ta_cod=27751", 84.0, 11.0, 5.0),
(5516, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Chinois - débutant", "Licence - Arts-lettres-langues", "Chinois - débutant", 30, 237, 193, 237, 0, 119, 31, 20, 8, 12, 6, 86, 0, 0, 0, 0, 0, 237, 0, 0, 0, 119, 31, 20, 8, 12, 6, 86, 135, 30, 24, 30, 0, 6.0, 25.0, 27.0, 0, 6, 16, 11, 3, 2, 14, 0, 4, 10, 0, 2, 0.0, 8, 2, 2, 0, 0, 13, 13, 20.0, 83.33, 90.0, 80.0, 81.296875, 81.296875, 0, 37.5, 53.296875, 0.0, 25.0, 62.5, 0.0, 12.5, 0.0, 68.796875, 50.0, 18.796875, 12.5, 12.5, 12.5, 84.0, 18.0, 5.0, 3.0, 34.0, "Tous les candidats", 179.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "19119", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Chinois - débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19119&g_ta_cod=19119", 63.0, 17.0, 17.0),
(5517, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "Autre formation", "Avignon Université - C.M.I - Cursus Master en Ingénierie - Géographie et aménagement - Cursus Master en Ingénierie (CMI) :  Modélisation Géographique des Territoires", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) :  Modélisation Géographique des Territoires", 20, 75, 34, 67, 0, 46, 8, 5, 2, 2, 1, 14, 8, 1, 0, 1, 6, 22, 1, 0, 0, 18, 3, 0, 0, 0, 0, 4, 23, 10, 6, 9, 1, 9.0, 9.0, 10.0, 0, 1, 8, 8, 0, 0, 2, 0, 1, 2, 2, 3, 0.0, 7, 0, 0, 0, 0, 3, 3, 90.0, 90.0, 100.0, 60.0, 37.5, 37.5, 0, 12.5, 80.0, 0.0, 12.5, 25.0, 25.0, 37.5, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 18.0, 3.0, 0.0, 0.0, 5.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "16373", "C.M.I - Cursus Master en Ingénierie - Géographie et aménagement - Cursus Master en Ingénierie (CMI) :  Modélisation Géographique des Territoires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16373&g_ta_cod=16373", 100.0, 0.0, 0.0),
(5518, "Public", "0190027B", "Lycée professionnel Marcel Barbanceys", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Neuvic", "formation sélective", "BTS", "Lycée professionnel Marcel Barbanceys - BTS - Production - Techniques et services en matériels agricoles", "BTS - Production", "", 12, 88, 5, 87, 0, 2, 1, 19, 0, 46, 13, 20, 1, 0, 0, 1, 0, 65, 0, 0, 0, 2, 1, 19, 0, 42, 13, 2, 41, 11, 0, 11, 0, 2.0, 11.0, 11.0, 0, 3, 10, 0, 3, 7, 1, 0, 1, 7, 2, 0, 0.0, 0, 3, 6, 5, 0, 10, 10, 18.18, 100.0, 100.0, 0.0, 100.0, 100.0, 50, 30.0, 90.890625, 0.0, 10.0, 70.0, 20.0, 0.0, 0.0, 0.0, 0.0, 30.0, 30.0, 70.0, 60.0, 1.0, 1.0, 25.0, 8.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 72.0, "3145", "BTS - Production - Techniques et services en matériels agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3145&g_ta_cod=3145", 0.0, 27.0, 73.0),
(5519, "Privé sous contrat d'association", "0490072M", "ESA - Ecole Supérieure d'Agricultures", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole d'Ingénieur", "ESA Angers Agronomie Agroécologie Alimentation - Formation d'ingénieur Bac + 5 - Bac STAV", "Formations  des écoles d'ingénieurs", "Bac STAV", 5, 29, 10, 29, 0, 0, 0, 29, 3, 0, 0, 0, 0, 0, 0, 0, 0, 20, 0, 0, 0, 0, 0, 20, 1, 0, 0, 0, 18, 5, 4, 5, 0, 4.0, 5.0, 5.0, 0, 0, 5, 0, 5, 0, 0, 0, 0, 1, 4, 0, 0.0, 0, 5, 0, 0, 0, 0, 0, 80.0, 100.0, 100.0, 80.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 0.0, 20.0, 80.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "31142", "Formation d'ingénieur Bac + 5 - Bac STAV", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31142&g_ta_cod=31142", 0.0, 100.0, 0.0),
(5520, "Public", "0380089R", "Lycée Portes De L'Oisans", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vizille", "formation sélective", "BTS", "Lycée Portes De L'Oisans - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 24, 248, 43, 245, 0, 10, 1, 72, 9, 37, 13, 126, 3, 0, 2, 0, 1, 119, 2, 0, 0, 10, 1, 68, 8, 31, 10, 10, 92, 21, 1, 19, 2, 4.0, 19.0, 20.0, 0, 3, 19, 1, 7, 11, 2, 2, 8, 6, 3, 0, 0.0, 0, 0, 9, 7, 0, 19, 19, 19.05, 90.48, 95.24, 4.7998046875, 100.0, 100.0, 36.796875, 15.798828125, 90.5, 10.5, 42.09375, 31.59765625, 15.798828125, 0.0, 0.0, 5.2998046875, 0.0, 36.796875, 0.0, 57.8984375, 47.3984375, 6.0, 1.0, 28.0, 9.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 44.0, "4953", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4953&g_ta_cod=4953", 10.0, 38.0, 52.0),
(5521, "Privé sous contrat d'association", "0783389K", "IFSI MGEN de La Verrière", "78", "Yvelines", "Ile-de-France", "Versailles", "Le Mesnil-Saint-Denis", "formation sélective", "IFSI", "Regroupement d'IFSI UVSQ - D.E Infirmier", "D.E secteur sanitaire", "", 68, 2254, 1969, 2254, 0, 253, 56, 359, 121, 250, 111, 1392, 0, 0, 0, 0, 0, 1541, 0, 0, 0, 251, 55, 271, 83, 143, 65, 876, 663, 68, 61, 67, 0, 0.0, 25.0, 64.0, 0, 2, 29, 16, 10, 3, 39, 0, 12, 9, 6, 2, 0.0, 5, 9, 3, 0, 0, 26, 26, 0.0, 36.76, 94.12, 89.6875, 89.6875, 89.6875, 0, 6.8994140625, 42.59375, 0.0, 41.3984375, 31.0, 20.69921875, 6.9, 0.0, 55.1953125, 17.19921875, 34.5, 31.0, 10.298828125, 10.298828125, 164.0, 36.0, 24.0, 9.0, 351.0, "Tous les candidats", 1840.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "23294", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23007&g_ta_cod=23294", 57.0, 38.0, 4.0),
(5522, "Public", "0221852U", "UFR Sciences Sociales - Université de Rennes 2 - Site de Saint-Brieuc", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation non sélective", "Licence", "UFR Sciences Sociales - Université de Rennes 2 - Site de Saint-Brieuc - Licence - Administration économique et sociale - Parcours Antenne universitaire de la ville de Saint Brieuc - Administration Economique et  Sociale", "Licence - Sciences humaines et sociales", "Antenne universitaire de la ville de Saint Brieuc - Administration Economique et  Sociale", 100, 766, 460, 672, 0, 379, 76, 123, 41, 22, 9, 148, 94, 16, 10, 3, 65, 672, 79, 0, 0, 379, 76, 123, 41, 22, 9, 148, 581, 98, 55, 74, 24, 14.0, 70.0, 82.0, 0, 14, 55, 44, 5, 6, 43, 1, 29, 17, 8, 0, 0.0, 20, 2, 3, 0, 0, 49, 49, 14.29, 71.43, 83.67, 56.09375, 89.09375, 89.09375, 0, 25.5, 56.09375, 1.7998046875, 52.6953125, 30.8984375, 14.5, 0.0, 0.0, 80.0, 36.3984375, 9.099609375, 3.599609375, 10.8984375, 5.5, 347.0, 70.0, 17.0, 10.0, 137.0, "Tous les candidats", 670.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4737", "Licence - Administration économique et sociale - Parcours Antenne universitaire de la ville de Saint Brieuc - Administration Economique et  Sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4737&g_ta_cod=4737", 71.0, 17.0, 11.0),
(5523, "Privé sous contrat d'association", "0592940A", "Lycée Saint-Jean", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "CPGE", "Lycée Saint-Jean - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 48, 922, 371, 918, 808, 838, 22, 0, 0, 0, 0, 80, 4, 3, 0, 0, 1, 562, 0, 505, 378, 561, 9, 0, 0, 0, 0, 1, 264, 40, 8, 40, 0, 1.0, 22.0, 40.0, 28, 0, 40, 40, 0, 0, 0, 0, 0, 2, 28, 10, 0.0, 40, 0, 0, 1, 0, 10, 10, 2.5, 55.0, 100.0, 20.0, 25.0, 25.0, 2.5, 0.0, 100.0, 0.0, 0.0, 5.0, 70.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 264.0, 3.0, 0.0, 0.0, 0.0, "Tous les candidats", 483.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "31309", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31309&g_ta_cod=31309", 100.0, 0.0, 0.0),
(5524, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Histoire de l'art et archéologie", "Licence - Arts-lettres-langues", "", 40, 406, 301, 377, 0, 250, 28, 40, 4, 30, 11, 57, 29, 10, 1, 1, 17, 377, 29, 0, 0, 250, 28, 40, 4, 30, 11, 57, 330, 32, 25, 30, 2, 5.0, 30.0, 31.0, 0, 7, 25, 19, 3, 3, 7, 0, 9, 10, 5, 1, 0.0, 12, 1, 3, 0, 0, 22, 22, 15.63, 93.75, 96.88, 78.09375, 88.0, 88.0, 0, 28.0, 78.09375, 0.0, 36.0, 40.0, 20.0, 4.0, 0.0, 76.0, 48.0, 12.0, 4.0, 12.0, 12.0, 215.0, 27.0, 20.0, 8.0, 60.0, "Tous les candidats", 378.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12942", "Licence - Histoire de l'art et archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12942&g_ta_cod=12942", 75.0, 16.0, 9.0),
(5525, "Public", "0161003D", "Lycée professionnel Louise MICHEL", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Ruffec", "formation sélective", "Autre formation", "Lycée professionnel Louise MICHEL - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 22, 144, 38, 109, 0, 14, 4, 22, 6, 31, 13, 42, 35, 11, 8, 7, 9, 51, 24, 0, 0, 8, 1, 15, 3, 17, 7, 11, 73, 8, 1, 2, 5, 1.0, 2.0, 7.0, 0, 1, 8, 2, 3, 3, 0, 0, 4, 3, 1, 0, 0.0, 1, 1, 2, 0, 0, 5, 5, 12.5, 25.0, 87.5, 12.5, 62.5, 62.5, 0, 12.5, 100.0, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 25.0, 12.5, 37.5, 12.5, 37.5, 25.0, 16.0, 2.0, 22.0, 9.0, 16.0, "Tous les candidats", 52.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "22069", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22069&g_ta_cod=22069", 25.0, 38.0, 38.0),
(5526, "Privé sous contrat d'association", "0480680D", "Lycée polyvalent privé Sacre-Coeur", "48", "Lozère", "Occitanie", "Montpellier", "Saint-Chély-d'Apcher", "formation sélective", "BTS", "Lycée polyvalent privé Sacre-Coeur - BTS - Production - Techniques et services en matériels agricoles", "BTS - Production", "", 18, 57, 2, 56, 0, 4, 2, 8, 0, 30, 7, 14, 1, 0, 0, 1, 0, 38, 1, 0, 0, 4, 2, 8, 0, 22, 6, 4, 35, 6, 0, 6, 0, 3.0, 6.0, 6.0, 0, 0, 3, 0, 0, 3, 3, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 3, 0, 3, 3, 50.0, 100.0, 100.0, 0.0, 100.0, 100.0, 100, 0.0, 50.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 33.296875, 3.0, 2.0, 20.0, 6.0, 4.0, "Tous les candidats sauf les Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 66.0, "5818", "BTS - Production - Techniques et services en matériels agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5818&g_ta_cod=5818", 33.0, 0.0, 67.0),
(5527, "Public", "6200002H", "Lycée Laetitia Bonaparte", "2A", "Corse du Sud", "Corse", "Corse", "Ajaccio", "formation sélective", "BTS", "Lycée Laetitia Bonaparte - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 260, 115, 257, 0, 40, 11, 59, 17, 20, 6, 138, 3, 0, 0, 0, 3, 100, 2, 0, 0, 23, 6, 42, 12, 13, 5, 22, 87, 27, 12, 25, 1, 9.0, 22.0, 25.0, 0, 2, 19, 3, 11, 5, 8, 0, 3, 12, 3, 1, 0.0, 3, 8, 5, 8, 4, 19, 19, 33.33, 81.48, 92.59, 44.3984375, 100.0, 100.0, 42.09375, 10.5, 70.390625, 0.0, 15.798828125, 63.1953125, 15.798828125, 5.3, 0.0, 15.798828125, 15.798828125, 57.8984375, 42.09375, 26.296875, 26.296875, 19.0, 5.0, 12.0, 5.0, 22.0, "Tous les candidats sauf les Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 38.0, "11682", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11682&g_ta_cod=11682", 26.0, 52.0, 22.0),
(5528, "Public", "0951722F", "Lycée Jean Monnet", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Franconville", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 30, 1136, 880, 1136, 0, 171, 46, 437, 194, 46, 28, 482, 0, 0, 0, 0, 0, 607, 0, 0, 0, 159, 43, 298, 124, 20, 13, 130, 209, 41, 31, 37, 0, 1.0, 15.0, 38.0, 0, 17, 36, 9, 27, 0, 5, 0, 19, 13, 3, 1, 0.0, 4, 13, 0, 5, 1, 32, 36, 2.44, 36.59, 92.68, 75.59375, 88.890625, 100.0, 13.8984375, 47.1953125, 87.796875, 0.0, 52.796875, 36.09375, 8.298828125, 2.8, 0.0, 25.0, 11.099609375, 75.0, 36.09375, 0.0, 0.0, 38.0, 17.0, 4.0, 2.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 217, "Liste d'appel propre à cette formation", 27.0, "11614", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11614&g_ta_cod=11614", 22.0, 78.0, 0.0),
(5529, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues Etrangères Appliquées Anglais-Chinois", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées Anglais-Chinois", 63, 258, 204, 250, 0, 157, 41, 9, 4, 5, 3, 79, 8, 3, 0, 0, 5, 250, 8, 0, 0, 157, 41, 9, 4, 5, 3, 79, 229, 63, 48, 56, 7, 12.0, 55.0, 57.0, 0, 8, 36, 32, 3, 1, 27, 0, 13, 7, 15, 1, 0.0, 22, 0, 1, 0, 0, 7, 7, 19.05, 87.3, 90.48, 76.1875, 19.3984375, 19.3984375, 0, 22.19921875, 57.09375, 0.0, 36.09375, 19.3984375, 41.6953125, 2.8, 0.0, 88.890625, 61.09375, 8.298828125, 0.0, 2.7998046875, 2.7998046875, 151.0, 37.0, 5.0, 3.0, 66.0, "Tous les candidats", 247.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "8510", "Licence - Portail Langues Etrangères Appliquées Anglais-Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8510&g_ta_cod=8510", 79.0, 11.0, 6.0),
(5530, "Public", "0782132U", "Lycée Jeanne D'Albret", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "CPGE", "Lycée Jeanne D'Albret - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 1139, 447, 1139, 746, 835, 74, 1, 0, 0, 0, 303, 0, 0, 0, 0, 0, 659, 0, 457, 638, 646, 47, 0, 0, 0, 0, 13, 419, 46, 25, 46, 0, 8.0, 27.0, 41.0, 17, 4, 46, 46, 0, 0, 0, 0, 0, 3, 28, 15, 0.0, 46, 0, 0, 7, 5, 41, 44, 17.39, 58.7, 89.13, 54.296875, 89.09375, 95.6875, 15.19921875, 8.69921875, 100.0, 0.0, 0.0, 6.5, 60.8984375, 32.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 416.0, 32.0, 0.0, 0.0, 3.0, "Tous les candidats", 457.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "10022", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10022&g_ta_cod=10022", 100.0, 0.0, 0.0),
(5531, "Public", "0370009J", "Lycée Francois Rabelais", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Chinon", "formation sélective", "BTS", "Lycée Francois Rabelais - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 414, 206, 414, 0, 37, 9, 147, 43, 94, 41, 136, 0, 0, 0, 0, 0, 337, 0, 0, 0, 31, 6, 140, 41, 87, 36, 79, 181, 25, 17, 25, 0, 2.0, 17.0, 20.0, 0, 5, 18, 1, 12, 5, 7, 0, 12, 5, 1, 0, 0.0, 0, 4, 2, 8, 7, 13, 13, 8.0, 68.0, 80.0, 68.0, 72.1875, 72.1875, 44.3984375, 27.796875, 72.0, 0.0, 66.6875, 27.796875, 5.599609375, 0.0, 0.0, 5.599609375, 0.0, 66.6875, 22.19921875, 27.796875, 11.099609375, 14.0, 5.0, 50.0, 17.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 45.0, "4822", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4822&g_ta_cod=4822", 8.0, 52.0, 40.0),
(5532, "Public", "9740597F", "Lycée Evariste de Parny", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Paul", "formation sélective", "BTS", "Lycée Evariste de Parny - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 534, 322, 454, 0, 36, 16, 186, 111, 134, 98, 98, 80, 0, 0, 47, 33, 205, 8, 0, 0, 19, 8, 94, 58, 72, 54, 20, 132, 35, 18, 32, 3, 4.0, 31.0, 31.0, 0, 24, 34, 2, 18, 14, 1, 0, 13, 11, 10, 0, 0.0, 2, 8, 11, 10, 5, 31, 31, 11.43, 88.57, 88.57, 51.3984375, 91.1875, 91.1875, 29.3984375, 70.59375, 97.09375, 0.0, 38.1953125, 32.3984375, 29.3984375, 0.0, 0.0, 5.8994140625, 5.8994140625, 52.8984375, 23.5, 41.1953125, 32.3984375, 3.0, 3.0, 57.0, 46.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 101, "Liste d'appel propre à cette formation", 40.0, "11925", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11925&g_ta_cod=11925", 6.0, 54.0, 40.0),
(5533, "Privé sous contrat d'association", "0950759J", "Lycée Notre-Dame De Bury", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Margency", "formation sélective", "BTS", "Lycée Notre-Dame De Bury - BTS - Services - Commerce International", "BTS - Services", "", 36, 391, 178, 341, 0, 126, 34, 83, 29, 20, 9, 112, 50, 18, 0, 0, 32, 187, 9, 0, 0, 85, 21, 55, 18, 6, 4, 41, 159, 40, 20, 33, 7, 9.0, 24.0, 31.0, 0, 3, 18, 9, 7, 2, 22, 0, 9, 6, 2, 1, 0.0, 3, 4, 2, 1, 0, 16, 18, 22.5, 60.0, 77.5, 50.0, 88.890625, 100.0, 5.599609375, 16.69921875, 45.0, 0.0, 50.0, 33.296875, 11.099609375, 5.6, 0.0, 50.0, 16.69921875, 38.8984375, 22.19921875, 11.099609375, 11.099609375, 77.0, 21.0, 6.0, 4.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 115.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 50.0, "11590", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11590&g_ta_cod=11590", 65.0, 30.0, 5.0),
(5534, "Public", "0624140N", "I.U.T LITTORAL (BOULOGNE/MER)", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "BUT", "I.U.T LITTORAL (BOULOGNE/MER) - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 32, 421, 261, 364, 0, 194, 32, 82, 28, 0, 0, 88, 57, 9, 12, 2, 34, 250, 13, 0, 0, 159, 23, 43, 12, 0, 0, 48, 207, 26, 18, 25, 1, 9.0, 19.0, 25.0, 0, 5, 19, 13, 6, 0, 7, 0, 5, 6, 5, 3, 0.0, 9, 5, 0, 0, 0, 18, 18, 34.62, 73.08, 96.15, 69.1875, 94.6875, 94.6875, 0, 26.296875, 73.09375, 0.0, 26.296875, 31.59765625, 26.296875, 15.8, 0.0, 68.390625, 47.3984375, 31.59765625, 26.296875, 0.0, 0.0, 125.0, 23.0, 0.0, 0.0, 44.0, "Tous les candidats sauf les Bac technologiques", 205.0, "Bacheliers technologiques toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 68.0, "7537", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7537&g_ta_cod=7537", 77.0, 23.0, 0.0),
(5535, "Public", "0801265R", "IUT d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BUT", "IUT d'Amiens - BUT - Génie biologique Parcours agronomie", "BUT - Production", "", 45, 1011, 522, 1004, 0, 603, 64, 149, 27, 2, 0, 250, 7, 0, 3, 0, 4, 825, 0, 0, 0, 548, 55, 127, 18, 0, 0, 150, 263, 46, 23, 46, 0, 14.0, 36.0, 45.0, 0, 5, 40, 26, 14, 0, 6, 0, 5, 18, 14, 3, 0.0, 25, 10, 0, 0, 0, 22, 22, 30.43, 78.26, 97.83, 50.0, 55.0, 55.0, 0, 12.5, 87.0, 0.0, 12.5, 45.0, 35.0, 7.5, 0.0, 65.0, 62.5, 35.0, 25.0, 0.0, 0.0, 138.0, 15.0, 0.0, 0.0, 29.0, "Tous les candidats sauf les Bac technologiques", 385.0, "Bacheliers technologiques toutes séries", 138, "", 0, "Liste d'appel propre à cette formation", 52.0, "10176", "BUT - Génie biologique Parcours agronomie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10176&g_ta_cod=10176", 67.0, 33.0, 0.0),
(5536, "Privé sous contrat d'association", "0030935A", "ES Vichy", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Vichy", "formation sélective", "BTS", "ES Vichy - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 18, 119, 54, 92, 0, 23, 4, 18, 8, 20, 11, 31, 27, 3, 0, 6, 18, 50, 9, 0, 0, 15, 3, 10, 4, 10, 6, 15, 51, 11, 5, 8, 3, 3.0, 8.0, 10.0, 0, 3, 8, 3, 3, 2, 3, 0, 5, 3, 0, 0, 0.0, 1, 1, 1, 0, 0, 7, 7, 27.27, 72.73, 90.91, 45.5, 87.5, 87.5, 0, 37.5, 72.6875, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 37.5, 12.5, 37.5, 12.5, 25.0, 12.5, 15.0, 3.0, 10.0, 6.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers technologiques toutes séries", 13, "Bacheliers professionnels toutes séries", 14, "Liste d'appel propre à cette formation", 53.0, "34450", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34450&g_ta_cod=34450", 55.0, 27.0, 18.0),
(5537, "Public", "0632001H", "AgroSup Dijon Direction Enseignement à Distance (CNPR)", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Lempdes", "formation sélective", "BTS", "AgroSup Dijon Direction Enseignement à Distance (CNPR) - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 20, 104, 34, 80, 0, 9, 1, 11, 1, 14, 4, 46, 24, 2, 6, 2, 14, 50, 7, 0, 0, 9, 1, 9, 1, 9, 2, 23, 53, 6, 4, 4, 2, 2.0, 4.0, 5.0, 0, 0, 2, 1, 1, 0, 4, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 33.33, 66.67, 83.33, 66.6875, 0.0, 0.0, 0, 0.0, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 9.0, 1.0, 9.0, 1.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 63.0, "23462", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23462&g_ta_cod=23462", 67.0, 33.0, 0.0),
(5538, "Public", "0133479L", "IUT Aix-Marseille - Site de Marseille Luminy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 6, 188, 15, 185, 0, 0, 0, 165, 50, 0, 0, 20, 3, 0, 2, 0, 1, 87, 0, 0, 0, 0, 0, 79, 19, 0, 0, 8, 27, 5, 1, 5, 0, 1.0, 5.0, 5.0, 0, 1, 5, 0, 5, 0, 0, 0, 0, 0, 4, 1, 0.0, 0, 5, 0, 0, 0, 4, 4, 20.0, 100.0, 100.0, 20.0, 80.0, 80.0, 0, 20.0, 100.0, 0.0, 0.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 325.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "372", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=372", 0.0, 100.0, 0.0),
(5539, "Public", "0440982D", "I.U.T. Saint-Nazaire", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BUT", "I.U.T. Saint-Nazaire - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception (Seconde année possible en apprentissage)", "BUT - Production", "Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception", 100, 1938, 342, 1938, 0, 1077, 99, 597, 67, 20, 5, 244, 0, 0, 0, 0, 0, 1205, 0, 0, 0, 808, 91, 285, 40, 0, 0, 112, 526, 97, 18, 97, 0, 18.0, 78.0, 90.0, 0, 8, 89, 43, 46, 0, 8, 0, 3, 49, 35, 2, 0.0, 43, 43, 0, 0, 0, 59, 59, 18.56, 80.41, 92.78, 18.59765625, 66.296875, 66.296875, 0, 9.0, 91.796875, 0.0, 3.39990234375, 55.09375, 39.296875, 2.2, 0.0, 48.296875, 48.296875, 51.6953125, 48.296875, 0.0, 0.0, 267.0, 29.0, 0.0, 0.0, 55.0, "Tous les candidats sauf les Bac technologiques", 470.0, "Bacheliers technologiques toutes séries", 293, "", 0, "Liste d'appel propre à cette formation", 39.0, "5555", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5555&g_ta_cod=5555", 52.0, 48.0, 0.0),
(5540, "Public", "0750686N", "Lycée Estienne Esaig", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Estienne Esaig - DN MADE - Numérique - - Spécialité : Designer graphique numérique option interface", "DN MADE", "- Spécialité : Designer graphique numérique option interface", 8, 831, 421, 831, 0, 293, 53, 154, 32, 128, 39, 256, 0, 0, 0, 0, 0, 50, 0, 0, 0, 17, 2, 24, 4, 5, 1, 4, 31, 8, 4, 8, 0, 0.0, 8.0, 8.0, 0, 0, 7, 4, 2, 1, 1, 0, 0, 0, 5, 1, 1.0, 4, 2, 1, 0, 0, 1, 1, 0.0, 100.0, 100.0, 50.0, 14.298828125, 14.298828125, 0, 0.0, 87.5, 0.0, 0.0, 0.0, 71.390625, 14.3, 14.3, 57.09375, 57.09375, 28.59765625, 28.59765625, 14.298828125, 14.298828125, 15.0, 2.0, 3.0, 1.0, 2.0, "Tous les candidats", 38.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "22054", "DN MADE - Numérique - - Spécialité : Designer graphique numérique option interface", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22054&g_ta_cod=22054", 63.0, 25.0, 13.0),
(5541, "Public", "0250010A", "Lycée Louis Pergaud", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "CPGE", "Lycée Louis Pergaud - CPGE - ENS Cachan D2", "Classe préparatoire économique et commerciale", "", 36, 379, 179, 356, 0, 247, 30, 1, 0, 1, 1, 107, 23, 9, 2, 1, 11, 242, 14, 0, 242, 226, 23, 0, 0, 0, 0, 16, 224, 18, 6, 14, 4, 9.0, 14.0, 16.0, 0, 2, 15, 15, 0, 0, 3, 0, 1, 7, 6, 1, 0.0, 14, 0, 0, 1, 0, 14, 14, 50.0, 77.78, 88.89, 33.296875, 93.296875, 93.296875, 6.69921875, 13.298828125, 83.296875, 0.0, 6.69921875, 46.6953125, 40.0, 6.7, 0.0, 100.0, 93.296875, 0.0, 0.0, 0.0, 0.0, 202.0, 24.0, 0.0, 0.0, 22.0, "Tous les candidats", 242.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "3461", "CPGE - ENS Cachan D2", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3461&g_ta_cod=3461", 100.0, 0.0, 0.0),
(5542, "Public", "0891200W", "Lycée Catherine et Raymond JANOT", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Sens", "formation sélective", "BTS", "Lycée Catherine et Raymond JANOT - BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "BTS - Production", "", 8, 29, 8, 25, 0, 0, 0, 7, 1, 12, 7, 6, 4, 1, 1, 1, 1, 19, 3, 0, 0, 0, 0, 7, 1, 12, 7, 0, 21, 4, 1, 2, 2, 2.0, 2.0, 4.0, 0, 1, 3, 0, 1, 2, 1, 1, 2, 0, 0, 0, 0.0, 0, 0, 0, 1, 1, 3, 3, 50.0, 50.0, 100.0, 25.0, 100.0, 100.0, 33.296875, 33.296875, 75.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 0.0, 0.0, 0.0, 13.0, 7.0, 1.0, "Tous les candidats sauf les Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 12, "", 0, "Liste d'appel propre à cette formation", 76.0, "20012", "BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20012&g_ta_cod=20012", 0.0, 50.0, 50.0),
(5543, "Public", "9840268U", "Lycée des Métiers -Hotelier de Tahiti", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Punaauia", "formation sélective", "BTS", "Lycée des Métiers -Hotelier de Tahiti - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 48, 192, 95, 192, 0, 0, 0, 62, 20, 72, 10, 58, 0, 0, 0, 0, 0, 54, 0, 0, 0, 0, 0, 14, 6, 28, 2, 12, 54, 48, 25, 48, 0, 44.0, 47.0, 48.0, 0, 5, 38, 0, 13, 25, 10, 0, 6, 15, 12, 5, 0.0, 0, 10, 22, 37, 15, 38, 38, 91.67, 97.92, 100.0, 52.09375, 100.0, 100.0, 97.390625, 13.19921875, 79.1875, 0.0, 15.798828125, 39.5, 31.59765625, 13.2, 0.0, 0.0, 0.0, 34.1953125, 26.296875, 65.796875, 57.8984375, 0.0, 0.0, 28.0, 2.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 28.0, "11999", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11999&g_ta_cod=11999", 10.0, 33.0, 54.0),
(5544, "Public", "0281047L", "Lycée Fulbert", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Chartres", "formation sélective", "BTS", "Lycée Fulbert - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 707, 344, 706, 0, 93, 19, 218, 70, 208, 93, 187, 1, 0, 0, 0, 1, 382, 0, 0, 0, 81, 15, 151, 45, 99, 37, 51, 178, 32, 16, 31, 0, 4.0, 22.0, 24.0, 0, 6, 26, 3, 10, 13, 6, 0, 5, 18, 2, 1, 0.0, 2, 10, 9, 11, 8, 22, 22, 12.5, 68.75, 75.0, 50.0, 84.59375, 84.59375, 42.296875, 23.09765625, 81.296875, 0.0, 19.19921875, 69.1875, 7.69921875, 3.8, 0.0, 11.5, 7.69921875, 38.5, 38.5, 50.0, 34.59375, 23.0, 7.0, 59.0, 22.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 93, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 30.0, "3746", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3746&g_ta_cod=3746", 16.0, 41.0, 44.0),
(5545, "Public", "0770934X", "Lycée Leonard De Vinci", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation sélective", "BTS", "Lycée Leonard De Vinci - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 272, 18, 215, 0, 18, 1, 60, 17, 86, 38, 51, 57, 8, 14, 0, 35, 125, 16, 0, 0, 14, 1, 40, 9, 60, 22, 11, 102, 25, 1, 16, 9, 4.0, 16.0, 22.0, 0, 7, 20, 1, 8, 11, 5, 0, 9, 6, 3, 2, 0.0, 0, 1, 10, 3, 0, 17, 19, 16.0, 64.0, 88.0, 4.0, 85.0, 95.0, 15, 35.0, 80.0, 0.0, 45.0, 30.0, 15.0, 10.0, 0.0, 5.0, 0.0, 40.0, 5.0, 55.0, 50.0, 13.0, 1.0, 36.0, 14.0, 16.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 55.0, "9813", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9813&g_ta_cod=9813", 8.0, 48.0, 44.0),
(5546, "Public", "0952259P", "CY Cergy Paris Université", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "CY Cergy Paris Université - Formation Supérieure de Spécialisation - Sécurité informatique : Réseau et cyber sécurité", "Diplôme d'Université", "Sécurité informatique : Réseau et cyber sécurité", 24, 259, 19, 259, 0, 109, 26, 79, 26, 5, 1, 66, 0, 0, 0, 0, 0, 259, 0, 0, 0, 109, 26, 79, 26, 5, 1, 66, 113, 23, 2, 22, 0, 1.0, 14.0, 22.0, 0, 5, 13, 8, 4, 1, 10, 0, 4, 9, 0, 0, 0.0, 5, 3, 1, 0, 0, 8, 10, 4.35, 60.87, 95.65, 8.69921875, 61.5, 76.890625, 0, 38.5, 56.5, 0.0, 30.796875, 69.1875, 0.0, 0.0, 0.0, 61.5, 38.5, 30.796875, 23.09765625, 7.69921875, 7.69921875, 59.0, 16.0, 2.0, 1.0, 31.0, "Tous les candidats", 150.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "32698", "Formation Supérieure de Spécialisation - Sécurité informatique : Réseau et cyber sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32698&g_ta_cod=32698", 61.0, 30.0, 9.0),
(5547, "Public", "0020031Y", "Lycée Frederic Et Irene Joliot Curie", "02", "Aisne", "Hauts-de-France", "Amiens", "Hirson", "formation sélective", "BTS", "Lycée Frederic Et Irene Joliot Curie - BTS - Services - Gestion de la PME", "BTS - Services", "", 22, 188, 108, 171, 0, 11, 5, 32, 12, 35, 4, 93, 17, 0, 1, 8, 8, 61, 3, 0, 0, 8, 2, 25, 9, 26, 4, 2, 57, 10, 4, 9, 1, 2.0, 9.0, 10.0, 0, 3, 9, 0, 4, 5, 1, 0, 5, 4, 0, 0, 0.0, 0, 2, 2, 4, 1, 9, 9, 20.0, 90.0, 100.0, 40.0, 100.0, 100.0, 44.3984375, 33.296875, 90.0, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 0.0, 0.0, 0.0, 44.3984375, 22.19921875, 55.59375, 22.19921875, 7.0, 3.0, 27.0, 4.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 35.0, "2045", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2045&g_ta_cod=2045", 0.0, 50.0, 50.0),
(5548, "Public", "0690125L", "Lycée professionnel Camille Claudel", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 4e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Camille Claudel - Mention complémentaire - FCIL Secrétaire juridique", "Mention complémentaire", "", 15, 194, 181, 178, 0, 10, 2, 17, 11, 108, 65, 43, 16, 0, 2, 4, 10, 90, 0, 0, 0, 7, 2, 9, 5, 48, 26, 26, 65, 11, 10, 9, 0, 1.0, 9.0, 9.0, 0, 5, 6, 0, 0, 6, 5, 0, 1, 4, 1, 0, 0.0, 0, 0, 5, 0, 0, 6, 6, 9.09, 81.82, 81.82, 90.890625, 100.0, 100.0, 0, 83.296875, 54.5, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 83.296875, 6.0, 2.0, 31.0, 16.0, 22.0, "Tous les candidats", 68.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "24760", "Mention complémentaire - FCIL Secrétaire juridique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24760&g_ta_cod=24760", 0.0, 9.0, 91.0),
(5549, "Privé sous contrat d'association", "0700958L", "Maison familiale et rurale (MFR) de Fougerolles", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Fougerolles-Saint-Valbert", "formation sélective", "BTS", "Maison familiale et rurale (MFR) de Fougerolles - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 25, 40, 16, 38, 0, 3, 1, 3, 1, 11, 3, 21, 2, 0, 0, 0, 2, 17, 0, 0, 0, 3, 1, 3, 1, 11, 3, 0, 17, 3, 3, 3, 0, 3.0, 3.0, 3.0, 0, 1, 3, 2, 1, 0, 0, 0, 2, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 3, 3, 100.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 3.0, 1.0, 11.0, 3.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 3, "Liste d'appel propre à cette formation", 45.0, "8599", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8599&g_ta_cod=8599", 67.0, 33.0, 0.0),
(5550, "Public", "0510031G", "Lycée CLEMENCEAU", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "CPGE", "Lycée CLEMENCEAU - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 281, 117, 272, 168, 198, 18, 1, 0, 0, 0, 73, 9, 5, 0, 0, 4, 195, 7, 123, 172, 179, 16, 0, 0, 0, 0, 16, 131, 3, 0, 2, 1, 1.0, 2.0, 3.0, 2, 0, 2, 2, 0, 0, 1, 0, 0, 1, 0, 1, 0.0, 2, 0, 0, 0, 0, 2, 2, 33.33, 66.67, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 66.6875, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 117.0, 8.0, 0.0, 0.0, 14.0, "Tous les candidats", 181.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "31380", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31380&g_ta_cod=31380", 100.0, 0.0, 0.0),
(5551, "Public", "0881070K", "Lycée agricole de Mirecourt", "88", "Vosges", "Grand Est", "Nancy-Metz", "Mirecourt", "formation sélective", "BTS", "Lycée agricole de Mirecourt - BTS - Agricole - Gestion forestière", "BTS - Agricole", "", 32, 509, 95, 509, 0, 124, 12, 143, 21, 86, 10, 156, 0, 0, 0, 0, 0, 439, 0, 0, 0, 124, 12, 143, 21, 86, 10, 86, 169, 36, 5, 36, 0, 7.0, 19.0, 30.0, 0, 2, 29, 15, 6, 8, 7, 0, 11, 12, 4, 2, 0.0, 10, 3, 5, 4, 0, 14, 14, 19.44, 52.78, 83.33, 13.8984375, 48.296875, 48.296875, 13.798828125, 6.8994140625, 80.59375, 0.0, 37.8984375, 41.3984375, 13.798828125, 6.9, 0.0, 51.6953125, 34.5, 20.69921875, 10.298828125, 27.59765625, 17.19921875, 62.0, 6.0, 31.0, 4.0, 26.0, "Tous les candidats sauf les Bac professionnels", 256.0, "Bacheliers professionnels toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 60.0, "10749", "BTS - Agricole - Gestion forestière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10749&g_ta_cod=10749", 53.0, 25.0, 22.0),
(5552, "Privé sous contrat d'association", "0220102S", "Lycée Saint - Joseph - Bossuet", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Lannion", "formation sélective", "BTS", "Lycée Saint - Joseph - Bossuet - BTS - Services - Tourisme", "BTS - Services", "", 35, 292, 228, 271, 0, 82, 15, 72, 17, 47, 15, 70, 21, 3, 0, 5, 13, 176, 12, 0, 0, 67, 10, 45, 9, 33, 12, 31, 143, 22, 15, 19, 3, 3.0, 19.0, 20.0, 0, 4, 16, 8, 6, 2, 6, 1, 9, 5, 1, 0, 0.0, 2, 2, 2, 3, 1, 16, 16, 13.64, 86.36, 90.91, 68.1875, 100.0, 100.0, 18.796875, 25.0, 72.6875, 6.2998046875, 56.296875, 31.296875, 6.2998046875, 0.0, 0.0, 50.0, 12.5, 37.5, 12.5, 12.5, 12.5, 51.0, 6.0, 29.0, 11.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 64.0, "3340", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3340&g_ta_cod=3340", 55.0, 36.0, 9.0),
(5553, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence_Las", "Université de Franche-Comté - Site de Besançon - Licence - Portail Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "", 18, 233, 84, 215, 0, 128, 33, 12, 3, 1, 0, 74, 18, 8, 1, 0, 9, 210, 16, 0, 0, 128, 33, 12, 3, 1, 0, 69, 154, 15, 4, 10, 5, 0.0, 2.0, 12.0, 0, 3, 9, 8, 0, 1, 6, 0, 7, 2, 0, 0, 0.0, 1, 0, 1, 0, 0, 7, 7, 0.0, 13.33, 80.0, 26.69921875, 77.796875, 77.796875, 0, 33.296875, 60.0, 0.0, 77.796875, 22.19921875, 0.0, 0.0, 0.0, 88.890625, 11.099609375, 0.0, 0.0, 11.099609375, 11.099609375, 98.0, 21.0, 1.0, 0.0, 52.0, "Tous les candidats", 566.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 95.0, "27297", "Licence - Portail Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27296&g_ta_cod=27297", 87.0, 7.0, 7.0),
(5554, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail Histoire / Histoire de l'Art et Archéologie", "Licence - Sciences humaines et sociales", "Histoire / Histoire de l'Art et Archéologie : Histoire de l'art et archéologie", 30, 376, 262, 376, 0, 215, 32, 41, 12, 16, 9, 104, 0, 0, 0, 0, 0, 375, 0, 0, 0, 215, 32, 41, 12, 16, 9, 103, 375, 36, 27, 36, 0, 36.0, 36.0, 36.0, 0, 2, 24, 19, 4, 1, 12, 0, 6, 11, 6, 1, 0.0, 14, 3, 1, 0, 0, 17, 17, 100.0, 100.0, 100.0, 75.0, 70.796875, 70.796875, 0, 8.298828125, 66.6875, 0.0, 25.0, 45.796875, 25.0, 4.2, 0.0, 79.1875, 58.296875, 16.69921875, 12.5, 4.19921875, 4.19921875, 215.0, 32.0, 16.0, 9.0, 103.0, "Tous les candidats", 547.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23323", "Licence - Portail Histoire / Histoire de l'Art et Archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23322&g_ta_cod=23323", 78.0, 14.0, 8.0),
(5555, "Public", "0610006A", "Lycée Mézeray Gabriel", "61", "Orne", "Normandie", "Normandie", "Argentan", "formation sélective", "BTS", "Lycée Mézeray Gabriel - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 320, 186, 280, 0, 5, 3, 31, 16, 50, 22, 194, 40, 0, 13, 11, 16, 66, 5, 0, 0, 5, 3, 26, 13, 31, 13, 4, 66, 21, 19, 18, 3, 2.0, 18.0, 21.0, 0, 13, 19, 1, 8, 10, 2, 0, 13, 6, 0, 0, 0.0, 0, 3, 3, 10, 10, 17, 17, 9.52, 85.71, 100.0, 90.5, 89.5, 89.5, 52.59375, 68.390625, 90.5, 0.0, 68.390625, 31.59765625, 0.0, 0.0, 0.0, 5.2998046875, 0.0, 42.09375, 15.798828125, 52.59375, 15.798828125, 5.0, 3.0, 32.0, 13.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 24.0, "7298", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7298&g_ta_cod=7298", 10.0, 43.0, 48.0),
(5556, "Public", "0952196W", "LYCEE POLYVALENT GUSTAVE MONOD", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Enghien-les-Bains", "formation sélective", "CPGE", "LYCEE POLYVALENT GUSTAVE MONOD - CPGE - Lettres", "Classe préparatoire littéraire", "", 45, 330, 215, 315, 0, 203, 58, 1, 1, 0, 0, 111, 15, 7, 1, 1, 6, 188, 6, 0, 188, 177, 46, 1, 1, 0, 0, 10, 161, 36, 26, 35, 1, 9.0, 35.0, 35.0, 0, 4, 35, 34, 1, 0, 1, 0, 1, 10, 18, 6, 0.0, 34, 0, 0, 2, 1, 34, 34, 25.0, 97.22, 97.22, 72.1875, 97.09375, 97.09375, 5.69921875, 11.3984375, 97.1875, 0.0, 2.89990234375, 28.59765625, 51.3984375, 17.1, 0.0, 97.09375, 97.09375, 2.89990234375, 0.0, 0.0, 0.0, 152.0, 35.0, 0.0, 0.0, 8.0, "Tous les candidats", 186.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "11563", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11563&g_ta_cod=11563", 97.0, 3.0, 0.0),
(5557, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 100, 330, 143, 272, 0, 182, 43, 20, 7, 6, 4, 64, 58, 7, 7, 4, 40, 272, 52, 0, 0, 182, 43, 20, 7, 6, 4, 64, 324, 59, 19, 47, 12, 46.0, 47.0, 52.0, 0, 8, 31, 24, 6, 1, 28, 0, 17, 9, 4, 1, 0.0, 13, 1, 0, 0, 0, 22, 22, 77.97, 79.66, 88.14, 32.1953125, 71.0, 71.0, 0, 25.796875, 52.5, 0.0, 54.796875, 29.0, 12.8984375, 3.2, 0.0, 77.390625, 41.8984375, 19.3984375, 3.19970703125, 3.19970703125, 0.0, 189.0, 44.0, 10.0, 7.0, 98.0, "Tous les candidats", 272.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10700", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10700&g_ta_cod=10700", 68.0, 19.0, 14.0),
(5558, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation non sélective", "Licence", "Université de La Rochelle - Licence - Sciences de la terre", "Licence - Sciences - technologies - santé", "", 33, 323, 170, 322, 0, 240, 36, 12, 3, 3, 2, 67, 1, 0, 0, 0, 1, 319, 1, 0, 0, 240, 36, 12, 3, 3, 2, 64, 150, 31, 21, 31, 0, 3.0, 24.0, 27.0, 0, 3, 19, 17, 1, 1, 12, 1, 5, 7, 6, 0, 0.0, 12, 1, 0, 0, 0, 10, 10, 9.68, 77.42, 87.1, 67.6875, 52.59375, 52.59375, 0, 15.798828125, 61.296875, 5.2998046875, 26.296875, 36.796875, 31.59765625, 0.0, 0.0, 89.5, 63.1953125, 5.2998046875, 5.2998046875, 5.2998046875, 0.0, 106.0, 21.0, 2.0, 1.0, 40.0, "Tous les candidats", 203.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "3084", "Licence - Sciences de la terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3084&g_ta_cod=3084", 94.0, 3.0, 3.0),
(5559, "Privé enseignement supérieur", "0561687E", "Facultés libres de l'ouest - UCO - Bretagne Sud", "56", "Morbihan", "Bretagne", "Rennes", "Arradon", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Bretagne Sud - Licence - Information et communication", "Licence - Sciences humaines et sociales", "", 84, 661, 475, 661, 0, 428, 41, 104, 15, 7, 1, 122, 0, 0, 0, 0, 0, 660, 0, 0, 0, 428, 41, 104, 15, 7, 1, 121, 405, 85, 59, 85, 0, 16.0, 70.0, 83.0, 0, 9, 67, 61, 5, 1, 18, 0, 14, 37, 15, 1, 0.0, 47, 5, 1, 0, 0, 52, 52, 18.82, 82.35, 97.65, 69.390625, 77.59375, 77.59375, 0, 13.3984375, 78.796875, 0.0, 20.8984375, 55.1953125, 22.3984375, 1.5, 0.0, 91.0, 70.09375, 7.5, 7.5, 1.5, 1.5, 307.0, 26.0, 2.0, 1.0, 55.0, "Tous les candidats", 528.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "6491", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6491&g_ta_cod=6491", 93.0, 6.0, 1.0),
(5560, "Public", "0762762P", "Université Le Havre Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Autre formation", "Université Le Havre Normandie - Diplôme d'Université - Préparation aux études en Sciences Humaines et Economiques", "Diplôme d'Université", "Préparation aux études en Sciences Humaines et Economiques", 40, 109, 60, 34, 0, 15, 1, 8, 4, 4, 0, 7, 75, 5, 12, 11, 47, 16, 41, 0, 0, 7, 0, 5, 3, 2, 0, 2, 57, 28, 15, 8, 20, 7.0, 7.0, 19.0, 0, 8, 17, 5, 9, 3, 11, 2, 12, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 16, 16, 25.0, 25.0, 67.86, 53.59375, 94.09375, 94.09375, 0, 47.09375, 60.6953125, 11.798828125, 70.59375, 17.59765625, 0.0, 0.0, 0.0, 29.3984375, 0.0, 52.8984375, 0.0, 17.59765625, 17.59765625, 11.0, 1.0, 6.0, 3.0, 23.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "33522", "Diplôme d'Université - Préparation aux études en Sciences Humaines et Economiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33522&g_ta_cod=33522", 32.0, 43.0, 25.0),
(5561, "Public", "0880019T", "Lycée Louis Lapicque", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "BTS", "Lycée Louis Lapicque - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 232, 203, 218, 0, 27, 5, 72, 22, 56, 28, 63, 14, 5, 0, 0, 9, 144, 1, 0, 0, 26, 5, 51, 15, 42, 17, 25, 78, 23, 22, 23, 0, 2.0, 18.0, 21.0, 0, 6, 21, 3, 10, 8, 2, 0, 10, 5, 4, 2, 0.0, 1, 3, 7, 2, 2, 18, 18, 8.7, 78.26, 91.3, 95.6875, 85.6875, 85.6875, 9.5, 28.59765625, 91.296875, 0.0, 47.59375, 23.796875, 19.0, 9.5, 0.0, 14.298828125, 4.7998046875, 47.59375, 14.298828125, 38.09375, 33.296875, 20.0, 4.0, 19.0, 8.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers technologiques toutes séries", 43, "Bacheliers professionnels toutes séries", 29, "Liste d'appel propre à cette formation", 50.0, "25357", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25357&g_ta_cod=25357", 22.0, 43.0, 35.0),
(5562, "Privé hors contrat", "0342129E", "ACFA multimédia", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "ACFA multimédia - BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "BTS - Services", "", 12, 428, 100, 428, 0, 175, 29, 69, 13, 44, 11, 140, 0, 0, 0, 0, 0, 333, 0, 0, 0, 160, 27, 48, 10, 23, 3, 102, 91, 11, 0, 11, 0, 2.0, 5.0, 7.0, 0, 0, 4, 2, 1, 1, 7, 0, 2, 1, 0, 1, 0.0, 1, 0, 1, 0, 0, 1, 1, 18.18, 45.45, 63.64, 0.0, 25.0, 25.0, 0, 0.0, 36.3984375, 0.0, 50.0, 25.0, 0.0, 25.0, 0.0, 50.0, 25.0, 25.0, 0.0, 25.0, 25.0, 33.0, 5.0, 7.0, 0.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers technologiques toutes séries", 5, "Bacheliers professionnels toutes séries", 16, "Liste d'appel propre à cette formation", 18.0, "30200", "BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30200&g_ta_cod=30200", 82.0, 9.0, 9.0),
(5563, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Arts plastiques - Parcours Arts plastiques (CNED - enseignement à distance)", "Licence - Arts-lettres-langues", "Arts plastiques (CNED - enseignement à distance)", 250, 1437, 1127, 1437, 0, 626, 137, 109, 41, 57, 22, 645, 0, 0, 0, 0, 0, 1426, 0, 0, 0, 625, 137, 109, 41, 56, 21, 636, 889, 231, 183, 227, 0, 32.0, 147.0, 183.0, 0, 29, 108, 85, 10, 13, 123, 1, 43, 45, 18, 1, 0.0, 48, 7, 9, 0, 0, 14, 67, 13.85, 63.64, 79.22, 79.1875, 13.0, 62.0, 0, 26.8984375, 46.796875, 0.89990234375, 39.796875, 41.6953125, 16.69921875, 0.9, 0.0, 78.6875, 44.3984375, 9.298828125, 6.5, 12.0, 8.298828125, 435.0, 86.0, 41.0, 17.0, 346.0, "Tous les candidats", 945.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "20972", "Licence - Arts plastiques - Parcours Arts plastiques (CNED - enseignement à distance)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20972&g_ta_cod=20972", 81.0, 7.0, 10.0),
(5564, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Portail Philosophie", "Licence - Sciences humaines et sociales", "", 60, 268, 162, 220, 0, 142, 35, 9, 2, 6, 2, 63, 48, 8, 5, 1, 34, 220, 47, 0, 0, 142, 35, 9, 2, 6, 2, 63, 255, 39, 23, 31, 8, 18.0, 30.0, 36.0, 0, 7, 20, 19, 0, 1, 19, 0, 1, 11, 6, 2, 0.0, 18, 0, 1, 0, 0, 18, 18, 46.15, 76.92, 92.31, 59.0, 90.0, 90.0, 0, 35.0, 51.296875, 0.0, 5.0, 55.0, 30.0, 10.0, 0.0, 95.0, 90.0, 0.0, 0.0, 5.0, 5.0, 146.0, 37.0, 5.0, 2.0, 90.0, "Tous les candidats", 248.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "3858", "Licence - Portail Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27590&g_ta_cod=3858", 92.0, 3.0, 3.0),
(5565, "Privé sous contrat d'association", "0783192W", "BUC RESSOURCES", "78", "Yvelines", "Ile-de-France", "Versailles", "Buc", "formation sélective", "EFTS", "BUC RESSOURCES - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 20, 142, 132, 142, 0, 20, 1, 39, 7, 24, 1, 59, 0, 0, 0, 0, 0, 88, 0, 0, 0, 11, 0, 24, 4, 10, 0, 43, 35, 20, 18, 20, 0, 13.0, 18.0, 18.0, 0, 3, 11, 2, 7, 2, 9, 0, 3, 6, 2, 0, 0.0, 1, 6, 1, 0, 0, 6, 6, 65.0, 90.0, 90.0, 90.0, 54.5, 54.5, 0, 27.296875, 55.0, 0.0, 27.296875, 54.5, 18.19921875, 0.0, 0.0, 18.19921875, 9.099609375, 63.59375, 54.5, 18.19921875, 9.099609375, 4.0, 0.0, 3.0, 0.0, 21.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "23790", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23790&g_ta_cod=23790", 35.0, 45.0, 20.0),
(5566, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Portail Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "", 36, 836, 213, 777, 0, 488, 87, 66, 21, 0, 0, 223, 59, 5, 6, 1, 47, 767, 52, 0, 0, 488, 87, 66, 21, 0, 0, 213, 399, 36, 5, 19, 17, 0.0, 11.0, 20.0, 0, 5, 22, 18, 4, 0, 14, 0, 15, 4, 3, 0, 0.0, 6, 1, 0, 0, 0, 18, 18, 0.0, 30.56, 55.56, 13.8984375, 81.796875, 81.796875, 0, 22.69921875, 61.09375, 0.0, 68.1875, 18.19921875, 13.599609375, 0.0, 0.0, 81.796875, 27.296875, 18.19921875, 4.5, 0.0, 0.0, 231.0, 45.0, 1.0, 1.0, 141.0, "Tous les candidats", 856.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "20676", "Licence - Portail Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28636&g_ta_cod=20676", 83.0, 14.0, 3.0),
(5567, "Privé sous contrat d'association", "0754016H", "Lycée L'Initiative", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "Autre formation", "Lycée L'Initiative - DN MADE - Graphisme - - Spécialité : Graphisme d'interactivité", "DN MADE", "- Spécialité : Graphisme d'interactivité", 15, 471, 251, 471, 0, 172, 28, 51, 12, 98, 20, 150, 0, 0, 0, 0, 0, 113, 0, 0, 0, 61, 2, 22, 6, 7, 1, 23, 75, 16, 10, 16, 0, 2.0, 13.0, 14.0, 0, 0, 14, 9, 3, 2, 2, 0, 1, 6, 6, 1, 0.0, 8, 3, 2, 0, 0, 2, 7, 12.5, 81.25, 87.5, 62.5, 14.298828125, 50.0, 0, 0.0, 87.5, 0.0, 7.099609375, 42.8984375, 42.8984375, 7.1, 0.0, 64.296875, 57.09375, 21.3984375, 21.3984375, 14.298828125, 14.298828125, 41.0, 1.0, 7.0, 1.0, 8.0, "Tous les candidats", 86.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "21947", "DN MADE - Graphisme - - Spécialité : Graphisme d'interactivité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21947&g_ta_cod=21947", 63.0, 19.0, 19.0),
(5568, "Public", "0211986V", "Lycée Les Marcs D'Or", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Les Marcs D'Or - BTS - Production - Enveloppe des bâtiments : conception et réalisation", "BTS - Production", "", 8, 209, 25, 201, 0, 20, 4, 84, 16, 47, 16, 50, 8, 0, 0, 7, 1, 108, 0, 0, 0, 10, 1, 63, 10, 27, 6, 8, 50, 5, 0, 5, 0, 1.0, 4.0, 5.0, 0, 0, 5, 1, 4, 0, 0, 0, 3, 1, 1, 0, 0.0, 0, 2, 0, 0, 0, 2, 2, 20.0, 80.0, 100.0, 0.0, 40.0, 40.0, 0, 0.0, 100.0, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 20.0, 0.0, 80.0, 40.0, 0.0, 0.0, 3.0, 0.0, 18.0, 4.0, 4.0, "Tous les candidats sauf les Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 35.0, "25394", "BTS - Production - Enveloppe des bâtiments : conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25394&g_ta_cod=25394", 20.0, 80.0, 0.0),
(5569, "Public", "0594391C", "E.S.AA.T.", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "Autre formation", "E.S.AA.T. - DN MADE - Graphisme - - Spécialité : Supports connectés", "DN MADE", "- Spécialité : Supports connectés", 15, 515, 296, 515, 0, 184, 40, 105, 24, 62, 19, 164, 0, 0, 0, 0, 0, 204, 0, 0, 0, 112, 21, 66, 11, 1, 0, 25, 32, 14, 11, 14, 0, 5.0, 13.0, 14.0, 0, 5, 14, 9, 5, 0, 0, 0, 1, 0, 7, 5, 1.0, 8, 5, 0, 0, 0, 9, 9, 35.71, 92.86, 100.0, 78.59375, 64.296875, 64.296875, 0, 35.6953125, 100.0, 0.0, 7.099609375, 0.0, 50.0, 35.7, 7.1, 64.296875, 57.09375, 35.6953125, 35.6953125, 0.0, 0.0, 16.0, 5.0, 0.0, 0.0, 1.0, "Tous les candidats", 38.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "24725", "DN MADE - Graphisme - - Spécialité : Supports connectés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24725&g_ta_cod=24725", 64.0, 36.0, 0.0),
(5570, "Public", "0130050J", "Lycée Denis Diderot", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BTS", "Lycée Denis Diderot - BTS - Production - Bâtiment", "BTS - Production", "", 30, 606, 112, 606, 0, 72, 18, 198, 67, 143, 66, 193, 0, 0, 0, 0, 0, 427, 0, 0, 0, 68, 17, 173, 55, 111, 43, 75, 129, 27, 6, 27, 0, 3.0, 17.0, 21.0, 0, 13, 25, 5, 12, 8, 2, 0, 11, 7, 6, 1, 0.0, 5, 3, 6, 5, 2, 19, 19, 11.11, 62.96, 77.78, 22.19921875, 76.0, 76.0, 20, 52.0, 92.59375, 0.0, 44.0, 28.0, 24.0, 4.0, 0.0, 20.0, 20.0, 48.0, 12.0, 32.0, 24.0, 21.0, 1.0, 17.0, 5.0, 21.0, "Tous les candidats sauf les Bac professionnels", 157.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 29.0, "2573", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2573&g_ta_cod=2573", 19.0, 52.0, 30.0),
(5571, "Public", "0381513N", "Ecole des Pupilles de l'Air - lycée de la défense", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Meylan", "formation sélective", "CPGE", "Ecole des Pupilles de l'Air - lycée de la défense - CPGE - PCSI", "Classe préparatoire scientifique", "", 32, 636, 160, 636, 636, 546, 37, 2, 2, 0, 0, 88, 0, 0, 0, 0, 0, 636, 0, 636, 0, 546, 37, 2, 2, 0, 0, 88, 107, 32, 8, 32, 0, 5.0, 28.0, 31.0, 32, 3, 31, 31, 0, 0, 1, 0, 0, 0, 11, 19, 1.0, 31, 0, 0, 0, 0, 7, 7, 15.63, 87.5, 96.88, 25.0, 22.59765625, 22.59765625, 0, 9.69921875, 96.890625, 0.0, 0.0, 0.0, 35.5, 61.3, 3.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 103.0, 7.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "4962", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4962&g_ta_cod=4962", 100.0, 0.0, 0.0),
(5572, "Privé sous contrat d'association", "0071126L", "Institut Supérieur Saint-Denis", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Annonay", "formation sélective", "BTS", "Institut Supérieur Saint-Denis - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 24, 169, 14, 107, 0, 24, 3, 37, 12, 19, 4, 27, 62, 7, 12, 6, 37, 78, 16, 0, 0, 22, 3, 33, 11, 11, 2, 12, 76, 16, 1, 11, 5, 8.0, 11.0, 15.0, 0, 2, 12, 5, 5, 2, 4, 0, 6, 5, 1, 0, 0.0, 2, 3, 1, 5, 1, 12, 12, 50.0, 68.75, 93.75, 6.2998046875, 100.0, 100.0, 41.6953125, 16.69921875, 75.0, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 41.6953125, 16.69921875, 41.6953125, 25.0, 16.69921875, 8.298828125, 21.0, 3.0, 14.0, 3.0, 17.0, "Tous les candidats sauf les Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 73.0, "33296", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33296&g_ta_cod=33296", 56.0, 31.0, 13.0),
(5573, "Public", "0261505V", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 46, 922, 501, 922, 0, 65, 18, 373, 134, 292, 119, 192, 0, 0, 0, 0, 0, 417, 0, 0, 0, 15, 7, 180, 58, 189, 72, 33, 203, 40, 25, 40, 0, 1.0, 31.0, 33.0, 0, 17, 35, 0, 16, 19, 5, 1, 12, 14, 7, 1, 0.0, 0, 10, 12, 5, 2, 31, 31, 2.5, 77.5, 82.5, 62.5, 88.59375, 88.59375, 14.298828125, 48.59375, 87.5, 2.89990234375, 34.296875, 40.0, 20.0, 2.9, 0.0, 0.0, 0.0, 45.6953125, 28.59765625, 54.296875, 34.296875, 6.0, 3.0, 89.0, 37.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 112, "Bacheliers technologiques toutes séries", 142, "Liste d'appel propre à cette formation", 29.0, "16821", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16821&g_ta_cod=16821", 3.0, 43.0, 55.0),
(5574, "Public", "0410002E", "Lycée F Philibert Dessaignes", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BTS", "Lycée F Philibert Dessaignes - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 629, 302, 629, 0, 75, 19, 227, 69, 191, 77, 136, 0, 0, 0, 0, 0, 489, 0, 0, 0, 69, 18, 223, 68, 169, 69, 28, 188, 29, 16, 29, 0, 2.0, 13.0, 19.0, 0, 9, 26, 4, 10, 12, 3, 0, 15, 8, 3, 0, 0.0, 2, 4, 5, 6, 4, 25, 25, 6.9, 44.83, 65.52, 55.1953125, 96.1875, 96.1875, 23.09765625, 34.59375, 89.6875, 0.0, 57.6953125, 30.796875, 11.5, 0.0, 0.0, 15.3984375, 7.69921875, 38.5, 15.3984375, 46.1953125, 19.19921875, 17.0, 6.0, 82.0, 24.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 84, "Bacheliers technologiques toutes séries", 109, "Liste d'appel propre à cette formation", 35.0, "5236", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5236&g_ta_cod=5236", 24.0, 34.0, 41.0),
(5575, "Public", "0400829J", "IFSI CH de Dax", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Dax", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bordeaux - D.E Infirmier", "D.E secteur sanitaire", "", 77, 6338, 5319, 6338, 0, 1244, 214, 1080, 262, 478, 150, 3536, 0, 0, 0, 0, 0, 5101, 0, 0, 0, 1141, 187, 959, 223, 330, 107, 2671, 1168, 77, 69, 77, 0, 0.0, 32.0, 57.0, 0, 11, 41, 13, 24, 4, 36, 0, 10, 22, 7, 2, 0.0, 8, 20, 3, 0, 0, 31, 31, 0.0, 41.56, 74.03, 89.59375, 75.59375, 75.59375, 0, 26.796875, 53.1953125, 0.0, 24.3984375, 53.6953125, 17.09765625, 4.9, 0.0, 31.69921875, 19.5, 58.5, 48.796875, 9.798828125, 7.2998046875, 220.0, 48.0, 22.0, 7.0, 664.0, "Tous les candidats", 2835.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "23948", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23940&g_ta_cod=23948", 52.0, 39.0, 8.0),
(5576, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Moyen-Orient et Maghreb - Hébreu moderne", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères, parcours Moyen-Orient et Maghreb - Hébreu moderne", 75, 221, 128, 119, 0, 54, 11, 9, 6, 5, 4, 51, 102, 13, 3, 4, 82, 119, 58, 0, 0, 54, 11, 9, 6, 5, 4, 51, 175, 36, 23, 15, 21, 10.0, 14.0, 23.0, 0, 4, 11, 9, 2, 0, 25, 0, 5, 4, 2, 0, 0.0, 5, 1, 0, 0, 0, 5, 8, 27.78, 38.89, 63.89, 63.8984375, 45.5, 72.6875, 0, 36.3984375, 30.59765625, 0.0, 45.5, 36.3984375, 18.19921875, 0.0, 0.0, 81.796875, 45.5, 18.19921875, 9.099609375, 0.0, 0.0, 64.0, 15.0, 6.0, 5.0, 96.0, "Tous les candidats", 161.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9426", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Moyen-Orient et Maghreb - Hébreu moderne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29619&g_ta_cod=9426", 92.0, 6.0, 3.0),
(5577, "Public", "0671860H", "Faculté de médecine", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Regroupement Bourgogne ? Franche-Comté et Grand Est - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 35, 2300, 2223, 2300, 0, 687, 70, 44, 15, 7, 4, 1562, 0, 0, 0, 0, 0, 406, 0, 0, 0, 294, 15, 7, 2, 2, 1, 103, 109, 35, 35, 35, 0, 9.0, 30.0, 32.0, 0, 1, 23, 23, 0, 0, 12, 0, 0, 1, 8, 13, 1.0, 23, 0, 0, 0, 0, 3, 3, 25.71, 85.71, 91.43, 100.0, 13.0, 13.0, 0, 4.2998046875, 65.6875, 0.0, 0.0, 4.2998046875, 34.796875, 56.5, 4.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 63.0, 4.0, 0.0, 0.0, 45.0, "Tous les candidats", 157.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 6.0, "28049", "Certificat de capacité d'Orthophoniste", "Regroupement Bourgogne ? Franche-Comté et Grand Est", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28048&g_ta_cod=28049", 100.0, 0.0, 0.0),
(5578, "Public", "0100684P", "Iut De Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BUT", "Iut De Troyes - BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electronique et Systèmes Embarqués", "BUT - Production", "Automatisme et Informatique Industrielle - Electronique et Systèmes Embarqués", 80, 628, 41, 513, 0, 286, 44, 117, 30, 10, 4, 100, 115, 39, 3, 2, 71, 378, 23, 0, 0, 214, 30, 90, 20, 7, 3, 67, 325, 53, 2, 42, 11, 8.0, 42.0, 51.0, 0, 5, 32, 18, 13, 1, 21, 0, 16, 13, 3, 0, 0.0, 9, 6, 1, 0, 0, 23, 23, 15.09, 79.25, 96.23, 3.7998046875, 71.890625, 71.890625, 0, 15.599609375, 60.3984375, 0.0, 50.0, 40.59375, 9.3984375, 0.0, 0.0, 56.296875, 28.09765625, 40.59375, 18.796875, 3.099609375, 3.099609375, 162.0, 26.0, 4.0, 2.0, 84.0, "Tous les candidats sauf les Bac technologiques", 282.0, "Bacheliers technologiques toutes séries", 96, "", 0, "Liste d'appel propre à cette formation", 74.0, "2423", "BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electronique et Systèmes Embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2423&g_ta_cod=2423", 70.0, 26.0, 4.0),
(5579, "Public", "0130011S", "Lycée Pasquet", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Arles", "formation sélective", "BTS", "Lycée Pasquet - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 24, 268, 20, 200, 0, 4, 2, 40, 8, 110, 57, 46, 68, 0, 10, 36, 22, 139, 31, 0, 0, 4, 2, 35, 6, 87, 42, 13, 136, 12, 1, 3, 8, 2.0, 3.0, 11.0, 0, 2, 9, 2, 1, 6, 3, 0, 6, 2, 1, 0, 0.0, 0, 1, 2, 1, 0, 5, 5, 16.67, 25.0, 91.67, 8.298828125, 55.59375, 55.59375, 11.099609375, 22.19921875, 75.0, 0.0, 66.6875, 22.19921875, 11.099609375, 0.0, 0.0, 22.19921875, 0.0, 11.099609375, 11.099609375, 66.6875, 22.19921875, 3.0, 1.0, 74.0, 36.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 93, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 69.0, "2537", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2537&g_ta_cod=2537", 17.0, 17.0, 67.0),
(5580, "Public", "0740927F", "ENILV", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "La Roche-sur-Foron", "formation sélective", "BTS", "ENILV - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 15, 270, 117, 256, 0, 14, 1, 23, 5, 21, 5, 198, 14, 5, 0, 1, 8, 73, 8, 0, 0, 14, 1, 23, 5, 21, 5, 15, 61, 6, 2, 5, 1, 4.0, 5.0, 5.0, 0, 1, 6, 1, 2, 3, 0, 1, 3, 2, 0, 0, 0.0, 0, 2, 0, 5, 1, 6, 6, 66.67, 83.33, 83.33, 33.296875, 100.0, 100.0, 83.296875, 16.69921875, 100.0, 16.69921875, 50.0, 33.296875, 0.0, 0.0, 0.0, 16.69921875, 0.0, 33.296875, 33.296875, 50.0, 0.0, 16.0, 1.0, 15.0, 3.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 26.0, "8894", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8894&g_ta_cod=8894", 17.0, 33.0, 50.0),
(5581, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Droit - Parcours Droits français et allemand", "Licence - Droit-économie-gestion", "Droits français et allemand", 35, 546, 381, 285, 0, 204, 16, 5, 1, 7, 3, 69, 261, 109, 13, 7, 132, 53, 6, 0, 0, 50, 1, 0, 0, 0, 0, 3, 56, 27, 23, 24, 3, 19.0, 23.0, 26.0, 0, 1, 26, 26, 0, 0, 1, 2, 0, 1, 6, 15, 2.0, 24, 0, 0, 0, 0, 3, 7, 70.37, 85.19, 96.3, 85.1875, 11.5, 26.8984375, 0, 3.7998046875, 96.296875, 7.69921875, 0.0, 3.7998046875, 23.09765625, 57.7, 7.7, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 53.0, 1.0, 0.0, 0.0, 3.0, "Tous les candidats", 53.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "9202", "Licence - Droit - Parcours Droits français et allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9202&g_ta_cod=9202", 100.0, 0.0, 0.0),
(5582, "Public", "0550002D", "Lycée Raymond-Poincaré", "55", "Meuse", "Grand Est", "Nancy-Metz", "Bar-le-Duc", "formation sélective", "BTS", "Lycée Raymond-Poincaré - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 289, 132, 289, 0, 25, 7, 78, 24, 59, 21, 127, 0, 0, 0, 0, 0, 209, 0, 0, 0, 25, 7, 70, 23, 51, 20, 63, 135, 27, 8, 27, 0, 8.0, 23.0, 26.0, 0, 9, 23, 3, 11, 9, 4, 0, 10, 7, 5, 1, 0.0, 1, 4, 8, 10, 2, 20, 20, 29.63, 85.19, 96.3, 29.59765625, 87.0, 87.0, 43.5, 39.09375, 85.1875, 0.0, 43.5, 30.3984375, 21.69921875, 4.3, 0.0, 13.0, 4.2998046875, 47.796875, 17.3984375, 39.09375, 34.796875, 16.0, 5.0, 28.0, 12.0, 29.0, "Tous les candidats sauf les Bac professionnels", 122.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 54.0, "6400", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6400&g_ta_cod=6400", 19.0, 44.0, 37.0),
(5583, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Double licence - Droit / Lettres -", "Licence - Droit-économie-gestion", "", 30, 371, 309, 371, 0, 261, 69, 24, 8, 5, 5, 81, 0, 0, 0, 0, 0, 273, 0, 0, 0, 225, 53, 0, 0, 0, 0, 48, 162, 33, 32, 33, 0, 6.0, 33.0, 33.0, 0, 5, 27, 27, 0, 0, 6, 0, 0, 8, 14, 5, 0.0, 27, 0, 0, 0, 0, 14, 14, 18.18, 100.0, 100.0, 97.0, 51.8984375, 51.8984375, 0, 18.5, 81.796875, 0.0, 0.0, 29.59765625, 51.8984375, 18.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 134.0, 30.0, 0.0, 0.0, 28.0, "Tous les candidats", 249.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "32009", "Double licence - Droit / Lettres -", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32009&g_ta_cod=32009", 100.0, 0.0, 0.0),
(5584, "Public", "0780015T", "Lycée Militaire de Saint-Cyr", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Cyr-l'Ecole", "formation sélective", "CPGE", "Lycée Militaire de Saint-Cyr - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 34, 461, 82, 459, 459, 383, 22, 2, 1, 0, 0, 74, 2, 1, 0, 0, 1, 459, 0, 459, 0, 383, 22, 2, 1, 0, 0, 74, 99, 32, 5, 32, 0, 7.0, 24.0, 31.0, 32, 1, 25, 25, 0, 0, 7, 0, 0, 2, 13, 9, 1.0, 25, 0, 0, 1, 0, 3, 6, 21.88, 75.0, 96.88, 15.599609375, 12.0, 24.0, 4, 4.0, 78.09375, 0.0, 0.0, 8.0, 52.0, 36.0, 4.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 83.0, 3.0, 0.0, 0.0, 16.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "32434", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32434&g_ta_cod=32434", 100.0, 0.0, 0.0),
(5585, "Privé enseignement supérieur", "0752792C", "IPAG Business School - Campus de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Ecole de Commerce", "IPAG Business School - Campus de Paris - Formation des écoles de commerce et de management Bac + 3 - Programme Bachelor", "Formation des écoles de commerce et de management", "Programme Bachelor - Spécialisation Management du Luxe", 36, 513, 321, 414, 0, 306, 18, 59, 5, 9, 5, 40, 99, 42, 19, 3, 35, 292, 38, 0, 0, 227, 12, 38, 4, 3, 3, 24, 212, 33, 25, 27, 6, 4.0, 27.0, 33.0, 0, 6, 30, 27, 1, 2, 3, 0, 12, 12, 6, 0, 0.0, 17, 0, 1, 0, 0, 4, 19, 12.12, 81.82, 100.0, 75.796875, 13.298828125, 63.296875, 0, 20.0, 90.890625, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 90.0, 56.6953125, 3.2998046875, 0.0, 6.69921875, 3.2998046875, 158.0, 12.0, 3.0, 2.0, 30.0, "Tous les candidats", 292.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "31165", "Formation des écoles de commerce et de management Bac + 3 - Programme Bachelor", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31165&g_ta_cod=31165", 85.0, 9.0, 6.0),
(5586, "Public", "0422048Y", "I.U.T de Roanne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Roanne", "formation sélective", "BUT", "I.U.T de Roanne - BUT - Réseaux et télécommunications Parcours : Cybersécurité - Réseaux Opérateurs et Multimédia", "BUT - Production", "Cybersécurité - Réseaux Opérateurs et Multimédia", 45, 532, 28, 532, 0, 252, 42, 173, 35, 7, 2, 100, 0, 0, 0, 0, 0, 435, 0, 0, 0, 235, 36, 136, 25, 0, 0, 64, 215, 43, 0, 43, 0, 5.0, 36.0, 40.0, 0, 7, 35, 18, 17, 0, 8, 0, 12, 15, 7, 1, 0.0, 13, 10, 0, 0, 0, 26, 26, 11.63, 83.72, 93.02, 0.0, 74.296875, 74.296875, 0, 20.0, 81.390625, 0.0, 34.296875, 42.8984375, 20.0, 2.9, 0.0, 51.3984375, 37.09375, 48.59375, 28.59765625, 0.0, 0.0, 96.0, 17.0, 0.0, 0.0, 24.0, "Tous les candidats sauf les Bac technologiques", 190.0, "Bacheliers technologiques toutes séries", 155, "", 0, "Liste d'appel propre à cette formation", 65.0, "5374", "BUT - Réseaux et télécommunications Parcours : Cybersécurité - Réseaux Opérateurs et Multimédia", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5374&g_ta_cod=5374", 47.0, 53.0, 0.0),
(5587, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Informatique", "Licence - Sciences - technologies - santé", "", 180, 574, 64, 467, 0, 265, 108, 95, 54, 11, 7, 96, 107, 18, 10, 8, 71, 467, 96, 0, 0, 265, 108, 95, 54, 11, 7, 96, 536, 170, 8, 116, 54, 37.0, 114.0, 147.0, 0, 58, 110, 79, 23, 8, 60, 1, 60, 33, 12, 4, 0.0, 38, 7, 4, 0, 0, 94, 94, 21.76, 67.06, 86.47, 4.69921875, 85.5, 85.5, 0, 52.6953125, 64.6875, 0.89990234375, 54.5, 30.0, 10.8984375, 3.6, 0.0, 71.796875, 34.5, 20.8984375, 6.3994140625, 7.2998046875, 3.599609375, 279.0, 113.0, 17.0, 10.0, 143.0, "Tous les candidats", 468.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26386", "Licence - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26386&g_ta_cod=26386", 62.0, 27.0, 10.0),
(5588, "Privé sous contrat d'association", "0593106F", "Lycée Sainte Odile", "59", "Nord", "Hauts-de-France", "Lille", "Lambersart", "formation sélective", "Autre formation", "Lycée Sainte Odile - CPES - Générale", "Classe préparatoire aux études supérieures", "", 24, 54, 27, 43, 0, 31, 10, 0, 0, 3, 1, 9, 11, 4, 1, 0, 6, 27, 3, 0, 0, 27, 10, 0, 0, 0, 0, 0, 30, 6, 2, 5, 1, 5.0, 5.0, 6.0, 0, 2, 6, 6, 0, 0, 0, 0, 2, 3, 1, 0, 0.0, 4, 0, 0, 0, 0, 5, 5, 83.33, 83.33, 100.0, 33.296875, 83.296875, 83.296875, 0, 33.296875, 100.0, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 30.0, 11.0, 0.0, 0.0, 0.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "26043", "CPES - Générale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26043&g_ta_cod=26043", 100.0, 0.0, 0.0),
(5589, "Public", "0750711R", "Lycée Henri Bergson-Jacquard", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Henri Bergson-Jacquard - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 676, 13, 639, 0, 13, 2, 76, 34, 371, 168, 179, 37, 6, 12, 0, 19, 333, 4, 0, 0, 8, 2, 24, 11, 281, 117, 20, 106, 24, 0, 21, 3, 6.0, 13.0, 19.0, 0, 8, 21, 2, 2, 17, 3, 0, 4, 7, 10, 0, 0.0, 1, 0, 16, 1, 0, 6, 21, 25.0, 54.17, 79.17, 0.0, 28.59765625, 100.0, 4.7998046875, 38.09375, 87.5, 0.0, 19.0, 33.296875, 47.59375, 0.0, 0.0, 9.5, 4.7998046875, 9.5, 0.0, 81.0, 76.1875, 9.0, 2.0, 70.0, 34.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 114, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 23.0, "9182", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9182&g_ta_cod=9182", 13.0, 17.0, 71.0),
(5590, "Public", "0720033V", "Lycée Polyvalent Gabriel Touchard - Washington", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Gabriel Touchard - Washington - BTS - Production - Conception et Réalisation de Systèmes Automatiques (Seconde année possible en apprentissage)", "BTS - Production", "", 15, 175, 11, 167, 0, 4, 0, 87, 13, 44, 13, 32, 8, 0, 2, 0, 6, 99, 2, 0, 0, 3, 0, 57, 6, 32, 8, 7, 52, 13, 0, 11, 2, 3.0, 9.0, 12.0, 0, 1, 8, 0, 1, 7, 5, 0, 1, 5, 2, 0, 0.0, 0, 1, 6, 5, 0, 8, 8, 23.08, 69.23, 92.31, 0.0, 100.0, 100.0, 62.5, 12.5, 61.5, 0.0, 12.5, 62.5, 25.0, 0.0, 0.0, 0.0, 0.0, 12.5, 12.5, 87.5, 75.0, 3.0, 0.0, 20.0, 5.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 47.0, "8696", "BTS - Production - Conception et Réalisation de Systèmes Automatiques (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8696&g_ta_cod=8696", 8.0, 38.0, 54.0),
(5591, "Public", "0160003S", "Lycée Marguerite De Valois", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BTS", "Lycée Marguerite De Valois - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 309, 196, 299, 0, 23, 7, 98, 30, 74, 37, 104, 10, 1, 2, 0, 7, 179, 2, 0, 0, 18, 3, 51, 13, 74, 37, 36, 94, 21, 18, 20, 1, 6.0, 17.0, 20.0, 0, 6, 16, 3, 5, 8, 5, 0, 7, 7, 2, 0, 0.0, 2, 1, 6, 3, 2, 15, 15, 28.57, 80.95, 95.24, 85.6875, 93.796875, 93.796875, 18.796875, 37.5, 76.1875, 0.0, 43.796875, 43.796875, 12.5, 0.0, 0.0, 18.796875, 12.5, 31.296875, 6.2998046875, 50.0, 37.5, 18.0, 3.0, 27.0, 13.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 40.0, "2973", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2973&g_ta_cod=2973", 29.0, 29.0, 43.0),
(5592, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe - débutant", "Licence - Arts-lettres-langues", "Arabe - débutant", 40, 169, 130, 114, 0, 51, 20, 14, 8, 12, 6, 37, 55, 6, 5, 1, 43, 114, 53, 0, 0, 51, 20, 14, 8, 12, 6, 37, 156, 38, 32, 18, 20, 8.0, 18.0, 28.0, 0, 7, 12, 5, 6, 1, 26, 0, 9, 1, 2, 0, 0.0, 2, 1, 0, 0, 0, 7, 7, 21.05, 47.37, 73.68, 84.1875, 58.296875, 58.296875, 0, 58.296875, 31.59765625, 0.0, 75.0, 8.298828125, 16.69921875, 0.0, 0.0, 41.6953125, 16.69921875, 50.0, 8.298828125, 8.298828125, 0.0, 55.0, 18.0, 8.0, 6.0, 74.0, "Tous les candidats", 112.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "19118", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe - débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19118&g_ta_cod=19118", 58.0, 26.0, 16.0),
(5593, "Public", "0930121B", "Lycée Jean Jaurès", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "CPGE", "Lycée Jean Jaurès - CPGE - Lettres", "Classe préparatoire littéraire", "", 36, 238, 162, 223, 0, 183, 45, 1, 0, 0, 0, 39, 15, 6, 0, 1, 8, 212, 9, 0, 212, 183, 45, 0, 0, 0, 0, 29, 172, 38, 19, 33, 5, 3.0, 33.0, 37.0, 0, 3, 20, 20, 0, 0, 18, 0, 3, 8, 7, 2, 0.0, 17, 0, 0, 6, 3, 18, 19, 7.89, 86.84, 97.37, 50.0, 90.0, 95.0, 30, 15.0, 52.59375, 0.0, 15.0, 40.0, 35.0, 10.0, 0.0, 100.0, 85.0, 0.0, 0.0, 0.0, 0.0, 146.0, 33.0, 0.0, 0.0, 26.0, "Tous les candidats", 211.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "11178", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11178&g_ta_cod=11178", 100.0, 0.0, 0.0),
(5594, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations, parcours Europe - Roumain", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Europe - Roumain", 30, 66, 42, 40, 0, 23, 6, 4, 2, 0, 0, 13, 26, 1, 3, 2, 20, 40, 17, 0, 0, 23, 6, 4, 2, 0, 0, 13, 57, 17, 9, 9, 8, 8.0, 9.0, 14.0, 0, 3, 7, 4, 2, 1, 10, 0, 3, 4, 0, 0, 0.0, 2, 1, 1, 0, 0, 2, 7, 47.06, 52.94, 82.35, 52.8984375, 28.59765625, 100.0, 0, 42.8984375, 41.1953125, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 57.09375, 28.59765625, 28.59765625, 14.298828125, 14.298828125, 14.298828125, 24.0, 7.0, 1.0, 0.0, 26.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9420", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations, parcours Europe - Roumain", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29611&g_ta_cod=9420", 53.0, 29.0, 12.0),
(5595, "Public", "0620256S", "Lycée Guy Mollet", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "Lycée Guy Mollet - BTS - Services - Support à l'action managériale", "BTS - Services", "", 94, 451, 305, 376, 0, 24, 4, 140, 66, 116, 60, 96, 75, 0, 13, 33, 29, 376, 16, 0, 0, 24, 4, 140, 66, 116, 60, 96, 235, 63, 40, 54, 8, 15.0, 41.0, 57.0, 0, 19, 49, 4, 24, 21, 14, 0, 32, 16, 1, 0, 0.0, 1, 8, 8, 29, 15, 48, 48, 23.81, 65.08, 90.48, 63.5, 98.0, 98.0, 59.1953125, 38.796875, 77.796875, 0.0, 65.296875, 32.6953125, 2.0, 0.0, 0.0, 8.19921875, 2.0, 49.0, 16.296875, 42.8984375, 16.296875, 17.0, 4.0, 97.0, 51.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 125, "Bacheliers technologiques toutes séries", 170, "Liste d'appel propre à cette formation", 91.0, "7403", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7403&g_ta_cod=7403", 14.0, 44.0, 41.0),
(5596, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - Licence - Psychologie", "Licence - Sciences humaines et sociales", "", 230, 2865, 2407, 2865, 0, 1581, 287, 242, 49, 50, 19, 992, 0, 0, 0, 0, 0, 1767, 0, 0, 0, 1149, 184, 76, 5, 0, 0, 542, 970, 239, 216, 239, 0, 36.0, 177.0, 231.0, 0, 25, 182, 176, 6, 0, 57, 1, 18, 98, 56, 8, 1.0, 157, 6, 0, 0, 0, 91, 91, 15.06, 74.06, 96.65, 90.390625, 50.0, 50.0, 0, 13.69921875, 76.1875, 0.5, 9.8984375, 53.796875, 30.796875, 4.4, 0.5, 96.6875, 86.296875, 3.2998046875, 3.2998046875, 0.0, 0.0, 633.0, 109.0, 0.0, 0.0, 309.0, "Tous les candidats", 1340.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "8268", "Licence - Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26623&g_ta_cod=8268", 97.0, 3.0, 0.0),
(5597, "Public", "0860005N", "Cite Technique Edouard Branly", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Châtellerault", "formation sélective", "BTS", "Cite Technique Edouard Branly - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 183, 116, 177, 0, 1, 0, 62, 27, 45, 21, 69, 6, 1, 1, 0, 4, 86, 3, 0, 0, 1, 0, 43, 19, 33, 10, 9, 75, 16, 12, 14, 2, 3.0, 14.0, 15.0, 0, 5, 14, 0, 6, 8, 2, 0, 8, 3, 3, 0, 0.0, 0, 1, 5, 2, 2, 14, 14, 18.75, 87.5, 93.75, 75.0, 100.0, 100.0, 14.298828125, 35.6953125, 87.5, 0.0, 57.09375, 21.3984375, 21.3984375, 0.0, 0.0, 0.0, 0.0, 42.8984375, 7.099609375, 57.09375, 35.6953125, 2.0, 0.0, 28.0, 9.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 47.0, "10576", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10576&g_ta_cod=10576", 13.0, 38.0, 50.0),
(5598, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Portail Biologie-Chimie", "Licence - Sciences - technologies - santé", "Biologie-Chimie", 395, 1993, 1365, 1736, 0, 947, 154, 116, 38, 5, 1, 668, 257, 72, 9, 1, 175, 1735, 217, 0, 0, 947, 154, 116, 38, 5, 1, 667, 1648, 307, 195, 237, 70, 44.0, 219.0, 273.0, 0, 28, 145, 133, 12, 0, 162, 0, 48, 59, 33, 4, 1.0, 90, 7, 0, 0, 0, 88, 88, 14.33, 71.34, 88.93, 63.5, 60.6953125, 60.6953125, 0, 19.296875, 47.1953125, 0.0, 33.09375, 40.6953125, 22.796875, 2.8, 0.7, 91.6875, 62.09375, 8.298828125, 4.7998046875, 0.0, 0.0, 858.0, 149.0, 2.0, 1.0, 720.0, "Tous les candidats", 1735.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32771", "Licence - Portail Biologie-Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32771&g_ta_cod=32771", 87.0, 10.0, 3.0),
(5599, "Privé sous contrat d'association", "0331590Z", "Lycée St Vincent De Paul", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée St Vincent De Paul - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 38, 727, 303, 713, 0, 101, 15, 311, 76, 138, 37, 163, 14, 0, 0, 12, 2, 514, 7, 0, 0, 90, 12, 254, 63, 82, 20, 88, 207, 26, 17, 26, 0, 2.0, 19.0, 24.0, 0, 8, 26, 3, 13, 10, 0, 0, 13, 9, 4, 0, 0.0, 1, 6, 6, 0, 0, 22, 22, 7.69, 73.08, 92.31, 65.390625, 84.59375, 84.59375, 0, 30.796875, 100.0, 0.0, 50.0, 34.59375, 15.3984375, 0.0, 0.0, 11.5, 3.7998046875, 50.0, 23.09765625, 38.5, 23.09765625, 16.0, 5.0, 71.0, 21.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 88, "Bacheliers technologiques toutes séries", 137, "Liste d'appel propre à cette formation", 35.0, "4360", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4360&g_ta_cod=4360", 12.0, 50.0, 38.0),
(5600, "Public", "0261277X", "Lycée Les Trois Sources", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Bourg-lès-Valence", "formation sélective", "BTS", "Lycée Les Trois Sources - BTS - Services - Notariat", "BTS - Services", "", 15, 485, 366, 485, 0, 103, 30, 156, 57, 58, 31, 168, 0, 0, 0, 0, 0, 246, 0, 0, 0, 77, 27, 106, 33, 39, 18, 24, 86, 11, 11, 11, 0, 4.0, 9.0, 11.0, 0, 3, 11, 2, 7, 2, 0, 0, 3, 7, 1, 0, 0.0, 2, 5, 1, 3, 3, 11, 11, 36.36, 81.82, 100.0, 100.0, 100.0, 100.0, 27.296875, 27.296875, 100.0, 0.0, 27.296875, 63.59375, 9.099609375, 0.0, 0.0, 18.19921875, 18.19921875, 63.59375, 45.5, 18.19921875, 9.099609375, 27.0, 7.0, 10.0, 5.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 36.0, "21217", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21217&g_ta_cod=21217", 18.0, 64.0, 18.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(5601, "Privé enseignement supérieur", "0755956S", "NEOMA Business School - Campus de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  9e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "CESEM - Parcours Asie", 40, 1306, 604, 1306, 0, 1126, 52, 68, 1, 7, 2, 105, 0, 0, 0, 0, 0, 1126, 0, 0, 0, 1000, 42, 45, 0, 3, 1, 78, 1059, 48, 28, 48, 0, 40.0, 48.0, 48.0, 0, 2, 44, 43, 1, 0, 4, 0, 10, 16, 13, 5, 0.0, 33, 1, 0, 0, 0, 12, 25, 83.33, 100.0, 100.0, 58.296875, 27.296875, 56.796875, 0, 4.5, 91.6875, 0.0, 22.69921875, 36.3984375, 29.5, 11.4, 0.0, 97.6875, 75.0, 2.2998046875, 2.2998046875, 0.0, 0.0, 946.0, 40.0, 3.0, 1.0, 71.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "31995", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=31995", 98.0, 2.0, 0.0),
(5602, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "Université de Montpellier - CUPGE - Cycle Universitaire Préparatoire aux Grandes Ecoles - Physique et Mathématiques", "CUPGE - Sciences, technologie, santé", "", 15, 679, 251, 674, 0, 537, 75, 0, 0, 0, 0, 137, 5, 1, 0, 0, 4, 454, 1, 0, 0, 367, 43, 0, 0, 0, 0, 87, 180, 13, 4, 12, 1, 0.0, 3.0, 12.0, 0, 1, 8, 8, 0, 0, 5, 0, 0, 1, 7, 0, 0.0, 8, 0, 0, 0, 0, 7, 7, 0.0, 23.08, 92.31, 30.796875, 87.5, 87.5, 0, 12.5, 61.5, 0.0, 0.0, 12.5, 87.5, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 128.0, 15.0, 0.0, 0.0, 52.0, "Tous les candidats", 444.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "4550", "CUPGE - Cycle Universitaire Préparatoire aux Grandes Ecoles - Physique et Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4550&g_ta_cod=4550", 100.0, 0.0, 0.0),
(5603, "Public", "0410899E", "Lycée des Métiers HOTEL.ET TOURISME VAL DE LOIRE", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BTS", "Lycée des Métiers HOTEL.ET TOURISME VAL DE LOIRE - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 60, 260, 144, 255, 0, 0, 0, 122, 12, 80, 16, 53, 5, 0, 2, 3, 0, 255, 0, 0, 0, 0, 0, 122, 12, 80, 16, 53, 161, 46, 22, 45, 0, 20.0, 41.0, 45.0, 0, 4, 34, 0, 18, 16, 12, 0, 10, 14, 5, 5, 0.0, 0, 11, 13, 22, 8, 33, 33, 43.48, 89.13, 97.83, 47.796875, 97.09375, 97.09375, 64.6875, 11.798828125, 73.890625, 0.0, 29.3984375, 41.1953125, 14.69921875, 14.7, 0.0, 0.0, 0.0, 52.8984375, 32.3984375, 47.09375, 38.1953125, 0.0, 0.0, 46.0, 9.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 131, "Liste d'appel propre à cette formation", 97.0, "5251", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5251&g_ta_cod=5251", 20.0, 46.0, 35.0),
(5604, "Privé sous contrat d'association", "0622199D", "Lycée Saint Denis", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Omer", "formation sélective", "BTS", "Lycée Saint Denis - BTS - Services - Assurance", "BTS - Services", "", 25, 145, 89, 117, 0, 15, 5, 17, 8, 14, 8, 71, 28, 5, 8, 0, 15, 74, 15, 0, 0, 15, 5, 17, 8, 14, 8, 28, 85, 4, 2, 4, 0, 0.0, 4.0, 4.0, 0, 2, 3, 0, 2, 1, 1, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 0.0, 100.0, 100.0, 50.0, 100.0, 100.0, 0, 66.6875, 75.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 66.6875, 0.0, 33.296875, 0.0, 17.0, 4.0, 12.0, 7.0, 35.0, "Tous les candidats sauf les Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 63.0, "7432", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7432&g_ta_cod=7432", 25.0, 50.0, 25.0),
(5605, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Economie et gestion - Parcours Économie, statistique, modélisation", "Licence - Droit-économie-gestion", "Économie, statistique, modélisation", 100, 1250, 464, 632, 0, 427, 111, 16, 8, 4, 3, 185, 618, 143, 25, 8, 442, 306, 46, 0, 0, 284, 61, 0, 0, 0, 0, 22, 326, 45, 16, 25, 20, 12.0, 24.0, 33.0, 0, 5, 26, 26, 0, 0, 19, 0, 8, 8, 9, 1, 0.0, 18, 0, 0, 0, 0, 11, 11, 26.67, 53.33, 73.33, 35.59375, 42.296875, 42.296875, 0, 19.19921875, 57.796875, 0.0, 30.796875, 30.796875, 34.59375, 3.8, 0.0, 100.0, 69.1875, 0.0, 0.0, 0.0, 0.0, 270.0, 60.0, 0.0, 0.0, 56.0, "Tous les candidats", 306.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "7099", "Licence - Economie et gestion - Parcours Économie, statistique, modélisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7099&g_ta_cod=7099", 100.0, 0.0, 0.0),
(5606, "Public", "0800011C", "Lycée des Métiers Édouard Gand", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Autre formation", "Lycée des Métiers Édouard Gand - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 3, 1, 0, 0, 0.0, 0.0, 1.0, 0, 1, 3, 0, 1, 2, 0, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 0.0, 0.0, 33.33, 33.296875, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 0.0, 0.0, 0.0, 8.0, 3.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22518", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 33.0, 67.0),
(5607, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Lettres - Parcours Licence 1 Lettres - Enseignement dispensé à distance", "Licence - Arts-lettres-langues", "Licence 1 Lettres - Enseignement dispensé à distance", 70, 361, 277, 153, 0, 44, 10, 4, 0, 2, 1, 103, 208, 16, 5, 3, 184, 152, 196, 0, 0, 44, 10, 4, 0, 2, 1, 102, 348, 68, 59, 26, 42, 26.0, 26.0, 50.0, 0, 4, 10, 8, 0, 2, 58, 0, 6, 3, 1, 0, 0.0, 3, 0, 1, 0, 0, 6, 6, 38.24, 38.24, 73.53, 86.796875, 60.0, 60.0, 0, 40.0, 14.69921875, 0.0, 60.0, 30.0, 10.0, 0.0, 0.0, 80.0, 30.0, 0.0, 0.0, 20.0, 10.0, 60.0, 15.0, 5.0, 2.0, 274.0, "Tous les candidats", 152.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "23355", "Licence - Lettres - Parcours Licence 1 Lettres - Enseignement dispensé à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23355&g_ta_cod=23355", 82.0, 4.0, 7.0),
(5608, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation sélective", "Licence", "Université Gustave Eiffel - Licence - Physique, chimie - Parcours PHYSIQUE, CHIMIE : Sciences physiques - Anglais", "Licence - Sciences - technologies - santé", "PHYSIQUE, CHIMIE : Sciences physiques - Anglais", 15, 551, 284, 439, 0, 311, 61, 18, 5, 0, 0, 110, 112, 26, 5, 0, 81, 242, 4, 0, 0, 183, 33, 3, 1, 0, 0, 56, 156, 14, 8, 9, 4, 4.0, 6.0, 10.0, 0, 3, 7, 7, 0, 0, 7, 0, 1, 1, 1, 4, 0.0, 6, 0, 0, 0, 0, 4, 5, 28.57, 42.86, 71.43, 57.09375, 57.09375, 71.390625, 0, 42.8984375, 50.0, 0.0, 14.298828125, 14.298828125, 14.298828125, 57.1, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 111.0, 25.0, 0.0, 0.0, 45.0, "Tous les candidats", 241.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "9924", "Licence - Physique, chimie - Parcours PHYSIQUE, CHIMIE : Sciences physiques - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9924&g_ta_cod=9924", 100.0, 0.0, 0.0),
(5609, "Privé enseignement supérieur", "0596162C", "Institut Catholique de Lille-Faculté Libre Droit", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Institut Catholique de Lille-Faculté Libre Droit - Licence - Portail Droit - droit & culture juridique", "Licence - Droit-économie-gestion", "droit & culture juridique", 250, 1341, 981, 1341, 0, 1075, 125, 69, 27, 14, 6, 183, 0, 0, 0, 0, 0, 1209, 0, 0, 0, 1053, 118, 47, 15, 0, 0, 109, 905, 263, 191, 263, 0, 169.0, 245.0, 263.0, 0, 24, 245, 239, 6, 0, 18, 0, 33, 107, 89, 15, 1.0, 206, 6, 0, 0, 0, 135, 135, 64.26, 93.16, 100.0, 72.59375, 55.09375, 55.09375, 0, 9.798828125, 93.1875, 0.0, 13.5, 43.6953125, 36.296875, 6.1, 0.4, 97.59375, 84.09375, 2.39990234375, 2.39990234375, 0.0, 0.0, 818.0, 89.0, 0.0, 0.0, 72.0, "Tous les candidats", 1229.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 89.0, "12459", "Licence - Portail Droit - droit & culture juridique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27670&g_ta_cod=12459", 98.0, 2.0, 0.0),
(5610, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe - confirmé  (niveau B1/B2 attendu)", "Licence - Arts-lettres-langues", "Arabe - confirmé  (niveau B1/B2 attendu)", 30, 91, 63, 43, 0, 11, 8, 5, 5, 8, 7, 19, 48, 3, 2, 2, 41, 43, 41, 0, 0, 11, 8, 5, 5, 8, 7, 19, 84, 17, 11, 6, 11, 4.0, 6.0, 11.0, 0, 4, 4, 1, 1, 2, 13, 0, 3, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 4, 4, 23.53, 35.29, 64.71, 64.6875, 100.0, 100.0, 0, 100.0, 23.5, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 25.0, 25.0, 25.0, 0.0, 50.0, 0.0, 14.0, 9.0, 10.0, 9.0, 54.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4745", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe - confirmé  (niveau B1/B2 attendu)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4745&g_ta_cod=4745", 47.0, 18.0, 29.0),
(5611, "Public", "0382780R", "Lycée Aristides Berges", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Seyssinet-Pariset", "formation sélective", "BTS", "Lycée Aristides Berges - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 1305, 636, 1026, 0, 73, 17, 441, 151, 259, 105, 253, 279, 0, 140, 54, 85, 308, 29, 0, 0, 47, 10, 103, 33, 117, 46, 41, 213, 33, 21, 18, 14, 0.0, 16.0, 27.0, 0, 13, 24, 2, 12, 10, 9, 0, 8, 8, 8, 0, 0.0, 1, 7, 8, 7, 4, 23, 23, 0.0, 48.48, 81.82, 63.59375, 95.796875, 95.796875, 29.19921875, 54.1953125, 72.6875, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 8.298828125, 4.19921875, 50.0, 29.19921875, 41.6953125, 33.296875, 15.0, 7.0, 88.0, 38.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 118, "Bacheliers technologiques toutes séries", 117, "Liste d'appel propre à cette formation", 26.0, "5113", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5113&g_ta_cod=5113", 9.0, 55.0, 36.0),
(5612, "Public", "0572027U", "Lycée Rosa Parks", "57", "Moselle", "Grand Est", "Nancy-Metz", "Thionville", "formation sélective", "BTS", "Lycée Rosa Parks - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 534, 220, 477, 0, 73, 19, 135, 54, 123, 47, 146, 57, 4, 6, 17, 30, 167, 10, 0, 0, 41, 10, 76, 27, 49, 13, 1, 143, 32, 14, 27, 4, 6.0, 26.0, 28.0, 0, 11, 30, 3, 15, 12, 2, 0, 5, 18, 7, 0, 0.0, 1, 13, 11, 12, 3, 29, 29, 18.75, 81.25, 87.5, 43.796875, 96.6875, 96.6875, 40, 36.6953125, 93.796875, 0.0, 16.69921875, 60.0, 23.296875, 0.0, 0.0, 10.0, 3.2998046875, 50.0, 43.296875, 40.0, 36.6953125, 33.0, 7.0, 48.0, 14.0, 3.0, "Tous les candidats sauf les Bac professionnels", 118.0, "Bacheliers professionnels toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 35.0, "6595", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6595&g_ta_cod=6595", 9.0, 50.0, 41.0),
(5613, "Public", "0910625K", "Lycée ROSA PARKS", "91", "Essonne", "Ile-de-France", "Versailles", "Montgeron", "formation sélective", "BTS", "Lycée ROSA PARKS - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 1438, 815, 949, 0, 36, 10, 312, 126, 309, 164, 292, 489, 33, 203, 0, 253, 315, 15, 0, 0, 19, 6, 109, 39, 145, 82, 42, 174, 38, 24, 28, 10, 5.0, 24.0, 32.0, 0, 12, 25, 3, 11, 11, 13, 1, 3, 14, 7, 0, 0.0, 2, 8, 11, 5, 0, 13, 23, 13.16, 63.16, 84.21, 63.1953125, 52.0, 92.0, 20, 48.0, 65.796875, 4.0, 12.0, 56.0, 28.0, 0.0, 0.0, 12.0, 8.0, 44.0, 32.0, 44.0, 44.0, 17.0, 5.0, 51.0, 28.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 100, "Bacheliers technologiques toutes séries", 116, "Liste d'appel propre à cette formation", 26.0, "10857", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10857&g_ta_cod=10857", 13.0, 45.0, 42.0),
(5614, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "PASS", "Université de Brest - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 10, 1129, 763, 1129, 0, 756, 122, 23, 3, 9, 7, 341, 0, 0, 0, 0, 0, 1130, 0, 0, 0, 757, 123, 23, 3, 9, 7, 341, 134, 10, 8, 10, 0, 0.0, 5.0, 9.0, 0, 0, 9, 9, 0, 0, 1, 0, 0, 2, 7, 0, 0.0, 9, 0, 0, 0, 0, 8, 8, 0.0, 50.0, 90.0, 80.0, 88.890625, 88.890625, 0, 0.0, 90.0, 0.0, 0.0, 22.19921875, 77.796875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 124.0, 19.0, 0.0, 0.0, 10.0, "Tous les candidats", 1912.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "28247", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27585&g_ta_cod=28247", 100.0, 0.0, 0.0),
(5615, "Privé sous contrat d'association", "9730336C", "IRDTS Cayenne", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "EFTS", "IRDTS Cayenne - D.E Educateur Spécialisé", "D.E secteur social", "", 12, 114, 94, 79, 0, 17, 7, 25, 11, 18, 13, 19, 35, 1, 4, 4, 26, 12, 2, 0, 0, 1, 0, 4, 2, 0, 0, 7, 15, 9, 9, 6, 1, 0.0, 6.0, 8.0, 0, 2, 4, 1, 3, 0, 5, 0, 3, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 4, 4, 0.0, 66.67, 88.89, 100.0, 100.0, 100.0, 0, 50.0, 44.3984375, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 25.0, 25.0, 75.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 9.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "23444", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23444&g_ta_cod=23444", 44.0, 44.0, 11.0),
(5616, "Public", "0360024F", "Lycée Balzac d'Alembert", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Issoudun", "formation sélective", "BTS", "Lycée Balzac d'Alembert - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 15, 97, 6, 97, 0, 4, 1, 18, 1, 52, 17, 23, 0, 0, 0, 0, 0, 92, 0, 0, 0, 4, 1, 16, 0, 50, 16, 22, 39, 14, 2, 14, 0, 7.0, 11.0, 11.0, 0, 1, 9, 1, 1, 7, 5, 0, 3, 2, 4, 0, 0.0, 0, 0, 6, 3, 0, 7, 7, 50.0, 78.57, 78.57, 14.298828125, 77.796875, 77.796875, 33.296875, 11.099609375, 64.296875, 0.0, 33.296875, 22.19921875, 44.3984375, 0.0, 0.0, 11.099609375, 0.0, 11.099609375, 0.0, 77.796875, 66.6875, 3.0, 1.0, 25.0, 8.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers technologiques toutes séries", 6, "Bacheliers professionnels toutes séries", 25, "Liste d'appel propre à cette formation", 39.0, "32624", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32624&g_ta_cod=32624", 21.0, 7.0, 71.0),
(5617, "Public", "0220060W", "Lycée Eugene Freyssinet", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée Eugene Freyssinet - BTS - Production - Travaux publics", "BTS - Production", "", 30, 280, 35, 277, 0, 30, 0, 93, 15, 70, 18, 84, 3, 0, 0, 3, 0, 228, 1, 0, 0, 30, 0, 92, 15, 68, 18, 38, 127, 27, 2, 26, 1, 7.0, 21.0, 24.0, 0, 3, 20, 4, 6, 10, 7, 0, 10, 6, 4, 0, 0.0, 0, 1, 9, 2, 0, 18, 18, 25.93, 77.78, 88.89, 7.3994140625, 90.0, 90.0, 10, 15.0, 74.09375, 0.0, 50.0, 30.0, 20.0, 0.0, 0.0, 20.0, 0.0, 30.0, 5.0, 50.0, 45.0, 19.0, 0.0, 39.0, 11.0, 16.0, "Tous les candidats sauf les Bac professionnels", 115.0, "Bacheliers professionnels toutes séries", 70, "", 0, "Liste d'appel propre à cette formation", 67.0, "3330", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3330&g_ta_cod=3330", 30.0, 22.0, 48.0),
(5618, "Privé sous contrat d'association", "0480023P", "Lycée Saint-Joseph", "48", "Lozère", "Occitanie", "Montpellier", "Marvejols", "formation sélective", "BTS", "Lycée Saint-Joseph - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 30, 79, 77, 65, 0, 12, 3, 15, 4, 25, 7, 13, 14, 1, 4, 1, 8, 64, 7, 0, 0, 12, 3, 15, 4, 25, 7, 12, 64, 9, 9, 9, 0, 4.0, 9.0, 9.0, 0, 3, 7, 1, 2, 4, 2, 0, 5, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 2, 2, 44.44, 100.0, 100.0, 100.0, 28.59765625, 28.59765625, 0, 42.8984375, 77.796875, 0.0, 71.390625, 14.298828125, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 28.59765625, 0.0, 57.09375, 28.59765625, 11.0, 3.0, 22.0, 6.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 97.0, "14686", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14686&g_ta_cod=14686", 33.0, 22.0, 44.0),
(5619, "Public", "0851401L", "LGT Jean de Lattre de Tassigny", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "LGT Jean de Lattre de Tassigny - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 204, 32, 176, 0, 14, 3, 43, 10, 35, 17, 84, 28, 4, 8, 0, 16, 84, 6, 0, 0, 13, 3, 38, 9, 23, 11, 10, 75, 13, 0, 9, 3, 0.0, 9.0, 13.0, 0, 2, 8, 3, 1, 4, 5, 0, 5, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 8, 8, 0.0, 69.23, 100.0, 0.0, 100.0, 100.0, 0, 25.0, 61.5, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 37.5, 0.0, 12.5, 0.0, 50.0, 37.5, 11.0, 1.0, 19.0, 10.0, 12.0, "Tous les candidats sauf les Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 47.0, "10548", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10548&g_ta_cod=10548", 38.0, 31.0, 31.0),
(5620, "Privé sous contrat d'association", "0511146U", "Lycée St J-B De La Salle", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Ecole d'Ingénieur", "PUISSANCE ALPHA BACHELOR - Formation Bac + 3", "Formations  des écoles d'ingénieurs", "Bachelor numérique Reims (lycée Jean-Baptiste LaSalle)", 25, 136, 17, 127, 0, 82, 9, 20, 6, 5, 2, 20, 9, 1, 2, 0, 6, 106, 7, 0, 0, 71, 7, 16, 6, 3, 1, 16, 99, 6, 1, 6, 0, 4.0, 6.0, 6.0, 0, 2, 6, 5, 1, 0, 0, 0, 1, 3, 2, 0, 0.0, 4, 1, 0, 0, 0, 4, 4, 66.67, 100.0, 100.0, 16.69921875, 66.6875, 66.6875, 0, 33.296875, 100.0, 0.0, 16.69921875, 50.0, 33.296875, 0.0, 0.0, 83.296875, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 63.0, 5.0, 3.0, 1.0, 18.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "30826", "Formation Bac + 3", "PUISSANCE ALPHA BACHELOR", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30813&g_ta_cod=30826", 83.0, 17.0, 0.0),
(5621, "Public", "0692589P", "IFSI de l'Hôpital Nord Ouest", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villefranche-sur-Saône", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lyon - D.E Infirmier", "D.E secteur sanitaire", "", 48, 7856, 6691, 7856, 0, 1222, 281, 1424, 412, 906, 375, 4304, 0, 0, 0, 0, 0, 5782, 0, 0, 0, 1086, 225, 1126, 292, 563, 220, 3007, 865, 48, 42, 48, 0, 1.0, 19.0, 34.0, 0, 3, 37, 8, 21, 8, 11, 0, 4, 17, 14, 2, 0.0, 5, 20, 8, 0, 0, 33, 33, 2.08, 39.58, 70.83, 87.5, 89.1875, 89.1875, 0, 8.099609375, 77.09375, 0.0, 10.798828125, 45.8984375, 37.796875, 5.4, 0.0, 21.59765625, 13.5, 56.796875, 54.09375, 21.59765625, 21.59765625, 217.0, 36.0, 97.0, 39.0, 361.0, "Tous les candidats", 3254.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "23168", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23001&g_ta_cod=23168", 31.0, 50.0, 17.0),
(5622, "Privé sous contrat d'association", "0631074A", "Lycée Fenelon", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "CPGE", "Lycée Fenelon - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 230, 144, 217, 0, 176, 19, 1, 1, 0, 0, 40, 13, 6, 1, 0, 6, 190, 7, 0, 190, 176, 19, 1, 1, 0, 0, 13, 163, 36, 17, 34, 1, 12.0, 34.0, 35.0, 0, 5, 34, 34, 0, 0, 2, 0, 1, 9, 17, 6, 1.0, 33, 0, 0, 4, 0, 31, 31, 33.33, 94.44, 97.22, 47.1953125, 91.1875, 91.1875, 11.798828125, 14.69921875, 94.390625, 0.0, 2.89990234375, 26.5, 50.0, 17.6, 2.9, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 150.0, 13.0, 0.0, 0.0, 12.0, "Tous les candidats", 190.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "7610", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7610&g_ta_cod=7610", 100.0, 0.0, 0.0),
(5623, "Privé sous contrat d'association", "0850133H", "Lycée Ste Marie Du Port", "85", "Vendée", "Pays de la Loire", "Nantes", "Les Sables-d'Olonne", "formation sélective", "BTS", "Lycée Ste Marie Du Port - BTS - Services - Professions immobilières (Seconde année possible en apprentissage)", "BTS - Services", "", 35, 700, 408, 671, 0, 225, 35, 198, 31, 104, 24, 144, 29, 0, 0, 16, 13, 420, 1, 0, 0, 214, 35, 165, 28, 29, 9, 12, 91, 33, 21, 33, 0, 16.0, 29.0, 33.0, 0, 4, 31, 13, 13, 5, 2, 0, 4, 19, 8, 0, 0.0, 12, 10, 5, 2, 1, 27, 27, 48.48, 87.88, 100.0, 63.59375, 87.09375, 87.09375, 6.5, 12.8984375, 93.890625, 0.0, 12.8984375, 61.296875, 25.796875, 0.0, 0.0, 41.8984375, 38.6953125, 41.8984375, 32.296875, 16.09765625, 16.09765625, 38.0, 6.0, 22.0, 5.0, 8.0, "Tous les candidats sauf les Bac professionnels", 105.0, "Bacheliers professionnels toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 20.0, "10502", "BTS - Services - Professions immobilières (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10502&g_ta_cod=10502", 42.0, 42.0, 15.0),
(5624, "Privé sous contrat d'association", "0120936C", "Site Villefr. de Rouergue du lycée François Marty", "12", "Aveyron", "Occitanie", "Toulouse", "Villefranche-de-Rouergue", "formation sélective", "BTS", "Site Villefr. de Rouergue du lycée François Marty - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 33, 51, 18, 48, 0, 1, 0, 16, 3, 17, 3, 14, 3, 0, 1, 1, 1, 33, 1, 0, 0, 1, 0, 16, 3, 16, 3, 0, 32, 6, 4, 5, 1, 4.0, 5.0, 6.0, 0, 0, 6, 0, 2, 4, 0, 0, 3, 1, 2, 0, 0.0, 0, 1, 2, 0, 0, 5, 5, 66.67, 83.33, 100.0, 66.6875, 83.296875, 83.296875, 0, 0.0, 100.0, 0.0, 50.0, 16.69921875, 33.296875, 0.0, 0.0, 0.0, 0.0, 33.296875, 16.69921875, 66.6875, 33.296875, 1.0, 0.0, 17.0, 3.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 69.0, "2499", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2499&g_ta_cod=2499", 0.0, 33.0, 67.0),
(5625, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Psychologie", "Licence - Sciences humaines et sociales", "", 555, 5058, 4140, 5058, 0, 2556, 639, 541, 198, 155, 68, 1806, 0, 0, 0, 0, 0, 4999, 0, 0, 0, 2556, 639, 541, 198, 155, 68, 1747, 2082, 542, 460, 542, 0, 85.0, 381.0, 464.0, 0, 92, 325, 283, 29, 13, 217, 0, 87, 133, 83, 19, 3.0, 209, 20, 9, 0, 0, 295, 295, 15.68, 70.3, 85.61, 84.890625, 90.796875, 90.796875, 0, 28.296875, 60.0, 0.0, 26.796875, 40.8984375, 25.5, 5.8, 0.9, 87.09375, 64.296875, 8.8984375, 6.19921875, 4.0, 2.7998046875, 1086.0, 287.0, 29.0, 17.0, 858.0, "Tous les candidats", 2529.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "8071", "Licence - Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8071&g_ta_cod=8071", 88.0, 8.0, 4.0),
(5626, "Public", "0620052V", "Lycée Edouard Branly", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 112, 8, 111, 0, 9, 0, 34, 12, 17, 11, 51, 1, 0, 0, 0, 1, 70, 0, 0, 0, 9, 0, 32, 12, 14, 8, 15, 39, 11, 0, 11, 0, 5.0, 11.0, 11.0, 0, 1, 9, 1, 5, 3, 2, 0, 2, 5, 1, 1, 0.0, 0, 5, 2, 4, 0, 8, 8, 45.45, 100.0, 100.0, 0.0, 88.890625, 88.890625, 44.3984375, 11.099609375, 81.796875, 0.0, 22.19921875, 55.59375, 11.099609375, 11.1, 0.0, 11.099609375, 0.0, 55.59375, 55.59375, 33.296875, 22.19921875, 5.0, 0.0, 14.0, 8.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 42.0, "7349", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7349&g_ta_cod=7349", 18.0, 45.0, 36.0),
(5627, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 240, 1343, 1051, 1192, 0, 819, 183, 131, 41, 17, 7, 225, 151, 33, 21, 5, 92, 1192, 147, 0, 0, 819, 183, 131, 41, 17, 7, 225, 1339, 220, 164, 161, 59, 158.0, 160.0, 194.0, 0, 43, 144, 96, 41, 7, 76, 0, 76, 45, 21, 2, 0.0, 50, 15, 3, 0, 0, 112, 112, 71.82, 72.73, 88.18, 74.5, 77.796875, 77.796875, 0, 29.8984375, 65.5, 0.0, 52.796875, 31.296875, 14.599609375, 1.4, 0.0, 66.6875, 34.6953125, 28.5, 10.3984375, 4.8994140625, 2.099609375, 851.0, 188.0, 22.0, 11.0, 314.0, "Tous les candidats", 1192.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20663", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20663&g_ta_cod=20663", 65.0, 28.0, 6.0),
(5628, "Public", "0420041S", "Lycée Claude Fauriel", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "CPGE", "Lycée Claude Fauriel - CPGE - MP2I", "Classe préparatoire scientifique", "", 48, 881, 159, 881, 670, 729, 100, 2, 0, 1, 1, 149, 0, 0, 0, 0, 0, 643, 0, 505, 613, 633, 81, 0, 0, 0, 0, 10, 286, 47, 5, 47, 0, 4.0, 29.0, 42.0, 7, 5, 47, 47, 0, 0, 0, 0, 0, 9, 23, 15, 0.0, 47, 0, 0, 2, 0, 28, 28, 8.51, 61.7, 89.36, 10.599609375, 59.59375, 59.59375, 4.2998046875, 10.599609375, 100.0, 0.0, 0.0, 19.09765625, 48.8984375, 31.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 282.0, 33.0, 0.0, 0.0, 4.0, "Tous les candidats", 456.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "32113", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32113&g_ta_cod=32113", 100.0, 0.0, 0.0),
(5629, "Public", "0350710G", "Lycée Francois René De Chateaubriand", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "CPGE", "Lycée Francois René De Chateaubriand - CPGE - MPSI", "Classe préparatoire scientifique", "", 144, 3738, 1059, 3738, 2934, 3396, 269, 5, 2, 0, 0, 337, 0, 0, 0, 0, 0, 1300, 0, 1111, 1271, 1291, 130, 0, 0, 0, 0, 9, 602, 145, 44, 145, 0, 45.0, 110.0, 140.0, 52, 25, 144, 144, 0, 0, 1, 0, 0, 0, 8, 95, 41.0, 144, 0, 0, 3, 2, 95, 95, 31.03, 75.86, 96.55, 30.296875, 66.0, 66.0, 2.099609375, 17.3984375, 99.296875, 0.0, 0.0, 0.0, 5.599609375, 66.0, 28.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 596.0, 82.0, 0.0, 0.0, 6.0, "Tous les candidats", 788.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "4671", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4671&g_ta_cod=4671", 100.0, 0.0, 0.0),
(5630, "Public", "0595788W", "IFSI Valentine Labbé", "59", "Nord", "Hauts-de-France", "Lille", "La Madeleine", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 78, 6420, 5154, 6420, 0, 1273, 352, 1313, 486, 648, 295, 3186, 0, 0, 0, 0, 0, 5330, 0, 0, 0, 1143, 296, 1093, 378, 521, 226, 2573, 728, 77, 64, 77, 0, 1.0, 48.0, 69.0, 0, 17, 45, 14, 17, 14, 32, 0, 6, 17, 21, 1, 0.0, 10, 16, 13, 0, 0, 38, 38, 1.3, 62.34, 89.61, 83.09375, 84.390625, 84.390625, 0, 37.796875, 58.3984375, 0.0, 13.298828125, 37.796875, 46.6953125, 2.2, 0.0, 31.09765625, 22.19921875, 37.796875, 35.59375, 31.09765625, 28.8984375, 169.0, 31.0, 89.0, 37.0, 307.0, "Tous les candidats", 2947.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "23130", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23130", 53.0, 23.0, 23.0),
(5631, "Public", "0161125L", "I.U.T. Angoulême", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BUT", "I.U.T. Angoulême - BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services", "BUT - Production", "Management de la production de biens et de services", 28, 273, 89, 254, 0, 131, 13, 62, 13, 8, 3, 53, 19, 3, 5, 0, 11, 254, 6, 0, 0, 131, 13, 62, 13, 8, 3, 53, 144, 29, 11, 26, 3, 4.0, 22.0, 27.0, 0, 3, 24, 13, 11, 0, 5, 0, 14, 7, 2, 1, 0.0, 6, 4, 0, 0, 0, 19, 19, 13.79, 75.86, 93.1, 37.8984375, 79.1875, 79.1875, 0, 12.5, 82.796875, 0.0, 58.296875, 29.19921875, 8.298828125, 4.2, 0.0, 54.1953125, 25.0, 45.796875, 16.69921875, 0.0, 0.0, 59.0, 6.0, 5.0, 2.0, 33.0, "Tous les candidats sauf les Bac technologiques", 175.0, "Bacheliers technologiques toutes séries", 75, "", 0, "Liste d'appel propre à cette formation", 98.0, "3014", "BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3014&g_ta_cod=3014", 59.0, 41.0, 0.0),
(5632, "Public", "0261505V", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 386, 278, 351, 0, 10, 4, 131, 56, 79, 46, 131, 35, 0, 0, 23, 12, 177, 4, 0, 0, 10, 4, 80, 29, 46, 23, 41, 123, 20, 17, 17, 3, 3.0, 12.0, 18.0, 0, 9, 15, 0, 8, 7, 5, 0, 6, 8, 1, 0, 0.0, 0, 3, 6, 2, 1, 13, 13, 15.0, 60.0, 90.0, 85.0, 86.6875, 86.6875, 13.298828125, 60.0, 75.0, 0.0, 40.0, 53.296875, 6.69921875, 0.0, 0.0, 0.0, 0.0, 53.296875, 20.0, 46.6953125, 40.0, 6.0, 3.0, 42.0, 24.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 40.0, "16817", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16817&g_ta_cod=16817", 10.0, 50.0, 40.0),
(5633, "Privé sous contrat d'association", "0690564N", "Institution des Chartreux", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "CPGE", "Institution des Chartreux - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 18, 1736, 831, 1736, 1267, 1600, 77, 1, 1, 1, 0, 134, 0, 0, 0, 0, 0, 550, 0, 470, 411, 546, 16, 0, 0, 0, 0, 4, 149, 18, 6, 18, 0, 0.0, 11.0, 16.0, 13, 1, 18, 18, 0, 0, 0, 0, 0, 0, 4, 11, 3.0, 18, 0, 0, 4, 1, 7, 7, 0.0, 61.11, 88.89, 33.296875, 38.8984375, 38.8984375, 22.19921875, 5.599609375, 100.0, 0.0, 0.0, 0.0, 22.19921875, 61.1, 16.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 149.0, 5.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "31631", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31320&g_ta_cod=31631", 100.0, 0.0, 0.0),
(5634, "Privé enseignement supérieur", "0312020C", "CESI Campus de Toulouse (Labège)", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Labège", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 60, 1270, 203, 1242, 0, 951, 126, 94, 25, 0, 0, 197, 28, 7, 0, 0, 21, 928, 2, 0, 0, 753, 77, 75, 16, 0, 0, 100, 309, 45, 3, 43, 2, 14.0, 40.0, 45.0, 0, 5, 37, 32, 5, 0, 8, 0, 7, 18, 10, 2, 0.0, 25, 5, 0, 0, 0, 22, 22, 31.11, 88.89, 100.0, 6.69921875, 59.5, 59.5, 0, 13.5, 82.1875, 0.0, 18.8984375, 48.59375, 27.0, 5.4, 0.0, 86.5, 67.59375, 13.5, 13.5, 0.0, 0.0, 238.0, 21.0, 0.0, 0.0, 53.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "25176", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25176", 87.0, 13.0, 0.0),
(5635, "Public", "0142218K", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site d'Ifs", "14", "Calvados", "Normandie", "Normandie", "Ifs", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site d'Ifs - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données", 78, 1187, 97, 1160, 0, 734, 105, 245, 44, 6, 2, 175, 27, 0, 15, 0, 12, 518, 0, 0, 0, 295, 38, 157, 22, 0, 0, 66, 265, 81, 13, 81, 0, 29.0, 74.0, 79.0, 0, 15, 67, 39, 28, 0, 14, 0, 6, 25, 28, 7, 1.0, 38, 23, 0, 0, 0, 63, 63, 35.8, 91.36, 97.53, 16.0, 94.0, 94.0, 0, 22.3984375, 82.6875, 0.0, 9.0, 37.296875, 41.796875, 10.4, 1.5, 58.1953125, 56.6953125, 41.796875, 34.296875, 0.0, 0.0, 115.0, 20.0, 0.0, 0.0, 40.0, "Tous les candidats sauf les Bac technologiques", 216.0, "Bacheliers technologiques toutes séries", 168, "", 0, "Liste d'appel propre à cette formation", 33.0, "2941", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2941&g_ta_cod=2941", 63.0, 37.0, 0.0),
(5636, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : LANGUE LITTERATURE ET CIVILISATION D'EUROPE CENTRALE", "Licence - Arts-lettres-langues", "LLCER : LANGUE LITTERATURE ET CIVILISATION D'EUROPE CENTRALE", 40, 140, 91, 35, 0, 20, 6, 3, 2, 0, 0, 12, 105, 18, 8, 11, 68, 35, 100, 0, 0, 20, 6, 3, 2, 0, 0, 12, 135, 38, 18, 8, 30, 8.0, 8.0, 28.0, 0, 2, 15, 8, 1, 6, 23, 0, 8, 4, 2, 1, 0.0, 4, 0, 3, 0, 0, 3, 12, 21.05, 21.05, 73.68, 47.3984375, 20.0, 80.0, 0, 13.298828125, 39.5, 0.0, 53.296875, 26.69921875, 13.298828125, 6.7, 0.0, 53.296875, 26.69921875, 6.69921875, 0.0, 40.0, 20.0, 37.0, 8.0, 11.0, 5.0, 76.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9268", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : LANGUE LITTERATURE ET CIVILISATION D'EUROPE CENTRALE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9268&g_ta_cod=9268", 68.0, 11.0, 18.0),
(5637, "Public", "0381775Y", "I.U.T. 2 de Grenoble", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BUT", "I.U.T. 2 de Grenoble - BUT - Carrières sociales Parcours assistance sociale", "BUT - Service", "", 27, 664, 610, 664, 0, 213, 40, 204, 66, 60, 17, 187, 0, 0, 0, 0, 0, 199, 0, 0, 0, 34, 5, 98, 29, 14, 4, 53, 99, 25, 21, 25, 0, 4.0, 23.0, 24.0, 0, 8, 15, 3, 10, 2, 10, 0, 7, 5, 2, 1, 0.0, 3, 3, 2, 0, 0, 8, 8, 16.0, 92.0, 96.0, 84.0, 53.296875, 53.296875, 0, 53.296875, 60.0, 0.0, 46.6953125, 33.296875, 13.298828125, 6.7, 0.0, 20.0, 20.0, 66.6875, 20.0, 13.298828125, 13.298828125, 21.0, 3.0, 6.0, 3.0, 29.0, "Tous les candidats sauf les Bac technologiques", 54.0, "Bacheliers technologiques toutes séries", 92, "", 0, "Liste d'appel propre à cette formation", 22.0, "5001", "BUT - Carrières sociales Parcours assistance sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5001&g_ta_cod=5001", 32.0, 56.0, 12.0),
(5638, "Public", "0450050K", "Lycée Jean ZAY", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "Autre formation", "Lycée Jean ZAY - Mention complémentaire - Services numériques aux organisations", "Mention complémentaire", "", 15, 76, 14, 50, 0, 5, 0, 8, 3, 19, 6, 18, 26, 1, 5, 9, 11, 34, 6, 0, 0, 5, 0, 7, 3, 17, 5, 5, 49, 14, 1, 6, 4, 2.0, 5.0, 9.0, 0, 3, 12, 2, 1, 9, 2, 0, 6, 5, 0, 1, 0.0, 0, 0, 6, 0, 0, 10, 10, 14.29, 35.71, 64.29, 7.099609375, 83.296875, 83.296875, 0, 25.0, 85.6875, 0.0, 50.0, 41.6953125, 0.0, 8.3, 0.0, 16.69921875, 0.0, 8.298828125, 0.0, 75.0, 50.0, 5.0, 0.0, 25.0, 8.0, 7.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "33910", "Mention complémentaire - Services numériques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33910&g_ta_cod=33910", 21.0, 14.0, 64.0),
(5639, "Public", "0750681H", "ESAA Boulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "ESAA Boulle - DN MADE - Objet - Spécialité : Métiers d?art Sculpture : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "DN MADE", "Spécialité : Métiers d?art Sculpture : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", 8, 180, 113, 180, 0, 60, 11, 30, 4, 10, 2, 80, 0, 0, 0, 0, 0, 26, 0, 0, 0, 13, 1, 7, 1, 0, 0, 6, 12, 8, 5, 8, 0, 5.0, 8.0, 8.0, 0, 1, 5, 3, 2, 0, 3, 0, 1, 1, 2, 1, 0.0, 2, 2, 0, 0, 0, 1, 3, 62.5, 100.0, 100.0, 62.5, 20.0, 60.0, 0, 20.0, 62.5, 0.0, 20.0, 20.0, 40.0, 20.0, 0.0, 60.0, 40.0, 40.0, 40.0, 0.0, 0.0, 4.0, 1.0, 0.0, 0.0, 5.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "26864", "DN MADE - Objet - Spécialité : Métiers d?art Sculpture : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26864&g_ta_cod=26864", 38.0, 25.0, 0.0),
(5640, "Privé sous contrat d'association", "0121423G", "Lycée Charles Carnus", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BTS", "Lycée Charles Carnus - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 12, 314, 174, 314, 0, 83, 11, 99, 23, 68, 12, 64, 0, 0, 0, 0, 0, 259, 0, 0, 0, 80, 11, 81, 15, 56, 10, 42, 36, 18, 10, 18, 0, 9.0, 18.0, 18.0, 0, 2, 16, 3, 6, 7, 2, 0, 1, 7, 7, 1, 0.0, 3, 5, 7, 0, 0, 12, 12, 50.0, 100.0, 100.0, 55.59375, 75.0, 75.0, 0, 12.5, 88.890625, 0.0, 6.2998046875, 43.796875, 43.796875, 6.3, 0.0, 18.796875, 18.796875, 37.5, 31.296875, 43.796875, 43.796875, 8.0, 1.0, 7.0, 1.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 14.0, "17595", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17595&g_ta_cod=17595", 22.0, 39.0, 39.0),
(5641, "Public", "0560027A", "Lycée professionnel des métiers Marie Le Franc", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BTS", "Lycée professionnel des métiers Marie Le Franc - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 16, 322, 315, 322, 0, 52, 8, 96, 19, 97, 38, 77, 0, 0, 0, 0, 0, 322, 0, 0, 0, 52, 8, 96, 19, 97, 38, 77, 56, 16, 16, 16, 0, 4.0, 10.0, 14.0, 0, 7, 11, 3, 1, 7, 5, 0, 1, 5, 4, 1, 0.0, 2, 1, 7, 5, 5, 10, 10, 25.0, 62.5, 87.5, 100.0, 90.890625, 90.890625, 45.5, 63.59375, 68.796875, 0.0, 9.099609375, 45.5, 36.3984375, 9.1, 0.0, 27.296875, 18.19921875, 9.099609375, 9.099609375, 63.59375, 63.59375, 10.0, 3.0, 18.0, 7.0, 16.0, "Tous les candidats sauf les Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 27.0, "17780", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17780&g_ta_cod=17780", 25.0, 25.0, 44.0),
(5642, "Public", "0880019T", "Lycée Louis Lapicque", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "BTS", "Lycée Louis Lapicque - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 284, 155, 247, 0, 5, 3, 59, 26, 41, 23, 142, 37, 0, 5, 9, 23, 93, 10, 0, 0, 3, 2, 38, 11, 30, 15, 22, 84, 27, 20, 23, 3, 9.0, 23.0, 24.0, 0, 10, 19, 0, 10, 9, 8, 0, 9, 7, 3, 0, 0.0, 0, 4, 6, 3, 2, 15, 15, 33.33, 85.19, 88.89, 74.09375, 78.890625, 78.890625, 15.798828125, 52.59375, 70.390625, 0.0, 47.3984375, 36.796875, 15.798828125, 0.0, 0.0, 0.0, 0.0, 52.59375, 21.09765625, 47.3984375, 31.59765625, 3.0, 2.0, 24.0, 12.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 36.0, "10727", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10727&g_ta_cod=10727", 4.0, 44.0, 52.0),
(5643, "Privé enseignement supérieur", "0221844K", "Facultés libres de l'ouest - UCO - Bretagne Nord", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Guingamp", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Bretagne Nord - Licence - Psychologie", "Licence - Sciences humaines et sociales", "", 115, 837, 682, 745, 0, 356, 51, 137, 27, 71, 25, 181, 92, 14, 7, 1, 70, 745, 86, 0, 0, 356, 51, 137, 27, 71, 25, 181, 641, 109, 90, 91, 18, 10.0, 83.0, 89.0, 0, 12, 73, 47, 18, 8, 36, 0, 37, 29, 7, 0, 0.0, 24, 6, 6, 0, 0, 59, 59, 9.17, 76.15, 81.65, 82.59375, 80.796875, 80.796875, 0, 16.3984375, 67.0, 0.0, 50.6953125, 39.6953125, 9.599609375, 0.0, 0.0, 64.390625, 32.8984375, 24.69921875, 8.19921875, 11.0, 8.19921875, 296.0, 43.0, 44.0, 16.0, 201.0, "Tous les candidats", 724.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "3380", "Licence - Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3380&g_ta_cod=3380", 63.0, 27.0, 10.0),
(5644, "Privé sous contrat d'association", "0592967E", "Lycée La Sagesse", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée La Sagesse - BTS - Services - Economie sociale familiale", "BTS - Services", "", 34, 493, 437, 449, 0, 57, 13, 147, 48, 132, 59, 113, 44, 3, 5, 12, 24, 153, 5, 0, 0, 9, 1, 78, 20, 57, 22, 9, 110, 24, 22, 21, 3, 7.0, 18.0, 21.0, 0, 6, 23, 1, 12, 10, 1, 0, 11, 8, 4, 0, 0.0, 0, 3, 9, 10, 8, 22, 22, 29.17, 75.0, 87.5, 91.6875, 95.6875, 95.6875, 43.5, 26.09765625, 95.796875, 0.0, 47.796875, 34.796875, 17.3984375, 0.0, 0.0, 4.2998046875, 0.0, 52.1953125, 13.0, 43.5, 39.09375, 4.0, 1.0, 44.0, 16.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 28.0, "6929", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6929&g_ta_cod=6929", 4.0, 54.0, 42.0),
(5645, "Public", "0931613Y", "Lycée Louise Michel", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation sélective", "BTS", "Lycée Louise Michel - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 23, 1682, 171, 1682, 0, 163, 71, 461, 209, 451, 228, 607, 0, 0, 0, 0, 0, 497, 0, 0, 0, 64, 24, 190, 82, 206, 107, 37, 125, 24, 3, 24, 0, 2.0, 17.0, 22.0, 0, 7, 19, 4, 7, 8, 5, 0, 9, 5, 5, 0, 0.0, 0, 5, 5, 4, 0, 15, 19, 8.33, 70.83, 91.67, 12.5, 78.890625, 100.0, 21.09765625, 36.796875, 79.1875, 0.0, 47.3984375, 26.296875, 26.296875, 0.0, 0.0, 21.09765625, 0.0, 36.796875, 26.296875, 42.09375, 26.296875, 29.0, 13.0, 58.0, 26.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 121, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 12.0, "11281", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11281&g_ta_cod=11281", 25.0, 33.0, 42.0),
(5646, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation non sélective", "Licence", "Université Grenoble Alpes - Antenne de Valence - Licence - Langues étrangères appliquées - Parcours Anglais-Espagnol", "Licence - Arts-lettres-langues", "Anglais-Espagnol", 70, 477, 371, 439, 0, 288, 70, 39, 11, 20, 8, 92, 38, 6, 3, 3, 26, 434, 29, 0, 0, 288, 70, 39, 11, 20, 8, 87, 392, 69, 54, 54, 14, 25.0, 49.0, 57.0, 0, 17, 48, 32, 7, 9, 21, 0, 23, 18, 6, 1, 0.0, 20, 2, 3, 0, 0, 42, 42, 36.23, 71.01, 82.61, 78.296875, 87.5, 87.5, 0, 35.3984375, 69.59375, 0.0, 47.8984375, 37.5, 12.5, 2.1, 0.0, 66.6875, 41.6953125, 14.599609375, 4.19921875, 18.796875, 6.2998046875, 256.0, 63.0, 20.0, 8.0, 86.0, "Tous les candidats", 430.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "3667", "Licence - Langues étrangères appliquées - Parcours Anglais-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3667&g_ta_cod=3667", 71.0, 12.0, 14.0),
(5647, "Public", "0133479L", "IUT Aix-Marseille - Site de Marseille Luminy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 6, 203, 9, 203, 0, 0, 0, 191, 61, 0, 0, 12, 0, 0, 0, 0, 0, 86, 0, 0, 0, 0, 0, 82, 20, 0, 0, 4, 29, 6, 0, 6, 0, 0.0, 6.0, 6.0, 0, 1, 6, 0, 6, 0, 0, 0, 0, 0, 5, 1, 0.0, 0, 6, 0, 0, 0, 3, 3, 0.0, 100.0, 100.0, 0.0, 50.0, 50.0, 0, 16.69921875, 100.0, 0.0, 0.0, 0.0, 83.296875, 16.7, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 267.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "212", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=212", 0.0, 100.0, 0.0),
(5648, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Gaston Berger - BTS - Services - Communication", "BTS - Services", "", 35, 1951, 1281, 1951, 0, 473, 104, 456, 181, 173, 79, 849, 0, 0, 0, 0, 0, 446, 0, 0, 0, 196, 27, 92, 36, 86, 42, 72, 109, 38, 24, 38, 0, 17.0, 29.0, 37.0, 0, 7, 32, 25, 5, 2, 6, 0, 3, 17, 10, 2, 0.0, 23, 5, 1, 1, 1, 27, 27, 44.74, 76.32, 97.37, 63.1953125, 84.390625, 84.390625, 3.099609375, 21.8984375, 84.1875, 0.0, 9.3984375, 53.09375, 31.296875, 6.3, 0.0, 78.09375, 71.890625, 15.599609375, 15.599609375, 6.2998046875, 3.099609375, 60.0, 11.0, 4.0, 1.0, 17.0, "Tous les candidats sauf les Bac professionnels", 144.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 8.0, "6873", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6873&g_ta_cod=6873", 74.0, 16.0, 11.0),
(5649, "Privé sous contrat d'association", "0593257V", "Institut agricole de Genech", "59", "Nord", "Hauts-de-France", "Lille", "Genech", "formation sélective", "BTS", "Institut agricole de Genech - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 36, 199, 62, 197, 0, 46, 4, 53, 4, 43, 8, 55, 2, 0, 0, 1, 1, 161, 0, 0, 0, 46, 4, 47, 4, 37, 5, 31, 108, 29, 8, 29, 0, 11.0, 25.0, 29.0, 0, 1, 24, 7, 11, 6, 5, 1, 2, 11, 10, 0, 0.0, 5, 10, 6, 10, 1, 18, 18, 37.93, 86.21, 100.0, 27.59765625, 75.0, 75.0, 41.6953125, 4.19921875, 82.796875, 4.19921875, 8.298828125, 45.796875, 41.6953125, 0.0, 0.0, 29.19921875, 20.796875, 45.796875, 41.6953125, 25.0, 25.0, 33.0, 4.0, 29.0, 5.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 69.0, "6998", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6998&g_ta_cod=6998", 41.0, 38.0, 21.0),
(5650, "Public", "0941773S", "IFSI Emile Roux (AP-HP)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Limeil-Brévannes", "formation sélective", "IFSI", "Regroupement d'IFSI UPEC (P12)  - D.E Infirmier", "D.E secteur sanitaire", "", 101, 3698, 3274, 3698, 0, 328, 88, 583, 233, 547, 262, 2240, 0, 0, 0, 0, 0, 2459, 0, 0, 0, 303, 78, 416, 154, 346, 158, 1394, 805, 102, 93, 102, 0, 4.0, 54.0, 102.0, 0, 20, 45, 13, 16, 16, 57, 1, 8, 23, 12, 1, 0.0, 5, 15, 16, 0, 0, 31, 37, 3.92, 52.94, 100.0, 91.1875, 68.890625, 82.1875, 0, 44.3984375, 44.09375, 2.19970703125, 17.796875, 51.09375, 26.69921875, 2.2, 0.0, 28.8984375, 11.099609375, 35.59375, 33.296875, 35.59375, 35.59375, 174.0, 52.0, 92.0, 40.0, 399.0, "Tous les candidats", 2262.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "25255", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23006&g_ta_cod=25255", 40.0, 27.0, 31.0),
(5651, "Public", "0750650Z", "Lycée D'Alembert-Cuir", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée D'Alembert-Cuir - BTS - Services - Podo-orthésiste", "BTS - Services", "", 24, 223, 157, 223, 0, 26, 4, 62, 16, 26, 15, 109, 0, 0, 0, 0, 0, 223, 0, 0, 0, 26, 4, 62, 16, 26, 15, 109, 100, 22, 16, 22, 0, 3.0, 16.0, 19.0, 0, 2, 6, 1, 3, 2, 16, 0, 4, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 1, 3, 13.64, 72.73, 86.36, 72.6875, 16.69921875, 50.0, 0, 33.296875, 27.296875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 16.69921875, 0.0, 50.0, 16.69921875, 33.296875, 16.69921875, 15.0, 4.0, 5.0, 1.0, 47.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 47.0, "8955", "BTS - Services - Podo-orthésiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8955&g_ta_cod=8955", 41.0, 45.0, 14.0),
(5652, "Public", "0371082A", "UFR de Médecine", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "Autre formation", "Regroupement Bretagne, Pays de la Loire et Centre-Val de Loire - Certificat de capacité d'Orthoptiste", "D.E secteur sanitaire", "", 15, 586, 503, 586, 0, 146, 32, 25, 9, 1, 0, 414, 0, 0, 0, 0, 0, 415, 0, 0, 0, 87, 15, 10, 3, 1, 0, 317, 102, 17, 14, 17, 0, 1.0, 7.0, 11.0, 0, 2, 6, 6, 0, 0, 11, 0, 1, 2, 3, 0, 0.0, 5, 0, 0, 0, 0, 2, 2, 5.88, 41.18, 64.71, 82.390625, 33.296875, 33.296875, 0, 33.296875, 35.296875, 0.0, 16.69921875, 33.296875, 50.0, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 33.0, 8.0, 0.0, 0.0, 67.0, "Tous les candidats", 170.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "28085", "Certificat de capacité d'Orthoptiste", "Regroupement Bretagne, Pays de la Loire et Centre-Val de Loire", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28083&g_ta_cod=28085", 100.0, 0.0, 0.0),
(5653, "Public", "0592602H", "I.U.T. de Lille A", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "BUT", "I.U.T. de Lille A - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "BUT - Production", "Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", 80, 1065, 70, 940, 0, 501, 79, 208, 57, 13, 6, 218, 125, 37, 10, 2, 76, 660, 42, 0, 0, 417, 58, 146, 33, 0, 0, 97, 479, 68, 1, 53, 15, 2.0, 52.0, 60.0, 0, 12, 53, 34, 19, 0, 15, 0, 15, 25, 13, 0, 0.0, 20, 18, 0, 0, 0, 45, 45, 2.94, 76.47, 88.24, 1.5, 84.890625, 84.890625, 0, 22.59765625, 77.890625, 0.0, 28.296875, 47.1953125, 24.5, 0.0, 0.0, 64.1875, 37.6953125, 35.796875, 34.0, 0.0, 0.0, 258.0, 40.0, 0.0, 0.0, 99.0, "Tous les candidats sauf les Bac technologiques", 508.0, "Bacheliers technologiques toutes séries", 151, "", 0, "Liste d'appel propre à cette formation", 70.0, "6886", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6886&g_ta_cod=6886", 69.0, 31.0, 0.0),
(5654, "Public", "9760358K", "CUFR Centre Universitaire de Mayotte", "976", "Mayotte", "Mayotte", "Mayotte", "Dembeni", "formation non sélective", "Licence", "CUFR Centre Universitaire de Mayotte - Licence - Géographie et aménagement - Parcours Géographie", "Licence - Sciences humaines et sociales", "Géographie", 80, 468, 278, 468, 0, 216, 132, 66, 37, 23, 16, 163, 0, 0, 0, 0, 0, 468, 0, 0, 0, 216, 132, 66, 37, 23, 16, 163, 250, 70, 37, 70, 0, 20.0, 58.0, 60.0, 0, 30, 49, 48, 1, 0, 21, 0, 33, 13, 3, 0, 0.0, 15, 1, 0, 0, 0, 49, 49, 28.57, 82.86, 85.71, 52.8984375, 100.0, 100.0, 0, 61.1953125, 70.0, 0.0, 67.296875, 26.5, 6.099609375, 0.0, 0.0, 98.0, 30.59765625, 2.0, 2.0, 0.0, 0.0, 173.0, 101.0, 2.0, 1.0, 68.0, "Tous les candidats", 263.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "13885", "Licence - Géographie et aménagement - Parcours Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13885&g_ta_cod=13885", 87.0, 10.0, 3.0),
(5655, "Privé enseignement supérieur", "0753636V", "European Business School Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 40, 1329, 643, 1318, 0, 1136, 61, 63, 4, 7, 2, 112, 11, 2, 0, 0, 9, 1253, 9, 0, 0, 1105, 57, 56, 2, 2, 1, 90, 1262, 16, 8, 13, 3, 13.0, 13.0, 15.0, 0, 2, 11, 11, 0, 0, 5, 0, 3, 5, 3, 0, 0.0, 8, 0, 0, 0, 0, 3, 6, 81.25, 81.25, 93.75, 50.0, 27.296875, 54.5, 0, 18.19921875, 68.796875, 0.0, 27.296875, 45.5, 27.296875, 0.0, 0.0, 100.0, 72.6875, 0.0, 0.0, 0.0, 0.0, 1107.0, 57.0, 2.0, 1.0, 97.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "31989", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=31989", 100.0, 0.0, 0.0),
(5656, "Public", "0510038P", "Lycée professionnel Europe", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée professionnel Europe - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 36, 539, 528, 539, 0, 80, 16, 131, 52, 180, 59, 148, 0, 0, 0, 0, 0, 264, 0, 0, 0, 65, 12, 66, 26, 111, 31, 22, 138, 28, 28, 28, 0, 6.0, 24.0, 27.0, 0, 10, 28, 3, 6, 19, 0, 0, 7, 13, 6, 2, 0.0, 2, 5, 14, 0, 0, 9, 9, 21.43, 85.71, 96.43, 100.0, 32.09375, 32.09375, 0, 35.6953125, 100.0, 0.0, 25.0, 46.3984375, 21.3984375, 7.1, 0.0, 10.69921875, 7.099609375, 21.3984375, 17.8984375, 67.890625, 50.0, 16.0, 1.0, 84.0, 21.0, 7.0, "Tous les candidats sauf les Bac professionnels", 79.0, "Bacheliers professionnels toutes séries", 113, "", 0, "Liste d'appel propre à cette formation", 36.0, "6081", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6081&g_ta_cod=6081", 11.0, 21.0, 68.0),
(5657, "Public", "0760054W", "Lycée Porte-Océane", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BTS", "Lycée Porte-Océane - BTS - Services - Gestion de la PME", "BTS - Services", "", 53, 665, 425, 658, 0, 48, 15, 196, 78, 202, 104, 212, 7, 0, 3, 0, 4, 498, 3, 0, 0, 47, 14, 178, 68, 189, 96, 84, 203, 47, 33, 45, 2, 5.0, 26.0, 37.0, 0, 23, 40, 4, 11, 25, 7, 3, 14, 13, 9, 1, 0.0, 2, 0, 21, 8, 4, 39, 39, 10.64, 55.32, 78.72, 70.1875, 97.5, 97.5, 20, 57.5, 85.09375, 7.5, 35.0, 32.5, 22.5, 2.5, 0.0, 10.0, 5.0, 27.5, 0.0, 62.5, 52.5, 18.0, 8.0, 69.0, 34.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 138, "Bacheliers technologiques toutes séries", 165, "Liste d'appel propre à cette formation", 52.0, "9574", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9574&g_ta_cod=9574", 11.0, 34.0, 55.0),
(5658, "Public", "0573227Y", "Lycée Louis De Cormontaigne", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "CPGE", "Lycée Louis De Cormontaigne - CPGE - PTSI", "Classe préparatoire scientifique", "", 36, 319, 64, 292, 172, 216, 26, 0, 0, 0, 0, 76, 27, 11, 2, 1, 13, 204, 7, 114, 196, 192, 23, 0, 0, 0, 0, 12, 170, 22, 0, 20, 2, 3.0, 20.0, 22.0, 3, 4, 20, 20, 0, 0, 2, 0, 1, 13, 5, 1, 0.0, 19, 0, 0, 8, 0, 20, 20, 13.64, 90.91, 100.0, 0.0, 100.0, 100.0, 40, 20.0, 90.890625, 0.0, 5.0, 65.0, 25.0, 5.0, 0.0, 100.0, 95.0, 0.0, 0.0, 0.0, 0.0, 156.0, 17.0, 0.0, 0.0, 14.0, "Tous les candidats", 203.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "6648", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6648&g_ta_cod=6648", 100.0, 0.0, 0.0),
(5659, "Public", "0940580V", "Lycée polyvalent de Cachan", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "BTS", "Lycée polyvalent de Cachan - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 414, 18, 414, 0, 25, 4, 166, 57, 124, 48, 99, 0, 0, 0, 0, 0, 317, 0, 0, 0, 22, 4, 161, 54, 101, 38, 33, 162, 26, 0, 26, 0, 2.0, 15.0, 24.0, 0, 7, 24, 2, 12, 10, 2, 0, 15, 8, 1, 0, 0.0, 0, 3, 6, 4, 0, 14, 23, 7.69, 57.69, 92.31, 0.0, 58.296875, 95.796875, 16.69921875, 29.19921875, 92.296875, 0.0, 62.5, 33.296875, 4.19921875, 0.0, 0.0, 8.298828125, 0.0, 50.0, 12.5, 41.6953125, 25.0, 8.0, 3.0, 48.0, 16.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 168, "Liste d'appel propre à cette formation", 64.0, "11365", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11365&g_ta_cod=11365", 8.0, 54.0, 38.0),
(5660, "Public", "0670084C", "Lycée Jean Rostand", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée Jean Rostand - CPGE - TB", "Classe préparatoire scientifique", "", 32, 270, 192, 270, 216, 0, 0, 244, 47, 0, 0, 26, 0, 0, 0, 0, 0, 221, 0, 182, 200, 0, 0, 213, 39, 0, 0, 8, 96, 31, 18, 31, 0, 15.0, 25.0, 30.0, 19, 4, 30, 0, 30, 0, 1, 0, 0, 5, 15, 9, 1.0, 0, 30, 0, 9, 5, 12, 12, 48.39, 80.65, 96.77, 58.09375, 40.0, 40.0, 30, 13.298828125, 96.796875, 0.0, 0.0, 16.69921875, 50.0, 30.0, 3.3, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 148.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "7921", "CPGE - TB", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7921&g_ta_cod=7921", 0.0, 100.0, 0.0),
(5661, "Privé enseignement supérieur", "0342380C", "TRAVELLING, École Supérieure du Cinéma et de la Télévision", "34", "Hérault", "Occitanie", "Montpellier", "Mauguio", "formation sélective", "BTS", "TRAVELLING, École Supérieure du Cinéma et de la Télévision - BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "BTS - Services", "", 7, 229, 54, 193, 0, 89, 15, 29, 4, 20, 5, 55, 36, 19, 0, 0, 17, 48, 5, 0, 0, 27, 3, 7, 1, 6, 1, 8, 37, 7, 1, 5, 2, 1.0, 3.0, 5.0, 0, 1, 5, 2, 2, 1, 2, 0, 2, 2, 1, 0, 0.0, 1, 1, 1, 0, 0, 1, 1, 14.29, 42.86, 71.43, 14.298828125, 20.0, 20.0, 0, 20.0, 71.390625, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 40.0, 20.0, 40.0, 20.0, 20.0, 20.0, 25.0, 4.0, 3.0, 1.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers technologiques toutes séries", 2, "Bacheliers professionnels toutes séries", 4, "Liste d'appel propre à cette formation", 20.0, "34061", "BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34061&g_ta_cod=34061", 57.0, 29.0, 14.0),
(5662, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Sciences sanitaires et sociales", "Licence - Sciences humaines et sociales", "", 90, 1068, 933, 1062, 0, 212, 84, 374, 137, 125, 71, 351, 6, 1, 1, 1, 3, 1052, 6, 0, 0, 212, 84, 374, 137, 125, 71, 341, 556, 87, 79, 82, 5, 7.0, 50.0, 65.0, 0, 26, 63, 13, 34, 16, 24, 1, 14, 32, 13, 3, 0.0, 12, 21, 15, 0, 0, 30, 30, 8.05, 57.47, 74.71, 90.796875, 47.59375, 47.59375, 0, 41.296875, 72.390625, 1.599853515625, 22.19921875, 50.796875, 20.59765625, 4.8, 0.0, 20.59765625, 19.0, 54.0, 33.296875, 25.3984375, 23.796875, 112.0, 36.0, 82.0, 41.0, 144.0, "Tous les candidats", 669.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "15198", "Licence - Sciences sanitaires et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15198&g_ta_cod=15198", 25.0, 49.0, 22.0),
(5663, "Public", "0171405K", "Lycée des Métiers - Hotelier", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BTS", "Lycée des Métiers - Hotelier - BTS - Services - Tourisme", "BTS - Services", "", 24, 924, 721, 924, 0, 292, 54, 200, 37, 134, 45, 298, 0, 0, 0, 0, 0, 679, 0, 0, 0, 276, 48, 168, 26, 91, 27, 144, 108, 24, 20, 24, 0, 6.0, 17.0, 21.0, 0, 1, 20, 6, 7, 7, 4, 0, 3, 11, 6, 0, 0.0, 6, 4, 7, 6, 5, 14, 14, 25.0, 70.83, 87.5, 83.296875, 70.0, 70.0, 30, 5.0, 83.296875, 0.0, 15.0, 55.0, 30.0, 0.0, 0.0, 30.0, 30.0, 35.0, 20.0, 35.0, 35.0, 34.0, 6.0, 31.0, 9.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 133.0, "Bacheliers technologiques toutes séries", 59, "Bacheliers professionnels toutes séries", 83, "Liste d'appel propre à cette formation", 30.0, "26976", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26976&g_ta_cod=26976", 29.0, 33.0, 38.0),
(5664, "Public", "0760052U", "Lycée François 1er", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "CPGE", "Lycée François 1er - CPGE - ENS Rennes D1", "Classe préparatoire économique et commerciale", "", 35, 769, 543, 769, 0, 655, 92, 8, 0, 0, 0, 106, 0, 0, 0, 0, 0, 443, 0, 0, 443, 441, 53, 0, 0, 0, 0, 2, 208, 35, 28, 35, 0, 6.0, 28.0, 35.0, 0, 4, 35, 35, 0, 0, 0, 0, 0, 2, 23, 9, 1.0, 35, 0, 0, 5, 4, 27, 27, 17.14, 80.0, 100.0, 80.0, 77.09375, 77.09375, 14.298828125, 11.3984375, 100.0, 0.0, 0.0, 5.69921875, 65.6875, 25.7, 2.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 206.0, 22.0, 0.0, 0.0, 2.0, "Tous les candidats", 366.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "23392", "CPGE - ENS Rennes D1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23392&g_ta_cod=23392", 100.0, 0.0, 0.0),
(5665, "Public", "0240026Y", "Lycée Albert Claveille", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BTS", "Lycée Albert Claveille - BTS - Production - Moteur à combustion interne", "BTS - Production", "", 24, 265, 5, 265, 0, 51, 8, 78, 16, 93, 21, 43, 0, 0, 0, 0, 0, 196, 0, 0, 0, 42, 8, 65, 12, 85, 21, 4, 93, 22, 0, 22, 0, 4.0, 19.0, 20.0, 0, 6, 22, 3, 7, 12, 0, 0, 2, 8, 9, 3, 0.0, 2, 7, 11, 3, 0, 11, 11, 18.18, 86.36, 90.91, 0.0, 50.0, 50.0, 13.599609375, 27.296875, 100.0, 0.0, 9.099609375, 36.3984375, 40.8984375, 13.6, 0.0, 13.599609375, 9.099609375, 31.796875, 31.796875, 54.5, 50.0, 12.0, 2.0, 50.0, 11.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 46.0, "3428", "BTS - Production - Moteur à combustion interne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3428&g_ta_cod=3428", 14.0, 32.0, 55.0),
(5666, "Public", "0760091L", "Lycée Jeanne D'Arc", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "Autre formation", "Lycée Jeanne D'Arc - DN MADE - Graphisme - - Spécialité : Identités visuelles : textes, images fixes, animées, interactives", "DN MADE", "- Spécialité : Identités visuelles : textes, images fixes, animées, interactives", 16, 869, 563, 869, 0, 336, 62, 219, 43, 70, 18, 244, 0, 0, 0, 0, 0, 201, 0, 0, 0, 95, 11, 82, 13, 3, 0, 21, 55, 16, 14, 16, 0, 5.0, 15.0, 16.0, 0, 3, 16, 8, 8, 0, 0, 0, 0, 4, 8, 4, 0.0, 8, 8, 0, 0, 0, 9, 9, 31.25, 93.75, 100.0, 87.5, 56.296875, 56.296875, 0, 18.796875, 100.0, 0.0, 0.0, 25.0, 50.0, 25.0, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 19.0, 3.0, 0.0, 0.0, 1.0, "Tous les candidats", 87.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "24300", "DN MADE - Graphisme - - Spécialité : Identités visuelles : textes, images fixes, animées, interactives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24300&g_ta_cod=24300", 50.0, 50.0, 0.0),
(5667, "Public", "0250008Y", "Lycée Louis Pasteur", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Autre formation", "Lycée Louis Pasteur - DN MADE - Spectacle - - Spécialité : Régie lumière du spectacle vivant", "DN MADE", "- Spécialité : Régie lumière du spectacle vivant", 8, 115, 41, 115, 0, 44, 8, 12, 1, 12, 2, 47, 0, 0, 0, 0, 0, 59, 0, 0, 0, 32, 5, 9, 0, 3, 0, 15, 14, 9, 2, 9, 0, 6.0, 9.0, 9.0, 0, 0, 5, 4, 1, 0, 4, 0, 0, 4, 0, 0, 1.0, 4, 1, 0, 0, 0, 1, 1, 66.67, 100.0, 100.0, 22.19921875, 20.0, 20.0, 0, 0.0, 55.59375, 0.0, 0.0, 80.0, 0.0, 0.0, 20.0, 80.0, 80.0, 20.0, 20.0, 0.0, 0.0, 9.0, 1.0, 0.0, 0.0, 4.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "21990", "DN MADE - Spectacle - - Spécialité : Régie lumière du spectacle vivant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21990&g_ta_cod=21990", 89.0, 11.0, 0.0),
(5668, "Public", "0831243A", "Lycée Bonaparte", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Bonaparte - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 537, 66, 537, 0, 117, 25, 123, 37, 125, 49, 172, 0, 0, 0, 0, 0, 283, 0, 0, 0, 96, 19, 84, 23, 72, 27, 31, 104, 31, 2, 31, 0, 10.0, 29.0, 31.0, 0, 9, 29, 11, 11, 7, 2, 0, 6, 15, 4, 4, 0.0, 6, 10, 7, 2, 0, 22, 22, 32.26, 93.55, 100.0, 6.5, 75.890625, 75.890625, 6.8994140625, 31.0, 93.5, 0.0, 20.69921875, 51.6953125, 13.798828125, 13.8, 0.0, 37.8984375, 20.69921875, 37.8984375, 34.5, 24.09765625, 24.09765625, 32.0, 8.0, 15.0, 6.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 31.0, "10388", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10388&g_ta_cod=10388", 39.0, 35.0, 26.0),
(5669, "Privé enseignement supérieur", "0592806E", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences - Licence - Portail Pluridisciplinaire - Technologies et Gestion du Développement Durable Convention avec l?UPHF", "Licence - Arts-lettres-langues", "Technologies et Gestion du Développement Durable Convention avec l?UPHF", 48, 54, 32, 51, 0, 39, 6, 1, 0, 0, 0, 11, 3, 1, 0, 0, 2, 42, 2, 0, 0, 33, 2, 0, 0, 0, 0, 9, 44, 9, 5, 7, 2, 7.0, 7.0, 8.0, 0, 0, 6, 6, 0, 0, 3, 1, 0, 3, 1, 1, 0.0, 5, 0, 0, 0, 0, 2, 2, 77.78, 77.78, 88.89, 55.59375, 33.296875, 33.296875, 0, 0.0, 66.6875, 16.69921875, 0.0, 50.0, 16.69921875, 16.7, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 34.0, 2.0, 0.0, 0.0, 10.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 82.0, "29154", "Licence - Portail Pluridisciplinaire - Technologies et Gestion du Développement Durable Convention avec l?UPHF", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29316&g_ta_cod=29154", 100.0, 0.0, 0.0),
(5670, "Public", "0450782F", "Lycée Voltaire", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "CPGE", "Lycée Voltaire - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 40, 249, 118, 249, 110, 0, 0, 222, 51, 0, 0, 27, 0, 0, 0, 0, 0, 177, 0, 71, 161, 0, 0, 177, 37, 0, 0, 0, 97, 36, 20, 36, 0, 21.0, 35.0, 36.0, 9, 11, 36, 0, 36, 0, 0, 0, 1, 14, 18, 3, 0.0, 0, 35, 0, 4, 3, 31, 31, 58.33, 97.22, 100.0, 55.59375, 86.09375, 86.09375, 11.099609375, 30.59765625, 100.0, 0.0, 2.7998046875, 38.8984375, 50.0, 8.3, 0.0, 0.0, 0.0, 100.0, 97.1875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 167.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "5695", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5695&g_ta_cod=5695", 0.0, 100.0, 0.0),
(5671, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence_Las", "Université Grenoble Alpes  - Licence - Portail Economie et gestion - Economie et Gestion - Grenoble", "Licence - Droit-économie-gestion", "Economie et Gestion - Grenoble", 30, 612, 310, 593, 0, 338, 81, 40, 10, 14, 8, 201, 19, 3, 3, 0, 13, 573, 14, 0, 0, 338, 81, 40, 10, 14, 8, 181, 269, 29, 19, 21, 8, 0.0, 9.0, 18.0, 0, 8, 19, 18, 1, 0, 10, 0, 9, 8, 2, 0, 0.0, 9, 1, 0, 0, 0, 15, 15, 0.0, 31.03, 62.07, 65.5, 78.890625, 78.890625, 0, 42.09375, 65.5, 0.0, 47.3984375, 42.09375, 10.5, 0.0, 0.0, 94.6875, 47.3984375, 5.2998046875, 5.2998046875, 0.0, 0.0, 184.0, 51.0, 3.0, 3.0, 69.0, "Tous les candidats", 2573.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 68.0, "31048", "Licence - Portail Economie et gestion - Economie et Gestion - Grenoble", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31047&g_ta_cod=31048", 93.0, 3.0, 3.0),
(5672, "Privé sous contrat d'association", "0650065T", "Lycée Pradeau la Sède-St Pierre", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Pradeau la Sède-St Pierre - BTS - Production - Métiers de la chimie", "BTS - Production", "", 30, 193, 114, 176, 0, 34, 7, 67, 15, 5, 1, 70, 17, 4, 0, 3, 10, 144, 8, 0, 0, 34, 7, 67, 15, 5, 1, 38, 102, 29, 18, 24, 4, 10.0, 20.0, 26.0, 0, 6, 21, 6, 15, 0, 8, 0, 11, 7, 3, 0, 0.0, 0, 10, 0, 5, 2, 14, 14, 34.48, 68.97, 89.66, 62.09375, 66.6875, 66.6875, 23.796875, 28.59765625, 72.390625, 0.0, 52.3984375, 33.296875, 14.298828125, 0.0, 0.0, 28.59765625, 0.0, 71.390625, 47.59375, 0.0, 0.0, 28.0, 6.0, 4.0, 1.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 77.0, "7824", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7824&g_ta_cod=7824", 34.0, 66.0, 0.0),
(5673, "Public", "0595876S", "Sciences Po Lille - Institut d'études politiques", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Sciences Po Lille ? Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Double diplôme Franco-Italien", "Sciences politiques", "Double diplôme Franco-Italien", 5, 84, 45, 84, 0, 67, 6, 1, 1, 0, 0, 16, 0, 0, 0, 0, 0, 9, 0, 0, 0, 7, 2, 0, 0, 0, 0, 2, 9, 7, 3, 7, 0, 7.0, 7.0, 7.0, 0, 1, 6, 6, 0, 0, 1, 1, 0, 0, 1, 4, 0.0, 5, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 42.8984375, 16.69921875, 16.69921875, 0, 16.69921875, 85.6875, 16.69921875, 0.0, 0.0, 16.69921875, 66.7, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 7.0, 2.0, 0.0, 0.0, 2.0, "Tous les candidats", 9.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "25833", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Double diplôme Franco-Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25833&g_ta_cod=25833", 100.0, 0.0, 0.0),
(5674, "Public", "0570094T", "Lycée Mangin", "57", "Moselle", "Grand Est", "Nancy-Metz", "Sarrebourg", "formation sélective", "BTS", "Lycée Mangin - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 84, 7, 80, 0, 3, 1, 23, 3, 39, 11, 15, 4, 0, 1, 2, 1, 49, 1, 0, 0, 2, 1, 22, 2, 25, 7, 0, 42, 12, 0, 11, 1, 4.0, 11.0, 12.0, 0, 3, 12, 1, 2, 9, 0, 0, 3, 5, 3, 1, 0.0, 0, 1, 8, 12, 0, 12, 12, 33.33, 91.67, 100.0, 0.0, 100.0, 100.0, 100, 25.0, 100.0, 0.0, 25.0, 41.6953125, 25.0, 8.3, 0.0, 8.298828125, 0.0, 16.69921875, 8.298828125, 75.0, 66.6875, 2.0, 1.0, 20.0, 5.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 61.0, "6552", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6552&g_ta_cod=6552", 8.0, 17.0, 75.0),
(5675, "Public", "0030026M", "Lycée Paul Constans", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "BTS", "Lycée Paul Constans - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 125, 21, 109, 0, 6, 0, 26, 6, 31, 6, 46, 16, 4, 2, 3, 7, 53, 10, 0, 0, 6, 0, 25, 6, 22, 4, 0, 56, 10, 1, 7, 3, 5.0, 6.0, 10.0, 0, 2, 8, 0, 2, 6, 2, 0, 3, 4, 1, 0, 0.0, 0, 0, 5, 7, 0, 8, 8, 50.0, 60.0, 100.0, 10.0, 100.0, 100.0, 87.5, 25.0, 80.0, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 62.5, 8.0, 0.0, 20.0, 4.0, 5.0, "Tous les candidats sauf les Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 49.0, "2115", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2115&g_ta_cod=2115", 0.0, 40.0, 60.0),
(5676, "Privé sous contrat d'association", "0721329D", "Lycée agricole Les Horizons", "72", "Sarthe", "Pays de la Loire", "Nantes", "Saint-Saturnin", "formation sélective", "BTS", "Lycée agricole Les Horizons - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 24, 109, 78, 95, 0, 10, 0, 9, 1, 43, 11, 33, 14, 0, 0, 9, 5, 63, 6, 0, 0, 10, 0, 8, 1, 36, 8, 9, 61, 16, 13, 15, 1, 8.0, 15.0, 16.0, 0, 4, 14, 1, 0, 13, 2, 0, 5, 4, 4, 1, 0.0, 1, 0, 8, 0, 0, 14, 14, 50.0, 93.75, 100.0, 81.296875, 100.0, 100.0, 0, 28.59765625, 87.5, 0.0, 35.6953125, 28.59765625, 28.59765625, 7.1, 0.0, 7.099609375, 7.099609375, 0.0, 0.0, 92.890625, 57.09375, 8.0, 0.0, 35.0, 7.0, 11.0, "Tous les candidats sauf les Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 64.0, "8763", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8763&g_ta_cod=8763", 13.0, 6.0, 81.0),
(5677, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence", "Université des Antilles - Pôle Martinique - Licence - Lettres - Parcours Littératures française, francophone et comparée, Métiers de l'Enseignement, de la recherche et arts du vivant de la Caraïbe - Martinique", "Licence - Arts-lettres-langues", "Littératures française, francophone et comparée, Métiers de l'Enseignement, de la recherche et arts du vivant de la Caraïbe - Martinique", 100, 112, 93, 96, 0, 72, 35, 5, 1, 3, 2, 16, 16, 4, 1, 0, 11, 96, 14, 0, 0, 72, 35, 5, 1, 3, 2, 16, 110, 19, 16, 13, 6, 13.0, 13.0, 16.0, 0, 6, 13, 10, 1, 2, 6, 0, 5, 5, 3, 0, 0.0, 6, 1, 1, 0, 0, 11, 11, 68.42, 68.42, 84.21, 84.1875, 84.59375, 84.59375, 0, 46.1953125, 68.390625, 0.0, 38.5, 38.5, 23.09765625, 0.0, 0.0, 76.890625, 46.1953125, 7.69921875, 7.69921875, 15.3984375, 7.69921875, 75.0, 37.0, 3.0, 2.0, 26.0, "Tous les candidats", 96.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15962", "Licence - Lettres - Parcours Littératures française, francophone et comparée, Métiers de l'Enseignement, de la recherche et arts du vivant de la Caraïbe - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15962&g_ta_cod=15962", 74.0, 11.0, 16.0),
(5678, "Public", "0673021E", "CPI Strasbourg (ECPM)", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Ecole d'Ingénieur", "Concours CPI Chimie Gay-Lussac - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 45, 1389, 891, 1389, 0, 1214, 85, 0, 0, 0, 0, 175, 0, 0, 0, 0, 0, 705, 0, 0, 0, 664, 35, 0, 0, 0, 0, 41, 196, 49, 40, 49, 0, 16.0, 41.0, 46.0, 0, 5, 44, 44, 0, 0, 5, 0, 0, 0, 2, 27, 15.0, 44, 0, 0, 0, 0, 24, 24, 32.65, 83.67, 93.88, 81.59375, 54.5, 54.5, 0, 11.3984375, 89.796875, 0.0, 0.0, 0.0, 4.5, 61.4, 34.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 170.0, 9.0, 0.0, 0.0, 26.0, "Tous les candidats", 393.0, "Candidats lycées français", 33, "Candidats lycées étrangers", 14, "Liste d'appel commune à plusieurs formations", 23.0, "8017", "Formation d'ingénieur Bac + 5 - Bac Général", "Concours CPI Chimie Gay-Lussac", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=159&g_ta_cod=8017", 100.0, 0.0, 0.0),
(5679, "Public", "0752845K", "Lycée professionnel Theophile Gautier", "75", "Paris", "Ile-de-France", "Paris", "Paris  4e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Theophile Gautier - Mention complémentaire - FCIL préparation aux concours de la sécurité publique et civile", "Mention complémentaire", "", 20, 36, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 36, 4, 6, 13, 13, 0, 26, 0, 0, 0, 0, 0, 0, 0, 0, 0, 34, 13, 6, 0, 13, 0.0, 0.0, 3.0, 0, 4, 9, 2, 4, 3, 4, 0, 4, 5, 0, 0, 0.0, 1, 2, 2, 0, 0, 2, 8, 0.0, 0.0, 23.08, 46.1953125, 22.19921875, 88.890625, 0, 44.3984375, 69.1875, 0.0, 44.3984375, 55.59375, 0.0, 0.0, 0.0, 22.19921875, 11.099609375, 44.3984375, 22.19921875, 33.296875, 22.19921875, 6.0, 0.0, 14.0, 7.0, 7.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35012", "Mention complémentaire - FCIL préparation aux concours de la sécurité publique et civile", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=35012&g_ta_cod=35012", 15.0, 46.0, 38.0),
(5680, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Double licence - Droit / Gestion - Droit - Gestion", "Licence - Droit-économie-gestion", "Droit - Gestion", 50, 1424, 912, 1424, 0, 994, 141, 57, 17, 9, 2, 364, 0, 0, 0, 0, 0, 458, 0, 0, 0, 326, 38, 0, 0, 0, 0, 132, 169, 48, 34, 48, 0, 12.0, 44.0, 45.0, 0, 6, 48, 48, 0, 0, 0, 0, 0, 3, 30, 12, 3.0, 48, 0, 0, 0, 0, 24, 36, 25.0, 91.67, 93.75, 70.796875, 50.0, 75.0, 0, 12.5, 100.0, 0.0, 0.0, 6.2998046875, 62.5, 25.0, 6.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 165.0, 19.0, 0.0, 0.0, 4.0, "Tous les candidats", 181.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "9215", "Double licence - Droit / Gestion - Droit - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9215&g_ta_cod=9215", 100.0, 0.0, 0.0),
(5681, "Public", "0590340Z", "École Supérieure d'Art du Nord-Pas de Calais : Dunkerque-Tourcoing - Site de Tourcoing", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "Autre formation", "École Supérieure d'Art du Nord-Pas de Calais : Dunkerque-Tourcoing - Diplôme National d'Art", "Diplôme National d'Art", "", 45, 166, 127, 166, 0, 93, 20, 13, 1, 9, 2, 51, 0, 0, 0, 0, 0, 93, 0, 0, 0, 60, 7, 6, 0, 1, 0, 26, 87, 27, 23, 27, 0, 11.0, 27.0, 27.0, 0, 0, 20, 18, 2, 0, 7, 0, 5, 7, 4, 4, 0.0, 13, 2, 0, 0, 0, 18, 18, 40.74, 100.0, 100.0, 85.1875, 90.0, 90.0, 0, 0.0, 74.09375, 0.0, 25.0, 35.0, 20.0, 20.0, 0.0, 90.0, 65.0, 10.0, 10.0, 0.0, 0.0, 55.0, 7.0, 0.0, 0.0, 26.0, "Tous les candidats", 102.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 56.0, "19445", "Diplôme National d'Art", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19445&g_ta_cod=19445", 81.0, 19.0, 0.0),
(5682, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Arts plastiques", "Licence - Arts-lettres-langues", "", 255, 1576, 1246, 1550, 0, 923, 236, 141, 35, 96, 40, 390, 26, 3, 1, 4, 18, 1536, 25, 0, 0, 923, 236, 141, 35, 96, 40, 376, 1084, 253, 199, 238, 15, 152.0, 174.0, 205.0, 0, 67, 199, 159, 15, 25, 54, 4, 66, 77, 44, 8, 0.0, 108, 7, 14, 0, 0, 121, 121, 60.08, 68.77, 81.03, 78.6875, 60.796875, 60.796875, 0, 33.6953125, 78.6875, 2.0, 33.1953125, 38.6953125, 22.09765625, 4.0, 0.0, 79.890625, 54.296875, 7.5, 3.5, 12.599609375, 7.0, 722.0, 180.0, 75.0, 33.0, 205.0, "Tous les candidats", 1074.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "2731", "Licence - Arts plastiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2731&g_ta_cod=2731", 75.0, 9.0, 13.0),
(5683, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation non sélective", "PASS", "Université Sorbonne Paris Nord - Antenne de Bobigny - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Dispensée à l'Université de Cergy", 30, 5839, 3799, 5839, 0, 4470, 1017, 119, 57, 25, 15, 1225, 0, 0, 0, 0, 0, 5837, 0, 0, 0, 4470, 1017, 119, 57, 25, 15, 1223, 685, 29, 24, 29, 0, 0.0, 0.0, 9.0, 0, 4, 27, 27, 0, 0, 2, 0, 2, 13, 11, 1, 0.0, 25, 0, 0, 0, 0, 6, 26, 0.0, 0.0, 31.03, 82.796875, 22.19921875, 96.296875, 0, 14.798828125, 93.09375, 0.0, 7.3994140625, 48.09375, 40.6953125, 3.7, 0.0, 100.0, 92.59375, 0.0, 0.0, 0.0, 0.0, 671.0, 164.0, 0.0, 0.0, 14.0, "Tous les candidats", 3566.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "29030", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28682&g_ta_cod=29030", 100.0, 0.0, 0.0),
(5684, "Public", "0360737F", "IFSI CH Le Blanc", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Le Blanc", "formation sélective", "IFSI", "Regroupement d'IFSI Université Tours - D.E Infirmier", "D.E secteur sanitaire", "", 27, 3746, 3117, 3746, 0, 513, 85, 932, 212, 315, 111, 1986, 0, 0, 0, 0, 0, 3312, 0, 0, 0, 496, 80, 896, 200, 257, 94, 1663, 494, 26, 23, 26, 0, 0.0, 4.0, 12.0, 0, 3, 11, 2, 7, 2, 15, 0, 4, 6, 0, 1, 0.0, 1, 4, 2, 0, 0, 2, 2, 0.0, 15.38, 46.15, 88.5, 18.19921875, 18.19921875, 0, 27.296875, 42.296875, 0.0, 36.3984375, 54.5, 0.0, 9.1, 0.0, 18.19921875, 9.099609375, 63.59375, 36.3984375, 18.19921875, 18.19921875, 81.0, 9.0, 24.0, 9.0, 194.0, "Tous les candidats", 2698.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "23264", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22995&g_ta_cod=23264", 50.0, 38.0, 12.0),
(5685, "Privé sous contrat d'association", "0311213A", "Lycée Issec Pigier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Issec Pigier - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 23, 414, 219, 414, 0, 46, 18, 126, 52, 98, 53, 144, 0, 0, 0, 0, 0, 392, 0, 0, 0, 46, 18, 126, 52, 98, 53, 122, 110, 21, 10, 21, 0, 6.0, 15.0, 18.0, 0, 6, 16, 1, 6, 9, 5, 0, 5, 8, 2, 1, 0.0, 0, 5, 6, 0, 0, 14, 14, 28.57, 71.43, 85.71, 47.59375, 87.5, 87.5, 0, 37.5, 76.1875, 0.0, 31.296875, 50.0, 12.5, 6.3, 0.0, 6.2998046875, 0.0, 37.5, 31.296875, 56.296875, 37.5, 15.0, 11.0, 39.0, 20.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 37.0, "16243", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16243&g_ta_cod=16243", 24.0, 29.0, 48.0),
(5686, "Public", "0730858L", "Université Savoie Mont Blanc - Chambéry", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Jacob-Bellecombette", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Chambéry - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Italien", "Licence - Arts-lettres-langues", "LLCER Italien", 45, 85, 65, 64, 0, 51, 11, 2, 0, 3, 2, 8, 21, 4, 1, 2, 14, 64, 19, 0, 0, 51, 11, 2, 0, 3, 2, 8, 82, 13, 10, 8, 5, 7.0, 8.0, 11.0, 0, 3, 9, 7, 0, 2, 4, 0, 3, 5, 1, 0, 0.0, 6, 0, 0, 0, 0, 9, 9, 53.85, 61.54, 84.62, 76.890625, 100.0, 100.0, 0, 33.296875, 69.1875, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 77.796875, 66.6875, 0.0, 0.0, 22.19921875, 0.0, 54.0, 13.0, 5.0, 4.0, 20.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8805", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8805&g_ta_cod=8805", 85.0, 0.0, 15.0),
(5687, "Public", "0381775Y", "I.U.T. 2 de Grenoble", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BUT", "I.U.T. 2 de Grenoble - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation _ Déploiement d'applications communicantes et sécurisées", "BUT - Production", "Réalisation d'applications : conception, développement, validation _ Déploiement d'applications communicantes et sécurisées", 117, 2170, 194, 2170, 0, 1265, 239, 482, 139, 19, 9, 404, 0, 0, 0, 0, 0, 1739, 0, 0, 0, 1191, 216, 358, 92, 0, 0, 190, 644, 116, 4, 116, 0, 32.0, 94.0, 111.0, 0, 27, 105, 57, 48, 0, 11, 0, 12, 55, 33, 5, 0.0, 54, 39, 0, 0, 0, 85, 85, 27.59, 81.03, 95.69, 3.39990234375, 81.0, 81.0, 0, 25.69921875, 90.5, 0.0, 11.3984375, 52.3984375, 31.3984375, 4.8, 0.0, 54.296875, 51.3984375, 45.6953125, 37.09375, 0.0, 0.0, 307.0, 73.0, 0.0, 0.0, 71.0, "Tous les candidats sauf les Bac technologiques", 536.0, "Bacheliers technologiques toutes séries", 376, "", 0, "Liste d'appel propre à cette formation", 42.0, "4996", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation _ Déploiement d'applications communicantes et sécurisées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4996&g_ta_cod=4996", 54.0, 46.0, 0.0),
(5688, "Public", "0753431X", "Sciences Po Paris - Institut d'études politiques", "75", "Paris", "Ile-de-France", "Paris", "Paris  7e  Arrondissement", "formation sélective", "Licence", "Sciences Po - Université de Paris - Licence - Double diplôme - Licence Sciences de la Terre et environnement - Sciences et Sciences sociales / Spécialité Géosciences (IPGP)", "Licence - Sciences - technologies - santé", "Sciences et Sciences sociales / Spécialité Géosciences (IPGP)", 20, 124, 76, 124, 0, 124, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 29, 0, 0, 0, 29, 3, 0, 0, 0, 0, 0, 26, 20, 16, 20, 0, 0.0, 20.0, 20.0, 0, 3, 20, 20, 0, 0, 0, 0, 0, 0, 1, 11, 8.0, 20, 0, 0, 0, 0, 3, 4, 0.0, 100.0, 100.0, 80.0, 15.0, 20.0, 0, 15.0, 100.0, 0.0, 0.0, 0.0, 5.0, 55.0, 40.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 26.0, 3.0, 0.0, 0.0, 0.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "32561", "Licence - Double diplôme - Licence Sciences de la Terre et environnement - Sciences et Sciences sociales / Spécialité Géosciences (IPGP)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32561&g_ta_cod=32561", 100.0, 0.0, 0.0),
(5689, "Privé sous contrat d'association", "0290184T", "Lycée Saint-Joseph", "29", "Finistère", "Bretagne", "Rennes", "Landerneau", "formation sélective", "BTS", "Lycée Saint-Joseph - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 30, 119, 5, 112, 0, 9, 1, 52, 4, 36, 4, 15, 7, 1, 1, 2, 3, 102, 5, 0, 0, 9, 1, 52, 4, 36, 4, 5, 84, 14, 0, 14, 0, 7.0, 14.0, 14.0, 0, 2, 14, 0, 3, 11, 0, 0, 5, 5, 3, 1, 0.0, 0, 2, 7, 10, 0, 14, 14, 50.0, 100.0, 100.0, 0.0, 100.0, 100.0, 71.390625, 14.298828125, 100.0, 0.0, 35.6953125, 35.6953125, 21.3984375, 7.1, 0.0, 0.0, 0.0, 21.3984375, 14.298828125, 78.59375, 50.0, 9.0, 1.0, 36.0, 4.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 91.0, "3826", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3826&g_ta_cod=3826", 0.0, 21.0, 79.0),
(5690, "Privé sous contrat d'association", "0690522T", "Lycée Aux Lazaristes", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée Aux Lazaristes - CPGE - TSI", "Classe préparatoire scientifique", "", 30, 284, 25, 284, 187, 0, 0, 269, 50, 0, 0, 15, 0, 0, 0, 0, 0, 239, 0, 168, 225, 0, 0, 239, 42, 0, 0, 0, 99, 33, 2, 33, 0, 13.0, 32.0, 33.0, 14, 5, 33, 0, 33, 0, 0, 0, 0, 4, 17, 12, 0.0, 0, 33, 0, 8, 0, 20, 20, 39.39, 96.97, 100.0, 6.099609375, 60.59375, 60.59375, 24.19921875, 15.19921875, 100.0, 0.0, 0.0, 12.099609375, 51.5, 36.4, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 183.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "8293", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8293&g_ta_cod=8293", 0.0, 100.0, 0.0),
(5691, "Privé sous contrat d'association", "0593109J", "Lycée Notre-Dame De La Paix", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Notre-Dame De La Paix - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 258, 185, 240, 125, 210, 19, 0, 0, 0, 0, 30, 18, 11, 0, 0, 7, 214, 6, 116, 211, 204, 17, 0, 0, 0, 0, 10, 220, 37, 27, 35, 2, 26.0, 35.0, 37.0, 15, 3, 35, 35, 0, 0, 2, 0, 1, 7, 15, 12, 0.0, 34, 0, 0, 1, 0, 23, 23, 70.27, 94.59, 100.0, 73.0, 65.6875, 65.6875, 2.89990234375, 8.599609375, 94.59375, 0.0, 2.89990234375, 20.0, 42.8984375, 34.3, 0.0, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 209.0, 17.0, 0.0, 0.0, 11.0, "Tous les candidats", 214.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "6984", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6984&g_ta_cod=6984", 100.0, 0.0, 0.0),
(5692, "Public", "0750463W", "Lycée Lucas De Nehou", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "BTS", "Lycée Lucas De Nehou - BTS - Production - Enveloppe des bâtiments : conception et réalisation", "BTS - Production", "", 24, 524, 77, 429, 0, 26, 7, 141, 39, 148, 62, 114, 95, 0, 52, 0, 43, 177, 11, 0, 0, 16, 2, 57, 12, 86, 32, 18, 128, 21, 4, 17, 4, 1.0, 12.0, 17.0, 0, 5, 14, 2, 2, 10, 7, 0, 7, 6, 1, 0, 0.0, 1, 0, 6, 0, 0, 1, 13, 4.76, 57.14, 80.95, 19.0, 7.099609375, 92.890625, 0, 35.6953125, 66.6875, 0.0, 50.0, 42.8984375, 7.099609375, 0.0, 0.0, 14.298828125, 7.099609375, 14.298828125, 0.0, 71.390625, 42.8984375, 5.0, 2.0, 56.0, 21.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 36.0, "8928", "BTS - Production - Enveloppe des bâtiments : conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8928&g_ta_cod=8928", 19.0, 29.0, 52.0),
(5693, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "Autre formation", "Université de Pau et des Pays de l'Adour - C.M.I - Cursus Master en Ingénierie - Sciences de la terre - Géo-énergies, Environnement et Matériaux", "C.M.I - Cursus Master en Ingénierie", "Géo-énergies, Environnement et Matériaux", 10, 73, 28, 48, 0, 24, 3, 2, 1, 0, 0, 22, 25, 8, 0, 0, 17, 21, 2, 0, 0, 18, 3, 0, 0, 0, 0, 3, 21, 3, 0, 3, 0, 2.0, 3.0, 3.0, 0, 0, 2, 2, 0, 0, 1, 0, 0, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 66.67, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 66.6875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 16.0, 3.0, 0.0, 0.0, 5.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "29036", "C.M.I - Cursus Master en Ingénierie - Sciences de la terre - Géo-énergies, Environnement et Matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29036&g_ta_cod=29036", 100.0, 0.0, 0.0),
(5694, "Privé enseignement supérieur", "0693830E", "ESME Sudria Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Advance - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 105, 2441, 559, 2430, 0, 2427, 161, 0, 0, 0, 0, 3, 11, 11, 0, 0, 0, 2165, 5, 0, 0, 2165, 113, 0, 0, 0, 0, 0, 1795, 82, 20, 78, 4, 28.0, 66.0, 81.0, 0, 1, 82, 82, 0, 0, 0, 0, 15, 35, 29, 3, 0.0, 67, 0, 0, 0, 0, 36, 36, 34.15, 80.49, 98.78, 24.3984375, 43.8984375, 43.8984375, 0, 1.199951171875, 100.0, 0.0, 18.296875, 42.6953125, 35.3984375, 3.7, 0.0, 100.0, 81.6875, 0.0, 0.0, 0.0, 0.0, 1795.0, 86.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 89.0, "126", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Advance", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=124&g_ta_cod=126", 100.0, 0.0, 0.0),
(5695, "Public", "0750736T", "Université Paris-Dauphine", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "Autre formation", "Université Paris-Dauphine - Formation valant grade de licence - Mathématique - Informatique - Paris - Talents", "Formation valant grade de licence", "Mathématique - Informatique - Paris - Talents", 5, 179, 48, 179, 0, 145, 14, 6, 3, 0, 0, 28, 0, 0, 0, 0, 0, 26, 0, 0, 0, 25, 1, 0, 0, 0, 0, 1, 20, 8, 2, 8, 0, 4.0, 7.0, 8.0, 0, 1, 8, 8, 0, 0, 0, 0, 0, 3, 4, 0, 1.0, 8, 0, 0, 0, 0, 4, 7, 50.0, 87.5, 100.0, 25.0, 50.0, 87.5, 0, 12.5, 100.0, 0.0, 0.0, 37.5, 50.0, 0.0, 12.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 20.0, 1.0, 0.0, 0.0, 0.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "25822", "Formation valant grade de licence - Mathématique - Informatique - Paris - Talents", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25822&g_ta_cod=25822", 100.0, 0.0, 0.0),
(5696, "Privé sous contrat d'association", "0763400H", "UniLaSalle Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation sélective", "Ecole d'Ingénieur", "UniLaSalle (Beauvais, Rouen, Rennes) - Formation d'ingénieur Bac + 5 - Bac +1", "Formations  des écoles d'ingénieurs", "Bac +1", 10, 55, 39, 47, 0, 0, 0, 0, 0, 0, 0, 47, 8, 0, 0, 0, 8, 42, 5, 0, 0, 0, 0, 0, 0, 0, 0, 42, 47, 1, 1, 0, 1, 0.0, 0.0, 1.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 100.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 47.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "30809", "Formation d'ingénieur Bac + 5 - Bac +1", "UniLaSalle (Beauvais, Rouen, Rennes)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30780&g_ta_cod=30809", 100.0, 0.0, 0.0),
(5697, "Public", "9711252J", "LGT ROBERT WEINUM St Martin", "978", "Saint-Martin", "Saint-Martin", "Guadeloupe", "Saint-Martin", "formation sélective", "BTS", "LGT ROBERT WEINUM St Martin - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 75, 45, 56, 0, 11, 4, 17, 6, 11, 4, 17, 19, 4, 8, 2, 5, 30, 6, 0, 0, 10, 3, 12, 5, 5, 2, 3, 32, 12, 5, 9, 3, 5.0, 9.0, 11.0, 0, 4, 11, 1, 7, 3, 1, 0, 6, 5, 0, 0, 0.0, 1, 1, 3, 8, 4, 11, 11, 41.67, 75.0, 91.67, 41.6953125, 100.0, 100.0, 72.6875, 36.3984375, 91.6875, 0.0, 54.5, 45.5, 0.0, 0.0, 0.0, 9.099609375, 9.099609375, 63.59375, 9.099609375, 27.296875, 27.296875, 9.0, 3.0, 6.0, 2.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 52.0, "19870", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19870&g_ta_cod=19870", 8.0, 67.0, 25.0),
(5698, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "Université de Cergy-Pontoise - CY SUP - CUPGE - Parcours physique-chimie", "CUPGE - Sciences, technologie, santé", "", 30, 501, 253, 324, 0, 242, 40, 4, 2, 0, 0, 78, 177, 63, 1, 2, 111, 195, 9, 0, 0, 157, 16, 0, 0, 0, 0, 38, 159, 12, 8, 11, 1, 1.0, 11.0, 12.0, 0, 1, 12, 12, 0, 0, 0, 0, 0, 2, 8, 2, 0.0, 12, 0, 0, 0, 0, 9, 10, 8.33, 91.67, 100.0, 66.6875, 75.0, 83.296875, 0, 8.298828125, 100.0, 0.0, 0.0, 16.69921875, 66.6875, 16.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 120.0, 13.0, 0.0, 0.0, 39.0, "Tous les candidats", 193.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "14465", "CUPGE - Parcours physique-chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14465&g_ta_cod=14465", 100.0, 0.0, 0.0),
(5699, "Public", "0210015C", "Lycée Carnot", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "CPGE", "Lycée Carnot - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 1455, 547, 1455, 1017, 1067, 100, 3, 1, 0, 0, 385, 0, 0, 0, 0, 0, 941, 0, 471, 917, 855, 78, 0, 0, 0, 0, 86, 629, 95, 30, 95, 0, 31.0, 63.0, 88.0, 5, 8, 92, 92, 0, 0, 3, 0, 1, 9, 54, 25, 3.0, 91, 0, 0, 9, 3, 60, 60, 32.63, 66.32, 92.63, 31.59765625, 65.1875, 65.1875, 9.798828125, 8.69921875, 96.796875, 0.0, 1.099853515625, 9.798828125, 58.6953125, 27.2, 3.3, 100.0, 98.890625, 0.0, 0.0, 0.0, 0.0, 587.0, 49.0, 0.0, 0.0, 42.0, "Tous les candidats", 809.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "3178", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3178&g_ta_cod=3178", 100.0, 0.0, 0.0),
(5700, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Physique", "Licence - Sciences - technologies - santé", "", 80, 729, 232, 684, 0, 457, 60, 18, 5, 1, 1, 208, 45, 15, 1, 0, 29, 684, 37, 0, 0, 457, 60, 18, 5, 1, 1, 208, 529, 48, 13, 41, 7, 9.0, 36.0, 47.0, 0, 6, 23, 21, 1, 1, 25, 0, 8, 11, 4, 0, 0.0, 13, 1, 1, 0, 0, 17, 17, 18.75, 75.0, 97.92, 27.09765625, 73.890625, 73.890625, 0, 26.09765625, 47.8984375, 0.0, 34.796875, 47.796875, 17.3984375, 0.0, 0.0, 91.296875, 56.5, 4.2998046875, 4.2998046875, 4.2998046875, 4.2998046875, 327.0, 41.0, 1.0, 1.0, 191.0, "Tous les candidats", 682.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4898", "Licence - Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4898&g_ta_cod=4898", 88.0, 6.0, 2.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(5701, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Lettres - Parcours Lettres classiques", "Licence - Arts-lettres-langues", "Lettres classiques", 20, 154, 128, 125, 0, 88, 27, 2, 2, 8, 4, 27, 29, 4, 1, 3, 21, 125, 24, 0, 0, 88, 27, 2, 2, 8, 4, 27, 102, 7, 6, 4, 3, 0.0, 4.0, 5.0, 0, 3, 5, 4, 1, 0, 2, 0, 1, 3, 1, 0, 0.0, 3, 1, 0, 0, 0, 5, 5, 0.0, 57.14, 71.43, 85.6875, 100.0, 100.0, 0, 60.0, 71.390625, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 80.0, 60.0, 20.0, 20.0, 0.0, 0.0, 55.0, 21.0, 8.0, 4.0, 37.0, "Tous les candidats", 125.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6350", "Licence - Lettres - Parcours Lettres classiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6350&g_ta_cod=6350", 71.0, 14.0, 14.0),
(5702, "Public", "0130051K", "Lycée Marie Curie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation sélective", "Autre formation", "Lycée Marie Curie - DN MADE - Animation - - Spécialité : Animation 2D et volume", "DN MADE", "- Spécialité : Animation 2D et volume", 15, 1160, 719, 1160, 0, 500, 112, 231, 60, 86, 27, 343, 0, 0, 0, 0, 0, 235, 0, 0, 0, 68, 8, 97, 20, 6, 0, 64, 63, 15, 13, 15, 0, 3.0, 8.0, 14.0, 0, 3, 11, 1, 10, 0, 4, 0, 0, 2, 7, 2, 0.0, 1, 10, 0, 0, 0, 4, 4, 20.0, 53.33, 93.33, 86.6875, 36.3984375, 36.3984375, 0, 27.296875, 73.296875, 0.0, 0.0, 18.19921875, 63.59375, 18.2, 0.0, 9.099609375, 9.099609375, 90.890625, 90.890625, 0.0, 0.0, 7.0, 1.0, 0.0, 0.0, 18.0, "Tous les candidats", 107.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "24102", "DN MADE - Animation - - Spécialité : Animation 2D et volume", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24102&g_ta_cod=24102", 27.0, 73.0, 0.0),
(5703, "Privé sous contrat d'association", "0941934S", "EFREI Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villejuif", "formation sélective", "Ecole d'Ingénieur", "PUISSANCE ALPHA BACHELOR - Formation Bac + 3", "Formations  des écoles d'ingénieurs", "Bachelor Cybersécurité", 35, 424, 40, 350, 0, 242, 34, 52, 17, 3, 3, 53, 74, 32, 13, 3, 26, 335, 22, 0, 0, 236, 32, 49, 14, 3, 3, 47, 245, 31, 1, 25, 6, 2.0, 24.0, 29.0, 0, 1, 24, 22, 2, 0, 7, 0, 17, 4, 2, 1, 0.0, 7, 0, 0, 0, 0, 8, 21, 6.45, 77.42, 93.55, 3.19970703125, 33.296875, 87.5, 0, 4.19921875, 77.390625, 0.0, 70.796875, 16.69921875, 8.298828125, 4.2, 0.0, 91.6875, 29.19921875, 8.298828125, 0.0, 0.0, 0.0, 160.0, 23.0, 4.0, 3.0, 45.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "30824", "Formation Bac + 3", "PUISSANCE ALPHA BACHELOR", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30813&g_ta_cod=30824", 84.0, 16.0, 0.0),
(5704, "Privé hors contrat", "0142440B", "ISEN Yncrea Ouest Caen", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 24, 1170, 460, 1154, 0, 1148, 114, 0, 0, 0, 0, 6, 16, 16, 0, 0, 0, 1037, 12, 0, 0, 1037, 92, 0, 0, 0, 0, 0, 989, 16, 10, 14, 2, 8.0, 14.0, 16.0, 0, 1, 16, 16, 0, 0, 0, 0, 3, 8, 5, 0, 0.0, 13, 0, 0, 0, 0, 7, 7, 50.0, 87.5, 100.0, 62.5, 43.796875, 43.796875, 0, 6.2998046875, 100.0, 0.0, 18.796875, 50.0, 31.296875, 0.0, 0.0, 100.0, 81.296875, 0.0, 0.0, 0.0, 0.0, 989.0, 86.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "29273", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=29273", 100.0, 0.0, 0.0),
(5705, "Public", "0470003Y", "Lycée Jean-Baptiste De Baudre", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "BTS", "Lycée Jean-Baptiste De Baudre - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 636, 315, 636, 0, 60, 24, 251, 82, 213, 91, 112, 0, 0, 0, 0, 0, 382, 0, 0, 0, 44, 18, 159, 46, 137, 53, 42, 150, 28, 20, 28, 0, 9.0, 23.0, 26.0, 0, 11, 27, 1, 12, 14, 1, 0, 6, 12, 8, 1, 0.0, 1, 8, 12, 3, 1, 23, 23, 32.14, 82.14, 92.86, 71.390625, 85.1875, 85.1875, 11.099609375, 40.6953125, 96.390625, 0.0, 22.19921875, 44.3984375, 29.59765625, 3.7, 0.0, 3.69970703125, 3.69970703125, 44.3984375, 29.59765625, 51.8984375, 44.3984375, 4.0, 3.0, 78.0, 36.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 105, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 31.0, "5770", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5770&g_ta_cod=5770", 4.0, 43.0, 54.0),
(5706, "Public", "0910620E", "Lycée Robert Doisneau", "91", "Essonne", "Ile-de-France", "Versailles", "Corbeil-Essonnes", "formation sélective", "BTS", "Lycée Robert Doisneau - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 28, 831, 80, 831, 0, 101, 15, 221, 69, 183, 71, 326, 0, 0, 0, 0, 0, 406, 0, 0, 0, 61, 7, 142, 39, 118, 37, 85, 165, 28, 1, 28, 0, 1.0, 20.0, 25.0, 0, 8, 21, 4, 8, 9, 7, 0, 11, 7, 3, 0, 0.0, 2, 2, 6, 1, 0, 14, 19, 3.57, 71.43, 89.29, 3.599609375, 66.6875, 90.5, 4.7998046875, 38.09375, 75.0, 0.0, 52.3984375, 33.296875, 14.298828125, 0.0, 0.0, 19.0, 9.5, 38.09375, 9.5, 42.8984375, 28.59765625, 14.0, 4.0, 57.0, 18.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 96, "Bacheliers technologiques toutes séries", 142, "Liste d'appel propre à cette formation", 31.0, "10841", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10841&g_ta_cod=10841", 14.0, 50.0, 36.0),
(5707, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Autre formation", "Université de Bordeaux - Bordeaux Métropole - C.M.I - Cursus Master en Ingénierie - Sciences de la terre - Cursus Master En Ingénierie (CMI)  - Ingénierie Géologique et civile (IGéoc)", "C.M.I - Cursus Master en Ingénierie", "Cursus Master En Ingénierie (CMI)  - Ingénierie Géologique et civile (IGéoc)", 10, 123, 45, 116, 0, 71, 5, 1, 0, 2, 1, 42, 7, 1, 0, 0, 6, 40, 1, 0, 0, 31, 2, 0, 0, 0, 0, 9, 33, 9, 3, 8, 1, 3.0, 8.0, 8.0, 0, 1, 5, 5, 0, 0, 4, 0, 0, 4, 1, 0, 0.0, 5, 0, 0, 0, 0, 4, 4, 33.33, 88.89, 88.89, 33.296875, 80.0, 80.0, 0, 20.0, 55.59375, 0.0, 0.0, 80.0, 20.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 23.0, 2.0, 0.0, 0.0, 10.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "17898", "C.M.I - Cursus Master en Ingénierie - Sciences de la terre - Cursus Master En Ingénierie (CMI)  - Ingénierie Géologique et civile (IGéoc)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17898&g_ta_cod=17898", 100.0, 0.0, 0.0),
(5708, "Public", "0941294W", "Lycée Adolphe Cherioux", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vitry-sur-Seine", "formation sélective", "BTS", "Lycée Adolphe Cherioux - BTS - Production - Travaux publics", "BTS - Production", "", 12, 447, 56, 446, 0, 38, 14, 138, 61, 136, 60, 134, 1, 0, 0, 0, 1, 254, 0, 0, 0, 21, 9, 132, 57, 67, 27, 34, 75, 10, 3, 10, 0, 1.0, 7.0, 9.0, 0, 3, 10, 1, 4, 5, 0, 0, 5, 3, 2, 0, 0.0, 0, 2, 3, 2, 1, 5, 10, 10.0, 70.0, 90.0, 30.0, 50.0, 100.0, 20, 30.0, 100.0, 0.0, 50.0, 30.0, 20.0, 0.0, 0.0, 10.0, 0.0, 40.0, 20.0, 50.0, 30.0, 12.0, 5.0, 39.0, 12.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 27.0, "13319", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13319&g_ta_cod=13319", 10.0, 40.0, 50.0),
(5709, "Public", "0080008R", "Lycée François Bazin", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BTS", "Lycée François Bazin - BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "BTS - Production", "", 9, 24, 4, 22, 0, 0, 0, 2, 0, 13, 4, 7, 2, 0, 0, 2, 0, 16, 2, 0, 0, 0, 0, 2, 0, 12, 3, 2, 17, 5, 0, 4, 1, 3.0, 4.0, 5.0, 0, 2, 4, 0, 0, 4, 1, 0, 1, 1, 2, 0, 0.0, 0, 0, 3, 2, 0, 3, 3, 60.0, 80.0, 100.0, 0.0, 75.0, 75.0, 50, 50.0, 80.0, 0.0, 25.0, 25.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 13.0, 5.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 2, "Liste d'appel propre à cette formation", 73.0, "2359", "BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2359&g_ta_cod=2359", 0.0, 0.0, 100.0),
(5710, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Histoire - Parcours Histoire-Lettres Classiques", "Licence - Sciences humaines et sociales", "Histoire-Lettres Classiques", 40, 178, 116, 141, 0, 79, 22, 11, 1, 13, 3, 38, 37, 6, 3, 6, 22, 140, 33, 0, 0, 79, 22, 11, 1, 13, 3, 37, 142, 15, 11, 8, 6, 2.0, 7.0, 10.0, 0, 2, 6, 4, 1, 1, 9, 0, 0, 3, 2, 1, 0.0, 4, 1, 1, 0, 0, 4, 4, 13.33, 46.67, 66.67, 73.296875, 66.6875, 66.6875, 0, 33.296875, 40.0, 0.0, 0.0, 50.0, 33.296875, 16.7, 0.0, 66.6875, 66.6875, 16.69921875, 16.69921875, 16.69921875, 16.69921875, 69.0, 20.0, 17.0, 8.0, 44.0, "Tous les candidats", 140.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "20855", "Licence - Histoire - Parcours Histoire-Lettres Classiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20855&g_ta_cod=20855", 60.0, 20.0, 20.0),
(5711, "Public", "0771940R", "Lycée polyvalent de Noisiel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Noisiel", "formation sélective", "BTS", "Lycée polyvalent de Noisiel - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 24, 218, 17, 165, 0, 10, 3, 37, 9, 55, 16, 63, 53, 0, 28, 6, 19, 113, 11, 0, 0, 10, 3, 29, 5, 50, 15, 24, 111, 17, 0, 13, 4, 3.0, 12.0, 15.0, 0, 1, 10, 1, 1, 8, 7, 0, 7, 1, 2, 0, 0.0, 0, 0, 3, 5, 0, 10, 10, 17.65, 70.59, 88.24, 0.0, 100.0, 100.0, 50, 10.0, 58.796875, 0.0, 70.0, 10.0, 20.0, 0.0, 0.0, 10.0, 0.0, 10.0, 0.0, 80.0, 30.0, 8.0, 2.0, 45.0, 15.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 68.0, "9857", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9857&g_ta_cod=9857", 18.0, 35.0, 47.0),
(5712, "Public", "0750699C", "Lycée Janson De Sailly", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Lycée Janson De Sailly - CPGE - PCSI", "Classe préparatoire scientifique", "", 144, 5470, 2070, 5470, 3486, 4866, 424, 1, 1, 0, 0, 603, 0, 0, 0, 0, 0, 3567, 0, 394, 3433, 3365, 331, 0, 0, 0, 0, 202, 1137, 138, 61, 138, 0, 26.0, 95.0, 123.0, 11, 10, 95, 95, 0, 0, 43, 0, 0, 2, 14, 70, 9.0, 95, 0, 0, 12, 5, 31, 55, 18.84, 68.84, 89.13, 44.1953125, 32.59375, 57.8984375, 12.599609375, 10.5, 68.796875, 0.0, 0.0, 2.099609375, 14.69921875, 73.7, 9.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1063.0, 91.0, 0.0, 0.0, 74.0, "Tous les candidats", 1491.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "9131", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9131&g_ta_cod=9131", 100.0, 0.0, 0.0),
(5713, "Privé sous contrat d'association", "0290335G", "Lycée La Croix Rouge", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée La Croix Rouge - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 205, 12, 205, 0, 44, 1, 64, 6, 54, 8, 43, 0, 0, 0, 0, 0, 141, 0, 0, 0, 41, 1, 47, 6, 35, 7, 18, 54, 15, 0, 15, 0, 5.0, 15.0, 15.0, 0, 1, 13, 2, 7, 4, 2, 0, 5, 6, 2, 0, 0.0, 0, 4, 4, 6, 0, 12, 12, 33.33, 100.0, 100.0, 0.0, 92.296875, 92.296875, 46.1953125, 7.69921875, 86.6875, 0.0, 38.5, 46.1953125, 15.3984375, 0.0, 0.0, 15.3984375, 0.0, 53.796875, 30.796875, 30.796875, 30.796875, 16.0, 1.0, 17.0, 4.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 46.0, "17711", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17711&g_ta_cod=17711", 27.0, 47.0, 27.0),
(5714, "Privé sous contrat d'association", "0360686A", "Lycée agricole de Saint-Cyran-du-Jambot", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Saint-Cyran-du-Jambot", "formation sélective", "BTS", "Lycée agricole de Saint-Cyran-du-Jambot - BTS - Agricole - productions animales", "BTS - Agricole", "", 32, 129, 108, 121, 0, 36, 6, 28, 5, 30, 10, 27, 8, 4, 0, 1, 3, 106, 3, 0, 0, 33, 6, 27, 5, 28, 9, 18, 94, 19, 19, 18, 1, 10.0, 18.0, 19.0, 0, 5, 18, 8, 7, 3, 1, 0, 7, 3, 7, 1, 0.0, 6, 4, 1, 1, 1, 4, 4, 52.63, 94.74, 100.0, 100.0, 22.19921875, 22.19921875, 5.599609375, 27.796875, 94.6875, 0.0, 38.8984375, 16.69921875, 38.8984375, 5.6, 0.0, 44.3984375, 33.296875, 38.8984375, 22.19921875, 16.69921875, 5.599609375, 30.0, 6.0, 27.0, 8.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 88.0, "4804", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4804&g_ta_cod=4804", 47.0, 37.0, 16.0),
(5715, "Public", "0720079V", "Ecole supérieure d'art et de design TALM-Le Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "Autre formation", "Concours TALM - Diplôme National d'Art option art - Concours ART", "Diplôme National d'Art", "Concours ART", 30, 349, 269, 349, 0, 133, 19, 24, 7, 10, 3, 182, 0, 0, 0, 0, 0, 262, 0, 0, 0, 101, 17, 16, 3, 6, 2, 139, 161, 29, 20, 29, 0, 0.0, 20.0, 27.0, 0, 5, 18, 15, 2, 1, 11, 0, 5, 5, 8, 0, 0.0, 10, 2, 1, 0, 0, 7, 7, 0.0, 68.97, 93.1, 69.0, 38.8984375, 38.8984375, 0, 27.796875, 62.09375, 0.0, 27.796875, 27.796875, 44.3984375, 0.0, 0.0, 83.296875, 55.59375, 11.099609375, 11.099609375, 5.599609375, 5.599609375, 54.0, 10.0, 4.0, 1.0, 93.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "19254", "Diplôme National d'Art option art - Concours ART", "Concours TALM", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19252&g_ta_cod=19254", 79.0, 10.0, 10.0),
(5716, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Physique, chimie - Physique (tronc commun en L1 avec Mathématiques et Chimie)", "Licence - Sciences - technologies - santé", "Physique (tronc commun en L1 avec Mathématiques et Chimie)", 17, 202, 86, 182, 0, 133, 16, 5, 1, 0, 0, 44, 20, 2, 0, 0, 18, 182, 19, 0, 0, 133, 16, 5, 1, 0, 0, 44, 162, 15, 3, 10, 5, 1.0, 6.0, 11.0, 0, 0, 6, 5, 1, 0, 9, 0, 3, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 4, 4, 6.67, 40.0, 73.33, 20.0, 66.6875, 66.6875, 0, 0.0, 40.0, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 83.296875, 50.0, 16.69921875, 0.0, 0.0, 0.0, 116.0, 13.0, 0.0, 0.0, 43.0, "Tous les candidats", 190.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "8829", "Licence - Portail Physique, chimie - Physique (tronc commun en L1 avec Mathématiques et Chimie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29645&g_ta_cod=8829", 93.0, 7.0, 0.0),
(5717, "Privé enseignement supérieur", "0851594W", "ICAM Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "Ecole d'Ingénieur", "GROUPE ICAM - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "", 64, 734, 81, 734, 0, 580, 22, 77, 5, 0, 0, 77, 0, 0, 0, 0, 0, 478, 0, 0, 0, 403, 9, 48, 1, 0, 0, 27, 391, 65, 2, 65, 0, 41.0, 62.0, 65.0, 0, 3, 65, 48, 17, 0, 0, 0, 4, 31, 24, 6, 0.0, 44, 17, 0, 0, 0, 48, 48, 63.08, 95.38, 100.0, 3.099609375, 73.796875, 73.796875, 0, 4.599609375, 100.0, 0.0, 6.19921875, 47.6953125, 36.8984375, 9.2, 0.0, 73.796875, 67.6875, 26.19921875, 26.19921875, 0.0, 0.0, 325.0, 9.0, 0.0, 0.0, 24.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "24663", "Formation d'ingénieur Bac + 5", "GROUPE ICAM", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24652&g_ta_cod=24663", 74.0, 26.0, 0.0),
(5718, "Public", "0220013V", "Lycée De La Fontaine Des Eaux", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Dinan", "formation sélective", "BTS", "Lycée De La Fontaine Des Eaux - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 243, 117, 209, 0, 22, 3, 76, 20, 54, 22, 57, 34, 5, 5, 6, 18, 160, 22, 0, 0, 22, 3, 73, 19, 39, 15, 26, 152, 18, 6, 10, 8, 0.0, 10.0, 17.0, 0, 3, 11, 1, 3, 7, 7, 0, 4, 6, 1, 0, 0.0, 0, 3, 4, 0, 0, 10, 10, 0.0, 55.56, 94.44, 33.296875, 90.890625, 90.890625, 0, 27.296875, 61.09375, 0.0, 36.3984375, 54.5, 9.099609375, 0.0, 0.0, 9.099609375, 0.0, 27.296875, 27.296875, 63.59375, 36.3984375, 22.0, 3.0, 35.0, 14.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 77.0, "3307", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3307&g_ta_cod=3307", 22.0, 33.0, 44.0),
(5719, "Public", "0711775U", "Université de Bourgogne - site Le Creusot", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Le Creusot", "formation non sélective", "Licence_Las", "Université de Bourgogne - site Le Creusot - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 15, 524, 196, 524, 0, 395, 57, 26, 5, 3, 0, 100, 0, 0, 0, 0, 0, 524, 0, 0, 0, 395, 57, 26, 5, 3, 0, 100, 73, 14, 5, 14, 0, 1.0, 9.0, 9.0, 0, 3, 12, 12, 0, 0, 2, 0, 3, 8, 1, 0, 0.0, 9, 0, 0, 0, 0, 12, 12, 7.14, 64.29, 64.29, 35.6953125, 100.0, 100.0, 0, 25.0, 85.6875, 0.0, 25.0, 66.6875, 8.298828125, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 47.0, 10.0, 0.0, 0.0, 26.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "27646", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27645&g_ta_cod=27646", 100.0, 0.0, 0.0),
(5720, "Privé sous contrat d'association", "0060673Z", "Lycée Stanislas", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BTS", "Lycée Stanislas - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 36, 679, 354, 623, 0, 273, 31, 156, 27, 89, 28, 105, 56, 8, 7, 20, 21, 275, 7, 0, 0, 179, 21, 54, 11, 21, 2, 21, 192, 39, 20, 33, 4, 5.0, 21.0, 34.0, 0, 4, 35, 27, 3, 5, 4, 0, 3, 20, 10, 2, 0.0, 25, 3, 4, 11, 6, 34, 34, 12.82, 53.85, 87.18, 51.296875, 97.09375, 97.09375, 31.3984375, 11.3984375, 89.6875, 0.0, 8.599609375, 57.09375, 28.59765625, 5.7, 0.0, 77.09375, 71.390625, 8.599609375, 8.599609375, 14.298828125, 11.3984375, 134.0, 17.0, 24.0, 4.0, 14.0, "Tous les candidats sauf les Bac professionnels", 254.0, "Bacheliers professionnels toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 44.0, "2240", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2240&g_ta_cod=2240", 79.0, 8.0, 13.0),
(5721, "Public", "9741263E", "Lycée Pierre Lagourgue", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation sélective", "BTS", "Lycée Pierre Lagourgue - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 30, 194, 57, 186, 0, 12, 5, 67, 37, 77, 51, 30, 8, 2, 2, 0, 4, 142, 1, 0, 0, 10, 5, 54, 30, 60, 37, 18, 103, 28, 3, 27, 1, 4.0, 23.0, 23.0, 0, 12, 24, 1, 9, 14, 4, 0, 9, 13, 2, 0, 0.0, 0, 3, 12, 0, 0, 24, 24, 14.29, 82.14, 82.14, 10.69921875, 100.0, 100.0, 0, 50.0, 85.6875, 0.0, 37.5, 54.1953125, 8.298828125, 0.0, 0.0, 4.19921875, 0.0, 37.5, 12.5, 58.296875, 50.0, 6.0, 5.0, 37.0, 20.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 62.0, "11982", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11982&g_ta_cod=11982", 11.0, 32.0, 57.0),
(5722, "Public", "0620062F", "Lycée Pierre De Coubertin", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "Autre formation", "Lycée Pierre De Coubertin - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 25, 3, 3, 0, 0, 0.0, 0.0, 2.0, 0, 2, 3, 0, 1, 2, 0, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 3, 3, 0.0, 0.0, 66.67, 100.0, 100.0, 100.0, 0, 66.6875, 100.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 17.0, 7.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22305", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 33.0, 67.0),
(5723, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Physique, chimie - Physique - Chimie (tronc commun en L1 avec Mathématiques)", "Licence - Sciences - technologies - santé", "Physique - Chimie (tronc commun en L1 avec Mathématiques)", 14, 524, 217, 516, 0, 387, 46, 17, 0, 0, 0, 112, 8, 2, 0, 0, 6, 516, 7, 0, 0, 387, 46, 17, 0, 0, 0, 112, 237, 10, 3, 9, 1, 0.0, 3.0, 9.0, 0, 0, 4, 3, 1, 0, 6, 0, 2, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 0.0, 30.0, 90.0, 30.0, 50.0, 50.0, 0, 0.0, 40.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 75.0, 50.0, 25.0, 0.0, 0.0, 0.0, 182.0, 28.0, 0.0, 0.0, 53.0, "Tous les candidats", 530.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "8830", "Licence - Portail Physique, chimie - Physique - Chimie (tronc commun en L1 avec Mathématiques)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29647&g_ta_cod=8830", 90.0, 10.0, 0.0),
(5724, "Privé sous contrat d'association", "0131684K", "Lycée Jeanne Perrimond", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  7e  Arrondissement", "formation sélective", "BTS", "Lycée Jeanne Perrimond - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 241, 161, 214, 0, 28, 10, 91, 35, 37, 22, 58, 27, 8, 0, 0, 19, 192, 15, 0, 0, 27, 9, 85, 31, 34, 19, 46, 131, 21, 15, 16, 5, 1.0, 12.0, 17.0, 0, 9, 12, 3, 5, 4, 9, 0, 7, 5, 0, 0, 0.0, 1, 2, 2, 0, 0, 11, 11, 4.76, 57.14, 80.95, 71.390625, 91.6875, 91.6875, 0, 75.0, 57.09375, 0.0, 58.296875, 41.6953125, 0.0, 0.0, 0.0, 25.0, 8.298828125, 41.6953125, 16.69921875, 33.296875, 16.69921875, 28.0, 9.0, 21.0, 13.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 75.0, "2664", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2664&g_ta_cod=2664", 29.0, 43.0, 29.0),
(5725, "Privé enseignement supérieur", "0530959E", "Facultés libres de l'ouest - UCO - Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Laval - Licence - Information et communication", "Licence - Sciences humaines et sociales", "", 30, 410, 296, 327, 0, 231, 25, 39, 6, 1, 1, 56, 83, 15, 5, 3, 60, 326, 79, 0, 0, 231, 25, 39, 6, 1, 1, 55, 281, 24, 15, 18, 6, 5.0, 15.0, 19.0, 0, 3, 19, 17, 2, 0, 5, 0, 8, 6, 5, 0, 0.0, 10, 1, 0, 0, 0, 14, 14, 20.83, 62.5, 79.17, 62.5, 73.6875, 73.6875, 0, 15.798828125, 79.1875, 0.0, 42.09375, 31.59765625, 26.296875, 0.0, 0.0, 89.5, 52.59375, 10.5, 5.2998046875, 0.0, 0.0, 161.0, 20.0, 3.0, 1.0, 88.0, "Tous les candidats", 325.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "28323", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28323&g_ta_cod=28323", 88.0, 13.0, 0.0),
(5726, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Occitan", "Licence - Arts-lettres-langues", "Occitan", 70, 103, 64, 64, 0, 26, 9, 4, 1, 6, 3, 28, 39, 1, 4, 2, 32, 64, 37, 0, 0, 26, 9, 4, 1, 6, 3, 28, 101, 14, 9, 9, 5, 9.0, 9.0, 9.0, 0, 3, 5, 2, 1, 2, 9, 0, 3, 2, 0, 0, 0.0, 1, 0, 1, 0, 0, 4, 4, 64.29, 64.29, 64.29, 64.296875, 80.0, 80.0, 0, 60.0, 35.6953125, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 40.0, 20.0, 20.0, 0.0, 40.0, 20.0, 27.0, 10.0, 8.0, 4.0, 58.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4160", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Occitan", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4160&g_ta_cod=4160", 57.0, 21.0, 21.0),
(5727, "Privé sous contrat d'association", "0331501C", "Lycée Sainte-Marie Bastide", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Sainte-Marie Bastide - BTS - Services - Communication", "BTS - Services", "", 33, 875, 620, 830, 0, 227, 32, 247, 60, 90, 25, 266, 45, 2, 2, 19, 22, 274, 4, 0, 0, 90, 9, 112, 26, 33, 7, 39, 133, 31, 23, 28, 3, 7.0, 22.0, 26.0, 0, 6, 29, 8, 15, 6, 2, 0, 8, 18, 3, 0, 0.0, 7, 9, 5, 5, 3, 26, 26, 22.58, 70.97, 83.87, 74.1875, 89.6875, 89.6875, 17.19921875, 20.69921875, 93.5, 0.0, 27.59765625, 62.09375, 10.298828125, 0.0, 0.0, 27.59765625, 24.09765625, 51.6953125, 31.0, 20.69921875, 17.19921875, 39.0, 8.0, 23.0, 5.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 22.0, "4354", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4354&g_ta_cod=4354", 26.0, 55.0, 19.0),
(5728, "Privé sous contrat d'association", "0131684K", "Lycée Jeanne Perrimond", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  7e  Arrondissement", "formation sélective", "BTS", "Lycée Jeanne Perrimond - BTS - Services - Gestion de la PME", "BTS - Services", "", 25, 318, 175, 257, 0, 48, 13, 90, 39, 46, 28, 73, 61, 0, 6, 18, 37, 229, 16, 0, 0, 48, 13, 81, 32, 38, 22, 62, 155, 22, 14, 17, 5, 0.0, 9.0, 14.0, 0, 2, 6, 2, 2, 2, 16, 0, 2, 4, 0, 0, 0.0, 2, 1, 1, 0, 0, 6, 6, 0.0, 40.91, 63.64, 63.59375, 100.0, 100.0, 0, 33.296875, 27.296875, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 16.69921875, 33.296875, 16.69921875, 34.0, 12.0, 21.0, 14.0, 52.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 76.0, "2667", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2667&g_ta_cod=2667", 41.0, 36.0, 23.0),
(5729, "Privé sous contrat d'association", "0131398Z", "Lycée Maximilien de Sully", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "BTS", "Lycée Maximilien de Sully - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 419, 194, 202, 0, 39, 10, 37, 13, 29, 15, 97, 217, 16, 55, 30, 116, 126, 32, 0, 0, 35, 9, 24, 7, 21, 9, 46, 133, 20, 6, 15, 5, 2.0, 15.0, 18.0, 0, 5, 13, 6, 3, 4, 7, 0, 7, 4, 1, 1, 0.0, 2, 2, 2, 0, 0, 13, 13, 10.0, 75.0, 90.0, 30.0, 100.0, 100.0, 0, 38.5, 65.0, 0.0, 53.796875, 30.796875, 7.69921875, 7.7, 0.0, 46.1953125, 15.3984375, 23.09765625, 15.3984375, 30.796875, 15.3984375, 35.0, 10.0, 24.0, 11.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 61.0, "2638", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2638&g_ta_cod=2638", 60.0, 20.0, 20.0),
(5730, "Public", "0420044V", "Lycée Simone Weil", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Priest-en-Jarez", "formation sélective", "BTS", "Lycée Simone Weil - BTS - Services - Assurance", "BTS - Services", "", 30, 730, 441, 730, 0, 69, 23, 215, 87, 130, 72, 316, 0, 0, 0, 0, 0, 350, 0, 0, 0, 61, 20, 134, 56, 81, 39, 74, 180, 30, 20, 30, 0, 3.0, 23.0, 28.0, 0, 12, 23, 2, 15, 6, 7, 0, 10, 12, 1, 0, 0.0, 0, 7, 6, 5, 4, 23, 23, 10.0, 76.67, 93.33, 66.6875, 100.0, 100.0, 21.69921875, 52.1953125, 76.6875, 0.0, 43.5, 52.1953125, 4.2998046875, 0.0, 0.0, 8.69921875, 0.0, 65.1875, 30.3984375, 26.09765625, 26.09765625, 24.0, 10.0, 42.0, 22.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 135, "Liste d'appel propre à cette formation", 33.0, "22238", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22238&g_ta_cod=22238", 13.0, 60.0, 27.0),
(5731, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Licence", "Université de Brest - Licence - Arts - Parcours pratique musique", "Licence - Arts-lettres-langues", "pratique musique", 16, 56, 30, 54, 0, 36, 9, 4, 0, 1, 1, 13, 2, 1, 0, 0, 1, 21, 0, 0, 0, 13, 2, 3, 0, 0, 0, 5, 21, 10, 6, 10, 0, 8.0, 10.0, 10.0, 0, 1, 8, 6, 2, 0, 2, 0, 0, 3, 2, 3, 0.0, 6, 2, 0, 0, 0, 5, 5, 80.0, 100.0, 100.0, 60.0, 62.5, 62.5, 0, 12.5, 80.0, 0.0, 0.0, 37.5, 25.0, 37.5, 0.0, 75.0, 75.0, 25.0, 25.0, 0.0, 0.0, 13.0, 2.0, 0.0, 0.0, 5.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "21176", "Licence - Arts - Parcours pratique musique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21176&g_ta_cod=21176", 80.0, 20.0, 0.0),
(5732, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte - Licence - Lettres, langues - Parcours Majeure Italien - Mineure Lettres", "Licence - Arts-lettres-langues", "Majeure Italien - Mineure Lettres", 25, 30, 26, 24, 0, 9, 2, 4, 0, 0, 0, 11, 6, 1, 1, 0, 4, 24, 5, 0, 0, 9, 2, 4, 0, 0, 0, 11, 29, 5, 4, 2, 3, 2.0, 2.0, 3.0, 0, 1, 3, 1, 2, 0, 2, 0, 2, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 3, 3, 40.0, 40.0, 60.0, 80.0, 100.0, 100.0, 0, 33.296875, 60.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 0.0, 0.0, 0.0, 10.0, 2.0, 0.0, 0.0, 14.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20970", "Licence - Lettres, langues - Parcours Majeure Italien - Mineure Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20970&g_ta_cod=20970", 40.0, 40.0, 0.0),
(5733, "Public", "9840386X", "Lycée de Papara", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Papara", "formation sélective", "BTS", "Lycée de Papara - BTS - Production - Electrotechnique", "BTS - Production", "", 17, 86, 9, 83, 0, 6, 5, 20, 10, 47, 26, 10, 3, 0, 1, 0, 2, 63, 1, 0, 0, 5, 4, 14, 6, 41, 22, 3, 40, 16, 0, 15, 1, 4.0, 15.0, 16.0, 0, 11, 15, 0, 4, 11, 1, 0, 6, 5, 3, 1, 0.0, 0, 1, 8, 8, 0, 15, 15, 25.0, 93.75, 100.0, 0.0, 100.0, 100.0, 53.296875, 73.296875, 93.796875, 0.0, 40.0, 33.296875, 20.0, 6.7, 0.0, 0.0, 0.0, 26.69921875, 6.69921875, 73.296875, 53.296875, 4.0, 3.0, 19.0, 11.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 59.0, "13596", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13596&g_ta_cod=13596", 0.0, 31.0, 69.0),
(5734, "Privé sous contrat d'association", "0660059F", "Lycée Notre-Dame De Bon Secours", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée Notre-Dame De Bon Secours - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 194, 119, 157, 0, 7, 2, 71, 18, 19, 7, 60, 37, 1, 13, 3, 20, 90, 13, 0, 0, 6, 2, 54, 15, 14, 4, 16, 95, 19, 13, 15, 4, 4.0, 15.0, 19.0, 0, 3, 11, 0, 8, 3, 8, 1, 3, 5, 1, 1, 0.0, 0, 6, 1, 7, 3, 10, 10, 21.05, 78.95, 100.0, 68.390625, 90.890625, 90.890625, 63.59375, 27.296875, 57.8984375, 9.099609375, 27.296875, 45.5, 9.099609375, 9.1, 0.0, 0.0, 0.0, 72.6875, 54.5, 27.296875, 9.099609375, 6.0, 2.0, 15.0, 5.0, 18.0, "Tous les candidats sauf les Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 57.0, "7860", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7860&g_ta_cod=7860", 32.0, 47.0, 21.0),
(5735, "Public", "0410030K", "Lycée Ronsard", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Vendôme", "formation sélective", "BTS", "Lycée Ronsard - BTS - Services - Gestion de la PME", "BTS - Services", "", 15, 268, 156, 254, 0, 4, 0, 69, 26, 77, 40, 104, 14, 0, 0, 9, 5, 108, 2, 0, 0, 4, 0, 44, 14, 51, 23, 9, 66, 15, 8, 12, 2, 3.0, 10.0, 11.0, 0, 7, 15, 1, 8, 6, 0, 0, 7, 5, 3, 0, 0.0, 1, 3, 4, 8, 5, 14, 14, 20.0, 66.67, 73.33, 53.296875, 93.296875, 93.296875, 53.296875, 46.6953125, 100.0, 0.0, 46.6953125, 33.296875, 20.0, 0.0, 0.0, 6.69921875, 6.69921875, 53.296875, 20.0, 40.0, 26.69921875, 1.0, 0.0, 41.0, 18.0, 3.0, "Tous les candidats sauf les Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 28.0, "5244", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5244&g_ta_cod=5244", 7.0, 53.0, 40.0),
(5736, "Privé sous contrat d'association", "0131456M", "Lycée Pastré - Grande Bastide", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  9e  Arrondissement", "formation sélective", "BTS", "Lycée Pastré - Grande Bastide - BTS - Services - Economie sociale familiale", "BTS - Services", "", 36, 678, 596, 429, 0, 58, 26, 93, 46, 161, 97, 117, 249, 10, 49, 69, 121, 72, 16, 0, 0, 17, 5, 21, 9, 18, 11, 16, 89, 21, 17, 7, 14, 2.0, 5.0, 15.0, 0, 5, 13, 2, 6, 5, 8, 0, 6, 6, 1, 0, 0.0, 1, 3, 3, 3, 3, 11, 11, 9.52, 23.81, 71.43, 81.0, 84.59375, 84.59375, 23.09765625, 38.5, 61.8984375, 0.0, 46.1953125, 46.1953125, 7.69921875, 0.0, 0.0, 15.3984375, 7.69921875, 46.1953125, 23.09765625, 38.5, 23.09765625, 15.0, 6.0, 25.0, 14.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 17.0, "2650", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2650&g_ta_cod=2650", 19.0, 52.0, 29.0),
(5737, "Public", "0710001R", "Lycée Bonaparte", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Autun", "formation sélective", "BTS", "Lycée Bonaparte - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 14, 463, 257, 463, 0, 100, 13, 127, 26, 151, 39, 85, 0, 0, 0, 0, 0, 463, 0, 0, 0, 100, 13, 127, 26, 151, 39, 85, 54, 14, 4, 14, 0, 1.0, 12.0, 13.0, 0, 2, 14, 3, 4, 7, 0, 0, 0, 12, 2, 0, 0.0, 3, 4, 7, 1, 0, 10, 10, 7.14, 85.71, 92.86, 28.59765625, 71.390625, 71.390625, 7.099609375, 14.298828125, 100.0, 0.0, 0.0, 85.6875, 14.298828125, 0.0, 0.0, 21.3984375, 21.3984375, 28.59765625, 28.59765625, 50.0, 50.0, 10.0, 2.0, 18.0, 4.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers technologiques toutes séries", 34, "Bacheliers professionnels toutes séries", 21, "Liste d'appel propre à cette formation", 17.0, "28246", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28246&g_ta_cod=28246", 21.0, 29.0, 50.0),
(5738, "Public", "9760163Y", "Lycée professionnel De Kaweni", "976", "Mayotte", "Mayotte", "Mayotte", "Mamoudzou", "formation sélective", "BTS", "Lycée professionnel De Kaweni - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 15, 55, 36, 50, 0, 0, 0, 15, 6, 18, 8, 17, 5, 0, 0, 1, 4, 27, 3, 0, 0, 0, 0, 10, 4, 6, 3, 11, 30, 15, 11, 12, 3, 8.0, 11.0, 12.0, 0, 6, 8, 0, 4, 4, 7, 0, 7, 1, 0, 0, 0.0, 0, 0, 1, 8, 6, 8, 8, 53.33, 73.33, 80.0, 73.296875, 100.0, 100.0, 100, 75.0, 53.296875, 0.0, 87.5, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 12.5, 0.0, 0.0, 6.0, 3.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 52.0, "13677", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13677&g_ta_cod=13677", 0.0, 53.0, 47.0),
(5739, "Public", "0060034E", "Lycée des Métiers - Hôtelier et Tourisme Paul Augier", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée des Métiers - Hôtelier et Tourisme Paul Augier - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 84, 781, 432, 766, 0, 0, 0, 293, 50, 258, 66, 215, 15, 0, 0, 6, 9, 282, 3, 0, 0, 0, 0, 107, 18, 102, 24, 73, 192, 78, 38, 77, 1, 54.0, 77.0, 78.0, 0, 3, 48, 0, 25, 23, 30, 0, 3, 21, 21, 3, 0.0, 0, 22, 23, 35, 13, 43, 43, 69.23, 98.72, 100.0, 48.6953125, 89.59375, 89.59375, 72.890625, 6.2998046875, 61.5, 0.0, 6.2998046875, 43.796875, 43.796875, 6.3, 0.0, 0.0, 0.0, 52.09375, 45.796875, 47.8984375, 47.8984375, 0.0, 0.0, 80.0, 16.0, 46.0, "Tous les candidats sauf les Bac professionnels", 174.0, "Bacheliers professionnels toutes séries", 104, "", 0, "Liste d'appel propre à cette formation", 36.0, "2217", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2217&g_ta_cod=2217", 33.0, 36.0, 31.0),
(5740, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "Autre formation", "Université Claude Bernard Lyon 1 - DEUST - Animation et gestion des activités sportives, physiques ou culturelles, parcours activités aquatiques", "DEUST", "", 28, 78, 26, 56, 0, 27, 4, 10, 3, 4, 0, 15, 22, 12, 4, 0, 6, 28, 7, 0, 0, 18, 3, 3, 0, 1, 0, 6, 35, 11, 6, 6, 5, 6.0, 6.0, 9.0, 0, 0, 5, 5, 0, 0, 6, 0, 4, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 54.55, 54.55, 81.82, 54.5, 20.0, 20.0, 0, 0.0, 45.5, 0.0, 80.0, 0.0, 20.0, 0.0, 0.0, 100.0, 20.0, 0.0, 0.0, 0.0, 0.0, 21.0, 3.0, 1.0, 0.0, 9.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "21548", "DEUST - Animation et gestion des activités sportives, physiques ou culturelles, parcours activités aquatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21548&g_ta_cod=21548", 91.0, 9.0, 0.0),
(5741, "Public", "0754400A", "Polytech Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 145, 9092, 2490, 9092, 0, 8089, 903, 0, 0, 0, 0, 1003, 0, 0, 0, 0, 0, 6176, 0, 0, 0, 5835, 480, 0, 0, 0, 0, 341, 2249, 141, 38, 141, 0, 88.0, 106.0, 129.0, 0, 34, 134, 134, 0, 0, 7, 0, 0, 8, 79, 43, 4.0, 134, 0, 0, 0, 0, 27, 102, 62.41, 75.18, 91.49, 27.0, 20.09765625, 76.09375, 0, 25.3984375, 95.0, 0.0, 0.0, 6.0, 59.0, 32.1, 3.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 2186.0, 258.0, 0.0, 0.0, 63.0, "Autres candidats", 5818.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "31", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=31", 100.0, 0.0, 0.0),
(5742, "Public", "0610002W", "Lycée Leclerc Navarre", "61", "Orne", "Normandie", "Normandie", "Alençon", "formation sélective", "BTS", "Lycée Leclerc Navarre - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 18, 412, 368, 412, 0, 23, 6, 112, 23, 168, 64, 109, 0, 0, 0, 0, 0, 282, 0, 0, 0, 18, 5, 92, 21, 122, 40, 50, 99, 17, 15, 17, 0, 0.0, 13.0, 13.0, 0, 3, 15, 1, 6, 8, 2, 0, 4, 7, 3, 1, 0.0, 0, 4, 7, 7, 5, 13, 13, 0.0, 76.47, 76.47, 88.1875, 86.6875, 86.6875, 46.6953125, 20.0, 88.1875, 0.0, 26.69921875, 46.6953125, 20.0, 6.7, 0.0, 6.69921875, 0.0, 40.0, 26.69921875, 53.296875, 46.6953125, 7.0, 3.0, 35.0, 10.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 29.0, "7291", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7291&g_ta_cod=7291", 12.0, 35.0, 53.0),
(5743, "Public", "0860037Y", "Lycée Nelson Mandela", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "CPGE", "Lycée Nelson Mandela - CPGE - PTSI", "Classe préparatoire scientifique", "", 35, 430, 97, 414, 312, 264, 21, 0, 0, 0, 0, 150, 16, 7, 0, 0, 9, 278, 11, 216, 265, 252, 18, 0, 0, 0, 0, 26, 231, 23, 1, 21, 2, 1.0, 19.0, 23.0, 11, 0, 17, 17, 0, 0, 6, 0, 2, 10, 5, 0, 0.0, 15, 0, 0, 2, 0, 12, 12, 4.35, 82.61, 100.0, 4.2998046875, 70.59375, 70.59375, 11.798828125, 0.0, 73.890625, 0.0, 11.798828125, 58.796875, 29.3984375, 0.0, 0.0, 100.0, 88.1875, 0.0, 0.0, 0.0, 0.0, 205.0, 18.0, 0.0, 0.0, 26.0, "Tous les candidats", 277.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "14480", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14480&g_ta_cod=14480", 100.0, 0.0, 0.0),
(5744, "Public", "0762762P", "Université Le Havre Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation non sélective", "Licence", "Université Le Havre Normandie - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 105, 642, 312, 594, 0, 381, 74, 76, 24, 19, 6, 118, 48, 5, 3, 9, 31, 594, 46, 0, 0, 381, 74, 76, 24, 19, 6, 118, 640, 95, 41, 77, 18, 76.0, 76.0, 84.0, 0, 13, 61, 41, 14, 6, 34, 6, 27, 22, 5, 1, 0.0, 25, 3, 0, 0, 0, 56, 56, 80.0, 80.0, 88.42, 43.1953125, 91.796875, 91.796875, 0, 21.296875, 64.1875, 9.798828125, 44.296875, 36.09375, 8.19921875, 1.6, 0.0, 67.1875, 41.0, 23.0, 4.8994140625, 9.798828125, 0.0, 386.0, 76.0, 28.0, 10.0, 147.0, "Tous les candidats", 594.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15746", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15746&g_ta_cod=15746", 63.0, 23.0, 12.0),
(5745, "Public", "0930122C", "Lycée CONDORCET", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "BTS", "Lycée CONDORCET - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 24, 493, 14, 493, 0, 54, 14, 74, 29, 248, 105, 117, 0, 0, 0, 0, 0, 323, 0, 0, 0, 48, 12, 60, 25, 158, 61, 57, 93, 18, 0, 18, 0, 1.0, 11.0, 16.0, 0, 7, 16, 2, 1, 13, 2, 0, 4, 8, 3, 1, 0.0, 0, 1, 11, 0, 0, 9, 16, 5.56, 61.11, 88.89, 0.0, 56.296875, 100.0, 0, 43.796875, 88.890625, 0.0, 25.0, 50.0, 18.796875, 6.3, 0.0, 12.5, 0.0, 6.2998046875, 6.2998046875, 81.296875, 68.796875, 14.0, 6.0, 59.0, 19.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 23.0, "11185", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11185&g_ta_cod=11185", 17.0, 11.0, 72.0),
(5746, "Privé sous contrat d'association", "0754030Y", "Lycée Albert de Mun", "75", "Paris", "Ile-de-France", "Paris", "Paris  7e  Arrondissement", "formation sélective", "BTS", "Lycée Albert de Mun - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 389, 269, 389, 0, 18, 2, 131, 28, 137, 61, 103, 0, 0, 0, 0, 0, 368, 0, 0, 0, 18, 2, 130, 28, 136, 61, 84, 229, 28, 19, 28, 0, 4.0, 10.0, 17.0, 0, 9, 14, 0, 6, 8, 14, 0, 6, 6, 2, 0, 0.0, 0, 3, 5, 0, 0, 7, 13, 14.29, 35.71, 60.71, 67.890625, 50.0, 92.890625, 0, 64.296875, 50.0, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 0.0, 0.0, 42.8984375, 21.3984375, 57.09375, 35.6953125, 10.0, 2.0, 83.0, 37.0, 50.0, "Tous les candidats sauf les Bac professionnels", 144.0, "Bacheliers professionnels toutes séries", 108, "", 0, "Liste d'appel propre à cette formation", 65.0, "9496", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9496&g_ta_cod=9496", 4.0, 43.0, 54.0),
(5747, "Public", "0810012Y", "Lycée Jean Jaures", "81", "Tarn", "Occitanie", "Toulouse", "Carmaux", "formation sélective", "BTS", "Lycée Jean Jaures - BTS - Production - Techniques et services en matériels agricoles", "BTS - Production", "", 24, 141, 7, 138, 0, 8, 3, 26, 4, 71, 13, 33, 3, 0, 0, 1, 2, 82, 0, 0, 0, 3, 2, 22, 4, 55, 10, 2, 54, 14, 0, 14, 0, 7.0, 12.0, 14.0, 0, 0, 14, 0, 2, 12, 0, 0, 3, 5, 6, 0, 0.0, 0, 2, 9, 8, 0, 13, 13, 50.0, 85.71, 100.0, 0.0, 92.890625, 92.890625, 57.09375, 0.0, 100.0, 0.0, 21.3984375, 35.6953125, 42.8984375, 0.0, 0.0, 0.0, 0.0, 14.298828125, 14.298828125, 85.6875, 64.296875, 1.0, 0.0, 39.0, 8.0, 1.0, "Tous les candidats sauf les Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 59.0, "10268", "BTS - Production - Techniques et services en matériels agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10268&g_ta_cod=10268", 0.0, 14.0, 86.0),
(5748, "Public", "0251555E", "IFSI CHU Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "IFSI", "Regroupement d'IFSI Université Franche-Comté Besançon - D.E Infirmier", "D.E secteur sanitaire", "", 124, 3135, 2691, 3135, 0, 672, 136, 578, 142, 333, 101, 1552, 0, 0, 0, 0, 0, 2705, 0, 0, 0, 616, 118, 508, 116, 252, 69, 1329, 588, 124, 111, 124, 0, 19.0, 59.0, 87.0, 0, 17, 63, 26, 26, 11, 61, 0, 2, 30, 28, 3, 0.0, 25, 26, 10, 0, 0, 54, 54, 15.32, 47.58, 70.16, 89.5, 85.6875, 85.6875, 0, 27.0, 50.796875, 0.0, 3.19970703125, 47.59375, 44.3984375, 4.8, 0.0, 41.296875, 39.6953125, 41.296875, 41.296875, 17.5, 15.8984375, 159.0, 30.0, 37.0, 14.0, 297.0, "Tous les candidats", 930.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "23112", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22990&g_ta_cod=23112", 57.0, 28.0, 14.0),
(5749, "Public", "0590065A", "Lycée Edmond Labbe", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "BTS", "Lycée Edmond Labbe - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 207, 12, 207, 0, 5, 2, 40, 14, 105, 48, 57, 0, 0, 0, 0, 0, 142, 0, 0, 0, 1, 0, 40, 14, 89, 41, 12, 77, 28, 1, 28, 0, 16.0, 27.0, 27.0, 0, 11, 23, 0, 5, 18, 5, 0, 6, 7, 9, 1, 0.0, 0, 3, 14, 3, 0, 23, 23, 57.14, 96.43, 96.43, 3.599609375, 100.0, 100.0, 13, 47.796875, 82.09375, 0.0, 26.09765625, 30.3984375, 39.09375, 4.3, 0.0, 0.0, 0.0, 21.69921875, 13.0, 78.296875, 60.8984375, 0.0, 0.0, 53.0, 23.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 43.0, "6745", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6745&g_ta_cod=6745", 4.0, 32.0, 64.0),
(5750, "Privé sous contrat d'association", "0751883P", "Institut Supérieur Clorivière", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "BTS", "Institut Supérieur Clorivière - BTS - Services - Economie sociale familiale", "BTS - Services", "", 74, 1214, 1043, 745, 0, 85, 24, 134, 39, 317, 137, 209, 469, 22, 89, 163, 195, 235, 73, 0, 0, 36, 9, 39, 7, 106, 40, 54, 271, 67, 56, 32, 35, 18.0, 31.0, 50.0, 0, 12, 41, 7, 12, 22, 26, 0, 16, 19, 4, 2, 0.0, 4, 6, 15, 0, 0, 4, 35, 26.87, 46.27, 74.63, 83.59375, 9.798828125, 85.390625, 0, 29.296875, 61.1953125, 0.0, 39.0, 46.296875, 9.798828125, 4.9, 0.0, 17.09765625, 9.798828125, 29.296875, 14.599609375, 53.6953125, 36.59375, 36.0, 8.0, 116.0, 45.0, 73.0, "Tous les candidats sauf les Bac professionnels", 105.0, "Bacheliers professionnels toutes séries", 130, "", 0, "Liste d'appel propre à cette formation", 32.0, "9357", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9357&g_ta_cod=9357", 21.0, 30.0, 49.0),
(5751, "Public", "0890005X", "Lycée Joseph Fourier", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Auxerre", "formation sélective", "BTS", "Lycée Joseph Fourier - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 18, 282, 146, 282, 0, 30, 7, 89, 29, 105, 40, 58, 0, 0, 0, 0, 0, 202, 0, 0, 0, 27, 6, 75, 24, 73, 29, 27, 82, 14, 10, 14, 0, 2.0, 12.0, 12.0, 0, 6, 12, 3, 3, 6, 2, 0, 4, 6, 1, 1, 0.0, 3, 0, 5, 2, 1, 12, 12, 14.29, 85.71, 85.71, 71.390625, 100.0, 100.0, 16.69921875, 50.0, 85.6875, 0.0, 33.296875, 50.0, 8.298828125, 8.3, 0.0, 25.0, 25.0, 25.0, 0.0, 50.0, 41.6953125, 13.0, 4.0, 29.0, 18.0, 6.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 36.0, "10772", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10772&g_ta_cod=10772", 21.0, 29.0, 50.0),
(5752, "Public", "0762964J", "Lycée Le Corbusier", "76", "Seine-Maritime", "Normandie", "Normandie", "Saint-Etienne-du-Rouvray", "formation sélective", "BTS", "Lycée Le Corbusier - BTS - Production - Travaux publics", "BTS - Production", "", 25, 317, 27, 317, 0, 38, 6, 100, 25, 63, 20, 116, 0, 0, 0, 0, 0, 190, 0, 0, 0, 36, 5, 81, 19, 55, 16, 18, 127, 24, 0, 24, 0, 0.0, 19.0, 22.0, 0, 8, 20, 3, 9, 8, 4, 2, 10, 6, 2, 0, 0.0, 1, 0, 7, 6, 0, 18, 18, 0.0, 79.17, 91.67, 0.0, 90.0, 90.0, 30, 40.0, 83.296875, 10.0, 50.0, 30.0, 10.0, 0.0, 0.0, 15.0, 5.0, 45.0, 0.0, 40.0, 35.0, 18.0, 5.0, 38.0, 11.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 52.0, "9760", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9760&g_ta_cod=9760", 17.0, 46.0, 38.0),
(5753, "Public", "9711033W", "Lycée polyvalent Pointe Noire", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-Noire", "formation sélective", "BTS", "Lycée polyvalent Pointe Noire - BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "BTS - Services", "", 8, 88, 22, 88, 0, 27, 12, 18, 5, 15, 7, 28, 0, 0, 0, 0, 0, 19, 0, 0, 0, 4, 0, 7, 4, 5, 3, 3, 18, 8, 1, 8, 0, 4.0, 7.0, 7.0, 0, 3, 6, 1, 4, 1, 2, 0, 1, 4, 1, 0, 0.0, 1, 3, 1, 1, 0, 6, 6, 50.0, 87.5, 87.5, 12.5, 100.0, 100.0, 16.69921875, 50.0, 75.0, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 16.69921875, 16.69921875, 66.6875, 50.0, 16.69921875, 16.69921875, 3.0, 0.0, 5.0, 3.0, 3.0, "Tous les candidats sauf les Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 20.0, "14690", "BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14690&g_ta_cod=14690", 25.0, 63.0, 13.0),
(5754, "Public", "9741103F", "Ecole d'Architecture de la Réunion - Antenne de l'ENSAM", "974", "La Réunion", "La Réunion", "La Réunion", "Le Port", "formation sélective", "Autre formation", "Ecole d'Architecture de la Réunion - Antenne de l'ENSAM - Architecture", "Formations Bac + 5", "", 45, 381, 206, 381, 0, 178, 67, 75, 42, 20, 15, 108, 0, 0, 0, 0, 0, 117, 0, 0, 0, 74, 24, 15, 8, 3, 1, 25, 65, 44, 28, 44, 0, 30.0, 39.0, 40.0, 0, 11, 34, 26, 6, 2, 10, 0, 0, 9, 17, 8, 0.0, 26, 6, 2, 0, 0, 22, 22, 68.18, 88.64, 90.91, 63.59375, 64.6875, 64.6875, 0, 32.3984375, 77.296875, 0.0, 0.0, 26.5, 50.0, 23.5, 0.0, 76.5, 76.5, 17.59765625, 17.59765625, 5.8994140625, 5.8994140625, 43.0, 16.0, 2.0, 1.0, 12.0, "Tous les candidats", 63.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "11950", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11950&g_ta_cod=11950", 80.0, 16.0, 5.0),
(5755, "Public", "0810004P", "Lycée Louis Rascol", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "BTS", "Lycée Louis Rascol - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 472, 69, 472, 0, 46, 5, 126, 26, 63, 23, 237, 0, 0, 0, 0, 0, 267, 0, 0, 0, 46, 5, 116, 24, 57, 20, 48, 124, 31, 0, 31, 0, 6.0, 31.0, 31.0, 0, 5, 24, 1, 14, 9, 7, 0, 10, 9, 5, 0, 0.0, 1, 6, 7, 16, 0, 22, 22, 19.35, 100.0, 100.0, 0.0, 91.6875, 91.6875, 66.6875, 20.796875, 77.390625, 0.0, 41.6953125, 37.5, 20.796875, 0.0, 0.0, 4.19921875, 4.19921875, 58.296875, 25.0, 37.5, 29.19921875, 5.0, 1.0, 28.0, 8.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 33.0, "10260", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10260&g_ta_cod=10260", 6.0, 58.0, 35.0),
(5756, "Privé sous contrat d'association", "0922593U", "ESSCA School of Management - Paris", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Boulogne-Billancourt", "formation sélective", "Ecole de Commerce", "Concours ACCES - Formation des écoles de commerce et de management Bac + 5", "Formation des écoles de commerce et de management", "", 330, 4787, 2069, 4787, 0, 4367, 91, 105, 8, 1, 0, 314, 0, 0, 0, 0, 0, 3497, 0, 0, 0, 3273, 55, 29, 1, 0, 0, 195, 2699, 406, 166, 406, 0, 153.0, 404.0, 404.0, 0, 12, 382, 380, 2, 0, 24, 1, 59, 197, 119, 6, 0.0, 320, 2, 0, 0, 0, 194, 334, 37.68, 99.51, 99.51, 40.8984375, 50.796875, 87.390625, 0, 3.099609375, 94.09375, 0.29998779296875, 15.3984375, 51.59375, 31.19921875, 1.6, 0.0, 99.5, 83.796875, 0.5, 0.5, 0.0, 0.0, 2533.0, 52.0, 0.0, 0.0, 152.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "26005", "Formation des écoles de commerce et de management Bac + 5", "Concours ACCES", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26003&g_ta_cod=26005", 100.0, 0.0, 0.0),
(5757, "Privé sous contrat d'association", "0753696K", "EFPP", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "EFTS", "EFPP - D.E Educateur Spécialisé", "D.E secteur social", "", 51, 370, 298, 370, 0, 72, 6, 68, 11, 44, 9, 186, 0, 0, 0, 0, 0, 307, 0, 0, 0, 62, 4, 56, 6, 40, 7, 149, 122, 56, 50, 56, 0, 28.0, 56.0, 56.0, 0, 0, 29, 11, 12, 6, 27, 0, 6, 9, 9, 5, 0.0, 6, 11, 6, 0, 0, 6, 26, 50.0, 100.0, 100.0, 89.296875, 20.69921875, 89.6875, 0, 0.0, 51.796875, 0.0, 20.69921875, 31.0, 31.0, 17.2, 0.0, 37.8984375, 20.69921875, 41.3984375, 37.8984375, 20.69921875, 20.69921875, 24.0, 1.0, 17.0, 1.0, 54.0, "Tous les candidats", 142.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "23753", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23753&g_ta_cod=23753", 48.0, 30.0, 21.0),
(5758, "Public", "0870125N", "I.U.T du Limousin - site de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BUT", "I.U.T du Limousin - site de Limoges - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Management de process industriel - Simulation numérique et réalité virtuelle", "BUT - Production", "Innovation pour l?industrie - Management de process industriel - Simulation numérique et réalité virtuelle", 72, 816, 69, 794, 0, 466, 56, 195, 27, 7, 3, 126, 22, 4, 5, 0, 13, 575, 5, 0, 0, 353, 36, 165, 23, 0, 0, 57, 443, 60, 3, 57, 3, 25.0, 45.0, 58.0, 0, 5, 54, 34, 20, 0, 6, 0, 18, 29, 7, 0, 0.0, 21, 15, 0, 0, 0, 33, 33, 41.67, 75.0, 96.67, 5.0, 61.09375, 61.09375, 0, 9.298828125, 90.0, 0.0, 33.296875, 53.6953125, 13.0, 0.0, 0.0, 63.0, 38.8984375, 37.0, 27.796875, 0.0, 0.0, 248.0, 30.0, 0.0, 0.0, 51.0, "Tous les candidats sauf les Bac technologiques", 389.0, "Bacheliers technologiques toutes séries", 176, "", 0, "Liste d'appel propre à cette formation", 71.0, "10685", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Management de process industriel - Simulation numérique et réalité virtuelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10685&g_ta_cod=10685", 65.0, 35.0, 0.0),
(5759, "Public", "0590270Y", "Lycée professionnel du Hainaut", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "Autre formation", "Lycée professionnel du Hainaut - Mention complémentaire - Dispositif SAS - Préparation à l'apprentissage", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 30, 1, 0, 0, 0, 0.0, 0.0, 0.0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 1.0, 0.0, 23.0, 10.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22335", "Mention complémentaire - Dispositif SAS - Préparation à l'apprentissage", "", "", 0.0, 0.0, 100.0),
(5760, "Privé sous contrat d'association", "0580661D", "Lycée professionnel Agricole Horticole Rural du Haut Nivernais", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Varzy", "formation sélective", "BTS", "Lycée professionnel Agricole Horticole Rural du Haut Nivernais - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 16, 75, 41, 67, 0, 3, 2, 6, 2, 39, 15, 19, 8, 0, 2, 4, 2, 52, 6, 0, 0, 3, 2, 5, 2, 39, 15, 5, 53, 12, 8, 9, 3, 5.0, 9.0, 11.0, 0, 5, 10, 0, 0, 10, 2, 0, 7, 2, 1, 0, 0.0, 0, 0, 3, 8, 5, 8, 8, 41.67, 75.0, 91.67, 66.6875, 80.0, 80.0, 80, 50.0, 83.296875, 0.0, 70.0, 20.0, 10.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 30.0, 3.0, 2.0, 37.0, 16.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 76.0, "13470", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13470&g_ta_cod=13470", 0.0, 8.0, 92.0),
(5761, "Public", "0672198A", "Lycée Le Corbusier", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "BTS", "Lycée Le Corbusier - BTS - Production - Management économique de la construction", "BTS - Production", "", 29, 187, 50, 187, 0, 17, 5, 50, 12, 53, 23, 67, 0, 0, 0, 0, 0, 143, 0, 0, 0, 17, 5, 50, 12, 53, 23, 23, 89, 29, 8, 29, 0, 5.0, 21.0, 25.0, 0, 9, 27, 3, 12, 12, 2, 0, 15, 9, 3, 0, 0.0, 2, 2, 8, 4, 4, 23, 23, 17.24, 72.41, 86.21, 27.59765625, 85.1875, 85.1875, 14.798828125, 33.296875, 93.09375, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 11.099609375, 7.3994140625, 44.3984375, 7.3994140625, 44.3984375, 29.59765625, 9.0, 3.0, 32.0, 10.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 54.0, "7994", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7994&g_ta_cod=7994", 10.0, 45.0, 45.0),
(5762, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 465, 3556, 2925, 3556, 0, 1873, 412, 382, 96, 117, 45, 1184, 0, 0, 0, 0, 0, 3550, 0, 0, 0, 1873, 412, 382, 96, 117, 45, 1178, 1594, 459, 377, 459, 0, 179.0, 382.0, 415.0, 0, 88, 334, 277, 42, 15, 125, 3, 103, 146, 64, 17, 1.0, 190, 26, 12, 0, 0, 313, 313, 39.0, 83.22, 90.41, 82.09375, 93.6875, 93.6875, 0, 26.296875, 72.796875, 0.89990234375, 30.796875, 43.6953125, 19.19921875, 5.1, 0.3, 82.890625, 56.8984375, 12.599609375, 7.7998046875, 4.5, 3.599609375, 938.0, 210.0, 38.0, 13.0, 498.0, "Tous les candidats", 1877.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 49.0, "3272", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27637&g_ta_cod=3272", 84.0, 12.0, 4.0),
(5763, "Public", "0932116V", "Lycée Eugenie Cotton", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "Autre formation", "Lycée Eugenie Cotton - Mention complémentaire - FCIL Gestion dossier retraite prévoyance et santé", "Mention complémentaire", "", 12, 68, 49, 62, 0, 0, 0, 0, 0, 46, 26, 16, 6, 0, 0, 3, 3, 37, 0, 0, 0, 0, 0, 0, 0, 28, 15, 9, 31, 9, 8, 8, 0, 3.0, 6.0, 8.0, 0, 4, 5, 0, 0, 5, 4, 0, 3, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 2, 5, 33.33, 66.67, 88.89, 88.890625, 40.0, 100.0, 0, 80.0, 55.59375, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 40.0, 0.0, 0.0, 21.0, 10.0, 8.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "24732", "Mention complémentaire - FCIL Gestion dossier retraite prévoyance et santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24732&g_ta_cod=24732", 0.0, 0.0, 100.0),
(5764, "Public", "0600001A", "Lycée Felix Faure", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "BTS", "Lycée Felix Faure - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 32, 471, 207, 380, 0, 41, 14, 104, 28, 81, 38, 154, 91, 2, 14, 32, 43, 127, 10, 0, 0, 25, 6, 55, 12, 35, 14, 12, 94, 30, 17, 25, 5, 10.0, 22.0, 26.0, 0, 4, 25, 4, 13, 8, 5, 0, 8, 12, 3, 2, 0.0, 3, 6, 8, 9, 3, 24, 24, 33.33, 73.33, 86.67, 56.6953125, 96.0, 96.0, 36, 16.0, 83.296875, 0.0, 32.0, 48.0, 12.0, 8.0, 0.0, 16.0, 12.0, 52.0, 24.0, 32.0, 32.0, 12.0, 3.0, 32.0, 10.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 31.0, "7211", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7211&g_ta_cod=7211", 23.0, 47.0, 30.0),
(5765, "Public", "0391092A", "Lycée Paul Emile Victor- Lycée des métiers de la production et de la maintenance industrielles", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Champagnole", "formation sélective", "BTS", "Lycée Paul Emile Victor- Lycée des métiers de la production et de la maintenance industrielles - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 328, 34, 324, 0, 10, 1, 30, 2, 87, 22, 197, 4, 0, 2, 2, 0, 309, 1, 0, 0, 10, 1, 30, 2, 87, 22, 182, 81, 14, 0, 13, 1, 1.0, 10.0, 12.0, 0, 2, 12, 1, 0, 11, 2, 0, 5, 5, 2, 0, 0.0, 1, 0, 6, 4, 0, 9, 9, 7.14, 71.43, 85.71, 0.0, 75.0, 75.0, 33.296875, 16.69921875, 85.6875, 0.0, 41.6953125, 41.6953125, 16.69921875, 0.0, 0.0, 8.298828125, 8.298828125, 0.0, 0.0, 91.6875, 50.0, 6.0, 1.0, 50.0, 10.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 37.0, "5179", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5179&g_ta_cod=5179", 7.0, 0.0, 93.0),
(5766, "Privé enseignement supérieur", "0630109B", "ESC Clermont Business School", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Ecole de Commerce", "ESC Clermont Business School - Formation des écoles de commerce et de management Bac + 3 - Bachelor en Communication Digitale et E-Business", "Formation des écoles de commerce et de management", "Bachelor en Communication Digitale et E-Business", 65, 141, 73, 105, 0, 65, 6, 12, 1, 3, 0, 25, 36, 11, 3, 3, 19, 37, 18, 0, 0, 30, 5, 3, 0, 1, 0, 3, 55, 25, 15, 19, 6, 18.0, 18.0, 21.0, 0, 0, 21, 18, 2, 1, 4, 0, 8, 9, 4, 0, 0.0, 11, 1, 1, 0, 0, 16, 16, 72.0, 72.0, 84.0, 60.0, 76.1875, 76.1875, 0, 0.0, 84.0, 0.0, 38.09375, 42.8984375, 19.0, 0.0, 0.0, 85.6875, 52.3984375, 9.5, 4.7998046875, 4.7998046875, 4.7998046875, 39.0, 6.0, 2.0, 0.0, 9.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "33551", "Formation des écoles de commerce et de management Bac + 3 - Bachelor en Communication Digitale et E-Business", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33551&g_ta_cod=33551", 84.0, 8.0, 8.0),
(5767, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence_Las", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Physique, chimie - Physique (tronc commun en L1 avec Mathématiques et Chimie)", "Licence - Sciences - technologies - santé", "Physique (tronc commun en L1 avec Mathématiques et Chimie)", 2, 56, 36, 55, 0, 35, 9, 3, 0, 0, 0, 17, 1, 0, 0, 0, 1, 55, 1, 0, 0, 35, 9, 3, 0, 0, 0, 17, 31, 2, 2, 1, 1, 0.0, 0.0, 2.0, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0, 0.0, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 18.0, 5.0, 0.0, 0.0, 12.0, "Tous les candidats", 186.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "29646", "Licence - Portail Physique, chimie - Physique (tronc commun en L1 avec Mathématiques et Chimie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29645&g_ta_cod=29646", 50.0, 50.0, 0.0),
(5768, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Sciences et technologies", "Licence - Sciences - technologies - santé", "Sciences et technologies : Informatique", 160, 2117, 403, 2117, 0, 1360, 238, 121, 31, 15, 8, 621, 0, 0, 0, 0, 0, 2095, 0, 0, 0, 1360, 238, 121, 31, 15, 8, 599, 945, 157, 12, 157, 0, 7.0, 131.0, 141.0, 0, 38, 127, 124, 3, 0, 30, 0, 37, 60, 24, 6, 0.0, 89, 1, 0, 0, 0, 121, 121, 4.46, 83.44, 89.81, 7.599609375, 95.296875, 95.296875, 0, 29.8984375, 80.890625, 0.0, 29.09765625, 47.1953125, 18.8984375, 4.7, 0.0, 97.59375, 70.09375, 2.39990234375, 0.7999267578125, 0.0, 0.0, 726.0, 145.0, 3.0, 3.0, 197.0, "Tous les candidats", 6789.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 59.0, "31074", "Licence - Portail Sciences et technologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31073&g_ta_cod=31074", 97.0, 3.0, 0.0),
(5769, "Privé sous contrat d'association", "0292125C", "ISEN Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 24, 1008, 352, 1001, 0, 996, 95, 0, 0, 0, 0, 5, 7, 7, 0, 0, 0, 901, 6, 0, 0, 901, 78, 0, 0, 0, 0, 0, 835, 6, 3, 4, 2, 1.0, 4.0, 6.0, 0, 0, 6, 6, 0, 0, 0, 0, 2, 3, 1, 0, 0.0, 4, 0, 0, 0, 0, 4, 4, 16.67, 66.67, 100.0, 50.0, 66.6875, 66.6875, 0, 0.0, 100.0, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 835.0, 71.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "30945", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=30945", 100.0, 0.0, 0.0),
(5770, "Privé hors contrat", "0672689J", "Institut national des formations notariales - site de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Institut national des formations notariales - site de Strasbourg - BTS - Services - Notariat", "BTS - Services", "", 25, 306, 215, 281, 0, 105, 23, 68, 18, 14, 8, 94, 25, 4, 8, 0, 13, 99, 3, 0, 0, 47, 7, 25, 3, 2, 1, 25, 78, 15, 9, 14, 1, 5.0, 14.0, 15.0, 0, 0, 9, 8, 1, 0, 6, 0, 2, 6, 1, 0, 0.0, 7, 0, 0, 0, 0, 9, 9, 33.33, 93.33, 100.0, 60.0, 100.0, 100.0, 0, 0.0, 60.0, 0.0, 22.19921875, 66.6875, 11.099609375, 0.0, 0.0, 88.890625, 77.796875, 11.099609375, 0.0, 0.0, 0.0, 39.0, 4.0, 2.0, 1.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 2, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 35.0, "8016", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8016&g_ta_cod=8016", 87.0, 13.0, 0.0),
(5771, "Public", "0451067R", "Lycée professionnel Jean Lurcat", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Fleury-les-Aubrais", "formation sélective", "BTS", "Lycée professionnel Jean Lurcat - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 15, 135, 5, 135, 0, 0, 0, 20, 3, 71, 20, 44, 0, 0, 0, 0, 0, 86, 0, 0, 0, 0, 0, 17, 3, 58, 15, 11, 42, 17, 2, 17, 0, 5.0, 14.0, 16.0, 0, 3, 11, 0, 0, 11, 6, 0, 0, 3, 7, 1, 0.0, 0, 0, 11, 7, 1, 11, 11, 29.41, 82.35, 94.12, 11.798828125, 100.0, 100.0, 63.59375, 27.296875, 64.6875, 0.0, 0.0, 27.296875, 63.59375, 9.1, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 20.0, 5.0, 9.0, "Tous les candidats sauf les Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 38.0, "17735", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17735&g_ta_cod=17735", 12.0, 12.0, 76.0),
(5772, "Privé sous contrat d'association", "0761356L", "Lycée Providence Sainte-Thérèse", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Providence Sainte-Thérèse - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 651, 312, 651, 0, 68, 11, 255, 70, 169, 51, 159, 0, 0, 0, 0, 0, 650, 0, 0, 0, 68, 11, 255, 70, 169, 51, 158, 139, 29, 18, 29, 0, 9.0, 21.0, 23.0, 0, 5, 26, 2, 9, 15, 3, 0, 9, 10, 4, 3, 0.0, 1, 3, 13, 12, 6, 23, 23, 31.03, 72.41, 79.31, 62.09375, 88.5, 88.5, 46.1953125, 19.19921875, 89.6875, 0.0, 34.59375, 38.5, 15.3984375, 11.5, 0.0, 7.69921875, 3.7998046875, 34.59375, 11.5, 57.6953125, 50.0, 13.0, 3.0, 48.0, 13.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 23.0, "17833", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17833&g_ta_cod=17833", 10.0, 38.0, 52.0),
(5773, "Public", "0360017Y", "Lycée agricole de L'INDRE", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Châteauroux", "formation sélective", "BTS", "Lycée agricole de L'INDRE - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 20, 398, 115, 396, 0, 31, 8, 50, 14, 59, 20, 256, 2, 0, 1, 1, 0, 154, 0, 0, 0, 30, 7, 50, 14, 50, 18, 24, 103, 16, 3, 16, 0, 2.0, 14.0, 16.0, 0, 4, 10, 2, 4, 4, 6, 0, 6, 3, 1, 0, 0.0, 0, 2, 2, 2, 0, 4, 4, 12.5, 87.5, 100.0, 18.796875, 40.0, 40.0, 20, 40.0, 62.5, 0.0, 60.0, 30.0, 10.0, 0.0, 0.0, 20.0, 0.0, 40.0, 20.0, 40.0, 20.0, 24.0, 6.0, 36.0, 11.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 38.0, "4796", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4796&g_ta_cod=4796", 50.0, 25.0, 25.0),
(5774, "Public", "0680053N", "I.U.T. de Colmar", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BUT", "I.U.T. de Colmar - BUT - Réseaux et télécommunications Parcours : Cybersécurité - Réseaux Opérateurs et Multimédia - Développement Système et Cloud", "BUT - Production", "Cybersécurité - Réseaux Opérateurs et Multimédia - Développement Système et Cloud", 70, 688, 56, 688, 0, 349, 50, 191, 59, 18, 4, 130, 0, 0, 0, 0, 0, 481, 0, 0, 0, 288, 44, 126, 31, 7, 2, 60, 236, 69, 6, 69, 0, 17.0, 60.0, 68.0, 0, 12, 60, 27, 31, 2, 9, 0, 16, 29, 12, 3, 0.0, 21, 21, 2, 0, 0, 40, 40, 24.64, 86.96, 98.55, 8.69921875, 66.6875, 66.6875, 0, 20.0, 87.0, 0.0, 26.69921875, 48.296875, 20.0, 5.0, 0.0, 45.0, 35.0, 51.6953125, 35.0, 3.2998046875, 3.2998046875, 123.0, 20.0, 2.0, 1.0, 26.0, "Tous les candidats sauf les Bac technologiques", 203.0, "Bacheliers technologiques toutes séries", 110, "", 0, "Liste d'appel propre à cette formation", 45.0, "8112", "BUT - Réseaux et télécommunications Parcours : Cybersécurité - Réseaux Opérateurs et Multimédia - Développement Système et Cloud", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8112&g_ta_cod=8112", 49.0, 48.0, 3.0),
(5775, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Lettres - Parcours Lettres Modernes", "Licence - Arts-lettres-langues", "Lettres Modernes", 240, 792, 662, 678, 0, 445, 90, 22, 5, 11, 8, 200, 114, 22, 9, 5, 78, 677, 94, 0, 0, 445, 90, 22, 5, 11, 8, 199, 716, 130, 102, 94, 36, 55.0, 92.0, 115.0, 0, 17, 61, 55, 5, 1, 69, 0, 21, 25, 12, 3, 0.0, 36, 3, 1, 0, 0, 44, 44, 42.31, 70.77, 88.46, 78.5, 72.09375, 72.09375, 0, 27.8984375, 46.8984375, 0.0, 34.3984375, 41.0, 19.69921875, 4.9, 0.0, 90.1875, 59.0, 8.19921875, 4.8994140625, 1.599853515625, 1.599853515625, 440.0, 90.0, 15.0, 11.0, 231.0, "Tous les candidats", 677.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4746", "Licence - Lettres - Parcours Lettres Modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4746&g_ta_cod=4746", 87.0, 7.0, 4.0),
(5776, "Privé sous contrat d'association", "0810095N", "Lycée Sainte-Cecile", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "Autre formation", "Lycée Sainte-Cecile - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 24, 85, 27, 75, 0, 13, 2, 19, 3, 22, 5, 21, 10, 6, 1, 0, 3, 67, 8, 0, 0, 13, 2, 19, 3, 22, 5, 13, 63, 13, 2, 12, 1, 9.0, 12.0, 12.0, 0, 3, 11, 3, 1, 7, 2, 0, 5, 4, 2, 0, 0.0, 0, 1, 5, 0, 0, 10, 10, 69.23, 92.31, 92.31, 15.3984375, 90.890625, 90.890625, 0, 27.296875, 84.59375, 0.0, 45.5, 36.3984375, 18.19921875, 0.0, 0.0, 27.296875, 0.0, 9.099609375, 9.099609375, 63.59375, 45.5, 19.0, 3.0, 15.0, 5.0, 13.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "34182", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34182&g_ta_cod=34182", 31.0, 8.0, 62.0),
(5777, "Public", "0840004Y", "Lycée Theodore Aubanel", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée Theodore Aubanel - BTS - Services - Tourisme", "BTS - Services", "", 24, 708, 511, 692, 0, 138, 35, 135, 54, 176, 93, 243, 16, 0, 8, 0, 8, 296, 3, 0, 0, 101, 25, 68, 21, 71, 36, 56, 120, 22, 13, 21, 1, 2.0, 17.0, 19.0, 0, 6, 19, 6, 7, 6, 3, 0, 5, 13, 1, 0, 0.0, 5, 4, 5, 4, 2, 16, 16, 9.09, 77.27, 86.36, 59.09375, 84.1875, 84.1875, 21.09765625, 31.59765625, 86.390625, 0.0, 26.296875, 68.390625, 5.2998046875, 0.0, 0.0, 31.59765625, 26.296875, 36.796875, 21.09765625, 31.59765625, 26.296875, 35.0, 12.0, 20.0, 7.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 109.0, "Bacheliers technologiques toutes séries", 77, "Bacheliers professionnels toutes séries", 20, "Liste d'appel propre à cette formation", 30.0, "33213", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33213&g_ta_cod=33213", 36.0, 36.0, 27.0),
(5778, "Public", "0030026M", "Lycée Paul Constans", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "BTS", "Lycée Paul Constans - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 15, 83, 4, 83, 0, 4, 1, 21, 5, 38, 13, 20, 0, 0, 0, 0, 0, 52, 0, 0, 0, 4, 1, 18, 3, 30, 11, 0, 39, 13, 0, 13, 0, 8.0, 12.0, 13.0, 0, 5, 13, 0, 3, 10, 0, 0, 4, 5, 4, 0, 0.0, 0, 1, 8, 12, 0, 13, 13, 61.54, 92.31, 100.0, 0.0, 100.0, 100.0, 92.296875, 38.5, 100.0, 0.0, 30.796875, 38.5, 30.796875, 0.0, 0.0, 0.0, 0.0, 23.09765625, 7.69921875, 76.890625, 61.5, 4.0, 1.0, 20.0, 9.0, 0.0, "Tous les candidats sauf les Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 59.0, "2116", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2116&g_ta_cod=2116", 0.0, 23.0, 77.0),
(5779, "Public", "0130040Y", "Lycée Thiers", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  1er Arrondissement", "formation sélective", "CPGE", "Lycée Thiers - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 669, 494, 669, 373, 559, 91, 1, 0, 2, 1, 107, 0, 0, 0, 0, 0, 618, 0, 152, 603, 539, 91, 1, 0, 1, 0, 77, 310, 48, 40, 48, 0, 21.0, 35.0, 45.0, 1, 7, 45, 45, 0, 0, 3, 0, 0, 6, 16, 21, 2.0, 45, 0, 0, 4, 1, 36, 36, 43.75, 72.92, 93.75, 83.296875, 80.0, 80.0, 8.8984375, 15.599609375, 93.796875, 0.0, 0.0, 13.298828125, 35.59375, 46.7, 4.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 278.0, 40.0, 1.0, 0.0, 31.0, "Tous les candidats", 437.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "2550", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2550&g_ta_cod=2550", 100.0, 0.0, 0.0),
(5780, "Public", "0161095D", "Lycée Image et Son", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "Autre formation", "Lycée Image et Son - DN MADE - Graphisme - - Spécialité : images animées", "DN MADE", "- Spécialité : images animées", 12, 864, 498, 864, 0, 353, 62, 201, 52, 95, 29, 215, 0, 0, 0, 0, 0, 224, 0, 0, 0, 128, 18, 81, 16, 10, 1, 5, 27, 12, 9, 12, 0, 3.0, 9.0, 12.0, 0, 3, 12, 7, 5, 0, 0, 0, 0, 0, 8, 4, 0.0, 7, 5, 0, 0, 0, 2, 2, 25.0, 75.0, 100.0, 75.0, 16.69921875, 16.69921875, 0, 25.0, 100.0, 0.0, 0.0, 0.0, 66.6875, 33.3, 0.0, 58.296875, 58.296875, 41.6953125, 41.6953125, 0.0, 0.0, 14.0, 4.0, 1.0, 0.0, 0.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "23774", "DN MADE - Graphisme - - Spécialité : images animées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23774&g_ta_cod=23774", 58.0, 42.0, 0.0),
(5781, "Public", "0590215N", "Lycée Sévigné", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Sévigné - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 30, 634, 563, 634, 0, 40, 17, 195, 99, 208, 129, 191, 0, 0, 0, 0, 0, 439, 0, 0, 0, 35, 15, 156, 78, 117, 73, 131, 165, 29, 28, 29, 0, 3.0, 16.0, 19.0, 0, 12, 20, 3, 7, 10, 9, 0, 9, 7, 4, 0, 0.0, 2, 3, 6, 1, 1, 17, 17, 10.34, 55.17, 65.52, 96.59375, 85.0, 85.0, 5, 60.0, 69.0, 0.0, 45.0, 35.0, 20.0, 0.0, 0.0, 15.0, 10.0, 35.0, 15.0, 50.0, 30.0, 11.0, 6.0, 60.0, 40.0, 32.0, "Tous les candidats sauf les Bac professionnels", 117.0, "Bacheliers professionnels toutes séries", 99, "", 0, "Liste d'appel propre à cette formation", 34.0, "13985", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13985&g_ta_cod=13985", 21.0, 31.0, 48.0),
(5782, "Public", "0660004W", "Lycée Deodat De Severac", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Céret", "formation sélective", "BTS", "Lycée Deodat De Severac - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 24, 391, 127, 370, 0, 13, 4, 35, 10, 69, 31, 253, 21, 0, 6, 3, 12, 102, 11, 0, 0, 11, 4, 26, 5, 42, 20, 23, 90, 21, 2, 18, 2, 7.0, 16.0, 19.0, 0, 5, 12, 0, 2, 10, 9, 0, 5, 4, 2, 1, 0.0, 0, 1, 6, 7, 0, 12, 12, 33.33, 76.19, 90.48, 9.5, 100.0, 100.0, 58.296875, 41.6953125, 57.09375, 0.0, 41.6953125, 33.296875, 16.69921875, 8.3, 0.0, 0.0, 0.0, 16.69921875, 8.298828125, 83.296875, 50.0, 3.0, 1.0, 31.0, 16.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 26.0, "14497", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14497&g_ta_cod=14497", 24.0, 19.0, 52.0),
(5783, "Privé sous contrat d'association", "0150047V", "Lycée de la Communication Saint Géraud", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "BTS", "Lycée de la Communication Saint Géraud - BTS - Services - Communication", "BTS - Services", "", 28, 449, 250, 348, 0, 72, 10, 51, 6, 44, 11, 181, 101, 16, 15, 15, 55, 160, 22, 0, 0, 67, 9, 31, 3, 30, 6, 32, 140, 25, 12, 17, 8, 4.0, 16.0, 24.0, 0, 2, 16, 5, 5, 6, 9, 0, 8, 6, 2, 0, 0.0, 1, 2, 5, 4, 0, 9, 9, 16.0, 64.0, 96.0, 48.0, 56.296875, 56.296875, 25, 12.5, 64.0, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 31.296875, 6.2998046875, 31.296875, 12.5, 37.5, 31.296875, 50.0, 7.0, 24.0, 3.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 46.0, "2959", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2959&g_ta_cod=2959", 36.0, 36.0, 28.0),
(5784, "Privé sous contrat d'association", "0850136L", "Lycée polyvalent privé Jeanne d'Arc", "85", "Vendée", "Pays de la Loire", "Nantes", "Montaigu-Vendée", "formation sélective", "BTS", "Lycée polyvalent privé Jeanne d'Arc - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 24, 216, 42, 195, 0, 17, 0, 37, 4, 67, 8, 74, 21, 1, 3, 3, 14, 121, 4, 0, 0, 17, 0, 30, 4, 60, 4, 14, 91, 19, 1, 19, 0, 8.0, 17.0, 19.0, 0, 1, 15, 2, 1, 12, 4, 0, 8, 6, 1, 0, 0.0, 1, 0, 6, 3, 0, 13, 13, 42.11, 89.47, 100.0, 5.2998046875, 86.6875, 86.6875, 20, 6.69921875, 78.890625, 0.0, 53.296875, 40.0, 6.69921875, 0.0, 0.0, 13.298828125, 6.69921875, 6.69921875, 0.0, 80.0, 40.0, 13.0, 0.0, 44.0, 4.0, 13.0, "Tous les candidats sauf les Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 65, "", 0, "Liste d'appel propre à cette formation", 62.0, "10505", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10505&g_ta_cod=10505", 21.0, 16.0, 63.0),
(5785, "Privé enseignement supérieur", "9741278W", "INST FORM ET RECH. TRAV.SOCIAL I.R.T.S DE LA REUNION", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Benoît", "formation sélective", "EFTS", "INST FORM ET RECH. TRAV.SOCIAL I.R.T.S DE LA REUNION - D.E Assistant de Service Social", "D.E secteur social", "", 14, 117, 105, 117, 0, 35, 15, 21, 11, 2, 0, 59, 0, 0, 0, 0, 0, 36, 0, 0, 0, 14, 5, 8, 5, 0, 0, 14, 21, 14, 13, 14, 0, 8.0, 12.0, 13.0, 0, 4, 10, 7, 3, 0, 4, 0, 5, 4, 1, 0, 0.0, 3, 2, 0, 0, 0, 10, 10, 57.14, 85.71, 92.86, 92.890625, 100.0, 100.0, 0, 40.0, 71.390625, 0.0, 50.0, 40.0, 10.0, 0.0, 0.0, 70.0, 30.0, 30.0, 20.0, 0.0, 0.0, 8.0, 4.0, 0.0, 0.0, 7.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "24872", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24872&g_ta_cod=24872", 71.0, 21.0, 0.0),
(5786, "Public", "0240026Y", "Lycée Albert Claveille", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BTS", "Lycée Albert Claveille - BTS - Production - Electrotechnique", "BTS - Production", "", 26, 172, 11, 164, 0, 5, 2, 44, 17, 59, 11, 56, 8, 0, 1, 0, 7, 108, 1, 0, 0, 1, 1, 43, 17, 59, 11, 5, 78, 26, 2, 25, 1, 5.0, 15.0, 25.0, 0, 8, 24, 0, 7, 17, 2, 0, 7, 10, 7, 0, 0.0, 0, 3, 14, 4, 1, 20, 20, 19.23, 57.69, 96.15, 7.69921875, 83.296875, 83.296875, 16.69921875, 33.296875, 92.296875, 0.0, 29.19921875, 41.6953125, 29.19921875, 0.0, 0.0, 0.0, 0.0, 29.19921875, 12.5, 70.796875, 58.296875, 1.0, 1.0, 43.0, 9.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 58.0, "3431", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3431&g_ta_cod=3431", 8.0, 27.0, 65.0),
(5787, "Public", "0930121B", "Lycée Jean Jaurès", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "CPGE", "Lycée Jean Jaurès - CPGE - PCSI", "Classe préparatoire scientifique", "", 35, 446, 140, 369, 0, 276, 74, 1, 0, 1, 1, 91, 77, 34, 0, 1, 42, 273, 30, 0, 273, 242, 62, 0, 0, 0, 0, 31, 284, 29, 7, 26, 3, 7.0, 15.0, 29.0, 0, 8, 23, 23, 0, 0, 6, 0, 7, 14, 2, 0, 0.0, 16, 0, 0, 4, 2, 17, 22, 24.14, 51.72, 100.0, 24.09765625, 73.890625, 95.6875, 17.3984375, 34.796875, 79.296875, 0.0, 30.3984375, 60.8984375, 8.69921875, 0.0, 0.0, 100.0, 69.59375, 0.0, 0.0, 0.0, 0.0, 243.0, 63.0, 0.0, 0.0, 41.0, "Tous les candidats", 273.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "11177", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11177&g_ta_cod=11177", 100.0, 0.0, 0.0),
(5788, "Privé sous contrat d'association", "0690539L", "Lycée Assomption Bellevue", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "BTS", "Lycée Assomption Bellevue - BTS - Services - Commerce International", "BTS - Services", "", 36, 1022, 520, 924, 0, 391, 67, 226, 63, 73, 31, 234, 98, 13, 21, 6, 58, 321, 16, 0, 0, 173, 16, 75, 16, 36, 15, 37, 210, 33, 20, 27, 6, 0.0, 24.0, 26.0, 0, 8, 26, 14, 9, 3, 7, 0, 5, 17, 4, 0, 0.0, 10, 8, 3, 0, 0, 15, 15, 0.0, 72.73, 78.79, 60.59375, 57.6953125, 57.6953125, 0, 30.796875, 78.796875, 0.0, 19.19921875, 65.390625, 15.3984375, 0.0, 0.0, 53.796875, 38.5, 34.59375, 30.796875, 11.5, 11.5, 114.0, 13.0, 22.0, 11.0, 28.0, "Tous les candidats sauf les Bac professionnels", 268.0, "Bacheliers professionnels toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 32.0, "8299", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8299&g_ta_cod=8299", 55.0, 33.0, 12.0),
(5789, "Public", "0460007H", "Lycée Clement Marot", "46", "Lot", "Occitanie", "Toulouse", "Cahors", "formation sélective", "BTS", "Lycée Clement Marot - BTS - Services - Economie sociale familiale", "BTS - Services", "", 18, 440, 391, 440, 0, 44, 6, 110, 24, 190, 69, 96, 0, 0, 0, 0, 0, 440, 0, 0, 0, 44, 6, 110, 24, 190, 69, 96, 55, 17, 14, 17, 0, 8.0, 15.0, 17.0, 0, 2, 15, 2, 3, 10, 2, 0, 2, 7, 5, 1, 0.0, 1, 2, 10, 3, 2, 15, 15, 47.06, 88.24, 100.0, 82.390625, 100.0, 100.0, 20, 13.298828125, 88.1875, 0.0, 13.298828125, 46.6953125, 33.296875, 6.7, 0.0, 13.298828125, 6.69921875, 20.0, 13.298828125, 66.6875, 66.6875, 6.0, 2.0, 26.0, 8.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 20.0, "14424", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14424&g_ta_cod=14424", 12.0, 29.0, 59.0),
(5790, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Portail Sciences pour la santé", "Licence - Sciences - technologies - santé", "", 80, 1599, 1249, 1599, 0, 974, 131, 82, 20, 4, 2, 539, 0, 0, 0, 0, 0, 1599, 0, 0, 0, 974, 131, 82, 20, 4, 2, 539, 745, 80, 60, 80, 0, 2.0, 29.0, 46.0, 0, 7, 53, 47, 6, 0, 27, 0, 18, 25, 9, 1, 0.0, 29, 6, 0, 0, 0, 46, 46, 2.5, 36.25, 57.5, 75.0, 86.796875, 86.796875, 0, 13.19921875, 66.296875, 0.0, 34.0, 47.1953125, 17.0, 1.9, 0.0, 88.6875, 54.6953125, 11.298828125, 11.298828125, 0.0, 0.0, 473.0, 52.0, 0.0, 0.0, 237.0, "Tous les candidats", 1563.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 67.0, "19196", "Licence - Portail Sciences pour la santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27709&g_ta_cod=19196", 86.0, 14.0, 0.0),
(5791, "Privé enseignement supérieur", "0341267T", "IDRAC Business School - Campus de MONTPELLIER", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Ecole de Commerce", "Concours Bachelor IDRAC Business School - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "Approfondissement en : marketing digital, international, sport & business et approfondissement personnalisable", 200, 750, 303, 707, 0, 488, 92, 107, 25, 17, 11, 95, 43, 12, 8, 3, 20, 532, 8, 0, 0, 393, 59, 70, 12, 6, 1, 63, 540, 57, 25, 50, 7, 50.0, 50.0, 56.0, 0, 16, 46, 35, 11, 0, 11, 0, 16, 22, 8, 0, 0.0, 24, 6, 0, 0, 0, 30, 30, 87.72, 87.72, 98.25, 43.8984375, 65.1875, 65.1875, 0, 34.796875, 80.6875, 0.0, 34.796875, 47.796875, 17.3984375, 0.0, 0.0, 76.09375, 52.1953125, 23.8984375, 13.0, 0.0, 0.0, 396.0, 61.0, 6.0, 1.0, 67.0, "Tous les candidats", 1416.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 75.0, "442", "Formation des écoles de commerce et de management Bac + 3", "Concours Bachelor IDRAC Business School", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=439&g_ta_cod=442", 81.0, 19.0, 0.0),
(5792, "Public", "0701035V", "Lycée Louis Aragon", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Héricourt", "formation sélective", "BTS", "Lycée Louis Aragon - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 12, 115, 9, 107, 0, 6, 0, 22, 6, 32, 7, 47, 8, 0, 3, 1, 4, 58, 2, 0, 0, 6, 0, 16, 2, 27, 5, 9, 50, 11, 0, 10, 1, 3.0, 9.0, 10.0, 0, 2, 9, 1, 2, 6, 2, 0, 3, 6, 0, 0, 0.0, 0, 1, 5, 6, 0, 8, 8, 27.27, 81.82, 90.91, 0.0, 88.890625, 88.890625, 66.6875, 22.19921875, 81.796875, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 11.099609375, 0.0, 22.19921875, 11.099609375, 66.6875, 55.59375, 5.0, 0.0, 23.0, 5.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 51.0, "8602", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8602&g_ta_cod=8602", 9.0, 36.0, 55.0),
(5793, "Public", "0580758J", "Université de Bourgogne - site de Nevers", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation non sélective", "Licence", "Université de Bourgogne - site de Nevers - Licence - Sciences de l'éducation - Parcours  Education, Formation, Enseignement, Culture (EFEC)", "Licence - Sciences humaines et sociales", "Education, Formation, Enseignement, Culture (EFEC)", 30, 384, 343, 384, 0, 234, 48, 34, 10, 8, 2, 108, 0, 0, 0, 0, 0, 384, 0, 0, 0, 234, 48, 34, 10, 8, 2, 108, 124, 34, 30, 34, 0, 9.0, 31.0, 31.0, 0, 7, 28, 22, 2, 4, 6, 0, 3, 10, 13, 2, 0.0, 20, 2, 3, 0, 0, 23, 23, 26.47, 91.18, 91.18, 88.1875, 82.09375, 82.09375, 0, 25.0, 82.390625, 0.0, 10.69921875, 35.6953125, 46.3984375, 7.1, 0.0, 78.59375, 71.390625, 7.099609375, 7.099609375, 14.298828125, 10.69921875, 70.0, 15.0, 6.0, 1.0, 33.0, "Tous les candidats", 143.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "18641", "Licence - Sciences de l'éducation - Parcours  Education, Formation, Enseignement, Culture (EFEC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18641&g_ta_cod=18641", 71.0, 18.0, 12.0),
(5794, "Public", "9741204R", "Université de la Réunion - Le Tampon", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation non sélective", "Licence_Las", "Université de la Réunion - Le Tampon - Licence - Portail Sciences pour la santé", "Licence - Sciences - technologies - santé", "", 50, 974, 719, 959, 0, 526, 202, 138, 83, 8, 7, 287, 15, 4, 1, 0, 10, 958, 13, 0, 0, 526, 202, 138, 83, 8, 7, 286, 349, 73, 55, 67, 6, 2.0, 40.0, 58.0, 0, 23, 53, 39, 13, 1, 20, 0, 11, 22, 18, 2, 0.0, 32, 9, 1, 0, 0, 50, 50, 2.74, 54.79, 79.45, 75.296875, 94.296875, 94.296875, 0, 43.3984375, 72.59375, 0.0, 20.796875, 41.5, 34.0, 3.8, 0.0, 73.59375, 60.3984375, 24.5, 17.0, 1.89990234375, 1.89990234375, 170.0, 67.0, 5.0, 4.0, 141.0, "Tous les candidats", 796.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 74.0, "27545", "Licence - Portail Sciences pour la santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27544&g_ta_cod=27545", 75.0, 22.0, 3.0),
(5795, "Public", "0622276M", "Lycée Jan Lavezzari", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Berck", "formation sélective", "Autre formation", "Lycée Jan Lavezzari - Mention complémentaire - FCIL - CAES - Option Services", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 2.0, 2.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35027", "Mention complémentaire - FCIL - CAES - Option Services", "", "", 0, 0, 0),
(5796, "Public", "9720005Y", "Lycée professionnel Dumas JEAN-JOSEPH", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée professionnel Dumas JEAN-JOSEPH - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 28, 463, 404, 368, 0, 48, 31, 93, 51, 154, 101, 73, 95, 11, 0, 45, 39, 58, 11, 0, 0, 1, 1, 23, 7, 29, 19, 5, 58, 31, 29, 25, 6, 15.0, 23.0, 31.0, 0, 13, 27, 1, 7, 19, 4, 0, 9, 15, 3, 0, 0.0, 0, 5, 13, 9, 8, 26, 26, 48.39, 74.19, 100.0, 93.5, 96.296875, 96.296875, 33.296875, 48.09375, 87.09375, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 3.69970703125, 0.0, 25.8984375, 18.5, 70.390625, 48.09375, 2.0, 2.0, 34.0, 21.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 14.0, "20246", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20246&g_ta_cod=20246", 6.0, 23.0, 71.0),
(5797, "Public", "0781944P", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "Licence", "Université de Versailles - Saint Quentin en Yvelines - Licence - Portail Histoire", "Licence - Sciences humaines et sociales", "", 160, 868, 407, 578, 0, 381, 54, 59, 12, 17, 6, 121, 290, 96, 17, 13, 164, 578, 279, 0, 0, 381, 54, 59, 12, 17, 6, 121, 782, 151, 56, 78, 73, 13.0, 77.0, 115.0, 0, 15, 84, 61, 15, 8, 67, 0, 45, 28, 10, 1, 0.0, 31, 3, 5, 0, 0, 65, 72, 8.61, 50.99, 76.16, 37.09375, 77.390625, 85.6875, 0, 17.8984375, 55.59375, 0.0, 53.59375, 33.296875, 11.8984375, 1.2, 0.0, 72.59375, 36.8984375, 17.8984375, 3.599609375, 9.5, 6.0, 432.0, 59.0, 27.0, 6.0, 256.0, "Tous les candidats", 606.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "10009", "Licence - Portail Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29015&g_ta_cod=10009", 66.0, 21.0, 13.0),
(5798, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Double licence - Mathématiques / Physique - Mathématiques et Physique", "Licence - Sciences - technologies - santé", "Mathématiques et Physique", 20, 1632, 494, 1379, 0, 1154, 216, 9, 6, 0, 0, 216, 253, 81, 4, 1, 167, 800, 21, 0, 0, 689, 108, 0, 0, 0, 0, 111, 316, 19, 4, 10, 8, 0.0, 1.0, 10.0, 0, 2, 11, 11, 0, 0, 8, 0, 1, 3, 5, 1, 1.0, 10, 0, 0, 0, 0, 5, 9, 0.0, 5.26, 52.63, 21.09765625, 45.5, 81.796875, 0, 18.19921875, 57.8984375, 0.0, 9.099609375, 27.296875, 45.5, 9.1, 9.1, 100.0, 90.890625, 0.0, 0.0, 0.0, 0.0, 243.0, 41.0, 0.0, 0.0, 73.0, "Tous les candidats", 790.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "12860", "Double licence - Mathématiques / Physique - Mathématiques et Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12860&g_ta_cod=12860", 100.0, 0.0, 0.0),
(5799, "Public", "0270044B", "Lycée Georges Dumezil", "27", "Eure", "Normandie", "Normandie", "Vernon", "formation sélective", "BTS", "Lycée Georges Dumezil - BTS - Services - Professions immobilières", "BTS - Services", "", 18, 651, 369, 651, 0, 92, 18, 213, 58, 144, 54, 202, 0, 0, 0, 0, 0, 458, 0, 0, 0, 77, 15, 163, 47, 113, 39, 105, 73, 15, 13, 15, 0, 2.0, 12.0, 12.0, 0, 4, 14, 5, 5, 4, 1, 1, 3, 7, 3, 0, 0.0, 2, 4, 4, 2, 2, 8, 8, 13.33, 80.0, 80.0, 86.6875, 57.09375, 57.09375, 14.298828125, 28.59765625, 93.296875, 7.099609375, 21.3984375, 50.0, 21.3984375, 0.0, 0.0, 35.6953125, 14.298828125, 35.6953125, 28.59765625, 28.59765625, 28.59765625, 16.0, 4.0, 20.0, 6.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers technologiques toutes séries", 29, "Bacheliers professionnels toutes séries", 34, "Liste d'appel propre à cette formation", 13.0, "28819", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28819&g_ta_cod=28819", 33.0, 33.0, 33.0),
(5800, "Public", "0671832C", "Lycée Jean-Baptiste Schwilgue", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Sélestat", "formation sélective", "BTS", "Lycée Jean-Baptiste Schwilgue - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 24, 240, 16, 229, 0, 3, 1, 44, 9, 111, 41, 71, 11, 0, 6, 0, 5, 153, 2, 0, 0, 3, 1, 43, 8, 94, 30, 13, 100, 14, 0, 13, 1, 1.0, 8.0, 9.0, 0, 4, 11, 0, 3, 8, 3, 0, 8, 3, 0, 0, 0.0, 0, 0, 3, 6, 0, 11, 11, 7.14, 57.14, 64.29, 0.0, 100.0, 100.0, 54.5, 36.3984375, 78.59375, 0.0, 72.6875, 27.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 27.296875, 0.0, 72.6875, 27.296875, 3.0, 1.0, 50.0, 14.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 46.0, "7988", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7988&g_ta_cod=7988", 0.0, 29.0, 71.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(5801, "Public", "0762880T", "Lycée Raymond Queneau", "76", "Seine-Maritime", "Normandie", "Normandie", "Yvetot", "formation sélective", "BTS", "Lycée Raymond Queneau - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 122, 15, 114, 0, 6, 0, 34, 10, 42, 17, 32, 8, 0, 2, 1, 5, 79, 2, 0, 0, 6, 0, 32, 9, 32, 12, 9, 62, 13, 0, 12, 1, 3.0, 12.0, 12.0, 0, 4, 11, 1, 4, 6, 2, 1, 4, 3, 3, 0, 0.0, 0, 1, 5, 2, 0, 11, 11, 23.08, 92.31, 92.31, 0.0, 100.0, 100.0, 18.19921875, 36.3984375, 84.59375, 9.099609375, 36.3984375, 27.296875, 27.296875, 0.0, 0.0, 9.099609375, 0.0, 36.3984375, 9.099609375, 54.5, 45.5, 2.0, 0.0, 27.0, 9.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 68.0, "17930", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17930&g_ta_cod=17930", 8.0, 46.0, 46.0),
(5802, "Public", "7200117P", "I.U.T de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation sélective", "BUT", "I.U.T de Corte - BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux (Seconde année possible en apprentissage)", "BUT - Production", "Science du danger et management des risques professionnels technologiques et environnementaux", 38, 267, 80, 266, 0, 133, 16, 57, 9, 12, 1, 64, 1, 0, 0, 0, 1, 248, 0, 0, 0, 132, 15, 57, 9, 7, 0, 52, 162, 36, 6, 36, 0, 3.0, 26.0, 32.0, 0, 5, 32, 17, 14, 1, 4, 0, 17, 12, 3, 0, 0.0, 9, 5, 1, 0, 0, 16, 16, 8.33, 72.22, 88.89, 16.69921875, 50.0, 50.0, 0, 15.599609375, 88.890625, 0.0, 53.09375, 37.5, 9.3984375, 0.0, 0.0, 53.09375, 28.09765625, 43.796875, 15.599609375, 3.099609375, 3.099609375, 82.0, 11.0, 2.0, 0.0, 33.0, "Tous les candidats sauf les Bac technologiques", 122.0, "Bacheliers technologiques toutes séries", 72, "", 0, "Liste d'appel propre à cette formation", 73.0, "11694", "BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11694&g_ta_cod=11694", 53.0, 44.0, 3.0),
(5803, "Public", "0570061G", "Lycée professionnel Alain Fournier", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Autre formation", "Lycée professionnel Alain Fournier - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 106, 14, 8, 0, 0, 0.0, 0.0, 0.0, 0, 3, 14, 0, 0, 14, 0, 0, 13, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 14, 14, 0.0, 0.0, 0.0, 57.09375, 100.0, 100.0, 0, 21.3984375, 100.0, 0.0, 92.890625, 0.0, 7.099609375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 7.099609375, 0.0, 0.0, 106.0, 37.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22439", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(5804, "Privé sous contrat d'association", "0592976P", "Lycée professionnel Hélène Boucher", "59", "Nord", "Hauts-de-France", "Lille", "Somain", "formation sélective", "Autre formation", "Lycée professionnel Hélène Boucher - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0.0, 0.0, 0.0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 0.0, 100.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 2.0, 2.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25705", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(5805, "Public", "0624139M", "Université d'Artois - Site de Liévin", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Liévin", "formation sélective", "Licence", "Université d'Artois - Site de Liévin - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Renforcé Sportif de haut niveau", "Licence - Sciences humaines et sociales", "Renforcé Sportif de haut niveau", 30, 591, 157, 267, 0, 128, 29, 84, 32, 10, 4, 45, 324, 143, 69, 13, 99, 49, 24, 0, 0, 34, 5, 5, 2, 2, 1, 8, 72, 30, 15, 21, 9, 15.0, 21.0, 27.0, 0, 4, 28, 18, 8, 2, 2, 0, 14, 9, 4, 1, 0.0, 9, 5, 0, 0, 0, 19, 19, 50.0, 70.0, 90.0, 50.0, 67.890625, 67.890625, 0, 14.298828125, 93.296875, 0.0, 50.0, 32.09375, 14.298828125, 3.6, 0.0, 64.296875, 32.09375, 28.59765625, 17.8984375, 7.099609375, 0.0, 46.0, 8.0, 3.0, 2.0, 11.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "16806", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Renforcé Sportif de haut niveau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16806&g_ta_cod=16806", 67.0, 27.0, 7.0),
(5806, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Gaston Berger - BTS - Services - Assurance", "BTS - Services", "", 35, 1006, 527, 1006, 0, 120, 47, 255, 137, 178, 121, 453, 0, 0, 0, 0, 0, 440, 0, 0, 0, 82, 27, 149, 77, 109, 77, 100, 196, 34, 16, 34, 0, 7.0, 17.0, 28.0, 0, 17, 26, 7, 13, 6, 8, 0, 9, 16, 1, 0, 0.0, 5, 7, 5, 2, 1, 26, 26, 20.59, 50.0, 82.35, 47.09375, 100.0, 100.0, 7.69921875, 65.390625, 76.5, 0.0, 34.59375, 61.5, 3.7998046875, 0.0, 0.0, 26.8984375, 19.19921875, 50.0, 26.8984375, 23.09765625, 19.19921875, 53.0, 19.0, 21.0, 13.0, 49.0, "Tous les candidats sauf les Bac professionnels", 237.0, "Bacheliers professionnels toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 28.0, "6869", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6869&g_ta_cod=6869", 26.0, 50.0, 24.0),
(5807, "Public", "0540030P", "Lycée Alfred Mezieres", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Longwy", "formation sélective", "BTS", "Lycée Alfred Mezieres - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 15, 146, 29, 143, 0, 19, 4, 18, 4, 22, 6, 84, 3, 0, 0, 3, 0, 60, 1, 0, 0, 18, 3, 16, 3, 18, 4, 8, 45, 12, 0, 12, 0, 5.0, 12.0, 12.0, 0, 1, 9, 2, 6, 1, 3, 0, 6, 1, 2, 0, 0.0, 0, 2, 1, 7, 0, 8, 8, 41.67, 100.0, 100.0, 0.0, 88.890625, 88.890625, 77.796875, 11.099609375, 75.0, 0.0, 66.6875, 11.099609375, 22.19921875, 0.0, 0.0, 22.19921875, 0.0, 66.6875, 22.19921875, 11.099609375, 11.099609375, 10.0, 2.0, 17.0, 5.0, 6.0, "Tous les candidats sauf les Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 39.0, "6240", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6240&g_ta_cod=6240", 33.0, 50.0, 17.0),
(5808, "Public", "0290119X", "ENIB Brest", "29", "Finistère", "Bretagne", "Rennes", "Plouzané", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 144, 4369, 986, 4362, 0, 3795, 315, 0, 0, 0, 0, 567, 7, 2, 0, 0, 5, 2909, 1, 0, 0, 2710, 172, 0, 0, 0, 0, 199, 2414, 106, 14, 106, 0, 38.0, 98.0, 106.0, 0, 8, 99, 99, 0, 0, 7, 0, 1, 34, 57, 6, 1.0, 98, 0, 0, 0, 0, 73, 73, 35.85, 92.45, 100.0, 13.19921875, 73.6875, 73.6875, 0, 8.099609375, 93.390625, 0.0, 1.0, 34.296875, 57.59375, 6.1, 1.0, 100.0, 99.0, 0.0, 0.0, 0.0, 0.0, 2230.0, 160.0, 0.0, 0.0, 184.0, "Autres candidats", 13682.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 67.0, "38", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=38", 100.0, 0.0, 0.0),
(5809, "Public", "0642126N", "Collèges des études européennes et internationales", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "Autre formation", "Collèges des études européennes et internationales - Diplôme de Comptabilité et de Gestion", "DCG", "", 45, 469, 214, 465, 0, 197, 33, 55, 14, 3, 0, 210, 4, 0, 0, 0, 4, 330, 2, 0, 0, 194, 30, 52, 13, 1, 0, 83, 259, 41, 25, 39, 2, 14.0, 30.0, 37.0, 0, 4, 26, 24, 2, 0, 15, 0, 8, 10, 8, 0, 0.0, 16, 2, 0, 0, 0, 18, 18, 34.15, 73.17, 90.24, 61.0, 69.1875, 69.1875, 0, 15.3984375, 63.3984375, 0.0, 30.796875, 38.5, 30.796875, 0.0, 0.0, 92.296875, 61.5, 7.69921875, 7.69921875, 0.0, 0.0, 160.0, 23.0, 0.0, 0.0, 66.0, "Tous les candidats", 321.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "7769", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7769&g_ta_cod=7769", 90.0, 10.0, 0.0),
(5810, "Public", "0561641E", "Lycée Marcellin Berthelot", "56", "Morbihan", "Bretagne", "Rennes", "Questembert", "formation sélective", "BTS", "Lycée Marcellin Berthelot - BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "BTS - Production", "", 15, 54, 8, 54, 0, 4, 0, 15, 2, 22, 3, 13, 0, 0, 0, 0, 0, 47, 0, 0, 0, 2, 0, 15, 2, 22, 3, 8, 36, 6, 1, 6, 0, 4.0, 6.0, 6.0, 0, 0, 6, 0, 1, 5, 0, 0, 2, 3, 1, 0, 0.0, 0, 0, 4, 6, 1, 6, 6, 66.67, 100.0, 100.0, 16.69921875, 100.0, 100.0, 100, 0.0, 100.0, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 0.0, 0.0, 16.69921875, 0.0, 83.296875, 66.6875, 2.0, 0.0, 18.0, 4.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 76.0, "6487", "BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6487&g_ta_cod=6487", 0.0, 17.0, 83.0),
(5811, "Public", "0410959V", "Lycée Camille Claudel", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "Autre formation", "Lycée Camille Claudel - DN MADE - Objet - - Spécialité : Design de l'objet et de ses interfaces / Matériaux ? Médiation", "DN MADE", "- Spécialité : Design de l'objet et de ses interfaces / Matériaux ? Médiation", 15, 205, 137, 205, 0, 69, 9, 71, 8, 23, 4, 42, 0, 0, 0, 0, 0, 205, 0, 0, 0, 69, 9, 71, 8, 23, 4, 42, 84, 14, 11, 14, 0, 0.0, 10.0, 14.0, 0, 2, 14, 4, 7, 3, 0, 0, 2, 10, 1, 1, 0.0, 3, 6, 3, 0, 0, 4, 4, 0.0, 71.43, 100.0, 78.59375, 28.59765625, 28.59765625, 0, 14.298828125, 100.0, 0.0, 14.298828125, 71.390625, 7.099609375, 7.1, 0.0, 28.59765625, 21.3984375, 50.0, 42.8984375, 21.3984375, 21.3984375, 21.0, 3.0, 9.0, 2.0, 16.0, "Tous les candidats", 118.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "21898", "DN MADE - Objet - - Spécialité : Design de l'objet et de ses interfaces / Matériaux ? Médiation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21898&g_ta_cod=21898", 29.0, 50.0, 21.0),
(5812, "Privé enseignement supérieur", "0755672H", "ESCE", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Programme Grande Ecole - European track - Campus de Paris ou Lyon", 50, 2319, 1104, 2266, 0, 1965, 96, 139, 7, 5, 2, 157, 53, 23, 2, 1, 27, 2090, 28, 0, 0, 1852, 83, 118, 6, 1, 1, 119, 2118, 19, 12, 15, 4, 15.0, 15.0, 17.0, 0, 0, 17, 15, 2, 0, 2, 0, 7, 7, 3, 0, 0.0, 8, 2, 0, 0, 0, 5, 9, 78.95, 78.95, 89.47, 63.1953125, 29.3984375, 52.8984375, 0, 0.0, 89.5, 0.0, 41.1953125, 41.1953125, 17.59765625, 0.0, 0.0, 88.1875, 47.09375, 11.798828125, 11.798828125, 0.0, 0.0, 1864.0, 84.0, 1.0, 1.0, 134.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "26153", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26153", 89.0, 11.0, 0.0),
(5813, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence_Las", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations, parcours Asie du Sud et Himalaya - Hindi", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Asie du Sud et Himalaya - Hindi", 10, 50, 41, 20, 0, 8, 3, 1, 1, 0, 0, 11, 30, 7, 0, 0, 23, 20, 23, 0, 0, 8, 3, 1, 1, 0, 0, 11, 41, 9, 7, 4, 5, 1.0, 4.0, 5.0, 0, 1, 4, 4, 0, 0, 5, 0, 4, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 4, 11.11, 44.44, 55.56, 77.796875, 0.0, 100.0, 0, 25.0, 44.3984375, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 14.0, 7.0, 0.0, 0.0, 26.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "29598", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations, parcours Asie du Sud et Himalaya - Hindi", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29597&g_ta_cod=29598", 78.0, 11.0, 11.0),
(5814, "Privé sous contrat d'association", "0221673Z", "Lycée agricole St ILAN", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Langueux", "formation sélective", "BTS", "Lycée agricole St ILAN - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 24, 103, 49, 98, 0, 4, 2, 19, 2, 32, 9, 43, 5, 0, 1, 1, 3, 65, 4, 0, 0, 4, 2, 19, 2, 32, 9, 10, 61, 11, 5, 11, 0, 10.0, 11.0, 11.0, 0, 4, 11, 0, 2, 9, 0, 0, 2, 7, 2, 0, 0.0, 0, 1, 8, 5, 1, 11, 11, 90.91, 100.0, 100.0, 45.5, 100.0, 100.0, 45.5, 36.3984375, 100.0, 0.0, 18.19921875, 63.59375, 18.19921875, 0.0, 0.0, 0.0, 0.0, 18.19921875, 9.099609375, 81.796875, 72.6875, 4.0, 2.0, 31.0, 9.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 66.0, "3370", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3370&g_ta_cod=3370", 0.0, 18.0, 82.0),
(5815, "Public", "9710774P", "Lycée Faustin Fleret", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Morne-à-l'Eau", "formation sélective", "BTS", "Lycée Faustin Fleret - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 537, 297, 537, 0, 121, 61, 184, 101, 170, 122, 62, 0, 0, 0, 0, 0, 206, 0, 0, 0, 41, 20, 98, 58, 64, 51, 3, 107, 35, 18, 34, 0, 7.0, 31.0, 32.0, 0, 22, 35, 7, 14, 14, 0, 0, 7, 14, 12, 2, 0.0, 4, 11, 13, 4, 0, 34, 34, 20.0, 88.57, 91.43, 51.3984375, 97.09375, 97.09375, 11.3984375, 62.8984375, 100.0, 0.0, 20.0, 40.0, 34.296875, 5.7, 0.0, 20.0, 11.3984375, 40.0, 31.3984375, 40.0, 37.09375, 26.0, 13.0, 34.0, 26.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 27.0, "11751", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11751&g_ta_cod=11751", 20.0, 40.0, 40.0),
(5816, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "Université de Cergy-Pontoise - CY SUP - C.M.I - Cursus Master en Ingénierie - Langues étrangères appliquées - Cursus Master en Ingénierie (CMI) : Ingénierie internationale des Territoires, des cultures et du Tourisme", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Ingénierie internationale des Territoires, des cultures et du Tourisme", 20, 189, 135, 103, 0, 67, 16, 6, 1, 11, 8, 19, 86, 29, 6, 5, 46, 28, 1, 0, 0, 26, 3, 0, 0, 0, 0, 2, 29, 13, 12, 13, 0, 11.0, 13.0, 13.0, 0, 2, 11, 11, 0, 0, 2, 0, 1, 4, 5, 1, 0.0, 10, 0, 0, 0, 0, 6, 7, 84.62, 100.0, 100.0, 92.296875, 54.5, 63.59375, 0, 18.19921875, 84.59375, 0.0, 9.099609375, 36.3984375, 45.5, 9.1, 0.0, 100.0, 90.890625, 0.0, 0.0, 0.0, 0.0, 26.0, 3.0, 0.0, 0.0, 3.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "15371", "C.M.I - Cursus Master en Ingénierie - Langues étrangères appliquées - Cursus Master en Ingénierie (CMI) : Ingénierie internationale des Territoires, des cultures et du Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15371&g_ta_cod=15371", 100.0, 0.0, 0.0),
(5817, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence", "Institut national universitaire Champollion - Licence - Portail Parcours Sciences Politiques", "Licence - Sciences humaines et sociales", "Parcours Sciences Politiques : Géographie et aménagement", 4, 191, 95, 191, 0, 177, 31, 4, 0, 1, 0, 9, 0, 0, 0, 0, 0, 191, 0, 0, 0, 177, 31, 4, 0, 1, 0, 9, 33, 5, 2, 5, 0, 0.0, 5.0, 5.0, 0, 1, 5, 5, 0, 0, 0, 0, 0, 0, 4, 1, 0.0, 5, 0, 0, 0, 0, 5, 5, 0.0, 100.0, 100.0, 40.0, 100.0, 100.0, 0, 20.0, 100.0, 0.0, 0.0, 0.0, 80.0, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 33.0, 6.0, 0.0, 0.0, 0.0, "Tous les candidats", 126.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "23967", "Licence - Portail Parcours Sciences Politiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23964&g_ta_cod=23967", 100.0, 0.0, 0.0),
(5818, "Public", "0251018W", "I.U.T de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BUT", "I.U.T de Besançon - BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Matériaux et produits formulés", "BUT - Production", "Analyse, contrôle-qualité, environnement - Matériaux et produits formulés", 72, 912, 524, 897, 0, 557, 68, 107, 33, 2, 1, 231, 15, 0, 10, 0, 5, 715, 1, 0, 0, 495, 50, 70, 19, 0, 0, 150, 528, 69, 41, 69, 0, 39.0, 50.0, 66.0, 0, 10, 58, 48, 10, 0, 11, 0, 12, 26, 16, 4, 0.0, 36, 10, 0, 0, 0, 37, 37, 56.52, 72.46, 95.65, 59.3984375, 63.796875, 63.796875, 0, 17.19921875, 84.09375, 0.0, 20.69921875, 44.796875, 27.59765625, 6.9, 0.0, 82.796875, 62.09375, 17.19921875, 17.19921875, 0.0, 0.0, 370.0, 48.0, 0.0, 0.0, 95.0, "Tous les candidats sauf les Bac technologiques", 552.0, "Bacheliers technologiques toutes séries", 81, "", 0, "Liste d'appel propre à cette formation", 71.0, "3505", "BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Matériaux et produits formulés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3505&g_ta_cod=3505", 83.0, 17.0, 0.0),
(5819, "Public", "0440062D", "Lycée général et technologique Jean Perrin", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Rezé", "formation sélective", "BTS", "Lycée général et technologique Jean Perrin - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 28, 1529, 1091, 1529, 0, 376, 62, 512, 139, 36, 14, 605, 0, 0, 0, 0, 0, 729, 0, 0, 0, 249, 34, 314, 79, 26, 9, 140, 171, 27, 22, 27, 0, 1.0, 14.0, 23.0, 0, 7, 25, 10, 14, 1, 2, 0, 6, 14, 5, 0, 0.0, 7, 11, 1, 3, 1, 14, 14, 3.7, 51.85, 85.19, 81.5, 56.0, 56.0, 12, 28.0, 92.59375, 0.0, 24.0, 56.0, 20.0, 0.0, 0.0, 40.0, 28.0, 56.0, 44.0, 4.0, 4.0, 54.0, 12.0, 3.0, 2.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 111.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 288, "Liste d'appel propre à cette formation", 27.0, "5454", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5454&g_ta_cod=5454", 37.0, 59.0, 4.0),
(5820, "Public", "0690028F", "Lycée De Saint Just", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée De Saint Just - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 1332, 693, 1332, 0, 1198, 85, 1, 0, 0, 0, 133, 0, 0, 0, 0, 0, 867, 0, 0, 867, 849, 56, 0, 0, 0, 0, 18, 384, 26, 19, 26, 0, 0.0, 11.0, 26.0, 0, 2, 26, 26, 0, 0, 0, 0, 0, 2, 16, 8, 0.0, 26, 0, 0, 2, 1, 8, 8, 0.0, 42.31, 100.0, 73.09375, 30.796875, 30.796875, 7.69921875, 7.69921875, 100.0, 0.0, 0.0, 7.69921875, 61.5, 30.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 375.0, 40.0, 0.0, 0.0, 9.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "31475", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31315&g_ta_cod=31475", 100.0, 0.0, 0.0),
(5821, "Public", "0622949U", "Lycée Mariette", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "BTS", "Lycée Mariette - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 383, 171, 363, 0, 39, 9, 143, 51, 78, 39, 103, 20, 2, 0, 12, 6, 256, 3, 0, 0, 39, 9, 127, 45, 65, 32, 25, 125, 33, 14, 32, 1, 5.0, 21.0, 27.0, 0, 9, 27, 4, 10, 13, 6, 0, 5, 15, 7, 0, 0.0, 2, 9, 11, 10, 6, 27, 27, 15.15, 63.64, 81.82, 42.3984375, 100.0, 100.0, 37, 33.296875, 81.796875, 0.0, 18.5, 55.59375, 25.8984375, 0.0, 0.0, 14.798828125, 7.3994140625, 37.0, 33.296875, 48.09375, 40.6953125, 15.0, 5.0, 62.0, 31.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 47.0, "7464", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7464&g_ta_cod=7464", 21.0, 39.0, 39.0),
(5822, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation non sélective", "Licence_Las", "Université Gustave Eiffel - Licence - Informatique - Mathématiques-Informatique -  option Santé", "Licence - Sciences - technologies - santé", "Mathématiques-Informatique", 20, 255, 75, 255, 0, 150, 39, 18, 9, 3, 1, 84, 0, 0, 0, 0, 0, 253, 0, 0, 0, 150, 39, 18, 9, 3, 1, 82, 90, 19, 8, 19, 0, 1.0, 9.0, 16.0, 0, 3, 12, 12, 0, 0, 7, 0, 5, 6, 1, 0, 0.0, 7, 0, 0, 0, 0, 10, 12, 5.26, 47.37, 84.21, 42.09375, 83.296875, 100.0, 0, 25.0, 63.1953125, 0.0, 41.6953125, 50.0, 8.298828125, 0.0, 0.0, 100.0, 58.296875, 0.0, 0.0, 0.0, 0.0, 60.0, 16.0, 0.0, 0.0, 30.0, "Tous les candidats", 94.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "32345", "Licence - Informatique - Mathématiques-Informatique -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32345&g_ta_cod=32345", 100.0, 0.0, 0.0),
(5823, "Public", "0940742W", "Lycée Guillaume Budé", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Limeil-Brévannes", "formation sélective", "BTS", "Lycée Guillaume Budé - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 682, 293, 682, 0, 42, 20, 172, 66, 146, 81, 322, 0, 0, 0, 0, 0, 368, 0, 0, 0, 35, 17, 119, 40, 79, 47, 135, 159, 32, 10, 28, 0, 6.0, 26.0, 27.0, 0, 9, 26, 1, 16, 9, 6, 0, 11, 15, 0, 0, 0.0, 0, 7, 8, 11, 1, 26, 26, 18.75, 81.25, 84.38, 31.296875, 100.0, 100.0, 42.296875, 34.59375, 81.296875, 0.0, 42.296875, 57.6953125, 0.0, 0.0, 0.0, 3.7998046875, 0.0, 61.5, 26.8984375, 34.59375, 30.796875, 11.0, 7.0, 57.0, 30.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 86, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 27.0, "11444", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11444&g_ta_cod=11444", 9.0, 56.0, 34.0),
(5824, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes franco allemandes", "Licence - Arts-lettres-langues", "Etudes franco allemandes", 19, 80, 63, 78, 0, 64, 11, 3, 1, 2, 1, 9, 2, 1, 0, 0, 1, 47, 1, 0, 0, 40, 5, 1, 0, 0, 0, 6, 39, 6, 6, 6, 0, 4.0, 6.0, 6.0, 0, 1, 6, 6, 0, 0, 0, 0, 0, 1, 3, 2, 0.0, 6, 0, 0, 0, 0, 2, 2, 66.67, 100.0, 100.0, 100.0, 33.296875, 33.296875, 0, 16.69921875, 100.0, 0.0, 0.0, 16.69921875, 50.0, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 32.0, 5.0, 0.0, 0.0, 6.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "6602", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes franco allemandes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6602&g_ta_cod=6602", 100.0, 0.0, 0.0),
(5825, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 190, 2196, 1920, 2196, 0, 1243, 247, 241, 60, 42, 13, 670, 0, 0, 0, 0, 0, 2196, 0, 0, 0, 1243, 247, 241, 60, 42, 13, 670, 700, 198, 174, 198, 0, 46.0, 168.0, 189.0, 0, 33, 146, 109, 26, 11, 52, 0, 23, 84, 33, 6, 0.0, 93, 21, 9, 0, 0, 127, 127, 23.23, 84.85, 95.45, 87.890625, 87.0, 87.0, 0, 22.59765625, 73.6875, 0.0, 15.798828125, 57.5, 22.59765625, 4.1, 0.0, 74.6875, 63.6953125, 17.796875, 14.3984375, 7.5, 6.19921875, 429.0, 76.0, 27.0, 9.0, 160.0, "Tous les candidats", 937.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "19242", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19242&g_ta_cod=19242", 71.0, 19.0, 9.0),
(5826, "Public", "0670084C", "Lycée Jean Rostand", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Lycée Jean Rostand - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 35, 1065, 836, 1065, 0, 263, 71, 300, 95, 29, 12, 473, 0, 0, 0, 0, 0, 390, 0, 0, 0, 151, 38, 96, 26, 0, 0, 143, 182, 32, 24, 32, 0, 3.0, 19.0, 26.0, 0, 8, 25, 17, 8, 0, 7, 0, 2, 12, 9, 2, 0.0, 15, 8, 0, 0, 0, 20, 20, 9.38, 59.38, 81.25, 75.0, 80.0, 80.0, 0, 32.0, 78.09375, 0.0, 8.0, 48.0, 36.0, 8.0, 0.0, 68.0, 60.0, 32.0, 32.0, 0.0, 0.0, 83.0, 21.0, 0.0, 0.0, 71.0, "Tous les candidats", 258.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "7932", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7932&g_ta_cod=7932", 63.0, 38.0, 0.0),
(5827, "Public", "0430112N", "LEGTPA Brioude-Bonnefont - Site de Fontannes", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Fontannes", "formation sélective", "BTS", "LEGTPA Brioude-Bonnefont - Site de Fontannes - BTS - Agricole - génie des équipements agricoles", "BTS - Agricole", "", 16, 130, 6, 129, 0, 10, 2, 47, 5, 42, 11, 30, 1, 0, 0, 0, 1, 103, 1, 0, 0, 10, 2, 47, 5, 42, 11, 4, 57, 8, 0, 8, 0, 5.0, 8.0, 8.0, 0, 3, 8, 0, 3, 5, 0, 0, 1, 5, 1, 1, 0.0, 0, 3, 4, 4, 0, 5, 5, 62.5, 100.0, 100.0, 0.0, 62.5, 62.5, 50, 37.5, 100.0, 0.0, 12.5, 62.5, 12.5, 12.5, 0.0, 0.0, 0.0, 37.5, 37.5, 62.5, 50.0, 9.0, 2.0, 21.0, 7.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 78.0, "14653", "BTS - Agricole - génie des équipements agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14653&g_ta_cod=14653", 0.0, 38.0, 63.0),
(5828, "Public", "0442061B", "Lycée agricole Jules Rieffel", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Herblain", "formation sélective", "BTS", "Lycée agricole Jules Rieffel - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 27, 318, 138, 283, 0, 6, 1, 40, 11, 42, 19, 195, 35, 3, 8, 7, 17, 84, 19, 0, 0, 6, 1, 35, 10, 29, 11, 14, 88, 14, 6, 5, 6, 2.0, 5.0, 8.0, 0, 6, 10, 2, 4, 4, 4, 0, 8, 2, 0, 0, 0.0, 1, 0, 1, 0, 0, 9, 9, 14.29, 35.71, 57.14, 42.8984375, 90.0, 90.0, 0, 60.0, 71.390625, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 20.0, 10.0, 40.0, 0.0, 40.0, 10.0, 8.0, 2.0, 29.0, 12.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 29.0, "5608", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5608&g_ta_cod=5608", 29.0, 29.0, 43.0),
(5829, "Public", "0134061U", "IUT Aix-Marseille - Site d'Aix-En-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BUT", "IUT Aix-Marseille - Site d'Aix-En-Provence - BUT - Information communication Parcours métiers du livre et du patrimoine", "BUT - Service", "", 53, 470, 365, 466, 0, 247, 53, 36, 10, 6, 1, 177, 4, 0, 2, 0, 2, 253, 0, 0, 0, 155, 22, 22, 4, 2, 0, 74, 139, 60, 55, 60, 0, 18.0, 47.0, 56.0, 0, 10, 43, 37, 5, 1, 17, 0, 7, 21, 13, 2, 0.0, 30, 5, 1, 0, 0, 12, 12, 30.0, 78.33, 93.33, 91.6875, 27.8984375, 27.8984375, 0, 23.296875, 71.6875, 0.0, 16.296875, 48.796875, 30.19921875, 4.7, 0.0, 86.0, 69.796875, 11.599609375, 11.599609375, 2.2998046875, 2.2998046875, 83.0, 17.0, 1.0, 0.0, 37.0, "Tous les candidats sauf les Bac technologiques", 164.0, "Bacheliers technologiques toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 42.0, "2708", "BUT - Information communication Parcours métiers du livre et du patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2708&g_ta_cod=2708", 87.0, 12.0, 2.0),
(5830, "Public", "9740001H", "Lycée Leconte de Lisle", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée Leconte de Lisle - BTS - Services - Communication", "BTS - Services", "", 35, 857, 612, 832, 0, 117, 54, 297, 169, 130, 98, 288, 25, 0, 10, 2, 13, 252, 1, 0, 0, 44, 16, 118, 67, 46, 36, 44, 136, 30, 23, 29, 1, 7.0, 27.0, 27.0, 0, 17, 30, 6, 17, 7, 0, 0, 4, 17, 6, 3, 0.0, 6, 16, 4, 6, 4, 28, 28, 23.33, 90.0, 90.0, 76.6875, 93.296875, 93.296875, 20, 56.6953125, 100.0, 0.0, 13.298828125, 56.6953125, 20.0, 10.0, 0.0, 20.0, 20.0, 56.6953125, 53.296875, 23.296875, 13.298828125, 16.0, 7.0, 24.0, 20.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 135, "Liste d'appel propre à cette formation", 23.0, "11884", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11884&g_ta_cod=11884", 20.0, 57.0, 23.0),
(5831, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Histoire de l'art et archéologie - Parcours Histoire de l'art et archéologie (En enseignement à distance uniquement)", "Licence - Sciences humaines et sociales", "Histoire de l'art et archéologie (En enseignement à distance uniquement)", 250, 807, 599, 702, 0, 184, 52, 26, 7, 11, 7, 481, 105, 4, 1, 2, 98, 702, 103, 0, 0, 184, 52, 26, 7, 11, 7, 481, 710, 249, 198, 187, 62, 58.0, 184.0, 227.0, 0, 19, 38, 28, 5, 5, 211, 0, 17, 14, 7, 0, 0.0, 17, 3, 1, 0, 0, 16, 16, 23.29, 73.9, 91.16, 79.5, 42.09375, 42.09375, 0, 50.0, 15.298828125, 0.0, 44.6953125, 36.796875, 18.3984375, 0.0, 0.0, 73.6875, 44.6953125, 13.19921875, 7.8994140625, 13.19921875, 2.599609375, 182.0, 51.0, 13.0, 9.0, 490.0, "Tous les candidats", 705.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24115", "Licence - Histoire de l'art et archéologie - Parcours Histoire de l'art et archéologie (En enseignement à distance uniquement)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24115&g_ta_cod=24115", 74.0, 13.0, 7.0),
(5832, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Double licence - Droit / Science politique - Droit - Science Politique", "Licence - Droit-économie-gestion", "Droit - Science Politique", 60, 7531, 5454, 7531, 0, 6519, 866, 43, 14, 11, 5, 958, 0, 0, 0, 0, 0, 1367, 0, 0, 0, 1257, 104, 0, 0, 0, 0, 110, 201, 60, 46, 60, 0, 10.0, 46.0, 54.0, 0, 8, 55, 55, 0, 0, 5, 2, 0, 1, 0, 26, 26.0, 53, 0, 0, 0, 0, 6, 17, 16.67, 76.67, 90.0, 76.6875, 10.8984375, 30.8984375, 0, 14.5, 91.6875, 3.599609375, 0.0, 1.7998046875, 0.0, 47.3, 47.3, 100.0, 96.390625, 0.0, 0.0, 0.0, 0.0, 191.0, 27.0, 0.0, 0.0, 10.0, "Tous les candidats", 296.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "23589", "Double licence - Droit / Science politique - Droit - Science Politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23589&g_ta_cod=23589", 100.0, 0.0, 0.0),
(5833, "Public", "0950666H", "Lycée Georges Braque", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "BTS", "Lycée Georges Braque - BTS - Services - Support à l'action managériale", "BTS - Services", "", 38, 730, 471, 730, 0, 22, 8, 223, 110, 267, 141, 218, 0, 0, 0, 0, 0, 730, 0, 0, 0, 22, 8, 223, 110, 267, 141, 218, 194, 38, 23, 35, 0, 1.0, 23.0, 29.0, 0, 20, 30, 2, 13, 15, 8, 0, 16, 12, 2, 0, 0.0, 0, 7, 7, 4, 3, 27, 30, 2.63, 60.53, 76.32, 60.5, 90.0, 100.0, 13.298828125, 66.6875, 78.890625, 0.0, 53.296875, 40.0, 6.69921875, 0.0, 0.0, 6.69921875, 0.0, 43.296875, 23.296875, 50.0, 23.296875, 11.0, 7.0, 87.0, 50.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 129, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 34.0, "11584", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11584&g_ta_cod=11584", 13.0, 42.0, 45.0),
(5834, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Musicologie", "Licence - Arts-lettres-langues", "", 80, 336, 145, 286, 0, 157, 30, 27, 7, 9, 5, 93, 50, 9, 5, 1, 35, 286, 49, 0, 0, 157, 30, 27, 7, 9, 5, 93, 295, 63, 17, 50, 13, 39.0, 50.0, 59.0, 0, 9, 34, 19, 12, 3, 29, 0, 12, 15, 6, 1, 0.0, 13, 7, 2, 0, 0, 22, 22, 61.9, 79.37, 93.65, 27.0, 64.6875, 64.6875, 0, 26.5, 54.0, 0.0, 35.296875, 44.09375, 17.59765625, 2.9, 0.0, 55.8984375, 38.1953125, 35.296875, 20.59765625, 8.798828125, 5.8994140625, 141.0, 27.0, 9.0, 5.0, 115.0, "Tous les candidats", 286.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3271", "Licence - Musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3271&g_ta_cod=3271", 59.0, 29.0, 10.0),
(5835, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Autre formation", "Institut Catholique de Lyon - ESTBB - Formation professionnelle - Assistant ingénieur en biologie-biochimie - biotechnologies (bac +3)", "Formation professionnelle", "", 96, 530, 344, 386, 0, 197, 18, 36, 10, 2, 0, 151, 144, 53, 13, 5, 73, 329, 41, 0, 0, 190, 17, 31, 6, 0, 0, 108, 361, 82, 51, 67, 14, 36.0, 66.0, 79.0, 0, 8, 61, 49, 11, 1, 21, 1, 23, 28, 8, 1, 0.0, 28, 8, 1, 0, 0, 31, 31, 43.9, 80.49, 96.34, 62.1953125, 50.796875, 50.796875, 0, 13.099609375, 74.390625, 1.599853515625, 37.6953125, 45.8984375, 13.099609375, 1.6, 0.0, 80.296875, 45.8984375, 18.0, 13.099609375, 1.599853515625, 1.599853515625, 211.0, 17.0, 1.0, 0.0, 119.0, "Tous les candidats", 332.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "12193", "Formation professionnelle - Assistant ingénieur en biologie-biochimie - biotechnologies (bac +3)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12193&g_ta_cod=12193", 79.0, 18.0, 2.0),
(5836, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 370, 2724, 1945, 2583, 0, 1839, 387, 260, 89, 48, 21, 436, 141, 29, 10, 6, 96, 2543, 132, 0, 0, 1840, 388, 260, 89, 48, 21, 395, 1794, 361, 238, 302, 59, 34.0, 262.0, 309.0, 0, 79, 259, 217, 33, 9, 102, 1, 94, 99, 56, 9, 0.0, 150, 10, 4, 0, 0, 232, 232, 9.42, 72.58, 85.6, 65.890625, 89.59375, 89.59375, 0, 30.5, 71.6875, 0.39996337890625, 36.296875, 38.1953125, 21.59765625, 3.5, 0.0, 83.796875, 57.8984375, 12.69921875, 3.89990234375, 3.5, 1.5, 1284.0, 284.0, 26.0, 17.0, 355.0, "Tous les candidats", 2688.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "6597", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26935&g_ta_cod=6597", 78.0, 16.0, 5.0),
(5837, "Public", "0720010V", "Lycée agricole La Germiniere", "72", "Sarthe", "Pays de la Loire", "Nantes", "Rouillon", "formation sélective", "BTS", "Lycée agricole La Germiniere - BTS - Agricole - Gestion forestière", "BTS - Agricole", "", 24, 382, 67, 380, 0, 99, 10, 100, 19, 64, 11, 117, 2, 1, 0, 0, 1, 281, 1, 0, 0, 98, 9, 93, 17, 52, 9, 38, 113, 18, 3, 17, 1, 4.0, 12.0, 14.0, 0, 4, 14, 6, 5, 3, 4, 0, 9, 3, 2, 0, 0.0, 3, 2, 0, 1, 0, 5, 5, 22.22, 66.67, 77.78, 16.69921875, 35.6953125, 35.6953125, 7.099609375, 28.59765625, 77.796875, 0.0, 64.296875, 21.3984375, 14.298828125, 0.0, 0.0, 42.8984375, 21.3984375, 35.6953125, 14.298828125, 21.3984375, 0.0, 48.0, 4.0, 20.0, 4.0, 15.0, "Tous les candidats sauf les Bac professionnels", 183.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 54.0, "8684", "BTS - Agricole - Gestion forestière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8684&g_ta_cod=8684", 50.0, 33.0, 17.0),
(5838, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence_Las", "Université de Franche-Comté - Site de Besançon - Licence - Portail Philosophie", "Licence - Sciences humaines et sociales", "", 15, 133, 98, 124, 0, 64, 15, 5, 2, 7, 3, 48, 9, 2, 0, 0, 7, 124, 9, 0, 0, 64, 15, 5, 2, 7, 3, 48, 93, 13, 6, 10, 3, 0.0, 5.0, 9.0, 0, 2, 5, 5, 0, 0, 8, 0, 1, 4, 0, 0, 0.0, 4, 0, 0, 0, 0, 3, 3, 0.0, 38.46, 69.23, 46.1953125, 60.0, 60.0, 0, 40.0, 38.5, 0.0, 20.0, 80.0, 0.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 43.0, 7.0, 2.0, 0.0, 47.0, "Tous les candidats", 298.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "32322", "Licence - Portail Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32321&g_ta_cod=32322", 85.0, 8.0, 8.0),
(5839, "Public", "0291660X", "Université de Brest - Site de Quimper", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation non sélective", "Licence", "Université de Brest - Site de Quimper - Licence - Histoire - Parcours Histoire - Art et archéologie", "Licence - Sciences humaines et sociales", "Histoire - Art et archéologie", 40, 268, 172, 222, 0, 137, 29, 15, 1, 15, 4, 55, 46, 13, 2, 2, 29, 222, 43, 0, 0, 137, 29, 15, 1, 15, 4, 55, 239, 20, 11, 13, 7, 7.0, 13.0, 18.0, 0, 2, 9, 8, 0, 1, 11, 0, 2, 6, 1, 0, 0.0, 7, 0, 0, 0, 0, 8, 8, 35.0, 65.0, 90.0, 55.0, 88.890625, 88.890625, 0, 22.19921875, 45.0, 0.0, 22.19921875, 66.6875, 11.099609375, 0.0, 0.0, 88.890625, 77.796875, 0.0, 0.0, 11.099609375, 0.0, 137.0, 30.0, 14.0, 4.0, 73.0, "Tous les candidats", 222.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19555", "Licence - Histoire - Parcours Histoire - Art et archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19555&g_ta_cod=19555", 80.0, 10.0, 10.0),
(5840, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Sciences de la vie", "Licence - Sciences - technologies - santé", "", 700, 3891, 2720, 3689, 0, 2156, 335, 199, 56, 15, 6, 1319, 202, 43, 11, 5, 143, 3593, 117, 0, 0, 2156, 335, 199, 56, 15, 6, 1223, 2701, 658, 406, 586, 72, 69.0, 409.0, 541.0, 0, 69, 391, 344, 43, 4, 267, 4, 103, 129, 109, 43, 3.0, 262, 18, 4, 0, 0, 282, 282, 10.49, 62.16, 82.22, 61.6953125, 72.09375, 72.09375, 0, 17.59765625, 59.3984375, 1.0, 26.296875, 33.0, 27.8984375, 11.0, 0.8, 88.0, 67.0, 11.0, 4.599609375, 1.0, 1.0, 1561.0, 246.0, 11.0, 2.0, 983.0, "Tous les candidats", 2946.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "8056", "Licence - Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8056&g_ta_cod=8056", 88.0, 10.0, 1.0),
(5841, "Public", "9741185V", "Lycée Le Verger", "974", "La Réunion", "La Réunion", "La Réunion", "Sainte-Marie", "formation sélective", "BTS", "Lycée Le Verger - BTS - Services - Assurance", "BTS - Services", "", 28, 723, 494, 723, 0, 85, 41, 281, 189, 196, 141, 161, 0, 0, 0, 0, 0, 412, 0, 0, 0, 58, 28, 187, 133, 100, 72, 67, 157, 29, 21, 29, 0, 3.0, 25.0, 26.0, 0, 21, 25, 6, 13, 6, 4, 0, 4, 14, 7, 0, 0.0, 4, 11, 6, 2, 2, 23, 23, 10.34, 86.21, 89.66, 72.390625, 92.0, 92.0, 8, 84.0, 86.1875, 0.0, 16.0, 56.0, 28.0, 0.0, 0.0, 24.0, 16.0, 52.0, 44.0, 24.0, 24.0, 20.0, 12.0, 27.0, 18.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 131, "Liste d'appel propre à cette formation", 35.0, "11961", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11961&g_ta_cod=11961", 24.0, 52.0, 24.0),
(5842, "Public", "0921626T", "Lycée professionnel Claude Chappe", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Autre formation", "Lycée professionnel Claude Chappe - Mention complémentaire - FCIL - Mobilités Urbaines, maintenances des véhicules électriques légers (Vélos électriques, trottinettes, hoverboards, ...)", "Mention complémentaire", "", 12, 14, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 3, 0, 6, 5, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 23, 6, 0, 0, 5, 0.0, 0.0, 3.0, 0, 1, 4, 1, 0, 3, 2, 0, 3, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 3, 0.0, 0.0, 50.0, 0.0, 50.0, 75.0, 0, 25.0, 66.6875, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 25.0, 0.0, 0.0, 0.0, 75.0, 25.0, 2.0, 0.0, 16.0, 6.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34953", "Mention complémentaire - FCIL - Mobilités Urbaines, maintenances des véhicules électriques légers (Vélos électriques, trottinettes, hoverboards, ...)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34953&g_ta_cod=34953", 17.0, 0.0, 83.0),
(5843, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Sciences du langage - Parcours Communications, médias, médiations numériques (CMM)", "Licence - Arts-lettres-langues", "Communications, médias, médiations numériques (CMM)", 160, 739, 496, 608, 0, 339, 87, 42, 14, 20, 12, 207, 131, 20, 7, 7, 97, 599, 127, 0, 0, 339, 87, 42, 14, 20, 12, 198, 669, 155, 99, 100, 55, 18.0, 98.0, 125.0, 0, 35, 81, 62, 10, 9, 74, 2, 40, 28, 10, 1, 0.0, 32, 3, 4, 0, 0, 43, 43, 11.61, 63.23, 80.65, 63.8984375, 53.09375, 53.09375, 0, 43.1953125, 52.296875, 2.5, 49.3984375, 34.59375, 12.298828125, 1.2, 0.0, 76.5, 39.5, 12.298828125, 3.69970703125, 11.099609375, 4.8994140625, 336.0, 84.0, 22.0, 14.0, 266.0, "Tous les candidats", 600.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4564", "Licence - Sciences du langage - Parcours Communications, médias, médiations numériques (CMM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4564&g_ta_cod=4564", 74.0, 15.0, 11.0),
(5844, "Public", "0951985S", "I.U.T de Cergy-Pontoise - Site de Sarcelles", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Sarcelles", "formation sélective", "BUT", "I.U.T de Cergy-Pontoise - Site de Sarcelles - BUT - Techniques de commercialisation Parcours : ENEPS destiné aux bacs professionnels - Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "ENEPS destiné aux bacs professionnels - Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client - Stratégie de marque et événementiel", 14, 476, 245, 266, 0, 0, 0, 0, 0, 205, 88, 61, 210, 0, 0, 104, 106, 39, 3, 0, 0, 0, 0, 0, 0, 37, 12, 2, 37, 13, 9, 11, 2, 4.0, 11.0, 13.0, 0, 3, 10, 0, 0, 10, 3, 0, 0, 1, 6, 3, 0.0, 0, 0, 10, 0, 0, 5, 8, 30.77, 84.62, 100.0, 69.1875, 50.0, 80.0, 0, 30.0, 76.890625, 0.0, 0.0, 10.0, 60.0, 30.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 34.0, 11.0, 3.0, "Tous les candidats sauf les Bac technologiques", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "25199", "BUT - Techniques de commercialisation Parcours : ENEPS destiné aux bacs professionnels - Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25199&g_ta_cod=25199", 0.0, 0.0, 100.0),
(5845, "Public", "0670041F", "Lycée Henri Meck", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Molsheim", "formation sélective", "BTS", "Lycée Henri Meck - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 261, 82, 255, 0, 42, 10, 86, 21, 66, 21, 61, 6, 1, 5, 0, 0, 134, 2, 0, 0, 35, 7, 56, 12, 28, 6, 15, 92, 19, 7, 16, 2, 1.0, 13.0, 18.0, 0, 5, 16, 5, 7, 4, 3, 0, 8, 7, 1, 0, 0.0, 2, 3, 3, 7, 4, 16, 16, 5.26, 68.42, 94.74, 36.796875, 100.0, 100.0, 43.796875, 31.296875, 84.1875, 0.0, 50.0, 43.796875, 6.2998046875, 0.0, 0.0, 31.296875, 12.5, 43.796875, 18.796875, 25.0, 18.796875, 24.0, 4.0, 21.0, 5.0, 11.0, "Tous les candidats sauf les Bac professionnels", 105.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 52.0, "7905", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7905&g_ta_cod=7905", 37.0, 42.0, 21.0),
(5846, "Public", "0330076D", "Lycée professionnel Charles Peguy", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Eysines", "formation sélective", "Autre formation", "Lycée professionnel Charles Peguy - Mention complémentaire - Technicien ascensoriste, service et modernisation", "Mention complémentaire", "", 15, 44, 1, 43, 0, 0, 0, 0, 0, 37, 14, 6, 1, 0, 0, 1, 0, 34, 1, 0, 0, 0, 0, 0, 0, 34, 14, 0, 35, 13, 0, 12, 0, 2.0, 11.0, 11.0, 0, 6, 12, 0, 0, 12, 0, 0, 8, 4, 0, 0, 0.0, 0, 0, 4, 0, 0, 12, 12, 15.38, 84.62, 84.62, 0.0, 100.0, 100.0, 0, 50.0, 92.296875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 33.296875, 0.0, 0.0, 35.0, 14.0, 0.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "12081", "Mention complémentaire - Technicien ascensoriste, service et modernisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12081&g_ta_cod=12081", 0.0, 0.0, 92.0),
(5847, "Public", "0031121C", "Université Clermont Auvergne - Antenne de Vichy - UFR STAPS", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Vichy", "formation non sélective", "Licence", "Université Clermont Auvergne - Antenne de Vichy - UFR STAPS - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Passerelle Kiné", "Licence - Sciences - technologies - santé", "Passerelle Kiné", 45, 1165, 564, 1165, 0, 831, 97, 34, 7, 5, 4, 295, 0, 0, 0, 0, 0, 1165, 0, 0, 0, 831, 97, 34, 7, 5, 4, 295, 122, 45, 21, 45, 0, 13.0, 40.0, 42.0, 0, 5, 45, 43, 2, 0, 0, 0, 2, 22, 12, 9, 0.0, 42, 1, 0, 0, 0, 45, 45, 28.89, 88.89, 93.33, 46.6953125, 100.0, 100.0, 0, 11.099609375, 100.0, 0.0, 4.3994140625, 48.8984375, 26.69921875, 20.0, 0.0, 95.59375, 93.296875, 4.3994140625, 2.19970703125, 0.0, 0.0, 119.0, 13.0, 0.0, 0.0, 0.0, "Tous les candidats", 147.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "23471", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Passerelle Kiné", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23471&g_ta_cod=23471", 96.0, 4.0, 0.0),
(5848, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Lettres, langues - Parcours PLURIDISCIPLINAIRE BILINGUE ANGLAIS, LETTRES, SCIENCES HUMAINES", "Licence - Arts-lettres-langues", "PLURIDISCIPLINAIRE BILINGUE ANGLAIS, LETTRES, SCIENCES HUMAINES", 30, 520, 438, 494, 0, 352, 54, 17, 3, 4, 1, 121, 26, 3, 1, 1, 21, 251, 0, 0, 0, 193, 23, 2, 0, 0, 0, 56, 139, 27, 19, 27, 0, 4.0, 21.0, 26.0, 0, 2, 24, 24, 0, 0, 3, 0, 0, 2, 16, 5, 1.0, 24, 0, 0, 0, 0, 4, 15, 14.81, 77.78, 96.3, 70.390625, 16.69921875, 62.5, 0, 8.298828125, 88.890625, 0.0, 0.0, 8.298828125, 66.6875, 20.8, 4.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 118.0, 16.0, 0.0, 0.0, 21.0, "Tous les candidats", 184.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "9292", "Licence - Lettres, langues - Parcours PLURIDISCIPLINAIRE BILINGUE ANGLAIS, LETTRES, SCIENCES HUMAINES", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9292&g_ta_cod=9292", 100.0, 0.0, 0.0),
(5849, "Public", "0190010H", "Lycée Georges Cabanis", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "CPGE", "Lycée Georges Cabanis - CPGE - TSI", "Classe préparatoire scientifique", "", 28, 250, 26, 250, 204, 0, 0, 209, 53, 0, 0, 41, 0, 0, 0, 0, 0, 232, 0, 204, 148, 0, 0, 204, 51, 0, 0, 28, 130, 31, 5, 31, 0, 17.0, 31.0, 31.0, 27, 5, 29, 0, 29, 0, 2, 0, 0, 10, 14, 5, 0.0, 0, 29, 0, 4, 2, 15, 15, 54.84, 100.0, 100.0, 16.09765625, 51.6953125, 51.6953125, 13.798828125, 17.19921875, 93.5, 0.0, 0.0, 34.5, 48.296875, 17.2, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 182.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "3131", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3131&g_ta_cod=3131", 0.0, 100.0, 0.0),
(5850, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence_Las", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Portail Lettres - SCIENCES DU LANGAGE", "Licence - Arts-lettres-langues", "SCIENCES DU LANGAGE", 15, 497, 440, 497, 0, 222, 45, 13, 5, 27, 13, 235, 0, 0, 0, 0, 0, 493, 0, 0, 0, 222, 45, 13, 5, 27, 13, 231, 102, 15, 14, 15, 0, 1.0, 9.0, 11.0, 0, 3, 14, 14, 0, 0, 1, 0, 3, 8, 2, 1, 0.0, 11, 0, 0, 0, 0, 2, 11, 6.67, 60.0, 73.33, 93.296875, 14.298828125, 78.59375, 0, 21.3984375, 93.296875, 0.0, 21.3984375, 57.09375, 14.298828125, 7.1, 0.0, 100.0, 78.59375, 0.0, 0.0, 0.0, 0.0, 82.0, 16.0, 0.0, 0.0, 20.0, "Tous les candidats", 217.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "28445", "Licence - Portail Lettres - SCIENCES DU LANGAGE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27241&g_ta_cod=28445", 93.0, 7.0, 0.0),
(5851, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 5 - Lettres - Espagnol (LLCER)", "Licence - Arts-lettres-langues", "5 - Lettres - Espagnol (LLCER)", 100, 180, 133, 124, 0, 77, 21, 17, 4, 7, 4, 23, 56, 10, 10, 7, 29, 124, 24, 0, 0, 77, 21, 17, 4, 7, 4, 23, 145, 17, 11, 14, 3, 9.0, 13.0, 15.0, 0, 7, 13, 8, 3, 2, 4, 0, 7, 6, 0, 0, 0.0, 3, 1, 2, 0, 0, 11, 11, 52.94, 76.47, 88.24, 64.6875, 84.59375, 84.59375, 0, 53.796875, 76.5, 0.0, 53.796875, 46.1953125, 0.0, 0.0, 0.0, 61.5, 23.09765625, 23.09765625, 7.69921875, 15.3984375, 15.3984375, 81.0, 24.0, 9.0, 5.0, 35.0, "Tous les candidats", 124.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24148", "Licence - Portail 5 - Lettres - Espagnol (LLCER)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24148&g_ta_cod=24148", 65.0, 18.0, 18.0),
(5852, "Public", "9730108E", "Lycée Gaston Monnerville", "973", "Guyane", "Guyane", "Guyane", "Kourou", "formation sélective", "BTS", "Lycée Gaston Monnerville - BTS - Services - Tourisme", "BTS - Services", "", 20, 247, 187, 194, 0, 57, 31, 38, 18, 59, 41, 40, 53, 4, 0, 28, 21, 87, 6, 0, 0, 45, 26, 12, 9, 15, 7, 15, 63, 17, 15, 14, 2, 6.0, 13.0, 15.0, 0, 10, 13, 6, 4, 3, 4, 0, 5, 6, 2, 0, 0.0, 5, 1, 2, 2, 2, 12, 12, 35.29, 76.47, 88.24, 88.1875, 92.296875, 92.296875, 15.3984375, 76.890625, 76.5, 0.0, 38.5, 46.1953125, 15.3984375, 0.0, 0.0, 46.1953125, 38.5, 30.796875, 7.69921875, 23.09765625, 15.3984375, 25.0, 14.0, 17.0, 10.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 43.0, "11856", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11856&g_ta_cod=11856", 53.0, 24.0, 24.0),
(5853, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Informatique - Parcours sciences exactes sciences de l'ingénieur (SESI) option Renforcé recherche", "Licence - Sciences - technologies - santé", "sciences exactes sciences de l'ingénieur (SESI) option Renforcé recherche", 60, 838, 142, 617, 0, 429, 100, 15, 8, 0, 0, 173, 221, 60, 4, 2, 155, 332, 23, 0, 0, 332, 69, 0, 0, 0, 0, 0, 303, 35, 5, 25, 10, 11.0, 25.0, 32.0, 0, 7, 31, 31, 0, 0, 4, 0, 4, 13, 9, 4, 1.0, 27, 0, 0, 0, 0, 25, 25, 31.43, 71.43, 91.43, 14.298828125, 80.59375, 80.59375, 0, 22.59765625, 88.59375, 0.0, 12.8984375, 41.8984375, 29.0, 12.9, 3.2, 100.0, 87.09375, 0.0, 0.0, 0.0, 0.0, 290.0, 57.0, 0.0, 0.0, 13.0, "Tous les candidats", 332.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "27177", "Licence - Informatique - Parcours sciences exactes sciences de l'ingénieur (SESI) option Renforcé recherche", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27177&g_ta_cod=27177", 100.0, 0.0, 0.0),
(5854, "Public", "0620063G", "Lycée Sophie Berthelot", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "BTS", "Lycée Sophie Berthelot - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 295, 138, 293, 0, 33, 9, 107, 25, 92, 57, 61, 2, 0, 0, 2, 0, 230, 0, 0, 0, 32, 8, 99, 22, 59, 35, 40, 95, 34, 20, 34, 0, 15.0, 29.0, 29.0, 0, 12, 26, 2, 10, 14, 8, 0, 6, 12, 8, 0, 0.0, 1, 6, 13, 6, 4, 26, 26, 44.12, 85.29, 85.29, 58.796875, 100.0, 100.0, 23.09765625, 46.1953125, 76.5, 0.0, 23.09765625, 46.1953125, 30.796875, 0.0, 0.0, 7.69921875, 3.7998046875, 38.5, 23.09765625, 53.796875, 50.0, 7.0, 2.0, 37.0, 22.0, 19.0, "Tous les candidats sauf les Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 66, "", 0, "Liste d'appel propre à cette formation", 42.0, "7363", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7363&g_ta_cod=7363", 12.0, 35.0, 53.0),
(5855, "Public", "0142132S", "Lycée Francois Rabelais", "14", "Calvados", "Normandie", "Normandie", "Ifs", "formation sélective", "BTS", "Lycée Francois Rabelais - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 36, 291, 147, 291, 0, 0, 0, 89, 15, 133, 27, 69, 0, 0, 0, 0, 0, 291, 0, 0, 0, 0, 0, 89, 15, 133, 27, 69, 94, 36, 18, 36, 0, 15.0, 32.0, 34.0, 0, 8, 24, 0, 12, 12, 12, 0, 4, 4, 10, 6, 0.0, 0, 8, 12, 19, 7, 23, 23, 41.67, 88.89, 94.44, 50.0, 95.796875, 95.796875, 79.1875, 33.296875, 66.6875, 0.0, 16.69921875, 16.69921875, 41.6953125, 25.0, 0.0, 0.0, 0.0, 50.0, 33.296875, 50.0, 50.0, 0.0, 0.0, 21.0, 5.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 49.0, "2927", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2927&g_ta_cod=2927", 33.0, 33.0, 33.0),
(5856, "Public", "9741620T", "Lycée Mémona Hintermann-Afféjee", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée Mémona Hintermann-Afféjee - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 215, 16, 210, 0, 15, 8, 75, 36, 78, 49, 42, 5, 0, 1, 0, 4, 133, 0, 0, 0, 14, 7, 47, 22, 55, 37, 17, 60, 12, 2, 12, 0, 1.0, 8.0, 9.0, 0, 5, 10, 2, 4, 4, 2, 0, 8, 2, 0, 0, 0.0, 1, 1, 0, 2, 0, 8, 8, 8.33, 66.67, 75.0, 16.69921875, 80.0, 80.0, 20, 50.0, 83.296875, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 20.0, 10.0, 40.0, 10.0, 40.0, 0.0, 7.0, 3.0, 26.0, 17.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 42.0, "22700", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22700&g_ta_cod=22700", 17.0, 33.0, 50.0),
(5857, "Public", "9741185V", "Lycée Le Verger", "974", "La Réunion", "La Réunion", "La Réunion", "Sainte-Marie", "formation sélective", "BTS", "Lycée Le Verger - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 747, 468, 738, 0, 74, 39, 272, 170, 214, 157, 178, 9, 1, 5, 0, 3, 402, 2, 0, 0, 57, 31, 147, 93, 120, 90, 78, 204, 36, 21, 34, 1, 10.0, 27.0, 28.0, 0, 15, 24, 2, 11, 11, 12, 0, 9, 13, 2, 0, 0.0, 1, 6, 8, 2, 1, 21, 21, 27.78, 75.0, 77.78, 58.296875, 87.5, 87.5, 8.298828125, 62.5, 66.6875, 0.0, 37.5, 54.1953125, 8.298828125, 0.0, 0.0, 8.298828125, 4.19921875, 45.796875, 25.0, 45.796875, 33.296875, 23.0, 12.0, 42.0, 32.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 139, "Liste d'appel propre à cette formation", 32.0, "11960", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11960&g_ta_cod=11960", 19.0, 42.0, 39.0),
(5858, "Privé sous contrat d'association", "0300080Z", "Lycée Emmanuel d'Alzon", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Emmanuel d'Alzon - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 20, 113, 3, 109, 0, 4, 3, 26, 6, 63, 26, 16, 4, 0, 0, 3, 1, 109, 3, 0, 0, 4, 3, 26, 6, 63, 26, 16, 75, 18, 0, 17, 1, 3.0, 12.0, 15.0, 0, 8, 17, 0, 3, 14, 1, 0, 9, 4, 4, 0, 0.0, 0, 0, 8, 6, 0, 13, 13, 16.67, 66.67, 83.33, 0.0, 76.5, 76.5, 35.296875, 47.09375, 94.390625, 0.0, 52.8984375, 23.5, 23.5, 0.0, 0.0, 0.0, 0.0, 17.59765625, 0.0, 82.390625, 47.09375, 3.0, 2.0, 51.0, 24.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 83.0, "3964", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3964&g_ta_cod=3964", 6.0, 17.0, 78.0),
(5859, "Public", "0860718N", "Lycée Enseignement Général Technologique Agricole Xavier Bernard", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Rouillé", "formation sélective", "BTS", "Lycée Enseignement Général Technologique Agricole Xavier Bernard - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 27, 140, 40, 140, 0, 10, 2, 37, 11, 52, 14, 41, 0, 0, 0, 0, 0, 109, 0, 0, 0, 10, 2, 37, 11, 52, 14, 10, 72, 20, 5, 20, 0, 7.0, 20.0, 20.0, 0, 8, 18, 1, 6, 11, 2, 0, 5, 8, 5, 0, 0.0, 1, 4, 8, 10, 1, 15, 15, 35.0, 100.0, 100.0, 25.0, 83.296875, 83.296875, 55.59375, 44.3984375, 90.0, 0.0, 27.796875, 44.3984375, 27.796875, 0.0, 0.0, 5.599609375, 5.599609375, 33.296875, 22.19921875, 61.09375, 44.3984375, 9.0, 1.0, 36.0, 11.0, 6.0, "Tous les candidats sauf les Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 49, "", 0, "Liste d'appel propre à cette formation", 73.0, "10607", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10607&g_ta_cod=10607", 15.0, 30.0, 55.0),
(5860, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Philosophie - Parcours Philosophie - A distance", "Licence - Sciences humaines et sociales", "Philosophie - A distance", 185, 566, 305, 566, 0, 59, 8, 8, 0, 4, 1, 495, 0, 0, 0, 0, 0, 566, 0, 0, 0, 59, 8, 8, 0, 4, 1, 495, 357, 182, 92, 182, 0, 112.0, 180.0, 180.0, 0, 1, 6, 6, 0, 0, 176, 0, 0, 2, 1, 3, 0.0, 6, 0, 0, 0, 0, 2, 3, 61.54, 98.9, 98.9, 50.5, 33.296875, 50.0, 0, 16.69921875, 3.2998046875, 0.0, 0.0, 33.296875, 16.69921875, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 43.0, 8.0, 3.0, 1.0, 307.0, "Tous les candidats", 385.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "20899", "Licence - Philosophie - Parcours Philosophie - A distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20899&g_ta_cod=20899", 91.0, 7.0, 0.0),
(5861, "Public", "0691644M", "Lycée Louis Armand", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villefranche-sur-Saône", "formation sélective", "BTS", "Lycée Louis Armand - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 348, 27, 290, 0, 15, 3, 112, 26, 82, 35, 81, 58, 0, 12, 13, 33, 135, 13, 0, 0, 8, 0, 67, 13, 49, 20, 11, 107, 15, 1, 8, 5, 1.0, 8.0, 13.0, 0, 2, 8, 0, 3, 5, 7, 0, 2, 5, 1, 0, 0.0, 0, 3, 3, 2, 0, 7, 7, 6.67, 53.33, 86.67, 6.69921875, 87.5, 87.5, 25, 25.0, 53.296875, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 0.0, 0.0, 37.5, 37.5, 62.5, 37.5, 5.0, 0.0, 38.0, 16.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 46.0, "8331", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8331&g_ta_cod=8331", 13.0, 33.0, 53.0),
(5862, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "Licence", "ICES - Institut Catholique de Vendée - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER anglais", "Licence - Arts-lettres-langues", "LLCER anglais", 60, 105, 78, 88, 0, 72, 6, 1, 1, 2, 0, 13, 17, 6, 0, 0, 11, 86, 5, 0, 0, 71, 6, 1, 1, 1, 0, 13, 89, 28, 20, 26, 2, 24.0, 26.0, 28.0, 0, 2, 25, 25, 0, 0, 3, 0, 2, 12, 6, 5, 0.0, 23, 0, 0, 0, 0, 24, 24, 85.71, 92.86, 100.0, 71.390625, 96.0, 96.0, 0, 8.0, 89.296875, 0.0, 8.0, 48.0, 24.0, 20.0, 0.0, 100.0, 92.0, 0.0, 0.0, 0.0, 0.0, 75.0, 7.0, 1.0, 0.0, 12.0, "Tous les candidats", 86.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "10550", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10550&g_ta_cod=10550", 100.0, 0.0, 0.0),
(5863, "Public", "0110983J", "I.U.T de Perpignan (Site de Narbonne)", "11", "Aude", "Occitanie", "Montpellier", "Narbonne", "formation sélective", "BUT", "I.U.T de Perpignan (Site de Narbonne) - BUT - Carrières juridiques Parcours : Patrimoine et finance - Entreprise et Association", "BUT - Service", "Patrimoine et finance - Entreprise et Association", 84, 2289, 1846, 2289, 0, 1100, 205, 768, 262, 59, 25, 362, 0, 0, 0, 0, 0, 1413, 0, 0, 0, 780, 132, 499, 156, 0, 0, 134, 459, 85, 74, 85, 0, 12.0, 64.0, 80.0, 0, 20, 77, 38, 39, 0, 8, 1, 4, 38, 32, 2, 0.0, 36, 36, 0, 0, 0, 41, 41, 14.12, 75.29, 94.12, 87.09375, 53.1953125, 53.1953125, 0, 26.0, 90.59375, 1.2998046875, 5.19921875, 49.3984375, 41.59375, 2.6, 0.0, 49.3984375, 46.796875, 50.59375, 46.796875, 0.0, 0.0, 239.0, 57.0, 0.0, 0.0, 25.0, "Tous les candidats sauf les Bac technologiques", 506.0, "Bacheliers technologiques toutes séries", 376, "", 0, "Liste d'appel propre à cette formation", 39.0, "2472", "BUT - Carrières juridiques Parcours : Patrimoine et finance - Entreprise et Association", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2472&g_ta_cod=2472", 52.0, 48.0, 0.0),
(5864, "Public", "0660924W", "LYCEE POLYVALENT CHRISTIAN BOURQUIN", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Argelès-sur-Mer", "formation sélective", "BTS", "LYCEE POLYVALENT CHRISTIAN BOURQUIN - BTS - Services - Tourisme", "BTS - Services", "", 72, 767, 476, 765, 0, 135, 38, 121, 36, 110, 57, 399, 2, 0, 0, 0, 2, 556, 0, 0, 0, 135, 38, 121, 36, 110, 57, 190, 302, 67, 54, 67, 0, 15.0, 59.0, 64.0, 0, 19, 48, 24, 5, 19, 19, 0, 14, 25, 7, 2, 0.0, 15, 3, 16, 3, 2, 27, 27, 22.39, 88.06, 95.52, 80.59375, 56.296875, 56.296875, 6.2998046875, 39.59375, 71.59375, 0.0, 29.19921875, 52.09375, 14.599609375, 4.2, 0.0, 50.0, 31.296875, 10.3984375, 6.2998046875, 39.59375, 33.296875, 106.0, 32.0, 61.0, 28.0, 77.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 190.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 121, "Liste d'appel propre à cette formation", 51.0, "7888", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7888&g_ta_cod=7888", 57.0, 12.0, 31.0),
(5865, "Public", "0141112H", "Lycée agricole Le Robillard", "14", "Calvados", "Normandie", "Normandie", "Saint-Pierre-en-Auge", "formation sélective", "BTS", "Lycée agricole Le Robillard - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 31, 360, 108, 355, 0, 33, 4, 53, 11, 36, 13, 233, 5, 1, 0, 1, 3, 128, 3, 0, 0, 32, 3, 51, 10, 33, 10, 12, 105, 15, 3, 15, 0, 7.0, 15.0, 15.0, 0, 6, 14, 2, 7, 5, 1, 0, 4, 7, 3, 0, 0.0, 2, 4, 4, 4, 1, 13, 13, 46.67, 100.0, 100.0, 20.0, 92.890625, 92.890625, 28.59765625, 42.8984375, 93.296875, 0.0, 28.59765625, 50.0, 21.3984375, 0.0, 0.0, 14.298828125, 14.298828125, 50.0, 28.59765625, 35.6953125, 28.59765625, 26.0, 2.0, 19.0, 7.0, 13.0, "Tous les candidats sauf les Bac professionnels", 94.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 36.0, "2835", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2835&g_ta_cod=2835", 20.0, 47.0, 33.0),
(5866, "Privé enseignement supérieur", "0332818J", "INSEEC Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Ecole de Commerce", "Concours PASS - Formation des écoles de commerce et de management Bac + 4", "Formation des écoles de commerce et de management", "BBA INSEEC - Parcours Classique", 125, 2155, 1003, 2113, 0, 1797, 59, 152, 10, 3, 1, 161, 42, 20, 7, 0, 15, 1861, 29, 0, 0, 1593, 52, 134, 9, 2, 1, 132, 1864, 104, 45, 93, 11, 55.0, 93.0, 103.0, 0, 4, 93, 73, 19, 1, 11, 2, 40, 33, 17, 1, 0.0, 39, 12, 0, 0, 0, 34, 34, 52.88, 89.42, 99.04, 43.296875, 36.59375, 36.59375, 0, 4.2998046875, 89.390625, 2.19970703125, 43.0, 35.5, 18.296875, 1.1, 0.0, 78.5, 41.8984375, 20.3984375, 12.8984375, 1.099853515625, 0.0, 1587.0, 52.0, 2.0, 1.0, 142.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 88.0, "26370", "Formation des écoles de commerce et de management Bac + 4", "Concours PASS", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26356&g_ta_cod=26370", 80.0, 19.0, 1.0),
(5867, "Public", "0650583F", "I.U.T de Tarbes", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BUT", "I.U.T de Tarbes - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments", "BUT - Production", "Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments", 48, 1310, 217, 1310, 0, 629, 68, 480, 76, 8, 5, 193, 0, 0, 0, 0, 0, 1023, 0, 0, 0, 525, 51, 368, 56, 0, 0, 130, 359, 52, 14, 52, 0, 2.0, 26.0, 46.0, 0, 5, 50, 24, 26, 0, 2, 0, 5, 32, 13, 0, 0.0, 21, 24, 0, 0, 0, 29, 29, 3.85, 50.0, 88.46, 26.8984375, 58.0, 58.0, 0, 10.0, 96.1875, 0.0, 10.0, 64.0, 26.0, 0.0, 0.0, 48.0, 42.0, 52.0, 48.0, 0.0, 0.0, 192.0, 27.0, 0.0, 0.0, 48.0, "Tous les candidats sauf les Bac technologiques", 436.0, "Bacheliers technologiques toutes séries", 226, "", 0, "Liste d'appel propre à cette formation", 51.0, "16046", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16046&g_ta_cod=16046", 50.0, 50.0, 0.0),
(5868, "Public", "0370987X", "Ecole supérieure d'art et de design TALM-Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "Autre formation", "Concours TALM - Diplôme National d'Art option art - Concours ART", "Diplôme National d'Art", "Concours ART", 44, 418, 329, 418, 0, 146, 17, 31, 7, 13, 6, 228, 0, 0, 0, 0, 0, 307, 0, 0, 0, 99, 14, 21, 4, 7, 4, 180, 163, 44, 31, 44, 0, 6.0, 34.0, 42.0, 0, 5, 15, 9, 2, 4, 29, 0, 1, 5, 6, 3, 0.0, 9, 2, 3, 0, 0, 4, 4, 13.64, 77.27, 95.45, 70.5, 26.69921875, 26.69921875, 0, 33.296875, 34.09375, 0.0, 6.69921875, 33.296875, 40.0, 20.0, 0.0, 60.0, 60.0, 13.298828125, 13.298828125, 26.69921875, 20.0, 36.0, 8.0, 5.0, 3.0, 110.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "25232", "Diplôme National d'Art option art - Concours ART", "Concours TALM", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19252&g_ta_cod=25232", 80.0, 5.0, 14.0),
(5869, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Langues étrangères appliquées - Parcours LEA / Anglais / Chinois", "Licence - Arts-lettres-langues", "LEA / Anglais / Chinois", 35, 239, 172, 239, 0, 146, 30, 22, 8, 8, 3, 63, 0, 0, 0, 0, 0, 239, 0, 0, 0, 146, 30, 22, 8, 8, 3, 63, 130, 36, 25, 36, 0, 27.0, 35.0, 35.0, 0, 6, 21, 20, 1, 0, 15, 0, 3, 13, 5, 0, 0.0, 18, 0, 0, 0, 0, 10, 10, 75.0, 97.22, 97.22, 69.390625, 47.59375, 47.59375, 0, 28.59765625, 58.296875, 0.0, 14.298828125, 61.8984375, 23.796875, 0.0, 0.0, 95.1875, 85.6875, 4.7998046875, 0.0, 0.0, 0.0, 84.0, 21.0, 1.0, 1.0, 39.0, "Tous les candidats", 179.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "24438", "Licence - Langues étrangères appliquées - Parcours LEA / Anglais / Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24438&g_ta_cod=24438", 94.0, 6.0, 0.0),
(5870, "Privé sous contrat d'association", "0430098Y", "Lycée polyvalent Saint Jacques de Compostelle", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "BTS", "Lycée polyvalent Saint Jacques de Compostelle - BTS - Services - Communication", "BTS - Services", "", 40, 585, 314, 556, 0, 87, 14, 49, 12, 23, 5, 397, 29, 0, 16, 0, 13, 219, 13, 0, 0, 84, 13, 44, 12, 23, 5, 68, 168, 34, 24, 30, 4, 7.0, 26.0, 29.0, 0, 6, 21, 10, 7, 4, 13, 0, 4, 14, 3, 0, 0.0, 8, 6, 3, 4, 3, 15, 15, 20.59, 76.47, 85.29, 70.59375, 71.390625, 71.390625, 19, 28.59765625, 61.796875, 0.0, 19.0, 66.6875, 14.298828125, 0.0, 0.0, 47.59375, 38.09375, 33.296875, 28.59765625, 19.0, 14.298828125, 52.0, 9.0, 19.0, 3.0, 52.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 30.0, "5403", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5403&g_ta_cod=5403", 53.0, 29.0, 18.0),
(5871, "Public", "0260035X", "Lycée CAMILLE VERNET", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "CPGE", "Lycée CAMILLE VERNET - CPGE - PCSI", "Classe préparatoire scientifique", "", 30, 671, 258, 640, 454, 511, 57, 0, 0, 0, 0, 129, 31, 11, 0, 1, 19, 460, 9, 58, 460, 423, 44, 0, 0, 0, 0, 37, 410, 22, 8, 21, 1, 11.0, 18.0, 21.0, 2, 4, 21, 21, 0, 0, 1, 0, 1, 6, 13, 1, 0.0, 20, 0, 0, 1, 1, 18, 18, 50.0, 81.82, 95.45, 36.3984375, 85.6875, 85.6875, 4.7998046875, 19.0, 95.5, 0.0, 4.7998046875, 28.59765625, 61.8984375, 4.8, 0.0, 100.0, 95.1875, 0.0, 0.0, 0.0, 0.0, 383.0, 44.0, 0.0, 0.0, 27.0, "Tous les candidats", 472.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "3622", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3622&g_ta_cod=3622", 100.0, 0.0, 0.0),
(5872, "Public", "0451304Y", "Lycée Hôtelier de l'Orléanais", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Olivet", "formation sélective", "BTS", "Lycée Hôtelier de l'Orléanais - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 24, 210, 101, 210, 0, 0, 0, 81, 12, 90, 27, 39, 0, 0, 0, 0, 0, 210, 0, 0, 0, 0, 0, 81, 12, 90, 27, 39, 58, 25, 12, 25, 0, 15.0, 23.0, 25.0, 0, 6, 23, 0, 12, 11, 2, 0, 2, 12, 5, 4, 0.0, 0, 10, 11, 20, 11, 23, 23, 60.0, 92.0, 100.0, 48.0, 100.0, 100.0, 87, 26.09765625, 92.0, 0.0, 8.69921875, 52.1953125, 21.69921875, 17.4, 0.0, 0.0, 0.0, 52.1953125, 43.5, 47.796875, 47.796875, 0.0, 0.0, 19.0, 4.0, 12.0, "Tous les candidats sauf les Bac professionnels", 111.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 69.0, "25417", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25417&g_ta_cod=25417", 4.0, 52.0, 44.0),
(5873, "Public", "0230522T", "IFSI CH de Gueret", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Guéret", "formation sélective", "IFSI", "Regroupement d'IFSI Université Limoges - D.E Infirmier", "D.E secteur sanitaire", "", 61, 2336, 1963, 2336, 0, 481, 80, 503, 131, 208, 70, 1144, 0, 0, 0, 0, 0, 2013, 0, 0, 0, 464, 74, 459, 116, 162, 55, 928, 739, 61, 55, 61, 0, 1.0, 24.0, 49.0, 0, 11, 45, 23, 16, 6, 16, 0, 19, 18, 7, 1, 0.0, 11, 9, 6, 0, 0, 24, 24, 1.64, 39.34, 80.33, 90.1875, 53.296875, 53.296875, 0, 24.3984375, 73.796875, 0.0, 42.1953125, 40.0, 15.599609375, 2.2, 0.0, 51.09375, 24.3984375, 35.59375, 20.0, 13.298828125, 13.298828125, 270.0, 37.0, 37.0, 15.0, 257.0, "Tous les candidats", 1557.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 41.0, "23155", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22989&g_ta_cod=23155", 46.0, 39.0, 15.0),
(5874, "Public", "0281056W", "I.U.T de Chartres", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Chartres", "formation sélective", "BUT", "I.U.T de Chartres - BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables (Seconde année possible en apprentissage)", "BUT - Service", "Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", 48, 387, 100, 358, 0, 171, 15, 82, 21, 29, 9, 76, 29, 3, 10, 0, 16, 268, 14, 0, 0, 155, 13, 48, 6, 16, 3, 49, 205, 46, 13, 38, 8, 3.0, 34.0, 38.0, 0, 5, 34, 23, 10, 1, 12, 1, 13, 16, 4, 0, 0.0, 13, 6, 1, 0, 0, 16, 16, 6.52, 73.91, 82.61, 28.296875, 47.09375, 47.09375, 0, 14.69921875, 73.890625, 2.89990234375, 38.1953125, 47.09375, 11.798828125, 0.0, 0.0, 67.59375, 38.1953125, 29.3984375, 17.59765625, 2.89990234375, 2.89990234375, 103.0, 9.0, 10.0, 1.0, 47.0, "Tous les candidats sauf les Bac technologiques", 210.0, "Bacheliers technologiques toutes séries", 57, "", 0, "Liste d'appel propre à cette formation", 74.0, "3753", "BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3753&g_ta_cod=3753", 63.0, 33.0, 2.0),
(5875, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Autre formation", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - DEUST - Bureautique et Communication Multimédia", "DEUST", "", 50, 319, 153, 237, 0, 50, 10, 52, 18, 27, 13, 108, 82, 15, 22, 11, 34, 148, 6, 0, 0, 0, 0, 46, 16, 23, 11, 79, 119, 49, 16, 36, 6, 10.0, 26.0, 28.0, 0, 13, 25, 2, 13, 10, 24, 0, 15, 10, 0, 0, 0.0, 0, 6, 4, 0, 0, 15, 22, 20.41, 53.06, 57.14, 32.6953125, 60.0, 88.0, 0, 52.0, 51.0, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 8.0, 0.0, 52.0, 24.0, 40.0, 16.0, 8.0, 3.0, 20.0, 9.0, 50.0, "Tous les candidats", 90.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "29509", "DEUST - Bureautique et Communication Multimédia", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29509&g_ta_cod=29509", 16.0, 45.0, 37.0),
(5876, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence_Las", "Université Sorbonne Paris Nord - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", "", 30, 802, 452, 802, 0, 403, 151, 56, 25, 16, 12, 327, 0, 0, 0, 0, 0, 792, 0, 0, 0, 403, 151, 56, 25, 16, 12, 317, 198, 24, 18, 24, 0, 0.0, 14.0, 22.0, 0, 4, 16, 11, 5, 0, 8, 0, 4, 9, 3, 0, 0.0, 8, 4, 0, 0, 0, 8, 13, 0.0, 58.33, 91.67, 75.0, 50.0, 81.296875, 0, 25.0, 66.6875, 0.0, 25.0, 56.296875, 18.796875, 0.0, 0.0, 68.796875, 50.0, 31.296875, 25.0, 0.0, 0.0, 127.0, 51.0, 0.0, 0.0, 63.0, "Tous les candidats", 1472.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "28381", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28380&g_ta_cod=28381", 67.0, 29.0, 0.0),
(5877, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "PASS", "Université de Brest - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 10, 961, 603, 961, 0, 613, 87, 20, 5, 11, 7, 317, 0, 0, 0, 0, 0, 962, 0, 0, 0, 614, 88, 20, 5, 11, 7, 317, 157, 9, 7, 9, 0, 0.0, 2.0, 7.0, 0, 0, 8, 8, 0, 0, 1, 0, 1, 6, 1, 0, 0.0, 7, 0, 0, 0, 0, 8, 8, 0.0, 22.22, 77.78, 77.796875, 100.0, 100.0, 0, 0.0, 88.890625, 0.0, 12.5, 75.0, 12.5, 0.0, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 143.0, 16.0, 1.0, 1.0, 11.0, "Tous les candidats", 2223.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "28041", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27585&g_ta_cod=28041", 89.0, 11.0, 0.0),
(5878, "Public", "0420033H", "Lycée Albert Thomas", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Roanne", "formation sélective", "BTS", "Lycée Albert Thomas - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 32, 618, 307, 617, 0, 43, 10, 240, 81, 194, 75, 140, 1, 0, 1, 0, 0, 585, 0, 0, 0, 43, 10, 231, 78, 186, 69, 125, 197, 33, 14, 32, 0, 6.0, 18.0, 21.0, 0, 14, 23, 1, 10, 12, 10, 0, 10, 9, 3, 1, 0.0, 0, 2, 11, 4, 1, 19, 19, 18.18, 54.55, 63.64, 42.3984375, 82.59375, 82.59375, 17.3984375, 60.8984375, 69.6875, 0.0, 43.5, 39.09375, 13.0, 4.3, 0.0, 4.2998046875, 0.0, 43.5, 8.69921875, 52.1953125, 47.796875, 9.0, 2.0, 54.0, 21.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 97, "Bacheliers technologiques toutes séries", 154, "Liste d'appel propre à cette formation", 42.0, "5274", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5274&g_ta_cod=5274", 6.0, 42.0, 52.0),
(5879, "Public", "0911975C", "Université d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "Autre formation", "Université d'Evry Val d'Essonne - Diplôme d'Université - Prep'Avenir", "Diplôme d'Université", "Prep'Avenir", 100, 368, 184, 175, 0, 34, 9, 64, 21, 48, 24, 29, 193, 18, 34, 79, 62, 92, 83, 0, 0, 26, 4, 31, 7, 25, 13, 10, 180, 86, 36, 29, 57, 27.0, 27.0, 57.0, 0, 28, 71, 13, 19, 39, 15, 0, 48, 20, 3, 0, 0.0, 4, 0, 19, 0, 0, 61, 68, 31.4, 31.4, 66.28, 41.8984375, 85.890625, 95.796875, 0, 39.3984375, 82.59375, 0.0, 67.59375, 28.19921875, 4.19921875, 0.0, 0.0, 18.296875, 5.599609375, 26.796875, 0.0, 54.8984375, 26.796875, 40.0, 5.0, 58.0, 32.0, 29.0, "Tous les candidats", 92.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "27286", "Diplôme d'Université - Prep'Avenir", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27286&g_ta_cod=27286", 19.0, 29.0, 52.0),
(5880, "Public", "0301577B", "Université de Montpellier, Antenne de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "PASS", "Université de Montpellier, Antenne de Nîmes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 12, 1575, 992, 1575, 0, 1196, 235, 41, 19, 9, 2, 329, 0, 0, 0, 0, 0, 1575, 0, 0, 0, 1196, 235, 41, 19, 9, 2, 329, 164, 12, 6, 12, 0, 1.0, 4.0, 10.0, 0, 1, 10, 10, 0, 0, 2, 0, 0, 3, 3, 4, 0.0, 10, 0, 0, 0, 0, 6, 6, 8.33, 33.33, 83.33, 50.0, 60.0, 60.0, 0, 10.0, 83.296875, 0.0, 0.0, 30.0, 30.0, 40.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 145.0, 23.0, 0.0, 0.0, 19.0, "Tous les candidats", 1338.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "31857", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28811&g_ta_cod=31857", 100.0, 0.0, 0.0),
(5881, "Public", "0670084C", "Lycée Jean Rostand", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Production - Bioqualité", "BTS - Production", "", 24, 366, 212, 356, 0, 45, 6, 120, 37, 27, 15, 164, 10, 0, 0, 5, 5, 221, 0, 0, 0, 45, 6, 99, 27, 5, 4, 72, 105, 21, 16, 21, 0, 4.0, 13.0, 18.0, 0, 8, 17, 6, 9, 2, 4, 0, 6, 8, 3, 0, 0.0, 2, 7, 2, 3, 3, 15, 15, 19.05, 61.9, 85.71, 76.1875, 88.1875, 88.1875, 17.59765625, 47.09375, 81.0, 0.0, 35.296875, 47.09375, 17.59765625, 0.0, 0.0, 35.296875, 11.798828125, 52.8984375, 41.1953125, 11.798828125, 11.798828125, 21.0, 6.0, 6.0, 5.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 36.0, "7923", "BTS - Production - Bioqualité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7923&g_ta_cod=7923", 29.0, 62.0, 10.0),
(5882, "Public", "0670080Y", "Lycée Kléber", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée Kléber - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 920, 464, 920, 546, 756, 55, 3, 1, 0, 0, 161, 0, 0, 0, 0, 0, 329, 0, 92, 318, 315, 16, 0, 0, 0, 0, 14, 151, 23, 11, 23, 0, 1.0, 18.0, 21.0, 7, 4, 23, 23, 0, 0, 0, 0, 0, 0, 7, 16, 0.0, 23, 0, 0, 2, 1, 15, 15, 4.35, 78.26, 91.3, 47.796875, 65.1875, 65.1875, 8.69921875, 17.3984375, 100.0, 0.0, 0.0, 0.0, 30.3984375, 69.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 147.0, 8.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "31605", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31389&g_ta_cod=31605", 100.0, 0.0, 0.0),
(5883, "Public", "0340042L", "Lycée Jean Mermoz", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "CPGE", "Lycée Jean Mermoz - CPGE - ENS Cachan D2", "Classe préparatoire économique et commerciale", "", 48, 592, 335, 592, 0, 453, 41, 2, 0, 0, 0, 137, 0, 0, 0, 0, 0, 513, 0, 0, 513, 446, 40, 0, 0, 0, 0, 67, 262, 46, 28, 46, 0, 4.0, 42.0, 44.0, 0, 9, 42, 42, 0, 0, 4, 0, 0, 2, 30, 9, 1.0, 42, 0, 0, 3, 0, 29, 29, 8.7, 91.3, 95.65, 60.8984375, 69.0, 69.0, 7.099609375, 21.3984375, 91.296875, 0.0, 0.0, 4.7998046875, 71.390625, 21.4, 2.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 222.0, 21.0, 0.0, 0.0, 40.0, "Tous les candidats", 362.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "4497", "CPGE - ENS Cachan D2", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4497&g_ta_cod=4497", 100.0, 0.0, 0.0),
(5884, "Public", "0594366A", "IUT Tourcoing Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BUT", "IUT Tourcoing Université de Lille - BUT - Carrières sociales Parcours éducation spécialisée", "BUT - Service", "", 79, 1490, 1280, 1490, 0, 406, 105, 525, 205, 99, 40, 460, 0, 0, 0, 0, 0, 854, 0, 0, 0, 289, 74, 326, 122, 0, 0, 239, 203, 91, 84, 91, 0, 28.0, 62.0, 82.0, 0, 22, 65, 23, 42, 0, 26, 0, 12, 32, 19, 2, 0.0, 17, 36, 0, 0, 0, 40, 40, 30.77, 68.13, 90.11, 92.296875, 61.5, 61.5, 0, 33.796875, 71.390625, 0.0, 18.5, 49.1953125, 29.19921875, 3.1, 0.0, 35.3984375, 26.19921875, 64.59375, 55.3984375, 0.0, 0.0, 49.0, 22.0, 0.0, 0.0, 56.0, "Tous les candidats sauf les Bac technologiques", 121.0, "Bacheliers technologiques toutes séries", 155, "", 0, "Liste d'appel propre à cette formation", 19.0, "7114", "BUT - Carrières sociales Parcours éducation spécialisée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7114&g_ta_cod=7114", 48.0, 51.0, 0.0),
(5885, "Public", "0881511P", "IFSI CH St Dié des Vosges", "88", "Vosges", "Grand Est", "Nancy-Metz", "Saint-Dié-des-Vosges", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nancy - D.E Infirmier", "D.E secteur sanitaire", "", 34, 3007, 2427, 3007, 0, 506, 99, 544, 152, 309, 111, 1648, 0, 0, 0, 0, 0, 2596, 0, 0, 0, 468, 89, 485, 128, 265, 86, 1378, 458, 36, 32, 36, 0, 0.0, 15.0, 27.0, 0, 8, 24, 6, 5, 13, 12, 0, 6, 8, 8, 2, 0.0, 3, 5, 10, 0, 0, 16, 16, 0.0, 41.67, 75.0, 88.890625, 66.6875, 66.6875, 0, 33.296875, 66.6875, 0.0, 25.0, 33.296875, 33.296875, 8.3, 0.0, 25.0, 12.5, 20.796875, 20.796875, 54.1953125, 41.6953125, 63.0, 14.0, 70.0, 16.0, 228.0, "Tous les candidats", 2424.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "23198", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22997&g_ta_cod=23198", 28.0, 31.0, 42.0),
(5886, "Public", "0891200W", "Lycée Catherine et Raymond JANOT", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Sens", "formation sélective", "BTS", "Lycée Catherine et Raymond JANOT - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 265, 166, 234, 0, 23, 7, 66, 21, 78, 28, 67, 31, 0, 6, 0, 25, 129, 2, 0, 0, 18, 6, 39, 12, 53, 19, 19, 76, 17, 12, 15, 1, 3.0, 15.0, 15.0, 0, 7, 15, 0, 6, 9, 2, 0, 5, 5, 4, 1, 0.0, 0, 2, 8, 3, 1, 12, 12, 17.65, 88.24, 88.24, 70.59375, 80.0, 80.0, 20, 46.6953125, 88.1875, 0.0, 33.296875, 33.296875, 26.69921875, 6.7, 0.0, 0.0, 0.0, 40.0, 13.298828125, 60.0, 53.296875, 10.0, 2.0, 23.0, 8.0, 15.0, "Tous les candidats sauf les Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 45.0, "10797", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10797&g_ta_cod=10797", 6.0, 41.0, 53.0),
(5887, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 1 - Physique-Mathématiques-Informatique", "Licence - Sciences - technologies - santé", "1 - Physique-Mathématiques-Informatique", 320, 1239, 237, 958, 0, 609, 95, 64, 16, 5, 3, 280, 281, 59, 7, 1, 214, 908, 203, 0, 0, 609, 95, 64, 16, 5, 3, 230, 1111, 171, 22, 105, 66, 101.0, 103.0, 152.0, 0, 21, 93, 81, 11, 1, 78, 0, 47, 35, 8, 3, 0.0, 40, 5, 1, 0, 0, 71, 71, 59.06, 60.23, 88.89, 12.8984375, 76.296875, 76.296875, 0, 22.59765625, 54.3984375, 0.0, 50.5, 37.59375, 8.599609375, 3.2, 0.0, 87.09375, 43.0, 11.798828125, 5.3994140625, 1.099853515625, 1.099853515625, 667.0, 107.0, 6.0, 3.0, 368.0, "Tous les candidats", 909.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "23398", "Licence - Portail 1 - Physique-Mathématiques-Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27881&g_ta_cod=23398", 82.0, 13.0, 4.0),
(5888, "Privé enseignement supérieur", "0694413X", "Sup'Biotech Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 3e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Advance - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 37, 1447, 672, 1447, 0, 1443, 122, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 1252, 0, 0, 0, 1251, 83, 0, 0, 0, 0, 1, 436, 40, 29, 40, 0, 13.0, 31.0, 37.0, 0, 0, 40, 40, 0, 0, 0, 0, 0, 3, 27, 9, 1.0, 40, 0, 0, 0, 0, 20, 20, 32.5, 77.5, 92.5, 72.5, 50.0, 50.0, 0, 0.0, 100.0, 0.0, 0.0, 7.5, 67.5, 22.5, 2.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 436.0, 26.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "30028", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Advance", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=124&g_ta_cod=30028", 100.0, 0.0, 0.0),
(5889, "Public", "0672615D", "Lycée Louis Marchal", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Molsheim", "formation sélective", "BTS", "Lycée Louis Marchal - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 14, 97, 6, 95, 0, 11, 2, 10, 1, 33, 10, 41, 2, 0, 1, 1, 0, 53, 1, 0, 0, 10, 2, 10, 1, 24, 7, 9, 32, 8, 0, 8, 0, 6.0, 8.0, 8.0, 0, 2, 8, 1, 0, 7, 0, 0, 1, 1, 4, 2, 0.0, 0, 0, 7, 7, 0, 8, 8, 75.0, 100.0, 100.0, 0.0, 100.0, 100.0, 87.5, 25.0, 100.0, 0.0, 12.5, 12.5, 50.0, 25.0, 0.0, 12.5, 0.0, 0.0, 0.0, 87.5, 87.5, 8.0, 2.0, 10.0, 2.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 41.0, "13275", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13275&g_ta_cod=13275", 13.0, 0.0, 88.0),
(5890, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues Etrangères Appliquées Anglais-Russe", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées Anglais-Russe", 35, 193, 131, 174, 0, 105, 33, 13, 6, 6, 4, 50, 19, 3, 4, 0, 12, 174, 18, 0, 0, 105, 33, 13, 6, 6, 4, 50, 158, 35, 21, 27, 8, 5.0, 24.0, 27.0, 0, 9, 19, 16, 2, 1, 16, 0, 7, 8, 4, 0, 0.0, 12, 0, 0, 0, 0, 11, 11, 14.29, 68.57, 77.14, 60.0, 57.8984375, 57.8984375, 0, 47.3984375, 54.296875, 0.0, 36.796875, 42.09375, 21.09765625, 0.0, 0.0, 84.1875, 63.1953125, 10.5, 0.0, 5.2998046875, 0.0, 101.0, 32.0, 2.0, 2.0, 42.0, "Tous les candidats", 174.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8512", "Licence - Portail Langues Etrangères Appliquées Anglais-Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8512&g_ta_cod=8512", 71.0, 17.0, 11.0),
(5891, "Public", "0870730W", "Lycée professionnel Marcel Pagnol", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Autre formation", "Lycée professionnel Marcel Pagnol - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 18, 108, 30, 92, 0, 8, 1, 16, 4, 37, 22, 31, 16, 4, 3, 1, 8, 55, 7, 0, 0, 6, 0, 14, 3, 19, 10, 16, 52, 16, 7, 11, 5, 6.0, 10.0, 13.0, 0, 2, 13, 2, 7, 4, 3, 0, 6, 7, 0, 0, 0.0, 0, 4, 3, 0, 0, 12, 12, 37.5, 62.5, 81.25, 43.796875, 92.296875, 92.296875, 0, 15.3984375, 81.296875, 0.0, 46.1953125, 53.796875, 0.0, 0.0, 0.0, 15.3984375, 0.0, 53.796875, 30.796875, 30.796875, 23.09765625, 9.0, 1.0, 17.0, 9.0, 13.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "22049", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22049&g_ta_cod=22049", 25.0, 44.0, 31.0),
(5892, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Lettres - Parcours Lettres modernes", "Licence - Arts-lettres-langues", "Lettres modernes", 110, 546, 455, 418, 0, 294, 86, 17, 5, 18, 10, 89, 128, 16, 15, 16, 81, 417, 112, 0, 0, 294, 86, 17, 5, 18, 10, 88, 413, 90, 71, 54, 36, 14.0, 54.0, 74.0, 0, 26, 55, 42, 4, 9, 35, 1, 19, 19, 10, 6, 0.0, 29, 1, 5, 0, 0, 48, 48, 15.56, 60.0, 82.22, 78.890625, 87.296875, 87.296875, 0, 47.296875, 61.09375, 1.7998046875, 34.5, 34.5, 18.19921875, 10.9, 0.0, 76.390625, 52.6953125, 7.2998046875, 1.7998046875, 16.3984375, 9.099609375, 227.0, 70.0, 26.0, 16.0, 134.0, "Tous les candidats", 417.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6351", "Licence - Lettres - Parcours Lettres modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6351&g_ta_cod=6351", 80.0, 6.0, 14.0),
(5893, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Portail Humanités - Licence - Portail Humanités - Parcours Etude et pratique du français (préparation à l'entrée aux écoles d'orthophonie)", "Licence - Arts-lettres-langues", "Licence - Portail Humanités - Parcours Etude et pratique du français (préparation à l'entrée aux écoles d'orthophonie)", 40, 492, 431, 457, 0, 214, 37, 39, 16, 7, 4, 197, 35, 6, 5, 3, 21, 457, 35, 0, 0, 214, 37, 39, 16, 7, 4, 197, 317, 38, 32, 30, 8, 5.0, 18.0, 29.0, 0, 5, 24, 12, 7, 5, 14, 0, 8, 12, 4, 0, 0.0, 10, 3, 3, 0, 0, 15, 15, 13.16, 47.37, 76.32, 84.1875, 62.5, 62.5, 0, 20.796875, 63.1953125, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 50.0, 41.6953125, 29.19921875, 12.5, 20.796875, 12.5, 134.0, 25.0, 8.0, 5.0, 142.0, "Tous les candidats", 485.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 83.0, "4591", "Licence - Portail Humanités - Licence - Portail Humanités - Parcours Etude et pratique du français (préparation à l'entrée aux écoles d'orthophonie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28926&g_ta_cod=4591", 58.0, 26.0, 16.0),
(5894, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "PASS", "Universite Jean Monnet, Saint-Etienne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 32, 1127, 658, 1127, 0, 816, 189, 31, 17, 7, 6, 273, 0, 0, 0, 0, 0, 1086, 0, 0, 0, 816, 189, 31, 17, 7, 6, 232, 306, 31, 16, 31, 0, 0.0, 10.0, 24.0, 0, 6, 24, 22, 1, 1, 7, 0, 13, 5, 6, 0, 0.0, 11, 0, 0, 0, 0, 18, 18, 0.0, 32.26, 77.42, 51.59375, 75.0, 75.0, 0, 25.0, 77.390625, 0.0, 54.1953125, 20.796875, 25.0, 0.0, 0.0, 91.6875, 45.796875, 4.19921875, 0.0, 4.19921875, 0.0, 250.0, 49.0, 1.0, 1.0, 53.0, "Tous les candidats", 1739.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "27887", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27845&g_ta_cod=27887", 90.0, 6.0, 3.0),
(5895, "Public", "0512131P", "Sciences Po - campus de Reims - Institut d'études politiques", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "Sciences Po Paris - Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", "Sciences politiques", "Bachelor du Collège universitaire de Sciences Po - Programme Europe-Afrique, campus de Reims", 103, 1940, 1214, 1940, 0, 1926, 312, 8, 4, 0, 0, 6, 0, 0, 0, 0, 0, 119, 0, 0, 0, 119, 35, 0, 0, 0, 0, 0, 118, 102, 69, 102, 0, 0.0, 102.0, 102.0, 0, 32, 102, 102, 0, 0, 0, 0, 0, 1, 16, 63, 22.0, 102, 0, 0, 0, 0, 3, 3, 0.0, 100.0, 100.0, 67.59375, 2.89990234375, 2.89990234375, 0, 31.3984375, 100.0, 0.0, 0.0, 1.0, 15.69921875, 61.8, 21.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 118.0, 34.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "32212", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", "Sciences Po Paris - Institut d'études politiques", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25777&g_ta_cod=32212", 100.0, 0.0, 0.0),
(5896, "Privé enseignement supérieur", "0352349N", "Institut Catholique de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Bruz", "formation sélective", "Licence", "Institut Catholique de Rennes - Licence - Double diplôme - Licence Langues, littératures & civilisations étrangères et régionales - Anglais LLCER Droit et Relations Internationales", "Licence - Arts-lettres-langues", "Anglais LLCER Droit et Relations Internationales", 145, 131, 98, 118, 0, 108, 4, 0, 0, 0, 0, 10, 13, 10, 0, 0, 3, 105, 10, 0, 0, 96, 2, 0, 0, 0, 0, 9, 115, 34, 24, 29, 5, 29.0, 29.0, 32.0, 0, 2, 30, 30, 0, 0, 4, 0, 2, 9, 11, 7, 1.0, 28, 0, 0, 0, 0, 14, 14, 85.29, 85.29, 94.12, 70.59375, 46.6953125, 46.6953125, 0, 6.69921875, 88.1875, 0.0, 6.69921875, 30.0, 36.6953125, 23.3, 3.3, 100.0, 93.296875, 0.0, 0.0, 0.0, 0.0, 105.0, 3.0, 0.0, 0.0, 10.0, "Tous les candidats", 105.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "18116", "Licence - Double diplôme - Licence Langues, littératures & civilisations étrangères et régionales - Anglais LLCER Droit et Relations Internationales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18116&g_ta_cod=18116", 100.0, 0.0, 0.0),
(5897, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "Autre formation", "Université Claude Bernard Lyon 1 - DEUST - Métiers de la forme", "DEUST", "", 38, 543, 127, 454, 0, 173, 26, 115, 26, 38, 9, 128, 89, 37, 16, 3, 33, 45, 12, 0, 0, 9, 0, 5, 0, 1, 0, 30, 58, 36, 11, 29, 7, 28.0, 29.0, 34.0, 0, 0, 14, 8, 5, 1, 22, 0, 6, 5, 3, 0, 0.0, 3, 4, 1, 0, 0, 5, 5, 77.78, 80.56, 94.44, 30.59765625, 35.6953125, 35.6953125, 0, 0.0, 38.8984375, 0.0, 42.8984375, 35.6953125, 21.3984375, 0.0, 0.0, 57.09375, 21.3984375, 35.6953125, 28.59765625, 7.099609375, 7.099609375, 16.0, 0.0, 1.0, 0.0, 33.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "8336", "DEUST - Métiers de la forme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8336&g_ta_cod=8336", 58.0, 31.0, 11.0),
(5898, "Public", "0060914L", "I.U.T Nice-Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BUT", "I.U.T Nice-Côte d'Azur - BUT - Génie électrique et informatique industrielle (Seconde année possible en apprentissage)", "BUT - Production", "", 104, 795, 61, 770, 0, 397, 77, 176, 51, 15, 6, 182, 25, 0, 16, 0, 9, 599, 4, 0, 0, 347, 65, 134, 34, 1, 0, 117, 409, 101, 2, 99, 2, 23.0, 79.0, 93.0, 0, 19, 86, 51, 35, 0, 15, 0, 26, 36, 24, 0, 0.0, 32, 28, 0, 0, 0, 72, 72, 22.77, 78.22, 92.08, 2.0, 83.6875, 83.6875, 0, 22.09765625, 85.09375, 0.0, 30.19921875, 41.8984375, 27.8984375, 0.0, 0.0, 59.296875, 37.1953125, 40.6953125, 32.59375, 0.0, 0.0, 206.0, 47.0, 0.0, 0.0, 77.0, "Tous les candidats sauf les Bac technologiques", 365.0, "Bacheliers technologiques toutes séries", 150, "", 0, "Liste d'appel propre à cette formation", 67.0, "2249", "BUT - Génie électrique et informatique industrielle (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2249&g_ta_cod=2249", 60.0, 39.0, 0.0),
(5899, "Public", "0541324W", "I.U.T Nancy-Charlemagne - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BUT", "I.U.T Nancy-Charlemagne - Université de Lorraine - BUT - Information communication Parcours publicité", "BUT - Service", "", 25, 1239, 911, 1202, 0, 682, 92, 232, 57, 11, 2, 277, 37, 0, 20, 0, 17, 500, 2, 0, 0, 334, 45, 97, 22, 0, 0, 69, 148, 28, 25, 26, 2, 1.0, 20.0, 26.0, 0, 7, 23, 17, 6, 0, 5, 0, 0, 11, 10, 2, 0.0, 17, 6, 0, 0, 0, 11, 11, 3.57, 71.43, 92.86, 89.296875, 47.796875, 47.796875, 0, 30.3984375, 82.09375, 0.0, 0.0, 47.796875, 43.5, 8.7, 0.0, 73.890625, 73.890625, 26.09765625, 26.09765625, 0.0, 0.0, 92.0, 17.0, 0.0, 0.0, 10.0, "Tous les candidats sauf les Bac technologiques", 185.0, "Bacheliers technologiques toutes séries", 98, "", 0, "Liste d'appel propre à cette formation", 24.0, "6319", "BUT - Information communication Parcours publicité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6319&g_ta_cod=6319", 71.0, 29.0, 0.0),
(5900, "Privé enseignement supérieur", "0061690E", "ESRA - Nice", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Autre formation", "ESRA - Formation des écoles supérieure d'art Bac + 3 - Etudes Supérieures en Film d'Animation", "Formation des écoles supérieure d'art", "Etudes Supérieures en Film d'Animation", 30, 89, 52, 78, 0, 49, 3, 6, 2, 3, 1, 20, 11, 4, 1, 0, 6, 61, 3, 0, 0, 38, 2, 5, 2, 2, 1, 16, 60, 21, 14, 18, 3, 12.0, 18.0, 21.0, 0, 2, 13, 7, 5, 1, 8, 0, 5, 6, 2, 0, 0.0, 4, 3, 1, 0, 0, 10, 10, 57.14, 85.71, 100.0, 66.6875, 76.890625, 76.890625, 0, 15.3984375, 61.8984375, 0.0, 38.5, 46.1953125, 15.3984375, 0.0, 0.0, 53.796875, 30.796875, 38.5, 23.09765625, 7.69921875, 7.69921875, 34.0, 2.0, 2.0, 1.0, 19.0, "Tous les candidats", 142.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 78.0, "26445", "Formation des écoles supérieure d'art Bac + 3 - Etudes Supérieures en Film d'Animation", "ESRA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26443&g_ta_cod=26445", 62.0, 33.0, 5.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(5901, "Public", "0750672Y", "Esaa Duperré", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "Autre formation", "Esaa Duperré - DN MADE - Espace - - Spécialité : Espace événement, scénographies", "DN MADE", "- Spécialité : Espace événement, scénographies", 12, 970, 829, 970, 0, 377, 58, 176, 26, 43, 5, 374, 0, 0, 0, 0, 0, 253, 0, 0, 0, 117, 9, 54, 7, 1, 0, 81, 37, 11, 10, 11, 0, 3.0, 10.0, 11.0, 0, 2, 9, 4, 5, 0, 2, 0, 0, 4, 4, 1, 0.0, 4, 5, 0, 0, 0, 2, 5, 27.27, 90.91, 100.0, 90.890625, 22.19921875, 55.59375, 0, 22.19921875, 81.796875, 0.0, 0.0, 44.3984375, 44.3984375, 11.1, 0.0, 44.3984375, 44.3984375, 55.59375, 55.59375, 0.0, 0.0, 16.0, 2.0, 0.0, 0.0, 12.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "21721", "DN MADE - Espace - - Spécialité : Espace événement, scénographies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21721&g_ta_cod=21721", 55.0, 45.0, 0.0),
(5902, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Portail Lettres - Sciences du langage", "Licence - Arts-lettres-langues", "Lettres - Sciences du langage", 175, 566, 472, 378, 0, 259, 66, 17, 6, 3, 1, 99, 188, 28, 13, 14, 133, 378, 181, 0, 0, 259, 66, 17, 6, 3, 1, 99, 540, 121, 102, 63, 58, 26.0, 62.0, 92.0, 0, 14, 64, 56, 5, 3, 57, 1, 21, 23, 11, 8, 0.0, 40, 2, 0, 0, 0, 56, 56, 21.49, 51.24, 76.03, 84.296875, 87.5, 87.5, 0, 21.8984375, 52.8984375, 1.599853515625, 32.796875, 35.8984375, 17.19921875, 12.5, 0.0, 87.5, 62.5, 7.7998046875, 3.099609375, 4.69921875, 0.0, 277.0, 70.0, 16.0, 7.0, 217.0, "Tous les candidats", 378.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "28679", "Licence - Portail Lettres - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28679&g_ta_cod=28679", 75.0, 13.0, 9.0),
(5903, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Musicologie - Parcours Musicologie - enseignement musical", "Licence - Arts-lettres-langues", "Musicologie - enseignement musical", 135, 612, 291, 566, 0, 332, 66, 56, 15, 18, 9, 160, 46, 5, 2, 2, 37, 565, 45, 0, 0, 332, 66, 56, 15, 18, 9, 159, 610, 139, 63, 121, 18, 120.0, 120.0, 127.0, 0, 15, 85, 68, 14, 3, 54, 1, 39, 29, 13, 3, 0.0, 41, 3, 1, 0, 0, 39, 39, 86.33, 86.33, 91.37, 45.296875, 45.8984375, 45.8984375, 0, 17.59765625, 61.1953125, 1.199951171875, 45.8984375, 34.09375, 15.298828125, 3.5, 0.0, 80.0, 48.1953125, 16.5, 3.5, 3.5, 1.199951171875, 337.0, 68.0, 20.0, 9.0, 195.0, "Tous les candidats", 565.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4587", "Licence - Musicologie - Parcours Musicologie - enseignement musical", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4587&g_ta_cod=4587", 76.0, 17.0, 6.0),
(5904, "Public", "0142179T", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Lisieux", "14", "Calvados", "Normandie", "Normandie", "Lisieux", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Lisieux - BUT - Statistique et informatique décisionnelle Parcours : Science des données : exploration et modélisation statistique - Science  des données : visualisation, conception d'outils décisionnels", "BUT - Service", "Science des données : exploration et modélisation statistique - Science  des données : visualisation, conception d'outils décisionnels", 45, 524, 118, 464, 0, 317, 38, 34, 5, 0, 0, 113, 60, 14, 1, 2, 43, 346, 20, 0, 0, 272, 26, 23, 3, 0, 0, 51, 288, 29, 8, 24, 5, 12.0, 24.0, 27.0, 0, 2, 23, 22, 1, 0, 6, 0, 9, 11, 3, 0, 0.0, 13, 1, 0, 0, 0, 17, 17, 41.38, 82.76, 93.1, 27.59765625, 73.890625, 73.890625, 0, 8.69921875, 79.296875, 0.0, 39.09375, 47.796875, 13.0, 0.0, 0.0, 95.6875, 56.5, 4.2998046875, 4.2998046875, 0.0, 0.0, 220.0, 22.0, 0.0, 0.0, 45.0, "Tous les candidats sauf les Bac technologiques", 318.0, "Bacheliers technologiques toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 74.0, "2937", "BUT - Statistique et informatique décisionnelle Parcours : Science des données : exploration et modélisation statistique - Science  des données : visualisation, conception d'outils décisionnels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2937&g_ta_cod=2937", 97.0, 3.0, 0.0),
(5905, "Public", "0932126F", "Lycée Francois Rabelais", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Dugny", "formation sélective", "Autre formation", "Lycée Francois Rabelais - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 12, 202, 107, 140, 0, 32, 9, 33, 15, 22, 10, 53, 62, 13, 9, 6, 34, 56, 9, 0, 0, 29, 8, 18, 7, 0, 0, 9, 67, 10, 5, 6, 3, 1.0, 6.0, 6.0, 0, 2, 7, 5, 1, 1, 3, 0, 6, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 6, 10.0, 60.0, 60.0, 50.0, 28.59765625, 85.6875, 0, 28.59765625, 70.0, 0.0, 85.6875, 14.298828125, 0.0, 0.0, 0.0, 71.390625, 14.298828125, 14.298828125, 0.0, 14.298828125, 0.0, 27.0, 7.0, 4.0, 2.0, 11.0, "Tous les candidats", 56.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "11348", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11348&g_ta_cod=11348", 60.0, 10.0, 30.0),
(5906, "Public", "0750679F", "Lycée Paul Valery", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "CPGE", "Lycée Paul Valery - CPGE - MP2I", "Classe préparatoire scientifique", "", 48, 1705, 287, 1705, 333, 1491, 262, 9, 2, 0, 0, 205, 0, 0, 0, 0, 0, 1118, 0, 261, 1018, 1091, 179, 0, 0, 0, 0, 27, 425, 49, 6, 49, 0, 0.0, 26.0, 43.0, 2, 7, 47, 47, 0, 0, 2, 1, 1, 17, 21, 7, 0.0, 45, 0, 0, 1, 0, 7, 43, 0.0, 53.06, 87.76, 12.19921875, 14.8984375, 91.5, 2.099609375, 14.8984375, 95.890625, 2.099609375, 2.099609375, 36.1953125, 44.6953125, 14.9, 0.0, 100.0, 95.6875, 0.0, 0.0, 0.0, 0.0, 421.0, 68.0, 0.0, 0.0, 4.0, "Tous les candidats", 767.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "31682", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31682&g_ta_cod=31682", 98.0, 2.0, 0.0),
(5907, "Public", "0071125K", "Lycée agricole Olivier De Serres", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Aubenas", "formation sélective", "BTS", "Lycée agricole Olivier De Serres - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 27, 713, 295, 713, 0, 186, 39, 210, 42, 134, 33, 183, 0, 0, 0, 0, 0, 474, 0, 0, 0, 157, 32, 116, 24, 102, 20, 99, 120, 29, 16, 29, 0, 6.0, 25.0, 28.0, 0, 7, 24, 5, 9, 10, 5, 0, 0, 13, 10, 1, 0.0, 5, 9, 10, 2, 2, 8, 8, 20.69, 86.21, 96.55, 55.1953125, 33.296875, 33.296875, 8.298828125, 29.19921875, 82.796875, 0.0, 0.0, 54.1953125, 41.6953125, 4.2, 0.0, 20.796875, 20.796875, 37.5, 37.5, 41.6953125, 41.6953125, 26.0, 11.0, 32.0, 5.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 27.0, "2339", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2339&g_ta_cod=2339", 31.0, 34.0, 34.0),
(5908, "Public", "0950666H", "Lycée Georges Braque", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "BTS", "Lycée Georges Braque - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 38, 693, 295, 693, 0, 36, 14, 199, 92, 236, 132, 222, 0, 0, 0, 0, 0, 693, 0, 0, 0, 36, 14, 199, 92, 236, 132, 222, 168, 38, 17, 38, 0, 5.0, 25.0, 30.0, 0, 20, 36, 4, 14, 18, 2, 0, 16, 13, 6, 1, 0.0, 0, 4, 16, 14, 7, 33, 36, 13.16, 65.79, 78.95, 44.6953125, 91.6875, 100.0, 38.8984375, 55.59375, 94.6875, 0.0, 44.3984375, 36.09375, 16.69921875, 2.8, 0.0, 11.099609375, 0.0, 38.8984375, 11.099609375, 50.0, 44.3984375, 15.0, 11.0, 60.0, 37.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 87, "Bacheliers technologiques toutes séries", 108, "Liste d'appel propre à cette formation", 32.0, "11586", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11586&g_ta_cod=11586", 11.0, 42.0, 47.0),
(5909, "Public", "9740002J", "Lycée Roland Garros", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation sélective", "CPGE", "Lycée Roland Garros - CPGE - PCSI", "Classe préparatoire scientifique", "", 30, 236, 77, 214, 117, 165, 40, 0, 0, 0, 0, 49, 22, 12, 2, 0, 8, 163, 7, 92, 159, 141, 33, 0, 0, 0, 0, 22, 152, 15, 4, 13, 2, 3.0, 11.0, 12.0, 5, 2, 15, 15, 0, 0, 0, 0, 2, 4, 8, 1, 0.0, 13, 0, 0, 2, 0, 14, 14, 20.0, 73.33, 80.0, 26.69921875, 93.296875, 93.296875, 13.298828125, 13.298828125, 100.0, 0.0, 13.298828125, 26.69921875, 53.296875, 6.7, 0.0, 100.0, 86.6875, 0.0, 0.0, 0.0, 0.0, 134.0, 34.0, 0.0, 0.0, 18.0, "Tous les candidats", 163.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "19594", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19594&g_ta_cod=19594", 100.0, 0.0, 0.0),
(5910, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Sciences et technologies", "Licence - Sciences - technologies - santé", "Sciences et technologies : Sciences pour l'ingénieur", 140, 2597, 797, 2553, 0, 1610, 217, 115, 17, 10, 4, 818, 44, 3, 1, 0, 40, 2533, 22, 0, 0, 1610, 217, 115, 17, 10, 4, 798, 1478, 119, 19, 108, 10, 0.0, 73.0, 99.0, 0, 16, 76, 68, 7, 1, 43, 1, 46, 20, 9, 0, 0.0, 25, 4, 0, 0, 0, 64, 64, 0.0, 61.34, 83.19, 16.0, 84.1875, 84.1875, 0, 21.09765625, 63.8984375, 1.2998046875, 60.5, 26.296875, 11.798828125, 0.0, 0.0, 89.5, 32.8984375, 9.19921875, 5.2998046875, 1.2998046875, 0.0, 963.0, 131.0, 3.0, 2.0, 482.0, "Tous les candidats", 9382.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 86.0, "31075", "Licence - Portail Sciences et technologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31073&g_ta_cod=31075", 87.0, 11.0, 3.0),
(5911, "Privé enseignement supérieur", "0941890U", "ESIEA Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Ivry-sur-Seine", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "bac STL", 5, 35, 10, 33, 0, 0, 0, 33, 14, 0, 0, 0, 2, 0, 2, 0, 0, 17, 2, 0, 0, 0, 0, 17, 7, 0, 0, 0, 19, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "22890", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=22890", 0, 0, 0),
(5912, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "PASS", "Université Clermont Auvergne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Accès à Kinésithérapie + Ergothérapie +  Orthoptie", 40, 1328, 958, 1328, 0, 975, 105, 60, 10, 14, 4, 279, 0, 0, 0, 0, 0, 1328, 0, 0, 0, 975, 105, 60, 10, 14, 4, 279, 341, 39, 26, 39, 0, 1.0, 27.0, 31.0, 0, 4, 31, 28, 2, 1, 8, 0, 10, 13, 8, 0, 0.0, 19, 2, 0, 0, 0, 25, 25, 2.56, 69.23, 79.49, 66.6875, 80.59375, 80.59375, 0, 12.8984375, 79.5, 0.0, 32.296875, 41.8984375, 25.796875, 0.0, 0.0, 90.296875, 61.296875, 6.5, 6.5, 3.19970703125, 0.0, 292.0, 40.0, 2.0, 1.0, 38.0, "Tous les candidats", 731.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "32151", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32152&g_ta_cod=32151", 82.0, 13.0, 3.0),
(5913, "Public", "0130040Y", "Lycée Thiers", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  1er Arrondissement", "formation sélective", "Autre formation", "Lycée Thiers - CPES - Scientifique", "Classe préparatoire aux études supérieures", "", 24, 184, 68, 184, 0, 136, 65, 1, 0, 2, 2, 45, 0, 0, 0, 0, 0, 184, 0, 0, 0, 136, 65, 1, 0, 2, 2, 45, 66, 24, 10, 24, 0, 7.0, 23.0, 24.0, 0, 10, 24, 24, 0, 0, 0, 0, 2, 9, 11, 2, 0.0, 22, 0, 0, 0, 0, 24, 24, 29.17, 95.83, 100.0, 41.6953125, 100.0, 100.0, 0, 41.6953125, 100.0, 0.0, 8.298828125, 37.5, 45.796875, 8.3, 0.0, 100.0, 91.6875, 0.0, 0.0, 0.0, 0.0, 66.0, 33.0, 0.0, 0.0, 0.0, "Tous les candidats", 79.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "2552", "CPES - Scientifique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2552&g_ta_cod=2552", 100.0, 0.0, 0.0),
(5914, "Public", "0540066D", "Lycée Louis Majorelle", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Toul", "formation sélective", "BTS", "Lycée Louis Majorelle - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 35, 288, 64, 251, 0, 12, 2, 43, 8, 67, 31, 129, 37, 0, 3, 17, 17, 75, 5, 0, 0, 12, 2, 24, 2, 33, 14, 6, 75, 15, 1, 14, 1, 10.0, 12.0, 14.0, 0, 4, 14, 0, 3, 11, 1, 0, 2, 2, 9, 1, 0.0, 0, 1, 11, 1, 0, 11, 11, 66.67, 80.0, 93.33, 6.69921875, 78.59375, 78.59375, 7.099609375, 28.59765625, 93.296875, 0.0, 14.298828125, 14.298828125, 64.296875, 7.1, 0.0, 0.0, 0.0, 21.3984375, 7.099609375, 78.59375, 78.59375, 10.0, 2.0, 35.0, 14.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 30.0, "6285", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6285&g_ta_cod=6285", 0.0, 20.0, 80.0),
(5915, "Public", "0750674A", "Lycée Jules SIEGFRIED", "75", "Paris", "Ile-de-France", "Paris", "Paris 10e  Arrondissement", "formation sélective", "BTS", "Lycée Jules SIEGFRIED - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 1225, 549, 1225, 0, 123, 42, 334, 158, 378, 205, 390, 0, 0, 0, 0, 0, 859, 0, 0, 0, 77, 28, 327, 155, 303, 170, 152, 241, 34, 13, 34, 0, 2.0, 16.0, 31.0, 0, 19, 30, 3, 14, 13, 4, 0, 10, 13, 7, 0, 0.0, 0, 9, 11, 2, 1, 12, 29, 5.88, 47.06, 91.18, 38.1953125, 40.0, 96.6875, 6.69921875, 63.296875, 88.1875, 0.0, 33.296875, 43.296875, 23.296875, 0.0, 0.0, 10.0, 0.0, 46.6953125, 30.0, 43.296875, 36.6953125, 31.0, 14.0, 81.0, 49.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 138, "Bacheliers technologiques toutes séries", 194, "Liste d'appel propre à cette formation", 33.0, "9023", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9023&g_ta_cod=9023", 12.0, 47.0, 41.0),
(5916, "Public", "0750686N", "Lycée Estienne Esaig", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Estienne Esaig - DN MADE - Animation - - Spécialité : Cinéma d'animation 3D", "DN MADE", "- Spécialité : Cinéma d'animation 3D", 12, 1767, 1078, 1767, 0, 783, 139, 306, 76, 173, 63, 505, 0, 0, 0, 0, 0, 50, 0, 0, 0, 22, 0, 15, 3, 6, 1, 7, 24, 12, 10, 12, 0, 5.0, 10.0, 11.0, 0, 2, 9, 5, 3, 1, 3, 0, 0, 0, 6, 3, 0.0, 5, 3, 1, 0, 0, 2, 5, 41.67, 83.33, 91.67, 83.296875, 22.19921875, 55.59375, 0, 22.19921875, 75.0, 0.0, 0.0, 0.0, 66.6875, 33.3, 0.0, 55.59375, 55.59375, 33.296875, 33.296875, 11.099609375, 11.099609375, 11.0, 0.0, 1.0, 1.0, 4.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 1.0, "21783", "DN MADE - Animation - - Spécialité : Cinéma d'animation 3D", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21783&g_ta_cod=21783", 58.0, 25.0, 8.0),
(5917, "Public", "9730108E", "Lycée Gaston Monnerville", "973", "Guyane", "Guyane", "Guyane", "Kourou", "formation sélective", "BTS", "Lycée Gaston Monnerville - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 20, 239, 133, 214, 0, 50, 30, 37, 24, 84, 54, 43, 25, 3, 2, 2, 18, 97, 5, 0, 0, 16, 8, 25, 18, 40, 22, 16, 61, 17, 9, 12, 5, 2.0, 12.0, 16.0, 0, 3, 8, 1, 2, 5, 9, 0, 3, 4, 1, 0, 0.0, 0, 2, 3, 0, 0, 8, 8, 11.76, 70.59, 94.12, 52.8984375, 100.0, 100.0, 0, 37.5, 47.09375, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 12.5, 0.0, 25.0, 25.0, 62.5, 37.5, 12.0, 5.0, 24.0, 11.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 39.0, "11855", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11855&g_ta_cod=11855", 35.0, 29.0, 35.0),
(5918, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence_Las", "Institut national universitaire Champollion - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 40, 287, 193, 258, 0, 161, 36, 23, 7, 10, 5, 64, 29, 11, 2, 0, 16, 256, 29, 0, 0, 161, 36, 23, 7, 10, 5, 62, 203, 36, 25, 23, 12, 2.0, 19.0, 28.0, 0, 5, 23, 19, 2, 2, 13, 0, 11, 9, 3, 0, 0.0, 8, 2, 2, 0, 0, 20, 20, 5.56, 52.78, 77.78, 69.390625, 87.0, 87.0, 0, 21.69921875, 63.8984375, 0.0, 47.796875, 39.09375, 13.0, 0.0, 0.0, 82.59375, 34.796875, 8.69921875, 8.69921875, 8.69921875, 8.69921875, 125.0, 24.0, 2.0, 1.0, 63.0, "Tous les candidats", 1186.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "29668", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29667&g_ta_cod=29668", 81.0, 11.0, 8.0),
(5919, "Public", "0071301B", "IFSI CH Ardèche Nord", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Annonay", "formation sélective", "IFSI", "Regroupement d'IFSI Université St Etienne - D.E Infirmier", "D.E secteur sanitaire", "", 78, 2745, 2284, 2745, 0, 424, 82, 599, 155, 214, 81, 1508, 0, 0, 0, 0, 0, 1775, 0, 0, 0, 339, 52, 447, 95, 133, 45, 856, 716, 79, 64, 79, 0, 2.0, 26.0, 62.0, 0, 11, 32, 8, 17, 7, 47, 0, 8, 16, 7, 1, 0.0, 4, 13, 7, 0, 0, 16, 16, 2.53, 32.91, 78.48, 81.0, 50.0, 50.0, 0, 34.3984375, 40.5, 0.0, 25.0, 50.0, 21.8984375, 3.1, 0.0, 25.0, 12.5, 53.09375, 40.59375, 21.8984375, 21.8984375, 137.0, 25.0, 62.0, 24.0, 298.0, "Tous les candidats", 1582.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "23231", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22993&g_ta_cod=23231", 42.0, 43.0, 15.0),
(5920, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence_Las", "Université de Bourgogne - site de Dijon - Licence - Portail Philosophie", "Licence - Arts-lettres-langues", "", 30, 228, 148, 185, 0, 77, 16, 21, 6, 9, 3, 78, 43, 13, 2, 4, 24, 185, 42, 0, 0, 77, 16, 21, 6, 9, 3, 78, 187, 29, 20, 18, 11, 2.0, 17.0, 21.0, 0, 5, 17, 11, 6, 0, 12, 0, 9, 3, 4, 0, 1.0, 6, 2, 0, 0, 0, 9, 9, 6.9, 58.62, 72.41, 69.0, 52.8984375, 52.8984375, 0, 29.3984375, 58.59375, 0.0, 52.8984375, 17.59765625, 23.5, 0.0, 5.9, 64.6875, 35.296875, 35.296875, 11.798828125, 0.0, 0.0, 76.0, 15.0, 8.0, 2.0, 87.0, "Tous les candidats", 485.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27623", "Licence - Portail Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27622&g_ta_cod=27623", 62.0, 34.0, 0.0),
(5921, "Privé sous contrat d'association", "0941934S", "EFREI Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villejuif", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 30, 1305, 408, 1305, 0, 1300, 173, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1156, 0, 0, 0, 1156, 129, 0, 0, 0, 0, 0, 982, 30, 14, 30, 0, 14.0, 27.0, 30.0, 0, 2, 30, 30, 0, 0, 0, 0, 3, 15, 8, 4, 0.0, 27, 0, 0, 0, 0, 10, 23, 46.67, 90.0, 100.0, 46.6953125, 33.296875, 76.6875, 0, 6.69921875, 100.0, 0.0, 10.0, 50.0, 26.69921875, 13.3, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 982.0, 125.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "473", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=473", 100.0, 0.0, 0.0),
(5922, "Public", "0671509B", "Lycée des métiers CFA Heinrich-Nessel", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Haguenau", "formation sélective", "BTS", "Lycée des métiers CFA Heinrich-Nessel - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 26, 139, 16, 130, 0, 7, 1, 56, 11, 43, 13, 24, 9, 2, 1, 0, 6, 77, 0, 0, 0, 2, 0, 48, 7, 27, 7, 0, 57, 14, 1, 13, 0, 8.0, 13.0, 13.0, 0, 4, 14, 0, 4, 10, 0, 0, 4, 7, 2, 1, 0.0, 0, 1, 9, 4, 1, 11, 11, 57.14, 92.86, 92.86, 7.099609375, 78.59375, 78.59375, 28.59765625, 28.59765625, 100.0, 0.0, 28.59765625, 50.0, 14.298828125, 7.1, 0.0, 0.0, 0.0, 28.59765625, 7.099609375, 71.390625, 64.296875, 2.0, 0.0, 20.0, 7.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 46.0, "7964", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7964&g_ta_cod=7964", 0.0, 29.0, 71.0),
(5923, "Public", "0310047H", "Lycée Ozenne", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Ozenne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 851, 423, 851, 0, 727, 65, 3, 2, 1, 1, 120, 0, 0, 0, 0, 0, 795, 0, 0, 795, 715, 63, 0, 0, 0, 0, 80, 329, 23, 9, 23, 0, 0.0, 9.0, 18.0, 0, 2, 22, 22, 0, 0, 1, 0, 1, 5, 12, 4, 0.0, 21, 0, 0, 0, 0, 16, 16, 0.0, 39.13, 78.26, 39.09375, 72.6875, 72.6875, 0, 9.099609375, 95.6875, 0.0, 4.5, 22.69921875, 54.5, 18.2, 0.0, 100.0, 95.5, 0.0, 0.0, 0.0, 0.0, 308.0, 21.0, 0.0, 0.0, 21.0, "Tous les candidats", 579.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "31393", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31393&g_ta_cod=31393", 100.0, 0.0, 0.0),
(5924, "Public", "9710003B", "Lycée Baimbridge", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "BTS", "Lycée Baimbridge - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 420, 228, 394, 0, 128, 55, 114, 66, 86, 72, 66, 26, 0, 0, 17, 9, 155, 1, 0, 0, 51, 18, 70, 42, 18, 15, 16, 80, 35, 16, 34, 1, 14.0, 32.0, 33.0, 0, 19, 30, 5, 20, 5, 5, 0, 11, 12, 7, 0, 0.0, 4, 11, 4, 8, 3, 30, 30, 40.0, 91.43, 94.29, 45.6953125, 100.0, 100.0, 26.69921875, 63.296875, 85.6875, 0.0, 36.6953125, 40.0, 23.296875, 0.0, 0.0, 16.69921875, 13.298828125, 66.6875, 36.6953125, 16.69921875, 13.298828125, 13.0, 7.0, 16.0, 13.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 22.0, "11738", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11738&g_ta_cod=11738", 26.0, 57.0, 17.0),
(5925, "Public", "0730858L", "Université Savoie Mont Blanc - Chambéry", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Jacob-Bellecombette", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Chambéry - Licence - Langues étrangères appliquées - Parcours LEA Anglais/Allemand", "Licence - Arts-lettres-langues", "LEA Anglais/Allemand", 30, 147, 103, 127, 0, 91, 13, 7, 1, 0, 0, 29, 20, 5, 1, 1, 13, 127, 19, 0, 0, 91, 13, 7, 1, 0, 0, 29, 128, 27, 20, 21, 6, 6.0, 21.0, 23.0, 0, 3, 18, 17, 1, 0, 9, 0, 6, 10, 1, 1, 0.0, 12, 0, 0, 0, 0, 14, 14, 22.22, 77.78, 85.19, 74.09375, 77.796875, 77.796875, 0, 16.69921875, 66.6875, 0.0, 33.296875, 55.59375, 5.599609375, 5.6, 0.0, 94.390625, 66.6875, 5.599609375, 0.0, 0.0, 0.0, 83.0, 13.0, 1.0, 0.0, 39.0, "Tous les candidats", 127.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8807", "Licence - Langues étrangères appliquées - Parcours LEA Anglais/Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8807&g_ta_cod=8807", 85.0, 15.0, 0.0),
(5926, "Privé hors contrat", "0672877N", "OMNIS - Ecole Supérieure de Commerce & Management", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "OMNIS - Ecole Supérieure de Commerce & Management - BTS - Services - Gestion de la PME", "BTS - Services", "", 70, 332, 160, 300, 0, 55, 4, 55, 16, 48, 18, 142, 32, 4, 6, 10, 12, 182, 7, 0, 0, 48, 3, 48, 12, 12, 2, 74, 178, 30, 9, 28, 2, 4.0, 27.0, 28.0, 0, 0, 5, 4, 0, 1, 25, 0, 2, 3, 0, 0, 0.0, 2, 0, 1, 0, 0, 5, 5, 13.33, 90.0, 93.33, 30.0, 100.0, 100.0, 0, 0.0, 16.69921875, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 80.0, 40.0, 0.0, 0.0, 20.0, 20.0, 49.0, 3.0, 10.0, 2.0, 70.0, "Tous les candidats sauf les Bac professionnels", 170.0, "Bacheliers professionnels toutes séries", 9, "", 0, "Liste d'appel propre à cette formation", 60.0, "15448", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15448&g_ta_cod=15448", 90.0, 3.0, 7.0),
(5927, "Public", "0731487V", "IUT de CHAMBERY", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation sélective", "BUT", "IUT de CHAMBERY - BUT - Science et génie des matériaux Parcours : Métiers de l?ingénierie des matériaux et des produits", "BUT - Production", "Métiers de l?ingénierie des matériaux et des produits", 26, 623, 92, 623, 0, 402, 29, 109, 12, 0, 0, 112, 0, 0, 0, 0, 0, 550, 0, 0, 0, 364, 21, 89, 10, 0, 0, 97, 239, 26, 2, 26, 0, 5.0, 16.0, 25.0, 0, 2, 24, 15, 9, 0, 2, 1, 2, 12, 8, 1, 0.0, 13, 8, 0, 0, 0, 14, 14, 19.23, 61.54, 96.15, 7.69921875, 58.296875, 58.296875, 0, 8.298828125, 92.296875, 4.19921875, 8.298828125, 50.0, 33.296875, 4.2, 0.0, 62.5, 54.1953125, 37.5, 33.296875, 0.0, 0.0, 128.0, 11.0, 0.0, 0.0, 53.0, "Tous les candidats sauf les Bac technologiques", 292.0, "Bacheliers technologiques toutes séries", 100, "", 0, "Liste d'appel propre à cette formation", 63.0, "8837", "BUT - Science et génie des matériaux Parcours : Métiers de l?ingénierie des matériaux et des produits", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8837&g_ta_cod=8837", 62.0, 38.0, 0.0),
(5928, "Privé sous contrat d'association", "0490886X", "Lycée professionnel LA PROVIDENCE", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "BTS", "Lycée professionnel LA PROVIDENCE - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 332, 208, 328, 0, 45, 3, 113, 20, 90, 23, 80, 4, 0, 0, 2, 2, 328, 1, 0, 0, 45, 3, 113, 20, 90, 23, 80, 179, 34, 20, 33, 1, 6.0, 23.0, 30.0, 0, 5, 22, 4, 8, 10, 12, 0, 9, 8, 5, 0, 0.0, 1, 4, 8, 5, 5, 21, 21, 17.65, 67.65, 88.24, 58.796875, 95.5, 95.5, 22.69921875, 22.69921875, 64.6875, 0.0, 40.8984375, 36.3984375, 22.69921875, 0.0, 0.0, 18.19921875, 4.5, 36.3984375, 18.19921875, 45.5, 36.3984375, 36.0, 3.0, 62.0, 15.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 89, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 76.0, "5903", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5903&g_ta_cod=5903", 44.0, 24.0, 32.0),
(5929, "Public", "0701078S", "Lycée Lumiere", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Luxeuil-les-Bains", "formation sélective", "BTS", "Lycée Lumiere - BTS - Production - Biotechnologies", "BTS - Production", "", 32, 498, 305, 389, 0, 72, 5, 106, 26, 9, 2, 202, 109, 30, 30, 0, 49, 143, 44, 0, 0, 51, 2, 68, 14, 7, 1, 17, 177, 17, 10, 8, 9, 0.0, 7.0, 15.0, 0, 0, 14, 9, 5, 0, 3, 0, 6, 6, 2, 0, 0.0, 4, 4, 0, 1, 1, 5, 5, 0.0, 41.18, 88.24, 58.796875, 35.6953125, 35.6953125, 7.099609375, 0.0, 82.390625, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 64.296875, 28.59765625, 35.6953125, 28.59765625, 0.0, 0.0, 71.0, 3.0, 3.0, 1.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 36.0, "8611", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8611&g_ta_cod=8611", 71.0, 29.0, 0.0),
(5930, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation non sélective", "Licence_Las", "Université Sorbonne Paris Nord - Antenne de Bobigny - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et techniques des activités physiques et sportives (STAPS)", "Licence - Sciences - technologies - santé", "Sciences et techniques des activités physiques et sportives (STAPS)", 60, 2739, 916, 2739, 0, 1515, 325, 249, 74, 91, 38, 884, 0, 0, 0, 0, 0, 2739, 0, 0, 0, 1515, 325, 249, 74, 91, 38, 884, 362, 54, 25, 54, 0, 2.0, 23.0, 41.0, 0, 11, 32, 29, 2, 1, 22, 0, 11, 15, 6, 0, 0.0, 19, 1, 1, 0, 0, 22, 30, 3.7, 42.59, 75.93, 46.296875, 68.796875, 93.796875, 0, 34.3984375, 59.296875, 0.0, 34.3984375, 46.8984375, 18.796875, 0.0, 0.0, 90.59375, 59.3984375, 6.2998046875, 3.099609375, 3.099609375, 3.099609375, 175.0, 44.0, 6.0, 5.0, 167.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "28411", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et techniques des activités physiques et sportives (STAPS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28410&g_ta_cod=28411", 87.0, 9.0, 4.0),
(5931, "Public", "0470003Y", "Lycée Jean-Baptiste De Baudre", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "BTS", "Lycée Jean-Baptiste De Baudre - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 163, 21, 133, 0, 11, 3, 40, 17, 57, 15, 25, 30, 0, 0, 23, 7, 121, 3, 0, 0, 11, 3, 35, 15, 51, 13, 24, 75, 14, 0, 11, 2, 0.0, 10.0, 11.0, 0, 5, 12, 1, 5, 6, 2, 0, 8, 3, 1, 0, 0.0, 1, 1, 2, 4, 0, 12, 12, 0.0, 71.43, 78.57, 0.0, 100.0, 100.0, 33.296875, 41.6953125, 85.6875, 0.0, 66.6875, 25.0, 8.298828125, 0.0, 0.0, 8.298828125, 8.298828125, 41.6953125, 8.298828125, 50.0, 16.69921875, 2.0, 1.0, 45.0, 14.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 65.0, "5768", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5768&g_ta_cod=5768", 7.0, 36.0, 57.0),
(5932, "Public", "0490769V", "I.U.T. Angers-Cholet - Site d'Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BUT", "I.U.T. Angers-Cholet - Site d'Angers - BUT - Génie mécanique et productique Parcours : Chargé d?affaires industrielles - Simulation numérique et réalité virtuelle", "BUT - Production", "Chargé d?affaires industrielles - Simulation numérique et réalité virtuelle", 35, 1207, 81, 1207, 0, 814, 72, 233, 27, 6, 1, 154, 0, 0, 0, 0, 0, 838, 0, 0, 0, 597, 47, 160, 19, 0, 0, 81, 154, 34, 2, 34, 0, 7.0, 24.0, 32.0, 0, 3, 28, 12, 16, 0, 6, 0, 1, 12, 13, 2, 0.0, 12, 15, 0, 0, 0, 23, 23, 20.59, 70.59, 94.12, 5.8994140625, 82.09375, 82.09375, 0, 10.69921875, 82.390625, 0.0, 3.599609375, 42.8984375, 46.3984375, 7.1, 0.0, 42.8984375, 42.8984375, 57.09375, 53.59375, 0.0, 0.0, 68.0, 7.0, 0.0, 0.0, 25.0, "Tous les candidats sauf les Bac technologiques", 230.0, "Bacheliers technologiques toutes séries", 161, "", 0, "Liste d'appel propre à cette formation", 32.0, "5863", "BUT - Génie mécanique et productique Parcours : Chargé d?affaires industrielles - Simulation numérique et réalité virtuelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5863&g_ta_cod=5863", 50.0, 50.0, 0.0),
(5933, "Public", "0290007A", "Lycée La Pérouse - Kerichen", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "CPGE", "Lycée La Pérouse - Kerichen - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 275, 118, 275, 167, 222, 14, 0, 0, 0, 0, 53, 0, 0, 0, 0, 0, 224, 0, 133, 215, 202, 9, 0, 0, 0, 0, 22, 169, 8, 2, 8, 0, 2.0, 7.0, 7.0, 2, 1, 8, 8, 0, 0, 0, 0, 0, 2, 6, 0, 0.0, 8, 0, 0, 0, 0, 7, 7, 25.0, 87.5, 87.5, 25.0, 87.5, 87.5, 0, 12.5, 100.0, 0.0, 0.0, 25.0, 75.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 150.0, 8.0, 0.0, 0.0, 19.0, "Tous les candidats", 226.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "31383", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31383&g_ta_cod=31383", 100.0, 0.0, 0.0),
(5934, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Médias, cultures et sociétés ? Programme International MINERVE", "Licence - Sciences humaines et sociales", "Médias, cultures et sociétés ? Programme International MINERVE", 380, 3306, 2442, 3306, 0, 2303, 412, 128, 33, 26, 11, 849, 0, 0, 0, 0, 0, 3305, 0, 0, 0, 2303, 412, 128, 33, 26, 11, 848, 1544, 384, 276, 384, 0, 73.0, 310.0, 354.0, 0, 55, 273, 256, 12, 5, 111, 2, 74, 113, 63, 19, 2.0, 191, 4, 2, 0, 0, 171, 171, 19.01, 80.73, 92.19, 71.890625, 62.59375, 62.59375, 0, 20.09765625, 71.09375, 0.699951171875, 27.09765625, 41.3984375, 23.09765625, 7.0, 0.7, 93.796875, 70.0, 4.3994140625, 1.5, 1.7998046875, 0.699951171875, 1085.0, 192.0, 15.0, 6.0, 374.0, "Tous les candidats", 1820.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "8407", "Licence - Portail Médias, cultures et sociétés ? Programme International MINERVE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8407&g_ta_cod=8407", 89.0, 8.0, 3.0),
(5935, "Public", "0381516T", "IUT 1 GRENOBLE - ENEPS", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "BUT", "IUT 1 GRENOBLE - ENEPS - BUT - Génie mécanique et productique Parcours : Simulation numérique et réalité virtuelle Innovation pour l?industrie", "BUT - Production", "Simulation numérique et réalité virtuelle Innovation pour l?industrie", 24, 134, 7, 134, 0, 0, 0, 0, 0, 128, 43, 6, 0, 0, 0, 0, 0, 54, 0, 0, 0, 0, 0, 0, 0, 53, 14, 1, 51, 23, 0, 23, 0, 7.0, 22.0, 23.0, 0, 5, 22, 0, 0, 22, 1, 0, 0, 4, 10, 8, 0.0, 0, 0, 22, 0, 0, 14, 14, 30.43, 95.65, 100.0, 0.0, 63.59375, 63.59375, 0, 22.69921875, 95.6875, 0.0, 0.0, 18.19921875, 45.5, 36.4, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 50.0, 14.0, 1.0, "Tous les candidats sauf les Bac technologiques", 53.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "14474", "BUT - Génie mécanique et productique Parcours : Simulation numérique et réalité virtuelle Innovation pour l?industrie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14474&g_ta_cod=14474", 0.0, 0.0, 100.0),
(5936, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Philosophie, Anthropologie, Lettres", "Licence - Arts-lettres-langues", "Philosophie, Anthropologie, Lettres", 152, 1113, 807, 928, 0, 557, 156, 43, 18, 22, 9, 306, 185, 27, 4, 4, 150, 926, 179, 0, 0, 557, 156, 43, 18, 22, 9, 304, 1037, 140, 98, 84, 55, 47.0, 78.0, 106.0, 0, 17, 64, 56, 4, 4, 76, 2, 20, 23, 15, 3, 1.0, 39, 1, 2, 0, 0, 39, 39, 33.57, 55.71, 75.71, 70.0, 60.8984375, 60.8984375, 0, 26.59765625, 45.6953125, 3.099609375, 31.296875, 35.8984375, 23.3984375, 4.7, 1.6, 87.5, 60.8984375, 6.2998046875, 1.599853515625, 6.2998046875, 3.099609375, 567.0, 156.0, 25.0, 9.0, 402.0, "Tous les candidats", 1012.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "20836", "Licence - Portail Philosophie, Anthropologie, Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28566&g_ta_cod=20836", 81.0, 10.0, 5.0),
(5937, "Public", "0800011C", "Lycée des Métiers Édouard Gand", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée des Métiers Édouard Gand - BTS - Services - Diététique", "BTS - Services", "", 35, 939, 786, 901, 0, 228, 40, 195, 36, 76, 28, 402, 38, 3, 7, 9, 19, 423, 11, 0, 0, 103, 18, 71, 9, 42, 15, 207, 135, 32, 24, 25, 7, 1.0, 11.0, 19.0, 0, 6, 14, 4, 3, 7, 18, 0, 6, 4, 4, 0, 0.0, 3, 1, 4, 0, 0, 6, 6, 3.13, 34.38, 59.38, 75.0, 42.8984375, 42.8984375, 0, 42.8984375, 43.796875, 0.0, 42.8984375, 28.59765625, 28.59765625, 0.0, 0.0, 28.59765625, 21.3984375, 21.3984375, 7.099609375, 50.0, 28.59765625, 15.0, 4.0, 20.0, 8.0, 85.0, "Tous les candidats sauf les Bac professionnels", 226.0, "Bacheliers professionnels toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 30.0, "17796", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17796&g_ta_cod=17796", 50.0, 19.0, 31.0),
(5938, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation non sélective", "Licence", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Portail Mathématiques-Physique (MP)", "Licence - Sciences - technologies - santé", "Portail Mathématiques-Physique (MP)", 105, 3575, 1059, 3575, 0, 2929, 276, 25, 5, 1, 0, 620, 0, 0, 0, 0, 0, 3575, 0, 0, 0, 2929, 276, 25, 5, 1, 0, 620, 1710, 107, 33, 107, 0, 24.0, 48.0, 107.0, 0, 14, 91, 91, 0, 0, 16, 0, 6, 21, 39, 23, 2.0, 85, 0, 0, 0, 0, 48, 70, 22.43, 44.86, 100.0, 30.796875, 52.6953125, 76.890625, 0, 15.3984375, 85.0, 0.0, 6.599609375, 23.09765625, 42.8984375, 25.3, 2.2, 100.0, 93.390625, 0.0, 0.0, 0.0, 0.0, 1511.0, 149.0, 0.0, 0.0, 199.0, "Tous les candidats", 2743.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 73.0, "10916", "Licence - Portail Mathématiques-Physique (MP)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28472&g_ta_cod=10916", 100.0, 0.0, 0.0),
(5939, "Public", "0132733A", "Lycée Antonin Artaud", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BTS", "Lycée Antonin Artaud - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 385, 26, 341, 0, 9, 2, 74, 26, 171, 91, 87, 44, 0, 20, 0, 24, 224, 7, 0, 0, 7, 1, 62, 20, 127, 64, 28, 125, 23, 0, 20, 3, 3.0, 13.0, 21.0, 0, 9, 18, 0, 6, 12, 5, 0, 9, 7, 2, 0, 0.0, 0, 2, 7, 4, 0, 18, 18, 13.04, 56.52, 91.3, 0.0, 100.0, 100.0, 22.19921875, 50.0, 78.296875, 0.0, 50.0, 38.8984375, 11.099609375, 0.0, 0.0, 0.0, 0.0, 33.296875, 11.099609375, 66.6875, 38.8984375, 4.0, 1.0, 58.0, 33.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 132, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 62.0, "2776", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2776&g_ta_cod=2776", 0.0, 30.0, 70.0),
(5940, "Public", "0341898D", "I.U.T de Montpellier (site de Sète)", "34", "Hérault", "Occitanie", "Montpellier", "Sète", "formation sélective", "BUT", "I.U.T de Montpellier (site de Sète) - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Développement, intégration d'applications et management du système d?information", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Développement, intégration d'applications et management du système d?information", 28, 174, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 174, 53, 18, 3, 100, 0, 29, 0, 0, 0, 0, 0, 0, 0, 0, 0, 35, 25, 5, 0, 23, 0.0, 0.0, 21.0, 0, 0, 7, 6, 1, 0, 18, 0, 2, 3, 2, 0, 0.0, 4, 1, 0, 0, 0, 6, 6, 0.0, 0.0, 84.0, 20.0, 85.6875, 85.6875, 0, 0.0, 28.0, 0.0, 28.59765625, 42.8984375, 28.59765625, 0.0, 0.0, 85.6875, 57.09375, 14.298828125, 14.298828125, 0.0, 0.0, 8.0, 0.0, 0.0, 0.0, 23.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34946", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Développement, intégration d'applications et management du système d?information", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34946&g_ta_cod=34946", 88.0, 12.0, 0.0),
(5941, "Public", "0290128G", "Unité de Formation et de Recherche en Médecine Université de Bretagne Occidentale", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Autre formation", "Regroupement Bretagne, Pays de la Loire et Centre-Val de Loire - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 30, 2432, 2355, 2432, 0, 789, 76, 28, 7, 1, 0, 1614, 0, 0, 0, 0, 0, 1566, 0, 0, 0, 680, 55, 14, 4, 0, 0, 872, 198, 30, 29, 30, 0, 2.0, 19.0, 26.0, 0, 3, 16, 16, 0, 0, 14, 0, 0, 4, 9, 3, 0.0, 16, 0, 0, 0, 0, 7, 7, 6.67, 63.33, 86.67, 96.6875, 43.796875, 43.796875, 0, 18.796875, 53.296875, 0.0, 0.0, 25.0, 56.296875, 18.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 93.0, 11.0, 0.0, 0.0, 105.0, "Tous les candidats", 313.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 11.0, "28047", "Certificat de capacité d'Orthophoniste", "Regroupement Bretagne, Pays de la Loire et Centre-Val de Loire", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28043&g_ta_cod=28047", 100.0, 0.0, 0.0),
(5942, "Public", "0620109G", "Lycée Auguste Behal", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "BTS", "Lycée Auguste Behal - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 219, 21, 199, 0, 5, 0, 31, 13, 102, 43, 61, 20, 0, 11, 3, 6, 199, 2, 0, 0, 5, 0, 31, 13, 102, 43, 61, 76, 16, 1, 14, 2, 1.0, 4.0, 13.0, 0, 7, 11, 0, 1, 10, 5, 0, 6, 4, 1, 0, 0.0, 0, 0, 5, 1, 0, 10, 10, 6.25, 25.0, 81.25, 6.2998046875, 90.890625, 90.890625, 9.099609375, 63.59375, 68.796875, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 0.0, 0.0, 9.099609375, 0.0, 90.890625, 45.5, 4.0, 0.0, 41.0, 19.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 70.0, "7376", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7376&g_ta_cod=7376", 19.0, 6.0, 75.0),
(5943, "Public", "0851609M", "IFSI CH LA ROCHE-SUR-YON", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nantes - D.E Infirmier", "D.E secteur sanitaire", "", 176, 4662, 4022, 4662, 0, 924, 137, 833, 158, 674, 192, 2231, 0, 0, 0, 0, 0, 4181, 0, 0, 0, 882, 126, 757, 132, 595, 161, 1947, 1037, 176, 161, 176, 0, 5.0, 86.0, 126.0, 0, 20, 128, 42, 38, 48, 48, 0, 5, 55, 55, 13, 0.0, 40, 36, 47, 0, 0, 107, 107, 2.84, 48.86, 71.59, 91.5, 83.59375, 83.59375, 0, 15.599609375, 72.6875, 0.0, 3.89990234375, 43.0, 43.0, 10.2, 0.0, 32.796875, 31.296875, 29.69921875, 28.09765625, 37.5, 36.6953125, 177.0, 20.0, 206.0, 69.0, 476.0, "Tous les candidats", 2082.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "23203", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22994&g_ta_cod=23203", 44.0, 24.0, 31.0),
(5944, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence_Las", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Sciences de la terre - Biologie, Géologie, Chimie (BGC)", "Licence - Sciences - technologies - santé", "Biologie, Géologie, Chimie (BGC)", 8, 389, 254, 389, 0, 235, 44, 9, 3, 0, 0, 145, 0, 0, 0, 0, 0, 388, 0, 0, 0, 235, 44, 9, 3, 0, 0, 144, 140, 6, 3, 6, 0, 0.0, 2.0, 4.0, 0, 2, 4, 4, 0, 0, 2, 0, 2, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 4, 4, 0.0, 33.33, 66.67, 50.0, 100.0, 100.0, 0, 50.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 98.0, 13.0, 0.0, 0.0, 40.0, "Tous les candidats", 327.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 52.0, "32256", "Licence - Portail Sciences de la terre - Biologie, Géologie, Chimie (BGC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32255&g_ta_cod=32256", 100.0, 0.0, 0.0),
(5945, "Public", "0420041S", "Lycée Claude Fauriel", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "CPGE", "Lycée Claude Fauriel - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 566, 255, 566, 367, 517, 52, 1, 1, 0, 0, 48, 0, 0, 0, 0, 0, 400, 0, 299, 310, 382, 37, 0, 0, 0, 0, 18, 168, 22, 8, 22, 0, 0.0, 14.0, 22.0, 4, 6, 22, 22, 0, 0, 0, 0, 0, 6, 14, 2, 0.0, 22, 0, 0, 2, 0, 11, 11, 0.0, 63.64, 100.0, 36.3984375, 50.0, 50.0, 9.099609375, 27.296875, 100.0, 0.0, 0.0, 27.296875, 63.59375, 9.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 167.0, 22.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "31629", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31316&g_ta_cod=31629", 100.0, 0.0, 0.0),
(5946, "Public", "0810006S", "Lycée Laperouse", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "CPGE", "Lycée Laperouse - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 976, 374, 971, 0, 572, 64, 0, 0, 0, 0, 399, 5, 0, 0, 0, 5, 597, 1, 0, 597, 531, 56, 0, 0, 0, 0, 66, 450, 45, 15, 45, 0, 9.0, 23.0, 44.0, 0, 3, 39, 39, 0, 0, 6, 0, 0, 5, 29, 5, 0.0, 39, 0, 0, 3, 0, 35, 35, 20.0, 51.11, 97.78, 33.296875, 89.6875, 89.6875, 7.69921875, 7.69921875, 86.6875, 0.0, 0.0, 12.798828125, 74.390625, 12.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 410.0, 42.0, 0.0, 0.0, 40.0, "Tous les candidats", 594.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "10267", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10267&g_ta_cod=10267", 100.0, 0.0, 0.0),
(5947, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Chinois et Gestion parcours Management et sciences humaines (MSH)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Chinois et Gestion parcours Management et sciences humaines (MSH)", 5, 97, 73, 97, 0, 73, 15, 1, 0, 1, 0, 22, 0, 0, 0, 0, 0, 97, 0, 0, 0, 73, 15, 1, 0, 1, 0, 22, 16, 6, 5, 6, 0, 2.0, 6.0, 6.0, 0, 0, 5, 5, 0, 0, 1, 0, 0, 0, 2, 2, 1.0, 5, 0, 0, 0, 0, 1, 1, 33.33, 100.0, 100.0, 83.296875, 20.0, 20.0, 0, 0.0, 83.296875, 0.0, 0.0, 0.0, 40.0, 40.0, 20.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 13.0, 3.0, 0.0, 0.0, 3.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "8526", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Chinois et Gestion parcours Management et sciences humaines (MSH)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8526&g_ta_cod=8526", 100.0, 0.0, 0.0),
(5948, "Privé sous contrat d'association", "0331591A", "Lycée Bel Orme", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Bel Orme - BTS - Services - Commerce International", "BTS - Services", "", 17, 747, 389, 747, 0, 218, 38, 276, 68, 71, 22, 182, 0, 0, 0, 0, 0, 294, 0, 0, 0, 68, 14, 123, 31, 38, 11, 65, 63, 17, 12, 17, 0, 7.0, 14.0, 15.0, 0, 2, 12, 3, 5, 4, 5, 0, 1, 9, 2, 0, 0.0, 2, 5, 4, 3, 2, 10, 10, 41.18, 82.35, 88.24, 70.59375, 83.296875, 83.296875, 25, 16.69921875, 70.59375, 0.0, 8.298828125, 75.0, 16.69921875, 0.0, 0.0, 25.0, 16.69921875, 41.6953125, 41.6953125, 33.296875, 33.296875, 4.0, 1.0, 10.0, 3.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 11.0, "20398", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20398&g_ta_cod=20398", 29.0, 47.0, 24.0),
(5949, "Public", "0142131R", "Lycée Jules Dumont d'Urville", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "CPGE", "Lycée Jules Dumont d'Urville - CPGE - PTSI", "Classe préparatoire scientifique", "", 30, 310, 37, 304, 216, 263, 25, 2, 0, 2, 0, 37, 6, 2, 0, 0, 4, 281, 2, 204, 270, 258, 24, 0, 0, 0, 0, 23, 162, 32, 2, 32, 0, 4.0, 21.0, 30.0, 18, 4, 29, 29, 0, 0, 3, 0, 0, 11, 15, 3, 0.0, 29, 0, 0, 4, 0, 26, 26, 12.5, 65.63, 93.75, 6.2998046875, 89.6875, 89.6875, 13.798828125, 13.798828125, 90.59375, 0.0, 0.0, 37.8984375, 51.6953125, 10.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 151.0, 13.0, 0.0, 0.0, 11.0, "Tous les candidats", 276.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "2923", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2923&g_ta_cod=2923", 100.0, 0.0, 0.0),
(5950, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Licence", "Université Grenoble Alpes  - Licence - Chimie - Parcours Biochimie International", "Licence - Sciences - technologies - santé", "Biochimie International", 32, 276, 204, 241, 0, 135, 16, 1, 0, 0, 0, 105, 35, 2, 1, 0, 32, 131, 3, 0, 0, 78, 6, 0, 0, 0, 0, 53, 109, 21, 21, 21, 0, 4.0, 19.0, 21.0, 0, 1, 14, 14, 0, 0, 7, 0, 0, 1, 10, 3, 0.0, 14, 0, 0, 0, 0, 8, 8, 19.05, 90.48, 100.0, 100.0, 57.09375, 57.09375, 0, 7.099609375, 66.6875, 0.0, 0.0, 7.099609375, 71.390625, 21.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 66.0, 6.0, 0.0, 0.0, 43.0, "Tous les candidats", 122.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "19207", "Licence - Chimie - Parcours Biochimie International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19207&g_ta_cod=19207", 100.0, 0.0, 0.0),
(5951, "Privé enseignement supérieur", "0640096G", "Bachelor ESC PAU", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "Ecole de Commerce", "Bachelor ESC PAU - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "", 100, 169, 70, 140, 0, 96, 12, 16, 3, 6, 1, 22, 29, 9, 5, 0, 15, 85, 20, 0, 0, 64, 9, 7, 0, 3, 0, 11, 105, 53, 19, 36, 17, 35.0, 36.0, 45.0, 0, 6, 39, 30, 8, 1, 14, 0, 19, 14, 5, 1, 0.0, 17, 2, 1, 0, 0, 31, 31, 66.04, 67.92, 84.91, 35.796875, 79.5, 79.5, 0, 15.3984375, 73.59375, 0.0, 48.6953125, 35.8984375, 12.798828125, 2.6, 0.0, 76.890625, 43.59375, 20.5, 5.099609375, 2.599609375, 2.599609375, 72.0, 10.0, 3.0, 0.0, 18.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "14770", "Formation des écoles de commerce et de management Bac + 3", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14770&g_ta_cod=14770", 70.0, 28.0, 2.0),
(5952, "Public", "0921676X", "Lycée professionnel Theodore Monod", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Antony", "formation sélective", "Autre formation", "Lycée professionnel Theodore Monod - Mention complémentaire - FCIL - Entreprenariat Hôtellerie", "Mention complémentaire", "", 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35047", "Mention complémentaire - FCIL - Entreprenariat Hôtellerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=35047&g_ta_cod=35047", 0, 0, 0),
(5953, "Public", "9710882G", "Lycée Les Droits De L'Homme", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Petit-Bourg", "formation sélective", "BTS", "Lycée Les Droits De L'Homme - BTS - Services - Support à l'action managériale", "BTS - Services", "", 32, 232, 170, 213, 0, 36, 21, 90, 62, 65, 49, 22, 19, 2, 0, 8, 9, 112, 2, 0, 0, 21, 12, 62, 43, 25, 19, 4, 83, 25, 22, 23, 1, 10.0, 22.0, 23.0, 0, 20, 23, 5, 13, 5, 2, 0, 11, 10, 2, 0, 0.0, 3, 5, 4, 10, 9, 23, 23, 40.0, 88.0, 92.0, 88.0, 100.0, 100.0, 43.5, 87.0, 92.0, 0.0, 47.796875, 43.5, 8.69921875, 0.0, 0.0, 21.69921875, 13.0, 56.5, 21.69921875, 21.69921875, 17.3984375, 16.0, 11.0, 23.0, 17.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 44.0, "11755", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11755&g_ta_cod=11755", 24.0, 52.0, 24.0),
(5954, "Public", "0623960T", "IG2I", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "Ecole d'Ingénieur", "IG2I - Formation d'ingénieur Bac + 5 - bac S,STI2D", "Formations  des écoles d'ingénieurs", "bac S,STI2D", 60, 352, 59, 352, 0, 252, 46, 19, 5, 0, 0, 81, 0, 0, 0, 0, 0, 188, 0, 0, 0, 154, 20, 3, 0, 0, 0, 31, 150, 56, 7, 56, 0, 24.0, 50.0, 55.0, 0, 12, 49, 47, 2, 0, 7, 0, 0, 11, 23, 14, 1.0, 47, 2, 0, 0, 0, 43, 43, 42.86, 89.29, 98.21, 12.5, 87.796875, 87.796875, 0, 24.5, 87.5, 0.0, 0.0, 22.3984375, 46.8984375, 28.6, 2.0, 95.890625, 95.890625, 4.099609375, 4.099609375, 0.0, 0.0, 121.0, 18.0, 0.0, 0.0, 26.0, "Tous les candidats", 176.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "7518", "Formation d'ingénieur Bac + 5 - bac S,STI2D", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7518&g_ta_cod=7518", 96.0, 4.0, 0.0),
(5955, "Public", "0211135V", "Lycée agricole Dijon-Quetigny", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Quetigny", "formation sélective", "BTS", "Lycée agricole Dijon-Quetigny - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 30, 442, 160, 426, 0, 58, 10, 79, 15, 31, 8, 258, 16, 5, 1, 0, 10, 138, 4, 0, 0, 38, 6, 69, 12, 20, 5, 11, 98, 18, 4, 16, 2, 3.0, 16.0, 18.0, 0, 4, 12, 2, 9, 1, 6, 0, 5, 6, 1, 0, 0.0, 0, 6, 1, 3, 0, 8, 8, 16.67, 88.89, 100.0, 22.19921875, 66.6875, 66.6875, 25, 33.296875, 66.6875, 0.0, 41.6953125, 50.0, 8.298828125, 0.0, 0.0, 16.69921875, 0.0, 75.0, 50.0, 8.298828125, 8.298828125, 27.0, 3.0, 13.0, 3.0, 9.0, "Tous les candidats sauf les Bac professionnels", 117.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 32.0, "3233", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3233&g_ta_cod=3233", 28.0, 67.0, 6.0),
(5956, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Lettres - Parcours Lettres, cultures et échanges internationaux", "Licence - Arts-lettres-langues", "Lettres, cultures et échanges internationaux", 35, 199, 169, 157, 0, 105, 22, 6, 2, 7, 1, 39, 42, 13, 5, 0, 24, 157, 36, 0, 0, 105, 22, 6, 2, 7, 1, 39, 183, 33, 23, 18, 15, 3.0, 18.0, 25.0, 0, 2, 18, 13, 4, 1, 15, 0, 11, 5, 2, 0, 0.0, 7, 0, 0, 0, 0, 10, 16, 9.09, 54.55, 75.76, 69.6875, 55.59375, 88.890625, 0, 11.099609375, 54.5, 0.0, 61.09375, 27.796875, 11.099609375, 0.0, 0.0, 72.1875, 38.8984375, 22.19921875, 0.0, 5.599609375, 0.0, 107.0, 22.0, 7.0, 1.0, 59.0, "Tous les candidats", 157.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15134", "Licence - Lettres - Parcours Lettres, cultures et échanges internationaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15134&g_ta_cod=15134", 76.0, 15.0, 3.0),
(5957, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Langues étrangères appliquées - Parcours Langues étrangères appliquées Anglais/Allemand - Site de Créteil", "Licence - Arts-lettres-langues", "Langues étrangères appliquées Anglais/Allemand - Site de Créteil", 115, 488, 302, 218, 0, 118, 37, 18, 10, 12, 7, 70, 270, 24, 49, 31, 166, 218, 165, 0, 0, 118, 37, 18, 10, 12, 7, 70, 373, 107, 57, 37, 70, 14.0, 37.0, 80.0, 0, 25, 53, 14, 25, 14, 54, 0, 44, 9, 0, 0, 0.0, 3, 3, 3, 0, 0, 36, 48, 13.08, 34.58, 74.77, 53.296875, 67.890625, 90.59375, 0, 47.1953125, 49.5, 0.0, 83.0, 17.0, 0.0, 0.0, 0.0, 26.3984375, 5.69921875, 47.1953125, 5.69921875, 26.3984375, 5.69921875, 132.0, 43.0, 31.0, 16.0, 160.0, "Tous les candidats", 219.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15637", "Licence - Langues étrangères appliquées - Parcours Langues étrangères appliquées Anglais/Allemand - Site de Créteil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15637&g_ta_cod=15637", 37.0, 36.0, 24.0),
(5958, "Public", "0390033Z", "Lycée polyvalent Hyacinthe Friant - Lycée des métiers de l'hôtellerie, de la restauration et du sanitaire et du social", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Poligny", "formation sélective", "BTS", "Lycée polyvalent Hyacinthe Friant - Lycée des métiers de l'hôtellerie, de la restauration et du sanitaire et du social - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 318, 266, 314, 0, 39, 10, 78, 21, 87, 27, 110, 4, 0, 0, 0, 4, 314, 2, 0, 0, 39, 10, 78, 21, 87, 27, 110, 136, 25, 21, 24, 1, 2.0, 16.0, 21.0, 0, 7, 18, 3, 10, 5, 7, 0, 8, 6, 4, 0, 0.0, 1, 4, 5, 2, 2, 8, 8, 8.0, 64.0, 84.0, 84.0, 44.3984375, 44.3984375, 11.099609375, 38.8984375, 72.0, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 16.69921875, 5.599609375, 55.59375, 22.19921875, 27.796875, 27.796875, 28.0, 8.0, 31.0, 10.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 58.0, "5164", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5164&g_ta_cod=5164", 20.0, 48.0, 32.0),
(5959, "Public", "0710001R", "Lycée Bonaparte", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Autun", "formation sélective", "Autre formation", "Lycée Bonaparte - Mention complémentaire - FCIL Restauration Meubles Anciens", "Mention complémentaire", "", 10, 17, 11, 16, 0, 1, 0, 2, 0, 6, 0, 7, 1, 0, 0, 0, 1, 16, 1, 0, 0, 1, 0, 2, 0, 6, 0, 7, 17, 6, 4, 5, 1, 4.0, 5.0, 5.0, 0, 0, 3, 0, 0, 3, 3, 0, 1, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 2, 2, 66.67, 83.33, 83.33, 66.6875, 66.6875, 66.6875, 0, 0.0, 50.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 1.0, 0.0, 6.0, 0.0, 8.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "30862", "Mention complémentaire - FCIL Restauration Meubles Anciens", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30862&g_ta_cod=30862", 17.0, 0.0, 67.0),
(5960, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Langues étrangères appliquées - Parcours Anglais - Russe", "Licence - Arts-lettres-langues", "Anglais - Russe", 45, 238, 177, 232, 0, 115, 35, 19, 11, 19, 13, 79, 6, 1, 0, 1, 4, 230, 4, 0, 0, 115, 35, 19, 11, 19, 13, 77, 178, 44, 31, 40, 4, 7.0, 33.0, 39.0, 0, 10, 27, 17, 6, 4, 17, 0, 11, 12, 4, 0, 0.0, 12, 1, 3, 0, 0, 21, 21, 15.91, 75.0, 88.64, 70.5, 77.796875, 77.796875, 0, 37.0, 61.3984375, 0.0, 40.6953125, 44.3984375, 14.798828125, 0.0, 0.0, 63.0, 44.3984375, 22.19921875, 3.69970703125, 14.798828125, 11.099609375, 91.0, 30.0, 14.0, 10.0, 59.0, "Tous les candidats", 228.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "22671", "Licence - Langues étrangères appliquées - Parcours Anglais - Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22671&g_ta_cod=22671", 66.0, 20.0, 14.0),
(5961, "Public", "0781883Y", "Lycée Dumont D'Urville", "78", "Yvelines", "Ile-de-France", "Versailles", "Maurepas", "formation sélective", "BTS", "Lycée Dumont D'Urville - BTS - Services - Support à l'action managériale", "BTS - Services", "", 21, 229, 152, 229, 0, 12, 1, 77, 33, 83, 39, 57, 0, 0, 0, 0, 0, 229, 0, 0, 0, 12, 1, 77, 33, 83, 39, 57, 92, 17, 12, 17, 0, 1.0, 14.0, 15.0, 0, 2, 15, 0, 6, 9, 2, 0, 11, 3, 1, 0, 0.0, 0, 0, 4, 7, 3, 15, 15, 5.88, 82.35, 88.24, 70.59375, 100.0, 100.0, 46.6953125, 13.298828125, 88.1875, 0.0, 73.296875, 20.0, 6.69921875, 0.0, 0.0, 0.0, 0.0, 40.0, 0.0, 60.0, 26.69921875, 12.0, 1.0, 36.0, 13.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 47.0, "19758", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19758&g_ta_cod=19758", 12.0, 35.0, 53.0),
(5962, "Public", "0300139N", "Lycée agricole Marie Durand", "30", "Gard", "Occitanie", "Montpellier", "Rodilhan", "formation sélective", "BTS", "Lycée agricole Marie Durand - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 27, 463, 138, 437, 0, 52, 10, 86, 7, 76, 22, 223, 26, 4, 6, 1, 15, 164, 18, 0, 0, 37, 8, 58, 4, 56, 14, 13, 133, 15, 5, 12, 3, 2.0, 12.0, 15.0, 0, 4, 12, 2, 3, 7, 3, 0, 3, 8, 1, 0, 0.0, 2, 1, 6, 4, 1, 9, 9, 13.33, 80.0, 100.0, 33.296875, 75.0, 75.0, 33.296875, 33.296875, 80.0, 0.0, 25.0, 66.6875, 8.298828125, 0.0, 0.0, 16.69921875, 16.69921875, 25.0, 8.298828125, 58.296875, 50.0, 31.0, 7.0, 40.0, 12.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 37.0, "3983", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3983&g_ta_cod=3983", 27.0, 20.0, 53.0),
(5963, "Privé sous contrat d'association", "9710993C", "Lycée Bel Air", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "BTS", "Lycée Bel Air - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 32, 199, 102, 195, 0, 49, 17, 54, 23, 75, 45, 17, 4, 2, 0, 0, 2, 195, 1, 0, 0, 49, 17, 54, 23, 75, 45, 17, 115, 14, 9, 14, 0, 4.0, 13.0, 14.0, 0, 5, 14, 3, 4, 7, 0, 0, 6, 5, 3, 0, 0.0, 1, 3, 4, 0, 0, 14, 14, 28.57, 92.86, 100.0, 64.296875, 100.0, 100.0, 0, 35.6953125, 100.0, 0.0, 42.8984375, 35.6953125, 21.3984375, 0.0, 0.0, 21.3984375, 7.099609375, 28.59765625, 21.3984375, 50.0, 28.59765625, 38.0, 14.0, 41.0, 26.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 86.0, "16874", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16874&g_ta_cod=16874", 21.0, 29.0, 50.0),
(5964, "Privé enseignement supérieur", "0061690E", "ESRA - Nice", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Autre formation", "ESRA - Formation des écoles supérieure d'art Bac + 3 - Etudes Supérieures des Techniques du Son", "Formation des écoles supérieure d'art", "Etudes Supérieures des Techniques du Son", 50, 202, 24, 184, 0, 101, 6, 22, 3, 6, 1, 55, 18, 1, 1, 4, 12, 151, 10, 0, 0, 82, 4, 18, 3, 4, 1, 47, 132, 34, 2, 28, 6, 12.0, 28.0, 31.0, 0, 2, 21, 13, 4, 4, 13, 0, 12, 8, 1, 0, 0.0, 7, 2, 0, 0, 0, 11, 11, 35.29, 82.35, 91.18, 5.8994140625, 52.3984375, 52.3984375, 0, 9.5, 61.796875, 0.0, 57.09375, 38.09375, 4.7998046875, 0.0, 0.0, 61.8984375, 33.296875, 19.0, 9.5, 19.0, 0.0, 63.0, 2.0, 8.0, 3.0, 46.0, "Tous les candidats", 370.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 82.0, "26442", "Formation des écoles supérieure d'art Bac + 3 - Etudes Supérieures des Techniques du Son", "ESRA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26441&g_ta_cod=26442", 65.0, 21.0, 15.0),
(5965, "Public", "0711729U", "Lycée Emiland Gauthey", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "Autre formation", "Lycée Emiland Gauthey - Mention complémentaire - FCIL Art et Couture", "Mention complémentaire", "", 12, 111, 100, 111, 0, 8, 2, 4, 1, 58, 20, 41, 0, 0, 0, 0, 0, 86, 0, 0, 0, 3, 1, 3, 0, 56, 19, 24, 34, 11, 10, 11, 0, 0.0, 7.0, 9.0, 0, 1, 10, 0, 0, 10, 1, 0, 2, 6, 2, 0, 0.0, 0, 0, 8, 0, 0, 1, 1, 0.0, 63.64, 81.82, 90.890625, 10.0, 10.0, 0, 10.0, 90.890625, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 26.0, 8.0, 8.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "29246", "Mention complémentaire - FCIL Art et Couture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29246&g_ta_cod=29246", 0.0, 0.0, 100.0),
(5966, "Public", "0120006S", "Lycée La Découverte", "12", "Aveyron", "Occitanie", "Toulouse", "Decazeville", "formation sélective", "BTS", "Lycée La Découverte - BTS - Production - Biotechnologies", "BTS - Production", "", 24, 408, 232, 404, 0, 70, 7, 134, 21, 12, 3, 188, 4, 0, 2, 0, 2, 262, 2, 0, 0, 70, 7, 124, 20, 10, 2, 58, 160, 23, 10, 21, 2, 1.0, 14.0, 19.0, 0, 4, 18, 6, 11, 1, 5, 0, 9, 7, 2, 0, 0.0, 2, 7, 0, 1, 1, 11, 11, 4.35, 60.87, 82.61, 43.5, 61.09375, 61.09375, 5.599609375, 22.19921875, 78.296875, 0.0, 50.0, 38.8984375, 11.099609375, 0.0, 0.0, 33.296875, 11.099609375, 61.09375, 38.8984375, 5.599609375, 0.0, 39.0, 7.0, 3.0, 1.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 78.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 148, "Liste d'appel propre à cette formation", 58.0, "2484", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2484&g_ta_cod=2484", 43.0, 52.0, 4.0),
(5967, "Public", "0741418P", "Lycée Charles Baudelaire", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BTS", "Lycée Charles Baudelaire - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 48, 1283, 656, 1283, 0, 129, 23, 522, 132, 326, 138, 306, 0, 0, 0, 0, 0, 1283, 0, 0, 0, 129, 23, 522, 132, 326, 138, 306, 269, 41, 22, 41, 0, 1.0, 18.0, 36.0, 0, 7, 32, 0, 16, 16, 9, 0, 13, 17, 2, 0, 0.0, 0, 7, 12, 0, 0, 26, 26, 2.44, 43.9, 87.8, 53.6953125, 81.296875, 81.296875, 0, 21.8984375, 78.0, 0.0, 40.59375, 53.09375, 6.2998046875, 0.0, 0.0, 0.0, 0.0, 50.0, 21.8984375, 50.0, 37.5, 8.0, 4.0, 77.0, 22.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 166, "Bacheliers technologiques toutes séries", 255, "Liste d'appel propre à cette formation", 36.0, "8913", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8913&g_ta_cod=8913", 2.0, 49.0, 46.0),
(5968, "Public", "9840482B", "Lycée du Diadème - Te tara o mai'ao", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Pirae", "formation sélective", "BTS", "Lycée du Diadème - Te tara o mai'ao - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 22, 150, 9, 144, 0, 5, 2, 49, 29, 75, 48, 15, 6, 0, 5, 0, 1, 129, 0, 0, 0, 5, 2, 48, 28, 75, 48, 1, 48, 18, 1, 18, 0, 5.0, 18.0, 18.0, 0, 12, 18, 1, 9, 8, 0, 0, 9, 3, 6, 0, 0.0, 0, 3, 6, 11, 1, 18, 18, 27.78, 100.0, 100.0, 5.599609375, 100.0, 100.0, 61.09375, 66.6875, 100.0, 0.0, 50.0, 16.69921875, 33.296875, 0.0, 0.0, 5.599609375, 0.0, 50.0, 16.69921875, 44.3984375, 33.296875, 4.0, 1.0, 14.0, 9.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers technologiques toutes séries", 39, "Bacheliers professionnels toutes séries", 16, "Liste d'appel propre à cette formation", 41.0, "25797", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25797&g_ta_cod=25797", 6.0, 50.0, 44.0),
(5969, "Privé sous contrat d'association", "0300112J", "Lycée de La CCI", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée de La CCI - BTS - Services - Communication", "BTS - Services", "", 34, 553, 381, 553, 0, 127, 28, 165, 54, 79, 32, 182, 0, 0, 0, 0, 0, 385, 0, 0, 0, 102, 21, 129, 42, 46, 18, 108, 144, 34, 23, 34, 0, 5.0, 23.0, 25.0, 0, 8, 19, 5, 7, 7, 15, 0, 4, 5, 9, 1, 0.0, 4, 5, 6, 3, 2, 14, 14, 14.71, 67.65, 73.53, 67.59375, 73.6875, 73.6875, 15.798828125, 42.09375, 55.8984375, 0.0, 21.09765625, 26.296875, 47.3984375, 5.3, 0.0, 26.296875, 21.09765625, 36.796875, 26.296875, 36.796875, 31.59765625, 37.0, 14.0, 18.0, 5.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 30.0, "3970", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3970&g_ta_cod=3970", 38.0, 41.0, 21.0),
(5970, "Public", "0693330V", "Lycée Louis Aragon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Givors", "formation sélective", "BTS", "Lycée Louis Aragon - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 26, 282, 20, 260, 0, 23, 1, 115, 22, 62, 21, 60, 22, 0, 0, 13, 9, 231, 2, 0, 0, 22, 0, 107, 19, 58, 17, 44, 140, 22, 1, 21, 1, 4.0, 19.0, 21.0, 0, 5, 18, 1, 8, 9, 4, 0, 9, 5, 3, 1, 0.0, 1, 3, 5, 5, 0, 17, 17, 18.18, 86.36, 95.45, 4.5, 94.390625, 94.390625, 27.796875, 27.796875, 81.796875, 0.0, 50.0, 27.796875, 16.69921875, 5.6, 0.0, 5.599609375, 5.599609375, 44.3984375, 16.69921875, 50.0, 27.796875, 13.0, 0.0, 47.0, 13.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 120, "Liste d'appel propre à cette formation", 78.0, "8563", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8563&g_ta_cod=8563", 9.0, 41.0, 50.0),
(5971, "Public", "9760370Y", "LYCEE POLYVALENT DE MAMOUDZOU NORD", "976", "Mayotte", "Mayotte", "Mayotte", "Mamoudzou", "formation sélective", "BTS", "LYCEE POLYVALENT DE MAMOUDZOU NORD - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 1438, 1014, 1438, 0, 182, 119, 530, 363, 286, 162, 440, 0, 0, 0, 0, 0, 343, 0, 0, 0, 67, 39, 118, 81, 129, 79, 29, 98, 35, 30, 35, 0, 5.0, 32.0, 34.0, 0, 21, 31, 6, 12, 13, 4, 0, 11, 16, 4, 0, 0.0, 4, 6, 10, 20, 18, 31, 31, 14.29, 91.43, 97.14, 85.6875, 100.0, 100.0, 64.5, 67.6875, 88.59375, 0.0, 35.5, 51.59375, 12.8984375, 0.0, 0.0, 19.3984375, 12.8984375, 38.6953125, 19.3984375, 41.8984375, 32.296875, 21.0, 10.0, 36.0, 22.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 12.0, "20118", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20118&g_ta_cod=20118", 23.0, 37.0, 40.0),
(5972, "Public", "0510035L", "Lycée Hugues Libergier", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Hugues Libergier - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 594, 379, 594, 0, 56, 19, 193, 77, 170, 84, 175, 0, 0, 0, 0, 0, 313, 0, 0, 0, 53, 17, 88, 33, 125, 63, 47, 133, 34, 23, 34, 0, 3.0, 27.0, 31.0, 0, 13, 32, 8, 7, 17, 2, 0, 17, 7, 8, 0, 0.0, 2, 3, 10, 3, 3, 24, 24, 8.82, 79.41, 91.18, 67.59375, 75.0, 75.0, 9.3984375, 40.59375, 94.09375, 0.0, 53.09375, 21.8984375, 25.0, 0.0, 0.0, 25.0, 6.2998046875, 21.8984375, 9.3984375, 53.09375, 31.296875, 29.0, 8.0, 64.0, 30.0, 12.0, "Tous les candidats sauf les Bac professionnels", 95.0, "Bacheliers professionnels toutes séries", 100, "", 0, "Liste d'appel propre à cette formation", 33.0, "6079", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6079&g_ta_cod=6079", 29.0, 21.0, 50.0),
(5973, "Privé sous contrat d'association", "0754666P", "Lycée Passy-Saint-Honoré", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "BTS", "Lycée Passy-Saint-Honoré - BTS - Services - Diététique", "BTS - Services", "", 27, 879, 691, 641, 0, 177, 31, 167, 33, 29, 9, 268, 238, 98, 0, 0, 140, 198, 29, 0, 0, 58, 11, 123, 26, 5, 2, 12, 105, 17, 11, 11, 6, 5.0, 10.0, 16.0, 0, 0, 12, 7, 4, 1, 5, 0, 8, 4, 0, 0, 0.0, 1, 2, 1, 0, 0, 2, 8, 29.41, 58.82, 94.12, 64.6875, 16.69921875, 66.6875, 0, 0.0, 70.59375, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 58.296875, 8.298828125, 33.296875, 16.69921875, 8.298828125, 8.298828125, 60.0, 11.0, 3.0, 1.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 15.0, "18904", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18904&g_ta_cod=18904", 59.0, 35.0, 6.0),
(5974, "Public", "0550928K", "IFSI Bar Le Duc", "55", "Meuse", "Grand Est", "Nancy-Metz", "Bar-le-Duc", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nancy - D.E Infirmier", "D.E secteur sanitaire", "", 39, 3109, 2503, 3109, 0, 520, 104, 594, 177, 297, 108, 1698, 0, 0, 0, 0, 0, 2655, 0, 0, 0, 481, 92, 520, 147, 253, 85, 1401, 629, 39, 30, 39, 0, 1.0, 9.0, 26.0, 0, 6, 18, 5, 5, 8, 21, 0, 4, 10, 4, 0, 0.0, 4, 3, 7, 0, 0, 11, 11, 2.56, 23.08, 66.67, 76.890625, 61.09375, 61.09375, 0, 33.296875, 46.1953125, 0.0, 22.19921875, 55.59375, 22.19921875, 0.0, 0.0, 27.796875, 22.19921875, 27.796875, 16.69921875, 44.3984375, 38.8984375, 84.0, 16.0, 77.0, 27.0, 332.0, "Tous les candidats", 2921.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 41.0, "23188", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22997&g_ta_cod=23188", 38.0, 23.0, 38.0),
(5975, "Public", "0180036S", "Lycée Henri Brisson", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Vierzon", "formation sélective", "BTS", "Lycée Henri Brisson - BTS - Production - Industries céramiques", "BTS - Production", "", 15, 99, 34, 98, 0, 6, 0, 10, 2, 2, 1, 80, 1, 0, 0, 0, 1, 33, 1, 0, 0, 6, 0, 10, 2, 2, 1, 15, 24, 8, 5, 8, 0, 6.0, 8.0, 8.0, 0, 1, 7, 3, 2, 2, 1, 0, 4, 3, 0, 0, 0.0, 1, 1, 1, 1, 0, 3, 3, 75.0, 100.0, 100.0, 62.5, 42.8984375, 42.8984375, 14.298828125, 14.298828125, 87.5, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 42.8984375, 14.298828125, 28.59765625, 14.298828125, 28.59765625, 14.298828125, 6.0, 0.0, 2.0, 1.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 23.0, "3107", "BTS - Production - Industries céramiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3107&g_ta_cod=3107", 50.0, 25.0, 25.0),
(5976, "Public", "0932116V", "Lycée Eugenie Cotton", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "Autre formation", "Lycée Eugenie Cotton - DN MADE - Graphisme - - Spécialité : IMAGES NARRATIVES fixes et en mouvement", "DN MADE", "- Spécialité : IMAGES NARRATIVES fixes et en mouvement", 16, 795, 506, 795, 0, 265, 52, 184, 45, 91, 29, 255, 0, 0, 0, 0, 0, 239, 0, 0, 0, 90, 14, 92, 19, 5, 0, 52, 77, 16, 12, 15, 0, 1.0, 10.0, 13.0, 0, 2, 13, 5, 8, 0, 3, 0, 1, 6, 5, 1, 0.0, 4, 8, 0, 0, 0, 7, 9, 6.25, 62.5, 81.25, 75.0, 53.796875, 69.1875, 0, 15.3984375, 81.296875, 0.0, 7.69921875, 46.1953125, 38.5, 7.7, 0.0, 38.5, 30.796875, 61.5, 61.5, 0.0, 0.0, 23.0, 6.0, 0.0, 0.0, 9.0, "Tous les candidats", 114.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "21938", "DN MADE - Graphisme - - Spécialité : IMAGES NARRATIVES fixes et en mouvement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21938&g_ta_cod=21938", 44.0, 56.0, 0.0),
(5977, "Public", "0570023R", "Lycée Antoine De Saint-Exupery", "57", "Moselle", "Grand Est", "Nancy-Metz", "Fameck", "formation sélective", "BTS", "Lycée Antoine De Saint-Exupery - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 470, 222, 379, 0, 28, 12, 137, 56, 147, 53, 67, 91, 11, 0, 35, 45, 176, 6, 0, 0, 22, 8, 86, 32, 53, 18, 15, 110, 36, 13, 32, 4, 13.0, 29.0, 32.0, 0, 9, 32, 3, 17, 12, 4, 0, 17, 11, 3, 1, 0.0, 1, 4, 10, 16, 4, 32, 32, 36.11, 80.56, 88.89, 36.09375, 100.0, 100.0, 50, 28.09765625, 88.890625, 0.0, 53.09375, 34.3984375, 9.3984375, 3.1, 0.0, 9.3984375, 3.099609375, 53.09375, 12.5, 37.5, 31.296875, 18.0, 8.0, 44.0, 15.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 37.0, "6516", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6516&g_ta_cod=6516", 14.0, 53.0, 33.0),
(5978, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence_Las", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Droit", "Licence - Droit-économie-gestion", "Université de Bordeaux - Bordeaux Métropole", 30, 1874, 1358, 1874, 0, 1200, 246, 157, 55, 38, 20, 479, 0, 0, 0, 0, 0, 1862, 0, 0, 0, 1200, 246, 157, 55, 38, 20, 467, 272, 26, 18, 26, 0, 0.0, 18.0, 24.0, 0, 4, 25, 24, 1, 0, 1, 0, 1, 11, 12, 1, 0.0, 23, 1, 0, 0, 0, 23, 23, 0.0, 69.23, 92.31, 69.1875, 92.0, 92.0, 0, 16.0, 96.1875, 0.0, 4.0, 44.0, 48.0, 4.0, 0.0, 96.0, 92.0, 4.0, 4.0, 0.0, 0.0, 246.0, 45.0, 2.0, 2.0, 20.0, "Tous les candidats", 2838.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "27100", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26327&g_ta_cod=27100", 96.0, 4.0, 0.0),
(5979, "Public", "0690026D", "Lycée du Parc", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 6e  Arrondissement", "formation sélective", "CPGE", "Lycée du Parc - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 48, 1793, 892, 1793, 1332, 1547, 87, 1, 1, 1, 1, 244, 0, 0, 0, 0, 0, 1452, 0, 1332, 688, 1300, 76, 1, 1, 1, 1, 150, 358, 44, 26, 44, 0, 6.0, 29.0, 41.0, 12, 7, 42, 42, 0, 0, 2, 0, 0, 0, 3, 35, 4.0, 42, 0, 0, 0, 0, 4, 4, 13.64, 65.91, 93.18, 59.09375, 9.5, 9.5, 0, 16.69921875, 95.5, 0.0, 0.0, 0.0, 7.099609375, 83.3, 9.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 351.0, 33.0, 0.0, 0.0, 7.0, "Tous les candidats", 654.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "31314", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31314&g_ta_cod=31314", 100.0, 0.0, 0.0),
(5980, "Public", "0951104J", "Lycée Jean Perrin", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Saint-Ouen-l'Aumône", "formation sélective", "BTS", "Lycée Jean Perrin - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 28, 221, 17, 221, 0, 18, 2, 58, 21, 71, 25, 74, 0, 0, 0, 0, 0, 131, 0, 0, 0, 15, 2, 46, 19, 49, 17, 21, 82, 28, 1, 28, 0, 10.0, 21.0, 26.0, 0, 8, 20, 1, 4, 15, 8, 0, 6, 10, 4, 0, 0.0, 1, 1, 12, 12, 1, 16, 20, 35.71, 75.0, 92.86, 3.599609375, 80.0, 100.0, 60, 40.0, 71.390625, 0.0, 30.0, 50.0, 20.0, 0.0, 0.0, 5.0, 5.0, 20.0, 5.0, 75.0, 60.0, 6.0, 2.0, 36.0, 11.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 46.0, "11598", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11598&g_ta_cod=11598", 11.0, 29.0, 61.0),
(5981, "Public", "0760093N", "Lycée Camille Saint-Saens", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Camille Saint-Saens - BTS - Services - Tourisme", "BTS - Services", "", 34, 974, 721, 974, 0, 221, 62, 222, 69, 163, 70, 368, 0, 0, 0, 0, 0, 869, 0, 0, 0, 220, 61, 220, 69, 151, 63, 278, 133, 31, 24, 31, 0, 4.0, 28.0, 29.0, 0, 7, 22, 7, 10, 5, 9, 0, 3, 12, 5, 2, 0.0, 7, 7, 5, 0, 0, 20, 20, 12.9, 90.32, 93.55, 77.390625, 90.890625, 90.890625, 0, 31.796875, 71.0, 0.0, 13.599609375, 54.5, 22.69921875, 9.1, 0.0, 31.796875, 31.796875, 45.5, 31.796875, 22.69921875, 22.69921875, 22.0, 7.0, 21.0, 9.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 19.0, "9599", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9599&g_ta_cod=9599", 32.0, 45.0, 23.0),
(5982, "Public", "0782540M", "Lycée Jean Rostand", "78", "Yvelines", "Ile-de-France", "Versailles", "Mantes-la-Jolie", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 13, 191, 1, 191, 0, 13, 4, 20, 8, 112, 35, 46, 0, 0, 0, 0, 0, 115, 0, 0, 0, 5, 0, 13, 4, 86, 24, 11, 43, 11, 0, 11, 0, 2.0, 8.0, 8.0, 0, 5, 11, 1, 1, 9, 0, 0, 3, 5, 3, 0, 0.0, 0, 0, 8, 4, 0, 11, 11, 18.18, 72.73, 72.73, 0.0, 100.0, 100.0, 36.3984375, 45.5, 100.0, 0.0, 27.296875, 45.5, 27.296875, 0.0, 0.0, 9.099609375, 0.0, 9.099609375, 0.0, 81.796875, 72.6875, 2.0, 0.0, 35.0, 11.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 23.0, "17602", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17602&g_ta_cod=17602", 9.0, 9.0, 82.0),
(5983, "Privé sous contrat d'association", "0791005N", "MFR SEVREUROPE", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Bressuire", "formation sélective", "BTS", "MFR SEVREUROPE - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 30, 49, 22, 46, 0, 7, 0, 4, 2, 13, 4, 22, 3, 0, 0, 1, 2, 23, 0, 0, 0, 6, 0, 3, 1, 12, 3, 2, 24, 10, 4, 10, 0, 10.0, 10.0, 10.0, 0, 1, 8, 2, 0, 6, 2, 0, 4, 2, 2, 0, 0.0, 1, 0, 3, 1, 1, 3, 3, 100.0, 100.0, 100.0, 40.0, 37.5, 37.5, 12.5, 12.5, 80.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 25.0, 12.5, 0.0, 0.0, 75.0, 37.5, 6.0, 0.0, 13.0, 3.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 3, "Liste d'appel propre à cette formation", 50.0, "10129", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10129&g_ta_cod=10129", 20.0, 0.0, 80.0),
(5984, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Information et communication - Parcours Information et communication mineure Portugais", "Licence - Sciences humaines et sociales", "Information et communication mineure Portugais", 19, 180, 127, 180, 0, 96, 15, 22, 3, 3, 1, 59, 0, 0, 0, 0, 0, 180, 0, 0, 0, 96, 15, 22, 3, 3, 1, 59, 51, 19, 14, 19, 0, 4.0, 16.0, 17.0, 0, 3, 11, 10, 0, 1, 8, 0, 0, 4, 5, 2, 0.0, 10, 0, 1, 0, 0, 3, 8, 21.05, 84.21, 89.47, 73.6875, 27.296875, 72.6875, 0, 27.296875, 57.8984375, 0.0, 0.0, 36.3984375, 45.5, 18.2, 0.0, 90.890625, 90.890625, 0.0, 0.0, 9.099609375, 9.099609375, 32.0, 6.0, 2.0, 0.0, 15.0, "Tous les candidats", 58.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "28827", "Licence - Information et communication - Parcours Information et communication mineure Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28827&g_ta_cod=28827", 89.0, 0.0, 11.0),
(5985, "Public", "0680066C", "Lycée Jean Mermoz", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Saint-Louis", "formation sélective", "BTS", "Lycée Jean Mermoz - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 168, 65, 145, 0, 10, 2, 50, 15, 50, 29, 35, 23, 0, 4, 12, 7, 91, 6, 0, 0, 10, 2, 39, 12, 24, 15, 18, 96, 20, 5, 15, 4, 3.0, 14.0, 16.0, 0, 2, 13, 1, 9, 3, 7, 0, 7, 6, 0, 0, 0.0, 0, 5, 1, 7, 3, 13, 13, 15.0, 70.0, 80.0, 25.0, 100.0, 100.0, 53.796875, 15.3984375, 65.0, 0.0, 53.796875, 46.1953125, 0.0, 0.0, 0.0, 7.69921875, 0.0, 69.1875, 38.5, 23.09765625, 7.69921875, 10.0, 2.0, 33.0, 17.0, 20.0, "Tous les candidats sauf les Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 62.0, "8126", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8126&g_ta_cod=8126", 5.0, 65.0, 30.0),
(5986, "Public", "0470926B", "Département universitaire de sciences d'Agen", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "Autre formation", "Département universitaire de sciences d'Agen - Diplôme d'Université - Mise à niveau pour les études scientifiques", "Diplôme d'Université", "Mise à niveau pour les études scientifiques", 25, 257, 150, 166, 0, 42, 8, 33, 8, 19, 6, 72, 91, 28, 8, 5, 50, 72, 34, 0, 0, 27, 7, 13, 4, 2, 0, 30, 93, 27, 17, 12, 15, 7.0, 12.0, 23.0, 0, 6, 17, 13, 2, 2, 10, 0, 5, 9, 3, 0, 0.0, 8, 2, 2, 0, 0, 10, 10, 25.93, 44.44, 85.19, 63.0, 58.796875, 58.796875, 0, 35.296875, 63.0, 0.0, 29.3984375, 52.8984375, 17.59765625, 0.0, 0.0, 76.5, 47.09375, 11.798828125, 11.798828125, 11.798828125, 11.798828125, 40.0, 9.0, 3.0, 0.0, 37.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "27815", "Diplôme d'Université - Mise à niveau pour les études scientifiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27815&g_ta_cod=27815", 81.0, 11.0, 7.0),
(5987, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Bulgare", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Europe - Bulgare", 15, 15, 9, 10, 0, 5, 3, 1, 0, 0, 0, 4, 5, 0, 0, 0, 5, 10, 2, 0, 0, 5, 3, 1, 0, 0, 0, 4, 12, 4, 2, 3, 1, 2.0, 2.0, 4.0, 0, 1, 2, 1, 1, 0, 2, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 1, 50.0, 50.0, 100.0, 50.0, 0.0, 50.0, 0, 50.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 0.0, 0.0, 0.0, 5.0, 3.0, 0.0, 0.0, 6.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9421", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Bulgare", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29464&g_ta_cod=9421", 50.0, 50.0, 0.0),
(5988, "Public", "0440063E", "Lycée professionnel Louis-Jacques Goussier", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Rezé", "formation sélective", "BTS", "Lycée professionnel Louis-Jacques Goussier - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 12, 394, 387, 393, 0, 74, 13, 100, 26, 134, 45, 85, 1, 0, 0, 1, 0, 370, 1, 0, 0, 73, 12, 100, 26, 128, 42, 69, 91, 12, 12, 11, 1, 0.0, 5.0, 8.0, 0, 3, 8, 2, 0, 6, 4, 0, 2, 5, 1, 0, 0.0, 2, 0, 4, 2, 2, 6, 6, 0.0, 41.67, 66.67, 100.0, 75.0, 75.0, 25, 37.5, 66.6875, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 25.0, 25.0, 0.0, 0.0, 75.0, 50.0, 15.0, 3.0, 48.0, 16.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 32.0, "5456", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5456&g_ta_cod=5456", 25.0, 17.0, 58.0),
(5989, "Public", "0611149T", "IUT GRAND OUEST NORMANDIE - Pôle d'Alençon", "61", "Orne", "Normandie", "Normandie", "Damigny", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle d'Alençon - BUT - Carrières sociales parcours coordination et gestion des établissements et services sanitaires et sociaux", "BUT - Service", "", 56, 300, 262, 262, 0, 75, 14, 88, 25, 32, 21, 67, 38, 2, 18, 2, 16, 237, 13, 0, 0, 73, 13, 80, 20, 27, 18, 57, 206, 40, 34, 33, 6, 6.0, 28.0, 38.0, 0, 7, 30, 15, 10, 5, 10, 1, 16, 12, 1, 0, 0.0, 3, 6, 4, 0, 0, 20, 20, 15.0, 70.0, 95.0, 85.0, 66.6875, 66.6875, 0, 23.296875, 75.0, 3.2998046875, 53.296875, 40.0, 3.2998046875, 0.0, 0.0, 50.0, 10.0, 33.296875, 20.0, 16.69921875, 13.298828125, 60.0, 12.0, 23.0, 15.0, 49.0, "Tous les candidats sauf les Bac technologiques", 142.0, "Bacheliers technologiques toutes séries", 95, "", 0, "Liste d'appel propre à cette formation", 90.0, "7320", "BUT - Carrières sociales parcours coordination et gestion des établissements et services sanitaires et sociaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7320&g_ta_cod=7320", 48.0, 35.0, 18.0),
(5990, "Public", "9741270M", "Lycée Bel Air", "974", "La Réunion", "La Réunion", "La Réunion", "Sainte-Suzanne", "formation sélective", "BTS", "Lycée Bel Air - BTS - Production - Enveloppe des bâtiments : conception et réalisation", "BTS - Production", "", 12, 128, 16, 105, 0, 2, 1, 26, 10, 56, 37, 21, 23, 0, 14, 3, 6, 57, 4, 0, 0, 1, 0, 20, 10, 33, 24, 3, 32, 13, 1, 11, 2, 6.0, 10.0, 10.0, 0, 8, 11, 0, 2, 9, 2, 0, 3, 7, 0, 1, 0.0, 0, 2, 6, 9, 0, 11, 11, 46.15, 76.92, 76.92, 7.69921875, 100.0, 100.0, 81.796875, 72.6875, 84.59375, 0.0, 27.296875, 63.59375, 0.0, 9.1, 0.0, 0.0, 0.0, 18.19921875, 18.19921875, 81.796875, 54.5, 1.0, 0.0, 17.0, 12.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 39.0, "11983", "BTS - Production - Enveloppe des bâtiments : conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11983&g_ta_cod=11983", 0.0, 23.0, 77.0),
(5991, "Public", "0594366A", "IUT Tourcoing Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BUT", "IUT Tourcoing Université de Lille - BUT - Information communication Parcours métiers du livre et du patrimoine", "BUT - Service", "", 16, 377, 324, 377, 0, 195, 29, 37, 9, 7, 3, 138, 0, 0, 0, 0, 0, 203, 0, 0, 0, 104, 13, 23, 4, 0, 0, 76, 46, 15, 12, 15, 0, 5.0, 14.0, 15.0, 0, 1, 10, 9, 1, 0, 5, 0, 0, 3, 4, 2, 1.0, 9, 1, 0, 0, 0, 3, 3, 33.33, 93.33, 100.0, 80.0, 30.0, 30.0, 0, 10.0, 66.6875, 0.0, 0.0, 30.0, 40.0, 20.0, 10.0, 90.0, 90.0, 10.0, 10.0, 0.0, 0.0, 24.0, 4.0, 0.0, 0.0, 17.0, "Tous les candidats sauf les Bac technologiques", 57.0, "Bacheliers technologiques toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 20.0, "7113", "BUT - Information communication Parcours métiers du livre et du patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7113&g_ta_cod=7113", 73.0, 20.0, 7.0),
(5992, "Privé sous contrat d'association", "0771200L", "Lycée Blanche De Castille", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Fontainebleau", "formation sélective", "BTS", "Lycée Blanche De Castille - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 542, 209, 320, 0, 49, 10, 80, 22, 88, 23, 103, 222, 0, 5, 139, 78, 145, 8, 0, 0, 28, 6, 62, 17, 46, 10, 9, 125, 21, 8, 17, 4, 1.0, 17.0, 20.0, 0, 4, 20, 5, 7, 8, 1, 0, 12, 6, 2, 0, 0.0, 0, 4, 4, 5, 1, 15, 20, 4.76, 80.95, 95.24, 38.09375, 75.0, 100.0, 25, 20.0, 95.1875, 0.0, 60.0, 30.0, 10.0, 0.0, 0.0, 25.0, 0.0, 35.0, 20.0, 40.0, 20.0, 25.0, 6.0, 49.0, 9.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 41.0, "9829", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9829&g_ta_cod=9829", 24.0, 33.0, 43.0),
(5993, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Afrique et océan Indien - Haoussa", "Licence - Arts-lettres-langues", "Langues , Littératures, et Civilisations, parcours Afrique et océan Indien - Haoussa", 15, 22, 11, 5, 0, 1, 1, 0, 0, 2, 0, 2, 17, 1, 1, 1, 14, 5, 10, 0, 0, 1, 1, 0, 0, 2, 0, 2, 15, 3, 2, 1, 2, 1.0, 1.0, 2.0, 0, 0, 2, 1, 0, 1, 1, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 33.33, 33.33, 66.67, 66.6875, 100.0, 100.0, 0, 0.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 50.0, 2.0, 1.0, 2.0, 0.0, 10.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9413", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Afrique et océan Indien - Haoussa", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29599&g_ta_cod=9413", 67.0, 0.0, 33.0),
(5994, "Public", "0280044W", "Lycée Jehan De Beauce", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Chartres", "formation sélective", "BTS", "Lycée Jehan De Beauce - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 30, 337, 301, 337, 0, 24, 8, 98, 34, 132, 58, 83, 0, 0, 0, 0, 0, 305, 0, 0, 0, 24, 8, 93, 31, 129, 56, 59, 121, 30, 28, 30, 0, 2.0, 15.0, 22.0, 0, 9, 24, 0, 15, 9, 6, 0, 5, 12, 7, 0, 0.0, 0, 12, 7, 16, 15, 22, 22, 6.67, 50.0, 73.33, 93.296875, 91.6875, 91.6875, 66.6875, 37.5, 80.0, 0.0, 20.796875, 50.0, 29.19921875, 0.0, 0.0, 0.0, 0.0, 62.5, 50.0, 37.5, 29.19921875, 7.0, 3.0, 55.0, 21.0, 17.0, "Tous les candidats sauf les Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 79, "", 0, "Liste d'appel propre à cette formation", 50.0, "3738", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3738&g_ta_cod=3738", 0.0, 53.0, 47.0),
(5995, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Enseignement à distance", "Licence - Arts-lettres-langues", "Anglais - Enseignement à distance", 55, 580, 415, 260, 0, 103, 33, 13, 5, 7, 0, 137, 320, 39, 8, 1, 272, 113, 66, 0, 0, 50, 15, 2, 1, 0, 0, 61, 164, 66, 52, 25, 41, 11.0, 25.0, 58.0, 0, 4, 13, 12, 1, 0, 53, 2, 1, 6, 4, 0, 0.0, 9, 1, 0, 0, 0, 4, 4, 16.67, 37.88, 87.88, 78.796875, 30.796875, 30.796875, 0, 30.796875, 19.69921875, 15.3984375, 7.69921875, 46.1953125, 30.796875, 0.0, 0.0, 92.296875, 69.1875, 7.69921875, 7.69921875, 0.0, 0.0, 46.0, 13.0, 0.0, 0.0, 114.0, "Tous les candidats", 112.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "6349", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6349&g_ta_cod=6349", 91.0, 6.0, 0.0),
(5996, "Public", "0590035T", "Lycée Fenelon", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "BTS", "Lycée Fenelon - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 277, 177, 173, 0, 14, 4, 53, 15, 54, 26, 52, 104, 1, 38, 19, 46, 100, 19, 0, 0, 11, 3, 36, 11, 39, 21, 14, 88, 14, 10, 11, 3, 3.0, 10.0, 13.0, 0, 5, 8, 0, 2, 6, 6, 0, 2, 4, 2, 0, 0.0, 0, 0, 6, 0, 0, 8, 8, 21.43, 71.43, 92.86, 71.390625, 100.0, 100.0, 0, 62.5, 57.09375, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 75.0, 5.0, 2.0, 36.0, 17.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 56.0, "6726", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6726&g_ta_cod=6726", 29.0, 29.0, 43.0),
(5997, "Public", "0320002D", "Lycée Pardailhan", "32", "Gers", "Occitanie", "Toulouse", "Auch", "formation sélective", "BTS", "Lycée Pardailhan - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 369, 166, 354, 0, 45, 13, 105, 27, 118, 43, 86, 15, 3, 0, 7, 5, 224, 5, 0, 0, 31, 10, 79, 21, 83, 28, 31, 154, 29, 15, 28, 1, 8.0, 19.0, 24.0, 0, 9, 25, 4, 10, 11, 4, 0, 12, 6, 6, 1, 0.0, 0, 3, 10, 8, 3, 25, 25, 27.59, 65.52, 82.76, 51.6953125, 100.0, 100.0, 32, 36.0, 86.1875, 0.0, 48.0, 24.0, 24.0, 4.0, 0.0, 16.0, 0.0, 40.0, 12.0, 44.0, 40.0, 21.0, 8.0, 66.0, 20.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 88, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 49.0, "4249", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4249&g_ta_cod=4249", 17.0, 41.0, 41.0),
(5998, "Privé sous contrat d'association", "0132828D", "Lycée CADENELLE", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 12e  Arrondissement", "formation sélective", "BTS", "Lycée CADENELLE - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 594, 296, 555, 0, 98, 28, 202, 81, 114, 49, 141, 39, 0, 3, 17, 19, 215, 4, 0, 0, 61, 13, 106, 40, 26, 13, 22, 112, 28, 9, 28, 0, 14.0, 26.0, 28.0, 0, 5, 25, 4, 14, 7, 3, 0, 7, 15, 3, 0, 0.0, 2, 10, 6, 6, 3, 25, 25, 50.0, 92.86, 100.0, 32.09375, 100.0, 100.0, 24, 20.0, 89.296875, 0.0, 28.0, 60.0, 12.0, 0.0, 0.0, 16.0, 8.0, 56.0, 40.0, 28.0, 24.0, 19.0, 4.0, 25.0, 12.0, 15.0, "Tous les candidats sauf les Bac professionnels", 149.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 32.0, "2781", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2781&g_ta_cod=2781", 18.0, 57.0, 25.0),
(5999, "Public", "0951727L", "Lycée Charles BAUDELAIRE", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Fosses", "formation sélective", "Autre formation", "Lycée Charles BAUDELAIRE - Mention complémentaire - FCIL - CAES - Option Services", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 52, 8, 3, 0, 0, 0.0, 0.0, 0.0, 0, 1, 3, 0, 0, 3, 5, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 0.0, 0.0, 0.0, 37.5, 100.0, 100.0, 0, 33.296875, 37.5, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 1.0, 0.0, 17.0, 7.0, 23.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30705", "Mention complémentaire - FCIL - CAES - Option Services", "", "", 0.0, 25.0, 75.0),
(6000, "Public", "0912415F", "Université Paris-Saclay - Campus de Versailles", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "Licence", "Université Paris-Saclay - Campus de Versailles - Licence - Double diplôme - Licence Informatique, Sciences de la vie - Licence Double-Diplôme Sciences de la Vie, Informatique", "Licence - Sciences - technologies - santé", "Licence Double-Diplôme Sciences de la Vie, Informatique", 25, 251, 112, 251, 0, 142, 31, 4, 3, 1, 1, 104, 0, 0, 0, 0, 0, 159, 0, 0, 0, 119, 22, 1, 0, 1, 1, 38, 75, 25, 8, 25, 0, 4.0, 24.0, 24.0, 0, 5, 25, 25, 0, 0, 0, 0, 5, 8, 10, 2, 0.0, 20, 0, 0, 0, 0, 16, 19, 16.0, 96.0, 96.0, 32.0, 64.0, 76.0, 0, 20.0, 100.0, 0.0, 20.0, 32.0, 40.0, 8.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 75.0, 11.0, 0.0, 0.0, 0.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "28852", "Licence - Double diplôme - Licence Informatique, Sciences de la vie - Licence Double-Diplôme Sciences de la Vie, Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28852&g_ta_cod=28852", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(6001, "Public", "0931272C", "Lycée GUSTAVE EIFFEL", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Gagny", "formation sélective", "BTS", "Lycée GUSTAVE EIFFEL - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 12, 248, 19, 248, 0, 8, 4, 63, 20, 106, 61, 71, 0, 0, 0, 0, 0, 182, 0, 0, 0, 6, 4, 44, 13, 97, 55, 35, 64, 10, 0, 10, 0, 2.0, 6.0, 10.0, 0, 6, 10, 2, 4, 4, 0, 0, 7, 2, 1, 0, 0.0, 0, 0, 3, 2, 0, 10, 10, 20.0, 60.0, 100.0, 0.0, 100.0, 100.0, 20, 60.0, 100.0, 0.0, 70.0, 20.0, 10.0, 0.0, 0.0, 20.0, 0.0, 40.0, 0.0, 40.0, 30.0, 2.0, 1.0, 41.0, 25.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 36.0, "11264", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11264&g_ta_cod=11264", 20.0, 40.0, 40.0),
(6002, "Public", "0720017C", "Lycée Polyvalent Robert Garnier", "72", "Sarthe", "Pays de la Loire", "Nantes", "La Ferté-Bernard", "formation sélective", "BTS", "Lycée Polyvalent Robert Garnier - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 110, 12, 100, 0, 5, 0, 30, 7, 22, 8, 43, 10, 0, 4, 0, 6, 45, 1, 0, 0, 3, 0, 23, 5, 17, 6, 2, 36, 8, 0, 7, 1, 1.0, 7.0, 7.0, 0, 3, 8, 0, 2, 6, 0, 0, 4, 4, 0, 0, 0.0, 0, 0, 4, 8, 0, 8, 8, 12.5, 87.5, 87.5, 0.0, 100.0, 100.0, 100, 37.5, 100.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 50.0, 3.0, 0.0, 13.0, 4.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 41.0, "8685", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8685&g_ta_cod=8685", 0.0, 25.0, 75.0),
(6003, "Public", "0590221V", "Lycée Henri Wallon", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "CPGE", "Lycée Henri Wallon - CPGE - MPSI", "Classe préparatoire scientifique", "", 72, 1847, 554, 1847, 1350, 1320, 186, 0, 0, 2, 2, 525, 0, 0, 0, 0, 0, 1231, 0, 333, 1219, 1171, 141, 0, 0, 0, 0, 60, 393, 69, 15, 69, 0, 20.0, 56.0, 67.0, 20, 6, 68, 68, 0, 0, 1, 0, 0, 0, 13, 41, 14.0, 68, 0, 0, 7, 0, 60, 60, 28.99, 81.16, 97.1, 21.69921875, 88.1875, 88.1875, 10.298828125, 8.798828125, 98.59375, 0.0, 0.0, 0.0, 19.09765625, 60.3, 20.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 383.0, 40.0, 0.0, 0.0, 10.0, "Tous les candidats", 539.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "6841", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6841&g_ta_cod=6841", 100.0, 0.0, 0.0),
(6004, "Public", "0772229E", "Lycée Jean VILAR", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "CPGE", "Lycée Jean VILAR - CPGE - Lettres", "Classe préparatoire littéraire", "", 35, 103, 59, 76, 0, 51, 9, 0, 0, 1, 1, 24, 27, 14, 0, 0, 13, 54, 11, 0, 54, 50, 9, 0, 0, 0, 0, 4, 64, 12, 11, 8, 4, 5.0, 8.0, 12.0, 0, 2, 11, 11, 0, 0, 1, 0, 1, 3, 4, 3, 0.0, 10, 0, 0, 2, 2, 11, 11, 41.67, 66.67, 100.0, 91.6875, 100.0, 100.0, 18.19921875, 18.19921875, 91.6875, 0.0, 9.099609375, 27.296875, 36.3984375, 27.3, 0.0, 100.0, 90.890625, 0.0, 0.0, 0.0, 0.0, 58.0, 12.0, 0.0, 0.0, 6.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "9877", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9877&g_ta_cod=9877", 100.0, 0.0, 0.0),
(6005, "Privé sous contrat d'association", "0311219G", "Lycée professionnel Sainte-Marie Saint-Sernin", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée professionnel Sainte-Marie Saint-Sernin - BTS - Services - Commerce International", "BTS - Services", "", 35, 873, 435, 873, 0, 273, 58, 243, 73, 144, 56, 213, 0, 0, 0, 0, 0, 820, 0, 0, 0, 273, 58, 224, 63, 144, 56, 179, 134, 33, 21, 33, 0, 6.0, 22.0, 22.0, 0, 16, 31, 11, 9, 11, 2, 0, 7, 18, 6, 0, 0.0, 9, 4, 11, 1, 0, 27, 27, 18.18, 66.67, 66.67, 63.59375, 87.09375, 87.09375, 3.19970703125, 51.59375, 93.890625, 0.0, 22.59765625, 58.09375, 19.3984375, 0.0, 0.0, 35.5, 29.0, 29.0, 12.8984375, 35.5, 35.5, 35.0, 13.0, 35.0, 15.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 20.0, "16237", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16237&g_ta_cod=16237", 36.0, 30.0, 33.0),
(6006, "Public", "0750696Z", "Lycée Roger Verlomme", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "BTS", "Lycée Roger Verlomme - CFA Paris Académie Entreprises - BTS - Services - Négociation et digitalisation de la Relation Client (Seconde année en apprentissage)", "BTS - Services", "", 24, 1789, 870, 1789, 0, 126, 42, 700, 266, 510, 211, 453, 0, 0, 0, 0, 0, 622, 0, 0, 0, 67, 23, 260, 97, 234, 89, 61, 103, 22, 9, 22, 0, 3.0, 20.0, 20.0, 0, 11, 22, 2, 10, 10, 0, 0, 4, 12, 6, 0, 0.0, 1, 7, 10, 0, 0, 4, 22, 13.64, 90.91, 90.91, 40.8984375, 18.19921875, 100.0, 0, 50.0, 100.0, 0.0, 18.19921875, 54.5, 27.296875, 0.0, 0.0, 9.099609375, 4.5, 45.5, 31.796875, 45.5, 45.5, 9.0, 3.0, 41.0, 12.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 7.0, "13050", "BTS - Services - Négociation et digitalisation de la Relation Client (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13050&g_ta_cod=13050", 9.0, 45.0, 45.0),
(6007, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Physique, chimie", "Licence - Sciences - technologies - santé", "", 120, 976, 447, 874, 0, 567, 96, 21, 4, 2, 1, 284, 102, 25, 7, 0, 70, 870, 78, 0, 0, 567, 96, 21, 4, 2, 1, 280, 770, 77, 42, 48, 29, 2.0, 46.0, 65.0, 0, 10, 34, 30, 4, 0, 43, 0, 16, 10, 6, 1, 1.0, 18, 0, 0, 0, 0, 18, 18, 2.6, 59.74, 84.42, 54.5, 52.8984375, 52.8984375, 0, 29.3984375, 44.1953125, 0.0, 47.09375, 29.3984375, 17.59765625, 2.9, 2.9, 88.1875, 52.8984375, 11.798828125, 0.0, 0.0, 0.0, 460.0, 73.0, 1.0, 1.0, 290.0, "Tous les candidats", 869.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "15126", "Licence - Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15126&g_ta_cod=15126", 91.0, 8.0, 1.0),
(6008, "Public", "0241131Z", "Université de Bordeaux - Antenne de Périgueux", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation non sélective", "Licence_Las", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Droit", "Licence - Droit-économie-gestion", "Université de Bordeaux - Antenne de Périgueux", 30, 899, 649, 877, 0, 529, 114, 95, 36, 20, 10, 233, 22, 6, 1, 1, 14, 865, 20, 0, 0, 529, 114, 95, 36, 20, 10, 221, 327, 28, 19, 22, 6, 0.0, 14.0, 20.0, 0, 2, 14, 10, 4, 0, 14, 0, 6, 8, 0, 0, 0.0, 4, 4, 0, 0, 0, 12, 12, 0.0, 50.0, 71.43, 67.890625, 85.6875, 85.6875, 0, 14.298828125, 50.0, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 71.390625, 28.59765625, 28.59765625, 28.59765625, 0.0, 0.0, 198.0, 38.0, 6.0, 4.0, 84.0, "Tous les candidats", 6189.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 61.0, "27099", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26327&g_ta_cod=27099", 75.0, 18.0, 7.0),
(6009, "Public", "0140017T", "Lycée Jean Rostand", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 30, 718, 471, 718, 0, 181, 31, 194, 37, 44, 19, 299, 0, 0, 0, 0, 0, 442, 0, 0, 0, 165, 29, 181, 34, 19, 6, 77, 150, 29, 19, 29, 0, 2.0, 21.0, 23.0, 0, 2, 22, 5, 15, 2, 7, 0, 7, 10, 4, 1, 0.0, 5, 8, 2, 10, 3, 21, 21, 6.9, 72.41, 79.31, 65.5, 95.5, 95.5, 45.5, 9.099609375, 75.890625, 0.0, 31.796875, 45.5, 18.19921875, 4.5, 0.0, 22.69921875, 22.69921875, 68.1875, 36.3984375, 9.099609375, 9.099609375, 37.0, 4.0, 9.0, 2.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 92.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 116, "Liste d'appel propre à cette formation", 31.0, "2822", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2822&g_ta_cod=2822", 21.0, 72.0, 7.0),
(6010, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 1 -  Sc. du langage -  Espagnol (LLCER)", "Licence - Arts-lettres-langues", "1 -  Sc. du langage -  Espagnol (LLCER)", 35, 166, 122, 129, 0, 72, 16, 16, 3, 11, 8, 30, 37, 11, 5, 1, 20, 129, 19, 0, 0, 72, 16, 16, 3, 11, 8, 30, 124, 24, 21, 15, 7, 3.0, 15.0, 19.0, 0, 5, 15, 8, 5, 2, 9, 0, 6, 5, 4, 0, 0.0, 4, 3, 2, 0, 0, 13, 13, 12.5, 62.5, 79.17, 87.5, 86.6875, 86.6875, 0, 33.296875, 62.5, 0.0, 40.0, 33.296875, 26.69921875, 0.0, 0.0, 53.296875, 26.69921875, 33.296875, 20.0, 13.298828125, 13.298828125, 66.0, 16.0, 7.0, 4.0, 36.0, "Tous les candidats", 129.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24145", "Licence - Portail 1 -  Sc. du langage -  Espagnol (LLCER)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24145&g_ta_cod=24145", 63.0, 29.0, 8.0),
(6011, "Privé enseignement supérieur", "0891309P", "EGC Sens", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Sens", "formation sélective", "Ecole de Commerce", "EGC Sens - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "", 25, 23, 11, 16, 0, 8, 0, 1, 0, 2, 0, 5, 7, 1, 1, 1, 4, 15, 2, 0, 0, 7, 0, 1, 0, 2, 0, 5, 17, 7, 3, 5, 2, 5.0, 5.0, 5.0, 0, 0, 6, 3, 0, 3, 1, 0, 3, 3, 0, 0, 0.0, 1, 0, 2, 0, 0, 5, 5, 71.43, 71.43, 71.43, 42.8984375, 83.296875, 83.296875, 0, 0.0, 85.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 16.69921875, 0.0, 0.0, 50.0, 33.296875, 8.0, 0.0, 3.0, 0.0, 5.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "12062", "Formation des écoles de commerce et de management Bac + 3", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12062&g_ta_cod=12062", 57.0, 0.0, 43.0),
(6012, "Public", "0921156G", "Lycée Galilée", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Gennevilliers", "formation sélective", "BTS", "Lycée Galilée - BTS - Production - Métiers de la chimie", "BTS - Production", "", 30, 767, 424, 767, 0, 101, 32, 190, 58, 20, 9, 456, 0, 0, 0, 0, 0, 386, 0, 0, 0, 0, 0, 190, 58, 19, 9, 177, 126, 30, 9, 30, 0, 4.0, 27.0, 27.0, 0, 4, 14, 0, 13, 1, 16, 0, 7, 7, 0, 0, 0.0, 0, 6, 1, 2, 0, 10, 14, 13.33, 90.0, 90.0, 30.0, 71.390625, 100.0, 14.298828125, 28.59765625, 46.6953125, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 92.890625, 42.8984375, 7.099609375, 7.099609375, 0.0, 0.0, 4.0, 2.0, 53.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 122, "Liste d'appel propre à cette formation", 21.0, "11063", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11063&g_ta_cod=11063", 33.0, 63.0, 3.0),
(6013, "Public", "0500002F", "Lycée Emile Littré", "50", "Manche", "Normandie", "Normandie", "Avranches", "formation sélective", "BTS", "Lycée Emile Littré - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 474, 238, 463, 0, 34, 5, 226, 48, 130, 32, 73, 11, 0, 0, 8, 3, 359, 5, 0, 0, 22, 2, 188, 40, 105, 24, 44, 178, 31, 18, 29, 2, 5.0, 23.0, 27.0, 0, 7, 24, 1, 13, 10, 7, 0, 6, 12, 5, 1, 0.0, 1, 7, 10, 11, 6, 23, 23, 16.13, 74.19, 87.1, 58.09375, 95.796875, 95.796875, 45.796875, 29.19921875, 77.390625, 0.0, 25.0, 50.0, 20.796875, 4.2, 0.0, 4.19921875, 4.19921875, 54.1953125, 29.19921875, 41.6953125, 41.6953125, 13.0, 2.0, 71.0, 18.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 111, "Bacheliers technologiques toutes séries", 102, "Liste d'appel propre à cette formation", 53.0, "5986", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5986&g_ta_cod=5986", 13.0, 52.0, 35.0),
(6014, "Public", "0080804F", "Lycée agricole DE RETHEL", "08", "Ariège", "Grand Est", "Reims", "Rethel", "formation sélective", "BTS", "Lycée agricole DE RETHEL - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 24, 373, 131, 373, 0, 23, 6, 49, 14, 52, 17, 249, 0, 0, 0, 0, 0, 142, 0, 0, 0, 23, 6, 49, 14, 50, 16, 20, 110, 8, 6, 8, 0, 2.0, 6.0, 8.0, 0, 5, 8, 3, 2, 3, 0, 0, 5, 2, 1, 0, 0.0, 1, 0, 2, 5, 3, 8, 8, 25.0, 75.0, 100.0, 75.0, 100.0, 100.0, 62.5, 62.5, 100.0, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 37.5, 12.5, 25.0, 0.0, 37.5, 25.0, 20.0, 6.0, 43.0, 14.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 37.0, "2373", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2373&g_ta_cod=2373", 38.0, 25.0, 38.0),
(6015, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur / Lycée d'Estienne d'Orves Nice - Licence - Lettres - Parcours Parcours préparatoire au professorat des écoles", "Licence - Arts-lettres-langues", "Parcours préparatoire au professorat des écoles", 35, 508, 448, 508, 0, 298, 60, 42, 20, 22, 10, 146, 0, 0, 0, 0, 0, 508, 0, 0, 0, 298, 60, 42, 20, 22, 10, 146, 133, 34, 31, 34, 0, 4.0, 30.0, 34.0, 0, 8, 31, 28, 3, 0, 3, 0, 2, 16, 11, 2, 0.0, 26, 3, 0, 0, 0, 22, 22, 11.76, 88.24, 100.0, 91.1875, 71.0, 71.0, 0, 25.796875, 91.1875, 0.0, 6.5, 51.59375, 35.5, 6.5, 0.0, 90.296875, 83.890625, 9.69921875, 9.69921875, 0.0, 0.0, 117.0, 23.0, 1.0, 0.0, 12.0, "Tous les candidats", 178.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "32648", "Licence - Lettres - Parcours Parcours préparatoire au professorat des écoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32648&g_ta_cod=32648", 91.0, 9.0, 0.0),
(6016, "Public", "0280864M", "Lycée professionnel Elsa Triolet", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Lucé", "formation sélective", "Autre formation", "Lycée professionnel Elsa Triolet - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 83, 14, 81, 0, 11, 0, 11, 3, 41, 13, 18, 2, 1, 0, 0, 1, 43, 1, 0, 0, 10, 0, 7, 1, 23, 3, 3, 38, 15, 6, 15, 0, 10.0, 14.0, 15.0, 0, 2, 14, 2, 3, 9, 1, 0, 6, 6, 0, 2, 0.0, 0, 2, 6, 0, 0, 13, 13, 66.67, 93.33, 100.0, 40.0, 92.890625, 92.890625, 0, 14.298828125, 93.296875, 0.0, 42.8984375, 42.8984375, 0.0, 14.3, 0.0, 14.298828125, 0.0, 21.3984375, 14.298828125, 64.296875, 42.8984375, 9.0, 0.0, 19.0, 3.0, 3.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "22234", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22234&g_ta_cod=22234", 20.0, 20.0, 60.0),
(6017, "Public", "0754247J", "I.U.T de Paris Descartes", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "BUT", "I.U.T de Paris Descartes - BUT - Information communication Parcours communication des organisations", "BUT - Service", "", 56, 1580, 1243, 1580, 0, 994, 157, 329, 101, 7, 1, 250, 0, 0, 0, 0, 0, 150, 0, 0, 0, 83, 11, 48, 14, 0, 0, 19, 89, 57, 44, 57, 0, 35.0, 53.0, 55.0, 0, 16, 46, 28, 18, 0, 11, 0, 1, 13, 26, 6, 0.0, 28, 17, 0, 0, 0, 10, 38, 61.4, 92.98, 96.49, 77.1875, 21.69921875, 82.59375, 0, 34.796875, 80.6875, 0.0, 2.19970703125, 28.296875, 56.5, 13.0, 0.0, 60.8984375, 60.8984375, 39.09375, 37.0, 0.0, 0.0, 46.0, 10.0, 0.0, 0.0, 13.0, "Tous les candidats sauf les Bac technologiques", 63.0, "Bacheliers technologiques toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 6.0, "9522", "BUT - Information communication Parcours communication des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9522&g_ta_cod=9522", 65.0, 35.0, 0.0),
(6018, "Public", "0060914L", "I.U.T Nice-Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BUT", "I.U.T Nice-Côte d'Azur - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation", "BUT - Production", "Réalisation d'applications : conception, développement, validation", 83, 1363, 147, 1318, 0, 767, 146, 236, 64, 19, 7, 296, 45, 0, 26, 0, 19, 384, 1, 0, 0, 321, 53, 55, 9, 0, 0, 8, 311, 79, 7, 79, 0, 17.0, 69.0, 75.0, 0, 19, 76, 66, 10, 0, 3, 0, 11, 33, 28, 4, 0.0, 56, 9, 0, 0, 0, 62, 62, 21.52, 87.34, 94.94, 8.8984375, 81.59375, 81.59375, 0, 25.0, 96.1875, 0.0, 14.5, 43.3984375, 36.796875, 5.3, 0.0, 86.796875, 73.6875, 13.19921875, 11.798828125, 0.0, 0.0, 263.0, 44.0, 1.0, 1.0, 9.0, "Tous les candidats sauf les Bac technologiques", 315.0, "Bacheliers technologiques toutes séries", 63, "", 0, "Liste d'appel propre à cette formation", 29.0, "2250", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2250&g_ta_cod=2250", 84.0, 16.0, 0.0),
(6019, "Privé sous contrat d'association", "0802184P", "APRADIS - Site Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "EFTS", "APRADIS - Site Amiens - D.E Educateur Technique Spécialisé", "D.E secteur social", "", 3, 9, 9, 9, 0, 1, 0, 2, 0, 0, 0, 6, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 1, 0, 0, 0, 5, 6, 3, 3, 3, 0, 3.0, 3.0, 3.0, 0, 0, 1, 0, 1, 0, 2, 0, 0, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 0.0, 33.296875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 6.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "25201", "D.E Educateur Technique Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25201&g_ta_cod=25201", 0.0, 100.0, 0.0),
(6020, "Public", "0672198A", "Lycée Le Corbusier", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "Autre formation", "Lycée Le Corbusier - DN MADE - Innovation sociale - - Spécialité : Design, territoires et société : produit et graphisme", "DN MADE", "- Spécialité : Design, territoires et société : produit et graphisme", 15, 319, 230, 313, 0, 90, 17, 119, 25, 32, 11, 72, 6, 3, 0, 0, 3, 174, 2, 0, 0, 50, 10, 89, 16, 6, 2, 29, 58, 12, 9, 11, 1, 1.0, 10.0, 11.0, 0, 1, 9, 2, 7, 0, 3, 0, 0, 2, 3, 4, 0.0, 2, 7, 0, 0, 0, 3, 3, 8.33, 83.33, 91.67, 75.0, 33.296875, 33.296875, 0, 11.099609375, 75.0, 0.0, 0.0, 22.19921875, 33.296875, 44.4, 0.0, 22.19921875, 22.19921875, 77.796875, 77.796875, 0.0, 0.0, 17.0, 3.0, 2.0, 1.0, 11.0, "Tous les candidats", 99.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "21539", "DN MADE - Innovation sociale - - Spécialité : Design, territoires et société : produit et graphisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21539&g_ta_cod=21539", 42.0, 58.0, 0.0),
(6021, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence", "Université de Perpignan Via Domitia - Licence - Informatique", "Licence - Sciences - technologies - santé", "", 50, 516, 63, 516, 0, 320, 101, 48, 21, 12, 5, 136, 0, 0, 0, 0, 0, 516, 0, 0, 0, 320, 101, 48, 21, 12, 5, 136, 280, 53, 6, 53, 0, 7.0, 53.0, 53.0, 0, 14, 39, 35, 4, 0, 14, 0, 22, 11, 6, 0, 0.0, 15, 2, 0, 0, 0, 36, 36, 13.21, 100.0, 100.0, 11.298828125, 92.296875, 92.296875, 0, 35.8984375, 73.59375, 0.0, 56.3984375, 28.19921875, 15.3984375, 0.0, 0.0, 89.6875, 38.5, 10.298828125, 5.099609375, 0.0, 0.0, 197.0, 73.0, 2.0, 0.0, 68.0, "Tous les candidats", 342.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "7883", "Licence - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7883&g_ta_cod=7883", 92.0, 8.0, 0.0),
(6022, "Privé sous contrat d'association", "9720791C", "IFMES", "972", "Martinique", "Martinique", "Martinique", "Saint-Joseph", "formation sélective", "EFTS", "IFMES - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 6, 77, 73, 77, 0, 8, 2, 22, 10, 23, 19, 24, 0, 0, 0, 0, 0, 23, 0, 0, 0, 3, 2, 6, 3, 6, 5, 8, 7, 7, 7, 7, 0, 6.0, 7.0, 7.0, 0, 0, 3, 1, 2, 0, 4, 0, 1, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 3, 3, 85.71, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 0.0, 42.8984375, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 33.296875, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "25120", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25120&g_ta_cod=25120", 29.0, 43.0, 14.0),
(6023, "Public", "0420093Y", "ENISE Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 116, 5146, 1247, 5146, 0, 4509, 416, 0, 0, 0, 0, 637, 0, 0, 0, 0, 0, 3481, 0, 0, 0, 3272, 232, 0, 0, 0, 0, 209, 2103, 118, 33, 118, 0, 73.0, 103.0, 118.0, 0, 16, 117, 117, 0, 0, 1, 0, 0, 18, 70, 27, 2.0, 117, 0, 0, 0, 0, 72, 72, 61.86, 87.29, 100.0, 28.0, 61.5, 61.5, 0, 13.69921875, 99.1875, 0.0, 0.0, 15.3984375, 59.796875, 23.1, 1.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1999.0, 194.0, 0.0, 0.0, 104.0, "Autres candidats", 10180.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 50.0, "24480", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=24480", 100.0, 0.0, 0.0),
(6024, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation non sélective", "PASS", "Université Claude Bernard Lyon 1 - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "proposée par l?Université Claude Bernard Lyon 1", 200, 5408, 3329, 5408, 0, 4356, 684, 111, 49, 17, 10, 924, 0, 0, 0, 0, 0, 5358, 0, 0, 0, 4356, 684, 111, 49, 17, 10, 874, 1461, 197, 84, 197, 0, 4.0, 94.0, 162.0, 0, 18, 176, 173, 3, 0, 21, 0, 15, 84, 54, 20, 3.0, 158, 3, 0, 0, 0, 143, 143, 2.03, 47.72, 82.23, 42.59375, 81.296875, 81.296875, 0, 10.19921875, 89.296875, 0.0, 8.5, 47.6953125, 30.69921875, 11.4, 1.7, 98.296875, 89.796875, 1.699951171875, 1.699951171875, 0.0, 0.0, 1278.0, 202.0, 1.0, 1.0, 174.0, "Tous les candidats", 3849.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "28178", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28157&g_ta_cod=28178", 98.0, 2.0, 0.0),
(6025, "Public", "0573281G", "Lycée De La Communication", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée De La Communication - BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "BTS - Services", "", 6, 782, 227, 782, 0, 289, 53, 113, 25, 78, 21, 302, 0, 0, 0, 0, 0, 134, 0, 0, 0, 88, 13, 15, 1, 20, 6, 11, 25, 5, 2, 5, 0, 0.0, 5.0, 5.0, 0, 0, 5, 4, 0, 1, 0, 0, 0, 1, 2, 2, 0.0, 4, 0, 1, 0, 0, 0, 0, 0.0, 100.0, 100.0, 40.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 0.0, 20.0, 40.0, 40.0, 0.0, 80.0, 80.0, 0.0, 0.0, 20.0, 20.0, 21.0, 5.0, 2.0, 1.0, 2.0, "Tous les candidats sauf les Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 3.0, "6657", "BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6657&g_ta_cod=6657", 80.0, 0.0, 20.0),
(6026, "Public", "0830050D", "Lycée Beaussier", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Seyne-sur-Mer", "formation sélective", "BTS", "Lycée Beaussier - BTS - Services - Support à l'action managériale", "BTS - Services", "", 26, 303, 208, 302, 0, 17, 8, 123, 65, 82, 42, 80, 1, 1, 0, 0, 0, 251, 1, 0, 0, 17, 8, 114, 61, 71, 36, 49, 121, 23, 19, 23, 0, 2.0, 14.0, 17.0, 0, 12, 17, 0, 11, 6, 6, 0, 6, 10, 1, 0, 0.0, 0, 8, 3, 4, 4, 15, 15, 8.7, 60.87, 73.91, 82.59375, 88.1875, 88.1875, 23.5, 70.59375, 73.890625, 0.0, 35.296875, 58.796875, 5.8994140625, 0.0, 0.0, 0.0, 0.0, 64.6875, 47.09375, 35.296875, 17.59765625, 5.0, 3.0, 44.0, 23.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 49.0, "10339", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10339&g_ta_cod=10339", 4.0, 52.0, 43.0),
(6027, "Privé sous contrat d'association", "0660552S", "Lycée NEOSUP Ecole Maso", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée NEOSUP Ecole Maso - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 26, 343, 229, 275, 0, 90, 22, 77, 11, 19, 3, 89, 68, 26, 10, 0, 32, 143, 34, 0, 0, 51, 12, 40, 6, 3, 0, 49, 141, 17, 8, 12, 5, 0.0, 12.0, 15.0, 0, 0, 7, 1, 6, 0, 10, 0, 1, 4, 1, 1, 0.0, 1, 5, 0, 0, 0, 4, 4, 0.0, 70.59, 88.24, 47.09375, 57.09375, 57.09375, 0, 0.0, 41.1953125, 0.0, 14.298828125, 57.09375, 14.298828125, 14.3, 0.0, 14.298828125, 14.298828125, 85.6875, 71.390625, 0.0, 0.0, 51.0, 11.0, 3.0, 0.0, 63.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 89.0, "Bacheliers technologiques toutes séries", 50, "Bacheliers professionnels toutes séries", 4, "Liste d'appel propre à cette formation", 52.0, "16158", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16158&g_ta_cod=16158", 41.0, 59.0, 0.0),
(6028, "Public", "0360768P", "Université d'Orléans - Centre Univ. de Châteauroux", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Châteauroux", "formation non sélective", "Licence", "Université d'Orléans - Centre Univ. de Châteauroux - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 45, 280, 120, 230, 0, 156, 42, 26, 4, 13, 3, 35, 50, 9, 6, 2, 33, 229, 30, 0, 0, 156, 42, 26, 4, 13, 3, 34, 196, 36, 18, 28, 8, 5.0, 28.0, 30.0, 0, 3, 23, 15, 7, 1, 13, 0, 9, 10, 4, 0, 0.0, 11, 2, 1, 0, 0, 23, 23, 13.89, 77.78, 83.33, 50.0, 100.0, 100.0, 0, 13.0, 63.8984375, 0.0, 39.09375, 43.5, 17.3984375, 0.0, 0.0, 65.1875, 47.796875, 30.3984375, 8.69921875, 4.2998046875, 4.2998046875, 121.0, 35.0, 9.0, 1.0, 43.0, "Tous les candidats", 229.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4814", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4814&g_ta_cod=4814", 56.0, 31.0, 11.0),
(6029, "Public", "0690276A", "CNED", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 4e  Arrondissement", "formation sélective", "BTS", "CNED - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 2400, 2264, 1082, 1606, 0, 263, 73, 409, 145, 341, 134, 593, 658, 71, 143, 121, 323, 1606, 635, 0, 0, 263, 73, 409, 145, 341, 134, 593, 2241, 333, 174, 210, 123, 203.0, 209.0, 269.0, 0, 44, 115, 29, 39, 47, 218, 2, 67, 37, 7, 2, 0.0, 11, 15, 20, 0, 0, 26, 26, 60.96, 62.76, 80.78, 52.296875, 22.59765625, 22.59765625, 0, 38.296875, 34.5, 1.699951171875, 58.296875, 32.1953125, 6.099609375, 1.7, 0.0, 25.19921875, 9.599609375, 33.8984375, 13.0, 40.8984375, 17.3984375, 332.0, 93.0, 454.0, 201.0, 910.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 655.0, "Bacheliers professionnels toutes séries", 422, "Bacheliers technologiques toutes séries", 530, "Liste d'appel propre à cette formation", 100.0, "20798", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20798&g_ta_cod=20798", 43.0, 32.0, 24.0),
(6030, "Public", "0941288P", "I.U.T. de Créteil-Vitry - Site de Créteil- UPEC", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "BUT", "I.U.T. de Créteil-Vitry - Site de Créteil- UPEC - BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", "BUT - Production", "Techniques d'instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", 78, 1188, 263, 1097, 0, 680, 125, 174, 56, 3, 2, 240, 91, 23, 7, 1, 60, 885, 18, 0, 0, 607, 101, 111, 34, 1, 0, 166, 755, 78, 18, 67, 9, 11.0, 37.0, 67.0, 0, 11, 63, 49, 14, 0, 15, 0, 31, 27, 5, 0, 0.0, 21, 11, 0, 0, 0, 37, 59, 14.1, 47.44, 85.9, 23.09765625, 58.6953125, 93.6875, 0, 17.5, 80.796875, 0.0, 49.1953125, 42.8984375, 7.8994140625, 0.0, 0.0, 77.796875, 33.296875, 22.19921875, 17.5, 0.0, 0.0, 516.0, 95.0, 1.0, 0.0, 142.0, "Tous les candidats sauf les Bac technologiques", 762.0, "Bacheliers technologiques toutes séries", 125, "", 0, "Liste d'appel propre à cette formation", 81.0, "11509", "BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11509&g_ta_cod=11509", 81.0, 19.0, 0.0),
(6031, "Public", "6200002H", "Lycée Laetitia Bonaparte", "2A", "Corse du Sud", "Corse", "Corse", "Ajaccio", "formation sélective", "CPGE", "Lycée Laetitia Bonaparte - CPGE - PTSI", "Classe préparatoire scientifique", "", 32, 205, 63, 180, 103, 131, 14, 2, 0, 0, 0, 47, 25, 11, 0, 0, 14, 125, 8, 53, 123, 107, 11, 0, 0, 0, 0, 18, 101, 25, 6, 24, 1, 6.0, 24.0, 25.0, 11, 3, 24, 24, 0, 0, 1, 0, 0, 6, 12, 5, 1.0, 24, 0, 0, 8, 2, 23, 23, 24.0, 96.0, 100.0, 24.0, 95.796875, 95.796875, 33.296875, 12.5, 96.0, 0.0, 0.0, 25.0, 50.0, 20.8, 4.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 84.0, 9.0, 0.0, 0.0, 17.0, "Tous les candidats", 128.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "11678", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11678&g_ta_cod=11678", 100.0, 0.0, 0.0),
(6032, "Public", "0762762P", "Université Le Havre Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Licence", "Université Le Havre Normandie - Licence - Economie et gestion - Parcours Eco-Gestion Bilingue Anglais", "Licence - Droit-économie-gestion", "Eco-Gestion Bilingue Anglais", 25, 300, 156, 232, 0, 177, 32, 7, 3, 5, 3, 43, 68, 17, 2, 2, 47, 111, 6, 0, 0, 100, 14, 0, 0, 0, 0, 11, 87, 24, 17, 21, 3, 7.0, 21.0, 21.0, 0, 3, 16, 16, 0, 0, 8, 0, 0, 4, 9, 3, 0.0, 16, 0, 0, 0, 0, 10, 10, 29.17, 87.5, 87.5, 70.796875, 62.5, 62.5, 0, 18.796875, 66.6875, 0.0, 0.0, 25.0, 56.296875, 18.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 71.0, 9.0, 0.0, 0.0, 16.0, "Tous les candidats", 109.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "19249", "Licence - Economie et gestion - Parcours Eco-Gestion Bilingue Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19249&g_ta_cod=19249", 100.0, 0.0, 0.0),
(6033, "Public", "0912169N", "I.U.T. d'Evry Val d'Essonne - Site Juvisy S/Orge", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "BUT", "I.U.T. d'Evry Val d'Essonne - Site Juvisy S/Orge - BUT - Techniques de commercialisation", "BUT - Service", "", 39, 2443, 1295, 2443, 0, 1065, 269, 878, 317, 66, 27, 434, 0, 0, 0, 0, 0, 1466, 0, 0, 0, 712, 165, 543, 196, 8, 3, 203, 231, 39, 29, 38, 0, 0.0, 30.0, 35.0, 0, 8, 38, 18, 20, 0, 1, 0, 1, 29, 7, 1, 0.0, 17, 20, 0, 0, 0, 21, 34, 0.0, 76.92, 89.74, 74.390625, 55.296875, 89.5, 0, 21.09765625, 97.390625, 0.0, 2.599609375, 76.296875, 18.3984375, 2.6, 0.0, 47.3984375, 44.6953125, 52.59375, 52.59375, 0.0, 0.0, 117.0, 22.0, 3.0, 2.0, 9.0, "Tous les candidats sauf les Bac technologiques", 239.0, "Bacheliers technologiques toutes séries", 203, "", 0, "Liste d'appel propre à cette formation", 18.0, "10973", "BUT - Techniques de commercialisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10973&g_ta_cod=10973", 49.0, 51.0, 0.0),
(6034, "Privé sous contrat d'association", "0442124V", "Ecole Sup. ENACOM", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Ecole Sup. ENACOM - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 756, 377, 756, 0, 211, 29, 284, 56, 142, 32, 119, 0, 0, 0, 0, 0, 239, 0, 0, 0, 90, 5, 64, 9, 73, 18, 12, 81, 34, 26, 34, 0, 16.0, 33.0, 34.0, 0, 7, 31, 19, 6, 6, 3, 0, 10, 13, 7, 1, 0.0, 11, 4, 6, 0, 0, 29, 29, 47.06, 97.06, 100.0, 76.5, 93.5, 93.5, 0, 22.59765625, 91.1875, 0.0, 32.296875, 41.8984375, 22.59765625, 3.2, 0.0, 61.296875, 35.5, 19.3984375, 12.8984375, 19.3984375, 19.3984375, 44.0, 5.0, 21.0, 3.0, 5.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 12.0, "5623", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5623&g_ta_cod=5623", 62.0, 21.0, 18.0),
(6035, "Public", "0680169P", "I.U.T. de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BUT", "I.U.T. de Mulhouse - BUT - Science et génie des matériaux Parcours : Métiers de la caractérisation et de l'expertise des matériaux et des produits", "BUT - Production", "Métiers de la caractérisation et de l'expertise des matériaux et des produits", 36, 345, 59, 323, 0, 192, 23, 73, 13, 0, 0, 58, 22, 4, 4, 0, 14, 273, 12, 0, 0, 173, 17, 53, 8, 0, 0, 47, 174, 17, 5, 14, 3, 2.0, 13.0, 15.0, 0, 2, 12, 9, 3, 0, 5, 0, 3, 6, 2, 1, 0.0, 6, 3, 0, 0, 0, 10, 10, 11.76, 76.47, 88.24, 29.3984375, 83.296875, 83.296875, 0, 16.69921875, 70.59375, 0.0, 25.0, 50.0, 16.69921875, 8.3, 0.0, 75.0, 50.0, 25.0, 25.0, 0.0, 0.0, 96.0, 11.0, 0.0, 0.0, 40.0, "Tous les candidats sauf les Bac technologiques", 207.0, "Bacheliers technologiques toutes séries", 58, "", 0, "Liste d'appel propre à cette formation", 82.0, "8135", "BUT - Science et génie des matériaux Parcours : Métiers de la caractérisation et de l'expertise des matériaux et des produits", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8135&g_ta_cod=8135", 76.0, 24.0, 0.0),
(6036, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Portail Chimie", "Licence - Sciences - technologies - santé", "", 70, 936, 579, 886, 0, 549, 91, 49, 8, 1, 0, 287, 50, 10, 3, 1, 36, 886, 34, 0, 0, 549, 91, 49, 8, 1, 0, 287, 633, 55, 29, 39, 15, 11.0, 26.0, 43.0, 0, 5, 24, 20, 4, 0, 31, 0, 10, 10, 3, 1, 0.0, 13, 1, 0, 0, 0, 19, 19, 20.0, 47.27, 78.18, 52.6953125, 79.1875, 79.1875, 0, 20.796875, 43.59375, 0.0, 41.6953125, 41.6953125, 12.5, 4.2, 0.0, 83.296875, 54.1953125, 16.69921875, 4.19921875, 0.0, 0.0, 394.0, 67.0, 0.0, 0.0, 223.0, "Tous les candidats", 1148.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "2876", "Licence - Portail Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27688&g_ta_cod=2876", 85.0, 15.0, 0.0),
(6037, "Public", "7200009X", "Lycée Giocante De Casabianca", "2B", "Haute-Corse", "Corse", "Corse", "Bastia", "formation sélective", "CPGE", "Lycée Giocante De Casabianca - CPGE - Lettres", "Classe préparatoire littéraire", "", 34, 237, 113, 220, 104, 85, 19, 1, 0, 1, 0, 133, 17, 5, 0, 0, 12, 93, 6, 46, 89, 84, 18, 0, 0, 0, 0, 9, 91, 29, 18, 25, 4, 22.0, 25.0, 29.0, 5, 4, 22, 22, 0, 0, 7, 0, 1, 7, 10, 4, 0.0, 21, 0, 0, 4, 3, 21, 21, 75.86, 86.21, 100.0, 62.09375, 95.5, 95.5, 18.19921875, 18.19921875, 75.890625, 0.0, 4.5, 31.796875, 45.5, 18.2, 0.0, 100.0, 95.5, 0.0, 0.0, 0.0, 0.0, 80.0, 18.0, 0.0, 0.0, 11.0, "Tous les candidats", 93.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "11687", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11687&g_ta_cod=11687", 100.0, 0.0, 0.0),
(6038, "Public", "0753043A", "Institut de formation de manipulateur d'électroradiologie médicale du Campus Picpus (AP-HP)", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "Institut de formation de manipulateur d'électroradiologie médicale du Campus Picpus (AP-HP) - D.E manipulateur/trice en électroradiologie médicale", "D.E secteur sanitaire", "", 90, 1535, 1244, 1535, 0, 238, 90, 485, 215, 20, 11, 792, 0, 0, 0, 0, 0, 580, 0, 0, 0, 119, 48, 247, 108, 0, 0, 214, 307, 87, 71, 87, 0, 14.0, 58.0, 74.0, 0, 20, 39, 19, 20, 0, 48, 0, 9, 10, 18, 2, 0.0, 13, 17, 0, 0, 0, 7, 33, 16.09, 66.67, 85.06, 81.59375, 17.8984375, 84.59375, 0, 51.296875, 44.796875, 0.0, 23.09765625, 25.59765625, 46.1953125, 5.1, 0.0, 48.6953125, 33.296875, 51.296875, 43.59375, 0.0, 0.0, 64.0, 29.0, 0.0, 0.0, 163.0, "Tous les candidats", 347.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "19410", "D.E manipulateur/trice en électroradiologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19410&g_ta_cod=19410", 53.0, 47.0, 0.0),
(6039, "Public", "0170028N", "Lycée Jean Dautet", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BTS", "Lycée Jean Dautet - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 364, 261, 364, 0, 38, 11, 163, 38, 77, 33, 86, 0, 0, 0, 0, 0, 229, 0, 0, 0, 32, 10, 101, 23, 63, 24, 33, 109, 22, 15, 20, 0, 2.0, 15.0, 17.0, 0, 6, 14, 2, 6, 6, 8, 0, 3, 8, 3, 0, 0.0, 2, 5, 4, 3, 1, 12, 12, 9.09, 68.18, 77.27, 68.1875, 85.6875, 85.6875, 21.3984375, 42.8984375, 63.59375, 0.0, 21.3984375, 57.09375, 21.3984375, 0.0, 0.0, 14.298828125, 14.298828125, 42.8984375, 35.6953125, 42.8984375, 28.59765625, 16.0, 4.0, 47.0, 15.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 41.0, "3027", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3027&g_ta_cod=3027", 23.0, 45.0, 32.0),
(6040, "Public", "0230008J", "Lycée professionnel Delphine Gay", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Bourganeuf", "formation sélective", "Autre formation", "Lycée professionnel Delphine Gay - Mention complémentaire - FCIL Santé et bien être de la personne âgée", "Mention complémentaire", "", 12, 21, 20, 10, 0, 1, 0, 2, 2, 6, 0, 1, 11, 1, 0, 3, 7, 6, 8, 0, 0, 1, 0, 1, 1, 3, 0, 1, 49, 3, 2, 1, 2, 1.0, 1.0, 3.0, 0, 1, 1, 0, 1, 0, 2, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 33.33, 33.33, 100.0, 66.6875, 100.0, 100.0, 0, 100.0, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 5.0, 2.0, 27.0, 11.0, 9.0, "Tous les candidats", 6.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "32448", "Mention complémentaire - FCIL Santé et bien être de la personne âgée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32448&g_ta_cod=32448", 33.0, 33.0, 33.0),
(6041, "Public", "0370009J", "Lycée Francois Rabelais", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Chinon", "formation sélective", "BTS", "Lycée Francois Rabelais - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 112, 8, 102, 0, 1, 0, 18, 2, 53, 12, 30, 10, 0, 2, 4, 4, 79, 3, 0, 0, 1, 0, 17, 2, 53, 12, 8, 62, 6, 0, 3, 3, 0.0, 3.0, 4.0, 0, 0, 4, 0, 2, 2, 2, 0, 3, 1, 0, 0, 0.0, 0, 1, 0, 1, 0, 3, 3, 0.0, 50.0, 66.67, 0.0, 75.0, 75.0, 25, 0.0, 66.6875, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 0.0, 1.0, 0.0, 42.0, 10.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 72.0, "4821", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4821&g_ta_cod=4821", 0.0, 33.0, 67.0),
(6042, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 540, 3492, 1055, 3492, 0, 2144, 317, 424, 115, 142, 57, 782, 0, 0, 0, 0, 0, 3471, 0, 0, 0, 2144, 317, 424, 115, 142, 57, 761, 1440, 534, 123, 531, 0, 153.0, 404.0, 459.0, 0, 91, 452, 374, 55, 23, 82, 1, 172, 178, 79, 21, 1.0, 245, 22, 12, 0, 0, 428, 428, 28.65, 75.66, 85.96, 23.0, 94.6875, 94.6875, 0, 20.09765625, 84.59375, 0.199981689453125, 38.09375, 39.3984375, 17.5, 4.6, 0.2, 82.6875, 54.1953125, 12.19921875, 4.8994140625, 5.099609375, 2.69970703125, 924.0, 148.0, 66.0, 34.0, 330.0, "Tous les candidats", 1481.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "8023", "Licence - Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8023&g_ta_cod=8023", 81.0, 13.0, 6.0),
(6043, "Public", "0291660X", "Université de Brest - Site de Quimper", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation non sélective", "Licence", "Université de Brest - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER Anglais", "Licence - Arts-lettres-langues", "LLCER Anglais : Université de Brest - Site de Quimper", 80, 528, 409, 481, 0, 367, 69, 20, 6, 10, 3, 84, 47, 11, 4, 2, 30, 481, 46, 0, 0, 367, 69, 20, 6, 10, 3, 84, 426, 33, 23, 26, 7, 4.0, 26.0, 31.0, 0, 11, 25, 23, 2, 0, 8, 0, 8, 11, 4, 2, 0.0, 16, 1, 0, 0, 0, 19, 19, 12.12, 78.79, 93.94, 69.6875, 76.0, 76.0, 0, 44.0, 75.796875, 0.0, 32.0, 44.0, 16.0, 8.0, 0.0, 92.0, 64.0, 8.0, 4.0, 0.0, 0.0, 300.0, 59.0, 9.0, 3.0, 98.0, "Tous les candidats", 1007.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28643", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28642&g_ta_cod=28643", 82.0, 12.0, 6.0),
(6044, "Public", "0380089R", "Lycée Portes De L'Oisans", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vizille", "formation sélective", "BTS", "Lycée Portes De L'Oisans - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 13, 132, 9, 103, 0, 5, 0, 38, 11, 39, 8, 21, 29, 0, 16, 5, 8, 49, 3, 0, 0, 3, 0, 19, 3, 24, 5, 3, 40, 10, 1, 7, 2, 4.0, 7.0, 8.0, 0, 3, 8, 0, 5, 3, 2, 0, 3, 2, 2, 0, 1.0, 0, 2, 3, 5, 0, 7, 7, 40.0, 70.0, 80.0, 10.0, 87.5, 87.5, 62.5, 37.5, 80.0, 0.0, 37.5, 25.0, 25.0, 0.0, 12.5, 0.0, 0.0, 62.5, 25.0, 37.5, 37.5, 2.0, 0.0, 20.0, 4.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 46.0, "4954", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4954&g_ta_cod=4954", 0.0, 60.0, 40.0),
(6045, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol - Mineure Portugais", "Licence - Arts-lettres-langues", "Espagnol - Mineure Portugais", 14, 55, 43, 43, 0, 33, 5, 3, 0, 0, 0, 7, 12, 3, 1, 0, 8, 43, 12, 0, 0, 33, 5, 3, 0, 0, 0, 7, 49, 14, 11, 8, 6, 1.0, 8.0, 12.0, 0, 2, 10, 9, 1, 0, 4, 0, 4, 6, 0, 0, 0.0, 5, 1, 0, 0, 0, 3, 10, 7.14, 57.14, 85.71, 78.59375, 30.0, 100.0, 0, 20.0, 71.390625, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 90.0, 50.0, 10.0, 10.0, 0.0, 0.0, 32.0, 7.0, 0.0, 0.0, 14.0, "Tous les candidats", 42.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "24056", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol - Mineure Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24056&g_ta_cod=24056", 86.0, 14.0, 0.0),
(6046, "Public", "0520028Y", "Lycée Blaise Pascal", "52", "Haute-Marne", "Grand Est", "Reims", "Saint-Dizier", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 108, 7, 101, 0, 3, 1, 20, 7, 52, 18, 26, 7, 0, 1, 2, 4, 79, 4, 0, 0, 3, 1, 19, 6, 52, 18, 5, 47, 15, 0, 11, 4, 4.0, 9.0, 10.0, 0, 5, 12, 0, 2, 10, 3, 0, 6, 5, 1, 0, 0.0, 0, 1, 5, 2, 0, 11, 11, 26.67, 60.0, 66.67, 0.0, 91.6875, 91.6875, 16.69921875, 41.6953125, 80.0, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 0.0, 0.0, 16.69921875, 8.298828125, 83.296875, 41.6953125, 3.0, 1.0, 24.0, 8.0, 4.0, "Tous les candidats sauf les Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 47.0, "6175", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6175&g_ta_cod=6175", 0.0, 27.0, 73.0),
(6047, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence_Las", "Université Jean Moulin Lyon 3 - Licence - Portail Droit.", "Licence - Droit-économie-gestion", "Droit.", 60, 2035, 1518, 2035, 0, 1140, 277, 149, 57, 50, 28, 696, 0, 0, 0, 0, 0, 2016, 0, 0, 0, 1140, 277, 149, 57, 50, 28, 677, 467, 53, 45, 53, 0, 2.0, 25.0, 39.0, 0, 8, 28, 28, 0, 0, 25, 0, 8, 10, 4, 6, 0.0, 20, 0, 0, 0, 0, 20, 20, 3.77, 47.17, 73.58, 84.890625, 71.390625, 71.390625, 0, 28.59765625, 52.796875, 0.0, 28.59765625, 35.6953125, 14.298828125, 21.4, 0.0, 100.0, 71.390625, 0.0, 0.0, 0.0, 0.0, 270.0, 69.0, 10.0, 7.0, 172.0, "Tous les candidats", 2864.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "28564", "Licence - Portail Droit.", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28563&g_ta_cod=28564", 100.0, 0.0, 0.0),
(6048, "Privé sous contrat d'association", "0331591A", "Lycée Bel Orme", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Bel Orme - BTS - Services - Economie sociale familiale", "BTS - Services", "", 33, 624, 550, 620, 0, 95, 25, 162, 38, 170, 60, 193, 4, 0, 1, 2, 1, 367, 3, 0, 0, 75, 20, 133, 33, 101, 34, 58, 163, 28, 26, 28, 0, 3.0, 19.0, 23.0, 0, 7, 26, 8, 11, 7, 2, 0, 9, 13, 4, 0, 0.0, 5, 7, 5, 4, 3, 19, 19, 10.71, 67.86, 82.14, 92.890625, 73.09375, 73.09375, 15.3984375, 26.8984375, 92.890625, 0.0, 34.59375, 50.0, 15.3984375, 0.0, 0.0, 30.796875, 19.19921875, 42.296875, 26.8984375, 26.8984375, 19.19921875, 27.0, 7.0, 57.0, 22.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 98, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 36.0, "4362", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4362&g_ta_cod=4362", 36.0, 39.0, 25.0),
(6049, "Public", "0831453D", "Lycée des Métiers d'Hôtellerie et Tourisme Anne-Sophie Pic", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Autre formation", "Lycée des Métiers d'Hôtellerie et Tourisme Anne-Sophie Pic - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 341, 205, 335, 0, 147, 25, 55, 16, 16, 7, 117, 6, 1, 0, 1, 4, 241, 2, 0, 0, 126, 20, 41, 12, 8, 3, 66, 141, 22, 13, 21, 1, 3.0, 15.0, 21.0, 0, 2, 14, 7, 5, 2, 8, 0, 6, 7, 1, 0, 0.0, 4, 2, 2, 0, 0, 9, 9, 13.64, 68.18, 95.45, 59.09375, 64.296875, 64.296875, 0, 14.298828125, 63.59375, 0.0, 42.8984375, 50.0, 7.099609375, 0.0, 0.0, 50.0, 28.59765625, 35.6953125, 14.298828125, 14.298828125, 14.298828125, 64.0, 8.0, 7.0, 2.0, 38.0, "Tous les candidats", 239.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "10395", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10395&g_ta_cod=10395", 50.0, 36.0, 14.0),
(6050, "Privé sous contrat d'association", "0030935A", "ES Vichy", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Vichy", "formation sélective", "BTS", "ES Vichy - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 294, 126, 278, 0, 44, 5, 79, 22, 86, 34, 69, 16, 4, 6, 0, 6, 148, 1, 0, 0, 19, 3, 51, 11, 61, 24, 17, 85, 23, 8, 22, 1, 3.0, 20.0, 23.0, 0, 7, 20, 4, 5, 11, 3, 0, 5, 10, 5, 0, 0.0, 2, 3, 10, 0, 0, 16, 16, 13.04, 86.96, 100.0, 34.796875, 80.0, 80.0, 0, 35.0, 87.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 20.0, 10.0, 25.0, 15.0, 55.0, 50.0, 14.0, 3.0, 30.0, 11.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 43.0, "2148", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2148&g_ta_cod=2148", 30.0, 22.0, 48.0),
(6051, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Philosophie", "Licence - Sciences humaines et sociales", "", 160, 765, 444, 607, 0, 377, 93, 44, 8, 16, 6, 170, 158, 19, 17, 3, 119, 607, 149, 0, 0, 377, 93, 44, 8, 16, 6, 170, 756, 111, 57, 77, 34, 76.0, 76.0, 99.0, 0, 7, 43, 36, 6, 1, 68, 1, 13, 23, 4, 2, 0.0, 25, 3, 1, 0, 0, 28, 28, 68.47, 68.47, 89.19, 51.3984375, 65.09375, 65.09375, 0, 16.296875, 38.6953125, 2.2998046875, 30.19921875, 53.5, 9.298828125, 4.7, 0.0, 83.6875, 58.09375, 14.0, 7.0, 2.2998046875, 2.2998046875, 395.0, 95.0, 19.0, 9.0, 281.0, "Tous les candidats", 607.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5579", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5579&g_ta_cod=5579", 80.0, 14.0, 3.0),
(6052, "Public", "0332194F", "Lycée des métiers Condorcet Arcachon", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Arcachon", "formation sélective", "BTS", "Lycée des métiers Condorcet Arcachon - BTS - Services - Tourisme", "BTS - Services", "", 35, 820, 607, 812, 0, 208, 45, 163, 44, 137, 49, 304, 8, 0, 2, 0, 6, 470, 6, 0, 0, 143, 26, 98, 22, 137, 49, 92, 244, 27, 25, 26, 1, 5.0, 20.0, 23.0, 0, 5, 20, 6, 4, 10, 7, 0, 9, 8, 3, 0, 0.0, 3, 1, 7, 6, 6, 16, 16, 18.52, 74.07, 85.19, 92.59375, 80.0, 80.0, 30, 25.0, 74.09375, 0.0, 45.0, 40.0, 15.0, 0.0, 0.0, 30.0, 15.0, 20.0, 5.0, 50.0, 35.0, 60.0, 15.0, 78.0, 21.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 141.0, "Bacheliers professionnels toutes séries", 104, "Bacheliers technologiques toutes séries", 110, "Liste d'appel propre à cette formation", 44.0, "12344", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12344&g_ta_cod=12344", 33.0, 22.0, 44.0),
(6053, "Privé enseignement supérieur", "0333415H", "ELISA Aerospace Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Saint-Jean-d'Illac", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 70, 2091, 455, 2090, 0, 2081, 174, 0, 0, 0, 0, 9, 1, 1, 0, 0, 0, 1730, 1, 0, 0, 1730, 126, 0, 0, 0, 0, 0, 1345, 57, 13, 57, 0, 35.0, 57.0, 57.0, 0, 5, 57, 57, 0, 0, 0, 0, 2, 28, 22, 5, 0.0, 55, 0, 0, 0, 0, 12, 12, 61.4, 100.0, 100.0, 22.796875, 21.09765625, 21.09765625, 0, 8.798828125, 100.0, 0.0, 3.5, 49.09375, 38.59375, 8.8, 0.0, 100.0, 96.5, 0.0, 0.0, 0.0, 0.0, 1345.0, 94.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "22808", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=22808", 100.0, 0.0, 0.0),
(6054, "Public", "0540042C", "Lycée Henri Loritz", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Henri Loritz - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 201, 14, 199, 0, 26, 3, 117, 27, 24, 7, 32, 2, 1, 0, 0, 1, 183, 1, 0, 0, 24, 3, 115, 26, 24, 7, 20, 63, 14, 0, 14, 0, 4.0, 10.0, 11.0, 0, 2, 13, 0, 12, 1, 1, 0, 5, 6, 2, 0, 0.0, 0, 7, 1, 8, 0, 13, 13, 28.57, 71.43, 78.57, 0.0, 100.0, 100.0, 61.5, 15.3984375, 92.890625, 0.0, 38.5, 46.1953125, 15.3984375, 0.0, 0.0, 0.0, 0.0, 92.296875, 53.796875, 7.69921875, 7.69921875, 9.0, 4.0, 5.0, 2.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 46.0, "6267", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6267&g_ta_cod=6267", 7.0, 86.0, 7.0),
(6055, "Public", "0912414E", "Ecole Universitaire de premier cycle - Campus d'Evry Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation non sélective", "Licence", "Ecole Universitaire de premier cycle - Campus d'Evry Université Paris-Saclay - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 210, 1013, 749, 936, 0, 467, 135, 142, 57, 48, 23, 279, 77, 21, 9, 7, 40, 936, 77, 0, 0, 467, 135, 142, 57, 48, 23, 279, 836, 207, 146, 172, 34, 30.0, 153.0, 173.0, 0, 54, 138, 75, 44, 19, 69, 0, 88, 41, 8, 1, 0.0, 27, 15, 8, 0, 0, 95, 128, 14.49, 73.91, 83.57, 70.5, 68.796875, 92.796875, 0, 39.09375, 66.6875, 0.0, 63.796875, 29.69921875, 5.7998046875, 0.7, 0.0, 54.296875, 19.59765625, 31.8984375, 10.8984375, 13.798828125, 5.7998046875, 407.0, 112.0, 53.0, 27.0, 232.0, "Tous les candidats", 933.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10952", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10952&g_ta_cod=10952", 52.0, 33.0, 14.0),
(6056, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Licence - Double diplôme - Licence Chimie -  Chimie - Cursus intégré franco-allemand avec l'Université de Bielefeld", "Licence - Sciences - technologies - santé", "Chimie - Cursus intégré franco-allemand avec l'Université de Bielefeld", 15, 271, 174, 157, 0, 102, 10, 1, 0, 0, 0, 54, 114, 32, 2, 1, 79, 93, 7, 0, 0, 75, 5, 1, 0, 0, 0, 17, 81, 6, 4, 4, 2, 1.0, 4.0, 6.0, 0, 1, 4, 4, 0, 0, 2, 0, 0, 2, 2, 0, 0.0, 4, 0, 0, 0, 0, 0, 3, 16.67, 66.67, 100.0, 66.6875, 0.0, 75.0, 0, 25.0, 66.6875, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 64.0, 5.0, 0.0, 0.0, 17.0, "Tous les candidats", 93.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "15787", "Licence - Double diplôme - Licence Chimie -  Chimie - Cursus intégré franco-allemand avec l'Université de Bielefeld", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15787&g_ta_cod=15787", 100.0, 0.0, 0.0),
(6057, "Public", "0121235C", "IFSI CH Rodez", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "IFSI", "Regroupement d'IFSI Université Toulouse - D.E Infirmier", "D.E secteur sanitaire", "", 58, 6213, 5231, 6213, 0, 914, 184, 1122, 317, 797, 298, 3380, 0, 0, 0, 0, 0, 3864, 0, 0, 0, 826, 157, 760, 201, 444, 158, 1834, 877, 58, 49, 58, 0, 0.0, 22.0, 47.0, 0, 8, 32, 20, 9, 3, 26, 0, 3, 18, 10, 1, 0.0, 17, 9, 3, 0, 0, 28, 28, 0.0, 37.93, 81.03, 84.5, 87.5, 87.5, 0, 25.0, 55.1953125, 0.0, 9.3984375, 56.296875, 31.296875, 3.1, 0.0, 62.5, 53.09375, 28.09765625, 28.09765625, 9.3984375, 9.3984375, 313.0, 55.0, 53.0, 23.0, 417.0, "Tous les candidats", 2910.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "23249", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22985&g_ta_cod=23249", 72.0, 22.0, 5.0),
(6058, "Public", "0441513F", "Unite de formation et de recherches Médecine et techniques médicales Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Regroupement Bretagne, Pays de la Loire et Centre-Val de Loire - Certificat de capacité d'Orthoptiste", "D.E secteur sanitaire", "", 20, 600, 526, 600, 0, 148, 31, 24, 9, 1, 0, 427, 0, 0, 0, 0, 0, 428, 0, 0, 0, 92, 17, 10, 3, 1, 0, 325, 124, 23, 21, 23, 0, 1.0, 12.0, 14.0, 0, 3, 7, 7, 0, 0, 16, 0, 0, 2, 5, 0, 0.0, 7, 0, 0, 0, 0, 4, 4, 4.35, 52.17, 60.87, 91.296875, 57.09375, 57.09375, 0, 42.8984375, 30.3984375, 0.0, 0.0, 28.59765625, 71.390625, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 41.0, 10.0, 0.0, 0.0, 81.0, "Tous les candidats", 168.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "28083", "Certificat de capacité d'Orthoptiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28083&g_ta_cod=28083", 91.0, 0.0, 9.0),
(6059, "Privé sous contrat d'association", "0132193N", "Lycée professionnel Edmond Rostand", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Edmond Rostand - Mention complémentaire - FCIL secrétariat médical", "Mention complémentaire", "", 12, 70, 69, 66, 0, 4, 1, 7, 3, 42, 24, 13, 4, 0, 0, 1, 3, 50, 0, 0, 0, 4, 1, 6, 3, 30, 15, 10, 38, 10, 10, 9, 0, 4.0, 8.0, 9.0, 0, 2, 6, 1, 0, 5, 4, 0, 2, 3, 1, 0, 0.0, 1, 0, 3, 0, 0, 5, 5, 40.0, 80.0, 90.0, 100.0, 83.296875, 83.296875, 0, 33.296875, 60.0, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 16.69921875, 16.69921875, 0.0, 0.0, 83.296875, 50.0, 4.0, 1.0, 16.0, 6.0, 13.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "27790", "Mention complémentaire - FCIL secrétariat médical", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27790&g_ta_cod=27790", 10.0, 20.0, 70.0),
(6060, "Public", "0590302H", "Centre de Ressources, d'Expertise et de Performance Sportive de Wattignies (CREPS)", "59", "Nord", "Hauts-de-France", "Lille", "Wattignies", "formation sélective", "Autre formation", "CREPS de Wattignies - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 22, 337, 71, 337, 0, 81, 16, 68, 23, 76, 29, 112, 0, 0, 0, 0, 0, 41, 0, 0, 0, 10, 1, 6, 1, 10, 1, 15, 31, 21, 3, 21, 0, 14.0, 20.0, 20.0, 0, 2, 13, 7, 3, 3, 8, 0, 8, 2, 3, 0, 0.0, 3, 1, 1, 0, 0, 12, 12, 66.67, 95.24, 95.24, 14.298828125, 92.296875, 92.296875, 0, 15.3984375, 61.8984375, 0.0, 61.5, 15.3984375, 23.09765625, 0.0, 0.0, 53.796875, 23.09765625, 23.09765625, 7.69921875, 23.09765625, 7.69921875, 10.0, 1.0, 6.0, 1.0, 11.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "21332", "BPJEPS - Activités physiques pour tous", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21332&g_ta_cod=21332", 48.0, 24.0, 29.0),
(6061, "Public", "0180923F", "Centre de Ressources, d'Expertise et de Performance Sportive du Centre (CREPS)", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "Autre formation", "CREPS du Centre - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 4, 35, 8, 27, 0, 9, 2, 7, 2, 4, 0, 7, 8, 3, 2, 0, 3, 8, 1, 0, 0, 5, 1, 1, 0, 0, 0, 2, 8, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 4.0, 1.0, 0.0, 0.0, 3.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "23550", "BPJEPS - Activités aquatiques et de la natation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23550&g_ta_cod=23550", 100.0, 0.0, 0.0),
(6062, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Sciences de l'éducation - Parcours Accompagnement socio-éducatif et formation", "Licence - Sciences humaines et sociales", "Accompagnement socio-éducatif et formation", 76, 1097, 971, 1097, 0, 456, 115, 155, 54, 59, 22, 427, 0, 0, 0, 0, 0, 1097, 0, 0, 0, 456, 115, 155, 54, 59, 22, 427, 288, 73, 64, 73, 0, 9.0, 55.0, 65.0, 0, 9, 35, 22, 9, 4, 38, 1, 12, 18, 4, 0, 0.0, 15, 4, 3, 0, 0, 20, 32, 12.33, 75.34, 89.04, 87.6875, 57.09375, 91.390625, 0, 25.69921875, 47.8984375, 2.89990234375, 34.296875, 51.3984375, 11.3984375, 0.0, 0.0, 62.8984375, 42.8984375, 25.69921875, 11.3984375, 11.3984375, 8.599609375, 123.0, 31.0, 11.0, 3.0, 112.0, "Tous les candidats", 383.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "19088", "Licence - Sciences de l'éducation - Parcours Accompagnement socio-éducatif et formation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19088&g_ta_cod=19088", 59.0, 22.0, 19.0),
(6063, "Public", "0470947Z", "Université de Bordeaux - Antenne d'Agen", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Droit", "Licence - Droit-économie-gestion", "Université de Bordeaux - Antenne d'Agen", 220, 3256, 2414, 3158, 0, 2342, 509, 270, 87, 61, 25, 485, 98, 22, 5, 5, 66, 3135, 92, 0, 0, 2342, 509, 270, 87, 61, 25, 462, 1657, 190, 136, 161, 29, 9.0, 140.0, 173.0, 0, 33, 146, 123, 17, 6, 44, 1, 44, 61, 35, 5, 0.0, 87, 11, 3, 0, 0, 116, 116, 4.74, 73.68, 91.05, 71.59375, 79.5, 79.5, 0, 22.59765625, 76.796875, 0.699951171875, 30.09765625, 41.796875, 24.0, 3.4, 0.0, 84.1875, 59.59375, 11.599609375, 7.5, 4.099609375, 2.099609375, 1162.0, 235.0, 36.0, 20.0, 318.0, "Tous les candidats", 9856.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "26328", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26327&g_ta_cod=26328", 80.0, 13.0, 6.0),
(6064, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 85, 1068, 473, 1062, 0, 674, 122, 89, 24, 42, 14, 257, 6, 0, 0, 0, 6, 1062, 2, 0, 0, 674, 122, 89, 24, 42, 14, 257, 604, 85, 29, 80, 1, 2.0, 62.0, 71.0, 0, 13, 59, 47, 9, 3, 26, 1, 28, 23, 7, 0, 0.0, 25, 4, 1, 0, 0, 38, 53, 2.35, 72.94, 83.53, 34.09375, 64.390625, 89.796875, 0, 22.0, 69.390625, 1.699951171875, 47.5, 39.0, 11.8984375, 0.0, 0.0, 79.6875, 42.3984375, 15.298828125, 6.7998046875, 5.099609375, 1.699951171875, 408.0, 77.0, 14.0, 5.0, 136.0, "Tous les candidats", 952.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "11084", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11084&g_ta_cod=11084", 74.0, 18.0, 8.0),
(6065, "Public", "0142133T", "Lycée P. S. De Laplace", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée P. S. De Laplace - BTS - Production - Développement et Réalisation Bois", "BTS - Production", "", 12, 201, 26, 201, 0, 19, 3, 44, 9, 107, 22, 31, 0, 0, 0, 0, 0, 183, 0, 0, 0, 18, 3, 41, 8, 105, 21, 19, 51, 12, 1, 12, 0, 2.0, 7.0, 11.0, 0, 0, 12, 1, 3, 8, 0, 0, 2, 3, 6, 1, 0.0, 0, 2, 8, 3, 0, 9, 9, 16.67, 58.33, 91.67, 8.298828125, 75.0, 75.0, 25, 0.0, 100.0, 0.0, 16.69921875, 25.0, 50.0, 8.3, 0.0, 8.298828125, 0.0, 25.0, 16.69921875, 66.6875, 66.6875, 6.0, 1.0, 25.0, 7.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 32.0, "2934", "BTS - Production - Développement et Réalisation Bois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2934&g_ta_cod=2934", 8.0, 25.0, 67.0),
(6066, "Public", "0271634E", "Lycée Jean-Baptiste Decretot", "27", "Eure", "Normandie", "Normandie", "Louviers", "formation sélective", "Autre formation", "Lycée Jean-Baptiste Decretot - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 173, 89, 142, 0, 51, 10, 20, 7, 8, 3, 63, 31, 5, 3, 6, 17, 90, 20, 0, 0, 46, 8, 18, 6, 7, 3, 19, 97, 20, 11, 14, 6, 2.0, 13.0, 18.0, 0, 7, 15, 9, 2, 4, 5, 3, 6, 3, 1, 2, 0.0, 3, 0, 3, 0, 0, 10, 10, 10.0, 65.0, 90.0, 55.0, 66.6875, 66.6875, 0, 46.6953125, 75.0, 20.0, 40.0, 20.0, 6.69921875, 13.3, 0.0, 60.0, 20.0, 13.298828125, 0.0, 26.69921875, 20.0, 42.0, 5.0, 10.0, 5.0, 27.0, "Tous les candidats", 90.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "3714", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3714&g_ta_cod=3714", 65.0, 10.0, 25.0),
(6067, "Privé sous contrat d'association", "0690564N", "Institution des Chartreux", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "CPGE", "Institution des Chartreux - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 18, 1359, 638, 1359, 1008, 1241, 58, 1, 1, 0, 0, 117, 0, 0, 0, 0, 0, 446, 0, 386, 386, 443, 17, 0, 0, 0, 0, 3, 157, 19, 6, 19, 0, 1.0, 11.0, 19.0, 15, 1, 19, 19, 0, 0, 0, 0, 0, 0, 8, 10, 1.0, 19, 0, 0, 3, 1, 7, 7, 5.26, 57.89, 100.0, 31.59765625, 36.796875, 36.796875, 15.798828125, 5.2998046875, 100.0, 0.0, 0.0, 0.0, 42.09375, 52.6, 5.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 157.0, 5.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "31478", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31320&g_ta_cod=31478", 100.0, 0.0, 0.0),
(6068, "Public", "0610021S", "Lycée Jean Guehenno", "61", "Orne", "Normandie", "Normandie", "Flers", "formation sélective", "BTS", "Lycée Jean Guehenno - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 6, 44, 5, 39, 0, 1, 1, 8, 2, 26, 5, 4, 5, 0, 1, 4, 0, 35, 3, 0, 0, 1, 1, 8, 2, 25, 4, 1, 24, 5, 1, 3, 2, 0.0, 3.0, 5.0, 0, 0, 5, 0, 3, 2, 0, 0, 3, 2, 0, 0, 0.0, 0, 0, 2, 3, 0, 4, 4, 0.0, 60.0, 100.0, 20.0, 80.0, 80.0, 60, 0.0, 100.0, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 60.0, 0.0, 40.0, 40.0, 1.0, 1.0, 15.0, 3.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 85.0, "7301", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7301&g_ta_cod=7301", 0.0, 60.0, 40.0),
(6069, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Psychologie - Parcours Psychologie à distance", "Licence - Sciences humaines et sociales", "Psychologie à distance", 223, 3315, 2732, 3315, 0, 765, 219, 186, 65, 103, 37, 2261, 0, 0, 0, 0, 0, 3234, 0, 0, 0, 765, 219, 186, 65, 103, 37, 2180, 873, 223, 196, 223, 0, 28.0, 141.0, 165.0, 0, 29, 108, 80, 17, 11, 115, 1, 33, 47, 21, 6, 0.0, 53, 11, 10, 0, 0, 22, 22, 12.56, 63.23, 73.99, 87.890625, 20.3984375, 20.3984375, 0, 26.8984375, 48.3984375, 0.89990234375, 30.59765625, 43.5, 19.3984375, 5.6, 0.0, 74.09375, 49.09375, 15.69921875, 10.19921875, 10.19921875, 9.298828125, 442.0, 112.0, 52.0, 18.0, 304.0, "Tous les candidats", 1063.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "24013", "Licence - Psychologie - Parcours Psychologie à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24013&g_ta_cod=24013", 75.0, 11.0, 11.0),
(6070, "Public", "0291541T", "IFSI Quimper", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bretagne Occidentale - D.E Infirmier", "D.E secteur sanitaire", "", 84, 2500, 2114, 2500, 0, 510, 70, 536, 119, 272, 78, 1182, 0, 0, 0, 0, 0, 2188, 0, 0, 0, 489, 61, 486, 100, 231, 64, 982, 566, 92, 81, 92, 0, 3.0, 65.0, 81.0, 0, 8, 64, 21, 28, 15, 28, 0, 5, 32, 21, 6, 0.0, 20, 25, 14, 0, 0, 60, 60, 3.26, 70.65, 88.04, 88.0, 93.796875, 93.796875, 0, 12.5, 69.59375, 0.0, 7.7998046875, 50.0, 32.796875, 9.4, 0.0, 32.796875, 31.296875, 43.796875, 39.09375, 23.3984375, 21.8984375, 172.0, 18.0, 57.0, 15.0, 158.0, "Tous les candidats", 808.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "23389", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23376&g_ta_cod=23389", 39.0, 40.0, 21.0),
(6071, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Lettres - Parcours Lettres - Mineure Littératures", "Licence - Arts-lettres-langues", "Lettres - Mineure Littératures", 320, 1101, 831, 571, 0, 312, 61, 8, 1, 26, 13, 225, 530, 125, 32, 21, 352, 571, 515, 0, 0, 312, 61, 8, 1, 26, 13, 225, 1064, 314, 214, 94, 220, 36.0, 93.0, 230.0, 0, 43, 130, 94, 19, 17, 184, 1, 68, 44, 14, 3, 0.0, 42, 6, 13, 0, 0, 27, 103, 11.46, 29.62, 73.25, 68.1875, 20.796875, 79.1875, 0, 33.09375, 41.3984375, 0.7999267578125, 52.296875, 33.796875, 10.798828125, 2.3, 0.0, 72.296875, 32.296875, 14.599609375, 4.599609375, 13.099609375, 10.0, 430.0, 96.0, 44.0, 24.0, 552.0, "Tous les candidats", 571.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "17372", "Licence - Lettres - Parcours Lettres - Mineure Littératures", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17372&g_ta_cod=17372", 72.0, 13.0, 14.0),
(6072, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Perrin - BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "BTS - Production", "", 15, 66, 10, 54, 0, 3, 0, 5, 0, 28, 15, 18, 12, 0, 2, 3, 7, 49, 4, 0, 0, 3, 0, 4, 0, 26, 13, 16, 39, 10, 2, 9, 1, 1.0, 9.0, 10.0, 0, 5, 7, 0, 0, 7, 3, 0, 5, 2, 0, 0, 0.0, 0, 0, 2, 3, 0, 6, 6, 10.0, 90.0, 100.0, 20.0, 85.6875, 85.6875, 42.8984375, 71.390625, 70.0, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 28.59765625, 2.0, 0.0, 22.0, 12.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 80.0, "2604", "BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2604&g_ta_cod=2604", 30.0, 0.0, 70.0),
(6073, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "CPGE", "Lycée Jean Perrin - CPGE - PTSI", "Classe préparatoire scientifique", "", 96, 900, 191, 900, 553, 704, 99, 3, 2, 0, 0, 193, 0, 0, 0, 0, 0, 783, 0, 553, 618, 666, 84, 2, 1, 0, 0, 115, 403, 98, 7, 98, 0, 4.0, 71.0, 97.0, 15, 15, 97, 97, 0, 0, 1, 0, 0, 30, 59, 8, 0.0, 97, 0, 0, 13, 1, 92, 92, 4.08, 72.45, 98.98, 7.099609375, 94.796875, 94.796875, 13.3984375, 15.5, 99.0, 0.0, 0.0, 30.8984375, 60.796875, 8.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 387.0, 48.0, 0.0, 0.0, 16.0, "Tous les candidats", 563.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "2595", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2595&g_ta_cod=2595", 100.0, 0.0, 0.0),
(6074, "Public", "0930125F", "Lycée Paul Eluard", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BTS", "Lycée Paul Eluard - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 33, 2488, 1325, 2488, 0, 204, 90, 609, 313, 787, 413, 888, 0, 0, 0, 0, 0, 564, 0, 0, 0, 72, 30, 112, 54, 322, 171, 58, 155, 28, 9, 28, 0, 5.0, 20.0, 27.0, 0, 9, 21, 7, 5, 9, 7, 0, 10, 10, 0, 1, 0.0, 3, 1, 7, 1, 1, 13, 21, 17.86, 71.43, 96.43, 32.09375, 61.8984375, 100.0, 4.7998046875, 42.8984375, 75.0, 0.0, 47.59375, 47.59375, 0.0, 4.8, 0.0, 33.296875, 14.298828125, 23.796875, 4.7998046875, 42.8984375, 33.296875, 33.0, 15.0, 29.0, 18.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 135, "Liste d'appel propre à cette formation", 10.0, "11195", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11195&g_ta_cod=11195", 25.0, 29.0, 46.0),
(6075, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Physique, chimie - Parcours International", "Licence - Sciences - technologies - santé", "International", 12, 468, 250, 344, 0, 237, 39, 6, 3, 0, 0, 101, 124, 45, 3, 1, 75, 120, 10, 0, 0, 101, 13, 0, 0, 0, 0, 19, 92, 9, 5, 4, 5, 0.0, 3.0, 7.0, 0, 0, 4, 4, 0, 0, 5, 0, 0, 1, 2, 1, 0.0, 4, 0, 0, 0, 0, 2, 2, 0.0, 33.33, 77.78, 55.59375, 50.0, 50.0, 0, 0.0, 44.3984375, 0.0, 0.0, 25.0, 50.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 68.0, 8.0, 0.0, 0.0, 24.0, "Tous les candidats", 120.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "26339", "Licence - Physique, chimie - Parcours International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26339&g_ta_cod=26339", 100.0, 0.0, 0.0),
(6076, "Public", "0640001D", "Lycée Cantau", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation sélective", "Autre formation", "Lycée Cantau - DN MADE - Espace - - Spécialité : Questionner durablement les différentes échelles et usages du  territoire : événementiel, architecture, paysage", "DN MADE", "- Spécialité : Questionner durablement les différentes échelles et usages du  territoire : événementiel, architecture, paysage", 15, 509, 427, 509, 0, 194, 25, 157, 31, 35, 8, 123, 0, 0, 0, 0, 0, 300, 0, 0, 0, 161, 16, 108, 21, 4, 0, 27, 61, 15, 14, 15, 0, 1.0, 12.0, 14.0, 0, 1, 15, 10, 5, 0, 0, 0, 1, 6, 8, 0, 0.0, 9, 5, 0, 0, 0, 7, 7, 6.67, 80.0, 93.33, 93.296875, 46.6953125, 46.6953125, 0, 6.69921875, 100.0, 0.0, 6.69921875, 40.0, 53.296875, 0.0, 0.0, 66.6875, 60.0, 33.296875, 33.296875, 0.0, 0.0, 31.0, 5.0, 0.0, 0.0, 0.0, "Tous les candidats", 101.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "24290", "DN MADE - Espace - - Spécialité : Questionner durablement les différentes échelles et usages du  territoire : événementiel, architecture, paysage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24290&g_ta_cod=24290", 67.0, 33.0, 0.0),
(6077, "Public", "0940118T", "Lycée Louis Armand", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Nogent-sur-Marne", "formation sélective", "BTS", "Lycée Louis Armand - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 22, 378, 30, 378, 0, 29, 12, 74, 26, 154, 69, 121, 0, 0, 0, 0, 0, 378, 0, 0, 0, 29, 12, 74, 26, 154, 69, 121, 103, 25, 0, 25, 0, 2.0, 17.0, 21.0, 0, 4, 15, 0, 3, 12, 10, 0, 2, 12, 1, 0, 0.0, 0, 3, 10, 3, 0, 14, 15, 8.0, 68.0, 84.0, 0.0, 93.296875, 100.0, 20, 26.69921875, 60.0, 0.0, 13.298828125, 80.0, 6.69921875, 0.0, 0.0, 0.0, 0.0, 20.0, 20.0, 80.0, 66.6875, 3.0, 3.0, 62.0, 28.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 84, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 32.0, "11384", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11384&g_ta_cod=11384", 8.0, 44.0, 48.0),
(6078, "Public", "0930120A", "Lycée Jacques Feyder", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Epinay-sur-Seine", "formation sélective", "BTS", "Lycée Jacques Feyder - BTS - Services - Tourisme", "BTS - Services", "", 33, 1170, 934, 1170, 0, 137, 56, 225, 118, 407, 244, 401, 0, 0, 0, 0, 0, 1170, 0, 0, 0, 137, 56, 225, 118, 407, 244, 401, 212, 35, 25, 35, 0, 2.0, 23.0, 29.0, 0, 14, 27, 7, 7, 13, 8, 1, 10, 13, 2, 1, 0.0, 3, 5, 8, 1, 1, 12, 25, 5.71, 65.71, 82.86, 71.390625, 44.3984375, 92.59375, 3.69970703125, 51.8984375, 77.09375, 3.69970703125, 37.0, 48.09375, 7.3994140625, 3.7, 0.0, 25.8984375, 11.099609375, 25.8984375, 18.5, 48.09375, 29.59765625, 58.0, 33.0, 46.0, 25.0, 49.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 136.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 110, "Liste d'appel propre à cette formation", 27.0, "11175", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11175&g_ta_cod=11175", 31.0, 31.0, 37.0),
(6079, "Public", "0570030Y", "Lycée Blaise Pascal", "57", "Moselle", "Grand Est", "Nancy-Metz", "Forbach", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 214, 93, 208, 0, 28, 12, 59, 30, 50, 21, 71, 6, 0, 2, 0, 4, 156, 0, 0, 0, 23, 9, 55, 27, 46, 19, 32, 81, 19, 7, 17, 0, 4.0, 13.0, 14.0, 0, 7, 12, 1, 4, 7, 7, 0, 5, 5, 1, 1, 0.0, 0, 1, 6, 3, 2, 12, 12, 21.05, 68.42, 73.68, 36.796875, 100.0, 100.0, 25, 58.296875, 63.1953125, 0.0, 41.6953125, 41.6953125, 8.298828125, 8.3, 0.0, 8.298828125, 0.0, 33.296875, 8.298828125, 58.296875, 50.0, 11.0, 7.0, 14.0, 7.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 52.0, "6521", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6521&g_ta_cod=6521", 37.0, 21.0, 42.0),
(6080, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence_Las", "Université de Nantes - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 40, 2665, 2284, 2665, 0, 1430, 267, 277, 81, 59, 26, 899, 0, 0, 0, 0, 0, 2665, 0, 0, 0, 1430, 267, 277, 81, 59, 26, 899, 242, 40, 37, 40, 0, 2.0, 27.0, 35.0, 0, 11, 34, 30, 3, 1, 6, 0, 0, 7, 21, 6, 0.0, 30, 3, 1, 0, 0, 32, 32, 5.0, 67.5, 87.5, 92.5, 94.09375, 94.09375, 0, 32.3984375, 85.0, 0.0, 0.0, 20.59765625, 61.796875, 17.6, 0.0, 88.1875, 88.1875, 8.798828125, 8.798828125, 2.89990234375, 2.89990234375, 190.0, 35.0, 1.0, 0.0, 43.0, "Tous les candidats", 791.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 15.0, "27008", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27007&g_ta_cod=27008", 90.0, 8.0, 3.0),
(6081, "Privé sous contrat d'association", "0801613U", "Lycée Sainte Colette", "80", "Somme", "Hauts-de-France", "Amiens", "Corbie", "formation sélective", "BTS", "Lycée Sainte Colette - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 42, 236, 139, 220, 0, 49, 5, 56, 5, 33, 7, 82, 16, 0, 11, 0, 5, 214, 5, 0, 0, 49, 5, 54, 5, 32, 7, 79, 133, 39, 21, 37, 2, 8.0, 26.0, 36.0, 0, 6, 24, 5, 9, 10, 15, 0, 14, 7, 2, 1, 0.0, 2, 1, 7, 5, 1, 14, 14, 20.51, 66.67, 92.31, 53.796875, 58.296875, 58.296875, 20.796875, 25.0, 61.5, 0.0, 58.296875, 29.19921875, 8.298828125, 4.2, 0.0, 20.796875, 8.298828125, 37.5, 4.19921875, 41.6953125, 29.19921875, 35.0, 4.0, 19.0, 5.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 78.0, "10233", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10233&g_ta_cod=10233", 46.0, 28.0, 26.0),
(6082, "Privé enseignement supérieur", "0061715G", "IPAG Business School - Campus de Nice", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Programme Grande Ecole", 60, 2029, 858, 1995, 0, 1699, 66, 126, 10, 5, 2, 165, 34, 11, 6, 0, 17, 1905, 25, 0, 0, 1650, 57, 103, 6, 1, 1, 151, 1678, 43, 20, 36, 7, 20.0, 36.0, 38.0, 0, 2, 34, 27, 7, 0, 9, 1, 15, 14, 3, 1, 0.0, 16, 2, 0, 0, 0, 20, 20, 46.51, 83.72, 88.37, 46.5, 58.796875, 58.796875, 0, 5.8994140625, 79.09375, 2.89990234375, 44.09375, 41.1953125, 8.798828125, 2.9, 0.0, 79.390625, 47.09375, 20.59765625, 5.8994140625, 0.0, 0.0, 1466.0, 58.0, 1.0, 1.0, 136.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "26115", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26115", 81.0, 19.0, 0.0),
(6083, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "Licence", "ICES - Institut Catholique de Vendée - Licence - Physique, chimie - Parcours Formation d'ingénieur ECAM Rennes", "Licence - Sciences - technologies - santé", "Formation d'ingénieur ECAM Rennes", 25, 65, 14, 54, 0, 41, 4, 0, 0, 0, 0, 13, 11, 5, 0, 0, 6, 54, 3, 0, 0, 41, 4, 0, 0, 0, 0, 13, 55, 3, 0, 2, 1, 1.0, 2.0, 3.0, 0, 1, 2, 2, 0, 0, 1, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 33.33, 66.67, 100.0, 0.0, 0.0, 0.0, 0, 50.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 41.0, 4.0, 0.0, 0.0, 14.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24067", "Licence - Physique, chimie - Parcours Formation d'ingénieur ECAM Rennes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24067&g_ta_cod=24067", 67.0, 33.0, 0.0),
(6084, "Public", "0400002K", "Lycée Gaston Crampe", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Aire-sur-l'Adour", "formation sélective", "BTS", "Lycée Gaston Crampe - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 157, 14, 152, 0, 4, 0, 28, 7, 67, 21, 53, 5, 0, 4, 0, 1, 125, 1, 0, 0, 4, 0, 28, 7, 67, 21, 26, 87, 25, 1, 24, 1, 13.0, 22.0, 23.0, 0, 7, 23, 0, 7, 16, 2, 0, 9, 9, 5, 0, 0.0, 0, 2, 12, 15, 1, 22, 22, 52.0, 88.0, 92.0, 4.0, 95.6875, 95.6875, 65.1875, 30.3984375, 92.0, 0.0, 39.09375, 39.09375, 21.69921875, 0.0, 0.0, 0.0, 0.0, 30.3984375, 8.69921875, 69.59375, 52.1953125, 2.0, 0.0, 48.0, 15.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 74.0, "5198", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5198&g_ta_cod=5198", 0.0, 32.0, 68.0),
(6085, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "Université de Cergy-Pontoise - CY SUP - Diplôme d'Université - PAREO - Passeport pour réussir et s?orienter vers l?Histoire", "Diplôme d'Université", "Passeport pour réussir et s?orienter vers l?Histoire", 25, 39, 15, 20, 0, 6, 2, 8, 3, 5, 0, 1, 19, 1, 8, 3, 7, 20, 15, 0, 0, 6, 2, 8, 3, 5, 0, 1, 35, 8, 2, 3, 5, 3.0, 3.0, 4.0, 0, 1, 7, 1, 4, 2, 1, 0, 4, 3, 0, 0, 0.0, 0, 1, 2, 0, 0, 7, 7, 37.5, 37.5, 50.0, 25.0, 100.0, 100.0, 0, 14.298828125, 87.5, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 14.298828125, 0.0, 57.09375, 14.298828125, 28.59765625, 28.59765625, 7.0, 2.0, 8.0, 0.0, 6.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32703", "Diplôme d'Université - PAREO - Passeport pour réussir et s?orienter vers l?Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32703&g_ta_cod=32703", 13.0, 50.0, 38.0),
(6086, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Portail Physique - Parcours commun Maths Info Physique Chimie Génie Civil", "Licence - Sciences - technologies - santé", "Parcours commun Maths Info Physique Chimie Génie Civil", 32, 269, 90, 233, 0, 152, 26, 5, 3, 0, 0, 76, 36, 9, 0, 1, 26, 228, 29, 0, 0, 152, 26, 5, 3, 0, 0, 71, 199, 13, 0, 9, 4, 0.0, 9.0, 12.0, 0, 1, 5, 5, 0, 0, 8, 0, 2, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 1, 1, 0.0, 69.23, 92.31, 0.0, 20.0, 20.0, 0, 20.0, 38.5, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 0.0, 0.0, 118.0, 21.0, 1.0, 1.0, 77.0, "Tous les candidats", 267.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "20741", "Licence - Portail Physique - Parcours commun Maths Info Physique Chimie Génie Civil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31104&g_ta_cod=20741", 92.0, 8.0, 0.0),
(6087, "Public", "0851390Z", "Lycée Leonard de Vinci", "85", "Vendée", "Pays de la Loire", "Nantes", "Montaigu-Vendée", "formation sélective", "BTS", "Lycée Leonard de Vinci - BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "BTS - Services", "", 8, 799, 227, 799, 0, 413, 59, 78, 22, 76, 16, 232, 0, 0, 0, 0, 0, 54, 0, 0, 0, 32, 2, 1, 0, 10, 2, 11, 16, 8, 6, 8, 0, 4.0, 8.0, 8.0, 0, 0, 7, 7, 0, 0, 1, 0, 0, 0, 6, 1, 0.0, 7, 0, 0, 0, 0, 3, 3, 50.0, 100.0, 100.0, 75.0, 42.8984375, 42.8984375, 0, 0.0, 87.5, 0.0, 0.0, 0.0, 85.6875, 14.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 12.0, 2.0, 1.0, 1.0, 2.0, "Tous les candidats sauf les Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 2.0, "10540", "BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10540&g_ta_cod=10540", 88.0, 0.0, 13.0),
(6088, "Public", "0381819W", "Lycée agricole Agro-Environnemental", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "La Côte-Saint-André", "formation sélective", "BTS", "Lycée agricole Agro-Environnemental - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 20, 268, 114, 261, 0, 24, 5, 63, 11, 40, 7, 134, 7, 1, 2, 1, 3, 130, 3, 0, 0, 23, 4, 59, 9, 38, 7, 10, 95, 8, 2, 7, 1, 2.0, 6.0, 8.0, 0, 2, 6, 1, 3, 2, 2, 0, 2, 2, 2, 0, 0.0, 1, 2, 1, 2, 2, 3, 3, 25.0, 75.0, 100.0, 25.0, 50.0, 50.0, 33.296875, 33.296875, 75.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 16.69921875, 16.69921875, 50.0, 33.296875, 33.296875, 16.69921875, 19.0, 4.0, 32.0, 6.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 50.0, "5009", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5009&g_ta_cod=5009", 38.0, 38.0, 25.0),
(6089, "Privé enseignement supérieur", "0442777E", "Facultés libres de l'ouest - UCO - Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Rezé", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 120, 934, 822, 783, 0, 434, 46, 111, 20, 19, 7, 219, 151, 27, 18, 6, 100, 783, 143, 0, 0, 434, 46, 111, 20, 19, 7, 219, 796, 75, 69, 56, 19, 15.0, 56.0, 70.0, 0, 11, 45, 31, 12, 2, 30, 0, 16, 20, 9, 0, 0.0, 21, 7, 1, 0, 0, 35, 35, 20.0, 74.67, 93.33, 92.0, 77.796875, 77.796875, 0, 24.3984375, 60.0, 0.0, 35.59375, 44.3984375, 20.0, 0.0, 0.0, 68.890625, 46.6953125, 26.69921875, 15.599609375, 4.3994140625, 2.19970703125, 401.0, 39.0, 19.0, 11.0, 263.0, "Tous les candidats", 1056.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "16251", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16251&g_ta_cod=16251", 65.0, 25.0, 9.0),
(6090, "Public", "0754530S", "Lycée Martin-Nadaud", "75", "Paris", "Ile-de-France", "Paris", "Paris 20e  Arrondissement", "formation sélective", "BTS", "Lycée Martin-Nadaud - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 53, 30, 13, 0, 0, 0.0, 0.0, 7.0, 0, 16, 29, 2, 12, 15, 1, 0, 20, 9, 0, 0, 0.0, 1, 2, 6, 2, 1, 29, 29, 0.0, 0.0, 23.33, 43.296875, 100.0, 100.0, 6.8994140625, 55.1953125, 96.6875, 0.0, 69.0, 31.0, 0.0, 0.0, 0.0, 6.8994140625, 3.39990234375, 41.3984375, 6.8994140625, 51.6953125, 20.69921875, 5.0, 1.0, 21.0, 11.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35009", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=35009&g_ta_cod=35009", 7.0, 40.0, 53.0),
(6091, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Histoire de l'art et archéologie - Parcours Histoire de l'art", "Licence - Sciences humaines et sociales", "Histoire de l'art", 125, 812, 607, 649, 0, 368, 53, 60, 12, 16, 6, 205, 163, 17, 11, 8, 127, 636, 76, 0, 0, 368, 53, 60, 12, 16, 6, 192, 526, 100, 76, 74, 26, 8.0, 74.0, 86.0, 0, 6, 50, 46, 3, 1, 50, 1, 14, 15, 15, 4, 1.0, 35, 0, 0, 0, 0, 34, 34, 8.0, 74.0, 86.0, 76.0, 68.0, 68.0, 0, 12.0, 50.0, 2.0, 28.0, 30.0, 30.0, 8.0, 2.0, 92.0, 70.0, 6.0, 0.0, 2.0, 0.0, 260.0, 31.0, 13.0, 5.0, 213.0, "Tous les candidats", 636.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "8073", "Licence - Histoire de l'art et archéologie - Parcours Histoire de l'art", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8073&g_ta_cod=8073", 81.0, 13.0, 5.0),
(6092, "Public", "0540038Y", "Lycée Henri Poincaré", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "CPGE", "Lycée Henri Poincaré - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 779, 411, 779, 446, 639, 59, 2, 0, 1, 0, 137, 0, 0, 0, 0, 0, 616, 0, 351, 559, 570, 49, 0, 0, 0, 0, 46, 195, 22, 11, 22, 0, 1.0, 14.0, 21.0, 3, 1, 21, 21, 0, 0, 1, 0, 0, 0, 12, 8, 1.0, 21, 0, 0, 1, 1, 19, 19, 4.55, 63.64, 95.45, 50.0, 90.5, 90.5, 4.7998046875, 4.7998046875, 95.5, 0.0, 0.0, 0.0, 57.09375, 38.1, 4.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 183.0, 14.0, 0.0, 0.0, 12.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "31639", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31329&g_ta_cod=31639", 100.0, 0.0, 0.0),
(6093, "Public", "0620062F", "Lycée Pierre De Coubertin", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "BTS", "Lycée Pierre De Coubertin - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 59, 777, 240, 767, 0, 30, 8, 46, 15, 91, 48, 600, 10, 0, 1, 7, 2, 209, 4, 0, 0, 30, 8, 46, 15, 91, 48, 42, 112, 46, 5, 42, 4, 11.0, 28.0, 39.0, 0, 21, 37, 5, 9, 23, 9, 0, 13, 15, 6, 3, 0.0, 3, 5, 16, 10, 0, 36, 36, 23.91, 60.87, 84.78, 10.8984375, 97.296875, 97.296875, 27, 56.796875, 80.390625, 0.0, 35.09375, 40.5, 16.19921875, 8.1, 0.0, 13.5, 8.099609375, 24.296875, 13.5, 62.1953125, 43.1953125, 13.0, 2.0, 53.0, 22.0, 22.0, "Tous les candidats sauf les Bac professionnels", 93.0, "Bacheliers professionnels toutes séries", 103, "", 0, "Liste d'appel propre à cette formation", 26.0, "7358", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7358&g_ta_cod=7358", 17.0, 24.0, 59.0),
(6094, "Public", "0540042C", "Lycée Henri Loritz", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Henri Loritz - BTS - Production - Fonderie", "BTS - Production", "", 30, 164, 18, 164, 0, 9, 1, 83, 14, 9, 4, 63, 0, 0, 0, 0, 0, 164, 0, 0, 0, 9, 1, 83, 14, 9, 4, 63, 80, 29, 4, 29, 0, 11.0, 26.0, 28.0, 0, 5, 24, 1, 21, 2, 5, 0, 15, 8, 1, 0, 0.0, 0, 8, 1, 19, 1, 24, 24, 37.93, 89.66, 96.55, 13.798828125, 100.0, 100.0, 79.1875, 20.796875, 82.796875, 0.0, 62.5, 33.296875, 4.19921875, 0.0, 0.0, 4.19921875, 0.0, 87.5, 33.296875, 8.298828125, 4.19921875, 5.0, 1.0, 6.0, 2.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 66.0, "6265", "BTS - Production - Fonderie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6265&g_ta_cod=6265", 14.0, 79.0, 7.0),
(6095, "Public", "0330192E", "Sciences Po Bordeaux - Institut d'études politiques", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Autre formation", "Sciences Po Bordeaux - Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Filière intégrée France-Hong-Kong (FIFHKG)", "Sciences politiques", "Filière intégrée France-Hong-Kong (FIFHKG)", 5, 137, 95, 137, 0, 120, 17, 0, 0, 0, 0, 17, 0, 0, 0, 0, 0, 19, 0, 0, 0, 18, 1, 0, 0, 0, 0, 1, 12, 5, 4, 5, 0, 2.0, 5.0, 5.0, 0, 1, 5, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0.0, 5, 0, 0, 0, 0, 2, 2, 40.0, 100.0, 100.0, 80.0, 40.0, 40.0, 0, 20.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 11.0, 1.0, 0.0, 0.0, 1.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "25935", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Filière intégrée France-Hong-Kong (FIFHKG)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25935&g_ta_cod=25935", 100.0, 0.0, 0.0),
(6096, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Langages et communication", "Licence - Arts-lettres-langues", "Langages et communication", 195, 1740, 1319, 1699, 0, 1045, 200, 126, 50, 32, 12, 496, 41, 2, 8, 2, 29, 1699, 40, 0, 0, 1045, 200, 126, 50, 32, 12, 496, 1022, 222, 140, 195, 25, 29.0, 132.0, 174.0, 0, 36, 130, 109, 17, 4, 92, 0, 57, 49, 19, 5, 0.0, 64, 7, 2, 0, 0, 86, 86, 13.06, 59.46, 78.38, 63.09375, 66.1875, 66.1875, 0, 27.69921875, 58.59375, 0.0, 43.796875, 37.6953125, 14.599609375, 3.8, 0.0, 83.796875, 49.1953125, 13.099609375, 5.3994140625, 3.099609375, 1.5, 595.0, 114.0, 21.0, 8.0, 316.0, "Tous les candidats", 1124.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "17939", "Licence - Portail Langages et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17939&g_ta_cod=17939", 80.0, 15.0, 4.0),
(6097, "Public", "0941952L", "Lycée Francois Arago", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villeneuve-Saint-Georges", "formation sélective", "BTS", "Lycée Francois Arago - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 35, 308, 92, 284, 0, 32, 5, 53, 13, 139, 43, 60, 24, 6, 2, 0, 16, 130, 3, 0, 0, 12, 2, 30, 6, 72, 16, 16, 112, 23, 4, 20, 0, 8.0, 17.0, 20.0, 0, 8, 22, 2, 5, 15, 1, 0, 6, 9, 6, 1, 0.0, 0, 2, 14, 8, 2, 17, 22, 34.78, 73.91, 86.96, 17.3984375, 77.296875, 100.0, 36.3984375, 36.3984375, 95.6875, 0.0, 27.296875, 40.8984375, 27.296875, 4.5, 0.0, 9.099609375, 0.0, 22.69921875, 9.099609375, 68.1875, 63.59375, 14.0, 1.0, 57.0, 14.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers technologiques toutes séries", 28, "Bacheliers professionnels toutes séries", 70, "Liste d'appel propre à cette formation", 39.0, "33725", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33725&g_ta_cod=33725", 9.0, 22.0, 70.0),
(6098, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Droit - Parcours Droit-Histoire (DEG)", "Licence - Droit-économie-gestion", "Droit-Histoire (DEG)", 60, 434, 288, 407, 0, 304, 74, 40, 17, 16, 8, 47, 27, 10, 1, 2, 14, 403, 12, 0, 0, 304, 74, 40, 17, 16, 8, 43, 416, 59, 35, 50, 9, 47.0, 49.0, 49.0, 0, 14, 49, 34, 11, 4, 10, 0, 18, 14, 11, 6, 0.0, 23, 6, 2, 0, 0, 37, 37, 79.66, 83.05, 83.05, 59.296875, 75.5, 75.5, 0, 28.59765625, 83.09375, 0.0, 36.6953125, 28.59765625, 22.3984375, 12.2, 0.0, 69.390625, 46.8984375, 22.3984375, 12.19921875, 8.19921875, 4.099609375, 308.0, 74.0, 18.0, 9.0, 49.0, "Tous les candidats", 403.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "12125", "Licence - Droit - Parcours Droit-Histoire (DEG)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12125&g_ta_cod=12125", 75.0, 19.0, 7.0),
(6099, "Public", "0601983E", "I.U.T de l'Oise - Site de Beauvais", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "BUT", "I.U.T de l'Oise - Site de Beauvais - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", 80, 1210, 585, 1155, 0, 514, 85, 406, 119, 29, 10, 206, 55, 28, 0, 4, 23, 619, 9, 0, 0, 255, 35, 260, 71, 3, 2, 101, 398, 72, 36, 66, 4, 24.0, 60.0, 63.0, 0, 10, 43, 21, 22, 0, 29, 0, 9, 26, 8, 0, 0.0, 16, 18, 0, 0, 0, 31, 31, 33.33, 83.33, 87.5, 50.0, 72.09375, 72.09375, 0, 23.296875, 59.6953125, 0.0, 20.8984375, 60.5, 18.59765625, 0.0, 0.0, 48.796875, 37.1953125, 51.1953125, 41.8984375, 0.0, 0.0, 158.0, 34.0, 0.0, 0.0, 98.0, "Tous les candidats sauf les Bac technologiques", 310.0, "Bacheliers technologiques toutes séries", 188, "", 0, "Liste d'appel propre à cette formation", 43.0, "7285", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7285&g_ta_cod=7285", 54.0, 44.0, 1.0),
(6100, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 1 Capitole - Licence - Double diplôme - Licence Droit - parcours double diplôme international franco-anglais (Essex)", "Licence - Droit-économie-gestion", "parcours double diplôme international franco-anglais (Essex)", 25, 331, 277, 331, 0, 279, 31, 3, 1, 0, 0, 49, 0, 0, 0, 0, 0, 88, 0, 0, 0, 76, 6, 0, 0, 0, 0, 12, 60, 25, 23, 25, 0, 10.0, 22.0, 23.0, 0, 2, 24, 24, 0, 0, 1, 0, 0, 0, 12, 12, 0.0, 24, 0, 0, 0, 0, 9, 9, 40.0, 88.0, 92.0, 92.0, 37.5, 37.5, 0, 8.298828125, 96.0, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 53.0, 5.0, 0.0, 0.0, 7.0, "Tous les candidats", 68.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "4143", "Licence - Double diplôme - Licence Droit - parcours double diplôme international franco-anglais (Essex)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4143&g_ta_cod=4143", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(6101, "Public", "0781578S", "Lycée Hotellerie Et Tourisme", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation sélective", "Autre formation", "Lycée Hotellerie Et Tourisme - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 35, 333, 185, 333, 0, 98, 13, 48, 9, 38, 13, 149, 0, 0, 0, 0, 0, 243, 0, 0, 0, 98, 13, 48, 9, 38, 13, 59, 157, 34, 17, 34, 0, 3.0, 24.0, 31.0, 0, 7, 26, 12, 6, 8, 8, 3, 10, 11, 2, 0, 0.0, 8, 1, 4, 0, 0, 14, 19, 8.82, 70.59, 91.18, 50.0, 53.796875, 73.09375, 0, 26.8984375, 76.5, 11.5, 38.5, 42.296875, 7.69921875, 0.0, 0.0, 46.1953125, 30.796875, 23.09765625, 3.7998046875, 30.796875, 15.3984375, 80.0, 10.0, 24.0, 7.0, 30.0, "Tous les candidats", 188.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "9976", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9976&g_ta_cod=9976", 38.0, 26.0, 35.0),
(6102, "Privé sous contrat d'association", "0622198C", "Lycée Saint Joseph", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Martin-Boulogne", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Services - Communication", "BTS - Services", "", 40, 488, 268, 488, 0, 70, 9, 77, 16, 30, 12, 311, 0, 0, 0, 0, 0, 243, 0, 0, 0, 69, 9, 77, 16, 30, 12, 67, 120, 40, 23, 40, 0, 12.0, 35.0, 38.0, 0, 5, 34, 13, 15, 6, 6, 0, 10, 19, 5, 0, 0.0, 7, 12, 5, 13, 7, 34, 34, 30.0, 87.5, 95.0, 57.5, 100.0, 100.0, 38.1953125, 14.69921875, 85.0, 0.0, 29.3984375, 55.8984375, 14.69921875, 0.0, 0.0, 38.1953125, 20.59765625, 44.09375, 35.296875, 17.59765625, 14.69921875, 36.0, 5.0, 10.0, 4.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 30.0, "7428", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7428&g_ta_cod=7428", 38.0, 48.0, 15.0),
(6103, "Privé sous contrat d'association", "0754042L", "Lycée Le Rebours", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Le Rebours - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 40, 717, 254, 262, 0, 51, 10, 62, 11, 59, 19, 90, 455, 71, 157, 29, 198, 163, 23, 0, 0, 36, 5, 47, 8, 43, 13, 37, 160, 36, 16, 28, 8, 3.0, 27.0, 33.0, 0, 4, 26, 9, 7, 10, 10, 0, 7, 11, 6, 2, 0.0, 4, 5, 10, 2, 1, 14, 26, 8.33, 75.0, 91.67, 44.3984375, 53.796875, 100.0, 7.69921875, 15.3984375, 72.1875, 0.0, 26.8984375, 42.296875, 23.09765625, 7.7, 0.0, 34.59375, 15.3984375, 26.8984375, 19.19921875, 38.5, 38.5, 37.0, 6.0, 39.0, 13.0, 38.0, "Tous les candidats sauf les Bac professionnels", 113.0, "Bacheliers professionnels toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 62.0, "9507", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9507&g_ta_cod=9507", 44.0, 25.0, 31.0),
(6104, "Public", "0601895J", "I.U.T de l'Oise - Site de Creil", "60", "Oise", "Hauts-de-France", "Amiens", "Creil", "formation sélective", "BUT", "I.U.T de l'Oise - Site de Creil - BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "BUT - Production", "Science du danger et management des risques professionnels technologiques et environnementaux", 80, 616, 188, 574, 0, 290, 30, 141, 26, 35, 12, 108, 42, 6, 11, 2, 23, 486, 13, 0, 0, 263, 26, 118, 20, 14, 5, 91, 345, 63, 15, 54, 9, 10.0, 45.0, 52.0, 0, 8, 44, 23, 21, 0, 19, 0, 25, 11, 8, 0, 0.0, 8, 11, 0, 0, 0, 19, 19, 15.87, 71.43, 82.54, 23.796875, 43.1953125, 43.1953125, 0, 18.19921875, 69.796875, 0.0, 56.796875, 25.0, 18.19921875, 0.0, 0.0, 52.296875, 18.19921875, 47.6953125, 25.0, 0.0, 0.0, 162.0, 18.0, 5.0, 2.0, 75.0, "Tous les candidats sauf les Bac technologiques", 318.0, "Bacheliers technologiques toutes séries", 140, "", 0, "Liste d'appel propre à cette formation", 80.0, "7276", "BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7276&g_ta_cod=7276", 52.0, 46.0, 2.0),
(6105, "Public", "0170022G", "Lycée Maurice Merleau-Ponty", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Rochefort", "formation sélective", "BTS", "Lycée Maurice Merleau-Ponty - BTS - Services - Communication", "BTS - Services", "", 27, 817, 530, 804, 0, 192, 39, 191, 42, 65, 19, 356, 13, 5, 1, 0, 7, 299, 7, 0, 0, 113, 21, 126, 20, 47, 14, 13, 143, 25, 19, 23, 2, 2.0, 14.0, 21.0, 0, 4, 24, 9, 9, 6, 1, 0, 7, 8, 9, 0, 0.0, 6, 5, 6, 1, 0, 13, 13, 8.0, 56.0, 84.0, 76.0, 54.1953125, 54.1953125, 4.19921875, 16.69921875, 96.0, 0.0, 29.19921875, 33.296875, 37.5, 0.0, 0.0, 37.5, 25.0, 37.5, 20.796875, 25.0, 25.0, 55.0, 15.0, 18.0, 4.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 110.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 29.0, "3020", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3020&g_ta_cod=3020", 40.0, 36.0, 24.0),
(6106, "Public", "0130189K", "Centre de Ressources, d'Expertise et de Performance Sportive PACA - site d'Aix-en-Provence (CREPS)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive PACA - site d'Aix-en-Provence (CREPS) - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 15, 608, 134, 445, 0, 107, 18, 134, 36, 91, 39, 113, 163, 52, 38, 10, 63, 37, 4, 0, 0, 10, 1, 9, 0, 5, 2, 13, 38, 15, 2, 11, 4, 5.0, 11.0, 11.0, 0, 0, 6, 1, 5, 0, 9, 0, 4, 1, 1, 0, 0.0, 0, 2, 0, 0, 0, 4, 4, 33.33, 73.33, 73.33, 13.298828125, 66.6875, 66.6875, 0, 0.0, 40.0, 0.0, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 16.69921875, 0.0, 83.296875, 33.296875, 0.0, 0.0, 10.0, 1.0, 4.0, 2.0, 15.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 8.0, "21394", "BPJEPS - Activités physiques pour tous", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21394&g_ta_cod=21394", 33.0, 53.0, 7.0),
(6107, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation non sélective", "Licence", "Université Grenoble Alpes - Antenne de Valence - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et Techniques des Activités Physiques et Sportives (STAPS) - Valence", "Licence - Sciences - technologies - santé", "Sciences et Techniques des Activités Physiques et Sportives (STAPS) - Valence", 225, 1690, 516, 1690, 0, 1113, 173, 226, 48, 55, 17, 296, 0, 0, 0, 0, 0, 1684, 0, 0, 0, 1113, 173, 226, 48, 55, 17, 290, 653, 218, 53, 218, 0, 55.0, 160.0, 194.0, 0, 43, 183, 141, 33, 9, 35, 7, 87, 66, 22, 1, 0.0, 66, 18, 5, 0, 0, 165, 165, 25.23, 73.39, 88.99, 24.296875, 90.1875, 90.1875, 0, 23.5, 83.890625, 3.7998046875, 47.5, 36.09375, 12.0, 0.5, 0.0, 77.0, 36.09375, 18.0, 9.798828125, 4.8994140625, 2.69970703125, 419.0, 74.0, 19.0, 9.0, 138.0, "Tous les candidats", 682.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "31005", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et Techniques des Activités Physiques et Sportives (STAPS) - Valence", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31006&g_ta_cod=31005", 75.0, 17.0, 8.0),
(6108, "Privé sous contrat d'association", "9741255W", "Lycée Catholique St Charles", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "CPGE", "Lycée Catholique St Charles - CPGE - MPSI", "Classe préparatoire scientifique", "", 40, 286, 69, 286, 0, 264, 48, 1, 1, 0, 0, 21, 0, 0, 0, 0, 0, 220, 0, 0, 220, 220, 37, 0, 0, 0, 0, 0, 119, 41, 7, 41, 0, 13.0, 38.0, 40.0, 0, 10, 41, 41, 0, 0, 0, 0, 0, 2, 10, 21, 8.0, 41, 0, 0, 9, 1, 41, 41, 31.71, 92.68, 97.56, 17.09765625, 100.0, 100.0, 22, 24.3984375, 100.0, 0.0, 0.0, 4.8994140625, 24.3984375, 51.2, 19.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 119.0, 19.0, 0.0, 0.0, 0.0, "Tous les candidats", 165.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "13218", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13218&g_ta_cod=13218", 100.0, 0.0, 0.0),
(6109, "Public", "9740001H", "Lycée Leconte de Lisle", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée Leconte de Lisle - BTS - Services - Commerce International", "BTS - Services", "", 35, 742, 427, 724, 0, 183, 63, 269, 138, 84, 57, 188, 18, 0, 7, 1, 10, 329, 1, 0, 0, 116, 35, 120, 56, 39, 23, 54, 162, 33, 19, 32, 1, 1.0, 25.0, 26.0, 0, 13, 27, 7, 18, 2, 6, 0, 5, 16, 6, 0, 0.0, 6, 16, 0, 3, 2, 25, 25, 3.03, 75.76, 78.79, 57.59375, 92.59375, 92.59375, 11.099609375, 48.09375, 81.796875, 0.0, 18.5, 59.296875, 22.19921875, 0.0, 0.0, 25.8984375, 22.19921875, 66.6875, 59.296875, 7.3994140625, 0.0, 27.0, 14.0, 26.0, 16.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 142, "Liste d'appel propre à cette formation", 35.0, "11882", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11882&g_ta_cod=11882", 33.0, 58.0, 9.0),
(6110, "Public", "0420942W", "CENTRE REGIONAL ASSOCIE AU CNAM DE SAINT-ETIENNE", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "Autre formation", "CENTRE REGIONAL ASSOCIE AU CNAM DE SAINT-ETIENNE - Formation Supérieure de Spécialisation - Informatique et Numérique", "Diplôme d'Université", "Informatique et Numérique", 12, 24, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 3, 2, 4, 15, 0, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22, 4, 0, 0, 4, 0.0, 0.0, 2.0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 50.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4.0, 1.0, 4.0, 3.0, 13.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34911", "Formation Supérieure de Spécialisation - Informatique et Numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34911&g_ta_cod=34911", 75.0, 25.0, 0.0),
(6111, "Privé sous contrat d'association", "0290170C", "Lycée Le Likès", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Le Likès - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 386, 235, 365, 0, 29, 6, 144, 16, 108, 35, 84, 21, 1, 1, 9, 10, 275, 8, 0, 0, 27, 5, 130, 13, 78, 26, 40, 187, 30, 22, 24, 6, 7.0, 21.0, 25.0, 0, 6, 24, 4, 7, 13, 6, 0, 6, 11, 6, 1, 0.0, 2, 3, 13, 3, 3, 23, 23, 23.33, 70.0, 83.33, 73.296875, 95.796875, 95.796875, 12.5, 25.0, 80.0, 0.0, 25.0, 45.796875, 25.0, 4.2, 0.0, 16.69921875, 8.298828125, 29.19921875, 12.5, 54.1953125, 54.1953125, 10.0, 3.0, 58.0, 22.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 150, "Liste d'appel propre à cette formation", 74.0, "3817", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3817&g_ta_cod=3817", 17.0, 30.0, 53.0),
(6112, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Autre formation", "Université de Franche-Comté - Site de Besançon - C.M.I - Cursus Master en Ingénierie - Sciences pour l'ingénieur - Cursus Master en Ingénierie (CMI) :  Structures et systèmes intelligents", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) :  Structures et systèmes intelligents", 18, 217, 49, 173, 0, 135, 16, 2, 0, 1, 1, 35, 44, 15, 0, 2, 27, 58, 0, 0, 0, 48, 3, 1, 0, 0, 0, 9, 45, 11, 4, 11, 0, 3.0, 11.0, 11.0, 0, 1, 10, 10, 0, 0, 1, 0, 1, 7, 2, 0, 0.0, 9, 0, 0, 0, 0, 8, 8, 27.27, 100.0, 100.0, 36.3984375, 80.0, 80.0, 0, 10.0, 90.890625, 0.0, 10.0, 70.0, 20.0, 0.0, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 35.0, 3.0, 0.0, 0.0, 9.0, "Tous les candidats", 58.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "14109", "C.M.I - Cursus Master en Ingénierie - Sciences pour l'ingénieur - Cursus Master en Ingénierie (CMI) :  Structures et systèmes intelligents", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14109&g_ta_cod=14109", 100.0, 0.0, 0.0),
(6113, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Licence", "Université Grenoble Alpes  - Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Double licence : anglais/allemand", "Licence - Arts-lettres-langues", "Double licence : anglais/allemand", 12, 65, 50, 48, 0, 32, 5, 1, 1, 0, 0, 15, 17, 3, 0, 0, 14, 43, 9, 0, 0, 30, 5, 0, 0, 0, 0, 13, 40, 9, 8, 5, 4, 2.0, 5.0, 7.0, 0, 1, 6, 6, 0, 0, 3, 0, 0, 4, 1, 1, 0.0, 6, 0, 0, 0, 0, 4, 4, 22.22, 55.56, 77.78, 88.890625, 66.6875, 66.6875, 0, 16.69921875, 66.6875, 0.0, 0.0, 66.6875, 16.69921875, 16.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 23.0, 4.0, 0.0, 0.0, 17.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "17989", "Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Double licence : anglais/allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17989&g_ta_cod=17989", 100.0, 0.0, 0.0),
(6114, "Public", "0310028M", "Lycée Vincent Auriol", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Revel", "formation sélective", "BTS", "Lycée Vincent Auriol - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 15, 516, 311, 516, 0, 99, 21, 154, 34, 137, 41, 126, 0, 0, 0, 0, 0, 358, 0, 0, 0, 98, 21, 126, 27, 117, 35, 17, 53, 16, 13, 16, 0, 8.0, 12.0, 16.0, 0, 3, 15, 4, 3, 8, 1, 0, 1, 5, 7, 2, 0.0, 4, 2, 8, 1, 1, 9, 9, 50.0, 75.0, 100.0, 81.296875, 60.0, 60.0, 6.69921875, 20.0, 93.796875, 0.0, 6.69921875, 33.296875, 46.6953125, 13.3, 0.0, 26.69921875, 26.69921875, 20.0, 13.298828125, 53.296875, 53.296875, 8.0, 3.0, 26.0, 9.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 15.0, "4032", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4032&g_ta_cod=4032", 31.0, 19.0, 50.0),
(6115, "Public", "0750710P", "Lycée Auguste Renoir", "75", "Paris", "Ile-de-France", "Paris", "Paris 18e  Arrondissement", "formation sélective", "Autre formation", "Lycée Auguste Renoir - DN MADE - Graphisme - - Spécialité : Image et narration", "DN MADE", "- Spécialité : Image et narration", 12, 1289, 943, 1289, 0, 446, 68, 306, 63, 89, 18, 448, 0, 0, 0, 0, 0, 79, 0, 0, 0, 11, 0, 38, 4, 1, 0, 29, 25, 12, 8, 12, 0, 2.0, 12.0, 12.0, 0, 1, 7, 1, 6, 0, 5, 0, 0, 1, 5, 1, 0.0, 1, 6, 0, 0, 0, 1, 2, 16.67, 100.0, 100.0, 66.6875, 14.298828125, 28.59765625, 0, 14.298828125, 58.296875, 0.0, 0.0, 14.298828125, 71.390625, 14.3, 0.0, 14.298828125, 14.298828125, 85.6875, 85.6875, 0.0, 0.0, 2.0, 0.0, 0.0, 0.0, 8.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 2.0, "21949", "DN MADE - Graphisme - - Spécialité : Image et narration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21949&g_ta_cod=21949", 25.0, 75.0, 0.0),
(6116, "Public", "0131596P", "Lycée Militaire d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "CPGE", "Lycée Militaire d'Aix-en-Provence - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "prépa St Cyr", 28, 414, 98, 414, 414, 357, 28, 3, 1, 1, 1, 53, 0, 0, 0, 0, 0, 414, 0, 414, 0, 357, 28, 3, 1, 1, 1, 53, 91, 28, 8, 28, 0, 3.0, 25.0, 28.0, 28, 1, 28, 28, 0, 0, 0, 0, 0, 4, 19, 5, 0.0, 28, 0, 0, 2, 0, 4, 4, 10.71, 89.29, 100.0, 28.59765625, 14.298828125, 14.298828125, 7.099609375, 3.599609375, 100.0, 0.0, 0.0, 14.298828125, 67.890625, 17.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 91.0, 6.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "32432", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32432&g_ta_cod=32432", 100.0, 0.0, 0.0),
(6117, "Public", "0601895J", "I.U.T de l'Oise - Site de Creil", "60", "Oise", "Hauts-de-France", "Amiens", "Creil", "formation sélective", "BUT", "I.U.T de l'Oise - Site de Creil - BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", "BUT - Service", "Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", 70, 406, 116, 368, 0, 102, 26, 121, 53, 26, 13, 119, 38, 0, 19, 0, 19, 257, 3, 0, 0, 96, 24, 88, 38, 12, 6, 61, 190, 55, 13, 53, 2, 21.0, 45.0, 47.0, 0, 21, 39, 16, 19, 4, 16, 0, 25, 12, 1, 1, 0.0, 3, 8, 3, 0, 0, 26, 26, 38.18, 81.82, 85.45, 23.59765625, 66.6875, 66.6875, 0, 53.796875, 70.890625, 0.0, 64.09375, 30.796875, 2.599609375, 2.6, 0.0, 41.0, 7.69921875, 48.6953125, 20.5, 10.298828125, 7.69921875, 57.0, 16.0, 12.0, 6.0, 44.0, "Tous les candidats sauf les Bac technologiques", 113.0, "Bacheliers technologiques toutes séries", 101, "", 0, "Liste d'appel propre à cette formation", 58.0, "7277", "BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7277&g_ta_cod=7277", 55.0, 38.0, 7.0),
(6118, "Privé enseignement supérieur", "0510088U", "NEOMA Business School - Campus de Reims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "CESEM - Parcours Amériques", 80, 1764, 846, 1746, 0, 1542, 43, 70, 1, 5, 1, 129, 18, 6, 0, 0, 12, 1406, 11, 0, 0, 1274, 30, 41, 0, 2, 1, 89, 979, 80, 43, 77, 3, 35.0, 76.0, 79.0, 0, 1, 75, 72, 3, 0, 5, 0, 13, 32, 26, 4, 0.0, 59, 3, 0, 0, 0, 23, 23, 43.75, 95.0, 98.75, 53.796875, 30.69921875, 30.69921875, 0, 1.2998046875, 93.796875, 0.0, 17.296875, 42.6953125, 34.6953125, 5.3, 0.0, 96.0, 78.6875, 4.0, 4.0, 0.0, 0.0, 884.0, 14.0, 1.0, 1.0, 69.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "26119", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26119", 96.0, 4.0, 0.0),
(6119, "Public", "0381516S", "IUT 1 GRENOBLE", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "BUT", "IUT 1 GRENOBLE - BUT - Génie mécanique et productique Parcours : Simulation numérique et réalité virtuelle Innovation pour l?industrie", "BUT - Production", "Simulation numérique et réalité virtuelle Innovation pour l?industrie", 100, 1922, 151, 1919, 0, 1087, 139, 512, 79, 11, 5, 309, 3, 0, 0, 0, 3, 1444, 0, 0, 0, 923, 103, 317, 41, 0, 0, 204, 809, 95, 6, 95, 0, 13.0, 57.0, 85.0, 0, 7, 84, 48, 36, 0, 11, 0, 11, 43, 28, 2, 0.0, 38, 35, 0, 0, 0, 70, 70, 13.68, 60.0, 89.47, 6.2998046875, 83.296875, 83.296875, 0, 8.298828125, 88.390625, 0.0, 13.099609375, 51.1953125, 33.296875, 2.4, 0.0, 57.09375, 45.1953125, 42.8984375, 41.6953125, 0.0, 0.0, 455.0, 60.0, 0.0, 0.0, 138.0, "Tous les candidats sauf les Bac technologiques", 869.0, "Bacheliers technologiques toutes séries", 334, "", 0, "Liste d'appel propre à cette formation", 63.0, "4967", "BUT - Génie mécanique et productique Parcours : Simulation numérique et réalité virtuelle Innovation pour l?industrie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4967&g_ta_cod=4967", 61.0, 39.0, 0.0),
(6120, "Privé sous contrat d'association", "0291208F", "Ecole du Nivot", "29", "Finistère", "Bretagne", "Rennes", "Lopérec", "formation sélective", "BTS", "Ecole du Nivot - BTS - Agricole - Gestion forestière", "BTS - Agricole", "", 32, 313, 67, 286, 0, 73, 13, 59, 8, 55, 10, 99, 27, 3, 4, 2, 18, 104, 18, 0, 0, 43, 7, 26, 3, 26, 2, 9, 107, 14, 1, 10, 4, 6.0, 10.0, 11.0, 0, 0, 10, 3, 2, 5, 4, 0, 6, 4, 0, 0, 0.0, 0, 0, 4, 4, 0, 8, 8, 42.86, 71.43, 78.57, 7.099609375, 80.0, 80.0, 40, 0.0, 71.390625, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 30.0, 0.0, 20.0, 0.0, 50.0, 40.0, 40.0, 7.0, 20.0, 2.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 36.0, "13594", "BTS - Agricole - Gestion forestière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13594&g_ta_cod=13594", 43.0, 14.0, 43.0),
(6121, "Public", "0501219D", "Lycée Curie-Corot", "50", "Manche", "Normandie", "Normandie", "Saint-Lô", "formation sélective", "BTS", "Lycée Curie-Corot - BTS - Services - Communication", "BTS - Services", "", 24, 1025, 554, 1025, 0, 124, 25, 177, 47, 70, 21, 654, 0, 0, 0, 0, 0, 506, 0, 0, 0, 121, 23, 174, 46, 69, 20, 142, 125, 24, 18, 24, 0, 5.0, 13.0, 17.0, 0, 3, 16, 6, 8, 2, 8, 0, 7, 7, 1, 1, 0.0, 3, 5, 1, 3, 2, 12, 12, 20.83, 54.17, 70.83, 75.0, 75.0, 75.0, 18.796875, 18.796875, 66.6875, 0.0, 43.796875, 43.796875, 6.2998046875, 6.3, 0.0, 37.5, 18.796875, 50.0, 31.296875, 12.5, 6.2998046875, 26.0, 5.0, 24.0, 8.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 17.0, "6026", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6026&g_ta_cod=6026", 33.0, 46.0, 21.0),
(6122, "Privé sous contrat d'association", "0561454B", "Lycée professionnel Agricole horticoles de Kerplouz", "56", "Morbihan", "Bretagne", "Rennes", "Auray", "formation sélective", "BTS", "Lycée professionnel Agricole horticoles de Kerplouz - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 36, 461, 203, 461, 0, 97, 17, 118, 23, 122, 24, 124, 0, 0, 0, 0, 0, 349, 0, 0, 0, 90, 15, 95, 16, 100, 20, 64, 119, 36, 16, 36, 0, 8.0, 27.0, 34.0, 0, 7, 26, 10, 5, 11, 10, 0, 10, 13, 3, 0, 0.0, 7, 3, 6, 1, 1, 20, 20, 22.22, 75.0, 94.44, 44.3984375, 76.890625, 76.890625, 3.7998046875, 26.8984375, 72.1875, 0.0, 38.5, 50.0, 11.5, 0.0, 0.0, 38.5, 26.8984375, 19.19921875, 11.5, 42.296875, 23.09765625, 53.0, 10.0, 21.0, 6.0, 27.0, "Tous les candidats sauf les Bac professionnels", 168.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 42.0, "6478", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6478&g_ta_cod=6478", 50.0, 19.0, 31.0),
(6123, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence_Las", "Université de Nantes - Licence - Portail L.AS Humanités -  option Santé", "Licence - Arts-lettres-langues", "L.AS Humanités", 40, 363, 304, 361, 0, 159, 39, 19, 8, 2, 1, 181, 2, 0, 0, 0, 2, 361, 2, 0, 0, 159, 39, 19, 8, 2, 1, 181, 193, 39, 35, 38, 1, 1.0, 28.0, 33.0, 0, 12, 28, 21, 7, 0, 11, 0, 13, 12, 3, 0, 0.0, 14, 1, 0, 0, 0, 21, 21, 2.56, 71.79, 84.62, 89.6875, 75.0, 75.0, 0, 42.8984375, 71.796875, 0.0, 46.3984375, 42.8984375, 10.69921875, 0.0, 0.0, 75.0, 50.0, 25.0, 3.599609375, 0.0, 0.0, 106.0, 26.0, 1.0, 0.0, 73.0, "Tous les candidats", 305.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "32021", "Licence - Portail L.AS Humanités -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32021&g_ta_cod=32021", 74.0, 21.0, 3.0),
(6124, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Droit - Parcours Carrières publiques", "Licence - Droit-économie-gestion", "Carrières publiques", 33, 1219, 823, 612, 0, 392, 107, 104, 45, 7, 6, 109, 607, 265, 74, 8, 260, 100, 27, 0, 0, 81, 18, 0, 0, 0, 0, 19, 119, 33, 23, 20, 12, 7.0, 20.0, 31.0, 0, 4, 22, 22, 0, 0, 11, 0, 2, 9, 9, 2, 0.0, 20, 0, 0, 0, 0, 12, 15, 21.21, 60.61, 93.94, 69.6875, 54.5, 68.1875, 0, 18.19921875, 66.6875, 0.0, 9.099609375, 40.8984375, 40.8984375, 9.1, 0.0, 100.0, 90.890625, 0.0, 0.0, 0.0, 0.0, 97.0, 16.0, 0.0, 0.0, 20.0, "Tous les candidats", 100.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "11489", "Licence - Droit - Parcours Carrières publiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11489&g_ta_cod=11489", 100.0, 0.0, 0.0),
(6125, "Public", "0573435Z", "I.U.T. Thionville-Yutz - Université de Lorraine", "57", "Moselle", "Grand Est", "Nancy-Metz", "Yutz", "formation sélective", "BUT", "I.U.T. Thionville-Yutz - Université de Lorraine - BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "BUT - Production", "Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", 52, 244, 19, 213, 0, 78, 16, 86, 18, 10, 3, 39, 31, 4, 3, 4, 20, 160, 10, 0, 0, 61, 10, 69, 12, 9, 3, 21, 156, 11, 0, 8, 3, 2.0, 8.0, 10.0, 0, 1, 8, 3, 4, 1, 3, 0, 4, 3, 1, 0, 0.0, 1, 2, 1, 0, 0, 7, 7, 18.18, 72.73, 90.91, 0.0, 87.5, 87.5, 0, 12.5, 72.6875, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 37.5, 12.5, 50.0, 25.0, 12.5, 12.5, 56.0, 10.0, 10.0, 4.0, 28.0, "Tous les candidats sauf les Bac technologiques", 85.0, "Bacheliers technologiques toutes séries", 75, "", 0, "Liste d'appel propre à cette formation", 75.0, "6668", "BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6668&g_ta_cod=6668", 45.0, 45.0, 9.0),
(6126, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales", "Licence - Sciences - technologies - santé", "", 70, 838, 279, 838, 0, 577, 125, 6, 0, 2, 1, 253, 0, 0, 0, 0, 0, 838, 0, 0, 0, 577, 125, 6, 0, 2, 1, 253, 494, 69, 22, 67, 0, 11.0, 46.0, 56.0, 0, 6, 51, 51, 0, 0, 18, 0, 18, 29, 2, 2, 0.0, 33, 0, 0, 0, 0, 32, 45, 15.94, 66.67, 81.16, 31.8984375, 62.6953125, 88.1875, 0, 11.798828125, 73.890625, 0.0, 35.296875, 56.8984375, 3.89990234375, 3.9, 0.0, 100.0, 64.6875, 0.0, 0.0, 0.0, 0.0, 391.0, 83.0, 0.0, 0.0, 103.0, "Tous les candidats", 561.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "11108", "Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11108&g_ta_cod=11108", 100.0, 0.0, 0.0),
(6127, "Public", "0880023X", "Lycée professionnel Isabelle Viviani", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "Autre formation", "Lycée professionnel Isabelle Viviani - Mention complémentaire - Assistance Conseil Vente à distance", "Mention complémentaire", "", 15, 56, 40, 56, 0, 0, 0, 2, 1, 27, 19, 27, 0, 0, 0, 0, 0, 46, 0, 0, 0, 0, 0, 2, 1, 25, 18, 19, 28, 19, 15, 19, 0, 13.0, 19.0, 19.0, 0, 11, 15, 0, 1, 14, 4, 0, 11, 3, 0, 1, 0.0, 0, 0, 4, 0, 0, 14, 14, 68.42, 100.0, 100.0, 78.890625, 93.296875, 93.296875, 0, 73.296875, 78.890625, 0.0, 73.296875, 20.0, 0.0, 6.7, 0.0, 0.0, 0.0, 6.69921875, 0.0, 93.296875, 26.69921875, 0.0, 0.0, 21.0, 15.0, 6.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "21475", "Mention complémentaire - Assistance Conseil Vente à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21475&g_ta_cod=21475", 11.0, 5.0, 84.0),
(6128, "Public", "9711032V", "Lycée Charles Coeffin", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "BTS", "Lycée Charles Coeffin - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 160, 5, 160, 0, 15, 8, 33, 20, 97, 63, 15, 0, 0, 0, 0, 0, 98, 0, 0, 0, 8, 3, 25, 15, 61, 34, 4, 52, 30, 1, 30, 0, 14.0, 28.0, 29.0, 0, 17, 28, 2, 7, 19, 2, 0, 2, 6, 14, 6, 0.0, 1, 6, 19, 4, 1, 28, 28, 46.67, 93.33, 96.67, 3.2998046875, 100.0, 100.0, 14.298828125, 60.6953125, 93.296875, 0.0, 7.099609375, 21.3984375, 50.0, 21.4, 0.0, 7.099609375, 3.599609375, 25.0, 21.3984375, 67.890625, 67.890625, 6.0, 3.0, 29.0, 17.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 36.0, "11763", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11763&g_ta_cod=11763", 7.0, 27.0, 67.0),
(6129, "Public", "0630018C", "Lycée Blaise Pascal", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "CPGE", "Lycée Blaise Pascal - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 23, 445, 191, 441, 260, 366, 27, 0, 0, 0, 0, 75, 4, 1, 0, 0, 3, 338, 0, 135, 308, 317, 25, 0, 0, 0, 0, 21, 206, 12, 3, 12, 0, 3.0, 10.0, 11.0, 1, 1, 12, 12, 0, 0, 0, 0, 0, 2, 5, 5, 0.0, 12, 0, 0, 0, 0, 7, 7, 25.0, 83.33, 91.67, 25.0, 58.296875, 58.296875, 0, 8.298828125, 100.0, 0.0, 0.0, 16.69921875, 41.6953125, 41.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 194.0, 18.0, 0.0, 0.0, 12.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "31586", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31285&g_ta_cod=31586", 100.0, 0.0, 0.0),
(6130, "Public", "0160020K", "Lycée Jean Monnet", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Cognac", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 26, 445, 224, 445, 0, 50, 10, 125, 29, 122, 44, 148, 0, 0, 0, 0, 0, 305, 0, 0, 0, 48, 10, 109, 26, 97, 32, 51, 94, 25, 16, 25, 0, 5.0, 16.0, 21.0, 0, 8, 20, 5, 6, 9, 5, 0, 3, 10, 6, 1, 0.0, 3, 6, 8, 11, 7, 19, 19, 20.0, 64.0, 84.0, 64.0, 95.0, 95.0, 55, 40.0, 80.0, 0.0, 15.0, 50.0, 30.0, 5.0, 0.0, 25.0, 15.0, 30.0, 30.0, 45.0, 40.0, 23.0, 8.0, 41.0, 19.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 33.0, "2990", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2990&g_ta_cod=2990", 24.0, 32.0, 44.0),
(6131, "Public", "0595790Y", "IFSI du Centre Daumezon Saint André Lez Lille", "59", "Nord", "Hauts-de-France", "Lille", "Saint-André-lez-Lille", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 85, 5712, 4575, 5712, 0, 1123, 288, 1119, 375, 520, 224, 2950, 0, 0, 0, 0, 0, 4749, 0, 0, 0, 1020, 246, 931, 299, 424, 174, 2374, 1244, 85, 66, 85, 0, 1.0, 30.0, 56.0, 0, 22, 45, 20, 13, 12, 40, 0, 5, 25, 15, 0, 0.0, 18, 11, 11, 0, 0, 39, 39, 1.18, 35.29, 65.88, 77.59375, 86.6875, 86.6875, 0, 48.8984375, 52.8984375, 0.0, 11.099609375, 55.59375, 33.296875, 0.0, 0.0, 44.3984375, 40.0, 28.8984375, 24.3984375, 26.69921875, 24.3984375, 275.0, 56.0, 134.0, 67.0, 557.0, "Tous les candidats", 3841.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "23137", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23137", 55.0, 24.0, 20.0),
(6132, "Public", "0595964M", "Université du littoral - Site de Dunkerque", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation non sélective", "Licence", "Université du littoral - Site de Dunkerque - Licence - Langues étrangères appliquées - Parcours ANGLAIS-ESPAGNOL", "Licence - Arts-lettres-langues", "ANGLAIS-ESPAGNOL", 72, 401, 280, 327, 0, 221, 83, 30, 13, 18, 12, 58, 74, 14, 9, 6, 45, 326, 66, 0, 0, 221, 83, 30, 13, 18, 12, 57, 360, 70, 44, 54, 16, 36.0, 54.0, 59.0, 0, 20, 51, 36, 11, 4, 19, 1, 18, 17, 8, 7, 0.0, 25, 6, 1, 0, 0, 46, 46, 51.43, 77.14, 84.29, 62.8984375, 90.1875, 90.1875, 0, 39.1953125, 72.890625, 2.0, 35.296875, 33.296875, 15.69921875, 13.7, 0.0, 70.59375, 49.0, 21.59765625, 11.798828125, 7.7998046875, 2.0, 213.0, 82.0, 21.0, 14.0, 92.0, "Tous les candidats", 326.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15833", "Licence - Langues étrangères appliquées - Parcours ANGLAIS-ESPAGNOL", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15833&g_ta_cod=15833", 67.0, 23.0, 10.0),
(6133, "Privé sous contrat d'association", "0500112A", "Lycée Notre Dame De La Providence", "50", "Manche", "Normandie", "Normandie", "Avranches", "formation sélective", "BTS", "Lycée Notre Dame De La Providence - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 24, 154, 9, 150, 0, 23, 2, 43, 4, 43, 7, 41, 4, 0, 3, 0, 1, 145, 2, 0, 0, 23, 2, 43, 4, 43, 7, 36, 99, 21, 2, 21, 0, 4.0, 14.0, 20.0, 0, 3, 13, 0, 5, 8, 8, 0, 8, 2, 2, 1, 0.0, 0, 1, 4, 0, 0, 10, 10, 19.05, 66.67, 95.24, 9.5, 76.890625, 76.890625, 0, 23.09765625, 61.8984375, 0.0, 61.5, 15.3984375, 15.3984375, 7.7, 0.0, 0.0, 0.0, 38.5, 7.69921875, 61.5, 30.796875, 18.0, 2.0, 25.0, 4.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 87.0, "6013", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6013&g_ta_cod=6013", 33.0, 29.0, 38.0),
(6134, "Public", "0142133T", "Lycée P. S. De Laplace", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée P. S. De Laplace - BTS - Production - Travaux publics", "BTS - Production", "", 15, 248, 27, 247, 0, 32, 1, 62, 13, 79, 21, 74, 1, 0, 1, 0, 0, 192, 0, 0, 0, 32, 1, 56, 12, 62, 14, 42, 48, 13, 1, 13, 0, 2.0, 12.0, 12.0, 0, 4, 11, 1, 4, 6, 2, 0, 3, 3, 4, 1, 0.0, 1, 1, 6, 6, 0, 11, 11, 15.38, 92.31, 92.31, 7.69921875, 100.0, 100.0, 54.5, 36.3984375, 84.59375, 0.0, 27.296875, 27.296875, 36.3984375, 9.1, 0.0, 9.099609375, 9.099609375, 36.3984375, 9.099609375, 54.5, 54.5, 4.0, 1.0, 16.0, 4.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 32.0, "2932", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2932&g_ta_cod=2932", 15.0, 38.0, 46.0),
(6135, "Public", "0331683A", "Lycée agricole de Bazas", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bazas", "formation sélective", "BTS", "Lycée agricole de Bazas - BTS - Agricole - Gestion forestière", "BTS - Agricole", "", 27, 558, 108, 551, 0, 133, 16, 138, 25, 100, 16, 180, 7, 0, 1, 0, 6, 282, 3, 0, 0, 96, 11, 85, 17, 76, 10, 25, 132, 27, 0, 24, 3, 5.0, 18.0, 24.0, 0, 3, 23, 8, 8, 7, 4, 0, 7, 13, 3, 0, 0.0, 3, 6, 7, 4, 0, 13, 13, 18.52, 66.67, 88.89, 0.0, 56.5, 56.5, 17.3984375, 13.0, 85.1875, 0.0, 30.3984375, 56.5, 13.0, 0.0, 0.0, 34.796875, 13.0, 34.796875, 26.09765625, 30.3984375, 30.3984375, 38.0, 6.0, 29.0, 6.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 98.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 44.0, "4363", "BTS - Agricole - Gestion forestière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4363&g_ta_cod=4363", 37.0, 30.0, 30.0),
(6136, "Public", "0442094M", "Lycée polyvalent Nicolas Appert", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Orvault", "formation sélective", "BTS", "Lycée polyvalent Nicolas Appert - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 72, 462, 240, 459, 0, 0, 0, 157, 19, 194, 46, 108, 3, 0, 0, 2, 1, 383, 1, 0, 0, 0, 0, 141, 17, 146, 34, 96, 236, 53, 34, 52, 1, 15.0, 50.0, 52.0, 0, 2, 34, 0, 15, 19, 19, 0, 7, 13, 11, 3, 0.0, 0, 11, 16, 15, 9, 29, 29, 28.3, 94.34, 98.11, 64.1875, 85.296875, 85.296875, 44.09375, 5.8994140625, 64.1875, 0.0, 20.59765625, 38.1953125, 32.3984375, 8.8, 0.0, 0.0, 0.0, 44.09375, 32.3984375, 55.8984375, 47.09375, 0.0, 0.0, 88.0, 18.0, 53.0, "Tous les candidats sauf les Bac professionnels", 232.0, "Bacheliers professionnels toutes séries", 151, "", 0, "Liste d'appel propre à cette formation", 83.0, "5613", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5613&g_ta_cod=5613", 26.0, 34.0, 40.0),
(6137, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Portail Economie", "Licence - Droit-économie-gestion", "", 145, 1578, 624, 1556, 0, 1088, 234, 111, 36, 28, 14, 329, 22, 3, 6, 1, 12, 1534, 17, 0, 0, 1088, 234, 111, 36, 28, 14, 307, 827, 142, 38, 131, 10, 56.0, 91.0, 121.0, 0, 51, 114, 101, 10, 3, 28, 1, 57, 37, 17, 2, 0.0, 52, 2, 2, 0, 0, 106, 106, 39.44, 64.08, 85.21, 26.796875, 93.0, 93.0, 0, 44.6953125, 80.296875, 0.89990234375, 50.0, 32.5, 14.8984375, 1.8, 0.0, 88.59375, 45.59375, 8.798828125, 1.7998046875, 2.599609375, 1.7998046875, 599.0, 138.0, 5.0, 3.0, 200.0, "Tous les candidats", 1349.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 77.0, "4889", "Licence - Portail Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27811&g_ta_cod=4889", 89.0, 8.0, 3.0),
(6138, "Public", "0750657G", "Lycée Montaigne", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Montaigne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 2602, 1396, 2573, 421, 2340, 268, 0, 0, 1, 0, 232, 29, 16, 0, 1, 12, 1272, 11, 307, 1119, 1199, 202, 0, 0, 0, 0, 73, 505, 22, 15, 16, 6, 1.0, 4.0, 14.0, 1, 2, 20, 20, 0, 0, 2, 0, 0, 2, 12, 5, 1.0, 20, 0, 0, 1, 0, 1, 15, 4.55, 18.18, 63.64, 68.1875, 5.0, 75.0, 5, 10.0, 90.890625, 0.0, 0.0, 10.0, 60.0, 25.0, 5.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 468.0, 63.0, 0.0, 0.0, 37.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "31488", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31362&g_ta_cod=31488", 100.0, 0.0, 0.0),
(6139, "Public", "0754247J", "I.U.T de Paris Descartes", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "BUT", "I.U.T de Paris Descartes - BUT - Carrières sociales Parcours assistance sociale Parcours : (possibilité de poursuite en D.E. Assistant de Service Social)", "BUT - Service", "(possibilité de poursuite en D.E. Assistant de Service Social)", 56, 1460, 1333, 1460, 0, 314, 110, 487, 214, 179, 85, 480, 0, 0, 0, 0, 0, 605, 0, 0, 0, 242, 78, 201, 95, 7, 2, 155, 219, 54, 51, 54, 0, 36.0, 45.0, 51.0, 0, 18, 37, 14, 22, 1, 17, 0, 6, 22, 5, 4, 0.0, 10, 20, 1, 0, 0, 4, 23, 66.67, 83.33, 94.44, 94.390625, 10.798828125, 62.1953125, 0, 48.59375, 68.5, 0.0, 16.19921875, 59.5, 13.5, 10.8, 0.0, 37.796875, 27.0, 59.5, 54.09375, 2.69970703125, 2.69970703125, 73.0, 31.0, 4.0, 2.0, 55.0, "Tous les candidats sauf les Bac technologiques", 122.0, "Bacheliers technologiques toutes séries", 129, "", 0, "Liste d'appel propre à cette formation", 17.0, "9520", "BUT - Carrières sociales Parcours assistance sociale Parcours : (possibilité de poursuite en D.E. Assistant de Service Social)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9520&g_ta_cod=9520", 48.0, 50.0, 2.0),
(6140, "Privé sous contrat d'association", "0451335G", "Lycée Sainte-Croix Saint-Euverte", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Sainte-Croix Saint-Euverte - BTS - Production - Métiers de la mesure", "BTS - Production", "", 16, 75, 16, 74, 0, 10, 2, 16, 1, 6, 1, 42, 1, 0, 0, 0, 1, 69, 0, 0, 0, 10, 2, 15, 1, 6, 1, 38, 54, 6, 3, 6, 0, 2.0, 5.0, 6.0, 0, 0, 2, 0, 0, 2, 4, 0, 0, 1, 0, 1, 0.0, 0, 0, 2, 0, 0, 2, 2, 33.33, 83.33, 100.0, 50.0, 100.0, 100.0, 0, 0.0, 33.296875, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 8.0, 1.0, 6.0, 1.0, 27.0, "Tous les candidats sauf les Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 92.0, "5729", "BTS - Production - Métiers de la mesure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5729&g_ta_cod=5729", 50.0, 17.0, 33.0),
(6141, "Public", "0951710T", "Lycée Camille Claudel", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Vauréal", "formation sélective", "Autre formation", "Lycée Camille Claudel - DN MADE - Objet - - Spécialité : Innovation sociale", "DN MADE", "- Spécialité : Innovation sociale", 15, 188, 132, 188, 0, 69, 14, 74, 12, 8, 2, 37, 0, 0, 0, 0, 0, 148, 0, 0, 0, 63, 10, 68, 11, 5, 1, 12, 94, 15, 10, 15, 0, 1.0, 14.0, 15.0, 0, 3, 14, 8, 6, 0, 1, 0, 4, 7, 3, 0, 0.0, 5, 5, 0, 0, 0, 9, 9, 6.67, 93.33, 100.0, 66.6875, 64.296875, 64.296875, 0, 21.3984375, 93.296875, 0.0, 28.59765625, 50.0, 21.3984375, 0.0, 0.0, 57.09375, 35.6953125, 42.8984375, 35.6953125, 0.0, 0.0, 38.0, 4.0, 1.0, 0.0, 5.0, "Tous les candidats", 140.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "21936", "DN MADE - Objet - - Spécialité : Innovation sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21936&g_ta_cod=21936", 53.0, 47.0, 0.0),
(6142, "Privé enseignement supérieur", "0755437C", "Institut National des Formations Notariales INFN site de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "BTS", "Institut National des Formations Notariales INFN site de Paris - BTS - Services - Notariat", "BTS - Services", "", 45, 787, 596, 636, 0, 185, 30, 181, 57, 35, 11, 235, 151, 31, 33, 8, 79, 176, 11, 0, 0, 109, 15, 55, 24, 7, 1, 5, 147, 29, 27, 24, 5, 8.0, 24.0, 25.0, 0, 5, 27, 18, 7, 2, 2, 1, 7, 12, 7, 0, 0.0, 10, 7, 2, 0, 0, 7, 25, 27.59, 82.76, 86.21, 93.09375, 25.8984375, 92.59375, 0, 18.5, 93.09375, 3.69970703125, 25.8984375, 44.3984375, 25.8984375, 0.0, 0.0, 66.6875, 37.0, 25.8984375, 25.8984375, 7.3994140625, 7.3994140625, 85.0, 11.0, 7.0, 1.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 113.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 28.0, "9555", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9555&g_ta_cod=9555", 69.0, 24.0, 7.0),
(6143, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Philosophie - Parcours Philosophie mineure Humanités", "Licence - Sciences humaines et sociales", "Philosophie mineure Humanités", 120, 736, 461, 603, 0, 350, 90, 24, 15, 7, 5, 222, 133, 13, 6, 4, 110, 601, 129, 0, 0, 350, 90, 24, 15, 7, 5, 220, 730, 119, 66, 76, 43, 76.0, 76.0, 105.0, 0, 15, 39, 34, 3, 2, 80, 1, 17, 11, 8, 0, 2.0, 17, 2, 2, 0, 0, 21, 21, 63.87, 63.87, 88.24, 55.5, 53.796875, 53.796875, 0, 38.5, 32.796875, 2.599609375, 43.59375, 28.19921875, 20.5, 0.0, 5.1, 87.1875, 43.59375, 7.69921875, 5.099609375, 5.099609375, 5.099609375, 363.0, 92.0, 11.0, 7.0, 326.0, "Tous les candidats", 601.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4161", "Licence - Philosophie - Parcours Philosophie mineure Humanités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4161&g_ta_cod=4161", 78.0, 13.0, 4.0),
(6144, "Public", "0623902E", "Lycée Marguerite Yourcenar", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Beuvry", "formation sélective", "BTS", "Lycée Marguerite Yourcenar - BTS - Services - Diététique", "BTS - Services", "", 35, 992, 815, 992, 0, 204, 38, 301, 97, 62, 36, 425, 0, 0, 0, 0, 0, 993, 0, 0, 0, 205, 38, 301, 97, 62, 36, 425, 210, 34, 34, 34, 0, 8.0, 18.0, 28.0, 0, 9, 21, 7, 11, 3, 13, 0, 5, 7, 9, 0, 0.0, 4, 9, 3, 3, 3, 17, 17, 23.53, 52.94, 82.35, 100.0, 81.0, 81.0, 14.298828125, 42.8984375, 61.796875, 0.0, 23.796875, 33.296875, 42.8984375, 0.0, 0.0, 33.296875, 19.0, 52.3984375, 42.8984375, 14.298828125, 14.298828125, 51.0, 9.0, 7.0, 4.0, 63.0, "Tous les candidats sauf les Bac professionnels", 364.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 38.0, "7479", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7479&g_ta_cod=7479", 41.0, 47.0, 12.0),
(6145, "Public", "0801327H", "Lycée Edouard Branly", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 597, 41, 544, 0, 99, 20, 149, 42, 118, 37, 178, 53, 0, 0, 34, 19, 275, 1, 0, 0, 87, 19, 89, 25, 73, 25, 26, 121, 23, 0, 22, 1, 2.0, 16.0, 22.0, 0, 4, 20, 5, 7, 8, 3, 0, 5, 12, 2, 1, 0.0, 4, 4, 7, 3, 0, 16, 16, 8.7, 69.57, 95.65, 0.0, 80.0, 80.0, 15, 20.0, 87.0, 0.0, 25.0, 60.0, 10.0, 5.0, 0.0, 25.0, 20.0, 35.0, 20.0, 40.0, 35.0, 34.0, 6.0, 41.0, 13.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 42.0, "10191", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10191&g_ta_cod=10191", 26.0, 35.0, 39.0),
(6146, "Public", "0781845G", "Lycée Jules Ferry", "78", "Yvelines", "Ile-de-France", "Versailles", "Conflans-Sainte-Honorine", "formation sélective", "BTS", "Lycée Jules Ferry - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 739, 64, 739, 0, 68, 8, 234, 86, 165, 61, 272, 0, 0, 0, 0, 0, 251, 0, 0, 0, 35, 2, 99, 36, 81, 30, 36, 125, 32, 2, 32, 0, 3.0, 27.0, 30.0, 0, 9, 26, 2, 12, 12, 6, 0, 8, 14, 3, 1, 0.0, 0, 6, 12, 2, 0, 25, 26, 9.38, 84.38, 93.75, 6.2998046875, 96.1875, 100.0, 7.69921875, 34.59375, 81.296875, 0.0, 30.796875, 53.796875, 11.5, 3.8, 0.0, 7.69921875, 0.0, 46.1953125, 23.09765625, 46.1953125, 46.1953125, 6.0, 2.0, 52.0, 24.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 21.0, "9980", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9980&g_ta_cod=9980", 6.0, 44.0, 50.0),
(6147, "Public", "0680031P", "Lycée Albert Schweitzer", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BTS", "Lycée Albert Schweitzer - BTS - Services - Support à l'action managériale", "BTS - Services", "", 30, 462, 329, 462, 0, 30, 15, 153, 72, 171, 112, 108, 0, 0, 0, 0, 0, 229, 0, 0, 0, 19, 10, 89, 44, 80, 48, 41, 97, 30, 21, 30, 0, 5.0, 22.0, 25.0, 0, 10, 18, 2, 6, 10, 12, 0, 5, 9, 3, 1, 0.0, 0, 5, 8, 2, 2, 18, 18, 16.67, 73.33, 83.33, 70.0, 100.0, 100.0, 11.099609375, 55.59375, 60.0, 0.0, 27.796875, 50.0, 16.69921875, 5.6, 0.0, 11.099609375, 0.0, 33.296875, 27.796875, 55.59375, 44.3984375, 9.0, 6.0, 30.0, 15.0, 24.0, "Tous les candidats sauf les Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 40, "", 0, "Liste d'appel propre à cette formation", 24.0, "8098", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8098&g_ta_cod=8098", 20.0, 30.0, 50.0),
(6148, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence_Las", "Universite Jean Monnet, Saint-Etienne - Licence - Sciences pour la santé - Sciences Médicales Appliquées à l?Ingénierie la Prévention et l?Accompagnement en Santé et eSanté -  option Santé", "Licence - Sciences - technologies - santé", "Sciences Médicales Appliquées à l?Ingénierie la Prévention et l?Accompagnement en Santé et eSanté", 110, 902, 705, 902, 0, 523, 112, 67, 24, 10, 7, 302, 0, 0, 0, 0, 0, 893, 0, 0, 0, 523, 112, 67, 24, 10, 7, 293, 610, 103, 81, 103, 0, 4.0, 50.0, 78.0, 0, 17, 60, 55, 3, 2, 43, 2, 28, 23, 6, 1, 0.0, 27, 2, 1, 0, 0, 42, 42, 3.88, 48.54, 75.73, 78.59375, 70.0, 70.0, 0, 28.296875, 58.296875, 3.2998046875, 46.6953125, 38.296875, 10.0, 1.7, 0.0, 91.6875, 45.0, 5.0, 3.2998046875, 3.2998046875, 1.699951171875, 398.0, 88.0, 6.0, 5.0, 200.0, "Tous les candidats", 613.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "32257", "Licence - Sciences pour la santé - Sciences Médicales Appliquées à l?Ingénierie la Prévention et l?Accompagnement en Santé et eSanté -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32257&g_ta_cod=32257", 90.0, 8.0, 2.0),
(6149, "Public", "0060011E", "Lycée Carnot", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BTS", "Lycée Carnot - BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "BTS - Services", "", 8, 935, 281, 935, 0, 401, 71, 113, 25, 70, 29, 351, 0, 0, 0, 0, 0, 72, 0, 0, 0, 35, 1, 10, 5, 17, 4, 10, 25, 8, 4, 8, 0, 2.0, 7.0, 7.0, 0, 1, 6, 4, 1, 1, 2, 0, 0, 3, 3, 0, 0.0, 4, 1, 1, 0, 0, 0, 0, 25.0, 87.5, 87.5, 50.0, 0.0, 0.0, 0, 16.69921875, 75.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 66.6875, 66.6875, 16.69921875, 16.69921875, 16.69921875, 16.69921875, 13.0, 0.0, 4.0, 2.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 1, "Liste d'appel propre à cette formation", 4.0, "2189", "BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2189&g_ta_cod=2189", 75.0, 13.0, 13.0),
(6150, "Public", "0120024L", "Lycée Alexis Monteil", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BTS", "Lycée Alexis Monteil - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 220, 141, 178, 0, 7, 2, 72, 25, 58, 24, 41, 42, 1, 7, 13, 21, 86, 7, 0, 0, 7, 2, 38, 7, 36, 16, 5, 81, 16, 13, 13, 3, 3.0, 12.0, 16.0, 0, 3, 14, 1, 7, 6, 2, 0, 7, 6, 1, 0, 0.0, 1, 3, 3, 6, 4, 11, 11, 18.75, 75.0, 100.0, 81.296875, 78.59375, 78.59375, 42.8984375, 21.3984375, 87.5, 0.0, 50.0, 42.8984375, 7.099609375, 0.0, 0.0, 7.099609375, 7.099609375, 50.0, 21.3984375, 42.8984375, 21.3984375, 7.0, 2.0, 36.0, 16.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 48.0, "2489", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2489&g_ta_cod=2489", 13.0, 50.0, 38.0),
(6151, "Public", "0763460Y", "ESITECH - partenaire INSA", "76", "Seine-Maritime", "Normandie", "Normandie", "Saint-Etienne-du-Rouvray", "formation sélective", "Licence_Las", "ESITECH - Formation d'ingénieur Bac + 5 - Cycle préparatoire intégré - option Santé", "Formations  des écoles d'ingénieurs", "Cycle préparatoire intégré - option Santé", 25, 531, 347, 531, 0, 256, 27, 9, 3, 3, 2, 263, 0, 0, 0, 0, 0, 304, 0, 0, 0, 189, 18, 0, 0, 0, 0, 115, 144, 24, 21, 24, 0, 1.0, 13.0, 19.0, 0, 5, 19, 19, 0, 0, 5, 0, 0, 5, 7, 7, 0.0, 19, 0, 0, 0, 0, 7, 7, 4.17, 54.17, 79.17, 87.5, 36.796875, 36.796875, 0, 26.296875, 79.1875, 0.0, 0.0, 26.296875, 36.796875, 36.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 75.0, 13.0, 0.0, 0.0, 69.0, "Tous les candidats", 208.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "33261", "Formation d'ingénieur Bac + 5 - Cycle préparatoire intégré - option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33261&g_ta_cod=33261", 100.0, 0.0, 0.0),
(6152, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence_Las", "Université Côte d'Azur - Licence - Portail Sociologie", "Licence - Sciences humaines et sociales", "", 47, 498, 391, 472, 0, 215, 59, 27, 12, 19, 11, 211, 26, 9, 2, 1, 14, 472, 24, 0, 0, 215, 59, 27, 12, 19, 11, 211, 327, 45, 34, 35, 10, 0.0, 17.0, 30.0, 0, 7, 25, 19, 3, 3, 20, 0, 13, 8, 4, 0, 0.0, 9, 1, 2, 0, 0, 18, 18, 0.0, 37.78, 66.67, 75.59375, 72.0, 72.0, 0, 28.0, 55.59375, 0.0, 52.0, 32.0, 16.0, 0.0, 0.0, 76.0, 36.0, 12.0, 4.0, 12.0, 8.0, 150.0, 43.0, 8.0, 4.0, 151.0, "Tous les candidats", 1038.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 82.0, "27491", "Licence - Portail Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27490&g_ta_cod=27491", 78.0, 11.0, 11.0),
(6153, "Public", "0492137G", "Université Angers-Campus de Cholet", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "Licence", "Université Angers-Campus de Cholet - Double licence - Droit / Histoire - Double licence Droit et Histoire", "Licence - Droit-économie-gestion / Sciences humaines et sociales", "Double licence Droit et Histoire", 45, 477, 318, 477, 0, 422, 59, 6, 2, 2, 1, 47, 0, 0, 0, 0, 0, 315, 0, 0, 0, 286, 36, 0, 0, 0, 0, 29, 242, 49, 27, 49, 0, 30.0, 49.0, 49.0, 0, 6, 49, 49, 0, 0, 0, 0, 0, 9, 25, 14, 1.0, 49, 0, 0, 0, 0, 25, 25, 61.22, 100.0, 100.0, 55.09375, 51.0, 51.0, 0, 12.19921875, 100.0, 0.0, 0.0, 18.3984375, 51.0, 28.6, 2.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 214.0, 29.0, 0.0, 0.0, 28.0, "Tous les candidats", 314.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "17868", "Double licence - Droit / Histoire - Double licence Droit et Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17868&g_ta_cod=17868", 100.0, 0.0, 0.0),
(6154, "Public", "0610021S", "Lycée Jean Guehenno", "61", "Orne", "Normandie", "Normandie", "Flers", "formation sélective", "BTS", "Lycée Jean Guehenno - BTS - Production - Conception de processus de découpe et d'emboutissage (Seconde année en apprentissage)", "BTS - Production", "", 6, 21, 5, 21, 0, 0, 0, 3, 1, 7, 1, 11, 0, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0, 3, 1, 7, 1, 2, 11, 3, 0, 3, 0, 3.0, 3.0, 3.0, 0, 2, 2, 0, 1, 1, 1, 0, 1, 1, 0, 0, 0.0, 0, 1, 0, 1, 0, 2, 2, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 50, 100.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 0.0, 0.0, 0.0, 6.0, 1.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 4, "Liste d'appel propre à cette formation", 57.0, "20882", "BTS - Production - Conception de processus de découpe et d'emboutissage (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20882&g_ta_cod=20882", 0.0, 33.0, 67.0),
(6155, "Public", "0782567S", "Lycée Marie Curie", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Marie Curie - CPGE - ENS Cachan D2", "Classe préparatoire économique et commerciale", "", 48, 711, 372, 680, 0, 559, 52, 2, 1, 0, 0, 119, 31, 18, 2, 0, 11, 550, 14, 0, 550, 513, 45, 2, 1, 0, 0, 35, 387, 32, 14, 28, 4, 0.0, 19.0, 31.0, 0, 3, 29, 29, 0, 0, 3, 0, 3, 16, 9, 1, 0.0, 26, 0, 0, 6, 3, 22, 24, 0.0, 59.38, 96.88, 43.796875, 75.890625, 82.796875, 20.69921875, 10.298828125, 90.59375, 0.0, 10.298828125, 55.1953125, 31.0, 3.4, 0.0, 100.0, 89.6875, 0.0, 0.0, 0.0, 0.0, 354.0, 33.0, 0.0, 0.0, 31.0, "Tous les candidats", 550.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "10059", "CPGE - ENS Cachan D2", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10059&g_ta_cod=10059", 100.0, 0.0, 0.0),
(6156, "Privé hors contrat", "0783718T", "Assas Formations Santé", "78", "Yvelines", "Ile-de-France", "Versailles", "Magny-les-Hameaux", "formation sélective", "Autre formation", "Assas Formations Santé - D.E Ergothérapeute", "D.E secteur sanitaire", "", 32, 309, 275, 309, 0, 56, 4, 55, 4, 1, 0, 197, 0, 0, 0, 0, 0, 309, 0, 0, 0, 56, 4, 55, 4, 1, 0, 197, 74, 32, 32, 32, 0, 14.0, 28.0, 28.0, 0, 1, 22, 7, 15, 0, 10, 0, 6, 11, 5, 0, 0.0, 5, 11, 0, 0, 0, 16, 16, 43.75, 87.5, 87.5, 100.0, 72.6875, 72.6875, 0, 4.5, 68.796875, 0.0, 27.296875, 50.0, 22.69921875, 0.0, 0.0, 31.796875, 22.69921875, 68.1875, 50.0, 0.0, 0.0, 17.0, 2.0, 0.0, 0.0, 29.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "26068", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26068&g_ta_cod=26068", 47.0, 53.0, 0.0),
(6157, "Public", "0801327H", "Lycée Edouard Branly", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Autre formation", "Lycée Edouard Branly - DN MADE - Graphisme - - Spécialité : Édition + images imprimées, connectées", "DN MADE", "- Spécialité : Édition + images imprimées, connectées", 15, 555, 370, 555, 0, 203, 52, 133, 19, 51, 19, 168, 0, 0, 0, 0, 0, 178, 0, 0, 0, 97, 13, 53, 8, 3, 0, 25, 88, 12, 10, 12, 0, 0.0, 6.0, 12.0, 0, 2, 8, 4, 4, 0, 4, 0, 1, 4, 1, 2, 0.0, 4, 3, 0, 0, 0, 3, 3, 0.0, 50.0, 100.0, 83.296875, 37.5, 37.5, 0, 25.0, 66.6875, 0.0, 12.5, 50.0, 12.5, 25.0, 0.0, 50.0, 50.0, 50.0, 37.5, 0.0, 0.0, 41.0, 6.0, 2.0, 0.0, 15.0, "Tous les candidats", 174.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "25130", "DN MADE - Graphisme - - Spécialité : Édition + images imprimées, connectées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25130&g_ta_cod=25130", 58.0, 42.0, 0.0),
(6158, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - ESTRI - Licence - Langues étrangères appliquées - Parcours Langues, Traduction et Communication à l'international / Anglais-Chinois", "Licence - Arts-lettres-langues", "Langues, Traduction et Communication à l'international / Anglais-Chinois", 20, 84, 59, 39, 0, 23, 4, 0, 0, 3, 2, 13, 45, 13, 3, 2, 27, 22, 6, 0, 0, 13, 3, 0, 0, 0, 0, 9, 28, 2, 2, 2, 0, 2.0, 2.0, 2.0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 16.0, 3.0, 0.0, 0.0, 12.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "24700", "Licence - Langues étrangères appliquées - Parcours Langues, Traduction et Communication à l'international / Anglais-Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24700&g_ta_cod=24700", 100.0, 0.0, 0.0),
(6159, "Privé sous contrat d'association", "0211090W", "Lycée saint bénigne", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée saint bénigne - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 66, 1007, 469, 1007, 0, 199, 41, 308, 66, 257, 77, 243, 0, 0, 0, 0, 0, 880, 0, 0, 0, 196, 39, 291, 60, 205, 58, 188, 279, 55, 25, 55, 0, 8.0, 39.0, 48.0, 0, 10, 44, 7, 17, 20, 11, 0, 13, 21, 8, 2, 0.0, 5, 11, 15, 8, 4, 38, 38, 14.55, 70.91, 87.27, 45.5, 86.390625, 86.390625, 18.19921875, 22.69921875, 80.0, 0.0, 29.5, 47.6953125, 18.19921875, 4.5, 0.0, 15.8984375, 11.3984375, 38.59375, 25.0, 45.5, 34.09375, 50.0, 12.0, 100.0, 23.0, 41.0, "Tous les candidats sauf les Bac professionnels", 214.0, "Bacheliers professionnels toutes séries", 128, "", 0, "Liste d'appel propre à cette formation", 34.0, "3220", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3220&g_ta_cod=3220", 24.0, 38.0, 38.0),
(6160, "Privé sous contrat d'association", "0442101V", "ARIFTS PAYS DE LA LOIRE - REZE", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Rezé", "formation sélective", "EFTS", "ARIFTS PAYS DE LA LOIRE - REZE - D.E Assistant de Service Social", "D.E secteur social", "", 43, 223, 209, 223, 0, 44, 9, 34, 5, 19, 4, 126, 0, 0, 0, 0, 0, 172, 0, 0, 0, 29, 8, 29, 4, 11, 2, 103, 103, 42, 37, 42, 0, 15.0, 38.0, 38.0, 0, 3, 15, 4, 7, 4, 27, 0, 3, 9, 3, 0, 0.0, 2, 6, 4, 0, 0, 14, 14, 35.71, 90.48, 90.48, 88.09375, 93.296875, 93.296875, 0, 20.0, 35.6953125, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 26.69921875, 13.298828125, 46.6953125, 40.0, 26.69921875, 26.69921875, 13.0, 5.0, 5.0, 1.0, 70.0, "Tous les candidats", 123.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 48.0, "23506", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23506&g_ta_cod=23506", 45.0, 33.0, 19.0),
(6161, "Public", "0540034U", "Lycée Ernest Bichat", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Lunéville", "formation sélective", "BTS", "Lycée Ernest Bichat - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 644, 306, 612, 0, 50, 11, 216, 72, 130, 57, 216, 32, 0, 10, 4, 18, 286, 6, 0, 0, 37, 7, 129, 34, 71, 30, 49, 179, 32, 21, 26, 3, 10.0, 23.0, 26.0, 0, 10, 23, 5, 8, 10, 9, 0, 8, 9, 6, 0, 0.0, 1, 4, 10, 9, 5, 23, 23, 31.25, 71.88, 81.25, 65.59375, 100.0, 100.0, 39.09375, 43.5, 71.890625, 0.0, 34.796875, 39.09375, 26.09765625, 0.0, 0.0, 21.69921875, 4.2998046875, 34.796875, 17.3984375, 43.5, 43.5, 33.0, 7.0, 34.0, 12.0, 42.0, "Tous les candidats sauf les Bac professionnels", 207.0, "Bacheliers professionnels toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 42.0, "6242", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6242&g_ta_cod=6242", 38.0, 28.0, 34.0),
(6162, "Public", "0060023T", "Lycée professionnel Francis De Croisset", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Grasse", "formation sélective", "BTS", "Lycée professionnel Francis De Croisset - BTS - Services - Gestion de la PME", "BTS - Services", "", 26, 256, 152, 254, 0, 12, 3, 77, 29, 102, 38, 63, 2, 0, 2, 0, 0, 254, 0, 0, 0, 12, 3, 77, 29, 102, 38, 63, 130, 19, 13, 19, 0, 4.0, 14.0, 17.0, 0, 8, 15, 0, 7, 8, 4, 0, 4, 8, 3, 0, 0.0, 0, 5, 6, 5, 5, 14, 14, 21.05, 73.68, 89.47, 68.390625, 93.296875, 93.296875, 33.296875, 53.296875, 78.890625, 0.0, 26.69921875, 53.296875, 20.0, 0.0, 0.0, 0.0, 0.0, 46.6953125, 33.296875, 53.296875, 40.0, 8.0, 3.0, 45.0, 20.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 63.0, "20848", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20848&g_ta_cod=20848", 11.0, 47.0, 42.0),
(6163, "Public", "0301687W", "Université de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "Licence", "Université de Nîmes - Licence - Histoire - Parcours  Histoire et patrimoine", "Licence - Sciences humaines et sociales", "Histoire et patrimoine", 300, 1080, 533, 842, 0, 494, 129, 86, 41, 72, 38, 190, 238, 40, 28, 37, 133, 836, 233, 0, 0, 494, 129, 86, 41, 72, 38, 184, 991, 185, 76, 112, 73, 36.0, 108.0, 153.0, 0, 43, 115, 65, 18, 32, 70, 2, 61, 32, 15, 5, 0.0, 39, 2, 11, 0, 0, 81, 81, 19.46, 58.38, 82.7, 41.09375, 70.390625, 70.390625, 0, 37.3984375, 62.1953125, 1.699951171875, 53.0, 27.796875, 13.0, 4.3, 0.0, 56.5, 33.8984375, 15.69921875, 1.699951171875, 27.796875, 9.599609375, 496.0, 123.0, 103.0, 58.0, 286.0, "Tous les candidats", 836.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4020", "Licence - Histoire - Parcours  Histoire et patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4020&g_ta_cod=4020", 51.0, 21.0, 27.0),
(6164, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Japonais", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères et Régionales Japonais", 76, 696, 455, 696, 0, 347, 91, 51, 21, 27, 15, 271, 0, 0, 0, 0, 0, 696, 0, 0, 0, 347, 91, 51, 21, 27, 15, 271, 224, 74, 52, 74, 0, 21.0, 72.0, 72.0, 0, 8, 33, 29, 2, 2, 41, 0, 14, 9, 6, 4, 0.0, 17, 0, 2, 0, 0, 25, 25, 28.38, 97.3, 97.3, 70.296875, 75.796875, 75.796875, 0, 24.19921875, 44.59375, 0.0, 42.3984375, 27.296875, 18.19921875, 12.1, 0.0, 87.890625, 51.5, 6.099609375, 0.0, 6.099609375, 6.099609375, 111.0, 27.0, 8.0, 6.0, 90.0, "Tous les candidats", 235.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "8504", "Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Japonais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8504&g_ta_cod=8504", 73.0, 14.0, 11.0),
(6165, "Public", "0160036C", "Lycée professionnel Jean Caillaud", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Ruelle-sur-Touvre", "formation sélective", "Autre formation", "Lycée professionnel Jean Caillaud - Mention complémentaire - Technicien(ne) en tuyauterie", "Mention complémentaire", "", 8, 39, 2, 37, 0, 0, 0, 0, 0, 13, 2, 24, 2, 0, 1, 1, 0, 16, 1, 0, 0, 0, 0, 0, 0, 13, 2, 3, 15, 3, 0, 2, 1, 2.0, 2.0, 3.0, 0, 1, 1, 0, 0, 1, 2, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 66.67, 66.67, 100.0, 0.0, 100.0, 100.0, 0, 100.0, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 12.0, 2.0, 3.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "20648", "Mention complémentaire - Technicien(ne) en tuyauterie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20648&g_ta_cod=20648", 0.0, 0.0, 100.0),
(6166, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "PASS", "Université Toulouse 3 Paul Sabatier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 75, 3396, 2113, 3396, 0, 2684, 372, 65, 26, 14, 5, 633, 0, 0, 0, 0, 0, 3396, 0, 0, 0, 2684, 372, 65, 26, 14, 5, 633, 584, 74, 40, 74, 0, 5.0, 42.0, 65.0, 0, 11, 73, 73, 0, 0, 1, 0, 1, 5, 39, 23, 5.0, 72, 0, 0, 0, 0, 66, 66, 6.76, 56.76, 87.84, 54.09375, 90.390625, 90.390625, 0, 15.099609375, 98.59375, 0.0, 1.39990234375, 6.7998046875, 53.3984375, 31.5, 6.8, 100.0, 98.59375, 0.0, 0.0, 0.0, 0.0, 566.0, 72.0, 0.0, 0.0, 18.0, "Tous les candidats", 2191.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "30942", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29840&g_ta_cod=30942", 100.0, 0.0, 0.0),
(6167, "Public", "0390027T", "Lycée Victor Bérard de MOREZ", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Hauts de Bienne", "formation sélective", "BTS", "Lycée Victor Bérard de MOREZ - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 18, 148, 14, 147, 0, 20, 1, 51, 6, 50, 14, 26, 1, 0, 0, 1, 0, 134, 0, 0, 0, 20, 1, 51, 6, 46, 13, 17, 73, 16, 2, 16, 0, 4.0, 13.0, 15.0, 0, 3, 14, 1, 4, 9, 2, 0, 5, 6, 3, 0, 0.0, 0, 3, 6, 7, 1, 14, 14, 25.0, 81.25, 93.75, 12.5, 100.0, 100.0, 50, 21.3984375, 87.5, 0.0, 35.6953125, 42.8984375, 21.3984375, 0.0, 0.0, 7.099609375, 0.0, 28.59765625, 21.3984375, 64.296875, 42.8984375, 5.0, 0.0, 36.0, 9.0, 6.0, "Tous les candidats sauf les Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 73.0, "5155", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5155&g_ta_cod=5155", 6.0, 31.0, 63.0),
(6168, "Public", "0590110Z", "Lycée Jean Perrin", "59", "Nord", "Hauts-de-France", "Lille", "Lambersart", "formation sélective", "BTS", "Lycée Jean Perrin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 758, 315, 736, 0, 76, 17, 199, 78, 250, 117, 211, 22, 0, 0, 18, 4, 333, 9, 0, 0, 41, 7, 105, 37, 148, 68, 39, 147, 33, 9, 26, 6, 9.0, 20.0, 23.0, 0, 14, 30, 3, 7, 20, 3, 0, 10, 12, 6, 2, 0.0, 1, 3, 16, 9, 2, 28, 28, 27.27, 60.61, 69.7, 27.296875, 93.296875, 93.296875, 30, 46.6953125, 90.890625, 0.0, 33.296875, 40.0, 20.0, 6.7, 0.0, 10.0, 3.2998046875, 23.296875, 10.0, 66.6875, 53.296875, 9.0, 4.0, 106.0, 48.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 151, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 25.0, "6775", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6775&g_ta_cod=6775", 15.0, 21.0, 64.0),
(6169, "Privé enseignement supérieur", "0442311Y", "IDRAC Business School - Campus de NANTES", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Ecole de Commerce", "Concours Bachelor IDRAC Business School - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "Approfondissement en : marketing digital, international, sport & business et approfondissement personnalisable", 160, 469, 170, 437, 0, 309, 46, 68, 23, 10, 8, 50, 32, 6, 6, 4, 16, 345, 9, 0, 0, 263, 33, 44, 11, 3, 1, 35, 354, 37, 14, 29, 8, 28.0, 29.0, 34.0, 0, 10, 32, 18, 12, 2, 5, 1, 16, 11, 3, 1, 0.0, 7, 6, 2, 0, 0, 25, 25, 75.68, 78.38, 91.89, 37.796875, 78.09375, 78.09375, 0, 31.296875, 86.5, 3.099609375, 50.0, 34.3984375, 9.3984375, 3.1, 0.0, 56.296875, 21.8984375, 37.5, 18.796875, 6.2998046875, 6.2998046875, 265.0, 33.0, 4.0, 1.0, 39.0, "Tous les candidats", 1420.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 79.0, "444", "Formation des écoles de commerce et de management Bac + 3", "Concours Bachelor IDRAC Business School", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=439&g_ta_cod=444", 57.0, 38.0, 5.0),
(6170, "Public", "0750685M", "Lycée Pierre-Gilles de Gennes - ENCPB", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Pierre-Gilles de Gennes - ENCPB - BTS - Production - Biotechnologies", "BTS - Production", "", 30, 1165, 687, 1165, 0, 291, 49, 426, 115, 32, 18, 416, 0, 0, 0, 0, 0, 403, 0, 0, 0, 198, 27, 177, 49, 16, 12, 12, 161, 34, 24, 34, 0, 21.0, 25.0, 31.0, 0, 7, 32, 16, 15, 1, 2, 0, 1, 15, 13, 3, 0.0, 15, 15, 1, 3, 2, 7, 32, 61.76, 73.53, 91.18, 70.59375, 21.8984375, 100.0, 9.3984375, 21.8984375, 94.09375, 0.0, 3.099609375, 46.8984375, 40.59375, 9.4, 0.0, 50.0, 46.8984375, 46.8984375, 46.8984375, 3.099609375, 3.099609375, 83.0, 15.0, 6.0, 5.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 101.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 17.0, "9079", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9079&g_ta_cod=9079", 47.0, 47.0, 6.0),
(6171, "Privé sous contrat d'association", "0511556P", "IRTS Champagne Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "EFTS", "IRTS Champagne Ardenne - D.E Educateur Spécialisé", "D.E secteur social", "", 50, 271, 219, 271, 0, 51, 11, 45, 8, 26, 3, 149, 0, 0, 0, 0, 0, 101, 0, 0, 0, 18, 5, 8, 1, 6, 0, 69, 67, 47, 36, 47, 0, 32.0, 43.0, 46.0, 0, 2, 15, 8, 4, 3, 32, 0, 3, 5, 7, 0, 0.0, 7, 2, 3, 0, 0, 13, 13, 68.09, 91.49, 97.87, 76.59375, 86.6875, 86.6875, 0, 13.298828125, 31.8984375, 0.0, 20.0, 33.296875, 46.6953125, 0.0, 0.0, 53.296875, 46.6953125, 26.69921875, 13.298828125, 20.0, 20.0, 10.0, 2.0, 5.0, 0.0, 48.0, "Tous les candidats", 74.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "24903", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24903&g_ta_cod=24903", 64.0, 17.0, 19.0),
(6172, "Public", "9740737H", "Lycée professionnel de L'Horizon", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "Autre formation", "Lycée professionnel de L'Horizon - Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "Mention complémentaire", "", 6, 42, 1, 35, 0, 0, 0, 0, 0, 34, 25, 1, 7, 0, 0, 7, 0, 29, 3, 0, 0, 0, 0, 0, 0, 29, 21, 0, 26, 4, 1, 1, 3, 0.0, 1.0, 3.0, 0, 4, 4, 0, 0, 4, 0, 0, 3, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 4, 4, 0.0, 25.0, 75.0, 25.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 26.0, 20.0, 0.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "20601", "Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20601&g_ta_cod=20601", 0.0, 0.0, 100.0),
(6173, "Public", "0911828T", "Lycée Georges Brassens", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "Autre formation", "Lycée Georges Brassens - DN MADE - Événement - - Spécialité : Espaces éphémères de marques et d'institutions culturelles", "DN MADE", "- Spécialité : Espaces éphémères de marques et d'institutions culturelles", 15, 320, 272, 320, 0, 105, 18, 96, 17, 36, 13, 83, 0, 0, 0, 0, 0, 237, 0, 0, 0, 81, 10, 79, 12, 17, 5, 60, 81, 13, 13, 13, 0, 0.0, 6.0, 12.0, 0, 4, 12, 6, 4, 2, 1, 0, 2, 5, 4, 1, 0.0, 6, 2, 2, 0, 0, 5, 8, 0.0, 46.15, 92.31, 100.0, 41.6953125, 66.6875, 0, 33.296875, 92.296875, 0.0, 16.69921875, 41.6953125, 33.296875, 8.3, 0.0, 50.0, 50.0, 33.296875, 16.69921875, 16.69921875, 16.69921875, 23.0, 5.0, 5.0, 1.0, 17.0, "Tous les candidats", 138.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "21620", "DN MADE - Événement - - Spécialité : Espaces éphémères de marques et d'institutions culturelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21620&g_ta_cod=21620", 54.0, 31.0, 15.0),
(6174, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Economie", "Licence - Droit-économie-gestion", "", 750, 8258, 3505, 8258, 0, 6159, 1079, 292, 113, 18, 8, 1789, 0, 0, 0, 0, 0, 8233, 0, 0, 0, 6159, 1079, 292, 113, 18, 8, 1764, 3110, 726, 310, 724, 0, 118.0, 496.0, 619.0, 0, 179, 662, 658, 4, 0, 64, 1, 112, 271, 226, 52, 0.0, 547, 2, 0, 0, 0, 135, 493, 16.25, 68.32, 85.26, 42.6953125, 20.3984375, 74.5, 0, 27.0, 91.1875, 0.199981689453125, 16.8984375, 40.8984375, 34.09375, 7.9, 0.0, 99.390625, 82.59375, 0.5999755859375, 0.29998779296875, 0.0, 0.0, 2885.0, 518.0, 0.0, 0.0, 216.0, "Tous les candidats", 3814.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "9216", "Licence - Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9216&g_ta_cod=9216", 99.0, 1.0, 0.0),
(6175, "Public", "0911254U", "Lycée professionnel Charles Baudelaire", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "BTS", "Lycée professionnel Charles Baudelaire - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 18, 1495, 806, 1495, 0, 76, 22, 526, 191, 508, 220, 385, 0, 0, 0, 0, 0, 1471, 0, 0, 0, 74, 21, 527, 191, 508, 220, 362, 78, 18, 13, 18, 0, 5.0, 13.0, 14.0, 0, 5, 16, 0, 8, 8, 2, 0, 2, 11, 3, 0, 0.0, 0, 6, 8, 4, 4, 16, 16, 27.78, 72.22, 77.78, 72.1875, 100.0, 100.0, 25, 31.296875, 88.890625, 0.0, 12.5, 68.796875, 18.796875, 0.0, 0.0, 0.0, 0.0, 50.0, 37.5, 50.0, 50.0, 16.0, 7.0, 32.0, 11.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 8.0, "20621", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20621&g_ta_cod=20621", 6.0, 44.0, 50.0),
(6176, "Privé sous contrat d'association", "0220116G", "Lycée/Pôle supérieur Saint BRIEUC", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "Autre formation", "Lycée/Pôle supérieur Saint BRIEUC - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 140, 70, 111, 0, 53, 7, 29, 3, 1, 0, 28, 29, 4, 2, 3, 20, 93, 15, 0, 0, 53, 7, 23, 2, 0, 0, 17, 90, 26, 14, 18, 8, 13.0, 18.0, 24.0, 0, 2, 19, 14, 5, 0, 7, 0, 4, 10, 3, 2, 0.0, 10, 5, 0, 0, 0, 18, 18, 50.0, 69.23, 92.31, 53.796875, 94.6875, 94.6875, 0, 10.5, 73.09375, 0.0, 21.09765625, 52.59375, 15.798828125, 10.5, 0.0, 73.6875, 52.59375, 26.296875, 26.296875, 0.0, 0.0, 47.0, 6.0, 0.0, 0.0, 26.0, "Tous les candidats", 96.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "3346", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3346&g_ta_cod=3346", 77.0, 19.0, 4.0),
(6177, "Privé sous contrat d'association", "0021818R", "Lycée Robert SCHUMAN", "02", "Aisne", "Hauts-de-France", "Amiens", "Chauny", "formation sélective", "BTS", "Lycée Robert SCHUMAN - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 32, 294, 90, 294, 0, 87, 12, 92, 12, 49, 8, 66, 0, 0, 0, 0, 0, 265, 0, 0, 0, 86, 11, 86, 9, 42, 4, 51, 135, 35, 9, 35, 0, 6.0, 24.0, 31.0, 0, 5, 21, 7, 8, 6, 14, 0, 6, 11, 3, 1, 0.0, 6, 5, 4, 3, 2, 10, 10, 17.14, 68.57, 88.57, 25.69921875, 47.59375, 47.59375, 14.298828125, 23.796875, 60.0, 0.0, 28.59765625, 52.3984375, 14.298828125, 4.8, 0.0, 33.296875, 28.59765625, 38.09375, 23.796875, 28.59765625, 19.0, 40.0, 5.0, 27.0, 4.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 85.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 62.0, "2084", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2084&g_ta_cod=2084", 40.0, 34.0, 26.0),
(6178, "Public", "0640001D", "Lycée Cantau", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation sélective", "BTS", "Lycée Cantau - BTS - Production - Bâtiment", "BTS - Production", "", 30, 464, 63, 449, 0, 65, 10, 206, 35, 97, 30, 81, 15, 0, 0, 9, 6, 212, 6, 0, 0, 30, 2, 107, 21, 59, 18, 16, 103, 26, 5, 24, 1, 3.0, 16.0, 25.0, 0, 5, 21, 3, 11, 7, 5, 0, 7, 11, 3, 0, 0.0, 2, 7, 5, 7, 0, 21, 21, 11.54, 61.54, 96.15, 19.19921875, 100.0, 100.0, 33.296875, 23.796875, 80.796875, 0.0, 33.296875, 52.3984375, 14.298828125, 0.0, 0.0, 14.298828125, 9.5, 52.3984375, 33.296875, 33.296875, 23.796875, 6.0, 2.0, 46.0, 13.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 113, "Liste d'appel propre à cette formation", 41.0, "7685", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7685&g_ta_cod=7685", 12.0, 58.0, 31.0),
(6179, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Sciences du langage", "Licence - Arts-lettres-langues", "", 75, 445, 379, 371, 0, 230, 36, 12, 4, 2, 1, 127, 74, 9, 5, 0, 60, 371, 70, 0, 0, 230, 36, 12, 4, 2, 1, 127, 384, 63, 51, 45, 18, 23.0, 45.0, 54.0, 0, 4, 23, 22, 1, 0, 40, 0, 5, 10, 8, 0, 0.0, 17, 1, 0, 0, 0, 12, 12, 36.51, 71.43, 85.71, 81.0, 52.1953125, 52.1953125, 0, 17.3984375, 36.5, 0.0, 21.69921875, 43.5, 34.796875, 0.0, 0.0, 95.6875, 73.890625, 4.2998046875, 4.2998046875, 0.0, 0.0, 219.0, 36.0, 1.0, 1.0, 149.0, "Tous les candidats", 371.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19169", "Licence - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19169&g_ta_cod=19169", 92.0, 8.0, 0.0),
(6180, "Public", "0900004R", "Lycée Raoul Follereau", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "BTS", "Lycée Raoul Follereau - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 13, 168, 17, 163, 0, 7, 0, 36, 13, 72, 19, 48, 5, 0, 1, 1, 3, 130, 1, 0, 0, 7, 0, 36, 13, 72, 19, 15, 61, 8, 0, 7, 1, 2.0, 5.0, 6.0, 0, 2, 7, 0, 0, 7, 1, 0, 4, 2, 0, 1, 0.0, 0, 0, 3, 0, 0, 4, 4, 25.0, 62.5, 75.0, 0.0, 57.09375, 57.09375, 0, 28.59765625, 87.5, 0.0, 57.09375, 28.59765625, 0.0, 14.3, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 42.8984375, 1.0, 0.0, 36.0, 9.0, 4.0, "Tous les candidats sauf les Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 55.0, "10809", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10809&g_ta_cod=10809", 0.0, 0.0, 100.0),
(6181, "Public", "0623138Z", "IFSI CH St-Omer", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Omer", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 59, 3924, 3131, 3924, 0, 719, 166, 772, 227, 392, 164, 2041, 0, 0, 0, 0, 0, 3304, 0, 0, 0, 649, 142, 662, 186, 315, 125, 1678, 802, 59, 50, 59, 0, 1.0, 20.0, 40.0, 0, 13, 44, 14, 19, 11, 15, 0, 9, 17, 12, 5, 1.0, 9, 16, 10, 0, 0, 43, 43, 1.69, 33.9, 67.8, 84.6875, 97.6875, 97.6875, 0, 29.5, 74.59375, 0.0, 20.5, 38.59375, 27.296875, 11.4, 2.3, 31.796875, 20.5, 43.1953125, 36.3984375, 25.0, 22.69921875, 173.0, 32.0, 95.0, 42.0, 356.0, "Tous les candidats", 4027.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "23141", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23141", 37.0, 41.0, 22.0),
(6182, "Public", "0750654D", "Lycée Henri IV", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "CPGE", "Lycée Henri IV - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 47, 2018, 1326, 2018, 1260, 1835, 137, 1, 0, 0, 0, 182, 0, 0, 0, 0, 0, 597, 0, 239, 590, 593, 44, 0, 0, 0, 0, 4, 130, 47, 30, 47, 0, 16.0, 43.0, 45.0, 8, 5, 47, 47, 0, 0, 0, 1, 0, 0, 0, 10, 36.0, 46, 0, 0, 6, 3, 20, 29, 34.04, 91.49, 95.74, 63.796875, 42.59375, 61.6953125, 12.798828125, 10.599609375, 100.0, 2.099609375, 0.0, 0.0, 0.0, 21.3, 76.6, 100.0, 97.890625, 0.0, 0.0, 0.0, 0.0, 127.0, 9.0, 0.0, 0.0, 3.0, "Tous les candidats", 154.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "8971", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8971&g_ta_cod=8971", 100.0, 0.0, 0.0),
(6183, "Public", "0650048Z", "INP-ENIT Tarbes", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 150, 4475, 1013, 4475, 0, 3910, 303, 0, 0, 0, 0, 565, 0, 0, 0, 0, 0, 3050, 0, 0, 0, 2858, 169, 0, 0, 0, 0, 192, 2389, 159, 18, 159, 0, 97.0, 131.0, 159.0, 0, 12, 155, 155, 0, 0, 4, 0, 2, 39, 92, 22, 0.0, 153, 0, 0, 0, 0, 68, 68, 61.01, 82.39, 100.0, 11.298828125, 43.8984375, 43.8984375, 0, 7.69921875, 97.5, 0.0, 1.2998046875, 25.19921875, 59.3984375, 14.2, 0.0, 100.0, 98.6875, 0.0, 0.0, 0.0, 0.0, 2240.0, 167.0, 0.0, 0.0, 149.0, "Autres candidats", 11976.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 60.0, "7822", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=7822", 100.0, 0.0, 0.0),
(6184, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence_Las", "Université de Caen Normandie - Licence - Portail Mathématiques", "Licence - Sciences - technologies - santé", "", 40, 455, 223, 455, 0, 367, 49, 10, 2, 2, 1, 76, 0, 0, 0, 0, 0, 455, 0, 0, 0, 367, 49, 10, 2, 2, 1, 76, 176, 40, 17, 39, 0, 8.0, 32.0, 39.0, 0, 7, 38, 38, 0, 0, 2, 0, 5, 13, 6, 12, 2.0, 33, 0, 0, 0, 0, 37, 37, 20.0, 80.0, 97.5, 42.5, 97.390625, 97.390625, 0, 18.3984375, 95.0, 0.0, 13.19921875, 34.1953125, 15.798828125, 31.6, 5.3, 100.0, 86.796875, 0.0, 0.0, 0.0, 0.0, 146.0, 20.0, 0.0, 0.0, 30.0, "Tous les candidats", 946.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 79.0, "27704", "Licence - Portail Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27703&g_ta_cod=27704", 100.0, 0.0, 0.0),
(6185, "Public", "0590119J", "Lycée Faidherbe", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Faidherbe - CPGE - MPSI", "Classe préparatoire scientifique", "", 95, 3560, 1058, 3560, 2509, 2810, 321, 4, 1, 3, 1, 743, 0, 0, 0, 0, 0, 1107, 0, 870, 1088, 1060, 105, 0, 0, 0, 0, 47, 345, 95, 24, 95, 0, 19.0, 70.0, 92.0, 44, 9, 94, 94, 0, 0, 1, 0, 0, 0, 2, 50, 42.0, 94, 0, 0, 6, 2, 83, 83, 20.0, 73.68, 96.84, 25.296875, 88.296875, 88.296875, 6.3994140625, 9.599609375, 98.890625, 0.0, 0.0, 0.0, 2.099609375, 53.2, 44.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 338.0, 32.0, 0.0, 0.0, 7.0, "Tous les candidats", 494.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "6780", "CPGE - MPSI", "", "", 100.0, 0.0, 0.0),
(6186, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 1 -  Sc. du langage - Anglais (LLCER)", "Licence - Arts-lettres-langues", "1 -  Sc. du langage - Anglais (LLCER)", 90, 501, 372, 442, 0, 294, 62, 30, 7, 27, 16, 91, 59, 15, 5, 3, 36, 438, 35, 0, 0, 294, 62, 30, 7, 27, 16, 87, 340, 82, 64, 66, 16, 7.0, 65.0, 71.0, 0, 15, 54, 45, 7, 2, 28, 0, 24, 17, 11, 1, 1.0, 25, 4, 1, 0, 0, 40, 40, 8.54, 79.27, 86.59, 78.0, 74.09375, 74.09375, 0, 27.796875, 65.890625, 0.0, 44.3984375, 31.5, 20.3984375, 1.9, 1.9, 83.296875, 46.296875, 13.0, 7.3994140625, 3.69970703125, 1.89990234375, 229.0, 52.0, 14.0, 9.0, 74.0, "Tous les candidats", 438.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "23454", "Licence - Portail 1 -  Sc. du langage - Anglais (LLCER)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23454&g_ta_cod=23454", 76.0, 17.0, 7.0),
(6187, "Public", "0320691C", "I.U.T de Toulouse - Antenne d'Auch", "32", "Gers", "Occitanie", "Toulouse", "Auch", "formation sélective", "BUT", "I.U.T de Toulouse - Antenne d'Auch - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 26, 817, 545, 817, 0, 449, 43, 178, 54, 4, 0, 186, 0, 0, 0, 0, 0, 717, 0, 0, 0, 446, 43, 118, 30, 0, 0, 153, 255, 29, 17, 29, 0, 3.0, 17.0, 25.0, 0, 7, 25, 13, 12, 0, 4, 0, 5, 10, 9, 1, 0.0, 11, 9, 0, 0, 0, 20, 20, 10.34, 58.62, 86.21, 58.59375, 80.0, 80.0, 0, 28.0, 86.1875, 0.0, 20.0, 40.0, 36.0, 4.0, 0.0, 52.0, 44.0, 48.0, 36.0, 0.0, 0.0, 108.0, 23.0, 0.0, 0.0, 74.0, "Tous les candidats sauf les Bac technologiques", 323.0, "Bacheliers technologiques toutes séries", 130, "", 0, "Liste d'appel propre à cette formation", 55.0, "4265", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4265&g_ta_cod=4265", 59.0, 41.0, 0.0),
(6188, "Public", "0750710P", "Lycée Auguste Renoir", "75", "Paris", "Ile-de-France", "Paris", "Paris 18e  Arrondissement", "formation sélective", "Autre formation", "Lycée Auguste Renoir - DN MADE - Graphisme - - Spécialité : Image de communication", "DN MADE", "- Spécialité : Image de communication", 24, 1249, 814, 1249, 0, 401, 77, 203, 36, 168, 35, 477, 0, 0, 0, 0, 0, 129, 0, 0, 0, 36, 6, 55, 2, 8, 0, 30, 76, 24, 18, 24, 0, 7.0, 21.0, 23.0, 0, 4, 17, 7, 10, 0, 7, 0, 0, 7, 6, 4, 0.0, 7, 10, 0, 0, 0, 1, 7, 29.17, 87.5, 95.83, 75.0, 5.8994140625, 41.1953125, 0, 23.5, 70.796875, 0.0, 0.0, 41.1953125, 35.296875, 23.5, 0.0, 41.1953125, 41.1953125, 58.796875, 58.796875, 0.0, 0.0, 15.0, 6.0, 4.0, 0.0, 25.0, "Tous les candidats", 113.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "21745", "DN MADE - Graphisme - - Spécialité : Image de communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21745&g_ta_cod=21745", 50.0, 50.0, 0.0),
(6189, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Double licence - Géographie et aménagement / Economie - Géographie - Economie", "Licence - Sciences humaines et sociales", "Géographie - Economie", 30, 332, 147, 332, 0, 251, 32, 3, 2, 1, 0, 77, 0, 0, 0, 0, 0, 176, 0, 0, 0, 133, 8, 0, 0, 0, 0, 43, 92, 29, 13, 29, 0, 6.0, 22.0, 27.0, 0, 2, 23, 23, 0, 0, 6, 0, 0, 0, 10, 13, 0.0, 23, 0, 0, 0, 0, 6, 17, 20.69, 75.86, 93.1, 44.796875, 26.09765625, 73.890625, 0, 8.69921875, 79.296875, 0.0, 0.0, 0.0, 43.5, 56.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 70.0, 8.0, 0.0, 0.0, 22.0, "Tous les candidats", 100.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "17155", "Double licence - Géographie et aménagement / Economie - Géographie - Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17155&g_ta_cod=17155", 100.0, 0.0, 0.0),
(6190, "Privé sous contrat d'association", "0300080Z", "Lycée Emmanuel d'Alzon", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "CPGE", "Lycée Emmanuel d'Alzon - CPGE - TSI", "Classe préparatoire scientifique", "", 48, 195, 17, 184, 130, 0, 0, 167, 39, 0, 0, 17, 11, 0, 4, 0, 7, 183, 7, 129, 170, 0, 0, 167, 39, 0, 0, 16, 162, 17, 0, 16, 1, 3.0, 16.0, 17.0, 5, 2, 12, 0, 12, 0, 5, 0, 4, 4, 3, 1, 0.0, 0, 8, 0, 4, 0, 6, 6, 17.65, 94.12, 100.0, 0.0, 50.0, 50.0, 33.296875, 16.69921875, 70.59375, 0.0, 33.296875, 33.296875, 25.0, 8.3, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 19.0, "Tous les candidats", 183.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "18673", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18673&g_ta_cod=18673", 0.0, 100.0, 0.0),
(6191, "Privé sous contrat d'association", "0421021G", "Externat Saint Michel", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Externat Saint Michel - BTS - Services - Diététique", "BTS - Services", "", 30, 802, 681, 801, 0, 222, 38, 197, 46, 74, 23, 308, 1, 0, 0, 0, 1, 432, 0, 0, 0, 143, 21, 122, 23, 26, 9, 141, 160, 26, 25, 26, 0, 8.0, 15.0, 20.0, 0, 4, 14, 5, 8, 1, 12, 0, 1, 8, 5, 0, 0.0, 5, 7, 1, 0, 0, 14, 14, 30.77, 57.69, 76.92, 96.1875, 100.0, 100.0, 0, 28.59765625, 53.796875, 0.0, 7.099609375, 57.09375, 35.6953125, 0.0, 0.0, 35.6953125, 35.6953125, 57.09375, 50.0, 7.099609375, 7.099609375, 36.0, 7.0, 15.0, 3.0, 70.0, "Tous les candidats sauf les Bac professionnels", 213.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 28.0, "5324", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5324&g_ta_cod=5324", 50.0, 46.0, 4.0),
(6192, "Public", "0010060K", "IFSI CH Fleyriat", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lyon - D.E Infirmier", "D.E secteur sanitaire", "", 107, 6620, 5607, 6620, 0, 984, 196, 1217, 321, 836, 330, 3583, 0, 0, 0, 0, 0, 4953, 0, 0, 0, 876, 157, 985, 236, 536, 198, 2556, 1269, 107, 91, 107, 0, 2.0, 32.0, 68.0, 0, 10, 64, 20, 26, 18, 43, 1, 10, 32, 19, 2, 0.0, 15, 20, 18, 0, 0, 40, 40, 1.87, 29.91, 63.55, 85.0, 62.5, 62.5, 0, 15.599609375, 59.796875, 1.599853515625, 15.599609375, 50.0, 29.69921875, 3.1, 0.0, 31.296875, 23.3984375, 40.59375, 31.296875, 28.09765625, 28.09765625, 301.0, 46.0, 153.0, 59.0, 517.0, "Tous les candidats", 3792.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "23158", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23001&g_ta_cod=23158", 35.0, 36.0, 30.0),
(6193, "Public", "0911975C", "Université d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation non sélective", "Licence", "Université d'Evry Val d'Essonne - Licence - Musicologie", "Licence - Arts-lettres-langues", "", 80, 400, 181, 278, 0, 161, 36, 32, 5, 9, 5, 76, 122, 20, 12, 11, 79, 278, 100, 0, 0, 161, 36, 32, 5, 9, 5, 76, 327, 78, 27, 33, 45, 2.0, 32.0, 55.0, 0, 10, 37, 23, 10, 4, 41, 0, 27, 9, 1, 0, 0.0, 6, 3, 1, 0, 0, 24, 31, 2.56, 41.03, 70.51, 34.59375, 64.890625, 83.796875, 0, 27.0, 47.3984375, 0.0, 73.0, 24.296875, 2.69970703125, 0.0, 0.0, 62.1953125, 16.19921875, 27.0, 8.099609375, 10.798828125, 2.69970703125, 163.0, 40.0, 13.0, 6.0, 120.0, "Tous les candidats", 278.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10954", "Licence - Musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10954&g_ta_cod=10954", 58.0, 29.0, 13.0),
(6194, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence", "Avignon Université - Licence - Mathématiques - Parcours Mathématiques Générales", "Licence - Sciences - technologies - santé", "Mathématiques Générales", 120, 633, 208, 533, 0, 398, 98, 19, 7, 0, 0, 116, 100, 24, 6, 0, 70, 533, 76, 0, 0, 398, 98, 19, 7, 0, 0, 116, 552, 64, 19, 42, 22, 13.0, 40.0, 62.0, 0, 8, 30, 28, 2, 0, 34, 1, 14, 8, 2, 5, 0.0, 13, 2, 0, 0, 0, 23, 23, 20.31, 62.5, 96.88, 29.69921875, 76.6875, 76.6875, 0, 26.69921875, 46.8984375, 3.2998046875, 46.6953125, 26.69921875, 6.69921875, 16.7, 0.0, 93.296875, 43.296875, 6.69921875, 6.69921875, 0.0, 0.0, 379.0, 93.0, 0.0, 0.0, 160.0, "Tous les candidats", 533.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10458", "Licence - Mathématiques - Parcours Mathématiques Générales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10458&g_ta_cod=10458", 91.0, 5.0, 0.0),
(6195, "Public", "0760165S", "INSA Rouen Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Saint-Etienne-du-Rouvray", "formation sélective", "Ecole d'Ingénieur", "Groupe INSA - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 240, 12277, 3881, 12277, 0, 11038, 735, 0, 0, 0, 0, 1239, 0, 0, 0, 0, 0, 9120, 0, 0, 0, 8231, 502, 0, 0, 0, 0, 889, 2658, 236, 99, 236, 0, 68.0, 153.0, 209.0, 0, 18, 219, 219, 0, 0, 17, 1, 1, 2, 43, 153, 19.0, 217, 0, 0, 0, 0, 76, 76, 28.81, 64.83, 88.56, 41.8984375, 34.6953125, 34.6953125, 0, 8.19921875, 92.796875, 0.5, 0.5, 0.89990234375, 19.59765625, 69.9, 8.7, 100.0, 99.09375, 0.0, 0.0, 0.0, 0.0, 2484.0, 191.0, 0.0, 0.0, 174.0, "Tous les candidats", 6164.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "63", "Formation d'ingénieur Bac + 5 - Bac Général", "Groupe INSA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=57&g_ta_cod=63", 100.0, 0.0, 0.0),
(6196, "Privé sous contrat d'association", "0741101V", "Lycée Les Bressis", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BTS", "Lycée Les Bressis - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 15, 377, 178, 377, 0, 47, 6, 152, 28, 117, 56, 61, 0, 0, 0, 0, 0, 343, 0, 0, 0, 47, 6, 152, 28, 88, 37, 56, 96, 14, 9, 14, 0, 0.0, 9.0, 12.0, 0, 5, 11, 0, 6, 5, 3, 1, 4, 6, 0, 0, 0.0, 0, 2, 4, 4, 3, 11, 11, 0.0, 64.29, 85.71, 64.296875, 100.0, 100.0, 36.3984375, 45.5, 78.59375, 9.099609375, 36.3984375, 54.5, 0.0, 0.0, 0.0, 0.0, 0.0, 54.5, 18.19921875, 45.5, 36.3984375, 3.0, 2.0, 30.0, 10.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 35.0, "8896", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8896&g_ta_cod=8896", 14.0, 50.0, 36.0),
(6197, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "PASS", "Université des Antilles - Pôle Guadeloupe - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 20, 1047, 794, 1047, 0, 810, 242, 105, 63, 20, 12, 112, 0, 0, 0, 0, 0, 1042, 0, 0, 0, 810, 242, 105, 63, 20, 12, 107, 45, 24, 21, 24, 0, 10.0, 24.0, 24.0, 0, 10, 24, 24, 0, 0, 0, 0, 0, 0, 5, 15, 4.0, 24, 0, 0, 0, 0, 24, 24, 41.67, 100.0, 100.0, 87.5, 100.0, 100.0, 0, 41.6953125, 100.0, 0.0, 0.0, 0.0, 20.796875, 62.5, 16.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 44.0, 16.0, 0.0, 0.0, 1.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 6.0, "27426", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27424&g_ta_cod=27426", 100.0, 0.0, 0.0),
(6198, "Public", "0750671X", "Lycée Edgar Quinet", "75", "Paris", "Ile-de-France", "Paris", "Paris  9e  Arrondissement", "formation sélective", "BTS", "Lycée Edgar Quinet - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 1742, 1256, 1742, 0, 35, 13, 558, 287, 664, 381, 485, 0, 0, 0, 0, 0, 843, 0, 0, 0, 26, 9, 297, 149, 395, 224, 125, 174, 18, 16, 17, 0, 1.0, 11.0, 16.0, 0, 6, 13, 1, 10, 2, 5, 0, 1, 10, 2, 0, 0.0, 1, 9, 2, 0, 0, 7, 13, 5.56, 61.11, 88.89, 88.890625, 53.796875, 100.0, 0, 46.1953125, 72.1875, 0.0, 7.69921875, 76.890625, 15.3984375, 0.0, 0.0, 7.69921875, 7.69921875, 76.890625, 69.1875, 15.3984375, 15.3984375, 9.0, 5.0, 47.0, 26.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 199, "Bacheliers technologiques toutes séries", 137, "Liste d'appel propre à cette formation", 20.0, "9006", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9006&g_ta_cod=9006", 6.0, 56.0, 39.0),
(6199, "Privé sous contrat d'association", "0300080Z", "Lycée Emmanuel d'Alzon", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "CPGE", "Lycée Emmanuel d'Alzon - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 507, 131, 484, 320, 387, 57, 0, 0, 0, 0, 97, 23, 11, 0, 0, 12, 462, 18, 311, 446, 386, 57, 0, 0, 0, 0, 76, 342, 42, 7, 36, 6, 0.0, 11.0, 36.0, 13, 4, 24, 24, 0, 0, 18, 0, 1, 17, 5, 1, 0.0, 23, 0, 0, 4, 0, 16, 16, 0.0, 26.19, 85.71, 16.69921875, 66.6875, 66.6875, 16.69921875, 16.69921875, 57.09375, 0.0, 4.19921875, 70.796875, 20.796875, 4.2, 0.0, 100.0, 95.796875, 0.0, 0.0, 0.0, 0.0, 278.0, 36.0, 0.0, 0.0, 64.0, "Tous les candidats", 461.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "3960", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3960&g_ta_cod=3960", 100.0, 0.0, 0.0),
(6200, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Langues étrangères appliquées - Parcours LEA Anglais Allemand", "Licence - Arts-lettres-langues", "LEA Anglais Allemand", 82, 488, 336, 442, 0, 273, 70, 30, 13, 2, 0, 137, 46, 15, 4, 1, 26, 442, 42, 0, 0, 273, 70, 30, 13, 2, 0, 137, 408, 81, 40, 51, 30, 13.0, 50.0, 71.0, 0, 14, 36, 28, 8, 0, 45, 0, 17, 11, 7, 1, 0.0, 14, 5, 0, 0, 0, 4, 31, 16.05, 61.73, 87.65, 49.3984375, 11.099609375, 86.09375, 0, 38.8984375, 44.3984375, 0.0, 47.1953125, 30.59765625, 19.3984375, 2.8, 0.0, 77.796875, 38.8984375, 22.19921875, 13.8984375, 0.0, 0.0, 255.0, 68.0, 0.0, 0.0, 128.0, "Tous les candidats", 437.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "9332", "Licence - Langues étrangères appliquées - Parcours LEA Anglais Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9332&g_ta_cod=9332", 72.0, 26.0, 1.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(6201, "Public", "0560026Z", "Lycée Jean-Baptiste Colbert", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BTS", "Lycée Jean-Baptiste Colbert - BTS - Production - Conception de produits industriels", "BTS - Production", "", 28, 269, 20, 269, 0, 23, 5, 143, 23, 55, 7, 48, 0, 0, 0, 0, 0, 238, 0, 0, 0, 22, 5, 142, 23, 49, 7, 25, 118, 20, 2, 20, 0, 4.0, 18.0, 20.0, 0, 4, 18, 1, 10, 7, 2, 0, 10, 5, 2, 1, 0.0, 0, 3, 5, 2, 0, 16, 16, 20.0, 90.0, 100.0, 10.0, 88.890625, 88.890625, 11.099609375, 22.19921875, 90.0, 0.0, 55.59375, 27.796875, 11.099609375, 5.6, 0.0, 5.599609375, 0.0, 55.59375, 16.69921875, 38.8984375, 27.796875, 6.0, 2.0, 35.0, 6.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 142, "Liste d'appel propre à cette formation", 76.0, "6426", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6426&g_ta_cod=6426", 5.0, 60.0, 35.0),
(6202, "Public", "0772277G", "Lycée Henri Becquerel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Nangis", "formation sélective", "BTS", "Lycée Henri Becquerel - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 628, 290, 628, 0, 29, 6, 120, 36, 149, 53, 330, 0, 0, 0, 0, 0, 307, 0, 0, 0, 24, 6, 86, 28, 107, 32, 90, 139, 28, 13, 28, 0, 5.0, 18.0, 21.0, 0, 7, 15, 1, 6, 8, 13, 0, 7, 7, 1, 0, 0.0, 0, 3, 5, 2, 2, 13, 14, 17.86, 64.29, 75.0, 46.3984375, 86.6875, 93.296875, 13.298828125, 46.6953125, 53.59375, 0.0, 46.6953125, 46.6953125, 6.69921875, 0.0, 0.0, 6.69921875, 0.0, 40.0, 20.0, 53.296875, 33.296875, 13.0, 5.0, 57.0, 16.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers technologiques toutes séries", 65, "Bacheliers professionnels toutes séries", 72, "Liste d'appel propre à cette formation", 25.0, "29984", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29984&g_ta_cod=29984", 18.0, 36.0, 46.0),
(6203, "Public", "0730016W", "Lycée Monge", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "BTS", "Lycée Monge - BTS - Production - Traitement des matériaux", "BTS - Production", "", 15, 152, 30, 140, 0, 13, 2, 50, 9, 2, 2, 75, 12, 2, 4, 0, 6, 78, 9, 0, 0, 13, 2, 46, 8, 1, 1, 18, 70, 9, 1, 7, 2, 0.0, 7.0, 8.0, 0, 2, 5, 0, 5, 0, 4, 0, 2, 2, 1, 0, 0.0, 0, 3, 0, 1, 0, 2, 2, 0.0, 77.78, 88.89, 11.099609375, 40.0, 40.0, 20, 40.0, 55.59375, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 13.0, 2.0, 1.0, 1.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 1, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 56.0, "8783", "BTS - Production - Traitement des matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8783&g_ta_cod=8783", 0.0, 100.0, 0.0),
(6204, "Privé sous contrat d'association", "0820044C", "Lycée Pierre_Marie THEAS", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Montauban", "formation sélective", "BTS", "Lycée Pierre_Marie THEAS - BTS - Services - Commerce International", "BTS - Services", "", 24, 273, 125, 272, 0, 91, 10, 78, 21, 34, 9, 69, 1, 0, 0, 0, 1, 237, 0, 0, 0, 87, 10, 75, 21, 26, 6, 49, 100, 22, 11, 22, 0, 6.0, 16.0, 20.0, 0, 3, 15, 9, 5, 1, 7, 0, 7, 5, 3, 0, 0.0, 4, 3, 1, 4, 2, 14, 14, 27.27, 72.73, 90.91, 50.0, 93.296875, 93.296875, 26.69921875, 20.0, 68.1875, 0.0, 46.6953125, 33.296875, 20.0, 0.0, 0.0, 60.0, 26.69921875, 33.296875, 20.0, 6.69921875, 6.69921875, 44.0, 6.0, 18.0, 5.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 55.0, "18920", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18920&g_ta_cod=18920", 59.0, 32.0, 9.0),
(6205, "Public", "0741586X", "Université Savoie Mont Blanc - Annecy-le-Vieux", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "Licence", "Université Savoie Mont Blanc - Annecy-le-Vieux - Double licence - Droit / Langues étrangères appliquées - Double diplôme Droit - LEA", "Licence - Droit-économie-gestion", "Double diplôme Droit - LEA", 30, 398, 339, 398, 0, 336, 46, 12, 4, 2, 0, 48, 0, 0, 0, 0, 0, 200, 0, 0, 0, 181, 18, 0, 0, 0, 0, 19, 95, 30, 28, 30, 0, 5.0, 29.0, 30.0, 0, 6, 29, 29, 0, 0, 1, 0, 0, 1, 17, 10, 1.0, 29, 0, 0, 0, 0, 14, 14, 16.67, 96.67, 100.0, 93.296875, 48.296875, 48.296875, 0, 20.69921875, 96.6875, 0.0, 0.0, 3.39990234375, 58.59375, 34.5, 3.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 87.0, 14.0, 0.0, 0.0, 8.0, "Tous les candidats", 116.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "20393", "Double licence - Droit / Langues étrangères appliquées - Double diplôme Droit - LEA", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20393&g_ta_cod=20393", 100.0, 0.0, 0.0),
(6206, "Privé sous contrat d'association", "0311213A", "Lycée Issec Pigier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Issec Pigier - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 431, 199, 407, 0, 60, 14, 74, 27, 68, 28, 205, 24, 0, 0, 16, 8, 284, 7, 0, 0, 60, 14, 74, 27, 68, 28, 82, 125, 14, 10, 11, 3, 2.0, 5.0, 8.0, 0, 4, 9, 2, 2, 5, 5, 0, 8, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 9, 9, 14.29, 35.71, 57.14, 71.390625, 100.0, 100.0, 0, 44.3984375, 64.296875, 0.0, 88.890625, 11.099609375, 0.0, 0.0, 0.0, 22.19921875, 0.0, 22.19921875, 0.0, 55.59375, 11.099609375, 25.0, 6.0, 47.0, 18.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 69.0, "Bacheliers technologiques toutes séries", 35, "Bacheliers professionnels toutes séries", 68, "Liste d'appel propre à cette formation", 42.0, "30069", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30069&g_ta_cod=30069", 21.0, 36.0, 43.0),
(6207, "Public", "0940120V", "Lycée Marcelin Berthelot", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "CPGE", "Lycée Marcelin Berthelot - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 357, 256, 346, 121, 306, 36, 1, 0, 0, 0, 39, 11, 3, 0, 1, 7, 318, 3, 84, 311, 298, 33, 0, 0, 0, 0, 20, 260, 37, 22, 36, 1, 10.0, 30.0, 37.0, 3, 1, 34, 34, 0, 0, 3, 0, 2, 13, 9, 9, 1.0, 32, 0, 0, 8, 7, 29, 29, 27.03, 81.08, 100.0, 59.5, 85.296875, 85.296875, 23.5, 2.89990234375, 91.890625, 0.0, 5.8994140625, 38.1953125, 26.5, 26.5, 2.9, 100.0, 94.09375, 0.0, 0.0, 0.0, 0.0, 244.0, 23.0, 0.0, 0.0, 16.0, "Tous les candidats", 321.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "11396", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11396&g_ta_cod=11396", 100.0, 0.0, 0.0),
(6208, "Public", "0692517L", "LPO Camus-Sermenaz", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Rillieux-la-Pape", "formation sélective", "BTS", "LPO Camus-Sermenaz - BTS - Services - Assurance", "BTS - Services", "", 35, 1110, 681, 1110, 0, 109, 38, 385, 194, 221, 131, 395, 0, 0, 0, 0, 0, 344, 0, 0, 0, 40, 12, 160, 76, 90, 57, 54, 207, 33, 24, 33, 0, 1.0, 16.0, 24.0, 0, 16, 29, 6, 11, 12, 4, 0, 16, 11, 1, 1, 0.0, 4, 4, 5, 3, 1, 23, 23, 3.03, 48.48, 72.73, 72.6875, 79.296875, 79.296875, 10.298828125, 55.1953125, 87.890625, 0.0, 55.1953125, 37.8984375, 3.39990234375, 3.4, 0.0, 20.69921875, 13.798828125, 37.8984375, 13.798828125, 41.3984375, 17.19921875, 31.0, 11.0, 58.0, 34.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 98, "Bacheliers technologiques toutes séries", 111, "Liste d'appel propre à cette formation", 22.0, "8542", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8542&g_ta_cod=8542", 21.0, 42.0, 36.0),
(6209, "Public", "0270016W", "Lycée Aristide Briand", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BTS", "Lycée Aristide Briand - BTS - Services - Support à l'action managériale", "BTS - Services", "", 53, 375, 243, 375, 0, 17, 5, 106, 47, 120, 57, 132, 0, 0, 0, 0, 0, 320, 0, 0, 0, 16, 5, 106, 47, 120, 57, 78, 177, 48, 28, 48, 0, 0.0, 17.0, 38.0, 0, 7, 35, 3, 14, 18, 13, 2, 17, 14, 2, 0, 0.0, 1, 5, 10, 7, 2, 33, 33, 0.0, 35.42, 79.17, 58.296875, 94.296875, 94.296875, 20, 20.0, 72.890625, 5.69921875, 48.59375, 40.0, 5.69921875, 0.0, 0.0, 8.599609375, 2.89990234375, 40.0, 14.298828125, 51.3984375, 28.59765625, 11.0, 4.0, 66.0, 27.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 93, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 54.0, "3684", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3684&g_ta_cod=3684", 8.0, 44.0, 48.0),
(6210, "Privé sous contrat d'association", "0763400H", "UniLaSalle Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation sélective", "Ecole d'Ingénieur", "UniLaSalle (Beauvais, Rouen, Rennes) - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 85, 755, 414, 739, 0, 735, 34, 0, 0, 0, 0, 4, 16, 15, 0, 0, 1, 707, 2, 0, 0, 703, 32, 0, 0, 0, 0, 4, 550, 45, 27, 44, 1, 22.0, 44.0, 45.0, 0, 1, 45, 45, 0, 0, 0, 0, 3, 21, 18, 3, 0.0, 42, 0, 0, 0, 0, 29, 29, 48.89, 97.78, 100.0, 60.0, 64.390625, 64.390625, 0, 2.19970703125, 100.0, 0.0, 6.69921875, 46.6953125, 40.0, 6.7, 0.0, 100.0, 93.296875, 0.0, 0.0, 0.0, 0.0, 546.0, 24.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "29288", "Formation d'ingénieur Bac + 5 - Série générale", "UniLaSalle (Beauvais, Rouen, Rennes)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30779&g_ta_cod=29288", 100.0, 0.0, 0.0),
(6211, "Privé enseignement supérieur", "0352349N", "Institut Catholique de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Bruz", "formation sélective", "Licence", "Institut Catholique de Rennes - Licence - Double diplôme - Licence Langues, littératures & civilisations étrangères et régionales - Anglais LLCER Droit et Commerce International", "Licence - Arts-lettres-langues", "Anglais LLCER Droit et Commerce International", 80, 91, 63, 77, 0, 74, 9, 0, 0, 0, 0, 3, 14, 8, 1, 0, 5, 57, 2, 0, 0, 55, 5, 0, 0, 0, 0, 2, 59, 14, 12, 13, 1, 13.0, 13.0, 14.0, 0, 3, 14, 14, 0, 0, 0, 0, 1, 6, 7, 0, 0.0, 13, 0, 0, 0, 0, 11, 11, 92.86, 92.86, 100.0, 85.6875, 78.59375, 78.59375, 0, 21.3984375, 100.0, 0.0, 7.099609375, 42.8984375, 50.0, 0.0, 0.0, 100.0, 92.890625, 0.0, 0.0, 0.0, 0.0, 56.0, 5.0, 0.0, 0.0, 3.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "13724", "Licence - Double diplôme - Licence Langues, littératures & civilisations étrangères et régionales - Anglais LLCER Droit et Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13724&g_ta_cod=13724", 100.0, 0.0, 0.0),
(6212, "Public", "0330126H", "Lycée Victor Louis", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "BTS", "Lycée Victor Louis - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 520, 266, 517, 0, 84, 20, 170, 57, 125, 55, 138, 3, 0, 0, 2, 1, 392, 1, 0, 0, 78, 16, 149, 49, 74, 32, 91, 151, 33, 13, 33, 0, 7.0, 30.0, 32.0, 0, 8, 26, 2, 14, 10, 7, 0, 5, 14, 3, 4, 0.0, 1, 10, 10, 6, 2, 24, 24, 21.21, 90.91, 96.97, 39.3984375, 92.296875, 92.296875, 23.09765625, 30.796875, 78.796875, 0.0, 19.19921875, 53.796875, 11.5, 15.4, 0.0, 7.69921875, 3.7998046875, 53.796875, 38.5, 38.5, 38.5, 14.0, 5.0, 44.0, 20.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 77, "Bacheliers technologiques toutes séries", 107, "Liste d'appel propre à cette formation", 43.0, "4317", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4317&g_ta_cod=4317", 12.0, 52.0, 36.0),
(6213, "Public", "0720896H", "Lycée Militaire Prytanee National", "72", "Sarthe", "Pays de la Loire", "Nantes", "La Flèche", "formation sélective", "CPGE", "Lycée Militaire Prytanee National - CPGE - PCSI", "Classe préparatoire scientifique", "", 40, 887, 176, 887, 887, 748, 55, 1, 0, 0, 0, 138, 0, 0, 0, 0, 0, 887, 0, 887, 0, 748, 55, 1, 0, 0, 0, 138, 231, 39, 8, 39, 0, 10.0, 26.0, 31.0, 39, 3, 30, 30, 0, 0, 9, 0, 0, 1, 21, 8, 0.0, 30, 0, 0, 2, 0, 2, 2, 25.64, 66.67, 79.49, 20.5, 6.69921875, 6.69921875, 6.69921875, 10.0, 76.890625, 0.0, 0.0, 3.2998046875, 70.0, 26.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 217.0, 13.0, 0.0, 0.0, 14.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "8733", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8733&g_ta_cod=8733", 100.0, 0.0, 0.0),
(6214, "Public", "0350053T", "Lycée Bertrand D'Argentre", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Vitré", "formation sélective", "BTS", "Lycée Bertrand D'Argentre - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 284, 205, 256, 0, 19, 5, 108, 37, 67, 35, 62, 28, 1, 5, 9, 13, 166, 4, 0, 0, 18, 5, 83, 27, 47, 22, 18, 136, 26, 22, 25, 1, 7.0, 25.0, 25.0, 0, 13, 23, 2, 14, 7, 3, 0, 13, 6, 2, 2, 0.0, 1, 5, 4, 4, 2, 21, 21, 26.92, 96.15, 96.15, 84.59375, 91.296875, 91.296875, 17.3984375, 56.5, 88.5, 0.0, 56.5, 26.09765625, 8.69921875, 8.7, 0.0, 8.69921875, 4.2998046875, 60.8984375, 21.69921875, 30.3984375, 17.3984375, 17.0, 5.0, 39.0, 19.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 65.0, "4656", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4656&g_ta_cod=4656", 15.0, 54.0, 31.0),
(6215, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - Licence - Lettres - Parcours Littérature renforcée", "Licence - Arts-lettres-langues", "Littérature renforcée", 50, 102, 79, 65, 0, 44, 7, 0, 0, 1, 0, 20, 37, 5, 2, 3, 27, 51, 16, 0, 0, 38, 4, 0, 0, 0, 0, 13, 67, 14, 12, 9, 5, 9.0, 9.0, 13.0, 0, 3, 9, 8, 0, 1, 5, 0, 1, 6, 1, 0, 1.0, 7, 0, 1, 0, 0, 7, 7, 64.29, 64.29, 92.86, 85.6875, 77.796875, 77.796875, 0, 33.296875, 64.296875, 0.0, 11.099609375, 66.6875, 11.099609375, 0.0, 11.1, 88.890625, 77.796875, 0.0, 0.0, 11.099609375, 11.099609375, 42.0, 4.0, 1.0, 1.0, 24.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "8264", "Licence - Lettres - Parcours Littérature renforcée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8264&g_ta_cod=8264", 93.0, 0.0, 7.0),
(6216, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Humanités - Parcours Humanités et Sciences Humaines - A distance", "Licence - Arts-lettres-langues", "Humanités et Sciences Humaines - A distance", 100, 388, 252, 343, 0, 78, 15, 8, 2, 1, 0, 256, 45, 3, 0, 1, 41, 343, 29, 0, 0, 78, 15, 8, 2, 1, 0, 256, 324, 98, 65, 78, 20, 29.0, 77.0, 85.0, 0, 2, 11, 10, 1, 0, 87, 0, 5, 3, 2, 0, 1.0, 6, 0, 0, 0, 0, 4, 8, 29.59, 78.57, 86.73, 66.296875, 36.3984375, 72.6875, 0, 18.19921875, 11.19921875, 0.0, 45.5, 27.296875, 18.19921875, 0.0, 9.1, 90.890625, 54.5, 9.099609375, 0.0, 0.0, 0.0, 74.0, 13.0, 0.0, 0.0, 245.0, "Tous les candidats", 343.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20897", "Licence - Humanités - Parcours Humanités et Sciences Humaines - A distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20897&g_ta_cod=20897", 76.0, 12.0, 3.0),
(6217, "Privé sous contrat d'association", "0220117H", "Lycée Sacre Coeur", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée Sacre Coeur - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 15, 123, 6, 119, 0, 2, 1, 13, 1, 87, 16, 17, 4, 0, 0, 0, 4, 84, 1, 0, 0, 2, 1, 13, 1, 66, 10, 3, 41, 14, 0, 12, 1, 5.0, 12.0, 13.0, 0, 5, 13, 0, 2, 11, 1, 0, 5, 5, 3, 0, 0.0, 0, 0, 8, 5, 0, 12, 12, 35.71, 85.71, 92.86, 0.0, 92.296875, 92.296875, 38.5, 38.5, 92.890625, 0.0, 38.5, 38.5, 23.09765625, 0.0, 0.0, 0.0, 0.0, 15.3984375, 0.0, 84.59375, 61.5, 2.0, 1.0, 24.0, 6.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 56.0, "18788", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18788&g_ta_cod=18788", 0.0, 21.0, 79.0),
(6218, "Public", "0750612H", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART.", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART. - DN MADE - Événement - - Spécialité : Evénement - Espaces de communication, scénographies et dispositifs événementiels", "DN MADE", "- Spécialité : Evénement - Espaces de communication, scénographies et dispositifs événementiels", 16, 903, 798, 903, 0, 287, 47, 227, 30, 67, 6, 322, 0, 0, 0, 0, 0, 100, 0, 0, 0, 43, 4, 52, 5, 2, 0, 3, 34, 16, 13, 16, 0, 7.0, 15.0, 15.0, 0, 2, 16, 10, 4, 2, 0, 0, 0, 1, 5, 10, 0.0, 10, 4, 2, 0, 0, 2, 8, 43.75, 93.75, 93.75, 81.296875, 12.5, 50.0, 0, 12.5, 100.0, 0.0, 0.0, 6.2998046875, 31.296875, 62.5, 0.0, 62.5, 62.5, 25.0, 25.0, 12.5, 12.5, 16.0, 2.0, 2.0, 0.0, 0.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "21801", "DN MADE - Événement - - Spécialité : Evénement - Espaces de communication, scénographies et dispositifs événementiels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21801&g_ta_cod=21801", 63.0, 25.0, 13.0),
(6219, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes nordiques option Suédois", "Licence - Arts-lettres-langues", "Etudes nordiques option Suédois", 25, 102, 64, 87, 0, 44, 13, 9, 4, 2, 1, 32, 15, 4, 0, 0, 11, 87, 10, 0, 0, 44, 13, 9, 4, 2, 1, 32, 81, 9, 6, 7, 2, 3.0, 7.0, 8.0, 0, 0, 4, 4, 0, 0, 5, 1, 0, 0, 3, 0, 0.0, 3, 0, 0, 0, 0, 1, 1, 33.33, 77.78, 88.89, 66.6875, 25.0, 25.0, 0, 0.0, 44.3984375, 25.0, 0.0, 0.0, 75.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 41.0, 10.0, 2.0, 1.0, 30.0, "Tous les candidats", 87.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19500", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes nordiques option Suédois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19500&g_ta_cod=19500", 67.0, 0.0, 22.0),
(6220, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence_Las", "Université Paris Nanterre - Licence - Portail Santé et société - Santé et sciences humaines et sociales", "Licence - Sciences humaines et sociales", "Santé et sciences humaines et sociales", 35, 1323, 1116, 1323, 0, 682, 206, 180, 83, 15, 8, 446, 0, 0, 0, 0, 0, 1323, 0, 0, 0, 682, 206, 180, 83, 15, 8, 446, 218, 34, 32, 34, 0, 3.0, 17.0, 29.0, 0, 10, 21, 21, 0, 0, 13, 0, 1, 9, 10, 1, 0.0, 20, 0, 0, 0, 0, 11, 18, 8.82, 50.0, 85.29, 94.09375, 52.3984375, 85.6875, 0, 47.59375, 61.796875, 0.0, 4.7998046875, 42.8984375, 47.59375, 4.8, 0.0, 100.0, 95.1875, 0.0, 0.0, 0.0, 0.0, 127.0, 50.0, 0.0, 0.0, 87.0, "Tous les candidats", 363.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "28859", "Licence - Portail Santé et société - Santé et sciences humaines et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28858&g_ta_cod=28859", 91.0, 6.0, 3.0),
(6221, "Public", "0320691C", "I.U.T de Toulouse - Antenne d'Auch", "32", "Gers", "Occitanie", "Toulouse", "Auch", "formation sélective", "BUT", "I.U.T de Toulouse - Antenne d'Auch - BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "BUT - Production", "Science du danger et management des risques professionnels technologiques et environnementaux", 54, 1022, 307, 1014, 0, 562, 53, 252, 41, 13, 0, 187, 8, 3, 2, 0, 3, 702, 2, 0, 0, 400, 35, 163, 22, 0, 0, 139, 366, 52, 11, 51, 1, 21.0, 36.0, 46.0, 0, 8, 36, 21, 15, 0, 16, 0, 11, 13, 9, 3, 0.0, 17, 8, 0, 0, 0, 19, 19, 40.38, 69.23, 88.46, 21.19921875, 52.796875, 52.796875, 0, 22.19921875, 69.1875, 0.0, 30.59765625, 36.09375, 25.0, 8.3, 0.0, 58.296875, 47.1953125, 41.6953125, 22.19921875, 0.0, 0.0, 164.0, 23.0, 0.0, 0.0, 91.0, "Tous les candidats sauf les Bac technologiques", 310.0, "Bacheliers technologiques toutes séries", 186, "", 0, "Liste d'appel propre à cette formation", 49.0, "4263", "BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4263&g_ta_cod=4263", 58.0, 40.0, 2.0),
(6222, "Privé sous contrat d'association", "0312408Z", "Lycée Saliège", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Balma", "formation sélective", "CPGE", "Lycée Saliège - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 608, 287, 608, 414, 550, 41, 0, 0, 0, 0, 58, 0, 0, 0, 0, 0, 601, 0, 414, 513, 545, 41, 0, 0, 0, 0, 56, 222, 23, 10, 23, 0, 2.0, 13.0, 21.0, 15, 0, 21, 21, 0, 0, 2, 0, 0, 10, 10, 1, 0.0, 21, 0, 0, 0, 0, 17, 17, 8.7, 56.52, 91.3, 43.5, 81.0, 81.0, 0, 0.0, 91.296875, 0.0, 0.0, 47.59375, 47.59375, 4.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 208.0, 11.0, 0.0, 0.0, 14.0, "Tous les candidats", 438.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "31874", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31874&g_ta_cod=31874", 100.0, 0.0, 0.0),
(6223, "Public", "0134260K", "IFSI CGD13", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 12e  Arrondissement", "formation sélective", "IFSI", "Regroupement d'IFSI Université Aix-Marseille - D.E Infirmier", "D.E secteur sanitaire", "", 43, 9078, 7507, 9078, 0, 1402, 400, 1313, 495, 897, 460, 5466, 0, 0, 0, 0, 0, 4234, 0, 0, 0, 1042, 253, 541, 179, 90, 37, 2561, 831, 42, 37, 42, 0, 0.0, 8.0, 27.0, 0, 4, 16, 14, 2, 0, 26, 0, 3, 7, 6, 0, 0.0, 11, 2, 0, 0, 0, 13, 13, 0.0, 19.05, 64.29, 88.09375, 81.296875, 81.296875, 0, 25.0, 38.09375, 0.0, 18.796875, 43.796875, 37.5, 0.0, 0.0, 87.5, 68.796875, 12.5, 12.5, 0.0, 0.0, 297.0, 94.0, 7.0, 6.0, 476.0, "Tous les candidats", 2290.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "25294", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22987&g_ta_cod=25294", 69.0, 19.0, 12.0),
(6224, "Public", "0770938B", "Lycée André Malraux", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Montereau-Fault-Yonne", "formation sélective", "BTS", "Lycée André Malraux - BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "BTS - Services", "", 22, 393, 190, 378, 0, 26, 4, 39, 11, 103, 38, 210, 15, 3, 0, 0, 12, 134, 3, 0, 0, 17, 3, 20, 8, 78, 28, 19, 51, 21, 7, 20, 1, 12.0, 17.0, 19.0, 0, 6, 17, 2, 3, 12, 4, 1, 7, 7, 1, 1, 0.0, 0, 0, 9, 9, 2, 16, 16, 57.14, 80.95, 90.48, 33.296875, 94.09375, 94.09375, 52.8984375, 35.296875, 81.0, 5.8994140625, 41.1953125, 41.1953125, 5.8994140625, 5.9, 0.0, 11.798828125, 0.0, 17.59765625, 0.0, 70.59375, 52.8984375, 15.0, 3.0, 14.0, 6.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 15.0, "9821", "BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9821&g_ta_cod=9821", 14.0, 29.0, 57.0),
(6225, "Privé sous contrat d'association", "0490886X", "Lycée professionnel LA PROVIDENCE", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "BTS", "Lycée professionnel LA PROVIDENCE - BTS - Services - Tourisme", "BTS - Services", "", 18, 215, 173, 207, 0, 71, 12, 50, 12, 43, 10, 43, 8, 1, 4, 0, 3, 182, 2, 0, 0, 70, 12, 45, 9, 42, 9, 25, 69, 19, 16, 19, 0, 6.0, 16.0, 18.0, 0, 3, 17, 4, 8, 5, 2, 0, 4, 7, 5, 1, 0.0, 4, 4, 5, 3, 3, 16, 16, 31.58, 84.21, 94.74, 84.1875, 94.09375, 94.09375, 17.59765625, 17.59765625, 89.5, 0.0, 23.5, 41.1953125, 29.3984375, 5.9, 0.0, 23.5, 23.5, 47.09375, 23.5, 29.3984375, 29.3984375, 16.0, 2.0, 12.0, 4.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 78.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 72.0, "5905", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5905&g_ta_cod=5905", 32.0, 42.0, 26.0),
(6226, "Public", "0260113G", "Lycée Les Catalins", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Montélimar", "formation sélective", "BTS", "Lycée Les Catalins - BTS - Services - Economie sociale familiale", "BTS - Services", "", 30, 307, 279, 305, 0, 31, 9, 111, 48, 90, 42, 73, 2, 0, 1, 0, 1, 305, 0, 0, 0, 31, 9, 111, 48, 90, 42, 73, 138, 27, 27, 26, 0, 1.0, 11.0, 22.0, 0, 16, 24, 1, 17, 6, 3, 1, 15, 6, 2, 0, 0.0, 0, 5, 3, 5, 5, 19, 19, 3.7, 40.74, 81.48, 100.0, 79.1875, 79.1875, 20.796875, 66.6875, 88.890625, 4.19921875, 62.5, 25.0, 8.298828125, 0.0, 0.0, 4.19921875, 0.0, 70.796875, 20.796875, 25.0, 12.5, 7.0, 3.0, 32.0, 13.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers technologiques toutes séries", 102, "Bacheliers professionnels toutes séries", 38, "Liste d'appel propre à cette formation", 49.0, "31959", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31959&g_ta_cod=31959", 7.0, 70.0, 22.0),
(6227, "Public", "0241279K", "I.U.T de Bordeaux - Site de Périgueux", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BUT", "I.U.T de Bordeaux - Site de Périgueux - BUT - Génie biologique Parcours agronomie", "BUT - Production", "", 26, 919, 485, 886, 0, 585, 58, 113, 13, 0, 0, 188, 33, 8, 9, 0, 16, 479, 9, 0, 0, 305, 31, 82, 6, 0, 0, 92, 229, 21, 9, 19, 2, 2.0, 12.0, 20.0, 0, 3, 18, 11, 7, 0, 3, 0, 1, 7, 10, 0, 0.0, 11, 6, 0, 0, 0, 10, 10, 9.52, 57.14, 95.24, 42.8984375, 55.59375, 55.59375, 0, 16.69921875, 85.6875, 0.0, 5.599609375, 38.8984375, 55.59375, 0.0, 0.0, 61.09375, 61.09375, 38.8984375, 33.296875, 0.0, 0.0, 117.0, 12.0, 0.0, 0.0, 56.0, "Tous les candidats sauf les Bac technologiques", 371.0, "Bacheliers technologiques toutes séries", 90, "", 0, "Liste d'appel propre à cette formation", 52.0, "3444", "BUT - Génie biologique Parcours agronomie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3444&g_ta_cod=3444", 67.0, 33.0, 0.0),
(6228, "Public", "0580753D", "Lycée Alain Colas", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "Autre formation", "Lycée Alain Colas - DN MADE - Objet - - Spécialité : Unicité et séries, pluralité des pratiques et des outils du designer", "DN MADE", "- Spécialité : Unicité et séries, pluralité des pratiques et des outils du designer", 15, 165, 102, 165, 0, 54, 4, 78, 6, 8, 2, 25, 0, 0, 0, 0, 0, 154, 0, 0, 0, 50, 4, 75, 6, 6, 2, 23, 67, 16, 11, 16, 0, 1.0, 10.0, 13.0, 0, 1, 12, 5, 6, 1, 4, 0, 1, 10, 1, 0, 0.0, 4, 6, 1, 0, 0, 3, 3, 6.25, 62.5, 81.25, 68.796875, 25.0, 25.0, 0, 8.298828125, 75.0, 0.0, 8.298828125, 83.296875, 8.298828125, 0.0, 0.0, 41.6953125, 33.296875, 50.0, 50.0, 8.298828125, 8.298828125, 21.0, 2.0, 1.0, 1.0, 11.0, "Tous les candidats", 93.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "21656", "DN MADE - Objet - - Spécialité : Unicité et séries, pluralité des pratiques et des outils du designer", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21656&g_ta_cod=21656", 50.0, 44.0, 6.0),
(6229, "Public", "0690105P", "Lycée professionnel des Métiers de l'Automobile", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Bron", "formation sélective", "BTS", "Lycée professionnel des Métiers de l'Automobile - BTS - Production - Maintenance des véhicules option véhicules de transport routier", "BTS - Production", "", 10, 162, 3, 162, 0, 15, 4, 29, 5, 59, 31, 59, 0, 0, 0, 0, 0, 72, 0, 0, 0, 4, 0, 15, 5, 40, 21, 13, 32, 11, 0, 11, 0, 4.0, 10.0, 11.0, 0, 6, 9, 0, 2, 7, 2, 0, 0, 4, 5, 0, 0.0, 0, 2, 7, 6, 0, 9, 9, 36.36, 90.91, 100.0, 0.0, 100.0, 100.0, 66.6875, 66.6875, 81.796875, 0.0, 0.0, 44.3984375, 55.59375, 0.0, 0.0, 0.0, 0.0, 22.19921875, 22.19921875, 77.796875, 77.796875, 1.0, 0.0, 18.0, 8.0, 6.0, "Tous les candidats sauf les Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 37.0, "20198", "BTS - Production - Maintenance des véhicules option véhicules de transport routier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20198&g_ta_cod=20198", 18.0, 18.0, 64.0),
(6230, "Privé sous contrat d'association", "0801479Y", "Lycée Saint Remi", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Saint Remi - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 271, 161, 209, 0, 22, 5, 77, 24, 50, 19, 60, 62, 2, 17, 9, 34, 112, 10, 0, 0, 16, 3, 54, 19, 24, 6, 18, 86, 29, 19, 19, 8, 6.0, 15.0, 22.0, 0, 8, 19, 4, 12, 3, 10, 0, 7, 8, 3, 1, 0.0, 2, 7, 3, 4, 3, 18, 18, 20.69, 51.72, 75.86, 65.5, 94.6875, 94.6875, 21.09765625, 42.09375, 65.5, 0.0, 36.796875, 42.09375, 15.798828125, 5.3, 0.0, 21.09765625, 10.5, 63.1953125, 36.796875, 15.798828125, 15.798828125, 14.0, 4.0, 24.0, 5.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 52.0, "10227", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10227&g_ta_cod=10227", 31.0, 55.0, 14.0),
(6231, "Public", "0311902Z", "Lycée Stéphane Hessel", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Stéphane Hessel - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 1400, 1233, 1400, 0, 84, 31, 367, 148, 504, 237, 445, 0, 0, 0, 0, 0, 1170, 0, 0, 0, 83, 31, 323, 128, 453, 206, 311, 249, 31, 29, 31, 0, 1.0, 16.0, 23.0, 0, 14, 22, 1, 6, 15, 9, 0, 3, 15, 4, 0, 0.0, 0, 5, 14, 0, 0, 14, 14, 3.23, 51.61, 74.19, 93.5, 63.59375, 63.59375, 0, 63.59375, 71.0, 0.0, 13.599609375, 68.1875, 18.19921875, 0.0, 0.0, 4.5, 0.0, 27.296875, 22.69921875, 68.1875, 63.59375, 23.0, 12.0, 77.0, 36.0, 47.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 114, "Bacheliers technologiques toutes séries", 186, "Liste d'appel propre à cette formation", 26.0, "13164", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13164&g_ta_cod=13164", 19.0, 29.0, 52.0),
(6232, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - LLCER ANGLAIS - LLCER ALLEMAND NON DEBUTANT", "Licence - Arts-lettres-langues", "LLCER ANGLAIS - LLCER ALLEMAND NON DEBUTANT", 20, 200, 152, 104, 0, 74, 12, 3, 1, 0, 0, 27, 96, 33, 3, 4, 56, 76, 11, 0, 0, 62, 9, 0, 0, 0, 0, 14, 65, 13, 12, 11, 2, 1.0, 11.0, 13.0, 0, 0, 10, 10, 0, 0, 3, 0, 0, 1, 6, 3, 0.0, 10, 0, 0, 0, 0, 1, 4, 7.69, 84.62, 100.0, 92.296875, 10.0, 40.0, 0, 0.0, 76.890625, 0.0, 0.0, 10.0, 60.0, 30.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 51.0, 8.0, 0.0, 0.0, 14.0, "Tous les candidats", 76.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "9304", "Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - LLCER ANGLAIS - LLCER ALLEMAND NON DEBUTANT", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9304&g_ta_cod=9304", 100.0, 0.0, 0.0),
(6233, "Public", "0900424X", "UTBM Université de Technologie de Belfort Montbéliard", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "Ecole d'Ingénieur", "Réseau des Universités de Technologie - Formation d'ingénieur Bac + 5 - bacs STI2D", "Formations  des écoles d'ingénieurs", "bacs STI2D", 10, 117, 10, 117, 0, 0, 0, 107, 30, 0, 0, 10, 0, 0, 0, 0, 0, 40, 0, 0, 0, 0, 0, 37, 10, 0, 0, 3, 19, 10, 0, 10, 0, 6.0, 9.0, 9.0, 0, 2, 10, 0, 10, 0, 0, 0, 0, 0, 5, 5, 0.0, 0, 10, 0, 0, 0, 1, 1, 60.0, 90.0, 90.0, 0.0, 10.0, 10.0, 0, 20.0, 100.0, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, "bac sti stl", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "243", "Formation d'ingénieur Bac + 5 - bacs STI2D", "Réseau des Universités de Technologie", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=242&g_ta_cod=243", 0.0, 100.0, 0.0),
(6234, "Public", "0580055V", "Lycée agricole de Nevers Challuy", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "BTS", "Lycée agricole de Nevers Challuy - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 17, 118, 29, 118, 0, 25, 3, 39, 6, 16, 5, 38, 0, 0, 0, 0, 0, 118, 0, 0, 0, 25, 3, 39, 6, 16, 5, 38, 62, 18, 4, 18, 0, 5.0, 15.0, 17.0, 0, 3, 15, 5, 8, 2, 3, 0, 11, 4, 0, 0, 0.0, 1, 2, 1, 2, 0, 6, 6, 27.78, 83.33, 94.44, 22.19921875, 40.0, 40.0, 13.298828125, 20.0, 83.296875, 0.0, 73.296875, 26.69921875, 0.0, 0.0, 0.0, 33.296875, 6.69921875, 53.296875, 13.298828125, 13.298828125, 6.69921875, 15.0, 2.0, 13.0, 4.0, 8.0, "Tous les candidats sauf les Bac professionnels", 73.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 75.0, "6685", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6685&g_ta_cod=6685", 39.0, 50.0, 11.0),
(6235, "Public", "0350028R", "Lycée Bréquigny", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Bréquigny - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 30, 1593, 1182, 1549, 0, 390, 72, 525, 144, 35, 14, 599, 44, 0, 0, 25, 19, 916, 0, 0, 0, 330, 49, 399, 107, 6, 2, 181, 190, 30, 24, 30, 0, 3.0, 19.0, 27.0, 0, 10, 26, 7, 17, 2, 4, 0, 2, 14, 9, 1, 0.0, 6, 16, 2, 2, 1, 18, 18, 10.0, 63.33, 90.0, 80.0, 69.1875, 69.1875, 7.69921875, 38.5, 86.6875, 0.0, 7.69921875, 53.796875, 34.59375, 3.8, 0.0, 26.8984375, 23.09765625, 65.390625, 61.5, 7.69921875, 7.69921875, 63.0, 10.0, 6.0, 2.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 139.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 263, "Liste d'appel propre à cette formation", 26.0, "4635", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4635&g_ta_cod=4635", 27.0, 67.0, 7.0),
(6236, "Public", "0910620E", "Lycée Robert Doisneau", "91", "Essonne", "Ile-de-France", "Versailles", "Corbeil-Essonnes", "formation sélective", "Autre formation", "Lycée Robert Doisneau - Classe de mise à niveau Cinéma-Audiovisuel", "Année préparatoire", "Classe de mise à niveau Cinéma-Audiovisuel", 24, 385, 143, 385, 0, 174, 26, 38, 7, 39, 12, 134, 0, 0, 0, 0, 0, 200, 0, 0, 0, 133, 20, 19, 4, 20, 4, 28, 91, 24, 14, 24, 0, 6.0, 19.0, 23.0, 0, 3, 20, 16, 2, 2, 4, 0, 3, 7, 7, 3, 0.0, 15, 1, 1, 0, 0, 5, 8, 25.0, 79.17, 95.83, 58.296875, 25.0, 40.0, 0, 15.0, 83.296875, 0.0, 15.0, 35.0, 35.0, 15.0, 0.0, 80.0, 75.0, 10.0, 5.0, 10.0, 5.0, 67.0, 6.0, 3.0, 1.0, 8.0, "Tous les candidats", 110.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "13957", "Classe de mise à niveau Cinéma-Audiovisuel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13957&g_ta_cod=13957", 79.0, 13.0, 8.0),
(6237, "Public", "9740921H", "Lycée professionnel Isnelle Amelin", "974", "La Réunion", "La Réunion", "La Réunion", "Sainte-Marie", "formation sélective", "BTS", "Lycée professionnel Isnelle Amelin - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 15, 318, 69, 318, 0, 26, 8, 81, 42, 154, 81, 57, 0, 0, 0, 0, 0, 188, 0, 0, 0, 15, 4, 47, 31, 91, 51, 35, 43, 16, 4, 16, 0, 4.0, 13.0, 14.0, 0, 11, 15, 2, 5, 8, 1, 0, 7, 5, 1, 2, 0.0, 0, 2, 6, 5, 3, 11, 11, 25.0, 81.25, 87.5, 25.0, 73.296875, 73.296875, 33.296875, 73.296875, 93.796875, 0.0, 46.6953125, 33.296875, 6.69921875, 13.3, 0.0, 13.298828125, 0.0, 33.296875, 13.298828125, 53.296875, 40.0, 3.0, 2.0, 17.0, 11.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers technologiques toutes séries", 40, "Bacheliers professionnels toutes séries", 21, "Liste d'appel propre à cette formation", 20.0, "30906", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30906&g_ta_cod=30906", 13.0, 38.0, 50.0),
(6238, "Public", "0952261S", "CY TECH - Université de Cergy-Pontoise", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "Concours GalaxY - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "Ingénieur en Mécanique", 35, 339, 55, 320, 0, 302, 57, 0, 0, 0, 0, 18, 19, 18, 0, 0, 1, 276, 6, 0, 0, 276, 48, 0, 0, 0, 0, 0, 207, 19, 1, 17, 2, 1.0, 17.0, 18.0, 0, 6, 19, 19, 0, 0, 0, 0, 5, 9, 5, 0, 0.0, 14, 0, 0, 0, 0, 12, 16, 5.26, 89.47, 94.74, 5.2998046875, 63.1953125, 84.1875, 0, 31.59765625, 100.0, 0.0, 26.296875, 47.3984375, 26.296875, 0.0, 0.0, 100.0, 73.6875, 0.0, 0.0, 0.0, 0.0, 207.0, 38.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "32077", "Formation d'ingénieur Bac + 5", "Concours GalaxY", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31208&g_ta_cod=32077", 100.0, 0.0, 0.0),
(6239, "Public", "0762762P", "Université Le Havre Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation non sélective", "Licence", "Université Le Havre Normandie - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 180, 911, 699, 863, 0, 607, 153, 55, 26, 37, 16, 164, 48, 10, 2, 4, 32, 852, 44, 0, 0, 607, 153, 55, 26, 37, 16, 153, 683, 168, 134, 144, 24, 27.0, 144.0, 155.0, 0, 40, 118, 99, 9, 10, 50, 5, 42, 47, 19, 4, 1.0, 62, 3, 6, 0, 0, 99, 99, 16.07, 85.71, 92.26, 79.796875, 83.890625, 83.890625, 0, 33.8984375, 70.1875, 4.19921875, 35.59375, 39.796875, 16.09765625, 3.4, 0.8, 83.890625, 52.5, 7.599609375, 2.5, 8.5, 5.099609375, 460.0, 113.0, 34.0, 15.0, 147.0, "Tous les candidats", 852.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "9749", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9749&g_ta_cod=9749", 78.0, 11.0, 11.0),
(6240, "Public", "0940126B", "Lycée Maximilien Perret (Batiment)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Alfortville", "formation sélective", "BTS", "Lycée Maximilien Perret (Batiment) - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 24, 370, 8, 370, 0, 6, 0, 25, 10, 258, 109, 81, 0, 0, 0, 0, 0, 304, 0, 0, 0, 5, 0, 22, 10, 214, 87, 63, 93, 26, 2, 26, 0, 4.0, 21.0, 24.0, 0, 8, 17, 1, 1, 15, 9, 0, 2, 12, 3, 0, 0.0, 0, 0, 15, 7, 0, 12, 17, 15.38, 80.77, 92.31, 7.69921875, 70.59375, 100.0, 41.1953125, 47.09375, 65.390625, 0.0, 11.798828125, 70.59375, 17.59765625, 0.0, 0.0, 5.8994140625, 0.0, 5.8994140625, 0.0, 88.1875, 88.1875, 3.0, 0.0, 55.0, 19.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 32.0, "11409", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11409&g_ta_cod=11409", 12.0, 19.0, 69.0),
(6241, "Public", "0921592F", "Lycée professionnel Les Cotes De Villebon", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Meudon", "formation sélective", "BTS", "Lycée professionnel Les Cotes De Villebon - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 841, 394, 841, 0, 31, 9, 272, 91, 277, 117, 261, 0, 0, 0, 0, 0, 425, 0, 0, 0, 15, 1, 172, 53, 149, 62, 89, 195, 32, 13, 28, 0, 2.0, 10.0, 20.0, 0, 6, 23, 4, 10, 9, 9, 0, 15, 4, 4, 0, 0.0, 0, 4, 4, 2, 1, 22, 22, 6.25, 31.25, 62.5, 40.59375, 95.6875, 95.6875, 8.69921875, 26.09765625, 71.890625, 0.0, 65.1875, 17.3984375, 17.3984375, 0.0, 0.0, 17.3984375, 0.0, 43.5, 17.3984375, 39.09375, 17.3984375, 12.0, 1.0, 89.0, 36.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers technologiques toutes séries", 83, "Bacheliers professionnels toutes séries", 117, "Liste d'appel propre à cette formation", 25.0, "30574", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30574&g_ta_cod=30574", 13.0, 41.0, 47.0),
(6242, "Public", "0370037P", "Lycée Choiseul", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Choiseul - BTS - Services - Support à l'action managériale", "BTS - Services", "", 36, 524, 385, 524, 0, 31, 8, 191, 62, 165, 89, 137, 0, 0, 0, 0, 0, 359, 0, 0, 0, 29, 8, 186, 60, 78, 39, 66, 138, 34, 30, 34, 0, 10.0, 29.0, 31.0, 0, 12, 31, 4, 14, 13, 3, 0, 10, 16, 4, 1, 0.0, 1, 11, 9, 6, 6, 30, 30, 29.41, 85.29, 91.18, 88.1875, 96.796875, 96.796875, 19.3984375, 38.6953125, 91.1875, 0.0, 32.296875, 51.59375, 12.8984375, 3.2, 0.0, 12.8984375, 3.19970703125, 45.1953125, 35.5, 41.8984375, 29.0, 18.0, 7.0, 42.0, 21.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 30.0, "4830", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4830&g_ta_cod=4830", 18.0, 41.0, 41.0),
(6243, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence_Las", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Physique, chimie - Physique - Chimie (tronc commun en L1 avec Mathématiques)", "Licence - Sciences - technologies - santé", "Physique - Chimie (tronc commun en L1 avec Mathématiques)", 2, 167, 86, 167, 0, 108, 16, 7, 0, 0, 0, 52, 0, 0, 0, 0, 0, 167, 0, 0, 0, 108, 16, 7, 0, 0, 0, 52, 47, 2, 0, 2, 0, 0.0, 0.0, 1.0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 50.0, 0.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 30.0, 7.0, 0.0, 0.0, 17.0, "Tous les candidats", 420.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 74.0, "29648", "Licence - Portail Physique, chimie - Physique - Chimie (tronc commun en L1 avec Mathématiques)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29647&g_ta_cod=29648", 100.0, 0.0, 0.0),
(6244, "Public", "0281010W", "IFSI CH de Chartres", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Chartres", "formation sélective", "IFSI", "Regroupement d'IFSI Université Tours - D.E Infirmier", "D.E secteur sanitaire", "", 74, 4485, 3781, 4485, 0, 665, 114, 1089, 248, 402, 138, 2329, 0, 0, 0, 0, 0, 3915, 0, 0, 0, 641, 105, 1038, 224, 308, 108, 1928, 997, 82, 69, 82, 0, 1.0, 36.0, 64.0, 0, 11, 55, 15, 33, 7, 27, 0, 10, 33, 12, 0, 0.0, 11, 27, 7, 0, 0, 29, 29, 1.22, 43.9, 78.05, 84.09375, 52.6953125, 52.6953125, 0, 20.0, 67.09375, 0.0, 18.19921875, 60.0, 21.796875, 0.0, 0.0, 27.296875, 20.0, 60.0, 49.09375, 12.69921875, 12.69921875, 193.0, 23.0, 51.0, 21.0, 355.0, "Tous les candidats", 2754.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "23261", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22995&g_ta_cod=23261", 34.0, 55.0, 10.0),
(6245, "Public", "0770933W", "Lycée Jacques Amyot", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation sélective", "CPGE", "Lycée Jacques Amyot - CPGE - PCSI", "Classe préparatoire scientifique", "", 35, 454, 162, 420, 255, 323, 40, 0, 0, 0, 0, 97, 34, 14, 1, 0, 19, 308, 12, 192, 297, 259, 25, 0, 0, 0, 0, 49, 259, 32, 13, 30, 1, 4.0, 20.0, 29.0, 8, 2, 22, 22, 0, 0, 10, 0, 0, 8, 11, 3, 0.0, 22, 0, 0, 1, 1, 14, 21, 12.5, 62.5, 90.63, 40.59375, 63.59375, 95.5, 4.5, 9.099609375, 68.796875, 0.0, 0.0, 36.3984375, 50.0, 13.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 215.0, 22.0, 0.0, 0.0, 44.0, "Tous les candidats", 308.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "9809", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9809&g_ta_cod=9809", 100.0, 0.0, 0.0),
(6246, "Public", "9760338N", "Lycée Polyvalent de Dembeni", "976", "Mayotte", "Mayotte", "Mayotte", "Dembeni", "formation sélective", "Autre formation", "Lycée Polyvalent de Dembeni - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 13, 36, 3, 36, 0, 0, 0, 0, 0, 31, 15, 5, 0, 0, 0, 0, 0, 26, 0, 0, 0, 0, 0, 0, 0, 25, 13, 1, 29, 13, 1, 10, 0, 1.0, 10.0, 12.0, 0, 7, 13, 0, 2, 11, 0, 0, 7, 5, 1, 0, 0.0, 0, 0, 6, 0, 0, 13, 13, 7.69, 76.92, 92.31, 7.69921875, 100.0, 100.0, 0, 53.796875, 100.0, 0.0, 53.796875, 38.5, 7.69921875, 0.0, 0.0, 0.0, 0.0, 15.3984375, 0.0, 84.59375, 46.1953125, 0.0, 0.0, 26.0, 14.0, 1.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "31023", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31023&g_ta_cod=31023", 0.0, 15.0, 85.0),
(6247, "Public", "0782104N", "ISTY Mantes-Vélizy", "78", "Yvelines", "Ile-de-France", "Versailles", "Mantes-la-Ville", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 40, 3557, 804, 3540, 0, 3029, 285, 0, 0, 0, 0, 511, 17, 8, 0, 0, 9, 2246, 0, 0, 0, 2084, 142, 0, 0, 0, 0, 162, 2246, 20, 5, 20, 0, 20.0, 20.0, 20.0, 0, 1, 18, 18, 0, 0, 2, 0, 0, 10, 6, 2, 0.0, 18, 0, 0, 0, 0, 12, 13, 100.0, 100.0, 100.0, 25.0, 66.6875, 72.1875, 0, 5.599609375, 90.0, 0.0, 0.0, 55.59375, 33.296875, 11.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 2084.0, 142.0, 0.0, 0.0, 162.0, "Autres candidats", 13685.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 63.0, "34", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=34", 100.0, 0.0, 0.0),
(6248, "Public", "0831559U", "Lycée Maurice JANETTI", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Saint-Maximin-la-Sainte-Baume", "formation sélective", "BTS", "Lycée Maurice JANETTI - BTS - Production - Métiers de la mesure", "BTS - Production", "", 15, 56, 14, 49, 0, 6, 1, 29, 5, 1, 1, 13, 7, 1, 3, 0, 3, 45, 6, 0, 0, 6, 1, 29, 5, 1, 1, 9, 34, 7, 1, 4, 3, 4.0, 4.0, 5.0, 0, 2, 6, 2, 4, 0, 1, 0, 3, 1, 2, 0, 0.0, 0, 3, 0, 4, 1, 4, 4, 57.14, 57.14, 71.43, 14.298828125, 66.6875, 66.6875, 66.6875, 33.296875, 85.6875, 0.0, 50.0, 16.69921875, 33.296875, 0.0, 0.0, 33.296875, 0.0, 66.6875, 50.0, 0.0, 0.0, 7.0, 1.0, 1.0, 1.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 1, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 92.0, "10400", "BTS - Production - Métiers de la mesure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10400&g_ta_cod=10400", 43.0, 57.0, 0.0),
(6249, "Public", "0920141D", "Lycée Joliot-Curie", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "CPGE", "Lycée Joliot-Curie - CPGE - Lettres", "Classe préparatoire littéraire", "", 40, 403, 255, 352, 0, 225, 41, 2, 1, 1, 1, 124, 51, 28, 4, 4, 15, 207, 26, 0, 207, 196, 30, 0, 0, 0, 0, 11, 203, 7, 6, 5, 2, 3.0, 5.0, 7.0, 0, 0, 6, 6, 0, 0, 1, 0, 0, 3, 1, 2, 0.0, 6, 0, 0, 1, 1, 4, 6, 42.86, 71.43, 100.0, 85.6875, 66.6875, 100.0, 16.69921875, 0.0, 85.6875, 0.0, 0.0, 50.0, 16.69921875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 188.0, 28.0, 0.0, 0.0, 15.0, "Tous les candidats", 207.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "11000", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11000&g_ta_cod=11000", 100.0, 0.0, 0.0),
(6250, "Public", "0590255G", "Lycée professionnel GUY DEBEYRE", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "Lycée professionnel GUY DEBEYRE - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 35, 552, 180, 551, 0, 22, 3, 30, 9, 99, 50, 400, 1, 0, 0, 0, 1, 163, 0, 0, 0, 16, 1, 25, 8, 70, 36, 52, 104, 27, 3, 27, 0, 9.0, 25.0, 26.0, 0, 10, 21, 1, 3, 17, 6, 0, 7, 11, 3, 0, 0.0, 1, 1, 12, 13, 1, 20, 20, 33.33, 92.59, 96.3, 11.099609375, 95.1875, 95.1875, 61.8984375, 47.59375, 77.796875, 0.0, 33.296875, 52.3984375, 14.298828125, 0.0, 0.0, 4.7998046875, 4.7998046875, 14.298828125, 4.7998046875, 81.0, 57.09375, 7.0, 1.0, 56.0, 25.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 21.0, "6858", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6858&g_ta_cod=6858", 15.0, 15.0, 70.0),
(6251, "Public", "0381603L", "Lycée Andre Argouges", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "Autre formation", "Lycée Andre Argouges - DN MADE - Mode - - Spécialité : Innovation, corps et mouvement", "DN MADE", "- Spécialité : Innovation, corps et mouvement", 15, 616, 503, 616, 0, 234, 36, 146, 35, 77, 24, 159, 0, 0, 0, 0, 0, 99, 0, 0, 0, 31, 3, 40, 6, 3, 1, 25, 45, 15, 11, 15, 0, 4.0, 9.0, 12.0, 0, 2, 8, 4, 4, 0, 7, 0, 1, 4, 3, 0, 0.0, 3, 4, 0, 0, 0, 2, 2, 26.67, 60.0, 80.0, 73.296875, 25.0, 25.0, 0, 25.0, 53.296875, 0.0, 12.5, 50.0, 37.5, 0.0, 0.0, 50.0, 37.5, 50.0, 50.0, 0.0, 0.0, 12.0, 2.0, 2.0, 1.0, 15.0, "Tous les candidats", 58.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "24365", "DN MADE - Mode - - Spécialité : Innovation, corps et mouvement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24365&g_ta_cod=24365", 67.0, 27.0, 7.0),
(6252, "Public", "0250007X", "Lycée Victor Hugo", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "CPGE", "Lycée Victor Hugo - CPGE - BCPST", "Classe préparatoire scientifique", "", 45, 1025, 723, 1025, 680, 872, 93, 1, 0, 1, 0, 151, 0, 0, 0, 0, 0, 501, 0, 375, 479, 483, 46, 0, 0, 0, 0, 18, 277, 44, 32, 44, 0, 8.0, 29.0, 41.0, 21, 7, 44, 44, 0, 0, 0, 0, 0, 0, 28, 14, 2.0, 44, 0, 0, 3, 3, 31, 31, 18.18, 65.91, 93.18, 72.6875, 70.5, 70.5, 6.7998046875, 15.8984375, 100.0, 0.0, 0.0, 0.0, 63.59375, 31.8, 4.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 270.0, 30.0, 0.0, 0.0, 7.0, "Tous les candidats", 376.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "3452", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3452&g_ta_cod=3452", 100.0, 0.0, 0.0),
(6253, "Privé sous contrat d'association", "0530049R", "Lycée d'AVESNIERES", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "Lycée d'AVESNIERES - BTS - Services - Communication", "BTS - Services", "", 24, 475, 328, 473, 0, 127, 17, 140, 30, 66, 15, 140, 2, 0, 0, 1, 1, 371, 1, 0, 0, 115, 16, 128, 24, 53, 9, 75, 122, 23, 17, 22, 1, 2.0, 17.0, 22.0, 0, 1, 12, 3, 6, 3, 11, 0, 4, 5, 3, 0, 0.0, 2, 5, 1, 0, 0, 7, 7, 8.7, 73.91, 95.65, 73.890625, 58.296875, 58.296875, 0, 8.298828125, 52.1953125, 0.0, 33.296875, 41.6953125, 25.0, 0.0, 0.0, 25.0, 16.69921875, 50.0, 41.6953125, 25.0, 8.298828125, 39.0, 6.0, 20.0, 4.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 112.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 43.0, "6209", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6209&g_ta_cod=6209", 43.0, 39.0, 17.0),
(6254, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Licence - Economie et gestion - Parcours Economie et gestion - cursus international franco-anglais", "Licence - Droit-économie-gestion", "Economie et gestion - cursus international franco-anglais", 90, 1964, 1057, 1672, 0, 1360, 185, 39, 11, 4, 3, 269, 292, 85, 33, 6, 168, 1105, 6, 0, 0, 946, 99, 0, 0, 0, 0, 159, 603, 90, 55, 85, 5, 16.0, 53.0, 68.0, 0, 11, 65, 65, 0, 0, 25, 1, 7, 21, 27, 9, 0.0, 57, 0, 0, 0, 0, 38, 59, 17.78, 58.89, 75.56, 61.09375, 58.5, 90.796875, 0, 16.8984375, 72.1875, 1.5, 10.798828125, 32.296875, 41.5, 13.8, 0.0, 100.0, 87.6875, 0.0, 0.0, 0.0, 0.0, 504.0, 69.0, 0.0, 0.0, 99.0, "Tous les candidats", 799.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "11072", "Licence - Economie et gestion - Parcours Economie et gestion - cursus international franco-anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11072&g_ta_cod=11072", 100.0, 0.0, 0.0),
(6255, "Public", "0622949U", "Lycée Mariette", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "BTS", "Lycée Mariette - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 179, 121, 169, 0, 8, 2, 52, 25, 64, 35, 45, 10, 2, 1, 4, 3, 146, 6, 0, 0, 8, 2, 52, 25, 58, 31, 28, 105, 26, 21, 24, 2, 8.0, 21.0, 23.0, 0, 9, 21, 2, 5, 14, 5, 0, 10, 8, 3, 0, 0.0, 0, 3, 8, 6, 4, 21, 21, 30.77, 80.77, 88.46, 80.796875, 100.0, 100.0, 28.59765625, 42.8984375, 80.796875, 0.0, 47.59375, 38.09375, 14.298828125, 0.0, 0.0, 9.5, 0.0, 23.796875, 14.298828125, 66.6875, 38.09375, 9.0, 2.0, 51.0, 29.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 60.0, "7462", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7462&g_ta_cod=7462", 15.0, 31.0, 54.0),
(6256, "Public", "0640011P", "Lycée Louis De Foix", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "BTS", "Lycée Louis De Foix - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 480, 64, 480, 0, 9, 2, 57, 15, 90, 25, 324, 0, 0, 0, 0, 0, 165, 0, 0, 0, 9, 2, 50, 12, 90, 25, 16, 112, 27, 1, 27, 0, 6.0, 26.0, 27.0, 0, 7, 24, 0, 8, 16, 3, 0, 6, 9, 9, 0, 0.0, 0, 5, 13, 3, 0, 23, 23, 22.22, 96.3, 100.0, 3.69970703125, 95.796875, 95.796875, 12.5, 29.19921875, 88.890625, 0.0, 25.0, 37.5, 37.5, 0.0, 0.0, 0.0, 0.0, 33.296875, 20.796875, 66.6875, 54.1953125, 8.0, 2.0, 60.0, 18.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 84, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 32.0, "7697", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7697&g_ta_cod=7697", 0.0, 41.0, 59.0),
(6257, "Public", "0910622G", "Lycée Geoffroy-St-Hilaire", "91", "Essonne", "Ile-de-France", "Versailles", "Etampes", "formation sélective", "BTS", "Lycée Geoffroy-St-Hilaire - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 629, 76, 629, 0, 49, 7, 153, 48, 143, 47, 284, 0, 0, 0, 0, 0, 485, 0, 0, 0, 48, 7, 143, 42, 136, 43, 158, 111, 32, 3, 32, 0, 8.0, 25.0, 27.0, 0, 6, 28, 1, 11, 16, 4, 0, 13, 12, 3, 0, 0.0, 1, 7, 7, 11, 1, 25, 26, 25.0, 78.13, 84.38, 9.3984375, 89.296875, 92.890625, 39.296875, 21.3984375, 87.5, 0.0, 46.3984375, 42.8984375, 10.69921875, 0.0, 0.0, 3.599609375, 3.599609375, 39.296875, 25.0, 57.09375, 25.0, 4.0, 2.0, 66.0, 19.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 21.0, "10852", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10852&g_ta_cod=10852", 9.0, 38.0, 53.0),
(6258, "Public", "0331424U", "Lycée agricole de Bordeaux Blanquefort", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Blanquefort", "formation sélective", "BTS", "Lycée agricole de Bordeaux Blanquefort - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 34, 490, 328, 489, 0, 179, 17, 109, 29, 49, 15, 152, 1, 0, 0, 0, 1, 351, 0, 0, 0, 174, 16, 81, 16, 38, 11, 58, 90, 32, 24, 32, 0, 16.0, 26.0, 31.0, 0, 5, 31, 20, 8, 3, 1, 0, 2, 16, 11, 2, 0.0, 18, 8, 3, 10, 8, 26, 26, 50.0, 81.25, 96.88, 75.0, 83.890625, 83.890625, 32.296875, 16.09765625, 96.890625, 0.0, 6.5, 51.59375, 35.5, 6.5, 0.0, 64.5, 58.09375, 25.796875, 25.796875, 9.69921875, 9.69921875, 53.0, 8.0, 14.0, 4.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 87.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 27.0, "4338", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4338&g_ta_cod=4338", 66.0, 25.0, 9.0),
(6259, "Public", "0370770L", "Institut Universitaire de Technologie de TOURS", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BUT", "Institut Universitaire de Technologie de TOURS - BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "BUT - Production", "", 23, 897, 441, 897, 0, 614, 41, 118, 11, 2, 2, 163, 0, 0, 0, 0, 0, 498, 0, 0, 0, 352, 19, 74, 5, 0, 0, 72, 104, 28, 15, 27, 0, 5.0, 22.0, 25.0, 0, 2, 25, 15, 10, 0, 3, 0, 0, 5, 16, 4, 0.0, 15, 10, 0, 0, 0, 15, 15, 17.86, 78.57, 89.29, 53.59375, 60.0, 60.0, 0, 8.0, 89.296875, 0.0, 0.0, 20.0, 64.0, 16.0, 0.0, 60.0, 60.0, 40.0, 40.0, 0.0, 0.0, 60.0, 6.0, 0.0, 0.0, 12.0, "Tous les candidats sauf les Bac technologiques", 113.0, "Bacheliers technologiques toutes séries", 72, "", 0, "Liste d'appel propre à cette formation", 21.0, "4867", "BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4867&g_ta_cod=4867", 64.0, 36.0, 0.0),
(6260, "Public", "9760358K", "CUFR Centre Universitaire de Mayotte", "976", "Mayotte", "Mayotte", "Mayotte", "Dembeni", "formation non sélective", "Licence_Las", "CUFR Centre Universitaire de Mayotte - Licence - Portail Sciences de la vie et de la terre - Sciences de la vie", "Licence - Sciences - technologies - santé", "Sciences de la vie", 14, 369, 275, 369, 0, 248, 159, 21, 16, 2, 1, 98, 0, 0, 0, 0, 0, 368, 0, 0, 0, 248, 159, 21, 16, 2, 1, 97, 54, 13, 10, 13, 0, 2.0, 12.0, 13.0, 0, 7, 13, 13, 0, 0, 0, 0, 1, 5, 7, 0, 0.0, 12, 0, 0, 0, 0, 13, 13, 15.38, 92.31, 100.0, 76.890625, 100.0, 100.0, 0, 53.796875, 100.0, 0.0, 7.69921875, 38.5, 53.796875, 0.0, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 49.0, 27.0, 0.0, 0.0, 5.0, "Tous les candidats", 81.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "28817", "Licence - Portail Sciences de la vie et de la terre - Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28816&g_ta_cod=28817", 100.0, 0.0, 0.0),
(6261, "Privé sous contrat d'association", "0211091X", "Lycée Les Arcades", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Les Arcades - BTS - Services - Commerce International", "BTS - Services", "", 30, 459, 239, 459, 0, 168, 28, 128, 38, 46, 12, 117, 0, 0, 0, 0, 0, 337, 0, 0, 0, 140, 17, 82, 20, 35, 10, 80, 67, 30, 19, 30, 0, 15.0, 27.0, 29.0, 0, 7, 20, 11, 5, 4, 10, 0, 9, 6, 5, 0, 0.0, 9, 0, 2, 13, 10, 19, 19, 50.0, 90.0, 96.67, 63.296875, 95.0, 95.0, 65, 35.0, 66.6875, 0.0, 45.0, 30.0, 25.0, 0.0, 0.0, 55.0, 45.0, 25.0, 0.0, 20.0, 10.0, 28.0, 5.0, 6.0, 2.0, 18.0, "Tous les candidats sauf les Bac professionnels", 84.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 21.0, "3229", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3229&g_ta_cod=3229", 57.0, 23.0, 20.0),
(6262, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Lettres, langues - Parcours Licence 1 Italien babel : langues et cultures du monde", "Licence - Arts-lettres-langues", "Licence 1 Italien babel : langues et cultures du monde", 40, 116, 91, 63, 0, 34, 15, 3, 1, 2, 2, 24, 53, 5, 4, 4, 40, 63, 50, 0, 0, 34, 15, 3, 1, 2, 2, 24, 113, 24, 17, 6, 18, 6.0, 6.0, 18.0, 0, 4, 8, 5, 2, 1, 16, 0, 3, 4, 0, 1, 0.0, 3, 1, 1, 0, 0, 7, 7, 25.0, 25.0, 75.0, 70.796875, 87.5, 87.5, 0, 50.0, 33.296875, 0.0, 37.5, 50.0, 0.0, 12.5, 0.0, 62.5, 37.5, 25.0, 12.5, 12.5, 12.5, 39.0, 17.0, 6.0, 2.0, 61.0, "Tous les candidats", 63.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4398", "Licence - Lettres, langues - Parcours Licence 1 Italien babel : langues et cultures du monde", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4398&g_ta_cod=4398", 79.0, 8.0, 13.0),
(6263, "Public", "0754247J", "I.U.T de Paris Descartes", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "BUT", "I.U.T de Paris Descartes - BUT - Information communication Parcours métiers du livre et du patrimoine", "BUT - Service", "", 28, 221, 178, 221, 0, 114, 11, 26, 6, 3, 0, 78, 0, 0, 0, 0, 0, 101, 0, 0, 0, 61, 7, 10, 3, 0, 0, 30, 57, 28, 23, 28, 0, 11.0, 28.0, 28.0, 0, 4, 20, 15, 5, 0, 8, 0, 3, 7, 6, 2, 2.0, 13, 4, 0, 0, 0, 3, 12, 39.29, 100.0, 100.0, 82.09375, 15.0, 60.0, 0, 20.0, 71.390625, 0.0, 15.0, 35.0, 30.0, 10.0, 10.0, 75.0, 65.0, 25.0, 20.0, 0.0, 0.0, 30.0, 5.0, 0.0, 0.0, 19.0, "Tous les candidats sauf les Bac technologiques", 51.0, "Bacheliers technologiques toutes séries", 12, "", 0, "Liste d'appel propre à cette formation", 29.0, "9523", "BUT - Information communication Parcours métiers du livre et du patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9523&g_ta_cod=9523", 79.0, 21.0, 0.0),
(6264, "Public", "0750712S", "Lycée Diderot", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Diderot - BTS - Production - Traitement des matériaux", "BTS - Production", "", 14, 232, 48, 134, 0, 8, 2, 44, 12, 19, 14, 63, 98, 9, 18, 14, 57, 27, 25, 0, 0, 2, 2, 11, 0, 9, 6, 5, 49, 13, 3, 2, 11, 1.0, 1.0, 10.0, 0, 0, 3, 1, 1, 1, 10, 0, 2, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 2, 7.69, 7.69, 76.92, 23.09765625, 0.0, 66.6875, 0, 0.0, 23.09765625, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 33.296875, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 7.0, 3.0, 8.0, 5.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 19.0, "9172", "BTS - Production - Traitement des matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9172&g_ta_cod=9172", 38.0, 38.0, 23.0),
(6265, "Public", "0071445H", "Centre de Ressources, d-Expertise et de Performance Sportive d-Auvergne Rhône-Alpes Vallon-Pont-d'Arc (CREPS)", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Vallon-Pont-d'Arc", "formation sélective", "Autre formation", "CREPS Rhône-Alpes - DEJEPS - Vélo tout terrain", "DEJEPS", "", 6, 71, 5, 62, 0, 23, 1, 16, 1, 11, 3, 12, 9, 3, 1, 1, 4, 6, 1, 0, 0, 1, 0, 3, 0, 0, 0, 2, 8, 6, 0, 5, 1, 2.0, 3.0, 6.0, 0, 0, 3, 1, 1, 1, 3, 0, 1, 2, 0, 0, 0.0, 1, 0, 1, 0, 0, 1, 1, 33.33, 50.0, 100.0, 0.0, 33.296875, 33.296875, 0, 0.0, 50.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 33.296875, 33.296875, 1.0, 0.0, 1.0, 0.0, 3.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "21420", "DEJEPS - Vélo tout terrain", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21420&g_ta_cod=21420", 33.0, 50.0, 17.0),
(6266, "Public", "0450066C", "Lycée professionnel Mal Leclerc", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Saint-Jean-de-la-Ruelle", "formation sélective", "BTS", "Lycée professionnel Mal Leclerc - BTS - Production - Maintenance des véhicules option véhicules de transport routier", "BTS - Production", "", 10, 121, 7, 117, 0, 8, 2, 11, 2, 43, 17, 55, 4, 0, 0, 2, 2, 107, 0, 0, 0, 8, 2, 11, 2, 43, 17, 45, 45, 8, 0, 8, 0, 1.0, 7.0, 8.0, 0, 2, 5, 1, 1, 3, 3, 0, 1, 3, 1, 0, 0.0, 1, 1, 2, 0, 0, 2, 2, 12.5, 87.5, 100.0, 0.0, 40.0, 40.0, 0, 40.0, 62.5, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 20.0, 20.0, 20.0, 20.0, 60.0, 40.0, 6.0, 2.0, 24.0, 12.0, 7.0, "Tous les candidats sauf les Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 53.0, "14659", "BTS - Production - Maintenance des véhicules option véhicules de transport routier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14659&g_ta_cod=14659", 13.0, 38.0, 50.0),
(6267, "Privé sous contrat d'association", "0672050P", "Ecole Commerciale Privee", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Ecole Commerciale Privee - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 25, 195, 98, 153, 0, 39, 4, 21, 4, 20, 9, 73, 42, 4, 4, 7, 27, 103, 16, 0, 0, 36, 3, 13, 1, 12, 4, 42, 104, 17, 9, 13, 4, 2.0, 13.0, 15.0, 0, 1, 3, 2, 0, 1, 14, 0, 2, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 3, 3, 11.76, 76.47, 88.24, 52.8984375, 100.0, 100.0, 0, 33.296875, 17.59765625, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 33.296875, 0.0, 34.0, 3.0, 12.0, 5.0, 48.0, "Tous les candidats sauf les Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 67.0, "7991", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7991&g_ta_cod=7991", 53.0, 35.0, 12.0),
(6268, "Privé enseignement supérieur", "1320020E", "Ecole de management de Normandie - Campus d'Oxford", "99", "Etranger", "Etranger", "Etranger", "Oxford", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 30, 1857, 913, 1857, 0, 1665, 54, 67, 3, 3, 1, 122, 0, 0, 0, 0, 0, 1699, 0, 0, 0, 1549, 46, 44, 1, 1, 1, 105, 1699, 67, 33, 67, 0, 66.0, 67.0, 67.0, 0, 5, 63, 61, 2, 0, 4, 0, 10, 32, 18, 3, 0.0, 51, 2, 0, 0, 0, 7, 7, 98.51, 100.0, 100.0, 49.296875, 11.099609375, 11.099609375, 0, 7.8994140625, 94.0, 0.0, 15.8984375, 50.796875, 28.59765625, 4.8, 0.0, 96.796875, 81.0, 3.19970703125, 3.19970703125, 0.0, 0.0, 1549.0, 46.0, 1.0, 1.0, 105.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "28453", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=28453", 97.0, 3.0, 0.0),
(6269, "Public", "0660586D", "I.U.T de Perpignan", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BUT", "I.U.T de Perpignan - BUT - Génie biologique Parcours agronomie", "BUT - Production", "", 39, 880, 473, 873, 0, 567, 74, 106, 18, 4, 2, 196, 7, 1, 4, 0, 2, 716, 0, 0, 0, 528, 66, 72, 7, 0, 0, 116, 213, 33, 13, 33, 0, 3.0, 25.0, 32.0, 0, 1, 28, 21, 7, 0, 5, 0, 1, 15, 11, 1, 0.0, 21, 6, 0, 0, 0, 16, 16, 9.09, 75.76, 96.97, 39.3984375, 57.09375, 57.09375, 0, 3.599609375, 84.796875, 0.0, 3.599609375, 53.59375, 39.296875, 3.6, 0.0, 75.0, 75.0, 25.0, 21.3984375, 0.0, 0.0, 134.0, 14.0, 0.0, 0.0, 39.0, "Tous les candidats sauf les Bac technologiques", 279.0, "Bacheliers technologiques toutes séries", 79, "", 0, "Liste d'appel propre à cette formation", 41.0, "7892", "BUT - Génie biologique Parcours agronomie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7892&g_ta_cod=7892", 76.0, 24.0, 0.0),
(6270, "Public", "0650038N", "Lycée Pierre Mendes France", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Vic-en-Bigorre", "formation sélective", "BTS", "Lycée Pierre Mendes France - BTS - Services - Prothésiste dentaire", "BTS - Services", "", 11, 292, 217, 292, 0, 39, 10, 43, 11, 92, 26, 118, 0, 0, 0, 0, 0, 66, 0, 0, 0, 0, 0, 0, 0, 63, 14, 3, 38, 10, 7, 10, 0, 3.0, 3.0, 9.0, 0, 2, 8, 0, 0, 8, 2, 0, 3, 3, 2, 0, 0.0, 0, 0, 5, 0, 0, 6, 6, 30.0, 30.0, 90.0, 70.0, 75.0, 75.0, 0, 25.0, 80.0, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 62.5, 0.0, 0.0, 36.0, 9.0, 2.0, "Tous les candidats sauf les Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 49, "", 0, "Liste d'appel propre à cette formation", 17.0, "17776", "BTS - Services - Prothésiste dentaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17776&g_ta_cod=17776", 20.0, 0.0, 80.0),
(6271, "Privé enseignement supérieur", "0752139T", "IPC-Facultés Libres de Philosophie et de Psycholog", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "Autre formation", "IPC-Facultés Libres de Philosophie et de Psycholog - Diplôme d'Université - PAREO", "Diplôme d'Université", "", 20, 437, 343, 114, 0, 40, 4, 21, 5, 24, 6, 29, 323, 96, 35, 19, 173, 29, 5, 0, 0, 21, 2, 4, 1, 3, 0, 1, 33, 21, 17, 16, 5, 12.0, 16.0, 20.0, 0, 1, 18, 16, 1, 1, 3, 0, 7, 10, 1, 0, 0.0, 11, 0, 0, 0, 0, 3, 11, 57.14, 76.19, 95.24, 81.0, 16.69921875, 61.09375, 0, 5.599609375, 85.6875, 0.0, 38.8984375, 55.59375, 5.599609375, 0.0, 0.0, 88.890625, 61.09375, 5.599609375, 0.0, 5.599609375, 0.0, 23.0, 2.0, 3.0, 0.0, 4.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "32134", "Diplôme d'Université - PAREO", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32134&g_ta_cod=32134", 86.0, 10.0, 5.0),
(6272, "Public", "0492123S", "Lycée polyvalent Jean Moulin", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Lycée polyvalent Jean Moulin - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 24, 865, 570, 865, 0, 263, 50, 270, 60, 35, 10, 297, 0, 0, 0, 0, 0, 399, 0, 0, 0, 182, 30, 144, 27, 6, 1, 67, 123, 23, 14, 23, 0, 4.0, 17.0, 22.0, 0, 3, 19, 7, 12, 0, 4, 0, 3, 11, 2, 3, 0.0, 7, 9, 0, 6, 1, 14, 14, 17.39, 73.91, 95.65, 60.8984375, 73.6875, 73.6875, 31.59765625, 15.798828125, 82.59375, 0.0, 15.798828125, 57.8984375, 10.5, 15.8, 0.0, 36.796875, 36.796875, 63.1953125, 47.3984375, 0.0, 0.0, 45.0, 8.0, 5.0, 1.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 144, "Liste d'appel propre à cette formation", 27.0, "5967", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5967&g_ta_cod=5967", 35.0, 65.0, 0.0),
(6273, "Privé sous contrat d'association", "9741628B", "UCO - LA REUNION", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "UCO - LA REUNION - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 60, 430, 386, 411, 0, 242, 83, 37, 11, 8, 7, 124, 19, 0, 2, 0, 17, 411, 18, 0, 0, 242, 83, 37, 11, 8, 7, 124, 260, 58, 54, 55, 3, 7.0, 43.0, 51.0, 0, 9, 38, 33, 5, 0, 20, 0, 11, 20, 6, 1, 0.0, 22, 5, 0, 0, 0, 35, 35, 12.07, 74.14, 87.93, 93.09375, 92.09375, 92.09375, 0, 23.69921875, 65.5, 0.0, 28.8984375, 52.59375, 15.798828125, 2.6, 0.0, 86.796875, 57.8984375, 13.19921875, 13.19921875, 0.0, 0.0, 148.0, 46.0, 5.0, 4.0, 83.0, "Tous les candidats", 365.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "18645", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18645&g_ta_cod=18645", 81.0, 17.0, 2.0),
(6274, "Privé sous contrat d'association", "0593077Z", "Lycée Saint Joseph", "59", "Nord", "Hauts-de-France", "Lille", "Hazebrouck", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 118, 12, 109, 0, 3, 1, 20, 3, 35, 5, 51, 9, 1, 2, 1, 5, 57, 0, 0, 0, 3, 1, 19, 3, 33, 3, 2, 53, 14, 0, 14, 0, 9.0, 14.0, 14.0, 0, 2, 14, 1, 3, 10, 0, 0, 1, 6, 5, 2, 0.0, 1, 3, 9, 7, 0, 14, 14, 64.29, 100.0, 100.0, 0.0, 100.0, 100.0, 50, 14.298828125, 100.0, 0.0, 7.099609375, 42.8984375, 35.6953125, 14.3, 0.0, 7.099609375, 7.099609375, 21.3984375, 21.3984375, 71.390625, 64.296875, 3.0, 1.0, 33.0, 3.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 51.0, "6981", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6981&g_ta_cod=6981", 7.0, 21.0, 71.0),
(6275, "Privé sous contrat d'association", "0241092G", "MAISON FAMILIALE RURALE", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BTS", "MAISON FAMILIALE RURALE - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 24, 95, 50, 87, 0, 0, 0, 8, 2, 25, 11, 54, 8, 0, 1, 3, 4, 44, 7, 0, 0, 0, 0, 8, 2, 24, 10, 12, 43, 6, 4, 4, 2, 3.0, 4.0, 6.0, 0, 2, 4, 0, 1, 3, 2, 0, 4, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 50.0, 66.67, 100.0, 66.6875, 75.0, 75.0, 0, 50.0, 66.6875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 0.0, 0.0, 0.0, 27.0, 12.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 6, "Liste d'appel propre à cette formation", 41.0, "3438", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3438&g_ta_cod=3438", 33.0, 17.0, 50.0),
(6276, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Double licence - Langues, littératures & civilisations étrangères et régionales / Lettres, langues - LLCER Anglais - Espagnol", "Licence - Arts-lettres-langues", "LLCER Anglais - Espagnol", 50, 312, 252, 240, 0, 186, 45, 12, 6, 14, 9, 28, 72, 14, 7, 5, 46, 240, 65, 0, 0, 186, 45, 12, 6, 14, 9, 28, 233, 27, 23, 19, 8, 8.0, 19.0, 24.0, 0, 8, 23, 21, 1, 1, 4, 0, 8, 7, 6, 1, 1.0, 14, 0, 1, 0, 0, 17, 17, 29.63, 70.37, 88.89, 85.1875, 73.890625, 73.890625, 0, 34.796875, 85.1875, 0.0, 34.796875, 30.3984375, 26.09765625, 4.3, 4.3, 91.296875, 60.8984375, 4.2998046875, 0.0, 4.2998046875, 4.2998046875, 143.0, 43.0, 10.0, 5.0, 65.0, "Tous les candidats", 238.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "20568", "Double licence - Langues, littératures & civilisations étrangères et régionales / Lettres, langues - LLCER Anglais - Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20568&g_ta_cod=20568", 81.0, 11.0, 7.0),
(6277, "Public", "0310056T", "Lycée professionnel Gabriel Peri", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée professionnel Gabriel Peri - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 18, 2427, 1241, 2427, 0, 193, 61, 780, 311, 864, 412, 590, 0, 0, 0, 0, 0, 2427, 0, 0, 0, 193, 61, 780, 311, 864, 412, 590, 110, 15, 10, 15, 0, 1.0, 11.0, 13.0, 0, 6, 15, 2, 4, 9, 0, 0, 3, 6, 3, 3, 0.0, 1, 3, 8, 3, 1, 13, 13, 6.67, 73.33, 86.67, 66.6875, 86.6875, 86.6875, 20, 40.0, 100.0, 0.0, 20.0, 40.0, 20.0, 20.0, 0.0, 13.298828125, 6.69921875, 26.69921875, 20.0, 60.0, 53.296875, 37.0, 10.0, 34.0, 16.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers technologiques toutes séries", 30, "Bacheliers professionnels toutes séries", 75, "Liste d'appel propre à cette formation", 6.0, "30050", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30050&g_ta_cod=30050", 13.0, 27.0, 60.0),
(6278, "Public", "0782076H", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation sélective", "Licence", "Université de Versailles - Saint Quentin en Yvelines - Licence - Droit - Parcours Droit International", "Licence - Droit-économie-gestion", "Droit International", 50, 828, 671, 828, 0, 685, 101, 14, 4, 2, 0, 127, 0, 0, 0, 0, 0, 547, 0, 0, 0, 487, 55, 3, 0, 0, 0, 57, 248, 50, 44, 50, 0, 7.0, 48.0, 48.0, 0, 10, 48, 48, 0, 0, 2, 0, 0, 9, 24, 15, 0.0, 48, 0, 0, 0, 0, 27, 28, 14.0, 96.0, 96.0, 88.0, 56.296875, 58.296875, 0, 20.796875, 96.0, 0.0, 0.0, 18.796875, 50.0, 31.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 223.0, 37.0, 0.0, 0.0, 25.0, "Tous les candidats", 313.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "24472", "Licence - Droit - Parcours Droit International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24472&g_ta_cod=24472", 100.0, 0.0, 0.0),
(6279, "Public", "9741204R", "Université de la Réunion - Le Tampon", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation non sélective", "Licence", "Université de la Réunion - Le Tampon - Licence - Génie civil - Parcours Urbanisme et transition énergétique", "Licence - Sciences - technologies - santé", "Urbanisme et transition énergétique", 115, 97, 26, 72, 0, 32, 10, 13, 2, 3, 2, 24, 25, 6, 3, 2, 14, 72, 25, 0, 0, 32, 10, 13, 2, 3, 2, 24, 97, 11, 3, 5, 6, 5.0, 5.0, 7.0, 0, 4, 5, 2, 3, 0, 6, 0, 3, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 5, 5, 45.45, 45.45, 63.64, 27.296875, 100.0, 100.0, 0, 80.0, 45.5, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 40.0, 40.0, 60.0, 0.0, 0.0, 0.0, 38.0, 11.0, 5.0, 4.0, 38.0, "Tous les candidats", 72.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32073", "Licence - Génie civil - Parcours Urbanisme et transition énergétique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32073&g_ta_cod=32073", 55.0, 27.0, 18.0),
(6280, "Public", "0620215X", "Université du littoral - Site de Calais -", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "Autre formation", "Université du littoral - Diplôme d'Université - PAREO - DU Avenir", "Diplôme d'Université", "DU Avenir", 20, 39, 21, 21, 0, 5, 0, 11, 4, 1, 1, 4, 18, 9, 2, 1, 6, 21, 15, 0, 0, 5, 0, 11, 4, 1, 1, 4, 40, 3, 1, 1, 2, 0.0, 1.0, 1.0, 0, 0, 1, 0, 1, 0, 2, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 33.33, 33.33, 33.296875, 100.0, 100.0, 0, 0.0, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 15.0, 4.0, 2.0, 2.0, 10.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "32893", "Diplôme d'Université - PAREO - DU Avenir", "Université du littoral", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32892&g_ta_cod=32893", 67.0, 33.0, 0.0),
(6281, "Privé sous contrat d'association", "0755900F", "GOBELINS, l'école de l'image", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "GOBELINS, l'école de l'image - DN MADE - Graphisme - - Spécialité : Design de message  (Seconde année en apprentissage)", "DN MADE", "- Spécialité : Design de message", 16, 509, 316, 509, 0, 269, 34, 53, 9, 65, 12, 122, 0, 0, 0, 0, 0, 77, 0, 0, 0, 50, 1, 12, 1, 8, 2, 7, 47, 16, 12, 16, 0, 4.0, 13.0, 14.0, 0, 1, 15, 11, 3, 1, 1, 0, 0, 1, 12, 2, 0.0, 11, 3, 1, 0, 0, 3, 11, 25.0, 81.25, 87.5, 75.0, 20.0, 73.296875, 0, 6.69921875, 93.796875, 0.0, 0.0, 6.69921875, 80.0, 13.3, 0.0, 73.296875, 73.296875, 20.0, 20.0, 6.69921875, 6.69921875, 29.0, 0.0, 3.0, 0.0, 6.0, "Tous les candidats", 53.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "24360", "DN MADE - Graphisme - - Spécialité : Design de message  (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24360&g_ta_cod=24360", 75.0, 19.0, 6.0),
(6282, "Public", "0400007R", "Lycée de Borda", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Dax", "formation sélective", "BTS", "Lycée de Borda - BTS - Production - Métiers de l'eau", "BTS - Production", "", 22, 289, 75, 289, 0, 40, 6, 125, 21, 13, 5, 111, 0, 0, 0, 0, 0, 288, 0, 0, 0, 40, 6, 125, 21, 13, 5, 110, 106, 15, 5, 15, 0, 2.0, 15.0, 15.0, 0, 5, 14, 2, 8, 4, 1, 0, 10, 3, 1, 0, 0.0, 1, 2, 1, 0, 0, 8, 8, 13.33, 100.0, 100.0, 33.296875, 57.09375, 57.09375, 0, 35.6953125, 93.296875, 0.0, 71.390625, 21.3984375, 7.099609375, 0.0, 0.0, 14.298828125, 7.099609375, 57.09375, 14.298828125, 28.59765625, 7.099609375, 5.0, 2.0, 13.0, 5.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 116, "Liste d'appel propre à cette formation", 48.0, "5204", "BTS - Production - Métiers de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5204&g_ta_cod=5204", 20.0, 53.0, 27.0),
(6283, "Public", "0490055U", "Lycée polyvalent Sadi Carnot - Jean Bertin", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saumur", "formation sélective", "BTS", "Lycée polyvalent Sadi Carnot - Jean Bertin - BTS - Production - Moteur à combustion interne", "BTS - Production", "", 30, 376, 6, 375, 0, 96, 10, 86, 13, 99, 15, 94, 1, 0, 0, 0, 1, 305, 0, 0, 0, 93, 10, 86, 13, 99, 15, 27, 145, 29, 1, 29, 0, 3.0, 25.0, 28.0, 0, 3, 28, 9, 6, 13, 1, 0, 7, 8, 8, 5, 0.0, 4, 4, 13, 2, 0, 8, 8, 10.34, 86.21, 96.55, 3.39990234375, 28.59765625, 28.59765625, 7.099609375, 10.69921875, 96.59375, 0.0, 25.0, 28.59765625, 28.59765625, 17.9, 0.0, 32.09375, 14.298828125, 21.3984375, 14.298828125, 46.3984375, 46.3984375, 52.0, 4.0, 39.0, 6.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 92, "Liste d'appel propre à cette formation", 63.0, "5844", "BTS - Production - Moteur à combustion interne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5844&g_ta_cod=5844", 34.0, 21.0, 45.0),
(6284, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Autre formation", "Université de Bourgogne - site de Dijon - DEUST - Animation et gestion des activités physiques, sportives ou culturelles", "DEUST", "", 63, 738, 192, 686, 0, 310, 42, 142, 28, 56, 10, 178, 52, 17, 6, 3, 26, 335, 30, 0, 0, 164, 17, 53, 4, 35, 6, 83, 264, 60, 18, 46, 13, 21.0, 43.0, 44.0, 0, 5, 35, 16, 13, 6, 25, 0, 20, 12, 2, 1, 0.0, 9, 2, 4, 0, 0, 16, 16, 35.0, 71.67, 73.33, 30.0, 45.6953125, 45.6953125, 0, 14.298828125, 58.296875, 0.0, 57.09375, 34.296875, 5.69921875, 2.9, 0.0, 45.6953125, 25.69921875, 37.09375, 5.69921875, 17.09765625, 11.3984375, 118.0, 15.0, 27.0, 4.0, 76.0, "Tous les candidats", 305.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "3246", "DEUST - Animation et gestion des activités physiques, sportives ou culturelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3246&g_ta_cod=3246", 55.0, 30.0, 15.0),
(6285, "Public", "0300950V", "Lycée Albert EINSTEIN", "30", "Gard", "Occitanie", "Montpellier", "Bagnols-sur-Cèze", "formation sélective", "BTS", "Lycée Albert EINSTEIN - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 205, 13, 199, 0, 6, 3, 48, 12, 92, 43, 53, 6, 0, 3, 0, 3, 149, 3, 0, 0, 3, 1, 48, 12, 85, 39, 13, 100, 22, 2, 22, 0, 7.0, 19.0, 20.0, 0, 14, 22, 0, 8, 14, 0, 0, 12, 6, 4, 0, 0.0, 0, 3, 7, 17, 2, 19, 19, 31.82, 86.36, 90.91, 9.099609375, 86.390625, 86.390625, 77.296875, 63.59375, 100.0, 0.0, 54.5, 27.296875, 18.19921875, 0.0, 0.0, 0.0, 0.0, 36.3984375, 13.599609375, 63.59375, 31.796875, 3.0, 1.0, 44.0, 18.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 57.0, "3991", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3991&g_ta_cod=3991", 0.0, 36.0, 64.0),
(6286, "Public", "0760090K", "Lycée Pierre Corneille", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Pierre Corneille - BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "BTS - Services", "", 6, 513, 197, 513, 0, 164, 25, 79, 19, 76, 27, 194, 0, 0, 0, 0, 0, 513, 0, 0, 0, 164, 25, 79, 19, 76, 27, 194, 19, 4, 4, 4, 0, 0.0, 4.0, 4.0, 0, 0, 2, 1, 1, 0, 2, 0, 0, 1, 0, 1, 0.0, 1, 1, 0, 0, 0, 2, 2, 0.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 4.0, 1.0, 4.0, 3.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 4, "Liste d'appel propre à cette formation", 3.0, "17548", "BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17548&g_ta_cod=17548", 50.0, 50.0, 0.0),
(6287, "Public", "0680031P", "Lycée Albert Schweitzer", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BTS", "Lycée Albert Schweitzer - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 884, 479, 884, 0, 90, 26, 326, 128, 283, 144, 185, 0, 0, 0, 0, 0, 487, 0, 0, 0, 67, 18, 211, 78, 133, 67, 76, 144, 21, 9, 21, 0, 1.0, 14.0, 16.0, 0, 9, 17, 0, 8, 9, 4, 0, 4, 8, 5, 0, 0.0, 0, 5, 8, 2, 1, 16, 16, 4.76, 66.67, 76.19, 42.8984375, 94.09375, 94.09375, 11.798828125, 52.8984375, 81.0, 0.0, 23.5, 47.09375, 29.3984375, 0.0, 0.0, 0.0, 0.0, 47.09375, 29.3984375, 52.8984375, 47.09375, 22.0, 5.0, 33.0, 17.0, 21.0, "Tous les candidats sauf les Bac professionnels", 158.0, "Bacheliers professionnels toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 23.0, "8100", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8100&g_ta_cod=8100", 5.0, 48.0, 48.0),
(6288, "Public", "0690250X", "Lycée agricole Lyon-Dardilly", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Dardilly", "formation sélective", "BTS", "Lycée agricole Lyon-Dardilly - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 23, 283, 130, 271, 0, 10, 2, 39, 12, 71, 18, 151, 12, 0, 8, 0, 4, 144, 2, 0, 0, 10, 2, 38, 11, 71, 18, 25, 70, 21, 10, 19, 2, 7.0, 18.0, 19.0, 0, 3, 16, 1, 2, 13, 5, 0, 5, 7, 3, 1, 0.0, 1, 0, 10, 12, 5, 16, 16, 33.33, 85.71, 90.48, 47.59375, 100.0, 100.0, 75, 18.796875, 76.1875, 0.0, 31.296875, 43.796875, 18.796875, 6.3, 0.0, 6.2998046875, 6.2998046875, 12.5, 0.0, 81.296875, 62.5, 6.0, 2.0, 30.0, 6.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 35.0, "8270", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8270&g_ta_cod=8270", 19.0, 19.0, 62.0),
(6289, "Public", "0750681H", "ESAA Boulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "ESAA Boulle - DN MADE - Objet - Spécialité : Métiers d?art Menuiserie en sièges : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "DN MADE", "Spécialité : Métiers d?art Menuiserie en sièges : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", 5, 134, 61, 134, 0, 43, 6, 16, 2, 24, 6, 51, 0, 0, 0, 0, 0, 20, 0, 0, 0, 4, 0, 3, 0, 3, 0, 10, 9, 5, 1, 5, 0, 3.0, 5.0, 5.0, 0, 0, 1, 0, 1, 0, 4, 0, 0, 0, 0, 1, 0.0, 0, 1, 0, 0, 0, 0, 0, 60.0, 100.0, 100.0, 20.0, 0.0, 0.0, 0, 0.0, 20.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 7.0, "Tous les candidats", 11.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "26867", "DN MADE - Objet - Spécialité : Métiers d?art Menuiserie en sièges : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26867&g_ta_cod=26867", 0.0, 20.0, 0.0),
(6290, "Public", "0251994G", "Lycée polyvalent Germaine Tillion", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "BTS", "Lycée polyvalent Germaine Tillion - BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "BTS - Services", "", 12, 278, 98, 278, 0, 95, 11, 43, 8, 18, 7, 122, 0, 0, 0, 0, 0, 107, 0, 0, 0, 58, 7, 12, 1, 4, 0, 33, 54, 12, 7, 12, 0, 1.0, 10.0, 12.0, 0, 3, 11, 8, 2, 1, 1, 0, 2, 7, 2, 0, 0.0, 7, 2, 0, 0, 0, 1, 1, 8.33, 83.33, 100.0, 58.296875, 9.099609375, 9.099609375, 0, 27.296875, 91.6875, 0.0, 18.19921875, 63.59375, 18.19921875, 0.0, 0.0, 72.6875, 63.59375, 18.19921875, 18.19921875, 9.099609375, 0.0, 42.0, 6.0, 2.0, 0.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 6, "Liste d'appel propre à cette formation", 26.0, "3493", "BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3493&g_ta_cod=3493", 75.0, 17.0, 8.0),
(6291, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Double licence - Droit / Economie et gestion - Parcours sélectif bi-diplômant DROIT / ECONOMIE-GESTION", "Licence - Droit-économie-gestion", "Parcours sélectif bi-diplômant DROIT / ECONOMIE-GESTION", 25, 786, 511, 786, 0, 637, 80, 10, 7, 2, 1, 137, 0, 0, 0, 0, 0, 365, 0, 0, 0, 339, 27, 0, 0, 0, 0, 26, 159, 23, 16, 23, 0, 2.0, 23.0, 23.0, 0, 2, 21, 21, 0, 0, 2, 0, 0, 1, 12, 8, 0.0, 21, 0, 0, 0, 0, 5, 12, 8.7, 100.0, 100.0, 69.59375, 23.796875, 57.09375, 0, 9.5, 91.296875, 0.0, 0.0, 4.7998046875, 57.09375, 38.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 146.0, 22.0, 0.0, 0.0, 13.0, "Tous les candidats", 173.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "24286", "Double licence - Droit / Economie et gestion - Parcours sélectif bi-diplômant DROIT / ECONOMIE-GESTION", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24286&g_ta_cod=24286", 100.0, 0.0, 0.0),
(6292, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Licence - Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "", 92, 1038, 209, 1038, 0, 552, 195, 133, 55, 5, 2, 348, 0, 0, 0, 0, 0, 1010, 0, 0, 0, 552, 195, 133, 55, 5, 2, 320, 549, 82, 15, 82, 0, 3.0, 36.0, 70.0, 0, 30, 58, 57, 1, 0, 24, 1, 41, 13, 3, 0, 0.0, 16, 0, 0, 0, 0, 29, 53, 3.66, 43.9, 85.37, 18.296875, 50.0, 91.390625, 0, 51.6953125, 70.6875, 1.699951171875, 70.6875, 22.3984375, 5.19921875, 0.0, 0.0, 98.296875, 27.59765625, 1.699951171875, 0.0, 0.0, 0.0, 378.0, 143.0, 0.0, 0.0, 169.0, "Tous les candidats", 656.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "15238", "Licence - Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15238&g_ta_cod=15238", 95.0, 5.0, 0.0),
(6293, "Public", "0301577B", "Université de Montpellier, Antenne de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "PASS", "Université de Montpellier, Antenne de Nîmes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 38, 1654, 1013, 1654, 0, 1278, 281, 49, 17, 8, 4, 319, 0, 0, 0, 0, 0, 1654, 0, 0, 0, 1278, 281, 49, 17, 8, 4, 319, 520, 37, 17, 37, 0, 0.0, 8.0, 32.0, 0, 4, 31, 30, 1, 0, 6, 0, 8, 6, 11, 6, 0.0, 22, 1, 0, 0, 0, 27, 27, 0.0, 21.62, 86.49, 45.8984375, 87.09375, 87.09375, 0, 12.8984375, 83.796875, 0.0, 25.796875, 19.3984375, 35.5, 19.4, 0.0, 96.796875, 71.0, 3.19970703125, 3.19970703125, 0.0, 0.0, 453.0, 87.0, 0.0, 0.0, 65.0, "Tous les candidats", 2249.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 58.0, "31852", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28811&g_ta_cod=31852", 97.0, 3.0, 0.0),
(6294, "Public", "0931235M", "I.U.T de Villetaneuse - Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation sélective", "BUT", "I.U.T de Villetaneuse - Université Sorbonne Paris Nord - BUT - Réseaux et télécommunications Parcours : Cybersécurité - Réseaux opérateurs et multimédia", "BUT - Production", "Cybersécurité - Réseaux opérateurs et multimédia", 74, 2146, 226, 2146, 0, 941, 308, 687, 307, 42, 18, 476, 0, 0, 0, 0, 0, 1214, 0, 0, 0, 598, 180, 459, 198, 0, 0, 157, 315, 74, 6, 74, 0, 10.0, 69.0, 70.0, 0, 30, 72, 34, 38, 0, 2, 0, 21, 37, 11, 3, 0.0, 17, 34, 0, 0, 0, 38, 67, 13.51, 93.24, 94.59, 8.099609375, 52.796875, 93.09375, 0, 41.6953125, 97.296875, 0.0, 29.19921875, 51.3984375, 15.298828125, 4.2, 0.0, 47.1953125, 23.59765625, 52.796875, 47.1953125, 0.0, 0.0, 121.0, 46.0, 0.0, 0.0, 34.0, "Tous les candidats sauf les Bac technologiques", 181.0, "Bacheliers technologiques toutes séries", 242, "", 0, "Liste d'appel propre à cette formation", 20.0, "11237", "BUT - Réseaux et télécommunications Parcours : Cybersécurité - Réseaux opérateurs et multimédia", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11237&g_ta_cod=11237", 49.0, 51.0, 0.0),
(6295, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Japonais", "Licence - Arts-lettres-langues", "Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Japonais", 120, 746, 469, 746, 0, 372, 109, 37, 14, 19, 6, 318, 0, 0, 0, 0, 0, 744, 0, 0, 0, 372, 109, 37, 14, 19, 6, 316, 388, 119, 75, 119, 0, 35.0, 108.0, 116.0, 0, 24, 65, 54, 6, 5, 54, 0, 21, 20, 16, 8, 0.0, 37, 3, 4, 0, 0, 24, 24, 29.41, 90.76, 97.48, 63.0, 36.8984375, 36.8984375, 0, 36.8984375, 54.59375, 0.0, 32.296875, 30.796875, 24.59765625, 12.3, 0.0, 83.09375, 56.8984375, 9.19921875, 4.599609375, 7.69921875, 6.19921875, 219.0, 58.0, 11.0, 2.0, 138.0, "Tous les candidats", 496.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "4405", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Japonais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4405&g_ta_cod=4405", 83.0, 8.0, 8.0),
(6296, "Privé sous contrat d'association", "0851642Y", "LGT PRIVE SAINT-FRANCOIS D'ASSISE", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "LGT PRIVE SAINT-FRANCOIS D'ASSISE - BTS - Production - Maintenance des systèmes - option C Systèmes éoliens", "BTS - Production", "", 15, 174, 23, 174, 0, 17, 3, 45, 6, 41, 11, 71, 0, 0, 0, 0, 0, 99, 0, 0, 0, 16, 3, 38, 4, 36, 8, 9, 48, 15, 0, 15, 0, 4.0, 12.0, 13.0, 0, 4, 15, 4, 6, 5, 0, 1, 9, 4, 1, 0, 0.0, 0, 2, 3, 1, 0, 5, 5, 26.67, 80.0, 86.67, 0.0, 33.296875, 33.296875, 6.69921875, 26.69921875, 100.0, 6.69921875, 60.0, 26.69921875, 6.69921875, 0.0, 0.0, 26.69921875, 0.0, 40.0, 13.298828125, 33.296875, 20.0, 12.0, 2.0, 16.0, 5.0, 2.0, "Tous les candidats sauf les Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 35.0, "17237", "BTS - Production - Maintenance des systèmes - option C Systèmes éoliens", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17237&g_ta_cod=17237", 27.0, 40.0, 33.0),
(6297, "Public", "0860039A", "Lycée professionnel Le Dolmen", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée professionnel Le Dolmen - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 15, 396, 342, 396, 0, 66, 17, 41, 10, 191, 51, 98, 0, 0, 0, 0, 0, 396, 0, 0, 0, 66, 17, 41, 10, 191, 51, 98, 37, 13, 12, 13, 0, 8.0, 10.0, 13.0, 0, 3, 11, 0, 2, 9, 2, 0, 2, 1, 6, 2, 0.0, 0, 1, 8, 5, 5, 7, 7, 61.54, 76.92, 100.0, 92.296875, 63.59375, 63.59375, 45.5, 27.296875, 84.59375, 0.0, 18.19921875, 9.099609375, 54.5, 18.2, 0.0, 0.0, 0.0, 18.19921875, 9.099609375, 81.796875, 72.6875, 5.0, 2.0, 15.0, 5.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 10.0, "19864", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19864&g_ta_cod=19864", 8.0, 23.0, 69.0),
(6298, "Public", "0140019V", "Lycée professionnel Camille Claudel", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "Autre formation", "Lycée professionnel Camille Claudel - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 13, 8, 0, 0, 0.0, 0.0, 0.0, 0, 6, 13, 0, 5, 8, 0, 0, 8, 2, 3, 0, 0.0, 0, 1, 4, 0, 0, 13, 13, 0.0, 0.0, 0.0, 61.5, 100.0, 100.0, 0, 46.1953125, 100.0, 0.0, 61.5, 15.3984375, 23.09765625, 0.0, 0.0, 0.0, 0.0, 38.5, 7.69921875, 61.5, 30.796875, 0.0, 0.0, 16.0, 11.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22583", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 38.0, 62.0),
(6299, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues étrangères appliquées : Anglais-Arabe", "Licence - Arts-lettres-langues", "Licence 1 LEA - Langues étrangères appliquées : Anglais-Arabe", 85, 415, 306, 403, 0, 194, 78, 50, 27, 25, 18, 134, 12, 1, 4, 0, 7, 391, 11, 0, 0, 194, 78, 50, 27, 25, 18, 122, 402, 82, 64, 79, 3, 78.0, 79.0, 79.0, 0, 28, 53, 37, 9, 7, 29, 0, 22, 28, 3, 0, 0.0, 24, 4, 3, 0, 0, 33, 33, 95.12, 96.34, 96.34, 78.0, 62.296875, 62.296875, 0, 52.796875, 64.59375, 0.0, 41.5, 52.796875, 5.69921875, 0.0, 0.0, 69.796875, 45.296875, 17.0, 7.5, 13.19921875, 5.69921875, 195.0, 79.0, 25.0, 18.0, 128.0, "Tous les candidats", 391.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "4402", "Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues étrangères appliquées : Anglais-Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4402&g_ta_cod=4402", 66.0, 15.0, 17.0),
(6300, "Privé hors contrat", "0311098A", "Pôle formation recherche Institut Saint Simon", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "EFTS", "Pôle formation recherche Institut Saint Simon - D.E Educateur Spécialisé", "D.E secteur social", "", 28, 490, 392, 402, 0, 63, 12, 61, 13, 32, 13, 246, 88, 9, 8, 6, 65, 91, 9, 0, 0, 6, 0, 4, 1, 4, 1, 77, 84, 26, 19, 18, 8, 3.0, 18.0, 18.0, 0, 1, 5, 1, 4, 0, 21, 0, 1, 2, 2, 0, 0.0, 1, 3, 0, 0, 0, 4, 4, 11.54, 69.23, 69.23, 73.09375, 80.0, 80.0, 0, 20.0, 19.19921875, 0.0, 20.0, 40.0, 40.0, 0.0, 0.0, 20.0, 20.0, 80.0, 60.0, 0.0, 0.0, 5.0, 0.0, 4.0, 1.0, 70.0, "Tous les candidats", 164.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "25300", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25288&g_ta_cod=25300", 54.0, 38.0, 4.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(6301, "Public", "0530010Y", "Lycée Ambroise Pare", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "Lycée Ambroise Pare - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 378, 180, 334, 0, 58, 10, 101, 28, 56, 30, 119, 44, 1, 11, 7, 25, 200, 5, 0, 0, 49, 8, 78, 21, 39, 17, 34, 131, 12, 7, 11, 1, 0.0, 10.0, 11.0, 0, 4, 8, 1, 4, 3, 4, 0, 5, 2, 1, 0, 0.0, 0, 1, 2, 2, 0, 7, 7, 0.0, 83.33, 91.67, 58.296875, 87.5, 87.5, 25, 50.0, 66.6875, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 12.5, 0.0, 50.0, 12.5, 37.5, 25.0, 25.0, 6.0, 25.0, 12.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 60.0, "6195", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6195&g_ta_cod=6195", 33.0, 42.0, 25.0),
(6302, "Privé sous contrat d'association", "0442774B", "LGT SAINT FELIX - LA SALLE", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LGT SAINT FELIX - LA SALLE - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 14, 114, 11, 110, 0, 15, 1, 52, 6, 12, 1, 31, 4, 1, 1, 0, 2, 85, 1, 0, 0, 15, 1, 51, 5, 12, 1, 7, 81, 8, 0, 7, 1, 4.0, 6.0, 7.0, 0, 0, 7, 0, 6, 1, 1, 0, 6, 0, 1, 0, 0.0, 0, 0, 1, 2, 0, 5, 5, 50.0, 75.0, 87.5, 0.0, 71.390625, 71.390625, 28.59765625, 0.0, 87.5, 0.0, 85.6875, 0.0, 14.298828125, 0.0, 0.0, 0.0, 0.0, 85.6875, 0.0, 14.298828125, 14.298828125, 13.0, 1.0, 11.0, 1.0, 8.0, "Tous les candidats sauf les Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 12, "", 0, "Liste d'appel propre à cette formation", 75.0, "5514", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5514&g_ta_cod=5514", 0.0, 88.0, 13.0),
(6303, "Public", "0952259P", "CY Cergy Paris Université", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "CY Cergy Paris Université - Diplôme d'Université - PAREO - DU de la forêt au salon", "Diplôme d'Université", "DU de la forêt au salon", 24, 34, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 34, 5, 5, 10, 14, 0, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 45, 14, 7, 0, 8, 0.0, 0.0, 0.0, 0, 2, 6, 1, 0, 5, 8, 0, 5, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 5, 6, 0.0, 0.0, 0.0, 50.0, 83.296875, 100.0, 0, 33.296875, 42.8984375, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 16.69921875, 0.0, 0.0, 0.0, 83.296875, 16.69921875, 6.0, 2.0, 16.0, 5.0, 19.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34936", "Diplôme d'Université - PAREO - DU de la forêt au salon", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34936&g_ta_cod=34936", 36.0, 14.0, 43.0),
(6304, "Privé sous contrat d'association", "9741255W", "Lycée Catholique St Charles", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "Bac STL", 5, 11, 3, 11, 0, 0, 0, 11, 7, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 5, 4, 0, 0, 0, 5, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "31135", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=31135", 0, 0, 0),
(6305, "Public", "0250007X", "Lycée Victor Hugo", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "CPGE", "Lycée Victor Hugo - CPGE - MP2I", "Classe préparatoire scientifique", "", 45, 750, 146, 750, 557, 584, 76, 0, 0, 0, 0, 166, 0, 0, 0, 0, 0, 521, 0, 412, 500, 511, 64, 0, 0, 0, 0, 10, 246, 42, 7, 42, 0, 7.0, 23.0, 38.0, 25, 7, 42, 42, 0, 0, 0, 0, 0, 10, 18, 11, 3.0, 42, 0, 0, 0, 0, 27, 27, 16.67, 54.76, 90.48, 16.69921875, 64.296875, 64.296875, 0, 16.69921875, 100.0, 0.0, 0.0, 23.796875, 42.8984375, 26.2, 7.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 243.0, 23.0, 0.0, 0.0, 3.0, "Tous les candidats", 401.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "32099", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32099&g_ta_cod=32099", 100.0, 0.0, 0.0),
(6306, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Université de Lorraine - Site de Nancy - C.M.I - Cursus Master en Ingénierie - Sciences de la vie - Cursus Master en Ingénierie (CMI) : Biologie Santé Environnement", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Biologie Santé Environnement", 20, 651, 489, 651, 0, 403, 47, 8, 1, 0, 0, 240, 0, 0, 0, 0, 0, 296, 0, 0, 0, 226, 17, 4, 0, 0, 0, 66, 107, 20, 17, 20, 0, 0.0, 14.0, 17.0, 0, 2, 19, 19, 0, 0, 1, 0, 0, 0, 10, 9, 0.0, 19, 0, 0, 0, 0, 12, 12, 0.0, 70.0, 85.0, 85.0, 63.1953125, 63.1953125, 0, 10.5, 95.0, 0.0, 0.0, 0.0, 52.59375, 47.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 87.0, 8.0, 0.0, 0.0, 20.0, "Tous les candidats", 180.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "13935", "C.M.I - Cursus Master en Ingénierie - Sciences de la vie - Cursus Master en Ingénierie (CMI) : Biologie Santé Environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13935&g_ta_cod=13935", 100.0, 0.0, 0.0),
(6307, "Public", "0360778A", "I.U.T. de l' Indre (Châteauroux)", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Châteauroux", "formation sélective", "BUT", "I.U.T. de l' Indre (Châteauroux) - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines", 70, 864, 425, 708, 0, 363, 66, 179, 51, 17, 7, 149, 156, 36, 16, 4, 100, 396, 53, 0, 0, 222, 35, 106, 21, 5, 1, 63, 288, 62, 28, 41, 21, 20.0, 39.0, 58.0, 0, 9, 40, 26, 14, 0, 22, 0, 14, 18, 7, 1, 0.0, 16, 10, 0, 0, 0, 34, 34, 32.26, 62.9, 93.55, 45.1953125, 85.0, 85.0, 0, 22.5, 64.5, 0.0, 35.0, 45.0, 17.5, 2.5, 0.0, 65.0, 40.0, 35.0, 25.0, 0.0, 0.0, 122.0, 23.0, 6.0, 1.0, 73.0, "Tous les candidats sauf les Bac technologiques", 275.0, "Bacheliers technologiques toutes séries", 114, "", 0, "Liste d'appel propre à cette formation", 55.0, "4820", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4820&g_ta_cod=4820", 65.0, 31.0, 5.0),
(6308, "Public", "9740019C", "Lycée Ambroise Vollard", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "Autre formation", "Lycée Ambroise Vollard - DN MADE - Graphisme - Image et Média numériques", "DN MADE", "Image et Média numériques", 15, 279, 167, 279, 0, 118, 46, 61, 30, 22, 16, 78, 0, 0, 0, 0, 0, 197, 0, 0, 0, 93, 38, 46, 19, 13, 10, 45, 45, 15, 10, 15, 0, 4.0, 13.0, 14.0, 0, 6, 11, 6, 3, 2, 4, 0, 1, 1, 7, 2, 0.0, 5, 3, 2, 0, 0, 11, 11, 26.67, 86.67, 93.33, 66.6875, 100.0, 100.0, 0, 54.5, 73.296875, 0.0, 9.099609375, 9.099609375, 63.59375, 18.2, 0.0, 54.5, 45.5, 27.296875, 27.296875, 18.19921875, 18.19921875, 17.0, 4.0, 4.0, 4.0, 9.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "23835", "DN MADE - Graphisme - Image et Média numériques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23835&g_ta_cod=23835", 53.0, 20.0, 13.0),
(6309, "Public", "0830025B", "Lycée Jean Aicard", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Hyères", "formation sélective", "BTS", "Lycée Jean Aicard - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 377, 217, 330, 0, 37, 4, 100, 40, 125, 52, 68, 47, 0, 0, 23, 24, 248, 11, 0, 0, 35, 3, 79, 27, 86, 32, 48, 115, 24, 15, 16, 7, 4.0, 14.0, 18.0, 0, 4, 15, 4, 4, 7, 9, 0, 7, 4, 4, 0, 0.0, 1, 3, 4, 6, 4, 13, 13, 16.67, 58.33, 75.0, 62.5, 86.6875, 86.6875, 40, 26.69921875, 62.5, 0.0, 46.6953125, 26.69921875, 26.69921875, 0.0, 0.0, 26.69921875, 6.69921875, 26.69921875, 20.0, 46.6953125, 26.69921875, 12.0, 1.0, 67.0, 25.0, 18.0, "Tous les candidats sauf les Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 89, "", 0, "Liste d'appel propre à cette formation", 42.0, "25080", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25080&g_ta_cod=25080", 25.0, 25.0, 50.0),
(6310, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Double licence - Droit / Histoire - Droit - Histoire", "Licence - Droit-économie-gestion", "Droit - Histoire", 60, 1621, 1008, 1621, 0, 1302, 177, 20, 7, 3, 1, 296, 0, 0, 0, 0, 0, 1196, 0, 0, 0, 1009, 118, 0, 0, 0, 0, 187, 270, 60, 36, 60, 0, 1.0, 41.0, 50.0, 0, 6, 52, 52, 0, 0, 8, 1, 0, 0, 10, 39, 2.0, 51, 0, 0, 0, 0, 6, 21, 1.67, 68.33, 83.33, 60.0, 11.5, 40.3984375, 0, 11.5, 86.6875, 1.89990234375, 0.0, 0.0, 19.19921875, 75.0, 3.8, 100.0, 98.09375, 0.0, 0.0, 0.0, 0.0, 231.0, 31.0, 0.0, 0.0, 39.0, "Tous les candidats", 344.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "17168", "Double licence - Droit / Histoire - Droit - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17168&g_ta_cod=17168", 100.0, 0.0, 0.0),
(6311, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence_Las", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Droit - Droit et santé -  option Santé", "Licence - Droit-économie-gestion", "Droit et santé", 40, 689, 557, 689, 0, 420, 105, 20, 6, 6, 4, 243, 0, 0, 0, 0, 0, 683, 0, 0, 0, 420, 105, 20, 6, 6, 4, 237, 139, 38, 27, 38, 0, 5.0, 19.0, 26.0, 0, 2, 5, 5, 0, 0, 33, 0, 3, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 4, 5, 13.16, 50.0, 68.42, 71.09375, 80.0, 100.0, 0, 40.0, 13.19921875, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 100.0, 40.0, 0.0, 0.0, 0.0, 0.0, 24.0, 19.0, 0.0, 0.0, 115.0, "Tous les candidats", 146.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "28282", "Licence - Droit - Droit et santé -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28282&g_ta_cod=28282", 100.0, 0.0, 0.0),
(6312, "Privé sous contrat d'association", "0942354Y", "LGT SAINTE MARIE", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Joinville-le-Pont", "formation sélective", "BTS", "LGT SAINTE MARIE - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 26, 590, 51, 353, 0, 60, 11, 95, 26, 85, 25, 113, 237, 22, 27, 70, 118, 102, 26, 0, 0, 31, 5, 34, 5, 21, 5, 16, 102, 22, 1, 11, 11, 6.0, 10.0, 14.0, 0, 4, 16, 5, 6, 5, 6, 0, 10, 5, 1, 0, 0.0, 0, 3, 3, 4, 0, 9, 16, 27.27, 45.45, 63.64, 4.5, 56.296875, 100.0, 25, 25.0, 72.6875, 0.0, 62.5, 31.296875, 6.2998046875, 0.0, 0.0, 31.296875, 0.0, 37.5, 18.796875, 31.296875, 18.796875, 25.0, 6.0, 21.0, 8.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 28.0, "14624", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14624&g_ta_cod=14624", 32.0, 36.0, 32.0),
(6313, "Privé sous contrat d'association", "0940821G", "Lycée Gregor Mendel", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vincennes", "formation sélective", "BTS", "Lycée Gregor Mendel - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 912, 406, 554, 0, 66, 12, 228, 63, 114, 37, 146, 358, 7, 36, 175, 140, 180, 19, 0, 0, 33, 3, 105, 22, 18, 3, 24, 132, 26, 11, 22, 4, 9.0, 16.0, 22.0, 0, 3, 22, 1, 18, 3, 4, 1, 7, 11, 3, 0, 0.0, 1, 11, 2, 3, 2, 18, 21, 34.62, 61.54, 84.62, 42.296875, 81.796875, 95.5, 13.599609375, 13.599609375, 84.59375, 4.5, 31.796875, 50.0, 13.599609375, 0.0, 0.0, 4.5, 4.5, 81.796875, 50.0, 13.599609375, 9.099609375, 18.0, 2.0, 24.0, 8.0, 20.0, "Tous les candidats sauf les Bac professionnels", 103.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 23.0, "11447", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11447&g_ta_cod=11447", 4.0, 77.0, 19.0),
(6314, "Public", "0693478F", "Lycée Condorcet", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Priest", "formation sélective", "BTS", "Lycée Condorcet - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 24, 403, 10, 403, 0, 43, 7, 100, 26, 175, 81, 85, 0, 0, 0, 0, 0, 203, 0, 0, 0, 23, 5, 82, 21, 78, 31, 20, 113, 25, 1, 25, 0, 3.0, 15.0, 19.0, 0, 10, 19, 0, 3, 16, 6, 0, 2, 8, 8, 1, 0.0, 0, 2, 15, 0, 0, 12, 12, 12.0, 60.0, 76.0, 4.0, 63.1953125, 63.1953125, 0, 52.59375, 76.0, 0.0, 10.5, 42.09375, 42.09375, 5.3, 0.0, 0.0, 0.0, 15.798828125, 10.5, 84.1875, 78.890625, 15.0, 3.0, 55.0, 24.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 36.0, "8568", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8568&g_ta_cod=8568", 4.0, 32.0, 64.0),
(6315, "Public", "0133648V", "IUT Aix-Marseille - Site de la Ciotat", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "La Ciotat", "formation sélective", "BUT", "IUT Aix-Marseille - Site de la Ciotat - BUT - Hygiène Sécurité Environnement Parcours : Sciences du danger et management des risques professionnels technologiques et environnementaux", "BUT - Production", "Sciences du danger et management des risques professionnels technologiques et environnementaux", 104, 1114, 325, 1071, 0, 558, 67, 280, 53, 36, 7, 197, 43, 0, 30, 0, 13, 635, 2, 0, 0, 334, 35, 185, 31, 2, 0, 114, 387, 102, 26, 100, 2, 26.0, 85.0, 99.0, 0, 14, 88, 48, 40, 0, 14, 0, 16, 49, 20, 3, 0.0, 41, 31, 0, 0, 0, 42, 42, 25.49, 83.33, 97.06, 25.5, 47.6953125, 47.6953125, 0, 15.8984375, 86.296875, 0.0, 18.19921875, 55.6953125, 22.69921875, 3.4, 0.0, 54.5, 46.59375, 45.5, 35.1953125, 0.0, 0.0, 176.0, 28.0, 2.0, 0.0, 62.0, "Tous les candidats sauf les Bac technologiques", 283.0, "Bacheliers technologiques toutes séries", 205, "", 0, "Liste d'appel propre à cette formation", 46.0, "2700", "BUT - Hygiène Sécurité Environnement Parcours : Sciences du danger et management des risques professionnels technologiques et environnementaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2700&g_ta_cod=2700", 58.0, 42.0, 0.0),
(6316, "Public", "0030026M", "Lycée Paul Constans", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "BTS", "Lycée Paul Constans - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 32, 196, 59, 196, 0, 14, 4, 69, 15, 59, 25, 54, 0, 0, 0, 0, 0, 167, 0, 0, 0, 14, 4, 69, 15, 58, 25, 26, 106, 30, 10, 30, 0, 10.0, 27.0, 28.0, 0, 10, 28, 2, 9, 17, 2, 0, 18, 8, 2, 0, 0.0, 0, 1, 9, 20, 5, 23, 23, 33.33, 90.0, 93.33, 33.296875, 82.09375, 82.09375, 71.390625, 35.6953125, 93.296875, 0.0, 64.296875, 28.59765625, 7.099609375, 0.0, 0.0, 7.099609375, 0.0, 32.09375, 3.599609375, 60.6953125, 32.09375, 12.0, 3.0, 40.0, 15.0, 3.0, "Tous les candidats sauf les Bac professionnels", 77.0, "Bacheliers professionnels toutes séries", 40, "", 0, "Liste d'appel propre à cette formation", 60.0, "2118", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2118&g_ta_cod=2118", 7.0, 33.0, 60.0),
(6317, "Privé sous contrat d'association", "0692522S", "Ecole Santé Social Sud-Est", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "EFTS", "Ecole Santé Social Sud-Est - D.E Assistant de Service Social", "D.E secteur social", "", 26, 259, 238, 259, 0, 54, 10, 37, 8, 20, 8, 148, 0, 0, 0, 0, 0, 242, 0, 0, 0, 51, 10, 33, 8, 19, 8, 139, 60, 26, 24, 26, 0, 9.0, 24.0, 25.0, 0, 2, 9, 7, 2, 0, 17, 0, 4, 3, 2, 0, 0.0, 3, 2, 0, 0, 0, 5, 5, 34.62, 92.31, 96.15, 92.296875, 55.59375, 55.59375, 0, 22.19921875, 34.59375, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 77.796875, 33.296875, 22.19921875, 22.19921875, 0.0, 0.0, 20.0, 7.0, 3.0, 2.0, 31.0, "Tous les candidats", 88.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "25196", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23716&g_ta_cod=25196", 73.0, 19.0, 8.0),
(6318, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Langues : Anglais -  Programme International MINERVE", "Licence - Arts-lettres-langues", "Langues : Anglais -  Programme International MINERVE", 165, 1303, 990, 1214, 0, 884, 221, 91, 40, 28, 13, 211, 89, 16, 11, 9, 53, 1214, 88, 0, 0, 884, 221, 91, 40, 28, 13, 211, 872, 178, 126, 135, 43, 14.0, 113.0, 141.0, 0, 45, 129, 96, 21, 12, 49, 3, 51, 46, 25, 4, 0.0, 65, 4, 6, 0, 0, 61, 61, 7.87, 63.48, 79.21, 70.796875, 47.296875, 47.296875, 0, 34.8984375, 72.5, 2.2998046875, 39.5, 35.6953125, 19.3984375, 3.1, 0.0, 74.390625, 50.3984375, 16.296875, 3.099609375, 9.298828125, 4.69921875, 612.0, 154.0, 30.0, 18.0, 156.0, "Tous les candidats", 1209.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8397", "Licence - Portail Langues : Anglais -  Programme International MINERVE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8397&g_ta_cod=8397", 74.0, 14.0, 11.0),
(6319, "Public", "0130037V", "Lycée Marcel Pagnol", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "BTS", "Lycée Marcel Pagnol - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 882, 426, 882, 0, 114, 54, 217, 126, 195, 137, 356, 0, 0, 0, 0, 0, 332, 0, 0, 0, 53, 22, 156, 88, 79, 50, 44, 156, 31, 9, 30, 0, 5.0, 24.0, 27.0, 0, 21, 29, 5, 17, 7, 2, 0, 13, 12, 4, 0, 0.0, 2, 11, 3, 2, 1, 29, 29, 16.13, 77.42, 87.1, 29.0, 100.0, 100.0, 6.8994140625, 72.390625, 93.5, 0.0, 44.796875, 41.3984375, 13.798828125, 0.0, 0.0, 17.19921875, 6.8994140625, 58.59375, 37.8984375, 24.09765625, 10.298828125, 21.0, 12.0, 36.0, 20.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 121, "Liste d'appel propre à cette formation", 26.0, "2544", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2544&g_ta_cod=2544", 23.0, 55.0, 23.0),
(6320, "Public", "0750770E", "Lycée professionnel Régional Abbe Gregoire", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Régional Abbe Gregoire - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 24, 280, 42, 280, 0, 27, 6, 35, 9, 147, 67, 71, 0, 0, 0, 0, 0, 280, 0, 0, 0, 27, 6, 35, 9, 147, 67, 71, 60, 24, 7, 22, 0, 7.0, 18.0, 20.0, 0, 7, 22, 3, 7, 12, 2, 0, 13, 9, 0, 0, 0.0, 0, 4, 5, 0, 0, 8, 21, 29.17, 75.0, 83.33, 29.19921875, 36.3984375, 95.5, 0, 31.796875, 91.6875, 0.0, 59.09375, 40.8984375, 0.0, 0.0, 0.0, 13.599609375, 0.0, 31.796875, 18.19921875, 54.5, 22.69921875, 9.0, 1.0, 36.0, 17.0, 3.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "22261", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22261&g_ta_cod=22261", 13.0, 29.0, 58.0),
(6321, "Public", "0590073J", "Lycée Auguste Angellier", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "Lycée Auguste Angellier - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 473, 259, 465, 0, 69, 16, 97, 25, 161, 72, 138, 8, 0, 2, 0, 6, 316, 2, 0, 0, 62, 15, 78, 22, 117, 52, 59, 128, 26, 18, 25, 1, 8.0, 23.0, 23.0, 0, 13, 25, 3, 6, 16, 1, 0, 6, 12, 5, 2, 0.0, 3, 3, 13, 2, 2, 25, 25, 30.77, 88.46, 88.46, 69.1875, 100.0, 100.0, 8, 52.0, 96.1875, 0.0, 24.0, 48.0, 20.0, 8.0, 0.0, 12.0, 12.0, 24.0, 12.0, 64.0, 52.0, 12.0, 5.0, 62.0, 29.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 91, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 35.0, "6761", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6761&g_ta_cod=6761", 15.0, 23.0, 62.0),
(6322, "Privé enseignement supérieur", "0382541F", "Ecole de formation sanitaire et sociale IFTS", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Echirolles", "formation sélective", "EFTS", "Ecole de formation sanitaire et sociale IFTS - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 33, 261, 247, 261, 0, 46, 2, 49, 6, 33, 10, 133, 0, 0, 0, 0, 0, 203, 0, 0, 0, 42, 0, 44, 4, 25, 8, 92, 66, 33, 33, 33, 0, 14.0, 26.0, 28.0, 0, 2, 15, 5, 5, 5, 18, 0, 1, 7, 4, 3, 0.0, 5, 4, 5, 0, 0, 13, 13, 42.42, 78.79, 84.85, 100.0, 86.6875, 86.6875, 0, 13.298828125, 45.5, 0.0, 6.69921875, 46.6953125, 26.69921875, 20.0, 0.0, 33.296875, 33.296875, 33.296875, 26.69921875, 33.296875, 33.296875, 12.0, 0.0, 9.0, 3.0, 27.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "24878", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24878&g_ta_cod=24878", 45.0, 30.0, 24.0),
(6323, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation non sélective", "PASS", "Université Sorbonne Paris Nord - Antenne de Bobigny - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 60, 6583, 4882, 6583, 0, 4712, 1230, 326, 161, 68, 43, 1477, 0, 0, 0, 0, 0, 6581, 0, 0, 0, 4712, 1230, 326, 161, 68, 43, 1475, 540, 57, 49, 57, 0, 11.0, 28.0, 48.0, 0, 13, 44, 44, 0, 0, 13, 0, 0, 5, 27, 12, 0.0, 44, 0, 0, 0, 0, 28, 42, 19.3, 49.12, 84.21, 86.0, 63.59375, 95.5, 0, 29.5, 77.1875, 0.0, 0.0, 11.3984375, 61.3984375, 27.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 514.0, 141.0, 0.0, 0.0, 26.0, "Tous les candidats", 2949.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 21.0, "28689", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28682&g_ta_cod=28689", 98.0, 2.0, 0.0),
(6324, "Public", "0890984L", "IFSI CH Auxerre", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Auxerre", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bourgogne Dijon - D.E Infirmier", "D.E secteur sanitaire", "", 77, 2730, 2285, 2730, 0, 481, 87, 512, 112, 270, 87, 1467, 0, 0, 0, 0, 0, 2250, 0, 0, 0, 439, 76, 430, 92, 206, 67, 1175, 905, 77, 68, 77, 0, 2.0, 27.0, 53.0, 0, 14, 46, 20, 11, 15, 31, 0, 16, 24, 5, 1, 0.0, 12, 6, 12, 0, 0, 32, 32, 2.6, 35.06, 68.83, 88.296875, 69.59375, 69.59375, 0, 30.3984375, 59.6953125, 0.0, 34.796875, 52.1953125, 10.8984375, 2.2, 0.0, 43.5, 26.09765625, 23.8984375, 13.0, 32.59375, 26.09765625, 205.0, 34.0, 108.0, 37.0, 445.0, "Tous les candidats", 2206.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 43.0, "23092", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23009&g_ta_cod=23092", 49.0, 23.0, 27.0),
(6325, "Public", "0750677D", "Lycée Elisa Lemonnier", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "BTS", "Lycée Elisa Lemonnier - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 60, 1332, 1103, 1332, 0, 284, 72, 150, 48, 474, 180, 424, 0, 0, 0, 0, 0, 604, 0, 0, 0, 215, 52, 65, 14, 240, 83, 84, 137, 51, 45, 51, 0, 22.0, 46.0, 48.0, 0, 16, 44, 5, 3, 36, 7, 0, 2, 11, 17, 14, 0.0, 3, 3, 36, 5, 5, 18, 36, 43.14, 90.2, 94.12, 88.1875, 40.8984375, 81.796875, 11.3984375, 36.3984375, 86.296875, 0.0, 4.5, 25.0, 38.59375, 31.8, 0.0, 11.3984375, 6.7998046875, 6.7998046875, 6.7998046875, 81.796875, 81.796875, 22.0, 8.0, 79.0, 32.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 11.0, "12351", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12351&g_ta_cod=12351", 20.0, 8.0, 71.0),
(6326, "Public", "0830165D", "I.U.T de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation sélective", "BUT", "I.U.T de Toulon - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", 164, 3514, 1829, 3514, 0, 2021, 363, 893, 263, 44, 15, 556, 0, 0, 0, 0, 0, 2401, 0, 0, 0, 1539, 258, 618, 184, 0, 0, 244, 876, 157, 91, 157, 0, 29.0, 119.0, 139.0, 0, 33, 142, 68, 74, 0, 15, 1, 8, 80, 48, 4, 1.0, 64, 69, 0, 0, 0, 87, 87, 18.47, 75.8, 88.54, 58.0, 61.296875, 61.296875, 0, 23.19921875, 90.390625, 0.699951171875, 5.599609375, 56.296875, 33.796875, 2.8, 0.7, 47.8984375, 45.09375, 52.09375, 48.59375, 0.0, 0.0, 428.0, 93.0, 0.0, 0.0, 87.0, "Tous les candidats sauf les Bac technologiques", 766.0, "Bacheliers technologiques toutes séries", 460, "", 0, "Liste d'appel propre à cette formation", 35.0, "10360", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10360&g_ta_cod=10360", 50.0, 50.0, 0.0),
(6327, "Public", "0100022V", "Lycée Chrestien de Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BTS", "Lycée Chrestien de Troyes - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 24, 692, 378, 652, 0, 79, 28, 167, 80, 138, 68, 268, 40, 3, 11, 0, 26, 220, 7, 0, 0, 45, 14, 70, 31, 78, 37, 27, 118, 21, 10, 17, 4, 1.0, 16.0, 20.0, 0, 8, 17, 8, 2, 7, 4, 1, 11, 2, 1, 2, 0.0, 1, 1, 3, 0, 0, 15, 15, 4.76, 76.19, 95.24, 47.59375, 88.1875, 88.1875, 0, 47.09375, 81.0, 5.8994140625, 64.6875, 11.798828125, 5.8994140625, 11.8, 0.0, 47.09375, 5.8994140625, 11.798828125, 5.8994140625, 41.1953125, 17.59765625, 31.0, 7.0, 22.0, 14.0, 21.0, "Tous les candidats sauf les Bac professionnels", 142.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 27.0, "29740", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29740&g_ta_cod=29740", 52.0, 14.0, 33.0),
(6328, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence", "Avignon Université - Licence - Portail Sciences de la vie et de la terre", "Licence - Sciences - technologies - santé", "", 130, 1201, 765, 1161, 0, 764, 148, 80, 20, 10, 7, 307, 40, 15, 2, 0, 23, 1161, 38, 0, 0, 764, 148, 80, 20, 10, 7, 307, 812, 120, 80, 103, 16, 3.0, 68.0, 92.0, 0, 12, 85, 78, 7, 0, 35, 0, 39, 35, 9, 2, 0.0, 41, 5, 0, 0, 0, 62, 62, 2.5, 56.67, 76.67, 66.6875, 72.890625, 72.890625, 0, 14.099609375, 70.796875, 0.0, 45.8984375, 41.1953125, 10.599609375, 2.4, 0.0, 91.796875, 48.1953125, 8.19921875, 5.8994140625, 0.0, 0.0, 558.0, 110.0, 4.0, 4.0, 222.0, "Tous les candidats", 1186.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 83.0, "10457", "Licence - Portail Sciences de la vie et de la terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31748&g_ta_cod=10457", 88.0, 10.0, 0.0),
(6329, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 3 - Sc. du langage - Lettres", "Licence - Arts-lettres-langues", "3 - Sc. du langage - Lettres", 80, 361, 311, 282, 0, 188, 45, 17, 6, 19, 10, 58, 79, 20, 10, 9, 40, 280, 73, 0, 0, 188, 45, 17, 6, 19, 10, 56, 291, 73, 61, 46, 27, 10.0, 46.0, 57.0, 0, 13, 47, 33, 6, 8, 26, 1, 24, 12, 9, 1, 0.0, 18, 3, 1, 0, 0, 42, 42, 13.7, 63.01, 78.08, 83.59375, 89.390625, 89.390625, 0, 27.69921875, 64.390625, 2.099609375, 51.09375, 25.5, 19.09765625, 2.1, 0.0, 70.1875, 38.296875, 12.798828125, 6.3994140625, 17.0, 2.099609375, 174.0, 42.0, 22.0, 11.0, 74.0, "Tous les candidats", 280.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "24128", "Licence - Portail 3 - Sc. du langage - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24128&g_ta_cod=24128", 67.0, 15.0, 18.0),
(6330, "Public", "0740027C", "Lycée Mont Blanc", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Passy", "formation sélective", "BTS", "Lycée Mont Blanc - BTS - Services - Conseil et commercialisation de solutions techniques (Seconde année possible en apprentissage)", "BTS - Services", "", 24, 143, 32, 122, 0, 10, 2, 48, 3, 27, 9, 37, 21, 0, 8, 1, 12, 83, 13, 0, 0, 10, 2, 42, 2, 20, 6, 11, 93, 16, 3, 14, 1, 4.0, 12.0, 16.0, 0, 3, 13, 1, 9, 3, 3, 0, 11, 2, 0, 0, 0.0, 1, 0, 1, 4, 2, 9, 9, 25.0, 75.0, 100.0, 18.796875, 69.1875, 69.1875, 30.796875, 23.09765625, 81.296875, 0.0, 84.59375, 15.3984375, 0.0, 0.0, 0.0, 7.69921875, 7.69921875, 69.1875, 0.0, 23.09765625, 7.69921875, 8.0, 2.0, 21.0, 6.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 66.0, "8872", "BTS - Services - Conseil et commercialisation de solutions techniques (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8872&g_ta_cod=8872", 13.0, 63.0, 25.0),
(6331, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - ESTRI - Licence - Langues étrangères appliquées - Parcours Langues, Traduction et Communication à l'international / Anglais-Italien", "Licence - Arts-lettres-langues", "Langues, Traduction et Communication à l'international / Anglais-Italien", 30, 132, 102, 90, 0, 52, 7, 7, 1, 4, 4, 27, 42, 10, 5, 1, 26, 67, 18, 0, 0, 47, 4, 4, 1, 1, 1, 15, 83, 17, 14, 10, 7, 7.0, 10.0, 15.0, 0, 0, 13, 11, 2, 0, 4, 1, 3, 7, 2, 0, 0.0, 8, 1, 0, 0, 0, 8, 8, 41.18, 58.82, 88.24, 82.390625, 61.5, 61.5, 0, 0.0, 76.5, 7.69921875, 23.09765625, 53.796875, 15.3984375, 0.0, 0.0, 84.59375, 61.5, 15.3984375, 7.69921875, 0.0, 0.0, 51.0, 5.0, 1.0, 1.0, 24.0, "Tous les candidats", 67.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "24695", "Licence - Langues étrangères appliquées - Parcours Langues, Traduction et Communication à l'international / Anglais-Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24695&g_ta_cod=24695", 88.0, 12.0, 0.0),
(6332, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Psychologie", "Licence - Sciences humaines et sociales", "", 400, 3952, 3328, 3952, 0, 2372, 445, 377, 114, 101, 44, 1102, 0, 0, 0, 0, 0, 3946, 0, 0, 0, 2372, 445, 377, 114, 101, 44, 1096, 1318, 398, 338, 398, 0, 94.0, 314.0, 356.0, 0, 65, 290, 268, 16, 6, 108, 0, 74, 132, 68, 16, 0.0, 197, 13, 6, 0, 0, 246, 246, 23.62, 78.89, 89.45, 84.890625, 84.796875, 84.796875, 0, 22.3984375, 72.890625, 0.0, 25.5, 45.5, 23.3984375, 5.5, 0.0, 92.390625, 67.890625, 5.5, 4.5, 2.099609375, 2.099609375, 886.0, 190.0, 9.0, 4.0, 368.0, "Tous les candidats", 1506.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "20616", "Licence - Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20616&g_ta_cod=20616", 91.0, 7.0, 2.0),
(6333, "Public", "0220058U", "Lycée Chaptal", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée Chaptal - BTS - Production - Conception de produits industriels", "BTS - Production", "", 30, 382, 49, 375, 0, 29, 0, 140, 19, 40, 9, 166, 7, 0, 0, 2, 5, 213, 4, 0, 0, 29, 0, 135, 16, 22, 4, 27, 152, 17, 1, 15, 1, 1.0, 15.0, 16.0, 0, 1, 14, 1, 10, 3, 3, 0, 7, 5, 1, 1, 0.0, 0, 4, 3, 4, 0, 13, 13, 5.88, 88.24, 94.12, 5.8994140625, 92.890625, 92.890625, 28.59765625, 7.099609375, 82.390625, 0.0, 50.0, 35.6953125, 7.099609375, 7.1, 0.0, 7.099609375, 0.0, 71.390625, 28.59765625, 21.3984375, 21.3984375, 19.0, 0.0, 18.0, 4.0, 29.0, "Tous les candidats sauf les Bac professionnels", 187.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 57.0, "3325", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3325&g_ta_cod=3325", 18.0, 65.0, 18.0),
(6334, "Public", "0660924W", "LYCEE POLYVALENT CHRISTIAN BOURQUIN", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Argelès-sur-Mer", "formation sélective", "Autre formation", "LYCEE POLYVALENT CHRISTIAN BOURQUIN - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 200, 95, 200, 0, 55, 11, 33, 8, 15, 6, 97, 0, 0, 0, 0, 0, 200, 0, 0, 0, 55, 11, 33, 8, 15, 6, 97, 111, 23, 14, 23, 0, 7.0, 19.0, 21.0, 0, 5, 13, 5, 7, 1, 10, 2, 4, 6, 0, 1, 0.0, 4, 2, 1, 0, 0, 7, 7, 30.43, 82.61, 91.3, 60.8984375, 53.796875, 53.796875, 0, 38.5, 56.5, 15.3984375, 30.796875, 46.1953125, 0.0, 7.7, 0.0, 38.5, 30.796875, 53.796875, 15.3984375, 7.69921875, 7.69921875, 37.0, 7.0, 12.0, 5.0, 39.0, "Tous les candidats", 143.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "7889", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7889&g_ta_cod=7889", 61.0, 35.0, 4.0),
(6335, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "PASS", "Université Côte d'Azur - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 45, 1514, 1068, 1514, 0, 1100, 180, 27, 14, 12, 6, 375, 0, 0, 0, 0, 0, 1511, 0, 0, 0, 1100, 180, 27, 14, 12, 6, 372, 440, 45, 34, 45, 0, 1.0, 16.0, 37.0, 0, 6, 39, 39, 0, 0, 6, 0, 1, 4, 30, 3, 1.0, 38, 0, 0, 0, 0, 39, 39, 2.22, 35.56, 82.22, 75.59375, 100.0, 100.0, 0, 15.3984375, 86.6875, 0.0, 2.599609375, 10.298828125, 76.890625, 7.7, 2.6, 100.0, 97.390625, 0.0, 0.0, 0.0, 0.0, 397.0, 68.0, 2.0, 2.0, 40.0, "Tous les candidats", 1912.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "27475", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27218&g_ta_cod=27475", 100.0, 0.0, 0.0),
(6336, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence", "Université du Mans - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 330, 1495, 1077, 1468, 0, 1101, 220, 139, 48, 27, 12, 201, 27, 7, 0, 1, 19, 1458, 26, 0, 0, 1101, 220, 139, 48, 27, 12, 191, 1484, 325, 231, 310, 15, 302.0, 306.0, 307.0, 0, 66, 265, 233, 22, 10, 60, 1, 78, 115, 63, 8, 0.0, 168, 11, 7, 0, 0, 221, 221, 92.92, 94.15, 94.46, 71.09375, 83.390625, 83.390625, 0, 24.8984375, 81.5, 0.39996337890625, 29.3984375, 43.3984375, 23.796875, 3.0, 0.0, 87.890625, 63.3984375, 8.298828125, 4.19921875, 3.7998046875, 2.599609375, 1108.0, 223.0, 28.0, 13.0, 209.0, "Tous les candidats", 1506.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "8736", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26860&g_ta_cod=8736", 82.0, 11.0, 6.0),
(6337, "Privé sous contrat d'association", "0212195Z", "ESEO Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 48, 1371, 317, 1361, 0, 1355, 99, 0, 0, 0, 0, 6, 10, 10, 0, 0, 0, 1203, 5, 0, 0, 1203, 77, 0, 0, 0, 0, 0, 1119, 23, 2, 21, 2, 12.0, 21.0, 23.0, 0, 3, 23, 23, 0, 0, 0, 0, 8, 9, 6, 0, 0.0, 15, 0, 0, 0, 0, 13, 13, 52.17, 91.3, 100.0, 8.69921875, 56.5, 56.5, 0, 13.0, 100.0, 0.0, 34.796875, 39.09375, 26.09765625, 0.0, 0.0, 100.0, 65.1875, 0.0, 0.0, 0.0, 0.0, 1119.0, 76.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "74", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=74", 100.0, 0.0, 0.0),
(6338, "Public", "0450092F", "I.U.T d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BUT", "I.U.T d'Orléans - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées (sous réserve) ET / OU Administration, gestion et exploitation des données (sous réserve) - Apprentissage possible dès la 2ème année (Seconde année possible en apprentissage)", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées (sous réserve) ET / OU Administration, gestion et exploitation des données (sous réserve) - Apprentissage possible dès la 2ème année", 97, 1554, 140, 1554, 0, 903, 118, 370, 92, 9, 4, 272, 0, 0, 0, 0, 0, 748, 0, 0, 0, 520, 58, 197, 35, 0, 0, 31, 411, 103, 8, 103, 0, 37.0, 87.0, 97.0, 0, 20, 102, 55, 47, 0, 1, 0, 8, 58, 32, 4, 0.0, 50, 44, 0, 0, 0, 80, 80, 35.92, 84.47, 94.17, 7.7998046875, 78.390625, 78.390625, 0, 19.59765625, 99.0, 0.0, 7.7998046875, 56.8984375, 31.3984375, 3.9, 0.0, 53.8984375, 49.0, 46.09375, 43.09375, 0.0, 0.0, 260.0, 38.0, 0.0, 0.0, 8.0, "Tous les candidats sauf les Bac technologiques", 341.0, "Bacheliers technologiques toutes séries", 192, "", 0, "Liste d'appel propre à cette formation", 34.0, "5674", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées (sous réserve) ET / OU Administration, gestion et exploitation des données (sous réserve) - Apprentissage possible dès la 2ème année (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5674&g_ta_cod=5674", 54.0, 46.0, 0.0),
(6339, "Privé sous contrat d'association", "0131436R", "Lycée Modele Electronique", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 11e  Arrondissement", "formation sélective", "BTS", "Lycée Modele Electronique - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 249, 21, 199, 0, 16, 4, 60, 15, 54, 20, 69, 50, 5, 17, 0, 28, 57, 3, 0, 0, 7, 2, 25, 2, 19, 6, 6, 44, 11, 0, 9, 1, 5.0, 9.0, 9.0, 0, 1, 11, 2, 2, 7, 0, 0, 4, 1, 4, 2, 0.0, 1, 0, 6, 5, 0, 11, 11, 45.45, 81.82, 81.82, 0.0, 100.0, 100.0, 45.5, 9.099609375, 100.0, 0.0, 36.3984375, 9.099609375, 36.3984375, 18.2, 0.0, 18.19921875, 9.099609375, 18.19921875, 0.0, 63.59375, 54.5, 7.0, 2.0, 11.0, 2.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 24.0, "16128", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16128&g_ta_cod=16128", 18.0, 18.0, 64.0),
(6340, "Public", "0951946Z", "I.U.T de Cergy-Pontoise - Site d'Argenteuil", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "BUT", "I.U.T de Cergy-Pontoise - Site d'Argenteuil - BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables (Seconde année possible en apprentissage)", "BUT - Service", "Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", 56, 557, 128, 546, 0, 177, 31, 205, 84, 0, 0, 164, 11, 3, 0, 0, 8, 273, 1, 0, 0, 115, 14, 107, 42, 0, 0, 51, 163, 55, 16, 53, 1, 13.0, 42.0, 46.0, 0, 12, 41, 19, 22, 0, 14, 1, 13, 21, 6, 0, 0.0, 11, 16, 0, 0, 0, 31, 37, 23.64, 76.36, 83.64, 29.09765625, 75.59375, 90.1875, 0, 29.296875, 74.5, 2.39990234375, 31.69921875, 51.1953125, 14.599609375, 0.0, 0.0, 46.296875, 26.796875, 53.6953125, 39.0, 0.0, 0.0, 67.0, 14.0, 0.0, 0.0, 31.0, "Tous les candidats sauf les Bac technologiques", 107.0, "Bacheliers technologiques toutes séries", 72, "", 0, "Liste d'appel propre à cette formation", 33.0, "11658", "BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11658&g_ta_cod=11658", 49.0, 49.0, 0.0),
(6341, "Public", "0831407D", "Lycée du Coudon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation sélective", "BTS", "Lycée du Coudon - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 20, 429, 250, 429, 0, 65, 19, 105, 51, 84, 48, 175, 0, 0, 0, 0, 0, 320, 0, 0, 0, 63, 18, 93, 45, 62, 33, 102, 106, 18, 10, 18, 0, 2.0, 15.0, 17.0, 0, 8, 15, 7, 2, 6, 3, 0, 10, 3, 2, 0, 0.0, 1, 2, 2, 3, 2, 14, 14, 11.11, 83.33, 94.44, 55.59375, 93.296875, 93.296875, 20, 53.296875, 83.296875, 0.0, 66.6875, 20.0, 13.298828125, 0.0, 0.0, 46.6953125, 6.69921875, 13.298828125, 13.298828125, 40.0, 13.298828125, 40.0, 16.0, 32.0, 18.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 35.0, "20551", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20551&g_ta_cod=20551", 39.0, 22.0, 39.0),
(6342, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation non sélective", "Licence", "Université de La Rochelle - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 41, 301, 138, 301, 0, 233, 34, 14, 2, 2, 1, 52, 0, 0, 0, 0, 0, 296, 0, 0, 0, 233, 34, 14, 2, 2, 1, 47, 153, 46, 18, 46, 0, 3.0, 46.0, 46.0, 0, 9, 39, 36, 2, 1, 7, 0, 12, 15, 11, 1, 0.0, 24, 2, 1, 0, 0, 32, 32, 6.52, 100.0, 100.0, 39.09375, 82.09375, 82.09375, 0, 23.09765625, 84.796875, 0.0, 30.796875, 38.5, 28.19921875, 2.6, 0.0, 92.296875, 61.5, 5.099609375, 5.099609375, 2.599609375, 2.599609375, 126.0, 21.0, 1.0, 0.0, 21.0, "Tous les candidats", 221.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "3085", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3085&g_ta_cod=3085", 87.0, 7.0, 7.0),
(6343, "Public", "0110022P", "Lycée Docteur Lacroix", "11", "Aude", "Occitanie", "Montpellier", "Narbonne", "formation sélective", "BTS", "Lycée Docteur Lacroix - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 45, 1378, 1060, 1178, 0, 230, 51, 429, 138, 61, 32, 458, 200, 46, 55, 0, 99, 313, 60, 0, 0, 68, 16, 162, 51, 34, 16, 49, 243, 38, 28, 18, 20, 2.0, 18.0, 33.0, 0, 7, 29, 9, 19, 1, 9, 0, 2, 19, 7, 1, 0.0, 7, 19, 1, 5, 3, 13, 13, 5.26, 47.37, 86.84, 73.6875, 44.796875, 44.796875, 17.19921875, 24.09765625, 76.296875, 0.0, 6.8994140625, 65.5, 24.09765625, 3.4, 0.0, 31.0, 24.09765625, 65.5, 65.5, 3.39990234375, 3.39990234375, 67.0, 14.0, 4.0, 4.0, 60.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 100.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 175, "Liste d'appel propre à cette formation", 24.0, "2456", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2456&g_ta_cod=2456", 32.0, 66.0, 3.0),
(6344, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Portail Licence Sciences de la Vie et de la Terre / Licence Sciences de la Terre / Licence Sciences de la Vie", "Licence - Sciences - technologies - santé", "Licence Sciences de la Vie et de la Terre / Licence Sciences de la Terre / Licence Sciences de la Vie", 360, 2579, 1682, 2537, 0, 1549, 227, 97, 17, 7, 1, 884, 42, 13, 2, 2, 25, 2526, 39, 0, 0, 1549, 227, 97, 17, 7, 1, 873, 1531, 354, 198, 324, 29, 36.0, 201.0, 279.0, 0, 40, 243, 229, 12, 2, 111, 11, 64, 97, 53, 17, 1.0, 161, 6, 1, 0, 0, 233, 233, 10.17, 56.78, 78.81, 55.8984375, 95.890625, 95.890625, 0, 16.5, 68.59375, 4.5, 26.296875, 39.8984375, 21.796875, 7.0, 0.4, 94.1875, 66.296875, 4.8994140625, 2.5, 0.7999267578125, 0.39996337890625, 855.0, 143.0, 4.0, 1.0, 647.0, "Tous les candidats", 2044.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 70.0, "9714", "Licence - Portail Licence Sciences de la Vie et de la Terre / Licence Sciences de la Terre / Licence Sciences de la Vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26798&g_ta_cod=9714", 94.0, 5.0, 1.0),
(6345, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Licence - Lettres", "Licence - Arts-lettres-langues", "", 84, 361, 249, 169, 0, 90, 34, 2, 0, 24, 14, 53, 192, 38, 12, 22, 120, 168, 183, 0, 0, 90, 34, 2, 0, 24, 14, 52, 343, 62, 37, 21, 41, 13.0, 21.0, 51.0, 0, 14, 21, 14, 1, 6, 41, 0, 11, 8, 2, 0, 0.0, 7, 0, 3, 0, 0, 12, 18, 20.97, 33.87, 82.26, 59.6953125, 57.09375, 85.6875, 0, 66.6875, 33.8984375, 0.0, 52.3984375, 38.09375, 9.5, 0.0, 0.0, 66.6875, 33.296875, 4.7998046875, 0.0, 28.59765625, 14.298828125, 123.0, 50.0, 45.0, 26.0, 161.0, "Tous les candidats", 168.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "11259", "Licence - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11259&g_ta_cod=11259", 47.0, 16.0, 37.0),
(6346, "Public", "0442094M", "Lycée polyvalent Nicolas Appert", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Orvault", "formation sélective", "BTS", "Lycée polyvalent Nicolas Appert - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 238, 9, 235, 0, 28, 2, 136, 16, 41, 9, 30, 3, 0, 0, 2, 1, 204, 0, 0, 0, 27, 2, 121, 12, 38, 8, 18, 63, 14, 0, 14, 0, 4.0, 9.0, 13.0, 0, 3, 14, 1, 11, 2, 0, 0, 4, 7, 3, 0, 0.0, 0, 8, 2, 6, 0, 11, 11, 28.57, 64.29, 92.86, 0.0, 78.59375, 78.59375, 42.8984375, 21.3984375, 100.0, 0.0, 28.59765625, 50.0, 21.3984375, 0.0, 0.0, 7.099609375, 0.0, 78.59375, 57.09375, 14.298828125, 14.298828125, 5.0, 1.0, 15.0, 5.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 106, "Liste d'appel propre à cette formation", 68.0, "5610", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5610&g_ta_cod=5610", 7.0, 79.0, 14.0),
(6347, "Public", "0430021P", "Lycée Simone Weil", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "BTS", "Lycée Simone Weil - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 32, 556, 229, 522, 0, 68, 23, 150, 50, 127, 50, 177, 34, 5, 0, 14, 15, 242, 6, 0, 0, 55, 16, 81, 26, 86, 26, 20, 157, 26, 11, 23, 3, 2.0, 19.0, 22.0, 0, 3, 22, 6, 7, 9, 4, 0, 9, 10, 3, 0, 0.0, 0, 4, 9, 5, 3, 17, 17, 7.69, 73.08, 84.62, 42.296875, 77.296875, 77.296875, 22.69921875, 13.599609375, 84.59375, 0.0, 40.8984375, 45.5, 13.599609375, 0.0, 0.0, 27.296875, 0.0, 31.796875, 18.19921875, 40.8984375, 40.8984375, 45.0, 11.0, 63.0, 21.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 87, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 40.0, "5394", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5394&g_ta_cod=5394", 31.0, 35.0, 35.0),
(6348, "Public", "0492137G", "Université Angers-Campus de Cholet", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "Autre formation", "Université Angers-Campus de Cholet - Diplôme d'Université - PAREO - Paréo (Passeport pour réussir et s?orienter)", "Diplôme d'Université", "Paréo (Passeport pour réussir et s?orienter)", 20, 64, 47, 20, 0, 11, 1, 8, 6, 0, 0, 1, 44, 14, 7, 3, 20, 20, 19, 0, 0, 11, 1, 8, 6, 0, 0, 1, 68, 14, 10, 3, 8, 3.0, 3.0, 7.0, 0, 4, 11, 6, 5, 0, 3, 0, 9, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 8, 8, 21.43, 21.43, 50.0, 71.390625, 72.6875, 72.6875, 0, 36.3984375, 78.59375, 0.0, 81.796875, 18.19921875, 0.0, 0.0, 0.0, 54.5, 18.19921875, 45.5, 0.0, 0.0, 0.0, 33.0, 11.0, 8.0, 1.0, 7.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32666", "Diplôme d'Université - PAREO - Paréo (Passeport pour réussir et s?orienter)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32666&g_ta_cod=32666", 50.0, 43.0, 7.0),
(6349, "Public", "0910627M", "Lycée Jean Baptiste Corot", "91", "Essonne", "Ile-de-France", "Versailles", "Savigny-sur-Orge", "formation sélective", "BTS", "Lycée Jean Baptiste Corot - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 36, 1378, 681, 1378, 0, 91, 29, 519, 183, 427, 182, 341, 0, 0, 0, 0, 0, 596, 0, 0, 0, 60, 19, 307, 97, 169, 68, 60, 114, 36, 23, 36, 0, 19.0, 32.0, 34.0, 0, 9, 33, 4, 14, 15, 3, 0, 8, 15, 7, 3, 0.0, 1, 11, 13, 4, 3, 32, 32, 52.78, 88.89, 94.44, 63.8984375, 97.0, 97.0, 12.099609375, 27.296875, 91.6875, 0.0, 24.19921875, 45.5, 21.19921875, 9.1, 0.0, 12.099609375, 3.0, 42.3984375, 33.296875, 45.5, 39.3984375, 15.0, 6.0, 43.0, 13.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 10.0, "10866", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10866&g_ta_cod=10866", 14.0, 39.0, 47.0),
(6350, "Privé sous contrat d'association", "0932019P", "ESIEE Paris", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Noisy-le-Grand", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 220, 3462, 770, 3462, 0, 3451, 364, 0, 0, 0, 0, 11, 0, 0, 0, 0, 0, 2682, 0, 0, 0, 2682, 218, 0, 0, 0, 0, 0, 2390, 213, 30, 213, 0, 159.0, 210.0, 213.0, 0, 18, 213, 213, 0, 0, 0, 0, 4, 88, 100, 17, 4.0, 209, 0, 0, 0, 0, 129, 173, 74.65, 98.59, 100.0, 14.099609375, 60.59375, 81.1875, 0, 8.5, 100.0, 0.0, 1.89990234375, 41.296875, 46.8984375, 8.0, 1.9, 100.0, 98.09375, 0.0, 0.0, 0.0, 0.0, 2390.0, 215.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "94", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=94", 100.0, 0.0, 0.0),
(6351, "Public", "0751718K", "Université Paris 2 Panthéon - Assas", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation non sélective", "Licence", "Université Paris 2 Panthéon - Assas - Licence - Information et communication", "Licence - Sciences humaines et sociales", "", 50, 4897, 3750, 4897, 0, 3326, 565, 259, 90, 33, 16, 1279, 0, 0, 0, 0, 0, 4897, 0, 0, 0, 3326, 565, 259, 90, 33, 16, 1279, 201, 54, 43, 53, 0, 4.0, 38.0, 44.0, 0, 9, 34, 34, 0, 0, 20, 0, 3, 2, 11, 17, 1.0, 31, 0, 0, 0, 0, 5, 22, 7.41, 70.37, 81.48, 79.59375, 14.69921875, 64.6875, 0, 26.5, 63.0, 0.0, 8.798828125, 5.8994140625, 32.3984375, 50.0, 2.9, 100.0, 91.1875, 0.0, 0.0, 0.0, 0.0, 128.0, 26.0, 2.0, 0.0, 68.0, "Tous les candidats", 257.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "18039", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18039&g_ta_cod=18039", 100.0, 0.0, 0.0),
(6352, "Public", "0760035A", "Lycée Guy De Maupassant", "76", "Seine-Maritime", "Normandie", "Normandie", "Fécamp", "formation sélective", "BTS", "Lycée Guy De Maupassant - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 487, 268, 485, 0, 33, 3, 154, 44, 106, 47, 192, 2, 0, 0, 0, 2, 243, 0, 0, 0, 32, 2, 116, 26, 74, 32, 21, 146, 32, 22, 32, 0, 8.0, 26.0, 30.0, 0, 5, 31, 4, 12, 15, 1, 1, 12, 14, 4, 0, 0.0, 1, 3, 14, 9, 5, 31, 31, 25.0, 81.25, 93.75, 68.796875, 100.0, 100.0, 29, 16.09765625, 96.890625, 3.19970703125, 38.6953125, 45.1953125, 12.8984375, 0.0, 0.0, 12.8984375, 3.19970703125, 38.6953125, 9.69921875, 48.3984375, 45.1953125, 12.0, 2.0, 45.0, 16.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 125, "Liste d'appel propre à cette formation", 41.0, "9569", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9569&g_ta_cod=9569", 13.0, 41.0, 47.0),
(6353, "Public", "0622238W", "I.U.T. de Béthune", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "BUT", "I.U.T. de Béthune - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Management de process industriel", "BUT - Production", "Innovation pour l?industrie - Management de process industriel", 65, 419, 34, 397, 0, 197, 27, 116, 21, 6, 2, 78, 22, 1, 5, 0, 16, 364, 10, 0, 0, 188, 23, 103, 15, 3, 1, 70, 253, 54, 3, 53, 1, 35.0, 48.0, 53.0, 0, 7, 46, 28, 18, 0, 8, 0, 17, 22, 6, 1, 0.0, 14, 15, 0, 0, 0, 39, 39, 64.81, 88.89, 98.15, 5.599609375, 84.796875, 84.796875, 0, 15.19921875, 85.1875, 0.0, 37.0, 47.796875, 13.0, 2.2, 0.0, 60.8984375, 30.3984375, 39.09375, 32.59375, 0.0, 0.0, 107.0, 12.0, 1.0, 1.0, 56.0, "Tous les candidats sauf les Bac technologiques", 247.0, "Bacheliers technologiques toutes séries", 118, "", 0, "Liste d'appel propre à cette formation", 91.0, "7437", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Management de process industriel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7437&g_ta_cod=7437", 67.0, 33.0, 0.0),
(6354, "Public", "0870125N", "I.U.T du Limousin - site de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BUT", "I.U.T du Limousin - site de Limoges - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 48, 658, 392, 644, 0, 344, 39, 105, 19, 0, 0, 195, 14, 1, 5, 0, 8, 453, 1, 0, 0, 269, 26, 70, 11, 0, 0, 114, 288, 48, 25, 48, 0, 13.0, 29.0, 44.0, 0, 2, 37, 23, 14, 0, 11, 1, 8, 14, 14, 0, 0.0, 17, 11, 0, 0, 0, 22, 22, 27.08, 60.42, 91.67, 52.09375, 59.5, 59.5, 0, 5.3994140625, 77.09375, 2.69970703125, 21.59765625, 37.796875, 37.796875, 0.0, 0.0, 62.1953125, 45.8984375, 37.796875, 29.69921875, 0.0, 0.0, 153.0, 19.0, 0.0, 0.0, 77.0, "Tous les candidats sauf les Bac technologiques", 329.0, "Bacheliers technologiques toutes séries", 75, "", 0, "Liste d'appel propre à cette formation", 63.0, "10688", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10688&g_ta_cod=10688", 69.0, 31.0, 0.0),
(6355, "Public", "0511901P", "Lycée Colbert", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Colbert - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 36, 1067, 537, 1045, 0, 109, 27, 327, 144, 252, 113, 357, 22, 0, 0, 11, 11, 377, 4, 0, 0, 50, 9, 136, 48, 135, 50, 56, 172, 34, 12, 31, 3, 3.0, 24.0, 30.0, 0, 8, 24, 2, 8, 14, 10, 0, 8, 11, 4, 1, 0.0, 1, 4, 11, 1, 0, 20, 20, 8.82, 70.59, 88.24, 35.296875, 83.296875, 83.296875, 4.19921875, 33.296875, 70.59375, 0.0, 33.296875, 45.796875, 16.69921875, 4.2, 0.0, 8.298828125, 4.19921875, 33.296875, 16.69921875, 58.296875, 45.796875, 14.0, 3.0, 73.0, 28.0, 37.0, "Tous les candidats sauf les Bac professionnels", 139.0, "Bacheliers professionnels toutes séries", 144, "", 0, "Liste d'appel propre à cette formation", 27.0, "6150", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6150&g_ta_cod=6150", 18.0, 32.0, 50.0),
(6356, "Public", "0692517L", "LPO Camus-Sermenaz", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Rillieux-la-Pape", "formation sélective", "BTS", "LPO Camus-Sermenaz - BTS - Production - Conception de produits industriels", "BTS - Production", "", 24, 437, 33, 415, 0, 27, 5, 223, 52, 65, 20, 100, 22, 0, 0, 15, 7, 341, 3, 0, 0, 18, 3, 200, 47, 49, 13, 74, 138, 22, 3, 21, 1, 6.0, 14.0, 21.0, 0, 8, 18, 1, 11, 6, 4, 0, 6, 9, 3, 0, 0.0, 0, 6, 6, 1, 0, 12, 12, 27.27, 63.64, 95.45, 13.599609375, 66.6875, 66.6875, 5.599609375, 44.3984375, 81.796875, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 5.599609375, 0.0, 61.09375, 33.296875, 33.296875, 33.296875, 4.0, 1.0, 33.0, 9.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 214, "Liste d'appel propre à cette formation", 72.0, "8540", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8540&g_ta_cod=8540", 5.0, 68.0, 27.0),
(6357, "Privé sous contrat d'association", "0133960J", "ISRP", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  9e  Arrondissement", "formation sélective", "Autre formation", "Institut supérieur de rééducation psychomotrice - D.E Psychomotricien", "D.E secteur sanitaire", "", 90, 918, 832, 918, 0, 196, 13, 63, 5, 4, 0, 655, 0, 0, 0, 0, 0, 758, 0, 0, 0, 143, 8, 34, 2, 4, 0, 577, 259, 97, 93, 97, 0, 33.0, 93.0, 93.0, 0, 1, 4, 3, 1, 0, 93, 0, 0, 1, 2, 1, 0.0, 3, 1, 0, 0, 0, 2, 2, 34.02, 95.88, 95.88, 95.890625, 50.0, 50.0, 0, 25.0, 4.099609375, 0.0, 0.0, 25.0, 50.0, 25.0, 0.0, 75.0, 75.0, 25.0, 25.0, 0.0, 0.0, 18.0, 8.0, 0.0, 0.0, 239.0, "Tous les candidats", 346.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "26647", "D.E Psychomotricien", "Institut supérieur de rééducation psychomotrice", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26071&g_ta_cod=26647", 76.0, 20.0, 1.0),
(6358, "Public", "0630022G", "Lycée professionnel Roger Claustres", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Autre formation", "Lycée professionnel Roger Claustres - Mention complémentaire - Aéronautique - option avionique", "Mention complémentaire", "", 9, 60, 5, 60, 0, 0, 0, 0, 0, 46, 7, 14, 0, 0, 0, 0, 0, 54, 0, 0, 0, 0, 0, 0, 0, 41, 5, 13, 24, 9, 1, 9, 0, 4.0, 7.0, 7.0, 0, 2, 9, 0, 0, 9, 0, 0, 1, 4, 2, 2, 0.0, 0, 0, 8, 0, 0, 4, 4, 44.44, 77.78, 77.78, 11.099609375, 44.3984375, 44.3984375, 0, 22.19921875, 100.0, 0.0, 11.099609375, 44.3984375, 22.19921875, 22.2, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 88.890625, 0.0, 0.0, 23.0, 3.0, 1.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "19129", "Mention complémentaire - Aéronautique - option avionique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19129&g_ta_cod=19129", 0.0, 0.0, 100.0),
(6359, "Public", "0130049H", "Lycée Rempart (Rue Du)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  7e  Arrondissement", "formation sélective", "BTS", "Lycée Rempart (Rue Du) - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 349, 14, 349, 0, 12, 5, 76, 33, 154, 80, 107, 0, 0, 0, 0, 0, 243, 0, 0, 0, 12, 5, 62, 24, 110, 52, 59, 114, 29, 3, 29, 0, 4.0, 21.0, 26.0, 0, 4, 14, 0, 0, 14, 15, 0, 2, 4, 6, 2, 0.0, 0, 0, 12, 0, 0, 12, 12, 13.79, 72.41, 89.66, 10.298828125, 85.6875, 85.6875, 0, 28.59765625, 48.296875, 0.0, 14.298828125, 28.59765625, 42.8984375, 14.3, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 85.6875, 5.0, 4.0, 53.0, 19.0, 31.0, "Tous les candidats sauf les Bac professionnels", 93.0, "Bacheliers professionnels toutes séries", 71, "", 0, "Liste d'appel propre à cette formation", 47.0, "2566", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2566&g_ta_cod=2566", 28.0, 17.0, 55.0),
(6360, "Public", "0711068A", "Lycée agricole Fontaines", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Fontaines", "formation sélective", "BTS", "Lycée agricole Fontaines - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 32, 347, 131, 345, 0, 14, 2, 76, 11, 47, 15, 208, 2, 0, 0, 1, 1, 156, 1, 0, 0, 14, 2, 76, 11, 47, 15, 19, 114, 25, 8, 25, 0, 11.0, 25.0, 25.0, 0, 6, 17, 0, 8, 9, 8, 0, 2, 9, 6, 0, 0.0, 0, 6, 9, 14, 4, 15, 15, 44.0, 100.0, 100.0, 32.0, 88.1875, 88.1875, 82.390625, 35.296875, 68.0, 0.0, 11.798828125, 52.8984375, 35.296875, 0.0, 0.0, 0.0, 0.0, 47.09375, 35.296875, 52.8984375, 52.8984375, 10.0, 2.0, 33.0, 13.0, 17.0, "Tous les candidats sauf les Bac professionnels", 108.0, "Bacheliers professionnels toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 45.0, "8653", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8653&g_ta_cod=8653", 24.0, 40.0, 36.0),
(6361, "Public", "0660010C", "Lycée François Arago", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "CPGE", "Lycée François Arago - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 646, 249, 633, 399, 427, 80, 2, 1, 0, 0, 204, 13, 4, 0, 1, 8, 562, 4, 399, 458, 416, 75, 1, 1, 0, 0, 145, 388, 31, 12, 31, 0, 13.0, 19.0, 30.0, 10, 4, 22, 22, 0, 0, 9, 0, 0, 3, 17, 2, 0.0, 22, 0, 0, 3, 0, 21, 21, 41.94, 61.29, 96.77, 38.6953125, 95.5, 95.5, 13.599609375, 18.19921875, 71.0, 0.0, 0.0, 13.599609375, 77.296875, 9.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 332.0, 51.0, 0.0, 0.0, 56.0, "Tous les candidats", 468.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "7845", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7845&g_ta_cod=7845", 100.0, 0.0, 0.0),
(6362, "Public", "0382838D", "Lycée La Pléiade", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Pont-de-Chéruy", "formation sélective", "BTS", "Lycée La Pléiade - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 18, 177, 35, 177, 0, 4, 1, 84, 20, 59, 17, 30, 0, 0, 0, 0, 0, 163, 0, 0, 0, 4, 1, 83, 20, 54, 16, 22, 66, 16, 3, 16, 0, 4.0, 11.0, 13.0, 0, 4, 16, 0, 8, 8, 0, 0, 8, 7, 1, 0, 0.0, 0, 2, 6, 8, 3, 15, 15, 25.0, 68.75, 81.25, 18.796875, 93.796875, 93.796875, 50, 25.0, 100.0, 0.0, 50.0, 43.796875, 6.2998046875, 0.0, 0.0, 0.0, 0.0, 50.0, 12.5, 50.0, 37.5, 2.0, 1.0, 30.0, 9.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 41.0, "5117", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5117&g_ta_cod=5117", 0.0, 50.0, 50.0),
(6363, "Public", "0840935K", "Lycée Rene Char", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée Rene Char - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 16, 443, 374, 443, 0, 81, 24, 56, 26, 202, 70, 104, 0, 0, 0, 0, 0, 165, 0, 0, 0, 37, 10, 9, 5, 93, 27, 26, 70, 15, 14, 15, 0, 4.0, 11.0, 12.0, 0, 4, 13, 2, 1, 10, 2, 0, 2, 4, 5, 2, 0.0, 1, 1, 9, 4, 4, 6, 6, 26.67, 73.33, 80.0, 93.296875, 46.1953125, 46.1953125, 30.796875, 30.796875, 86.6875, 0.0, 15.3984375, 30.796875, 38.5, 15.4, 0.0, 15.3984375, 7.69921875, 7.69921875, 7.69921875, 76.890625, 69.1875, 15.0, 6.0, 35.0, 8.0, 14.0, "Tous les candidats sauf les Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 20.0, "20662", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20662&g_ta_cod=20662", 27.0, 7.0, 67.0),
(6364, "Public", "0130001F", "Lycée Emile Zola", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée Emile Zola - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 650, 457, 650, 0, 41, 9, 234, 104, 207, 126, 168, 0, 0, 0, 0, 0, 381, 0, 0, 0, 33, 6, 167, 72, 113, 66, 68, 129, 26, 19, 26, 0, 4.0, 20.0, 25.0, 0, 7, 20, 2, 9, 9, 6, 0, 7, 10, 3, 0, 0.0, 0, 6, 7, 4, 4, 20, 20, 15.38, 76.92, 96.15, 73.09375, 100.0, 100.0, 20, 35.0, 76.890625, 0.0, 35.0, 50.0, 15.0, 0.0, 0.0, 10.0, 0.0, 45.0, 30.0, 45.0, 35.0, 25.0, 6.0, 34.0, 22.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 33.0, "2523", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2523&g_ta_cod=2523", 19.0, 38.0, 42.0),
(6365, "Public", "0340040J", "Lycée Jules Guesde", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "CPGE", "Lycée Jules Guesde - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 45, 473, 267, 473, 0, 0, 0, 426, 155, 0, 0, 47, 0, 0, 0, 0, 0, 269, 0, 0, 269, 0, 0, 266, 93, 0, 0, 3, 150, 42, 26, 42, 0, 12.0, 42.0, 42.0, 0, 18, 42, 0, 42, 0, 0, 0, 0, 12, 22, 7, 1.0, 0, 42, 0, 9, 8, 40, 40, 28.57, 100.0, 100.0, 61.8984375, 95.1875, 95.1875, 21.3984375, 42.8984375, 100.0, 0.0, 0.0, 28.59765625, 52.3984375, 16.7, 2.4, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 241.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "4487", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4487&g_ta_cod=4487", 0.0, 100.0, 0.0),
(6366, "Public", "0761688X", "I.U.T du Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BUT", "I.U.T du Havre - BUT - Information communication Parcours métiers du livre et du patrimoine", "BUT - Service", "", 20, 681, 568, 677, 0, 354, 52, 55, 17, 17, 9, 251, 4, 0, 0, 0, 4, 313, 1, 0, 0, 231, 31, 42, 12, 2, 0, 38, 82, 21, 17, 20, 1, 1.0, 16.0, 19.0, 0, 6, 19, 13, 6, 0, 2, 0, 1, 10, 7, 1, 0.0, 13, 5, 0, 0, 0, 13, 13, 4.76, 76.19, 90.48, 81.0, 68.390625, 68.390625, 0, 31.59765625, 90.5, 0.0, 5.2998046875, 52.59375, 36.796875, 5.3, 0.0, 68.390625, 68.390625, 31.59765625, 26.296875, 0.0, 0.0, 44.0, 8.0, 0.0, 0.0, 13.0, "Tous les candidats sauf les Bac technologiques", 83.0, "Bacheliers technologiques toutes séries", 54, "", 0, "Liste d'appel propre à cette formation", 20.0, "9663", "BUT - Information communication Parcours métiers du livre et du patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9663&g_ta_cod=9663", 67.0, 33.0, 0.0),
(6367, "Privé enseignement supérieur", "0671555B", "Ecole supérieure européenne de l'intervention sociale", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "EFTS", "Ecole supérieure européenne de l'intervention sociale - D.E Assistant de Service Social", "D.E secteur social", "", 25, 106, 98, 100, 0, 22, 6, 23, 7, 17, 5, 38, 6, 0, 0, 0, 6, 55, 1, 0, 0, 13, 3, 12, 4, 4, 1, 26, 47, 17, 17, 16, 1, 5.0, 16.0, 16.0, 0, 2, 10, 4, 4, 2, 7, 0, 3, 3, 4, 0, 0.0, 2, 3, 2, 0, 0, 8, 8, 29.41, 94.12, 94.12, 100.0, 80.0, 80.0, 0, 20.0, 58.796875, 0.0, 30.0, 30.0, 40.0, 0.0, 0.0, 40.0, 20.0, 40.0, 30.0, 20.0, 20.0, 11.0, 2.0, 4.0, 1.0, 21.0, "Tous les candidats", 53.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "24985", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24985&g_ta_cod=24985", 47.0, 41.0, 12.0),
(6368, "Public", "0161095D", "Lycée Image et Son", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BTS", "Lycée Image et Son - BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "BTS - Services", "", 12, 440, 62, 440, 0, 151, 26, 57, 15, 81, 31, 151, 0, 0, 0, 0, 0, 230, 0, 0, 0, 104, 15, 45, 13, 42, 18, 39, 26, 12, 4, 12, 0, 6.0, 9.0, 10.0, 0, 2, 9, 6, 1, 2, 3, 0, 1, 2, 5, 1, 0.0, 5, 1, 2, 1, 0, 3, 3, 50.0, 75.0, 83.33, 33.296875, 33.296875, 33.296875, 11.099609375, 22.19921875, 75.0, 0.0, 11.099609375, 22.19921875, 55.59375, 11.1, 0.0, 66.6875, 55.59375, 11.099609375, 11.099609375, 22.19921875, 22.19921875, 17.0, 4.0, 3.0, 1.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 2, "Liste d'appel propre à cette formation", 7.0, "3009", "BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3009&g_ta_cod=3009", 67.0, 17.0, 17.0),
(6369, "Public", "0875023M", "Lycée Maryse Bastie", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée Maryse Bastie - BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "BTS - Services", "", 12, 251, 115, 251, 0, 25, 6, 31, 5, 78, 21, 117, 0, 0, 0, 0, 0, 132, 0, 0, 0, 0, 0, 31, 5, 67, 20, 34, 32, 14, 6, 14, 0, 6.0, 9.0, 11.0, 0, 7, 11, 0, 2, 9, 3, 0, 2, 3, 3, 3, 0.0, 0, 0, 9, 9, 2, 10, 10, 42.86, 64.29, 78.57, 42.8984375, 90.890625, 90.890625, 81.796875, 63.59375, 78.59375, 0.0, 18.19921875, 27.296875, 27.296875, 27.3, 0.0, 0.0, 0.0, 18.19921875, 0.0, 81.796875, 81.796875, 0.0, 0.0, 14.0, 7.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 15.0, "10726", "BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10726&g_ta_cod=10726", 21.0, 14.0, 64.0),
(6370, "Public", "0931739K", "Lycée professionnel Jean Moulin", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Rosny-sous-Bois", "formation sélective", "Autre formation", "Lycée professionnel Jean Moulin - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 58, 24, 8, 0, 0, 0.0, 0.0, 8.0, 0, 14, 24, 0, 5, 19, 0, 0, 22, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 24, 24, 0.0, 0.0, 33.33, 33.296875, 100.0, 100.0, 0, 58.296875, 100.0, 0.0, 91.6875, 4.19921875, 4.19921875, 0.0, 0.0, 0.0, 0.0, 20.796875, 0.0, 79.1875, 8.298828125, 0.0, 0.0, 46.0, 28.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25599", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 21.0, 79.0),
(6371, "Privé hors contrat", "0611269Y", "INST FORM REGIONAL EN SANTE", "61", "Orne", "Normandie", "Normandie", "Alençon", "formation sélective", "Autre formation", "INST FORM REGIONAL EN SANTE - D.E Pédicure-Podologue", "D.E secteur sanitaire", "", 20, 161, 120, 161, 0, 49, 5, 15, 2, 1, 0, 96, 0, 0, 0, 0, 0, 161, 0, 0, 0, 49, 5, 15, 2, 1, 0, 96, 77, 20, 12, 20, 0, 3.0, 13.0, 14.0, 0, 1, 9, 8, 1, 0, 11, 0, 1, 7, 1, 0, 0.0, 7, 1, 0, 0, 0, 6, 6, 15.0, 65.0, 70.0, 60.0, 66.6875, 66.6875, 0, 11.099609375, 45.0, 0.0, 11.099609375, 77.796875, 11.099609375, 0.0, 0.0, 88.890625, 77.796875, 11.099609375, 11.099609375, 0.0, 0.0, 22.0, 3.0, 1.0, 0.0, 51.0, "Tous les candidats", 74.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "26256", "D.E Pédicure-Podologue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26256&g_ta_cod=26256", 90.0, 10.0, 0.0),
(6372, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues étrangères appliquées - Parcours Tout couple de langues sans l'anglais", "Licence - Arts-lettres-langues", "Tout couple de langues sans l'anglais", 20, 182, 149, 180, 0, 67, 26, 34, 15, 10, 6, 69, 2, 0, 0, 0, 2, 180, 1, 0, 0, 67, 26, 34, 15, 10, 6, 69, 116, 20, 16, 19, 1, 2.0, 11.0, 16.0, 0, 6, 10, 2, 6, 2, 10, 0, 5, 3, 2, 0, 0.0, 0, 4, 1, 0, 0, 7, 10, 10.0, 55.0, 80.0, 80.0, 70.0, 100.0, 0, 60.0, 50.0, 0.0, 50.0, 30.0, 20.0, 0.0, 0.0, 20.0, 0.0, 60.0, 40.0, 20.0, 10.0, 45.0, 15.0, 6.0, 3.0, 42.0, "Tous les candidats", 144.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "11094", "Licence - Langues étrangères appliquées - Parcours Tout couple de langues sans l'anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11094&g_ta_cod=11094", 25.0, 45.0, 30.0),
(6373, "Public", "0142059M", "Lycée Victor Hugo", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "CPGE", "Lycée Victor Hugo - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 970, 378, 961, 632, 750, 69, 1, 0, 0, 0, 210, 9, 5, 0, 0, 4, 707, 4, 429, 684, 664, 54, 0, 0, 0, 0, 43, 523, 93, 35, 90, 3, 39.0, 73.0, 90.0, 37, 4, 91, 91, 0, 0, 2, 0, 2, 17, 43, 27, 2.0, 89, 0, 0, 9, 3, 85, 85, 41.94, 78.49, 96.77, 37.59375, 93.390625, 93.390625, 9.8984375, 4.3994140625, 97.796875, 0.0, 2.19970703125, 18.69921875, 47.296875, 29.7, 2.2, 100.0, 97.796875, 0.0, 0.0, 0.0, 0.0, 500.0, 46.0, 0.0, 0.0, 23.0, "Tous les candidats", 708.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "2918", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2918&g_ta_cod=2918", 100.0, 0.0, 0.0),
(6374, "Public", "0210018F", "Lycée Hippolyte Fontaine", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Autre formation", "Lycée Hippolyte Fontaine - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 46, 10, 5, 0, 0, 0.0, 0.0, 1.0, 0, 2, 8, 0, 0, 8, 2, 0, 7, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 8, 8, 0.0, 0.0, 10.0, 50.0, 100.0, 100.0, 0, 25.0, 80.0, 0.0, 87.5, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 12.5, 0.0, 0.0, 37.0, 10.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30577", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(6375, "Public", "0750692V", "Lycée Emile Dubois", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "BTS", "Lycée Emile Dubois - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 3831, 1951, 3831, 0, 281, 90, 1375, 563, 1185, 550, 990, 0, 0, 0, 0, 0, 3831, 0, 0, 0, 281, 90, 1375, 563, 1185, 550, 990, 268, 35, 22, 35, 0, 3.0, 18.0, 27.0, 0, 15, 29, 7, 8, 14, 6, 0, 2, 19, 6, 2, 0.0, 6, 8, 13, 0, 0, 7, 25, 8.57, 51.43, 77.14, 62.8984375, 24.09765625, 86.1875, 0, 51.6953125, 82.890625, 0.0, 6.8994140625, 65.5, 20.69921875, 6.9, 0.0, 24.09765625, 20.69921875, 27.59765625, 27.59765625, 48.296875, 44.796875, 60.0, 29.0, 65.0, 38.0, 60.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 118.0, "Bacheliers professionnels toutes séries", 190, "Bacheliers technologiques toutes séries", 248, "Liste d'appel propre à cette formation", 15.0, "13054", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13054&g_ta_cod=13054", 29.0, 26.0, 46.0),
(6376, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence_Las", "Université du Mans - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER allemand (parcours études européennes inclus)", "Licence - Arts-lettres-langues", "LLCER allemand (parcours études européennes inclus)", 5, 31, 26, 8, 0, 5, 1, 0, 0, 0, 0, 3, 23, 6, 0, 0, 17, 8, 16, 0, 0, 5, 1, 0, 0, 0, 0, 3, 24, 3, 2, 1, 2, 1.0, 1.0, 3.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 33.33, 33.33, 100.0, 66.6875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10.0, 2.0, 0.0, 0.0, 14.0, "Tous les candidats", 38.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "26879", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER allemand (parcours études européennes inclus)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26878&g_ta_cod=26879", 100.0, 0.0, 0.0),
(6377, "Public", "0350028R", "Lycée Bréquigny", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Bréquigny - BTS - Services - Gestion de la PME", "BTS - Services", "", 34, 1380, 866, 1380, 0, 111, 26, 559, 174, 362, 171, 348, 0, 0, 0, 0, 0, 1030, 0, 0, 0, 95, 17, 443, 114, 269, 112, 223, 183, 30, 25, 30, 0, 2.0, 22.0, 26.0, 0, 16, 26, 1, 10, 15, 4, 0, 6, 16, 4, 0, 0.0, 1, 9, 10, 2, 1, 25, 25, 6.67, 73.33, 86.67, 83.296875, 96.1875, 96.1875, 7.69921875, 61.5, 86.6875, 0.0, 23.09765625, 61.5, 15.3984375, 0.0, 0.0, 3.7998046875, 3.7998046875, 38.5, 34.59375, 57.6953125, 38.5, 16.0, 7.0, 71.0, 31.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 112, "Bacheliers technologiques toutes séries", 189, "Liste d'appel propre à cette formation", 24.0, "4636", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4636&g_ta_cod=4636", 7.0, 40.0, 53.0),
(6378, "Public", "0312759F", "Lycée Joseph Gallieni", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Joseph Gallieni - BTS - Production - Maintenance des véhicules option véhicules de transport routier", "BTS - Production", "", 26, 187, 6, 175, 0, 8, 1, 26, 11, 72, 36, 69, 12, 0, 0, 7, 5, 126, 5, 0, 0, 7, 1, 26, 11, 72, 36, 21, 81, 23, 1, 19, 4, 7.0, 15.0, 19.0, 0, 9, 18, 2, 2, 14, 5, 0, 9, 5, 4, 0, 0.0, 1, 0, 8, 6, 0, 12, 12, 30.43, 65.22, 82.61, 4.2998046875, 66.6875, 66.6875, 33.296875, 50.0, 78.296875, 0.0, 50.0, 27.796875, 22.19921875, 0.0, 0.0, 11.099609375, 5.599609375, 11.099609375, 0.0, 77.796875, 44.3984375, 2.0, 1.0, 42.0, 19.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 62.0, "4245", "BTS - Production - Maintenance des véhicules option véhicules de transport routier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4245&g_ta_cod=4245", 9.0, 17.0, 74.0),
(6379, "Public", "0450064A", "Lycée professionnel Gaudier-Brzeska", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Saint-Jean-de-Braye", "formation sélective", "BTS", "Lycée professionnel Gaudier-Brzeska - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 15, 120, 11, 116, 0, 5, 1, 21, 1, 62, 27, 28, 4, 0, 3, 0, 1, 79, 0, 0, 0, 0, 0, 18, 1, 60, 27, 1, 40, 11, 0, 11, 0, 3.0, 9.0, 11.0, 0, 5, 11, 0, 3, 8, 0, 0, 4, 7, 0, 0, 0.0, 0, 1, 6, 7, 0, 11, 11, 27.27, 81.82, 100.0, 0.0, 100.0, 100.0, 63.59375, 45.5, 100.0, 0.0, 36.3984375, 63.59375, 0.0, 0.0, 0.0, 0.0, 0.0, 27.296875, 9.099609375, 72.6875, 54.5, 0.0, 0.0, 28.0, 14.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 53.0, "5666", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5666&g_ta_cod=5666", 0.0, 27.0, 73.0),
(6380, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - Licence - Lettres - Parcours Société et politique", "Licence - Arts-lettres-langues", "Société et politique", 75, 200, 136, 118, 0, 89, 5, 3, 0, 0, 0, 26, 82, 37, 1, 2, 42, 97, 50, 0, 0, 82, 5, 1, 0, 0, 0, 14, 147, 36, 23, 22, 14, 21.0, 22.0, 35.0, 0, 0, 28, 27, 1, 0, 8, 1, 3, 12, 9, 3, 0.0, 23, 1, 0, 0, 0, 12, 12, 58.33, 61.11, 97.22, 63.8984375, 42.8984375, 42.8984375, 0, 0.0, 77.796875, 3.599609375, 10.69921875, 42.8984375, 32.09375, 10.7, 0.0, 96.390625, 82.09375, 3.599609375, 3.599609375, 0.0, 0.0, 115.0, 6.0, 0.0, 0.0, 31.0, "Tous les candidats", 97.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "8266", "Licence - Lettres - Parcours Société et politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8266&g_ta_cod=8266", 97.0, 3.0, 0.0),
(6381, "Privé sous contrat d'association", "0430055B", "Lycée Polyvalent La Chartreuse", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Brives-Charensac", "formation sélective", "Autre formation", "Lycée Polyvalent La Chartreuse - Diplôme de Comptabilité et de Gestion", "DCG", "", 36, 171, 70, 156, 0, 43, 13, 23, 10, 7, 3, 83, 15, 2, 1, 1, 11, 85, 6, 0, 0, 41, 13, 22, 9, 4, 2, 18, 81, 13, 8, 11, 2, 7.0, 11.0, 13.0, 0, 4, 9, 4, 4, 1, 4, 0, 2, 5, 2, 0, 0.0, 2, 4, 1, 0, 0, 8, 8, 53.85, 84.62, 100.0, 61.5, 88.890625, 88.890625, 0, 44.3984375, 69.1875, 0.0, 22.19921875, 55.59375, 22.19921875, 0.0, 0.0, 44.3984375, 22.19921875, 44.3984375, 44.3984375, 11.099609375, 11.099609375, 37.0, 12.0, 3.0, 2.0, 21.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "20370", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20370&g_ta_cod=20370", 54.0, 38.0, 8.0),
(6382, "Public", "0750707L", "Ecole Nationale De Commerce", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "BTS", "Ecole Nationale De Commerce - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 70, 6123, 3363, 6123, 0, 783, 227, 2153, 814, 1517, 757, 1670, 0, 0, 0, 0, 0, 4264, 0, 0, 0, 783, 227, 1405, 503, 818, 396, 1258, 345, 76, 44, 76, 0, 13.0, 63.0, 75.0, 0, 33, 63, 9, 28, 26, 13, 0, 3, 33, 25, 2, 0.0, 8, 28, 24, 0, 0, 22, 63, 17.11, 82.89, 98.68, 57.8984375, 34.8984375, 100.0, 0, 52.3984375, 82.890625, 0.0, 4.7998046875, 52.3984375, 39.6953125, 3.2, 0.0, 14.298828125, 12.69921875, 44.3984375, 44.3984375, 41.296875, 38.09375, 45.0, 15.0, 101.0, 48.0, 54.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 96.0, "Bacheliers professionnels toutes séries", 168, "Bacheliers technologiques toutes séries", 303, "Liste d'appel propre à cette formation", 9.0, "9154", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9154&g_ta_cod=9154", 17.0, 43.0, 39.0),
(6383, "Public", "0800011C", "Lycée des Métiers Édouard Gand", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée des Métiers Édouard Gand - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 547, 482, 547, 0, 43, 13, 159, 41, 202, 75, 143, 0, 0, 0, 0, 0, 481, 0, 0, 0, 43, 13, 152, 39, 177, 65, 109, 92, 26, 23, 26, 0, 4.0, 14.0, 23.0, 0, 8, 19, 2, 6, 11, 7, 0, 7, 8, 4, 0, 0.0, 1, 2, 9, 0, 0, 19, 19, 15.38, 53.85, 88.46, 88.5, 100.0, 100.0, 0, 42.09375, 73.09375, 0.0, 36.796875, 42.09375, 21.09765625, 0.0, 0.0, 10.5, 5.2998046875, 31.59765625, 10.5, 57.8984375, 47.3984375, 10.0, 2.0, 34.0, 13.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 42.0, "10161", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10161&g_ta_cod=10161", 19.0, 31.0, 50.0),
(6384, "Privé sous contrat d'association", "0671602C", "Lycée Ste Philomene", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Haguenau", "formation sélective", "BTS", "Lycée Ste Philomene - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 32, 168, 47, 154, 0, 16, 2, 50, 8, 43, 11, 45, 14, 2, 4, 5, 3, 101, 6, 0, 0, 13, 1, 42, 6, 31, 7, 15, 94, 18, 2, 13, 4, 5.0, 12.0, 15.0, 0, 2, 15, 4, 3, 8, 3, 0, 8, 4, 2, 1, 0.0, 1, 1, 5, 0, 0, 14, 14, 27.78, 66.67, 83.33, 11.099609375, 93.296875, 93.296875, 0, 13.298828125, 83.296875, 0.0, 53.296875, 26.69921875, 13.298828125, 6.7, 0.0, 26.69921875, 6.69921875, 20.0, 6.69921875, 53.296875, 33.296875, 13.0, 1.0, 27.0, 3.0, 17.0, "Tous les candidats sauf les Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 65.0, "16207", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16207&g_ta_cod=16207", 28.0, 22.0, 50.0),
(6385, "Public", "0060033D", "Lycée Honoré d'Estienne d'Orves (Beau-Site)", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Honoré d'Estienne d'Orves (Beau-Site) - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 867, 494, 867, 0, 87, 24, 281, 120, 269, 124, 230, 0, 0, 0, 0, 0, 574, 0, 0, 0, 75, 21, 213, 84, 166, 79, 120, 181, 38, 23, 38, 0, 5.0, 30.0, 37.0, 0, 16, 33, 7, 10, 16, 5, 0, 11, 14, 6, 2, 0.0, 2, 9, 11, 4, 2, 27, 27, 13.16, 78.95, 97.37, 60.5, 81.796875, 81.796875, 12.099609375, 48.5, 86.796875, 0.0, 33.296875, 42.3984375, 18.19921875, 6.1, 0.0, 21.19921875, 6.099609375, 30.296875, 27.296875, 48.5, 33.296875, 33.0, 16.0, 77.0, 30.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 136, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 33.0, "2224", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2224&g_ta_cod=2224", 18.0, 29.0, 53.0),
(6386, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - Licence - Double diplôme - Licence Droit - Double diplôme licence Droit - Bachelor of Civil Law (bachelor irlandais).", "Licence - Droit-économie-gestion", "Double diplôme licence Droit - Bachelor of Civil Law (bachelor irlandais).", 60, 299, 234, 296, 0, 228, 19, 7, 0, 1, 1, 60, 3, 2, 0, 0, 1, 274, 0, 0, 0, 214, 15, 6, 0, 1, 1, 53, 202, 53, 43, 53, 0, 17.0, 53.0, 53.0, 0, 1, 49, 48, 1, 0, 4, 0, 0, 23, 19, 7, 0.0, 48, 1, 0, 0, 0, 21, 21, 32.08, 100.0, 100.0, 81.09375, 42.8984375, 42.8984375, 0, 2.0, 92.5, 0.0, 0.0, 46.8984375, 38.796875, 14.3, 0.0, 98.0, 98.0, 2.0, 2.0, 0.0, 0.0, 162.0, 10.0, 1.0, 1.0, 36.0, "Tous les candidats", 231.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "25440", "Licence - Double diplôme - Licence Droit - Double diplôme licence Droit - Bachelor of Civil Law (bachelor irlandais).", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25440&g_ta_cod=25440", 98.0, 2.0, 0.0),
(6387, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation non sélective", "Licence", "Université de La Rochelle - Licence - Sciences de la vie", "Licence - Sciences - technologies - santé", "", 153, 1760, 1141, 1760, 0, 1290, 170, 98, 17, 8, 2, 364, 0, 0, 0, 0, 0, 1760, 0, 0, 0, 1290, 170, 98, 17, 8, 2, 364, 664, 152, 94, 152, 0, 19.0, 109.0, 136.0, 0, 23, 134, 133, 1, 0, 18, 0, 22, 63, 37, 12, 0.0, 111, 1, 0, 0, 0, 85, 85, 12.5, 71.71, 89.47, 61.796875, 63.3984375, 63.3984375, 0, 17.19921875, 88.1875, 0.0, 16.3984375, 47.0, 27.59765625, 9.0, 0.0, 99.296875, 82.796875, 0.699951171875, 0.699951171875, 0.0, 0.0, 534.0, 80.0, 0.0, 0.0, 128.0, "Tous les candidats", 932.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "3082", "Licence - Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3082&g_ta_cod=3082", 99.0, 1.0, 0.0),
(6388, "Public", "0670020H", "Lycée Robert Schuman", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Haguenau", "formation sélective", "BTS", "Lycée Robert Schuman - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 870, 484, 870, 0, 114, 22, 339, 105, 239, 103, 178, 0, 0, 0, 0, 0, 457, 0, 0, 0, 85, 16, 225, 65, 124, 60, 23, 143, 29, 17, 29, 0, 4.0, 20.0, 22.0, 0, 11, 26, 4, 15, 7, 3, 1, 11, 9, 4, 1, 0.0, 3, 5, 6, 11, 5, 26, 26, 13.79, 68.97, 75.86, 58.59375, 100.0, 100.0, 42.296875, 42.296875, 89.6875, 3.7998046875, 42.296875, 34.59375, 15.3984375, 3.8, 0.0, 15.3984375, 11.5, 57.6953125, 19.19921875, 26.8984375, 23.09765625, 21.0, 5.0, 43.0, 19.0, 12.0, "Tous les candidats sauf les Bac professionnels", 110.0, "Bacheliers professionnels toutes séries", 60, "", 0, "Liste d'appel propre à cette formation", 20.0, "7903", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7903&g_ta_cod=7903", 24.0, 52.0, 24.0),
(6389, "Privé enseignement supérieur", "0762380Z", "IRTS-IDS", "76", "Seine-Maritime", "Normandie", "Normandie", "Canteleu", "formation sélective", "EFTS", "IRTS-IDS - D.E Assistant de Service Social", "D.E secteur social", "", 38, 126, 116, 93, 0, 17, 3, 14, 5, 4, 0, 58, 33, 1, 3, 3, 26, 55, 7, 0, 0, 7, 2, 4, 2, 2, 0, 42, 62, 29, 24, 23, 6, 17.0, 23.0, 23.0, 0, 0, 5, 3, 2, 0, 24, 0, 1, 2, 2, 0, 0.0, 3, 1, 0, 0, 0, 3, 3, 58.62, 79.31, 79.31, 82.796875, 60.0, 60.0, 0, 0.0, 17.19921875, 0.0, 20.0, 40.0, 40.0, 0.0, 0.0, 60.0, 60.0, 40.0, 20.0, 0.0, 0.0, 7.0, 2.0, 2.0, 0.0, 49.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "24982", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24982&g_ta_cod=24982", 66.0, 21.0, 14.0),
(6390, "Public", "0941470M", "Lycée Champlain", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Chennevières-sur-Marne", "formation sélective", "Autre formation", "Lycée Champlain - Mention complémentaire - Services numériques aux organisations", "Mention complémentaire", "", 16, 59, 5, 41, 0, 1, 1, 4, 1, 20, 11, 16, 18, 3, 3, 1, 11, 38, 0, 0, 0, 1, 1, 4, 1, 20, 11, 13, 36, 14, 0, 13, 0, 6.0, 11.0, 14.0, 0, 6, 9, 1, 1, 7, 5, 0, 8, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 8, 9, 42.86, 78.57, 100.0, 0.0, 88.890625, 100.0, 0, 66.6875, 64.296875, 0.0, 88.890625, 11.099609375, 0.0, 0.0, 0.0, 11.099609375, 0.0, 11.099609375, 0.0, 77.796875, 11.099609375, 3.0, 2.0, 19.0, 11.0, 9.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "33625", "Mention complémentaire - Services numériques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33625&g_ta_cod=33625", 29.0, 14.0, 57.0),
(6391, "Public", "9720004X", "Lycée Joseph Gaillard", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée Joseph Gaillard - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 28, 293, 42, 270, 0, 70, 23, 78, 32, 64, 41, 58, 23, 0, 0, 12, 11, 168, 1, 0, 0, 70, 23, 62, 28, 16, 11, 20, 62, 27, 3, 26, 1, 9.0, 25.0, 26.0, 0, 8, 25, 11, 9, 5, 2, 0, 11, 11, 3, 0, 0.0, 5, 4, 5, 2, 0, 23, 23, 33.33, 92.59, 96.3, 11.099609375, 92.0, 92.0, 8, 32.0, 92.59375, 0.0, 44.0, 44.0, 12.0, 0.0, 0.0, 44.0, 20.0, 36.0, 16.0, 20.0, 20.0, 28.0, 12.0, 10.0, 7.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 31.0, "11801", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11801&g_ta_cod=11801", 41.0, 37.0, 22.0),
(6392, "Public", "0030026M", "Lycée Paul Constans", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "BTS", "Lycée Paul Constans - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 116, 19, 116, 0, 11, 4, 30, 9, 30, 14, 45, 0, 0, 0, 0, 0, 107, 0, 0, 0, 11, 4, 29, 9, 29, 14, 38, 48, 16, 2, 16, 0, 4.0, 15.0, 15.0, 0, 5, 12, 1, 5, 6, 4, 0, 5, 4, 1, 2, 0.0, 0, 1, 6, 4, 0, 9, 9, 25.0, 93.75, 93.75, 12.5, 75.0, 75.0, 33.296875, 41.6953125, 75.0, 0.0, 41.6953125, 33.296875, 8.298828125, 16.7, 0.0, 8.298828125, 0.0, 41.6953125, 8.298828125, 50.0, 50.0, 10.0, 4.0, 11.0, 4.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 46.0, "2117", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2117&g_ta_cod=2117", 31.0, 31.0, 38.0),
(6393, "Public", "0170020E", "Lycée Emile Combes", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Pons", "formation sélective", "BTS", "Lycée Emile Combes - BTS - Production - Travaux publics", "BTS - Production", "", 11, 211, 31, 197, 0, 24, 2, 69, 16, 41, 8, 63, 14, 1, 4, 1, 8, 119, 5, 0, 0, 20, 2, 53, 13, 31, 5, 15, 68, 7, 0, 6, 1, 0.0, 4.0, 6.0, 0, 0, 2, 0, 1, 1, 5, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 0.0, 57.14, 85.71, 0.0, 100.0, 100.0, 0, 0.0, 28.59765625, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 12.0, 2.0, 21.0, 4.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 57.0, "3018", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3018&g_ta_cod=3018", 29.0, 29.0, 43.0),
(6394, "Public", "0672198A", "Lycée Le Corbusier", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "Autre formation", "Lycée Le Corbusier - DN MADE - Matériaux - - Spécialité : Design d'objets, tradition, innovation et recherche", "DN MADE", "- Spécialité : Design d'objets, tradition, innovation et recherche", 15, 331, 220, 331, 0, 102, 6, 125, 19, 16, 7, 88, 0, 0, 0, 0, 0, 147, 0, 0, 0, 48, 3, 79, 12, 1, 0, 19, 61, 15, 10, 15, 0, 2.0, 14.0, 15.0, 0, 0, 14, 8, 6, 0, 1, 0, 0, 6, 5, 2, 1.0, 8, 6, 0, 0, 0, 9, 9, 13.33, 93.33, 100.0, 66.6875, 64.296875, 64.296875, 0, 0.0, 93.296875, 0.0, 0.0, 42.8984375, 35.6953125, 14.3, 7.1, 57.09375, 57.09375, 42.8984375, 42.8984375, 0.0, 0.0, 20.0, 1.0, 0.0, 0.0, 5.0, "Tous les candidats", 108.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "21541", "DN MADE - Matériaux - - Spécialité : Design d'objets, tradition, innovation et recherche", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21541&g_ta_cod=21541", 60.0, 40.0, 0.0),
(6395, "Public", "0800011C", "Lycée des Métiers Édouard Gand", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée des Métiers Édouard Gand - BTS - Services - Economie sociale familiale", "BTS - Services", "", 70, 1034, 854, 1034, 0, 101, 38, 245, 76, 292, 128, 396, 0, 0, 0, 0, 0, 779, 0, 0, 0, 88, 32, 204, 61, 292, 128, 195, 232, 60, 57, 60, 0, 8.0, 40.0, 56.0, 0, 17, 47, 3, 21, 23, 13, 0, 13, 22, 12, 0, 0.0, 2, 14, 18, 7, 7, 36, 36, 13.33, 66.67, 93.33, 95.0, 76.59375, 76.59375, 14.8984375, 36.1953125, 78.296875, 0.0, 27.69921875, 46.796875, 25.5, 0.0, 0.0, 6.3994140625, 4.2998046875, 44.6953125, 29.796875, 48.8984375, 38.296875, 13.0, 6.0, 93.0, 38.0, 44.0, "Tous les candidats sauf les Bac professionnels", 207.0, "Bacheliers professionnels toutes séries", 198, "", 0, "Liste d'appel propre à cette formation", 39.0, "10168", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10168&g_ta_cod=10168", 13.0, 43.0, 43.0),
(6396, "Privé sous contrat d'association", "0801911T", "ESIEE-Amiens - UniLaSalle", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Ecole d'Ingénieur", "ESIEE-Amiens - UniLaSalle - Formation d'ingénieur Bac + 5 - Bac +1", "Formations  des écoles d'ingénieurs", "Bac +1", 30, 21, 7, 13, 0, 0, 0, 0, 0, 0, 0, 13, 8, 0, 0, 0, 8, 12, 5, 0, 0, 0, 0, 0, 0, 0, 0, 12, 17, 5, 2, 3, 2, 3.0, 3.0, 5.0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 60.0, 60.0, 100.0, 40.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 17.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "30784", "Formation d'ingénieur Bac + 5 - Bac +1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30784&g_ta_cod=30784", 100.0, 0.0, 0.0),
(6397, "Public", "0442765S", "Lycée polyvalent Nelson Mandela", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "Lycée polyvalent Nelson Mandela - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 48, 1107, 567, 1107, 615, 982, 68, 1, 0, 0, 0, 124, 0, 0, 0, 0, 0, 523, 0, 5, 520, 515, 34, 0, 0, 0, 0, 8, 207, 48, 23, 48, 0, 9.0, 39.0, 47.0, 0, 6, 46, 46, 0, 0, 2, 0, 0, 2, 21, 20, 3.0, 46, 0, 0, 2, 1, 30, 30, 18.75, 81.25, 97.92, 47.8984375, 65.1875, 65.1875, 4.2998046875, 13.0, 95.796875, 0.0, 0.0, 4.2998046875, 45.6953125, 43.5, 6.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 203.0, 22.0, 0.0, 0.0, 4.0, "Tous les candidats", 345.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "31334", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31334&g_ta_cod=31334", 100.0, 0.0, 0.0),
(6398, "Public", "0370053G", "Lycée professionnel Gustave Eiffel", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée professionnel Gustave Eiffel - BTS - Production - Conception de produits industriels", "BTS - Production", "", 16, 325, 23, 325, 0, 32, 2, 183, 34, 48, 15, 62, 0, 0, 0, 0, 0, 268, 0, 0, 0, 31, 2, 171, 31, 42, 12, 24, 108, 14, 0, 14, 0, 1.0, 8.0, 14.0, 0, 2, 12, 0, 7, 5, 2, 0, 5, 3, 4, 0, 0.0, 0, 2, 5, 2, 0, 12, 12, 7.14, 57.14, 100.0, 0.0, 100.0, 100.0, 16.69921875, 16.69921875, 85.6875, 0.0, 41.6953125, 25.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 58.296875, 16.69921875, 41.6953125, 41.6953125, 19.0, 2.0, 27.0, 6.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 183, "Liste d'appel propre à cette formation", 78.0, "20980", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20980&g_ta_cod=20980", 0.0, 64.0, 36.0),
(6399, "Privé sous contrat d'association", "0480635E", "MFREO de Javols", "48", "Lozère", "Occitanie", "Montpellier", "Peyre en Aubrac", "formation sélective", "BTS", "MFREO de Javols - BTS - Agricole - Gestion forestière", "BTS - Agricole", "", 36, 185, 23, 178, 0, 44, 5, 57, 6, 31, 10, 46, 7, 1, 0, 1, 5, 174, 5, 0, 0, 44, 5, 57, 6, 31, 10, 42, 143, 20, 3, 18, 2, 2.0, 16.0, 19.0, 0, 3, 10, 2, 4, 4, 10, 0, 5, 3, 2, 0, 0.0, 1, 2, 2, 0, 0, 4, 4, 10.0, 80.0, 95.0, 15.0, 40.0, 40.0, 0, 30.0, 50.0, 0.0, 50.0, 30.0, 20.0, 0.0, 0.0, 20.0, 10.0, 40.0, 20.0, 40.0, 20.0, 38.0, 5.0, 29.0, 10.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 76.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 97.0, "5812", "BTS - Agricole - Gestion forestière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5812&g_ta_cod=5812", 55.0, 25.0, 20.0),
(6400, "Public", "0772496V", "Ecole nationale des sciences géographiques", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Champs-sur-Marne", "formation sélective", "Autre formation", "Ecole nationale des sciences géographiques - Formation professionnelle - Géomètre-Géomaticien (bac +2)", "Formation professionnelle", "", 15, 85, 8, 70, 0, 40, 2, 11, 1, 2, 2, 17, 15, 10, 1, 0, 4, 37, 1, 0, 0, 28, 0, 2, 0, 1, 1, 6, 36, 12, 0, 11, 1, 5.0, 11.0, 12.0, 0, 1, 11, 10, 0, 1, 1, 0, 4, 3, 3, 1, 0.0, 6, 0, 1, 0, 0, 5, 7, 41.67, 91.67, 100.0, 0.0, 45.5, 63.59375, 0, 9.099609375, 91.6875, 0.0, 36.3984375, 27.296875, 27.296875, 9.1, 0.0, 90.890625, 54.5, 0.0, 0.0, 9.099609375, 9.099609375, 28.0, 0.0, 1.0, 1.0, 6.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "20962", "Formation professionnelle - Géomètre-Géomaticien (bac +2)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20962&g_ta_cod=20962", 92.0, 0.0, 8.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(6401, "Public", "7200583W", "Lycée Paul Vincensini", "2B", "Haute-Corse", "Corse", "Corse", "Bastia", "formation sélective", "BTS", "Lycée Paul Vincensini - BTS - Production - Electrotechnique", "BTS - Production", "", 12, 106, 10, 96, 0, 13, 4, 25, 2, 28, 13, 30, 10, 1, 2, 2, 5, 37, 3, 0, 0, 6, 1, 9, 1, 18, 9, 4, 32, 8, 0, 7, 1, 3.0, 7.0, 7.0, 0, 2, 6, 0, 3, 3, 2, 0, 1, 4, 1, 0, 0.0, 0, 2, 3, 3, 0, 6, 6, 37.5, 87.5, 87.5, 0.0, 100.0, 100.0, 50, 33.296875, 75.0, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 50.0, 33.296875, 50.0, 50.0, 5.0, 1.0, 12.0, 6.0, 7.0, "Tous les candidats sauf les Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 38.0, "11703", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11703&g_ta_cod=11703", 25.0, 38.0, 38.0),
(6402, "Public", "0692984U", "INSTITUT FORM CARRIERES SANTE HCL SECTEUR EST", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 3e  Arrondissement", "formation sélective", "Autre formation", "INSTITUT FORM CARRIERES SANTE HCL SECTEUR EST - D.E manipulateur/trice en électroradiologie médicale", "D.E secteur sanitaire", "", 68, 1317, 1058, 1248, 0, 265, 90, 291, 106, 18, 8, 674, 69, 7, 7, 0, 55, 501, 16, 0, 0, 121, 33, 76, 23, 0, 0, 304, 284, 67, 56, 58, 9, 3.0, 31.0, 41.0, 0, 7, 18, 10, 8, 0, 49, 0, 7, 3, 7, 1, 0.0, 7, 4, 0, 0, 0, 14, 14, 4.48, 46.27, 61.19, 83.59375, 77.796875, 77.796875, 0, 38.8984375, 26.8984375, 0.0, 38.8984375, 16.69921875, 38.8984375, 5.6, 0.0, 55.59375, 38.8984375, 44.3984375, 22.19921875, 0.0, 0.0, 52.0, 24.0, 0.0, 0.0, 213.0, "Tous les candidats", 329.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "19420", "D.E manipulateur/trice en électroradiologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19420&g_ta_cod=19420", 75.0, 25.0, 0.0),
(6403, "Public", "0060030A", "Lycée Masséna", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "CPGE", "Lycée Masséna - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 2045, 752, 2045, 1569, 1771, 136, 5, 1, 0, 0, 269, 0, 0, 0, 0, 0, 1794, 0, 1569, 1179, 1599, 119, 1, 0, 0, 0, 194, 554, 96, 35, 96, 0, 21.0, 77.0, 91.0, 9, 6, 96, 96, 0, 0, 0, 0, 0, 0, 16, 63, 17.0, 96, 0, 0, 5, 1, 81, 81, 21.88, 80.21, 94.79, 36.5, 84.390625, 84.390625, 5.19921875, 6.2998046875, 100.0, 0.0, 0.0, 0.0, 16.69921875, 65.6, 17.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 546.0, 42.0, 0.0, 0.0, 8.0, "Tous les candidats", 671.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "2207", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2207&g_ta_cod=2207", 100.0, 0.0, 0.0),
(6404, "Public", "9730429D", "Université de Guyane", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation non sélective", "PASS", "Université de Guyane - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 140, 424, 313, 424, 0, 263, 111, 75, 38, 35, 24, 51, 0, 0, 0, 0, 0, 420, 0, 0, 0, 263, 111, 75, 38, 35, 24, 47, 241, 138, 111, 138, 0, 73.0, 127.0, 134.0, 0, 61, 134, 115, 15, 4, 4, 14, 37, 46, 26, 11, 0.0, 73, 7, 3, 0, 0, 132, 132, 52.9, 92.03, 97.1, 80.390625, 98.5, 98.5, 0, 45.5, 97.09375, 10.3984375, 27.59765625, 34.296875, 19.3984375, 8.2, 0.0, 85.796875, 54.5, 11.19921875, 5.19921875, 3.0, 2.19970703125, 207.0, 90.0, 6.0, 5.0, 5.0, "Tous les candidats", 269.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "28484", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28484&g_ta_cod=28484", 86.0, 11.0, 3.0),
(6405, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud-Est et Pacifique -  Filipino", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations,  parcours Asie du Sud-Est et Pacifique -  Filipino", 20, 42, 31, 21, 0, 12, 3, 1, 0, 0, 0, 8, 21, 8, 1, 2, 10, 21, 18, 0, 0, 12, 3, 1, 0, 0, 0, 8, 39, 7, 5, 2, 5, 2.0, 2.0, 4.0, 0, 1, 4, 2, 1, 1, 3, 0, 2, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 3, 4, 28.57, 28.57, 57.14, 71.390625, 75.0, 100.0, 0, 25.0, 57.09375, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 50.0, 25.0, 0.0, 25.0, 0.0, 19.0, 6.0, 2.0, 0.0, 16.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9393", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud-Est et Pacifique -  Filipino", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29583&g_ta_cod=9393", 43.0, 29.0, 29.0),
(6406, "Public", "0300023M", "Lycée ALBERT CAMUS", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée ALBERT CAMUS - BTS - Services - Commerce International", "BTS - Services", "", 35, 1042, 581, 1042, 0, 202, 68, 368, 192, 175, 97, 297, 0, 0, 0, 0, 0, 444, 0, 0, 0, 119, 42, 188, 93, 77, 39, 60, 168, 33, 17, 32, 0, 4.0, 26.0, 28.0, 0, 14, 33, 7, 22, 4, 0, 0, 5, 19, 8, 1, 0.0, 7, 17, 4, 6, 2, 25, 25, 12.12, 78.79, 84.85, 51.5, 75.796875, 75.796875, 18.19921875, 42.3984375, 100.0, 0.0, 15.19921875, 57.59375, 24.19921875, 3.0, 0.0, 21.19921875, 21.19921875, 66.6875, 51.5, 12.099609375, 12.099609375, 35.0, 13.0, 22.0, 11.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 111, "Liste d'appel propre à cette formation", 18.0, "3932", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3932&g_ta_cod=3932", 21.0, 67.0, 12.0),
(6407, "Public", "0572590F", "Lycée des Métiers Gustave Eiffel", "57", "Moselle", "Grand Est", "Nancy-Metz", "Talange", "formation sélective", "BTS", "Lycée des Métiers Gustave Eiffel - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 24, 147, 10, 147, 0, 6, 0, 42, 8, 64, 17, 35, 0, 0, 0, 0, 0, 147, 0, 0, 0, 6, 0, 42, 8, 64, 17, 35, 78, 20, 1, 20, 0, 5.0, 18.0, 18.0, 0, 4, 16, 0, 6, 10, 4, 0, 6, 2, 7, 1, 0.0, 0, 2, 8, 8, 1, 16, 16, 25.0, 90.0, 90.0, 5.0, 100.0, 100.0, 50, 25.0, 80.0, 0.0, 37.5, 12.5, 43.796875, 6.3, 0.0, 0.0, 0.0, 37.5, 12.5, 62.5, 50.0, 4.0, 0.0, 43.0, 10.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 62.0, "6632", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6632&g_ta_cod=6632", 15.0, 35.0, 50.0),
(6408, "Public", "0301552Z", "Lycée Philippe Lamour", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Philippe Lamour - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 18, 250, 82, 233, 0, 19, 7, 106, 51, 56, 28, 52, 17, 0, 0, 9, 8, 202, 6, 0, 0, 19, 7, 102, 49, 44, 19, 37, 119, 17, 3, 15, 2, 2.0, 12.0, 14.0, 0, 8, 13, 0, 7, 6, 4, 1, 7, 4, 1, 0, 0.0, 0, 2, 3, 5, 0, 7, 7, 11.76, 70.59, 82.35, 17.59765625, 53.796875, 53.796875, 38.5, 61.5, 76.5, 7.69921875, 53.796875, 30.796875, 7.69921875, 0.0, 0.0, 0.0, 0.0, 53.796875, 15.3984375, 46.1953125, 23.09765625, 11.0, 5.0, 36.0, 17.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 65.0, "4005", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4005&g_ta_cod=4005", 6.0, 47.0, 47.0),
(6409, "Public", "0250013D", "Lycée professionnel Pierre-Adrien Paris", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée professionnel Pierre-Adrien Paris - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 12, 165, 13, 126, 0, 8, 2, 29, 5, 41, 15, 48, 39, 2, 4, 14, 19, 59, 15, 0, 0, 7, 2, 18, 3, 27, 10, 7, 58, 4, 0, 4, 0, 2.0, 4.0, 4.0, 0, 1, 4, 0, 1, 3, 0, 0, 0, 2, 2, 0, 0.0, 0, 1, 3, 2, 0, 4, 4, 50.0, 100.0, 100.0, 0.0, 100.0, 100.0, 50, 25.0, 100.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 25.0, 25.0, 75.0, 75.0, 9.0, 2.0, 20.0, 8.0, 16.0, "Tous les candidats sauf les Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 47.0, "21119", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21119&g_ta_cod=21119", 0.0, 25.0, 75.0),
(6410, "Public", "0222032P", "Université Rennes 1 - Site de Saint-Brieuc", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation non sélective", "Licence", "Université Rennes 1 - Site de Saint-Brieuc - Licence - Droit - Parcours Droit (ST BRIEUC)", "Licence - Droit-économie-gestion", "Droit (ST BRIEUC)", 220, 1399, 1054, 1339, 0, 1033, 198, 126, 37, 22, 10, 158, 60, 14, 1, 1, 44, 1332, 55, 0, 0, 1033, 198, 126, 37, 22, 10, 151, 1116, 201, 132, 181, 20, 47.0, 180.0, 186.0, 0, 35, 172, 155, 14, 3, 29, 0, 45, 86, 37, 4, 0.0, 115, 11, 1, 0, 0, 141, 141, 23.38, 89.55, 92.54, 65.6875, 82.0, 82.0, 0, 20.296875, 85.59375, 0.0, 26.19921875, 50.0, 21.5, 2.3, 0.0, 90.09375, 66.890625, 8.099609375, 6.3994140625, 1.699951171875, 0.5999755859375, 886.0, 173.0, 14.0, 7.0, 147.0, "Tous les candidats", 1333.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "28996", "Licence - Droit - Parcours Droit (ST BRIEUC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28996&g_ta_cod=28996", 88.0, 8.0, 4.0),
(6411, "Public", "0070029U", "Lycée Gabriel Faure", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Tournon-sur-Rhône", "formation sélective", "BTS", "Lycée Gabriel Faure - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 30, 428, 369, 423, 0, 31, 8, 119, 40, 144, 59, 129, 5, 0, 3, 0, 2, 278, 0, 0, 0, 25, 4, 96, 31, 120, 48, 37, 142, 25, 23, 22, 0, 2.0, 15.0, 19.0, 0, 6, 21, 2, 7, 12, 4, 0, 6, 9, 6, 0, 0.0, 0, 4, 11, 3, 3, 21, 21, 8.0, 60.0, 76.0, 92.0, 100.0, 100.0, 14.298828125, 28.59765625, 84.0, 0.0, 28.59765625, 42.8984375, 28.59765625, 0.0, 0.0, 9.5, 0.0, 33.296875, 19.0, 57.09375, 52.3984375, 9.0, 3.0, 49.0, 18.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers technologiques toutes séries", 73, "Bacheliers professionnels toutes séries", 75, "Liste d'appel propre à cette formation", 38.0, "24009", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24009&g_ta_cod=24009", 8.0, 32.0, 60.0),
(6412, "Public", "0340838B", "I.U.T de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BUT", "I.U.T de Montpellier - BUT - Génie biologique parcours biologie médicale et biotechnologie", "BUT - Production", "", 52, 4133, 3058, 4133, 0, 2232, 356, 752, 209, 15, 8, 1134, 0, 0, 0, 0, 0, 1257, 0, 0, 0, 774, 98, 251, 53, 0, 0, 232, 290, 52, 42, 52, 0, 5.0, 40.0, 51.0, 0, 11, 42, 21, 21, 0, 10, 0, 0, 5, 29, 7, 1.0, 21, 21, 0, 0, 0, 13, 13, 9.62, 76.92, 98.08, 80.796875, 31.0, 31.0, 0, 26.19921875, 80.796875, 0.0, 0.0, 11.8984375, 69.0, 16.7, 2.4, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 152.0, 26.0, 0.0, 0.0, 61.0, "Tous les candidats sauf les Bac technologiques", 502.0, "Bacheliers technologiques toutes séries", 139, "", 0, "Liste d'appel propre à cette formation", 16.0, "4528", "BUT - Génie biologique parcours biologie médicale et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4528&g_ta_cod=4528", 52.0, 46.0, 0.0),
(6413, "Privé hors contrat", "0442276K", "ICEE - Institut des carrières européennes de l'expertise", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "ICEE - Institut des carrières européennes de l'expertise - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 15, 56, 27, 27, 0, 7, 2, 6, 1, 5, 3, 9, 29, 1, 7, 1, 20, 27, 20, 0, 0, 7, 2, 6, 1, 5, 3, 9, 46, 8, 2, 3, 5, 2.0, 3.0, 6.0, 0, 0, 2, 1, 1, 0, 6, 0, 1, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 2, 2, 25.0, 37.5, 75.0, 25.0, 100.0, 100.0, 0, 0.0, 25.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 7.0, 2.0, 6.0, 3.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers technologiques toutes séries", 10, "Bacheliers professionnels toutes séries", 6, "Liste d'appel propre à cette formation", 100.0, "33376", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33376&g_ta_cod=33376", 75.0, 25.0, 0.0),
(6414, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 3 Paul Sabatier - Licence - Physique - Parcours Spécial (Mathématiques, Physique, Chimie)", "Licence - Sciences - technologies - santé", "Spécial (Mathématiques, Physique, Chimie)", 45, 985, 355, 863, 0, 642, 84, 5, 4, 0, 0, 216, 122, 25, 4, 1, 92, 445, 3, 0, 0, 366, 30, 0, 0, 0, 0, 79, 362, 32, 10, 30, 2, 15.0, 28.0, 31.0, 0, 3, 27, 27, 0, 0, 5, 0, 0, 0, 11, 13, 3.0, 27, 0, 0, 0, 0, 18, 18, 46.88, 87.5, 96.88, 31.296875, 66.6875, 66.6875, 0, 11.099609375, 84.390625, 0.0, 0.0, 0.0, 40.6953125, 48.1, 11.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 297.0, 31.0, 0.0, 0.0, 65.0, "Tous les candidats", 445.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "18092", "Licence - Physique - Parcours Spécial (Mathématiques, Physique, Chimie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18092&g_ta_cod=18092", 100.0, 0.0, 0.0),
(6415, "Privé sous contrat d'association", "0920919Z", "Lycée Notre Dame de Ste Croix", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Neuilly-sur-Seine", "formation sélective", "CPGE", "Lycée Notre Dame de Ste Croix - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 23, 932, 429, 932, 0, 874, 28, 0, 0, 0, 0, 58, 0, 0, 0, 0, 0, 475, 0, 0, 475, 472, 3, 0, 0, 0, 0, 3, 220, 19, 11, 19, 0, 2.0, 8.0, 19.0, 0, 1, 19, 19, 0, 0, 0, 0, 0, 0, 12, 7, 0.0, 19, 0, 0, 0, 0, 11, 18, 10.53, 42.11, 100.0, 57.8984375, 57.8984375, 94.6875, 0, 5.2998046875, 100.0, 0.0, 0.0, 0.0, 63.1953125, 36.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 219.0, 3.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "31585", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31410&g_ta_cod=31585", 100.0, 0.0, 0.0),
(6416, "Public", "0690274Y", "IUT Lyon1 Site de Villeurbanne Doua", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "BUT", "IUT Lyon1 Site de Villeurbanne Doua - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Administration, gestion et exploitation des données", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Administration, gestion et exploitation des données", 125, 3942, 421, 3942, 0, 2160, 461, 908, 273, 48, 21, 826, 0, 0, 0, 0, 0, 2875, 0, 0, 0, 1820, 357, 689, 196, 18, 9, 348, 698, 130, 12, 130, 0, 57.0, 122.0, 130.0, 0, 35, 128, 68, 60, 0, 2, 0, 1, 49, 63, 15, 0.0, 67, 60, 0, 0, 0, 75, 75, 43.85, 93.85, 100.0, 9.19921875, 58.59375, 58.59375, 0, 27.296875, 98.5, 0.0, 0.7999267578125, 38.296875, 49.1953125, 11.7, 0.0, 53.09375, 52.296875, 46.8984375, 46.8984375, 0.0, 0.0, 433.0, 89.0, 0.0, 0.0, 5.0, "Tous les candidats sauf les Bac technologiques", 625.0, "Bacheliers technologiques toutes séries", 346, "", 0, "Liste d'appel propre à cette formation", 25.0, "8275", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Administration, gestion et exploitation des données", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8275&g_ta_cod=8275", 52.0, 48.0, 0.0),
(6417, "Public", "0190764C", "IFSI CH Ussel", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Ussel", "formation sélective", "IFSI", "Regroupement d'IFSI Université Limoges - D.E Infirmier", "D.E secteur sanitaire", "", 49, 2212, 1853, 2212, 0, 446, 71, 456, 105, 197, 66, 1113, 0, 0, 0, 0, 0, 1904, 0, 0, 0, 430, 64, 417, 92, 153, 51, 904, 628, 48, 41, 48, 0, 0.0, 19.0, 39.0, 0, 5, 29, 19, 7, 3, 19, 0, 9, 16, 4, 0, 0.0, 12, 5, 3, 0, 0, 2, 2, 0.0, 39.58, 81.25, 85.390625, 6.8994140625, 6.8994140625, 0, 17.19921875, 60.3984375, 0.0, 31.0, 55.1953125, 13.798828125, 0.0, 0.0, 65.5, 41.3984375, 24.09765625, 17.19921875, 10.298828125, 10.298828125, 232.0, 32.0, 27.0, 11.0, 226.0, "Tous les candidats", 1496.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "23153", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22989&g_ta_cod=23153", 63.0, 25.0, 13.0),
(6418, "Public", "0951922Y", "Lycée Camille Saint-Saens", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Deuil-la-Barre", "formation sélective", "BTS", "Lycée Camille Saint-Saens - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1478, 705, 1393, 0, 57, 16, 508, 222, 508, 236, 320, 85, 31, 0, 0, 54, 451, 1, 0, 0, 9, 4, 173, 74, 235, 106, 34, 165, 34, 15, 33, 1, 1.0, 23.0, 31.0, 0, 14, 31, 1, 14, 16, 3, 0, 5, 19, 6, 1, 0.0, 0, 10, 16, 4, 0, 25, 31, 2.94, 67.65, 91.18, 44.09375, 80.59375, 100.0, 12.8984375, 45.1953125, 91.1875, 0.0, 16.09765625, 61.296875, 19.3984375, 3.2, 0.0, 3.19970703125, 0.0, 45.1953125, 32.296875, 51.59375, 51.59375, 9.0, 4.0, 68.0, 27.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 132, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 17.0, "11655", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11655&g_ta_cod=11655", 6.0, 47.0, 47.0),
(6419, "Public", "0900231M", "I.U.T de Belfort-Montbéliard", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "BUT", "I.U.T de Belfort-Montbéliard - BUT - Carrières sociales parcours coordination et gestion des établissements et services sanitaires et sociaux", "BUT - Service", "", 28, 350, 308, 344, 0, 96, 25, 134, 44, 32, 12, 82, 6, 1, 0, 2, 3, 322, 1, 0, 0, 93, 23, 127, 41, 22, 7, 80, 174, 23, 20, 22, 1, 3.0, 13.0, 20.0, 0, 5, 18, 5, 10, 3, 5, 0, 9, 6, 3, 0, 0.0, 2, 6, 1, 0, 0, 10, 10, 13.04, 56.52, 86.96, 87.0, 55.59375, 55.59375, 0, 27.796875, 78.296875, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 27.796875, 11.099609375, 55.59375, 33.296875, 16.69921875, 5.599609375, 54.0, 17.0, 10.0, 3.0, 49.0, "Tous les candidats sauf les Bac technologiques", 135.0, "Bacheliers technologiques toutes séries", 120, "", 0, "Liste d'appel propre à cette formation", 74.0, "10828", "BUT - Carrières sociales parcours coordination et gestion des établissements et services sanitaires et sociaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10828&g_ta_cod=10828", 30.0, 57.0, 13.0),
(6420, "Public", "0342225J", "Lycée Georges Frêche", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "Lycée Georges Frêche - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 14, 148, 117, 148, 0, 3, 0, 14, 2, 88, 46, 43, 0, 0, 0, 0, 0, 81, 0, 0, 0, 1, 0, 10, 1, 66, 29, 4, 53, 9, 7, 9, 0, 0.0, 8.0, 8.0, 0, 3, 9, 0, 0, 9, 0, 0, 5, 4, 0, 0, 0.0, 0, 0, 4, 0, 0, 7, 7, 0.0, 88.89, 88.89, 77.796875, 77.796875, 77.796875, 0, 33.296875, 100.0, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 44.3984375, 0.0, 0.0, 45.0, 21.0, 1.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "18196", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18196&g_ta_cod=18196", 0.0, 0.0, 100.0),
(6421, "Public", "0750699C", "Lycée Janson De Sailly", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Lycée Janson De Sailly - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 2263, 1503, 2263, 1392, 2056, 165, 0, 0, 1, 1, 206, 0, 0, 0, 0, 0, 772, 0, 188, 645, 759, 95, 0, 0, 0, 0, 13, 265, 49, 27, 49, 0, 8.0, 43.0, 49.0, 4, 2, 48, 48, 0, 0, 1, 1, 0, 0, 0, 20, 27.0, 47, 0, 0, 0, 0, 10, 18, 16.33, 87.76, 100.0, 55.09375, 20.796875, 37.5, 0, 4.19921875, 98.0, 2.099609375, 0.0, 0.0, 0.0, 41.7, 56.3, 100.0, 97.890625, 0.0, 0.0, 0.0, 0.0, 262.0, 21.0, 0.0, 0.0, 3.0, "Tous les candidats", 391.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "9136", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9136&g_ta_cod=9136", 100.0, 0.0, 0.0),
(6422, "Public", "0490002L", "Lycée général et technologique Joachim Du Bellay", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Lycée général et technologique Joachim Du Bellay - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 2001, 1033, 2001, 0, 300, 48, 887, 208, 436, 155, 378, 0, 0, 0, 0, 0, 1635, 0, 0, 0, 259, 38, 775, 174, 368, 121, 233, 208, 33, 17, 33, 0, 1.0, 24.0, 28.0, 0, 10, 30, 6, 15, 9, 3, 0, 4, 18, 7, 1, 0.0, 4, 14, 8, 1, 0, 27, 27, 3.03, 72.73, 84.85, 51.5, 90.0, 90.0, 3.2998046875, 33.296875, 90.890625, 0.0, 13.298828125, 60.0, 23.296875, 3.3, 0.0, 20.0, 13.298828125, 50.0, 46.6953125, 30.0, 26.69921875, 49.0, 13.0, 42.0, 11.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 110.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 174, "Liste d'appel propre à cette formation", 18.0, "5824", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5824&g_ta_cod=5824", 24.0, 48.0, 27.0),
(6423, "Public", "0940580V", "Lycée polyvalent de Cachan", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "BTS", "Lycée polyvalent de Cachan - BTS - Services - Commerce International", "BTS - Services", "", 33, 1897, 963, 1315, 0, 254, 83, 430, 188, 232, 107, 399, 582, 93, 232, 0, 257, 457, 9, 0, 0, 85, 29, 97, 46, 216, 98, 59, 182, 35, 22, 28, 7, 2.0, 23.0, 26.0, 0, 10, 24, 13, 6, 5, 11, 0, 12, 11, 1, 0, 0.0, 4, 4, 4, 1, 0, 9, 22, 5.71, 65.71, 74.29, 62.8984375, 37.5, 91.6875, 4.19921875, 41.6953125, 68.59375, 0.0, 50.0, 45.796875, 4.19921875, 0.0, 0.0, 54.1953125, 16.69921875, 25.0, 16.69921875, 20.796875, 16.69921875, 57.0, 21.0, 36.0, 17.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 115.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 111, "Liste d'appel propre à cette formation", 22.0, "11429", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11429&g_ta_cod=11429", 49.0, 31.0, 20.0),
(6424, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Administration publique", "Licence - Droit-économie-gestion", "", 40, 317, 174, 261, 0, 146, 31, 25, 5, 15, 9, 75, 56, 6, 5, 1, 44, 260, 45, 0, 0, 146, 31, 25, 5, 15, 9, 74, 254, 38, 17, 20, 18, 3.0, 19.0, 27.0, 0, 4, 19, 10, 6, 3, 19, 0, 10, 6, 3, 0, 0.0, 5, 2, 2, 0, 0, 12, 12, 7.89, 50.0, 71.05, 44.6953125, 63.1953125, 63.1953125, 0, 21.09765625, 50.0, 0.0, 52.59375, 31.59765625, 15.798828125, 0.0, 0.0, 52.59375, 26.296875, 31.59765625, 10.5, 15.798828125, 10.5, 126.0, 26.0, 9.0, 4.0, 97.0, "Tous les candidats", 260.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19192", "Licence - Administration publique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19192&g_ta_cod=19192", 53.0, 29.0, 16.0),
(6425, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Portail Physique", "Licence - Sciences - technologies - santé", "", 36, 605, 208, 569, 0, 383, 55, 12, 0, 0, 0, 174, 36, 6, 1, 0, 29, 568, 33, 0, 0, 383, 55, 12, 0, 0, 0, 173, 361, 27, 4, 21, 6, 0.0, 17.0, 25.0, 0, 3, 14, 14, 0, 0, 13, 0, 4, 4, 6, 0, 0.0, 10, 0, 0, 0, 0, 13, 13, 0.0, 62.96, 92.59, 14.798828125, 92.890625, 92.890625, 0, 21.3984375, 51.8984375, 0.0, 28.59765625, 28.59765625, 42.8984375, 0.0, 0.0, 100.0, 71.390625, 0.0, 0.0, 0.0, 0.0, 214.0, 35.0, 0.0, 0.0, 141.0, "Tous les candidats", 691.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "10198", "Licence - Portail Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28626&g_ta_cod=10198", 85.0, 11.0, 0.0),
(6426, "Public", "0623920Z", "Université du littoral - Site de Boulogne-sur-Mer", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation non sélective", "Licence", "Université du littoral - Site de Boulogne-sur-Mer - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 108, 584, 270, 424, 0, 208, 55, 73, 35, 7, 4, 136, 160, 26, 9, 2, 123, 417, 139, 0, 0, 208, 55, 73, 35, 7, 4, 129, 525, 75, 36, 47, 28, 30.0, 47.0, 64.0, 0, 10, 37, 26, 9, 2, 38, 0, 12, 18, 5, 2, 0.0, 18, 7, 0, 0, 0, 29, 29, 40.0, 62.67, 85.33, 48.0, 78.390625, 78.390625, 0, 27.0, 49.296875, 0.0, 32.3984375, 48.59375, 13.5, 5.4, 0.0, 70.296875, 48.59375, 24.296875, 18.8984375, 5.3994140625, 0.0, 224.0, 55.0, 6.0, 4.0, 226.0, "Tous les candidats", 416.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "7495", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7495&g_ta_cod=7495", 65.0, 25.0, 9.0),
(6427, "Public", "0596854E", "Lycée du PAYS DE CONDE", "59", "Nord", "Hauts-de-France", "Lille", "Condé-sur-l'Escaut", "formation sélective", "BTS", "Lycée du PAYS DE CONDE - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 225, 139, 224, 0, 17, 5, 35, 19, 80, 42, 92, 1, 0, 0, 0, 1, 151, 0, 0, 0, 15, 3, 29, 15, 72, 37, 35, 116, 32, 21, 32, 0, 6.0, 30.0, 32.0, 0, 17, 23, 0, 5, 18, 9, 1, 10, 9, 3, 0, 0.0, 0, 1, 11, 16, 8, 22, 22, 18.75, 93.75, 100.0, 65.59375, 95.6875, 95.6875, 69.59375, 73.890625, 71.890625, 4.2998046875, 43.5, 39.09375, 13.0, 0.0, 0.0, 0.0, 0.0, 21.69921875, 4.2998046875, 78.296875, 47.796875, 12.0, 3.0, 58.0, 33.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 64.0, "7203", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7203&g_ta_cod=7203", 22.0, 19.0, 59.0),
(6428, "Public", "0030098R", "I.U.T. d'Allier - site de Montluçon", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "BUT", "I.U.T. d'Allier - site de Montluçon - BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electricité et Maitrise de l'Energie", "BUT - Production", "Automatisme et Informatique Industrielle - Electricité et Maitrise de l'Energie", 52, 338, 20, 297, 0, 159, 29, 77, 14, 9, 1, 52, 41, 10, 2, 2, 27, 243, 22, 0, 0, 149, 27, 65, 11, 3, 0, 26, 255, 22, 1, 17, 5, 9.0, 17.0, 21.0, 0, 5, 17, 13, 3, 1, 5, 0, 6, 9, 2, 0, 0.0, 8, 2, 1, 0, 0, 11, 11, 40.91, 77.27, 95.45, 4.5, 64.6875, 64.6875, 0, 29.3984375, 77.296875, 0.0, 35.296875, 52.8984375, 11.798828125, 0.0, 0.0, 76.5, 47.09375, 17.59765625, 11.798828125, 5.8994140625, 5.8994140625, 147.0, 28.0, 4.0, 1.0, 40.0, "Tous les candidats sauf les Bac technologiques", 174.0, "Bacheliers technologiques toutes séries", 68, "", 0, "Liste d'appel propre à cette formation", 81.0, "2139", "BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electricité et Maitrise de l'Energie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2139&g_ta_cod=2139", 73.0, 23.0, 5.0),
(6429, "Public", "0360778A", "I.U.T. de l' Indre (Châteauroux)", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Châteauroux", "formation sélective", "BUT", "I.U.T. de l' Indre (Châteauroux) - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle", "BUT - Production", "Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle", 56, 333, 21, 271, 0, 147, 21, 61, 15, 6, 0, 57, 62, 23, 3, 2, 34, 199, 26, 0, 0, 128, 13, 47, 10, 1, 0, 23, 168, 31, 1, 18, 13, 11.0, 18.0, 29.0, 0, 5, 24, 19, 5, 0, 7, 0, 7, 12, 4, 1, 0.0, 12, 5, 0, 0, 0, 16, 16, 35.48, 58.06, 93.55, 3.19970703125, 66.6875, 66.6875, 0, 20.796875, 77.390625, 0.0, 29.19921875, 50.0, 16.69921875, 4.2, 0.0, 79.1875, 50.0, 20.796875, 20.796875, 0.0, 0.0, 101.0, 11.0, 0.0, 0.0, 27.0, "Tous les candidats sauf les Bac technologiques", 148.0, "Bacheliers technologiques toutes séries", 49, "", 0, "Liste d'appel propre à cette formation", 73.0, "4819", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4819&g_ta_cod=4819", 81.0, 19.0, 0.0),
(6430, "Privé sous contrat d'association", "9740679V", "Lycée professionnel Cluny Ste Suzanne", "974", "La Réunion", "La Réunion", "La Réunion", "Sainte-Suzanne", "formation sélective", "BTS", "Lycée professionnel Cluny Ste Suzanne - BTS - Services - Commerce International", "BTS - Services", "", 24, 239, 146, 175, 0, 59, 12, 43, 18, 19, 12, 54, 64, 10, 5, 18, 31, 96, 25, 0, 0, 42, 6, 28, 13, 9, 5, 17, 97, 16, 12, 9, 7, 1.0, 9.0, 13.0, 0, 3, 10, 5, 4, 1, 6, 0, 3, 5, 2, 0, 0.0, 4, 3, 0, 0, 0, 10, 10, 6.25, 56.25, 81.25, 75.0, 100.0, 100.0, 0, 30.0, 62.5, 0.0, 30.0, 50.0, 20.0, 0.0, 0.0, 50.0, 40.0, 40.0, 30.0, 10.0, 0.0, 39.0, 9.0, 13.0, 5.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 54.0, "11928", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11928&g_ta_cod=11928", 63.0, 25.0, 13.0),
(6431, "Public", "0831243A", "Lycée Bonaparte", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Bonaparte - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 423, 206, 403, 0, 75, 32, 97, 42, 95, 50, 136, 20, 6, 0, 0, 14, 270, 0, 0, 0, 75, 32, 91, 39, 82, 44, 22, 90, 20, 9, 20, 0, 5.0, 16.0, 20.0, 0, 9, 18, 5, 6, 7, 2, 0, 7, 5, 4, 2, 0.0, 1, 5, 5, 3, 1, 18, 18, 25.0, 80.0, 100.0, 45.0, 100.0, 100.0, 16.69921875, 50.0, 90.0, 0.0, 38.8984375, 27.796875, 22.19921875, 11.1, 0.0, 27.796875, 5.599609375, 33.296875, 27.796875, 38.8984375, 27.796875, 45.0, 13.0, 22.0, 11.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 39.0, "10387", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10387&g_ta_cod=10387", 25.0, 40.0, 35.0),
(6432, "Public", "0381775Y", "I.U.T. 2 de Grenoble", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BUT", "I.U.T. 2 de Grenoble - BUT - Carrières juridiques Parcours : Administration et justice _ Patrimoine et finance _ Entreprise et association", "BUT - Service", "Administration et justice _ Patrimoine et finance _ Entreprise et association", 168, 2336, 1809, 2336, 0, 1261, 238, 655, 204, 70, 24, 350, 0, 0, 0, 0, 0, 1758, 0, 0, 0, 1070, 185, 460, 121, 20, 7, 208, 649, 164, 131, 164, 0, 48.0, 132.0, 154.0, 0, 40, 146, 74, 71, 1, 18, 0, 19, 76, 48, 3, 0.0, 67, 59, 1, 0, 0, 108, 108, 29.27, 80.49, 93.9, 79.890625, 74.0, 74.0, 0, 27.3984375, 89.0, 0.0, 13.0, 52.09375, 32.8984375, 2.1, 0.0, 50.6953125, 45.8984375, 48.59375, 40.3984375, 0.699951171875, 0.699951171875, 265.0, 51.0, 5.0, 2.0, 71.0, "Tous les candidats sauf les Bac technologiques", 484.0, "Bacheliers technologiques toutes séries", 410, "", 0, "Liste d'appel propre à cette formation", 38.0, "4999", "BUT - Carrières juridiques Parcours : Administration et justice _ Patrimoine et finance _ Entreprise et association", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4999&g_ta_cod=4999", 50.0, 49.0, 1.0),
(6433, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Sciences biomédicales", "Licence - Sciences - technologies - santé", "", 180, 4942, 3856, 4942, 0, 2335, 574, 135, 49, 4, 2, 2468, 0, 0, 0, 0, 0, 4942, 0, 0, 0, 2335, 574, 135, 49, 4, 2, 2468, 1501, 172, 127, 172, 0, 4.0, 61.0, 102.0, 0, 24, 122, 122, 0, 0, 50, 0, 14, 58, 38, 10, 2.0, 108, 0, 0, 0, 0, 21, 103, 2.33, 35.47, 59.3, 73.796875, 17.19921875, 84.390625, 0, 19.69921875, 70.890625, 0.0, 11.5, 47.5, 31.09765625, 8.2, 1.6, 100.0, 88.5, 0.0, 0.0, 0.0, 0.0, 1137.0, 231.0, 0.0, 0.0, 360.0, "Tous les candidats", 2493.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "28557", "Licence - Portail Sciences biomédicales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28707&g_ta_cod=28557", 100.0, 0.0, 0.0),
(6434, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation non sélective", "PASS", "Université Claude Bernard Lyon 1 - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 40, 10287, 7325, 10287, 0, 8357, 1370, 295, 127, 44, 20, 1591, 0, 0, 0, 0, 0, 10205, 0, 0, 0, 8357, 1370, 295, 127, 44, 20, 1509, 276, 39, 33, 39, 0, 3.0, 25.0, 35.0, 0, 15, 38, 38, 0, 0, 1, 0, 0, 1, 8, 21, 8.0, 38, 0, 0, 0, 0, 20, 20, 7.69, 64.1, 89.74, 84.59375, 52.59375, 52.59375, 0, 39.5, 97.390625, 0.0, 0.0, 2.599609375, 21.09765625, 55.3, 21.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 236.0, 44.0, 0.0, 0.0, 40.0, "Tous les candidats", 908.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 7.0, "32197", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28157&g_ta_cod=32197", 100.0, 0.0, 0.0),
(6435, "Privé sous contrat d'association", "0595657D", "Institut Saint Vincent De Paul", "59", "Nord", "Hauts-de-France", "Lille", "Loos", "formation sélective", "BTS", "Institut Saint Vincent De Paul - BTS - Services - Gestion de la PME", "BTS - Services", "", 20, 285, 133, 225, 0, 24, 6, 35, 14, 30, 12, 136, 60, 5, 17, 4, 34, 82, 21, 0, 0, 17, 4, 22, 7, 25, 10, 18, 75, 17, 7, 13, 4, 7.0, 13.0, 14.0, 0, 1, 12, 3, 2, 7, 5, 0, 5, 5, 2, 0, 0.0, 1, 2, 4, 0, 0, 11, 11, 41.18, 76.47, 82.35, 41.1953125, 91.6875, 91.6875, 0, 8.298828125, 70.59375, 0.0, 41.6953125, 41.6953125, 16.69921875, 0.0, 0.0, 25.0, 8.298828125, 16.69921875, 16.69921875, 58.296875, 33.296875, 15.0, 3.0, 17.0, 4.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 35.0, "7137", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7137&g_ta_cod=7137", 24.0, 35.0, 41.0),
(6436, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Sciences et technologies", "Licence - Sciences - technologies - santé", "Sciences et technologies : Mathématiques", 195, 2810, 986, 2731, 0, 1992, 232, 67, 20, 7, 3, 665, 79, 22, 4, 0, 53, 2725, 47, 0, 0, 1991, 232, 67, 20, 7, 3, 660, 1893, 152, 46, 124, 27, 4.0, 112.0, 129.0, 0, 15, 85, 79, 6, 0, 67, 1, 26, 28, 25, 4, 1.0, 55, 3, 0, 0, 0, 71, 71, 2.63, 73.68, 84.87, 30.296875, 83.5, 83.5, 0, 17.59765625, 55.8984375, 1.199951171875, 30.59765625, 32.8984375, 29.3984375, 4.7, 1.2, 92.890625, 64.6875, 7.099609375, 3.5, 0.0, 0.0, 1335.0, 164.0, 2.0, 2.0, 523.0, "Tous les candidats", 11218.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "31081", "Licence - Portail Sciences et technologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31073&g_ta_cod=31081", 90.0, 7.0, 2.0),
(6437, "Public", "0261505V", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "Autre formation", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS - Mention complémentaire - FCIL Technicien de maintenance et de déploiement numérique", "Mention complémentaire", "", 5, 28, 3, 19, 0, 3, 1, 0, 0, 5, 1, 11, 9, 1, 0, 3, 5, 6, 0, 0, 0, 3, 1, 0, 0, 2, 0, 1, 7, 3, 0, 0, 0, 0.0, 0.0, 2.0, 0, 1, 2, 0, 0, 2, 1, 0, 0, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 2, 2, 0.0, 0.0, 66.67, 0.0, 100.0, 100.0, 0, 50.0, 66.6875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 1.0, 0.0, 4.0, 2.0, 2.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "29262", "Mention complémentaire - FCIL Technicien de maintenance et de déploiement numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29262&g_ta_cod=29262", 0.0, 0.0, 100.0),
(6438, "Privé sous contrat d'association", "0851637T", "sup SOCIAL - Les Etablières", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "EFTS", "sup SOCIAL - Les Etablières - D.E Assistant de Service Social", "D.E secteur social", "", 15, 76, 71, 76, 0, 19, 2, 19, 4, 7, 0, 31, 0, 0, 0, 0, 0, 42, 0, 0, 0, 7, 0, 9, 2, 2, 0, 24, 28, 17, 15, 17, 0, 7.0, 12.0, 17.0, 0, 0, 6, 5, 1, 0, 11, 0, 1, 1, 4, 0, 0.0, 4, 1, 0, 0, 0, 5, 5, 41.18, 70.59, 100.0, 88.1875, 83.296875, 83.296875, 0, 0.0, 35.296875, 0.0, 16.69921875, 16.69921875, 66.6875, 0.0, 0.0, 83.296875, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 5.0, 0.0, 1.0, 0.0, 18.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "23528", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23528&g_ta_cod=23528", 53.0, 41.0, 6.0),
(6439, "Privé sous contrat d'association", "0753602H", "ETSUP", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "EFTS", "ETSUP - D.E Educateur Spécialisé", "D.E secteur social", "", 25, 326, 255, 326, 0, 58, 2, 56, 7, 51, 9, 161, 0, 0, 0, 0, 0, 212, 0, 0, 0, 38, 1, 37, 3, 28, 6, 109, 51, 25, 17, 25, 0, 7.0, 23.0, 24.0, 0, 0, 9, 3, 5, 1, 16, 0, 0, 7, 1, 1, 0.0, 3, 5, 1, 0, 0, 3, 9, 28.0, 92.0, 96.0, 68.0, 33.296875, 100.0, 0, 0.0, 36.0, 0.0, 0.0, 77.796875, 11.099609375, 11.1, 0.0, 33.296875, 33.296875, 55.59375, 55.59375, 11.099609375, 11.099609375, 5.0, 0.0, 4.0, 0.0, 33.0, "Tous les candidats", 56.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "23744", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23744&g_ta_cod=23744", 64.0, 28.0, 8.0),
(6440, "Privé sous contrat d'association", "0260074P", "Lycée Montplaisir", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "Lycée Montplaisir - BTS - Services - Gestion de la PME", "BTS - Services", "", 28, 267, 185, 256, 0, 13, 2, 99, 18, 89, 30, 55, 11, 3, 0, 4, 4, 209, 5, 0, 0, 12, 2, 89, 17, 71, 26, 37, 120, 20, 10, 15, 2, 2.0, 12.0, 14.0, 0, 4, 13, 3, 6, 4, 7, 0, 6, 5, 1, 1, 0.0, 0, 4, 3, 1, 1, 13, 13, 10.0, 60.0, 70.0, 50.0, 100.0, 100.0, 7.69921875, 30.796875, 65.0, 0.0, 46.1953125, 38.5, 7.69921875, 7.7, 0.0, 23.09765625, 0.0, 46.1953125, 30.796875, 30.796875, 23.09765625, 14.0, 3.0, 46.0, 13.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 63.0, "3633", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3633&g_ta_cod=3633", 35.0, 45.0, 20.0),
(6441, "Public", "0900024M", "CNAM de Franche-Comté site de Besançon et CNAM de Franche-Comté site de Belfort", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "Autre formation", "CNAM / Lycée Charles Nodier (Dole - 39) - Formation Supérieure de Spécialisation - Tourisme", "Diplôme d'Université", "Tourisme", 12, 7, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 0, 2, 1, 4, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 11, 7, 6, 0, 5, 0.0, 0.0, 1.0, 0, 1, 4, 0, 1, 3, 3, 0, 3, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 3, 3, 0.0, 0.0, 14.29, 85.6875, 75.0, 75.0, 0, 25.0, 57.09375, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 25.0, 0.0, 0.0, 5.0, 2.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34917", "Formation Supérieure de Spécialisation - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34917&g_ta_cod=34917", 14.0, 29.0, 57.0),
(6442, "Public", "0920147K", "Lycée Paul Langevin", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Suresnes", "formation sélective", "BTS", "Lycée Paul Langevin - BTS - Services - Commerce International", "BTS - Services", "", 35, 1506, 813, 1506, 0, 261, 64, 575, 221, 252, 120, 418, 0, 0, 0, 0, 0, 522, 0, 0, 0, 95, 18, 177, 66, 128, 63, 122, 169, 33, 23, 33, 0, 3.0, 22.0, 28.0, 0, 13, 29, 3, 17, 9, 4, 0, 9, 15, 5, 0, 0.0, 0, 12, 8, 5, 5, 25, 28, 9.09, 66.67, 84.85, 69.6875, 86.1875, 96.59375, 17.19921875, 44.796875, 87.890625, 0.0, 31.0, 51.6953125, 17.19921875, 0.0, 0.0, 10.298828125, 0.0, 58.59375, 41.3984375, 31.0, 27.59765625, 25.0, 13.0, 34.0, 17.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 133, "Liste d'appel propre à cette formation", 15.0, "11020", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11020&g_ta_cod=11020", 15.0, 58.0, 27.0),
(6443, "Public", "0251711Z", "Lycée Claude Nicolas Ledoux", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Autre formation", "Lycée Claude Nicolas Ledoux - DN MADE - Espace - - Spécialité : cadre de vie, scénographie et agencement", "DN MADE", "- Spécialité : cadre de vie, scénographie et agencement", 15, 619, 517, 619, 0, 264, 44, 161, 28, 69, 16, 125, 0, 0, 0, 0, 0, 220, 0, 0, 0, 111, 6, 68, 3, 22, 0, 19, 37, 15, 14, 15, 0, 8.0, 14.0, 14.0, 0, 2, 14, 14, 0, 0, 1, 0, 1, 5, 5, 3, 0.0, 13, 0, 0, 0, 0, 11, 11, 53.33, 93.33, 93.33, 93.296875, 78.59375, 78.59375, 0, 14.298828125, 93.296875, 0.0, 7.099609375, 35.6953125, 35.6953125, 21.4, 0.0, 100.0, 92.890625, 0.0, 0.0, 0.0, 0.0, 27.0, 5.0, 1.0, 0.0, 1.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "21569", "DN MADE - Espace - - Spécialité : cadre de vie, scénographie et agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21569&g_ta_cod=21569", 100.0, 0.0, 0.0),
(6444, "Public", "0380035G", "Lycée des Métiers - Lesdiguieres", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée des Métiers - Lesdiguieres - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 72, 425, 221, 423, 0, 0, 0, 157, 17, 160, 36, 106, 2, 0, 0, 0, 2, 385, 0, 0, 0, 0, 0, 123, 14, 160, 36, 102, 163, 59, 36, 59, 0, 36.0, 53.0, 59.0, 0, 6, 31, 0, 17, 14, 28, 1, 9, 9, 9, 3, 0.0, 0, 10, 11, 21, 15, 27, 27, 61.02, 89.83, 100.0, 61.0, 87.09375, 87.09375, 67.6875, 19.3984375, 52.5, 3.19970703125, 29.0, 29.0, 29.0, 9.7, 0.0, 0.0, 0.0, 54.796875, 32.296875, 45.1953125, 35.5, 0.0, 0.0, 58.0, 14.0, 66.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 161, "Bacheliers technologiques toutes séries", 132, "Liste d'appel propre à cette formation", 86.0, "4943", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4943&g_ta_cod=4943", 31.0, 39.0, 31.0),
(6445, "Privé sous contrat d'association", "0381678T", "Lycée Robin", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vienne", "formation sélective", "BTS", "Lycée Robin - BTS - Services - Comptabilité et gestion (Seconde année possible en apprentissage)", "BTS - Services", "", 15, 99, 51, 99, 0, 23, 3, 26, 7, 22, 7, 28, 0, 0, 0, 0, 0, 82, 0, 0, 0, 23, 3, 25, 7, 18, 5, 16, 55, 16, 5, 16, 0, 3.0, 16.0, 16.0, 0, 2, 11, 3, 3, 5, 5, 0, 5, 3, 3, 0, 0.0, 0, 2, 4, 7, 0, 9, 9, 18.75, 100.0, 100.0, 31.296875, 81.796875, 81.796875, 63.59375, 18.19921875, 68.796875, 0.0, 45.5, 27.296875, 27.296875, 0.0, 0.0, 27.296875, 0.0, 27.296875, 18.19921875, 45.5, 36.3984375, 16.0, 3.0, 14.0, 3.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 69.0, "4987", "BTS - Services - Comptabilité et gestion (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4987&g_ta_cod=4987", 31.0, 38.0, 31.0),
(6446, "Privé enseignement supérieur", "0190805X", "EGC de Brive", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "Ecole de Commerce", "EGC de Brive - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "", 40, 51, 22, 41, 0, 31, 0, 4, 0, 1, 0, 5, 10, 3, 1, 0, 6, 33, 6, 0, 0, 28, 0, 3, 0, 1, 0, 1, 39, 21, 11, 16, 5, 16.0, 16.0, 18.0, 0, 1, 19, 16, 2, 1, 2, 0, 6, 10, 3, 0, 0.0, 10, 2, 1, 0, 0, 15, 15, 76.19, 76.19, 85.71, 52.3984375, 78.890625, 78.890625, 0, 5.2998046875, 90.5, 0.0, 31.59765625, 52.59375, 15.798828125, 0.0, 0.0, 84.1875, 52.59375, 10.5, 10.5, 5.2998046875, 5.2998046875, 31.0, 1.0, 1.0, 0.0, 3.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "12052", "Formation des écoles de commerce et de management Bac + 3", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12052&g_ta_cod=12052", 81.0, 14.0, 5.0),
(6447, "Public", "0342091N", "Lycée polyvalent Marc BLOCH", "34", "Hérault", "Occitanie", "Montpellier", "Sérignan", "formation sélective", "BTS", "Lycée polyvalent Marc BLOCH - BTS - Services - Support à l'action managériale", "BTS - Services", "", 31, 500, 319, 447, 0, 19, 6, 153, 82, 94, 57, 181, 53, 4, 11, 13, 25, 164, 21, 0, 0, 14, 4, 81, 40, 56, 29, 13, 143, 35, 27, 24, 11, 2.0, 19.0, 25.0, 0, 18, 29, 4, 14, 11, 6, 0, 8, 14, 6, 1, 0.0, 4, 7, 10, 9, 8, 28, 28, 5.71, 54.29, 71.43, 77.09375, 96.59375, 96.59375, 31, 62.09375, 82.890625, 0.0, 27.59765625, 48.296875, 20.69921875, 3.4, 0.0, 13.798828125, 13.798828125, 48.296875, 24.09765625, 37.8984375, 34.5, 14.0, 7.0, 45.0, 26.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 36.0, "14181", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14181&g_ta_cod=14181", 14.0, 46.0, 40.0),
(6448, "Public", "0440033X", "Lycée professionnel François Arago", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée professionnel François Arago - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 15, 405, 56, 394, 0, 78, 8, 121, 12, 124, 16, 71, 11, 1, 0, 6, 4, 232, 6, 0, 0, 52, 6, 73, 5, 89, 10, 18, 76, 12, 0, 9, 3, 0.0, 5.0, 8.0, 0, 3, 11, 2, 4, 5, 1, 0, 1, 8, 2, 0, 0.0, 2, 3, 5, 1, 0, 8, 8, 0.0, 41.67, 66.67, 0.0, 72.6875, 72.6875, 9.099609375, 27.296875, 91.6875, 0.0, 9.099609375, 72.6875, 18.19921875, 0.0, 0.0, 18.19921875, 18.19921875, 36.3984375, 27.296875, 45.5, 45.5, 9.0, 1.0, 45.0, 6.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 36.0, "5449", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5449&g_ta_cod=5449", 17.0, 42.0, 42.0),
(6449, "Privé sous contrat d'association", "0212195Z", "ESEO Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Ecole d'Ingénieur", "ESEO Angers - Formation d'ingénieur Bac + 5 -  Prépas Technologies, Humanités et International", "Formations  des écoles d'ingénieurs", "Prépas Technologies, Humanités et International", 6, 41, 15, 31, 0, 13, 3, 0, 0, 0, 0, 18, 10, 4, 1, 1, 4, 22, 3, 0, 0, 12, 2, 0, 0, 0, 0, 10, 22, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12.0, 2.0, 0.0, 0.0, 10.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 68.0, "32871", "Formation d'ingénieur Bac + 5 -  Prépas Technologies, Humanités et International", "ESEO Angers", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32869&g_ta_cod=32871", 100.0, 0.0, 0.0),
(6450, "Public", "0690279D", "EPL Lyon St Genis Laval - Lycée André Paillot", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Genis-Laval", "formation sélective", "BTS", "EPL Lyon St Genis Laval - Lycée André Paillot - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 32, 805, 522, 805, 0, 170, 30, 236, 62, 80, 22, 319, 0, 0, 0, 0, 0, 433, 0, 0, 0, 160, 27, 134, 25, 50, 10, 89, 160, 33, 22, 33, 0, 0.0, 21.0, 30.0, 0, 12, 24, 7, 11, 6, 9, 0, 9, 13, 1, 1, 0.0, 2, 9, 4, 3, 2, 19, 19, 0.0, 63.64, 90.91, 66.6875, 79.1875, 79.1875, 12.5, 50.0, 72.6875, 0.0, 37.5, 54.1953125, 4.19921875, 4.2, 0.0, 29.19921875, 8.298828125, 45.796875, 37.5, 25.0, 16.69921875, 54.0, 12.0, 23.0, 6.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 117.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 29.0, "8280", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8280&g_ta_cod=8280", 33.0, 45.0, 21.0),
(6451, "Privé sous contrat d'association", "0370749N", "Lycée Sainte Marguerite", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Chambray-lès-Tours", "formation sélective", "BTS", "Lycée Sainte Marguerite - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 38, 386, 167, 233, 0, 43, 15, 59, 14, 30, 13, 101, 153, 20, 32, 19, 82, 140, 30, 0, 0, 31, 7, 45, 10, 18, 8, 46, 147, 21, 9, 14, 7, 2.0, 14.0, 21.0, 0, 2, 7, 3, 1, 3, 14, 0, 4, 1, 2, 0, 0.0, 0, 0, 3, 0, 0, 6, 6, 9.52, 66.67, 100.0, 42.8984375, 85.6875, 85.6875, 0, 28.59765625, 33.296875, 0.0, 57.09375, 14.298828125, 28.59765625, 0.0, 0.0, 42.8984375, 0.0, 14.298828125, 0.0, 42.8984375, 42.8984375, 27.0, 5.0, 19.0, 7.0, 62.0, "Tous les candidats sauf les Bac professionnels", 122.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 60.0, "4862", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4862&g_ta_cod=4862", 62.0, 24.0, 14.0),
(6452, "Privé enseignement supérieur", "0791199Z", "Facultés libres de l'ouest UCO - Niort", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation non sélective", "Licence", "Facultés libres de l'ouest UCO - Niort - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 40, 185, 75, 121, 0, 81, 6, 19, 6, 2, 0, 19, 64, 19, 6, 0, 39, 121, 59, 0, 0, 81, 6, 19, 6, 2, 0, 19, 171, 9, 7, 4, 5, 1.0, 4.0, 9.0, 0, 1, 4, 2, 2, 0, 5, 0, 3, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 11.11, 44.44, 100.0, 77.796875, 25.0, 25.0, 0, 25.0, 44.3984375, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 0.0, 0.0, 0.0, 95.0, 8.0, 2.0, 0.0, 52.0, "Tous les candidats", 121.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "31828", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31828&g_ta_cod=31828", 67.0, 22.0, 11.0),
(6453, "Privé sous contrat d'association", "0595793B", "Institut de Formation de Psychomotriciens Raymond Leclercq", "59", "Nord", "Hauts-de-France", "Lille", "Loos", "formation sélective", "Autre formation", "Institut de Formation de Psychomotriciens Raymond Leclercq - D.E Psychomotricien", "D.E secteur sanitaire", "", 80, 1362, 1244, 1362, 0, 359, 21, 97, 13, 8, 2, 898, 0, 0, 0, 0, 0, 250, 0, 0, 0, 82, 3, 3, 0, 0, 0, 165, 173, 80, 78, 80, 0, 32.0, 72.0, 76.0, 0, 2, 17, 17, 0, 0, 63, 0, 0, 3, 9, 5, 0.0, 17, 0, 0, 0, 0, 10, 10, 40.0, 90.0, 95.0, 97.5, 58.796875, 58.796875, 0, 11.798828125, 21.296875, 0.0, 0.0, 17.59765625, 52.8984375, 29.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 52.0, 3.0, 0.0, 0.0, 121.0, "Tous les candidats", 191.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "26072", "D.E Psychomotricien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26072&g_ta_cod=26072", 91.0, 5.0, 4.0),
(6454, "Privé sous contrat d'association", "0022108F", "Lycée des métiers Saint Vincent de Paul", "02", "Aisne", "Hauts-de-France", "Amiens", "Soissons", "formation sélective", "Autre formation", "Lycée des métiers Saint Vincent de Paul - DN MADE - Graphisme - - Spécialité : Médias et volumes", "DN MADE", "- Spécialité : Médias et volumes", 18, 175, 82, 87, 0, 26, 6, 9, 2, 16, 4, 36, 88, 18, 12, 21, 37, 30, 33, 0, 0, 9, 2, 3, 1, 5, 0, 13, 63, 15, 5, 5, 10, 3.0, 5.0, 12.0, 0, 0, 5, 0, 1, 4, 10, 0, 0, 3, 2, 0, 0.0, 0, 1, 4, 0, 0, 2, 2, 20.0, 33.33, 80.0, 33.296875, 40.0, 40.0, 0, 0.0, 33.296875, 0.0, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 0.0, 20.0, 20.0, 80.0, 80.0, 18.0, 3.0, 10.0, 0.0, 25.0, "Tous les candidats", 30.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "25132", "DN MADE - Graphisme - - Spécialité : Médias et volumes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25132&g_ta_cod=25132", 33.0, 40.0, 27.0),
(6455, "Public", "0620042J", "Lycée Andre Malraux", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "BTS", "Lycée Andre Malraux - BTS - Services - Communication", "BTS - Services", "", 33, 889, 459, 889, 0, 131, 32, 153, 53, 64, 25, 541, 0, 0, 0, 0, 0, 378, 0, 0, 0, 122, 27, 123, 41, 44, 17, 89, 118, 29, 15, 29, 0, 7.0, 25.0, 28.0, 0, 5, 20, 7, 11, 2, 9, 0, 9, 6, 5, 0, 0.0, 2, 7, 2, 2, 1, 19, 19, 24.14, 86.21, 96.55, 51.6953125, 95.0, 95.0, 10, 25.0, 69.0, 0.0, 45.0, 30.0, 25.0, 0.0, 0.0, 35.0, 10.0, 55.0, 35.0, 10.0, 10.0, 26.0, 4.0, 12.0, 3.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 18.0, "7346", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7346&g_ta_cod=7346", 34.0, 55.0, 10.0),
(6456, "Public", "0573435Z", "I.U.T. Thionville-Yutz - Université de Lorraine", "57", "Moselle", "Grand Est", "Nancy-Metz", "Yutz", "formation sélective", "BUT", "I.U.T. Thionville-Yutz - Université de Lorraine - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 22, 302, 195, 296, 0, 150, 26, 79, 14, 0, 0, 67, 6, 0, 3, 0, 3, 216, 1, 0, 0, 120, 21, 52, 11, 0, 0, 44, 151, 24, 16, 22, 1, 1.0, 20.0, 22.0, 0, 2, 18, 13, 5, 0, 6, 0, 5, 8, 5, 0, 0.0, 10, 3, 0, 0, 0, 14, 14, 4.17, 83.33, 91.67, 66.6875, 77.796875, 77.796875, 0, 11.099609375, 75.0, 0.0, 27.796875, 44.3984375, 27.796875, 0.0, 0.0, 72.1875, 55.59375, 27.796875, 16.69921875, 0.0, 0.0, 77.0, 14.0, 0.0, 0.0, 37.0, "Tous les candidats sauf les Bac technologiques", 157.0, "Bacheliers technologiques toutes séries", 54, "", 0, "Liste d'appel propre à cette formation", 71.0, "6670", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6670&g_ta_cod=6670", 75.0, 25.0, 0.0),
(6457, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence_Las", "Université de Pau et des Pays de l'Adour - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 35, 1282, 920, 1282, 0, 910, 137, 93, 23, 4, 3, 275, 0, 0, 0, 0, 0, 1279, 0, 0, 0, 910, 137, 93, 23, 4, 3, 272, 272, 34, 25, 34, 0, 0.0, 24.0, 34.0, 0, 3, 30, 30, 0, 0, 4, 0, 0, 14, 13, 3, 0.0, 30, 0, 0, 0, 0, 25, 25, 0.0, 70.59, 100.0, 73.5, 83.296875, 83.296875, 0, 10.0, 88.1875, 0.0, 0.0, 46.6953125, 43.296875, 10.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 224.0, 22.0, 0.0, 0.0, 40.0, "Tous les candidats", 811.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "28698", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28697&g_ta_cod=28698", 100.0, 0.0, 0.0),
(6458, "Privé enseignement supérieur", "0212022J", "CENTRE UNIVERSITAIRE CATHOLIQUE", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "CENTRE UNIVERSITAIRE CATHOLIQUE - Licence - Humanités - Parcours enjeux du monde contemporain", "Licence - Sciences humaines et sociales", "enjeux du monde contemporain", 20, 78, 57, 57, 0, 42, 3, 2, 0, 1, 0, 12, 21, 7, 1, 0, 13, 57, 21, 0, 0, 42, 3, 2, 0, 1, 0, 12, 69, 14, 11, 10, 4, 5.0, 9.0, 14.0, 0, 0, 11, 8, 2, 1, 3, 0, 3, 2, 6, 0, 0.0, 7, 0, 1, 0, 0, 10, 10, 35.71, 64.29, 100.0, 78.59375, 90.890625, 90.890625, 0, 0.0, 78.59375, 0.0, 27.296875, 18.19921875, 54.5, 0.0, 0.0, 72.6875, 63.59375, 18.19921875, 0.0, 9.099609375, 9.099609375, 43.0, 6.0, 1.0, 0.0, 22.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "31197", "Licence - Humanités - Parcours enjeux du monde contemporain", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31197&g_ta_cod=31197", 79.0, 14.0, 7.0),
(6459, "Public", "0690128P", "Lycée Edouard Branly", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "Autre formation", "Lycée Edouard Branly - Mention complémentaire - FCIL Technicien polyvalent dans les systèmes audiovisuels professionnels", "Mention complémentaire", "", 12, 192, 40, 192, 0, 51, 11, 22, 3, 55, 17, 64, 0, 0, 0, 0, 0, 73, 0, 0, 0, 19, 3, 7, 0, 30, 7, 17, 42, 12, 3, 12, 0, 3.0, 8.0, 9.0, 0, 1, 6, 0, 0, 6, 6, 0, 3, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 4, 4, 25.0, 66.67, 75.0, 25.0, 66.6875, 66.6875, 0, 16.69921875, 50.0, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 10.0, 1.0, 19.0, 3.0, 10.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "24766", "Mention complémentaire - FCIL Technicien polyvalent dans les systèmes audiovisuels professionnels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24766&g_ta_cod=24766", 33.0, 8.0, 58.0),
(6460, "Public", "0540098N", "Centre de Ressources, d'Expertise et de Performance Sportive de Nancy (CREPS)", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Essey-lès-Nancy", "formation sélective", "Autre formation", "CREPS de Nancy - BPJEPS - Activités de la forme", "BPJEPS", "", 6, 158, 27, 99, 0, 29, 5, 12, 4, 19, 4, 39, 59, 17, 11, 5, 26, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 5, 4, 2, 4, 0, 4.0, 4.0, 4.0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 50.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "21299", "BPJEPS - Activités de la forme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21299&g_ta_cod=21299", 25.0, 75.0, 0.0),
(6461, "Public", "0750783U", "Lycée professionnel Chenneviere Malezieux", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Chenneviere Malezieux - Mention complémentaire - Technicien ascensoriste, service et modernisation", "Mention complémentaire", "", 15, 158, 2, 158, 0, 0, 0, 1, 0, 145, 79, 12, 0, 0, 0, 0, 0, 120, 0, 0, 0, 0, 0, 1, 0, 114, 60, 5, 37, 14, 0, 14, 0, 7.0, 10.0, 12.0, 0, 4, 13, 0, 0, 13, 1, 0, 6, 4, 3, 0, 0.0, 0, 0, 7, 0, 0, 10, 13, 50.0, 71.43, 85.71, 0.0, 76.890625, 100.0, 0, 30.796875, 92.890625, 0.0, 46.1953125, 30.796875, 23.09765625, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 53.796875, 0.0, 0.0, 35.0, 15.0, 2.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "13525", "Mention complémentaire - Technicien ascensoriste, service et modernisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13525&g_ta_cod=13525", 0.0, 0.0, 100.0),
(6462, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Licence", "Université Grenoble Alpes  - Licence - Physique - Parcours Physique Recherche", "Licence - Sciences - technologies - santé", "Physique Recherche", 16, 491, 147, 484, 0, 332, 40, 14, 5, 0, 0, 138, 7, 1, 0, 0, 6, 309, 1, 0, 0, 255, 29, 0, 0, 0, 0, 54, 109, 14, 6, 14, 0, 0.0, 7.0, 13.0, 0, 0, 13, 13, 0, 0, 1, 0, 0, 2, 2, 9, 0.0, 13, 0, 0, 0, 0, 4, 4, 0.0, 50.0, 92.86, 42.8984375, 30.796875, 30.796875, 0, 0.0, 92.890625, 0.0, 0.0, 15.3984375, 15.3984375, 69.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 95.0, 12.0, 0.0, 0.0, 14.0, "Tous les candidats", 189.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "30909", "Licence - Physique - Parcours Physique Recherche", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30909&g_ta_cod=30909", 100.0, 0.0, 0.0),
(6463, "Public", "0400027M", "Lycée polyvalent des métiers de l'aéronautique Jean Taris", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Peyrehorade", "formation sélective", "BTS", "Lycée polyvalent des métiers de l'aéronautique Jean Taris - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 15, 145, 7, 137, 0, 20, 0, 17, 5, 56, 9, 44, 8, 0, 3, 0, 5, 87, 2, 0, 0, 16, 0, 14, 3, 46, 7, 11, 62, 8, 0, 7, 1, 4.0, 6.0, 7.0, 0, 2, 8, 2, 1, 5, 0, 0, 3, 3, 2, 0, 0.0, 1, 0, 4, 1, 0, 6, 6, 50.0, 75.0, 87.5, 0.0, 75.0, 75.0, 12.5, 25.0, 100.0, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 25.0, 12.5, 12.5, 0.0, 62.5, 50.0, 10.0, 0.0, 34.0, 5.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 61.0, "19284", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19284&g_ta_cod=19284", 25.0, 13.0, 63.0),
(6464, "Privé sous contrat d'association", "0560181T", "Lycée St Joseph - LaSalle Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BTS", "Lycée St Joseph - LaSalle Lorient - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 11, 107, 4, 107, 0, 0, 0, 29, 1, 61, 11, 17, 0, 0, 0, 0, 0, 97, 0, 0, 0, 0, 0, 29, 1, 60, 10, 8, 48, 11, 0, 11, 0, 2.0, 8.0, 9.0, 0, 2, 11, 0, 2, 9, 0, 0, 1, 7, 3, 0, 0.0, 0, 2, 8, 7, 0, 11, 11, 18.18, 72.73, 81.82, 0.0, 100.0, 100.0, 63.59375, 18.19921875, 100.0, 0.0, 9.099609375, 63.59375, 27.296875, 0.0, 0.0, 0.0, 0.0, 18.19921875, 18.19921875, 81.796875, 72.6875, 0.0, 0.0, 27.0, 5.0, 4.0, "Tous les candidats sauf les Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 66.0, "6453", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6453&g_ta_cod=6453", 0.0, 18.0, 82.0),
(6465, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues étrangères appliquées - Parcours Grec - Anglais", "Licence - Arts-lettres-langues", "Grec - Anglais", 15, 61, 37, 19, 0, 9, 3, 0, 0, 1, 1, 9, 42, 5, 7, 7, 23, 19, 25, 0, 0, 9, 3, 0, 0, 1, 1, 9, 43, 14, 10, 2, 12, 2.0, 2.0, 9.0, 0, 4, 8, 4, 2, 2, 6, 0, 5, 3, 0, 0, 0.0, 3, 0, 0, 0, 0, 6, 8, 14.29, 14.29, 64.29, 71.390625, 75.0, 100.0, 0, 50.0, 57.09375, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 50.0, 37.5, 25.0, 0.0, 25.0, 0.0, 12.0, 4.0, 6.0, 5.0, 20.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "15137", "Licence - Langues étrangères appliquées - Parcours Grec - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15137&g_ta_cod=15137", 36.0, 43.0, 21.0),
(6466, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Sciences et technologies", "Licence - Sciences - technologies - santé", "Sciences et technologies : Physique", 95, 2537, 930, 2482, 0, 1665, 216, 44, 13, 9, 3, 764, 55, 14, 3, 1, 37, 2475, 36, 0, 0, 1665, 216, 44, 13, 9, 3, 757, 1219, 65, 17, 53, 11, 2.0, 25.0, 52.0, 0, 4, 39, 37, 1, 1, 26, 0, 14, 8, 10, 6, 1.0, 23, 1, 1, 0, 0, 35, 35, 3.08, 38.46, 80.0, 26.19921875, 89.6875, 89.6875, 0, 10.298828125, 60.0, 0.0, 35.8984375, 20.5, 25.59765625, 15.4, 2.6, 94.890625, 59.0, 2.599609375, 2.599609375, 2.599609375, 2.599609375, 791.0, 97.0, 3.0, 1.0, 417.0, "Tous les candidats", 11263.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "31076", "Licence - Portail Sciences et technologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31073&g_ta_cod=31076", 89.0, 8.0, 2.0),
(6467, "Privé hors contrat", "0783676X", "3IS Institut International de l'Image et du Son", "78", "Yvelines", "Ile-de-France", "Versailles", "Elancourt", "formation sélective", "Autre formation", "3IS Institut International de l'Image et du Son - Formation des écoles supérieure d'art Bac + 3 - Cinéma Audiovisuel/Son - Option Cinéma Audiovisuel", "Formation des écoles supérieure d'art", "Cinéma Audiovisuel/Son - Option Cinéma Audiovisuel", 310, 1231, 432, 1082, 0, 677, 86, 113, 16, 54, 11, 238, 149, 44, 17, 14, 74, 693, 71, 0, 0, 487, 63, 67, 10, 23, 3, 116, 730, 182, 59, 145, 37, 79.0, 144.0, 174.0, 0, 20, 132, 108, 14, 10, 50, 1, 55, 59, 15, 2, 0.0, 62, 8, 6, 0, 0, 40, 61, 43.41, 79.12, 95.6, 32.3984375, 30.296875, 46.1953125, 0, 15.19921875, 72.5, 0.7999267578125, 41.6953125, 44.6953125, 11.3984375, 1.5, 0.0, 81.796875, 47.0, 10.599609375, 6.099609375, 7.599609375, 4.5, 485.0, 66.0, 28.0, 4.0, 144.0, "Tous les candidats", 693.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "27121", "Formation des écoles supérieure d'art Bac + 3 - Cinéma Audiovisuel/Son - Option Cinéma Audiovisuel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27121&g_ta_cod=27121", 77.0, 15.0, 7.0),
(6468, "Public", "3500192F", "INSA Euro-Méditerranée", "99", "Etranger", "Etranger", "Etranger", "Fès", "formation sélective", "Ecole d'Ingénieur", "Groupe INSA - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 20, 2427, 706, 2427, 0, 1997, 188, 0, 0, 0, 0, 430, 0, 0, 0, 0, 0, 1691, 0, 0, 0, 1403, 110, 0, 0, 0, 0, 288, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 0, "378", "Formation d'ingénieur Bac + 5 - Bac Général", "Groupe INSA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=57&g_ta_cod=378", 0, 0, 0),
(6469, "Public", "0600020W", "Lycée Marie Curie", "60", "Oise", "Hauts-de-France", "Amiens", "Nogent-sur-Oise", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 23, 255, 51, 248, 0, 7, 2, 44, 18, 33, 15, 164, 7, 0, 0, 3, 4, 79, 1, 0, 0, 7, 2, 41, 17, 26, 12, 5, 67, 18, 0, 18, 0, 7.0, 18.0, 18.0, 0, 9, 16, 1, 7, 8, 2, 0, 9, 3, 3, 1, 0.0, 0, 1, 6, 7, 0, 16, 16, 38.89, 100.0, 100.0, 0.0, 100.0, 100.0, 43.796875, 56.296875, 88.890625, 0.0, 56.296875, 18.796875, 18.796875, 6.3, 0.0, 6.2998046875, 0.0, 43.796875, 6.2998046875, 50.0, 37.5, 3.0, 0.0, 26.0, 12.0, 5.0, "Tous les candidats sauf les Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 31.0, "7235", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7235&g_ta_cod=7235", 11.0, 44.0, 44.0),
(6470, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation non sélective", "Licence_Las", "Université Claude Bernard Lyon 1 - Licence - Portail portail Sciences de la Vie et de la Terre", "Licence - Sciences - technologies - santé", "portail Sciences de la Vie et de la Terre", 150, 4802, 3407, 4802, 0, 2983, 541, 161, 51, 6, 2, 1652, 0, 0, 0, 0, 0, 4742, 0, 0, 0, 2982, 541, 161, 51, 6, 2, 1593, 1172, 153, 106, 151, 0, 4.0, 61.0, 106.0, 0, 12, 87, 87, 0, 0, 66, 0, 8, 43, 26, 8, 2.0, 79, 0, 0, 0, 0, 59, 59, 2.61, 39.87, 69.28, 69.296875, 67.796875, 67.796875, 0, 13.798828125, 56.8984375, 0.0, 9.19921875, 49.3984375, 29.8984375, 9.2, 2.3, 100.0, 90.796875, 0.0, 0.0, 0.0, 0.0, 797.0, 115.0, 0.0, 0.0, 375.0, "Tous les candidats", 2419.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "27057", "Licence - Portail portail Sciences de la Vie et de la Terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27056&g_ta_cod=27057", 99.0, 0.0, 0.0),
(6471, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais - Mineure Didactique du français langue étrangère", "Licence - Arts-lettres-langues", "Portugais - Mineure Didactique du français langue étrangère", 5, 24, 18, 16, 0, 12, 3, 1, 0, 0, 0, 3, 8, 3, 0, 0, 5, 16, 8, 0, 0, 12, 3, 1, 0, 0, 0, 3, 19, 5, 4, 3, 2, 0.0, 3.0, 4.0, 0, 0, 5, 4, 1, 0, 0, 0, 3, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 0, 4, 0.0, 60.0, 80.0, 80.0, 0.0, 80.0, 0, 0.0, 100.0, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 80.0, 20.0, 20.0, 20.0, 0.0, 0.0, 13.0, 2.0, 0.0, 0.0, 5.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "24064", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais - Mineure Didactique du français langue étrangère", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24064&g_ta_cod=24064", 80.0, 20.0, 0.0),
(6472, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Autre formation", "Université de Poitiers - C.M.I - Cursus Master en Ingénierie - Sciences de la vie - Cursus Master en Ingénierie (CMI) : Biologie-Santé", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Biologie-Santé", 16, 429, 309, 429, 0, 279, 32, 7, 2, 1, 0, 142, 0, 0, 0, 0, 0, 58, 0, 0, 0, 56, 5, 0, 0, 0, 0, 2, 35, 16, 14, 15, 0, 6.0, 14.0, 15.0, 0, 3, 16, 16, 0, 0, 0, 0, 0, 1, 6, 9, 0.0, 16, 0, 0, 0, 0, 5, 5, 37.5, 87.5, 93.75, 87.5, 31.296875, 31.296875, 0, 18.796875, 100.0, 0.0, 0.0, 6.2998046875, 37.5, 56.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 35.0, 4.0, 0.0, 0.0, 0.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "21024", "C.M.I - Cursus Master en Ingénierie - Sciences de la vie - Cursus Master en Ingénierie (CMI) : Biologie-Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21024&g_ta_cod=21024", 100.0, 0.0, 0.0),
(6473, "Public", "0050006E", "Lycée Dominique Villars", "05", "Hautes-Alpes", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Gap", "formation sélective", "CPGE", "Lycée Dominique Villars - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 24, 183, 91, 180, 141, 154, 23, 0, 0, 1, 0, 25, 3, 1, 0, 1, 1, 153, 1, 120, 133, 149, 22, 0, 0, 0, 0, 4, 129, 18, 10, 18, 0, 5.0, 14.0, 17.0, 12, 1, 18, 18, 0, 0, 0, 0, 2, 4, 9, 3, 0.0, 16, 0, 0, 1, 1, 15, 15, 27.78, 77.78, 94.44, 55.59375, 83.296875, 83.296875, 5.599609375, 5.599609375, 100.0, 0.0, 11.099609375, 22.19921875, 50.0, 16.7, 0.0, 100.0, 88.890625, 0.0, 0.0, 0.0, 0.0, 126.0, 18.0, 0.0, 0.0, 3.0, "Tous les candidats", 153.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "31267", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31267&g_ta_cod=31267", 100.0, 0.0, 0.0),
(6474, "Public", "0500065Z", "Lycée Le Verrier", "50", "Manche", "Normandie", "Normandie", "Saint-Lô", "formation sélective", "CPGE", "Lycée Le Verrier - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 48, 163, 74, 162, 105, 121, 11, 0, 0, 0, 0, 41, 1, 0, 0, 0, 1, 116, 0, 73, 113, 110, 9, 0, 0, 0, 0, 6, 100, 15, 8, 15, 0, 5.0, 14.0, 15.0, 8, 1, 13, 13, 0, 0, 2, 0, 1, 4, 6, 2, 0.0, 12, 0, 0, 4, 2, 12, 12, 33.33, 93.33, 100.0, 53.296875, 92.296875, 92.296875, 30.796875, 7.69921875, 86.6875, 0.0, 7.69921875, 30.796875, 46.1953125, 15.4, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 95.0, 9.0, 0.0, 0.0, 5.0, "Tous les candidats", 115.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "31348", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31348&g_ta_cod=31348", 100.0, 0.0, 0.0),
(6475, "Public", "0620011A", "Lycée professionnel Jacques Le Caron", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "Lycée professionnel Jacques Le Caron - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 110, 23, 106, 0, 3, 0, 24, 8, 33, 16, 46, 4, 0, 1, 3, 0, 71, 0, 0, 0, 3, 0, 18, 5, 29, 13, 21, 61, 15, 3, 15, 0, 7.0, 14.0, 14.0, 0, 3, 6, 1, 3, 2, 9, 0, 2, 4, 0, 0, 0.0, 1, 1, 2, 1, 0, 6, 6, 46.67, 93.33, 93.33, 20.0, 100.0, 100.0, 16.69921875, 50.0, 40.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 16.69921875, 16.69921875, 50.0, 16.69921875, 33.296875, 33.296875, 3.0, 0.0, 25.0, 10.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 66.0, "7335", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7335&g_ta_cod=7335", 47.0, 33.0, 20.0),
(6476, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence", "Université des Antilles - Pôle Martinique - Licence - Portail Droit - Droit - Martinique", "Licence - Droit-économie-gestion", "Droit - Martinique", 300, 552, 433, 481, 0, 342, 118, 65, 30, 10, 6, 64, 71, 20, 6, 3, 42, 481, 68, 0, 0, 342, 118, 65, 30, 10, 6, 64, 535, 121, 91, 102, 19, 81.0, 100.0, 113.0, 0, 35, 96, 81, 14, 1, 25, 0, 47, 27, 21, 1, 0.0, 45, 4, 0, 0, 0, 94, 94, 66.94, 82.64, 93.39, 75.1875, 97.890625, 97.890625, 0, 36.5, 79.296875, 0.0, 49.0, 28.09765625, 21.8984375, 1.0, 0.0, 84.390625, 46.8984375, 14.599609375, 4.19921875, 1.0, 0.0, 353.0, 118.0, 11.0, 6.0, 102.0, "Tous les candidats", 525.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "11839", "Licence - Portail Droit - Droit - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28283&g_ta_cod=11839", 77.0, 19.0, 2.0),
(6477, "Public", "0570086J", "Lycée agricole Metz-Courcelles-Chaussy", "57", "Moselle", "Grand Est", "Nancy-Metz", "Courcelles-Chaussy", "formation sélective", "BTS", "Lycée agricole Metz-Courcelles-Chaussy - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 20, 149, 38, 134, 0, 22, 4, 38, 4, 16, 7, 58, 15, 2, 3, 0, 10, 87, 5, 0, 0, 21, 4, 38, 4, 14, 6, 14, 73, 15, 0, 14, 1, 4.0, 12.0, 14.0, 0, 2, 13, 4, 7, 2, 2, 1, 6, 5, 1, 0, 0.0, 2, 3, 1, 2, 0, 12, 12, 26.67, 80.0, 93.33, 0.0, 92.296875, 92.296875, 15.3984375, 15.3984375, 86.6875, 7.69921875, 46.1953125, 38.5, 7.69921875, 0.0, 0.0, 30.796875, 15.3984375, 53.796875, 23.09765625, 15.3984375, 7.69921875, 20.0, 3.0, 7.0, 3.0, 13.0, "Tous les candidats sauf les Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 64.0, "6546", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6546&g_ta_cod=6546", 27.0, 60.0, 13.0),
(6478, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues étrangères appliquées - Parcours Anglais-Chinois débutant", "Licence - Arts-lettres-langues", "Anglais-Chinois débutant", 30, 315, 259, 315, 0, 210, 42, 15, 6, 7, 4, 83, 0, 0, 0, 0, 0, 314, 0, 0, 0, 210, 42, 15, 6, 7, 4, 82, 133, 30, 26, 30, 0, 3.0, 23.0, 29.0, 0, 4, 19, 14, 2, 3, 11, 1, 3, 9, 5, 1, 0.0, 10, 2, 3, 0, 0, 18, 18, 10.0, 76.67, 96.67, 86.6875, 94.6875, 94.6875, 0, 21.09765625, 63.296875, 5.2998046875, 15.798828125, 47.3984375, 26.296875, 5.3, 0.0, 73.6875, 52.59375, 10.5, 10.5, 15.798828125, 15.798828125, 88.0, 22.0, 3.0, 2.0, 36.0, "Tous les candidats", 211.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "17890", "Licence - Langues étrangères appliquées - Parcours Anglais-Chinois débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17890&g_ta_cod=17890", 77.0, 13.0, 10.0),
(6479, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence_Las", "Université du Mans - Licence - Portail Histoire", "Licence - Sciences humaines et sociales", "", 2, 101, 49, 101, 0, 55, 14, 22, 6, 4, 2, 20, 0, 0, 0, 0, 0, 100, 0, 0, 0, 55, 14, 22, 6, 4, 2, 19, 23, 2, 2, 2, 0, 0.0, 0.0, 1.0, 0, 1, 2, 0, 2, 0, 0, 0, 0, 2, 0, 0, 0.0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0.0, 50.0, 100.0, 0.0, 0.0, 0, 50.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 15.0, 4.0, 0.0, 0.0, 4.0, "Groupe par défaut", 586.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 70.0, "29244", "Licence - Portail Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29243&g_ta_cod=29244", 0.0, 100.0, 0.0),
(6480, "Public", "0750463W", "Lycée Lucas De Nehou", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Autre formation", "Lycée Lucas De Nehou - DN MADE - Matériaux - - Spécialité : Verre, espace, objet", "DN MADE", "- Spécialité : Verre, espace, objet", 15, 235, 176, 235, 0, 72, 16, 74, 15, 16, 6, 73, 0, 0, 0, 0, 0, 142, 0, 0, 0, 42, 8, 62, 12, 5, 1, 33, 64, 15, 14, 15, 0, 1.0, 13.0, 14.0, 0, 1, 9, 4, 5, 0, 6, 0, 1, 6, 1, 1, 0.0, 4, 4, 0, 0, 0, 2, 7, 6.67, 86.67, 93.33, 93.296875, 22.19921875, 77.796875, 0, 11.099609375, 60.0, 0.0, 11.099609375, 66.6875, 11.099609375, 11.1, 0.0, 44.3984375, 44.3984375, 55.59375, 44.3984375, 0.0, 0.0, 16.0, 3.0, 0.0, 0.0, 14.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "21765", "DN MADE - Matériaux - - Spécialité : Verre, espace, objet", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21765&g_ta_cod=21765", 47.0, 40.0, 0.0),
(6481, "Privé hors contrat", "9711279N", "C.F.T.S (Centre de Formation des Travailleurs Sociaux)", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "EFTS", "C.F.T.S (Centre de Formation des Travailleurs Sociaux) - D.E Educateur Spécialisé", "D.E secteur social", "", 15, 87, 72, 87, 0, 14, 7, 25, 9, 10, 6, 38, 0, 0, 0, 0, 0, 28, 0, 0, 0, 5, 2, 6, 0, 2, 0, 15, 21, 15, 12, 15, 0, 11.0, 14.0, 14.0, 0, 1, 7, 3, 4, 0, 8, 0, 4, 2, 1, 0, 0.0, 2, 1, 0, 0, 0, 6, 6, 73.33, 93.33, 93.33, 80.0, 85.6875, 85.6875, 0, 14.298828125, 46.6953125, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 42.8984375, 28.59765625, 57.09375, 14.298828125, 0.0, 0.0, 4.0, 2.0, 1.0, 0.0, 12.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "25253", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25253&g_ta_cod=25253", 47.0, 40.0, 13.0),
(6482, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 320, 1671, 750, 1345, 0, 906, 162, 119, 32, 47, 24, 273, 326, 70, 44, 32, 180, 1341, 317, 0, 0, 906, 162, 119, 32, 47, 24, 269, 1660, 326, 126, 219, 107, 217.0, 219.0, 284.0, 0, 60, 215, 161, 30, 24, 111, 0, 114, 67, 25, 9, 0.0, 91, 8, 2, 0, 0, 175, 175, 66.56, 67.18, 87.12, 38.6953125, 81.390625, 81.390625, 0, 27.8984375, 66.0, 0.0, 53.0, 31.19921875, 11.599609375, 4.2, 0.0, 74.890625, 42.296875, 14.0, 3.69970703125, 11.19921875, 0.89990234375, 975.0, 170.0, 79.0, 43.0, 443.0, "Tous les candidats", 1341.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4882", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4882&g_ta_cod=4882", 71.0, 17.0, 13.0),
(6483, "Privé sous contrat d'association", "0542408Z", "Lycée Charles De Foucauld", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Charles De Foucauld - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 469, 286, 439, 0, 56, 11, 125, 37, 114, 45, 144, 30, 0, 0, 14, 16, 294, 10, 0, 0, 55, 10, 118, 34, 51, 21, 70, 138, 23, 10, 17, 6, 5.0, 13.0, 20.0, 0, 3, 14, 3, 3, 8, 9, 0, 9, 3, 2, 0, 0.0, 0, 2, 3, 0, 0, 12, 12, 21.74, 56.52, 86.96, 43.5, 85.6875, 85.6875, 0, 21.3984375, 60.8984375, 0.0, 64.296875, 21.3984375, 14.298828125, 0.0, 0.0, 21.3984375, 0.0, 21.3984375, 14.298828125, 57.09375, 21.3984375, 42.0, 9.0, 36.0, 12.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 48.0, "6390", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6390&g_ta_cod=6390", 30.0, 17.0, 48.0),
(6484, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais", "Licence - Arts-lettres-langues", "Portugais", 24, 98, 57, 60, 0, 34, 7, 8, 1, 4, 1, 14, 38, 8, 7, 2, 21, 60, 34, 0, 0, 34, 7, 8, 1, 4, 1, 14, 89, 24, 12, 12, 12, 7.0, 12.0, 18.0, 0, 3, 14, 10, 1, 3, 10, 0, 5, 7, 1, 1, 0.0, 5, 1, 3, 0, 0, 4, 13, 29.17, 50.0, 75.0, 50.0, 28.59765625, 92.890625, 0, 21.3984375, 58.296875, 0.0, 35.6953125, 50.0, 7.099609375, 7.1, 0.0, 71.390625, 35.6953125, 7.099609375, 7.099609375, 21.3984375, 21.3984375, 40.0, 9.0, 5.0, 1.0, 30.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24062", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24062&g_ta_cod=24062", 75.0, 13.0, 13.0),
(6485, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Portugais", "Licence - Arts-lettres-langues", "Anglais - Mineure Portugais", 8, 59, 47, 59, 0, 41, 5, 6, 0, 3, 0, 9, 0, 0, 0, 0, 0, 58, 0, 0, 0, 41, 5, 6, 0, 3, 0, 8, 25, 9, 5, 9, 0, 3.0, 9.0, 9.0, 0, 1, 8, 6, 1, 1, 1, 0, 2, 1, 4, 1, 0.0, 5, 0, 1, 0, 0, 0, 6, 33.33, 100.0, 100.0, 55.59375, 0.0, 75.0, 0, 12.5, 88.890625, 0.0, 25.0, 12.5, 50.0, 12.5, 0.0, 75.0, 62.5, 12.5, 0.0, 12.5, 12.5, 21.0, 3.0, 2.0, 0.0, 1.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "24018", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24018&g_ta_cod=24018", 67.0, 11.0, 11.0),
(6486, "Public", "0050004C", "Lycée Honoré Romane", "05", "Hautes-Alpes", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Embrun", "formation sélective", "BTS", "Lycée Honoré Romane - BTS - Services - Tourisme", "BTS - Services", "", 30, 221, 146, 165, 0, 38, 9, 27, 8, 22, 5, 78, 56, 11, 7, 6, 32, 84, 29, 0, 0, 32, 6, 21, 7, 12, 3, 19, 108, 19, 13, 7, 12, 2.0, 7.0, 17.0, 0, 3, 13, 6, 4, 3, 6, 0, 7, 3, 3, 0, 0.0, 3, 1, 2, 1, 1, 7, 7, 10.53, 36.84, 89.47, 68.390625, 53.796875, 53.796875, 7.69921875, 23.09765625, 68.390625, 0.0, 53.796875, 23.09765625, 23.09765625, 0.0, 0.0, 46.1953125, 23.09765625, 30.796875, 7.69921875, 23.09765625, 15.3984375, 33.0, 8.0, 15.0, 5.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 51.0, "2171", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2171&g_ta_cod=2171", 53.0, 26.0, 21.0),
(6487, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Informatique - Parcours International", "Licence - Sciences - technologies - santé", "International", 12, 331, 49, 331, 0, 227, 43, 13, 4, 1, 1, 90, 0, 0, 0, 0, 0, 100, 0, 0, 0, 76, 11, 0, 0, 0, 0, 24, 44, 14, 5, 14, 0, 3.0, 12.0, 13.0, 0, 1, 9, 9, 0, 0, 5, 0, 0, 1, 4, 4, 0.0, 9, 0, 0, 0, 0, 5, 5, 21.43, 85.71, 92.86, 35.6953125, 55.59375, 55.59375, 0, 11.099609375, 64.296875, 0.0, 0.0, 11.099609375, 44.3984375, 44.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 33.0, 6.0, 0.0, 0.0, 11.0, "Tous les candidats", 66.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "26338", "Licence - Informatique - Parcours International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26338&g_ta_cod=26338", 100.0, 0.0, 0.0),
(6488, "Public", "0670080Y", "Lycée Kléber", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée Kléber - CPGE - MP2I", "Classe préparatoire scientifique", "", 48, 1207, 235, 1207, 905, 978, 117, 3, 2, 1, 0, 225, 0, 0, 0, 0, 0, 583, 0, 83, 582, 583, 65, 0, 0, 0, 0, 0, 169, 46, 1, 46, 0, 6.0, 38.0, 40.0, 9, 4, 46, 46, 0, 0, 0, 0, 0, 1, 16, 27, 2.0, 46, 0, 0, 3, 1, 25, 25, 13.04, 82.61, 86.96, 2.19970703125, 54.296875, 54.296875, 6.5, 8.69921875, 100.0, 0.0, 0.0, 2.19970703125, 34.796875, 58.7, 4.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 169.0, 14.0, 0.0, 0.0, 0.0, "Tous les candidats", 224.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "31686", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31686&g_ta_cod=31686", 100.0, 0.0, 0.0),
(6489, "Privé sous contrat d'association", "0580071M", "Centre scolaire Notre-Dame", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "Autre formation", "Centre scolaire Notre-Dame - Mention complémentaire - FCIL Mécanicien en compétition automobile - Option monoplace", "Mention complémentaire", "", 12, 59, 4, 55, 0, 2, 0, 5, 2, 38, 5, 10, 4, 0, 0, 1, 3, 37, 2, 0, 0, 1, 0, 0, 0, 29, 2, 7, 35, 3, 1, 3, 0, 1.0, 3.0, 3.0, 0, 0, 2, 0, 0, 2, 1, 0, 0, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 0, 0, 33.33, 100.0, 100.0, 33.296875, 0.0, 0.0, 0, 0.0, 66.6875, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 1.0, 0.0, 28.0, 2.0, 6.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "16205", "Mention complémentaire - FCIL Mécanicien en compétition automobile - Option monoplace", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16205&g_ta_cod=16205", 0.0, 0.0, 100.0),
(6490, "Public", "0520867K", "IFSI Saint Dizier", "52", "Haute-Marne", "Grand Est", "Reims", "Saint-Dizier", "formation sélective", "IFSI", "Regroupement d'IFSI Université Reims - D.E Infirmier", "D.E secteur sanitaire", "", 58, 2033, 1727, 2033, 0, 331, 75, 485, 148, 202, 86, 1015, 0, 0, 0, 0, 0, 1625, 0, 0, 0, 272, 51, 405, 106, 149, 61, 799, 640, 55, 48, 55, 0, 1.0, 23.0, 46.0, 0, 13, 38, 11, 16, 11, 17, 0, 6, 26, 5, 1, 0.0, 9, 12, 11, 0, 0, 25, 25, 1.82, 41.82, 83.64, 87.296875, 65.796875, 65.796875, 0, 34.1953125, 69.09375, 0.0, 15.798828125, 68.390625, 13.19921875, 2.6, 0.0, 28.8984375, 23.69921875, 42.09375, 31.59765625, 28.8984375, 28.8984375, 94.0, 23.0, 67.0, 21.0, 299.0, "Tous les candidats", 1711.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "23222", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22986&g_ta_cod=23222", 42.0, 33.0, 25.0),
(6491, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence_Las", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Mathématiques - Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", "Licence - Sciences - technologies - santé", "Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", 12, 242, 132, 236, 0, 167, 41, 3, 2, 0, 0, 66, 6, 1, 0, 0, 5, 230, 4, 0, 0, 167, 41, 3, 2, 0, 0, 60, 117, 11, 6, 9, 2, 0.0, 4.0, 9.0, 0, 2, 4, 3, 1, 0, 7, 0, 2, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 0.0, 36.36, 81.82, 54.5, 50.0, 50.0, 0, 50.0, 36.3984375, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 75.0, 50.0, 25.0, 0.0, 0.0, 0.0, 81.0, 17.0, 0.0, 0.0, 35.0, "Tous les candidats", 630.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 88.0, "32251", "Licence - Portail Mathématiques - Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32250&g_ta_cod=32251", 82.0, 18.0, 0.0),
(6492, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Portail Droit - Droit - Grenoble", "Licence - Droit-économie-gestion", "Droit - Grenoble", 573, 3847, 2791, 3809, 0, 2802, 516, 315, 104, 66, 34, 626, 38, 6, 5, 2, 25, 3798, 31, 0, 0, 2802, 516, 315, 104, 66, 34, 615, 2420, 568, 398, 546, 21, 148.0, 401.0, 503.0, 0, 115, 481, 395, 65, 21, 87, 13, 99, 202, 134, 32, 1.0, 325, 32, 12, 0, 0, 451, 451, 26.06, 70.6, 88.56, 70.09375, 93.796875, 93.796875, 0, 23.8984375, 84.6875, 2.69970703125, 20.59765625, 42.0, 27.8984375, 6.7, 0.2, 82.09375, 67.59375, 13.5, 6.69921875, 4.3994140625, 2.5, 1738.0, 335.0, 58.0, 31.0, 376.0, "Tous les candidats", 3351.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 86.0, "31043", "Licence - Portail Droit - Droit - Grenoble", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31044&g_ta_cod=31043", 82.0, 13.0, 5.0),
(6493, "Public", "0290012F", "Lycée Vauban", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Vauban - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 26, 229, 13, 218, 0, 19, 3, 100, 12, 60, 12, 39, 11, 0, 1, 7, 3, 183, 5, 0, 0, 19, 3, 99, 11, 49, 9, 16, 105, 20, 2, 18, 2, 5.0, 14.0, 17.0, 0, 3, 18, 3, 8, 7, 2, 0, 6, 7, 3, 2, 0.0, 1, 4, 7, 11, 1, 17, 17, 25.0, 70.0, 85.0, 10.0, 94.390625, 94.390625, 61.09375, 16.69921875, 90.0, 0.0, 33.296875, 38.8984375, 16.69921875, 11.1, 0.0, 16.69921875, 5.599609375, 44.3984375, 22.19921875, 38.8984375, 38.8984375, 12.0, 3.0, 39.0, 7.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 101, "Liste d'appel propre à cette formation", 77.0, "3766", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3766&g_ta_cod=3766", 15.0, 50.0, 35.0),
(6494, "Public", "0251994G", "Lycée polyvalent Germaine Tillion", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "BTS", "Lycée polyvalent Germaine Tillion - BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "BTS - Services", "", 12, 344, 51, 344, 0, 71, 11, 68, 20, 38, 10, 167, 0, 0, 0, 0, 0, 157, 0, 0, 0, 37, 5, 50, 13, 12, 2, 58, 48, 12, 1, 12, 0, 1.0, 12.0, 12.0, 0, 1, 7, 3, 3, 1, 5, 0, 0, 4, 3, 0, 0.0, 3, 3, 1, 1, 1, 4, 4, 8.33, 100.0, 100.0, 8.298828125, 57.09375, 57.09375, 14.298828125, 14.298828125, 58.296875, 0.0, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 42.8984375, 42.8984375, 42.8984375, 42.8984375, 14.298828125, 14.298828125, 21.0, 5.0, 2.0, 1.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 2, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 19.0, "3492", "BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3492&g_ta_cod=3492", 50.0, 42.0, 8.0),
(6495, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "PASS", "Université de Franche-Comté - Site de Besançon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 92, 3402, 2225, 3402, 0, 2897, 398, 43, 11, 2, 2, 460, 0, 0, 0, 0, 0, 3403, 0, 0, 0, 2898, 399, 43, 11, 2, 2, 460, 571, 92, 57, 92, 0, 10.0, 65.0, 88.0, 0, 10, 92, 91, 1, 0, 0, 0, 0, 17, 32, 39, 4.0, 91, 1, 0, 0, 0, 81, 81, 10.87, 70.65, 95.65, 62.0, 88.0, 88.0, 0, 10.8984375, 100.0, 0.0, 0.0, 18.5, 34.796875, 42.4, 4.3, 98.890625, 98.890625, 1.099853515625, 1.099853515625, 0.0, 0.0, 569.0, 79.0, 0.0, 0.0, 0.0, "Tous les candidats", 3378.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 58.0, "27354", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27350&g_ta_cod=27354", 99.0, 1.0, 0.0),
(6496, "Public", "0600014P", "Lycée Pierre d'Ailly", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "CPGE", "Lycée Pierre d'Ailly - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 812, 222, 781, 573, 547, 74, 1, 0, 0, 0, 233, 31, 18, 1, 0, 12, 390, 7, 297, 374, 354, 42, 0, 0, 0, 0, 36, 276, 25, 4, 24, 1, 3.0, 17.0, 25.0, 12, 1, 22, 22, 0, 0, 3, 0, 0, 3, 10, 8, 1.0, 22, 0, 0, 2, 1, 15, 15, 12.0, 68.0, 100.0, 16.0, 68.1875, 68.1875, 9.099609375, 4.5, 88.0, 0.0, 0.0, 13.599609375, 45.5, 36.4, 4.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 248.0, 23.0, 0.0, 0.0, 28.0, "Tous les candidats", 385.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "7220", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7220&g_ta_cod=7220", 100.0, 0.0, 0.0),
(6497, "Privé sous contrat d'association", "0593109J", "Lycée Notre-Dame De La Paix", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Notre-Dame De La Paix - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 500, 333, 470, 330, 362, 38, 0, 0, 0, 0, 108, 30, 22, 0, 0, 8, 382, 22, 283, 368, 343, 34, 0, 0, 0, 0, 39, 381, 39, 27, 35, 4, 9.0, 35.0, 39.0, 25, 2, 34, 34, 0, 0, 5, 0, 0, 11, 17, 5, 1.0, 34, 0, 0, 0, 0, 7, 7, 23.08, 89.74, 100.0, 69.1875, 20.59765625, 20.59765625, 0, 5.8994140625, 87.1875, 0.0, 0.0, 32.3984375, 50.0, 14.7, 2.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 339.0, 30.0, 0.0, 0.0, 42.0, "Tous les candidats", 380.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "6985", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6985&g_ta_cod=6985", 100.0, 0.0, 0.0),
(6498, "Public", "0912411B", "Ecole Universitaire de premier cycle - Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Gif-sur-Yvette", "formation sélective", "Autre formation", "Ecole Universitaire de premier cycle - Université Paris-Saclay - Diplôme d'Université - PAREO - DU Rebondir, Réagir, Réussir", "Diplôme d'Université", "DU Rebondir, Réagir, Réussir", 20, 150, 82, 50, 0, 18, 6, 10, 2, 3, 0, 19, 100, 24, 14, 8, 54, 14, 27, 0, 0, 6, 1, 2, 1, 0, 0, 6, 45, 21, 10, 4, 15, 4.0, 4.0, 8.0, 0, 4, 18, 12, 6, 0, 3, 0, 14, 3, 1, 0, 0.0, 3, 1, 0, 0, 0, 13, 15, 19.05, 19.05, 38.1, 47.59375, 72.1875, 83.296875, 0, 22.19921875, 85.6875, 0.0, 77.796875, 16.69921875, 5.599609375, 0.0, 0.0, 66.6875, 16.69921875, 33.296875, 5.599609375, 0.0, 0.0, 21.0, 2.0, 2.0, 2.0, 11.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "30840", "Diplôme d'Université - PAREO - DU Rebondir, Réagir, Réussir", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30840&g_ta_cod=30840", 67.0, 33.0, 0.0),
(6499, "Privé sous contrat d'association", "0690642Y", "Lycée ORT", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Lycée ORT - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 20, 466, 33, 464, 0, 79, 10, 162, 41, 112, 31, 111, 2, 0, 0, 1, 1, 304, 0, 0, 0, 79, 10, 111, 25, 40, 5, 74, 93, 22, 1, 22, 0, 6.0, 15.0, 20.0, 0, 3, 20, 4, 10, 6, 2, 0, 12, 5, 3, 0, 0.0, 0, 3, 5, 2, 0, 16, 16, 27.27, 68.18, 90.91, 4.5, 80.0, 80.0, 10, 15.0, 90.890625, 0.0, 60.0, 25.0, 15.0, 0.0, 0.0, 20.0, 0.0, 50.0, 15.0, 30.0, 25.0, 11.0, 2.0, 23.0, 3.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 87, "Liste d'appel propre à cette formation", 33.0, "8323", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8323&g_ta_cod=8323", 23.0, 50.0, 27.0),
(6500, "Public", "0750704H", "Lycée Carnot", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "CPGE", "Lycée Carnot - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 48, 4175, 2205, 4175, 632, 3719, 436, 2, 1, 2, 1, 452, 0, 0, 0, 0, 0, 2485, 0, 439, 2252, 2422, 280, 0, 0, 0, 0, 63, 657, 47, 39, 47, 0, 5.0, 23.0, 39.0, 4, 9, 46, 46, 0, 0, 1, 0, 0, 3, 27, 16, 0.0, 46, 0, 0, 2, 2, 18, 41, 10.64, 48.94, 82.98, 83.0, 39.09375, 89.09375, 4.2998046875, 19.59765625, 97.890625, 0.0, 0.0, 6.5, 58.6953125, 34.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 645.0, 68.0, 0.0, 0.0, 12.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "31610", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31370&g_ta_cod=31610", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(6501, "Public", "0134248X", "Aix-Marseille Université - Site de Marseille Timone", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation non sélective", "PASS", "Aix-Marseille Université - Site de Marseille Timone - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "SV et STAPS", 620, 5644, 3504, 5644, 0, 4295, 826, 223, 88, 45, 23, 1081, 0, 0, 0, 0, 0, 5644, 0, 0, 0, 4295, 826, 223, 88, 45, 23, 1081, 1319, 619, 435, 619, 0, 318.0, 581.0, 610.0, 0, 141, 614, 608, 6, 0, 5, 0, 2, 58, 285, 234, 35.0, 606, 6, 0, 0, 0, 572, 572, 51.37, 93.86, 98.55, 70.296875, 93.1875, 93.1875, 0, 23.0, 99.1875, 0.0, 0.29998779296875, 9.3984375, 46.3984375, 38.1, 5.7, 99.0, 98.6875, 1.0, 1.0, 0.0, 0.0, 1253.0, 255.0, 1.0, 1.0, 55.0, "Tous les candidats", 2148.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "29268", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27970&g_ta_cod=29268", 99.0, 1.0, 0.0),
(6502, "Public", "9710002A", "LGT Gerville Reache", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "BTS", "LGT Gerville Reache - BTS - Services - Communication", "BTS - Services", "", 17, 372, 234, 343, 0, 102, 48, 74, 40, 53, 37, 114, 29, 0, 20, 0, 9, 159, 4, 0, 0, 65, 29, 45, 24, 22, 13, 27, 59, 17, 12, 13, 4, 4.0, 13.0, 15.0, 0, 8, 16, 4, 9, 3, 1, 0, 5, 4, 5, 2, 0.0, 4, 4, 3, 2, 2, 15, 15, 23.53, 76.47, 88.24, 70.59375, 93.796875, 93.796875, 12.5, 50.0, 94.09375, 0.0, 31.296875, 25.0, 31.296875, 12.5, 0.0, 25.0, 25.0, 56.296875, 25.0, 18.796875, 18.796875, 13.0, 6.0, 8.0, 5.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 29.0, "11732", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11732&g_ta_cod=11732", 24.0, 53.0, 24.0),
(6503, "Public", "0781944P", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "PASS", "Université de Versailles - Saint Quentin en Yvelines - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Mathématiques Physique Chimie (MPC)", 25, 4898, 3104, 4898, 0, 3889, 630, 61, 22, 13, 10, 935, 0, 0, 0, 0, 0, 4789, 0, 0, 0, 3889, 630, 61, 22, 13, 10, 826, 360, 25, 15, 25, 0, 0.0, 8.0, 17.0, 0, 3, 23, 23, 0, 0, 2, 1, 1, 2, 4, 15, 0.0, 21, 0, 0, 0, 0, 19, 20, 0.0, 32.0, 68.0, 60.0, 82.59375, 87.0, 0, 13.0, 92.0, 4.2998046875, 4.2998046875, 8.69921875, 17.3984375, 65.2, 0.0, 100.0, 91.296875, 0.0, 0.0, 0.0, 0.0, 316.0, 45.0, 0.0, 0.0, 43.0, "Tous les candidats", 1882.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "32680", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29162&g_ta_cod=32680", 100.0, 0.0, 0.0),
(6504, "Public", "0671557D", "I.U.T. d'Illkirch", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "BUT", "I.U.T. d'Illkirch - BUT - Information communication Parcours communication des organisations", "BUT - Service", "", 30, 912, 697, 912, 0, 540, 73, 144, 24, 3, 2, 225, 0, 0, 0, 0, 0, 682, 0, 0, 0, 403, 45, 132, 20, 1, 1, 146, 104, 29, 25, 29, 0, 7.0, 25.0, 26.0, 0, 3, 25, 17, 8, 0, 4, 1, 0, 5, 15, 4, 0.0, 16, 8, 0, 0, 0, 19, 19, 24.14, 86.21, 89.66, 86.1875, 76.0, 76.0, 0, 12.0, 86.1875, 4.0, 0.0, 20.0, 60.0, 16.0, 0.0, 68.0, 64.0, 32.0, 32.0, 0.0, 0.0, 70.0, 8.0, 0.0, 0.0, 12.0, "Tous les candidats sauf les Bac technologiques", 127.0, "Bacheliers technologiques toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 17.0, "7972", "BUT - Information communication Parcours communication des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7972&g_ta_cod=7972", 69.0, 31.0, 0.0),
(6505, "Public", "0750699C", "Lycée Janson De Sailly", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Lycée Janson De Sailly - CPGE - BCPST", "Classe préparatoire scientifique", "", 96, 3615, 2569, 3615, 1846, 2918, 292, 3, 1, 3, 2, 691, 0, 0, 0, 0, 0, 1928, 0, 236, 1808, 1755, 187, 0, 0, 0, 0, 173, 669, 98, 85, 98, 0, 37.0, 70.0, 86.0, 5, 7, 96, 96, 0, 0, 2, 0, 0, 0, 26, 62, 8.0, 96, 0, 0, 1, 1, 24, 58, 37.76, 71.43, 87.76, 86.6875, 25.0, 60.3984375, 1, 7.2998046875, 98.0, 0.0, 0.0, 0.0, 27.09765625, 64.6, 8.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 644.0, 62.0, 0.0, 0.0, 25.0, "Tous les candidats", 904.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "9132", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9132&g_ta_cod=9132", 100.0, 0.0, 0.0),
(6506, "Public", "0382920T", "Lycée Marie Curie", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Echirolles", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 52, 1289, 632, 1289, 0, 86, 25, 527, 193, 331, 126, 345, 0, 0, 0, 0, 0, 785, 0, 0, 0, 61, 14, 391, 128, 217, 70, 116, 246, 52, 29, 52, 0, 7.0, 30.0, 38.0, 0, 18, 38, 2, 19, 17, 14, 0, 12, 20, 6, 0, 0.0, 1, 12, 13, 7, 5, 36, 36, 13.46, 57.69, 73.08, 55.796875, 94.6875, 94.6875, 18.3984375, 47.3984375, 73.09375, 0.0, 31.59765625, 52.59375, 15.798828125, 0.0, 0.0, 5.2998046875, 2.599609375, 50.0, 31.59765625, 44.6953125, 34.1953125, 11.0, 5.0, 105.0, 34.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 154, "Bacheliers technologiques toutes séries", 132, "Liste d'appel propre à cette formation", 24.0, "5129", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5129&g_ta_cod=5129", 8.0, 48.0, 44.0),
(6507, "Public", "0171238D", "Lycée professionnel ROMPSAY", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Autre formation", "Lycée professionnel ROMPSAY - Mention complémentaire - Mécatronique navale", "Mention complémentaire", "", 12, 52, 1, 44, 0, 1, 0, 0, 0, 31, 7, 12, 8, 0, 0, 4, 4, 29, 0, 0, 0, 0, 0, 0, 0, 28, 5, 1, 27, 5, 0, 5, 0, 1.0, 5.0, 5.0, 0, 1, 5, 0, 0, 5, 0, 0, 3, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 3, 3, 20.0, 100.0, 100.0, 0.0, 60.0, 60.0, 0, 20.0, 100.0, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 40.0, 0.0, 0.0, 27.0, 5.0, 0.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "19475", "Mention complémentaire - Mécatronique navale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19475&g_ta_cod=19475", 0.0, 0.0, 100.0),
(6508, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie de l?Est - Coréen", "Licence - Arts-lettres-langues", "Asie de l?Est - Coréen", 200, 2050, 1897, 2050, 0, 1018, 317, 122, 47, 74, 45, 836, 0, 0, 0, 0, 0, 854, 0, 0, 0, 639, 170, 7, 3, 3, 1, 205, 543, 199, 193, 199, 0, 96.0, 174.0, 191.0, 0, 40, 148, 148, 0, 0, 51, 1, 9, 46, 63, 26, 3.0, 138, 0, 0, 0, 0, 4, 71, 48.24, 87.44, 95.98, 97.0, 2.69970703125, 48.0, 0, 27.0, 74.390625, 0.699951171875, 6.099609375, 31.09765625, 42.59375, 17.6, 2.0, 100.0, 93.1875, 0.0, 0.0, 0.0, 0.0, 400.0, 112.0, 0.0, 0.0, 143.0, "Tous les candidats", 659.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "9434", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie de l?Est - Coréen", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9434&g_ta_cod=9434", 100.0, 0.0, 0.0),
(6509, "Public", "0624141P", "Lycée Léonard de Vinci", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "BTS", "Lycée Léonard de Vinci - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 199, 10, 199, 0, 4, 1, 57, 20, 93, 36, 45, 0, 0, 0, 0, 0, 199, 0, 0, 0, 4, 1, 57, 20, 93, 36, 45, 81, 27, 2, 27, 0, 7.0, 22.0, 24.0, 0, 11, 22, 0, 4, 18, 5, 0, 5, 7, 10, 0, 0.0, 0, 4, 13, 8, 1, 22, 22, 25.93, 81.48, 88.89, 7.3994140625, 100.0, 100.0, 36.3984375, 50.0, 81.5, 0.0, 22.69921875, 31.796875, 45.5, 0.0, 0.0, 0.0, 0.0, 18.19921875, 18.19921875, 81.796875, 59.09375, 4.0, 1.0, 60.0, 24.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 51.0, "7538", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7538&g_ta_cod=7538", 0.0, 33.0, 67.0),
(6510, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence_Las", "Université de Paris - Licence - Portail Mathématiques - Mathématiques fondamentales et appliquées  - Campus Grands-Moulins", "Licence - Sciences - technologies - santé", "", 20, 1580, 797, 1580, 0, 1092, 216, 14, 6, 3, 2, 471, 0, 0, 0, 0, 0, 1579, 0, 0, 0, 1092, 216, 14, 6, 3, 2, 470, 308, 19, 11, 19, 0, 0.0, 3.0, 15.0, 0, 3, 16, 16, 0, 0, 3, 0, 1, 3, 9, 3, 0.0, 15, 0, 0, 0, 0, 1, 12, 0.0, 15.79, 78.95, 57.8984375, 6.2998046875, 75.0, 0, 18.796875, 84.1875, 0.0, 6.2998046875, 18.796875, 56.296875, 18.8, 0.0, 100.0, 93.796875, 0.0, 0.0, 0.0, 0.0, 261.0, 45.0, 0.0, 0.0, 47.0, "Tous les candidats", 2099.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "32676", "Licence - Portail Mathématiques - Mathématiques fondamentales et appliquées  - Campus Grands-Moulins", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32202&g_ta_cod=32676", 100.0, 0.0, 0.0),
(6511, "Public", "0790964U", "Lycée professionnel Thomas-Jean Main", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "Autre formation", "Lycée professionnel Thomas-Jean Main - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 4, 2, 0, 0, 0.0, 0.0, 1.0, 0, 1, 3, 0, 3, 0, 1, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 0.0, 0.0, 25.0, 50.0, 100.0, 100.0, 0, 33.296875, 75.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 1.0, 0.0, 5.0, 1.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22578", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 75.0, 25.0),
(6512, "Public", "0810012Y", "Lycée Jean Jaures", "81", "Tarn", "Occitanie", "Toulouse", "Carmaux", "formation sélective", "BTS", "Lycée Jean Jaures - BTS - Production - Maintenance des matériels de construction et de manutention", "BTS - Production", "", 12, 66, 1, 66, 0, 0, 0, 12, 1, 39, 8, 15, 0, 0, 0, 0, 0, 44, 0, 0, 0, 0, 0, 8, 1, 35, 5, 1, 39, 9, 0, 9, 0, 5.0, 9.0, 9.0, 0, 1, 9, 0, 1, 8, 0, 0, 2, 3, 3, 1, 0.0, 0, 0, 7, 2, 0, 9, 9, 55.56, 100.0, 100.0, 0.0, 100.0, 100.0, 22.19921875, 11.099609375, 100.0, 0.0, 22.19921875, 33.296875, 33.296875, 11.1, 0.0, 0.0, 0.0, 11.099609375, 0.0, 88.890625, 77.796875, 0.0, 0.0, 30.0, 5.0, 1.0, "Tous les candidats sauf les Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 67.0, "10269", "BTS - Production - Maintenance des matériels de construction et de manutention", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10269&g_ta_cod=10269", 0.0, 11.0, 89.0),
(6513, "Privé sous contrat d'association", "0490073N", "ESA Angers (Angers-49)", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "ESA Angers (Angers-49) - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 45, 414, 97, 413, 0, 85, 10, 151, 28, 111, 26, 66, 1, 0, 0, 0, 1, 327, 0, 0, 0, 81, 10, 140, 27, 89, 23, 17, 174, 44, 8, 43, 0, 13.0, 40.0, 40.0, 0, 2, 41, 14, 20, 7, 3, 0, 9, 24, 7, 1, 0.0, 9, 16, 7, 0, 0, 16, 16, 29.55, 90.91, 90.91, 18.19921875, 39.0, 39.0, 0, 4.8994140625, 93.1875, 0.0, 22.0, 58.5, 17.09765625, 2.4, 0.0, 34.09375, 22.0, 48.796875, 39.0, 17.09765625, 17.09765625, 46.0, 3.0, 51.0, 17.0, 11.0, "Tous les candidats sauf les Bac professionnels", 219.0, "Bacheliers professionnels toutes séries", 90, "", 0, "Liste d'appel propre à cette formation", 75.0, "5848", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5848&g_ta_cod=5848", 39.0, 45.0, 16.0),
(6514, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence_Las", "Université des Antilles - Pôle Martinique - Licence - Portail Sciences de la vie - Biologie de la santé / Sciences de la terre et de l'Univers - Martinique", "Licence - Sciences - technologies - santé", "Biologie de la santé / Sciences de la terre et de l'Univers - Martinique", 50, 520, 402, 520, 0, 317, 106, 80, 34, 4, 4, 119, 0, 0, 0, 0, 0, 520, 0, 0, 0, 317, 106, 80, 34, 4, 4, 119, 186, 45, 36, 45, 0, 10.0, 45.0, 45.0, 0, 15, 42, 17, 25, 0, 3, 0, 11, 17, 12, 2, 0.0, 17, 14, 0, 0, 0, 40, 40, 22.22, 100.0, 100.0, 80.0, 95.1875, 95.1875, 0, 35.6953125, 93.296875, 0.0, 26.19921875, 40.5, 28.59765625, 4.8, 0.0, 40.5, 40.5, 59.5, 33.296875, 0.0, 0.0, 107.0, 26.0, 2.0, 2.0, 24.0, "Tous les candidats", 333.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 53.0, "28288", "Licence - Portail Sciences de la vie - Biologie de la santé / Sciences de la terre et de l'Univers - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28287&g_ta_cod=28288", 44.0, 56.0, 0.0),
(6515, "Public", "9730308X", "Lycée professionnel Elie Castor", "973", "Guyane", "Guyane", "Guyane", "Kourou", "formation sélective", "Autre formation", "Lycée professionnel Elie Castor - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 12, 80, 29, 57, 0, 7, 3, 4, 2, 34, 27, 12, 23, 2, 1, 11, 9, 15, 2, 0, 0, 5, 2, 0, 0, 9, 8, 1, 29, 6, 4, 2, 1, 0.0, 1.0, 1.0, 0, 3, 5, 1, 1, 3, 1, 0, 4, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 5, 5, 0.0, 16.67, 16.67, 66.6875, 100.0, 100.0, 0, 60.0, 83.296875, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 20.0, 0.0, 20.0, 0.0, 60.0, 20.0, 3.0, 2.0, 19.0, 11.0, 5.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "25234", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25234&g_ta_cod=25234", 17.0, 17.0, 67.0),
(6516, "Public", "0210003P", "Lycée Prieur de La Côte d'Or", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Auxonne", "formation sélective", "BTS", "Lycée Prieur de La Côte d'Or - BTS - Services - Communication", "BTS - Services", "", 24, 712, 409, 633, 0, 92, 17, 123, 27, 38, 17, 380, 79, 30, 1, 0, 48, 195, 2, 0, 0, 73, 13, 73, 12, 25, 9, 24, 128, 24, 16, 20, 2, 5.0, 19.0, 21.0, 0, 5, 19, 5, 9, 5, 5, 0, 6, 7, 3, 3, 0.0, 3, 5, 5, 3, 0, 11, 11, 20.83, 79.17, 87.5, 66.6875, 57.8984375, 57.8984375, 15.798828125, 26.296875, 79.1875, 0.0, 31.59765625, 36.796875, 15.798828125, 15.8, 0.0, 26.296875, 15.798828125, 47.3984375, 26.296875, 26.296875, 26.296875, 54.0, 8.0, 13.0, 5.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 89.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 27.0, "3173", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3173&g_ta_cod=3173", 38.0, 42.0, 21.0),
(6517, "Public", "0881400U", "IFSI Epinal", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nancy - D.E Infirmier", "D.E secteur sanitaire", "", 56, 3488, 2836, 3488, 0, 629, 129, 655, 189, 340, 125, 1864, 0, 0, 0, 0, 0, 3019, 0, 0, 0, 579, 112, 586, 159, 291, 98, 1563, 681, 56, 52, 56, 0, 0.0, 19.0, 43.0, 0, 8, 33, 10, 13, 10, 23, 0, 6, 22, 4, 1, 0.0, 7, 10, 10, 0, 0, 30, 30, 0.0, 33.93, 76.79, 92.890625, 90.890625, 90.890625, 0, 24.19921875, 58.8984375, 0.0, 18.19921875, 66.6875, 12.099609375, 3.0, 0.0, 30.296875, 21.19921875, 39.3984375, 30.296875, 30.296875, 30.296875, 88.0, 13.0, 108.0, 39.0, 339.0, "Tous les candidats", 2515.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "29199", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22997&g_ta_cod=29199", 36.0, 34.0, 30.0),
(6518, "Public", "9720725F", "Lycée Joseph Zobel", "972", "Martinique", "Martinique", "Martinique", "Rivière-Salée", "formation sélective", "BTS", "Lycée Joseph Zobel - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 22, 131, 8, 131, 0, 7, 1, 19, 11, 80, 43, 25, 0, 0, 0, 0, 0, 131, 0, 0, 0, 7, 1, 19, 11, 80, 43, 25, 66, 18, 0, 18, 0, 1.0, 14.0, 17.0, 0, 8, 16, 0, 2, 14, 2, 0, 11, 4, 1, 0, 0.0, 0, 0, 5, 12, 0, 16, 16, 5.56, 77.78, 94.44, 0.0, 100.0, 100.0, 75, 50.0, 88.890625, 0.0, 68.796875, 25.0, 6.2998046875, 0.0, 0.0, 0.0, 0.0, 12.5, 0.0, 87.5, 31.296875, 3.0, 1.0, 40.0, 19.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 71.0, "11826", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11826&g_ta_cod=11826", 0.0, 11.0, 89.0),
(6519, "Privé enseignement supérieur", "0221844K", "Facultés libres de l'ouest - UCO - Bretagne Nord", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Guingamp", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Bretagne Nord - Licence - Langues étrangères appliquées - Parcours LEA Anglais- Allemand ou Anglais-Espagnol", "Licence - Arts-lettres-langues", "LEA Anglais- Allemand ou Anglais-Espagnol", 75, 165, 113, 147, 0, 101, 16, 29, 6, 5, 2, 12, 18, 2, 1, 1, 14, 147, 18, 0, 0, 101, 16, 29, 6, 5, 2, 12, 162, 20, 15, 19, 1, 17.0, 18.0, 19.0, 0, 4, 17, 14, 3, 0, 3, 0, 5, 8, 4, 0, 0.0, 10, 2, 0, 0, 0, 17, 17, 85.0, 90.0, 95.0, 75.0, 100.0, 100.0, 0, 23.5, 85.0, 0.0, 29.3984375, 47.09375, 23.5, 0.0, 0.0, 82.390625, 58.796875, 17.59765625, 11.798828125, 0.0, 0.0, 102.0, 16.0, 5.0, 2.0, 25.0, "Tous les candidats", 147.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3379", "Licence - Langues étrangères appliquées - Parcours LEA Anglais- Allemand ou Anglais-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3379&g_ta_cod=3379", 75.0, 20.0, 5.0),
(6520, "Public", "0720083Z", "I.U.T. Le Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BUT", "I.U.T. Le Mans - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", 168, 2731, 1332, 2731, 0, 1556, 204, 701, 184, 24, 15, 450, 0, 0, 0, 0, 0, 2150, 0, 0, 0, 1187, 116, 638, 168, 3, 1, 322, 945, 168, 92, 168, 0, 41.0, 122.0, 147.0, 0, 24, 143, 69, 74, 0, 25, 0, 27, 79, 30, 7, 0.0, 63, 53, 0, 0, 0, 101, 101, 24.4, 72.62, 87.5, 54.796875, 70.59375, 70.59375, 0, 16.796875, 85.09375, 0.0, 18.8984375, 55.1953125, 21.0, 4.9, 0.0, 48.296875, 44.09375, 51.6953125, 37.09375, 0.0, 0.0, 422.0, 75.0, 3.0, 1.0, 119.0, "Tous les candidats sauf les Bac technologiques", 728.0, "Bacheliers technologiques toutes séries", 592, "", 0, "Liste d'appel propre à cette formation", 48.0, "8711", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8711&g_ta_cod=8711", 50.0, 50.0, 0.0),
(6521, "Public", "0150746E", "I.U.T. de Clermont-Ferrand - Antenne d'Aurillac", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "BUT", "I.U.T. de Clermont-Ferrand - Antenne d'Aurillac - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités - Gestion et pilotage des ressources humaines", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités - Gestion et pilotage des ressources humaines", 80, 653, 308, 546, 0, 280, 39, 147, 33, 17, 10, 102, 107, 23, 8, 1, 75, 470, 66, 0, 0, 269, 37, 117, 24, 16, 9, 68, 399, 76, 32, 55, 21, 7.0, 49.0, 68.0, 0, 11, 50, 35, 15, 0, 26, 0, 31, 14, 5, 0, 0.0, 14, 5, 0, 0, 0, 34, 34, 9.21, 64.47, 89.47, 42.09375, 68.0, 68.0, 0, 22.0, 65.796875, 0.0, 62.0, 28.0, 10.0, 0.0, 0.0, 70.0, 28.0, 30.0, 10.0, 0.0, 0.0, 193.0, 27.0, 6.0, 5.0, 93.0, "Tous les candidats sauf les Bac technologiques", 343.0, "Bacheliers technologiques toutes séries", 126, "", 0, "Liste d'appel propre à cette formation", 86.0, "2967", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités - Gestion et pilotage des ressources humaines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2967&g_ta_cod=2967", 66.0, 32.0, 3.0),
(6522, "Public", "0180036S", "Lycée Henri Brisson", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Vierzon", "formation sélective", "BTS", "Lycée Henri Brisson - BTS - Production - Fonderie", "BTS - Production", "", 12, 85, 10, 81, 0, 6, 0, 12, 0, 7, 4, 56, 4, 1, 0, 2, 1, 32, 3, 0, 0, 6, 0, 12, 0, 7, 4, 7, 32, 6, 1, 5, 1, 2.0, 5.0, 5.0, 0, 3, 4, 1, 1, 2, 2, 0, 1, 1, 0, 2, 0.0, 1, 0, 2, 2, 0, 2, 2, 33.33, 83.33, 83.33, 16.69921875, 50.0, 50.0, 50, 75.0, 66.6875, 0.0, 25.0, 25.0, 0.0, 50.0, 0.0, 25.0, 25.0, 25.0, 0.0, 50.0, 50.0, 7.0, 1.0, 9.0, 5.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 40.0, "3108", "BTS - Production - Fonderie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3108&g_ta_cod=3108", 17.0, 50.0, 33.0),
(6523, "Public", "0100687T", "Lycée agricole Forestier de Crogny", "10", "Aube", "Grand Est", "Reims", "Les Loges-Margueron", "formation sélective", "BTS", "Lycée agricole Forestier de Crogny - BTS - Agricole - Gestion forestière", "BTS - Agricole", "", 32, 529, 112, 529, 0, 104, 14, 133, 20, 82, 12, 210, 0, 0, 0, 0, 0, 383, 0, 0, 0, 104, 14, 133, 20, 81, 12, 65, 124, 30, 3, 30, 0, 12.0, 25.0, 27.0, 0, 1, 25, 13, 7, 5, 5, 1, 7, 12, 4, 1, 0.0, 8, 4, 5, 3, 0, 10, 10, 40.0, 83.33, 90.0, 10.0, 40.0, 40.0, 12, 4.0, 83.296875, 4.0, 28.0, 48.0, 16.0, 4.0, 0.0, 52.0, 32.0, 28.0, 16.0, 20.0, 20.0, 43.0, 7.0, 17.0, 2.0, 17.0, "Tous les candidats sauf les Bac professionnels", 204.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 42.0, "2429", "BTS - Agricole - Gestion forestière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2429&g_ta_cod=2429", 50.0, 33.0, 17.0),
(6524, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Histoire / Géographie et aménagement - Double Licence : Histoire et Géographie-Aménagement", "Licence - Sciences humaines et sociales", "Double Licence : Histoire et Géographie-Aménagement", 30, 696, 314, 696, 0, 522, 85, 21, 9, 5, 3, 148, 0, 0, 0, 0, 0, 696, 0, 0, 0, 522, 85, 21, 9, 5, 3, 148, 153, 30, 13, 30, 0, 6.0, 27.0, 29.0, 0, 3, 26, 25, 1, 0, 4, 0, 0, 2, 10, 12, 2.0, 25, 1, 0, 0, 0, 9, 9, 20.0, 90.0, 96.67, 43.296875, 34.59375, 34.59375, 0, 11.5, 86.6875, 0.0, 0.0, 7.69921875, 38.5, 46.2, 7.7, 96.1875, 96.1875, 3.7998046875, 3.7998046875, 0.0, 0.0, 138.0, 17.0, 0.0, 0.0, 14.0, "Tous les candidats", 259.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "8537", "Double licence - Histoire / Géographie et aménagement - Double Licence : Histoire et Géographie-Aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8537&g_ta_cod=8537", 93.0, 7.0, 0.0),
(6525, "Privé sous contrat d'association", "0333481E", "YNCREA - BÈGLES", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 5, 208, 79, 208, 0, 0, 0, 0, 0, 0, 0, 208, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 171, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 171.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "31130", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=31130", 0, 0, 0),
(6526, "Public", "0360775X", "IUT de l'Indre (Issoudun)", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Issoudun", "formation sélective", "BUT", "IUT de l'Indre (Issoudun) - BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", "BUT - Service", "Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", 30, 190, 53, 167, 0, 77, 8, 38, 11, 23, 11, 29, 23, 3, 1, 1, 18, 135, 6, 0, 0, 72, 8, 34, 9, 12, 4, 17, 97, 16, 3, 11, 5, 7.0, 11.0, 15.0, 0, 3, 11, 5, 6, 0, 5, 0, 5, 5, 1, 0, 0.0, 2, 4, 0, 0, 0, 10, 10, 43.75, 68.75, 93.75, 18.796875, 90.890625, 90.890625, 0, 27.296875, 68.796875, 0.0, 45.5, 45.5, 9.099609375, 0.0, 0.0, 45.5, 18.19921875, 54.5, 36.3984375, 0.0, 0.0, 45.0, 7.0, 8.0, 3.0, 15.0, "Tous les candidats sauf les Bac technologiques", 97.0, "Bacheliers technologiques toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 80.0, "4816", "BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4816&g_ta_cod=4816", 44.0, 44.0, 13.0),
(6527, "Public", "0142131R", "Lycée Jules Dumont d'Urville", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Jules Dumont d'Urville - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 6, 99, 8, 83, 0, 3, 1, 37, 4, 32, 10, 11, 16, 0, 2, 5, 9, 61, 8, 0, 0, 3, 1, 33, 3, 19, 4, 6, 37, 4, 1, 0, 4, 0.0, 0.0, 3.0, 0, 0, 1, 0, 0, 1, 3, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 1, 0, 1, 1, 0.0, 0.0, 75.0, 25.0, 100.0, 100.0, 100, 0.0, 25.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 1.0, 1.0, 12.0, 3.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 69.0, "2925", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2925&g_ta_cod=2925", 25.0, 50.0, 25.0),
(6528, "Public", "7200117P", "I.U.T de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation sélective", "BUT", "I.U.T de Corte - BUT - Métiers du multimédia et de l'internet Parcours : Création Numérique - Développement Web et dispositifs intéractifs - Stratégie de Communication numérique et Design d'expérience (Seconde année possible en apprentissage)", "BUT - Production", "Création Numérique - Développement Web et dispositifs intéractifs - Stratégie de Communication numérique et Design d'expérience", 50, 341, 105, 310, 0, 137, 34, 77, 19, 18, 7, 78, 31, 0, 13, 0, 18, 172, 8, 0, 0, 90, 19, 46, 12, 11, 5, 25, 136, 50, 13, 43, 6, 10.0, 36.0, 45.0, 0, 13, 37, 18, 15, 4, 13, 1, 14, 17, 5, 0, 0.0, 13, 6, 3, 0, 0, 30, 30, 20.0, 72.0, 90.0, 26.0, 81.09375, 81.09375, 0, 35.09375, 74.0, 2.69970703125, 37.796875, 45.8984375, 13.5, 0.0, 0.0, 48.59375, 35.09375, 40.5, 16.19921875, 10.798828125, 8.099609375, 66.0, 16.0, 7.0, 3.0, 16.0, "Tous les candidats sauf les Bac technologiques", 114.0, "Bacheliers technologiques toutes séries", 49, "", 0, "Liste d'appel propre à cette formation", 52.0, "11698", "BUT - Métiers du multimédia et de l'internet Parcours : Création Numérique - Développement Web et dispositifs intéractifs - Stratégie de Communication numérique et Design d'expérience (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11698&g_ta_cod=11698", 48.0, 42.0, 10.0),
(6529, "Public", "0080045F", "Lycée Pierre Bayle", "08", "Ariège", "Grand Est", "Reims", "Sedan", "formation sélective", "BTS", "Lycée Pierre Bayle - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 36, 347, 162, 345, 0, 40, 12, 91, 42, 61, 26, 153, 2, 0, 2, 0, 0, 144, 2, 0, 0, 33, 8, 60, 27, 39, 12, 12, 115, 32, 19, 31, 1, 7.0, 27.0, 29.0, 0, 11, 28, 3, 15, 10, 4, 0, 14, 11, 2, 1, 0.0, 2, 6, 6, 13, 7, 26, 26, 21.88, 84.38, 90.63, 59.3984375, 92.890625, 92.890625, 46.3984375, 39.296875, 87.5, 0.0, 50.0, 39.296875, 7.099609375, 3.6, 0.0, 10.69921875, 7.099609375, 53.59375, 21.3984375, 35.6953125, 21.3984375, 21.0, 6.0, 37.0, 11.0, 12.0, "Tous les candidats sauf les Bac professionnels", 102.0, "Bacheliers professionnels toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 41.0, "2370", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2370&g_ta_cod=2370", 13.0, 53.0, 34.0),
(6530, "Public", "0170058W", "Lycée Bellevue", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Saintes", "formation sélective", "BTS", "Lycée Bellevue - BTS - Services - Support à l'action managériale", "BTS - Services", "", 28, 196, 140, 151, 0, 12, 3, 58, 16, 44, 14, 37, 45, 2, 15, 7, 21, 101, 13, 0, 0, 11, 3, 42, 11, 32, 11, 16, 94, 15, 11, 11, 4, 7.0, 11.0, 15.0, 0, 3, 14, 2, 6, 6, 1, 0, 2, 9, 2, 1, 0.0, 1, 6, 5, 0, 0, 14, 14, 46.67, 73.33, 100.0, 73.296875, 100.0, 100.0, 0, 21.3984375, 93.296875, 0.0, 14.298828125, 64.296875, 14.298828125, 7.1, 0.0, 14.298828125, 7.099609375, 42.8984375, 42.8984375, 42.8984375, 35.6953125, 12.0, 3.0, 28.0, 10.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 65.0, "3038", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3038&g_ta_cod=3038", 20.0, 40.0, 40.0),
(6531, "Public", "9741204R", "Université de la Réunion - Le Tampon", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation non sélective", "PASS", "Université de la Réunion - Le Tampon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 170, 1267, 859, 1267, 0, 935, 294, 158, 94, 20, 16, 154, 0, 0, 0, 0, 0, 1263, 0, 0, 0, 935, 294, 158, 94, 20, 16, 150, 689, 229, 159, 229, 0, 61.0, 213.0, 228.0, 0, 84, 216, 199, 17, 0, 13, 1, 22, 61, 76, 44, 12.0, 185, 8, 0, 0, 0, 207, 207, 26.64, 93.01, 99.56, 69.390625, 95.796875, 95.796875, 0, 38.8984375, 94.296875, 0.5, 10.19921875, 28.19921875, 35.1953125, 20.4, 5.6, 92.09375, 85.59375, 7.8994140625, 3.69970703125, 0.0, 0.0, 575.0, 178.0, 7.0, 7.0, 53.0, "Tous les candidats", 1042.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 77.0, "27573", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27569&g_ta_cod=27573", 91.0, 8.0, 0.0),
(6532, "Public", "0133661J", "Aix-Marseille Université - Site de Marseille Colbert", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  1er Arrondissement", "formation non sélective", "Licence_Las", "Aix-Marseille Université - Site de Marseille Colbert - Licence - Portail Administration économique et sociale ? Economie et gestion - Gestion", "Licence - Droit-économie-gestion", "Administration économique et sociale ? Economie et gestion - Gestion", 45, 980, 548, 980, 0, 460, 153, 109, 63, 38, 27, 373, 0, 0, 0, 0, 0, 947, 0, 0, 0, 460, 153, 109, 63, 38, 27, 340, 413, 38, 24, 38, 0, 1.0, 11.0, 29.0, 0, 15, 27, 20, 5, 2, 11, 0, 18, 6, 3, 0, 0.0, 6, 2, 1, 0, 0, 25, 25, 2.63, 28.95, 76.32, 63.1953125, 92.59375, 92.59375, 0, 55.59375, 71.09375, 0.0, 66.6875, 22.19921875, 11.099609375, 0.0, 0.0, 74.09375, 22.19921875, 18.5, 7.3994140625, 7.3994140625, 3.69970703125, 235.0, 78.0, 6.0, 5.0, 153.0, "Tous les candidats", 2602.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 63.0, "28490", "Licence - Portail Administration économique et sociale ? Economie et gestion - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28489&g_ta_cod=28490", 79.0, 16.0, 5.0),
(6533, "Privé sous contrat d'association", "0390070P", "Lycée Sainte Marie", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Lons-le-Saunier", "formation sélective", "BTS", "Lycée Sainte Marie - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 301, 45, 288, 0, 23, 3, 30, 8, 37, 10, 198, 13, 0, 2, 4, 7, 102, 1, 0, 0, 21, 3, 29, 8, 37, 10, 15, 70, 10, 1, 9, 1, 1.0, 9.0, 10.0, 0, 1, 5, 1, 0, 4, 5, 0, 3, 0, 1, 1, 0.0, 0, 0, 2, 0, 0, 4, 4, 10.0, 90.0, 100.0, 10.0, 80.0, 80.0, 0, 20.0, 50.0, 0.0, 60.0, 0.0, 20.0, 20.0, 0.0, 20.0, 0.0, 0.0, 0.0, 80.0, 40.0, 13.0, 2.0, 26.0, 7.0, 15.0, "Tous les candidats sauf les Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 32.0, "5167", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5167&g_ta_cod=5167", 20.0, 10.0, 70.0),
(6534, "Public", "9710418C", "Lycée professionnel Paul Lacave", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Capesterre-Belle-Eau", "formation sélective", "BTS", "Lycée professionnel Paul Lacave - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 12, 103, 8, 103, 0, 11, 2, 13, 4, 64, 46, 15, 0, 0, 0, 0, 0, 22, 0, 0, 0, 1, 0, 3, 1, 18, 15, 0, 23, 13, 0, 10, 0, 4.0, 9.0, 10.0, 0, 9, 12, 0, 0, 12, 1, 0, 1, 4, 7, 0, 0.0, 0, 0, 11, 8, 0, 12, 12, 30.77, 69.23, 76.92, 0.0, 100.0, 100.0, 66.6875, 75.0, 92.296875, 0.0, 8.298828125, 33.296875, 58.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 91.6875, 1.0, 0.0, 19.0, 15.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 3, "Liste d'appel propre à cette formation", 19.0, "11741", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11741&g_ta_cod=11741", 0.0, 0.0, 100.0),
(6535, "Privé enseignement supérieur", "0161192J", "CESI Campus d-Angoulême (La couronne)", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "La Couronne", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 24, 762, 115, 740, 0, 558, 55, 52, 11, 0, 0, 130, 22, 11, 3, 0, 8, 572, 3, 0, 0, 458, 34, 45, 7, 0, 0, 69, 143, 12, 1, 10, 2, 10.0, 10.0, 12.0, 0, 0, 11, 9, 2, 0, 1, 0, 2, 8, 1, 0, 0.0, 8, 1, 0, 0, 0, 9, 9, 83.33, 83.33, 100.0, 8.298828125, 81.796875, 81.796875, 0, 0.0, 91.6875, 0.0, 18.19921875, 72.6875, 9.099609375, 0.0, 0.0, 81.796875, 72.6875, 18.19921875, 9.099609375, 0.0, 0.0, 104.0, 9.0, 0.0, 0.0, 33.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "25175", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25175", 83.0, 17.0, 0.0),
(6536, "Public", "0440029T", "LGT Livet", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LGT Livet - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 24, 293, 23, 293, 0, 30, 4, 100, 24, 79, 29, 84, 0, 0, 0, 0, 0, 241, 0, 0, 0, 30, 4, 93, 23, 76, 28, 42, 98, 26, 4, 26, 0, 4.0, 23.0, 25.0, 0, 8, 21, 3, 8, 10, 5, 0, 8, 10, 2, 1, 0.0, 1, 4, 8, 1, 0, 16, 16, 15.38, 88.46, 96.15, 15.3984375, 76.1875, 76.1875, 4.7998046875, 38.09375, 80.796875, 0.0, 38.09375, 47.59375, 9.5, 4.8, 0.0, 14.298828125, 4.7998046875, 38.09375, 19.0, 47.59375, 38.09375, 20.0, 3.0, 29.0, 13.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 51.0, "5438", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5438&g_ta_cod=5438", 19.0, 38.0, 42.0),
(6537, "Public", "0300026R", "Lycée Dhuoda", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Dhuoda - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "BTS - Production", "", 28, 458, 66, 452, 0, 79, 5, 124, 20, 87, 21, 162, 6, 0, 0, 3, 3, 255, 1, 0, 0, 64, 3, 102, 13, 51, 8, 38, 104, 22, 1, 21, 1, 3.0, 15.0, 17.0, 0, 5, 18, 0, 10, 8, 4, 0, 7, 7, 4, 0, 0.0, 0, 5, 6, 2, 0, 14, 14, 13.64, 68.18, 77.27, 4.5, 77.796875, 77.796875, 11.099609375, 27.796875, 81.796875, 0.0, 38.8984375, 38.8984375, 22.19921875, 0.0, 0.0, 0.0, 0.0, 55.59375, 27.796875, 44.3984375, 33.296875, 2.0, 1.0, 40.0, 6.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 29.0, "3943", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3943&g_ta_cod=3943", 5.0, 50.0, 45.0),
(6538, "Public", "0750681H", "ESAA Boulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "ESAA Boulle - DN MADE - Objet - Spécialité : Métiers d?art Ciselure : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "DN MADE", "Spécialité : Métiers d?art Ciselure : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", 3, 84, 66, 84, 0, 28, 6, 10, 1, 4, 1, 42, 0, 0, 0, 0, 0, 12, 0, 0, 0, 1, 0, 4, 0, 0, 0, 7, 8, 3, 3, 3, 0, 1.0, 2.0, 3.0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 0, 0, 0, 1.0, 1, 0, 0, 0, 0, 0, 1, 33.33, 66.67, 100.0, 100.0, 0.0, 100.0, 0, 0.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 6.0, "Tous les candidats", 11.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "26896", "DN MADE - Objet - Spécialité : Métiers d?art Ciselure : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26896&g_ta_cod=26896", 67.0, 0.0, 0.0),
(6539, "Public", "0693565A", "I.U.T Jean Moulin de l'Université Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "BUT", "I.U.T Jean Moulin de l'Université Lyon 3 - BUT - Carrières juridiques", "BUT - Service", "", 130, 5305, 4256, 5305, 0, 2513, 536, 1881, 633, 124, 53, 787, 0, 0, 0, 0, 0, 2011, 0, 0, 0, 956, 157, 983, 269, 0, 0, 72, 444, 127, 111, 127, 0, 41.0, 111.0, 121.0, 0, 25, 122, 57, 65, 0, 5, 1, 7, 50, 57, 7, 0.0, 56, 58, 0, 0, 0, 33, 33, 32.28, 87.4, 95.28, 87.390625, 27.0, 27.0, 0, 20.5, 96.09375, 0.7999267578125, 5.69921875, 41.0, 46.6953125, 5.7, 0.0, 46.6953125, 45.8984375, 53.296875, 47.5, 0.0, 0.0, 202.0, 48.0, 0.0, 0.0, 8.0, "Tous les candidats sauf les Bac technologiques", 398.0, "Bacheliers technologiques toutes séries", 392, "", 0, "Liste d'appel propre à cette formation", 15.0, "8579", "BUT - Carrières juridiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8579&g_ta_cod=8579", 46.0, 54.0, 0.0),
(6540, "Privé sous contrat d'association", "0610724F", "Lycée professionnel Giel Don Bosco", "61", "Orne", "Normandie", "Normandie", "Giel-Courteilles", "formation sélective", "BTS", "Lycée professionnel Giel Don Bosco - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 15, 296, 189, 270, 0, 77, 13, 56, 5, 86, 20, 51, 26, 1, 16, 0, 9, 118, 9, 0, 0, 36, 3, 23, 2, 52, 10, 7, 84, 16, 11, 12, 4, 2.0, 10.0, 10.0, 0, 4, 12, 2, 4, 6, 4, 0, 2, 4, 5, 1, 0.0, 1, 3, 6, 0, 0, 8, 8, 12.5, 62.5, 62.5, 68.796875, 66.6875, 66.6875, 0, 33.296875, 75.0, 0.0, 16.69921875, 33.296875, 41.6953125, 8.3, 0.0, 16.69921875, 8.298828125, 33.296875, 25.0, 50.0, 50.0, 25.0, 3.0, 26.0, 6.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 31.0, "16032", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16032&g_ta_cod=16032", 31.0, 31.0, 38.0),
(6541, "Public", "0400007R", "Lycée de Borda", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Dax", "formation sélective", "BTS", "Lycée de Borda - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 91, 8, 90, 0, 7, 0, 28, 7, 38, 11, 17, 1, 0, 1, 0, 0, 88, 1, 0, 0, 7, 0, 27, 7, 38, 11, 16, 63, 13, 0, 12, 1, 3.0, 10.0, 11.0, 0, 3, 11, 0, 5, 6, 2, 0, 4, 6, 0, 1, 0.0, 0, 1, 6, 3, 0, 9, 9, 23.08, 76.92, 84.62, 0.0, 81.796875, 81.796875, 27.296875, 27.296875, 84.59375, 0.0, 36.3984375, 54.5, 0.0, 9.1, 0.0, 0.0, 0.0, 45.5, 9.099609375, 54.5, 54.5, 6.0, 0.0, 33.0, 10.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 88.0, "5201", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5201&g_ta_cod=5201", 0.0, 38.0, 62.0),
(6542, "Public", "0597131F", "INSA (Institut National des Sciences Appliquées) Hauts de France de VALENCIENNES", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "Ecole d'Ingénieur", "Groupe INSA - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 200, 8763, 2438, 8760, 0, 7792, 586, 0, 0, 0, 0, 968, 3, 2, 0, 0, 1, 6317, 0, 0, 0, 5642, 381, 0, 0, 0, 0, 675, 4318, 176, 37, 176, 0, 74.0, 114.0, 168.0, 0, 19, 153, 153, 0, 0, 23, 0, 0, 10, 90, 52, 1.0, 153, 0, 0, 0, 0, 14, 14, 42.05, 64.77, 95.45, 21.0, 9.19921875, 9.19921875, 0, 12.3984375, 86.890625, 0.0, 0.0, 6.5, 58.796875, 34.0, 0.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 3875.0, 323.0, 0.0, 0.0, 443.0, "Tous les candidats", 13471.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 60.0, "249", "Formation d'ingénieur Bac + 5 - Bac Général", "Groupe INSA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=57&g_ta_cod=249", 100.0, 0.0, 0.0),
(6543, "Public", "0540034U", "Lycée Ernest Bichat", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Lunéville", "formation sélective", "BTS", "Lycée Ernest Bichat - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 882, 457, 806, 0, 89, 47, 212, 96, 88, 44, 417, 76, 6, 10, 17, 43, 239, 16, 0, 0, 43, 22, 113, 43, 37, 18, 46, 194, 22, 11, 17, 5, 4.0, 15.0, 18.0, 0, 5, 16, 6, 6, 4, 6, 0, 6, 8, 2, 0, 0.0, 3, 4, 3, 4, 3, 13, 13, 18.18, 68.18, 81.82, 50.0, 81.296875, 81.296875, 25, 31.296875, 72.6875, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 37.5, 18.796875, 37.5, 25.0, 25.0, 18.796875, 33.0, 15.0, 27.0, 10.0, 48.0, "Tous les candidats sauf les Bac professionnels", 199.0, "Bacheliers professionnels toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 30.0, "6243", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6243&g_ta_cod=6243", 41.0, 41.0, 18.0),
(6544, "Public", "0101016A", "Lycée Edouard Herriot", "10", "Aube", "Grand Est", "Reims", "Sainte-Savine", "formation sélective", "BTS", "Lycée Edouard Herriot - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 30, 347, 287, 342, 0, 52, 9, 36, 9, 132, 56, 122, 5, 0, 0, 4, 1, 191, 1, 0, 0, 36, 3, 20, 6, 85, 37, 50, 75, 29, 28, 28, 1, 11.0, 21.0, 24.0, 0, 7, 19, 2, 1, 16, 10, 0, 3, 5, 9, 2, 0.0, 1, 0, 15, 1, 1, 15, 15, 37.93, 72.41, 82.76, 96.59375, 78.890625, 78.890625, 5.2998046875, 36.796875, 65.5, 0.0, 15.798828125, 26.296875, 47.3984375, 10.5, 0.0, 10.5, 5.2998046875, 5.2998046875, 0.0, 84.1875, 78.890625, 10.0, 1.0, 41.0, 16.0, 17.0, "Tous les candidats sauf les Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 77, "", 0, "Liste d'appel propre à cette formation", 34.0, "12381", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12381&g_ta_cod=12381", 14.0, 10.0, 76.0),
(6545, "Privé sous contrat d'association", "0190083M", "Lycée Bahuet", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BTS", "Lycée Bahuet - BTS - Services - Assurance", "BTS - Services", "", 35, 222, 111, 222, 0, 42, 9, 39, 15, 49, 27, 92, 0, 0, 0, 0, 0, 171, 0, 0, 0, 42, 9, 39, 15, 48, 27, 42, 129, 27, 12, 27, 0, 5.0, 23.0, 27.0, 0, 7, 20, 8, 6, 6, 7, 0, 14, 5, 1, 0, 0.0, 2, 0, 4, 4, 1, 13, 13, 18.52, 85.19, 100.0, 44.3984375, 65.0, 65.0, 20, 35.0, 74.09375, 0.0, 70.0, 25.0, 5.0, 0.0, 0.0, 40.0, 10.0, 30.0, 0.0, 30.0, 20.0, 38.0, 9.0, 23.0, 12.0, 37.0, "Tous les candidats sauf les Bac professionnels", 118.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 68.0, "3149", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3149&g_ta_cod=3149", 44.0, 26.0, 30.0),
(6546, "Public", "0940123Y", "Lycée Guillaume Apollinaire", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Thiais", "formation sélective", "BTS", "Lycée Guillaume Apollinaire - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 577, 249, 577, 0, 40, 13, 203, 91, 162, 82, 172, 0, 0, 0, 0, 0, 577, 0, 0, 0, 40, 13, 203, 91, 162, 82, 172, 112, 34, 15, 34, 0, 6.0, 28.0, 31.0, 0, 19, 25, 3, 10, 12, 9, 0, 8, 12, 5, 0, 0.0, 0, 9, 8, 4, 0, 25, 25, 17.65, 82.35, 91.18, 44.09375, 100.0, 100.0, 16, 76.0, 73.5, 0.0, 32.0, 48.0, 20.0, 0.0, 0.0, 12.0, 0.0, 40.0, 36.0, 48.0, 32.0, 15.0, 12.0, 33.0, 21.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 29.0, "11405", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11405&g_ta_cod=11405", 29.0, 32.0, 38.0),
(6547, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Langues, littératures & civilisations étrangères et régionales / Philosophie - LLCER ALLEMAND NON DEBUTANT - PHILOSOPHIE", "Licence - Arts-lettres-langues", "LLCER ALLEMAND NON DEBUTANT - PHILOSOPHIE", 25, 107, 71, 64, 0, 39, 4, 5, 3, 2, 1, 18, 43, 8, 4, 2, 29, 64, 40, 0, 0, 39, 4, 5, 3, 2, 1, 18, 92, 24, 16, 9, 15, 3.0, 9.0, 21.0, 0, 4, 11, 6, 4, 1, 13, 0, 6, 2, 3, 0, 0.0, 4, 1, 0, 0, 0, 1, 7, 12.5, 37.5, 87.5, 66.6875, 9.099609375, 63.59375, 0, 36.3984375, 45.796875, 0.0, 54.5, 18.19921875, 27.296875, 0.0, 0.0, 54.5, 36.3984375, 36.3984375, 9.099609375, 9.099609375, 0.0, 40.0, 5.0, 4.0, 1.0, 40.0, "Tous les candidats", 63.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "17209", "Double licence - Langues, littératures & civilisations étrangères et régionales / Philosophie - LLCER ALLEMAND NON DEBUTANT - PHILOSOPHIE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17209&g_ta_cod=17209", 67.0, 29.0, 4.0),
(6548, "Public", "0142131R", "Lycée Jules Dumont d'Urville", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Jules Dumont d'Urville - BTS - Production - Conception de produits industriels", "BTS - Production", "", 23, 232, 24, 227, 0, 27, 4, 98, 15, 45, 17, 57, 5, 0, 0, 2, 3, 184, 1, 0, 0, 26, 4, 93, 13, 40, 15, 25, 103, 21, 2, 20, 1, 2.0, 14.0, 18.0, 0, 1, 14, 3, 7, 4, 7, 0, 6, 6, 1, 1, 0.0, 1, 3, 4, 0, 0, 13, 13, 9.52, 66.67, 85.71, 9.5, 92.890625, 92.890625, 0, 7.099609375, 66.6875, 0.0, 42.8984375, 42.8984375, 7.099609375, 7.1, 0.0, 21.3984375, 7.099609375, 50.0, 21.3984375, 28.59765625, 28.59765625, 19.0, 4.0, 24.0, 9.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 74.0, "2924", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2924&g_ta_cod=2924", 33.0, 48.0, 19.0),
(6549, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 630, 3360, 1594, 3306, 0, 2148, 403, 152, 45, 68, 26, 938, 54, 14, 3, 1, 36, 3296, 51, 0, 0, 2148, 403, 152, 45, 68, 26, 928, 2054, 625, 277, 596, 29, 106.0, 465.0, 548.0, 0, 96, 472, 441, 26, 5, 153, 0, 139, 184, 128, 21, 0.0, 325, 5, 3, 0, 0, 85, 422, 16.96, 74.4, 87.68, 44.296875, 18.0, 89.390625, 0, 20.296875, 75.5, 0.0, 29.3984375, 39.0, 27.09765625, 4.4, 0.0, 93.390625, 68.890625, 5.5, 1.099853515625, 1.099853515625, 0.5999755859375, 1534.0, 275.0, 16.0, 4.0, 458.0, "Tous les candidats", 2581.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "9211", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9211&g_ta_cod=9211", 89.0, 8.0, 2.0),
(6550, "Public", "0681688R", "IFSI Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "IFSI", "Regroupement d'IFSI Université Strasbourg - D.E Infirmier", "D.E secteur sanitaire", "", 118, 3484, 2949, 3484, 0, 644, 140, 661, 209, 394, 151, 1785, 0, 0, 0, 0, 0, 2969, 0, 0, 0, 612, 129, 564, 169, 267, 87, 1526, 892, 130, 111, 130, 0, 11.0, 76.0, 104.0, 0, 15, 64, 37, 21, 6, 66, 0, 7, 32, 19, 6, 0.0, 30, 21, 6, 0, 0, 52, 52, 8.46, 58.46, 80.0, 85.390625, 81.296875, 81.296875, 0, 23.3984375, 49.1953125, 0.0, 10.8984375, 50.0, 29.69921875, 9.4, 0.0, 57.796875, 46.8984375, 32.796875, 32.796875, 9.3984375, 9.3984375, 287.0, 67.0, 35.0, 20.0, 455.0, "Tous les candidats", 1733.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "23245", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23000&g_ta_cod=23245", 68.0, 22.0, 9.0),
(6551, "Public", "0170028N", "Lycée Jean Dautet", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "CPGE", "Lycée Jean Dautet - CPGE - PCSI", "Classe préparatoire scientifique", "", 24, 1193, 442, 1186, 823, 586, 81, 2, 1, 0, 0, 598, 7, 2, 0, 0, 5, 557, 2, 428, 523, 515, 67, 1, 0, 0, 0, 41, 222, 25, 4, 24, 1, 1.0, 9.0, 24.0, 12, 5, 22, 22, 0, 0, 3, 0, 1, 9, 10, 2, 0.0, 21, 0, 0, 0, 0, 7, 7, 4.0, 36.0, 96.0, 16.0, 31.796875, 31.796875, 0, 22.69921875, 88.0, 0.0, 4.5, 40.8984375, 45.5, 9.1, 0.0, 100.0, 95.5, 0.0, 0.0, 0.0, 0.0, 215.0, 26.0, 0.0, 0.0, 7.0, "Tous les candidats", 545.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "3026", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3026&g_ta_cod=3026", 100.0, 0.0, 0.0),
(6552, "Public", "0600002B", "Lycée Paul Langevin", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "BTS", "Lycée Paul Langevin - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 103, 6, 103, 0, 9, 1, 36, 13, 29, 8, 29, 0, 0, 0, 0, 0, 72, 0, 0, 0, 9, 1, 36, 13, 24, 6, 3, 45, 14, 0, 14, 0, 6.0, 13.0, 13.0, 0, 3, 14, 1, 3, 10, 0, 0, 4, 7, 2, 1, 0.0, 1, 1, 8, 6, 0, 13, 13, 42.86, 92.86, 92.86, 0.0, 92.890625, 92.890625, 42.8984375, 21.3984375, 100.0, 0.0, 28.59765625, 50.0, 14.298828125, 7.1, 0.0, 7.099609375, 7.099609375, 21.3984375, 7.099609375, 71.390625, 57.09375, 3.0, 1.0, 23.0, 6.0, 2.0, "Tous les candidats sauf les Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 55.0, "7213", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7213&g_ta_cod=7213", 7.0, 21.0, 71.0),
(6553, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Portail Histoire de l'art et archéologie - Histoire de l'art et archéologie - Grenoble", "Licence - Sciences humaines et sociales", "Histoire de l'art et archéologie - Grenoble", 120, 796, 560, 700, 0, 434, 81, 57, 6, 15, 4, 194, 96, 17, 4, 5, 70, 700, 41, 0, 0, 434, 81, 57, 6, 15, 4, 194, 638, 102, 71, 81, 20, 30.0, 80.0, 85.0, 0, 15, 63, 47, 11, 5, 39, 0, 25, 23, 11, 4, 0.0, 32, 4, 2, 0, 0, 58, 58, 29.41, 78.43, 83.33, 69.59375, 92.09375, 92.09375, 0, 23.796875, 61.796875, 0.0, 39.6953125, 36.5, 17.5, 6.3, 0.0, 74.59375, 50.796875, 17.5, 6.2998046875, 7.8994140625, 3.19970703125, 399.0, 73.0, 15.0, 4.0, 174.0, "Tous les candidats", 736.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "31064", "Licence - Portail Histoire de l'art et archéologie - Histoire de l'art et archéologie - Grenoble", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31065&g_ta_cod=31064", 73.0, 16.0, 10.0),
(6554, "Public", "0010016M", "Lycée Joseph-Marie Carriat", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "Autre formation", "Lycée Joseph-Marie Carriat - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 5, 2, 0, 0, 0.0, 0.0, 1.0, 0, 0, 4, 0, 2, 2, 1, 0, 2, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 4, 4, 0.0, 0.0, 20.0, 40.0, 100.0, 100.0, 0, 0.0, 80.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 10.0, 5.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22492", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 60.0, 40.0),
(6555, "Public", "0160003S", "Lycée Marguerite De Valois", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BTS", "Lycée Marguerite De Valois - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 27, 275, 148, 251, 0, 50, 14, 58, 19, 51, 20, 92, 24, 8, 0, 0, 16, 139, 5, 0, 0, 40, 9, 32, 10, 46, 16, 21, 98, 24, 13, 23, 1, 4.0, 23.0, 23.0, 0, 11, 20, 5, 8, 7, 4, 0, 8, 8, 4, 0, 0.0, 3, 5, 4, 4, 1, 16, 16, 16.67, 95.83, 95.83, 54.1953125, 80.0, 80.0, 20, 55.0, 83.296875, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 25.0, 15.0, 40.0, 25.0, 35.0, 20.0, 26.0, 8.0, 33.0, 14.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 50.0, "2976", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2976&g_ta_cod=2976", 25.0, 38.0, 38.0),
(6556, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Sciences pour l'ingénieur - Parcours Génie Electrique Informatique Industrielle", "Licence - Sciences - technologies - santé", "Génie Electrique Informatique Industrielle", 35, 302, 36, 253, 0, 152, 39, 32, 11, 0, 0, 69, 49, 5, 1, 1, 42, 248, 37, 0, 0, 152, 39, 32, 11, 0, 0, 64, 228, 29, 3, 7, 22, 0.0, 7.0, 20.0, 0, 0, 4, 3, 1, 0, 25, 0, 4, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 0.0, 24.14, 68.97, 10.298828125, 75.0, 75.0, 0, 0.0, 13.798828125, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 75.0, 0.0, 25.0, 0.0, 0.0, 0.0, 129.0, 37.0, 1.0, 1.0, 83.0, "Tous les candidats", 248.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "7011", "Licence - Sciences pour l'ingénieur - Parcours Génie Electrique Informatique Industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7011&g_ta_cod=7011", 69.0, 24.0, 7.0),
(6557, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes franco-allemandes - Mineures Etudes internationales OU Métiers de la culture", "Licence - Arts-lettres-langues", "Etudes franco-allemandes - Mineures Etudes internationales OU Métiers de la culture", 50, 161, 113, 80, 0, 52, 4, 0, 0, 0, 0, 28, 81, 18, 6, 4, 53, 76, 40, 0, 0, 52, 4, 0, 0, 0, 0, 24, 114, 21, 15, 8, 13, 5.0, 8.0, 14.0, 0, 2, 8, 8, 0, 0, 13, 0, 1, 2, 3, 2, 0.0, 7, 0, 0, 0, 0, 2, 4, 23.81, 38.1, 66.67, 71.390625, 25.0, 50.0, 0, 25.0, 38.09375, 0.0, 12.5, 25.0, 37.5, 25.0, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 63.0, 6.0, 0.0, 0.0, 49.0, "Tous les candidats", 76.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "9224", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes franco-allemandes - Mineures Etudes internationales OU Métiers de la culture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9224&g_ta_cod=9224", 90.0, 5.0, 5.0),
(6558, "Privé sous contrat d'association", "0131445A", "Lycée professionnel Charlotte Grawitz", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Charlotte Grawitz - Mention complémentaire - FCIL Sociale Esthétique", "Mention complémentaire", "", 12, 29, 28, 26, 0, 2, 1, 5, 4, 13, 9, 6, 3, 0, 0, 1, 2, 13, 2, 0, 0, 0, 0, 2, 1, 9, 6, 2, 19, 2, 2, 2, 0, 2.0, 2.0, 2.0, 0, 1, 1, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 100.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 100.0, 50.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 14.0, 10.0, 3.0, "Tous les candidats", 13.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "33062", "Mention complémentaire - FCIL Sociale Esthétique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33062&g_ta_cod=33062", 50.0, 0.0, 50.0),
(6559, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 1 Capitole - Licence - Droit - Parcours Bilingue Droit français et droit anglo-saxon", "Licence - Droit-économie-gestion", "Bilingue Droit français et droit anglo-saxon", 25, 585, 494, 585, 0, 512, 85, 8, 2, 0, 0, 65, 0, 0, 0, 0, 0, 90, 0, 0, 0, 89, 11, 0, 0, 0, 0, 1, 55, 23, 20, 23, 0, 9.0, 22.0, 23.0, 0, 4, 22, 22, 0, 0, 1, 1, 0, 0, 5, 12, 4.0, 21, 0, 0, 0, 0, 10, 10, 39.13, 95.65, 100.0, 87.0, 45.5, 45.5, 0, 18.19921875, 95.6875, 4.5, 0.0, 0.0, 22.69921875, 54.5, 18.2, 100.0, 95.5, 0.0, 0.0, 0.0, 0.0, 54.0, 8.0, 0.0, 0.0, 1.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "4142", "Licence - Droit - Parcours Bilingue Droit français et droit anglo-saxon", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4142&g_ta_cod=4142", 100.0, 0.0, 0.0),
(6560, "Public", "0670190T", "INSA Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Ecole d'Ingénieur", "Groupe INSA - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 200, 12505, 3819, 12505, 0, 11177, 841, 0, 0, 0, 0, 1328, 0, 0, 0, 0, 0, 9187, 0, 0, 0, 8249, 541, 0, 0, 0, 0, 938, 2715, 195, 68, 195, 0, 114.0, 147.0, 180.0, 0, 16, 183, 183, 0, 0, 12, 1, 0, 0, 35, 124, 23.0, 182, 0, 0, 0, 0, 51, 51, 58.46, 75.38, 92.31, 34.8984375, 27.8984375, 27.8984375, 0, 8.69921875, 93.796875, 0.5, 0.0, 0.0, 19.09765625, 67.8, 12.6, 100.0, 99.5, 0.0, 0.0, 0.0, 0.0, 2528.0, 212.0, 0.0, 0.0, 187.0, "Tous les candidats", 5527.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "61", "Formation d'ingénieur Bac + 5 - Bac Général", "Groupe INSA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=57&g_ta_cod=61", 100.0, 0.0, 0.0),
(6561, "Public", "0600020W", "Lycée Marie Curie", "60", "Oise", "Hauts-de-France", "Amiens", "Nogent-sur-Oise", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 144, 20, 114, 0, 8, 3, 59, 18, 18, 9, 29, 30, 0, 10, 4, 16, 80, 3, 0, 0, 8, 3, 54, 17, 11, 7, 7, 53, 12, 0, 11, 1, 1.0, 11.0, 12.0, 0, 3, 12, 0, 11, 1, 0, 0, 5, 3, 4, 0, 0.0, 0, 6, 1, 9, 0, 11, 11, 8.33, 91.67, 100.0, 0.0, 91.6875, 91.6875, 75, 25.0, 100.0, 0.0, 41.6953125, 25.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 91.6875, 50.0, 8.298828125, 8.298828125, 6.0, 2.0, 11.0, 8.0, 6.0, "Tous les candidats sauf les Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 69.0, "7231", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7231&g_ta_cod=7231", 0.0, 92.0, 8.0),
(6562, "Public", "0311323V", "Lycée Rive Gauche", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée Rive Gauche - Préparation au concours IEP", "Année préparatoire", "Préparation au concours IEP", 35, 531, 338, 531, 0, 511, 71, 1, 0, 0, 0, 19, 0, 0, 0, 0, 0, 511, 0, 0, 0, 511, 71, 0, 0, 0, 0, 0, 135, 35, 24, 35, 0, 2.0, 31.0, 32.0, 0, 10, 35, 35, 0, 0, 0, 0, 0, 1, 24, 10, 0.0, 35, 0, 0, 0, 0, 23, 23, 5.71, 88.57, 91.43, 68.59375, 65.6875, 65.6875, 0, 28.59765625, 100.0, 0.0, 0.0, 2.89990234375, 68.59375, 28.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 135.0, 26.0, 0.0, 0.0, 0.0, "Tous les candidats", 165.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "19543", "Préparation au concours IEP", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19543&g_ta_cod=19543", 100.0, 0.0, 0.0),
(6563, "Public", "0750660K", "Lycée Fénelon", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Fénelon - CPGE - Lettres", "Classe préparatoire littéraire", "", 144, 2994, 2162, 2994, 498, 2755, 253, 1, 0, 1, 0, 237, 0, 0, 0, 0, 0, 1936, 0, 384, 1788, 1876, 203, 0, 0, 0, 0, 60, 769, 142, 108, 142, 0, 37.0, 117.0, 132.0, 7, 18, 140, 140, 0, 0, 2, 0, 0, 1, 28, 97, 14.0, 140, 0, 0, 5, 5, 52, 88, 26.06, 82.39, 92.96, 76.09375, 37.09375, 62.8984375, 3.599609375, 12.8984375, 98.59375, 0.0, 0.0, 0.699951171875, 20.0, 69.3, 10.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 754.0, 80.0, 0.0, 0.0, 15.0, "Tous les candidats", 1044.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "8989", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8989&g_ta_cod=8989", 100.0, 0.0, 0.0),
(6564, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Portail Mathématiques - Informatique franco-allemand - Informatique et ingénierie du web", "Licence - Sciences - technologies - santé", "Mathématiques - Informatique franco-allemand - Informatique et ingénierie du web", 10, 63, 11, 42, 0, 33, 5, 3, 3, 0, 0, 6, 21, 3, 0, 0, 18, 27, 1, 0, 0, 23, 3, 0, 0, 0, 0, 4, 23, 7, 0, 6, 1, 4.0, 6.0, 7.0, 0, 1, 5, 5, 0, 0, 2, 2, 0, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 1, 1, 57.14, 85.71, 100.0, 0.0, 20.0, 20.0, 0, 20.0, 71.390625, 40.0, 0.0, 20.0, 40.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 0.0, 0.0, 19.0, 3.0, 0.0, 0.0, 4.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "30735", "Licence - Portail Mathématiques - Informatique franco-allemand - Informatique et ingénierie du web", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30735&g_ta_cod=30735", 100.0, 0.0, 0.0),
(6565, "Public", "0540041B", "Lycée Georges de la Tour", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Lycée Georges de la Tour - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 696, 344, 610, 0, 262, 71, 152, 48, 15, 6, 181, 86, 13, 8, 4, 61, 301, 23, 0, 0, 171, 40, 87, 25, 0, 0, 43, 178, 28, 16, 20, 8, 6.0, 20.0, 26.0, 0, 8, 18, 10, 8, 0, 10, 0, 2, 6, 9, 0, 1.0, 9, 7, 0, 0, 0, 16, 16, 21.43, 71.43, 92.86, 57.09375, 88.890625, 88.890625, 0, 44.3984375, 64.296875, 0.0, 11.099609375, 33.296875, 50.0, 0.0, 5.6, 55.59375, 50.0, 44.3984375, 38.8984375, 0.0, 0.0, 91.0, 26.0, 0.0, 0.0, 48.0, "Tous les candidats", 293.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "6261", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6261&g_ta_cod=6261", 68.0, 32.0, 0.0),
(6566, "Public", "0211033J", "Lycée Gustave Eiffel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "CPGE", "Lycée Gustave Eiffel - CPGE - Prépa ENS Paris-Saclay", "Classe préparatoire économique et commerciale", "Prépa ENS Paris-Saclay", 48, 603, 309, 581, 299, 414, 45, 2, 0, 1, 1, 164, 22, 11, 1, 1, 9, 363, 3, 1, 363, 344, 31, 0, 0, 0, 0, 19, 255, 40, 14, 40, 0, 7.0, 40.0, 40.0, 0, 1, 38, 38, 0, 0, 2, 0, 3, 17, 14, 4, 0.0, 35, 0, 0, 8, 1, 31, 31, 17.5, 100.0, 100.0, 35.0, 81.59375, 81.59375, 21.09765625, 2.599609375, 95.0, 0.0, 7.8994140625, 44.6953125, 36.796875, 10.5, 0.0, 100.0, 92.09375, 0.0, 0.0, 0.0, 0.0, 242.0, 20.0, 0.0, 0.0, 13.0, "Tous les candidats", 375.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "3208", "CPGE - Prépa ENS Paris-Saclay", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3208&g_ta_cod=3208", 100.0, 0.0, 0.0),
(6567, "Public", "0420040R", "Lycée Claude Lebois", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Chamond", "formation sélective", "BTS", "Lycée Claude Lebois - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 18, 339, 85, 332, 0, 12, 1, 88, 32, 108, 49, 124, 7, 1, 0, 0, 6, 132, 2, 0, 0, 12, 1, 40, 15, 62, 25, 18, 65, 17, 3, 13, 2, 3.0, 10.0, 11.0, 0, 6, 12, 1, 4, 7, 5, 0, 0, 7, 4, 1, 0.0, 1, 4, 7, 1, 1, 9, 9, 17.65, 58.82, 64.71, 17.59765625, 75.0, 75.0, 8.298828125, 50.0, 70.59375, 0.0, 0.0, 58.296875, 33.296875, 8.3, 0.0, 8.298828125, 8.298828125, 33.296875, 33.296875, 58.296875, 58.296875, 9.0, 1.0, 20.0, 7.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 25.0, "5278", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5278&g_ta_cod=5278", 18.0, 35.0, 47.0),
(6568, "Privé enseignement supérieur", "0221739W", "ASKORIA - Site de Saint-Brieuc", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "EFTS", "ASKORIA - D.E Educateur Spécialisé", "D.E secteur social", "", 30, 685, 576, 685, 0, 102, 13, 99, 14, 55, 17, 429, 0, 0, 0, 0, 0, 509, 0, 0, 0, 57, 10, 66, 8, 37, 12, 349, 137, 28, 21, 28, 0, 2.0, 22.0, 25.0, 0, 1, 5, 2, 3, 0, 23, 0, 2, 3, 0, 0, 0.0, 1, 2, 0, 0, 0, 4, 4, 7.14, 78.57, 89.29, 75.0, 80.0, 80.0, 0, 20.0, 17.8984375, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 40.0, 20.0, 60.0, 40.0, 0.0, 0.0, 9.0, 4.0, 5.0, 1.0, 116.0, "Tous les candidats", 240.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "24976", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24974&g_ta_cod=24976", 57.0, 36.0, 4.0),
(6569, "Public", "0130040Y", "Lycée Thiers", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  1er Arrondissement", "formation sélective", "Autre formation", "Lycée Thiers - Préparation au concours IEP", "Année préparatoire", "Préparation au concours IEP", 24, 389, 222, 389, 0, 348, 76, 4, 4, 1, 0, 36, 0, 0, 0, 0, 0, 176, 0, 0, 0, 176, 56, 0, 0, 0, 0, 0, 53, 24, 12, 24, 0, 8.0, 23.0, 24.0, 0, 8, 24, 24, 0, 0, 0, 0, 0, 5, 14, 5, 0.0, 24, 0, 0, 0, 0, 21, 21, 33.33, 95.83, 100.0, 50.0, 87.5, 87.5, 0, 33.296875, 100.0, 0.0, 0.0, 20.796875, 58.296875, 20.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 53.0, 26.0, 0.0, 0.0, 0.0, "Tous les candidats", 67.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "2553", "Préparation au concours IEP", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2553&g_ta_cod=2553", 100.0, 0.0, 0.0),
(6570, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 678, 3868, 1096, 3868, 0, 2362, 401, 545, 122, 117, 34, 844, 0, 0, 0, 0, 0, 3867, 0, 0, 0, 2362, 401, 545, 122, 117, 34, 843, 1634, 679, 187, 678, 0, 238.0, 547.0, 641.0, 0, 112, 562, 423, 106, 33, 117, 4, 257, 216, 70, 14, 1.0, 231, 52, 18, 0, 0, 524, 524, 35.05, 80.56, 94.4, 27.5, 93.1875, 93.1875, 0, 19.8984375, 82.796875, 0.699951171875, 45.6953125, 38.3984375, 12.5, 2.5, 0.2, 75.296875, 41.09375, 18.8984375, 9.298828125, 5.8994140625, 3.19970703125, 971.0, 185.0, 69.0, 25.0, 404.0, "Tous les candidats", 1949.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 46.0, "10199", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31961&g_ta_cod=10199", 74.0, 19.0, 6.0),
(6571, "Public", "0610790C", "Lycée agricole Auguste Loutreuil", "61", "Orne", "Normandie", "Normandie", "Sées", "formation sélective", "BTS", "Lycée agricole Auguste Loutreuil - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 36, 316, 109, 314, 0, 18, 2, 66, 13, 90, 25, 140, 2, 0, 1, 0, 1, 178, 1, 0, 0, 18, 2, 66, 13, 90, 25, 4, 124, 22, 8, 21, 1, 6.0, 21.0, 21.0, 0, 5, 22, 3, 13, 6, 0, 0, 8, 10, 4, 0, 0.0, 3, 6, 5, 4, 0, 16, 16, 27.27, 95.45, 95.45, 36.3984375, 72.6875, 72.6875, 18.19921875, 22.69921875, 100.0, 0.0, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 13.599609375, 13.599609375, 59.09375, 27.296875, 27.296875, 22.69921875, 15.0, 2.0, 60.0, 17.0, 3.0, "Tous les candidats sauf les Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 89, "", 0, "Liste d'appel propre à cette formation", 56.0, "7312", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7312&g_ta_cod=7312", 14.0, 59.0, 27.0),
(6572, "Public", "0620042J", "Lycée Andre Malraux", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "BTS", "Lycée Andre Malraux - BTS - Production - Conception de produits industriels", "BTS - Production", "", 30, 123, 12, 114, 0, 6, 2, 42, 16, 22, 8, 44, 9, 0, 6, 0, 3, 85, 6, 0, 0, 6, 2, 42, 16, 14, 3, 23, 67, 15, 1, 12, 3, 7.0, 12.0, 15.0, 0, 7, 13, 0, 6, 7, 2, 0, 8, 3, 1, 1, 0.0, 0, 0, 5, 3, 0, 13, 13, 46.67, 80.0, 100.0, 6.69921875, 100.0, 100.0, 23.09765625, 53.796875, 86.6875, 0.0, 61.5, 23.09765625, 7.69921875, 7.7, 0.0, 0.0, 0.0, 46.1953125, 0.0, 53.796875, 38.5, 5.0, 2.0, 14.0, 3.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 71.0, "7341", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7341&g_ta_cod=7341", 0.0, 53.0, 47.0),
(6573, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 380, 2869, 904, 2869, 0, 1850, 275, 339, 82, 106, 39, 574, 0, 0, 0, 0, 0, 2869, 0, 0, 0, 1850, 275, 339, 82, 106, 39, 574, 1062, 368, 95, 368, 0, 64.0, 302.0, 338.0, 0, 58, 287, 241, 24, 22, 81, 1, 103, 125, 53, 4, 1.0, 155, 14, 14, 0, 0, 275, 275, 17.39, 82.07, 91.85, 25.796875, 95.796875, 95.796875, 0, 20.19921875, 78.0, 0.29998779296875, 35.8984375, 43.59375, 18.5, 1.4, 0.3, 84.0, 54.0, 8.3984375, 4.8994140625, 7.69921875, 4.8994140625, 679.0, 118.0, 39.0, 21.0, 283.0, "Tous les candidats", 1192.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "6323", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26950&g_ta_cod=6323", 84.0, 8.0, 7.0),
(6574, "Public", "0101060Y", "UTT Université de Technologie de Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "Ecole d'Ingénieur", "Réseau des Universités de Technologie - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 260, 5929, 1434, 5929, 0, 5353, 312, 0, 0, 0, 0, 576, 0, 0, 0, 0, 0, 2797, 0, 0, 0, 2533, 127, 0, 0, 0, 0, 264, 1422, 269, 59, 269, 0, 129.0, 228.0, 245.0, 0, 17, 247, 247, 0, 0, 22, 0, 0, 3, 70, 171, 3.0, 247, 0, 0, 0, 0, 43, 43, 47.96, 84.76, 91.08, 21.8984375, 17.3984375, 17.3984375, 0, 6.8994140625, 91.796875, 0.0, 0.0, 1.199951171875, 28.296875, 69.2, 1.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1268.0, 91.0, 0.0, 0.0, 154.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "54", "Formation d'ingénieur Bac + 5 - Série générale", "Réseau des Universités de Technologie", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=53&g_ta_cod=54", 100.0, 0.0, 0.0),
(6575, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Lettres - Parcours Lettres - Mineure Anglais", "Licence - Arts-lettres-langues", "Lettres - Mineure Anglais", 30, 279, 231, 264, 0, 165, 26, 12, 5, 12, 5, 75, 15, 3, 1, 0, 11, 264, 15, 0, 0, 165, 26, 12, 5, 12, 5, 75, 179, 30, 26, 24, 6, 3.0, 21.0, 22.0, 0, 5, 20, 13, 6, 1, 10, 0, 4, 8, 5, 3, 0.0, 13, 2, 1, 0, 0, 6, 15, 10.0, 70.0, 73.33, 86.6875, 30.0, 75.0, 0, 25.0, 66.6875, 0.0, 20.0, 40.0, 25.0, 15.0, 0.0, 65.0, 65.0, 30.0, 10.0, 5.0, 5.0, 107.0, 20.0, 7.0, 3.0, 58.0, "Tous les candidats", 242.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "17373", "Licence - Lettres - Parcours Lettres - Mineure Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17373&g_ta_cod=17373", 70.0, 23.0, 7.0),
(6576, "Public", "0623957P", "Université d'Artois - Site d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation non sélective", "Licence", "Université d'Artois - Site d'Arras - Licence - Langues étrangères appliquées - Parcours  Anglais/Allemand - LEA", "Licence - Arts-lettres-langues", "Anglais/Allemand - LEA", 28, 136, 88, 111, 0, 76, 11, 12, 6, 2, 2, 21, 25, 2, 3, 0, 20, 110, 25, 0, 0, 76, 11, 12, 6, 2, 2, 20, 114, 20, 12, 17, 3, 9.0, 16.0, 17.0, 0, 2, 17, 17, 0, 0, 3, 0, 6, 6, 4, 1, 0.0, 11, 0, 0, 0, 0, 17, 17, 45.0, 80.0, 85.0, 60.0, 100.0, 100.0, 0, 11.798828125, 85.0, 0.0, 35.296875, 35.296875, 23.5, 5.9, 0.0, 100.0, 64.6875, 0.0, 0.0, 0.0, 0.0, 70.0, 12.0, 1.0, 1.0, 34.0, "Tous les candidats", 108.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "7506", "Licence - Langues étrangères appliquées - Parcours  Anglais/Allemand - LEA", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7506&g_ta_cod=7506", 100.0, 0.0, 0.0),
(6577, "Privé sous contrat d'association", "0450758E", "Lycée Saint-Paul Bourdon Blanc", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Saint-Paul Bourdon Blanc - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 14, 228, 41, 227, 0, 22, 1, 27, 6, 86, 28, 92, 1, 0, 0, 0, 1, 97, 0, 0, 0, 19, 0, 19, 4, 47, 13, 12, 49, 13, 2, 12, 0, 2.0, 9.0, 9.0, 0, 4, 12, 2, 2, 8, 1, 0, 3, 8, 1, 0, 0.0, 2, 1, 6, 5, 1, 11, 11, 15.38, 69.23, 69.23, 15.3984375, 91.6875, 91.6875, 41.6953125, 33.296875, 92.296875, 0.0, 25.0, 66.6875, 8.298828125, 0.0, 0.0, 16.69921875, 16.69921875, 16.69921875, 8.298828125, 66.6875, 50.0, 7.0, 0.0, 26.0, 7.0, 8.0, "Tous les candidats sauf les Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 25.0, "5688", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5688&g_ta_cod=5688", 15.0, 23.0, 62.0),
(6578, "Public", "0130189K", "Centre de Ressources, d'Expertise et de Performance Sportive PACA - site d'Aix-en-Provence (CREPS)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive PACA - site d'Aix-en-Provence (CREPS) - BPJEPS - Activités de la forme", "BPJEPS", "", 3, 193, 30, 193, 0, 46, 11, 50, 8, 33, 12, 64, 0, 0, 0, 0, 0, 24, 0, 0, 0, 2, 1, 1, 1, 0, 0, 21, 6, 3, 0, 3, 0, 1.0, 3.0, 3.0, 0, 1, 1, 0, 1, 0, 2, 0, 0, 0, 1, 0, 0.0, 0, 1, 0, 0, 0, 1, 1, 33.33, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 100.0, 33.296875, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 5.0, "30916", "BPJEPS - Activités de la forme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30916&g_ta_cod=30916", 0.0, 33.0, 67.0),
(6579, "Public", "0400750Y", "Lycée agricole DE DAX", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Oeyreluy", "formation sélective", "BTS", "Lycée agricole DE DAX - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 32, 274, 62, 274, 0, 32, 4, 95, 18, 27, 7, 120, 0, 0, 0, 0, 0, 174, 0, 0, 0, 32, 4, 92, 18, 24, 5, 26, 113, 32, 3, 32, 0, 11.0, 32.0, 32.0, 0, 5, 30, 5, 21, 4, 2, 0, 19, 8, 3, 0, 0.0, 1, 7, 3, 7, 2, 26, 26, 34.38, 100.0, 100.0, 9.3984375, 86.6875, 86.6875, 23.296875, 16.69921875, 93.796875, 0.0, 63.296875, 26.69921875, 10.0, 0.0, 0.0, 16.69921875, 3.2998046875, 70.0, 23.296875, 13.298828125, 10.0, 27.0, 3.0, 20.0, 4.0, 5.0, "Tous les candidats sauf les Bac professionnels", 123.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 54.0, "5212", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5212&g_ta_cod=5212", 19.0, 66.0, 16.0),
(6580, "Privé sous contrat d'association", "0631075B", "Institution Saint Alyre", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Institution Saint Alyre - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 419, 192, 419, 0, 91, 12, 114, 19, 128, 41, 86, 0, 0, 0, 0, 0, 377, 0, 0, 0, 89, 12, 105, 19, 121, 37, 62, 186, 30, 9, 30, 0, 5.0, 15.0, 22.0, 0, 6, 23, 4, 9, 10, 7, 0, 9, 11, 2, 1, 0.0, 2, 5, 7, 4, 1, 18, 18, 16.67, 50.0, 73.33, 30.0, 78.296875, 78.296875, 17.3984375, 26.09765625, 76.6875, 0.0, 39.09375, 47.796875, 8.69921875, 4.3, 0.0, 17.3984375, 8.69921875, 39.09375, 21.69921875, 43.5, 30.3984375, 28.0, 7.0, 69.0, 14.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 104, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 58.0, "7614", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7614&g_ta_cod=7614", 27.0, 33.0, 40.0),
(6581, "Public", "0081084K", "IUT Reims-Châlons-Charleville site de Charleville", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BUT", "IUT Reims-Châlons-Charleville site de Charleville - BUT - Gestion administrative et commerciale des organisations", "BUT - Service", "", 80, 905, 476, 903, 0, 439, 84, 269, 92, 21, 4, 174, 2, 0, 0, 0, 2, 822, 2, 0, 0, 413, 72, 233, 75, 17, 2, 159, 370, 78, 44, 76, 2, 12.0, 66.0, 73.0, 0, 22, 52, 19, 32, 1, 26, 0, 22, 23, 6, 1, 0.0, 11, 19, 0, 0, 0, 47, 47, 15.38, 84.62, 93.59, 56.3984375, 90.390625, 90.390625, 0, 42.296875, 66.6875, 0.0, 42.296875, 44.1953125, 11.5, 1.9, 0.0, 36.5, 21.19921875, 61.5, 36.5, 1.89990234375, 0.0, 146.0, 35.0, 4.0, 2.0, 81.0, "Tous les candidats sauf les Bac technologiques", 353.0, "Bacheliers technologiques toutes séries", 219, "", 0, "Liste d'appel propre à cette formation", 63.0, "2385", "BUT - Gestion administrative et commerciale des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2385&g_ta_cod=2385", 44.0, 54.0, 3.0),
(6582, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence_Las", "Université de Limoges - Licence - Portail Droit - Droit Limoges", "Licence - Droit-économie-gestion", "Droit Limoges", 45, 440, 304, 396, 0, 212, 50, 28, 15, 7, 4, 149, 44, 16, 4, 1, 23, 395, 41, 0, 0, 212, 50, 28, 15, 7, 4, 148, 296, 33, 25, 26, 7, 2.0, 17.0, 26.0, 0, 3, 14, 12, 2, 0, 19, 0, 6, 6, 1, 1, 0.0, 7, 1, 0, 0, 0, 7, 7, 6.06, 51.52, 78.79, 75.796875, 50.0, 50.0, 0, 21.3984375, 42.3984375, 0.0, 42.8984375, 42.8984375, 7.099609375, 7.1, 0.0, 85.6875, 50.0, 14.298828125, 7.099609375, 0.0, 0.0, 141.0, 32.0, 5.0, 3.0, 130.0, "Tous les candidats", 1766.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "27743", "Licence - Portail Droit - Droit Limoges", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27742&g_ta_cod=27743", 91.0, 6.0, 3.0),
(6583, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : Espagnol Monolingue et Bilingue", "Licence - Arts-lettres-langues", "LLCER : Espagnol Monolingue et Bilingue", 130, 458, 365, 398, 0, 277, 78, 32, 11, 14, 8, 75, 60, 7, 9, 1, 43, 398, 55, 0, 0, 277, 78, 32, 11, 14, 8, 75, 453, 60, 50, 39, 21, 36.0, 39.0, 50.0, 0, 13, 37, 30, 6, 1, 23, 0, 15, 11, 10, 1, 0.0, 19, 2, 1, 0, 0, 26, 26, 60.0, 65.0, 83.33, 83.296875, 70.296875, 70.296875, 0, 35.09375, 61.6953125, 0.0, 40.5, 29.69921875, 27.0, 2.7, 0.0, 81.09375, 51.3984375, 16.19921875, 5.3994140625, 2.69970703125, 2.69970703125, 284.0, 79.0, 15.0, 9.0, 113.0, "Tous les candidats", 398.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5563", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : Espagnol Monolingue et Bilingue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5563&g_ta_cod=5563", 77.0, 13.0, 10.0),
(6584, "Public", "0521128U", "CNAM grand est - Chaumont", "52", "Haute-Marne", "Grand Est", "Reims", "Chaumont", "formation sélective", "Autre formation", "CNAM grand est - Chaumont - Formation Supérieure de Spécialisation - Informatique - intégration web", "Diplôme d'Université", "Informatique - intégration web", 15, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 0, 2, 2, 10, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 1, 1, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 0.0, 0.0, 0.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34910", "Formation Supérieure de Spécialisation - Informatique - intégration web", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34910&g_ta_cod=34910", 0.0, 100.0, 0.0),
(6585, "Public", "0680016Y", "Lycée Theodore Deck", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Guebwiller", "formation sélective", "BTS", "Lycée Theodore Deck - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 12, 156, 7, 156, 0, 3, 0, 31, 7, 86, 29, 36, 0, 0, 0, 0, 0, 121, 0, 0, 0, 3, 0, 31, 7, 73, 22, 14, 53, 11, 0, 11, 0, 2.0, 8.0, 10.0, 0, 3, 11, 1, 2, 8, 0, 0, 4, 5, 2, 0, 0.0, 0, 1, 6, 5, 0, 11, 11, 18.18, 72.73, 90.91, 0.0, 100.0, 100.0, 45.5, 27.296875, 100.0, 0.0, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 9.099609375, 0.0, 18.19921875, 9.099609375, 72.6875, 54.5, 3.0, 0.0, 35.0, 11.0, 1.0, "Tous les candidats sauf les Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 54, "", 0, "Liste d'appel propre à cette formation", 51.0, "8093", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8093&g_ta_cod=8093", 9.0, 18.0, 73.0),
(6586, "Privé sous contrat d'association", "0753840S", "Lycée Stanislas", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Stanislas - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 42, 1416, 700, 1416, 930, 1309, 51, 0, 0, 0, 0, 107, 0, 0, 0, 0, 0, 346, 0, 282, 296, 346, 4, 0, 0, 0, 0, 0, 119, 42, 21, 42, 0, 21.0, 42.0, 42.0, 24, 0, 42, 42, 0, 0, 0, 0, 0, 0, 7, 30, 5.0, 42, 0, 0, 19, 10, 31, 34, 50.0, 100.0, 100.0, 50.0, 73.796875, 81.0, 45.1953125, 0.0, 100.0, 0.0, 0.0, 0.0, 16.69921875, 71.4, 11.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 119.0, 2.0, 0.0, 0.0, 0.0, "Tous les candidats", 165.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "31372", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31372&g_ta_cod=31372", 100.0, 0.0, 0.0),
(6587, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation non sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, Littératures et Civilisations Étrangères et Régionales - Anglais", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Étrangères et Régionales - Anglais", 125, 654, 490, 650, 0, 432, 83, 46, 17, 14, 5, 158, 4, 1, 0, 1, 2, 650, 3, 0, 0, 432, 83, 46, 17, 14, 5, 158, 515, 126, 85, 121, 2, 11.0, 114.0, 117.0, 0, 17, 85, 75, 8, 2, 41, 1, 40, 33, 8, 3, 0.0, 40, 3, 1, 0, 0, 76, 76, 8.73, 90.48, 92.86, 67.5, 89.390625, 89.390625, 0, 20.0, 67.5, 1.199951171875, 47.09375, 38.796875, 9.3984375, 3.5, 0.0, 88.1875, 47.09375, 9.3984375, 3.5, 2.39990234375, 1.199951171875, 364.0, 66.0, 9.0, 3.0, 114.0, "Tous les candidats", 602.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "11647", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, Littératures et Civilisations Étrangères et Régionales - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11647&g_ta_cod=11647", 86.0, 10.0, 5.0),
(6588, "Public", "0140013N", "Lycée Malherbe", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "CPGE", "Lycée Malherbe - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 724, 470, 714, 414, 510, 70, 1, 1, 0, 0, 203, 10, 2, 0, 0, 8, 518, 5, 330, 496, 490, 67, 0, 0, 0, 0, 28, 378, 78, 53, 76, 1, 20.0, 73.0, 76.0, 32, 10, 74, 74, 0, 0, 3, 1, 1, 12, 38, 20, 2.0, 72, 0, 0, 5, 4, 61, 61, 25.64, 93.59, 97.44, 67.890625, 82.390625, 82.390625, 6.7998046875, 13.5, 94.890625, 1.39990234375, 1.39990234375, 16.19921875, 51.3984375, 27.0, 2.7, 100.0, 97.296875, 0.0, 0.0, 0.0, 0.0, 356.0, 43.0, 0.0, 0.0, 22.0, "Tous les candidats", 518.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "2820", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2820&g_ta_cod=2820", 100.0, 0.0, 0.0),
(6589, "Public", "0692866R", "Lycée La Martiniere Monplaisir", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "CPGE", "Lycée La Martiniere Monplaisir - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 4203, 1246, 4203, 3127, 3635, 360, 3, 1, 1, 0, 564, 0, 0, 0, 0, 0, 1800, 0, 1425, 1766, 1785, 139, 0, 0, 0, 0, 15, 644, 89, 28, 89, 0, 15.0, 47.0, 76.0, 37, 13, 86, 86, 0, 0, 3, 0, 0, 1, 15, 60, 10.0, 86, 0, 0, 4, 1, 57, 57, 16.85, 52.81, 85.39, 31.5, 66.296875, 66.296875, 4.69921875, 15.099609375, 96.59375, 0.0, 0.0, 1.199951171875, 17.3984375, 69.8, 11.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 629.0, 82.0, 0.0, 0.0, 15.0, "Tous les candidats", 957.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "8550", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8550&g_ta_cod=8550", 100.0, 0.0, 0.0),
(6590, "Public", "0240007C", "Lycée des métiers de l'hôtellerie, de la gastronomie et des services en Périgord Jean Capelle", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Bergerac", "formation sélective", "BTS", "Lycée des métiers de l'hôtellerie, de la gastronomie et des services en Périgord Jean Capelle - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 24, 146, 74, 146, 0, 0, 0, 28, 4, 100, 33, 18, 0, 0, 0, 0, 0, 139, 0, 0, 0, 0, 0, 25, 4, 99, 32, 15, 97, 18, 3, 17, 0, 7.0, 14.0, 17.0, 0, 7, 18, 0, 1, 17, 0, 0, 4, 6, 7, 1, 0.0, 0, 0, 14, 8, 2, 15, 15, 38.89, 77.78, 94.44, 16.69921875, 83.296875, 83.296875, 44.3984375, 38.8984375, 100.0, 0.0, 22.19921875, 33.296875, 38.8984375, 5.6, 0.0, 0.0, 0.0, 5.599609375, 0.0, 94.390625, 77.796875, 0.0, 0.0, 79.0, 27.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 99, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 90.0, "19268", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19268&g_ta_cod=19268", 0.0, 6.0, 94.0),
(6591, "Public", "0920144G", "Lycée Agora", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Puteaux", "formation sélective", "BTS", "Lycée Agora - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 1165, 94, 1165, 0, 95, 26, 372, 151, 305, 122, 393, 0, 0, 0, 0, 0, 602, 0, 0, 0, 90, 24, 219, 74, 177, 76, 116, 161, 30, 1, 30, 0, 4.0, 23.0, 30.0, 0, 7, 24, 3, 10, 11, 6, 0, 6, 10, 6, 2, 0.0, 1, 6, 11, 1, 0, 18, 24, 13.33, 76.67, 100.0, 3.2998046875, 75.0, 100.0, 4.19921875, 29.19921875, 80.0, 0.0, 25.0, 41.6953125, 25.0, 8.3, 0.0, 12.5, 4.19921875, 41.6953125, 25.0, 45.796875, 45.796875, 13.0, 5.0, 55.0, 25.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 94, "Bacheliers technologiques toutes séries", 165, "Liste d'appel propre à cette formation", 24.0, "11009", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11009&g_ta_cod=11009", 13.0, 47.0, 40.0),
(6592, "Public", "0450049J", "Lycée Pothier", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "CPGE", "Lycée Pothier - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 794, 494, 787, 575, 630, 71, 0, 0, 0, 0, 157, 7, 2, 0, 0, 5, 672, 1, 575, 489, 597, 63, 0, 0, 0, 0, 75, 339, 44, 33, 43, 1, 6.0, 24.0, 41.0, 17, 3, 42, 42, 0, 0, 2, 0, 0, 1, 18, 19, 4.0, 42, 0, 0, 2, 2, 25, 25, 13.64, 54.55, 93.18, 75.0, 59.5, 59.5, 4.7998046875, 7.099609375, 95.5, 0.0, 0.0, 2.39990234375, 42.8984375, 45.2, 9.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 328.0, 32.0, 0.0, 0.0, 11.0, "Tous les candidats", 505.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "5654", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5654&g_ta_cod=5654", 100.0, 0.0, 0.0),
(6593, "Public", "0320067Z", "Lycée des Métiers - Le Garros", "32", "Gers", "Occitanie", "Toulouse", "Auch", "formation sélective", "BTS", "Lycée des Métiers - Le Garros - BTS - Production - Bâtiment", "BTS - Production", "", 24, 314, 50, 308, 0, 27, 7, 116, 17, 78, 26, 87, 6, 0, 0, 4, 2, 308, 2, 0, 0, 27, 7, 116, 17, 78, 26, 87, 141, 22, 4, 21, 1, 1.0, 11.0, 21.0, 0, 5, 16, 2, 7, 7, 6, 0, 7, 6, 2, 1, 0.0, 1, 2, 6, 2, 0, 14, 14, 4.55, 50.0, 95.45, 18.19921875, 87.5, 87.5, 12.5, 31.296875, 72.6875, 0.0, 43.796875, 37.5, 12.5, 6.3, 0.0, 12.5, 6.2998046875, 43.796875, 12.5, 43.796875, 37.5, 12.0, 3.0, 51.0, 18.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 68.0, "4255", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4255&g_ta_cod=4255", 27.0, 41.0, 32.0),
(6594, "Public", "0762762P", "Université Le Havre Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation non sélective", "Licence_Las", "Université Le Havre Normandie - Licence - Portail Economie et gestion - Eco-Gestion Classique", "Licence - Droit-économie-gestion", "Eco-Gestion Classique", 24, 231, 139, 218, 0, 130, 36, 14, 4, 9, 6, 65, 13, 3, 0, 1, 9, 213, 11, 0, 0, 130, 36, 14, 4, 9, 6, 60, 162, 23, 17, 17, 6, 0.0, 11.0, 18.0, 0, 2, 14, 11, 1, 2, 9, 0, 7, 5, 2, 0, 0.0, 4, 1, 2, 0, 0, 12, 12, 0.0, 47.83, 78.26, 73.890625, 85.6875, 85.6875, 0, 14.298828125, 60.8984375, 0.0, 50.0, 35.6953125, 14.298828125, 0.0, 0.0, 78.59375, 28.59765625, 7.099609375, 7.099609375, 14.298828125, 14.298828125, 100.0, 24.0, 6.0, 3.0, 49.0, "Tous les candidats", 975.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "27023", "Licence - Portail Economie et gestion - Eco-Gestion Classique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27022&g_ta_cod=27023", 78.0, 13.0, 9.0),
(6595, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Histoire / Géographie et aménagement - HISTOIRE - GEOGRAPHIE", "Licence - Sciences humaines et sociales", "HISTOIRE - GEOGRAPHIE", 50, 646, 287, 646, 0, 439, 64, 27, 1, 7, 0, 173, 0, 0, 0, 0, 0, 604, 0, 0, 0, 417, 63, 25, 1, 7, 0, 155, 236, 46, 15, 46, 0, 1.0, 25.0, 42.0, 0, 3, 31, 30, 0, 1, 15, 0, 2, 6, 14, 9, 0.0, 28, 0, 1, 0, 0, 5, 27, 2.17, 54.35, 91.3, 32.59375, 16.09765625, 87.09375, 0, 9.69921875, 67.390625, 0.0, 6.5, 19.3984375, 45.1953125, 29.0, 0.0, 96.796875, 90.296875, 0.0, 0.0, 3.19970703125, 3.19970703125, 143.0, 20.0, 1.0, 0.0, 89.0, "Tous les candidats", 379.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "9309", "Double licence - Histoire / Géographie et aménagement - HISTOIRE - GEOGRAPHIE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9309&g_ta_cod=9309", 96.0, 2.0, 2.0),
(6596, "Privé sous contrat d'association", "0690542P", "Lycée LES CHASSAGNES", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Oullins", "formation sélective", "BTS", "Lycée LES CHASSAGNES - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 58, 790, 371, 725, 0, 87, 14, 316, 87, 164, 59, 158, 65, 4, 23, 21, 17, 388, 18, 0, 0, 48, 6, 198, 49, 90, 24, 52, 294, 45, 18, 34, 6, 5.0, 23.0, 30.0, 0, 8, 35, 4, 22, 9, 10, 0, 16, 12, 6, 1, 0.0, 3, 10, 6, 0, 0, 28, 28, 11.11, 51.11, 66.67, 40.0, 80.0, 80.0, 0, 22.8984375, 77.796875, 0.0, 45.6953125, 34.296875, 17.09765625, 2.9, 0.0, 11.3984375, 8.599609375, 62.8984375, 28.59765625, 25.69921875, 17.09765625, 29.0, 4.0, 66.0, 18.0, 35.0, "Tous les candidats sauf les Bac professionnels", 266.0, "Bacheliers professionnels toutes séries", 69, "", 0, "Liste d'appel propre à cette formation", 46.0, "8300", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8300&g_ta_cod=8300", 13.0, 67.0, 20.0),
(6597, "Privé sous contrat d'association", "0730760E", "Lycée Jeanne D'Arc", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Albertville", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 12, 67, 34, 59, 0, 8, 2, 15, 4, 20, 7, 16, 8, 0, 2, 2, 4, 52, 1, 0, 0, 8, 2, 12, 3, 19, 6, 13, 35, 5, 3, 5, 0, 2.0, 5.0, 5.0, 0, 0, 2, 1, 0, 1, 3, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 40.0, 100.0, 100.0, 60.0, 100.0, 100.0, 0, 0.0, 40.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 6.0, 2.0, 14.0, 4.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 76.0, "8797", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8797&g_ta_cod=8797", 60.0, 20.0, 20.0),
(6598, "Privé sous contrat d'association", "0290170C", "Lycée Le Likès", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Le Likès - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 119, 5, 116, 0, 7, 2, 20, 3, 69, 12, 20, 3, 0, 1, 0, 2, 109, 1, 0, 0, 7, 2, 20, 3, 69, 12, 13, 59, 12, 0, 12, 0, 4.0, 12.0, 12.0, 0, 0, 11, 1, 1, 9, 1, 0, 2, 0, 8, 1, 0.0, 0, 0, 9, 1, 0, 11, 11, 33.33, 100.0, 100.0, 0.0, 100.0, 100.0, 9.099609375, 0.0, 91.6875, 0.0, 18.19921875, 0.0, 72.6875, 9.1, 0.0, 9.099609375, 0.0, 9.099609375, 0.0, 81.796875, 81.796875, 3.0, 1.0, 36.0, 7.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 62.0, "3814", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3814&g_ta_cod=3814", 8.0, 17.0, 75.0),
(6599, "Privé sous contrat d'association", "0381678T", "Lycée Robin", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vienne", "formation sélective", "BTS", "Lycée Robin - BTS - Services - Gestion de la PME (Seconde année possible en apprentissage)", "BTS - Services", "", 24, 168, 111, 161, 0, 15, 0, 55, 15, 54, 24, 37, 7, 1, 0, 1, 5, 128, 1, 0, 0, 15, 0, 49, 11, 47, 21, 17, 92, 20, 19, 19, 1, 5.0, 18.0, 18.0, 0, 9, 17, 2, 3, 12, 3, 1, 6, 10, 0, 0, 0.0, 1, 1, 8, 5, 4, 17, 17, 25.0, 90.0, 90.0, 95.0, 100.0, 100.0, 29.3984375, 52.8984375, 85.0, 5.8994140625, 35.296875, 58.796875, 0.0, 0.0, 0.0, 11.798828125, 5.8994140625, 17.59765625, 5.8994140625, 70.59375, 47.09375, 13.0, 0.0, 39.0, 17.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 70.0, "4986", "BTS - Services - Gestion de la PME (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4986&g_ta_cod=4986", 15.0, 20.0, 65.0),
(6600, "Privé sous contrat d'association", "0660059F", "Lycée Notre-Dame De Bon Secours", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée Notre-Dame De Bon Secours - BTS - Services - Commerce International", "BTS - Services", "", 36, 369, 197, 369, 0, 128, 39, 121, 45, 34, 15, 86, 0, 0, 0, 0, 0, 222, 0, 0, 0, 108, 32, 75, 25, 14, 4, 25, 125, 36, 28, 36, 0, 7.0, 34.0, 35.0, 0, 10, 30, 12, 14, 4, 6, 0, 2, 19, 7, 2, 0.0, 10, 14, 4, 8, 5, 28, 28, 19.44, 94.44, 97.22, 77.796875, 93.296875, 93.296875, 26.69921875, 33.296875, 83.296875, 0.0, 6.69921875, 63.296875, 23.296875, 6.7, 0.0, 40.0, 33.296875, 46.6953125, 46.6953125, 13.298828125, 13.298828125, 70.0, 23.0, 8.0, 3.0, 10.0, "Tous les candidats sauf les Bac professionnels", 146.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 42.0, "7861", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7861&g_ta_cod=7861", 47.0, 42.0, 11.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(6601, "Privé enseignement supérieur", "0142124H", "Ecole de management de Normandie - Campus de Caen", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 50, 1699, 795, 1689, 0, 1522, 40, 55, 2, 3, 1, 109, 10, 6, 0, 0, 4, 1543, 6, 0, 0, 1412, 36, 37, 1, 1, 1, 93, 1053, 37, 20, 34, 3, 19.0, 34.0, 37.0, 0, 1, 36, 34, 2, 0, 1, 0, 2, 10, 21, 3, 0.0, 32, 2, 0, 0, 0, 14, 14, 51.35, 91.89, 100.0, 54.09375, 38.8984375, 38.8984375, 0, 2.7998046875, 97.296875, 0.0, 5.599609375, 27.796875, 58.296875, 8.3, 0.0, 94.390625, 88.890625, 5.599609375, 5.599609375, 0.0, 0.0, 972.0, 29.0, 1.0, 1.0, 56.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "31978", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=31978", 95.0, 5.0, 0.0),
(6602, "Public", "0511901P", "Lycée Colbert", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Colbert - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 72, 1944, 956, 1866, 0, 212, 54, 528, 212, 412, 193, 714, 78, 2, 12, 28, 36, 541, 24, 0, 0, 88, 19, 200, 76, 189, 69, 64, 336, 60, 33, 49, 10, 5.0, 37.0, 45.0, 0, 20, 48, 5, 22, 21, 12, 0, 17, 27, 4, 0, 0.0, 2, 16, 13, 5, 2, 42, 42, 8.33, 61.67, 75.0, 55.0, 87.5, 87.5, 10.3984375, 41.6953125, 80.0, 0.0, 35.3984375, 56.296875, 8.298828125, 0.0, 0.0, 10.3984375, 4.19921875, 45.796875, 33.296875, 43.796875, 27.09765625, 32.0, 6.0, 144.0, 56.0, 54.0, "Tous les candidats sauf les Bac professionnels", 244.0, "Bacheliers professionnels toutes séries", 200, "", 0, "Liste d'appel propre à cette formation", 24.0, "6149", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6149&g_ta_cod=6149", 23.0, 38.0, 38.0),
(6603, "Privé sous contrat d'association", "0560181T", "Lycée St Joseph - LaSalle Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BTS", "Lycée St Joseph - LaSalle Lorient - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 21, 183, 9, 175, 0, 4, 0, 53, 7, 61, 16, 57, 8, 0, 3, 1, 4, 115, 0, 0, 0, 4, 0, 53, 7, 44, 9, 14, 92, 17, 1, 16, 0, 6.0, 16.0, 16.0, 0, 1, 13, 1, 4, 8, 4, 0, 6, 3, 3, 1, 0.0, 0, 1, 6, 8, 0, 12, 12, 35.29, 94.12, 94.12, 5.8994140625, 92.296875, 92.296875, 61.5, 7.69921875, 76.5, 0.0, 46.1953125, 23.09765625, 23.09765625, 7.7, 0.0, 7.69921875, 0.0, 30.796875, 7.69921875, 61.5, 46.1953125, 4.0, 1.0, 39.0, 8.0, 12.0, "Tous les candidats sauf les Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 66.0, "6452", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6452&g_ta_cod=6452", 6.0, 41.0, 53.0),
(6604, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Portail Licence 1ère année Portail Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "Licence 1ère année Portail Sciences pour l'ingénieur", 90, 965, 226, 882, 0, 546, 87, 61, 15, 6, 4, 269, 83, 10, 1, 0, 72, 858, 52, 0, 0, 546, 87, 61, 15, 6, 4, 245, 612, 52, 13, 37, 15, 2.0, 37.0, 44.0, 0, 10, 26, 21, 4, 1, 26, 0, 13, 11, 2, 0, 0.0, 10, 2, 1, 0, 0, 21, 21, 3.85, 71.15, 84.62, 25.0, 80.796875, 80.796875, 0, 38.5, 50.0, 0.0, 50.0, 42.296875, 7.69921875, 0.0, 0.0, 80.796875, 38.5, 15.3984375, 7.69921875, 3.7998046875, 3.7998046875, 363.0, 60.0, 5.0, 4.0, 223.0, "Tous les candidats", 963.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "6326", "Licence - Portail Licence 1ère année Portail Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26966&g_ta_cod=6326", 79.0, 17.0, 4.0),
(6605, "Privé sous contrat d'association", "0350797B", "Lycée Jeanne d'Arc", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Jeanne d'Arc - BTS - Services - Communication", "BTS - Services", "", 35, 704, 535, 702, 0, 203, 24, 265, 38, 58, 15, 176, 2, 0, 0, 2, 0, 373, 0, 0, 0, 94, 11, 168, 20, 45, 11, 66, 106, 38, 23, 38, 0, 11.0, 32.0, 35.0, 0, 5, 26, 3, 18, 5, 12, 0, 1, 15, 7, 3, 0.0, 3, 18, 4, 8, 6, 26, 26, 28.95, 84.21, 92.11, 60.5, 100.0, 100.0, 30.796875, 19.19921875, 68.390625, 0.0, 3.7998046875, 57.6953125, 26.8984375, 11.5, 0.0, 11.5, 11.5, 69.1875, 69.1875, 19.19921875, 15.3984375, 14.0, 3.0, 23.0, 7.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 17.0, "4698", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4698&g_ta_cod=4698", 32.0, 53.0, 16.0),
(6606, "Public", "0220060W", "Lycée Eugene Freyssinet", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée Eugene Freyssinet - BTS - Production - Management économique de la construction", "BTS - Production", "", 30, 241, 61, 233, 0, 32, 2, 69, 5, 96, 24, 36, 8, 0, 0, 3, 5, 168, 1, 0, 0, 29, 1, 57, 5, 71, 15, 11, 119, 29, 8, 26, 1, 7.0, 18.0, 27.0, 0, 1, 25, 4, 7, 14, 4, 0, 10, 12, 3, 0, 0.0, 1, 4, 10, 4, 3, 21, 21, 24.14, 62.07, 93.1, 27.59765625, 84.0, 84.0, 16, 4.0, 86.1875, 0.0, 40.0, 48.0, 12.0, 0.0, 0.0, 16.0, 4.0, 28.0, 16.0, 56.0, 40.0, 22.0, 1.0, 54.0, 13.0, 9.0, "Tous les candidats sauf les Bac professionnels", 95.0, "Bacheliers professionnels toutes séries", 71, "", 0, "Liste d'appel propre à cette formation", 71.0, "3329", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3329&g_ta_cod=3329", 17.0, 34.0, 48.0),
(6607, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Portail Biologie Biochimie Terre et Environnement - BBTE", "Licence - Sciences - technologies - santé", "Biologie Biochimie Terre et Environnement - BBTE : Sciences de la vie", 128, 1574, 1077, 1556, 0, 963, 143, 54, 13, 4, 2, 535, 18, 3, 1, 0, 14, 1547, 14, 0, 0, 963, 143, 54, 13, 4, 2, 526, 783, 123, 82, 117, 6, 4.0, 57.0, 94.0, 0, 14, 81, 78, 3, 0, 42, 0, 19, 40, 19, 2, 1.0, 61, 1, 0, 0, 0, 49, 49, 3.25, 46.34, 76.42, 66.6875, 60.5, 60.5, 0, 17.296875, 65.890625, 0.0, 23.5, 49.3984375, 23.5, 2.5, 1.2, 96.296875, 75.296875, 3.69970703125, 1.199951171875, 0.0, 0.0, 481.0, 70.0, 0.0, 0.0, 294.0, "Tous les candidats", 1245.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 72.0, "23348", "Licence - Portail Biologie Biochimie Terre et Environnement - BBTE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23345&g_ta_cod=23348", 93.0, 7.0, 0.0),
(6608, "Privé sous contrat d'association", "0320051G", "Lycée Oratoire Sainte-Marie", "32", "Gers", "Occitanie", "Toulouse", "Auch", "formation sélective", "BTS", "Lycée Oratoire Sainte-Marie - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 166, 148, 159, 0, 16, 2, 45, 12, 63, 21, 35, 7, 0, 3, 1, 3, 159, 3, 0, 0, 16, 2, 45, 12, 63, 21, 35, 110, 22, 17, 21, 1, 3.0, 17.0, 19.0, 0, 8, 18, 5, 3, 10, 4, 0, 9, 8, 1, 0, 0.0, 2, 0, 7, 1, 1, 14, 14, 13.64, 77.27, 86.36, 77.296875, 77.796875, 77.796875, 5.599609375, 44.3984375, 81.796875, 0.0, 50.0, 44.3984375, 5.599609375, 0.0, 0.0, 27.796875, 11.099609375, 16.69921875, 0.0, 55.59375, 38.8984375, 9.0, 2.0, 48.0, 16.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 81.0, "13570", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13570&g_ta_cod=13570", 23.0, 27.0, 50.0),
(6609, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Anglais - Allemand", "Licence - Arts-lettres-langues", "Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Anglais - Allemand", 40, 128, 95, 80, 0, 60, 11, 2, 1, 1, 0, 17, 48, 6, 1, 2, 39, 79, 43, 0, 0, 60, 11, 2, 1, 1, 0, 16, 122, 14, 12, 8, 6, 8.0, 8.0, 13.0, 0, 3, 9, 7, 0, 2, 5, 0, 3, 3, 3, 0, 0.0, 5, 0, 1, 0, 0, 4, 4, 57.14, 57.14, 92.86, 85.6875, 44.3984375, 44.3984375, 0, 33.296875, 64.296875, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 77.796875, 55.59375, 0.0, 0.0, 22.19921875, 11.099609375, 66.0, 12.0, 3.0, 0.0, 51.0, "Tous les candidats", 79.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "18401", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Anglais - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18401&g_ta_cod=18401", 86.0, 0.0, 14.0),
(6610, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation non sélective", "Licence", "Université Gustave Eiffel - Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales - Parcours MASS (Mathématiques Appliquées et Sciences Sociales)", "Licence - Sciences - technologies - santé", "MASS (Mathématiques Appliquées et Sciences Sociales)", 52, 395, 134, 395, 0, 262, 63, 4, 2, 1, 1, 128, 0, 0, 0, 0, 0, 395, 0, 0, 0, 262, 63, 4, 2, 1, 1, 128, 267, 50, 13, 50, 0, 18.0, 29.0, 40.0, 0, 8, 33, 33, 0, 0, 17, 0, 17, 11, 5, 0, 0.0, 16, 0, 0, 0, 0, 27, 29, 36.0, 58.0, 80.0, 26.0, 81.796875, 87.890625, 0, 24.19921875, 66.0, 0.0, 51.5, 33.296875, 15.19921875, 0.0, 0.0, 100.0, 48.5, 0.0, 0.0, 0.0, 0.0, 189.0, 45.0, 0.0, 0.0, 78.0, "Tous les candidats", 266.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "9927", "Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales - Parcours MASS (Mathématiques Appliquées et Sciences Sociales)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9927&g_ta_cod=9927", 100.0, 0.0, 0.0),
(6611, "Public", "0142409T", "Unité de formation et de recherche de Santé - Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "Autre formation", "Regroupement Normandie et Amiens - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 35, 1855, 1792, 1855, 0, 637, 60, 33, 9, 0, 0, 1185, 0, 0, 0, 0, 0, 367, 0, 0, 0, 179, 5, 1, 0, 0, 0, 187, 110, 35, 32, 35, 0, 6.0, 35.0, 35.0, 0, 1, 19, 19, 0, 0, 16, 0, 0, 0, 9, 10, 0.0, 19, 0, 0, 0, 0, 8, 8, 17.14, 100.0, 100.0, 91.390625, 42.09375, 42.09375, 0, 5.2998046875, 54.296875, 0.0, 0.0, 0.0, 47.3984375, 52.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 46.0, 4.0, 0.0, 0.0, 64.0, "Tous les candidats", 143.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 7.0, "28221", "Certificat de capacité d'Orthophoniste", "Regroupement Normandie et Amiens", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28220&g_ta_cod=28221", 100.0, 0.0, 0.0),
(6612, "Public", "0630077S", "Lycée Ambroise Brugiere", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "CPGE", "Lycée Ambroise Brugiere - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 40, 603, 370, 586, 380, 409, 40, 1, 0, 1, 0, 175, 17, 8, 1, 0, 8, 424, 11, 308, 416, 377, 31, 0, 0, 0, 0, 47, 300, 17, 6, 16, 1, 1.0, 16.0, 17.0, 4, 4, 11, 11, 0, 0, 6, 0, 1, 4, 3, 3, 0.0, 10, 0, 0, 1, 0, 2, 2, 5.88, 94.12, 100.0, 35.296875, 18.19921875, 18.19921875, 9.099609375, 36.3984375, 64.6875, 0.0, 9.099609375, 36.3984375, 27.296875, 27.3, 0.0, 100.0, 90.890625, 0.0, 0.0, 0.0, 0.0, 264.0, 22.0, 0.0, 0.0, 36.0, "Tous les candidats", 424.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "20372", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20372&g_ta_cod=20372", 100.0, 0.0, 0.0),
(6613, "Public", "0622801H", "Lycée professionnel des Travaux Publics", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Bruay-la-Buissière", "formation sélective", "BTS", "Lycée professionnel des Travaux Publics - BTS - Production - Maintenance des matériels de construction et de manutention", "BTS - Production", "", 15, 71, 7, 68, 0, 0, 0, 10, 3, 23, 6, 35, 3, 0, 0, 2, 1, 19, 1, 0, 0, 0, 0, 4, 1, 14, 4, 1, 21, 3, 0, 3, 0, 3.0, 3.0, 3.0, 0, 1, 2, 0, 0, 2, 1, 0, 0, 1, 1, 0, 0.0, 0, 0, 2, 2, 0, 2, 2, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 100, 50.0, 66.6875, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 16.0, 6.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 4, "Liste d'appel propre à cette formation", 28.0, "19773", "BTS - Production - Maintenance des matériels de construction et de manutention", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19773&g_ta_cod=19773", 0.0, 0.0, 100.0),
(6614, "Public", "0831559U", "Lycée Maurice JANETTI", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Saint-Maximin-la-Sainte-Baume", "formation sélective", "Autre formation", "Lycée Maurice JANETTI - Mention complémentaire - Technicien ascensoriste, service et modernisation", "Mention complémentaire", "", 15, 49, 0, 45, 0, 0, 0, 1, 0, 36, 17, 8, 4, 0, 0, 4, 0, 19, 4, 0, 0, 0, 0, 1, 0, 18, 7, 0, 23, 8, 0, 7, 1, 6.0, 7.0, 8.0, 0, 3, 8, 0, 0, 8, 0, 0, 2, 4, 2, 0, 0.0, 0, 0, 6, 0, 0, 7, 7, 75.0, 87.5, 100.0, 0.0, 87.5, 87.5, 0, 37.5, 100.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 22.0, 8.0, 0.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "28382", "Mention complémentaire - Technicien ascensoriste, service et modernisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28382&g_ta_cod=28382", 0.0, 0.0, 100.0),
(6615, "Public", "0770931U", "Lycée Pierre de Coubertin", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "BTS", "Lycée Pierre de Coubertin - BTS - Production - Electrotechnique", "BTS - Production", "", 28, 352, 12, 261, 0, 11, 2, 49, 7, 126, 35, 75, 91, 2, 0, 57, 32, 109, 24, 0, 0, 9, 1, 36, 2, 54, 18, 10, 126, 23, 0, 13, 8, 2.0, 11.0, 16.0, 0, 6, 22, 0, 5, 17, 1, 0, 8, 9, 4, 1, 0.0, 0, 1, 13, 11, 0, 17, 22, 8.7, 47.83, 69.57, 0.0, 77.296875, 100.0, 50, 27.296875, 95.6875, 0.0, 36.3984375, 40.8984375, 18.19921875, 4.5, 0.0, 0.0, 0.0, 22.69921875, 4.5, 77.296875, 59.09375, 8.0, 1.0, 81.0, 25.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 40.0, "9805", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9805&g_ta_cod=9805", 0.0, 22.0, 78.0),
(6616, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Sciences de la vie et de la terre - Parcours International Biologie Santé", "Licence - Sciences - technologies - santé", "International Biologie Santé", 24, 970, 755, 970, 0, 590, 112, 17, 5, 0, 0, 363, 0, 0, 0, 0, 0, 613, 0, 0, 0, 527, 91, 0, 0, 0, 0, 86, 192, 24, 18, 24, 0, 0.0, 10.0, 21.0, 0, 2, 24, 24, 0, 0, 0, 0, 0, 10, 12, 2, 0.0, 24, 0, 0, 0, 0, 10, 19, 0.0, 41.67, 87.5, 75.0, 41.6953125, 79.1875, 0, 8.298828125, 100.0, 0.0, 0.0, 41.6953125, 50.0, 8.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 191.0, 23.0, 0.0, 0.0, 1.0, "Tous les candidats", 290.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "23850", "Licence - Sciences de la vie et de la terre - Parcours International Biologie Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23850&g_ta_cod=23850", 100.0, 0.0, 0.0),
(6617, "Privé sous contrat d'association", "0754030Y", "Lycée Albert de Mun", "75", "Paris", "Ile-de-France", "Paris", "Paris  7e  Arrondissement", "formation sélective", "BTS", "Lycée Albert de Mun - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 52, 306, 121, 304, 0, 0, 0, 80, 12, 120, 23, 104, 2, 0, 1, 0, 1, 304, 0, 0, 0, 0, 0, 80, 12, 120, 23, 104, 198, 44, 17, 44, 0, 13.0, 38.0, 44.0, 0, 4, 25, 0, 10, 15, 19, 1, 7, 10, 5, 2, 0.0, 0, 6, 11, 14, 6, 16, 23, 29.55, 86.36, 100.0, 38.59375, 64.0, 92.0, 56, 16.0, 56.796875, 4.0, 28.0, 40.0, 20.0, 8.0, 0.0, 0.0, 0.0, 40.0, 24.0, 60.0, 44.0, 0.0, 0.0, 88.0, 13.0, 61.0, "Tous les candidats sauf les Bac professionnels", 163.0, "Bacheliers professionnels toutes séries", 141, "", 0, "Liste d'appel propre à cette formation", 100.0, "9499", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9499&g_ta_cod=9499", 20.0, 34.0, 45.0),
(6618, "Public", "0134061U", "IUT Aix-Marseille - Site d'Aix-En-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BUT", "IUT Aix-Marseille - Site d'Aix-En-Provence - BUT - Génie mécanique et productique Parcours : Innovation pour l'industrie - Parcours : Simulation numérique et réalité virtuelle - Parcours Conception et production durable", "BUT - Production", "Innovation pour l'industrie - Parcours : Simulation numérique et réalité virtuelle - Parcours Conception et production durable", 96, 1743, 162, 1731, 0, 966, 129, 400, 78, 10, 7, 355, 12, 1, 2, 0, 9, 1389, 0, 0, 0, 872, 106, 240, 46, 0, 0, 277, 489, 92, 7, 92, 0, 8.0, 58.0, 80.0, 0, 10, 67, 34, 33, 0, 25, 0, 9, 31, 24, 3, 0.0, 27, 31, 0, 0, 0, 43, 43, 8.7, 63.04, 86.96, 7.599609375, 64.1875, 64.1875, 0, 14.8984375, 72.796875, 0.0, 13.3984375, 46.296875, 35.796875, 4.5, 0.0, 50.6953125, 40.296875, 49.296875, 46.296875, 0.0, 0.0, 192.0, 36.0, 0.0, 0.0, 165.0, "Tous les candidats sauf les Bac technologiques", 447.0, "Bacheliers technologiques toutes séries", 268, "", 0, "Liste d'appel propre à cette formation", 41.0, "2699", "BUT - Génie mécanique et productique Parcours : Innovation pour l'industrie - Parcours : Simulation numérique et réalité virtuelle - Parcours Conception et production durable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2699&g_ta_cod=2699", 61.0, 39.0, 0.0),
(6619, "Public", "0830165D", "I.U.T de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation sélective", "BUT", "I.U.T de Toulon - BUT - Génie biologique Parcours diététique et nutrition", "BUT - Production", "", 24, 799, 619, 784, 0, 332, 49, 150, 31, 2, 1, 300, 15, 3, 1, 0, 11, 559, 5, 0, 0, 290, 42, 93, 18, 0, 0, 176, 184, 21, 19, 18, 3, 2.0, 7.0, 10.0, 0, 2, 11, 8, 3, 0, 10, 0, 2, 6, 3, 0, 0.0, 7, 2, 0, 0, 0, 4, 4, 9.52, 33.33, 47.62, 90.5, 36.3984375, 36.3984375, 0, 18.19921875, 52.3984375, 0.0, 18.19921875, 54.5, 27.296875, 0.0, 0.0, 72.6875, 63.59375, 27.296875, 18.19921875, 0.0, 0.0, 90.0, 10.0, 0.0, 0.0, 59.0, "Tous les candidats sauf les Bac technologiques", 210.0, "Bacheliers technologiques toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 33.0, "10356", "BUT - Génie biologique Parcours diététique et nutrition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10356&g_ta_cod=10356", 67.0, 33.0, 0.0),
(6620, "Public", "0770918E", "Lycée Uruguay France", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Avon", "formation sélective", "BTS", "Lycée Uruguay France - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 496, 427, 496, 0, 37, 12, 109, 39, 205, 94, 145, 0, 0, 0, 0, 0, 345, 0, 0, 0, 33, 11, 90, 28, 163, 67, 59, 114, 23, 22, 23, 0, 2.0, 13.0, 16.0, 0, 6, 22, 2, 9, 11, 1, 0, 7, 12, 3, 0, 0.0, 1, 4, 10, 6, 6, 19, 19, 8.7, 56.52, 69.57, 95.6875, 86.390625, 86.390625, 27.296875, 27.296875, 95.6875, 0.0, 31.796875, 54.5, 13.599609375, 0.0, 0.0, 9.099609375, 4.5, 40.8984375, 18.19921875, 50.0, 45.5, 14.0, 5.0, 52.0, 18.0, 17.0, "Tous les candidats sauf les Bac professionnels", 78.0, "Bacheliers professionnels toutes séries", 73, "", 0, "Liste d'appel propre à cette formation", 30.0, "9778", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9778&g_ta_cod=9778", 9.0, 43.0, 48.0),
(6621, "Privé sous contrat d'association", "0133305X", "LYCEE PROFESSIONNEL PRIVE CLOVIS HUGUES", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "LYCEE PROFESSIONNEL PRIVE CLOVIS HUGUES - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 27, 182, 73, 131, 0, 26, 5, 37, 7, 25, 12, 43, 51, 11, 0, 6, 34, 61, 15, 0, 0, 14, 1, 21, 1, 10, 4, 16, 68, 24, 11, 18, 5, 7.0, 17.0, 22.0, 0, 0, 13, 5, 5, 3, 11, 0, 8, 3, 2, 0, 0.0, 1, 2, 2, 0, 0, 10, 10, 29.17, 70.83, 91.67, 45.796875, 76.890625, 76.890625, 0, 0.0, 54.1953125, 0.0, 61.5, 23.09765625, 15.3984375, 0.0, 0.0, 38.5, 7.69921875, 38.5, 15.3984375, 23.09765625, 15.3984375, 18.0, 1.0, 11.0, 4.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 41.0, "2670", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2670&g_ta_cod=2670", 46.0, 33.0, 21.0),
(6622, "Public", "0930118Y", "Lycée Jean Renoir", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bondy", "formation sélective", "BTS", "Lycée Jean Renoir - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 914, 400, 914, 0, 95, 46, 274, 166, 231, 141, 314, 0, 0, 0, 0, 0, 611, 0, 0, 0, 8, 1, 271, 165, 228, 140, 104, 149, 35, 17, 35, 0, 6.0, 27.0, 31.0, 0, 21, 30, 1, 14, 15, 5, 0, 18, 7, 3, 2, 0.0, 0, 3, 9, 5, 1, 27, 29, 17.14, 77.14, 88.57, 48.59375, 90.0, 96.6875, 16.69921875, 70.0, 85.6875, 0.0, 60.0, 23.296875, 10.0, 6.7, 0.0, 3.2998046875, 0.0, 46.6953125, 10.0, 50.0, 30.0, 1.0, 1.0, 61.0, 37.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 109, "Bacheliers technologiques toutes séries", 111, "Liste d'appel propre à cette formation", 26.0, "11169", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11169&g_ta_cod=11169", 14.0, 40.0, 46.0),
(6623, "Privé sous contrat d'association", "0251021Z", "Lycée Saint Paul", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Saint Paul - BTS - Production - Conception de produits industriels", "BTS - Production", "", 16, 166, 12, 161, 0, 18, 1, 77, 10, 23, 6, 43, 5, 1, 0, 1, 3, 129, 0, 0, 0, 15, 1, 70, 8, 19, 6, 25, 61, 15, 0, 15, 0, 4.0, 12.0, 14.0, 0, 3, 13, 1, 8, 4, 2, 0, 4, 7, 2, 0, 0.0, 0, 5, 4, 3, 0, 11, 11, 26.67, 80.0, 93.33, 0.0, 84.59375, 84.59375, 23.09765625, 23.09765625, 86.6875, 0.0, 30.796875, 53.796875, 15.3984375, 0.0, 0.0, 7.69921875, 0.0, 61.5, 38.5, 30.796875, 30.796875, 9.0, 1.0, 12.0, 5.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 57.0, "3511", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3511&g_ta_cod=3511", 7.0, 60.0, 33.0),
(6624, "Public", "0791103V", "Université de Poitiers (Site de Niort)", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation non sélective", "Licence", "Université de Poitiers (Site de Niort) - Licence - Droit - Parcours Droit et Techniques de l'Assurance", "Licence - Droit-économie-gestion", "Droit et Techniques de l'Assurance", 50, 244, 160, 221, 0, 138, 31, 46, 16, 1, 1, 36, 23, 7, 3, 0, 13, 219, 23, 0, 0, 138, 31, 46, 16, 1, 1, 34, 206, 43, 24, 34, 9, 9.0, 34.0, 40.0, 0, 8, 28, 21, 7, 0, 15, 0, 10, 11, 6, 1, 0.0, 14, 4, 0, 0, 0, 24, 24, 20.93, 79.07, 93.02, 55.796875, 85.6875, 85.6875, 0, 28.59765625, 65.09375, 0.0, 35.6953125, 39.296875, 21.3984375, 3.6, 0.0, 75.0, 50.0, 25.0, 14.298828125, 0.0, 0.0, 131.0, 29.0, 1.0, 1.0, 39.0, "Tous les candidats", 219.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "20502", "Licence - Droit - Parcours Droit et Techniques de l'Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20502&g_ta_cod=20502", 72.0, 28.0, 0.0),
(6625, "Public", "0171499M", "IFSI CH La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "IFSI", "Regroupement d'IFSI Université Poitiers - D.E Infirmier", "D.E secteur sanitaire", "", 110, 4490, 3861, 4490, 0, 970, 142, 726, 149, 559, 159, 2235, 0, 0, 0, 0, 0, 2961, 0, 0, 0, 668, 87, 541, 98, 450, 119, 1302, 588, 110, 102, 110, 0, 11.0, 67.0, 97.0, 0, 13, 69, 9, 28, 32, 41, 0, 3, 21, 33, 12, 0.0, 8, 27, 31, 0, 0, 29, 29, 10.0, 60.91, 88.18, 92.6875, 42.0, 42.0, 0, 18.796875, 62.6953125, 0.0, 4.2998046875, 30.3984375, 47.796875, 17.4, 0.0, 13.0, 11.599609375, 40.59375, 39.09375, 46.3984375, 44.8984375, 37.0, 7.0, 154.0, 50.0, 267.0, "Tous les candidats", 1025.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "23213", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22988&g_ta_cod=23213", 17.0, 35.0, 48.0),
(6626, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Gaston Berger - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 35, 728, 189, 719, 0, 39, 8, 143, 61, 180, 102, 357, 9, 0, 0, 2, 7, 291, 2, 0, 0, 29, 6, 101, 42, 98, 55, 63, 126, 29, 4, 27, 1, 13.0, 20.0, 26.0, 0, 12, 19, 1, 5, 13, 10, 0, 12, 2, 5, 0, 0.0, 0, 1, 6, 3, 0, 15, 15, 44.83, 68.97, 89.66, 13.798828125, 78.890625, 78.890625, 15.798828125, 63.1953125, 65.5, 0.0, 63.1953125, 10.5, 26.296875, 0.0, 0.0, 5.2998046875, 0.0, 26.296875, 5.2998046875, 68.390625, 31.59765625, 4.0, 0.0, 73.0, 42.0, 25.0, "Tous les candidats sauf les Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 110, "", 0, "Liste d'appel propre à cette formation", 24.0, "6865", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6865&g_ta_cod=6865", 10.0, 34.0, 55.0),
(6627, "Public", "0250010A", "Lycée Louis Pergaud", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Autre formation", "Lycée Louis Pergaud - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 425, 194, 425, 0, 176, 37, 91, 33, 6, 2, 152, 0, 0, 0, 0, 0, 231, 0, 0, 0, 139, 25, 47, 16, 0, 0, 45, 113, 33, 11, 33, 0, 8.0, 31.0, 32.0, 0, 4, 29, 23, 6, 0, 4, 0, 8, 10, 7, 4, 0.0, 15, 6, 0, 0, 0, 28, 28, 24.24, 93.94, 96.97, 33.296875, 96.59375, 96.59375, 0, 13.798828125, 87.890625, 0.0, 27.59765625, 34.5, 24.09765625, 13.8, 0.0, 79.296875, 51.6953125, 20.69921875, 20.69921875, 0.0, 0.0, 75.0, 17.0, 0.0, 0.0, 26.0, "Tous les candidats", 174.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "3468", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3468&g_ta_cod=3468", 79.0, 21.0, 0.0),
(6628, "Public", "0110023R", "Lycée polyvalent Louise Michel", "11", "Aude", "Occitanie", "Montpellier", "Narbonne", "formation sélective", "BTS", "Lycée polyvalent Louise Michel - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 258, 18, 248, 0, 6, 1, 54, 19, 97, 39, 91, 10, 2, 6, 0, 2, 163, 2, 0, 0, 6, 1, 54, 19, 96, 38, 7, 114, 25, 0, 24, 0, 5.0, 22.0, 24.0, 0, 11, 24, 4, 6, 14, 1, 0, 11, 9, 3, 1, 0.0, 0, 3, 10, 16, 0, 22, 22, 20.0, 88.0, 96.0, 0.0, 91.6875, 91.6875, 66.6875, 45.796875, 96.0, 0.0, 45.796875, 37.5, 12.5, 4.2, 0.0, 16.69921875, 0.0, 25.0, 12.5, 58.296875, 41.6953125, 8.0, 2.0, 52.0, 21.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 59.0, "2457", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2457&g_ta_cod=2457", 16.0, 28.0, 56.0),
(6629, "Public", "0932268K", "Institut National du Patrimoine (département des restaurateurs)", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "Autre formation", "Institut National du Patrimoine (département des restaurateurs) - Conservation-restauration des biens culturels - spécialité - Arts du feu (métal, céramique, émail, verre)", "Formations Bac + 5", "spécialité - Arts du feu (métal, céramique, émail, verre)", 4, 13, 11, 13, 0, 2, 0, 2, 1, 0, 0, 9, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 1, 1, 1, 0, 1.0, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 2.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "28356", "Conservation-restauration des biens culturels - spécialité - Arts du feu (métal, céramique, émail, verre)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28356&g_ta_cod=28356", 100.0, 0.0, 0.0),
(6630, "Privé enseignement supérieur", "0922007G", "EDC Paris BS", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Puteaux", "formation sélective", "Ecole de Commerce", "EDC Paris BS - Formation des écoles de commerce et de management Bac + 3 - Bachelor de responsable en gestion et management des entreprises - Parcours en français", "Formation des écoles de commerce et de management", "Bachelor de responsable en gestion et management des entreprises - Parcours en français", 40, 187, 74, 125, 0, 84, 5, 26, 3, 3, 1, 12, 62, 15, 14, 3, 30, 102, 44, 0, 0, 74, 5, 19, 3, 1, 0, 8, 131, 28, 12, 16, 12, 6.0, 16.0, 23.0, 0, 5, 21, 16, 4, 1, 7, 0, 13, 7, 1, 0, 0.0, 4, 3, 1, 0, 0, 8, 14, 21.43, 57.14, 82.14, 42.8984375, 38.09375, 66.6875, 0, 23.796875, 75.0, 0.0, 61.8984375, 33.296875, 4.7998046875, 0.0, 0.0, 76.1875, 19.0, 19.0, 14.298828125, 4.7998046875, 4.7998046875, 75.0, 9.0, 2.0, 1.0, 28.0, "Tous les candidats", 101.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "33549", "Formation des écoles de commerce et de management Bac + 3 - Bachelor de responsable en gestion et management des entreprises - Parcours en français", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33549&g_ta_cod=33549", 68.0, 25.0, 7.0),
(6631, "Privé sous contrat d'association", "0071126L", "Institut Supérieur Saint-Denis", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Annonay", "formation sélective", "BTS", "Institut Supérieur Saint-Denis - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 114, 59, 97, 0, 12, 2, 28, 6, 27, 12, 30, 17, 1, 3, 2, 11, 75, 6, 0, 0, 12, 2, 26, 6, 21, 10, 16, 62, 12, 6, 11, 1, 6.0, 11.0, 12.0, 0, 1, 8, 3, 4, 1, 4, 1, 1, 5, 1, 0, 0.0, 2, 3, 1, 1, 0, 8, 8, 50.0, 91.67, 100.0, 50.0, 100.0, 100.0, 12.5, 12.5, 66.6875, 12.5, 12.5, 62.5, 12.5, 0.0, 0.0, 37.5, 25.0, 50.0, 37.5, 12.5, 12.5, 9.0, 2.0, 18.0, 9.0, 19.0, "Tous les candidats sauf les Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 77.0, "2344", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2344&g_ta_cod=2344", 42.0, 33.0, 17.0),
(6632, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université de Montpellier - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS", "Licence - Sciences - technologies - santé", "STAPS", 540, 6313, 1906, 6313, 0, 3929, 730, 767, 194, 159, 71, 1458, 0, 0, 0, 0, 0, 6311, 0, 0, 0, 3927, 730, 767, 194, 159, 71, 1458, 1449, 539, 123, 535, 0, 168.0, 434.0, 482.0, 0, 105, 407, 354, 36, 17, 132, 0, 128, 188, 80, 11, 0.0, 242, 27, 10, 0, 0, 358, 358, 31.17, 80.52, 89.42, 22.796875, 88.0, 88.0, 0, 25.796875, 75.5, 0.0, 31.3984375, 46.1953125, 19.69921875, 2.7, 0.0, 87.0, 59.5, 8.798828125, 6.599609375, 4.19921875, 2.5, 874.0, 201.0, 39.0, 21.0, 454.0, "Tous les candidats", 1446.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "4544", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29053&g_ta_cod=4544", 86.0, 9.0, 4.0),
(6633, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Sciences de la vie", "Licence - Sciences - technologies - santé", "", 161, 5180, 3704, 5180, 0, 3125, 556, 143, 45, 3, 1, 1909, 0, 0, 0, 0, 0, 5180, 0, 0, 0, 3125, 556, 143, 45, 3, 1, 1909, 1253, 152, 108, 151, 0, 21.0, 81.0, 116.0, 0, 28, 87, 86, 1, 0, 65, 0, 1, 23, 43, 15, 5.0, 85, 1, 0, 0, 0, 21, 69, 13.82, 53.29, 76.32, 71.09375, 24.09765625, 79.296875, 0, 32.1953125, 57.1953125, 0.0, 1.099853515625, 26.3984375, 49.3984375, 17.2, 5.7, 98.890625, 97.6875, 1.099853515625, 1.099853515625, 0.0, 0.0, 718.0, 152.0, 0.0, 0.0, 534.0, "Tous les candidats", 1724.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "9343", "Licence - Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9343&g_ta_cod=9343", 97.0, 2.0, 0.0),
(6634, "Public", "0060033D", "Lycée Honoré d'Estienne d'Orves (Beau-Site)", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Honoré d'Estienne d'Orves (Beau-Site) - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 30, 683, 107, 683, 0, 108, 27, 140, 41, 137, 55, 298, 0, 0, 0, 0, 0, 373, 0, 0, 0, 101, 26, 74, 24, 120, 48, 78, 121, 31, 3, 31, 0, 5.0, 25.0, 28.0, 0, 9, 23, 7, 8, 8, 8, 0, 7, 13, 2, 1, 0.0, 4, 5, 7, 0, 0, 21, 21, 16.13, 80.65, 90.32, 9.69921875, 91.296875, 91.296875, 0, 39.09375, 74.1875, 0.0, 30.3984375, 56.5, 8.69921875, 4.3, 0.0, 30.3984375, 17.3984375, 34.796875, 21.69921875, 34.796875, 30.3984375, 27.0, 9.0, 35.0, 15.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 24.0, "2213", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2213&g_ta_cod=2213", 39.0, 32.0, 29.0),
(6635, "Public", "0660856X", "Lycée Rosa Luxemburg", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Canet-en-Roussillon", "formation sélective", "BTS", "Lycée Rosa Luxemburg - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 35, 311, 107, 286, 0, 11, 3, 86, 34, 88, 34, 101, 25, 4, 9, 0, 12, 135, 4, 0, 0, 6, 1, 58, 21, 58, 21, 13, 117, 31, 5, 29, 2, 11.0, 29.0, 30.0, 0, 11, 27, 2, 8, 17, 4, 0, 12, 9, 3, 3, 0.0, 1, 3, 11, 17, 0, 23, 23, 35.48, 93.55, 96.77, 16.09765625, 85.1875, 85.1875, 63, 40.6953125, 87.09375, 0.0, 44.3984375, 33.296875, 11.099609375, 11.1, 0.0, 7.3994140625, 3.69970703125, 29.59765625, 11.099609375, 63.0, 40.6953125, 7.0, 1.0, 42.0, 13.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 44.0, "19984", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19984&g_ta_cod=19984", 6.0, 32.0, 61.0),
(6636, "Privé sous contrat d'association", "0831458J", "Yncréa méditérranée", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 20, 107, 5, 104, 0, 0, 0, 104, 24, 0, 0, 0, 3, 0, 3, 0, 0, 93, 3, 0, 0, 0, 0, 93, 20, 0, 0, 0, 92, 13, 1, 12, 1, 11.0, 12.0, 13.0, 0, 4, 13, 0, 13, 0, 0, 0, 2, 4, 6, 1, 0.0, 0, 11, 0, 0, 0, 7, 7, 84.62, 92.31, 100.0, 7.69921875, 53.796875, 53.796875, 0, 30.796875, 100.0, 0.0, 15.3984375, 30.796875, 46.1953125, 7.7, 0.0, 0.0, 0.0, 100.0, 84.59375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "25855", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=25855", 0.0, 100.0, 0.0),
(6637, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Langues étrangères appliquées - Parcours Anglais - Allemand", "Licence - Arts-lettres-langues", "Anglais - Allemand", 50, 146, 101, 114, 0, 66, 20, 13, 6, 5, 1, 30, 32, 7, 3, 3, 19, 111, 26, 0, 0, 66, 20, 13, 6, 5, 1, 27, 128, 24, 17, 17, 7, 4.0, 16.0, 18.0, 0, 6, 13, 10, 2, 1, 11, 0, 4, 5, 3, 1, 0.0, 9, 0, 0, 0, 0, 12, 12, 16.67, 66.67, 75.0, 70.796875, 92.296875, 92.296875, 0, 46.1953125, 54.1953125, 0.0, 30.796875, 38.5, 23.09765625, 7.7, 0.0, 76.890625, 69.1875, 15.3984375, 0.0, 7.69921875, 0.0, 70.0, 20.0, 7.0, 2.0, 36.0, "Tous les candidats", 110.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "7035", "Licence - Langues étrangères appliquées - Parcours Anglais - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7035&g_ta_cod=7035", 71.0, 17.0, 13.0),
(6638, "Privé sous contrat d'association", "0340871M", "Lycée La Trinite", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation sélective", "BTS", "Lycée La Trinite - BTS - Services - Gestion de la PME", "BTS - Services", "", 40, 240, 130, 186, 0, 12, 7, 76, 27, 44, 18, 54, 54, 3, 19, 5, 27, 153, 9, 0, 0, 10, 5, 76, 27, 43, 17, 24, 146, 23, 12, 20, 3, 3.0, 19.0, 21.0, 0, 6, 17, 0, 10, 7, 6, 0, 11, 5, 1, 0, 0.0, 0, 3, 3, 2, 1, 14, 14, 13.04, 82.61, 91.3, 52.1953125, 82.390625, 82.390625, 11.798828125, 35.296875, 73.890625, 0.0, 64.6875, 29.3984375, 5.8994140625, 0.0, 0.0, 0.0, 0.0, 58.796875, 17.59765625, 41.1953125, 17.59765625, 10.0, 5.0, 41.0, 17.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 89, "Liste d'appel propre à cette formation", 82.0, "4532", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4532&g_ta_cod=4532", 4.0, 52.0, 43.0),
(6639, "Privé enseignement supérieur", "0592808G", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines - Licence - Langues étrangères appliquées - Parcours Langues et relations Internationales  - Anglais et Allemand", "Licence - Arts-lettres-langues", "Langues et relations Internationales  - Anglais et Allemand", 100, 63, 44, 46, 0, 34, 5, 3, 1, 0, 0, 9, 17, 7, 0, 2, 8, 46, 14, 0, 0, 34, 5, 3, 1, 0, 0, 9, 60, 5, 4, 3, 2, 3.0, 3.0, 5.0, 0, 1, 3, 3, 0, 0, 2, 0, 2, 0, 0, 1, 0.0, 1, 0, 0, 0, 0, 1, 1, 60.0, 60.0, 100.0, 80.0, 33.296875, 33.296875, 0, 33.296875, 60.0, 0.0, 66.6875, 0.0, 0.0, 33.3, 0.0, 100.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 40.0, 6.0, 2.0, 2.0, 15.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "33588", "Licence - Langues étrangères appliquées - Parcours Langues et relations Internationales  - Anglais et Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33588&g_ta_cod=33588", 80.0, 20.0, 0.0),
(6640, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Génie civil - Parcours Commun Maths Info Physique Chimie Génie Civil", "Licence - Sciences - technologies - santé", "Commun Maths Info Physique Chimie Génie Civil", 30, 334, 86, 288, 0, 172, 18, 41, 5, 2, 2, 73, 46, 10, 1, 0, 35, 269, 35, 0, 0, 172, 18, 41, 5, 2, 2, 54, 232, 20, 5, 9, 11, 1.0, 8.0, 15.0, 0, 3, 9, 8, 0, 1, 11, 0, 5, 4, 0, 0, 0.0, 3, 0, 1, 0, 0, 3, 3, 5.0, 40.0, 75.0, 25.0, 33.296875, 33.296875, 0, 33.296875, 45.0, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 0.0, 88.890625, 33.296875, 0.0, 0.0, 11.099609375, 11.099609375, 134.0, 13.0, 2.0, 2.0, 70.0, "Tous les candidats", 269.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "20744", "Licence - Génie civil - Parcours Commun Maths Info Physique Chimie Génie Civil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20744&g_ta_cod=20744", 80.0, 5.0, 15.0),
(6641, "Public", "0090013R", "Lycée de Mirepoix", "09", "Ardennes", "Occitanie", "Toulouse", "Mirepoix", "formation sélective", "BTS", "Lycée de Mirepoix - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 249, 33, 195, 0, 27, 10, 42, 15, 42, 19, 84, 54, 0, 11, 12, 31, 106, 23, 0, 0, 21, 8, 41, 15, 38, 17, 6, 110, 17, 1, 12, 5, 0.0, 12.0, 15.0, 0, 3, 11, 4, 4, 3, 6, 0, 8, 2, 1, 0, 0.0, 0, 1, 2, 1, 0, 2, 2, 0.0, 70.59, 88.24, 5.8994140625, 18.19921875, 18.19921875, 9.099609375, 27.296875, 64.6875, 0.0, 72.6875, 18.19921875, 9.099609375, 0.0, 0.0, 36.3984375, 0.0, 36.3984375, 9.099609375, 27.296875, 18.19921875, 19.0, 8.0, 39.0, 17.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers technologiques toutes séries", 43, "Bacheliers professionnels toutes séries", 38, "Liste d'appel propre à cette formation", 54.0, "25200", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25200&g_ta_cod=25200", 35.0, 29.0, 35.0),
(6642, "Public", "0860703X", "I.U.T. Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BUT", "I.U.T. Poitiers - BUT - Génie thermique et énergie Parcours : Management de l'énergie pour le bâtiment et l'industrie - Optimisation énergétique pour le bâtiment et l'industrie", "BUT - Production", "Management de l'énergie pour le bâtiment et l'industrie - Optimisation énergétique pour le bâtiment et l'industrie", 61, 639, 58, 613, 0, 319, 29, 206, 24, 3, 1, 85, 26, 8, 6, 0, 12, 527, 9, 0, 0, 292, 26, 172, 19, 1, 0, 62, 444, 47, 5, 42, 5, 16.0, 41.0, 45.0, 0, 6, 44, 24, 20, 0, 3, 1, 10, 25, 5, 3, 0.0, 17, 16, 0, 0, 0, 17, 17, 34.04, 87.23, 95.74, 10.599609375, 38.59375, 38.59375, 0, 13.599609375, 93.59375, 2.2998046875, 22.69921875, 56.796875, 11.3984375, 6.8, 0.0, 54.5, 38.59375, 45.5, 36.3984375, 0.0, 0.0, 255.0, 25.0, 1.0, 0.0, 54.0, "Tous les candidats sauf les Bac technologiques", 340.0, "Bacheliers technologiques toutes séries", 185, "", 0, "Liste d'appel propre à cette formation", 85.0, "10602", "BUT - Génie thermique et énergie Parcours : Management de l'énergie pour le bâtiment et l'industrie - Optimisation énergétique pour le bâtiment et l'industrie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10602&g_ta_cod=10602", 55.0, 45.0, 0.0),
(6643, "Public", "0541205S", "I.U.T de Nancy-Brabois - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Villers-lès-Nancy", "formation sélective", "BUT", "I.U.T de Nancy-Brabois - Université de Lorraine - BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", "BUT - Production", "Automatisme et Informatique Industrielle - Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", 76, 658, 33, 577, 0, 332, 54, 139, 28, 9, 2, 97, 81, 17, 6, 1, 57, 426, 41, 0, 0, 282, 36, 87, 15, 2, 0, 55, 383, 54, 2, 40, 14, 8.0, 40.0, 46.0, 0, 8, 40, 32, 8, 0, 14, 0, 17, 19, 4, 0, 0.0, 17, 6, 0, 0, 0, 35, 35, 14.81, 74.07, 85.19, 3.69970703125, 87.5, 87.5, 0, 20.0, 74.09375, 0.0, 42.5, 47.5, 10.0, 0.0, 0.0, 80.0, 42.5, 20.0, 15.0, 0.0, 0.0, 218.0, 29.0, 2.0, 0.0, 76.0, "Tous les candidats sauf les Bac technologiques", 336.0, "Bacheliers technologiques toutes séries", 90, "", 0, "Liste d'appel propre à cette formation", 74.0, "6298", "BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6298&g_ta_cod=6298", 80.0, 20.0, 0.0),
(6644, "Public", "0881664F", "Lycée des Métiers - Hôtelier JBS Chardin", "88", "Vosges", "Grand Est", "Nancy-Metz", "Gérardmer", "formation sélective", "BTS", "Lycée des Métiers - Hôtelier JBS Chardin - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 36, 217, 123, 215, 0, 0, 0, 86, 16, 95, 25, 34, 2, 0, 1, 0, 1, 215, 0, 0, 0, 0, 0, 86, 16, 95, 25, 34, 125, 27, 13, 27, 0, 14.0, 21.0, 27.0, 0, 8, 27, 0, 8, 19, 0, 0, 8, 6, 9, 4, 0.0, 0, 6, 13, 15, 7, 18, 18, 51.85, 77.78, 100.0, 48.09375, 66.6875, 66.6875, 55.59375, 29.59765625, 100.0, 0.0, 29.59765625, 22.19921875, 33.296875, 14.8, 0.0, 0.0, 0.0, 29.59765625, 22.19921875, 70.390625, 48.09375, 0.0, 0.0, 54.0, 16.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 97, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 97.0, "10754", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10754&g_ta_cod=10754", 0.0, 30.0, 70.0),
(6645, "Public", "0951974E", "Lycée Louis Armand", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Eaubonne", "formation sélective", "Autre formation", "Lycée Louis Armand - Mention complémentaire - Technicien ascensoriste, service et modernisation", "Mention complémentaire", "", 10, 80, 1, 80, 0, 0, 0, 1, 0, 74, 41, 5, 0, 0, 0, 0, 0, 69, 0, 0, 0, 0, 0, 0, 0, 65, 36, 4, 23, 8, 0, 7, 0, 3.0, 5.0, 7.0, 0, 4, 7, 0, 0, 7, 1, 0, 4, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 4, 7, 37.5, 62.5, 87.5, 0.0, 57.09375, 100.0, 0, 57.09375, 87.5, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 42.8984375, 0.0, 0.0, 22.0, 12.0, 1.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "13377", "Mention complémentaire - Technicien ascensoriste, service et modernisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13377&g_ta_cod=13377", 0.0, 0.0, 100.0),
(6646, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Psychologie - Psychologie et Humanités", "Licence - Sciences humaines et sociales", "Psychologie et Humanités", 140, 8396, 7097, 8396, 0, 3889, 751, 845, 271, 159, 66, 3503, 0, 0, 0, 0, 0, 8285, 0, 0, 0, 3889, 751, 845, 271, 159, 66, 3392, 570, 150, 142, 150, 0, 29.0, 127.0, 144.0, 0, 25, 144, 114, 28, 2, 6, 2, 2, 18, 81, 38, 3.0, 111, 27, 2, 0, 0, 26, 117, 19.33, 84.67, 96.0, 94.6875, 18.09765625, 81.296875, 0, 17.3984375, 96.0, 1.39990234375, 1.39990234375, 12.5, 56.296875, 26.4, 2.1, 79.1875, 77.09375, 19.3984375, 18.796875, 1.39990234375, 1.39990234375, 423.0, 57.0, 7.0, 0.0, 59.0, "Tous les candidats", 1003.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 10.0, "9348", "Licence - Portail Psychologie - Psychologie et Humanités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29395&g_ta_cod=9348", 80.0, 19.0, 1.0),
(6647, "Public", "0310024H", "Lycée Pierre D'Aragon", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Muret", "formation sélective", "BTS", "Lycée Pierre D'Aragon - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 329, 148, 329, 0, 48, 15, 103, 50, 79, 46, 99, 0, 0, 0, 0, 0, 235, 0, 0, 0, 45, 12, 79, 37, 63, 35, 48, 110, 24, 11, 24, 0, 5.0, 19.0, 22.0, 0, 6, 19, 3, 5, 11, 5, 0, 6, 12, 1, 0, 0.0, 3, 3, 7, 12, 7, 18, 18, 20.83, 79.17, 91.67, 45.796875, 94.6875, 94.6875, 63.1953125, 31.59765625, 79.1875, 0.0, 31.59765625, 63.1953125, 5.2998046875, 0.0, 0.0, 15.798828125, 15.798828125, 26.296875, 15.798828125, 57.8984375, 36.796875, 17.0, 8.0, 42.0, 24.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 44.0, "4030", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4030&g_ta_cod=4030", 17.0, 29.0, 54.0),
(6648, "Public", "9740078S", "Lycée agricole Emile Boyer de La Giroday", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Paul", "formation sélective", "BTS", "Lycée agricole Emile Boyer de La Giroday - BTS - Agricole - Développement de l'agriculture des régions chaudes", "BTS - Agricole", "", 16, 157, 49, 145, 0, 16, 4, 28, 17, 23, 12, 78, 12, 0, 0, 10, 2, 93, 7, 0, 0, 15, 4, 26, 16, 18, 11, 34, 45, 15, 3, 12, 3, 4.0, 10.0, 14.0, 0, 10, 12, 4, 3, 5, 3, 0, 6, 5, 1, 0, 0.0, 3, 2, 1, 3, 0, 7, 7, 26.67, 66.67, 93.33, 20.0, 58.296875, 58.296875, 25, 83.296875, 80.0, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 33.296875, 25.0, 25.0, 16.69921875, 41.6953125, 8.298828125, 7.0, 4.0, 23.0, 17.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 30.0, "11907", "BTS - Agricole - Développement de l'agriculture des régions chaudes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11907&g_ta_cod=11907", 40.0, 27.0, 33.0),
(6649, "Public", "0750672Y", "Esaa Duperré", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "Autre formation", "Esaa Duperré - DN MADE - Espace - - Spécialité : Espace Habités ambiance & environnement", "DN MADE", "- Spécialité : Espace Habités ambiance & environnement", 12, 1503, 1221, 1503, 0, 720, 110, 257, 54, 60, 6, 466, 0, 0, 0, 0, 0, 309, 0, 0, 0, 176, 19, 53, 9, 0, 0, 80, 40, 12, 9, 12, 0, 3.0, 9.0, 11.0, 0, 3, 10, 10, 0, 0, 2, 0, 0, 2, 7, 1, 0.0, 10, 0, 0, 0, 0, 1, 6, 25.0, 75.0, 91.67, 75.0, 10.0, 60.0, 0, 30.0, 83.296875, 0.0, 0.0, 20.0, 70.0, 10.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 27.0, 6.0, 0.0, 0.0, 9.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "21967", "DN MADE - Espace - - Spécialité : Espace Habités ambiance & environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21967&g_ta_cod=21967", 100.0, 0.0, 0.0),
(6650, "Public", "0134061U", "IUT Aix-Marseille - Site d'Aix-En-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BUT", "IUT Aix-Marseille - Site d'Aix-En-Provence - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Parcours : Gestion et pilotage des ressources humaines - Parcours : Gestion, entreprenariat et management d'activités - Parcours : Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Parcours : Gestion et pilotage des ressources humaines - Parcours : Gestion, entreprenariat et management d'activités - Parcours : Contrôle de gestion et pilotage de la performance", 135, 3668, 1828, 3668, 0, 2115, 380, 916, 295, 24, 14, 613, 0, 0, 0, 0, 0, 2064, 0, 0, 0, 1223, 168, 586, 168, 0, 0, 255, 595, 133, 78, 133, 0, 20.0, 101.0, 124.0, 0, 39, 126, 60, 66, 0, 7, 0, 1, 51, 58, 15, 1.0, 60, 65, 0, 0, 0, 108, 108, 15.04, 75.94, 93.23, 58.59375, 85.6875, 85.6875, 0, 31.0, 94.6875, 0.0, 0.7999267578125, 40.5, 46.0, 11.9, 0.8, 47.59375, 47.59375, 52.3984375, 51.59375, 0.0, 0.0, 277.0, 76.0, 0.0, 0.0, 61.0, "Tous les candidats sauf les Bac technologiques", 548.0, "Bacheliers technologiques toutes séries", 462, "", 0, "Liste d'appel propre à cette formation", 28.0, "2704", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Parcours : Gestion et pilotage des ressources humaines - Parcours : Gestion, entreprenariat et management d'activités - Parcours : Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2704&g_ta_cod=2704", 50.0, 50.0, 0.0),
(6651, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Université de Rennes 1 - CUPGE - Cycle Universitaire Préparatoire aux Grandes Ecoles - (ESIR)", "CUPGE - Sciences, technologie, santé", "(ESIR)", 70, 627, 163, 626, 0, 514, 46, 4, 1, 0, 0, 108, 1, 0, 0, 0, 1, 402, 0, 0, 0, 359, 30, 0, 0, 0, 0, 43, 299, 66, 17, 66, 0, 10.0, 58.0, 66.0, 0, 7, 64, 64, 0, 0, 2, 0, 0, 8, 41, 15, 0.0, 64, 0, 0, 0, 0, 57, 57, 15.15, 87.88, 100.0, 25.796875, 89.09375, 89.09375, 0, 10.8984375, 97.0, 0.0, 0.0, 12.5, 64.09375, 23.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 284.0, 23.0, 0.0, 0.0, 15.0, "Tous les candidats", 396.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "31676", "CUPGE - Cycle Universitaire Préparatoire aux Grandes Ecoles - (ESIR)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31676&g_ta_cod=31676", 100.0, 0.0, 0.0),
(6652, "Public", "0951727L", "Lycée Charles BAUDELAIRE", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Fosses", "formation sélective", "BTS", "Lycée Charles BAUDELAIRE - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 609, 279, 609, 0, 39, 11, 207, 79, 205, 86, 158, 0, 0, 0, 0, 0, 596, 0, 0, 0, 39, 11, 207, 79, 197, 84, 153, 141, 34, 17, 34, 0, 3.0, 25.0, 31.0, 0, 10, 25, 0, 12, 13, 9, 0, 13, 7, 5, 0, 0.0, 0, 2, 10, 8, 3, 19, 22, 8.82, 73.53, 91.18, 50.0, 76.0, 88.0, 32, 40.0, 73.5, 0.0, 52.0, 28.0, 20.0, 0.0, 0.0, 0.0, 0.0, 48.0, 8.0, 52.0, 40.0, 12.0, 6.0, 51.0, 21.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 27.0, "11616", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11616&g_ta_cod=11616", 9.0, 44.0, 47.0),
(6653, "Privé sous contrat d'association", "0910843X", "Lycée Polyvalent Institut Saint Pierre", "91", "Essonne", "Ile-de-France", "Versailles", "Brunoy", "formation sélective", "BTS", "Lycée Polyvalent Institut Saint Pierre - BTS - Services - Communication", "BTS - Services", "", 32, 565, 363, 492, 0, 99, 12, 150, 33, 55, 23, 188, 73, 24, 0, 5, 44, 172, 11, 0, 0, 69, 8, 65, 13, 36, 18, 2, 147, 30, 20, 26, 4, 7.0, 24.0, 30.0, 0, 6, 29, 13, 12, 4, 1, 0, 11, 16, 2, 0, 0.0, 4, 10, 4, 1, 1, 12, 26, 23.33, 80.0, 100.0, 66.6875, 41.3984375, 89.6875, 3.39990234375, 20.69921875, 96.6875, 0.0, 37.8984375, 55.1953125, 6.8994140625, 0.0, 0.0, 44.796875, 13.798828125, 41.3984375, 34.5, 13.798828125, 13.798828125, 63.0, 8.0, 23.0, 12.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 32.0, "10893", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10893&g_ta_cod=10893", 47.0, 40.0, 13.0),
(6654, "Public", "0762762P", "Université Le Havre Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Autre formation", "Université Le Havre Normandie - Diplôme d'Université -  Préparation aux études scientifiques", "Diplôme d'Université", "Préparation aux études scientifiques", 30, 96, 66, 96, 0, 29, 7, 33, 16, 5, 1, 29, 0, 0, 0, 0, 0, 96, 0, 0, 0, 29, 7, 33, 16, 5, 1, 29, 70, 26, 20, 26, 0, 8.0, 21.0, 24.0, 0, 5, 15, 4, 10, 1, 11, 2, 8, 3, 1, 1, 0.0, 2, 2, 1, 0, 0, 14, 14, 30.77, 80.77, 92.31, 76.890625, 93.296875, 93.296875, 0, 33.296875, 57.6953125, 13.298828125, 53.296875, 20.0, 6.69921875, 6.7, 0.0, 26.69921875, 13.298828125, 66.6875, 13.298828125, 6.69921875, 6.69921875, 10.0, 3.0, 3.0, 1.0, 27.0, "Tous les candidats", 67.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "33521", "Diplôme d'Université -  Préparation aux études scientifiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33521&g_ta_cod=33521", 31.0, 50.0, 19.0),
(6655, "Public", "0870015U", "Lycée Gay-Lussac", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "CPGE", "Lycée Gay-Lussac - CPGE - MP2I", "Classe préparatoire scientifique", "", 24, 664, 117, 664, 499, 593, 72, 1, 0, 1, 0, 69, 0, 0, 0, 0, 0, 542, 0, 417, 527, 536, 62, 0, 0, 0, 0, 6, 123, 23, 1, 23, 0, 1.0, 18.0, 23.0, 10, 0, 23, 23, 0, 0, 0, 0, 0, 0, 12, 10, 1.0, 23, 0, 0, 2, 0, 10, 10, 4.35, 78.26, 100.0, 4.2998046875, 43.5, 43.5, 8.69921875, 0.0, 100.0, 0.0, 0.0, 0.0, 52.1953125, 43.5, 4.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 123.0, 11.0, 0.0, 0.0, 0.0, "Tous les candidats", 254.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "31679", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31679&g_ta_cod=31679", 100.0, 0.0, 0.0),
(6656, "Public", "0940124Z", "Lycée Hector Berlioz", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vincennes", "formation sélective", "CPGE", "Pôle Hector Berlioz / Hélène Boucher - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 48, 883, 447, 862, 0, 760, 150, 2, 1, 1, 1, 99, 21, 12, 1, 0, 8, 680, 12, 0, 680, 674, 125, 0, 0, 0, 0, 6, 426, 33, 13, 28, 5, 0.0, 12.0, 30.0, 0, 8, 31, 31, 0, 0, 2, 0, 6, 20, 5, 0, 0.0, 25, 0, 0, 3, 1, 22, 28, 0.0, 36.36, 90.91, 39.3984375, 71.0, 90.296875, 9.69921875, 25.796875, 93.890625, 0.0, 19.3984375, 64.5, 16.09765625, 0.0, 0.0, 100.0, 80.59375, 0.0, 0.0, 0.0, 0.0, 419.0, 78.0, 0.0, 0.0, 7.0, "Tous les candidats", 680.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "31294", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31294&g_ta_cod=31294", 100.0, 0.0, 0.0),
(6657, "Public", "0601845E", "Lycée professionnel De La Foret", "60", "Oise", "Hauts-de-France", "Amiens", "Chantilly", "formation sélective", "Autre formation", "Lycée professionnel De La Foret - Mention complémentaire - Accueil dans transports", "Mention complémentaire", "", 15, 124, 89, 100, 0, 1, 0, 3, 2, 47, 21, 49, 24, 0, 1, 8, 15, 28, 10, 0, 0, 1, 0, 1, 0, 17, 7, 9, 36, 4, 3, 1, 3, 1.0, 1.0, 3.0, 0, 1, 1, 0, 0, 1, 3, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 0, 0, 25.0, 25.0, 75.0, 75.0, 0.0, 0.0, 0, 100.0, 25.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 1.0, 0.0, 19.0, 8.0, 14.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "20160", "Mention complémentaire - Accueil dans transports", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20160&g_ta_cod=20160", 0.0, 0.0, 100.0),
(6658, "Public", "0590072H", "Lycée De L'Europe", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "Autre formation", "Lycée De L'Europe - Mention complémentaire - Technicien(ne) en tuyauterie", "Mention complémentaire", "", 15, 44, 3, 42, 0, 0, 0, 0, 0, 6, 2, 36, 2, 0, 0, 1, 1, 18, 0, 0, 0, 0, 0, 0, 0, 4, 0, 14, 18, 6, 0, 6, 0, 6.0, 6.0, 6.0, 0, 0, 1, 0, 0, 1, 5, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 16.69921875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 4.0, 0.0, 14.0, "Tous les candidats", 18.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "21896", "Mention complémentaire - Technicien(ne) en tuyauterie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21896&g_ta_cod=21896", 0.0, 67.0, 33.0),
(6659, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "Université de Reims Champagne-Ardenne - C.M.I - Cursus Master en Ingénierie - Sciences de la vie - Cursus Master en ingénierie (CMI) Ingénierie en Bioraffinerie", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en ingénierie (CMI) Ingénierie en Bioraffinerie", 17, 170, 92, 83, 0, 44, 5, 3, 2, 0, 0, 36, 87, 35, 0, 0, 52, 48, 15, 0, 0, 29, 3, 0, 0, 0, 0, 19, 57, 9, 6, 3, 5, 1.0, 3.0, 9.0, 0, 0, 3, 3, 0, 0, 6, 0, 0, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 3, 3, 11.11, 33.33, 100.0, 66.6875, 100.0, 100.0, 0, 0.0, 33.296875, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 29.0, 3.0, 0.0, 0.0, 28.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "6124", "C.M.I - Cursus Master en Ingénierie - Sciences de la vie - Cursus Master en ingénierie (CMI) Ingénierie en Bioraffinerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6124&g_ta_cod=6124", 100.0, 0.0, 0.0),
(6660, "Public", "0340023R", "Lycée Rene Gosse", "34", "Hérault", "Occitanie", "Montpellier", "Clermont-l'Hérault", "formation sélective", "BTS", "Lycée Rene Gosse - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 514, 297, 462, 0, 22, 9, 118, 63, 101, 55, 221, 52, 3, 8, 10, 31, 161, 2, 0, 0, 9, 1, 64, 39, 73, 43, 15, 154, 22, 13, 21, 0, 1.0, 21.0, 21.0, 0, 14, 21, 0, 8, 13, 1, 0, 12, 9, 0, 0, 0.0, 0, 2, 7, 2, 1, 20, 20, 4.55, 95.45, 95.45, 59.09375, 95.1875, 95.1875, 9.5, 66.6875, 95.5, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 0.0, 0.0, 38.09375, 9.5, 61.8984375, 33.296875, 6.0, 1.0, 67.0, 39.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 35.0, "4477", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4477&g_ta_cod=4477", 5.0, 36.0, 59.0),
(6661, "Privé sous contrat d'association", "0590348H", "HEI Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 60, 1752, 482, 1736, 0, 1726, 149, 0, 0, 0, 0, 10, 16, 15, 0, 0, 1, 1570, 4, 0, 0, 1570, 111, 0, 0, 0, 0, 0, 1496, 27, 6, 26, 1, 22.0, 26.0, 27.0, 0, 3, 27, 27, 0, 0, 0, 0, 2, 15, 6, 4, 0.0, 25, 0, 0, 0, 0, 12, 12, 81.48, 96.3, 100.0, 22.19921875, 44.3984375, 44.3984375, 0, 11.099609375, 100.0, 0.0, 7.3994140625, 55.59375, 22.19921875, 14.8, 0.0, 100.0, 92.59375, 0.0, 0.0, 0.0, 0.0, 1496.0, 111.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "22810", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=22810", 100.0, 0.0, 0.0),
(6662, "Public", "0620166U", "Lycée Albert Chatelet", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Pol-sur-Ternoise", "formation sélective", "BTS", "Lycée Albert Chatelet - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 295, 155, 286, 0, 18, 6, 58, 25, 20, 5, 190, 9, 0, 0, 5, 4, 105, 4, 0, 0, 16, 5, 57, 24, 14, 4, 18, 71, 28, 19, 25, 3, 12.0, 15.0, 27.0, 0, 9, 22, 4, 13, 5, 6, 0, 7, 8, 5, 2, 0.0, 4, 8, 3, 15, 11, 20, 20, 42.86, 53.57, 96.43, 67.890625, 90.890625, 90.890625, 68.1875, 40.8984375, 78.59375, 0.0, 31.796875, 36.3984375, 22.69921875, 9.1, 0.0, 18.19921875, 18.19921875, 59.09375, 36.3984375, 22.69921875, 13.599609375, 10.0, 3.0, 16.0, 5.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 31.0, "7393", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7393&g_ta_cod=7393", 21.0, 57.0, 21.0),
(6663, "Public", "0422152L", "Université Jean Monnet - Campus de Roanne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Roanne", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 12, 228, 26, 226, 0, 0, 0, 210, 49, 0, 0, 16, 2, 0, 2, 0, 0, 102, 0, 0, 0, 0, 0, 95, 23, 0, 0, 7, 90, 9, 0, 9, 0, 5.0, 9.0, 9.0, 0, 3, 9, 0, 9, 0, 0, 0, 0, 1, 8, 0, 0.0, 0, 9, 0, 0, 0, 4, 4, 55.56, 100.0, 100.0, 0.0, 44.3984375, 44.3984375, 0, 33.296875, 100.0, 0.0, 0.0, 11.099609375, 88.890625, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 7.0, "Tous les candidats", 353.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "24111", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=24111", 0.0, 100.0, 0.0),
(6664, "Public", "0410001D", "Lycée Augustin Thierry", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BTS", "Lycée Augustin Thierry - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 137, 7, 137, 0, 9, 1, 53, 9, 45, 12, 30, 0, 0, 0, 0, 0, 113, 0, 0, 0, 9, 1, 51, 7, 45, 12, 8, 55, 15, 0, 15, 0, 2.0, 14.0, 15.0, 0, 1, 12, 0, 4, 8, 3, 0, 4, 1, 4, 3, 0.0, 0, 0, 8, 4, 0, 12, 12, 13.33, 93.33, 100.0, 0.0, 100.0, 100.0, 33.296875, 8.298828125, 80.0, 0.0, 33.296875, 8.298828125, 33.296875, 25.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 66.6875, 1.0, 1.0, 18.0, 4.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 58.0, "5230", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5230&g_ta_cod=5230", 7.0, 40.0, 53.0),
(6665, "Public", "0560085N", "Ecole Nationale de Voile et des Sports Nautiques (ENVSN)", "56", "Morbihan", "Bretagne", "Rennes", "Saint-Pierre-Quiberon", "formation sélective", "Autre formation", "Campus de l'excellence sportive de Bretagne - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 0, 32, 12, 27, 0, 4, 0, 9, 2, 7, 1, 7, 5, 0, 3, 0, 2, 6, 0, 0, 0, 2, 0, 3, 0, 0, 0, 1, 6, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "30922", "BPJEPS - Activités aquatiques et de la natation", "Campus de l'excellence sportive de Bretagne", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23544&g_ta_cod=30922", 0, 0, 0),
(6666, "Public", "0670086E", "Lycée des métiers René Cassin", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée des métiers René Cassin - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 35, 265, 152, 230, 0, 0, 0, 201, 48, 0, 0, 29, 35, 0, 20, 0, 15, 185, 20, 0, 185, 0, 0, 181, 42, 0, 0, 4, 152, 33, 25, 28, 5, 9.0, 28.0, 32.0, 0, 10, 32, 0, 32, 0, 1, 0, 3, 14, 12, 3, 0.0, 0, 29, 0, 7, 5, 25, 25, 27.27, 84.85, 96.97, 75.796875, 78.09375, 78.09375, 21.8984375, 31.296875, 97.0, 0.0, 9.3984375, 43.796875, 37.5, 9.4, 0.0, 0.0, 0.0, 100.0, 90.59375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 7.0, "Tous les candidats", 180.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "7942", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7942&g_ta_cod=7942", 0.0, 100.0, 0.0),
(6667, "Public", "9711052S", "I.U.T de la Guadeloupe - Campus de St-Claude", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Saint-Claude", "formation sélective", "BUT", "I.U.T de la Guadeloupe - Campus de St-Claude - BUT - Génie biologique Parcours agronomie (Seconde année en apprentissage)", "BUT - Production", "", 12, 102, 71, 80, 0, 35, 14, 24, 12, 3, 0, 18, 22, 10, 3, 0, 9, 55, 6, 0, 0, 29, 11, 14, 5, 0, 0, 12, 47, 8, 6, 6, 2, 2.0, 6.0, 8.0, 0, 2, 6, 2, 4, 0, 2, 0, 0, 4, 2, 0, 0.0, 2, 4, 0, 0, 0, 5, 5, 25.0, 75.0, 100.0, 75.0, 83.296875, 83.296875, 0, 33.296875, 75.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 0.0, 0.0, 22.0, 7.0, 0.0, 0.0, 13.0, "Tous les candidats sauf les Bac technologiques", 39.0, "Bacheliers technologiques toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 66.0, "32688", "BUT - Génie biologique Parcours agronomie (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32688&g_ta_cod=32688", 50.0, 50.0, 0.0),
(6668, "Public", "0340040J", "Lycée Jules Guesde", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Jules Guesde - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 36, 1101, 549, 1101, 0, 117, 44, 376, 194, 242, 153, 366, 0, 0, 0, 0, 0, 646, 0, 0, 0, 83, 31, 238, 112, 151, 86, 174, 175, 35, 19, 35, 0, 5.0, 31.0, 33.0, 0, 21, 30, 2, 16, 12, 5, 0, 1, 16, 11, 2, 0.0, 1, 16, 12, 8, 2, 28, 28, 14.29, 88.57, 94.29, 54.296875, 93.296875, 93.296875, 26.69921875, 70.0, 85.6875, 0.0, 3.2998046875, 53.296875, 36.6953125, 6.7, 0.0, 6.69921875, 3.2998046875, 53.296875, 53.296875, 40.0, 40.0, 21.0, 14.0, 37.0, 23.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 137, "Liste d'appel propre à cette formation", 22.0, "4492", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4492&g_ta_cod=4492", 14.0, 51.0, 34.0),
(6669, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Mathématiques - Parcours Mathématiques et Informatique", "Licence - Sciences - technologies - santé", "Mathématiques et Informatique", 15, 161, 30, 132, 0, 86, 18, 4, 0, 3, 1, 39, 29, 5, 0, 0, 24, 128, 27, 0, 0, 86, 18, 4, 0, 3, 1, 35, 114, 6, 1, 4, 2, 0.0, 4.0, 5.0, 0, 0, 3, 3, 0, 0, 3, 0, 1, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 1, 1, 0.0, 66.67, 83.33, 16.69921875, 33.296875, 33.296875, 0, 0.0, 50.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 66.0, 13.0, 1.0, 1.0, 46.0, "Tous les candidats", 128.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "27973", "Licence - Mathématiques - Parcours Mathématiques et Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27973&g_ta_cod=27973", 67.0, 17.0, 17.0),
(6670, "Privé enseignement supérieur", "0371790V", "EXCELIA - Campus de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "Ecole de Commerce", "Excelia Business School  - Formation des écoles de commerce et de management Bac + 3 - BACHELOR BUSINESS", "Formation des écoles de commerce et de management", "BACHELOR BUSINESS", 70, 331, 143, 318, 0, 252, 12, 34, 3, 0, 0, 32, 13, 6, 1, 1, 5, 279, 6, 0, 0, 229, 9, 29, 3, 0, 0, 21, 285, 40, 15, 37, 3, 37.0, 37.0, 40.0, 0, 4, 34, 29, 5, 0, 6, 0, 13, 16, 4, 1, 0.0, 16, 5, 0, 0, 0, 29, 29, 92.5, 92.5, 100.0, 37.5, 85.296875, 85.296875, 0, 11.798828125, 85.0, 0.0, 38.1953125, 47.09375, 11.798828125, 2.9, 0.0, 85.296875, 47.09375, 14.69921875, 14.69921875, 0.0, 0.0, 232.0, 9.0, 0.0, 0.0, 24.0, "Tous les candidats", 420.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 88.0, "31887", "Formation des écoles de commerce et de management Bac + 3 - BACHELOR BUSINESS", "Excelia Business School", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31885&g_ta_cod=31887", 83.0, 18.0, 0.0),
(6671, "Public", "0671557D", "I.U.T. d'Illkirch", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "BUT", "I.U.T. d'Illkirch - BUT - Génie civil - Construction durable Parcours : Travaux bâtiment - Travaux publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études conception", "BUT - Production", "Travaux bâtiment - Travaux publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études conception", 125, 1384, 269, 1384, 0, 791, 118, 336, 94, 7, 1, 250, 0, 0, 0, 0, 0, 998, 0, 0, 0, 631, 79, 231, 43, 0, 0, 136, 576, 131, 20, 131, 0, 18.0, 95.0, 118.0, 0, 26, 123, 80, 43, 0, 8, 0, 33, 47, 39, 4, 0.0, 53, 37, 0, 0, 0, 94, 94, 13.74, 72.52, 90.08, 15.298828125, 76.390625, 76.390625, 0, 21.09765625, 93.890625, 0.0, 26.796875, 38.1953125, 31.69921875, 3.3, 0.0, 65.0, 43.09375, 35.0, 30.09765625, 0.0, 0.0, 318.0, 53.0, 0.0, 0.0, 72.0, "Tous les candidats sauf les Bac technologiques", 595.0, "Bacheliers technologiques toutes séries", 240, "", 0, "Liste d'appel propre à cette formation", 60.0, "7966", "BUT - Génie civil - Construction durable Parcours : Travaux bâtiment - Travaux publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études conception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7966&g_ta_cod=7966", 66.0, 34.0, 0.0),
(6672, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Gaston Berger - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 70, 2513, 1283, 2513, 0, 366, 89, 753, 308, 722, 365, 672, 0, 0, 0, 0, 0, 1339, 0, 0, 0, 196, 40, 341, 140, 635, 332, 167, 311, 61, 34, 61, 0, 14.0, 42.0, 54.0, 0, 27, 55, 5, 16, 34, 6, 0, 7, 27, 16, 5, 0.0, 5, 13, 30, 0, 0, 51, 51, 22.95, 68.85, 88.52, 55.6953125, 92.6875, 92.6875, 0, 49.09375, 90.1875, 0.0, 12.69921875, 49.09375, 29.09765625, 9.1, 0.0, 9.099609375, 9.099609375, 29.09765625, 23.59765625, 61.796875, 54.5, 81.0, 17.0, 130.0, 63.0, 34.0, "Tous les candidats sauf les Bac professionnels", 273.0, "Bacheliers professionnels toutes séries", 197, "", 0, "Liste d'appel propre à cette formation", 19.0, "6867", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6867&g_ta_cod=6867", 16.0, 28.0, 56.0),
(6673, "Public", "0561363C", "I.U.T de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BUT", "I.U.T de Lorient - BUT - Génie thermique et énergie Parcours : Parcours 1 : Optimisation énergétique pour le bâtiment et l'industrie - Parcours 2 : Réalisation des installations énergétiques pour le bâtiment et l?industrie", "BUT - Production", "Parcours 1 : Optimisation énergétique pour le bâtiment et l'industrie - Parcours 2 : Réalisation des installations énergétiques pour le bâtiment et l?industrie", 78, 534, 40, 507, 0, 235, 21, 209, 26, 2, 0, 61, 27, 6, 8, 0, 13, 448, 7, 0, 0, 210, 17, 194, 24, 0, 0, 44, 425, 61, 4, 61, 0, 29.0, 61.0, 61.0, 0, 5, 52, 25, 27, 0, 9, 1, 18, 28, 5, 0, 0.0, 13, 20, 0, 0, 0, 40, 40, 47.54, 100.0, 100.0, 6.599609375, 76.890625, 76.890625, 0, 9.599609375, 85.1875, 1.89990234375, 34.59375, 53.796875, 9.599609375, 0.0, 0.0, 48.09375, 25.0, 51.8984375, 38.5, 0.0, 0.0, 201.0, 17.0, 0.0, 0.0, 45.0, "Tous les candidats sauf les Bac technologiques", 244.0, "Bacheliers technologiques toutes séries", 212, "", 0, "Liste d'appel propre à cette formation", 88.0, "6473", "BUT - Génie thermique et énergie Parcours : Parcours 1 : Optimisation énergétique pour le bâtiment et l'industrie - Parcours 2 : Réalisation des installations énergétiques pour le bâtiment et l?industrie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6473&g_ta_cod=6473", 54.0, 46.0, 0.0),
(6674, "Public", "0030858S", "Centre de Ressources, d'Expertise et de Performance Sportive - CREPS DE VICHY AUVERGNE", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Bellerive-sur-Allier", "formation sélective", "Autre formation", "CREPS de Vichy - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 5, 43, 13, 43, 0, 16, 2, 6, 1, 7, 1, 14, 0, 0, 0, 0, 0, 17, 0, 0, 0, 6, 1, 3, 0, 2, 0, 6, 7, 5, 1, 5, 0, 3.0, 4.0, 4.0, 0, 0, 3, 1, 1, 1, 2, 0, 0, 3, 0, 0, 0.0, 1, 1, 1, 0, 0, 1, 1, 60.0, 80.0, 80.0, 20.0, 33.296875, 33.296875, 0, 0.0, 60.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 33.296875, 33.296875, 33.296875, 2.0, 1.0, 1.0, 0.0, 3.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "21832", "BPJEPS - Activités aquatiques et de la natation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21832&g_ta_cod=21832", 40.0, 20.0, 40.0),
(6675, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation sélective", "Licence", "Université de Toulon - Licence - Physique, chimie - Parcours Spécialisation renforcée sélective en vue d'intégrer Seatech", "Licence - Sciences - technologies - santé", "Spécialisation renforcée sélective en vue d'intégrer Seatech", 15, 140, 46, 126, 0, 81, 14, 1, 1, 0, 0, 44, 14, 3, 1, 0, 10, 93, 2, 0, 0, 61, 7, 0, 0, 0, 0, 32, 63, 11, 2, 10, 1, 3.0, 9.0, 11.0, 0, 2, 8, 8, 0, 0, 3, 0, 0, 3, 5, 0, 0.0, 8, 0, 0, 0, 0, 6, 6, 27.27, 81.82, 100.0, 18.19921875, 75.0, 75.0, 0, 25.0, 72.6875, 0.0, 0.0, 37.5, 62.5, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 38.0, 7.0, 0.0, 0.0, 25.0, "Tous les candidats", 88.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "15133", "Licence - Physique, chimie - Parcours Spécialisation renforcée sélective en vue d'intégrer Seatech", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15133&g_ta_cod=15133", 100.0, 0.0, 0.0),
(6676, "Public", "0380034F", "Lycée Louise Michel", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée Louise Michel - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 32, 1071, 614, 1069, 0, 125, 53, 376, 186, 185, 95, 383, 2, 0, 0, 2, 0, 538, 1, 0, 0, 94, 36, 278, 131, 67, 31, 99, 230, 30, 17, 29, 1, 1.0, 15.0, 25.0, 0, 7, 21, 1, 14, 6, 9, 0, 10, 9, 0, 2, 0.0, 0, 7, 4, 1, 1, 18, 18, 3.33, 50.0, 83.33, 56.6953125, 85.6875, 85.6875, 4.7998046875, 33.296875, 70.0, 0.0, 47.59375, 42.8984375, 0.0, 9.5, 0.0, 4.7998046875, 0.0, 66.6875, 33.296875, 28.59765625, 19.0, 42.0, 20.0, 36.0, 13.0, 51.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 98.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 198, "Liste d'appel propre à cette formation", 33.0, "4937", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4937&g_ta_cod=4937", 23.0, 57.0, 20.0),
(6677, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues étrangères appliquées - Parcours Anglais-Arabe", "Licence - Arts-lettres-langues", "Anglais-Arabe", 15, 67, 55, 67, 0, 26, 17, 7, 4, 3, 2, 31, 0, 0, 0, 0, 0, 67, 0, 0, 0, 26, 17, 7, 4, 3, 2, 31, 46, 16, 15, 16, 0, 7.0, 12.0, 14.0, 0, 7, 8, 7, 1, 0, 8, 0, 3, 4, 1, 0, 0.0, 5, 0, 0, 0, 0, 7, 7, 43.75, 75.0, 87.5, 93.796875, 87.5, 87.5, 0, 87.5, 50.0, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 87.5, 62.5, 12.5, 0.0, 0.0, 0.0, 21.0, 13.0, 1.0, 0.0, 19.0, "Tous les candidats", 53.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "5052", "Licence - Langues étrangères appliquées - Parcours Anglais-Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5052&g_ta_cod=5052", 88.0, 6.0, 6.0),
(6678, "Privé sous contrat d'association", "0220117H", "Lycée Sacre Coeur", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "Autre formation", "Lycée Sacre Coeur - Mention complémentaire - FCIL Son et éclairage en spectacle vivant", "Mention complémentaire", "", 14, 73, 14, 66, 0, 11, 1, 7, 1, 19, 4, 29, 7, 2, 1, 1, 3, 14, 7, 0, 0, 2, 0, 1, 0, 2, 0, 9, 21, 7, 2, 4, 3, 4.0, 4.0, 7.0, 0, 1, 1, 0, 1, 0, 6, 0, 0, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 0, 57.14, 57.14, 100.0, 28.59765625, 0.0, 0.0, 0, 100.0, 14.298828125, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 4.0, 0.0, 3.0, 1.0, 12.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "24197", "Mention complémentaire - FCIL Son et éclairage en spectacle vivant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24197&g_ta_cod=24197", 43.0, 43.0, 14.0),
(6679, "Public", "0880031F", "Lycée professionnel PIERRE GILLES DE GENNES", "88", "Vosges", "Grand Est", "Nancy-Metz", "Gérardmer", "formation sélective", "Autre formation", "Lycée professionnel PIERRE GILLES DE GENNES - Mention complémentaire - FCIL Maintenance de 1er niveau des véhicules routiers", "Mention complémentaire", "", 12, 17, 3, 13, 0, 0, 0, 0, 0, 4, 2, 9, 4, 0, 0, 2, 2, 10, 2, 0, 0, 0, 0, 0, 0, 4, 2, 6, 12, 7, 0, 5, 2, 5.0, 5.0, 5.0, 0, 2, 3, 0, 0, 3, 4, 0, 1, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 2, 2, 71.43, 71.43, 71.43, 0.0, 66.6875, 66.6875, 0, 66.6875, 42.8984375, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 5.0, 3.0, 7.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "24123", "Mention complémentaire - FCIL Maintenance de 1er niveau des véhicules routiers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24123&g_ta_cod=24123", 43.0, 0.0, 57.0),
(6680, "Public", "0782076H", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation sélective", "Licence", "Université de Versailles - Saint Quentin en Yvelines - Double licence - Droit / Langues, littératures & civilisations étrangères et régionales - Droit - LLCER Parcours Anglais", "Licence - Droit-économie-gestion", "Droit - LLCER Parcours Anglais", 78, 532, 435, 508, 0, 427, 80, 16, 5, 5, 2, 60, 24, 9, 0, 0, 15, 397, 3, 0, 0, 359, 67, 0, 0, 0, 0, 38, 286, 78, 73, 75, 3, 9.0, 68.0, 73.0, 0, 19, 70, 70, 0, 0, 8, 0, 2, 25, 35, 8, 0.0, 68, 0, 0, 0, 0, 35, 48, 11.54, 87.18, 93.59, 93.59375, 50.0, 68.59375, 0, 27.09765625, 89.6875, 0.0, 2.89990234375, 35.6953125, 50.0, 11.4, 0.0, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 259.0, 50.0, 0.0, 0.0, 27.0, "Tous les candidats", 340.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "9999", "Double licence - Droit / Langues, littératures & civilisations étrangères et régionales - Droit - LLCER Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9999&g_ta_cod=9999", 100.0, 0.0, 0.0),
(6681, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence_Las", "Université de Bourgogne - site de Dijon - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Métiers des langues - Espagnol", "Licence - Arts-lettres-langues", "Métiers des langues - Espagnol", 5, 117, 98, 116, 0, 57, 16, 9, 5, 1, 1, 49, 1, 1, 0, 0, 0, 115, 1, 0, 0, 57, 16, 9, 5, 1, 1, 48, 53, 4, 4, 3, 1, 0.0, 2.0, 2.0, 0, 2, 3, 2, 1, 0, 1, 0, 2, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 0.0, 50.0, 50.0, 100.0, 66.6875, 66.6875, 0, 66.6875, 75.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 29.0, 8.0, 0.0, 0.0, 21.0, "Tous les candidats", 227.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 64.0, "28573", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Métiers des langues - Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28572&g_ta_cod=28573", 75.0, 25.0, 0.0),
(6682, "Public", "0801774U", "Institut de Formation en Soins Infirmiers - ABBEVILLE", "80", "Somme", "Hauts-de-France", "Amiens", "Abbeville", "formation sélective", "IFSI", "Regroupement d'IFSI Université Amiens - D.E Infirmier", "D.E secteur sanitaire", "", 80, 2781, 2302, 2781, 0, 491, 108, 480, 127, 356, 129, 1454, 0, 0, 0, 0, 0, 1949, 0, 0, 0, 409, 87, 357, 84, 267, 86, 916, 739, 79, 72, 79, 0, 1.0, 33.0, 56.0, 0, 13, 59, 18, 18, 23, 20, 0, 10, 26, 22, 1, 0.0, 14, 13, 22, 0, 0, 47, 47, 1.27, 41.77, 70.89, 91.09375, 79.6875, 79.6875, 0, 22.0, 74.6875, 0.0, 16.8984375, 44.09375, 37.296875, 1.7, 0.0, 30.5, 23.69921875, 30.5, 22.0, 39.0, 37.296875, 161.0, 34.0, 110.0, 30.0, 325.0, "Tous les candidats", 2360.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 41.0, "23081", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23008&g_ta_cod=23081", 34.0, 30.0, 35.0),
(6683, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Licence", "Université Bordeaux Montaigne - Licence - Humanités - Parcours Licence 1 Culture humaniste et scientifique", "Licence - Sciences humaines et sociales", "Licence 1 Culture humaniste et scientifique", 40, 243, 179, 243, 0, 159, 30, 2, 0, 1, 1, 81, 0, 0, 0, 0, 0, 243, 0, 0, 0, 159, 30, 2, 0, 1, 1, 81, 104, 40, 31, 40, 0, 11.0, 35.0, 39.0, 0, 1, 33, 33, 0, 0, 7, 1, 1, 5, 17, 9, 0.0, 31, 0, 0, 0, 0, 27, 27, 27.5, 87.5, 97.5, 77.5, 81.796875, 81.796875, 0, 3.0, 82.5, 3.0, 3.0, 15.19921875, 51.5, 27.3, 0.0, 100.0, 93.890625, 0.0, 0.0, 0.0, 0.0, 71.0, 13.0, 0.0, 0.0, 32.0, "Tous les candidats", 124.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "12501", "Licence - Humanités - Parcours Licence 1 Culture humaniste et scientifique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12501&g_ta_cod=12501", 98.0, 3.0, 0.0),
(6684, "Public", "0810121S", "L.E.G.T.A. Albi - Fonlabour", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "BTS", "L.E.G.T.A. Albi - Fonlabour - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 36, 302, 121, 293, 0, 22, 4, 68, 15, 92, 26, 111, 9, 0, 2, 4, 3, 190, 4, 0, 0, 22, 4, 62, 14, 90, 26, 16, 127, 25, 10, 22, 3, 6.0, 22.0, 25.0, 0, 7, 22, 3, 10, 9, 3, 0, 7, 12, 3, 0, 0.0, 2, 5, 8, 9, 3, 20, 20, 24.0, 88.0, 100.0, 40.0, 90.890625, 90.890625, 40.8984375, 31.796875, 88.0, 0.0, 31.796875, 54.5, 13.599609375, 0.0, 0.0, 13.599609375, 9.099609375, 45.5, 22.69921875, 40.8984375, 36.3984375, 19.0, 3.0, 52.0, 16.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 64.0, "10277", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10277&g_ta_cod=10277", 20.0, 40.0, 40.0),
(6685, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence_Las", "Université Toulouse 3 Paul Sabatier - Licence - Portail Physique - Physique - L1 Antenne Toulouse", "Licence - Sciences - technologies - santé", "Physique - L1 Antenne Toulouse", 36, 693, 356, 672, 0, 394, 59, 23, 7, 2, 1, 253, 21, 5, 2, 0, 14, 672, 20, 0, 0, 394, 59, 23, 7, 2, 1, 253, 374, 35, 18, 27, 8, 0.0, 8.0, 26.0, 0, 2, 13, 10, 3, 0, 22, 0, 2, 3, 6, 2, 0.0, 8, 3, 0, 0, 0, 9, 9, 0.0, 22.86, 74.29, 51.3984375, 69.1875, 69.1875, 0, 15.3984375, 37.09375, 0.0, 15.3984375, 23.09765625, 46.1953125, 15.4, 0.0, 76.890625, 61.5, 23.09765625, 23.09765625, 0.0, 0.0, 223.0, 30.0, 0.0, 0.0, 141.0, "Tous les candidats", 1389.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 86.0, "27529", "Licence - Portail Physique - Physique - L1 Antenne Toulouse", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27528&g_ta_cod=27529", 83.0, 17.0, 0.0),
(6686, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Histoire de l'art et archéologie - Parcours Histoire de l'art et Archéologie", "Licence - Sciences humaines et sociales", "Histoire de l'art et Archéologie", 400, 1957, 1332, 1569, 0, 914, 240, 147, 41, 61, 28, 447, 388, 61, 34, 23, 270, 1567, 371, 0, 0, 914, 240, 147, 41, 61, 28, 445, 1941, 408, 258, 263, 143, 261.0, 261.0, 343.0, 0, 73, 204, 150, 30, 24, 204, 3, 84, 83, 30, 4, 0.0, 84, 17, 16, 0, 0, 125, 125, 63.97, 63.97, 84.07, 63.1953125, 61.296875, 61.296875, 0, 35.796875, 50.0, 1.5, 41.1953125, 40.6953125, 14.69921875, 2.0, 0.0, 73.5, 41.1953125, 14.69921875, 8.298828125, 11.798828125, 7.7998046875, 977.0, 259.0, 83.0, 47.0, 700.0, "Tous les candidats", 1568.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4168", "Licence - Histoire de l'art et archéologie - Parcours Histoire de l'art et Archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4168&g_ta_cod=4168", 70.0, 16.0, 12.0),
(6687, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Trilangue Anglais - Russe - 3ème langue à choix", "Licence - Arts-lettres-langues", "Trilangue Anglais - Russe - 3ème langue à choix", 20, 148, 102, 142, 0, 88, 28, 6, 3, 5, 2, 43, 6, 2, 1, 0, 3, 142, 6, 0, 0, 88, 28, 6, 3, 5, 2, 43, 91, 18, 14, 16, 2, 6.0, 14.0, 16.0, 0, 3, 14, 14, 0, 0, 4, 0, 2, 5, 5, 2, 0.0, 12, 0, 0, 0, 0, 9, 9, 33.33, 77.78, 88.89, 77.796875, 64.296875, 64.296875, 0, 21.3984375, 77.796875, 0.0, 14.298828125, 35.6953125, 35.6953125, 14.3, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 61.0, 20.0, 3.0, 2.0, 24.0, "Tous les candidats", 113.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "23994", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Trilangue Anglais - Russe - 3ème langue à choix", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23994&g_ta_cod=23994", 94.0, 0.0, 6.0),
(6688, "Privé sous contrat d'association", "0011160F", "IFSI Orsac - Cpa", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lyon - D.E Infirmier", "D.E secteur sanitaire", "", 53, 6178, 5224, 6178, 0, 870, 180, 1112, 297, 785, 315, 3411, 0, 0, 0, 0, 0, 4591, 0, 0, 0, 773, 149, 896, 220, 500, 189, 2422, 1034, 53, 50, 53, 0, 0.0, 5.0, 26.0, 0, 11, 27, 6, 15, 6, 26, 0, 8, 19, 0, 0, 0.0, 5, 10, 4, 0, 0, 14, 14, 0.0, 9.43, 49.06, 94.296875, 51.8984375, 51.8984375, 0, 40.6953125, 50.8984375, 0.0, 29.59765625, 70.390625, 0.0, 0.0, 0.0, 22.19921875, 18.5, 55.59375, 37.0, 22.19921875, 14.798828125, 239.0, 38.0, 132.0, 51.0, 438.0, "Tous les candidats", 3877.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "23160", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23001&g_ta_cod=23160", 30.0, 38.0, 30.0),
(6689, "Privé sous contrat d'association", "0851344Z", "Lycée polyvalent privé Notre Dame", "85", "Vendée", "Pays de la Loire", "Nantes", "Fontenay-le-Comte", "formation sélective", "Autre formation", "Lycée polyvalent privé Notre Dame - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 26, 276, 201, 203, 0, 43, 6, 76, 10, 3, 0, 81, 73, 9, 12, 3, 49, 123, 8, 0, 0, 33, 5, 52, 5, 1, 0, 37, 90, 27, 21, 23, 4, 8.0, 20.0, 23.0, 0, 1, 22, 13, 9, 0, 5, 0, 6, 11, 5, 0, 0.0, 7, 9, 0, 0, 0, 15, 15, 29.63, 74.07, 85.19, 77.796875, 68.1875, 68.1875, 0, 4.5, 81.5, 0.0, 27.296875, 50.0, 22.69921875, 0.0, 0.0, 59.09375, 31.796875, 40.8984375, 40.8984375, 0.0, 0.0, 33.0, 5.0, 0.0, 0.0, 21.0, "Tous les candidats", 123.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "10535", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10535&g_ta_cod=10535", 63.0, 37.0, 0.0),
(6690, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Etudes théâtrales - Parcours Théâtre - Mineure Arts et Médias", "Licence - Arts-lettres-langues", "Théâtre - Mineure Arts et Médias", 240, 822, 568, 822, 0, 481, 82, 49, 14, 43, 21, 249, 0, 0, 0, 0, 0, 822, 0, 0, 0, 481, 82, 49, 14, 43, 21, 249, 625, 238, 166, 238, 0, 43.0, 194.0, 219.0, 0, 32, 159, 139, 10, 10, 79, 1, 55, 62, 38, 3, 0.0, 95, 4, 4, 0, 0, 29, 95, 18.07, 81.51, 92.02, 69.6875, 18.19921875, 59.6953125, 0, 20.09765625, 66.796875, 0.5999755859375, 34.59375, 39.0, 23.8984375, 1.9, 0.0, 87.390625, 59.6953125, 6.2998046875, 2.5, 6.2998046875, 2.5, 406.0, 75.0, 19.0, 10.0, 175.0, "Tous les candidats", 667.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "9238", "Licence - Etudes théâtrales - Parcours Théâtre - Mineure Arts et Médias", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9238&g_ta_cod=9238", 89.0, 5.0, 5.0),
(6691, "Public", "0081149F", "EiSINe - Charleville-Mézières", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "Autre formation", "EiSINe - Charleville-Mézières - CUPGE - Sciences pour l'ingénieur - Cycle universitaire préparatoire aux grandes écoles", "CUPGE - Sciences, technologie, santé", "Cycle universitaire préparatoire aux grandes écoles", 40, 77, 27, 64, 0, 41, 8, 2, 1, 0, 0, 21, 13, 0, 1, 0, 12, 62, 7, 0, 0, 41, 8, 2, 1, 0, 0, 19, 69, 6, 0, 3, 3, 1.0, 3.0, 5.0, 0, 0, 1, 1, 0, 0, 5, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 16.67, 50.0, 83.33, 0.0, 100.0, 100.0, 0, 0.0, 16.69921875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 42.0, 8.0, 0.0, 0.0, 25.0, "Tous les candidats", 62.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "15146", "CUPGE - Sciences pour l'ingénieur - Cycle universitaire préparatoire aux grandes écoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15146&g_ta_cod=15146", 100.0, 0.0, 0.0),
(6692, "Public", "0530012A", "LGT Réaumur - Lycée des métiers", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "LGT Réaumur - Lycée des métiers - BTS - Production - Conception et réalisation de carrosseries", "BTS - Production", "", 10, 135, 10, 133, 0, 1, 0, 51, 9, 45, 13, 36, 2, 0, 0, 0, 2, 105, 1, 0, 0, 1, 0, 51, 9, 45, 13, 8, 57, 7, 2, 7, 0, 3.0, 7.0, 7.0, 0, 3, 7, 0, 3, 4, 0, 0, 2, 2, 3, 0, 0.0, 0, 2, 3, 1, 0, 4, 4, 42.86, 100.0, 100.0, 28.59765625, 57.09375, 57.09375, 14.298828125, 42.8984375, 100.0, 0.0, 28.59765625, 28.59765625, 42.8984375, 0.0, 0.0, 0.0, 0.0, 42.8984375, 28.59765625, 57.09375, 42.8984375, 1.0, 0.0, 18.0, 5.0, 5.0, "Tous les candidats sauf les Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 64.0, "6201", "BTS - Production - Conception et réalisation de carrosseries", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6201&g_ta_cod=6201", 0.0, 43.0, 57.0),
(6693, "Public", "0291660X", "Université de Brest - Site de Quimper", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation non sélective", "Licence", "Université de Brest - Site de Quimper - Licence - Histoire de l'art et archéologie - Parcours Art et Archéologie", "Licence - Sciences humaines et sociales", "Art et Archéologie", 80, 463, 351, 367, 0, 233, 37, 34, 6, 16, 5, 84, 96, 24, 3, 6, 63, 367, 86, 0, 0, 233, 37, 34, 6, 16, 5, 84, 411, 56, 47, 37, 19, 26.0, 37.0, 52.0, 0, 10, 38, 31, 3, 4, 18, 1, 7, 12, 13, 5, 0.0, 26, 1, 3, 0, 0, 22, 22, 46.43, 66.07, 92.86, 83.890625, 57.8984375, 57.8984375, 0, 26.296875, 67.890625, 2.599609375, 18.3984375, 31.59765625, 34.1953125, 13.2, 0.0, 81.59375, 68.390625, 7.8994140625, 2.599609375, 10.5, 7.8994140625, 242.0, 40.0, 19.0, 7.0, 120.0, "Tous les candidats", 365.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "3887", "Licence - Histoire de l'art et archéologie - Parcours Art et Archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3887&g_ta_cod=3887", 79.0, 9.0, 13.0),
(6694, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Lettres - Parcours Lettres modernes", "Licence - Arts-lettres-langues", "Lettres modernes", 85, 434, 357, 314, 0, 223, 61, 8, 1, 16, 6, 67, 120, 20, 6, 14, 80, 314, 106, 0, 0, 223, 61, 8, 1, 16, 6, 67, 347, 50, 38, 30, 20, 6.0, 30.0, 43.0, 0, 11, 23, 17, 2, 4, 27, 0, 9, 10, 2, 2, 0.0, 12, 0, 2, 0, 0, 21, 21, 12.0, 60.0, 86.0, 76.0, 91.296875, 91.296875, 0, 47.796875, 46.0, 0.0, 39.09375, 43.5, 8.69921875, 8.7, 0.0, 73.890625, 52.1953125, 8.69921875, 0.0, 17.3984375, 8.69921875, 189.0, 52.0, 24.0, 15.0, 122.0, "Tous les candidats", 314.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6612", "Licence - Lettres - Parcours Lettres modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6612&g_ta_cod=6612", 76.0, 8.0, 16.0),
(6695, "Public", "0100004A", "Lycée professionnel VAL MORé (maintenance des matériels...)", "10", "Aube", "Grand Est", "Reims", "Bar-sur-Seine", "formation sélective", "BTS", "Lycée professionnel VAL MORé (maintenance des matériels...) - BTS - Production - Maintenance des matériels de construction et de manutention", "BTS - Production", "", 8, 34, 4, 33, 0, 0, 0, 5, 1, 11, 3, 17, 1, 0, 0, 1, 0, 16, 0, 0, 0, 0, 0, 4, 0, 8, 1, 4, 17, 5, 1, 5, 0, 3.0, 4.0, 5.0, 0, 0, 2, 0, 1, 1, 3, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 1, 0, 1, 1, 60.0, 80.0, 100.0, 20.0, 50.0, 50.0, 50, 0.0, 40.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 9.0, 2.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 5, "Liste d'appel propre à cette formation", 42.0, "2400", "BTS - Production - Maintenance des matériels de construction et de manutention", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2400&g_ta_cod=2400", 0.0, 60.0, 40.0),
(6696, "Privé enseignement supérieur", "0510088U", "NEOMA Business School - Campus de Reims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "CESEM - Parcours Europe", 130, 1964, 924, 1936, 0, 1725, 45, 77, 2, 5, 1, 129, 28, 9, 1, 0, 18, 1706, 14, 0, 0, 1537, 32, 57, 1, 3, 1, 109, 1617, 86, 45, 83, 3, 70.0, 83.0, 83.0, 0, 5, 74, 69, 5, 0, 12, 0, 18, 32, 22, 2, 0.0, 53, 3, 0, 0, 0, 16, 16, 81.4, 96.51, 96.51, 52.296875, 21.59765625, 21.59765625, 0, 6.7998046875, 86.0, 0.0, 24.296875, 43.1953125, 29.69921875, 2.7, 0.0, 93.1875, 71.59375, 6.7998046875, 4.099609375, 0.0, 0.0, 1454.0, 28.0, 3.0, 1.0, 111.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "26121", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26121", 94.0, 6.0, 0.0),
(6697, "Public", "0642131U", "Antenne du collège STEE de l'Université de Pau (Anglet)", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation non sélective", "Licence", "Antenne du collège STEE de l'Université de Pau (Anglet) - Licence - Informatique - Parcours Numérique pour les environnements connectés", "Licence - Sciences - technologies - santé", "Numérique pour les environnements connectés", 24, 175, 15, 174, 0, 113, 17, 22, 7, 4, 1, 35, 1, 0, 0, 0, 1, 171, 1, 0, 0, 113, 17, 22, 7, 4, 1, 32, 110, 21, 2, 21, 0, 5.0, 14.0, 20.0, 0, 3, 17, 15, 2, 0, 4, 0, 7, 6, 3, 1, 0.0, 10, 0, 0, 0, 0, 15, 15, 23.81, 66.67, 95.24, 9.5, 88.1875, 88.1875, 0, 17.59765625, 81.0, 0.0, 41.1953125, 35.296875, 17.59765625, 5.9, 0.0, 88.1875, 58.796875, 11.798828125, 0.0, 0.0, 0.0, 72.0, 11.0, 1.0, 1.0, 21.0, "Tous les candidats", 147.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "22096", "Licence - Informatique - Parcours Numérique pour les environnements connectés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22096&g_ta_cod=22096", 90.0, 10.0, 0.0),
(6698, "Public", "0951985S", "I.U.T de Cergy-Pontoise - Site de Sarcelles", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Sarcelles", "formation sélective", "BUT", "I.U.T de Cergy-Pontoise - Site de Sarcelles - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client - Stratégie de marque et événementiel", 88, 4385, 2539, 4385, 0, 1828, 643, 1707, 736, 0, 0, 850, 0, 0, 0, 0, 0, 1266, 0, 0, 0, 700, 203, 491, 214, 0, 0, 75, 637, 85, 64, 85, 0, 12.0, 66.0, 77.0, 0, 30, 78, 35, 43, 0, 7, 0, 6, 49, 23, 0, 0.0, 31, 41, 0, 0, 0, 39, 76, 14.12, 77.65, 90.59, 75.296875, 50.0, 97.390625, 0, 38.5, 91.796875, 0.0, 7.69921875, 62.796875, 29.5, 0.0, 0.0, 44.8984375, 39.6953125, 55.09375, 52.59375, 0.0, 0.0, 292.0, 102.0, 0.0, 0.0, 45.0, "Tous les candidats sauf les Bac technologiques", 475.0, "Bacheliers technologiques toutes séries", 391, "", 0, "Liste d'appel propre à cette formation", 20.0, "11664", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11664&g_ta_cod=11664", 49.0, 51.0, 0.0),
(6699, "Public", "0180007K", "Lycée Jacques Coeur", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BTS", "Lycée Jacques Coeur - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 767, 428, 767, 0, 84, 17, 241, 66, 234, 91, 208, 0, 0, 0, 0, 0, 387, 0, 0, 0, 58, 11, 187, 48, 112, 35, 30, 131, 23, 14, 23, 0, 3.0, 14.0, 21.0, 0, 6, 20, 0, 14, 6, 3, 0, 8, 9, 3, 0, 0.0, 0, 7, 5, 7, 6, 17, 17, 13.04, 60.87, 91.3, 60.8984375, 85.0, 85.0, 35, 30.0, 87.0, 0.0, 40.0, 45.0, 15.0, 0.0, 0.0, 0.0, 0.0, 70.0, 35.0, 30.0, 25.0, 0.0, 0.0, 40.0, 12.0, 7.0, "Tous les candidats sauf les Bac professionnels", 150.0, "Bacheliers professionnels toutes séries", 67, "", 0, "Liste d'appel propre à cette formation", 28.0, "3095", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3095&g_ta_cod=3095", 0.0, 61.0, 39.0),
(6700, "Public", "0740009H", "Lycée des Glieres", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annemasse", "formation sélective", "BTS", "Lycée des Glieres - BTS - Services - Commerce International", "BTS - Services", "", 34, 838, 432, 838, 0, 102, 34, 275, 93, 114, 51, 347, 0, 0, 0, 0, 0, 364, 0, 0, 0, 68, 22, 161, 54, 59, 25, 76, 150, 33, 19, 33, 0, 6.0, 29.0, 30.0, 0, 14, 25, 1, 16, 8, 8, 0, 9, 7, 8, 1, 0.0, 1, 7, 8, 5, 4, 21, 21, 18.18, 87.88, 90.91, 57.59375, 84.0, 84.0, 20, 56.0, 75.796875, 0.0, 36.0, 28.0, 32.0, 4.0, 0.0, 4.0, 4.0, 64.0, 28.0, 32.0, 32.0, 9.0, 4.0, 21.0, 9.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 131, "Liste d'appel propre à cette formation", 22.0, "8865", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8865&g_ta_cod=8865", 15.0, 61.0, 24.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(6701, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail Droit / Psychologie", "Licence - Droit-économie-gestion", "Droit / Psychologie : Droit", 60, 1232, 1087, 1232, 0, 936, 173, 95, 30, 12, 8, 189, 0, 0, 0, 0, 0, 1231, 0, 0, 0, 936, 173, 95, 30, 12, 8, 188, 266, 60, 55, 60, 0, 4.0, 55.0, 56.0, 0, 10, 55, 53, 2, 0, 5, 0, 4, 19, 21, 10, 1.0, 49, 2, 0, 0, 0, 45, 45, 6.67, 91.67, 93.33, 91.6875, 81.796875, 81.796875, 0, 18.19921875, 91.6875, 0.0, 7.2998046875, 34.5, 38.1953125, 18.2, 1.8, 96.390625, 89.09375, 3.599609375, 3.599609375, 0.0, 0.0, 207.0, 41.0, 0.0, 0.0, 55.0, "Tous les candidats", 691.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "22789", "Licence - Portail Droit / Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22787&g_ta_cod=22789", 95.0, 5.0, 0.0),
(6702, "Public", "0371196Z", "IFSI du CHU de TOURS", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Chambray-lès-Tours", "formation sélective", "IFSI", "Regroupement d'IFSI Université Tours - D.E Infirmier", "D.E secteur sanitaire", "", 158, 6414, 5433, 6414, 0, 1147, 211, 1448, 344, 574, 200, 3245, 0, 0, 0, 0, 0, 5666, 0, 0, 0, 1105, 196, 1382, 313, 445, 161, 2734, 670, 158, 143, 158, 0, 15.0, 97.0, 137.0, 0, 20, 111, 54, 54, 3, 47, 0, 3, 62, 37, 8, 1.0, 53, 52, 3, 0, 0, 51, 51, 9.49, 61.39, 86.71, 90.5, 45.8984375, 45.8984375, 0, 18.0, 70.296875, 0.0, 2.69970703125, 55.8984375, 33.296875, 7.2, 0.9, 48.59375, 47.6953125, 48.59375, 46.796875, 2.69970703125, 2.69970703125, 174.0, 21.0, 12.0, 3.0, 221.0, "Tous les candidats", 1325.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "23265", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22995&g_ta_cod=23265", 56.0, 41.0, 3.0),
(6703, "Privé sous contrat d'association", "0753897D", "Lycée Saint Michel de Picpus", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "CPGE", "Lycée Saint Michel de Picpus - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 17, 1347, 583, 1345, 0, 1241, 69, 1, 1, 1, 1, 102, 2, 1, 0, 0, 1, 700, 0, 0, 700, 699, 38, 0, 0, 0, 0, 1, 211, 15, 3, 15, 0, 0.0, 6.0, 13.0, 0, 1, 15, 15, 0, 0, 0, 0, 0, 2, 13, 0, 0.0, 15, 0, 0, 1, 0, 8, 15, 0.0, 40.0, 86.67, 20.0, 53.296875, 100.0, 6.69921875, 6.69921875, 100.0, 0.0, 0.0, 13.298828125, 86.6875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 211.0, 13.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "31582", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31373&g_ta_cod=31582", 100.0, 0.0, 0.0),
(6704, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence", "Université du Mans - Licence - Langues étrangères appliquées - Parcours LEA anglais / espagnol", "Licence - Arts-lettres-langues", "LEA anglais / espagnol", 120, 650, 468, 550, 0, 368, 91, 67, 21, 24, 14, 91, 100, 22, 14, 8, 56, 550, 73, 0, 0, 368, 91, 67, 21, 24, 14, 91, 553, 102, 75, 81, 21, 45.0, 76.0, 95.0, 0, 21, 70, 52, 12, 6, 32, 0, 27, 27, 12, 3, 1.0, 39, 3, 1, 0, 0, 60, 60, 44.12, 74.51, 93.14, 73.5, 85.6875, 85.6875, 0, 30.0, 68.59375, 0.0, 38.59375, 38.59375, 17.09765625, 4.3, 1.4, 74.296875, 55.6953125, 17.09765625, 4.2998046875, 8.599609375, 1.39990234375, 358.0, 90.0, 23.0, 16.0, 119.0, "Tous les candidats", 549.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8738", "Licence - Langues étrangères appliquées - Parcours LEA anglais / espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8738&g_ta_cod=8738", 72.0, 20.0, 8.0),
(6705, "Public", "0492226D", "Polytech Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 116, 7585, 1963, 7585, 0, 6751, 548, 0, 0, 0, 0, 834, 0, 0, 0, 0, 0, 5191, 0, 0, 0, 4907, 317, 0, 0, 0, 0, 284, 2762, 116, 23, 116, 0, 67.0, 93.0, 115.0, 0, 12, 113, 113, 0, 0, 3, 0, 0, 16, 65, 32, 0.0, 113, 0, 0, 0, 0, 75, 75, 57.76, 80.17, 99.14, 19.796875, 66.390625, 66.390625, 0, 10.599609375, 97.390625, 0.0, 0.0, 14.19921875, 57.5, 28.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 2644.0, 236.0, 0.0, 0.0, 118.0, "Autres candidats", 9078.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "19", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=19", 100.0, 0.0, 0.0),
(6706, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 70, 281, 204, 117, 0, 65, 18, 11, 7, 13, 6, 28, 164, 24, 18, 22, 100, 117, 154, 0, 0, 65, 18, 11, 7, 13, 6, 28, 272, 64, 47, 9, 52, 7.0, 9.0, 46.0, 0, 21, 33, 15, 9, 9, 31, 0, 22, 7, 3, 1, 0.0, 4, 2, 5, 0, 0, 13, 29, 10.94, 14.06, 71.88, 73.390625, 39.3984375, 87.890625, 0, 63.59375, 51.59375, 0.0, 66.6875, 21.19921875, 9.099609375, 3.0, 0.0, 45.5, 12.099609375, 27.296875, 6.099609375, 27.296875, 15.19921875, 91.0, 26.0, 33.0, 21.0, 119.0, "Tous les candidats", 115.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "11261", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11261&g_ta_cod=11261", 48.0, 27.0, 25.0),
(6707, "Public", "0830077H", "Lycée agricole de Hyères", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Hyères", "formation sélective", "BTS", "Lycée agricole de Hyères - BTS - Agricole - Production horticole", "BTS - Agricole", "", 16, 146, 58, 137, 0, 17, 4, 16, 4, 16, 7, 88, 9, 0, 0, 2, 7, 73, 3, 0, 0, 17, 4, 16, 4, 16, 7, 24, 64, 10, 6, 8, 2, 1.0, 8.0, 10.0, 0, 2, 7, 2, 1, 4, 3, 0, 4, 3, 0, 0, 0.0, 0, 1, 2, 1, 0, 5, 5, 10.0, 80.0, 100.0, 60.0, 71.390625, 71.390625, 14.298828125, 28.59765625, 70.0, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 28.59765625, 0.0, 14.298828125, 14.298828125, 57.09375, 28.59765625, 13.0, 2.0, 16.0, 8.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 53.0, "10350", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10350&g_ta_cod=10350", 50.0, 10.0, 40.0),
(6708, "Public", "0771763Y", "Lycée Charles Le Chauve", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Roissy-en-Brie", "formation sélective", "BTS", "Lycée Charles Le Chauve - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 859, 356, 859, 0, 69, 14, 288, 87, 270, 87, 232, 0, 0, 0, 0, 0, 621, 0, 0, 0, 66, 14, 254, 78, 189, 63, 112, 161, 33, 11, 32, 0, 2.0, 22.0, 24.0, 0, 7, 28, 4, 9, 15, 5, 0, 9, 15, 4, 0, 0.0, 2, 5, 12, 6, 4, 28, 28, 6.06, 66.67, 72.73, 33.296875, 100.0, 100.0, 21.3984375, 25.0, 84.796875, 0.0, 32.09375, 53.59375, 14.298828125, 0.0, 0.0, 14.298828125, 7.099609375, 32.09375, 17.8984375, 53.59375, 42.8984375, 31.0, 8.0, 68.0, 18.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 91, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 22.0, "9851", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9851&g_ta_cod=9851", 12.0, 42.0, 45.0),
(6709, "Public", "0620215X", "Université du littoral - Site de Calais -", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation non sélective", "Licence", "Université du littoral - Site de Calais - - Licence - Portail Mathématiques", "Licence - Sciences - technologies - santé", "", 72, 388, 176, 340, 0, 259, 50, 9, 3, 1, 1, 71, 48, 9, 1, 0, 38, 340, 31, 0, 0, 259, 50, 9, 3, 1, 1, 71, 335, 50, 18, 45, 5, 28.0, 44.0, 47.0, 0, 11, 38, 36, 1, 1, 12, 0, 5, 10, 18, 4, 1.0, 32, 0, 1, 0, 0, 36, 36, 56.0, 88.0, 94.0, 36.0, 94.6875, 94.6875, 0, 28.8984375, 76.0, 0.0, 13.19921875, 26.296875, 47.3984375, 10.5, 2.6, 94.6875, 84.1875, 2.599609375, 0.0, 2.599609375, 2.599609375, 240.0, 48.0, 1.0, 1.0, 87.0, "Tous les candidats", 394.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "7401", "Licence - Portail Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27869&g_ta_cod=7401", 92.0, 6.0, 2.0),
(6710, "Public", "0801327H", "Lycée Edouard Branly", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 369, 121, 270, 0, 18, 4, 104, 32, 59, 29, 89, 99, 4, 31, 22, 42, 57, 8, 0, 0, 0, 0, 20, 7, 29, 17, 8, 62, 14, 0, 8, 6, 4.0, 8.0, 14.0, 0, 3, 8, 0, 4, 4, 6, 0, 3, 3, 2, 0, 0.0, 0, 2, 3, 2, 0, 7, 7, 28.57, 57.14, 100.0, 0.0, 87.5, 87.5, 25, 37.5, 57.09375, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 37.5, 0.0, 0.0, 27.0, 13.0, 11.0, "Tous les candidats sauf les Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 21.0, "10193", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10193&g_ta_cod=10193", 0.0, 64.0, 36.0),
(6711, "Public", "0670084C", "Lycée Jean Rostand", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Production - Biotechnologies", "BTS - Production", "", 32, 767, 489, 767, 0, 170, 26, 253, 74, 20, 4, 324, 0, 0, 0, 0, 0, 355, 0, 0, 0, 89, 11, 156, 36, 2, 0, 108, 131, 30, 21, 30, 0, 3.0, 25.0, 27.0, 0, 5, 27, 8, 18, 1, 3, 0, 5, 13, 5, 4, 0.0, 7, 14, 1, 9, 7, 23, 23, 10.0, 83.33, 90.0, 70.0, 85.1875, 85.1875, 33.296875, 18.5, 90.0, 0.0, 18.5, 48.09375, 18.5, 14.8, 0.0, 29.59765625, 25.8984375, 66.6875, 51.8984375, 3.69970703125, 3.69970703125, 30.0, 8.0, 2.0, 0.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 2, "Bacheliers technologiques toutes séries", 101, "Liste d'appel propre à cette formation", 23.0, "7927", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7927&g_ta_cod=7927", 30.0, 67.0, 3.0),
(6712, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence_Las", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Portail Mathématiques - Parcours Mathématiques", "Licence - Sciences - technologies - santé", "Parcours Mathématiques", 30, 839, 419, 839, 0, 611, 136, 16, 5, 3, 1, 209, 0, 0, 0, 0, 0, 839, 0, 0, 0, 611, 136, 16, 5, 3, 1, 209, 338, 29, 17, 29, 0, 1.0, 7.0, 17.0, 0, 11, 20, 20, 0, 0, 9, 0, 8, 7, 3, 2, 0.0, 12, 0, 0, 0, 0, 11, 18, 3.45, 24.14, 58.62, 58.59375, 55.0, 90.0, 0, 55.0, 69.0, 0.0, 40.0, 35.0, 15.0, 10.0, 0.0, 100.0, 60.0, 0.0, 0.0, 0.0, 0.0, 256.0, 68.0, 0.0, 0.0, 82.0, "Tous les candidats", 1128.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 60.0, "32713", "Licence - Portail Mathématiques - Parcours Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32712&g_ta_cod=32713", 100.0, 0.0, 0.0),
(6713, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Université de Nantes - C.M.I - Cursus Master en Ingénierie - Physique - Ingénierie en Calcul mécanique", "C.M.I - Cursus Master en Ingénierie", "Ingénierie Statistique", 9, 376, 87, 373, 0, 282, 44, 4, 1, 1, 0, 86, 3, 1, 0, 0, 2, 286, 0, 0, 0, 254, 36, 0, 0, 0, 0, 32, 95, 9, 2, 9, 0, 0.0, 7.0, 8.0, 0, 0, 8, 8, 0, 0, 1, 0, 1, 2, 4, 1, 0.0, 7, 0, 0, 0, 0, 3, 3, 0.0, 77.78, 88.89, 22.19921875, 37.5, 37.5, 0, 0.0, 88.890625, 0.0, 12.5, 25.0, 50.0, 12.5, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 88.0, 8.0, 0.0, 0.0, 7.0, "Tous les candidats", 411.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 63.0, "29134", "C.M.I - Cursus Master en Ingénierie - Physique - Ingénierie en Calcul mécanique", "Université de Nantes", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29129&g_ta_cod=29134", 100.0, 0.0, 0.0),
(6714, "Privé sous contrat d'association", "0141178E", "Lycée Sainte Ursule", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Sainte Ursule - BTS - Services - Commerce International", "BTS - Services", "", 35, 518, 287, 503, 0, 161, 30, 128, 30, 50, 15, 164, 15, 0, 0, 8, 7, 343, 4, 0, 0, 135, 23, 98, 22, 22, 6, 88, 148, 34, 17, 31, 3, 2.0, 28.0, 31.0, 0, 2, 16, 12, 1, 3, 18, 0, 2, 10, 3, 1, 0.0, 10, 1, 3, 0, 0, 15, 15, 5.88, 82.35, 91.18, 50.0, 93.796875, 93.796875, 0, 12.5, 47.09375, 0.0, 12.5, 62.5, 18.796875, 6.3, 0.0, 75.0, 62.5, 6.2998046875, 6.2998046875, 18.796875, 18.796875, 66.0, 9.0, 16.0, 3.0, 35.0, "Tous les candidats sauf les Bac professionnels", 174.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 39.0, "2845", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2845&g_ta_cod=2845", 76.0, 9.0, 15.0),
(6715, "Public", "0311810Z", "IFSI Croix Rouge Française Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "IFSI", "Regroupement d'IFSI Université Toulouse - D.E Infirmier", "D.E secteur sanitaire", "", 155, 8761, 7448, 8761, 0, 1474, 319, 1423, 418, 1047, 410, 4817, 0, 0, 0, 0, 0, 5454, 0, 0, 0, 1300, 268, 905, 250, 555, 211, 2694, 1255, 152, 136, 152, 0, 4.0, 43.0, 94.0, 0, 17, 74, 44, 20, 10, 78, 0, 5, 50, 16, 3, 0.0, 39, 20, 10, 0, 0, 54, 54, 2.63, 28.29, 61.84, 89.5, 73.0, 73.0, 0, 23.0, 48.6953125, 0.0, 6.7998046875, 67.59375, 21.59765625, 4.1, 0.0, 59.5, 52.6953125, 27.0, 27.0, 13.5, 13.5, 441.0, 82.0, 44.0, 16.0, 648.0, "Tous les candidats", 2026.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "23250", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22985&g_ta_cod=23250", 74.0, 16.0, 10.0),
(6716, "Public", "0330192E", "Sciences Po Bordeaux - Institut d'études politiques", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Autre formation", "Sciences Po Bordeaux - Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Cursus général", "Sciences politiques", "Cursus général", 275, 5946, 3848, 5946, 0, 5940, 606, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 1082, 0, 0, 0, 1082, 96, 0, 0, 0, 0, 0, 498, 275, 195, 275, 0, 109.0, 269.0, 272.0, 0, 31, 275, 275, 0, 0, 0, 1, 0, 0, 8, 186, 80.0, 274, 0, 0, 0, 0, 62, 62, 39.64, 97.82, 98.91, 70.890625, 22.5, 22.5, 0, 11.298828125, 100.0, 0.39996337890625, 0.0, 0.0, 2.89990234375, 67.6, 29.1, 100.0, 99.59375, 0.0, 0.0, 0.0, 0.0, 498.0, 61.0, 0.0, 0.0, 0.0, "Tous les candidats", 534.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "25837", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Cursus général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25837&g_ta_cod=25837", 100.0, 0.0, 0.0),
(6717, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 1 - Licence - Portail Portail Mathématiques et applications", "Licence - Sciences - technologies - santé", "Portail Mathématiques et applications", 175, 1892, 609, 1764, 0, 1396, 153, 40, 12, 4, 3, 324, 128, 28, 2, 0, 98, 1764, 110, 0, 0, 1396, 153, 40, 12, 4, 3, 324, 1616, 103, 29, 77, 26, 29.0, 74.0, 99.0, 0, 9, 57, 56, 1, 0, 46, 1, 14, 27, 11, 4, 0.0, 41, 1, 0, 0, 0, 38, 38, 28.16, 71.84, 96.12, 28.19921875, 66.6875, 66.6875, 0, 15.798828125, 55.296875, 1.7998046875, 24.59765625, 47.3984375, 19.296875, 7.0, 0.0, 98.1875, 71.890625, 1.7998046875, 1.7998046875, 0.0, 0.0, 1266.0, 141.0, 3.0, 2.0, 336.0, "Tous les candidats", 1944.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "19305", "Licence - Portail Portail Mathématiques et applications", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28718&g_ta_cod=19305", 93.0, 6.0, 1.0),
(6718, "Public", "0631861F", "Lycée René Descartes", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Cournon-d'Auvergne", "formation sélective", "Autre formation", "Lycée René Descartes - DN MADE - Animation - - Spécialité : Cinéma d'animation et matériaux graphiques.", "DN MADE", "- Spécialité : Cinéma d'animation et matériaux graphiques.", 15, 1245, 784, 1245, 0, 541, 101, 273, 64, 110, 38, 321, 0, 0, 0, 0, 0, 211, 0, 0, 0, 86, 14, 66, 12, 4, 1, 55, 48, 15, 12, 15, 0, 1.0, 15.0, 15.0, 0, 1, 11, 6, 5, 0, 4, 0, 0, 3, 8, 0, 0.0, 6, 5, 0, 0, 0, 2, 2, 6.67, 100.0, 100.0, 80.0, 18.19921875, 18.19921875, 0, 9.099609375, 73.296875, 0.0, 0.0, 27.296875, 72.6875, 0.0, 0.0, 54.5, 54.5, 45.5, 45.5, 0.0, 0.0, 17.0, 4.0, 1.0, 0.0, 15.0, "Tous les candidats", 63.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "24454", "DN MADE - Animation - - Spécialité : Cinéma d'animation et matériaux graphiques.", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24454&g_ta_cod=24454", 67.0, 33.0, 0.0),
(6719, "Privé enseignement supérieur", "0512185Y", "ICP - Antenne de Reims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Licence", "ICP - Antenne de Reims - Licence - Sciences sociales - Parcours Sciences Economiques et Politique", "Licence - Sciences humaines et sociales", "Sciences Economiques et Politique", 50, 402, 235, 402, 0, 363, 34, 3, 0, 0, 0, 36, 0, 0, 0, 0, 0, 309, 0, 0, 0, 296, 24, 0, 0, 0, 0, 13, 171, 51, 28, 51, 0, 13.0, 49.0, 49.0, 0, 4, 51, 51, 0, 0, 0, 0, 1, 11, 24, 15, 0.0, 50, 0, 0, 0, 0, 32, 32, 25.49, 96.08, 96.08, 54.8984375, 62.6953125, 62.6953125, 0, 7.7998046875, 100.0, 0.0, 2.0, 21.59765625, 47.09375, 29.4, 0.0, 100.0, 98.0, 0.0, 0.0, 0.0, 0.0, 166.0, 10.0, 0.0, 0.0, 5.0, "Tous les candidats", 235.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "32867", "Licence - Sciences sociales - Parcours Sciences Economiques et Politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32867&g_ta_cod=32867", 100.0, 0.0, 0.0),
(6720, "Public", "0951824S", "Lycée De L'Hautil", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Jouy-le-Moutier", "formation sélective", "Autre formation", "Lycée De L'Hautil - Mention complémentaire - FCIL - CAES - Option Services", "Mention complémentaire", "", 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 20, 7, 2, 0, 0, 0.0, 0.0, 0.0, 0, 2, 4, 0, 0, 4, 3, 0, 3, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 4, 4, 0.0, 0.0, 0.0, 28.59765625, 100.0, 100.0, 0, 50.0, 57.09375, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 9.0, 4.0, 11.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30693", "Mention complémentaire - FCIL - CAES - Option Services", "", "", 0.0, 29.0, 71.0),
(6721, "Public", "0360768P", "Université d'Orléans - Centre Univ. de Châteauroux", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Châteauroux", "formation non sélective", "Licence", "Université d'Orléans - Centre Univ. de Châteauroux - Licence - Langues étrangères appliquées - Parcours Anglais/Chinois", "Licence - Arts-lettres-langues", "Anglais/Chinois", 30, 191, 142, 114, 0, 74, 20, 16, 10, 5, 3, 19, 77, 19, 3, 5, 50, 114, 56, 0, 0, 74, 20, 16, 10, 5, 3, 19, 147, 25, 17, 6, 19, 1.0, 6.0, 16.0, 0, 3, 12, 8, 1, 3, 13, 0, 7, 5, 0, 0, 0.0, 4, 1, 0, 0, 0, 7, 7, 4.0, 24.0, 64.0, 68.0, 58.296875, 58.296875, 0, 25.0, 48.0, 0.0, 58.296875, 41.6953125, 0.0, 0.0, 0.0, 66.6875, 33.296875, 8.298828125, 8.298828125, 25.0, 0.0, 79.0, 20.0, 7.0, 2.0, 47.0, "Tous les candidats", 114.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12132", "Licence - Langues étrangères appliquées - Parcours Anglais/Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12132&g_ta_cod=12132", 68.0, 16.0, 16.0),
(6722, "Public", "0450786K", "Lycée professionnel Paul Gauguin", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée professionnel Paul Gauguin - BTS - Services - Métiers des Services à l'environnement", "BTS - Services", "", 15, 265, 104, 240, 0, 31, 4, 42, 16, 18, 12, 149, 25, 0, 2, 10, 13, 131, 3, 0, 0, 31, 4, 42, 16, 18, 12, 40, 75, 11, 4, 10, 1, 2.0, 7.0, 10.0, 0, 4, 9, 2, 4, 3, 2, 0, 5, 3, 1, 0, 0.0, 1, 0, 3, 1, 0, 5, 5, 18.18, 63.64, 90.91, 36.3984375, 55.59375, 55.59375, 11.099609375, 44.3984375, 81.796875, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 22.19921875, 11.099609375, 44.3984375, 0.0, 33.296875, 33.296875, 18.0, 3.0, 16.0, 9.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 45.0, "20978", "BTS - Services - Métiers des Services à l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20978&g_ta_cod=20978", 27.0, 45.0, 27.0),
(6723, "Privé sous contrat d'association", "0530068L", "Lycée HAUTE-FOLLIS", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "Lycée HAUTE-FOLLIS - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 136, 72, 132, 0, 26, 2, 39, 5, 27, 9, 40, 4, 1, 0, 0, 3, 111, 1, 0, 0, 26, 2, 39, 5, 27, 9, 19, 66, 19, 7, 18, 1, 3.0, 15.0, 16.0, 0, 1, 17, 3, 7, 7, 2, 0, 8, 5, 4, 0, 0.0, 0, 3, 6, 6, 0, 13, 13, 15.79, 78.95, 84.21, 36.796875, 76.5, 76.5, 35.296875, 5.8994140625, 89.5, 0.0, 47.09375, 29.3984375, 23.5, 0.0, 0.0, 17.59765625, 0.0, 41.1953125, 17.59765625, 41.1953125, 35.296875, 21.0, 2.0, 14.0, 3.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 71.0, "6215", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6215&g_ta_cod=6215", 16.0, 42.0, 42.0),
(6724, "Public", "0620006V", "Lycée Robespierre", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "CPGE", "Lycée Robespierre - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 612, 236, 597, 454, 497, 75, 0, 0, 0, 0, 100, 15, 7, 1, 0, 7, 531, 10, 408, 508, 478, 71, 0, 0, 0, 0, 53, 449, 29, 10, 29, 0, 5.0, 25.0, 29.0, 13, 6, 28, 28, 0, 0, 1, 0, 0, 9, 16, 2, 1.0, 28, 0, 0, 0, 0, 24, 24, 17.24, 86.21, 100.0, 34.5, 85.6875, 85.6875, 0, 21.3984375, 96.59375, 0.0, 0.0, 32.09375, 57.09375, 7.1, 3.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 412.0, 63.0, 0.0, 0.0, 36.0, "Tous les candidats", 518.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "7327", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7327&g_ta_cod=7327", 100.0, 0.0, 0.0),
(6725, "Public", "0690026D", "Lycée du Parc", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 6e  Arrondissement", "formation sélective", "CPGE", "Lycée du Parc - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 2297, 1743, 2297, 1512, 2105, 211, 1, 0, 2, 0, 189, 0, 0, 0, 0, 0, 1760, 0, 1512, 880, 1654, 178, 1, 0, 1, 0, 104, 529, 95, 73, 95, 0, 26.0, 78.0, 93.0, 17, 16, 90, 89, 1, 0, 5, 0, 0, 0, 6, 60, 24.0, 89, 1, 0, 0, 0, 16, 16, 27.37, 82.11, 97.89, 76.796875, 17.796875, 17.796875, 0, 17.796875, 94.6875, 0.0, 0.0, 0.0, 6.69921875, 66.7, 26.7, 98.890625, 98.890625, 1.099853515625, 1.099853515625, 0.0, 0.0, 512.0, 70.0, 0.0, 0.0, 16.0, "Tous les candidats", 807.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "8186", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8186&g_ta_cod=8186", 99.0, 1.0, 0.0),
(6726, "Public", "0210015C", "Lycée Carnot", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "CPGE", "Lycée Carnot - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 2124, 616, 2124, 1546, 1609, 164, 3, 2, 0, 0, 512, 0, 0, 0, 0, 0, 1203, 0, 605, 1125, 1185, 112, 0, 0, 0, 0, 18, 520, 95, 23, 95, 0, 30.0, 71.0, 92.0, 9, 6, 95, 95, 0, 0, 0, 0, 0, 0, 33, 58, 4.0, 95, 0, 0, 7, 1, 71, 71, 31.58, 74.74, 96.84, 24.19921875, 74.6875, 74.6875, 7.3994140625, 6.2998046875, 100.0, 0.0, 0.0, 0.0, 34.6953125, 61.1, 4.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 517.0, 41.0, 0.0, 0.0, 3.0, "Tous les candidats", 740.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "3177", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3177&g_ta_cod=3177", 100.0, 0.0, 0.0),
(6727, "Public", "0061561P", "Lycée professionnel Alfred Hutinel", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BTS", "Lycée professionnel Alfred Hutinel - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 24, 348, 109, 344, 0, 66, 17, 70, 27, 150, 49, 58, 4, 2, 0, 0, 2, 206, 2, 0, 0, 48, 10, 47, 16, 99, 27, 12, 98, 16, 3, 15, 1, 5.0, 13.0, 13.0, 0, 6, 16, 2, 4, 10, 0, 0, 4, 7, 4, 1, 0.0, 0, 2, 10, 9, 2, 16, 16, 31.25, 81.25, 81.25, 18.796875, 100.0, 100.0, 56.296875, 37.5, 100.0, 0.0, 25.0, 43.796875, 25.0, 6.3, 0.0, 12.5, 0.0, 25.0, 12.5, 62.5, 62.5, 25.0, 11.0, 41.0, 10.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers technologiques toutes séries", 23, "Bacheliers professionnels toutes séries", 34, "Liste d'appel propre à cette formation", 27.0, "29428", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29428&g_ta_cod=29428", 13.0, 25.0, 63.0),
(6728, "Privé sous contrat d'association", "0511556P", "IRTS Champagne Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "EFTS", "IRTS Champagne Ardenne - D.E Assistant de Service Social", "D.E secteur social", "", 35, 111, 101, 89, 0, 17, 4, 15, 2, 10, 2, 47, 22, 5, 2, 0, 15, 42, 3, 0, 0, 6, 3, 7, 1, 5, 0, 24, 45, 28, 25, 25, 3, 20.0, 25.0, 27.0, 0, 3, 13, 6, 3, 4, 15, 0, 4, 6, 1, 2, 0.0, 3, 2, 4, 0, 0, 10, 10, 71.43, 89.29, 96.43, 89.296875, 76.890625, 76.890625, 0, 23.09765625, 46.3984375, 0.0, 30.796875, 46.1953125, 7.69921875, 15.4, 0.0, 46.1953125, 23.09765625, 23.09765625, 15.3984375, 30.796875, 30.796875, 7.0, 3.0, 6.0, 0.0, 26.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "24901", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24901&g_ta_cod=24901", 54.0, 21.0, 25.0),
(6729, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Portail Licence 1ère année Portail Sciences de la terre et de l'environnement", "Licence - Sciences - technologies - santé", "Licence 1ère année Portail Sciences de la terre et de l'environnement", 60, 559, 316, 509, 0, 313, 59, 15, 6, 4, 4, 177, 50, 11, 2, 0, 37, 503, 47, 0, 0, 313, 59, 15, 6, 4, 4, 171, 373, 56, 27, 35, 21, 1.0, 26.0, 35.0, 0, 7, 36, 33, 3, 0, 20, 1, 20, 12, 3, 0, 0.0, 15, 0, 0, 0, 0, 27, 27, 1.79, 46.43, 62.5, 48.1953125, 75.0, 75.0, 0, 19.3984375, 64.296875, 2.7998046875, 55.59375, 33.296875, 8.298828125, 0.0, 0.0, 91.6875, 41.6953125, 8.298828125, 0.0, 0.0, 0.0, 187.0, 43.0, 2.0, 2.0, 173.0, "Tous les candidats", 486.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "13876", "Licence - Portail Licence 1ère année Portail Sciences de la terre et de l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13876&g_ta_cod=13876", 91.0, 7.0, 2.0),
(6730, "Public", "0371610Z", "Polytech Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 150, 7833, 1959, 7833, 0, 7033, 591, 0, 0, 0, 0, 800, 0, 0, 0, 0, 0, 5375, 0, 0, 0, 5101, 322, 0, 0, 0, 0, 274, 3604, 164, 34, 164, 0, 79.0, 116.0, 164.0, 0, 11, 159, 159, 0, 0, 5, 0, 1, 26, 100, 32, 0.0, 158, 0, 0, 0, 0, 53, 53, 48.17, 70.73, 100.0, 20.69921875, 33.296875, 33.296875, 0, 6.8994140625, 97.0, 0.0, 0.5999755859375, 16.3984375, 62.8984375, 20.1, 0.0, 100.0, 99.390625, 0.0, 0.0, 0.0, 0.0, 3436.0, 292.0, 0.0, 0.0, 168.0, "Autres candidats", 11187.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 56.0, "14", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=14", 100.0, 0.0, 0.0),
(6731, "Public", "0810004P", "Lycée Louis Rascol", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "BTS", "Lycée Louis Rascol - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 30, 259, 65, 248, 0, 18, 7, 102, 30, 90, 24, 38, 11, 0, 3, 1, 7, 193, 3, 0, 0, 18, 7, 86, 22, 71, 21, 18, 130, 29, 5, 27, 0, 4.0, 19.0, 26.0, 0, 11, 27, 2, 13, 12, 2, 0, 17, 6, 4, 0, 0.0, 0, 3, 7, 6, 0, 26, 26, 13.79, 65.52, 89.66, 17.19921875, 96.296875, 96.296875, 22.19921875, 40.6953125, 93.09375, 0.0, 63.0, 22.19921875, 14.798828125, 0.0, 0.0, 7.3994140625, 0.0, 48.09375, 11.099609375, 44.3984375, 25.8984375, 13.0, 5.0, 42.0, 13.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 65.0, "10264", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10264&g_ta_cod=10264", 10.0, 48.0, 41.0),
(6732, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "PASS", "Université de Rennes 1 - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 40, 2346, 1431, 2346, 0, 1885, 213, 39, 10, 7, 3, 415, 0, 0, 0, 0, 0, 2343, 0, 0, 0, 1885, 213, 39, 10, 7, 3, 412, 240, 40, 25, 40, 0, 2.0, 34.0, 40.0, 0, 6, 40, 40, 0, 0, 0, 0, 0, 0, 8, 23, 9.0, 40, 0, 0, 0, 0, 38, 38, 5.0, 85.0, 100.0, 62.5, 95.0, 95.0, 0, 15.0, 100.0, 0.0, 0.0, 0.0, 20.0, 57.5, 22.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 195.0, 27.0, 0.0, 0.0, 43.0, "Tous les candidats", 1084.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "27361", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27360&g_ta_cod=27361", 100.0, 0.0, 0.0),
(6733, "Public", "0930863H", "Maison d'éducation de la Légion d'honneur", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BTS", "Maison d'éducation de la Légion d'honneur - BTS - Services - Commerce International", "BTS - Services", "", 18, 865, 470, 459, 0, 116, 36, 121, 61, 36, 17, 186, 406, 0, 274, 0, 132, 29, 0, 0, 0, 21, 2, 5, 1, 0, 0, 3, 29, 16, 16, 16, 0, 9.0, 16.0, 16.0, 0, 2, 13, 10, 3, 0, 3, 0, 0, 5, 6, 2, 0.0, 10, 3, 0, 3, 3, 4, 7, 56.25, 100.0, 100.0, 100.0, 30.796875, 53.796875, 23.09765625, 15.3984375, 81.296875, 0.0, 0.0, 38.5, 46.1953125, 15.4, 0.0, 76.890625, 76.890625, 23.09765625, 23.09765625, 0.0, 0.0, 21.0, 2.0, 0.0, 0.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers technologiques toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 6.0, "11219", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11219&g_ta_cod=11219", 75.0, 25.0, 0.0),
(6734, "Privé enseignement supérieur", "0755672H", "ESCE", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Programme Grande Ecole - programme franco-allemand - Campus de Paris ou Lyon", 30, 435, 181, 434, 0, 362, 17, 18, 2, 1, 0, 53, 1, 1, 0, 0, 0, 391, 0, 0, 0, 339, 12, 14, 1, 0, 0, 38, 391, 3, 2, 3, 0, 3.0, 3.0, 3.0, 0, 0, 3, 2, 1, 0, 0, 0, 0, 2, 1, 0, 0.0, 2, 1, 0, 0, 0, 1, 2, 100.0, 100.0, 100.0, 66.6875, 33.296875, 66.6875, 0, 0.0, 100.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 339.0, 12.0, 0.0, 0.0, 38.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "31985", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=31985", 67.0, 33.0, 0.0),
(6735, "Public", "0195014X", "Université de Limoges - Antenne de Brive", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "Autre formation", "Université de Limoges - Antenne de Brive - DEUST - Animation et gestion des activités physiques, sportives ou culturelles", "DEUST", "", 25, 369, 89, 369, 0, 132, 24, 108, 24, 34, 12, 95, 0, 0, 0, 0, 0, 120, 0, 0, 0, 62, 12, 32, 2, 4, 0, 22, 50, 25, 6, 25, 0, 15.0, 24.0, 24.0, 0, 5, 19, 11, 7, 1, 6, 0, 7, 11, 0, 1, 0.0, 6, 5, 1, 0, 0, 4, 4, 60.0, 96.0, 96.0, 24.0, 21.09765625, 21.09765625, 0, 26.296875, 76.0, 0.0, 36.796875, 57.8984375, 0.0, 5.3, 0.0, 57.8984375, 31.59765625, 36.796875, 26.296875, 5.2998046875, 5.2998046875, 23.0, 7.0, 1.0, 0.0, 14.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "18040", "DEUST - Animation et gestion des activités physiques, sportives ou culturelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18040&g_ta_cod=18040", 68.0, 28.0, 4.0),
(6736, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Portail Humanités", "Licence - Arts-lettres-langues", "", 130, 702, 506, 558, 0, 355, 89, 30, 11, 16, 5, 157, 144, 22, 17, 9, 96, 558, 138, 0, 0, 355, 89, 30, 11, 16, 5, 157, 596, 81, 55, 44, 37, 5.0, 42.0, 69.0, 0, 15, 40, 33, 3, 4, 41, 1, 19, 13, 4, 3, 0.0, 18, 0, 2, 0, 0, 38, 38, 6.17, 51.85, 85.19, 67.890625, 95.0, 95.0, 0, 37.5, 49.3984375, 2.5, 47.5, 32.5, 10.0, 7.5, 0.0, 82.5, 45.0, 7.5, 0.0, 10.0, 5.0, 309.0, 82.0, 20.0, 7.0, 232.0, "Tous les candidats", 649.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "9693", "Licence - Portail Humanités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26781&g_ta_cod=9693", 64.0, 19.0, 16.0),
(6737, "Public", "0910627M", "Lycée Jean Baptiste Corot", "91", "Essonne", "Ile-de-France", "Versailles", "Savigny-sur-Orge", "formation sélective", "CPGE", "Lycée Jean Baptiste Corot - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 40, 285, 138, 239, 0, 196, 35, 0, 0, 0, 0, 43, 46, 24, 1, 0, 21, 194, 17, 0, 194, 178, 31, 0, 0, 0, 0, 16, 190, 32, 15, 28, 4, 11.0, 28.0, 31.0, 0, 5, 29, 29, 0, 0, 3, 0, 3, 12, 11, 3, 0.0, 26, 0, 0, 8, 5, 26, 26, 34.38, 87.5, 96.88, 46.8984375, 89.6875, 89.6875, 27.59765625, 17.19921875, 90.59375, 0.0, 10.298828125, 41.3984375, 37.8984375, 10.3, 0.0, 100.0, 89.6875, 0.0, 0.0, 0.0, 0.0, 168.0, 30.0, 0.0, 0.0, 22.0, "Tous les candidats", 194.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "31401", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31401&g_ta_cod=31401", 100.0, 0.0, 0.0),
(6738, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Licence - Lettres - Parcours Lettres et Arts", "Licence - Arts-lettres-langues", "Lettres et Arts", 70, 1200, 898, 489, 0, 288, 47, 6, 3, 6, 4, 189, 711, 206, 40, 9, 456, 290, 62, 0, 0, 206, 31, 1, 1, 0, 0, 83, 332, 70, 59, 42, 28, 20.0, 42.0, 69.0, 0, 5, 32, 32, 0, 0, 38, 0, 3, 15, 11, 2, 1.0, 29, 0, 0, 0, 0, 10, 22, 28.57, 60.0, 98.57, 84.296875, 31.296875, 68.796875, 0, 15.599609375, 45.6953125, 0.0, 9.3984375, 46.8984375, 34.3984375, 6.3, 3.1, 100.0, 90.59375, 0.0, 0.0, 0.0, 0.0, 211.0, 32.0, 0.0, 0.0, 120.0, "Tous les candidats", 288.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "9335", "Licence - Lettres - Parcours Lettres et Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9335&g_ta_cod=9335", 99.0, 0.0, 1.0),
(6739, "Public", "0100735V", "Lycée agricole Charles Baltet", "10", "Aube", "Grand Est", "Reims", "Saint-Pouange", "formation sélective", "BTS", "Lycée agricole Charles Baltet - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 32, 268, 85, 266, 0, 16, 6, 58, 13, 55, 12, 137, 2, 0, 0, 2, 0, 138, 0, 0, 0, 15, 5, 55, 13, 49, 9, 19, 88, 30, 3, 30, 0, 11.0, 24.0, 29.0, 0, 5, 24, 1, 11, 12, 6, 0, 10, 9, 4, 1, 0.0, 1, 9, 4, 7, 1, 20, 20, 36.67, 80.0, 96.67, 10.0, 83.296875, 83.296875, 29.19921875, 20.796875, 80.0, 0.0, 41.6953125, 37.5, 16.69921875, 4.2, 0.0, 4.19921875, 4.19921875, 45.796875, 37.5, 50.0, 16.69921875, 7.0, 2.0, 37.0, 6.0, 13.0, "Tous les candidats sauf les Bac professionnels", 85.0, "Bacheliers professionnels toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 49.0, "2433", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2433&g_ta_cod=2433", 20.0, 37.0, 43.0),
(6740, "Public", "1340045W", "Université Paris Dauphine - Campus de Madrid", "99", "Etranger", "Etranger", "Etranger", "Madrid", "formation sélective", "Autre formation", "Université Paris Dauphine - Campus de Madrid - Formation valant grade de licence - Sciences des Organisations - Madrid", "Formation valant grade de licence", "Sciences des Organisations - Madrid", 35, 598, 365, 598, 0, 549, 6, 0, 0, 0, 0, 49, 0, 0, 0, 0, 0, 246, 0, 0, 0, 238, 4, 0, 0, 0, 0, 8, 151, 35, 30, 35, 0, 7.0, 26.0, 31.0, 0, 0, 35, 35, 0, 0, 0, 0, 0, 0, 10, 23, 2.0, 35, 0, 0, 0, 0, 5, 5, 20.0, 74.29, 88.57, 85.6875, 14.298828125, 14.298828125, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 28.59765625, 65.7, 5.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 150.0, 4.0, 0.0, 0.0, 1.0, "Tous les candidats", 153.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "25818", "Formation valant grade de licence - Sciences des Organisations - Madrid", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25818&g_ta_cod=25818", 100.0, 0.0, 0.0),
(6741, "Public", "0350077U", "CPI Rennes (ENS Chimie Rennes)", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Ecole d'Ingénieur", "Concours CPI Chimie Gay-Lussac - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 85, 1484, 971, 1484, 0, 1299, 92, 0, 0, 0, 0, 185, 0, 0, 0, 0, 0, 749, 0, 0, 0, 709, 38, 0, 0, 0, 0, 40, 381, 88, 64, 88, 0, 35.0, 81.0, 87.0, 0, 8, 83, 83, 0, 0, 5, 0, 0, 0, 14, 60, 9.0, 83, 0, 0, 0, 0, 34, 34, 39.77, 92.05, 98.86, 72.6875, 41.0, 41.0, 0, 9.599609375, 94.296875, 0.0, 0.0, 0.0, 16.8984375, 72.3, 10.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 366.0, 25.0, 0.0, 0.0, 15.0, "Tous les candidats", 591.0, "Candidats lycées français", 4, "Candidats lycées étrangers", 14, "Liste d'appel commune à plusieurs formations", 30.0, "4658", "Formation d'ingénieur Bac + 5 - Bac Général", "Concours CPI Chimie Gay-Lussac", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=159&g_ta_cod=4658", 100.0, 0.0, 0.0),
(6742, "Public", "0880021V", "Lycée Pierre Mendes France", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "BTS", "Lycée Pierre Mendes France - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 103, 2, 103, 0, 7, 2, 27, 4, 49, 11, 20, 0, 0, 0, 0, 0, 103, 0, 0, 0, 7, 2, 27, 4, 49, 11, 20, 52, 12, 0, 12, 0, 1.0, 8.0, 12.0, 0, 1, 7, 0, 4, 3, 5, 0, 2, 2, 3, 0, 0.0, 0, 2, 3, 5, 0, 5, 5, 8.33, 66.67, 100.0, 0.0, 71.390625, 71.390625, 71.390625, 14.298828125, 58.296875, 0.0, 28.59765625, 28.59765625, 42.8984375, 0.0, 0.0, 0.0, 0.0, 57.09375, 28.59765625, 42.8984375, 42.8984375, 5.0, 2.0, 18.0, 4.0, 7.0, "Tous les candidats sauf les Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 64.0, "10735", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10735&g_ta_cod=10735", 25.0, 50.0, 25.0),
(6743, "Public", "0911990U", "I.U.T. d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "BUT", "I.U.T. d'Evry Val d'Essonne - BUT - Techniques de commercialisation", "BUT - Service", "", 108, 2591, 1396, 2591, 0, 1106, 282, 947, 333, 45, 20, 493, 0, 0, 0, 0, 0, 1422, 0, 0, 0, 614, 130, 555, 196, 4, 3, 249, 454, 107, 74, 107, 0, 16.0, 76.0, 95.0, 0, 30, 84, 37, 45, 2, 23, 0, 1, 53, 27, 3, 0.0, 36, 45, 2, 0, 0, 67, 79, 14.95, 71.03, 88.79, 69.1875, 79.796875, 94.0, 0, 35.6953125, 78.5, 0.0, 1.199951171875, 63.09375, 32.09375, 3.6, 0.0, 44.0, 42.8984375, 53.59375, 53.59375, 2.39990234375, 2.39990234375, 186.0, 53.0, 4.0, 3.0, 69.0, "Tous les candidats sauf les Bac technologiques", 336.0, "Bacheliers technologiques toutes séries", 262, "", 0, "Liste d'appel propre à cette formation", 23.0, "10964", "BUT - Techniques de commercialisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10964&g_ta_cod=10964", 50.0, 49.0, 2.0),
(6744, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Langues étrangères appliquées - Parcours LEA / Anglais / Allemand", "Licence - Arts-lettres-langues", "LEA / Anglais / Allemand", 35, 207, 155, 192, 0, 139, 29, 15, 7, 3, 2, 35, 15, 3, 1, 1, 10, 192, 15, 0, 0, 139, 29, 15, 7, 3, 2, 35, 161, 36, 22, 29, 7, 13.0, 29.0, 36.0, 0, 8, 21, 19, 2, 0, 15, 0, 5, 7, 7, 2, 0.0, 16, 0, 0, 0, 0, 17, 17, 36.11, 80.56, 100.0, 61.09375, 81.0, 81.0, 0, 38.09375, 58.296875, 0.0, 23.796875, 33.296875, 33.296875, 9.5, 0.0, 90.5, 76.1875, 9.5, 0.0, 0.0, 0.0, 109.0, 24.0, 2.0, 1.0, 38.0, "Tous les candidats", 191.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "24043", "Licence - Langues étrangères appliquées - Parcours LEA / Anglais / Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24043&g_ta_cod=24043", 89.0, 11.0, 0.0),
(6745, "Public", "0101037Y", "Campus des Comtes de champagne - URCA", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation non sélective", "Licence_Las", "Université de Reims Champagne-Ardenne - Licence - Sciences pour la santé - Economie et gestion -  option Santé", "Licence - Sciences - technologies - santé", "Economie et gestion : Campus des Comtes de champagne - URCA", 20, 118, 88, 108, 0, 68, 17, 7, 5, 3, 2, 30, 10, 1, 1, 0, 8, 108, 8, 0, 0, 68, 17, 7, 5, 3, 2, 30, 92, 17, 12, 14, 3, 0.0, 13.0, 14.0, 0, 3, 11, 9, 2, 0, 6, 0, 9, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 7, 7, 0.0, 76.47, 82.35, 70.59375, 63.59375, 63.59375, 0, 27.296875, 64.6875, 0.0, 81.796875, 9.099609375, 9.099609375, 0.0, 0.0, 81.796875, 18.19921875, 18.19921875, 0.0, 0.0, 0.0, 59.0, 12.0, 2.0, 1.0, 28.0, "Tous les candidats", 106.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "32162", "Licence - Sciences pour la santé - Economie et gestion -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32161&g_ta_cod=32162", 82.0, 18.0, 0.0),
(6746, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Langues étrangères appliquées - Parcours Anglais - Chinois", "Licence - Arts-lettres-langues", "Anglais - Chinois", 60, 288, 215, 238, 0, 131, 30, 13, 4, 8, 3, 86, 50, 8, 2, 2, 38, 238, 33, 0, 0, 131, 30, 13, 4, 8, 3, 86, 235, 54, 40, 36, 18, 6.0, 35.0, 48.0, 0, 5, 26, 21, 4, 1, 28, 0, 14, 8, 3, 1, 0.0, 12, 0, 0, 0, 0, 24, 24, 11.11, 64.81, 88.89, 74.09375, 92.296875, 92.296875, 0, 19.19921875, 48.09375, 0.0, 53.796875, 30.796875, 11.5, 3.8, 0.0, 80.796875, 46.1953125, 15.3984375, 0.0, 3.7998046875, 0.0, 122.0, 30.0, 6.0, 3.0, 96.0, "Tous les candidats", 238.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "22669", "Licence - Langues étrangères appliquées - Parcours Anglais - Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22669&g_ta_cod=22669", 78.0, 11.0, 9.0),
(6747, "Public", "0340099Y", "Centre de Ressources, d'Expertise et de Performance Sportive de Montpellier (CREPS)", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "CREPS de Montpellier - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 11, 308, 53, 308, 0, 65, 19, 93, 16, 72, 35, 78, 0, 0, 0, 0, 0, 39, 0, 0, 0, 10, 4, 9, 1, 6, 4, 14, 16, 10, 3, 10, 0, 8.0, 10.0, 10.0, 0, 2, 3, 3, 0, 0, 7, 0, 1, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 0, 0, 80.0, 100.0, 100.0, 30.0, 0.0, 0.0, 0, 66.6875, 30.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 6.0, 3.0, 1.0, 1.0, 8.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "26579", "BPJEPS - Activités physiques pour tous", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26579&g_ta_cod=26579", 60.0, 40.0, 0.0),
(6748, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "PASS", "Université Côte d'Azur - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Sciences & Technologie", 70, 2616, 1595, 2616, 0, 1916, 310, 69, 33, 20, 9, 611, 0, 0, 0, 0, 0, 2612, 0, 0, 0, 1916, 310, 69, 33, 20, 9, 607, 612, 70, 34, 70, 0, 3.0, 32.0, 62.0, 0, 10, 65, 65, 0, 0, 5, 0, 1, 11, 35, 13, 5.0, 64, 0, 0, 0, 0, 62, 62, 4.29, 45.71, 88.57, 48.59375, 95.390625, 95.390625, 0, 15.3984375, 92.890625, 0.0, 1.5, 16.8984375, 53.796875, 20.0, 7.7, 100.0, 98.5, 0.0, 0.0, 0.0, 0.0, 554.0, 95.0, 1.0, 1.0, 56.0, "Tous les candidats", 1715.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "27470", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27218&g_ta_cod=27470", 100.0, 0.0, 0.0),
(6749, "Public", "0624430D", "GAMBETTA CARNOT", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "GAMBETTA CARNOT - BTS - Production - Moteur à combustion interne", "BTS - Production", "", 30, 193, 3, 193, 0, 17, 1, 61, 14, 71, 21, 44, 0, 0, 0, 0, 0, 162, 0, 0, 0, 17, 1, 61, 14, 71, 21, 13, 95, 26, 0, 26, 0, 3.0, 23.0, 26.0, 0, 7, 24, 2, 8, 14, 2, 0, 10, 5, 7, 2, 0.0, 0, 5, 9, 2, 0, 18, 18, 11.54, 88.46, 100.0, 0.0, 75.0, 75.0, 8.298828125, 29.19921875, 92.296875, 0.0, 41.6953125, 20.796875, 29.19921875, 8.3, 0.0, 8.298828125, 0.0, 33.296875, 20.796875, 58.296875, 37.5, 15.0, 1.0, 47.0, 16.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 75.0, "7333", "BTS - Production - Moteur à combustion interne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7333&g_ta_cod=7333", 12.0, 31.0, 58.0),
(6750, "Privé sous contrat d'association", "0631068U", "Lycée Godefroy De Bouillon", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Autre formation", "Lycée Godefroy De Bouillon - Diplôme de Comptabilité et de Gestion", "DCG", "", 30, 396, 171, 341, 0, 124, 25, 41, 13, 5, 4, 171, 55, 7, 6, 0, 42, 215, 19, 0, 0, 120, 24, 32, 10, 2, 2, 61, 197, 19, 9, 16, 3, 12.0, 15.0, 19.0, 0, 4, 14, 14, 0, 0, 5, 0, 9, 3, 2, 0, 0.0, 5, 0, 0, 0, 0, 11, 11, 63.16, 78.95, 100.0, 47.3984375, 78.59375, 78.59375, 0, 28.59765625, 73.6875, 0.0, 64.296875, 21.3984375, 14.298828125, 0.0, 0.0, 100.0, 35.6953125, 0.0, 0.0, 0.0, 0.0, 107.0, 22.0, 1.0, 1.0, 64.0, "Tous les candidats", 214.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "7609", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7609&g_ta_cod=7609", 100.0, 0.0, 0.0),
(6751, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 120, 1162, 993, 1162, 0, 630, 130, 126, 44, 22, 7, 384, 0, 0, 0, 0, 0, 1162, 0, 0, 0, 630, 130, 126, 44, 22, 7, 384, 406, 120, 108, 120, 0, 41.0, 102.0, 111.0, 0, 18, 94, 85, 8, 1, 26, 0, 15, 49, 25, 5, 0.0, 73, 5, 1, 0, 0, 83, 83, 34.17, 85.0, 92.5, 90.0, 88.296875, 88.296875, 0, 19.09765625, 78.296875, 0.0, 16.0, 52.09375, 26.59765625, 5.3, 0.0, 90.390625, 77.6875, 8.5, 5.2998046875, 1.099853515625, 1.099853515625, 261.0, 50.0, 6.0, 2.0, 101.0, "Tous les candidats", 512.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "30768", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30768&g_ta_cod=30768", 88.0, 9.0, 3.0),
(6752, "Public", "0951946Z", "I.U.T de Cergy-Pontoise - Site d'Argenteuil", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "BUT", "I.U.T de Cergy-Pontoise - Site d'Argenteuil - BUT - Qualité, logistique industrielle et organisation Parcours : Pilotage de la chaîne logistique globale - Qualité et pilotage des systèmes de management intégrés (Seconde année possible en apprentissage)", "BUT - Production", "Pilotage de la chaîne logistique globale - Qualité et pilotage des systèmes de management intégrés", 50, 371, 86, 371, 0, 125, 34, 123, 41, 15, 6, 108, 0, 0, 0, 0, 0, 245, 0, 0, 0, 111, 29, 80, 24, 1, 0, 53, 192, 49, 10, 49, 0, 28.0, 45.0, 49.0, 0, 15, 38, 23, 15, 0, 11, 0, 24, 14, 0, 0, 0.0, 8, 6, 0, 0, 0, 23, 36, 57.14, 91.84, 100.0, 20.3984375, 60.5, 94.6875, 0, 39.5, 77.59375, 0.0, 63.1953125, 36.796875, 0.0, 0.0, 0.0, 60.5, 21.09765625, 39.5, 15.798828125, 0.0, 0.0, 97.0, 26.0, 0.0, 0.0, 29.0, "Tous les candidats sauf les Bac technologiques", 132.0, "Bacheliers technologiques toutes séries", 95, "", 0, "Liste d'appel propre à cette formation", 59.0, "11657", "BUT - Qualité, logistique industrielle et organisation Parcours : Pilotage de la chaîne logistique globale - Qualité et pilotage des systèmes de management intégrés (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11657&g_ta_cod=11657", 53.0, 47.0, 0.0),
(6753, "Privé sous contrat d'association", "0600071B", "UniLaSalle Beauvais", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "Ecole d'Ingénieur", "UniLaSalle (Beauvais, Rouen, Rennes) - Formation d'ingénieur Bac + 5 - Bac +1", "Formations  des écoles d'ingénieurs", "Bac +1", 30, 148, 94, 129, 0, 1, 0, 0, 0, 0, 0, 128, 19, 0, 0, 0, 19, 115, 12, 0, 0, 1, 0, 0, 0, 0, 0, 114, 116, 23, 16, 18, 5, 6.0, 18.0, 23.0, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 26.09, 78.26, 100.0, 69.59375, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 0.0, 0.0, 0.0, 115.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "30806", "Formation d'ingénieur Bac + 5 - Bac +1", "UniLaSalle (Beauvais, Rouen, Rennes)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30780&g_ta_cod=30806", 100.0, 0.0, 0.0),
(6754, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Université Angers - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Allemand", "Licence - Arts-lettres-langues", "Allemand", 36, 61, 41, 47, 0, 31, 3, 1, 1, 1, 1, 14, 14, 1, 0, 0, 13, 47, 14, 0, 0, 31, 3, 1, 1, 1, 1, 14, 61, 4, 3, 2, 2, 2.0, 2.0, 2.0, 0, 0, 2, 2, 0, 0, 2, 0, 0, 1, 0, 1, 0.0, 2, 0, 0, 0, 0, 2, 2, 50.0, 50.0, 50.0, 75.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 32.0, 3.0, 1.0, 1.0, 27.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "13996", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27312&g_ta_cod=13996", 100.0, 0.0, 0.0),
(6755, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "Autre formation", "Université Polytechnique Hauts-de-France - DEUST - Assistant juridique", "DEUST", "", 30, 390, 322, 316, 0, 108, 39, 94, 50, 23, 17, 91, 74, 5, 15, 8, 46, 81, 15, 0, 0, 35, 9, 19, 10, 2, 2, 25, 89, 21, 18, 17, 4, 6.0, 17.0, 21.0, 0, 5, 12, 5, 6, 1, 9, 0, 0, 10, 2, 0, 0.0, 5, 6, 1, 0, 0, 10, 10, 28.57, 80.95, 100.0, 85.6875, 83.296875, 83.296875, 0, 41.6953125, 57.09375, 0.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 41.6953125, 41.6953125, 50.0, 50.0, 8.298828125, 8.298828125, 31.0, 8.0, 2.0, 2.0, 37.0, "Tous les candidats", 81.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "7001", "DEUST - Assistant juridique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7001&g_ta_cod=7001", 57.0, 33.0, 5.0),
(6756, "Privé sous contrat d'association", "0590347G", "ISEN Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 5, 266, 93, 266, 0, 0, 0, 0, 0, 0, 0, 266, 0, 0, 0, 0, 0, 228, 0, 0, 0, 0, 0, 0, 0, 0, 0, 228, 206, 2, 0, 2, 0, 2.0, 2.0, 2.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 206.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "22869", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22869", 100.0, 0.0, 0.0),
(6757, "Public", "9740472V", "Lycée professionnel Patu de Rosemont", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Benoît", "formation sélective", "BTS", "Lycée professionnel Patu de Rosemont - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 116, 4, 104, 0, 4, 1, 36, 20, 45, 28, 19, 12, 0, 3, 3, 6, 59, 3, 0, 0, 1, 0, 26, 13, 28, 18, 4, 46, 14, 0, 11, 1, 6.0, 11.0, 11.0, 0, 9, 13, 0, 0, 13, 1, 0, 2, 6, 5, 0, 0.0, 0, 0, 11, 11, 0, 13, 13, 42.86, 78.57, 78.57, 0.0, 100.0, 100.0, 84.59375, 69.1875, 92.890625, 0.0, 15.3984375, 46.1953125, 38.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 84.59375, 1.0, 0.0, 21.0, 15.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers technologiques toutes séries", 27, "Bacheliers professionnels toutes séries", 27, "Liste d'appel propre à cette formation", 52.0, "30905", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30905&g_ta_cod=30905", 0.0, 7.0, 93.0),
(6758, "Public", "0350077U", "CPI Rennes (ENS Chimie Rennes)", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Ecole d'Ingénieur", "CITI Chimie Rennes (ENS Chimie de Rennes) - Formation d'ingénieur Bac + 5 - Bac STL (Spécialité SPCL)", "Formations  des écoles d'ingénieurs", "Bac STL (Spécialité SPCL)", 28, 77, 36, 77, 0, 0, 0, 77, 14, 0, 0, 0, 0, 0, 0, 0, 0, 62, 0, 0, 0, 0, 0, 62, 13, 0, 0, 0, 44, 28, 13, 28, 0, 19.0, 27.0, 27.0, 0, 4, 28, 0, 28, 0, 0, 0, 1, 5, 14, 8, 0.0, 0, 27, 0, 0, 0, 3, 3, 67.86, 96.43, 96.43, 46.3984375, 10.69921875, 10.69921875, 0, 14.298828125, 100.0, 0.0, 3.599609375, 17.8984375, 50.0, 28.6, 0.0, 0.0, 0.0, 100.0, 96.390625, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "27376", "Formation d'ingénieur Bac + 5 - Bac STL (Spécialité SPCL)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27376&g_ta_cod=27376", 0.0, 100.0, 0.0),
(6759, "Public", "0750681H", "ESAA Boulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "ESAA Boulle - DN MADE - Objet - Spécialité : Métiers d?art Marqueterie : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "DN MADE", "Spécialité : Métiers d?art Marqueterie : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", 4, 173, 123, 173, 0, 81, 15, 20, 2, 7, 0, 65, 0, 0, 0, 0, 0, 15, 0, 0, 0, 6, 0, 5, 0, 0, 0, 4, 10, 3, 2, 3, 0, 0.0, 3.0, 3.0, 0, 0, 2, 2, 0, 0, 1, 0, 0, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 66.6875, 0.0, 0.0, 0, 0.0, 66.6875, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 4.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "26851", "DN MADE - Objet - Spécialité : Métiers d?art Marqueterie : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26851&g_ta_cod=26851", 67.0, 33.0, 0.0),
(6760, "Public", "0290012F", "Lycée Vauban", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Vauban - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 10, 200, 27, 200, 0, 18, 1, 48, 7, 76, 17, 58, 0, 0, 0, 0, 0, 171, 0, 0, 0, 18, 1, 48, 7, 76, 17, 29, 45, 10, 0, 10, 0, 0.0, 7.0, 10.0, 0, 1, 6, 0, 1, 5, 4, 0, 1, 4, 1, 0, 0.0, 0, 1, 4, 4, 0, 6, 6, 0.0, 70.0, 100.0, 0.0, 100.0, 100.0, 66.6875, 16.69921875, 60.0, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 16.69921875, 16.69921875, 83.296875, 66.6875, 8.0, 1.0, 21.0, 6.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 45.0, "3770", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3770&g_ta_cod=3770", 0.0, 50.0, 50.0),
(6761, "Public", "0772229E", "Lycée Jean VILAR", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "BTS", "Lycée Jean VILAR - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 837, 384, 837, 0, 91, 14, 274, 66, 261, 74, 211, 0, 0, 0, 0, 0, 707, 0, 0, 0, 82, 13, 221, 50, 245, 66, 159, 112, 35, 10, 35, 0, 15.0, 26.0, 27.0, 0, 6, 25, 6, 9, 10, 10, 0, 10, 12, 3, 0, 0.0, 4, 4, 7, 4, 1, 25, 25, 42.86, 74.29, 77.14, 28.59765625, 100.0, 100.0, 16, 24.0, 71.390625, 0.0, 40.0, 48.0, 12.0, 0.0, 0.0, 24.0, 16.0, 36.0, 16.0, 40.0, 28.0, 38.0, 8.0, 18.0, 6.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 18.0, "9879", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9879&g_ta_cod=9879", 23.0, 31.0, 46.0),
(6762, "Privé hors contrat", "0690696G", "Ecole privée Silvya Terrade", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 6e  Arrondissement", "formation sélective", "BTS", "Ecole privée Silvya Terrade - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 25, 225, 220, 224, 0, 53, 6, 71, 22, 57, 13, 43, 1, 0, 0, 1, 0, 181, 0, 0, 0, 50, 6, 61, 19, 49, 12, 21, 96, 15, 15, 15, 0, 2.0, 14.0, 14.0, 0, 1, 8, 5, 2, 1, 7, 0, 4, 3, 1, 0, 0.0, 2, 2, 0, 0, 0, 3, 3, 13.33, 93.33, 93.33, 100.0, 37.5, 37.5, 0, 12.5, 53.296875, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 62.5, 25.0, 25.0, 25.0, 12.5, 0.0, 25.0, 3.0, 41.0, 10.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers technologiques toutes séries", 27, "Bacheliers professionnels toutes séries", 51, "Liste d'appel propre à cette formation", 52.0, "29508", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29508&g_ta_cod=29508", 67.0, 27.0, 7.0),
(6763, "Public", "0590121L", "Lycée Cesar Baggio", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Cesar Baggio - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 30, 270, 12, 269, 0, 12, 4, 36, 13, 130, 73, 91, 1, 0, 0, 0, 1, 184, 0, 0, 0, 12, 4, 19, 5, 84, 49, 69, 93, 19, 1, 19, 0, 3.0, 18.0, 19.0, 0, 6, 15, 0, 1, 14, 4, 0, 6, 5, 4, 0, 0.0, 0, 1, 8, 1, 0, 12, 12, 15.79, 94.74, 100.0, 5.2998046875, 80.0, 80.0, 6.69921875, 40.0, 78.890625, 0.0, 40.0, 33.296875, 26.69921875, 0.0, 0.0, 0.0, 0.0, 6.69921875, 6.69921875, 93.296875, 53.296875, 8.0, 4.0, 64.0, 35.0, 12.0, "Tous les candidats sauf les Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 71, "", 0, "Liste d'appel propre à cette formation", 40.0, "6791", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6791&g_ta_cod=6791", 11.0, 16.0, 74.0),
(6764, "Public", "0692866R", "Lycée La Martiniere Monplaisir", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "CPGE", "Lycée La Martiniere Monplaisir - CPGE - PTSI", "Classe préparatoire scientifique", "", 96, 1586, 268, 1586, 1233, 1369, 121, 2, 0, 0, 0, 215, 0, 0, 0, 0, 0, 1180, 0, 950, 1144, 1160, 92, 0, 0, 0, 0, 20, 487, 95, 11, 95, 0, 23.0, 56.0, 86.0, 37, 13, 93, 93, 0, 0, 2, 0, 1, 3, 49, 39, 1.0, 92, 0, 0, 9, 1, 43, 43, 24.21, 58.95, 90.53, 11.599609375, 46.1953125, 46.1953125, 9.69921875, 14.0, 97.890625, 0.0, 1.099853515625, 3.19970703125, 52.6953125, 41.9, 1.1, 100.0, 98.890625, 0.0, 0.0, 0.0, 0.0, 483.0, 65.0, 0.0, 0.0, 4.0, "Tous les candidats", 584.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "8552", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8552&g_ta_cod=8552", 100.0, 0.0, 0.0),
(6765, "Public", "9730309Y", "Lycée Melkior Garre", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "BTS", "Lycée Melkior Garre - BTS - Services - Economie sociale familiale", "BTS - Services", "", 26, 474, 410, 465, 0, 86, 51, 113, 72, 178, 118, 88, 9, 0, 2, 0, 7, 111, 0, 0, 0, 31, 17, 26, 17, 39, 22, 15, 65, 26, 25, 26, 0, 11.0, 23.0, 25.0, 0, 10, 20, 4, 3, 13, 6, 0, 3, 10, 6, 1, 0.0, 3, 2, 12, 9, 9, 20, 20, 42.31, 88.46, 96.15, 96.1875, 100.0, 100.0, 45, 50.0, 76.890625, 0.0, 15.0, 50.0, 30.0, 5.0, 0.0, 20.0, 15.0, 15.0, 10.0, 65.0, 60.0, 17.0, 9.0, 19.0, 10.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 20.0, "11863", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11863&g_ta_cod=11863", 23.0, 23.0, 54.0),
(6766, "Public", "0750696Z", "Lycée Roger Verlomme", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "Lycée Roger Verlomme - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 47, 15, 7, 0, 0, 0.0, 0.0, 0.0, 0, 11, 15, 0, 6, 9, 0, 1, 12, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 13, 15, 0.0, 0.0, 0.0, 46.6953125, 86.6875, 100.0, 0, 73.296875, 100.0, 6.69921875, 80.0, 6.69921875, 6.69921875, 0.0, 0.0, 0.0, 0.0, 40.0, 0.0, 60.0, 13.298828125, 0.0, 0.0, 27.0, 21.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22389", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 40.0, 60.0),
(6767, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 65, 331, 118, 233, 0, 166, 28, 16, 4, 8, 5, 43, 98, 20, 11, 6, 61, 233, 90, 0, 0, 166, 28, 16, 4, 8, 5, 43, 294, 61, 19, 29, 32, 11.0, 27.0, 48.0, 0, 12, 34, 24, 5, 5, 27, 0, 13, 12, 9, 0, 0.0, 19, 1, 1, 0, 0, 20, 20, 18.03, 44.26, 78.69, 31.09765625, 58.796875, 58.796875, 0, 35.296875, 55.6953125, 0.0, 38.1953125, 35.296875, 26.5, 0.0, 0.0, 70.59375, 55.8984375, 14.69921875, 2.89990234375, 14.69921875, 2.89990234375, 170.0, 27.0, 13.0, 10.0, 88.0, "Tous les candidats", 233.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6115", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6115&g_ta_cod=6115", 70.0, 13.0, 16.0),
(6768, "Public", "0060015J", "Lycée professionnel des Coteaux", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BTS", "Lycée professionnel des Coteaux - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 1018, 557, 858, 0, 97, 13, 266, 86, 315, 128, 180, 160, 1, 91, 5, 63, 299, 13, 0, 0, 37, 3, 42, 18, 193, 70, 27, 124, 20, 11, 16, 4, 1.0, 6.0, 13.0, 0, 5, 15, 1, 2, 12, 5, 0, 5, 6, 2, 2, 0.0, 1, 1, 8, 3, 1, 12, 12, 5.0, 30.0, 65.0, 55.0, 80.0, 80.0, 20, 33.296875, 75.0, 0.0, 33.296875, 40.0, 13.298828125, 13.3, 0.0, 6.69921875, 6.69921875, 13.298828125, 6.69921875, 80.0, 53.296875, 15.0, 4.0, 65.0, 22.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers technologiques toutes séries", 42, "Bacheliers professionnels toutes séries", 159, "Liste d'appel propre à cette formation", 26.0, "28387", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28387&g_ta_cod=28387", 5.0, 15.0, 80.0),
(6769, "Public", "0700018P", "Lycée Georges Colomb", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Lure", "formation sélective", "BTS", "Lycée Georges Colomb - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 139, 75, 127, 0, 11, 3, 41, 21, 38, 16, 37, 12, 0, 1, 8, 3, 87, 2, 0, 0, 9, 2, 33, 16, 29, 14, 16, 66, 13, 8, 12, 0, 6.0, 12.0, 12.0, 0, 6, 11, 2, 5, 4, 2, 0, 4, 4, 3, 0, 0.0, 0, 5, 2, 4, 1, 10, 10, 46.15, 92.31, 92.31, 61.5, 90.890625, 90.890625, 36.3984375, 54.5, 84.59375, 0.0, 36.3984375, 36.3984375, 27.296875, 0.0, 0.0, 18.19921875, 0.0, 45.5, 45.5, 36.3984375, 18.19921875, 4.0, 2.0, 27.0, 13.0, 16.0, "Tous les candidats sauf les Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 68.0, "8592", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8592&g_ta_cod=8592", 23.0, 46.0, 31.0),
(6770, "Public", "0860058W", "Centre de Ressources, d'Expertise et de Performance Sportive de Poitiers (CREPS)", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Vouneuil-sous-Biard", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive de Poitiers (CREPS) - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 12, 85, 31, 79, 0, 25, 4, 14, 3, 10, 4, 30, 6, 1, 1, 0, 4, 36, 0, 0, 0, 17, 3, 4, 0, 4, 1, 11, 32, 9, 1, 8, 0, 5.0, 8.0, 8.0, 0, 1, 7, 5, 1, 1, 2, 0, 3, 3, 1, 0, 0.0, 3, 0, 1, 0, 0, 5, 5, 55.56, 88.89, 88.89, 11.099609375, 71.390625, 71.390625, 0, 14.298828125, 77.796875, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 71.390625, 42.8984375, 14.298828125, 0.0, 14.298828125, 14.298828125, 13.0, 3.0, 4.0, 1.0, 11.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 46.0, "21309", "BPJEPS - Activités aquatiques et de la natation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21309&g_ta_cod=21309", 67.0, 11.0, 22.0),
(6771, "Privé sous contrat d'association", "0622199D", "Lycée Saint Denis", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Omer", "formation sélective", "Autre formation", "Lycée Saint Denis - DN MADE - Espace - - Spécialité : Scénographie et communication Évènementielle : Événement / Espace", "DN MADE", "- Spécialité : Scénographie et communication Évènementielle : Événement / Espace", 17, 181, 152, 181, 0, 74, 15, 51, 7, 12, 2, 44, 0, 0, 0, 0, 0, 147, 0, 0, 0, 64, 10, 42, 7, 4, 1, 37, 86, 15, 10, 15, 0, 1.0, 11.0, 14.0, 0, 4, 11, 8, 2, 1, 4, 0, 4, 5, 2, 0, 0.0, 6, 0, 1, 0, 0, 8, 8, 6.67, 73.33, 93.33, 66.6875, 72.6875, 72.6875, 0, 36.3984375, 73.296875, 0.0, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 72.6875, 54.5, 18.19921875, 0.0, 9.099609375, 9.099609375, 33.0, 7.0, 1.0, 0.0, 26.0, "Tous les candidats", 135.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "25038", "DN MADE - Espace - - Spécialité : Scénographie et communication Évènementielle : Événement / Espace", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25038&g_ta_cod=25038", 73.0, 20.0, 7.0),
(6772, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "Licence", "Université Claude Bernard Lyon 1 - Double licence - Physique / Mathématiques -", "Licence - Sciences - technologies - santé", "", 30, 2250, 729, 2250, 0, 1806, 242, 15, 5, 2, 0, 427, 0, 0, 0, 0, 0, 1844, 0, 0, 0, 1576, 182, 0, 0, 0, 0, 268, 419, 28, 17, 28, 0, 1.0, 11.0, 24.0, 0, 5, 26, 26, 0, 0, 2, 0, 0, 1, 13, 8, 4.0, 26, 0, 0, 0, 0, 10, 10, 3.57, 39.29, 85.71, 60.6953125, 38.5, 38.5, 0, 19.19921875, 92.890625, 0.0, 0.0, 3.7998046875, 50.0, 30.8, 15.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 394.0, 44.0, 0.0, 0.0, 25.0, "Tous les candidats", 996.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "27053", "Double licence - Physique / Mathématiques -", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27053&g_ta_cod=27053", 100.0, 0.0, 0.0),
(6773, "Public", "0692866R", "Lycée La Martiniere Monplaisir", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "CPGE", "Lycée La Martiniere Monplaisir - CPGE - PCSI", "Classe préparatoire scientifique", "", 144, 3603, 1381, 3603, 2664, 3076, 294, 1, 1, 1, 0, 525, 0, 0, 0, 0, 0, 2902, 0, 2246, 2838, 2876, 252, 0, 0, 0, 0, 26, 995, 141, 47, 141, 0, 10.0, 66.0, 121.0, 55, 37, 141, 141, 0, 0, 0, 0, 0, 7, 47, 80, 7.0, 141, 0, 0, 3, 0, 88, 88, 7.09, 46.81, 85.82, 33.296875, 62.3984375, 62.3984375, 2.099609375, 26.19921875, 100.0, 0.0, 0.0, 5.0, 33.296875, 56.7, 5.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 984.0, 144.0, 0.0, 0.0, 11.0, "Tous les candidats", 1321.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "8551", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8551&g_ta_cod=8551", 100.0, 0.0, 0.0),
(6774, "Privé sous contrat d'association", "0622196A", "Lycée Baudimont Saint-Charles", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "Lycée Baudimont Saint-Charles - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 50, 370, 153, 289, 0, 37, 7, 114, 28, 81, 28, 57, 81, 9, 31, 8, 33, 204, 29, 0, 0, 32, 6, 87, 17, 61, 16, 24, 192, 52, 21, 44, 8, 12.0, 43.0, 46.0, 0, 6, 44, 3, 24, 17, 8, 0, 20, 14, 10, 0, 0.0, 1, 11, 12, 13, 5, 39, 39, 23.08, 82.69, 88.46, 40.3984375, 88.59375, 88.59375, 29.5, 13.599609375, 84.59375, 0.0, 45.5, 31.796875, 22.69921875, 0.0, 0.0, 6.7998046875, 2.2998046875, 54.5, 25.0, 38.59375, 27.296875, 31.0, 6.0, 43.0, 11.0, 33.0, "Tous les candidats sauf les Bac professionnels", 134.0, "Bacheliers professionnels toutes séries", 67, "", 0, "Liste d'appel propre à cette formation", 70.0, "7418", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7418&g_ta_cod=7418", 12.0, 50.0, 38.0),
(6775, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "PASS", "Université de Lille - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 125, 3464, 2171, 3464, 0, 2602, 461, 53, 25, 10, 6, 799, 0, 0, 0, 0, 0, 3464, 0, 0, 0, 2602, 461, 53, 25, 10, 6, 799, 1047, 124, 75, 124, 0, 41.0, 94.0, 116.0, 0, 20, 118, 117, 1, 0, 6, 1, 1, 30, 77, 8, 1.0, 115, 1, 0, 0, 0, 104, 104, 33.06, 75.81, 93.55, 60.5, 88.09375, 88.09375, 0, 16.8984375, 95.1875, 0.7999267578125, 0.7999267578125, 25.3984375, 65.296875, 6.8, 0.8, 99.1875, 97.5, 0.7999267578125, 0.7999267578125, 0.0, 0.0, 934.0, 144.0, 2.0, 2.0, 103.0, "Tous les candidats", 4678.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "29181", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27162&g_ta_cod=29181", 99.0, 1.0, 0.0),
(6776, "Public", "0623920Z", "Université du littoral - Site de Boulogne-sur-Mer", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation non sélective", "Licence", "Université du littoral - Site de Boulogne-sur-Mer - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 180, 855, 615, 762, 0, 560, 147, 82, 37, 12, 5, 108, 93, 23, 8, 0, 62, 762, 85, 0, 0, 560, 147, 82, 37, 12, 5, 108, 738, 160, 112, 142, 18, 49.0, 141.0, 153.0, 0, 34, 130, 111, 14, 5, 30, 0, 33, 55, 30, 11, 1.0, 81, 11, 5, 0, 0, 125, 125, 30.63, 88.13, 95.63, 70.0, 96.1875, 96.1875, 0, 26.19921875, 81.296875, 0.0, 25.3984375, 42.296875, 23.09765625, 8.5, 0.8, 85.390625, 62.296875, 10.798828125, 8.5, 3.7998046875, 3.7998046875, 507.0, 134.0, 11.0, 4.0, 147.0, "Tous les candidats", 836.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "7494", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27861&g_ta_cod=7494", 83.0, 11.0, 6.0),
(6777, "Public", "0912415F", "Université Paris-Saclay - Campus de Versailles", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "Licence", "Université Paris-Saclay - Campus de Versailles - Licence - Double diplôme - Licence Chimie, Sciences de la vie - Licence Double-Diplôme Chimie, Sciences de la Vie", "Licence - Sciences - technologies - santé", "Licence Double-Diplôme Chimie, Sciences de la Vie", 25, 982, 703, 891, 0, 536, 60, 7, 2, 1, 0, 347, 91, 22, 2, 1, 66, 636, 4, 0, 0, 451, 43, 0, 0, 0, 0, 185, 269, 23, 16, 22, 1, 1.0, 10.0, 13.0, 0, 1, 17, 17, 0, 0, 6, 0, 0, 3, 10, 3, 1.0, 17, 0, 0, 0, 0, 7, 8, 4.35, 43.48, 56.52, 69.59375, 41.1953125, 47.09375, 0, 5.8994140625, 73.890625, 0.0, 0.0, 17.59765625, 58.796875, 17.6, 5.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 198.0, 15.0, 0.0, 0.0, 71.0, "Tous les candidats", 412.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "28848", "Licence - Double diplôme - Licence Chimie, Sciences de la vie - Licence Double-Diplôme Chimie, Sciences de la Vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28848&g_ta_cod=28848", 100.0, 0.0, 0.0),
(6778, "Public", "0750808W", "Lycée professionnel Etienne Dolet", "75", "Paris", "Ile-de-France", "Paris", "Paris 20e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Etienne Dolet - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 24, 303, 53, 303, 0, 19, 4, 16, 5, 183, 86, 85, 0, 0, 0, 0, 0, 299, 0, 0, 0, 19, 4, 15, 5, 183, 86, 82, 84, 22, 1, 22, 0, 3.0, 13.0, 16.0, 0, 7, 12, 0, 0, 12, 10, 0, 5, 7, 0, 0, 0.0, 0, 0, 7, 0, 0, 4, 12, 13.64, 59.09, 72.73, 4.5, 33.296875, 100.0, 0, 58.296875, 54.5, 0.0, 41.6953125, 58.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 58.296875, 3.0, 1.0, 53.0, 25.0, 27.0, "Tous les candidats", 88.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "25427", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25427&g_ta_cod=25427", 9.0, 0.0, 91.0),
(6779, "Public", "0170145R", "I.U.T. La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BUT", "I.U.T. La Rochelle - BUT - Réseaux et télécommunications Parcours : Cybersécurité", "BUT - Production", "Cybersécurité", 36, 943, 57, 905, 0, 542, 72, 237, 44, 12, 3, 114, 38, 0, 18, 0, 20, 456, 5, 0, 0, 305, 42, 112, 18, 5, 1, 34, 241, 37, 3, 35, 2, 26.0, 29.0, 34.0, 0, 2, 33, 25, 8, 0, 4, 0, 2, 16, 14, 1, 0.0, 24, 7, 0, 0, 0, 18, 18, 70.27, 78.38, 91.89, 8.099609375, 54.5, 54.5, 0, 6.099609375, 89.1875, 0.0, 6.099609375, 48.5, 42.3984375, 3.0, 0.0, 75.796875, 72.6875, 24.19921875, 21.19921875, 0.0, 0.0, 128.0, 21.0, 0.0, 0.0, 21.0, "Tous les candidats sauf les Bac technologiques", 140.0, "Bacheliers technologiques toutes séries", 120, "", 0, "Liste d'appel propre à cette formation", 29.0, "3054", "BUT - Réseaux et télécommunications Parcours : Cybersécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3054&g_ta_cod=3054", 76.0, 24.0, 0.0),
(6780, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation non sélective", "Licence_Las", "Université Grenoble Alpes - Antenne de Valence - Licence - Portail Physique, Chimie, Mécanique, Mathématiques (PCMM) - Valence", "Licence - Sciences - technologies - santé", "Physique, Chimie, Mécanique, Mathématiques (PCMM) - Valence", 5, 149, 66, 128, 0, 81, 21, 3, 1, 0, 0, 44, 21, 10, 1, 0, 10, 128, 10, 0, 0, 81, 21, 3, 1, 0, 0, 44, 68, 3, 1, 1, 2, 0.0, 0.0, 1.0, 0, 0, 1, 0, 1, 0, 2, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 33.33, 33.296875, 0.0, 0.0, 0, 0.0, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 40.0, 8.0, 0.0, 0.0, 25.0, "Tous les candidats", 511.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "31035", "Licence - Portail Physique, Chimie, Mécanique, Mathématiques (PCMM) - Valence", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31034&g_ta_cod=31035", 67.0, 33.0, 0.0),
(6781, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence_Las", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Anglais", "Licence - Arts-lettres-langues", "Anglais", 20, 143, 125, 108, 0, 63, 14, 10, 1, 4, 2, 31, 35, 18, 2, 1, 14, 104, 20, 0, 0, 63, 14, 10, 1, 4, 2, 27, 99, 16, 14, 8, 8, 0.0, 8.0, 11.0, 0, 2, 9, 8, 1, 0, 7, 0, 4, 3, 2, 0, 0.0, 5, 0, 0, 0, 0, 2, 2, 0.0, 50.0, 68.75, 87.5, 22.19921875, 22.19921875, 0, 22.19921875, 56.296875, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 88.890625, 55.59375, 11.099609375, 0.0, 0.0, 0.0, 61.0, 12.0, 2.0, 1.0, 28.0, "Tous les candidats", 558.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "26702", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26701&g_ta_cod=26702", 81.0, 19.0, 0.0),
(6782, "Public", "0030038A", "Lycée Polyvalent Jean Monnet", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Yzeure", "formation sélective", "BTS", "Lycée Polyvalent Jean Monnet - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 485, 222, 449, 0, 49, 7, 97, 21, 113, 49, 190, 36, 0, 8, 12, 16, 189, 6, 0, 0, 41, 7, 66, 15, 66, 19, 16, 153, 24, 11, 23, 1, 6.0, 23.0, 23.0, 0, 7, 22, 4, 5, 13, 2, 0, 9, 10, 2, 1, 0.0, 1, 1, 11, 9, 5, 17, 17, 25.0, 95.83, 95.83, 45.796875, 77.296875, 77.296875, 40.8984375, 31.796875, 91.6875, 0.0, 40.8984375, 45.5, 9.099609375, 4.5, 0.0, 18.19921875, 4.5, 22.69921875, 4.5, 59.09375, 50.0, 35.0, 7.0, 54.0, 16.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 41.0, "2125", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2125&g_ta_cod=2125", 17.0, 25.0, 58.0),
(6783, "Public", "0597160M", "Université Polytechnique Hauts-de-France - Site de CAMBRAI", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation non sélective", "Licence_Las", "Université Polytechnique Hauts-de-France - Site de CAMBRAI - Licence - Portail Sciences de la vie - Biotechnologies et Agroalimentaire (Cambrai)", "Licence - Sciences - technologies - santé", "Biotechnologies et Agroalimentaire (Cambrai)", 35, 459, 297, 455, 0, 316, 64, 36, 10, 0, 0, 103, 4, 1, 0, 0, 3, 455, 3, 0, 0, 316, 64, 36, 10, 0, 0, 103, 216, 30, 22, 30, 0, 0.0, 12.0, 23.0, 0, 5, 22, 20, 2, 0, 8, 0, 8, 10, 4, 0, 0.0, 14, 0, 0, 0, 0, 18, 18, 0.0, 40.0, 76.67, 73.296875, 81.796875, 81.796875, 0, 22.69921875, 73.296875, 0.0, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 90.890625, 63.59375, 9.099609375, 0.0, 0.0, 0.0, 147.0, 30.0, 0.0, 0.0, 63.0, "Tous les candidats", 487.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 75.0, "28668", "Licence - Portail Sciences de la vie - Biotechnologies et Agroalimentaire (Cambrai)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28667&g_ta_cod=28668", 90.0, 10.0, 0.0),
(6784, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Licence - Double diplôme - Licence Histoire - Histoire- Cursus intégré franco-allemand avec l'université de Bielefeld", "Licence - Sciences humaines et sociales", "Histoire- Cursus intégré franco-allemand avec l'université de Bielefeld", 10, 62, 36, 62, 0, 48, 5, 1, 0, 0, 0, 13, 0, 0, 0, 0, 0, 57, 0, 0, 0, 45, 3, 1, 0, 0, 0, 11, 46, 10, 6, 10, 0, 0.0, 10.0, 10.0, 0, 0, 8, 7, 1, 0, 2, 0, 1, 3, 2, 2, 0.0, 7, 0, 0, 0, 0, 1, 6, 0.0, 100.0, 100.0, 60.0, 12.5, 75.0, 0, 0.0, 80.0, 0.0, 12.5, 37.5, 25.0, 25.0, 0.0, 87.5, 87.5, 12.5, 0.0, 0.0, 0.0, 35.0, 3.0, 0.0, 0.0, 10.0, "Tous les candidats", 56.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "15601", "Licence - Double diplôme - Licence Histoire - Histoire- Cursus intégré franco-allemand avec l'université de Bielefeld", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15601&g_ta_cod=15601", 90.0, 10.0, 0.0),
(6785, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues Etrangères Appliquées Anglais-Chinois cursus 4 ans", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées Anglais-Chinois cursus 4 ans", 30, 285, 243, 285, 0, 199, 55, 16, 10, 5, 3, 65, 0, 0, 0, 0, 0, 285, 0, 0, 0, 199, 55, 16, 10, 5, 3, 65, 122, 29, 24, 29, 0, 5.0, 24.0, 27.0, 0, 8, 23, 20, 3, 0, 6, 0, 4, 11, 4, 4, 0.0, 18, 1, 0, 0, 0, 12, 12, 17.24, 82.76, 93.1, 82.796875, 52.1953125, 52.1953125, 0, 34.796875, 79.296875, 0.0, 17.3984375, 47.796875, 17.3984375, 17.4, 0.0, 87.0, 78.296875, 13.0, 4.2998046875, 0.0, 0.0, 88.0, 27.0, 0.0, 0.0, 25.0, "Tous les candidats", 163.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "18805", "Licence - Portail Langues Etrangères Appliquées Anglais-Chinois cursus 4 ans", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18805&g_ta_cod=18805", 86.0, 10.0, 3.0),
(6786, "Public", "0772310T", "Lycée Simone Signoret", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Vaux-le-Pénil", "formation sélective", "BTS", "Lycée Simone Signoret - BTS - Services - Professions immobilières", "BTS - Services", "", 24, 652, 320, 652, 0, 133, 29, 194, 53, 150, 63, 175, 0, 0, 0, 0, 0, 326, 0, 0, 0, 101, 17, 101, 29, 64, 22, 60, 107, 26, 22, 26, 0, 3.0, 21.0, 22.0, 0, 8, 22, 9, 8, 5, 4, 0, 8, 7, 7, 0, 0.0, 4, 7, 3, 1, 1, 18, 20, 11.54, 80.77, 84.62, 84.59375, 81.796875, 90.890625, 4.5, 36.3984375, 84.59375, 0.0, 36.3984375, 31.796875, 31.796875, 0.0, 0.0, 40.8984375, 18.19921875, 36.3984375, 31.796875, 22.69921875, 13.599609375, 28.0, 8.0, 25.0, 8.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 20.0, "9886", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9886&g_ta_cod=9886", 46.0, 35.0, 19.0),
(6787, "Public", "0132733A", "Lycée Antonin Artaud", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BTS", "Lycée Antonin Artaud - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 873, 417, 873, 0, 102, 48, 226, 133, 177, 131, 368, 0, 0, 0, 0, 0, 415, 0, 0, 0, 64, 30, 136, 82, 108, 72, 107, 110, 25, 16, 25, 0, 1.0, 17.0, 23.0, 0, 10, 15, 2, 9, 4, 10, 0, 2, 11, 2, 0, 0.0, 1, 9, 3, 2, 0, 13, 13, 4.0, 68.0, 92.0, 64.0, 86.6875, 86.6875, 13.298828125, 66.6875, 60.0, 0.0, 13.298828125, 73.296875, 13.298828125, 0.0, 0.0, 13.298828125, 6.69921875, 60.0, 60.0, 26.69921875, 20.0, 19.0, 9.0, 27.0, 18.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 88, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 23.0, "2778", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2778&g_ta_cod=2778", 24.0, 48.0, 28.0),
(6788, "Privé enseignement supérieur", "0350730D", "ASKORIA", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "EFTS", "ASKORIA - D.E Educateur Technique Spécialisé", "D.E secteur social", "", 15, 53, 38, 49, 0, 6, 1, 12, 1, 4, 2, 27, 4, 1, 0, 0, 3, 30, 2, 0, 0, 3, 1, 8, 0, 3, 1, 16, 30, 14, 7, 12, 1, 8.0, 11.0, 13.0, 0, 1, 4, 0, 2, 2, 10, 0, 2, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 3, 3, 57.14, 78.57, 92.86, 50.0, 75.0, 75.0, 0, 25.0, 28.59765625, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 25.0, 1.0, 0.0, 3.0, 1.0, 18.0, "Tous les candidats", 30.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "26022", "D.E Educateur Technique Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26022&g_ta_cod=26022", 21.0, 36.0, 36.0),
(6789, "Public", "0310038Y", "Lycée BELLEVUE", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée BELLEVUE - CPES - Scientifique", "Classe préparatoire aux études supérieures", "", 30, 227, 79, 227, 0, 113, 24, 52, 20, 9, 5, 53, 0, 0, 0, 0, 0, 142, 0, 0, 0, 95, 19, 43, 16, 4, 2, 0, 75, 30, 10, 30, 0, 6.0, 26.0, 29.0, 0, 12, 30, 22, 6, 2, 0, 0, 6, 12, 9, 3, 0.0, 17, 5, 2, 0, 0, 23, 23, 20.0, 86.67, 96.67, 33.296875, 76.6875, 76.6875, 0, 40.0, 100.0, 0.0, 20.0, 40.0, 30.0, 10.0, 0.0, 73.296875, 56.6953125, 20.0, 16.69921875, 6.69921875, 6.69921875, 43.0, 12.0, 3.0, 2.0, 0.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "4044", "CPES - Scientifique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4044&g_ta_cod=4044", 73.0, 20.0, 7.0),
(6790, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Lettres - Parcours LETTRES CLASSIQUES", "Licence - Arts-lettres-langues", "LETTRES CLASSIQUES", 70, 824, 614, 718, 0, 452, 96, 15, 7, 21, 11, 230, 106, 29, 4, 9, 64, 709, 104, 0, 0, 452, 96, 15, 7, 21, 11, 221, 506, 69, 43, 44, 25, 3.0, 36.0, 55.0, 0, 10, 34, 27, 2, 5, 35, 0, 13, 15, 4, 2, 0.0, 17, 2, 2, 0, 0, 7, 27, 4.35, 52.17, 79.71, 62.296875, 20.59765625, 79.390625, 0, 29.3984375, 49.296875, 0.0, 38.1953125, 44.09375, 11.798828125, 5.9, 0.0, 79.390625, 50.0, 5.8994140625, 5.8994140625, 14.69921875, 5.8994140625, 299.0, 57.0, 25.0, 11.0, 167.0, "Tous les candidats", 710.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "9285", "Licence - Lettres - Parcours LETTRES CLASSIQUES", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9285&g_ta_cod=9285", 75.0, 10.0, 13.0),
(6791, "Public", "0330135T", "Lycée Alfred Kastler", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Autre formation", "Lycée Alfred Kastler - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 30, 205, 52, 205, 0, 40, 11, 25, 6, 93, 47, 47, 0, 0, 0, 0, 0, 164, 0, 0, 0, 36, 10, 18, 5, 70, 31, 40, 90, 28, 8, 28, 0, 4.0, 19.0, 25.0, 0, 9, 17, 6, 2, 9, 11, 0, 10, 7, 0, 0, 0.0, 2, 1, 4, 0, 0, 15, 15, 14.29, 67.86, 89.29, 28.59765625, 88.1875, 88.1875, 0, 52.8984375, 60.6953125, 0.0, 58.796875, 41.1953125, 0.0, 0.0, 0.0, 35.296875, 11.798828125, 11.798828125, 5.8994140625, 52.8984375, 23.5, 19.0, 5.0, 37.0, 16.0, 27.0, "Tous les candidats", 105.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "22075", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22075&g_ta_cod=22075", 43.0, 11.0, 46.0),
(6792, "Privé enseignement supérieur", "0310155A", "Institut Catholique de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Institut Catholique de Toulouse - Licence - Psychologie", "Licence - Sciences humaines et sociales", "", 120, 1088, 935, 1088, 0, 557, 78, 112, 30, 48, 15, 371, 0, 0, 0, 0, 0, 1083, 0, 0, 0, 557, 78, 112, 30, 48, 15, 366, 477, 120, 105, 120, 0, 16.0, 89.0, 109.0, 0, 9, 96, 79, 12, 5, 24, 0, 11, 55, 27, 3, 0.0, 69, 11, 5, 0, 0, 44, 44, 13.33, 74.17, 90.83, 87.5, 45.796875, 45.796875, 0, 9.3984375, 80.0, 0.0, 11.5, 57.296875, 28.09765625, 3.1, 0.0, 82.296875, 71.890625, 12.5, 11.5, 5.19921875, 5.19921875, 294.0, 39.0, 19.0, 6.0, 113.0, "Tous les candidats", 623.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "4088", "Licence - Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4088&g_ta_cod=4088", 86.0, 10.0, 4.0),
(6793, "Privé sous contrat d'association", "0690553B", "Centre Scolaire Notre Dame", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Limas", "formation sélective", "BTS", "Centre Scolaire Notre Dame - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 25, 286, 134, 275, 0, 45, 13, 115, 15, 61, 12, 54, 11, 4, 0, 0, 7, 201, 3, 0, 0, 37, 10, 97, 10, 46, 8, 21, 85, 19, 9, 18, 1, 5.0, 14.0, 17.0, 0, 5, 17, 4, 8, 5, 2, 0, 8, 6, 3, 0, 0.0, 2, 2, 5, 0, 0, 17, 17, 26.32, 73.68, 89.47, 47.3984375, 100.0, 100.0, 0, 29.3984375, 89.5, 0.0, 47.09375, 35.296875, 17.59765625, 0.0, 0.0, 23.5, 11.798828125, 47.09375, 11.798828125, 29.3984375, 29.3984375, 29.0, 7.0, 21.0, 4.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers technologiques toutes séries", 44, "Bacheliers professionnels toutes séries", 23, "Liste d'appel propre à cette formation", 39.0, "25405", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25405&g_ta_cod=25405", 32.0, 42.0, 26.0),
(6794, "Public", "0370781Y", "Lycée agricole de TOURS FONDETTES", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Fondettes", "formation sélective", "BTS", "Lycée agricole de TOURS FONDETTES - BTS - Agricole - Production horticole", "BTS - Agricole", "", 19, 202, 80, 193, 0, 30, 9, 29, 5, 33, 9, 101, 9, 0, 0, 3, 6, 120, 7, 0, 0, 30, 9, 29, 5, 33, 9, 28, 74, 13, 5, 8, 4, 3.0, 8.0, 10.0, 0, 5, 8, 1, 1, 6, 5, 0, 3, 3, 2, 0, 0.0, 1, 1, 3, 6, 2, 7, 7, 23.08, 61.54, 76.92, 38.5, 87.5, 87.5, 75, 62.5, 61.5, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 12.5, 12.5, 12.5, 12.5, 75.0, 37.5, 16.0, 5.0, 19.0, 8.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 61.0, "4877", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4877&g_ta_cod=4877", 46.0, 8.0, 46.0),
(6795, "Public", "0440021J", "Lycée général Clemenceau", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "Lycée général Clemenceau - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 868, 628, 868, 570, 797, 92, 4, 0, 0, 0, 67, 0, 0, 0, 0, 0, 861, 0, 373, 849, 790, 92, 4, 0, 0, 0, 67, 323, 47, 33, 47, 0, 8.0, 31.0, 42.0, 8, 4, 45, 45, 0, 0, 2, 0, 1, 3, 15, 24, 2.0, 44, 0, 0, 2, 1, 24, 24, 17.02, 65.96, 89.36, 70.1875, 53.296875, 53.296875, 4.3994140625, 8.8984375, 95.6875, 0.0, 2.19970703125, 6.69921875, 33.296875, 53.3, 4.4, 100.0, 97.796875, 0.0, 0.0, 0.0, 0.0, 314.0, 37.0, 0.0, 0.0, 9.0, "Tous les candidats", 540.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "5425", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5425&g_ta_cod=5425", 100.0, 0.0, 0.0),
(6796, "Public", "0271666P", "I.U.T d'Evreux", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BUT", "I.U.T d'Evreux - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d?activités", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d?activités", 84, 823, 381, 815, 0, 375, 76, 292, 98, 11, 4, 137, 8, 0, 6, 0, 2, 631, 3, 0, 0, 317, 65, 242, 82, 0, 0, 72, 351, 72, 35, 70, 2, 13.0, 57.0, 68.0, 0, 22, 59, 30, 29, 0, 13, 0, 15, 33, 10, 1, 0.0, 23, 21, 0, 0, 0, 40, 40, 18.06, 79.17, 94.44, 48.59375, 67.796875, 67.796875, 0, 37.296875, 81.890625, 0.0, 25.3984375, 55.8984375, 16.8984375, 1.7, 0.0, 50.796875, 39.0, 49.1953125, 35.59375, 0.0, 0.0, 146.0, 39.0, 0.0, 0.0, 49.0, "Tous les candidats sauf les Bac technologiques", 244.0, "Bacheliers technologiques toutes séries", 254, "", 0, "Liste d'appel propre à cette formation", 61.0, "3720", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d?activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3720&g_ta_cod=3720", 54.0, 46.0, 0.0),
(6797, "Public", "0470038L", "Lycée des métiers du tertiaire et du social Georges Leygues", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Villeneuve-sur-Lot", "formation sélective", "BTS", "Lycée des métiers du tertiaire et du social Georges Leygues - BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "BTS - Production", "", 15, 267, 32, 239, 0, 4, 1, 32, 7, 57, 28, 146, 28, 1, 1, 8, 18, 59, 2, 0, 0, 0, 0, 22, 3, 33, 10, 4, 46, 9, 0, 9, 0, 3.0, 9.0, 9.0, 0, 4, 9, 0, 2, 7, 0, 0, 1, 6, 1, 1, 0.0, 0, 1, 7, 7, 0, 9, 9, 33.33, 100.0, 100.0, 0.0, 100.0, 100.0, 77.796875, 44.3984375, 100.0, 0.0, 11.099609375, 66.6875, 11.099609375, 11.1, 0.0, 0.0, 0.0, 22.19921875, 11.099609375, 77.796875, 77.796875, 0.0, 0.0, 26.0, 9.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 24.0, "19296", "BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19296&g_ta_cod=19296", 0.0, 22.0, 78.0),
(6798, "Privé sous contrat d'association", "0370749N", "Lycée Sainte Marguerite", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Chambray-lès-Tours", "formation sélective", "BTS", "Lycée Sainte Marguerite - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 29, 336, 20, 332, 0, 74, 12, 102, 25, 73, 21, 83, 4, 0, 0, 0, 4, 206, 0, 0, 0, 59, 6, 75, 16, 52, 13, 20, 128, 24, 2, 24, 0, 2.0, 18.0, 24.0, 0, 3, 21, 6, 8, 7, 3, 0, 10, 8, 3, 0, 0.0, 1, 3, 7, 0, 0, 17, 17, 8.33, 75.0, 100.0, 8.298828125, 81.0, 81.0, 0, 14.298828125, 87.5, 0.0, 47.59375, 38.09375, 14.298828125, 0.0, 0.0, 28.59765625, 4.7998046875, 38.09375, 14.298828125, 33.296875, 33.296875, 32.0, 3.0, 32.0, 9.0, 15.0, "Tous les candidats sauf les Bac professionnels", 141.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 54.0, "20888", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20888&g_ta_cod=20888", 33.0, 38.0, 29.0),
(6799, "Privé enseignement supérieur", "0900362E", "ESTA - École Supérieure des Technologies et des Affaires", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "Ecole de Commerce", "ESTA - École Supérieure des Technologies et des Affaires - Formation des écoles de commerce et de management Bac + 5 - Ingénieur d?Affaires Industrielles", "Formation des écoles de commerce et de management", "Ingénieur d?Affaires Industrielles", 60, 121, 28, 118, 0, 91, 16, 9, 1, 0, 0, 18, 3, 2, 0, 0, 1, 93, 0, 0, 0, 74, 10, 9, 1, 0, 0, 10, 93, 46, 10, 46, 0, 40.0, 45.0, 45.0, 0, 5, 42, 37, 5, 0, 4, 0, 16, 15, 9, 2, 0.0, 22, 4, 0, 0, 0, 12, 12, 86.96, 97.83, 97.83, 21.69921875, 28.59765625, 28.59765625, 0, 11.8984375, 91.296875, 0.0, 38.09375, 35.6953125, 21.3984375, 4.8, 0.0, 88.09375, 52.3984375, 11.8984375, 9.5, 0.0, 0.0, 74.0, 10.0, 0.0, 0.0, 10.0, "Tous les candidats", 93.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "24261", "Formation des écoles de commerce et de management Bac + 5 - Ingénieur d?Affaires Industrielles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24261&g_ta_cod=24261", 89.0, 11.0, 0.0),
(6800, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Université de Strasbourg - DEUST - Médiations citoyennes : éducation, culture, social, environnement", "DEUST", "", 38, 383, 275, 371, 0, 114, 32, 61, 19, 75, 32, 121, 12, 1, 1, 2, 8, 260, 0, 0, 0, 93, 19, 47, 15, 48, 20, 72, 155, 34, 30, 34, 0, 3.0, 25.0, 30.0, 0, 6, 22, 4, 5, 13, 12, 0, 3, 14, 5, 0, 0.0, 3, 4, 12, 0, 0, 18, 18, 8.82, 73.53, 88.24, 88.1875, 81.796875, 81.796875, 0, 27.296875, 64.6875, 0.0, 13.599609375, 63.59375, 22.69921875, 0.0, 0.0, 18.19921875, 13.599609375, 22.69921875, 18.19921875, 59.09375, 54.5, 57.0, 11.0, 29.0, 13.0, 37.0, "Tous les candidats", 211.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "8018", "DEUST - Médiations citoyennes : éducation, culture, social, environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8018&g_ta_cod=8018", 26.0, 21.0, 53.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(6801, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "PASS", "Université de Paris - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Economie et Gestion", 80, 6830, 4425, 6830, 0, 5039, 1185, 135, 61, 47, 26, 1609, 0, 0, 0, 0, 0, 6820, 0, 0, 0, 5039, 1185, 135, 61, 47, 26, 1599, 1080, 74, 53, 74, 0, 2.0, 30.0, 59.0, 0, 21, 62, 62, 0, 0, 12, 0, 0, 15, 31, 14, 2.0, 62, 0, 0, 0, 0, 20, 46, 2.7, 40.54, 79.73, 71.59375, 32.296875, 74.1875, 0, 33.8984375, 83.796875, 0.0, 0.0, 24.19921875, 50.0, 22.6, 3.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 926.0, 211.0, 0.0, 0.0, 154.0, "Tous les candidats", 5655.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "33526", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28111&g_ta_cod=33526", 99.0, 0.0, 1.0),
(6802, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  LLCER Anglais", "Licence - Arts-lettres-langues", "LLCER Anglais", 321, 1794, 1330, 1607, 0, 1127, 317, 89, 43, 37, 23, 354, 187, 32, 11, 13, 131, 1602, 172, 0, 0, 1127, 317, 89, 43, 37, 23, 349, 1558, 307, 214, 245, 62, 122.0, 229.0, 257.0, 0, 57, 192, 168, 11, 13, 115, 2, 53, 73, 51, 13, 0.0, 126, 1, 10, 0, 0, 132, 132, 39.74, 74.59, 83.71, 69.6875, 68.796875, 68.796875, 0, 29.69921875, 62.5, 1.0, 27.59765625, 38.0, 26.59765625, 6.8, 0.0, 87.5, 65.59375, 5.69921875, 0.5, 6.7998046875, 5.19921875, 1045.0, 284.0, 41.0, 28.0, 396.0, "Tous les candidats", 1602.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2728", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  LLCER Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2728&g_ta_cod=2728", 80.0, 9.0, 9.0),
(6803, "Public", "0590302H", "Centre de Ressources, d'Expertise et de Performance Sportive de Wattignies (CREPS)", "59", "Nord", "Hauts-de-France", "Lille", "Wattignies", "formation sélective", "Autre formation", "CREPS de Wattignies - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 9, 66, 19, 58, 0, 15, 5, 16, 3, 7, 3, 20, 8, 3, 2, 0, 3, 18, 0, 0, 0, 7, 0, 4, 0, 0, 0, 7, 13, 7, 2, 7, 0, 5.0, 7.0, 7.0, 0, 0, 3, 2, 1, 0, 4, 0, 2, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 3, 3, 71.43, 100.0, 100.0, 28.59765625, 100.0, 100.0, 0, 0.0, 42.8984375, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 0.0, 33.296875, 33.296875, 0.0, 0.0, 5.0, 0.0, 0.0, 0.0, 6.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "21329", "BPJEPS - Activités aquatiques et de la natation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21329&g_ta_cod=21329", 71.0, 29.0, 0.0),
(6804, "Public", "0390027T", "Lycée Victor Bérard de MOREZ", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Hauts de Bienne", "formation sélective", "BTS", "Lycée Victor Bérard de MOREZ - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 90, 660, 422, 653, 0, 203, 34, 120, 21, 83, 13, 247, 7, 0, 2, 3, 2, 529, 2, 0, 0, 202, 34, 62, 12, 60, 7, 205, 339, 79, 43, 78, 1, 18.0, 57.0, 68.0, 0, 7, 45, 22, 4, 19, 34, 0, 12, 19, 13, 1, 0.0, 11, 3, 19, 15, 9, 25, 25, 22.78, 72.15, 86.08, 54.3984375, 55.59375, 55.59375, 33.296875, 15.599609375, 57.0, 0.0, 26.69921875, 42.1953125, 28.8984375, 2.2, 0.0, 48.8984375, 24.3984375, 8.8984375, 6.69921875, 42.1953125, 42.1953125, 145.0, 21.0, 57.0, 7.0, 122.0, "Tous les candidats sauf les Bac professionnels", 332.0, "Bacheliers professionnels toutes séries", 65, "", 0, "Liste d'appel propre à cette formation", 61.0, "5156", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5156&g_ta_cod=5156", 65.0, 8.0, 28.0),
(6805, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence_Las", "Institut national universitaire Champollion - Licence - Portail Physique, chimie", "Licence - Sciences - technologies - santé", "", 10, 329, 232, 318, 0, 189, 35, 23, 5, 0, 0, 106, 11, 5, 0, 0, 6, 317, 10, 0, 0, 189, 35, 23, 5, 0, 0, 105, 144, 8, 6, 7, 1, 0.0, 2.0, 7.0, 0, 0, 5, 5, 0, 0, 3, 0, 2, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 5, 5, 0.0, 25.0, 87.5, 75.0, 100.0, 100.0, 0, 0.0, 62.5, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 0.0, 0.0, 90.0, 9.0, 0.0, 0.0, 47.0, "Tous les candidats", 581.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "29673", "Licence - Portail Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29672&g_ta_cod=29673", 88.0, 0.0, 0.0),
(6806, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "Licence", "Université Paris 8 - Double licence - Economie et gestion / Langues étrangères appliquées - Economie et gestion Parcours Management / LEA", "Licence - Droit-économie-gestion", "Economie et gestion Parcours Management / LEA", 30, 1715, 997, 1058, 0, 599, 183, 75, 36, 41, 23, 343, 657, 188, 77, 28, 364, 309, 47, 0, 0, 257, 50, 6, 5, 0, 0, 46, 270, 29, 17, 12, 16, 7.0, 12.0, 19.0, 0, 4, 14, 12, 2, 0, 15, 0, 1, 7, 6, 0, 0.0, 11, 2, 0, 0, 0, 3, 7, 24.14, 41.38, 65.52, 58.59375, 21.3984375, 50.0, 0, 28.59765625, 48.296875, 0.0, 7.099609375, 50.0, 42.8984375, 0.0, 0.0, 85.6875, 78.59375, 14.298828125, 14.298828125, 0.0, 0.0, 201.0, 43.0, 0.0, 0.0, 63.0, "Tous les candidats", 308.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "26502", "Double licence - Economie et gestion / Langues étrangères appliquées - Economie et gestion Parcours Management / LEA", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26502&g_ta_cod=26502", 93.0, 7.0, 0.0),
(6807, "Public", "0580032V", "Lycée Raoul Follereau", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "BTS", "Lycée Raoul Follereau - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 24, 453, 73, 424, 0, 49, 13, 52, 21, 46, 17, 277, 29, 3, 9, 0, 17, 149, 6, 0, 0, 48, 13, 46, 18, 42, 16, 13, 99, 22, 2, 18, 4, 5.0, 15.0, 17.0, 0, 7, 16, 5, 4, 7, 6, 0, 9, 4, 2, 1, 0.0, 1, 1, 5, 2, 1, 12, 12, 22.73, 68.18, 77.27, 9.099609375, 75.0, 75.0, 12.5, 43.796875, 72.6875, 0.0, 56.296875, 25.0, 12.5, 6.3, 0.0, 31.296875, 6.2998046875, 25.0, 6.2998046875, 43.796875, 31.296875, 32.0, 8.0, 19.0, 8.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 30.0, "6682", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6682&g_ta_cod=6682", 32.0, 27.0, 41.0),
(6808, "Public", "0721317R", "IFSI CH DU MANS", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "IFSI", "Regroupement d'IFSI Université du Mans - D.E Infirmier", "D.E secteur sanitaire", "", 94, 2900, 2550, 2900, 0, 541, 92, 513, 90, 548, 184, 1298, 0, 0, 0, 0, 0, 2453, 0, 0, 0, 501, 82, 452, 72, 447, 143, 1053, 411, 95, 88, 95, 0, 13.0, 50.0, 74.0, 0, 10, 54, 22, 18, 14, 41, 0, 5, 22, 20, 7, 0.0, 19, 16, 14, 0, 0, 42, 42, 13.68, 52.63, 77.89, 92.59375, 77.796875, 77.796875, 0, 18.5, 56.796875, 0.0, 9.298828125, 40.6953125, 37.0, 13.0, 0.0, 40.6953125, 35.1953125, 33.296875, 29.59765625, 25.8984375, 25.8984375, 80.0, 12.0, 71.0, 23.0, 200.0, "Tous les candidats", 712.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "23045", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23002&g_ta_cod=23045", 54.0, 21.0, 25.0),
(6809, "Privé sous contrat d'association", "0133383G", "I.M.F. Marseille", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "EFTS", "I.M.F. Marseille - D.E Educateur Spécialisé", "D.E secteur social", "", 30, 343, 301, 343, 0, 45, 11, 46, 10, 45, 10, 207, 0, 0, 0, 0, 0, 284, 0, 0, 0, 36, 7, 36, 9, 31, 8, 181, 54, 33, 28, 33, 0, 17.0, 33.0, 33.0, 0, 2, 4, 2, 2, 0, 29, 0, 0, 3, 1, 0, 0.0, 2, 2, 0, 0, 0, 3, 3, 51.52, 100.0, 100.0, 84.796875, 75.0, 75.0, 0, 50.0, 12.099609375, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 3.0, 1.0, 0.0, 0.0, 47.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "23611", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23611&g_ta_cod=23611", 61.0, 15.0, 15.0),
(6810, "Public", "0782075G", "Unité de Formation et de Recherche de Sciences de l' Université de Versailles Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation non sélective", "Licence", "Unité de Formation et de Recherche de Sciences de l' Université de Versailles Saint Quentin en Yvelines - Licence - Portail Mathématiques Physique Chimie (MPC)", "Licence - Sciences - technologies - santé", "Mathématiques Physique Chimie (MPC)", 154, 2014, 750, 1925, 0, 1480, 122, 24, 4, 2, 0, 419, 89, 31, 3, 0, 55, 1922, 65, 0, 0, 1480, 122, 24, 4, 2, 0, 416, 1356, 141, 49, 103, 37, 1.0, 47.0, 103.0, 0, 15, 81, 79, 1, 1, 60, 1, 44, 24, 9, 3, 0.0, 34, 1, 1, 0, 0, 65, 74, 0.71, 33.33, 73.05, 34.796875, 80.1875, 91.390625, 0, 18.5, 57.3984375, 1.199951171875, 54.296875, 29.59765625, 11.099609375, 3.7, 0.0, 97.5, 42.0, 1.199951171875, 1.199951171875, 1.199951171875, 1.199951171875, 1035.0, 96.0, 1.0, 0.0, 312.0, "Tous les candidats", 2107.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "32596", "Licence - Portail Mathématiques Physique Chimie (MPC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32598&g_ta_cod=32596", 93.0, 5.0, 2.0),
(6811, "Public", "0210019G", "Lycée Le Castel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Autre formation", "Lycée Le Castel - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 24, 676, 546, 676, 0, 168, 31, 212, 49, 14, 10, 282, 0, 0, 0, 0, 0, 292, 0, 0, 0, 98, 15, 65, 13, 0, 0, 129, 131, 22, 18, 22, 0, 0.0, 13.0, 17.0, 0, 3, 9, 7, 2, 0, 13, 0, 0, 7, 2, 0, 0.0, 7, 2, 0, 0, 0, 7, 7, 0.0, 59.09, 77.27, 81.796875, 77.796875, 77.796875, 0, 33.296875, 40.8984375, 0.0, 0.0, 77.796875, 22.19921875, 0.0, 0.0, 77.796875, 77.796875, 22.19921875, 22.19921875, 0.0, 0.0, 49.0, 11.0, 0.0, 0.0, 72.0, "Tous les candidats", 188.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "3199", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3199&g_ta_cod=3199", 91.0, 9.0, 0.0),
(6812, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "PASS", "Université Grenoble Alpes  - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 60, 1627, 1052, 1627, 0, 1192, 245, 38, 17, 6, 2, 391, 0, 0, 0, 0, 0, 1585, 0, 0, 0, 1192, 245, 38, 17, 6, 2, 349, 350, 59, 38, 59, 0, 4.0, 41.0, 53.0, 0, 9, 59, 59, 0, 0, 0, 1, 7, 33, 11, 6, 1.0, 51, 0, 0, 0, 0, 57, 57, 6.78, 69.49, 89.83, 64.390625, 96.59375, 96.59375, 0, 15.298828125, 100.0, 1.699951171875, 11.8984375, 55.8984375, 18.59765625, 10.2, 1.7, 100.0, 86.390625, 0.0, 0.0, 0.0, 0.0, 350.0, 79.0, 0.0, 0.0, 0.0, "Tous les candidats", 2491.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "30762", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30761&g_ta_cod=30762", 100.0, 0.0, 0.0),
(6813, "Public", "0760110G", "Lycée Marcel Sembat", "76", "Seine-Maritime", "Normandie", "Normandie", "Sotteville-lès-Rouen", "formation sélective", "BTS", "Lycée Marcel Sembat - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 326, 16, 304, 0, 13, 4, 61, 12, 146, 60, 84, 22, 1, 2, 4, 15, 207, 8, 0, 0, 10, 4, 47, 9, 122, 51, 28, 136, 26, 2, 22, 4, 3.0, 15.0, 17.0, 0, 8, 19, 0, 5, 14, 7, 0, 6, 10, 2, 1, 0.0, 0, 3, 10, 2, 0, 18, 18, 11.54, 57.69, 65.38, 7.69921875, 94.6875, 94.6875, 10.5, 42.09375, 73.09375, 0.0, 31.59765625, 52.59375, 10.5, 5.3, 0.0, 0.0, 0.0, 26.296875, 15.798828125, 73.6875, 52.59375, 5.0, 4.0, 73.0, 31.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 51.0, "9617", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9617&g_ta_cod=9617", 15.0, 23.0, 62.0),
(6814, "Public", "0630020E", "Lycée Sidoine Apollinaire", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "CPGE", "Lycée Sidoine Apollinaire - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 24, 218, 110, 197, 0, 0, 0, 166, 54, 0, 0, 31, 21, 0, 10, 0, 11, 141, 6, 0, 141, 0, 0, 139, 45, 0, 0, 2, 113, 20, 12, 18, 2, 4.0, 18.0, 20.0, 0, 4, 20, 0, 20, 0, 0, 2, 4, 5, 8, 1, 0.0, 0, 14, 0, 5, 4, 17, 17, 20.0, 90.0, 100.0, 60.0, 85.0, 85.0, 25, 20.0, 100.0, 10.0, 20.0, 25.0, 40.0, 5.0, 0.0, 0.0, 0.0, 100.0, 70.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 141.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "7551", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7551&g_ta_cod=7551", 0.0, 100.0, 0.0),
(6815, "Public", "0741331V", "IFSI CH Annecy-Genevois", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Epagny Metz-Tessy", "formation sélective", "IFSI", "Regroupement d'IFSI Université Grenoble Alpes - D.E Infirmier", "D.E secteur sanitaire", "", 93, 5159, 4300, 5159, 0, 835, 132, 963, 219, 414, 136, 2947, 0, 0, 0, 0, 0, 4129, 0, 0, 0, 768, 112, 809, 176, 329, 99, 2223, 700, 93, 79, 93, 0, 6.0, 54.0, 81.0, 0, 8, 65, 25, 24, 16, 28, 1, 1, 23, 33, 7, 0.0, 23, 24, 16, 0, 0, 51, 51, 6.45, 58.06, 87.1, 84.890625, 78.5, 78.5, 0, 12.298828125, 69.890625, 1.5, 1.5, 35.3984375, 50.796875, 10.8, 0.0, 38.5, 35.3984375, 36.8984375, 36.8984375, 24.59765625, 24.59765625, 208.0, 23.0, 75.0, 17.0, 245.0, "Tous les candidats", 2055.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "23126", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22992&g_ta_cod=23126", 45.0, 33.0, 22.0),
(6816, "Privé sous contrat d'association", "0420976H", "Lycée La Salle", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée La Salle - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 24, 177, 19, 151, 0, 19, 4, 76, 19, 14, 10, 42, 26, 4, 5, 3, 14, 114, 11, 0, 0, 18, 4, 72, 18, 14, 10, 10, 102, 16, 0, 11, 5, 2.0, 9.0, 15.0, 0, 4, 10, 4, 5, 1, 6, 1, 7, 2, 0, 0, 0.0, 0, 2, 0, 1, 0, 8, 8, 12.5, 56.25, 93.75, 0.0, 80.0, 80.0, 10, 40.0, 62.5, 10.0, 70.0, 20.0, 0.0, 0.0, 0.0, 40.0, 0.0, 50.0, 20.0, 10.0, 0.0, 19.0, 4.0, 13.0, 9.0, 15.0, "Tous les candidats sauf les Bac professionnels", 96.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 73.0, "5314", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5314&g_ta_cod=5314", 56.0, 38.0, 6.0),
(6817, "Public", "0490769V", "I.U.T. Angers-Cholet - Site d'Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BUT", "I.U.T. Angers-Cholet - Site d'Angers - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entreprenariat - Business international : achat et vente - Business développement et management de la relation client - Stratégie de marque et évènementiel (Seconde année possible en apprentissage)", "BUT - Service", "Marketing digital, e-business et entreprenariat - Business international : achat et vente - Business développement et management de la relation client - Stratégie de marque et évènementiel", 140, 6365, 3281, 6365, 0, 3622, 365, 1970, 349, 66, 24, 707, 0, 0, 0, 0, 0, 2490, 0, 0, 0, 1127, 76, 1205, 188, 1, 0, 157, 498, 139, 94, 139, 0, 62.0, 137.0, 137.0, 0, 18, 132, 66, 66, 0, 7, 0, 1, 14, 92, 25, 0.0, 66, 65, 0, 0, 0, 82, 82, 44.6, 98.56, 98.56, 67.59375, 62.09375, 62.09375, 0, 13.599609375, 95.0, 0.0, 0.7999267578125, 10.599609375, 69.6875, 18.9, 0.0, 50.0, 50.0, 50.0, 49.1953125, 0.0, 0.0, 274.0, 45.0, 1.0, 0.0, 24.0, "Tous les candidats sauf les Bac technologiques", 408.0, "Bacheliers technologiques toutes séries", 264, "", 0, "Liste d'appel propre à cette formation", 11.0, "5868", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entreprenariat - Business international : achat et vente - Business développement et management de la relation client - Stratégie de marque et évènementiel (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5868&g_ta_cod=5868", 52.0, 48.0, 0.0),
(6818, "Public", "0660924W", "LYCEE POLYVALENT CHRISTIAN BOURQUIN", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Argelès-sur-Mer", "formation sélective", "BTS", "LYCEE POLYVALENT CHRISTIAN BOURQUIN - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 40, 354, 178, 353, 0, 0, 0, 120, 24, 142, 45, 91, 1, 0, 0, 0, 1, 353, 0, 0, 0, 0, 0, 120, 24, 142, 45, 91, 128, 36, 18, 36, 0, 15.0, 33.0, 33.0, 0, 11, 24, 0, 15, 9, 12, 0, 6, 9, 7, 2, 0.0, 0, 9, 9, 16, 7, 18, 18, 41.67, 91.67, 91.67, 50.0, 75.0, 75.0, 66.6875, 45.796875, 66.6875, 0.0, 25.0, 37.5, 29.19921875, 8.3, 0.0, 0.0, 0.0, 62.5, 37.5, 37.5, 37.5, 0.0, 0.0, 31.0, 16.0, 53.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 47.0, "7887", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7887&g_ta_cod=7887", 22.0, 53.0, 25.0),
(6819, "Privé sous contrat d'association", "0754666P", "Lycée Passy-Saint-Honoré", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "BTS", "Lycée Passy-Saint-Honoré - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 28, 618, 323, 499, 0, 84, 19, 152, 60, 97, 42, 166, 119, 0, 0, 61, 58, 152, 20, 0, 0, 38, 8, 69, 21, 14, 3, 31, 124, 21, 10, 15, 6, 1.0, 13.0, 15.0, 0, 10, 17, 2, 10, 5, 4, 0, 10, 7, 0, 0, 0.0, 1, 1, 5, 0, 0, 3, 16, 4.76, 61.9, 71.43, 47.59375, 17.59765625, 94.09375, 0, 58.796875, 81.0, 0.0, 58.796875, 41.1953125, 0.0, 0.0, 0.0, 11.798828125, 5.8994140625, 58.796875, 5.8994140625, 29.3984375, 29.3984375, 28.0, 6.0, 28.0, 13.0, 24.0, "Tous les candidats sauf les Bac professionnels", 108.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 24.0, "9546", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9546&g_ta_cod=9546", 19.0, 48.0, 33.0),
(6820, "Public", "0881705A", "I.U.T Epinal-Hubert Curien - Université de Lorraine", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "BUT", "I.U.T Epinal-Hubert Curien - Université de Lorraine - BUT - Techniques de commercialisation Parcours : Marketing digital, E-business et entrepreuneuriat - International business - Business développement et management de la relation client", "BUT - Service", "Marketing digital, E-business et entrepreuneuriat - International business - Business développement et management de la relation client", 110, 1235, 541, 1169, 0, 653, 108, 283, 71, 15, 7, 218, 66, 11, 21, 1, 33, 784, 12, 0, 0, 501, 80, 187, 44, 6, 2, 90, 561, 101, 42, 94, 6, 4.0, 76.0, 92.0, 0, 12, 86, 59, 27, 0, 15, 0, 47, 35, 4, 0, 0.0, 26, 13, 0, 0, 0, 63, 63, 3.96, 75.25, 91.09, 41.59375, 73.296875, 73.296875, 0, 14.0, 85.09375, 0.0, 54.6953125, 40.6953125, 4.69921875, 0.0, 0.0, 68.59375, 30.19921875, 31.3984375, 15.099609375, 0.0, 0.0, 321.0, 49.0, 0.0, 0.0, 69.0, "Tous les candidats sauf les Bac technologiques", 575.0, "Bacheliers technologiques toutes séries", 207, "", 0, "Liste d'appel propre à cette formation", 67.0, "10765", "BUT - Techniques de commercialisation Parcours : Marketing digital, E-business et entrepreuneuriat - International business - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10765&g_ta_cod=10765", 69.0, 31.0, 0.0),
(6821, "Privé sous contrat d'association", "0310154Z", "Ecole d'ingénieurs de PURPAN", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Ecole d'Ingénieur", "Réseau France Agro3 - Formation d'ingénieur Bac + 5 - Voie d'accès Bac +1", "Formations  des écoles d'ingénieurs", "Voie d'accès Bac +1", 30, 147, 95, 140, 0, 0, 0, 0, 0, 0, 0, 140, 7, 0, 0, 0, 7, 78, 4, 0, 0, 0, 0, 0, 0, 0, 0, 78, 82, 29, 20, 26, 3, 26.0, 26.0, 27.0, 0, 0, 0, 0, 0, 0, 29, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 89.66, 89.66, 93.1, 69.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 82.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "30928", "Formation d'ingénieur Bac + 5 - Voie d'accès Bac +1", "Réseau France Agro3", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30885&g_ta_cod=30928", 100.0, 0.0, 0.0),
(6822, "Public", "0922874Z", "Université Paris-Saclay, Campus de Sceaux", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "Licence_Las", "Université Paris-Saclay, Campus de Sceaux - Licence - Portail Droit, Sciences et Innovation - Licence Double-Diplôme Droit, Sciences et Innovation", "Licence - Sciences - technologies - santé", "Licence Double-Diplôme Droit, Sciences et Innovation", 15, 256, 196, 256, 0, 130, 26, 7, 2, 1, 1, 118, 0, 0, 0, 0, 0, 146, 0, 0, 0, 99, 15, 0, 0, 0, 0, 47, 98, 15, 12, 15, 0, 2.0, 12.0, 15.0, 0, 2, 13, 13, 0, 0, 2, 0, 3, 5, 3, 2, 0.0, 10, 0, 0, 0, 0, 9, 10, 13.33, 80.0, 100.0, 80.0, 69.1875, 76.890625, 0, 15.3984375, 86.6875, 0.0, 23.09765625, 38.5, 23.09765625, 15.4, 0.0, 100.0, 76.890625, 0.0, 0.0, 0.0, 0.0, 70.0, 12.0, 0.0, 0.0, 28.0, "Tous les candidats", 173.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 46.0, "28941", "Licence - Portail Droit, Sciences et Innovation - Licence Double-Diplôme Droit, Sciences et Innovation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28941&g_ta_cod=28941", 100.0, 0.0, 0.0),
(6823, "Public", "0420041S", "Lycée Claude Fauriel", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "CPGE", "Lycée Claude Fauriel - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 436, 304, 436, 229, 378, 48, 3, 2, 0, 0, 55, 0, 0, 0, 0, 0, 344, 0, 185, 335, 326, 37, 1, 0, 0, 0, 17, 215, 50, 39, 50, 0, 8.0, 43.0, 49.0, 8, 3, 49, 49, 0, 0, 1, 0, 0, 8, 23, 16, 2.0, 49, 0, 0, 4, 2, 39, 39, 16.0, 86.0, 98.0, 78.0, 79.59375, 79.59375, 8.19921875, 6.099609375, 98.0, 0.0, 0.0, 16.296875, 46.8984375, 32.7, 4.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 212.0, 26.0, 0.0, 0.0, 3.0, "Tous les candidats", 296.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "5284", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5284&g_ta_cod=5284", 100.0, 0.0, 0.0),
(6824, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Autre formation", "Institut Catholique Paris - Année préparatoire - Année de préparation aux études supérieures (A.P.E.S.)- Option Sciences humaines", "Année préparatoire", "Année de préparation aux études supérieures (A.P.E.S.)- Option Sciences humaines", 25, 135, 98, 94, 0, 64, 3, 3, 1, 0, 0, 27, 41, 32, 1, 0, 8, 70, 37, 0, 0, 58, 2, 3, 1, 0, 0, 9, 102, 25, 19, 11, 14, 3.0, 11.0, 17.0, 0, 1, 21, 21, 0, 0, 4, 0, 2, 12, 6, 1, 0.0, 19, 0, 0, 0, 0, 9, 18, 12.0, 44.0, 68.0, 76.0, 42.8984375, 85.6875, 0, 4.7998046875, 84.0, 0.0, 9.5, 57.09375, 28.59765625, 4.8, 0.0, 100.0, 90.5, 0.0, 0.0, 0.0, 0.0, 83.0, 7.0, 0.0, 0.0, 15.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "29105", "Année préparatoire - Année de préparation aux études supérieures (A.P.E.S.)- Option Sciences humaines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29105&g_ta_cod=29105", 100.0, 0.0, 0.0),
(6825, "Privé sous contrat d'association", "0763409T", "Lycée Jean-Paul II", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Jean-Paul II - BTS - Services - Professions immobilières", "BTS - Services", "", 35, 802, 429, 784, 0, 208, 26, 230, 50, 117, 32, 229, 18, 3, 1, 2, 12, 453, 10, 0, 0, 165, 19, 117, 22, 56, 17, 115, 208, 34, 15, 30, 3, 1.0, 19.0, 20.0, 0, 4, 25, 11, 12, 2, 9, 0, 10, 13, 2, 0, 0.0, 5, 8, 2, 1, 1, 24, 24, 2.94, 55.88, 58.82, 44.09375, 96.0, 96.0, 4, 16.0, 73.5, 0.0, 40.0, 52.0, 8.0, 0.0, 0.0, 44.0, 20.0, 48.0, 32.0, 8.0, 8.0, 64.0, 13.0, 26.0, 7.0, 60.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 103.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 26.0, "9773", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9773&g_ta_cod=9773", 50.0, 44.0, 6.0),
(6826, "Public", "0740005D", "Lycée Gabriel Fauré", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BTS", "Lycée Gabriel Fauré - BTS - Services - Gestion de la PME (Seconde année possible en apprentissage)", "BTS - Services", "", 24, 585, 376, 579, 0, 41, 9, 248, 57, 180, 75, 110, 6, 0, 3, 0, 3, 355, 1, 0, 0, 35, 7, 169, 33, 117, 43, 34, 156, 20, 19, 20, 0, 1.0, 13.0, 16.0, 0, 7, 18, 2, 6, 10, 2, 0, 6, 11, 0, 1, 0.0, 2, 5, 5, 0, 0, 15, 15, 5.0, 65.0, 80.0, 95.0, 83.296875, 83.296875, 0, 38.8984375, 90.0, 0.0, 33.296875, 61.09375, 0.0, 5.6, 0.0, 11.099609375, 11.099609375, 33.296875, 27.796875, 55.59375, 27.796875, 11.0, 4.0, 49.0, 20.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 113, "Bacheliers technologiques toutes séries", 104, "Liste d'appel propre à cette formation", 40.0, "8851", "BTS - Services - Gestion de la PME (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8851&g_ta_cod=8851", 15.0, 35.0, 50.0),
(6827, "Privé sous contrat d'association", "0300125Y", "Lycée De La Salle", "30", "Gard", "Occitanie", "Montpellier", "Alès", "formation sélective", "BTS", "Lycée De La Salle - BTS - Services - Prothésiste orthésiste", "BTS - Services", "", 18, 557, 394, 557, 0, 113, 11, 165, 30, 44, 11, 235, 0, 0, 0, 0, 0, 536, 0, 0, 0, 113, 11, 165, 30, 31, 6, 227, 81, 18, 13, 18, 0, 3.0, 11.0, 16.0, 0, 3, 14, 6, 6, 2, 4, 0, 3, 9, 2, 0, 0.0, 4, 5, 2, 1, 0, 1, 1, 16.67, 61.11, 88.89, 72.1875, 7.099609375, 7.099609375, 7.099609375, 21.3984375, 77.796875, 0.0, 21.3984375, 64.296875, 14.298828125, 0.0, 0.0, 42.8984375, 28.59765625, 42.8984375, 35.6953125, 14.298828125, 14.298828125, 27.0, 2.0, 8.0, 3.0, 23.0, "Tous les candidats sauf les Bac professionnels", 101.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 20.0, "18897", "BTS - Services - Prothésiste orthésiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18897&g_ta_cod=18897", 50.0, 39.0, 11.0),
(6828, "Privé sous contrat d'association", "0870757A", "POLARIS Formation Isle", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Isle", "formation sélective", "EFTS", "POLARIS Formation Isle - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 27, 180, 170, 180, 0, 35, 3, 36, 7, 12, 2, 97, 0, 0, 0, 0, 0, 90, 0, 0, 0, 15, 2, 14, 2, 1, 0, 60, 46, 27, 27, 27, 0, 12.0, 26.0, 27.0, 0, 0, 4, 2, 2, 0, 23, 0, 0, 3, 1, 0, 0.0, 2, 2, 0, 0, 0, 2, 2, 44.44, 96.3, 100.0, 100.0, 50.0, 50.0, 0, 0.0, 14.798828125, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 5.0, 0.0, 0.0, 0.0, 35.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "24932", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24932&g_ta_cod=24932", 56.0, 30.0, 15.0),
(6829, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Administration économique et sociale - Parcours AES", "Licence - Sciences humaines et sociales", "AES", 343, 2521, 1533, 2395, 0, 1223, 416, 408, 238, 149, 116, 615, 126, 16, 10, 13, 87, 2393, 69, 0, 0, 1223, 416, 408, 238, 149, 116, 613, 1683, 328, 186, 288, 40, 54.0, 214.0, 275.0, 0, 100, 180, 107, 46, 27, 148, 1, 89, 63, 25, 2, 0.0, 64, 16, 10, 0, 0, 135, 135, 16.46, 65.24, 83.84, 56.6953125, 75.0, 75.0, 0, 55.59375, 54.8984375, 0.5999755859375, 49.3984375, 35.0, 13.8984375, 1.1, 0.0, 59.3984375, 35.59375, 25.59765625, 8.8984375, 15.0, 5.599609375, 844.0, 305.0, 97.0, 79.0, 469.0, "Tous les candidats", 2189.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "4555", "Licence - Administration économique et sociale - Parcours AES", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4555&g_ta_cod=4555", 61.0, 24.0, 13.0),
(6830, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Langues étrangères appliquées - Parcours Anglais-allemand", "Licence - Arts-lettres-langues", "Anglais-allemand", 60, 228, 160, 186, 0, 125, 30, 11, 5, 2, 0, 48, 42, 7, 1, 1, 33, 186, 37, 0, 0, 125, 30, 11, 5, 2, 0, 48, 202, 34, 19, 25, 9, 9.0, 25.0, 28.0, 0, 10, 21, 17, 3, 1, 13, 0, 5, 9, 7, 0, 0.0, 13, 2, 1, 0, 0, 13, 13, 26.47, 73.53, 82.35, 55.8984375, 61.8984375, 61.8984375, 0, 47.59375, 61.796875, 0.0, 23.796875, 42.8984375, 33.296875, 0.0, 0.0, 81.0, 61.8984375, 14.298828125, 9.5, 4.7998046875, 4.7998046875, 117.0, 31.0, 2.0, 1.0, 74.0, "Tous les candidats", 186.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6129", "Licence - Langues étrangères appliquées - Parcours Anglais-allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6129&g_ta_cod=6129", 79.0, 9.0, 12.0),
(6831, "Public", "9740471U", "Lycée Amiral Pierre Bouvet", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Benoît", "formation sélective", "BTS", "Lycée Amiral Pierre Bouvet - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 15, 108, 17, 108, 0, 3, 2, 61, 38, 24, 13, 20, 0, 0, 0, 0, 0, 73, 0, 0, 0, 1, 0, 53, 33, 15, 8, 4, 44, 16, 1, 16, 0, 4.0, 16.0, 16.0, 0, 9, 13, 0, 9, 4, 3, 0, 5, 6, 1, 1, 0.0, 0, 5, 3, 8, 0, 13, 13, 25.0, 100.0, 100.0, 6.2998046875, 100.0, 100.0, 61.5, 69.1875, 81.296875, 0.0, 38.5, 46.1953125, 7.69921875, 7.7, 0.0, 0.0, 0.0, 69.1875, 38.5, 30.796875, 23.09765625, 1.0, 0.0, 7.0, 5.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 53.0, "17903", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17903&g_ta_cod=17903", 6.0, 69.0, 25.0),
(6832, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : ITALIEN MAJEURE NON DEBUTANT / mineure histoire", "Licence - Arts-lettres-langues", "LLCER : ITALIEN MAJEURE NON DEBUTANT / mineure histoire", 20, 100, 71, 37, 0, 23, 2, 3, 1, 0, 0, 11, 63, 11, 4, 1, 47, 37, 61, 0, 0, 23, 2, 3, 1, 0, 0, 11, 94, 14, 8, 1, 13, 1.0, 1.0, 8.0, 0, 1, 3, 2, 1, 0, 11, 0, 1, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 0, 1, 7.14, 7.14, 57.14, 57.09375, 0.0, 33.296875, 0, 33.296875, 21.3984375, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 32.0, 4.0, 1.0, 1.0, 55.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19446", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : ITALIEN MAJEURE NON DEBUTANT / mineure histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19446&g_ta_cod=19446", 57.0, 21.0, 21.0),
(6833, "Privé sous contrat d'association", "0380018N", "Lycée ISER-BORDIER", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée ISER-BORDIER - BTS - Services - Economie sociale familiale", "BTS - Services", "", 32, 371, 331, 367, 0, 50, 8, 90, 17, 109, 33, 118, 4, 0, 0, 0, 4, 300, 1, 0, 0, 50, 8, 86, 17, 85, 22, 79, 154, 27, 25, 27, 0, 3.0, 16.0, 21.0, 0, 1, 18, 4, 5, 9, 9, 0, 3, 10, 5, 0, 0.0, 3, 4, 8, 1, 0, 17, 17, 11.11, 59.26, 77.78, 92.59375, 94.390625, 94.390625, 5.599609375, 5.599609375, 66.6875, 0.0, 16.69921875, 55.59375, 27.796875, 0.0, 0.0, 22.19921875, 16.69921875, 27.796875, 22.19921875, 50.0, 44.3984375, 28.0, 6.0, 51.0, 14.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 77, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 55.0, "4919", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4919&g_ta_cod=4919", 30.0, 33.0, 37.0),
(6834, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence_Las", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Mathématiques - MIST (tronc commun avec Sciences et technologies et Informatique)", "Licence - Sciences - technologies - santé", "MIST (tronc commun avec Sciences et technologies et Informatique)", 3, 50, 24, 50, 0, 29, 6, 2, 1, 0, 0, 19, 0, 0, 0, 0, 0, 50, 0, 0, 0, 29, 6, 2, 1, 0, 0, 19, 32, 2, 1, 2, 0, 0.0, 2.0, 2.0, 0, 1, 1, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 50.0, 100.0, 100.0, 0, 100.0, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 22.0, 4.0, 0.0, 0.0, 10.0, "Tous les candidats", 212.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "29659", "Licence - Portail Mathématiques - MIST (tronc commun avec Sciences et technologies et Informatique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29658&g_ta_cod=29659", 100.0, 0.0, 0.0),
(6835, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Géographie et aménagement - Parcours Géographie, Aménagement, Environnement, Développement", "Licence - Sciences humaines et sociales", "Géographie, Aménagement, Environnement, Développement", 82, 609, 294, 609, 0, 442, 59, 15, 2, 2, 0, 150, 0, 0, 0, 0, 0, 609, 0, 0, 0, 442, 59, 15, 2, 2, 0, 150, 373, 79, 30, 79, 0, 35.0, 64.0, 71.0, 0, 5, 59, 57, 2, 0, 20, 0, 15, 27, 11, 6, 0.0, 44, 0, 0, 0, 0, 17, 54, 44.3, 81.01, 89.87, 38.0, 28.796875, 91.5, 0, 8.5, 74.6875, 0.0, 25.3984375, 45.796875, 18.59765625, 10.2, 0.0, 96.59375, 74.59375, 3.39990234375, 0.0, 0.0, 0.0, 289.0, 37.0, 1.0, 0.0, 76.0, "Tous les candidats", 458.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "9349", "Licence - Géographie et aménagement - Parcours Géographie, Aménagement, Environnement, Développement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9349&g_ta_cod=9349", 87.0, 9.0, 1.0),
(6836, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation sélective", "Licence", "Université de Toulon - Licence - Mathématiques - Parcours Spécialisation renforcée sélective en vue d'intégrer Seatech", "Licence - Sciences - technologies - santé", "Spécialisation renforcée sélective en vue d'intégrer Seatech", 15, 143, 38, 136, 0, 96, 12, 2, 1, 0, 0, 38, 7, 2, 0, 0, 5, 103, 2, 0, 0, 73, 7, 0, 0, 0, 0, 30, 74, 10, 2, 9, 1, 0.0, 9.0, 9.0, 0, 1, 8, 8, 0, 0, 2, 0, 0, 2, 6, 0, 0.0, 8, 0, 0, 0, 0, 5, 5, 0.0, 90.0, 90.0, 20.0, 62.5, 62.5, 0, 12.5, 80.0, 0.0, 0.0, 25.0, 75.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 48.0, 5.0, 0.0, 0.0, 26.0, "Tous les candidats", 103.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "15138", "Licence - Mathématiques - Parcours Spécialisation renforcée sélective en vue d'intégrer Seatech", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15138&g_ta_cod=15138", 100.0, 0.0, 0.0),
(6837, "Public", "0620056Z", "Lycée Carnot", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Bruay-la-Buissière", "formation sélective", "BTS", "Lycée Carnot - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 245, 137, 218, 0, 32, 10, 65, 30, 50, 30, 71, 27, 0, 7, 15, 5, 180, 8, 0, 0, 32, 10, 63, 29, 43, 25, 42, 114, 21, 11, 19, 2, 4.0, 15.0, 17.0, 0, 11, 20, 4, 8, 8, 1, 0, 13, 5, 2, 0, 0.0, 1, 2, 4, 14, 8, 20, 20, 19.05, 71.43, 80.95, 52.3984375, 100.0, 100.0, 70, 55.0, 95.1875, 0.0, 65.0, 25.0, 10.0, 0.0, 0.0, 20.0, 5.0, 40.0, 10.0, 40.0, 20.0, 12.0, 5.0, 42.0, 22.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 57.0, "7357", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7357&g_ta_cod=7357", 19.0, 43.0, 38.0),
(6838, "Privé sous contrat d'association", "0021874B", "Lycée Saint Remy", "02", "Aisne", "Hauts-de-France", "Amiens", "Soissons", "formation sélective", "BTS", "Lycée Saint Remy - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 38, 552, 262, 439, 0, 49, 8, 64, 21, 71, 27, 255, 113, 11, 34, 20, 48, 123, 37, 0, 0, 31, 5, 48, 16, 29, 8, 15, 138, 17, 11, 8, 9, 3.0, 8.0, 14.0, 0, 6, 11, 2, 2, 7, 6, 0, 6, 3, 2, 0, 0.0, 0, 0, 5, 0, 0, 10, 10, 17.65, 47.06, 82.35, 64.6875, 90.890625, 90.890625, 0, 54.5, 64.6875, 0.0, 54.5, 27.296875, 18.19921875, 0.0, 0.0, 18.19921875, 0.0, 18.19921875, 0.0, 63.59375, 45.5, 31.0, 6.0, 39.0, 10.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 28.0, "2088", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2088&g_ta_cod=2088", 29.0, 12.0, 59.0),
(6839, "Privé sous contrat d'association", "0593136N", "Lycée Saint-Jacques", "59", "Nord", "Hauts-de-France", "Lille", "Hazebrouck", "formation sélective", "BTS", "Lycée Saint-Jacques - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 133, 73, 107, 0, 7, 2, 29, 5, 14, 5, 57, 26, 0, 8, 2, 16, 50, 20, 0, 0, 6, 2, 24, 4, 11, 5, 9, 69, 14, 7, 5, 8, 0.0, 5.0, 13.0, 0, 1, 6, 0, 6, 0, 8, 0, 5, 1, 0, 0, 0.0, 0, 1, 0, 1, 0, 6, 6, 0.0, 35.71, 92.86, 50.0, 100.0, 100.0, 16.69921875, 16.69921875, 42.8984375, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 16.69921875, 0.0, 0.0, 6.0, 2.0, 12.0, 5.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 47.0, "6989", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6989&g_ta_cod=6989", 57.0, 43.0, 0.0),
(6840, "Public", "0382664P", "IFSI CHU Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "IFSI", "Regroupement d'IFSI Université Grenoble Alpes - D.E Infirmier", "D.E secteur sanitaire", "", 177, 6392, 5353, 6392, 0, 1102, 202, 1153, 269, 558, 184, 3579, 0, 0, 0, 0, 0, 5183, 0, 0, 0, 1005, 167, 966, 209, 435, 138, 2777, 1032, 176, 154, 176, 0, 10.0, 105.0, 147.0, 0, 20, 100, 38, 34, 28, 76, 1, 7, 41, 41, 10, 0.0, 33, 33, 26, 0, 0, 83, 83, 5.68, 59.66, 83.52, 87.5, 83.0, 83.0, 0, 20.0, 56.796875, 1.0, 7.0, 41.0, 41.0, 10.0, 0.0, 38.0, 33.0, 34.0, 33.0, 28.0, 26.0, 292.0, 31.0, 102.0, 32.0, 388.0, "Tous les candidats", 1847.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "23121", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22992&g_ta_cod=23121", 57.0, 24.0, 19.0),
(6841, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence_Las", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Portail Lettres", "Licence - Arts-lettres-langues", "", 36, 201, 163, 111, 0, 43, 14, 6, 3, 2, 2, 60, 90, 39, 6, 1, 44, 107, 86, 0, 0, 43, 14, 6, 3, 2, 2, 56, 182, 29, 23, 7, 22, 0.0, 7.0, 23.0, 0, 5, 13, 11, 2, 0, 16, 0, 10, 3, 0, 0, 0.0, 2, 1, 0, 0, 0, 7, 7, 0.0, 24.14, 79.31, 79.296875, 53.796875, 53.796875, 0, 38.5, 44.796875, 0.0, 76.890625, 23.09765625, 0.0, 0.0, 0.0, 84.59375, 15.3984375, 15.3984375, 7.69921875, 0.0, 0.0, 80.0, 23.0, 2.0, 2.0, 92.0, "Tous les candidats", 445.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "26794", "Licence - Portail Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26793&g_ta_cod=26794", 83.0, 14.0, 3.0),
(6842, "Public", "0340040J", "Lycée Jules Guesde", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "Lycée Jules Guesde - Diplôme de Comptabilité et de Gestion", "DCG", "", 40, 1028, 506, 960, 0, 406, 105, 228, 90, 24, 17, 302, 68, 9, 6, 5, 48, 500, 9, 0, 0, 294, 71, 138, 52, 0, 0, 68, 275, 36, 19, 33, 3, 3.0, 26.0, 32.0, 0, 8, 26, 15, 11, 0, 10, 0, 2, 12, 8, 4, 0.0, 15, 9, 0, 0, 0, 20, 20, 8.33, 72.22, 88.89, 52.796875, 76.890625, 76.890625, 0, 30.796875, 72.1875, 0.0, 7.69921875, 46.1953125, 30.796875, 15.4, 0.0, 57.6953125, 57.6953125, 42.296875, 34.59375, 0.0, 0.0, 156.0, 36.0, 0.0, 0.0, 59.0, "Tous les candidats", 499.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "4493", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4493&g_ta_cod=4493", 67.0, 33.0, 0.0),
(6843, "Public", "9720004X", "Lycée Joseph Gaillard", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée Joseph Gaillard - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 29, 307, 159, 229, 0, 70, 31, 71, 34, 56, 38, 32, 78, 6, 11, 17, 44, 126, 5, 0, 0, 54, 26, 41, 20, 18, 9, 13, 88, 25, 18, 22, 3, 7.0, 21.0, 24.0, 0, 11, 23, 6, 10, 7, 2, 0, 12, 9, 2, 0, 0.0, 2, 5, 4, 2, 2, 23, 23, 28.0, 84.0, 96.0, 72.0, 100.0, 100.0, 8.69921875, 47.796875, 92.0, 0.0, 52.1953125, 39.09375, 8.69921875, 0.0, 0.0, 26.09765625, 8.69921875, 43.5, 21.69921875, 30.3984375, 17.3984375, 29.0, 12.0, 17.0, 9.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 55.0, "11800", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11800&g_ta_cod=11800", 28.0, 44.0, 28.0),
(6844, "Public", "0311323V", "Lycée Rive Gauche", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Rive Gauche - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 804, 400, 663, 0, 84, 36, 195, 96, 145, 87, 239, 141, 0, 0, 75, 66, 475, 18, 0, 0, 84, 36, 184, 91, 72, 44, 135, 209, 33, 13, 25, 8, 1.0, 19.0, 28.0, 0, 11, 18, 3, 9, 6, 15, 0, 11, 5, 2, 0, 0.0, 0, 3, 4, 0, 0, 15, 15, 3.03, 57.58, 84.85, 39.3984375, 83.296875, 83.296875, 0, 61.09375, 54.5, 0.0, 61.09375, 27.796875, 11.099609375, 0.0, 0.0, 16.69921875, 0.0, 50.0, 16.69921875, 33.296875, 22.19921875, 45.0, 20.0, 47.0, 26.0, 57.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 93.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 106, "Liste d'appel propre à cette formation", 43.0, "4134", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4134&g_ta_cod=4134", 21.0, 36.0, 42.0),
(6845, "Public", "0590121L", "Lycée Cesar Baggio", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Cesar Baggio - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 213, 21, 183, 0, 19, 6, 69, 19, 52, 18, 43, 30, 0, 0, 17, 13, 159, 2, 0, 0, 18, 5, 65, 18, 48, 17, 28, 74, 9, 1, 8, 1, 1.0, 6.0, 7.0, 0, 2, 7, 1, 1, 5, 2, 0, 3, 3, 0, 1, 0.0, 0, 0, 4, 0, 0, 5, 5, 11.11, 66.67, 77.78, 11.099609375, 71.390625, 71.390625, 0, 28.59765625, 77.796875, 0.0, 42.8984375, 42.8984375, 0.0, 14.3, 0.0, 14.298828125, 0.0, 14.298828125, 0.0, 71.390625, 57.09375, 7.0, 1.0, 33.0, 11.0, 17.0, "Tous les candidats sauf les Bac professionnels", 77.0, "Bacheliers professionnels toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 68.0, "6789", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6789&g_ta_cod=6789", 11.0, 33.0, 56.0),
(6846, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Gaston Berger - BTS - Services - Tourisme", "BTS - Services", "", 70, 1335, 962, 1335, 0, 344, 94, 224, 99, 200, 121, 567, 0, 0, 0, 0, 0, 745, 0, 0, 0, 279, 66, 101, 37, 119, 73, 246, 297, 69, 57, 69, 0, 36.0, 50.0, 59.0, 0, 9, 38, 29, 9, 0, 31, 0, 8, 20, 8, 2, 0.0, 22, 8, 0, 0, 0, 29, 29, 52.17, 72.46, 85.51, 82.59375, 76.296875, 76.296875, 0, 23.69921875, 55.09375, 0.0, 21.09765625, 52.59375, 21.09765625, 5.3, 0.0, 76.296875, 57.8984375, 23.69921875, 21.09765625, 0.0, 0.0, 148.0, 37.0, 5.0, 4.0, 90.0, "Tous les candidats sauf les Bac professionnels", 415.0, "Bacheliers professionnels toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 33.0, "6875", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6875&g_ta_cod=6875", 74.0, 17.0, 9.0),
(6847, "Public", "0090006H", "Lycée professionnel Joseph Marie Jacquard", "09", "Ardennes", "Occitanie", "Toulouse", "Lavelanet", "formation sélective", "BTS", "Lycée professionnel Joseph Marie Jacquard - BTS - Production - Métiers de l'eau", "BTS - Production", "", 15, 184, 50, 181, 0, 18, 4, 55, 9, 13, 7, 95, 3, 0, 0, 1, 2, 92, 3, 0, 0, 18, 4, 50, 9, 6, 2, 18, 61, 8, 0, 7, 1, 2.0, 7.0, 7.0, 0, 3, 8, 1, 4, 3, 0, 0, 6, 0, 2, 0, 0.0, 0, 0, 2, 0, 0, 7, 7, 25.0, 87.5, 87.5, 0.0, 87.5, 87.5, 0, 37.5, 100.0, 0.0, 75.0, 0.0, 25.0, 0.0, 0.0, 12.5, 0.0, 50.0, 0.0, 37.5, 25.0, 9.0, 3.0, 7.0, 3.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 42.0, "20129", "BTS - Production - Métiers de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20129&g_ta_cod=20129", 13.0, 50.0, 38.0),
(6848, "Public", "0811341T", "SECTION ENSEIGNEMENT GENERAL ET TECHNOLOGIQUE CLEMENT DE PEMILLE", "81", "Tarn", "Occitanie", "Toulouse", "Graulhet", "formation sélective", "Autre formation", "SECTION ENSEIGNEMENT GENERAL ET TECHNOLOGIQUE CLEMENT DE PEMILLE - DN MADE - Objet - - Spécialité : bijou contemporain : métissage artisanat-numérique", "DN MADE", "- Spécialité : bijou contemporain : métissage artisanat-numérique", 15, 176, 142, 176, 0, 61, 11, 60, 11, 5, 2, 50, 0, 0, 0, 0, 0, 158, 0, 0, 0, 53, 10, 58, 10, 5, 2, 42, 80, 16, 14, 16, 0, 3.0, 11.0, 15.0, 0, 1, 9, 4, 5, 0, 7, 0, 2, 3, 4, 0, 0.0, 2, 5, 0, 0, 0, 5, 5, 18.75, 68.75, 93.75, 87.5, 55.59375, 55.59375, 0, 11.099609375, 56.296875, 0.0, 22.19921875, 33.296875, 44.3984375, 0.0, 0.0, 44.3984375, 22.19921875, 55.59375, 55.59375, 0.0, 0.0, 27.0, 5.0, 2.0, 1.0, 21.0, "Tous les candidats", 121.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "21706", "DN MADE - Objet - - Spécialité : bijou contemporain : métissage artisanat-numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21706&g_ta_cod=21706", 31.0, 50.0, 6.0),
(6849, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "Autre formation", "Université de Mulhouse - CUPGE - Cycle préparatoire Physique Chimie, parcours renforcé", "CUPGE - Sciences, technologie, santé", "", 28, 220, 113, 186, 0, 152, 13, 1, 0, 0, 0, 33, 34, 9, 3, 0, 22, 158, 4, 0, 0, 139, 9, 0, 0, 0, 0, 19, 123, 14, 8, 13, 1, 4.0, 13.0, 14.0, 0, 2, 13, 13, 0, 0, 1, 0, 1, 6, 4, 1, 1.0, 12, 0, 0, 0, 0, 9, 9, 28.57, 92.86, 100.0, 57.09375, 69.1875, 69.1875, 0, 15.3984375, 92.890625, 0.0, 7.69921875, 46.1953125, 30.796875, 7.7, 7.7, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 105.0, 8.0, 0.0, 0.0, 18.0, "Tous les candidats", 157.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "8144", "CUPGE - Cycle préparatoire Physique Chimie, parcours renforcé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8144&g_ta_cod=8144", 100.0, 0.0, 0.0),
(6850, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Archéologie, Histoire, Histoire de l'Art", "Licence - Sciences humaines et sociales", "Archéologie, Histoire, Histoire de l'Art", 295, 2100, 1283, 1922, 0, 1160, 272, 144, 48, 60, 27, 558, 178, 17, 14, 9, 138, 1910, 171, 0, 0, 1160, 272, 144, 48, 60, 27, 546, 1701, 268, 143, 206, 62, 86.0, 181.0, 211.0, 0, 44, 154, 119, 23, 12, 114, 0, 55, 63, 30, 5, 1.0, 84, 9, 6, 0, 0, 92, 92, 32.09, 67.54, 78.73, 53.3984375, 59.6953125, 59.6953125, 0, 28.59765625, 57.5, 0.0, 35.6953125, 40.8984375, 19.5, 3.2, 0.6, 77.296875, 54.5, 14.8984375, 5.7998046875, 7.7998046875, 3.89990234375, 981.0, 241.0, 56.0, 24.0, 530.0, "Tous les candidats", 1907.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "12587", "Licence - Portail Archéologie, Histoire, Histoire de l'Art", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12587&g_ta_cod=12587", 74.0, 16.0, 9.0),
(6851, "Public", "0740006E", "Lycée Louis Lachenal", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Argonay", "formation sélective", "CPGE", "Lycée Louis Lachenal - CPGE - PTSI", "Classe préparatoire scientifique", "", 38, 535, 83, 535, 461, 488, 28, 2, 0, 0, 0, 45, 0, 0, 0, 0, 0, 504, 0, 461, 373, 467, 27, 1, 0, 0, 0, 36, 153, 35, 5, 35, 0, 14.0, 26.0, 27.0, 31, 4, 35, 35, 0, 0, 0, 0, 0, 1, 19, 14, 1.0, 35, 0, 0, 11, 0, 30, 30, 40.0, 74.29, 77.14, 14.298828125, 85.6875, 85.6875, 31.3984375, 11.3984375, 100.0, 0.0, 0.0, 2.89990234375, 54.296875, 40.0, 2.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 151.0, 17.0, 0.0, 0.0, 2.0, "Tous les candidats", 154.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "8855", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8855&g_ta_cod=8855", 100.0, 0.0, 0.0),
(6852, "Public", "0020032Z", "Lycée Paul Claudel", "02", "Aisne", "Hauts-de-France", "Amiens", "Laon", "formation sélective", "BTS", "Lycée Paul Claudel - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 312, 144, 291, 0, 29, 8, 77, 25, 33, 19, 152, 21, 0, 0, 5, 16, 139, 12, 0, 0, 28, 8, 62, 22, 16, 6, 33, 102, 22, 12, 15, 7, 4.0, 13.0, 17.0, 0, 7, 14, 2, 6, 6, 8, 0, 10, 1, 2, 1, 0.0, 0, 0, 4, 5, 3, 14, 14, 18.18, 59.09, 77.27, 54.5, 100.0, 100.0, 35.6953125, 50.0, 63.59375, 0.0, 71.390625, 7.099609375, 14.298828125, 7.1, 0.0, 14.298828125, 0.0, 42.8984375, 0.0, 42.8984375, 28.59765625, 11.0, 2.0, 21.0, 9.0, 25.0, "Tous les candidats sauf les Bac professionnels", 122.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 48.0, "2048", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2048&g_ta_cod=2048", 32.0, 36.0, 32.0),
(6853, "Public", "0020034B", "Lycée Pierre Méchain", "02", "Aisne", "Hauts-de-France", "Amiens", "Laon", "formation sélective", "BTS", "Lycée Pierre Méchain - BTS - Production - Conception de produits industriels", "BTS - Production", "", 28, 183, 25, 183, 0, 11, 3, 41, 6, 37, 14, 94, 0, 0, 0, 0, 0, 105, 0, 0, 0, 11, 3, 41, 6, 37, 14, 16, 62, 28, 2, 28, 0, 11.0, 26.0, 27.0, 0, 6, 25, 1, 11, 13, 3, 0, 12, 10, 3, 0, 0.0, 0, 8, 5, 11, 0, 25, 25, 39.29, 92.86, 96.43, 7.099609375, 100.0, 100.0, 44, 24.0, 89.296875, 0.0, 48.0, 40.0, 12.0, 0.0, 0.0, 4.0, 0.0, 44.0, 32.0, 52.0, 20.0, 5.0, 1.0, 26.0, 9.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 45.0, "2050", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2050&g_ta_cod=2050", 4.0, 46.0, 50.0),
(6854, "Privé enseignement supérieur", "0352373P", "UniLaSalle Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Bruz", "formation sélective", "Ecole d'Ingénieur", "UniLaSalle (Beauvais, Rouen, Rennes) - Formation d'ingénieur Bac + 5 - Autres Séries (Bac STL, STI2D, STAV, PSC0, bacs internationaux)", "Formations  des écoles d'ingénieurs", "Autres Séries (Bac STL, STI2D, STAV, PSC0, bacs internationaux)", 15, 54, 14, 51, 0, 0, 0, 46, 6, 0, 0, 5, 3, 0, 1, 0, 2, 46, 0, 0, 0, 0, 0, 42, 4, 0, 0, 4, 40, 6, 1, 6, 0, 4.0, 6.0, 6.0, 0, 0, 6, 0, 6, 0, 0, 0, 0, 0, 5, 1, 0.0, 0, 6, 0, 0, 0, 1, 1, 66.67, 100.0, 100.0, 16.69921875, 16.69921875, 16.69921875, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 83.296875, 16.7, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "29304", "Formation d'ingénieur Bac + 5 - Autres Séries (Bac STL, STI2D, STAV, PSC0, bacs internationaux)", "UniLaSalle (Beauvais, Rouen, Rennes)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30781&g_ta_cod=29304", 0.0, 100.0, 0.0),
(6855, "Privé enseignement supérieur", "0753184D", "FERRANDI Paris - L'école Française de Gastronomie", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Autre formation", "Ecole FERRANDI - Formation des écoles supérieures de cuisine Bac +3 - Arts culinaires et entrepreneuriat / Option Pâtisserie", "Formation des écoles supérieures de cuisine", "Arts culinaires et entrepreneuriat / Option Pâtisserie", 28, 196, 141, 196, 0, 121, 17, 16, 4, 5, 5, 54, 0, 0, 0, 0, 0, 141, 0, 0, 0, 89, 4, 11, 1, 0, 0, 41, 45, 28, 21, 28, 0, 19.0, 28.0, 28.0, 0, 1, 21, 18, 3, 0, 7, 0, 1, 3, 10, 6, 1.0, 17, 3, 0, 0, 0, 5, 16, 67.86, 100.0, 100.0, 75.0, 23.796875, 76.1875, 0, 4.7998046875, 75.0, 0.0, 4.7998046875, 14.298828125, 47.59375, 28.6, 4.8, 85.6875, 81.0, 14.298828125, 14.298828125, 0.0, 0.0, 29.0, 1.0, 0.0, 0.0, 12.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "26219", "Formation des écoles supérieures de cuisine Bac +3 - Arts culinaires et entrepreneuriat / Option Pâtisserie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26219&g_ta_cod=26219", 89.0, 11.0, 0.0),
(6856, "Public", "0930125F", "Lycée Paul Eluard", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "CPGE", "Lycée Paul Eluard - CPGE - MPSI", "Classe préparatoire scientifique", "", 24, 981, 257, 981, 0, 716, 284, 7, 3, 1, 0, 257, 0, 0, 0, 0, 0, 559, 0, 0, 559, 501, 188, 0, 0, 0, 0, 58, 324, 24, 1, 24, 0, 2.0, 9.0, 23.0, 0, 8, 23, 23, 0, 0, 1, 0, 2, 14, 6, 1, 0.0, 21, 0, 0, 2, 0, 14, 22, 8.33, 37.5, 95.83, 4.19921875, 60.8984375, 95.6875, 8.69921875, 34.796875, 95.796875, 0.0, 8.69921875, 60.8984375, 26.09765625, 4.3, 0.0, 100.0, 91.296875, 0.0, 0.0, 0.0, 0.0, 302.0, 95.0, 0.0, 0.0, 22.0, "Tous les candidats", 483.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "11189", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11189&g_ta_cod=11189", 100.0, 0.0, 0.0),
(6857, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Portail STAPS - L1 adaptée (en 2 ans)", "Licence - Sciences - technologies - santé", "Portail STAPS - L1 adaptée (en 2 ans)", 105, 1077, 292, 1077, 0, 549, 150, 212, 63, 75, 29, 241, 0, 0, 0, 0, 0, 1077, 0, 0, 0, 549, 150, 212, 63, 75, 29, 241, 442, 104, 21, 104, 0, 16.0, 76.0, 90.0, 0, 27, 70, 42, 13, 15, 34, 2, 32, 28, 8, 0, 0.0, 16, 9, 11, 0, 0, 68, 68, 15.38, 73.08, 86.54, 20.19921875, 97.09375, 97.09375, 0, 38.59375, 67.296875, 2.89990234375, 45.6953125, 40.0, 11.3984375, 0.0, 0.0, 60.0, 22.8984375, 18.59765625, 12.8984375, 21.3984375, 15.69921875, 230.0, 72.0, 35.0, 13.0, 138.0, "Tous les candidats", 488.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "24334", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Portail STAPS - L1 adaptée (en 2 ans)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24334&g_ta_cod=24334", 54.0, 22.0, 24.0),
(6858, "Public", "0590215N", "Lycée Sévigné", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "Autre formation", "Lycée Sévigné - DN MADE - Mode - - Spécialité : Création - Développement de collection de mode", "DN MADE", "- Spécialité : Création - Développement de collection de mode", 15, 764, 622, 764, 0, 290, 48, 205, 42, 69, 18, 200, 0, 0, 0, 0, 0, 464, 0, 0, 0, 166, 23, 182, 36, 23, 4, 93, 68, 14, 11, 14, 0, 1.0, 12.0, 13.0, 0, 1, 14, 2, 12, 0, 0, 0, 0, 3, 9, 2, 0.0, 2, 12, 0, 0, 0, 0, 0, 7.14, 85.71, 92.86, 78.59375, 0.0, 0.0, 0, 7.099609375, 100.0, 0.0, 0.0, 21.3984375, 64.296875, 14.3, 0.0, 14.298828125, 14.298828125, 85.6875, 85.6875, 0.0, 0.0, 10.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 100.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "24729", "DN MADE - Mode - - Spécialité : Création - Développement de collection de mode", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24729&g_ta_cod=24729", 14.0, 86.0, 0.0),
(6859, "Privé sous contrat d'association", "0480022N", "Lycée ST PIERRE-ST PAUL", "48", "Lozère", "Occitanie", "Montpellier", "Langogne", "formation sélective", "Autre formation", "Lycée ST PIERRE-ST PAUL - DN MADE - Graphisme - - Spécialité : Produits imprimés, sérigraphie, gravure", "DN MADE", "- Spécialité : Produits imprimés, sérigraphie, gravure", 16, 199, 136, 199, 0, 58, 9, 48, 6, 41, 13, 52, 0, 0, 0, 0, 0, 178, 0, 0, 0, 56, 8, 44, 5, 33, 11, 45, 61, 14, 11, 14, 0, 6.0, 10.0, 13.0, 0, 3, 10, 6, 2, 2, 4, 0, 6, 1, 3, 0, 0.0, 2, 1, 1, 0, 0, 3, 3, 42.86, 71.43, 92.86, 78.59375, 30.0, 30.0, 0, 30.0, 71.390625, 0.0, 60.0, 10.0, 30.0, 0.0, 0.0, 60.0, 20.0, 20.0, 10.0, 20.0, 10.0, 22.0, 3.0, 9.0, 1.0, 20.0, "Tous les candidats", 83.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "21712", "DN MADE - Graphisme - - Spécialité : Produits imprimés, sérigraphie, gravure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21712&g_ta_cod=21712", 57.0, 29.0, 14.0),
(6860, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales", "Licence - Sciences - technologies - santé", "", 80, 327, 125, 228, 0, 154, 23, 8, 1, 8, 2, 58, 99, 24, 4, 1, 70, 227, 84, 0, 0, 154, 23, 8, 1, 8, 2, 57, 314, 59, 22, 30, 28, 30.0, 30.0, 55.0, 0, 3, 24, 20, 3, 1, 35, 0, 15, 6, 3, 0, 0.0, 7, 2, 0, 0, 0, 18, 18, 50.85, 50.85, 93.22, 37.296875, 75.0, 75.0, 0, 12.5, 40.6953125, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 83.296875, 29.19921875, 12.5, 8.298828125, 4.19921875, 0.0, 181.0, 28.0, 9.0, 3.0, 112.0, "Tous les candidats", 227.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7746", "Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7746&g_ta_cod=7746", 81.0, 14.0, 3.0),
(6861, "Public", "0802117S", "INSTITUT DE FORMATION DE TECHNICIENS DE LABORATOIRE MEDICAL (IFTLM) UFR SANTE", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Autre formation", "INSTITUT DE FORMATION DE TECHNICIENS DE LABORATOIRE MEDICAL (IFTLM) UFR SANTE - D.E Technicien de Laboratoire Médical", "D.E secteur sanitaire", "", 25, 578, 455, 578, 0, 170, 52, 117, 35, 7, 0, 284, 0, 0, 0, 0, 0, 545, 0, 0, 0, 170, 52, 117, 35, 7, 0, 251, 87, 25, 21, 25, 0, 6.0, 17.0, 20.0, 0, 5, 21, 16, 5, 0, 4, 0, 0, 8, 10, 3, 0.0, 16, 5, 0, 0, 0, 13, 13, 24.0, 68.0, 80.0, 84.0, 61.8984375, 61.8984375, 0, 23.796875, 84.0, 0.0, 0.0, 38.09375, 47.59375, 14.3, 0.0, 76.1875, 76.1875, 23.796875, 23.796875, 0.0, 0.0, 46.0, 10.0, 1.0, 0.0, 29.0, "Tous les candidats", 118.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "26055", "D.E Technicien de Laboratoire Médical", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26055&g_ta_cod=26055", 80.0, 20.0, 0.0),
(6862, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud et Himalaya -  Singhalais", "Licence - Arts-lettres-langues", "Asie du Sud et Himalaya -  Singhalais", 10, 10, 7, 5, 0, 1, 0, 0, 0, 0, 0, 4, 5, 2, 2, 0, 1, 5, 4, 0, 0, 1, 0, 0, 0, 0, 0, 4, 9, 2, 1, 1, 1, 1.0, 1.0, 1.0, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 1, 50.0, 50.0, 50.0, 50.0, 0.0, 100.0, 0, 0.0, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 2.0, 1.0, 0.0, 0.0, 5.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9402", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud et Himalaya -  Singhalais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9402&g_ta_cod=9402", 0.0, 100.0, 0.0),
(6863, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Musicologie - Parcours Musicien Interprète", "Licence - Arts-lettres-langues", "Musicien Interprète", 45, 79, 30, 65, 0, 25, 6, 14, 2, 3, 1, 23, 14, 3, 0, 1, 10, 6, 3, 0, 0, 4, 1, 0, 0, 0, 0, 2, 9, 2, 1, 0, 2, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 50.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4.0, 1.0, 0.0, 0.0, 5.0, "Tous les candidats", 6.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "9691", "Licence - Musicologie - Parcours Musicien Interprète", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9691&g_ta_cod=9691", 100.0, 0.0, 0.0),
(6864, "Public", "0510062R", "Lycée Francois 1er", "51", "Marne", "Grand Est", "Reims", "Vitry-le-François", "formation sélective", "BTS", "Lycée Francois 1er - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 313, 175, 313, 0, 12, 4, 50, 13, 56, 28, 195, 0, 0, 0, 0, 0, 144, 0, 0, 0, 12, 4, 50, 13, 56, 28, 26, 91, 24, 16, 24, 0, 5.0, 19.0, 23.0, 0, 13, 20, 1, 7, 12, 4, 0, 10, 9, 1, 0, 0.0, 1, 2, 7, 14, 8, 20, 20, 20.83, 79.17, 95.83, 66.6875, 100.0, 100.0, 70, 65.0, 83.296875, 0.0, 50.0, 45.0, 5.0, 0.0, 0.0, 5.0, 5.0, 35.0, 10.0, 60.0, 35.0, 8.0, 3.0, 35.0, 18.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 38.0, "6084", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6084&g_ta_cod=6084", 13.0, 33.0, 54.0),
(6865, "Public", "0920802X", "Lycée Jean-Pierre Vernant", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sèvres", "formation sélective", "CPGE", "Lycée Jean-Pierre Vernant - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 268, 162, 228, 0, 170, 10, 0, 0, 0, 0, 58, 40, 25, 2, 2, 11, 180, 22, 0, 180, 168, 10, 0, 0, 0, 0, 12, 190, 24, 13, 21, 3, 11.0, 21.0, 24.0, 0, 1, 24, 24, 0, 0, 0, 0, 2, 14, 5, 3, 0.0, 22, 0, 0, 7, 5, 21, 24, 45.83, 87.5, 100.0, 54.1953125, 87.5, 100.0, 29.19921875, 4.19921875, 100.0, 0.0, 8.298828125, 58.296875, 20.796875, 12.5, 0.0, 100.0, 91.6875, 0.0, 0.0, 0.0, 0.0, 175.0, 10.0, 0.0, 0.0, 15.0, "Tous les candidats", 180.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "11033", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11033&g_ta_cod=11033", 100.0, 0.0, 0.0),
(6866, "Privé hors contrat", "0352967K", "Ecole supérieure de cuisine Ferrandi - Site de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Bruz", "formation sélective", "Autre formation", "Ecole FERRANDI - Formation des écoles supérieures de cuisine Bac +3 - Arts culinaires et entrepreneuriat / Option Cuisine", "Formation des écoles supérieures de cuisine", "Arts culinaires et entrepreneuriat / Option Cuisine", 32, 161, 59, 156, 0, 91, 6, 15, 0, 5, 1, 45, 5, 1, 1, 0, 3, 127, 4, 0, 0, 77, 1, 13, 0, 0, 0, 37, 95, 17, 9, 13, 4, 3.0, 13.0, 16.0, 0, 2, 10, 8, 2, 0, 7, 0, 3, 2, 4, 1, 0.0, 5, 2, 0, 0, 0, 6, 6, 17.65, 76.47, 94.12, 52.8984375, 60.0, 60.0, 0, 20.0, 58.796875, 0.0, 30.0, 20.0, 40.0, 10.0, 0.0, 80.0, 50.0, 20.0, 20.0, 0.0, 0.0, 58.0, 1.0, 0.0, 0.0, 29.0, "Tous les candidats", 179.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 81.0, "32878", "Formation des écoles supérieures de cuisine Bac +3 - Arts culinaires et entrepreneuriat / Option Cuisine", "Ecole FERRANDI", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26217&g_ta_cod=32878", 82.0, 18.0, 0.0),
(6867, "Privé sous contrat d'association", "0941934S", "EFREI Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villejuif", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 32, 1190, 254, 1147, 0, 1141, 175, 0, 0, 0, 0, 6, 43, 42, 0, 0, 1, 976, 13, 0, 0, 976, 128, 0, 0, 0, 0, 0, 934, 7, 1, 5, 2, 3.0, 4.0, 5.0, 0, 1, 7, 7, 0, 0, 0, 0, 1, 5, 1, 0, 0.0, 6, 0, 0, 0, 0, 1, 6, 42.86, 57.14, 71.43, 14.298828125, 14.298828125, 85.6875, 0, 14.298828125, 100.0, 0.0, 14.298828125, 71.390625, 14.298828125, 0.0, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 934.0, 128.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "25848", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=25848", 100.0, 0.0, 0.0),
(6868, "Privé enseignement supérieur", "0340137P", "Montpellier Business School", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Ecole de Commerce", "Montpellier Business School - Formation des écoles de commerce et de management Bac + 3 - Bachelor of International Business Administration (BIBA)", "Formation des écoles de commerce et de management", "Bachelor of International Business Administration (BIBA)", 220, 870, 329, 813, 0, 645, 48, 70, 10, 8, 1, 90, 57, 13, 7, 0, 37, 641, 26, 0, 0, 523, 31, 46, 4, 5, 1, 67, 667, 238, 84, 214, 24, 212.0, 214.0, 226.0, 0, 16, 188, 167, 19, 2, 50, 2, 54, 86, 41, 5, 0.0, 119, 11, 2, 0, 0, 112, 112, 89.08, 89.92, 94.96, 35.296875, 59.59375, 59.59375, 0, 8.5, 79.0, 1.099853515625, 28.69921875, 45.6953125, 21.796875, 2.7, 0.0, 88.796875, 63.296875, 10.099609375, 5.8994140625, 1.099853515625, 1.099853515625, 528.0, 32.0, 5.0, 1.0, 86.0, "Tous les candidats", 641.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "26096", "Formation des écoles de commerce et de management Bac + 3 - Bachelor of International Business Administration (BIBA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26096&g_ta_cod=26096", 88.0, 10.0, 2.0),
(6869, "Privé sous contrat d'association", "0592940A", "Lycée Saint-Jean", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "CPGE", "Lycée Saint-Jean - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 48, 1001, 410, 999, 866, 913, 32, 0, 0, 0, 0, 86, 2, 2, 0, 0, 0, 578, 0, 527, 358, 575, 13, 0, 0, 0, 0, 3, 256, 43, 15, 43, 0, 1.0, 29.0, 43.0, 39, 1, 41, 41, 0, 0, 2, 0, 0, 0, 23, 15, 3.0, 41, 0, 0, 0, 0, 12, 12, 2.33, 67.44, 100.0, 34.8984375, 29.296875, 29.296875, 0, 2.39990234375, 95.296875, 0.0, 0.0, 0.0, 56.09375, 36.6, 7.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 254.0, 5.0, 0.0, 0.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "31572", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31309&g_ta_cod=31572", 100.0, 0.0, 0.0),
(6870, "Public", "0762049P", "Université de Rouen Normandie - Campus Pasteur Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Pasteur Rouen - Licence - Portail Majeure Economie - Mineure Gestion", "Licence - Droit-économie-gestion", "Majeure Economie - Mineure Gestion", 300, 1693, 739, 1573, 0, 933, 216, 182, 94, 42, 21, 416, 120, 15, 14, 13, 78, 1537, 89, 0, 0, 933, 216, 182, 94, 42, 21, 380, 1326, 294, 93, 231, 63, 29.0, 187.0, 242.0, 0, 60, 178, 139, 24, 15, 116, 9, 93, 49, 24, 3, 0.0, 62, 7, 7, 0, 0, 158, 158, 9.86, 63.61, 82.31, 31.59765625, 88.796875, 88.796875, 0, 33.6953125, 60.5, 5.099609375, 52.1953125, 27.5, 13.5, 1.7, 0.0, 78.09375, 34.796875, 13.5, 3.89990234375, 8.3984375, 3.89990234375, 816.0, 198.0, 37.0, 21.0, 349.0, "Tous les candidats", 1537.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "9699", "Licence - Portail Majeure Economie - Mineure Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9699&g_ta_cod=9699", 75.0, 17.0, 8.0),
(6871, "Public", "0782562L", "Lycée Hoche", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Hoche - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 2156, 1035, 2156, 1575, 1979, 137, 1, 0, 1, 0, 175, 0, 0, 0, 0, 0, 994, 0, 308, 920, 983, 79, 0, 0, 0, 0, 11, 262, 23, 9, 23, 0, 0.0, 4.0, 22.0, 5, 2, 22, 22, 0, 0, 1, 0, 0, 0, 7, 15, 0.0, 22, 0, 0, 1, 1, 8, 12, 0.0, 17.39, 95.65, 39.09375, 36.3984375, 54.5, 4.5, 9.099609375, 95.6875, 0.0, 0.0, 0.0, 31.796875, 68.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 258.0, 17.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "31574", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31397&g_ta_cod=31574", 100.0, 0.0, 0.0),
(6872, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Licence", "Université de Strasbourg - Licence - Double diplôme - Licence Droit - Double-diplôme franco-espagnol en droit Université de Strasbourg /Université Autonoma de Madrid", "Licence - Droit-économie-gestion", "Double-diplôme franco-espagnol en droit Université de Strasbourg /Université Autonoma de Madrid", 10, 294, 244, 294, 0, 242, 35, 1, 1, 2, 1, 49, 0, 0, 0, 0, 0, 162, 0, 0, 0, 141, 15, 0, 0, 0, 0, 21, 34, 10, 9, 10, 0, 0.0, 8.0, 9.0, 0, 4, 10, 10, 0, 0, 0, 0, 0, 0, 5, 4, 1.0, 10, 0, 0, 0, 0, 1, 1, 0.0, 80.0, 90.0, 90.0, 10.0, 10.0, 0, 40.0, 100.0, 0.0, 0.0, 0.0, 50.0, 40.0, 10.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 33.0, 8.0, 0.0, 0.0, 1.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "24750", "Licence - Double diplôme - Licence Droit - Double-diplôme franco-espagnol en droit Université de Strasbourg /Université Autonoma de Madrid", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24750&g_ta_cod=24750", 100.0, 0.0, 0.0),
(6873, "Privé sous contrat d'association", "0501299R", "Lycée Thomas-Hélye", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "BTS", "Lycée Thomas-Hélye - BTS - Services - Gestion de la PME", "BTS - Services", "", 34, 243, 148, 224, 0, 19, 4, 70, 15, 33, 15, 102, 19, 3, 6, 0, 10, 131, 13, 0, 0, 18, 4, 65, 13, 28, 12, 20, 117, 21, 14, 16, 5, 6.0, 16.0, 19.0, 0, 4, 14, 3, 8, 3, 7, 0, 4, 6, 4, 0, 0.0, 0, 8, 2, 6, 3, 14, 14, 28.57, 76.19, 90.48, 66.6875, 100.0, 100.0, 42.8984375, 28.59765625, 66.6875, 0.0, 28.59765625, 42.8984375, 28.59765625, 0.0, 0.0, 21.3984375, 0.0, 57.09375, 57.09375, 21.3984375, 14.298828125, 14.0, 4.0, 27.0, 11.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 58.0, "6029", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6029&g_ta_cod=6029", 33.0, 43.0, 24.0),
(6874, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "PASS", "Université de Montpellier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 113, 1454, 780, 1446, 0, 1006, 206, 26, 7, 8, 5, 406, 8, 5, 0, 0, 3, 1446, 6, 0, 0, 1006, 206, 26, 7, 8, 5, 406, 841, 111, 45, 106, 5, 2.0, 46.0, 91.0, 0, 14, 58, 55, 2, 1, 53, 0, 22, 29, 6, 1, 0.0, 34, 2, 0, 0, 0, 23, 23, 1.8, 41.44, 81.98, 40.5, 39.6953125, 39.6953125, 0, 24.09765625, 52.296875, 0.0, 37.8984375, 50.0, 10.298828125, 1.7, 0.0, 94.796875, 58.59375, 3.39990234375, 3.39990234375, 1.699951171875, 0.0, 546.0, 122.0, 4.0, 3.0, 278.0, "Tous les candidats", 9185.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 88.0, "31862", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27370&g_ta_cod=31862", 90.0, 5.0, 3.0),
(6875, "Privé sous contrat d'association", "9741256X", "Lycée Levavasseur", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "CPGE", "Lycée Levavasseur - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 25, 134, 95, 125, 0, 110, 14, 1, 1, 1, 0, 13, 9, 0, 0, 0, 9, 110, 6, 0, 110, 100, 12, 0, 0, 0, 0, 10, 99, 14, 9, 11, 3, 7.0, 11.0, 14.0, 0, 2, 11, 11, 0, 0, 3, 0, 0, 3, 4, 3, 1.0, 11, 0, 0, 1, 0, 11, 11, 50.0, 78.57, 100.0, 64.296875, 100.0, 100.0, 9.099609375, 18.19921875, 78.59375, 0.0, 0.0, 27.296875, 36.3984375, 27.3, 9.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 84.0, 12.0, 0.0, 0.0, 15.0, "Tous les candidats", 110.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "19595", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19595&g_ta_cod=19595", 100.0, 0.0, 0.0),
(6876, "Public", "0630021F", "Lycée La Fayette", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée La Fayette - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 24, 276, 14, 276, 0, 15, 3, 78, 17, 128, 45, 55, 0, 0, 0, 0, 0, 219, 0, 0, 0, 15, 3, 69, 15, 114, 37, 21, 120, 22, 1, 22, 0, 3.0, 19.0, 20.0, 0, 8, 18, 1, 5, 12, 4, 0, 8, 5, 4, 1, 0.0, 0, 0, 10, 3, 0, 15, 15, 13.64, 86.36, 90.91, 4.5, 83.296875, 83.296875, 16.69921875, 44.3984375, 81.796875, 0.0, 44.3984375, 27.796875, 22.19921875, 5.6, 0.0, 5.599609375, 0.0, 27.796875, 0.0, 66.6875, 55.59375, 7.0, 3.0, 59.0, 19.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 94, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 66.0, "7565", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7565&g_ta_cod=7565", 9.0, 32.0, 59.0),
(6877, "Public", "0061005K", "Centre de Ressources, d'Expertise et de Performance Sportive PACA - site d'Antibes (CREPS)", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive PACA - site de Boulouris (CREPS) - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 13, 91, 24, 62, 0, 17, 3, 17, 7, 5, 1, 23, 29, 6, 7, 1, 15, 19, 2, 0, 0, 5, 1, 1, 0, 0, 0, 13, 18, 12, 6, 11, 1, 7.0, 11.0, 11.0, 0, 0, 2, 2, 0, 0, 10, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 58.33, 91.67, 91.67, 50.0, 50.0, 50.0, 0, 0.0, 16.69921875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, 1.0, 0.0, 0.0, 14.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "26737", "BPJEPS - Activités aquatiques et de la natation", "Centre de Ressources, d'Expertise et de Performance Sportive PACA - site de Boulouris (CREPS)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26736&g_ta_cod=26737", 83.0, 17.0, 0.0),
(6878, "Public", "0750654D", "Lycée Henri IV", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "CPGE", "Lycée Henri IV - CPGE - Ecole nationale des Chartes", "Classe préparatoire littéraire", "", 48, 349, 224, 349, 227, 293, 26, 0, 0, 0, 0, 56, 0, 0, 0, 0, 0, 159, 0, 93, 157, 152, 9, 0, 0, 0, 0, 7, 102, 48, 40, 48, 0, 33.0, 42.0, 47.0, 8, 3, 48, 48, 0, 0, 0, 1, 0, 2, 8, 23, 14.0, 47, 0, 0, 4, 4, 9, 19, 68.75, 87.5, 97.92, 83.296875, 18.796875, 39.59375, 8.298828125, 6.2998046875, 100.0, 2.099609375, 0.0, 4.19921875, 16.69921875, 47.9, 29.2, 100.0, 97.890625, 0.0, 0.0, 0.0, 0.0, 101.0, 9.0, 0.0, 0.0, 1.0, "Tous les candidats", 117.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "8972", "CPGE - Ecole nationale des Chartes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8972&g_ta_cod=8972", 100.0, 0.0, 0.0),
(6879, "Public", "0650027B", "Lycée Jean Dupuy", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Jean Dupuy - BTS - Production - Traitement des matériaux", "BTS - Production", "", 24, 122, 23, 106, 0, 7, 3, 33, 4, 6, 1, 60, 16, 3, 2, 1, 10, 55, 11, 0, 0, 6, 2, 24, 2, 4, 1, 21, 61, 11, 1, 8, 3, 3.0, 8.0, 11.0, 0, 0, 5, 1, 3, 1, 6, 0, 5, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 4, 4, 27.27, 72.73, 100.0, 9.099609375, 80.0, 80.0, 0, 0.0, 45.5, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 60.0, 0.0, 20.0, 0.0, 7.0, 2.0, 4.0, 1.0, 25.0, "Tous les candidats sauf les Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 51.0, "7817", "BTS - Production - Traitement des matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7817&g_ta_cod=7817", 45.0, 36.0, 18.0),
(6880, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Portail Chimie", "Licence - Sciences - technologies - santé", "", 63, 383, 236, 344, 0, 220, 78, 34, 19, 2, 2, 88, 39, 7, 3, 1, 28, 344, 37, 0, 0, 220, 78, 34, 19, 2, 2, 88, 324, 36, 18, 28, 8, 3.0, 26.0, 30.0, 0, 13, 22, 17, 4, 1, 14, 0, 8, 11, 2, 0, 1.0, 11, 2, 1, 0, 0, 19, 19, 8.33, 72.22, 83.33, 50.0, 86.390625, 86.390625, 0, 59.09375, 61.09375, 0.0, 36.3984375, 50.0, 9.099609375, 0.0, 4.5, 77.296875, 50.0, 18.19921875, 9.099609375, 4.5, 4.5, 198.0, 73.0, 2.0, 2.0, 106.0, "Tous les candidats", 511.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "26385", "Licence - Portail Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27557&g_ta_cod=26385", 78.0, 14.0, 6.0),
(6881, "Public", "0781898P", "Lycée Charles De Gaulle", "78", "Yvelines", "Ile-de-France", "Versailles", "Poissy", "formation sélective", "BTS", "Lycée Charles De Gaulle - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 24, 166, 17, 112, 0, 3, 1, 35, 6, 43, 15, 31, 54, 2, 11, 20, 21, 86, 20, 0, 0, 2, 1, 32, 4, 41, 14, 11, 100, 17, 0, 8, 9, 0.0, 8.0, 16.0, 0, 2, 14, 2, 4, 8, 3, 0, 10, 3, 1, 0, 0.0, 1, 1, 2, 1, 0, 11, 11, 0.0, 47.06, 94.12, 0.0, 78.59375, 78.59375, 7.099609375, 14.298828125, 82.390625, 0.0, 71.390625, 21.3984375, 7.099609375, 0.0, 0.0, 14.298828125, 7.099609375, 28.59765625, 7.099609375, 57.09375, 14.298828125, 4.0, 1.0, 46.0, 13.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 76.0, "9982", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9982&g_ta_cod=9982", 18.0, 29.0, 53.0),
(6882, "Public", "0860718N", "Lycée Enseignement Général Technologique Agricole Xavier Bernard", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Rouillé", "formation sélective", "BTS", "Lycée Enseignement Général Technologique Agricole Xavier Bernard - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 16, 321, 97, 321, 0, 28, 8, 46, 10, 52, 15, 195, 0, 0, 0, 0, 0, 151, 0, 0, 0, 27, 7, 46, 10, 52, 15, 26, 79, 17, 3, 17, 0, 0.0, 13.0, 16.0, 0, 2, 10, 1, 2, 7, 7, 0, 3, 6, 1, 0, 0.0, 1, 2, 4, 2, 0, 8, 8, 0.0, 76.47, 94.12, 17.59765625, 80.0, 80.0, 20, 20.0, 58.796875, 0.0, 30.0, 60.0, 10.0, 0.0, 0.0, 10.0, 10.0, 20.0, 20.0, 70.0, 40.0, 14.0, 3.0, 25.0, 7.0, 13.0, "Tous les candidats sauf les Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 45.0, "10608", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10608&g_ta_cod=10608", 35.0, 18.0, 41.0),
(6883, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail LLCER ANGLAIS / Lettres", "Licence - Arts-lettres-langues", "LLCER ANGLAIS / Lettres : Langues, littératures & civilisations étrangères et régionales", 70, 485, 361, 485, 0, 378, 105, 19, 3, 8, 6, 80, 0, 0, 0, 0, 0, 485, 0, 0, 0, 378, 105, 19, 3, 8, 6, 80, 485, 71, 53, 71, 0, 71.0, 71.0, 71.0, 0, 18, 56, 51, 3, 2, 15, 1, 21, 20, 11, 3, 0.0, 32, 1, 1, 0, 0, 43, 43, 100.0, 100.0, 100.0, 74.59375, 76.796875, 76.796875, 0, 32.09375, 78.890625, 1.7998046875, 37.5, 35.6953125, 19.59765625, 5.4, 0.0, 91.09375, 57.09375, 5.3994140625, 1.7998046875, 3.599609375, 1.7998046875, 378.0, 105.0, 8.0, 6.0, 80.0, "Tous les candidats", 550.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23869", "Licence - Portail LLCER ANGLAIS / Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23867&g_ta_cod=23869", 83.0, 10.0, 7.0),
(6884, "Privé enseignement supérieur", "0592607N", "Institut Supérieur d'Expertise et d'Audit - Institut Catholique de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Institut Supérieur d'Expertise et d'Audit - Institut Catholique de Lille - Licence - Portail Economie et gestion - parcours Comptabilité, Finance et Audit", "Licence - Droit-économie-gestion", "parcours Comptabilité, Finance et Audit", 70, 251, 98, 202, 0, 151, 29, 11, 5, 0, 0, 40, 49, 8, 4, 0, 37, 124, 12, 0, 0, 107, 18, 4, 0, 0, 0, 13, 134, 47, 20, 42, 5, 26.0, 42.0, 42.0, 0, 6, 37, 35, 2, 0, 10, 0, 8, 10, 15, 4, 0.0, 27, 2, 0, 0, 0, 27, 27, 55.32, 89.36, 89.36, 42.59375, 73.0, 73.0, 0, 16.19921875, 78.6875, 0.0, 21.59765625, 27.0, 40.5, 10.8, 0.0, 94.59375, 73.0, 5.3994140625, 5.3994140625, 0.0, 0.0, 106.0, 18.0, 0.0, 0.0, 23.0, "Tous les candidats", 131.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 61.0, "12785", "Licence - Portail Economie et gestion - parcours Comptabilité, Finance et Audit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28829&g_ta_cod=12785", 96.0, 4.0, 0.0),
(6885, "Public", "0640010N", "Lycée René Cassin Bayonne-Biarritz", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "BTS", "Lycée René Cassin Bayonne-Biarritz - BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "BTS - Services", "", 12, 817, 122, 817, 0, 290, 39, 123, 26, 87, 27, 317, 0, 0, 0, 0, 0, 494, 0, 0, 0, 215, 26, 63, 12, 37, 11, 179, 34, 12, 2, 12, 0, 1.0, 11.0, 12.0, 0, 1, 6, 4, 0, 2, 6, 0, 1, 2, 3, 0, 0.0, 3, 0, 2, 0, 0, 6, 6, 8.33, 91.67, 100.0, 16.69921875, 100.0, 100.0, 0, 16.69921875, 50.0, 0.0, 16.69921875, 33.296875, 50.0, 0.0, 0.0, 66.6875, 50.0, 0.0, 0.0, 33.296875, 33.296875, 13.0, 4.0, 6.0, 1.0, 13.0, "Tous les candidats sauf les Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 6.0, "7692", "BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7692&g_ta_cod=7692", 75.0, 8.0, 17.0),
(6886, "Public", "0010014K", "Lycée Edgar Quinet", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "BTS", "Lycée Edgar Quinet - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 587, 389, 582, 0, 44, 10, 199, 65, 177, 74, 162, 5, 0, 0, 4, 1, 331, 0, 0, 0, 15, 3, 175, 53, 108, 39, 33, 155, 33, 20, 32, 0, 3.0, 25.0, 31.0, 0, 12, 28, 2, 14, 12, 5, 0, 15, 9, 4, 0, 0.0, 1, 6, 6, 3, 2, 18, 18, 9.09, 75.76, 93.94, 60.59375, 64.296875, 64.296875, 10.69921875, 42.8984375, 84.796875, 0.0, 53.59375, 32.09375, 14.298828125, 0.0, 0.0, 7.099609375, 3.599609375, 50.0, 21.3984375, 42.8984375, 21.3984375, 9.0, 1.0, 61.0, 22.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 113, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 35.0, "2005", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2005&g_ta_cod=2005", 6.0, 55.0, 39.0),
(6887, "Public", "0860035W", "Lycée Camille Guérin", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "CPGE", "Lycée Camille Guérin - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 430, 301, 429, 274, 371, 62, 3, 1, 0, 0, 55, 1, 0, 0, 0, 1, 373, 0, 250, 362, 355, 55, 1, 0, 0, 0, 17, 250, 41, 29, 41, 0, 11.0, 38.0, 41.0, 18, 7, 39, 39, 0, 0, 2, 0, 0, 8, 20, 11, 0.0, 39, 0, 0, 4, 4, 32, 32, 26.83, 92.68, 100.0, 70.6875, 82.09375, 82.09375, 10.298828125, 17.8984375, 95.09375, 0.0, 0.0, 20.5, 51.296875, 28.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 236.0, 36.0, 0.0, 0.0, 14.0, "Tous les candidats", 366.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "10588", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10588&g_ta_cod=10588", 100.0, 0.0, 0.0),
(6888, "Public", "9711052S", "I.U.T de la Guadeloupe - Campus de St-Claude", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Saint-Claude", "formation sélective", "BUT", "I.U.T de la Guadeloupe - Campus de St-Claude - BUT - Carrières sociales Parcours animation sociale et socioculturelle", "BUT - Service", "", 26, 252, 200, 224, 0, 70, 40, 87, 43, 12, 7, 55, 28, 7, 1, 2, 18, 129, 10, 0, 0, 48, 27, 59, 29, 0, 0, 22, 109, 24, 17, 17, 4, 2.0, 17.0, 20.0, 0, 11, 20, 9, 11, 0, 4, 0, 12, 6, 2, 0, 0.0, 5, 3, 0, 0, 0, 18, 18, 8.33, 70.83, 83.33, 70.796875, 90.0, 90.0, 0, 55.0, 83.296875, 0.0, 60.0, 30.0, 10.0, 0.0, 0.0, 45.0, 25.0, 55.0, 15.0, 0.0, 0.0, 35.0, 19.0, 0.0, 0.0, 24.0, "Tous les candidats sauf les Bac technologiques", 65.0, "Bacheliers technologiques toutes séries", 65, "", 0, "Liste d'appel propre à cette formation", 58.0, "20276", "BUT - Carrières sociales Parcours animation sociale et socioculturelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20276&g_ta_cod=20276", 54.0, 46.0, 0.0),
(6889, "Public", "0380034F", "Lycée Louise Michel", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée Louise Michel - BTS - Services - Economie sociale familiale", "BTS - Services", "", 26, 872, 775, 864, 0, 106, 25, 255, 90, 257, 120, 246, 8, 0, 2, 0, 6, 509, 0, 0, 0, 95, 20, 167, 56, 145, 58, 102, 157, 27, 26, 27, 0, 0.0, 14.0, 22.0, 0, 12, 22, 3, 12, 7, 5, 1, 12, 7, 2, 0, 0.0, 1, 4, 4, 3, 3, 19, 19, 0.0, 51.85, 81.48, 96.296875, 86.390625, 86.390625, 13.599609375, 54.5, 81.5, 4.5, 54.5, 31.796875, 9.099609375, 0.0, 0.0, 13.599609375, 4.5, 54.5, 18.19921875, 31.796875, 18.19921875, 15.0, 7.0, 38.0, 11.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 173, "Liste d'appel propre à cette formation", 29.0, "4940", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4940&g_ta_cod=4940", 15.0, 59.0, 26.0),
(6890, "Public", "9840349G", "Université de la Polynésie française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation non sélective", "Licence", "Université de la Polynésie française - Licence - Economie et gestion - Parcours Administration des entreprises", "Licence - Droit-économie-gestion", "Administration des entreprises", 320, 884, 569, 708, 0, 252, 95, 199, 108, 82, 64, 175, 176, 13, 25, 26, 112, 708, 158, 0, 0, 252, 95, 199, 108, 82, 64, 175, 802, 308, 196, 207, 101, 81.0, 201.0, 263.0, 0, 105, 170, 54, 67, 49, 138, 1, 106, 55, 5, 3, 0.0, 16, 17, 30, 0, 0, 168, 168, 26.3, 65.26, 85.39, 63.59375, 98.796875, 98.796875, 0, 61.796875, 55.1953125, 0.5999755859375, 62.3984375, 32.3984375, 2.89990234375, 1.8, 0.0, 31.796875, 9.3984375, 39.3984375, 10.0, 28.796875, 17.59765625, 262.0, 102.0, 82.0, 65.0, 253.0, "Tous les candidats", 708.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12011", "Licence - Economie et gestion - Parcours Administration des entreprises", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12011&g_ta_cod=12011", 31.0, 39.0, 30.0),
(6891, "Public", "0830059N", "Lycée professionnel Parc Saint Jean", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée professionnel Parc Saint Jean - BTS - Services - Economie sociale familiale", "BTS - Services", "", 15, 579, 527, 579, 0, 51, 18, 134, 58, 236, 109, 158, 0, 0, 0, 0, 0, 579, 0, 0, 0, 51, 18, 134, 58, 236, 109, 158, 90, 13, 13, 13, 0, 3.0, 10.0, 13.0, 0, 1, 9, 3, 1, 5, 4, 0, 1, 4, 2, 2, 0.0, 2, 1, 5, 0, 0, 5, 5, 23.08, 76.92, 100.0, 100.0, 55.59375, 55.59375, 0, 11.099609375, 69.1875, 0.0, 11.099609375, 44.3984375, 22.19921875, 22.2, 0.0, 33.296875, 22.19921875, 11.099609375, 11.099609375, 55.59375, 55.59375, 12.0, 5.0, 43.0, 17.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 20.0, "10348", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10348&g_ta_cod=10348", 23.0, 31.0, 46.0),
(6892, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Université Angers - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 360, 3107, 2354, 3107, 0, 2416, 400, 221, 45, 42, 14, 428, 0, 0, 0, 0, 0, 3097, 0, 0, 0, 2416, 400, 221, 45, 42, 14, 418, 1077, 363, 269, 363, 0, 149.0, 348.0, 360.0, 0, 63, 341, 333, 8, 0, 22, 0, 59, 145, 115, 21, 1.0, 277, 5, 0, 0, 0, 333, 333, 41.05, 95.87, 99.17, 74.09375, 97.6875, 97.6875, 0, 18.5, 93.890625, 0.0, 17.296875, 42.5, 33.6953125, 6.2, 0.3, 97.6875, 81.1875, 2.2998046875, 1.5, 0.0, 0.0, 909.0, 154.0, 0.0, 0.0, 142.0, "Tous les candidats", 1267.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "27724", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27725&g_ta_cod=27724", 98.0, 2.0, 0.0),
(6893, "Public", "0340011C", "Lycée polyvalent Jean Moulin", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation sélective", "BTS", "Lycée polyvalent Jean Moulin - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 45, 705, 636, 683, 0, 30, 11, 217, 91, 253, 122, 183, 22, 0, 7, 5, 10, 326, 5, 0, 0, 19, 5, 130, 59, 134, 55, 43, 200, 40, 38, 33, 4, 2.0, 18.0, 32.0, 0, 16, 32, 2, 13, 17, 8, 0, 13, 14, 4, 1, 0.0, 0, 6, 13, 11, 11, 27, 27, 5.0, 45.0, 80.0, 95.0, 84.390625, 84.390625, 34.3984375, 50.0, 80.0, 0.0, 40.59375, 43.796875, 12.5, 3.1, 0.0, 6.2998046875, 0.0, 40.59375, 18.796875, 53.09375, 40.59375, 11.0, 4.0, 70.0, 29.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 126, "Bacheliers technologiques toutes séries", 150, "Liste d'appel propre à cette formation", 45.0, "17463", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17463&g_ta_cod=17463", 8.0, 43.0, 50.0),
(6894, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence_Las", "Université de Caen Normandie - Licence - Portail Economie", "Licence - Droit-économie-gestion", "", 40, 395, 203, 388, 0, 274, 42, 16, 4, 3, 2, 95, 7, 3, 0, 0, 4, 386, 6, 0, 0, 274, 42, 16, 4, 3, 2, 93, 202, 39, 19, 37, 2, 4.0, 26.0, 30.0, 0, 10, 33, 33, 0, 0, 6, 0, 18, 13, 2, 0, 0.0, 15, 0, 0, 0, 0, 30, 30, 10.26, 66.67, 76.92, 48.6953125, 90.890625, 90.890625, 0, 30.296875, 84.59375, 0.0, 54.5, 39.3984375, 6.099609375, 0.0, 0.0, 100.0, 45.5, 0.0, 0.0, 0.0, 0.0, 167.0, 28.0, 0.0, 0.0, 32.0, "Tous les candidats", 994.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 62.0, "27700", "Licence - Portail Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27699&g_ta_cod=27700", 95.0, 3.0, 3.0),
(6895, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence_Las", "Université Sorbonne Paris Nord - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 30, 1306, 1007, 1306, 0, 749, 261, 90, 42, 20, 9, 447, 0, 0, 0, 0, 0, 1278, 0, 0, 0, 749, 261, 90, 42, 20, 9, 419, 259, 21, 18, 20, 0, 1.0, 5.0, 12.0, 0, 6, 15, 14, 0, 1, 6, 0, 5, 7, 3, 0, 0.0, 9, 0, 1, 0, 0, 6, 14, 4.76, 23.81, 57.14, 85.6875, 40.0, 93.296875, 0, 40.0, 71.390625, 0.0, 33.296875, 46.6953125, 20.0, 0.0, 0.0, 93.296875, 60.0, 0.0, 0.0, 6.69921875, 6.69921875, 182.0, 53.0, 1.0, 1.0, 75.0, "Tous les candidats", 1260.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "28405", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28404&g_ta_cod=28405", 95.0, 0.0, 5.0),
(6896, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence", "Université des Antilles - Pôle Martinique - Licence - Portail Science politique - Science Politique - Martinique", "Licence - Droit-économie-gestion", "Science Politique - Martinique", 50, 218, 135, 185, 0, 145, 41, 9, 5, 2, 1, 29, 33, 22, 2, 0, 9, 185, 32, 0, 0, 145, 41, 9, 5, 2, 1, 29, 185, 20, 11, 15, 5, 4.0, 15.0, 19.0, 0, 9, 16, 15, 1, 0, 4, 0, 5, 5, 5, 1, 0.0, 11, 0, 0, 0, 0, 12, 12, 20.0, 75.0, 95.0, 55.0, 75.0, 75.0, 0, 56.296875, 80.0, 0.0, 31.296875, 31.296875, 31.296875, 6.3, 0.0, 93.796875, 68.796875, 6.2998046875, 0.0, 0.0, 0.0, 141.0, 39.0, 2.0, 1.0, 34.0, "Tous les candidats", 220.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "19482", "Licence - Portail Science politique - Science Politique - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26894&g_ta_cod=19482", 95.0, 5.0, 0.0),
(6897, "Public", "0313004X", "Ecole régionale d'assistants du service social", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "EFTS", "Ecole régionale d'assistants du service social - D.E Assistant de Service Social", "D.E secteur social", "", 37, 612, 572, 612, 0, 111, 32, 96, 36, 72, 36, 333, 0, 0, 0, 0, 0, 82, 0, 0, 0, 27, 4, 2, 0, 0, 0, 53, 60, 37, 34, 37, 0, 19.0, 34.0, 36.0, 0, 4, 15, 14, 1, 0, 22, 0, 1, 5, 9, 0, 0.0, 13, 1, 0, 0, 0, 11, 11, 51.35, 91.89, 97.3, 91.890625, 73.296875, 73.296875, 0, 26.69921875, 40.5, 0.0, 6.69921875, 33.296875, 60.0, 0.0, 0.0, 93.296875, 86.6875, 6.69921875, 6.69921875, 0.0, 0.0, 21.0, 4.0, 0.0, 0.0, 37.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "23558", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23558&g_ta_cod=23558", 95.0, 5.0, 0.0),
(6898, "Public", "0281011X", "IFSI CH de Chateaudun", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Châteaudun", "formation sélective", "IFSI", "Regroupement d'IFSI Université Tours - D.E Infirmier", "D.E secteur sanitaire", "", 55, 3916, 3297, 3916, 0, 545, 91, 947, 215, 356, 120, 2068, 0, 0, 0, 0, 0, 3433, 0, 0, 0, 529, 87, 908, 196, 285, 97, 1711, 889, 55, 48, 55, 0, 0.0, 8.0, 32.0, 0, 7, 34, 14, 10, 10, 21, 0, 12, 11, 11, 0, 0.0, 5, 7, 10, 0, 0, 20, 20, 0.0, 14.55, 58.18, 87.296875, 58.796875, 58.796875, 0, 20.59765625, 61.796875, 0.0, 35.296875, 32.3984375, 32.3984375, 0.0, 0.0, 41.1953125, 14.69921875, 29.3984375, 20.59765625, 29.3984375, 29.3984375, 147.0, 20.0, 54.0, 20.0, 346.0, "Tous les candidats", 2871.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "23262", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22995&g_ta_cod=23262", 44.0, 31.0, 24.0),
(6899, "Public", "0312822Z", "Lycée polyvalent Charles de Gaulle", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Muret", "formation sélective", "BTS", "Lycée polyvalent Charles de Gaulle - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 24, 292, 6, 288, 0, 11, 1, 71, 8, 145, 62, 61, 4, 0, 1, 0, 3, 194, 2, 0, 0, 5, 1, 64, 6, 104, 40, 21, 97, 23, 0, 22, 1, 4.0, 16.0, 19.0, 0, 8, 22, 0, 7, 15, 1, 0, 5, 12, 5, 0, 0.0, 0, 4, 13, 12, 0, 20, 20, 17.39, 69.57, 82.61, 0.0, 90.890625, 90.890625, 54.5, 36.3984375, 95.6875, 0.0, 22.69921875, 54.5, 22.69921875, 0.0, 0.0, 0.0, 0.0, 31.796875, 18.19921875, 68.1875, 59.09375, 3.0, 1.0, 48.0, 19.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 44.0, "4246", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4246&g_ta_cod=4246", 0.0, 35.0, 65.0),
(6900, "Public", "0693330V", "Lycée Louis Aragon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Givors", "formation sélective", "BTS", "Lycée Louis Aragon - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 28, 1095, 561, 1095, 0, 74, 20, 414, 171, 310, 149, 297, 0, 0, 0, 0, 0, 591, 0, 0, 0, 54, 11, 240, 98, 176, 84, 121, 248, 28, 18, 28, 0, 4.0, 16.0, 26.0, 0, 11, 16, 2, 7, 7, 12, 0, 10, 4, 2, 0, 0.0, 0, 3, 3, 3, 1, 8, 8, 14.29, 57.14, 92.86, 64.296875, 50.0, 50.0, 18.796875, 68.796875, 57.09375, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 12.5, 0.0, 43.796875, 18.796875, 43.796875, 18.796875, 23.0, 8.0, 86.0, 43.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 146, "Bacheliers technologiques toutes séries", 139, "Liste d'appel propre à cette formation", 30.0, "8564", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8564&g_ta_cod=8564", 11.0, 43.0, 46.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(6901, "Public", "0400934Y", "I.U.T des Pays de l'Adour - Antenne de Mont De Marsan", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Mont-de-Marsan", "formation sélective", "BUT", "I.U.T des Pays de l'Adour - Antenne de Mont De Marsan - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 52, 514, 304, 508, 0, 269, 27, 98, 25, 3, 0, 138, 6, 0, 0, 0, 6, 437, 0, 0, 0, 237, 21, 83, 22, 0, 0, 117, 291, 43, 22, 43, 0, 12.0, 28.0, 41.0, 0, 7, 36, 20, 16, 0, 7, 0, 7, 22, 7, 0, 0.0, 16, 13, 0, 0, 0, 26, 26, 27.91, 65.12, 95.35, 51.1953125, 72.1875, 72.1875, 0, 19.3984375, 83.6875, 0.0, 19.3984375, 61.09375, 19.3984375, 0.0, 0.0, 55.59375, 44.3984375, 44.3984375, 36.09375, 0.0, 0.0, 153.0, 18.0, 0.0, 0.0, 85.0, "Tous les candidats sauf les Bac technologiques", 322.0, "Bacheliers technologiques toutes séries", 90, "", 0, "Liste d'appel propre à cette formation", 81.0, "5219", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5219&g_ta_cod=5219", 60.0, 37.0, 0.0),
(6902, "Public", "0271016H", "Lycée agricole Edouard de Chambray", "27", "Eure", "Normandie", "Normandie", "Mesnils-sur-Iton", "formation sélective", "BTS", "Lycée agricole Edouard de Chambray - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 18, 95, 28, 87, 0, 11, 1, 19, 5, 16, 5, 41, 8, 0, 2, 1, 5, 63, 8, 0, 0, 11, 1, 19, 5, 16, 5, 17, 55, 10, 4, 8, 2, 2.0, 6.0, 9.0, 0, 2, 6, 2, 0, 4, 4, 0, 3, 3, 0, 0, 0.0, 1, 0, 2, 0, 0, 4, 4, 20.0, 60.0, 90.0, 40.0, 66.6875, 66.6875, 0, 33.296875, 60.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 33.296875, 16.69921875, 0.0, 0.0, 66.6875, 33.296875, 10.0, 1.0, 15.0, 4.0, 15.0, "Tous les candidats sauf les Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 72.0, "3698", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3698&g_ta_cod=3698", 40.0, 10.0, 50.0),
(6903, "Public", "0750691U", "Lycée Raspail", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "BTS", "Lycée Raspail - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 35, 542, 145, 542, 0, 30, 3, 156, 51, 205, 91, 151, 0, 0, 0, 0, 0, 417, 0, 0, 0, 22, 1, 128, 40, 175, 74, 92, 134, 32, 6, 31, 0, 6.0, 28.0, 30.0, 0, 11, 23, 2, 5, 16, 9, 0, 3, 12, 5, 3, 0.0, 1, 5, 14, 0, 0, 4, 18, 18.75, 87.5, 93.75, 18.796875, 17.3984375, 78.296875, 0, 47.796875, 71.890625, 0.0, 13.0, 52.1953125, 21.69921875, 13.0, 0.0, 8.69921875, 4.2998046875, 21.69921875, 21.69921875, 69.59375, 60.8984375, 16.0, 1.0, 50.0, 28.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 30.0, "9109", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9109&g_ta_cod=9109", 13.0, 25.0, 63.0),
(6904, "Public", "0920956P", "I.U.T de Ville d'Avray", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Ville-d'Avray", "formation sélective", "BUT", "I.U.T de Ville d'Avray - BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie-Management de l'énergie pour le bâtiment et l'industrie", "BUT - Production", "Optimisation énergétique pour le bâtiment et l'industrie-Management de l'énergie pour le bâtiment et l'industrie", 86, 907, 99, 871, 0, 347, 62, 335, 82, 7, 2, 182, 36, 12, 2, 0, 22, 663, 13, 0, 0, 291, 43, 233, 53, 0, 0, 139, 464, 80, 8, 73, 7, 5.0, 61.0, 71.0, 0, 15, 59, 27, 32, 0, 21, 0, 18, 36, 5, 0, 0.0, 14, 27, 0, 0, 0, 49, 55, 6.25, 76.25, 88.75, 10.0, 83.09375, 93.1875, 0, 25.3984375, 73.796875, 0.0, 30.5, 61.0, 8.5, 0.0, 0.0, 45.796875, 23.69921875, 54.1953125, 45.796875, 0.0, 0.0, 178.0, 38.0, 0.0, 0.0, 123.0, "Tous les candidats sauf les Bac technologiques", 354.0, "Bacheliers technologiques toutes séries", 264, "", 0, "Liste d'appel propre à cette formation", 71.0, "11060", "BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie-Management de l'énergie pour le bâtiment et l'industrie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11060&g_ta_cod=11060", 53.0, 48.0, 0.0),
(6905, "Public", "0160049S", "Lycée professionnel Jean Rostand", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "Autre formation", "Lycée professionnel Jean Rostand - Mention complémentaire - FCIL secrétariat médical", "Mention complémentaire", "", 15, 73, 69, 60, 0, 0, 0, 7, 2, 28, 14, 25, 13, 0, 0, 5, 8, 44, 1, 0, 0, 0, 0, 5, 0, 22, 9, 17, 41, 10, 10, 9, 1, 3.0, 8.0, 9.0, 0, 2, 5, 0, 1, 4, 5, 0, 4, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 30.0, 80.0, 90.0, 100.0, 40.0, 40.0, 0, 40.0, 50.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 20.0, 0.0, 0.0, 22.0, 9.0, 13.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "24418", "Mention complémentaire - FCIL secrétariat médical", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24418&g_ta_cod=24418", 20.0, 20.0, 60.0),
(6906, "Privé sous contrat d'association", "0912154X", "IRFASE", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "EFTS", "IRFASE - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 40, 144, 136, 144, 0, 25, 4, 35, 8, 28, 6, 56, 0, 0, 0, 0, 0, 128, 0, 0, 0, 24, 4, 33, 7, 27, 6, 44, 86, 34, 34, 34, 0, 13.0, 27.0, 33.0, 0, 5, 24, 5, 10, 9, 10, 0, 4, 11, 6, 3, 0.0, 4, 7, 9, 0, 0, 14, 21, 38.24, 79.41, 97.06, 100.0, 58.296875, 87.5, 0, 20.796875, 70.59375, 0.0, 16.69921875, 45.796875, 25.0, 12.5, 0.0, 20.796875, 16.69921875, 41.6953125, 29.19921875, 37.5, 37.5, 14.0, 2.0, 23.0, 5.0, 27.0, "Tous les candidats", 97.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "24927", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24927&g_ta_cod=24927", 21.0, 44.0, 35.0),
(6907, "Public", "0690128P", "Lycée Edouard Branly", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Production - Systèmes numériques - Option informatique et réseaux - Parcours Marine Nationale/Maistrance-Défense", "BTS - Production", "Parcours Marine Nationale/Maistrance-Défense", 4, 124, 8, 124, 0, 25, 5, 43, 10, 27, 14, 29, 0, 0, 0, 0, 0, 7, 0, 0, 0, 3, 0, 0, 0, 2, 1, 2, 5, 4, 0, 4, 0, 3.0, 4.0, 4.0, 0, 1, 3, 1, 0, 2, 1, 0, 1, 0, 1, 1, 0.0, 0, 0, 2, 0, 0, 2, 2, 75.0, 100.0, 100.0, 0.0, 66.6875, 66.6875, 0, 33.296875, 75.0, 0.0, 33.296875, 0.0, 33.296875, 33.3, 0.0, 33.296875, 0.0, 0.0, 0.0, 66.6875, 66.6875, 2.0, 0.0, 2.0, 1.0, 1.0, "Tous les candidats sauf les Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 4.0, "20952", "BTS - Production - Systèmes numériques - Option informatique et réseaux - Parcours Marine Nationale/Maistrance-Défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20952&g_ta_cod=20952", 50.0, 0.0, 50.0),
(6908, "Privé sous contrat d'association", "0220097L", "Lycée-Collège NOTRE-DAME", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Guingamp", "formation sélective", "BTS", "Lycée-Collège NOTRE-DAME - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 109, 71, 97, 0, 7, 0, 28, 6, 18, 6, 44, 12, 1, 2, 3, 6, 54, 10, 0, 0, 7, 0, 21, 5, 17, 6, 9, 64, 9, 7, 4, 5, 2.0, 4.0, 7.0, 0, 3, 6, 0, 4, 2, 3, 0, 5, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 6, 6, 22.22, 44.44, 77.78, 77.796875, 100.0, 100.0, 0, 50.0, 66.6875, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 66.6875, 0.0, 33.296875, 16.69921875, 8.0, 0.0, 19.0, 7.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 56.0, "3335", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3335&g_ta_cod=3335", 11.0, 67.0, 22.0),
(6909, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - Licence - Double diplôme - Licence Droit - Double diplôme Licence de Droit - DU world foreign policy", "Licence - Droit-économie-gestion", "Double diplôme Licence de Droit - DU world foreign policy", 20, 326, 267, 326, 0, 258, 38, 3, 0, 0, 0, 65, 0, 0, 0, 0, 0, 280, 0, 0, 0, 226, 30, 3, 0, 0, 0, 51, 95, 19, 18, 19, 0, 4.0, 16.0, 17.0, 0, 2, 18, 18, 0, 0, 1, 0, 0, 0, 5, 13, 0.0, 18, 0, 0, 0, 0, 3, 3, 21.05, 84.21, 89.47, 94.6875, 16.69921875, 16.69921875, 0, 11.099609375, 94.6875, 0.0, 0.0, 0.0, 27.796875, 72.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 78.0, 11.0, 0.0, 0.0, 17.0, "Tous les candidats", 133.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "28436", "Licence - Double diplôme - Licence Droit - Double diplôme Licence de Droit - DU world foreign policy", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28436&g_ta_cod=28436", 100.0, 0.0, 0.0),
(6910, "Public", "0790029C", "Lycée Ernest Perochon", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Parthenay", "formation sélective", "BTS", "Lycée Ernest Perochon - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 270, 136, 250, 0, 19, 3, 106, 22, 76, 28, 49, 20, 2, 6, 4, 8, 216, 6, 0, 0, 19, 3, 104, 21, 69, 26, 24, 141, 25, 12, 22, 3, 4.0, 10.0, 17.0, 0, 5, 22, 4, 9, 9, 3, 0, 8, 11, 3, 0, 0.0, 2, 5, 7, 6, 2, 20, 20, 16.0, 40.0, 68.0, 48.0, 90.890625, 90.890625, 27.296875, 22.69921875, 88.0, 0.0, 36.3984375, 50.0, 13.599609375, 0.0, 0.0, 18.19921875, 9.099609375, 40.8984375, 22.69921875, 40.8984375, 31.796875, 8.0, 2.0, 54.0, 21.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 110, "Liste d'appel propre à cette formation", 75.0, "10113", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10113&g_ta_cod=10113", 16.0, 40.0, 44.0),
(6911, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Arts du spectacle", "Licence - Arts-lettres-langues", "", 124, 739, 512, 712, 0, 496, 83, 39, 7, 20, 5, 157, 27, 5, 0, 1, 21, 712, 24, 0, 0, 496, 83, 39, 7, 20, 5, 157, 588, 117, 72, 104, 12, 35.0, 87.0, 106.0, 0, 15, 80, 72, 1, 7, 37, 3, 20, 29, 22, 6, 0.0, 53, 0, 4, 0, 0, 62, 62, 29.91, 74.36, 90.6, 61.5, 77.5, 77.5, 0, 18.796875, 68.390625, 3.7998046875, 25.0, 36.296875, 27.5, 7.5, 0.0, 90.0, 66.296875, 1.2998046875, 0.0, 8.798828125, 5.0, 413.0, 69.0, 16.0, 5.0, 130.0, "Tous les candidats", 712.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5066", "Licence - Arts du spectacle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5066&g_ta_cod=5066", 86.0, 3.0, 11.0),
(6912, "Public", "0520021R", "Lycée Diderot", "52", "Haute-Marne", "Grand Est", "Reims", "Langres", "formation sélective", "BTS", "Lycée Diderot - BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "BTS - Production", "", 8, 15, 7, 14, 0, 0, 0, 2, 0, 5, 2, 7, 1, 0, 0, 1, 0, 8, 1, 0, 0, 0, 0, 2, 0, 5, 2, 1, 9, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 6.0, 2.0, 1.0, "Tous les candidats sauf les Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 57.0, "20303", "BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20303&g_ta_cod=20303", 0, 0, 0),
(6913, "Public", "0380027Y", "Lycée Champollion", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "CPGE", "Lycée Champollion - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 1065, 509, 1061, 743, 943, 66, 0, 0, 0, 0, 118, 4, 1, 0, 0, 3, 511, 1, 166, 489, 507, 29, 0, 0, 0, 0, 4, 317, 11, 6, 11, 0, 0.0, 6.0, 11.0, 0, 1, 11, 11, 0, 0, 0, 0, 0, 3, 6, 2, 0.0, 11, 0, 0, 1, 0, 9, 9, 0.0, 54.55, 100.0, 54.5, 81.796875, 81.796875, 9.099609375, 9.099609375, 100.0, 0.0, 0.0, 27.296875, 54.5, 18.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 314.0, 21.0, 0.0, 0.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "31459", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31299&g_ta_cod=31459", 100.0, 0.0, 0.0),
(6914, "Public", "0753431X", "Sciences Po Paris - Institut d'études politiques", "75", "Paris", "Ile-de-France", "Paris", "Paris  7e  Arrondissement", "formation sélective", "Autre formation", "Sciences Po Paris - Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", "Sciences politiques", "Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", 246, 9449, 6042, 9449, 0, 9408, 1151, 24, 11, 0, 0, 17, 0, 0, 0, 0, 0, 309, 0, 0, 0, 308, 48, 0, 0, 0, 0, 1, 304, 248, 174, 248, 0, 0.0, 248.0, 248.0, 0, 36, 248, 248, 0, 0, 0, 1, 0, 1, 14, 125, 107.0, 247, 0, 0, 0, 0, 11, 93, 0.0, 100.0, 100.0, 70.1875, 4.3994140625, 37.5, 0, 14.5, 100.0, 0.39996337890625, 0.0, 0.39996337890625, 5.599609375, 50.4, 43.1, 100.0, 99.59375, 0.0, 0.0, 0.0, 0.0, 303.0, 46.0, 0.0, 0.0, 1.0, "Voie d'accès générale", 242.0, "Voie d'accès CEP", 67, "", 0, "Liste d'appel propre à cette formation", 3.0, "25777", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25777&g_ta_cod=25777", 100.0, 0.0, 0.0),
(6915, "Public", "0752845K", "Lycée professionnel Theophile Gautier", "75", "Paris", "Ile-de-France", "Paris", "Paris  4e  Arrondissement", "formation sélective", "BTS", "Lycée professionnel Theophile Gautier - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 24, 419, 128, 419, 0, 63, 7, 45, 9, 219, 69, 92, 0, 0, 0, 0, 0, 302, 0, 0, 0, 61, 7, 34, 4, 168, 45, 39, 73, 22, 12, 22, 0, 7.0, 14.0, 16.0, 0, 5, 21, 4, 1, 16, 1, 0, 7, 5, 8, 1, 0.0, 1, 1, 12, 6, 1, 6, 20, 31.82, 63.64, 72.73, 54.5, 28.59765625, 95.1875, 28.59765625, 23.796875, 95.5, 0.0, 33.296875, 23.796875, 38.09375, 4.8, 0.0, 19.0, 4.7998046875, 4.7998046875, 4.7998046875, 76.1875, 57.09375, 22.0, 4.0, 44.0, 7.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers technologiques toutes séries", 5, "Bacheliers professionnels toutes séries", 58, "Liste d'appel propre à cette formation", 21.0, "32812", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32812&g_ta_cod=32812", 23.0, 5.0, 73.0),
(6916, "Public", "0011329P", "Campus de Bourg-en-Bresse - Université Lyon 3", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation non sélective", "Licence", "Campus de Bourg-en-Bresse - Université Lyon 3 - Licence - Portail Histoire.", "Licence - Sciences humaines et sociales", "Histoire.", 65, 360, 198, 320, 0, 231, 43, 24, 4, 14, 6, 51, 40, 15, 5, 2, 18, 320, 37, 0, 0, 231, 43, 24, 4, 14, 6, 51, 305, 67, 34, 53, 14, 6.0, 51.0, 65.0, 0, 7, 47, 41, 4, 2, 20, 0, 19, 21, 7, 0, 0.0, 25, 1, 2, 0, 0, 34, 34, 8.96, 76.12, 97.01, 50.6953125, 72.296875, 72.296875, 0, 14.8984375, 70.09375, 0.0, 40.3984375, 44.6953125, 14.8984375, 0.0, 0.0, 87.1875, 53.1953125, 8.5, 2.099609375, 4.2998046875, 4.2998046875, 216.0, 40.0, 14.0, 6.0, 53.0, "Tous les candidats", 319.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "13921", "Licence - Portail Histoire.", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13921&g_ta_cod=13921", 79.0, 16.0, 3.0),
(6917, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation non sélective", "PASS", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Sciences fondamentales (Maths, Physique, Informatique pour la Chimie et la Biologie)", 385, 7374, 4752, 7374, 0, 5811, 1073, 90, 39, 19, 11, 1454, 0, 0, 0, 0, 0, 7373, 0, 0, 0, 5811, 1073, 90, 39, 19, 11, 1453, 2541, 384, 222, 384, 0, 28.0, 235.0, 331.0, 0, 39, 363, 363, 0, 0, 21, 1, 6, 94, 177, 74, 11.0, 356, 0, 0, 0, 0, 261, 329, 7.29, 61.2, 86.2, 57.796875, 71.890625, 90.59375, 0, 10.69921875, 94.5, 0.29998779296875, 1.699951171875, 25.8984375, 48.796875, 20.4, 3.0, 100.0, 98.09375, 0.0, 0.0, 0.0, 0.0, 2348.0, 405.0, 0.0, 0.0, 193.0, "Tous les candidats", 4137.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 43.0, "27915", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27909&g_ta_cod=27915", 100.0, 0.0, 0.0),
(6918, "Public", "0140017T", "Lycée Jean Rostand", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 671, 68, 616, 0, 121, 16, 167, 50, 132, 44, 196, 55, 0, 35, 0, 20, 286, 10, 0, 0, 80, 9, 93, 25, 85, 27, 28, 150, 34, 1, 30, 4, 6.0, 19.0, 28.0, 0, 7, 25, 7, 4, 14, 9, 0, 9, 11, 5, 0, 0.0, 2, 2, 12, 2, 0, 23, 23, 17.65, 55.88, 82.35, 2.89990234375, 92.0, 92.0, 8, 28.0, 73.5, 0.0, 36.0, 44.0, 20.0, 0.0, 0.0, 28.0, 8.0, 16.0, 8.0, 56.0, 48.0, 45.0, 7.0, 34.0, 8.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 76.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 102, "Liste d'appel propre à cette formation", 35.0, "2826", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2826&g_ta_cod=2826", 29.0, 24.0, 47.0),
(6919, "Public", "0940113M", "Lycée Langevin-Wallon", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Champigny-sur-Marne", "formation sélective", "BTS", "Lycée Langevin-Wallon - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 644, 56, 644, 0, 77, 24, 156, 58, 174, 77, 237, 0, 0, 0, 0, 0, 299, 0, 0, 0, 45, 12, 98, 35, 97, 40, 59, 143, 30, 4, 30, 0, 4.0, 24.0, 28.0, 0, 10, 23, 5, 10, 8, 7, 0, 5, 15, 3, 0, 0.0, 2, 8, 8, 4, 0, 21, 23, 13.33, 80.0, 93.33, 13.298828125, 91.296875, 100.0, 17.3984375, 43.5, 76.6875, 0.0, 21.69921875, 65.1875, 13.0, 0.0, 0.0, 21.69921875, 8.69921875, 43.5, 34.796875, 34.796875, 34.796875, 27.0, 9.0, 52.0, 21.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 101, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 33.0, "11370", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11370&g_ta_cod=11370", 30.0, 33.0, 37.0),
(6920, "Privé sous contrat d'association", "0671639T", "Lycée des Métiers Sainte Clotilde", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée des Métiers Sainte Clotilde - BTS - Services - Commerce International", "BTS - Services", "", 27, 617, 315, 436, 0, 163, 21, 112, 32, 20, 7, 141, 181, 35, 25, 19, 102, 139, 9, 0, 0, 74, 8, 34, 6, 4, 2, 27, 120, 23, 14, 18, 5, 15.0, 17.0, 23.0, 0, 2, 18, 12, 5, 1, 5, 0, 0, 12, 5, 1, 0.0, 12, 5, 1, 2, 1, 17, 17, 65.22, 73.91, 100.0, 60.8984375, 94.390625, 94.390625, 11.099609375, 11.099609375, 78.296875, 0.0, 0.0, 66.6875, 27.796875, 5.6, 0.0, 66.6875, 66.6875, 27.796875, 27.796875, 5.599609375, 5.599609375, 60.0, 8.0, 4.0, 2.0, 27.0, "Tous les candidats sauf les Bac professionnels", 127.0, "Bacheliers professionnels toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 30.0, "20001", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20001&g_ta_cod=20001", 70.0, 26.0, 4.0),
(6921, "Public", "0061817T", "I.U.T de Nice - Antenne de Valbonne", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BUT", "I.U.T de Nice - Antenne de Valbonne - BUT - Statistique et informatique décisionnelle", "BUT - Service", "", 21, 487, 104, 418, 0, 273, 38, 48, 13, 3, 1, 94, 69, 14, 1, 4, 50, 207, 17, 0, 0, 157, 9, 8, 4, 0, 0, 42, 156, 20, 5, 14, 6, 3.0, 12.0, 18.0, 0, 0, 12, 11, 1, 0, 8, 0, 0, 9, 3, 0, 0.0, 11, 1, 0, 0, 0, 11, 11, 15.0, 60.0, 90.0, 25.0, 91.6875, 91.6875, 0, 0.0, 60.0, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 91.6875, 91.6875, 8.298828125, 8.298828125, 0.0, 0.0, 107.0, 9.0, 0.0, 0.0, 43.0, "Tous les candidats sauf les Bac technologiques", 198.0, "Bacheliers technologiques toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 49.0, "2327", "BUT - Statistique et informatique décisionnelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2327&g_ta_cod=2327", 90.0, 10.0, 0.0),
(6922, "Public", "0920149M", "Lycée Michelet", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Vanves", "formation sélective", "CPGE", "Lycée Michelet - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 48, 851, 379, 851, 482, 768, 55, 0, 0, 0, 0, 83, 0, 0, 0, 0, 0, 547, 0, 199, 537, 546, 36, 0, 0, 0, 0, 1, 273, 47, 22, 47, 0, 1.0, 23.0, 42.0, 13, 3, 47, 47, 0, 0, 0, 0, 0, 1, 31, 14, 1.0, 47, 0, 0, 4, 2, 33, 41, 2.13, 48.94, 89.36, 46.796875, 70.1875, 87.1875, 8.5, 6.3994140625, 100.0, 0.0, 0.0, 2.099609375, 66.0, 29.8, 2.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 273.0, 19.0, 0.0, 0.0, 0.0, "Tous les candidats", 377.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "31404", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31404&g_ta_cod=31404", 100.0, 0.0, 0.0),
(6923, "Public", "0190087S", "Lycée agricole HENRI QUEUILLE", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Neuvic", "formation sélective", "BTS", "Lycée agricole HENRI QUEUILLE - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 64, 968, 366, 968, 0, 232, 31, 208, 35, 206, 54, 322, 0, 0, 0, 0, 0, 630, 0, 0, 0, 213, 27, 172, 27, 152, 44, 93, 269, 70, 26, 70, 0, 12.0, 55.0, 65.0, 0, 16, 61, 20, 20, 21, 9, 0, 11, 29, 17, 4, 0.0, 15, 15, 20, 4, 1, 14, 14, 17.14, 78.57, 92.86, 37.09375, 23.0, 23.0, 6.599609375, 26.19921875, 87.09375, 0.0, 18.0, 47.5, 27.8984375, 6.6, 0.0, 32.796875, 24.59765625, 32.796875, 24.59765625, 34.3984375, 32.796875, 106.0, 12.0, 59.0, 11.0, 34.0, "Tous les candidats sauf les Bac professionnels", 353.0, "Bacheliers professionnels toutes séries", 74, "", 0, "Liste d'appel propre à cette formation", 44.0, "3156", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3156&g_ta_cod=3156", 40.0, 29.0, 31.0),
(6924, "Privé sous contrat d'association", "0592967E", "Lycée La Sagesse", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée La Sagesse - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 160, 59, 124, 0, 16, 4, 37, 15, 16, 7, 55, 36, 1, 13, 6, 16, 44, 15, 0, 0, 5, 1, 20, 7, 8, 3, 11, 58, 12, 2, 7, 5, 4.0, 7.0, 11.0, 0, 3, 7, 0, 5, 2, 5, 0, 3, 3, 1, 0, 0.0, 0, 3, 1, 1, 0, 7, 7, 33.33, 58.33, 91.67, 16.69921875, 100.0, 100.0, 14.298828125, 42.8984375, 58.296875, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 0.0, 0.0, 71.390625, 42.8984375, 28.59765625, 14.298828125, 5.0, 1.0, 8.0, 3.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 35.0, "19798", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19798&g_ta_cod=19798", 17.0, 67.0, 17.0),
(6925, "Public", "0130040Y", "Lycée Thiers", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  1er Arrondissement", "formation sélective", "CPGE", "Lycée Thiers - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 866, 567, 866, 592, 700, 80, 0, 0, 1, 0, 165, 0, 0, 0, 0, 0, 628, 0, 153, 617, 574, 50, 0, 0, 0, 0, 54, 363, 47, 26, 47, 0, 2.0, 26.0, 46.0, 2, 1, 44, 44, 0, 0, 3, 0, 0, 1, 26, 17, 0.0, 44, 0, 0, 7, 2, 26, 26, 4.26, 55.32, 97.87, 55.296875, 59.09375, 59.09375, 15.8984375, 2.2998046875, 93.59375, 0.0, 0.0, 2.2998046875, 59.09375, 38.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 338.0, 31.0, 0.0, 0.0, 25.0, "Tous les candidats", 544.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "2551", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2551&g_ta_cod=2551", 100.0, 0.0, 0.0),
(6926, "Privé sous contrat d'association", "0761735Y", "Lycée Jeanne D'Arc", "76", "Seine-Maritime", "Normandie", "Normandie", "Sainte-Adresse", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 594, 330, 593, 0, 66, 14, 246, 81, 172, 66, 109, 1, 0, 1, 0, 0, 572, 0, 0, 0, 65, 13, 246, 81, 160, 62, 101, 177, 35, 16, 35, 0, 6.0, 20.0, 25.0, 0, 13, 28, 5, 12, 11, 7, 2, 11, 8, 4, 3, 0.0, 2, 5, 8, 2, 1, 28, 28, 17.14, 57.14, 71.43, 45.6953125, 100.0, 100.0, 7.099609375, 46.3984375, 80.0, 7.099609375, 39.296875, 28.59765625, 14.298828125, 10.7, 0.0, 17.8984375, 7.099609375, 42.8984375, 17.8984375, 39.296875, 28.59765625, 14.0, 6.0, 39.0, 16.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 176, "Liste d'appel propre à cette formation", 41.0, "9673", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9673&g_ta_cod=9673", 17.0, 51.0, 31.0),
(6927, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour / Lycée Louis Barthou de Pau - Licence - Lettres - Parcours PPPE", "Licence - Arts-lettres-langues", "PPPE", 40, 297, 256, 297, 0, 208, 40, 21, 2, 8, 1, 60, 0, 0, 0, 0, 0, 296, 0, 0, 0, 208, 40, 21, 2, 8, 1, 59, 145, 39, 35, 39, 0, 11.0, 37.0, 37.0, 0, 9, 36, 35, 1, 0, 3, 0, 9, 19, 7, 1, 0.0, 27, 0, 0, 0, 0, 26, 26, 28.21, 94.87, 94.87, 89.6875, 72.1875, 72.1875, 0, 25.0, 92.296875, 0.0, 25.0, 52.796875, 19.3984375, 2.8, 0.0, 97.1875, 75.0, 2.7998046875, 0.0, 0.0, 0.0, 123.0, 26.0, 0.0, 0.0, 21.0, "Tous les candidats", 178.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "33491", "Licence - Lettres - Parcours PPPE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33491&g_ta_cod=33491", 97.0, 3.0, 0.0),
(6928, "Public", "0542457C", "CNAM Grand Est - Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "CNAM Grand Est - Nancy - Formation Supérieure de Spécialisation - Architecture et bâtiment", "Diplôme d'Université", "Architecture et bâtiment", 15, 179, 101, 91, 0, 25, 6, 12, 2, 3, 2, 51, 88, 19, 17, 6, 46, 36, 21, 0, 0, 13, 3, 9, 1, 1, 1, 13, 54, 17, 8, 5, 12, 1.0, 5.0, 11.0, 0, 3, 9, 3, 5, 1, 8, 0, 4, 4, 1, 0, 0.0, 3, 1, 1, 0, 0, 7, 7, 5.88, 29.41, 64.71, 47.09375, 77.796875, 77.796875, 0, 33.296875, 52.8984375, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 33.296875, 33.296875, 55.59375, 11.099609375, 11.099609375, 11.099609375, 17.0, 3.0, 3.0, 2.0, 21.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "34139", "Formation Supérieure de Spécialisation - Architecture et bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34139&g_ta_cod=34139", 59.0, 35.0, 6.0),
(6929, "Public", "0831407D", "Lycée du Coudon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation sélective", "BTS", "Lycée du Coudon - BTS - Services - Commerce International", "BTS - Services", "", 35, 1022, 522, 1004, 0, 282, 73, 251, 101, 90, 38, 381, 18, 4, 0, 0, 14, 417, 4, 0, 0, 199, 49, 151, 62, 42, 17, 25, 207, 33, 22, 30, 3, 3.0, 24.0, 28.0, 0, 8, 30, 15, 11, 4, 3, 0, 10, 13, 7, 0, 0.0, 7, 9, 4, 0, 0, 26, 26, 9.09, 72.73, 84.85, 66.6875, 86.6875, 86.6875, 0, 26.69921875, 90.890625, 0.0, 33.296875, 43.296875, 23.296875, 0.0, 0.0, 50.0, 23.296875, 36.6953125, 30.0, 13.298828125, 13.298828125, 113.0, 23.0, 14.0, 5.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 191.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 116, "Liste d'appel propre à cette formation", 33.0, "10389", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10389&g_ta_cod=10389", 52.0, 36.0, 12.0),
(6930, "Privé sous contrat d'association", "9740679V", "Lycée professionnel Cluny Ste Suzanne", "974", "La Réunion", "La Réunion", "La Réunion", "Sainte-Suzanne", "formation sélective", "BTS", "Lycée professionnel Cluny Ste Suzanne - BTS - Services - Tourisme", "BTS - Services", "", 15, 139, 104, 75, 0, 17, 8, 16, 10, 18, 13, 24, 64, 6, 2, 18, 38, 45, 17, 0, 0, 13, 5, 9, 6, 10, 7, 13, 53, 16, 13, 6, 10, 2.0, 6.0, 14.0, 0, 6, 8, 3, 0, 5, 8, 0, 2, 5, 1, 0, 0.0, 3, 0, 3, 0, 0, 8, 8, 12.5, 37.5, 87.5, 81.296875, 100.0, 100.0, 0, 75.0, 50.0, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 37.5, 37.5, 0.0, 0.0, 62.5, 37.5, 13.0, 6.0, 11.0, 7.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers technologiques toutes séries", 11, "Bacheliers professionnels toutes séries", 10, "Liste d'appel propre à cette formation", 60.0, "34398", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34398&g_ta_cod=34398", 44.0, 19.0, 38.0),
(6931, "Public", "0430020N", "Lycée Charles et Adrien Dupuy", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "BTS", "Lycée Charles et Adrien Dupuy - BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "BTS - Services", "", 5, 220, 26, 220, 0, 62, 10, 28, 7, 41, 15, 89, 0, 0, 0, 0, 0, 101, 0, 0, 0, 18, 3, 14, 5, 29, 10, 40, 16, 5, 0, 5, 0, 1.0, 4.0, 4.0, 0, 1, 3, 0, 1, 2, 2, 0, 2, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 0, 0, 20.0, 80.0, 80.0, 0.0, 0.0, 0.0, 0, 33.296875, 60.0, 0.0, 66.6875, 0.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 33.296875, 3.0, 2.0, 3.0, 1.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 6, "Liste d'appel propre à cette formation", 10.0, "5386", "BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5386&g_ta_cod=5386", 20.0, 40.0, 40.0),
(6932, "Public", "9741185V", "Lycée Le Verger", "974", "La Réunion", "La Réunion", "La Réunion", "Sainte-Marie", "formation sélective", "BTS", "Lycée Le Verger - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 30, 781, 523, 771, 0, 112, 60, 294, 194, 187, 147, 178, 10, 0, 4, 0, 6, 367, 1, 0, 0, 59, 30, 156, 107, 100, 76, 52, 133, 30, 20, 30, 0, 12.0, 25.0, 27.0, 0, 13, 24, 7, 13, 4, 6, 0, 8, 4, 9, 3, 0.0, 2, 10, 4, 6, 3, 24, 24, 40.0, 83.33, 90.0, 66.6875, 100.0, 100.0, 25, 54.1953125, 80.0, 0.0, 33.296875, 16.69921875, 37.5, 12.5, 0.0, 29.19921875, 8.298828125, 54.1953125, 41.6953125, 16.69921875, 16.69921875, 24.0, 14.0, 14.0, 9.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 123, "Liste d'appel propre à cette formation", 27.0, "11962", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11962&g_ta_cod=11962", 27.0, 53.0, 20.0),
(6933, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence_Las", "Université de Lorraine - Site de Nancy - Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales", "Licence - Sciences - technologies - santé", "", 40, 388, 221, 331, 0, 175, 54, 11, 5, 1, 0, 144, 57, 18, 3, 0, 36, 322, 52, 0, 0, 175, 54, 11, 5, 1, 0, 135, 263, 39, 21, 18, 20, 0.0, 18.0, 31.0, 0, 6, 19, 15, 4, 0, 20, 0, 7, 8, 4, 0, 0.0, 9, 3, 0, 0, 0, 14, 14, 0.0, 46.15, 79.49, 53.796875, 73.6875, 73.6875, 0, 31.59765625, 48.6953125, 0.0, 36.796875, 42.09375, 21.09765625, 0.0, 0.0, 78.890625, 47.3984375, 21.09765625, 15.798828125, 0.0, 0.0, 126.0, 41.0, 1.0, 0.0, 125.0, "Tous les candidats", 636.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "26957", "Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26956&g_ta_cod=26957", 87.0, 13.0, 0.0),
(6934, "Public", "0783640H", "Sciences Po Saint-Germain-en-Laye - Institut d'études politiques", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "Autre formation", "Réseau ScPo ? concours commun - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Cursus général", "Sciences politiques", "Cursus général", 100, 13797, 8473, 13797, 0, 11642, 1267, 37, 15, 3, 2, 2115, 0, 0, 0, 0, 0, 2500, 0, 0, 0, 1666, 153, 4, 1, 0, 0, 830, 1362, 100, 72, 100, 0, 1.0, 48.0, 86.0, 0, 4, 64, 64, 0, 0, 36, 1, 0, 0, 10, 41, 12.0, 63, 0, 0, 0, 0, 21, 30, 1.0, 48.0, 86.0, 72.0, 32.796875, 46.8984375, 0, 6.2998046875, 64.0, 1.599853515625, 0.0, 0.0, 15.599609375, 64.1, 18.8, 100.0, 98.390625, 0.0, 0.0, 0.0, 0.0, 841.0, 99.0, 0.0, 0.0, 520.0, "Tous les candidats", 1818.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "25828", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Cursus général", "Réseau ScPo ? concours commun", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25823&g_ta_cod=25828", 100.0, 0.0, 0.0),
(6935, "Privé sous contrat d'association", "0442185L", "ICAM Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Carquefou", "formation sélective", "Ecole d'Ingénieur", "GROUPE ICAM - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "", 45, 633, 112, 627, 0, 505, 19, 41, 3, 0, 0, 81, 6, 4, 0, 0, 2, 410, 1, 0, 0, 348, 10, 29, 0, 0, 0, 33, 341, 35, 11, 34, 1, 25.0, 34.0, 35.0, 0, 2, 33, 30, 3, 0, 2, 0, 4, 21, 5, 3, 0.0, 26, 3, 0, 0, 0, 19, 19, 71.43, 97.14, 100.0, 31.3984375, 57.59375, 57.59375, 0, 6.099609375, 94.296875, 0.0, 12.099609375, 63.59375, 15.19921875, 9.1, 0.0, 90.890625, 78.796875, 9.099609375, 9.099609375, 0.0, 0.0, 291.0, 10.0, 0.0, 0.0, 31.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "24660", "Formation d'ingénieur Bac + 5", "GROUPE ICAM", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24652&g_ta_cod=24660", 91.0, 9.0, 0.0),
(6936, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Lettres / Histoire", "Licence - Arts-lettres-langues", "", 15, 305, 221, 305, 0, 222, 31, 1, 0, 3, 2, 79, 0, 0, 0, 0, 0, 303, 0, 0, 0, 222, 31, 1, 0, 3, 2, 77, 119, 15, 12, 15, 0, 1.0, 13.0, 15.0, 0, 1, 13, 13, 0, 0, 2, 0, 0, 5, 5, 3, 0.0, 13, 0, 0, 0, 0, 3, 12, 6.67, 86.67, 100.0, 80.0, 23.09765625, 92.296875, 0, 7.69921875, 86.6875, 0.0, 0.0, 38.5, 38.5, 23.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 103.0, 15.0, 0.0, 0.0, 16.0, "Tous les candidats", 183.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "23816", "Licence - Lettres / Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23816&g_ta_cod=23816", 100.0, 0.0, 0.0),
(6937, "Public", "0420043U", "Lycée Jean Monnet", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 1032, 652, 1014, 0, 75, 21, 335, 122, 280, 148, 324, 18, 0, 2, 9, 7, 427, 1, 0, 0, 54, 14, 171, 48, 136, 56, 66, 142, 22, 12, 21, 0, 2.0, 12.0, 15.0, 0, 8, 18, 3, 8, 7, 4, 0, 7, 6, 3, 2, 0.0, 2, 4, 5, 2, 2, 18, 18, 9.09, 54.55, 68.18, 54.5, 100.0, 100.0, 11.099609375, 44.3984375, 81.796875, 0.0, 38.8984375, 33.296875, 16.69921875, 11.1, 0.0, 16.69921875, 11.099609375, 44.3984375, 22.19921875, 38.8984375, 27.796875, 19.0, 8.0, 46.0, 16.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 99, "Bacheliers technologiques toutes séries", 136, "Liste d'appel propre à cette formation", 26.0, "5295", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5295&g_ta_cod=5295", 14.0, 45.0, 41.0),
(6938, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Histoire.", "Licence - Sciences humaines et sociales", "Histoire.", 230, 1791, 883, 1791, 0, 1118, 196, 124, 40, 40, 16, 509, 0, 0, 0, 0, 0, 1791, 0, 0, 0, 1118, 196, 124, 40, 40, 16, 509, 1079, 226, 92, 226, 0, 16.0, 195.0, 210.0, 0, 31, 152, 132, 12, 8, 74, 0, 39, 68, 33, 11, 1.0, 103, 4, 6, 0, 0, 80, 80, 7.08, 86.28, 92.92, 40.6953125, 52.59375, 52.59375, 0, 20.3984375, 67.296875, 0.0, 25.69921875, 44.6953125, 21.69921875, 7.2, 0.7, 86.796875, 67.796875, 7.8994140625, 2.599609375, 5.2998046875, 3.89990234375, 727.0, 123.0, 23.0, 10.0, 259.0, "Tous les candidats", 1534.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "8534", "Licence - Portail Histoire.", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8534&g_ta_cod=8534", 81.0, 11.0, 7.0),
(6939, "Public", "0130050J", "Lycée Denis Diderot", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BTS", "Lycée Denis Diderot - BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "BTS - Production", "", 15, 347, 12, 347, 0, 18, 9, 36, 14, 178, 109, 115, 0, 0, 0, 0, 0, 202, 0, 0, 0, 16, 7, 32, 11, 81, 45, 73, 81, 14, 1, 14, 0, 1.0, 11.0, 14.0, 0, 5, 8, 1, 0, 7, 6, 0, 1, 4, 3, 0, 0.0, 1, 0, 6, 0, 0, 7, 7, 7.14, 78.57, 100.0, 7.099609375, 87.5, 87.5, 0, 62.5, 57.09375, 0.0, 12.5, 50.0, 37.5, 0.0, 0.0, 12.5, 12.5, 0.0, 0.0, 87.5, 75.0, 9.0, 3.0, 28.0, 15.0, 25.0, "Tous les candidats sauf les Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 35.0, "2572", "BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2572&g_ta_cod=2572", 36.0, 14.0, 50.0),
(6940, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Licence", "Université de Rennes 1 - Licence - Economie et gestion - Parcours Economie-gestion Section internationale", "Licence - Droit-économie-gestion", "Economie-gestion Section internationale", 65, 1154, 648, 1154, 0, 947, 109, 33, 9, 7, 3, 167, 0, 0, 0, 0, 0, 393, 0, 0, 0, 386, 48, 0, 0, 0, 0, 7, 279, 65, 35, 65, 0, 23.0, 57.0, 62.0, 0, 8, 65, 65, 0, 0, 0, 0, 1, 8, 40, 16, 0.0, 64, 0, 0, 0, 0, 47, 47, 35.38, 87.69, 95.38, 53.796875, 72.296875, 72.296875, 0, 12.298828125, 100.0, 0.0, 1.5, 12.298828125, 61.5, 24.6, 0.0, 100.0, 98.5, 0.0, 0.0, 0.0, 0.0, 279.0, 34.0, 0.0, 0.0, 0.0, "Tous les candidats", 364.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "4723", "Licence - Economie et gestion - Parcours Economie-gestion Section internationale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4723&g_ta_cod=4723", 100.0, 0.0, 0.0),
(6941, "Public", "0570057C", "Lycée Robert Schuman", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée Robert Schuman - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 70, 1226, 564, 1149, 0, 188, 57, 340, 144, 164, 73, 457, 77, 5, 26, 0, 46, 419, 16, 0, 0, 122, 41, 136, 52, 102, 36, 59, 301, 67, 37, 62, 5, 9.0, 51.0, 62.0, 0, 21, 50, 11, 17, 22, 17, 0, 18, 17, 12, 3, 0.0, 1, 12, 19, 6, 3, 49, 49, 13.43, 76.12, 92.54, 55.1953125, 98.0, 98.0, 12, 42.0, 74.59375, 0.0, 36.0, 34.0, 24.0, 6.0, 0.0, 22.0, 2.0, 34.0, 24.0, 44.0, 38.0, 81.0, 28.0, 50.0, 14.0, 59.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 155.0, "Bacheliers professionnels toutes séries", 88, "Bacheliers technologiques toutes séries", 151, "Liste d'appel propre à cette formation", 34.0, "6534", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6534&g_ta_cod=6534", 27.0, 36.0, 37.0),
(6942, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence", "Université de Toulon - Licence - Portail Droit - Licence de Droit - Campus Toulon Centre Ville", "Licence - Droit-économie-gestion", "Licence de Droit - Campus Toulon Centre Ville", 532, 2793, 1971, 2413, 0, 1619, 400, 323, 125, 87, 40, 384, 380, 120, 36, 24, 200, 2398, 358, 0, 0, 1619, 400, 323, 125, 87, 40, 369, 2105, 564, 390, 435, 129, 83.0, 408.0, 497.0, 0, 120, 439, 327, 90, 22, 125, 4, 176, 175, 71, 12, 1.0, 195, 52, 12, 0, 0, 353, 353, 14.72, 72.34, 88.12, 69.09375, 80.390625, 80.390625, 0, 27.296875, 77.796875, 0.89990234375, 40.09375, 39.8984375, 16.19921875, 2.7, 0.2, 74.5, 44.3984375, 20.5, 11.798828125, 5.0, 2.69970703125, 1263.0, 313.0, 91.0, 43.0, 458.0, "Tous les candidats", 2454.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "10366", "Licence - Portail Droit - Licence de Droit - Campus Toulon Centre Ville", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30850&g_ta_cod=10366", 70.0, 20.0, 9.0),
(6943, "Public", "0380008C", "Lycée L'Oiselet", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Bourgoin-Jallieu", "formation sélective", "BTS", "Lycée L'Oiselet - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 34, 707, 344, 707, 0, 24, 4, 341, 137, 210, 86, 132, 0, 0, 0, 0, 0, 336, 0, 0, 0, 15, 3, 119, 44, 166, 67, 36, 132, 32, 14, 32, 0, 5.0, 20.0, 22.0, 0, 14, 27, 1, 12, 14, 5, 0, 9, 14, 2, 2, 0.0, 1, 10, 7, 5, 4, 25, 25, 15.63, 62.5, 68.75, 43.796875, 92.59375, 92.59375, 18.5, 51.8984375, 84.390625, 0.0, 33.296875, 51.8984375, 7.3994140625, 7.4, 0.0, 3.69970703125, 3.69970703125, 44.3984375, 37.0, 51.8984375, 25.8984375, 1.0, 1.0, 63.0, 27.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 21.0, "4915", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4915&g_ta_cod=4915", 3.0, 41.0, 56.0),
(6944, "Public", "0580031U", "Lycée Jules Renard", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "BTS", "Lycée Jules Renard - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 17, 133, 31, 133, 0, 5, 1, 39, 5, 10, 4, 79, 0, 0, 0, 0, 0, 109, 0, 0, 0, 5, 1, 35, 5, 5, 3, 64, 53, 16, 4, 16, 0, 3.0, 16.0, 16.0, 0, 1, 4, 0, 3, 1, 12, 0, 1, 3, 0, 0, 0.0, 0, 2, 1, 3, 0, 4, 4, 18.75, 100.0, 100.0, 25.0, 100.0, 100.0, 75, 25.0, 25.0, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 0.0, 0.0, 75.0, 50.0, 25.0, 25.0, 3.0, 1.0, 5.0, 3.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 52.0, "19746", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19746&g_ta_cod=19746", 75.0, 19.0, 6.0),
(6945, "Public", "9730429D", "Université de Guyane", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation non sélective", "Licence", "Université de Guyane - Licence - Portail Sciences de la vie et de la terre - Biochimie, biologie, biotechnologies - Guyane", "Licence - Sciences - technologies - santé", "Biochimie, biologie, biotechnologies - Guyane", 120, 398, 264, 284, 0, 158, 69, 46, 27, 22, 13, 58, 114, 22, 20, 11, 61, 281, 77, 0, 0, 157, 69, 46, 27, 22, 13, 56, 333, 85, 55, 50, 35, 17.0, 49.0, 67.0, 0, 29, 52, 24, 21, 7, 33, 6, 27, 13, 6, 0, 0.0, 11, 5, 3, 0, 0, 49, 49, 20.0, 57.65, 78.82, 64.6875, 94.1875, 94.1875, 0, 55.796875, 61.1953125, 11.5, 51.8984375, 25.0, 11.5, 0.0, 0.0, 46.1953125, 21.19921875, 40.3984375, 9.599609375, 13.5, 5.7998046875, 164.0, 68.0, 22.0, 13.0, 92.0, "Tous les candidats", 407.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "11868", "Licence - Portail Sciences de la vie et de la terre - Biochimie, biologie, biotechnologies - Guyane", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27750&g_ta_cod=11868", 44.0, 38.0, 19.0),
(6946, "Public", "0932059H", "Sup Galilée Paris", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 52, 4804, 1236, 4804, 0, 4142, 557, 0, 0, 0, 0, 662, 0, 0, 0, 0, 0, 3095, 0, 0, 0, 2889, 279, 0, 0, 0, 0, 206, 2017, 51, 14, 51, 0, 10.0, 33.0, 51.0, 0, 11, 46, 46, 0, 0, 5, 0, 1, 10, 27, 8, 0.0, 45, 0, 0, 0, 0, 14, 37, 19.61, 64.71, 100.0, 27.5, 30.3984375, 80.390625, 0, 23.8984375, 90.1875, 0.0, 2.19970703125, 21.69921875, 58.6953125, 17.4, 0.0, 100.0, 97.796875, 0.0, 0.0, 0.0, 0.0, 1874.0, 223.0, 0.0, 0.0, 143.0, "Autres candidats", 12799.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 60.0, "36", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=36", 100.0, 0.0, 0.0),
(6947, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation non sélective", "Licence", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Tronc Commun STAPS", "Licence - Sciences - technologies - santé", "Tronc Commun STAPS", 310, 3058, 794, 3058, 0, 1986, 227, 305, 59, 45, 11, 722, 0, 0, 0, 0, 0, 3037, 0, 0, 0, 1986, 227, 305, 59, 45, 11, 701, 903, 310, 104, 310, 0, 83.0, 281.0, 290.0, 0, 37, 284, 252, 22, 10, 26, 1, 76, 123, 73, 11, 0.0, 184, 14, 9, 0, 0, 213, 266, 26.77, 90.65, 93.55, 33.5, 75.0, 93.6875, 0, 13.0, 91.59375, 0.39996337890625, 26.796875, 43.296875, 25.69921875, 3.9, 0.0, 88.6875, 64.796875, 7.69921875, 4.8994140625, 3.5, 3.19970703125, 713.0, 89.0, 16.0, 4.0, 138.0, "Tous les candidats", 965.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "10922", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Tronc Commun STAPS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10922&g_ta_cod=10922", 87.0, 9.0, 3.0),
(6948, "Privé sous contrat d'association", "0781069N", "Lycée professionnel Agricole SULLY", "78", "Yvelines", "Ile-de-France", "Versailles", "Magnanville", "formation sélective", "BTS", "Lycée professionnel Agricole SULLY - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 30, 182, 59, 174, 0, 16, 5, 18, 4, 19, 1, 121, 8, 2, 1, 0, 5, 58, 1, 0, 0, 16, 5, 16, 3, 16, 1, 10, 54, 5, 0, 5, 0, 2.0, 5.0, 5.0, 0, 0, 4, 0, 0, 4, 1, 0, 0, 1, 3, 0, 0.0, 0, 0, 4, 3, 0, 3, 4, 40.0, 100.0, 100.0, 0.0, 75.0, 100.0, 75, 0.0, 80.0, 0.0, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 15.0, 4.0, 15.0, 1.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 33.0, "9965", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9965&g_ta_cod=9965", 0.0, 20.0, 80.0),
(6949, "Public", "0010819K", "Lycée agricole Les Sardieres", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "BTS", "Lycée agricole Les Sardieres - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 32, 293, 151, 269, 0, 13, 1, 42, 9, 45, 17, 169, 24, 8, 3, 0, 13, 102, 13, 0, 0, 13, 1, 37, 8, 39, 14, 13, 93, 24, 17, 20, 4, 7.0, 19.0, 23.0, 0, 6, 20, 2, 9, 9, 4, 0, 11, 7, 2, 0, 0.0, 1, 4, 4, 7, 4, 11, 11, 29.17, 79.17, 95.83, 70.796875, 55.0, 55.0, 35, 30.0, 83.296875, 0.0, 55.0, 35.0, 10.0, 0.0, 0.0, 10.0, 5.0, 45.0, 20.0, 45.0, 20.0, 18.0, 1.0, 31.0, 10.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 35.0, "2017", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2017&g_ta_cod=2017", 21.0, 38.0, 42.0),
(6950, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation non sélective", "PASS", "Université Sorbonne Paris Nord - Antenne de Bobigny - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Dispensée à l'Université Paris 8", 10, 2808, 1985, 2808, 0, 1828, 450, 68, 38, 24, 15, 888, 0, 0, 0, 0, 0, 2806, 0, 0, 0, 1828, 450, 68, 38, 24, 15, 886, 224, 10, 8, 10, 0, 0.0, 0.0, 8.0, 0, 3, 10, 9, 1, 0, 0, 0, 2, 1, 7, 0, 0.0, 8, 0, 0, 0, 0, 5, 10, 0.0, 0.0, 80.0, 80.0, 50.0, 100.0, 0, 30.0, 100.0, 0.0, 20.0, 10.0, 70.0, 0.0, 0.0, 90.0, 80.0, 10.0, 0.0, 0.0, 0.0, 213.0, 50.0, 0.0, 0.0, 10.0, "Tous les candidats", 3677.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "29026", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28682&g_ta_cod=29026", 90.0, 10.0, 0.0),
(6951, "Public", "0190855B", "I.U.T du Limousin - site de Brive", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BUT", "I.U.T du Limousin - site de Brive - BUT - Gestion des entreprises et des administrations Parcours : Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", 78, 950, 426, 741, 0, 381, 63, 206, 52, 11, 3, 143, 209, 61, 27, 2, 119, 456, 44, 0, 0, 258, 41, 129, 24, 0, 0, 69, 419, 66, 41, 48, 18, 24.0, 46.0, 64.0, 0, 7, 51, 30, 21, 0, 15, 0, 18, 29, 4, 0, 0.0, 20, 13, 0, 0, 0, 20, 20, 36.36, 69.7, 96.97, 62.09375, 39.1953125, 39.1953125, 0, 13.69921875, 77.296875, 0.0, 35.296875, 56.8984375, 7.7998046875, 0.0, 0.0, 58.796875, 39.1953125, 41.1953125, 25.5, 0.0, 0.0, 216.0, 36.0, 0.0, 0.0, 80.0, "Tous les candidats sauf les Bac technologiques", 310.0, "Bacheliers technologiques toutes séries", 155, "", 0, "Liste d'appel propre à cette formation", 62.0, "3168", "BUT - Gestion des entreprises et des administrations Parcours : Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3168&g_ta_cod=3168", 62.0, 38.0, 0.0),
(6952, "Public", "0491966W", "Lycée général et technologique Henri Bergson", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "CPGE", "Lycée général et technologique Henri Bergson - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 1672, 425, 1672, 1223, 1427, 151, 2, 0, 0, 0, 243, 0, 0, 0, 0, 0, 1359, 0, 854, 1210, 1303, 130, 1, 0, 0, 0, 55, 495, 47, 11, 47, 0, 33.0, 38.0, 45.0, 14, 5, 47, 47, 0, 0, 0, 0, 0, 0, 17, 28, 2.0, 47, 0, 0, 2, 0, 38, 38, 70.21, 80.85, 95.74, 23.3984375, 80.890625, 80.890625, 4.2998046875, 10.599609375, 100.0, 0.0, 0.0, 0.0, 36.1953125, 59.6, 4.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 488.0, 55.0, 0.0, 0.0, 7.0, "Tous les candidats", 500.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "5953", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5953&g_ta_cod=5953", 100.0, 0.0, 0.0),
(6953, "Public", "0541270M", "Lycée Hanzelet", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Pont-à-Mousson", "formation sélective", "BTS", "Lycée Hanzelet - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 191, 17, 168, 0, 1, 0, 26, 7, 71, 21, 70, 23, 0, 0, 17, 6, 74, 6, 0, 0, 1, 0, 20, 4, 43, 10, 10, 60, 13, 0, 9, 4, 3.0, 9.0, 13.0, 0, 5, 11, 0, 1, 10, 2, 0, 2, 4, 5, 0, 0.0, 0, 1, 8, 4, 0, 10, 10, 23.08, 69.23, 100.0, 0.0, 90.890625, 90.890625, 36.3984375, 45.5, 84.59375, 0.0, 18.19921875, 36.3984375, 45.5, 0.0, 0.0, 0.0, 0.0, 9.099609375, 9.099609375, 90.890625, 72.6875, 0.0, 0.0, 42.0, 10.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 41.0, "6310", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6310&g_ta_cod=6310", 0.0, 15.0, 85.0),
(6954, "Public", "0060015J", "Lycée professionnel des Coteaux", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "Autre formation", "Lycée professionnel des Coteaux - DN MADE - Spectacle - - Spécialité : Costume de scène", "DN MADE", "- Spécialité : Costume de scène", 15, 394, 372, 394, 0, 86, 13, 109, 22, 58, 15, 141, 0, 0, 0, 0, 0, 129, 0, 0, 0, 21, 2, 69, 10, 10, 2, 29, 39, 15, 15, 15, 0, 5.0, 13.0, 15.0, 0, 2, 14, 0, 14, 0, 1, 0, 1, 7, 5, 1, 0.0, 0, 13, 0, 0, 0, 0, 0, 33.33, 86.67, 100.0, 100.0, 0.0, 0.0, 0, 14.298828125, 93.296875, 0.0, 7.099609375, 50.0, 35.6953125, 7.1, 0.0, 0.0, 0.0, 100.0, 92.890625, 0.0, 0.0, 3.0, 0.0, 0.0, 0.0, 7.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "24346", "DN MADE - Spectacle - - Spécialité : Costume de scène", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24346&g_ta_cod=24346", 0.0, 93.0, 7.0),
(6955, "Public", "0271431J", "Lycée Jacques Prevert", "27", "Eure", "Normandie", "Normandie", "Pont-Audemer", "formation sélective", "BTS", "Lycée Jacques Prevert - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 24, 92, 10, 76, 0, 5, 1, 31, 7, 17, 6, 23, 16, 1, 2, 3, 10, 56, 9, 0, 0, 5, 1, 31, 7, 17, 6, 3, 62, 11, 0, 10, 1, 4.0, 10.0, 10.0, 0, 3, 10, 0, 7, 3, 1, 0, 5, 1, 3, 1, 0.0, 0, 2, 3, 5, 0, 9, 9, 36.36, 90.91, 90.91, 0.0, 90.0, 90.0, 50, 30.0, 90.890625, 0.0, 50.0, 10.0, 30.0, 10.0, 0.0, 0.0, 0.0, 70.0, 20.0, 30.0, 30.0, 6.0, 1.0, 19.0, 6.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 74.0, "3705", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3705&g_ta_cod=3705", 0.0, 73.0, 27.0),
(6956, "Public", "0512004B", "I.U.T. Reims-Châlons-Charleville - site de Châlons", "51", "Marne", "Grand Est", "Reims", "Châlons-en-Champagne", "formation sélective", "BUT", "I.U.T. Reims-Châlons-Charleville - site de Châlons - BUT - Carrières sociales parcours villes et territoires durables", "BUT - Service", "", 27, 239, 158, 212, 0, 101, 11, 52, 20, 6, 4, 53, 27, 2, 6, 2, 17, 196, 12, 0, 0, 96, 11, 48, 19, 3, 1, 49, 146, 17, 11, 15, 2, 1.0, 15.0, 15.0, 0, 3, 12, 8, 4, 0, 5, 0, 7, 3, 2, 0, 0.0, 4, 1, 0, 0, 0, 9, 9, 5.88, 88.24, 88.24, 64.6875, 75.0, 75.0, 0, 25.0, 70.59375, 0.0, 58.296875, 25.0, 16.69921875, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 8.298828125, 0.0, 0.0, 59.0, 9.0, 1.0, 1.0, 45.0, "Tous les candidats sauf les Bac technologiques", 136.0, "Bacheliers technologiques toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 91.0, "16731", "BUT - Carrières sociales parcours villes et territoires durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16731&g_ta_cod=16731", 76.0, 24.0, 0.0),
(6957, "Public", "0771986R", "IFSI Grand Hôpital Est Francilien-Site de Formation Meaux", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "IFSI", "Regroupement d'IFSI UPEC (P12)  - D.E Infirmier", "D.E secteur sanitaire", "", 62, 3343, 2932, 3343, 0, 354, 87, 562, 203, 494, 235, 1933, 0, 0, 0, 0, 0, 2237, 0, 0, 0, 329, 76, 387, 131, 307, 136, 1214, 624, 60, 53, 60, 0, 0.0, 32.0, 57.0, 0, 12, 41, 15, 16, 10, 19, 0, 7, 22, 12, 0, 0.0, 10, 16, 8, 0, 0, 27, 27, 0.0, 53.33, 95.0, 88.296875, 65.890625, 65.890625, 0, 29.296875, 68.296875, 0.0, 17.09765625, 53.6953125, 29.296875, 0.0, 0.0, 36.59375, 24.3984375, 39.0, 39.0, 24.3984375, 19.5, 153.0, 37.0, 84.0, 35.0, 294.0, "Tous les candidats", 2483.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "23273", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23006&g_ta_cod=23273", 47.0, 28.0, 25.0),
(6958, "Public", "0623911P", "Université d'Artois - Site de Lens", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "Autre formation", "Université d'Artois - Site de Lens - Diplôme d'Université - PAREO - Avenir-Sciences Expérimentales", "Diplôme d'Université", "Avenir-Sciences Expérimentales", 12, 55, 31, 19, 0, 5, 1, 6, 2, 1, 0, 7, 36, 13, 11, 3, 9, 19, 13, 0, 0, 5, 1, 6, 2, 1, 0, 7, 47, 9, 5, 1, 6, 1.0, 1.0, 9.0, 0, 6, 8, 4, 2, 2, 1, 0, 4, 4, 0, 0, 0.0, 2, 2, 0, 0, 0, 7, 7, 11.11, 11.11, 100.0, 55.59375, 87.5, 87.5, 0, 75.0, 88.890625, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 25.0, 25.0, 25.0, 25.0, 0.0, 20.0, 6.0, 3.0, 2.0, 9.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32169", "Diplôme d'Université - PAREO - Avenir-Sciences Expérimentales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32169&g_ta_cod=32169", 44.0, 33.0, 22.0),
(6959, "Public", "0750680G", "Lycée Arago", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "BTS", "Lycée Arago - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 5648, 2851, 5648, 0, 560, 144, 1885, 747, 1658, 833, 1545, 0, 0, 0, 0, 0, 4810, 0, 0, 0, 560, 144, 1885, 747, 846, 407, 1519, 165, 35, 20, 35, 0, 5.0, 33.0, 34.0, 0, 17, 27, 4, 11, 12, 8, 0, 9, 11, 7, 0, 0.0, 1, 7, 10, 0, 0, 23, 27, 14.29, 94.29, 97.14, 57.09375, 85.1875, 100.0, 0, 63.0, 77.09375, 0.0, 33.296875, 40.6953125, 25.8984375, 0.0, 0.0, 14.798828125, 3.69970703125, 40.6953125, 25.8984375, 44.3984375, 37.0, 16.0, 8.0, 37.0, 17.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 135, "Liste d'appel propre à cette formation", 4.0, "9047", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9047&g_ta_cod=9047", 20.0, 40.0, 40.0),
(6960, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Mondes anglophones", "Licence - Arts-lettres-langues", "Mondes anglophones", 175, 599, 454, 415, 0, 254, 81, 27, 13, 17, 8, 117, 184, 66, 12, 6, 100, 408, 176, 0, 0, 254, 81, 27, 13, 17, 8, 110, 560, 175, 120, 85, 86, 16.0, 84.0, 156.0, 0, 31, 81, 60, 15, 6, 94, 1, 33, 43, 4, 0, 0.0, 35, 6, 6, 0, 0, 36, 69, 9.14, 48.0, 89.14, 68.59375, 44.3984375, 85.1875, 0, 38.296875, 46.296875, 1.199951171875, 40.6953125, 53.09375, 4.8994140625, 0.0, 0.0, 74.09375, 43.1953125, 18.5, 7.3994140625, 7.3994140625, 7.3994140625, 310.0, 104.0, 20.0, 8.0, 194.0, "Tous les candidats", 407.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "30895", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Mondes anglophones", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30895&g_ta_cod=30895", 66.0, 19.0, 12.0),
(6961, "Public", "0622949U", "Lycée Mariette", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "CPGE", "Lycée Mariette - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 752, 235, 641, 428, 242, 39, 0, 0, 0, 0, 399, 111, 50, 1, 0, 60, 507, 19, 428, 227, 231, 37, 0, 0, 0, 0, 276, 224, 35, 11, 32, 3, 15.0, 32.0, 35.0, 17, 6, 26, 26, 0, 0, 9, 0, 2, 6, 12, 6, 0.0, 24, 0, 0, 5, 0, 19, 19, 42.86, 91.43, 100.0, 31.3984375, 73.09375, 73.09375, 19.19921875, 23.09765625, 74.296875, 0.0, 7.69921875, 23.09765625, 46.1953125, 23.1, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 195.0, 35.0, 0.0, 0.0, 29.0, "Tous les candidats", 238.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "7460", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7460&g_ta_cod=7460", 100.0, 0.0, 0.0),
(6962, "Public", "0920134W", "Lycée Jacques Prevert", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Boulogne-Billancourt", "formation sélective", "CPGE", "Lycée Jacques Prevert - CPGE - BCPST", "Classe préparatoire scientifique", "", 38, 1250, 868, 1230, 0, 1006, 106, 1, 1, 3, 2, 220, 20, 9, 1, 0, 10, 692, 6, 0, 692, 679, 69, 0, 0, 0, 0, 13, 439, 36, 27, 35, 1, 1.0, 4.0, 23.0, 0, 3, 35, 35, 0, 0, 1, 0, 0, 7, 26, 2, 0.0, 35, 0, 0, 1, 1, 20, 30, 2.78, 11.11, 63.89, 75.0, 57.09375, 85.6875, 2.89990234375, 8.599609375, 97.1875, 0.0, 0.0, 20.0, 74.296875, 5.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 426.0, 40.0, 0.0, 0.0, 13.0, "Tous les candidats", 550.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "10981", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10981&g_ta_cod=10981", 100.0, 0.0, 0.0),
(6963, "Public", "0772519V", "Université Paris- Est- Créteil Val de Marne UPEC - Antenne de Sénart", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lieusaint", "formation non sélective", "Licence", "Université Paris- Est- Créteil Val de Marne UPEC - Antenne de Sénart - Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquées Anglais/Espagnol - Site de Sénart", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées Anglais/Espagnol - Site de Sénart", 112, 757, 585, 757, 0, 424, 139, 100, 32, 33, 18, 200, 0, 0, 0, 0, 0, 756, 0, 0, 0, 424, 139, 100, 32, 33, 18, 199, 437, 109, 85, 109, 0, 10.0, 81.0, 101.0, 0, 30, 83, 50, 25, 8, 26, 0, 41, 35, 6, 1, 0.0, 28, 8, 6, 0, 0, 56, 81, 9.17, 74.31, 92.66, 78.0, 67.5, 97.59375, 0, 36.09375, 76.09375, 0.0, 49.3984375, 42.1953125, 7.19921875, 1.2, 0.0, 60.1953125, 33.6953125, 30.09765625, 9.599609375, 9.599609375, 7.19921875, 267.0, 81.0, 19.0, 10.0, 83.0, "Tous les candidats", 538.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "9936", "Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquées Anglais/Espagnol - Site de Sénart", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9936&g_ta_cod=9936", 56.0, 33.0, 10.0),
(6964, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Arts plastiques - Parcours Licence Arts Plastiques Option Arts du Spectacle", "Licence - Arts-lettres-langues", "Licence Arts Plastiques Option Arts du Spectacle", 85, 525, 414, 525, 0, 320, 85, 62, 19, 28, 8, 115, 0, 0, 0, 0, 0, 525, 0, 0, 0, 320, 85, 62, 19, 28, 8, 115, 334, 86, 60, 86, 0, 13.0, 70.0, 82.0, 0, 24, 71, 54, 11, 6, 15, 0, 24, 25, 19, 3, 0.0, 34, 7, 6, 0, 0, 48, 48, 15.12, 81.4, 95.35, 69.796875, 67.59375, 67.59375, 0, 33.796875, 82.59375, 0.0, 33.796875, 35.1953125, 26.796875, 4.2, 0.0, 76.09375, 47.8984375, 15.5, 9.8984375, 8.5, 8.5, 214.0, 56.0, 19.0, 5.0, 56.0, "Tous les candidats", 445.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "25330", "Licence - Arts plastiques - Parcours Licence Arts Plastiques Option Arts du Spectacle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25330&g_ta_cod=25330", 72.0, 14.0, 13.0),
(6965, "Public", "0560038M", "Lycée Joseph Loth", "56", "Morbihan", "Bretagne", "Rennes", "Pontivy", "formation sélective", "BTS", "Lycée Joseph Loth - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 614, 300, 555, 0, 50, 14, 155, 46, 52, 20, 298, 59, 9, 2, 8, 40, 237, 17, 0, 0, 43, 8, 108, 26, 39, 13, 47, 182, 18, 5, 16, 2, 2.0, 15.0, 17.0, 0, 4, 12, 3, 7, 2, 6, 0, 9, 3, 0, 0, 0.0, 0, 2, 1, 1, 1, 10, 10, 11.11, 83.33, 94.44, 27.796875, 83.296875, 83.296875, 8.298828125, 33.296875, 66.6875, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 25.0, 0.0, 58.296875, 16.69921875, 16.69921875, 8.298828125, 35.0, 6.0, 27.0, 8.0, 49.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 124, "Liste d'appel propre à cette formation", 42.0, "6434", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6434&g_ta_cod=6434", 39.0, 50.0, 11.0),
(6966, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Sciences de l'éducation - Parcours Sciences de l'Education mineure découverte en Arts et Lettres", "Licence - Sciences humaines et sociales", "Sciences de l'Education mineure découverte en Arts et Lettres", 100, 503, 439, 478, 0, 243, 57, 40, 11, 16, 7, 179, 25, 3, 3, 0, 19, 478, 24, 0, 0, 243, 57, 40, 11, 16, 7, 179, 371, 97, 86, 85, 12, 8.0, 72.0, 90.0, 0, 12, 46, 34, 9, 3, 51, 0, 20, 22, 3, 1, 0.0, 19, 4, 3, 0, 0, 20, 20, 8.25, 74.23, 92.78, 88.6875, 43.5, 43.5, 0, 26.09765625, 47.3984375, 0.0, 43.5, 47.796875, 6.5, 2.2, 0.0, 73.890625, 41.296875, 19.59765625, 8.69921875, 6.5, 6.5, 173.0, 40.0, 14.0, 7.0, 148.0, "Tous les candidats", 478.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "30971", "Licence - Sciences de l'éducation - Parcours Sciences de l'Education mineure découverte en Arts et Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30971&g_ta_cod=30971", 71.0, 23.0, 5.0),
(6967, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Lettres - Parcours Lettres classiques", "Licence - Arts-lettres-langues", "Lettres classiques", 70, 443, 320, 213, 0, 124, 32, 8, 5, 8, 4, 73, 230, 11, 6, 16, 197, 213, 220, 0, 0, 124, 32, 8, 5, 8, 4, 73, 433, 48, 26, 12, 36, 12.0, 12.0, 36.0, 0, 3, 10, 7, 2, 1, 38, 0, 5, 1, 3, 1, 0.0, 4, 1, 0, 0, 0, 5, 5, 25.0, 25.0, 75.0, 54.1953125, 50.0, 50.0, 0, 30.0, 20.796875, 0.0, 50.0, 10.0, 30.0, 10.0, 0.0, 70.0, 40.0, 20.0, 10.0, 10.0, 0.0, 134.0, 37.0, 24.0, 18.0, 261.0, "Tous les candidats", 213.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4156", "Licence - Lettres - Parcours Lettres classiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4156&g_ta_cod=4156", 65.0, 10.0, 13.0),
(6968, "Public", "9740737H", "Lycée professionnel de L'Horizon", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée professionnel de L'Horizon - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 12, 143, 4, 121, 0, 1, 0, 22, 11, 78, 49, 20, 22, 0, 7, 6, 9, 103, 3, 0, 0, 0, 0, 21, 10, 75, 49, 7, 54, 8, 0, 6, 2, 0.0, 5.0, 6.0, 0, 1, 5, 0, 1, 4, 3, 0, 3, 1, 1, 0, 0.0, 0, 1, 1, 1, 0, 4, 4, 0.0, 62.5, 75.0, 0.0, 80.0, 80.0, 20, 20.0, 62.5, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 0.0, 0.0, 20.0, 20.0, 80.0, 20.0, 0.0, 0.0, 33.0, 18.0, 5.0, "Bacheliers technologiques toutes séries", 21.0, "Bacheliers professionnels toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 64.0, "24184", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24184&g_ta_cod=24184", 13.0, 25.0, 63.0),
(6969, "Privé enseignement supérieur", "0062197F", "Ecole d'ingénieurs privée ECAM EPMI", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Grasse", "formation sélective", "Ecole d'Ingénieur", "ECAM-ECAM LaSalle - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 40, 942, 216, 912, 0, 779, 49, 0, 0, 0, 0, 133, 30, 14, 0, 0, 16, 702, 26, 0, 0, 637, 26, 0, 0, 0, 0, 65, 626, 23, 1, 18, 5, 7.0, 18.0, 22.0, 0, 3, 19, 19, 0, 0, 4, 0, 6, 12, 1, 0, 0.0, 13, 0, 0, 0, 0, 11, 11, 30.43, 78.26, 95.65, 4.2998046875, 57.8984375, 57.8984375, 0, 15.798828125, 82.59375, 0.0, 31.59765625, 63.1953125, 5.2998046875, 0.0, 0.0, 100.0, 68.390625, 0.0, 0.0, 0.0, 0.0, 559.0, 29.0, 0.0, 0.0, 67.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "29285", "Formation d'ingénieur Bac + 5 - Série générale", "ECAM-ECAM LaSalle", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29277&g_ta_cod=29285", 100.0, 0.0, 0.0),
(6970, "Privé sous contrat d'association", "0142182W", "ESITC Caen", "14", "Calvados", "Normandie", "Normandie", "Epron", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation Bac + 3 - Série générale, STI2D, STMG, STAV, STL, ST2S et bacs pros identifiés - Bachelors Technologiques » et « Bachelors hybrides Technologie et Management »", "Formations  des écoles d'ingénieurs", "Bachelor « Construction »", 40, 103, 18, 100, 0, 82, 7, 15, 0, 3, 0, 0, 3, 2, 1, 0, 0, 64, 2, 0, 0, 48, 2, 13, 0, 3, 0, 0, 66, 14, 3, 12, 2, 12.0, 12.0, 14.0, 0, 0, 14, 9, 4, 1, 0, 0, 7, 5, 2, 0, 0.0, 2, 4, 1, 0, 0, 8, 8, 85.71, 85.71, 100.0, 21.3984375, 57.09375, 57.09375, 0, 0.0, 100.0, 0.0, 50.0, 35.6953125, 14.298828125, 0.0, 0.0, 64.296875, 14.298828125, 28.59765625, 28.59765625, 7.099609375, 7.099609375, 49.0, 2.0, 3.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "33353", "Formation Bac + 3 - Série générale, STI2D, STMG, STAV, STL, ST2S et bacs pros identifiés - Bachelors Technologiques » et « Bachelors hybrides Technologie et Management »", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26463&g_ta_cod=33353", 64.0, 29.0, 7.0),
(6971, "Public", "0311902Z", "Lycée Stéphane Hessel", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Stéphane Hessel - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 30, 1717, 1337, 1717, 0, 357, 81, 628, 204, 71, 30, 661, 0, 0, 0, 0, 0, 830, 0, 0, 0, 161, 37, 413, 123, 44, 22, 212, 166, 32, 27, 32, 0, 3.0, 22.0, 27.0, 0, 6, 24, 3, 19, 2, 8, 0, 1, 12, 9, 2, 0.0, 3, 18, 2, 7, 7, 18, 18, 9.38, 68.75, 84.38, 84.390625, 75.0, 75.0, 29.19921875, 25.0, 75.0, 0.0, 4.19921875, 50.0, 37.5, 8.3, 0.0, 12.5, 12.5, 79.1875, 75.0, 8.298828125, 8.298828125, 21.0, 8.0, 8.0, 3.0, 52.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 87.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 143, "Liste d'appel propre à cette formation", 14.0, "4205", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4205&g_ta_cod=4205", 19.0, 72.0, 9.0),
(6972, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues étrangères appliquées - Parcours Espagnol / Italien", "Licence - Arts-lettres-langues", "Espagnol / Italien", 27, 129, 100, 60, 0, 16, 6, 14, 10, 3, 1, 27, 69, 13, 8, 12, 36, 59, 41, 0, 0, 16, 6, 14, 10, 3, 1, 26, 97, 23, 18, 9, 13, 4.0, 9.0, 13.0, 0, 5, 12, 3, 5, 4, 11, 0, 7, 4, 1, 0, 0.0, 1, 1, 3, 0, 0, 7, 8, 17.39, 39.13, 56.52, 78.296875, 58.296875, 66.6875, 0, 41.6953125, 52.1953125, 0.0, 58.296875, 33.296875, 8.298828125, 0.0, 0.0, 25.0, 8.298828125, 41.6953125, 8.298828125, 33.296875, 25.0, 25.0, 10.0, 8.0, 4.0, 47.0, "Tous les candidats", 58.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "28213", "Licence - Langues étrangères appliquées - Parcours Espagnol / Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28213&g_ta_cod=28213", 26.0, 48.0, 26.0),
(6973, "Privé sous contrat d'association", "0592928M", "Lycée Jeanne D'Arc", "59", "Nord", "Hauts-de-France", "Lille", "Aulnoye-Aymeries", "formation sélective", "Autre formation", "Lycée Jeanne D'Arc - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 35, 46, 23, 41, 0, 9, 0, 6, 3, 7, 7, 19, 5, 0, 1, 1, 3, 32, 5, 0, 0, 9, 0, 6, 3, 7, 7, 10, 37, 3, 2, 3, 0, 3.0, 3.0, 3.0, 0, 1, 2, 1, 0, 1, 1, 0, 1, 0, 0, 1, 0.0, 1, 0, 0, 0, 0, 2, 2, 100.0, 100.0, 100.0, 66.6875, 100.0, 100.0, 0, 50.0, 66.6875, 0.0, 50.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 50.0, 0.0, 9.0, 0.0, 8.0, 8.0, 13.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "6914", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6914&g_ta_cod=6914", 33.0, 0.0, 67.0),
(6974, "Public", "0910620E", "Lycée Robert Doisneau", "91", "Essonne", "Ile-de-France", "Versailles", "Corbeil-Essonnes", "formation sélective", "BTS", "Lycée Robert Doisneau - BTS - Production - Conception de produits industriels", "BTS - Production", "", 28, 348, 29, 292, 0, 12, 5, 122, 35, 66, 25, 92, 56, 0, 1, 29, 26, 139, 4, 0, 0, 7, 3, 71, 18, 37, 9, 24, 101, 17, 1, 14, 3, 2.0, 12.0, 14.0, 0, 5, 11, 0, 7, 4, 6, 0, 3, 6, 2, 0, 0.0, 0, 5, 3, 0, 0, 8, 9, 11.76, 70.59, 82.35, 5.8994140625, 72.6875, 81.796875, 0, 45.5, 64.6875, 0.0, 27.296875, 54.5, 18.19921875, 0.0, 0.0, 0.0, 0.0, 63.59375, 45.5, 36.3984375, 27.296875, 5.0, 1.0, 32.0, 9.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 45.0, "10840", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10840&g_ta_cod=10840", 0.0, 65.0, 35.0),
(6975, "Privé sous contrat d'association", "0594278E", "lycée E.P.I.D.", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "lycée E.P.I.D. - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 104, 7, 96, 0, 3, 1, 29, 1, 31, 7, 33, 8, 0, 0, 2, 6, 67, 3, 0, 0, 3, 1, 29, 1, 29, 7, 6, 67, 17, 2, 16, 1, 13.0, 16.0, 16.0, 0, 2, 13, 0, 7, 6, 4, 0, 2, 5, 5, 1, 0.0, 0, 5, 6, 7, 0, 13, 13, 76.47, 94.12, 94.12, 11.798828125, 100.0, 100.0, 53.796875, 15.3984375, 76.5, 0.0, 15.3984375, 38.5, 38.5, 7.7, 0.0, 0.0, 0.0, 53.796875, 38.5, 46.1953125, 46.1953125, 2.0, 1.0, 30.0, 7.0, 8.0, "Tous les candidats sauf les Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 70.0, "7104", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7104&g_ta_cod=7104", 12.0, 53.0, 35.0),
(6976, "Public", "0420046X", "Lycée Etienne Mimard", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "CPGE", "Lycée Etienne Mimard - CPGE - PTSI", "Classe préparatoire scientifique", "", 45, 607, 132, 606, 420, 439, 60, 1, 1, 0, 0, 166, 1, 1, 0, 0, 0, 456, 0, 331, 439, 422, 56, 0, 0, 0, 0, 34, 327, 39, 2, 39, 0, 11.0, 27.0, 36.0, 14, 6, 37, 37, 0, 0, 2, 0, 4, 14, 16, 3, 0.0, 33, 0, 0, 9, 1, 22, 22, 28.21, 69.23, 92.31, 5.099609375, 59.5, 59.5, 24.296875, 16.19921875, 94.890625, 0.0, 10.798828125, 37.796875, 43.1953125, 8.1, 0.0, 100.0, 89.1875, 0.0, 0.0, 0.0, 0.0, 318.0, 46.0, 0.0, 0.0, 9.0, "Tous les candidats", 394.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "5298", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5298&g_ta_cod=5298", 100.0, 0.0, 0.0),
(6977, "Public", "0340038G", "Lycée Joffre", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "CPGE", "Lycée Joffre - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 1103, 844, 1103, 658, 960, 150, 1, 1, 0, 0, 142, 0, 0, 0, 0, 0, 924, 0, 157, 917, 857, 127, 1, 1, 0, 0, 66, 389, 94, 84, 94, 0, 18.0, 76.0, 92.0, 9, 15, 89, 89, 0, 0, 5, 0, 0, 7, 34, 44, 4.0, 89, 0, 0, 5, 4, 68, 68, 19.15, 80.85, 97.87, 89.390625, 76.390625, 76.390625, 5.599609375, 16.8984375, 94.6875, 0.0, 0.0, 7.8994140625, 38.1953125, 49.4, 4.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 380.0, 56.0, 0.0, 0.0, 9.0, "Tous les candidats", 672.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "4485", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4485&g_ta_cod=4485", 100.0, 0.0, 0.0),
(6978, "Public", "0770938B", "Lycée André Malraux", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Montereau-Fault-Yonne", "formation sélective", "Autre formation", "Lycée André Malraux - DN MADE - Graphisme", "DN MADE", "- Spécialité : Evénementiel", 10, 585, 399, 415, 0, 138, 28, 81, 19, 49, 18, 147, 170, 37, 19, 29, 85, 115, 12, 0, 0, 39, 5, 42, 9, 12, 1, 22, 93, 9, 4, 3, 4, 0.0, 1.0, 5.0, 0, 1, 5, 0, 2, 3, 4, 0, 1, 4, 0, 0, 0.0, 0, 2, 2, 0, 0, 4, 4, 0.0, 11.11, 55.56, 44.3984375, 80.0, 80.0, 0, 20.0, 55.59375, 0.0, 20.0, 80.0, 0.0, 0.0, 0.0, 0.0, 0.0, 40.0, 40.0, 60.0, 40.0, 34.0, 6.0, 15.0, 1.0, 21.0, "Tous les candidats", 531.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "21946", "DN MADE - Graphisme", "Lycée André Malraux", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21912&g_ta_cod=21946", 33.0, 33.0, 33.0),
(6979, "Public", "0600048B", "Lycée professionnel Donation De Rothschild", "60", "Oise", "Hauts-de-France", "Amiens", "Saint-Maximin", "formation sélective", "Autre formation", "Lycée professionnel Donation De Rothschild - Mention complémentaire - Aéronautique option avions à moteur à turbines", "Mention complémentaire", "", 10, 86, 1, 86, 0, 0, 0, 1, 0, 78, 21, 7, 0, 0, 0, 0, 0, 58, 0, 0, 0, 0, 0, 0, 0, 52, 16, 6, 27, 10, 0, 10, 0, 1.0, 6.0, 10.0, 0, 1, 9, 0, 0, 9, 1, 0, 0, 6, 2, 1, 0.0, 0, 0, 9, 0, 0, 7, 7, 10.0, 60.0, 100.0, 0.0, 77.796875, 77.796875, 0, 11.099609375, 90.0, 0.0, 0.0, 66.6875, 22.19921875, 11.1, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 25.0, 7.0, 2.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "23492", "Mention complémentaire - Aéronautique option avions à moteur à turbines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23492&g_ta_cod=23492", 0.0, 0.0, 100.0),
(6980, "Public", "0830007G", "Lycée Raynouard", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Brignoles", "formation sélective", "BTS", "Lycée Raynouard - BTS - Services - Professions immobilières", "BTS - Services", "", 24, 567, 315, 567, 0, 122, 28, 169, 55, 124, 45, 152, 0, 0, 0, 0, 0, 388, 0, 0, 0, 112, 24, 144, 42, 66, 23, 66, 106, 21, 11, 21, 0, 5.0, 11.0, 17.0, 0, 8, 20, 5, 10, 5, 1, 0, 6, 13, 1, 0, 0.0, 3, 6, 5, 7, 2, 16, 16, 23.81, 52.38, 80.95, 52.3984375, 80.0, 80.0, 35, 40.0, 95.1875, 0.0, 30.0, 65.0, 5.0, 0.0, 0.0, 25.0, 15.0, 50.0, 30.0, 25.0, 25.0, 22.0, 5.0, 13.0, 4.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 23.0, "14756", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14756&g_ta_cod=14756", 29.0, 48.0, 24.0),
(6981, "Public", "0251821U", "Université de Franche-Comté - Site de Montbéliard", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Montbéliard - Licence - Langues étrangères appliquées - Parcours Choix d'1 parcours : Anglais-Allemand / Anglais-Espagnol / Anglais-Italien", "Licence - Arts-lettres-langues", "Choix d'1 parcours : Anglais-Allemand / Anglais-Espagnol / Anglais-Italien", 60, 293, 215, 270, 0, 162, 47, 35, 18, 11, 7, 62, 23, 2, 4, 1, 16, 266, 15, 0, 0, 162, 47, 35, 18, 11, 7, 58, 228, 55, 44, 48, 7, 11.0, 45.0, 50.0, 0, 16, 39, 31, 6, 2, 16, 0, 18, 14, 5, 2, 0.0, 19, 1, 1, 0, 0, 34, 34, 20.0, 81.82, 90.91, 80.0, 87.1875, 87.1875, 0, 41.0, 70.890625, 0.0, 46.1953125, 35.8984375, 12.798828125, 5.1, 0.0, 79.5, 48.6953125, 15.3984375, 2.599609375, 5.099609375, 2.599609375, 136.0, 41.0, 9.0, 6.0, 58.0, "Tous les candidats", 264.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "16915", "Licence - Langues étrangères appliquées - Parcours Choix d'1 parcours : Anglais-Allemand / Anglais-Espagnol / Anglais-Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16915&g_ta_cod=16915", 71.0, 20.0, 9.0),
(6982, "Privé sous contrat d'association", "0801479Y", "Lycée Saint Remi", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Autre formation", "Lycée Saint Remi - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 320, 126, 268, 0, 106, 21, 53, 11, 6, 0, 103, 52, 10, 7, 0, 35, 123, 3, 0, 0, 79, 13, 19, 2, 0, 0, 25, 99, 23, 9, 21, 2, 4.0, 21.0, 22.0, 0, 3, 14, 12, 2, 0, 9, 0, 2, 8, 2, 1, 1.0, 10, 2, 0, 0, 0, 9, 9, 17.39, 91.3, 95.65, 39.09375, 64.296875, 64.296875, 0, 21.3984375, 60.8984375, 0.0, 14.298828125, 57.09375, 14.298828125, 7.1, 7.1, 85.6875, 71.390625, 14.298828125, 14.298828125, 0.0, 0.0, 61.0, 9.0, 0.0, 0.0, 24.0, "Tous les candidats", 123.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "10232", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10232&g_ta_cod=10232", 83.0, 17.0, 0.0),
(6983, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "PASS", "Université de Brest - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 10, 1348, 883, 1348, 0, 936, 130, 32, 7, 11, 8, 369, 0, 0, 0, 0, 0, 1349, 0, 0, 0, 937, 131, 32, 7, 11, 8, 369, 131, 10, 9, 10, 0, 0.0, 5.0, 8.0, 0, 1, 8, 7, 1, 0, 2, 0, 0, 2, 4, 2, 0.0, 7, 1, 0, 0, 0, 8, 8, 0.0, 50.0, 80.0, 90.0, 100.0, 100.0, 0, 12.5, 80.0, 0.0, 0.0, 25.0, 50.0, 25.0, 0.0, 87.5, 87.5, 12.5, 12.5, 0.0, 0.0, 119.0, 15.0, 0.0, 0.0, 11.0, "Tous les candidats", 1503.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "28042", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27585&g_ta_cod=28042", 90.0, 10.0, 0.0),
(6984, "Public", "0590221V", "Lycée Henri Wallon", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "CPGE", "Lycée Henri Wallon - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 1128, 403, 1128, 881, 947, 110, 0, 0, 0, 0, 181, 0, 0, 0, 0, 0, 976, 0, 256, 965, 871, 91, 0, 0, 0, 0, 105, 480, 93, 38, 93, 0, 21.0, 67.0, 84.0, 24, 9, 90, 90, 0, 0, 3, 0, 0, 1, 32, 43, 14.0, 90, 0, 0, 3, 3, 88, 88, 22.58, 72.04, 90.32, 40.8984375, 97.796875, 97.796875, 3.2998046875, 10.0, 96.796875, 0.0, 0.0, 1.099853515625, 35.59375, 47.8, 15.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 456.0, 47.0, 0.0, 0.0, 24.0, "Tous les candidats", 664.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "6842", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6842&g_ta_cod=6842", 100.0, 0.0, 0.0),
(6985, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, Littératures et Civilisations Etrangères Allemand", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères Allemand", 40, 119, 82, 67, 0, 36, 5, 9, 2, 6, 5, 16, 52, 4, 4, 9, 35, 67, 48, 0, 0, 36, 5, 9, 2, 6, 5, 16, 114, 27, 20, 12, 15, 9.0, 12.0, 21.0, 0, 5, 11, 5, 3, 3, 16, 0, 6, 2, 1, 2, 0.0, 4, 0, 1, 0, 0, 9, 9, 33.33, 44.44, 77.78, 74.09375, 81.796875, 81.796875, 0, 45.5, 40.6953125, 0.0, 54.5, 18.19921875, 9.099609375, 18.2, 0.0, 45.5, 36.3984375, 27.296875, 0.0, 27.296875, 9.099609375, 40.0, 6.0, 13.0, 11.0, 48.0, "Tous les candidats", 66.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "8150", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, Littératures et Civilisations Etrangères Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8150&g_ta_cod=8150", 67.0, 22.0, 11.0),
(6986, "Privé sous contrat d'association", "0300125Y", "Lycée De La Salle", "30", "Gard", "Occitanie", "Montpellier", "Alès", "formation sélective", "BTS", "Lycée De La Salle - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 15, 136, 1, 136, 0, 14, 5, 38, 5, 59, 21, 25, 0, 0, 0, 0, 0, 105, 0, 0, 0, 12, 5, 35, 5, 45, 13, 13, 38, 14, 0, 14, 0, 5.0, 14.0, 14.0, 0, 4, 14, 1, 7, 6, 0, 0, 4, 7, 3, 0, 0.0, 0, 5, 5, 10, 0, 12, 12, 35.71, 100.0, 100.0, 0.0, 85.6875, 85.6875, 71.390625, 28.59765625, 100.0, 0.0, 28.59765625, 50.0, 21.3984375, 0.0, 0.0, 7.099609375, 0.0, 50.0, 35.6953125, 42.8984375, 35.6953125, 3.0, 1.0, 22.0, 10.0, 2.0, "Tous les candidats sauf les Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 29.0, "3975", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3975&g_ta_cod=3975", 7.0, 50.0, 43.0),
(6987, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Portail Mathématiques - MIP", "Licence - Sciences - technologies - santé", "MIP", 130, 1546, 446, 1463, 0, 1175, 137, 23, 9, 1, 0, 264, 83, 16, 3, 1, 63, 1463, 48, 0, 0, 1175, 137, 23, 9, 1, 0, 264, 934, 94, 26, 77, 17, 1.0, 63.0, 82.0, 0, 12, 54, 53, 1, 0, 40, 0, 13, 22, 15, 4, 0.0, 40, 1, 0, 0, 0, 51, 51, 1.06, 67.02, 87.23, 27.69921875, 94.390625, 94.390625, 0, 22.19921875, 57.3984375, 0.0, 24.09765625, 40.6953125, 27.796875, 7.4, 0.0, 98.09375, 74.09375, 1.89990234375, 1.89990234375, 0.0, 0.0, 705.0, 91.0, 1.0, 1.0, 223.0, "Tous les candidats", 1560.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "32043", "Licence - Portail Mathématiques - MIP", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32044&g_ta_cod=32043", 98.0, 1.0, 0.0),
(6988, "Public", "0572022N", "Lycée Felix Mayer", "57", "Moselle", "Grand Est", "Nancy-Metz", "Creutzwald", "formation sélective", "BTS", "Lycée Felix Mayer - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 271, 165, 213, 0, 21, 9, 60, 33, 76, 37, 56, 58, 2, 4, 18, 34, 112, 12, 0, 0, 17, 8, 39, 21, 53, 24, 3, 99, 21, 12, 13, 8, 1.0, 13.0, 19.0, 0, 8, 16, 5, 5, 6, 5, 0, 11, 1, 4, 0, 0.0, 1, 1, 3, 8, 3, 16, 16, 4.76, 61.9, 90.48, 57.09375, 100.0, 100.0, 50, 50.0, 76.1875, 0.0, 68.796875, 6.2998046875, 25.0, 0.0, 0.0, 31.296875, 6.2998046875, 31.296875, 6.2998046875, 37.5, 18.796875, 15.0, 6.0, 43.0, 18.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 52.0, "6591", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6591&g_ta_cod=6591", 29.0, 24.0, 48.0),
(6989, "Public", "0630022G", "Lycée professionnel Roger Claustres", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Autre formation", "Lycée professionnel Roger Claustres - Mention complémentaire - Aéronautique option avions à moteur à turbines", "Mention complémentaire", "", 9, 96, 3, 96, 0, 0, 0, 0, 0, 88, 19, 8, 0, 0, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 82, 18, 8, 46, 9, 0, 9, 0, 0.0, 2.0, 6.0, 0, 3, 9, 0, 0, 9, 0, 0, 3, 3, 2, 1, 0.0, 0, 0, 6, 0, 0, 2, 2, 0.0, 22.22, 66.67, 0.0, 22.19921875, 22.19921875, 0, 33.296875, 100.0, 0.0, 33.296875, 33.296875, 22.19921875, 11.1, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 46.0, 10.0, 0.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "19131", "Mention complémentaire - Aéronautique option avions à moteur à turbines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19131&g_ta_cod=19131", 0.0, 0.0, 100.0),
(6990, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Double Licence mention Langues, littératures & civilisations étrangères et régionales (LLCER) [Anglais] - mention LLCER [Allemand]", "Licence - Arts-lettres-langues", "Double Licence mention Langues, littératures & civilisations étrangères et régionales (LLCER) [Anglais] - mention LLCER [Allemand]", 10, 67, 51, 29, 0, 20, 1, 1, 1, 1, 0, 7, 38, 6, 1, 3, 28, 26, 13, 0, 0, 20, 1, 1, 1, 0, 0, 5, 34, 5, 5, 2, 3, 0.0, 2.0, 4.0, 0, 1, 3, 2, 1, 0, 2, 0, 1, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 2, 3, 0.0, 40.0, 80.0, 100.0, 66.6875, 100.0, 0, 33.296875, 60.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 18.0, 2.0, 0.0, 0.0, 14.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "24466", "Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Double Licence mention Langues, littératures & civilisations étrangères et régionales (LLCER) [Anglais] - mention LLCER [Allemand]", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24466&g_ta_cod=24466", 80.0, 20.0, 0.0),
(6991, "Privé sous contrat d'association", "0580071M", "Centre scolaire Notre-Dame", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "BTS", "Centre scolaire Notre-Dame - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 23, 176, 160, 144, 0, 15, 4, 37, 8, 51, 18, 41, 32, 4, 12, 2, 14, 96, 17, 0, 0, 11, 4, 29, 7, 40, 16, 16, 94, 18, 16, 12, 6, 2.0, 11.0, 15.0, 0, 4, 12, 1, 6, 5, 6, 0, 6, 4, 2, 0, 0.0, 1, 1, 4, 2, 2, 8, 8, 11.11, 61.11, 83.33, 88.890625, 66.6875, 66.6875, 16.69921875, 33.296875, 66.6875, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 8.298828125, 8.298828125, 50.0, 8.298828125, 41.6953125, 33.296875, 13.0, 4.0, 29.0, 12.0, 21.0, "Tous les candidats sauf les Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 62.0, "6687", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6687&g_ta_cod=6687", 22.0, 39.0, 39.0),
(6992, "Privé sous contrat d'association", "0940822H", "Lycée Claude-Nicolas LEDOUX / EBTP", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vincennes", "formation sélective", "Autre formation", "Lycée Claude-Nicolas LEDOUX / EBTP - DN MADE - Espace - - Spécialité : Environnement, cadres de vie Publics, Privés et Virtuels", "DN MADE", "- Spécialité : Environnement, cadres de vie Publics, Privés et Virtuels", 23, 314, 235, 314, 0, 138, 17, 54, 11, 24, 2, 98, 0, 0, 0, 0, 0, 128, 0, 0, 0, 60, 6, 41, 9, 9, 0, 18, 79, 23, 18, 23, 0, 4.0, 23.0, 23.0, 0, 3, 21, 13, 6, 2, 2, 0, 7, 10, 4, 0, 0.0, 9, 3, 2, 0, 0, 8, 16, 17.39, 100.0, 100.0, 78.296875, 38.09375, 76.1875, 0, 14.298828125, 91.296875, 0.0, 33.296875, 47.59375, 19.0, 0.0, 0.0, 61.8984375, 42.8984375, 28.59765625, 14.298828125, 9.5, 9.5, 31.0, 4.0, 5.0, 0.0, 12.0, "Tous les candidats", 109.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "21921", "DN MADE - Espace - - Spécialité : Environnement, cadres de vie Publics, Privés et Virtuels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21921&g_ta_cod=21921", 57.0, 35.0, 9.0),
(6993, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence_Las", "Université de La Réunion - Saint Denis - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 80, 1159, 817, 1152, 0, 758, 289, 79, 48, 6, 4, 309, 7, 3, 0, 0, 4, 1152, 5, 0, 0, 758, 289, 79, 48, 6, 4, 309, 524, 100, 68, 97, 3, 4.0, 47.0, 92.0, 0, 36, 73, 71, 2, 0, 27, 0, 23, 32, 10, 8, 0.0, 49, 1, 0, 0, 0, 64, 64, 4.0, 47.0, 92.0, 68.0, 87.6875, 87.6875, 0, 49.296875, 73.0, 0.0, 31.5, 43.796875, 13.69921875, 11.0, 0.0, 97.296875, 67.09375, 2.69970703125, 1.39990234375, 0.0, 0.0, 358.0, 131.0, 1.0, 1.0, 155.0, "Tous les candidats", 1360.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 92.0, "27560", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27559&g_ta_cod=27560", 94.0, 6.0, 0.0),
(6994, "Public", "0781578S", "Lycée Hotellerie Et Tourisme", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation sélective", "BTS", "Lycée Hotellerie Et Tourisme - BTS - Services - Tourisme", "BTS - Services", "", 70, 752, 556, 722, 0, 99, 25, 151, 50, 161, 83, 311, 30, 8, 0, 0, 22, 511, 0, 0, 0, 72, 18, 151, 50, 161, 83, 127, 253, 66, 47, 65, 0, 13.0, 54.0, 60.0, 0, 17, 52, 10, 24, 18, 14, 0, 21, 24, 5, 2, 0.0, 7, 14, 10, 6, 5, 39, 40, 19.7, 81.82, 90.91, 71.1875, 75.0, 76.890625, 11.5, 32.6953125, 78.796875, 0.0, 40.3984375, 46.1953125, 9.599609375, 3.8, 0.0, 19.19921875, 13.5, 46.1953125, 26.8984375, 34.59375, 19.19921875, 54.0, 15.0, 57.0, 28.0, 55.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 103.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 118, "Liste d'appel propre à cette formation", 41.0, "9974", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9974&g_ta_cod=9974", 30.0, 39.0, 30.0),
(6995, "Public", "9720004X", "Lycée Joseph Gaillard", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée Joseph Gaillard - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 23, 213, 24, 213, 0, 38, 9, 50, 23, 62, 35, 63, 0, 0, 0, 0, 0, 157, 0, 0, 0, 37, 9, 38, 16, 40, 25, 42, 80, 23, 0, 23, 0, 4.0, 20.0, 23.0, 0, 12, 22, 6, 7, 9, 1, 0, 13, 7, 1, 1, 0.0, 1, 4, 4, 7, 0, 20, 20, 17.39, 86.96, 100.0, 0.0, 90.890625, 90.890625, 31.796875, 54.5, 95.6875, 0.0, 59.09375, 31.796875, 4.5, 4.5, 0.0, 27.296875, 4.5, 31.796875, 18.19921875, 40.8984375, 18.19921875, 27.0, 5.0, 24.0, 16.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 51.0, "22024", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22024&g_ta_cod=22024", 26.0, 35.0, 39.0),
(6996, "Public", "0570057C", "Lycée Robert Schuman", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée Robert Schuman - BTS - Services - Gestion de la PME", "BTS - Services", "", 70, 1260, 753, 1260, 0, 106, 32, 428, 180, 324, 146, 402, 0, 0, 0, 0, 0, 908, 0, 0, 0, 99, 29, 388, 166, 276, 121, 145, 334, 69, 44, 69, 0, 9.0, 46.0, 57.0, 0, 30, 56, 8, 20, 28, 13, 0, 26, 24, 6, 0, 0.0, 2, 5, 23, 14, 6, 54, 54, 13.04, 66.67, 82.61, 63.796875, 96.390625, 96.390625, 25, 53.59375, 81.1875, 0.0, 46.3984375, 42.8984375, 10.69921875, 0.0, 0.0, 14.298828125, 3.599609375, 35.6953125, 8.8984375, 50.0, 41.09375, 55.0, 22.0, 88.0, 29.0, 49.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 107.0, "Bacheliers professionnels toutes séries", 121, "Bacheliers technologiques toutes séries", 257, "Liste d'appel propre à cette formation", 38.0, "6533", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6533&g_ta_cod=6533", 26.0, 33.0, 41.0),
(6997, "Public", "0580032V", "Lycée Raoul Follereau", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "BTS", "Lycée Raoul Follereau - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 253, 145, 243, 0, 16, 6, 55, 20, 48, 23, 124, 10, 2, 0, 0, 8, 114, 3, 0, 0, 12, 5, 51, 19, 42, 21, 9, 85, 20, 11, 20, 0, 2.0, 11.0, 15.0, 0, 7, 18, 0, 9, 9, 2, 0, 12, 4, 2, 0, 0.0, 0, 1, 5, 6, 4, 12, 12, 10.0, 55.0, 75.0, 55.0, 66.6875, 66.6875, 33.296875, 38.8984375, 90.0, 0.0, 66.6875, 22.19921875, 11.099609375, 0.0, 0.0, 0.0, 0.0, 50.0, 5.599609375, 50.0, 27.796875, 13.0, 4.0, 31.0, 14.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 40.0, "6678", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6678&g_ta_cod=6678", 0.0, 55.0, 45.0),
(6998, "Public", "0911990U", "I.U.T. d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "BUT", "I.U.T. d'Evry Val d'Essonne - BUT - Gestion logistique et transport", "BUT - Service", "", 39, 645, 178, 645, 0, 161, 32, 208, 87, 77, 41, 199, 0, 0, 0, 0, 0, 235, 0, 0, 0, 77, 11, 100, 41, 1, 1, 57, 160, 36, 6, 35, 0, 4.0, 31.0, 33.0, 0, 7, 25, 10, 15, 0, 11, 0, 9, 14, 2, 0, 0.0, 6, 10, 0, 0, 0, 7, 24, 11.11, 86.11, 91.67, 16.69921875, 28.0, 96.0, 0, 28.0, 69.390625, 0.0, 36.0, 56.0, 8.0, 0.0, 0.0, 40.0, 24.0, 60.0, 40.0, 0.0, 0.0, 47.0, 9.0, 1.0, 1.0, 46.0, "Tous les candidats sauf les Bac technologiques", 101.0, "Bacheliers technologiques toutes séries", 112, "", 0, "Liste d'appel propre à cette formation", 33.0, "10963", "BUT - Gestion logistique et transport", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10963&g_ta_cod=10963", 50.0, 50.0, 0.0),
(6999, "Public", "0450062Y", "Lycée Duhamel du Monceau", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Pithiviers", "formation sélective", "BTS", "Lycée Duhamel du Monceau - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 441, 264, 393, 0, 18, 4, 77, 25, 79, 38, 219, 48, 0, 2, 17, 29, 165, 11, 0, 0, 14, 3, 58, 18, 55, 24, 38, 133, 22, 15, 16, 6, 4.0, 14.0, 15.0, 0, 5, 17, 2, 6, 9, 5, 0, 11, 1, 5, 0, 0.0, 1, 1, 4, 6, 3, 17, 17, 18.18, 63.64, 68.18, 68.1875, 100.0, 100.0, 35.296875, 29.3984375, 77.296875, 0.0, 64.6875, 5.8994140625, 29.3984375, 0.0, 0.0, 11.798828125, 5.8994140625, 35.296875, 5.8994140625, 52.8984375, 23.5, 10.0, 2.0, 52.0, 21.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 39.0, "5665", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5665&g_ta_cod=5665", 9.0, 45.0, 45.0),
(7000, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence_Las", "Université de Paris - Licence - Portail Psychologie - Sciences Psychologiques", "Licence - Sciences humaines et sociales", "Sciences Psychologiques", 80, 5130, 4363, 5130, 0, 2525, 587, 269, 104, 104, 47, 2232, 0, 0, 0, 0, 0, 5130, 0, 0, 0, 2525, 587, 269, 104, 104, 47, 2232, 602, 77, 67, 75, 0, 4.0, 36.0, 57.0, 0, 13, 52, 51, 1, 0, 25, 0, 0, 8, 33, 11, 0.0, 51, 1, 0, 0, 0, 8, 42, 5.19, 46.75, 74.03, 87.0, 15.3984375, 80.796875, 0, 25.0, 67.5, 0.0, 0.0, 15.3984375, 63.5, 21.2, 0.0, 98.09375, 98.09375, 1.89990234375, 1.89990234375, 0.0, 0.0, 387.0, 73.0, 4.0, 3.0, 206.0, "Tous les candidats", 1555.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "29392", "Licence - Portail Psychologie - Sciences Psychologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29391&g_ta_cod=29392", 96.0, 4.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(7001, "Privé enseignement supérieur", "0922707T", "Faculté de Droit campus Issy-les-Moulineaux - Institut Catholique de Lille", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Issy-les-Moulineaux", "formation sélective", "Licence", "Faculté de Droit campus Issy-les-Moulineaux ? Institut Catholique de Lille - Licence - Droit - Parcours Droit & Culture Juridique", "Licence - Droit-économie-gestion", "Droit & Culture Juridique", 130, 833, 566, 833, 0, 634, 58, 69, 16, 4, 2, 126, 0, 0, 0, 0, 0, 707, 0, 0, 0, 612, 53, 21, 3, 0, 0, 74, 497, 146, 102, 146, 0, 102.0, 121.0, 146.0, 0, 12, 131, 125, 6, 0, 15, 1, 36, 69, 23, 2, 0.0, 88, 6, 0, 0, 0, 60, 112, 69.86, 82.88, 100.0, 69.890625, 45.796875, 85.5, 0, 9.19921875, 89.6875, 0.7999267578125, 27.5, 52.6953125, 17.59765625, 1.5, 0.0, 95.390625, 67.1875, 4.599609375, 4.599609375, 0.0, 0.0, 453.0, 39.0, 0.0, 0.0, 30.0, "Tous les candidats", 521.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "13446", "Licence - Droit - Parcours Droit & Culture Juridique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13446&g_ta_cod=13446", 95.0, 5.0, 0.0),
(7002, "Privé enseignement supérieur", "0351603R", "ASKORIA - site de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "EFTS", "ASKORIA - D.E Educateur Spécialisé", "D.E secteur social", "", 80, 914, 778, 914, 0, 148, 17, 120, 19, 66, 20, 580, 0, 0, 0, 0, 0, 677, 0, 0, 0, 87, 14, 75, 10, 39, 12, 476, 167, 77, 64, 77, 0, 33.0, 67.0, 76.0, 0, 2, 14, 6, 2, 6, 63, 0, 1, 7, 5, 1, 0.0, 5, 2, 6, 0, 0, 7, 7, 42.86, 87.01, 98.7, 83.09375, 50.0, 50.0, 0, 14.298828125, 18.19921875, 0.0, 7.099609375, 50.0, 35.6953125, 7.1, 0.0, 42.8984375, 35.6953125, 14.298828125, 14.298828125, 42.8984375, 42.8984375, 12.0, 4.0, 8.0, 1.0, 142.0, "Tous les candidats", 220.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "25004", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24974&g_ta_cod=25004", 58.0, 22.0, 17.0),
(7003, "Public", "0561698S", "Lycée Jean Macé", "56", "Morbihan", "Bretagne", "Rennes", "Lanester", "formation sélective", "BTS", "Lycée Jean Macé - BTS - Services - Métiers des Services à l'environnement", "BTS - Services", "", 15, 234, 71, 224, 0, 46, 6, 65, 10, 10, 3, 103, 10, 1, 5, 1, 3, 135, 5, 0, 0, 43, 5, 61, 9, 7, 3, 24, 77, 12, 6, 8, 4, 2.0, 5.0, 9.0, 0, 2, 9, 4, 3, 2, 3, 0, 4, 5, 0, 0, 0.0, 1, 2, 2, 0, 0, 7, 7, 16.67, 41.67, 75.0, 50.0, 77.796875, 77.796875, 0, 22.19921875, 75.0, 0.0, 44.3984375, 55.59375, 0.0, 0.0, 0.0, 44.3984375, 11.099609375, 33.296875, 22.19921875, 22.19921875, 22.19921875, 17.0, 2.0, 7.0, 3.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 59.0, "6494", "BTS - Services - Métiers des Services à l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6494&g_ta_cod=6494", 42.0, 33.0, 25.0),
(7004, "Privé enseignement supérieur", "0772797X", "ICAM Paris Sénart", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lieusaint", "formation sélective", "Ecole d'Ingénieur", "GROUPE ICAM - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "", 48, 1116, 203, 1092, 0, 970, 27, 23, 3, 0, 0, 99, 24, 5, 2, 0, 17, 634, 9, 0, 0, 607, 16, 0, 0, 0, 0, 27, 560, 27, 11, 24, 3, 17.0, 24.0, 27.0, 0, 0, 23, 23, 0, 0, 4, 0, 0, 12, 11, 0, 0.0, 23, 0, 0, 0, 0, 8, 19, 62.96, 88.89, 100.0, 40.6953125, 34.796875, 82.59375, 0, 0.0, 85.1875, 0.0, 0.0, 52.1953125, 47.796875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 526.0, 17.0, 0.0, 0.0, 34.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "24656", "Formation d'ingénieur Bac + 5", "GROUPE ICAM", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24652&g_ta_cod=24656", 100.0, 0.0, 0.0),
(7005, "Public", "0930121B", "Lycée Jean Jaurès", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "BTS", "Lycée Jean Jaurès - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1265, 592, 1265, 0, 57, 20, 398, 202, 423, 231, 387, 0, 0, 0, 0, 0, 539, 0, 0, 0, 40, 13, 195, 99, 202, 112, 102, 128, 34, 18, 34, 0, 8.0, 28.0, 31.0, 0, 10, 23, 1, 9, 13, 11, 0, 6, 10, 7, 0, 0.0, 0, 6, 11, 4, 2, 20, 23, 23.53, 82.35, 91.18, 52.8984375, 87.0, 100.0, 17.3984375, 43.5, 67.59375, 0.0, 26.09765625, 43.5, 30.3984375, 0.0, 0.0, 4.2998046875, 0.0, 39.09375, 26.09765625, 56.5, 47.796875, 13.0, 7.0, 47.0, 21.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 86, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 12.0, "11181", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11181&g_ta_cod=11181", 9.0, 44.0, 47.0),
(7006, "Public", "0010016M", "Lycée Joseph-Marie Carriat", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "BTS", "Lycée Joseph-Marie Carriat - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 270, 11, 270, 0, 12, 4, 81, 16, 91, 29, 86, 0, 0, 0, 0, 0, 149, 0, 0, 0, 10, 3, 64, 9, 62, 15, 13, 82, 21, 1, 21, 0, 7.0, 20.0, 21.0, 0, 8, 20, 0, 11, 9, 1, 0, 5, 10, 4, 1, 0.0, 0, 7, 8, 7, 0, 14, 14, 33.33, 95.24, 100.0, 4.7998046875, 70.0, 70.0, 35, 40.0, 95.1875, 0.0, 25.0, 50.0, 20.0, 5.0, 0.0, 0.0, 0.0, 55.0, 35.0, 45.0, 40.0, 7.0, 2.0, 34.0, 11.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 43.0, "2007", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2007&g_ta_cod=2007", 0.0, 52.0, 48.0),
(7007, "Privé sous contrat d'association", "0260074P", "Lycée Montplaisir", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "CPGE", "Lycée Montplaisir - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 30, 140, 67, 132, 0, 0, 0, 117, 27, 0, 0, 15, 8, 0, 4, 0, 4, 125, 7, 0, 125, 0, 0, 114, 24, 0, 0, 11, 116, 18, 9, 16, 2, 4.0, 16.0, 16.0, 0, 2, 13, 0, 13, 0, 5, 0, 6, 4, 3, 0, 0.0, 0, 7, 0, 2, 0, 8, 8, 22.22, 88.89, 88.89, 50.0, 61.5, 61.5, 15.3984375, 15.3984375, 72.1875, 0.0, 46.1953125, 30.796875, 23.09765625, 0.0, 0.0, 0.0, 0.0, 100.0, 53.796875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 12.0, "Tous les candidats", 124.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "3629", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3629&g_ta_cod=3629", 0.0, 100.0, 0.0),
(7008, "Public", "9740043D", "Lycée Sarda Garriga", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-André", "formation sélective", "Autre formation", "Lycée Sarda Garriga - CPES - Sciences économiques", "Classe préparatoire aux études supérieures", "", 24, 126, 70, 107, 0, 9, 4, 37, 26, 51, 38, 10, 19, 2, 7, 7, 3, 64, 12, 0, 0, 6, 2, 20, 14, 36, 28, 2, 68, 17, 12, 10, 7, 3.0, 10.0, 14.0, 0, 14, 17, 1, 10, 6, 0, 0, 9, 7, 1, 0, 0.0, 0, 5, 3, 0, 0, 16, 16, 17.65, 58.82, 82.35, 70.59375, 94.09375, 94.09375, 0, 82.390625, 100.0, 0.0, 52.8984375, 41.1953125, 5.8994140625, 0.0, 0.0, 5.8994140625, 0.0, 58.796875, 29.3984375, 35.296875, 17.59765625, 5.0, 2.0, 37.0, 30.0, 2.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "33814", "CPES - Sciences économiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33814&g_ta_cod=33814", 6.0, 59.0, 35.0),
(7009, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence_Las", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS", "Licence - Sciences - technologies - santé", "STAPS", 20, 1127, 441, 1127, 0, 785, 79, 121, 21, 22, 5, 199, 0, 0, 0, 0, 0, 1126, 0, 0, 0, 785, 79, 121, 21, 22, 5, 198, 98, 19, 5, 19, 0, 1.0, 9.0, 12.0, 0, 3, 13, 13, 0, 0, 6, 0, 2, 8, 2, 1, 0.0, 11, 0, 0, 0, 0, 6, 6, 5.26, 47.37, 63.16, 26.296875, 46.1953125, 46.1953125, 0, 23.09765625, 68.390625, 0.0, 15.3984375, 61.5, 15.3984375, 7.7, 0.0, 100.0, 84.59375, 0.0, 0.0, 0.0, 0.0, 39.0, 8.0, 1.0, 1.0, 55.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "27086", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27085&g_ta_cod=27086", 89.0, 5.0, 5.0),
(7010, "Public", "0620070P", "Lycée Diderot", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Carvin", "formation sélective", "BTS", "Lycée Diderot - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 447, 208, 418, 0, 40, 16, 83, 39, 59, 39, 236, 29, 3, 3, 2, 21, 147, 7, 0, 0, 36, 15, 75, 34, 36, 24, 0, 101, 21, 7, 16, 5, 4.0, 14.0, 16.0, 0, 13, 20, 3, 9, 8, 1, 0, 10, 7, 3, 0, 0.0, 0, 5, 5, 5, 0, 20, 20, 19.05, 66.67, 76.19, 33.296875, 100.0, 100.0, 25, 65.0, 95.1875, 0.0, 50.0, 35.0, 15.0, 0.0, 0.0, 15.0, 0.0, 45.0, 25.0, 40.0, 25.0, 22.0, 7.0, 34.0, 23.0, 3.0, "Tous les candidats sauf les Bac professionnels", 111.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 35.0, "7366", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7366&g_ta_cod=7366", 19.0, 43.0, 38.0),
(7011, "Public", "0070004S", "Lycée Astier", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Aubenas", "formation sélective", "BTS", "Lycée Astier - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 382, 74, 321, 0, 30, 4, 63, 23, 32, 13, 196, 61, 3, 22, 14, 22, 96, 21, 0, 0, 27, 4, 45, 15, 17, 5, 7, 94, 19, 0, 15, 4, 7.0, 15.0, 17.0, 0, 4, 15, 3, 8, 4, 4, 3, 8, 1, 3, 0, 0.0, 0, 0, 4, 5, 0, 12, 12, 36.84, 78.95, 89.47, 0.0, 80.0, 80.0, 33.296875, 26.69921875, 78.890625, 20.0, 53.296875, 6.69921875, 20.0, 0.0, 0.0, 20.0, 0.0, 53.296875, 0.0, 26.69921875, 26.69921875, 22.0, 3.0, 19.0, 6.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 29.0, "2333", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2333&g_ta_cod=2333", 16.0, 58.0, 26.0),
(7012, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence_Las", "Université d'Amiens - Licence - Portail Informatique", "Licence - Sciences - technologies - santé", "", 18, 202, 40, 176, 0, 90, 22, 9, 0, 1, 1, 76, 26, 11, 0, 0, 15, 174, 25, 0, 0, 90, 22, 9, 0, 1, 1, 74, 138, 20, 5, 14, 6, 2.0, 11.0, 16.0, 0, 1, 14, 12, 2, 0, 6, 0, 7, 3, 2, 2, 0.0, 6, 1, 0, 0, 0, 8, 8, 10.0, 55.0, 80.0, 25.0, 57.09375, 57.09375, 0, 7.099609375, 70.0, 0.0, 50.0, 21.3984375, 14.298828125, 14.3, 0.0, 85.6875, 42.8984375, 14.298828125, 7.099609375, 0.0, 0.0, 76.0, 20.0, 1.0, 1.0, 54.0, "Tous les candidats", 867.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "28631", "Licence - Portail Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28630&g_ta_cod=28631", 80.0, 10.0, 10.0),
(7013, "Public", "0754475G", "Lycée Léonard de Vinci", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "BTS", "Lycée Léonard de Vinci - BTS - Production - Etude et réalisation d'agencement (Seconde année en apprentissage)", "BTS - Production", "", 15, 753, 432, 753, 0, 123, 25, 152, 45, 277, 93, 201, 0, 0, 0, 0, 0, 226, 0, 0, 0, 27, 2, 50, 15, 144, 46, 5, 42, 15, 13, 15, 0, 4.0, 10.0, 11.0, 0, 4, 15, 3, 4, 8, 0, 0, 2, 9, 3, 1, 0.0, 2, 4, 7, 0, 0, 0, 13, 26.67, 66.67, 73.33, 86.6875, 0.0, 86.6875, 0, 26.69921875, 100.0, 0.0, 13.298828125, 60.0, 20.0, 6.7, 0.0, 20.0, 13.298828125, 26.69921875, 26.69921875, 53.296875, 46.6953125, 10.0, 2.0, 19.0, 8.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 5.0, "15697", "BTS - Production - Etude et réalisation d'agencement (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15697&g_ta_cod=15697", 20.0, 27.0, 53.0),
(7014, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - STAPS", "", 420, 2753, 894, 2673, 0, 1740, 213, 305, 74, 87, 21, 541, 80, 20, 9, 3, 48, 2667, 79, 0, 0, 1740, 213, 305, 74, 87, 21, 535, 1369, 407, 106, 360, 47, 179.0, 247.0, 316.0, 0, 50, 344, 291, 35, 18, 63, 0, 175, 127, 36, 5, 1.0, 142, 15, 12, 0, 0, 303, 303, 43.98, 60.69, 77.64, 26.0, 88.09375, 88.09375, 0, 14.5, 84.5, 0.0, 50.8984375, 36.8984375, 10.5, 1.5, 0.3, 84.59375, 41.296875, 10.19921875, 4.3994140625, 5.19921875, 3.5, 838.0, 108.0, 39.0, 14.0, 386.0, "Tous les candidats", 1234.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "3526", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27288&g_ta_cod=3526", 82.0, 12.0, 6.0),
(7015, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Portail LLCER Anglais disciplinaire", "Licence - Arts-lettres-langues", "Anglais (en présentiel)", 275, 1407, 1010, 1176, 0, 858, 246, 71, 19, 40, 17, 207, 231, 49, 17, 8, 157, 1174, 207, 0, 0, 858, 246, 71, 19, 40, 17, 205, 1075, 255, 172, 174, 81, 94.0, 173.0, 228.0, 0, 54, 155, 127, 13, 15, 100, 3, 53, 66, 26, 7, 0.0, 83, 6, 10, 0, 0, 126, 126, 36.86, 67.84, 89.41, 67.5, 81.296875, 81.296875, 0, 34.796875, 60.796875, 1.89990234375, 34.1953125, 42.59375, 16.796875, 4.5, 0.0, 81.890625, 53.5, 8.3984375, 3.89990234375, 9.69921875, 6.5, 670.0, 196.0, 42.0, 20.0, 294.0, "Tous les candidats", 1387.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27535", "Licence - Portail LLCER Anglais disciplinaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27533&g_ta_cod=27535", 77.0, 12.0, 10.0),
(7016, "Public", "0910975R", "Lycée Jean Pierre Timbaud", "91", "Essonne", "Ile-de-France", "Versailles", "Brétigny-sur-Orge", "formation sélective", "BTS", "Lycée Jean Pierre Timbaud - BTS - Production - Management économique de la construction", "BTS - Production", "", 30, 278, 56, 278, 0, 16, 4, 66, 21, 119, 39, 77, 0, 0, 0, 0, 0, 278, 0, 0, 0, 16, 4, 66, 21, 119, 39, 77, 125, 31, 3, 31, 0, 4.0, 25.0, 26.0, 0, 12, 27, 2, 10, 15, 4, 0, 16, 7, 4, 0, 0.0, 0, 3, 8, 3, 0, 24, 25, 12.9, 80.65, 83.87, 9.69921875, 88.890625, 92.59375, 11.099609375, 44.3984375, 87.09375, 0.0, 59.296875, 25.8984375, 14.798828125, 0.0, 0.0, 7.3994140625, 0.0, 37.0, 11.099609375, 55.59375, 29.59765625, 11.0, 4.0, 56.0, 15.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 46.0, "10906", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10906&g_ta_cod=10906", 13.0, 39.0, 48.0),
(7017, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "", 80, 490, 98, 420, 0, 219, 83, 128, 74, 5, 2, 68, 70, 14, 6, 2, 48, 420, 47, 0, 0, 219, 83, 128, 74, 5, 2, 68, 358, 58, 5, 41, 17, 1.0, 38.0, 49.0, 0, 17, 35, 20, 15, 0, 23, 0, 19, 15, 1, 0, 0.0, 11, 5, 0, 0, 0, 32, 32, 1.72, 65.52, 84.48, 8.599609375, 91.390625, 91.390625, 0, 48.59375, 60.296875, 0.0, 54.296875, 42.8984375, 2.89990234375, 0.0, 0.0, 57.09375, 31.3984375, 42.8984375, 14.298828125, 0.0, 0.0, 172.0, 65.0, 6.0, 3.0, 89.0, "Tous les candidats", 420.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26391", "Licence - Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26391&g_ta_cod=26391", 55.0, 33.0, 12.0),
(7018, "Public", "0672198A", "Lycée Le Corbusier", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "BTS", "Lycée Le Corbusier - BTS - Production - Bâtiment", "BTS - Production", "", 29, 416, 67, 408, 0, 68, 14, 149, 40, 74, 24, 117, 8, 0, 0, 2, 6, 341, 0, 0, 0, 68, 14, 149, 40, 74, 24, 50, 135, 26, 5, 26, 0, 2.0, 17.0, 20.0, 0, 9, 24, 5, 13, 6, 2, 0, 12, 10, 2, 0, 0.0, 3, 6, 3, 8, 1, 21, 21, 7.69, 65.38, 76.92, 19.19921875, 87.5, 87.5, 33.296875, 37.5, 92.296875, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 20.796875, 12.5, 54.1953125, 25.0, 25.0, 12.5, 35.0, 9.0, 27.0, 10.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 51.0, "7993", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7993&g_ta_cod=7993", 23.0, 50.0, 27.0),
(7019, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Langues étrangères appliquées - Parcours Anglais-Français sur objectifs spécifiques appliqués aux affaires", "Licence - Arts-lettres-langues", "Anglais-Français sur objectifs spécifiques appliqués aux affaires", 15, 332, 213, 176, 0, 89, 26, 8, 5, 10, 9, 69, 156, 26, 10, 10, 110, 23, 9, 0, 0, 4, 1, 1, 1, 0, 0, 18, 32, 11, 8, 5, 6, 4.0, 5.0, 8.0, 0, 0, 0, 0, 0, 0, 11, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 36.36, 45.45, 72.73, 72.6875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6.0, 1.0, 0.0, 0.0, 25.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "26350", "Licence - Langues étrangères appliquées - Parcours Anglais-Français sur objectifs spécifiques appliqués aux affaires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26350&g_ta_cod=26350", 91.0, 9.0, 0.0),
(7020, "Public", "0721553X", "ENSIM Le Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 50, 3673, 859, 3661, 0, 3133, 270, 0, 0, 0, 0, 528, 12, 6, 0, 0, 6, 2380, 0, 0, 0, 2211, 139, 0, 0, 0, 0, 169, 2159, 22, 6, 22, 0, 15.0, 22.0, 22.0, 0, 1, 22, 22, 0, 0, 0, 0, 0, 6, 14, 2, 0.0, 22, 0, 0, 0, 0, 6, 6, 68.18, 100.0, 100.0, 27.296875, 27.296875, 27.296875, 0, 4.5, 100.0, 0.0, 0.0, 27.296875, 63.59375, 9.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1996.0, 139.0, 0.0, 0.0, 163.0, "Autres candidats", 13682.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 65.0, "123", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=123", 100.0, 0.0, 0.0),
(7021, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Université Angers - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", "", 20, 421, 231, 411, 0, 229, 48, 26, 13, 12, 5, 144, 10, 3, 1, 0, 6, 388, 6, 0, 0, 229, 48, 26, 13, 12, 5, 121, 180, 19, 13, 15, 4, 1.0, 10.0, 14.0, 0, 4, 11, 10, 1, 0, 8, 0, 5, 5, 1, 0, 0.0, 6, 0, 0, 0, 0, 9, 9, 5.26, 52.63, 73.68, 68.390625, 81.796875, 81.796875, 0, 36.3984375, 57.8984375, 0.0, 45.5, 45.5, 9.099609375, 0.0, 0.0, 90.890625, 54.5, 9.099609375, 0.0, 0.0, 0.0, 100.0, 19.0, 6.0, 1.0, 66.0, "Tous les candidats", 2456.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "27333", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27332&g_ta_cod=27333", 74.0, 21.0, 5.0),
(7022, "Public", "0330028B", "Lycée Gustave Eiffel", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Autre formation", "Lycée Gustave Eiffel - Diplôme de Comptabilité et de Gestion", "DCG", "", 48, 967, 445, 967, 0, 426, 90, 233, 58, 13, 5, 295, 0, 0, 0, 0, 0, 569, 0, 0, 0, 343, 67, 143, 39, 0, 0, 83, 222, 47, 20, 47, 0, 4.0, 39.0, 45.0, 0, 11, 43, 31, 12, 0, 4, 0, 7, 17, 14, 4, 1.0, 26, 10, 0, 0, 0, 40, 40, 8.51, 82.98, 95.74, 42.59375, 93.0, 93.0, 0, 25.59765625, 91.5, 0.0, 16.296875, 39.5, 32.59375, 9.3, 2.3, 72.09375, 60.5, 27.8984375, 23.296875, 0.0, 0.0, 142.0, 20.0, 0.0, 0.0, 31.0, "Tous les candidats", 458.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "4301", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4301&g_ta_cod=4301", 72.0, 28.0, 0.0),
(7023, "Privé sous contrat d'association", "9720615L", "Lycée AMEP", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée AMEP - BTS - Services - Support à l'action managériale", "BTS - Services", "", 30, 83, 58, 71, 0, 13, 3, 42, 15, 9, 2, 7, 12, 2, 3, 2, 5, 71, 4, 0, 0, 13, 3, 42, 15, 9, 2, 7, 60, 9, 6, 8, 1, 4.0, 8.0, 9.0, 0, 3, 9, 0, 8, 1, 0, 0, 5, 3, 1, 0, 0.0, 0, 4, 0, 0, 0, 9, 9, 44.44, 88.89, 100.0, 66.6875, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 0.0, 0.0, 88.890625, 44.3984375, 11.099609375, 0.0, 12.0, 2.0, 9.0, 2.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 94.0, "11816", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11816&g_ta_cod=11816", 0.0, 89.0, 11.0),
(7024, "Public", "0595252N", "IFSI du CH de Sambre-Avesnois", "59", "Nord", "Hauts-de-France", "Lille", "Maubeuge", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 94, 3715, 2937, 3715, 0, 620, 170, 735, 237, 361, 167, 1999, 0, 0, 0, 0, 0, 3025, 0, 0, 0, 559, 145, 597, 182, 291, 130, 1578, 1101, 94, 83, 94, 0, 2.0, 35.0, 76.0, 0, 30, 62, 14, 26, 22, 32, 0, 13, 34, 12, 2, 1.0, 11, 19, 19, 0, 0, 58, 58, 2.13, 37.23, 80.85, 88.296875, 93.5, 93.5, 0, 48.3984375, 66.0, 0.0, 21.0, 54.796875, 19.3984375, 3.2, 1.6, 22.59765625, 17.69921875, 41.8984375, 30.59765625, 35.5, 30.59765625, 210.0, 42.0, 139.0, 62.0, 511.0, "Tous les candidats", 4552.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "23134", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23134", 30.0, 35.0, 33.0),
(7025, "Public", "0801327H", "Lycée Edouard Branly", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Autre formation", "Lycée Edouard Branly - DN MADE - Objet - - Spécialité : matériaux et innovation sociale", "DN MADE", "- Spécialité : matériaux et innovation sociale", 15, 269, 173, 269, 0, 86, 19, 95, 17, 19, 2, 69, 0, 0, 0, 0, 0, 115, 0, 0, 0, 40, 5, 59, 10, 5, 1, 11, 69, 13, 10, 13, 0, 1.0, 13.0, 13.0, 0, 2, 13, 9, 4, 0, 0, 0, 0, 3, 8, 2, 0.0, 9, 4, 0, 0, 0, 9, 9, 7.69, 100.0, 100.0, 76.890625, 69.1875, 69.1875, 0, 15.3984375, 100.0, 0.0, 0.0, 23.09765625, 61.5, 15.4, 0.0, 69.1875, 69.1875, 30.796875, 30.796875, 0.0, 0.0, 26.0, 2.0, 3.0, 0.0, 4.0, "Tous les candidats", 112.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "25129", "DN MADE - Objet - - Spécialité : matériaux et innovation sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25129&g_ta_cod=25129", 69.0, 31.0, 0.0),
(7026, "Public", "0593584A", "Faculté de médecine Henri Warembourg - Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Faculté de médecine Henri Warembourg - Université de Lille - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 90, 1955, 1899, 1955, 0, 656, 83, 14, 8, 4, 4, 1281, 0, 0, 0, 0, 0, 251, 0, 0, 0, 79, 7, 0, 0, 0, 0, 172, 136, 90, 89, 90, 0, 53.0, 87.0, 88.0, 0, 2, 25, 25, 0, 0, 65, 0, 0, 1, 8, 15, 1.0, 25, 0, 0, 0, 0, 14, 14, 58.89, 96.67, 97.78, 98.890625, 56.0, 56.0, 0, 8.0, 27.796875, 0.0, 0.0, 4.0, 32.0, 60.0, 4.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 48.0, 7.0, 0.0, 0.0, 88.0, "Tous les candidats", 138.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "27967", "Certificat de capacité d'Orthophoniste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27967&g_ta_cod=27967", 100.0, 0.0, 0.0),
(7027, "Privé sous contrat d'association", "0560181T", "Lycée St Joseph - LaSalle Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "CPGE", "Lycée St Joseph - LaSalle Lorient - CPGE - TSI", "Classe préparatoire scientifique", "", 45, 268, 21, 268, 182, 0, 0, 258, 32, 0, 0, 10, 0, 0, 0, 0, 0, 204, 0, 138, 189, 0, 0, 199, 21, 0, 0, 5, 100, 45, 6, 45, 0, 26.0, 45.0, 45.0, 15, 5, 45, 0, 45, 0, 0, 0, 0, 16, 25, 3, 1.0, 0, 45, 0, 12, 0, 45, 45, 57.78, 100.0, 100.0, 13.298828125, 100.0, 100.0, 26.69921875, 11.099609375, 100.0, 0.0, 0.0, 35.59375, 55.59375, 6.7, 2.2, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 152.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "6450", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6450&g_ta_cod=6450", 0.0, 100.0, 0.0),
(7028, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "PASS", "Université Toulouse 3 Paul Sabatier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 150, 3088, 2282, 3088, 0, 2378, 422, 91, 36, 15, 8, 604, 0, 0, 0, 0, 0, 3088, 0, 0, 0, 2378, 422, 91, 36, 15, 8, 604, 748, 147, 106, 147, 0, 9.0, 98.0, 139.0, 0, 26, 146, 146, 0, 0, 1, 1, 2, 39, 78, 24, 2.0, 143, 0, 0, 0, 0, 137, 137, 6.12, 66.67, 94.56, 72.09375, 93.796875, 93.796875, 0, 17.796875, 99.296875, 0.699951171875, 1.39990234375, 26.69921875, 53.3984375, 16.4, 1.4, 100.0, 97.890625, 0.0, 0.0, 0.0, 0.0, 727.0, 118.0, 0.0, 0.0, 21.0, "Tous les candidats", 2907.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "29853", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29840&g_ta_cod=29853", 100.0, 0.0, 0.0),
(7029, "Public", "0590015W", "Lycée professionnel Pierre et Marie Curie", "59", "Nord", "Hauts-de-France", "Lille", "Aulnoye-Aymeries", "formation sélective", "Autre formation", "Lycée professionnel Pierre et Marie Curie - Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "Mention complémentaire", "", 15, 7, 0, 7, 0, 0, 0, 0, 0, 7, 3, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 7, 3, 0, 7, 4, 0, 4, 0, 4.0, 4.0, 4.0, 0, 1, 4, 0, 0, 4, 0, 0, 3, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 4, 4, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 25.0, 100.0, 0.0, 75.0, 0.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 7.0, 3.0, 0.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20057", "Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20057&g_ta_cod=20057", 0.0, 0.0, 100.0),
(7030, "Public", "0900236T", "Lycée professionnel Raoul Follereau", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "BTS", "Lycée professionnel Raoul Follereau - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 20, 313, 102, 313, 0, 27, 5, 52, 17, 77, 31, 157, 0, 0, 0, 0, 0, 313, 0, 0, 0, 27, 5, 52, 17, 77, 31, 157, 63, 18, 4, 18, 0, 2.0, 12.0, 15.0, 0, 5, 15, 0, 8, 7, 3, 0, 9, 2, 4, 0, 0.0, 0, 2, 4, 3, 1, 12, 12, 11.11, 66.67, 83.33, 22.19921875, 80.0, 80.0, 20, 33.296875, 83.296875, 0.0, 60.0, 13.298828125, 26.69921875, 0.0, 0.0, 0.0, 0.0, 53.296875, 13.298828125, 46.6953125, 26.69921875, 0.0, 0.0, 22.0, 8.0, 6.0, "Tous les candidats sauf les Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 25.0, "28344", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28344&g_ta_cod=28344", 17.0, 44.0, 39.0),
(7031, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues étrangères appliquées - Parcours LEA Anglais-Arabe", "Licence - Arts-lettres-langues", "LEA Anglais-Arabe", 70, 429, 336, 410, 0, 184, 100, 61, 45, 29, 19, 136, 19, 1, 3, 0, 15, 405, 18, 0, 0, 184, 100, 61, 45, 29, 19, 131, 263, 69, 50, 59, 10, 27.0, 49.0, 56.0, 0, 25, 40, 29, 6, 5, 29, 0, 16, 17, 5, 2, 0.0, 19, 2, 3, 0, 0, 37, 37, 39.13, 71.01, 81.16, 72.5, 92.5, 92.5, 0, 62.5, 58.0, 0.0, 40.0, 42.5, 12.5, 5.0, 0.0, 72.5, 47.5, 15.0, 5.0, 12.5, 7.5, 120.0, 65.0, 20.0, 13.0, 88.0, "Tous les candidats", 288.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "2738", "Licence - Langues étrangères appliquées - Parcours LEA Anglais-Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2738&g_ta_cod=2738", 65.0, 14.0, 17.0),
(7032, "Public", "0470927C", "I.U.T. de Bordeaux - Site d'Agen", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "BUT", "I.U.T. de Bordeaux - Site d'Agen - BUT - Gestion administrative et commerciale des organisations Parcours : Management responsable de projet et des organisations - Management des fonctions supports - Management commercial et marketing omnicanal", "BUT - Service", "Management responsable de projet et des organisations - Management des fonctions supports - Management commercial et marketing omnicanal", 82, 1840, 1018, 1837, 0, 996, 114, 589, 148, 8, 4, 244, 3, 0, 1, 0, 2, 1163, 0, 0, 0, 640, 64, 420, 99, 3, 1, 100, 423, 85, 59, 85, 0, 14.0, 59.0, 76.0, 0, 10, 72, 32, 40, 0, 13, 0, 12, 34, 22, 4, 0.0, 26, 34, 0, 0, 0, 42, 42, 16.47, 69.41, 89.41, 69.390625, 58.296875, 58.296875, 0, 13.8984375, 84.6875, 0.0, 16.69921875, 47.1953125, 30.59765625, 5.6, 0.0, 44.3984375, 36.09375, 55.59375, 47.1953125, 0.0, 0.0, 191.0, 28.0, 1.0, 1.0, 37.0, "Tous les candidats sauf les Bac technologiques", 429.0, "Bacheliers technologiques toutes séries", 317, "", 0, "Liste d'appel propre à cette formation", 41.0, "5793", "BUT - Gestion administrative et commerciale des organisations Parcours : Management responsable de projet et des organisations - Management des fonctions supports - Management commercial et marketing omnicanal", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5793&g_ta_cod=5793", 48.0, 52.0, 0.0),
(7033, "Public", "0221599U", "IFSI CH Dinan", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Dinan", "formation sélective", "IFSI", "Regroupement d'IFSI Université Rennes - D.E Infirmier", "D.E secteur sanitaire", "", 37, 4549, 3881, 4549, 0, 830, 109, 940, 195, 668, 184, 2111, 0, 0, 0, 0, 0, 4140, 0, 0, 0, 783, 95, 864, 167, 604, 161, 1889, 621, 37, 31, 37, 0, 0.0, 11.0, 23.0, 0, 4, 25, 2, 9, 14, 12, 0, 0, 9, 12, 4, 0.0, 2, 9, 14, 0, 0, 23, 23, 0.0, 29.73, 62.16, 83.796875, 92.0, 92.0, 0, 16.0, 67.59375, 0.0, 0.0, 36.0, 48.0, 16.0, 0.0, 8.0, 8.0, 36.0, 36.0, 56.0, 56.0, 83.0, 9.0, 167.0, 48.0, 302.0, "Tous les candidats", 1984.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "23379", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23369&g_ta_cod=23379", 22.0, 30.0, 46.0),
(7034, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Russe trilangue", "Licence - Arts-lettres-langues", "Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Russe trilangue", 50, 157, 103, 121, 0, 59, 22, 8, 2, 7, 3, 47, 36, 2, 1, 0, 33, 120, 34, 0, 0, 59, 22, 8, 2, 7, 3, 46, 154, 30, 16, 19, 11, 19.0, 19.0, 29.0, 0, 4, 10, 9, 1, 0, 20, 2, 3, 1, 3, 1, 0.0, 5, 0, 0, 0, 0, 2, 2, 63.33, 63.33, 96.67, 53.296875, 20.0, 20.0, 0, 40.0, 33.296875, 20.0, 30.0, 10.0, 30.0, 10.0, 0.0, 90.0, 50.0, 10.0, 0.0, 0.0, 0.0, 61.0, 22.0, 7.0, 3.0, 77.0, "Tous les candidats", 120.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4419", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Russe trilangue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4419&g_ta_cod=4419", 87.0, 13.0, 0.0),
(7035, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence_Las", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Histoire - Histoire et géographie - Histoire et archéologie- Histoire et Science politique", "Licence - Sciences humaines et sociales", "Histoire et géographie - Histoire et archéologie- Histoire et Science politique", 20, 249, 141, 171, 0, 103, 18, 19, 5, 8, 3, 41, 78, 26, 4, 1, 47, 171, 68, 0, 0, 103, 18, 19, 5, 8, 3, 41, 167, 13, 6, 5, 8, 0.0, 5.0, 8.0, 0, 2, 5, 5, 0, 0, 8, 0, 2, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 5, 5, 0.0, 38.46, 61.54, 46.1953125, 100.0, 100.0, 0, 40.0, 38.5, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 0.0, 0.0, 83.0, 16.0, 3.0, 2.0, 71.0, "Tous les candidats", 982.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "26688", "Licence - Portail Histoire - Histoire et géographie - Histoire et archéologie- Histoire et Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26687&g_ta_cod=26688", 100.0, 0.0, 0.0),
(7036, "Privé sous contrat d'association", "0131319N", "Lycée Nativite (La)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "CPGE", "Lycée Nativite (La) - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 337, 174, 319, 195, 291, 38, 0, 0, 0, 0, 28, 18, 12, 0, 0, 6, 272, 7, 174, 246, 259, 32, 0, 0, 0, 0, 13, 201, 6, 4, 5, 1, 1.0, 5.0, 6.0, 0, 1, 6, 6, 0, 0, 0, 0, 1, 0, 5, 0, 0.0, 5, 0, 0, 0, 0, 5, 5, 16.67, 83.33, 100.0, 66.6875, 83.296875, 83.296875, 0, 16.69921875, 100.0, 0.0, 16.69921875, 0.0, 83.296875, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 190.0, 24.0, 0.0, 0.0, 11.0, "Tous les candidats", 271.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "31273", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31273&g_ta_cod=31273", 100.0, 0.0, 0.0),
(7037, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "PASS", "Université Clermont Auvergne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 40, 3294, 2584, 3294, 0, 2627, 427, 74, 27, 8, 3, 585, 0, 0, 0, 0, 0, 3292, 0, 0, 0, 2627, 427, 74, 27, 8, 3, 583, 178, 40, 36, 40, 0, 5.0, 40.0, 40.0, 0, 10, 40, 40, 0, 0, 0, 0, 0, 1, 29, 10, 0.0, 40, 0, 0, 0, 0, 38, 38, 12.5, 100.0, 100.0, 90.0, 95.0, 95.0, 0, 25.0, 100.0, 0.0, 0.0, 2.5, 72.5, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 178.0, 30.0, 0.0, 0.0, 0.0, "Tous les candidats", 481.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 8.0, "26634", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26629&g_ta_cod=26634", 100.0, 0.0, 0.0),
(7038, "Public", "0770931U", "Lycée Pierre de Coubertin", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "CPGE", "Lycée Pierre de Coubertin - CPGE - TSI", "Classe préparatoire scientifique", "", 24, 234, 25, 234, 165, 0, 0, 212, 49, 0, 0, 22, 0, 0, 0, 0, 0, 234, 0, 165, 208, 0, 0, 212, 49, 0, 0, 22, 135, 24, 3, 24, 0, 10.0, 21.0, 23.0, 13, 1, 23, 0, 23, 0, 1, 0, 3, 11, 7, 2, 0.0, 0, 20, 0, 3, 0, 16, 20, 41.67, 87.5, 95.83, 12.5, 69.59375, 87.0, 13, 4.2998046875, 95.796875, 0.0, 13.0, 47.796875, 30.3984375, 8.7, 0.0, 0.0, 0.0, 100.0, 87.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 7.0, "Tous les candidats", 171.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "9803", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9803&g_ta_cod=9803", 0.0, 100.0, 0.0),
(7039, "Public", "0420043U", "Lycée Jean Monnet", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 14, 305, 32, 298, 0, 39, 9, 110, 16, 99, 23, 50, 7, 0, 1, 3, 3, 213, 3, 0, 0, 36, 8, 81, 9, 72, 14, 24, 110, 11, 2, 9, 0, 1.0, 6.0, 8.0, 0, 1, 9, 1, 4, 4, 2, 0, 0, 5, 3, 1, 0.0, 1, 4, 4, 0, 0, 7, 7, 9.09, 54.55, 72.73, 18.19921875, 77.796875, 77.796875, 0, 11.099609375, 81.796875, 0.0, 0.0, 55.59375, 33.296875, 11.1, 0.0, 11.099609375, 11.099609375, 44.3984375, 44.3984375, 44.3984375, 44.3984375, 15.0, 3.0, 46.0, 9.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 56.0, "5305", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5305&g_ta_cod=5305", 18.0, 36.0, 45.0),
(7040, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence", "Université de Toulon - Licence - Lettres - Parcours Licence de Lettres", "Licence - Arts-lettres-langues", "Licence de Lettres", 140, 397, 296, 287, 0, 194, 55, 8, 3, 15, 9, 70, 110, 14, 8, 8, 80, 287, 107, 0, 0, 194, 55, 8, 3, 15, 9, 70, 372, 84, 62, 49, 35, 16.0, 47.0, 70.0, 0, 13, 31, 25, 1, 5, 53, 0, 15, 12, 3, 1, 0.0, 13, 0, 3, 0, 0, 28, 28, 19.05, 55.95, 83.33, 73.796875, 90.296875, 90.296875, 0, 41.8984375, 36.8984375, 0.0, 48.3984375, 38.6953125, 9.69921875, 3.2, 0.0, 80.59375, 41.8984375, 3.19970703125, 0.0, 16.09765625, 9.69921875, 189.0, 56.0, 23.0, 12.0, 144.0, "Tous les candidats", 287.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10365", "Licence - Lettres - Parcours Licence de Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10365&g_ta_cod=10365", 67.0, 8.0, 18.0),
(7041, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "Licence", "Université des Antilles - Pôle Guadeloupe - Licence - Portail Mathématiques - Application des sciences / Mathématiques pour l'enseignement  - Guadeloupe", "Licence - Sciences - technologies - santé", "Application des sciences / Mathématiques pour l'enseignement  - Guadeloupe", 90, 135, 47, 122, 0, 96, 28, 3, 2, 1, 0, 22, 13, 5, 2, 1, 5, 122, 12, 0, 0, 96, 28, 3, 2, 1, 0, 22, 135, 12, 3, 11, 1, 8.0, 11.0, 12.0, 0, 3, 8, 7, 1, 0, 4, 0, 3, 4, 1, 0, 0.0, 4, 1, 0, 0, 0, 8, 8, 66.67, 91.67, 100.0, 25.0, 100.0, 100.0, 0, 37.5, 66.6875, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 87.5, 50.0, 12.5, 12.5, 0.0, 0.0, 102.0, 29.0, 1.0, 0.0, 27.0, "Tous les candidats", 146.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "19627", "Licence - Portail Mathématiques - Application des sciences / Mathématiques pour l'enseignement  - Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27415&g_ta_cod=19627", 92.0, 8.0, 0.0),
(7042, "Public", "0061478Z", "Lycée Léonard De Vinci", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "Autre formation", "Lycée Léonard De Vinci - DN MADE - Espace - - Spécialité : Conception et scénographie d'espaces et d'environnements de médiation", "DN MADE", "- Spécialité : Conception et scénographie d'espaces et d'environnements de médiation", 15, 679, 593, 679, 0, 244, 37, 205, 43, 79, 17, 151, 0, 0, 0, 0, 0, 300, 0, 0, 0, 138, 21, 114, 23, 43, 8, 5, 57, 14, 12, 14, 0, 3.0, 12.0, 13.0, 0, 2, 12, 8, 3, 1, 2, 0, 1, 4, 6, 1, 0.0, 7, 3, 1, 0, 0, 5, 5, 21.43, 85.71, 92.86, 85.6875, 41.6953125, 41.6953125, 0, 16.69921875, 85.6875, 0.0, 8.298828125, 33.296875, 50.0, 8.3, 0.0, 66.6875, 58.296875, 25.0, 25.0, 8.298828125, 8.298828125, 27.0, 3.0, 3.0, 0.0, 2.0, "Tous les candidats", 110.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "24349", "DN MADE - Espace - - Spécialité : Conception et scénographie d'espaces et d'environnements de médiation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24349&g_ta_cod=24349", 57.0, 36.0, 7.0),
(7043, "Privé sous contrat d'association", "0141872J", "MFREO de Maltot", "14", "Calvados", "Normandie", "Normandie", "Maltot", "formation sélective", "BTS", "MFREO de Maltot - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 40, 280, 115, 272, 0, 4, 1, 11, 0, 15, 5, 242, 8, 1, 1, 2, 4, 36, 4, 0, 0, 3, 1, 11, 0, 14, 5, 8, 40, 9, 2, 9, 0, 8.0, 9.0, 9.0, 0, 2, 7, 1, 3, 3, 2, 0, 6, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 6, 6, 88.89, 100.0, 100.0, 22.19921875, 85.6875, 85.6875, 0, 28.59765625, 77.796875, 0.0, 85.6875, 14.298828125, 0.0, 0.0, 0.0, 14.298828125, 0.0, 42.8984375, 14.298828125, 42.8984375, 0.0, 4.0, 2.0, 15.0, 6.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 13.0, "2915", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2915&g_ta_cod=2915", 33.0, 33.0, 33.0),
(7044, "Public", "0312759F", "Lycée Joseph Gallieni", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Joseph Gallieni - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 31, 391, 19, 391, 0, 35, 7, 76, 16, 178, 76, 102, 0, 0, 0, 0, 0, 319, 0, 0, 0, 14, 4, 76, 16, 178, 76, 51, 108, 29, 3, 29, 0, 4.0, 18.0, 24.0, 0, 15, 29, 1, 10, 18, 0, 0, 6, 16, 6, 1, 0.0, 1, 5, 17, 5, 0, 22, 22, 13.79, 62.07, 82.76, 10.298828125, 75.890625, 75.890625, 17.19921875, 51.6953125, 100.0, 0.0, 20.69921875, 55.1953125, 20.69921875, 3.4, 0.0, 3.39990234375, 3.39990234375, 34.5, 17.19921875, 62.09375, 58.59375, 6.0, 3.0, 55.0, 20.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 36.0, "4244", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4244&g_ta_cod=4244", 3.0, 34.0, 62.0),
(7045, "Privé sous contrat d'association", "0593114P", "Lycée Saint-Paul", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Saint-Paul - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 801, 357, 795, 557, 704, 40, 0, 0, 0, 0, 91, 6, 4, 0, 0, 2, 461, 2, 351, 421, 460, 22, 0, 0, 0, 0, 1, 179, 18, 10, 17, 1, 0.0, 11.0, 17.0, 6, 0, 18, 18, 0, 0, 0, 0, 0, 1, 11, 6, 0.0, 18, 0, 0, 0, 0, 5, 5, 0.0, 61.11, 94.44, 55.59375, 27.796875, 27.796875, 0, 0.0, 100.0, 0.0, 0.0, 5.599609375, 61.09375, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 178.0, 4.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "31463", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31310&g_ta_cod=31463", 100.0, 0.0, 0.0),
(7046, "Privé sous contrat d'association", "0870081R", "Lycée Beaupeyrat", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée Beaupeyrat - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 215, 83, 145, 0, 28, 5, 24, 10, 12, 7, 81, 70, 3, 12, 7, 48, 111, 20, 0, 0, 27, 5, 23, 9, 11, 6, 50, 125, 21, 8, 16, 5, 4.0, 16.0, 19.0, 0, 5, 11, 4, 3, 4, 10, 0, 8, 2, 1, 0, 0.0, 0, 2, 1, 2, 2, 8, 8, 19.05, 76.19, 90.48, 38.09375, 72.6875, 72.6875, 18.19921875, 45.5, 52.3984375, 0.0, 72.6875, 18.19921875, 9.099609375, 0.0, 0.0, 36.3984375, 0.0, 27.296875, 18.19921875, 36.3984375, 9.099609375, 28.0, 5.0, 12.0, 6.0, 60.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 77.0, "10678", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10678&g_ta_cod=10678", 48.0, 33.0, 19.0),
(7047, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Histoire", "Licence - Sciences humaines et sociales", "", 168, 1633, 739, 1549, 0, 943, 171, 90, 20, 38, 11, 478, 84, 19, 11, 2, 52, 1549, 82, 0, 0, 943, 171, 90, 20, 38, 11, 478, 999, 166, 51, 133, 33, 3.0, 96.0, 139.0, 0, 30, 99, 82, 15, 2, 67, 1, 51, 36, 10, 1, 0.0, 43, 3, 1, 0, 0, 26, 78, 1.81, 57.83, 83.73, 30.69921875, 26.296875, 78.796875, 0, 30.296875, 59.59375, 1.0, 51.5, 36.3984375, 10.099609375, 1.0, 0.0, 82.796875, 43.3984375, 15.19921875, 3.0, 2.0, 1.0, 602.0, 110.0, 15.0, 6.0, 335.0, "Tous les candidats", 1762.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9351", "Licence - Portail Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32334&g_ta_cod=9351", 78.0, 16.0, 4.0),
(7048, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues étrangères appliquées - Parcours Espagnol - Anglais", "Licence - Arts-lettres-langues", "Espagnol - Anglais", 170, 1803, 1428, 1803, 0, 1013, 309, 213, 85, 63, 28, 514, 0, 0, 0, 0, 0, 1803, 0, 0, 0, 1013, 309, 213, 85, 63, 28, 514, 688, 168, 127, 168, 0, 17.0, 122.0, 145.0, 0, 43, 138, 101, 27, 10, 30, 1, 21, 87, 28, 0, 1.0, 89, 18, 9, 0, 0, 95, 128, 10.12, 72.62, 86.31, 75.59375, 68.796875, 92.796875, 0, 31.19921875, 82.09375, 0.699951171875, 15.19921875, 63.0, 20.296875, 0.0, 0.7, 73.1875, 64.5, 19.59765625, 13.0, 7.19921875, 6.5, 442.0, 128.0, 22.0, 7.0, 149.0, "Tous les candidats", 842.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "11104", "Licence - Langues étrangères appliquées - Parcours Espagnol - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11104&g_ta_cod=11104", 72.0, 18.0, 10.0),
(7049, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Licence - Droit français - Droit étranger - Parcours Droit français - droit italien", "Licence - Droit-économie-gestion", "Droit français - droit italien", 35, 127, 88, 127, 0, 76, 21, 13, 6, 5, 3, 33, 0, 0, 0, 0, 0, 98, 0, 0, 0, 69, 18, 4, 3, 0, 0, 25, 88, 35, 26, 35, 0, 13.0, 34.0, 34.0, 0, 7, 27, 25, 2, 0, 8, 0, 7, 12, 6, 2, 0.0, 19, 1, 0, 0, 0, 9, 20, 37.14, 97.14, 97.14, 74.296875, 33.296875, 74.09375, 0, 25.8984375, 77.09375, 0.0, 25.8984375, 44.3984375, 22.19921875, 7.4, 0.0, 92.59375, 70.390625, 7.3994140625, 3.69970703125, 0.0, 0.0, 65.0, 16.0, 0.0, 0.0, 20.0, "Tous les candidats", 92.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "11077", "Licence - Droit français - Droit étranger - Parcours Droit français - droit italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11077&g_ta_cod=11077", 91.0, 9.0, 0.0),
(7050, "Public", "0330021U", "Lycée Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Montaigne - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 1419, 1073, 1419, 846, 1282, 159, 1, 1, 2, 1, 134, 0, 0, 0, 0, 0, 996, 0, 449, 978, 962, 114, 0, 0, 0, 0, 34, 448, 95, 75, 95, 0, 17.0, 71.0, 95.0, 19, 10, 90, 90, 0, 0, 5, 0, 0, 2, 37, 42, 9.0, 90, 0, 0, 8, 8, 53, 53, 17.89, 74.74, 100.0, 78.890625, 58.8984375, 58.8984375, 8.8984375, 11.099609375, 94.6875, 0.0, 0.0, 2.19970703125, 41.09375, 46.7, 10.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 432.0, 51.0, 0.0, 0.0, 16.0, "Tous les candidats", 964.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "4276", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4276&g_ta_cod=4276", 100.0, 0.0, 0.0),
(7051, "Public", "0311902Z", "Lycée Stéphane Hessel", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée Stéphane Hessel - Mention complémentaire - FCIL classe passerelle BTS option production", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 6, 0, 0, 0, 0.0, 0.0, 0.0, 0, 2, 6, 0, 1, 5, 0, 0, 6, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 6, 6, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 16.69921875, 0.0, 83.296875, 0.0, 0.0, 0.0, 10.0, 3.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22395", "Mention complémentaire - FCIL classe passerelle BTS option production", "", "", 0.0, 17.0, 83.0),
(7052, "Public", "0710001R", "Lycée Bonaparte", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Autun", "formation sélective", "BTS", "Lycée Bonaparte - BTS - Production - Développement et Réalisation Bois", "BTS - Production", "", 12, 157, 30, 151, 0, 30, 5, 22, 5, 62, 10, 37, 6, 0, 1, 0, 5, 124, 4, 0, 0, 29, 5, 22, 5, 60, 9, 13, 53, 9, 4, 9, 0, 4.0, 8.0, 8.0, 0, 1, 4, 0, 0, 4, 5, 0, 0, 3, 1, 0, 0.0, 0, 0, 4, 3, 1, 3, 3, 44.44, 88.89, 88.89, 44.3984375, 75.0, 75.0, 75, 25.0, 44.3984375, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 3.0, 0.0, 25.0, 2.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 37.0, "16102", "BTS - Production - Développement et Réalisation Bois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16102&g_ta_cod=16102", 22.0, 0.0, 56.0),
(7053, "Public", "0561992L", "Université de Rennes 1 - Antenne de Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation non sélective", "PASS", "Université de Rennes 1 - Antenne de Vannes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 30, 1063, 754, 1063, 0, 914, 124, 16, 7, 2, 1, 131, 0, 0, 0, 0, 0, 1057, 0, 0, 0, 914, 124, 16, 7, 2, 1, 125, 237, 34, 24, 34, 0, 4.0, 17.0, 27.0, 0, 5, 34, 34, 0, 0, 0, 0, 0, 8, 18, 7, 1.0, 34, 0, 0, 0, 0, 34, 34, 11.76, 50.0, 79.41, 70.59375, 100.0, 100.0, 0, 14.69921875, 100.0, 0.0, 0.0, 23.5, 52.8984375, 20.6, 2.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 224.0, 29.0, 1.0, 0.0, 12.0, "Tous les candidats", 387.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "28969", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32532&g_ta_cod=28969", 100.0, 0.0, 0.0),
(7054, "Public", "0720033V", "Lycée Polyvalent Gabriel Touchard - Washington", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Gabriel Touchard - Washington - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 273, 15, 266, 0, 10, 3, 70, 25, 72, 29, 114, 7, 0, 3, 0, 4, 126, 1, 0, 0, 7, 1, 52, 10, 56, 22, 11, 83, 24, 0, 24, 0, 6.0, 21.0, 22.0, 0, 10, 22, 3, 9, 10, 2, 0, 12, 7, 3, 0, 0.0, 1, 4, 5, 10, 0, 20, 20, 25.0, 87.5, 91.67, 0.0, 90.890625, 90.890625, 45.5, 45.5, 91.6875, 0.0, 54.5, 31.796875, 13.599609375, 0.0, 0.0, 13.599609375, 4.5, 40.8984375, 18.19921875, 45.5, 22.69921875, 5.0, 1.0, 35.0, 14.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 42.0, "8698", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8698&g_ta_cod=8698", 13.0, 42.0, 46.0),
(7055, "Public", "0940580V", "Lycée polyvalent de Cachan", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "BTS", "Lycée polyvalent de Cachan - BTS - Services - Economie sociale familiale", "BTS - Services", "", 33, 1040, 923, 1040, 0, 51, 24, 200, 100, 409, 217, 380, 0, 0, 0, 0, 0, 422, 0, 0, 0, 40, 20, 90, 37, 217, 112, 75, 188, 28, 24, 28, 0, 4.0, 17.0, 26.0, 0, 8, 17, 2, 5, 10, 11, 0, 7, 7, 3, 0, 0.0, 0, 2, 8, 3, 2, 10, 15, 14.29, 60.71, 92.86, 85.6875, 58.796875, 88.1875, 17.59765625, 47.09375, 60.6953125, 0.0, 41.1953125, 41.1953125, 17.59765625, 0.0, 0.0, 11.798828125, 0.0, 29.3984375, 11.798828125, 58.796875, 47.09375, 27.0, 14.0, 72.0, 37.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 161, "Bacheliers technologiques toutes séries", 96, "Liste d'appel propre à cette formation", 31.0, "11433", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11433&g_ta_cod=11433", 21.0, 32.0, 46.0),
(7056, "Public", "0595786U", "Lycée Jean Prouve", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Jean Prouve - BTS - Production - Développement et Réalisation Bois", "BTS - Production", "", 15, 223, 25, 222, 0, 22, 1, 30, 9, 117, 39, 53, 1, 1, 0, 0, 0, 109, 1, 0, 0, 15, 1, 10, 3, 78, 31, 6, 60, 13, 1, 12, 1, 3.0, 9.0, 10.0, 0, 1, 11, 1, 1, 9, 2, 0, 1, 4, 4, 2, 0.0, 1, 1, 8, 0, 0, 9, 9, 23.08, 69.23, 76.92, 7.69921875, 81.796875, 81.796875, 0, 9.099609375, 84.59375, 0.0, 9.099609375, 36.3984375, 36.3984375, 18.2, 0.0, 9.099609375, 9.099609375, 9.099609375, 9.099609375, 81.796875, 72.6875, 9.0, 1.0, 40.0, 16.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 36.0, "7154", "BTS - Production - Développement et Réalisation Bois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7154&g_ta_cod=7154", 8.0, 15.0, 77.0),
(7057, "Public", "9720003W", "Lycée Bellevue", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée Bellevue - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 12, 256, 169, 245, 0, 99, 34, 64, 31, 12, 7, 70, 11, 3, 0, 0, 8, 65, 1, 0, 0, 42, 16, 20, 7, 1, 0, 2, 46, 12, 6, 11, 1, 3.0, 11.0, 12.0, 0, 3, 12, 5, 7, 0, 0, 0, 0, 8, 4, 0, 0.0, 5, 7, 0, 7, 3, 11, 11, 25.0, 91.67, 100.0, 50.0, 91.6875, 91.6875, 58.296875, 25.0, 100.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 41.6953125, 41.6953125, 58.296875, 58.296875, 0.0, 0.0, 29.0, 12.0, 1.0, 0.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 1, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 24.0, "11788", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11788&g_ta_cod=11788", 42.0, 58.0, 0.0),
(7058, "Public", "0751718K", "Université Paris 2 Panthéon - Assas", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Licence", "Université Paris 2 Panthéon - Assas - Licence - Double diplôme - Licence Droit - Droits français et espagnol", "Licence - Droit-économie-gestion", "Droits français et espagnol", 20, 551, 447, 551, 0, 418, 68, 13, 3, 5, 2, 115, 0, 0, 0, 0, 0, 551, 0, 0, 0, 418, 68, 13, 3, 5, 2, 115, 56, 20, 18, 20, 0, 4.0, 16.0, 17.0, 0, 2, 18, 18, 0, 0, 2, 1, 0, 0, 6, 10, 1.0, 17, 0, 0, 0, 0, 3, 8, 20.0, 80.0, 85.0, 90.0, 16.69921875, 44.3984375, 0, 11.099609375, 90.0, 5.599609375, 0.0, 0.0, 33.296875, 55.6, 5.6, 100.0, 94.390625, 0.0, 0.0, 0.0, 0.0, 51.0, 10.0, 0.0, 0.0, 5.0, "Tous les candidats", 58.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "27189", "Licence - Double diplôme - Licence Droit - Droits français et espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27189&g_ta_cod=27189", 100.0, 0.0, 0.0),
(7059, "Public", "9840386X", "Lycée de Papara", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Papara", "formation sélective", "CPGE", "Lycée de Papara - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 24, 66, 34, 59, 26, 0, 0, 53, 21, 0, 0, 6, 7, 0, 7, 0, 0, 55, 1, 23, 46, 0, 0, 52, 21, 0, 0, 3, 49, 12, 8, 11, 1, 6.0, 11.0, 12.0, 4, 5, 11, 0, 11, 0, 1, 0, 3, 4, 1, 1, 2.0, 0, 8, 0, 3, 2, 11, 11, 50.0, 91.67, 100.0, 66.6875, 100.0, 100.0, 27.296875, 45.5, 91.6875, 0.0, 27.296875, 36.3984375, 9.099609375, 9.1, 18.2, 0.0, 0.0, 100.0, 72.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "15990", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15990&g_ta_cod=15990", 0.0, 100.0, 0.0),
(7060, "Public", "0220027K", "Lycée Fulgence Bienvenue", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Loudéac", "formation sélective", "BTS", "Lycée Fulgence Bienvenue - BTS - Production - Maintenance des systèmes - option C Systèmes éoliens", "BTS - Production", "", 14, 133, 5, 133, 0, 11, 1, 32, 4, 58, 13, 32, 0, 0, 0, 0, 0, 133, 0, 0, 0, 11, 1, 32, 4, 58, 13, 32, 56, 10, 0, 9, 0, 4.0, 7.0, 9.0, 0, 2, 9, 0, 3, 6, 1, 0, 1, 6, 2, 0, 0.0, 0, 2, 6, 1, 0, 7, 7, 40.0, 70.0, 90.0, 0.0, 77.796875, 77.796875, 11.099609375, 22.19921875, 90.0, 0.0, 11.099609375, 66.6875, 22.19921875, 0.0, 0.0, 0.0, 0.0, 33.296875, 22.19921875, 66.6875, 66.6875, 5.0, 1.0, 27.0, 8.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 68.0, "17685", "BTS - Production - Maintenance des systèmes - option C Systèmes éoliens", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17685&g_ta_cod=17685", 0.0, 40.0, 60.0),
(7061, "Privé sous contrat d'association", "0542408Z", "Lycée Charles De Foucauld", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Charles De Foucauld - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 234, 104, 196, 0, 55, 9, 50, 14, 32, 10, 59, 38, 9, 7, 0, 22, 174, 16, 0, 0, 51, 9, 45, 11, 32, 10, 46, 141, 29, 8, 23, 6, 6.0, 19.0, 25.0, 0, 4, 14, 5, 7, 2, 15, 0, 3, 10, 1, 0, 0.0, 4, 6, 1, 0, 0, 14, 14, 20.69, 65.52, 86.21, 27.59765625, 100.0, 100.0, 0, 28.59765625, 48.296875, 0.0, 21.3984375, 71.390625, 7.099609375, 0.0, 0.0, 35.6953125, 28.59765625, 50.0, 42.8984375, 14.298828125, 7.099609375, 53.0, 9.0, 22.0, 6.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 82.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 82.0, "6391", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6391&g_ta_cod=6391", 59.0, 28.0, 14.0),
(7062, "Public", "0570140T", "ENIM Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 12, 186, 20, 186, 0, 0, 0, 171, 39, 0, 0, 15, 0, 0, 0, 0, 0, 80, 0, 0, 0, 0, 0, 76, 14, 0, 0, 4, 45, 3, 0, 3, 0, 0.0, 3.0, 3.0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 1, 2, 0, 0.0, 0, 3, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 0.0, 33.296875, 33.296875, 0, 0.0, 100.0, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 325.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "47", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=47", 0.0, 100.0, 0.0),
(7063, "Public", "0320025D", "Lycée D'Artagnan", "32", "Gers", "Occitanie", "Toulouse", "Nogaro", "formation sélective", "Autre formation", "Lycée D'Artagnan - Mention complémentaire - FCIL Mécanique de compétition - préparation moteurs", "Mention complémentaire", "", 14, 127, 1, 127, 0, 10, 2, 13, 3, 83, 19, 21, 0, 0, 0, 0, 0, 120, 0, 0, 0, 10, 2, 13, 3, 83, 19, 14, 55, 11, 1, 11, 0, 2.0, 6.0, 9.0, 0, 1, 9, 0, 1, 8, 2, 0, 1, 3, 4, 1, 0.0, 0, 1, 7, 0, 0, 2, 2, 18.18, 54.55, 81.82, 9.099609375, 22.19921875, 22.19921875, 0, 11.099609375, 81.796875, 0.0, 11.099609375, 33.296875, 44.3984375, 11.1, 0.0, 0.0, 0.0, 11.099609375, 11.099609375, 88.890625, 77.796875, 3.0, 0.0, 39.0, 5.0, 9.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "25353", "Mention complémentaire - FCIL Mécanique de compétition - préparation moteurs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25353&g_ta_cod=25353", 0.0, 18.0, 82.0),
(7064, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence_Las", "Université de Limoges - Licence - Portail Physique - Parcours commun Maths Info Physique Chimie Génie Civil", "Licence - Sciences - technologies - santé", "Parcours commun Maths Info Physique Chimie Génie Civil", 18, 152, 78, 116, 0, 53, 15, 4, 2, 0, 0, 59, 36, 15, 0, 0, 21, 115, 31, 0, 0, 53, 15, 4, 2, 0, 0, 58, 123, 14, 9, 5, 9, 0.0, 4.0, 8.0, 0, 1, 3, 2, 1, 0, 11, 0, 2, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 0.0, 28.57, 57.14, 64.296875, 33.296875, 33.296875, 0, 33.296875, 21.3984375, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 57.0, 16.0, 0.0, 0.0, 63.0, "Tous les candidats", 248.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "31105", "Licence - Portail Physique - Parcours commun Maths Info Physique Chimie Génie Civil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31104&g_ta_cod=31105", 86.0, 14.0, 0.0),
(7065, "Public", "0750681H", "ESAA Boulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "BTS", "ESAA Boulle - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 24, 1022, 604, 1022, 0, 206, 43, 215, 62, 327, 113, 274, 0, 0, 0, 0, 0, 206, 0, 0, 0, 34, 5, 24, 3, 147, 42, 1, 54, 23, 11, 23, 0, 7.0, 21.0, 22.0, 0, 7, 23, 7, 4, 12, 0, 0, 1, 8, 8, 6, 0.0, 6, 4, 12, 0, 0, 2, 16, 30.43, 91.3, 95.65, 47.796875, 8.69921875, 69.59375, 0, 30.3984375, 100.0, 0.0, 4.2998046875, 34.796875, 34.796875, 26.1, 0.0, 30.3984375, 26.09765625, 17.3984375, 17.3984375, 52.1953125, 52.1953125, 16.0, 3.0, 27.0, 6.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 7.0, "9048", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9048&g_ta_cod=9048", 30.0, 17.0, 52.0),
(7066, "Public", "0600015R", "Lycée Mireille Grenet", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "BTS", "Lycée Mireille Grenet - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 235, 152, 196, 0, 10, 2, 63, 23, 67, 33, 56, 39, 0, 0, 19, 20, 150, 5, 0, 0, 10, 2, 60, 21, 45, 24, 35, 86, 16, 11, 11, 4, 2.0, 10.0, 14.0, 0, 6, 10, 0, 2, 8, 6, 0, 5, 2, 3, 0, 0.0, 0, 1, 4, 1, 1, 9, 9, 12.5, 62.5, 87.5, 68.796875, 90.0, 90.0, 10, 60.0, 62.5, 0.0, 50.0, 20.0, 30.0, 0.0, 0.0, 0.0, 0.0, 20.0, 10.0, 80.0, 40.0, 5.0, 2.0, 40.0, 20.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 48.0, "7226", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7226&g_ta_cod=7226", 6.0, 25.0, 69.0),
(7067, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 120, 839, 371, 821, 0, 559, 129, 71, 23, 28, 10, 163, 18, 2, 4, 0, 12, 820, 18, 0, 0, 559, 129, 71, 23, 28, 10, 162, 839, 117, 43, 109, 7, 108.0, 109.0, 110.0, 0, 26, 88, 73, 10, 5, 29, 0, 41, 34, 8, 3, 2.0, 40, 4, 3, 0, 0, 78, 78, 92.31, 93.16, 94.02, 36.796875, 88.59375, 88.59375, 0, 29.5, 75.1875, 0.0, 46.59375, 38.59375, 9.099609375, 3.4, 2.3, 83.0, 45.5, 11.3984375, 4.5, 5.69921875, 3.39990234375, 562.0, 130.0, 28.0, 10.0, 174.0, "Tous les candidats", 820.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6621", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6621&g_ta_cod=6621", 79.0, 15.0, 6.0),
(7068, "Privé sous contrat d'association", "0690631L", "ICOF", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "BTS", "ICOF - BTS - Services - Gestion de la PME", "BTS - Services", "", 32, 504, 309, 473, 0, 38, 7, 198, 49, 123, 45, 114, 31, 1, 8, 11, 11, 271, 15, 0, 0, 35, 7, 139, 30, 50, 17, 47, 204, 21, 9, 13, 7, 2.0, 13.0, 15.0, 0, 4, 13, 0, 10, 3, 8, 0, 6, 5, 2, 0, 0.0, 0, 4, 3, 1, 1, 10, 10, 9.52, 61.9, 71.43, 42.8984375, 76.890625, 76.890625, 7.69921875, 30.796875, 61.8984375, 0.0, 46.1953125, 38.5, 15.3984375, 0.0, 0.0, 0.0, 0.0, 76.890625, 30.796875, 23.09765625, 23.09765625, 23.0, 5.0, 35.0, 12.0, 49.0, "Tous les candidats sauf les Bac professionnels", 212.0, "Bacheliers professionnels toutes séries", 59, "", 0, "Liste d'appel propre à cette formation", 57.0, "8316", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8316&g_ta_cod=8316", 0.0, 71.0, 29.0),
(7069, "Public", "0352317D", "Sciences Po Rennes - Institut d'études politiques", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Réseau ScPo ? concours commun - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Cursus général", "Sciences politiques", "Cursus général", 140, 13797, 8473, 13797, 0, 11642, 1267, 37, 15, 3, 2, 2115, 0, 0, 0, 0, 0, 2500, 0, 0, 0, 1666, 153, 4, 1, 0, 0, 830, 1347, 138, 101, 138, 0, 8.0, 108.0, 133.0, 0, 12, 79, 79, 0, 0, 59, 0, 0, 1, 9, 56, 13.0, 79, 0, 0, 0, 0, 27, 27, 5.8, 78.26, 96.38, 73.1875, 34.1953125, 34.1953125, 0, 15.19921875, 57.1953125, 0.0, 0.0, 1.2998046875, 11.3984375, 70.9, 16.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 837.0, 109.0, 0.0, 0.0, 510.0, "Tous les candidats", 1744.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "25827", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Cursus général", "Réseau ScPo ? concours commun", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25823&g_ta_cod=25827", 100.0, 0.0, 0.0),
(7070, "Public", "0540076P", "Lycée Jean Zay", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Jarny", "formation sélective", "BTS", "Lycée Jean Zay - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 402, 189, 357, 0, 36, 8, 79, 27, 35, 12, 207, 45, 2, 7, 6, 30, 145, 8, 0, 0, 32, 7, 65, 22, 27, 9, 21, 106, 17, 8, 12, 3, 3.0, 12.0, 14.0, 0, 4, 13, 3, 6, 4, 4, 0, 7, 5, 0, 1, 0.0, 0, 3, 3, 3, 2, 13, 13, 17.65, 70.59, 82.35, 47.09375, 100.0, 100.0, 23.09765625, 30.796875, 76.5, 0.0, 53.796875, 38.5, 0.0, 7.7, 0.0, 23.09765625, 0.0, 46.1953125, 23.09765625, 30.796875, 23.09765625, 20.0, 4.0, 17.0, 4.0, 20.0, "Tous les candidats sauf les Bac professionnels", 109.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 38.0, "6293", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6293&g_ta_cod=6293", 18.0, 47.0, 29.0),
(7071, "Public", "0840005Z", "Lycée Philippe de Girard", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée Philippe de Girard - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 382, 34, 367, 0, 62, 13, 99, 41, 106, 55, 100, 15, 0, 0, 11, 4, 236, 3, 0, 0, 57, 11, 79, 31, 66, 32, 34, 90, 14, 0, 11, 3, 1.0, 9.0, 11.0, 0, 7, 7, 1, 2, 4, 7, 0, 4, 3, 0, 0, 0.0, 1, 0, 2, 0, 0, 5, 5, 7.14, 64.29, 78.57, 0.0, 71.390625, 71.390625, 0, 100.0, 50.0, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 14.298828125, 14.298828125, 28.59765625, 0.0, 57.09375, 28.59765625, 10.0, 4.0, 34.0, 20.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 37.0, "16126", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16126&g_ta_cod=16126", 14.0, 43.0, 43.0),
(7072, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Informatique - Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", "Licence - Sciences - technologies - santé", "Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", 90, 714, 124, 670, 0, 433, 111, 38, 7, 3, 3, 196, 44, 4, 2, 0, 38, 632, 25, 0, 0, 433, 111, 38, 7, 3, 3, 158, 494, 64, 7, 56, 8, 6.0, 45.0, 55.0, 0, 20, 48, 45, 3, 0, 16, 0, 29, 12, 6, 1, 0.0, 17, 2, 0, 0, 0, 36, 36, 9.38, 70.31, 85.94, 10.8984375, 75.0, 75.0, 0, 41.6953125, 75.0, 0.0, 60.3984375, 25.0, 12.5, 2.1, 0.0, 93.796875, 35.3984375, 6.2998046875, 4.19921875, 0.0, 0.0, 358.0, 91.0, 2.0, 2.0, 121.0, "Tous les candidats", 650.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 94.0, "5355", "Licence - Portail Informatique - Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32248&g_ta_cod=5355", 89.0, 11.0, 0.0),
(7073, "Public", "0180007K", "Lycée Jacques Coeur", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BTS", "Lycée Jacques Coeur - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 297, 138, 252, 0, 60, 21, 74, 16, 65, 29, 53, 45, 4, 8, 15, 18, 139, 5, 0, 0, 51, 18, 57, 12, 23, 8, 8, 94, 21, 12, 18, 3, 6.0, 18.0, 20.0, 0, 5, 15, 1, 8, 6, 6, 0, 3, 8, 4, 0, 0.0, 0, 6, 6, 6, 3, 15, 15, 28.57, 85.71, 95.24, 57.09375, 100.0, 100.0, 40, 33.296875, 71.390625, 0.0, 20.0, 53.296875, 26.69921875, 0.0, 0.0, 6.69921875, 0.0, 53.296875, 40.0, 40.0, 40.0, 24.0, 8.0, 21.0, 8.0, 10.0, "Tous les candidats sauf les Bac professionnels", 106.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 51.0, "3097", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3097&g_ta_cod=3097", 29.0, 43.0, 29.0),
(7074, "Privé sous contrat d'association", "0741624N", "Institut Régional et Européen des métiers de l'Intervention Sociale Rhône-Alpes - IREIS", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "EFTS", "Institut Régional et Européen des métiers de l'Intervention Sociale Rhône-Alpes- IREIS - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 9, 193, 181, 193, 0, 33, 1, 37, 6, 26, 5, 97, 0, 0, 0, 0, 0, 125, 0, 0, 0, 18, 1, 20, 4, 16, 3, 71, 16, 9, 9, 9, 0, 6.0, 8.0, 8.0, 0, 1, 3, 0, 1, 2, 6, 0, 0, 1, 1, 1, 0.0, 0, 1, 2, 0, 0, 1, 1, 66.67, 88.89, 88.89, 100.0, 33.296875, 33.296875, 0, 33.296875, 33.296875, 0.0, 0.0, 33.296875, 33.296875, 33.3, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 0.0, 0.0, 3.0, 0.0, 12.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 9.0, "23430", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24808&g_ta_cod=23430", 33.0, 22.0, 22.0),
(7075, "Public", "0271666P", "I.U.T d'Evreux", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BUT", "I.U.T d'Evreux - BUT - Packaging, emballage et conditionnement Parcours : Eco-conception et industrialisation", "BUT - Production", "Eco-conception et industrialisation", 54, 278, 140, 244, 0, 90, 5, 98, 17, 5, 3, 51, 34, 7, 9, 0, 18, 183, 15, 0, 0, 80, 3, 67, 11, 3, 3, 33, 158, 42, 17, 34, 8, 16.0, 34.0, 40.0, 0, 3, 32, 18, 13, 1, 10, 1, 17, 10, 4, 0, 0.0, 5, 8, 1, 0, 0, 25, 25, 38.1, 80.95, 95.24, 40.5, 78.09375, 78.09375, 0, 9.3984375, 76.1875, 3.099609375, 53.09375, 31.296875, 12.5, 0.0, 0.0, 56.296875, 15.599609375, 40.59375, 25.0, 3.099609375, 3.099609375, 64.0, 2.0, 3.0, 3.0, 31.0, "Tous les candidats sauf les Bac technologiques", 103.0, "Bacheliers technologiques toutes séries", 80, "", 0, "Liste d'appel propre à cette formation", 74.0, "3717", "BUT - Packaging, emballage et conditionnement Parcours : Eco-conception et industrialisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3717&g_ta_cod=3717", 57.0, 38.0, 2.0),
(7076, "Public", "0130040Y", "Lycée Thiers", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  1er Arrondissement", "formation sélective", "CPGE", "Lycée Thiers - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 48, 640, 295, 640, 380, 512, 59, 1, 0, 0, 0, 127, 0, 0, 0, 0, 0, 485, 0, 101, 478, 464, 49, 0, 0, 0, 0, 21, 283, 46, 15, 46, 0, 15.0, 29.0, 46.0, 3, 7, 44, 44, 0, 0, 2, 0, 1, 6, 17, 20, 0.0, 43, 0, 0, 1, 1, 30, 30, 32.61, 63.04, 100.0, 32.59375, 68.1875, 68.1875, 2.2998046875, 15.8984375, 95.6875, 0.0, 2.2998046875, 13.599609375, 38.59375, 45.5, 0.0, 100.0, 97.6875, 0.0, 0.0, 0.0, 0.0, 273.0, 29.0, 0.0, 0.0, 10.0, "Tous les candidats", 410.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "31270", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31270&g_ta_cod=31270", 100.0, 0.0, 0.0),
(7077, "Public", "0280706R", "Lycée agricole de Chartres", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Sours", "formation sélective", "BTS", "Lycée agricole de Chartres - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 18, 123, 43, 114, 0, 15, 2, 41, 7, 32, 8, 26, 9, 2, 1, 3, 3, 88, 5, 0, 0, 15, 2, 39, 7, 30, 7, 4, 60, 5, 2, 5, 0, 1.0, 5.0, 5.0, 0, 1, 3, 1, 0, 2, 2, 0, 1, 2, 0, 0, 0.0, 1, 0, 1, 1, 0, 2, 2, 20.0, 100.0, 100.0, 40.0, 66.6875, 66.6875, 33.296875, 33.296875, 60.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 33.296875, 33.296875, 0.0, 0.0, 66.6875, 33.296875, 12.0, 2.0, 25.0, 5.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 74.0, "3742", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3742&g_ta_cod=3742", 40.0, 20.0, 40.0),
(7078, "Public", "7200093N", "Lycée professionnel Jean Nicoli", "2B", "Haute-Corse", "Corse", "Corse", "Bastia", "formation sélective", "BTS", "Lycée professionnel Jean Nicoli - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 19, 171, 104, 152, 0, 20, 5, 38, 15, 66, 27, 28, 19, 3, 0, 0, 16, 81, 2, 0, 0, 10, 3, 26, 11, 45, 19, 0, 78, 14, 6, 13, 1, 2.0, 12.0, 13.0, 0, 8, 13, 0, 2, 11, 1, 0, 7, 3, 3, 0, 0.0, 0, 0, 6, 7, 4, 13, 13, 14.29, 85.71, 92.86, 42.8984375, 100.0, 100.0, 53.796875, 61.5, 92.890625, 0.0, 53.796875, 23.09765625, 23.09765625, 0.0, 0.0, 0.0, 0.0, 15.3984375, 0.0, 84.59375, 46.1953125, 10.0, 3.0, 42.0, 18.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 51.0, "19521", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19521&g_ta_cod=19521", 7.0, 14.0, 79.0),
(7079, "Privé sous contrat d'association", "0111024D", "Ecole Sup. La Raque", "11", "Aude", "Occitanie", "Montpellier", "Lasbordes", "formation sélective", "BTS", "Ecole Sup. La Raque - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 25, 86, 53, 83, 0, 13, 1, 12, 2, 34, 9, 24, 3, 0, 1, 2, 0, 83, 3, 0, 0, 13, 1, 12, 2, 34, 9, 24, 71, 21, 7, 20, 1, 8.0, 20.0, 21.0, 0, 3, 12, 3, 2, 7, 9, 0, 7, 5, 0, 0, 0.0, 1, 1, 3, 0, 0, 9, 9, 38.1, 95.24, 100.0, 33.296875, 75.0, 75.0, 0, 25.0, 57.09375, 0.0, 58.296875, 41.6953125, 0.0, 0.0, 0.0, 25.0, 8.298828125, 16.69921875, 8.298828125, 58.296875, 25.0, 13.0, 1.0, 24.0, 6.0, 21.0, "Tous les candidats sauf les Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 94.0, "2477", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2477&g_ta_cod=2477", 57.0, 10.0, 33.0),
(7080, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes anglophones", "Licence - Arts-lettres-langues", "Etudes anglophones", 530, 2173, 1606, 2085, 0, 1416, 413, 109, 48, 53, 28, 507, 88, 7, 1, 5, 75, 2075, 86, 0, 0, 1416, 413, 109, 48, 53, 28, 497, 2164, 526, 364, 471, 54, 466.0, 470.0, 479.0, 0, 115, 322, 276, 29, 17, 204, 0, 103, 134, 67, 18, 0.0, 203, 9, 7, 0, 0, 208, 208, 88.59, 89.35, 91.06, 69.1875, 64.59375, 64.59375, 0, 35.6953125, 61.1953125, 0.0, 32.0, 41.59375, 20.796875, 5.6, 0.0, 85.6875, 63.0, 9.0, 2.7998046875, 5.2998046875, 2.19970703125, 1423.0, 416.0, 58.0, 31.0, 572.0, "Tous les candidats", 2075.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4149", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes anglophones", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4149&g_ta_cod=4149", 80.0, 11.0, 8.0),
(7081, "Public", "0720033V", "Lycée Polyvalent Gabriel Touchard - Washington", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Gabriel Touchard - Washington - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 312, 20, 296, 0, 26, 4, 177, 29, 37, 14, 56, 16, 1, 7, 0, 8, 197, 4, 0, 0, 17, 3, 134, 18, 28, 8, 18, 99, 11, 1, 8, 3, 0.0, 7.0, 9.0, 0, 5, 6, 1, 2, 3, 5, 0, 4, 2, 0, 0, 0.0, 0, 1, 1, 4, 0, 6, 6, 0.0, 63.64, 81.82, 9.099609375, 100.0, 100.0, 66.6875, 83.296875, 54.5, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 16.69921875, 0.0, 33.296875, 16.69921875, 50.0, 16.69921875, 6.0, 1.0, 17.0, 6.0, 14.0, "Tous les candidats sauf les Bac professionnels", 169.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 67.0, "20852", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20852&g_ta_cod=20852", 9.0, 55.0, 36.0),
(7082, "Public", "0690026D", "Lycée du Parc", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 6e  Arrondissement", "formation sélective", "CPGE", "Lycée du Parc - CPGE - MP2I", "Classe préparatoire scientifique", "", 47, 2551, 446, 2551, 2040, 2269, 238, 5, 2, 1, 1, 276, 0, 0, 0, 0, 0, 2212, 0, 2040, 1162, 2008, 210, 4, 1, 1, 1, 199, 226, 46, 6, 46, 0, 2.0, 35.0, 45.0, 11, 9, 45, 45, 0, 0, 1, 0, 0, 0, 0, 28, 17.0, 45, 0, 0, 0, 0, 9, 9, 4.35, 76.09, 97.83, 13.0, 20.0, 20.0, 0, 20.0, 97.796875, 0.0, 0.0, 0.0, 0.0, 62.2, 37.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 225.0, 35.0, 0.0, 0.0, 1.0, "Tous les candidats", 344.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "31680", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31680&g_ta_cod=31680", 100.0, 0.0, 0.0),
(7083, "Public", "0951979K", "I.U.T de Cergy-Pontoise - Site de Pontoise", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "BUT", "I.U.T de Cergy-Pontoise - Site de Pontoise - BUT - Génie biologique parcours biologie médicale et biotechnologie", "BUT - Production", "", 54, 1822, 1293, 1822, 0, 872, 165, 459, 151, 4, 0, 487, 0, 0, 0, 0, 0, 869, 0, 0, 0, 500, 91, 323, 94, 0, 0, 46, 241, 53, 43, 53, 0, 9.0, 39.0, 53.0, 0, 14, 52, 26, 26, 0, 1, 0, 1, 19, 26, 6, 0.0, 25, 26, 0, 0, 0, 45, 50, 16.98, 73.58, 100.0, 81.09375, 86.5, 96.1875, 0, 26.8984375, 98.09375, 0.0, 1.89990234375, 36.5, 50.0, 11.5, 0.0, 50.0, 48.09375, 50.0, 50.0, 0.0, 0.0, 136.0, 29.0, 0.0, 0.0, 13.0, "Tous les candidats sauf les Bac technologiques", 251.0, "Bacheliers technologiques toutes séries", 139, "", 0, "Liste d'appel propre à cette formation", 21.0, "11621", "BUT - Génie biologique parcours biologie médicale et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11621&g_ta_cod=11621", 49.0, 51.0, 0.0),
(7084, "Public", "9720692V", "Lycée Du Nord Atlantique", "972", "Martinique", "Martinique", "Martinique", "Sainte-Marie", "formation sélective", "BTS", "Lycée Du Nord Atlantique - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 274, 121, 243, 0, 29, 10, 56, 25, 96, 66, 62, 31, 1, 0, 23, 7, 82, 4, 0, 0, 29, 10, 24, 12, 26, 19, 3, 56, 13, 8, 13, 0, 5.0, 12.0, 13.0, 0, 10, 13, 3, 4, 6, 0, 0, 7, 6, 0, 0, 0.0, 0, 3, 3, 2, 0, 13, 13, 38.46, 92.31, 100.0, 61.5, 100.0, 100.0, 15.3984375, 76.890625, 100.0, 0.0, 53.796875, 46.1953125, 0.0, 0.0, 0.0, 23.09765625, 0.0, 30.796875, 23.09765625, 46.1953125, 23.09765625, 14.0, 6.0, 34.0, 22.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 29.0, "20242", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20242&g_ta_cod=20242", 23.0, 31.0, 46.0),
(7085, "Public", "0780582J", "Lycée Jean Vilar", "78", "Yvelines", "Ile-de-France", "Versailles", "Plaisir", "formation sélective", "BTS", "Lycée Jean Vilar - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 575, 61, 575, 0, 60, 7, 170, 53, 134, 45, 211, 0, 0, 0, 0, 0, 228, 0, 0, 0, 42, 3, 112, 30, 73, 26, 1, 97, 34, 1, 34, 0, 11.0, 29.0, 31.0, 0, 17, 34, 4, 13, 17, 0, 0, 17, 16, 1, 0, 0.0, 1, 2, 14, 5, 0, 34, 34, 32.35, 85.29, 91.18, 2.89990234375, 100.0, 100.0, 14.69921875, 50.0, 100.0, 0.0, 50.0, 47.09375, 2.89990234375, 0.0, 0.0, 11.798828125, 2.89990234375, 38.1953125, 5.8994140625, 50.0, 41.1953125, 19.0, 2.0, 52.0, 21.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 19.0, "9962", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9962&g_ta_cod=9962", 12.0, 38.0, 50.0),
(7086, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Portail Droit", "Licence - Droit-économie-gestion", ": Université de La Réunion - Saint Denis", 450, 1564, 1138, 1399, 0, 910, 323, 180, 116, 33, 23, 276, 165, 32, 22, 6, 105, 1399, 143, 0, 0, 910, 323, 180, 116, 33, 23, 276, 1341, 335, 235, 267, 68, 93.0, 260.0, 301.0, 0, 114, 248, 199, 41, 8, 87, 0, 97, 105, 32, 13, 1.0, 128, 19, 4, 0, 0, 224, 224, 27.76, 77.61, 89.85, 70.09375, 90.296875, 90.296875, 0, 46.0, 74.0, 0.0, 39.09375, 42.296875, 12.8984375, 5.2, 0.4, 80.1875, 51.59375, 16.5, 7.69921875, 3.19970703125, 1.599853515625, 837.0, 293.0, 31.0, 20.0, 314.0, "Tous les candidats", 1783.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "26495", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26493&g_ta_cod=26495", 74.0, 20.0, 5.0),
(7087, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Portail Philosophie", "Licence - Sciences humaines et sociales", "", 70, 461, 281, 365, 0, 201, 54, 23, 7, 16, 9, 125, 96, 11, 8, 4, 73, 365, 61, 0, 0, 201, 54, 23, 7, 16, 9, 125, 349, 65, 38, 41, 24, 9.0, 40.0, 48.0, 0, 8, 31, 24, 4, 3, 34, 0, 15, 8, 6, 1, 1.0, 14, 1, 1, 0, 0, 24, 24, 13.85, 61.54, 73.85, 58.5, 77.390625, 77.390625, 0, 25.796875, 47.6953125, 0.0, 48.3984375, 25.796875, 19.3984375, 3.2, 3.2, 77.390625, 45.1953125, 12.8984375, 3.19970703125, 9.69921875, 3.19970703125, 174.0, 49.0, 16.0, 10.0, 135.0, "Tous les candidats", 489.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "2292", "Licence - Portail Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27492&g_ta_cod=2292", 80.0, 12.0, 8.0),
(7088, "Public", "0134248X", "Aix-Marseille Université - Site de Marseille Timone", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation non sélective", "PASS", "Aix-Marseille Université - Site de Marseille Timone - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 350, 3996, 2774, 3996, 0, 2889, 629, 166, 76, 53, 30, 888, 0, 0, 0, 0, 0, 3996, 0, 0, 0, 2889, 629, 166, 76, 53, 30, 888, 1700, 348, 233, 348, 0, 10.0, 220.0, 319.0, 0, 84, 324, 309, 11, 4, 24, 1, 43, 174, 87, 17, 2.0, 267, 10, 3, 0, 0, 295, 295, 2.87, 63.22, 91.67, 67.0, 91.0, 91.0, 0, 25.8984375, 93.09375, 0.29998779296875, 13.298828125, 53.6953125, 26.8984375, 5.2, 0.6, 95.390625, 82.390625, 3.39990234375, 3.099609375, 1.199951171875, 0.89990234375, 1520.0, 296.0, 8.0, 6.0, 139.0, "Tous les candidats", 3996.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 49.0, "27968", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27970&g_ta_cod=27968", 95.0, 3.0, 1.0),
(7089, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Sciences du langage", "Licence - Sciences humaines et sociales", "", 150, 712, 621, 533, 0, 340, 57, 32, 7, 11, 6, 150, 179, 48, 10, 4, 117, 533, 174, 0, 0, 340, 57, 32, 7, 11, 6, 150, 707, 168, 146, 96, 72, 94.0, 95.0, 139.0, 0, 21, 88, 74, 10, 4, 80, 1, 34, 38, 9, 6, 0.0, 44, 7, 2, 0, 0, 64, 64, 55.95, 56.55, 82.74, 86.890625, 72.6875, 72.6875, 0, 23.8984375, 52.3984375, 1.099853515625, 38.59375, 43.1953125, 10.19921875, 6.8, 0.0, 84.09375, 50.0, 11.3984375, 8.0, 4.5, 2.2998046875, 388.0, 66.0, 14.0, 8.0, 263.0, "Tous les candidats", 533.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4897", "Licence - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4897&g_ta_cod=4897", 85.0, 10.0, 4.0),
(7090, "Privé sous contrat d'association", "0791171U", "Institut Catholique Supérieur Saint André", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BTS", "Institut Catholique Supérieur Saint André - BTS - Services - Support à l'action managériale", "BTS - Services", "", 12, 146, 92, 137, 0, 8, 1, 18, 3, 16, 5, 95, 9, 0, 4, 0, 5, 45, 4, 0, 0, 8, 1, 18, 3, 16, 5, 3, 35, 7, 4, 6, 1, 3.0, 6.0, 7.0, 0, 0, 6, 2, 1, 3, 1, 0, 2, 2, 2, 0, 0.0, 1, 1, 2, 0, 0, 6, 6, 42.86, 85.71, 100.0, 57.09375, 100.0, 100.0, 0, 0.0, 85.6875, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 33.296875, 16.69921875, 16.69921875, 16.69921875, 50.0, 33.296875, 4.0, 0.0, 14.0, 5.0, 3.0, "Tous les candidats sauf les Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 31.0, "10140", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10140&g_ta_cod=10140", 29.0, 29.0, 43.0),
(7091, "Privé enseignement supérieur", "0221844K", "Facultés libres de l'ouest - UCO - Bretagne Nord", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Guingamp", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Bretagne Nord - Licence - Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "", 45, 146, 51, 113, 0, 74, 3, 20, 3, 0, 0, 19, 33, 7, 4, 0, 22, 110, 28, 0, 0, 74, 3, 20, 3, 0, 0, 16, 133, 16, 12, 14, 2, 14.0, 14.0, 15.0, 0, 2, 12, 9, 3, 0, 4, 0, 4, 6, 2, 0, 0.0, 7, 1, 0, 0, 0, 5, 5, 87.5, 87.5, 93.75, 75.0, 41.6953125, 41.6953125, 0, 16.69921875, 75.0, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 75.0, 58.296875, 25.0, 8.298828125, 0.0, 0.0, 77.0, 3.0, 0.0, 0.0, 32.0, "Tous les candidats", 110.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "20218", "Licence - Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20218&g_ta_cod=20218", 69.0, 31.0, 0.0),
(7092, "Public", "0630021F", "Lycée La Fayette", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Autre formation", "Lycée La Fayette - Mention complémentaire - Technicien ascensoriste, service et modernisation", "Mention complémentaire", "", 12, 75, 4, 69, 0, 0, 0, 0, 0, 62, 27, 7, 6, 0, 0, 3, 3, 37, 0, 0, 0, 0, 0, 0, 0, 36, 13, 1, 32, 6, 0, 6, 0, 2.0, 6.0, 6.0, 0, 3, 5, 0, 0, 5, 1, 0, 3, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 5, 5, 33.33, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 60.0, 83.296875, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 40.0, 0.0, 0.0, 31.0, 10.0, 1.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "18205", "Mention complémentaire - Technicien ascensoriste, service et modernisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18205&g_ta_cod=18205", 0.0, 0.0, 100.0),
(7093, "Privé enseignement supérieur", "0922663V", "IESEG School of Management - Paris La Défense", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Ecole de Commerce", "Concours ACCES - Formation des écoles de commerce et de management Bac + 5", "Formation des écoles de commerce et de management", "Master en Droit & Management", 40, 2794, 1202, 2794, 0, 2493, 51, 59, 5, 1, 0, 241, 0, 0, 0, 0, 0, 1300, 0, 0, 0, 1187, 17, 3, 0, 0, 0, 110, 342, 43, 17, 43, 0, 20.0, 41.0, 42.0, 0, 2, 40, 40, 0, 0, 3, 0, 1, 10, 22, 7, 0.0, 39, 0, 0, 0, 0, 18, 28, 46.51, 95.35, 97.67, 39.5, 45.0, 70.0, 0, 5.0, 93.0, 0.0, 2.5, 25.0, 55.0, 17.5, 0.0, 100.0, 97.5, 0.0, 0.0, 0.0, 0.0, 310.0, 9.0, 0.0, 0.0, 32.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "26012", "Formation des écoles de commerce et de management Bac + 5", "Concours ACCES", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26003&g_ta_cod=26012", 100.0, 0.0, 0.0),
(7094, "Public", "0450049J", "Lycée Pothier", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "CPGE", "Lycée Pothier - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 1069, 395, 936, 659, 630, 62, 2, 0, 0, 0, 304, 133, 89, 0, 0, 44, 833, 41, 659, 591, 613, 60, 2, 0, 0, 0, 218, 591, 67, 21, 54, 13, 19.0, 41.0, 66.0, 19, 5, 65, 65, 0, 0, 2, 0, 0, 19, 34, 11, 1.0, 65, 0, 0, 1, 1, 38, 38, 28.36, 61.19, 98.51, 31.296875, 58.5, 58.5, 1.5, 7.69921875, 97.0, 0.0, 0.0, 29.19921875, 52.296875, 16.9, 1.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 533.0, 46.0, 0.0, 0.0, 58.0, "Tous les candidats", 620.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "5650", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5650&g_ta_cod=5650", 100.0, 0.0, 0.0),
(7095, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Histoire / Géographie", "Licence - Sciences humaines et sociales", "", 20, 531, 191, 531, 0, 339, 69, 40, 10, 4, 1, 148, 0, 0, 0, 0, 0, 531, 0, 0, 0, 339, 69, 40, 10, 4, 1, 148, 151, 20, 6, 20, 0, 2.0, 12.0, 17.0, 0, 1, 19, 18, 1, 0, 1, 0, 3, 9, 5, 2, 0.0, 15, 1, 0, 0, 0, 2, 16, 10.0, 60.0, 85.0, 30.0, 10.5, 84.1875, 0, 5.2998046875, 95.0, 0.0, 15.798828125, 47.3984375, 26.296875, 10.5, 0.0, 94.6875, 78.890625, 5.2998046875, 5.2998046875, 0.0, 0.0, 135.0, 12.0, 0.0, 0.0, 11.0, "Tous les candidats", 249.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "23818", "Licence - Histoire / Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23818&g_ta_cod=23818", 95.0, 5.0, 0.0),
(7096, "Public", "0760096S", "Lycée Gustave Flaubert", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Gustave Flaubert - BTS - Services - Economie sociale familiale", "BTS - Services", "", 52, 979, 860, 936, 0, 127, 48, 239, 83, 271, 121, 299, 43, 3, 17, 3, 20, 447, 7, 0, 0, 81, 25, 116, 36, 167, 68, 83, 203, 42, 40, 39, 2, 3.0, 15.0, 29.0, 0, 14, 39, 5, 14, 20, 3, 0, 12, 16, 9, 2, 0.0, 3, 8, 16, 0, 0, 36, 36, 7.14, 35.71, 69.05, 95.1875, 92.296875, 92.296875, 0, 35.8984375, 92.890625, 0.0, 30.796875, 41.0, 23.09765625, 5.1, 0.0, 12.798828125, 7.69921875, 35.8984375, 20.5, 51.296875, 41.0, 31.0, 13.0, 82.0, 24.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 87, "Bacheliers technologiques toutes séries", 135, "Liste d'appel propre à cette formation", 31.0, "9610", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9610&g_ta_cod=9610", 17.0, 36.0, 48.0),
(7097, "Privé sous contrat d'association", "0290181P", "Lycée Sup'Javouhey BREST", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Autre formation", "Lycée Sup'Javouhey BREST - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 385, 175, 348, 0, 119, 19, 56, 5, 2, 2, 171, 37, 4, 2, 2, 29, 165, 9, 0, 0, 95, 15, 50, 4, 0, 0, 20, 119, 22, 10, 18, 4, 6.0, 18.0, 20.0, 0, 2, 16, 12, 4, 0, 6, 0, 7, 7, 2, 0, 0.0, 6, 3, 0, 0, 0, 16, 16, 27.27, 81.82, 90.91, 45.5, 100.0, 100.0, 0, 12.5, 72.6875, 0.0, 43.796875, 43.796875, 12.5, 0.0, 0.0, 75.0, 37.5, 25.0, 18.796875, 0.0, 0.0, 68.0, 8.0, 0.0, 0.0, 23.0, "Tous les candidats", 165.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "3825", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3825&g_ta_cod=3825", 73.0, 27.0, 0.0),
(7098, "Privé sous contrat d'association", "0560117Y", "Lycée St Paul", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BTS", "Lycée St Paul - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 479, 286, 468, 0, 52, 8, 197, 29, 129, 29, 90, 11, 0, 1, 5, 5, 337, 5, 0, 0, 50, 7, 166, 23, 82, 13, 39, 163, 34, 19, 32, 2, 8.0, 24.0, 29.0, 0, 4, 28, 2, 16, 10, 6, 0, 8, 16, 2, 2, 0.0, 2, 9, 9, 1, 1, 28, 28, 23.53, 70.59, 85.29, 55.8984375, 100.0, 100.0, 3.599609375, 14.298828125, 82.390625, 0.0, 28.59765625, 57.09375, 7.099609375, 7.1, 0.0, 7.099609375, 7.099609375, 57.09375, 32.09375, 35.6953125, 32.09375, 18.0, 4.0, 58.0, 9.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 87, "Bacheliers technologiques toutes séries", 118, "Liste d'appel propre à cette formation", 58.0, "6445", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6445&g_ta_cod=6445", 18.0, 47.0, 35.0),
(7099, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Arts du spectacle - Parcours Communication et arts du spectacle : Danse-Cirque", "Licence - Arts-lettres-langues", "Communication et arts du spectacle : Danse-Cirque", 25, 218, 175, 216, 0, 152, 35, 18, 6, 0, 0, 46, 2, 0, 0, 0, 2, 199, 0, 0, 0, 140, 29, 17, 6, 0, 0, 42, 73, 24, 20, 24, 0, 6.0, 17.0, 19.0, 0, 6, 18, 17, 1, 0, 6, 0, 1, 3, 9, 5, 0.0, 16, 1, 0, 0, 0, 5, 5, 25.0, 70.83, 79.17, 83.296875, 27.796875, 27.796875, 0, 33.296875, 75.0, 0.0, 5.599609375, 16.69921875, 50.0, 27.8, 0.0, 94.390625, 88.890625, 5.599609375, 5.599609375, 0.0, 0.0, 51.0, 11.0, 0.0, 0.0, 13.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "15848", "Licence - Arts du spectacle - Parcours Communication et arts du spectacle : Danse-Cirque", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15848&g_ta_cod=15848", 96.0, 4.0, 0.0),
(7100, "Public", "0720048L", "Lycée polyvalent Raphaël Elizé", "72", "Sarthe", "Pays de la Loire", "Nantes", "Sablé-sur-Sarthe", "formation sélective", "BTS", "Lycée polyvalent Raphaël Elizé - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 7, 128, 9, 128, 0, 0, 0, 19, 4, 69, 24, 40, 0, 0, 0, 0, 0, 82, 0, 0, 0, 0, 0, 16, 2, 55, 16, 11, 27, 7, 1, 7, 0, 1.0, 5.0, 6.0, 0, 3, 5, 0, 1, 4, 2, 0, 3, 2, 0, 0, 0.0, 0, 1, 1, 2, 0, 4, 4, 14.29, 71.43, 85.71, 14.298828125, 80.0, 80.0, 40, 60.0, 71.390625, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 20.0, 20.0, 80.0, 20.0, 0.0, 0.0, 12.0, 4.0, 6.0, "Tous les candidats sauf les Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 47.0, "8704", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8704&g_ta_cod=8704", 14.0, 29.0, 57.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(7101, "Privé sous contrat d'association", "0622196A", "Lycée Baudimont Saint-Charles", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "Lycée Baudimont Saint-Charles - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 50, 423, 39, 326, 0, 55, 8, 60, 18, 39, 9, 172, 97, 11, 14, 6, 66, 130, 28, 0, 0, 52, 6, 47, 12, 19, 2, 12, 138, 45, 2, 36, 9, 21.0, 35.0, 37.0, 0, 3, 32, 13, 15, 4, 13, 0, 18, 11, 3, 0, 0.0, 3, 7, 4, 13, 0, 30, 30, 46.67, 77.78, 82.22, 4.3994140625, 93.796875, 93.796875, 40.59375, 9.3984375, 71.09375, 0.0, 56.296875, 34.3984375, 9.3984375, 0.0, 0.0, 40.59375, 9.3984375, 46.8984375, 21.8984375, 12.5, 12.5, 48.0, 5.0, 15.0, 2.0, 32.0, "Tous les candidats sauf les Bac professionnels", 108.0, "Bacheliers professionnels toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 39.0, "7420", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7420&g_ta_cod=7420", 44.0, 42.0, 13.0),
(7102, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Portail Administration économique et sociale - Administration et gestion des entreprises, Administration et gestion des territoires", "Licence - Droit-économie-gestion", "Administration et gestion des entreprises, Administration et gestion des territoires : Université de Brest", 180, 1661, 948, 1590, 0, 802, 141, 403, 85, 48, 26, 337, 71, 6, 11, 4, 50, 1553, 60, 0, 0, 802, 141, 403, 85, 48, 26, 300, 1224, 172, 81, 141, 31, 13.0, 139.0, 143.0, 0, 34, 120, 71, 43, 6, 52, 1, 62, 44, 10, 3, 0.0, 36, 19, 2, 0, 0, 107, 107, 7.56, 80.81, 83.14, 47.09375, 89.1875, 89.1875, 0, 28.296875, 69.796875, 0.7999267578125, 51.6953125, 36.6953125, 8.298828125, 2.5, 0.0, 59.1953125, 30.0, 35.796875, 15.798828125, 5.0, 1.699951171875, 655.0, 104.0, 34.0, 22.0, 261.0, "Tous les candidats", 1784.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "28758", "Licence - Portail Administration économique et sociale - Administration et gestion des entreprises, Administration et gestion des territoires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28756&g_ta_cod=28758", 56.0, 37.0, 8.0),
(7103, "Public", "9711066G", "Lycée des métiers de l'Hôtellerie et du Tourisme Archipel Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Le Gosier", "formation sélective", "BTS", "Lycée des métiers de l'Hôtellerie et du Tourisme Archipel Guadeloupe - BTS - Services - Tourisme", "BTS - Services", "", 30, 402, 311, 401, 0, 136, 63, 45, 25, 106, 69, 114, 1, 0, 1, 0, 0, 211, 0, 0, 0, 89, 43, 25, 13, 49, 34, 48, 86, 29, 26, 29, 0, 7.0, 23.0, 25.0, 0, 14, 22, 12, 5, 5, 7, 0, 7, 11, 2, 2, 0.0, 8, 2, 5, 3, 2, 21, 21, 24.14, 79.31, 86.21, 89.6875, 95.5, 95.5, 13.599609375, 63.59375, 75.890625, 0.0, 31.796875, 50.0, 9.099609375, 9.1, 0.0, 54.5, 36.3984375, 22.69921875, 9.099609375, 22.69921875, 22.69921875, 31.0, 16.0, 11.0, 7.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 33.0, "11770", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11770&g_ta_cod=11770", 59.0, 21.0, 21.0),
(7104, "Public", "0410978R", "I.U.T de Blois", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BUT", "I.U.T de Blois - BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience - Développement web et dispositifs interactifs", "BUT - Production", "Stratégie de communication numérique et design d'expérience - Développement web et dispositifs interactifs", 55, 1440, 387, 1440, 0, 666, 84, 353, 77, 44, 15, 377, 0, 0, 0, 0, 0, 731, 0, 0, 0, 340, 38, 238, 47, 14, 4, 139, 231, 55, 9, 55, 0, 5.0, 45.0, 50.0, 0, 13, 44, 20, 24, 0, 11, 0, 6, 30, 6, 2, 0.0, 18, 20, 0, 0, 0, 25, 25, 9.09, 81.82, 90.91, 16.3984375, 56.796875, 56.796875, 0, 29.5, 80.0, 0.0, 13.599609375, 68.1875, 13.599609375, 4.5, 0.0, 45.5, 40.8984375, 54.5, 45.5, 0.0, 0.0, 87.0, 13.0, 1.0, 0.0, 46.0, "Tous les candidats sauf les Bac technologiques", 170.0, "Bacheliers technologiques toutes séries", 166, "", 0, "Liste d'appel propre à cette formation", 23.0, "5266", "BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience - Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5266&g_ta_cod=5266", 44.0, 56.0, 0.0),
(7105, "Privé sous contrat d'association", "0022185P", "APRADIS - Site Laon", "02", "Aisne", "Hauts-de-France", "Amiens", "Laon", "formation sélective", "EFTS", "APRADIS - Site Amiens - D.E Assistant de Service Social", "D.E secteur social", "", 12, 69, 64, 62, 0, 14, 6, 18, 2, 3, 0, 27, 7, 2, 0, 1, 4, 37, 2, 0, 0, 10, 4, 10, 0, 0, 0, 17, 37, 11, 10, 10, 1, 5.0, 10.0, 10.0, 0, 2, 7, 3, 4, 0, 4, 0, 2, 4, 1, 0, 0.0, 2, 3, 0, 0, 0, 6, 6, 45.45, 90.91, 90.91, 90.890625, 85.6875, 85.6875, 0, 28.59765625, 63.59375, 0.0, 28.59765625, 57.09375, 14.298828125, 0.0, 0.0, 42.8984375, 28.59765625, 57.09375, 42.8984375, 0.0, 0.0, 9.0, 4.0, 0.0, 0.0, 18.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 60.0, "25214", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25205&g_ta_cod=25214", 36.0, 64.0, 0.0),
(7106, "Privé sous contrat d'association", "0421021G", "Externat Saint Michel", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Externat Saint Michel - BTS - Services - Economie sociale familiale", "BTS - Services", "", 60, 515, 454, 515, 0, 57, 13, 138, 39, 170, 58, 150, 0, 0, 0, 0, 0, 417, 0, 0, 0, 54, 10, 126, 33, 146, 47, 91, 248, 61, 51, 61, 0, 11.0, 45.0, 53.0, 0, 13, 51, 10, 20, 21, 10, 0, 20, 22, 8, 1, 0.0, 4, 8, 19, 0, 0, 39, 39, 18.03, 73.77, 86.89, 83.59375, 76.5, 76.5, 0, 25.5, 83.59375, 0.0, 39.1953125, 43.09375, 15.69921875, 2.0, 0.0, 19.59765625, 7.7998046875, 39.1953125, 15.69921875, 41.1953125, 37.296875, 37.0, 9.0, 94.0, 28.0, 37.0, "Tous les candidats sauf les Bac professionnels", 174.0, "Bacheliers professionnels toutes séries", 104, "", 0, "Liste d'appel propre à cette formation", 54.0, "5325", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5325&g_ta_cod=5325", 21.0, 43.0, 36.0),
(7107, "Public", "0680003J", "Lycée agricole de Rouffach", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Rouffach", "formation sélective", "BTS", "Lycée agricole de Rouffach - BTS - Agricole - Viticulture-Oenologie", "BTS - Agricole", "", 27, 205, 83, 204, 0, 53, 6, 55, 10, 32, 5, 64, 1, 0, 0, 1, 0, 168, 0, 0, 0, 52, 5, 53, 10, 28, 3, 35, 108, 25, 7, 25, 0, 10.0, 23.0, 24.0, 0, 2, 19, 6, 6, 7, 6, 0, 8, 8, 1, 1, 1.0, 3, 3, 5, 7, 2, 11, 11, 40.0, 92.0, 96.0, 28.0, 57.8984375, 57.8984375, 36.796875, 10.5, 76.0, 0.0, 42.09375, 42.09375, 5.2998046875, 5.3, 5.3, 31.59765625, 15.798828125, 31.59765625, 15.798828125, 36.796875, 26.296875, 32.0, 4.0, 24.0, 3.0, 24.0, "Tous les candidats sauf les Bac professionnels", 116.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 72.0, "8082", "BTS - Agricole - Viticulture-Oenologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8082&g_ta_cod=8082", 40.0, 32.0, 28.0),
(7108, "Public", "0692866R", "Lycée La Martiniere Monplaisir", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Lycée La Martiniere Monplaisir - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 15, 529, 17, 492, 0, 23, 3, 142, 42, 229, 108, 98, 37, 0, 23, 0, 14, 190, 4, 0, 0, 11, 1, 60, 12, 104, 40, 15, 56, 15, 0, 12, 3, 5.0, 10.0, 11.0, 0, 2, 12, 1, 3, 8, 3, 1, 3, 6, 1, 1, 0.0, 1, 2, 5, 2, 0, 9, 9, 33.33, 66.67, 73.33, 0.0, 75.0, 75.0, 16.69921875, 16.69921875, 80.0, 8.298828125, 25.0, 50.0, 8.298828125, 8.3, 0.0, 8.298828125, 8.298828125, 25.0, 16.69921875, 66.6875, 41.6953125, 3.0, 1.0, 20.0, 7.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 27.0, "8555", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8555&g_ta_cod=8555", 7.0, 33.0, 60.0),
(7109, "Public", "0490946M", "Lycée agricole Angers le Fresne", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Lycée agricole Angers le Fresne - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 34, 262, 115, 228, 0, 18, 3, 52, 10, 58, 18, 100, 34, 1, 11, 7, 15, 112, 7, 0, 0, 16, 3, 39, 6, 52, 14, 5, 106, 18, 10, 16, 2, 11.0, 16.0, 18.0, 0, 6, 17, 2, 4, 11, 1, 0, 14, 2, 0, 1, 0.0, 0, 0, 3, 5, 4, 11, 11, 61.11, 88.89, 100.0, 55.59375, 64.6875, 64.6875, 29.3984375, 35.296875, 94.390625, 0.0, 82.390625, 11.798828125, 0.0, 5.9, 0.0, 11.798828125, 0.0, 23.5, 0.0, 64.6875, 17.59765625, 15.0, 3.0, 44.0, 12.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 49.0, "5920", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5920&g_ta_cod=5920", 11.0, 22.0, 67.0),
(7110, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Sciences sociales - Programme International MINERVE", "Licence - Sciences humaines et sociales", "Sciences sociales - Programme International MINERVE", 355, 3320, 2347, 3320, 0, 2521, 415, 68, 26, 21, 9, 710, 0, 0, 0, 0, 0, 3320, 0, 0, 0, 2521, 415, 68, 26, 21, 9, 710, 1750, 344, 233, 344, 0, 46.0, 240.0, 310.0, 0, 55, 268, 254, 12, 2, 76, 2, 53, 57, 105, 49, 2.0, 207, 4, 2, 0, 0, 115, 115, 13.37, 69.77, 90.12, 67.6875, 42.8984375, 42.8984375, 0, 20.5, 77.890625, 0.699951171875, 19.796875, 21.296875, 39.1953125, 18.3, 0.7, 94.796875, 77.1875, 4.5, 1.5, 0.699951171875, 0.699951171875, 1334.0, 225.0, 10.0, 5.0, 362.0, "Tous les candidats", 2251.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "8349", "Licence - Portail Sciences sociales - Programme International MINERVE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8349&g_ta_cod=8349", 90.0, 7.0, 2.0),
(7111, "Privé sous contrat d'association", "0383208F", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Corenc", "formation sélective", "BTS", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY - BTS - Services - Communication", "BTS - Services", "", 15, 262, 177, 251, 0, 73, 8, 93, 15, 23, 8, 62, 11, 0, 0, 4, 7, 147, 1, 0, 0, 55, 5, 53, 6, 14, 5, 25, 60, 14, 9, 14, 0, 3.0, 13.0, 14.0, 0, 2, 9, 5, 3, 1, 5, 0, 1, 3, 5, 0, 0.0, 5, 2, 1, 2, 1, 9, 9, 21.43, 92.86, 100.0, 64.296875, 100.0, 100.0, 22.19921875, 22.19921875, 64.296875, 0.0, 11.099609375, 33.296875, 55.59375, 0.0, 0.0, 55.59375, 55.59375, 33.296875, 22.19921875, 11.099609375, 11.099609375, 10.0, 3.0, 8.0, 1.0, 14.0, "Tous les candidats sauf les Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 13, "", 0, "Liste d'appel propre à cette formation", 29.0, "12493", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12493&g_ta_cod=12493", 57.0, 36.0, 7.0),
(7112, "Privé sous contrat d'association", "0623139A", "IFSI Croix Rouge Française Lens", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 105, 4604, 3651, 4604, 0, 908, 232, 928, 310, 441, 190, 2327, 0, 0, 0, 0, 0, 3824, 0, 0, 0, 825, 202, 769, 246, 360, 149, 1870, 1111, 104, 85, 104, 0, 5.0, 62.0, 84.0, 0, 33, 81, 33, 32, 16, 23, 0, 9, 41, 24, 7, 0.0, 30, 27, 15, 0, 0, 80, 80, 4.81, 59.62, 80.77, 81.6875, 98.796875, 98.796875, 0, 40.6953125, 77.890625, 0.0, 11.099609375, 50.59375, 29.59765625, 8.6, 0.0, 40.6953125, 37.0, 39.5, 33.296875, 19.796875, 18.5, 263.0, 60.0, 135.0, 64.0, 471.0, "Tous les candidats", 3884.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "23149", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23149", 44.0, 36.0, 20.0),
(7113, "Public", "0590071G", "Lycée Jean Bart", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "CPGE", "Lycée Jean Bart - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 369, 133, 355, 255, 278, 42, 0, 0, 0, 0, 77, 14, 6, 0, 0, 8, 316, 10, 235, 306, 261, 38, 0, 0, 0, 0, 55, 226, 24, 11, 22, 2, 1.0, 18.0, 24.0, 9, 1, 10, 10, 0, 0, 14, 0, 0, 2, 4, 4, 0.0, 10, 0, 0, 0, 0, 8, 8, 4.17, 75.0, 100.0, 45.796875, 80.0, 80.0, 0, 10.0, 41.6953125, 0.0, 0.0, 20.0, 40.0, 40.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 174.0, 25.0, 0.0, 0.0, 52.0, "Tous les candidats", 313.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "6747", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6747&g_ta_cod=6747", 100.0, 0.0, 0.0),
(7114, "Public", "9840482B", "Lycée du Diadème - Te tara o mai'ao", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Pirae", "formation sélective", "CPGE", "Lycée du Diadème - Te tara o mai'ao - CPGE - PTSI", "Classe préparatoire scientifique", "", 24, 125, 39, 125, 0, 95, 15, 7, 3, 0, 0, 23, 0, 0, 0, 0, 0, 65, 0, 0, 65, 62, 9, 0, 0, 0, 0, 3, 57, 22, 6, 22, 0, 6.0, 22.0, 22.0, 0, 4, 22, 22, 0, 0, 0, 0, 1, 4, 13, 4, 0.0, 21, 0, 0, 4, 1, 22, 22, 27.27, 100.0, 100.0, 27.296875, 100.0, 100.0, 18.19921875, 18.19921875, 100.0, 0.0, 4.5, 18.19921875, 59.09375, 18.2, 0.0, 100.0, 95.5, 0.0, 0.0, 0.0, 0.0, 55.0, 8.0, 0.0, 0.0, 2.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "18981", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18981&g_ta_cod=18981", 100.0, 0.0, 0.0),
(7115, "Public", "0801272Y", "Lycée agricole le Paraclet Amiens-Cottenchy", "80", "Somme", "Hauts-de-France", "Amiens", "Cottenchy", "formation sélective", "BTS", "Lycée agricole le Paraclet Amiens-Cottenchy - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 16, 344, 148, 341, 0, 16, 6, 38, 8, 21, 6, 266, 3, 0, 0, 0, 3, 89, 0, 0, 0, 16, 6, 38, 8, 21, 6, 14, 56, 5, 3, 5, 0, 2.0, 5.0, 5.0, 0, 0, 5, 2, 1, 2, 0, 0, 3, 1, 1, 0, 0.0, 1, 0, 1, 1, 0, 5, 5, 40.0, 100.0, 100.0, 60.0, 100.0, 100.0, 20, 0.0, 100.0, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 40.0, 20.0, 20.0, 0.0, 40.0, 20.0, 13.0, 5.0, 17.0, 5.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 25.0, "10180", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10180&g_ta_cod=10180", 40.0, 20.0, 40.0),
(7116, "Public", "0061478Z", "Lycée Léonard De Vinci", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "BTS", "Lycée Léonard De Vinci - BTS - Production - Bâtiment", "BTS - Production", "", 24, 396, 61, 396, 0, 67, 7, 106, 20, 108, 38, 115, 0, 0, 0, 0, 0, 265, 0, 0, 0, 66, 7, 74, 13, 85, 26, 40, 106, 20, 2, 20, 0, 5.0, 15.0, 16.0, 0, 3, 18, 5, 5, 8, 2, 0, 4, 11, 2, 1, 0.0, 4, 5, 5, 3, 1, 12, 12, 25.0, 75.0, 80.0, 10.0, 66.6875, 66.6875, 16.69921875, 16.69921875, 90.0, 0.0, 22.19921875, 61.09375, 11.099609375, 5.6, 0.0, 27.796875, 22.19921875, 27.796875, 27.796875, 44.3984375, 27.796875, 27.0, 5.0, 44.0, 12.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 35.0, "2307", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2307&g_ta_cod=2307", 25.0, 25.0, 50.0),
(7117, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence_Las", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations,  parcours Afrique et océan Indien - Swahili", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations,  parcours Afrique et océan Indien - Swahili", 10, 43, 37, 26, 0, 8, 4, 1, 1, 3, 2, 14, 17, 4, 0, 0, 13, 26, 15, 0, 0, 8, 4, 1, 1, 3, 2, 14, 35, 9, 8, 3, 6, 2.0, 3.0, 8.0, 0, 2, 3, 3, 0, 0, 6, 0, 1, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 0, 3, 22.22, 33.33, 88.89, 88.890625, 0.0, 100.0, 0, 66.6875, 33.296875, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 11.0, 5.0, 2.0, 2.0, 21.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "29596", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations,  parcours Afrique et océan Indien - Swahili", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29595&g_ta_cod=29596", 89.0, 11.0, 0.0),
(7118, "Public", "0530951W", "I.U.T. Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BUT", "I.U.T. Laval - BUT - Métiers du multimédia et de l'internet Parcours : Parcours Stratégie de communication numérique et design d'expérience - Parcours Création numérique - Parcours Développement web et dispositifs interactifs  (Seconde année possible en apprentissage)", "BUT - Production", "Parcours Stratégie de communication numérique et design d'expérience - Parcours Création numérique - Parcours Développement web et dispositifs interactifs", 78, 1305, 387, 1305, 0, 678, 87, 338, 57, 17, 7, 272, 0, 0, 0, 0, 0, 570, 0, 0, 0, 299, 28, 224, 30, 0, 0, 47, 202, 78, 25, 78, 0, 22.0, 72.0, 76.0, 0, 8, 72, 37, 35, 0, 6, 0, 5, 30, 29, 8, 0.0, 36, 31, 0, 0, 0, 39, 39, 28.21, 92.31, 97.44, 32.09375, 54.1953125, 54.1953125, 0, 11.099609375, 92.296875, 0.0, 6.8994140625, 41.6953125, 40.296875, 11.1, 0.0, 51.3984375, 50.0, 48.59375, 43.09375, 0.0, 0.0, 95.0, 15.0, 0.0, 0.0, 13.0, "Tous les candidats sauf les Bac technologiques", 132.0, "Bacheliers technologiques toutes séries", 119, "", 0, "Liste d'appel propre à cette formation", 19.0, "6233", "BUT - Métiers du multimédia et de l'internet Parcours : Parcours Stratégie de communication numérique et design d'expérience - Parcours Création numérique - Parcours Développement web et dispositifs interactifs  (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6233&g_ta_cod=6233", 50.0, 50.0, 0.0),
(7119, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand Etudes germaniques", "Licence - Arts-lettres-langues", "Allemand Etudes germaniques", 50, 121, 77, 67, 0, 38, 4, 5, 2, 0, 0, 24, 54, 7, 1, 2, 44, 65, 49, 0, 0, 38, 4, 5, 2, 0, 0, 22, 111, 15, 10, 6, 9, 3.0, 6.0, 7.0, 0, 0, 5, 5, 0, 0, 10, 0, 1, 1, 2, 1, 0.0, 4, 0, 0, 0, 0, 2, 4, 20.0, 40.0, 46.67, 66.6875, 40.0, 80.0, 0, 0.0, 33.296875, 0.0, 20.0, 20.0, 40.0, 20.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 41.0, 7.0, 2.0, 1.0, 62.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "17378", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand Etudes germaniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17378&g_ta_cod=17378", 100.0, 0.0, 0.0),
(7120, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "Autre formation", "Institut national universitaire Champollion - Diplôme d'Université - PAREO - Sciences appliquées et fondamentales", "Diplôme d'Université", "Sciences appliquées et fondamentales", 17, 30, 20, 7, 0, 5, 1, 0, 0, 1, 1, 1, 23, 5, 5, 3, 10, 7, 17, 0, 0, 5, 1, 0, 0, 1, 1, 1, 27, 10, 7, 1, 9, 1.0, 1.0, 5.0, 0, 3, 6, 2, 3, 1, 4, 0, 4, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 5, 5, 10.0, 10.0, 50.0, 70.0, 83.296875, 83.296875, 0, 50.0, 60.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 33.296875, 16.69921875, 50.0, 16.69921875, 16.69921875, 0.0, 10.0, 1.0, 4.0, 3.0, 8.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "33079", "Diplôme d'Université - PAREO - Sciences appliquées et fondamentales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33079&g_ta_cod=33079", 50.0, 30.0, 20.0),
(7121, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol - Mineure Etudes Internationales", "Licence - Arts-lettres-langues", "Espagnol - Mineure Etudes Internationales", 25, 174, 142, 174, 0, 117, 23, 8, 4, 2, 1, 47, 0, 0, 0, 0, 0, 174, 0, 0, 0, 117, 23, 8, 4, 2, 1, 47, 87, 25, 19, 25, 0, 7.0, 21.0, 22.0, 0, 5, 22, 21, 1, 0, 3, 0, 3, 8, 7, 4, 0.0, 18, 1, 0, 0, 0, 6, 20, 28.0, 84.0, 88.0, 76.0, 27.296875, 90.890625, 0, 22.69921875, 88.0, 0.0, 13.599609375, 36.3984375, 31.796875, 18.2, 0.0, 95.5, 81.796875, 4.5, 4.5, 0.0, 0.0, 63.0, 13.0, 1.0, 0.0, 20.0, "Tous les candidats", 122.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "24051", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol - Mineure Etudes Internationales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24051&g_ta_cod=24051", 88.0, 12.0, 0.0),
(7122, "Public", "0860037Y", "Lycée Nelson Mandela", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Autre formation", "Lycée Nelson Mandela - Mention complémentaire - FCIL Esquisse", "Mention complémentaire", "", 10, 27, 22, 27, 0, 9, 2, 2, 1, 8, 2, 8, 0, 0, 0, 0, 0, 21, 0, 0, 0, 9, 2, 1, 1, 5, 1, 6, 18, 9, 8, 9, 0, 5.0, 7.0, 7.0, 0, 3, 6, 3, 0, 3, 3, 0, 2, 1, 3, 0, 0.0, 1, 0, 3, 0, 0, 6, 6, 55.56, 77.78, 77.78, 88.890625, 100.0, 100.0, 0, 50.0, 66.6875, 0.0, 33.296875, 16.69921875, 50.0, 0.0, 0.0, 50.0, 16.69921875, 0.0, 0.0, 50.0, 50.0, 7.0, 2.0, 4.0, 1.0, 6.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "25362", "Mention complémentaire - FCIL Esquisse", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25362&g_ta_cod=25362", 44.0, 0.0, 44.0),
(7123, "Privé sous contrat d'association", "0671609K", "Collège Episcopal St Etienne", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Collège Episcopal St Etienne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 20, 157, 77, 153, 0, 130, 5, 0, 0, 1, 0, 22, 4, 2, 0, 0, 2, 116, 2, 0, 116, 109, 5, 0, 0, 0, 0, 7, 102, 9, 4, 9, 0, 5.0, 9.0, 9.0, 0, 1, 8, 8, 0, 0, 1, 0, 1, 2, 5, 0, 0.0, 7, 0, 0, 5, 4, 7, 7, 55.56, 100.0, 100.0, 44.3984375, 87.5, 87.5, 62.5, 12.5, 88.890625, 0.0, 12.5, 25.0, 62.5, 0.0, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 94.0, 4.0, 0.0, 0.0, 8.0, "Tous les candidats", 116.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "31391", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31391&g_ta_cod=31391", 100.0, 0.0, 0.0),
(7124, "Public", "0561363C", "I.U.T de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BUT", "I.U.T de Lorient - BUT - Qualité, logistique industrielle et organisation Parcours : Parcours 1 : Management de la production de biens et de services - Parcours 2 : Accompagnement à la transformation numérique", "BUT - Production", "Parcours 1 : Management de la production de biens et de services - Parcours 2 : Accompagnement à la transformation numérique", 52, 328, 75, 310, 0, 149, 11, 96, 12, 4, 1, 61, 18, 6, 0, 0, 12, 268, 6, 0, 0, 142, 11, 80, 10, 2, 0, 44, 195, 37, 7, 34, 3, 9.0, 34.0, 37.0, 0, 3, 30, 13, 17, 0, 7, 0, 12, 12, 6, 0, 0.0, 5, 13, 0, 0, 0, 26, 26, 24.32, 91.89, 100.0, 18.8984375, 86.6875, 86.6875, 0, 10.0, 81.09375, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 43.296875, 16.69921875, 56.6953125, 43.296875, 0.0, 0.0, 91.0, 9.0, 2.0, 0.0, 41.0, "Tous les candidats sauf les Bac technologiques", 178.0, "Bacheliers technologiques toutes séries", 90, "", 0, "Liste d'appel propre à cette formation", 86.0, "6474", "BUT - Qualité, logistique industrielle et organisation Parcours : Parcours 1 : Management de la production de biens et de services - Parcours 2 : Accompagnement à la transformation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6474&g_ta_cod=6474", 46.0, 54.0, 0.0),
(7125, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Arts - Parcours Médiation culturelle - Mineure Arts et Médias", "Licence - Arts-lettres-langues", "Médiation culturelle - Mineure Arts et Médias", 227, 1789, 1449, 1789, 0, 981, 163, 115, 27, 42, 16, 651, 0, 0, 0, 0, 0, 1748, 0, 0, 0, 981, 163, 115, 27, 42, 16, 610, 872, 225, 181, 225, 0, 29.0, 176.0, 192.0, 0, 41, 160, 137, 16, 7, 65, 1, 25, 61, 54, 18, 1.0, 117, 11, 6, 0, 0, 31, 108, 12.89, 78.22, 85.33, 80.390625, 19.3984375, 67.5, 0, 25.59765625, 71.09375, 0.5999755859375, 15.599609375, 38.09375, 33.796875, 11.3, 0.6, 85.59375, 73.09375, 10.0, 6.8994140625, 4.3994140625, 3.7998046875, 583.0, 91.0, 11.0, 6.0, 220.0, "Tous les candidats", 1024.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "9266", "Licence - Arts - Parcours Médiation culturelle - Mineure Arts et Médias", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9266&g_ta_cod=9266", 84.0, 11.0, 4.0),
(7126, "Public", "0941294W", "Lycée Adolphe Cherioux", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vitry-sur-Seine", "formation sélective", "Autre formation", "Lycée Adolphe Cherioux - DN MADE - Espace - - Spécialité : Architecture et pratiques collaboratives", "DN MADE", "- Spécialité : Architecture et pratiques collaboratives", 12, 747, 583, 747, 0, 340, 72, 147, 43, 50, 11, 210, 0, 0, 0, 0, 0, 368, 0, 0, 0, 219, 38, 85, 20, 15, 2, 49, 68, 12, 10, 12, 0, 0.0, 10.0, 11.0, 0, 4, 11, 5, 6, 0, 1, 0, 2, 6, 3, 0, 0.0, 3, 6, 0, 0, 0, 5, 8, 0.0, 83.33, 91.67, 83.296875, 45.5, 72.6875, 0, 36.3984375, 91.6875, 0.0, 18.19921875, 54.5, 27.296875, 0.0, 0.0, 45.5, 27.296875, 54.5, 54.5, 0.0, 0.0, 34.0, 6.0, 2.0, 1.0, 8.0, "Tous les candidats", 98.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "21923", "DN MADE - Espace - - Spécialité : Architecture et pratiques collaboratives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21923&g_ta_cod=21923", 50.0, 50.0, 0.0),
(7127, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 250, 3941, 2319, 3941, 0, 1599, 676, 1015, 499, 197, 106, 1130, 0, 0, 0, 0, 0, 3941, 0, 0, 0, 1599, 676, 1015, 499, 197, 106, 1130, 1331, 245, 138, 244, 0, 73.0, 146.0, 208.0, 0, 75, 150, 82, 66, 2, 95, 0, 70, 73, 6, 1, 0.0, 38, 41, 1, 0, 0, 79, 140, 29.8, 59.59, 84.9, 56.296875, 52.6953125, 93.296875, 0, 50.0, 61.1953125, 0.0, 46.6953125, 48.6953125, 4.0, 0.7, 0.0, 54.6953125, 25.296875, 44.0, 27.296875, 1.2998046875, 0.699951171875, 708.0, 268.0, 5.0, 3.0, 293.0, "Tous les candidats", 1563.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "15408", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15408&g_ta_cod=15408", 56.0, 42.0, 1.0),
(7128, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Portail Administration et Echanges internationaux", "Licence - Droit-économie-gestion", "", 680, 5262, 3457, 5262, 0, 3080, 995, 770, 323, 77, 47, 1335, 0, 0, 0, 0, 0, 5262, 0, 0, 0, 3080, 995, 770, 323, 77, 47, 1335, 2780, 678, 461, 676, 0, 89.0, 490.0, 610.0, 0, 210, 533, 489, 42, 2, 145, 2, 179, 275, 73, 4, 0.0, 320, 30, 2, 0, 0, 300, 485, 13.13, 72.27, 89.97, 68.0, 56.296875, 91.0, 0, 39.3984375, 78.59375, 0.39996337890625, 33.59375, 51.59375, 13.69921875, 0.8, 0.0, 91.6875, 60.0, 7.8994140625, 5.599609375, 0.39996337890625, 0.39996337890625, 2066.0, 667.0, 3.0, 1.0, 517.0, "Tous les candidats", 3141.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 58.0, "11488", "Licence - Portail Administration et Echanges internationaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32708&g_ta_cod=11488", 93.0, 6.0, 0.0),
(7129, "Privé hors contrat", "0352967K", "Ecole supérieure de cuisine Ferrandi - Site de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Bruz", "formation sélective", "Autre formation", "Ecole FERRANDI - Formation des écoles supérieures de cuisine Bac +3 - Manager dans l?hôtellerie restauration", "Formation des écoles supérieures de cuisine", "Manager dans l?hôtellerie restauration", 30, 73, 31, 72, 0, 42, 2, 9, 1, 3, 2, 18, 1, 0, 0, 0, 1, 48, 1, 0, 0, 30, 0, 6, 0, 0, 0, 12, 44, 4, 3, 3, 1, 2.0, 3.0, 4.0, 0, 0, 1, 1, 0, 0, 3, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 50.0, 75.0, 100.0, 75.0, 100.0, 100.0, 0, 0.0, 25.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 0.0, 0.0, 13.0, "Tous les candidats", 111.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 65.0, "32377", "Formation des écoles supérieures de cuisine Bac +3 - Manager dans l?hôtellerie restauration", "Ecole FERRANDI", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26208&g_ta_cod=32377", 75.0, 25.0, 0.0),
(7130, "Public", "0101037Y", "Campus des Comtes de champagne - URCA", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation non sélective", "Licence", "Campus des Comtes de champagne - URCA - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 80, 613, 375, 590, 0, 342, 78, 99, 39, 23, 12, 126, 23, 6, 3, 2, 12, 584, 20, 0, 0, 342, 78, 99, 39, 23, 12, 120, 432, 74, 48, 63, 11, 2.0, 53.0, 65.0, 0, 10, 46, 32, 11, 3, 28, 0, 27, 15, 4, 0, 0.0, 16, 2, 1, 0, 0, 35, 35, 2.7, 71.62, 87.84, 64.890625, 76.09375, 76.09375, 0, 21.69921875, 62.1953125, 0.0, 58.6953125, 32.59375, 8.69921875, 0.0, 0.0, 69.59375, 34.796875, 23.8984375, 4.2998046875, 6.5, 2.19970703125, 282.0, 56.0, 9.0, 4.0, 83.0, "Tous les candidats", 578.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "15129", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15129&g_ta_cod=15129", 62.0, 28.0, 8.0),
(7131, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence_Las", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 39, 3507, 2970, 3507, 0, 1753, 452, 369, 138, 112, 42, 1273, 0, 0, 0, 0, 0, 3488, 0, 0, 0, 1753, 452, 369, 138, 112, 42, 1254, 239, 37, 32, 37, 0, 2.0, 21.0, 34.0, 0, 5, 31, 23, 8, 0, 6, 0, 0, 5, 17, 9, 0.0, 23, 8, 0, 0, 0, 27, 27, 5.41, 56.76, 91.89, 86.5, 87.09375, 87.09375, 0, 16.09765625, 83.796875, 0.0, 0.0, 16.09765625, 54.796875, 29.0, 0.0, 74.1875, 74.1875, 25.796875, 25.796875, 0.0, 0.0, 192.0, 21.0, 5.0, 3.0, 20.0, "Tous les candidats", 935.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 14.0, "28497", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28496&g_ta_cod=28497", 78.0, 22.0, 0.0),
(7132, "Public", "3500005D", "Lycée français Descartes", "99", "Etranger", "Etranger", "Etranger", "Rabat", "formation sélective", "CPGE", "Lycée français Descartes - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 20, 189, 92, 180, 0, 146, 11, 1, 0, 0, 0, 33, 9, 4, 1, 1, 3, 115, 5, 0, 115, 109, 3, 0, 0, 0, 0, 6, 96, 12, 7, 10, 2, 2.0, 10.0, 12.0, 0, 0, 12, 12, 0, 0, 0, 0, 0, 2, 8, 2, 0.0, 12, 0, 0, 5, 3, 11, 11, 16.67, 83.33, 100.0, 58.296875, 91.6875, 91.6875, 41.6953125, 0.0, 100.0, 0.0, 0.0, 16.69921875, 66.6875, 16.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 90.0, 3.0, 0.0, 0.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "32550", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32547&g_ta_cod=32550", 100.0, 0.0, 0.0),
(7133, "Public", "0781944P", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "Licence", "Université de Versailles - Saint Quentin en Yvelines - Licence - Lettres - Parcours Lettres Modernes", "Licence - Arts-lettres-langues", "Lettres Modernes", 68, 384, 306, 204, 0, 146, 25, 6, 0, 6, 2, 46, 180, 35, 12, 13, 120, 204, 171, 0, 0, 146, 25, 6, 0, 6, 2, 46, 351, 59, 44, 17, 42, 5.0, 17.0, 41.0, 0, 7, 24, 19, 2, 3, 35, 0, 10, 10, 4, 0, 0.0, 10, 1, 3, 0, 0, 21, 22, 8.47, 28.81, 69.49, 74.59375, 87.5, 91.6875, 0, 29.19921875, 40.6953125, 0.0, 41.6953125, 41.6953125, 16.69921875, 0.0, 0.0, 79.1875, 41.6953125, 8.298828125, 4.19921875, 12.5, 12.5, 170.0, 33.0, 18.0, 9.0, 146.0, "Tous les candidats", 204.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10001", "Licence - Lettres - Parcours Lettres Modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10001&g_ta_cod=10001", 69.0, 19.0, 10.0),
(7134, "Privé enseignement supérieur", "2260003A", "ESSEC Business School - Campus de Singapour", "99", "Etranger", "Etranger", "Etranger", "Singapour", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Global BBA - track anglophone", 35, 1789, 850, 1789, 0, 1603, 68, 63, 5, 4, 1, 119, 0, 0, 0, 0, 0, 474, 0, 0, 0, 451, 15, 6, 0, 0, 0, 17, 300, 37, 26, 37, 0, 37.0, 37.0, 37.0, 0, 2, 37, 37, 0, 0, 0, 1, 0, 3, 18, 15, 0.0, 36, 0, 0, 0, 0, 2, 2, 100.0, 100.0, 100.0, 70.296875, 5.3994140625, 5.3994140625, 0, 5.3994140625, 100.0, 2.69970703125, 0.0, 8.099609375, 48.59375, 40.5, 0.0, 100.0, 97.296875, 0.0, 0.0, 0.0, 0.0, 290.0, 12.0, 0.0, 0.0, 7.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "28455", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=28455", 100.0, 0.0, 0.0),
(7135, "Privé sous contrat d'association", "0301631K", "IFME (institut de formations aux métiers éducatifs) de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "EFTS", "IFME (institut de formations aux métiers éducatifs) de Nîmes - D.E Assistant de Service Social", "D.E secteur social", "", 21, 105, 99, 105, 0, 11, 3, 14, 4, 13, 5, 67, 0, 0, 0, 0, 0, 59, 0, 0, 0, 6, 2, 7, 2, 5, 3, 41, 38, 21, 20, 21, 0, 9.0, 19.0, 19.0, 0, 1, 7, 3, 3, 1, 14, 0, 2, 3, 2, 0, 0.0, 3, 1, 1, 0, 0, 5, 5, 42.86, 90.48, 90.48, 95.1875, 71.390625, 71.390625, 0, 14.298828125, 33.296875, 0.0, 28.59765625, 42.8984375, 28.59765625, 0.0, 0.0, 42.8984375, 42.8984375, 42.8984375, 14.298828125, 14.298828125, 14.298828125, 5.0, 1.0, 1.0, 0.0, 28.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "23741", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23741&g_ta_cod=23741", 38.0, 38.0, 19.0),
(7136, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Gaston Berger - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 635, 317, 628, 393, 473, 59, 2, 0, 0, 0, 153, 7, 2, 0, 0, 5, 473, 3, 184, 452, 436, 48, 0, 0, 0, 0, 37, 290, 14, 2, 14, 0, 1.0, 8.0, 14.0, 5, 3, 13, 13, 0, 0, 1, 0, 1, 4, 6, 2, 0.0, 12, 0, 0, 0, 0, 10, 10, 7.14, 57.14, 100.0, 14.298828125, 76.890625, 76.890625, 0, 23.09765625, 92.890625, 0.0, 7.69921875, 30.796875, 46.1953125, 15.4, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 268.0, 28.0, 0.0, 0.0, 22.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "31590", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31305&g_ta_cod=31590", 100.0, 0.0, 0.0),
(7137, "Privé sous contrat d'association", "0060673Z", "Lycée Stanislas", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "CPGE", "Lycée Stanislas - CPGE - PCSI", "Classe préparatoire scientifique", "", 36, 566, 184, 552, 442, 441, 29, 1, 1, 1, 1, 109, 14, 6, 0, 0, 8, 466, 7, 387, 452, 403, 23, 0, 0, 0, 0, 63, 359, 30, 10, 29, 1, 1.0, 11.0, 27.0, 23, 2, 26, 26, 0, 0, 4, 0, 0, 5, 19, 2, 0.0, 26, 0, 0, 1, 0, 18, 18, 3.33, 36.67, 90.0, 33.296875, 69.1875, 69.1875, 3.7998046875, 7.69921875, 86.6875, 0.0, 0.0, 19.19921875, 73.09375, 7.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 319.0, 16.0, 0.0, 0.0, 40.0, "Tous les candidats", 449.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "2238", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2238&g_ta_cod=2238", 100.0, 0.0, 0.0),
(7138, "Public", "0440069L", "LGT Aristide Briand", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BTS", "LGT Aristide Briand - BTS - Production - Electrotechnique (Seconde année possible en apprentissage)", "BTS - Production", "", 18, 142, 4, 140, 0, 8, 4, 44, 8, 59, 16, 29, 2, 1, 0, 0, 1, 109, 0, 0, 0, 7, 3, 43, 7, 49, 11, 10, 43, 18, 0, 18, 0, 10.0, 16.0, 18.0, 0, 6, 17, 0, 8, 9, 1, 0, 7, 8, 0, 2, 0.0, 0, 3, 7, 6, 0, 14, 14, 55.56, 88.89, 100.0, 0.0, 82.390625, 82.390625, 35.296875, 35.296875, 94.390625, 0.0, 41.1953125, 47.09375, 0.0, 11.8, 0.0, 0.0, 0.0, 47.09375, 17.59765625, 52.8984375, 41.1953125, 3.0, 2.0, 13.0, 4.0, 7.0, "Tous les candidats sauf les Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 61.0, "5464", "BTS - Production - Electrotechnique (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5464&g_ta_cod=5464", 6.0, 44.0, 50.0),
(7139, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence_Las", "Université de Paris - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER Etudes Chinoises", "Licence - Arts-lettres-langues", "LLCER Etudes Chinoises", 10, 225, 178, 225, 0, 115, 34, 6, 3, 4, 2, 100, 0, 0, 0, 0, 0, 224, 0, 0, 0, 115, 34, 6, 3, 4, 2, 99, 44, 10, 9, 10, 0, 0.0, 6.0, 9.0, 0, 0, 4, 4, 0, 0, 6, 0, 0, 3, 1, 0, 0.0, 4, 0, 0, 0, 0, 0, 3, 0.0, 60.0, 90.0, 90.0, 0.0, 75.0, 0, 0.0, 40.0, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 23.0, 2.0, 0.0, 0.0, 21.0, "Tous les candidats", 166.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "29400", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER Etudes Chinoises", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29399&g_ta_cod=29400", 100.0, 0.0, 0.0),
(7140, "Public", "0593395V", "Lycée agricole et horticole de Lomme", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée agricole et horticole de Lomme - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 24, 385, 130, 348, 0, 54, 8, 67, 11, 53, 14, 174, 37, 5, 7, 5, 20, 95, 14, 0, 0, 31, 4, 19, 3, 31, 7, 14, 86, 18, 6, 13, 5, 5.0, 13.0, 15.0, 0, 2, 14, 7, 1, 6, 4, 0, 3, 9, 2, 0, 0.0, 7, 0, 4, 1, 0, 12, 12, 27.78, 72.22, 83.33, 33.296875, 85.6875, 85.6875, 7.099609375, 14.298828125, 77.796875, 0.0, 21.3984375, 64.296875, 14.298828125, 0.0, 0.0, 50.0, 50.0, 7.099609375, 0.0, 42.8984375, 28.59765625, 26.0, 5.0, 23.0, 6.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 26.0, "7042", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7042&g_ta_cod=7042", 56.0, 6.0, 39.0),
(7141, "Public", "0281047L", "Lycée Fulbert", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Chartres", "formation sélective", "BTS", "Lycée Fulbert - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 452, 219, 452, 0, 58, 11, 93, 25, 66, 30, 235, 0, 0, 0, 0, 0, 222, 0, 0, 0, 50, 9, 85, 21, 50, 21, 37, 113, 19, 10, 19, 0, 5.0, 14.0, 17.0, 0, 6, 16, 5, 7, 4, 3, 0, 7, 5, 2, 2, 0.0, 1, 5, 3, 6, 2, 13, 13, 26.32, 73.68, 89.47, 52.59375, 81.296875, 81.296875, 37.5, 37.5, 84.1875, 0.0, 43.796875, 31.296875, 12.5, 12.5, 0.0, 31.296875, 6.2998046875, 43.796875, 31.296875, 25.0, 18.796875, 30.0, 8.0, 25.0, 10.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 34.0, "3748", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3748&g_ta_cod=3748", 42.0, 37.0, 21.0),
(7142, "Public", "0750699C", "Lycée Janson De Sailly", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "Autre formation", "Lycée Janson De Sailly - Cycle pluridisciplinaire d'Études Supérieures - Sciences", "CPES", "", 48, 251, 179, 251, 0, 202, 23, 0, 0, 0, 0, 49, 0, 0, 0, 0, 0, 251, 0, 0, 0, 202, 23, 0, 0, 0, 0, 49, 224, 48, 35, 48, 0, 7.0, 41.0, 48.0, 0, 5, 42, 42, 0, 0, 6, 1, 3, 5, 20, 10, 3.0, 38, 0, 0, 0, 0, 16, 33, 14.58, 85.42, 100.0, 72.890625, 38.09375, 78.59375, 0, 11.8984375, 87.5, 2.39990234375, 7.099609375, 11.8984375, 47.59375, 23.8, 7.1, 100.0, 90.5, 0.0, 0.0, 0.0, 0.0, 191.0, 23.0, 0.0, 0.0, 33.0, "Tous les candidats", 241.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "33650", "Cycle pluridisciplinaire d'Études Supérieures - Sciences", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33650&g_ta_cod=33650", 100.0, 0.0, 0.0),
(7143, "Public", "0920799U", "Lycée Richelieu", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Rueil-Malmaison", "formation sélective", "BTS", "Lycée Richelieu - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 30, 387, 96, 316, 0, 10, 2, 126, 37, 100, 43, 80, 71, 0, 0, 48, 23, 192, 4, 0, 0, 9, 2, 95, 27, 55, 21, 33, 121, 30, 9, 25, 4, 3.0, 22.0, 23.0, 0, 12, 26, 1, 9, 16, 4, 0, 15, 10, 0, 1, 0.0, 0, 1, 10, 2, 0, 25, 26, 10.0, 73.33, 76.67, 30.0, 96.1875, 100.0, 7.69921875, 46.1953125, 86.6875, 0.0, 57.6953125, 38.5, 0.0, 3.8, 0.0, 3.7998046875, 0.0, 34.59375, 3.7998046875, 61.5, 38.5, 9.0, 2.0, 53.0, 21.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 43.0, "11029", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11029&g_ta_cod=11029", 3.0, 37.0, 60.0),
(7144, "Public", "0500060U", "Lycée agricole St Lô Thère", "50", "Manche", "Normandie", "Normandie", "Pont-Hébert", "formation sélective", "BTS", "Lycée agricole St Lô Thère - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 29, 382, 191, 373, 0, 41, 6, 68, 11, 24, 6, 240, 9, 0, 0, 5, 4, 168, 0, 0, 0, 28, 4, 66, 9, 24, 6, 50, 119, 24, 15, 24, 0, 3.0, 17.0, 20.0, 0, 1, 15, 4, 9, 2, 9, 0, 7, 7, 1, 0, 0.0, 0, 6, 2, 0, 0, 11, 11, 12.5, 70.83, 83.33, 62.5, 73.296875, 73.296875, 0, 6.69921875, 62.5, 0.0, 46.6953125, 46.6953125, 6.69921875, 0.0, 0.0, 26.69921875, 0.0, 60.0, 40.0, 13.298828125, 13.298828125, 25.0, 4.0, 20.0, 6.0, 25.0, "Tous les candidats sauf les Bac professionnels", 112.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 38.0, "6003", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6003&g_ta_cod=6003", 54.0, 38.0, 8.0),
(7145, "Privé sous contrat d'association", "0442085C", "Ecole de Design Nantes Atlantique", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Ecole de Design Nantes Atlantique - DN MADE - Objet - - Spécialité : Design de produits industriels", "DN MADE", "- Spécialité : Design de produits industriels", 29, 318, 170, 318, 0, 147, 10, 76, 6, 11, 2, 84, 0, 0, 0, 0, 0, 312, 0, 0, 0, 145, 10, 75, 6, 10, 2, 82, 111, 28, 15, 28, 0, 6.0, 26.0, 26.0, 0, 2, 23, 14, 9, 0, 5, 0, 2, 9, 9, 3, 0.0, 12, 9, 0, 0, 0, 9, 9, 21.43, 92.86, 92.86, 53.59375, 39.09375, 39.09375, 0, 8.69921875, 82.09375, 0.0, 8.69921875, 39.09375, 39.09375, 13.0, 0.0, 60.8984375, 52.1953125, 39.09375, 39.09375, 0.0, 0.0, 42.0, 1.0, 5.0, 1.0, 32.0, "Tous les candidats", 122.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "24330", "DN MADE - Objet - - Spécialité : Design de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24330&g_ta_cod=24330", 54.0, 32.0, 4.0),
(7146, "Public", "0755890V", "Sorbonne université", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Sorbonne université - Double licence - Sciences / Philosophie", "Licence - Sciences humaines et sociales", "Sciences / Philosophie", 20, 1090, 605, 673, 0, 475, 48, 6, 4, 0, 0, 192, 417, 194, 13, 1, 209, 121, 15, 0, 0, 111, 8, 0, 0, 0, 0, 10, 99, 20, 13, 11, 9, 4.0, 11.0, 16.0, 0, 1, 13, 13, 0, 0, 7, 0, 0, 0, 3, 4, 6.0, 13, 0, 0, 0, 0, 4, 5, 20.0, 55.0, 80.0, 65.0, 30.796875, 38.5, 0, 7.69921875, 65.0, 0.0, 0.0, 0.0, 23.09765625, 30.8, 46.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 82.0, 5.0, 0.0, 0.0, 17.0, "Tous les candidats", 121.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "30860", "Double licence - Sciences / Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30860&g_ta_cod=30860", 100.0, 0.0, 0.0),
(7147, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail Sciences de la Vie / Sciences de la Terre", "Licence - Sciences - technologies - santé", "Sciences de la Vie / Sciences de la Terre : Sciences de la vie", 360, 2285, 1487, 2225, 0, 1516, 222, 100, 20, 7, 1, 602, 60, 23, 2, 0, 35, 2220, 47, 0, 0, 1516, 222, 100, 20, 7, 1, 597, 1460, 354, 214, 322, 32, 38.0, 209.0, 292.0, 0, 46, 252, 238, 13, 1, 102, 0, 71, 106, 62, 11, 2.0, 170, 10, 1, 0, 0, 187, 187, 10.73, 59.04, 82.49, 60.5, 74.1875, 74.1875, 0, 18.296875, 71.1875, 0.0, 28.19921875, 42.09375, 24.59765625, 4.4, 0.8, 94.390625, 67.5, 5.19921875, 4.0, 0.39996337890625, 0.39996337890625, 1013.0, 167.0, 2.0, 0.0, 418.0, "Tous les candidats", 2072.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 89.0, "22799", "Licence - Portail Sciences de la Vie / Sciences de la Terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10634&g_ta_cod=22799", 93.0, 6.0, 1.0),
(7148, "Public", "0440033X", "Lycée professionnel François Arago", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée professionnel François Arago - BTS - Production - Développement et Réalisation Bois", "BTS - Production", "", 15, 376, 43, 376, 0, 59, 9, 87, 11, 154, 30, 76, 0, 0, 0, 0, 0, 235, 0, 0, 0, 43, 6, 55, 4, 116, 20, 21, 67, 13, 2, 13, 0, 4.0, 9.0, 13.0, 0, 1, 11, 3, 3, 5, 2, 0, 0, 5, 3, 3, 0.0, 3, 3, 5, 0, 0, 7, 7, 30.77, 69.23, 100.0, 15.3984375, 63.59375, 63.59375, 0, 9.099609375, 84.59375, 0.0, 0.0, 45.5, 27.296875, 27.3, 0.0, 27.296875, 27.296875, 27.296875, 27.296875, 45.5, 45.5, 16.0, 3.0, 32.0, 5.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 44.0, "5450", "BTS - Production - Développement et Réalisation Bois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5450&g_ta_cod=5450", 38.0, 23.0, 38.0),
(7149, "Public", "0630052P", "Lycée Claude et Pierre Virlogeux", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Riom", "formation sélective", "BTS", "Lycée Claude et Pierre Virlogeux - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 420, 292, 397, 0, 24, 5, 130, 45, 127, 69, 116, 23, 0, 1, 9, 13, 259, 3, 0, 0, 21, 4, 121, 42, 76, 31, 41, 139, 18, 17, 17, 1, 4.0, 13.0, 17.0, 0, 5, 13, 0, 5, 8, 5, 0, 1, 8, 4, 0, 0.0, 0, 5, 7, 2, 2, 10, 10, 22.22, 72.22, 94.44, 94.390625, 76.890625, 76.890625, 15.3984375, 38.5, 72.1875, 0.0, 7.69921875, 61.5, 30.796875, 0.0, 0.0, 0.0, 0.0, 38.5, 38.5, 61.5, 53.796875, 9.0, 3.0, 43.0, 18.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 110, "Liste d'appel propre à cette formation", 54.0, "7577", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7577&g_ta_cod=7577", 17.0, 33.0, 50.0),
(7150, "Public", "0900385E", "Université de Franche-Comté - Site de Belfort", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "Autre formation", "Université de Franche-Comté - Site de Belfort - C.M.I - Cursus Master en Ingénierie - Sciences pour l'ingénieur - Cursus Master en Ingénierie (CMI) : Hydrogène Energie et Efficacité Energétique (H3E)", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Hydrogène Energie et Efficacité Energétique (H3E)", 18, 121, 24, 93, 0, 60, 8, 1, 0, 0, 0, 32, 28, 8, 1, 0, 19, 45, 3, 0, 0, 36, 4, 0, 0, 0, 0, 9, 45, 11, 1, 10, 1, 2.0, 10.0, 11.0, 0, 0, 10, 10, 0, 0, 1, 0, 0, 8, 2, 0, 0.0, 10, 0, 0, 0, 0, 3, 3, 18.18, 90.91, 100.0, 9.099609375, 30.0, 30.0, 0, 0.0, 90.890625, 0.0, 0.0, 80.0, 20.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 36.0, 3.0, 0.0, 0.0, 9.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "15105", "C.M.I - Cursus Master en Ingénierie - Sciences pour l'ingénieur - Cursus Master en Ingénierie (CMI) : Hydrogène Energie et Efficacité Energétique (H3E)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15105&g_ta_cod=15105", 100.0, 0.0, 0.0),
(7151, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Gaston Berger - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 944, 491, 939, 559, 752, 86, 4, 2, 0, 0, 183, 5, 5, 0, 0, 0, 714, 4, 246, 679, 668, 69, 0, 0, 0, 0, 46, 292, 19, 10, 19, 0, 3.0, 12.0, 19.0, 6, 1, 19, 19, 0, 0, 0, 0, 1, 1, 8, 8, 1.0, 18, 0, 0, 0, 0, 14, 14, 15.79, 63.16, 100.0, 52.59375, 73.6875, 73.6875, 0, 5.2998046875, 100.0, 0.0, 5.2998046875, 5.2998046875, 42.09375, 42.1, 5.3, 100.0, 94.6875, 0.0, 0.0, 0.0, 0.0, 278.0, 29.0, 0.0, 0.0, 14.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "31627", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31305&g_ta_cod=31627", 100.0, 0.0, 0.0),
(7152, "Privé sous contrat d'association", "0440119R", "Lycée Ste Anne", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BTS", "Lycée Ste Anne - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 53, 220, 112, 216, 0, 0, 0, 71, 2, 88, 17, 57, 4, 0, 0, 4, 0, 203, 1, 0, 0, 0, 0, 70, 2, 79, 14, 54, 109, 49, 20, 49, 0, 28.0, 49.0, 49.0, 0, 2, 30, 0, 14, 16, 19, 0, 5, 13, 11, 1, 0.0, 0, 10, 15, 23, 9, 26, 26, 57.14, 100.0, 100.0, 40.796875, 86.6875, 86.6875, 76.6875, 6.69921875, 61.1953125, 0.0, 16.69921875, 43.296875, 36.6953125, 3.3, 0.0, 0.0, 0.0, 46.6953125, 33.296875, 53.296875, 50.0, 0.0, 0.0, 53.0, 6.0, 30.0, "Tous les candidats sauf les Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 84, "", 0, "Liste d'appel propre à cette formation", 71.0, "5476", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5476&g_ta_cod=5476", 27.0, 37.0, 37.0),
(7153, "Public", "0540042C", "Lycée Henri Loritz", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Lycée Henri Loritz - DN MADE - Objet - - Spécialité : Numériques et matériaux", "DN MADE", "- Spécialité : Numériques et matériaux", 15, 162, 94, 162, 0, 59, 7, 50, 10, 7, 3, 46, 0, 0, 0, 0, 0, 162, 0, 0, 0, 59, 7, 50, 10, 7, 3, 46, 43, 15, 11, 15, 0, 2.0, 13.0, 15.0, 0, 2, 14, 9, 4, 1, 1, 0, 1, 5, 7, 1, 0.0, 8, 4, 1, 0, 0, 11, 11, 13.33, 86.67, 100.0, 73.296875, 78.59375, 78.59375, 0, 14.298828125, 93.296875, 0.0, 7.099609375, 35.6953125, 50.0, 7.1, 0.0, 64.296875, 57.09375, 28.59765625, 28.59765625, 7.099609375, 7.099609375, 19.0, 0.0, 2.0, 1.0, 3.0, "Tous les candidats", 56.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "24214", "DN MADE - Objet - - Spécialité : Numériques et matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24214&g_ta_cod=24214", 67.0, 27.0, 7.0),
(7154, "Public", "0251821U", "Université de Franche-Comté - Site de Montbéliard", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "Autre formation", "Université de Franche-Comté - Site de Montbéliard - DEUST - Animation et gestion des activités sportives, physiques ou culturelles, parcours activités aquatiques", "DEUST", "", 10, 92, 26, 53, 0, 25, 2, 11, 0, 5, 1, 12, 39, 15, 4, 4, 16, 17, 7, 0, 0, 11, 0, 2, 0, 0, 0, 4, 26, 7, 2, 2, 5, 2.0, 2.0, 6.0, 0, 0, 2, 2, 0, 0, 5, 0, 1, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 28.57, 28.57, 85.71, 28.59765625, 0.0, 0.0, 0, 0.0, 28.59765625, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 15.0, 1.0, 0.0, 0.0, 7.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "27826", "DEUST - Animation et gestion des activités sportives, physiques ou culturelles, parcours activités aquatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27826&g_ta_cod=27826", 57.0, 29.0, 14.0),
(7155, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Sciences du langage - Parcours Communication, médias, médiations numériques - ESJ M", "Licence - Arts-lettres-langues", "Communication, médias, médiations numériques - ESJ M", 30, 285, 177, 285, 0, 190, 33, 7, 3, 3, 2, 85, 0, 0, 0, 0, 0, 200, 0, 0, 0, 153, 19, 2, 1, 0, 0, 45, 107, 29, 15, 29, 0, 11.0, 27.0, 27.0, 0, 3, 24, 24, 0, 0, 5, 0, 1, 12, 11, 0, 0.0, 23, 0, 0, 0, 0, 12, 12, 37.93, 93.1, 93.1, 51.6953125, 50.0, 50.0, 0, 12.5, 82.796875, 0.0, 4.19921875, 50.0, 45.796875, 0.0, 0.0, 100.0, 95.796875, 0.0, 0.0, 0.0, 0.0, 92.0, 13.0, 0.0, 0.0, 14.0, "Tous les candidats", 131.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "19235", "Licence - Sciences du langage - Parcours Communication, médias, médiations numériques - ESJ M", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19235&g_ta_cod=19235", 97.0, 0.0, 3.0),
(7156, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Russe et Gestion  Management et sciences humaines (MSH)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Russe et Gestion  Management et sciences humaines (MSH)", 5, 55, 40, 55, 0, 36, 11, 1, 1, 0, 0, 18, 0, 0, 0, 0, 0, 55, 0, 0, 0, 36, 11, 1, 1, 0, 0, 18, 34, 5, 4, 5, 0, 1.0, 4.0, 4.0, 0, 2, 4, 4, 0, 0, 1, 0, 0, 3, 1, 0, 0.0, 4, 0, 0, 0, 0, 2, 2, 20.0, 80.0, 80.0, 80.0, 50.0, 50.0, 0, 50.0, 80.0, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 23.0, 8.0, 0.0, 0.0, 10.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "8524", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Russe et Gestion  Management et sciences humaines (MSH)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8524&g_ta_cod=8524", 80.0, 20.0, 0.0),
(7157, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 300, 1967, 851, 1710, 0, 1112, 279, 124, 44, 47, 32, 427, 257, 40, 22, 18, 177, 1710, 164, 0, 0, 1112, 279, 124, 44, 47, 32, 427, 1639, 296, 96, 237, 59, 150.0, 237.0, 268.0, 0, 54, 205, 181, 16, 8, 91, 0, 65, 75, 55, 10, 0.0, 130, 4, 6, 0, 0, 141, 141, 50.68, 80.07, 90.54, 32.3984375, 68.796875, 68.796875, 0, 26.296875, 69.296875, 0.0, 31.69921875, 36.59375, 26.796875, 4.9, 0.0, 88.296875, 63.3984375, 7.7998046875, 2.0, 3.89990234375, 2.89990234375, 1081.0, 279.0, 36.0, 24.0, 422.0, "Tous les candidats", 1710.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4556", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4556&g_ta_cod=4556", 81.0, 10.0, 8.0),
(7158, "Public", "0620042J", "Lycée Andre Malraux", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "BTS", "Lycée Andre Malraux - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 1159, 234, 1129, 0, 94, 24, 183, 71, 111, 46, 741, 30, 0, 0, 16, 14, 684, 5, 0, 0, 94, 24, 183, 71, 60, 20, 347, 155, 29, 2, 24, 4, 3.0, 22.0, 24.0, 0, 14, 28, 6, 12, 10, 1, 0, 15, 12, 1, 0, 0.0, 2, 5, 6, 7, 0, 26, 26, 10.34, 75.86, 82.76, 6.8994140625, 92.890625, 92.890625, 25, 50.0, 96.59375, 0.0, 53.59375, 42.8984375, 3.599609375, 0.0, 0.0, 21.3984375, 7.099609375, 42.8984375, 17.8984375, 35.6953125, 21.3984375, 28.0, 7.0, 53.0, 17.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 130, "Liste d'appel propre à cette formation", 22.0, "7343", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7343&g_ta_cod=7343", 21.0, 41.0, 38.0),
(7159, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation non sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 145, 839, 321, 767, 0, 469, 93, 99, 22, 34, 9, 165, 72, 18, 9, 3, 42, 767, 57, 0, 0, 469, 93, 99, 22, 34, 9, 165, 669, 144, 44, 122, 22, 11.0, 101.0, 125.0, 0, 18, 94, 64, 23, 7, 50, 3, 48, 34, 7, 2, 0.0, 33, 5, 5, 0, 0, 79, 82, 7.64, 70.14, 86.81, 30.59765625, 84.0, 87.1875, 0, 19.09765625, 65.296875, 3.19970703125, 51.09375, 36.1953125, 7.3994140625, 2.1, 0.0, 68.09375, 35.09375, 24.5, 5.2998046875, 7.3994140625, 5.2998046875, 443.0, 88.0, 17.0, 6.0, 149.0, "Tous les candidats", 768.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11649", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11649&g_ta_cod=11649", 61.0, 28.0, 10.0),
(7160, "Public", "0010072Y", "Lycée International", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Ferney-Voltaire", "formation sélective", "BTS", "Lycée International - BTS - Services - Tourisme", "BTS - Services", "", 24, 411, 292, 381, 0, 86, 15, 78, 23, 76, 34, 141, 30, 0, 13, 0, 17, 256, 16, 0, 0, 78, 13, 61, 18, 55, 24, 62, 146, 19, 17, 14, 2, 3.0, 10.0, 14.0, 0, 9, 14, 4, 3, 7, 5, 0, 5, 8, 1, 0, 0.0, 2, 1, 6, 1, 1, 7, 7, 15.79, 52.63, 73.68, 89.5, 50.0, 50.0, 7.099609375, 64.296875, 73.6875, 0.0, 35.6953125, 57.09375, 7.099609375, 0.0, 0.0, 28.59765625, 14.298828125, 21.3984375, 7.099609375, 50.0, 42.8984375, 23.0, 6.0, 29.0, 15.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 52.0, "2016", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2016&g_ta_cod=2016", 37.0, 26.0, 37.0),
(7161, "Public", "0920145H", "Lycée Lakanal", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "CPGE", "Lycée Lakanal - CPGE - MPSI", "Classe préparatoire scientifique", "", 47, 2766, 784, 2766, 1886, 2515, 172, 3, 1, 0, 0, 248, 0, 0, 0, 0, 0, 1412, 0, 1044, 1369, 1412, 60, 0, 0, 0, 0, 0, 504, 46, 15, 46, 0, 6.0, 21.0, 40.0, 11, 4, 46, 46, 0, 0, 0, 0, 0, 0, 8, 33, 5.0, 46, 0, 0, 1, 1, 32, 37, 13.04, 45.65, 86.96, 32.59375, 69.59375, 80.390625, 2.19970703125, 8.69921875, 100.0, 0.0, 0.0, 0.0, 17.3984375, 71.7, 10.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 504.0, 36.0, 0.0, 0.0, 0.0, "Tous les candidats", 670.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "11012", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11012&g_ta_cod=11012", 100.0, 0.0, 0.0),
(7162, "Public", "0750612H", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART.", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART. - DN MADE - Matériaux - - Spécialité :  Laque", "DN MADE", "- Spécialité :  Laque", 6, 80, 69, 80, 0, 20, 4, 17, 0, 10, 1, 33, 0, 0, 0, 0, 0, 24, 0, 0, 0, 6, 0, 9, 0, 2, 0, 7, 10, 6, 6, 6, 0, 3.0, 6.0, 6.0, 0, 0, 5, 3, 2, 0, 1, 0, 0, 2, 2, 1, 0.0, 3, 2, 0, 0, 0, 1, 2, 50.0, 100.0, 100.0, 100.0, 20.0, 40.0, 0, 0.0, 83.296875, 0.0, 0.0, 40.0, 40.0, 20.0, 0.0, 60.0, 60.0, 40.0, 40.0, 0.0, 0.0, 4.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "21789", "DN MADE - Matériaux - - Spécialité :  Laque", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21789&g_ta_cod=21789", 50.0, 50.0, 0.0),
(7163, "Public", "0772120L", "Lycée Jean Moulin", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Torcy", "formation sélective", "BTS", "Lycée Jean Moulin - BTS - Services - Tourisme", "BTS - Services", "", 51, 771, 574, 771, 0, 125, 34, 149, 56, 216, 118, 281, 0, 0, 0, 0, 0, 434, 0, 0, 0, 117, 29, 99, 38, 124, 61, 94, 212, 50, 42, 48, 0, 7.0, 38.0, 43.0, 0, 15, 41, 17, 10, 14, 9, 0, 15, 18, 7, 1, 0.0, 10, 5, 11, 1, 0, 34, 36, 14.0, 76.0, 86.0, 84.0, 82.890625, 87.796875, 2.39990234375, 36.59375, 82.0, 0.0, 36.59375, 43.8984375, 17.09765625, 2.4, 0.0, 41.5, 24.3984375, 24.3984375, 12.19921875, 34.09375, 26.796875, 74.0, 24.0, 53.0, 19.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 121.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 35.0, "9863", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9863&g_ta_cod=9863", 40.0, 24.0, 36.0),
(7164, "Public", "0681801N", "Lycée Charles De Gaulle", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Pulversheim", "formation sélective", "BTS", "Lycée Charles De Gaulle - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 21, 215, 81, 213, 0, 58, 10, 46, 14, 62, 21, 47, 2, 0, 1, 0, 1, 169, 0, 0, 0, 51, 9, 37, 13, 52, 18, 29, 91, 19, 9, 19, 0, 3.0, 15.0, 17.0, 0, 5, 12, 4, 4, 4, 7, 0, 4, 6, 2, 0, 0.0, 4, 1, 3, 1, 1, 8, 8, 15.79, 78.95, 89.47, 47.3984375, 66.6875, 66.6875, 8.298828125, 41.6953125, 63.1953125, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 8.298828125, 33.296875, 25.0, 17.0, 5.0, 23.0, 6.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers technologiques toutes séries", 44, "Bacheliers professionnels toutes séries", 30, "Liste d'appel propre à cette formation", 53.0, "32583", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32583&g_ta_cod=32583", 21.0, 32.0, 42.0),
(7165, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 280, 1859, 1404, 1711, 0, 1098, 254, 131, 44, 44, 15, 438, 148, 28, 16, 4, 100, 1711, 144, 0, 0, 1098, 254, 131, 44, 44, 15, 438, 1379, 287, 201, 213, 74, 45.0, 210.0, 246.0, 0, 43, 159, 125, 24, 10, 128, 1, 90, 41, 21, 6, 0.0, 56, 7, 5, 0, 0, 108, 108, 15.68, 73.17, 85.71, 70.0, 67.890625, 67.890625, 0, 27.0, 55.3984375, 0.5999755859375, 56.59375, 25.796875, 13.19921875, 3.8, 0.0, 78.59375, 35.1953125, 15.099609375, 4.3994140625, 6.2998046875, 3.099609375, 869.0, 207.0, 28.0, 7.0, 376.0, "Tous les candidats", 1711.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4735", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4735&g_ta_cod=4735", 74.0, 18.0, 8.0),
(7166, "Public", "0912128U", "I.U.T. d'Evry Val d'Essonne - Site Brétigny S/Orge", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "BUT", "I.U.T. d'Evry Val d'Essonne - Site Brétigny S/Orge - BUT - Gestion des entreprises et des administrations", "BUT - Service", "", 96, 2342, 1293, 2342, 0, 930, 267, 884, 357, 49, 27, 479, 0, 0, 0, 0, 0, 880, 0, 0, 0, 391, 96, 362, 140, 0, 0, 127, 476, 95, 52, 95, 0, 16.0, 69.0, 84.0, 0, 30, 76, 34, 42, 0, 19, 0, 6, 52, 14, 4, 0.0, 28, 42, 0, 0, 0, 71, 76, 16.84, 72.63, 88.42, 54.6953125, 93.390625, 100.0, 0, 39.5, 80.0, 0.0, 7.8994140625, 68.390625, 18.3984375, 5.3, 0.0, 44.6953125, 36.796875, 55.296875, 55.296875, 0.0, 0.0, 228.0, 70.0, 0.0, 0.0, 68.0, "Tous les candidats sauf les Bac technologiques", 405.0, "Bacheliers technologiques toutes séries", 249, "", 0, "Liste d'appel propre à cette formation", 28.0, "10968", "BUT - Gestion des entreprises et des administrations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10968&g_ta_cod=10968", 51.0, 49.0, 0.0),
(7167, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : ETUDES NORDIQUES (Danois, Islandais, Norvégien, Suédois)", "Licence - Arts-lettres-langues", "LLCER : ETUDES NORDIQUES (Danois, Islandais, Norvégien, Suédois)", 140, 438, 260, 161, 0, 84, 18, 8, 2, 0, 0, 69, 277, 52, 17, 16, 192, 159, 270, 0, 0, 84, 18, 8, 2, 0, 0, 67, 428, 135, 75, 33, 102, 26.0, 33.0, 81.0, 0, 6, 36, 29, 5, 2, 99, 1, 15, 11, 8, 1, 0.0, 19, 0, 1, 0, 0, 3, 24, 19.26, 24.44, 60.0, 55.59375, 8.298828125, 66.6875, 0, 16.69921875, 26.69921875, 2.7998046875, 41.6953125, 30.59765625, 22.19921875, 2.8, 0.0, 80.59375, 52.796875, 13.8984375, 0.0, 5.599609375, 2.7998046875, 134.0, 34.0, 16.0, 8.0, 254.0, "Tous les candidats", 159.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "9279", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : ETUDES NORDIQUES (Danois, Islandais, Norvégien, Suédois)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9279&g_ta_cod=9279", 78.0, 16.0, 7.0),
(7168, "Public", "0130051K", "Lycée Marie Curie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation sélective", "Autre formation", "Lycée Marie Curie - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 940, 441, 831, 0, 340, 108, 150, 65, 20, 14, 321, 109, 10, 18, 11, 70, 373, 15, 0, 0, 217, 62, 85, 34, 0, 0, 71, 225, 39, 19, 32, 7, 1.0, 25.0, 30.0, 0, 11, 23, 14, 9, 0, 16, 0, 5, 14, 3, 1, 0.0, 12, 6, 0, 0, 0, 20, 20, 2.56, 64.1, 76.92, 48.6953125, 87.0, 87.0, 0, 47.796875, 59.0, 0.0, 21.69921875, 60.8984375, 13.0, 4.3, 0.0, 60.8984375, 52.1953125, 39.09375, 26.09765625, 0.0, 0.0, 119.0, 31.0, 0.0, 0.0, 58.0, "Tous les candidats", 372.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "2592", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2592&g_ta_cod=2592", 69.0, 31.0, 0.0),
(7169, "Privé enseignement supérieur", "9840391C", "Institut Supérieur de l'Enseignement Privé de Polynésie", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Papeete", "formation sélective", "Licence", "Institut Supérieur de l'Enseignement Privé de Polynésie - Licence - Sciences sociales - Parcours gestion des ressources humaines et sciences du travail", "Licence - Sciences humaines et sociales", "gestion des ressources humaines et sciences du travail", 33, 161, 135, 135, 0, 72, 19, 33, 16, 3, 2, 27, 26, 5, 6, 1, 14, 102, 15, 0, 0, 64, 16, 25, 10, 2, 1, 11, 87, 22, 20, 18, 4, 8.0, 18.0, 22.0, 0, 5, 17, 12, 4, 1, 5, 0, 6, 4, 6, 1, 0.0, 7, 3, 1, 0, 0, 17, 17, 36.36, 81.82, 100.0, 90.890625, 100.0, 100.0, 0, 29.3984375, 77.296875, 0.0, 35.296875, 23.5, 35.296875, 5.9, 0.0, 70.59375, 41.1953125, 23.5, 17.59765625, 5.8994140625, 5.8994140625, 47.0, 14.0, 1.0, 1.0, 18.0, "Tous les candidats", 102.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "16200", "Licence - Sciences sociales - Parcours gestion des ressources humaines et sciences du travail", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16200&g_ta_cod=16200", 64.0, 27.0, 9.0),
(7170, "Public", "0750651A", "Lycée Simone Weil", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "BTS", "Lycée Simone Weil - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 2238, 1046, 2238, 0, 276, 99, 650, 285, 406, 218, 906, 0, 0, 0, 0, 0, 2238, 0, 0, 0, 276, 99, 650, 285, 406, 218, 906, 194, 25, 13, 25, 0, 2.0, 13.0, 22.0, 0, 6, 22, 5, 9, 8, 3, 0, 7, 8, 7, 0, 0.0, 2, 5, 8, 1, 1, 10, 21, 8.0, 52.0, 88.0, 52.0, 45.5, 95.5, 4.5, 27.296875, 88.0, 0.0, 31.796875, 36.3984375, 31.796875, 0.0, 0.0, 22.69921875, 9.099609375, 40.8984375, 22.69921875, 36.3984375, 36.3984375, 42.0, 15.0, 41.0, 20.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 100.0, "Bacheliers professionnels toutes séries", 95, "Bacheliers technologiques toutes séries", 225, "Liste d'appel propre à cette formation", 19.0, "8959", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8959&g_ta_cod=8959", 24.0, 36.0, 40.0),
(7171, "Public", "0060031B", "Lycée Albert Calmette", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Albert Calmette - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1983, 1072, 1983, 0, 383, 64, 673, 202, 410, 170, 517, 0, 0, 0, 0, 0, 768, 0, 0, 0, 296, 45, 300, 97, 172, 62, 0, 160, 34, 17, 34, 0, 6.0, 28.0, 32.0, 0, 15, 34, 10, 14, 10, 0, 0, 12, 15, 5, 2, 0.0, 8, 8, 6, 1, 0, 32, 32, 17.65, 82.35, 94.12, 50.0, 94.09375, 94.09375, 2.89990234375, 44.09375, 100.0, 0.0, 35.296875, 44.09375, 14.69921875, 5.9, 0.0, 29.3984375, 23.5, 41.1953125, 23.5, 29.3984375, 17.59765625, 63.0, 14.0, 33.0, 11.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 115.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 12.0, "2211", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2211&g_ta_cod=2211", 29.0, 41.0, 29.0),
(7172, "Public", "0622803K", "Lycée Blaise Pascal", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Longuenesse", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 448, 70, 439, 0, 8, 2, 44, 10, 45, 20, 342, 9, 0, 2, 5, 2, 106, 4, 0, 0, 5, 2, 38, 9, 41, 18, 22, 78, 11, 1, 11, 0, 7.0, 11.0, 11.0, 0, 2, 6, 0, 3, 3, 5, 0, 1, 3, 2, 0, 0.0, 0, 2, 3, 3, 0, 6, 6, 63.64, 100.0, 100.0, 9.099609375, 100.0, 100.0, 50, 33.296875, 54.5, 0.0, 16.69921875, 50.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 50.0, 33.296875, 50.0, 50.0, 2.0, 1.0, 44.0, 20.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 21.0, "7453", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7453&g_ta_cod=7453", 27.0, 36.0, 36.0),
(7173, "Public", "0190032G", "Lycée Edmond Perrier", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Tulle", "formation sélective", "CPGE", "Lycée Edmond Perrier - CPGE - PCSI", "Classe préparatoire scientifique", "", 24, 286, 100, 228, 168, 142, 25, 1, 1, 0, 0, 85, 58, 30, 1, 0, 27, 211, 21, 168, 154, 141, 24, 0, 0, 0, 0, 70, 154, 15, 6, 12, 3, 5.0, 12.0, 15.0, 6, 1, 12, 12, 0, 0, 3, 0, 2, 5, 4, 1, 0.0, 10, 0, 0, 3, 1, 7, 7, 33.33, 80.0, 100.0, 40.0, 58.296875, 58.296875, 25, 8.298828125, 80.0, 0.0, 16.69921875, 41.6953125, 33.296875, 8.3, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 122.0, 18.0, 0.0, 0.0, 31.0, "Tous les candidats", 163.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "3146", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3146&g_ta_cod=3146", 100.0, 0.0, 0.0),
(7174, "Public", "0750663N", "Lycée Chaptal", "75", "Paris", "Ile-de-France", "Paris", "Paris  8e  Arrondissement", "formation sélective", "CPGE", "Lycée Chaptal - CPGE - BCPST", "Classe préparatoire scientifique", "", 96, 3281, 2336, 3281, 1428, 2597, 316, 2, 1, 2, 1, 680, 0, 0, 0, 0, 0, 2476, 0, 1428, 1975, 2146, 235, 0, 0, 0, 0, 330, 865, 92, 63, 92, 0, 4.0, 41.0, 76.0, 13, 8, 91, 91, 0, 0, 1, 0, 0, 11, 55, 23, 2.0, 91, 0, 0, 0, 0, 24, 68, 4.35, 44.57, 82.61, 68.5, 26.3984375, 74.6875, 0, 8.798828125, 98.890625, 0.0, 0.0, 12.099609375, 60.3984375, 25.3, 2.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 820.0, 86.0, 0.0, 0.0, 45.0, "Tous les candidats", 1298.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "8994", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8994&g_ta_cod=8994", 100.0, 0.0, 0.0),
(7175, "Public", "0860058W", "Centre de Ressources, d'Expertise et de Performance Sportive de Poitiers (CREPS)", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Vouneuil-sous-Biard", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive de Poitiers (CREPS) - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 8, 419, 94, 419, 0, 107, 20, 99, 23, 94, 28, 119, 0, 0, 0, 0, 0, 87, 0, 0, 0, 31, 3, 18, 3, 12, 1, 26, 20, 7, 1, 7, 0, 4.0, 6.0, 6.0, 0, 0, 3, 1, 1, 1, 4, 0, 1, 1, 0, 1, 0.0, 0, 1, 1, 0, 0, 3, 3, 57.14, 85.71, 85.71, 14.298828125, 100.0, 100.0, 0, 0.0, 42.8984375, 0.0, 33.296875, 33.296875, 0.0, 33.3, 0.0, 33.296875, 0.0, 33.296875, 33.296875, 33.296875, 33.296875, 2.0, 0.0, 4.0, 0.0, 9.0, "Tous les candidats", 13.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 3.0, "23547", "BPJEPS - Activités physiques pour tous", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23547&g_ta_cod=23547", 71.0, 14.0, 14.0),
(7176, "Public", "0350710G", "Lycée Francois René De Chateaubriand", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "CPGE", "Lycée Francois René De Chateaubriand - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 23, 1027, 469, 1027, 746, 884, 48, 0, 0, 0, 0, 143, 0, 0, 0, 0, 0, 868, 0, 746, 490, 780, 42, 0, 0, 0, 0, 88, 175, 23, 13, 23, 0, 4.0, 17.0, 23.0, 8, 1, 23, 23, 0, 0, 0, 0, 0, 0, 3, 19, 1.0, 23, 0, 0, 0, 0, 9, 9, 17.39, 73.91, 100.0, 56.5, 39.09375, 39.09375, 0, 4.2998046875, 100.0, 0.0, 0.0, 0.0, 13.0, 82.6, 4.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 168.0, 7.0, 0.0, 0.0, 7.0, "Tous les candidats", 352.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "31384", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31384&g_ta_cod=31384", 100.0, 0.0, 0.0),
(7177, "Privé sous contrat d'association", "0650058K", "Lycée Peyramale Saint-Joseph", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Lourdes", "formation sélective", "BTS", "Lycée Peyramale Saint-Joseph - BTS - Services - Tourisme", "BTS - Services", "", 18, 87, 59, 76, 0, 20, 3, 9, 4, 23, 8, 24, 11, 0, 2, 2, 7, 69, 7, 0, 0, 20, 3, 9, 4, 22, 8, 18, 65, 14, 11, 13, 1, 3.0, 9.0, 13.0, 0, 4, 8, 5, 2, 1, 6, 1, 5, 2, 0, 0, 0.0, 1, 1, 0, 2, 1, 3, 3, 21.43, 64.29, 92.86, 78.59375, 37.5, 37.5, 25, 50.0, 57.09375, 12.5, 62.5, 25.0, 0.0, 0.0, 0.0, 62.5, 12.5, 25.0, 12.5, 12.5, 0.0, 15.0, 3.0, 20.0, 8.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 91.0, "17772", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17772&g_ta_cod=17772", 64.0, 21.0, 14.0),
(7178, "Privé enseignement supérieur", "0922918X", "IDRAC Business School - Campus de PARIS", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Puteaux", "formation sélective", "Ecole de Commerce", "Concours Bachelor IDRAC Business School - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "Approfondissement en : marketing digital, international, sport & business et approfondissement personnalisable", 300, 748, 297, 668, 0, 451, 76, 134, 37, 14, 8, 69, 80, 24, 17, 9, 30, 461, 25, 0, 0, 345, 47, 75, 12, 4, 2, 37, 486, 69, 26, 58, 11, 58.0, 58.0, 65.0, 0, 7, 57, 40, 15, 2, 12, 0, 30, 25, 2, 0, 0.0, 17, 9, 1, 0, 0, 29, 48, 84.06, 84.06, 94.2, 37.6953125, 50.8984375, 84.1875, 0, 12.298828125, 82.59375, 0.0, 52.59375, 43.8984375, 3.5, 0.0, 0.0, 70.1875, 29.796875, 26.296875, 15.798828125, 3.5, 1.7998046875, 353.0, 49.0, 5.0, 3.0, 47.0, "Tous les candidats", 1421.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 69.0, "441", "Formation des écoles de commerce et de management Bac + 3", "Concours Bachelor IDRAC Business School", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=439&g_ta_cod=441", 70.0, 25.0, 6.0),
(7179, "Public", "0755113A", "Unité de formation et de recherche faculté de médecine - Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Autre formation", "Unité de formation et de recherche faculté de médecine - Université de Paris - Certificat de capacité d'Orthoptiste - - A distance depuis le site de Nevers", "D.E secteur sanitaire", "- A distance depuis le site de Nevers", 5, 11, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 11, 1, 0, 0, 10, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 2, 1, 0, 2, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 50.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35054", "Certificat de capacité d'Orthoptiste - - A distance depuis le site de Nevers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=35054&g_ta_cod=35054", 100.0, 0.0, 0.0),
(7180, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Sciences pour l'ingénieur - Parcours EEA, Mécanique", "Licence - Sciences - technologies - santé", "EEA, Mécanique", 40, 330, 46, 308, 0, 189, 31, 41, 15, 2, 0, 76, 22, 1, 1, 0, 20, 284, 15, 0, 0, 189, 31, 41, 15, 2, 0, 52, 229, 30, 4, 26, 4, 1.0, 25.0, 26.0, 0, 8, 19, 15, 3, 1, 11, 0, 11, 6, 2, 0, 0.0, 6, 2, 0, 0, 0, 11, 11, 3.33, 83.33, 86.67, 13.298828125, 57.8984375, 57.8984375, 0, 42.09375, 63.296875, 0.0, 57.8984375, 31.59765625, 10.5, 0.0, 0.0, 78.890625, 31.59765625, 15.798828125, 10.5, 5.2998046875, 0.0, 156.0, 24.0, 2.0, 0.0, 51.0, "Tous les candidats", 282.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "20730", "Licence - Sciences pour l'ingénieur - Parcours EEA, Mécanique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20730&g_ta_cod=20730", 83.0, 13.0, 3.0),
(7181, "Privé sous contrat d'association", "0850130E", "Lycée Notre Dame Du Roc", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée Notre Dame Du Roc - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 18, 122, 32, 118, 0, 14, 1, 44, 2, 28, 7, 32, 4, 0, 2, 1, 1, 93, 2, 0, 0, 14, 1, 42, 2, 27, 7, 10, 68, 21, 1, 19, 2, 4.0, 17.0, 19.0, 0, 3, 18, 1, 9, 8, 3, 0, 10, 5, 2, 1, 0.0, 0, 2, 6, 0, 0, 17, 17, 19.05, 80.95, 90.48, 4.7998046875, 94.390625, 94.390625, 0, 16.69921875, 85.6875, 0.0, 55.59375, 27.796875, 11.099609375, 5.6, 0.0, 5.599609375, 0.0, 50.0, 11.099609375, 44.3984375, 33.296875, 6.0, 0.0, 21.0, 4.0, 8.0, "Tous les candidats sauf les Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 75.0, "10496", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10496&g_ta_cod=10496", 5.0, 57.0, 38.0),
(7182, "Public", "0550025D", "Lycée Jean-Auguste Margueritte", "55", "Meuse", "Grand Est", "Nancy-Metz", "Verdun", "formation sélective", "BTS", "Lycée Jean-Auguste Margueritte - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 445, 218, 441, 0, 36, 10, 127, 43, 90, 34, 188, 4, 0, 4, 0, 0, 182, 2, 0, 0, 25, 7, 82, 27, 59, 21, 16, 94, 22, 7, 20, 2, 3.0, 18.0, 20.0, 0, 11, 21, 2, 12, 7, 1, 0, 5, 11, 4, 1, 0.0, 2, 8, 6, 9, 2, 18, 18, 13.64, 81.82, 90.91, 31.796875, 85.6875, 85.6875, 42.8984375, 52.3984375, 95.5, 0.0, 23.796875, 52.3984375, 19.0, 4.8, 0.0, 9.5, 9.5, 57.09375, 38.09375, 33.296875, 28.59765625, 8.0, 2.0, 23.0, 9.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 29.0, "6405", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6405&g_ta_cod=6405", 9.0, 55.0, 36.0),
(7183, "Public", "9741204R", "Université de la Réunion - Le Tampon", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation non sélective", "Licence_Las", "Université de la Réunion - Le Tampon - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 90, 1135, 412, 1135, 0, 681, 187, 154, 72, 33, 26, 267, 0, 0, 0, 0, 0, 1135, 0, 0, 0, 681, 187, 154, 72, 33, 26, 267, 431, 113, 28, 113, 0, 4.0, 65.0, 109.0, 0, 30, 100, 84, 16, 0, 13, 0, 34, 43, 20, 3, 0.0, 59, 7, 0, 0, 0, 92, 92, 3.54, 57.52, 96.46, 24.796875, 92.0, 92.0, 0, 30.0, 88.5, 0.0, 34.0, 43.0, 20.0, 3.0, 0.0, 84.0, 59.0, 16.0, 7.0, 0.0, 0.0, 266.0, 76.0, 0.0, 0.0, 131.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "27550", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27549&g_ta_cod=27550", 86.0, 14.0, 0.0),
(7184, "Privé sous contrat d'association", "0421090G", "Lycée agricole de Ressins", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Nandax", "formation sélective", "BTS", "Lycée agricole de Ressins - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 15, 64, 27, 59, 0, 9, 1, 17, 3, 16, 4, 17, 5, 0, 2, 1, 2, 41, 4, 0, 0, 9, 1, 15, 2, 16, 4, 1, 36, 8, 6, 8, 0, 6.0, 8.0, 8.0, 0, 1, 8, 0, 4, 4, 0, 0, 2, 3, 3, 0, 0.0, 0, 3, 3, 4, 3, 7, 7, 75.0, 100.0, 100.0, 75.0, 87.5, 87.5, 50, 12.5, 100.0, 0.0, 25.0, 37.5, 37.5, 0.0, 0.0, 0.0, 0.0, 50.0, 37.5, 50.0, 37.5, 5.0, 1.0, 13.0, 4.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 63.0, "5328", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5328&g_ta_cod=5328", 0.0, 50.0, 50.0),
(7185, "Public", "0330029C", "Lycée Nicolas Bremontier", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Autre formation", "Lycée Nicolas Bremontier - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 28, 14, 10, 0, 0, 0.0, 0.0, 0.0, 0, 10, 14, 0, 1, 13, 0, 0, 9, 5, 0, 0, 0.0, 0, 0, 5, 0, 0, 13, 13, 0.0, 0.0, 0.0, 71.390625, 92.890625, 92.890625, 0, 71.390625, 100.0, 0.0, 64.296875, 35.6953125, 0.0, 0.0, 0.0, 0.0, 0.0, 7.099609375, 0.0, 92.890625, 35.6953125, 0.0, 0.0, 27.0, 17.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22417", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 7.0, 93.0),
(7186, "Privé sous contrat d'association", "0942354Y", "LGT SAINTE MARIE", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Joinville-le-Pont", "formation sélective", "BTS", "LGT SAINTE MARIE - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 34, 397, 162, 378, 0, 30, 2, 154, 34, 95, 36, 99, 19, 0, 0, 13, 6, 226, 2, 0, 0, 30, 2, 96, 13, 59, 21, 41, 141, 26, 9, 25, 1, 2.0, 15.0, 19.0, 0, 4, 22, 3, 10, 9, 4, 0, 12, 8, 2, 0, 0.0, 1, 3, 6, 3, 2, 22, 22, 7.69, 57.69, 73.08, 34.59375, 100.0, 100.0, 13.599609375, 18.19921875, 84.59375, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 13.599609375, 4.5, 45.5, 13.599609375, 40.8984375, 27.296875, 14.0, 2.0, 41.0, 13.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 38.0, "11534", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11534&g_ta_cod=11534", 23.0, 42.0, 35.0),
(7187, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol - Mineure Sciences du langage", "Licence - Arts-lettres-langues", "Espagnol - Mineure Sciences du langage", 5, 97, 82, 97, 0, 67, 8, 6, 3, 4, 3, 20, 0, 0, 0, 0, 0, 97, 0, 0, 0, 67, 8, 6, 3, 4, 3, 20, 33, 5, 4, 5, 0, 0.0, 4.0, 5.0, 0, 0, 4, 4, 0, 0, 1, 0, 1, 0, 3, 0, 0.0, 3, 0, 0, 0, 0, 0, 4, 0.0, 80.0, 100.0, 80.0, 0.0, 100.0, 0, 0.0, 80.0, 0.0, 25.0, 0.0, 75.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 28.0, 4.0, 1.0, 1.0, 3.0, "Tous les candidats", 88.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "24057", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol - Mineure Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24057&g_ta_cod=24057", 100.0, 0.0, 0.0),
(7188, "Privé hors contrat", "0596971G", "POLE 3D Digital - Creative School - ICL (Institut Catholique de Lille)", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "Licence", "POLE 3D Digital - Creative School - ICL (Institut Catholique de Lille) - Licence - Arts - Parcours Création numérique - Concepteur-réalisateur numérique - Options Animation 2D/Animation 3D-FX/Jeux vidéo", "Licence - Arts-lettres-langues", "Création numérique - Concepteur-réalisateur numérique - Options Animation 2D/Animation 3D-FX/Jeux vidéo", 200, 194, 81, 186, 0, 111, 27, 17, 8, 10, 5, 48, 8, 2, 1, 1, 4, 121, 5, 0, 0, 67, 10, 11, 5, 7, 4, 36, 126, 77, 37, 72, 5, 72.0, 72.0, 72.0, 0, 12, 52, 39, 8, 5, 25, 0, 14, 16, 20, 2, 0.0, 31, 4, 3, 0, 0, 32, 32, 93.51, 93.51, 93.51, 48.09375, 61.5, 61.5, 0, 23.09765625, 67.5, 0.0, 26.8984375, 30.796875, 38.5, 3.8, 0.0, 75.0, 59.59375, 15.3984375, 7.69921875, 9.599609375, 5.7998046875, 68.0, 10.0, 7.0, 4.0, 39.0, "Tous les candidats", 121.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "29219", "Licence - Arts - Parcours Création numérique - Concepteur-réalisateur numérique - Options Animation 2D/Animation 3D-FX/Jeux vidéo", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29219&g_ta_cod=29219", 70.0, 14.0, 14.0),
(7189, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Lettres - Parcours Lettres, écriture et culture numériques", "Licence - Arts-lettres-langues", "Lettres, écriture et culture numériques", 30, 205, 153, 183, 0, 107, 23, 9, 3, 10, 6, 57, 22, 3, 2, 3, 14, 183, 21, 0, 0, 107, 23, 9, 3, 10, 6, 57, 157, 30, 25, 20, 10, 5.0, 18.0, 23.0, 0, 3, 18, 15, 2, 1, 12, 0, 5, 7, 4, 2, 0.0, 11, 1, 1, 0, 0, 13, 16, 16.67, 60.0, 76.67, 83.296875, 72.1875, 88.890625, 0, 16.69921875, 60.0, 0.0, 27.796875, 38.8984375, 22.19921875, 11.1, 0.0, 83.296875, 61.09375, 11.099609375, 5.599609375, 5.599609375, 5.599609375, 83.0, 16.0, 11.0, 7.0, 56.0, "Tous les candidats", 178.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "26753", "Licence - Lettres - Parcours Lettres, écriture et culture numériques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26753&g_ta_cod=26753", 83.0, 7.0, 10.0),
(7190, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence_Las", "Université Toulouse 1 Capitole - Licence - Portail Economie - parcours Economie", "Licence - Droit-économie-gestion", "parcours Economie", 43, 570, 289, 552, 0, 297, 70, 28, 13, 9, 6, 218, 18, 4, 2, 0, 12, 549, 17, 0, 0, 297, 70, 28, 13, 9, 6, 215, 303, 41, 24, 34, 7, 1.0, 10.0, 28.0, 0, 7, 20, 16, 3, 1, 21, 0, 7, 11, 2, 0, 0.0, 11, 1, 1, 0, 0, 15, 15, 2.44, 24.39, 68.29, 58.5, 75.0, 75.0, 0, 35.0, 48.796875, 0.0, 35.0, 55.0, 10.0, 0.0, 0.0, 80.0, 55.0, 15.0, 5.0, 5.0, 5.0, 159.0, 37.0, 3.0, 3.0, 133.0, "Tous les candidats", 1373.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 68.0, "32102", "Licence - Portail Economie - parcours Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32101&g_ta_cod=32102", 80.0, 12.0, 7.0),
(7191, "Public", "0351878B", "Lycée professionnel Coetlogon", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Lycée professionnel Coetlogon - Mention complémentaire - Assistance Conseil Vente à distance", "Mention complémentaire", "", 9, 72, 40, 66, 0, 1, 0, 3, 1, 31, 14, 31, 6, 1, 0, 2, 3, 54, 2, 0, 0, 1, 0, 3, 1, 31, 14, 19, 38, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 0.0, 19.0, 9.0, 15.0, "Tous les candidats", 53.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "22263", "Mention complémentaire - Assistance Conseil Vente à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22263&g_ta_cod=22263", 0, 0, 0),
(7192, "Public", "9840482B", "Lycée du Diadème - Te tara o mai'ao", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Pirae", "formation sélective", "BTS", "Lycée du Diadème - Te tara o mai'ao - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 17, 161, 32, 161, 0, 21, 11, 82, 42, 34, 26, 24, 0, 0, 0, 0, 0, 89, 0, 0, 0, 18, 8, 45, 28, 20, 16, 6, 31, 16, 5, 16, 0, 7.0, 15.0, 15.0, 0, 10, 15, 4, 7, 4, 1, 0, 6, 8, 0, 1, 0.0, 2, 6, 1, 8, 3, 15, 15, 43.75, 93.75, 93.75, 31.296875, 100.0, 100.0, 53.296875, 66.6875, 93.796875, 0.0, 40.0, 53.296875, 0.0, 6.7, 0.0, 26.69921875, 13.298828125, 46.6953125, 40.0, 26.69921875, 6.69921875, 7.0, 3.0, 7.0, 6.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers technologiques toutes séries", 23, "Bacheliers professionnels toutes séries", 7, "Liste d'appel propre à cette formation", 24.0, "25804", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25804&g_ta_cod=25804", 25.0, 50.0, 25.0),
(7193, "Privé sous contrat d'association", "0290338K", "Lycée Sainte Anne", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "CPGE", "Lycée Sainte Anne - CPGE - PCSI", "Classe préparatoire scientifique", "", 30, 322, 108, 306, 0, 239, 13, 0, 0, 0, 0, 67, 16, 10, 0, 0, 6, 271, 11, 0, 271, 231, 13, 0, 0, 0, 0, 40, 243, 20, 4, 17, 3, 13.0, 16.0, 20.0, 0, 2, 17, 17, 0, 0, 3, 0, 3, 6, 8, 0, 0.0, 14, 0, 0, 3, 1, 15, 15, 65.0, 80.0, 100.0, 20.0, 88.1875, 88.1875, 17.59765625, 11.798828125, 85.0, 0.0, 17.59765625, 35.296875, 47.09375, 0.0, 0.0, 100.0, 82.390625, 0.0, 0.0, 0.0, 0.0, 205.0, 13.0, 0.0, 0.0, 38.0, "Tous les candidats", 271.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "3850", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3850&g_ta_cod=3850", 100.0, 0.0, 0.0),
(7194, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence_Las", "Université Toulouse 3 Paul Sabatier - Licence - Portail Chimie", "Licence - Sciences - technologies - santé", "", 36, 1463, 1063, 1463, 0, 838, 180, 48, 24, 2, 0, 575, 0, 0, 0, 0, 0, 1463, 0, 0, 0, 838, 180, 48, 24, 2, 0, 575, 378, 24, 19, 24, 0, 0.0, 8.0, 21.0, 0, 6, 13, 12, 1, 0, 11, 0, 1, 6, 5, 1, 0.0, 11, 1, 0, 0, 0, 12, 12, 0.0, 33.33, 87.5, 79.1875, 92.296875, 92.296875, 0, 46.1953125, 54.1953125, 0.0, 7.69921875, 46.1953125, 38.5, 7.7, 0.0, 92.296875, 84.59375, 7.69921875, 7.69921875, 0.0, 0.0, 206.0, 46.0, 0.0, 0.0, 166.0, "Tous les candidats", 1137.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 52.0, "27512", "Licence - Portail Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27511&g_ta_cod=27512", 96.0, 4.0, 0.0),
(7195, "Public", "0260023J", "Lycée Du Dauphine", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Romans-sur-Isère", "formation sélective", "BTS", "Lycée Du Dauphine - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 18, 173, 46, 161, 0, 18, 5, 54, 13, 59, 25, 30, 12, 0, 6, 1, 5, 122, 4, 0, 0, 14, 5, 43, 7, 46, 19, 19, 102, 15, 10, 11, 2, 3.0, 11.0, 12.0, 0, 2, 9, 1, 1, 7, 6, 0, 2, 4, 3, 0, 0.0, 0, 1, 6, 1, 1, 9, 9, 20.0, 73.33, 80.0, 66.6875, 100.0, 100.0, 11.099609375, 22.19921875, 60.0, 0.0, 22.19921875, 44.3984375, 33.296875, 0.0, 0.0, 11.099609375, 0.0, 11.099609375, 11.099609375, 77.796875, 66.6875, 8.0, 3.0, 36.0, 12.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 64.0, "3617", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3617&g_ta_cod=3617", 20.0, 20.0, 60.0),
(7196, "Privé sous contrat d'association", "0592963A", "Lycée Saint Martin", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Saint Martin - BTS - Services - Podo-orthésiste", "BTS - Services", "", 15, 125, 82, 106, 0, 23, 6, 33, 7, 10, 2, 40, 19, 1, 0, 6, 12, 83, 5, 0, 0, 20, 6, 23, 5, 5, 0, 35, 59, 9, 6, 8, 1, 3.0, 5.0, 7.0, 0, 0, 6, 1, 2, 3, 3, 0, 2, 3, 0, 1, 0.0, 0, 1, 3, 2, 1, 4, 4, 33.33, 55.56, 77.78, 66.6875, 66.6875, 66.6875, 33.296875, 0.0, 66.6875, 0.0, 33.296875, 50.0, 0.0, 16.7, 0.0, 16.69921875, 0.0, 33.296875, 16.69921875, 50.0, 50.0, 11.0, 3.0, 7.0, 0.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers technologiques toutes séries", 28, "Bacheliers professionnels toutes séries", 6, "Liste d'appel propre à cette formation", 68.0, "33251", "BTS - Services - Podo-orthésiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33251&g_ta_cod=33251", 44.0, 22.0, 33.0),
(7197, "Public", "0830053G", "Lycée Dumont d'Urville", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "CPGE", "Lycée Dumont d'Urville - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 435, 234, 431, 279, 378, 44, 2, 0, 0, 0, 51, 4, 2, 0, 0, 2, 398, 2, 256, 326, 363, 40, 1, 0, 0, 0, 34, 252, 18, 9, 18, 0, 4.0, 12.0, 18.0, 5, 3, 17, 17, 0, 0, 1, 0, 4, 6, 4, 3, 0.0, 13, 0, 0, 4, 3, 14, 14, 22.22, 66.67, 100.0, 50.0, 82.390625, 82.390625, 23.5, 17.59765625, 94.390625, 0.0, 23.5, 35.296875, 23.5, 17.6, 0.0, 100.0, 76.5, 0.0, 0.0, 0.0, 0.0, 225.0, 29.0, 0.0, 0.0, 27.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "31640", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31344&g_ta_cod=31640", 100.0, 0.0, 0.0),
(7198, "Public", "0750778N", "Lycée professionnel Turquetil", "75", "Paris", "Ile-de-France", "Paris", "Paris 11e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Turquetil - Mention complémentaire - FCIL Prototypiste Mécanicien(ne) Modèle", "Mention complémentaire", "", 12, 41, 32, 35, 0, 1, 1, 0, 0, 18, 6, 16, 6, 1, 1, 2, 2, 24, 2, 0, 0, 1, 1, 0, 0, 13, 4, 10, 24, 8, 8, 8, 0, 3.0, 8.0, 8.0, 0, 2, 7, 0, 0, 7, 1, 0, 3, 2, 1, 1, 0.0, 0, 0, 4, 0, 0, 3, 5, 37.5, 100.0, 100.0, 100.0, 42.8984375, 71.390625, 0, 28.59765625, 87.5, 0.0, 42.8984375, 28.59765625, 14.298828125, 14.3, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 57.09375, 0.0, 0.0, 14.0, 5.0, 10.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "29503", "Mention complémentaire - FCIL Prototypiste Mécanicien(ne) Modèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29503&g_ta_cod=29503", 0.0, 0.0, 100.0),
(7199, "Public", "0301234D", "IFSI CH Alès-Cévennes", "30", "Gard", "Occitanie", "Montpellier", "Alès", "formation sélective", "IFSI", "Regroupement d'IFSI Université Montpellier - D.E Infirmier", "D.E secteur sanitaire", "", 52, 6614, 5552, 6614, 0, 911, 212, 1202, 357, 637, 269, 3864, 0, 0, 0, 0, 0, 4776, 0, 0, 0, 789, 168, 941, 258, 424, 165, 2622, 749, 52, 41, 52, 0, 1.0, 15.0, 41.0, 0, 10, 35, 10, 11, 14, 17, 0, 0, 14, 16, 5, 0.0, 10, 11, 14, 0, 0, 31, 31, 1.92, 28.85, 78.85, 78.796875, 88.59375, 88.59375, 0, 28.59765625, 67.296875, 0.0, 0.0, 40.0, 45.6953125, 14.3, 0.0, 28.59765625, 28.59765625, 31.3984375, 31.3984375, 40.0, 40.0, 127.0, 25.0, 72.0, 28.0, 323.0, "Tous les candidats", 2618.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "23173", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22991&g_ta_cod=23173", 33.0, 37.0, 31.0),
(7200, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe", "Licence - Arts-lettres-langues", "Arabe", 85, 323, 219, 197, 0, 43, 25, 20, 13, 18, 11, 116, 126, 6, 10, 11, 99, 189, 119, 0, 0, 43, 25, 20, 13, 18, 11, 108, 308, 84, 57, 39, 45, 38.0, 39.0, 67.0, 0, 17, 24, 8, 4, 12, 60, 0, 14, 7, 3, 0, 0.0, 3, 1, 6, 0, 0, 19, 19, 45.24, 46.43, 79.76, 67.890625, 79.1875, 79.1875, 0, 70.796875, 28.59765625, 0.0, 58.296875, 29.19921875, 12.5, 0.0, 0.0, 33.296875, 12.5, 16.69921875, 4.19921875, 50.0, 25.0, 49.0, 30.0, 29.0, 20.0, 200.0, "Tous les candidats", 189.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "4150", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4150&g_ta_cod=4150", 46.0, 11.0, 33.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(7201, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence_Las", "Université Grenoble Alpes  - Licence - Portail Psychologie - Psychologie - Grenoble", "Licence - Sciences humaines et sociales", "Psychologie - Grenoble", 40, 1976, 1668, 1976, 0, 961, 200, 201, 54, 45, 20, 769, 0, 0, 0, 0, 0, 1976, 0, 0, 0, 961, 200, 201, 54, 45, 20, 769, 260, 39, 37, 39, 0, 3.0, 24.0, 35.0, 0, 4, 36, 35, 1, 0, 3, 0, 1, 14, 13, 6, 2.0, 34, 1, 0, 0, 0, 34, 34, 7.69, 61.54, 89.74, 94.890625, 94.390625, 94.390625, 0, 11.099609375, 92.296875, 0.0, 2.7998046875, 38.8984375, 36.09375, 16.7, 5.6, 97.1875, 94.390625, 2.7998046875, 2.7998046875, 0.0, 0.0, 238.0, 32.0, 0.0, 0.0, 21.0, "Tous les candidats", 886.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 21.0, "31719", "Licence - Portail Psychologie - Psychologie - Grenoble", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31718&g_ta_cod=31719", 97.0, 3.0, 0.0),
(7202, "Public", "0560025Y", "Lycée Dupuy De Lôme", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "Autre formation", "Lycée Dupuy De Lôme - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 323, 164, 291, 0, 121, 15, 72, 14, 5, 3, 93, 32, 3, 3, 2, 24, 185, 11, 0, 0, 98, 7, 66, 12, 0, 0, 21, 132, 16, 8, 12, 4, 4.0, 11.0, 15.0, 0, 1, 11, 5, 6, 0, 5, 0, 2, 6, 3, 0, 0.0, 4, 5, 0, 0, 0, 9, 9, 25.0, 68.75, 93.75, 50.0, 81.796875, 81.796875, 0, 9.099609375, 68.796875, 0.0, 18.19921875, 54.5, 27.296875, 0.0, 0.0, 45.5, 36.3984375, 54.5, 45.5, 0.0, 0.0, 64.0, 2.0, 0.0, 0.0, 23.0, "Tous les candidats", 185.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "6425", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6425&g_ta_cod=6425", 50.0, 50.0, 0.0),
(7203, "Public", "0500087Y", "Lycée Claude Lehec", "50", "Manche", "Normandie", "Normandie", "Saint-Hilaire-du-Harcouët", "formation sélective", "BTS", "Lycée Claude Lehec - BTS - Production - Techniques et services en matériels agricoles", "BTS - Production", "", 30, 154, 3, 153, 0, 7, 5, 22, 1, 96, 26, 28, 1, 0, 0, 1, 0, 125, 1, 0, 0, 7, 5, 22, 1, 96, 26, 0, 77, 22, 0, 22, 0, 10.0, 22.0, 22.0, 0, 3, 22, 1, 6, 15, 0, 0, 6, 5, 7, 4, 0.0, 0, 5, 11, 8, 0, 14, 14, 45.45, 100.0, 100.0, 0.0, 63.59375, 63.59375, 36.3984375, 13.599609375, 100.0, 0.0, 27.296875, 22.69921875, 31.796875, 18.2, 0.0, 4.5, 0.0, 27.296875, 22.69921875, 68.1875, 50.0, 3.0, 2.0, 65.0, 15.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 96, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 76.0, "6006", "BTS - Production - Techniques et services en matériels agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6006&g_ta_cod=6006", 5.0, 27.0, 68.0),
(7204, "Public", "0800001S", "Lycée Boucher De Perthes", "80", "Somme", "Hauts-de-France", "Amiens", "Abbeville", "formation sélective", "Autre formation", "Lycée Boucher De Perthes - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 1.0, 1.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30533", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0, 0, 0),
(7205, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Sciences de l'éducation - Parcours Intervention sociale et insertion-formation", "Licence - Sciences humaines et sociales", "Intervention sociale et insertion-formation", 50, 592, 523, 592, 0, 213, 60, 95, 38, 19, 12, 265, 0, 0, 0, 0, 0, 592, 0, 0, 0, 213, 60, 95, 38, 19, 12, 265, 150, 47, 41, 47, 0, 14.0, 34.0, 41.0, 0, 5, 17, 9, 5, 3, 30, 0, 9, 5, 2, 0, 1.0, 6, 0, 2, 0, 0, 16, 17, 29.79, 72.34, 87.23, 87.1875, 94.09375, 100.0, 0, 29.3984375, 36.1953125, 0.0, 52.8984375, 29.3984375, 11.798828125, 0.0, 5.9, 52.8984375, 35.296875, 29.3984375, 0.0, 17.59765625, 11.798828125, 33.0, 13.0, 6.0, 4.0, 90.0, "Tous les candidats", 214.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "11499", "Licence - Sciences de l'éducation - Parcours Intervention sociale et insertion-formation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11499&g_ta_cod=11499", 49.0, 23.0, 26.0),
(7206, "Privé sous contrat d'association", "0690194L", "ECAM Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "ECAM-ECAM LaSalle - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 25, 721, 177, 673, 0, 548, 50, 0, 0, 0, 0, 125, 48, 19, 0, 0, 29, 300, 11, 0, 0, 277, 17, 0, 0, 0, 0, 23, 243, 21, 8, 16, 5, 2.0, 16.0, 21.0, 0, 1, 18, 18, 0, 0, 3, 0, 0, 6, 11, 1, 0.0, 18, 0, 0, 0, 0, 7, 7, 9.52, 76.19, 100.0, 38.09375, 38.8984375, 38.8984375, 0, 5.599609375, 85.6875, 0.0, 0.0, 33.296875, 61.09375, 5.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 216.0, 14.0, 0.0, 0.0, 27.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "29279", "Formation d'ingénieur Bac + 5 - Série générale", "ECAM-ECAM LaSalle", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29277&g_ta_cod=29279", 100.0, 0.0, 0.0),
(7207, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Autre formation", "Université d'Amiens - DEUST - Animation et gestion des activités physiques, sportives ou culturelles", "DEUST", "", 40, 505, 131, 505, 0, 226, 41, 123, 20, 42, 12, 114, 0, 0, 0, 0, 0, 505, 0, 0, 0, 226, 41, 123, 20, 42, 12, 114, 165, 39, 9, 39, 0, 4.0, 29.0, 34.0, 0, 4, 26, 15, 4, 7, 13, 1, 10, 12, 3, 0, 0.0, 8, 3, 4, 0, 0, 12, 12, 10.26, 74.36, 87.18, 23.09765625, 46.1953125, 46.1953125, 0, 15.3984375, 66.6875, 3.7998046875, 38.5, 46.1953125, 11.5, 0.0, 0.0, 57.6953125, 30.796875, 15.3984375, 11.5, 26.8984375, 15.3984375, 77.0, 15.0, 23.0, 7.0, 43.0, "Tous les candidats", 212.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "31899", "DEUST - Animation et gestion des activités physiques, sportives ou culturelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31899&g_ta_cod=31899", 64.0, 15.0, 21.0),
(7208, "Public", "0750654D", "Lycée Henri IV", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "CPGE", "Lycée Henri IV - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 2878, 1454, 2878, 1797, 2569, 230, 1, 0, 3, 1, 305, 0, 0, 0, 0, 0, 636, 0, 325, 495, 631, 63, 0, 0, 0, 0, 5, 86, 23, 16, 23, 0, 5.0, 19.0, 21.0, 7, 4, 23, 23, 0, 0, 0, 0, 0, 0, 0, 10, 13.0, 23, 0, 0, 2, 1, 6, 7, 21.74, 82.61, 91.3, 69.59375, 26.09765625, 30.3984375, 8.69921875, 17.3984375, 100.0, 0.0, 0.0, 0.0, 0.0, 43.5, 56.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 85.0, 10.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "31581", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31358&g_ta_cod=31581", 100.0, 0.0, 0.0),
(7209, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 290, 999, 467, 853, 0, 611, 146, 81, 19, 19, 12, 142, 146, 25, 24, 13, 84, 849, 142, 0, 0, 611, 146, 81, 19, 19, 12, 138, 991, 171, 70, 122, 49, 121.0, 121.0, 147.0, 0, 39, 118, 84, 19, 15, 53, 0, 60, 34, 20, 4, 0.0, 45, 6, 7, 0, 0, 77, 77, 70.76, 70.76, 85.96, 40.8984375, 65.296875, 65.296875, 0, 33.09375, 69.0, 0.0, 50.796875, 28.796875, 16.8984375, 3.4, 0.0, 71.1875, 38.09375, 16.09765625, 5.099609375, 12.69921875, 5.8994140625, 635.0, 151.0, 32.0, 23.0, 219.0, "Tous les candidats", 849.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10702", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10702&g_ta_cod=10702", 64.0, 20.0, 15.0),
(7210, "Privé sous contrat d'association", "0671636P", "Lycée ORT STRASBOURG", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée ORT STRASBOURG - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 30, 470, 314, 470, 0, 108, 15, 111, 32, 46, 16, 205, 0, 0, 0, 0, 0, 423, 0, 0, 0, 107, 15, 101, 29, 41, 13, 174, 147, 30, 22, 29, 0, 5.0, 20.0, 21.0, 0, 3, 17, 11, 4, 2, 13, 0, 6, 9, 2, 0, 0.0, 9, 1, 1, 1, 0, 11, 11, 16.67, 66.67, 70.0, 73.296875, 64.6875, 64.6875, 5.8994140625, 17.59765625, 56.6953125, 0.0, 35.296875, 52.8984375, 11.798828125, 0.0, 0.0, 64.6875, 52.8984375, 23.5, 5.8994140625, 11.798828125, 5.8994140625, 51.0, 5.0, 8.0, 1.0, 67.0, "Tous les candidats sauf les Bac professionnels", 139.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 34.0, "7977", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7977&g_ta_cod=7977", 77.0, 13.0, 10.0),
(7211, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - Histoire -Anglais", "Licence - Sciences humaines et sociales", "Histoire -Anglais", 38, 664, 430, 294, 0, 208, 41, 23, 8, 14, 6, 49, 370, 139, 42, 13, 176, 207, 57, 0, 0, 190, 39, 3, 0, 0, 0, 14, 219, 37, 25, 15, 22, 3.0, 15.0, 29.0, 0, 1, 33, 32, 1, 0, 4, 0, 10, 12, 8, 3, 0.0, 23, 0, 0, 0, 0, 18, 26, 8.11, 40.54, 78.38, 67.59375, 54.5, 78.796875, 0, 3.0, 89.1875, 0.0, 30.296875, 36.3984375, 24.19921875, 9.1, 0.0, 97.0, 69.6875, 3.0, 0.0, 0.0, 0.0, 189.0, 35.0, 0.0, 0.0, 25.0, "Tous les candidats", 206.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "11502", "Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - Histoire -Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11502&g_ta_cod=11502", 97.0, 3.0, 0.0),
(7212, "Public", "0310047H", "Lycée Ozenne", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée Ozenne - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 969, 460, 969, 0, 420, 71, 245, 66, 8, 4, 296, 0, 0, 0, 0, 0, 840, 0, 0, 0, 419, 70, 191, 48, 0, 0, 230, 133, 39, 24, 39, 0, 26.0, 37.0, 39.0, 0, 6, 36, 24, 12, 0, 3, 0, 0, 7, 21, 8, 0.0, 24, 12, 0, 0, 0, 27, 27, 66.67, 94.87, 100.0, 61.5, 75.0, 75.0, 0, 16.69921875, 92.296875, 0.0, 0.0, 19.3984375, 58.296875, 22.2, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 78.0, 15.0, 0.0, 0.0, 26.0, "Tous les candidats", 184.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "4079", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4079&g_ta_cod=4079", 69.0, 31.0, 0.0),
(7213, "Public", "0930125F", "Lycée Paul Eluard", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BTS", "Lycée Paul Eluard - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 12, 413, 42, 413, 0, 17, 8, 115, 62, 167, 89, 114, 0, 0, 0, 0, 0, 230, 0, 0, 0, 7, 4, 63, 31, 128, 66, 32, 45, 9, 0, 9, 0, 2.0, 6.0, 9.0, 0, 8, 8, 0, 4, 4, 1, 0, 1, 6, 1, 0, 0.0, 0, 3, 4, 2, 0, 6, 8, 22.22, 66.67, 100.0, 0.0, 75.0, 100.0, 25, 100.0, 88.890625, 0.0, 12.5, 75.0, 12.5, 0.0, 0.0, 0.0, 0.0, 50.0, 37.5, 50.0, 50.0, 1.0, 1.0, 18.0, 8.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 19.0, "11193", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11193&g_ta_cod=11193", 0.0, 56.0, 44.0),
(7214, "Privé sous contrat d'association", "0753897D", "Lycée Saint Michel de Picpus", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "CPGE", "Lycée Saint Michel de Picpus - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 22, 1045, 442, 1035, 0, 938, 48, 1, 1, 0, 0, 96, 10, 7, 0, 0, 3, 699, 2, 0, 699, 699, 34, 0, 0, 0, 0, 0, 281, 9, 4, 9, 0, 2.0, 4.0, 9.0, 0, 0, 9, 9, 0, 0, 0, 0, 0, 0, 6, 3, 0.0, 9, 0, 0, 2, 2, 3, 7, 22.22, 44.44, 100.0, 44.3984375, 33.296875, 77.796875, 22.19921875, 0.0, 100.0, 0.0, 0.0, 0.0, 66.6875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 281.0, 14.0, 0.0, 0.0, 0.0, "Tous les candidats", 616.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "31373", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31373&g_ta_cod=31373", 100.0, 0.0, 0.0),
(7215, "Public", "0261505V", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 12, 174, 16, 153, 0, 13, 2, 44, 19, 57, 18, 39, 21, 0, 8, 6, 7, 83, 4, 0, 0, 11, 2, 26, 10, 33, 10, 13, 55, 9, 1, 8, 1, 2.0, 6.0, 9.0, 0, 4, 8, 0, 5, 3, 1, 0, 3, 5, 0, 0, 0.0, 0, 2, 3, 6, 1, 7, 7, 22.22, 66.67, 100.0, 11.099609375, 87.5, 87.5, 75, 50.0, 88.890625, 0.0, 37.5, 62.5, 0.0, 0.0, 0.0, 0.0, 0.0, 62.5, 25.0, 37.5, 37.5, 8.0, 2.0, 21.0, 8.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 50.0, "16813", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16813&g_ta_cod=16813", 11.0, 56.0, 33.0),
(7216, "Public", "0951728M", "Lycée Edmond Rostand", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Saint-Ouen-l'Aumône", "formation sélective", "BTS", "Lycée Edmond Rostand - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 53, 1551, 709, 1551, 0, 110, 26, 538, 188, 470, 194, 433, 0, 0, 0, 0, 0, 777, 0, 0, 0, 64, 14, 330, 97, 238, 97, 145, 210, 53, 21, 52, 0, 8.0, 40.0, 46.0, 0, 14, 41, 3, 23, 15, 12, 0, 11, 22, 8, 0, 0.0, 2, 16, 12, 7, 1, 37, 37, 15.09, 75.47, 86.79, 39.59375, 90.1875, 90.1875, 17.09765625, 34.09375, 77.390625, 0.0, 26.796875, 53.6953125, 19.5, 0.0, 0.0, 7.2998046875, 4.8994140625, 56.09375, 39.0, 36.59375, 29.296875, 13.0, 6.0, 72.0, 27.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 116, "Bacheliers technologiques toutes séries", 138, "Liste d'appel propre à cette formation", 18.0, "11617", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11617&g_ta_cod=11617", 9.0, 47.0, 43.0),
(7217, "Privé sous contrat d'association", "0951575W", "IFSI Léonie Chaptal", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Sarcelles", "formation sélective", "IFSI", "Regroupement d'IFSI Médecine Sorbonne Université P6 - D.E Infirmier", "D.E secteur sanitaire", "", 115, 6233, 5461, 6233, 0, 579, 210, 900, 408, 865, 477, 3889, 0, 0, 0, 0, 0, 5138, 0, 0, 0, 560, 205, 818, 371, 794, 445, 2966, 1231, 108, 97, 108, 0, 2.0, 54.0, 98.0, 0, 21, 24, 5, 7, 12, 84, 0, 5, 13, 6, 0, 0.0, 3, 4, 12, 0, 0, 15, 23, 1.85, 50.0, 90.74, 89.796875, 62.5, 95.796875, 0, 87.5, 22.19921875, 0.0, 20.796875, 54.1953125, 25.0, 0.0, 0.0, 20.796875, 12.5, 29.19921875, 16.69921875, 50.0, 50.0, 86.0, 67.0, 97.0, 86.0, 990.0, "Tous les candidats", 3892.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "23290", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23003&g_ta_cod=23290", 20.0, 56.0, 23.0),
(7218, "Public", "0134319Z", "IUT Aix-Marseille - Site de Marseille St Jérôme", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BUT", "IUT Aix-Marseille - Site de Marseille St Jérôme - BUT - Génie électrique et informatique industrielle Parcours : Electronique et systèmes embarqués", "BUT - Production", "Electronique et systèmes embarqués", 104, 1233, 95, 1222, 0, 593, 132, 302, 112, 21, 11, 306, 11, 2, 1, 0, 8, 901, 2, 0, 0, 466, 91, 229, 71, 1, 1, 205, 509, 93, 1, 92, 1, 8.0, 69.0, 85.0, 0, 26, 69, 31, 38, 0, 24, 0, 18, 41, 10, 0, 0.0, 22, 29, 0, 0, 0, 64, 64, 8.6, 74.19, 91.4, 1.099853515625, 92.796875, 92.796875, 0, 37.6953125, 74.1875, 0.0, 26.09765625, 59.3984375, 14.5, 0.0, 0.0, 44.8984375, 31.8984375, 55.09375, 42.0, 0.0, 0.0, 191.0, 58.0, 1.0, 1.0, 157.0, "Tous les candidats sauf les Bac technologiques", 443.0, "Bacheliers technologiques toutes séries", 269, "", 0, "Liste d'appel propre à cette formation", 58.0, "2715", "BUT - Génie électrique et informatique industrielle Parcours : Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2715&g_ta_cod=2715", 53.0, 47.0, 0.0),
(7219, "Public", "0310056T", "Lycée professionnel Gabriel Peri", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée professionnel Gabriel Peri - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 15, 650, 561, 650, 0, 108, 30, 70, 24, 300, 102, 172, 0, 0, 0, 0, 0, 650, 0, 0, 0, 108, 30, 70, 24, 300, 102, 172, 37, 16, 15, 16, 0, 5.0, 13.0, 14.0, 0, 4, 14, 0, 1, 13, 2, 0, 0, 1, 6, 7, 0.0, 0, 1, 13, 3, 3, 10, 10, 31.25, 81.25, 87.5, 93.796875, 71.390625, 71.390625, 21.3984375, 28.59765625, 87.5, 0.0, 0.0, 7.099609375, 42.8984375, 50.0, 0.0, 0.0, 0.0, 7.099609375, 7.099609375, 92.890625, 92.890625, 3.0, 1.0, 29.0, 6.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 8.0, "12336", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12336&g_ta_cod=12336", 6.0, 6.0, 88.0),
(7220, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "Licence - Arts-lettres-langues", "Allemand", 34, 67, 26, 23, 0, 11, 1, 0, 0, 1, 0, 11, 44, 5, 5, 3, 31, 23, 31, 0, 0, 11, 1, 0, 0, 1, 0, 11, 54, 16, 6, 3, 13, 3.0, 3.0, 9.0, 0, 3, 5, 1, 2, 2, 11, 1, 4, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 5, 18.75, 18.75, 56.25, 37.5, 60.0, 100.0, 0, 60.0, 31.296875, 20.0, 80.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 40.0, 0.0, 40.0, 0.0, 15.0, 3.0, 4.0, 3.0, 31.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11102", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11102&g_ta_cod=11102", 50.0, 19.0, 31.0),
(7221, "Public", "0251554D", "IFSI Montbéliard", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "IFSI", "Regroupement d'IFSI Université Franche-Comté Besançon - D.E Infirmier", "D.E secteur sanitaire", "", 140, 2569, 2214, 2569, 0, 503, 93, 508, 124, 284, 84, 1274, 0, 0, 0, 0, 0, 2203, 0, 0, 0, 462, 84, 451, 102, 212, 56, 1078, 821, 140, 120, 140, 0, 6.0, 73.0, 111.0, 0, 29, 90, 21, 43, 26, 50, 1, 7, 38, 36, 8, 0.0, 18, 39, 25, 0, 0, 65, 65, 4.29, 52.14, 79.29, 85.6875, 72.1875, 72.1875, 0, 32.1953125, 64.296875, 1.099853515625, 7.7998046875, 42.1953125, 40.0, 8.9, 0.0, 23.296875, 20.0, 47.796875, 43.296875, 28.8984375, 27.796875, 190.0, 40.0, 76.0, 21.0, 378.0, "Tous les candidats", 1249.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "23393", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22990&g_ta_cod=23393", 34.0, 40.0, 26.0),
(7222, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Informatique - Informatique (tronc commun en L1 avec Mathématiques et Sciences et technologies)", "Licence - Sciences - technologies - santé", "Informatique (tronc commun en L1 avec Mathématiques et Sciences et technologies)", 40, 435, 57, 435, 0, 325, 49, 26, 7, 2, 1, 82, 0, 0, 0, 0, 0, 435, 0, 0, 0, 325, 49, 26, 7, 2, 1, 82, 304, 39, 2, 39, 0, 27.0, 27.0, 37.0, 0, 10, 34, 33, 1, 0, 5, 4, 8, 19, 2, 1, 0.0, 22, 0, 0, 0, 0, 31, 31, 69.23, 69.23, 94.87, 5.099609375, 91.1875, 91.1875, 0, 29.3984375, 87.1875, 11.798828125, 23.5, 55.8984375, 5.8994140625, 2.9, 0.0, 97.09375, 64.6875, 2.89990234375, 0.0, 0.0, 0.0, 249.0, 37.0, 1.0, 1.0, 46.0, "Tous les candidats", 345.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 79.0, "8826", "Licence - Portail Informatique - Informatique (tronc commun en L1 avec Mathématiques et Sciences et technologies)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29664&g_ta_cod=8826", 95.0, 5.0, 0.0),
(7223, "Public", "0760005T", "Lycée Thomas Corneille", "76", "Seine-Maritime", "Normandie", "Normandie", "Barentin", "formation sélective", "BTS", "Lycée Thomas Corneille - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 803, 453, 697, 0, 41, 12, 145, 46, 140, 69, 371, 106, 2, 25, 25, 54, 212, 35, 0, 0, 37, 9, 82, 19, 76, 31, 17, 189, 32, 18, 15, 17, 4.0, 13.0, 21.0, 0, 9, 25, 4, 10, 11, 7, 2, 8, 12, 3, 0, 0.0, 0, 5, 10, 9, 4, 25, 25, 12.5, 40.63, 65.63, 56.296875, 100.0, 100.0, 36, 36.0, 78.09375, 8.0, 32.0, 48.0, 12.0, 0.0, 0.0, 16.0, 0.0, 40.0, 20.0, 44.0, 40.0, 30.0, 6.0, 66.0, 28.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 30.0, "9557", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9557&g_ta_cod=9557", 16.0, 44.0, 41.0),
(7224, "Privé sous contrat d'association", "0311177L", "Institut Limayrac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Institut Limayrac - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 479, 215, 450, 0, 231, 30, 85, 20, 3, 2, 131, 29, 3, 3, 2, 21, 268, 2, 0, 0, 157, 19, 63, 16, 0, 0, 48, 148, 33, 12, 32, 1, 16.0, 31.0, 31.0, 0, 4, 28, 19, 9, 0, 5, 0, 1, 15, 12, 0, 0.0, 18, 9, 0, 0, 0, 24, 24, 48.48, 93.94, 93.94, 36.3984375, 85.6875, 85.6875, 0, 14.298828125, 84.796875, 0.0, 3.599609375, 53.59375, 42.8984375, 0.0, 0.0, 67.890625, 64.296875, 32.09375, 32.09375, 0.0, 0.0, 73.0, 8.0, 0.0, 0.0, 41.0, "Tous les candidats", 264.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "4115", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4115&g_ta_cod=4115", 73.0, 27.0, 0.0),
(7225, "Public", "0133015G", "Lycée Pierre Mendès France", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Vitrolles", "formation sélective", "BTS", "Lycée Pierre Mendès France - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 24, 158, 17, 142, 0, 8, 1, 62, 14, 42, 16, 30, 16, 2, 7, 0, 7, 100, 4, 0, 0, 6, 1, 51, 10, 30, 9, 13, 87, 21, 1, 19, 2, 9.0, 19.0, 20.0, 0, 4, 18, 0, 11, 7, 3, 0, 7, 5, 4, 2, 0.0, 0, 6, 5, 11, 1, 15, 15, 42.86, 90.48, 95.24, 4.7998046875, 83.296875, 83.296875, 61.09375, 22.19921875, 85.6875, 0.0, 38.8984375, 27.796875, 22.19921875, 11.1, 0.0, 0.0, 0.0, 61.09375, 33.296875, 38.8984375, 27.796875, 4.0, 1.0, 25.0, 8.0, 17.0, "Tous les candidats sauf les Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 70.0, "2796", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2796&g_ta_cod=2796", 10.0, 57.0, 33.0),
(7226, "Public", "0690193K", "Institut national d'enseignement supérieur et de recherche en alimentation, santé animale, sciences agronomiques et de l'envi", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Marcy-l'Etoile", "formation sélective", "Autre formation", "Concours des écoles nationales vétérinaires - Concours Première année", "Formations des écoles nationales vétérinaires", "Institut national d'enseignement supérieur et de recherche en alimentation, santé animale, sciences agronomiques et de l'environnement (VetAgro Sup) - Site de Marcy-l'Etoile (69)", 40, 5107, 3903, 5107, 0, 5077, 502, 0, 0, 0, 0, 30, 0, 0, 0, 0, 0, 580, 0, 0, 0, 577, 63, 0, 0, 0, 0, 3, 123, 40, 29, 40, 0, 13.0, 40.0, 40.0, 0, 4, 40, 40, 0, 0, 0, 0, 0, 0, 3, 22, 15.0, 40, 0, 0, 0, 0, 10, 10, 32.5, 100.0, 100.0, 72.5, 25.0, 25.0, 0, 10.0, 100.0, 0.0, 0.0, 0.0, 7.5, 55.0, 37.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 123.0, 15.0, 0.0, 0.0, 0.0, "Tous les candidats", 142.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 3.0, "30890", "Concours Première année", "Concours des écoles nationales vétérinaires", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30874&g_ta_cod=30890", 100.0, 0.0, 0.0),
(7227, "Public", "0951824S", "Lycée De L'Hautil", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Jouy-le-Moutier", "formation sélective", "BTS", "Lycée De L'Hautil - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 567, 50, 567, 0, 46, 7, 161, 63, 116, 50, 244, 0, 0, 0, 0, 0, 260, 0, 0, 0, 26, 3, 94, 32, 94, 40, 46, 139, 34, 2, 34, 0, 5.0, 31.0, 31.0, 0, 9, 30, 3, 15, 12, 4, 0, 12, 11, 6, 1, 0.0, 2, 5, 11, 5, 0, 28, 29, 14.71, 91.18, 91.18, 5.8994140625, 93.296875, 96.6875, 16.69921875, 30.0, 88.1875, 0.0, 40.0, 36.6953125, 20.0, 3.3, 0.0, 10.0, 6.69921875, 50.0, 16.69921875, 40.0, 36.6953125, 6.0, 2.0, 49.0, 22.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 30.0, "11654", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11654&g_ta_cod=11654", 9.0, 44.0, 47.0),
(7228, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence_Las", "Université de Franche-Comté - Site de Besançon - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - STAPS", "", 60, 1590, 665, 1590, 0, 1070, 125, 119, 28, 32, 11, 369, 0, 0, 0, 0, 0, 1587, 0, 0, 0, 1070, 125, 119, 28, 32, 11, 366, 224, 60, 27, 60, 0, 10.0, 24.0, 41.0, 0, 9, 49, 45, 3, 1, 11, 0, 9, 21, 15, 4, 0.0, 37, 2, 1, 0, 0, 45, 45, 16.67, 40.0, 68.33, 45.0, 91.796875, 91.796875, 0, 18.3984375, 81.6875, 0.0, 18.3984375, 42.8984375, 30.59765625, 8.2, 0.0, 91.796875, 75.5, 6.099609375, 4.099609375, 2.0, 2.0, 117.0, 22.0, 2.0, 1.0, 102.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "27289", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27288&g_ta_cod=27289", 88.0, 5.0, 7.0),
(7229, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Afrique et océan Indien - Berbère", "Licence - Arts-lettres-langues", "Afrique et océan Indien - Berbère", 25, 180, 104, 96, 0, 38, 11, 6, 5, 11, 5, 41, 84, 12, 2, 7, 63, 96, 36, 0, 0, 38, 11, 6, 5, 11, 5, 41, 116, 16, 8, 7, 9, 1.0, 6.0, 9.0, 0, 1, 4, 1, 1, 2, 12, 0, 1, 2, 1, 0, 0.0, 1, 0, 2, 0, 0, 0, 4, 6.25, 37.5, 56.25, 50.0, 0.0, 100.0, 0, 25.0, 25.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 25.0, 25.0, 25.0, 0.0, 50.0, 50.0, 41.0, 15.0, 12.0, 6.0, 56.0, "Tous les candidats", 114.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "9387", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Afrique et océan Indien - Berbère", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32126&g_ta_cod=9387", 38.0, 25.0, 31.0),
(7230, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation non sélective", "Licence", "Université de La Rochelle - Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquées (LEA) : anglais - espagnol - portugais", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées (LEA) : anglais - espagnol - portugais", 145, 656, 489, 641, 0, 459, 88, 57, 21, 15, 5, 110, 15, 3, 1, 0, 11, 641, 14, 0, 0, 459, 88, 57, 21, 15, 5, 110, 436, 144, 102, 132, 12, 31.0, 122.0, 136.0, 0, 21, 113, 94, 18, 1, 31, 0, 38, 42, 26, 7, 0.0, 72, 3, 0, 0, 0, 94, 94, 21.53, 84.72, 94.44, 70.796875, 83.1875, 83.1875, 0, 18.59765625, 78.5, 0.0, 33.59375, 37.1953125, 23.0, 6.2, 0.0, 83.1875, 63.6953125, 15.8984375, 2.69970703125, 0.89990234375, 0.0, 322.0, 57.0, 5.0, 2.0, 73.0, "Tous les candidats", 636.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "3076", "Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquées (LEA) : anglais - espagnol - portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3076&g_ta_cod=3076", 81.0, 16.0, 3.0),
(7231, "Public", "0130201Y", "Aix-Marseille Université - Site de Marseille Luminy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  9e  Arrondissement", "formation non sélective", "Licence_Las", "Aix-Marseille Université - Portail René Descartes - Licence - Portail Descartes : Informatique, Mathématiques, Mécanique, Physique", "Licence - Sciences - technologies - santé", "Descartes : Informatique, Mathématiques, Mécanique, Physique - site de Luminy", 20, 1201, 403, 1195, 0, 661, 150, 56, 25, 6, 4, 472, 6, 1, 0, 0, 5, 1195, 6, 0, 0, 661, 150, 56, 25, 6, 4, 472, 380, 18, 7, 15, 3, 0.0, 2.0, 7.0, 0, 0, 8, 8, 0, 0, 10, 0, 4, 2, 2, 0, 0.0, 4, 0, 0, 0, 0, 6, 6, 0.0, 11.11, 38.89, 38.8984375, 75.0, 75.0, 0, 0.0, 44.3984375, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 194.0, 39.0, 0.0, 0.0, 181.0, "Tous les candidats", 2598.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 69.0, "28579", "Licence - Portail Descartes : Informatique, Mathématiques, Mécanique, Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12608&g_ta_cod=28579", 100.0, 0.0, 0.0),
(7232, "Public", "0660586D", "I.U.T de Perpignan", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BUT", "I.U.T de Perpignan - BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", "BUT - Service", "Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", 56, 516, 141, 507, 0, 184, 40, 159, 55, 31, 20, 133, 9, 1, 1, 1, 6, 407, 5, 0, 0, 171, 32, 145, 47, 9, 5, 82, 280, 50, 13, 47, 3, 5.0, 45.0, 47.0, 0, 13, 33, 15, 18, 0, 17, 0, 22, 7, 4, 0, 0.0, 6, 5, 0, 0, 0, 24, 24, 10.0, 90.0, 94.0, 26.0, 72.6875, 72.6875, 0, 39.3984375, 66.0, 0.0, 66.6875, 21.19921875, 12.099609375, 0.0, 0.0, 45.5, 18.19921875, 54.5, 15.19921875, 0.0, 0.0, 101.0, 28.0, 3.0, 2.0, 57.0, "Tous les candidats sauf les Bac technologiques", 226.0, "Bacheliers technologiques toutes séries", 167, "", 0, "Liste d'appel propre à cette formation", 78.0, "7894", "BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7894&g_ta_cod=7894", 44.0, 56.0, 0.0),
(7233, "Privé sous contrat d'association", "0350795Z", "Lycée / Pôle Sup de La Salle - Groupe Saint Jean", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée / Pôle Sup de La Salle - Groupe Saint Jean - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 149, 65, 149, 0, 33, 3, 48, 6, 20, 6, 48, 0, 0, 0, 0, 0, 142, 0, 0, 0, 33, 3, 48, 6, 19, 6, 42, 88, 28, 12, 28, 0, 11.0, 24.0, 26.0, 0, 6, 21, 2, 11, 8, 7, 0, 4, 11, 6, 0, 0.0, 1, 8, 8, 1, 1, 21, 21, 39.29, 85.71, 92.86, 42.8984375, 100.0, 100.0, 4.7998046875, 28.59765625, 75.0, 0.0, 19.0, 52.3984375, 28.59765625, 0.0, 0.0, 9.5, 4.7998046875, 52.3984375, 38.09375, 38.09375, 38.09375, 16.0, 3.0, 17.0, 4.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 62.0, "4693", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4693&g_ta_cod=4693", 25.0, 46.0, 29.0),
(7234, "Public", "0911937L", "Lycée Francois Truffaut", "91", "Essonne", "Ile-de-France", "Versailles", "Bondoufle", "formation sélective", "BTS", "Lycée Francois Truffaut - BTS - Services - Gestion de la PME", "BTS - Services", "", 34, 758, 437, 758, 0, 40, 14, 253, 106, 218, 110, 247, 0, 0, 0, 0, 0, 489, 0, 0, 0, 35, 14, 201, 86, 182, 89, 71, 175, 32, 17, 32, 0, 4.0, 22.0, 25.0, 0, 12, 29, 3, 12, 14, 3, 0, 11, 16, 2, 0, 0.0, 1, 7, 10, 2, 1, 27, 29, 12.5, 68.75, 78.13, 53.09375, 93.09375, 100.0, 6.8994140625, 41.3984375, 90.59375, 0.0, 37.8984375, 55.1953125, 6.8994140625, 0.0, 0.0, 10.298828125, 3.39990234375, 41.3984375, 24.09765625, 48.296875, 34.5, 19.0, 8.0, 60.0, 33.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 90, "Bacheliers technologiques toutes séries", 123, "Liste d'appel propre à cette formation", 31.0, "10940", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10940&g_ta_cod=10940", 13.0, 38.0, 50.0),
(7235, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Musicologie", "Licence - Arts-lettres-langues", "", 90, 401, 200, 320, 0, 188, 27, 32, 4, 13, 5, 87, 81, 12, 5, 4, 60, 320, 61, 0, 0, 188, 27, 32, 4, 13, 5, 87, 306, 71, 27, 48, 23, 8.0, 48.0, 65.0, 0, 5, 41, 27, 10, 4, 30, 0, 18, 13, 8, 1, 1.0, 16, 6, 1, 0, 0, 30, 30, 11.27, 67.61, 91.55, 38.0, 73.1875, 73.1875, 0, 12.19921875, 57.6953125, 0.0, 43.8984375, 31.69921875, 19.5, 2.4, 2.4, 65.890625, 39.0, 24.3984375, 14.599609375, 9.798828125, 2.39990234375, 155.0, 22.0, 15.0, 5.0, 109.0, "Tous les candidats", 320.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20441", "Licence - Musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20441&g_ta_cod=20441", 66.0, 20.0, 10.0),
(7236, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Philosophie - Anthropologie - Lettres à distance", "Licence - Arts-lettres-langues", "Philosophie - Anthropologie - Lettres à distance", 45, 385, 260, 350, 0, 86, 24, 2, 0, 3, 1, 259, 35, 1, 1, 0, 33, 343, 33, 0, 0, 86, 24, 2, 0, 3, 1, 252, 308, 46, 33, 31, 14, 15.0, 24.0, 28.0, 0, 1, 7, 7, 0, 0, 39, 1, 1, 2, 1, 2, 0.0, 5, 0, 0, 0, 0, 1, 1, 32.61, 52.17, 60.87, 71.6875, 14.298828125, 14.298828125, 0, 14.298828125, 15.19921875, 14.298828125, 14.298828125, 28.59765625, 14.298828125, 28.6, 0.0, 100.0, 71.390625, 0.0, 0.0, 0.0, 0.0, 83.0, 22.0, 3.0, 1.0, 219.0, "Tous les candidats", 318.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "24011", "Licence - Portail Philosophie - Anthropologie - Lettres à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24011&g_ta_cod=24011", 78.0, 9.0, 7.0),
(7237, "Public", "0450786K", "Lycée professionnel Paul Gauguin", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "Autre formation", "Lycée professionnel Paul Gauguin - Mention complémentaire - FCIL préparation aux concours de la sécurité publique et civile", "Mention complémentaire", "", 15, 127, 64, 127, 0, 30, 6, 16, 3, 64, 19, 17, 0, 0, 0, 0, 0, 127, 0, 0, 0, 30, 6, 16, 3, 64, 19, 17, 57, 15, 6, 15, 0, 4.0, 8.0, 11.0, 0, 3, 14, 1, 0, 13, 1, 0, 4, 6, 3, 1, 0.0, 1, 0, 9, 0, 0, 11, 11, 26.67, 53.33, 73.33, 40.0, 78.59375, 78.59375, 0, 21.3984375, 93.296875, 0.0, 28.59765625, 42.8984375, 21.3984375, 7.1, 0.0, 7.099609375, 7.099609375, 0.0, 0.0, 92.890625, 64.296875, 7.0, 1.0, 41.0, 12.0, 4.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "29859", "Mention complémentaire - FCIL préparation aux concours de la sécurité publique et civile", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29859&g_ta_cod=29859", 7.0, 7.0, 87.0),
(7238, "Public", "0120920K", "IFSI CH Millau", "12", "Aveyron", "Occitanie", "Toulouse", "Millau", "formation sélective", "IFSI", "Regroupement d'IFSI Université Toulouse - D.E Infirmier", "D.E secteur sanitaire", "", 52, 5856, 4939, 5856, 0, 812, 159, 1055, 306, 802, 293, 3187, 0, 0, 0, 0, 0, 3600, 0, 0, 0, 738, 140, 716, 198, 449, 154, 1697, 828, 52, 43, 52, 0, 1.0, 10.0, 45.0, 0, 4, 29, 18, 7, 4, 23, 0, 7, 16, 6, 0, 0.0, 12, 6, 4, 0, 0, 7, 7, 1.92, 19.23, 86.54, 82.6875, 24.09765625, 24.09765625, 0, 13.798828125, 55.796875, 0.0, 24.09765625, 55.1953125, 20.69921875, 0.0, 0.0, 62.09375, 41.3984375, 24.09765625, 20.69921875, 13.798828125, 13.798828125, 282.0, 50.0, 54.0, 22.0, 387.0, "Tous les candidats", 3082.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "23248", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22985&g_ta_cod=23248", 69.0, 19.0, 12.0),
(7239, "Privé sous contrat d'association", "0451335G", "Lycée Sainte-Croix Saint-Euverte", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Sainte-Croix Saint-Euverte - BTS - Services - Commerce International", "BTS - Services", "", 30, 496, 262, 496, 0, 168, 37, 115, 43, 64, 28, 149, 0, 0, 0, 0, 0, 379, 0, 0, 0, 145, 30, 97, 36, 42, 19, 95, 122, 26, 14, 26, 0, 3.0, 17.0, 19.0, 0, 4, 17, 10, 6, 1, 9, 0, 3, 12, 2, 0, 0.0, 7, 6, 1, 0, 0, 16, 16, 11.54, 65.38, 73.08, 53.796875, 94.09375, 94.09375, 0, 23.5, 65.390625, 0.0, 17.59765625, 70.59375, 11.798828125, 0.0, 0.0, 58.796875, 41.1953125, 35.296875, 35.296875, 5.8994140625, 5.8994140625, 45.0, 10.0, 10.0, 6.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 85.0, "Bacheliers technologiques toutes séries", 51, "Bacheliers professionnels toutes séries", 10, "Liste d'appel propre à cette formation", 29.0, "29494", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29494&g_ta_cod=29494", 58.0, 38.0, 4.0),
(7240, "Public", "9711032V", "Lycée Charles Coeffin", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "CPGE", "Lycée Charles Coeffin - CPGE - MP2I", "Classe préparatoire scientifique", "", 24, 160, 34, 145, 102, 116, 30, 1, 0, 2, 0, 26, 15, 5, 2, 0, 8, 108, 9, 80, 104, 105, 25, 0, 0, 0, 0, 3, 87, 20, 0, 16, 3, 4.0, 16.0, 18.0, 13, 6, 17, 17, 0, 0, 3, 0, 3, 6, 6, 2, 0.0, 14, 0, 0, 1, 0, 16, 16, 20.0, 80.0, 90.0, 0.0, 94.09375, 94.09375, 5.8994140625, 35.296875, 85.0, 0.0, 17.59765625, 35.296875, 35.296875, 11.8, 0.0, 100.0, 82.390625, 0.0, 0.0, 0.0, 0.0, 79.0, 22.0, 0.0, 0.0, 8.0, "Tous les candidats", 107.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "31677", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31677&g_ta_cod=31677", 100.0, 0.0, 0.0),
(7241, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud-Est et Pacifique - Vietnamien", "Licence - Arts-lettres-langues", "Asie du Sud-Est et Pacifique - Vietnamien", 60, 140, 103, 72, 0, 26, 7, 4, 1, 2, 0, 40, 68, 11, 3, 2, 52, 64, 42, 0, 0, 26, 7, 4, 1, 2, 0, 32, 105, 30, 21, 13, 17, 13.0, 13.0, 20.0, 0, 1, 4, 4, 0, 0, 26, 0, 1, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 1, 4, 43.33, 43.33, 66.67, 70.0, 25.0, 100.0, 0, 25.0, 13.298828125, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 32.0, 8.0, 2.0, 0.0, 66.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "9400", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud-Est et Pacifique - Vietnamien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9400&g_ta_cod=9400", 90.0, 3.0, 7.0),
(7242, "Public", "9741046U", "Lycée Bellepierre", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée Bellepierre - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 595, 356, 595, 0, 94, 37, 236, 151, 126, 93, 139, 0, 0, 0, 0, 0, 281, 0, 0, 0, 51, 16, 117, 74, 83, 62, 30, 108, 33, 23, 33, 0, 10.0, 31.0, 32.0, 0, 21, 33, 5, 18, 10, 0, 0, 7, 15, 10, 1, 0.0, 3, 13, 10, 5, 1, 31, 31, 30.3, 93.94, 96.97, 69.6875, 93.890625, 93.890625, 15.19921875, 63.59375, 100.0, 0.0, 21.19921875, 45.5, 30.296875, 3.0, 0.0, 15.19921875, 9.099609375, 54.5, 39.3984375, 30.296875, 30.296875, 15.0, 8.0, 14.0, 13.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 121, "Liste d'appel propre à cette formation", 29.0, "11942", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11942&g_ta_cod=11942", 15.0, 55.0, 30.0),
(7243, "Public", "0870125N", "I.U.T du Limousin - site de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BUT", "I.U.T du Limousin - site de Limoges - BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques - Mesures et Analyses Environnementales", "BUT - Production", "Techniques d'instrumentation - Matériaux et contrôles physico-chimiques - Mesures et Analyses Environnementales", 76, 641, 140, 619, 0, 458, 46, 48, 5, 0, 0, 113, 22, 7, 2, 1, 12, 523, 7, 0, 0, 404, 37, 37, 2, 0, 0, 82, 377, 64, 9, 60, 4, 35.0, 54.0, 62.0, 0, 6, 50, 44, 6, 0, 14, 0, 8, 27, 12, 3, 0.0, 38, 4, 0, 0, 0, 35, 35, 54.69, 84.38, 96.88, 14.099609375, 70.0, 70.0, 0, 12.0, 78.09375, 0.0, 16.0, 54.0, 24.0, 6.0, 0.0, 88.0, 76.0, 12.0, 8.0, 0.0, 0.0, 267.0, 27.0, 0.0, 0.0, 72.0, "Tous les candidats sauf les Bac technologiques", 472.0, "Bacheliers technologiques toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 83.0, "10687", "BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques - Mesures et Analyses Environnementales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10687&g_ta_cod=10687", 88.0, 13.0, 0.0),
(7244, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "Licence", "Université de Tours - Licence - Droit - Parcours Droit français et Droit allemand", "Licence - Droit-économie-gestion", "Droit français et Droit allemand", 25, 174, 118, 114, 0, 88, 10, 7, 2, 1, 0, 18, 60, 14, 2, 3, 41, 82, 3, 0, 0, 71, 5, 0, 0, 0, 0, 11, 65, 11, 9, 10, 1, 3.0, 10.0, 11.0, 0, 1, 11, 11, 0, 0, 0, 0, 2, 1, 4, 4, 0.0, 9, 0, 0, 0, 0, 6, 6, 27.27, 90.91, 100.0, 81.796875, 54.5, 54.5, 0, 9.099609375, 100.0, 0.0, 18.19921875, 9.099609375, 36.3984375, 36.4, 0.0, 100.0, 81.796875, 0.0, 0.0, 0.0, 0.0, 56.0, 5.0, 0.0, 0.0, 9.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "13217", "Licence - Droit - Parcours Droit français et Droit allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13217&g_ta_cod=13217", 100.0, 0.0, 0.0),
(7245, "Public", "0030051P", "Lycée Général et Technologique Albert Londres", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Cusset", "formation sélective", "BTS", "Lycée Général et Technologique Albert Londres - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 641, 295, 616, 0, 56, 15, 149, 52, 177, 75, 234, 25, 0, 14, 1, 10, 248, 1, 0, 0, 44, 13, 81, 31, 90, 28, 33, 160, 28, 20, 28, 0, 2.0, 21.0, 28.0, 0, 9, 23, 5, 7, 11, 5, 0, 9, 7, 4, 3, 0.0, 2, 2, 10, 7, 7, 19, 19, 7.14, 75.0, 100.0, 71.390625, 82.59375, 82.59375, 30.3984375, 39.09375, 82.09375, 0.0, 39.09375, 30.3984375, 17.3984375, 13.0, 0.0, 21.69921875, 8.69921875, 30.3984375, 8.69921875, 47.796875, 43.5, 31.0, 8.0, 53.0, 16.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 96, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 38.0, "2134", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2134&g_ta_cod=2134", 25.0, 32.0, 43.0),
(7246, "Public", "9840349G", "Université de la Polynésie française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation non sélective", "Licence", "Université de la Polynésie française - Licence - Sciences de la vie", "Licence - Sciences - technologies - santé", "", 80, 305, 194, 286, 0, 182, 38, 20, 9, 6, 4, 78, 19, 2, 0, 0, 17, 286, 16, 0, 0, 182, 38, 20, 9, 6, 4, 78, 255, 67, 49, 62, 5, 19.0, 62.0, 64.0, 0, 11, 46, 44, 2, 0, 21, 0, 14, 18, 12, 2, 0.0, 30, 2, 0, 0, 0, 43, 43, 28.36, 92.54, 95.52, 73.09375, 93.5, 93.5, 0, 23.8984375, 68.6875, 0.0, 30.3984375, 39.09375, 26.09765625, 4.3, 0.0, 95.6875, 65.1875, 4.2998046875, 4.2998046875, 0.0, 0.0, 160.0, 35.0, 4.0, 3.0, 81.0, "Tous les candidats", 286.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32428", "Licence - Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32428&g_ta_cod=32428", 87.0, 9.0, 4.0),
(7247, "Public", "0891200W", "Lycée Catherine et Raymond JANOT", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Sens", "formation sélective", "BTS", "Lycée Catherine et Raymond JANOT - BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "BTS - Production", "", 7, 33, 7, 31, 0, 0, 0, 7, 1, 19, 8, 5, 2, 0, 1, 1, 0, 26, 1, 0, 0, 0, 0, 7, 1, 19, 8, 0, 16, 7, 1, 6, 1, 5.0, 6.0, 6.0, 0, 1, 7, 0, 2, 5, 0, 1, 2, 4, 0, 0, 0.0, 0, 1, 3, 2, 0, 7, 7, 71.43, 85.71, 85.71, 14.298828125, 100.0, 100.0, 28.59765625, 14.298828125, 100.0, 14.298828125, 28.59765625, 57.09375, 0.0, 0.0, 0.0, 0.0, 0.0, 28.59765625, 14.298828125, 71.390625, 42.8984375, 0.0, 0.0, 9.0, 3.0, 0.0, "Tous les candidats sauf les Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 68.0, "10794", "BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10794&g_ta_cod=10794", 0.0, 29.0, 71.0),
(7248, "Public", "0160003S", "Lycée Marguerite De Valois", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BTS", "Lycée Marguerite De Valois - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 691, 347, 691, 0, 106, 23, 240, 80, 201, 87, 144, 0, 0, 0, 0, 0, 504, 0, 0, 0, 76, 18, 167, 46, 199, 86, 62, 142, 20, 12, 20, 0, 2.0, 15.0, 19.0, 0, 4, 17, 7, 4, 6, 3, 0, 6, 6, 3, 2, 0.0, 3, 4, 4, 7, 1, 13, 13, 10.0, 75.0, 95.0, 60.0, 76.5, 76.5, 41.1953125, 23.5, 85.0, 0.0, 35.296875, 35.296875, 17.59765625, 11.8, 0.0, 41.1953125, 17.59765625, 23.5, 23.5, 35.296875, 23.5, 31.0, 11.0, 60.0, 27.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 29.0, "2975", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2975&g_ta_cod=2975", 40.0, 25.0, 35.0),
(7249, "Privé enseignement supérieur", "0590345E", "ICAM Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "GROUPE ICAM - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "", 45, 677, 103, 664, 0, 530, 20, 33, 2, 0, 0, 101, 13, 5, 0, 0, 8, 446, 3, 0, 0, 377, 13, 20, 0, 0, 0, 49, 371, 41, 10, 38, 3, 25.0, 38.0, 40.0, 0, 3, 30, 26, 4, 0, 11, 0, 5, 19, 6, 0, 0.0, 22, 3, 0, 0, 0, 14, 14, 60.98, 92.68, 97.56, 24.3984375, 46.6953125, 46.6953125, 0, 10.0, 73.1875, 0.0, 16.69921875, 63.296875, 20.0, 0.0, 0.0, 86.6875, 73.296875, 13.298828125, 10.0, 0.0, 0.0, 311.0, 11.0, 0.0, 0.0, 46.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "24655", "Formation d'ingénieur Bac + 5", "GROUPE ICAM", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24652&g_ta_cod=24655", 90.0, 10.0, 0.0),
(7250, "Public", "0140017T", "Lycée Jean Rostand", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 1029, 610, 1018, 0, 94, 20, 320, 101, 223, 103, 381, 11, 1, 0, 6, 4, 512, 4, 0, 0, 77, 16, 237, 65, 118, 47, 80, 206, 26, 15, 24, 2, 3.0, 16.0, 17.0, 0, 6, 19, 0, 11, 8, 7, 0, 6, 8, 5, 0, 0.0, 0, 6, 7, 4, 1, 19, 19, 11.54, 61.54, 65.38, 57.6953125, 100.0, 100.0, 21.09765625, 31.59765625, 73.09375, 0.0, 31.59765625, 42.09375, 26.296875, 0.0, 0.0, 0.0, 0.0, 57.8984375, 31.59765625, 42.09375, 36.796875, 26.0, 11.0, 57.0, 24.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 115, "Bacheliers technologiques toutes séries", 130, "Liste d'appel propre à cette formation", 29.0, "2824", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2824&g_ta_cod=2824", 4.0, 54.0, 42.0),
(7251, "Public", "0590065A", "Lycée Edmond Labbe", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "Autre formation", "Lycée Edmond Labbe - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 10, 28, 1, 27, 0, 0, 0, 0, 0, 25, 10, 2, 1, 0, 0, 1, 0, 22, 1, 0, 0, 0, 0, 0, 0, 22, 10, 0, 16, 7, 0, 6, 1, 4.0, 6.0, 6.0, 0, 1, 7, 0, 0, 7, 0, 1, 3, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 7, 7, 57.14, 85.71, 85.71, 0.0, 100.0, 100.0, 0, 14.298828125, 100.0, 14.298828125, 42.8984375, 28.59765625, 14.298828125, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 42.8984375, 0.0, 0.0, 16.0, 5.0, 0.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "20068", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20068&g_ta_cod=20068", 0.0, 0.0, 100.0),
(7252, "Public", "0501744Z", "INSTITUT NATIONAL DES SCIENCES ET TECHNIQUES DE LA MER", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "Autre formation", "INSTITUT NATIONAL DES SCIENCES ET TECHNIQUES DE LA MER - Diplôme d'Etablissement - Bachelor Océanographe - Prospecteur", "Diplôme d'Etablissement", "Bachelor Océanographe - Prospecteur", 14, 174, 71, 174, 0, 115, 6, 6, 1, 0, 0, 53, 0, 0, 0, 0, 0, 66, 0, 0, 0, 43, 3, 3, 0, 0, 0, 20, 31, 16, 9, 16, 0, 8.0, 12.0, 14.0, 0, 1, 9, 8, 1, 0, 7, 0, 3, 3, 2, 1, 0.0, 5, 1, 0, 0, 0, 0, 0, 50.0, 75.0, 87.5, 56.296875, 0.0, 0.0, 0, 11.099609375, 56.296875, 0.0, 33.296875, 33.296875, 22.19921875, 11.1, 0.0, 88.890625, 55.59375, 11.099609375, 11.099609375, 0.0, 0.0, 16.0, 1.0, 0.0, 0.0, 13.0, "Tous les candidats", 58.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "6034", "Diplôme d'Etablissement - Bachelor Océanographe - Prospecteur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6034&g_ta_cod=6034", 88.0, 6.0, 0.0),
(7253, "Public", "0220470S", "Lycée agricole Kernilien", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Plouisy", "formation sélective", "BTS", "Lycée agricole Kernilien - BTS - Agricole - productions animales", "BTS - Agricole", "", 27, 319, 198, 318, 0, 67, 8, 107, 22, 56, 14, 88, 1, 0, 0, 1, 0, 298, 0, 0, 0, 67, 8, 107, 22, 56, 14, 68, 161, 25, 15, 25, 0, 3.0, 25.0, 25.0, 0, 3, 16, 2, 10, 4, 9, 0, 5, 8, 3, 0, 0.0, 0, 7, 4, 3, 2, 11, 11, 12.0, 100.0, 100.0, 60.0, 68.796875, 68.796875, 18.796875, 18.796875, 64.0, 0.0, 31.296875, 50.0, 18.796875, 0.0, 0.0, 12.5, 0.0, 62.5, 43.796875, 25.0, 25.0, 41.0, 4.0, 33.0, 9.0, 24.0, "Tous les candidats sauf les Bac professionnels", 204.0, "Bacheliers professionnels toutes séries", 53, "", 0, "Liste d'appel propre à cette formation", 81.0, "3349", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3349&g_ta_cod=3349", 40.0, 40.0, 20.0),
(7254, "Public", "0333234L", "Unité de formation et de recherche sciences médicales Université de Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Autre formation", "Regroupement Nouvelle Aquitaine - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 36, 2336, 2252, 2336, 0, 736, 95, 22, 6, 2, 2, 1576, 0, 0, 0, 0, 0, 550, 0, 0, 0, 234, 24, 0, 0, 0, 0, 316, 93, 36, 35, 36, 0, 14.0, 34.0, 36.0, 0, 2, 13, 13, 0, 0, 23, 0, 0, 0, 6, 6, 1.0, 13, 0, 0, 0, 0, 4, 4, 38.89, 94.44, 100.0, 97.1875, 30.796875, 30.796875, 0, 15.3984375, 36.09375, 0.0, 0.0, 0.0, 46.1953125, 46.2, 7.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 38.0, 5.0, 0.0, 0.0, 55.0, "Tous les candidats", 118.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 5.0, "26460", "Certificat de capacité d'Orthophoniste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26460&g_ta_cod=26460", 100.0, 0.0, 0.0),
(7255, "Public", "0490040C", "Lycée général Duplessis Mornay", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saumur", "formation sélective", "BTS", "Lycée général Duplessis Mornay - BTS - Services - Tourisme", "BTS - Services", "", 24, 408, 314, 355, 0, 105, 25, 83, 20, 72, 26, 95, 53, 7, 5, 3, 38, 211, 22, 0, 0, 76, 22, 56, 14, 43, 15, 36, 136, 25, 23, 14, 11, 3.0, 13.0, 23.0, 0, 5, 13, 7, 2, 4, 12, 0, 6, 5, 1, 1, 0.0, 4, 0, 3, 2, 2, 9, 9, 12.0, 52.0, 92.0, 92.0, 69.1875, 69.1875, 15.3984375, 38.5, 52.0, 0.0, 46.1953125, 38.5, 7.69921875, 7.7, 0.0, 53.796875, 30.796875, 15.3984375, 0.0, 30.796875, 23.09765625, 42.0, 13.0, 18.0, 7.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 102.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 59.0, "5838", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5838&g_ta_cod=5838", 76.0, 8.0, 16.0),
(7256, "Public", "0301577B", "Université de Montpellier, Antenne de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "PASS", "Université de Montpellier, Antenne de Nîmes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 5, 1173, 862, 1173, 0, 774, 194, 57, 23, 14, 5, 328, 0, 0, 0, 0, 0, 1173, 0, 0, 0, 774, 194, 57, 23, 14, 5, 328, 111, 5, 3, 5, 0, 0.0, 0.0, 3.0, 0, 3, 5, 5, 0, 0, 0, 0, 3, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 5, 5, 0.0, 0.0, 60.0, 60.0, 100.0, 100.0, 0, 60.0, 100.0, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 100.0, 40.0, 0.0, 0.0, 0.0, 0.0, 95.0, 22.0, 0.0, 0.0, 16.0, "Tous les candidats", 1595.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "31847", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28811&g_ta_cod=31847", 100.0, 0.0, 0.0),
(7257, "Privé sous contrat d'association", "0731198F", "Lycée du Bocage - Costa de Beauregard", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "BTS", "Lycée du Bocage - Costa de Beauregard - BTS - Agricole - Production horticole", "BTS - Agricole", "", 30, 122, 50, 116, 0, 25, 3, 15, 2, 33, 7, 43, 6, 0, 0, 3, 3, 94, 5, 0, 0, 25, 3, 12, 1, 29, 5, 28, 84, 14, 9, 11, 3, 4.0, 11.0, 13.0, 0, 0, 10, 2, 2, 6, 4, 0, 3, 5, 1, 1, 0.0, 1, 2, 4, 4, 3, 8, 8, 28.57, 78.57, 92.86, 64.296875, 80.0, 80.0, 40, 0.0, 71.390625, 0.0, 30.0, 50.0, 10.0, 10.0, 0.0, 20.0, 10.0, 20.0, 20.0, 60.0, 40.0, 16.0, 2.0, 29.0, 5.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 81.0, "8815", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8815&g_ta_cod=8815", 36.0, 14.0, 50.0),
(7258, "Privé sous contrat d'association", "0730763H", "Lycée Saint Ambroise", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "BTS", "Lycée Saint Ambroise - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 175, 86, 175, 0, 39, 7, 59, 14, 27, 8, 50, 0, 0, 0, 0, 0, 158, 0, 0, 0, 39, 7, 56, 14, 25, 7, 38, 99, 21, 14, 21, 0, 4.0, 18.0, 18.0, 0, 3, 14, 5, 5, 4, 7, 0, 6, 7, 0, 1, 0.0, 2, 3, 3, 5, 3, 13, 13, 19.05, 85.71, 85.71, 66.6875, 92.890625, 92.890625, 35.6953125, 21.3984375, 66.6875, 0.0, 42.8984375, 50.0, 0.0, 7.1, 0.0, 35.6953125, 14.298828125, 35.6953125, 21.3984375, 28.59765625, 21.3984375, 27.0, 6.0, 16.0, 7.0, 27.0, "Tous les candidats sauf les Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 66.0, "8800", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8800&g_ta_cod=8800", 48.0, 29.0, 24.0),
(7259, "Public", "0061478Z", "Lycée Léonard De Vinci", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "BTS", "Lycée Léonard De Vinci - BTS - Production - Management économique de la construction", "BTS - Production", "", 24, 194, 41, 185, 0, 26, 4, 41, 11, 60, 22, 58, 9, 2, 0, 0, 7, 145, 4, 0, 0, 24, 3, 41, 11, 52, 19, 28, 89, 22, 3, 21, 1, 2.0, 14.0, 18.0, 0, 5, 18, 5, 4, 9, 4, 0, 4, 11, 3, 0, 0.0, 2, 3, 9, 7, 1, 14, 14, 9.09, 63.64, 81.82, 13.599609375, 77.796875, 77.796875, 38.8984375, 27.796875, 81.796875, 0.0, 22.19921875, 61.09375, 16.69921875, 0.0, 0.0, 27.796875, 11.099609375, 22.19921875, 16.69921875, 50.0, 50.0, 22.0, 3.0, 29.0, 11.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 56.0, "2308", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2308&g_ta_cod=2308", 27.0, 27.0, 45.0),
(7260, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Licence", "Université Bordeaux Montaigne - Licence - Arts - Parcours Licence 1 Design", "Licence - Arts-lettres-langues", "Licence 1 Design", 38, 951, 749, 951, 0, 533, 102, 147, 32, 48, 15, 223, 0, 0, 0, 0, 0, 951, 0, 0, 0, 533, 102, 147, 32, 48, 15, 223, 151, 38, 33, 38, 0, 6.0, 27.0, 35.0, 0, 13, 34, 27, 4, 3, 4, 0, 3, 11, 18, 1, 1.0, 26, 4, 1, 0, 0, 22, 22, 15.79, 71.05, 92.11, 86.796875, 64.6875, 64.6875, 0, 38.1953125, 89.5, 0.0, 8.798828125, 32.3984375, 52.8984375, 2.9, 2.9, 79.390625, 76.5, 11.798828125, 11.798828125, 8.798828125, 2.89990234375, 88.0, 17.0, 6.0, 3.0, 23.0, "Tous les candidats", 271.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "13689", "Licence - Arts - Parcours Licence 1 Design", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13689&g_ta_cod=13689", 79.0, 11.0, 11.0),
(7261, "Public", "0772292Y", "Lycée Martin Luther King", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Bussy-Saint-Georges", "formation sélective", "BTS", "Lycée Martin Luther King - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 24, 356, 57, 347, 0, 23, 9, 97, 33, 70, 26, 157, 9, 0, 0, 4, 5, 228, 0, 0, 0, 20, 8, 81, 25, 50, 17, 77, 100, 23, 3, 22, 0, 3.0, 20.0, 22.0, 0, 5, 11, 0, 3, 8, 12, 0, 1, 8, 2, 0, 0.0, 0, 2, 8, 2, 0, 11, 11, 13.04, 86.96, 95.65, 13.0, 100.0, 100.0, 18.19921875, 45.5, 47.796875, 0.0, 9.099609375, 72.6875, 18.19921875, 0.0, 0.0, 0.0, 0.0, 27.296875, 18.19921875, 72.6875, 72.6875, 8.0, 4.0, 38.0, 13.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 40.0, "9883", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9883&g_ta_cod=9883", 26.0, 30.0, 43.0),
(7262, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 225, 1135, 841, 1121, 0, 526, 165, 127, 65, 56, 25, 412, 14, 2, 0, 3, 9, 1110, 14, 0, 0, 526, 165, 127, 65, 56, 25, 401, 822, 217, 160, 206, 9, 73.0, 150.0, 191.0, 0, 40, 110, 83, 21, 6, 107, 0, 86, 22, 2, 0, 0.0, 18, 6, 0, 0, 0, 52, 101, 33.64, 69.12, 88.02, 73.6875, 47.296875, 91.796875, 0, 36.3984375, 50.6953125, 0.0, 78.1875, 20.0, 1.7998046875, 0.0, 0.0, 75.5, 16.3984375, 19.09765625, 5.5, 5.5, 0.0, 443.0, 146.0, 14.0, 6.0, 298.0, "Tous les candidats", 1016.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "15417", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15417&g_ta_cod=15417", 67.0, 19.0, 12.0),
(7263, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 120, 857, 650, 650, 0, 403, 85, 63, 13, 12, 5, 172, 207, 47, 28, 9, 123, 650, 203, 0, 0, 403, 85, 63, 13, 12, 5, 172, 807, 110, 77, 57, 53, 25.0, 55.0, 89.0, 0, 9, 58, 41, 15, 2, 52, 0, 30, 24, 2, 2, 0.0, 22, 5, 1, 0, 0, 49, 49, 22.73, 50.0, 80.91, 70.0, 84.5, 84.5, 0, 15.5, 52.6953125, 0.0, 51.6953125, 41.3984375, 3.39990234375, 3.4, 0.0, 70.6875, 37.8984375, 25.8984375, 8.599609375, 3.39990234375, 1.699951171875, 432.0, 86.0, 20.0, 11.0, 271.0, "Tous les candidats", 650.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3857", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27989&g_ta_cod=3857", 65.0, 24.0, 8.0),
(7264, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Double licence - Droit / Langues étrangères appliquées - Droit Langues Anglais/Italien", "Licence - Droit-économie-gestion", "Droit Langues Anglais/Italien", 40, 150, 117, 83, 0, 64, 16, 3, 2, 1, 0, 15, 67, 21, 2, 4, 40, 83, 58, 0, 0, 64, 16, 3, 2, 1, 0, 15, 141, 42, 35, 19, 23, 18.0, 18.0, 36.0, 0, 9, 22, 18, 3, 1, 20, 0, 4, 9, 7, 2, 0.0, 17, 1, 0, 0, 0, 7, 7, 42.86, 42.86, 85.71, 83.296875, 31.796875, 31.796875, 0, 40.8984375, 52.3984375, 0.0, 18.19921875, 40.8984375, 31.796875, 9.1, 0.0, 81.796875, 77.296875, 13.599609375, 4.5, 4.5, 0.0, 82.0, 22.0, 5.0, 2.0, 49.0, "Tous les candidats", 83.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32018", "Double licence - Droit / Langues étrangères appliquées - Droit Langues Anglais/Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32018&g_ta_cod=32018", 76.0, 12.0, 10.0),
(7265, "Public", "0580753D", "Lycée Alain Colas", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "Autre formation", "Lycée Alain Colas - DN MADE - Espace - - Spécialité : Elaboration d'espaces, mutation des territoires", "DN MADE", "- Spécialité : Elaboration d'espaces, mutation des territoires", 15, 322, 271, 322, 0, 134, 20, 112, 21, 21, 5, 55, 0, 0, 0, 0, 0, 231, 0, 0, 0, 97, 15, 94, 17, 13, 2, 27, 57, 16, 15, 16, 0, 2.0, 15.0, 15.0, 0, 2, 15, 11, 4, 0, 1, 0, 3, 4, 7, 1, 0.0, 9, 3, 0, 0, 0, 7, 7, 12.5, 93.75, 93.75, 93.796875, 46.6953125, 46.6953125, 0, 13.298828125, 93.796875, 0.0, 20.0, 26.69921875, 46.6953125, 6.7, 0.0, 73.296875, 60.0, 26.69921875, 20.0, 0.0, 0.0, 23.0, 0.0, 3.0, 0.0, 1.0, "Tous les candidats", 86.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "21638", "DN MADE - Espace - - Spécialité : Elaboration d'espaces, mutation des territoires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21638&g_ta_cod=21638", 75.0, 25.0, 0.0),
(7266, "Public", "0090015T", "Lycée polyvalent Pyrène", "09", "Ardennes", "Occitanie", "Toulouse", "Pamiers", "formation sélective", "BTS", "Lycée polyvalent Pyrène - BTS - Production - Electrotechnique", "BTS - Production", "", 22, 134, 7, 119, 0, 4, 2, 13, 5, 71, 22, 31, 15, 0, 4, 8, 3, 89, 6, 0, 0, 4, 2, 13, 5, 44, 11, 28, 65, 17, 1, 15, 2, 5.0, 15.0, 16.0, 0, 5, 13, 0, 1, 12, 4, 0, 2, 3, 7, 1, 0.0, 0, 1, 10, 8, 0, 12, 12, 29.41, 88.24, 94.12, 5.8994140625, 92.296875, 92.296875, 61.5, 38.5, 76.5, 0.0, 15.3984375, 23.09765625, 53.796875, 7.7, 0.0, 0.0, 0.0, 7.69921875, 7.69921875, 92.296875, 76.890625, 3.0, 2.0, 40.0, 12.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers technologiques toutes séries", 22, "Bacheliers professionnels toutes séries", 42, "Liste d'appel propre à cette formation", 60.0, "25212", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25212&g_ta_cod=25212", 12.0, 18.0, 71.0),
(7267, "Public", "9740015Y", "Lycée professionnel Vue Belle", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Paul", "formation sélective", "Autre formation", "Lycée professionnel Vue Belle - Mention complémentaire - Services financiers", "Mention complémentaire", "", 15, 69, 50, 68, 0, 2, 1, 7, 7, 44, 38, 15, 1, 0, 0, 0, 1, 62, 0, 0, 0, 1, 1, 7, 7, 43, 37, 11, 46, 10, 7, 10, 0, 3.0, 10.0, 10.0, 0, 8, 9, 0, 1, 8, 1, 0, 3, 2, 3, 1, 0.0, 0, 0, 6, 0, 0, 9, 9, 30.0, 100.0, 100.0, 70.0, 100.0, 100.0, 0, 88.890625, 90.0, 0.0, 33.296875, 22.19921875, 33.296875, 11.1, 0.0, 0.0, 0.0, 11.099609375, 0.0, 88.890625, 66.6875, 1.0, 1.0, 37.0, 30.0, 4.0, "Tous les candidats", 52.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "22098", "Mention complémentaire - Services financiers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22098&g_ta_cod=22098", 0.0, 10.0, 90.0),
(7268, "Public", "0690132U", "Lycée Pierre Brossolette", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "BTS", "Lycée Pierre Brossolette - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 32, 2832, 1502, 2714, 0, 200, 55, 1202, 499, 650, 340, 662, 118, 16, 40, 0, 62, 417, 10, 0, 0, 0, 0, 140, 51, 234, 111, 43, 186, 32, 19, 26, 5, 5.0, 18.0, 30.0, 0, 12, 27, 1, 10, 16, 5, 0, 7, 17, 3, 0, 0.0, 1, 6, 13, 1, 1, 20, 20, 15.63, 56.25, 93.75, 59.3984375, 74.09375, 74.09375, 3.69970703125, 44.3984375, 84.390625, 0.0, 25.8984375, 63.0, 11.099609375, 0.0, 0.0, 3.69970703125, 3.69970703125, 37.0, 22.19921875, 59.296875, 48.09375, 1.0, 0.0, 63.0, 26.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 120, "Bacheliers technologiques toutes séries", 158, "Liste d'appel propre à cette formation", 11.0, "8251", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8251&g_ta_cod=8251", 13.0, 38.0, 50.0),
(7269, "Privé sous contrat d'association", "0590348H", "HEI Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 10, 302, 115, 283, 0, 1, 0, 0, 0, 0, 0, 282, 19, 0, 0, 0, 19, 249, 6, 0, 0, 1, 0, 0, 0, 0, 0, 248, 228, 4, 0, 2, 2, 0.0, 2.0, 4.0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 50.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 0.0, 0.0, 0.0, 227.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "22866", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22866", 100.0, 0.0, 0.0),
(7270, "Privé sous contrat d'association", "0593203L", "IFSI de l-Université Catholique de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 134, 5447, 4340, 5447, 0, 1018, 227, 1034, 338, 524, 231, 2871, 0, 0, 0, 0, 0, 4477, 0, 0, 0, 927, 197, 845, 251, 412, 173, 2293, 1394, 134, 115, 134, 0, 3.0, 56.0, 88.0, 0, 19, 75, 34, 29, 12, 59, 0, 17, 38, 16, 3, 1.0, 26, 22, 10, 0, 0, 56, 56, 2.24, 41.79, 65.67, 85.796875, 74.6875, 74.6875, 0, 25.296875, 56.0, 0.0, 22.69921875, 50.6953125, 21.296875, 4.0, 1.3, 45.296875, 34.6953125, 38.6953125, 29.296875, 16.0, 13.298828125, 317.0, 47.0, 150.0, 67.0, 639.0, "Tous les candidats", 4032.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "23142", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23142", 49.0, 35.0, 15.0),
(7271, "Public", "0542208G", "Lycée Stanislas (Biotec.Hotellerie)", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Villers-lès-Nancy", "formation sélective", "BTS", "Lycée Stanislas (Biotec.Hotellerie) - BTS - Services - Tourisme", "BTS - Services", "", 24, 552, 418, 547, 0, 138, 38, 130, 39, 95, 45, 184, 5, 2, 0, 0, 3, 260, 3, 0, 0, 44, 5, 105, 26, 61, 22, 50, 100, 17, 13, 15, 2, 3.0, 12.0, 14.0, 0, 2, 11, 6, 3, 2, 6, 0, 4, 4, 3, 0, 0.0, 4, 1, 2, 2, 2, 11, 11, 17.65, 70.59, 82.35, 76.5, 100.0, 100.0, 18.19921875, 18.19921875, 64.6875, 0.0, 36.3984375, 36.3984375, 27.296875, 0.0, 0.0, 54.5, 36.3984375, 27.296875, 9.099609375, 18.19921875, 18.19921875, 18.0, 5.0, 21.0, 7.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 57.0, "Bacheliers technologiques toutes séries", 97, "Bacheliers professionnels toutes séries", 28, "Liste d'appel propre à cette formation", 33.0, "33108", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33108&g_ta_cod=33108", 53.0, 35.0, 12.0),
(7272, "Public", "0030026M", "Lycée Paul Constans", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "BTS", "Lycée Paul Constans - BTS - Production - Métiers de la chimie", "BTS - Production", "", 24, 542, 289, 497, 0, 67, 6, 111, 27, 14, 5, 305, 45, 4, 9, 1, 31, 160, 9, 0, 0, 55, 6, 73, 18, 7, 2, 25, 138, 22, 11, 16, 6, 5.0, 16.0, 21.0, 0, 2, 15, 8, 7, 0, 7, 0, 8, 5, 2, 0, 0.0, 2, 5, 0, 2, 0, 6, 6, 22.73, 72.73, 95.45, 50.0, 40.0, 40.0, 13.298828125, 13.298828125, 68.1875, 0.0, 53.296875, 33.296875, 13.298828125, 0.0, 0.0, 53.296875, 13.298828125, 46.6953125, 33.296875, 0.0, 0.0, 53.0, 5.0, 5.0, 1.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 32.0, "2114", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2114&g_ta_cod=2114", 41.0, 59.0, 0.0),
(7273, "Privé sous contrat d'association", "0753537M", "Lycée ESTBA", "75", "Paris", "Ile-de-France", "Paris", "Paris 20e  Arrondissement", "formation sélective", "BTS", "Lycée ESTBA - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 72, 1317, 963, 1300, 0, 287, 74, 370, 131, 68, 34, 575, 17, 0, 0, 6, 11, 959, 1, 0, 0, 256, 64, 317, 103, 36, 15, 350, 442, 65, 48, 64, 1, 21.0, 31.0, 52.0, 0, 8, 36, 14, 18, 4, 29, 1, 12, 16, 6, 1, 0.0, 7, 13, 3, 0, 0, 8, 34, 32.31, 47.69, 80.0, 73.796875, 22.19921875, 94.390625, 0, 22.19921875, 55.3984375, 2.7998046875, 33.296875, 44.3984375, 16.69921875, 2.8, 0.0, 38.8984375, 19.3984375, 50.0, 36.09375, 11.099609375, 8.298828125, 125.0, 32.0, 26.0, 11.0, 164.0, "Tous les candidats sauf les Bac professionnels", 467.0, "Bacheliers professionnels toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 39.0, "9444", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9444&g_ta_cod=9444", 54.0, 40.0, 6.0),
(7274, "Public", "0641478J", "I.U.T. de Bayonne", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation sélective", "BUT", "I.U.T. de Bayonne - BUT - Techniques de commercialisation Parcours : Parcours : Marketing digital, e-commerce et entrepreneuriat - Parcours : Business international : achat et vente  - Parcours : Business développement et management de la relation client - Parcours : Stratégie de marque et évènementiel", "BUT - Service", "Parcours : Marketing digital, e-commerce et entrepreneuriat - Parcours : Business international : achat et vente  - Parcours : Business développement et management de la relation client - Parcours : Stratégie de marque et évènementiel", 110, 2920, 1443, 2920, 0, 1712, 197, 822, 169, 24, 8, 362, 0, 0, 0, 0, 0, 1101, 0, 0, 0, 618, 61, 426, 95, 0, 0, 57, 277, 109, 74, 109, 0, 37.0, 101.0, 106.0, 0, 25, 109, 52, 57, 0, 0, 0, 0, 35, 69, 5, 0.0, 52, 57, 0, 0, 0, 101, 101, 33.94, 92.66, 97.25, 67.890625, 92.6875, 92.6875, 0, 22.8984375, 100.0, 0.0, 0.0, 32.09375, 63.296875, 4.6, 0.0, 47.6953125, 47.6953125, 52.296875, 52.296875, 0.0, 0.0, 122.0, 20.0, 0.0, 0.0, 11.0, "Tous les candidats sauf les Bac technologiques", 151.0, "Bacheliers technologiques toutes séries", 172, "", 0, "Liste d'appel propre à cette formation", 11.0, "7760", "BUT - Techniques de commercialisation Parcours : Parcours : Marketing digital, e-commerce et entrepreneuriat - Parcours : Business international : achat et vente  - Parcours : Business développement et management de la relation client - Parcours : Stratégie de marque et évènementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7760&g_ta_cod=7760", 48.0, 52.0, 0.0),
(7275, "Public", "0750686N", "Lycée Estienne Esaig", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Estienne Esaig - DN MADE - Livre - - Spécialité : Reliure-création et patrimoine", "DN MADE", "- Spécialité : Reliure-création et patrimoine", 12, 172, 149, 172, 0, 51, 10, 64, 9, 4, 0, 53, 0, 0, 0, 0, 0, 50, 0, 0, 0, 18, 3, 23, 4, 0, 0, 9, 21, 10, 9, 10, 0, 5.0, 8.0, 10.0, 0, 1, 6, 1, 5, 0, 4, 0, 0, 1, 2, 3, 0.0, 1, 5, 0, 0, 0, 0, 1, 50.0, 80.0, 100.0, 90.0, 0.0, 16.69921875, 0, 16.69921875, 60.0, 0.0, 0.0, 16.69921875, 33.296875, 50.0, 0.0, 16.69921875, 16.69921875, 83.296875, 83.296875, 0.0, 0.0, 6.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "21952", "DN MADE - Livre - - Spécialité : Reliure-création et patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21952&g_ta_cod=21952", 20.0, 60.0, 0.0),
(7276, "Public", "9840349G", "Université de la Polynésie française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation non sélective", "Licence", "Université de la Polynésie française - Licence - Mathématiques - Parcours Préparation aux métiers de l'enseignement", "Licence - Sciences - technologies - santé", "Préparation aux métiers de l'enseignement", 80, 152, 63, 131, 0, 97, 34, 9, 5, 2, 1, 23, 21, 2, 4, 0, 15, 131, 17, 0, 0, 97, 34, 9, 5, 2, 1, 23, 145, 23, 7, 18, 5, 9.0, 17.0, 22.0, 0, 8, 19, 18, 0, 1, 4, 0, 7, 7, 4, 0, 1.0, 11, 0, 1, 0, 0, 17, 17, 39.13, 73.91, 95.65, 30.3984375, 89.5, 89.5, 0, 42.09375, 82.59375, 0.0, 36.796875, 36.796875, 21.09765625, 0.0, 5.3, 94.6875, 57.8984375, 0.0, 0.0, 5.2998046875, 5.2998046875, 97.0, 34.0, 2.0, 1.0, 36.0, "Tous les candidats", 130.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "12012", "Licence - Mathématiques - Parcours Préparation aux métiers de l'enseignement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12012&g_ta_cod=12012", 91.0, 4.0, 4.0),
(7277, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "Autre formation", "Avignon Université - C.M.I - Cursus Master en Ingénierie - Sciences de la vie et de la terre - Cursus Master en Ingénierie (CMI) :  Ressources en Eau et Environnement", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) :  Ressources en Eau et Environnement", 20, 260, 120, 148, 0, 100, 10, 10, 1, 0, 0, 38, 112, 56, 5, 0, 51, 46, 9, 0, 0, 36, 2, 3, 0, 0, 0, 7, 60, 9, 6, 5, 3, 2.0, 5.0, 7.0, 0, 2, 7, 6, 1, 0, 2, 0, 1, 2, 4, 0, 0.0, 5, 1, 0, 0, 0, 3, 3, 22.22, 55.56, 77.78, 66.6875, 42.8984375, 42.8984375, 0, 28.59765625, 77.796875, 0.0, 14.298828125, 28.59765625, 57.09375, 0.0, 0.0, 85.6875, 71.390625, 14.298828125, 14.298828125, 0.0, 0.0, 47.0, 4.0, 0.0, 0.0, 11.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "14978", "C.M.I - Cursus Master en Ingénierie - Sciences de la vie et de la terre - Cursus Master en Ingénierie (CMI) :  Ressources en Eau et Environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14978&g_ta_cod=14978", 89.0, 11.0, 0.0),
(7278, "Public", "0590215N", "Lycée Sévigné", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Sévigné - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 30, 423, 356, 423, 0, 97, 22, 42, 10, 152, 71, 132, 0, 0, 0, 0, 0, 218, 0, 0, 0, 58, 8, 18, 6, 99, 47, 43, 85, 29, 24, 29, 0, 8.0, 24.0, 26.0, 0, 10, 25, 7, 1, 17, 4, 0, 2, 8, 11, 4, 0.0, 6, 1, 16, 0, 0, 20, 20, 27.59, 82.76, 89.66, 82.796875, 80.0, 80.0, 0, 40.0, 86.1875, 0.0, 8.0, 32.0, 44.0, 16.0, 0.0, 28.0, 24.0, 4.0, 4.0, 68.0, 64.0, 24.0, 6.0, 35.0, 19.0, 15.0, "Tous les candidats sauf les Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 23.0, "12278", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12278&g_ta_cod=12278", 38.0, 3.0, 59.0),
(7279, "Public", "0312289V", "Lycée Pierre-Paul Riquet", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Saint-Orens-de-Gameville", "formation sélective", "BTS", "Lycée Pierre-Paul Riquet - BTS - Production - Conception de produits industriels", "BTS - Production", "", 28, 379, 26, 379, 0, 34, 3, 197, 32, 91, 25, 57, 0, 0, 0, 0, 0, 358, 0, 0, 0, 32, 3, 197, 32, 86, 24, 43, 139, 27, 3, 27, 0, 3.0, 18.0, 25.0, 0, 8, 24, 1, 14, 9, 3, 0, 12, 8, 4, 0, 0.0, 0, 7, 5, 0, 0, 16, 16, 11.11, 66.67, 92.59, 11.099609375, 66.6875, 66.6875, 0, 33.296875, 88.890625, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 4.19921875, 0.0, 58.296875, 29.19921875, 37.5, 20.796875, 16.0, 3.0, 37.0, 11.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 150, "Liste d'appel propre à cette formation", 63.0, "4218", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4218&g_ta_cod=4218", 11.0, 52.0, 37.0),
(7280, "Public", "0791009T", "IFSI du CH Nord Deux-Sèvres Thouars", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Thouars", "formation sélective", "IFSI", "Regroupement d'IFSI Université Poitiers - D.E Infirmier", "D.E secteur sanitaire", "", 68, 2984, 2542, 2984, 0, 541, 70, 517, 103, 403, 101, 1523, 0, 0, 0, 0, 0, 1947, 0, 0, 0, 370, 41, 387, 63, 322, 73, 868, 696, 68, 65, 68, 0, 0.0, 26.0, 57.0, 0, 7, 39, 0, 14, 25, 29, 0, 5, 19, 15, 0, 0.0, 0, 13, 21, 0, 0, 16, 16, 0.0, 38.24, 83.82, 95.59375, 41.0, 41.0, 0, 17.8984375, 57.3984375, 0.0, 12.798828125, 48.6953125, 38.5, 0.0, 0.0, 0.0, 0.0, 35.8984375, 33.296875, 64.09375, 53.796875, 44.0, 5.0, 213.0, 51.0, 279.0, "Tous les candidats", 1876.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "23214", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22988&g_ta_cod=23214", 6.0, 28.0, 66.0),
(7281, "Privé enseignement supérieur", "0753111Z", "PSB Paris School of Business", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Programme Grande Ecole - Campus de Paris", 500, 3643, 1596, 3523, 0, 3049, 121, 223, 13, 6, 2, 245, 120, 52, 8, 1, 59, 3262, 88, 0, 0, 2898, 101, 197, 11, 2, 2, 165, 3337, 285, 108, 243, 42, 212.0, 239.0, 268.0, 0, 17, 242, 210, 31, 1, 43, 2, 92, 113, 32, 3, 0.0, 126, 21, 1, 0, 0, 56, 183, 74.39, 83.86, 94.04, 37.8984375, 23.09765625, 75.59375, 0, 7.0, 84.890625, 0.7999267578125, 38.0, 46.6953125, 13.19921875, 1.2, 0.0, 86.796875, 52.09375, 12.798828125, 8.69921875, 0.39996337890625, 0.39996337890625, 2929.0, 106.0, 3.0, 2.0, 204.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "26129", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26129", 86.0, 14.0, 0.0),
(7282, "Public", "0870125N", "I.U.T du Limousin - site de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BUT", "I.U.T du Limousin - site de Limoges - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client Marketing et management du point de vente", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client Marketing et management du point de vente", 140, 2187, 1033, 2187, 0, 1101, 175, 676, 186, 43, 23, 367, 0, 0, 0, 0, 0, 1636, 0, 0, 0, 891, 130, 492, 128, 15, 9, 238, 525, 138, 60, 138, 0, 51.0, 114.0, 129.0, 0, 32, 121, 53, 64, 4, 17, 0, 9, 69, 39, 4, 0.0, 52, 56, 4, 0, 0, 95, 95, 36.96, 82.61, 93.48, 43.5, 78.5, 78.5, 0, 26.3984375, 87.6875, 0.0, 7.3994140625, 57.0, 32.1953125, 3.3, 0.0, 43.796875, 43.0, 52.8984375, 46.296875, 3.2998046875, 3.2998046875, 207.0, 39.0, 13.0, 8.0, 54.0, "Tous les candidats sauf les Bac technologiques", 324.0, "Bacheliers technologiques toutes séries", 355, "", 0, "Liste d'appel propre à cette formation", 31.0, "10691", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client Marketing et management du point de vente", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10691&g_ta_cod=10691", 42.0, 55.0, 3.0),
(7283, "Privé sous contrat d'association", "0850609A", "Lycée agricole Les Etablières", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée agricole Les Etablières - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 38, 260, 94, 231, 0, 17, 1, 40, 5, 56, 19, 118, 29, 3, 3, 4, 19, 117, 7, 0, 0, 17, 1, 40, 5, 54, 18, 6, 93, 18, 7, 15, 3, 7.0, 15.0, 18.0, 0, 5, 16, 1, 3, 12, 2, 0, 4, 8, 4, 0, 0.0, 0, 2, 10, 5, 2, 11, 11, 38.89, 83.33, 100.0, 38.8984375, 68.796875, 68.796875, 31.296875, 31.296875, 88.890625, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 6.2998046875, 0.0, 18.796875, 12.5, 75.0, 62.5, 10.0, 2.0, 44.0, 19.0, 6.0, "Tous les candidats sauf les Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 54, "", 0, "Liste d'appel propre à cette formation", 50.0, "10525", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10525&g_ta_cod=10525", 6.0, 22.0, 72.0),
(7284, "Public", "0420042T", "Lycée Honore D'Urfe", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Honore D'Urfe - BTS - Services - Communication", "BTS - Services", "", 24, 1235, 827, 1235, 0, 220, 55, 364, 123, 164, 71, 487, 0, 0, 0, 0, 0, 377, 0, 0, 0, 44, 6, 164, 44, 85, 26, 84, 126, 18, 11, 18, 0, 4.0, 14.0, 15.0, 0, 4, 14, 2, 9, 3, 4, 0, 5, 8, 0, 1, 0.0, 2, 4, 3, 0, 0, 10, 10, 22.22, 77.78, 83.33, 61.09375, 71.390625, 71.390625, 0, 28.59765625, 77.796875, 0.0, 35.6953125, 57.09375, 0.0, 7.1, 0.0, 14.298828125, 14.298828125, 64.296875, 28.59765625, 21.3984375, 21.3984375, 8.0, 3.0, 11.0, 3.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 163, "Liste d'appel propre à cette formation", 17.0, "5290", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5290&g_ta_cod=5290", 28.0, 50.0, 22.0),
(7285, "Public", "0624430D", "GAMBETTA CARNOT", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "CPGE", "GAMBETTA CARNOT - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 383, 285, 380, 228, 332, 60, 2, 1, 0, 0, 46, 3, 0, 1, 0, 2, 323, 2, 210, 304, 312, 54, 0, 0, 0, 0, 11, 246, 44, 34, 43, 1, 12.0, 37.0, 43.0, 20, 2, 42, 42, 0, 0, 2, 0, 1, 6, 11, 22, 2.0, 41, 0, 0, 1, 1, 37, 37, 27.27, 84.09, 97.73, 77.296875, 88.09375, 88.09375, 2.39990234375, 4.7998046875, 95.5, 0.0, 2.39990234375, 14.298828125, 26.19921875, 52.4, 4.8, 100.0, 97.59375, 0.0, 0.0, 0.0, 0.0, 235.0, 38.0, 0.0, 0.0, 11.0, "Tous les candidats", 323.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "7330", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7330&g_ta_cod=7330", 100.0, 0.0, 0.0),
(7286, "Privé enseignement supérieur", "0593199G", "Institut Social de Lille - Institut Catholique de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Institut Social de Lille - Institut Catholique de Lille - Licence - Sociologie - Parcours Sociologie option travail social", "Licence - Sciences humaines et sociales", "Sociologie option travail social", 45, 339, 260, 218, 0, 132, 34, 32, 11, 6, 1, 48, 121, 19, 16, 15, 71, 218, 117, 0, 0, 132, 34, 32, 11, 6, 1, 48, 288, 34, 29, 21, 12, 8.0, 21.0, 25.0, 0, 6, 22, 14, 6, 2, 12, 0, 12, 7, 3, 0, 0.0, 8, 1, 1, 0, 0, 16, 16, 23.53, 61.76, 73.53, 85.296875, 72.6875, 72.6875, 0, 27.296875, 64.6875, 0.0, 54.5, 31.796875, 13.599609375, 0.0, 0.0, 63.59375, 36.3984375, 27.296875, 4.5, 9.099609375, 4.5, 130.0, 37.0, 21.0, 11.0, 95.0, "Tous les candidats", 216.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "12950", "Licence - Sociologie - Parcours Sociologie option travail social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12950&g_ta_cod=12950", 65.0, 24.0, 12.0),
(7287, "Public", "0180008L", "Lycée Pierre-Emile Martin", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BTS", "Lycée Pierre-Emile Martin - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 108, 5, 105, 0, 8, 0, 19, 4, 52, 17, 26, 3, 0, 0, 0, 3, 73, 0, 0, 0, 7, 0, 17, 3, 42, 12, 7, 36, 13, 0, 13, 0, 7.0, 10.0, 13.0, 0, 6, 13, 1, 1, 11, 0, 0, 2, 6, 4, 1, 0.0, 0, 1, 10, 11, 0, 13, 13, 53.85, 76.92, 100.0, 0.0, 100.0, 100.0, 84.59375, 46.1953125, 100.0, 0.0, 15.3984375, 46.1953125, 30.796875, 7.7, 0.0, 7.69921875, 0.0, 7.69921875, 7.69921875, 84.59375, 76.890625, 4.0, 0.0, 17.0, 8.0, 3.0, "Tous les candidats sauf les Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 52.0, "3101", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3101&g_ta_cod=3101", 8.0, 8.0, 85.0),
(7288, "Public", "0781944P", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "PASS", "Université de Versailles - Saint Quentin en Yvelines - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Biologie - Informatique", 30, 5155, 3398, 5155, 0, 3895, 732, 110, 40, 17, 11, 1133, 0, 0, 0, 0, 0, 5018, 0, 0, 0, 3895, 732, 110, 40, 17, 11, 996, 511, 30, 26, 30, 0, 0.0, 5.0, 21.0, 0, 9, 30, 27, 1, 2, 0, 0, 3, 11, 11, 4, 1.0, 25, 0, 2, 0, 0, 15, 24, 0.0, 16.67, 70.0, 86.6875, 50.0, 80.0, 0, 30.0, 100.0, 0.0, 10.0, 36.6953125, 36.6953125, 13.3, 3.3, 90.0, 83.296875, 3.2998046875, 0.0, 6.69921875, 6.69921875, 442.0, 86.0, 3.0, 3.0, 58.0, "Tous les candidats", 2428.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "29174", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29162&g_ta_cod=29174", 90.0, 3.0, 7.0),
(7289, "Public", "0330018R", "Lycée des Métiers Léonard de Vinci", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Blanquefort", "formation sélective", "BTS", "Lycée des Métiers Léonard de Vinci - BTS - Production - Bâtiment", "BTS - Production", "", 30, 587, 110, 587, 0, 83, 14, 217, 44, 115, 42, 172, 0, 0, 0, 0, 0, 481, 0, 0, 0, 83, 14, 217, 44, 115, 42, 66, 145, 28, 3, 28, 0, 8.0, 20.0, 24.0, 0, 8, 28, 6, 8, 14, 0, 0, 11, 15, 2, 0, 0.0, 3, 6, 8, 11, 1, 26, 26, 28.57, 71.43, 85.71, 10.69921875, 92.890625, 92.890625, 39.296875, 28.59765625, 100.0, 0.0, 39.296875, 53.59375, 7.099609375, 0.0, 0.0, 21.3984375, 10.69921875, 28.59765625, 21.3984375, 50.0, 28.59765625, 31.0, 6.0, 67.0, 18.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 36.0, "4269", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4269&g_ta_cod=4269", 21.0, 29.0, 50.0),
(7290, "Privé enseignement supérieur", "0351603R", "ASKORIA - site de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "EFTS", "ASKORIA - D.E Assistant de Service Social", "D.E secteur social", "", 54, 334, 306, 334, 0, 57, 10, 50, 9, 18, 6, 209, 0, 0, 0, 0, 0, 332, 0, 0, 0, 57, 10, 50, 9, 18, 6, 207, 107, 53, 46, 53, 0, 20.0, 48.0, 50.0, 0, 1, 14, 11, 3, 0, 39, 0, 5, 6, 3, 0, 0.0, 7, 2, 0, 0, 0, 10, 10, 37.74, 90.57, 94.34, 86.796875, 71.390625, 71.390625, 0, 7.099609375, 26.3984375, 0.0, 35.6953125, 42.8984375, 21.3984375, 0.0, 0.0, 78.59375, 50.0, 21.3984375, 14.298828125, 0.0, 0.0, 17.0, 1.0, 8.0, 2.0, 72.0, "Tous les candidats", 147.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "25002", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24972&g_ta_cod=25002", 64.0, 13.0, 17.0),
(7291, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "PASS", "Université de Nantes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 36, 1210, 618, 1210, 0, 853, 132, 11, 4, 3, 3, 343, 0, 0, 0, 0, 0, 1210, 0, 0, 0, 853, 132, 11, 4, 3, 3, 343, 276, 36, 12, 36, 0, 0.0, 17.0, 35.0, 0, 3, 34, 34, 0, 0, 2, 0, 4, 16, 10, 4, 0.0, 30, 0, 0, 0, 0, 23, 23, 0.0, 47.22, 97.22, 33.296875, 67.59375, 67.59375, 0, 8.798828125, 94.390625, 0.0, 11.798828125, 47.09375, 29.3984375, 11.8, 0.0, 100.0, 88.1875, 0.0, 0.0, 0.0, 0.0, 256.0, 35.0, 1.0, 1.0, 16.0, "Tous les candidats", 2555.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "27993", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27985&g_ta_cod=27993", 100.0, 0.0, 0.0),
(7292, "Public", "0750705J", "Lycée Honoré De Balzac", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "CPGE", "Lycée Honoré De Balzac - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 726, 515, 705, 107, 573, 116, 2, 1, 2, 2, 128, 21, 10, 0, 0, 11, 624, 7, 93, 616, 569, 116, 2, 1, 1, 1, 52, 483, 33, 24, 33, 0, 24.0, 27.0, 33.0, 2, 10, 32, 32, 0, 0, 1, 0, 4, 12, 13, 3, 0.0, 28, 0, 0, 1, 1, 6, 27, 72.73, 81.82, 100.0, 72.6875, 18.796875, 84.390625, 3.099609375, 31.296875, 97.0, 0.0, 12.5, 37.5, 40.59375, 9.4, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 446.0, 81.0, 1.0, 1.0, 35.0, "Tous les candidats", 623.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "9145", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9145&g_ta_cod=9145", 100.0, 0.0, 0.0),
(7293, "Privé sous contrat d'association", "0763400H", "UniLaSalle Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation sélective", "Ecole d'Ingénieur", "UniLaSalle (Beauvais, Rouen, Rennes) - Formation d'ingénieur Bac + 5 - Autres Séries (Bac STL, STI2D, STAV, PSC0, bacs internationaux)", "Formations  des écoles d'ingénieurs", "Autres Séries (Bac STL, STI2D, STAV, PSC0, bacs internationaux)", 25, 70, 22, 61, 0, 0, 0, 58, 5, 0, 0, 3, 9, 0, 6, 0, 3, 53, 0, 0, 0, 0, 0, 51, 3, 0, 0, 2, 53, 4, 1, 4, 0, 4.0, 4.0, 4.0, 0, 0, 4, 0, 4, 0, 0, 0, 0, 1, 1, 2, 0.0, 0, 4, 0, 0, 0, 3, 3, 100.0, 100.0, 100.0, 25.0, 75.0, 75.0, 0, 0.0, 100.0, 0.0, 0.0, 25.0, 25.0, 50.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "29305", "Formation d'ingénieur Bac + 5 - Autres Séries (Bac STL, STI2D, STAV, PSC0, bacs internationaux)", "UniLaSalle (Beauvais, Rouen, Rennes)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30781&g_ta_cod=29305", 0.0, 100.0, 0.0),
(7294, "Privé sous contrat d'association", "0650065T", "Lycée Pradeau la Sède-St Pierre", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Pradeau la Sède-St Pierre - BTS - Services - Notariat", "BTS - Services", "", 18, 131, 102, 127, 0, 37, 6, 35, 11, 13, 5, 42, 4, 3, 0, 0, 1, 100, 1, 0, 0, 37, 6, 35, 11, 6, 3, 22, 59, 18, 16, 18, 0, 9.0, 16.0, 17.0, 0, 1, 15, 9, 5, 1, 3, 0, 6, 7, 1, 1, 0.0, 5, 3, 1, 0, 0, 8, 8, 50.0, 88.89, 94.44, 88.890625, 53.296875, 53.296875, 0, 6.69921875, 83.296875, 0.0, 40.0, 46.6953125, 6.69921875, 6.7, 0.0, 60.0, 33.296875, 33.296875, 20.0, 6.69921875, 6.69921875, 27.0, 6.0, 4.0, 2.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 63.0, "7825", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7825&g_ta_cod=7825", 67.0, 28.0, 6.0),
(7295, "Public", "0460697H", "I.U.T de Figeac", "46", "Lot", "Occitanie", "Toulouse", "Figeac", "formation sélective", "BUT", "I.U.T de Figeac - BUT - Carrières sociales Parcours animation sociale et socioculturelle", "BUT - Service", "", 28, 558, 424, 528, 0, 178, 25, 184, 45, 50, 13, 116, 30, 0, 17, 0, 13, 202, 9, 0, 0, 78, 11, 71, 16, 19, 4, 34, 103, 24, 17, 21, 3, 3.0, 17.0, 23.0, 0, 5, 14, 4, 7, 3, 10, 0, 2, 8, 3, 1, 0.0, 3, 6, 3, 0, 0, 9, 9, 12.5, 70.83, 95.83, 70.796875, 64.296875, 64.296875, 0, 35.6953125, 58.296875, 0.0, 14.298828125, 57.09375, 21.3984375, 7.1, 0.0, 28.59765625, 21.3984375, 50.0, 42.8984375, 21.3984375, 21.3984375, 18.0, 3.0, 7.0, 1.0, 31.0, "Tous les candidats sauf les Bac technologiques", 72.0, "Bacheliers technologiques toutes séries", 74, "", 0, "Liste d'appel propre à cette formation", 28.0, "5758", "BUT - Carrières sociales Parcours animation sociale et socioculturelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5758&g_ta_cod=5758", 50.0, 38.0, 13.0),
(7296, "Public", "0950649P", "Lycée Camille Pissarro", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Pontoise", "formation sélective", "BTS", "Lycée Camille Pissarro - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 490, 300, 490, 0, 16, 7, 171, 69, 166, 70, 137, 0, 0, 0, 0, 0, 221, 0, 0, 0, 16, 7, 93, 31, 91, 36, 21, 131, 34, 17, 33, 0, 6.0, 27.0, 30.0, 0, 9, 29, 1, 13, 15, 5, 0, 19, 6, 3, 1, 0.0, 1, 1, 8, 4, 1, 29, 29, 17.65, 79.41, 88.24, 50.0, 100.0, 100.0, 13.798828125, 31.0, 85.296875, 0.0, 65.5, 20.69921875, 10.298828125, 3.4, 0.0, 3.39990234375, 3.39990234375, 44.796875, 3.39990234375, 51.6953125, 27.59765625, 8.0, 4.0, 54.0, 24.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 36.0, "11575", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11575&g_ta_cod=11575", 9.0, 44.0, 47.0),
(7297, "Privé sous contrat d'association", "0141178E", "Lycée Sainte Ursule", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Sainte Ursule - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 275, 141, 255, 0, 28, 5, 89, 24, 46, 18, 92, 20, 0, 1, 7, 12, 192, 6, 0, 0, 28, 5, 75, 20, 34, 13, 55, 148, 27, 11, 24, 3, 2.0, 20.0, 25.0, 0, 3, 14, 1, 7, 6, 13, 0, 6, 5, 3, 0, 0.0, 0, 2, 6, 1, 0, 14, 14, 7.41, 74.07, 92.59, 40.6953125, 100.0, 100.0, 7.099609375, 21.3984375, 51.8984375, 0.0, 42.8984375, 35.6953125, 21.3984375, 0.0, 0.0, 7.099609375, 0.0, 50.0, 14.298828125, 42.8984375, 42.8984375, 26.0, 5.0, 22.0, 8.0, 50.0, "Tous les candidats sauf les Bac professionnels", 154.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 75.0, "2848", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2848&g_ta_cod=2848", 30.0, 48.0, 22.0),
(7298, "Public", "0750688R", "Lycée François Rabelais", "75", "Paris", "Ile-de-France", "Paris", "Paris 18e  Arrondissement", "formation sélective", "BTS", "Lycée François Rabelais - BTS - Services - Diététique", "BTS - Services", "", 68, 2229, 1746, 1679, 0, 366, 76, 438, 129, 104, 44, 771, 550, 121, 144, 0, 285, 580, 65, 0, 0, 163, 36, 151, 45, 80, 36, 186, 423, 62, 50, 39, 23, 3.0, 34.0, 56.0, 0, 13, 34, 17, 16, 1, 28, 0, 9, 20, 4, 1, 0.0, 12, 12, 1, 1, 0, 4, 29, 4.84, 54.84, 90.32, 80.59375, 11.798828125, 85.296875, 2.89990234375, 38.1953125, 54.796875, 0.0, 26.5, 58.796875, 11.798828125, 2.9, 0.0, 50.0, 35.296875, 47.09375, 35.296875, 2.89990234375, 2.89990234375, 131.0, 33.0, 14.0, 6.0, 158.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 273.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 187, "Liste d'appel propre à cette formation", 29.0, "9099", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9099&g_ta_cod=9099", 61.0, 35.0, 3.0),
(7299, "Privé sous contrat d'association", "0542448T", "Lycée Claude Daunot", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Lycée Claude Daunot - DN MADE - Spectacle - - Spécialité : Régie de spectacle : lumière", "DN MADE", "- Spécialité : Régie de spectacle : lumière", 10, 69, 19, 69, 0, 28, 5, 7, 2, 12, 5, 22, 0, 0, 0, 0, 0, 39, 0, 0, 0, 16, 2, 4, 0, 9, 3, 10, 19, 11, 2, 11, 0, 7.0, 11.0, 11.0, 0, 3, 9, 4, 0, 5, 2, 0, 0, 3, 4, 2, 0.0, 4, 0, 5, 0, 0, 2, 2, 63.64, 100.0, 100.0, 18.19921875, 22.19921875, 22.19921875, 0, 33.296875, 81.796875, 0.0, 0.0, 33.296875, 44.3984375, 22.2, 0.0, 44.3984375, 44.3984375, 0.0, 0.0, 55.59375, 55.59375, 9.0, 1.0, 6.0, 3.0, 3.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "24211", "DN MADE - Spectacle - - Spécialité : Régie de spectacle : lumière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24211&g_ta_cod=24211", 36.0, 9.0, 55.0),
(7300, "Public", "0141555P", "Lycée Marie Curie", "14", "Calvados", "Normandie", "Normandie", "Vire Normandie", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 36, 301, 270, 276, 0, 27, 8, 87, 15, 93, 25, 69, 25, 0, 6, 8, 11, 249, 13, 0, 0, 21, 5, 85, 15, 83, 22, 60, 142, 28, 26, 23, 5, 1.0, 9.0, 18.0, 0, 6, 19, 2, 8, 9, 9, 0, 8, 7, 2, 2, 0.0, 1, 3, 7, 2, 2, 18, 18, 3.57, 32.14, 64.29, 92.890625, 94.6875, 94.6875, 10.5, 31.59765625, 67.890625, 0.0, 42.09375, 36.796875, 10.5, 10.5, 0.0, 10.5, 5.2998046875, 42.09375, 15.798828125, 47.3984375, 36.796875, 9.0, 2.0, 54.0, 20.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 102, "Liste d'appel propre à cette formation", 68.0, "2902", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2902&g_ta_cod=2902", 11.0, 46.0, 43.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(7301, "Privé enseignement supérieur", "0342380C", "TRAVELLING, École Supérieure du Cinéma et de la Télévision", "34", "Hérault", "Occitanie", "Montpellier", "Mauguio", "formation sélective", "BTS", "TRAVELLING, École Supérieure du Cinéma et de la Télévision - BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "BTS - Services", "", 7, 110, 50, 83, 0, 44, 2, 11, 2, 4, 1, 24, 27, 9, 0, 0, 18, 21, 12, 0, 0, 17, 1, 3, 0, 1, 0, 0, 31, 3, 0, 1, 2, 1.0, 1.0, 1.0, 0, 0, 1, 0, 0, 1, 2, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 0, 0, 33.33, 33.33, 33.33, 0.0, 0.0, 0.0, 0, 0.0, 33.296875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 20.0, 1.0, 1.0, 0.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers technologiques toutes séries", 3, "Bacheliers professionnels toutes séries", 1, "Liste d'appel propre à cette formation", 25.0, "34062", "BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34062&g_ta_cod=34062", 67.0, 0.0, 33.0),
(7302, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence", "Université des Antilles - Pôle Martinique - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes hispanophones  - Martinique", "Licence - Arts-lettres-langues", "Etudes hispanophones  - Martinique", 200, 136, 107, 123, 0, 84, 43, 7, 2, 4, 1, 28, 13, 4, 0, 2, 7, 123, 13, 0, 0, 84, 43, 7, 2, 4, 1, 28, 136, 24, 21, 20, 4, 17.0, 18.0, 24.0, 0, 5, 15, 13, 2, 0, 9, 0, 8, 5, 1, 1, 0.0, 6, 1, 0, 0, 0, 13, 13, 70.83, 75.0, 100.0, 87.5, 86.6875, 86.6875, 0, 33.296875, 62.5, 0.0, 53.296875, 33.296875, 6.69921875, 6.7, 0.0, 86.6875, 40.0, 13.298828125, 6.69921875, 0.0, 0.0, 88.0, 45.0, 6.0, 2.0, 35.0, "Tous les candidats", 123.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11837", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes hispanophones  - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11837&g_ta_cod=11837", 79.0, 21.0, 0.0),
(7303, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "PASS", "Université Angers - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Pluridisciplinaire", 800, 3761, 2660, 3761, 0, 3072, 402, 72, 17, 5, 0, 612, 0, 0, 0, 0, 0, 3761, 0, 0, 0, 3072, 402, 72, 17, 5, 0, 612, 1523, 819, 596, 818, 0, 631.0, 796.0, 816.0, 0, 115, 734, 718, 16, 0, 85, 1, 95, 252, 237, 129, 20.0, 629, 9, 0, 0, 0, 655, 655, 77.05, 97.19, 99.63, 72.796875, 89.1875, 89.1875, 0, 15.69921875, 89.59375, 0.0999908447265625, 12.8984375, 34.296875, 32.296875, 17.6, 2.7, 97.796875, 85.6875, 2.19970703125, 1.199951171875, 0.0, 0.0, 1283.0, 186.0, 1.0, 0.0, 210.0, "Tous les candidats", 1580.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "28517", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28517&g_ta_cod=28517", 97.0, 3.0, 0.0),
(7304, "Privé sous contrat d'association", "0142182W", "ESITC Caen", "14", "Calvados", "Normandie", "Normandie", "Epron", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 5, 90, 6, 90, 0, 0, 0, 90, 9, 0, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 0, 0, 80, 6, 0, 0, 0, 26, 5, 0, 5, 0, 4.0, 5.0, 5.0, 0, 1, 5, 0, 5, 0, 0, 0, 0, 0, 4, 1, 0.0, 0, 5, 0, 0, 0, 1, 1, 80.0, 100.0, 100.0, 0.0, 20.0, 20.0, 0, 20.0, 100.0, 0.0, 0.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "22726", "Formation d'ingénieur Bac + 5 - Bac Série STI2D", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=106&g_ta_cod=22726", 0.0, 100.0, 0.0),
(7305, "Public", "0880019T", "Lycée Louis Lapicque", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "BTS", "Lycée Louis Lapicque - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 312, 262, 270, 0, 16, 5, 78, 26, 66, 34, 110, 42, 10, 6, 3, 23, 155, 5, 0, 0, 16, 5, 56, 17, 51, 24, 32, 121, 30, 30, 29, 1, 7.0, 23.0, 28.0, 0, 9, 21, 1, 9, 11, 9, 1, 10, 7, 3, 0, 0.0, 1, 2, 7, 6, 6, 17, 17, 23.33, 76.67, 93.33, 100.0, 81.0, 81.0, 28.59765625, 42.8984375, 70.0, 4.7998046875, 47.59375, 33.296875, 14.298828125, 0.0, 0.0, 4.7998046875, 4.7998046875, 42.8984375, 9.5, 52.3984375, 33.296875, 12.0, 4.0, 44.0, 22.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 56.0, "13198", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13198&g_ta_cod=13198", 17.0, 33.0, 50.0),
(7306, "Public", "0011312W", "IUT Lyon1 Site de Bourg-en-Bresse", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "BUT", "IUT Lyon1 Site de Bourg-en-Bresse - BUT - Informatique Parcours : Intégration d'applications et management du système d?information - Réalisation d'applications : conception, développement, validation", "BUT - Production", "Intégration d'applications et management du système d?information - Réalisation d'applications : conception, développement, validation", 72, 1740, 156, 1708, 0, 1007, 209, 402, 107, 14, 5, 285, 32, 0, 15, 0, 17, 1174, 0, 0, 0, 801, 157, 254, 65, 0, 0, 119, 454, 76, 3, 76, 0, 21.0, 60.0, 71.0, 0, 19, 69, 40, 29, 0, 7, 0, 17, 30, 19, 3, 0.0, 30, 22, 0, 0, 0, 46, 46, 27.63, 78.95, 93.42, 3.89990234375, 66.6875, 66.6875, 0, 27.5, 90.796875, 0.0, 24.59765625, 43.5, 27.5, 4.3, 0.0, 58.0, 43.5, 42.0, 31.8984375, 0.0, 0.0, 234.0, 49.0, 0.0, 0.0, 49.0, "Tous les candidats sauf les Bac technologiques", 474.0, "Bacheliers technologiques toutes séries", 265, "", 0, "Liste d'appel propre à cette formation", 43.0, "2032", "BUT - Informatique Parcours : Intégration d'applications et management du système d?information - Réalisation d'applications : conception, développement, validation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2032&g_ta_cod=2032", 61.0, 39.0, 0.0),
(7307, "Privé enseignement supérieur", "0592808G", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence_Las", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 24, 1040, 871, 1040, 0, 588, 106, 106, 44, 31, 9, 315, 0, 0, 0, 0, 0, 1040, 0, 0, 0, 588, 106, 106, 44, 31, 9, 315, 172, 19, 18, 19, 0, 0.0, 9.0, 16.0, 0, 4, 9, 8, 0, 1, 10, 0, 0, 1, 6, 2, 0.0, 8, 0, 1, 0, 0, 4, 4, 0.0, 47.37, 84.21, 94.6875, 44.3984375, 44.3984375, 0, 44.3984375, 47.3984375, 0.0, 0.0, 11.099609375, 66.6875, 22.2, 0.0, 88.890625, 88.890625, 0.0, 0.0, 11.099609375, 11.099609375, 46.0, 13.0, 4.0, 4.0, 115.0, "Tous les candidats", 752.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "28833", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28832&g_ta_cod=28833", 95.0, 0.0, 5.0),
(7308, "Public", "0120937D", "L.E.G.T.A. Rodez-La Roque", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BTS", "L.E.G.T.A. Rodez-La Roque - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 32, 434, 290, 427, 0, 117, 13, 97, 18, 32, 7, 181, 7, 1, 0, 0, 6, 248, 1, 0, 0, 105, 12, 80, 14, 23, 6, 40, 154, 29, 24, 29, 0, 2.0, 24.0, 29.0, 0, 1, 27, 13, 10, 4, 2, 0, 8, 14, 5, 0, 0.0, 7, 8, 4, 3, 2, 17, 17, 6.9, 82.76, 100.0, 82.796875, 63.0, 63.0, 11.099609375, 3.69970703125, 93.09375, 0.0, 29.59765625, 51.8984375, 18.5, 0.0, 0.0, 48.09375, 25.8984375, 37.0, 29.59765625, 14.798828125, 14.798828125, 71.0, 8.0, 16.0, 5.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 120.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 47.0, "2502", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2502&g_ta_cod=2502", 45.0, 41.0, 14.0),
(7309, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes nordiques option Finnois", "Licence - Arts-lettres-langues", "Etudes nordiques option Finnois", 25, 59, 36, 45, 0, 29, 5, 1, 0, 1, 0, 14, 14, 2, 0, 0, 12, 45, 5, 0, 0, 29, 5, 1, 0, 1, 0, 14, 50, 7, 4, 6, 1, 6.0, 6.0, 6.0, 0, 1, 4, 4, 0, 0, 3, 0, 1, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 2, 2, 85.71, 85.71, 85.71, 57.09375, 50.0, 50.0, 0, 25.0, 57.09375, 0.0, 25.0, 25.0, 50.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 31.0, 5.0, 1.0, 0.0, 17.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19498", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes nordiques option Finnois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19498&g_ta_cod=19498", 100.0, 0.0, 0.0),
(7310, "Public", "0642131U", "Antenne du collège STEE de l'Université de Pau (Anglet)", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation non sélective", "Licence", "Antenne du collège STEE de l'Université de Pau (Anglet) - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS - Sciences et Techniques des Activités Physiques et Sportives", "Licence - STAPS", "STAPS - Sciences et Techniques des Activités Physiques et Sportives", 50, 1587, 525, 1587, 0, 1070, 145, 118, 19, 60, 18, 339, 0, 0, 0, 0, 0, 1579, 0, 0, 0, 1070, 145, 118, 19, 60, 18, 331, 190, 49, 13, 49, 0, 10.0, 40.0, 42.0, 0, 8, 39, 35, 2, 2, 10, 0, 9, 17, 13, 0, 0.0, 26, 2, 2, 0, 0, 37, 37, 20.41, 81.63, 85.71, 26.5, 94.890625, 94.890625, 0, 20.5, 79.59375, 0.0, 23.09765625, 43.59375, 33.296875, 0.0, 0.0, 89.6875, 66.6875, 5.099609375, 5.099609375, 5.099609375, 5.099609375, 138.0, 25.0, 6.0, 1.0, 42.0, "Tous les candidats", 253.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "22068", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS - Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22068&g_ta_cod=22068", 92.0, 4.0, 4.0),
(7311, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Droit", "Licence - Droit-économie-gestion", "", 370, 2423, 1726, 2423, 0, 1360, 478, 354, 159, 98, 51, 611, 0, 0, 0, 0, 0, 2381, 0, 0, 0, 1360, 478, 354, 159, 98, 51, 569, 1638, 367, 245, 367, 0, 40.0, 229.0, 317.0, 0, 94, 237, 139, 71, 27, 130, 0, 132, 93, 12, 0, 0.0, 50, 36, 19, 0, 0, 122, 223, 10.9, 62.4, 86.38, 66.796875, 51.5, 94.09375, 0, 39.6953125, 64.59375, 0.0, 55.6953125, 39.1953125, 5.099609375, 0.0, 0.0, 58.59375, 21.09765625, 30.0, 15.19921875, 11.3984375, 8.0, 1034.0, 341.0, 58.0, 32.0, 335.0, "Tous les candidats", 1794.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "15409", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15409&g_ta_cod=15409", 59.0, 27.0, 14.0),
(7312, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Licence", "Université Bordeaux Montaigne - Licence - Information et communication - Parcours Licence 1 Sciences de l'information et de la communication", "Licence - Sciences humaines et sociales", "Licence 1 Sciences de l'information et de la communication", 118, 1724, 1255, 1724, 0, 1237, 199, 76, 19, 6, 4, 405, 0, 0, 0, 0, 0, 1724, 0, 0, 0, 1237, 199, 76, 19, 6, 4, 405, 396, 117, 98, 117, 0, 36.0, 96.0, 108.0, 0, 15, 103, 102, 1, 0, 14, 0, 1, 32, 60, 10, 0.0, 101, 1, 0, 0, 0, 64, 64, 30.77, 82.05, 92.31, 83.796875, 62.09375, 62.09375, 0, 14.599609375, 88.0, 0.0, 1.0, 31.09765625, 58.296875, 9.7, 0.0, 99.0, 98.09375, 1.0, 1.0, 0.0, 0.0, 344.0, 50.0, 0.0, 0.0, 47.0, "Tous les candidats", 472.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "4420", "Licence - Information et communication - Parcours Licence 1 Sciences de l'information et de la communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4420&g_ta_cod=4420", 98.0, 2.0, 0.0),
(7313, "Public", "0441772M", "IFSI CH DE CHATEAUBRIANT", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Châteaubriant", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nantes - D.E Infirmier", "D.E secteur sanitaire", "", 47, 4309, 3726, 4309, 0, 791, 124, 763, 147, 694, 203, 2061, 0, 0, 0, 0, 0, 3806, 0, 0, 0, 748, 113, 693, 123, 604, 166, 1761, 702, 47, 40, 47, 0, 1.0, 11.0, 28.0, 0, 4, 27, 7, 9, 11, 20, 0, 0, 16, 10, 1, 0.0, 7, 9, 11, 0, 0, 16, 16, 2.13, 23.4, 59.57, 85.09375, 59.296875, 59.296875, 0, 14.798828125, 57.3984375, 0.0, 0.0, 59.296875, 37.0, 3.7, 0.0, 25.8984375, 25.8984375, 33.296875, 33.296875, 40.6953125, 40.6953125, 107.0, 16.0, 131.0, 46.0, 349.0, "Tous les candidats", 2104.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "23201", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22994&g_ta_cod=23201", 43.0, 23.0, 34.0),
(7314, "Public", "0900385E", "Université de Franche-Comté - Site de Belfort", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Belfort - Licence - Portail Sciences pour l'ingénieur - Choix d'1 parcours (en 3e année de Licence) : Ingénierie électrique et énergie / Thermique et énergétique", "Licence - Sciences - technologies - santé", "Choix d'1 parcours (en 3e année de Licence) : Ingénierie électrique et énergie / Thermique et énergétique", 25, 167, 29, 140, 0, 85, 12, 19, 5, 0, 0, 36, 27, 5, 2, 1, 19, 136, 22, 0, 0, 85, 12, 19, 5, 0, 0, 32, 131, 12, 1, 9, 3, 0.0, 9.0, 10.0, 0, 0, 4, 3, 1, 0, 8, 0, 2, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 2, 2, 0.0, 75.0, 83.33, 8.298828125, 50.0, 50.0, 0, 0.0, 33.296875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 75.0, 25.0, 25.0, 25.0, 0.0, 0.0, 75.0, 11.0, 1.0, 0.0, 42.0, "Tous les candidats", 142.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "10836", "Licence - Portail Sciences pour l'ingénieur - Choix d'1 parcours (en 3e année de Licence) : Ingénierie électrique et énergie / Thermique et énergétique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32319&g_ta_cod=10836", 67.0, 17.0, 8.0),
(7315, "Public", "0380008C", "Lycée L'Oiselet", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Bourgoin-Jallieu", "formation sélective", "BTS", "Lycée L'Oiselet - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 24, 254, 10, 254, 0, 11, 0, 69, 11, 108, 43, 66, 0, 0, 0, 0, 0, 196, 0, 0, 0, 9, 0, 60, 6, 99, 39, 28, 83, 24, 0, 24, 0, 7.0, 12.0, 15.0, 0, 5, 20, 2, 3, 15, 4, 0, 10, 3, 5, 2, 0.0, 0, 1, 9, 2, 0, 20, 20, 29.17, 50.0, 62.5, 0.0, 100.0, 100.0, 10, 25.0, 83.296875, 0.0, 50.0, 15.0, 25.0, 10.0, 0.0, 10.0, 0.0, 15.0, 5.0, 75.0, 45.0, 5.0, 0.0, 44.0, 16.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 39.0, "4914", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4914&g_ta_cod=4914", 8.0, 21.0, 71.0),
(7316, "Public", "9720643S", "CENTRE REGIONAL ASSOC DU CNAM FORT DE FRANCE", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "Autre formation", "CENTRE REGIONAL ASSOC DU CNAM FORT DE FRANCE - Formation Supérieure de Spécialisation - Comptabilité", "Diplôme d'Université", "Comptabilité", 15, 12, 7, 6, 0, 2, 0, 1, 0, 1, 1, 2, 6, 0, 2, 1, 3, 5, 2, 0, 0, 2, 0, 0, 0, 1, 1, 2, 7, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.0, 0.0, 2.0, 2.0, 2.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "33337", "Formation Supérieure de Spécialisation - Comptabilité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33337&g_ta_cod=33337", 0, 0, 0),
(7317, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER :  BOSNIAQUE-CROATE-MONTENEGRIN-SERBE à distance", "Licence - Arts-lettres-langues", "LLCER :  BOSNIAQUE-CROATE-MONTENEGRIN-SERBE à distance", 25, 78, 48, 36, 0, 8, 2, 4, 1, 1, 0, 23, 42, 3, 1, 2, 36, 35, 42, 0, 0, 8, 2, 4, 1, 1, 0, 22, 77, 24, 17, 12, 12, 8.0, 12.0, 20.0, 0, 2, 8, 3, 3, 2, 16, 0, 4, 3, 1, 0, 0.0, 2, 1, 1, 0, 0, 2, 3, 33.33, 50.0, 83.33, 70.796875, 25.0, 37.5, 0, 25.0, 33.296875, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 37.5, 25.0, 37.5, 12.5, 25.0, 12.5, 11.0, 4.0, 3.0, 0.0, 58.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "24315", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER :  BOSNIAQUE-CROATE-MONTENEGRIN-SERBE à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24315&g_ta_cod=24315", 71.0, 13.0, 13.0),
(7318, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol - enseignement à distance", "Licence - Arts-lettres-langues", "Espagnol - enseignement à distance", 40, 209, 162, 126, 0, 51, 8, 4, 1, 3, 0, 68, 83, 10, 1, 2, 70, 125, 83, 0, 0, 51, 8, 4, 1, 3, 0, 67, 187, 40, 29, 15, 25, 4.0, 15.0, 37.0, 0, 1, 10, 9, 0, 1, 30, 0, 3, 4, 1, 2, 0.0, 6, 0, 1, 0, 0, 1, 1, 10.0, 37.5, 92.5, 72.5, 10.0, 10.0, 0, 10.0, 25.0, 0.0, 30.0, 40.0, 10.0, 20.0, 0.0, 90.0, 60.0, 0.0, 0.0, 10.0, 10.0, 60.0, 10.0, 3.0, 2.0, 122.0, "Tous les candidats", 125.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "26542", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol - enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26542&g_ta_cod=26542", 75.0, 18.0, 5.0),
(7319, "Public", "0620093P", "Lycée Fernand Darchicourt", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Hénin-Beaumont", "formation sélective", "BTS", "Lycée Fernand Darchicourt - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 35, 458, 125, 458, 0, 23, 6, 59, 25, 122, 71, 254, 0, 0, 0, 0, 0, 217, 0, 0, 0, 20, 5, 39, 16, 96, 55, 62, 93, 37, 9, 37, 0, 18.0, 34.0, 37.0, 0, 21, 30, 2, 7, 21, 7, 0, 5, 15, 6, 4, 0.0, 1, 6, 18, 3, 0, 29, 29, 48.65, 91.89, 100.0, 24.296875, 96.6875, 96.6875, 10, 70.0, 81.09375, 0.0, 16.69921875, 50.0, 20.0, 13.3, 0.0, 6.69921875, 3.2998046875, 23.296875, 20.0, 70.0, 60.0, 10.0, 5.0, 47.0, 29.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 86, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 30.0, "7368", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7368&g_ta_cod=7368", 19.0, 22.0, 59.0),
(7320, "Public", "0920802X", "Lycée Jean-Pierre Vernant", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sèvres", "formation sélective", "Autre formation", "Lycée Jean-Pierre Vernant - DN MADE - Graphisme - - Spécialité : Supports didactiques et de médiation", "DN MADE", "- Spécialité : Supports didactiques et de médiation", 10, 230, 156, 230, 0, 81, 15, 52, 11, 12, 3, 85, 0, 0, 0, 0, 0, 80, 0, 0, 0, 40, 8, 21, 3, 1, 0, 18, 41, 10, 8, 10, 0, 1.0, 8.0, 8.0, 0, 1, 5, 4, 1, 0, 5, 0, 0, 1, 4, 0, 0.0, 4, 1, 0, 0, 0, 2, 3, 10.0, 80.0, 80.0, 80.0, 40.0, 60.0, 0, 20.0, 50.0, 0.0, 0.0, 20.0, 80.0, 0.0, 0.0, 80.0, 80.0, 20.0, 20.0, 0.0, 0.0, 23.0, 2.0, 1.0, 0.0, 8.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "21941", "DN MADE - Graphisme - - Spécialité : Supports didactiques et de médiation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21941&g_ta_cod=21941", 90.0, 10.0, 0.0),
(7321, "Privé sous contrat d'association", "0441032H", "Lycée agricole de DERVAL", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Derval", "formation sélective", "BTS", "Lycée agricole de DERVAL - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 32, 145, 50, 145, 0, 4, 0, 34, 9, 78, 25, 29, 0, 0, 0, 0, 0, 116, 0, 0, 0, 4, 0, 33, 8, 78, 25, 1, 67, 17, 7, 17, 0, 13.0, 17.0, 17.0, 0, 6, 16, 2, 2, 12, 1, 0, 5, 10, 1, 0, 0.0, 2, 2, 7, 8, 1, 14, 14, 76.47, 100.0, 100.0, 41.1953125, 87.5, 87.5, 50, 37.5, 94.09375, 0.0, 31.296875, 62.5, 6.2998046875, 0.0, 0.0, 12.5, 12.5, 12.5, 12.5, 75.0, 43.796875, 4.0, 0.0, 42.0, 16.0, 1.0, "Tous les candidats sauf les Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 78, "", 0, "Liste d'appel propre à cette formation", 80.0, "5589", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5589&g_ta_cod=5589", 18.0, 12.0, 71.0),
(7322, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Double licence - Philosophie / Histoire - Philosophie - Histoire", "Licence - Sciences humaines et sociales", "Philosophie - Histoire", 20, 547, 281, 547, 0, 393, 41, 8, 3, 1, 0, 145, 0, 0, 0, 0, 0, 442, 0, 0, 0, 348, 35, 2, 2, 1, 0, 91, 108, 20, 11, 20, 0, 0.0, 16.0, 19.0, 0, 1, 17, 17, 0, 0, 3, 0, 0, 1, 3, 13, 0.0, 17, 0, 0, 0, 0, 2, 4, 0.0, 80.0, 95.0, 55.0, 11.798828125, 23.5, 0, 5.8994140625, 85.0, 0.0, 0.0, 5.8994140625, 17.59765625, 76.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 101.0, 12.0, 0.0, 0.0, 7.0, "Tous les candidats", 172.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "19668", "Double licence - Philosophie / Histoire - Philosophie - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19668&g_ta_cod=19668", 100.0, 0.0, 0.0),
(7323, "Public", "0623981R", "Lycée Vauban", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Aire-sur-la-Lys", "formation sélective", "BTS", "Lycée Vauban - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 59, 522, 276, 508, 0, 57, 14, 147, 47, 142, 74, 162, 14, 0, 0, 8, 6, 508, 0, 0, 0, 57, 14, 147, 47, 142, 74, 162, 163, 52, 28, 52, 0, 9.0, 35.0, 51.0, 0, 24, 49, 3, 19, 27, 3, 0, 27, 14, 6, 2, 0.0, 0, 9, 13, 16, 10, 48, 48, 17.31, 67.31, 98.08, 53.796875, 98.0, 98.0, 32.6953125, 49.0, 94.1875, 0.0, 55.09375, 28.59765625, 12.19921875, 4.1, 0.0, 6.099609375, 0.0, 38.796875, 18.3984375, 55.09375, 26.5, 26.0, 8.0, 84.0, 48.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 158, "Bacheliers technologiques toutes séries", 123, "Liste d'appel propre à cette formation", 63.0, "7519", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7519&g_ta_cod=7519", 8.0, 37.0, 56.0),
(7324, "Public", "0390033Z", "Lycée polyvalent Hyacinthe Friant - Lycée des métiers de l'hôtellerie, de la restauration et du sanitaire et du social", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Poligny", "formation sélective", "Autre formation", "Lycée polyvalent Hyacinthe Friant - Lycée des métiers de l'hôtellerie, de la restauration et du sanitaire et du social - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 26, 159, 98, 152, 0, 73, 12, 24, 4, 5, 3, 50, 7, 2, 0, 1, 4, 144, 2, 0, 0, 73, 12, 24, 4, 0, 0, 47, 105, 17, 13, 17, 0, 0.0, 12.0, 17.0, 0, 0, 9, 6, 3, 0, 8, 0, 5, 4, 0, 0, 0.0, 1, 3, 0, 0, 0, 6, 6, 0.0, 70.59, 100.0, 76.5, 66.6875, 66.6875, 0, 0.0, 52.8984375, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 0.0, 66.6875, 11.099609375, 33.296875, 33.296875, 0.0, 0.0, 58.0, 11.0, 1.0, 0.0, 28.0, "Tous les candidats", 133.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "5166", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5166&g_ta_cod=5166", 53.0, 35.0, 0.0),
(7325, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence_Las", "Université de Strasbourg - Licence - Sciences pour la santé - Sciences pour la santé - Physique -  option Santé", "Licence - Sciences - technologies - santé", "Sciences pour la santé - Physique", 113, 902, 501, 873, 0, 621, 126, 33, 13, 2, 1, 217, 29, 8, 0, 0, 21, 856, 22, 0, 0, 621, 126, 33, 13, 2, 1, 200, 656, 109, 61, 98, 10, 5.0, 61.0, 94.0, 0, 20, 63, 57, 5, 1, 46, 3, 25, 15, 11, 6, 3.0, 34, 0, 1, 0, 0, 40, 40, 4.59, 55.96, 86.24, 56.0, 63.5, 63.5, 0, 31.69921875, 57.796875, 4.7998046875, 39.6953125, 23.796875, 17.5, 9.5, 4.8, 90.5, 54.0, 7.8994140625, 0.0, 1.599853515625, 1.599853515625, 488.0, 108.0, 1.0, 1.0, 151.0, "Tous les candidats", 794.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "29222", "Licence - Sciences pour la santé - Sciences pour la santé - Physique -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29222&g_ta_cod=29222", 87.0, 11.0, 1.0),
(7326, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "Licence", "Université de Tours - Licence - Musicologie - Parcours Parcours Musicien Interprète (MI)", "Licence - Arts-lettres-langues", "Parcours Musicien Interprète (MI)", 10, 81, 33, 65, 0, 43, 10, 9, 3, 1, 1, 12, 16, 2, 0, 0, 14, 7, 0, 0, 0, 6, 1, 1, 0, 0, 0, 0, 7, 4, 0, 4, 0, 4.0, 4.0, 4.0, 0, 1, 4, 3, 1, 0, 0, 0, 1, 2, 1, 0, 0.0, 2, 1, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 25.0, 25.0, 0, 25.0, 100.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 75.0, 50.0, 25.0, 25.0, 0.0, 0.0, 6.0, 1.0, 0.0, 0.0, 0.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "32109", "Licence - Musicologie - Parcours Parcours Musicien Interprète (MI)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32109&g_ta_cod=32109", 75.0, 25.0, 0.0),
(7327, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "Autre formation", "Université de Pau et des Pays de l'Adour - C.M.I - Cursus Master en Ingénierie - Mathématiques - Mathématiques et Ingénierie", "C.M.I - Cursus Master en Ingénierie", "Mathématiques et Ingénierie", 15, 161, 47, 142, 0, 116, 11, 1, 0, 0, 0, 25, 19, 5, 0, 1, 13, 88, 2, 0, 0, 79, 7, 0, 0, 0, 0, 9, 65, 9, 3, 9, 0, 1.0, 9.0, 9.0, 0, 0, 8, 8, 0, 0, 1, 0, 0, 5, 2, 1, 0.0, 8, 0, 0, 0, 0, 5, 5, 11.11, 100.0, 100.0, 33.296875, 62.5, 62.5, 0, 0.0, 88.890625, 0.0, 0.0, 62.5, 25.0, 12.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 56.0, 4.0, 0.0, 0.0, 9.0, "Tous les candidats", 83.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "29033", "C.M.I - Cursus Master en Ingénierie - Mathématiques - Mathématiques et Ingénierie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29033&g_ta_cod=29033", 100.0, 0.0, 0.0),
(7328, "Privé sous contrat d'association", "0290335G", "Lycée La Croix Rouge", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Autre formation", "Lycée La Croix Rouge - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 35, 255, 184, 255, 0, 75, 6, 69, 8, 1, 0, 110, 0, 0, 0, 0, 0, 146, 0, 0, 0, 47, 5, 47, 6, 0, 0, 52, 107, 33, 28, 33, 0, 5.0, 26.0, 30.0, 0, 2, 22, 11, 11, 0, 11, 0, 6, 12, 4, 0, 0.0, 8, 8, 0, 0, 0, 20, 20, 15.15, 78.79, 90.91, 84.796875, 90.890625, 90.890625, 0, 9.099609375, 66.6875, 0.0, 27.296875, 54.5, 18.19921875, 0.0, 0.0, 50.0, 36.3984375, 50.0, 36.3984375, 0.0, 0.0, 41.0, 4.0, 0.0, 0.0, 42.0, "Tous les candidats", 121.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "3846", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3846&g_ta_cod=3846", 61.0, 39.0, 0.0),
(7329, "Privé sous contrat d'association", "0311876W", "IFRASS", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "EFTS", "IFRASS - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 32, 490, 470, 490, 0, 71, 16, 77, 11, 64, 14, 278, 0, 0, 0, 0, 0, 120, 0, 0, 0, 22, 5, 34, 2, 20, 4, 44, 58, 32, 32, 32, 0, 20.0, 32.0, 32.0, 0, 1, 15, 5, 6, 4, 17, 0, 0, 8, 7, 0, 0.0, 5, 6, 4, 0, 0, 9, 9, 62.5, 100.0, 100.0, 100.0, 60.0, 60.0, 0, 6.69921875, 46.8984375, 0.0, 0.0, 53.296875, 46.6953125, 0.0, 0.0, 33.296875, 33.296875, 40.0, 40.0, 26.69921875, 26.69921875, 10.0, 2.0, 5.0, 0.0, 28.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "23787", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23787&g_ta_cod=23787", 47.0, 28.0, 25.0),
(7330, "Public", "0540076P", "Lycée Jean Zay", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Jarny", "formation sélective", "BTS", "Lycée Jean Zay - BTS - Production - Aéronautique", "BTS - Production", "", 15, 595, 63, 595, 0, 183, 28, 105, 23, 78, 19, 229, 0, 0, 0, 0, 0, 193, 0, 0, 0, 119, 14, 33, 5, 13, 4, 28, 85, 15, 4, 15, 0, 3.0, 11.0, 14.0, 0, 2, 15, 11, 2, 2, 0, 0, 7, 2, 4, 2, 0.0, 4, 2, 2, 2, 1, 5, 5, 20.0, 73.33, 93.33, 26.69921875, 33.296875, 33.296875, 13.298828125, 13.298828125, 100.0, 0.0, 46.6953125, 13.298828125, 26.69921875, 13.3, 0.0, 73.296875, 26.69921875, 13.298828125, 13.298828125, 13.298828125, 13.298828125, 58.0, 7.0, 3.0, 1.0, 12.0, "Tous les candidats sauf les Bac professionnels", 141.0, "Bacheliers professionnels toutes séries", 3, "", 0, "Liste d'appel propre à cette formation", 24.0, "20966", "BTS - Production - Aéronautique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20966&g_ta_cod=20966", 73.0, 13.0, 13.0),
(7331, "Privé sous contrat d'association", "0131862D", "Lycée SACRE COEUR", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée SACRE COEUR - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 162, 67, 140, 0, 33, 7, 39, 10, 22, 8, 46, 22, 0, 9, 1, 12, 124, 11, 0, 0, 33, 7, 36, 9, 18, 6, 37, 102, 25, 7, 24, 1, 7.0, 23.0, 24.0, 0, 7, 17, 4, 9, 4, 8, 0, 10, 3, 4, 0, 0.0, 1, 2, 4, 0, 0, 14, 14, 28.0, 92.0, 96.0, 28.0, 82.390625, 82.390625, 0, 41.1953125, 68.0, 0.0, 58.796875, 17.59765625, 23.5, 0.0, 0.0, 23.5, 5.8994140625, 52.8984375, 11.798828125, 23.5, 23.5, 24.0, 7.0, 18.0, 6.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 87.0, "2712", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2712&g_ta_cod=2712", 36.0, 44.0, 20.0),
(7332, "Public", "0930117X", "Lycée Le Corbusier", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "CPGE", "Lycée Le Corbusier - CPGE - PTSI", "Classe préparatoire scientifique", "", 15, 291, 62, 250, 0, 182, 80, 9, 7, 0, 0, 59, 41, 13, 2, 1, 25, 103, 5, 0, 103, 84, 35, 0, 0, 0, 0, 19, 88, 13, 4, 8, 4, 1.0, 8.0, 12.0, 0, 4, 9, 9, 0, 0, 4, 0, 1, 4, 2, 1, 1.0, 8, 0, 0, 2, 1, 8, 9, 7.69, 61.54, 92.31, 30.796875, 88.890625, 100.0, 22.19921875, 44.3984375, 69.1875, 0.0, 11.099609375, 44.3984375, 22.19921875, 11.1, 11.1, 100.0, 88.890625, 0.0, 0.0, 0.0, 0.0, 70.0, 27.0, 0.0, 0.0, 18.0, "Tous les candidats", 103.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "11161", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11161&g_ta_cod=11161", 100.0, 0.0, 0.0),
(7333, "Privé sous contrat d'association", "0391146J", "Lycée Pasteur Mont Roland", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Dole", "formation sélective", "Autre formation", "Lycée Pasteur Mont Roland - DN MADE - Spectacle - - Spécialité : Costume de scène, dramaturgie et mobilité européenne", "DN MADE", "- Spécialité : Costume de scène, dramaturgie et mobilité européenne", 18, 183, 171, 183, 0, 45, 8, 35, 5, 29, 6, 74, 0, 0, 0, 0, 0, 65, 0, 0, 0, 19, 4, 12, 1, 9, 3, 25, 40, 18, 17, 18, 0, 9.0, 17.0, 17.0, 0, 2, 11, 2, 4, 5, 7, 0, 0, 2, 5, 4, 0.0, 2, 4, 5, 0, 0, 2, 2, 50.0, 94.44, 94.44, 94.390625, 18.19921875, 18.19921875, 0, 18.19921875, 61.09375, 0.0, 0.0, 18.19921875, 45.5, 36.4, 0.0, 18.19921875, 18.19921875, 36.3984375, 36.3984375, 45.5, 45.5, 13.0, 2.0, 7.0, 2.0, 14.0, "Tous les candidats", 42.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "21575", "DN MADE - Spectacle - - Spécialité : Costume de scène, dramaturgie et mobilité européenne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21575&g_ta_cod=21575", 17.0, 33.0, 39.0),
(7334, "Public", "0133015G", "Lycée Pierre Mendès France", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Vitrolles", "formation sélective", "BTS", "Lycée Pierre Mendès France - BTS - Production - Aéronautique", "BTS - Production", "", 30, 1123, 127, 1123, 0, 263, 50, 311, 86, 146, 50, 403, 0, 0, 0, 0, 0, 921, 0, 0, 0, 263, 50, 309, 85, 136, 48, 213, 181, 33, 1, 33, 0, 0.0, 20.0, 27.0, 0, 6, 33, 18, 14, 1, 0, 0, 11, 17, 5, 0, 0.0, 10, 11, 1, 1, 0, 14, 14, 0.0, 60.61, 81.82, 3.0, 42.3984375, 42.3984375, 3, 18.19921875, 100.0, 0.0, 33.296875, 51.5, 15.19921875, 0.0, 0.0, 54.5, 30.296875, 42.3984375, 33.296875, 3.0, 3.0, 92.0, 16.0, 14.0, 3.0, 6.0, "Tous les candidats sauf les Bac professionnels", 285.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 27.0, "2794", "BTS - Production - Aéronautique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2794&g_ta_cod=2794", 55.0, 42.0, 3.0),
(7335, "Public", "0900385E", "Université de Franche-Comté - Site de Belfort", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Belfort - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 70, 654, 502, 651, 0, 409, 89, 106, 34, 25, 11, 111, 3, 0, 0, 1, 2, 652, 3, 0, 0, 410, 90, 106, 34, 25, 11, 111, 343, 68, 52, 65, 2, 8.0, 47.0, 61.0, 0, 13, 56, 39, 13, 4, 12, 0, 23, 22, 10, 1, 0.0, 23, 8, 2, 0, 0, 53, 53, 11.76, 69.12, 89.71, 76.5, 94.59375, 94.59375, 0, 23.19921875, 82.390625, 0.0, 41.09375, 39.296875, 17.8984375, 1.8, 0.0, 69.59375, 41.09375, 23.19921875, 14.298828125, 7.099609375, 3.599609375, 230.0, 53.0, 9.0, 5.0, 64.0, "Tous les candidats", 417.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 62.0, "10837", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32317&g_ta_cod=10837", 66.0, 26.0, 7.0),
(7336, "Public", "0290334F", "I.U.T de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BUT", "I.U.T de Brest - BUT - Génie biologique parcours biologie médicale et biotechnologie", "BUT - Production", "", 56, 2195, 1558, 2195, 0, 1369, 152, 300, 70, 5, 1, 521, 0, 0, 0, 0, 0, 925, 0, 0, 0, 666, 65, 188, 42, 0, 0, 71, 385, 55, 44, 55, 0, 13.0, 38.0, 54.0, 0, 11, 51, 34, 17, 0, 4, 0, 3, 14, 28, 6, 0.0, 34, 14, 0, 0, 0, 37, 37, 23.64, 69.09, 98.18, 80.0, 72.5, 72.5, 0, 21.59765625, 92.6875, 0.0, 5.8994140625, 27.5, 54.8984375, 11.8, 0.0, 66.6875, 66.6875, 33.296875, 27.5, 0.0, 0.0, 271.0, 28.0, 0.0, 0.0, 29.0, "Tous les candidats sauf les Bac technologiques", 483.0, "Bacheliers technologiques toutes séries", 139, "", 0, "Liste d'appel propre à cette formation", 28.0, "3839", "BUT - Génie biologique parcours biologie médicale et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3839&g_ta_cod=3839", 65.0, 35.0, 0.0),
(7337, "Public", "0931565W", "Lycée Flora Tristan", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Noisy-le-Grand", "formation sélective", "BTS", "Lycée Flora Tristan - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 1112, 511, 1112, 0, 97, 39, 343, 155, 255, 136, 417, 0, 0, 0, 0, 0, 620, 0, 0, 0, 63, 27, 173, 75, 233, 126, 151, 163, 29, 13, 29, 0, 7.0, 16.0, 20.0, 0, 7, 13, 0, 4, 9, 16, 0, 4, 7, 0, 2, 0.0, 0, 2, 7, 1, 0, 12, 13, 24.14, 55.17, 68.97, 44.796875, 92.296875, 100.0, 7.69921875, 53.796875, 44.796875, 0.0, 30.796875, 53.796875, 0.0, 15.4, 0.0, 0.0, 0.0, 30.796875, 15.3984375, 69.1875, 53.796875, 6.0, 4.0, 61.0, 34.0, 51.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 127, "Bacheliers technologiques toutes séries", 103, "Liste d'appel propre à cette formation", 22.0, "11273", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11273&g_ta_cod=11273", 17.0, 41.0, 41.0),
(7338, "Public", "0561739L", "Université de Bretagne Sud - Site de Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation non sélective", "Licence", "Université de Bretagne Sud - Site de Vannes - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 254, 1761, 1335, 1675, 0, 1257, 208, 198, 51, 31, 11, 189, 86, 17, 11, 4, 54, 1665, 56, 0, 0, 1257, 208, 198, 51, 31, 11, 179, 1220, 289, 218, 264, 24, 55.0, 258.0, 278.0, 0, 51, 249, 222, 26, 1, 40, 0, 71, 106, 61, 10, 1.0, 163, 14, 1, 0, 0, 226, 226, 19.03, 89.27, 96.19, 75.390625, 90.796875, 90.796875, 0, 20.5, 86.1875, 0.0, 28.5, 42.59375, 24.5, 4.0, 0.4, 89.1875, 65.5, 10.3984375, 5.599609375, 0.39996337890625, 0.39996337890625, 935.0, 167.0, 18.0, 7.0, 168.0, "Tous les candidats", 1723.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "6506", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26724&g_ta_cod=6506", 86.0, 13.0, 1.0),
(7339, "Public", "0350030T", "Lycée Pierre Mendes France", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Pierre Mendes France - BTS - Production - Bâtiment", "BTS - Production", "", 30, 763, 115, 763, 0, 110, 13, 268, 37, 178, 57, 207, 0, 0, 0, 0, 0, 372, 0, 0, 0, 92, 11, 132, 15, 101, 27, 47, 147, 30, 10, 30, 0, 2.0, 24.0, 28.0, 0, 7, 22, 5, 9, 8, 8, 0, 10, 8, 4, 0, 0.0, 1, 6, 5, 5, 3, 15, 15, 6.67, 80.0, 93.33, 33.296875, 68.1875, 68.1875, 22.69921875, 31.796875, 73.296875, 0.0, 45.5, 36.3984375, 18.19921875, 0.0, 0.0, 22.69921875, 4.5, 40.8984375, 27.296875, 36.3984375, 22.69921875, 29.0, 5.0, 54.0, 19.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 97, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 31.0, "4650", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4650&g_ta_cod=4650", 27.0, 40.0, 33.0),
(7340, "Privé sous contrat d'association", "0141175B", "Lycée Institut Lemonnier", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Institut Lemonnier - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 375, 37, 357, 0, 64, 10, 83, 13, 67, 21, 143, 18, 0, 8, 0, 10, 208, 2, 0, 0, 64, 10, 71, 12, 48, 14, 25, 126, 28, 0, 27, 1, 4.0, 25.0, 27.0, 0, 5, 27, 5, 13, 9, 1, 0, 18, 3, 5, 1, 0.0, 1, 2, 6, 4, 0, 25, 25, 14.29, 89.29, 96.43, 0.0, 92.59375, 92.59375, 14.798828125, 18.5, 96.390625, 0.0, 66.6875, 11.099609375, 18.5, 3.7, 0.0, 18.5, 3.69970703125, 48.09375, 7.3994140625, 33.296875, 22.19921875, 27.0, 3.0, 35.0, 10.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 40.0, "2841", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2841&g_ta_cod=2841", 18.0, 50.0, 32.0),
(7341, "Public", "0250013D", "Lycée professionnel Pierre-Adrien Paris", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée professionnel Pierre-Adrien Paris - BTS - Production - Bâtiment", "BTS - Production", "", 15, 315, 49, 276, 0, 33, 2, 92, 20, 52, 17, 99, 39, 0, 21, 0, 18, 105, 13, 0, 0, 24, 2, 32, 8, 33, 7, 16, 75, 12, 4, 7, 5, 0.0, 6.0, 11.0, 0, 2, 8, 0, 2, 6, 4, 0, 3, 4, 1, 0, 0.0, 0, 1, 4, 1, 0, 5, 5, 0.0, 50.0, 91.67, 33.296875, 62.5, 62.5, 12.5, 25.0, 66.6875, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 0.0, 0.0, 25.0, 12.5, 75.0, 50.0, 12.0, 2.0, 20.0, 5.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 37.0, "3477", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3477&g_ta_cod=3477", 17.0, 33.0, 50.0),
(7342, "Public", "0750612H", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART.", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART. - DN MADE - Objet - - Spécialité : Design produits, objets d'exception et pratiques alternatives", "DN MADE", "- Spécialité : Design produits, objets d'exception et pratiques alternatives", 15, 817, 531, 817, 0, 321, 38, 161, 30, 33, 5, 302, 0, 0, 0, 0, 0, 180, 0, 0, 0, 87, 7, 57, 8, 4, 0, 32, 44, 16, 11, 16, 0, 2.0, 15.0, 15.0, 0, 2, 16, 11, 5, 0, 0, 0, 0, 3, 5, 8, 0.0, 11, 5, 0, 0, 0, 2, 6, 12.5, 93.75, 93.75, 68.796875, 12.5, 37.5, 0, 12.5, 100.0, 0.0, 0.0, 18.796875, 31.296875, 50.0, 0.0, 68.796875, 68.796875, 31.296875, 31.296875, 0.0, 0.0, 23.0, 4.0, 0.0, 0.0, 2.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "21971", "DN MADE - Objet - - Spécialité : Design produits, objets d'exception et pratiques alternatives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21971&g_ta_cod=21971", 69.0, 31.0, 0.0),
(7343, "Privé sous contrat d'association", "0350791V", "Lycée Marcel Callo", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Redon", "formation sélective", "BTS", "Lycée Marcel Callo - BTS - Production - Maintenance des systèmes - option A Systèmes de production (Seconde année possible en apprentissage)", "BTS - Production", "", 30, 144, 13, 136, 0, 3, 1, 27, 1, 71, 10, 35, 8, 0, 1, 3, 4, 100, 5, 0, 0, 3, 1, 27, 1, 67, 10, 3, 86, 12, 0, 9, 3, 6.0, 9.0, 11.0, 0, 5, 11, 2, 2, 7, 1, 0, 3, 5, 2, 1, 0.0, 1, 1, 6, 5, 0, 10, 10, 50.0, 75.0, 91.67, 0.0, 90.890625, 90.890625, 45.5, 45.5, 91.6875, 0.0, 27.296875, 45.5, 18.19921875, 9.1, 0.0, 18.19921875, 9.099609375, 18.19921875, 9.099609375, 63.59375, 54.5, 3.0, 1.0, 59.0, 11.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 74.0, "4684", "BTS - Production - Maintenance des systèmes - option A Systèmes de production (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4684&g_ta_cod=4684", 17.0, 25.0, 58.0),
(7344, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues étrangères appliquées - Parcours Russe - Anglais", "Licence - Arts-lettres-langues", "Russe - Anglais", 20, 114, 81, 89, 0, 44, 16, 11, 3, 3, 2, 31, 25, 4, 5, 0, 16, 89, 14, 0, 0, 44, 16, 11, 3, 3, 2, 31, 91, 19, 14, 11, 8, 3.0, 11.0, 13.0, 0, 6, 14, 6, 8, 0, 5, 1, 7, 4, 2, 0, 0.0, 2, 4, 0, 0, 0, 7, 11, 15.79, 57.89, 68.42, 73.6875, 50.0, 78.59375, 0, 42.8984375, 73.6875, 7.099609375, 50.0, 28.59765625, 14.298828125, 0.0, 0.0, 42.8984375, 14.298828125, 57.09375, 28.59765625, 0.0, 0.0, 39.0, 12.0, 2.0, 1.0, 34.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15141", "Licence - Langues étrangères appliquées - Parcours Russe - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15141&g_ta_cod=15141", 42.0, 47.0, 11.0),
(7345, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail LLCER ANGLAIS / Lettres", "Licence - Arts-lettres-langues", "LLCER ANGLAIS / Lettres : Lettres", 40, 356, 264, 294, 0, 206, 58, 15, 4, 11, 6, 62, 62, 18, 4, 4, 36, 294, 58, 0, 0, 206, 58, 15, 4, 11, 6, 62, 352, 30, 19, 17, 13, 15.0, 16.0, 25.0, 0, 6, 20, 14, 3, 3, 10, 0, 6, 7, 6, 1, 0.0, 12, 0, 2, 0, 0, 18, 18, 50.0, 53.33, 83.33, 63.296875, 90.0, 90.0, 0, 30.0, 66.6875, 0.0, 30.0, 35.0, 30.0, 5.0, 0.0, 70.0, 60.0, 15.0, 0.0, 15.0, 10.0, 224.0, 62.0, 15.0, 8.0, 94.0, "Tous les candidats", 551.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23868", "Licence - Portail LLCER ANGLAIS / Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23867&g_ta_cod=23868", 67.0, 17.0, 17.0),
(7346, "Public", "0260017C", "Lycée Roumanille", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Nyons", "formation sélective", "BTS", "Lycée Roumanille - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 237, 144, 214, 0, 15, 7, 59, 27, 50, 29, 90, 23, 0, 5, 10, 8, 157, 10, 0, 0, 15, 7, 55, 26, 44, 27, 43, 134, 18, 10, 17, 1, 6.0, 15.0, 15.0, 0, 8, 12, 2, 8, 2, 6, 0, 8, 3, 1, 0, 0.0, 1, 2, 1, 8, 5, 8, 8, 33.33, 83.33, 83.33, 55.59375, 66.6875, 66.6875, 66.6875, 66.6875, 66.6875, 0.0, 66.6875, 25.0, 8.298828125, 0.0, 0.0, 16.69921875, 8.298828125, 66.6875, 16.69921875, 16.69921875, 8.298828125, 10.0, 4.0, 45.0, 25.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 65.0, "20166", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20166&g_ta_cod=20166", 17.0, 67.0, 17.0),
(7347, "Privé sous contrat d'association", "0592921E", "Lycée Saint Rémi", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Saint Rémi - BTS - Services - Support à l'action managériale", "BTS - Services", "", 20, 183, 108, 133, 0, 5, 2, 25, 12, 36, 23, 67, 50, 3, 5, 17, 25, 55, 11, 0, 0, 4, 2, 16, 8, 19, 9, 16, 56, 18, 11, 14, 4, 2.0, 13.0, 16.0, 0, 3, 11, 1, 5, 5, 7, 0, 7, 4, 0, 0, 0.0, 0, 2, 2, 3, 0, 11, 11, 11.11, 72.22, 88.89, 61.09375, 100.0, 100.0, 27.296875, 27.296875, 61.09375, 0.0, 63.59375, 36.3984375, 0.0, 0.0, 0.0, 9.099609375, 0.0, 45.5, 18.19921875, 45.5, 18.19921875, 5.0, 2.0, 19.0, 11.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 40.0, "6918", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6918&g_ta_cod=6918", 11.0, 44.0, 44.0),
(7348, "Public", "0631021T", "I.U.T. de Clermont-Ferrand", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aubière", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 2, 135, 10, 134, 0, 0, 0, 123, 29, 0, 0, 11, 1, 0, 1, 0, 0, 59, 0, 0, 0, 0, 0, 54, 13, 0, 0, 5, 17, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 325.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 43.0, "350", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=350", 0, 0, 0),
(7349, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Lettres - Parcours Lettres modernes", "Licence - Arts-lettres-langues", "Lettres modernes", 500, 1302, 1027, 825, 0, 508, 145, 24, 11, 20, 10, 273, 477, 38, 20, 16, 403, 824, 459, 0, 0, 508, 145, 24, 11, 20, 10, 272, 1284, 240, 185, 100, 139, 100.0, 101.0, 167.0, 0, 28, 70, 50, 11, 9, 170, 0, 37, 17, 10, 6, 0.0, 26, 2, 5, 0, 0, 42, 42, 41.67, 42.08, 69.58, 77.09375, 60.0, 60.0, 0, 40.0, 29.19921875, 0.0, 52.8984375, 24.296875, 14.298828125, 8.6, 0.0, 71.390625, 37.09375, 15.69921875, 2.89990234375, 12.8984375, 7.099609375, 544.0, 157.0, 36.0, 23.0, 660.0, "Tous les candidats", 824.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4157", "Licence - Lettres - Parcours Lettres modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4157&g_ta_cod=4157", 71.0, 16.0, 12.0),
(7350, "Public", "0250067M", "Lycée professionnel Les Huisselets", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "BTS", "Lycée professionnel Les Huisselets - BTS - Services - Assurance", "BTS - Services", "", 24, 422, 239, 422, 0, 34, 11, 71, 36, 99, 53, 218, 0, 0, 0, 0, 0, 318, 0, 0, 0, 34, 11, 71, 36, 90, 47, 123, 135, 21, 14, 21, 0, 1.0, 11.0, 18.0, 0, 4, 11, 1, 5, 5, 10, 0, 8, 2, 1, 0, 0.0, 0, 1, 2, 1, 1, 11, 11, 4.76, 52.38, 85.71, 66.6875, 100.0, 100.0, 9.099609375, 36.3984375, 52.3984375, 0.0, 72.6875, 18.19921875, 9.099609375, 0.0, 0.0, 9.099609375, 0.0, 45.5, 9.099609375, 45.5, 18.19921875, 23.0, 5.0, 37.0, 18.0, 38.0, "Tous les candidats sauf les Bac professionnels", 135.0, "Bacheliers professionnels toutes séries", 54, "", 0, "Liste d'appel propre à cette formation", 45.0, "3502", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3502&g_ta_cod=3502", 19.0, 48.0, 33.0),
(7351, "Public", "0910623H", "Lycée Marcel Pagnol", "91", "Essonne", "Ile-de-France", "Versailles", "Athis-Mons", "formation sélective", "BTS", "Lycée Marcel Pagnol - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1741, 851, 1741, 0, 118, 33, 572, 219, 596, 295, 455, 0, 0, 0, 0, 0, 1093, 0, 0, 0, 107, 31, 380, 141, 376, 179, 230, 164, 35, 18, 34, 0, 5.0, 28.0, 30.0, 0, 16, 31, 2, 15, 14, 4, 0, 9, 15, 5, 2, 0.0, 1, 10, 11, 7, 2, 29, 31, 14.29, 80.0, 85.71, 51.3984375, 93.5, 100.0, 22.59765625, 51.59375, 88.59375, 0.0, 29.0, 48.3984375, 16.09765625, 6.5, 0.0, 6.5, 3.19970703125, 48.3984375, 32.296875, 45.1953125, 35.5, 15.0, 7.0, 50.0, 20.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 119, "Liste d'appel propre à cette formation", 13.0, "10854", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10854&g_ta_cod=10854", 6.0, 46.0, 49.0),
(7352, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Licence", "Université de Strasbourg - Licence - Double diplôme - Licence Droit - Parcours intégré de formation juridique franco-allemande en coopération avec l?Université de la Sarre", "Licence - Droit-économie-gestion", "Parcours intégré de formation juridique franco-allemande en coopération avec l?Université de la Sarre", 15, 235, 178, 235, 0, 186, 12, 5, 2, 3, 2, 41, 0, 0, 0, 0, 0, 138, 0, 0, 0, 123, 8, 0, 0, 0, 0, 15, 54, 13, 9, 13, 0, 3.0, 13.0, 13.0, 0, 1, 13, 13, 0, 0, 0, 0, 0, 0, 3, 9, 1.0, 13, 0, 0, 0, 0, 5, 5, 23.08, 100.0, 100.0, 69.1875, 38.5, 38.5, 0, 7.69921875, 100.0, 0.0, 0.0, 0.0, 23.09765625, 69.2, 7.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 52.0, 4.0, 0.0, 0.0, 2.0, "Tous les candidats", 72.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "24752", "Licence - Double diplôme - Licence Droit - Parcours intégré de formation juridique franco-allemande en coopération avec l?Université de la Sarre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24752&g_ta_cod=24752", 100.0, 0.0, 0.0),
(7353, "Public", "9730429D", "Université de Guyane", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation non sélective", "Licence", "Université de Guyane - Licence - Lettres - Parcours Lettres Modernes", "Licence - Arts-lettres-langues", "Lettres Modernes", 120, 247, 200, 175, 0, 121, 66, 9, 4, 14, 7, 31, 72, 16, 4, 16, 36, 175, 61, 0, 0, 121, 66, 9, 4, 14, 7, 31, 232, 82, 71, 43, 39, 26.0, 42.0, 69.0, 0, 28, 47, 31, 2, 14, 35, 4, 27, 14, 2, 0, 0.0, 12, 0, 4, 0, 0, 46, 46, 31.71, 51.22, 84.15, 86.59375, 97.890625, 97.890625, 0, 59.59375, 57.296875, 8.5, 57.3984375, 29.796875, 4.2998046875, 0.0, 0.0, 66.0, 25.5, 4.2998046875, 0.0, 29.796875, 8.5, 134.0, 73.0, 26.0, 16.0, 60.0, "Tous les candidats", 175.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11866", "Licence - Lettres - Parcours Lettres Modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11866&g_ta_cod=11866", 54.0, 13.0, 33.0),
(7354, "Public", "0930125F", "Lycée Paul Eluard", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BTS", "Lycée Paul Eluard - BTS - Production - Bioqualité", "BTS - Production", "", 30, 417, 235, 371, 0, 29, 9, 138, 73, 39, 24, 165, 46, 11, 0, 4, 31, 236, 4, 0, 0, 29, 9, 122, 65, 30, 18, 55, 155, 30, 19, 25, 3, 3.0, 16.0, 23.0, 0, 11, 22, 4, 14, 4, 8, 0, 14, 7, 1, 0, 0.0, 2, 4, 2, 3, 2, 7, 20, 10.0, 53.33, 76.67, 63.296875, 31.796875, 90.890625, 13.599609375, 50.0, 73.296875, 0.0, 63.59375, 31.796875, 4.5, 0.0, 0.0, 18.19921875, 9.099609375, 63.59375, 18.19921875, 18.19921875, 9.099609375, 27.0, 9.0, 19.0, 13.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 120, "Liste d'appel propre à cette formation", 50.0, "11191", "BTS - Production - Bioqualité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11191&g_ta_cod=11191", 27.0, 57.0, 17.0),
(7355, "Public", "0751875F", "Ecole Nationale Supérieure d'Architecture de Paris-La Villette", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Paris-La Villette - Architecture", "Formations Bac + 5", "", 165, 3056, 1890, 3056, 0, 1708, 379, 319, 125, 126, 63, 903, 0, 0, 0, 0, 0, 616, 0, 0, 0, 378, 52, 97, 22, 37, 14, 104, 329, 164, 113, 164, 0, 69.0, 157.0, 161.0, 0, 40, 129, 91, 29, 9, 35, 0, 4, 34, 72, 19, 0.0, 89, 28, 8, 0, 0, 13, 71, 42.07, 95.73, 98.17, 68.890625, 10.099609375, 55.0, 0, 31.0, 78.6875, 0.0, 3.099609375, 26.3984375, 55.796875, 14.7, 0.0, 70.5, 69.0, 22.5, 21.69921875, 7.0, 6.19921875, 204.0, 40.0, 17.0, 8.0, 56.0, "Tous les candidats", 371.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "9354", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9354&g_ta_cod=9354", 77.0, 18.0, 5.0),
(7356, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Sciences du langage - Parcours Sciences du langage - Mineure Professorat des écoles", "Licence - Sciences humaines et sociales", "Sciences du langage - Mineure Professorat des écoles", 45, 351, 307, 351, 0, 203, 42, 26, 13, 7, 5, 115, 0, 0, 0, 0, 0, 346, 0, 0, 0, 203, 42, 26, 13, 7, 5, 110, 224, 51, 47, 51, 0, 10.0, 35.0, 46.0, 0, 10, 37, 29, 6, 2, 14, 0, 13, 18, 5, 1, 0.0, 17, 5, 2, 0, 0, 3, 35, 19.61, 68.63, 90.2, 92.1875, 8.099609375, 94.59375, 0, 27.0, 72.5, 0.0, 35.09375, 48.59375, 13.5, 2.7, 0.0, 78.390625, 45.8984375, 16.19921875, 13.5, 5.3994140625, 5.3994140625, 147.0, 30.0, 5.0, 4.0, 57.0, "Tous les candidats", 289.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "9262", "Licence - Sciences du langage - Parcours Sciences du langage - Mineure Professorat des écoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9262&g_ta_cod=9262", 76.0, 16.0, 8.0),
(7357, "Public", "0333273D", "Lycée polyvalent Vaclav Havel", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "BTS", "Lycée polyvalent Vaclav Havel - BTS - Services - Economie sociale familiale", "BTS - Services", "", 53, 987, 859, 977, 0, 137, 38, 234, 64, 317, 123, 289, 10, 0, 0, 3, 7, 527, 0, 0, 0, 78, 20, 122, 30, 195, 68, 132, 181, 44, 40, 44, 0, 4.0, 23.0, 35.0, 0, 11, 31, 1, 12, 18, 13, 0, 9, 9, 11, 2, 0.0, 1, 4, 17, 7, 7, 27, 27, 9.09, 52.27, 79.55, 90.890625, 87.09375, 87.09375, 22.59765625, 35.5, 70.5, 0.0, 29.0, 29.0, 35.5, 6.5, 0.0, 3.19970703125, 3.19970703125, 38.6953125, 12.8984375, 58.09375, 54.796875, 5.0, 1.0, 83.0, 31.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 133, "Bacheliers technologiques toutes séries", 112, "Liste d'appel propre à cette formation", 26.0, "12109", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12109&g_ta_cod=12109", 5.0, 50.0, 45.0),
(7358, "Privé sous contrat d'association", "0593015G", "Lycée professionnel Maria Goretti", "59", "Nord", "Hauts-de-France", "Lille", "Lambersart", "formation sélective", "Autre formation", "Lycée professionnel Maria Goretti - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 2, 1, 0, 0, 0.0, 0.0, 0.0, 0, 2, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 0.0, 0.0, 0.0, 50.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 3.0, 2.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25707", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(7359, "Public", "0640011P", "Lycée Louis De Foix", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "BTS", "Lycée Louis De Foix - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 909, 421, 909, 0, 100, 17, 408, 101, 238, 67, 163, 0, 0, 0, 0, 0, 690, 0, 0, 0, 89, 14, 342, 81, 179, 45, 80, 209, 31, 17, 31, 0, 2.0, 20.0, 27.0, 0, 9, 31, 3, 10, 18, 0, 0, 5, 21, 5, 0, 0.0, 2, 7, 17, 0, 0, 29, 29, 6.45, 64.52, 87.1, 54.796875, 93.5, 93.5, 0, 29.0, 100.0, 0.0, 16.09765625, 67.6875, 16.09765625, 0.0, 0.0, 9.69921875, 6.5, 32.296875, 22.59765625, 58.09375, 54.796875, 12.0, 4.0, 77.0, 16.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 109, "Bacheliers technologiques toutes séries", 154, "Liste d'appel propre à cette formation", 33.0, "23415", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23415&g_ta_cod=23415", 10.0, 32.0, 58.0),
(7360, "Public", "0820844X", "Université Toulouse 1 - Antenne de Montauban", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Montauban", "formation non sélective", "Licence", "Université Toulouse 1 - Antenne de Montauban - Licence - Droit - Parcours parcours Droit", "Licence - Droit-économie-gestion", "parcours Droit", 150, 1243, 903, 1157, 0, 811, 201, 163, 53, 40, 19, 143, 86, 17, 7, 4, 58, 1150, 80, 0, 0, 811, 201, 163, 53, 40, 19, 136, 859, 147, 99, 122, 25, 7.0, 114.0, 124.0, 0, 30, 105, 78, 19, 8, 42, 0, 40, 44, 16, 5, 0.0, 49, 12, 4, 0, 0, 89, 89, 4.76, 77.55, 84.35, 67.296875, 84.796875, 84.796875, 0, 28.59765625, 71.390625, 0.0, 38.09375, 41.8984375, 15.19921875, 4.8, 0.0, 74.296875, 46.6953125, 18.09765625, 11.3984375, 7.599609375, 3.7998046875, 544.0, 114.0, 30.0, 14.0, 160.0, "Tous les candidats", 1150.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "10326", "Licence - Droit - Parcours parcours Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10326&g_ta_cod=10326", 66.0, 22.0, 11.0),
(7361, "Public", "9840267T", "Lycée professionnel de Faaa", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation sélective", "BTS", "Lycée professionnel de Faaa - BTS - Services - Gestion de la PME", "BTS - Services", "", 17, 169, 128, 168, 0, 8, 2, 71, 46, 67, 50, 22, 1, 0, 0, 0, 1, 150, 0, 0, 0, 6, 2, 66, 43, 62, 49, 16, 37, 17, 15, 17, 0, 8.0, 16.0, 16.0, 0, 12, 14, 0, 7, 7, 3, 0, 9, 1, 4, 0, 0.0, 0, 0, 5, 7, 7, 14, 14, 47.06, 94.12, 94.12, 88.1875, 100.0, 100.0, 50, 85.6875, 82.390625, 0.0, 64.296875, 7.099609375, 28.59765625, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 35.6953125, 2.0, 1.0, 12.0, 10.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 31.0, "20175", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20175&g_ta_cod=20175", 0.0, 47.0, 53.0),
(7362, "Public", "0720083Z", "I.U.T. Le Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BUT", "I.U.T. Le Mans - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle", "BUT - Production", "Innovation pour l?industrie - Simulation numérique et réalité virtuelle", 91, 1483, 79, 1458, 0, 808, 65, 450, 65, 12, 8, 188, 25, 3, 7, 0, 15, 1195, 3, 0, 0, 706, 58, 359, 42, 6, 2, 124, 726, 81, 1, 79, 2, 28.0, 62.0, 74.0, 0, 12, 71, 44, 26, 1, 10, 0, 14, 41, 15, 1, 0.0, 35, 21, 1, 0, 0, 45, 45, 34.57, 76.54, 91.36, 1.199951171875, 63.3984375, 63.3984375, 0, 16.8984375, 87.6875, 0.0, 19.69921875, 57.6953125, 21.09765625, 1.4, 0.0, 62.0, 49.296875, 36.59375, 29.59765625, 1.39990234375, 1.39990234375, 391.0, 44.0, 4.0, 2.0, 86.0, "Tous les candidats sauf les Bac technologiques", 698.0, "Bacheliers technologiques toutes séries", 385, "", 0, "Liste d'appel propre à cette formation", 74.0, "8709", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8709&g_ta_cod=8709", 65.0, 33.0, 1.0),
(7363, "Public", "0600015R", "Lycée Mireille Grenet", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "BTS", "Lycée Mireille Grenet - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 159, 19, 119, 0, 7, 0, 19, 4, 33, 7, 60, 40, 0, 11, 18, 11, 119, 18, 0, 0, 7, 0, 19, 4, 33, 7, 60, 81, 19, 0, 10, 9, 2.0, 9.0, 13.0, 0, 5, 13, 1, 7, 5, 6, 0, 11, 2, 0, 0, 0.0, 0, 1, 1, 4, 0, 12, 12, 10.53, 47.37, 68.42, 0.0, 92.296875, 92.296875, 30.796875, 38.5, 68.390625, 0.0, 84.59375, 15.3984375, 0.0, 0.0, 0.0, 7.69921875, 0.0, 53.796875, 7.69921875, 38.5, 7.69921875, 4.0, 0.0, 37.0, 10.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 59.0, "7224", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7224&g_ta_cod=7224", 5.0, 63.0, 32.0),
(7364, "Public", "0710026T", "Lycée LEON BLUM", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Le Creusot", "formation sélective", "BTS", "Lycée LEON BLUM - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 15, 77, 1, 77, 0, 2, 1, 27, 2, 31, 8, 17, 0, 0, 0, 0, 0, 61, 0, 0, 0, 1, 1, 27, 2, 31, 8, 2, 30, 13, 1, 13, 0, 7.0, 11.0, 12.0, 0, 5, 13, 0, 5, 8, 0, 0, 4, 6, 2, 1, 0.0, 0, 1, 8, 9, 1, 12, 12, 53.85, 84.62, 92.31, 7.69921875, 92.296875, 92.296875, 69.1875, 38.5, 100.0, 0.0, 30.796875, 46.1953125, 15.3984375, 7.7, 0.0, 0.0, 0.0, 38.5, 7.69921875, 61.5, 61.5, 1.0, 1.0, 12.0, 5.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 47.0, "8630", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8630&g_ta_cod=8630", 0.0, 38.0, 62.0),
(7365, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation non sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Portail Biologie et Ingénierie", "Licence - Sciences - technologies - santé", "BIOLOGIE ET INGENIERIE", 307, 1864, 1176, 1864, 0, 1148, 225, 76, 19, 1, 0, 639, 0, 0, 0, 0, 0, 1859, 0, 0, 0, 1148, 225, 76, 19, 1, 0, 634, 1213, 304, 159, 294, 0, 29.0, 196.0, 260.0, 0, 48, 261, 247, 14, 0, 43, 1, 119, 114, 26, 1, 0.0, 133, 8, 0, 0, 0, 209, 241, 9.54, 64.47, 85.53, 52.296875, 80.09375, 92.296875, 0, 18.3984375, 85.890625, 0.39996337890625, 45.59375, 43.6953125, 10.0, 0.4, 0.0, 94.59375, 51.0, 5.3994140625, 3.099609375, 0.0, 0.0, 937.0, 174.0, 0.0, 0.0, 238.0, "Tous les candidats", 1321.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "27374", "Licence - Portail Biologie et Ingénierie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27626&g_ta_cod=27374", 95.0, 5.0, 0.0),
(7366, "Public", "0341736C", "Lycée Jean Monnet", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "Lycée Jean Monnet - DN MADE - Numérique - - Spécialité : design d'interaction : web, applications, interface des objets connectés", "DN MADE", "- Spécialité : design d'interaction : web, applications, interface des objets connectés", 15, 560, 269, 560, 0, 208, 54, 159, 39, 49, 17, 144, 0, 0, 0, 0, 0, 329, 0, 0, 0, 132, 35, 112, 27, 15, 2, 70, 73, 15, 9, 15, 0, 2.0, 12.0, 15.0, 0, 5, 13, 6, 4, 3, 2, 0, 3, 5, 3, 2, 0.0, 4, 4, 2, 0, 0, 6, 6, 13.33, 80.0, 100.0, 60.0, 46.1953125, 46.1953125, 0, 38.5, 86.6875, 0.0, 23.09765625, 38.5, 23.09765625, 15.4, 0.0, 46.1953125, 30.796875, 30.796875, 30.796875, 23.09765625, 15.3984375, 13.0, 6.0, 5.0, 1.0, 12.0, "Tous les candidats", 115.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "21551", "DN MADE - Numérique - - Spécialité : design d'interaction : web, applications, interface des objets connectés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21551&g_ta_cod=21551", 40.0, 40.0, 20.0),
(7367, "Public", "0771990V", "IFSI Grand Hôpital Est Francilien-Site de Formation Coulommiers", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Coulommiers", "formation sélective", "IFSI", "Regroupement d'IFSI UPEC (P12)  - D.E Infirmier", "D.E secteur sanitaire", "", 50, 2940, 2564, 2940, 0, 290, 68, 486, 163, 427, 203, 1737, 0, 0, 0, 0, 0, 1966, 0, 0, 0, 267, 58, 332, 108, 267, 119, 1100, 728, 45, 42, 45, 0, 0.0, 14.0, 43.0, 0, 7, 29, 11, 15, 3, 16, 0, 6, 12, 11, 0, 0.0, 8, 12, 3, 0, 0, 23, 23, 0.0, 31.11, 95.56, 93.296875, 79.296875, 79.296875, 0, 24.09765625, 64.390625, 0.0, 20.69921875, 41.3984375, 37.8984375, 0.0, 0.0, 37.8984375, 27.59765625, 51.6953125, 41.3984375, 10.298828125, 10.298828125, 149.0, 35.0, 92.0, 35.0, 372.0, "Tous les candidats", 2607.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "23277", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23006&g_ta_cod=23277", 40.0, 47.0, 13.0),
(7368, "Privé sous contrat d'association", "0781627V", "IFSI Croix Rouge Française Mantes La Jolie", "78", "Yvelines", "Ile-de-France", "Versailles", "Mantes-la-Jolie", "formation sélective", "IFSI", "Regroupement d'IFSI Médecine Sorbonne Université P6 - D.E Infirmier", "D.E secteur sanitaire", "", 85, 5414, 4691, 5414, 0, 506, 155, 705, 295, 755, 392, 3448, 0, 0, 0, 0, 0, 4484, 0, 0, 0, 489, 151, 638, 267, 704, 371, 2653, 1149, 83, 74, 82, 0, 0.0, 20.0, 62.0, 0, 12, 18, 2, 7, 9, 65, 0, 6, 5, 5, 2, 0.0, 1, 4, 7, 0, 0, 13, 13, 0.0, 24.1, 74.7, 89.1875, 72.1875, 72.1875, 0, 66.6875, 21.69921875, 0.0, 33.296875, 27.796875, 27.796875, 11.1, 0.0, 11.099609375, 5.599609375, 38.8984375, 22.19921875, 50.0, 38.8984375, 63.0, 42.0, 100.0, 84.0, 954.0, "Tous les candidats", 4078.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "23285", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23003&g_ta_cod=23285", 16.0, 46.0, 39.0),
(7369, "Public", "0330069W", "Lycée des métiers des soins et des services à la personne La Morlette", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Cenon", "formation sélective", "BTS", "Lycée des métiers des soins et des services à la personne La Morlette - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 45, 706, 686, 706, 0, 93, 23, 181, 53, 244, 65, 188, 0, 0, 0, 0, 0, 500, 0, 0, 0, 34, 7, 170, 46, 200, 47, 96, 175, 42, 42, 42, 0, 17.0, 33.0, 34.0, 0, 13, 36, 3, 11, 22, 6, 0, 6, 12, 17, 1, 0.0, 1, 8, 21, 7, 7, 20, 20, 40.48, 78.57, 80.95, 100.0, 55.59375, 55.59375, 19.3984375, 36.09375, 85.6875, 0.0, 16.69921875, 33.296875, 47.1953125, 2.8, 0.0, 8.298828125, 2.7998046875, 30.59765625, 22.19921875, 61.09375, 58.296875, 12.0, 5.0, 84.0, 23.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 146, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 36.0, "13347", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13347&g_ta_cod=13347", 7.0, 33.0, 60.0),
(7370, "Public", "0911632E", "Lycée Rene Cassin", "91", "Essonne", "Ile-de-France", "Versailles", "Arpajon", "formation sélective", "BTS", "Lycée Rene Cassin - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 459, 210, 459, 0, 34, 9, 173, 69, 111, 53, 141, 0, 0, 0, 0, 0, 292, 0, 0, 0, 23, 6, 137, 53, 69, 31, 63, 126, 32, 12, 31, 0, 10.0, 23.0, 28.0, 0, 13, 28, 4, 11, 13, 4, 0, 14, 10, 4, 0, 0.0, 1, 5, 8, 6, 1, 27, 28, 31.25, 71.88, 87.5, 37.5, 96.390625, 100.0, 21.3984375, 46.3984375, 87.5, 0.0, 50.0, 35.6953125, 14.298828125, 0.0, 0.0, 14.298828125, 3.599609375, 39.296875, 17.8984375, 46.3984375, 28.59765625, 12.0, 5.0, 46.0, 18.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 36.0, "10937", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10937&g_ta_cod=10937", 13.0, 41.0, 47.0),
(7371, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence_Las", "Université Polytechnique Hauts-de-France - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 45, 435, 319, 391, 0, 258, 72, 46, 17, 7, 3, 80, 44, 18, 3, 0, 23, 391, 42, 0, 0, 258, 72, 46, 17, 7, 3, 80, 257, 40, 29, 28, 12, 4.0, 21.0, 29.0, 0, 6, 28, 22, 5, 1, 12, 0, 8, 13, 5, 2, 0.0, 16, 3, 1, 0, 0, 28, 28, 10.0, 52.5, 72.5, 72.5, 100.0, 100.0, 0, 21.3984375, 70.0, 0.0, 28.59765625, 46.3984375, 17.8984375, 7.1, 0.0, 78.59375, 57.09375, 17.8984375, 10.69921875, 3.599609375, 3.599609375, 176.0, 48.0, 1.0, 0.0, 61.0, "Tous les candidats", 1570.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "28660", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28659&g_ta_cod=28660", 78.0, 15.0, 8.0),
(7372, "Public", "0941018W", "Lycée Edouard Branly", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 48, 522, 28, 430, 0, 7, 2, 48, 24, 248, 112, 127, 92, 13, 33, 0, 46, 230, 19, 0, 0, 4, 2, 33, 16, 171, 70, 22, 206, 48, 3, 38, 9, 7.0, 33.0, 42.0, 0, 14, 37, 1, 6, 30, 11, 0, 17, 14, 5, 1, 0.0, 0, 2, 18, 8, 0, 24, 35, 14.58, 68.75, 87.5, 6.2998046875, 64.890625, 94.59375, 21.59765625, 37.796875, 77.09375, 0.0, 45.8984375, 37.796875, 13.5, 2.7, 0.0, 2.69970703125, 0.0, 16.19921875, 5.3994140625, 81.09375, 48.59375, 7.0, 2.0, 133.0, 51.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 170, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 51.0, "11465", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11465&g_ta_cod=11465", 8.0, 19.0, 73.0),
(7373, "Public", "0310047H", "Lycée Ozenne", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Ozenne - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 2142, 1535, 2142, 0, 1806, 198, 3, 0, 1, 1, 332, 0, 0, 0, 0, 0, 2142, 0, 0, 2142, 1806, 198, 3, 0, 1, 1, 332, 348, 50, 41, 50, 0, 10.0, 35.0, 50.0, 0, 6, 50, 50, 0, 0, 0, 0, 0, 0, 12, 37, 1.0, 50, 0, 0, 0, 0, 28, 28, 20.0, 70.0, 100.0, 82.0, 56.0, 56.0, 0, 12.0, 100.0, 0.0, 0.0, 0.0, 24.0, 74.0, 2.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 329.0, 42.0, 0.0, 0.0, 19.0, "Tous les candidats", 467.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "4066", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4066&g_ta_cod=4066", 100.0, 0.0, 0.0),
(7374, "Public", "0875082B", "ENSIL-ENSCI - Partenaire INSA", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Ecole d'Ingénieur", "Groupe INSA - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 60, 4842, 1518, 4838, 0, 4154, 337, 0, 0, 0, 0, 684, 4, 1, 0, 0, 3, 3327, 2, 0, 0, 2876, 211, 0, 0, 0, 0, 451, 2200, 50, 14, 50, 0, 8.0, 27.0, 49.0, 0, 0, 42, 42, 0, 0, 8, 1, 0, 2, 29, 10, 0.0, 41, 0, 0, 0, 0, 17, 17, 16.0, 54.0, 98.0, 28.0, 40.5, 40.5, 0, 0.0, 84.0, 2.39990234375, 0.0, 4.7998046875, 69.0, 23.8, 0.0, 100.0, 97.59375, 0.0, 0.0, 0.0, 0.0, 1881.0, 158.0, 0.0, 0.0, 319.0, "Tous les candidats", 15673.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 68.0, "64", "Formation d'ingénieur Bac + 5 - Bac Général", "Groupe INSA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=57&g_ta_cod=64", 100.0, 0.0, 0.0),
(7375, "Public", "0740927F", "ENILV", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "La Roche-sur-Foron", "formation sélective", "BTS", "ENILV - BTS - Agricole - Sciences et technologies des aliments spécialité Produits laitiers", "BTS - Agricole", "", 16, 177, 98, 161, 0, 13, 1, 28, 1, 21, 4, 99, 16, 2, 1, 1, 12, 75, 10, 0, 0, 13, 1, 28, 1, 21, 4, 13, 61, 9, 6, 8, 1, 1.0, 8.0, 8.0, 0, 0, 6, 1, 3, 2, 3, 0, 2, 1, 3, 0, 0.0, 1, 3, 0, 1, 1, 5, 5, 11.11, 88.89, 88.89, 66.6875, 83.296875, 83.296875, 16.69921875, 0.0, 66.6875, 0.0, 33.296875, 16.69921875, 50.0, 0.0, 0.0, 16.69921875, 16.69921875, 50.0, 50.0, 33.296875, 0.0, 11.0, 1.0, 18.0, 3.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 45.0, "8895", "BTS - Agricole - Sciences et technologies des aliments spécialité Produits laitiers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8895&g_ta_cod=8895", 44.0, 33.0, 22.0),
(7376, "Public", "0670086E", "Lycée des métiers René Cassin", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée des métiers René Cassin - BTS - Services - Gestion de la PME", "BTS - Services", "", 34, 1372, 854, 1372, 0, 161, 51, 462, 193, 380, 203, 369, 0, 0, 0, 0, 0, 747, 0, 0, 0, 109, 27, 301, 112, 205, 98, 132, 192, 30, 24, 30, 0, 4.0, 19.0, 27.0, 0, 8, 24, 3, 11, 10, 6, 0, 4, 12, 7, 1, 0.0, 3, 7, 10, 7, 7, 23, 23, 13.33, 63.33, 90.0, 80.0, 95.796875, 95.796875, 29.19921875, 33.296875, 80.0, 0.0, 16.69921875, 50.0, 29.19921875, 4.2, 0.0, 12.5, 12.5, 45.796875, 29.19921875, 41.6953125, 41.6953125, 30.0, 13.0, 26.0, 11.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 111.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 192, "Liste d'appel propre à cette formation", 25.0, "7948", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7948&g_ta_cod=7948", 20.0, 43.0, 37.0),
(7377, "Public", "0922671D", "I.U.T de Ville d'Avray - Antenne de Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "BUT", "I.U.T de Ville d'Avray - Antenne de Nanterre - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat-	Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entrepreneuriat-	Stratégie de marque et événementiel", 82, 4813, 2629, 4813, 0, 2295, 500, 1697, 585, 42, 13, 779, 0, 0, 0, 0, 0, 2247, 0, 0, 0, 1067, 202, 777, 221, 3, 1, 400, 381, 84, 61, 84, 0, 18.0, 76.0, 81.0, 0, 23, 81, 40, 41, 0, 3, 0, 0, 30, 49, 2, 0.0, 40, 41, 0, 0, 0, 58, 77, 21.43, 90.48, 96.43, 72.59375, 71.59375, 95.09375, 0, 28.3984375, 96.390625, 0.0, 0.0, 37.0, 60.5, 2.5, 0.0, 49.3984375, 49.3984375, 50.59375, 50.59375, 0.0, 0.0, 177.0, 40.0, 1.0, 0.0, 21.0, "Tous les candidats sauf les Bac technologiques", 285.0, "Bacheliers technologiques toutes séries", 263, "", 0, "Liste d'appel propre à cette formation", 11.0, "25438", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat-	Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25438&g_ta_cod=25438", 51.0, 49.0, 0.0),
(7378, "Public", "0440074S", "Lycée professionnel Brossaud-Blancho", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "Autre formation", "Lycée professionnel Brossaud-Blancho - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 5, 63, 5, 62, 0, 1, 1, 0, 0, 50, 13, 11, 1, 0, 0, 1, 0, 28, 0, 0, 0, 0, 0, 0, 0, 23, 6, 5, 17, 3, 0, 3, 0, 3.0, 3.0, 3.0, 0, 1, 2, 0, 0, 2, 1, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 50.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 12.0, 5.0, 5.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "19770", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19770&g_ta_cod=19770", 0.0, 0.0, 100.0),
(7379, "Public", "0330021U", "Lycée Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Montaigne - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 4087, 1228, 4087, 3188, 3713, 317, 3, 1, 1, 0, 370, 0, 0, 0, 0, 0, 1658, 0, 788, 1630, 1647, 103, 0, 0, 0, 0, 11, 274, 94, 22, 94, 0, 16.0, 79.0, 92.0, 21, 13, 94, 94, 0, 0, 0, 0, 0, 0, 6, 60, 28.0, 94, 0, 0, 3, 1, 80, 80, 17.02, 84.04, 97.87, 23.3984375, 85.09375, 85.09375, 3.19970703125, 13.798828125, 100.0, 0.0, 0.0, 0.0, 6.3994140625, 63.8, 29.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 274.0, 25.0, 0.0, 0.0, 0.0, "Tous les candidats", 389.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "4271", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4271&g_ta_cod=4271", 100.0, 0.0, 0.0),
(7380, "Public", "9740078S", "Lycée agricole Emile Boyer de La Giroday", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Paul", "formation sélective", "BTS", "Lycée agricole Emile Boyer de La Giroday - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 16, 193, 77, 129, 0, 5, 4, 9, 2, 27, 14, 88, 64, 0, 9, 24, 31, 76, 13, 0, 0, 4, 3, 9, 2, 26, 14, 37, 62, 11, 2, 6, 5, 1.0, 6.0, 10.0, 0, 1, 3, 0, 1, 2, 8, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 9.09, 54.55, 90.91, 18.19921875, 66.6875, 66.6875, 0, 33.296875, 27.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 0.0, 2.0, 2.0, 19.0, 11.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 45.0, "28554", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28554&g_ta_cod=28554", 9.0, 36.0, 55.0),
(7381, "Privé enseignement supérieur", "0791199Z", "Facultés libres de l'ouest UCO - Niort", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation non sélective", "Licence", "Facultés libres de l'ouest UCO - Niort - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 40, 281, 244, 189, 0, 114, 12, 25, 3, 5, 1, 45, 92, 29, 9, 2, 52, 189, 88, 0, 0, 114, 12, 25, 3, 5, 1, 45, 248, 37, 33, 25, 12, 14.0, 25.0, 36.0, 0, 4, 25, 21, 3, 1, 12, 0, 12, 8, 4, 1, 0.0, 10, 2, 1, 0, 0, 15, 15, 37.84, 67.57, 97.3, 89.1875, 60.0, 60.0, 0, 16.0, 67.59375, 0.0, 48.0, 32.0, 16.0, 4.0, 0.0, 84.0, 40.0, 12.0, 8.0, 4.0, 4.0, 126.0, 12.0, 6.0, 2.0, 86.0, "Tous les candidats", 188.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "31827", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31827&g_ta_cod=31827", 78.0, 14.0, 8.0),
(7382, "Public", "0772296C", "Lycée De La Mare Carree", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Moissy-Cramayel", "formation sélective", "BTS", "Lycée De La Mare Carree - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 24, 223, 26, 170, 0, 8, 3, 58, 11, 39, 16, 65, 53, 3, 9, 13, 28, 50, 7, 0, 0, 5, 1, 18, 2, 24, 8, 3, 54, 15, 0, 11, 3, 5.0, 11.0, 14.0, 0, 1, 12, 2, 4, 6, 3, 0, 4, 6, 1, 1, 0.0, 0, 2, 6, 4, 0, 12, 12, 33.33, 73.33, 93.33, 0.0, 100.0, 100.0, 33.296875, 8.298828125, 80.0, 0.0, 33.296875, 50.0, 8.298828125, 8.3, 0.0, 16.69921875, 0.0, 33.296875, 16.69921875, 50.0, 50.0, 7.0, 1.0, 27.0, 9.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 29.0, "9885", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9885&g_ta_cod=9885", 27.0, 27.0, 47.0),
(7383, "Public", "7200117P", "I.U.T de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation sélective", "BUT", "I.U.T de Corte - BUT - Génie civil - Construction durable Parcours : Réhabilitation et amélioration des performances environnementales des bâtiments (Seconde année possible en apprentissage)", "BUT - Production", "Réhabilitation et amélioration des performances environnementales des bâtiments", 50, 372, 90, 342, 0, 187, 22, 64, 8, 8, 3, 83, 30, 2, 15, 0, 13, 230, 6, 0, 0, 146, 17, 44, 5, 2, 1, 38, 177, 42, 13, 38, 4, 12.0, 37.0, 41.0, 0, 7, 37, 28, 8, 1, 5, 0, 7, 20, 8, 2, 0.0, 23, 6, 1, 0, 0, 36, 36, 28.57, 88.1, 97.62, 31.0, 97.296875, 97.296875, 0, 18.8984375, 88.09375, 0.0, 18.8984375, 54.09375, 21.59765625, 5.4, 0.0, 75.6875, 62.1953125, 21.59765625, 16.19921875, 2.69970703125, 2.69970703125, 99.0, 12.0, 2.0, 1.0, 29.0, "Tous les candidats sauf les Bac technologiques", 177.0, "Bacheliers technologiques toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 66.0, "11693", "BUT - Génie civil - Construction durable Parcours : Réhabilitation et amélioration des performances environnementales des bâtiments (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11693&g_ta_cod=11693", 79.0, 19.0, 2.0),
(7384, "Public", "0350011X", "Lycée Jean Guehenno", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Fougères", "formation sélective", "BTS", "Lycée Jean Guehenno - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 20, 259, 22, 243, 0, 11, 1, 38, 7, 63, 18, 131, 16, 0, 0, 5, 11, 161, 2, 0, 0, 11, 1, 31, 6, 55, 14, 64, 82, 8, 2, 7, 1, 1.0, 3.0, 8.0, 0, 0, 1, 0, 0, 1, 7, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 12.5, 37.5, 100.0, 25.0, 100.0, 100.0, 0, 0.0, 12.5, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 6.0, 1.0, 48.0, 15.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 47.0, "4622", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4622&g_ta_cod=4622", 63.0, 13.0, 25.0),
(7385, "Public", "0530951W", "I.U.T. Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BUT", "I.U.T. Laval - BUT - Informatique Parcours : Parcours Réalisation d'applications : conception, développement, validation -  Parcours Déploiement d'applications communicantes et sécurisées", "BUT - Production", "Parcours Réalisation d'applications : conception, développement, validation -  Parcours Déploiement d'applications communicantes et sécurisées", 52, 1177, 97, 1177, 0, 735, 95, 298, 55, 10, 4, 134, 0, 0, 0, 0, 0, 708, 0, 0, 0, 481, 50, 186, 30, 0, 0, 41, 193, 55, 3, 55, 0, 16.0, 51.0, 54.0, 0, 11, 52, 26, 26, 0, 3, 0, 1, 24, 24, 3, 0.0, 26, 25, 0, 0, 0, 39, 39, 29.09, 92.73, 98.18, 5.5, 75.0, 75.0, 0, 21.19921875, 94.5, 0.0, 1.89990234375, 46.1953125, 46.1953125, 5.8, 0.0, 50.0, 50.0, 50.0, 48.09375, 0.0, 0.0, 103.0, 16.0, 0.0, 0.0, 8.0, "Tous les candidats sauf les Bac technologiques", 168.0, "Bacheliers technologiques toutes séries", 145, "", 0, "Liste d'appel propre à cette formation", 27.0, "6231", "BUT - Informatique Parcours : Parcours Réalisation d'applications : conception, développement, validation -  Parcours Déploiement d'applications communicantes et sécurisées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6231&g_ta_cod=6231", 49.0, 51.0, 0.0),
(7386, "Public", "0161125L", "I.U.T. Angoulême", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BUT", "I.U.T. Angoulême - BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Électronique et systèmes embarqués", "BUT - Production", "Automatisme et Informatique Industrielle - Électronique et systèmes embarqués", 54, 558, 39, 538, 0, 304, 43, 123, 28, 13, 5, 98, 20, 5, 2, 1, 12, 473, 11, 0, 0, 290, 36, 115, 26, 3, 1, 65, 338, 43, 2, 39, 4, 14.0, 32.0, 42.0, 0, 8, 36, 27, 9, 0, 7, 0, 22, 9, 5, 0, 0.0, 9, 5, 0, 0, 0, 19, 19, 32.56, 74.42, 97.67, 4.69921875, 52.796875, 52.796875, 0, 22.19921875, 83.6875, 0.0, 61.09375, 25.0, 13.8984375, 0.0, 0.0, 75.0, 25.0, 25.0, 13.8984375, 0.0, 0.0, 197.0, 28.0, 2.0, 1.0, 49.0, "Tous les candidats sauf les Bac technologiques", 334.0, "Bacheliers technologiques toutes séries", 136, "", 0, "Liste d'appel propre à cette formation", 87.0, "3012", "BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Électronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3012&g_ta_cod=3012", 67.0, 30.0, 2.0),
(7387, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Cinéma", "Licence - Arts-lettres-langues", "", 205, 2990, 1452, 2990, 0, 1817, 307, 178, 37, 92, 29, 903, 0, 0, 0, 0, 0, 2954, 0, 0, 0, 1817, 307, 178, 37, 92, 29, 867, 984, 205, 92, 205, 0, 25.0, 161.0, 187.0, 0, 30, 200, 173, 13, 14, 5, 0, 20, 98, 76, 5, 1.0, 157, 12, 11, 0, 0, 40, 117, 12.2, 78.54, 91.22, 44.8984375, 20.0, 58.5, 0, 15.0, 97.59375, 0.0, 10.0, 49.0, 38.0, 2.5, 0.5, 86.5, 78.5, 6.5, 6.0, 7.0, 5.5, 870.0, 115.0, 34.0, 11.0, 36.0, "Tous les candidats", 1251.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "28437", "Licence - Cinéma", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28437&g_ta_cod=28437", 85.0, 6.0, 8.0),
(7388, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence_Las", "Université Grenoble Alpes  - Licence - Sciences pour la santé - Biotechnologies pour la santé -  option Santé", "Licence - Sciences - technologies - santé", "Biotechnologies pour la santé", 100, 1408, 1028, 1408, 0, 654, 96, 70, 16, 0, 0, 684, 0, 0, 0, 0, 0, 1379, 0, 0, 0, 654, 96, 70, 16, 0, 0, 655, 648, 94, 76, 94, 0, 6.0, 42.0, 71.0, 0, 12, 47, 39, 8, 0, 47, 1, 6, 22, 12, 6, 0.0, 34, 6, 0, 0, 0, 35, 35, 6.38, 44.68, 75.53, 80.890625, 74.5, 74.5, 0, 25.5, 50.0, 2.099609375, 12.798828125, 46.796875, 25.5, 12.8, 0.0, 83.0, 72.296875, 17.0, 12.798828125, 0.0, 0.0, 285.0, 49.0, 0.0, 0.0, 344.0, "Tous les candidats", 798.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "30911", "Licence - Sciences pour la santé - Biotechnologies pour la santé -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30911&g_ta_cod=30911", 87.0, 13.0, 0.0),
(7389, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues étrangères appliquées - Parcours Anglais et Allemand (niveau B1/B2 attendu pour l'anglais) - débutant", "Licence - Arts-lettres-langues", "Anglais et Allemand (niveau B1/B2 attendu pour l'anglais) - débutant", 40, 299, 194, 291, 0, 180, 44, 31, 10, 5, 5, 75, 8, 0, 0, 0, 8, 289, 5, 0, 0, 180, 44, 31, 10, 5, 5, 73, 192, 40, 23, 38, 2, 8.0, 33.0, 37.0, 0, 7, 29, 22, 6, 1, 11, 0, 12, 11, 6, 0, 0.0, 15, 2, 0, 0, 0, 19, 19, 20.0, 82.5, 92.5, 57.5, 65.5, 65.5, 0, 24.09765625, 72.5, 0.0, 41.3984375, 37.8984375, 20.69921875, 0.0, 0.0, 75.890625, 51.6953125, 20.69921875, 6.8994140625, 3.39990234375, 0.0, 133.0, 34.0, 3.0, 3.0, 38.0, "Tous les candidats", 284.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "23328", "Licence - Langues étrangères appliquées - Parcours Anglais et Allemand (niveau B1/B2 attendu pour l'anglais) - débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23328&g_ta_cod=23328", 80.0, 18.0, 3.0),
(7390, "Public", "0332747G", "Lycée Jean Condorcet", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Jean Condorcet - BTS - Services - Assurance", "BTS - Services", "", 34, 1114, 655, 1093, 0, 143, 43, 365, 147, 188, 99, 397, 21, 0, 9, 2, 10, 404, 7, 0, 0, 89, 24, 168, 54, 102, 51, 45, 213, 32, 20, 28, 4, 1.0, 20.0, 24.0, 0, 11, 25, 6, 11, 8, 7, 0, 7, 15, 3, 0, 0.0, 6, 7, 5, 2, 2, 22, 22, 3.13, 62.5, 75.0, 62.5, 88.0, 88.0, 8, 44.0, 78.09375, 0.0, 28.0, 60.0, 12.0, 0.0, 0.0, 24.0, 24.0, 44.0, 28.0, 32.0, 20.0, 40.0, 16.0, 48.0, 22.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 177, "Liste d'appel propre à cette formation", 29.0, "4450", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4450&g_ta_cod=4450", 25.0, 41.0, 34.0),
(7391, "Privé enseignement supérieur", "0741787R", "UCLy Alpes-Europe", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "Licence", "UCLy Alpes-Europe - Licence - Double diplôme - Licence Droit - Double diplôme Licence de Droit + Diplôme Universitaire Common Law", "Licence - Droit-économie-gestion", "Double diplôme Licence de Droit + Diplôme Universitaire Common Law", 15, 173, 130, 74, 0, 63, 3, 1, 0, 0, 0, 10, 99, 39, 7, 1, 52, 67, 10, 0, 0, 59, 3, 0, 0, 0, 0, 8, 60, 12, 10, 6, 6, 0.0, 6.0, 12.0, 0, 1, 10, 9, 1, 0, 2, 0, 3, 4, 2, 1, 0.0, 7, 0, 0, 0, 0, 7, 7, 0.0, 50.0, 100.0, 83.296875, 70.0, 70.0, 0, 10.0, 83.296875, 0.0, 30.0, 40.0, 20.0, 10.0, 0.0, 90.0, 70.0, 10.0, 0.0, 0.0, 0.0, 49.0, 2.0, 0.0, 0.0, 10.0, "Tous les candidats", 67.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "32419", "Licence - Double diplôme - Licence Droit - Double diplôme Licence de Droit + Diplôme Universitaire Common Law", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32419&g_ta_cod=32419", 92.0, 8.0, 0.0),
(7392, "Privé sous contrat d'association", "0160980D", "Lycée Privé Polyvalent Roc Fleuri", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Ruffec", "formation sélective", "BTS", "Lycée Privé Polyvalent Roc Fleuri - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 36, 220, 89, 209, 0, 12, 2, 8, 3, 26, 9, 163, 11, 1, 0, 1, 9, 50, 5, 0, 0, 12, 2, 8, 3, 23, 6, 7, 57, 12, 10, 7, 4, 6.0, 7.0, 10.0, 0, 3, 6, 1, 0, 5, 6, 0, 0, 5, 1, 0, 0.0, 1, 0, 5, 2, 1, 6, 6, 50.0, 58.33, 83.33, 83.296875, 100.0, 100.0, 33.296875, 50.0, 50.0, 0.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 16.69921875, 16.69921875, 0.0, 0.0, 83.296875, 83.296875, 12.0, 2.0, 28.0, 9.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 24.0, "3002", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3002&g_ta_cod=3002", 17.0, 0.0, 83.0),
(7393, "Public", "0693521C", "I.U.T LUMIERE Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Bron", "formation sélective", "BUT", "I.U.T LUMIERE Lyon 2 - BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux (Seconde année en apprentissage)", "BUT - Production", "Science du danger et management des risques professionnels technologiques et environnementaux", 50, 556, 172, 541, 0, 276, 25, 153, 24, 12, 2, 100, 15, 0, 10, 0, 5, 152, 6, 0, 0, 69, 4, 59, 5, 0, 0, 24, 117, 49, 15, 47, 2, 21.0, 42.0, 45.0, 0, 2, 38, 20, 18, 0, 11, 0, 3, 24, 11, 0, 0.0, 19, 16, 0, 0, 0, 14, 14, 42.86, 85.71, 91.84, 30.59765625, 36.796875, 36.796875, 0, 5.2998046875, 77.59375, 0.0, 7.8994140625, 63.1953125, 28.8984375, 0.0, 0.0, 52.59375, 50.0, 47.3984375, 42.09375, 0.0, 0.0, 39.0, 4.0, 0.0, 0.0, 23.0, "Tous les candidats sauf les Bac technologiques", 59.0, "Bacheliers technologiques toutes séries", 60, "", 0, "Liste d'appel propre à cette formation", 22.0, "8574", "BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8574&g_ta_cod=8574", 59.0, 41.0, 0.0),
(7394, "Public", "0250030X", "Lycée Georges Cuvier", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "BTS", "Lycée Georges Cuvier - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 387, 258, 387, 0, 16, 3, 123, 58, 143, 69, 105, 0, 0, 0, 0, 0, 303, 0, 0, 0, 13, 2, 109, 49, 114, 51, 67, 104, 21, 17, 21, 0, 2.0, 13.0, 13.0, 0, 6, 16, 2, 4, 10, 5, 0, 4, 10, 1, 1, 0.0, 2, 3, 7, 1, 1, 16, 16, 9.52, 61.9, 61.9, 81.0, 100.0, 100.0, 6.2998046875, 37.5, 76.1875, 0.0, 25.0, 62.5, 6.2998046875, 6.3, 0.0, 12.5, 12.5, 25.0, 18.796875, 62.5, 43.796875, 11.0, 2.0, 46.0, 21.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 33.0, "3482", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3482&g_ta_cod=3482", 14.0, 24.0, 62.0),
(7395, "Public", "0350710G", "Lycée Francois René De Chateaubriand", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "CPGE", "Lycée Francois René De Chateaubriand - CPGE - BCPST", "Classe préparatoire scientifique", "", 144, 2386, 1618, 2386, 1707, 2101, 190, 3, 2, 0, 0, 282, 0, 0, 0, 0, 0, 1116, 0, 866, 1102, 1060, 77, 0, 0, 0, 0, 56, 740, 135, 95, 135, 0, 34.0, 88.0, 124.0, 53, 15, 131, 131, 0, 0, 4, 0, 0, 2, 56, 69, 4.0, 131, 0, 0, 1, 0, 66, 66, 25.19, 65.19, 91.85, 70.390625, 50.3984375, 50.3984375, 0.7999267578125, 11.5, 97.0, 0.0, 0.0, 1.5, 42.6953125, 52.7, 3.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 692.0, 61.0, 0.0, 0.0, 48.0, "Tous les candidats", 1008.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "4672", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4672&g_ta_cod=4672", 100.0, 0.0, 0.0),
(7396, "Public", "0160002R", "Lycée Guez De Balzac", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "CPGE", "Lycée Guez De Balzac - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 334, 237, 315, 188, 266, 43, 5, 1, 0, 0, 44, 19, 9, 1, 0, 9, 261, 7, 169, 244, 236, 35, 2, 0, 0, 0, 23, 186, 27, 17, 27, 0, 1.0, 22.0, 27.0, 6, 5, 25, 24, 1, 0, 2, 0, 1, 3, 12, 8, 1.0, 23, 1, 0, 5, 3, 14, 14, 3.7, 81.48, 100.0, 63.0, 56.0, 56.0, 20, 20.0, 92.59375, 0.0, 4.0, 12.0, 48.0, 32.0, 4.0, 96.0, 92.0, 4.0, 4.0, 0.0, 0.0, 166.0, 26.0, 0.0, 0.0, 20.0, "Tous les candidats", 254.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "2972", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2972&g_ta_cod=2972", 96.0, 4.0, 0.0),
(7397, "Public", "0624139M", "Université d'Artois - Site de Liévin", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Liévin", "formation sélective", "Licence", "Université d'Artois - Site de Liévin - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Excellence ENS", "Licence - Sciences humaines et sociales", "Excellence ENS", 30, 662, 195, 260, 0, 182, 38, 24, 10, 2, 1, 52, 402, 244, 26, 6, 126, 48, 44, 0, 0, 24, 0, 1, 0, 0, 0, 23, 88, 27, 11, 9, 18, 8.0, 9.0, 23.0, 0, 2, 15, 13, 2, 0, 12, 0, 2, 5, 4, 4, 0.0, 12, 1, 0, 0, 0, 6, 6, 29.63, 33.33, 85.19, 40.6953125, 40.0, 40.0, 0, 13.298828125, 55.59375, 0.0, 13.298828125, 33.296875, 26.69921875, 26.7, 0.0, 86.6875, 80.0, 13.298828125, 6.69921875, 0.0, 0.0, 45.0, 3.0, 0.0, 0.0, 41.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "16822", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Excellence ENS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16822&g_ta_cod=16822", 93.0, 7.0, 0.0),
(7398, "Public", "0542293Z", "Lycée Jacques-Marie Boutet De Monvel", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Lunéville", "formation sélective", "BTS", "Lycée Jacques-Marie Boutet De Monvel - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 110, 6, 110, 0, 3, 1, 28, 6, 47, 22, 32, 0, 0, 0, 0, 0, 90, 0, 0, 0, 3, 1, 26, 5, 42, 20, 19, 26, 15, 0, 15, 0, 7.0, 15.0, 15.0, 0, 5, 14, 1, 6, 7, 1, 0, 2, 7, 4, 1, 0.0, 0, 5, 7, 14, 0, 14, 14, 46.67, 100.0, 100.0, 0.0, 100.0, 100.0, 100, 35.6953125, 93.296875, 0.0, 14.298828125, 50.0, 28.59765625, 7.1, 0.0, 7.099609375, 0.0, 42.8984375, 35.6953125, 50.0, 50.0, 1.0, 1.0, 11.0, 4.0, 1.0, "Tous les candidats sauf les Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 25.0, "6378", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6378&g_ta_cod=6378", 7.0, 47.0, 47.0),
(7399, "Public", "0750654D", "Lycée Henri IV", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "CPGE", "Lycée Henri IV - CPGE - PCSI", "Classe préparatoire scientifique", "", 46, 3998, 1573, 3998, 2944, 3708, 340, 2, 1, 0, 0, 288, 0, 0, 0, 0, 0, 649, 0, 393, 640, 648, 65, 0, 0, 0, 0, 1, 200, 48, 17, 48, 0, 18.0, 36.0, 46.0, 13, 6, 48, 48, 0, 0, 0, 0, 0, 0, 0, 30, 18.0, 48, 0, 0, 20, 7, 36, 44, 37.5, 75.0, 95.83, 35.3984375, 75.0, 91.6875, 41.6953125, 12.5, 100.0, 0.0, 0.0, 0.0, 0.0, 62.5, 37.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 200.0, 22.0, 0.0, 0.0, 0.0, "Tous les candidats", 341.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "8965", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8965&g_ta_cod=8965", 100.0, 0.0, 0.0),
(7400, "Public", "0801907N", "Conservatoire national des arts et métiers Hauts-de-France", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Autre formation", "Conservatoire national des arts et métiers Hauts-de-France - Formation Supérieure de Spécialisation -  Architecture et bâtiment", "Diplôme d'Université", "Architecture et bâtiment", 15, 60, 26, 50, 0, 18, 4, 6, 2, 1, 1, 25, 10, 3, 1, 1, 5, 45, 2, 0, 0, 18, 4, 6, 2, 1, 1, 20, 44, 7, 4, 5, 2, 0.0, 4.0, 5.0, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 57.14, 71.43, 57.09375, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 17.0, 4.0, 4.0, 2.0, 17.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "33335", "Formation Supérieure de Spécialisation -  Architecture et bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33335&g_ta_cod=33335", 71.0, 29.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(7401, "Public", "0130002G", "Lycée Paul Cezanne", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "CPGE", "Lycée Paul Cezanne - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 1504, 623, 1504, 414, 1206, 99, 1, 0, 0, 0, 297, 0, 0, 0, 0, 0, 1008, 0, 309, 1003, 977, 77, 0, 0, 0, 0, 31, 625, 95, 43, 95, 0, 33.0, 59.0, 90.0, 4, 5, 95, 95, 0, 0, 0, 0, 0, 7, 49, 37, 2.0, 95, 0, 0, 10, 5, 78, 78, 34.74, 62.11, 94.74, 45.296875, 82.09375, 82.09375, 10.5, 5.2998046875, 100.0, 0.0, 0.0, 7.3994140625, 51.59375, 38.9, 2.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 619.0, 44.0, 0.0, 0.0, 6.0, "Tous les candidats", 715.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "2528", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2528&g_ta_cod=2528", 100.0, 0.0, 0.0),
(7402, "Privé sous contrat d'association", "0490890B", "IFORIS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "IFORIS - BTS - Services - Economie sociale familiale", "BTS - Services", "", 70, 583, 539, 583, 0, 81, 14, 152, 31, 185, 59, 165, 0, 0, 0, 0, 0, 352, 0, 0, 0, 51, 10, 103, 19, 111, 32, 87, 191, 70, 67, 70, 0, 28.0, 60.0, 64.0, 0, 9, 51, 15, 19, 17, 19, 0, 8, 28, 13, 2, 0.0, 11, 17, 15, 0, 0, 50, 50, 40.0, 85.71, 91.43, 95.6875, 98.0, 98.0, 0, 17.59765625, 72.890625, 0.0, 15.69921875, 54.8984375, 25.5, 3.9, 0.0, 29.3984375, 21.59765625, 37.296875, 33.296875, 33.296875, 29.3984375, 40.0, 9.0, 66.0, 18.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 36.0, "5917", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5917&g_ta_cod=5917", 33.0, 40.0, 27.0),
(7403, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence", "Université de Toulon - Licence - Langues étrangères appliquées - Parcours Anglais/Italien", "Licence - Arts-lettres-langues", "Anglais/Italien", 70, 333, 234, 232, 0, 118, 31, 29, 15, 18, 10, 67, 101, 13, 13, 11, 64, 228, 96, 0, 0, 118, 31, 29, 15, 18, 10, 63, 229, 46, 33, 28, 18, 0.0, 27.0, 40.0, 0, 11, 26, 16, 8, 2, 20, 1, 18, 4, 2, 1, 0.0, 4, 2, 1, 0, 0, 21, 21, 0.0, 58.7, 86.96, 71.6875, 80.796875, 80.796875, 0, 42.296875, 56.5, 3.7998046875, 69.1875, 15.3984375, 7.69921875, 3.8, 0.0, 61.5, 15.3984375, 30.796875, 7.69921875, 7.69921875, 3.7998046875, 75.0, 22.0, 19.0, 13.0, 101.0, "Tous les candidats", 228.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "20411", "Licence - Langues étrangères appliquées - Parcours Anglais/Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20411&g_ta_cod=20411", 67.0, 26.0, 7.0),
(7404, "Public", "0220056S", "Lycée Francois Rabelais", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "CPGE", "Lycée Francois Rabelais - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 669, 219, 646, 485, 556, 56, 0, 0, 0, 0, 90, 23, 12, 0, 0, 11, 593, 14, 425, 534, 545, 53, 0, 0, 0, 0, 48, 436, 22, 10, 18, 4, 2.0, 15.0, 22.0, 4, 1, 16, 16, 0, 0, 6, 0, 0, 5, 8, 3, 0.0, 16, 0, 0, 1, 0, 12, 12, 9.09, 68.18, 100.0, 45.5, 75.0, 75.0, 6.2998046875, 6.2998046875, 72.6875, 0.0, 0.0, 31.296875, 50.0, 18.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 403.0, 39.0, 0.0, 0.0, 33.0, "Tous les candidats", 550.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "3316", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3316&g_ta_cod=3316", 100.0, 0.0, 0.0),
(7405, "Privé sous contrat d'association", "0511678X", "Lycée professionnel Agricole de Somme-Suippe", "51", "Marne", "Grand Est", "Reims", "Somme-Suippe", "formation sélective", "BTS", "Lycée professionnel Agricole de Somme-Suippe - BTS - Agricole - génie des équipements agricoles", "BTS - Agricole", "", 35, 124, 9, 123, 0, 19, 2, 44, 5, 32, 5, 28, 1, 0, 0, 0, 1, 104, 0, 0, 0, 19, 2, 44, 5, 32, 5, 9, 83, 21, 0, 21, 0, 14.0, 21.0, 21.0, 0, 2, 21, 2, 4, 15, 0, 0, 8, 7, 5, 1, 0.0, 1, 3, 9, 5, 0, 14, 14, 66.67, 100.0, 100.0, 0.0, 66.6875, 66.6875, 23.796875, 9.5, 100.0, 0.0, 38.09375, 33.296875, 23.796875, 4.8, 0.0, 9.5, 4.7998046875, 19.0, 14.298828125, 71.390625, 42.8984375, 17.0, 1.0, 29.0, 5.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 80.0, "6146", "BTS - Agricole - génie des équipements agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6146&g_ta_cod=6146", 10.0, 19.0, 71.0),
(7406, "Public", "0170135E", "Lycée Jean Hyppolite", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Jonzac", "formation sélective", "Autre formation", "Lycée Jean Hyppolite - Mention complémentaire - FCIL agent hydrothermal", "Mention complémentaire", "", 12, 19, 16, 16, 0, 2, 0, 1, 0, 5, 1, 8, 3, 0, 0, 2, 1, 16, 0, 0, 0, 2, 0, 1, 0, 5, 1, 8, 18, 6, 5, 6, 0, 5.0, 6.0, 6.0, 0, 1, 4, 1, 1, 2, 2, 0, 3, 0, 0, 1, 0.0, 0, 0, 1, 0, 0, 0, 0, 83.33, 100.0, 100.0, 83.296875, 0.0, 0.0, 0, 25.0, 66.6875, 0.0, 75.0, 0.0, 0.0, 25.0, 0.0, 25.0, 0.0, 25.0, 0.0, 50.0, 25.0, 2.0, 0.0, 6.0, 2.0, 8.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24685", "Mention complémentaire - FCIL agent hydrothermal", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24685&g_ta_cod=24685", 17.0, 33.0, 50.0),
(7407, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 66, 472, 179, 435, 0, 282, 46, 34, 9, 9, 5, 110, 37, 11, 5, 1, 20, 435, 18, 0, 0, 282, 46, 34, 9, 9, 5, 110, 405, 65, 24, 51, 12, 31.0, 51.0, 51.0, 0, 9, 42, 31, 7, 4, 23, 0, 21, 20, 0, 1, 0.0, 19, 0, 2, 0, 0, 29, 41, 47.69, 78.46, 78.46, 36.8984375, 69.0, 97.59375, 0, 21.3984375, 64.59375, 0.0, 50.0, 47.59375, 0.0, 2.4, 0.0, 73.796875, 45.1953125, 16.69921875, 0.0, 9.5, 4.7998046875, 270.0, 44.0, 10.0, 6.0, 94.0, "Tous les candidats", 433.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11087", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11087&g_ta_cod=11087", 75.0, 14.0, 8.0),
(7408, "Privé sous contrat d'association", "0754025T", "Lycée Saint-Nicolas", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "BTS", "Lycée Saint-Nicolas - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 34, 895, 327, 340, 0, 86, 23, 88, 25, 57, 18, 109, 555, 76, 124, 94, 261, 180, 47, 0, 0, 61, 13, 62, 9, 24, 9, 33, 146, 26, 11, 15, 11, 0.0, 15.0, 20.0, 0, 6, 20, 7, 7, 6, 6, 0, 10, 9, 1, 0, 0.0, 1, 4, 5, 2, 1, 8, 18, 0.0, 57.69, 76.92, 42.296875, 40.0, 90.0, 10, 30.0, 76.890625, 0.0, 50.0, 45.0, 5.0, 0.0, 0.0, 35.0, 5.0, 35.0, 20.0, 30.0, 25.0, 46.0, 10.0, 16.0, 5.0, 49.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 51.0, "9488", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9488&g_ta_cod=9488", 42.0, 35.0, 23.0),
(7409, "Public", "0450782F", "Lycée Voltaire", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Voltaire - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 36, 1738, 943, 1738, 0, 203, 55, 625, 223, 491, 223, 419, 0, 0, 0, 0, 0, 926, 0, 0, 0, 166, 41, 410, 133, 215, 78, 135, 206, 32, 20, 32, 0, 8.0, 17.0, 23.0, 0, 11, 30, 7, 11, 12, 2, 0, 9, 11, 9, 1, 0.0, 6, 8, 7, 5, 4, 30, 30, 25.0, 53.13, 71.88, 62.5, 100.0, 100.0, 16.69921875, 36.6953125, 93.796875, 0.0, 30.0, 36.6953125, 30.0, 3.3, 0.0, 23.296875, 20.0, 36.6953125, 26.69921875, 40.0, 23.296875, 46.0, 18.0, 77.0, 22.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 89.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 131, "Liste d'appel propre à cette formation", 17.0, "5697", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5697&g_ta_cod=5697", 22.0, 38.0, 41.0),
(7410, "Privé sous contrat d'association", "0740283F", "ISETA de Poisy", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Poisy", "formation sélective", "BTS", "ISETA de Poisy - BTS - Agricole - Gestion forestière", "BTS - Agricole", "", 34, 385, 56, 383, 0, 126, 14, 106, 12, 61, 6, 90, 2, 0, 0, 0, 2, 356, 1, 0, 0, 125, 14, 105, 12, 58, 5, 68, 140, 32, 5, 31, 1, 9.0, 25.0, 30.0, 0, 2, 26, 11, 7, 8, 6, 0, 6, 14, 6, 0, 0.0, 7, 6, 7, 6, 1, 18, 18, 28.13, 78.13, 93.75, 15.599609375, 69.1875, 69.1875, 23.09765625, 7.69921875, 81.296875, 0.0, 23.09765625, 53.796875, 23.09765625, 0.0, 0.0, 42.296875, 26.8984375, 26.8984375, 23.09765625, 30.796875, 26.8984375, 63.0, 4.0, 43.0, 4.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 131.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 56.0, "8891", "BTS - Agricole - Gestion forestière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8891&g_ta_cod=8891", 47.0, 22.0, 31.0),
(7411, "Public", "0300026R", "Lycée Dhuoda", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "CPGE", "Lycée Dhuoda - CPGE - PTSI", "Classe préparatoire scientifique", "", 40, 591, 127, 544, 367, 397, 54, 1, 0, 0, 0, 146, 47, 23, 1, 0, 23, 297, 12, 222, 279, 265, 28, 0, 0, 0, 0, 32, 228, 18, 1, 17, 1, 6.0, 17.0, 18.0, 7, 1, 18, 18, 0, 0, 0, 0, 0, 8, 7, 3, 0.0, 18, 0, 0, 8, 0, 12, 12, 33.33, 94.44, 100.0, 5.599609375, 66.6875, 66.6875, 44.3984375, 5.599609375, 100.0, 0.0, 0.0, 44.3984375, 38.8984375, 16.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 200.0, 19.0, 0.0, 0.0, 28.0, "Tous les candidats", 298.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "3936", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3936&g_ta_cod=3936", 100.0, 0.0, 0.0),
(7412, "Public", "9720091S", "Lycée Léopold BISSOL Métiers de la construction et de l'habitat", "972", "Martinique", "Martinique", "Martinique", "Le Lamentin", "formation sélective", "BTS", "Lycée Léopold BISSOL Métiers de la construction et de l'habitat - BTS - Production - Travaux publics", "BTS - Production", "", 24, 127, 20, 113, 0, 5, 2, 19, 9, 21, 7, 68, 14, 2, 1, 3, 8, 28, 5, 0, 0, 3, 1, 11, 4, 12, 4, 2, 35, 2, 0, 2, 0, 2.0, 2.0, 2.0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0.0, 0, 0, 2, 2, 0, 2, 2, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 100, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 5.0, 2.0, 13.0, 5.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 25.0, "11805", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11805&g_ta_cod=11805", 0.0, 0.0, 100.0),
(7413, "Public", "0560861G", "I.U.T de Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BUT", "I.U.T de Vannes - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business entrepreneuriat -  Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business entrepreneuriat -  Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client", 112, 4011, 2017, 4011, 0, 2177, 188, 1398, 200, 32, 9, 404, 0, 0, 0, 0, 0, 1703, 0, 0, 0, 1042, 78, 560, 80, 1, 1, 100, 453, 113, 76, 113, 0, 49.0, 100.0, 108.0, 0, 20, 110, 55, 55, 0, 3, 0, 0, 39, 65, 6, 0.0, 55, 55, 0, 0, 0, 94, 94, 43.36, 88.5, 95.58, 67.296875, 85.5, 85.5, 0, 18.19921875, 97.296875, 0.0, 0.0, 35.5, 59.09375, 5.5, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 225.0, 28.0, 0.0, 0.0, 4.0, "Tous les candidats sauf les Bac technologiques", 329.0, "Bacheliers technologiques toutes séries", 283, "", 0, "Liste d'appel propre à cette formation", 15.0, "6470", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business entrepreneuriat -  Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6470&g_ta_cod=6470", 50.0, 50.0, 0.0),
(7414, "Public", "0560016N", "Lycée Broceliande", "56", "Morbihan", "Bretagne", "Rennes", "Guer", "formation sélective", "BTS", "Lycée Broceliande - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 783, 443, 676, 0, 30, 13, 134, 33, 113, 46, 399, 107, 5, 27, 15, 60, 195, 27, 0, 0, 16, 7, 92, 21, 64, 16, 23, 174, 15, 9, 10, 5, 5.0, 10.0, 12.0, 0, 2, 11, 0, 5, 6, 4, 0, 4, 6, 1, 0, 0.0, 0, 2, 5, 1, 1, 10, 10, 33.33, 66.67, 80.0, 60.0, 90.890625, 90.890625, 9.099609375, 18.19921875, 73.296875, 0.0, 36.3984375, 54.5, 9.099609375, 0.0, 0.0, 0.0, 0.0, 45.5, 18.19921875, 54.5, 45.5, 16.0, 5.0, 57.0, 16.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 104, "Liste d'appel propre à cette formation", 29.0, "6418", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6418&g_ta_cod=6418", 13.0, 47.0, 40.0),
(7415, "Privé enseignement supérieur", "0382778N", "Grenoble Ecole de Management", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "Ecole de Commerce", "Concours Passerelle Bachelor - Formation des écoles de commerce et de management Bac + 3 - Bachelor", "Formation des écoles de commerce et de management", "Bachelor Digital et business development", 100, 584, 223, 562, 0, 429, 32, 68, 8, 3, 3, 62, 22, 5, 5, 0, 12, 304, 15, 0, 0, 236, 4, 35, 0, 0, 0, 33, 269, 35, 7, 28, 7, 16.0, 27.0, 31.0, 0, 0, 24, 18, 6, 0, 11, 0, 4, 15, 4, 1, 0.0, 14, 6, 0, 0, 0, 2, 2, 45.71, 77.14, 88.57, 20.0, 8.298828125, 8.298828125, 0, 0.0, 68.59375, 0.0, 16.69921875, 62.5, 16.69921875, 4.2, 0.0, 75.0, 58.296875, 25.0, 25.0, 0.0, 0.0, 197.0, 3.0, 0.0, 0.0, 41.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "31946", "Formation des écoles de commerce et de management Bac + 3 - Bachelor", "Concours Passerelle Bachelor", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=253&g_ta_cod=31946", 74.0, 26.0, 0.0),
(7416, "Public", "0772817U", "CREPS d'Ile de France - Antenne de Pontault-Combault", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Pontault-Combault", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS) - BPJEPS - Activités de la forme", "BPJEPS", "", 4, 263, 51, 263, 0, 44, 6, 45, 9, 72, 20, 102, 0, 0, 0, 0, 0, 16, 0, 0, 0, 2, 0, 3, 0, 1, 0, 10, 10, 4, 0, 4, 0, 1.0, 4.0, 4.0, 0, 0, 1, 0, 1, 0, 3, 0, 0, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 1, 1, 25.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 25.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 2.0, 0.0, 0.0, 0.0, 7.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 4.0, "26598", "BPJEPS - Activités de la forme", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21349&g_ta_cod=26598", 0.0, 75.0, 25.0),
(7417, "Public", "9840341Y", "Lycée professionnel de Mahina", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Mahina", "formation sélective", "BTS", "Lycée professionnel de Mahina - BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "BTS - Production", "", 18, 96, 3, 95, 0, 3, 3, 18, 11, 61, 44, 13, 1, 0, 1, 0, 0, 55, 0, 0, 0, 3, 3, 12, 8, 37, 23, 3, 38, 13, 1, 13, 0, 3.0, 13.0, 13.0, 0, 7, 12, 0, 1, 11, 1, 0, 4, 7, 1, 0, 0.0, 0, 0, 8, 9, 1, 12, 12, 23.08, 100.0, 100.0, 7.69921875, 100.0, 100.0, 75, 58.296875, 92.296875, 0.0, 33.296875, 58.296875, 8.298828125, 0.0, 0.0, 0.0, 0.0, 8.298828125, 0.0, 91.6875, 66.6875, 3.0, 3.0, 23.0, 16.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 44.0, "21891", "BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21891&g_ta_cod=21891", 0.0, 15.0, 85.0),
(7418, "Privé sous contrat d'association", "0593007Y", "Lycée Frédéric OZANAM", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Frédéric OZANAM - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 35, 347, 27, 347, 0, 92, 16, 87, 23, 62, 17, 106, 0, 0, 0, 0, 0, 308, 0, 0, 0, 89, 16, 84, 22, 59, 17, 76, 129, 35, 1, 35, 0, 13.0, 27.0, 33.0, 0, 6, 26, 8, 10, 8, 9, 0, 15, 10, 1, 0, 0.0, 1, 7, 3, 9, 0, 25, 25, 37.14, 77.14, 94.29, 2.89990234375, 96.1875, 96.1875, 34.59375, 23.09765625, 74.296875, 0.0, 57.6953125, 38.5, 3.7998046875, 0.0, 0.0, 30.796875, 3.7998046875, 38.5, 26.8984375, 30.796875, 11.5, 44.0, 9.0, 23.0, 7.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 103.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 58.0, "6944", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6944&g_ta_cod=6944", 43.0, 34.0, 23.0),
(7419, "Privé enseignement supérieur", "0753636V", "European Business School Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 120, 2401, 1006, 2372, 0, 2013, 95, 174, 8, 4, 1, 181, 29, 11, 0, 0, 18, 2265, 24, 0, 0, 1944, 87, 162, 7, 2, 1, 157, 2289, 38, 11, 33, 5, 32.0, 32.0, 36.0, 0, 1, 32, 30, 2, 0, 6, 0, 21, 11, 0, 0, 0.0, 10, 1, 0, 0, 0, 7, 21, 84.21, 84.21, 94.74, 28.8984375, 21.8984375, 65.59375, 0, 3.099609375, 84.1875, 0.0, 65.59375, 34.3984375, 0.0, 0.0, 0.0, 93.796875, 31.296875, 6.2998046875, 3.099609375, 0.0, 0.0, 1952.0, 88.0, 2.0, 1.0, 173.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "26105", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26105", 92.0, 8.0, 0.0),
(7420, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 120, 637, 515, 487, 0, 314, 111, 45, 25, 15, 10, 113, 150, 35, 17, 8, 90, 485, 144, 0, 0, 314, 111, 45, 25, 15, 10, 111, 499, 116, 89, 69, 47, 22.0, 68.0, 95.0, 0, 32, 66, 54, 8, 4, 50, 1, 23, 21, 17, 4, 0.0, 40, 1, 1, 0, 0, 41, 41, 18.97, 58.62, 81.9, 76.6875, 62.09375, 62.09375, 0, 48.5, 56.8984375, 1.5, 34.796875, 31.796875, 25.796875, 6.1, 0.0, 81.796875, 60.59375, 12.099609375, 1.5, 6.099609375, 1.5, 276.0, 98.0, 16.0, 10.0, 162.0, "Tous les candidats", 485.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4570", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4570&g_ta_cod=4570", 78.0, 14.0, 8.0),
(7421, "Privé sous contrat d'association", "0831458J", "Yncréa méditérranée", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 12, 201, 58, 195, 0, 0, 0, 0, 0, 0, 0, 195, 6, 0, 0, 0, 6, 177, 5, 0, 0, 0, 0, 0, 0, 0, 0, 177, 172, 3, 1, 2, 1, 2.0, 2.0, 3.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 66.67, 66.67, 100.0, 33.296875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 172.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "22853", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22853", 100.0, 0.0, 0.0),
(7422, "Privé enseignement supérieur", "0310155A", "Institut Catholique de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Institut Catholique de Toulouse - Licence - Droit - Parcours Culture juridique", "Licence - Droit-économie-gestion", "Culture juridique", 125, 770, 574, 763, 0, 582, 78, 71, 16, 6, 2, 104, 7, 3, 1, 0, 3, 760, 6, 0, 0, 582, 78, 71, 16, 6, 2, 101, 455, 124, 89, 120, 4, 16.0, 101.0, 115.0, 0, 8, 114, 106, 8, 0, 10, 0, 14, 62, 35, 3, 0.0, 93, 7, 0, 0, 0, 85, 85, 12.9, 81.45, 92.74, 71.796875, 74.59375, 74.59375, 0, 7.0, 91.890625, 0.0, 12.298828125, 54.3984375, 30.69921875, 2.6, 0.0, 93.0, 81.59375, 7.0, 6.099609375, 0.0, 0.0, 382.0, 41.0, 1.0, 0.0, 49.0, "Tous les candidats", 641.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "14001", "Licence - Droit - Parcours Culture juridique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14001&g_ta_cod=14001", 94.0, 6.0, 0.0),
(7423, "Public", "0770924L", "Lycée Campus de Coulommiers", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Coulommiers", "formation sélective", "BTS", "Lycée Campus de Coulommiers - BTS - Services - Support à l'action managériale", "BTS - Services", "", 38, 632, 380, 324, 0, 7, 0, 62, 24, 52, 21, 203, 308, 0, 95, 68, 145, 78, 36, 0, 0, 5, 0, 26, 10, 28, 10, 19, 133, 19, 15, 7, 10, 4.0, 7.0, 13.0, 0, 2, 11, 0, 7, 4, 8, 0, 4, 7, 0, 0, 0.0, 0, 3, 4, 2, 2, 10, 11, 21.05, 36.84, 68.42, 78.890625, 90.890625, 100.0, 18.19921875, 18.19921875, 57.8984375, 0.0, 36.3984375, 63.59375, 0.0, 0.0, 0.0, 0.0, 0.0, 63.59375, 27.296875, 36.3984375, 36.3984375, 6.0, 1.0, 49.0, 21.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 24.0, "9790", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9790&g_ta_cod=9790", 16.0, 42.0, 42.0),
(7424, "Privé sous contrat d'association", "0690553B", "Centre Scolaire Notre Dame", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Limas", "formation sélective", "BTS", "Centre Scolaire Notre Dame - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 28, 216, 26, 197, 0, 41, 6, 50, 9, 48, 17, 58, 19, 5, 0, 0, 14, 140, 5, 0, 0, 37, 5, 39, 8, 40, 13, 24, 108, 18, 3, 17, 1, 3.0, 16.0, 16.0, 0, 4, 16, 4, 9, 3, 2, 0, 11, 5, 0, 0, 0.0, 1, 3, 1, 0, 0, 15, 15, 16.67, 88.89, 88.89, 16.69921875, 93.796875, 93.796875, 0, 25.0, 88.890625, 0.0, 68.796875, 31.296875, 0.0, 0.0, 0.0, 25.0, 6.2998046875, 56.296875, 18.796875, 18.796875, 6.2998046875, 35.0, 7.0, 25.0, 8.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 64.0, "8303", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8303&g_ta_cod=8303", 28.0, 56.0, 17.0),
(7425, "Public", "0511026N", "Institut Universitaire de Technologie de Reims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BUT", "Institut Universitaire de Technologie de Reims - BUT - Techniques de commercialisation", "BUT - Service", "", 106, 1813, 914, 1813, 0, 810, 135, 618, 216, 57, 16, 328, 0, 0, 0, 0, 0, 1056, 0, 0, 0, 603, 89, 415, 132, 38, 12, 0, 390, 103, 74, 103, 0, 26.0, 103.0, 103.0, 0, 24, 103, 40, 55, 8, 0, 0, 9, 51, 36, 7, 0.0, 39, 49, 6, 0, 0, 80, 80, 25.24, 100.0, 100.0, 71.796875, 77.6875, 77.6875, 0, 23.296875, 100.0, 0.0, 8.69921875, 49.5, 35.0, 6.8, 0.0, 38.796875, 37.8984375, 53.3984375, 47.59375, 7.7998046875, 5.7998046875, 178.0, 34.0, 16.0, 6.0, 0.0, "Tous les candidats sauf les Bac technologiques", 304.0, "Bacheliers technologiques toutes séries", 256, "", 0, "Liste d'appel propre à cette formation", 31.0, "6096", "BUT - Techniques de commercialisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6096&g_ta_cod=6096", 39.0, 53.0, 8.0),
(7426, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Sciences du langage - Parcours Langue, langage et société", "Licence - Arts-lettres-langues", "Langue, langage et société", 90, 484, 377, 276, 0, 156, 50, 7, 2, 5, 4, 108, 208, 30, 11, 9, 158, 271, 202, 0, 0, 156, 50, 7, 2, 5, 4, 103, 434, 86, 58, 34, 52, 13.0, 33.0, 68.0, 0, 14, 31, 24, 3, 4, 55, 0, 16, 8, 6, 1, 0.0, 13, 0, 2, 0, 0, 17, 17, 15.12, 38.37, 79.07, 67.390625, 54.796875, 54.796875, 0, 45.1953125, 36.0, 0.0, 51.59375, 25.796875, 19.3984375, 3.2, 0.0, 77.390625, 41.8984375, 9.69921875, 0.0, 12.8984375, 6.5, 168.0, 50.0, 11.0, 9.0, 238.0, "Tous les candidats", 271.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "4589", "Licence - Sciences du langage - Parcours Langue, langage et société", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4589&g_ta_cod=4589", 71.0, 17.0, 9.0),
(7427, "Public", "9840349G", "Université de la Polynésie française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation non sélective", "Licence", "Université de la Polynésie française - Licence - Lettres - Parcours LETTRES ET ARTS", "Licence - Arts-lettres-langues", "LETTRES ET ARTS", 80, 201, 160, 176, 0, 130, 48, 9, 5, 6, 4, 31, 25, 6, 2, 2, 15, 176, 20, 0, 0, 130, 48, 9, 5, 6, 4, 31, 183, 42, 35, 33, 9, 18.0, 33.0, 40.0, 0, 15, 31, 30, 1, 0, 11, 0, 12, 15, 3, 1, 0.0, 19, 0, 0, 0, 0, 30, 30, 42.86, 78.57, 95.24, 83.296875, 96.796875, 96.796875, 0, 48.3984375, 73.796875, 0.0, 38.6953125, 48.3984375, 9.69921875, 3.2, 0.0, 96.796875, 61.296875, 3.19970703125, 0.0, 0.0, 0.0, 131.0, 46.0, 5.0, 4.0, 39.0, "Tous les candidats", 176.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "12009", "Licence - Lettres - Parcours LETTRES ET ARTS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12009&g_ta_cod=12009", 83.0, 12.0, 5.0),
(7428, "Public", "0610006A", "Lycée Mézeray Gabriel", "61", "Orne", "Normandie", "Normandie", "Argentan", "formation sélective", "Autre formation", "Lycée Mézeray Gabriel - DN MADE - Objet - - Spécialité : Conception matérielle et immatérielle d'objets pour des espaces de vie", "DN MADE", "- Spécialité : Conception matérielle et immatérielle d'objets pour des espaces de vie", 15, 296, 220, 296, 0, 118, 15, 72, 9, 47, 11, 59, 0, 0, 0, 0, 0, 156, 0, 0, 0, 63, 4, 53, 5, 19, 3, 21, 86, 13, 9, 13, 0, 1.0, 7.0, 12.0, 0, 1, 11, 0, 4, 7, 2, 0, 3, 4, 3, 1, 0.0, 0, 2, 6, 0, 0, 4, 4, 7.69, 53.85, 92.31, 69.1875, 36.3984375, 36.3984375, 0, 9.099609375, 84.59375, 0.0, 27.296875, 36.3984375, 27.296875, 9.1, 0.0, 0.0, 0.0, 36.3984375, 18.19921875, 63.59375, 54.5, 26.0, 2.0, 9.0, 1.0, 11.0, "Tous les candidats", 116.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "24297", "DN MADE - Objet - - Spécialité : Conception matérielle et immatérielle d'objets pour des espaces de vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24297&g_ta_cod=24297", 0.0, 38.0, 62.0),
(7429, "Public", "0620042J", "Lycée Andre Malraux", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "BTS", "Lycée Andre Malraux - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 33, 676, 364, 676, 0, 70, 23, 229, 94, 259, 126, 118, 0, 0, 0, 0, 0, 502, 0, 0, 0, 68, 22, 200, 80, 177, 80, 57, 92, 29, 21, 29, 0, 12.0, 26.0, 27.0, 0, 13, 26, 4, 6, 16, 3, 0, 6, 9, 9, 2, 0.0, 2, 4, 14, 8, 5, 26, 26, 41.38, 89.66, 93.1, 72.390625, 100.0, 100.0, 30.796875, 50.0, 89.6875, 0.0, 23.09765625, 34.59375, 34.59375, 7.7, 0.0, 15.3984375, 7.69921875, 23.09765625, 15.3984375, 61.5, 53.796875, 12.0, 5.0, 53.0, 27.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 18.0, "7344", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7344&g_ta_cod=7344", 14.0, 24.0, 62.0),
(7430, "Public", "0590122M", "Lycée Valentine Labbe", "59", "Nord", "Hauts-de-France", "Lille", "La Madeleine", "formation sélective", "BTS", "Lycée Valentine Labbe - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 48, 1062, 931, 1055, 0, 74, 25, 302, 149, 360, 201, 319, 7, 0, 0, 2, 5, 675, 0, 0, 0, 66, 21, 270, 128, 178, 99, 161, 187, 42, 38, 41, 0, 0.0, 18.0, 33.0, 0, 17, 35, 2, 12, 21, 7, 0, 19, 10, 5, 1, 0.0, 2, 2, 12, 10, 9, 33, 33, 0.0, 42.86, 78.57, 90.5, 94.296875, 94.296875, 28.59765625, 48.59375, 83.296875, 0.0, 54.296875, 28.59765625, 14.298828125, 2.9, 0.0, 5.69921875, 5.69921875, 34.296875, 5.69921875, 60.0, 34.296875, 7.0, 4.0, 68.0, 38.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 153, "Bacheliers technologiques toutes séries", 168, "Liste d'appel propre à cette formation", 32.0, "6805", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6805&g_ta_cod=6805", 5.0, 45.0, 50.0),
(7431, "Public", "0341335S", "IFSI CH Béziers", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation sélective", "IFSI", "Regroupement d'IFSI Université Montpellier - D.E Infirmier", "D.E secteur sanitaire", "", 82, 8088, 6820, 8088, 0, 1213, 308, 1519, 442, 792, 339, 4564, 0, 0, 0, 0, 0, 5836, 0, 0, 0, 1045, 240, 1166, 317, 507, 204, 3118, 981, 82, 69, 82, 0, 2.0, 28.0, 67.0, 0, 21, 51, 18, 26, 7, 31, 0, 7, 23, 20, 1, 0.0, 15, 22, 7, 0, 0, 46, 46, 2.44, 34.15, 81.71, 84.09375, 90.1875, 90.1875, 0, 41.1953125, 62.1953125, 0.0, 13.69921875, 45.09375, 39.1953125, 2.0, 0.0, 35.296875, 29.3984375, 51.0, 43.09375, 13.69921875, 13.69921875, 211.0, 36.0, 71.0, 30.0, 408.0, "Tous les candidats", 2492.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 21.0, "23178", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22991&g_ta_cod=23178", 41.0, 44.0, 15.0),
(7432, "Public", "0422048Y", "I.U.T de Roanne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Roanne", "formation sélective", "BUT", "I.U.T de Roanne - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Business développement et management de la relation client", 105, 1759, 821, 1759, 0, 931, 132, 550, 116, 38, 20, 240, 0, 0, 0, 0, 0, 1441, 0, 0, 0, 805, 109, 470, 87, 23, 13, 143, 591, 109, 57, 109, 0, 5.0, 67.0, 97.0, 0, 17, 102, 50, 49, 3, 7, 1, 14, 66, 19, 2, 0.0, 44, 40, 3, 0, 0, 81, 81, 4.59, 61.47, 88.99, 52.296875, 79.390625, 79.390625, 0, 16.69921875, 93.59375, 1.0, 13.69921875, 64.6875, 18.59765625, 2.0, 0.0, 49.0, 43.09375, 48.0, 39.1953125, 2.89990234375, 2.89990234375, 283.0, 48.0, 17.0, 10.0, 38.0, "Tous les candidats sauf les Bac technologiques", 467.0, "Bacheliers technologiques toutes séries", 411, "", 0, "Liste d'appel propre à cette formation", 50.0, "5376", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5376&g_ta_cod=5376", 48.0, 50.0, 3.0),
(7433, "Public", "0790024X", "Lycée Paul Guerin", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BTS", "Lycée Paul Guerin - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 146, 32, 129, 0, 11, 0, 43, 9, 49, 16, 26, 17, 7, 0, 1, 9, 105, 6, 0, 0, 0, 0, 43, 9, 49, 16, 13, 71, 19, 3, 16, 3, 4.0, 14.0, 16.0, 0, 2, 17, 1, 4, 12, 2, 0, 8, 7, 2, 0, 0.0, 0, 2, 7, 0, 0, 15, 15, 21.05, 73.68, 84.21, 15.798828125, 88.1875, 88.1875, 0, 11.798828125, 89.5, 0.0, 47.09375, 41.1953125, 11.798828125, 0.0, 0.0, 5.8994140625, 0.0, 23.5, 11.798828125, 70.59375, 41.1953125, 4.0, 0.0, 37.0, 11.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 66.0, "10111", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10111&g_ta_cod=10111", 5.0, 26.0, 68.0),
(7434, "Public", "0640220S", "Lycée agricole de Pau-Montardon", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Montardon", "formation sélective", "BTS", "Lycée agricole de Pau-Montardon - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 27, 468, 134, 461, 0, 46, 8, 71, 8, 64, 17, 280, 7, 0, 1, 3, 3, 223, 1, 0, 0, 45, 8, 71, 8, 60, 16, 47, 136, 22, 7, 21, 1, 4.0, 13.0, 21.0, 0, 4, 12, 1, 6, 5, 10, 0, 4, 7, 1, 0, 0.0, 1, 5, 2, 4, 0, 9, 9, 18.18, 59.09, 95.45, 31.796875, 75.0, 75.0, 33.296875, 33.296875, 54.5, 0.0, 33.296875, 58.296875, 8.298828125, 0.0, 0.0, 8.298828125, 8.298828125, 50.0, 41.6953125, 41.6953125, 16.69921875, 28.0, 6.0, 45.0, 13.0, 24.0, "Tous les candidats sauf les Bac professionnels", 133.0, "Bacheliers professionnels toutes séries", 62, "", 0, "Liste d'appel propre à cette formation", 42.0, "7729", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7729&g_ta_cod=7729", 36.0, 32.0, 32.0),
(7435, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Portail Portail Economie - Gestion", "Licence - Droit-économie-gestion", "Portail Economie - Gestion", 130, 1468, 692, 1387, 0, 890, 208, 163, 53, 23, 7, 311, 81, 14, 8, 7, 52, 1357, 71, 0, 0, 890, 208, 163, 53, 23, 7, 281, 873, 127, 41, 96, 31, 7.0, 75.0, 99.0, 0, 26, 73, 60, 8, 5, 54, 0, 36, 22, 13, 2, 0.0, 31, 4, 2, 0, 0, 72, 72, 5.51, 59.06, 77.95, 32.296875, 98.59375, 98.59375, 0, 35.59375, 57.5, 0.0, 49.296875, 30.09765625, 17.796875, 2.7, 0.0, 82.1875, 42.5, 11.0, 5.5, 6.7998046875, 2.69970703125, 591.0, 142.0, 15.0, 5.0, 216.0, "Tous les candidats", 1457.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "20584", "Licence - Portail Portail Economie - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26937&g_ta_cod=20584", 77.0, 16.0, 7.0),
(7436, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Philosophie - Parcours Philosophie - Sociologie", "Licence - Sciences humaines et sociales", "Philosophie - Sociologie", 100, 821, 549, 677, 0, 430, 117, 57, 19, 25, 18, 165, 144, 28, 12, 6, 98, 677, 139, 0, 0, 430, 117, 57, 19, 25, 18, 165, 711, 98, 57, 54, 44, 31.0, 54.0, 74.0, 0, 23, 51, 30, 17, 4, 47, 2, 23, 14, 7, 4, 1.0, 20, 3, 3, 0, 0, 40, 40, 31.63, 55.1, 75.51, 58.1953125, 78.390625, 78.390625, 0, 45.09375, 52.0, 3.89990234375, 45.09375, 27.5, 13.69921875, 7.8, 2.0, 58.796875, 39.1953125, 33.296875, 5.8994140625, 7.7998046875, 5.8994140625, 395.0, 109.0, 30.0, 21.0, 222.0, "Tous les candidats", 673.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7094", "Licence - Philosophie - Parcours Philosophie - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7094&g_ta_cod=7094", 60.0, 26.0, 13.0),
(7437, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Philosophie", "Licence - Sciences humaines et sociales", "", 60, 579, 325, 528, 0, 276, 54, 36, 14, 11, 7, 205, 51, 9, 2, 3, 37, 528, 26, 0, 0, 276, 54, 36, 14, 11, 7, 205, 410, 59, 27, 46, 13, 5.0, 45.0, 48.0, 0, 11, 36, 23, 8, 5, 23, 0, 24, 8, 3, 1, 0.0, 9, 1, 2, 0, 0, 18, 30, 8.47, 76.27, 81.36, 45.796875, 50.0, 83.296875, 0, 30.59765625, 61.0, 0.0, 66.6875, 22.19921875, 8.298828125, 2.8, 0.0, 63.8984375, 25.0, 22.19921875, 2.7998046875, 13.8984375, 5.599609375, 218.0, 45.0, 10.0, 7.0, 153.0, "Tous les candidats", 528.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11097", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11097&g_ta_cod=11097", 63.0, 22.0, 12.0),
(7438, "Public", "0590121L", "Lycée Cesar Baggio", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Cesar Baggio - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 230, 19, 224, 0, 28, 3, 53, 14, 44, 12, 99, 6, 0, 0, 4, 2, 151, 1, 0, 0, 28, 3, 52, 14, 44, 12, 27, 71, 11, 0, 11, 0, 0.0, 10.0, 11.0, 0, 1, 9, 1, 3, 5, 2, 0, 5, 4, 0, 0, 0.0, 1, 1, 2, 1, 0, 8, 8, 0.0, 90.91, 100.0, 0.0, 88.890625, 88.890625, 11.099609375, 11.099609375, 81.796875, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 0.0, 11.099609375, 11.099609375, 33.296875, 11.099609375, 55.59375, 22.19921875, 8.0, 3.0, 28.0, 7.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 50.0, "6790", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6790&g_ta_cod=6790", 18.0, 27.0, 55.0),
(7439, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Double diplôme - Licence Economie - Économie, Finance et Gestion+ DU Economics & Corporate English", "Licence - Droit-économie-gestion", "Économie, Finance et Gestion+ DU Economics & Corporate English", 35, 1232, 545, 799, 0, 629, 97, 30, 10, 1, 1, 139, 433, 174, 24, 6, 229, 236, 31, 0, 0, 221, 18, 0, 0, 0, 0, 15, 200, 28, 16, 14, 14, 3.0, 14.0, 25.0, 0, 1, 16, 16, 0, 0, 12, 0, 2, 3, 6, 5, 0.0, 14, 0, 0, 0, 0, 9, 10, 10.71, 50.0, 89.29, 57.09375, 56.296875, 62.5, 0, 6.2998046875, 57.09375, 0.0, 12.5, 18.796875, 37.5, 31.3, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 166.0, 16.0, 0.0, 0.0, 34.0, "Tous les candidats", 236.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "11627", "Licence - Double diplôme - Licence Economie - Économie, Finance et Gestion+ DU Economics & Corporate English", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11627&g_ta_cod=11627", 100.0, 0.0, 0.0),
(7440, "Privé sous contrat d'association", "0840940R", "Lycée St Jean Baptiste De La Salle", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée St Jean Baptiste De La Salle - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 16, 239, 13, 207, 0, 36, 7, 57, 18, 60, 23, 54, 32, 0, 0, 17, 15, 93, 8, 0, 0, 28, 5, 29, 6, 26, 7, 10, 40, 16, 0, 11, 5, 7.0, 10.0, 15.0, 0, 1, 12, 1, 8, 3, 4, 0, 5, 6, 1, 0, 0.0, 0, 4, 3, 9, 0, 11, 11, 43.75, 62.5, 93.75, 0.0, 91.6875, 91.6875, 75, 8.298828125, 75.0, 0.0, 41.6953125, 50.0, 8.298828125, 0.0, 0.0, 8.298828125, 0.0, 66.6875, 33.296875, 25.0, 25.0, 1.0, 0.0, 22.0, 7.0, 6.0, "Tous les candidats sauf les Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 16.0, "10463", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10463&g_ta_cod=10463", 6.0, 50.0, 44.0),
(7441, "Privé enseignement supérieur", "0783672T", "Sup de Vente - EGC Ile de France Ouest", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "Ecole de Commerce", "Sup de Vente - EGC Ile de France Ouest - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "", 50, 86, 29, 75, 0, 49, 3, 18, 0, 1, 0, 7, 11, 5, 3, 0, 3, 51, 4, 0, 0, 32, 1, 15, 0, 1, 0, 3, 55, 13, 6, 9, 4, 9.0, 9.0, 10.0, 0, 1, 12, 9, 2, 1, 1, 0, 6, 5, 1, 0, 0.0, 4, 1, 1, 0, 0, 11, 12, 69.23, 69.23, 76.92, 46.1953125, 91.6875, 100.0, 0, 8.298828125, 92.296875, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 75.0, 33.296875, 16.69921875, 8.298828125, 8.298828125, 8.298828125, 35.0, 1.0, 1.0, 0.0, 4.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "12067", "Formation des écoles de commerce et de management Bac + 3", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12067&g_ta_cod=12067", 77.0, 15.0, 8.0),
(7442, "Public", "0460007H", "Lycée Clement Marot", "46", "Lot", "Occitanie", "Toulouse", "Cahors", "formation sélective", "CPGE", "Lycée Clement Marot - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 24, 207, 88, 199, 156, 172, 23, 1, 0, 0, 0, 26, 8, 4, 0, 0, 4, 164, 4, 131, 149, 155, 19, 0, 0, 0, 0, 9, 132, 6, 3, 6, 0, 1.0, 6.0, 6.0, 3, 0, 6, 6, 0, 0, 0, 0, 0, 1, 4, 1, 0.0, 6, 0, 0, 0, 0, 5, 5, 16.67, 100.0, 100.0, 50.0, 83.296875, 83.296875, 0, 0.0, 100.0, 0.0, 0.0, 16.69921875, 66.6875, 16.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 122.0, 11.0, 0.0, 0.0, 10.0, "Tous les candidats", 164.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "31394", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31394&g_ta_cod=31394", 100.0, 0.0, 0.0),
(7443, "Privé sous contrat d'association", "0060673Z", "Lycée Stanislas", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "CPGE", "Lycée Stanislas - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 502, 270, 500, 391, 443, 39, 1, 0, 0, 0, 56, 2, 2, 0, 0, 0, 431, 1, 346, 385, 405, 33, 0, 0, 0, 0, 26, 207, 22, 7, 22, 0, 2.0, 13.0, 22.0, 16, 1, 21, 21, 0, 0, 1, 0, 0, 3, 9, 8, 1.0, 21, 0, 0, 2, 1, 11, 11, 9.09, 59.09, 100.0, 31.796875, 52.3984375, 52.3984375, 9.5, 4.7998046875, 95.5, 0.0, 0.0, 14.298828125, 42.8984375, 38.1, 4.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 199.0, 11.0, 0.0, 0.0, 8.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "33241", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31345&g_ta_cod=33241", 100.0, 0.0, 0.0),
(7444, "Public", "0600021X", "Lycée Jules Uhry", "60", "Oise", "Hauts-de-France", "Amiens", "Creil", "formation sélective", "BTS", "Lycée Jules Uhry - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 32, 320, 132, 273, 0, 14, 8, 90, 42, 87, 42, 82, 47, 0, 0, 39, 8, 144, 9, 0, 0, 0, 0, 70, 33, 70, 36, 4, 106, 32, 17, 25, 7, 6.0, 23.0, 24.0, 0, 16, 28, 0, 10, 18, 4, 0, 10, 14, 4, 0, 0.0, 0, 6, 12, 8, 5, 23, 23, 18.75, 71.88, 75.0, 53.09375, 82.09375, 82.09375, 28.59765625, 57.09375, 87.5, 0.0, 35.6953125, 50.0, 14.298828125, 0.0, 0.0, 0.0, 0.0, 35.6953125, 21.3984375, 64.296875, 42.8984375, 0.0, 0.0, 71.0, 36.0, 5.0, "Tous les candidats sauf les Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 71, "", 0, "Liste d'appel propre à cette formation", 39.0, "7242", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7242&g_ta_cod=7242", 0.0, 38.0, 63.0),
(7445, "Public", "0460028F", "Lycée Louis Vicat", "46", "Lot", "Occitanie", "Toulouse", "Souillac", "formation sélective", "BTS", "Lycée Louis Vicat - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 15, 100, 6, 90, 0, 4, 1, 22, 2, 34, 15, 30, 10, 0, 2, 4, 4, 90, 6, 0, 0, 4, 1, 22, 2, 34, 15, 30, 56, 7, 1, 7, 0, 1.0, 7.0, 7.0, 0, 3, 5, 0, 1, 4, 2, 0, 2, 3, 0, 0, 0.0, 0, 1, 2, 0, 0, 3, 3, 14.29, 100.0, 100.0, 14.298828125, 60.0, 60.0, 0, 60.0, 71.390625, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 0.0, 0.0, 20.0, 20.0, 80.0, 40.0, 3.0, 1.0, 26.0, 11.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 69.0, "5745", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5745&g_ta_cod=5745", 29.0, 14.0, 57.0),
(7446, "Public", "0340076Y", "Lycée Irene et Frederic Joliot Curie", "34", "Hérault", "Occitanie", "Montpellier", "Sète", "formation sélective", "BTS", "Lycée Irene et Frederic Joliot Curie - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 260, 24, 221, 0, 9, 4, 61, 22, 97, 50, 54, 39, 0, 19, 8, 12, 83, 5, 0, 0, 4, 3, 19, 5, 53, 29, 7, 69, 13, 0, 11, 1, 0.0, 7.0, 12.0, 0, 8, 11, 0, 2, 9, 2, 0, 4, 6, 1, 0, 0.0, 0, 0, 7, 0, 0, 10, 10, 0.0, 53.85, 92.31, 0.0, 90.890625, 90.890625, 0, 72.6875, 84.59375, 0.0, 36.3984375, 54.5, 9.099609375, 0.0, 0.0, 0.0, 0.0, 18.19921875, 0.0, 81.796875, 63.59375, 1.0, 1.0, 41.0, 23.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 35.0, "4516", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4516&g_ta_cod=4516", 8.0, 15.0, 77.0),
(7447, "Public", "0771436T", "Lycée agricole Bougainville", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Brie-Comte-Robert", "formation sélective", "BTS", "Lycée agricole Bougainville - BTS - Agricole - productions animales", "BTS - Agricole", "", 12, 202, 135, 178, 0, 26, 6, 52, 8, 44, 13, 56, 24, 4, 0, 7, 13, 55, 7, 0, 0, 12, 3, 21, 4, 11, 3, 11, 43, 10, 7, 8, 2, 3.0, 7.0, 10.0, 0, 0, 4, 2, 1, 1, 6, 0, 2, 2, 0, 0, 0.0, 1, 1, 0, 1, 1, 2, 3, 30.0, 70.0, 100.0, 70.0, 50.0, 75.0, 25, 0.0, 40.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 25.0, 25.0, 25.0, 25.0, 0.0, 13.0, 2.0, 7.0, 1.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers technologiques toutes séries", 26, "Bacheliers professionnels toutes séries", 15, "Liste d'appel propre à cette formation", 31.0, "31203", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31203&g_ta_cod=31203", 30.0, 40.0, 30.0),
(7448, "Public", "0595786U", "Lycée Jean Prouve", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Jean Prouve - BTS - Production - Bâtiment", "BTS - Production", "", 30, 482, 56, 482, 0, 55, 8, 156, 50, 108, 54, 163, 0, 0, 0, 0, 0, 268, 0, 0, 0, 50, 5, 137, 43, 66, 30, 15, 100, 29, 1, 29, 0, 7.0, 24.0, 29.0, 0, 9, 27, 2, 15, 10, 2, 0, 7, 13, 7, 0, 0.0, 2, 11, 7, 6, 0, 23, 23, 24.14, 82.76, 100.0, 3.39990234375, 85.1875, 85.1875, 22.19921875, 33.296875, 93.09375, 0.0, 25.8984375, 48.09375, 25.8984375, 0.0, 0.0, 7.3994140625, 7.3994140625, 55.59375, 40.6953125, 37.0, 25.8984375, 8.0, 0.0, 48.0, 23.0, 6.0, "Tous les candidats sauf les Bac professionnels", 101.0, "Bacheliers professionnels toutes séries", 67, "", 0, "Liste d'appel propre à cette formation", 35.0, "7150", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7150&g_ta_cod=7150", 7.0, 55.0, 38.0),
(7449, "Public", "0501213X", "Lycée agricole de Coutances", "50", "Manche", "Normandie", "Normandie", "Coutances", "formation sélective", "BTS", "Lycée agricole de Coutances - BTS - Agricole - Production horticole", "BTS - Agricole", "", 22, 247, 92, 244, 0, 11, 2, 21, 1, 37, 13, 175, 3, 0, 0, 0, 3, 94, 1, 0, 0, 11, 2, 20, 1, 36, 13, 27, 69, 12, 4, 11, 1, 3.0, 11.0, 12.0, 0, 4, 7, 1, 1, 5, 5, 0, 3, 3, 1, 0, 0.0, 0, 1, 3, 4, 2, 5, 5, 25.0, 91.67, 100.0, 33.296875, 71.390625, 71.390625, 57.09375, 57.09375, 58.296875, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 14.298828125, 14.298828125, 71.390625, 42.8984375, 8.0, 2.0, 27.0, 10.0, 19.0, "Tous les candidats sauf les Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 39.0, "6021", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6021&g_ta_cod=6021", 50.0, 8.0, 42.0),
(7450, "Public", "0060075Z", "Lycée Les Eucalyptus", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "CPGE", "Lycée Les Eucalyptus - CPGE - PTSI", "Classe préparatoire scientifique", "", 84, 689, 155, 675, 434, 484, 56, 2, 1, 1, 1, 188, 14, 5, 0, 0, 9, 603, 3, 434, 475, 455, 49, 1, 0, 0, 0, 147, 424, 80, 11, 76, 2, 40.0, 60.0, 75.0, 15, 7, 66, 66, 0, 0, 12, 0, 7, 32, 24, 3, 0.0, 59, 0, 0, 12, 4, 53, 53, 50.0, 75.0, 93.75, 13.798828125, 80.296875, 80.296875, 18.19921875, 10.599609375, 82.5, 0.0, 10.599609375, 48.5, 36.3984375, 4.5, 0.0, 100.0, 89.390625, 0.0, 0.0, 0.0, 0.0, 364.0, 38.0, 0.0, 0.0, 60.0, "Tous les candidats", 502.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "2229", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2229&g_ta_cod=2229", 100.0, 0.0, 0.0),
(7451, "Public", "0740017S", "Lycée Charles Poncet", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Cluses", "formation sélective", "BTS", "Lycée Charles Poncet - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 864, 157, 864, 0, 49, 7, 87, 18, 49, 12, 679, 0, 0, 0, 0, 0, 212, 0, 0, 0, 49, 7, 87, 18, 43, 8, 33, 71, 15, 0, 15, 0, 4.0, 13.0, 14.0, 0, 1, 12, 1, 5, 6, 3, 0, 4, 7, 1, 0, 0.0, 0, 5, 3, 7, 0, 11, 11, 26.67, 86.67, 93.33, 0.0, 91.6875, 91.6875, 58.296875, 8.298828125, 80.0, 0.0, 33.296875, 58.296875, 8.298828125, 0.0, 0.0, 8.298828125, 0.0, 41.6953125, 41.6953125, 50.0, 25.0, 18.0, 2.0, 25.0, 5.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 13.0, "8868", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8868&g_ta_cod=8868", 7.0, 53.0, 40.0),
(7452, "Public", "0580031U", "Lycée Jules Renard", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "BTS", "Lycée Jules Renard - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 26, 131, 8, 128, 0, 14, 0, 50, 12, 34, 12, 30, 3, 0, 1, 0, 2, 87, 0, 0, 0, 13, 0, 37, 7, 29, 10, 8, 70, 13, 0, 13, 0, 4.0, 12.0, 12.0, 0, 4, 11, 2, 1, 8, 2, 0, 4, 3, 4, 0, 0.0, 0, 0, 7, 1, 0, 8, 8, 30.77, 92.31, 92.31, 0.0, 72.6875, 72.6875, 9.099609375, 36.3984375, 84.59375, 0.0, 36.3984375, 27.296875, 36.3984375, 0.0, 0.0, 18.19921875, 0.0, 9.099609375, 0.0, 72.6875, 63.59375, 9.0, 0.0, 26.0, 8.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 63.0, "6676", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6676&g_ta_cod=6676", 15.0, 15.0, 69.0),
(7453, "Public", "0630020E", "Lycée Sidoine Apollinaire", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée Sidoine Apollinaire - BTS - Services - Support à l'action managériale", "BTS - Services", "", 59, 640, 444, 636, 0, 54, 17, 242, 115, 167, 86, 173, 4, 1, 0, 0, 3, 408, 0, 0, 0, 39, 8, 175, 72, 127, 55, 67, 236, 67, 56, 67, 0, 17.0, 53.0, 59.0, 0, 29, 55, 2, 31, 22, 12, 0, 24, 22, 8, 1, 0.0, 1, 17, 13, 8, 7, 48, 48, 25.37, 79.1, 88.06, 83.59375, 87.296875, 87.296875, 14.5, 52.6953125, 82.09375, 0.0, 43.59375, 40.0, 14.5, 1.8, 0.0, 3.599609375, 1.7998046875, 56.3984375, 30.8984375, 40.0, 23.59765625, 19.0, 7.0, 81.0, 31.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 104, "Bacheliers technologiques toutes séries", 148, "Liste d'appel propre à cette formation", 49.0, "7553", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7553&g_ta_cod=7553", 10.0, 49.0, 40.0),
(7454, "Public", "0770930T", "Lycée Henri Moissan", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "CPGE", "Lycée Henri Moissan - CPGE - PCSI", "Classe préparatoire scientifique", "", 35, 291, 95, 284, 150, 191, 29, 1, 0, 0, 0, 92, 7, 2, 0, 0, 5, 177, 3, 90, 171, 159, 19, 0, 0, 0, 0, 18, 142, 34, 9, 32, 2, 6.0, 27.0, 33.0, 10, 4, 31, 31, 0, 0, 3, 0, 0, 11, 14, 6, 0.0, 31, 0, 0, 8, 0, 29, 30, 17.65, 79.41, 97.06, 26.5, 93.5, 96.796875, 25.796875, 12.8984375, 91.1875, 0.0, 0.0, 35.5, 45.1953125, 19.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 128.0, 15.0, 0.0, 0.0, 14.0, "Tous les candidats", 176.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "9799", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9799&g_ta_cod=9799", 100.0, 0.0, 0.0),
(7455, "Public", "0750685M", "Lycée Pierre-Gilles de Gennes - ENCPB", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Pierre-Gilles de Gennes - ENCPB - BTS - Production - Métiers de la chimie", "BTS - Production", "", 60, 937, 542, 937, 0, 200, 42, 217, 62, 26, 12, 494, 0, 0, 0, 0, 0, 391, 0, 0, 0, 166, 34, 111, 25, 18, 7, 96, 273, 61, 40, 61, 0, 37.0, 48.0, 59.0, 0, 12, 47, 22, 22, 3, 14, 0, 13, 28, 5, 1, 0.0, 16, 15, 3, 1, 0, 7, 43, 60.66, 78.69, 96.72, 65.59375, 14.8984375, 91.5, 2.099609375, 25.5, 77.0, 0.0, 27.69921875, 59.59375, 10.599609375, 2.1, 0.0, 46.796875, 34.0, 46.796875, 31.8984375, 6.3994140625, 6.3994140625, 126.0, 29.0, 5.0, 1.0, 58.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 201.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 109, "Liste d'appel propre à cette formation", 34.0, "9077", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9077&g_ta_cod=9077", 46.0, 48.0, 5.0),
(7456, "Public", "0650027B", "Lycée Jean Dupuy", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Jean Dupuy - BTS - Production - Conception de produits industriels", "BTS - Production", "", 24, 245, 23, 239, 0, 29, 3, 102, 9, 55, 9, 53, 6, 1, 0, 1, 4, 193, 2, 0, 0, 29, 3, 95, 7, 46, 7, 23, 106, 21, 3, 19, 2, 3.0, 15.0, 19.0, 0, 0, 14, 0, 4, 10, 7, 0, 7, 4, 2, 1, 0.0, 0, 3, 4, 1, 1, 7, 7, 14.29, 71.43, 90.48, 14.298828125, 50.0, 50.0, 7.099609375, 0.0, 66.6875, 0.0, 50.0, 28.59765625, 14.298828125, 7.1, 0.0, 0.0, 0.0, 28.59765625, 21.3984375, 71.390625, 28.59765625, 19.0, 2.0, 35.0, 4.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 67.0, "7818", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7818&g_ta_cod=7818", 10.0, 33.0, 57.0),
(7457, "Public", "9710884J", "Lycée de Raoul Georges NICOLO", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "BTS", "Lycée de Raoul Georges NICOLO - BTS - Production - Bâtiment", "BTS - Production", "", 16, 119, 18, 119, 0, 16, 9, 49, 24, 42, 24, 12, 0, 0, 0, 0, 0, 119, 0, 0, 0, 16, 9, 49, 24, 42, 24, 12, 38, 17, 3, 17, 0, 8.0, 17.0, 17.0, 0, 10, 17, 2, 8, 7, 0, 0, 4, 10, 3, 0, 0.0, 1, 8, 4, 6, 0, 17, 17, 47.06, 100.0, 100.0, 17.59765625, 100.0, 100.0, 35.296875, 58.796875, 100.0, 0.0, 23.5, 58.796875, 17.59765625, 0.0, 0.0, 11.798828125, 5.8994140625, 47.09375, 47.09375, 41.1953125, 23.5, 6.0, 4.0, 11.0, 5.0, 0.0, "Tous les candidats sauf les Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 13, "", 0, "Liste d'appel propre à cette formation", 37.0, "11757", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11757&g_ta_cod=11757", 12.0, 47.0, 41.0),
(7458, "Public", "0710012C", "Lycée Nicéphore Niepce", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "BTS", "Lycée Nicéphore Niepce - BTS - Production - Métiers de la chimie", "BTS - Production", "", 28, 586, 285, 571, 0, 88, 19, 107, 23, 12, 6, 364, 15, 2, 3, 0, 10, 228, 7, 0, 0, 84, 17, 83, 17, 5, 1, 56, 143, 27, 19, 24, 2, 3.0, 18.0, 25.0, 0, 3, 14, 7, 7, 0, 13, 0, 7, 4, 2, 1, 0.0, 2, 5, 0, 3, 2, 8, 8, 11.11, 66.67, 92.59, 70.390625, 57.09375, 57.09375, 21.3984375, 21.3984375, 51.8984375, 0.0, 50.0, 28.59765625, 14.298828125, 7.1, 0.0, 50.0, 14.298828125, 50.0, 35.6953125, 0.0, 0.0, 58.0, 8.0, 3.0, 1.0, 43.0, "Tous les candidats sauf les Bac professionnels", 213.0, "Bacheliers professionnels toutes séries", 3, "", 0, "Liste d'appel propre à cette formation", 38.0, "8623", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8623&g_ta_cod=8623", 56.0, 44.0, 0.0),
(7459, "Public", "0721575W", "ESGT Le Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 40, 3121, 770, 3117, 0, 2622, 237, 0, 0, 0, 0, 495, 4, 2, 0, 0, 2, 2000, 0, 0, 0, 1845, 118, 0, 0, 0, 0, 155, 1868, 29, 3, 29, 0, 19.0, 29.0, 29.0, 0, 2, 28, 28, 0, 0, 1, 0, 0, 6, 16, 6, 0.0, 28, 0, 0, 0, 0, 3, 3, 65.52, 100.0, 100.0, 10.298828125, 10.69921875, 10.69921875, 0, 7.099609375, 96.59375, 0.0, 0.0, 21.3984375, 57.09375, 21.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1714.0, 118.0, 0.0, 0.0, 154.0, "Autres candidats", 13685.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 64.0, "317", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=317", 100.0, 0.0, 0.0),
(7460, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation non sélective", "Licence", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Portail Mathématiques-Informatique (MI)", "Licence - Sciences - technologies - santé", "Mathématiques-Informatique (MI)", 75, 2761, 592, 2761, 0, 1939, 280, 54, 20, 4, 3, 764, 0, 0, 0, 0, 0, 2761, 0, 0, 0, 1939, 280, 54, 20, 4, 3, 764, 907, 87, 23, 87, 0, 61.0, 66.0, 73.0, 0, 13, 77, 77, 0, 0, 10, 2, 2, 19, 33, 19, 2.0, 73, 0, 0, 0, 0, 32, 45, 70.11, 75.86, 83.91, 26.3984375, 41.59375, 58.3984375, 0, 16.8984375, 88.5, 2.599609375, 2.599609375, 24.69921875, 42.8984375, 24.7, 2.6, 100.0, 94.796875, 0.0, 0.0, 0.0, 0.0, 782.0, 122.0, 0.0, 0.0, 125.0, "Tous les candidats", 977.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "27930", "Licence - Portail Mathématiques-Informatique (MI)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28470&g_ta_cod=27930", 100.0, 0.0, 0.0),
(7461, "Public", "0801068B", "Université Amiens UFR médecine", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Autre formation", "Regroupement Amiens et Strasbourg - Certificat de capacité d'Orthoptiste", "D.E secteur sanitaire", "", 25, 459, 390, 459, 0, 120, 29, 27, 13, 3, 1, 309, 0, 0, 0, 0, 0, 324, 0, 0, 0, 82, 8, 12, 3, 2, 0, 228, 79, 24, 21, 24, 0, 6.0, 20.0, 23.0, 0, 2, 5, 5, 0, 0, 19, 0, 1, 2, 2, 0, 0.0, 4, 0, 0, 0, 0, 2, 2, 25.0, 83.33, 95.83, 87.5, 40.0, 40.0, 0, 40.0, 20.796875, 0.0, 20.0, 40.0, 40.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 24.0, 7.0, 2.0, 0.0, 49.0, "Tous les candidats", 112.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "28081", "Certificat de capacité d'Orthoptiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28081&g_ta_cod=28081", 88.0, 4.0, 4.0),
(7462, "Public", "0410820U", "IFSI CH Blois", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "IFSI", "Regroupement d'IFSI Université Tours - D.E Infirmier", "D.E secteur sanitaire", "", 110, 4897, 4162, 4897, 0, 769, 129, 1171, 271, 458, 156, 2499, 0, 0, 0, 0, 0, 4332, 0, 0, 0, 745, 122, 1126, 250, 361, 125, 2100, 1236, 110, 96, 110, 0, 3.0, 51.0, 88.0, 0, 11, 72, 24, 39, 9, 38, 0, 11, 35, 24, 2, 0.0, 17, 35, 9, 0, 0, 45, 45, 2.73, 46.36, 80.0, 87.296875, 62.5, 62.5, 0, 15.298828125, 65.5, 0.0, 15.298828125, 48.59375, 33.296875, 2.8, 0.0, 33.296875, 23.59765625, 54.1953125, 48.59375, 12.5, 12.5, 249.0, 34.0, 63.0, 26.0, 444.0, "Tous les candidats", 2562.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "23268", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22995&g_ta_cod=23268", 42.0, 46.0, 12.0),
(7463, "Public", "0930127H", "Lycée Clemenceau", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villemomble", "formation sélective", "BTS", "Lycée Clemenceau - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 767, 323, 767, 0, 73, 32, 242, 135, 165, 88, 287, 0, 0, 0, 0, 0, 436, 0, 0, 0, 59, 27, 146, 87, 95, 52, 136, 128, 30, 11, 30, 0, 5.0, 22.0, 26.0, 0, 9, 22, 5, 12, 5, 8, 0, 7, 8, 7, 0, 0.0, 2, 8, 5, 2, 0, 21, 21, 16.67, 73.33, 86.67, 36.6953125, 95.5, 95.5, 9.099609375, 40.8984375, 73.296875, 0.0, 31.796875, 36.3984375, 31.796875, 0.0, 0.0, 22.69921875, 9.099609375, 54.5, 36.3984375, 22.69921875, 22.69921875, 20.0, 7.0, 25.0, 12.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 22.0, "11199", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11199&g_ta_cod=11199", 23.0, 40.0, 37.0),
(7464, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Langues étrangères appliquées - Parcours Anglais - Espagnol", "Licence - Arts-lettres-langues", "Anglais - Espagnol", 140, 1029, 770, 974, 0, 578, 168, 118, 47, 47, 24, 231, 55, 8, 6, 3, 38, 959, 50, 0, 0, 578, 168, 118, 47, 47, 24, 216, 712, 137, 94, 114, 23, 11.0, 99.0, 117.0, 0, 35, 85, 59, 21, 5, 52, 0, 43, 34, 8, 0, 0.0, 33, 6, 3, 0, 0, 64, 64, 8.03, 72.26, 85.4, 68.59375, 75.296875, 75.296875, 0, 41.1953125, 62.0, 0.0, 50.59375, 40.0, 9.3984375, 0.0, 0.0, 69.390625, 38.796875, 24.69921875, 7.099609375, 5.8994140625, 3.5, 451.0, 143.0, 16.0, 5.0, 178.0, "Tous les candidats", 955.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "5335", "Licence - Langues étrangères appliquées - Parcours Anglais - Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5335&g_ta_cod=5335", 71.0, 20.0, 9.0),
(7465, "Public", "0390013C", "Lycée Jacques Duhamel", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Dole", "formation sélective", "BTS", "Lycée Jacques Duhamel - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 18, 151, 42, 147, 0, 14, 5, 38, 12, 42, 11, 53, 4, 0, 0, 0, 4, 99, 0, 0, 0, 14, 5, 34, 8, 33, 8, 18, 71, 14, 5, 13, 0, 6.0, 12.0, 12.0, 0, 2, 11, 1, 5, 5, 3, 0, 6, 1, 3, 1, 0.0, 1, 0, 4, 5, 1, 10, 10, 42.86, 85.71, 85.71, 35.6953125, 90.890625, 90.890625, 45.5, 18.19921875, 78.59375, 0.0, 54.5, 9.099609375, 27.296875, 9.1, 0.0, 9.099609375, 9.099609375, 45.5, 0.0, 45.5, 36.3984375, 11.0, 4.0, 25.0, 8.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 55.0, "5145", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5145&g_ta_cod=5145", 14.0, 43.0, 43.0),
(7466, "Public", "0080047H", "Lycée professionnel des Métiers Jean-Baptiste Clément", "08", "Ariège", "Grand Est", "Reims", "Sedan", "formation sélective", "BTS", "Lycée professionnel des Métiers Jean-Baptiste Clément - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 30, 166, 9, 155, 0, 3, 0, 7, 1, 68, 28, 77, 11, 0, 0, 7, 4, 98, 0, 0, 0, 2, 0, 7, 1, 68, 28, 21, 78, 23, 3, 23, 0, 10.0, 22.0, 23.0, 0, 6, 20, 2, 0, 18, 3, 0, 5, 8, 6, 1, 0.0, 0, 0, 15, 9, 1, 16, 16, 43.48, 95.65, 100.0, 13.0, 80.0, 80.0, 45, 30.0, 87.0, 0.0, 25.0, 40.0, 30.0, 5.0, 0.0, 10.0, 0.0, 0.0, 0.0, 90.0, 75.0, 2.0, 0.0, 59.0, 21.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 57.0, "2372", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2372&g_ta_cod=2372", 22.0, 0.0, 78.0),
(7467, "Public", "0921166T", "Lycée JEAN JAURES", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Châtenay-Malabry", "formation sélective", "BTS", "Lycée JEAN JAURES - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 28, 421, 26, 278, 0, 17, 5, 78, 28, 92, 33, 91, 143, 0, 27, 57, 59, 175, 27, 0, 0, 17, 5, 56, 21, 69, 23, 33, 133, 20, 0, 10, 8, 1.0, 9.0, 14.0, 0, 9, 18, 1, 6, 11, 2, 0, 11, 6, 0, 1, 0.0, 0, 0, 7, 2, 0, 14, 18, 5.0, 45.0, 70.0, 0.0, 77.796875, 100.0, 11.099609375, 50.0, 90.0, 0.0, 61.09375, 33.296875, 0.0, 5.6, 0.0, 5.599609375, 0.0, 33.296875, 0.0, 61.09375, 38.8984375, 3.0, 2.0, 69.0, 25.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 50.0, "11067", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11067&g_ta_cod=11067", 5.0, 35.0, 60.0),
(7468, "Privé sous contrat d'association", "0631068U", "Lycée Godefroy De Bouillon", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée Godefroy De Bouillon - BTS - Production - Conception de produits industriels", "BTS - Production", "", 28, 171, 19, 153, 0, 16, 0, 62, 7, 29, 3, 46, 18, 2, 6, 1, 9, 109, 14, 0, 0, 16, 0, 54, 6, 25, 3, 14, 105, 19, 0, 16, 3, 5.0, 14.0, 18.0, 0, 4, 16, 1, 4, 11, 3, 0, 5, 8, 2, 1, 0.0, 1, 1, 9, 2, 0, 12, 12, 26.32, 73.68, 94.74, 0.0, 75.0, 75.0, 12.5, 25.0, 84.1875, 0.0, 31.296875, 50.0, 12.5, 6.3, 0.0, 6.2998046875, 6.2998046875, 25.0, 6.2998046875, 68.796875, 56.296875, 17.0, 0.0, 22.0, 3.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 69.0, "7604", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7604&g_ta_cod=7604", 5.0, 37.0, 58.0),
(7469, "Public", "9741204R", "Université de la Réunion - Le Tampon", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation non sélective", "Licence_Las", "Université de La Réunion - Saint Denis - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", ": Université de la Réunion - Le Tampon", 100, 502, 299, 332, 0, 146, 51, 48, 28, 24, 17, 114, 170, 36, 10, 21, 103, 332, 159, 0, 0, 146, 51, 48, 28, 24, 17, 114, 449, 55, 31, 23, 32, 7.0, 23.0, 44.0, 0, 14, 23, 11, 4, 8, 32, 1, 13, 9, 0, 0, 0.0, 4, 2, 3, 0, 0, 17, 17, 12.73, 41.82, 80.0, 56.3984375, 73.890625, 73.890625, 0, 60.8984375, 41.796875, 4.2998046875, 56.5, 39.09375, 0.0, 0.0, 0.0, 47.796875, 17.3984375, 17.3984375, 8.69921875, 34.796875, 13.0, 166.0, 54.0, 38.0, 26.0, 197.0, "Tous les candidats", 1482.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28308", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26499&g_ta_cod=28308", 49.0, 22.0, 29.0),
(7470, "Public", "0090002D", "Lycée Gabriel Faure", "09", "Ardennes", "Occitanie", "Toulouse", "Foix", "formation sélective", "BTS", "Lycée Gabriel Faure - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 142, 61, 123, 0, 21, 7, 33, 12, 27, 12, 42, 19, 1, 2, 5, 11, 84, 4, 0, 0, 20, 6, 31, 10, 18, 5, 15, 71, 19, 8, 17, 2, 5.0, 15.0, 17.0, 0, 4, 13, 4, 4, 5, 6, 0, 8, 4, 1, 0, 0.0, 2, 0, 3, 4, 1, 13, 13, 26.32, 78.95, 89.47, 42.09375, 100.0, 100.0, 30.796875, 30.796875, 68.390625, 0.0, 61.5, 30.796875, 7.69921875, 0.0, 0.0, 30.796875, 15.3984375, 30.796875, 0.0, 38.5, 23.09765625, 14.0, 5.0, 17.0, 5.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 68.0, "2387", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2387&g_ta_cod=2387", 37.0, 32.0, 32.0),
(7471, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - HISTOIRE - LLCER ETUDES SLAVES", "Licence - Sciences humaines et sociales", "HISTOIRE - LLCER ETUDES SLAVES", 25, 371, 199, 119, 0, 68, 15, 9, 1, 4, 2, 38, 252, 50, 22, 27, 153, 59, 16, 0, 0, 45, 9, 0, 0, 1, 1, 13, 65, 13, 4, 6, 7, 1.0, 6.0, 8.0, 0, 0, 6, 6, 0, 0, 7, 0, 0, 0, 4, 2, 0.0, 6, 0, 0, 0, 0, 0, 2, 7.69, 46.15, 61.54, 30.796875, 0.0, 33.296875, 0, 0.0, 46.1953125, 0.0, 0.0, 0.0, 66.6875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 41.0, 8.0, 1.0, 1.0, 23.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "12469", "Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - HISTOIRE - LLCER ETUDES SLAVES", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12469&g_ta_cod=12469", 92.0, 0.0, 8.0),
(7472, "Public", "0510035L", "Lycée Hugues Libergier", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Hugues Libergier - BTS - Services - Notariat", "BTS - Services", "", 30, 781, 514, 781, 0, 160, 38, 139, 49, 70, 30, 412, 0, 0, 0, 0, 0, 331, 0, 0, 0, 125, 21, 70, 17, 41, 16, 95, 130, 29, 18, 29, 0, 4.0, 18.0, 23.0, 0, 4, 16, 9, 4, 3, 13, 0, 5, 7, 3, 1, 0.0, 5, 3, 3, 0, 0, 12, 12, 13.79, 62.07, 79.31, 62.09375, 75.0, 75.0, 0, 25.0, 55.1953125, 0.0, 31.296875, 43.796875, 18.796875, 6.3, 0.0, 56.296875, 31.296875, 25.0, 18.796875, 18.796875, 18.796875, 56.0, 12.0, 5.0, 3.0, 42.0, "Tous les candidats sauf les Bac professionnels", 198.0, "Bacheliers professionnels toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 26.0, "6074", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6074&g_ta_cod=6074", 62.0, 28.0, 10.0),
(7473, "Public", "0762049P", "Université de Rouen Normandie - Campus Pasteur Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "Autre formation", "Université de Rouen Normandie - Campus Pasteur Rouen - Diplôme d'Université - Diplôme Universitaire de Préparation Aux Concours de Catégorie B", "Diplôme d'Université", "Diplôme Universitaire de Préparation Aux Concours de Catégorie B", 40, 119, 69, 76, 0, 26, 6, 11, 1, 9, 6, 30, 43, 6, 4, 3, 30, 68, 21, 0, 0, 25, 6, 9, 1, 7, 4, 27, 86, 30, 21, 19, 11, 11.0, 19.0, 24.0, 0, 3, 11, 7, 3, 1, 19, 4, 5, 1, 0, 1, 0.0, 2, 0, 0, 0, 0, 10, 10, 36.67, 63.33, 80.0, 70.0, 90.890625, 90.890625, 0, 27.296875, 36.6953125, 36.3984375, 45.5, 9.099609375, 0.0, 9.1, 0.0, 63.59375, 18.19921875, 27.296875, 0.0, 9.099609375, 0.0, 27.0, 6.0, 9.0, 5.0, 41.0, "Tous les candidats", 68.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "23309", "Diplôme d'Université - Diplôme Universitaire de Préparation Aux Concours de Catégorie B", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23309&g_ta_cod=23309", 50.0, 27.0, 23.0),
(7474, "Public", "9760370Y", "LYCEE POLYVALENT DE MAMOUDZOU NORD", "976", "Mayotte", "Mayotte", "Mayotte", "Mamoudzou", "formation sélective", "BTS", "LYCEE POLYVALENT DE MAMOUDZOU NORD - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 1083, 753, 1023, 0, 124, 79, 377, 260, 243, 131, 279, 60, 11, 0, 16, 33, 265, 0, 0, 0, 24, 12, 175, 130, 50, 28, 16, 101, 35, 28, 31, 0, 9.0, 28.0, 29.0, 0, 20, 32, 8, 18, 6, 3, 0, 15, 13, 4, 0, 0.0, 5, 9, 3, 17, 13, 32, 32, 25.71, 80.0, 82.86, 80.0, 100.0, 100.0, 53.09375, 62.5, 91.390625, 0.0, 46.8984375, 40.59375, 12.5, 0.0, 0.0, 25.0, 15.599609375, 56.296875, 28.09765625, 18.796875, 9.3984375, 14.0, 6.0, 45.0, 24.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 13.0, "20120", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20120&g_ta_cod=20120", 23.0, 54.0, 23.0),
(7475, "Privé sous contrat d'association", "0690712Z", "Lycée professionnel Saint Louis-Saint Bruno", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Saint Louis-Saint Bruno - Mention complémentaire - FCIL secrétariat médical", "Mention complémentaire", "", 15, 132, 123, 79, 0, 4, 0, 13, 6, 47, 20, 15, 53, 3, 10, 18, 22, 32, 9, 0, 0, 3, 0, 4, 2, 17, 6, 8, 41, 13, 13, 7, 5, 6.0, 7.0, 12.0, 0, 2, 7, 2, 1, 4, 6, 0, 4, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 6, 6, 46.15, 53.85, 92.31, 100.0, 85.6875, 85.6875, 0, 28.59765625, 53.796875, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 28.59765625, 0.0, 14.298828125, 0.0, 57.09375, 42.8984375, 4.0, 0.0, 18.0, 7.0, 13.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "24858", "Mention complémentaire - FCIL secrétariat médical", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24858&g_ta_cod=24858", 23.0, 31.0, 46.0),
(7476, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Portail Economie", "Licence - Droit-économie-gestion", "", 150, 1471, 592, 1405, 0, 988, 150, 79, 24, 14, 5, 324, 66, 17, 3, 0, 46, 1403, 49, 0, 0, 988, 150, 79, 24, 14, 5, 322, 894, 140, 44, 119, 20, 8.0, 80.0, 116.0, 0, 13, 92, 87, 4, 1, 48, 0, 43, 31, 14, 4, 0.0, 48, 1, 0, 0, 0, 86, 86, 5.71, 57.14, 82.86, 31.3984375, 93.5, 93.5, 0, 14.099609375, 65.6875, 0.0, 46.6953125, 33.6953125, 15.19921875, 4.3, 0.0, 94.59375, 52.1953125, 4.2998046875, 1.099853515625, 1.099853515625, 0.0, 645.0, 103.0, 6.0, 1.0, 202.0, "Tous les candidats", 1535.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "19209", "Licence - Portail Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27699&g_ta_cod=19209", 88.0, 9.0, 3.0),
(7477, "Public", "0623920Z", "Université du littoral - Site de Boulogne-sur-Mer", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation non sélective", "Licence", "Université du littoral - Site de Boulogne-sur-Mer - Licence - Lettres - Parcours Lettres modernes", "Licence - Arts-lettres-langues", "Lettres modernes", 72, 235, 197, 210, 0, 155, 50, 8, 3, 5, 2, 42, 25, 0, 1, 2, 22, 210, 25, 0, 0, 155, 50, 8, 3, 5, 2, 42, 213, 37, 33, 28, 9, 15.0, 27.0, 33.0, 0, 9, 22, 20, 2, 0, 15, 0, 4, 9, 8, 1, 0.0, 16, 2, 0, 0, 0, 21, 21, 40.54, 72.97, 89.19, 89.1875, 95.5, 95.5, 0, 40.8984375, 59.5, 0.0, 18.19921875, 40.8984375, 36.3984375, 4.5, 0.0, 90.890625, 72.6875, 9.099609375, 9.099609375, 0.0, 0.0, 140.0, 44.0, 7.0, 3.0, 57.0, "Tous les candidats", 212.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7501", "Licence - Lettres - Parcours Lettres modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7501&g_ta_cod=7501", 81.0, 11.0, 3.0),
(7478, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Langues étrangères appliquées - Parcours  Choix de 2 langues parmi : Anglais, Allemand, Espagnol, Italien, Russe", "Licence - Arts-lettres-langues", "Choix de 2 langues parmi : Anglais, Allemand, Espagnol, Italien, Russe", 194, 993, 721, 884, 0, 585, 137, 75, 28, 16, 5, 208, 109, 26, 12, 2, 69, 881, 100, 0, 0, 585, 137, 75, 28, 16, 5, 205, 828, 172, 123, 130, 42, 25.0, 130.0, 160.0, 0, 27, 110, 92, 15, 3, 62, 0, 53, 41, 12, 4, 0.0, 49, 5, 3, 0, 0, 99, 99, 14.53, 75.58, 93.02, 71.5, 90.0, 90.0, 0, 24.5, 64.0, 0.0, 48.1953125, 37.296875, 10.8984375, 3.6, 0.0, 83.59375, 44.5, 13.599609375, 4.5, 2.69970703125, 2.69970703125, 531.0, 121.0, 13.0, 6.0, 231.0, "Tous les candidats", 882.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3550", "Licence - Langues étrangères appliquées - Parcours  Choix de 2 langues parmi : Anglais, Allemand, Espagnol, Italien, Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3550&g_ta_cod=3550", 77.0, 17.0, 5.0),
(7479, "Public", "0781984H", "Lycée Vaucanson", "78", "Yvelines", "Ile-de-France", "Versailles", "Les Mureaux", "formation sélective", "BTS", "Lycée Vaucanson - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 389, 213, 385, 0, 15, 7, 113, 53, 140, 70, 117, 4, 0, 0, 0, 4, 247, 0, 0, 0, 15, 7, 85, 40, 91, 44, 56, 125, 28, 13, 28, 0, 0.0, 22.0, 26.0, 0, 6, 18, 1, 7, 10, 10, 0, 14, 4, 0, 0, 0.0, 0, 1, 3, 1, 1, 18, 18, 0.0, 78.57, 92.86, 46.3984375, 100.0, 100.0, 5.599609375, 33.296875, 64.296875, 0.0, 77.796875, 22.19921875, 0.0, 0.0, 0.0, 5.599609375, 0.0, 38.8984375, 5.599609375, 55.59375, 16.69921875, 9.0, 3.0, 47.0, 17.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers technologiques toutes séries", 82, "Bacheliers professionnels toutes séries", 91, "Liste d'appel propre à cette formation", 51.0, "25084", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25084&g_ta_cod=25084", 18.0, 32.0, 50.0),
(7480, "Public", "0500016W", "Lycée Jean-Francois Millet", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "CPGE", "Lycée Jean-Francois Millet - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 352, 197, 346, 195, 197, 33, 2, 0, 1, 1, 146, 6, 1, 0, 0, 5, 191, 0, 120, 180, 182, 32, 2, 0, 0, 0, 7, 147, 32, 25, 32, 0, 10.0, 32.0, 32.0, 17, 4, 30, 30, 0, 0, 2, 0, 1, 7, 11, 10, 1.0, 29, 0, 0, 10, 8, 26, 26, 31.25, 100.0, 100.0, 78.09375, 86.6875, 86.6875, 33.296875, 13.298828125, 93.796875, 0.0, 3.2998046875, 23.296875, 36.6953125, 33.3, 3.3, 100.0, 96.6875, 0.0, 0.0, 0.0, 0.0, 140.0, 32.0, 0.0, 0.0, 6.0, "Tous les candidats", 188.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "5987", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5987&g_ta_cod=5987", 100.0, 0.0, 0.0),
(7481, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquées : Anglais et Italien (niveau B1/B2 attendu pour les 2 langues)", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées : Anglais et Italien (niveau B1/B2 attendu pour les 2 langues)", 40, 184, 139, 152, 0, 92, 20, 13, 7, 8, 7, 39, 32, 7, 0, 3, 22, 152, 22, 0, 0, 92, 20, 13, 7, 8, 7, 39, 157, 33, 23, 25, 8, 11.0, 24.0, 31.0, 0, 8, 20, 14, 3, 3, 13, 0, 9, 6, 5, 0, 0.0, 8, 2, 1, 0, 0, 17, 17, 33.33, 72.73, 93.94, 69.6875, 85.0, 85.0, 0, 40.0, 60.59375, 0.0, 45.0, 30.0, 25.0, 0.0, 0.0, 70.0, 40.0, 15.0, 10.0, 15.0, 5.0, 91.0, 20.0, 8.0, 5.0, 47.0, "Tous les candidats", 152.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "18134", "Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquées : Anglais et Italien (niveau B1/B2 attendu pour les 2 langues)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18134&g_ta_cod=18134", 70.0, 18.0, 12.0),
(7482, "Public", "0420014M", "Lycée Jacob Holtzer", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Firminy", "formation sélective", "BTS", "Lycée Jacob Holtzer - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 131, 11, 129, 0, 12, 0, 45, 9, 40, 16, 32, 2, 0, 1, 0, 1, 109, 0, 0, 0, 12, 0, 43, 9, 36, 14, 18, 66, 13, 0, 13, 0, 0.0, 10.0, 13.0, 0, 4, 10, 1, 3, 6, 3, 0, 6, 4, 0, 0, 0.0, 0, 0, 4, 1, 0, 10, 10, 0.0, 76.92, 100.0, 0.0, 100.0, 100.0, 10, 40.0, 76.890625, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 10.0, 0.0, 30.0, 0.0, 60.0, 40.0, 4.0, 0.0, 23.0, 9.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 71.0, "5269", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5269&g_ta_cod=5269", 8.0, 31.0, 62.0),
(7483, "Public", "9741204R", "Université de la Réunion - Le Tampon", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Portail Administration économique et sociale", "Licence - Droit-économie-gestion", ": Université de la Réunion - Le Tampon", 600, 1835, 1177, 1420, 0, 593, 260, 342, 218, 127, 99, 358, 415, 56, 65, 79, 215, 1420, 390, 0, 0, 593, 260, 342, 218, 127, 99, 358, 1739, 375, 223, 232, 143, 96.0, 225.0, 315.0, 0, 139, 211, 76, 69, 66, 164, 1, 139, 58, 11, 2, 0.0, 35, 13, 23, 0, 0, 199, 199, 25.6, 60.0, 84.0, 59.5, 94.296875, 94.296875, 0, 65.890625, 56.296875, 0.5, 65.890625, 27.5, 5.19921875, 0.9, 0.0, 36.0, 16.59765625, 32.6953125, 6.19921875, 31.296875, 10.8984375, 603.0, 270.0, 197.0, 157.0, 546.0, "Tous les candidats", 2528.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "26497", "Licence - Portail Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26496&g_ta_cod=26497", 33.0, 31.0, 35.0),
(7484, "Public", "0510031G", "Lycée CLEMENCEAU", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "CPGE", "Lycée CLEMENCEAU - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 1001, 721, 1001, 659, 832, 85, 4, 1, 3, 2, 162, 0, 0, 0, 0, 0, 550, 0, 395, 541, 515, 43, 0, 0, 0, 0, 35, 223, 48, 36, 48, 0, 10.0, 35.0, 46.0, 18, 6, 47, 47, 0, 0, 1, 0, 0, 2, 25, 18, 2.0, 47, 0, 0, 2, 1, 28, 28, 20.83, 72.92, 95.83, 75.0, 59.59375, 59.59375, 4.2998046875, 12.798828125, 97.890625, 0.0, 0.0, 4.2998046875, 53.1953125, 38.3, 4.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 206.0, 22.0, 0.0, 0.0, 17.0, "Tous les candidats", 400.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "6058", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6058&g_ta_cod=6058", 100.0, 0.0, 0.0),
(7485, "Public", "9730001N", "Lycée Félix EBOUE", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "BTS", "Lycée Félix EBOUE - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 322, 225, 309, 0, 44, 25, 63, 41, 151, 91, 51, 13, 5, 0, 0, 8, 79, 4, 0, 0, 17, 10, 28, 18, 30, 22, 4, 58, 17, 15, 16, 1, 5.0, 15.0, 16.0, 0, 11, 15, 1, 4, 10, 2, 0, 6, 6, 3, 0, 0.0, 1, 0, 8, 4, 3, 15, 15, 29.41, 88.24, 94.12, 88.1875, 100.0, 100.0, 26.69921875, 73.296875, 88.1875, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 6.69921875, 6.69921875, 26.69921875, 0.0, 66.6875, 53.296875, 14.0, 7.0, 24.0, 18.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 22.0, "11850", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11850&g_ta_cod=11850", 12.0, 29.0, 59.0),
(7486, "Public", "0951756T", "Lycée Jules Verne", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "BTS", "Lycée Jules Verne - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 347, 15, 335, 0, 9, 2, 47, 7, 166, 73, 113, 12, 0, 9, 0, 3, 244, 0, 0, 0, 9, 2, 39, 5, 129, 60, 67, 107, 22, 2, 22, 0, 5.0, 20.0, 21.0, 0, 10, 20, 0, 5, 15, 2, 0, 11, 7, 2, 0, 0.0, 0, 1, 8, 5, 1, 17, 19, 22.73, 90.91, 95.45, 9.099609375, 85.0, 95.0, 25, 50.0, 90.890625, 0.0, 55.0, 35.0, 10.0, 0.0, 0.0, 0.0, 0.0, 25.0, 5.0, 75.0, 40.0, 1.0, 1.0, 66.0, 24.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 38.0, "11622", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11622&g_ta_cod=11622", 0.0, 27.0, 73.0),
(7487, "Public", "0440021J", "Lycée général Clemenceau", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "Lycée général Clemenceau - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 3740, 1024, 3740, 2930, 3433, 274, 3, 0, 0, 0, 304, 0, 0, 0, 0, 0, 1614, 0, 834, 1377, 1605, 158, 1, 0, 0, 0, 8, 347, 95, 24, 95, 0, 14.0, 77.0, 95.0, 17, 9, 94, 94, 0, 0, 1, 0, 0, 0, 3, 61, 30.0, 94, 0, 0, 2, 1, 71, 71, 14.74, 81.05, 100.0, 25.296875, 75.5, 75.5, 2.099609375, 9.599609375, 98.890625, 0.0, 0.0, 0.0, 3.19970703125, 64.9, 31.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 345.0, 27.0, 0.0, 0.0, 2.0, "Tous les candidats", 513.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "5421", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5421&g_ta_cod=5421", 100.0, 0.0, 0.0),
(7488, "Public", "0670087F", "Lycée Alexandre Dumas (Hotelier)", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "BTS", "Lycée Alexandre Dumas (Hotelier) - BTS - Services - Tourisme", "BTS - Services", "", 70, 982, 717, 982, 0, 218, 50, 189, 50, 163, 95, 412, 0, 0, 0, 0, 0, 725, 0, 0, 0, 209, 45, 163, 38, 148, 86, 205, 299, 65, 55, 65, 0, 6.0, 53.0, 61.0, 0, 27, 54, 24, 19, 11, 11, 0, 18, 20, 14, 2, 0.0, 19, 7, 10, 1, 1, 41, 41, 9.23, 81.54, 93.85, 84.59375, 75.890625, 75.890625, 1.89990234375, 50.0, 83.09375, 0.0, 33.296875, 37.0, 25.8984375, 3.7, 0.0, 44.3984375, 35.1953125, 35.1953125, 13.0, 20.3984375, 18.5, 104.0, 32.0, 37.0, 26.0, 57.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 200.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 181, "Liste d'appel propre à cette formation", 44.0, "7956", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7956&g_ta_cod=7956", 46.0, 34.0, 20.0),
(7489, "Public", "0490054T", "Lycée polyvalent Fernand Renaudeau - Lycée des métiers de la mode", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "Autre formation", "Lycée polyvalent Fernand Renaudeau - Lycée des métiers de la mode - DN MADE - Mode - - Spécialité : Design Textiles-Matériaux-Graphisme", "DN MADE", "- Spécialité : Design Textiles-Matériaux-Graphisme", 15, 548, 427, 548, 0, 182, 30, 156, 40, 63, 9, 147, 0, 0, 0, 0, 0, 548, 0, 0, 0, 182, 30, 156, 40, 63, 9, 147, 65, 15, 13, 15, 0, 0.0, 12.0, 13.0, 0, 3, 13, 5, 8, 0, 2, 0, 0, 6, 6, 1, 0.0, 5, 8, 0, 0, 0, 5, 5, 0.0, 80.0, 86.67, 86.6875, 38.5, 38.5, 0, 23.09765625, 86.6875, 0.0, 0.0, 46.1953125, 46.1953125, 7.7, 0.0, 38.5, 38.5, 61.5, 61.5, 0.0, 0.0, 18.0, 1.0, 1.0, 0.0, 3.0, "Tous les candidats", 93.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "24244", "DN MADE - Mode - - Spécialité : Design Textiles-Matériaux-Graphisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24244&g_ta_cod=24244", 40.0, 60.0, 0.0),
(7490, "Public", "0951637N", "Lycée Galilée", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "BTS", "Lycée Galilée - BTS - Services - Communication", "BTS - Services", "", 35, 1984, 1250, 1924, 0, 242, 70, 567, 217, 247, 112, 868, 60, 0, 38, 0, 22, 334, 7, 0, 0, 18, 4, 181, 59, 97, 36, 38, 169, 33, 30, 27, 6, 3.0, 21.0, 27.0, 0, 10, 27, 1, 18, 8, 6, 0, 5, 15, 6, 1, 0.0, 1, 15, 6, 0, 0, 22, 26, 9.09, 63.64, 81.82, 90.890625, 81.5, 96.296875, 0, 37.0, 81.796875, 0.0, 18.5, 55.59375, 22.19921875, 3.7, 0.0, 3.69970703125, 3.69970703125, 66.6875, 55.59375, 29.59765625, 22.19921875, 3.0, 1.0, 37.0, 8.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 198, "Liste d'appel propre à cette formation", 14.0, "11609", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11609&g_ta_cod=11609", 9.0, 64.0, 27.0),
(7491, "Public", "0761688X", "I.U.T du Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BUT", "I.U.T du Havre - BUT - Génie civil - Construction durable Parcours : Travaux bâtiment - Travaux publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études conception", "BUT - Production", "Travaux bâtiment - Travaux publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études conception", 104, 1570, 285, 1545, 0, 841, 119, 450, 87, 18, 8, 236, 25, 0, 14, 0, 11, 1082, 1, 0, 0, 707, 84, 273, 50, 1, 0, 101, 613, 103, 14, 103, 0, 52.0, 87.0, 98.0, 0, 22, 99, 55, 43, 1, 4, 1, 12, 67, 16, 3, 0.0, 49, 36, 1, 0, 0, 75, 75, 50.49, 84.47, 95.15, 13.599609375, 75.796875, 75.796875, 0, 22.19921875, 96.09375, 1.0, 12.099609375, 67.6875, 16.19921875, 3.0, 0.0, 55.59375, 49.5, 43.3984375, 36.3984375, 1.0, 1.0, 348.0, 58.0, 1.0, 0.0, 28.0, "Tous les candidats sauf les Bac technologiques", 401.0, "Bacheliers technologiques toutes séries", 291, "", 0, "Liste d'appel propre à cette formation", 45.0, "9651", "BUT - Génie civil - Construction durable Parcours : Travaux bâtiment - Travaux publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études conception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9651&g_ta_cod=9651", 56.0, 43.0, 1.0),
(7492, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Licence", "Université de Poitiers - Licence - Mathématiques - Parcours Renforcé (PR)", "Licence - Sciences - technologies - santé", "Renforcé (PR)", 30, 237, 58, 225, 0, 185, 15, 2, 0, 1, 0, 37, 12, 3, 0, 0, 9, 115, 0, 0, 0, 112, 4, 0, 0, 0, 0, 3, 79, 23, 8, 23, 0, 15.0, 23.0, 23.0, 0, 1, 23, 23, 0, 0, 0, 0, 0, 4, 14, 4, 1.0, 23, 0, 0, 0, 0, 21, 21, 65.22, 100.0, 100.0, 34.796875, 91.296875, 91.296875, 0, 4.2998046875, 100.0, 0.0, 0.0, 17.3984375, 60.8984375, 17.4, 4.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 76.0, 4.0, 0.0, 0.0, 3.0, "Tous les candidats", 115.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "20858", "Licence - Mathématiques - Parcours Renforcé (PR)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20858&g_ta_cod=20858", 100.0, 0.0, 0.0),
(7493, "Public", "9760358K", "CUFR Centre Universitaire de Mayotte", "976", "Mayotte", "Mayotte", "Mayotte", "Dembeni", "formation non sélective", "Licence", "CUFR Centre Universitaire de Mayotte - Licence - Lettres", "Licence - Arts-lettres-langues", "", 80, 413, 346, 413, 0, 260, 169, 26, 21, 10, 4, 117, 0, 0, 0, 0, 0, 413, 0, 0, 0, 260, 169, 26, 21, 10, 4, 117, 220, 69, 62, 69, 0, 20.0, 64.0, 64.0, 0, 36, 49, 47, 1, 1, 20, 0, 27, 20, 2, 0, 0.0, 21, 0, 1, 0, 0, 49, 49, 28.99, 92.75, 92.75, 89.890625, 100.0, 100.0, 0, 73.5, 71.0, 0.0, 55.09375, 40.796875, 4.099609375, 0.0, 0.0, 95.890625, 42.8984375, 2.0, 0.0, 2.0, 2.0, 157.0, 102.0, 1.0, 1.0, 56.0, "Tous les candidats", 244.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "13884", "Licence - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13884&g_ta_cod=13884", 87.0, 10.0, 3.0),
(7494, "Public", "0211139Z", "I.U.T de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BUT", "I.U.T de Dijon - BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience SCN2D - Création numérique CN - Développement web et dispositifs interactifs DWDI", "BUT - Production", "Stratégie de communication numérique et design d'expérience SCN2D - Création numérique CN - Développement web et dispositifs interactifs DWDI", 78, 1663, 493, 1663, 0, 793, 113, 390, 83, 28, 6, 452, 0, 0, 0, 0, 0, 1183, 0, 0, 0, 668, 91, 244, 44, 0, 0, 271, 386, 86, 11, 86, 0, 40.0, 75.0, 80.0, 0, 20, 70, 35, 35, 0, 16, 0, 20, 36, 11, 3, 0.0, 29, 21, 0, 0, 0, 29, 29, 46.51, 87.21, 93.02, 12.798828125, 41.3984375, 41.3984375, 0, 28.59765625, 81.390625, 0.0, 28.59765625, 51.3984375, 15.69921875, 4.3, 0.0, 50.0, 41.3984375, 50.0, 30.0, 0.0, 0.0, 189.0, 27.0, 0.0, 0.0, 58.0, "Tous les candidats sauf les Bac technologiques", 252.0, "Bacheliers technologiques toutes séries", 189, "", 0, "Liste d'appel propre à cette formation", 27.0, "3240", "BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience SCN2D - Création numérique CN - Développement web et dispositifs interactifs DWDI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3240&g_ta_cod=3240", 50.0, 50.0, 0.0),
(7495, "Public", "0830042V", "Lycée Antoine De Saint Exupery", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Saint-Raphaël", "formation sélective", "BTS", "Lycée Antoine De Saint Exupery - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 26, 485, 234, 485, 0, 72, 17, 150, 40, 172, 67, 91, 0, 0, 0, 0, 0, 379, 0, 0, 0, 61, 16, 129, 33, 125, 42, 64, 81, 24, 11, 24, 0, 4.0, 17.0, 19.0, 0, 7, 22, 4, 7, 11, 2, 0, 5, 8, 9, 0, 0.0, 2, 4, 11, 13, 6, 22, 22, 16.67, 70.83, 79.17, 45.796875, 100.0, 100.0, 59.09375, 31.796875, 91.6875, 0.0, 22.69921875, 36.3984375, 40.8984375, 0.0, 0.0, 18.19921875, 9.099609375, 31.796875, 18.19921875, 50.0, 50.0, 18.0, 9.0, 23.0, 6.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 24.0, "10336", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10336&g_ta_cod=10336", 25.0, 29.0, 46.0),
(7496, "Public", "0770938B", "Lycée André Malraux", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Montereau-Fault-Yonne", "formation sélective", "Autre formation", "Lycée André Malraux - DN MADE - Graphisme", "DN MADE", "- Spécialité : Illustration", 10, 1236, 873, 1236, 0, 412, 100, 313, 75, 125, 42, 386, 0, 0, 0, 0, 0, 440, 0, 0, 0, 139, 22, 179, 37, 28, 6, 94, 68, 9, 6, 9, 0, 1.0, 6.0, 9.0, 0, 4, 9, 3, 5, 1, 0, 0, 0, 3, 5, 1, 0.0, 3, 5, 1, 0, 0, 2, 3, 11.11, 66.67, 100.0, 66.6875, 22.19921875, 33.296875, 0, 44.3984375, 100.0, 0.0, 0.0, 33.296875, 55.59375, 11.1, 0.0, 33.296875, 33.296875, 55.59375, 55.59375, 11.099609375, 11.099609375, 21.0, 1.0, 3.0, 1.0, 15.0, "Tous les candidats", 188.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 12.0, "21945", "DN MADE - Graphisme", "Lycée André Malraux", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21912&g_ta_cod=21945", 33.0, 56.0, 11.0),
(7497, "Public", "0801068B", "Université Amiens UFR médecine", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Autre formation", "Regroupement Normandie et Amiens - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 35, 1921, 1863, 1921, 0, 669, 68, 39, 10, 2, 1, 1211, 0, 0, 0, 0, 0, 382, 0, 0, 0, 189, 6, 1, 0, 0, 0, 192, 139, 35, 33, 35, 0, 4.0, 29.0, 32.0, 0, 0, 16, 16, 0, 0, 19, 0, 0, 1, 5, 10, 0.0, 16, 0, 0, 0, 0, 4, 4, 11.43, 82.86, 91.43, 94.296875, 25.0, 25.0, 0, 0.0, 45.6953125, 0.0, 0.0, 6.2998046875, 31.296875, 62.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 58.0, 4.0, 0.0, 0.0, 81.0, "Tous les candidats", 179.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 9.0, "28223", "Certificat de capacité d'Orthophoniste", "Regroupement Normandie et Amiens", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28220&g_ta_cod=28223", 97.0, 3.0, 0.0),
(7498, "Public", "0600020W", "Lycée Marie Curie", "60", "Oise", "Hauts-de-France", "Amiens", "Nogent-sur-Oise", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 15, 144, 20, 135, 0, 12, 2, 46, 16, 28, 10, 49, 9, 0, 0, 7, 2, 104, 0, 0, 0, 12, 2, 43, 13, 18, 6, 31, 64, 12, 2, 12, 0, 2.0, 11.0, 12.0, 0, 4, 8, 0, 6, 2, 4, 0, 2, 3, 2, 1, 0.0, 0, 4, 2, 6, 0, 8, 8, 16.67, 91.67, 100.0, 16.69921875, 100.0, 100.0, 75, 50.0, 66.6875, 0.0, 25.0, 37.5, 25.0, 12.5, 0.0, 0.0, 0.0, 75.0, 50.0, 25.0, 25.0, 6.0, 1.0, 18.0, 6.0, 15.0, "Tous les candidats sauf les Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 62.0, "7232", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7232&g_ta_cod=7232", 33.0, 50.0, 17.0),
(7499, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Lettres", "Licence - Arts-lettres-langues", "", 200, 800, 646, 647, 0, 458, 230, 25, 18, 26, 21, 138, 153, 17, 16, 13, 107, 647, 148, 0, 0, 458, 230, 25, 18, 26, 21, 138, 715, 139, 108, 94, 45, 19.0, 91.0, 123.0, 0, 45, 79, 67, 7, 5, 60, 0, 35, 32, 10, 2, 0.0, 43, 1, 0, 0, 0, 64, 64, 13.67, 65.47, 88.49, 77.6875, 81.0, 81.0, 0, 57.0, 56.796875, 0.0, 44.296875, 40.5, 12.69921875, 2.5, 0.0, 84.796875, 54.3984375, 8.8984375, 1.2998046875, 6.2998046875, 0.0, 436.0, 209.0, 33.0, 29.0, 211.0, "Tous les candidats", 645.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11920", "Licence - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11920&g_ta_cod=11920", 71.0, 13.0, 14.0),
(7500, "Public", "0594391C", "E.S.AA.T.", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "Autre formation", "E.S.AA.T. - DN MADE - Espace - - Spécialité : Espaces habités", "DN MADE", "- Spécialité : Espaces habités", 15, 813, 656, 813, 0, 352, 65, 204, 36, 59, 17, 198, 0, 0, 0, 0, 0, 150, 0, 0, 0, 71, 13, 76, 12, 1, 0, 2, 51, 15, 15, 15, 0, 1.0, 13.0, 14.0, 0, 1, 15, 8, 7, 0, 0, 0, 0, 3, 9, 3, 0.0, 8, 7, 0, 0, 0, 4, 4, 6.67, 86.67, 93.33, 100.0, 26.69921875, 26.69921875, 0, 6.69921875, 100.0, 0.0, 0.0, 20.0, 60.0, 20.0, 0.0, 53.296875, 53.296875, 46.6953125, 46.6953125, 0.0, 0.0, 23.0, 3.0, 0.0, 0.0, 0.0, "Tous les candidats", 92.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "24718", "DN MADE - Espace - - Spécialité : Espaces habités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24718&g_ta_cod=24718", 53.0, 47.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(7501, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence_Las", "Université des Antilles - Pôle Martinique - Licence - Portail Droit - Droit - Martinique", "Licence - Droit-économie-gestion", "Droit - Martinique", 20, 167, 129, 141, 0, 88, 28, 20, 6, 3, 2, 30, 26, 9, 3, 0, 14, 141, 26, 0, 0, 88, 28, 20, 6, 3, 2, 30, 111, 16, 13, 13, 3, 2.0, 13.0, 13.0, 0, 4, 11, 8, 3, 0, 5, 0, 6, 4, 1, 0, 0.0, 4, 1, 0, 0, 0, 10, 10, 12.5, 81.25, 81.25, 81.296875, 90.890625, 90.890625, 0, 36.3984375, 68.796875, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 72.6875, 36.3984375, 27.296875, 9.099609375, 0.0, 0.0, 67.0, 15.0, 2.0, 1.0, 32.0, "Tous les candidats", 526.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28284", "Licence - Portail Droit - Droit - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28283&g_ta_cod=28284", 63.0, 25.0, 13.0),
(7502, "Public", "0211033J", "Lycée Gustave Eiffel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "CPGE", "Lycée Gustave Eiffel - CPGE - TSI", "Classe préparatoire scientifique", "", 35, 296, 27, 296, 191, 0, 0, 262, 52, 0, 0, 34, 0, 0, 0, 0, 0, 241, 0, 158, 220, 0, 0, 236, 45, 0, 0, 5, 90, 35, 0, 35, 0, 6.0, 33.0, 35.0, 14, 3, 34, 0, 34, 0, 1, 0, 0, 16, 17, 1, 0.0, 0, 34, 0, 5, 0, 22, 22, 17.14, 94.29, 100.0, 0.0, 64.6875, 64.6875, 14.69921875, 8.798828125, 97.09375, 0.0, 0.0, 47.09375, 50.0, 2.9, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 203.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "3206", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3206&g_ta_cod=3206", 0.0, 100.0, 0.0),
(7503, "Public", "0810121S", "L.E.G.T.A. Albi - Fonlabour", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "BTS", "L.E.G.T.A. Albi - Fonlabour - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 36, 427, 120, 423, 0, 52, 11, 76, 7, 74, 19, 221, 4, 1, 0, 0, 3, 210, 2, 0, 0, 50, 11, 67, 6, 62, 14, 31, 140, 34, 9, 33, 1, 10.0, 27.0, 33.0, 0, 4, 26, 5, 10, 11, 8, 0, 7, 11, 7, 1, 0.0, 2, 8, 9, 3, 0, 18, 18, 29.41, 79.41, 97.06, 26.5, 69.1875, 69.1875, 11.5, 15.3984375, 76.5, 0.0, 26.8984375, 42.296875, 26.8984375, 3.8, 0.0, 19.19921875, 7.69921875, 38.5, 30.796875, 42.296875, 34.59375, 32.0, 6.0, 44.0, 10.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 49.0, "10279", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10279&g_ta_cod=10279", 29.0, 35.0, 35.0),
(7504, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Droit - Parcours International Droit français-droit espagnol", "Licence - Droit-économie-gestion", "International Droit français-droit espagnol", 30, 590, 503, 572, 0, 486, 94, 10, 1, 2, 1, 74, 18, 3, 1, 0, 14, 157, 3, 0, 0, 139, 20, 0, 0, 0, 0, 18, 111, 27, 25, 26, 1, 6.0, 25.0, 25.0, 0, 4, 22, 22, 0, 0, 5, 0, 0, 1, 17, 3, 1.0, 22, 0, 0, 0, 0, 10, 10, 22.22, 92.59, 92.59, 92.59375, 45.5, 45.5, 0, 18.19921875, 81.5, 0.0, 0.0, 4.5, 77.296875, 13.6, 4.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 93.0, 16.0, 0.0, 0.0, 18.0, "Tous les candidats", 144.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "22706", "Licence - Droit - Parcours International Droit français-droit espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22706&g_ta_cod=22706", 100.0, 0.0, 0.0),
(7505, "Public", "0672834S", "I.U.T. de Haguenau", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Haguenau", "formation sélective", "BUT", "I.U.T. de Haguenau - BUT - Génie électrique et informatique industrielle Parcours : Franco-Suisse-Allemand (Triple Diplôme) - Electronique et systèmes embarqués", "BUT - Production", "Franco-Suisse-Allemand (Triple Diplôme) - Electronique et systèmes embarqués", 12, 81, 4, 81, 0, 47, 2, 16, 5, 1, 1, 17, 0, 0, 0, 0, 0, 37, 0, 0, 0, 27, 1, 3, 0, 0, 0, 7, 21, 14, 1, 14, 0, 9.0, 12.0, 13.0, 0, 0, 11, 10, 1, 0, 3, 0, 0, 5, 5, 1, 0.0, 10, 1, 0, 0, 0, 8, 8, 64.29, 85.71, 92.86, 7.099609375, 72.6875, 72.6875, 0, 0.0, 78.59375, 0.0, 0.0, 45.5, 45.5, 9.1, 0.0, 90.890625, 90.890625, 9.099609375, 9.099609375, 0.0, 0.0, 14.0, 1.0, 0.0, 0.0, 4.0, "Tous les candidats sauf les Bac technologiques", 18.0, "Bacheliers technologiques toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 27.0, "18385", "BUT - Génie électrique et informatique industrielle Parcours : Franco-Suisse-Allemand (Triple Diplôme) - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18385&g_ta_cod=18385", 86.0, 14.0, 0.0),
(7506, "Public", "0450051L", "Lycée BENJAMIN FRANKLIN", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée BENJAMIN FRANKLIN - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 34, 919, 116, 919, 0, 136, 26, 221, 66, 206, 77, 356, 0, 0, 0, 0, 0, 919, 0, 0, 0, 136, 26, 221, 66, 206, 77, 356, 130, 34, 1, 33, 0, 13.0, 28.0, 30.0, 0, 8, 28, 9, 10, 9, 6, 0, 6, 14, 6, 2, 0.0, 4, 9, 9, 3, 0, 28, 28, 38.24, 82.35, 88.24, 2.89990234375, 100.0, 100.0, 10.69921875, 28.59765625, 82.390625, 0.0, 21.3984375, 50.0, 21.3984375, 7.1, 0.0, 32.09375, 14.298828125, 35.6953125, 32.09375, 32.09375, 32.09375, 46.0, 9.0, 23.0, 8.0, 14.0, "Tous les candidats sauf les Bac professionnels", 134.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 18.0, "5663", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5663&g_ta_cod=5663", 32.0, 35.0, 32.0),
(7507, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Economie et gestion - Parcours International", "Licence - Droit-économie-gestion", "International", 30, 769, 386, 769, 0, 516, 93, 39, 14, 13, 8, 201, 0, 0, 0, 0, 0, 764, 0, 0, 0, 516, 93, 39, 14, 13, 8, 196, 217, 28, 10, 28, 0, 0.0, 20.0, 26.0, 0, 7, 22, 21, 0, 1, 6, 0, 4, 8, 10, 0, 0.0, 18, 0, 0, 0, 0, 12, 12, 0.0, 71.43, 92.86, 35.6953125, 54.5, 54.5, 0, 31.796875, 78.59375, 0.0, 18.19921875, 36.3984375, 45.5, 0.0, 0.0, 95.5, 81.796875, 0.0, 0.0, 4.5, 0.0, 160.0, 23.0, 3.0, 1.0, 53.0, "Tous les candidats", 478.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "20737", "Licence - Economie et gestion - Parcours International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20737&g_ta_cod=20737", 96.0, 0.0, 4.0),
(7508, "Public", "0690032K", "Lycée Juliette Récamier", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "BTS", "Lycée Juliette Récamier - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 3740, 2021, 3740, 0, 373, 102, 1525, 556, 969, 443, 873, 0, 0, 0, 0, 0, 666, 0, 0, 0, 20, 9, 274, 84, 340, 147, 32, 156, 35, 17, 33, 0, 4.0, 26.0, 30.0, 0, 14, 30, 1, 15, 14, 5, 0, 3, 18, 8, 1, 0.0, 0, 13, 14, 2, 0, 28, 28, 11.43, 74.29, 85.71, 48.59375, 93.296875, 93.296875, 6.69921875, 46.6953125, 85.6875, 0.0, 10.0, 60.0, 26.69921875, 3.3, 0.0, 3.2998046875, 0.0, 50.0, 43.296875, 46.6953125, 46.6953125, 8.0, 2.0, 48.0, 19.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 88, "Bacheliers technologiques toutes séries", 134, "Liste d'appel propre à cette formation", 6.0, "8196", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8196&g_ta_cod=8196", 9.0, 46.0, 46.0),
(7509, "Public", "0790706N", "Lycée Enseignement Général Technologique Agricole - Campus des Sicaudières", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Bressuire", "formation sélective", "BTS", "Lycée Enseignement Général Technologique Agricole - Campus des Sicaudières - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 16, 258, 168, 255, 0, 62, 11, 76, 13, 30, 9, 87, 3, 2, 0, 0, 1, 196, 0, 0, 0, 61, 10, 74, 12, 25, 5, 36, 94, 17, 12, 17, 0, 0.0, 11.0, 15.0, 0, 2, 14, 6, 5, 3, 3, 0, 7, 7, 0, 0, 0.0, 3, 1, 3, 1, 0, 5, 5, 0.0, 64.71, 88.24, 70.59375, 35.6953125, 35.6953125, 7.099609375, 14.298828125, 82.390625, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 42.8984375, 21.3984375, 35.6953125, 7.099609375, 21.3984375, 21.3984375, 33.0, 6.0, 13.0, 3.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 76.0, "Bacheliers technologiques toutes séries", 64, "Bacheliers professionnels toutes séries", 21, "Liste d'appel propre à cette formation", 63.0, "25396", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25396&g_ta_cod=25396", 47.0, 35.0, 18.0),
(7510, "Public", "0680031P", "Lycée Albert Schweitzer", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BTS", "Lycée Albert Schweitzer - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 840, 568, 840, 0, 66, 28, 258, 120, 252, 125, 264, 0, 0, 0, 0, 0, 487, 0, 0, 0, 47, 15, 173, 71, 160, 75, 107, 146, 27, 23, 27, 0, 2.0, 21.0, 25.0, 0, 9, 18, 4, 5, 9, 9, 0, 3, 13, 2, 0, 0.0, 4, 2, 9, 2, 2, 16, 16, 7.41, 77.78, 92.59, 85.1875, 88.890625, 88.890625, 11.099609375, 50.0, 66.6875, 0.0, 16.69921875, 72.1875, 11.099609375, 0.0, 0.0, 22.19921875, 22.19921875, 27.796875, 11.099609375, 50.0, 50.0, 32.0, 10.0, 32.0, 12.0, 38.0, "Tous les candidats sauf les Bac professionnels", 154.0, "Bacheliers professionnels toutes séries", 67, "", 0, "Liste d'appel propre à cette formation", 26.0, "8101", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8101&g_ta_cod=8101", 26.0, 33.0, 41.0),
(7511, "Privé sous contrat d'association", "0754666P", "Lycée Passy-Saint-Honoré", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "BTS", "Lycée Passy-Saint-Honoré - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 26, 628, 216, 421, 0, 82, 17, 145, 37, 46, 19, 148, 207, 24, 52, 41, 90, 176, 34, 0, 0, 50, 11, 96, 26, 7, 3, 23, 157, 24, 7, 12, 12, 0.0, 8.0, 13.0, 0, 8, 18, 3, 12, 3, 6, 0, 11, 6, 1, 0, 0.0, 0, 4, 3, 0, 0, 4, 17, 0.0, 33.33, 54.17, 29.19921875, 22.19921875, 94.390625, 0, 44.3984375, 75.0, 0.0, 61.09375, 33.296875, 5.599609375, 0.0, 0.0, 16.69921875, 0.0, 66.6875, 22.19921875, 16.69921875, 16.69921875, 45.0, 7.0, 14.0, 6.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 108, "Liste d'appel propre à cette formation", 41.0, "9548", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9548&g_ta_cod=9548", 29.0, 54.0, 17.0),
(7512, "Public", "0332194F", "Lycée des métiers Condorcet Arcachon", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Arcachon", "formation sélective", "Autre formation", "Lycée des métiers Condorcet Arcachon - Mention complémentaire - Organisateur de réception", "Mention complémentaire", "", 15, 60, 42, 59, 0, 0, 0, 17, 3, 33, 13, 9, 1, 0, 0, 1, 0, 54, 0, 0, 0, 0, 0, 16, 3, 33, 13, 5, 44, 9, 8, 9, 0, 5.0, 9.0, 9.0, 0, 3, 7, 0, 1, 6, 2, 0, 3, 2, 1, 1, 0.0, 0, 0, 4, 0, 0, 7, 7, 55.56, 100.0, 100.0, 88.890625, 100.0, 100.0, 0, 42.8984375, 77.796875, 0.0, 42.8984375, 28.59765625, 14.298828125, 14.3, 0.0, 0.0, 0.0, 14.298828125, 0.0, 85.6875, 57.09375, 0.0, 0.0, 27.0, 9.0, 4.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "17235", "Mention complémentaire - Organisateur de réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17235&g_ta_cod=17235", 0.0, 11.0, 89.0),
(7513, "Public", "0542288U", "I.U.T. H. Poincaré de Longwy - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Cosnes-et-Romain", "formation sélective", "BUT", "I.U.T. H. Poincaré de Longwy - Université de Lorraine - BUT - Gestion des entreprises et des administrations", "BUT - Service", "", 135, 862, 405, 825, 0, 324, 78, 280, 87, 33, 8, 188, 37, 0, 14, 0, 23, 654, 5, 0, 0, 282, 64, 223, 66, 11, 3, 138, 551, 127, 48, 124, 3, 52.0, 120.0, 121.0, 0, 23, 89, 35, 50, 4, 38, 0, 49, 31, 8, 1, 0.0, 16, 20, 4, 0, 0, 79, 79, 40.94, 94.49, 95.28, 37.796875, 88.796875, 88.796875, 0, 25.796875, 70.09375, 0.0, 55.09375, 34.796875, 9.0, 1.1, 0.0, 39.296875, 18.0, 56.1953125, 22.5, 4.5, 4.5, 214.0, 59.0, 9.0, 3.0, 128.0, "Tous les candidats sauf les Bac technologiques", 361.0, "Bacheliers technologiques toutes séries", 252, "", 0, "Liste d'appel propre à cette formation", 74.0, "6376", "BUT - Gestion des entreprises et des administrations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6376&g_ta_cod=6376", 48.0, 46.0, 6.0),
(7514, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues étrangères appliquées : Anglais-Russe", "Licence - Arts-lettres-langues", "Licence 1 LEA - Langues étrangères appliquées : Anglais-Russe", 85, 442, 278, 358, 0, 230, 64, 23, 9, 13, 9, 92, 84, 18, 3, 2, 61, 358, 80, 0, 0, 230, 64, 23, 9, 13, 9, 92, 438, 83, 50, 59, 24, 58.0, 59.0, 73.0, 0, 21, 53, 43, 6, 4, 30, 0, 22, 20, 8, 3, 0.0, 27, 2, 2, 0, 0, 37, 37, 69.88, 71.08, 87.95, 60.1953125, 69.796875, 69.796875, 0, 39.59375, 63.8984375, 0.0, 41.5, 37.6953125, 15.099609375, 5.7, 0.0, 81.09375, 50.8984375, 11.298828125, 3.7998046875, 7.5, 3.7998046875, 248.0, 70.0, 15.0, 10.0, 150.0, "Tous les candidats", 358.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4414", "Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues étrangères appliquées : Anglais-Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4414&g_ta_cod=4414", 80.0, 14.0, 6.0),
(7515, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence_Las", "Université de Nantes - Licence - Portail Sciences de la vie - BGC", "Licence - Sciences - technologies - santé", "BGC", 36, 2523, 1821, 2523, 0, 1663, 228, 79, 14, 2, 1, 779, 0, 0, 0, 0, 0, 2523, 0, 0, 0, 1663, 228, 79, 14, 2, 1, 779, 365, 36, 30, 36, 0, 1.0, 15.0, 29.0, 0, 8, 31, 30, 1, 0, 5, 0, 3, 7, 17, 4, 0.0, 27, 1, 0, 0, 0, 28, 28, 2.78, 41.67, 80.56, 83.296875, 90.296875, 90.296875, 0, 25.796875, 86.09375, 0.0, 9.69921875, 22.59765625, 54.796875, 12.9, 0.0, 96.796875, 87.09375, 3.19970703125, 3.19970703125, 0.0, 0.0, 241.0, 43.0, 0.0, 0.0, 123.0, "Tous les candidats", 969.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "32038", "Licence - Portail Sciences de la vie - BGC", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32037&g_ta_cod=32038", 94.0, 3.0, 0.0),
(7516, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Arts", "Licence - Arts-lettres-langues", "", 150, 767, 581, 699, 0, 423, 115, 86, 27, 37, 20, 153, 68, 11, 3, 5, 49, 699, 32, 0, 0, 423, 115, 86, 27, 37, 20, 153, 576, 134, 96, 111, 23, 28.0, 109.0, 111.0, 0, 42, 93, 74, 15, 4, 41, 1, 48, 31, 9, 4, 0.0, 41, 1, 2, 0, 0, 73, 73, 20.9, 81.34, 82.84, 71.59375, 78.5, 78.5, 0, 45.1953125, 69.390625, 1.099853515625, 51.59375, 33.296875, 9.69921875, 4.3, 0.0, 79.59375, 44.09375, 16.09765625, 1.099853515625, 4.2998046875, 2.19970703125, 347.0, 94.0, 22.0, 8.0, 131.0, "Tous les candidats", 699.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7028", "Licence - Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7028&g_ta_cod=7028", 72.0, 16.0, 10.0),
(7517, "Public", "0441782Y", "Lycée professionnel Agricole Nantes Le Grand Blottereau", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée professionnel Agricole Nantes Le Grand Blottereau - BTS - Agricole - Production horticole", "BTS - Agricole", "", 19, 272, 91, 266, 0, 49, 11, 31, 8, 51, 12, 135, 6, 0, 1, 0, 5, 157, 1, 0, 0, 46, 10, 29, 8, 45, 8, 37, 95, 15, 6, 15, 0, 5.0, 13.0, 14.0, 0, 4, 13, 7, 1, 5, 2, 0, 6, 3, 3, 1, 0.0, 4, 1, 2, 1, 0, 10, 10, 33.33, 86.67, 93.33, 40.0, 76.890625, 76.890625, 7.69921875, 30.796875, 86.6875, 0.0, 46.1953125, 23.09765625, 23.09765625, 7.7, 0.0, 53.796875, 30.796875, 7.69921875, 7.69921875, 38.5, 15.3984375, 34.0, 6.0, 26.0, 5.0, 19.0, "Tous les candidats sauf les Bac professionnels", 107.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 57.0, "5595", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5595&g_ta_cod=5595", 60.0, 7.0, 33.0),
(7518, "Public", "0133661J", "Aix-Marseille Université - Site de Marseille Colbert", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  1er Arrondissement", "formation non sélective", "Licence", "Aix-Marseille Université - Site de Marseille Colbert - Licence - Portail Administration économique et sociale ? Economie et gestion - Gestion", "Licence - Droit-économie-gestion", "Administration économique et sociale ? Economie et gestion - Gestion", 516, 3996, 1889, 3753, 0, 2062, 588, 602, 327, 95, 65, 994, 243, 31, 19, 21, 172, 3651, 176, 0, 0, 2062, 588, 602, 327, 95, 65, 892, 3277, 498, 220, 397, 101, 177.0, 297.0, 381.0, 0, 150, 301, 202, 69, 30, 197, 2, 174, 92, 27, 5, 1.0, 100, 12, 13, 0, 0, 229, 229, 35.54, 59.64, 76.51, 44.1953125, 76.09375, 76.09375, 0, 49.796875, 60.3984375, 0.699951171875, 57.796875, 30.59765625, 9.0, 1.7, 0.3, 67.09375, 33.1953125, 22.8984375, 4.0, 10.0, 4.2998046875, 2027.0, 598.0, 72.0, 55.0, 815.0, "Tous les candidats", 3839.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "20745", "Licence - Portail Administration économique et sociale ? Economie et gestion - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28489&g_ta_cod=20745", 62.0, 24.0, 13.0),
(7519, "Public", "0590192N", "Lycée Ernest Couteaux", "59", "Nord", "Hauts-de-France", "Lille", "Saint-Amand-les-Eaux", "formation sélective", "BTS", "Lycée Ernest Couteaux - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 544, 283, 525, 0, 36, 11, 72, 30, 66, 43, 351, 19, 0, 0, 12, 7, 207, 8, 0, 0, 33, 9, 69, 29, 65, 42, 40, 140, 23, 10, 19, 4, 5.0, 18.0, 21.0, 0, 11, 18, 4, 6, 8, 5, 0, 7, 10, 1, 0, 0.0, 1, 4, 6, 6, 3, 17, 17, 21.74, 78.26, 91.3, 43.5, 94.390625, 94.390625, 33.296875, 61.09375, 78.296875, 0.0, 38.8984375, 55.59375, 5.599609375, 0.0, 0.0, 22.19921875, 5.599609375, 33.296875, 22.19921875, 44.3984375, 33.296875, 14.0, 3.0, 67.0, 45.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 31.0, "6828", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6828&g_ta_cod=6828", 17.0, 30.0, 52.0),
(7520, "Public", "0911492C", "Lycée de l'Essouriau", "91", "Essonne", "Ile-de-France", "Versailles", "Les Ulis", "formation sélective", "BTS", "Lycée de l'Essouriau - BTS - Production - Electrotechnique", "BTS - Production", "", 28, 214, 2, 199, 0, 5, 1, 27, 2, 122, 48, 45, 15, 0, 6, 0, 9, 135, 0, 0, 0, 4, 1, 20, 0, 88, 33, 23, 86, 22, 0, 22, 0, 6.0, 19.0, 20.0, 0, 5, 13, 0, 1, 12, 9, 0, 5, 5, 3, 0, 0.0, 0, 0, 8, 9, 0, 13, 13, 27.27, 86.36, 90.91, 0.0, 100.0, 100.0, 69.1875, 38.5, 59.09375, 0.0, 38.5, 38.5, 23.09765625, 0.0, 0.0, 0.0, 0.0, 7.69921875, 0.0, 92.296875, 61.5, 2.0, 1.0, 54.0, 19.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 51.0, "10933", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10933&g_ta_cod=10933", 9.0, 14.0, 77.0),
(7521, "Public", "0750685M", "Lycée Pierre-Gilles de Gennes - ENCPB", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Pierre-Gilles de Gennes - ENCPB - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 60, 1972, 1321, 1930, 0, 444, 109, 580, 190, 81, 46, 825, 42, 0, 0, 19, 23, 652, 0, 0, 0, 308, 70, 250, 73, 41, 26, 53, 382, 60, 46, 60, 0, 24.0, 39.0, 54.0, 0, 15, 58, 26, 30, 2, 2, 0, 12, 32, 13, 1, 0.0, 18, 26, 2, 4, 2, 17, 55, 40.0, 65.0, 90.0, 76.6875, 29.296875, 94.796875, 6.8994140625, 25.8984375, 96.6875, 0.0, 20.69921875, 55.1953125, 22.3984375, 1.7, 0.0, 44.796875, 31.0, 51.6953125, 44.796875, 3.39990234375, 3.39990234375, 163.0, 41.0, 15.0, 10.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 228.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 230, "Liste d'appel propre à cette formation", 25.0, "9078", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9078&g_ta_cod=9078", 47.0, 50.0, 3.0),
(7522, "Public", "0130057S", "Lycée des métiers Rene Caillie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 11e  Arrondissement", "formation sélective", "BTS", "Lycée des métiers Rene Caillie - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "BTS - Production", "", 15, 272, 34, 272, 0, 69, 10, 71, 20, 37, 10, 95, 0, 0, 0, 0, 0, 170, 0, 0, 0, 68, 10, 45, 14, 34, 9, 23, 69, 13, 1, 13, 0, 2.0, 10.0, 13.0, 0, 2, 9, 3, 2, 4, 4, 0, 3, 4, 1, 1, 0.0, 3, 1, 2, 0, 0, 3, 3, 15.38, 76.92, 100.0, 7.69921875, 33.296875, 33.296875, 0, 22.19921875, 69.1875, 0.0, 33.296875, 44.3984375, 11.099609375, 11.1, 0.0, 33.296875, 33.296875, 22.19921875, 11.099609375, 44.3984375, 22.19921875, 25.0, 5.0, 22.0, 6.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 39.0, "2612", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2612&g_ta_cod=2612", 46.0, 23.0, 31.0),
(7523, "Public", "0010013J", "Lycée Lalande", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "CPGE", "Lycée Lalande - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 684, 180, 656, 493, 537, 63, 1, 0, 0, 0, 118, 28, 15, 0, 0, 13, 507, 8, 395, 485, 481, 51, 0, 0, 0, 0, 26, 439, 33, 9, 33, 0, 10.0, 19.0, 33.0, 18, 3, 32, 32, 0, 0, 1, 0, 1, 11, 19, 1, 0.0, 31, 0, 0, 5, 4, 23, 23, 30.3, 57.58, 100.0, 27.296875, 71.890625, 71.890625, 15.599609375, 9.3984375, 97.0, 0.0, 3.099609375, 34.3984375, 59.3984375, 3.1, 0.0, 100.0, 96.890625, 0.0, 0.0, 0.0, 0.0, 423.0, 49.0, 0.0, 0.0, 16.0, "Tous les candidats", 508.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "2000", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2000&g_ta_cod=2000", 100.0, 0.0, 0.0),
(7524, "Public", "0520027X", "Lycée Saint-Exupery", "52", "Haute-Marne", "Grand Est", "Reims", "Saint-Dizier", "formation sélective", "BTS", "Lycée Saint-Exupery - BTS - Services - Support à l'action managériale", "BTS - Services", "", 20, 237, 141, 215, 0, 12, 4, 38, 18, 38, 15, 127, 22, 3, 7, 0, 12, 70, 4, 0, 0, 10, 2, 23, 11, 21, 9, 16, 63, 15, 13, 12, 3, 5.0, 12.0, 15.0, 0, 8, 12, 5, 5, 2, 3, 0, 9, 2, 1, 0, 0.0, 0, 1, 2, 7, 5, 12, 12, 33.33, 80.0, 100.0, 86.6875, 100.0, 100.0, 58.296875, 66.6875, 80.0, 0.0, 75.0, 16.69921875, 8.298828125, 0.0, 0.0, 41.6953125, 0.0, 41.6953125, 8.298828125, 16.69921875, 16.69921875, 12.0, 4.0, 19.0, 8.0, 12.0, "Tous les candidats sauf les Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 32.0, "6172", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6172&g_ta_cod=6172", 40.0, 47.0, 13.0),
(7525, "Public", "0590221V", "Lycée Henri Wallon", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée Henri Wallon - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 849, 488, 790, 0, 122, 35, 144, 72, 82, 49, 442, 59, 8, 6, 0, 45, 260, 15, 0, 0, 87, 18, 77, 37, 47, 30, 49, 169, 31, 19, 24, 7, 3.0, 24.0, 26.0, 0, 11, 20, 8, 10, 2, 11, 0, 12, 7, 1, 0, 0.0, 2, 4, 2, 1, 1, 17, 17, 9.68, 77.42, 83.87, 61.296875, 85.0, 85.0, 5, 55.0, 64.5, 0.0, 60.0, 35.0, 5.0, 0.0, 0.0, 40.0, 10.0, 50.0, 20.0, 10.0, 10.0, 62.0, 12.0, 10.0, 8.0, 50.0, "Tous les candidats sauf les Bac professionnels", 212.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 30.0, "6846", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6846&g_ta_cod=6846", 55.0, 35.0, 10.0),
(7526, "Public", "0763111U", "Université de Rouen Normandie - Campus Madrillet Saint-Etienne-du-Rouvray", "76", "Seine-Maritime", "Normandie", "Normandie", "Saint-Etienne-du-Rouvray", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Madrillet Saint-Etienne-du-Rouvray - Licence - Portail Licence Mécanique / Licence Physique / Licence Physique-Chimie", "Licence - Sciences - technologies - santé", "Licence Mécanique / Licence Physique / Licence Physique-Chimie", 100, 909, 255, 803, 0, 509, 62, 45, 8, 1, 0, 248, 106, 30, 7, 1, 68, 794, 99, 0, 0, 509, 62, 45, 8, 1, 0, 239, 647, 66, 20, 38, 28, 1.0, 38.0, 60.0, 0, 4, 33, 30, 3, 0, 33, 5, 9, 9, 9, 1, 0.0, 19, 0, 0, 0, 0, 27, 27, 1.52, 57.58, 90.91, 30.296875, 81.796875, 81.796875, 0, 12.099609375, 50.0, 15.19921875, 27.296875, 27.296875, 27.296875, 3.0, 0.0, 90.890625, 57.59375, 9.099609375, 0.0, 0.0, 0.0, 362.0, 46.0, 1.0, 1.0, 261.0, "Tous les candidats", 890.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "15259", "Licence - Portail Licence Mécanique / Licence Physique / Licence Physique-Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26791&g_ta_cod=15259", 86.0, 12.0, 2.0),
(7527, "Public", "0641460P", "IFSI CH de Pau", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bordeaux - D.E Infirmier", "D.E secteur sanitaire", "", 79, 6637, 5573, 6637, 0, 1356, 240, 1118, 274, 524, 175, 3639, 0, 0, 0, 0, 0, 5323, 0, 0, 0, 1239, 203, 987, 230, 347, 115, 2750, 906, 79, 75, 79, 0, 1.0, 37.0, 63.0, 0, 6, 39, 23, 15, 1, 40, 0, 5, 22, 9, 3, 0.0, 18, 15, 1, 0, 0, 26, 26, 1.27, 46.84, 79.75, 94.890625, 66.6875, 66.6875, 0, 15.3984375, 49.3984375, 0.0, 12.798828125, 56.3984375, 23.09765625, 7.7, 0.0, 59.0, 46.1953125, 38.5, 38.5, 2.599609375, 2.599609375, 194.0, 44.0, 16.0, 8.0, 493.0, "Tous les candidats", 2660.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "23954", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23940&g_ta_cod=23954", 63.0, 33.0, 1.0),
(7528, "Privé sous contrat d'association", "0951982N", "ECOLE PRATIQUE SERVICE SOCIAL CTRE POLYTECHN. ST LOUIS", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "EFTS", "ECOLE PRATIQUE SERVICE SOCIAL CTRE POLYTECHN. ST LOUIS - D.E Assistant de Service Social", "D.E secteur social", "", 30, 72, 64, 66, 0, 13, 1, 14, 3, 5, 0, 34, 6, 2, 1, 1, 2, 45, 4, 0, 0, 9, 0, 9, 2, 1, 0, 26, 46, 30, 27, 26, 4, 17.0, 23.0, 25.0, 0, 2, 15, 7, 6, 2, 15, 0, 10, 2, 2, 1, 0.0, 3, 1, 1, 0, 0, 11, 13, 56.67, 76.67, 83.33, 90.0, 73.296875, 86.6875, 0, 13.298828125, 50.0, 0.0, 66.6875, 13.298828125, 13.298828125, 6.7, 0.0, 46.6953125, 20.0, 40.0, 6.69921875, 13.298828125, 6.69921875, 10.0, 0.0, 2.0, 0.0, 26.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "24016", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24016&g_ta_cod=24016", 37.0, 37.0, 23.0),
(7529, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Université Angers - Licence - Portail SVTC ? Sciences de la Vie et de la Terre, Chimie (Biologie, Géologie, Chimie)", "Licence - Sciences - technologies - santé", "SVTC ? Sciences de la Vie et de la Terre, Chimie (Biologie, Géologie, Chimie)", 280, 2650, 1686, 2578, 0, 1698, 234, 68, 11, 17, 5, 795, 72, 18, 3, 0, 51, 2559, 37, 0, 0, 1698, 234, 68, 11, 17, 5, 776, 1470, 271, 158, 245, 24, 47.0, 156.0, 233.0, 0, 26, 181, 175, 4, 2, 90, 0, 39, 80, 48, 14, 0.0, 137, 3, 2, 0, 0, 153, 153, 17.34, 57.56, 85.98, 58.296875, 84.5, 84.5, 0, 14.3984375, 66.796875, 0.0, 21.5, 44.1953125, 26.5, 7.7, 0.0, 96.6875, 75.6875, 2.19970703125, 1.699951171875, 1.099853515625, 1.099853515625, 919.0, 139.0, 4.0, 2.0, 539.0, "Tous les candidats", 2302.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "5939", "Licence - Portail SVTC ? Sciences de la Vie et de la Terre, Chimie (Biologie, Géologie, Chimie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27336&g_ta_cod=5939", 94.0, 4.0, 1.0),
(7530, "Privé sous contrat d'association", "0594895A", "IFSI Santélys Formation", "59", "Nord", "Hauts-de-France", "Lille", "Loos", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 79, 5318, 4226, 5318, 0, 1049, 269, 938, 310, 421, 187, 2910, 0, 0, 0, 0, 0, 4447, 0, 0, 0, 957, 228, 784, 245, 342, 145, 2364, 1023, 79, 68, 79, 0, 0.0, 30.0, 55.0, 0, 13, 44, 25, 11, 8, 35, 0, 4, 29, 8, 3, 0.0, 24, 9, 7, 0, 0, 41, 41, 0.0, 37.97, 69.62, 86.09375, 93.1875, 93.1875, 0, 29.5, 55.6953125, 0.0, 9.099609375, 65.890625, 18.19921875, 6.8, 0.0, 56.796875, 54.5, 25.0, 20.5, 18.19921875, 15.8984375, 228.0, 41.0, 86.0, 43.0, 524.0, "Tous les candidats", 3801.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "23143", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23143", 65.0, 19.0, 16.0),
(7531, "Privé hors contrat", "0311098A", "Pôle formation recherche Institut Saint Simon", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "EFTS", "Pôle formation recherche Institut Saint Simon - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 36, 504, 482, 504, 0, 69, 16, 90, 15, 53, 10, 292, 0, 0, 0, 0, 0, 170, 0, 0, 0, 15, 1, 24, 2, 7, 3, 124, 68, 34, 33, 34, 0, 22.0, 30.0, 33.0, 0, 0, 6, 2, 4, 0, 28, 0, 0, 1, 5, 0, 0.0, 2, 4, 0, 0, 0, 6, 6, 64.71, 88.24, 97.06, 97.09375, 100.0, 100.0, 0, 0.0, 17.59765625, 0.0, 0.0, 16.69921875, 83.296875, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 0.0, 0.0, 4.0, 1.0, 1.0, 0.0, 57.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "25298", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24852&g_ta_cod=25298", 38.0, 47.0, 12.0),
(7532, "Public", "0211472L", "IFSI CH Beaune", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Beaune", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bourgogne Dijon - D.E Infirmier", "D.E secteur sanitaire", "", 51, 3160, 2643, 3160, 0, 591, 100, 604, 121, 313, 105, 1652, 0, 0, 0, 0, 0, 2626, 0, 0, 0, 536, 82, 510, 99, 235, 77, 1345, 581, 45, 39, 45, 0, 1.0, 5.0, 16.0, 0, 4, 19, 9, 3, 7, 26, 0, 6, 8, 5, 0, 0.0, 5, 2, 6, 0, 0, 15, 15, 2.22, 11.11, 35.56, 86.6875, 78.890625, 78.890625, 0, 21.09765625, 42.1953125, 0.0, 31.59765625, 42.09375, 26.296875, 0.0, 0.0, 47.3984375, 26.296875, 15.798828125, 10.5, 36.796875, 31.59765625, 125.0, 19.0, 68.0, 17.0, 329.0, "Tous les candidats", 1556.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "23083", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23009&g_ta_cod=23083", 56.0, 16.0, 29.0),
(7533, "Public", "0441656L", "Lycée professionnel Pablo Neruda", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Bouguenais", "formation sélective", "Autre formation", "Lycée professionnel Pablo Neruda - Mention complémentaire - Assistance Conseil Vente à distance", "Mention complémentaire", "", 9, 44, 30, 41, 0, 0, 0, 0, 0, 26, 18, 15, 3, 0, 0, 1, 2, 28, 0, 0, 0, 0, 0, 0, 0, 26, 18, 2, 25, 2, 2, 1, 0, 0.0, 1.0, 1.0, 0, 2, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 0.0, 50.0, 50.0, 100.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 22.0, 17.0, 3.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "5593", "Mention complémentaire - Assistance Conseil Vente à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5593&g_ta_cod=5593", 0.0, 0.0, 100.0),
(7534, "Public", "0751722P", "Sorbonne Université - Sciences et Ingénierie", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence_Las", "Sorbonne Université ? Sciences et Ingénierie - Licence - Portail Sciences formelles", "Licence - Sciences - technologies - santé", "Sciences formelles", 15, 2142, 942, 2142, 0, 1285, 280, 30, 12, 1, 0, 826, 0, 0, 0, 0, 0, 2142, 0, 0, 0, 1285, 280, 30, 12, 1, 0, 826, 217, 15, 9, 15, 0, 0.0, 6.0, 13.0, 0, 0, 7, 7, 0, 0, 8, 0, 0, 0, 2, 4, 1.0, 7, 0, 0, 0, 0, 1, 6, 0.0, 40.0, 86.67, 60.0, 14.298828125, 85.6875, 0, 0.0, 46.6953125, 0.0, 0.0, 0.0, 28.59765625, 57.1, 14.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 181.0, 32.0, 0.0, 0.0, 36.0, "Tous les candidats", 2066.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "31054", "Licence - Portail Sciences formelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31053&g_ta_cod=31054", 100.0, 0.0, 0.0),
(7535, "Privé enseignement supérieur", "0352305R", "ESC Rennes School of Business", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Ecole de Commerce", "Banque ECRICOME - Formation des écoles de commerce et de management Bac + 3 - Bachelor Affaires internationales", "Formation des écoles de commerce et de management", "Bachelor IBPM", 245, 1050, 444, 1027, 0, 807, 38, 85, 7, 2, 0, 133, 23, 6, 4, 1, 12, 772, 11, 0, 0, 629, 22, 57, 3, 2, 0, 84, 783, 271, 134, 262, 9, 260.0, 262.0, 269.0, 0, 14, 236, 206, 29, 1, 35, 1, 62, 104, 64, 5, 0.0, 154, 18, 1, 0, 0, 160, 160, 95.94, 96.68, 99.26, 49.3984375, 67.796875, 67.796875, 0, 5.8994140625, 87.09375, 0.39996337890625, 26.296875, 44.09375, 27.09765625, 2.1, 0.0, 87.296875, 65.296875, 12.298828125, 7.599609375, 0.39996337890625, 0.39996337890625, 633.0, 22.0, 2.0, 0.0, 89.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "26305", "Formation des écoles de commerce et de management Bac + 3 - Bachelor Affaires internationales", "Banque ECRICOME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26268&g_ta_cod=26305", 86.0, 13.0, 0.0),
(7536, "Privé sous contrat d'association", "0141178E", "Lycée Sainte Ursule", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Sainte Ursule - BTS - Services - Support à l'action managériale", "BTS - Services", "", 17, 160, 118, 157, 0, 14, 2, 57, 18, 36, 13, 50, 3, 0, 3, 0, 0, 132, 3, 0, 0, 14, 2, 55, 18, 33, 12, 30, 93, 15, 13, 13, 1, 3.0, 10.0, 12.0, 0, 4, 12, 3, 5, 4, 3, 0, 6, 5, 1, 0, 0.0, 2, 1, 3, 0, 0, 12, 12, 20.0, 66.67, 80.0, 86.6875, 100.0, 100.0, 0, 33.296875, 80.0, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 25.0, 16.69921875, 41.6953125, 8.298828125, 33.296875, 25.0, 10.0, 2.0, 15.0, 4.0, 26.0, "Tous les candidats sauf les Bac professionnels", 82.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 69.0, "2844", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2844&g_ta_cod=2844", 20.0, 53.0, 27.0),
(7537, "Privé sous contrat d'association", "9741255W", "Lycée Catholique St Charles", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 10, 700, 161, 699, 0, 690, 70, 0, 0, 0, 0, 9, 1, 1, 0, 0, 0, 644, 0, 0, 0, 639, 62, 0, 0, 0, 0, 5, 572, 9, 1, 9, 0, 7.0, 9.0, 9.0, 0, 0, 9, 9, 0, 0, 0, 0, 1, 3, 3, 2, 0.0, 8, 0, 0, 0, 0, 9, 9, 77.78, 100.0, 100.0, 11.099609375, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 11.099609375, 33.296875, 33.296875, 22.2, 0.0, 100.0, 88.890625, 0.0, 0.0, 0.0, 0.0, 568.0, 56.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "31107", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=31107", 100.0, 0.0, 0.0),
(7538, "Public", "0595884A", "Lycée André Lurçat", "59", "Nord", "Hauts-de-France", "Lille", "Maubeuge", "formation sélective", "BTS", "Lycée André Lurçat - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 248, 129, 244, 0, 6, 0, 46, 23, 59, 47, 133, 4, 0, 0, 3, 1, 225, 1, 0, 0, 6, 0, 37, 18, 57, 45, 125, 100, 30, 22, 29, 1, 8.0, 26.0, 28.0, 0, 14, 19, 0, 5, 14, 11, 0, 13, 5, 1, 0, 0.0, 0, 1, 5, 16, 12, 19, 19, 26.67, 86.67, 93.33, 73.296875, 100.0, 100.0, 84.1875, 73.6875, 63.296875, 0.0, 68.390625, 26.296875, 5.2998046875, 0.0, 0.0, 0.0, 0.0, 26.296875, 5.2998046875, 73.6875, 26.296875, 5.0, 0.0, 52.0, 39.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 45.0, "7167", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7167&g_ta_cod=7167", 17.0, 27.0, 57.0),
(7539, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "PASS", "Université des Antilles - Pôle Guadeloupe - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 70, 394, 301, 394, 0, 291, 92, 31, 19, 6, 1, 66, 0, 0, 0, 0, 0, 392, 0, 0, 0, 291, 92, 31, 19, 6, 1, 64, 267, 72, 61, 72, 0, 18.0, 72.0, 72.0, 0, 21, 66, 61, 4, 1, 6, 1, 21, 24, 14, 6, 0.0, 42, 1, 1, 0, 0, 63, 63, 25.0, 100.0, 100.0, 84.6875, 95.5, 95.5, 0, 31.796875, 91.6875, 1.5, 31.796875, 36.3984375, 21.19921875, 9.1, 0.0, 92.390625, 63.59375, 6.099609375, 1.5, 1.5, 1.5, 219.0, 64.0, 2.0, 0.0, 27.0, "Tous les candidats", 1317.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 91.0, "29058", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27424&g_ta_cod=29058", 90.0, 6.0, 4.0),
(7540, "Public", "0590121L", "Lycée Cesar Baggio", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Cesar Baggio - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 909, 322, 869, 518, 624, 120, 0, 0, 0, 0, 245, 40, 16, 0, 0, 24, 466, 14, 314, 454, 437, 63, 0, 0, 0, 0, 29, 351, 49, 17, 46, 3, 7.0, 39.0, 48.0, 19, 10, 37, 37, 0, 0, 12, 0, 0, 4, 22, 10, 1.0, 37, 0, 0, 1, 0, 32, 32, 14.29, 79.59, 97.96, 34.6953125, 86.5, 86.5, 2.69970703125, 27.0, 75.5, 0.0, 0.0, 10.798828125, 59.5, 27.0, 2.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 320.0, 42.0, 0.0, 0.0, 31.0, "Tous les candidats", 464.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "6786", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6786&g_ta_cod=6786", 100.0, 0.0, 0.0),
(7541, "Public", "0690093B", "Lycée professionnel Helene Boucher", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Vénissieux", "formation sélective", "BTS", "Lycée professionnel Helene Boucher - BTS - Services - Métiers des Services à l'environnement", "BTS - Services", "", 24, 339, 118, 334, 0, 41, 8, 81, 28, 35, 22, 177, 5, 1, 0, 0, 4, 196, 3, 0, 0, 36, 8, 75, 26, 30, 19, 55, 112, 22, 7, 22, 0, 5.0, 16.0, 19.0, 0, 8, 16, 2, 6, 8, 6, 0, 3, 10, 3, 0, 0.0, 2, 4, 7, 5, 2, 11, 11, 22.73, 72.73, 86.36, 31.796875, 68.796875, 68.796875, 31.296875, 50.0, 72.6875, 0.0, 18.796875, 62.5, 18.796875, 0.0, 0.0, 12.5, 12.5, 37.5, 25.0, 50.0, 43.796875, 24.0, 7.0, 22.0, 14.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 43.0, "14769", "BTS - Services - Métiers des Services à l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14769&g_ta_cod=14769", 23.0, 41.0, 36.0),
(7542, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Histoire - Parcours Histoire - A distance", "Licence - Sciences humaines et sociales", "Histoire - A distance", 170, 758, 366, 758, 0, 172, 41, 35, 13, 13, 3, 538, 0, 0, 0, 0, 0, 758, 0, 0, 0, 172, 41, 35, 13, 13, 3, 538, 551, 166, 72, 166, 0, 44.0, 141.0, 156.0, 0, 2, 16, 14, 2, 0, 150, 0, 4, 8, 4, 0, 0.0, 11, 1, 0, 0, 0, 5, 7, 26.51, 84.94, 93.98, 43.3984375, 31.296875, 43.796875, 0, 12.5, 9.599609375, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 87.5, 68.796875, 12.5, 6.2998046875, 0.0, 0.0, 141.0, 32.0, 5.0, 1.0, 386.0, "Tous les candidats", 696.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "20896", "Licence - Histoire - Parcours Histoire - A distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20896&g_ta_cod=20896", 72.0, 11.0, 10.0),
(7543, "Public", "0081084K", "IUT Reims-Châlons-Charleville site de Charleville", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BUT", "IUT Reims-Châlons-Charleville site de Charleville - BUT - Hygiène Sécurité Environnement", "BUT - Production", "", 50, 530, 165, 459, 0, 221, 28, 121, 19, 24, 4, 93, 71, 23, 7, 5, 36, 319, 35, 0, 0, 176, 21, 82, 8, 3, 0, 58, 271, 44, 8, 31, 13, 2.0, 31.0, 40.0, 0, 4, 28, 19, 9, 0, 16, 0, 15, 11, 2, 0, 0.0, 8, 5, 0, 0, 0, 9, 9, 4.55, 70.45, 90.91, 18.19921875, 32.09375, 32.09375, 0, 14.298828125, 63.59375, 0.0, 53.59375, 39.296875, 7.099609375, 0.0, 0.0, 67.890625, 28.59765625, 32.09375, 17.8984375, 0.0, 0.0, 143.0, 18.0, 2.0, 0.0, 57.0, "Tous les candidats sauf les Bac technologiques", 227.0, "Bacheliers technologiques toutes séries", 87, "", 0, "Liste d'appel propre à cette formation", 68.0, "2384", "BUT - Hygiène Sécurité Environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2384&g_ta_cod=2384", 68.0, 32.0, 0.0),
(7544, "Public", "0061642C", "Lycée International de Valbonne", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Valbonne", "formation sélective", "CPGE", "Lycée International de Valbonne - CPGE - MP2I", "Classe préparatoire scientifique", "", 46, 844, 172, 844, 695, 607, 70, 3, 1, 0, 0, 234, 0, 0, 0, 0, 0, 761, 0, 695, 489, 591, 68, 2, 0, 0, 0, 168, 217, 47, 5, 47, 0, 2.0, 39.0, 45.0, 43, 3, 47, 47, 0, 0, 0, 0, 0, 7, 21, 17, 2.0, 47, 0, 0, 0, 0, 18, 18, 4.26, 82.98, 95.74, 10.599609375, 38.296875, 38.296875, 0, 6.3994140625, 100.0, 0.0, 0.0, 14.8984375, 44.6953125, 36.2, 4.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 217.0, 19.0, 0.0, 0.0, 0.0, "Tous les candidats", 324.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "32117", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32117&g_ta_cod=32117", 100.0, 0.0, 0.0),
(7545, "Public", "9730364H", "Lycée d'Enseignement Général et Technologique Agricole de MACOURIA", "973", "Guyane", "Guyane", "Guyane", "Macouria", "formation sélective", "BTS", "Lycée d'Enseignement Général et Technologique Agricole de MACOURIA - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 24, 239, 95, 223, 0, 45, 13, 31, 11, 62, 35, 85, 16, 3, 0, 1, 12, 101, 6, 0, 0, 34, 9, 17, 6, 28, 14, 22, 82, 24, 10, 21, 3, 6.0, 19.0, 23.0, 0, 8, 19, 9, 3, 7, 5, 0, 7, 10, 1, 1, 0.0, 5, 2, 5, 2, 1, 7, 7, 25.0, 79.17, 95.83, 41.6953125, 36.796875, 36.796875, 10.5, 42.09375, 79.1875, 0.0, 36.796875, 52.59375, 5.2998046875, 5.3, 0.0, 47.3984375, 26.296875, 15.798828125, 10.5, 36.796875, 26.296875, 27.0, 5.0, 20.0, 12.0, 22.0, "Tous les candidats sauf les Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 45.0, "11877", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11877&g_ta_cod=11877", 58.0, 13.0, 29.0),
(7546, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 280, 2645, 2070, 2645, 0, 1658, 378, 185, 44, 46, 16, 756, 0, 0, 0, 0, 0, 2633, 0, 0, 0, 1658, 378, 185, 44, 46, 16, 744, 1171, 270, 225, 269, 0, 21.0, 196.0, 227.0, 0, 43, 192, 163, 21, 8, 78, 0, 39, 105, 40, 7, 1.0, 133, 13, 7, 0, 0, 178, 178, 7.78, 72.59, 84.07, 83.296875, 92.6875, 92.6875, 0, 22.3984375, 71.09375, 0.0, 20.296875, 54.6953125, 20.796875, 3.6, 0.5, 84.890625, 69.296875, 10.8984375, 6.7998046875, 4.19921875, 3.599609375, 819.0, 181.0, 23.0, 10.0, 248.0, "Tous les candidats", 1523.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "4390", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4390&g_ta_cod=4390", 83.0, 11.0, 5.0),
(7547, "Public", "0420018S", "Lycée Beauregard", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Montbrison", "formation sélective", "BTS", "Lycée Beauregard - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 227, 47, 216, 0, 11, 1, 83, 19, 59, 17, 63, 11, 0, 0, 9, 2, 150, 0, 0, 0, 7, 0, 72, 15, 44, 12, 27, 116, 17, 2, 17, 0, 3.0, 14.0, 16.0, 0, 1, 13, 0, 6, 7, 4, 0, 7, 5, 1, 0, 0.0, 0, 1, 5, 4, 1, 11, 11, 17.65, 82.35, 94.12, 11.798828125, 84.59375, 84.59375, 30.796875, 7.69921875, 76.5, 0.0, 53.796875, 38.5, 7.69921875, 0.0, 0.0, 0.0, 0.0, 46.1953125, 7.69921875, 53.796875, 38.5, 5.0, 0.0, 39.0, 10.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 61.0, "5270", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5270&g_ta_cod=5270", 12.0, 47.0, 41.0),
(7548, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation non sélective", "Licence", "Université Grenoble Alpes - Antenne de Valence - Licence - Arts du spectacle - Parcours Arts du spectacle-Lettres Modernes", "Licence - Arts-lettres-langues", "Arts du spectacle-Lettres Modernes", 40, 365, 284, 360, 0, 244, 60, 31, 5, 16, 6, 69, 5, 0, 0, 1, 4, 360, 5, 0, 0, 244, 60, 31, 5, 16, 6, 69, 199, 39, 29, 34, 5, 8.0, 26.0, 29.0, 0, 5, 30, 25, 2, 3, 9, 1, 12, 13, 3, 0, 1.0, 14, 1, 2, 0, 0, 26, 26, 20.51, 66.67, 74.36, 74.390625, 86.6875, 86.6875, 0, 16.69921875, 76.890625, 3.2998046875, 40.0, 43.296875, 10.0, 0.0, 3.3, 83.296875, 46.6953125, 6.69921875, 3.2998046875, 10.0, 6.69921875, 136.0, 31.0, 8.0, 2.0, 41.0, "Tous les candidats", 242.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "3669", "Licence - Arts du spectacle - Parcours Arts du spectacle-Lettres Modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3669&g_ta_cod=3669", 82.0, 5.0, 13.0),
(7549, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Mathématiques, numérique et sciences informatiques", "Licence - Sciences - technologies - santé", "Mathématiques, numérique et sciences informatiques", 75, 602, 117, 534, 0, 402, 71, 25, 9, 1, 0, 106, 68, 21, 0, 0, 47, 515, 58, 0, 0, 402, 71, 25, 9, 1, 0, 87, 405, 37, 9, 30, 7, 1.0, 30.0, 35.0, 0, 6, 21, 18, 3, 0, 16, 2, 7, 8, 4, 0, 0.0, 11, 1, 0, 0, 0, 18, 18, 2.7, 81.08, 94.59, 24.296875, 85.6875, 85.6875, 0, 28.59765625, 56.796875, 9.5, 33.296875, 38.09375, 19.0, 0.0, 0.0, 85.6875, 52.3984375, 14.298828125, 4.7998046875, 0.0, 0.0, 294.0, 44.0, 0.0, 0.0, 100.0, "Tous les candidats", 515.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "29064", "Licence - Portail Mathématiques, numérique et sciences informatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29064&g_ta_cod=29064", 84.0, 14.0, 3.0),
(7550, "Public", "0382099A", "Lycée Roger Deschaux", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Sassenage", "formation sélective", "BTS", "Lycée Roger Deschaux - BTS - Production - Bâtiment", "BTS - Production", "", 30, 563, 73, 563, 0, 60, 5, 254, 54, 96, 31, 153, 0, 0, 0, 0, 0, 544, 0, 0, 0, 60, 5, 240, 48, 96, 31, 148, 180, 26, 3, 26, 0, 1.0, 11.0, 19.0, 0, 8, 18, 5, 3, 10, 8, 1, 11, 5, 1, 0, 0.0, 1, 0, 5, 7, 1, 16, 16, 3.85, 42.31, 73.08, 11.5, 88.890625, 88.890625, 38.8984375, 44.3984375, 69.1875, 5.599609375, 61.09375, 27.796875, 5.599609375, 0.0, 0.0, 27.796875, 5.599609375, 16.69921875, 0.0, 55.59375, 27.796875, 34.0, 4.0, 52.0, 19.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 105, "Bacheliers technologiques toutes séries", 128, "Liste d'appel propre à cette formation", 50.0, "5100", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5100&g_ta_cod=5100", 27.0, 23.0, 50.0),
(7551, "Public", "0940126B", "Lycée Maximilien Perret (Batiment)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Alfortville", "formation sélective", "BTS", "Lycée Maximilien Perret (Batiment) - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 24, 500, 19, 500, 0, 3, 0, 48, 18, 357, 157, 92, 0, 0, 0, 0, 0, 403, 0, 0, 0, 3, 0, 35, 15, 294, 127, 71, 105, 25, 3, 25, 0, 6.0, 20.0, 24.0, 0, 7, 14, 0, 4, 10, 11, 0, 6, 4, 4, 0, 0.0, 0, 0, 8, 1, 0, 8, 12, 24.0, 80.0, 96.0, 12.0, 57.09375, 85.6875, 7.099609375, 50.0, 56.0, 0.0, 42.8984375, 28.59765625, 28.59765625, 0.0, 0.0, 0.0, 0.0, 28.59765625, 0.0, 71.390625, 57.09375, 0.0, 0.0, 54.0, 21.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 118, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 32.0, "11413", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11413&g_ta_cod=11413", 8.0, 16.0, 76.0),
(7552, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 200, 1205, 875, 1017, 0, 698, 165, 79, 30, 18, 7, 222, 188, 35, 26, 8, 119, 1015, 121, 0, 0, 698, 165, 79, 30, 18, 7, 220, 1026, 167, 118, 114, 53, 59.0, 109.0, 127.0, 0, 27, 109, 82, 21, 6, 58, 2, 60, 30, 14, 3, 0.0, 39, 4, 4, 0, 0, 100, 100, 35.33, 65.27, 76.05, 70.6875, 91.6875, 91.6875, 0, 24.796875, 65.296875, 1.7998046875, 55.0, 27.5, 12.798828125, 2.8, 0.0, 75.1875, 35.796875, 19.296875, 3.69970703125, 5.5, 3.69970703125, 654.0, 148.0, 22.0, 6.0, 265.0, "Tous les candidats", 1014.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2883", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2883&g_ta_cod=2883", 74.0, 20.0, 5.0),
(7553, "Public", "0342023P", "Université Paul Valery Montpellier - Site de Béziers", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation non sélective", "Licence", "Université Paul Valery Montpellier - Site de Béziers - Licence - Information et communication", "Licence - Sciences humaines et sociales", "", 40, 923, 676, 923, 0, 511, 124, 103, 36, 43, 24, 266, 0, 0, 0, 0, 0, 914, 0, 0, 0, 511, 124, 103, 36, 43, 24, 257, 272, 39, 25, 38, 0, 2.0, 20.0, 30.0, 0, 12, 26, 20, 4, 2, 13, 0, 10, 11, 5, 0, 0.0, 11, 3, 2, 0, 0, 20, 20, 5.13, 51.28, 76.92, 64.09375, 76.890625, 76.890625, 0, 46.1953125, 66.6875, 0.0, 38.5, 42.296875, 19.19921875, 0.0, 0.0, 76.890625, 42.296875, 15.3984375, 11.5, 7.69921875, 7.69921875, 144.0, 38.0, 19.0, 10.0, 73.0, "Tous les candidats", 415.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "4612", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4612&g_ta_cod=4612", 67.0, 15.0, 15.0),
(7554, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence_Las", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Lettres", "Licence - Arts-lettres-langues", "", 20, 122, 97, 32, 0, 16, 1, 2, 1, 1, 0, 13, 90, 34, 2, 0, 54, 29, 42, 0, 0, 16, 1, 2, 1, 1, 0, 10, 71, 2, 1, 1, 1, 1.0, 1.0, 1.0, 0, 1, 1, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 0, 100.0, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 30.0, 2.0, 1.0, 0.0, 36.0, "Tous les candidats", 169.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 91.0, "26697", "Licence - Portail Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26696&g_ta_cod=26697", 100.0, 0.0, 0.0),
(7555, "Public", "0760058A", "Lycée Schuman Perret", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BTS", "Lycée Schuman Perret - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 30, 200, 14, 197, 0, 11, 1, 58, 9, 58, 22, 70, 3, 0, 0, 2, 1, 145, 0, 0, 0, 11, 1, 56, 9, 52, 19, 26, 114, 22, 2, 21, 0, 3.0, 20.0, 21.0, 0, 7, 17, 0, 7, 10, 5, 1, 10, 5, 0, 1, 0.0, 0, 1, 5, 3, 1, 17, 17, 13.64, 90.91, 95.45, 9.099609375, 100.0, 100.0, 17.59765625, 41.1953125, 77.296875, 5.8994140625, 58.796875, 29.3984375, 0.0, 5.9, 0.0, 0.0, 0.0, 41.1953125, 5.8994140625, 58.796875, 29.3984375, 9.0, 1.0, 46.0, 17.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 70.0, "9580", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9580&g_ta_cod=9580", 5.0, 50.0, 45.0),
(7556, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence_Las", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations, parcours Afrique et océan Indien - Malgache", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Afrique et océan Indien - Malgache", 10, 40, 31, 30, 0, 12, 4, 6, 2, 2, 1, 10, 10, 1, 3, 0, 6, 30, 7, 0, 0, 12, 4, 6, 2, 2, 1, 10, 30, 9, 8, 6, 3, 1.0, 5.0, 6.0, 0, 1, 5, 3, 2, 0, 4, 0, 4, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 5, 11.11, 55.56, 66.67, 88.890625, 0.0, 100.0, 0, 20.0, 55.59375, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 60.0, 0.0, 40.0, 20.0, 0.0, 0.0, 7.0, 1.0, 2.0, 1.0, 13.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 83.0, "29590", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations, parcours Afrique et océan Indien - Malgache", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29589&g_ta_cod=29590", 78.0, 22.0, 0.0),
(7557, "Privé enseignement supérieur", "0592807F", "Faculté de Médecine et de Maïeutique-Institut Catholique de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence_Las", "Faculté de Médecine et de Maïeutique-Institut Catholique de Lille - Licence - Sciences pour la santé -  option Santé", "Licence - Sciences - technologies - santé", "", 400, 1735, 1194, 1735, 0, 1510, 88, 11, 2, 0, 0, 214, 0, 0, 0, 0, 0, 1714, 0, 0, 0, 1510, 88, 8, 1, 0, 0, 196, 1138, 462, 344, 462, 0, 137.0, 406.0, 430.0, 0, 31, 444, 444, 0, 0, 18, 1, 15, 127, 202, 85, 14.0, 428, 0, 0, 0, 0, 171, 171, 29.65, 87.88, 93.07, 74.5, 38.5, 38.5, 0, 7.0, 96.09375, 0.199981689453125, 3.39990234375, 28.59765625, 45.5, 19.1, 3.2, 100.0, 96.390625, 0.0, 0.0, 0.0, 0.0, 1100.0, 58.0, 0.0, 0.0, 38.0, "Tous les candidats", 1230.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "29125", "Licence - Sciences pour la santé -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29140&g_ta_cod=29125", 100.0, 0.0, 0.0),
(7558, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Chimie - Parcours BGC", "Licence - Sciences - technologies - santé", "BGC", 85, 624, 423, 564, 0, 338, 48, 11, 5, 1, 1, 214, 60, 17, 3, 0, 40, 564, 53, 0, 0, 338, 48, 11, 5, 1, 1, 214, 474, 61, 35, 38, 23, 6.0, 33.0, 54.0, 0, 7, 29, 27, 2, 0, 32, 0, 3, 15, 8, 3, 0.0, 24, 2, 0, 0, 0, 22, 22, 9.84, 54.1, 88.52, 57.3984375, 75.890625, 75.890625, 0, 24.09765625, 47.5, 0.0, 10.298828125, 51.6953125, 27.59765625, 10.3, 0.0, 93.09375, 82.796875, 6.8994140625, 6.8994140625, 0.0, 0.0, 254.0, 38.0, 0.0, 0.0, 215.0, "Tous les candidats", 564.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32032", "Licence - Chimie - Parcours BGC", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32032&g_ta_cod=32032", 92.0, 5.0, 2.0),
(7559, "Public", "0271677B", "Université de Rouen Normandie - Campus Evreux", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation non sélective", "Licence_Las", "Université de Rouen Normandie - Campus Evreux - Licence - Portail Sciences de la vie - Licence Sciences de la vie", "Licence - Sciences - technologies - santé", "Licence Sciences de la vie", 36, 867, 643, 867, 0, 547, 104, 47, 19, 1, 1, 272, 0, 0, 0, 0, 0, 861, 0, 0, 0, 547, 104, 47, 19, 1, 1, 266, 344, 36, 28, 36, 0, 1.0, 7.0, 21.0, 0, 9, 30, 27, 3, 0, 6, 1, 14, 11, 3, 1, 0.0, 13, 2, 0, 0, 0, 25, 25, 2.78, 19.44, 58.33, 77.796875, 83.296875, 83.296875, 0, 30.0, 83.296875, 3.2998046875, 46.6953125, 36.6953125, 10.0, 3.3, 0.0, 90.0, 43.296875, 10.0, 6.69921875, 0.0, 0.0, 199.0, 56.0, 0.0, 0.0, 140.0, "Tous les candidats", 770.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 58.0, "26801", "Licence - Portail Sciences de la vie - Licence Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26800&g_ta_cod=26801", 89.0, 11.0, 0.0),
(7560, "Public", "0741330U", "IFSI Centre Hospitalier Alpes Leman", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Ambilly", "formation sélective", "IFSI", "Regroupement d'IFSI Université Grenoble Alpes - D.E Infirmier", "D.E secteur sanitaire", "", 84, 4482, 3713, 4482, 0, 681, 106, 846, 204, 347, 112, 2608, 0, 0, 0, 0, 0, 3554, 0, 0, 0, 613, 85, 713, 165, 273, 80, 1955, 883, 84, 72, 84, 0, 3.0, 41.0, 68.0, 0, 6, 49, 16, 15, 18, 35, 0, 4, 26, 17, 1, 1.0, 13, 14, 18, 0, 0, 39, 39, 3.57, 48.81, 80.95, 85.6875, 79.59375, 79.59375, 0, 12.19921875, 58.296875, 0.0, 8.19921875, 53.09375, 34.6953125, 2.0, 2.0, 32.6953125, 26.5, 30.59765625, 28.59765625, 36.6953125, 36.6953125, 226.0, 24.0, 101.0, 23.0, 345.0, "Tous les candidats", 2460.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "23125", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22992&g_ta_cod=23125", 46.0, 25.0, 29.0),
(7561, "Public", "0310047H", "Lycée Ozenne", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Ozenne - CPGE - TB", "Classe préparatoire scientifique", "", 30, 277, 196, 277, 0, 0, 0, 259, 63, 0, 0, 18, 0, 0, 0, 0, 0, 181, 0, 0, 181, 0, 0, 177, 34, 0, 0, 4, 109, 33, 23, 33, 0, 12.0, 33.0, 33.0, 0, 7, 33, 0, 33, 0, 0, 0, 0, 7, 14, 11, 1.0, 0, 33, 0, 0, 0, 12, 12, 36.36, 100.0, 100.0, 69.6875, 36.3984375, 36.3984375, 0, 21.19921875, 100.0, 0.0, 0.0, 21.19921875, 42.3984375, 33.3, 3.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 142.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "4065", "CPGE - TB", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4065&g_ta_cod=4065", 0.0, 100.0, 0.0),
(7562, "Public", "0450104U", "Centre Associé au CNAM", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "Autre formation", "CNAM / Lycée polyvalent Hôtellerie Tourisme - Formation Supérieure de Spécialisation - Tourisme", "Diplôme d'Université", "Tourisme", 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 2.0, 1.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34919", "Formation Supérieure de Spécialisation - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34919&g_ta_cod=34919", 0, 0, 0),
(7563, "Public", "0580050P", "Lycée professionnel Jean Rostand", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "BTS", "Lycée professionnel Jean Rostand - BTS - Services - Economie sociale familiale", "BTS - Services", "", 18, 395, 335, 395, 0, 47, 12, 95, 30, 144, 50, 109, 0, 0, 0, 0, 0, 243, 0, 0, 0, 37, 11, 63, 19, 110, 36, 33, 73, 17, 15, 17, 0, 4.0, 14.0, 17.0, 0, 4, 14, 4, 3, 7, 3, 0, 5, 7, 2, 0, 0.0, 3, 1, 5, 1, 1, 11, 11, 23.53, 82.35, 100.0, 88.1875, 78.59375, 78.59375, 7.099609375, 28.59765625, 82.390625, 0.0, 35.6953125, 50.0, 14.298828125, 0.0, 0.0, 28.59765625, 21.3984375, 21.3984375, 7.099609375, 50.0, 35.6953125, 15.0, 5.0, 32.0, 12.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers technologiques toutes séries", 43, "Bacheliers professionnels toutes séries", 61, "Liste d'appel propre à cette formation", 33.0, "25392", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25392&g_ta_cod=25392", 24.0, 24.0, 53.0),
(7564, "Public", "0440139M", "I.U.T. Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Carquefou", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 14, 231, 4, 229, 0, 0, 0, 216, 42, 0, 0, 13, 2, 0, 1, 0, 1, 100, 0, 0, 0, 0, 0, 97, 19, 0, 0, 3, 78, 9, 0, 9, 0, 7.0, 9.0, 9.0, 0, 1, 9, 0, 9, 0, 0, 0, 0, 0, 7, 2, 0.0, 0, 9, 0, 0, 0, 5, 5, 77.78, 100.0, 100.0, 0.0, 55.59375, 55.59375, 0, 11.099609375, 100.0, 0.0, 0.0, 0.0, 77.796875, 22.2, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 344.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "213", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=213", 0.0, 100.0, 0.0),
(7565, "Public", "0170145R", "I.U.T. La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BUT", "I.U.T. La Rochelle - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Business développement et management de la relation client", 162, 4880, 2390, 4880, 0, 2868, 241, 1455, 247, 39, 16, 518, 0, 0, 0, 0, 0, 2442, 0, 0, 0, 1600, 116, 770, 121, 0, 0, 72, 685, 163, 101, 163, 0, 51.0, 140.0, 152.0, 0, 26, 162, 67, 95, 0, 1, 0, 2, 50, 97, 13, 0.0, 66, 94, 0, 0, 0, 88, 88, 31.29, 85.89, 93.25, 62.0, 54.296875, 54.296875, 0, 16.0, 99.390625, 0.0, 1.199951171875, 30.8984375, 59.8984375, 8.0, 0.0, 41.3984375, 40.6953125, 58.59375, 58.0, 0.0, 0.0, 314.0, 42.0, 0.0, 0.0, 11.0, "Tous les candidats sauf les Bac technologiques", 474.0, "Bacheliers technologiques toutes séries", 479, "", 0, "Liste d'appel propre à cette formation", 20.0, "3057", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3057&g_ta_cod=3057", 42.0, 58.0, 0.0),
(7566, "Public", "0371082A", "UFR de Médecine", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "Autre formation", "Regroupement Bretagne, Pays de la Loire et Centre-Val de Loire - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 50, 2694, 2602, 2694, 0, 884, 89, 33, 5, 1, 1, 1776, 0, 0, 0, 0, 0, 1704, 0, 0, 0, 749, 62, 16, 3, 1, 1, 938, 172, 50, 50, 50, 0, 12.0, 44.0, 48.0, 0, 3, 24, 24, 0, 0, 26, 0, 0, 2, 10, 12, 0.0, 24, 0, 0, 0, 0, 6, 6, 24.0, 88.0, 96.0, 100.0, 25.0, 25.0, 0, 12.5, 48.0, 0.0, 0.0, 8.298828125, 41.6953125, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 78.0, 8.0, 0.0, 0.0, 94.0, "Tous les candidats", 252.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 8.0, "28045", "Certificat de capacité d'Orthophoniste", "Regroupement Bretagne, Pays de la Loire et Centre-Val de Loire", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28043&g_ta_cod=28045", 100.0, 0.0, 0.0),
(7567, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues étrangères appliquées - Parcours Anglais / Allemand", "Licence - Arts-lettres-langues", "Anglais / Allemand", 32, 224, 152, 141, 0, 78, 28, 16, 10, 4, 1, 43, 83, 12, 7, 10, 54, 135, 46, 0, 0, 78, 28, 16, 10, 4, 1, 37, 159, 30, 19, 10, 19, 2.0, 10.0, 20.0, 0, 2, 14, 5, 4, 5, 16, 0, 8, 6, 0, 0, 0.0, 4, 1, 1, 0, 0, 6, 13, 6.67, 33.33, 66.67, 63.296875, 42.8984375, 92.890625, 0, 14.298828125, 46.6953125, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 35.6953125, 28.59765625, 28.59765625, 7.099609375, 35.6953125, 7.099609375, 77.0, 25.0, 7.0, 1.0, 57.0, "Tous les candidats", 134.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "28176", "Licence - Langues étrangères appliquées - Parcours Anglais / Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28176&g_ta_cod=28176", 50.0, 27.0, 23.0),
(7568, "Public", "0240024W", "Lycée Bertran De Born", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "CPGE", "Lycée Bertran De Born - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 629, 270, 621, 407, 312, 42, 1, 1, 0, 0, 308, 8, 4, 0, 0, 4, 321, 5, 232, 315, 285, 38, 0, 0, 0, 0, 36, 302, 39, 11, 38, 1, 21.0, 26.0, 39.0, 8, 6, 33, 33, 0, 0, 6, 0, 0, 19, 13, 1, 0.0, 33, 0, 0, 5, 1, 27, 27, 53.85, 66.67, 100.0, 28.19921875, 81.796875, 81.796875, 15.19921875, 18.19921875, 84.59375, 0.0, 0.0, 57.59375, 39.3984375, 3.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 267.0, 33.0, 0.0, 0.0, 35.0, "Tous les candidats", 321.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "3421", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3421&g_ta_cod=3421", 100.0, 0.0, 0.0),
(7569, "Public", "0950648N", "Lycée Jean-Jacques Rousseau", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Montmorency", "formation sélective", "BTS", "Lycée Jean-Jacques Rousseau - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 773, 288, 640, 0, 55, 20, 177, 65, 216, 120, 192, 133, 4, 74, 0, 55, 314, 2, 0, 0, 27, 10, 116, 41, 134, 88, 37, 189, 37, 16, 34, 2, 2.0, 27.0, 33.0, 0, 19, 33, 2, 15, 16, 4, 0, 17, 12, 4, 0, 0.0, 0, 6, 10, 2, 0, 24, 30, 5.41, 72.97, 89.19, 43.1953125, 72.6875, 90.890625, 6.099609375, 57.59375, 89.1875, 0.0, 51.5, 36.3984375, 12.099609375, 0.0, 0.0, 6.099609375, 0.0, 45.5, 18.19921875, 48.5, 30.296875, 20.0, 9.0, 74.0, 47.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 115, "Bacheliers technologiques toutes séries", 114, "Liste d'appel propre à cette formation", 42.0, "11572", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11572&g_ta_cod=11572", 14.0, 41.0, 46.0),
(7570, "Privé sous contrat d'association", "0071126L", "Institut Supérieur Saint-Denis", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Annonay", "formation sélective", "BTS", "Institut Supérieur Saint-Denis - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 28, 262, 109, 235, 0, 23, 4, 88, 19, 77, 20, 47, 27, 2, 5, 8, 12, 176, 13, 0, 0, 23, 4, 78, 14, 52, 10, 23, 131, 32, 13, 24, 8, 10.0, 21.0, 24.0, 0, 7, 24, 4, 9, 11, 8, 0, 9, 11, 4, 0, 0.0, 2, 5, 8, 5, 3, 22, 22, 31.25, 65.63, 75.0, 40.59375, 91.6875, 91.6875, 20.796875, 29.19921875, 75.0, 0.0, 37.5, 45.796875, 16.69921875, 0.0, 0.0, 16.69921875, 8.298828125, 37.5, 20.796875, 45.796875, 33.296875, 17.0, 4.0, 44.0, 12.0, 22.0, "Tous les candidats sauf les Bac professionnels", 97.0, "Bacheliers professionnels toutes séries", 53, "", 0, "Liste d'appel propre à cette formation", 64.0, "2342", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2342&g_ta_cod=2342", 28.0, 34.0, 38.0),
(7571, "Public", "0120006S", "Lycée La Découverte", "12", "Aveyron", "Occitanie", "Toulouse", "Decazeville", "formation sélective", "BTS", "Lycée La Découverte - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 24, 119, 4, 115, 0, 4, 2, 21, 1, 44, 7, 46, 4, 0, 0, 2, 2, 72, 4, 0, 0, 4, 2, 21, 1, 38, 5, 9, 70, 20, 0, 19, 1, 9.0, 17.0, 19.0, 0, 2, 16, 0, 2, 14, 4, 0, 1, 5, 6, 4, 0.0, 0, 1, 14, 6, 0, 14, 14, 45.0, 85.0, 95.0, 0.0, 87.5, 87.5, 37.5, 12.5, 80.0, 0.0, 6.2998046875, 31.296875, 37.5, 25.0, 0.0, 0.0, 0.0, 12.5, 6.2998046875, 87.5, 87.5, 4.0, 2.0, 38.0, 5.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 62.0, "2483", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2483&g_ta_cod=2483", 10.0, 20.0, 70.0),
(7572, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Arabe", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères et Régionales Arabe", 40, 216, 161, 179, 0, 59, 31, 16, 7, 23, 16, 81, 37, 4, 5, 4, 24, 179, 33, 0, 0, 59, 31, 16, 7, 23, 16, 81, 162, 39, 30, 25, 14, 1.0, 24.0, 27.0, 0, 14, 18, 7, 8, 3, 21, 1, 12, 4, 1, 0, 0.0, 1, 3, 1, 0, 0, 12, 12, 2.56, 61.54, 69.23, 76.890625, 66.6875, 66.6875, 0, 77.796875, 46.1953125, 5.599609375, 66.6875, 22.19921875, 5.599609375, 0.0, 0.0, 38.8984375, 5.599609375, 44.3984375, 16.69921875, 16.69921875, 5.599609375, 60.0, 34.0, 16.0, 13.0, 70.0, "Tous les candidats", 180.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8501", "Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8501&g_ta_cod=8501", 59.0, 26.0, 15.0),
(7573, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Finnois", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Europe - Finnois", 25, 35, 20, 25, 0, 16, 2, 1, 0, 0, 0, 8, 10, 3, 0, 0, 7, 25, 7, 0, 0, 16, 2, 1, 0, 0, 0, 8, 32, 7, 4, 4, 3, 4.0, 4.0, 6.0, 0, 1, 3, 3, 0, 0, 4, 0, 0, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 1, 2, 57.14, 57.14, 85.71, 57.09375, 33.296875, 66.6875, 0, 33.296875, 42.8984375, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 18.0, 2.0, 0.0, 0.0, 13.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9427", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Finnois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29621&g_ta_cod=9427", 86.0, 14.0, 0.0),
(7574, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues étrangères appliquées - Parcours LEA Anglais-Allemand", "Licence - Arts-lettres-langues", "LEA Anglais-Allemand", 52, 310, 216, 197, 0, 127, 31, 9, 4, 1, 0, 60, 113, 15, 5, 14, 79, 191, 100, 0, 0, 127, 31, 9, 4, 1, 0, 54, 269, 42, 29, 18, 24, 14.0, 18.0, 35.0, 0, 12, 27, 20, 4, 3, 15, 1, 11, 7, 7, 1, 0.0, 13, 2, 0, 0, 0, 18, 18, 33.33, 42.86, 83.33, 69.0, 66.6875, 66.6875, 0, 44.3984375, 64.296875, 3.69970703125, 40.6953125, 25.8984375, 25.8984375, 3.7, 0.0, 74.09375, 48.09375, 14.798828125, 7.3994140625, 11.099609375, 0.0, 131.0, 32.0, 14.0, 10.0, 111.0, "Tous les candidats", 191.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "2737", "Licence - Langues étrangères appliquées - Parcours LEA Anglais-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2737&g_ta_cod=2737", 76.0, 10.0, 14.0),
(7575, "Public", "0133479L", "IUT Aix-Marseille - Site de Marseille Luminy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 4, 139, 10, 138, 0, 0, 0, 124, 34, 0, 0, 14, 1, 0, 1, 0, 0, 67, 0, 0, 0, 0, 0, 64, 16, 0, 0, 3, 28, 1, 0, 1, 0, 0.0, 1.0, 1.0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0.0, 0, 1, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 353.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 49.0, "373", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=373", 0.0, 100.0, 0.0),
(7576, "Public", "9711046K", "Lycée Chevalier Saint-Georges", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "BTS", "Lycée Chevalier Saint-Georges - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 246, 26, 215, 0, 41, 18, 56, 25, 80, 56, 38, 31, 3, 6, 7, 15, 64, 10, 0, 0, 30, 12, 17, 7, 17, 10, 0, 64, 26, 1, 22, 3, 9.0, 18.0, 21.0, 0, 16, 24, 6, 6, 12, 2, 0, 8, 12, 4, 0, 0.0, 3, 4, 9, 9, 1, 22, 22, 34.62, 69.23, 80.77, 3.7998046875, 91.6875, 91.6875, 37.5, 66.6875, 92.296875, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 25.0, 12.5, 25.0, 16.69921875, 50.0, 37.5, 19.0, 8.0, 20.0, 14.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 29.0, "11764", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11764&g_ta_cod=11764", 27.0, 23.0, 50.0),
(7577, "Privé sous contrat d'association", "0850609A", "Lycée agricole Les Etablières", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée agricole Les Etablières - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 44, 145, 26, 138, 0, 33, 6, 39, 5, 20, 2, 46, 7, 3, 2, 0, 2, 95, 7, 0, 0, 33, 6, 34, 5, 19, 2, 9, 91, 14, 1, 14, 0, 10.0, 14.0, 14.0, 0, 1, 14, 4, 7, 3, 0, 0, 6, 6, 2, 0, 0.0, 2, 4, 2, 0, 0, 8, 8, 71.43, 100.0, 100.0, 7.099609375, 57.09375, 57.09375, 0, 7.099609375, 100.0, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 28.59765625, 14.298828125, 50.0, 28.59765625, 21.3984375, 14.298828125, 33.0, 5.0, 16.0, 2.0, 11.0, "Tous les candidats sauf les Bac professionnels", 76.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 69.0, "10528", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10528&g_ta_cod=10528", 29.0, 50.0, 21.0),
(7578, "Public", "0750676C", "Lycée des Métiers Dorian", "75", "Paris", "Ile-de-France", "Paris", "Paris 11e  Arrondissement", "formation sélective", "BTS", "Lycée des Métiers Dorian - BTS - Production - Conception de produits industriels", "BTS - Production", "", 24, 499, 36, 499, 0, 28, 6, 250, 65, 105, 40, 116, 0, 0, 0, 0, 0, 499, 0, 0, 0, 28, 6, 250, 65, 105, 40, 116, 79, 21, 0, 21, 0, 4.0, 15.0, 17.0, 0, 6, 12, 2, 4, 6, 9, 0, 9, 2, 1, 0, 0.0, 0, 1, 2, 0, 0, 2, 12, 19.05, 71.43, 80.95, 0.0, 16.69921875, 100.0, 0, 50.0, 57.09375, 0.0, 75.0, 16.69921875, 8.298828125, 0.0, 0.0, 16.69921875, 0.0, 33.296875, 8.298828125, 50.0, 16.69921875, 7.0, 3.0, 32.0, 9.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 25.0, "9026", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9026&g_ta_cod=9026", 29.0, 33.0, 38.0),
(7579, "Public", "0081149F", "EiSINe - Charleville-Mézières", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation non sélective", "Licence", "EiSINe - Charleville-Mézières - Licence - Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "", 84, 192, 48, 136, 0, 84, 20, 13, 6, 1, 1, 38, 56, 11, 3, 0, 42, 136, 40, 0, 0, 84, 20, 13, 6, 1, 1, 38, 179, 34, 7, 19, 14, 10.0, 19.0, 31.0, 0, 8, 18, 15, 3, 0, 16, 0, 13, 3, 2, 0, 0.0, 5, 0, 0, 0, 0, 12, 12, 29.41, 55.88, 91.18, 20.59765625, 66.6875, 66.6875, 0, 44.3984375, 52.8984375, 0.0, 72.1875, 16.69921875, 11.099609375, 0.0, 0.0, 83.296875, 27.796875, 16.69921875, 0.0, 0.0, 0.0, 96.0, 25.0, 1.0, 1.0, 66.0, "Tous les candidats", 136.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2375", "Licence - Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27252&g_ta_cod=2375", 85.0, 15.0, 0.0),
(7580, "Privé sous contrat d'association", "0160079Z", "Lycée Sainte Marthe Chavagnes", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BTS", "Lycée Sainte Marthe Chavagnes - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 253, 92, 253, 0, 33, 5, 86, 18, 76, 25, 58, 0, 0, 0, 0, 0, 163, 0, 0, 0, 28, 5, 60, 11, 55, 14, 20, 70, 24, 11, 24, 0, 8.0, 16.0, 18.0, 0, 3, 19, 4, 5, 10, 5, 0, 6, 8, 4, 1, 0.0, 3, 2, 8, 3, 1, 18, 18, 33.33, 66.67, 75.0, 45.796875, 94.6875, 94.6875, 15.798828125, 15.798828125, 79.1875, 0.0, 31.59765625, 42.09375, 21.09765625, 5.3, 0.0, 21.09765625, 15.798828125, 26.296875, 10.5, 52.59375, 42.09375, 16.0, 3.0, 24.0, 6.0, 8.0, "Tous les candidats sauf les Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 37.0, "19915", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19915&g_ta_cod=19915", 29.0, 25.0, 46.0),
(7581, "Privé enseignement supérieur", "0061770S", "EDHEC Nice", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Ecole de Commerce", "Concours PASS - Formation des écoles de commerce et de management Bac + 4", "Formation des écoles de commerce et de management", "International BBA - Parcours Business Management - French Track", 280, 3538, 1732, 3538, 0, 3051, 97, 196, 12, 1, 1, 290, 0, 0, 0, 0, 0, 2362, 0, 0, 0, 2113, 60, 105, 6, 0, 0, 144, 1396, 314, 168, 314, 0, 115.0, 257.0, 292.0, 0, 18, 294, 275, 19, 0, 20, 1, 6, 76, 147, 58, 6.0, 268, 19, 0, 0, 0, 99, 99, 36.62, 81.85, 92.99, 53.5, 33.6953125, 33.6953125, 0, 6.099609375, 93.59375, 0.29998779296875, 2.0, 25.8984375, 50.0, 19.7, 2.0, 93.5, 91.1875, 6.5, 6.5, 0.0, 0.0, 1253.0, 45.0, 0.0, 0.0, 89.0, "Tous les candidats", 2129.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 49.0, "26365", "Formation des écoles de commerce et de management Bac + 4", "Concours PASS", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26356&g_ta_cod=26365", 94.0, 6.0, 0.0),
(7582, "Privé enseignement supérieur", "0691503J", "ESDES LYON BUSINESS SCHOOL", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "Ecole de Commerce", "ESDES LYON BUSINESS SCHOOL - Formation des écoles de commerce et de management Bac + 3 - Bachelor In Business", "Formation des écoles de commerce et de management", "Bachelor In Business", 130, 853, 392, 758, 0, 526, 41, 127, 8, 20, 2, 85, 95, 28, 15, 7, 45, 486, 88, 0, 0, 374, 22, 71, 1, 2, 0, 39, 574, 128, 56, 94, 34, 92.0, 94.0, 117.0, 0, 6, 96, 62, 31, 3, 32, 0, 47, 38, 8, 3, 0.0, 30, 17, 2, 0, 0, 51, 51, 71.88, 73.44, 91.41, 43.796875, 53.09375, 53.09375, 0, 6.2998046875, 75.0, 0.0, 49.0, 39.59375, 8.298828125, 3.1, 0.0, 64.59375, 31.296875, 32.296875, 17.69921875, 3.099609375, 2.099609375, 401.0, 25.0, 8.0, 6.0, 80.0, "Tous les candidats", 486.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "31184", "Formation des écoles de commerce et de management Bac + 3 - Bachelor In Business", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31184&g_ta_cod=31184", 66.0, 30.0, 3.0),
(7583, "Public", "0753431X", "Sciences Po Paris - Institut d'études politiques", "75", "Paris", "Ile-de-France", "Paris", "Paris  7e  Arrondissement", "formation sélective", "Licence", "Sciences Po - Paris 1 Panthéon Sorbonne - Licence - Double diplôme - Licence Mathématiques et informatique appliquées aux sciences humaines et sociales - Mathématiques appliquées et Sciences sociales", "Licence - Sciences - technologies - santé", "Mathématiques appliquées et Sciences sociales", 20, 408, 227, 408, 0, 405, 53, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 37, 0, 0, 0, 36, 3, 0, 0, 0, 0, 1, 35, 14, 6, 14, 0, 0.0, 14.0, 14.0, 0, 1, 14, 14, 0, 0, 0, 0, 0, 0, 0, 5, 9.0, 14, 0, 0, 0, 0, 3, 4, 0.0, 100.0, 100.0, 42.8984375, 21.3984375, 28.59765625, 0, 7.099609375, 100.0, 0.0, 0.0, 0.0, 0.0, 35.7, 64.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 34.0, 3.0, 0.0, 0.0, 1.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "32559", "Licence - Double diplôme - Licence Mathématiques et informatique appliquées aux sciences humaines et sociales - Mathématiques appliquées et Sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32559&g_ta_cod=32559", 100.0, 0.0, 0.0),
(7584, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Sciences de la terre - Parcours Géologie", "Licence - Sciences - technologies - santé", "Géologie", 40, 293, 132, 268, 0, 200, 30, 3, 1, 2, 2, 63, 25, 11, 0, 0, 14, 265, 25, 0, 0, 200, 30, 3, 1, 2, 2, 60, 198, 28, 9, 20, 8, 5.0, 16.0, 25.0, 0, 4, 19, 19, 0, 0, 9, 0, 11, 7, 1, 0, 0.0, 8, 0, 0, 0, 0, 7, 7, 17.86, 57.14, 89.29, 32.09375, 36.796875, 36.796875, 0, 21.09765625, 67.890625, 0.0, 57.8984375, 36.796875, 5.2998046875, 0.0, 0.0, 100.0, 42.09375, 0.0, 0.0, 0.0, 0.0, 138.0, 25.0, 2.0, 2.0, 55.0, "Tous les candidats", 264.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "3538", "Licence - Sciences de la terre - Parcours Géologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3538&g_ta_cod=3538", 96.0, 4.0, 0.0),
(7585, "Public", "0950645K", "Lycée Van Gogh", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Ermont", "formation sélective", "BTS", "Lycée Van Gogh - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1434, 681, 1434, 0, 72, 16, 574, 224, 408, 153, 380, 0, 0, 0, 0, 0, 665, 0, 0, 0, 45, 7, 291, 105, 226, 82, 103, 168, 34, 15, 34, 0, 2.0, 27.0, 31.0, 0, 9, 30, 3, 14, 13, 4, 0, 7, 17, 5, 1, 0.0, 2, 9, 12, 3, 1, 26, 29, 5.88, 79.41, 91.18, 44.09375, 86.6875, 96.6875, 10, 30.0, 88.1875, 0.0, 23.296875, 56.6953125, 16.69921875, 3.3, 0.0, 10.0, 6.69921875, 46.6953125, 30.0, 43.296875, 40.0, 11.0, 5.0, 76.0, 26.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 130, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 16.0, "11569", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11569&g_ta_cod=11569", 9.0, 41.0, 50.0),
(7586, "Privé sous contrat d'association", "0442085C", "Ecole de Design Nantes Atlantique", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Ecole de Design Nantes Atlantique - DN MADE - Espace - - Spécialité : Architecture de l'habitat et aménagement commercial", "DN MADE", "- Spécialité : Architecture de l'habitat et aménagement commercial", 30, 425, 336, 425, 0, 212, 22, 81, 9, 45, 7, 87, 0, 0, 0, 0, 0, 414, 0, 0, 0, 206, 21, 81, 9, 44, 7, 83, 103, 30, 27, 30, 0, 3.0, 30.0, 30.0, 0, 3, 24, 11, 8, 5, 6, 0, 2, 9, 10, 3, 0.0, 10, 8, 4, 0, 0, 9, 9, 10.0, 100.0, 100.0, 90.0, 37.5, 37.5, 0, 12.5, 80.0, 0.0, 8.298828125, 37.5, 41.6953125, 12.5, 0.0, 45.796875, 41.6953125, 33.296875, 33.296875, 20.796875, 16.69921875, 47.0, 1.0, 11.0, 2.0, 21.0, "Tous les candidats", 125.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "24329", "DN MADE - Espace - - Spécialité : Architecture de l'habitat et aménagement commercial", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24329&g_ta_cod=24329", 47.0, 33.0, 17.0),
(7587, "Public", "0300021K", "Lycée Alphonse DAUDET", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "CPGE", "Lycée Alphonse DAUDET - CPGE - PCSI", "Classe préparatoire scientifique", "", 95, 1075, 408, 1057, 687, 839, 126, 0, 0, 0, 0, 218, 18, 4, 0, 1, 13, 804, 3, 39, 801, 716, 99, 0, 0, 0, 0, 88, 632, 84, 25, 81, 3, 10.0, 50.0, 83.0, 1, 14, 72, 72, 0, 0, 12, 0, 1, 20, 44, 7, 0.0, 71, 0, 0, 9, 2, 61, 61, 11.9, 59.52, 98.81, 29.796875, 84.6875, 84.6875, 12.5, 19.3984375, 85.6875, 0.0, 1.39990234375, 27.796875, 61.09375, 9.7, 0.0, 100.0, 98.59375, 0.0, 0.0, 0.0, 0.0, 582.0, 80.0, 0.0, 0.0, 50.0, "Tous les candidats", 819.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "3927", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3927&g_ta_cod=3927", 100.0, 0.0, 0.0),
(7588, "Public", "0782117C", "I.U.T. de Mantes en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Mantes-la-Jolie", "formation sélective", "BUT", "I.U.T. de Mantes en Yvelines - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle", "BUT - Production", "Innovation pour l?industrie - Simulation numérique et réalité virtuelle", 52, 838, 78, 798, 0, 374, 63, 252, 62, 5, 1, 167, 40, 8, 2, 2, 28, 572, 15, 0, 0, 315, 47, 156, 37, 0, 0, 101, 404, 38, 4, 31, 7, 4.0, 19.0, 33.0, 0, 7, 27, 15, 12, 0, 11, 0, 13, 13, 0, 1, 0.0, 7, 7, 0, 0, 0, 18, 21, 10.53, 50.0, 86.84, 10.5, 66.6875, 77.796875, 0, 25.8984375, 71.09375, 0.0, 48.09375, 48.09375, 0.0, 3.7, 0.0, 55.59375, 25.8984375, 44.3984375, 25.8984375, 0.0, 0.0, 187.0, 32.0, 0.0, 0.0, 106.0, "Tous les candidats sauf les Bac technologiques", 399.0, "Bacheliers technologiques toutes séries", 170, "", 0, "Liste d'appel propre à cette formation", 71.0, "10012", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10012&g_ta_cod=10012", 63.0, 37.0, 0.0),
(7589, "Privé enseignement supérieur", "0753636V", "European Business School Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 40, 1428, 557, 1422, 0, 1207, 64, 88, 7, 4, 1, 123, 6, 2, 0, 0, 4, 1341, 5, 0, 0, 1159, 56, 80, 5, 2, 1, 100, 1346, 5, 1, 5, 0, 5.0, 5.0, 5.0, 0, 0, 4, 4, 0, 0, 1, 0, 4, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 2, 100.0, 100.0, 100.0, 20.0, 0.0, 50.0, 0, 0.0, 80.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1161.0, 57.0, 2.0, 1.0, 103.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "31988", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=31988", 100.0, 0.0, 0.0),
(7590, "Public", "0110004V", "Lycée Paul Sabatier", "11", "Aude", "Occitanie", "Montpellier", "Carcassonne", "formation sélective", "BTS", "Lycée Paul Sabatier - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 292, 189, 270, 0, 10, 2, 93, 32, 77, 45, 90, 22, 0, 3, 14, 5, 183, 8, 0, 0, 8, 1, 86, 30, 67, 40, 22, 142, 34, 25, 28, 5, 6.0, 19.0, 26.0, 0, 17, 26, 0, 12, 14, 8, 0, 15, 6, 5, 0, 0.0, 0, 5, 6, 8, 6, 24, 24, 17.65, 55.88, 76.47, 73.5, 92.296875, 92.296875, 30.796875, 65.390625, 76.5, 0.0, 57.6953125, 23.09765625, 19.19921875, 0.0, 0.0, 0.0, 0.0, 46.1953125, 19.19921875, 53.796875, 23.09765625, 8.0, 1.0, 64.0, 37.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 87, "Liste d'appel propre à cette formation", 64.0, "2446", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2446&g_ta_cod=2446", 9.0, 41.0, 50.0),
(7591, "Public", "0140013N", "Lycée Malherbe", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "CPGE", "Lycée Malherbe - CPGE - ECG -  - Mathématiques appliquées + HGG", "Classe préparatoire économique et commerciale", "", 48, 290, 134, 283, 183, 236, 20, 0, 0, 0, 0, 47, 7, 5, 0, 0, 2, 248, 3, 158, 234, 221, 19, 0, 0, 0, 0, 27, 221, 31, 13, 31, 0, 16.0, 29.0, 31.0, 16, 4, 30, 30, 0, 0, 1, 0, 0, 12, 15, 2, 1.0, 30, 0, 0, 1, 0, 27, 27, 51.61, 93.55, 100.0, 41.8984375, 90.0, 90.0, 3.2998046875, 13.298828125, 96.796875, 0.0, 0.0, 40.0, 50.0, 6.7, 3.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 195.0, 19.0, 0.0, 0.0, 26.0, "Tous les candidats", 245.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "31347", "CPGE - ECG -  - Mathématiques appliquées + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31347&g_ta_cod=31347", 100.0, 0.0, 0.0),
(7592, "Public", "9741180P", "I.U.T de la Réunion", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BUT", "I.U.T de la Réunion - BUT - Gestion des entreprises et des administrations", "BUT - Service", "", 102, 1336, 797, 1336, 0, 437, 164, 628, 372, 44, 32, 227, 0, 0, 0, 0, 0, 959, 0, 0, 0, 363, 125, 468, 280, 0, 0, 128, 346, 107, 74, 107, 0, 69.0, 98.0, 100.0, 0, 60, 95, 43, 52, 0, 12, 0, 10, 43, 37, 5, 0.0, 36, 49, 0, 0, 0, 93, 93, 64.49, 91.59, 93.46, 69.1875, 97.890625, 97.890625, 0, 63.1953125, 88.796875, 0.0, 10.5, 45.296875, 38.8984375, 5.3, 0.0, 45.296875, 37.8984375, 54.6953125, 51.59375, 0.0, 0.0, 153.0, 84.0, 0.0, 0.0, 41.0, "Tous les candidats sauf les Bac technologiques", 243.0, "Bacheliers technologiques toutes séries", 199, "", 0, "Liste d'appel propre à cette formation", 33.0, "11956", "BUT - Gestion des entreprises et des administrations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11956&g_ta_cod=11956", 50.0, 50.0, 0.0),
(7593, "Public", "0840957J", "I.U.T. d'Avignon", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BUT", "I.U.T. d'Avignon - BUT - Génie biologique Parcours agronomie", "BUT - Production", "", 36, 1000, 562, 979, 0, 621, 69, 148, 22, 1, 1, 209, 21, 0, 11, 0, 10, 836, 6, 0, 0, 591, 60, 94, 7, 0, 0, 151, 251, 37, 17, 35, 2, 6.0, 25.0, 33.0, 0, 1, 32, 20, 12, 0, 5, 0, 2, 12, 12, 6, 0.0, 19, 11, 0, 0, 0, 14, 14, 16.22, 67.57, 89.19, 45.8984375, 43.796875, 43.796875, 0, 3.099609375, 86.5, 0.0, 6.2998046875, 37.5, 37.5, 18.8, 0.0, 62.5, 59.3984375, 37.5, 34.3984375, 0.0, 0.0, 158.0, 17.0, 0.0, 0.0, 32.0, "Tous les candidats sauf les Bac technologiques", 285.0, "Bacheliers technologiques toutes séries", 107, "", 0, "Liste d'appel propre à cette formation", 40.0, "10466", "BUT - Génie biologique Parcours agronomie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10466&g_ta_cod=10466", 57.0, 43.0, 0.0),
(7594, "Public", "0771940R", "Lycée polyvalent de Noisiel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Noisiel", "formation sélective", "BTS", "Lycée polyvalent de Noisiel - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 24, 307, 9, 301, 0, 4, 1, 39, 10, 175, 73, 83, 6, 0, 3, 0, 3, 180, 1, 0, 0, 4, 1, 37, 9, 97, 42, 42, 91, 24, 0, 23, 1, 10.0, 19.0, 20.0, 0, 8, 20, 0, 4, 16, 4, 0, 6, 7, 5, 2, 0.0, 0, 1, 13, 8, 0, 20, 20, 41.67, 79.17, 83.33, 0.0, 100.0, 100.0, 40, 40.0, 83.296875, 0.0, 30.0, 35.0, 25.0, 10.0, 0.0, 0.0, 0.0, 20.0, 5.0, 80.0, 65.0, 3.0, 1.0, 51.0, 21.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 43.0, "9855", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9855&g_ta_cod=9855", 0.0, 29.0, 71.0),
(7595, "Privé sous contrat d'association", "0690642Y", "Lycée ORT", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Lycée ORT - BTS - Services - Gestion de la PME", "BTS - Services", "", 20, 603, 371, 531, 0, 38, 5, 209, 66, 139, 55, 145, 72, 6, 24, 15, 27, 173, 8, 0, 0, 24, 2, 72, 15, 48, 12, 29, 103, 17, 10, 14, 2, 5.0, 11.0, 13.0, 0, 6, 14, 3, 6, 5, 3, 0, 8, 3, 3, 0, 0.0, 0, 1, 5, 1, 0, 9, 9, 29.41, 64.71, 76.47, 58.796875, 64.296875, 64.296875, 7.099609375, 42.8984375, 82.390625, 0.0, 57.09375, 21.3984375, 21.3984375, 0.0, 0.0, 21.3984375, 0.0, 42.8984375, 7.099609375, 35.6953125, 35.6953125, 15.0, 3.0, 25.0, 9.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers technologiques toutes séries", 71, "Bacheliers professionnels toutes séries", 41, "Liste d'appel propre à cette formation", 28.0, "23936", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23936&g_ta_cod=23936", 18.0, 47.0, 35.0),
(7596, "Public", "0691860X", "IUT Lyon1 Site de Villeurbanne Gratte-Ciel", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "BUT", "IUT Lyon1 Site de Villeurbanne Gratte-Ciel - BUT - Génie mécanique et productique Parcours : Innovation pour l'industrie - Simulation numérique et réalité virtuelle - Management de process industriel - Conception et production durables - Chargé d'affaires industrielles", "BUT - Production", "Innovation pour l'industrie - Simulation numérique et réalité virtuelle - Management de process industriel - Conception et production durables - Chargé d'affaires industrielles", 300, 4102, 421, 3952, 0, 2257, 293, 944, 167, 31, 14, 720, 150, 25, 43, 1, 81, 2339, 15, 0, 0, 1371, 142, 580, 88, 0, 0, 388, 1799, 262, 16, 255, 6, 116.0, 208.0, 258.0, 0, 42, 231, 130, 101, 0, 31, 0, 15, 150, 64, 2, 0.0, 120, 96, 0, 0, 0, 127, 127, 44.27, 79.39, 98.47, 6.099609375, 55.0, 55.0, 0, 18.19921875, 88.1875, 0.0, 6.5, 64.890625, 27.69921875, 0.9, 0.0, 56.296875, 51.8984375, 43.6953125, 41.59375, 0.0, 0.0, 971.0, 124.0, 0.0, 0.0, 311.0, "Tous les candidats sauf les Bac technologiques", 1711.0, "Bacheliers technologiques toutes séries", 625, "", 0, "Liste d'appel propre à cette formation", 59.0, "8492", "BUT - Génie mécanique et productique Parcours : Innovation pour l'industrie - Simulation numérique et réalité virtuelle - Management de process industriel - Conception et production durables - Chargé d'affaires industrielles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8492&g_ta_cod=8492", 58.0, 42.0, 0.0),
(7597, "Public", "0930830X", "Lycée Albert Schweitzer", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Le Raincy", "formation sélective", "CPGE", "Lycée Albert Schweitzer - CPGE - Lettres", "Classe préparatoire littéraire", "", 35, 225, 149, 203, 34, 155, 37, 1, 0, 2, 0, 45, 22, 14, 1, 1, 6, 146, 15, 3, 146, 140, 34, 0, 0, 0, 0, 6, 147, 21, 18, 17, 3, 11.0, 17.0, 21.0, 0, 5, 21, 21, 0, 0, 0, 0, 1, 5, 12, 3, 0.0, 20, 0, 0, 0, 0, 21, 21, 52.38, 80.95, 100.0, 85.6875, 100.0, 100.0, 0, 23.796875, 100.0, 0.0, 4.7998046875, 23.796875, 57.09375, 14.3, 0.0, 100.0, 95.1875, 0.0, 0.0, 0.0, 0.0, 142.0, 37.0, 0.0, 0.0, 5.0, "Tous les candidats", 146.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "11204", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11204&g_ta_cod=11204", 100.0, 0.0, 0.0),
(7598, "Public", "0600020W", "Lycée Marie Curie", "60", "Oise", "Hauts-de-France", "Amiens", "Nogent-sur-Oise", "formation sélective", "Autre formation", "Lycée Marie Curie - Mention complémentaire - Dispositif SAS - Préparation à l'apprentissage", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 6.0, 2.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30544", "Mention complémentaire - Dispositif SAS - Préparation à l'apprentissage", "", "", 0, 0, 0),
(7599, "Public", "6200190M", "Lycée agricole Sartene", "2A", "Corse du Sud", "Corse", "Corse", "Sartène", "formation sélective", "BTS", "Lycée agricole Sartene - BTS - Agricole - Gestion forestière", "BTS - Agricole", "", 10, 203, 49, 200, 0, 32, 8, 36, 12, 24, 4, 108, 3, 1, 0, 0, 2, 68, 1, 0, 0, 21, 5, 22, 5, 17, 3, 8, 40, 7, 0, 7, 0, 2.0, 7.0, 7.0, 0, 2, 5, 2, 2, 1, 2, 0, 1, 3, 1, 0, 0.0, 2, 1, 1, 0, 0, 1, 1, 28.57, 100.0, 100.0, 0.0, 20.0, 20.0, 0, 40.0, 71.390625, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 40.0, 40.0, 40.0, 20.0, 20.0, 20.0, 14.0, 4.0, 8.0, 1.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 32.0, "11686", "BTS - Agricole - Gestion forestière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11686&g_ta_cod=11686", 57.0, 29.0, 14.0),
(7600, "Public", "0875076V", "ILFOMER Institut limousin de formation aux métiers de la réadaptation", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Autre formation", "ILFOMER Institut limousin de formation aux métiers de la réadaptation - Certificat de capacité d'Orthoptiste", "D.E secteur sanitaire", "", 20, 225, 182, 225, 0, 54, 13, 6, 1, 0, 0, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "32681", "Certificat de capacité d'Orthoptiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32681&g_ta_cod=32681", 0, 0, 0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(7601, "Public", "0701052N", "Lycée Les Haberges", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Vesoul", "formation sélective", "BTS", "Lycée Les Haberges - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 138, 103, 126, 0, 7, 1, 40, 10, 35, 13, 44, 12, 0, 2, 6, 4, 97, 1, 0, 0, 7, 1, 40, 10, 35, 13, 15, 87, 17, 14, 14, 0, 3.0, 14.0, 16.0, 0, 4, 15, 0, 6, 9, 2, 0, 10, 4, 1, 0, 0.0, 0, 1, 4, 0, 0, 15, 15, 17.65, 82.35, 94.12, 82.390625, 100.0, 100.0, 0, 26.69921875, 88.1875, 0.0, 66.6875, 26.69921875, 6.69921875, 0.0, 0.0, 0.0, 0.0, 40.0, 6.69921875, 60.0, 26.69921875, 7.0, 1.0, 26.0, 9.0, 12.0, "Tous les candidats sauf les Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 77.0, "8607", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8607&g_ta_cod=8607", 6.0, 41.0, 53.0),
(7602, "Public", "0240025X", "Lycée Laure Gatet", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BTS", "Lycée Laure Gatet - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 775, 357, 762, 0, 55, 15, 94, 26, 80, 38, 533, 13, 0, 0, 8, 5, 230, 0, 0, 0, 49, 11, 73, 15, 65, 30, 43, 134, 29, 12, 29, 0, 5.0, 27.0, 27.0, 0, 7, 17, 0, 6, 11, 12, 0, 4, 6, 5, 2, 0.0, 0, 2, 11, 2, 2, 17, 17, 17.24, 93.1, 93.1, 41.3984375, 100.0, 100.0, 11.798828125, 41.1953125, 58.59375, 0.0, 23.5, 35.296875, 29.3984375, 11.8, 0.0, 0.0, 0.0, 35.296875, 11.798828125, 64.6875, 64.6875, 17.0, 4.0, 49.0, 23.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 21.0, "3426", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3426&g_ta_cod=3426", 28.0, 31.0, 41.0),
(7603, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 200, 1740, 1001, 1724, 0, 1033, 265, 218, 95, 39, 22, 434, 16, 0, 1, 2, 13, 1668, 14, 0, 0, 1033, 265, 218, 95, 39, 22, 378, 1049, 193, 102, 184, 9, 14.0, 141.0, 171.0, 0, 29, 135, 106, 27, 2, 58, 0, 78, 38, 16, 2, 1.0, 47, 9, 1, 0, 0, 100, 100, 7.25, 73.06, 88.6, 52.796875, 74.09375, 74.09375, 0, 21.5, 69.890625, 0.0, 57.796875, 28.09765625, 11.8984375, 1.5, 0.7, 78.5, 34.796875, 20.0, 6.69921875, 1.5, 0.699951171875, 770.0, 179.0, 14.0, 12.0, 186.0, "Tous les candidats", 1483.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "15116", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27256&g_ta_cod=15116", 71.0, 23.0, 6.0),
(7604, "Public", "0801955R", "Institut de Formation en Soins Infirmiers - EPSM de la Somme", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "IFSI", "Regroupement d'IFSI Université Amiens - D.E Infirmier", "D.E secteur sanitaire", "", 94, 3070, 2555, 3070, 0, 544, 129, 524, 144, 376, 140, 1626, 0, 0, 0, 0, 0, 2164, 0, 0, 0, 458, 106, 382, 97, 280, 97, 1044, 707, 94, 77, 94, 0, 2.0, 56.0, 83.0, 0, 5, 58, 15, 19, 24, 36, 0, 4, 20, 27, 7, 0.0, 14, 16, 24, 0, 0, 57, 57, 2.13, 59.57, 88.3, 81.890625, 98.296875, 98.296875, 0, 8.599609375, 61.6953125, 0.0, 6.8994140625, 34.5, 46.59375, 12.1, 0.0, 25.8984375, 24.09765625, 32.796875, 27.59765625, 41.3984375, 41.3984375, 151.0, 33.0, 92.0, 28.0, 338.0, "Tous les candidats", 2027.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "23082", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23008&g_ta_cod=23082", 46.0, 28.0, 27.0),
(7605, "Public", "0791062A", "Lycée de la Venise Verte", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BTS", "Lycée de la Venise Verte - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 24, 346, 31, 318, 0, 56, 10, 113, 27, 75, 16, 74, 28, 8, 1, 4, 15, 240, 3, 0, 0, 51, 9, 89, 21, 67, 14, 33, 127, 20, 1, 18, 2, 2.0, 15.0, 17.0, 0, 3, 13, 2, 8, 3, 7, 0, 5, 7, 1, 0, 0.0, 1, 4, 3, 1, 0, 9, 9, 10.0, 75.0, 85.0, 5.0, 69.1875, 69.1875, 7.69921875, 23.09765625, 65.0, 0.0, 38.5, 53.796875, 7.69921875, 0.0, 0.0, 15.3984375, 7.69921875, 61.5, 30.796875, 23.09765625, 23.09765625, 23.0, 4.0, 37.0, 9.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 56.0, "10135", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10135&g_ta_cod=10135", 30.0, 55.0, 15.0),
(7606, "Public", "0511026N", "Institut Universitaire de Technologie de Reims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BUT", "Institut Universitaire de Technologie de Reims - BUT - Mesures physiques", "BUT - Production", "", 50, 528, 120, 499, 0, 321, 26, 43, 9, 1, 0, 134, 29, 9, 0, 0, 20, 410, 16, 0, 0, 281, 18, 28, 4, 0, 0, 101, 266, 45, 12, 37, 8, 3.0, 36.0, 43.0, 0, 4, 27, 23, 4, 0, 18, 0, 6, 10, 11, 0, 0.0, 17, 4, 0, 0, 0, 19, 19, 6.67, 80.0, 95.56, 26.69921875, 70.390625, 70.390625, 0, 14.798828125, 60.0, 0.0, 22.19921875, 37.0, 40.6953125, 0.0, 0.0, 85.1875, 63.0, 14.798828125, 14.798828125, 0.0, 0.0, 156.0, 14.0, 0.0, 0.0, 90.0, "Tous les candidats sauf les Bac technologiques", 369.0, "Bacheliers technologiques toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 80.0, "6092", "BUT - Mesures physiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6092&g_ta_cod=6092", 89.0, 11.0, 0.0),
(7607, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Langues : Anglais - Espagnol - Programme International MINERVE", "Licence - Arts-lettres-langues", "Langues : Anglais - Espagnol - Programme International MINERVE", 119, 1151, 913, 1133, 0, 739, 200, 108, 49, 32, 20, 254, 18, 1, 2, 1, 14, 1133, 18, 0, 0, 739, 200, 108, 49, 32, 20, 254, 549, 122, 97, 113, 9, 20.0, 92.0, 104.0, 0, 32, 107, 84, 16, 7, 15, 0, 13, 50, 37, 7, 0.0, 77, 12, 5, 0, 0, 40, 40, 16.39, 75.41, 85.25, 79.5, 37.3984375, 37.3984375, 0, 29.8984375, 87.6875, 0.0, 12.099609375, 46.6953125, 34.59375, 6.5, 0.0, 78.5, 72.0, 15.0, 11.19921875, 6.5, 4.69921875, 397.0, 97.0, 15.0, 10.0, 89.0, "Tous les candidats", 754.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "19309", "Licence - Portail Langues : Anglais - Espagnol - Programme International MINERVE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19309&g_ta_cod=19309", 78.0, 15.0, 7.0),
(7608, "Public", "0910727W", "Lycée Parc de Vilgenis", "91", "Essonne", "Ile-de-France", "Versailles", "Massy", "formation sélective", "BTS", "Lycée Parc de Vilgenis - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 65, 2095, 236, 1309, 0, 108, 22, 345, 114, 358, 147, 498, 786, 107, 237, 0, 442, 405, 22, 0, 0, 10, 2, 73, 15, 217, 87, 105, 210, 62, 7, 49, 12, 19.0, 42.0, 58.0, 0, 15, 48, 2, 16, 30, 14, 0, 8, 18, 21, 1, 0.0, 1, 13, 26, 8, 0, 33, 47, 30.65, 67.74, 93.55, 11.298828125, 68.796875, 97.890625, 16.69921875, 31.296875, 77.390625, 0.0, 16.69921875, 37.5, 43.796875, 2.1, 0.0, 4.19921875, 2.099609375, 33.296875, 27.09765625, 62.5, 54.1953125, 14.0, 3.0, 87.0, 34.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 128, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 17.0, "10886", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10886&g_ta_cod=10886", 6.0, 37.0, 56.0),
(7609, "Public", "0670085D", "Lycée Louis Couffignal", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Louis Couffignal - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 15, 221, 27, 221, 0, 42, 5, 59, 6, 64, 7, 56, 0, 0, 0, 0, 0, 221, 0, 0, 0, 42, 5, 59, 6, 64, 7, 56, 67, 14, 0, 14, 0, 2.0, 9.0, 12.0, 0, 0, 8, 3, 1, 4, 6, 0, 3, 3, 2, 0, 0.0, 2, 1, 2, 1, 0, 6, 6, 14.29, 64.29, 85.71, 0.0, 75.0, 75.0, 12.5, 0.0, 57.09375, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 37.5, 25.0, 12.5, 12.5, 50.0, 25.0, 17.0, 1.0, 22.0, 5.0, 17.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 44.0, "7937", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7937&g_ta_cod=7937", 29.0, 36.0, 36.0),
(7610, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail Physique / Chimie / Sciences pour l'Ingénieur /  Sciences de la Terre", "Licence - Sciences - technologies - santé", "Physique / Chimie / Sciences pour l'Ingénieur /  Sciences de la Terre : Physique", 80, 738, 248, 668, 0, 481, 60, 21, 7, 2, 0, 164, 70, 27, 1, 0, 42, 662, 53, 0, 0, 481, 60, 21, 7, 2, 0, 158, 715, 52, 16, 41, 11, 41.0, 41.0, 48.0, 0, 5, 33, 31, 1, 1, 19, 2, 9, 15, 6, 1, 0.0, 21, 1, 0, 0, 0, 21, 21, 78.85, 78.85, 92.31, 30.796875, 63.59375, 63.59375, 0, 15.19921875, 63.5, 6.099609375, 27.296875, 45.5, 18.19921875, 3.0, 0.0, 93.890625, 63.59375, 3.0, 3.0, 3.0, 0.0, 507.0, 62.0, 2.0, 0.0, 185.0, "Tous les candidats", 1332.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "22795", "Licence - Portail Physique / Chimie / Sciences pour l'Ingénieur /  Sciences de la Terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20731&g_ta_cod=22795", 94.0, 4.0, 2.0),
(7611, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Histoire de l'art et archéologie", "Licence - Arts-lettres-langues", "", 235, 1949, 1342, 1843, 0, 1125, 214, 185, 33, 70, 30, 463, 106, 13, 11, 4, 78, 1843, 61, 0, 0, 1125, 214, 185, 33, 70, 30, 463, 1320, 220, 148, 190, 30, 52.0, 172.0, 191.0, 0, 29, 130, 100, 17, 13, 90, 0, 42, 59, 24, 5, 0.0, 68, 11, 9, 0, 0, 86, 86, 23.64, 78.18, 86.82, 67.296875, 66.1875, 66.1875, 0, 22.296875, 59.09375, 0.0, 32.296875, 45.3984375, 18.5, 3.8, 0.0, 76.890625, 52.296875, 13.099609375, 8.5, 10.0, 6.8994140625, 793.0, 154.0, 52.0, 23.0, 340.0, "Tous les candidats", 1841.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5578", "Licence - Histoire de l'art et archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5578&g_ta_cod=5578", 75.0, 14.0, 9.0),
(7612, "Public", "0440035Z", "Lycée professionnel Léonard de Vinci", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Lycée professionnel Léonard de Vinci - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 13, 84, 25, 84, 0, 2, 0, 16, 3, 48, 14, 18, 0, 0, 0, 0, 0, 84, 0, 0, 0, 2, 0, 16, 3, 48, 14, 18, 48, 12, 1, 12, 0, 1.0, 9.0, 10.0, 0, 3, 10, 1, 1, 8, 2, 0, 9, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 10, 10, 8.33, 75.0, 83.33, 8.298828125, 100.0, 100.0, 0, 30.0, 83.296875, 0.0, 90.0, 0.0, 10.0, 0.0, 0.0, 10.0, 0.0, 10.0, 0.0, 80.0, 10.0, 2.0, 0.0, 27.0, 9.0, 12.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "30625", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30625&g_ta_cod=30625", 25.0, 8.0, 67.0),
(7613, "Privé sous contrat d'association", "0442124V", "Ecole Sup. ENACOM", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Ecole Sup. ENACOM - BTS - Services - Commerce International", "BTS - Services", "", 35, 580, 311, 580, 0, 254, 34, 141, 24, 70, 19, 115, 0, 0, 0, 0, 0, 188, 0, 0, 0, 94, 9, 30, 5, 42, 13, 22, 68, 34, 26, 34, 0, 19.0, 34.0, 34.0, 0, 7, 26, 17, 5, 4, 8, 0, 1, 14, 9, 2, 0.0, 16, 5, 4, 0, 0, 20, 20, 55.88, 100.0, 100.0, 76.5, 76.890625, 76.890625, 0, 26.8984375, 76.5, 0.0, 3.7998046875, 53.796875, 34.59375, 7.7, 0.0, 65.390625, 61.5, 19.19921875, 19.19921875, 15.3984375, 15.3984375, 41.0, 7.0, 7.0, 2.0, 10.0, "Tous les candidats sauf les Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 13.0, "5622", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5622&g_ta_cod=5622", 71.0, 18.0, 12.0),
(7614, "Privé enseignement supérieur", "0592806E", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences - Licence - Portail Gestion - Parcours Gestion", "Licence - Droit-économie-gestion", "Parcours Gestion", 120, 895, 445, 796, 0, 686, 58, 24, 3, 1, 1, 85, 99, 31, 6, 0, 62, 753, 34, 0, 0, 668, 53, 13, 1, 0, 0, 72, 650, 83, 37, 68, 15, 36.0, 68.0, 80.0, 0, 4, 62, 62, 0, 0, 21, 0, 12, 36, 12, 2, 0.0, 50, 0, 0, 0, 0, 31, 31, 43.37, 81.93, 96.39, 44.59375, 50.0, 50.0, 0, 6.5, 74.6875, 0.0, 19.3984375, 58.09375, 19.3984375, 3.2, 0.0, 100.0, 80.59375, 0.0, 0.0, 0.0, 0.0, 566.0, 41.0, 0.0, 0.0, 73.0, "Tous les candidats", 756.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 94.0, "12457", "Licence - Portail Gestion - Parcours Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28575&g_ta_cod=12457", 100.0, 0.0, 0.0),
(7615, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence_Las", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Economie et gestion - Economie et management de la santé -  option Santé", "Licence - Droit-économie-gestion", "Economie et management de la santé", 35, 913, 592, 913, 0, 514, 141, 46, 20, 10, 6, 343, 0, 0, 0, 0, 0, 908, 0, 0, 0, 514, 141, 46, 20, 10, 6, 338, 208, 35, 24, 35, 0, 2.0, 15.0, 25.0, 0, 5, 17, 17, 0, 0, 18, 0, 2, 11, 4, 0, 0.0, 15, 0, 0, 0, 0, 11, 16, 5.71, 42.86, 71.43, 68.59375, 64.6875, 94.09375, 0, 29.3984375, 48.59375, 0.0, 11.798828125, 64.6875, 23.5, 0.0, 0.0, 100.0, 88.1875, 0.0, 0.0, 0.0, 0.0, 138.0, 37.0, 0.0, 0.0, 70.0, "Tous les candidats", 241.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "28450", "Licence - Economie et gestion - Economie et management de la santé -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28450&g_ta_cod=28450", 100.0, 0.0, 0.0),
(7616, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence_Las", "Université de Paris - Licence - Portail Physique", "Licence - Sciences - technologies - santé", "", 10, 1369, 649, 1369, 0, 934, 190, 11, 8, 4, 3, 420, 0, 0, 0, 0, 0, 1369, 0, 0, 0, 934, 190, 11, 8, 4, 3, 420, 179, 11, 6, 11, 0, 0.0, 0.0, 3.0, 0, 0, 3, 3, 0, 0, 8, 0, 0, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 0, 3, 0.0, 0.0, 27.27, 54.5, 0.0, 100.0, 0, 0.0, 27.296875, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 98.0, 16.0, 0.0, 0.0, 81.0, "Tous les candidats", 1199.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "32309", "Licence - Portail Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32308&g_ta_cod=32309", 100.0, 0.0, 0.0),
(7617, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 450, 4112, 3447, 4112, 0, 2197, 498, 510, 163, 137, 55, 1268, 0, 0, 0, 0, 0, 4110, 0, 0, 0, 2197, 498, 510, 163, 137, 55, 1266, 1457, 448, 363, 448, 0, 88.0, 365.0, 399.0, 0, 93, 337, 288, 41, 8, 111, 3, 138, 141, 47, 8, 0.0, 168, 23, 5, 0, 0, 272, 272, 19.64, 81.47, 89.06, 81.0, 80.6875, 80.6875, 0, 27.59765625, 75.1875, 0.89990234375, 40.8984375, 41.796875, 13.8984375, 2.4, 0.0, 85.5, 49.8984375, 12.19921875, 6.7998046875, 2.39990234375, 1.5, 1044.0, 240.0, 15.0, 6.0, 299.0, "Tous les candidats", 1984.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "7658", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26667&g_ta_cod=7658", 82.0, 14.0, 4.0),
(7618, "Public", "0340838B", "I.U.T de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "I.U.T de Montpellier - Diplôme d'Université - AccES", "Diplôme d'Université", "AccES", 28, 150, 79, 66, 0, 22, 5, 26, 10, 1, 1, 17, 84, 10, 24, 3, 47, 53, 42, 0, 0, 20, 3, 18, 4, 0, 0, 15, 98, 23, 11, 4, 17, 1.0, 5.0, 16.0, 0, 1, 14, 7, 6, 1, 9, 0, 10, 2, 2, 0, 0.0, 1, 2, 1, 0, 0, 10, 10, 4.35, 21.74, 69.57, 47.796875, 71.390625, 71.390625, 0, 7.099609375, 60.8984375, 0.0, 71.390625, 14.298828125, 14.298828125, 0.0, 0.0, 50.0, 7.099609375, 42.8984375, 14.298828125, 7.099609375, 7.099609375, 27.0, 3.0, 1.0, 0.0, 37.0, "Tous les candidats", 53.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "30667", "Diplôme d'Université - AccES", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30667&g_ta_cod=30667", 52.0, 35.0, 9.0),
(7619, "Public", "0130065A", "Lycée professionnel des Métiers LA VISTE", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 15e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel des Métiers LA VISTE - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18, 3, 3, 0, 0, 0.0, 0.0, 0.0, 0, 3, 3, 0, 1, 2, 0, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 3, 3, 0.0, 0.0, 0.0, 100.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 11.0, 6.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22353", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 33.0, 67.0),
(7620, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Droit / Philosophie - Double Licence : Droit et Philosophie", "Licence - Droit-économie-gestion", "Double Licence : Droit et Philosophie", 42, 855, 636, 855, 0, 645, 137, 25, 9, 12, 4, 173, 0, 0, 0, 0, 0, 559, 0, 0, 0, 438, 71, 2, 0, 0, 0, 119, 209, 42, 37, 42, 0, 4.0, 29.0, 39.0, 0, 10, 35, 35, 0, 0, 7, 0, 0, 5, 15, 14, 1.0, 35, 0, 0, 0, 0, 9, 9, 9.52, 69.05, 92.86, 88.09375, 25.69921875, 25.69921875, 0, 28.59765625, 83.296875, 0.0, 0.0, 14.298828125, 42.8984375, 40.0, 2.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 159.0, 39.0, 0.0, 0.0, 50.0, "Tous les candidats", 322.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "18353", "Double licence - Droit / Philosophie - Double Licence : Droit et Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18353&g_ta_cod=18353", 100.0, 0.0, 0.0),
(7621, "Public", "0370770L", "Institut Universitaire de Technologie de TOURS", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BUT", "Institut Universitaire de Technologie de TOURS - BUT - Information communication Parcours information numérique dans les organisations", "BUT - Service", "", 28, 574, 334, 548, 0, 312, 35, 101, 24, 5, 2, 130, 26, 0, 18, 0, 8, 57, 1, 0, 0, 39, 4, 9, 1, 1, 1, 8, 49, 27, 17, 26, 0, 18.0, 25.0, 26.0, 0, 3, 24, 18, 6, 0, 3, 0, 3, 10, 9, 2, 0.0, 17, 4, 0, 0, 0, 13, 13, 66.67, 92.59, 96.3, 63.0, 54.1953125, 54.1953125, 0, 12.5, 88.890625, 0.0, 12.5, 41.6953125, 37.5, 8.3, 0.0, 75.0, 70.796875, 25.0, 16.69921875, 0.0, 0.0, 31.0, 4.0, 1.0, 1.0, 4.0, "Tous les candidats sauf les Bac technologiques", 45.0, "Bacheliers technologiques toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 10.0, "4872", "BUT - Information communication Parcours information numérique dans les organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4872&g_ta_cod=4872", 74.0, 26.0, 0.0),
(7622, "Privé sous contrat d'association", "0312061X", "Lycée de la photographie - ETPA", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Auzeville-Tolosane", "formation sélective", "BTS", "Lycée de la photographie - ETPA - BTS - Services - Photographie", "BTS - Services", "", 30, 546, 313, 546, 0, 230, 61, 78, 15, 68, 16, 170, 0, 0, 0, 0, 0, 546, 0, 0, 0, 230, 61, 78, 15, 68, 16, 170, 105, 30, 16, 30, 0, 10.0, 27.0, 27.0, 0, 5, 26, 19, 3, 4, 4, 0, 3, 17, 5, 1, 0.0, 16, 3, 4, 0, 0, 5, 5, 33.33, 90.0, 90.0, 53.296875, 19.19921875, 19.19921875, 0, 19.19921875, 86.6875, 0.0, 11.5, 65.390625, 19.19921875, 3.8, 0.0, 73.09375, 61.5, 11.5, 11.5, 15.3984375, 15.3984375, 59.0, 14.0, 25.0, 4.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 21.0, "4206", "BTS - Services - Photographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4206&g_ta_cod=4206", 73.0, 10.0, 17.0),
(7623, "Public", "0910727W", "Lycée Parc de Vilgenis", "91", "Essonne", "Ile-de-France", "Versailles", "Massy", "formation sélective", "BTS", "Lycée Parc de Vilgenis - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 30, 454, 64, 454, 0, 42, 14, 100, 25, 138, 63, 174, 0, 0, 0, 0, 0, 291, 0, 0, 0, 40, 13, 67, 16, 115, 49, 69, 112, 30, 1, 30, 0, 7.0, 26.0, 26.0, 0, 9, 21, 2, 7, 12, 9, 0, 7, 8, 6, 0, 0.0, 0, 3, 11, 4, 0, 19, 21, 23.33, 86.67, 86.67, 3.2998046875, 90.5, 100.0, 19, 42.8984375, 70.0, 0.0, 33.296875, 38.09375, 28.59765625, 0.0, 0.0, 9.5, 0.0, 33.296875, 14.298828125, 57.09375, 52.3984375, 17.0, 6.0, 30.0, 10.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 31.0, "10877", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10877&g_ta_cod=10877", 17.0, 43.0, 40.0),
(7624, "Privé sous contrat d'association", "0572341K", "Lycée Jean XXIII", "57", "Moselle", "Grand Est", "Nancy-Metz", "Montigny-lès-Metz", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 5, 192, 67, 192, 0, 0, 0, 0, 0, 0, 0, 192, 0, 0, 0, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 168, 161, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 161.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "31127", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=31127", 0, 0, 0),
(7625, "Privé enseignement supérieur", "0851689Z", "AUDENCIA BUSINESS SCHOOL - LA ROCHE SUR YON", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "Ecole de Commerce", "Audencia Business School - Formation des écoles de commerce et de management Bac + 3 - Programme de  gestion - Bachelor de gestion et de management", "Formation des écoles de commerce et de management", "Programme de  gestion - Bachelor de gestion et de management", 70, 470, 191, 459, 0, 387, 10, 35, 0, 3, 0, 34, 11, 2, 1, 1, 7, 374, 2, 0, 0, 323, 6, 26, 0, 3, 0, 22, 356, 16, 6, 16, 0, 10.0, 16.0, 16.0, 0, 0, 13, 12, 1, 0, 3, 0, 3, 7, 1, 2, 0.0, 9, 1, 0, 0, 0, 11, 11, 62.5, 100.0, 100.0, 37.5, 84.59375, 84.59375, 0, 0.0, 81.296875, 0.0, 23.09765625, 53.796875, 7.69921875, 15.4, 0.0, 92.296875, 69.1875, 7.69921875, 7.69921875, 0.0, 0.0, 305.0, 6.0, 3.0, 0.0, 24.0, "Tous les candidats", 863.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 81.0, "29110", "Formation des écoles de commerce et de management Bac + 3 - Programme de  gestion - Bachelor de gestion et de management", "Audencia Business School", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26095&g_ta_cod=29110", 88.0, 13.0, 0.0),
(7626, "Privé enseignement supérieur", "0312421N", "ICAM Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Ecole d'Ingénieur", "GROUPE ICAM - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "", 96, 1415, 257, 1403, 0, 1243, 40, 23, 3, 0, 0, 137, 12, 5, 0, 0, 7, 836, 2, 0, 0, 788, 22, 0, 0, 0, 0, 48, 630, 88, 18, 86, 2, 46.0, 84.0, 88.0, 0, 3, 82, 82, 0, 0, 6, 0, 1, 23, 49, 8, 1.0, 81, 0, 0, 0, 0, 43, 43, 52.27, 95.45, 100.0, 20.5, 52.3984375, 52.3984375, 0, 3.69970703125, 93.1875, 0.0, 1.199951171875, 28.0, 59.796875, 9.8, 1.2, 100.0, 98.796875, 0.0, 0.0, 0.0, 0.0, 591.0, 16.0, 0.0, 0.0, 39.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "24665", "Formation d'ingénieur Bac + 5", "GROUPE ICAM", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24652&g_ta_cod=24665", 100.0, 0.0, 0.0),
(7627, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Russe disciplinaire", "Licence - Arts-lettres-langues", "Russe disciplinaire", 50, 60, 36, 39, 0, 19, 8, 2, 1, 3, 1, 15, 21, 3, 0, 2, 16, 39, 18, 0, 0, 19, 8, 2, 1, 3, 1, 15, 57, 13, 6, 10, 3, 10.0, 10.0, 11.0, 0, 4, 8, 5, 1, 2, 5, 0, 5, 2, 1, 0, 0.0, 2, 1, 0, 0, 0, 7, 7, 76.92, 76.92, 84.62, 46.1953125, 87.5, 87.5, 0, 50.0, 61.5, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 62.5, 25.0, 12.5, 12.5, 25.0, 0.0, 22.0, 10.0, 5.0, 3.0, 28.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7640", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Russe disciplinaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7640&g_ta_cod=7640", 62.0, 8.0, 23.0),
(7628, "Public", "0350097R", "INSA Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Ecole d'Ingénieur", "Groupe INSA - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 220, 14203, 4158, 14203, 0, 12826, 926, 0, 0, 0, 0, 1377, 0, 0, 0, 0, 0, 10568, 0, 0, 0, 9587, 621, 0, 0, 0, 0, 981, 2271, 216, 66, 216, 0, 85.0, 162.0, 198.0, 0, 25, 213, 213, 0, 0, 3, 0, 0, 1, 44, 151, 17.0, 213, 0, 0, 0, 0, 86, 86, 39.35, 75.0, 91.67, 30.59765625, 40.3984375, 40.3984375, 0, 11.69921875, 98.59375, 0.0, 0.0, 0.5, 20.69921875, 70.9, 8.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 2118.0, 173.0, 0.0, 0.0, 153.0, "Tous les candidats", 4509.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "60", "Formation d'ingénieur Bac + 5 - Bac Général", "Groupe INSA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=57&g_ta_cod=60", 100.0, 0.0, 0.0),
(7629, "Public", "0250010A", "Lycée Louis Pergaud", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Louis Pergaud - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 30, 554, 496, 554, 0, 69, 15, 137, 54, 192, 65, 156, 0, 0, 0, 0, 0, 336, 0, 0, 0, 54, 10, 126, 49, 119, 34, 37, 147, 29, 28, 29, 0, 4.0, 18.0, 24.0, 0, 8, 21, 6, 10, 5, 8, 0, 10, 6, 5, 0, 0.0, 1, 6, 4, 3, 3, 19, 19, 13.79, 62.07, 82.76, 96.59375, 90.5, 90.5, 14.298828125, 38.09375, 72.390625, 0.0, 47.59375, 28.59765625, 23.796875, 0.0, 0.0, 28.59765625, 4.7998046875, 47.59375, 28.59765625, 23.796875, 19.0, 37.0, 9.0, 50.0, 16.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 33.0, "3463", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3463&g_ta_cod=3463", 34.0, 34.0, 31.0),
(7630, "Public", "0782132U", "Lycée Jeanne D'Albret", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "CPGE", "Lycée Jeanne D'Albret - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 1517, 433, 1517, 957, 1215, 140, 2, 1, 0, 0, 300, 0, 0, 0, 0, 0, 859, 0, 579, 823, 857, 69, 0, 0, 0, 0, 2, 412, 47, 11, 47, 0, 5.0, 29.0, 41.0, 20, 3, 47, 47, 0, 0, 0, 0, 0, 1, 25, 21, 0.0, 47, 0, 0, 1, 0, 43, 44, 10.64, 61.7, 87.23, 23.3984375, 91.5, 93.59375, 2.099609375, 6.3994140625, 100.0, 0.0, 0.0, 2.099609375, 53.1953125, 44.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 412.0, 46.0, 0.0, 0.0, 0.0, "Tous les candidats", 488.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "10021", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10021&g_ta_cod=10021", 100.0, 0.0, 0.0),
(7631, "Privé sous contrat d'association", "0511645L", "LYCEE LASALLE REIMS-THILLOIS", "51", "Marne", "Grand Est", "Reims", "Thillois", "formation sélective", "BTS", "LYCEE LASALLE REIMS-THILLOIS - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 38, 246, 135, 239, 0, 47, 7, 60, 7, 25, 6, 107, 7, 0, 2, 0, 5, 161, 1, 0, 0, 47, 7, 54, 7, 25, 6, 35, 135, 26, 18, 26, 0, 10.0, 24.0, 26.0, 0, 4, 21, 7, 8, 6, 5, 0, 10, 8, 2, 1, 0.0, 1, 6, 4, 4, 3, 15, 15, 38.46, 92.31, 100.0, 69.1875, 71.390625, 71.390625, 19, 19.0, 80.796875, 0.0, 47.59375, 38.09375, 9.5, 4.8, 0.0, 33.296875, 4.7998046875, 38.09375, 28.59765625, 28.59765625, 19.0, 44.0, 7.0, 18.0, 3.0, 25.0, "Tous les candidats sauf les Bac professionnels", 132.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 66.0, "6145", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6145&g_ta_cod=6145", 46.0, 31.0, 23.0),
(7632, "Public", "0310098N", "Centre de Ressources, d'Expertise et de Performance Sportive de Toulouse (CREPS)", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "CREPS de Toulouse - BPJEPS - Activités physiques pour tous / Activités sports collectifs", "BPJEPS", "", 6, 381, 71, 381, 0, 95, 16, 90, 23, 89, 35, 107, 0, 0, 0, 0, 0, 15, 0, 0, 0, 6, 0, 6, 2, 1, 0, 2, 9, 5, 2, 5, 0, 4.0, 5.0, 5.0, 0, 1, 4, 2, 2, 0, 1, 0, 3, 0, 1, 0, 0.0, 0, 1, 0, 0, 0, 3, 3, 80.0, 100.0, 100.0, 40.0, 75.0, 75.0, 0, 25.0, 80.0, 0.0, 75.0, 0.0, 25.0, 0.0, 0.0, 50.0, 0.0, 50.0, 25.0, 0.0, 0.0, 3.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "23884", "BPJEPS - Activités physiques pour tous / Activités sports collectifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23884&g_ta_cod=23884", 60.0, 40.0, 0.0),
(7633, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Lettres - Parcours Lettres Classiques", "Licence - Arts-lettres-langues", "Lettres Classiques", 10, 82, 68, 59, 0, 34, 8, 1, 1, 3, 1, 21, 23, 3, 0, 1, 19, 59, 16, 0, 0, 34, 8, 1, 1, 3, 1, 21, 52, 6, 5, 2, 4, 0.0, 2.0, 4.0, 0, 1, 1, 1, 0, 0, 5, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 33.33, 66.67, 83.296875, 100.0, 100.0, 0, 100.0, 16.69921875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 25.0, 6.0, 2.0, 1.0, 25.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "30914", "Licence - Lettres - Parcours Lettres Classiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30914&g_ta_cod=30914", 83.0, 0.0, 0.0),
(7634, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Lettres - Parcours Lettres (Enseignement à Distance)", "Licence - Arts-lettres-langues", "Lettres (Enseignement à Distance)", 150, 553, 421, 195, 0, 60, 21, 9, 1, 1, 0, 125, 358, 23, 3, 4, 328, 192, 350, 0, 0, 60, 21, 9, 1, 1, 0, 122, 542, 140, 109, 25, 115, 23.0, 24.0, 78.0, 0, 2, 9, 8, 1, 0, 131, 0, 3, 3, 2, 1, 0.0, 6, 0, 0, 0, 0, 5, 5, 16.43, 17.14, 55.71, 77.890625, 55.59375, 55.59375, 0, 22.19921875, 6.3994140625, 0.0, 33.296875, 33.296875, 22.19921875, 11.1, 0.0, 88.890625, 66.6875, 11.099609375, 0.0, 0.0, 0.0, 83.0, 27.0, 5.0, 2.0, 442.0, "Tous les candidats", 192.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "9695", "Licence - Lettres - Parcours Lettres (Enseignement à Distance)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9695&g_ta_cod=9695", 73.0, 12.0, 8.0),
(7635, "Privé sous contrat d'association", "0110942P", "CPFP La Rouatière", "11", "Aude", "Occitanie", "Montpellier", "Souilhanels", "formation sélective", "EFTS", "CPFP La Rouatière - D.E Educateur Spécialisé", "D.E secteur social", "", 20, 121, 98, 121, 0, 11, 1, 29, 10, 9, 3, 72, 0, 0, 0, 0, 0, 68, 0, 0, 0, 8, 1, 15, 4, 4, 3, 41, 43, 24, 18, 24, 0, 9.0, 20.0, 24.0, 0, 4, 12, 4, 5, 3, 12, 0, 3, 6, 1, 2, 0.0, 4, 2, 3, 0, 0, 5, 5, 37.5, 83.33, 100.0, 75.0, 41.6953125, 41.6953125, 0, 33.296875, 50.0, 0.0, 25.0, 50.0, 8.298828125, 16.7, 0.0, 33.296875, 33.296875, 41.6953125, 16.69921875, 25.0, 25.0, 4.0, 1.0, 3.0, 2.0, 30.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "24815", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24815&g_ta_cod=24815", 38.0, 33.0, 25.0),
(7636, "Public", "0420957M", "I.U.T de Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BUT", "I.U.T de Saint-Etienne - BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "BUT - Production", "", 73, 1678, 847, 1677, 0, 1070, 123, 229, 48, 4, 3, 374, 1, 0, 0, 0, 1, 1260, 0, 0, 0, 867, 92, 144, 23, 0, 0, 249, 466, 73, 24, 73, 0, 6.0, 42.0, 65.0, 0, 9, 68, 49, 19, 0, 5, 0, 8, 31, 22, 7, 0.0, 43, 17, 0, 0, 0, 29, 29, 8.22, 57.53, 89.04, 32.8984375, 42.59375, 42.59375, 0, 13.19921875, 93.1875, 0.0, 11.798828125, 45.59375, 32.3984375, 10.3, 0.0, 72.09375, 63.1953125, 27.8984375, 25.0, 0.0, 0.0, 299.0, 36.0, 0.0, 0.0, 81.0, "Tous les candidats sauf les Bac technologiques", 652.0, "Bacheliers technologiques toutes séries", 156, "", 0, "Liste d'appel propre à cette formation", 48.0, "5309", "BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5309&g_ta_cod=5309", 73.0, 27.0, 0.0),
(7637, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence_Las", "Université d'Orléans - Licence - Portail 16 - Sciences de la vie - Chimie -  option Santé", "Licence - Sciences - technologies - santé", "16 - Sciences de la vie - Chimie", 120, 1022, 734, 1022, 0, 707, 151, 65, 16, 5, 2, 245, 0, 0, 0, 0, 0, 1011, 0, 0, 0, 707, 151, 65, 16, 5, 2, 234, 536, 118, 79, 118, 0, 5.0, 66.0, 101.0, 0, 23, 97, 94, 3, 0, 21, 1, 24, 50, 21, 1, 0.0, 70, 2, 0, 0, 0, 91, 91, 4.24, 55.93, 85.59, 66.890625, 93.796875, 93.796875, 0, 23.69921875, 82.1875, 1.0, 24.69921875, 51.5, 21.59765625, 1.0, 0.0, 96.890625, 72.1875, 3.099609375, 2.099609375, 0.0, 0.0, 425.0, 89.0, 0.0, 0.0, 97.0, "Tous les candidats", 599.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "27796", "Licence - Portail 16 - Sciences de la vie - Chimie -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28318&g_ta_cod=27796", 97.0, 3.0, 0.0),
(7638, "Public", "0680016Y", "Lycée Theodore Deck", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Guebwiller", "formation sélective", "BTS", "Lycée Theodore Deck - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 329, 24, 315, 0, 7, 1, 45, 14, 97, 37, 166, 14, 1, 5, 1, 7, 134, 4, 0, 0, 7, 1, 39, 11, 81, 27, 7, 104, 20, 0, 18, 1, 3.0, 12.0, 17.0, 0, 9, 18, 1, 2, 15, 2, 0, 6, 7, 4, 1, 0.0, 0, 1, 11, 2, 0, 18, 18, 15.0, 60.0, 85.0, 0.0, 100.0, 100.0, 11.099609375, 50.0, 90.0, 0.0, 33.296875, 38.8984375, 22.19921875, 5.6, 0.0, 5.599609375, 0.0, 11.099609375, 5.599609375, 83.296875, 61.09375, 8.0, 2.0, 58.0, 16.0, 7.0, "Tous les candidats sauf les Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 68, "", 0, "Liste d'appel propre à cette formation", 38.0, "8095", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8095&g_ta_cod=8095", 10.0, 15.0, 75.0),
(7639, "Public", "9710884J", "Lycée de Raoul Georges NICOLO", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "BTS", "Lycée de Raoul Georges NICOLO - BTS - Production - Management économique de la construction", "BTS - Production", "", 16, 83, 25, 62, 0, 9, 6, 11, 4, 22, 11, 20, 21, 1, 8, 6, 6, 46, 4, 0, 0, 9, 6, 11, 4, 22, 11, 4, 42, 14, 3, 12, 2, 4.0, 11.0, 11.0, 0, 5, 11, 5, 1, 5, 3, 0, 7, 2, 2, 0, 0.0, 1, 1, 2, 1, 0, 10, 10, 28.57, 78.57, 78.57, 21.3984375, 90.890625, 90.890625, 9.099609375, 45.5, 78.59375, 0.0, 63.59375, 18.19921875, 18.19921875, 0.0, 0.0, 45.5, 9.099609375, 9.099609375, 9.099609375, 45.5, 18.19921875, 9.0, 6.0, 17.0, 10.0, 5.0, "Tous les candidats sauf les Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 73.0, "11758", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11758&g_ta_cod=11758", 50.0, 7.0, 43.0),
(7640, "Public", "0772243V", "Lycée Camille Claudel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Pontault-Combault", "formation sélective", "BTS", "Lycée Camille Claudel - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 519, 209, 369, 0, 29, 7, 153, 56, 83, 33, 104, 150, 34, 0, 0, 116, 209, 4, 0, 0, 1, 1, 104, 39, 65, 23, 39, 121, 34, 11, 32, 2, 8.0, 29.0, 29.0, 0, 4, 24, 2, 13, 9, 10, 0, 9, 11, 3, 1, 0.0, 0, 9, 6, 6, 1, 24, 24, 23.53, 85.29, 85.29, 32.3984375, 100.0, 100.0, 25, 16.69921875, 70.59375, 0.0, 37.5, 45.796875, 12.5, 4.2, 0.0, 8.298828125, 0.0, 54.1953125, 37.5, 37.5, 25.0, 7.0, 1.0, 32.0, 10.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 35.0, "9881", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9881&g_ta_cod=9881", 15.0, 41.0, 44.0),
(7641, "Privé sous contrat d'association", "0133425C", "Lycée Celony", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée Celony - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 18, 456, 205, 425, 0, 42, 7, 186, 39, 128, 33, 69, 31, 4, 11, 0, 16, 202, 10, 0, 0, 28, 6, 78, 15, 89, 25, 7, 103, 10, 5, 9, 1, 0.0, 6.0, 7.0, 0, 1, 9, 0, 5, 4, 1, 0, 3, 5, 1, 0, 0.0, 0, 3, 3, 4, 3, 9, 9, 0.0, 60.0, 70.0, 50.0, 100.0, 100.0, 44.3984375, 11.099609375, 90.0, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 0.0, 0.0, 55.59375, 33.296875, 44.3984375, 33.296875, 16.0, 3.0, 34.0, 10.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 27.0, "22964", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22964&g_ta_cod=22964", 10.0, 50.0, 40.0),
(7642, "Public", "0470020S", "Lycée Val De Garonne", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Marmande", "formation sélective", "BTS", "Lycée Val De Garonne - BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "BTS - Production", "", 15, 50, 4, 46, 0, 1, 1, 2, 1, 32, 11, 11, 4, 0, 2, 2, 0, 31, 2, 0, 0, 1, 1, 2, 1, 27, 11, 1, 26, 8, 0, 8, 0, 6.0, 8.0, 8.0, 0, 4, 8, 0, 0, 8, 0, 0, 2, 4, 2, 0, 0.0, 0, 0, 6, 4, 0, 7, 7, 75.0, 100.0, 100.0, 0.0, 87.5, 87.5, 50, 50.0, 100.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 1.0, 1.0, 20.0, 9.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 3, "Liste d'appel propre à cette formation", 67.0, "5778", "BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5778&g_ta_cod=5778", 0.0, 0.0, 100.0),
(7643, "Public", "9741180P", "I.U.T de la Réunion", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BUT", "I.U.T de la Réunion - BUT - Carrières sociales Parcours assistance sociale", "BUT - Service", "", 27, 611, 533, 602, 0, 202, 106, 221, 138, 27, 15, 152, 9, 1, 0, 0, 8, 145, 3, 0, 0, 48, 23, 60, 38, 8, 6, 29, 85, 26, 25, 25, 1, 2.0, 18.0, 22.0, 0, 11, 20, 8, 11, 1, 6, 0, 3, 11, 4, 2, 0.0, 7, 9, 1, 0, 0, 20, 20, 7.69, 69.23, 84.62, 96.1875, 100.0, 100.0, 0, 55.0, 76.890625, 0.0, 15.0, 55.0, 20.0, 10.0, 0.0, 40.0, 35.0, 55.0, 45.0, 5.0, 5.0, 23.0, 13.0, 4.0, 3.0, 21.0, "Tous les candidats sauf les Bac technologiques", 59.0, "Bacheliers technologiques toutes séries", 71, "", 0, "Liste d'appel propre à cette formation", 21.0, "11957", "BUT - Carrières sociales Parcours assistance sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11957&g_ta_cod=11957", 46.0, 50.0, 4.0),
(7644, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence_Las", "Université de Rennes 1 - Licence - Portail Portail Biologie Environnement Chimie du vivant", "Licence - Sciences - technologies - santé", "Portail Biologie Environnement Chimie du vivant", 200, 2920, 2089, 2920, 0, 2032, 254, 86, 21, 8, 3, 794, 0, 0, 0, 0, 0, 2912, 0, 0, 0, 2032, 254, 86, 21, 8, 3, 786, 1144, 192, 133, 192, 0, 5.0, 97.0, 162.0, 0, 22, 165, 158, 7, 0, 27, 0, 17, 82, 58, 8, 0.0, 141, 7, 0, 0, 0, 159, 159, 2.6, 50.52, 84.38, 69.296875, 96.390625, 96.390625, 0, 13.298828125, 85.890625, 0.0, 10.298828125, 49.6953125, 35.1953125, 4.8, 0.0, 95.796875, 85.5, 4.19921875, 4.19921875, 0.0, 0.0, 876.0, 108.0, 0.0, 0.0, 241.0, "Tous les candidats", 2341.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 53.0, "27346", "Licence - Portail Portail Biologie Environnement Chimie du vivant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27345&g_ta_cod=27346", 94.0, 6.0, 0.0),
(7645, "Privé sous contrat d'association", "0291842V", "Maison familiale rurale de RUMENGOL", "29", "Finistère", "Bretagne", "Rennes", "Le Faou", "formation sélective", "BTS", "Maison familiale rurale de RUMENGOL - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 40, 34, 20, 33, 0, 2, 1, 7, 2, 16, 2, 8, 1, 0, 0, 1, 0, 26, 1, 0, 0, 1, 0, 7, 2, 15, 2, 3, 27, 10, 6, 9, 1, 9.0, 9.0, 10.0, 0, 2, 8, 0, 2, 6, 2, 0, 4, 3, 1, 0, 0.0, 0, 1, 3, 3, 2, 8, 8, 90.0, 90.0, 100.0, 60.0, 100.0, 100.0, 37.5, 25.0, 80.0, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 0.0, 0.0, 25.0, 12.5, 75.0, 37.5, 1.0, 0.0, 16.0, 3.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 79.0, "3904", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3904&g_ta_cod=3904", 10.0, 20.0, 70.0),
(7646, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 3 Paul Sabatier - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et Techniques des Activités Physiques et Sportives (STAPS)", "Licence - Sciences - technologies - santé", "Sciences et Techniques des Activités Physiques et Sportives (STAPS)", 482, 6137, 1967, 6137, 0, 3876, 620, 708, 158, 147, 60, 1406, 0, 0, 0, 0, 0, 6137, 0, 0, 0, 3876, 620, 708, 158, 147, 60, 1406, 1341, 473, 147, 472, 0, 116.0, 359.0, 409.0, 0, 93, 366, 313, 36, 17, 107, 3, 93, 165, 92, 13, 0.0, 238, 23, 9, 0, 0, 315, 315, 24.52, 75.9, 86.47, 31.09765625, 86.09375, 86.09375, 0, 25.3984375, 77.390625, 0.7999267578125, 25.3984375, 45.09375, 25.09765625, 3.6, 0.0, 85.5, 65.0, 9.798828125, 6.2998046875, 4.599609375, 2.5, 773.0, 154.0, 32.0, 18.0, 473.0, "Tous les candidats", 1344.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "4182", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et Techniques des Activités Physiques et Sportives (STAPS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27530&g_ta_cod=4182", 85.0, 11.0, 5.0),
(7647, "Public", "0450051L", "Lycée BENJAMIN FRANKLIN", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée BENJAMIN FRANKLIN - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 175, 18, 151, 0, 10, 2, 48, 10, 60, 19, 33, 24, 0, 7, 6, 11, 94, 1, 0, 0, 9, 2, 42, 8, 38, 10, 5, 59, 11, 0, 10, 1, 3.0, 10.0, 11.0, 0, 1, 11, 1, 5, 5, 0, 0, 5, 4, 0, 2, 0.0, 0, 1, 5, 3, 0, 9, 9, 27.27, 90.91, 100.0, 0.0, 81.796875, 81.796875, 27.296875, 9.099609375, 100.0, 0.0, 45.5, 36.3984375, 0.0, 18.2, 0.0, 9.099609375, 0.0, 45.5, 9.099609375, 45.5, 45.5, 6.0, 1.0, 25.0, 8.0, 4.0, "Tous les candidats sauf les Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 62.0, "5659", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5659&g_ta_cod=5659", 9.0, 45.0, 45.0),
(7648, "Privé sous contrat d'association", "9741255W", "Lycée Catholique St Charles", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BTS", "Lycée Catholique St Charles - BTS - Services - Tourisme", "BTS - Services", "", 24, 222, 159, 222, 0, 78, 24, 58, 33, 22, 12, 64, 0, 0, 0, 0, 0, 209, 0, 0, 0, 78, 24, 57, 33, 18, 10, 56, 89, 24, 20, 24, 0, 6.0, 19.0, 21.0, 0, 9, 17, 9, 4, 4, 7, 0, 3, 9, 4, 1, 0.0, 8, 2, 4, 1, 1, 15, 15, 25.0, 79.17, 87.5, 83.296875, 88.1875, 88.1875, 5.8994140625, 52.8984375, 70.796875, 0.0, 17.59765625, 52.8984375, 23.5, 5.9, 0.0, 52.8984375, 47.09375, 23.5, 11.798828125, 23.5, 23.5, 39.0, 10.0, 10.0, 7.0, 24.0, "Tous les candidats sauf les Bac professionnels", 89.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 46.0, "26230", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26230&g_ta_cod=26230", 63.0, 21.0, 17.0),
(7649, "Privé enseignement supérieur", "0701045F", "IMEA Vesoul", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Vesoul", "formation sélective", "Autre formation", "IMEA Vesoul - Formation professionnelle - Gestionnaire d'unité commerciale (option généraliste / option spécialisée) (bac +2)", "Formation professionnelle", "", 15, 20, 9, 16, 0, 1, 0, 3, 0, 10, 5, 2, 4, 0, 0, 4, 0, 6, 2, 0, 0, 0, 0, 1, 0, 3, 1, 2, 8, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 5.0, 1.0, 2.0, "Tous les candidats", 6.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "18697", "Formation professionnelle - Gestionnaire d'unité commerciale (option généraliste / option spécialisée) (bac +2)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18697&g_ta_cod=18697", 0.0, 0.0, 100.0),
(7650, "Public", "0840015K", "Lycée Jean Henri Fabre", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Carpentras", "formation sélective", "BTS", "Lycée Jean Henri Fabre - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 67, 8, 67, 0, 3, 0, 30, 5, 21, 5, 13, 0, 0, 0, 0, 0, 53, 0, 0, 0, 2, 0, 25, 4, 21, 5, 5, 40, 14, 1, 14, 0, 5.0, 14.0, 14.0, 0, 4, 14, 0, 6, 8, 0, 0, 8, 0, 4, 2, 0.0, 0, 0, 6, 9, 0, 11, 11, 35.71, 100.0, 100.0, 7.099609375, 78.59375, 78.59375, 64.296875, 28.59765625, 100.0, 0.0, 57.09375, 0.0, 28.59765625, 14.3, 0.0, 0.0, 0.0, 42.8984375, 0.0, 57.09375, 42.8984375, 1.0, 0.0, 15.0, 3.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 70.0, "10425", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10425&g_ta_cod=10425", 0.0, 43.0, 57.0),
(7651, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence_Las", "Université du Mans - Licence - Portail Physique, chimie - Parcours physique-chimie / physique franco-allemand", "Licence - Sciences - technologies - santé", "Parcours physique-chimie / physique franco-allemand", 3, 135, 76, 135, 0, 92, 16, 2, 0, 0, 0, 41, 0, 0, 0, 0, 0, 131, 0, 0, 0, 92, 16, 2, 0, 0, 0, 37, 20, 3, 2, 3, 0, 0.0, 1.0, 3.0, 0, 0, 3, 3, 0, 0, 0, 0, 1, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 3, 3, 0.0, 33.33, 100.0, 66.6875, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 16.0, 2.0, 0.0, 0.0, 4.0, "Tous les candidats", 261.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 75.0, "26996", "Licence - Portail Physique, chimie - Parcours physique-chimie / physique franco-allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26995&g_ta_cod=26996", 100.0, 0.0, 0.0),
(7652, "Public", "0330028B", "Lycée Gustave Eiffel", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Gustave Eiffel - CPGE - ENS Cachan D2", "Classe préparatoire économique et commerciale", "", 48, 753, 397, 753, 0, 628, 49, 1, 0, 0, 0, 124, 0, 0, 0, 0, 0, 480, 0, 0, 480, 440, 31, 0, 0, 0, 0, 40, 266, 46, 20, 46, 0, 1.0, 30.0, 43.0, 0, 3, 40, 40, 0, 0, 6, 0, 0, 13, 22, 5, 0.0, 40, 0, 0, 2, 0, 30, 30, 2.17, 65.22, 93.48, 43.5, 75.0, 75.0, 5, 7.5, 87.0, 0.0, 0.0, 32.5, 55.0, 12.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 232.0, 21.0, 0.0, 0.0, 34.0, "Tous les candidats", 450.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "4290", "CPGE - ENS Cachan D2", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4290&g_ta_cod=4290", 100.0, 0.0, 0.0),
(7653, "Public", "0180025E", "Lycée professionnel Jean Guehenno", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Saint-Amand-Montrond", "formation sélective", "Autre formation", "Lycée professionnel Jean Guehenno - DN MADE - Objet - - Spécialité : Expérimentations, innovations et matériaux / Bijoux ? Créativité", "DN MADE", "- Spécialité : Expérimentations, innovations et matériaux / Bijoux ? Créativité", 15, 266, 222, 266, 0, 79, 16, 90, 15, 19, 7, 78, 0, 0, 0, 0, 0, 161, 0, 0, 0, 39, 8, 67, 8, 5, 1, 50, 67, 14, 9, 14, 0, 3.0, 10.0, 11.0, 0, 0, 8, 4, 4, 0, 6, 0, 1, 5, 0, 2, 0.0, 4, 3, 0, 0, 0, 0, 0, 21.43, 71.43, 78.57, 64.296875, 0.0, 0.0, 0, 0.0, 57.09375, 0.0, 12.5, 62.5, 0.0, 25.0, 0.0, 50.0, 50.0, 50.0, 37.5, 0.0, 0.0, 20.0, 4.0, 1.0, 0.0, 18.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "24343", "DN MADE - Objet - - Spécialité : Expérimentations, innovations et matériaux / Bijoux ? Créativité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24343&g_ta_cod=24343", 36.0, 43.0, 0.0),
(7654, "Privé enseignement supérieur", "0312839T", "Bachelor IDRAC Business School - Campus de TOULOUSE", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Ecole de Commerce", "Concours Bachelor IDRAC Business School - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "Approfondissement en : marketing digital, international, sport & business et approfondissement personnalisable", 200, 822, 326, 758, 0, 525, 89, 120, 29, 10, 7, 103, 64, 14, 12, 6, 32, 579, 21, 0, 0, 433, 63, 78, 11, 5, 3, 63, 581, 67, 25, 51, 16, 46.0, 51.0, 59.0, 0, 14, 53, 42, 9, 2, 14, 0, 26, 18, 9, 0, 0.0, 21, 4, 2, 0, 0, 38, 38, 68.66, 76.12, 88.06, 37.296875, 71.6875, 71.6875, 0, 26.3984375, 79.09375, 0.0, 49.09375, 34.0, 17.0, 0.0, 0.0, 79.1875, 39.59375, 17.0, 7.5, 3.7998046875, 3.7998046875, 424.0, 62.0, 5.0, 3.0, 74.0, "Tous les candidats", 1420.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "445", "Formation des écoles de commerce et de management Bac + 3", "Concours Bachelor IDRAC Business School", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=439&g_ta_cod=445", 76.0, 19.0, 4.0),
(7655, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues, Littératures & civilisations étrangères et régionales trilangue anglais espagnol + 3ème langue débutant", "Licence - Arts-lettres-langues", "Langues, Littératures & civilisations étrangères et régionales trilangue anglais espagnol + 3ème langue débutant", 34, 726, 617, 726, 0, 515, 129, 35, 15, 9, 4, 167, 0, 0, 0, 0, 0, 571, 0, 0, 0, 489, 118, 5, 0, 0, 0, 77, 150, 34, 32, 34, 0, 5.0, 29.0, 31.0, 0, 4, 34, 34, 0, 0, 0, 1, 0, 6, 17, 9, 1.0, 33, 0, 0, 0, 0, 12, 12, 14.71, 85.29, 91.18, 94.09375, 35.296875, 35.296875, 0, 11.798828125, 100.0, 2.89990234375, 0.0, 17.59765625, 50.0, 26.5, 2.9, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 148.0, 31.0, 0.0, 0.0, 2.0, "Tous les candidats", 243.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "24442", "Licence - Portail Langues, Littératures & civilisations étrangères et régionales trilangue anglais espagnol + 3ème langue débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24442&g_ta_cod=24442", 100.0, 0.0, 0.0),
(7656, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation non sélective", "Licence_Las", "Université de Cergy-Pontoise - CY SUP - Licence - Sciences pour la santé - Licence accès santé première année PCSTI - mineure santé -  option Santé", "Licence - Sciences - technologies - santé", "Licence accès santé première année PCSTI - mineure santé", 10, 476, 356, 476, 0, 292, 80, 32, 11, 1, 0, 151, 0, 0, 0, 0, 0, 469, 0, 0, 0, 292, 80, 32, 11, 1, 0, 144, 96, 12, 7, 12, 0, 0.0, 4.0, 6.0, 0, 2, 10, 10, 0, 0, 2, 0, 3, 6, 1, 0, 0.0, 7, 0, 0, 0, 0, 9, 10, 0.0, 33.33, 50.0, 58.296875, 90.0, 100.0, 0, 20.0, 83.296875, 0.0, 30.0, 60.0, 10.0, 0.0, 0.0, 100.0, 70.0, 0.0, 0.0, 0.0, 0.0, 86.0, 22.0, 0.0, 0.0, 10.0, "Tous les candidats", 136.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "32503", "Licence - Sciences pour la santé - Licence accès santé première année PCSTI - mineure santé -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32502&g_ta_cod=32503", 100.0, 0.0, 0.0),
(7657, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Droit", "Licence - Droit-économie-gestion", "", 740, 14323, 10553, 14323, 0, 11344, 1990, 549, 182, 56, 23, 2374, 0, 0, 0, 0, 0, 14314, 0, 0, 0, 11344, 1990, 549, 182, 56, 23, 2365, 2038, 718, 598, 718, 0, 225.0, 554.0, 615.0, 0, 186, 559, 556, 1, 2, 159, 5, 4, 42, 268, 226, 14.0, 547, 1, 2, 0, 0, 116, 443, 31.34, 77.16, 85.65, 83.296875, 20.796875, 79.1875, 0, 33.296875, 77.890625, 0.89990234375, 0.699951171875, 7.5, 47.8984375, 40.4, 2.5, 99.5, 97.890625, 0.199981689453125, 0.199981689453125, 0.39996337890625, 0.39996337890625, 1525.0, 333.0, 2.0, 2.0, 509.0, "Tous les candidats", 2105.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "9200", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9200&g_ta_cod=9200", 100.0, 0.0, 0.0),
(7658, "Public", "0440029T", "LGT Livet", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LGT Livet - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 24, 265, 26, 263, 0, 36, 6, 113, 24, 38, 10, 76, 2, 0, 0, 1, 1, 220, 0, 0, 0, 36, 6, 110, 22, 36, 9, 38, 108, 23, 2, 23, 0, 3.0, 17.0, 19.0, 0, 4, 15, 0, 12, 3, 8, 0, 9, 4, 2, 0, 0.0, 0, 4, 2, 3, 0, 8, 8, 13.04, 73.91, 82.61, 8.69921875, 53.296875, 53.296875, 20, 26.69921875, 65.1875, 0.0, 60.0, 26.69921875, 13.298828125, 0.0, 0.0, 0.0, 0.0, 80.0, 26.69921875, 20.0, 13.298828125, 17.0, 6.0, 20.0, 4.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 118, "Liste d'appel propre à cette formation", 69.0, "5436", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5436&g_ta_cod=5436", 9.0, 61.0, 17.0),
(7659, "Public", "0511565Z", "Lycée Francois Arago", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Francois Arago - BTS - Production - Travaux publics", "BTS - Production", "", 15, 258, 33, 250, 0, 36, 10, 67, 13, 50, 15, 97, 8, 0, 1, 4, 3, 146, 0, 0, 0, 36, 10, 56, 10, 35, 8, 19, 71, 10, 2, 10, 0, 3.0, 8.0, 10.0, 0, 3, 5, 3, 0, 2, 5, 0, 4, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 30.0, 80.0, 100.0, 20.0, 40.0, 40.0, 0, 60.0, 50.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 60.0, 0.0, 0.0, 0.0, 40.0, 20.0, 21.0, 7.0, 17.0, 3.0, 12.0, "Tous les candidats sauf les Bac professionnels", 85.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 47.0, "6143", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6143&g_ta_cod=6143", 60.0, 10.0, 30.0),
(7660, "Privé sous contrat d'association", "0721658L", "IFSI CROIX ROUGE FRANCAISE LE MANS", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "IFSI", "Regroupement d'IFSI Université du Mans - D.E Infirmier", "D.E secteur sanitaire", "", 31, 2042, 1795, 2042, 0, 308, 62, 359, 56, 411, 143, 964, 0, 0, 0, 0, 0, 1688, 0, 0, 0, 280, 57, 312, 47, 329, 116, 767, 398, 30, 26, 30, 0, 0.0, 6.0, 23.0, 0, 5, 10, 3, 3, 4, 20, 0, 2, 6, 2, 0, 0.0, 3, 2, 3, 0, 0, 8, 8, 0.0, 20.0, 76.67, 86.6875, 80.0, 80.0, 0, 50.0, 33.296875, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 30.0, 30.0, 30.0, 20.0, 40.0, 30.0, 55.0, 11.0, 71.0, 22.0, 208.0, "Tous les candidats", 1196.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "25265", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23002&g_ta_cod=25265", 43.0, 23.0, 33.0),
(7661, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Sciences sociales - Parcours Sciences Humaines Appliquées (SHA)", "Licence - Sciences humaines et sociales", "Sciences Humaines Appliquées (SHA)", 120, 726, 475, 719, 0, 563, 82, 18, 9, 2, 1, 136, 7, 2, 1, 1, 3, 719, 6, 0, 0, 563, 82, 18, 9, 2, 1, 136, 495, 120, 74, 114, 6, 43.0, 82.0, 106.0, 0, 12, 99, 95, 4, 0, 21, 0, 15, 30, 36, 18, 0.0, 80, 4, 0, 0, 0, 90, 90, 35.83, 68.33, 88.33, 61.6953125, 90.890625, 90.890625, 0, 12.099609375, 82.5, 0.0, 15.19921875, 30.296875, 36.3984375, 18.2, 0.0, 96.0, 80.796875, 4.0, 4.0, 0.0, 0.0, 417.0, 51.0, 0.0, 0.0, 69.0, "Tous les candidats", 645.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "16994", "Licence - Sciences sociales - Parcours Sciences Humaines Appliquées (SHA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16994&g_ta_cod=16994", 95.0, 5.0, 0.0),
(7662, "Public", "0540042C", "Lycée Henri Loritz", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Henri Loritz - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 327, 18, 327, 0, 16, 2, 96, 23, 107, 52, 108, 0, 0, 0, 0, 0, 258, 0, 0, 0, 16, 2, 96, 23, 107, 52, 39, 128, 25, 0, 25, 0, 8.0, 17.0, 22.0, 0, 5, 21, 3, 9, 9, 4, 0, 8, 5, 3, 5, 0.0, 3, 1, 9, 5, 0, 20, 20, 32.0, 68.0, 88.0, 0.0, 95.1875, 95.1875, 23.796875, 23.796875, 84.0, 0.0, 38.09375, 23.796875, 14.298828125, 23.8, 0.0, 14.298828125, 14.298828125, 42.8984375, 4.7998046875, 42.8984375, 42.8984375, 14.0, 2.0, 23.0, 9.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 110, "Liste d'appel propre à cette formation", 46.0, "6272", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6272&g_ta_cod=6272", 20.0, 44.0, 36.0),
(7663, "Public", "0541286E", "Lycée Louis Bertrand", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Val de Briey", "formation sélective", "BTS", "Lycée Louis Bertrand - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 325, 129, 325, 0, 24, 5, 136, 43, 92, 32, 73, 0, 0, 0, 0, 0, 165, 0, 0, 0, 21, 4, 96, 26, 40, 13, 8, 108, 35, 15, 33, 0, 13.0, 29.0, 33.0, 0, 9, 33, 3, 20, 10, 2, 0, 11, 17, 3, 2, 0.0, 1, 11, 10, 14, 7, 33, 33, 37.14, 82.86, 94.29, 42.8984375, 100.0, 100.0, 42.3984375, 27.296875, 94.296875, 0.0, 33.296875, 51.5, 9.099609375, 6.1, 0.0, 9.099609375, 3.0, 60.59375, 33.296875, 30.296875, 30.296875, 14.0, 4.0, 30.0, 12.0, 4.0, "Tous les candidats sauf les Bac professionnels", 107.0, "Bacheliers professionnels toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 46.0, "6312", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6312&g_ta_cod=6312", 11.0, 57.0, 31.0),
(7664, "Public", "0360043B", "Lycée Blaise Pascal", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Châteauroux", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 95, 4, 95, 0, 6, 2, 21, 5, 52, 17, 16, 0, 0, 0, 0, 0, 95, 0, 0, 0, 6, 2, 21, 5, 52, 17, 16, 62, 8, 0, 6, 0, 0.0, 5.0, 5.0, 0, 3, 7, 0, 1, 6, 1, 0, 3, 2, 2, 0, 0.0, 0, 0, 4, 5, 0, 6, 6, 0.0, 62.5, 62.5, 0.0, 85.6875, 85.6875, 71.390625, 42.8984375, 87.5, 0.0, 42.8984375, 28.59765625, 28.59765625, 0.0, 0.0, 0.0, 0.0, 14.298828125, 0.0, 85.6875, 57.09375, 2.0, 1.0, 35.0, 12.0, 10.0, "Tous les candidats sauf les Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 79.0, "4798", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4798&g_ta_cod=4798", 0.0, 25.0, 75.0),
(7665, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "PASS", "Université de Tours - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 65, 3603, 2805, 3603, 0, 2841, 440, 101, 27, 18, 7, 643, 0, 0, 0, 0, 0, 3553, 0, 0, 0, 2841, 440, 101, 27, 18, 7, 593, 289, 65, 58, 65, 0, 5.0, 56.0, 62.0, 0, 10, 65, 65, 0, 0, 0, 0, 0, 0, 26, 32, 7.0, 65, 0, 0, 0, 0, 49, 49, 7.69, 86.15, 95.38, 89.1875, 75.390625, 75.390625, 0, 15.3984375, 100.0, 0.0, 0.0, 0.0, 40.0, 49.2, 10.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 288.0, 41.0, 0.0, 0.0, 1.0, "Tous les candidats", 900.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "27668", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27667&g_ta_cod=27668", 100.0, 0.0, 0.0),
(7666, "Public", "0851390Z", "Lycée Leonard de Vinci", "85", "Vendée", "Pays de la Loire", "Nantes", "Montaigu-Vendée", "formation sélective", "BTS", "Lycée Leonard de Vinci - BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "BTS - Services", "", 8, 362, 177, 362, 0, 155, 21, 51, 13, 32, 8, 124, 0, 0, 0, 0, 0, 51, 0, 0, 0, 23, 2, 3, 1, 10, 4, 15, 18, 8, 6, 8, 0, 3.0, 8.0, 8.0, 0, 1, 8, 6, 1, 1, 0, 0, 0, 2, 3, 3, 0.0, 6, 1, 1, 0, 0, 8, 8, 37.5, 100.0, 100.0, 75.0, 100.0, 100.0, 0, 12.5, 100.0, 0.0, 0.0, 25.0, 37.5, 37.5, 0.0, 75.0, 75.0, 12.5, 12.5, 12.5, 12.5, 13.0, 2.0, 2.0, 1.0, 2.0, "Tous les candidats sauf les Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 3, "", 0, "Liste d'appel propre à cette formation", 6.0, "10542", "BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10542&g_ta_cod=10542", 75.0, 13.0, 13.0),
(7667, "Public", "0640011P", "Lycée Louis De Foix", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "BTS", "Lycée Louis De Foix - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 53, 1114, 552, 1114, 0, 148, 24, 500, 123, 295, 87, 171, 0, 0, 0, 0, 0, 866, 0, 0, 0, 117, 18, 391, 96, 235, 64, 123, 181, 44, 20, 44, 0, 12.0, 24.0, 31.0, 0, 10, 39, 1, 16, 22, 5, 0, 12, 15, 9, 3, 0.0, 0, 10, 17, 6, 1, 37, 37, 27.27, 54.55, 70.45, 45.5, 94.890625, 94.890625, 15.3984375, 25.59765625, 88.59375, 0.0, 30.796875, 38.5, 23.09765625, 7.7, 0.0, 2.599609375, 0.0, 41.0, 25.59765625, 56.3984375, 43.59375, 12.0, 4.0, 74.0, 21.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 170, "Bacheliers technologiques toutes séries", 162, "Liste d'appel propre à cette formation", 32.0, "7699", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7699&g_ta_cod=7699", 2.0, 45.0, 52.0),
(7668, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "Licence", "Université de Bretagne Sud - Site de Lorient - Double licence - Lettres / Langues, littératures & civilisations étrangères et régionales - Lettres/ Espagnol", "Licence - Arts-lettres-langues", "Lettres/ Espagnol", 20, 61, 54, 54, 0, 46, 13, 1, 0, 0, 0, 7, 7, 1, 0, 1, 5, 54, 3, 0, 0, 46, 13, 1, 0, 0, 0, 7, 53, 3, 2, 3, 0, 1.0, 3.0, 3.0, 0, 0, 3, 2, 1, 0, 0, 0, 1, 1, 1, 0, 0.0, 1, 1, 0, 0, 0, 2, 2, 33.33, 100.0, 100.0, 66.6875, 66.6875, 66.6875, 0, 0.0, 100.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 42.0, 12.0, 1.0, 1.0, 9.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26406", "Double licence - Lettres / Langues, littératures & civilisations étrangères et régionales - Lettres/ Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26406&g_ta_cod=26406", 67.0, 33.0, 0.0),
(7669, "Public", "0541205S", "I.U.T de Nancy-Brabois - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Villers-lès-Nancy", "formation sélective", "BUT", "I.U.T de Nancy-Brabois - Université de Lorraine - BUT - Génie biologique Parcours diététique et nutrition", "BUT - Production", "", 30, 1282, 1035, 1213, 0, 531, 58, 220, 49, 3, 1, 459, 69, 0, 41, 0, 28, 619, 8, 0, 0, 288, 31, 41, 7, 0, 0, 290, 208, 29, 22, 27, 2, 1.0, 15.0, 17.0, 0, 4, 16, 12, 4, 0, 13, 0, 0, 6, 8, 2, 0.0, 12, 4, 0, 0, 0, 9, 9, 3.45, 51.72, 58.62, 75.890625, 56.296875, 56.296875, 0, 25.0, 55.1953125, 0.0, 0.0, 37.5, 50.0, 12.5, 0.0, 75.0, 75.0, 25.0, 25.0, 0.0, 0.0, 81.0, 13.0, 0.0, 0.0, 102.0, "Tous les candidats sauf les Bac technologiques", 295.0, "Bacheliers technologiques toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 28.0, "6301", "BUT - Génie biologique Parcours diététique et nutrition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6301&g_ta_cod=6301", 83.0, 17.0, 0.0),
(7670, "Public", "0220013V", "Lycée De La Fontaine Des Eaux", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Dinan", "formation sélective", "BTS", "Lycée De La Fontaine Des Eaux - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 401, 245, 374, 0, 22, 8, 153, 35, 111, 41, 88, 27, 1, 7, 4, 15, 281, 10, 0, 0, 19, 7, 127, 30, 99, 33, 36, 196, 25, 17, 23, 2, 1.0, 22.0, 25.0, 0, 6, 17, 0, 6, 11, 8, 0, 3, 13, 0, 1, 0.0, 0, 5, 9, 1, 0, 17, 17, 4.0, 88.0, 100.0, 68.0, 100.0, 100.0, 5.8994140625, 35.296875, 68.0, 0.0, 17.59765625, 76.5, 0.0, 5.9, 0.0, 0.0, 0.0, 35.296875, 29.3984375, 64.6875, 52.8984375, 15.0, 7.0, 76.0, 30.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 103, "Bacheliers technologiques toutes séries", 144, "Liste d'appel propre à cette formation", 74.0, "3306", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3306&g_ta_cod=3306", 8.0, 36.0, 56.0),
(7671, "Public", "0220065B", "Lycée Joseph Savina", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Tréguier", "formation sélective", "BTS", "Lycée Joseph Savina - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 18, 425, 214, 419, 0, 31, 11, 110, 36, 45, 22, 233, 6, 2, 0, 0, 4, 192, 2, 0, 0, 22, 3, 92, 25, 32, 14, 46, 77, 16, 7, 15, 0, 6.0, 13.0, 14.0, 0, 6, 14, 2, 9, 3, 2, 0, 6, 6, 2, 0, 0.0, 2, 3, 3, 3, 1, 14, 14, 37.5, 81.25, 87.5, 43.796875, 100.0, 100.0, 21.3984375, 42.8984375, 87.5, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 14.298828125, 14.298828125, 64.296875, 21.3984375, 21.3984375, 21.3984375, 17.0, 2.0, 7.0, 3.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 25.0, "18653", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18653&g_ta_cod=18653", 19.0, 56.0, 25.0),
(7672, "Privé sous contrat d'association", "0290335G", "Lycée La Croix Rouge", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "CPGE", "Lycée La Croix Rouge - CPGE - PTSI", "Classe préparatoire scientifique", "", 48, 317, 62, 291, 169, 208, 18, 2, 0, 0, 0, 81, 26, 9, 0, 0, 17, 258, 10, 169, 207, 203, 18, 2, 0, 0, 0, 53, 206, 17, 3, 14, 3, 12.0, 14.0, 17.0, 8, 2, 15, 15, 0, 0, 2, 0, 4, 6, 5, 0, 0.0, 11, 0, 0, 6, 2, 13, 13, 70.59, 82.35, 100.0, 17.59765625, 86.6875, 86.6875, 40, 13.298828125, 88.1875, 0.0, 26.69921875, 40.0, 33.296875, 0.0, 0.0, 100.0, 73.296875, 0.0, 0.0, 0.0, 0.0, 182.0, 13.0, 0.0, 0.0, 23.0, "Tous les candidats", 215.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "3842", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3842&g_ta_cod=3842", 100.0, 0.0, 0.0),
(7673, "Privé enseignement supérieur", "0341544U", "IFSI CRIP - Réservé aux personnes en situation de handicap", "34", "Hérault", "Occitanie", "Montpellier", "Castelnau-le-Lez", "formation sélective", "IFSI", "IFSI CRIP - Réservé aux personnes en situation de handicap - D.E Infirmier - Réservé aux personnes en situation de handicap", "D.E secteur sanitaire", "Réservé aux personnes en situation de handicap", 10, 110, 69, 110, 0, 9, 1, 11, 1, 16, 6, 74, 0, 0, 0, 0, 0, 43, 0, 0, 0, 5, 0, 7, 1, 6, 2, 25, 17, 10, 5, 10, 0, 4.0, 9.0, 9.0, 0, 0, 2, 1, 1, 0, 8, 0, 0, 1, 1, 0, 0.0, 1, 1, 0, 0, 0, 1, 1, 40.0, 90.0, 90.0, 50.0, 50.0, 50.0, 0, 0.0, 20.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 3.0, 0.0, 2.0, 2.0, 10.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "25861", "D.E Infirmier - Réservé aux personnes en situation de handicap", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25861&g_ta_cod=25861", 10.0, 80.0, 0.0),
(7674, "Privé sous contrat d'association", "0350776D", "Lycée St Vincent-Providence", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "CPGE", "Lycée St Vincent-Providence - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 26, 831, 379, 831, 500, 749, 28, 0, 0, 0, 0, 82, 0, 0, 0, 0, 0, 563, 0, 159, 551, 557, 14, 0, 0, 0, 0, 6, 233, 26, 15, 26, 0, 0.0, 14.0, 25.0, 3, 2, 26, 26, 0, 0, 0, 0, 0, 3, 18, 5, 0.0, 26, 0, 0, 1, 0, 19, 19, 0.0, 53.85, 96.15, 57.6953125, 73.09375, 73.09375, 3.7998046875, 7.69921875, 100.0, 0.0, 0.0, 11.5, 69.1875, 19.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 233.0, 11.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "31632", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31386&g_ta_cod=31632", 100.0, 0.0, 0.0),
(7675, "Privé sous contrat d'association", "0383208F", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Corenc", "formation sélective", "BTS", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 30, 396, 183, 384, 0, 47, 6, 185, 36, 78, 17, 74, 12, 0, 2, 4, 6, 245, 0, 0, 0, 36, 4, 131, 22, 53, 9, 25, 153, 24, 14, 24, 0, 6.0, 18.0, 23.0, 0, 3, 21, 3, 15, 3, 3, 0, 9, 8, 3, 1, 0.0, 1, 10, 1, 6, 3, 21, 21, 25.0, 75.0, 95.83, 58.296875, 100.0, 100.0, 28.59765625, 14.298828125, 87.5, 0.0, 42.8984375, 38.09375, 14.298828125, 4.8, 0.0, 14.298828125, 4.7998046875, 71.390625, 47.59375, 14.298828125, 4.7998046875, 25.0, 2.0, 30.0, 7.0, 14.0, "Tous les candidats sauf les Bac professionnels", 167.0, "Bacheliers professionnels toutes séries", 58, "", 0, "Liste d'appel propre à cette formation", 59.0, "5096", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5096&g_ta_cod=5096", 21.0, 63.0, 17.0),
(7676, "Public", "0741133E", "I.U.T. Annecy", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BUT", "I.U.T. Annecy - BUT - Carrières sociales parcours coordination et gestion des établissements et services sanitaires et sociaux", "BUT - Service", "", 60, 551, 479, 550, 0, 166, 34, 214, 55, 49, 21, 121, 1, 0, 1, 0, 0, 412, 1, 0, 0, 145, 28, 151, 33, 36, 18, 80, 267, 57, 51, 57, 0, 19.0, 53.0, 55.0, 0, 7, 53, 21, 25, 7, 4, 0, 21, 27, 3, 2, 0.0, 10, 17, 5, 0, 0, 33, 33, 33.33, 92.98, 96.49, 89.5, 62.296875, 62.296875, 0, 13.19921875, 93.0, 0.0, 39.59375, 50.8984375, 5.69921875, 3.8, 0.0, 39.59375, 18.8984375, 47.1953125, 32.09375, 13.19921875, 9.3984375, 89.0, 19.0, 16.0, 10.0, 36.0, "Tous les candidats sauf les Bac technologiques", 135.0, "Bacheliers technologiques toutes séries", 172, "", 0, "Liste d'appel propre à cette formation", 56.0, "20532", "BUT - Carrières sociales parcours coordination et gestion des établissements et services sanitaires et sociaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20532&g_ta_cod=20532", 39.0, 47.0, 14.0),
(7677, "Public", "0932120Z", "Lycée Henri Sellier", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Livry-Gargan", "formation sélective", "Autre formation", "Lycée Henri Sellier - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 73, 25, 18, 0, 0, 0.0, 0.0, 15.0, 0, 18, 25, 0, 5, 20, 0, 1, 16, 8, 0, 0, 0.0, 0, 0, 8, 0, 0, 25, 25, 0.0, 0.0, 60.0, 72.0, 100.0, 100.0, 0, 72.0, 100.0, 4.0, 64.0, 32.0, 0.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 32.0, 0.0, 0.0, 61.0, 37.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22373", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 20.0, 80.0),
(7678, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe - Mineure Hébreu", "Licence - Arts-lettres-langues", "Arabe - Mineure Hébreu", 6, 20, 14, 15, 0, 4, 0, 1, 1, 0, 0, 10, 5, 0, 1, 0, 4, 15, 5, 0, 0, 4, 0, 1, 1, 0, 0, 10, 18, 6, 4, 3, 3, 1.0, 3.0, 3.0, 0, 0, 1, 0, 1, 0, 5, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 1, 16.67, 50.0, 50.0, 66.6875, 0.0, 100.0, 0, 0.0, 16.69921875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 4.0, 0.0, 0.0, 0.0, 12.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "24023", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe - Mineure Hébreu", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24023&g_ta_cod=24023", 50.0, 33.0, 17.0),
(7679, "Public", "0840004Y", "Lycée Theodore Aubanel", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "Autre formation", "Lycée Theodore Aubanel - Diplôme de Comptabilité et de Gestion", "DCG", "", 38, 524, 251, 524, 0, 218, 66, 129, 47, 9, 4, 168, 0, 0, 0, 0, 0, 298, 0, 0, 0, 154, 40, 91, 34, 0, 0, 53, 135, 38, 20, 38, 0, 11.0, 36.0, 36.0, 0, 15, 36, 20, 16, 0, 2, 1, 1, 13, 15, 6, 0.0, 19, 15, 0, 0, 0, 31, 31, 28.95, 94.74, 94.74, 52.59375, 86.09375, 86.09375, 0, 41.6953125, 94.6875, 2.7998046875, 2.7998046875, 36.09375, 41.6953125, 16.7, 0.0, 55.59375, 52.796875, 44.3984375, 41.6953125, 0.0, 0.0, 70.0, 16.0, 0.0, 0.0, 24.0, "Tous les candidats", 206.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "10417", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10417&g_ta_cod=10417", 58.0, 42.0, 0.0),
(7680, "Public", "9710882G", "Lycée Les Droits De L'Homme", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Petit-Bourg", "formation sélective", "BTS", "Lycée Les Droits De L'Homme - BTS - Services - Commerce International", "BTS - Services", "", 32, 412, 230, 374, 0, 148, 57, 95, 55, 59, 36, 72, 38, 0, 9, 15, 14, 169, 7, 0, 0, 115, 44, 34, 18, 9, 4, 11, 80, 29, 17, 27, 2, 9.0, 22.0, 26.0, 0, 16, 28, 17, 8, 3, 1, 0, 8, 12, 7, 1, 0.0, 12, 7, 1, 2, 1, 25, 25, 31.03, 75.86, 89.66, 58.59375, 89.296875, 89.296875, 7.099609375, 57.09375, 96.59375, 0.0, 28.59765625, 42.8984375, 25.0, 3.6, 0.0, 60.6953125, 42.8984375, 28.59765625, 25.0, 10.69921875, 3.599609375, 33.0, 19.0, 11.0, 6.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 26.0, "11756", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11756&g_ta_cod=11756", 59.0, 31.0, 10.0),
(7681, "Public", "0260765R", "Lycée agricole Le Valentin", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Bourg-lès-Valence", "formation sélective", "BTS", "Lycée agricole Le Valentin - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 16, 134, 84, 131, 0, 17, 1, 38, 7, 22, 2, 54, 3, 0, 0, 1, 2, 85, 1, 0, 0, 17, 1, 38, 7, 20, 2, 10, 51, 10, 6, 10, 0, 5.0, 8.0, 10.0, 0, 1, 8, 1, 3, 4, 2, 1, 2, 2, 2, 1, 0.0, 0, 2, 3, 1, 0, 7, 7, 50.0, 80.0, 100.0, 60.0, 87.5, 87.5, 12.5, 12.5, 80.0, 12.5, 25.0, 25.0, 25.0, 12.5, 0.0, 12.5, 0.0, 37.5, 25.0, 50.0, 37.5, 10.0, 1.0, 12.0, 1.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 63.0, "3644", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3644&g_ta_cod=3644", 30.0, 30.0, 40.0),
(7682, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Portail Maths-Biologie", "Licence - Sciences - technologies - santé", "Maths-Biologie", 35, 411, 249, 387, 0, 238, 25, 6, 2, 0, 0, 143, 24, 6, 1, 0, 17, 387, 18, 0, 0, 238, 25, 6, 2, 0, 0, 143, 287, 31, 19, 28, 3, 5.0, 26.0, 28.0, 0, 4, 23, 21, 2, 0, 8, 0, 1, 10, 8, 4, 0.0, 20, 2, 0, 0, 0, 16, 16, 16.13, 83.87, 90.32, 61.296875, 69.59375, 69.59375, 0, 17.3984375, 74.1875, 0.0, 4.2998046875, 43.5, 34.796875, 17.4, 0.0, 91.296875, 87.0, 8.69921875, 8.69921875, 0.0, 0.0, 169.0, 21.0, 0.0, 0.0, 114.0, "Tous les candidats", 384.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "30989", "Licence - Portail Maths-Biologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30989&g_ta_cod=30989", 87.0, 10.0, 0.0),
(7683, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Trilangue Anglais - Arabe - 3ème langue à choix", "Licence - Arts-lettres-langues", "Trilangue Anglais - Arabe - 3ème langue à choix", 20, 172, 146, 144, 0, 73, 32, 9, 6, 7, 6, 55, 28, 7, 2, 1, 18, 142, 23, 0, 0, 73, 32, 9, 6, 7, 6, 53, 124, 18, 14, 10, 8, 5.0, 9.0, 12.0, 0, 4, 9, 7, 1, 1, 9, 0, 4, 2, 2, 1, 0.0, 3, 1, 1, 0, 0, 7, 7, 27.78, 50.0, 66.67, 77.796875, 77.796875, 77.796875, 0, 44.3984375, 50.0, 0.0, 44.3984375, 22.19921875, 22.19921875, 11.1, 0.0, 77.796875, 33.296875, 11.099609375, 11.099609375, 11.099609375, 11.099609375, 64.0, 22.0, 6.0, 6.0, 46.0, "Tous les candidats", 142.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "23984", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Trilangue Anglais - Arabe - 3ème langue à choix", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23984&g_ta_cod=23984", 83.0, 6.0, 11.0),
(7684, "Public", "0161125L", "I.U.T. Angoulême", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BUT", "I.U.T. Angoulême - BUT - Techniques de commercialisation Parcours : Business international : achat et vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Business international : achat et vente - Business développement et management de la relation client - Stratégie de marque et événementiel", 82, 2214, 1059, 2211, 0, 1229, 152, 673, 149, 16, 8, 293, 3, 1, 0, 0, 2, 971, 2, 0, 0, 440, 60, 466, 95, 3, 1, 62, 467, 85, 53, 83, 2, 7.0, 73.0, 79.0, 0, 14, 76, 34, 42, 0, 9, 0, 6, 47, 21, 2, 0.0, 33, 37, 0, 0, 0, 42, 42, 8.24, 85.88, 92.94, 62.3984375, 55.296875, 55.296875, 0, 18.3984375, 89.390625, 0.0, 7.8994140625, 61.796875, 27.59765625, 2.6, 0.0, 44.6953125, 43.3984375, 55.296875, 48.6953125, 0.0, 0.0, 196.0, 28.0, 0.0, 0.0, 34.0, "Tous les candidats sauf les Bac technologiques", 330.0, "Bacheliers technologiques toutes séries", 295, "", 0, "Liste d'appel propre à cette formation", 28.0, "3016", "BUT - Techniques de commercialisation Parcours : Business international : achat et vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3016&g_ta_cod=3016", 45.0, 55.0, 0.0),
(7685, "Public", "0690042W", "Lycée Colbert", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Lycée Colbert - BTS - Services - Support à l'action managériale", "BTS - Services", "", 32, 969, 733, 969, 0, 36, 8, 365, 175, 308, 178, 260, 0, 0, 0, 0, 0, 344, 0, 0, 0, 22, 5, 126, 50, 146, 81, 50, 168, 32, 29, 31, 0, 2.0, 24.0, 30.0, 0, 11, 21, 2, 11, 8, 11, 0, 3, 13, 4, 1, 0.0, 1, 9, 8, 3, 3, 17, 17, 6.25, 75.0, 93.75, 90.59375, 81.0, 81.0, 14.298828125, 52.3984375, 65.59375, 0.0, 14.298828125, 61.8984375, 19.0, 4.8, 0.0, 9.5, 4.7998046875, 52.3984375, 42.8984375, 38.09375, 38.09375, 7.0, 3.0, 69.0, 37.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 126, "Bacheliers technologiques toutes séries", 110, "Liste d'appel propre à cette formation", 25.0, "8228", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8228&g_ta_cod=8228", 6.0, 50.0, 44.0),
(7686, "Public", "0133682G", "Polytech Marseille", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 180, 8410, 2346, 8410, 0, 7427, 676, 0, 0, 0, 0, 983, 0, 0, 0, 0, 0, 5748, 0, 0, 0, 5407, 368, 0, 0, 0, 0, 341, 3269, 169, 49, 169, 0, 62.0, 133.0, 163.0, 0, 30, 159, 159, 0, 0, 10, 0, 0, 28, 91, 38, 2.0, 159, 0, 0, 0, 0, 89, 89, 36.69, 78.7, 96.45, 29.0, 56.0, 56.0, 0, 18.8984375, 94.09375, 0.0, 0.0, 17.59765625, 57.1953125, 23.9, 1.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 3097.0, 281.0, 0.0, 0.0, 172.0, "Autres candidats", 9492.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 48.0, "9", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=9", 100.0, 0.0, 0.0),
(7687, "Public", "0940124Z", "Lycée Hector Berlioz", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vincennes", "formation sélective", "BTS", "Lycée Hector Berlioz - BTS - Services - Assurance", "BTS - Services", "", 24, 1403, 766, 1403, 0, 158, 54, 407, 196, 313, 165, 525, 0, 0, 0, 0, 0, 542, 0, 0, 0, 104, 31, 102, 38, 286, 153, 50, 169, 25, 16, 24, 0, 1.0, 16.0, 22.0, 0, 9, 23, 12, 6, 5, 2, 0, 12, 11, 0, 0, 0.0, 4, 2, 5, 0, 0, 18, 22, 4.0, 64.0, 88.0, 64.0, 78.296875, 95.6875, 0, 39.09375, 92.0, 0.0, 52.1953125, 47.796875, 0.0, 0.0, 0.0, 52.1953125, 17.3984375, 26.09765625, 8.69921875, 21.69921875, 21.69921875, 67.0, 21.0, 27.0, 19.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 103.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 16.0, "11408", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11408&g_ta_cod=11408", 56.0, 24.0, 20.0),
(7688, "Public", "0595964M", "Université du littoral - Site de Dunkerque", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation non sélective", "Licence", "Université du littoral - Site de Dunkerque - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 36, 185, 88, 159, 0, 114, 25, 8, 3, 5, 4, 32, 26, 6, 1, 2, 17, 159, 14, 0, 0, 114, 25, 8, 3, 5, 4, 32, 156, 26, 14, 19, 7, 11.0, 19.0, 23.0, 0, 1, 18, 17, 1, 0, 8, 0, 6, 9, 1, 2, 0.0, 12, 0, 0, 0, 0, 18, 18, 42.31, 73.08, 88.46, 53.796875, 100.0, 100.0, 0, 5.599609375, 69.1875, 0.0, 33.296875, 50.0, 5.599609375, 11.1, 0.0, 94.390625, 66.6875, 5.599609375, 0.0, 0.0, 0.0, 114.0, 26.0, 3.0, 2.0, 32.0, "Tous les candidats", 157.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7186", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7186&g_ta_cod=7186", 81.0, 12.0, 8.0),
(7689, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Portugais et Gestion parcours Techniques Quantitatives et Management (TQM)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Portugais et Gestion parcours Techniques Quantitatives et Management (TQM)", 5, 164, 87, 4, 0, 2, 0, 0, 0, 0, 0, 2, 160, 36, 10, 8, 106, 4, 6, 0, 0, 2, 0, 0, 0, 0, 0, 2, 10, 4, 2, 2, 2, 2.0, 2.0, 4.0, 0, 0, 3, 3, 0, 0, 1, 0, 1, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 1, 1, 50.0, 50.0, 100.0, 50.0, 33.296875, 33.296875, 0, 0.0, 75.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 7.0, 1.0, 0.0, 0.0, 3.0, "Tous les candidats", 4.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "18456", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Portugais et Gestion parcours Techniques Quantitatives et Management (TQM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18456&g_ta_cod=18456", 100.0, 0.0, 0.0),
(7690, "Public", "0060042N", "Lycée professionnel les Palmiers", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée professionnel les Palmiers - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 1025, 525, 856, 0, 56, 8, 331, 105, 302, 121, 167, 169, 18, 63, 7, 81, 238, 13, 0, 0, 16, 1, 71, 20, 137, 49, 14, 146, 24, 9, 16, 8, 3.0, 15.0, 18.0, 0, 6, 21, 1, 7, 13, 3, 0, 3, 12, 4, 2, 0.0, 0, 6, 12, 3, 1, 14, 14, 12.5, 62.5, 75.0, 37.5, 66.6875, 66.6875, 14.298828125, 28.59765625, 87.5, 0.0, 14.298828125, 57.09375, 19.0, 9.5, 0.0, 4.7998046875, 0.0, 33.296875, 28.59765625, 61.8984375, 57.09375, 14.0, 1.0, 72.0, 21.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 98, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 22.0, "2227", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2227&g_ta_cod=2227", 8.0, 33.0, 58.0),
(7691, "Public", "0271666P", "I.U.T d'Evreux", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BUT", "I.U.T d'Evreux - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 56, 469, 301, 342, 0, 203, 23, 68, 17, 2, 1, 69, 127, 31, 29, 3, 64, 276, 32, 0, 0, 183, 19, 51, 10, 0, 0, 42, 236, 51, 28, 39, 12, 11.0, 36.0, 49.0, 0, 8, 38, 28, 10, 0, 13, 1, 14, 16, 6, 1, 0.0, 17, 6, 0, 0, 0, 27, 27, 21.57, 70.59, 96.08, 54.8984375, 71.09375, 71.09375, 0, 21.09765625, 74.5, 2.599609375, 36.796875, 42.09375, 15.798828125, 2.6, 0.0, 73.6875, 44.6953125, 26.296875, 15.798828125, 0.0, 0.0, 138.0, 14.0, 0.0, 0.0, 43.0, "Tous les candidats sauf les Bac technologiques", 223.0, "Bacheliers technologiques toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 81.0, "3718", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3718&g_ta_cod=3718", 73.0, 27.0, 0.0),
(7692, "Public", "0941975L", "Lycée Pierre Brossolette", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Le Kremlin-Bicêtre", "formation sélective", "EFTS", "Lycée Pierre Brossolette - D.E Educateur Spécialisé", "D.E secteur social", "", 18, 801, 687, 801, 0, 54, 15, 147, 57, 255, 119, 345, 0, 0, 0, 0, 0, 109, 0, 0, 0, 11, 2, 21, 8, 15, 6, 62, 60, 18, 17, 18, 0, 3.0, 16.0, 16.0, 0, 7, 9, 1, 5, 3, 9, 0, 3, 3, 1, 2, 0.0, 0, 4, 2, 0, 0, 4, 6, 16.67, 88.89, 88.89, 94.390625, 44.3984375, 66.6875, 0, 77.796875, 50.0, 0.0, 33.296875, 33.296875, 11.099609375, 22.2, 0.0, 11.099609375, 0.0, 55.59375, 44.3984375, 33.296875, 22.19921875, 6.0, 2.0, 8.0, 5.0, 35.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "23970", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23970&g_ta_cod=23970", 28.0, 33.0, 39.0),
(7693, "Public", "0140014P", "Lycée Augustin Fresnel", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Augustin Fresnel - BTS - Services - Commerce International", "BTS - Services", "", 35, 1128, 627, 1128, 0, 281, 61, 311, 94, 114, 43, 422, 0, 0, 0, 0, 0, 726, 0, 0, 0, 206, 41, 311, 94, 56, 14, 153, 158, 34, 22, 34, 0, 5.0, 27.0, 31.0, 0, 9, 30, 6, 19, 5, 4, 0, 7, 16, 6, 1, 0.0, 6, 12, 5, 5, 3, 27, 27, 14.71, 79.41, 91.18, 64.6875, 90.0, 90.0, 16.69921875, 30.0, 88.1875, 0.0, 23.296875, 53.296875, 20.0, 3.3, 0.0, 20.0, 20.0, 63.296875, 40.0, 16.69921875, 16.69921875, 35.0, 5.0, 18.0, 5.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 118.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 136, "Liste d'appel propre à cette formation", 24.0, "2821", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2821&g_ta_cod=2821", 21.0, 62.0, 18.0),
(7694, "Public", "0920145H", "Lycée Lakanal", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "CPGE", "Lycée Lakanal - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 1952, 1248, 1952, 1322, 1693, 132, 0, 0, 0, 0, 259, 0, 0, 0, 0, 0, 822, 0, 634, 802, 815, 56, 0, 0, 0, 0, 7, 204, 48, 33, 48, 0, 8.0, 38.0, 46.0, 13, 1, 46, 46, 0, 0, 2, 0, 0, 0, 2, 36, 8.0, 46, 0, 0, 3, 2, 24, 37, 16.67, 79.17, 95.83, 68.796875, 52.1953125, 80.390625, 6.5, 2.19970703125, 95.796875, 0.0, 0.0, 0.0, 4.2998046875, 78.3, 17.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 197.0, 13.0, 0.0, 0.0, 7.0, "Tous les candidats", 312.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "11017", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11017&g_ta_cod=11017", 100.0, 0.0, 0.0),
(7695, "Privé sous contrat d'association", "0442725Y", "LPO Talensac - Jeanne Bernard", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LPO Talensac - Jeanne Bernard - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 285, 141, 252, 0, 53, 8, 89, 22, 34, 7, 76, 33, 0, 3, 15, 15, 175, 7, 0, 0, 46, 7, 79, 19, 15, 3, 35, 91, 15, 8, 13, 2, 7.0, 11.0, 14.0, 0, 2, 12, 4, 6, 2, 3, 0, 6, 6, 0, 0, 0.0, 3, 1, 2, 5, 5, 12, 12, 46.67, 73.33, 93.33, 53.296875, 100.0, 100.0, 41.6953125, 16.69921875, 80.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 33.296875, 25.0, 50.0, 8.298828125, 16.69921875, 16.69921875, 26.0, 3.0, 10.0, 2.0, 27.0, "Tous les candidats sauf les Bac professionnels", 157.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 68.0, "5529", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5529&g_ta_cod=5529", 40.0, 40.0, 20.0),
(7696, "Public", "0622257S", "Lycée agro-environnemental d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Tilloy-lès-Mofflaines", "formation sélective", "BTS", "Lycée agro-environnemental d'Arras - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 24, 289, 101, 281, 0, 33, 6, 125, 31, 58, 19, 65, 8, 0, 2, 1, 5, 218, 4, 0, 0, 31, 6, 118, 29, 40, 13, 29, 89, 14, 5, 13, 1, 7.0, 8.0, 13.0, 0, 4, 9, 0, 7, 2, 5, 0, 0, 4, 4, 1, 0.0, 0, 7, 2, 7, 1, 7, 7, 50.0, 57.14, 92.86, 35.6953125, 77.796875, 77.796875, 77.796875, 44.3984375, 64.296875, 0.0, 0.0, 44.3984375, 44.3984375, 11.1, 0.0, 0.0, 0.0, 77.796875, 77.796875, 22.19921875, 22.19921875, 14.0, 4.0, 24.0, 10.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 118, "Liste d'appel propre à cette formation", 74.0, "7445", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7445&g_ta_cod=7445", 21.0, 64.0, 14.0),
(7697, "Public", "0301687W", "Université de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "Licence", "Université de Nîmes - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 300, 400, 306, 268, 0, 164, 69, 23, 12, 24, 13, 57, 132, 20, 13, 22, 77, 267, 124, 0, 0, 164, 69, 23, 12, 24, 13, 56, 391, 60, 39, 29, 31, 26.0, 28.0, 47.0, 0, 18, 31, 13, 8, 10, 29, 0, 16, 11, 4, 0, 0.0, 6, 3, 6, 0, 0, 18, 18, 43.33, 46.67, 78.33, 65.0, 58.09375, 58.09375, 0, 58.09375, 51.6953125, 0.0, 51.59375, 35.5, 12.8984375, 0.0, 0.0, 41.8984375, 19.3984375, 25.796875, 9.69921875, 32.296875, 19.3984375, 184.0, 73.0, 45.0, 26.0, 126.0, "Tous les candidats", 267.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4015", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4015&g_ta_cod=4015", 43.0, 30.0, 27.0),
(7698, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 180, 1056, 792, 1000, 0, 686, 170, 46, 23, 41, 16, 227, 56, 10, 7, 3, 36, 1000, 33, 0, 0, 686, 170, 46, 23, 41, 16, 227, 716, 174, 113, 152, 22, 17.0, 129.0, 152.0, 0, 40, 112, 93, 13, 6, 62, 1, 37, 48, 19, 7, 0.0, 66, 3, 5, 0, 0, 93, 93, 9.77, 74.14, 87.36, 64.890625, 83.0, 83.0, 0, 35.6953125, 64.390625, 0.89990234375, 33.0, 42.8984375, 17.0, 6.3, 0.0, 83.0, 58.8984375, 11.599609375, 2.69970703125, 5.3994140625, 4.5, 484.0, 129.0, 19.0, 9.0, 183.0, "Tous les candidats", 998.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "22662", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22662&g_ta_cod=22662", 78.0, 12.0, 8.0),
(7699, "Public", "0240026Y", "Lycée Albert Claveille", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BTS", "Lycée Albert Claveille - BTS - Production - Architectures en Métal : conception et Réalisation", "BTS - Production", "", 30, 235, 40, 227, 0, 16, 4, 61, 11, 26, 9, 124, 8, 0, 0, 4, 4, 226, 6, 0, 0, 16, 4, 61, 11, 26, 9, 123, 95, 23, 3, 22, 1, 3.0, 17.0, 22.0, 0, 4, 15, 1, 10, 4, 8, 0, 8, 3, 4, 0, 0.0, 0, 5, 2, 7, 0, 10, 10, 13.04, 73.91, 95.65, 13.0, 66.6875, 66.6875, 46.6953125, 26.69921875, 65.1875, 0.0, 53.296875, 20.0, 26.69921875, 0.0, 0.0, 6.69921875, 0.0, 66.6875, 33.296875, 26.69921875, 13.298828125, 8.0, 4.0, 25.0, 9.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 55.0, "3430", "BTS - Production - Architectures en Métal : conception et Réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3430&g_ta_cod=3430", 17.0, 48.0, 35.0),
(7700, "Public", "0130048G", "Lycée Saint Exupery", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 15e  Arrondissement", "formation sélective", "CPGE", "Lycée Saint Exupery - CPGE - ECG -  - Mathématiques appliquées + HGG", "Classe préparatoire économique et commerciale", "", 24, 262, 139, 235, 138, 195, 40, 0, 0, 0, 0, 40, 27, 11, 0, 2, 14, 197, 8, 117, 179, 175, 31, 0, 0, 0, 0, 22, 198, 19, 8, 15, 4, 4.0, 12.0, 17.0, 8, 5, 14, 14, 0, 0, 5, 0, 3, 8, 3, 0, 0.0, 11, 0, 0, 3, 2, 9, 9, 21.05, 63.16, 89.47, 42.09375, 64.296875, 64.296875, 21.3984375, 35.6953125, 73.6875, 0.0, 21.3984375, 57.09375, 21.3984375, 0.0, 0.0, 100.0, 78.59375, 0.0, 0.0, 0.0, 0.0, 176.0, 34.0, 0.0, 0.0, 22.0, "Tous les candidats", 196.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "31272", "CPGE - ECG -  - Mathématiques appliquées + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31272&g_ta_cod=31272", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(7701, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 3 Paul Sabatier - Licence - Chimie - Parcours Spécial (Mathématiques, Physique, Chimie)", "Licence - Sciences - technologies - santé", "Spécial (Mathématiques, Physique, Chimie)", 45, 909, 499, 669, 0, 449, 81, 16, 3, 0, 0, 204, 240, 78, 13, 2, 147, 321, 8, 0, 0, 236, 32, 0, 0, 0, 0, 85, 296, 18, 12, 15, 3, 5.0, 15.0, 17.0, 0, 1, 14, 14, 0, 0, 4, 0, 0, 0, 5, 9, 0.0, 14, 0, 0, 0, 0, 10, 10, 27.78, 83.33, 94.44, 66.6875, 71.390625, 71.390625, 0, 7.099609375, 77.796875, 0.0, 0.0, 0.0, 35.6953125, 64.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 223.0, 32.0, 0.0, 0.0, 73.0, "Tous les candidats", 319.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "18088", "Licence - Chimie - Parcours Spécial (Mathématiques, Physique, Chimie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18088&g_ta_cod=18088", 100.0, 0.0, 0.0),
(7702, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Gestion", "Licence - Droit-économie-gestion", "", 70, 648, 351, 623, 0, 331, 103, 107, 54, 19, 11, 166, 25, 6, 1, 0, 18, 617, 16, 0, 0, 331, 103, 107, 54, 19, 11, 160, 423, 69, 31, 56, 13, 5.0, 42.0, 52.0, 0, 22, 45, 35, 8, 2, 24, 0, 30, 13, 2, 0, 0.0, 14, 1, 0, 0, 0, 43, 43, 7.25, 60.87, 75.36, 44.8984375, 95.59375, 95.59375, 0, 48.8984375, 65.1875, 0.0, 66.6875, 28.8984375, 4.3994140625, 0.0, 0.0, 77.796875, 31.09765625, 17.796875, 2.19970703125, 4.3994140625, 0.0, 275.0, 84.0, 4.0, 2.0, 98.0, "Tous les candidats", 496.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "8147", "Licence - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8147&g_ta_cod=8147", 77.0, 19.0, 4.0),
(7703, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 200, 988, 723, 904, 0, 644, 154, 54, 18, 25, 9, 181, 84, 12, 6, 8, 58, 904, 74, 0, 0, 644, 154, 54, 18, 25, 9, 181, 813, 183, 125, 150, 33, 42.0, 148.0, 160.0, 0, 30, 124, 99, 13, 12, 59, 0, 43, 47, 28, 5, 1.0, 66, 6, 9, 0, 0, 107, 107, 22.95, 80.87, 87.43, 68.296875, 86.296875, 86.296875, 0, 24.19921875, 67.796875, 0.0, 34.6953125, 37.8984375, 22.59765625, 4.0, 0.8, 79.796875, 53.1953125, 10.5, 4.7998046875, 9.69921875, 7.2998046875, 559.0, 138.0, 23.0, 9.0, 188.0, "Tous les candidats", 904.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3551", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3551&g_ta_cod=3551", 75.0, 11.0, 12.0),
(7704, "Privé hors contrat", "9711279N", "C.F.T.S (Centre de Formation des Travailleurs Sociaux)", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "EFTS", "C.F.T.S (Centre de Formation des Travailleurs Sociaux) - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 15, 114, 107, 114, 0, 22, 14, 33, 9, 21, 16, 38, 0, 0, 0, 0, 0, 26, 0, 0, 0, 4, 2, 5, 0, 5, 2, 12, 21, 15, 14, 15, 0, 12.0, 15.0, 15.0, 0, 2, 6, 2, 2, 2, 9, 0, 3, 2, 1, 0, 0.0, 1, 2, 0, 0, 0, 6, 6, 80.0, 100.0, 100.0, 93.296875, 100.0, 100.0, 0, 33.296875, 40.0, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 33.296875, 16.69921875, 33.296875, 33.296875, 33.296875, 0.0, 4.0, 2.0, 4.0, 2.0, 10.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "25254", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25254&g_ta_cod=25254", 40.0, 27.0, 27.0),
(7705, "Privé enseignement supérieur", "0561687E", "Facultés libres de l'ouest - UCO - Bretagne Sud", "56", "Morbihan", "Bretagne", "Rennes", "Arradon", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Bretagne Sud - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 84, 508, 452, 469, 0, 291, 35, 57, 11, 18, 4, 103, 39, 6, 3, 1, 29, 469, 25, 0, 0, 291, 35, 57, 11, 18, 4, 103, 372, 77, 73, 72, 5, 19.0, 68.0, 73.0, 0, 8, 57, 47, 8, 2, 20, 0, 19, 28, 10, 0, 0.0, 32, 4, 2, 0, 0, 47, 47, 24.68, 88.31, 94.81, 94.796875, 82.5, 82.5, 0, 14.0, 74.0, 0.0, 33.296875, 49.09375, 17.5, 0.0, 0.0, 82.5, 56.09375, 14.0, 7.0, 3.5, 3.5, 233.0, 29.0, 11.0, 3.0, 88.0, "Tous les candidats", 468.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6492", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6492&g_ta_cod=6492", 73.0, 21.0, 6.0),
(7706, "Public", "0762976X", "Lycée Françoise De Grâce", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Autre formation", "Lycée Françoise De Grâce - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 15, 456, 356, 456, 0, 79, 18, 170, 49, 13, 1, 194, 0, 0, 0, 0, 0, 200, 0, 0, 0, 55, 11, 73, 26, 0, 0, 72, 90, 14, 11, 14, 0, 2.0, 11.0, 11.0, 0, 2, 9, 4, 5, 0, 5, 0, 2, 5, 2, 0, 0.0, 2, 5, 0, 0, 0, 7, 7, 14.29, 78.57, 78.57, 78.59375, 77.796875, 77.796875, 0, 22.19921875, 64.296875, 0.0, 22.19921875, 55.59375, 22.19921875, 0.0, 0.0, 44.3984375, 22.19921875, 55.59375, 55.59375, 0.0, 0.0, 17.0, 3.0, 0.0, 0.0, 34.0, "Tous les candidats", 101.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "9764", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9764&g_ta_cod=9764", 43.0, 57.0, 0.0),
(7707, "Public", "0755188G", "Sorbonne Université - Médecine", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation non sélective", "PASS", "Sorbonne Université ? Médecine - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Sciences: Biologie, Chimie, Physique", 1200, 15214, 10318, 15214, 0, 11913, 2411, 436, 200, 73, 47, 2792, 0, 0, 0, 0, 0, 15214, 0, 0, 0, 11913, 2411, 436, 200, 73, 47, 2792, 3333, 1194, 849, 1194, 0, 336.0, 1016.0, 1151.0, 0, 241, 1179, 1179, 0, 0, 15, 2, 9, 121, 556, 444, 47.0, 1168, 0, 0, 0, 0, 350, 1124, 28.14, 85.09, 96.4, 71.09375, 29.69921875, 95.296875, 0, 20.3984375, 98.6875, 0.199981689453125, 0.7999267578125, 10.298828125, 47.1953125, 37.7, 4.0, 100.0, 99.09375, 0.0, 0.0, 0.0, 0.0, 3277.0, 643.0, 0.0, 0.0, 56.0, "Tous les candidats", 3922.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "28451", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28476&g_ta_cod=28451", 100.0, 0.0, 0.0),
(7708, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence", "Université des Antilles - Pôle Martinique - Licence - Portail Géographie et aménagement - Sociétés et environnement - Martinique", "Licence - Sciences humaines et sociales", "Sociétés et environnement - Martinique", 75, 111, 47, 96, 0, 68, 22, 7, 3, 3, 2, 18, 15, 3, 0, 3, 9, 95, 15, 0, 0, 68, 22, 7, 3, 3, 2, 17, 110, 19, 9, 15, 4, 14.0, 15.0, 17.0, 0, 7, 15, 11, 3, 1, 4, 0, 7, 5, 3, 0, 0.0, 6, 2, 0, 0, 0, 13, 13, 73.68, 78.95, 89.47, 47.3984375, 86.6875, 86.6875, 0, 46.6953125, 78.890625, 0.0, 46.6953125, 33.296875, 20.0, 0.0, 0.0, 73.296875, 40.0, 20.0, 13.298828125, 6.69921875, 0.0, 71.0, 22.0, 6.0, 5.0, 26.0, "Tous les candidats", 112.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "15949", "Licence - Portail Géographie et aménagement - Sociétés et environnement - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26847&g_ta_cod=15949", 74.0, 16.0, 11.0),
(7709, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Japonais", "Licence - Arts-lettres-langues", "Japonais", 150, 895, 550, 895, 0, 441, 128, 60, 27, 42, 18, 352, 0, 0, 0, 0, 0, 895, 0, 0, 0, 441, 128, 60, 27, 42, 18, 352, 446, 149, 91, 149, 0, 84.0, 129.0, 136.0, 0, 33, 98, 83, 10, 5, 51, 1, 10, 36, 41, 9, 1.0, 74, 9, 4, 0, 0, 59, 59, 56.38, 86.58, 91.28, 61.09375, 60.1953125, 60.1953125, 0, 33.6953125, 65.796875, 1.0, 10.19921875, 36.6953125, 41.796875, 9.2, 1.0, 84.6875, 75.5, 10.19921875, 9.19921875, 5.099609375, 4.099609375, 287.0, 75.0, 15.0, 5.0, 124.0, "Tous les candidats", 525.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "7078", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Japonais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7078&g_ta_cod=7078", 82.0, 11.0, 6.0),
(7710, "Public", "9730001N", "Lycée Félix EBOUE", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "CPGE", "Lycée Félix EBOUE - CPGE - Lettres", "Classe préparatoire littéraire", "", 24, 92, 71, 81, 0, 68, 31, 1, 0, 2, 1, 10, 11, 2, 0, 6, 3, 58, 1, 0, 58, 56, 24, 0, 0, 0, 0, 2, 42, 21, 16, 21, 0, 12.0, 21.0, 21.0, 0, 8, 21, 21, 0, 0, 0, 0, 2, 7, 9, 3, 0.0, 19, 0, 0, 11, 8, 21, 21, 57.14, 100.0, 100.0, 76.1875, 100.0, 100.0, 52.3984375, 38.09375, 100.0, 0.0, 9.5, 33.296875, 42.8984375, 14.3, 0.0, 100.0, 90.5, 0.0, 0.0, 0.0, 0.0, 40.0, 15.0, 1.0, 0.0, 1.0, "Tous les candidats", 56.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "11849", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11849&g_ta_cod=11849", 100.0, 0.0, 0.0),
(7711, "Privé sous contrat d'association", "0921484N", "Lycée Montalembert", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Courbevoie", "formation sélective", "BTS", "Lycée Montalembert - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 30, 583, 54, 346, 0, 60, 13, 119, 48, 62, 31, 105, 237, 69, 0, 52, 116, 139, 35, 0, 0, 39, 7, 48, 16, 30, 11, 22, 146, 25, 4, 14, 11, 3.0, 11.0, 18.0, 0, 5, 19, 8, 7, 4, 6, 0, 9, 10, 0, 0, 0.0, 2, 5, 3, 4, 1, 16, 19, 12.0, 44.0, 72.0, 16.0, 84.1875, 100.0, 21.09765625, 26.296875, 76.0, 0.0, 47.3984375, 52.59375, 0.0, 0.0, 0.0, 42.09375, 10.5, 36.796875, 26.296875, 21.09765625, 15.798828125, 52.0, 13.0, 28.0, 9.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 37.0, "11128", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11128&g_ta_cod=11128", 48.0, 32.0, 20.0),
(7712, "Privé sous contrat d'association", "0560180S", "Lycée Notre Dame De La Paix", "56", "Morbihan", "Bretagne", "Rennes", "Ploemeur", "formation sélective", "BTS", "Lycée Notre Dame De La Paix - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 18, 234, 182, 232, 0, 78, 10, 52, 7, 26, 7, 76, 2, 0, 0, 1, 1, 151, 1, 0, 0, 63, 9, 14, 1, 19, 4, 55, 83, 17, 12, 17, 0, 6.0, 13.0, 15.0, 0, 2, 15, 5, 2, 8, 2, 0, 2, 7, 5, 1, 0.0, 3, 2, 8, 8, 5, 14, 14, 35.29, 76.47, 88.24, 70.59375, 93.296875, 93.296875, 53.296875, 13.298828125, 88.1875, 0.0, 13.298828125, 46.6953125, 33.296875, 6.7, 0.0, 33.296875, 20.0, 13.298828125, 13.298828125, 53.296875, 53.296875, 28.0, 6.0, 12.0, 4.0, 37.0, "Tous les candidats sauf les Bac professionnels", 98.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 48.0, "22112", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22112&g_ta_cod=22112", 35.0, 18.0, 47.0),
(7713, "Public", "0290012F", "Lycée Vauban", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Vauban - BTS - Production - Systèmes numériques - Option informatique et réseaux - - parcours Marine Nationale/Maistrance-Défense", "BTS - Production", "- parcours Marine Nationale/Maistrance-Défense", 2, 52, 2, 52, 0, 11, 2, 16, 1, 16, 5, 9, 0, 0, 0, 0, 0, 13, 0, 0, 0, 6, 0, 4, 0, 2, 1, 1, 4, 2, 0, 2, 0, 1.0, 2.0, 2.0, 0, 1, 2, 0, 1, 1, 0, 0, 0, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 1, 1, 50.0, 100.0, 100.0, 0.0, 50.0, 50.0, 0, 50.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 1.0, 0.0, 1.0, 1.0, 1.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "24737", "BTS - Production - Systèmes numériques - Option informatique et réseaux - - parcours Marine Nationale/Maistrance-Défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24737&g_ta_cod=24737", 0.0, 50.0, 50.0),
(7714, "Public", "0630021F", "Lycée La Fayette", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée La Fayette - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 472, 53, 472, 0, 88, 14, 139, 44, 87, 37, 158, 0, 0, 0, 0, 0, 317, 0, 0, 0, 45, 8, 124, 36, 87, 37, 61, 56, 18, 1, 18, 0, 2.0, 18.0, 18.0, 0, 5, 12, 2, 3, 7, 6, 0, 4, 4, 3, 1, 0.0, 0, 2, 6, 2, 0, 10, 10, 11.11, 100.0, 100.0, 5.599609375, 83.296875, 83.296875, 16.69921875, 41.6953125, 66.6875, 0.0, 33.296875, 33.296875, 25.0, 8.3, 0.0, 16.69921875, 0.0, 25.0, 16.69921875, 58.296875, 50.0, 7.0, 2.0, 23.0, 8.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers technologiques toutes séries", 38, "Bacheliers professionnels toutes séries", 44, "Liste d'appel propre à cette formation", 19.0, "29266", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29266&g_ta_cod=29266", 22.0, 33.0, 44.0),
(7715, "Public", "0623957P", "Université d'Artois - Site d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation non sélective", "Licence", "Université d'Artois - Site d'Arras - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Anglais - LLCER", "Licence - Arts-lettres-langues", "Anglais - LLCER", 173, 820, 591, 791, 0, 592, 166, 47, 16, 10, 9, 142, 29, 9, 1, 0, 19, 790, 26, 0, 0, 592, 166, 47, 16, 10, 9, 141, 611, 172, 118, 160, 12, 46.0, 159.0, 164.0, 0, 39, 123, 109, 13, 1, 49, 1, 36, 40, 27, 14, 5.0, 80, 5, 1, 0, 0, 115, 115, 26.74, 92.44, 95.35, 68.59375, 93.5, 93.5, 0, 31.69921875, 71.5, 0.7999267578125, 29.296875, 32.5, 22.0, 11.4, 4.1, 88.59375, 65.0, 10.599609375, 4.099609375, 0.7999267578125, 0.7999267578125, 455.0, 123.0, 5.0, 5.0, 121.0, "Tous les candidats", 789.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7510", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Anglais - LLCER", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7510&g_ta_cod=7510", 83.0, 12.0, 5.0),
(7716, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "PASS", "Université de Nantes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 72, 6760, 4862, 6760, 0, 5713, 693, 98, 27, 12, 8, 937, 0, 0, 0, 0, 0, 6760, 0, 0, 0, 5713, 693, 98, 27, 12, 8, 937, 375, 71, 52, 71, 0, 6.0, 61.0, 68.0, 0, 15, 71, 71, 0, 0, 0, 0, 0, 3, 15, 46, 7.0, 71, 0, 0, 0, 0, 57, 57, 8.45, 85.92, 95.77, 73.1875, 80.296875, 80.296875, 0, 21.09765625, 100.0, 0.0, 0.0, 4.19921875, 21.09765625, 64.8, 9.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 374.0, 47.0, 0.0, 0.0, 0.0, "Tous les candidats", 801.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 9.0, "27995", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27985&g_ta_cod=27995", 100.0, 0.0, 0.0),
(7717, "Privé sous contrat d'association", "0342073U", "Ecole Sup. IRTS Etudes Supérieures ESF", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Ecole Sup. IRTS Etudes Supérieures ESF - BTS - Services - Economie sociale familiale", "BTS - Services", "", 30, 928, 829, 928, 0, 85, 28, 224, 81, 388, 201, 231, 0, 0, 0, 0, 0, 722, 0, 0, 0, 64, 19, 178, 55, 321, 154, 159, 167, 31, 24, 31, 0, 2.0, 18.0, 22.0, 0, 11, 22, 3, 8, 11, 9, 0, 2, 15, 4, 1, 0.0, 3, 7, 10, 0, 0, 12, 12, 6.45, 58.06, 70.97, 77.390625, 54.5, 54.5, 0, 50.0, 71.0, 0.0, 9.099609375, 68.1875, 18.19921875, 4.5, 0.0, 13.599609375, 13.599609375, 36.3984375, 31.796875, 50.0, 45.5, 21.0, 6.0, 69.0, 36.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 93, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 25.0, "4618", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4618&g_ta_cod=4618", 35.0, 29.0, 35.0),
(7718, "Public", "0130157A", "Lycée professionnel Ferrages (Quartier Les)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Saint-Chamas", "formation sélective", "Autre formation", "Lycée professionnel Ferrages (Quartier Les) - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 8, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 2, 1, 0, 5, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 25, 7, 3, 0, 5, 0.0, 0.0, 2.0, 0, 3, 5, 2, 3, 0, 2, 0, 5, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 5, 5, 0.0, 0.0, 28.57, 42.8984375, 100.0, 100.0, 0, 60.0, 71.390625, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 40.0, 0.0, 60.0, 0.0, 0.0, 0.0, 10.0, 3.0, 2.0, 2.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34908", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34908&g_ta_cod=34908", 29.0, 57.0, 14.0),
(7719, "Privé sous contrat d'association", "0131398Z", "Lycée Maximilien de Sully", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "BTS", "Lycée Maximilien de Sully - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 38, 617, 298, 526, 0, 88, 23, 209, 82, 99, 38, 130, 91, 11, 5, 19, 56, 289, 15, 0, 0, 63, 17, 135, 48, 50, 15, 41, 164, 31, 13, 23, 8, 6.0, 20.0, 25.0, 0, 8, 22, 10, 6, 6, 9, 0, 11, 10, 1, 0, 0.0, 3, 4, 4, 2, 0, 18, 18, 19.35, 64.52, 80.65, 41.8984375, 81.796875, 81.796875, 9.099609375, 36.3984375, 71.0, 0.0, 50.0, 45.5, 4.5, 0.0, 0.0, 45.5, 13.599609375, 27.296875, 18.19921875, 27.296875, 18.19921875, 51.0, 13.0, 35.0, 15.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 87.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 38.0, "2636", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2636&g_ta_cod=2636", 52.0, 26.0, 23.0),
(7720, "Public", "0370038R", "Lycée Grandmont", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Grandmont - BTS - Services - Professions immobilières", "BTS - Services", "", 24, 1856, 1099, 1856, 0, 431, 86, 635, 166, 300, 116, 490, 0, 0, 0, 0, 0, 1020, 0, 0, 0, 218, 33, 315, 67, 277, 107, 210, 108, 22, 20, 22, 0, 4.0, 18.0, 20.0, 0, 3, 12, 4, 8, 0, 10, 0, 0, 3, 7, 2, 0.0, 4, 8, 0, 0, 0, 6, 6, 18.18, 81.82, 90.91, 90.890625, 50.0, 50.0, 0, 25.0, 54.5, 0.0, 0.0, 25.0, 58.296875, 16.7, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 0.0, 0.0, 32.0, 9.0, 2.0, 1.0, 24.0, "Tous les candidats sauf les Bac professionnels", 177.0, "Bacheliers professionnels toutes séries", 3, "", 0, "Liste d'appel propre à cette formation", 10.0, "4843", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4843&g_ta_cod=4843", 41.0, 55.0, 5.0),
(7721, "Public", "0332468D", "Lycée St Louis", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée St Louis - BTS - Production - Métiers de la chimie", "BTS - Production", "", 30, 733, 414, 718, 0, 155, 28, 240, 48, 28, 8, 295, 15, 2, 1, 0, 12, 383, 7, 0, 0, 121, 20, 163, 35, 8, 2, 91, 181, 26, 16, 23, 3, 2.0, 19.0, 23.0, 0, 3, 12, 4, 6, 2, 14, 0, 3, 7, 2, 0, 0.0, 4, 4, 1, 2, 2, 10, 10, 7.69, 73.08, 88.46, 61.5, 83.296875, 83.296875, 16.69921875, 25.0, 46.1953125, 0.0, 25.0, 58.296875, 16.69921875, 0.0, 0.0, 33.296875, 33.296875, 50.0, 33.296875, 16.69921875, 8.298828125, 47.0, 8.0, 2.0, 1.0, 66.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 148.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 203, "Liste d'appel propre à cette formation", 50.0, "4436", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4436&g_ta_cod=4436", 50.0, 38.0, 12.0),
(7722, "Public", "0110023R", "Lycée polyvalent Louise Michel", "11", "Aude", "Occitanie", "Montpellier", "Narbonne", "formation sélective", "Autre formation", "Lycée polyvalent Louise Michel - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 440, 197, 415, 0, 171, 36, 104, 38, 10, 6, 130, 25, 7, 1, 1, 16, 275, 9, 0, 0, 159, 31, 79, 29, 0, 0, 37, 180, 30, 11, 28, 2, 6.0, 26.0, 29.0, 0, 8, 24, 14, 10, 0, 6, 0, 8, 7, 8, 0, 1.0, 7, 9, 0, 0, 0, 22, 22, 20.0, 86.67, 96.67, 36.6953125, 91.6875, 91.6875, 0, 33.296875, 80.0, 0.0, 33.296875, 29.19921875, 33.296875, 0.0, 4.2, 58.296875, 29.19921875, 41.6953125, 37.5, 0.0, 0.0, 102.0, 25.0, 0.0, 0.0, 35.0, "Tous les candidats", 274.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "2461", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2461&g_ta_cod=2461", 67.0, 33.0, 0.0),
(7723, "Public", "0750707L", "Ecole Nationale De Commerce", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "BTS", "Ecole Nationale De Commerce - BTS - Services - Commerce International", "BTS - Services", "", 70, 5573, 3302, 5573, 0, 1312, 377, 1860, 753, 727, 349, 1674, 0, 0, 0, 0, 0, 1350, 0, 0, 0, 177, 50, 217, 85, 727, 349, 229, 251, 71, 48, 71, 0, 35.0, 62.0, 71.0, 0, 38, 66, 28, 29, 9, 5, 0, 18, 34, 12, 2, 0.0, 15, 25, 8, 0, 0, 32, 66, 49.3, 87.32, 100.0, 67.59375, 48.5, 100.0, 0, 57.59375, 93.0, 0.0, 27.296875, 51.5, 18.19921875, 3.0, 0.0, 42.3984375, 22.69921875, 43.8984375, 37.8984375, 13.599609375, 12.099609375, 96.0, 29.0, 10.0, 9.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 131.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 172, "Liste d'appel propre à cette formation", 6.0, "9153", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9153&g_ta_cod=9153", 42.0, 45.0, 13.0),
(7724, "Public", "9760358K", "CUFR Centre Universitaire de Mayotte", "976", "Mayotte", "Mayotte", "Mayotte", "Dembeni", "formation non sélective", "Licence", "CUFR Centre Universitaire de Mayotte - Licence - Mathématiques", "Licence - Sciences - technologies - santé", "", 30, 133, 63, 133, 0, 67, 50, 17, 15, 1, 0, 48, 0, 0, 0, 0, 0, 132, 0, 0, 0, 67, 50, 17, 15, 1, 0, 47, 106, 22, 10, 22, 0, 5.0, 21.0, 21.0, 0, 12, 16, 11, 5, 0, 6, 0, 11, 5, 0, 0, 0.0, 4, 1, 0, 0, 0, 16, 16, 22.73, 95.45, 95.45, 45.5, 100.0, 100.0, 0, 75.0, 72.6875, 0.0, 68.796875, 31.296875, 0.0, 0.0, 0.0, 68.796875, 25.0, 31.296875, 6.2998046875, 0.0, 0.0, 57.0, 39.0, 1.0, 0.0, 37.0, "Tous les candidats", 119.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "13887", "Licence - Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13887&g_ta_cod=13887", 64.0, 36.0, 0.0),
(7725, "Privé sous contrat d'association", "0831458J", "Yncréa méditérranée", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 80, 1547, 282, 1537, 0, 1528, 132, 0, 0, 0, 0, 9, 10, 10, 0, 0, 0, 1422, 8, 0, 0, 1422, 109, 0, 0, 0, 0, 0, 1329, 53, 4, 53, 0, 48.0, 53.0, 53.0, 0, 4, 53, 53, 0, 0, 0, 0, 8, 20, 21, 4, 0.0, 45, 0, 0, 0, 0, 32, 32, 90.57, 100.0, 100.0, 7.5, 60.3984375, 60.3984375, 0, 7.5, 100.0, 0.0, 15.099609375, 37.6953125, 39.59375, 7.5, 0.0, 100.0, 84.890625, 0.0, 0.0, 0.0, 0.0, 1329.0, 109.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "25851", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=25851", 100.0, 0.0, 0.0),
(7726, "Privé sous contrat d'association", "0490075R", "ESEO Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 4, 222, 77, 222, 0, 0, 0, 0, 0, 0, 0, 222, 0, 0, 0, 0, 0, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 169, 120, 2, 0, 2, 0, 0.0, 2.0, 2.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 120.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "22845", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22845", 100.0, 0.0, 0.0),
(7727, "Privé sous contrat d'association", "0271282X", "Lycée Saint-Anselme", "27", "Eure", "Normandie", "Normandie", "Bernay", "formation sélective", "BTS", "Lycée Saint-Anselme - BTS - Services - Economie sociale familiale", "BTS - Services", "", 18, 188, 172, 187, 0, 24, 7, 52, 13, 63, 21, 48, 1, 0, 0, 0, 1, 172, 0, 0, 0, 22, 7, 51, 12, 61, 19, 38, 89, 13, 13, 13, 0, 1.0, 6.0, 10.0, 0, 2, 7, 0, 1, 6, 6, 0, 2, 3, 2, 0, 0.0, 0, 0, 5, 0, 0, 7, 7, 7.69, 46.15, 76.92, 100.0, 100.0, 100.0, 0, 28.59765625, 53.796875, 0.0, 28.59765625, 42.8984375, 28.59765625, 0.0, 0.0, 0.0, 0.0, 14.298828125, 0.0, 85.6875, 71.390625, 10.0, 3.0, 29.0, 5.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 67.0, "3703", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3703&g_ta_cod=3703", 15.0, 23.0, 62.0),
(7728, "Public", "0400007R", "Lycée de Borda", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Dax", "formation sélective", "BTS", "Lycée de Borda - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 592, 284, 590, 0, 45, 11, 239, 69, 214, 62, 92, 2, 0, 0, 2, 0, 451, 0, 0, 0, 45, 11, 220, 60, 124, 34, 62, 146, 27, 11, 27, 0, 9.0, 23.0, 25.0, 0, 5, 26, 1, 13, 12, 1, 0, 10, 9, 5, 2, 0.0, 1, 4, 11, 16, 5, 24, 24, 33.33, 85.19, 92.59, 40.6953125, 92.296875, 92.296875, 61.5, 19.19921875, 96.296875, 0.0, 38.5, 34.59375, 19.19921875, 7.7, 0.0, 3.7998046875, 3.7998046875, 50.0, 15.3984375, 46.1953125, 42.296875, 7.0, 2.0, 71.0, 22.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 121, "Bacheliers technologiques toutes séries", 111, "Liste d'appel propre à cette formation", 42.0, "5202", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5202&g_ta_cod=5202", 4.0, 48.0, 48.0),
(7729, "Public", "0881070K", "Lycée agricole de Mirecourt", "88", "Vosges", "Grand Est", "Nancy-Metz", "Mirecourt", "formation sélective", "BTS", "Lycée agricole de Mirecourt - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 19, 159, 76, 157, 0, 15, 5, 57, 12, 63, 18, 22, 2, 0, 0, 0, 2, 148, 2, 0, 0, 15, 5, 57, 12, 63, 18, 13, 106, 13, 7, 12, 1, 2.0, 12.0, 13.0, 0, 4, 12, 2, 3, 7, 1, 0, 4, 5, 2, 1, 0.0, 0, 3, 5, 8, 3, 12, 12, 15.38, 92.31, 100.0, 53.796875, 100.0, 100.0, 66.6875, 33.296875, 92.296875, 0.0, 33.296875, 41.6953125, 16.69921875, 8.3, 0.0, 16.69921875, 0.0, 25.0, 25.0, 58.296875, 41.6953125, 12.0, 3.0, 49.0, 14.0, 10.0, "Tous les candidats sauf les Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 66, "", 0, "Liste d'appel propre à cette formation", 93.0, "10748", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10748&g_ta_cod=10748", 15.0, 31.0, 54.0),
(7730, "Public", "0600015R", "Lycée Mireille Grenet", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "BTS", "Lycée Mireille Grenet - BTS - Production - Métiers de l'eau", "BTS - Production", "", 24, 196, 61, 189, 0, 34, 3, 68, 9, 16, 7, 71, 7, 0, 0, 7, 0, 189, 4, 0, 0, 34, 3, 68, 9, 16, 7, 71, 100, 20, 1, 18, 2, 0.0, 16.0, 18.0, 0, 4, 16, 3, 9, 4, 4, 0, 13, 3, 0, 0, 0.0, 0, 1, 2, 3, 0, 8, 8, 0.0, 80.0, 90.0, 5.0, 50.0, 50.0, 18.796875, 25.0, 80.0, 0.0, 81.296875, 18.796875, 0.0, 0.0, 0.0, 18.796875, 0.0, 56.296875, 6.2998046875, 25.0, 12.5, 20.0, 3.0, 18.0, 10.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 64.0, "7227", "BTS - Production - Métiers de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7227&g_ta_cod=7227", 25.0, 55.0, 20.0),
(7731, "Public", "0130002G", "Lycée Paul Cezanne", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "CPGE", "Lycée Paul Cezanne - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 1672, 543, 1672, 371, 1489, 165, 2, 1, 0, 0, 181, 0, 0, 0, 0, 0, 1062, 0, 275, 1052, 1047, 99, 0, 0, 0, 0, 15, 469, 47, 12, 47, 0, 6.0, 25.0, 42.0, 2, 8, 47, 47, 0, 0, 0, 0, 0, 2, 22, 23, 0.0, 47, 0, 0, 5, 2, 43, 43, 12.77, 53.19, 89.36, 25.5, 91.5, 91.5, 10.599609375, 17.0, 100.0, 0.0, 0.0, 4.2998046875, 46.796875, 48.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 462.0, 54.0, 0.0, 0.0, 7.0, "Tous les candidats", 716.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "2527", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2527&g_ta_cod=2527", 100.0, 0.0, 0.0),
(7732, "Public", "0750688R", "Lycée François Rabelais", "75", "Paris", "Ile-de-France", "Paris", "Paris 18e  Arrondissement", "formation sélective", "BTS", "Lycée François Rabelais - BTS - Services - Métiers des Services à l'environnement", "BTS - Services", "", 24, 448, 167, 294, 0, 37, 4, 72, 12, 47, 36, 138, 154, 0, 12, 71, 71, 187, 17, 0, 0, 35, 4, 53, 7, 37, 29, 62, 101, 21, 8, 16, 5, 4.0, 12.0, 20.0, 0, 7, 15, 3, 6, 6, 6, 0, 11, 3, 1, 0, 0.0, 2, 0, 2, 0, 0, 3, 15, 19.05, 57.14, 95.24, 38.09375, 20.0, 100.0, 0, 46.6953125, 71.390625, 0.0, 73.296875, 20.0, 6.69921875, 0.0, 0.0, 20.0, 13.298828125, 40.0, 0.0, 40.0, 13.298828125, 14.0, 4.0, 36.0, 26.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 42.0, "9098", "BTS - Services - Métiers des Services à l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9098&g_ta_cod=9098", 19.0, 38.0, 43.0),
(7733, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 80, 348, 133, 294, 0, 170, 35, 22, 7, 13, 9, 89, 54, 17, 5, 0, 32, 290, 51, 0, 0, 170, 35, 22, 7, 13, 9, 85, 341, 67, 18, 49, 18, 49.0, 49.0, 58.0, 0, 11, 43, 33, 7, 3, 24, 0, 20, 16, 5, 2, 0.0, 19, 2, 2, 0, 0, 36, 36, 73.13, 73.13, 86.57, 26.8984375, 83.6875, 83.6875, 0, 25.59765625, 64.1875, 0.0, 46.5, 37.1953125, 11.599609375, 4.7, 0.0, 76.6875, 44.1953125, 16.296875, 4.69921875, 7.0, 4.69921875, 186.0, 35.0, 13.0, 9.0, 115.0, "Tous les candidats", 290.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "6356", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6356&g_ta_cod=6356", 78.0, 16.0, 6.0),
(7734, "Public", "0670141P", "Centre de Ressources, d'Expertise et de Performance Sportive de Strasbourg (CREPS)", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "CREPS de Strasbourg - Antenne de Mulhouse - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 2, 14, 3, 14, 0, 5, 0, 2, 0, 2, 0, 5, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 1, 0, 0, 0, 1, 4, 1, 0, 1, 0, 0.0, 1.0, 1.0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 4.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "21325", "BPJEPS - Activités aquatiques et de la natation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21325&g_ta_cod=21325", 100.0, 0.0, 0.0),
(7735, "Privé enseignement supérieur", "0755308M", "Institut Saint-Pie X", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Institut Saint-Pie X - Licence - Histoire - Parcours Histoire de l'art", "Licence - Sciences humaines et sociales", "Histoire de l'art", 20, 64, 50, 27, 0, 22, 0, 1, 0, 0, 0, 4, 37, 7, 6, 1, 23, 10, 2, 0, 0, 10, 0, 0, 0, 0, 0, 0, 12, 7, 6, 5, 2, 5.0, 5.0, 6.0, 0, 0, 6, 6, 0, 0, 1, 0, 1, 1, 4, 0, 0.0, 5, 0, 0, 0, 0, 0, 0, 71.43, 71.43, 85.71, 85.6875, 0.0, 0.0, 0, 0.0, 85.6875, 0.0, 16.69921875, 16.69921875, 66.6875, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 11.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "24408", "Licence - Histoire - Parcours Histoire de l'art", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24408&g_ta_cod=24408", 100.0, 0.0, 0.0),
(7736, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence_Las", "Université de Tours - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 90, 2794, 2022, 2794, 0, 2016, 315, 169, 31, 8, 2, 601, 0, 0, 0, 0, 0, 2793, 0, 0, 0, 2016, 315, 169, 31, 8, 2, 600, 588, 89, 67, 89, 0, 4.0, 29.0, 61.0, 0, 11, 69, 65, 4, 0, 20, 0, 4, 37, 21, 7, 0.0, 61, 4, 0, 0, 0, 63, 63, 4.49, 32.58, 68.54, 75.296875, 91.296875, 91.296875, 0, 15.8984375, 77.5, 0.0, 5.7998046875, 53.59375, 30.3984375, 10.1, 0.0, 94.1875, 88.390625, 5.7998046875, 5.7998046875, 0.0, 0.0, 358.0, 74.0, 0.0, 0.0, 223.0, "Tous les candidats", 1545.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "27691", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27690&g_ta_cod=27691", 94.0, 6.0, 0.0),
(7737, "Public", "0290023T", "Lycée Jean Moulin", "29", "Finistère", "Bretagne", "Rennes", "Châteaulin", "formation sélective", "BTS", "Lycée Jean Moulin - BTS - Services - Communication", "BTS - Services", "", 33, 559, 356, 555, 0, 94, 15, 150, 23, 60, 29, 251, 4, 0, 0, 3, 1, 380, 2, 0, 0, 93, 15, 140, 22, 49, 25, 98, 196, 34, 21, 33, 0, 0.0, 19.0, 29.0, 0, 1, 19, 5, 12, 2, 15, 0, 10, 8, 0, 1, 0.0, 2, 5, 2, 0, 0, 19, 19, 0.0, 55.88, 85.29, 61.796875, 100.0, 100.0, 0, 5.2998046875, 55.8984375, 0.0, 52.59375, 42.09375, 0.0, 5.3, 0.0, 26.296875, 10.5, 63.1953125, 26.296875, 10.5, 10.5, 49.0, 9.0, 31.0, 16.0, 50.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 108.0, "Bacheliers technologiques toutes séries", 137, "Bacheliers professionnels toutes séries", 57, "Liste d'appel propre à cette formation", 54.0, "30547", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30547&g_ta_cod=30547", 44.0, 44.0, 12.0),
(7738, "Public", "0580766T", "ISAT Nevers", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 85, 3870, 773, 3870, 0, 3346, 292, 0, 0, 0, 0, 524, 0, 0, 0, 0, 0, 2507, 0, 0, 0, 2342, 162, 0, 0, 0, 0, 165, 1241, 83, 5, 83, 0, 29.0, 73.0, 81.0, 0, 8, 82, 82, 0, 0, 1, 0, 0, 5, 62, 14, 1.0, 82, 0, 0, 0, 0, 9, 9, 34.94, 87.95, 97.59, 6.0, 11.0, 11.0, 0, 9.798828125, 98.796875, 0.0, 0.0, 6.099609375, 75.59375, 17.1, 1.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1171.0, 107.0, 0.0, 0.0, 70.0, "Autres candidats", 9634.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "23", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=23", 100.0, 0.0, 0.0),
(7739, "Public", "0850144V", "Lycée agricole Nature", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée agricole Nature - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 32, 927, 374, 927, 0, 258, 31, 202, 27, 177, 44, 290, 0, 0, 0, 0, 0, 658, 0, 0, 0, 220, 26, 117, 13, 177, 44, 144, 145, 32, 12, 32, 0, 3.0, 27.0, 29.0, 0, 7, 22, 10, 4, 8, 10, 0, 5, 12, 5, 0, 0.0, 6, 3, 8, 4, 2, 13, 13, 9.38, 84.38, 90.63, 37.5, 59.09375, 59.09375, 18.19921875, 31.796875, 68.796875, 0.0, 22.69921875, 54.5, 22.69921875, 0.0, 0.0, 45.5, 27.296875, 18.19921875, 13.599609375, 36.3984375, 36.3984375, 68.0, 12.0, 21.0, 7.0, 36.0, "Tous les candidats sauf les Bac professionnels", 228.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 28.0, "10513", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10513&g_ta_cod=10513", 59.0, 16.0, 25.0),
(7740, "Public", "0921229L", "Lycée LPO Anatole FRANCE", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Colombes", "formation sélective", "BTS", "Lycée LPO Anatole FRANCE - BTS - Services - Métiers des Services à l'environnement", "BTS - Services", "", 32, 387, 150, 293, 0, 28, 4, 55, 11, 55, 36, 155, 94, 0, 15, 35, 44, 263, 19, 0, 0, 28, 4, 50, 10, 36, 23, 149, 99, 26, 10, 15, 11, 0.0, 12.0, 17.0, 0, 3, 12, 1, 8, 3, 14, 0, 8, 3, 1, 0, 0.0, 1, 1, 2, 0, 0, 9, 12, 0.0, 46.15, 65.38, 38.5, 75.0, 100.0, 0, 25.0, 46.1953125, 0.0, 66.6875, 25.0, 8.298828125, 0.0, 0.0, 8.298828125, 8.298828125, 66.6875, 8.298828125, 25.0, 16.69921875, 10.0, 2.0, 26.0, 16.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 41.0, "17606", "BTS - Services - Métiers des Services à l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17606&g_ta_cod=17606", 4.0, 58.0, 38.0),
(7741, "Privé sous contrat d'association", "0440161L", "Lycée St Joseph du Loquidy", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "Lycée St Joseph du Loquidy - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 34, 528, 255, 524, 0, 490, 19, 1, 1, 0, 0, 33, 4, 3, 0, 0, 1, 498, 4, 0, 498, 476, 17, 0, 0, 0, 0, 22, 275, 34, 8, 33, 1, 1.0, 25.0, 33.0, 0, 1, 34, 34, 0, 0, 0, 0, 3, 12, 18, 1, 0.0, 31, 0, 0, 2, 1, 28, 28, 2.94, 73.53, 97.06, 23.5, 82.390625, 82.390625, 5.8994140625, 2.89990234375, 100.0, 0.0, 8.798828125, 35.296875, 52.8984375, 2.9, 0.0, 100.0, 91.1875, 0.0, 0.0, 0.0, 0.0, 257.0, 11.0, 0.0, 0.0, 18.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "31662", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31339&g_ta_cod=31662", 100.0, 0.0, 0.0),
(7742, "Public", "0540044E", "Lycée Arthur Varoquaux", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Tomblaine", "formation sélective", "BTS", "Lycée Arthur Varoquaux - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 517, 437, 515, 0, 40, 11, 162, 52, 140, 62, 173, 2, 0, 0, 0, 2, 367, 2, 0, 0, 37, 10, 129, 40, 105, 46, 96, 121, 23, 22, 21, 2, 0.0, 13.0, 16.0, 0, 3, 12, 3, 3, 6, 11, 0, 6, 3, 2, 1, 0.0, 1, 0, 5, 2, 2, 12, 12, 0.0, 56.52, 69.57, 95.6875, 100.0, 100.0, 16.69921875, 25.0, 52.1953125, 0.0, 50.0, 25.0, 16.69921875, 8.3, 0.0, 25.0, 8.298828125, 25.0, 0.0, 50.0, 41.6953125, 10.0, 4.0, 30.0, 11.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 33.0, "6280", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6280&g_ta_cod=6280", 17.0, 35.0, 48.0),
(7743, "Public", "0570087K", "Lycée des Métiers Charles Jully", "57", "Moselle", "Grand Est", "Nancy-Metz", "Saint-Avold", "formation sélective", "BTS", "Lycée des Métiers Charles Jully - BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "BTS - Production", "", 15, 58, 19, 51, 0, 2, 0, 6, 4, 29, 12, 14, 7, 0, 3, 0, 4, 42, 3, 0, 0, 2, 0, 6, 4, 29, 12, 5, 30, 15, 6, 13, 2, 10.0, 12.0, 15.0, 0, 6, 15, 0, 3, 12, 0, 0, 5, 6, 4, 0, 0.0, 0, 1, 9, 8, 2, 15, 15, 66.67, 80.0, 100.0, 40.0, 100.0, 100.0, 53.296875, 40.0, 100.0, 0.0, 33.296875, 40.0, 26.69921875, 0.0, 0.0, 0.0, 0.0, 20.0, 6.69921875, 80.0, 60.0, 2.0, 0.0, 16.0, 6.0, 4.0, "Tous les candidats sauf les Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 63.0, "6549", "BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6549&g_ta_cod=6549", 0.0, 20.0, 80.0),
(7744, "Public", "0140017T", "Lycée Jean Rostand", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 348, 241, 338, 0, 19, 4, 125, 43, 99, 45, 95, 10, 0, 0, 7, 3, 245, 2, 0, 0, 16, 4, 96, 25, 89, 40, 44, 171, 23, 15, 23, 0, 3.0, 16.0, 23.0, 0, 9, 18, 2, 5, 11, 5, 0, 12, 5, 1, 0, 0.0, 0, 0, 6, 2, 2, 16, 16, 13.04, 69.57, 100.0, 65.1875, 88.890625, 88.890625, 11.099609375, 50.0, 78.296875, 0.0, 66.6875, 27.796875, 5.599609375, 0.0, 0.0, 11.099609375, 0.0, 27.796875, 0.0, 61.09375, 33.296875, 13.0, 4.0, 59.0, 29.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 97, "Bacheliers technologiques toutes séries", 103, "Liste d'appel propre à cette formation", 67.0, "2823", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2823&g_ta_cod=2823", 17.0, 26.0, 57.0),
(7745, "Privé sous contrat d'association", "0931026K", "Lycée Protectorat Saint Joseph", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aulnay-sous-Bois", "formation sélective", "BTS", "Lycée Protectorat Saint Joseph - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 25, 393, 186, 393, 0, 21, 14, 138, 68, 126, 74, 108, 0, 0, 0, 0, 0, 393, 0, 0, 0, 21, 14, 138, 68, 126, 74, 108, 105, 18, 10, 18, 0, 4.0, 9.0, 12.0, 0, 3, 12, 2, 5, 5, 6, 0, 9, 0, 2, 1, 0.0, 0, 0, 3, 4, 3, 11, 12, 22.22, 50.0, 66.67, 55.59375, 91.6875, 100.0, 33.296875, 25.0, 66.6875, 0.0, 75.0, 0.0, 16.69921875, 8.3, 0.0, 16.69921875, 0.0, 41.6953125, 0.0, 41.6953125, 25.0, 12.0, 6.0, 28.0, 18.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 28.0, "11233", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11233&g_ta_cod=11233", 22.0, 44.0, 33.0),
(7746, "Privé sous contrat d'association", "0593257V", "Institut agricole de Genech", "59", "Nord", "Hauts-de-France", "Lille", "Genech", "formation sélective", "BTS", "Institut agricole de Genech - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 72, 398, 122, 392, 0, 64, 8, 181, 25, 87, 14, 60, 6, 1, 0, 1, 4, 344, 2, 0, 0, 63, 8, 172, 23, 77, 13, 32, 220, 70, 20, 69, 1, 17.0, 60.0, 69.0, 0, 6, 67, 7, 41, 19, 3, 0, 15, 36, 16, 0, 0.0, 6, 37, 9, 29, 10, 50, 50, 24.29, 85.71, 98.57, 28.59765625, 74.59375, 74.59375, 43.296875, 9.0, 95.6875, 0.0, 22.3984375, 53.6953125, 23.8984375, 0.0, 0.0, 10.3984375, 9.0, 61.1953125, 55.1953125, 28.3984375, 13.3984375, 40.0, 8.0, 56.0, 9.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 141, "Liste d'appel propre à cette formation", 79.0, "6994", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6994&g_ta_cod=6994", 14.0, 59.0, 27.0),
(7747, "Public", "0620056Z", "Lycée Carnot", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Bruay-la-Buissière", "formation sélective", "BTS", "Lycée Carnot - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 140, 16, 136, 0, 10, 5, 47, 20, 45, 16, 34, 4, 0, 3, 1, 0, 115, 4, 0, 0, 10, 5, 47, 20, 45, 16, 13, 69, 9, 1, 8, 1, 1.0, 7.0, 8.0, 0, 5, 7, 0, 1, 6, 2, 0, 3, 4, 0, 0, 0.0, 0, 0, 4, 0, 0, 7, 7, 11.11, 77.78, 88.89, 11.099609375, 100.0, 100.0, 0, 71.390625, 77.796875, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 0.0, 0.0, 14.298828125, 0.0, 85.6875, 57.09375, 5.0, 3.0, 32.0, 14.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 71.0, "7355", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7355&g_ta_cod=7355", 11.0, 22.0, 67.0),
(7748, "Public", "0090003E", "Lycée professionnel Jean Durroux", "09", "Ardennes", "Occitanie", "Toulouse", "Ferrières-sur-Ariège", "formation sélective", "BTS", "Lycée professionnel Jean Durroux - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 12, 132, 49, 132, 0, 11, 5, 43, 19, 59, 20, 19, 0, 0, 0, 0, 0, 53, 0, 0, 0, 4, 0, 13, 6, 34, 7, 2, 38, 9, 3, 9, 0, 3.0, 9.0, 9.0, 0, 1, 8, 0, 0, 8, 1, 0, 3, 3, 2, 0, 0.0, 0, 0, 5, 4, 1, 8, 8, 33.33, 100.0, 100.0, 33.296875, 100.0, 100.0, 50, 12.5, 88.890625, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 62.5, 4.0, 0.0, 25.0, 7.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 35.0, "15999", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15999&g_ta_cod=15999", 0.0, 0.0, 100.0),
(7749, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "Licence - Arts-lettres-langues", "Allemand", 30, 33, 18, 21, 0, 15, 3, 0, 0, 0, 0, 6, 12, 4, 1, 0, 7, 21, 6, 0, 0, 15, 3, 0, 0, 0, 0, 6, 27, 3, 1, 3, 0, 3.0, 3.0, 3.0, 0, 0, 2, 2, 0, 0, 1, 0, 0, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 100.0, 100.0, 100.0, 33.296875, 100.0, 100.0, 0, 0.0, 66.6875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 19.0, 4.0, 0.0, 0.0, 8.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5048", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5048&g_ta_cod=5048", 100.0, 0.0, 0.0),
(7750, "Public", "9730094P", "Lycée professionnel Jean Marie Michotte", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "Autre formation", "Lycée professionnel Jean Marie Michotte - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 14, 35, 0, 35, 0, 0, 0, 0, 0, 33, 23, 2, 0, 0, 0, 0, 0, 35, 0, 0, 0, 0, 0, 0, 0, 33, 23, 2, 33, 14, 0, 14, 0, 6.0, 13.0, 14.0, 0, 12, 14, 0, 0, 14, 0, 0, 8, 5, 1, 0, 0.0, 0, 0, 6, 0, 0, 14, 14, 42.86, 92.86, 100.0, 0.0, 100.0, 100.0, 0, 85.6875, 100.0, 0.0, 57.09375, 35.6953125, 7.099609375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 42.8984375, 0.0, 0.0, 31.0, 22.0, 2.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "25216", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25216&g_ta_cod=25216", 0.0, 0.0, 100.0),
(7751, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence_Las", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Portail Philosophie - Parcours Philosophie", "Licence - Sciences humaines et sociales", "Parcours Philosophie", 25, 233, 159, 233, 0, 105, 36, 21, 5, 4, 3, 103, 0, 0, 0, 0, 0, 228, 0, 0, 0, 105, 36, 21, 5, 4, 3, 98, 122, 21, 14, 21, 0, 4.0, 14.0, 19.0, 0, 4, 14, 13, 1, 0, 7, 0, 9, 4, 0, 1, 0.0, 5, 0, 0, 0, 0, 8, 14, 19.05, 66.67, 90.48, 66.6875, 57.09375, 100.0, 0, 28.59765625, 66.6875, 0.0, 64.296875, 28.59765625, 0.0, 7.1, 0.0, 92.890625, 35.6953125, 7.099609375, 0.0, 0.0, 0.0, 66.0, 23.0, 2.0, 2.0, 48.0, "Tous les candidats", 285.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 61.0, "28280", "Licence - Portail Philosophie - Parcours Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27588&g_ta_cod=28280", 86.0, 5.0, 10.0),
(7752, "Privé sous contrat d'association", "0690539L", "Lycée Assomption Bellevue", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "BTS", "Lycée Assomption Bellevue - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 30, 327, 10, 276, 0, 9, 0, 92, 21, 124, 48, 51, 51, 6, 13, 12, 20, 144, 12, 0, 0, 8, 0, 46, 10, 74, 27, 16, 136, 21, 0, 16, 5, 4.0, 16.0, 21.0, 0, 5, 17, 2, 5, 10, 4, 0, 8, 6, 3, 0, 0.0, 0, 0, 9, 1, 0, 14, 14, 19.05, 76.19, 100.0, 0.0, 82.390625, 82.390625, 5.8994140625, 29.3984375, 81.0, 0.0, 47.09375, 35.296875, 17.59765625, 0.0, 0.0, 11.798828125, 0.0, 29.3984375, 0.0, 58.796875, 52.8984375, 8.0, 0.0, 67.0, 20.0, 17.0, "Tous les candidats sauf les Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 74, "", 0, "Liste d'appel propre à cette formation", 52.0, "8297", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8297&g_ta_cod=8297", 10.0, 43.0, 48.0),
(7753, "Public", "0540040A", "Lycée Frédéric Chopin", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Frédéric Chopin - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 48, 1202, 553, 1193, 0, 118, 25, 518, 164, 308, 130, 249, 9, 0, 7, 0, 2, 657, 4, 0, 0, 104, 23, 311, 89, 155, 65, 87, 255, 48, 21, 44, 4, 3.0, 27.0, 34.0, 0, 15, 42, 6, 22, 14, 6, 0, 6, 27, 8, 1, 0.0, 5, 19, 12, 0, 0, 34, 34, 6.25, 56.25, 70.83, 43.796875, 81.0, 81.0, 0, 35.6953125, 87.5, 0.0, 14.298828125, 64.296875, 19.0, 2.4, 0.0, 14.298828125, 11.8984375, 52.3984375, 45.1953125, 33.296875, 28.59765625, 35.0, 12.0, 79.0, 31.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 125, "Bacheliers technologiques toutes séries", 207, "Liste d'appel propre à cette formation", 32.0, "6255", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6255&g_ta_cod=6255", 17.0, 50.0, 33.0),
(7754, "Privé hors contrat", "0932616N", "Ecole danhier de pédicurie-podologie", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Ouen-sur-Seine", "formation sélective", "Autre formation", "Ecole danhier de pédicurie-podologie - D.E Pédicure-Podologue", "D.E secteur sanitaire", "", 55, 197, 141, 118, 0, 24, 3, 15, 2, 7, 4, 72, 79, 21, 8, 1, 49, 118, 64, 0, 0, 24, 3, 15, 2, 7, 4, 72, 174, 21, 13, 14, 7, 5.0, 14.0, 19.0, 0, 2, 9, 8, 1, 0, 12, 0, 5, 3, 1, 0, 0.0, 3, 1, 0, 0, 0, 2, 3, 23.81, 66.67, 90.48, 61.8984375, 22.19921875, 33.296875, 0, 22.19921875, 42.8984375, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 88.890625, 33.296875, 11.099609375, 11.099609375, 0.0, 0.0, 43.0, 7.0, 7.0, 4.0, 107.0, "Tous les candidats", 118.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26820", "D.E Pédicure-Podologue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26820&g_ta_cod=26820", 76.0, 24.0, 0.0),
(7755, "Public", "0910620E", "Lycée Robert Doisneau", "91", "Essonne", "Ile-de-France", "Versailles", "Corbeil-Essonnes", "formation sélective", "BTS", "Lycée Robert Doisneau - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 34, 1634, 850, 1634, 0, 81, 23, 554, 214, 550, 244, 449, 0, 0, 0, 0, 0, 544, 0, 0, 0, 32, 9, 190, 67, 217, 87, 105, 176, 34, 14, 34, 0, 3.0, 28.0, 32.0, 0, 8, 33, 4, 16, 13, 1, 0, 10, 20, 3, 0, 0.0, 3, 12, 8, 8, 1, 30, 33, 8.82, 82.35, 94.12, 41.1953125, 90.890625, 100.0, 24.19921875, 24.19921875, 97.09375, 0.0, 30.296875, 60.59375, 9.099609375, 0.0, 0.0, 12.099609375, 9.099609375, 48.5, 36.3984375, 39.3984375, 24.19921875, 14.0, 5.0, 95.0, 34.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 172, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 16.0, "10845", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10845&g_ta_cod=10845", 12.0, 50.0, 38.0),
(7756, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence_Las", "Université de Bourgogne - site de Dijon - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 15, 1428, 1183, 1428, 0, 768, 173, 132, 30, 45, 17, 483, 0, 0, 0, 0, 0, 1424, 0, 0, 0, 768, 173, 132, 30, 45, 17, 479, 133, 14, 12, 14, 0, 0.0, 6.0, 11.0, 0, 3, 13, 10, 3, 0, 1, 1, 0, 4, 5, 3, 0.0, 10, 2, 0, 0, 0, 12, 12, 0.0, 42.86, 78.57, 85.6875, 92.296875, 92.296875, 0, 23.09765625, 92.890625, 7.69921875, 0.0, 30.796875, 38.5, 23.1, 0.0, 76.890625, 76.890625, 23.09765625, 15.3984375, 0.0, 0.0, 88.0, 16.0, 0.0, 0.0, 40.0, "Tous les candidats", 572.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "27638", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27637&g_ta_cod=27638", 79.0, 21.0, 0.0),
(7757, "Public", "0080045F", "Lycée Pierre Bayle", "08", "Ariège", "Grand Est", "Reims", "Sedan", "formation sélective", "BTS", "Lycée Pierre Bayle - BTS - Services - Commerce International", "BTS - Services", "", 24, 545, 226, 468, 0, 50, 12, 50, 22, 24, 7, 344, 77, 13, 7, 15, 42, 79, 40, 0, 0, 38, 8, 18, 8, 9, 2, 14, 116, 21, 14, 10, 10, 2.0, 7.0, 15.0, 0, 3, 11, 5, 4, 2, 10, 0, 5, 6, 0, 0, 0.0, 1, 3, 2, 4, 3, 8, 8, 9.52, 33.33, 71.43, 66.6875, 72.6875, 72.6875, 36.3984375, 27.296875, 52.3984375, 0.0, 45.5, 54.5, 0.0, 0.0, 0.0, 45.5, 9.099609375, 36.3984375, 27.296875, 18.19921875, 18.19921875, 44.0, 10.0, 14.0, 7.0, 38.0, "Tous les candidats sauf les Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 9, "", 0, "Liste d'appel propre à cette formation", 17.0, "2369", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2369&g_ta_cod=2369", 62.0, 29.0, 10.0),
(7758, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 50, 247, 209, 197, 0, 127, 46, 22, 7, 4, 1, 44, 50, 10, 5, 9, 26, 194, 40, 0, 0, 127, 46, 22, 7, 4, 1, 41, 215, 21, 18, 13, 8, 9.0, 13.0, 19.0, 0, 9, 15, 10, 1, 4, 6, 0, 5, 9, 1, 0, 0.0, 7, 1, 2, 0, 0, 14, 14, 42.86, 61.9, 90.48, 85.6875, 93.296875, 93.296875, 0, 60.0, 71.390625, 0.0, 33.296875, 60.0, 6.69921875, 0.0, 0.0, 66.6875, 46.6953125, 6.69921875, 6.69921875, 26.69921875, 13.298828125, 127.0, 46.0, 10.0, 6.0, 59.0, "Tous les candidats", 194.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "5061", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5061&g_ta_cod=5061", 67.0, 14.0, 19.0),
(7759, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", "", 390, 3959, 1769, 3815, 0, 2695, 353, 246, 73, 30, 15, 844, 144, 20, 11, 8, 105, 3662, 86, 0, 0, 2692, 350, 246, 73, 30, 15, 694, 2005, 384, 140, 336, 47, 140.0, 263.0, 328.0, 0, 53, 262, 227, 29, 6, 122, 0, 109, 106, 38, 9, 0.0, 146, 5, 2, 0, 0, 221, 221, 36.46, 68.49, 85.42, 36.5, 84.390625, 84.390625, 0, 20.19921875, 68.1875, 0.0, 41.59375, 40.5, 14.5, 3.4, 0.0, 86.59375, 55.6953125, 11.099609375, 1.89990234375, 2.2998046875, 0.7999267578125, 1430.0, 189.0, 14.0, 10.0, 439.0, "Tous les candidats", 3127.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 78.0, "5584", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27002&g_ta_cod=5584", 84.0, 13.0, 3.0),
(7760, "Privé enseignement supérieur", "0530939H", "ESIEA Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 20, 108, 8, 107, 0, 0, 0, 107, 21, 0, 0, 0, 1, 0, 1, 0, 0, 77, 1, 0, 0, 0, 0, 77, 12, 0, 0, 0, 70, 5, 0, 4, 1, 4.0, 4.0, 5.0, 0, 1, 5, 0, 5, 0, 0, 0, 1, 3, 1, 0, 0.0, 0, 4, 0, 0, 0, 2, 2, 80.0, 80.0, 100.0, 0.0, 40.0, 40.0, 0, 20.0, 100.0, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "22903", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=22903", 0.0, 100.0, 0.0),
(7761, "Privé sous contrat d'association", "0450758E", "Lycée Saint-Paul Bourdon Blanc", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Saint-Paul Bourdon Blanc - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 28, 357, 168, 267, 0, 53, 13, 74, 31, 53, 27, 87, 90, 8, 23, 0, 59, 187, 14, 0, 0, 51, 11, 58, 25, 33, 13, 45, 149, 28, 13, 22, 6, 2.0, 21.0, 25.0, 0, 2, 12, 4, 4, 4, 16, 0, 6, 5, 1, 0, 0.0, 1, 1, 4, 2, 1, 12, 12, 7.14, 75.0, 89.29, 46.3984375, 100.0, 100.0, 16.69921875, 16.69921875, 42.8984375, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 33.296875, 8.298828125, 33.296875, 8.298828125, 33.296875, 33.296875, 45.0, 9.0, 16.0, 7.0, 41.0, "Tous les candidats sauf les Bac professionnels", 154.0, "Bacheliers professionnels toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 65.0, "5692", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5692&g_ta_cod=5692", 43.0, 43.0, 14.0),
(7762, "Privé sous contrat d'association", "0300112J", "Lycée de La CCI", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée de La CCI - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 64, 374, 40, 365, 0, 35, 10, 108, 39, 81, 27, 141, 9, 0, 3, 3, 3, 281, 3, 0, 0, 33, 9, 84, 33, 61, 19, 103, 212, 60, 5, 59, 1, 12.0, 41.0, 48.0, 0, 11, 31, 2, 18, 11, 29, 0, 13, 10, 6, 2, 0.0, 0, 9, 9, 0, 0, 18, 18, 20.0, 68.33, 80.0, 8.298828125, 58.09375, 58.09375, 0, 35.5, 51.6953125, 0.0, 41.8984375, 32.296875, 19.3984375, 6.5, 0.0, 6.5, 0.0, 58.09375, 29.0, 35.5, 29.0, 31.0, 9.0, 47.0, 18.0, 72.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 107, "Liste d'appel propre à cette formation", 64.0, "3971", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3971&g_ta_cod=3971", 30.0, 42.0, 28.0),
(7763, "Public", "0762964J", "Lycée Le Corbusier", "76", "Seine-Maritime", "Normandie", "Normandie", "Saint-Etienne-du-Rouvray", "formation sélective", "BTS", "Lycée Le Corbusier - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 30, 229, 12, 210, 0, 9, 3, 44, 14, 67, 24, 90, 19, 0, 4, 9, 6, 131, 7, 0, 0, 9, 3, 37, 10, 57, 20, 28, 114, 19, 0, 16, 3, 4.0, 13.0, 17.0, 0, 8, 14, 0, 2, 12, 5, 0, 7, 5, 2, 0, 0.0, 0, 1, 6, 3, 0, 13, 13, 21.05, 68.42, 89.47, 0.0, 92.890625, 92.890625, 21.3984375, 57.09375, 73.6875, 0.0, 50.0, 35.6953125, 14.298828125, 0.0, 0.0, 0.0, 0.0, 14.298828125, 7.099609375, 85.6875, 42.8984375, 7.0, 2.0, 52.0, 20.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 60.0, "9758", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9758&g_ta_cod=9758", 11.0, 26.0, 63.0),
(7764, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence_Las", "Université Grenoble Alpes  - Licence - Portail Sciences de la vie - Sciences du vivant", "Licence - Sciences - technologies - santé", "Sciences du vivant", 80, 2903, 2086, 2903, 0, 1729, 264, 106, 25, 7, 3, 1061, 0, 0, 0, 0, 0, 2901, 0, 0, 0, 1729, 264, 106, 25, 7, 3, 1059, 660, 72, 56, 72, 0, 4.0, 29.0, 56.0, 0, 15, 51, 47, 4, 0, 21, 0, 1, 14, 30, 5, 1.0, 46, 4, 0, 0, 0, 46, 46, 5.56, 40.28, 77.78, 77.796875, 90.1875, 90.1875, 0, 29.3984375, 70.796875, 0.0, 2.0, 27.5, 58.796875, 9.8, 2.0, 92.1875, 90.1875, 7.7998046875, 7.7998046875, 0.0, 0.0, 338.0, 70.0, 3.0, 3.0, 306.0, "Tous les candidats", 1677.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "31725", "Licence - Portail Sciences de la vie - Sciences du vivant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31724&g_ta_cod=31725", 94.0, 6.0, 0.0),
(7765, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "PASS", "Université Toulouse 3 Paul Sabatier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 175, 5615, 3851, 5615, 0, 4558, 725, 134, 48, 20, 9, 903, 0, 0, 0, 0, 0, 5615, 0, 0, 0, 4558, 725, 134, 48, 20, 9, 903, 1038, 172, 122, 172, 0, 17.0, 117.0, 154.0, 0, 55, 171, 170, 1, 0, 1, 0, 0, 27, 85, 52, 7.0, 170, 1, 0, 0, 0, 150, 150, 9.88, 68.02, 89.53, 70.890625, 87.6875, 87.6875, 0, 32.1953125, 99.390625, 0.0, 0.0, 15.798828125, 49.6953125, 30.4, 4.1, 99.390625, 99.390625, 0.5999755859375, 0.5999755859375, 0.0, 0.0, 1017.0, 169.0, 0.0, 0.0, 20.0, "Tous les candidats", 2091.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "30943", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29840&g_ta_cod=30943", 99.0, 1.0, 0.0),
(7766, "Public", "0381629P", "CNED", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "CNED - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 1600, 1145, 942, 814, 0, 83, 37, 131, 56, 191, 98, 409, 331, 22, 47, 78, 184, 814, 319, 0, 0, 83, 37, 131, 56, 191, 98, 409, 1133, 209, 164, 136, 73, 133.0, 135.0, 178.0, 0, 26, 59, 12, 16, 31, 150, 4, 30, 20, 4, 1, 0.0, 3, 7, 15, 0, 0, 13, 13, 63.64, 64.59, 85.17, 78.5, 22.0, 22.0, 0, 44.09375, 28.19921875, 6.7998046875, 50.796875, 33.8984375, 6.7998046875, 1.7, 0.0, 20.296875, 5.099609375, 27.09765625, 11.8984375, 52.5, 25.3984375, 105.0, 42.0, 266.0, 133.0, 585.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 354.0, "Bacheliers professionnels toutes séries", 266, "Bacheliers technologiques toutes séries", 195, "Liste d'appel propre à cette formation", 100.0, "20778", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20778&g_ta_cod=20778", 44.0, 21.0, 32.0),
(7767, "Public", "0492123S", "Lycée polyvalent Jean Moulin", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Lycée polyvalent Jean Moulin - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 24, 198, 11, 186, 0, 12, 2, 65, 10, 65, 22, 44, 12, 1, 4, 0, 7, 138, 7, 0, 0, 10, 2, 62, 8, 49, 14, 17, 109, 19, 1, 15, 3, 5.0, 13.0, 16.0, 0, 2, 11, 1, 4, 6, 8, 0, 4, 7, 0, 0, 0.0, 0, 3, 4, 5, 0, 10, 10, 26.32, 68.42, 84.21, 5.2998046875, 90.890625, 90.890625, 45.5, 18.19921875, 57.8984375, 0.0, 36.3984375, 63.59375, 0.0, 0.0, 0.0, 9.099609375, 0.0, 36.3984375, 27.296875, 54.5, 36.3984375, 8.0, 2.0, 32.0, 9.0, 20.0, "Tous les candidats sauf les Bac professionnels", 87.0, "Bacheliers professionnels toutes séries", 49, "", 0, "Liste d'appel propre à cette formation", 73.0, "5969", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5969&g_ta_cod=5969", 11.0, 42.0, 47.0),
(7768, "Public", "0210017E", "Lycée Montchapet", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Montchapet - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 1360, 664, 1360, 0, 192, 37, 523, 167, 344, 132, 301, 0, 0, 0, 0, 0, 540, 0, 0, 0, 145, 24, 185, 47, 180, 69, 30, 138, 23, 14, 23, 0, 1.0, 15.0, 18.0, 0, 6, 22, 8, 5, 9, 1, 0, 7, 11, 4, 0, 0.0, 5, 4, 6, 1, 1, 19, 19, 4.35, 65.22, 78.26, 60.8984375, 86.390625, 86.390625, 4.5, 27.296875, 95.6875, 0.0, 31.796875, 50.0, 18.19921875, 0.0, 0.0, 36.3984375, 22.69921875, 22.69921875, 18.19921875, 40.8984375, 27.296875, 45.0, 6.0, 39.0, 16.0, 8.0, "Tous les candidats sauf les Bac professionnels", 142.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 14.0, "3186", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3186&g_ta_cod=3186", 35.0, 26.0, 39.0),
(7769, "Public", "0501839C", "Lycée Sivard De Beaulieu", "50", "Manche", "Normandie", "Normandie", "Carentan-les-Marais", "formation sélective", "BTS", "Lycée Sivard De Beaulieu - BTS - Services - Gestion de la PME", "BTS - Services", "", 32, 655, 338, 636, 0, 34, 7, 81, 24, 59, 25, 462, 19, 0, 4, 6, 9, 263, 7, 0, 0, 34, 7, 72, 22, 50, 19, 107, 144, 22, 15, 21, 1, 7.0, 19.0, 22.0, 0, 4, 18, 2, 8, 8, 4, 0, 8, 6, 4, 0, 0.0, 1, 4, 5, 5, 2, 17, 17, 31.82, 86.36, 100.0, 68.1875, 94.390625, 94.390625, 27.796875, 22.19921875, 81.796875, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 11.099609375, 5.599609375, 44.3984375, 22.19921875, 44.3984375, 27.796875, 16.0, 3.0, 45.0, 16.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 30.0, "6036", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6036&g_ta_cod=6036", 27.0, 36.0, 36.0),
(7770, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Chinois", "Licence - Arts-lettres-langues", "LLCER Chinois", 25, 124, 85, 85, 0, 45, 12, 2, 1, 1, 1, 37, 39, 5, 0, 2, 32, 85, 39, 0, 0, 45, 12, 2, 1, 1, 1, 37, 124, 25, 15, 10, 15, 10.0, 10.0, 22.0, 0, 2, 6, 5, 0, 1, 19, 0, 2, 1, 2, 1, 0.0, 4, 0, 0, 0, 0, 1, 1, 40.0, 40.0, 88.0, 60.0, 16.69921875, 16.69921875, 0, 33.296875, 24.0, 0.0, 33.296875, 16.69921875, 33.296875, 16.7, 0.0, 83.296875, 66.6875, 0.0, 0.0, 16.69921875, 0.0, 50.0, 14.0, 3.0, 1.0, 69.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2729", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2729&g_ta_cod=2729", 68.0, 8.0, 24.0),
(7771, "Public", "0220470S", "Lycée agricole Kernilien", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Plouisy", "formation sélective", "BTS", "Lycée agricole Kernilien - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 27, 278, 133, 278, 0, 29, 5, 70, 17, 94, 19, 85, 0, 0, 0, 0, 0, 258, 0, 0, 0, 29, 5, 70, 17, 94, 19, 65, 121, 34, 18, 34, 0, 10.0, 34.0, 34.0, 0, 8, 22, 1, 7, 14, 12, 0, 16, 4, 2, 0, 0.0, 0, 2, 4, 7, 6, 21, 21, 29.41, 100.0, 100.0, 52.8984375, 95.5, 95.5, 31.796875, 36.3984375, 64.6875, 0.0, 72.6875, 18.19921875, 9.099609375, 0.0, 0.0, 4.5, 0.0, 31.796875, 9.099609375, 63.59375, 18.19921875, 13.0, 2.0, 55.0, 13.0, 19.0, "Tous les candidats sauf les Bac professionnels", 126.0, "Bacheliers professionnels toutes séries", 94, "", 0, "Liste d'appel propre à cette formation", 78.0, "24785", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24785&g_ta_cod=24785", 32.0, 24.0, 44.0),
(7772, "Public", "0590215N", "Lycée Sévigné", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Sévigné - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 220, 75, 217, 0, 10, 3, 49, 26, 64, 41, 94, 3, 0, 0, 2, 1, 210, 0, 0, 0, 10, 3, 49, 26, 64, 41, 87, 98, 21, 11, 21, 0, 1.0, 14.0, 20.0, 0, 8, 10, 0, 3, 7, 11, 0, 6, 4, 0, 0, 0.0, 0, 1, 3, 1, 0, 10, 10, 4.76, 66.67, 95.24, 52.3984375, 100.0, 100.0, 10, 80.0, 47.59375, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 30.0, 10.0, 70.0, 30.0, 5.0, 1.0, 36.0, 25.0, 29.0, "Tous les candidats sauf les Bac professionnels", 73.0, "Bacheliers professionnels toutes séries", 82, "", 0, "Liste d'appel propre à cette formation", 71.0, "19781", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19781&g_ta_cod=19781", 19.0, 19.0, 62.0),
(7773, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail LLCER ESPAGNOL / Sciences Du Langage", "Licence - Arts-lettres-langues", "LLCER ESPAGNOL / Sciences Du Langage : Sciences du langage", 10, 55, 49, 52, 0, 40, 7, 5, 1, 0, 0, 7, 3, 0, 0, 0, 3, 52, 3, 0, 0, 40, 7, 5, 1, 0, 0, 7, 55, 10, 8, 7, 3, 7.0, 7.0, 8.0, 0, 0, 6, 6, 0, 0, 4, 0, 0, 3, 3, 0, 0.0, 6, 0, 0, 0, 0, 4, 4, 70.0, 70.0, 80.0, 80.0, 66.6875, 66.6875, 0, 0.0, 60.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 40.0, 7.0, 0.0, 0.0, 10.0, "Tous les candidats", 74.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23878", "Licence - Portail LLCER ESPAGNOL / Sciences Du Langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23877&g_ta_cod=23878", 90.0, 10.0, 0.0),
(7774, "Privé sous contrat d'association", "9710067W", "Lycée professionnel Blanchet", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "Autre formation", "Lycée professionnel Blanchet - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 16, 6, 0, 5, 0, 0, 0, 0, 0, 4, 2, 1, 1, 0, 0, 1, 0, 5, 1, 0, 0, 0, 0, 0, 0, 4, 2, 1, 6, 1, 0, 0, 1, 0.0, 0.0, 0.0, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 5.0, 2.0, 1.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32833", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32833&g_ta_cod=32833", 0.0, 0.0, 100.0),
(7775, "Privé enseignement supérieur", "0592806E", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences - Licence - Portail Sciences de la vie - biologie", "Licence - Sciences - technologies - santé", "biologie", 96, 701, 459, 594, 0, 392, 65, 24, 13, 3, 3, 175, 107, 48, 3, 1, 55, 479, 54, 0, 0, 361, 48, 0, 0, 0, 0, 118, 472, 86, 62, 69, 17, 31.0, 63.0, 77.0, 0, 15, 65, 65, 0, 0, 21, 0, 24, 22, 16, 3, 0.0, 41, 0, 0, 0, 0, 34, 34, 36.05, 73.26, 89.53, 72.09375, 52.296875, 52.296875, 0, 23.09765625, 75.59375, 0.0, 36.8984375, 33.796875, 24.59765625, 4.6, 0.0, 100.0, 63.09375, 0.0, 0.0, 0.0, 0.0, 365.0, 58.0, 0.0, 0.0, 107.0, "Tous les candidats", 575.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 81.0, "12553", "Licence - Portail Sciences de la vie - biologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28853&g_ta_cod=12553", 99.0, 1.0, 0.0),
(7776, "Public", "0100023W", "Lycée Marie De Champagne", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BTS", "Lycée Marie De Champagne - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 352, 238, 352, 0, 18, 4, 139, 64, 114, 56, 81, 0, 0, 0, 0, 0, 328, 0, 0, 0, 18, 4, 137, 62, 114, 56, 59, 90, 19, 16, 19, 0, 1.0, 12.0, 14.0, 0, 10, 19, 1, 8, 10, 0, 0, 8, 11, 0, 0, 0.0, 0, 6, 5, 13, 12, 19, 19, 5.26, 63.16, 73.68, 84.1875, 100.0, 100.0, 68.390625, 52.59375, 100.0, 0.0, 42.09375, 57.8984375, 0.0, 0.0, 0.0, 5.2998046875, 0.0, 42.09375, 31.59765625, 52.59375, 26.296875, 3.0, 1.0, 51.0, 26.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 34.0, "2412", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2412&g_ta_cod=2412", 5.0, 42.0, 53.0),
(7777, "Public", "9740002J", "Lycée Roland Garros", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation sélective", "BTS", "Lycée Roland Garros - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 30, 217, 39, 211, 0, 13, 9, 69, 35, 92, 60, 37, 6, 0, 3, 1, 2, 142, 1, 0, 0, 11, 7, 55, 29, 67, 45, 9, 95, 27, 3, 25, 1, 12.0, 24.0, 24.0, 0, 17, 25, 1, 10, 14, 2, 0, 6, 12, 5, 2, 0.0, 1, 7, 11, 9, 0, 25, 25, 44.44, 88.89, 88.89, 11.099609375, 100.0, 100.0, 36, 68.0, 92.59375, 0.0, 24.0, 48.0, 20.0, 8.0, 0.0, 4.0, 4.0, 40.0, 28.0, 56.0, 44.0, 7.0, 4.0, 43.0, 30.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 59.0, "11888", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11888&g_ta_cod=11888", 4.0, 37.0, 59.0),
(7778, "Public", "0382863F", "Lycée du Gresivaudan (LGM)", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Meylan", "formation sélective", "BTS", "Lycée du Gresivaudan (LGM) - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 604, 52, 591, 0, 73, 16, 197, 52, 115, 39, 206, 13, 1, 3, 0, 9, 317, 0, 0, 0, 56, 11, 150, 35, 84, 26, 27, 150, 24, 0, 24, 0, 0.0, 20.0, 22.0, 0, 4, 19, 1, 10, 8, 5, 0, 4, 12, 3, 0, 0.0, 0, 7, 8, 0, 0, 15, 15, 0.0, 83.33, 91.67, 0.0, 78.890625, 78.890625, 0, 21.09765625, 79.1875, 0.0, 21.09765625, 63.1953125, 15.798828125, 0.0, 0.0, 5.2998046875, 0.0, 52.59375, 36.796875, 42.09375, 42.09375, 29.0, 3.0, 52.0, 17.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 119, "Liste d'appel propre à cette formation", 43.0, "5119", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5119&g_ta_cod=5119", 8.0, 54.0, 38.0),
(7779, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence", "Université des Antilles - Pôle Martinique - Licence - Science politique - Parcours Droit ou Sciences politiques - Cycle Universitaire Préparatoire aux Grandes écoles (IEP) de province (L1) - CUPGE - Martinique", "Licence - Droit-économie-gestion", "Droit ou Sciences politiques - Cycle Universitaire Préparatoire aux Grandes écoles (IEP) de province (L1) - CUPGE - Martinique", 25, 131, 89, 121, 0, 105, 17, 5, 3, 2, 1, 9, 10, 9, 0, 0, 1, 121, 9, 0, 0, 105, 17, 5, 3, 2, 1, 9, 92, 20, 13, 18, 2, 3.0, 18.0, 20.0, 0, 2, 19, 18, 1, 0, 1, 0, 3, 8, 5, 3, 0.0, 16, 0, 0, 0, 0, 15, 15, 15.0, 90.0, 100.0, 65.0, 78.890625, 78.890625, 0, 10.5, 95.0, 0.0, 15.798828125, 42.09375, 26.296875, 15.8, 0.0, 94.6875, 84.1875, 5.2998046875, 0.0, 0.0, 0.0, 84.0, 13.0, 1.0, 0.0, 6.0, "Tous les candidats", 119.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "19987", "Licence - Science politique - Parcours Droit ou Sciences politiques - Cycle Universitaire Préparatoire aux Grandes écoles (IEP) de province (L1) - CUPGE - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19987&g_ta_cod=19987", 95.0, 5.0, 0.0),
(7780, "Public", "0782565P", "Lycée Jules Ferry", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "BTS", "Lycée Jules Ferry - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 28, 211, 7, 211, 0, 15, 3, 53, 7, 83, 29, 60, 0, 0, 0, 0, 0, 211, 0, 0, 0, 15, 3, 53, 7, 83, 29, 60, 107, 27, 0, 27, 0, 4.0, 21.0, 27.0, 0, 7, 22, 2, 6, 14, 5, 0, 12, 8, 2, 0, 0.0, 1, 1, 8, 5, 0, 19, 20, 14.81, 77.78, 100.0, 0.0, 86.390625, 90.890625, 22.69921875, 31.796875, 81.5, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 9.099609375, 4.5, 27.296875, 4.5, 63.59375, 36.3984375, 2.0, 1.0, 47.0, 13.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 64.0, "10056", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10056&g_ta_cod=10056", 7.0, 37.0, 56.0),
(7781, "Public", "0750671X", "Lycée Edgar Quinet", "75", "Paris", "Ile-de-France", "Paris", "Paris  9e  Arrondissement", "formation sélective", "Autre formation", "Lycée Edgar Quinet - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 59, 25, 11, 0, 0, 0.0, 0.0, 0.0, 0, 17, 25, 0, 10, 15, 0, 1, 21, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 25, 25, 0.0, 0.0, 0.0, 44.0, 100.0, 100.0, 0, 68.0, 100.0, 4.0, 84.0, 12.0, 0.0, 0.0, 0.0, 0.0, 0.0, 40.0, 0.0, 60.0, 12.0, 0.0, 0.0, 36.0, 27.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22391", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 40.0, 60.0),
(7782, "Public", "0720010V", "Lycée agricole La Germiniere", "72", "Sarthe", "Pays de la Loire", "Nantes", "Rouillon", "formation sélective", "BTS", "Lycée agricole La Germiniere - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 26, 287, 126, 279, 0, 10, 0, 93, 16, 43, 9, 133, 8, 0, 2, 1, 5, 119, 6, 0, 0, 8, 0, 73, 12, 31, 7, 7, 92, 10, 4, 8, 1, 2.0, 8.0, 8.0, 0, 1, 9, 2, 4, 3, 1, 0, 5, 4, 0, 0, 0.0, 1, 2, 1, 0, 0, 9, 9, 20.0, 80.0, 80.0, 40.0, 100.0, 100.0, 0, 11.099609375, 90.0, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 0.0, 22.19921875, 11.099609375, 44.3984375, 22.19921875, 33.296875, 11.099609375, 7.0, 0.0, 19.0, 6.0, 11.0, "Tous les candidats sauf les Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 42.0, "8682", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8682&g_ta_cod=8682", 20.0, 40.0, 40.0),
(7783, "Public", "0831750B", "IFSI Varois Draguignan", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Draguignan", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nice Sophia Antipolis - D.E Infirmier", "D.E secteur sanitaire", "", 22, 3852, 3258, 3852, 0, 615, 121, 602, 164, 353, 134, 2282, 0, 0, 0, 0, 0, 1949, 0, 0, 0, 468, 81, 334, 77, 138, 46, 1009, 356, 22, 20, 22, 0, 0.0, 4.0, 17.0, 0, 2, 9, 5, 3, 1, 13, 0, 0, 3, 5, 1, 0.0, 5, 3, 1, 0, 0, 5, 5, 0.0, 18.18, 77.27, 90.890625, 55.59375, 55.59375, 0, 22.19921875, 40.8984375, 0.0, 0.0, 33.296875, 55.59375, 11.1, 0.0, 55.59375, 55.59375, 33.296875, 33.296875, 11.099609375, 11.099609375, 99.0, 21.0, 15.0, 8.0, 202.0, "Tous les candidats", 1291.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "25092", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22984&g_ta_cod=25092", 59.0, 23.0, 14.0),
(7784, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "PASS", "Université de Nantes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 36, 2979, 1811, 2979, 0, 2473, 293, 39, 14, 3, 3, 464, 0, 0, 0, 0, 0, 2979, 0, 0, 0, 2473, 293, 39, 14, 3, 3, 464, 459, 36, 22, 36, 0, 0.0, 7.0, 31.0, 0, 3, 35, 35, 0, 0, 1, 0, 1, 10, 19, 5, 0.0, 34, 0, 0, 0, 0, 32, 32, 0.0, 19.44, 86.11, 61.09375, 91.390625, 91.390625, 0, 8.599609375, 97.1875, 0.0, 2.89990234375, 28.59765625, 54.296875, 14.3, 0.0, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 446.0, 43.0, 0.0, 0.0, 8.0, "Tous les candidats", 1887.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "27991", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27985&g_ta_cod=27991", 100.0, 0.0, 0.0),
(7785, "Public", "0010016M", "Lycée Joseph-Marie Carriat", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "BTS", "Lycée Joseph-Marie Carriat - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 12, 135, 16, 123, 0, 5, 1, 47, 6, 44, 19, 27, 12, 0, 6, 0, 6, 82, 2, 0, 0, 3, 0, 37, 4, 36, 15, 6, 50, 8, 0, 6, 1, 3.0, 5.0, 7.0, 0, 2, 7, 0, 1, 6, 1, 0, 3, 1, 3, 0, 0.0, 0, 0, 4, 3, 0, 4, 4, 37.5, 62.5, 87.5, 0.0, 57.09375, 57.09375, 42.8984375, 28.59765625, 87.5, 0.0, 42.8984375, 14.298828125, 42.8984375, 0.0, 0.0, 0.0, 0.0, 14.298828125, 0.0, 85.6875, 57.09375, 3.0, 0.0, 21.0, 8.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 59.0, "2006", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2006&g_ta_cod=2006", 0.0, 13.0, 88.0),
(7786, "Public", "0891222V", "I.U.T de Dijon - Antenne d'Auxerre", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Auxerre", "formation sélective", "BUT", "I.U.T de Dijon - Antenne d'Auxerre - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat MDEBE - Business international: achat et vente BIAV - Business développement et management de la relation client BDMRC", "BUT - Service", "Marketing digital, e-business et entrepreneuriat MDEBE - Business international: achat et vente BIAV - Business développement et management de la relation client BDMRC", 112, 1308, 610, 1308, 0, 698, 113, 355, 99, 42, 19, 213, 0, 0, 0, 0, 0, 1143, 0, 0, 0, 657, 105, 323, 86, 29, 12, 134, 739, 121, 56, 120, 0, 54.0, 86.0, 115.0, 0, 35, 111, 48, 58, 5, 10, 0, 48, 55, 6, 2, 0.0, 31, 28, 4, 0, 0, 68, 68, 44.63, 71.07, 95.04, 46.296875, 61.296875, 61.296875, 0, 31.5, 91.6875, 0.0, 43.1953125, 49.5, 5.3994140625, 1.8, 0.0, 43.1953125, 27.8984375, 52.296875, 25.19921875, 4.5, 3.599609375, 389.0, 71.0, 12.0, 7.0, 67.0, "Tous les candidats sauf les Bac technologiques", 587.0, "Bacheliers technologiques toutes séries", 331, "", 0, "Liste d'appel propre à cette formation", 70.0, "10801", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat MDEBE - Business international: achat et vente BIAV - Business développement et management de la relation client BDMRC", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10801&g_ta_cod=10801", 45.0, 51.0, 4.0),
(7787, "Privé sous contrat d'association", "0783282U", "Lycée BLANCHE DE CASTILLE", "78", "Yvelines", "Ile-de-France", "Versailles", "Le Chesnay-Rocquencourt", "formation sélective", "CPGE", "Lycée BLANCHE DE CASTILLE - CPGE - Lettres", "Classe préparatoire littéraire", "", 80, 508, 341, 508, 0, 458, 13, 0, 0, 0, 0, 50, 0, 0, 0, 0, 0, 468, 0, 0, 468, 449, 13, 0, 0, 0, 0, 19, 324, 79, 56, 79, 0, 10.0, 76.0, 77.0, 0, 1, 78, 78, 0, 0, 1, 0, 0, 7, 45, 25, 1.0, 78, 0, 0, 5, 4, 55, 60, 12.66, 96.2, 97.47, 70.890625, 70.5, 76.890625, 6.3994140625, 1.2998046875, 98.6875, 0.0, 0.0, 9.0, 57.6953125, 32.1, 1.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 309.0, 11.0, 0.0, 0.0, 15.0, "Tous les candidats", 403.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "10078", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10078&g_ta_cod=10078", 100.0, 0.0, 0.0),
(7788, "Public", "0762641H", "IFSI Mary Thieullent CH Le Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "IFSI", "Regroupement d'IFSI Université Rouen - D.E Infirmier", "D.E secteur sanitaire", "", 145, 2754, 2370, 2754, 0, 596, 126, 514, 141, 278, 99, 1366, 0, 0, 0, 0, 0, 2449, 0, 0, 0, 587, 124, 472, 122, 233, 85, 1157, 984, 145, 131, 145, 0, 5.0, 73.0, 106.0, 0, 34, 91, 44, 28, 19, 54, 0, 26, 47, 15, 3, 0.0, 24, 23, 18, 0, 0, 83, 83, 3.45, 50.34, 73.1, 90.296875, 91.1875, 91.1875, 0, 37.3984375, 62.796875, 0.0, 28.59765625, 51.59375, 16.5, 3.3, 0.0, 48.3984375, 26.3984375, 30.796875, 25.296875, 20.8984375, 19.796875, 332.0, 66.0, 64.0, 29.0, 399.0, "Tous les candidats", 1839.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 43.0, "23228", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23005&g_ta_cod=23228", 62.0, 23.0, 14.0),
(7789, "Privé sous contrat d'association", "0740148J", "Lycée professionnel La Fontaine", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Faverges-Seythenex", "formation sélective", "Autre formation", "Lycée professionnel La Fontaine - DN MADE - Espace - Parcours conception environnement montagne", "DN MADE", "Parcours conception environnement montagne", 15, 154, 111, 134, 0, 67, 11, 29, 6, 14, 2, 24, 20, 4, 5, 1, 10, 35, 3, 0, 0, 15, 4, 13, 3, 4, 0, 3, 33, 15, 9, 12, 3, 4.0, 9.0, 14.0, 0, 2, 14, 3, 8, 3, 1, 0, 3, 8, 3, 0, 0.0, 3, 5, 3, 0, 0, 8, 8, 26.67, 60.0, 93.33, 60.0, 57.09375, 57.09375, 0, 14.298828125, 93.296875, 0.0, 21.3984375, 57.09375, 21.3984375, 0.0, 0.0, 21.3984375, 21.3984375, 57.09375, 35.6953125, 21.3984375, 21.3984375, 12.0, 2.0, 4.0, 0.0, 3.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "26450", "DN MADE - Espace - Parcours conception environnement montagne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26450&g_ta_cod=26450", 20.0, 53.0, 20.0),
(7790, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Information et communication - Parcours Information-Communication - Mineure Lettres", "Licence - Sciences humaines et sociales", "Information-Communication - Mineure Lettres", 52, 1803, 1446, 1803, 0, 1155, 221, 100, 33, 15, 2, 533, 0, 0, 0, 0, 0, 1803, 0, 0, 0, 1155, 221, 100, 33, 15, 2, 533, 231, 50, 45, 50, 0, 6.0, 40.0, 46.0, 0, 7, 36, 35, 0, 1, 14, 1, 0, 5, 24, 6, 0.0, 34, 0, 1, 0, 0, 4, 31, 12.0, 80.0, 92.0, 90.0, 11.099609375, 86.09375, 0, 19.3984375, 72.0, 2.7998046875, 0.0, 13.8984375, 66.6875, 16.7, 0.0, 97.1875, 94.390625, 0.0, 0.0, 2.7998046875, 2.7998046875, 170.0, 36.0, 4.0, 1.0, 55.0, "Tous les candidats", 293.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "9264", "Licence - Information et communication - Parcours Information-Communication - Mineure Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9264&g_ta_cod=9264", 98.0, 0.0, 2.0),
(7791, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence", "Université du Mans - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER espagnol", "Licence - Arts-lettres-langues", "LLCER espagnol", 80, 212, 169, 167, 0, 122, 36, 13, 3, 8, 7, 24, 45, 9, 10, 4, 22, 166, 36, 0, 0, 122, 36, 13, 3, 8, 7, 23, 202, 32, 26, 25, 7, 23.0, 23.0, 30.0, 0, 7, 29, 21, 6, 2, 3, 0, 14, 11, 3, 1, 0.0, 12, 2, 1, 0, 0, 21, 21, 71.88, 71.88, 93.75, 81.296875, 72.390625, 72.390625, 0, 24.09765625, 90.59375, 0.0, 48.296875, 37.8984375, 10.298828125, 3.4, 0.0, 72.390625, 41.3984375, 20.69921875, 6.8994140625, 6.8994140625, 3.39990234375, 130.0, 39.0, 11.0, 9.0, 41.0, "Tous les candidats", 186.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "8741", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26883&g_ta_cod=8741", 72.0, 19.0, 9.0),
(7792, "Public", "0750612H", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART.", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART. - DN MADE - Matériaux - - Spécialité : Création Métal", "DN MADE", "- Spécialité : Création Métal", 7, 198, 120, 198, 0, 61, 7, 59, 6, 11, 1, 67, 0, 0, 0, 0, 0, 60, 0, 0, 0, 13, 2, 24, 0, 4, 0, 19, 10, 7, 5, 7, 0, 4.0, 7.0, 7.0, 0, 0, 4, 1, 3, 0, 3, 0, 0, 0, 4, 0, 0.0, 1, 3, 0, 0, 0, 2, 3, 57.14, 100.0, 100.0, 71.390625, 50.0, 75.0, 0, 0.0, 57.09375, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 25.0, 25.0, 75.0, 75.0, 0.0, 0.0, 2.0, 1.0, 0.0, 0.0, 3.0, "Tous les candidats", 11.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "21972", "DN MADE - Matériaux - - Spécialité : Création Métal", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21972&g_ta_cod=21972", 43.0, 43.0, 0.0),
(7793, "Public", "0680031P", "Lycée Albert Schweitzer", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "CPGE", "Lycée Albert Schweitzer - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 1075, 304, 927, 588, 600, 77, 2, 0, 0, 0, 325, 148, 84, 3, 0, 61, 589, 45, 377, 565, 540, 61, 0, 0, 0, 0, 49, 581, 73, 17, 69, 4, 22.0, 68.0, 73.0, 28, 8, 60, 60, 0, 0, 13, 0, 2, 17, 29, 12, 0.0, 58, 0, 0, 6, 2, 40, 40, 30.14, 93.15, 100.0, 23.296875, 66.6875, 66.6875, 10, 13.298828125, 82.1875, 0.0, 3.2998046875, 28.296875, 48.296875, 20.0, 0.0, 100.0, 96.6875, 0.0, 0.0, 0.0, 0.0, 530.0, 55.0, 0.0, 0.0, 51.0, "Tous les candidats", 586.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "8096", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8096&g_ta_cod=8096", 100.0, 0.0, 0.0),
(7794, "Public", "0782539L", "Lycée Saint Exupéry", "78", "Yvelines", "Ile-de-France", "Versailles", "Mantes-la-Jolie", "formation sélective", "BTS", "Lycée Saint Exupéry - BTS - Services - Support à l'action managériale", "BTS - Services", "", 30, 421, 250, 421, 0, 8, 4, 100, 54, 163, 79, 150, 0, 0, 0, 0, 0, 271, 0, 0, 0, 6, 3, 78, 45, 106, 48, 81, 87, 30, 18, 30, 0, 9.0, 26.0, 29.0, 0, 11, 15, 1, 9, 5, 15, 0, 4, 8, 3, 0, 0.0, 0, 6, 5, 9, 4, 15, 15, 30.0, 86.67, 96.67, 60.0, 100.0, 100.0, 60, 73.296875, 50.0, 0.0, 26.69921875, 53.296875, 20.0, 0.0, 0.0, 6.69921875, 0.0, 60.0, 40.0, 33.296875, 33.296875, 4.0, 3.0, 29.0, 9.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 27.0, "10028", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10028&g_ta_cod=10028", 7.0, 47.0, 47.0),
(7795, "Privé sous contrat d'association", "0752426E", "Lycée professionnel Agricole Breuil-Ecole privée d'Horticulture et Arboriculture", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "BTS", "Lycée professionnel Agricole Breuil-Ecole privée d'Horticulture et Arboriculture - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 28, 253, 84, 245, 0, 58, 5, 36, 7, 55, 10, 96, 8, 0, 3, 1, 4, 161, 0, 0, 0, 57, 5, 35, 7, 41, 6, 28, 96, 28, 14, 28, 0, 7.0, 24.0, 25.0, 0, 5, 24, 7, 8, 9, 4, 0, 10, 11, 3, 0, 0.0, 4, 3, 7, 2, 2, 5, 18, 25.0, 85.71, 89.29, 50.0, 20.796875, 75.0, 8.298828125, 20.796875, 85.6875, 0.0, 41.6953125, 45.796875, 12.5, 0.0, 0.0, 29.19921875, 16.69921875, 33.296875, 12.5, 37.5, 29.19921875, 25.0, 3.0, 23.0, 4.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 52.0, "9367", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9367&g_ta_cod=9367", 36.0, 29.0, 36.0),
(7796, "Privé sous contrat d'association", "0560180S", "Lycée Notre Dame De La Paix", "56", "Morbihan", "Bretagne", "Rennes", "Ploemeur", "formation sélective", "BTS", "Lycée Notre Dame De La Paix - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 365, 26, 341, 0, 80, 8, 102, 17, 79, 22, 80, 24, 0, 1, 16, 7, 219, 8, 0, 0, 63, 5, 70, 13, 54, 14, 32, 151, 35, 2, 31, 4, 4.0, 23.0, 26.0, 0, 5, 26, 8, 7, 11, 9, 1, 9, 14, 2, 0, 0.0, 3, 3, 10, 1, 0, 25, 25, 11.43, 65.71, 74.29, 5.69921875, 96.1875, 96.1875, 3.7998046875, 19.19921875, 74.296875, 3.7998046875, 34.59375, 53.796875, 7.69921875, 0.0, 0.0, 30.796875, 11.5, 26.8984375, 11.5, 42.296875, 38.5, 47.0, 4.0, 47.0, 12.0, 27.0, "Tous les candidats sauf les Bac professionnels", 151.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 60.0, "6449", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6449&g_ta_cod=6449", 37.0, 29.0, 34.0),
(7797, "Public", "0510031G", "Lycée CLEMENCEAU", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "CPGE", "Lycée CLEMENCEAU - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 359, 166, 358, 221, 277, 26, 0, 0, 0, 0, 81, 1, 0, 0, 0, 1, 275, 0, 172, 248, 257, 24, 0, 0, 0, 0, 18, 150, 15, 9, 15, 0, 1.0, 13.0, 15.0, 4, 2, 15, 15, 0, 0, 0, 0, 1, 2, 9, 3, 0.0, 14, 0, 0, 0, 0, 9, 9, 6.67, 86.67, 100.0, 60.0, 60.0, 60.0, 0, 13.298828125, 100.0, 0.0, 6.69921875, 13.298828125, 60.0, 20.0, 0.0, 100.0, 93.296875, 0.0, 0.0, 0.0, 0.0, 137.0, 11.0, 0.0, 0.0, 13.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "31583", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31380&g_ta_cod=31583", 100.0, 0.0, 0.0),
(7798, "Public", "0850028U", "Lycée professionnel Edouard Branly", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "Autre formation", "Lycée professionnel Edouard Branly - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 79, 19, 76, 0, 8, 2, 10, 4, 39, 10, 19, 3, 2, 0, 1, 0, 76, 0, 0, 0, 8, 2, 10, 4, 39, 10, 19, 57, 13, 1, 13, 0, 3.0, 13.0, 13.0, 0, 5, 10, 2, 3, 5, 3, 0, 8, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 7, 7, 23.08, 100.0, 100.0, 7.69921875, 70.0, 70.0, 0, 50.0, 76.890625, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 20.0, 0.0, 30.0, 10.0, 50.0, 10.0, 8.0, 2.0, 28.0, 9.0, 12.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "24773", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24773&g_ta_cod=24773", 15.0, 38.0, 46.0),
(7799, "Public", "0132133Y", "Aix Marseille Université - Site d'Aix-en-Provence (3 Schuman)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence_Las", "Aix Marseille Université - Site d'Aix-en-Provence (3 Schuman) - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 40, 1536, 1124, 1536, 0, 908, 206, 91, 30, 27, 15, 510, 0, 0, 0, 0, 0, 1528, 0, 0, 0, 908, 206, 91, 30, 27, 15, 502, 377, 40, 31, 40, 0, 0.0, 12.0, 24.0, 0, 11, 31, 29, 1, 1, 9, 1, 10, 14, 6, 0, 0.0, 18, 1, 1, 0, 0, 27, 27, 0.0, 30.0, 60.0, 77.5, 87.09375, 87.09375, 0, 35.5, 77.5, 3.19970703125, 32.296875, 45.1953125, 19.3984375, 0.0, 0.0, 93.5, 58.09375, 3.19970703125, 3.19970703125, 3.19970703125, 3.19970703125, 236.0, 61.0, 2.0, 2.0, 133.0, "Tous les candidats", 3725.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 44.0, "28486", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28485&g_ta_cod=28486", 95.0, 3.0, 3.0),
(7800, "Privé sous contrat d'association", "0221589H", "Lycée St Joseph", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Loudéac", "formation sélective", "BTS", "Lycée St Joseph - BTS - Services - Commerce International", "BTS - Services", "", 35, 284, 140, 284, 0, 55, 12, 78, 11, 46, 15, 105, 0, 0, 0, 0, 0, 219, 0, 0, 0, 51, 10, 73, 9, 45, 15, 50, 165, 30, 11, 29, 0, 6.0, 27.0, 27.0, 0, 2, 22, 9, 9, 4, 8, 0, 13, 8, 1, 0, 0.0, 3, 4, 2, 1, 0, 22, 22, 20.0, 90.0, 90.0, 36.6953125, 100.0, 100.0, 4.5, 9.099609375, 73.296875, 0.0, 59.09375, 36.3984375, 4.5, 0.0, 0.0, 40.8984375, 13.599609375, 40.8984375, 18.19921875, 18.19921875, 9.099609375, 41.0, 9.0, 37.0, 12.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 78.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 70.0, "3366", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3366&g_ta_cod=3366", 50.0, 37.0, 13.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(7801, "Privé sous contrat d'association", "0480025S", "Lycée polyvalent Notre-Dame", "48", "Lozère", "Occitanie", "Montpellier", "Mende", "formation sélective", "BTS", "Lycée polyvalent Notre-Dame - BTS - Services - Economie sociale familiale", "BTS - Services", "", 38, 349, 266, 318, 0, 25, 5, 75, 13, 80, 29, 138, 31, 4, 9, 3, 15, 224, 11, 0, 0, 25, 5, 74, 13, 75, 27, 50, 177, 27, 22, 24, 3, 4.0, 19.0, 22.0, 0, 5, 13, 1, 4, 8, 14, 0, 4, 7, 2, 0, 0.0, 1, 2, 6, 0, 0, 10, 10, 14.81, 70.37, 81.48, 81.5, 76.890625, 76.890625, 0, 38.5, 48.09375, 0.0, 30.796875, 53.796875, 15.3984375, 0.0, 0.0, 7.69921875, 7.69921875, 30.796875, 15.3984375, 61.5, 46.1953125, 21.0, 5.0, 58.0, 21.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 87, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 70.0, "5808", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5808&g_ta_cod=5808", 30.0, 30.0, 37.0),
(7802, "Privé enseignement supérieur", "0596951K", "Institut Catholique de Lille-Institut universitaire Santé Social", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence_Las", "Institut Catholique de Lille-Institut universitaire Santé Social - Licence - Portail Sciences sanitaires et sociales", "Licence - Sciences - technologies - santé", "", 5, 258, 211, 258, 0, 89, 23, 79, 24, 11, 6, 79, 0, 0, 0, 0, 0, 258, 0, 0, 0, 89, 23, 79, 24, 11, 6, 79, 32, 4, 4, 4, 0, 0.0, 1.0, 3.0, 0, 0, 1, 1, 0, 0, 3, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 25.0, 75.0, 100.0, 100.0, 100.0, 0, 0.0, 25.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 13.0, 2.0, 0.0, 0.0, 15.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "31902", "Licence - Portail Sciences sanitaires et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31901&g_ta_cod=31902", 75.0, 25.0, 0.0),
(7803, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "Licence", "Université des Antilles - Pôle Guadeloupe - Licence - Portail Sciences de la vie et de la terre - Biologie des organismes et de l'environnement(BOE) / Biologie générale et sciences de la terre et de l?univers(BGSTU) / Géosciences(GEOS)- Guadeloupe", "Licence - Sciences - technologies - santé", "Biologie des organismes et de l'environnement(BOE) / Biologie générale et sciences de la terre et de l?univers(BGSTU) / Géosciences(GEOS)- Guadeloupe", 40, 456, 304, 456, 0, 313, 96, 29, 17, 4, 1, 110, 0, 0, 0, 0, 0, 456, 0, 0, 0, 313, 96, 29, 17, 4, 1, 110, 209, 39, 22, 38, 0, 0.0, 34.0, 34.0, 0, 9, 33, 31, 1, 1, 6, 0, 9, 16, 7, 0, 1.0, 23, 0, 1, 0, 0, 27, 27, 0.0, 87.18, 87.18, 56.3984375, 81.796875, 81.796875, 0, 27.296875, 84.59375, 0.0, 27.296875, 48.5, 21.19921875, 0.0, 3.0, 93.890625, 69.6875, 3.0, 0.0, 3.0, 3.0, 142.0, 50.0, 1.0, 1.0, 63.0, "Tous les candidats", 458.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 70.0, "11749", "Licence - Portail Sciences de la vie et de la terre - Biologie des organismes et de l'environnement(BOE) / Biologie générale et sciences de la terre et de l?univers(BGSTU) / Géosciences(GEOS)- Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27411&g_ta_cod=11749", 95.0, 3.0, 3.0),
(7804, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Langues étrangères appliquées - Parcours Anglais / Espagnol", "Licence - Arts-lettres-langues", "Anglais / Espagnol", 120, 567, 432, 540, 0, 348, 104, 48, 15, 12, 10, 132, 27, 3, 3, 1, 20, 539, 19, 0, 0, 348, 104, 48, 15, 12, 10, 131, 558, 114, 79, 103, 11, 100.0, 101.0, 104.0, 0, 33, 77, 60, 15, 2, 37, 0, 27, 31, 15, 4, 0.0, 41, 7, 2, 0, 0, 47, 47, 87.72, 88.6, 91.23, 69.296875, 61.0, 61.0, 0, 42.8984375, 67.5, 0.0, 35.09375, 40.296875, 19.5, 5.2, 0.0, 77.890625, 53.1953125, 19.5, 9.099609375, 2.599609375, 2.599609375, 350.0, 105.0, 13.0, 11.0, 144.0, "Tous les candidats", 539.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10708", "Licence - Langues étrangères appliquées - Parcours Anglais / Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10708&g_ta_cod=10708", 73.0, 23.0, 4.0),
(7805, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Portail Sciences de la vie - BGC", "Licence - Sciences - technologies - santé", "BGC", 327, 3436, 2391, 3357, 0, 2140, 289, 100, 22, 4, 1, 1113, 79, 21, 2, 0, 56, 3357, 74, 0, 0, 2140, 289, 100, 22, 4, 1, 1113, 1632, 308, 206, 268, 40, 20.0, 136.0, 224.0, 0, 32, 185, 176, 9, 0, 123, 0, 52, 72, 43, 18, 0.0, 127, 6, 0, 0, 0, 155, 155, 6.49, 44.16, 72.73, 66.890625, 83.796875, 83.796875, 0, 17.296875, 60.09375, 0.0, 28.09765625, 38.8984375, 23.19921875, 9.7, 0.0, 95.09375, 68.59375, 4.8994140625, 3.19970703125, 0.0, 0.0, 905.0, 138.0, 1.0, 0.0, 703.0, "Tous les candidats", 2157.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 55.0, "32036", "Licence - Portail Sciences de la vie - BGC", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32037&g_ta_cod=32036", 94.0, 6.0, 0.0),
(7806, "Public", "0951673C", "Lycée professionnel Gustave Eiffel", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Ermont", "formation sélective", "BTS", "Lycée professionnel Gustave Eiffel - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 30, 277, 9, 277, 0, 7, 1, 31, 15, 183, 77, 56, 0, 0, 0, 0, 0, 277, 0, 0, 0, 7, 1, 31, 15, 183, 77, 56, 93, 29, 0, 29, 0, 11.0, 18.0, 23.0, 0, 9, 24, 1, 3, 20, 5, 0, 8, 8, 6, 2, 0.0, 0, 1, 15, 8, 0, 21, 24, 37.93, 62.07, 79.31, 0.0, 87.5, 100.0, 33.296875, 37.5, 82.796875, 0.0, 33.296875, 33.296875, 25.0, 8.3, 0.0, 4.19921875, 0.0, 12.5, 4.19921875, 83.296875, 62.5, 6.0, 1.0, 57.0, 21.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 111, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 49.0, "18830", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18830&g_ta_cod=18830", 3.0, 10.0, 86.0),
(7807, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation sélective", "Autre formation", "Université Sorbonne Paris Nord - Antenne de Bobigny - DEUST - Animation et gestion des activités physiques, sportives ou culturelles", "DEUST", "", 35, 695, 147, 695, 0, 174, 34, 140, 35, 164, 62, 217, 0, 0, 0, 0, 0, 500, 0, 0, 0, 144, 27, 97, 19, 135, 49, 124, 147, 33, 6, 33, 0, 1.0, 21.0, 27.0, 0, 9, 27, 6, 8, 13, 6, 0, 16, 9, 1, 1, 0.0, 0, 7, 4, 0, 0, 15, 26, 3.03, 63.64, 81.82, 18.19921875, 55.59375, 96.296875, 0, 33.296875, 81.796875, 0.0, 59.296875, 33.296875, 3.69970703125, 3.7, 0.0, 22.19921875, 0.0, 29.59765625, 25.8984375, 48.09375, 14.798828125, 48.0, 10.0, 40.0, 13.0, 33.0, "Tous les candidats", 182.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "22982", "DEUST - Animation et gestion des activités physiques, sportives ou culturelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22982&g_ta_cod=22982", 30.0, 27.0, 42.0),
(7808, "Public", "0690128P", "Lycée Edouard Branly", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 658, 23, 655, 0, 18, 3, 190, 64, 302, 118, 145, 3, 0, 2, 0, 1, 382, 0, 0, 0, 11, 1, 134, 34, 188, 64, 49, 111, 31, 2, 30, 0, 10.0, 23.0, 27.0, 0, 15, 27, 1, 11, 15, 4, 1, 5, 10, 6, 5, 0.0, 0, 6, 15, 14, 1, 23, 23, 32.26, 74.19, 87.1, 6.5, 85.1875, 85.1875, 51.8984375, 55.59375, 87.09375, 3.69970703125, 18.5, 37.0, 22.19921875, 18.5, 0.0, 3.69970703125, 0.0, 40.6953125, 22.19921875, 55.59375, 55.59375, 5.0, 1.0, 40.0, 16.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 108, "Liste d'appel propre à cette formation", 29.0, "8249", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8249&g_ta_cod=8249", 3.0, 45.0, 52.0),
(7809, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais", "Licence - Arts-lettres-langues", "Portugais", 80, 163, 110, 81, 0, 35, 14, 5, 1, 6, 2, 35, 82, 3, 3, 5, 71, 80, 81, 0, 0, 35, 14, 5, 1, 6, 2, 34, 161, 44, 32, 14, 30, 14.0, 14.0, 30.0, 0, 6, 11, 4, 2, 5, 33, 0, 8, 2, 1, 0, 0.0, 0, 1, 2, 0, 0, 9, 9, 31.82, 31.82, 68.18, 72.6875, 81.796875, 81.796875, 0, 54.5, 25.0, 0.0, 72.6875, 18.19921875, 9.099609375, 0.0, 0.0, 36.3984375, 0.0, 18.19921875, 9.099609375, 45.5, 18.19921875, 38.0, 16.0, 11.0, 4.0, 104.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4163", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4163&g_ta_cod=4163", 43.0, 11.0, 32.0),
(7810, "Public", "0081047V", "Lycée Bazeilles", "08", "Ariège", "Grand Est", "Reims", "Sedan", "formation sélective", "BTS", "Lycée Bazeilles - BTS - Services - Tourisme", "BTS - Services", "", 48, 329, 198, 302, 0, 49, 16, 41, 17, 51, 23, 161, 27, 2, 3, 0, 22, 156, 16, 0, 0, 49, 16, 40, 16, 34, 13, 33, 126, 33, 26, 26, 6, 10.0, 26.0, 31.0, 0, 9, 22, 8, 9, 5, 11, 0, 8, 11, 3, 0, 0.0, 7, 3, 4, 4, 4, 20, 20, 30.3, 78.79, 93.94, 78.796875, 90.890625, 90.890625, 18.19921875, 40.8984375, 66.6875, 0.0, 36.3984375, 50.0, 13.599609375, 0.0, 0.0, 36.3984375, 31.796875, 40.8984375, 13.599609375, 22.69921875, 18.19921875, 30.0, 9.0, 33.0, 13.0, 41.0, "Tous les candidats sauf les Bac professionnels", 114.0, "Bacheliers professionnels toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 52.0, "2377", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2377&g_ta_cod=2377", 42.0, 33.0, 24.0),
(7811, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 200, 1349, 576, 941, 0, 544, 117, 109, 37, 51, 22, 237, 408, 119, 65, 25, 199, 938, 225, 0, 0, 544, 117, 109, 37, 51, 22, 234, 969, 190, 60, 95, 92, 19.0, 94.0, 132.0, 0, 27, 102, 52, 34, 16, 88, 0, 62, 36, 2, 2, 0.0, 27, 4, 9, 0, 0, 71, 98, 10.0, 49.47, 69.47, 31.59765625, 69.59375, 96.09375, 0, 26.5, 53.6953125, 0.0, 60.796875, 35.296875, 2.0, 2.0, 0.0, 51.0, 26.5, 33.296875, 3.89990234375, 15.69921875, 8.798828125, 477.0, 101.0, 57.0, 24.0, 301.0, "Tous les candidats", 938.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24237", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24237&g_ta_cod=24237", 46.0, 36.0, 18.0),
(7812, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence_Las", "Université de Poitiers - Licence - Portail  -  option Santé", "Licence - Sciences - technologies - santé", "", 30, 1209, 531, 1209, 0, 927, 99, 54, 10, 12, 3, 216, 0, 0, 0, 0, 0, 1209, 0, 0, 0, 927, 99, 54, 10, 12, 3, 216, 86, 30, 19, 30, 0, 5.0, 23.0, 24.0, 0, 8, 29, 29, 0, 0, 1, 0, 3, 3, 12, 11, 0.0, 26, 0, 0, 0, 0, 29, 29, 16.67, 76.67, 80.0, 63.296875, 100.0, 100.0, 0, 27.59765625, 96.6875, 0.0, 10.298828125, 10.298828125, 41.3984375, 37.9, 0.0, 100.0, 89.6875, 0.0, 0.0, 0.0, 0.0, 73.0, 11.0, 0.0, 0.0, 13.0, "Tous les candidats", 95.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "28746", "Licence - Portail  -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28746&g_ta_cod=28746", 100.0, 0.0, 0.0),
(7813, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues Etrangères Appliquées Anglais-Portugais - cursus 4 ans", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées Anglais-Portugais - cursus 4 ans", 16, 101, 67, 75, 0, 38, 11, 4, 1, 12, 4, 21, 26, 3, 4, 2, 17, 75, 23, 0, 0, 38, 11, 4, 1, 12, 4, 21, 81, 14, 8, 8, 6, 3.0, 8.0, 10.0, 0, 1, 8, 4, 3, 1, 6, 1, 6, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 6, 6, 21.43, 57.14, 71.43, 57.09375, 75.0, 75.0, 0, 12.5, 57.09375, 12.5, 75.0, 12.5, 0.0, 0.0, 0.0, 50.0, 12.5, 37.5, 0.0, 12.5, 0.0, 40.0, 13.0, 6.0, 2.0, 27.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "18512", "Licence - Portail Langues Etrangères Appliquées Anglais-Portugais - cursus 4 ans", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18512&g_ta_cod=18512", 57.0, 29.0, 7.0),
(7814, "Public", "0831563Y", "Lycée Costebelle", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Hyères", "formation sélective", "BTS", "Lycée Costebelle - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 13, 857, 675, 857, 0, 168, 38, 284, 83, 58, 25, 347, 0, 0, 0, 0, 0, 286, 0, 0, 0, 53, 7, 133, 36, 32, 15, 68, 71, 13, 11, 13, 0, 2.0, 9.0, 13.0, 0, 4, 9, 1, 6, 2, 4, 0, 1, 4, 3, 1, 0.0, 1, 5, 2, 2, 2, 5, 5, 15.38, 69.23, 100.0, 84.59375, 55.59375, 55.59375, 22.19921875, 44.3984375, 69.1875, 0.0, 11.099609375, 44.3984375, 33.296875, 11.1, 0.0, 11.099609375, 11.099609375, 66.6875, 55.59375, 22.19921875, 22.19921875, 10.0, 2.0, 3.0, 2.0, 23.0, "Tous les candidats sauf les Bac professionnels", 136.0, "Bacheliers professionnels toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 16.0, "10401", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10401&g_ta_cod=10401", 15.0, 69.0, 15.0),
(7815, "Public", "0830042V", "Lycée Antoine De Saint Exupery", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Saint-Raphaël", "formation sélective", "BTS", "Lycée Antoine De Saint Exupery - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 298, 129, 284, 0, 68, 22, 79, 23, 58, 31, 79, 14, 1, 3, 0, 10, 186, 4, 0, 0, 62, 21, 56, 17, 42, 18, 26, 96, 18, 6, 16, 2, 4.0, 12.0, 15.0, 0, 3, 14, 7, 2, 5, 4, 0, 6, 5, 3, 0, 0.0, 2, 1, 5, 4, 2, 14, 14, 22.22, 66.67, 83.33, 33.296875, 100.0, 100.0, 28.59765625, 21.3984375, 77.796875, 0.0, 42.8984375, 35.6953125, 21.3984375, 0.0, 0.0, 50.0, 14.298828125, 14.298828125, 7.099609375, 35.6953125, 35.6953125, 28.0, 11.0, 14.0, 6.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 53.0, "10337", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10337&g_ta_cod=10337", 50.0, 22.0, 28.0),
(7816, "Public", "0921619K", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS)", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Châtenay-Malabry", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS) - BPJEPS - Activités de la forme", "BPJEPS", "", 4, 284, 52, 284, 0, 46, 6, 60, 15, 64, 14, 114, 0, 0, 0, 0, 0, 20, 0, 0, 0, 3, 0, 4, 0, 1, 0, 12, 8, 4, 1, 4, 0, 1.0, 4.0, 4.0, 0, 0, 2, 2, 0, 0, 2, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 1, 25.0, 100.0, 100.0, 25.0, 0.0, 50.0, 0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 3.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 9.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 3.0, "21349", "BPJEPS - Activités de la forme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21349&g_ta_cod=21349", 50.0, 0.0, 50.0),
(7817, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Breton et celtique - enseignement à distance", "Licence - Arts-lettres-langues", "Breton et celtique - enseignement à distance", 40, 114, 70, 55, 0, 20, 4, 1, 1, 1, 0, 33, 59, 1, 0, 2, 56, 55, 57, 0, 0, 20, 4, 1, 1, 1, 0, 33, 111, 36, 22, 13, 23, 12.0, 13.0, 27.0, 0, 1, 2, 2, 0, 0, 34, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 33.33, 36.11, 75.0, 61.09375, 100.0, 100.0, 0, 50.0, 5.599609375, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 21.0, 4.0, 3.0, 2.0, 86.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26541", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Breton et celtique - enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26541&g_ta_cod=26541", 83.0, 11.0, 6.0),
(7818, "Privé sous contrat d'association", "0920928J", "Lycée La Salle Passy Buzenval", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Rueil-Malmaison", "formation sélective", "CPGE", "Lycée La Salle Passy Buzenval - CPGE - PTSI", "Classe préparatoire scientifique", "", 35, 626, 109, 626, 519, 569, 14, 1, 0, 0, 0, 56, 0, 0, 0, 0, 0, 543, 0, 519, 293, 504, 11, 0, 0, 0, 0, 39, 129, 35, 7, 35, 0, 22.0, 34.0, 34.0, 32, 0, 35, 35, 0, 0, 0, 0, 0, 0, 11, 23, 1.0, 35, 0, 0, 2, 0, 17, 20, 62.86, 97.14, 97.14, 20.0, 48.59375, 57.09375, 5.69921875, 0.0, 100.0, 0.0, 0.0, 0.0, 31.3984375, 65.7, 2.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 129.0, 3.0, 0.0, 0.0, 0.0, "Tous les candidats", 136.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "11052", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11052&g_ta_cod=11052", 100.0, 0.0, 0.0),
(7819, "Privé sous contrat d'association", "0333481E", "YNCREA - BÈGLES", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "Bac STI2D", 5, 75, 4, 74, 0, 0, 0, 74, 16, 0, 0, 0, 1, 0, 1, 0, 0, 39, 0, 0, 0, 0, 0, 39, 7, 0, 0, 0, 18, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "31224", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=31224", 0, 0, 0),
(7820, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence_Las", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Langues étrangères appliquées - LEA Anglais-Espagnol", "Licence - Arts-lettres-langues", "LEA Anglais-Espagnol", 20, 184, 148, 146, 0, 82, 18, 13, 3, 3, 1, 48, 38, 11, 2, 0, 25, 140, 17, 0, 0, 82, 18, 13, 3, 3, 1, 42, 114, 16, 14, 12, 4, 1.0, 12.0, 14.0, 0, 1, 8, 7, 1, 0, 8, 0, 4, 2, 1, 1, 0.0, 4, 0, 0, 0, 0, 3, 3, 6.25, 75.0, 87.5, 87.5, 37.5, 37.5, 0, 12.5, 50.0, 0.0, 50.0, 25.0, 12.5, 12.5, 0.0, 87.5, 50.0, 12.5, 0.0, 0.0, 0.0, 63.0, 15.0, 1.0, 0.0, 44.0, "Tous les candidats", 553.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 95.0, "26717", "Licence - Portail Langues étrangères appliquées - LEA Anglais-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26716&g_ta_cod=26717", 88.0, 13.0, 0.0),
(7821, "Public", "9710774P", "Lycée Faustin Fleret", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Morne-à-l'Eau", "formation sélective", "BTS", "Lycée Faustin Fleret - BTS - Services - Gestion de la PME", "BTS - Services", "", 34, 448, 283, 381, 0, 73, 44, 124, 72, 126, 90, 58, 67, 6, 5, 23, 33, 97, 14, 0, 0, 21, 12, 30, 19, 36, 29, 10, 97, 29, 19, 16, 7, 5.0, 15.0, 24.0, 0, 15, 23, 5, 5, 13, 6, 0, 7, 14, 2, 0, 0.0, 4, 3, 9, 2, 0, 23, 23, 17.24, 51.72, 82.76, 65.5, 100.0, 100.0, 8.69921875, 65.1875, 79.296875, 0.0, 30.3984375, 60.8984375, 8.69921875, 0.0, 0.0, 21.69921875, 17.3984375, 21.69921875, 13.0, 56.5, 39.09375, 13.0, 9.0, 37.0, 27.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 25.0, "11753", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11753&g_ta_cod=11753", 28.0, 24.0, 48.0),
(7822, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Russie - Russe", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères, parcours Russie - Russe", 80, 222, 151, 137, 0, 64, 24, 3, 1, 7, 4, 63, 85, 14, 1, 2, 68, 137, 59, 0, 0, 64, 24, 3, 1, 7, 4, 63, 187, 42, 25, 20, 22, 15.0, 20.0, 29.0, 0, 5, 11, 8, 2, 1, 31, 0, 3, 5, 2, 1, 0.0, 6, 1, 1, 0, 0, 0, 7, 35.71, 47.62, 69.05, 59.5, 0.0, 63.59375, 0, 45.5, 26.19921875, 0.0, 27.296875, 45.5, 18.19921875, 9.1, 0.0, 72.6875, 54.5, 18.19921875, 9.099609375, 9.099609375, 9.099609375, 67.0, 28.0, 9.0, 4.0, 107.0, "Tous les candidats", 157.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9430", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Russie - Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29627&g_ta_cod=9430", 86.0, 7.0, 5.0),
(7823, "Public", "0510034K", "Lycée Franklin Roosevelt", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "CPGE", "Lycée Franklin Roosevelt - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 48, 267, 144, 229, 112, 0, 0, 180, 53, 0, 0, 49, 38, 0, 27, 0, 11, 178, 11, 74, 171, 0, 0, 161, 44, 0, 0, 17, 173, 36, 20, 33, 3, 6.0, 32.0, 33.0, 8, 11, 29, 0, 29, 0, 7, 0, 4, 17, 7, 1, 0.0, 0, 25, 0, 7, 4, 19, 19, 16.67, 88.89, 91.67, 55.59375, 65.5, 65.5, 24.09765625, 37.8984375, 80.59375, 0.0, 13.798828125, 58.59375, 24.09765625, 3.4, 0.0, 0.0, 0.0, 100.0, 86.1875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 20.0, "Tous les candidats", 179.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "6065", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6065&g_ta_cod=6065", 0.0, 100.0, 0.0),
(7824, "Public", "0350028R", "Lycée Bréquigny", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Lycée Bréquigny - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 771, 352, 729, 0, 316, 52, 200, 57, 13, 6, 200, 42, 2, 10, 1, 29, 476, 3, 0, 0, 260, 37, 144, 46, 0, 0, 72, 233, 26, 10, 23, 3, 3.0, 20.0, 23.0, 0, 6, 17, 3, 14, 0, 9, 0, 3, 7, 6, 1, 0.0, 3, 11, 0, 0, 0, 15, 15, 11.54, 76.92, 88.46, 38.5, 88.1875, 88.1875, 0, 35.296875, 65.390625, 0.0, 17.59765625, 41.1953125, 35.296875, 5.9, 0.0, 17.59765625, 17.59765625, 82.390625, 64.6875, 0.0, 0.0, 121.0, 13.0, 0.0, 0.0, 45.0, "Tous les candidats", 464.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "4639", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4639&g_ta_cod=4639", 35.0, 62.0, 4.0),
(7825, "Public", "0940120V", "Lycée Marcelin Berthelot", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "CPGE", "Lycée Marcelin Berthelot - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 943, 405, 943, 508, 833, 108, 0, 0, 1, 1, 109, 0, 0, 0, 0, 0, 455, 0, 72, 437, 446, 49, 0, 0, 0, 0, 9, 208, 24, 7, 24, 0, 2.0, 9.0, 24.0, 3, 2, 24, 24, 0, 0, 0, 0, 0, 0, 18, 6, 0.0, 24, 0, 0, 4, 1, 18, 23, 8.33, 37.5, 100.0, 29.19921875, 75.0, 95.796875, 16.69921875, 8.298828125, 100.0, 0.0, 0.0, 0.0, 75.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 203.0, 24.0, 0.0, 0.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "31599", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31295&g_ta_cod=31599", 100.0, 0.0, 0.0),
(7826, "Public", "0350028R", "Lycée Bréquigny", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Bréquigny - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 30, 467, 66, 385, 0, 27, 6, 102, 34, 111, 27, 145, 82, 2, 19, 20, 41, 152, 20, 0, 0, 21, 4, 53, 17, 56, 16, 22, 123, 23, 1, 13, 9, 3.0, 13.0, 20.0, 0, 5, 11, 1, 2, 8, 12, 0, 4, 5, 2, 0, 0.0, 0, 2, 5, 0, 0, 8, 8, 13.04, 56.52, 86.96, 4.2998046875, 72.6875, 72.6875, 0, 45.5, 47.796875, 0.0, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 9.099609375, 0.0, 18.19921875, 18.19921875, 72.6875, 45.5, 13.0, 3.0, 44.0, 13.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 39.0, "4632", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4632&g_ta_cod=4632", 30.0, 26.0, 43.0),
(7827, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Arts - Programme International MINERVE", "Licence - Arts-lettres-langues", "Arts - Programme International MINERVE", 527, 2455, 1720, 2404, 0, 1553, 293, 186, 45, 71, 22, 594, 51, 5, 4, 3, 39, 2398, 50, 0, 0, 1553, 293, 186, 45, 71, 22, 588, 1881, 546, 360, 515, 31, 134.0, 424.0, 473.0, 0, 87, 393, 340, 34, 19, 153, 5, 125, 150, 87, 24, 2.0, 238, 15, 10, 0, 0, 181, 181, 24.54, 77.66, 86.63, 65.890625, 46.09375, 46.09375, 0, 22.09765625, 72.0, 1.2998046875, 31.796875, 38.1953125, 22.09765625, 6.1, 0.5, 86.5, 60.59375, 8.69921875, 3.7998046875, 4.7998046875, 2.5, 1268.0, 234.0, 60.0, 21.0, 400.0, "Tous les candidats", 2129.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "17826", "Licence - Portail Arts - Programme International MINERVE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17826&g_ta_cod=17826", 82.0, 11.0, 7.0),
(7828, "Public", "9740952S", "Lycée Pierre Poivre", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Joseph", "formation sélective", "BTS", "Lycée Pierre Poivre - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 279, 32, 279, 0, 35, 15, 98, 55, 73, 47, 73, 0, 0, 0, 0, 0, 183, 0, 0, 0, 35, 15, 70, 36, 51, 34, 27, 79, 32, 4, 32, 0, 13.0, 28.0, 30.0, 0, 18, 29, 4, 16, 9, 3, 0, 12, 11, 5, 1, 0.0, 2, 7, 8, 10, 2, 28, 28, 40.63, 87.5, 93.75, 12.5, 96.59375, 96.59375, 34.5, 62.09375, 90.59375, 0.0, 41.3984375, 37.8984375, 17.19921875, 3.4, 0.0, 13.798828125, 6.8994140625, 55.1953125, 24.09765625, 31.0, 27.59765625, 13.0, 6.0, 17.0, 13.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 37.0, "11934", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11934&g_ta_cod=11934", 13.0, 59.0, 28.0),
(7829, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence_Las", "Université de Lorraine - Site de Metz - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 50, 674, 512, 635, 0, 372, 86, 74, 28, 17, 10, 172, 39, 13, 3, 1, 22, 625, 37, 0, 0, 373, 87, 74, 28, 17, 10, 161, 368, 46, 36, 29, 16, 0.0, 17.0, 30.0, 0, 9, 29, 21, 8, 0, 17, 0, 18, 10, 1, 0, 0.0, 9, 2, 0, 0, 0, 27, 27, 0.0, 36.96, 65.22, 78.296875, 93.09375, 93.09375, 0, 31.0, 63.0, 0.0, 62.09375, 34.5, 3.39990234375, 0.0, 0.0, 72.390625, 31.0, 27.59765625, 6.8994140625, 0.0, 0.0, 227.0, 56.0, 4.0, 3.0, 99.0, "Tous les candidats", 2669.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "26936", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26935&g_ta_cod=26936", 67.0, 26.0, 7.0),
(7830, "Privé sous contrat d'association", "0271053Y", "Lycée Saint-Adjutor", "27", "Eure", "Normandie", "Normandie", "Vernon", "formation sélective", "BTS", "Lycée Saint-Adjutor - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 322, 47, 313, 0, 49, 2, 55, 14, 34, 5, 175, 9, 0, 0, 6, 3, 139, 2, 0, 0, 39, 2, 47, 10, 25, 4, 28, 90, 31, 1, 29, 2, 8.0, 24.0, 28.0, 0, 2, 24, 7, 12, 5, 7, 1, 8, 15, 0, 0, 0.0, 4, 9, 2, 0, 0, 14, 14, 25.81, 77.42, 90.32, 3.19970703125, 58.296875, 58.296875, 0, 8.298828125, 77.390625, 4.19921875, 33.296875, 62.5, 0.0, 0.0, 0.0, 29.19921875, 16.69921875, 50.0, 37.5, 20.796875, 8.298828125, 21.0, 1.0, 22.0, 3.0, 25.0, "Tous les candidats sauf les Bac professionnels", 81.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 35.0, "3700", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3700&g_ta_cod=3700", 35.0, 45.0, 19.0),
(7831, "Privé sous contrat d'association", "0450106W", "Lycée Saint Francois De Sales", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Gien", "formation sélective", "BTS", "Lycée Saint Francois De Sales - BTS - Production - Métiers de la chimie", "BTS - Production", "", 18, 145, 84, 118, 0, 24, 4, 40, 6, 3, 0, 51, 27, 5, 2, 0, 20, 89, 18, 0, 0, 22, 3, 38, 6, 3, 0, 26, 83, 10, 5, 7, 3, 3.0, 7.0, 8.0, 0, 0, 3, 3, 0, 0, 7, 0, 1, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 30.0, 70.0, 80.0, 50.0, 66.6875, 66.6875, 0, 0.0, 30.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 21.0, 4.0, 2.0, 0.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 2, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 75.0, "5681", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5681&g_ta_cod=5681", 60.0, 30.0, 0.0),
(7832, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence_Las", "Université de Paris - Licence - Portail Histoire", "Licence - Sciences humaines et sociales", "", 10, 462, 306, 462, 0, 213, 50, 35, 16, 14, 7, 200, 0, 0, 0, 0, 0, 462, 0, 0, 0, 213, 50, 35, 16, 14, 7, 200, 56, 10, 6, 10, 0, 1.0, 4.0, 7.0, 0, 0, 5, 5, 0, 0, 5, 0, 0, 2, 3, 0, 0.0, 5, 0, 0, 0, 0, 1, 4, 10.0, 40.0, 70.0, 60.0, 20.0, 80.0, 0, 0.0, 50.0, 0.0, 0.0, 40.0, 60.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 20.0, 5.0, 0.0, 0.0, 36.0, "Tous les candidats", 406.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "32335", "Licence - Portail Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32334&g_ta_cod=32335", 100.0, 0.0, 0.0),
(7833, "Public", "0920130S", "Lycée Descartes", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Antony", "formation sélective", "BTS", "Lycée Descartes - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 36, 825, 351, 650, 0, 69, 26, 191, 78, 160, 67, 230, 175, 0, 0, 105, 70, 243, 4, 0, 0, 41, 18, 83, 30, 78, 32, 41, 128, 36, 14, 31, 4, 5.0, 27.0, 30.0, 0, 8, 28, 6, 11, 11, 8, 0, 13, 10, 4, 1, 0.0, 0, 6, 9, 4, 1, 14, 28, 13.89, 75.0, 83.33, 38.8984375, 50.0, 100.0, 14.298828125, 28.59765625, 77.796875, 0.0, 46.3984375, 35.6953125, 14.298828125, 3.6, 0.0, 21.3984375, 0.0, 39.296875, 21.3984375, 39.296875, 32.09375, 17.0, 6.0, 53.0, 23.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 25.0, "10980", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10980&g_ta_cod=10980", 19.0, 39.0, 42.0),
(7834, "Privé sous contrat d'association", "0740082M", "Lycée Saint Michel", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BTS", "Lycée Saint Michel - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 30, 252, 18, 249, 0, 32, 3, 83, 9, 75, 18, 59, 3, 1, 0, 0, 2, 198, 1, 0, 0, 31, 3, 69, 8, 64, 15, 34, 89, 26, 0, 25, 1, 4.0, 18.0, 21.0, 0, 0, 23, 2, 11, 10, 3, 0, 8, 12, 1, 2, 0.0, 0, 7, 8, 1, 0, 23, 23, 15.38, 69.23, 80.77, 0.0, 100.0, 100.0, 4.2998046875, 0.0, 88.5, 0.0, 34.796875, 52.1953125, 4.2998046875, 8.7, 0.0, 8.69921875, 0.0, 47.796875, 30.3984375, 43.5, 34.796875, 10.0, 1.0, 26.0, 5.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 52.0, "8882", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8882&g_ta_cod=8882", 8.0, 46.0, 46.0),
(7835, "Privé sous contrat d'association", "0370749N", "Lycée Sainte Marguerite", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Chambray-lès-Tours", "formation sélective", "BTS", "Lycée Sainte Marguerite - BTS - Services - Commerce International", "BTS - Services", "", 40, 504, 243, 495, 0, 157, 35, 131, 41, 37, 15, 170, 9, 1, 3, 0, 5, 277, 5, 0, 0, 117, 25, 88, 20, 18, 9, 54, 178, 37, 17, 35, 2, 3.0, 23.0, 31.0, 0, 8, 23, 13, 9, 1, 14, 0, 14, 7, 2, 0, 0.0, 6, 2, 1, 0, 0, 19, 19, 8.11, 62.16, 83.78, 45.8984375, 82.59375, 82.59375, 0, 34.796875, 62.1953125, 0.0, 60.8984375, 30.3984375, 8.69921875, 0.0, 0.0, 56.5, 26.09765625, 39.09375, 8.69921875, 4.2998046875, 4.2998046875, 68.0, 16.0, 2.0, 1.0, 51.0, "Tous les candidats sauf les Bac professionnels", 235.0, "Bacheliers professionnels toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 48.0, "18586", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18586&g_ta_cod=18586", 59.0, 35.0, 5.0),
(7836, "Privé enseignement supérieur", "0942095S", "EPITA Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Le Kremlin-Bicêtre", "formation sélective", "Ecole d'Ingénieur", "Concours Advance - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 220, 3197, 503, 3197, 0, 3189, 278, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 2601, 0, 0, 0, 2600, 189, 0, 0, 0, 0, 1, 1684, 262, 33, 262, 0, 209.0, 244.0, 254.0, 0, 15, 262, 262, 0, 0, 0, 0, 9, 96, 122, 32, 3.0, 253, 0, 0, 0, 0, 32, 209, 79.77, 93.13, 96.95, 12.599609375, 12.19921875, 79.796875, 0, 5.69921875, 100.0, 0.0, 3.39990234375, 36.59375, 46.59375, 12.2, 1.1, 100.0, 96.59375, 0.0, 0.0, 0.0, 0.0, 1683.0, 101.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 58.0, "130", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Advance", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=124&g_ta_cod=130", 100.0, 0.0, 0.0),
(7837, "Public", "0690104N", "Lycée Marcel Sembat", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Vénissieux", "formation sélective", "BTS", "Lycée Marcel Sembat - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 569, 17, 515, 0, 15, 2, 159, 58, 233, 116, 108, 54, 0, 40, 0, 14, 289, 10, 0, 0, 14, 1, 70, 13, 163, 73, 42, 130, 22, 0, 16, 4, 1.0, 10.0, 17.0, 0, 10, 17, 1, 3, 13, 5, 0, 3, 7, 6, 1, 0.0, 0, 1, 13, 0, 0, 15, 15, 4.55, 45.45, 77.27, 0.0, 88.1875, 88.1875, 0, 58.796875, 77.296875, 0.0, 17.59765625, 41.1953125, 35.296875, 5.9, 0.0, 5.8994140625, 0.0, 17.59765625, 5.8994140625, 76.5, 76.5, 1.0, 1.0, 54.0, 24.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 109, "Bacheliers technologiques toutes séries", 87, "Liste d'appel propre à cette formation", 38.0, "8245", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8245&g_ta_cod=8245", 5.0, 32.0, 64.0),
(7838, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Lettres", "Licence - Arts-lettres-langues", "Anglais - Mineure Lettres", 36, 441, 358, 441, 0, 311, 51, 13, 3, 18, 6, 99, 0, 0, 0, 0, 0, 436, 0, 0, 0, 311, 51, 13, 3, 18, 6, 94, 178, 35, 25, 35, 0, 1.0, 25.0, 32.0, 0, 3, 30, 28, 1, 1, 5, 0, 4, 12, 10, 4, 0.0, 25, 1, 0, 0, 0, 9, 28, 2.86, 71.43, 91.43, 71.390625, 30.0, 93.296875, 0, 10.0, 85.6875, 0.0, 13.298828125, 40.0, 33.296875, 13.3, 0.0, 93.296875, 83.296875, 3.2998046875, 3.2998046875, 3.2998046875, 0.0, 145.0, 18.0, 3.0, 0.0, 27.0, "Tous les candidats", 283.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "15639", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15639&g_ta_cod=15639", 89.0, 9.0, 3.0),
(7839, "Public", "0141687H", "Lycée Jules Verne", "14", "Calvados", "Normandie", "Normandie", "Mondeville", "formation sélective", "BTS", "Lycée Jules Verne - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 24, 184, 10, 179, 0, 19, 5, 21, 2, 93, 22, 46, 5, 0, 1, 0, 4, 144, 4, 0, 0, 19, 5, 17, 1, 87, 20, 21, 84, 18, 3, 18, 0, 5.0, 10.0, 15.0, 0, 5, 14, 0, 1, 13, 4, 0, 2, 6, 3, 3, 0.0, 0, 1, 11, 6, 2, 14, 14, 27.78, 55.56, 83.33, 16.69921875, 100.0, 100.0, 42.8984375, 35.6953125, 77.796875, 0.0, 14.298828125, 42.8984375, 21.3984375, 21.4, 0.0, 0.0, 0.0, 7.099609375, 7.099609375, 92.890625, 78.59375, 5.0, 2.0, 48.0, 13.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 58.0, "2907", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2907&g_ta_cod=2907", 11.0, 11.0, 78.0),
(7840, "Public", "0132927L", "IFSI du GCSPA d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "IFSI", "Regroupement d'IFSI Université Aix-Marseille - D.E Infirmier", "D.E secteur sanitaire", "", 50, 9209, 7738, 9209, 0, 1458, 377, 1415, 474, 929, 416, 5407, 0, 0, 0, 0, 0, 4419, 0, 0, 0, 1110, 244, 610, 183, 109, 41, 2590, 353, 49, 38, 49, 0, 0.0, 30.0, 45.0, 0, 5, 30, 25, 5, 0, 19, 0, 3, 11, 14, 2, 0.0, 22, 5, 0, 0, 0, 20, 20, 0.0, 61.22, 91.84, 77.59375, 66.6875, 66.6875, 0, 16.69921875, 61.1953125, 0.0, 10.0, 36.6953125, 46.6953125, 6.7, 0.0, 83.296875, 73.296875, 16.69921875, 16.69921875, 0.0, 0.0, 156.0, 35.0, 1.0, 1.0, 181.0, "Tous les candidats", 973.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 8.0, "23029", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22987&g_ta_cod=23029", 86.0, 12.0, 0.0),
(7841, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - Licence - Double diplôme - Licence Droit - Double diplôme Licence de Droit - DU Droit, Sciences po, étude du Bien Commun", "Licence - Droit-économie-gestion", "Double diplôme Licence de Droit - DU Droit, Sciences po, étude du Bien Commun", 25, 436, 306, 436, 0, 363, 33, 1, 0, 0, 0, 72, 0, 0, 0, 0, 0, 436, 0, 0, 0, 363, 33, 1, 0, 0, 0, 72, 99, 25, 19, 25, 0, 3.0, 25.0, 25.0, 0, 3, 25, 25, 0, 0, 0, 0, 0, 7, 12, 6, 0.0, 25, 0, 0, 0, 0, 4, 4, 12.0, 100.0, 100.0, 76.0, 16.0, 16.0, 0, 12.0, 100.0, 0.0, 0.0, 28.0, 48.0, 24.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 97.0, 5.0, 0.0, 0.0, 2.0, "Tous les candidats", 122.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "25443", "Licence - Double diplôme - Licence Droit - Double diplôme Licence de Droit - DU Droit, Sciences po, étude du Bien Commun", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25443&g_ta_cod=25443", 100.0, 0.0, 0.0),
(7842, "Public", "0371470X", "INSTITUT DE FORMATION DE TECHNICIENS DE LABORATOIRE MÉDICAL (IFTLM) SITE IFPS DU CHRU DE TOURS", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "Autre formation", "INSTITUT DE FORMATION DE TECHNICIENS DE LABORATOIRE MÉDICAL (IFTLM) SITE IFPS DU CHRU DE TOURS - D.E Technicien de Laboratoire Médical", "D.E secteur sanitaire", "", 30, 505, 400, 505, 0, 121, 24, 85, 26, 3, 1, 296, 0, 0, 0, 0, 0, 413, 0, 0, 0, 119, 24, 81, 25, 0, 0, 213, 144, 31, 24, 31, 0, 0.0, 12.0, 25.0, 0, 4, 16, 11, 5, 0, 15, 0, 5, 6, 4, 1, 0.0, 8, 3, 0, 0, 0, 9, 9, 0.0, 38.71, 80.65, 77.390625, 56.296875, 56.296875, 0, 25.0, 51.59375, 0.0, 31.296875, 37.5, 25.0, 6.3, 0.0, 68.796875, 50.0, 31.296875, 18.796875, 0.0, 0.0, 36.0, 9.0, 0.0, 0.0, 99.0, "Tous les candidats", 245.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "15793", "D.E Technicien de Laboratoire Médical", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15793&g_ta_cod=15793", 77.0, 23.0, 0.0),
(7843, "Public", "0930138V", "Lycée professionnel Frederic Bartholdi", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "Autre formation", "Lycée professionnel Frederic Bartholdi - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 60, 15, 9, 0, 0, 0.0, 0.0, 1.0, 0, 7, 15, 0, 5, 10, 0, 0, 13, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 15, 15, 0.0, 0.0, 6.67, 60.0, 100.0, 100.0, 0, 46.6953125, 100.0, 0.0, 86.6875, 13.298828125, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 13.298828125, 0.0, 0.0, 40.0, 24.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22383", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 33.0, 67.0),
(7844, "Privé sous contrat d'association", "0341728U", "Institut Régional du Travail Social de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "EFTS", "Institut Régional du Travail Social de Montpellier - D.E Assistant de Service Social", "D.E secteur social", "", 30, 266, 249, 266, 0, 40, 12, 33, 11, 18, 6, 175, 0, 0, 0, 0, 0, 102, 0, 0, 0, 14, 4, 10, 3, 4, 0, 74, 53, 31, 30, 31, 0, 18.0, 26.0, 27.0, 0, 0, 2, 2, 0, 0, 29, 0, 0, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 0, 0, 58.06, 83.87, 87.1, 96.796875, 0.0, 0.0, 0, 0.0, 6.5, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 3.0, 1.0, 1.0, 0.0, 47.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "23735", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23735&g_ta_cod=23735", 52.0, 29.0, 10.0),
(7845, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation non sélective", "Licence_Las", "Université Gustave Eiffel - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences humaines et sociales", "", 25, 1635, 543, 1635, 0, 900, 141, 185, 28, 43, 10, 507, 0, 0, 0, 0, 0, 1635, 0, 0, 0, 900, 141, 185, 28, 43, 10, 507, 114, 26, 13, 26, 0, 2.0, 26.0, 26.0, 0, 1, 25, 23, 2, 0, 1, 0, 5, 8, 10, 2, 0.0, 18, 2, 0, 0, 0, 23, 24, 7.69, 100.0, 100.0, 50.0, 92.0, 96.0, 0, 4.0, 96.1875, 0.0, 20.0, 32.0, 40.0, 8.0, 0.0, 92.0, 72.0, 8.0, 8.0, 0.0, 0.0, 90.0, 13.0, 0.0, 0.0, 20.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "29041", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27518&g_ta_cod=29041", 92.0, 8.0, 0.0),
(7846, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "Université Angers - C.M.I - Cursus Master en Ingénierie - Physique - Cursus Master en Ingénierie : Photonique, Signal-Imagerie (PSI)", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie : Photonique, Signal-Imagerie (PSI)", 20, 69, 24, 50, 0, 32, 2, 0, 0, 0, 0, 18, 19, 4, 0, 1, 14, 24, 5, 0, 0, 18, 0, 0, 0, 0, 0, 6, 29, 5, 1, 3, 2, 1.0, 3.0, 5.0, 0, 0, 1, 1, 0, 0, 4, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 20.0, 60.0, 100.0, 20.0, 0.0, 0.0, 0, 0.0, 20.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 21.0, 0.0, 0.0, 0.0, 8.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "15635", "C.M.I - Cursus Master en Ingénierie - Physique - Cursus Master en Ingénierie : Photonique, Signal-Imagerie (PSI)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15635&g_ta_cod=15635", 100.0, 0.0, 0.0),
(7847, "Privé enseignement supérieur", "0592806E", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences - Licence - Economie", "Licence - Droit-économie-gestion", "International d'économie - Spécialité : International Management", 120, 742, 412, 674, 0, 602, 44, 11, 3, 0, 0, 61, 68, 29, 3, 1, 35, 587, 30, 0, 0, 543, 31, 7, 0, 0, 0, 37, 498, 100, 51, 87, 13, 22.0, 87.0, 95.0, 0, 5, 81, 80, 1, 0, 19, 0, 10, 36, 31, 4, 0.0, 70, 1, 0, 0, 0, 10, 10, 22.0, 87.0, 95.0, 51.0, 12.298828125, 12.298828125, 0, 6.19921875, 81.0, 0.0, 12.298828125, 44.3984375, 38.296875, 4.9, 0.0, 98.796875, 86.390625, 1.199951171875, 1.199951171875, 0.0, 0.0, 446.0, 33.0, 0.0, 0.0, 47.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "32283", "Licence - Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32267&g_ta_cod=32283", 99.0, 1.0, 0.0),
(7848, "Public", "0060011E", "Lycée Carnot", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BTS", "Lycée Carnot - BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "BTS - Services", "", 8, 852, 139, 852, 0, 345, 47, 124, 29, 80, 27, 303, 0, 0, 0, 0, 0, 89, 0, 0, 0, 47, 5, 14, 2, 18, 5, 10, 20, 8, 1, 8, 0, 1.0, 6.0, 8.0, 0, 1, 4, 2, 1, 1, 4, 0, 0, 1, 2, 1, 0.0, 2, 1, 1, 0, 0, 2, 2, 12.5, 75.0, 100.0, 12.5, 50.0, 50.0, 0, 25.0, 50.0, 0.0, 0.0, 25.0, 50.0, 25.0, 0.0, 50.0, 50.0, 25.0, 25.0, 25.0, 25.0, 10.0, 3.0, 3.0, 1.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 5, "Liste d'appel propre à cette formation", 3.0, "2188", "BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2188&g_ta_cod=2188", 75.0, 13.0, 13.0),
(7849, "Public", "0870017W", "Lycée Auguste Renoir", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée Auguste Renoir - BTS - Services - Commerce International", "BTS - Services", "", 35, 672, 345, 672, 0, 186, 43, 166, 65, 72, 41, 248, 0, 0, 0, 0, 0, 612, 0, 0, 0, 184, 43, 165, 64, 59, 34, 204, 107, 31, 21, 31, 0, 4.0, 28.0, 29.0, 0, 13, 31, 18, 9, 4, 0, 0, 11, 15, 5, 0, 0.0, 10, 6, 4, 7, 5, 30, 30, 12.9, 90.32, 93.55, 67.6875, 96.796875, 96.796875, 22.59765625, 41.8984375, 100.0, 0.0, 35.5, 48.3984375, 16.09765625, 0.0, 0.0, 58.09375, 32.296875, 29.0, 19.3984375, 12.8984375, 12.8984375, 52.0, 15.0, 15.0, 7.0, 15.0, "Tous les candidats sauf les Bac professionnels", 124.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 23.0, "10664", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10664&g_ta_cod=10664", 58.0, 29.0, 13.0),
(7850, "Public", "0311586F", "Lycée Toulouse-Lautrec", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Toulouse-Lautrec - BTS - Services - Notariat", "BTS - Services", "", 18, 911, 698, 911, 0, 195, 49, 275, 120, 134, 77, 307, 0, 0, 0, 0, 0, 417, 0, 0, 0, 152, 36, 102, 32, 77, 40, 86, 61, 17, 15, 17, 0, 7.0, 12.0, 14.0, 0, 4, 10, 4, 5, 1, 7, 0, 1, 7, 2, 0, 0.0, 3, 5, 1, 1, 1, 8, 8, 41.18, 70.59, 82.35, 88.1875, 80.0, 80.0, 10, 40.0, 58.796875, 0.0, 10.0, 70.0, 20.0, 0.0, 0.0, 40.0, 30.0, 50.0, 50.0, 10.0, 10.0, 19.0, 7.0, 8.0, 5.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 10.0, "4194", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4194&g_ta_cod=4194", 41.0, 35.0, 24.0),
(7851, "Public", "0911990U", "I.U.T. d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "BUT", "I.U.T. d'Evry Val d'Essonne - BUT - Génie électrique et informatique industrielle (Seconde année possible en apprentissage)", "BUT - Production", "", 72, 1004, 77, 939, 0, 414, 100, 286, 86, 33, 11, 206, 65, 0, 34, 0, 31, 536, 13, 0, 0, 259, 50, 174, 43, 9, 1, 94, 416, 81, 5, 70, 11, 20.0, 54.0, 74.0, 0, 13, 56, 30, 24, 2, 25, 0, 32, 20, 3, 1, 0.0, 11, 11, 2, 0, 0, 42, 54, 24.69, 66.67, 91.36, 6.19921875, 75.0, 96.390625, 0, 23.19921875, 69.09375, 0.0, 57.09375, 35.6953125, 5.3994140625, 1.8, 0.0, 53.59375, 19.59765625, 42.8984375, 19.59765625, 3.599609375, 3.599609375, 160.0, 43.0, 4.0, 1.0, 98.0, "Tous les candidats sauf les Bac technologiques", 287.0, "Bacheliers technologiques toutes séries", 199, "", 0, "Liste d'appel propre à cette formation", 52.0, "10957", "BUT - Génie électrique et informatique industrielle (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10957&g_ta_cod=10957", 51.0, 47.0, 2.0),
(7852, "Public", "0301687W", "Université de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "Licence", "Université de Nîmes - Licence - Lettres - Parcours Lettres modernes appliquées", "Licence - Arts-lettres-langues", "Lettres modernes appliquées", 300, 561, 442, 399, 0, 242, 81, 17, 4, 41, 23, 99, 162, 16, 16, 26, 104, 399, 159, 0, 0, 242, 81, 17, 4, 41, 23, 99, 559, 84, 63, 44, 40, 42.0, 43.0, 62.0, 0, 18, 48, 25, 11, 12, 36, 0, 19, 13, 13, 2, 1.0, 17, 3, 9, 0, 0, 26, 26, 50.0, 51.19, 73.81, 75.0, 54.1953125, 54.1953125, 0, 37.5, 57.09375, 0.0, 39.59375, 27.09765625, 27.09765625, 4.2, 2.1, 52.09375, 35.3984375, 22.8984375, 6.2998046875, 25.0, 18.796875, 258.0, 85.0, 67.0, 43.0, 202.0, "Tous les candidats", 399.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4013", "Licence - Lettres - Parcours Lettres modernes appliquées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4013&g_ta_cod=4013", 60.0, 17.0, 24.0),
(7853, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Droit - Parcours Droit international et droits européens", "Licence - Droit-économie-gestion", "Droit international et droits européens", 110, 2164, 1645, 2164, 0, 1695, 323, 68, 35, 10, 7, 391, 0, 0, 0, 0, 0, 2152, 0, 0, 0, 1695, 323, 68, 35, 10, 7, 379, 401, 108, 88, 108, 0, 39.0, 94.0, 98.0, 0, 20, 91, 91, 0, 0, 17, 1, 0, 8, 43, 33, 6.0, 90, 0, 0, 0, 0, 78, 78, 36.11, 87.04, 90.74, 81.5, 85.6875, 85.6875, 0, 22.0, 84.296875, 1.099853515625, 0.0, 8.798828125, 47.296875, 36.3, 6.6, 100.0, 98.890625, 0.0, 0.0, 0.0, 0.0, 354.0, 64.0, 0.0, 0.0, 45.0, "Tous les candidats", 542.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "24368", "Licence - Droit - Parcours Droit international et droits européens", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24368&g_ta_cod=24368", 100.0, 0.0, 0.0),
(7854, "Privé enseignement supérieur", "0942340H", "ESTP Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "Autre formation", "ESTP Paris - Formation professionnelle - Techniciens Spécialisés de la Construction - Conducteur de travaux", "Formation professionnelle", "Conducteur de travaux", 80, 172, 17, 148, 0, 101, 15, 27, 10, 0, 0, 20, 24, 10, 7, 0, 7, 79, 6, 0, 0, 57, 8, 13, 3, 0, 0, 9, 85, 25, 4, 21, 4, 20.0, 21.0, 25.0, 0, 0, 19, 17, 2, 0, 6, 0, 3, 11, 5, 0, 0.0, 14, 2, 0, 0, 0, 4, 12, 80.0, 84.0, 100.0, 16.0, 21.09765625, 63.1953125, 0, 0.0, 76.0, 0.0, 15.798828125, 57.8984375, 26.296875, 0.0, 0.0, 89.5, 73.6875, 10.5, 10.5, 0.0, 0.0, 61.0, 8.0, 0.0, 0.0, 11.0, "Tous les candidats", 79.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "9460", "Formation professionnelle - Techniciens Spécialisés de la Construction - Conducteur de travaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9460&g_ta_cod=9460", 84.0, 16.0, 0.0),
(7855, "Public", "0060011E", "Lycée Carnot", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BTS", "Lycée Carnot - BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "BTS - Services", "", 8, 555, 256, 555, 0, 241, 44, 64, 11, 48, 18, 202, 0, 0, 0, 0, 0, 81, 0, 0, 0, 39, 4, 11, 2, 11, 1, 20, 33, 8, 6, 8, 0, 0.0, 7.0, 8.0, 0, 0, 7, 5, 1, 1, 1, 0, 0, 4, 3, 0, 0.0, 5, 1, 1, 0, 0, 1, 1, 0.0, 87.5, 100.0, 75.0, 14.298828125, 14.298828125, 0, 0.0, 87.5, 0.0, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 71.390625, 71.390625, 14.298828125, 14.298828125, 14.298828125, 14.298828125, 23.0, 3.0, 2.0, 1.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 2, "Bacheliers technologiques toutes séries", 2, "Liste d'appel propre à cette formation", 8.0, "2191", "BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2191&g_ta_cod=2191", 75.0, 13.0, 13.0),
(7856, "Public", "0801265R", "IUT d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BUT", "IUT d'Amiens - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Management de process industriel -  Simulation numérique et réalité virtuelle -  Conception et production durable", "BUT - Production", "Innovation pour l?industrie - Management de process industriel -  Simulation numérique et réalité virtuelle -  Conception et production durable", 120, 1099, 94, 1078, 0, 530, 56, 341, 66, 3, 1, 204, 21, 0, 14, 0, 7, 899, 4, 0, 0, 507, 48, 228, 39, 1, 1, 163, 536, 120, 10, 117, 3, 22.0, 93.0, 118.0, 0, 11, 96, 59, 37, 0, 24, 0, 27, 46, 19, 4, 0.0, 40, 29, 0, 0, 0, 63, 63, 18.33, 77.5, 98.33, 8.298828125, 65.59375, 65.59375, 0, 11.5, 80.0, 0.0, 28.09765625, 47.8984375, 19.796875, 4.2, 0.0, 61.5, 41.6953125, 38.5, 30.19921875, 0.0, 0.0, 242.0, 34.0, 0.0, 0.0, 109.0, "Tous les candidats sauf les Bac technologiques", 551.0, "Bacheliers technologiques toutes séries", 248, "", 0, "Liste d'appel propre à cette formation", 74.0, "10174", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Management de process industriel -  Simulation numérique et réalité virtuelle -  Conception et production durable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10174&g_ta_cod=10174", 65.0, 35.0, 0.0),
(7857, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Gaston Berger - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 50, 1754, 822, 1752, 0, 191, 46, 529, 233, 555, 254, 477, 2, 0, 0, 0, 2, 588, 0, 0, 0, 69, 16, 157, 60, 284, 132, 78, 205, 47, 24, 47, 0, 6.0, 21.0, 40.0, 0, 20, 42, 5, 10, 27, 5, 0, 8, 21, 11, 2, 0.0, 4, 8, 22, 2, 1, 39, 39, 12.77, 44.68, 85.11, 51.09375, 92.890625, 92.890625, 4.7998046875, 47.59375, 89.390625, 0.0, 19.0, 50.0, 26.19921875, 4.8, 0.0, 11.8984375, 9.5, 23.796875, 19.0, 64.296875, 52.3984375, 17.0, 8.0, 113.0, 48.0, 29.0, "Tous les candidats sauf les Bac professionnels", 224.0, "Bacheliers professionnels toutes séries", 255, "", 0, "Liste d'appel propre à cette formation", 27.0, "6868", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6868&g_ta_cod=6868", 15.0, 28.0, 57.0),
(7858, "Privé sous contrat d'association", "0754924V", "LP PRIVE NOTRE-DAME", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "LP PRIVE NOTRE-DAME - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 32, 684, 614, 499, 0, 27, 9, 123, 46, 180, 63, 169, 185, 12, 57, 38, 78, 193, 61, 0, 0, 14, 6, 63, 19, 86, 24, 30, 184, 26, 19, 9, 17, 1.0, 8.0, 9.0, 0, 2, 17, 2, 9, 6, 9, 0, 10, 6, 1, 0, 0.0, 2, 2, 3, 3, 1, 5, 16, 3.85, 30.77, 34.62, 73.09375, 29.3984375, 94.09375, 17.59765625, 11.798828125, 65.390625, 0.0, 58.796875, 35.296875, 5.8994140625, 0.0, 0.0, 11.798828125, 11.798828125, 52.8984375, 11.798828125, 35.296875, 17.59765625, 10.0, 5.0, 62.0, 22.0, 36.0, "Tous les candidats sauf les Bac professionnels", 99.0, "Bacheliers professionnels toutes séries", 88, "", 0, "Liste d'appel propre à cette formation", 37.0, "9513", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9513&g_ta_cod=9513", 8.0, 38.0, 54.0),
(7859, "Public", "0601749A", "Institut de Formation en Soins Infirmiers - COMPIÈGNE", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "IFSI", "Regroupement d'IFSI Université Amiens - D.E Infirmier", "D.E secteur sanitaire", "", 110, 3085, 2568, 3085, 0, 511, 118, 520, 148, 417, 164, 1637, 0, 0, 0, 0, 0, 2075, 0, 0, 0, 424, 91, 369, 96, 294, 107, 988, 1041, 108, 89, 108, 0, 2.0, 44.0, 83.0, 0, 10, 54, 17, 22, 15, 54, 0, 9, 29, 13, 3, 0.0, 12, 20, 13, 0, 0, 44, 44, 1.85, 40.74, 76.85, 82.390625, 81.5, 81.5, 0, 18.5, 50.0, 0.0, 16.69921875, 53.6953125, 24.09765625, 5.6, 0.0, 31.5, 22.19921875, 40.6953125, 37.0, 27.796875, 24.09765625, 216.0, 51.0, 162.0, 61.0, 480.0, "Tous les candidats", 2726.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 44.0, "23078", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23008&g_ta_cod=23078", 45.0, 29.0, 25.0),
(7860, "Public", "0590121L", "Lycée Cesar Baggio", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Lycée Cesar Baggio - Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "Mention complémentaire", "", 15, 16, 0, 15, 0, 0, 0, 0, 0, 15, 6, 0, 1, 0, 0, 1, 0, 15, 0, 0, 0, 0, 0, 0, 0, 15, 6, 0, 15, 4, 0, 4, 0, 4.0, 4.0, 4.0, 0, 3, 4, 0, 0, 4, 0, 0, 2, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 4, 4, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 75.0, 100.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 15.0, 6.0, 0.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6801", "Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6801&g_ta_cod=6801", 0.0, 0.0, 100.0),
(7861, "Public", "0630018C", "Lycée Blaise Pascal", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "CPGE", "Lycée Blaise Pascal - CPGE - Lettres", "Classe préparatoire littéraire", "", 90, 793, 526, 791, 425, 600, 79, 1, 0, 1, 1, 189, 2, 2, 0, 0, 0, 620, 2, 257, 605, 581, 76, 1, 0, 0, 0, 38, 485, 77, 52, 76, 1, 35.0, 70.0, 75.0, 5, 8, 72, 72, 0, 0, 5, 2, 1, 11, 36, 19, 3.0, 69, 0, 0, 6, 3, 47, 47, 45.45, 90.91, 97.4, 67.5, 65.296875, 65.296875, 8.298828125, 11.099609375, 93.5, 2.7998046875, 1.39990234375, 15.298828125, 50.0, 26.4, 4.2, 100.0, 95.796875, 0.0, 0.0, 0.0, 0.0, 454.0, 59.0, 0.0, 0.0, 31.0, "Tous les candidats", 617.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "7550", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7550&g_ta_cod=7550", 100.0, 0.0, 0.0),
(7862, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence_Las", "Université de Lille - Licence - Portail Sciences pour la santé", "Licence - Sciences - technologies - santé", "", 305, 3457, 2426, 3457, 0, 2420, 476, 113, 35, 11, 7, 913, 0, 0, 0, 0, 0, 2981, 0, 0, 0, 2258, 429, 65, 17, 2, 1, 656, 1729, 301, 205, 301, 0, 17.0, 180.0, 244.0, 0, 57, 255, 242, 13, 0, 46, 1, 32, 133, 77, 10, 2.0, 210, 12, 0, 0, 0, 197, 197, 5.65, 59.8, 81.06, 68.09375, 77.296875, 77.296875, 0, 22.3984375, 84.6875, 0.39996337890625, 12.5, 52.1953125, 30.19921875, 3.9, 0.8, 94.890625, 82.390625, 5.099609375, 4.69921875, 0.0, 0.0, 1310.0, 249.0, 1.0, 0.0, 378.0, "Tous les candidats", 2726.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 63.0, "28998", "Licence - Portail Sciences pour la santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28997&g_ta_cod=28998", 93.0, 7.0, 0.0),
(7863, "Public", "9740575G", "Lycée François de Mahy", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "Autre formation", "Lycée François de Mahy - Mention complémentaire - Vendeur-conseil en produits techniques pour l'habitat", "Mention complémentaire", "", 15, 48, 18, 37, 0, 0, 0, 0, 0, 35, 27, 2, 11, 0, 0, 7, 4, 17, 2, 0, 0, 0, 0, 0, 0, 16, 12, 1, 21, 7, 2, 6, 1, 5.0, 6.0, 6.0, 0, 4, 7, 0, 0, 7, 0, 0, 2, 4, 1, 0, 0.0, 0, 0, 5, 0, 0, 7, 7, 71.43, 85.71, 85.71, 28.59765625, 100.0, 100.0, 0, 57.09375, 100.0, 0.0, 28.59765625, 57.09375, 14.298828125, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 71.390625, 0.0, 0.0, 17.0, 12.0, 3.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "20602", "Mention complémentaire - Vendeur-conseil en produits techniques pour l'habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20602&g_ta_cod=20602", 0.0, 0.0, 100.0),
(7864, "Privé sous contrat d'association", "0071231A", "Lycée professionnel Agricole d'Annonay", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Annonay", "formation sélective", "BTS", "Lycée professionnel Agricole d'Annonay - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 23, 72, 31, 70, 0, 6, 1, 10, 1, 17, 4, 37, 2, 0, 0, 2, 0, 61, 2, 0, 0, 6, 1, 10, 1, 17, 4, 28, 53, 18, 10, 17, 1, 4.0, 5.0, 16.0, 0, 1, 3, 0, 0, 3, 15, 0, 1, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 2, 2, 22.22, 27.78, 88.89, 55.59375, 66.6875, 66.6875, 0, 33.296875, 16.69921875, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 5.0, 1.0, 19.0, 4.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 80.0, "2350", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2350&g_ta_cod=2350", 83.0, 0.0, 17.0),
(7865, "Public", "0690192J", "INSA Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "Ecole d'Ingénieur", "Groupe INSA - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 690, 18190, 5886, 18190, 0, 16483, 1311, 0, 0, 0, 0, 1707, 0, 0, 0, 0, 0, 13750, 0, 0, 0, 12489, 861, 0, 0, 0, 0, 1261, 1806, 679, 294, 679, 0, 483.0, 662.0, 665.0, 0, 53, 640, 640, 0, 0, 39, 1, 0, 0, 22, 342, 275.0, 639, 0, 0, 0, 0, 88, 88, 71.13, 97.5, 97.94, 43.296875, 13.798828125, 13.798828125, 0, 8.298828125, 94.296875, 0.199981689453125, 0.0, 0.0, 3.39990234375, 53.4, 43.0, 100.0, 99.796875, 0.0, 0.0, 0.0, 0.0, 1693.0, 151.0, 0.0, 0.0, 113.0, "Tous les candidats", 2109.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 11.0, "62", "Formation d'ingénieur Bac + 5 - Bac Général", "Groupe INSA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=57&g_ta_cod=62", 100.0, 0.0, 0.0),
(7866, "Privé enseignement supérieur", "0352373P", "UniLaSalle Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Bruz", "formation sélective", "Ecole d'Ingénieur", "UniLaSalle Rennes - Formation Bac + 3 - Bachelor Environnement et Développement Durable", "Formations  des écoles d'ingénieurs", "Bachelor Environnement et Développement Durable", 35, 157, 76, 141, 0, 101, 3, 14, 2, 0, 0, 26, 16, 9, 1, 0, 6, 110, 14, 0, 0, 83, 0, 9, 1, 0, 0, 18, 118, 29, 13, 23, 6, 21.0, 23.0, 29.0, 0, 0, 23, 19, 4, 0, 6, 0, 4, 11, 6, 2, 0.0, 15, 4, 0, 0, 0, 4, 4, 72.41, 79.31, 100.0, 44.796875, 17.3984375, 17.3984375, 0, 0.0, 79.296875, 0.0, 17.3984375, 47.796875, 26.09765625, 8.7, 0.0, 82.59375, 65.1875, 17.3984375, 17.3984375, 0.0, 0.0, 86.0, 0.0, 0.0, 0.0, 22.0, "Tous les candidats", 110.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "23481", "Formation Bac + 3 - Bachelor Environnement et Développement Durable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23481&g_ta_cod=23481", 86.0, 14.0, 0.0),
(7867, "Public", "0670041F", "Lycée Henri Meck", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Molsheim", "formation sélective", "BTS", "Lycée Henri Meck - BTS - Services - Gestion de la PME", "BTS - Services", "", 22, 564, 349, 564, 0, 54, 10, 208, 72, 158, 84, 144, 0, 0, 0, 0, 0, 394, 0, 0, 0, 53, 10, 182, 64, 95, 49, 64, 134, 22, 14, 22, 0, 1.0, 13.0, 16.0, 0, 10, 15, 1, 7, 7, 7, 0, 5, 6, 4, 0, 0.0, 1, 5, 4, 7, 5, 15, 15, 4.55, 59.09, 72.73, 63.59375, 100.0, 100.0, 46.6953125, 66.6875, 68.1875, 0.0, 33.296875, 40.0, 26.69921875, 0.0, 0.0, 6.69921875, 6.69921875, 46.6953125, 33.296875, 46.6953125, 26.69921875, 28.0, 8.0, 38.0, 20.0, 27.0, "Tous les candidats sauf les Bac professionnels", 167.0, "Bacheliers professionnels toutes séries", 53, "", 0, "Liste d'appel propre à cette formation", 39.0, "21018", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21018&g_ta_cod=21018", 18.0, 45.0, 36.0),
(7868, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Institut Catholique Paris - Licence - Humanités - Parcours Théologie, philosophie et anthropologie contemporaine : civilisation de l'orient ancien", "Licence - Sciences humaines et sociales", "Théologie, philosophie et anthropologie contemporaine : civilisation de l'orient ancien", 15, 149, 96, 108, 0, 68, 6, 2, 1, 0, 0, 38, 41, 13, 1, 0, 27, 108, 40, 0, 0, 68, 6, 2, 1, 0, 0, 38, 128, 11, 6, 8, 3, 1.0, 8.0, 10.0, 0, 0, 9, 9, 0, 0, 2, 0, 5, 3, 1, 0, 0.0, 4, 0, 0, 0, 0, 2, 7, 9.09, 72.73, 90.91, 54.5, 22.19921875, 77.796875, 0, 0.0, 81.796875, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 100.0, 44.3984375, 0.0, 0.0, 0.0, 0.0, 72.0, 7.0, 0.0, 0.0, 54.0, "Tous les candidats", 109.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "28664", "Licence - Humanités - Parcours Théologie, philosophie et anthropologie contemporaine : civilisation de l'orient ancien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28664&g_ta_cod=28664", 100.0, 0.0, 0.0),
(7869, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence_Las", "Université de La Réunion - Saint Denis - Licence - Portail Mathématiques", "Licence - Sciences - technologies - santé", "", 20, 249, 132, 209, 0, 152, 56, 7, 6, 0, 0, 50, 40, 7, 4, 0, 29, 209, 38, 0, 0, 152, 56, 7, 6, 0, 0, 50, 151, 9, 7, 7, 2, 0.0, 7.0, 9.0, 0, 3, 4, 4, 0, 0, 5, 0, 1, 0, 2, 1, 0.0, 3, 0, 0, 0, 0, 4, 4, 0.0, 77.78, 100.0, 77.796875, 100.0, 100.0, 0, 75.0, 44.3984375, 0.0, 25.0, 0.0, 50.0, 25.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 83.0, 25.0, 0.0, 0.0, 61.0, "Tous les candidats", 483.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "30772", "Licence - Portail Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30771&g_ta_cod=30772", 89.0, 0.0, 11.0),
(7870, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 1 Capitole - Double licence - Economie / Mathématiques et informatique appliquées aux sciences humaines et sociales - parcours double diplômant en Economie et en Mathématiques et Informatique Appliquées aux SHS (MIASHS)", "Licence - Droit-économie-gestion", "parcours double diplômant en Economie et en Mathématiques et Informatique Appliquées aux SHS (MIASHS)", 90, 969, 362, 938, 0, 707, 64, 8, 3, 0, 0, 223, 31, 6, 1, 0, 24, 675, 0, 0, 0, 555, 37, 0, 0, 0, 0, 120, 424, 85, 28, 85, 0, 8.0, 62.0, 80.0, 0, 3, 68, 68, 0, 0, 17, 0, 0, 17, 29, 20, 2.0, 68, 0, 0, 0, 0, 41, 41, 9.41, 72.94, 94.12, 32.8984375, 60.296875, 60.296875, 0, 4.3994140625, 80.0, 0.0, 0.0, 25.0, 42.59375, 29.4, 2.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 350.0, 27.0, 0.0, 0.0, 74.0, "Tous les candidats", 606.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "4139", "Double licence - Economie / Mathématiques et informatique appliquées aux sciences humaines et sociales - parcours double diplômant en Economie et en Mathématiques et Informatique Appliquées aux SHS (MIASHS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4139&g_ta_cod=4139", 100.0, 0.0, 0.0),
(7871, "Privé sous contrat d'association", "0931799A", "Lycée Fenelon", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Vaujours", "formation sélective", "BTS", "Lycée Fenelon - BTS - Services - Communication", "BTS - Services", "", 24, 316, 196, 306, 0, 63, 17, 79, 32, 20, 11, 144, 10, 0, 0, 5, 5, 162, 0, 0, 0, 52, 14, 54, 23, 14, 7, 42, 105, 23, 17, 23, 0, 2.0, 17.0, 21.0, 0, 5, 16, 6, 8, 2, 7, 0, 8, 7, 1, 0, 0.0, 3, 3, 2, 0, 0, 15, 16, 8.7, 73.91, 91.3, 73.890625, 93.796875, 100.0, 0, 31.296875, 69.59375, 0.0, 50.0, 43.796875, 6.2998046875, 0.0, 0.0, 37.5, 18.796875, 50.0, 18.796875, 12.5, 12.5, 35.0, 7.0, 14.0, 7.0, 19.0, "Tous les candidats sauf les Bac professionnels", 99.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 38.0, "20257", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20257&g_ta_cod=20257", 39.0, 48.0, 13.0),
(7872, "Public", "0860038Z", "Lycée Aliénor d' Aquitaine", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée Aliénor d' Aquitaine - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 34, 486, 242, 481, 0, 81, 18, 130, 46, 79, 37, 191, 5, 0, 0, 5, 0, 304, 1, 0, 0, 74, 13, 108, 32, 47, 18, 75, 136, 31, 19, 30, 0, 8.0, 25.0, 29.0, 0, 6, 19, 0, 10, 9, 12, 0, 9, 7, 1, 1, 1.0, 0, 4, 6, 1, 1, 16, 16, 25.81, 80.65, 93.55, 61.296875, 84.1875, 84.1875, 5.2998046875, 31.59765625, 61.296875, 0.0, 47.3984375, 36.796875, 5.2998046875, 5.3, 5.3, 0.0, 0.0, 52.59375, 21.09765625, 47.3984375, 31.59765625, 5.0, 1.0, 37.0, 10.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 104, "Liste d'appel propre à cette formation", 39.0, "10595", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10595&g_ta_cod=10595", 16.0, 55.0, 29.0),
(7873, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence_Las", "Université Côte d'Azur - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 47, 2607, 2189, 2607, 0, 1307, 264, 233, 78, 82, 37, 985, 0, 0, 0, 0, 0, 2592, 0, 0, 0, 1307, 264, 233, 78, 82, 37, 970, 335, 36, 33, 36, 0, 0.0, 8.0, 18.0, 0, 6, 16, 14, 1, 1, 20, 0, 0, 4, 10, 2, 0.0, 14, 1, 1, 0, 0, 9, 9, 0.0, 22.22, 50.0, 91.6875, 56.296875, 56.296875, 0, 37.5, 44.3984375, 0.0, 0.0, 25.0, 62.5, 12.5, 0.0, 87.5, 87.5, 6.2998046875, 6.2998046875, 6.2998046875, 6.2998046875, 93.0, 29.0, 5.0, 5.0, 222.0, "Tous les candidats", 1034.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "27487", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27486&g_ta_cod=27487", 92.0, 6.0, 3.0),
(7874, "Public", "0700827U", "Lycée agricole Etienne Munier", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Vesoul", "formation sélective", "BTS", "Lycée agricole Etienne Munier - BTS - Agricole - génie des équipements agricoles", "BTS - Agricole", "", 27, 198, 16, 197, 0, 30, 2, 72, 5, 42, 8, 53, 1, 0, 0, 0, 1, 120, 0, 0, 0, 25, 1, 62, 4, 29, 6, 4, 89, 22, 0, 22, 0, 6.0, 21.0, 22.0, 0, 0, 22, 4, 13, 5, 0, 0, 3, 14, 5, 0, 0.0, 2, 12, 5, 9, 0, 12, 12, 27.27, 95.45, 100.0, 0.0, 54.5, 54.5, 40.8984375, 0.0, 100.0, 0.0, 13.599609375, 63.59375, 22.69921875, 0.0, 0.0, 18.19921875, 9.099609375, 59.09375, 54.5, 22.69921875, 22.69921875, 19.0, 1.0, 25.0, 4.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 51.0, "8594", "BTS - Agricole - génie des équipements agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8594&g_ta_cod=8594", 18.0, 59.0, 23.0),
(7875, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence", "Avignon Université - Licence - Humanités - Parcours Etude des cultures et pratiques culturelles", "Licence - Arts-lettres-langues", "Etude des cultures et pratiques culturelles", 120, 425, 315, 286, 0, 151, 46, 21, 9, 13, 6, 101, 139, 23, 7, 5, 104, 282, 55, 0, 0, 151, 46, 21, 9, 13, 6, 97, 314, 49, 40, 32, 17, 17.0, 32.0, 44.0, 0, 7, 24, 15, 7, 2, 25, 0, 10, 8, 4, 2, 0.0, 9, 4, 1, 0, 0, 12, 12, 34.69, 65.31, 89.8, 81.59375, 50.0, 50.0, 0, 29.19921875, 49.0, 0.0, 41.6953125, 33.296875, 16.69921875, 8.3, 0.0, 62.5, 37.5, 29.19921875, 16.69921875, 8.298828125, 4.19921875, 150.0, 45.0, 15.0, 7.0, 126.0, "Tous les candidats", 282.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "20540", "Licence - Humanités - Parcours Etude des cultures et pratiques culturelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20540&g_ta_cod=20540", 61.0, 22.0, 14.0),
(7876, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Lettres - Parcours Lettres - Mineure Didactique du Français Langue Étrangère (à distance ENEAD)", "Licence - Arts-lettres-langues", "Lettres - Mineure Didactique du Français Langue Étrangère (à distance ENEAD)", 30, 120, 98, 107, 0, 16, 3, 1, 0, 0, 0, 90, 13, 0, 0, 0, 13, 107, 11, 0, 0, 16, 3, 1, 0, 0, 0, 90, 96, 30, 27, 26, 4, 8.0, 26.0, 29.0, 0, 1, 4, 4, 0, 0, 26, 0, 1, 0, 1, 2, 0.0, 3, 0, 0, 0, 0, 0, 1, 26.67, 86.67, 96.67, 90.0, 0.0, 25.0, 0, 25.0, 13.298828125, 0.0, 25.0, 0.0, 25.0, 50.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 14.0, 3.0, 0.0, 0.0, 82.0, "Tous les candidats", 106.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "24131", "Licence - Lettres - Parcours Lettres - Mineure Didactique du Français Langue Étrangère (à distance ENEAD)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24131&g_ta_cod=24131", 93.0, 0.0, 0.0),
(7877, "Public", "0291660X", "Université de Brest - Site de Quimper", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation non sélective", "Licence", "Université de Brest - Licence - Portail Administration économique et sociale - Administration et gestion des entreprises, Administration et gestion des territoires", "Licence - Droit-économie-gestion", "Administration et gestion des entreprises, Administration et gestion des territoires : Université de Brest - Site de Quimper", 80, 1074, 616, 964, 0, 529, 100, 211, 37, 29, 15, 195, 110, 18, 13, 1, 78, 945, 85, 0, 0, 529, 100, 211, 37, 29, 15, 176, 738, 65, 36, 40, 25, 5.0, 39.0, 53.0, 0, 10, 39, 31, 5, 3, 26, 0, 17, 18, 4, 0, 0.0, 19, 1, 2, 0, 0, 33, 33, 7.69, 60.0, 81.54, 55.3984375, 84.59375, 84.59375, 0, 25.59765625, 60.0, 0.0, 43.59375, 46.1953125, 10.298828125, 0.0, 0.0, 79.5, 48.6953125, 12.798828125, 2.599609375, 7.69921875, 5.099609375, 398.0, 68.0, 22.0, 12.0, 183.0, "Tous les candidats", 1781.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "28757", "Licence - Portail Administration économique et sociale - Administration et gestion des entreprises, Administration et gestion des territoires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28756&g_ta_cod=28757", 68.0, 17.0, 15.0),
(7878, "Public", "0782567S", "Lycée Marie Curie", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 939, 364, 611, 0, 72, 18, 202, 62, 129, 53, 208, 328, 3, 140, 48, 137, 260, 16, 0, 0, 47, 7, 94, 21, 79, 32, 40, 163, 35, 18, 26, 9, 7.0, 23.0, 27.0, 0, 7, 29, 4, 12, 13, 6, 0, 11, 13, 2, 3, 0.0, 0, 8, 10, 2, 0, 25, 29, 20.0, 65.71, 77.14, 51.3984375, 86.1875, 100.0, 6.8994140625, 24.09765625, 82.890625, 0.0, 37.8984375, 44.796875, 6.8994140625, 10.3, 0.0, 13.798828125, 0.0, 41.3984375, 27.59765625, 44.796875, 34.5, 26.0, 4.0, 60.0, 22.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 111, "Liste d'appel propre à cette formation", 41.0, "10065", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10065&g_ta_cod=10065", 11.0, 43.0, 46.0),
(7879, "Public", "0660011D", "Lycée Jean Lurcat", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée Jean Lurcat - BTS - Services - Support à l'action managériale", "BTS - Services", "", 18, 251, 180, 248, 0, 12, 3, 92, 35, 84, 53, 60, 3, 0, 0, 1, 2, 193, 0, 0, 0, 11, 3, 92, 35, 57, 36, 33, 76, 18, 17, 18, 0, 0.0, 15.0, 17.0, 0, 12, 16, 1, 8, 7, 2, 0, 7, 8, 1, 0, 0.0, 1, 5, 3, 3, 2, 15, 15, 0.0, 83.33, 94.44, 94.390625, 93.796875, 93.796875, 18.796875, 75.0, 88.890625, 0.0, 43.796875, 50.0, 6.2998046875, 0.0, 0.0, 6.2998046875, 6.2998046875, 50.0, 31.296875, 43.796875, 18.796875, 4.0, 2.0, 34.0, 24.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 47.0, "7850", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7850&g_ta_cod=7850", 11.0, 50.0, 39.0),
(7880, "Public", "0782567S", "Lycée Marie Curie", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1616, 754, 1612, 0, 172, 25, 670, 160, 400, 143, 370, 4, 0, 2, 0, 2, 593, 1, 0, 0, 71, 7, 285, 55, 193, 55, 44, 171, 35, 20, 32, 1, 8.0, 20.0, 23.0, 0, 7, 34, 7, 12, 15, 1, 0, 12, 10, 8, 4, 0.0, 1, 9, 12, 7, 3, 33, 34, 22.86, 57.14, 65.71, 57.09375, 97.09375, 100.0, 20.59765625, 20.59765625, 97.09375, 0.0, 35.296875, 29.3984375, 23.5, 11.8, 0.0, 20.59765625, 2.89990234375, 35.296875, 26.5, 44.09375, 35.296875, 18.0, 4.0, 67.0, 17.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 10.0, "10063", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10063&g_ta_cod=10063", 20.0, 37.0, 43.0),
(7881, "Public", "0593052X", "I.U.T. de Valenciennes", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BUT", "I.U.T. de Valenciennes - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Chargé d?affaires industrielles - Management de process industriel - Conception et production durable", "BUT - Production", "Innovation pour l?industrie - Chargé d?affaires industrielles - Management de process industriel - Conception et production durable", 91, 787, 76, 716, 0, 368, 38, 203, 52, 7, 3, 138, 71, 14, 11, 1, 45, 552, 34, 0, 0, 310, 23, 173, 40, 1, 0, 68, 455, 73, 1, 61, 12, 20.0, 59.0, 67.0, 0, 15, 60, 31, 29, 0, 13, 0, 25, 23, 10, 2, 0.0, 15, 20, 0, 0, 0, 45, 45, 27.4, 80.82, 91.78, 1.39990234375, 75.0, 75.0, 0, 25.0, 82.1875, 0.0, 41.6953125, 38.296875, 16.69921875, 3.3, 0.0, 51.6953125, 25.0, 48.296875, 33.296875, 0.0, 0.0, 222.0, 22.0, 1.0, 0.0, 74.0, "Tous les candidats sauf les Bac technologiques", 373.0, "Bacheliers technologiques toutes séries", 178, "", 0, "Liste d'appel propre à cette formation", 77.0, "6958", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Chargé d?affaires industrielles - Management de process industriel - Conception et production durable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6958&g_ta_cod=6958", 52.0, 44.0, 4.0),
(7882, "Privé sous contrat d'association", "0440154D", "Lycée Blanche De Castille", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "Lycée Blanche De Castille - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 35, 466, 332, 442, 219, 379, 30, 0, 0, 0, 0, 63, 24, 13, 2, 0, 9, 393, 13, 219, 355, 349, 28, 0, 0, 0, 0, 44, 269, 25, 14, 21, 4, 0.0, 19.0, 23.0, 6, 0, 22, 22, 0, 0, 3, 0, 0, 5, 15, 2, 0.0, 22, 0, 0, 1, 1, 9, 9, 0.0, 76.0, 92.0, 56.0, 40.8984375, 40.8984375, 4.5, 0.0, 88.0, 0.0, 0.0, 22.69921875, 68.1875, 9.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 236.0, 11.0, 0.0, 0.0, 33.0, "Tous les candidats", 361.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "5488", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5488&g_ta_cod=5488", 100.0, 0.0, 0.0),
(7883, "Privé sous contrat d'association", "0592928M", "Lycée Jeanne D'Arc", "59", "Nord", "Hauts-de-France", "Lille", "Aulnoye-Aymeries", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Services - Diététique", "BTS - Services", "", 45, 383, 304, 220, 0, 63, 13, 59, 19, 10, 5, 88, 163, 32, 30, 11, 90, 110, 50, 0, 0, 41, 7, 40, 13, 3, 2, 26, 150, 38, 33, 29, 9, 16.0, 29.0, 36.0, 0, 4, 25, 14, 10, 1, 13, 0, 11, 9, 4, 1, 0.0, 7, 6, 1, 3, 2, 21, 21, 42.11, 76.32, 94.74, 86.796875, 84.0, 84.0, 12, 16.0, 65.796875, 0.0, 44.0, 36.0, 16.0, 4.0, 0.0, 56.0, 28.0, 40.0, 24.0, 4.0, 4.0, 48.0, 7.0, 7.0, 3.0, 47.0, "Tous les candidats sauf les Bac professionnels", 104.0, "Bacheliers professionnels toutes séries", 5, "", 0, "Liste d'appel propre à cette formation", 50.0, "6909", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6909&g_ta_cod=6909", 55.0, 39.0, 5.0),
(7884, "Public", "0620120U", "Lycée Anatole France", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lillers", "formation sélective", "BTS", "Lycée Anatole France - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 669, 574, 669, 0, 61, 21, 189, 99, 157, 78, 262, 0, 0, 0, 0, 0, 480, 0, 0, 0, 61, 21, 187, 98, 155, 78, 77, 166, 34, 30, 34, 0, 3.0, 20.0, 26.0, 0, 14, 29, 8, 7, 14, 5, 0, 12, 11, 6, 0, 0.0, 5, 3, 9, 6, 4, 28, 28, 8.82, 58.82, 76.47, 88.1875, 96.59375, 96.59375, 20.69921875, 48.296875, 85.296875, 0.0, 41.3984375, 37.8984375, 20.69921875, 0.0, 0.0, 27.59765625, 17.19921875, 24.09765625, 10.298828125, 48.296875, 31.0, 28.0, 12.0, 58.0, 27.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 52.0, "Bacheliers technologiques toutes séries", 100, "Bacheliers professionnels toutes séries", 88, "Liste d'appel propre à cette formation", 36.0, "25293", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25293&g_ta_cod=25293", 26.0, 26.0, 47.0),
(7885, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "PASS", "Universite Jean Monnet, Saint-Etienne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 32, 1496, 929, 1496, 0, 1167, 251, 31, 17, 10, 7, 288, 0, 0, 0, 0, 0, 1458, 0, 0, 0, 1167, 251, 31, 17, 10, 7, 250, 370, 30, 13, 30, 0, 0.0, 9.0, 25.0, 0, 7, 26, 24, 1, 1, 4, 0, 13, 10, 3, 0, 0.0, 13, 0, 0, 0, 0, 19, 19, 0.0, 30.0, 83.33, 43.296875, 73.09375, 73.09375, 0, 26.8984375, 86.6875, 0.0, 50.0, 38.5, 11.5, 0.0, 0.0, 92.296875, 50.0, 3.7998046875, 0.0, 3.7998046875, 0.0, 319.0, 52.0, 1.0, 1.0, 47.0, "Tous les candidats", 1750.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "27848", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27845&g_ta_cod=27848", 90.0, 3.0, 7.0),
(7886, "Privé sous contrat d'association", "0754015G", "Lycée Jules Richard Microtechniques", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Jules Richard Microtechniques - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 28, 218, 15, 191, 0, 14, 2, 58, 16, 74, 11, 45, 27, 6, 0, 3, 18, 107, 0, 0, 0, 4, 0, 46, 8, 43, 5, 14, 86, 23, 1, 22, 0, 9.0, 22.0, 23.0, 0, 3, 21, 1, 10, 10, 2, 0, 5, 9, 6, 1, 0.0, 1, 8, 7, 11, 1, 13, 19, 39.13, 95.65, 100.0, 4.2998046875, 61.8984375, 90.5, 52.3984375, 14.298828125, 91.296875, 0.0, 23.796875, 42.8984375, 28.59765625, 4.8, 0.0, 4.7998046875, 4.7998046875, 47.59375, 38.09375, 47.59375, 33.296875, 4.0, 0.0, 34.0, 5.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 54.0, "9482", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9482&g_ta_cod=9482", 9.0, 48.0, 43.0),
(7887, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence_Las", "Université Clermont Auvergne - Licence - Portail Biologie Chimie -  option Santé", "Licence - Sciences - technologies - santé", "Biologie Chimie", 120, 1542, 1136, 1542, 0, 999, 176, 103, 29, 4, 4, 436, 0, 0, 0, 0, 0, 1529, 0, 0, 0, 999, 176, 103, 29, 4, 4, 423, 582, 119, 90, 119, 0, 9.0, 94.0, 106.0, 0, 27, 106, 102, 4, 0, 13, 0, 40, 49, 13, 3, 1.0, 65, 1, 0, 0, 0, 90, 90, 7.56, 78.99, 89.08, 75.59375, 84.890625, 84.890625, 0, 25.5, 89.09375, 0.0, 37.6953125, 46.1953125, 12.298828125, 2.8, 0.9, 96.1875, 61.296875, 3.7998046875, 0.89990234375, 0.0, 0.0, 498.0, 85.0, 0.0, 0.0, 62.0, "Tous les candidats", 734.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "26648", "Licence - Portail Biologie Chimie -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26648&g_ta_cod=26648", 94.0, 5.0, 0.0),
(7888, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - Licence - Philosophie", "Licence - Sciences humaines et sociales", "", 100, 211, 131, 104, 0, 66, 9, 3, 0, 1, 0, 34, 107, 30, 6, 4, 67, 102, 67, 0, 0, 66, 9, 3, 0, 0, 0, 33, 169, 35, 19, 10, 25, 10.0, 10.0, 30.0, 0, 3, 15, 14, 1, 0, 20, 0, 7, 4, 4, 0, 0.0, 8, 0, 0, 0, 0, 7, 7, 28.57, 28.57, 85.71, 54.296875, 46.6953125, 46.6953125, 0, 20.0, 42.8984375, 0.0, 46.6953125, 26.69921875, 26.69921875, 0.0, 0.0, 93.296875, 53.296875, 6.69921875, 0.0, 0.0, 0.0, 87.0, 15.0, 1.0, 1.0, 75.0, "Tous les candidats", 102.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "8267", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8267&g_ta_cod=8267", 89.0, 6.0, 6.0),
(7889, "Public", "0340042L", "Lycée Jean Mermoz", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Jean Mermoz - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 24, 253, 30, 206, 0, 8, 2, 101, 26, 48, 24, 49, 47, 0, 3, 21, 23, 184, 9, 0, 0, 8, 2, 92, 22, 38, 17, 46, 134, 23, 1, 19, 4, 3.0, 18.0, 20.0, 0, 9, 13, 0, 8, 5, 10, 0, 10, 3, 0, 0, 0.0, 0, 1, 2, 4, 0, 11, 11, 13.04, 78.26, 86.96, 4.2998046875, 84.59375, 84.59375, 30.796875, 69.1875, 56.5, 0.0, 76.890625, 23.09765625, 0.0, 0.0, 0.0, 0.0, 0.0, 61.5, 7.69921875, 38.5, 15.3984375, 6.0, 2.0, 36.0, 16.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 76.0, "4502", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4502&g_ta_cod=4502", 9.0, 57.0, 35.0),
(7890, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence_Las", "Avignon Université - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 20, 1194, 441, 1194, 0, 715, 126, 145, 40, 33, 20, 301, 0, 0, 0, 0, 0, 1194, 0, 0, 0, 715, 126, 145, 40, 33, 20, 301, 90, 20, 9, 20, 0, 1.0, 13.0, 16.0, 0, 2, 9, 9, 0, 0, 11, 0, 2, 2, 4, 1, 0.0, 7, 0, 0, 0, 0, 6, 6, 5.0, 65.0, 80.0, 45.0, 66.6875, 66.6875, 0, 22.19921875, 45.0, 0.0, 22.19921875, 22.19921875, 44.3984375, 11.1, 0.0, 100.0, 77.796875, 0.0, 0.0, 0.0, 0.0, 20.0, 8.0, 2.0, 1.0, 67.0, "Tous les candidats", 173.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 10.0, "31753", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31752&g_ta_cod=31753", 85.0, 10.0, 5.0),
(7891, "Privé sous contrat d'association", "0451335G", "Lycée Sainte-Croix Saint-Euverte", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Sainte-Croix Saint-Euverte - BTS - Services - Tourisme", "BTS - Services", "", 36, 275, 197, 256, 0, 88, 11, 48, 15, 37, 13, 83, 19, 1, 1, 1, 16, 218, 5, 0, 0, 86, 11, 45, 14, 27, 8, 60, 150, 20, 11, 19, 1, 1.0, 16.0, 18.0, 0, 3, 11, 6, 4, 1, 9, 0, 5, 4, 0, 2, 0.0, 2, 3, 1, 0, 0, 11, 11, 5.0, 80.0, 90.0, 55.0, 100.0, 100.0, 0, 27.296875, 55.0, 0.0, 45.5, 36.3984375, 0.0, 18.2, 0.0, 54.5, 18.19921875, 36.3984375, 27.296875, 9.099609375, 9.099609375, 56.0, 10.0, 19.0, 3.0, 48.0, "Tous les candidats sauf les Bac professionnels", 167.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 79.0, "5731", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5731&g_ta_cod=5731", 55.0, 30.0, 15.0),
(7892, "Public", "9720004X", "Lycée Joseph Gaillard", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée Joseph Gaillard - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 281, 31, 281, 0, 63, 20, 70, 33, 79, 48, 69, 0, 0, 0, 0, 0, 138, 0, 0, 0, 37, 12, 70, 33, 23, 17, 8, 55, 24, 1, 24, 0, 6.0, 23.0, 24.0, 0, 14, 24, 8, 8, 8, 0, 0, 5, 16, 3, 0, 0.0, 7, 6, 6, 3, 0, 24, 24, 25.0, 95.83, 100.0, 4.19921875, 100.0, 100.0, 12.5, 58.296875, 100.0, 0.0, 20.796875, 66.6875, 12.5, 0.0, 0.0, 33.296875, 29.19921875, 33.296875, 25.0, 33.296875, 25.0, 24.0, 9.0, 14.0, 12.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 25.0, "11796", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11796&g_ta_cod=11796", 33.0, 33.0, 33.0),
(7893, "Public", "0590215N", "Lycée Sévigné", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Sévigné - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 1007, 843, 1007, 0, 94, 39, 261, 135, 267, 163, 385, 0, 0, 0, 0, 0, 608, 0, 0, 0, 78, 34, 227, 115, 158, 90, 145, 183, 31, 29, 31, 0, 1.0, 22.0, 28.0, 0, 14, 24, 1, 14, 9, 7, 0, 6, 13, 5, 0, 0.0, 1, 10, 7, 5, 5, 23, 23, 3.23, 70.97, 90.32, 93.5, 95.796875, 95.796875, 20.796875, 58.296875, 77.390625, 0.0, 25.0, 54.1953125, 20.796875, 0.0, 0.0, 4.19921875, 4.19921875, 58.296875, 41.6953125, 37.5, 29.19921875, 19.0, 6.0, 68.0, 43.0, 30.0, "Tous les candidats sauf les Bac professionnels", 145.0, "Bacheliers professionnels toutes séries", 129, "", 0, "Liste d'appel propre à cette formation", 27.0, "6840", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6840&g_ta_cod=6840", 10.0, 48.0, 42.0),
(7894, "Public", "0950649P", "Lycée Camille Pissarro", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Pontoise", "formation sélective", "BTS", "Lycée Camille Pissarro - BTS - Services - Economie sociale familiale", "BTS - Services", "", 32, 966, 865, 966, 0, 60, 29, 191, 75, 427, 197, 288, 0, 0, 0, 0, 0, 523, 0, 0, 0, 15, 7, 191, 75, 213, 91, 104, 166, 31, 27, 30, 0, 4.0, 19.0, 27.0, 0, 18, 28, 2, 13, 13, 3, 0, 10, 14, 4, 0, 0.0, 2, 6, 10, 0, 0, 22, 27, 12.9, 61.29, 87.1, 87.09375, 78.59375, 96.390625, 0, 64.296875, 90.296875, 0.0, 35.6953125, 50.0, 14.298828125, 0.0, 0.0, 7.099609375, 7.099609375, 46.3984375, 21.3984375, 46.3984375, 35.6953125, 6.0, 4.0, 81.0, 42.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 143, "Bacheliers technologiques toutes séries", 106, "Liste d'appel propre à cette formation", 28.0, "11577", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11577&g_ta_cod=11577", 13.0, 45.0, 42.0),
(7895, "Public", "0510083N", "ENSAM - campus de Châlons-en-Champagne", "51", "Marne", "Grand Est", "Reims", "Châlons-en-Champagne", "formation sélective", "Ecole d'Ingénieur", "Ecole nationale supérieure d'arts et métiers - Formation Bac + 3 - Bachelor de Technologie Arts et Métiers", "Formations  des écoles d'ingénieurs", "Bachelor de Technologie Arts et Métiers", 25, 183, 17, 179, 0, 0, 0, 156, 14, 0, 0, 23, 4, 0, 3, 0, 1, 123, 1, 0, 0, 0, 0, 112, 8, 0, 0, 11, 90, 19, 1, 18, 1, 3.0, 18.0, 19.0, 0, 0, 17, 0, 17, 0, 2, 0, 2, 6, 8, 1, 0.0, 0, 15, 0, 0, 0, 4, 4, 15.79, 94.74, 100.0, 5.2998046875, 23.5, 23.5, 0, 0.0, 89.5, 0.0, 11.798828125, 35.296875, 47.09375, 5.9, 0.0, 0.0, 0.0, 100.0, 88.1875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 10.0, "Tous les candidats", 168.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 68.0, "532", "Formation Bac + 3 - Bachelor de Technologie Arts et Métiers", "Ecole nationale supérieure d'arts et métiers", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=529&g_ta_cod=532", 0.0, 100.0, 0.0),
(7896, "Public", "0020051V", "Lycée des métiers d'Art", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "Autre formation", "Lycée des métiers d'Art - DN MADE - Objet - - Spécialité : Ebénisterie . Mineures : Patrimoine, Numérique et matériaux", "DN MADE", "- Spécialité : Ebénisterie . Mineures : Patrimoine, Numérique et matériaux", 15, 159, 79, 159, 0, 60, 5, 28, 3, 8, 2, 63, 0, 0, 0, 0, 0, 159, 0, 0, 0, 60, 5, 28, 3, 8, 2, 63, 43, 15, 10, 15, 0, 3.0, 14.0, 15.0, 0, 1, 9, 7, 1, 1, 6, 0, 0, 5, 4, 0, 0.0, 7, 1, 1, 0, 0, 1, 1, 20.0, 93.33, 100.0, 66.6875, 11.099609375, 11.099609375, 0, 11.099609375, 60.0, 0.0, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 77.796875, 77.796875, 11.099609375, 11.099609375, 11.099609375, 11.099609375, 13.0, 2.0, 2.0, 0.0, 20.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "25128", "DN MADE - Objet - - Spécialité : Ebénisterie . Mineures : Patrimoine, Numérique et matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25128&g_ta_cod=25128", 73.0, 13.0, 7.0),
(7897, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence_Las", "Université Côte d'Azur - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 52, 934, 677, 934, 0, 568, 123, 48, 16, 18, 11, 300, 0, 0, 0, 0, 0, 925, 0, 0, 0, 568, 123, 48, 16, 18, 11, 291, 399, 46, 32, 46, 0, 2.0, 17.0, 34.0, 0, 8, 30, 28, 2, 0, 16, 0, 7, 18, 3, 2, 0.0, 22, 1, 0, 0, 0, 29, 29, 4.35, 36.96, 73.91, 69.59375, 96.6875, 96.6875, 0, 26.69921875, 65.1875, 0.0, 23.296875, 60.0, 10.0, 6.7, 0.0, 93.296875, 73.296875, 6.69921875, 3.2998046875, 0.0, 0.0, 275.0, 58.0, 0.0, 0.0, 117.0, "Tous les candidats", 3223.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 66.0, "27477", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27476&g_ta_cod=27477", 96.0, 4.0, 0.0),
(7898, "Public", "0931002J", "I.U.T de Saint-Denis - Université Paris 13", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BUT", "I.U.T de Saint-Denis - Université Paris 13 - BUT - Mesures physiques Parcours : Techniques d'instrumentation - Mesures et analyses environnementales", "BUT - Production", "Techniques d'instrumentation - Mesures et analyses environnementales", 48, 943, 202, 817, 0, 474, 118, 104, 47, 2, 0, 237, 126, 16, 23, 0, 87, 600, 29, 0, 0, 406, 91, 49, 22, 0, 0, 145, 411, 27, 8, 12, 13, 0.0, 5.0, 15.0, 0, 6, 12, 12, 0, 0, 15, 0, 8, 4, 0, 0, 0.0, 4, 0, 0, 0, 0, 7, 12, 0.0, 18.52, 55.56, 29.59765625, 58.296875, 100.0, 0, 50.0, 44.3984375, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 100.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 237.0, 61.0, 0.0, 0.0, 141.0, "Tous les candidats sauf les Bac technologiques", 542.0, "Bacheliers technologiques toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 73.0, "11224", "BUT - Mesures physiques Parcours : Techniques d'instrumentation - Mesures et analyses environnementales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11224&g_ta_cod=11224", 96.0, 4.0, 0.0),
(7899, "Privé enseignement supérieur", "0753147N", "ICD International Business School - Campus de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 10e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours ICD - Programme Grande Ecole en 5 ans - Grade de Master", "Formation des écoles de commerce et de management", "Programme Grande Ecole en 5 ans - Grade de Master", 95, 321, 152, 305, 0, 241, 24, 35, 6, 1, 1, 28, 16, 3, 3, 1, 9, 207, 2, 0, 0, 170, 18, 23, 3, 0, 0, 14, 209, 14, 5, 13, 1, 13.0, 13.0, 13.0, 0, 5, 14, 11, 2, 1, 0, 0, 7, 4, 3, 0, 0.0, 6, 1, 0, 0, 0, 2, 11, 92.86, 92.86, 92.86, 35.6953125, 14.298828125, 78.59375, 0, 35.6953125, 100.0, 0.0, 50.0, 28.59765625, 21.3984375, 0.0, 0.0, 78.59375, 42.8984375, 14.298828125, 7.099609375, 7.099609375, 0.0, 170.0, 18.0, 1.0, 1.0, 14.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "23902", "Programme Grande Ecole en 5 ans - Grade de Master", "Concours ICD", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23901&g_ta_cod=23902", 79.0, 14.0, 7.0),
(7900, "Public", "0630022G", "Lycée professionnel Roger Claustres", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée professionnel Roger Claustres - BTS - Production - Aéronautique", "BTS - Production", "", 24, 815, 90, 814, 0, 231, 28, 180, 38, 153, 45, 250, 1, 0, 1, 0, 0, 403, 0, 0, 0, 151, 11, 96, 17, 90, 18, 66, 112, 21, 4, 21, 0, 6.0, 17.0, 21.0, 0, 3, 15, 6, 5, 4, 6, 0, 2, 9, 2, 2, 0.0, 4, 5, 4, 4, 0, 4, 4, 28.57, 80.95, 100.0, 19.0, 26.69921875, 26.69921875, 26.69921875, 20.0, 71.390625, 0.0, 13.298828125, 60.0, 13.298828125, 13.3, 0.0, 40.0, 26.69921875, 33.296875, 33.296875, 26.69921875, 26.69921875, 40.0, 7.0, 12.0, 3.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 108.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 28.0, "14594", "BTS - Production - Aéronautique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14594&g_ta_cod=14594", 48.0, 29.0, 24.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(7901, "Public", "0330027A", "Lycée Francois Mauriac", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Francois Mauriac - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 653, 323, 605, 0, 80, 22, 204, 75, 121, 61, 200, 48, 0, 0, 29, 19, 459, 7, 0, 0, 79, 21, 204, 75, 62, 32, 114, 156, 29, 11, 28, 1, 3.0, 21.0, 27.0, 0, 9, 25, 3, 16, 6, 4, 1, 8, 14, 2, 0, 0.0, 2, 8, 6, 4, 1, 22, 22, 10.34, 72.41, 93.1, 37.8984375, 88.0, 88.0, 16, 36.0, 86.1875, 4.0, 32.0, 56.0, 8.0, 0.0, 0.0, 12.0, 8.0, 64.0, 32.0, 24.0, 24.0, 15.0, 7.0, 46.0, 22.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 110, "Liste d'appel propre à cette formation", 35.0, "4284", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4284&g_ta_cod=4284", 21.0, 55.0, 24.0),
(7902, "Public", "0171327A", "IFSI CH Saintonge", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Saintes", "formation sélective", "IFSI", "Regroupement d'IFSI Université Poitiers - D.E Infirmier", "D.E secteur sanitaire", "", 46, 3321, 2827, 3321, 0, 671, 100, 568, 117, 413, 106, 1669, 0, 0, 0, 0, 0, 2164, 0, 0, 0, 454, 61, 423, 75, 334, 77, 953, 506, 49, 45, 49, 0, 2.0, 23.0, 43.0, 0, 2, 31, 3, 7, 21, 18, 0, 0, 12, 16, 3, 0.0, 3, 7, 21, 0, 0, 13, 13, 4.08, 46.94, 87.76, 91.796875, 41.8984375, 41.8984375, 0, 6.5, 63.296875, 0.0, 0.0, 38.6953125, 51.59375, 9.7, 0.0, 9.69921875, 9.69921875, 22.59765625, 22.59765625, 67.6875, 67.6875, 28.0, 2.0, 143.0, 35.0, 213.0, "Tous les candidats", 1535.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "23212", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22988&g_ta_cod=23212", 16.0, 18.0, 65.0),
(7903, "Public", "0060033D", "Lycée Honoré d'Estienne d'Orves (Beau-Site)", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Autre formation", "Lycée Honoré d'Estienne d'Orves (Beau-Site) - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 0, 0.0, 0.0, 0.0, 0, 2, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 4.0, 2.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22462", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 0.0, 100.0),
(7904, "Public", "0590223X", "Lycée Du Hainaut", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée Du Hainaut - BTS - Production - Conception et réalisation de carrosseries", "BTS - Production", "", 30, 152, 9, 152, 0, 2, 1, 20, 5, 74, 28, 56, 0, 0, 0, 0, 0, 134, 0, 0, 0, 2, 1, 20, 5, 74, 28, 38, 71, 30, 1, 30, 0, 9.0, 30.0, 30.0, 0, 7, 27, 0, 1, 26, 3, 0, 9, 10, 7, 1, 0.0, 0, 1, 17, 1, 0, 22, 22, 30.0, 100.0, 100.0, 3.2998046875, 81.5, 81.5, 3.69970703125, 25.8984375, 90.0, 0.0, 33.296875, 37.0, 25.8984375, 3.7, 0.0, 0.0, 0.0, 3.69970703125, 3.69970703125, 96.296875, 63.0, 1.0, 1.0, 63.0, 23.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 51.0, "6853", "BTS - Production - Conception et réalisation de carrosseries", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6853&g_ta_cod=6853", 0.0, 10.0, 90.0),
(7905, "Public", "0620215X", "Université du littoral - Site de Calais -", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "Autre formation", "Université du littoral - Site de Calais - - DEUST - Technicien de la mer et du littoral", "DEUST", "", 30, 257, 113, 257, 0, 103, 8, 66, 5, 6, 3, 82, 0, 0, 0, 0, 0, 227, 0, 0, 0, 102, 8, 61, 4, 0, 0, 64, 70, 29, 17, 29, 0, 10.0, 26.0, 28.0, 0, 1, 17, 10, 7, 0, 12, 0, 2, 7, 7, 1, 0.0, 8, 7, 0, 0, 0, 1, 1, 34.48, 89.66, 96.55, 58.59375, 5.8994140625, 5.8994140625, 0, 5.8994140625, 58.59375, 0.0, 11.798828125, 41.1953125, 41.1953125, 5.9, 0.0, 58.796875, 47.09375, 41.1953125, 41.1953125, 0.0, 0.0, 30.0, 3.0, 0.0, 0.0, 19.0, "Tous les candidats", 81.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "7395", "DEUST - Technicien de la mer et du littoral", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7395&g_ta_cod=7395", 62.0, 38.0, 0.0),
(7906, "Public", "0291660X", "Université de Brest - Site de Quimper", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation non sélective", "Licence", "Université de Brest - Site de Quimper - Licence - Histoire - Parcours Histoire Géographie", "Licence - Sciences humaines et sociales", "Histoire Géographie", 80, 390, 169, 319, 0, 218, 46, 28, 4, 17, 5, 56, 71, 14, 4, 3, 50, 319, 68, 0, 0, 218, 46, 28, 4, 17, 5, 56, 363, 46, 20, 28, 18, 15.0, 28.0, 38.0, 0, 8, 25, 16, 6, 3, 21, 0, 11, 10, 2, 2, 0.0, 11, 2, 1, 0, 0, 20, 20, 32.61, 60.87, 82.61, 43.5, 80.0, 80.0, 0, 32.0, 54.296875, 0.0, 44.0, 40.0, 8.0, 8.0, 0.0, 64.0, 44.0, 24.0, 8.0, 12.0, 4.0, 223.0, 51.0, 14.0, 5.0, 96.0, "Tous les candidats", 317.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "3888", "Licence - Histoire - Parcours Histoire Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3888&g_ta_cod=3888", 59.0, 26.0, 9.0),
(7907, "Privé sous contrat d'association", "0290335G", "Lycée La Croix Rouge", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée La Croix Rouge - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 162, 10, 159, 0, 11, 0, 45, 3, 76, 8, 27, 3, 0, 0, 3, 0, 154, 1, 0, 0, 11, 0, 41, 2, 76, 8, 26, 107, 25, 1, 24, 1, 8.0, 20.0, 23.0, 0, 2, 18, 0, 4, 14, 7, 0, 5, 7, 6, 0, 0.0, 0, 3, 10, 14, 0, 17, 17, 32.0, 80.0, 92.0, 4.0, 94.390625, 94.390625, 77.796875, 11.099609375, 72.0, 0.0, 27.796875, 38.8984375, 33.296875, 0.0, 0.0, 0.0, 0.0, 22.19921875, 16.69921875, 77.796875, 55.59375, 6.0, 0.0, 62.0, 8.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 77, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 91.0, "3843", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3843&g_ta_cod=3843", 8.0, 28.0, 64.0),
(7908, "Privé hors contrat", "0142440B", "ISEN Yncrea Ouest Caen", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 24, 1541, 252, 1539, 0, 1527, 117, 0, 0, 0, 0, 12, 2, 2, 0, 0, 0, 1385, 2, 0, 0, 1385, 92, 0, 0, 0, 0, 0, 1305, 19, 3, 18, 1, 13.0, 18.0, 18.0, 0, 0, 19, 19, 0, 0, 0, 0, 5, 6, 7, 1, 0.0, 14, 0, 0, 0, 0, 14, 14, 68.42, 94.74, 94.74, 15.798828125, 73.6875, 73.6875, 0, 0.0, 100.0, 0.0, 26.296875, 31.59765625, 36.796875, 5.3, 0.0, 100.0, 73.6875, 0.0, 0.0, 0.0, 0.0, 1305.0, 86.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "29274", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=29274", 100.0, 0.0, 0.0),
(7909, "Public", "0810005R", "Lycée BELLEVUE", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "CPGE", "Lycée BELLEVUE - CPGE - ECG -  - Mathématiques appliquées + HGG", "Classe préparatoire économique et commerciale", "", 24, 285, 145, 285, 210, 216, 19, 3, 0, 0, 0, 66, 0, 0, 0, 0, 0, 278, 0, 210, 229, 214, 19, 3, 0, 0, 0, 61, 210, 24, 10, 24, 0, 9.0, 17.0, 23.0, 19, 2, 17, 17, 0, 0, 7, 0, 1, 11, 5, 0, 0.0, 16, 0, 0, 1, 1, 12, 12, 37.5, 70.83, 95.83, 41.6953125, 70.59375, 70.59375, 5.8994140625, 11.798828125, 70.796875, 0.0, 5.8994140625, 64.6875, 29.3984375, 0.0, 0.0, 100.0, 94.09375, 0.0, 0.0, 0.0, 0.0, 188.0, 16.0, 0.0, 0.0, 22.0, "Tous les candidats", 237.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "31396", "CPGE - ECG -  - Mathématiques appliquées + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31396&g_ta_cod=31396", 100.0, 0.0, 0.0),
(7910, "Privé sous contrat d'association", "0801479Y", "Lycée Saint Remi", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Saint Remi - BTS - Services - Communication", "BTS - Services", "", 53, 621, 385, 610, 0, 154, 29, 147, 33, 75, 23, 234, 11, 0, 0, 5, 6, 377, 3, 0, 0, 71, 8, 147, 33, 57, 17, 102, 178, 46, 25, 44, 2, 2.0, 24.0, 39.0, 0, 3, 30, 7, 16, 7, 16, 0, 12, 14, 2, 2, 0.0, 5, 8, 5, 2, 2, 23, 23, 4.35, 52.17, 84.78, 54.296875, 76.6875, 76.6875, 6.69921875, 10.0, 65.1875, 0.0, 40.0, 46.6953125, 6.69921875, 6.7, 0.0, 23.296875, 16.69921875, 53.296875, 26.69921875, 23.296875, 16.69921875, 38.0, 6.0, 33.0, 9.0, 51.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 93.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 130, "Liste d'appel propre à cette formation", 46.0, "14561", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14561&g_ta_cod=14561", 26.0, 50.0, 24.0),
(7911, "Public", "0130050J", "Lycée Denis Diderot", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BTS", "Lycée Denis Diderot - BTS - Production - Management économique de la construction", "BTS - Production", "", 15, 270, 58, 270, 0, 26, 9, 73, 41, 108, 53, 63, 0, 0, 0, 0, 0, 270, 0, 0, 0, 26, 9, 73, 41, 108, 53, 63, 81, 13, 3, 13, 0, 0.0, 12.0, 12.0, 0, 4, 8, 2, 1, 5, 5, 0, 4, 3, 1, 0, 0.0, 0, 0, 4, 2, 0, 6, 6, 0.0, 92.31, 92.31, 23.09765625, 75.0, 75.0, 25, 50.0, 61.5, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 25.0, 0.0, 12.5, 0.0, 62.5, 50.0, 11.0, 1.0, 40.0, 19.0, 7.0, "Tous les candidats sauf les Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 63, "", 0, "Liste d'appel propre à cette formation", 45.0, "13847", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13847&g_ta_cod=13847", 46.0, 8.0, 46.0),
(7912, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 2 -  Sc. du langage - LEA anglais/espagnol", "Licence - Arts-lettres-langues", "2 -  Sc. du langage - LEA anglais/espagnol", 80, 448, 334, 395, 0, 239, 70, 51, 23, 22, 10, 83, 53, 7, 10, 8, 28, 391, 32, 0, 0, 239, 70, 51, 23, 22, 10, 79, 306, 72, 55, 54, 18, 12.0, 54.0, 55.0, 0, 28, 57, 39, 13, 5, 15, 1, 26, 17, 10, 3, 0.0, 22, 6, 2, 0, 0, 49, 49, 16.67, 75.0, 76.39, 76.390625, 86.0, 86.0, 0, 49.09375, 79.1875, 1.7998046875, 45.59375, 29.796875, 17.5, 5.3, 0.0, 68.390625, 38.59375, 22.796875, 10.5, 8.798828125, 3.5, 183.0, 60.0, 19.0, 9.0, 70.0, "Tous les candidats", 390.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "24147", "Licence - Portail 2 -  Sc. du langage - LEA anglais/espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24147&g_ta_cod=24147", 71.0, 21.0, 8.0),
(7913, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "Autre formation", "ICES - Institut Catholique de Vendée - Diplôme de Comptabilité et de Gestion", "DCG", "", 25, 112, 46, 88, 0, 30, 1, 20, 3, 3, 1, 35, 24, 1, 0, 2, 21, 55, 2, 0, 0, 27, 1, 17, 3, 3, 1, 8, 51, 4, 0, 4, 0, 3.0, 4.0, 4.0, 0, 0, 2, 2, 0, 0, 2, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 75.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 24.0, 1.0, 2.0, 0.0, 10.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "18969", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18969&g_ta_cod=18969", 75.0, 25.0, 0.0),
(7914, "Public", "0440005S", "Lycée Polyvalent Guy Moquet - Etienne Lenoir", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Châteaubriant", "formation sélective", "BTS", "Lycée Polyvalent Guy Moquet - Etienne Lenoir - BTS - Services - Gestion de la PME", "BTS - Services", "", 19, 417, 278, 362, 0, 21, 8, 117, 35, 115, 49, 109, 55, 0, 15, 11, 29, 167, 8, 0, 0, 8, 4, 72, 18, 68, 24, 19, 97, 17, 11, 14, 2, 5.0, 11.0, 12.0, 0, 5, 12, 1, 6, 5, 5, 0, 5, 6, 1, 0, 0.0, 1, 2, 4, 3, 2, 10, 10, 29.41, 64.71, 70.59, 64.6875, 83.296875, 83.296875, 25, 41.6953125, 70.59375, 0.0, 41.6953125, 50.0, 8.298828125, 0.0, 0.0, 8.298828125, 8.298828125, 50.0, 16.69921875, 41.6953125, 33.296875, 7.0, 4.0, 44.0, 18.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 42.0, "5419", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5419&g_ta_cod=5419", 24.0, 35.0, 41.0),
(7915, "Public", "0590221V", "Lycée Henri Wallon", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "CPGE", "Lycée Henri Wallon - CPGE - MP2I", "Classe préparatoire scientifique", "", 24, 679, 129, 679, 492, 489, 59, 1, 0, 0, 0, 189, 0, 0, 0, 0, 0, 418, 0, 82, 415, 409, 45, 0, 0, 0, 0, 9, 134, 24, 5, 24, 0, 2.0, 18.0, 22.0, 2, 0, 24, 24, 0, 0, 0, 0, 0, 2, 13, 8, 1.0, 24, 0, 0, 3, 1, 20, 20, 8.33, 75.0, 91.67, 20.796875, 83.296875, 83.296875, 12.5, 0.0, 100.0, 0.0, 0.0, 8.298828125, 54.1953125, 33.3, 4.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 133.0, 9.0, 0.0, 0.0, 1.0, "Tous les candidats", 250.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "32112", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32112&g_ta_cod=32112", 100.0, 0.0, 0.0),
(7916, "Public", "0330028B", "Lycée Gustave Eiffel", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Gustave Eiffel - CPGE - PTSI", "Classe préparatoire scientifique", "", 96, 899, 143, 899, 0, 775, 69, 4, 1, 0, 0, 120, 0, 0, 0, 0, 0, 677, 0, 0, 677, 649, 60, 0, 0, 0, 0, 28, 391, 95, 14, 95, 0, 11.0, 75.0, 91.0, 0, 8, 95, 95, 0, 0, 0, 0, 0, 20, 58, 15, 2.0, 95, 0, 0, 28, 4, 88, 88, 11.58, 78.95, 95.79, 14.69921875, 92.59375, 92.59375, 29.5, 8.3984375, 100.0, 0.0, 0.0, 21.09765625, 61.09375, 15.8, 2.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 380.0, 35.0, 0.0, 0.0, 11.0, "Tous les candidats", 488.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "4288", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4288&g_ta_cod=4288", 100.0, 0.0, 0.0),
(7917, "Public", "0750674A", "Lycée Jules SIEGFRIED", "75", "Paris", "Ile-de-France", "Paris", "Paris 10e  Arrondissement", "formation sélective", "BTS", "Lycée Jules SIEGFRIED - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 3294, 1647, 3294, 0, 292, 81, 1159, 461, 980, 485, 863, 0, 0, 0, 0, 0, 1065, 0, 0, 0, 75, 22, 408, 199, 460, 229, 122, 173, 33, 13, 33, 0, 2.0, 31.0, 32.0, 0, 14, 25, 2, 14, 9, 8, 0, 6, 17, 0, 2, 0.0, 2, 11, 6, 0, 0, 10, 25, 6.06, 93.94, 96.97, 39.3984375, 40.0, 100.0, 0, 56.0, 75.796875, 0.0, 24.0, 68.0, 0.0, 8.0, 0.0, 8.0, 8.0, 56.0, 44.0, 36.0, 24.0, 23.0, 8.0, 36.0, 21.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 102, "Bacheliers technologiques toutes séries", 116, "Liste d'appel propre à cette formation", 8.0, "9019", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9019&g_ta_cod=9019", 12.0, 45.0, 42.0),
(7918, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence_Las", "Université Grenoble Alpes  - Licence - Portail Chimie - Chimie et Biochimie", "Licence - Sciences - technologies - santé", "Chimie et Biochimie", 45, 1251, 898, 1251, 0, 641, 99, 38, 10, 1, 1, 571, 0, 0, 0, 0, 0, 1241, 0, 0, 0, 641, 99, 38, 10, 1, 1, 561, 423, 38, 31, 38, 0, 0.0, 15.0, 28.0, 0, 6, 20, 17, 3, 0, 18, 0, 1, 9, 7, 3, 0.0, 17, 2, 0, 0, 0, 18, 18, 0.0, 39.47, 73.68, 81.59375, 90.0, 90.0, 0, 30.0, 52.59375, 0.0, 5.0, 45.0, 35.0, 15.0, 0.0, 85.0, 85.0, 15.0, 10.0, 0.0, 0.0, 176.0, 33.0, 0.0, 0.0, 236.0, "Tous les candidats", 1283.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 66.0, "31923", "Licence - Portail Chimie - Chimie et Biochimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31922&g_ta_cod=31923", 92.0, 8.0, 0.0),
(7919, "Public", "0750691U", "Lycée Raspail", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "BTS", "Lycée Raspail - BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "BTS - Production", "", 30, 780, 31, 780, 0, 16, 3, 77, 27, 461, 235, 226, 0, 0, 0, 0, 0, 764, 0, 0, 0, 16, 3, 77, 27, 461, 235, 210, 151, 25, 0, 25, 0, 6.0, 13.0, 16.0, 0, 7, 12, 1, 2, 9, 13, 0, 4, 5, 3, 0, 0.0, 0, 1, 7, 0, 0, 1, 12, 24.0, 52.0, 64.0, 0.0, 8.298828125, 100.0, 0, 58.296875, 48.0, 0.0, 33.296875, 41.6953125, 25.0, 0.0, 0.0, 8.298828125, 0.0, 16.69921875, 8.298828125, 75.0, 58.296875, 3.0, 3.0, 88.0, 44.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 136, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 25.0, "9108", "BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9108&g_ta_cod=9108", 4.0, 16.0, 80.0),
(7920, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence_Las", "Université de Reims Champagne-Ardenne - Licence - Sciences pour la santé - Sciences et Techniques des Activités Physiques et Sportives -  option Santé", "Licence - Sciences - technologies - santé", "Sciences et Techniques des Activités Physiques et Sportives", 141, 893, 539, 893, 0, 709, 87, 29, 6, 2, 0, 153, 0, 0, 0, 0, 0, 893, 0, 0, 0, 709, 87, 29, 6, 2, 0, 153, 321, 140, 69, 140, 0, 40.0, 128.0, 137.0, 0, 14, 97, 95, 2, 0, 43, 0, 4, 17, 57, 18, 1.0, 92, 1, 0, 0, 0, 83, 83, 28.57, 91.43, 97.86, 49.296875, 85.59375, 85.59375, 0, 14.3984375, 69.296875, 0.0, 4.099609375, 17.5, 58.796875, 18.6, 1.0, 97.890625, 94.796875, 2.099609375, 1.0, 0.0, 0.0, 209.0, 37.0, 0.0, 0.0, 110.0, "Tous les candidats", 369.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "32170", "Licence - Sciences pour la santé - Sciences et Techniques des Activités Physiques et Sportives -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32170&g_ta_cod=32170", 99.0, 1.0, 0.0),
(7921, "Public", "0781944P", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "PASS", "Université de Versailles - Saint Quentin en Yvelines - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 180, 3883, 2802, 3883, 0, 2918, 555, 61, 25, 20, 12, 884, 0, 0, 0, 0, 0, 3815, 0, 0, 0, 2918, 555, 61, 25, 20, 12, 816, 1246, 178, 140, 178, 0, 3.0, 108.0, 140.0, 0, 33, 141, 134, 3, 4, 37, 1, 11, 67, 53, 9, 0.0, 123, 2, 4, 0, 0, 86, 130, 1.69, 60.67, 78.65, 78.6875, 61.0, 92.1875, 0, 23.3984375, 79.1875, 0.699951171875, 7.7998046875, 47.5, 37.59375, 6.4, 0.0, 95.0, 87.1875, 2.099609375, 1.39990234375, 2.7998046875, 2.7998046875, 1113.0, 196.0, 7.0, 5.0, 116.0, "Tous les candidats", 4040.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "29166", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29162&g_ta_cod=29166", 93.0, 4.0, 2.0),
(7922, "Public", "0720010V", "Lycée agricole La Germiniere", "72", "Sarthe", "Pays de la Loire", "Nantes", "Rouillon", "formation sélective", "BTS", "Lycée agricole La Germiniere - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 24, 207, 65, 194, 0, 18, 4, 51, 13, 86, 22, 39, 13, 1, 3, 3, 6, 140, 6, 0, 0, 18, 4, 48, 11, 74, 20, 0, 85, 16, 3, 13, 3, 7.0, 13.0, 16.0, 0, 2, 15, 3, 2, 10, 1, 0, 4, 6, 5, 0, 0.0, 2, 1, 8, 8, 0, 10, 10, 43.75, 81.25, 100.0, 18.796875, 66.6875, 66.6875, 53.296875, 13.298828125, 93.796875, 0.0, 26.69921875, 40.0, 33.296875, 0.0, 0.0, 20.0, 13.298828125, 13.298828125, 6.69921875, 66.6875, 53.296875, 16.0, 2.0, 40.0, 9.0, 2.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 72, "", 0, "Liste d'appel propre à cette formation", 70.0, "8683", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8683&g_ta_cod=8683", 19.0, 19.0, 63.0),
(7923, "Public", "0595521F", "IFSI CH Dunkerque", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 77, 4384, 3507, 4384, 0, 850, 211, 861, 271, 408, 182, 2265, 0, 0, 0, 0, 0, 3664, 0, 0, 0, 768, 183, 731, 218, 329, 139, 1836, 462, 78, 67, 78, 0, 6.0, 61.0, 74.0, 0, 17, 68, 30, 29, 9, 10, 0, 1, 26, 29, 12, 0.0, 29, 29, 9, 0, 0, 65, 65, 7.69, 78.21, 94.87, 85.890625, 95.59375, 95.59375, 0, 25.0, 87.1875, 0.0, 1.5, 38.1953125, 42.59375, 17.6, 0.0, 44.09375, 42.59375, 42.59375, 42.59375, 13.19921875, 13.19921875, 117.0, 24.0, 52.0, 22.0, 174.0, "Tous les candidats", 2381.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "23136", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23136", 46.0, 41.0, 13.0),
(7924, "Public", "0672734H", "Centre Régional Associé au CNAM", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Centre Régional Associé au CNAM - Formation Supérieure de Spécialisation - Management entrepreneurial de projet d?activité", "Diplôme d'Université", "Management entrepreneurial de projet d?activité", 15, 64, 26, 40, 0, 11, 3, 7, 1, 3, 1, 19, 24, 1, 3, 4, 16, 27, 13, 0, 0, 10, 3, 5, 0, 3, 1, 9, 53, 12, 7, 3, 6, 1.0, 2.0, 4.0, 0, 1, 6, 0, 2, 4, 6, 0, 6, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 6, 6, 8.33, 16.67, 33.33, 58.296875, 100.0, 100.0, 0, 16.69921875, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 0.0, 11.0, 4.0, 14.0, 4.0, 18.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "33920", "Formation Supérieure de Spécialisation - Management entrepreneurial de projet d?activité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33920&g_ta_cod=33920", 33.0, 25.0, 42.0),
(7925, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Chimie, Sciences de la vie - Parcours Chimie - Biologie", "Licence - Sciences - technologies - santé", "Chimie - Biologie", 205, 2438, 1739, 2438, 0, 1400, 336, 118, 44, 2, 0, 918, 0, 0, 0, 0, 0, 2374, 0, 0, 0, 1400, 336, 118, 44, 2, 0, 854, 1316, 197, 143, 196, 0, 3.0, 79.0, 152.0, 0, 35, 130, 122, 8, 0, 67, 0, 35, 74, 19, 2, 0.0, 88, 7, 0, 0, 0, 83, 123, 1.52, 40.1, 77.16, 72.59375, 63.796875, 94.59375, 0, 26.8984375, 66.0, 0.0, 26.8984375, 56.8984375, 14.599609375, 1.5, 0.0, 93.796875, 67.6875, 6.19921875, 5.3994140625, 0.0, 0.0, 861.0, 211.0, 0.0, 0.0, 425.0, "Tous les candidats", 1548.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "28503", "Licence - Chimie, Sciences de la vie - Parcours Chimie - Biologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28503&g_ta_cod=28503", 94.0, 5.0, 1.0),
(7926, "Privé sous contrat d'association", "0010099C", "Lycée professionnel Saint Joseph", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "Autre formation", "Lycée professionnel Saint Joseph - Mention complémentaire - FCIL Secrétaire juridique", "Mention complémentaire", "", 12, 43, 38, 29, 0, 1, 0, 1, 0, 18, 6, 9, 14, 3, 0, 8, 3, 25, 8, 0, 0, 1, 0, 1, 0, 16, 6, 7, 32, 9, 8, 5, 4, 1.0, 5.0, 7.0, 0, 0, 4, 0, 0, 4, 5, 0, 2, 1, 0, 1, 0.0, 0, 0, 2, 0, 0, 2, 2, 11.11, 55.56, 77.78, 88.890625, 50.0, 50.0, 0, 0.0, 44.3984375, 0.0, 50.0, 25.0, 0.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 4.0, 0.0, 17.0, 6.0, 10.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "24758", "Mention complémentaire - FCIL Secrétaire juridique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24758&g_ta_cod=24758", 22.0, 0.0, 67.0),
(7927, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence_Las", "Université de Lorraine - Site de Nancy - Licence - Portail Licence 1ère année Portail Physique - Chimie", "Licence - Sciences - technologies - santé", "Licence 1ère année Portail Physique - Chimie", 36, 1020, 654, 1020, 0, 653, 112, 30, 8, 3, 1, 334, 0, 0, 0, 0, 0, 1020, 0, 0, 0, 653, 112, 30, 8, 3, 1, 334, 305, 34, 23, 34, 0, 0.0, 18.0, 29.0, 0, 5, 29, 28, 1, 0, 5, 0, 7, 13, 7, 2, 0.0, 21, 1, 0, 0, 0, 24, 24, 0.0, 52.94, 85.29, 67.59375, 82.796875, 82.796875, 0, 17.19921875, 85.296875, 0.0, 24.09765625, 44.796875, 24.09765625, 6.9, 0.0, 96.59375, 72.390625, 3.39990234375, 3.39990234375, 0.0, 0.0, 269.0, 35.0, 0.0, 0.0, 33.0, "Tous les candidats", 1111.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 63.0, "26965", "Licence - Portail Licence 1ère année Portail Physique - Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26964&g_ta_cod=26965", 97.0, 3.0, 0.0),
(7928, "Public", "0710018J", "Lycée Julien Wittmer", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Charolles", "formation sélective", "BTS", "Lycée Julien Wittmer - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 261, 152, 210, 0, 13, 2, 45, 18, 46, 16, 106, 51, 3, 17, 1, 30, 117, 20, 0, 0, 10, 2, 44, 17, 46, 16, 17, 119, 18, 12, 14, 4, 4.0, 11.0, 15.0, 0, 5, 11, 1, 4, 6, 7, 0, 4, 3, 3, 1, 0.0, 1, 1, 5, 4, 3, 9, 9, 22.22, 61.11, 83.33, 66.6875, 81.796875, 81.796875, 36.3984375, 45.5, 61.09375, 0.0, 36.3984375, 27.296875, 27.296875, 9.1, 0.0, 9.099609375, 9.099609375, 36.3984375, 9.099609375, 54.5, 45.5, 9.0, 2.0, 29.0, 8.0, 27.0, "Tous les candidats sauf les Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 54.0, "8626", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8626&g_ta_cod=8626", 11.0, 44.0, 44.0),
(7929, "Public", "9710709U", "Lycée professionnel Gerty Archimède", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Morne-à-l'Eau", "formation sélective", "BTS", "Lycée professionnel Gerty Archimède - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 16, 77, 28, 77, 0, 14, 10, 14, 10, 36, 24, 13, 0, 0, 0, 0, 0, 77, 0, 0, 0, 14, 10, 14, 10, 36, 24, 13, 40, 16, 8, 16, 0, 7.0, 15.0, 15.0, 0, 11, 14, 2, 2, 10, 2, 0, 9, 4, 1, 0, 0.0, 0, 0, 5, 9, 5, 14, 14, 43.75, 93.75, 93.75, 50.0, 100.0, 100.0, 64.296875, 78.59375, 87.5, 0.0, 64.296875, 28.59765625, 7.099609375, 0.0, 0.0, 14.298828125, 0.0, 14.298828125, 0.0, 71.390625, 35.6953125, 4.0, 3.0, 23.0, 16.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers technologiques toutes séries", 9, "Bacheliers professionnels toutes séries", 35, "Liste d'appel propre à cette formation", 64.0, "32634", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32634&g_ta_cod=32634", 13.0, 13.0, 75.0),
(7930, "Public", "0580758J", "Université de Bourgogne - site de Nevers", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation non sélective", "Licence", "Université de Bourgogne - site de Nevers - Licence - Droit", "Licence - Droit-économie-gestion", "", 100, 511, 375, 465, 0, 321, 83, 66, 30, 15, 7, 63, 46, 13, 4, 3, 26, 462, 43, 0, 0, 321, 83, 66, 30, 15, 7, 60, 395, 77, 61, 65, 12, 26.0, 64.0, 71.0, 0, 19, 64, 51, 9, 4, 13, 0, 31, 22, 8, 3, 0.0, 31, 1, 1, 0, 0, 61, 61, 33.77, 83.12, 92.21, 79.1875, 95.296875, 95.296875, 0, 29.69921875, 83.09375, 0.0, 48.3984375, 34.3984375, 12.5, 4.7, 0.0, 79.6875, 48.3984375, 14.099609375, 1.599853515625, 6.2998046875, 1.599853515625, 283.0, 66.0, 10.0, 6.0, 65.0, "Tous les candidats", 462.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "6698", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6698&g_ta_cod=6698", 73.0, 17.0, 9.0),
(7931, "Public", "0751718K", "Université Paris 2 Panthéon - Assas", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Licence", "Université Paris 2 Panthéon - Assas - Licence - Double diplôme - Licence Droit - Droits français et italien - Rome", "Licence - Droit-économie-gestion", "Droits français et italien - Rome", 15, 354, 247, 218, 0, 163, 24, 3, 2, 1, 0, 51, 136, 47, 10, 5, 74, 75, 2, 0, 0, 75, 6, 0, 0, 0, 0, 0, 49, 15, 12, 13, 2, 3.0, 8.0, 12.0, 0, 2, 14, 14, 0, 0, 1, 0, 0, 1, 6, 7, 0.0, 14, 0, 0, 0, 0, 4, 10, 20.0, 53.33, 80.0, 80.0, 28.59765625, 71.390625, 0, 14.298828125, 93.296875, 0.0, 0.0, 7.099609375, 42.8984375, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 48.0, 5.0, 0.0, 0.0, 1.0, "Tous les candidats", 66.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "27191", "Licence - Double diplôme - Licence Droit - Droits français et italien - Rome", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27191&g_ta_cod=27191", 100.0, 0.0, 0.0),
(7932, "Public", "0150634H", "IFSI CH Aurillac", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "IFSI", "Regroupement d'IFSI Université Clermont Auvergne - D.E Infirmier", "D.E secteur sanitaire", "", 74, 3088, 2529, 3088, 0, 576, 100, 693, 157, 258, 97, 1561, 0, 0, 0, 0, 0, 2514, 0, 0, 0, 519, 79, 651, 145, 187, 69, 1157, 649, 74, 65, 74, 0, 0.0, 35.0, 60.0, 0, 7, 46, 6, 35, 5, 28, 0, 9, 30, 6, 1, 0.0, 4, 28, 5, 0, 0, 18, 18, 0.0, 47.3, 81.08, 87.796875, 39.09375, 39.09375, 0, 15.19921875, 62.1953125, 0.0, 19.59765625, 65.1875, 13.0, 2.2, 0.0, 13.0, 8.69921875, 76.09375, 60.8984375, 10.8984375, 10.8984375, 105.0, 9.0, 24.0, 6.0, 186.0, "Tous les candidats", 1460.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "23106", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22999&g_ta_cod=23106", 15.0, 76.0, 8.0),
(7933, "Public", "0755890V", "Sorbonne université", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Sorbonne université - Double licence - LETTRES INFORMATIQUE", "Licence - Arts-lettres-langues", "LETTRES INFORMATIQUE", 16, 313, 113, 157, 0, 85, 15, 4, 1, 0, 0, 68, 156, 62, 6, 1, 87, 57, 17, 0, 0, 42, 6, 0, 0, 0, 0, 15, 71, 16, 5, 7, 9, 2.0, 7.0, 14.0, 0, 1, 10, 10, 0, 0, 6, 0, 0, 5, 2, 3, 0.0, 10, 0, 0, 0, 0, 3, 8, 12.5, 43.75, 87.5, 31.296875, 30.0, 80.0, 0, 10.0, 62.5, 0.0, 0.0, 50.0, 20.0, 30.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 7.0, 0.0, 0.0, 21.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "28456", "Double licence - LETTRES INFORMATIQUE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28456&g_ta_cod=28456", 100.0, 0.0, 0.0),
(7934, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Sciences du langage", "Licence - Arts-lettres-langues", "", 100, 362, 298, 256, 0, 176, 36, 14, 3, 3, 2, 63, 106, 30, 8, 4, 64, 256, 54, 0, 0, 176, 36, 14, 3, 3, 2, 63, 286, 58, 46, 38, 20, 26.0, 38.0, 51.0, 0, 5, 41, 36, 4, 1, 17, 0, 11, 18, 8, 4, 0.0, 28, 2, 0, 0, 0, 35, 35, 44.83, 65.52, 87.93, 79.296875, 85.390625, 85.390625, 0, 12.19921875, 70.6875, 0.0, 26.796875, 43.8984375, 19.5, 9.8, 0.0, 87.796875, 68.296875, 9.798828125, 4.8994140625, 2.39990234375, 0.0, 181.0, 38.0, 3.0, 1.0, 85.0, "Tous les candidats", 256.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19177", "Licence - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19177&g_ta_cod=19177", 86.0, 10.0, 3.0),
(7935, "Public", "0312290W", "Lycée Henri Matisse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Cugnaux", "formation sélective", "BTS", "Lycée Henri Matisse - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 23, 555, 50, 555, 0, 74, 16, 163, 55, 158, 62, 160, 0, 0, 0, 0, 0, 393, 0, 0, 0, 71, 15, 112, 37, 130, 50, 80, 126, 22, 1, 22, 0, 1.0, 18.0, 20.0, 0, 7, 19, 6, 6, 7, 3, 0, 7, 8, 4, 0, 0.0, 1, 4, 7, 2, 0, 18, 18, 4.55, 81.82, 90.91, 4.5, 94.6875, 94.6875, 10.5, 36.796875, 86.390625, 0.0, 36.796875, 42.09375, 21.09765625, 0.0, 0.0, 31.59765625, 5.2998046875, 31.59765625, 21.09765625, 36.796875, 36.796875, 30.0, 11.0, 51.0, 20.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 91, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 39.0, "20133", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20133&g_ta_cod=20133", 27.0, 32.0, 41.0),
(7936, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", "", 215, 2668, 1159, 2668, 0, 1424, 529, 269, 123, 40, 23, 935, 0, 0, 0, 0, 0, 2524, 0, 0, 0, 1424, 529, 269, 123, 40, 23, 791, 1325, 215, 66, 215, 0, 19.0, 113.0, 178.0, 0, 43, 113, 110, 3, 0, 102, 1, 86, 24, 2, 0, 0.0, 24, 2, 0, 0, 0, 61, 107, 8.84, 52.56, 82.79, 30.69921875, 54.0, 94.6875, 0, 38.09375, 52.59375, 0.89990234375, 76.09375, 21.19921875, 1.7998046875, 0.0, 0.0, 97.296875, 21.19921875, 2.69970703125, 1.7998046875, 0.0, 0.0, 968.0, 333.0, 0.0, 0.0, 347.0, "Tous les candidats", 1598.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 56.0, "15410", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28417&g_ta_cod=15410", 98.0, 1.0, 0.0),
(7937, "Public", "9840482B", "Lycée du Diadème - Te tara o mai'ao", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Pirae", "formation sélective", "BTS", "Lycée du Diadème - Te tara o mai'ao - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 31, 402, 253, 388, 0, 34, 14, 164, 75, 134, 86, 56, 14, 0, 11, 0, 3, 187, 1, 0, 0, 12, 3, 100, 45, 56, 35, 19, 109, 26, 16, 26, 0, 4.0, 23.0, 23.0, 0, 12, 22, 2, 10, 10, 4, 0, 6, 9, 6, 1, 0.0, 0, 6, 10, 9, 6, 22, 22, 15.38, 88.46, 88.46, 61.5, 100.0, 100.0, 40.8984375, 54.5, 84.59375, 0.0, 27.296875, 40.8984375, 27.296875, 4.5, 0.0, 9.099609375, 0.0, 45.5, 27.296875, 45.5, 45.5, 6.0, 2.0, 32.0, 19.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers technologiques toutes séries", 103, "Bacheliers professionnels toutes séries", 41, "Liste d'appel propre à cette formation", 41.0, "25801", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25801&g_ta_cod=25801", 15.0, 42.0, 42.0),
(7938, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 430, 5407, 2359, 5407, 0, 3451, 901, 473, 194, 78, 38, 1405, 0, 0, 0, 0, 0, 5357, 0, 0, 0, 3450, 900, 473, 194, 78, 38, 1356, 2805, 427, 170, 424, 0, 90.0, 254.0, 358.0, 0, 96, 305, 291, 14, 0, 122, 0, 105, 170, 26, 4, 0.0, 193, 7, 0, 0, 0, 190, 271, 21.08, 59.48, 83.84, 39.796875, 62.296875, 88.890625, 0, 31.5, 71.390625, 0.0, 34.3984375, 55.6953125, 8.5, 1.3, 0.0, 95.390625, 63.296875, 4.599609375, 2.2998046875, 0.0, 0.0, 2277.0, 587.0, 0.0, 0.0, 448.0, "Tous les candidats", 3224.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "11482", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11482&g_ta_cod=11482", 94.0, 5.0, 0.0),
(7939, "Public", "0060075Z", "Lycée Les Eucalyptus", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Les Eucalyptus - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 281, 15, 281, 0, 21, 2, 64, 19, 111, 41, 85, 0, 0, 0, 0, 0, 235, 0, 0, 0, 19, 2, 54, 14, 111, 41, 51, 77, 23, 1, 23, 0, 5.0, 21.0, 22.0, 0, 8, 19, 1, 6, 12, 4, 0, 4, 4, 6, 5, 0.0, 0, 3, 12, 3, 0, 18, 18, 21.74, 91.3, 95.65, 4.2998046875, 94.6875, 94.6875, 15.798828125, 42.09375, 82.59375, 0.0, 21.09765625, 21.09765625, 31.59765625, 26.3, 0.0, 5.2998046875, 0.0, 31.59765625, 15.798828125, 63.1953125, 63.1953125, 6.0, 2.0, 27.0, 6.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 35.0, "2234", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2234&g_ta_cod=2234", 13.0, 35.0, 52.0),
(7940, "Public", "0134016V", "Aix Marseille Université - Site d'Aix-en-Provence (Jules Ferry)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence_Las", "Aix Marseille Université - Site d'Aix-en-Provence (Jules Ferry) - Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales", "Licence - Sciences - technologies - santé", "", 10, 201, 107, 196, 0, 105, 24, 6, 0, 0, 0, 85, 5, 2, 0, 0, 3, 186, 4, 0, 0, 105, 24, 6, 0, 0, 0, 75, 105, 10, 4, 8, 2, 0.0, 3.0, 6.0, 0, 3, 8, 8, 0, 0, 2, 0, 4, 3, 1, 0, 0.0, 4, 0, 0, 0, 0, 5, 5, 0.0, 30.0, 60.0, 40.0, 62.5, 62.5, 0, 37.5, 80.0, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 53.0, 15.0, 0.0, 0.0, 51.0, "Tous les candidats", 466.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 84.0, "28494", "Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28493&g_ta_cod=28494", 100.0, 0.0, 0.0),
(7941, "Public", "0782562L", "Lycée Hoche", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Hoche - CPGE - BCPST", "Classe préparatoire scientifique", "", 96, 2249, 1584, 2249, 1447, 1879, 134, 2, 1, 1, 0, 367, 0, 0, 0, 0, 0, 1088, 0, 315, 1071, 1062, 86, 0, 0, 0, 0, 26, 486, 93, 70, 93, 0, 1.0, 64.0, 85.0, 23, 5, 93, 93, 0, 0, 0, 0, 0, 0, 18, 69, 6.0, 93, 0, 0, 3, 2, 57, 63, 1.08, 68.82, 91.4, 75.296875, 61.296875, 67.6875, 3.19970703125, 5.3994140625, 100.0, 0.0, 0.0, 0.0, 19.3984375, 74.2, 6.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 478.0, 39.0, 0.0, 0.0, 8.0, "Tous les candidats", 708.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "10045", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10045&g_ta_cod=10045", 100.0, 0.0, 0.0),
(7942, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Portail Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "Sciences pour l'ingénieur", 95, 1280, 268, 1233, 0, 776, 95, 135, 29, 3, 2, 319, 47, 3, 3, 1, 40, 1215, 30, 0, 0, 776, 95, 135, 29, 3, 2, 301, 808, 85, 19, 69, 14, 1.0, 28.0, 69.0, 0, 14, 48, 40, 8, 0, 37, 4, 23, 17, 3, 1, 0.0, 20, 1, 0, 0, 0, 40, 40, 1.18, 32.94, 81.18, 22.3984375, 83.296875, 83.296875, 0, 29.19921875, 56.5, 8.298828125, 47.8984375, 35.3984375, 6.2998046875, 2.1, 0.0, 83.296875, 41.6953125, 16.69921875, 2.099609375, 0.0, 0.0, 554.0, 77.0, 2.0, 1.0, 226.0, "Tous les candidats", 1247.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "31943", "Licence - Portail Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31944&g_ta_cod=31943", 84.0, 14.0, 1.0),
(7943, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Physique", "Licence - Sciences - technologies - santé", "", 110, 2781, 983, 2781, 0, 2022, 315, 21, 9, 2, 2, 736, 0, 0, 0, 0, 0, 2781, 0, 0, 0, 2022, 315, 21, 9, 2, 2, 736, 1669, 99, 25, 99, 0, 16.0, 24.0, 66.0, 0, 21, 51, 50, 1, 0, 48, 1, 16, 26, 5, 3, 0.0, 34, 0, 0, 0, 0, 13, 47, 16.16, 24.24, 66.67, 25.296875, 25.5, 92.1875, 0, 41.1953125, 51.5, 2.0, 31.3984375, 51.0, 9.798828125, 5.9, 0.0, 98.0, 66.6875, 2.0, 0.0, 0.0, 0.0, 1267.0, 223.0, 0.0, 0.0, 401.0, "Tous les candidats", 2318.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 72.0, "9341", "Licence - Portail Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32308&g_ta_cod=9341", 98.0, 1.0, 0.0),
(7944, "Public", "0430020N", "Lycée Charles et Adrien Dupuy", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "BTS", "Lycée Charles et Adrien Dupuy - BTS - Production - Conception de produits industriels", "BTS - Production", "", 7, 116, 11, 115, 0, 2, 0, 73, 11, 18, 3, 22, 1, 0, 0, 0, 1, 102, 0, 0, 0, 2, 0, 73, 11, 17, 3, 10, 16, 7, 1, 7, 0, 6.0, 7.0, 7.0, 0, 2, 7, 1, 4, 2, 0, 0, 3, 3, 1, 0, 0.0, 1, 2, 1, 1, 0, 5, 5, 85.71, 100.0, 100.0, 14.298828125, 71.390625, 71.390625, 14.298828125, 28.59765625, 100.0, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 14.298828125, 14.298828125, 57.09375, 28.59765625, 28.59765625, 14.298828125, 1.0, 0.0, 9.0, 1.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 22.0, "16227", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16227&g_ta_cod=16227", 14.0, 57.0, 29.0),
(7945, "Public", "0690038S", "Lycée La Martinière Duchère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "BTS", "Lycée La Martinière Duchère - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 2276, 2022, 2054, 0, 220, 85, 587, 244, 609, 315, 638, 222, 28, 83, 0, 111, 380, 16, 0, 0, 26, 7, 95, 23, 229, 90, 30, 191, 30, 29, 18, 11, 3.0, 13.0, 25.0, 0, 12, 26, 4, 12, 10, 4, 0, 14, 5, 6, 1, 0.0, 1, 3, 8, 0, 0, 20, 20, 10.0, 43.33, 83.33, 96.6875, 76.890625, 76.890625, 0, 46.1953125, 86.6875, 0.0, 53.796875, 19.19921875, 23.09765625, 3.8, 0.0, 15.3984375, 3.7998046875, 46.1953125, 11.5, 38.5, 30.796875, 22.0, 7.0, 69.0, 26.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 100, "Bacheliers technologiques toutes séries", 105, "Liste d'appel propre à cette formation", 11.0, "8224", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8224&g_ta_cod=8224", 17.0, 47.0, 37.0),
(7946, "Public", "0920141D", "Lycée Joliot-Curie", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "BTS", "Lycée Joliot-Curie - BTS - Services - Support à l'action managériale", "BTS - Services", "", 30, 863, 570, 863, 0, 12, 4, 296, 131, 312, 147, 243, 0, 0, 0, 0, 0, 704, 0, 0, 0, 12, 4, 248, 116, 261, 120, 183, 160, 30, 25, 30, 0, 1.0, 23.0, 29.0, 0, 12, 24, 0, 12, 12, 6, 0, 8, 11, 4, 1, 0.0, 0, 6, 10, 1, 0, 22, 23, 3.33, 76.67, 96.67, 83.296875, 91.6875, 95.796875, 4.19921875, 50.0, 80.0, 0.0, 33.296875, 45.796875, 16.69921875, 4.2, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 41.6953125, 6.0, 4.0, 53.0, 24.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 116, "Bacheliers technologiques toutes séries", 119, "Liste d'appel propre à cette formation", 29.0, "19748", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19748&g_ta_cod=19748", 3.0, 50.0, 47.0),
(7947, "Public", "0460007H", "Lycée Clement Marot", "46", "Lot", "Occitanie", "Toulouse", "Cahors", "formation sélective", "Autre formation", "Lycée Clement Marot - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 1.0, 1.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22407", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0, 0, 0),
(7948, "Public", "0950648N", "Lycée Jean-Jacques Rousseau", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Montmorency", "formation sélective", "BTS", "Lycée Jean-Jacques Rousseau - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 746, 61, 746, 0, 88, 20, 220, 82, 147, 61, 291, 0, 0, 0, 0, 0, 362, 0, 0, 0, 83, 20, 115, 37, 77, 38, 87, 116, 38, 3, 38, 0, 5.0, 31.0, 36.0, 0, 15, 35, 7, 11, 17, 3, 0, 11, 19, 5, 0, 0.0, 2, 7, 15, 5, 1, 27, 35, 13.16, 81.58, 94.74, 7.8994140625, 77.09375, 100.0, 14.298828125, 42.8984375, 92.09375, 0.0, 31.3984375, 54.296875, 14.298828125, 0.0, 0.0, 20.0, 5.69921875, 31.3984375, 20.0, 48.59375, 42.8984375, 21.0, 6.0, 57.0, 31.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 17.0, "11573", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11573&g_ta_cod=11573", 24.0, 32.0, 45.0),
(7949, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Gaston Berger - BTS - Services - Notariat", "BTS - Services", "", 24, 1063, 726, 967, 0, 206, 53, 225, 104, 84, 54, 452, 96, 13, 17, 0, 66, 243, 2, 0, 0, 121, 30, 59, 22, 44, 29, 19, 130, 22, 21, 21, 0, 11.0, 19.0, 22.0, 0, 6, 20, 15, 3, 2, 2, 0, 5, 13, 2, 0, 0.0, 11, 2, 2, 0, 0, 14, 14, 50.0, 86.36, 100.0, 95.5, 70.0, 70.0, 0, 30.0, 90.890625, 0.0, 25.0, 65.0, 10.0, 0.0, 0.0, 75.0, 55.0, 15.0, 10.0, 10.0, 10.0, 75.0, 19.0, 8.0, 6.0, 11.0, "Tous les candidats sauf les Bac professionnels", 196.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 22.0, "19787", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19787&g_ta_cod=19787", 77.0, 14.0, 9.0),
(7950, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "Licence - Arts-lettres-langues", "Allemand", 42, 61, 25, 11, 0, 6, 0, 0, 0, 1, 0, 4, 50, 1, 3, 12, 34, 10, 24, 0, 0, 6, 0, 0, 0, 1, 0, 3, 36, 7, 3, 1, 6, 1.0, 1.0, 2.0, 0, 1, 3, 1, 0, 2, 4, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 3, 3, 14.29, 14.29, 28.57, 42.8984375, 100.0, 100.0, 0, 33.296875, 42.8984375, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 33.296875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 8.0, 1.0, 10.0, 6.0, 16.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "24380", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24380&g_ta_cod=24380", 57.0, 0.0, 43.0),
(7951, "Privé sous contrat d'association", "0720837U", "Lycée Notre-Dame", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Notre-Dame - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 28, 352, 242, 352, 0, 112, 13, 121, 18, 23, 7, 96, 0, 0, 0, 0, 0, 303, 0, 0, 0, 111, 13, 109, 16, 18, 4, 65, 144, 26, 16, 25, 0, 3.0, 15.0, 21.0, 0, 3, 24, 9, 13, 2, 2, 0, 7, 12, 3, 2, 0.0, 8, 8, 1, 7, 4, 18, 18, 11.54, 57.69, 80.77, 61.5, 75.0, 75.0, 29.19921875, 12.5, 92.296875, 0.0, 29.19921875, 50.0, 12.5, 8.3, 0.0, 37.5, 33.296875, 54.1953125, 33.296875, 8.298828125, 4.19921875, 62.0, 3.0, 11.0, 3.0, 18.0, "Tous les candidats sauf les Bac professionnels", 187.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 58.0, "8731", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8731&g_ta_cod=8731", 38.0, 54.0, 8.0),
(7952, "Public", "0180005H", "Lycée Alain-Fournier", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "Autre formation", "Lycée Alain-Fournier - CPES - Arts", "Classe préparatoire aux études supérieures", "", 24, 225, 178, 225, 0, 174, 27, 8, 3, 17, 6, 26, 0, 0, 0, 0, 0, 95, 0, 0, 0, 80, 15, 3, 1, 4, 1, 8, 72, 24, 22, 24, 0, 4.0, 22.0, 24.0, 0, 5, 23, 20, 1, 2, 1, 0, 0, 11, 9, 3, 0.0, 20, 1, 2, 0, 0, 8, 8, 16.67, 91.67, 100.0, 91.6875, 34.796875, 34.796875, 0, 21.69921875, 95.796875, 0.0, 0.0, 47.796875, 39.09375, 13.0, 0.0, 87.0, 87.0, 4.2998046875, 4.2998046875, 8.69921875, 8.69921875, 59.0, 11.0, 4.0, 1.0, 7.0, "Tous les candidats", 95.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "17800", "CPES - Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17800&g_ta_cod=17800", 88.0, 4.0, 8.0),
(7953, "Privé sous contrat d'association", "0590347G", "ISEN Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 30, 1596, 360, 1596, 0, 1586, 136, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 1420, 0, 0, 0, 1414, 108, 0, 0, 0, 0, 6, 1340, 23, 2, 23, 0, 16.0, 21.0, 23.0, 0, 0, 23, 23, 0, 0, 0, 0, 5, 12, 5, 1, 0.0, 18, 0, 0, 0, 0, 15, 15, 69.57, 91.3, 100.0, 8.69921875, 65.1875, 65.1875, 0, 0.0, 100.0, 0.0, 21.69921875, 52.1953125, 21.69921875, 4.3, 0.0, 100.0, 78.296875, 0.0, 0.0, 0.0, 0.0, 1335.0, 104.0, 0.0, 0.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "22814", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=22814", 100.0, 0.0, 0.0),
(7954, "Public", "0782924E", "Lycée Evariste Galois", "78", "Yvelines", "Ile-de-France", "Versailles", "Sartrouville", "formation sélective", "BTS", "Lycée Evariste Galois - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1454, 686, 1454, 0, 63, 20, 509, 209, 525, 209, 357, 0, 0, 0, 0, 0, 825, 0, 0, 0, 57, 19, 280, 117, 340, 128, 148, 158, 35, 19, 32, 0, 7.0, 21.0, 27.0, 0, 14, 33, 1, 17, 15, 2, 0, 9, 15, 8, 1, 0.0, 0, 14, 10, 7, 7, 32, 33, 20.0, 60.0, 77.14, 54.296875, 97.0, 100.0, 21.19921875, 42.3984375, 94.296875, 0.0, 27.296875, 45.5, 24.19921875, 3.0, 0.0, 3.0, 0.0, 51.5, 42.3984375, 45.5, 30.296875, 3.0, 1.0, 74.0, 25.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 115, "Bacheliers technologiques toutes séries", 127, "Liste d'appel propre à cette formation", 17.0, "10069", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10069&g_ta_cod=10069", 6.0, 49.0, 46.0),
(7955, "Public", "0530011Z", "Lycée Douanier Rousseau", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "Lycée Douanier Rousseau - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 24, 395, 26, 395, 0, 62, 7, 135, 21, 112, 27, 86, 0, 0, 0, 0, 0, 325, 0, 0, 0, 61, 7, 109, 14, 111, 26, 44, 83, 24, 1, 24, 0, 6.0, 20.0, 22.0, 0, 2, 19, 7, 6, 6, 5, 0, 8, 11, 0, 0, 0.0, 3, 3, 5, 4, 0, 16, 16, 25.0, 83.33, 91.67, 4.19921875, 84.1875, 84.1875, 21.09765625, 10.5, 79.1875, 0.0, 42.09375, 57.8984375, 0.0, 0.0, 0.0, 36.796875, 15.798828125, 31.59765625, 15.798828125, 31.59765625, 26.296875, 14.0, 3.0, 34.0, 5.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 33.0, "6197", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6197&g_ta_cod=6197", 33.0, 33.0, 33.0),
(7956, "Privé sous contrat d'association", "0690571W", "Lycée Saint-Marc", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "CPGE", "Lycée Saint-Marc - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 690, 463, 671, 0, 593, 31, 0, 0, 1, 1, 77, 19, 10, 0, 0, 9, 374, 7, 0, 374, 364, 12, 0, 0, 0, 0, 10, 310, 48, 31, 43, 5, 10.0, 37.0, 46.0, 0, 2, 45, 45, 0, 0, 3, 0, 0, 2, 18, 25, 0.0, 45, 0, 0, 5, 2, 13, 13, 20.83, 77.08, 95.83, 64.59375, 28.8984375, 28.8984375, 11.099609375, 4.3994140625, 93.796875, 0.0, 0.0, 4.3994140625, 40.0, 55.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 299.0, 8.0, 0.0, 0.0, 11.0, "Tous les candidats", 372.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "8312", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8312&g_ta_cod=8312", 100.0, 0.0, 0.0),
(7957, "Public", "0672615D", "Lycée Louis Marchal", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Molsheim", "formation sélective", "Autre formation", "Lycée Louis Marchal - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 12, 34, 1, 34, 0, 0, 0, 0, 0, 24, 6, 10, 0, 0, 0, 0, 0, 25, 0, 0, 0, 0, 0, 0, 0, 24, 6, 1, 25, 9, 1, 9, 0, 4.0, 9.0, 9.0, 0, 0, 9, 0, 0, 9, 0, 0, 6, 1, 2, 0, 0.0, 0, 0, 3, 0, 0, 8, 8, 44.44, 100.0, 100.0, 11.099609375, 88.890625, 88.890625, 0, 0.0, 100.0, 0.0, 66.6875, 11.099609375, 22.19921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 33.296875, 0.0, 0.0, 24.0, 6.0, 1.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "20359", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20359&g_ta_cod=20359", 0.0, 0.0, 100.0),
(7958, "Public", "0150599V", "Lycée professionnel agricole Louis Mallet", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Saint-Flour", "formation sélective", "BTS", "Lycée professionnel agricole Louis Mallet - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 28, 159, 83, 157, 0, 1, 0, 29, 10, 29, 5, 98, 2, 0, 2, 0, 0, 62, 2, 0, 0, 1, 0, 29, 10, 29, 5, 3, 51, 8, 4, 6, 2, 4.0, 6.0, 7.0, 0, 5, 8, 0, 6, 2, 0, 0, 5, 2, 0, 1, 0.0, 0, 1, 2, 0, 0, 6, 6, 50.0, 75.0, 87.5, 50.0, 75.0, 75.0, 0, 62.5, 100.0, 0.0, 62.5, 25.0, 0.0, 12.5, 0.0, 0.0, 0.0, 75.0, 12.5, 25.0, 25.0, 1.0, 0.0, 22.0, 4.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 38.0, "18843", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18843&g_ta_cod=18843", 0.0, 75.0, 25.0),
(7959, "Privé enseignement supérieur", "0752792C", "IPAG Business School - Campus de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Ecole de Commerce", "IPAG Business School - Campus de Paris - Formation des écoles de commerce et de management Bac + 3 - Programme Bachelor", "Formation des écoles de commerce et de management", "Programme Bachelor -  Spécialisation Marketing & Communication Digitale", 36, 660, 358, 457, 0, 336, 14, 61, 5, 7, 1, 53, 203, 84, 35, 5, 79, 316, 24, 0, 0, 243, 9, 41, 3, 1, 0, 31, 206, 42, 27, 32, 10, 2.0, 32.0, 39.0, 0, 2, 35, 30, 4, 1, 7, 0, 14, 17, 4, 0, 0.0, 17, 3, 1, 0, 0, 10, 28, 4.76, 76.19, 92.86, 64.296875, 28.59765625, 80.0, 0, 5.69921875, 83.296875, 0.0, 40.0, 48.59375, 11.3984375, 0.0, 0.0, 85.6875, 48.59375, 11.3984375, 8.599609375, 2.89990234375, 2.89990234375, 160.0, 8.0, 1.0, 0.0, 25.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "31167", "Formation des écoles de commerce et de management Bac + 3 - Programme Bachelor", "IPAG Business School - Campus de Paris", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31165&g_ta_cod=31167", 86.0, 12.0, 2.0),
(7960, "Public", "0142423H", "Centre Régional associé au CNAM de Normandie", "14", "Calvados", "Normandie", "Normandie", "Hérouville-Saint-Clair", "formation sélective", "Autre formation", "CNAM /  lycée Gustave Flaubert (ROUEN - 76) - Formation Supérieure de Spécialisation - Informatique - support et conseil digital", "Diplôme d'Université", "Informatique - support et conseil digital", 20, 30, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 30, 4, 3, 8, 15, 0, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22, 12, 1, 0, 10, 0.0, 0.0, 4.0, 0, 1, 4, 1, 1, 2, 8, 1, 2, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 4, 4, 0.0, 0.0, 33.33, 8.298828125, 100.0, 100.0, 0, 25.0, 33.296875, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 25.0, 0.0, 25.0, 0.0, 50.0, 25.0, 3.0, 1.0, 5.0, 2.0, 12.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34938", "Formation Supérieure de Spécialisation - Informatique - support et conseil digital", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34938&g_ta_cod=34938", 25.0, 33.0, 33.0),
(7961, "Public", "0941474S", "Lycée Darius Milhaud", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Le Kremlin-Bicêtre", "formation sélective", "BTS", "Lycée Darius Milhaud - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 1713, 775, 1713, 0, 61, 17, 519, 225, 630, 333, 503, 0, 0, 0, 0, 0, 657, 0, 0, 0, 51, 15, 168, 76, 295, 157, 143, 129, 28, 6, 28, 0, 5.0, 23.0, 26.0, 0, 8, 13, 0, 9, 4, 15, 0, 2, 10, 1, 0, 0.0, 0, 9, 2, 3, 2, 9, 13, 17.86, 82.14, 92.86, 21.3984375, 69.1875, 100.0, 23.09765625, 61.5, 46.3984375, 0.0, 15.3984375, 76.890625, 7.69921875, 0.0, 0.0, 0.0, 0.0, 69.1875, 69.1875, 30.796875, 15.3984375, 2.0, 2.0, 22.0, 9.0, 53.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 92, "Liste d'appel propre à cette formation", 10.0, "11530", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11530&g_ta_cod=11530", 7.0, 46.0, 46.0),
(7962, "Privé sous contrat d'association", "0932014J", "CERPE", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "EFTS", "CERPE - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 50, 228, 211, 228, 0, 21, 4, 35, 13, 85, 32, 87, 0, 0, 0, 0, 0, 122, 0, 0, 0, 17, 2, 26, 6, 30, 6, 49, 108, 45, 42, 45, 0, 21.0, 38.0, 45.0, 0, 6, 24, 6, 11, 7, 21, 0, 11, 9, 4, 0, 0.0, 5, 3, 5, 0, 0, 10, 18, 46.67, 84.44, 100.0, 93.296875, 41.6953125, 75.0, 0, 25.0, 53.296875, 0.0, 45.796875, 37.5, 16.69921875, 0.0, 0.0, 25.0, 20.796875, 45.796875, 12.5, 29.19921875, 20.796875, 14.0, 2.0, 24.0, 5.0, 48.0, "Tous les candidats", 122.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "23700", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23700&g_ta_cod=23700", 33.0, 36.0, 31.0),
(7963, "Privé sous contrat d'association", "0721009F", "Lycée agricole Val De Sarthe", "72", "Sarthe", "Pays de la Loire", "Nantes", "Sablé-sur-Sarthe", "formation sélective", "BTS", "Lycée agricole Val De Sarthe - BTS - Agricole - productions animales", "BTS - Agricole", "", 40, 230, 172, 225, 0, 74, 9, 59, 10, 51, 16, 41, 5, 1, 1, 1, 2, 186, 1, 0, 0, 62, 9, 54, 8, 51, 16, 19, 129, 30, 29, 29, 1, 12.0, 29.0, 29.0, 0, 4, 23, 10, 4, 9, 7, 0, 8, 11, 3, 1, 0.0, 8, 4, 3, 1, 1, 7, 7, 40.0, 96.67, 96.67, 96.6875, 30.3984375, 30.3984375, 4.2998046875, 17.3984375, 76.6875, 0.0, 34.796875, 47.796875, 13.0, 4.3, 0.0, 43.5, 34.796875, 17.3984375, 17.3984375, 39.09375, 13.0, 39.0, 6.0, 37.0, 11.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 77.0, "8757", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8757&g_ta_cod=8757", 43.0, 27.0, 30.0),
(7964, "Public", "0781948U", "Lycée LAVOISIER", "78", "Yvelines", "Ile-de-France", "Versailles", "Porcheville", "formation sélective", "BTS", "Lycée LAVOISIER - BTS - Production - Travaux publics", "BTS - Production", "", 15, 296, 40, 207, 0, 11, 2, 63, 26, 46, 14, 87, 89, 8, 22, 13, 46, 79, 15, 0, 0, 8, 1, 32, 9, 32, 5, 7, 78, 11, 0, 5, 6, 3.0, 5.0, 10.0, 0, 4, 9, 1, 2, 6, 2, 0, 5, 3, 1, 0, 0.0, 0, 0, 4, 2, 0, 7, 8, 27.27, 45.45, 90.91, 0.0, 77.796875, 88.890625, 22.19921875, 44.3984375, 81.796875, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 11.099609375, 0.0, 22.19921875, 0.0, 66.6875, 44.3984375, 8.0, 2.0, 28.0, 5.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 38.0, "9997", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9997&g_ta_cod=9997", 18.0, 27.0, 55.0),
(7965, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Lettres - Parcours Lettres - Mineure Littératures (à distance ENEAD)", "Licence - Arts-lettres-langues", "Lettres - Mineure Littératures (à distance ENEAD)", 110, 349, 273, 286, 0, 48, 8, 2, 0, 0, 0, 236, 63, 4, 0, 0, 59, 286, 59, 0, 0, 48, 8, 2, 0, 0, 0, 236, 298, 109, 82, 78, 31, 30.0, 78.0, 101.0, 0, 1, 10, 10, 0, 0, 99, 0, 1, 3, 4, 2, 0.0, 9, 0, 0, 0, 0, 0, 3, 27.52, 71.56, 92.66, 75.1875, 0.0, 30.0, 0, 10.0, 9.19921875, 0.0, 10.0, 30.0, 40.0, 20.0, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 47.0, 8.0, 0.0, 0.0, 250.0, "Tous les candidats", 284.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "24136", "Licence - Lettres - Parcours Lettres - Mineure Littératures (à distance ENEAD)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24136&g_ta_cod=24136", 81.0, 7.0, 6.0),
(7966, "Public", "9720771F", "Lycée La Jetee", "972", "Martinique", "Martinique", "Martinique", "Le François", "formation sélective", "BTS", "Lycée La Jetee - BTS - Production - Management économique de la construction", "BTS - Production", "", 13, 82, 25, 82, 0, 5, 1, 19, 13, 28, 13, 30, 0, 0, 0, 0, 0, 39, 0, 0, 0, 4, 1, 17, 11, 13, 7, 5, 28, 14, 3, 14, 0, 8.0, 14.0, 14.0, 0, 8, 13, 2, 5, 6, 1, 0, 4, 8, 1, 0, 0.0, 1, 4, 4, 4, 0, 12, 12, 57.14, 100.0, 100.0, 21.3984375, 92.296875, 92.296875, 30.796875, 61.5, 92.890625, 0.0, 30.796875, 61.5, 7.69921875, 0.0, 0.0, 15.3984375, 7.69921875, 38.5, 30.796875, 46.1953125, 30.796875, 4.0, 1.0, 13.0, 7.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 35.0, "17764", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17764&g_ta_cod=17764", 21.0, 36.0, 43.0),
(7967, "Privé sous contrat d'association", "0941934S", "EFREI Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villejuif", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 120, 2066, 488, 2028, 0, 2021, 226, 0, 0, 0, 0, 7, 38, 34, 0, 0, 4, 1733, 10, 0, 0, 1733, 168, 0, 0, 0, 0, 0, 1556, 111, 20, 107, 4, 64.0, 107.0, 111.0, 0, 9, 111, 111, 0, 0, 0, 0, 6, 49, 45, 11, 0.0, 105, 0, 0, 0, 0, 20, 88, 57.66, 96.4, 100.0, 18.0, 18.0, 79.296875, 0, 8.099609375, 100.0, 0.0, 5.3994140625, 44.09375, 40.5, 9.9, 0.0, 100.0, 94.59375, 0.0, 0.0, 0.0, 0.0, 1556.0, 161.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "392", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=392", 100.0, 0.0, 0.0),
(7968, "Privé sous contrat d'association", "0831229K", "IFTS CROIX ROUGE OLLIOULES", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Ollioules", "formation sélective", "EFTS", "IFTS CROIX ROUGE OLLIOULES - D.E Educateur Spécialisé", "D.E secteur social", "", 26, 378, 336, 378, 0, 57, 9, 77, 18, 68, 18, 176, 0, 0, 0, 0, 0, 136, 0, 0, 0, 25, 2, 20, 3, 20, 4, 71, 44, 26, 22, 26, 0, 10.0, 21.0, 22.0, 0, 1, 7, 5, 2, 0, 19, 0, 1, 3, 2, 1, 0.0, 4, 2, 0, 0, 0, 3, 3, 38.46, 80.77, 84.62, 84.59375, 42.8984375, 42.8984375, 0, 14.298828125, 26.8984375, 0.0, 14.298828125, 42.8984375, 28.59765625, 14.3, 0.0, 71.390625, 57.09375, 28.59765625, 28.59765625, 0.0, 0.0, 6.0, 1.0, 1.0, 0.0, 35.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "24953", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24953&g_ta_cod=24953", 58.0, 19.0, 19.0),
(7969, "Public", "0762642J", "ERFPS CHU Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "IFSI", "Regroupement d'IFSI Université Rouen - D.E Infirmier", "D.E secteur sanitaire", "", 205, 3680, 3167, 3680, 0, 820, 174, 648, 198, 371, 135, 1841, 0, 0, 0, 0, 0, 3316, 0, 0, 0, 806, 170, 588, 167, 322, 119, 1600, 929, 204, 188, 204, 0, 28.0, 132.0, 164.0, 0, 32, 113, 76, 32, 5, 91, 0, 15, 59, 35, 4, 0.0, 62, 31, 5, 0, 0, 104, 104, 13.73, 64.71, 80.39, 92.1875, 92.0, 92.0, 0, 28.296875, 55.3984375, 0.0, 13.298828125, 52.1953125, 31.0, 3.5, 0.0, 67.296875, 54.8984375, 28.296875, 27.3984375, 4.3994140625, 4.3994140625, 340.0, 68.0, 36.0, 21.0, 438.0, "Tous les candidats", 1186.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "23229", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23005&g_ta_cod=23229", 78.0, 19.0, 3.0),
(7970, "Public", "0640011P", "Lycée Louis De Foix", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "BTS", "Lycée Louis De Foix - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 371, 178, 341, 0, 47, 11, 104, 34, 64, 29, 126, 30, 0, 18, 0, 12, 241, 9, 0, 0, 41, 9, 89, 26, 51, 23, 60, 152, 24, 11, 21, 2, 5.0, 21.0, 22.0, 0, 7, 21, 1, 10, 10, 3, 0, 6, 13, 2, 0, 0.0, 1, 7, 7, 0, 0, 18, 18, 20.83, 87.5, 91.67, 45.796875, 85.6875, 85.6875, 0, 33.296875, 87.5, 0.0, 28.59765625, 61.8984375, 9.5, 0.0, 0.0, 4.7998046875, 4.7998046875, 47.59375, 33.296875, 47.59375, 33.296875, 15.0, 4.0, 29.0, 15.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 109, "Liste d'appel propre à cette formation", 65.0, "7701", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7701&g_ta_cod=7701", 17.0, 42.0, 42.0),
(7971, "Public", "0670078W", "Lycée Jean Monnet", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 61, 1745, 927, 1745, 0, 197, 50, 639, 227, 515, 250, 394, 0, 0, 0, 0, 0, 890, 0, 0, 0, 148, 29, 404, 128, 238, 118, 100, 233, 49, 31, 49, 0, 1.0, 19.0, 40.0, 0, 31, 47, 4, 25, 18, 2, 0, 13, 25, 8, 1, 0.0, 2, 18, 14, 9, 7, 43, 43, 2.04, 38.78, 81.63, 63.296875, 91.5, 91.5, 19.09765625, 66.0, 95.890625, 0.0, 27.69921875, 53.1953125, 17.0, 2.1, 0.0, 8.5, 4.2998046875, 53.1953125, 38.296875, 38.296875, 29.796875, 46.0, 19.0, 73.0, 33.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 103.0, "Bacheliers professionnels toutes séries", 140, "Bacheliers technologiques toutes séries", 226, "Liste d'appel propre à cette formation", 27.0, "7911", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7911&g_ta_cod=7911", 12.0, 51.0, 37.0),
(7972, "Public", "0710048S", "Lycée Rene Cassin", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Mâcon", "formation sélective", "BTS", "Lycée Rene Cassin - BTS - Production - Maintenance des véhicules option véhicules de transport routier", "BTS - Production", "", 1, 48, 2, 48, 0, 5, 0, 7, 0, 23, 10, 13, 0, 0, 0, 0, 0, 35, 0, 0, 0, 5, 0, 6, 0, 20, 8, 4, 14, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 0.0, 8.0, 4.0, 3.0, "Tous les candidats sauf les Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 71.0, "8640", "BTS - Production - Maintenance des véhicules option véhicules de transport routier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8640&g_ta_cod=8640", 0, 0, 0),
(7973, "Public", "0750705J", "Lycée Honoré De Balzac", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "BTS", "Lycée Honoré De Balzac - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 1078, 483, 991, 0, 112, 39, 390, 186, 214, 116, 275, 87, 0, 60, 0, 27, 384, 3, 0, 0, 61, 26, 128, 70, 124, 74, 71, 148, 21, 12, 19, 2, 2.0, 11.0, 16.0, 0, 10, 16, 1, 8, 7, 5, 0, 2, 9, 3, 2, 0.0, 1, 7, 6, 0, 0, 7, 16, 9.52, 52.38, 76.19, 57.09375, 43.796875, 100.0, 0, 62.5, 76.1875, 0.0, 12.5, 56.296875, 18.796875, 12.5, 0.0, 6.2998046875, 6.2998046875, 50.0, 43.796875, 43.796875, 37.5, 28.0, 11.0, 44.0, 28.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 81.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 136, "Liste d'appel propre à cette formation", 30.0, "9147", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9147&g_ta_cod=9147", 14.0, 48.0, 38.0),
(7974, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence_Las", "Université Lumière-Lyon 2 - Licence - Portail Psychologie et sciences cognitives", "Licence - Sciences humaines et sociales", "Psychologie et sciences cognitives", 35, 3779, 3232, 3779, 0, 1940, 426, 332, 122, 69, 28, 1438, 0, 0, 0, 0, 0, 3779, 0, 0, 0, 1940, 426, 332, 122, 69, 28, 1438, 229, 35, 33, 35, 0, 1.0, 21.0, 28.0, 0, 3, 33, 29, 4, 0, 2, 0, 0, 2, 19, 11, 1.0, 29, 4, 0, 0, 0, 19, 19, 2.86, 60.0, 80.0, 94.296875, 57.59375, 57.59375, 0, 9.099609375, 94.296875, 0.0, 0.0, 6.099609375, 57.59375, 33.3, 3.0, 87.890625, 87.890625, 12.099609375, 12.099609375, 0.0, 0.0, 198.0, 24.0, 3.0, 1.0, 17.0, "Tous les candidats", 803.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "27207", "Licence - Portail Psychologie et sciences cognitives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27206&g_ta_cod=27207", 89.0, 11.0, 0.0),
(7975, "Public", "0171428K", "Lycée de la mer et du littoral", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Bourcefranc-le-Chapus", "formation sélective", "BTS", "Lycée de la mer et du littoral - BTS - Agricole - Aquaculture", "BTS - Agricole", "", 32, 367, 90, 340, 0, 48, 3, 51, 4, 88, 18, 153, 27, 7, 2, 0, 18, 184, 22, 0, 0, 38, 3, 42, 3, 73, 15, 31, 142, 33, 2, 21, 12, 2.0, 19.0, 29.0, 0, 1, 22, 5, 6, 11, 11, 0, 11, 7, 4, 0, 0.0, 0, 4, 7, 4, 0, 10, 10, 6.06, 57.58, 87.88, 6.099609375, 45.5, 45.5, 18.19921875, 4.5, 66.6875, 0.0, 50.0, 31.796875, 18.19921875, 0.0, 0.0, 22.69921875, 0.0, 27.296875, 18.19921875, 50.0, 31.796875, 37.0, 3.0, 44.0, 8.0, 37.0, "Tous les candidats sauf les Bac professionnels", 108.0, "Bacheliers professionnels toutes séries", 71, "", 0, "Liste d'appel propre à cette formation", 53.0, "3069", "BTS - Agricole - Aquaculture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3069&g_ta_cod=3069", 39.0, 21.0, 39.0),
(7976, "Public", "0922464D", "Lycée Louise Michel", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "BTS", "Lycée Louise Michel - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 28, 661, 545, 661, 0, 84, 23, 71, 28, 290, 116, 216, 0, 0, 0, 0, 0, 318, 0, 0, 0, 57, 13, 31, 10, 189, 73, 41, 124, 28, 25, 28, 0, 5.0, 25.0, 26.0, 0, 14, 28, 2, 3, 23, 0, 0, 5, 11, 8, 4, 0.0, 1, 1, 21, 0, 0, 13, 24, 17.86, 89.29, 92.86, 89.296875, 46.3984375, 85.6875, 0, 50.0, 100.0, 0.0, 17.8984375, 39.296875, 28.59765625, 14.3, 0.0, 7.099609375, 3.599609375, 10.69921875, 3.599609375, 82.09375, 75.0, 10.0, 4.0, 93.0, 33.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 116, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 22.0, "12500", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12500&g_ta_cod=12500", 7.0, 11.0, 82.0),
(7977, "Public", "0420043U", "Lycée Jean Monnet", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "Autre formation", "Lycée Jean Monnet - DN MADE - Espace - - Spécialité : Design d'Espaces, architecture intérieure et micro-architecture", "DN MADE", "- Spécialité : Design d'Espaces, architecture intérieure et micro-architecture", 15, 1439, 1210, 1439, 0, 710, 134, 334, 70, 77, 19, 318, 0, 0, 0, 0, 0, 187, 0, 0, 0, 121, 16, 43, 7, 3, 0, 20, 53, 16, 11, 16, 0, 3.0, 13.0, 15.0, 0, 1, 13, 12, 1, 0, 3, 0, 1, 3, 9, 0, 0.0, 11, 1, 0, 0, 0, 1, 1, 18.75, 81.25, 93.75, 68.796875, 7.69921875, 7.69921875, 0, 7.69921875, 81.296875, 0.0, 7.69921875, 23.09765625, 69.1875, 0.0, 0.0, 92.296875, 84.59375, 7.69921875, 7.69921875, 0.0, 0.0, 41.0, 6.0, 0.0, 0.0, 5.0, "Tous les candidats", 97.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "24156", "DN MADE - Espace - - Spécialité : Design d'Espaces, architecture intérieure et micro-architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24156&g_ta_cod=24156", 94.0, 6.0, 0.0),
(7978, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Mathématiques - MIST (tronc commun avec Sciences et technologies et Informatique)", "Licence - Sciences - technologies - santé", "MIST (tronc commun avec Sciences et technologies et Informatique)", 18, 244, 70, 244, 0, 184, 18, 6, 2, 0, 0, 54, 0, 0, 0, 0, 0, 243, 0, 0, 0, 184, 18, 6, 2, 0, 0, 53, 161, 21, 7, 21, 0, 11.0, 16.0, 21.0, 0, 1, 17, 17, 0, 0, 4, 0, 1, 7, 7, 2, 0.0, 16, 0, 0, 0, 0, 16, 16, 52.38, 76.19, 100.0, 33.296875, 94.09375, 94.09375, 0, 5.8994140625, 81.0, 0.0, 5.8994140625, 41.1953125, 41.1953125, 11.8, 0.0, 100.0, 94.09375, 0.0, 0.0, 0.0, 0.0, 129.0, 13.0, 0.0, 0.0, 28.0, "Tous les candidats", 197.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 78.0, "18360", "Licence - Portail Mathématiques - MIST (tronc commun avec Sciences et technologies et Informatique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29658&g_ta_cod=18360", 95.0, 5.0, 0.0),
(7979, "Privé sous contrat d'association", "0442227G", "Ifom", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Ifom - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 44, 366, 359, 351, 0, 71, 12, 94, 20, 104, 22, 82, 15, 0, 1, 5, 9, 124, 2, 0, 0, 28, 3, 23, 2, 55, 4, 18, 94, 42, 41, 41, 1, 24.0, 37.0, 40.0, 0, 4, 32, 9, 10, 13, 10, 0, 9, 11, 12, 0, 0.0, 7, 4, 12, 6, 6, 23, 23, 57.14, 88.1, 95.24, 97.59375, 71.890625, 71.890625, 18.796875, 12.5, 76.1875, 0.0, 28.09765625, 34.3984375, 37.5, 0.0, 0.0, 28.09765625, 21.8984375, 31.296875, 12.5, 40.59375, 37.5, 19.0, 2.0, 42.0, 4.0, 16.0, "Tous les candidats sauf les Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 54, "", 0, "Liste d'appel propre à cette formation", 34.0, "5625", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5625&g_ta_cod=5625", 36.0, 31.0, 33.0),
(7980, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Russe", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères et Régionales Russe", 15, 81, 49, 62, 0, 27, 9, 7, 3, 6, 2, 22, 19, 2, 2, 2, 13, 62, 18, 0, 0, 27, 9, 7, 3, 6, 2, 22, 66, 10, 5, 6, 4, 0.0, 5.0, 9.0, 0, 2, 4, 3, 0, 1, 6, 0, 4, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 0.0, 50.0, 90.0, 50.0, 50.0, 50.0, 0, 50.0, 40.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 75.0, 0.0, 0.0, 0.0, 25.0, 0.0, 25.0, 8.0, 7.0, 4.0, 28.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "8505", "Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8505&g_ta_cod=8505", 70.0, 10.0, 20.0),
(7981, "Public", "0940141T", "Lycée professionnel Jacques Brel", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Choisy-le-Roi", "formation sélective", "BTS", "Lycée professionnel Jacques Brel - BTS - Production - Maintenance des véhicules option motocycles", "BTS - Production", "", 20, 304, 7, 286, 0, 47, 11, 54, 15, 123, 35, 62, 18, 0, 8, 0, 10, 102, 6, 0, 0, 11, 1, 22, 4, 68, 15, 1, 71, 16, 0, 14, 2, 3.0, 11.0, 14.0, 0, 4, 13, 0, 4, 9, 3, 0, 1, 8, 2, 2, 0.0, 0, 3, 9, 5, 0, 8, 9, 18.75, 68.75, 87.5, 0.0, 61.5, 69.1875, 38.5, 30.796875, 81.296875, 0.0, 7.69921875, 61.5, 15.3984375, 15.4, 0.0, 0.0, 0.0, 30.796875, 23.09765625, 69.1875, 69.1875, 9.0, 1.0, 32.0, 9.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 24.0, "11425", "BTS - Production - Maintenance des véhicules option motocycles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11425&g_ta_cod=11425", 6.0, 38.0, 56.0),
(7982, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence", "Avignon Université - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours ESPAGNOL", "Licence - Arts-lettres-langues", "ESPAGNOL", 120, 352, 288, 288, 0, 162, 62, 35, 17, 23, 17, 68, 64, 11, 3, 9, 41, 283, 35, 0, 0, 162, 62, 35, 17, 23, 17, 63, 294, 44, 36, 30, 14, 15.0, 29.0, 39.0, 0, 12, 26, 16, 4, 6, 18, 0, 11, 11, 4, 0, 0.0, 11, 1, 3, 0, 0, 18, 18, 34.09, 65.91, 88.64, 81.796875, 69.1875, 69.1875, 0, 46.1953125, 59.09375, 0.0, 42.296875, 42.296875, 15.3984375, 0.0, 0.0, 61.5, 42.296875, 15.3984375, 3.7998046875, 23.09765625, 11.5, 162.0, 61.0, 25.0, 16.0, 77.0, "Tous les candidats", 283.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "10446", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours ESPAGNOL", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10446&g_ta_cod=10446", 55.0, 16.0, 27.0),
(7983, "Public", "0952196W", "LYCEE POLYVALENT GUSTAVE MONOD", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Enghien-les-Bains", "formation sélective", "Autre formation", "LYCEE POLYVALENT GUSTAVE MONOD - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 12, 94, 16, 94, 0, 7, 1, 6, 2, 53, 18, 28, 0, 0, 0, 0, 0, 94, 0, 0, 0, 7, 1, 6, 2, 53, 18, 28, 35, 11, 2, 10, 0, 5.0, 9.0, 9.0, 0, 3, 9, 1, 1, 7, 2, 0, 7, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 6, 9, 45.45, 81.82, 81.82, 18.19921875, 66.6875, 100.0, 0, 33.296875, 81.796875, 0.0, 77.796875, 11.099609375, 11.099609375, 0.0, 0.0, 11.099609375, 0.0, 11.099609375, 0.0, 77.796875, 22.19921875, 5.0, 1.0, 18.0, 8.0, 10.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "22249", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22249&g_ta_cod=22249", 18.0, 9.0, 73.0),
(7984, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Sciences sociales", "Licence - Sciences humaines et sociales", "", 112, 848, 574, 848, 0, 535, 148, 40, 19, 11, 5, 262, 0, 0, 0, 0, 0, 848, 0, 0, 0, 535, 148, 40, 19, 11, 5, 262, 563, 110, 72, 110, 0, 8.0, 80.0, 100.0, 0, 22, 78, 72, 4, 2, 32, 0, 40, 31, 6, 1, 0.0, 33, 4, 1, 0, 0, 56, 72, 7.27, 72.73, 90.91, 65.5, 71.796875, 92.296875, 0, 28.19921875, 70.890625, 0.0, 51.296875, 39.6953125, 7.69921875, 1.3, 0.0, 92.296875, 42.296875, 5.099609375, 5.099609375, 2.599609375, 1.2998046875, 424.0, 108.0, 2.0, 2.0, 130.0, "Tous les candidats", 680.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "15149", "Licence - Sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15149&g_ta_cod=15149", 88.0, 8.0, 3.0),
(7985, "Public", "0511956Z", "EiCnam (IIT BTP)", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "EiCnam (IIT BTP) - Formation Supérieure de Spécialisation - Informatique - Développement et exploitation", "Diplôme d'Université", "Informatique - Développement et exploitation", 15, 35, 4, 16, 0, 2, 0, 10, 1, 1, 0, 3, 19, 2, 2, 0, 15, 12, 9, 0, 0, 2, 0, 8, 1, 1, 0, 1, 32, 2, 0, 0, 1, 0.0, 0.0, 0.0, 0, 1, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 100.0, 50.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 7.0, 1.0, 5.0, 1.0, 9.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "33499", "Formation Supérieure de Spécialisation - Informatique - Développement et exploitation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33499&g_ta_cod=33499", 50.0, 50.0, 0.0),
(7986, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 1 Capitole - Licence - Double diplôme - Licence Droit - parcours double diplôme international franco-anglais (Jersey)", "Licence - Droit-économie-gestion", "parcours double diplôme international franco-anglais (Jersey)", 25, 191, 156, 179, 0, 150, 14, 1, 1, 0, 0, 28, 12, 4, 0, 0, 8, 85, 0, 0, 0, 73, 4, 0, 0, 0, 0, 12, 73, 20, 17, 20, 0, 4.0, 19.0, 20.0, 0, 0, 16, 16, 0, 0, 4, 0, 0, 4, 11, 1, 0.0, 16, 0, 0, 0, 0, 8, 8, 20.0, 95.0, 100.0, 85.0, 50.0, 50.0, 0, 0.0, 80.0, 0.0, 0.0, 25.0, 68.796875, 6.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 61.0, 3.0, 0.0, 0.0, 12.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "4136", "Licence - Double diplôme - Licence Droit - parcours double diplôme international franco-anglais (Jersey)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4136&g_ta_cod=4136", 100.0, 0.0, 0.0),
(7987, "Public", "0801773T", "Institut de Formation en Soins Infirmiers - CHU AMIENS PICARDIE", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "IFSI", "Regroupement d'IFSI Université Amiens - D.E Infirmier", "D.E secteur sanitaire", "", 154, 4295, 3604, 4295, 0, 865, 189, 753, 213, 556, 219, 2121, 0, 0, 0, 0, 0, 3078, 0, 0, 0, 732, 154, 550, 143, 408, 146, 1388, 770, 154, 130, 154, 0, 17.0, 81.0, 120.0, 0, 15, 64, 24, 27, 13, 90, 0, 5, 20, 33, 6, 0.0, 21, 25, 13, 0, 0, 51, 51, 11.04, 52.6, 77.92, 84.390625, 79.6875, 79.6875, 0, 23.3984375, 41.59375, 0.0, 7.7998046875, 31.296875, 51.59375, 9.4, 0.0, 37.5, 32.796875, 42.1953125, 39.09375, 20.296875, 20.296875, 168.0, 38.0, 66.0, 25.0, 408.0, "Tous les candidats", 1745.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "23080", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23008&g_ta_cod=23080", 69.0, 21.0, 9.0),
(7988, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Musicologie", "Licence - Arts-lettres-langues", "", 50, 202, 87, 160, 0, 95, 20, 12, 2, 7, 3, 46, 42, 4, 3, 0, 35, 160, 41, 0, 0, 95, 20, 12, 2, 7, 3, 46, 149, 36, 13, 24, 12, 15.0, 23.0, 31.0, 0, 3, 18, 9, 7, 2, 18, 0, 8, 6, 2, 2, 0.0, 6, 3, 1, 0, 0, 16, 16, 41.67, 63.89, 86.11, 36.09375, 88.890625, 88.890625, 0, 16.69921875, 50.0, 0.0, 44.3984375, 33.296875, 11.099609375, 11.1, 0.0, 50.0, 33.296875, 38.8984375, 16.69921875, 11.099609375, 5.599609375, 68.0, 16.0, 5.0, 2.0, 63.0, "Tous les candidats", 159.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "3544", "Licence - Musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3544&g_ta_cod=3544", 72.0, 22.0, 6.0),
(7989, "Public", "0170058W", "Lycée Bellevue", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Saintes", "formation sélective", "BTS", "Lycée Bellevue - BTS - Services - Tourisme", "BTS - Services", "", 30, 641, 431, 626, 0, 153, 32, 111, 28, 80, 30, 282, 15, 1, 0, 11, 3, 352, 3, 0, 0, 124, 24, 96, 20, 55, 19, 77, 176, 24, 20, 21, 2, 4.0, 17.0, 19.0, 0, 1, 11, 2, 5, 4, 13, 0, 3, 5, 3, 0, 0.0, 1, 4, 3, 0, 0, 7, 7, 16.67, 70.83, 79.17, 83.296875, 63.59375, 63.59375, 0, 9.099609375, 45.796875, 0.0, 27.296875, 45.5, 27.296875, 0.0, 0.0, 18.19921875, 9.099609375, 45.5, 36.3984375, 36.3984375, 27.296875, 35.0, 9.0, 40.0, 14.0, 52.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 148.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 49.0, "3039", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3039&g_ta_cod=3039", 29.0, 42.0, 29.0),
(7990, "Privé sous contrat d'association", "0211090W", "Lycée saint bénigne", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée saint bénigne - BTS - Services - Tourisme", "BTS - Services", "", 66, 583, 406, 540, 0, 191, 38, 101, 16, 77, 26, 171, 43, 0, 0, 22, 21, 374, 2, 0, 0, 169, 30, 80, 9, 45, 13, 80, 235, 55, 46, 53, 2, 10.0, 46.0, 53.0, 0, 5, 37, 17, 8, 12, 18, 0, 13, 20, 3, 1, 0.0, 11, 3, 10, 2, 2, 27, 27, 18.18, 83.64, 96.36, 83.59375, 73.0, 73.0, 5.3994140625, 13.5, 67.296875, 0.0, 35.09375, 54.09375, 8.099609375, 2.7, 0.0, 45.8984375, 29.69921875, 21.59765625, 8.099609375, 32.3984375, 27.0, 91.0, 16.0, 39.0, 10.0, 60.0, "Tous les candidats sauf les Bac professionnels", 320.0, "Bacheliers professionnels toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 68.0, "3225", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3225&g_ta_cod=3225", 58.0, 20.0, 22.0),
(7991, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 110, 643, 458, 364, 0, 196, 49, 49, 20, 32, 15, 87, 279, 74, 40, 33, 132, 364, 157, 0, 0, 196, 49, 49, 20, 32, 15, 87, 495, 97, 61, 37, 57, 10.0, 37.0, 70.0, 0, 25, 56, 23, 16, 17, 41, 1, 38, 12, 5, 0, 0.0, 5, 3, 9, 0, 0, 37, 51, 10.31, 38.14, 72.16, 62.8984375, 66.09375, 91.09375, 0, 44.59375, 57.6953125, 1.7998046875, 67.890625, 21.3984375, 8.8984375, 0.0, 0.0, 41.09375, 8.8984375, 28.59765625, 5.3994140625, 30.3984375, 16.09765625, 223.0, 56.0, 47.0, 26.0, 150.0, "Tous les candidats", 364.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24382", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24382&g_ta_cod=24382", 46.0, 24.0, 29.0),
(7992, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence_Las", "Université de Strasbourg - Licence - Sciences pour la santé - Sciences pour la santé - Droit -  option Santé", "Licence - Sciences - technologies - santé", "Sciences pour la santé - Droit", 93, 765, 570, 765, 0, 513, 119, 19, 6, 2, 1, 231, 0, 0, 0, 0, 0, 746, 0, 0, 0, 513, 119, 19, 6, 2, 1, 212, 402, 91, 67, 91, 0, 10.0, 69.0, 81.0, 0, 23, 87, 85, 1, 1, 4, 0, 17, 36, 27, 7, 0.0, 68, 1, 1, 0, 0, 79, 79, 10.99, 75.82, 89.01, 73.59375, 90.796875, 90.796875, 0, 26.3984375, 95.59375, 0.0, 19.5, 41.3984375, 31.0, 8.0, 0.0, 97.6875, 78.1875, 1.099853515625, 1.099853515625, 1.099853515625, 1.099853515625, 335.0, 65.0, 2.0, 1.0, 56.0, "Tous les candidats", 442.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "29215", "Licence - Sciences pour la santé - Sciences pour la santé - Droit -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29215&g_ta_cod=29215", 98.0, 1.0, 1.0),
(7993, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations,  parcours Asie du Sud et Himalaya - Tamoul", "Licence - Arts-lettres-langues", "Asie du Sud et Himalaya - Tamoul", 30, 55, 43, 45, 0, 14, 12, 2, 1, 3, 3, 26, 10, 0, 1, 1, 8, 45, 7, 0, 0, 14, 12, 2, 1, 3, 3, 26, 52, 8, 6, 6, 2, 6.0, 6.0, 6.0, 0, 2, 2, 0, 1, 1, 6, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 2, 75.0, 75.0, 75.0, 75.0, 0.0, 100.0, 0, 100.0, 25.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 14.0, 12.0, 4.0, 4.0, 31.0, "Tous les candidats", 58.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9401", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations,  parcours Asie du Sud et Himalaya - Tamoul", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32128&g_ta_cod=9401", 25.0, 50.0, 25.0),
(7994, "Public", "0912418J", "Université Paris-Saclay, Campus d'Orsay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "Licence", "Université Paris-Saclay, Campus d'Orsay - Licence - Double diplôme - Licence Economie, Mathématiques - Parcours Licence Double-Diplôme Economie, Mathématiques", "Licence - Sciences - technologies - santé", "Parcours Licence Double-Diplôme Economie, Mathématiques", 30, 1124, 408, 999, 0, 828, 87, 2, 0, 0, 0, 169, 125, 45, 3, 0, 77, 568, 9, 0, 0, 521, 56, 0, 0, 0, 0, 47, 260, 26, 11, 22, 4, 1.0, 16.0, 19.0, 0, 1, 22, 22, 0, 0, 4, 0, 0, 0, 10, 11, 1.0, 22, 0, 0, 0, 0, 5, 6, 3.85, 61.54, 73.08, 42.296875, 22.69921875, 27.296875, 0, 4.5, 84.59375, 0.0, 0.0, 0.0, 45.5, 50.0, 4.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 223.0, 21.0, 0.0, 0.0, 37.0, "Tous les candidats", 431.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "28849", "Licence - Double diplôme - Licence Economie, Mathématiques - Parcours Licence Double-Diplôme Economie, Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28849&g_ta_cod=28849", 100.0, 0.0, 0.0),
(7995, "Public", "0061005K", "Centre de Ressources, d'Expertise et de Performance Sportive PACA - site d'Antibes (CREPS)", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive PACA - site d'Aix-en-Provence (CREPS) - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 17, 440, 96, 331, 0, 86, 16, 91, 24, 66, 25, 88, 109, 33, 31, 9, 36, 33, 9, 0, 0, 10, 2, 7, 0, 5, 2, 11, 40, 17, 2, 8, 9, 4.0, 7.0, 7.0, 0, 1, 4, 2, 0, 2, 13, 0, 2, 0, 1, 1, 0.0, 0, 0, 2, 0, 0, 2, 2, 23.53, 41.18, 41.18, 11.798828125, 50.0, 50.0, 0, 25.0, 23.5, 0.0, 50.0, 0.0, 25.0, 25.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 50.0, 9.0, 2.0, 6.0, 2.0, 18.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 10.0, "26729", "BPJEPS - Activités physiques pour tous", "Centre de Ressources, d'Expertise et de Performance Sportive PACA - site d'Aix-en-Provence (CREPS)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21394&g_ta_cod=26729", 47.0, 35.0, 18.0),
(7996, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence_Las", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Sciences et technologies", "Licence - Sciences - technologies - santé", "Sciences et technologies : Chimie", 40, 2255, 1437, 2255, 0, 1476, 208, 101, 25, 9, 2, 669, 0, 0, 0, 0, 0, 2249, 0, 0, 0, 1476, 208, 101, 25, 9, 2, 663, 491, 36, 23, 36, 0, 0.0, 17.0, 30.0, 0, 1, 31, 31, 0, 0, 5, 0, 2, 15, 12, 1, 1.0, 29, 0, 0, 0, 0, 29, 29, 0.0, 47.22, 83.33, 63.8984375, 93.5, 93.5, 0, 3.19970703125, 86.09375, 0.0, 6.5, 48.3984375, 38.6953125, 3.2, 3.2, 100.0, 93.5, 0.0, 0.0, 0.0, 0.0, 390.0, 42.0, 0.0, 0.0, 99.0, "Tous les candidats", 4973.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 51.0, "31162", "Licence - Portail Sciences et technologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31073&g_ta_cod=31162", 100.0, 0.0, 0.0),
(7997, "Privé sous contrat d'association", "0671639T", "Lycée des Métiers Sainte Clotilde", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée des Métiers Sainte Clotilde - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 28, 427, 375, 351, 0, 54, 11, 104, 41, 98, 40, 95, 76, 2, 4, 36, 34, 148, 8, 0, 0, 37, 5, 49, 16, 19, 8, 43, 115, 17, 17, 15, 2, 3.0, 13.0, 16.0, 0, 3, 12, 4, 6, 2, 5, 0, 4, 7, 1, 0, 0.0, 2, 5, 1, 0, 0, 11, 11, 17.65, 76.47, 94.12, 100.0, 91.6875, 91.6875, 0, 25.0, 70.59375, 0.0, 33.296875, 58.296875, 8.298828125, 0.0, 0.0, 33.296875, 16.69921875, 50.0, 41.6953125, 16.69921875, 8.298828125, 24.0, 4.0, 18.0, 7.0, 37.0, "Tous les candidats sauf les Bac professionnels", 115.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 39.0, "14671", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14671&g_ta_cod=14671", 35.0, 41.0, 24.0),
(7998, "Privé sous contrat d'association", "0440178E", "Lycée général et technologique Notre-Dame d'Espérance", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BTS", "Lycée général et technologique Notre-Dame d'Espérance - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 330, 159, 320, 0, 47, 2, 105, 14, 123, 24, 45, 10, 6, 0, 0, 4, 249, 2, 0, 0, 38, 2, 91, 9, 106, 22, 14, 124, 22, 12, 21, 1, 4.0, 16.0, 19.0, 0, 4, 20, 4, 8, 8, 2, 0, 7, 6, 6, 1, 0.0, 1, 4, 8, 4, 3, 18, 18, 18.18, 72.73, 86.36, 54.5, 90.0, 90.0, 20, 20.0, 90.890625, 0.0, 35.0, 30.0, 30.0, 5.0, 0.0, 20.0, 5.0, 40.0, 20.0, 40.0, 40.0, 28.0, 3.0, 38.0, 7.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 52.0, "5497", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5497&g_ta_cod=5497", 23.0, 41.0, 36.0),
(7999, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "PASS", "Université de Lille - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 200, 9929, 6801, 9929, 0, 8162, 1357, 195, 71, 29, 14, 1543, 0, 0, 0, 0, 0, 9928, 0, 0, 0, 8162, 1357, 195, 71, 29, 14, 1542, 1432, 197, 138, 197, 0, 68.0, 167.0, 183.0, 0, 42, 191, 191, 0, 0, 6, 3, 0, 7, 73, 92, 16.0, 188, 0, 0, 0, 0, 159, 159, 34.52, 84.77, 92.89, 70.09375, 83.1875, 83.1875, 0, 22.0, 97.0, 1.599853515625, 0.0, 3.69970703125, 38.1953125, 48.2, 8.4, 100.0, 98.390625, 0.0, 0.0, 0.0, 0.0, 1329.0, 215.0, 2.0, 2.0, 96.0, "Tous les candidats", 2713.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "30027", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27162&g_ta_cod=30027", 100.0, 0.0, 0.0),
(8000, "Public", "0381629P", "CNED", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "CNED - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 1200, 1137, 172, 974, 0, 165, 55, 126, 39, 112, 45, 571, 163, 24, 26, 16, 97, 974, 157, 0, 0, 165, 55, 126, 39, 112, 45, 571, 1131, 234, 40, 189, 45, 185.0, 187.0, 206.0, 0, 12, 41, 11, 17, 13, 193, 5, 19, 13, 4, 0, 0.0, 3, 4, 10, 0, 0, 10, 10, 79.06, 79.91, 88.03, 17.09765625, 24.3984375, 24.3984375, 0, 29.296875, 17.5, 12.19921875, 46.296875, 31.69921875, 9.798828125, 0.0, 0.0, 26.796875, 7.2998046875, 41.5, 9.798828125, 31.69921875, 24.3984375, 187.0, 61.0, 127.0, 53.0, 665.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 660.0, "Bacheliers professionnels toutes séries", 137, "Bacheliers technologiques toutes séries", 177, "Liste d'appel propre à cette formation", 100.0, "20780", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20780&g_ta_cod=20780", 74.0, 15.0, 11.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(8001, "Public", "0692185A", "INSTITUT DES SCIENCES ET TECHNIQUES DE LA READAPTATION UNIVERSITE LYON 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Autre formation", "Regroupement Auvergne Rhône Alpes - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 100, 2586, 2501, 2586, 0, 841, 140, 29, 9, 1, 1, 1715, 0, 0, 0, 0, 0, 348, 0, 0, 0, 170, 13, 0, 0, 0, 0, 178, 188, 99, 95, 99, 0, 50.0, 94.0, 97.0, 0, 7, 50, 50, 0, 0, 49, 0, 0, 6, 25, 19, 0.0, 50, 0, 0, 0, 0, 7, 7, 50.51, 94.95, 97.98, 96.0, 14.0, 14.0, 0, 14.0, 50.5, 0.0, 0.0, 12.0, 50.0, 38.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 93.0, 12.0, 0.0, 0.0, 95.0, "Tous les candidats", 200.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 8.0, "28709", "Certificat de capacité d'Orthophoniste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28709&g_ta_cod=28709", 100.0, 0.0, 0.0),
(8002, "Public", "0690037R", "Lycée La Martinière-Diderot", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "CPGE", "Lycée La Martinière-Diderot - CPGE - Ecole normale supérieure Paris Saclay ? arts et design", "Classe préparatoire scientifique", "", 19, 573, 458, 573, 0, 360, 49, 107, 21, 6, 3, 100, 0, 0, 0, 0, 0, 307, 0, 0, 307, 206, 23, 73, 11, 0, 0, 28, 63, 20, 15, 20, 0, 4.0, 16.0, 18.0, 0, 1, 19, 14, 5, 0, 1, 0, 0, 1, 8, 10, 0.0, 14, 5, 0, 4, 2, 11, 11, 20.0, 80.0, 90.0, 75.0, 57.8984375, 57.8984375, 21.09765625, 5.2998046875, 95.0, 0.0, 0.0, 5.2998046875, 42.09375, 52.6, 0.0, 73.6875, 73.6875, 26.296875, 26.296875, 0.0, 0.0, 39.0, 4.0, 0.0, 0.0, 6.0, "Tous les candidats", 106.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "8198", "CPGE - Ecole normale supérieure Paris Saclay ? arts et design", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8198&g_ta_cod=8198", 75.0, 25.0, 0.0),
(8003, "Public", "0861273S", "CNED", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Chasseneuil-du-Poitou", "formation sélective", "BTS", "CNED - BTS - Services - Assurance", "BTS - Services", "", 900, 644, 330, 554, 0, 60, 22, 81, 35, 38, 17, 375, 90, 8, 12, 12, 58, 554, 86, 0, 0, 60, 22, 81, 35, 38, 17, 375, 640, 88, 51, 68, 20, 66.0, 68.0, 80.0, 0, 5, 16, 3, 4, 9, 72, 2, 6, 5, 2, 1, 0.0, 1, 2, 5, 0, 0, 6, 6, 75.0, 77.27, 90.91, 58.0, 37.5, 37.5, 0, 31.296875, 18.19921875, 12.5, 37.5, 31.296875, 12.5, 6.3, 0.0, 18.796875, 6.2998046875, 25.0, 12.5, 56.296875, 31.296875, 68.0, 23.0, 49.0, 22.0, 431.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 391.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 109, "Liste d'appel propre à cette formation", 100.0, "20805", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20805&g_ta_cod=20805", 69.0, 15.0, 16.0),
(8004, "Public", "0312093G", "Lycée International Victor Hugo", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Colomiers", "formation sélective", "BTS", "Lycée International Victor Hugo - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 28, 355, 18, 333, 0, 18, 4, 106, 31, 129, 49, 80, 22, 2, 7, 1, 12, 303, 11, 0, 0, 18, 4, 106, 31, 124, 47, 55, 185, 27, 0, 21, 6, 0.0, 12.0, 16.0, 0, 7, 20, 0, 7, 13, 7, 0, 16, 2, 2, 0, 0.0, 0, 1, 3, 0, 0, 17, 17, 0.0, 44.44, 59.26, 0.0, 85.0, 85.0, 0, 35.0, 74.09375, 0.0, 80.0, 10.0, 10.0, 0.0, 0.0, 0.0, 0.0, 35.0, 5.0, 65.0, 15.0, 14.0, 5.0, 62.0, 25.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 106, "Bacheliers technologiques toutes séries", 141, "Liste d'appel propre à cette formation", 81.0, "4207", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4207&g_ta_cod=4207", 4.0, 37.0, 59.0),
(8005, "Public", "9710052E", "Lycée professionnel Louis Delgres", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Le Moule", "formation sélective", "BTS", "Lycée professionnel Louis Delgres - BTS - Services - Métiers des Services à l'environnement", "BTS - Services", "", 15, 65, 28, 64, 0, 9, 4, 19, 12, 26, 17, 10, 1, 1, 0, 0, 0, 42, 0, 0, 0, 8, 3, 17, 11, 15, 8, 2, 35, 15, 9, 15, 0, 8.0, 15.0, 15.0, 0, 10, 15, 2, 6, 7, 0, 0, 7, 5, 3, 0, 0.0, 1, 4, 3, 7, 7, 15, 15, 53.33, 100.0, 100.0, 60.0, 100.0, 100.0, 46.6953125, 66.6875, 100.0, 0.0, 46.6953125, 33.296875, 20.0, 0.0, 0.0, 13.298828125, 6.69921875, 40.0, 26.69921875, 46.6953125, 20.0, 8.0, 3.0, 13.0, 8.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 63.0, "19874", "BTS - Services - Métiers des Services à l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19874&g_ta_cod=19874", 13.0, 40.0, 47.0),
(8006, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Autre formation", "Université de Bordeaux - Bordeaux Métropole - DEUST - Production, contrôles et qualité des produits de santé", "DEUST", "", 15, 275, 203, 275, 0, 78, 13, 59, 18, 6, 1, 132, 0, 0, 0, 0, 0, 144, 0, 0, 0, 43, 7, 31, 5, 0, 0, 70, 63, 13, 11, 13, 0, 4.0, 8.0, 11.0, 0, 2, 8, 5, 3, 0, 5, 0, 2, 6, 0, 0, 0.0, 4, 2, 0, 0, 0, 8, 8, 30.77, 61.54, 84.62, 84.59375, 100.0, 100.0, 0, 25.0, 61.5, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 62.5, 50.0, 37.5, 25.0, 0.0, 0.0, 24.0, 4.0, 0.0, 0.0, 30.0, "Tous les candidats", 98.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "4387", "DEUST - Production, contrôles et qualité des produits de santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4387&g_ta_cod=4387", 77.0, 23.0, 0.0),
(8007, "Public", "0921619K", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS)", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Châtenay-Malabry", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS) - BPJEPS - Judo-Jujitsu", "BPJEPS", "", 3, 42, 5, 26, 0, 7, 0, 5, 4, 6, 1, 8, 16, 2, 5, 2, 7, 4, 1, 0, 0, 1, 0, 1, 0, 1, 0, 1, 5, 2, 0, 2, 0, 2.0, 2.0, 2.0, 0, 0, 2, 0, 1, 1, 0, 1, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 2, 100.0, 100.0, 100.0, 0.0, 50.0, 100.0, 0, 0.0, 100.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 1.0, 0.0, 1.0, 0.0, 2.0, "Tous les candidats", 4.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "21359", "BPJEPS - Judo-Jujitsu", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21359&g_ta_cod=21359", 0.0, 50.0, 50.0),
(8008, "Public", "0133522H", "Aix Marseille Université - Site d'Arles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Arles", "formation non sélective", "Licence_Las", "Aix Marseille Université - Site d'Arles - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 20, 225, 179, 217, 0, 102, 33, 24, 9, 4, 4, 87, 8, 2, 2, 1, 3, 215, 8, 0, 0, 102, 33, 24, 9, 4, 4, 85, 125, 20, 15, 16, 4, 0.0, 11.0, 14.0, 0, 2, 9, 6, 2, 1, 11, 0, 3, 4, 2, 0, 0.0, 4, 2, 0, 0, 0, 7, 7, 0.0, 55.0, 70.0, 75.0, 77.796875, 77.796875, 0, 22.19921875, 45.0, 0.0, 33.296875, 44.3984375, 22.19921875, 0.0, 0.0, 66.6875, 44.3984375, 22.19921875, 22.19921875, 11.099609375, 0.0, 53.0, 16.0, 2.0, 1.0, 57.0, "Tous les candidats", 823.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 80.0, "27945", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27944&g_ta_cod=27945", 75.0, 10.0, 10.0),
(8009, "Public", "0141687H", "Lycée Jules Verne", "14", "Calvados", "Normandie", "Normandie", "Mondeville", "formation sélective", "BTS", "Lycée Jules Verne - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 338, 18, 333, 0, 60, 7, 99, 27, 93, 35, 81, 5, 0, 2, 0, 3, 277, 2, 0, 0, 60, 7, 80, 18, 75, 25, 62, 78, 24, 1, 22, 2, 1.0, 9.0, 19.0, 0, 10, 19, 2, 7, 10, 5, 0, 7, 10, 2, 0, 0.0, 0, 2, 10, 3, 0, 19, 19, 4.17, 37.5, 79.17, 4.19921875, 100.0, 100.0, 15.798828125, 52.59375, 79.1875, 0.0, 36.796875, 52.59375, 10.5, 0.0, 0.0, 10.5, 0.0, 36.796875, 10.5, 52.59375, 52.59375, 8.0, 3.0, 28.0, 9.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 50.0, "18639", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18639&g_ta_cod=18639", 17.0, 42.0, 42.0),
(8010, "Public", "0251671F", "Lycée Edgar Faure", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Morteau", "formation sélective", "Autre formation", "Lycée Edgar Faure - DN MADE - Objet - - Spécialité : luxe et innovation en horlogerie : produits et technologies d'exception", "DN MADE", "- Spécialité : luxe et innovation en horlogerie : produits et technologies d'exception", 15, 233, 89, 233, 0, 78, 10, 46, 5, 10, 5, 99, 0, 0, 0, 0, 0, 72, 0, 0, 0, 7, 0, 13, 1, 3, 2, 49, 26, 15, 7, 15, 0, 9.0, 14.0, 14.0, 0, 0, 0, 0, 0, 0, 15, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 60.0, 93.33, 93.33, 46.6953125, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 1.0, 1.0, 25.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "21567", "DN MADE - Objet - - Spécialité : luxe et innovation en horlogerie : produits et technologies d'exception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21567&g_ta_cod=21567", 7.0, 0.0, 7.0),
(8011, "Public", "0630034V", "Lycée Murat", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Issoire", "formation sélective", "BTS", "Lycée Murat - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 558, 264, 540, 0, 55, 15, 182, 65, 166, 71, 137, 18, 0, 5, 0, 13, 363, 4, 0, 0, 52, 15, 144, 51, 123, 45, 44, 207, 31, 14, 29, 1, 3.0, 19.0, 25.0, 0, 13, 28, 4, 10, 14, 3, 0, 10, 12, 5, 1, 0.0, 3, 3, 12, 5, 2, 20, 20, 9.68, 61.29, 80.65, 45.1953125, 71.390625, 71.390625, 17.8984375, 46.3984375, 90.296875, 0.0, 35.6953125, 42.8984375, 17.8984375, 3.6, 0.0, 14.298828125, 10.69921875, 35.6953125, 10.69921875, 50.0, 42.8984375, 21.0, 5.0, 72.0, 26.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 110, "Bacheliers technologiques toutes séries", 143, "Liste d'appel propre à cette formation", 58.0, "7576", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7576&g_ta_cod=7576", 16.0, 32.0, 48.0),
(8012, "Public", "0061478Z", "Lycée Léonard De Vinci", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "BTS", "Lycée Léonard De Vinci - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "BTS - Production", "", 24, 319, 43, 317, 0, 82, 7, 59, 16, 55, 9, 121, 2, 0, 1, 0, 1, 218, 1, 0, 0, 79, 6, 38, 10, 44, 7, 57, 76, 24, 6, 23, 1, 7.0, 19.0, 21.0, 0, 0, 20, 8, 4, 8, 4, 0, 6, 11, 3, 0, 0.0, 6, 3, 5, 7, 1, 15, 15, 29.17, 79.17, 87.5, 25.0, 75.0, 75.0, 35, 0.0, 83.296875, 0.0, 30.0, 55.0, 15.0, 0.0, 0.0, 40.0, 30.0, 20.0, 15.0, 40.0, 25.0, 20.0, 2.0, 19.0, 3.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 43.0, "2310", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2310&g_ta_cod=2310", 42.0, 21.0, 38.0),
(8013, "Public", "0631021T", "I.U.T. de Clermont-Ferrand", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aubière", "formation sélective", "BUT", "I.U.T. de Clermont-Ferrand - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités", 110, 1541, 717, 1541, 0, 852, 142, 395, 103, 32, 17, 262, 0, 0, 0, 0, 0, 884, 0, 0, 0, 540, 98, 252, 57, 8, 4, 84, 517, 114, 64, 114, 0, 45.0, 113.0, 114.0, 0, 27, 107, 57, 49, 1, 7, 0, 30, 44, 30, 3, 0.0, 45, 31, 1, 0, 0, 88, 88, 39.47, 99.12, 100.0, 56.09375, 82.1875, 82.1875, 0, 25.19921875, 93.890625, 0.0, 28.0, 41.09375, 28.0, 2.8, 0.0, 53.296875, 42.09375, 45.796875, 29.0, 0.89990234375, 0.89990234375, 295.0, 56.0, 6.0, 2.0, 37.0, "Tous les candidats sauf les Bac technologiques", 468.0, "Bacheliers technologiques toutes séries", 267, "", 0, "Liste d'appel propre à cette formation", 48.0, "7601", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7601&g_ta_cod=7601", 54.0, 46.0, 1.0),
(8014, "Public", "0210056X", "Lycée professionnel Eugene Guillaume", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Montbard", "formation sélective", "Autre formation", "Lycée professionnel Eugene Guillaume - Mention complémentaire - Agent de contrôle non destructif", "Mention complémentaire", "", 6, 17, 2, 17, 0, 0, 0, 1, 0, 5, 2, 11, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 1, 0, 5, 2, 2, 8, 2, 1, 2, 0, 0.0, 2.0, 2.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 50.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 5.0, 2.0, 2.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "14616", "Mention complémentaire - Agent de contrôle non destructif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14616&g_ta_cod=14616", 100.0, 0.0, 0.0),
(8015, "Public", "0880019T", "Lycée Louis Lapicque", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "BTS", "Lycée Louis Lapicque - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 357, 207, 313, 0, 21, 3, 79, 26, 80, 37, 133, 44, 1, 11, 9, 23, 169, 7, 0, 0, 19, 3, 62, 17, 63, 29, 25, 130, 31, 24, 26, 5, 6.0, 24.0, 27.0, 0, 11, 25, 1, 12, 12, 6, 0, 12, 7, 6, 0, 0.0, 0, 4, 9, 7, 6, 21, 21, 19.35, 77.42, 87.1, 77.390625, 84.0, 84.0, 28, 44.0, 80.59375, 0.0, 48.0, 28.0, 24.0, 0.0, 0.0, 4.0, 0.0, 48.0, 16.0, 48.0, 36.0, 16.0, 3.0, 45.0, 21.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 54.0, "10729", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10729&g_ta_cod=10729", 6.0, 45.0, 48.0),
(8016, "Public", "0631021T", "I.U.T. de Clermont-Ferrand", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aubière", "formation sélective", "BUT", "I.U.T. de Clermont-Ferrand - BUT - Réseaux et télécommunications Parcours : Cybersécurité - Internet des objets et mobilité", "BUT - Production", "Cybersécurité - Internet des objets et mobilité", 52, 832, 54, 811, 0, 467, 77, 183, 35, 13, 3, 148, 21, 0, 16, 0, 5, 497, 4, 0, 0, 330, 49, 112, 18, 1, 0, 54, 340, 53, 3, 52, 1, 15.0, 38.0, 51.0, 0, 5, 50, 37, 13, 0, 3, 0, 16, 30, 4, 0, 0.0, 22, 12, 0, 0, 0, 31, 31, 28.3, 71.7, 96.23, 5.69921875, 62.0, 62.0, 0, 10.0, 94.296875, 0.0, 32.0, 60.0, 8.0, 0.0, 0.0, 74.0, 44.0, 26.0, 24.0, 0.0, 0.0, 210.0, 30.0, 1.0, 0.0, 42.0, "Tous les candidats sauf les Bac technologiques", 330.0, "Bacheliers technologiques toutes séries", 127, "", 0, "Liste d'appel propre à cette formation", 55.0, "7599", "BUT - Réseaux et télécommunications Parcours : Cybersécurité - Internet des objets et mobilité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7599&g_ta_cod=7599", 75.0, 25.0, 0.0),
(8017, "Public", "0750691U", "Lycée Raspail", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "BTS", "Lycée Raspail - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 666, 31, 615, 0, 13, 1, 65, 22, 352, 140, 185, 51, 15, 0, 0, 36, 386, 9, 0, 0, 13, 1, 59, 21, 244, 87, 70, 123, 29, 0, 25, 4, 3.0, 16.0, 20.0, 0, 8, 14, 2, 4, 8, 15, 0, 5, 2, 6, 1, 0.0, 0, 1, 8, 0, 0, 2, 13, 10.34, 55.17, 68.97, 0.0, 14.298828125, 92.890625, 0, 57.09375, 48.296875, 0.0, 35.6953125, 14.298828125, 42.8984375, 7.1, 0.0, 14.298828125, 0.0, 28.59765625, 7.099609375, 57.09375, 57.09375, 12.0, 1.0, 35.0, 12.0, 55.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers technologiques toutes séries", 47, "Bacheliers professionnels toutes séries", 80, "Liste d'appel propre à cette formation", 25.0, "32477", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32477&g_ta_cod=32477", 17.0, 21.0, 62.0),
(8018, "Privé enseignement supérieur", "0062197F", "Ecole d'ingénieurs privée ECAM EPMI", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Grasse", "formation sélective", "Ecole d'Ingénieur", "ECAM-ECAM LaSalle - Formation d'ingénieur Bac + 5 - Autres Séries", "Formations  des écoles d'ingénieurs", "Autres séries", 5, 3, 2, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "29308", "Formation d'ingénieur Bac + 5 - Autres Séries", "ECAM-ECAM LaSalle", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29306&g_ta_cod=29308", 0, 0, 0),
(8019, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Portail LEA Anglais, Espagnol", "Licence - Arts-lettres-langues", "LEA Anglais, Espagnol : Université de Brest", 200, 883, 668, 765, 0, 464, 105, 129, 30, 23, 5, 149, 118, 28, 14, 3, 73, 765, 109, 0, 0, 464, 105, 129, 30, 23, 5, 149, 822, 157, 108, 115, 42, 76.0, 114.0, 130.0, 0, 25, 106, 76, 24, 6, 51, 1, 38, 45, 20, 2, 0.0, 52, 13, 2, 0, 0, 99, 99, 48.41, 72.61, 82.8, 68.796875, 93.390625, 93.390625, 0, 23.59765625, 67.5, 0.89990234375, 35.796875, 42.5, 18.8984375, 1.9, 0.0, 71.6875, 49.09375, 22.59765625, 12.298828125, 5.69921875, 1.89990234375, 464.0, 96.0, 25.0, 6.0, 201.0, "Tous les candidats", 848.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28764", "Licence - Portail LEA Anglais, Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28762&g_ta_cod=28764", 69.0, 22.0, 10.0),
(8020, "Public", "0271582Y", "Lycée Marc Bloch", "27", "Eure", "Normandie", "Normandie", "Val-de-Reuil", "formation sélective", "BTS", "Lycée Marc Bloch - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 16, 441, 319, 441, 0, 130, 27, 103, 27, 52, 17, 156, 0, 0, 0, 0, 0, 360, 0, 0, 0, 120, 25, 82, 19, 30, 9, 128, 70, 15, 9, 15, 0, 5.0, 11.0, 12.0, 0, 1, 5, 0, 1, 4, 10, 0, 0, 1, 3, 1, 0.0, 0, 1, 4, 0, 0, 5, 5, 33.33, 73.33, 80.0, 60.0, 100.0, 100.0, 0, 20.0, 33.296875, 0.0, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 0.0, 20.0, 20.0, 80.0, 80.0, 4.0, 4.0, 9.0, 2.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 18.0, "3711", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3711&g_ta_cod=3711", 60.0, 13.0, 27.0),
(8021, "Public", "0782562L", "Lycée Hoche", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Hoche - CPGE - MP2I", "Classe préparatoire scientifique", "", 48, 2102, 366, 2102, 1596, 1898, 180, 5, 0, 0, 0, 199, 0, 0, 0, 0, 0, 1114, 0, 407, 1097, 1113, 108, 0, 0, 0, 0, 1, 150, 48, 5, 48, 0, 4.0, 43.0, 46.0, 9, 4, 48, 48, 0, 0, 0, 2, 0, 0, 11, 25, 10.0, 46, 0, 0, 16, 2, 40, 45, 8.33, 89.58, 95.83, 10.3984375, 83.296875, 93.796875, 33.296875, 8.298828125, 100.0, 4.19921875, 0.0, 0.0, 22.8984375, 52.1, 20.8, 100.0, 95.796875, 0.0, 0.0, 0.0, 0.0, 150.0, 17.0, 0.0, 0.0, 0.0, "Tous les candidats", 193.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "32132", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32132&g_ta_cod=32132", 100.0, 0.0, 0.0),
(8022, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Licence", "Université de Strasbourg - Licence - Mathématiques - Parcours Mathématiques et physique approfondies - Magistère (MPA-Mag)", "Licence - Sciences - technologies - santé", "Mathématiques et physique approfondies - Magistère (MPA-Mag)", 33, 826, 248, 820, 0, 654, 72, 5, 2, 2, 1, 159, 6, 4, 0, 0, 2, 624, 0, 0, 0, 528, 44, 0, 0, 0, 0, 96, 341, 32, 9, 32, 0, 6.0, 16.0, 28.0, 0, 2, 24, 24, 0, 0, 8, 1, 0, 0, 10, 11, 2.0, 23, 0, 0, 0, 0, 22, 22, 18.75, 50.0, 87.5, 28.09765625, 91.6875, 91.6875, 0, 8.298828125, 75.0, 4.19921875, 0.0, 0.0, 41.6953125, 45.8, 8.3, 100.0, 95.796875, 0.0, 0.0, 0.0, 0.0, 288.0, 34.0, 0.0, 0.0, 53.0, "Tous les candidats", 486.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "8061", "Licence - Mathématiques - Parcours Mathématiques et physique approfondies - Magistère (MPA-Mag)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8061&g_ta_cod=8061", 100.0, 0.0, 0.0),
(8023, "Public", "0590121L", "Lycée Cesar Baggio", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Cesar Baggio - BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "BTS - Production", "", 15, 197, 6, 197, 0, 6, 1, 14, 6, 133, 59, 44, 0, 0, 0, 0, 0, 71, 0, 0, 0, 3, 0, 3, 1, 62, 29, 3, 41, 14, 0, 14, 0, 6.0, 13.0, 14.0, 0, 5, 12, 1, 1, 10, 2, 0, 4, 6, 1, 1, 0.0, 1, 1, 6, 0, 0, 12, 12, 42.86, 92.86, 100.0, 0.0, 100.0, 100.0, 0, 41.6953125, 85.6875, 0.0, 33.296875, 50.0, 8.298828125, 8.3, 0.0, 8.298828125, 8.298828125, 8.298828125, 8.298828125, 83.296875, 50.0, 1.0, 0.0, 35.0, 16.0, 3.0, "Tous les candidats sauf les Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 58, "", 0, "Liste d'appel propre à cette formation", 32.0, "6792", "BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6792&g_ta_cod=6792", 14.0, 7.0, 79.0),
(8024, "Public", "0490769V", "I.U.T. Angers-Cholet - Site d'Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BUT", "I.U.T. Angers-Cholet - Site d'Angers - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie (Seconde année possible en apprentissage)", "BUT - Production", "", 38, 676, 420, 652, 0, 370, 35, 123, 12, 6, 2, 153, 24, 0, 15, 0, 9, 416, 3, 0, 0, 307, 31, 90, 6, 0, 0, 19, 113, 41, 21, 38, 3, 12.0, 33.0, 40.0, 0, 2, 37, 20, 17, 0, 4, 0, 9, 22, 6, 0, 0.0, 16, 12, 0, 0, 0, 21, 21, 29.27, 80.49, 97.56, 51.1953125, 56.796875, 56.796875, 0, 5.3994140625, 90.1875, 0.0, 24.296875, 59.5, 16.19921875, 0.0, 0.0, 54.09375, 43.1953125, 45.8984375, 32.3984375, 0.0, 0.0, 50.0, 6.0, 0.0, 0.0, 7.0, "Tous les candidats sauf les Bac technologiques", 76.0, "Bacheliers technologiques toutes séries", 93, "", 0, "Liste d'appel propre à cette formation", 26.0, "5865", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5865&g_ta_cod=5865", 56.0, 44.0, 0.0),
(8025, "Privé sous contrat d'association", "0480680D", "Lycée polyvalent privé Sacre-Coeur", "48", "Lozère", "Occitanie", "Montpellier", "Saint-Chély-d'Apcher", "formation sélective", "BTS", "Lycée polyvalent privé Sacre-Coeur - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 70, 135, 53, 132, 0, 0, 0, 35, 1, 56, 13, 41, 3, 0, 1, 1, 1, 88, 1, 0, 0, 0, 0, 24, 1, 37, 8, 27, 85, 61, 23, 61, 0, 60.0, 60.0, 61.0, 0, 8, 41, 0, 18, 23, 20, 0, 5, 24, 9, 3, 0.0, 0, 16, 20, 35, 10, 37, 37, 98.36, 98.36, 100.0, 37.6953125, 90.1875, 90.1875, 85.390625, 19.5, 67.1875, 0.0, 12.19921875, 58.5, 22.0, 7.3, 0.0, 0.0, 0.0, 43.8984375, 39.0, 56.09375, 48.796875, 0.0, 0.0, 38.0, 8.0, 25.0, "Tous les candidats sauf les Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 67.0, "5820", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5820&g_ta_cod=5820", 30.0, 33.0, 38.0),
(8026, "Public", "0950650R", "Lycée Jean-Jacques Rousseau", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Sarcelles", "formation sélective", "BTS", "Lycée Jean-Jacques Rousseau - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 760, 498, 760, 0, 19, 12, 193, 94, 273, 147, 275, 0, 0, 0, 0, 0, 678, 0, 0, 0, 19, 12, 177, 85, 248, 130, 234, 150, 35, 26, 35, 0, 2.0, 29.0, 32.0, 0, 14, 27, 2, 8, 17, 8, 0, 14, 10, 3, 0, 0.0, 0, 2, 11, 15, 13, 24, 27, 5.71, 82.86, 91.43, 74.296875, 88.890625, 100.0, 55.59375, 51.8984375, 77.09375, 0.0, 51.8984375, 37.0, 11.099609375, 0.0, 0.0, 7.3994140625, 0.0, 29.59765625, 7.3994140625, 63.0, 40.6953125, 8.0, 5.0, 65.0, 38.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 89, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 24.0, "11579", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11579&g_ta_cod=11579", 9.0, 43.0, 49.0),
(8027, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Administration économique et sociale - Parcours Administration Economique et Sociale (AES)", "Licence - Droit-économie-gestion", "Administration Economique et Sociale (AES)", 280, 1727, 1016, 1552, 0, 920, 222, 235, 86, 48, 25, 349, 175, 29, 19, 10, 117, 1546, 131, 0, 0, 920, 222, 235, 86, 48, 25, 343, 1362, 254, 138, 194, 60, 102.0, 180.0, 213.0, 0, 62, 169, 126, 28, 15, 85, 1, 102, 48, 14, 4, 0.0, 58, 3, 5, 0, 0, 108, 108, 40.16, 70.87, 83.86, 54.296875, 63.8984375, 63.8984375, 0, 36.6953125, 66.5, 0.5999755859375, 60.3984375, 28.3984375, 8.298828125, 2.4, 0.0, 74.59375, 34.296875, 16.59765625, 1.7998046875, 8.8984375, 3.0, 798.0, 190.0, 42.0, 25.0, 347.0, "Tous les candidats", 1539.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7618", "Licence - Administration économique et sociale - Parcours Administration Economique et Sociale (AES)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7618&g_ta_cod=7618", 67.0, 22.0, 11.0),
(8028, "Public", "0670085D", "Lycée Louis Couffignal", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Louis Couffignal - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 12, 249, 19, 249, 0, 14, 2, 75, 38, 94, 42, 66, 0, 0, 0, 0, 0, 179, 0, 0, 0, 7, 0, 61, 33, 90, 40, 21, 45, 14, 1, 14, 0, 0.0, 13.0, 14.0, 0, 6, 14, 1, 6, 7, 0, 0, 5, 6, 2, 1, 0.0, 0, 3, 6, 7, 0, 14, 14, 0.0, 92.86, 100.0, 7.099609375, 100.0, 100.0, 50, 42.8984375, 100.0, 0.0, 35.6953125, 42.8984375, 14.298828125, 7.1, 0.0, 7.099609375, 0.0, 42.8984375, 21.3984375, 50.0, 42.8984375, 4.0, 0.0, 20.0, 9.0, 1.0, "Tous les candidats sauf les Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 24.0, "7941", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7941&g_ta_cod=7941", 7.0, 43.0, 50.0),
(8029, "Public", "0750707L", "Ecole Nationale De Commerce", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "Autre formation", "Ecole Nationale De Commerce - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 55, 25, 10, 0, 0, 0.0, 0.0, 0.0, 0, 16, 25, 0, 10, 15, 0, 0, 20, 5, 0, 0, 0.0, 0, 1, 4, 0, 0, 25, 25, 0.0, 0.0, 0.0, 40.0, 100.0, 100.0, 0, 64.0, 100.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 40.0, 4.0, 60.0, 16.0, 0.0, 0.0, 29.0, 19.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30606", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 40.0, 60.0),
(8030, "Public", "0310036W", "Lycée Pierre De Fermat", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Pierre De Fermat - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 48, 1355, 657, 1355, 940, 1116, 84, 1, 1, 1, 0, 237, 0, 0, 0, 0, 0, 1267, 0, 940, 1028, 1102, 83, 1, 1, 1, 0, 163, 325, 44, 27, 44, 0, 9.0, 31.0, 39.0, 11, 0, 43, 43, 0, 0, 1, 0, 0, 0, 17, 25, 1.0, 43, 0, 0, 0, 0, 24, 24, 20.45, 70.45, 88.64, 61.3984375, 55.796875, 55.796875, 0, 0.0, 97.6875, 0.0, 0.0, 0.0, 39.5, 58.1, 2.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 317.0, 17.0, 0.0, 0.0, 8.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "31655", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31392&g_ta_cod=31655", 100.0, 0.0, 0.0),
(8031, "Public", "0691860X", "IUT Lyon1 Site de Villeurbanne Gratte-Ciel", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "BUT", "IUT Lyon1 Site de Villeurbanne Gratte-Ciel - BUT - Techniques de commercialisation Parcours : TC des Sytèmes Industriels -  Business développement et management de la relation client", "BUT - Service", "TC des Sytèmes Industriels -  Business développement et management de la relation client", 56, 2460, 1072, 2460, 0, 1035, 222, 972, 287, 31, 13, 422, 0, 0, 0, 0, 0, 864, 0, 0, 0, 176, 29, 624, 162, 3, 3, 61, 189, 55, 18, 55, 0, 12.0, 46.0, 51.0, 0, 16, 51, 23, 27, 1, 4, 0, 10, 31, 9, 1, 0.0, 19, 21, 1, 0, 0, 32, 32, 21.82, 83.64, 92.73, 32.6953125, 62.6953125, 62.6953125, 0, 31.3984375, 92.6875, 0.0, 19.59765625, 60.796875, 17.59765625, 2.0, 0.0, 45.09375, 37.296875, 52.8984375, 41.1953125, 2.0, 2.0, 91.0, 21.0, 3.0, 3.0, 14.0, "Tous les candidats sauf les Bac technologiques", 147.0, "Bacheliers technologiques toutes séries", 107, "", 0, "Liste d'appel propre à cette formation", 10.0, "8494", "BUT - Techniques de commercialisation Parcours : TC des Sytèmes Industriels -  Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8494&g_ta_cod=8494", 45.0, 53.0, 2.0),
(8032, "Privé enseignement supérieur", "0941890U", "ESIEA Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Ivry-sur-Seine", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 65, 1730, 423, 1694, 0, 1687, 205, 0, 0, 0, 0, 7, 36, 34, 0, 0, 2, 1600, 28, 0, 0, 1600, 180, 0, 0, 0, 0, 0, 1541, 28, 6, 23, 5, 13.0, 22.0, 26.0, 0, 3, 27, 27, 0, 0, 1, 0, 11, 16, 0, 0, 0.0, 16, 0, 0, 0, 0, 9, 22, 46.43, 78.57, 92.86, 21.3984375, 33.296875, 81.5, 0, 11.099609375, 96.390625, 0.0, 40.6953125, 59.296875, 0.0, 0.0, 0.0, 100.0, 59.296875, 0.0, 0.0, 0.0, 0.0, 1540.0, 170.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "471", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=471", 100.0, 0.0, 0.0),
(8033, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues étrangères appliquées - Parcours Anglais-Espagnol", "Licence - Arts-lettres-langues", "Anglais-Espagnol", 160, 870, 661, 774, 0, 522, 108, 74, 22, 13, 3, 165, 96, 17, 0, 4, 75, 764, 52, 0, 0, 522, 108, 74, 22, 13, 3, 155, 756, 144, 106, 119, 25, 70.0, 116.0, 127.0, 0, 25, 95, 82, 9, 4, 49, 4, 34, 42, 12, 3, 0.0, 51, 3, 3, 0, 0, 84, 84, 48.61, 80.56, 88.19, 73.59375, 88.390625, 88.390625, 0, 26.296875, 66.0, 4.19921875, 35.796875, 44.1953125, 12.599609375, 3.2, 0.0, 86.296875, 53.6953125, 9.5, 3.19970703125, 4.19921875, 3.19970703125, 505.0, 105.0, 13.0, 4.0, 178.0, "Tous les candidats", 764.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "5070", "Licence - Langues étrangères appliquées - Parcours Anglais-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5070&g_ta_cod=5070", 82.0, 10.0, 7.0),
(8034, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "Licence", "Université de Tours - Licence - Musicologie - Parcours Parcours Jazz et Musiques Actuelles (JMA)", "Licence - Arts-lettres-langues", "Parcours Jazz et Musiques Actuelles (JMA)", 10, 236, 98, 184, 0, 113, 23, 17, 3, 6, 2, 48, 52, 7, 1, 1, 43, 9, 0, 0, 0, 9, 1, 0, 0, 0, 0, 0, 9, 7, 3, 7, 0, 7.0, 7.0, 7.0, 0, 1, 7, 7, 0, 0, 0, 0, 0, 2, 5, 0, 0.0, 7, 0, 0, 0, 0, 6, 6, 100.0, 100.0, 100.0, 42.8984375, 85.6875, 85.6875, 0, 14.298828125, 100.0, 0.0, 0.0, 28.59765625, 71.390625, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 9.0, 1.0, 0.0, 0.0, 0.0, "Tous les candidats", 9.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "32133", "Licence - Musicologie - Parcours Parcours Jazz et Musiques Actuelles (JMA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32133&g_ta_cod=32133", 100.0, 0.0, 0.0),
(8035, "Privé sous contrat d'association", "0590348H", "HEI Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 15, 125, 7, 121, 0, 0, 0, 121, 26, 0, 0, 0, 4, 0, 4, 0, 0, 76, 0, 0, 0, 0, 0, 76, 13, 0, 0, 0, 69, 5, 0, 5, 0, 4.0, 5.0, 5.0, 0, 2, 5, 0, 5, 0, 0, 0, 0, 2, 3, 0, 0.0, 0, 5, 0, 0, 0, 5, 5, 80.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 40.0, 100.0, 0.0, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "22897", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=22897", 0.0, 100.0, 0.0),
(8036, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Langues étrangères appliquées - Parcours Anglais - Italien", "Licence - Arts-lettres-langues", "Anglais - Italien", 90, 321, 233, 192, 0, 121, 32, 21, 9, 11, 5, 39, 129, 20, 13, 18, 78, 192, 118, 0, 0, 121, 32, 21, 9, 11, 5, 39, 300, 74, 57, 39, 35, 17.0, 37.0, 51.0, 0, 14, 43, 28, 4, 11, 31, 0, 17, 16, 7, 3, 0.0, 19, 2, 5, 0, 0, 39, 39, 22.97, 50.0, 68.92, 77.0, 90.6875, 90.6875, 0, 32.59375, 58.09375, 0.0, 39.5, 37.1953125, 16.296875, 7.0, 0.0, 65.09375, 44.1953125, 9.298828125, 4.69921875, 25.59765625, 11.599609375, 137.0, 37.0, 28.0, 16.0, 105.0, "Tous les candidats", 192.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6604", "Licence - Langues étrangères appliquées - Parcours Anglais - Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6604&g_ta_cod=6604", 55.0, 20.0, 24.0),
(8037, "Public", "0542391F", "La Prépa des INP - Groupe INP - Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Vandoeuvre-lès-Nancy", "formation sélective", "Ecole d'Ingénieur", "La Prépa des INP - Groupe INP - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 82, 2882, 956, 2882, 0, 2758, 202, 0, 0, 0, 0, 124, 0, 0, 0, 0, 0, 1999, 0, 0, 0, 1976, 128, 0, 0, 0, 0, 23, 1203, 85, 38, 85, 0, 31.0, 59.0, 81.0, 0, 7, 84, 84, 0, 0, 1, 0, 0, 0, 47, 36, 1.0, 84, 0, 0, 0, 0, 33, 33, 36.47, 69.41, 95.29, 44.6953125, 39.296875, 39.296875, 0, 8.298828125, 98.796875, 0.0, 0.0, 0.0, 56.0, 42.9, 1.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1191.0, 102.0, 0.0, 0.0, 12.0, "Tous les candidats", 3283.0, "Autres formations", 26, "", 0, "Liste d'appel commune à plusieurs formations", 56.0, "5", "Formation d'ingénieur Bac + 5 - Bac général", "La Prépa des INP - Groupe INP", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=1&g_ta_cod=5", 100.0, 0.0, 0.0),
(8038, "Public", "0350029S", "Lycée Joliot-Curie", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Joliot-Curie - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 35, 410, 105, 405, 0, 28, 6, 158, 26, 140, 44, 79, 5, 0, 0, 4, 1, 315, 0, 0, 0, 26, 4, 148, 19, 94, 21, 47, 158, 30, 3, 29, 0, 2.0, 22.0, 26.0, 0, 6, 25, 1, 6, 18, 5, 0, 13, 9, 3, 0, 0.0, 0, 2, 10, 1, 0, 23, 23, 6.67, 73.33, 86.67, 10.0, 92.0, 92.0, 4, 24.0, 83.296875, 0.0, 52.0, 36.0, 12.0, 0.0, 0.0, 4.0, 0.0, 24.0, 8.0, 72.0, 40.0, 12.0, 3.0, 76.0, 15.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 97, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 55.0, "4646", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4646&g_ta_cod=4646", 10.0, 23.0, 67.0),
(8039, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "Université de Cergy-Pontoise - CY SUP - Diplôme d'Université - PAREO - Passeport pour réussir et s'orienter vers les Lettres Modernes", "Diplôme d'Université", "Passeport pour réussir et s'orienter vers les Lettres Modernes", 25, 22, 18, 9, 0, 6, 4, 1, 1, 1, 1, 1, 13, 1, 1, 4, 7, 9, 10, 0, 0, 6, 4, 1, 1, 1, 1, 1, 19, 9, 8, 4, 5, 4.0, 4.0, 5.0, 0, 6, 9, 3, 1, 5, 0, 0, 4, 4, 1, 0, 0.0, 1, 0, 4, 0, 0, 6, 7, 44.44, 44.44, 55.56, 88.890625, 66.6875, 77.796875, 0, 66.6875, 100.0, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 33.296875, 11.099609375, 11.099609375, 0.0, 55.59375, 44.3984375, 7.0, 5.0, 5.0, 4.0, 5.0, "Tous les candidats", 9.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32379", "Diplôme d'Université - PAREO - Passeport pour réussir et s'orienter vers les Lettres Modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32379&g_ta_cod=32379", 33.0, 11.0, 56.0),
(8040, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Licence", "Université Grenoble Alpes  - Licence - Sciences et technologies - Parcours Sciences et Design", "Licence - Sciences - technologies - santé", "Sciences et Design", 10, 212, 101, 191, 0, 124, 8, 11, 1, 0, 0, 56, 21, 5, 0, 0, 16, 43, 0, 0, 0, 34, 0, 0, 0, 0, 0, 9, 37, 7, 5, 7, 0, 1.0, 7.0, 7.0, 0, 0, 7, 7, 0, 0, 0, 0, 0, 0, 5, 2, 0.0, 7, 0, 0, 0, 0, 5, 5, 14.29, 100.0, 100.0, 71.390625, 71.390625, 71.390625, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 71.390625, 28.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 29.0, 0.0, 0.0, 0.0, 8.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "17957", "Licence - Sciences et technologies - Parcours Sciences et Design", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17957&g_ta_cod=17957", 100.0, 0.0, 0.0),
(8041, "Public", "0931002J", "I.U.T de Saint-Denis - Université Paris 13", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BUT", "I.U.T de Saint-Denis - Université Paris 13 - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", 170, 5871, 3157, 5871, 0, 2278, 878, 2178, 1032, 113, 56, 1302, 0, 0, 0, 0, 0, 3764, 0, 0, 0, 1856, 718, 1403, 640, 0, 0, 505, 1208, 188, 90, 188, 0, 20.0, 132.0, 186.0, 0, 68, 172, 89, 83, 0, 16, 0, 55, 93, 24, 0, 0.0, 50, 67, 0, 0, 0, 73, 160, 10.64, 70.21, 98.94, 47.8984375, 42.3984375, 93.0, 0, 39.5, 91.5, 0.0, 32.0, 54.09375, 14.0, 0.0, 0.0, 51.6953125, 29.09765625, 48.296875, 39.0, 0.0, 0.0, 669.0, 228.0, 0.0, 0.0, 85.0, "Tous les candidats sauf les Bac technologiques", 1004.0, "Bacheliers technologiques toutes séries", 774, "", 0, "Liste d'appel propre à cette formation", 30.0, "11228", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11228&g_ta_cod=11228", 48.0, 52.0, 0.0),
(8042, "Public", "0622807P", "Lycée des Métiers - Hotelier", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Le Touquet-Paris-Plage", "formation sélective", "BTS", "Lycée des Métiers - Hotelier - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 96, 383, 175, 375, 0, 0, 0, 131, 21, 170, 69, 74, 8, 0, 1, 5, 2, 369, 3, 0, 0, 0, 0, 131, 21, 170, 69, 68, 248, 74, 35, 74, 0, 36.0, 73.0, 74.0, 0, 13, 53, 0, 27, 26, 21, 0, 9, 20, 18, 6, 0.0, 0, 21, 23, 35, 14, 45, 45, 48.65, 98.65, 100.0, 47.296875, 84.890625, 84.890625, 66, 24.5, 71.59375, 0.0, 17.0, 37.6953125, 34.0, 11.3, 0.0, 0.0, 0.0, 50.8984375, 39.59375, 49.09375, 43.3984375, 0.0, 0.0, 128.0, 51.0, 47.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 173, "Bacheliers technologiques toutes séries", 141, "Liste d'appel propre à cette formation", 98.0, "7457", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7457&g_ta_cod=7457", 23.0, 42.0, 35.0),
(8043, "Public", "0693504J", "Lycée Francois Rabelais", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Dardilly", "formation sélective", "BTS", "Lycée Francois Rabelais - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 72, 675, 365, 667, 0, 0, 0, 242, 31, 239, 44, 186, 8, 0, 3, 2, 3, 529, 4, 0, 0, 0, 0, 196, 24, 184, 31, 149, 255, 57, 30, 57, 0, 16.0, 48.0, 57.0, 0, 5, 46, 0, 23, 23, 11, 1, 4, 18, 17, 6, 0.0, 0, 20, 21, 29, 13, 34, 34, 28.07, 84.21, 100.0, 52.59375, 73.890625, 73.890625, 63, 10.8984375, 80.6875, 2.19970703125, 8.69921875, 39.09375, 37.0, 13.0, 0.0, 0.0, 0.0, 50.0, 43.5, 50.0, 45.6953125, 0.0, 0.0, 98.0, 20.0, 78.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 109.0, "Bacheliers professionnels toutes séries", 185, "Bacheliers technologiques toutes séries", 219, "Liste d'appel propre à cette formation", 77.0, "8571", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8571&g_ta_cod=8571", 12.0, 44.0, 44.0),
(8044, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Gaston Berger - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 832, 568, 832, 0, 56, 22, 242, 118, 290, 175, 244, 0, 0, 0, 0, 0, 577, 0, 0, 0, 51, 21, 142, 71, 238, 139, 146, 165, 33, 28, 33, 0, 8.0, 23.0, 30.0, 0, 12, 23, 3, 6, 14, 10, 0, 7, 10, 5, 1, 0.0, 1, 4, 11, 1, 1, 19, 19, 24.24, 69.7, 90.91, 84.796875, 82.59375, 82.59375, 4.2998046875, 52.1953125, 69.6875, 0.0, 30.3984375, 43.5, 21.69921875, 4.3, 0.0, 13.0, 4.2998046875, 26.09765625, 17.3984375, 60.8984375, 47.796875, 21.0, 10.0, 93.0, 44.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 155, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 35.0, "6864", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6864&g_ta_cod=6864", 21.0, 21.0, 58.0),
(8045, "Public", "0260113G", "Lycée Les Catalins", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Montélimar", "formation sélective", "Autre formation", "Lycée Les Catalins - Mention complémentaire - FCIL - CAES - Option Services - Spécialité : Métiers des services aux entreprises et aux organisations", "Mention complémentaire", "Spécialité : Métiers des services aux entreprises et aux organisations", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 29, 3, 1, 0, 0, 0.0, 0.0, 0.0, 0, 2, 3, 0, 0, 3, 0, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 0.0, 0.0, 0.0, 33.296875, 100.0, 100.0, 0, 66.6875, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 27.0, 10.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30593", "Mention complémentaire - FCIL - CAES - Option Services - Spécialité : Métiers des services aux entreprises et aux organisations", "", "", 0.0, 0.0, 100.0),
(8046, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Gestion", "Licence - Droit-économie-gestion", "", 150, 2127, 1094, 2127, 0, 1489, 244, 109, 38, 12, 7, 517, 0, 0, 0, 0, 0, 1042, 0, 0, 0, 918, 120, 4, 1, 0, 0, 120, 541, 148, 99, 148, 0, 72.0, 138.0, 140.0, 0, 18, 142, 142, 0, 0, 6, 0, 0, 13, 90, 37, 2.0, 142, 0, 0, 0, 0, 118, 118, 48.65, 93.24, 94.59, 66.890625, 83.09375, 83.09375, 0, 12.69921875, 95.890625, 0.0, 0.0, 9.19921875, 63.3984375, 26.1, 1.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 488.0, 72.0, 0.0, 0.0, 50.0, "Tous les candidats", 760.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "20957", "Licence - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20957&g_ta_cod=20957", 100.0, 0.0, 0.0),
(8047, "Privé sous contrat d'association", "0492420P", "LPO SAINT AUBIN LA SALLE", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Verrières-en-Anjou", "formation sélective", "BTS", "LPO SAINT AUBIN LA SALLE - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 209, 88, 173, 0, 33, 6, 59, 7, 32, 10, 49, 36, 6, 9, 0, 21, 138, 15, 0, 0, 32, 5, 56, 7, 25, 7, 25, 110, 12, 6, 9, 3, 0.0, 9.0, 12.0, 0, 1, 8, 3, 2, 3, 4, 0, 5, 3, 0, 0, 0.0, 1, 1, 1, 0, 0, 8, 8, 0.0, 75.0, 100.0, 50.0, 100.0, 100.0, 0, 12.5, 66.6875, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 37.5, 12.5, 25.0, 12.5, 37.5, 12.5, 30.0, 4.0, 20.0, 5.0, 24.0, "Tous les candidats sauf les Bac professionnels", 112.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 79.0, "5916", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5916&g_ta_cod=5916", 50.0, 25.0, 25.0),
(8048, "Public", "0470029B", "Lycée professionnel Jacques De Romas", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Nérac", "formation sélective", "Autre formation", "Lycée professionnel Jacques De Romas - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 15, 60, 43, 56, 0, 1, 0, 3, 2, 33, 14, 19, 4, 1, 0, 1, 2, 27, 2, 0, 0, 0, 0, 2, 1, 21, 8, 4, 28, 8, 5, 6, 2, 5.0, 6.0, 8.0, 0, 2, 5, 0, 0, 5, 3, 0, 1, 3, 1, 0, 0.0, 0, 0, 4, 0, 0, 3, 3, 62.5, 75.0, 100.0, 62.5, 60.0, 60.0, 0, 40.0, 62.5, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 19.0, 6.0, 7.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "5780", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5780&g_ta_cod=5780", 13.0, 0.0, 88.0),
(8049, "Privé enseignement supérieur", "0741787R", "UCLy Alpes-Europe", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation non sélective", "Licence", "UCLy Alpes-Europe - Licence - Droit", "Licence - Droit-économie-gestion", "", 70, 405, 316, 391, 0, 306, 36, 31, 9, 7, 1, 47, 14, 1, 2, 0, 11, 389, 12, 0, 0, 306, 36, 31, 9, 7, 1, 45, 285, 60, 46, 56, 4, 17.0, 49.0, 54.0, 0, 10, 53, 44, 8, 1, 7, 2, 13, 27, 7, 4, 0.0, 30, 7, 1, 0, 0, 50, 50, 28.33, 81.67, 90.0, 76.6875, 94.296875, 94.296875, 0, 18.8984375, 88.296875, 3.7998046875, 24.5, 50.8984375, 13.19921875, 7.5, 0.0, 83.0, 56.59375, 15.099609375, 13.19921875, 1.89990234375, 1.89990234375, 223.0, 24.0, 6.0, 1.0, 34.0, "Tous les candidats", 379.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "32418", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32418&g_ta_cod=32418", 83.0, 13.0, 3.0),
(8050, "Privé sous contrat d'association", "0783053V", "Lycée Sainte Geneviève", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Sainte Geneviève - CPGE - PCSI", "Classe préparatoire scientifique", "", 126, 2574, 928, 2574, 2574, 2455, 100, 0, 0, 0, 0, 119, 0, 0, 0, 0, 0, 2574, 0, 2574, 0, 2455, 100, 0, 0, 0, 0, 119, 241, 126, 37, 126, 0, 60.0, 119.0, 122.0, 126, 3, 126, 126, 0, 0, 0, 1, 0, 0, 0, 39, 86.0, 125, 0, 0, 0, 0, 38, 53, 47.62, 94.44, 96.83, 29.3984375, 30.19921875, 42.09375, 0, 2.39990234375, 100.0, 0.7999267578125, 0.0, 0.0, 0.0, 31.0, 68.3, 100.0, 99.1875, 0.0, 0.0, 0.0, 0.0, 241.0, 8.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "10073", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10073&g_ta_cod=10073", 100.0, 0.0, 0.0),
(8051, "Public", "0580055V", "Lycée agricole de Nevers Challuy", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "BTS", "Lycée agricole de Nevers Challuy - BTS - Agricole - productions animales", "BTS - Agricole", "", 34, 370, 225, 369, 0, 91, 18, 111, 29, 37, 19, 130, 1, 0, 0, 1, 0, 363, 0, 0, 0, 91, 18, 111, 29, 35, 18, 126, 137, 33, 21, 33, 0, 5.0, 24.0, 29.0, 0, 13, 24, 7, 13, 4, 9, 0, 7, 9, 7, 1, 0.0, 5, 10, 2, 1, 1, 12, 12, 15.15, 72.73, 87.88, 63.59375, 50.0, 50.0, 4.19921875, 54.1953125, 72.6875, 0.0, 29.19921875, 37.5, 29.19921875, 4.2, 0.0, 29.19921875, 20.796875, 54.1953125, 41.6953125, 16.69921875, 8.298828125, 45.0, 6.0, 28.0, 17.0, 26.0, "Tous les candidats sauf les Bac professionnels", 173.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 56.0, "6684", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6684&g_ta_cod=6684", 42.0, 45.0, 12.0),
(8052, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Double licence - Langues, littératures & civilisations étrangères et régionales / Informatique - Double licence Informatique Japonais - Campus Grands Moulins", "Licence - Arts-lettres-langues", "Double licence Informatique Japonais - Campus Grands Moulins", 10, 267, 90, 267, 0, 158, 38, 9, 3, 1, 0, 99, 0, 0, 0, 0, 0, 90, 0, 0, 0, 71, 15, 0, 0, 0, 0, 19, 32, 11, 7, 11, 0, 1.0, 10.0, 10.0, 0, 4, 8, 8, 0, 0, 3, 0, 0, 0, 6, 1, 1.0, 8, 0, 0, 0, 0, 0, 4, 9.09, 90.91, 90.91, 63.59375, 0.0, 50.0, 0, 50.0, 72.6875, 0.0, 0.0, 0.0, 75.0, 12.5, 12.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 27.0, 6.0, 0.0, 0.0, 5.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "24026", "Double licence - Langues, littératures & civilisations étrangères et régionales / Informatique - Double licence Informatique Japonais - Campus Grands Moulins", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24026&g_ta_cod=24026", 100.0, 0.0, 0.0),
(8053, "Public", "0781945R", "I.U.T de Velizy", "78", "Yvelines", "Ile-de-France", "Versailles", "Vélizy-Villacoublay", "formation sélective", "BUT", "I.U.T de Velizy - BUT - Réseaux et télécommunications Parcours : Cybersécurité - Réseaux Opérateurs et Multimédia", "BUT - Production", "Cybersécurité - Réseaux Opérateurs et Multimédia", 38, 1453, 125, 1453, 0, 672, 144, 482, 145, 47, 12, 252, 0, 0, 0, 0, 0, 813, 0, 0, 0, 436, 79, 303, 75, 7, 3, 67, 266, 42, 3, 42, 0, 17.0, 29.0, 38.0, 0, 5, 37, 20, 17, 0, 5, 0, 1, 22, 14, 0, 0.0, 19, 17, 0, 0, 0, 31, 35, 40.48, 69.05, 90.48, 7.099609375, 83.796875, 94.59375, 0, 13.5, 88.09375, 0.0, 2.69970703125, 59.5, 37.796875, 0.0, 0.0, 54.09375, 51.3984375, 45.8984375, 45.8984375, 0.0, 0.0, 158.0, 37.0, 0.0, 0.0, 12.0, "Tous les candidats sauf les Bac technologiques", 218.0, "Bacheliers technologiques toutes séries", 139, "", 0, "Liste d'appel propre à cette formation", 25.0, "9994", "BUT - Réseaux et télécommunications Parcours : Cybersécurité - Réseaux Opérateurs et Multimédia", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9994&g_ta_cod=9994", 50.0, 50.0, 0.0),
(8054, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Licence", "Université de Strasbourg - Licence - Humanités", "Licence - Arts-lettres-langues", "", 30, 520, 388, 434, 0, 319, 58, 7, 2, 4, 1, 104, 86, 17, 2, 3, 64, 200, 13, 0, 0, 175, 20, 1, 0, 0, 0, 24, 123, 19, 16, 17, 2, 2.0, 17.0, 17.0, 0, 3, 18, 18, 0, 0, 1, 0, 0, 3, 8, 7, 0.0, 18, 0, 0, 0, 0, 13, 13, 10.53, 89.47, 89.47, 84.1875, 72.1875, 72.1875, 0, 16.69921875, 94.6875, 0.0, 0.0, 16.69921875, 44.3984375, 38.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 99.0, 13.0, 0.0, 0.0, 24.0, "Tous les candidats", 199.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "14133", "Licence - Humanités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14133&g_ta_cod=14133", 100.0, 0.0, 0.0),
(8055, "Public", "0762765T", "Lycée professionnel Lavoisier", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BTS", "Lycée professionnel Lavoisier - BTS - Production - Maintenance des véhicules option véhicules de transport routier", "BTS - Production", "", 10, 79, 3, 67, 0, 2, 0, 9, 1, 32, 9, 24, 12, 0, 3, 6, 3, 48, 4, 0, 0, 2, 0, 8, 1, 32, 9, 6, 39, 9, 1, 7, 2, 2.0, 7.0, 9.0, 0, 3, 7, 1, 1, 5, 2, 0, 3, 1, 2, 1, 0.0, 0, 0, 4, 3, 0, 6, 6, 22.22, 77.78, 100.0, 11.099609375, 85.6875, 85.6875, 42.8984375, 42.8984375, 77.796875, 0.0, 42.8984375, 14.298828125, 28.59765625, 14.3, 0.0, 14.298828125, 0.0, 14.298828125, 0.0, 71.390625, 57.09375, 2.0, 0.0, 25.0, 9.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 64.0, "9752", "BTS - Production - Maintenance des véhicules option véhicules de transport routier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9752&g_ta_cod=9752", 11.0, 22.0, 67.0),
(8056, "Public", "0170029P", "Lycée Leonce Vieljeux", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BTS", "Lycée Leonce Vieljeux - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 25, 494, 53, 489, 0, 75, 9, 158, 39, 99, 26, 157, 5, 0, 0, 4, 1, 356, 0, 0, 0, 75, 9, 146, 36, 98, 26, 37, 100, 21, 0, 21, 0, 2.0, 15.0, 18.0, 0, 2, 18, 2, 7, 9, 3, 0, 7, 10, 1, 0, 0.0, 0, 4, 7, 7, 0, 15, 15, 9.52, 71.43, 85.71, 0.0, 83.296875, 83.296875, 38.8984375, 11.099609375, 85.6875, 0.0, 38.8984375, 55.59375, 5.599609375, 0.0, 0.0, 11.099609375, 0.0, 38.8984375, 22.19921875, 50.0, 38.8984375, 10.0, 3.0, 59.0, 13.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 96, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 33.0, "3031", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3031&g_ta_cod=3031", 10.0, 43.0, 48.0),
(8057, "Public", "0301778V", "Lycée Jacques Prévert", "30", "Gard", "Occitanie", "Montpellier", "Saint-Christol-lez-Alès", "formation sélective", "BTS", "Lycée Jacques Prévert - BTS - Services - Support à l'action managériale", "BTS - Services", "", 19, 190, 111, 125, 0, 11, 5, 35, 16, 33, 22, 46, 65, 0, 23, 17, 25, 61, 6, 0, 0, 9, 3, 24, 12, 17, 12, 11, 48, 15, 10, 12, 2, 0.0, 11.0, 15.0, 0, 6, 12, 0, 6, 6, 3, 0, 8, 3, 1, 0, 0.0, 0, 1, 3, 9, 6, 12, 12, 0.0, 73.33, 100.0, 66.6875, 100.0, 100.0, 75, 50.0, 80.0, 0.0, 66.6875, 25.0, 8.298828125, 0.0, 0.0, 0.0, 0.0, 50.0, 8.298828125, 50.0, 25.0, 2.0, 0.0, 15.0, 9.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 47.0, "4024", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4024&g_ta_cod=4024", 7.0, 47.0, 47.0),
(8058, "Public", "0060020P", "Lycée Amiral De Grasse", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Grasse", "formation sélective", "BTS", "Lycée Amiral De Grasse - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 192, 60, 149, 0, 17, 3, 53, 18, 36, 7, 43, 43, 4, 7, 14, 18, 111, 22, 0, 0, 17, 3, 48, 16, 22, 4, 24, 126, 23, 2, 12, 10, 2.0, 10.0, 18.0, 0, 5, 13, 2, 6, 5, 10, 0, 9, 3, 1, 0, 0.0, 0, 0, 4, 1, 0, 13, 13, 8.7, 43.48, 78.26, 8.69921875, 100.0, 100.0, 7.69921875, 38.5, 56.5, 0.0, 69.1875, 23.09765625, 7.69921875, 0.0, 0.0, 15.3984375, 0.0, 46.1953125, 0.0, 38.5, 30.796875, 20.0, 3.0, 24.0, 7.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 73.0, "2200", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2200&g_ta_cod=2200", 17.0, 48.0, 35.0),
(8059, "Public", "0670086E", "Lycée des métiers René Cassin", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée des métiers René Cassin - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 57, 805, 430, 779, 0, 139, 43, 217, 100, 165, 84, 258, 26, 3, 10, 0, 13, 425, 9, 0, 0, 102, 26, 141, 52, 95, 42, 87, 263, 55, 30, 52, 3, 2.0, 39.0, 47.0, 0, 19, 35, 9, 15, 11, 20, 0, 14, 16, 5, 0, 0.0, 5, 10, 6, 6, 4, 34, 34, 3.64, 70.91, 85.45, 54.5, 97.09375, 97.09375, 17.09765625, 54.296875, 63.59375, 0.0, 40.0, 45.6953125, 14.298828125, 0.0, 0.0, 25.69921875, 14.298828125, 42.8984375, 28.59765625, 31.3984375, 17.09765625, 69.0, 23.0, 46.0, 20.0, 64.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 137.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 156, "Liste d'appel propre à cette formation", 46.0, "7949", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7949&g_ta_cod=7949", 35.0, 36.0, 29.0),
(8060, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER ALLEMAND NON DEBUTANT : TRADUCTION FRANCO-ALLEMANDE", "Licence - Arts-lettres-langues", "LLCER ALLEMAND NON DEBUTANT : TRADUCTION FRANCO-ALLEMANDE", 25, 100, 71, 37, 0, 23, 4, 4, 1, 0, 0, 10, 63, 8, 2, 2, 51, 37, 57, 0, 0, 23, 4, 4, 1, 0, 0, 10, 93, 22, 14, 3, 19, 2.0, 3.0, 7.0, 0, 3, 7, 6, 1, 0, 15, 0, 3, 3, 1, 0, 0.0, 3, 1, 0, 0, 0, 2, 4, 9.09, 13.64, 31.82, 63.59375, 28.59765625, 57.09375, 0, 42.8984375, 31.796875, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 85.6875, 42.8984375, 14.298828125, 14.298828125, 0.0, 0.0, 31.0, 6.0, 2.0, 1.0, 54.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26505", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER ALLEMAND NON DEBUTANT : TRADUCTION FRANCO-ALLEMANDE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26505&g_ta_cod=26505", 86.0, 14.0, 0.0),
(8061, "Privé sous contrat d'association", "0690522T", "Lycée Aux Lazaristes", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée Aux Lazaristes - CPGE - MP2I", "Classe préparatoire scientifique", "", 10, 1240, 243, 1240, 1029, 1136, 80, 2, 1, 2, 1, 100, 0, 0, 0, 0, 0, 317, 0, 292, 314, 314, 9, 0, 0, 0, 0, 3, 82, 12, 4, 12, 0, 0.0, 7.0, 12.0, 10, 3, 12, 12, 0, 0, 0, 0, 0, 0, 0, 6, 6.0, 12, 0, 0, 2, 0, 3, 3, 0.0, 58.33, 100.0, 33.296875, 25.0, 25.0, 16.69921875, 25.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 50.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 82.0, 5.0, 0.0, 0.0, 0.0, "Tous les candidats", 141.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "32114", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32114&g_ta_cod=32114", 100.0, 0.0, 0.0),
(8062, "Public", "0660832W", "Université de Perpignan - Antenne de Font Romeu", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Font-Romeu-Odeillo-Via", "formation non sélective", "Licence", "Université de Perpignan - Antenne de Font Romeu - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 160, 2020, 593, 2020, 0, 1325, 232, 261, 58, 39, 11, 395, 0, 0, 0, 0, 0, 2020, 0, 0, 0, 1325, 232, 261, 58, 39, 11, 395, 619, 156, 38, 156, 0, 33.0, 124.0, 129.0, 0, 27, 129, 106, 21, 2, 27, 1, 50, 57, 20, 1, 0.0, 62, 14, 2, 0, 0, 108, 108, 21.15, 79.49, 82.69, 24.3984375, 83.6875, 83.6875, 0, 20.8984375, 82.6875, 0.7999267578125, 38.796875, 44.1953125, 15.5, 0.8, 0.0, 82.1875, 48.09375, 16.296875, 10.8984375, 1.599853515625, 1.599853515625, 415.0, 84.0, 8.0, 5.0, 139.0, "Tous les candidats", 631.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "7900", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31758&g_ta_cod=7900", 79.0, 17.0, 3.0),
(8063, "Public", "0771336J", "Lycée Les Pannevelles", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Provins", "formation sélective", "BTS", "Lycée Les Pannevelles - BTS - Production - Bâtiment", "BTS - Production", "", 24, 318, 45, 289, 0, 20, 5, 74, 21, 72, 32, 123, 29, 0, 0, 17, 12, 207, 6, 0, 0, 20, 5, 74, 21, 60, 25, 53, 113, 20, 1, 16, 4, 3.0, 13.0, 15.0, 0, 4, 19, 3, 7, 9, 1, 0, 11, 5, 3, 0, 0.0, 0, 3, 5, 9, 0, 14, 18, 15.0, 65.0, 75.0, 5.0, 73.6875, 94.6875, 47.3984375, 21.09765625, 95.0, 0.0, 57.8984375, 26.296875, 15.798828125, 0.0, 0.0, 15.798828125, 0.0, 36.796875, 15.798828125, 47.3984375, 26.296875, 14.0, 5.0, 50.0, 20.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 51.0, "9836", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9836&g_ta_cod=9836", 20.0, 35.0, 45.0),
(8064, "Public", "0341898D", "I.U.T de Montpellier (site de Sète)", "34", "Hérault", "Occitanie", "Montpellier", "Sète", "formation sélective", "BUT", "I.U.T de Montpellier (site de Sète) - BUT - Chimie Parcours : Analyse, contrôle_qualité, environnement", "BUT - Production", "Analyse, contrôle_qualité, environnement", 72, 1197, 761, 1154, 0, 707, 112, 136, 38, 5, 4, 306, 43, 4, 22, 0, 17, 1007, 5, 0, 0, 653, 101, 105, 28, 0, 0, 249, 661, 68, 41, 64, 4, 14.0, 27.0, 61.0, 0, 11, 57, 48, 9, 0, 11, 0, 13, 39, 5, 0, 0.0, 36, 8, 0, 0, 0, 35, 35, 20.59, 39.71, 89.71, 60.296875, 61.3984375, 61.3984375, 0, 19.296875, 83.796875, 0.0, 22.796875, 68.390625, 8.798828125, 0.0, 0.0, 84.1875, 63.1953125, 15.798828125, 14.0, 0.0, 0.0, 462.0, 70.0, 0.0, 0.0, 107.0, "Tous les candidats sauf les Bac technologiques", 721.0, "Bacheliers technologiques toutes séries", 118, "", 0, "Liste d'appel propre à cette formation", 73.0, "4608", "BUT - Chimie Parcours : Analyse, contrôle_qualité, environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4608&g_ta_cod=4608", 87.0, 13.0, 0.0),
(8065, "Public", "9720643S", "CENTRE REGIONAL ASSOC DU CNAM FORT DE FRANCE", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "Autre formation", "CENTRE REGIONAL ASSOC DU CNAM FORT DE FRANCE - Formation Supérieure de Spécialisation - Tourisme", "Diplôme d'Université", "Tourisme", 15, 14, 12, 9, 0, 1, 1, 3, 1, 2, 2, 3, 5, 0, 1, 1, 3, 6, 2, 0, 0, 1, 1, 2, 0, 1, 1, 2, 8, 2, 2, 1, 1, 1.0, 1.0, 1.0, 0, 2, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 50.0, 50.0, 50.0, 100.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 1.0, 1.0, 2.0, 2.0, 2.0, "Tous les candidats", 6.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "34144", "Formation Supérieure de Spécialisation - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34144&g_ta_cod=34144", 0.0, 0.0, 100.0),
(8066, "Public", "0930834B", "Lycée Voillaume", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aulnay-sous-Bois", "formation sélective", "BTS", "Lycée Voillaume - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 35, 431, 121, 431, 0, 20, 8, 138, 66, 151, 76, 122, 0, 0, 0, 0, 0, 271, 0, 0, 0, 17, 6, 95, 41, 89, 48, 70, 146, 35, 7, 35, 0, 3.0, 25.0, 28.0, 0, 13, 25, 3, 6, 16, 10, 0, 14, 8, 2, 1, 0.0, 1, 3, 7, 0, 0, 25, 25, 8.57, 71.43, 80.0, 20.0, 100.0, 100.0, 0, 52.0, 71.390625, 0.0, 56.0, 32.0, 8.0, 4.0, 0.0, 12.0, 4.0, 24.0, 12.0, 64.0, 28.0, 10.0, 5.0, 59.0, 34.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 35.0, "11212", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11212&g_ta_cod=11212", 17.0, 34.0, 49.0),
(8067, "Public", "0020050U", "Lycée Condorcet", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "BTS", "Lycée Condorcet - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 334, 48, 334, 0, 41, 16, 82, 27, 51, 17, 160, 0, 0, 0, 0, 0, 222, 0, 0, 0, 41, 16, 82, 27, 50, 17, 49, 55, 15, 0, 15, 0, 4.0, 13.0, 14.0, 0, 5, 14, 5, 1, 8, 1, 0, 8, 5, 1, 0, 0.0, 3, 0, 3, 0, 0, 8, 8, 26.67, 86.67, 93.33, 0.0, 57.09375, 57.09375, 0, 35.6953125, 93.296875, 0.0, 57.09375, 35.6953125, 7.099609375, 0.0, 0.0, 35.6953125, 21.3984375, 7.099609375, 0.0, 57.09375, 21.3984375, 23.0, 7.0, 25.0, 11.0, 5.0, "Tous les candidats sauf les Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 31.0, "2062", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2062&g_ta_cod=2062", 33.0, 13.0, 53.0),
(8068, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence", "Avignon Université - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 220, 2098, 585, 2098, 0, 1256, 233, 298, 89, 91, 45, 453, 0, 0, 0, 0, 0, 2098, 0, 0, 0, 1256, 233, 298, 89, 91, 45, 453, 835, 217, 57, 217, 0, 30.0, 195.0, 195.0, 0, 50, 147, 116, 16, 15, 70, 1, 62, 60, 19, 4, 1.0, 66, 8, 10, 0, 0, 112, 112, 13.82, 89.86, 89.86, 26.296875, 76.1875, 76.1875, 0, 34.0, 67.6875, 0.699951171875, 42.1953125, 40.796875, 12.8984375, 2.7, 0.7, 78.890625, 44.8984375, 10.8984375, 5.3994140625, 10.19921875, 6.7998046875, 479.0, 115.0, 45.0, 25.0, 262.0, "Tous les candidats", 1084.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "13707", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31752&g_ta_cod=13707", 75.0, 15.0, 10.0),
(8069, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Métiers des langues - Allemand", "Licence - Arts-lettres-langues", "Métiers des langues - Allemand", 15, 49, 38, 37, 0, 25, 5, 0, 0, 1, 0, 11, 12, 0, 0, 3, 9, 37, 10, 0, 0, 25, 5, 0, 0, 1, 0, 11, 41, 5, 5, 3, 2, 1.0, 3.0, 3.0, 0, 1, 3, 2, 0, 1, 2, 0, 0, 2, 1, 0, 0.0, 2, 0, 1, 0, 0, 0, 0, 20.0, 60.0, 60.0, 100.0, 0.0, 0.0, 0, 33.296875, 60.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 66.6875, 66.6875, 0.0, 0.0, 33.296875, 33.296875, 22.0, 5.0, 4.0, 2.0, 15.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "3249", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Métiers des langues - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28570&g_ta_cod=3249", 80.0, 0.0, 20.0),
(8070, "Public", "9741233X", "LPO Nelson Mandela", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Benoît", "formation sélective", "BTS", "LPO Nelson Mandela - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 30, 246, 28, 245, 0, 23, 12, 92, 50, 51, 36, 79, 1, 0, 1, 0, 0, 166, 0, 0, 0, 20, 11, 77, 43, 39, 27, 30, 88, 27, 2, 27, 0, 4.0, 27.0, 27.0, 0, 16, 25, 5, 11, 9, 2, 0, 4, 15, 5, 1, 0.0, 3, 10, 8, 1, 0, 24, 24, 14.81, 100.0, 100.0, 7.3994140625, 96.0, 96.0, 4, 64.0, 92.59375, 0.0, 16.0, 60.0, 20.0, 4.0, 0.0, 20.0, 12.0, 44.0, 40.0, 36.0, 32.0, 14.0, 9.0, 19.0, 13.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 47.0, "12708", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12708&g_ta_cod=12708", 22.0, 44.0, 33.0),
(8071, "Privé sous contrat d'association", "0690519P", "Lycée Notre Dame Des Minimes", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 5, 227, 90, 222, 0, 0, 0, 0, 0, 0, 0, 222, 5, 0, 0, 0, 5, 195, 2, 0, 0, 0, 0, 0, 0, 0, 0, 195, 182, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 182.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "31129", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=31129", 0, 0, 0),
(8072, "Public", "0831243A", "Lycée Bonaparte", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Bonaparte - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 535, 484, 535, 0, 63, 25, 160, 63, 161, 71, 151, 0, 0, 0, 0, 0, 441, 0, 0, 0, 58, 21, 160, 63, 109, 43, 114, 93, 23, 23, 23, 0, 2.0, 15.0, 21.0, 0, 8, 22, 5, 8, 9, 1, 0, 8, 10, 4, 0, 0.0, 2, 5, 7, 2, 2, 21, 21, 8.7, 65.22, 91.3, 100.0, 95.5, 95.5, 9.099609375, 36.3984375, 95.6875, 0.0, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 22.69921875, 9.099609375, 36.3984375, 22.69921875, 40.8984375, 31.796875, 22.0, 7.0, 36.0, 15.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 22.0, "10385", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10385&g_ta_cod=10385", 26.0, 35.0, 39.0),
(8073, "Public", "0921500F", "Lycée professionnel Voilin", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Puteaux", "formation sélective", "Autre formation", "Lycée professionnel Voilin - Mention complémentaire - FCIL E-Commerce", "Mention complémentaire", "", 15, 86, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 86, 2, 14, 30, 40, 0, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 28, 16, 5, 0, 14, 0.0, 0.0, 4.0, 0, 5, 14, 1, 4, 9, 2, 0, 10, 4, 0, 0, 0.0, 0, 0, 4, 0, 0, 7, 14, 0.0, 0.0, 25.0, 31.296875, 50.0, 100.0, 0, 35.6953125, 87.5, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 7.099609375, 0.0, 28.59765625, 0.0, 64.296875, 28.59765625, 1.0, 0.0, 13.0, 6.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34950", "Mention complémentaire - FCIL E-Commerce", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34950&g_ta_cod=34950", 6.0, 25.0, 69.0),
(8074, "Privé enseignement supérieur", "0942144V", "IPSA Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Ivry-sur-Seine", "formation sélective", "Ecole d'Ingénieur", "Concours Advance - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale - Cycle anglophone", 40, 1530, 332, 1530, 0, 1525, 142, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1152, 0, 0, 0, 1150, 85, 0, 0, 0, 0, 2, 520, 40, 8, 40, 0, 12.0, 30.0, 40.0, 0, 2, 40, 40, 0, 0, 0, 0, 3, 7, 23, 5, 2.0, 37, 0, 0, 0, 0, 3, 18, 30.0, 75.0, 100.0, 20.0, 7.5, 45.0, 0, 5.0, 100.0, 0.0, 7.5, 17.5, 57.5, 12.5, 5.0, 100.0, 92.5, 0.0, 0.0, 0.0, 0.0, 519.0, 28.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "25842", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Advance", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=124&g_ta_cod=25842", 100.0, 0.0, 0.0),
(8075, "Public", "0340042L", "Lycée Jean Mermoz", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Jean Mermoz - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 30, 1451, 1055, 1451, 0, 286, 72, 542, 159, 87, 41, 536, 0, 0, 0, 0, 0, 625, 0, 0, 0, 158, 36, 304, 78, 25, 8, 138, 156, 28, 25, 28, 0, 1.0, 19.0, 25.0, 0, 14, 24, 2, 19, 3, 4, 0, 2, 14, 8, 0, 0.0, 2, 18, 2, 5, 5, 16, 16, 3.57, 67.86, 89.29, 89.296875, 66.6875, 66.6875, 20.796875, 58.296875, 85.6875, 0.0, 8.298828125, 58.296875, 33.296875, 0.0, 0.0, 8.298828125, 8.298828125, 79.1875, 75.0, 12.5, 8.298828125, 24.0, 5.0, 8.0, 3.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 192, "Liste d'appel propre à cette formation", 20.0, "4500", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4500&g_ta_cod=4500", 11.0, 79.0, 11.0),
(8076, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Gestion - Parcours Management international", "Licence - Droit-économie-gestion", "Management international", 30, 1033, 590, 1033, 0, 763, 115, 66, 17, 12, 6, 192, 0, 0, 0, 0, 0, 1023, 0, 0, 0, 763, 115, 66, 17, 12, 6, 182, 95, 30, 26, 30, 0, 5.0, 28.0, 29.0, 0, 5, 28, 28, 0, 0, 2, 0, 1, 8, 14, 4, 1.0, 27, 0, 0, 0, 0, 25, 25, 16.67, 93.33, 96.67, 86.6875, 89.296875, 89.296875, 0, 17.8984375, 93.296875, 0.0, 3.599609375, 28.59765625, 50.0, 14.3, 3.6, 100.0, 96.390625, 0.0, 0.0, 0.0, 0.0, 88.0, 13.0, 0.0, 0.0, 7.0, "Tous les candidats", 138.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "23710", "Licence - Gestion - Parcours Management international", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23710&g_ta_cod=23710", 100.0, 0.0, 0.0),
(8077, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "PASS", "Université de Montpellier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 56, 1603, 862, 1590, 0, 1123, 224, 28, 9, 6, 3, 433, 13, 7, 0, 0, 6, 1590, 10, 0, 0, 1123, 224, 28, 9, 6, 3, 433, 692, 53, 21, 45, 7, 0.0, 10.0, 34.0, 0, 8, 31, 28, 3, 0, 22, 0, 12, 11, 8, 0, 0.0, 18, 1, 0, 0, 0, 15, 15, 0.0, 18.87, 64.15, 39.59375, 48.3984375, 48.3984375, 0, 25.796875, 58.5, 0.0, 38.6953125, 35.5, 25.796875, 0.0, 0.0, 90.296875, 58.09375, 9.69921875, 3.19970703125, 0.0, 0.0, 447.0, 101.0, 2.0, 1.0, 237.0, "Tous les candidats", 8154.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 79.0, "31863", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27370&g_ta_cod=31863", 89.0, 11.0, 0.0),
(8078, "Public", "0711372F", "I.U.T du Creusot", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Le Creusot", "formation sélective", "BUT", "I.U.T du Creusot - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client - Stratégie de marque et événementiel", 135, 1017, 463, 878, 0, 459, 62, 254, 53, 30, 12, 135, 139, 28, 52, 5, 54, 696, 36, 0, 0, 402, 53, 187, 31, 17, 5, 90, 539, 130, 56, 113, 17, 20.0, 93.0, 115.0, 0, 19, 109, 72, 33, 4, 21, 0, 46, 55, 7, 1, 0.0, 40, 19, 4, 0, 0, 76, 76, 15.38, 71.54, 88.46, 43.09375, 69.6875, 69.6875, 0, 17.3984375, 83.796875, 0.0, 42.1953125, 50.5, 6.3994140625, 0.9, 0.0, 66.09375, 36.6953125, 30.296875, 17.3984375, 3.69970703125, 3.69970703125, 277.0, 35.0, 15.0, 6.0, 72.0, "Tous les candidats sauf les Bac technologiques", 486.0, "Bacheliers technologiques toutes séries", 207, "", 0, "Liste d'appel propre à cette formation", 79.0, "8665", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8665&g_ta_cod=8665", 66.0, 30.0, 4.0),
(8079, "Privé sous contrat d'association", "0690564N", "Institution des Chartreux", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "CPGE", "Institution des Chartreux - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 36, 1006, 669, 979, 737, 899, 50, 0, 0, 0, 0, 80, 27, 10, 0, 0, 17, 475, 4, 384, 455, 462, 22, 0, 0, 0, 0, 13, 287, 29, 21, 27, 2, 2.0, 17.0, 29.0, 15, 0, 28, 28, 0, 0, 1, 0, 0, 0, 7, 20, 1.0, 28, 0, 0, 1, 0, 6, 6, 6.9, 58.62, 100.0, 72.390625, 21.3984375, 21.3984375, 3.599609375, 0.0, 96.59375, 0.0, 0.0, 0.0, 25.0, 71.4, 3.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 276.0, 9.0, 0.0, 0.0, 11.0, "Tous les candidats", 459.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "8308", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8308&g_ta_cod=8308", 100.0, 0.0, 0.0),
(8080, "Privé sous contrat d'association", "0490077T", "ARIFTS PAYS DE LA LOIRE - ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "EFTS", "ARIFTS PAYS DE LA LOIRE - REZE - D.E Educateur Spécialisé", "D.E secteur social", "", 59, 692, 575, 692, 0, 111, 18, 116, 17, 47, 13, 418, 0, 0, 0, 0, 0, 585, 0, 0, 0, 85, 15, 96, 12, 37, 10, 367, 145, 58, 49, 58, 0, 13.0, 43.0, 47.0, 0, 4, 17, 9, 6, 2, 41, 0, 2, 10, 2, 3, 0.0, 9, 4, 2, 0, 0, 13, 13, 22.41, 74.14, 81.03, 84.5, 76.5, 76.5, 0, 23.5, 29.296875, 0.0, 11.798828125, 58.796875, 11.798828125, 17.6, 0.0, 52.8984375, 52.8984375, 35.296875, 23.5, 11.798828125, 11.798828125, 16.0, 3.0, 2.0, 1.0, 115.0, "Tous les candidats", 174.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "29075", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24886&g_ta_cod=29075", 55.0, 28.0, 17.0),
(8081, "Public", "0920143F", "Lycée de La Folie Saint-James", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Neuilly-sur-Seine", "formation sélective", "CPGE", "Lycée de La Folie Saint-James - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 38, 662, 350, 631, 0, 581, 87, 0, 0, 0, 0, 50, 31, 21, 0, 0, 10, 426, 19, 0, 426, 415, 64, 0, 0, 0, 0, 11, 320, 28, 12, 24, 4, 5.0, 17.0, 26.0, 0, 3, 27, 27, 0, 0, 1, 0, 1, 15, 10, 1, 0.0, 26, 0, 0, 1, 1, 16, 25, 17.86, 60.71, 92.86, 42.8984375, 59.296875, 92.59375, 3.69970703125, 11.099609375, 96.390625, 0.0, 3.69970703125, 55.59375, 37.0, 3.7, 0.0, 100.0, 96.296875, 0.0, 0.0, 0.0, 0.0, 308.0, 41.0, 0.0, 0.0, 12.0, "Tous les candidats", 426.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "31402", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31402&g_ta_cod=31402", 100.0, 0.0, 0.0),
(8082, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence", "Avignon Université - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 200, 1011, 426, 830, 0, 461, 125, 112, 42, 63, 33, 194, 181, 33, 17, 22, 109, 826, 176, 0, 0, 461, 125, 112, 42, 63, 33, 190, 836, 166, 53, 114, 52, 34.0, 113.0, 138.0, 0, 33, 97, 48, 20, 29, 69, 2, 48, 34, 10, 3, 0.0, 30, 4, 13, 0, 0, 74, 74, 20.48, 68.07, 83.13, 31.8984375, 76.296875, 76.296875, 0, 34.0, 58.3984375, 2.099609375, 49.5, 35.09375, 10.298828125, 3.1, 0.0, 49.5, 30.8984375, 20.59765625, 4.099609375, 29.8984375, 13.3984375, 365.0, 101.0, 81.0, 41.0, 269.0, "Tous les candidats", 826.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10455", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10455&g_ta_cod=10455", 49.0, 23.0, 28.0),
(8083, "Privé enseignement supérieur", "0590345E", "ICAM Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "GROUPE ICAM - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "", 96, 1534, 280, 1534, 0, 1358, 39, 27, 3, 0, 0, 149, 0, 0, 0, 0, 0, 904, 0, 0, 0, 852, 20, 0, 0, 0, 0, 52, 494, 96, 28, 96, 0, 95.0, 96.0, 96.0, 0, 0, 95, 95, 0, 0, 1, 0, 1, 19, 53, 22, 0.0, 94, 0, 0, 0, 0, 56, 56, 98.96, 100.0, 100.0, 29.19921875, 58.8984375, 58.8984375, 0, 0.0, 99.0, 0.0, 1.099853515625, 20.0, 55.796875, 23.2, 0.0, 100.0, 98.890625, 0.0, 0.0, 0.0, 0.0, 473.0, 15.0, 0.0, 0.0, 21.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "24653", "Formation d'ingénieur Bac + 5", "GROUPE ICAM", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24652&g_ta_cod=24653", 100.0, 0.0, 0.0),
(8084, "Public", "9740831K", "IFSI CHU Réunion St Pierre", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "IFSI", "Regroupement d'IFSI Université La Réunion - D.E Infirmier", "D.E secteur sanitaire", "", 85, 2601, 2057, 2601, 0, 603, 262, 401, 227, 208, 144, 1389, 0, 0, 0, 0, 0, 913, 0, 0, 0, 304, 108, 156, 83, 77, 53, 376, 276, 85, 72, 85, 0, 22.0, 64.0, 68.0, 0, 33, 55, 24, 26, 5, 30, 0, 0, 8, 29, 18, 0.0, 24, 26, 5, 0, 0, 52, 52, 25.88, 75.29, 80.0, 84.6875, 94.5, 94.5, 0, 60.0, 64.6875, 0.0, 0.0, 14.5, 52.6953125, 32.7, 0.0, 43.59375, 43.59375, 47.296875, 47.296875, 9.099609375, 9.099609375, 106.0, 36.0, 22.0, 16.0, 95.0, "Tous les candidats", 359.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "23128", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23013&g_ta_cod=23128", 51.0, 40.0, 7.0),
(8085, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 95, 1879, 1641, 1879, 0, 1068, 193, 232, 53, 28, 8, 551, 0, 0, 0, 0, 0, 1879, 0, 0, 0, 1068, 193, 232, 53, 28, 8, 551, 493, 93, 80, 93, 0, 37.0, 77.0, 85.0, 0, 16, 75, 59, 15, 1, 18, 0, 9, 39, 19, 8, 0.0, 56, 9, 1, 0, 0, 65, 65, 39.78, 82.8, 91.4, 86.0, 86.6875, 86.6875, 0, 21.296875, 80.59375, 0.0, 12.0, 52.0, 25.296875, 10.7, 0.0, 78.6875, 74.6875, 20.0, 12.0, 1.2998046875, 1.2998046875, 280.0, 45.0, 12.0, 5.0, 124.0, "Tous les candidats", 648.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "19170", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19170&g_ta_cod=19170", 74.0, 20.0, 4.0),
(8086, "Public", "0050607H", "Aix Marseille Université- Site de Gap", "05", "Hautes-Alpes", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Gap", "formation non sélective", "Licence", "Aix Marseille Université- Site de Gap - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS", "Licence - Sciences - technologies - santé", "STAPS", 85, 1266, 354, 1266, 0, 769, 131, 173, 43, 75, 30, 249, 0, 0, 0, 0, 0, 1266, 0, 0, 0, 769, 131, 173, 43, 75, 30, 249, 431, 84, 22, 84, 0, 30.0, 64.0, 72.0, 0, 12, 73, 61, 9, 3, 11, 0, 32, 28, 13, 0, 0.0, 36, 4, 1, 0, 0, 63, 63, 35.71, 76.19, 85.71, 26.19921875, 86.296875, 86.296875, 0, 16.3984375, 86.890625, 0.0, 43.796875, 38.3984375, 17.796875, 0.0, 0.0, 83.59375, 49.296875, 12.298828125, 5.5, 4.099609375, 1.39990234375, 292.0, 49.0, 15.0, 7.0, 90.0, "Tous les candidats", 498.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "2178", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27977&g_ta_cod=2178", 85.0, 12.0, 4.0),
(8087, "Public", "0141112H", "Lycée agricole Le Robillard", "14", "Calvados", "Normandie", "Normandie", "Saint-Pierre-en-Auge", "formation sélective", "BTS", "Lycée agricole Le Robillard - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 25, 199, 64, 187, 0, 15, 1, 44, 7, 18, 7, 110, 12, 2, 3, 0, 7, 86, 4, 0, 0, 15, 1, 42, 7, 17, 6, 12, 79, 12, 4, 9, 2, 3.0, 9.0, 12.0, 0, 2, 8, 1, 4, 3, 4, 0, 5, 2, 1, 0, 0.0, 0, 2, 1, 0, 0, 8, 8, 25.0, 75.0, 100.0, 33.296875, 100.0, 100.0, 0, 25.0, 66.6875, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 12.5, 0.0, 50.0, 25.0, 37.5, 12.5, 15.0, 1.0, 15.0, 4.0, 14.0, "Tous les candidats sauf les Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 46.0, "2836", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2836&g_ta_cod=2836", 25.0, 50.0, 25.0),
(8088, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Science politique", "Licence - Droit-économie-gestion", "", 65, 7122, 4578, 7122, 0, 5758, 775, 51, 17, 38, 13, 1275, 0, 0, 0, 0, 0, 7120, 0, 0, 0, 5758, 775, 51, 17, 38, 13, 1273, 258, 79, 61, 79, 0, 13.0, 70.0, 73.0, 0, 27, 72, 72, 0, 0, 7, 0, 0, 1, 21, 45, 5.0, 72, 0, 0, 0, 0, 9, 38, 16.46, 88.61, 92.41, 77.1875, 12.5, 52.796875, 0, 37.5, 91.09375, 0.0, 0.0, 1.39990234375, 29.19921875, 62.5, 6.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 240.0, 88.0, 0.0, 0.0, 18.0, "Tous les candidats", 311.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "15253", "Licence - Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15253&g_ta_cod=15253", 100.0, 0.0, 0.0),
(8089, "Privé enseignement supérieur", "0171427J", "EXCELIA", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 70, 1082, 441, 1062, 0, 878, 29, 82, 4, 6, 2, 96, 20, 9, 0, 1, 10, 1018, 20, 0, 0, 860, 27, 71, 3, 3, 1, 84, 1038, 43, 15, 37, 6, 36.0, 37.0, 40.0, 0, 2, 37, 29, 6, 2, 6, 0, 11, 14, 7, 5, 0.0, 22, 3, 1, 0, 0, 7, 7, 83.72, 86.05, 93.02, 34.8984375, 18.8984375, 18.8984375, 0, 5.3994140625, 86.0, 0.0, 29.69921875, 37.796875, 18.8984375, 13.5, 0.0, 78.390625, 59.5, 16.19921875, 8.099609375, 5.3994140625, 2.69970703125, 869.0, 27.0, 4.0, 2.0, 94.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "26118", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26118", 77.0, 19.0, 5.0),
(8090, "Public", "0940580V", "Lycée polyvalent de Cachan", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "CPGE", "Lycée polyvalent de Cachan - CPGE - TSI", "Classe préparatoire scientifique", "", 42, 527, 51, 499, 225, 0, 0, 463, 123, 0, 0, 36, 28, 0, 15, 0, 13, 260, 12, 121, 245, 0, 0, 258, 60, 0, 0, 2, 166, 29, 3, 25, 4, 7.0, 25.0, 28.0, 11, 13, 26, 0, 26, 0, 3, 0, 2, 7, 11, 6, 0.0, 0, 24, 0, 3, 0, 6, 24, 24.14, 86.21, 96.55, 10.298828125, 23.09765625, 92.296875, 11.5, 50.0, 89.6875, 0.0, 7.69921875, 26.8984375, 42.296875, 23.1, 0.0, 0.0, 0.0, 100.0, 92.296875, 0.0, 0.0, 2.0, 1.0, 0.0, 0.0, 7.0, "Tous les candidats", 258.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "11364", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11364&g_ta_cod=11364", 0.0, 100.0, 0.0),
(8091, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Histoire / Allemand", "Licence - Sciences humaines et sociales", "", 10, 54, 23, 32, 0, 22, 3, 2, 0, 1, 0, 7, 22, 6, 0, 1, 15, 32, 21, 0, 0, 22, 3, 2, 0, 1, 0, 7, 48, 10, 3, 4, 6, 1.0, 4.0, 8.0, 0, 2, 5, 5, 0, 0, 5, 0, 3, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 2, 5, 10.0, 40.0, 80.0, 30.0, 40.0, 100.0, 0, 40.0, 50.0, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 100.0, 40.0, 0.0, 0.0, 0.0, 0.0, 25.0, 4.0, 2.0, 0.0, 19.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "23820", "Licence - Histoire / Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23820&g_ta_cod=23820", 90.0, 10.0, 0.0),
(8092, "Privé sous contrat d'association", "0932019P", "ESIEE Paris", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Noisy-le-Grand", "formation sélective", "Ecole d'Ingénieur", "ESIEE Paris - Formation Bac + 3 - Bachelor Economie, Sciences et Technologies multimédia", "Formations  des écoles d'ingénieurs", "Bachelor Economie, Sciences et Technologies multimédia", 60, 195, 48, 155, 0, 77, 12, 13, 1, 2, 1, 63, 40, 11, 3, 1, 25, 70, 3, 0, 0, 51, 7, 1, 0, 0, 0, 18, 73, 27, 4, 25, 2, 25.0, 25.0, 25.0, 0, 3, 17, 16, 1, 0, 10, 0, 2, 7, 7, 1, 0.0, 14, 1, 0, 0, 0, 12, 13, 92.59, 92.59, 92.59, 14.798828125, 70.59375, 76.5, 0, 17.59765625, 63.0, 0.0, 11.798828125, 41.1953125, 41.1953125, 5.9, 0.0, 94.09375, 82.390625, 5.8994140625, 5.8994140625, 0.0, 0.0, 51.0, 7.0, 0.0, 0.0, 21.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "33152", "Formation Bac + 3 - Bachelor Economie, Sciences et Technologies multimédia", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33152&g_ta_cod=33152", 93.0, 7.0, 0.0),
(8093, "Public", "0501219D", "Lycée Curie-Corot", "50", "Manche", "Normandie", "Normandie", "Saint-Lô", "formation sélective", "BTS", "Lycée Curie-Corot - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 14, 349, 49, 337, 0, 10, 0, 65, 6, 39, 8, 223, 12, 0, 2, 2, 8, 129, 2, 0, 0, 10, 0, 65, 6, 39, 8, 15, 77, 9, 0, 8, 1, 3.0, 8.0, 8.0, 0, 3, 7, 0, 3, 4, 2, 0, 2, 1, 4, 0, 0.0, 0, 2, 3, 7, 0, 7, 7, 33.33, 88.89, 88.89, 0.0, 100.0, 100.0, 100, 42.8984375, 77.796875, 0.0, 28.59765625, 14.298828125, 57.09375, 0.0, 0.0, 0.0, 0.0, 42.8984375, 28.59765625, 57.09375, 42.8984375, 7.0, 0.0, 28.0, 7.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 37.0, "6023", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6023&g_ta_cod=6023", 0.0, 44.0, 56.0),
(8094, "Public", "0542457C", "CNAM Grand Est - Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "CNAM Grand Est - Nancy - Formation Supérieure de Spécialisation - Accompagnement à l?aide alimentaire", "Diplôme d'Université", "Accompagnement à l?aide alimentaire", 15, 17, 12, 7, 0, 1, 0, 1, 1, 1, 1, 4, 10, 1, 1, 1, 7, 4, 4, 0, 0, 1, 0, 1, 1, 1, 1, 1, 9, 3, 2, 0, 3, 0.0, 0.0, 3.0, 0, 0, 1, 0, 0, 1, 2, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 100.0, 66.6875, 100.0, 100.0, 0, 0.0, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 1.0, 0.0, 2.0, 1.0, 4.0, "Tous les candidats", 4.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "33330", "Formation Supérieure de Spécialisation - Accompagnement à l?aide alimentaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33330&g_ta_cod=33330", 33.0, 33.0, 33.0),
(8095, "Public", "0511565Z", "Lycée Francois Arago", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Francois Arago - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 12, 145, 9, 145, 0, 10, 1, 19, 7, 74, 22, 42, 0, 0, 0, 0, 0, 127, 0, 0, 0, 9, 1, 18, 7, 69, 20, 31, 42, 12, 1, 12, 0, 3.0, 12.0, 12.0, 0, 1, 7, 0, 1, 6, 5, 0, 1, 3, 2, 1, 0.0, 0, 1, 5, 0, 0, 2, 2, 25.0, 100.0, 100.0, 8.298828125, 28.59765625, 28.59765625, 0, 14.298828125, 58.296875, 0.0, 14.298828125, 42.8984375, 28.59765625, 14.3, 0.0, 0.0, 0.0, 14.298828125, 14.298828125, 85.6875, 71.390625, 0.0, 0.0, 26.0, 7.0, 8.0, "Tous les candidats sauf les Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 37.0, "18887", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18887&g_ta_cod=18887", 17.0, 25.0, 58.0),
(8096, "Public", "0161095D", "Lycée Image et Son", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BTS", "Lycée Image et Son - BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "BTS - Services", "", 12, 1260, 341, 1260, 0, 540, 94, 166, 38, 133, 36, 421, 0, 0, 0, 0, 0, 167, 0, 0, 0, 89, 15, 31, 6, 38, 12, 9, 23, 12, 6, 12, 0, 7.0, 12.0, 12.0, 0, 3, 10, 7, 1, 2, 2, 0, 0, 1, 3, 6, 0.0, 7, 1, 2, 3, 1, 5, 5, 58.33, 100.0, 100.0, 50.0, 50.0, 50.0, 30, 30.0, 83.296875, 0.0, 0.0, 10.0, 30.0, 60.0, 0.0, 70.0, 70.0, 10.0, 10.0, 20.0, 20.0, 15.0, 3.0, 4.0, 1.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 2, "Liste d'appel propre à cette formation", 2.0, "3008", "BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3008&g_ta_cod=3008", 67.0, 17.0, 17.0),
(8097, "Public", "0290334F", "I.U.T de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BUT", "I.U.T de Brest - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle - Conception et production durable", "BUT - Production", "Innovation pour l?industrie - Simulation numérique et réalité virtuelle - Conception et production durable", 76, 1194, 101, 1194, 0, 717, 54, 319, 44, 3, 1, 155, 0, 0, 0, 0, 0, 802, 0, 0, 0, 529, 35, 195, 29, 1, 1, 77, 394, 75, 4, 75, 0, 4.0, 56.0, 74.0, 0, 10, 67, 39, 27, 1, 8, 0, 4, 38, 25, 0, 0.0, 35, 27, 1, 0, 0, 58, 58, 5.33, 74.67, 98.67, 5.2998046875, 86.59375, 86.59375, 0, 14.8984375, 89.296875, 0.0, 6.0, 56.6953125, 37.296875, 0.0, 0.0, 58.1953125, 52.1953125, 40.296875, 40.296875, 1.5, 1.5, 206.0, 17.0, 1.0, 1.0, 52.0, "Tous les candidats sauf les Bac technologiques", 540.0, "Bacheliers technologiques toutes séries", 209, "", 0, "Liste d'appel propre à cette formation", 63.0, "3836", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle - Conception et production durable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3836&g_ta_cod=3836", 61.0, 37.0, 1.0),
(8098, "Public", "0441993C", "Lycée général et technologique Carcouët", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée général et technologique Carcouët - BTS - Services - Commerce International", "BTS - Services", "", 33, 1500, 827, 1500, 0, 424, 100, 486, 174, 148, 62, 442, 0, 0, 0, 0, 0, 615, 0, 0, 0, 259, 48, 238, 79, 64, 27, 54, 153, 36, 25, 36, 0, 3.0, 22.0, 33.0, 0, 15, 30, 12, 14, 4, 6, 0, 7, 16, 6, 1, 0.0, 8, 11, 4, 4, 2, 20, 20, 8.33, 61.11, 91.67, 69.390625, 66.6875, 66.6875, 13.298828125, 50.0, 83.296875, 0.0, 23.296875, 53.296875, 20.0, 3.3, 0.0, 40.0, 26.69921875, 46.6953125, 36.6953125, 13.298828125, 13.298828125, 69.0, 20.0, 12.0, 3.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 140.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 138, "Liste d'appel propre à cette formation", 20.0, "5603", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5603&g_ta_cod=5603", 47.0, 42.0, 11.0),
(8099, "Public", "0130006L", "Lycée professionnel Gambetta", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée professionnel Gambetta - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 1127, 594, 1127, 0, 131, 38, 434, 153, 347, 158, 215, 0, 0, 0, 0, 0, 652, 0, 0, 0, 76, 17, 220, 78, 214, 85, 142, 163, 26, 13, 26, 0, 2.0, 15.0, 20.0, 0, 8, 24, 5, 9, 10, 2, 0, 2, 12, 9, 1, 0.0, 4, 8, 10, 7, 4, 23, 23, 7.69, 57.69, 76.92, 50.0, 95.796875, 95.796875, 29.19921875, 33.296875, 92.296875, 0.0, 8.298828125, 50.0, 37.5, 4.2, 0.0, 20.796875, 16.69921875, 37.5, 33.296875, 41.6953125, 41.6953125, 45.0, 10.0, 44.0, 16.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 66.0, "Bacheliers technologiques toutes séries", 117, "Bacheliers professionnels toutes séries", 73, "Liste d'appel propre à cette formation", 23.0, "33212", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33212&g_ta_cod=33212", 27.0, 35.0, 38.0),
(8100, "Public", "0941413A", "Lycée Leon Blum", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "CPGE", "Lycée Leon Blum - CPGE - Lettres", "Classe préparatoire littéraire", "", 45, 420, 287, 405, 0, 329, 60, 3, 0, 1, 0, 72, 15, 9, 0, 1, 5, 333, 4, 0, 333, 316, 56, 1, 0, 0, 0, 16, 282, 43, 32, 41, 2, 24.0, 38.0, 43.0, 0, 4, 40, 40, 0, 0, 3, 0, 4, 8, 17, 11, 0.0, 36, 0, 0, 4, 4, 26, 34, 55.81, 88.37, 100.0, 74.390625, 65.0, 85.0, 10, 10.0, 93.0, 0.0, 10.0, 20.0, 42.5, 27.5, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 267.0, 43.0, 0.0, 0.0, 14.0, "Tous les candidats", 331.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "11525", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11525&g_ta_cod=11525", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(8101, "Privé sous contrat d'association", "0134164F", "ESSCA School of Management - Aix-Marseille", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Ecole de Commerce", "ESSCA School of Management - Angers - Formation des écoles de commerce et de management Bac + 3 - Bachelor en Management International", "Formation des écoles de commerce et de management", "Bachelor en Management International", 50, 751, 314, 736, 0, 589, 20, 92, 3, 1, 0, 54, 15, 6, 1, 0, 8, 620, 7, 0, 0, 503, 12, 74, 3, 0, 0, 43, 437, 47, 23, 43, 4, 22.0, 43.0, 45.0, 0, 2, 39, 33, 6, 0, 8, 0, 13, 17, 8, 1, 0.0, 22, 4, 0, 0, 0, 27, 27, 46.81, 91.49, 95.74, 48.8984375, 69.1875, 69.1875, 0, 5.099609375, 83.0, 0.0, 33.296875, 43.59375, 20.5, 2.6, 0.0, 84.59375, 56.3984375, 15.3984375, 10.298828125, 0.0, 0.0, 351.0, 9.0, 0.0, 0.0, 37.0, "Tous les candidats", 1468.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 84.0, "26149", "Formation des écoles de commerce et de management Bac + 3 - Bachelor en Management International", "ESSCA School of Management - Angers", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26144&g_ta_cod=26149", 83.0, 17.0, 0.0),
(8102, "Public", "0941972H", "Lycée Fernand Leger", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Ivry-sur-Seine", "formation sélective", "BTS", "Lycée Fernand Leger - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 20, 500, 11, 500, 0, 38, 11, 88, 33, 260, 112, 114, 0, 0, 0, 0, 0, 247, 0, 0, 0, 33, 9, 37, 13, 141, 59, 36, 109, 17, 0, 17, 0, 3.0, 13.0, 15.0, 0, 6, 15, 1, 3, 11, 2, 0, 3, 6, 5, 1, 0.0, 0, 1, 11, 2, 0, 9, 15, 17.65, 76.47, 88.24, 0.0, 60.0, 100.0, 13.298828125, 40.0, 88.1875, 0.0, 20.0, 40.0, 33.296875, 6.7, 0.0, 6.69921875, 0.0, 20.0, 6.69921875, 73.296875, 73.296875, 11.0, 4.0, 64.0, 26.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 27.0, "11542", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11542&g_ta_cod=11542", 6.0, 24.0, 71.0),
(8103, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 135, 574, 246, 439, 0, 264, 41, 34, 7, 8, 3, 133, 135, 19, 11, 12, 93, 426, 81, 0, 0, 264, 41, 34, 7, 8, 3, 120, 507, 96, 35, 75, 21, 73.0, 74.0, 87.0, 0, 9, 58, 44, 10, 4, 38, 4, 21, 23, 10, 0, 0.0, 28, 3, 2, 0, 0, 47, 47, 76.04, 77.08, 90.63, 36.5, 81.0, 81.0, 0, 15.5, 60.3984375, 6.8994140625, 36.1953125, 39.6953125, 17.19921875, 0.0, 0.0, 75.890625, 48.296875, 17.19921875, 5.19921875, 6.8994140625, 3.39990234375, 282.0, 44.0, 17.0, 8.0, 166.0, "Tous les candidats", 426.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "8068", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8068&g_ta_cod=8068", 72.0, 19.0, 8.0),
(8104, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Langues étrangères appliquées - Parcours Anglais / Allemand", "Licence - Arts-lettres-langues", "Anglais / Allemand", 25, 122, 77, 95, 0, 64, 20, 7, 2, 2, 2, 22, 27, 5, 4, 2, 16, 95, 22, 0, 0, 64, 20, 7, 2, 2, 2, 22, 117, 14, 5, 10, 4, 8.0, 9.0, 12.0, 0, 4, 8, 5, 3, 0, 6, 0, 6, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 7, 7, 57.14, 64.29, 85.71, 35.6953125, 87.5, 87.5, 0, 50.0, 57.09375, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 62.5, 12.5, 37.5, 12.5, 0.0, 0.0, 69.0, 22.0, 3.0, 3.0, 34.0, "Tous les candidats", 95.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10714", "Licence - Langues étrangères appliquées - Parcours Anglais / Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10714&g_ta_cod=10714", 64.0, 36.0, 0.0),
(8105, "Public", "0570057C", "Lycée Robert Schuman", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée Robert Schuman - BTS - Services - Commerce International", "BTS - Services", "", 35, 1824, 958, 1824, 0, 415, 120, 430, 194, 176, 81, 803, 0, 0, 0, 0, 0, 784, 0, 0, 0, 325, 85, 254, 113, 53, 23, 152, 210, 35, 24, 35, 0, 3.0, 23.0, 32.0, 0, 12, 30, 12, 15, 3, 5, 0, 7, 16, 5, 2, 0.0, 9, 11, 3, 3, 3, 30, 30, 8.57, 65.71, 91.43, 68.59375, 100.0, 100.0, 10, 40.0, 85.6875, 0.0, 23.296875, 53.296875, 16.69921875, 6.7, 0.0, 40.0, 30.0, 50.0, 36.6953125, 10.0, 10.0, 95.0, 27.0, 8.0, 3.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 241.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 187, "Liste d'appel propre à cette formation", 24.0, "6530", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6530&g_ta_cod=6530", 46.0, 46.0, 9.0),
(8106, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence_Las", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Portail Géographie et aménagement - Parcours Géographie", "Licence - Sciences humaines et sociales", "Parcours Géographie", 25, 215, 107, 215, 0, 115, 34, 13, 6, 4, 0, 83, 0, 0, 0, 0, 0, 209, 0, 0, 0, 115, 34, 13, 6, 4, 0, 77, 85, 23, 13, 23, 0, 7.0, 18.0, 19.0, 0, 5, 11, 6, 5, 0, 12, 0, 7, 4, 0, 0, 0.0, 2, 2, 0, 0, 0, 7, 11, 30.43, 78.26, 82.61, 56.5, 63.59375, 100.0, 0, 45.5, 47.796875, 0.0, 63.59375, 36.3984375, 0.0, 0.0, 0.0, 54.5, 18.19921875, 45.5, 18.19921875, 0.0, 0.0, 43.0, 14.0, 1.0, 0.0, 35.0, "Tous les candidats", 228.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 41.0, "28279", "Licence - Portail Géographie et aménagement - Parcours Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27077&g_ta_cod=28279", 61.0, 35.0, 4.0),
(8107, "Privé sous contrat d'association", "0801888T", "Lycée Saint Martin", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Autre formation", "Lycée Saint Martin - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 28, 138, 76, 118, 0, 32, 2, 14, 4, 7, 5, 65, 20, 5, 2, 1, 12, 66, 13, 0, 0, 32, 2, 14, 4, 1, 1, 19, 76, 11, 7, 9, 2, 3.0, 9.0, 10.0, 0, 1, 6, 4, 2, 0, 5, 1, 2, 2, 0, 1, 0.0, 3, 0, 0, 0, 0, 3, 3, 27.27, 81.82, 90.91, 63.59375, 50.0, 50.0, 0, 16.69921875, 54.5, 16.69921875, 33.296875, 33.296875, 0.0, 16.7, 0.0, 66.6875, 50.0, 33.296875, 0.0, 0.0, 0.0, 33.0, 2.0, 1.0, 1.0, 27.0, "Tous les candidats", 66.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "10252", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10252&g_ta_cod=10252", 73.0, 27.0, 0.0),
(8108, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Portail Biologie-Géologie", "Licence - Sciences - technologies - santé", "Biologie-Géologie", 145, 1125, 662, 1036, 0, 685, 129, 36, 10, 4, 2, 311, 89, 25, 3, 1, 60, 1034, 70, 0, 0, 685, 129, 36, 10, 4, 2, 309, 807, 134, 61, 117, 17, 30.0, 100.0, 120.0, 0, 17, 96, 87, 6, 3, 38, 0, 35, 33, 26, 2, 0.0, 56, 3, 2, 0, 0, 57, 57, 22.39, 74.63, 89.55, 45.5, 59.3984375, 59.3984375, 0, 17.69921875, 71.59375, 0.0, 36.5, 34.3984375, 27.09765625, 2.1, 0.0, 90.59375, 58.296875, 6.2998046875, 3.099609375, 3.099609375, 2.099609375, 509.0, 95.0, 4.0, 3.0, 280.0, "Tous les candidats", 1027.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "30984", "Licence - Portail Biologie-Géologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30984&g_ta_cod=30984", 90.0, 7.0, 2.0),
(8109, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence_Las", "Université Côte d'Azur - Licence - Portail Philosophie", "Licence - Sciences humaines et sociales", "", 45, 340, 233, 252, 0, 98, 23, 17, 8, 14, 10, 123, 88, 24, 7, 1, 56, 252, 84, 0, 0, 98, 23, 17, 8, 14, 10, 123, 276, 40, 26, 23, 17, 3.0, 13.0, 27.0, 0, 2, 17, 13, 3, 1, 23, 0, 9, 4, 4, 0, 0.0, 6, 1, 1, 0, 0, 8, 8, 7.5, 32.5, 67.5, 65.0, 47.09375, 47.09375, 0, 11.798828125, 42.5, 0.0, 52.8984375, 23.5, 23.5, 0.0, 0.0, 76.5, 35.296875, 17.59765625, 5.8994140625, 5.8994140625, 5.8994140625, 93.0, 20.0, 9.0, 5.0, 158.0, "Tous les candidats", 494.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27493", "Licence - Portail Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27492&g_ta_cod=27493", 75.0, 15.0, 8.0),
(8110, "Public", "0320067Z", "Lycée des Métiers - Le Garros", "32", "Gers", "Occitanie", "Toulouse", "Auch", "formation sélective", "BTS", "Lycée des Métiers - Le Garros - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 24, 251, 29, 229, 0, 34, 4, 68, 12, 65, 14, 62, 22, 0, 9, 5, 8, 145, 16, 0, 0, 26, 3, 43, 8, 49, 11, 27, 110, 18, 0, 13, 5, 1.0, 13.0, 17.0, 0, 2, 14, 1, 4, 9, 4, 0, 9, 3, 1, 1, 0.0, 1, 0, 4, 0, 0, 7, 7, 5.56, 72.22, 94.44, 0.0, 50.0, 50.0, 0, 14.298828125, 77.796875, 0.0, 64.296875, 21.3984375, 7.099609375, 7.1, 0.0, 7.099609375, 7.099609375, 28.59765625, 0.0, 64.296875, 28.59765625, 8.0, 1.0, 40.0, 11.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 56.0, "4256", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4256&g_ta_cod=4256", 11.0, 39.0, 50.0),
(8111, "Privé sous contrat d'association", "0711896A", "Lycée Saint-Charles", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "BTS", "Lycée Saint-Charles - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 421, 187, 402, 0, 41, 9, 134, 32, 125, 42, 102, 19, 2, 7, 0, 10, 231, 2, 0, 0, 22, 5, 87, 20, 116, 41, 6, 139, 18, 8, 17, 1, 5.0, 12.0, 14.0, 0, 7, 18, 1, 8, 9, 0, 0, 5, 11, 2, 0, 0.0, 0, 5, 8, 10, 5, 18, 18, 27.78, 66.67, 77.78, 44.3984375, 100.0, 100.0, 55.59375, 38.8984375, 100.0, 0.0, 27.796875, 61.09375, 11.099609375, 0.0, 0.0, 5.599609375, 0.0, 44.3984375, 27.796875, 50.0, 44.3984375, 17.0, 4.0, 50.0, 18.0, 3.0, "Tous les candidats sauf les Bac professionnels", 113.0, "Bacheliers professionnels toutes séries", 58, "", 0, "Liste d'appel propre à cette formation", 43.0, "8681", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8681&g_ta_cod=8681", 6.0, 44.0, 50.0),
(8112, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence_Las", "Université de Strasbourg - Licence - Sciences pour la santé - Sciences pour la santé - Sciences sociales -  option Santé", "Licence - Sciences - technologies - santé", "Sciences pour la santé - Sciences sociales", 75, 1107, 895, 1107, 0, 727, 157, 58, 19, 7, 2, 315, 0, 0, 0, 0, 0, 1088, 0, 0, 0, 727, 157, 58, 19, 7, 2, 296, 356, 75, 63, 75, 0, 5.0, 60.0, 67.0, 0, 12, 74, 73, 1, 0, 1, 0, 2, 26, 35, 10, 1.0, 71, 1, 0, 0, 0, 67, 67, 6.67, 80.0, 89.33, 84.0, 90.5, 90.5, 0, 16.19921875, 98.6875, 0.0, 2.69970703125, 35.09375, 47.296875, 13.5, 1.4, 98.59375, 95.890625, 1.39990234375, 1.39990234375, 0.0, 0.0, 339.0, 62.0, 0.0, 0.0, 16.0, "Tous les candidats", 427.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "29225", "Licence - Sciences pour la santé - Sciences pour la santé - Sciences sociales -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29225&g_ta_cod=29225", 99.0, 1.0, 0.0),
(8113, "Public", "0650029D", "Lycée professionnel Reffye", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée professionnel Reffye - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 16, 162, 159, 162, 0, 24, 9, 37, 9, 57, 25, 44, 0, 0, 0, 0, 0, 83, 0, 0, 0, 18, 6, 19, 4, 36, 10, 10, 39, 15, 14, 15, 0, 6.0, 12.0, 14.0, 0, 3, 12, 1, 1, 10, 3, 0, 2, 3, 7, 0, 0.0, 0, 0, 10, 4, 4, 7, 7, 40.0, 80.0, 93.33, 93.296875, 58.296875, 58.296875, 33.296875, 25.0, 80.0, 0.0, 16.69921875, 25.0, 58.296875, 0.0, 0.0, 8.298828125, 0.0, 8.298828125, 0.0, 83.296875, 83.296875, 2.0, 1.0, 28.0, 8.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers technologiques toutes séries", 2, "Bacheliers professionnels toutes séries", 33, "Liste d'appel propre à cette formation", 23.0, "33721", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33721&g_ta_cod=33721", 20.0, 7.0, 73.0),
(8114, "Public", "9741204R", "Université de la Réunion - Le Tampon", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Portail Droit", "Licence - Droit-économie-gestion", ": Université de la Réunion - Le Tampon", 360, 1256, 892, 1115, 0, 700, 265, 155, 94, 30, 20, 230, 141, 30, 13, 10, 88, 1115, 124, 0, 0, 700, 265, 155, 94, 30, 20, 230, 1096, 237, 166, 189, 48, 67.0, 182.0, 208.0, 0, 77, 168, 126, 33, 9, 69, 2, 59, 75, 29, 3, 0.0, 90, 12, 5, 0, 0, 158, 158, 28.27, 76.79, 87.76, 70.0, 94.0, 94.0, 0, 45.796875, 70.890625, 1.199951171875, 35.09375, 44.59375, 17.296875, 1.8, 0.0, 75.0, 53.59375, 19.59765625, 7.099609375, 5.3994140625, 3.0, 652.0, 243.0, 35.0, 24.0, 272.0, "Tous les candidats", 1783.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "26494", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26493&g_ta_cod=26494", 70.0, 21.0, 10.0),
(8115, "Public", "0133479L", "IUT Aix-Marseille - Site de Marseille Luminy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "bac STL", 2, 25, 16, 21, 0, 0, 0, 19, 10, 0, 0, 2, 4, 0, 1, 0, 3, 11, 0, 0, 0, 0, 0, 11, 4, 0, 0, 0, 4, 1, 1, 1, 0, 0.0, 1.0, 1.0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0.0, 0, 1, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 100.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 13.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 48.0, "463", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=220&g_ta_cod=463", 0.0, 100.0, 0.0),
(8116, "Public", "0711372F", "I.U.T du Creusot", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Le Creusot", "formation sélective", "BUT", "I.U.T du Creusot - BUT - Génie électrique et informatique industrielle Parcours : Automatisme & informatique industrielle - Electricité et maîtrise de l'énergie", "BUT - Production", "Automatisme & informatique industrielle - Electricité et maîtrise de l'énergie", 72, 477, 24, 420, 0, 245, 35, 91, 17, 13, 2, 71, 57, 17, 2, 0, 38, 350, 28, 0, 0, 237, 31, 73, 12, 5, 1, 35, 303, 31, 0, 27, 4, 2.0, 27.0, 30.0, 0, 2, 29, 21, 7, 1, 2, 0, 15, 12, 2, 0, 0.0, 6, 7, 1, 0, 0, 21, 21, 6.45, 87.1, 96.77, 0.0, 72.390625, 72.390625, 0, 6.8994140625, 93.5, 0.0, 51.6953125, 41.3984375, 6.8994140625, 0.0, 0.0, 72.390625, 20.69921875, 24.09765625, 24.09765625, 3.39990234375, 3.39990234375, 196.0, 25.0, 1.0, 0.0, 41.0, "Tous les candidats sauf les Bac technologiques", 273.0, "Bacheliers technologiques toutes séries", 76, "", 0, "Liste d'appel propre à cette formation", 83.0, "8662", "BUT - Génie électrique et informatique industrielle Parcours : Automatisme & informatique industrielle - Electricité et maîtrise de l'énergie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8662&g_ta_cod=8662", 71.0, 23.0, 6.0),
(8117, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Double licence - Mathématiques / Informatique - Double licence Mathématiques Informatique - Campus Grands Moulins", "Licence - Sciences - technologies - santé", "Double licence Mathématiques Informatique - Campus Grands Moulins", 57, 2380, 469, 2350, 0, 1822, 316, 47, 18, 1, 0, 480, 30, 9, 3, 0, 18, 1137, 3, 0, 0, 1018, 132, 0, 0, 0, 0, 119, 584, 57, 12, 54, 3, 14.0, 31.0, 44.0, 0, 7, 46, 46, 0, 0, 11, 0, 0, 9, 23, 13, 1.0, 46, 0, 0, 0, 0, 15, 39, 24.56, 54.39, 77.19, 21.09765625, 32.59375, 84.796875, 0, 15.19921875, 80.6875, 0.0, 0.0, 19.59765625, 50.0, 28.3, 2.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 518.0, 83.0, 0.0, 0.0, 66.0, "Tous les candidats", 789.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "15767", "Double licence - Mathématiques / Informatique - Double licence Mathématiques Informatique - Campus Grands Moulins", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15767&g_ta_cod=15767", 100.0, 0.0, 0.0),
(8118, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence_Las", "Université de Lorraine - Site de Nancy - Licence - Portail Licence 1ère année Portail Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "Licence 1ère année Portail Sciences pour l'ingénieur", 18, 384, 158, 354, 0, 169, 40, 12, 4, 6, 3, 167, 30, 10, 0, 0, 20, 350, 26, 0, 0, 169, 40, 12, 4, 6, 3, 163, 160, 16, 4, 11, 5, 0.0, 5.0, 9.0, 0, 4, 10, 10, 0, 0, 6, 0, 4, 6, 0, 0, 0.0, 6, 0, 0, 0, 0, 10, 10, 0.0, 31.25, 56.25, 25.0, 100.0, 100.0, 0, 40.0, 62.5, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 0.0, 0.0, 72.0, 19.0, 1.0, 0.0, 86.0, "Tous les candidats", 771.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 84.0, "26967", "Licence - Portail Licence 1ère année Portail Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26966&g_ta_cod=26967", 94.0, 6.0, 0.0),
(8119, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Russe et Gestion parcours Techniques quantitatives et management (TQM)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Russe et Gestion parcours Techniques quantitatives et management (TQM)", 5, 19, 11, 19, 0, 12, 4, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 19, 0, 0, 0, 12, 4, 0, 0, 0, 0, 7, 16, 6, 3, 6, 0, 2.0, 6.0, 6.0, 0, 1, 3, 3, 0, 0, 3, 0, 0, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 2, 2, 33.33, 100.0, 100.0, 50.0, 66.6875, 66.6875, 0, 33.296875, 50.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 11.0, 3.0, 0.0, 0.0, 5.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "8525", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Russe et Gestion parcours Techniques quantitatives et management (TQM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8525&g_ta_cod=8525", 83.0, 17.0, 0.0),
(8120, "Public", "0940120V", "Lycée Marcelin Berthelot", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "CPGE", "Lycée Marcelin Berthelot - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 2458, 650, 2458, 1457, 2267, 243, 2, 1, 0, 0, 189, 0, 0, 0, 0, 0, 1293, 0, 127, 1290, 1289, 141, 0, 0, 0, 0, 4, 361, 95, 19, 95, 0, 42.0, 74.0, 89.0, 6, 6, 95, 95, 0, 0, 0, 0, 0, 0, 22, 65, 8.0, 95, 0, 0, 15, 2, 85, 93, 44.21, 77.89, 93.68, 20.0, 89.5, 97.890625, 15.798828125, 6.2998046875, 100.0, 0.0, 0.0, 0.0, 23.19921875, 68.4, 8.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 358.0, 30.0, 0.0, 0.0, 3.0, "Tous les candidats", 499.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "11391", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11391&g_ta_cod=11391", 100.0, 0.0, 0.0),
(8121, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "Licence_Las", "Université des Antilles - Pôle Guadeloupe - Licence - Portail Economie et gestion - Métiers de l?environnement & aménagement du territoire/Métiers de l?expertise éco & managériale/Métiers de l?ingénierie éco & juridique - Guadeloupe", "Licence - Droit-économie-gestion", "Métiers de l?environnement & aménagement du territoire/Métiers de l?expertise éco & managériale/Métiers de l?ingénierie éco & juridique - Guadeloupe", 20, 179, 103, 177, 0, 107, 49, 18, 9, 13, 9, 39, 2, 0, 2, 0, 0, 177, 2, 0, 0, 107, 49, 18, 9, 13, 9, 39, 86, 20, 13, 18, 2, 3.0, 16.0, 19.0, 0, 9, 15, 10, 4, 1, 5, 0, 10, 4, 1, 0, 0.0, 4, 1, 0, 0, 0, 14, 14, 15.0, 80.0, 95.0, 65.0, 93.296875, 93.296875, 0, 60.0, 75.0, 0.0, 66.6875, 26.69921875, 6.69921875, 0.0, 0.0, 66.6875, 26.69921875, 26.69921875, 6.69921875, 6.69921875, 0.0, 49.0, 23.0, 2.0, 1.0, 21.0, "Tous les candidats", 607.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "27422", "Licence - Portail Economie et gestion - Métiers de l?environnement & aménagement du territoire/Métiers de l?expertise éco & managériale/Métiers de l?ingénierie éco & juridique - Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27421&g_ta_cod=27422", 75.0, 20.0, 5.0),
(8122, "Public", "0381513N", "Ecole des Pupilles de l'Air - lycée de la défense", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Meylan", "formation sélective", "Autre formation", "Ecole des Pupilles de l'Air - lycée de la défense - CPES - Scientifique", "Classe préparatoire aux études supérieures", "", 16, 194, 41, 194, 0, 178, 28, 1, 1, 0, 0, 15, 0, 0, 0, 0, 0, 194, 0, 0, 0, 178, 28, 1, 1, 0, 0, 15, 58, 16, 4, 16, 0, 3.0, 15.0, 16.0, 0, 6, 16, 16, 0, 0, 0, 0, 0, 10, 5, 1, 0.0, 16, 0, 0, 0, 0, 2, 2, 18.75, 93.75, 100.0, 25.0, 12.5, 12.5, 0, 37.5, 100.0, 0.0, 0.0, 62.5, 31.296875, 6.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 58.0, 19.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "4963", "CPES - Scientifique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4963&g_ta_cod=4963", 100.0, 0.0, 0.0),
(8123, "Public", "0290105G", "Lycée professionnel Tristan Corbiere", "29", "Finistère", "Bretagne", "Rennes", "Morlaix", "formation sélective", "Autre formation", "Lycée professionnel Tristan Corbiere - Mention complémentaire - Aéronautique option hélicoptère moteur à turbines", "Mention complémentaire", "", 12, 94, 5, 94, 0, 0, 0, 0, 0, 80, 14, 14, 0, 0, 0, 0, 0, 71, 0, 0, 0, 0, 0, 0, 0, 63, 10, 8, 45, 7, 0, 7, 0, 1.0, 5.0, 6.0, 0, 1, 6, 0, 0, 6, 1, 0, 3, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 6, 6, 14.29, 71.43, 85.71, 0.0, 100.0, 100.0, 0, 16.69921875, 85.6875, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 39.0, 6.0, 6.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "17971", "Mention complémentaire - Aéronautique option hélicoptère moteur à turbines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17971&g_ta_cod=17971", 0.0, 0.0, 100.0),
(8124, "Public", "0680015X", "Lycée Alfred Kastler", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Guebwiller", "formation sélective", "BTS", "Lycée Alfred Kastler - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 29, 563, 291, 563, 0, 59, 11, 200, 63, 183, 87, 121, 0, 0, 0, 0, 0, 546, 0, 0, 0, 59, 11, 196, 62, 183, 87, 108, 164, 23, 4, 23, 0, 1.0, 8.0, 12.0, 0, 9, 22, 4, 10, 8, 1, 0, 10, 10, 2, 0, 0.0, 2, 3, 7, 6, 0, 21, 21, 4.35, 34.78, 52.17, 17.3984375, 95.5, 95.5, 27.296875, 40.8984375, 95.6875, 0.0, 45.5, 45.5, 9.099609375, 0.0, 0.0, 18.19921875, 9.099609375, 45.5, 13.599609375, 36.3984375, 31.796875, 23.0, 8.0, 52.0, 22.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 112, "Liste d'appel propre à cette formation", 39.0, "8091", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8091&g_ta_cod=8091", 17.0, 43.0, 39.0),
(8125, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Langues étrangères appliquées - Parcours LEA (Langues Etrangères Appliquées) ( 2 langues : HORS anglais)", "Licence - Arts-lettres-langues", "LEA (Langues Etrangères Appliquées) ( 2 langues : HORS anglais)", 60, 505, 385, 119, 0, 52, 17, 8, 5, 6, 5, 53, 386, 80, 37, 17, 252, 54, 22, 0, 0, 31, 7, 5, 2, 0, 0, 18, 76, 26, 21, 17, 9, 17.0, 17.0, 22.0, 0, 3, 16, 14, 2, 0, 10, 0, 6, 8, 1, 1, 0.0, 8, 2, 0, 0, 0, 2, 14, 65.38, 65.38, 84.62, 80.796875, 12.5, 87.5, 0, 18.796875, 61.5, 0.0, 37.5, 50.0, 6.2998046875, 6.3, 0.0, 87.5, 50.0, 12.5, 12.5, 0.0, 0.0, 39.0, 9.0, 0.0, 0.0, 30.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "13980", "Licence - Langues étrangères appliquées - Parcours LEA (Langues Etrangères Appliquées) ( 2 langues : HORS anglais)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13980&g_ta_cod=13980", 88.0, 8.0, 4.0),
(8126, "Privé sous contrat d'association", "9710055H", "Lycée polyvalent privé Pensionnat De Versailles", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "BTS", "Lycée polyvalent privé Pensionnat De Versailles - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 18, 78, 38, 71, 0, 19, 7, 14, 4, 35, 25, 3, 7, 0, 0, 6, 1, 62, 5, 0, 0, 18, 7, 12, 3, 30, 20, 2, 49, 15, 7, 12, 2, 4.0, 12.0, 13.0, 0, 7, 14, 3, 2, 9, 1, 0, 9, 5, 0, 0, 0.0, 1, 1, 3, 9, 4, 13, 13, 26.67, 80.0, 86.67, 46.6953125, 92.890625, 92.890625, 64.296875, 50.0, 93.296875, 0.0, 64.296875, 35.6953125, 0.0, 0.0, 0.0, 21.3984375, 7.099609375, 14.298828125, 7.099609375, 64.296875, 21.3984375, 8.0, 4.0, 33.0, 24.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers technologiques toutes séries", 6, "Bacheliers professionnels toutes séries", 30, "Liste d'appel propre à cette formation", 73.0, "32630", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32630&g_ta_cod=32630", 20.0, 13.0, 67.0),
(8127, "Public", "0593052X", "I.U.T. de Valenciennes", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BUT", "I.U.T. de Valenciennes - BUT - Gestion des entreprises et des administrations Parcours : Gestion Comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entreprenariat et management d?activités", "BUT - Service", "Gestion Comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entreprenariat et management d?activités", 168, 1374, 637, 1364, 0, 576, 119, 460, 185, 39, 16, 289, 10, 0, 7, 0, 3, 1038, 1, 0, 0, 525, 106, 349, 139, 25, 13, 139, 703, 167, 85, 167, 0, 91.0, 145.0, 159.0, 0, 56, 147, 66, 77, 4, 20, 1, 46, 58, 35, 6, 1.0, 51, 46, 3, 0, 0, 126, 126, 54.49, 86.83, 95.21, 50.8984375, 85.6875, 85.6875, 0, 38.09375, 88.0, 0.699951171875, 31.296875, 39.5, 23.796875, 4.1, 0.7, 44.8984375, 34.6953125, 52.3984375, 31.296875, 2.69970703125, 2.0, 314.0, 82.0, 21.0, 12.0, 77.0, "Tous les candidats sauf les Bac technologiques", 496.0, "Bacheliers technologiques toutes séries", 366, "", 0, "Liste d'appel propre à cette formation", 63.0, "6962", "BUT - Gestion des entreprises et des administrations Parcours : Gestion Comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entreprenariat et management d?activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6962&g_ta_cod=6962", 49.0, 49.0, 2.0),
(8128, "Public", "0573281G", "Lycée De La Communication", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Autre formation", "Lycée De La Communication - DN MADE - Graphisme - - Spécialité : Design graphique et image", "DN MADE", "- Spécialité : Design graphique et image", 15, 779, 486, 779, 0, 271, 62, 155, 40, 102, 24, 251, 0, 0, 0, 0, 0, 257, 0, 0, 0, 109, 21, 85, 18, 17, 2, 46, 82, 14, 9, 14, 0, 2.0, 12.0, 13.0, 0, 3, 11, 8, 2, 1, 3, 0, 0, 2, 5, 4, 0.0, 8, 2, 1, 0, 0, 6, 6, 14.29, 85.71, 92.86, 64.296875, 54.5, 54.5, 0, 27.296875, 78.59375, 0.0, 0.0, 18.19921875, 45.5, 36.4, 0.0, 72.6875, 72.6875, 18.19921875, 18.19921875, 9.099609375, 9.099609375, 39.0, 7.0, 6.0, 0.0, 15.0, "Tous les candidats", 123.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "24054", "DN MADE - Graphisme - - Spécialité : Design graphique et image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24054&g_ta_cod=24054", 79.0, 14.0, 7.0),
(8129, "Public", "0333357V", "I.U.T de Bordeaux - Site Bordeaux - Gradignan", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Gradignan", "formation sélective", "BUT", "I.U.T de Bordeaux - Site Bordeaux - Gradignan - BUT - Génie civil - Construction durable Parcours : Travaux bâtiment - Travaux public - Réhabilitation et amélioralation des performances environnementes des bâtiments - Bureaux d?études conception", "BUT - Production", "Travaux bâtiment - Travaux public - Réhabilitation et amélioralation des performances environnementes des bâtiments - Bureaux d?études conception", 95, 1710, 349, 1710, 0, 950, 96, 517, 70, 13, 3, 230, 0, 0, 0, 0, 0, 1134, 0, 0, 0, 718, 64, 321, 39, 1, 0, 94, 424, 93, 17, 93, 0, 4.0, 68.0, 90.0, 0, 9, 92, 43, 48, 1, 1, 0, 3, 50, 39, 0, 0.0, 40, 48, 1, 0, 0, 56, 56, 4.3, 73.12, 96.77, 18.296875, 60.8984375, 60.8984375, 0, 9.798828125, 98.890625, 0.0, 3.2998046875, 54.296875, 42.3984375, 0.0, 0.0, 46.6953125, 43.5, 52.1953125, 52.1953125, 1.099853515625, 1.099853515625, 218.0, 26.0, 1.0, 0.0, 16.0, "Tous les candidats sauf les Bac technologiques", 341.0, "Bacheliers technologiques toutes séries", 299, "", 0, "Liste d'appel propre à cette formation", 37.0, "4341", "BUT - Génie civil - Construction durable Parcours : Travaux bâtiment - Travaux public - Réhabilitation et amélioralation des performances environnementes des bâtiments - Bureaux d?études conception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4341&g_ta_cod=4341", 46.0, 53.0, 1.0),
(8130, "Public", "0750681H", "ESAA Boulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "ESAA Boulle - DN MADE - Objet - Spécialité : Métiers d?art Art du bijou et du joyau : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "DN MADE", "Spécialité : Métiers d?art Art du bijou et du joyau : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", 6, 455, 353, 455, 0, 157, 20, 113, 19, 23, 3, 162, 0, 0, 0, 0, 0, 21, 0, 0, 0, 3, 1, 9, 0, 0, 0, 9, 12, 6, 4, 6, 0, 2.0, 5.0, 6.0, 0, 1, 3, 1, 2, 0, 3, 0, 0, 1, 1, 1, 0.0, 1, 2, 0, 0, 0, 0, 0, 33.33, 83.33, 100.0, 66.6875, 0.0, 0.0, 0, 33.296875, 50.0, 0.0, 0.0, 33.296875, 33.296875, 33.3, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 0.0, 0.0, 1.0, 1.0, 0.0, 0.0, 5.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "26897", "DN MADE - Objet - Spécialité : Métiers d?art Art du bijou et du joyau : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26897&g_ta_cod=26897", 33.0, 50.0, 0.0),
(8131, "Public", "0381817U", "Lycée agricole Grenoble St-Ismier", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Ismier", "formation sélective", "BTS", "Lycée agricole Grenoble St-Ismier - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 30, 547, 158, 518, 0, 50, 9, 81, 9, 70, 8, 317, 29, 6, 3, 4, 16, 150, 11, 0, 0, 35, 4, 53, 4, 49, 5, 13, 127, 16, 3, 12, 4, 2.0, 12.0, 15.0, 0, 1, 12, 5, 1, 6, 4, 0, 7, 4, 1, 0, 0.0, 2, 0, 3, 2, 0, 7, 7, 12.5, 75.0, 93.75, 18.796875, 58.296875, 58.296875, 16.69921875, 8.298828125, 75.0, 0.0, 58.296875, 33.296875, 8.298828125, 0.0, 0.0, 41.6953125, 16.69921875, 8.298828125, 0.0, 50.0, 25.0, 31.0, 4.0, 41.0, 6.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 29.0, "5007", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5007&g_ta_cod=5007", 31.0, 31.0, 38.0),
(8132, "Public", "0251994G", "Lycée polyvalent Germaine Tillion", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "BTS", "Lycée polyvalent Germaine Tillion - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 32, 520, 286, 520, 0, 43, 15, 198, 89, 129, 63, 150, 0, 0, 0, 0, 0, 332, 0, 0, 0, 43, 15, 176, 77, 53, 29, 60, 137, 32, 22, 32, 0, 4.0, 22.0, 23.0, 0, 13, 26, 4, 10, 12, 6, 0, 10, 14, 2, 0, 0.0, 1, 5, 10, 3, 2, 25, 25, 12.5, 68.75, 71.88, 68.796875, 96.1875, 96.1875, 11.5, 50.0, 81.296875, 0.0, 38.5, 53.796875, 7.69921875, 0.0, 0.0, 15.3984375, 3.7998046875, 38.5, 19.19921875, 46.1953125, 38.5, 19.0, 8.0, 38.0, 24.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 31.0, "3495", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3495&g_ta_cod=3495", 19.0, 44.0, 38.0),
(8133, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence_Las", "Université Toulouse 1 Capitole - Licence - Portail Administration économique et sociale - parcours général", "Licence - Droit-économie-gestion", "parcours général", 50, 947, 622, 947, 0, 471, 123, 110, 44, 44, 26, 322, 0, 0, 0, 0, 0, 945, 0, 0, 0, 471, 123, 110, 44, 44, 26, 320, 332, 46, 36, 46, 0, 0.0, 22.0, 43.0, 0, 15, 37, 24, 7, 6, 9, 0, 17, 15, 5, 0, 0.0, 14, 2, 4, 0, 0, 31, 31, 0.0, 47.83, 93.48, 78.296875, 83.796875, 83.796875, 0, 40.5, 80.390625, 0.0, 45.8984375, 40.5, 13.5, 0.0, 0.0, 64.890625, 37.796875, 18.8984375, 5.3994140625, 16.19921875, 10.798828125, 188.0, 43.0, 18.0, 10.0, 92.0, "Tous les candidats", 2394.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 51.0, "27932", "Licence - Portail Administration économique et sociale - parcours général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27931&g_ta_cod=27932", 67.0, 20.0, 13.0),
(8134, "Privé sous contrat d'association", "0602176P", "APRADIS - Site Beauvais", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "EFTS", "APRADIS - Site Amiens - D.E Assistant de Service Social", "D.E secteur social", "", 12, 88, 81, 78, 0, 15, 5, 19, 1, 7, 0, 37, 10, 1, 0, 1, 8, 49, 3, 0, 0, 11, 3, 10, 0, 4, 0, 24, 47, 9, 9, 7, 2, 1.0, 7.0, 8.0, 0, 0, 3, 2, 1, 0, 6, 0, 2, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 3, 3, 11.11, 77.78, 88.89, 100.0, 100.0, 100.0, 0, 0.0, 33.296875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 0.0, 33.296875, 33.296875, 0.0, 0.0, 9.0, 3.0, 4.0, 0.0, 24.0, "Tous les candidats", 81.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 63.0, "25211", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25205&g_ta_cod=25211", 67.0, 22.0, 11.0),
(8135, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Langues étrangères appliquées - Parcours Anglais/Russe", "Licence - Arts-lettres-langues", "Anglais/Russe", 75, 223, 145, 168, 0, 93, 28, 14, 8, 18, 9, 43, 55, 7, 6, 4, 38, 168, 30, 0, 0, 93, 28, 14, 8, 18, 9, 43, 198, 29, 15, 21, 8, 20.0, 20.0, 24.0, 0, 8, 15, 4, 5, 6, 14, 0, 8, 3, 4, 0, 0.0, 2, 0, 5, 0, 0, 13, 13, 68.97, 68.97, 82.76, 51.6953125, 86.6875, 86.6875, 0, 53.296875, 51.6953125, 0.0, 53.296875, 20.0, 26.69921875, 0.0, 0.0, 26.69921875, 13.298828125, 33.296875, 0.0, 40.0, 33.296875, 96.0, 29.0, 20.0, 10.0, 64.0, "Tous les candidats", 168.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2890", "Licence - Langues étrangères appliquées - Parcours Anglais/Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2890&g_ta_cod=2890", 38.0, 31.0, 31.0),
(8136, "Public", "0590216P", "Lycée professionnel Le Corbusier", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "Autre formation", "Lycée professionnel Le Corbusier - Mention complémentaire - FCIL - CAES - Option Production", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 4.0, 1.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35006", "Mention complémentaire - FCIL - CAES - Option Production", "", "", 0, 0, 0),
(8137, "Privé enseignement supérieur", "0171427J", "EXCELIA", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Ecole de Commerce", "Excelia Business School  - Formation des écoles de commerce et de management Bac + 3 - BACHELOR BUSINESS", "Formation des écoles de commerce et de management", "BACHELOR BUSINESS", 80, 396, 166, 377, 0, 292, 7, 46, 2, 2, 1, 37, 19, 5, 1, 2, 11, 338, 12, 0, 0, 267, 5, 42, 2, 1, 1, 28, 350, 73, 30, 69, 4, 67.0, 69.0, 73.0, 0, 1, 64, 49, 14, 1, 9, 0, 18, 29, 16, 1, 0.0, 37, 8, 1, 0, 0, 29, 29, 91.78, 94.52, 100.0, 41.09375, 45.296875, 45.296875, 0, 1.599853515625, 87.6875, 0.0, 28.09765625, 45.296875, 25.0, 1.6, 0.0, 76.59375, 57.796875, 21.8984375, 12.5, 1.599853515625, 1.599853515625, 271.0, 5.0, 2.0, 2.0, 34.0, "Tous les candidats", 423.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 90.0, "31885", "Formation des écoles de commerce et de management Bac + 3 - BACHELOR BUSINESS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31885&g_ta_cod=31885", 73.0, 25.0, 3.0),
(8138, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Université Angers - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 20, 1717, 1481, 1717, 0, 990, 176, 200, 51, 26, 14, 501, 0, 0, 0, 0, 0, 1717, 0, 0, 0, 990, 176, 200, 51, 26, 14, 501, 89, 19, 18, 19, 0, 1.0, 13.0, 18.0, 0, 3, 17, 17, 0, 0, 2, 0, 0, 2, 13, 2, 0.0, 17, 0, 0, 0, 0, 16, 16, 5.26, 68.42, 94.74, 94.6875, 94.09375, 94.09375, 0, 17.59765625, 89.5, 0.0, 0.0, 11.798828125, 76.5, 11.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 69.0, 11.0, 0.0, 0.0, 20.0, "Tous les candidats", 457.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 11.0, "27331", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27330&g_ta_cod=27331", 100.0, 0.0, 0.0),
(8139, "Public", "0230018V", "Lycée Des Metiers Du Batiment", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Felletin", "formation sélective", "BTS", "Lycée Des Metiers Du Batiment - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 15, 160, 25, 152, 0, 23, 3, 31, 8, 48, 12, 50, 8, 0, 0, 5, 3, 131, 6, 0, 0, 23, 3, 28, 8, 40, 8, 40, 60, 11, 0, 9, 2, 3.0, 9.0, 10.0, 0, 3, 8, 1, 1, 6, 3, 0, 3, 2, 3, 0, 0.0, 0, 1, 4, 0, 0, 3, 3, 27.27, 81.82, 90.91, 0.0, 37.5, 37.5, 0, 37.5, 72.6875, 0.0, 37.5, 25.0, 37.5, 0.0, 0.0, 12.5, 0.0, 12.5, 12.5, 75.0, 50.0, 4.0, 1.0, 34.0, 8.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 43.0, "3392", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3392&g_ta_cod=3392", 9.0, 18.0, 73.0),
(8140, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence_Las", "Université Clermont Auvergne - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 40, 1822, 1555, 1822, 0, 913, 225, 251, 77, 53, 23, 605, 0, 0, 0, 0, 0, 1819, 0, 0, 0, 913, 225, 251, 77, 53, 23, 602, 233, 40, 36, 40, 0, 1.0, 29.0, 37.0, 0, 8, 39, 39, 0, 0, 1, 0, 4, 24, 7, 4, 0.0, 35, 0, 0, 0, 0, 32, 32, 2.5, 72.5, 92.5, 90.0, 82.09375, 82.09375, 0, 20.5, 97.5, 0.0, 10.298828125, 61.5, 17.8984375, 10.3, 0.0, 100.0, 89.6875, 0.0, 0.0, 0.0, 0.0, 231.0, 43.0, 0.0, 0.0, 2.0, "Tous les candidats", 832.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 21.0, "26668", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26667&g_ta_cod=26668", 98.0, 0.0, 3.0),
(8141, "Public", "0350098S", "IFSI CHRU Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "IFSI", "Regroupement d'IFSI Université Rennes - D.E Infirmier", "D.E secteur sanitaire", "", 154, 6227, 5311, 6227, 0, 1334, 220, 1234, 275, 799, 240, 2860, 0, 0, 0, 0, 0, 5660, 0, 0, 0, 1252, 190, 1120, 230, 713, 208, 2575, 765, 152, 131, 152, 0, 11.0, 92.0, 118.0, 0, 19, 66, 22, 15, 29, 86, 0, 0, 15, 46, 5, 0.0, 22, 15, 29, 0, 0, 52, 52, 7.24, 60.53, 77.63, 86.1875, 78.796875, 78.796875, 0, 28.796875, 43.3984375, 0.0, 0.0, 22.69921875, 69.6875, 7.6, 0.0, 33.296875, 33.296875, 22.69921875, 22.69921875, 43.8984375, 43.8984375, 100.0, 17.0, 137.0, 52.0, 474.0, "Tous les candidats", 1262.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "23381", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23369&g_ta_cod=23381", 66.0, 11.0, 22.0),
(8142, "Public", "0911728J", "IFSI de Perray-Vaucluse", "91", "Essonne", "Ile-de-France", "Versailles", "Epinay-sur-Orge", "formation sélective", "IFSI", "Regroupement d'IFSI Université Paris Sud (P11) - D.E Infirmier", "D.E secteur sanitaire", "", 81, 5053, 4407, 5053, 0, 519, 150, 741, 286, 691, 354, 3102, 0, 0, 0, 0, 0, 3952, 0, 0, 0, 514, 148, 597, 215, 500, 255, 2341, 1023, 84, 74, 84, 0, 3.0, 27.0, 70.0, 0, 16, 45, 23, 10, 12, 39, 0, 13, 20, 12, 0, 0.0, 15, 7, 10, 0, 0, 36, 41, 3.57, 32.14, 83.33, 88.09375, 80.0, 91.09375, 0, 35.59375, 53.59375, 0.0, 28.8984375, 44.3984375, 26.69921875, 0.0, 0.0, 51.09375, 33.296875, 22.19921875, 15.599609375, 26.69921875, 22.19921875, 231.0, 69.0, 148.0, 80.0, 592.0, "Tous les candidats", 2852.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "23057", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23011&g_ta_cod=23057", 56.0, 14.0, 29.0),
(8143, "Public", "0952196W", "LYCEE POLYVALENT GUSTAVE MONOD", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Enghien-les-Bains", "formation sélective", "BTS", "LYCEE POLYVALENT GUSTAVE MONOD - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 286, 11, 286, 0, 9, 2, 105, 40, 103, 33, 69, 0, 0, 0, 0, 0, 227, 0, 0, 0, 9, 2, 89, 36, 84, 26, 45, 94, 23, 0, 23, 0, 5.0, 21.0, 23.0, 0, 8, 16, 0, 2, 14, 7, 0, 5, 7, 4, 0, 0.0, 0, 1, 10, 3, 0, 9, 15, 21.74, 91.3, 100.0, 0.0, 56.296875, 93.796875, 18.796875, 50.0, 69.59375, 0.0, 31.296875, 43.796875, 25.0, 0.0, 0.0, 0.0, 0.0, 12.5, 6.2998046875, 87.5, 62.5, 4.0, 2.0, 54.0, 18.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 77, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 41.0, "11564", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11564&g_ta_cod=11564", 4.0, 26.0, 70.0),
(8144, "Public", "0010001W", "Lycée professionnel Alexandre Berard", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Ambérieu-en-Bugey", "formation sélective", "BTS", "Lycée professionnel Alexandre Berard - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 15, 164, 4, 156, 0, 9, 0, 46, 11, 69, 20, 32, 8, 0, 0, 8, 0, 156, 4, 0, 0, 9, 0, 46, 11, 69, 20, 32, 98, 16, 0, 13, 2, 2.0, 9.0, 14.0, 0, 7, 12, 1, 2, 9, 4, 0, 9, 2, 1, 0, 0.0, 1, 0, 2, 1, 0, 8, 8, 12.5, 56.25, 87.5, 0.0, 66.6875, 66.6875, 8.298828125, 58.296875, 75.0, 0.0, 75.0, 16.69921875, 8.298828125, 0.0, 0.0, 8.298828125, 8.298828125, 16.69921875, 0.0, 75.0, 16.69921875, 5.0, 0.0, 52.0, 14.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 87.0, "118", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=118&g_ta_cod=118", 6.0, 38.0, 56.0),
(8145, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Lettres - Parcours Lettres et Arts", "Licence - Arts-lettres-langues", "Lettres et Arts", 40, 332, 255, 289, 0, 193, 52, 19, 4, 24, 9, 53, 43, 5, 1, 5, 32, 289, 36, 0, 0, 193, 52, 19, 4, 24, 9, 53, 251, 35, 23, 22, 10, 1.0, 22.0, 28.0, 0, 8, 21, 11, 4, 6, 14, 0, 11, 5, 4, 1, 0.0, 4, 1, 5, 0, 0, 14, 14, 2.86, 62.86, 80.0, 65.6875, 66.6875, 66.6875, 0, 38.09375, 60.0, 0.0, 52.3984375, 23.796875, 19.0, 4.8, 0.0, 52.3984375, 19.0, 19.0, 4.7998046875, 28.59765625, 23.796875, 150.0, 43.0, 23.0, 12.0, 64.0, "Tous les candidats", 289.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12852", "Licence - Lettres - Parcours Lettres et Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12852&g_ta_cod=12852", 66.0, 11.0, 20.0),
(8146, "Public", "0690092A", "Lycée professionnel du 1er Film", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Lycée professionnel du 1er Film - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 32, 1415, 1380, 1415, 0, 203, 54, 482, 194, 335, 129, 395, 0, 0, 0, 0, 0, 947, 0, 0, 0, 173, 46, 307, 115, 327, 122, 140, 151, 30, 29, 30, 0, 6.0, 24.0, 28.0, 0, 10, 28, 4, 12, 12, 2, 0, 2, 13, 10, 3, 0.0, 4, 11, 11, 3, 3, 12, 12, 20.0, 80.0, 93.33, 96.6875, 42.8984375, 42.8984375, 10.69921875, 35.6953125, 93.296875, 0.0, 7.099609375, 46.3984375, 35.6953125, 10.7, 0.0, 14.298828125, 14.298828125, 42.8984375, 39.296875, 42.8984375, 39.296875, 24.0, 7.0, 48.0, 16.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 96, "Liste d'appel propre à cette formation", 16.0, "8238", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8238&g_ta_cod=8238", 17.0, 43.0, 40.0),
(8147, "Public", "0590184E", "Lycée Jean Rostand", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Services - Photographie", "BTS - Services", "", 26, 350, 213, 349, 0, 141, 28, 33, 8, 46, 16, 129, 1, 0, 0, 1, 0, 117, 0, 0, 0, 48, 9, 14, 5, 24, 6, 31, 71, 23, 11, 23, 0, 8.0, 22.0, 22.0, 0, 1, 15, 7, 1, 7, 8, 0, 3, 7, 4, 1, 0.0, 6, 1, 5, 0, 0, 4, 4, 34.78, 95.65, 95.65, 47.796875, 26.69921875, 26.69921875, 0, 6.69921875, 65.1875, 0.0, 20.0, 46.6953125, 26.69921875, 6.7, 0.0, 46.6953125, 40.0, 6.69921875, 6.69921875, 46.6953125, 33.296875, 26.0, 6.0, 21.0, 5.0, 20.0, "Tous les candidats sauf les Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 24.0, "6814", "BTS - Services - Photographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6814&g_ta_cod=6814", 65.0, 4.0, 30.0),
(8148, "Public", "0910620E", "Lycée Robert Doisneau", "91", "Essonne", "Ile-de-France", "Versailles", "Corbeil-Essonnes", "formation sélective", "BTS", "Lycée Robert Doisneau - BTS - Services - Professions immobilières", "BTS - Services", "", 34, 1363, 748, 1363, 0, 169, 42, 475, 180, 355, 172, 364, 0, 0, 0, 0, 0, 440, 0, 0, 0, 82, 19, 150, 53, 149, 61, 59, 154, 38, 22, 38, 0, 8.0, 28.0, 34.0, 0, 16, 35, 3, 16, 16, 3, 0, 14, 15, 5, 1, 0.0, 0, 9, 12, 3, 2, 28, 35, 21.05, 73.68, 89.47, 57.8984375, 80.0, 100.0, 8.599609375, 45.6953125, 92.09375, 0.0, 40.0, 42.8984375, 14.298828125, 2.9, 0.0, 8.599609375, 0.0, 45.6953125, 25.69921875, 45.6953125, 34.296875, 14.0, 7.0, 79.0, 34.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 120, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 16.0, "10846", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10846&g_ta_cod=10846", 13.0, 45.0, 42.0),
(8149, "Public", "0831616F", "Lycée Rouvière", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Rouvière - BTS - Production - Electrotechnique - Parcours Marine Nationale / Maistrance - Défense", "BTS - Production", "Parcours Marine Nationale / Maistrance - Défense", 3, 85, 7, 85, 0, 13, 1, 12, 2, 46, 12, 14, 0, 0, 0, 0, 0, 24, 0, 0, 0, 7, 0, 6, 1, 10, 2, 1, 4, 3, 0, 3, 0, 2.0, 3.0, 3.0, 0, 1, 3, 1, 2, 0, 0, 0, 0, 2, 1, 0, 0.0, 1, 2, 0, 0, 0, 2, 2, 66.67, 100.0, 100.0, 0.0, 66.6875, 66.6875, 0, 33.296875, 100.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 4.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "22029", "BTS - Production - Electrotechnique - Parcours Marine Nationale / Maistrance - Défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22029&g_ta_cod=22029", 33.0, 67.0, 0.0),
(8150, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 150, 1006, 629, 975, 0, 615, 128, 151, 57, 18, 8, 191, 31, 2, 5, 4, 20, 974, 28, 0, 0, 615, 128, 151, 57, 18, 8, 190, 703, 145, 92, 131, 14, 25.0, 121.0, 125.0, 0, 31, 103, 80, 18, 5, 42, 0, 51, 36, 13, 3, 0.0, 42, 7, 3, 0, 0, 101, 101, 17.24, 83.45, 86.21, 63.3984375, 98.09375, 98.09375, 0, 30.09765625, 71.0, 0.0, 49.5, 35.0, 12.599609375, 2.9, 0.0, 77.6875, 40.796875, 17.5, 6.7998046875, 4.8994140625, 2.89990234375, 467.0, 88.0, 14.0, 11.0, 135.0, "Tous les candidats", 850.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "3542", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3542&g_ta_cod=3542", 72.0, 21.0, 6.0),
(8151, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Etudes théâtrales", "Licence - Arts-lettres-langues", "", 120, 637, 399, 477, 0, 257, 45, 37, 8, 30, 11, 153, 160, 34, 9, 11, 106, 468, 108, 0, 0, 257, 45, 37, 8, 30, 11, 144, 525, 117, 61, 61, 53, 13.0, 60.0, 91.0, 0, 17, 59, 36, 12, 11, 58, 1, 36, 18, 4, 0, 0.0, 12, 5, 5, 0, 0, 20, 45, 11.11, 51.28, 77.78, 52.09375, 33.8984375, 76.296875, 0, 28.796875, 50.3984375, 1.699951171875, 61.0, 30.5, 6.7998046875, 0.0, 0.0, 61.0, 20.296875, 20.296875, 8.5, 18.59765625, 8.5, 273.0, 45.0, 37.0, 14.0, 169.0, "Tous les candidats", 469.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "28440", "Licence - Etudes théâtrales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28440&g_ta_cod=28440", 63.0, 21.0, 15.0),
(8152, "Public", "0910923J", "I.U.T d'Orsay - Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "BUT", "I.U.T d'Orsay - Université Paris-Saclay - BUT - Mesures physiques Parcours : Techniques d'instrumentation-Matériaux et contrôles physico chimiques-Mesures et analyses environnementales", "BUT - Production", "Techniques d'instrumentation-Matériaux et contrôles physico chimiques-Mesures et analyses environnementales", 150, 1617, 351, 1530, 0, 1007, 110, 134, 29, 1, 1, 388, 87, 17, 9, 0, 61, 1327, 20, 0, 0, 940, 96, 89, 18, 0, 0, 298, 909, 140, 29, 131, 9, 3.0, 83.0, 131.0, 0, 8, 107, 97, 10, 0, 33, 0, 41, 45, 21, 0, 0.0, 58, 8, 0, 0, 0, 77, 95, 2.14, 59.29, 93.57, 20.69921875, 72.0, 88.796875, 0, 7.5, 76.390625, 0.0, 38.296875, 42.09375, 19.59765625, 0.0, 0.0, 90.6875, 54.1953125, 9.298828125, 7.5, 0.0, 0.0, 656.0, 73.0, 0.0, 0.0, 181.0, "Tous les candidats sauf les Bac technologiques", 1224.0, "Bacheliers technologiques toutes séries", 105, "", 0, "Liste d'appel propre à cette formation", 86.0, "10903", "BUT - Mesures physiques Parcours : Techniques d'instrumentation-Matériaux et contrôles physico chimiques-Mesures et analyses environnementales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10903&g_ta_cod=10903", 91.0, 8.0, 0.0),
(8153, "Public", "0530004S", "Lycée Victor Hugo", "53", "Mayenne", "Pays de la Loire", "Nantes", "Château-Gontier-sur-Mayenne", "formation sélective", "BTS", "Lycée Victor Hugo - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 474, 222, 473, 0, 41, 6, 147, 36, 124, 46, 161, 1, 0, 0, 0, 1, 319, 0, 0, 0, 38, 6, 143, 34, 107, 34, 31, 144, 30, 14, 30, 0, 7.0, 23.0, 28.0, 0, 10, 28, 6, 14, 8, 2, 0, 16, 9, 2, 1, 0.0, 2, 5, 5, 5, 3, 26, 26, 23.33, 76.67, 93.33, 46.6953125, 92.890625, 92.890625, 17.8984375, 35.6953125, 93.296875, 0.0, 57.09375, 32.09375, 7.099609375, 3.6, 0.0, 21.3984375, 7.099609375, 50.0, 17.8984375, 28.59765625, 17.8984375, 20.0, 2.0, 38.0, 13.0, 13.0, "Tous les candidats sauf les Bac professionnels", 151.0, "Bacheliers professionnels toutes séries", 59, "", 0, "Liste d'appel propre à cette formation", 44.0, "6191", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6191&g_ta_cod=6191", 20.0, 53.0, 27.0),
(8154, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 3 Paul Sabatier / Lycée Bellevue Toulouse - Licence - Mathématiques - Parcours Parcours Préparatoire au Professorat des Ecoles (PPPE)", "Licence - Sciences - technologies - santé", "Parcours Préparatoire au Professorat des Ecoles (PPPE)", 36, 457, 328, 457, 0, 294, 38, 30, 10, 6, 3, 127, 0, 0, 0, 0, 0, 457, 0, 0, 0, 294, 38, 30, 10, 6, 3, 127, 182, 36, 28, 36, 0, 3.0, 23.0, 31.0, 0, 2, 26, 26, 0, 0, 10, 0, 5, 14, 4, 2, 1.0, 21, 0, 0, 0, 0, 15, 15, 8.33, 63.89, 86.11, 77.796875, 57.6953125, 57.6953125, 0, 7.69921875, 72.1875, 0.0, 19.19921875, 53.796875, 15.3984375, 7.7, 3.8, 100.0, 80.796875, 0.0, 0.0, 0.0, 0.0, 149.0, 22.0, 0.0, 0.0, 32.0, "Tous les candidats", 334.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "32531", "Licence - Mathématiques - Parcours Parcours Préparatoire au Professorat des Ecoles (PPPE)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32531&g_ta_cod=32531", 100.0, 0.0, 0.0),
(8155, "Public", "0030051P", "Lycée Général et Technologique Albert Londres", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Cusset", "formation sélective", "BTS", "Lycée Général et Technologique Albert Londres - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 15, 597, 328, 597, 0, 122, 20, 162, 33, 181, 43, 132, 0, 0, 0, 0, 0, 255, 0, 0, 0, 64, 8, 87, 13, 89, 17, 15, 43, 15, 14, 15, 0, 4.0, 15.0, 15.0, 0, 3, 15, 5, 4, 6, 0, 0, 0, 7, 6, 2, 0.0, 5, 4, 6, 0, 0, 8, 8, 26.67, 100.0, 100.0, 93.296875, 53.296875, 53.296875, 0, 20.0, 100.0, 0.0, 0.0, 46.6953125, 40.0, 13.3, 0.0, 33.296875, 33.296875, 26.69921875, 26.69921875, 40.0, 40.0, 12.0, 3.0, 16.0, 4.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 10.0, "2129", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2129&g_ta_cod=2129", 33.0, 27.0, 40.0),
(8156, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe - Enseignement à distance", "Licence - Arts-lettres-langues", "Arabe - Enseignement à distance", 35, 203, 143, 55, 0, 4, 2, 2, 1, 2, 1, 47, 148, 6, 2, 2, 138, 24, 58, 0, 0, 3, 1, 2, 1, 0, 0, 19, 82, 40, 34, 7, 33, 7.0, 7.0, 16.0, 0, 2, 5, 3, 2, 0, 35, 0, 0, 2, 3, 0, 0.0, 3, 2, 0, 0, 0, 2, 2, 17.5, 17.5, 40.0, 85.0, 40.0, 40.0, 0, 40.0, 12.5, 0.0, 0.0, 40.0, 60.0, 0.0, 0.0, 60.0, 60.0, 40.0, 40.0, 0.0, 0.0, 6.0, 3.0, 0.0, 0.0, 73.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "20088", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe - Enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20088&g_ta_cod=20088", 75.0, 23.0, 0.0),
(8157, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - Histoire -Espagnol", "Licence - Sciences humaines et sociales", "Histoire -Espagnol", 33, 166, 100, 64, 0, 41, 10, 4, 0, 5, 2, 14, 102, 22, 16, 9, 55, 46, 15, 0, 0, 40, 10, 1, 0, 0, 0, 5, 61, 5, 5, 1, 4, 1.0, 1.0, 5.0, 0, 3, 4, 2, 2, 0, 1, 0, 1, 3, 0, 0, 0.0, 1, 2, 0, 0, 0, 2, 4, 20.0, 20.0, 100.0, 100.0, 50.0, 100.0, 0, 75.0, 80.0, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 50.0, 0.0, 0.0, 47.0, 13.0, 0.0, 0.0, 11.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "11504", "Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - Histoire -Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11504&g_ta_cod=11504", 60.0, 40.0, 0.0),
(8158, "Public", "0900424X", "UTBM Université de Technologie de Belfort Montbéliard", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "Ecole d'Ingénieur", "Réseau des Universités de Technologie - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 270, 4705, 1133, 4705, 0, 4238, 251, 0, 0, 0, 0, 467, 0, 0, 0, 0, 0, 2991, 0, 0, 0, 2827, 157, 0, 0, 0, 0, 164, 1709, 271, 49, 271, 0, 118.0, 237.0, 271.0, 0, 21, 271, 271, 0, 0, 0, 0, 0, 29, 159, 80, 3.0, 271, 0, 0, 0, 0, 38, 38, 43.54, 87.45, 100.0, 18.09765625, 14.0, 14.0, 0, 7.69921875, 100.0, 0.0, 0.0, 10.69921875, 58.6953125, 29.5, 1.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1705.0, 108.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "56", "Formation d'ingénieur Bac + 5 - Série générale", "Réseau des Universités de Technologie", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=53&g_ta_cod=56", 100.0, 0.0, 0.0),
(8159, "Privé enseignement supérieur", "0693448Y", "INSEEC Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours PASS - Formation des écoles de commerce et de management Bac + 4", "Formation des écoles de commerce et de management", "BBA INSEEC - Parcours Classique", 125, 2283, 1065, 2283, 0, 1945, 67, 169, 13, 2, 1, 167, 0, 0, 0, 0, 0, 2003, 0, 0, 0, 1728, 62, 146, 11, 1, 1, 128, 1981, 150, 64, 150, 0, 107.0, 149.0, 149.0, 0, 11, 138, 106, 32, 0, 12, 0, 45, 66, 26, 1, 0.0, 64, 29, 0, 0, 0, 50, 50, 71.33, 99.33, 99.33, 42.6953125, 36.1953125, 36.1953125, 0, 8.0, 92.0, 0.0, 32.59375, 47.796875, 18.796875, 0.7, 0.0, 76.796875, 46.3984375, 23.19921875, 21.0, 0.0, 0.0, 1708.0, 60.0, 1.0, 1.0, 127.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 88.0, "26371", "Formation des écoles de commerce et de management Bac + 4", "Concours PASS", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26356&g_ta_cod=26371", 77.0, 23.0, 0.0),
(8160, "Public", "0251018W", "I.U.T de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BUT", "I.U.T de Besançon - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle - Management de process industriel", "BUT - Production", "Innovation pour l?industrie - Simulation numérique et réalité virtuelle - Management de process industriel", 94, 849, 55, 833, 0, 488, 40, 240, 45, 8, 3, 97, 16, 0, 5, 0, 11, 656, 7, 0, 0, 465, 36, 155, 24, 0, 0, 36, 451, 95, 2, 92, 3, 13.0, 70.0, 92.0, 0, 5, 79, 58, 21, 0, 16, 0, 19, 46, 13, 1, 0.0, 39, 21, 0, 0, 0, 61, 61, 13.68, 73.68, 96.84, 2.099609375, 77.1875, 77.1875, 0, 6.2998046875, 83.1875, 0.0, 24.09765625, 58.1953125, 16.5, 1.3, 0.0, 73.390625, 49.3984375, 26.59765625, 26.59765625, 0.0, 0.0, 286.0, 30.0, 0.0, 0.0, 37.0, "Tous les candidats sauf les Bac technologiques", 453.0, "Bacheliers technologiques toutes séries", 161, "", 0, "Liste d'appel propre à cette formation", 73.0, "3506", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle - Management de process industriel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3506&g_ta_cod=3506", 73.0, 27.0, 0.0),
(8161, "Public", "0624237U", "Université du littoral - Site de Saint-Omer", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Longuenesse", "formation sélective", "Autre formation", "Université du littoral - Site de Saint-Omer - Diplôme d'Université -  Bachelor de Technologie - Industrie et Numérique", "Diplôme d'Université", "Bachelor de Technologie - Industrie et Numérique", 14, 23, 2, 23, 0, 12, 2, 1, 1, 0, 0, 10, 0, 0, 0, 0, 0, 8, 0, 0, 0, 5, 0, 0, 0, 0, 0, 3, 8, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 5.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "27043", "Diplôme d'Université -  Bachelor de Technologie - Industrie et Numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27043&g_ta_cod=27043", 100.0, 0.0, 0.0),
(8162, "Privé sous contrat d'association", "0762637D", "IFSI Croix Rouge Française Bois Guillaume", "76", "Seine-Maritime", "Normandie", "Normandie", "Bois-Guillaume", "formation sélective", "IFSI", "Regroupement d'IFSI Université Rouen - D.E Infirmier", "D.E secteur sanitaire", "", 79, 2395, 2036, 2395, 0, 476, 91, 423, 115, 242, 93, 1254, 0, 0, 0, 0, 0, 2141, 0, 0, 0, 471, 90, 388, 98, 213, 84, 1069, 682, 78, 72, 78, 0, 3.0, 43.0, 62.0, 0, 12, 56, 27, 18, 11, 22, 0, 12, 28, 10, 6, 0.0, 19, 14, 11, 0, 0, 54, 54, 3.85, 55.13, 79.49, 92.296875, 96.390625, 96.390625, 0, 21.3984375, 71.796875, 0.0, 21.3984375, 50.0, 17.8984375, 10.7, 0.0, 48.1953125, 33.8984375, 32.09375, 25.0, 19.59765625, 19.59765625, 220.0, 45.0, 43.0, 25.0, 310.0, "Tous les candidats", 1834.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "25272", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23005&g_ta_cod=25272", 56.0, 28.0, 15.0),
(8163, "Public", "0134015U", "Aix-Marseille Université - Site de Marseille Saint Charles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation non sélective", "Licence", "Aix-Marseille Université - Site de Marseille Saint Charles - Licence - Portail Formation à distance - Marie Curie : Chimie, Physique, Sciences et technologies, Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "Formation à distance - Marie Curie : Chimie, Physique, Sciences et technologies, Sciences pour l'ingénieur", 200, 785, 377, 460, 0, 183, 45, 42, 22, 6, 4, 229, 325, 57, 12, 2, 254, 460, 310, 0, 0, 183, 45, 42, 22, 6, 4, 229, 772, 192, 99, 68, 124, 67.0, 68.0, 131.0, 0, 13, 34, 24, 7, 3, 158, 0, 18, 6, 4, 5, 1.0, 13, 1, 2, 0, 0, 12, 12, 34.9, 35.42, 68.23, 51.59375, 35.296875, 35.296875, 0, 38.1953125, 17.69921875, 0.0, 52.8984375, 17.59765625, 11.798828125, 14.7, 2.9, 70.59375, 38.1953125, 20.59765625, 2.89990234375, 8.798828125, 5.8994140625, 239.0, 58.0, 7.0, 4.0, 472.0, "Tous les candidats", 460.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "16729", "Licence - Portail Formation à distance - Marie Curie : Chimie, Physique, Sciences et technologies, Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16729&g_ta_cod=16729", 70.0, 14.0, 8.0),
(8164, "Public", "0311323V", "Lycée Rive Gauche", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée Rive Gauche - DN MADE - Événement - - Spécialité : identités, scénarios et scénographies", "DN MADE", "- Spécialité : identités, scénarios et scénographies", 15, 497, 433, 497, 0, 144, 36, 186, 32, 39, 12, 128, 0, 0, 0, 0, 0, 250, 0, 0, 0, 81, 19, 131, 18, 6, 0, 32, 71, 14, 13, 14, 0, 0.0, 13.0, 14.0, 0, 5, 11, 7, 4, 0, 3, 0, 0, 5, 6, 0, 0.0, 7, 4, 0, 0, 0, 7, 7, 0.0, 92.86, 100.0, 92.890625, 63.59375, 63.59375, 0, 45.5, 78.59375, 0.0, 0.0, 45.5, 54.5, 0.0, 0.0, 63.59375, 63.59375, 36.3984375, 36.3984375, 0.0, 0.0, 26.0, 6.0, 0.0, 0.0, 10.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "21692", "DN MADE - Événement - - Spécialité : identités, scénarios et scénographies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21692&g_ta_cod=21692", 71.0, 29.0, 0.0),
(8165, "Privé sous contrat d'association", "0831141P", "Lycée la Tourrache", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée la Tourrache - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 194, 85, 144, 0, 34, 8, 38, 13, 28, 12, 44, 50, 6, 11, 3, 30, 110, 16, 0, 0, 31, 7, 32, 9, 20, 8, 27, 112, 16, 8, 9, 7, 2.0, 9.0, 12.0, 0, 2, 9, 3, 3, 3, 7, 0, 5, 3, 1, 0, 0.0, 1, 1, 2, 0, 0, 9, 9, 12.5, 56.25, 75.0, 50.0, 100.0, 100.0, 0, 22.19921875, 56.296875, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 33.296875, 11.099609375, 33.296875, 11.099609375, 33.296875, 22.19921875, 30.0, 6.0, 14.0, 6.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 71.0, "10378", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10378&g_ta_cod=10378", 56.0, 25.0, 19.0),
(8166, "Public", "9760358K", "CUFR Centre Universitaire de Mayotte", "976", "Mayotte", "Mayotte", "Mayotte", "Dembeni", "formation non sélective", "Licence", "CUFR Centre Universitaire de Mayotte - Licence - Portail Sciences de la vie et de la terre - Sciences de la vie", "Licence - Sciences - technologies - santé", "Sciences de la vie", 20, 295, 208, 295, 0, 191, 120, 13, 11, 3, 1, 88, 0, 0, 0, 0, 0, 293, 0, 0, 0, 191, 120, 13, 11, 3, 1, 86, 102, 20, 12, 20, 0, 1.0, 15.0, 17.0, 0, 11, 18, 18, 0, 0, 2, 0, 8, 8, 2, 0, 0.0, 10, 0, 0, 0, 0, 18, 18, 5.0, 75.0, 85.0, 60.0, 100.0, 100.0, 0, 61.09375, 90.0, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 100.0, 55.59375, 0.0, 0.0, 0.0, 0.0, 82.0, 44.0, 0.0, 0.0, 20.0, "Tous les candidats", 212.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 47.0, "13886", "Licence - Portail Sciences de la vie et de la terre - Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28816&g_ta_cod=13886", 100.0, 0.0, 0.0),
(8167, "Privé sous contrat d'association", "0440172Y", "Lycée La Perverie Sacré-Coeur", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "Lycée La Perverie Sacré-Coeur - CPGE - Lettres", "Classe préparatoire littéraire", "", 35, 216, 149, 203, 126, 174, 15, 1, 0, 0, 0, 28, 13, 7, 0, 1, 5, 173, 5, 110, 169, 165, 14, 1, 0, 0, 0, 7, 132, 26, 18, 26, 0, 1.0, 25.0, 26.0, 11, 2, 24, 24, 0, 0, 2, 0, 0, 9, 12, 3, 0.0, 24, 0, 0, 3, 2, 17, 17, 3.85, 96.15, 100.0, 69.1875, 70.796875, 70.796875, 12.5, 8.298828125, 92.296875, 0.0, 0.0, 37.5, 50.0, 12.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 123.0, 12.0, 0.0, 0.0, 8.0, "Tous les candidats", 173.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "5495", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5495&g_ta_cod=5495", 100.0, 0.0, 0.0),
(8168, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Autre formation", "Université de Bordeaux - Bordeaux Métropole - C.M.I - Cursus Master en Ingénierie - Physique - Cursus Master en Ingénierie (CMI) :  Physique : rayonnements et instrumentation (RI)", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) :  Physique : rayonnements et instrumentation (RI)", 10, 176, 58, 131, 0, 87, 9, 0, 0, 0, 0, 44, 45, 16, 0, 0, 29, 56, 4, 0, 0, 48, 4, 0, 0, 0, 0, 8, 47, 9, 3, 7, 2, 2.0, 7.0, 9.0, 0, 2, 9, 9, 0, 0, 0, 0, 1, 3, 3, 1, 1.0, 8, 0, 0, 0, 0, 9, 9, 22.22, 77.78, 100.0, 33.296875, 100.0, 100.0, 0, 22.19921875, 100.0, 0.0, 11.099609375, 33.296875, 33.296875, 11.1, 11.1, 100.0, 88.890625, 0.0, 0.0, 0.0, 0.0, 40.0, 4.0, 0.0, 0.0, 7.0, "Tous les candidats", 56.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "19134", "C.M.I - Cursus Master en Ingénierie - Physique - Cursus Master en Ingénierie (CMI) :  Physique : rayonnements et instrumentation (RI)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19134&g_ta_cod=19134", 100.0, 0.0, 0.0),
(8169, "Public", "0130050J", "Lycée Denis Diderot", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BTS", "Lycée Denis Diderot - BTS - Production - Travaux publics", "BTS - Production", "", 30, 441, 62, 441, 0, 47, 5, 122, 53, 87, 41, 185, 0, 0, 0, 0, 0, 436, 0, 0, 0, 47, 5, 118, 52, 86, 40, 185, 127, 24, 3, 24, 0, 4.0, 14.0, 20.0, 0, 6, 17, 2, 3, 12, 7, 0, 7, 6, 4, 0, 0.0, 1, 1, 8, 6, 2, 12, 12, 16.67, 58.33, 83.33, 12.5, 70.59375, 70.59375, 35.296875, 35.296875, 70.796875, 0.0, 41.1953125, 35.296875, 23.5, 0.0, 0.0, 11.798828125, 5.8994140625, 17.59765625, 5.8994140625, 70.59375, 47.09375, 28.0, 1.0, 47.0, 15.0, 27.0, "Tous les candidats sauf les Bac professionnels", 102.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 36.0, "2574", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2574&g_ta_cod=2574", 25.0, 17.0, 58.0),
(8170, "Public", "0180584M", "I.U.T de Bourges", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BUT", "I.U.T de Bourges - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités (Seconde année possible en apprentissage)", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", 104, 1021, 461, 975, 0, 506, 92, 259, 62, 23, 10, 187, 46, 1, 22, 0, 23, 581, 5, 0, 0, 351, 51, 176, 33, 0, 0, 54, 320, 102, 52, 99, 2, 37.0, 80.0, 97.0, 0, 13, 92, 54, 38, 0, 10, 0, 30, 44, 18, 0, 0.0, 29, 33, 0, 0, 0, 84, 84, 36.27, 78.43, 95.1, 51.0, 91.296875, 91.296875, 0, 14.099609375, 90.1875, 0.0, 32.59375, 47.796875, 19.59765625, 0.0, 0.0, 58.6953125, 31.5, 41.296875, 35.8984375, 0.0, 0.0, 155.0, 22.0, 0.0, 0.0, 28.0, "Tous les candidats sauf les Bac technologiques", 334.0, "Bacheliers technologiques toutes séries", 179, "", 0, "Liste d'appel propre à cette formation", 53.0, "3123", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3123&g_ta_cod=3123", 61.0, 39.0, 0.0),
(8171, "Public", "0870118F", "Lycée Raoul Dautry", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée Raoul Dautry - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 24, 186, 12, 175, 0, 8, 0, 34, 12, 82, 25, 51, 11, 0, 1, 3, 7, 141, 7, 0, 0, 8, 0, 34, 12, 82, 25, 17, 97, 22, 2, 17, 5, 4.0, 9.0, 16.0, 0, 3, 18, 1, 2, 15, 4, 0, 11, 5, 2, 0, 0.0, 0, 1, 6, 2, 0, 14, 14, 18.18, 40.91, 72.73, 9.099609375, 77.796875, 77.796875, 11.099609375, 16.69921875, 81.796875, 0.0, 61.09375, 27.796875, 11.099609375, 0.0, 0.0, 5.599609375, 0.0, 11.099609375, 5.599609375, 83.296875, 33.296875, 6.0, 0.0, 51.0, 15.0, 13.0, "Tous les candidats sauf les Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 79, "", 0, "Liste d'appel propre à cette formation", 75.0, "10681", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10681&g_ta_cod=10681", 9.0, 14.0, 77.0),
(8172, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol Jeunes Talents", "Licence - Arts-lettres-langues", "Espagnol Jeunes Talents", 40, 203, 158, 154, 0, 114, 42, 6, 4, 6, 4, 28, 49, 9, 6, 4, 30, 152, 47, 0, 0, 114, 42, 6, 4, 6, 4, 26, 199, 39, 29, 29, 10, 29.0, 29.0, 33.0, 0, 11, 29, 26, 3, 0, 10, 0, 6, 10, 7, 6, 0.0, 22, 1, 0, 0, 0, 15, 15, 74.36, 74.36, 84.62, 74.390625, 51.6953125, 51.6953125, 0, 37.8984375, 74.390625, 0.0, 20.69921875, 34.5, 24.09765625, 20.7, 0.0, 89.6875, 75.890625, 10.298828125, 3.39990234375, 0.0, 0.0, 123.0, 48.0, 10.0, 7.0, 54.0, "Tous les candidats", 152.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "20685", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol Jeunes Talents", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20685&g_ta_cod=20685", 85.0, 15.0, 0.0),
(8173, "Public", "0940580V", "Lycée polyvalent de Cachan", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "BTS", "Lycée polyvalent de Cachan - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 28, 1723, 1301, 1723, 0, 317, 96, 502, 211, 143, 71, 761, 0, 0, 0, 0, 0, 969, 0, 0, 0, 249, 75, 356, 141, 99, 54, 265, 271, 26, 22, 26, 0, 1.0, 9.0, 18.0, 0, 8, 19, 10, 6, 3, 7, 2, 5, 11, 1, 0, 0.0, 7, 4, 1, 1, 0, 9, 18, 3.85, 34.62, 69.23, 84.59375, 47.3984375, 94.6875, 5.2998046875, 42.09375, 73.09375, 10.5, 26.296875, 57.8984375, 5.2998046875, 0.0, 0.0, 52.59375, 36.796875, 31.59765625, 21.09765625, 15.798828125, 5.2998046875, 100.0, 32.0, 12.0, 5.0, 78.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 208.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 205, "Liste d'appel propre à cette formation", 25.0, "11428", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11428&g_ta_cod=11428", 42.0, 46.0, 12.0),
(8174, "Public", "0771336J", "Lycée Les Pannevelles", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Provins", "formation sélective", "BTS", "Lycée Les Pannevelles - BTS - Production - Travaux publics", "BTS - Production", "", 24, 353, 57, 344, 0, 22, 5, 64, 18, 71, 19, 187, 9, 0, 0, 5, 4, 341, 1, 0, 0, 22, 5, 64, 18, 69, 18, 186, 93, 20, 2, 18, 1, 0.0, 14.0, 16.0, 0, 4, 18, 3, 5, 10, 2, 0, 13, 2, 3, 0, 0.0, 0, 1, 4, 7, 1, 15, 16, 0.0, 70.0, 80.0, 10.0, 83.296875, 88.890625, 38.8984375, 22.19921875, 90.0, 0.0, 72.1875, 11.099609375, 16.69921875, 0.0, 0.0, 16.69921875, 0.0, 27.796875, 5.599609375, 55.59375, 22.19921875, 15.0, 4.0, 44.0, 11.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 37.0, "9837", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9837&g_ta_cod=9837", 15.0, 30.0, 55.0),
(8175, "Public", "9720005Y", "Lycée professionnel Dumas JEAN-JOSEPH", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée professionnel Dumas JEAN-JOSEPH - BTS - Services - Métiers des Services à l'environnement", "BTS - Services", "", 26, 193, 62, 179, 0, 25, 8, 11, 6, 40, 24, 103, 14, 0, 2, 7, 5, 61, 7, 0, 0, 21, 6, 9, 4, 24, 15, 7, 53, 22, 6, 16, 5, 14.0, 14.0, 18.0, 0, 12, 17, 2, 1, 14, 5, 0, 9, 8, 0, 0, 0.0, 1, 0, 7, 10, 0, 17, 17, 63.64, 63.64, 81.82, 27.296875, 100.0, 100.0, 58.796875, 70.59375, 77.296875, 0.0, 52.8984375, 47.09375, 0.0, 0.0, 0.0, 11.798828125, 5.8994140625, 5.8994140625, 0.0, 82.390625, 41.1953125, 3.0, 2.0, 30.0, 20.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 28.0, "11804", "BTS - Services - Métiers des Services à l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11804&g_ta_cod=11804", 18.0, 5.0, 77.0),
(8176, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - Licence - Double diplôme - Licence Droit - Double diplôme Licence de Droit - DU Common Law", "Licence - Droit-économie-gestion", "Double diplôme Licence de Droit - DU Common Law", 60, 502, 398, 463, 0, 384, 39, 8, 2, 1, 0, 70, 39, 10, 5, 0, 24, 423, 1, 0, 0, 364, 36, 8, 2, 1, 0, 50, 252, 52, 44, 52, 0, 10.0, 46.0, 49.0, 0, 9, 49, 48, 1, 0, 3, 0, 4, 13, 23, 9, 0.0, 44, 1, 0, 0, 0, 16, 16, 19.23, 88.46, 94.23, 84.59375, 32.6953125, 32.6953125, 0, 18.3984375, 94.1875, 0.0, 8.19921875, 26.5, 46.8984375, 18.4, 0.0, 98.0, 89.796875, 2.0, 2.0, 0.0, 0.0, 224.0, 19.0, 0.0, 0.0, 27.0, "Tous les candidats", 340.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "25441", "Licence - Double diplôme - Licence Droit - Double diplôme Licence de Droit - DU Common Law", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25441&g_ta_cod=25441", 98.0, 2.0, 0.0),
(8177, "Public", "0672834S", "I.U.T. de Haguenau", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Haguenau", "formation sélective", "BUT", "I.U.T. de Haguenau - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "BUT - Production", "Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", 40, 331, 11, 330, 0, 171, 22, 94, 31, 3, 1, 62, 1, 0, 0, 0, 1, 215, 0, 0, 0, 129, 9, 62, 18, 0, 0, 24, 126, 44, 0, 44, 0, 14.0, 38.0, 42.0, 0, 8, 40, 21, 19, 0, 4, 0, 9, 20, 9, 2, 0.0, 17, 14, 0, 0, 0, 29, 29, 31.82, 86.36, 95.45, 0.0, 72.5, 72.5, 0, 20.0, 90.890625, 0.0, 22.5, 50.0, 22.5, 5.0, 0.0, 52.5, 42.5, 47.5, 35.0, 0.0, 0.0, 65.0, 9.0, 0.0, 0.0, 13.0, "Tous les candidats sauf les Bac technologiques", 104.0, "Bacheliers technologiques toutes séries", 65, "", 0, "Liste d'appel propre à cette formation", 51.0, "8012", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8012&g_ta_cod=8012", 57.0, 43.0, 0.0),
(8178, "Public", "0330021U", "Lycée Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Montaigne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 69, 1546, 748, 1546, 1119, 1310, 76, 1, 0, 0, 0, 235, 0, 0, 0, 0, 0, 1075, 0, 421, 1028, 1073, 57, 0, 0, 0, 0, 2, 297, 69, 41, 69, 0, 14.0, 41.0, 64.0, 12, 5, 69, 69, 0, 0, 0, 0, 1, 7, 35, 25, 1.0, 68, 0, 0, 1, 1, 50, 50, 20.29, 59.42, 92.75, 59.3984375, 72.5, 72.5, 1.39990234375, 7.19921875, 100.0, 0.0, 1.39990234375, 10.099609375, 50.6953125, 36.2, 1.4, 100.0, 98.59375, 0.0, 0.0, 0.0, 0.0, 296.0, 15.0, 0.0, 0.0, 1.0, "Tous les candidats", 572.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "31281", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31281&g_ta_cod=31281", 100.0, 0.0, 0.0),
(8179, "Public", "0940742W", "Lycée Guillaume Budé", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Limeil-Brévannes", "formation sélective", "BTS", "Lycée Guillaume Budé - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1035, 505, 1035, 0, 55, 13, 303, 107, 381, 184, 296, 0, 0, 0, 0, 0, 915, 0, 0, 0, 51, 13, 268, 97, 339, 170, 257, 171, 32, 20, 29, 0, 3.0, 24.0, 24.0, 0, 10, 26, 2, 12, 12, 6, 0, 12, 12, 2, 0, 0.0, 2, 4, 8, 5, 4, 23, 26, 9.38, 75.0, 75.0, 62.5, 88.5, 100.0, 19.19921875, 38.5, 81.296875, 0.0, 46.1953125, 46.1953125, 7.69921875, 0.0, 0.0, 7.69921875, 7.69921875, 46.1953125, 15.3984375, 46.1953125, 30.796875, 9.0, 3.0, 75.0, 36.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 114, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 20.0, "11443", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11443&g_ta_cod=11443", 6.0, 50.0, 44.0),
(8180, "Privé enseignement supérieur", "0442292C", "CESI Campus de Saint Nazaire", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 70, 894, 134, 855, 0, 653, 58, 64, 13, 0, 0, 138, 39, 11, 5, 0, 23, 655, 15, 0, 0, 531, 35, 51, 7, 0, 0, 73, 266, 34, 7, 30, 4, 19.0, 30.0, 33.0, 0, 1, 31, 25, 6, 0, 3, 0, 4, 19, 8, 0, 0.0, 23, 4, 0, 0, 0, 27, 27, 55.88, 88.24, 97.06, 20.59765625, 87.09375, 87.09375, 0, 3.19970703125, 91.1875, 0.0, 12.8984375, 61.296875, 25.796875, 0.0, 0.0, 80.59375, 74.1875, 19.3984375, 12.8984375, 0.0, 0.0, 193.0, 10.0, 0.0, 0.0, 53.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "25185", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25185", 82.0, 18.0, 0.0),
(8181, "Public", "0061642C", "Lycée International de Valbonne", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Valbonne", "formation sélective", "CPGE", "Lycée International de Valbonne - CPGE - PCSI", "Classe préparatoire scientifique", "", 94, 1030, 386, 1024, 825, 707, 70, 1, 1, 0, 0, 316, 6, 3, 0, 0, 3, 923, 3, 825, 668, 688, 66, 0, 0, 0, 0, 235, 522, 85, 29, 83, 2, 18.0, 62.0, 81.0, 74, 6, 80, 80, 0, 0, 5, 0, 0, 18, 40, 20, 2.0, 80, 0, 0, 1, 0, 72, 72, 21.18, 72.94, 95.29, 34.09375, 90.0, 90.0, 1.2998046875, 7.5, 94.09375, 0.0, 0.0, 22.5, 50.0, 25.0, 2.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 490.0, 43.0, 0.0, 0.0, 32.0, "Tous les candidats", 589.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "2315", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2315&g_ta_cod=2315", 100.0, 0.0, 0.0),
(8182, "Public", "9840339W", "Lycée de Taiarapu Nui", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Taiarapu-o", "formation sélective", "BTS", "Lycée de Taiarapu Nui - BTS - Production - Management économique de la construction", "BTS - Production", "", 17, 71, 15, 68, 0, 7, 4, 21, 8, 39, 28, 1, 3, 0, 2, 1, 0, 37, 0, 0, 0, 6, 4, 16, 8, 15, 10, 0, 30, 9, 1, 9, 0, 6.0, 9.0, 9.0, 0, 8, 9, 1, 2, 6, 0, 0, 1, 3, 5, 0, 0.0, 1, 2, 5, 6, 0, 9, 9, 66.67, 100.0, 100.0, 11.099609375, 100.0, 100.0, 66.6875, 88.890625, 100.0, 0.0, 11.099609375, 33.296875, 55.59375, 0.0, 0.0, 11.099609375, 11.099609375, 22.19921875, 22.19921875, 66.6875, 55.59375, 4.0, 3.0, 10.0, 8.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 44.0, "13598", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13598&g_ta_cod=13598", 11.0, 22.0, 67.0),
(8183, "Public", "0510031G", "Lycée CLEMENCEAU", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "CPGE", "Lycée CLEMENCEAU - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 560, 277, 557, 322, 466, 43, 1, 0, 0, 0, 90, 3, 3, 0, 0, 0, 460, 0, 265, 428, 439, 38, 0, 0, 0, 0, 21, 189, 21, 11, 21, 0, 1.0, 12.0, 21.0, 9, 3, 19, 19, 0, 0, 2, 0, 0, 10, 6, 3, 0.0, 19, 0, 0, 0, 0, 10, 10, 4.76, 57.14, 100.0, 52.3984375, 52.59375, 52.59375, 0, 15.798828125, 90.5, 0.0, 0.0, 52.59375, 31.59765625, 15.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 173.0, 14.0, 0.0, 0.0, 16.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "31620", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31380&g_ta_cod=31620", 100.0, 0.0, 0.0),
(8184, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence_Las", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER :  ANGLAIS", "Licence - Arts-lettres-langues", "LLCER :  ANGLAIS", 15, 760, 629, 760, 0, 438, 133, 43, 29, 8, 2, 271, 0, 0, 0, 0, 0, 756, 0, 0, 0, 438, 133, 43, 29, 8, 2, 267, 81, 15, 15, 14, 0, 1.0, 7.0, 11.0, 0, 4, 9, 9, 0, 0, 6, 0, 1, 6, 2, 0, 0.0, 8, 0, 0, 0, 0, 0, 9, 6.67, 46.67, 73.33, 100.0, 0.0, 100.0, 0, 44.3984375, 60.0, 0.0, 11.099609375, 66.6875, 22.19921875, 0.0, 0.0, 100.0, 88.890625, 0.0, 0.0, 0.0, 0.0, 54.0, 9.0, 0.0, 0.0, 27.0, "Tous les candidats", 396.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "28335", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER :  ANGLAIS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28334&g_ta_cod=28335", 100.0, 0.0, 0.0),
(8185, "Public", "0690128P", "Lycée Edouard Branly", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "Autre formation", "Lycée Edouard Branly - Mention complémentaire - Technicien ascensoriste, service et modernisation", "Mention complémentaire", "", 12, 124, 2, 124, 0, 0, 0, 0, 0, 110, 64, 14, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 0, 0, 0, 46, 28, 4, 40, 11, 0, 11, 0, 1.0, 8.0, 9.0, 0, 7, 10, 0, 0, 10, 1, 0, 5, 4, 1, 0, 0.0, 0, 0, 5, 0, 0, 9, 9, 9.09, 72.73, 81.82, 0.0, 90.0, 90.0, 0, 70.0, 90.890625, 0.0, 50.0, 40.0, 10.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 36.0, 22.0, 4.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "20766", "Mention complémentaire - Technicien ascensoriste, service et modernisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20766&g_ta_cod=20766", 0.0, 0.0, 100.0),
(8186, "Privé sous contrat d'association", "0520679F", "Lycée ESTIC", "52", "Haute-Marne", "Grand Est", "Reims", "Saint-Dizier", "formation sélective", "BTS", "Lycée ESTIC - BTS - Services - Gestion de la PME", "BTS - Services", "", 20, 241, 119, 222, 0, 17, 6, 28, 7, 20, 7, 157, 19, 2, 7, 3, 7, 68, 7, 0, 0, 17, 6, 24, 6, 15, 5, 12, 62, 14, 6, 9, 5, 2.0, 9.0, 11.0, 0, 7, 14, 3, 6, 5, 0, 0, 11, 2, 1, 0, 0.0, 0, 2, 1, 4, 1, 12, 12, 14.29, 64.29, 78.57, 42.8984375, 85.6875, 85.6875, 28.59765625, 50.0, 100.0, 0.0, 78.59375, 14.298828125, 7.099609375, 0.0, 0.0, 21.3984375, 0.0, 42.8984375, 14.298828125, 35.6953125, 7.099609375, 17.0, 7.0, 16.0, 6.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 30.0, "6177", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6177&g_ta_cod=6177", 21.0, 43.0, 36.0),
(8187, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Italien", "Licence - Arts-lettres-langues", "Italien", 80, 64, 50, 47, 0, 34, 6, 0, 0, 1, 0, 12, 17, 2, 2, 1, 12, 47, 17, 0, 0, 34, 6, 0, 0, 1, 0, 12, 64, 7, 5, 4, 3, 4.0, 4.0, 7.0, 0, 1, 3, 2, 0, 1, 4, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 57.14, 57.14, 100.0, 71.390625, 66.6875, 66.6875, 0, 33.296875, 42.8984375, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 0.0, 0.0, 0.0, 33.296875, 33.296875, 36.0, 6.0, 2.0, 1.0, 24.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3552", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3552&g_ta_cod=3552", 57.0, 14.0, 29.0),
(8188, "Privé enseignement supérieur", "9720719Z", "EGC Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation sélective", "Ecole de Commerce", "EGC Martinique - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "", 65, 109, 50, 109, 0, 85, 11, 10, 2, 0, 0, 14, 0, 0, 0, 0, 0, 102, 0, 0, 0, 81, 11, 8, 2, 0, 0, 13, 98, 64, 27, 64, 0, 40.0, 62.0, 64.0, 0, 11, 53, 46, 7, 0, 11, 0, 14, 23, 15, 1, 0.0, 34, 5, 0, 0, 0, 51, 51, 62.5, 96.88, 100.0, 42.1953125, 96.1875, 96.1875, 0, 20.796875, 82.796875, 0.0, 26.3984375, 43.3984375, 28.296875, 1.9, 0.0, 86.796875, 64.1875, 13.19921875, 9.3984375, 0.0, 0.0, 77.0, 11.0, 0.0, 0.0, 13.0, "Tous les candidats", 102.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "12055", "Formation des écoles de commerce et de management Bac + 3", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12055&g_ta_cod=12055", 84.0, 16.0, 0.0),
(8189, "Public", "0550752U", "Lycée agricole Philippe De Vilmorin", "55", "Meuse", "Grand Est", "Nancy-Metz", "Bar-le-Duc", "formation sélective", "BTS", "Lycée agricole Philippe De Vilmorin - BTS - Agricole - Sciences et technologies des aliments spécialité Viandes et produits de la pêche", "BTS - Agricole", "", 8, 52, 22, 51, 0, 4, 1, 12, 3, 5, 0, 30, 1, 0, 1, 0, 0, 48, 0, 0, 0, 4, 1, 12, 3, 5, 0, 27, 20, 6, 3, 6, 0, 3.0, 5.0, 6.0, 0, 1, 5, 0, 4, 1, 1, 0, 3, 1, 1, 0, 0.0, 0, 1, 1, 1, 0, 5, 5, 50.0, 83.33, 100.0, 50.0, 100.0, 100.0, 20, 20.0, 83.296875, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 0.0, 0.0, 80.0, 20.0, 20.0, 20.0, 3.0, 1.0, 4.0, 0.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 51.0, "6412", "BTS - Agricole - Sciences et technologies des aliments spécialité Viandes et produits de la pêche", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6412&g_ta_cod=6412", 17.0, 67.0, 17.0),
(8190, "Privé sous contrat d'association", "0761735Y", "Lycée Jeanne D'Arc", "76", "Seine-Maritime", "Normandie", "Normandie", "Sainte-Adresse", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 317, 294, 305, 0, 32, 9, 95, 35, 111, 39, 67, 12, 2, 1, 3, 6, 294, 6, 0, 0, 32, 9, 94, 34, 109, 38, 59, 169, 21, 19, 20, 1, 3.0, 15.0, 17.0, 0, 6, 13, 1, 8, 4, 8, 0, 7, 4, 2, 0, 0.0, 1, 2, 3, 2, 2, 13, 13, 14.29, 71.43, 80.95, 90.5, 100.0, 100.0, 15.3984375, 46.1953125, 61.8984375, 0.0, 53.796875, 30.796875, 15.3984375, 0.0, 0.0, 7.69921875, 7.69921875, 61.5, 15.3984375, 30.796875, 23.09765625, 9.0, 5.0, 59.0, 20.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 51.0, "9672", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9672&g_ta_cod=9672", 10.0, 62.0, 29.0),
(8191, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues étrangères appliquées - Parcours Anglais-Arabe", "Licence - Arts-lettres-langues", "Anglais-Arabe", 85, 525, 390, 474, 0, 198, 107, 61, 40, 49, 36, 166, 51, 4, 7, 2, 38, 474, 45, 0, 0, 198, 107, 61, 40, 49, 36, 166, 381, 83, 56, 65, 18, 8.0, 56.0, 69.0, 0, 31, 46, 24, 17, 5, 37, 0, 21, 17, 6, 2, 0.0, 14, 7, 4, 0, 0, 27, 27, 9.64, 67.47, 83.13, 67.5, 58.6953125, 58.6953125, 0, 67.390625, 55.3984375, 0.0, 45.6953125, 37.0, 13.0, 4.3, 0.0, 52.1953125, 30.3984375, 37.0, 15.19921875, 10.8984375, 8.69921875, 165.0, 87.0, 28.0, 21.0, 139.0, "Tous les candidats", 474.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4575", "Licence - Langues étrangères appliquées - Parcours Anglais-Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4575&g_ta_cod=4575", 57.0, 29.0, 13.0),
(8192, "Public", "0590122M", "Lycée Valentine Labbe", "59", "Nord", "Hauts-de-France", "Lille", "La Madeleine", "formation sélective", "BTS", "Lycée Valentine Labbe - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 30, 749, 481, 721, 0, 202, 44, 221, 70, 41, 15, 257, 28, 0, 0, 19, 9, 358, 1, 0, 0, 146, 27, 135, 33, 22, 7, 55, 142, 21, 18, 21, 0, 3.0, 19.0, 19.0, 0, 8, 20, 10, 9, 1, 1, 0, 8, 9, 3, 0, 0.0, 7, 5, 0, 3, 2, 15, 15, 14.29, 90.48, 90.48, 85.6875, 75.0, 75.0, 15, 40.0, 95.1875, 0.0, 40.0, 45.0, 15.0, 0.0, 0.0, 50.0, 35.0, 45.0, 25.0, 5.0, 0.0, 50.0, 13.0, 21.0, 6.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 98.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 28.0, "6803", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6803&g_ta_cod=6803", 48.0, 48.0, 5.0),
(8193, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Droit - Parcours Droit (En enseignement à distance)", "Licence - Droit-économie-gestion", "Droit (En enseignement à distance)", 200, 1532, 1090, 1197, 0, 632, 149, 104, 41, 22, 9, 439, 335, 80, 18, 3, 234, 1196, 314, 0, 0, 632, 149, 104, 41, 22, 9, 438, 1139, 189, 120, 102, 87, 8.0, 95.0, 128.0, 0, 19, 62, 42, 16, 4, 127, 0, 29, 24, 8, 1, 0.0, 24, 7, 2, 0, 0, 39, 39, 4.23, 50.26, 67.72, 63.5, 62.8984375, 62.8984375, 0, 30.59765625, 32.796875, 0.0, 46.796875, 38.6953125, 12.8984375, 1.6, 0.0, 67.6875, 38.6953125, 25.796875, 11.298828125, 6.5, 3.19970703125, 603.0, 132.0, 14.0, 5.0, 448.0, "Tous les candidats", 1196.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24146", "Licence - Droit - Parcours Droit (En enseignement à distance)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24146&g_ta_cod=24146", 72.0, 16.0, 7.0),
(8194, "Public", "0772223Y", "Lycée Rene Descartes", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Champs-sur-Marne", "formation sélective", "BTS", "Lycée Rene Descartes - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 48, 1144, 108, 1144, 0, 148, 48, 281, 78, 286, 106, 429, 0, 0, 0, 0, 0, 1144, 0, 0, 0, 148, 48, 281, 78, 286, 106, 429, 229, 49, 5, 48, 0, 5.0, 34.0, 38.0, 0, 12, 46, 7, 20, 19, 3, 0, 17, 17, 11, 1, 0.0, 2, 10, 17, 0, 0, 44, 46, 10.2, 69.39, 77.55, 10.19921875, 95.6875, 100.0, 0, 26.09765625, 93.890625, 0.0, 37.0, 37.0, 23.8984375, 2.2, 0.0, 15.19921875, 4.2998046875, 43.5, 21.69921875, 41.296875, 37.0, 50.0, 11.0, 78.0, 28.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 122, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 24.0, "9875", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9875&g_ta_cod=9875", 16.0, 43.0, 41.0),
(8195, "Privé sous contrat d'association", "0740100G", "Lycée SAINT JOSEPH", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Thonon-les-Bains", "formation sélective", "BTS", "Lycée SAINT JOSEPH - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 14, 207, 155, 207, 0, 54, 8, 65, 11, 14, 1, 74, 0, 0, 0, 0, 0, 81, 0, 0, 0, 29, 4, 36, 3, 1, 0, 15, 46, 14, 11, 14, 0, 3.0, 8.0, 10.0, 0, 1, 14, 6, 8, 0, 0, 0, 6, 8, 0, 0, 0.0, 3, 5, 0, 8, 7, 14, 14, 21.43, 57.14, 71.43, 78.59375, 100.0, 100.0, 57.09375, 7.099609375, 100.0, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 42.8984375, 21.3984375, 57.09375, 35.6953125, 0.0, 0.0, 18.0, 4.0, 1.0, 0.0, 9.0, "Tous les candidats sauf les Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 32.0, "8886", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8886&g_ta_cod=8886", 43.0, 57.0, 0.0),
(8196, "Public", "0561739L", "Université de Bretagne Sud - Site de Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "Autre formation", "Université de Bretagne Sud - Site de Vannes - Diplôme d'Université - PAREO - DU PAREO Parcours Sanitaire et médico-social", "Diplôme d'Université", "DU PAREO Parcours Sanitaire et médico-social", 20, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 3.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35045", "Diplôme d'Université - PAREO - DU PAREO Parcours Sanitaire et médico-social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=35045&g_ta_cod=35045", 0, 0, 0),
(8197, "Public", "0341543T", "IFMEM EC MANIPULATEUR ELECTRORADIOLO CTRE FORMAT PERS HOSPITALIER", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "IFMEM EC MANIPULATEUR ELECTRORADIOLO CTRE FORMAT PERS HOSPITALIER - D.E manipulateur/trice en électroradiologie médicale", "D.E secteur sanitaire", "", 48, 764, 548, 764, 0, 150, 35, 124, 31, 6, 2, 484, 0, 0, 0, 0, 0, 160, 0, 0, 0, 56, 9, 8, 1, 0, 0, 96, 88, 48, 35, 48, 0, 27.0, 41.0, 42.0, 0, 7, 18, 17, 1, 0, 30, 0, 6, 7, 4, 1, 0.0, 11, 1, 0, 0, 0, 13, 13, 56.25, 85.42, 87.5, 72.890625, 72.1875, 72.1875, 0, 38.8984375, 37.5, 0.0, 33.296875, 38.8984375, 22.19921875, 5.6, 0.0, 94.390625, 61.09375, 5.599609375, 5.599609375, 0.0, 0.0, 34.0, 8.0, 0.0, 0.0, 52.0, "Tous les candidats", 79.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "19416", "D.E manipulateur/trice en électroradiologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19416&g_ta_cod=19416", 94.0, 6.0, 0.0),
(8198, "Privé sous contrat d'association", "0180561M", "Lycée Sainte Marie Saint Dominique", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BTS", "Lycée Sainte Marie Saint Dominique - BTS - Services - Gestion de la PME", "BTS - Services", "", 22, 181, 103, 142, 0, 18, 1, 51, 7, 39, 17, 34, 39, 2, 11, 13, 13, 74, 18, 0, 0, 17, 1, 36, 3, 13, 4, 8, 79, 19, 11, 8, 11, 2.0, 7.0, 14.0, 0, 0, 13, 2, 5, 6, 6, 0, 10, 1, 1, 1, 0.0, 0, 0, 3, 1, 1, 11, 11, 10.53, 36.84, 73.68, 57.8984375, 84.59375, 84.59375, 7.69921875, 0.0, 68.390625, 0.0, 76.890625, 7.69921875, 7.69921875, 7.7, 0.0, 15.3984375, 0.0, 38.5, 0.0, 46.1953125, 23.09765625, 16.0, 1.0, 16.0, 3.0, 13.0, "Tous les candidats sauf les Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 13, "", 0, "Liste d'appel propre à cette formation", 50.0, "3116", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3116&g_ta_cod=3116", 21.0, 47.0, 32.0),
(8199, "Public", "0210036A", "Lycée agricole Viticole", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Beaune", "formation sélective", "BTS", "Lycée agricole Viticole - BTS - Agricole - Viticulture-Oenologie", "BTS - Agricole", "", 35, 327, 108, 327, 0, 105, 7, 85, 9, 57, 7, 80, 0, 0, 0, 0, 0, 327, 0, 0, 0, 105, 7, 85, 9, 57, 7, 80, 79, 34, 11, 34, 0, 16.0, 30.0, 33.0, 0, 2, 31, 17, 9, 5, 3, 0, 0, 16, 11, 4, 0.0, 17, 9, 5, 11, 3, 17, 17, 47.06, 88.24, 97.06, 32.3984375, 54.796875, 54.796875, 35.5, 6.5, 91.1875, 0.0, 0.0, 51.59375, 35.5, 12.9, 0.0, 54.796875, 54.796875, 29.0, 29.0, 16.09765625, 16.09765625, 40.0, 4.0, 10.0, 1.0, 10.0, "Tous les candidats sauf les Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 9, "", 0, "Liste d'appel propre à cette formation", 27.0, "3203", "BTS - Agricole - Viticulture-Oenologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3203&g_ta_cod=3203", 59.0, 26.0, 15.0),
(8200, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "Licence", "ICES - Institut Catholique de Vendée - Double licence - Science politique / Langues, littératures & civilisations étrangères et régionales - Double Licence LLCER Anglais / Science Politique", "Licence - Droit-économie-gestion", "Double Licence LLCER Anglais / Science Politique", 40, 251, 191, 249, 0, 226, 10, 0, 0, 0, 0, 23, 2, 0, 1, 0, 1, 233, 0, 0, 0, 217, 9, 0, 0, 0, 0, 16, 140, 37, 30, 37, 0, 16.0, 37.0, 37.0, 0, 1, 37, 37, 0, 0, 0, 0, 0, 5, 23, 9, 0.0, 37, 0, 0, 0, 0, 19, 19, 43.24, 100.0, 100.0, 81.09375, 51.3984375, 51.3984375, 0, 2.69970703125, 100.0, 0.0, 0.0, 13.5, 62.1953125, 24.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 128.0, 5.0, 0.0, 0.0, 12.0, "Tous les candidats", 197.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "19378", "Double licence - Science politique / Langues, littératures & civilisations étrangères et régionales - Double Licence LLCER Anglais / Science Politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19378&g_ta_cod=19378", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(8201, "Public", "0370039S", "Lycée Paul-Louis Courier", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Paul-Louis Courier - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 34, 987, 112, 987, 0, 149, 27, 279, 75, 210, 75, 349, 0, 0, 0, 0, 0, 434, 0, 0, 0, 114, 17, 146, 35, 127, 39, 47, 107, 34, 4, 34, 0, 9.0, 30.0, 33.0, 0, 9, 30, 14, 5, 11, 4, 0, 6, 11, 9, 4, 0.0, 8, 5, 11, 2, 1, 22, 22, 26.47, 88.24, 97.06, 11.798828125, 73.296875, 73.296875, 6.69921875, 30.0, 88.1875, 0.0, 20.0, 36.6953125, 30.0, 13.3, 0.0, 46.6953125, 26.69921875, 16.69921875, 16.69921875, 36.6953125, 36.6953125, 54.0, 9.0, 22.0, 5.0, 16.0, "Tous les candidats sauf les Bac professionnels", 143.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 18.0, "4846", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4846&g_ta_cod=4846", 53.0, 15.0, 32.0),
(8202, "Public", "0900002N", "Lycée Condorcet", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "BTS", "Lycée Condorcet - BTS - Services - Commerce International", "BTS - Services", "", 35, 545, 296, 545, 0, 117, 42, 189, 78, 57, 35, 182, 0, 0, 0, 0, 0, 489, 0, 0, 0, 117, 42, 184, 77, 47, 27, 141, 172, 35, 15, 35, 0, 3.0, 27.0, 34.0, 0, 13, 23, 9, 11, 3, 12, 0, 11, 11, 0, 1, 0.0, 2, 7, 3, 2, 0, 18, 18, 8.57, 77.14, 97.14, 42.8984375, 78.296875, 78.296875, 8.69921875, 56.5, 65.6875, 0.0, 47.796875, 47.796875, 0.0, 4.3, 0.0, 39.09375, 8.69921875, 47.796875, 30.3984375, 13.0, 13.0, 67.0, 30.0, 11.0, 6.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 126.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 101, "Liste d'appel propre à cette formation", 45.0, "10804", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10804&g_ta_cod=10804", 43.0, 49.0, 9.0),
(8203, "Public", "0250010A", "Lycée Louis Pergaud", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Louis Pergaud - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 25, 516, 286, 472, 0, 74, 15, 129, 43, 102, 47, 167, 44, 2, 0, 24, 18, 230, 7, 0, 0, 47, 11, 71, 17, 55, 25, 57, 111, 21, 13, 16, 5, 3.0, 13.0, 16.0, 0, 7, 14, 2, 1, 11, 7, 0, 2, 7, 4, 1, 0.0, 1, 1, 10, 0, 0, 14, 14, 14.29, 61.9, 76.19, 61.8984375, 100.0, 100.0, 0, 50.0, 66.6875, 0.0, 14.298828125, 50.0, 28.59765625, 7.1, 0.0, 14.298828125, 7.099609375, 7.099609375, 7.099609375, 78.59375, 71.390625, 15.0, 8.0, 46.0, 24.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 37.0, "3465", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3465&g_ta_cod=3465", 33.0, 10.0, 57.0),
(8204, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Humanités - Parcours Humanités numériques", "Licence - Arts-lettres-langues", "Humanités numériques", 40, 294, 204, 252, 0, 169, 37, 12, 6, 0, 0, 71, 42, 9, 3, 0, 30, 252, 41, 0, 0, 169, 37, 12, 6, 0, 0, 71, 200, 37, 30, 25, 12, 4.0, 25.0, 30.0, 0, 6, 23, 22, 1, 0, 14, 0, 6, 9, 7, 1, 0.0, 16, 1, 0, 0, 0, 18, 18, 10.81, 67.57, 81.08, 81.09375, 78.296875, 78.296875, 0, 26.09765625, 62.1953125, 0.0, 26.09765625, 39.09375, 30.3984375, 4.3, 0.0, 95.6875, 69.59375, 4.2998046875, 4.2998046875, 0.0, 0.0, 110.0, 22.0, 0.0, 0.0, 77.0, "Tous les candidats", 250.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "19528", "Licence - Humanités - Parcours Humanités numériques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19528&g_ta_cod=19528", 81.0, 16.0, 3.0),
(8205, "Public", "0410718H", "Lycée Professionnel Val de Cher", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Saint-Aignan", "formation sélective", "Autre formation", "Lycée Professionnel Val de Cher - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 12, 10, 0, 9, 0, 0, 0, 0, 0, 7, 5, 2, 1, 0, 0, 0, 1, 5, 1, 0, 0, 0, 0, 0, 0, 4, 3, 1, 6, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 4.0, 3.0, 2.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "33452", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33452&g_ta_cod=33452", 0.0, 0.0, 100.0),
(8206, "Public", "0150746E", "I.U.T. de Clermont-Ferrand - Antenne d'Aurillac", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "BUT", "I.U.T. de Clermont-Ferrand - Antenne d'Aurillac - BUT - Statistique et informatique décisionnelle Parcours : Sciences des données : exploration et modélisation statistique - Sciences des données : visualisation, conception d'outils décisionnels", "BUT - Service", "Sciences des données : exploration et modélisation statistique - Sciences des données : visualisation, conception d'outils décisionnels", 48, 372, 60, 302, 0, 196, 26, 44, 4, 5, 2, 57, 70, 13, 3, 1, 53, 242, 24, 0, 0, 164, 20, 36, 2, 4, 2, 38, 190, 29, 6, 23, 6, 2.0, 23.0, 29.0, 0, 5, 16, 10, 4, 2, 13, 0, 6, 6, 4, 0, 0.0, 5, 4, 1, 0, 0, 4, 4, 6.9, 79.31, 100.0, 20.69921875, 25.0, 25.0, 0, 31.296875, 55.1953125, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 62.5, 31.296875, 25.0, 25.0, 12.5, 6.2998046875, 104.0, 15.0, 2.0, 2.0, 52.0, "Tous les candidats sauf les Bac technologiques", 201.0, "Bacheliers technologiques toutes séries", 40, "", 0, "Liste d'appel propre à cette formation", 80.0, "24715", "BUT - Statistique et informatique décisionnelle Parcours : Sciences des données : exploration et modélisation statistique - Sciences des données : visualisation, conception d'outils décisionnels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24715&g_ta_cod=24715", 72.0, 21.0, 7.0),
(8207, "Public", "9711032V", "Lycée Charles Coeffin", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "BTS", "Lycée Charles Coeffin - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 83, 10, 66, 0, 4, 1, 41, 20, 11, 6, 10, 17, 1, 4, 4, 8, 37, 5, 0, 0, 4, 1, 31, 14, 2, 0, 0, 39, 16, 1, 11, 4, 3.0, 11.0, 13.0, 0, 9, 12, 2, 9, 1, 4, 0, 10, 2, 0, 0, 0.0, 0, 2, 0, 5, 1, 12, 12, 18.75, 68.75, 81.25, 6.2998046875, 100.0, 100.0, 41.6953125, 75.0, 75.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 16.69921875, 0.0, 75.0, 16.69921875, 8.298828125, 0.0, 4.0, 1.0, 3.0, 1.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 2, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 53.0, "11762", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11762&g_ta_cod=11762", 13.0, 63.0, 25.0),
(8208, "Privé sous contrat d'association", "0694060N", "IET - Institut de l'environnement et des technologies", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "BTS", "IET - Institut de l'environnement et des technologies - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 90, 650, 267, 597, 0, 226, 30, 111, 12, 73, 16, 187, 53, 8, 13, 4, 28, 386, 32, 0, 0, 176, 23, 65, 10, 44, 7, 101, 333, 87, 36, 76, 11, 18.0, 63.0, 82.0, 0, 5, 50, 24, 16, 10, 37, 0, 19, 25, 5, 1, 0.0, 16, 10, 5, 0, 0, 23, 23, 20.69, 72.41, 94.25, 41.3984375, 46.0, 46.0, 0, 10.0, 57.5, 0.0, 38.0, 50.0, 10.0, 2.0, 0.0, 48.0, 32.0, 32.0, 20.0, 20.0, 10.0, 130.0, 15.0, 46.0, 8.0, 96.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 261.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 64.0, "8587", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8587&g_ta_cod=8587", 59.0, 23.0, 18.0),
(8209, "Public", "0840005Z", "Lycée Philippe de Girard", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée Philippe de Girard - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 12, 229, 10, 229, 0, 11, 1, 71, 16, 103, 47, 44, 0, 0, 0, 0, 0, 143, 0, 0, 0, 11, 1, 55, 10, 77, 34, 0, 23, 12, 2, 12, 0, 5.0, 9.0, 11.0, 0, 7, 12, 1, 3, 8, 0, 0, 4, 5, 3, 0, 0.0, 1, 2, 5, 3, 0, 12, 12, 41.67, 75.0, 91.67, 16.69921875, 100.0, 100.0, 25, 58.296875, 100.0, 0.0, 33.296875, 41.6953125, 25.0, 0.0, 0.0, 8.298828125, 8.298828125, 25.0, 16.69921875, 66.6875, 41.6953125, 2.0, 1.0, 18.0, 8.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 3, "Liste d'appel propre à cette formation", 13.0, "13487", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13487&g_ta_cod=13487", 8.0, 25.0, 67.0),
(8210, "Public", "0590011S", "Lycée Gustave Eiffel", "59", "Nord", "Hauts-de-France", "Lille", "Armentières", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Production - Métiers de la mesure", "BTS - Production", "", 15, 53, 11, 47, 0, 4, 2, 17, 2, 2, 1, 24, 6, 0, 4, 1, 1, 32, 1, 0, 0, 4, 2, 17, 2, 2, 1, 9, 25, 3, 1, 3, 0, 1.0, 3.0, 3.0, 0, 0, 2, 0, 2, 0, 1, 0, 0, 1, 0, 0, 1.0, 0, 2, 0, 2, 1, 2, 2, 33.33, 100.0, 100.0, 33.296875, 100.0, 100.0, 100, 0.0, 66.6875, 0.0, 0.0, 50.0, 0.0, 0.0, 50.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 4.0, 2.0, 2.0, 1.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 2, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 64.0, "6713", "BTS - Production - Métiers de la mesure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6713&g_ta_cod=6713", 0.0, 100.0, 0.0),
(8211, "Public", "0670005S", "Lycée Andre Maurois", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Bischwiller", "formation sélective", "BTS", "Lycée Andre Maurois - BTS - Services - Gestion de la PME", "BTS - Services", "", 28, 500, 331, 459, 0, 35, 10, 121, 49, 182, 94, 121, 41, 3, 2, 5, 31, 301, 7, 0, 0, 29, 7, 121, 49, 98, 47, 53, 153, 19, 13, 13, 5, 0.0, 6.0, 12.0, 0, 5, 10, 0, 4, 6, 9, 0, 4, 3, 2, 1, 0.0, 0, 1, 5, 0, 0, 10, 10, 0.0, 31.58, 63.16, 68.390625, 100.0, 100.0, 0, 50.0, 52.59375, 0.0, 40.0, 30.0, 20.0, 10.0, 0.0, 0.0, 0.0, 40.0, 10.0, 60.0, 50.0, 16.0, 6.0, 58.0, 29.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 94, "Bacheliers technologiques toutes séries", 132, "Liste d'appel propre à cette formation", 59.0, "7901", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7901&g_ta_cod=7901", 11.0, 42.0, 47.0),
(8212, "Public", "9730408F", "IUT de Kourou - Campus de TROUBIRAN à Cayenne", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "BUT", "IUT de Kourou - Campus de TROUBIRAN à Cayenne - BUT - Carrières sociales Parcours animation sociale et socioculturelle", "BUT - Service", "", 25, 297, 255, 234, 0, 66, 37, 63, 37, 57, 30, 48, 63, 1, 8, 10, 44, 71, 12, 0, 0, 25, 20, 28, 18, 7, 4, 11, 69, 25, 22, 14, 10, 8.0, 14.0, 22.0, 0, 14, 15, 3, 11, 1, 10, 0, 6, 6, 3, 0, 0.0, 3, 5, 1, 0, 0, 15, 15, 32.0, 56.0, 88.0, 88.0, 100.0, 100.0, 0, 93.296875, 60.0, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 20.0, 20.0, 73.296875, 33.296875, 6.69921875, 6.69921875, 20.0, 15.0, 4.0, 3.0, 20.0, "Tous les candidats sauf les Bac technologiques", 36.0, "Bacheliers technologiques toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 28.0, "17208", "BUT - Carrières sociales Parcours animation sociale et socioculturelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17208&g_ta_cod=17208", 36.0, 56.0, 4.0),
(8213, "Public", "0871030X", "Lycée des Métiers - Jean Monnet", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Autre formation", "Lycée des Métiers - Jean Monnet - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 15, 156, 80, 156, 0, 42, 8, 24, 6, 18, 4, 72, 0, 0, 0, 0, 0, 156, 0, 0, 0, 42, 8, 24, 6, 18, 4, 72, 80, 9, 2, 9, 0, 3.0, 8.0, 8.0, 0, 1, 4, 3, 1, 0, 5, 0, 2, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 3, 3, 33.33, 88.89, 88.89, 22.19921875, 75.0, 75.0, 0, 25.0, 44.3984375, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 75.0, 50.0, 25.0, 0.0, 0.0, 0.0, 29.0, 5.0, 5.0, 0.0, 28.0, "Tous les candidats", 111.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "10725", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10725&g_ta_cod=10725", 89.0, 11.0, 0.0),
(8214, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Néerlandais (En enseignement à distance)", "Licence - Arts-lettres-langues", "Néerlandais (En enseignement à distance)", 15, 44, 33, 33, 0, 1, 0, 1, 1, 1, 0, 30, 11, 1, 0, 0, 10, 33, 11, 0, 0, 1, 0, 1, 1, 1, 0, 30, 42, 14, 9, 10, 4, 5.0, 10.0, 12.0, 0, 0, 0, 0, 0, 0, 14, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 35.71, 71.43, 85.71, 64.296875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.0, 1.0, 1.0, 0.0, 38.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24235", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Néerlandais (En enseignement à distance)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24235&g_ta_cod=24235", 79.0, 0.0, 7.0),
(8215, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université de Montpellier - Licence - Portail Sciences de la vie - Licence - Portail Sciences de la Vie/Sciences de l'environnement (SVSE)", "Licence - Sciences - technologies - santé", "Licence - Portail Sciences de la Vie/Sciences de l'environnement (SVSE)", 480, 5116, 3483, 5116, 0, 2895, 563, 202, 45, 20, 11, 1999, 0, 0, 0, 0, 0, 5099, 0, 0, 0, 2895, 563, 202, 45, 20, 11, 1982, 2140, 444, 292, 443, 0, 138.0, 242.0, 350.0, 0, 54, 213, 205, 7, 1, 231, 0, 33, 87, 71, 22, 0.0, 174, 5, 1, 0, 0, 185, 185, 31.08, 54.5, 78.83, 65.796875, 86.890625, 86.890625, 0, 25.3984375, 48.0, 0.0, 15.5, 40.796875, 33.296875, 10.3, 0.0, 96.1875, 81.6875, 3.2998046875, 2.2998046875, 0.5, 0.5, 1124.0, 262.0, 1.0, 1.0, 1001.0, "Tous les candidats", 2655.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 44.0, "31261", "Licence - Portail Sciences de la vie - Licence - Portail Sciences de la Vie/Sciences de l'environnement (SVSE)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31264&g_ta_cod=31261", 96.0, 2.0, 1.0),
(8216, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Licence - Arts du spectacle - Parcours Etudes cinématographiques", "Licence - Arts-lettres-langues", "Etudes cinématographiques", 77, 1546, 892, 1546, 0, 907, 136, 74, 19, 21, 7, 544, 0, 0, 0, 0, 0, 1156, 0, 0, 0, 815, 112, 10, 1, 5, 0, 326, 363, 76, 57, 76, 0, 14.0, 72.0, 73.0, 0, 6, 65, 65, 0, 0, 11, 0, 1, 10, 43, 10, 1.0, 64, 0, 0, 0, 0, 13, 40, 18.42, 94.74, 96.05, 75.0, 20.0, 61.5, 0, 9.19921875, 85.5, 0.0, 1.5, 15.3984375, 66.1875, 15.4, 1.5, 100.0, 98.5, 0.0, 0.0, 0.0, 0.0, 306.0, 40.0, 0.0, 0.0, 57.0, "Tous les candidats", 449.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "9339", "Licence - Arts du spectacle - Parcours Etudes cinématographiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9339&g_ta_cod=9339", 100.0, 0.0, 0.0),
(8217, "Public", "0100852X", "IFSI Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "IFSI", "Regroupement d'IFSI Université Reims - D.E Infirmier", "D.E secteur sanitaire", "", 85, 2601, 2214, 2601, 0, 479, 103, 582, 182, 256, 111, 1284, 0, 0, 0, 0, 0, 2072, 0, 0, 0, 388, 68, 469, 127, 195, 79, 1020, 470, 88, 74, 88, 0, 8.0, 66.0, 88.0, 0, 11, 43, 12, 19, 12, 45, 0, 6, 22, 13, 2, 0.0, 11, 16, 10, 0, 0, 34, 34, 9.09, 75.0, 100.0, 84.09375, 79.09375, 79.09375, 0, 25.59765625, 48.8984375, 0.0, 14.0, 51.1953125, 30.19921875, 4.7, 0.0, 27.8984375, 25.59765625, 44.1953125, 37.1953125, 27.8984375, 23.296875, 69.0, 9.0, 48.0, 13.0, 229.0, "Tous les candidats", 1144.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "23218", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22986&g_ta_cod=23218", 51.0, 26.0, 22.0),
(8218, "Public", "0220057T", "Lycée Ernest Renan", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée Ernest Renan - BTS - Services - Tourisme", "BTS - Services", "", 35, 585, 424, 577, 0, 159, 31, 113, 24, 103, 32, 202, 8, 0, 0, 3, 5, 324, 0, 0, 0, 123, 22, 83, 17, 68, 19, 50, 193, 32, 26, 31, 0, 4.0, 25.0, 30.0, 0, 6, 25, 12, 8, 5, 7, 0, 5, 16, 3, 1, 0.0, 10, 6, 4, 1, 1, 23, 23, 12.5, 78.13, 93.75, 81.296875, 92.0, 92.0, 4, 24.0, 78.09375, 0.0, 20.0, 64.0, 12.0, 4.0, 0.0, 48.0, 40.0, 32.0, 24.0, 20.0, 16.0, 69.0, 13.0, 39.0, 11.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 150.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 51.0, "3322", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3322&g_ta_cod=3322", 53.0, 28.0, 19.0),
(8219, "Privé sous contrat d'association", "0131319N", "Lycée Nativite (La)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "CPGE", "Lycée Nativite (La) - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 506, 275, 497, 302, 459, 48, 0, 0, 0, 0, 38, 9, 7, 0, 0, 2, 413, 3, 260, 378, 396, 39, 0, 0, 0, 0, 17, 261, 22, 10, 21, 1, 1.0, 13.0, 21.0, 6, 1, 21, 21, 0, 0, 1, 0, 1, 11, 8, 1, 0.0, 20, 0, 0, 1, 0, 14, 14, 4.55, 59.09, 95.45, 45.5, 66.6875, 66.6875, 4.7998046875, 4.7998046875, 95.5, 0.0, 4.7998046875, 52.3984375, 38.09375, 4.8, 0.0, 100.0, 95.1875, 0.0, 0.0, 0.0, 0.0, 250.0, 22.0, 0.0, 0.0, 11.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "31665", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31273&g_ta_cod=31665", 100.0, 0.0, 0.0),
(8220, "Public", "0350700W", "Lycée agricole Theodore Monod", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Le Rheu", "formation sélective", "BTS", "Lycée agricole Theodore Monod - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 32, 276, 79, 257, 0, 41, 4, 79, 16, 32, 10, 105, 19, 5, 3, 4, 7, 163, 16, 0, 0, 41, 4, 78, 16, 25, 8, 19, 134, 28, 4, 25, 3, 5.0, 25.0, 26.0, 0, 9, 27, 9, 14, 4, 1, 0, 17, 9, 1, 0, 0.0, 0, 7, 3, 2, 0, 20, 20, 17.86, 89.29, 92.86, 14.298828125, 74.09375, 74.09375, 7.3994140625, 33.296875, 96.390625, 0.0, 63.0, 33.296875, 3.69970703125, 0.0, 0.0, 33.296875, 0.0, 51.8984375, 25.8984375, 14.798828125, 11.099609375, 35.0, 4.0, 20.0, 8.0, 19.0, "Tous les candidats sauf les Bac professionnels", 138.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 63.0, "4669", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4669&g_ta_cod=4669", 36.0, 50.0, 14.0),
(8221, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Autre formation", "Université de Poitiers - DEUST - Animation et gestion des activités sportives, physiques ou culturelles, parcours activités de pleine nature", "DEUST", "", 14, 302, 77, 302, 0, 129, 16, 68, 14, 25, 7, 80, 0, 0, 0, 0, 0, 159, 0, 0, 0, 71, 8, 28, 2, 15, 4, 45, 61, 13, 3, 13, 0, 2.0, 9.0, 10.0, 0, 1, 7, 4, 2, 1, 6, 0, 4, 1, 1, 1, 0.0, 2, 0, 1, 0, 0, 1, 1, 15.38, 69.23, 76.92, 23.09765625, 14.298828125, 14.298828125, 0, 14.298828125, 53.796875, 0.0, 57.09375, 14.298828125, 14.298828125, 14.3, 0.0, 57.09375, 28.59765625, 28.59765625, 0.0, 14.298828125, 14.298828125, 25.0, 4.0, 8.0, 4.0, 20.0, "Tous les candidats", 67.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "22752", "DEUST - Animation et gestion des activités sportives, physiques ou culturelles, parcours activités de pleine nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22752&g_ta_cod=22752", 46.0, 38.0, 8.0),
(8222, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences humaines et sociales", "", 365, 3152, 1004, 3152, 0, 2183, 277, 298, 53, 67, 20, 604, 0, 0, 0, 0, 0, 3151, 0, 0, 0, 2183, 277, 298, 53, 67, 20, 603, 889, 362, 78, 362, 0, 104.0, 279.0, 308.0, 0, 57, 304, 271, 21, 12, 58, 0, 130, 126, 44, 4, 0.0, 156, 8, 10, 0, 0, 296, 296, 28.73, 77.07, 85.08, 21.5, 97.390625, 97.390625, 0, 18.796875, 84.0, 0.0, 42.796875, 41.3984375, 14.5, 1.3, 0.0, 89.09375, 51.296875, 6.8994140625, 2.599609375, 3.89990234375, 3.2998046875, 615.0, 98.0, 21.0, 7.0, 216.0, "Tous les candidats", 905.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "2884", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27705&g_ta_cod=2884", 89.0, 7.0, 4.0),
(8223, "Public", "0260998U", "I.U.T de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BUT", "I.U.T de Valence - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Business développement et management de la relation client", 145, 2909, 1434, 2909, 0, 1622, 249, 884, 203, 44, 22, 359, 0, 0, 0, 0, 0, 2684, 0, 0, 0, 1622, 249, 719, 146, 44, 22, 299, 615, 139, 67, 138, 0, 38.0, 105.0, 127.0, 0, 16, 131, 69, 62, 0, 8, 0, 12, 69, 48, 2, 0.0, 66, 53, 0, 0, 0, 112, 112, 27.34, 75.54, 91.37, 48.1953125, 85.5, 85.5, 0, 12.19921875, 94.1875, 0.0, 9.19921875, 52.6953125, 36.59375, 1.5, 0.0, 52.6953125, 50.3984375, 47.296875, 40.5, 0.0, 0.0, 349.0, 63.0, 1.0, 1.0, 26.0, "Tous les candidats sauf les Bac technologiques", 592.0, "Bacheliers technologiques toutes séries", 396, "", 0, "Liste d'appel propre à cette formation", 34.0, "3649", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3649&g_ta_cod=3649", 53.0, 47.0, 0.0),
(8224, "Privé sous contrat d'association", "0590343C", "ISA", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Réseau France Agro3 - Formation d'ingénieur Bac + 5 - Voie d'accès bac série générale", "Formations  des écoles d'ingénieurs", "Voie d'accès bac série générale", 172, 952, 480, 952, 0, 943, 59, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 805, 0, 0, 0, 801, 40, 0, 0, 0, 0, 4, 622, 178, 105, 178, 0, 145.0, 178.0, 178.0, 0, 12, 177, 177, 0, 0, 1, 0, 4, 56, 88, 28, 1.0, 173, 0, 0, 0, 0, 111, 111, 81.46, 100.0, 100.0, 59.0, 62.6953125, 62.6953125, 0, 6.7998046875, 99.390625, 0.0, 2.2998046875, 31.59765625, 49.6953125, 15.8, 0.6, 100.0, 97.6875, 0.0, 0.0, 0.0, 0.0, 620.0, 36.0, 0.0, 0.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "25918", "Formation d'ingénieur Bac + 5 - Voie d'accès bac série générale", "Réseau France Agro3", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25916&g_ta_cod=25918", 100.0, 0.0, 0.0),
(8225, "Privé hors contrat", "0311098A", "Pôle formation recherche Institut Saint Simon", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "EFTS", "Pôle formation recherche Institut Saint Simon - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 15, 372, 355, 372, 0, 58, 15, 72, 14, 43, 8, 199, 0, 0, 0, 0, 0, 119, 0, 0, 0, 11, 1, 20, 2, 6, 2, 82, 34, 15, 15, 15, 0, 8.0, 14.0, 14.0, 0, 1, 4, 2, 1, 1, 11, 0, 1, 2, 1, 0, 0.0, 2, 0, 1, 0, 0, 1, 1, 53.33, 93.33, 93.33, 100.0, 25.0, 25.0, 0, 25.0, 26.69921875, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 50.0, 50.0, 25.0, 0.0, 25.0, 25.0, 2.0, 1.0, 1.0, 0.0, 30.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "25301", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24852&g_ta_cod=25301", 33.0, 40.0, 20.0),
(8226, "Public", "0590184E", "Lycée Jean Rostand", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "Autre formation", "Lycée Jean Rostand - Mention complémentaire - Dispositif SAS - Préparation à l'apprentissage", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 0.0, 5.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22311", "Mention complémentaire - Dispositif SAS - Préparation à l'apprentissage", "", "", 0, 0, 0),
(8227, "Public", "0940118T", "Lycée Louis Armand", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Nogent-sur-Marne", "formation sélective", "BTS", "Lycée Louis Armand - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 997, 83, 997, 0, 116, 31, 259, 83, 253, 124, 369, 0, 0, 0, 0, 0, 407, 0, 0, 0, 73, 16, 123, 36, 132, 71, 79, 96, 25, 4, 23, 0, 6.0, 22.0, 23.0, 0, 7, 12, 3, 2, 7, 13, 0, 5, 4, 2, 1, 0.0, 0, 1, 6, 3, 1, 11, 12, 24.0, 88.0, 92.0, 16.0, 91.6875, 100.0, 25, 58.296875, 48.0, 0.0, 41.6953125, 33.296875, 16.69921875, 8.3, 0.0, 25.0, 0.0, 16.69921875, 8.298828125, 58.296875, 50.0, 8.0, 6.0, 43.0, 18.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 15.0, "11382", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11382&g_ta_cod=11382", 44.0, 28.0, 28.0),
(8228, "Public", "0771658J", "Lycée du Gué-à-Tresmes", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Congis-sur-Thérouanne", "formation sélective", "Autre formation", "Lycée du Gué-à-Tresmes - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 22, 131, 57, 99, 0, 27, 3, 17, 3, 10, 3, 45, 32, 7, 5, 4, 16, 63, 16, 0, 0, 27, 3, 16, 3, 9, 3, 11, 89, 21, 8, 16, 4, 8.0, 16.0, 18.0, 0, 2, 17, 6, 7, 4, 4, 3, 8, 5, 1, 0, 0.0, 2, 2, 2, 0, 0, 11, 13, 38.1, 76.19, 85.71, 38.09375, 64.6875, 76.5, 0, 11.798828125, 81.0, 17.59765625, 47.09375, 29.3984375, 5.8994140625, 0.0, 0.0, 35.296875, 11.798828125, 41.1953125, 11.798828125, 23.5, 11.798828125, 33.0, 6.0, 12.0, 5.0, 18.0, "Tous les candidats", 63.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "9846", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9846&g_ta_cod=9846", 48.0, 33.0, 19.0),
(8229, "Public", "0290341N", "Lycée agricole De L'Aulne", "29", "Finistère", "Bretagne", "Rennes", "Châteaulin", "formation sélective", "BTS", "Lycée agricole De L'Aulne - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 27, 384, 108, 384, 0, 23, 2, 54, 16, 71, 8, 236, 0, 0, 0, 0, 0, 199, 0, 0, 0, 23, 2, 54, 16, 69, 8, 53, 134, 28, 6, 28, 0, 4.0, 18.0, 24.0, 0, 1, 19, 3, 1, 15, 9, 0, 9, 7, 3, 0, 0.0, 1, 0, 9, 10, 1, 17, 17, 14.29, 64.29, 85.71, 21.3984375, 89.5, 89.5, 52.59375, 5.2998046875, 67.890625, 0.0, 47.3984375, 36.796875, 15.798828125, 0.0, 0.0, 15.798828125, 5.2998046875, 5.2998046875, 0.0, 78.890625, 47.3984375, 16.0, 2.0, 52.0, 6.0, 39.0, "Tous les candidats sauf les Bac professionnels", 106.0, "Bacheliers professionnels toutes séries", 70, "", 0, "Liste d'appel propre à cette formation", 46.0, "3854", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3854&g_ta_cod=3854", 32.0, 14.0, 54.0),
(8230, "Public", "0782557F", "Lycée Jean-Baptiste Poquelin", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "Autre formation", "Lycée Jean-Baptiste Poquelin - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 33, 14, 5, 0, 0, 0.0, 0.0, 0.0, 0, 5, 14, 0, 6, 8, 0, 0, 14, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 13, 13, 0.0, 0.0, 0.0, 35.6953125, 92.890625, 92.890625, 0, 35.6953125, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 42.8984375, 0.0, 57.09375, 0.0, 0.0, 0.0, 15.0, 7.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22464", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 43.0, 57.0),
(8231, "Public", "0020014E", "Lycée Gay Lussac", "02", "Aisne", "Hauts-de-France", "Amiens", "Chauny", "formation sélective", "BTS", "Lycée Gay Lussac - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 342, 163, 342, 0, 29, 6, 96, 34, 110, 44, 107, 0, 0, 0, 0, 0, 253, 0, 0, 0, 25, 6, 77, 27, 110, 44, 41, 124, 31, 14, 31, 0, 8.0, 24.0, 27.0, 0, 11, 25, 1, 10, 14, 6, 0, 8, 7, 10, 0, 0.0, 0, 4, 13, 9, 4, 24, 24, 25.81, 77.42, 87.1, 45.1953125, 96.0, 96.0, 36, 44.0, 80.59375, 0.0, 32.0, 28.0, 40.0, 0.0, 0.0, 4.0, 0.0, 40.0, 16.0, 56.0, 52.0, 13.0, 5.0, 52.0, 23.0, 25.0, "Tous les candidats sauf les Bac professionnels", 93.0, "Bacheliers professionnels toutes séries", 59, "", 0, "Liste d'appel propre à cette formation", 44.0, "2042", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2042&g_ta_cod=2042", 6.0, 42.0, 52.0),
(8232, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Portail Philosophie - Sciences sociales", "Licence - Sciences humaines et sociales", "Sciences sociales", 75, 421, 274, 342, 0, 212, 44, 23, 6, 5, 1, 102, 79, 15, 6, 2, 56, 342, 66, 0, 0, 212, 44, 23, 6, 5, 1, 102, 378, 51, 28, 28, 22, 14.0, 28.0, 40.0, 0, 5, 22, 20, 1, 1, 29, 2, 8, 5, 5, 2, 0.0, 11, 0, 1, 0, 0, 19, 19, 27.45, 54.9, 78.43, 54.8984375, 86.390625, 86.390625, 0, 22.69921875, 43.09375, 9.099609375, 36.3984375, 22.69921875, 22.69921875, 9.1, 0.0, 90.890625, 50.0, 4.5, 0.0, 4.5, 4.5, 217.0, 44.0, 3.0, 0.0, 137.0, "Tous les candidats", 380.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "31713", "Licence - Portail Philosophie - Sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31714&g_ta_cod=31713", 75.0, 16.0, 6.0),
(8233, "Public", "0831616F", "Lycée Rouvière", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Rouvière - BTS - Production - Electrotechnique", "BTS - Production", "", 21, 199, 17, 198, 0, 9, 0, 46, 5, 84, 35, 59, 1, 0, 0, 0, 1, 144, 0, 0, 0, 7, 0, 45, 5, 66, 25, 26, 80, 18, 1, 18, 0, 1.0, 14.0, 17.0, 0, 2, 14, 0, 4, 10, 4, 0, 2, 5, 7, 0, 0.0, 0, 3, 9, 0, 0, 13, 13, 5.56, 77.78, 94.44, 5.599609375, 92.890625, 92.890625, 0, 14.298828125, 77.796875, 0.0, 14.298828125, 35.6953125, 50.0, 0.0, 0.0, 0.0, 0.0, 28.59765625, 21.3984375, 71.390625, 64.296875, 2.0, 0.0, 35.0, 11.0, 14.0, "Tous les candidats sauf les Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 52, "", 0, "Liste d'appel propre à cette formation", 56.0, "10407", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10407&g_ta_cod=10407", 6.0, 39.0, 56.0),
(8234, "Public", "0710012C", "Lycée Nicéphore Niepce", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "BTS", "Lycée Nicéphore Niepce - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 193, 31, 160, 0, 8, 2, 26, 7, 21, 8, 105, 33, 2, 5, 12, 14, 39, 14, 0, 0, 5, 1, 16, 5, 11, 2, 7, 54, 11, 1, 3, 7, 0.0, 3.0, 8.0, 0, 4, 6, 0, 0, 6, 5, 0, 3, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 0, 0, 0.0, 27.27, 72.73, 9.099609375, 0.0, 0.0, 0, 66.6875, 54.5, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 7.0, 2.0, 18.0, 6.0, 11.0, "Tous les candidats sauf les Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 12, "", 0, "Liste d'appel propre à cette formation", 24.0, "8624", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8624&g_ta_cod=8624", 27.0, 18.0, 55.0),
(8235, "Public", "0900024M", "CNAM de Franche-Comté site de Besançon et CNAM de Franche-Comté site de Belfort", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "Licence", "CNAM de Franche-Comté site de Besançon et CNAM de Franche-Comté site de Belfort - Licence - Gestion - Parcours Commerce Vente et Marketing", "Licence - Droit-économie-gestion", "Commerce Vente et Marketing", 105, 413, 241, 310, 0, 158, 27, 67, 16, 23, 7, 62, 103, 20, 14, 6, 63, 65, 13, 0, 0, 46, 8, 11, 2, 4, 0, 4, 79, 49, 27, 38, 11, 36.0, 38.0, 49.0, 0, 5, 42, 28, 9, 5, 7, 0, 11, 22, 7, 2, 0.0, 20, 7, 4, 0, 0, 40, 40, 73.47, 77.55, 100.0, 55.09375, 95.1875, 95.1875, 0, 11.8984375, 85.6875, 0.0, 26.19921875, 52.3984375, 16.69921875, 4.8, 0.0, 66.6875, 47.59375, 21.3984375, 16.69921875, 11.8984375, 9.5, 51.0, 8.0, 6.0, 1.0, 9.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "19032", "Licence - Gestion - Parcours Commerce Vente et Marketing", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19032&g_ta_cod=19032", 69.0, 20.0, 10.0),
(8236, "Public", "0271016H", "Lycée agricole Edouard de Chambray", "27", "Eure", "Normandie", "Normandie", "Mesnils-sur-Iton", "formation sélective", "BTS", "Lycée agricole Edouard de Chambray - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 18, 226, 65, 222, 0, 23, 5, 48, 7, 34, 11, 117, 4, 2, 0, 1, 1, 108, 4, 0, 0, 23, 5, 47, 7, 33, 10, 5, 69, 7, 2, 6, 1, 2.0, 6.0, 7.0, 0, 1, 7, 1, 0, 6, 0, 0, 3, 4, 0, 0, 0.0, 1, 0, 3, 0, 0, 6, 6, 28.57, 85.71, 100.0, 28.59765625, 85.6875, 85.6875, 0, 14.298828125, 100.0, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 14.298828125, 14.298828125, 0.0, 0.0, 85.6875, 42.8984375, 13.0, 3.0, 25.0, 8.0, 3.0, "Tous les candidats sauf les Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 49.0, "17375", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17375&g_ta_cod=17375", 14.0, 0.0, 86.0),
(8237, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Portail Histoire - Histoire - Grenoble", "Licence - Sciences humaines et sociales", "Histoire - Grenoble", 230, 1313, 613, 1196, 0, 837, 161, 86, 24, 23, 10, 250, 117, 26, 8, 8, 75, 1196, 91, 0, 0, 837, 161, 86, 24, 23, 10, 250, 1050, 185, 59, 147, 38, 43.0, 147.0, 173.0, 0, 24, 121, 101, 13, 7, 64, 5, 44, 42, 24, 6, 0.0, 61, 5, 6, 0, 0, 114, 114, 23.24, 79.46, 93.51, 31.8984375, 94.1875, 94.1875, 0, 19.796875, 65.390625, 4.099609375, 36.3984375, 34.6953125, 19.796875, 5.0, 0.0, 83.5, 50.3984375, 10.69921875, 4.099609375, 5.7998046875, 5.0, 720.0, 141.0, 20.0, 9.0, 237.0, "Tous les candidats", 1241.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "31061", "Licence - Portail Histoire - Histoire - Grenoble", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31062&g_ta_cod=31061", 78.0, 13.0, 7.0),
(8238, "Public", "9740019C", "Lycée Ambroise Vollard", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BTS", "Lycée Ambroise Vollard - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 545, 318, 502, 0, 65, 34, 168, 99, 156, 109, 113, 43, 3, 12, 0, 28, 266, 1, 0, 0, 39, 19, 99, 64, 101, 73, 27, 105, 35, 25, 34, 1, 12.0, 30.0, 30.0, 0, 16, 26, 1, 11, 14, 9, 0, 3, 7, 13, 3, 0.0, 1, 8, 14, 2, 1, 23, 23, 34.29, 85.71, 85.71, 71.390625, 88.5, 88.5, 7.69921875, 61.5, 74.296875, 0.0, 11.5, 26.8984375, 50.0, 11.5, 0.0, 3.7998046875, 3.7998046875, 42.296875, 30.796875, 53.796875, 53.796875, 12.0, 8.0, 20.0, 14.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 104, "Liste d'appel propre à cette formation", 31.0, "11895", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11895&g_ta_cod=11895", 23.0, 37.0, 40.0),
(8239, "Public", "0940137N", "Lycée professionnel La Source", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Nogent-sur-Marne", "formation sélective", "Autre formation", "Lycée professionnel La Source - DN MADE - Matériaux - Spécialité - Objets, décors et mobiliers", "DN MADE", "Spécialité - Objets, décors et mobiliers", 8, 355, 268, 265, 0, 61, 10, 70, 15, 48, 11, 86, 90, 18, 10, 21, 41, 76, 3, 0, 0, 16, 0, 30, 5, 15, 3, 15, 46, 9, 8, 6, 2, 2.0, 6.0, 9.0, 0, 3, 7, 1, 4, 2, 2, 1, 1, 1, 2, 2, 0.0, 0, 3, 2, 0, 0, 5, 6, 22.22, 66.67, 100.0, 88.890625, 71.390625, 85.6875, 0, 42.8984375, 77.796875, 14.298828125, 14.298828125, 14.298828125, 28.59765625, 28.6, 0.0, 14.298828125, 0.0, 57.09375, 42.8984375, 28.59765625, 28.59765625, 5.0, 1.0, 11.0, 2.0, 13.0, "Tous les candidats", 72.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "30431", "DN MADE - Matériaux - Spécialité - Objets, décors et mobiliers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30431&g_ta_cod=30431", 22.0, 44.0, 33.0),
(8240, "Privé sous contrat d'association", "0561463L", "Lycée agricole KERLEBOST", "56", "Morbihan", "Bretagne", "Rennes", "Pontivy", "formation sélective", "BTS", "Lycée agricole KERLEBOST - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 24, 69, 35, 68, 0, 6, 1, 13, 1, 34, 9, 15, 1, 0, 0, 0, 1, 56, 1, 0, 0, 6, 1, 13, 1, 33, 8, 4, 51, 11, 6, 11, 0, 4.0, 11.0, 11.0, 0, 3, 10, 0, 4, 6, 1, 0, 8, 1, 1, 0, 0.0, 0, 1, 1, 2, 2, 10, 10, 36.36, 100.0, 100.0, 54.5, 100.0, 100.0, 20, 30.0, 90.890625, 0.0, 80.0, 10.0, 10.0, 0.0, 0.0, 0.0, 0.0, 40.0, 10.0, 60.0, 10.0, 6.0, 1.0, 30.0, 8.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 82.0, "6480", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6480&g_ta_cod=6480", 9.0, 36.0, 55.0),
(8241, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 178, 1189, 1042, 1189, 0, 687, 123, 85, 21, 32, 10, 385, 0, 0, 0, 0, 0, 1189, 0, 0, 0, 687, 123, 85, 21, 32, 10, 385, 675, 173, 149, 173, 0, 57.0, 134.0, 155.0, 0, 24, 123, 110, 8, 5, 50, 2, 38, 57, 22, 4, 0.0, 72, 7, 4, 0, 0, 109, 109, 32.95, 77.46, 89.6, 86.09375, 88.59375, 88.59375, 0, 19.5, 71.09375, 1.599853515625, 30.8984375, 46.296875, 17.8984375, 3.3, 0.0, 89.390625, 58.5, 6.5, 5.69921875, 4.099609375, 3.2998046875, 453.0, 81.0, 10.0, 4.0, 192.0, "Tous les candidats", 692.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "16097", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16097&g_ta_cod=16097", 88.0, 7.0, 4.0),
(8242, "Public", "0470003Y", "Lycée Jean-Baptiste De Baudre", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "BTS", "Lycée Jean-Baptiste De Baudre - BTS - Production - Conception de produits industriels", "BTS - Production", "", 20, 172, 13, 163, 0, 9, 1, 90, 18, 38, 14, 26, 9, 0, 1, 3, 5, 152, 3, 0, 0, 9, 1, 89, 17, 38, 14, 16, 106, 17, 2, 16, 1, 3.0, 16.0, 17.0, 0, 7, 15, 1, 7, 7, 2, 0, 9, 4, 2, 0, 0.0, 1, 2, 3, 6, 1, 13, 13, 17.65, 94.12, 100.0, 11.798828125, 86.6875, 86.6875, 40, 46.6953125, 88.1875, 0.0, 60.0, 26.69921875, 13.298828125, 0.0, 0.0, 6.69921875, 6.69921875, 46.6953125, 13.298828125, 46.6953125, 20.0, 8.0, 1.0, 31.0, 13.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 89, "Liste d'appel propre à cette formation", 85.0, "5765", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5765&g_ta_cod=5765", 12.0, 47.0, 41.0),
(8243, "Privé enseignement supérieur", "0592806E", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences - Licence - Informatique - Parcours Sciences du numérique", "Licence - Sciences - technologies - santé", "Sciences du numérique", 48, 198, 21, 165, 0, 121, 32, 14, 8, 2, 1, 28, 33, 12, 2, 0, 19, 83, 13, 0, 0, 68, 14, 6, 1, 0, 0, 9, 91, 20, 3, 14, 6, 10.0, 14.0, 16.0, 0, 4, 14, 14, 0, 0, 6, 0, 3, 8, 3, 0, 0.0, 11, 0, 0, 0, 0, 10, 10, 50.0, 70.0, 80.0, 15.0, 71.390625, 71.390625, 0, 28.59765625, 70.0, 0.0, 21.3984375, 57.09375, 21.3984375, 0.0, 0.0, 100.0, 78.59375, 0.0, 0.0, 0.0, 0.0, 68.0, 14.0, 0.0, 0.0, 17.0, "Tous les candidats", 83.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "12543", "Licence - Informatique - Parcours Sciences du numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12543&g_ta_cod=12543", 100.0, 0.0, 0.0),
(8244, "Public", "0330028B", "Lycée Gustave Eiffel", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Production - Conception de produits industriels", "BTS - Production", "", 30, 491, 41, 465, 0, 42, 4, 261, 54, 57, 14, 105, 26, 0, 3, 12, 11, 286, 4, 0, 0, 40, 4, 179, 33, 31, 3, 36, 150, 22, 1, 20, 2, 1.0, 14.0, 19.0, 0, 9, 18, 3, 11, 4, 4, 0, 9, 6, 2, 1, 0.0, 0, 6, 3, 6, 1, 15, 15, 4.55, 63.64, 86.36, 4.5, 83.296875, 83.296875, 33.296875, 50.0, 81.796875, 0.0, 50.0, 33.296875, 11.099609375, 5.6, 0.0, 16.69921875, 0.0, 61.09375, 33.296875, 22.19921875, 16.69921875, 25.0, 4.0, 26.0, 3.0, 31.0, "Tous les candidats sauf les Bac professionnels", 232.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 56.0, "4291", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4291&g_ta_cod=4291", 23.0, 59.0, 18.0),
(8245, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Portail Economie et management, Finance comptabilité, Pilotage des organisations", "Licence - Droit-économie-gestion", "Economie et management, Finance comptabilité, Pilotage des organisations", 180, 1190, 559, 882, 0, 526, 75, 107, 23, 9, 6, 240, 308, 58, 19, 5, 226, 830, 183, 0, 0, 526, 75, 107, 23, 9, 6, 188, 872, 130, 48, 71, 59, 17.0, 68.0, 116.0, 0, 11, 64, 50, 9, 5, 66, 1, 32, 22, 5, 4, 0.0, 24, 3, 4, 0, 0, 38, 38, 13.08, 52.31, 89.23, 36.8984375, 59.3984375, 59.3984375, 0, 17.19921875, 49.1953125, 1.599853515625, 50.0, 34.3984375, 7.7998046875, 6.3, 0.0, 78.09375, 37.5, 14.099609375, 4.69921875, 7.7998046875, 6.2998046875, 517.0, 75.0, 12.0, 9.0, 276.0, "Tous les candidats", 867.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 94.0, "3873", "Licence - Portail Economie et management, Finance comptabilité, Pilotage des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27829&g_ta_cod=3873", 75.0, 18.0, 7.0),
(8246, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Double licence - Cinéma / Gestion - Cinéma : pratique & esthétique - Gestion", "Licence - Arts-lettres-langues", "Cinéma : pratique & esthétique - Gestion", 35, 1251, 693, 1251, 0, 760, 99, 44, 11, 20, 7, 427, 0, 0, 0, 0, 0, 624, 0, 0, 0, 497, 69, 0, 0, 0, 0, 127, 129, 35, 23, 35, 0, 3.0, 29.0, 32.0, 0, 8, 28, 28, 0, 0, 7, 0, 0, 1, 15, 11, 1.0, 28, 0, 0, 0, 0, 3, 10, 8.57, 82.86, 91.43, 65.6875, 10.69921875, 35.6953125, 0, 28.59765625, 80.0, 0.0, 0.0, 3.599609375, 53.59375, 39.3, 3.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 108.0, 13.0, 0.0, 0.0, 21.0, "Tous les candidats", 163.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "15914", "Double licence - Cinéma / Gestion - Cinéma : pratique & esthétique - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15914&g_ta_cod=15914", 100.0, 0.0, 0.0),
(8247, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Didactique du français langue étrangère", "Licence - Arts-lettres-langues", "Anglais - Mineure Didactique du français langue étrangère", 57, 280, 223, 280, 0, 188, 40, 10, 0, 5, 2, 77, 0, 0, 0, 0, 0, 271, 0, 0, 0, 188, 40, 10, 0, 5, 2, 68, 167, 57, 42, 57, 0, 13.0, 50.0, 55.0, 0, 7, 46, 42, 1, 3, 11, 0, 9, 12, 16, 9, 0.0, 34, 1, 2, 0, 0, 4, 41, 22.81, 87.72, 96.49, 73.6875, 8.69921875, 89.09375, 0, 15.19921875, 80.6875, 0.0, 19.59765625, 26.09765625, 34.796875, 19.6, 0.0, 91.296875, 73.890625, 2.19970703125, 2.19970703125, 6.5, 4.2998046875, 126.0, 26.0, 4.0, 2.0, 34.0, "Tous les candidats", 208.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "23997", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Didactique du français langue étrangère", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23997&g_ta_cod=23997", 93.0, 2.0, 5.0),
(8248, "Public", "0930123D", "Lycée Olympe De Gouges", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Noisy-le-Sec", "formation sélective", "BTS", "Lycée Olympe De Gouges - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 1625, 997, 1625, 0, 54, 24, 455, 230, 576, 329, 540, 0, 0, 0, 0, 0, 765, 0, 0, 0, 42, 20, 218, 111, 379, 225, 126, 221, 35, 18, 35, 0, 2.0, 28.0, 35.0, 0, 14, 27, 1, 10, 16, 8, 1, 4, 18, 4, 0, 0.0, 0, 8, 14, 2, 2, 26, 26, 5.71, 80.0, 100.0, 51.3984375, 96.296875, 96.296875, 7.3994140625, 51.8984375, 77.09375, 3.69970703125, 14.798828125, 66.6875, 14.798828125, 0.0, 0.0, 3.69970703125, 0.0, 37.0, 29.59765625, 59.296875, 51.8984375, 18.0, 12.0, 90.0, 57.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 201, "Bacheliers technologiques toutes séries", 155, "Liste d'appel propre à cette formation", 23.0, "11188", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11188&g_ta_cod=11188", 6.0, 40.0, 51.0),
(8249, "Public", "9730196A", "Lycée Leon-Gontran Damas", "973", "Guyane", "Guyane", "Guyane", "Remire-Montjoly", "formation sélective", "CPGE", "Lycée Leon-Gontran Damas - CPGE - PCSI", "Classe préparatoire scientifique", "", 24, 97, 23, 89, 0, 79, 28, 2, 1, 1, 1, 7, 8, 1, 1, 4, 2, 59, 1, 0, 59, 55, 19, 0, 0, 0, 0, 4, 57, 18, 1, 18, 0, 6.0, 16.0, 17.0, 0, 7, 18, 18, 0, 0, 0, 0, 1, 4, 9, 4, 0.0, 17, 0, 0, 5, 0, 18, 18, 33.33, 88.89, 94.44, 5.599609375, 100.0, 100.0, 27.796875, 38.8984375, 100.0, 0.0, 5.599609375, 22.19921875, 50.0, 22.2, 0.0, 100.0, 94.390625, 0.0, 0.0, 0.0, 0.0, 53.0, 18.0, 0.0, 0.0, 4.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "11859", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11859&g_ta_cod=11859", 100.0, 0.0, 0.0),
(8250, "Public", "0730858L", "Université Savoie Mont Blanc - Chambéry", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Jacob-Bellecombette", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Chambéry - Licence - Administration économique et sociale - Parcours AES", "Licence - Droit-économie-gestion", "AES", 60, 883, 535, 883, 0, 646, 106, 99, 28, 15, 6, 123, 0, 0, 0, 0, 0, 882, 0, 0, 0, 646, 106, 99, 28, 15, 6, 122, 452, 57, 30, 57, 0, 16.0, 46.0, 50.0, 0, 10, 50, 48, 2, 0, 7, 0, 17, 20, 11, 2, 0.0, 32, 1, 0, 0, 0, 46, 46, 28.07, 80.7, 87.72, 52.59375, 92.0, 92.0, 0, 20.0, 87.6875, 0.0, 34.0, 40.0, 22.0, 4.0, 0.0, 96.0, 64.0, 4.0, 2.0, 0.0, 0.0, 390.0, 68.0, 4.0, 1.0, 42.0, "Tous les candidats", 618.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "8810", "Licence - Administration économique et sociale - Parcours AES", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8810&g_ta_cod=8810", 96.0, 4.0, 0.0),
(8251, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Histoire de l'art et archéologie", "Licence - Sciences humaines et sociales", "", 127, 1234, 904, 1216, 0, 694, 106, 90, 22, 52, 14, 380, 18, 3, 3, 2, 10, 1216, 10, 0, 0, 694, 106, 90, 22, 52, 14, 380, 814, 123, 79, 117, 6, 6.0, 90.0, 110.0, 0, 13, 60, 36, 15, 9, 63, 1, 30, 20, 8, 1, 0.0, 19, 5, 5, 0, 0, 23, 46, 4.88, 73.17, 89.43, 64.1875, 38.296875, 76.6875, 0, 21.69921875, 48.796875, 1.699951171875, 50.0, 33.296875, 13.298828125, 1.7, 0.0, 60.0, 31.69921875, 25.0, 8.298828125, 15.0, 8.298828125, 451.0, 72.0, 41.0, 11.0, 255.0, "Tous les candidats", 1158.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "11083", "Licence - Histoire de l'art et archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11083&g_ta_cod=11083", 59.0, 19.0, 18.0),
(8252, "Public", "0541324W", "I.U.T Nancy-Charlemagne - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BUT", "I.U.T Nancy-Charlemagne - Université de Lorraine - BUT - Information communication Parcours métiers du livre et du patrimoine", "BUT - Service", "", 52, 651, 534, 646, 0, 343, 74, 48, 11, 14, 7, 241, 5, 0, 1, 0, 4, 478, 0, 0, 0, 287, 58, 29, 4, 7, 1, 155, 199, 52, 40, 52, 0, 21.0, 48.0, 49.0, 0, 6, 30, 24, 3, 3, 22, 0, 1, 16, 11, 2, 0.0, 23, 3, 3, 0, 0, 11, 11, 40.38, 92.31, 94.23, 76.890625, 36.6953125, 36.6953125, 0, 20.0, 57.6953125, 0.0, 3.2998046875, 53.296875, 36.6953125, 6.7, 0.0, 80.0, 76.6875, 10.0, 10.0, 10.0, 10.0, 121.0, 26.0, 3.0, 0.0, 60.0, "Tous les candidats sauf les Bac technologiques", 205.0, "Bacheliers technologiques toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 36.0, "6321", "BUT - Information communication Parcours métiers du livre et du patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6321&g_ta_cod=6321", 79.0, 13.0, 8.0),
(8253, "Privé sous contrat d'association", "0640181Z", "Lycée Général, Technologique et Professionnel St Joseph", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Hasparren", "formation sélective", "BTS", "Lycée Général, Technologique et Professionnel St Joseph - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 13, 184, 19, 184, 0, 36, 2, 31, 11, 43, 14, 74, 0, 0, 0, 0, 0, 118, 0, 0, 0, 34, 2, 26, 9, 36, 11, 22, 43, 13, 1, 13, 0, 4.0, 10.0, 11.0, 0, 0, 9, 2, 2, 5, 4, 0, 3, 6, 0, 0, 0.0, 2, 1, 3, 5, 0, 9, 9, 30.77, 76.92, 84.62, 7.69921875, 100.0, 100.0, 55.59375, 0.0, 69.1875, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 22.19921875, 22.19921875, 22.19921875, 11.099609375, 55.59375, 33.296875, 12.0, 0.0, 13.0, 2.0, 9.0, "Tous les candidats sauf les Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 12, "", 0, "Liste d'appel propre à cette formation", 44.0, "18102", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18102&g_ta_cod=18102", 38.0, 23.0, 38.0),
(8254, "Privé sous contrat d'association", "0350793X", "Lycée Frédéric OZANAM", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Cesson-Sévigné", "formation sélective", "BTS", "Lycée Frédéric OZANAM - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 202, 11, 195, 0, 9, 0, 47, 11, 88, 20, 51, 7, 1, 0, 1, 5, 157, 2, 0, 0, 9, 0, 46, 10, 82, 17, 20, 107, 19, 1, 18, 0, 5.0, 16.0, 17.0, 0, 2, 18, 2, 5, 11, 1, 0, 4, 9, 3, 2, 0.0, 1, 2, 11, 9, 0, 17, 17, 26.32, 84.21, 89.47, 5.2998046875, 94.390625, 94.390625, 50, 11.099609375, 94.6875, 0.0, 22.19921875, 50.0, 16.69921875, 11.1, 0.0, 11.099609375, 5.599609375, 27.796875, 11.099609375, 61.09375, 61.09375, 10.0, 0.0, 58.0, 11.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 84, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 78.0, "4688", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4688&g_ta_cod=4688", 16.0, 26.0, 58.0),
(8255, "Public", "0360775X", "IUT de l'Indre (Issoudun)", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Issoudun", "formation sélective", "BUT", "IUT de l'Indre (Issoudun) - BUT - Techniques de commercialisation Parcours : Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Business développement et management de la relation client - Stratégie de marque et événementiel", 84, 1071, 537, 1004, 0, 538, 85, 295, 72, 24, 8, 147, 67, 0, 50, 0, 17, 739, 15, 0, 0, 410, 61, 224, 51, 11, 3, 94, 461, 79, 46, 73, 6, 6.0, 58.0, 75.0, 0, 17, 74, 30, 39, 5, 5, 1, 28, 34, 10, 1, 0.0, 18, 23, 4, 0, 0, 58, 58, 7.59, 73.42, 94.94, 58.1953125, 78.390625, 78.390625, 0, 23.0, 93.6875, 1.39990234375, 37.796875, 45.8984375, 13.5, 1.4, 0.0, 40.5, 24.296875, 52.6953125, 31.09765625, 6.7998046875, 5.3994140625, 196.0, 39.0, 11.0, 3.0, 48.0, "Tous les candidats sauf les Bac technologiques", 376.0, "Bacheliers technologiques toutes séries", 238, "", 0, "Liste d'appel propre à cette formation", 61.0, "4817", "BUT - Techniques de commercialisation Parcours : Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4817&g_ta_cod=4817", 42.0, 51.0, 6.0),
(8256, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Perrin - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 32, 483, 172, 483, 0, 69, 30, 164, 90, 123, 75, 127, 0, 0, 0, 0, 0, 264, 0, 0, 0, 56, 23, 96, 55, 66, 32, 46, 155, 29, 5, 29, 0, 3.0, 23.0, 26.0, 0, 10, 24, 4, 10, 10, 5, 0, 17, 3, 3, 1, 0.0, 0, 2, 5, 1, 0, 22, 22, 10.34, 79.31, 89.66, 17.19921875, 91.6875, 91.6875, 4.19921875, 41.6953125, 82.796875, 0.0, 70.796875, 12.5, 12.5, 4.2, 0.0, 16.69921875, 0.0, 41.6953125, 8.298828125, 41.6953125, 20.796875, 31.0, 14.0, 36.0, 13.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 41.0, "2610", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2610&g_ta_cod=2610", 21.0, 45.0, 34.0),
(8257, "Public", "0952261S", "CY TECH - Université de Cergy-Pontoise", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "Concours GalaxY - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "Ingénieur en Mathématiques, Economie et Finance", 40, 436, 122, 422, 0, 409, 69, 0, 0, 0, 0, 13, 14, 13, 0, 0, 1, 332, 5, 0, 0, 332, 53, 0, 0, 0, 0, 0, 228, 27, 10, 24, 3, 4.0, 24.0, 25.0, 0, 4, 27, 27, 0, 0, 0, 0, 0, 17, 7, 3, 0.0, 27, 0, 0, 0, 0, 13, 15, 14.81, 88.89, 92.59, 37.0, 48.09375, 55.59375, 0, 14.798828125, 100.0, 0.0, 0.0, 63.0, 25.8984375, 11.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 228.0, 41.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "31239", "Formation d'ingénieur Bac + 5", "Concours GalaxY", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31208&g_ta_cod=31239", 100.0, 0.0, 0.0),
(8258, "Public", "0941347D", "Lycée Pablo Picasso", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Fontenay-sous-Bois", "formation sélective", "Autre formation", "Lycée Pablo Picasso - CPES - Arts", "Classe préparatoire aux études supérieures", "", 24, 512, 412, 512, 0, 380, 62, 44, 10, 16, 3, 72, 0, 0, 0, 0, 0, 122, 0, 0, 0, 89, 20, 10, 0, 0, 0, 23, 48, 24, 14, 24, 0, 14.0, 19.0, 23.0, 0, 1, 17, 14, 3, 0, 7, 0, 1, 3, 10, 2, 1.0, 14, 2, 0, 0, 0, 4, 8, 58.33, 79.17, 95.83, 58.296875, 23.5, 47.09375, 0, 5.8994140625, 70.796875, 0.0, 5.8994140625, 17.59765625, 58.796875, 11.8, 5.9, 82.390625, 82.390625, 17.59765625, 11.798828125, 0.0, 0.0, 31.0, 8.0, 0.0, 0.0, 11.0, "Tous les candidats", 56.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "11522", "CPES - Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11522&g_ta_cod=11522", 83.0, 17.0, 0.0),
(8259, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence_Las", "Université de Caen Normandie - Licence - Portail Chimie", "Licence - Sciences - technologies - santé", "", 40, 717, 475, 717, 0, 532, 91, 21, 7, 4, 2, 160, 0, 0, 0, 0, 0, 716, 0, 0, 0, 532, 91, 21, 7, 4, 2, 159, 227, 39, 23, 39, 0, 0.0, 29.0, 33.0, 0, 10, 37, 36, 1, 0, 2, 0, 3, 11, 15, 8, 0.0, 34, 0, 0, 0, 0, 35, 35, 0.0, 74.36, 84.62, 59.0, 94.59375, 94.59375, 0, 27.0, 94.890625, 0.0, 8.099609375, 29.69921875, 40.5, 21.6, 0.0, 97.296875, 91.890625, 2.69970703125, 0.0, 0.0, 0.0, 201.0, 30.0, 0.0, 0.0, 25.0, "Tous les candidats", 517.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 49.0, "27689", "Licence - Portail Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27688&g_ta_cod=27689", 97.0, 3.0, 0.0),
(8260, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Institut Catholique Paris - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Espagnol", "Licence - Arts-lettres-langues", "Anglais - Espagnol", 110, 347, 247, 149, 0, 101, 11, 7, 1, 1, 0, 40, 198, 76, 21, 8, 93, 149, 184, 0, 0, 101, 11, 7, 1, 1, 0, 40, 332, 50, 36, 18, 32, 14.0, 18.0, 40.0, 0, 7, 30, 26, 3, 1, 20, 1, 15, 12, 0, 2, 0.0, 14, 0, 0, 0, 0, 8, 27, 28.0, 36.0, 80.0, 72.0, 26.69921875, 90.0, 0, 23.296875, 60.0, 3.2998046875, 50.0, 40.0, 0.0, 6.7, 0.0, 86.6875, 46.6953125, 10.0, 0.0, 3.2998046875, 0.0, 175.0, 27.0, 8.0, 2.0, 124.0, "Tous les candidats", 150.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9456", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9456&g_ta_cod=9456", 78.0, 14.0, 8.0),
(8261, "Public", "0820021C", "Lycée Antoine Bourdelle", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Montauban", "formation sélective", "BTS", "Lycée Antoine Bourdelle - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 188, 13, 165, 0, 7, 0, 53, 15, 64, 19, 41, 23, 1, 7, 3, 12, 130, 9, 0, 0, 7, 0, 46, 13, 62, 18, 15, 97, 22, 0, 17, 5, 6.0, 16.0, 19.0, 0, 10, 18, 0, 12, 6, 4, 0, 7, 9, 1, 1, 0.0, 0, 7, 4, 12, 0, 18, 18, 27.27, 72.73, 86.36, 0.0, 100.0, 100.0, 66.6875, 55.59375, 81.796875, 0.0, 38.8984375, 50.0, 5.599609375, 5.6, 0.0, 0.0, 0.0, 66.6875, 38.8984375, 33.296875, 22.19921875, 6.0, 1.0, 44.0, 15.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 77.0, "10316", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10316&g_ta_cod=10316", 5.0, 68.0, 27.0),
(8262, "Public", "0790024X", "Lycée Paul Guerin", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BTS", "Lycée Paul Guerin - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 20, 163, 14, 158, 0, 6, 3, 17, 4, 68, 18, 67, 5, 0, 1, 0, 4, 97, 2, 0, 0, 0, 0, 17, 4, 68, 18, 12, 47, 18, 2, 16, 2, 6.0, 13.0, 15.0, 0, 4, 14, 0, 2, 12, 4, 0, 4, 5, 3, 2, 0.0, 0, 0, 10, 0, 0, 10, 10, 33.33, 72.22, 83.33, 11.099609375, 71.390625, 71.390625, 0, 28.59765625, 77.796875, 0.0, 28.59765625, 35.6953125, 21.3984375, 14.3, 0.0, 0.0, 0.0, 14.298828125, 0.0, 85.6875, 71.390625, 0.0, 0.0, 22.0, 6.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 29.0, "10110", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10110&g_ta_cod=10110", 0.0, 22.0, 78.0),
(8263, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 10, 692, 580, 692, 0, 370, 46, 104, 20, 36, 10, 182, 0, 0, 0, 0, 0, 689, 0, 0, 0, 370, 46, 104, 20, 36, 10, 179, 94, 10, 9, 10, 0, 0.0, 5.0, 10.0, 0, 0, 8, 7, 1, 0, 2, 0, 0, 2, 4, 2, 0.0, 7, 1, 0, 0, 0, 5, 5, 0.0, 50.0, 100.0, 90.0, 62.5, 62.5, 0, 0.0, 80.0, 0.0, 0.0, 25.0, 50.0, 25.0, 0.0, 87.5, 87.5, 12.5, 12.5, 0.0, 0.0, 62.0, 8.0, 1.0, 0.0, 27.0, "Tous les candidats", 396.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "28794", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27744&g_ta_cod=28794", 90.0, 10.0, 0.0),
(8264, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Facultés libres de l'ouest - UCO - Licence - Portail Histoire", "Licence - Sciences humaines et sociales", "", 5, 97, 40, 94, 0, 58, 4, 16, 4, 4, 1, 16, 3, 1, 0, 0, 2, 94, 3, 0, 0, 58, 4, 16, 4, 4, 1, 16, 31, 5, 2, 4, 1, 0.0, 3.0, 4.0, 0, 1, 5, 4, 1, 0, 0, 0, 4, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 3, 3, 0.0, 60.0, 80.0, 40.0, 60.0, 60.0, 0, 20.0, 100.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 80.0, 20.0, 20.0, 0.0, 0.0, 0.0, 24.0, 3.0, 0.0, 0.0, 4.0, "Tous les candidats", 535.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 81.0, "28892", "Licence - Portail Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28781&g_ta_cod=28892", 80.0, 20.0, 0.0),
(8265, "Public", "0540042C", "Lycée Henri Loritz", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Henri Loritz - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 151, 12, 144, 0, 8, 0, 97, 18, 9, 2, 30, 7, 1, 0, 3, 3, 112, 2, 0, 0, 7, 0, 87, 16, 7, 1, 11, 55, 10, 1, 8, 1, 0.0, 8.0, 9.0, 0, 0, 8, 1, 5, 2, 2, 0, 7, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 8, 8, 0.0, 80.0, 90.0, 10.0, 100.0, 100.0, 0, 0.0, 80.0, 0.0, 87.5, 12.5, 0.0, 0.0, 0.0, 12.5, 0.0, 62.5, 0.0, 25.0, 12.5, 8.0, 0.0, 10.0, 1.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 50.0, "6271", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6271&g_ta_cod=6271", 20.0, 60.0, 20.0),
(8266, "Privé enseignement supérieur", "T593500B", "ESME Sudria Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Ecole d'Ingénieur", "Concours Advance - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 70, 2263, 500, 2261, 0, 2257, 150, 0, 0, 0, 0, 4, 2, 1, 0, 0, 1, 1985, 0, 0, 0, 1984, 98, 0, 0, 0, 0, 1, 1493, 62, 12, 62, 0, 37.0, 51.0, 62.0, 0, 5, 62, 62, 0, 0, 0, 0, 6, 28, 25, 3, 0.0, 56, 0, 0, 0, 0, 41, 41, 59.68, 82.26, 100.0, 19.3984375, 66.09375, 66.09375, 0, 8.099609375, 100.0, 0.0, 9.69921875, 45.1953125, 40.296875, 4.8, 0.0, 100.0, 90.296875, 0.0, 0.0, 0.0, 0.0, 1492.0, 68.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 88.0, "478", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Advance", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=124&g_ta_cod=478", 100.0, 0.0, 0.0),
(8267, "Public", "0141275K", "Lycée Paul Cornu", "14", "Calvados", "Normandie", "Normandie", "Lisieux", "formation sélective", "BTS", "Lycée Paul Cornu - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 14, 219, 17, 207, 0, 20, 3, 58, 13, 63, 23, 66, 12, 0, 3, 6, 3, 125, 1, 0, 0, 18, 2, 38, 5, 48, 16, 21, 75, 13, 1, 12, 1, 0.0, 6.0, 9.0, 0, 4, 7, 0, 3, 4, 6, 0, 4, 2, 1, 0, 0.0, 0, 0, 3, 3, 0, 6, 6, 0.0, 46.15, 69.23, 7.69921875, 85.6875, 85.6875, 42.8984375, 57.09375, 53.796875, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 0.0, 0.0, 42.8984375, 0.0, 57.09375, 42.8984375, 9.0, 1.0, 27.0, 9.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 49.0, "2862", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2862&g_ta_cod=2862", 31.0, 31.0, 38.0),
(8268, "Privé sous contrat d'association", "0341728U", "Institut Régional du Travail Social de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "EFTS", "Institut Régional du Travail Social de Montpellier - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 23, 509, 491, 509, 0, 72, 8, 102, 25, 63, 24, 272, 0, 0, 0, 0, 0, 129, 0, 0, 0, 12, 1, 14, 1, 7, 4, 96, 43, 24, 24, 24, 0, 15.0, 23.0, 23.0, 0, 1, 6, 4, 1, 1, 18, 0, 0, 5, 1, 0, 0.0, 4, 1, 1, 0, 0, 2, 2, 62.5, 95.83, 95.83, 100.0, 33.296875, 33.296875, 0, 16.69921875, 25.0, 0.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 66.6875, 66.6875, 16.69921875, 16.69921875, 16.69921875, 16.69921875, 4.0, 0.0, 1.0, 1.0, 36.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 8.0, "24865", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24865&g_ta_cod=24865", 67.0, 21.0, 8.0),
(8269, "Public", "0760170X", "I.U.T de Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation sélective", "BUT", "I.U.T de Rouen - BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Synthèse", "BUT - Production", "Analyse, contrôle-qualité, environnement - Synthèse", 104, 1077, 573, 1021, 0, 555, 80, 189, 38, 4, 0, 273, 56, 12, 10, 1, 33, 801, 10, 0, 0, 497, 63, 126, 27, 0, 0, 178, 658, 86, 46, 83, 3, 43.0, 73.0, 84.0, 0, 14, 70, 45, 25, 0, 16, 0, 8, 33, 26, 3, 0.0, 39, 23, 0, 0, 0, 57, 57, 50.0, 84.88, 97.67, 53.5, 81.390625, 81.390625, 0, 20.0, 81.390625, 0.0, 11.3984375, 47.09375, 37.09375, 4.3, 0.0, 64.296875, 55.6953125, 35.6953125, 32.8984375, 0.0, 0.0, 395.0, 63.0, 0.0, 0.0, 161.0, "Tous les candidats sauf les Bac technologiques", 659.0, "Bacheliers technologiques toutes séries", 136, "", 0, "Liste d'appel propre à cette formation", 78.0, "9621", "BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Synthèse", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9621&g_ta_cod=9621", 67.0, 33.0, 0.0),
(8270, "Public", "0383120K", "I.U.T. 2 de Grenoble - site campus universitaire", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BUT", "I.U.T. 2 de Grenoble - site campus universitaire - BUT - Statistique et informatique décisionnelle Parcours : Sciences des données : exploration et modélisation statistique _ Sciences des données : visualisation, conception d'outils décisionnels", "BUT - Service", "Sciences des données : exploration et modélisation statistique _ Sciences des données : visualisation, conception d'outils décisionnels", 50, 664, 135, 664, 0, 471, 64, 57, 13, 5, 3, 131, 0, 0, 0, 0, 0, 486, 0, 0, 0, 389, 44, 24, 5, 0, 0, 73, 348, 53, 12, 53, 0, 27.0, 37.0, 48.0, 0, 4, 43, 41, 2, 0, 10, 0, 11, 21, 10, 1, 0.0, 30, 2, 0, 0, 0, 26, 26, 50.94, 69.81, 90.57, 22.59765625, 60.5, 60.5, 0, 9.298828125, 81.09375, 0.0, 25.59765625, 48.796875, 23.296875, 2.3, 0.0, 95.296875, 69.796875, 4.69921875, 4.69921875, 0.0, 0.0, 275.0, 38.0, 0.0, 0.0, 51.0, "Tous les candidats sauf les Bac technologiques", 415.0, "Bacheliers technologiques toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 66.0, "5136", "BUT - Statistique et informatique décisionnelle Parcours : Sciences des données : exploration et modélisation statistique _ Sciences des données : visualisation, conception d'outils décisionnels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5136&g_ta_cod=5136", 96.0, 4.0, 0.0),
(8271, "Public", "0130043B", "Lycée Victor Hugo", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation sélective", "BTS", "Lycée Victor Hugo - BTS - Services - Notariat", "BTS - Services", "", 25, 1019, 755, 1009, 0, 221, 99, 250, 126, 107, 68, 431, 10, 1, 3, 0, 6, 231, 3, 0, 0, 56, 21, 76, 33, 39, 22, 60, 119, 22, 18, 22, 0, 3.0, 20.0, 20.0, 0, 4, 10, 2, 8, 0, 12, 0, 1, 7, 2, 0, 0.0, 1, 8, 0, 2, 1, 8, 8, 13.64, 90.91, 90.91, 81.796875, 80.0, 80.0, 20, 40.0, 45.5, 0.0, 10.0, 70.0, 20.0, 0.0, 0.0, 20.0, 10.0, 80.0, 80.0, 0.0, 0.0, 29.0, 12.0, 1.0, 1.0, 46.0, "Tous les candidats sauf les Bac professionnels", 148.0, "Bacheliers professionnels toutes séries", 5, "", 0, "Liste d'appel propre à cette formation", 15.0, "2554", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2554&g_ta_cod=2554", 36.0, 55.0, 9.0),
(8272, "Public", "0040522W", "I.U.T. d'Aix-Marseille - Site de Digne", "04", "Alpes-de-Haute-Provence", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Digne-les-Bains", "formation sélective", "BUT", "I.U.T. d'Aix-Marseille - Site de Digne - BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "BUT - Production", "", 28, 933, 458, 933, 0, 611, 70, 122, 20, 3, 2, 197, 0, 0, 0, 0, 0, 753, 0, 0, 0, 517, 61, 79, 12, 1, 0, 156, 214, 31, 16, 31, 0, 8.0, 16.0, 29.0, 0, 5, 25, 15, 10, 0, 6, 0, 4, 8, 11, 1, 1.0, 13, 8, 0, 0, 0, 9, 9, 25.81, 51.61, 93.55, 51.59375, 36.0, 36.0, 0, 20.0, 80.59375, 0.0, 16.0, 32.0, 44.0, 4.0, 4.0, 60.0, 52.0, 40.0, 32.0, 0.0, 0.0, 103.0, 18.0, 0.0, 0.0, 69.0, "Tous les candidats sauf les Bac technologiques", 372.0, "Bacheliers technologiques toutes séries", 90, "", 0, "Liste d'appel propre à cette formation", 50.0, "2166", "BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2166&g_ta_cod=2166", 68.0, 32.0, 0.0),
(8273, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "PASS", "Université de Bourgogne - site de Dijon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Sciences de la vie et de la terre", 106, 3850, 2638, 3850, 0, 3135, 486, 94, 21, 15, 8, 606, 0, 0, 0, 0, 0, 3840, 0, 0, 0, 3136, 487, 94, 21, 15, 8, 595, 443, 106, 69, 106, 0, 21.0, 98.0, 102.0, 0, 15, 106, 104, 2, 0, 0, 0, 0, 4, 45, 52, 5.0, 104, 2, 0, 0, 0, 93, 93, 19.81, 92.45, 96.23, 65.09375, 87.6875, 87.6875, 0, 14.19921875, 100.0, 0.0, 0.0, 3.7998046875, 42.5, 49.1, 4.7, 98.09375, 98.09375, 1.89990234375, 1.89990234375, 0.0, 0.0, 426.0, 70.0, 0.0, 0.0, 12.0, "Tous les candidats", 2673.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 54.0, "27682", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27662&g_ta_cod=27682", 98.0, 2.0, 0.0),
(8274, "Public", "0650014M", "Lycée professionnel et technologique de L'Arrouza", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Lourdes", "formation sélective", "Autre formation", "Lycée professionnel et technologique de L'Arrouza - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 14, 57, 35, 57, 0, 0, 0, 2, 1, 24, 9, 31, 0, 0, 0, 0, 0, 57, 0, 0, 0, 0, 0, 2, 1, 24, 9, 31, 34, 11, 7, 11, 0, 3.0, 9.0, 11.0, 0, 0, 2, 0, 0, 2, 9, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 27.27, 81.82, 100.0, 63.59375, 50.0, 50.0, 0, 0.0, 18.19921875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 19.0, 8.0, 14.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "20330", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20330&g_ta_cod=20330", 73.0, 9.0, 18.0),
(8275, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation sélective", "Licence", "Université Gustave Eiffel - Licence - Arts - Parcours ARTS : Musique et métiers du son", "Licence - Arts-lettres-langues", "ARTS : Musique et métiers du son", 70, 692, 183, 692, 0, 397, 52, 71, 14, 15, 3, 209, 0, 0, 0, 0, 0, 275, 0, 0, 0, 141, 33, 14, 3, 1, 0, 119, 138, 70, 26, 70, 0, 30.0, 61.0, 65.0, 0, 7, 39, 34, 4, 1, 31, 1, 2, 8, 20, 8, 0.0, 31, 4, 1, 0, 0, 11, 20, 42.86, 87.14, 92.86, 37.09375, 28.19921875, 51.296875, 0, 17.8984375, 55.6953125, 2.599609375, 5.099609375, 20.5, 51.296875, 20.5, 0.0, 87.1875, 79.5, 10.298828125, 10.298828125, 2.599609375, 2.599609375, 79.0, 14.0, 1.0, 0.0, 53.0, "Tous les candidats", 168.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "9918", "Licence - Arts - Parcours ARTS : Musique et métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9918&g_ta_cod=9918", 90.0, 7.0, 3.0),
(8276, "Public", "0930133P", "Lycée professionnel Mixte THEODORE MONOD", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Noisy-le-Sec", "formation sélective", "Autre formation", "Lycée professionnel Mixte THEODORE MONOD - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 83, 29, 8, 0, 0, 0.0, 0.0, 0.0, 0, 20, 28, 0, 9, 19, 1, 0, 22, 6, 0, 0, 0.0, 0, 0, 6, 0, 0, 27, 28, 0.0, 0.0, 0.0, 27.59765625, 96.390625, 100.0, 0, 71.390625, 96.59375, 0.0, 78.59375, 21.3984375, 0.0, 0.0, 0.0, 0.0, 0.0, 32.09375, 0.0, 67.890625, 21.3984375, 0.0, 0.0, 64.0, 34.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22379", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 31.0, 69.0),
(8277, "Public", "0595786U", "Lycée Jean Prouve", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Jean Prouve - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "BTS - Production", "", 30, 475, 81, 443, 0, 83, 2, 76, 13, 69, 20, 215, 32, 0, 9, 8, 15, 197, 2, 0, 0, 71, 2, 55, 6, 38, 9, 33, 110, 29, 4, 27, 2, 6.0, 24.0, 25.0, 0, 2, 22, 9, 9, 4, 7, 0, 7, 9, 5, 1, 0.0, 5, 8, 2, 2, 0, 19, 19, 20.69, 82.76, 86.21, 13.798828125, 86.390625, 86.390625, 9.099609375, 9.099609375, 75.890625, 0.0, 31.796875, 40.8984375, 22.69921875, 4.5, 0.0, 40.8984375, 22.69921875, 40.8984375, 36.3984375, 18.19921875, 9.099609375, 24.0, 1.0, 33.0, 7.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 37.0, "7152", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7152&g_ta_cod=7152", 48.0, 38.0, 14.0),
(8278, "Public", "0750672Y", "Esaa Duperré", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "Autre formation", "Esaa Duperré - DN MADE - Mode - - Spécialité : Savoir-faire, luxe & innovation", "DN MADE", "- Spécialité : Savoir-faire, luxe & innovation", 12, 1378, 1104, 1378, 0, 593, 94, 267, 57, 89, 32, 429, 0, 0, 0, 0, 0, 40, 0, 0, 0, 11, 0, 15, 1, 3, 1, 11, 19, 12, 8, 12, 0, 8.0, 12.0, 12.0, 0, 0, 9, 4, 4, 1, 3, 0, 0, 1, 4, 4, 0.0, 4, 4, 1, 0, 0, 2, 4, 66.67, 100.0, 100.0, 66.6875, 22.19921875, 44.3984375, 0, 0.0, 75.0, 0.0, 0.0, 11.099609375, 44.3984375, 44.4, 0.0, 44.3984375, 44.3984375, 44.3984375, 44.3984375, 11.099609375, 11.099609375, 6.0, 0.0, 2.0, 1.0, 5.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 2.0, "21735", "DN MADE - Mode - - Spécialité : Savoir-faire, luxe & innovation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21735&g_ta_cod=21735", 50.0, 33.0, 8.0),
(8279, "Public", "0900385E", "Université de Franche-Comté - Site de Belfort", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Belfort - Licence - Portail Physique, chimie", "Licence - Sciences - technologies - santé", "", 25, 306, 133, 273, 0, 208, 40, 3, 2, 2, 2, 60, 33, 3, 3, 1, 26, 269, 19, 0, 0, 208, 40, 3, 2, 2, 2, 56, 195, 16, 5, 10, 6, 0.0, 10.0, 13.0, 0, 2, 6, 5, 1, 0, 10, 0, 3, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 5, 5, 0.0, 62.5, 81.25, 31.296875, 83.296875, 83.296875, 0, 33.296875, 37.5, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 83.296875, 50.0, 16.69921875, 0.0, 0.0, 0.0, 134.0, 30.0, 0.0, 0.0, 58.0, "Tous les candidats", 306.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "10834", "Licence - Portail Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32313&g_ta_cod=10834", 81.0, 19.0, 0.0),
(8280, "Privé enseignement supérieur", "0922707T", "Faculté de Droit campus Issy-les-Moulineaux - Institut Catholique de Lille", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Issy-les-Moulineaux", "formation sélective", "Licence", "Faculté de Droit campus Issy-les-Moulineaux ? Institut Catholique de Lille - Licence - Droit - Parcours multilingue, droit européen et comparé", "Licence - Droit-économie-gestion", "multilingue, droit européen et comparé", 70, 504, 378, 504, 0, 358, 39, 54, 17, 5, 1, 87, 0, 0, 0, 0, 0, 404, 0, 0, 0, 309, 28, 33, 6, 5, 1, 57, 255, 70, 55, 70, 0, 41.0, 57.0, 70.0, 0, 4, 65, 62, 3, 0, 5, 0, 5, 29, 28, 3, 0.0, 58, 2, 0, 0, 0, 23, 51, 58.57, 81.43, 100.0, 78.59375, 35.3984375, 78.5, 0, 6.19921875, 92.890625, 0.0, 7.69921875, 44.59375, 43.09375, 4.6, 0.0, 95.390625, 89.1875, 4.599609375, 3.099609375, 0.0, 0.0, 217.0, 24.0, 2.0, 1.0, 23.0, "Tous les candidats", 281.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "13447", "Licence - Droit - Parcours multilingue, droit européen et comparé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13447&g_ta_cod=13447", 94.0, 4.0, 0.0),
(8281, "Public", "0692800U", "Lycée Charlie Chaplin", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Décines-Charpieu", "formation sélective", "BTS", "Lycée Charlie Chaplin - BTS - Services - Gestion de la PME", "BTS - Services", "", 33, 1293, 889, 1283, 0, 52, 20, 417, 204, 467, 275, 347, 10, 0, 0, 5, 5, 517, 0, 0, 0, 21, 8, 213, 93, 251, 150, 32, 222, 29, 23, 29, 0, 0.0, 20.0, 22.0, 0, 18, 27, 2, 14, 11, 2, 0, 11, 14, 2, 0, 0.0, 0, 9, 7, 4, 1, 24, 24, 0.0, 68.97, 75.86, 79.296875, 88.890625, 88.890625, 14.798828125, 66.6875, 93.09375, 0.0, 40.6953125, 51.8984375, 7.3994140625, 0.0, 0.0, 7.3994140625, 0.0, 51.8984375, 33.296875, 40.6953125, 25.8984375, 12.0, 6.0, 106.0, 57.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 205, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 25.0, "8548", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8548&g_ta_cod=8548", 10.0, 48.0, 41.0),
(8282, "Public", "9741233X", "LPO Nelson Mandela", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Benoît", "formation sélective", "BTS", "LPO Nelson Mandela - BTS - Services - Support à l'action managériale", "BTS - Services", "", 34, 439, 307, 331, 0, 11, 7, 144, 104, 104, 79, 72, 108, 1, 35, 20, 52, 156, 23, 0, 0, 9, 5, 76, 60, 54, 41, 17, 137, 30, 20, 15, 15, 2.0, 15.0, 23.0, 0, 18, 21, 1, 8, 12, 9, 0, 9, 7, 5, 0, 0.0, 0, 1, 11, 13, 8, 18, 18, 6.67, 50.0, 76.67, 66.6875, 85.6875, 85.6875, 61.8984375, 85.6875, 70.0, 0.0, 42.8984375, 33.296875, 23.796875, 0.0, 0.0, 4.7998046875, 0.0, 38.09375, 4.7998046875, 57.09375, 52.3984375, 9.0, 5.0, 41.0, 31.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 46.0, "12704", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12704&g_ta_cod=12704", 3.0, 53.0, 43.0),
(8283, "Public", "0941288P", "I.U.T. de Créteil-Vitry - Site de Créteil- UPEC", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "BUT", "I.U.T. de Créteil-Vitry - Site de Créteil- UPEC - BUT - Génie biologique parcours biologie médicale et biotechnologie", "BUT - Production", "", 50, 3616, 2627, 3616, 0, 1732, 407, 856, 314, 7, 2, 1021, 0, 0, 0, 0, 0, 1973, 0, 0, 0, 1131, 234, 336, 106, 0, 0, 506, 352, 52, 41, 52, 0, 2.0, 33.0, 45.0, 0, 15, 37, 22, 15, 0, 15, 0, 1, 10, 21, 5, 0.0, 21, 15, 0, 0, 0, 18, 35, 3.85, 63.46, 86.54, 78.796875, 48.59375, 94.59375, 0, 40.5, 71.1875, 0.0, 2.69970703125, 27.0, 56.796875, 13.5, 0.0, 59.5, 56.796875, 40.5, 40.5, 0.0, 0.0, 180.0, 46.0, 0.0, 0.0, 113.0, "Tous les candidats sauf les Bac technologiques", 461.0, "Bacheliers technologiques toutes séries", 111, "", 0, "Liste d'appel propre à cette formation", 16.0, "11512", "BUT - Génie biologique parcours biologie médicale et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11512&g_ta_cod=11512", 63.0, 37.0, 0.0),
(8284, "Privé sous contrat d'association", "0420979L", "Lycée Tezenas du Montcel", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Tezenas du Montcel - BTS - Services - Tourisme", "BTS - Services", "", 60, 484, 361, 447, 0, 128, 35, 96, 31, 68, 27, 155, 37, 1, 2, 9, 25, 348, 15, 0, 0, 122, 31, 86, 28, 42, 14, 98, 282, 50, 40, 42, 8, 7.0, 38.0, 42.0, 0, 8, 29, 14, 7, 8, 21, 0, 12, 10, 6, 1, 0.0, 8, 2, 7, 0, 0, 26, 26, 14.0, 76.0, 84.0, 80.0, 89.6875, 89.6875, 0, 27.59765625, 58.0, 0.0, 41.3984375, 34.5, 20.69921875, 3.4, 0.0, 48.296875, 27.59765625, 24.09765625, 6.8994140625, 27.59765625, 24.09765625, 101.0, 23.0, 35.0, 11.0, 79.0, "Tous les candidats sauf les Bac professionnels", 296.0, "Bacheliers professionnels toutes séries", 52, "", 0, "Liste d'appel propre à cette formation", 78.0, "5320", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5320&g_ta_cod=5320", 56.0, 22.0, 22.0),
(8285, "Public", "0750712S", "Lycée Diderot", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Diderot - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 24, 393, 31, 319, 0, 23, 4, 101, 32, 118, 42, 77, 74, 7, 26, 4, 37, 231, 6, 0, 0, 21, 4, 89, 25, 81, 28, 40, 154, 26, 2, 19, 6, 1.0, 15.0, 21.0, 0, 11, 19, 1, 9, 9, 7, 0, 7, 8, 3, 1, 0.0, 0, 3, 9, 4, 0, 6, 19, 3.85, 57.69, 80.77, 7.69921875, 31.59765625, 100.0, 21.09765625, 57.8984375, 73.09375, 0.0, 36.796875, 42.09375, 15.798828125, 5.3, 0.0, 5.2998046875, 0.0, 47.3984375, 15.798828125, 47.3984375, 47.3984375, 14.0, 4.0, 48.0, 21.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 109, "Liste d'appel propre à cette formation", 72.0, "9176", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9176&g_ta_cod=9176", 19.0, 46.0, 35.0),
(8286, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Hébreu", "Licence - Arts-lettres-langues", "Anglais - Mineure Hébreu", 6, 138, 110, 138, 0, 78, 18, 18, 6, 1, 0, 41, 0, 0, 0, 0, 0, 134, 0, 0, 0, 78, 18, 18, 6, 1, 0, 37, 39, 5, 5, 5, 0, 0.0, 4.0, 5.0, 0, 0, 4, 2, 1, 1, 1, 0, 2, 1, 1, 0, 0.0, 1, 0, 1, 0, 0, 0, 4, 0.0, 80.0, 100.0, 100.0, 0.0, 100.0, 0, 0.0, 80.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 50.0, 25.0, 25.0, 0.0, 25.0, 25.0, 25.0, 7.0, 1.0, 0.0, 10.0, "Tous les candidats", 66.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "24006", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Hébreu", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24006&g_ta_cod=24006", 60.0, 20.0, 20.0),
(8287, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université de Montpellier - Licence - Gestion - Parcours Gestion (Institut Montpellier Management - MOMA)", "Licence - Droit-économie-gestion", "Gestion (Institut Montpellier Management - MOMA)", 240, 2387, 1274, 2387, 0, 1377, 321, 226, 104, 44, 24, 740, 0, 0, 0, 0, 0, 2327, 0, 0, 0, 1377, 321, 226, 104, 44, 24, 680, 1032, 253, 127, 253, 0, 34.0, 224.0, 253.0, 0, 39, 209, 204, 2, 3, 44, 1, 36, 110, 54, 7, 1.0, 168, 1, 3, 0, 0, 148, 148, 13.44, 88.54, 100.0, 50.1953125, 70.796875, 70.796875, 0, 18.69921875, 82.59375, 0.5, 17.19921875, 52.59375, 25.796875, 3.3, 0.5, 97.59375, 80.390625, 1.0, 0.5, 1.39990234375, 1.39990234375, 845.0, 180.0, 5.0, 3.0, 168.0, "Tous les candidats", 1419.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "4543", "Licence - Gestion - Parcours Gestion (Institut Montpellier Management - MOMA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4543&g_ta_cod=4543", 97.0, 2.0, 1.0),
(8288, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues étrangères appliquées - Parcours Arabe / Italien", "Licence - Arts-lettres-langues", "Arabe / Italien", 25, 99, 59, 35, 0, 2, 0, 5, 4, 12, 9, 16, 64, 3, 4, 10, 47, 32, 30, 0, 0, 2, 0, 5, 4, 12, 9, 13, 61, 16, 10, 5, 11, 3.0, 5.0, 8.0, 0, 5, 7, 1, 2, 4, 9, 0, 5, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 2, 5, 18.75, 31.25, 50.0, 62.5, 28.59765625, 71.390625, 0, 71.390625, 43.796875, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 14.298828125, 0.0, 28.59765625, 0.0, 57.09375, 28.59765625, 3.0, 0.0, 19.0, 12.0, 33.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "28199", "Licence - Langues étrangères appliquées - Parcours Arabe / Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28199&g_ta_cod=28199", 31.0, 31.0, 38.0),
(8289, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes européennes et internationales", "Licence - Arts-lettres-langues", "Etudes européennes et internationales", 20, 230, 181, 230, 0, 161, 35, 10, 6, 4, 3, 55, 0, 0, 0, 0, 0, 177, 0, 0, 0, 138, 26, 2, 1, 0, 0, 37, 107, 18, 14, 18, 0, 3.0, 18.0, 18.0, 0, 5, 13, 13, 0, 0, 5, 0, 4, 7, 2, 0, 0.0, 9, 0, 0, 0, 0, 7, 12, 16.67, 100.0, 100.0, 77.796875, 53.796875, 92.296875, 0, 38.5, 72.1875, 0.0, 30.796875, 53.796875, 15.3984375, 0.0, 0.0, 100.0, 69.1875, 0.0, 0.0, 0.0, 0.0, 79.0, 19.0, 0.0, 0.0, 26.0, "Tous les candidats", 176.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "15142", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes européennes et internationales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15142&g_ta_cod=15142", 100.0, 0.0, 0.0),
(8290, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Langues étrangères appliquées - Parcours Anglais, Allemand. Anglais non débutant et Allemand débutant ou non débutant", "Licence - Arts-lettres-langues", "Anglais, Allemand. Anglais non débutant et Allemand débutant ou non débutant", 40, 218, 149, 200, 0, 139, 41, 18, 9, 0, 0, 43, 18, 3, 1, 0, 14, 199, 17, 0, 0, 139, 41, 18, 9, 0, 0, 42, 216, 32, 20, 29, 3, 28.0, 29.0, 29.0, 0, 5, 20, 18, 2, 0, 12, 0, 7, 1, 8, 3, 1.0, 12, 1, 0, 0, 0, 17, 17, 87.5, 90.63, 90.63, 62.5, 85.0, 85.0, 0, 25.0, 62.5, 0.0, 35.0, 5.0, 40.0, 15.0, 5.0, 90.0, 60.0, 10.0, 5.0, 0.0, 0.0, 142.0, 44.0, 0.0, 0.0, 55.0, "Tous les candidats", 199.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "23573", "Licence - Langues étrangères appliquées - Parcours Anglais, Allemand. Anglais non débutant et Allemand débutant ou non débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23573&g_ta_cod=23573", 88.0, 13.0, 0.0),
(8291, "Public", "0420040R", "Lycée Claude Lebois", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Chamond", "formation sélective", "BTS", "Lycée Claude Lebois - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 15, 166, 8, 148, 0, 8, 2, 26, 3, 70, 17, 44, 18, 0, 1, 7, 10, 84, 9, 0, 0, 7, 1, 18, 1, 47, 12, 12, 58, 6, 0, 2, 4, 0.0, 2.0, 4.0, 0, 0, 3, 0, 0, 3, 3, 0, 0, 0, 3, 0, 0.0, 0, 0, 3, 0, 0, 2, 2, 0.0, 33.33, 66.67, 0.0, 66.6875, 66.6875, 0, 0.0, 50.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 3.0, 1.0, 30.0, 9.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 56.0, "5277", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5277&g_ta_cod=5277", 33.0, 17.0, 50.0),
(8292, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence_Las", "Université de Bourgogne - site de Dijon - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Métiers des langues - Anglais", "Licence - Arts-lettres-langues", "Métiers des langues - Anglais", 5, 309, 231, 309, 0, 186, 50, 10, 2, 2, 2, 111, 0, 0, 0, 0, 0, 309, 0, 0, 0, 186, 50, 10, 2, 2, 2, 111, 24, 5, 4, 5, 0, 1.0, 4.0, 4.0, 0, 1, 2, 2, 0, 0, 3, 0, 0, 0, 2, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 20.0, 80.0, 80.0, 80.0, 100.0, 100.0, 0, 50.0, 40.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 17.0, 6.0, 0.0, 0.0, 7.0, "Tous les candidats", 249.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "27112", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Métiers des langues - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27111&g_ta_cod=27112", 100.0, 0.0, 0.0),
(8293, "Public", "0240025X", "Lycée Laure Gatet", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BTS", "Lycée Laure Gatet - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 367, 220, 340, 0, 26, 10, 108, 34, 109, 51, 97, 27, 0, 0, 13, 14, 214, 4, 0, 0, 21, 8, 85, 26, 80, 37, 28, 128, 31, 17, 30, 1, 5.0, 29.0, 30.0, 0, 14, 25, 3, 11, 11, 6, 0, 4, 18, 3, 0, 0.0, 3, 9, 9, 3, 2, 24, 24, 16.13, 93.55, 96.77, 54.796875, 96.0, 96.0, 12, 56.0, 80.59375, 0.0, 16.0, 72.0, 12.0, 0.0, 0.0, 12.0, 12.0, 44.0, 36.0, 44.0, 36.0, 13.0, 5.0, 59.0, 29.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 50.0, "3425", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3425&g_ta_cod=3425", 19.0, 39.0, 42.0),
(8294, "Public", "0740006E", "Lycée Louis Lachenal", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Argonay", "formation sélective", "BTS", "Lycée Louis Lachenal - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 24, 272, 14, 271, 0, 7, 0, 79, 8, 106, 34, 79, 1, 0, 1, 0, 0, 205, 0, 0, 0, 7, 0, 74, 7, 101, 31, 23, 120, 18, 1, 18, 0, 2.0, 10.0, 13.0, 0, 3, 16, 1, 6, 9, 2, 0, 6, 7, 2, 1, 0.0, 0, 3, 7, 3, 0, 12, 12, 11.11, 55.56, 72.22, 5.599609375, 75.0, 75.0, 18.796875, 18.796875, 88.890625, 0.0, 37.5, 43.796875, 12.5, 6.3, 0.0, 6.2998046875, 0.0, 37.5, 18.796875, 56.296875, 43.796875, 3.0, 0.0, 73.0, 21.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 53.0, "8856", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8856&g_ta_cod=8856", 11.0, 39.0, 50.0),
(8295, "Public", "0250043L", "Lycée Xavier Marmier", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Pontarlier", "formation sélective", "BTS", "Lycée Xavier Marmier - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 295, 137, 277, 0, 19, 4, 42, 15, 30, 7, 186, 18, 2, 0, 4, 12, 106, 1, 0, 0, 18, 3, 40, 13, 27, 6, 21, 82, 19, 8, 18, 1, 6.0, 16.0, 17.0, 0, 2, 17, 3, 5, 9, 2, 0, 8, 7, 1, 1, 0.0, 0, 3, 6, 12, 4, 16, 16, 31.58, 84.21, 89.47, 42.09375, 94.09375, 94.09375, 70.59375, 11.798828125, 89.5, 0.0, 47.09375, 41.1953125, 5.8994140625, 5.9, 0.0, 17.59765625, 0.0, 29.3984375, 17.59765625, 52.8984375, 35.296875, 15.0, 1.0, 28.0, 6.0, 12.0, "Tous les candidats sauf les Bac professionnels", 73.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 38.0, "3499", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3499&g_ta_cod=3499", 26.0, 26.0, 47.0),
(8296, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "PASS", "Universite Jean Monnet, Saint-Etienne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 24, 4424, 3179, 4424, 0, 3691, 644, 104, 38, 18, 10, 611, 0, 0, 0, 0, 0, 4362, 0, 0, 0, 3691, 644, 104, 38, 18, 10, 549, 153, 24, 16, 24, 0, 3.0, 21.0, 23.0, 0, 7, 24, 24, 0, 0, 0, 0, 0, 0, 9, 15, 0.0, 24, 0, 0, 0, 0, 17, 17, 12.5, 87.5, 95.83, 66.6875, 70.796875, 70.796875, 0, 29.19921875, 100.0, 0.0, 0.0, 0.0, 37.5, 62.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 150.0, 28.0, 0.0, 0.0, 3.0, "Tous les candidats", 450.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 8.0, "32465", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27845&g_ta_cod=32465", 100.0, 0.0, 0.0),
(8297, "Public", "0911492C", "Lycée de l'Essouriau", "91", "Essonne", "Ile-de-France", "Versailles", "Les Ulis", "formation sélective", "BTS", "Lycée de l'Essouriau - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 196, 7, 196, 0, 8, 0, 15, 3, 120, 48, 53, 0, 0, 0, 0, 0, 147, 0, 0, 0, 7, 0, 15, 3, 103, 38, 22, 75, 12, 1, 12, 0, 3.0, 8.0, 10.0, 0, 3, 10, 0, 3, 7, 2, 0, 6, 3, 1, 0, 0.0, 0, 1, 3, 5, 0, 7, 9, 25.0, 66.67, 83.33, 8.298828125, 70.0, 90.0, 50, 30.0, 83.296875, 0.0, 60.0, 30.0, 10.0, 0.0, 0.0, 0.0, 0.0, 30.0, 10.0, 70.0, 30.0, 0.0, 0.0, 53.0, 17.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 109, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 64.0, "10932", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10932&g_ta_cod=10932", 8.0, 25.0, 67.0),
(8298, "Public", "0330023W", "Lycée Camille Jullian", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Autre formation", "Lycée Camille Jullian - CPES - Littéraire", "Classe préparatoire aux études supérieures", "", 28, 195, 129, 186, 0, 135, 28, 1, 0, 4, 2, 46, 9, 2, 1, 1, 5, 130, 3, 0, 0, 125, 25, 0, 0, 0, 0, 5, 101, 22, 16, 21, 1, 5.0, 21.0, 22.0, 0, 7, 21, 21, 0, 0, 1, 0, 5, 10, 6, 0, 0.0, 16, 0, 0, 0, 0, 17, 17, 22.73, 95.45, 100.0, 72.6875, 81.0, 81.0, 0, 33.296875, 95.5, 0.0, 23.796875, 47.59375, 28.59765625, 0.0, 0.0, 100.0, 76.1875, 0.0, 0.0, 0.0, 0.0, 96.0, 23.0, 0.0, 0.0, 5.0, "Tous les candidats", 130.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "4281", "CPES - Littéraire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4281&g_ta_cod=4281", 100.0, 0.0, 0.0),
(8299, "Public", "0211033J", "Lycée Gustave Eiffel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 237, 18, 233, 0, 9, 1, 69, 17, 115, 35, 40, 4, 0, 0, 3, 1, 167, 1, 0, 0, 8, 0, 60, 14, 89, 25, 10, 71, 14, 1, 13, 1, 0.0, 8.0, 11.0, 0, 5, 14, 0, 5, 9, 0, 0, 1, 11, 2, 0, 0.0, 0, 4, 9, 4, 0, 14, 14, 0.0, 57.14, 78.57, 7.099609375, 100.0, 100.0, 28.59765625, 35.6953125, 100.0, 0.0, 7.099609375, 78.59375, 14.298828125, 0.0, 0.0, 0.0, 0.0, 35.6953125, 28.59765625, 64.296875, 64.296875, 3.0, 0.0, 37.0, 13.0, 2.0, "Tous les candidats sauf les Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 47.0, "3209", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3209&g_ta_cod=3209", 0.0, 36.0, 64.0),
(8300, "Public", "0180585N", "Lycée agricole de BOURGES", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Le Subdray", "formation sélective", "BTS", "Lycée agricole de BOURGES - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 24, 146, 84, 140, 0, 10, 2, 22, 5, 39, 17, 69, 6, 0, 0, 5, 1, 60, 2, 0, 0, 10, 2, 18, 5, 23, 9, 9, 67, 13, 12, 12, 1, 3.0, 7.0, 8.0, 0, 6, 12, 0, 2, 10, 1, 1, 4, 6, 1, 0, 0.0, 0, 1, 6, 9, 9, 10, 10, 23.08, 53.85, 61.54, 92.296875, 83.296875, 83.296875, 75, 50.0, 92.296875, 8.298828125, 33.296875, 50.0, 8.298828125, 0.0, 0.0, 0.0, 0.0, 16.69921875, 8.298828125, 83.296875, 50.0, 9.0, 2.0, 35.0, 12.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 43.0, "3125", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3125&g_ta_cod=3125", 8.0, 15.0, 77.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(8301, "Privé sous contrat d'association", "0420979L", "Lycée Tezenas du Montcel", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Tezenas du Montcel - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 30, 594, 290, 592, 0, 60, 11, 258, 67, 131, 36, 143, 2, 1, 0, 0, 1, 406, 2, 0, 0, 55, 10, 213, 57, 99, 25, 39, 176, 28, 14, 27, 1, 2.0, 16.0, 18.0, 0, 7, 26, 6, 13, 7, 2, 1, 15, 8, 2, 0, 0.0, 1, 5, 4, 4, 1, 23, 23, 7.14, 57.14, 64.29, 50.0, 88.5, 88.5, 15.3984375, 26.8984375, 92.890625, 3.7998046875, 57.6953125, 30.796875, 7.69921875, 0.0, 0.0, 23.09765625, 3.7998046875, 50.0, 19.19921875, 26.8984375, 15.3984375, 30.0, 6.0, 39.0, 7.0, 12.0, "Tous les candidats sauf les Bac professionnels", 153.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 33.0, "5318", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5318&g_ta_cod=5318", 25.0, 50.0, 25.0),
(8302, "Public", "0810959C", "Lycée La Borde Basse", "81", "Tarn", "Occitanie", "Toulouse", "Castres", "formation sélective", "BTS", "Lycée La Borde Basse - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 532, 244, 532, 0, 55, 9, 195, 57, 187, 78, 95, 0, 0, 0, 0, 0, 382, 0, 0, 0, 47, 6, 113, 27, 153, 58, 69, 154, 30, 14, 30, 0, 3.0, 21.0, 26.0, 0, 8, 25, 2, 8, 15, 5, 0, 5, 15, 5, 0, 0.0, 2, 5, 13, 6, 2, 24, 24, 10.0, 70.0, 86.67, 46.6953125, 96.0, 96.0, 24, 32.0, 83.296875, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 8.0, 8.0, 32.0, 20.0, 60.0, 52.0, 13.0, 5.0, 78.0, 27.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 118, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 39.0, "10285", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10285&g_ta_cod=10285", 20.0, 30.0, 50.0),
(8303, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Sciences sociales", "Licence - Sciences humaines et sociales", "", 285, 1611, 1160, 1398, 0, 831, 222, 115, 53, 50, 20, 402, 213, 37, 17, 19, 140, 1350, 139, 0, 0, 831, 222, 115, 53, 50, 20, 354, 1252, 218, 148, 154, 60, 14.0, 152.0, 184.0, 0, 41, 119, 85, 17, 17, 99, 0, 57, 45, 16, 1, 0.0, 54, 4, 4, 0, 0, 103, 103, 6.42, 69.72, 84.4, 67.890625, 86.59375, 86.59375, 0, 34.5, 54.59375, 0.0, 47.8984375, 37.796875, 13.3984375, 0.8, 0.0, 71.390625, 45.3984375, 14.298828125, 3.39990234375, 14.298828125, 3.39990234375, 733.0, 196.0, 51.0, 25.0, 369.0, "Tous les candidats", 1349.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "8074", "Licence - Sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8074&g_ta_cod=8074", 69.0, 15.0, 16.0),
(8304, "Public", "0310052N", "Roland Garros Lycée des métiers de la maintenance mécanique et de la productique", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Roland Garros Lycée des métiers de la maintenance mécanique et de la productique - BTS - Production - Maintenance des véhicules option motocycles", "BTS - Production", "", 20, 367, 18, 363, 0, 49, 4, 86, 14, 157, 47, 71, 4, 0, 0, 3, 1, 203, 0, 0, 0, 11, 0, 79, 13, 96, 27, 17, 56, 17, 3, 17, 0, 5.0, 7.0, 13.0, 0, 4, 17, 0, 3, 14, 0, 0, 3, 5, 6, 3, 0.0, 0, 2, 12, 1, 0, 3, 3, 29.41, 41.18, 76.47, 17.59765625, 17.59765625, 17.59765625, 5.8994140625, 23.5, 100.0, 0.0, 17.59765625, 29.3984375, 35.296875, 17.6, 0.0, 0.0, 0.0, 17.59765625, 11.798828125, 82.390625, 70.59375, 1.0, 0.0, 44.0, 10.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 18.0, "13227", "BTS - Production - Maintenance des véhicules option motocycles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13227&g_ta_cod=13227", 0.0, 18.0, 82.0),
(8305, "Privé sous contrat d'association", "0492259P", "MAISON FAMILIALE RURALE LE CEDRE", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saint-Barthélemy-d'Anjou", "formation sélective", "BTS", "MAISON FAMILIALE RURALE LE CEDRE - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 22, 111, 71, 103, 0, 10, 0, 18, 4, 36, 3, 39, 8, 0, 1, 7, 0, 81, 7, 0, 0, 10, 0, 18, 4, 36, 3, 17, 62, 7, 7, 6, 1, 3.0, 6.0, 6.0, 0, 2, 6, 0, 1, 5, 1, 0, 3, 1, 2, 0, 0.0, 0, 1, 2, 0, 0, 6, 6, 42.86, 85.71, 85.71, 100.0, 100.0, 100.0, 0, 33.296875, 85.6875, 0.0, 50.0, 16.69921875, 33.296875, 0.0, 0.0, 0.0, 0.0, 16.69921875, 16.69921875, 83.296875, 33.296875, 3.0, 0.0, 36.0, 5.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 73.0, "21250", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21250&g_ta_cod=21250", 0.0, 29.0, 71.0),
(8306, "Public", "0080007P", "Lycée Sevigne", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BTS", "Lycée Sevigne - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 143, 99, 134, 0, 7, 3, 49, 29, 39, 21, 39, 9, 0, 2, 4, 3, 125, 5, 0, 0, 7, 3, 49, 29, 38, 20, 31, 119, 22, 18, 20, 2, 3.0, 19.0, 20.0, 0, 7, 13, 0, 6, 7, 9, 0, 11, 1, 1, 0, 0.0, 0, 1, 1, 4, 4, 12, 12, 13.64, 86.36, 90.91, 81.796875, 92.296875, 92.296875, 30.796875, 53.796875, 59.09375, 0.0, 84.59375, 7.69921875, 7.69921875, 0.0, 0.0, 0.0, 0.0, 46.1953125, 7.69921875, 53.796875, 7.69921875, 6.0, 3.0, 38.0, 21.0, 27.0, "Tous les candidats sauf les Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 93.0, "2354", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2354&g_ta_cod=2354", 18.0, 45.0, 36.0),
(8307, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Double diplôme - Licence Lettres - Lettres Parcours bidisciplinaire binational franco-allemand : Lettres-Allemand / Lettres-Anglais / Lettres-Histoire / Lettres-Philosophie", "Licence - Arts-lettres-langues", "Lettres Parcours bidisciplinaire binational franco-allemand : Lettres-Allemand / Lettres-Anglais / Lettres-Histoire / Lettres-Philosophie", 18, 52, 41, 42, 0, 28, 3, 0, 0, 0, 0, 14, 10, 3, 0, 1, 6, 23, 0, 0, 0, 18, 1, 0, 0, 0, 0, 5, 23, 4, 3, 4, 0, 2.0, 4.0, 4.0, 0, 0, 3, 3, 0, 0, 1, 0, 0, 1, 0, 2, 0.0, 3, 0, 0, 0, 0, 1, 1, 50.0, 100.0, 100.0, 75.0, 33.296875, 33.296875, 0, 0.0, 75.0, 0.0, 0.0, 33.296875, 0.0, 66.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 18.0, 1.0, 0.0, 0.0, 5.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "19585", "Licence - Double diplôme - Licence Lettres - Lettres Parcours bidisciplinaire binational franco-allemand : Lettres-Allemand / Lettres-Anglais / Lettres-Histoire / Lettres-Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19585&g_ta_cod=19585", 100.0, 0.0, 0.0),
(8308, "Public", "9840349G", "Université de la Polynésie française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation sélective", "Autre formation", "Université de la Polynésie française - Diplôme d'Université - PAREO - Parcours Adaptés - PaRéO", "Diplôme d'Université", "Parcours Adaptés - PaRéO", 40, 118, 71, 73, 0, 21, 13, 18, 9, 25, 18, 9, 45, 5, 11, 17, 12, 73, 23, 0, 0, 21, 13, 18, 9, 25, 18, 9, 94, 35, 17, 25, 10, 16.0, 24.0, 30.0, 0, 22, 29, 4, 3, 22, 6, 0, 11, 12, 5, 1, 0.0, 1, 0, 17, 0, 0, 29, 29, 45.71, 68.57, 85.71, 48.59375, 100.0, 100.0, 0, 75.890625, 82.890625, 0.0, 37.8984375, 41.3984375, 17.19921875, 3.4, 0.0, 13.798828125, 3.39990234375, 10.298828125, 0.0, 75.890625, 58.59375, 22.0, 13.0, 33.0, 23.0, 14.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32429", "Diplôme d'Université - PAREO - Parcours Adaptés - PaRéO", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32429&g_ta_cod=32429", 11.0, 14.0, 74.0),
(8309, "Privé sous contrat d'association", "0592965C", "Lycée Industriel et Commercial", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Industriel et Commercial - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 36, 440, 218, 346, 0, 40, 19, 76, 35, 53, 29, 177, 94, 12, 19, 0, 63, 145, 24, 0, 0, 30, 11, 46, 18, 28, 15, 41, 125, 28, 13, 19, 9, 12.0, 19.0, 25.0, 0, 5, 17, 7, 5, 5, 11, 0, 5, 9, 3, 0, 0.0, 2, 5, 5, 4, 2, 17, 17, 42.86, 67.86, 89.29, 46.3984375, 100.0, 100.0, 23.5, 29.3984375, 60.6953125, 0.0, 29.3984375, 52.8984375, 17.59765625, 0.0, 0.0, 41.1953125, 11.798828125, 29.3984375, 29.3984375, 29.3984375, 29.3984375, 30.0, 11.0, 8.0, 3.0, 48.0, "Tous les candidats sauf les Bac professionnels", 108.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 35.0, "6921", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6921&g_ta_cod=6921", 39.0, 39.0, 21.0),
(8310, "Public", "0030038A", "Lycée Polyvalent Jean Monnet", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Yzeure", "formation sélective", "Autre formation", "Lycée Polyvalent Jean Monnet - DN MADE - Matériaux - - Spécialité : créateur verrier", "DN MADE", "- Spécialité : créateur verrier", 15, 110, 87, 110, 0, 32, 6, 49, 6, 4, 0, 25, 0, 0, 0, 0, 0, 110, 0, 0, 0, 32, 6, 49, 6, 4, 0, 25, 57, 16, 14, 16, 0, 4.0, 11.0, 16.0, 0, 3, 12, 6, 6, 0, 4, 0, 4, 5, 3, 0, 0.0, 4, 4, 0, 0, 0, 2, 2, 25.0, 68.75, 100.0, 87.5, 16.69921875, 16.69921875, 0, 25.0, 75.0, 0.0, 33.296875, 41.6953125, 25.0, 0.0, 0.0, 50.0, 33.296875, 50.0, 33.296875, 0.0, 0.0, 17.0, 5.0, 1.0, 0.0, 18.0, "Tous les candidats", 97.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "21640", "DN MADE - Matériaux - - Spécialité : créateur verrier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21640&g_ta_cod=21640", 38.0, 56.0, 0.0),
(8311, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Langues étrangères appliquées - Parcours Espagnol, Italien. Non débutants", "Licence - Arts-lettres-langues", "Espagnol, Italien. Non débutants", 5, 40, 28, 30, 0, 20, 9, 2, 1, 1, 0, 7, 10, 3, 0, 0, 7, 30, 9, 0, 0, 20, 9, 2, 1, 1, 0, 7, 39, 4, 3, 3, 1, 3.0, 3.0, 4.0, 0, 1, 2, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 75.0, 75.0, 100.0, 75.0, 100.0, 100.0, 0, 50.0, 50.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 23.0, 10.0, 1.0, 0.0, 13.0, "Tous les candidats", 30.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "23574", "Licence - Langues étrangères appliquées - Parcours Espagnol, Italien. Non débutants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23574&g_ta_cod=23574", 75.0, 25.0, 0.0),
(8312, "Public", "0442448X", "Centre de Ressources, d'Expertise et de Performance Sportive de Nantes (CREPS)", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "CREPS Pays de la Loire - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 3, 292, 63, 292, 0, 69, 12, 80, 16, 67, 19, 76, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 3, 3, 2, 3, 0, 3.0, 3.0, 3.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 66.6875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 1.0, "30934", "BPJEPS - Activités physiques pour tous", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30934&g_ta_cod=30934", 0.0, 0.0, 100.0),
(8313, "Public", "0770926N", "Lycée Francois Couperin", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Fontainebleau", "formation sélective", "BTS", "Lycée Francois Couperin - BTS - Services - Notariat", "BTS - Services", "", 35, 732, 479, 732, 0, 126, 32, 121, 34, 70, 26, 415, 0, 0, 0, 0, 0, 413, 0, 0, 0, 124, 31, 104, 26, 67, 24, 118, 119, 35, 30, 35, 0, 5.0, 29.0, 32.0, 0, 3, 28, 13, 9, 6, 7, 0, 11, 8, 9, 0, 0.0, 3, 9, 5, 6, 4, 26, 27, 14.29, 82.86, 91.43, 85.6875, 92.890625, 96.390625, 21.3984375, 10.69921875, 80.0, 0.0, 39.296875, 28.59765625, 32.09375, 0.0, 0.0, 46.3984375, 10.69921875, 32.09375, 32.09375, 21.3984375, 17.8984375, 48.0, 9.0, 17.0, 4.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 87.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 22.0, "20909", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20909&g_ta_cod=20909", 54.0, 29.0, 17.0),
(8314, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation sélective", "Autre formation", "INALCO - Diplôme d'Université - Diplôme d'Initiation à l'Arabe", "Diplôme d'Université", "Diplôme d'Initiation à l'Arabe", 150, 556, 381, 270, 0, 93, 29, 13, 7, 7, 4, 157, 286, 40, 19, 10, 217, 189, 146, 0, 0, 82, 25, 4, 2, 2, 1, 101, 335, 146, 101, 57, 89, 51.0, 57.0, 99.0, 0, 12, 30, 27, 2, 1, 116, 0, 5, 15, 8, 1, 1.0, 22, 2, 1, 0, 0, 2, 16, 34.93, 39.04, 67.81, 69.1875, 6.69921875, 53.296875, 0, 40.0, 20.5, 0.0, 16.69921875, 50.0, 26.69921875, 3.3, 3.3, 90.0, 73.296875, 6.69921875, 6.69921875, 3.2998046875, 3.2998046875, 108.0, 38.0, 5.0, 2.0, 215.0, "Tous les candidats", 189.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "22931", "Diplôme d'Université - Diplôme d'Initiation à l'Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22931&g_ta_cod=22931", 90.0, 5.0, 3.0),
(8315, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 80, 200, 167, 174, 0, 121, 37, 9, 3, 5, 3, 39, 26, 5, 6, 2, 13, 174, 23, 0, 0, 121, 37, 9, 3, 5, 3, 39, 197, 22, 19, 20, 2, 19.0, 19.0, 22.0, 0, 6, 19, 14, 3, 2, 3, 0, 11, 4, 4, 0, 0.0, 7, 0, 1, 0, 0, 16, 16, 86.36, 86.36, 100.0, 86.390625, 84.1875, 84.1875, 0, 31.59765625, 86.390625, 0.0, 57.8984375, 21.09765625, 21.09765625, 0.0, 0.0, 73.6875, 36.796875, 15.798828125, 0.0, 10.5, 5.2998046875, 126.0, 38.0, 7.0, 5.0, 50.0, "Tous les candidats", 174.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3547", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3547&g_ta_cod=3547", 73.0, 18.0, 9.0),
(8316, "Public", "9741204R", "Université de la Réunion - Le Tampon", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation non sélective", "PASS", "Université de la Réunion - Le Tampon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 50, 538, 368, 417, 0, 287, 70, 31, 15, 11, 11, 88, 121, 46, 10, 4, 61, 417, 113, 0, 0, 287, 70, 31, 15, 11, 11, 88, 429, 46, 35, 24, 22, 0.0, 24.0, 40.0, 0, 13, 24, 19, 2, 3, 22, 0, 13, 4, 7, 0, 0.0, 11, 0, 0, 0, 0, 15, 15, 0.0, 52.17, 86.96, 76.09375, 62.5, 62.5, 0, 54.1953125, 52.1953125, 0.0, 54.1953125, 16.69921875, 29.19921875, 0.0, 0.0, 79.1875, 45.796875, 8.298828125, 0.0, 12.5, 0.0, 261.0, 62.0, 13.0, 13.0, 127.0, "Tous les candidats", 1357.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27570", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27569&g_ta_cod=27570", 78.0, 13.0, 9.0),
(8317, "Privé sous contrat d'association", "0570313F", "Lycée Notre Dame De La Providence", "57", "Moselle", "Grand Est", "Nancy-Metz", "Thionville", "formation sélective", "BTS", "Lycée Notre Dame De La Providence - BTS - Services - Commerce International", "BTS - Services", "", 35, 499, 232, 499, 0, 103, 21, 107, 28, 44, 11, 245, 0, 0, 0, 0, 0, 330, 0, 0, 0, 100, 20, 102, 26, 40, 10, 88, 159, 32, 13, 32, 0, 5.0, 24.0, 28.0, 0, 6, 26, 8, 13, 5, 6, 0, 13, 10, 2, 1, 0.0, 2, 6, 5, 0, 0, 25, 25, 15.63, 75.0, 87.5, 40.59375, 96.1875, 96.1875, 0, 23.09765625, 81.296875, 0.0, 50.0, 38.5, 7.69921875, 3.8, 0.0, 30.796875, 7.69921875, 50.0, 23.09765625, 19.19921875, 19.19921875, 53.0, 9.0, 17.0, 5.0, 21.0, "Tous les candidats sauf les Bac professionnels", 174.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 39.0, "6588", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6588&g_ta_cod=6588", 38.0, 47.0, 16.0),
(8318, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 / Université Paris 1 Panthéon Sorbonne - Double licence - Lettres / Philosophie - Double Licence Lettres / Philosophie", "Licence - Arts-lettres-langues", "Double Licence Lettres / Philosophie", 40, 798, 606, 798, 0, 591, 67, 3, 2, 2, 0, 202, 0, 0, 0, 0, 0, 798, 0, 0, 0, 591, 67, 3, 2, 2, 0, 202, 259, 40, 26, 40, 0, 1.0, 25.0, 36.0, 0, 3, 25, 25, 0, 0, 15, 0, 1, 3, 10, 10, 1.0, 24, 0, 0, 0, 0, 7, 20, 2.5, 62.5, 90.0, 65.0, 28.0, 80.0, 0, 12.0, 62.5, 0.0, 4.0, 12.0, 40.0, 40.0, 4.0, 100.0, 96.0, 0.0, 0.0, 0.0, 0.0, 207.0, 23.0, 0.0, 0.0, 52.0, "Tous les candidats", 480.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "9250", "Double licence - Lettres / Philosophie - Double Licence Lettres / Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9250&g_ta_cod=9250", 98.0, 0.0, 0.0),
(8319, "Public", "0623957P", "Université d'Artois - Site d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation non sélective", "Licence", "Université d'Artois - Site d'Arras - Licence - Langues étrangères appliquées - Parcours Anglais-Arabe - LEA", "Licence - Arts-lettres-langues", "Anglais-Arabe - LEA", 20, 173, 125, 126, 0, 67, 36, 14, 9, 7, 4, 38, 47, 7, 1, 2, 37, 117, 41, 0, 0, 67, 36, 14, 9, 7, 4, 29, 140, 18, 9, 7, 11, 2.0, 7.0, 12.0, 0, 5, 9, 5, 3, 1, 9, 0, 5, 3, 1, 0, 0.0, 3, 0, 1, 0, 0, 8, 8, 11.11, 38.89, 66.67, 50.0, 88.890625, 88.890625, 0, 55.59375, 50.0, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 55.59375, 33.296875, 33.296875, 0.0, 11.099609375, 11.099609375, 67.0, 35.0, 7.0, 5.0, 57.0, "Tous les candidats", 117.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "16839", "Licence - Langues étrangères appliquées - Parcours Anglais-Arabe - LEA", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16839&g_ta_cod=16839", 39.0, 33.0, 17.0),
(8320, "Privé sous contrat d'association", "0150047V", "Lycée de la Communication Saint Géraud", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "Autre formation", "Lycée de la Communication Saint Géraud - DN MADE - Numérique - - Spécialité : Images numériques et narration", "DN MADE", "- Spécialité : Images numériques et narration", 18, 285, 147, 285, 0, 115, 15, 67, 8, 41, 7, 62, 0, 0, 0, 0, 0, 169, 0, 0, 0, 81, 9, 52, 7, 12, 0, 24, 60, 20, 11, 20, 0, 5.0, 17.0, 19.0, 0, 2, 17, 8, 9, 0, 3, 0, 3, 7, 6, 1, 0.0, 7, 7, 0, 0, 0, 3, 3, 25.0, 85.0, 95.0, 55.0, 17.59765625, 17.59765625, 0, 11.798828125, 85.0, 0.0, 17.59765625, 41.1953125, 35.296875, 5.9, 0.0, 47.09375, 41.1953125, 52.8984375, 41.1953125, 0.0, 0.0, 24.0, 3.0, 2.0, 0.0, 6.0, "Tous les candidats", 78.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "21648", "DN MADE - Numérique - - Spécialité : Images numériques et narration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21648&g_ta_cod=21648", 55.0, 45.0, 0.0),
(8321, "Privé sous contrat d'association", "0881452A", "Ecole d'horticulture et de paysage", "88", "Vosges", "Grand Est", "Nancy-Metz", "Roville-aux-Chênes", "formation sélective", "BTS", "Ecole d'horticulture et de paysage - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 24, 233, 103, 233, 0, 71, 8, 40, 4, 51, 8, 71, 0, 0, 0, 0, 0, 212, 0, 0, 0, 70, 8, 40, 4, 45, 6, 57, 63, 22, 8, 22, 0, 7.0, 20.0, 20.0, 0, 2, 22, 6, 6, 10, 0, 0, 9, 9, 3, 1, 0.0, 2, 4, 7, 3, 3, 8, 8, 31.82, 90.91, 90.91, 36.3984375, 36.3984375, 36.3984375, 13.599609375, 9.099609375, 100.0, 0.0, 40.8984375, 40.8984375, 13.599609375, 4.5, 0.0, 27.296875, 9.099609375, 27.296875, 18.19921875, 45.5, 31.796875, 26.0, 5.0, 24.0, 3.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 33.0, "16090", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16090&g_ta_cod=16090", 27.0, 27.0, 45.0),
(8322, "Public", "0400019D", "Lycée des métiers de l'automobile et du transport Fréderic Estève", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Mont-de-Marsan", "formation sélective", "BTS", "Lycée des métiers de l'automobile et du transport Fréderic Estève - BTS - Production - Maintenance des véhicules option véhicules de transport routier", "BTS - Production", "", 10, 97, 4, 95, 0, 5, 0, 11, 3, 40, 13, 39, 2, 0, 0, 1, 1, 58, 0, 0, 0, 5, 0, 11, 3, 40, 13, 2, 37, 8, 0, 8, 0, 1.0, 7.0, 7.0, 0, 2, 7, 1, 1, 5, 1, 0, 3, 1, 2, 1, 0.0, 0, 0, 4, 2, 0, 5, 5, 12.5, 87.5, 87.5, 0.0, 71.390625, 71.390625, 28.59765625, 28.59765625, 87.5, 0.0, 42.8984375, 14.298828125, 28.59765625, 14.3, 0.0, 14.298828125, 0.0, 14.298828125, 0.0, 71.390625, 57.09375, 3.0, 0.0, 23.0, 7.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 56.0, "19286", "BTS - Production - Maintenance des véhicules option véhicules de transport routier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19286&g_ta_cod=19286", 13.0, 13.0, 75.0),
(8323, "Public", "0342023P", "Université Paul Valery Montpellier - Site de Béziers", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation non sélective", "Licence", "Université Paul Valery Montpellier - Site de Béziers - Licence - Psychologie", "Licence - Sciences humaines et sociales", "", 125, 2053, 1759, 2053, 0, 929, 252, 303, 104, 169, 70, 652, 0, 0, 0, 0, 0, 2053, 0, 0, 0, 929, 252, 303, 104, 169, 70, 652, 601, 122, 108, 122, 0, 15.0, 92.0, 109.0, 0, 31, 89, 40, 28, 21, 33, 0, 30, 39, 19, 1, 0.0, 25, 17, 17, 0, 0, 79, 79, 12.3, 75.41, 89.34, 88.5, 88.796875, 88.796875, 0, 34.796875, 73.0, 0.0, 33.6953125, 43.796875, 21.296875, 1.1, 0.0, 44.8984375, 28.09765625, 31.5, 19.09765625, 23.59765625, 19.09765625, 322.0, 77.0, 68.0, 27.0, 102.0, "Tous les candidats", 802.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "4615", "Licence - Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4615&g_ta_cod=4615", 45.0, 27.0, 23.0),
(8324, "Privé sous contrat d'association", "0011438H", "Institut Régional et Européen des métiers de l'Intervention Sociale Rhône-Alpes- IREIS", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "EFTS", "Institut Régional et Européen des métiers de l'Intervention Sociale Rhône-Alpes- IREIS - D.E Assistant de Service Social", "D.E secteur social", "", 20, 101, 92, 84, 0, 17, 4, 17, 1, 5, 0, 45, 17, 2, 1, 3, 11, 57, 2, 0, 0, 12, 3, 7, 0, 3, 0, 35, 47, 19, 19, 17, 2, 8.0, 17.0, 19.0, 0, 2, 8, 4, 1, 3, 11, 0, 3, 4, 1, 0, 0.0, 2, 0, 3, 0, 0, 6, 6, 42.11, 89.47, 100.0, 100.0, 75.0, 75.0, 0, 25.0, 42.09375, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 50.0, 25.0, 12.5, 0.0, 37.5, 37.5, 11.0, 2.0, 4.0, 0.0, 28.0, "Tous les candidats", 98.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 68.0, "25248", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24806&g_ta_cod=25248", 47.0, 16.0, 37.0),
(8325, "Public", "0590282L", "Lycée Jules Mousseron", "59", "Nord", "Hauts-de-France", "Lille", "Denain", "formation sélective", "BTS", "Lycée Jules Mousseron - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 358, 196, 351, 0, 25, 7, 79, 37, 133, 71, 114, 7, 1, 0, 0, 6, 252, 1, 0, 0, 22, 5, 63, 28, 112, 57, 55, 122, 34, 20, 34, 0, 5.0, 26.0, 27.0, 0, 12, 27, 0, 6, 21, 7, 0, 8, 10, 9, 0, 0.0, 0, 1, 18, 3, 1, 26, 26, 14.71, 76.47, 79.41, 58.796875, 96.296875, 96.296875, 11.099609375, 44.3984375, 79.390625, 0.0, 29.59765625, 37.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 22.19921875, 3.69970703125, 77.796875, 66.6875, 14.0, 5.0, 56.0, 27.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 40.0, "6878", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6878&g_ta_cod=6878", 12.0, 21.0, 68.0),
(8326, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Information et communication", "Licence - Sciences humaines et sociales", "", 240, 1582, 1025, 1582, 0, 943, 170, 135, 36, 33, 15, 471, 0, 0, 0, 0, 0, 1538, 0, 0, 0, 943, 170, 135, 36, 33, 15, 427, 1538, 311, 170, 311, 0, 309.0, 310.0, 311.0, 0, 39, 208, 180, 21, 7, 103, 1, 85, 92, 27, 3, 0.0, 105, 11, 6, 0, 0, 103, 103, 99.36, 99.68, 100.0, 54.6953125, 49.5, 49.5, 0, 18.796875, 66.890625, 0.5, 40.8984375, 44.1953125, 13.0, 1.4, 0.0, 86.5, 50.5, 10.099609375, 5.2998046875, 3.39990234375, 2.89990234375, 943.0, 170.0, 33.0, 15.0, 427.0, "Tous les candidats", 1538.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "13919", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13919&g_ta_cod=13919", 79.0, 15.0, 6.0),
(8327, "Public", "0170060Y", "Lycée Bernard Palissy", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Saintes", "formation sélective", "Autre formation", "Lycée Bernard Palissy - Mention complémentaire - FCIL maintenance équipements audiovisuels et électroménager", "Mention complémentaire", "", 12, 63, 3, 63, 0, 0, 0, 1, 0, 59, 14, 3, 0, 0, 0, 0, 0, 21, 0, 0, 0, 0, 0, 0, 0, 21, 5, 0, 21, 10, 1, 10, 0, 7.0, 10.0, 10.0, 0, 2, 10, 0, 0, 10, 0, 0, 1, 8, 1, 0, 0.0, 0, 0, 9, 0, 0, 5, 5, 70.0, 100.0, 100.0, 10.0, 50.0, 50.0, 0, 20.0, 100.0, 0.0, 10.0, 80.0, 10.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 90.0, 0.0, 0.0, 21.0, 5.0, 0.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "25066", "Mention complémentaire - FCIL maintenance équipements audiovisuels et électroménager", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25066&g_ta_cod=25066", 0.0, 0.0, 100.0),
(8328, "Public", "0130040Y", "Lycée Thiers", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  1er Arrondissement", "formation sélective", "CPGE", "Lycée Thiers - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 2339, 834, 2339, 1639, 1917, 207, 1, 0, 0, 0, 421, 0, 0, 0, 0, 0, 1127, 0, 307, 1086, 1120, 93, 0, 0, 0, 0, 7, 587, 94, 34, 94, 0, 21.0, 62.0, 87.0, 8, 10, 91, 91, 0, 0, 3, 0, 0, 0, 18, 63, 10.0, 91, 0, 0, 15, 3, 66, 66, 22.34, 65.96, 92.55, 36.1953125, 72.5, 72.5, 16.5, 11.0, 96.796875, 0.0, 0.0, 0.0, 19.796875, 69.2, 11.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 583.0, 53.0, 0.0, 0.0, 4.0, "Tous les candidats", 774.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "2547", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2547&g_ta_cod=2547", 100.0, 0.0, 0.0),
(8329, "Public", "0920135X", "Lycée E. Mounier", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Châtenay-Malabry", "formation sélective", "BTS", "Lycée E. Mounier - BTS - Services - Gestion de la PME", "BTS - Services", "", 32, 564, 304, 564, 0, 20, 5, 153, 50, 205, 98, 186, 0, 0, 0, 0, 0, 506, 0, 0, 0, 18, 5, 119, 39, 205, 98, 164, 161, 30, 14, 28, 0, 5.0, 15.0, 24.0, 0, 3, 14, 3, 8, 3, 16, 0, 8, 6, 0, 0, 0.0, 1, 3, 2, 1, 0, 14, 14, 16.67, 50.0, 80.0, 46.6953125, 100.0, 100.0, 7.099609375, 21.3984375, 46.6953125, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 21.3984375, 7.099609375, 57.09375, 21.3984375, 21.3984375, 14.298828125, 13.0, 5.0, 43.0, 15.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 105, "Liste d'appel propre à cette formation", 35.0, "10990", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10990&g_ta_cod=10990", 13.0, 43.0, 43.0),
(8330, "Public", "0931810M", "IFSI CH Robert Ballanger", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aulnay-sous-Bois", "formation sélective", "IFSI", "Regroupement d'IFSI Université Paris Nord - D.E Infirmier", "D.E secteur sanitaire", "", 68, 4877, 4362, 4877, 0, 473, 210, 888, 463, 721, 425, 2795, 0, 0, 0, 0, 0, 4180, 0, 0, 0, 469, 208, 813, 425, 575, 345, 2323, 704, 72, 56, 70, 0, 3.0, 41.0, 63.0, 0, 17, 49, 25, 24, 0, 23, 0, 9, 26, 13, 1, 0.0, 21, 19, 0, 0, 0, 43, 45, 4.17, 56.94, 87.5, 77.796875, 87.796875, 91.796875, 0, 34.6953125, 68.09375, 0.0, 18.3984375, 53.09375, 26.5, 2.0, 0.0, 51.0, 42.8984375, 49.0, 38.796875, 0.0, 0.0, 178.0, 78.0, 15.0, 5.0, 351.0, "Tous les candidats", 1678.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "23053", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23010&g_ta_cod=23053", 57.0, 39.0, 3.0),
(8331, "Public", "0370037P", "Lycée Choiseul", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Choiseul - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 36, 1435, 728, 1418, 0, 192, 43, 573, 175, 317, 128, 336, 17, 0, 0, 13, 4, 772, 7, 0, 0, 169, 40, 347, 100, 170, 56, 86, 246, 33, 19, 28, 5, 3.0, 12.0, 20.0, 0, 8, 28, 6, 11, 11, 5, 0, 9, 15, 3, 1, 0.0, 2, 8, 9, 4, 3, 24, 24, 9.09, 36.36, 60.61, 57.59375, 85.6875, 85.6875, 14.298828125, 28.59765625, 84.796875, 0.0, 32.09375, 53.59375, 10.69921875, 3.6, 0.0, 21.3984375, 7.099609375, 39.296875, 28.59765625, 39.296875, 32.09375, 36.0, 12.0, 98.0, 31.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 118, "Liste d'appel propre à cette formation", 19.0, "4832", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4832&g_ta_cod=4832", 18.0, 39.0, 42.0),
(8332, "Public", "0560025Y", "Lycée Dupuy De Lôme", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BTS", "Lycée Dupuy De Lôme - BTS - Services - Assurance", "BTS - Services", "", 35, 593, 299, 559, 0, 61, 17, 144, 38, 92, 41, 262, 34, 4, 3, 3, 24, 296, 11, 0, 0, 55, 11, 118, 25, 64, 23, 59, 203, 25, 14, 22, 3, 1.0, 20.0, 24.0, 0, 3, 17, 3, 9, 5, 8, 0, 5, 10, 2, 0, 0.0, 2, 5, 5, 2, 1, 15, 15, 4.0, 80.0, 96.0, 56.0, 88.1875, 88.1875, 11.798828125, 17.59765625, 68.0, 0.0, 29.3984375, 58.796875, 11.798828125, 0.0, 0.0, 17.59765625, 11.798828125, 52.8984375, 29.3984375, 29.3984375, 29.3984375, 42.0, 8.0, 30.0, 13.0, 46.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 87.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 137, "Liste d'appel propre à cette formation", 52.0, "6423", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6423&g_ta_cod=6423", 32.0, 48.0, 20.0),
(8333, "Public", "0301577B", "Université de Montpellier, Antenne de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "PASS", "Université de Montpellier, Antenne de Nîmes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 30, 1224, 813, 1224, 0, 893, 236, 28, 14, 10, 4, 293, 0, 0, 0, 0, 0, 1224, 0, 0, 0, 893, 236, 28, 14, 10, 4, 293, 321, 30, 19, 30, 0, 1.0, 11.0, 25.0, 0, 9, 24, 24, 0, 0, 6, 0, 8, 12, 2, 2, 0.0, 16, 0, 0, 0, 0, 19, 19, 3.33, 36.67, 83.33, 63.296875, 79.1875, 79.1875, 0, 37.5, 80.0, 0.0, 33.296875, 50.0, 8.298828125, 8.3, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 260.0, 63.0, 2.0, 2.0, 59.0, "Tous les candidats", 2373.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 51.0, "31849", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28811&g_ta_cod=31849", 100.0, 0.0, 0.0),
(8334, "Public", "0330029C", "Lycée Nicolas Bremontier", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Nicolas Bremontier - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 924, 654, 849, 0, 48, 10, 357, 136, 261, 152, 183, 75, 0, 0, 47, 28, 372, 11, 0, 0, 41, 8, 187, 65, 99, 50, 45, 187, 26, 21, 23, 3, 3.0, 15.0, 20.0, 0, 12, 20, 2, 14, 4, 6, 0, 11, 8, 1, 0, 0.0, 1, 7, 1, 1, 1, 13, 13, 11.54, 57.69, 76.92, 80.796875, 65.0, 65.0, 5, 60.0, 76.890625, 0.0, 55.0, 40.0, 5.0, 0.0, 0.0, 10.0, 5.0, 70.0, 35.0, 20.0, 5.0, 13.0, 4.0, 64.0, 33.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 96, "Bacheliers technologiques toutes séries", 151, "Liste d'appel propre à cette formation", 33.0, "4304", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4304&g_ta_cod=4304", 12.0, 65.0, 23.0),
(8335, "Public", "0370781Y", "Lycée agricole de TOURS FONDETTES", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Fondettes", "formation sélective", "BTS", "Lycée agricole de TOURS FONDETTES - BTS - Agricole - productions animales", "BTS - Agricole", "", 32, 309, 204, 309, 0, 77, 8, 110, 37, 51, 11, 71, 0, 0, 0, 0, 0, 268, 0, 0, 0, 77, 8, 110, 37, 51, 11, 30, 133, 31, 22, 30, 0, 6.0, 27.0, 30.0, 0, 9, 28, 9, 8, 11, 3, 0, 11, 11, 5, 1, 0.0, 3, 7, 7, 9, 5, 18, 18, 19.35, 87.1, 96.77, 71.0, 64.296875, 64.296875, 32.09375, 32.09375, 90.296875, 0.0, 39.296875, 39.296875, 17.8984375, 3.6, 0.0, 32.09375, 10.69921875, 28.59765625, 25.0, 39.296875, 25.0, 42.0, 5.0, 31.0, 9.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 62.0, "4876", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4876&g_ta_cod=4876", 35.0, 29.0, 35.0),
(8336, "Public", "0750707L", "Ecole Nationale De Commerce", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "BTS", "Ecole Nationale De Commerce - BTS - Services - Professions immobilières", "BTS - Services", "", 35, 3387, 1801, 3387, 0, 595, 146, 1188, 434, 719, 321, 885, 0, 0, 0, 0, 0, 2057, 0, 0, 0, 491, 117, 772, 275, 356, 148, 438, 131, 38, 23, 38, 0, 11.0, 32.0, 33.0, 0, 14, 37, 9, 18, 10, 1, 0, 11, 16, 10, 0, 0.0, 4, 13, 9, 0, 0, 17, 34, 28.95, 84.21, 86.84, 60.5, 45.8984375, 91.890625, 0, 37.796875, 97.390625, 0.0, 29.69921875, 43.1953125, 27.0, 0.0, 0.0, 24.296875, 10.798828125, 48.59375, 35.09375, 27.0, 24.296875, 32.0, 11.0, 38.0, 14.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 5.0, "9156", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9156&g_ta_cod=9156", 24.0, 47.0, 29.0),
(8337, "Public", "0450782F", "Lycée Voltaire", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Voltaire - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 36, 1322, 712, 1322, 0, 128, 37, 537, 186, 378, 179, 279, 0, 0, 0, 0, 0, 591, 0, 0, 0, 71, 16, 260, 88, 190, 72, 70, 130, 33, 21, 33, 0, 6.0, 23.0, 26.0, 0, 14, 30, 5, 13, 12, 3, 0, 6, 10, 11, 3, 0.0, 3, 12, 9, 3, 2, 28, 28, 18.18, 69.7, 78.79, 63.59375, 93.296875, 93.296875, 10, 46.6953125, 90.890625, 0.0, 20.0, 33.296875, 36.6953125, 10.0, 0.0, 16.69921875, 10.0, 43.296875, 40.0, 40.0, 30.0, 16.0, 8.0, 49.0, 17.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 12.0, "5698", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5698&g_ta_cod=5698", 24.0, 39.0, 36.0),
(8338, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Histoire - Parcours Histoire (site de Rennes)", "Licence - Sciences humaines et sociales", "Histoire (site de Rennes)", 335, 2221, 1063, 1973, 0, 1393, 258, 133, 31, 44, 15, 403, 248, 40, 24, 16, 168, 1973, 109, 0, 0, 1393, 258, 133, 31, 44, 15, 403, 1612, 296, 125, 235, 61, 58.0, 235.0, 276.0, 0, 39, 182, 152, 16, 14, 114, 1, 69, 60, 42, 8, 2.0, 99, 6, 7, 0, 0, 146, 146, 19.59, 79.39, 93.24, 42.1953125, 80.1875, 80.1875, 0, 21.3984375, 61.5, 0.5, 37.8984375, 33.0, 23.09765625, 4.4, 1.1, 83.5, 54.3984375, 8.798828125, 3.2998046875, 7.69921875, 3.7998046875, 1107.0, 188.0, 37.0, 14.0, 369.0, "Tous les candidats", 1973.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4736", "Licence - Histoire - Parcours Histoire (site de Rennes)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4736&g_ta_cod=4736", 79.0, 13.0, 8.0),
(8339, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "PASS", "Université des Antilles - Pôle Guadeloupe - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 80, 554, 388, 554, 0, 460, 104, 37, 24, 9, 4, 48, 0, 0, 0, 0, 0, 552, 0, 0, 0, 460, 104, 37, 24, 9, 4, 46, 325, 83, 59, 83, 0, 9.0, 83.0, 83.0, 0, 22, 81, 74, 6, 1, 2, 0, 11, 27, 29, 13, 1.0, 63, 6, 1, 0, 0, 78, 78, 10.84, 100.0, 100.0, 71.09375, 96.296875, 96.296875, 0, 27.19921875, 97.59375, 0.0, 13.599609375, 33.296875, 35.796875, 16.0, 1.2, 91.390625, 77.796875, 7.3994140625, 7.3994140625, 1.199951171875, 1.199951171875, 293.0, 68.0, 2.0, 1.0, 15.0, "Tous les candidats", 1113.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 82.0, "27423", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27424&g_ta_cod=27423", 90.0, 8.0, 1.0),
(8340, "Public", "0301237G", "IFSI CHU Nimes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "IFSI", "Regroupement d'IFSI Université Montpellier - D.E Infirmier", "D.E secteur sanitaire", "", 135, 9342, 7890, 9342, 0, 1516, 381, 1624, 493, 906, 389, 5296, 0, 0, 0, 0, 0, 6693, 0, 0, 0, 1298, 301, 1237, 351, 568, 222, 3590, 965, 132, 116, 131, 0, 9.0, 70.0, 111.0, 0, 22, 88, 22, 54, 12, 44, 0, 3, 31, 42, 12, 0.0, 19, 54, 12, 0, 0, 44, 44, 6.82, 53.03, 84.09, 87.890625, 50.0, 50.0, 0, 25.0, 66.6875, 0.0, 3.39990234375, 35.1953125, 47.6953125, 13.6, 0.0, 25.0, 21.59765625, 61.3984375, 61.3984375, 13.599609375, 13.599609375, 223.0, 28.0, 63.0, 29.0, 420.0, "Tous les candidats", 1912.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 17.0, "23175", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22991&g_ta_cod=23175", 36.0, 54.0, 11.0),
(8341, "Public", "0080008R", "Lycée François Bazin", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BTS", "Lycée François Bazin - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 106, 23, 71, 0, 9, 2, 24, 10, 24, 13, 14, 35, 1, 17, 3, 14, 45, 17, 0, 0, 9, 2, 13, 6, 17, 7, 6, 60, 21, 3, 10, 10, 7.0, 10.0, 18.0, 0, 4, 14, 1, 11, 2, 7, 0, 13, 0, 1, 0, 0.0, 0, 0, 1, 6, 1, 14, 14, 33.33, 47.62, 85.71, 14.298828125, 100.0, 100.0, 42.8984375, 28.59765625, 66.6875, 0.0, 92.890625, 0.0, 7.099609375, 0.0, 0.0, 7.099609375, 0.0, 78.59375, 0.0, 14.298828125, 7.099609375, 6.0, 2.0, 19.0, 7.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 62.0, "2363", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2363&g_ta_cod=2363", 14.0, 71.0, 14.0),
(8342, "Public", "0921166T", "Lycée JEAN JAURES", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Châtenay-Malabry", "formation sélective", "BTS", "Lycée JEAN JAURES - BTS - Services - Economie sociale familiale", "BTS - Services", "", 28, 684, 606, 684, 0, 30, 13, 133, 52, 241, 120, 280, 0, 0, 0, 0, 0, 338, 0, 0, 0, 21, 8, 104, 38, 121, 56, 92, 147, 28, 25, 26, 0, 2.0, 17.0, 22.0, 0, 10, 21, 2, 9, 10, 7, 0, 5, 15, 1, 0, 0.0, 1, 6, 9, 0, 0, 12, 20, 7.14, 60.71, 78.57, 89.296875, 57.09375, 95.1875, 0, 47.59375, 75.0, 0.0, 23.796875, 71.390625, 4.7998046875, 0.0, 0.0, 9.5, 4.7998046875, 42.8984375, 28.59765625, 47.59375, 42.8984375, 5.0, 4.0, 69.0, 28.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 109, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 32.0, "11070", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11070&g_ta_cod=11070", 7.0, 46.0, 46.0),
(8343, "Public", "0062089N", "Lycée René Goscinny", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Drap", "formation sélective", "Autre formation", "Lycée René Goscinny - DN MADE - Graphisme - - Spécialité : Formes et pratiques éditoriales, laboratoire d'image", "DN MADE", "- Spécialité : Formes et pratiques éditoriales, laboratoire d'image", 15, 506, 344, 424, 0, 159, 33, 109, 26, 43, 16, 113, 82, 17, 6, 15, 44, 90, 5, 0, 0, 24, 1, 49, 10, 4, 1, 13, 62, 9, 7, 7, 2, 1.0, 7.0, 8.0, 0, 1, 6, 1, 5, 0, 3, 0, 0, 3, 2, 1, 0.0, 1, 5, 0, 0, 0, 0, 0, 11.11, 77.78, 88.89, 77.796875, 0.0, 0.0, 0, 16.69921875, 66.6875, 0.0, 0.0, 50.0, 33.296875, 16.7, 0.0, 16.69921875, 16.69921875, 83.296875, 83.296875, 0.0, 0.0, 15.0, 1.0, 2.0, 0.0, 15.0, "Tous les candidats", 90.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "24344", "DN MADE - Graphisme - - Spécialité : Formes et pratiques éditoriales, laboratoire d'image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24344&g_ta_cod=24344", 44.0, 56.0, 0.0),
(8344, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Droit", "Licence - Droit-économie-gestion", "Université de Bordeaux - Bordeaux Métropole", 1390, 9066, 6563, 9038, 0, 6824, 1218, 678, 210, 108, 44, 1428, 28, 10, 4, 1, 13, 8987, 25, 0, 0, 6824, 1218, 678, 210, 108, 44, 1377, 4248, 1374, 974, 1357, 17, 307.0, 1165.0, 1290.0, 0, 267, 1168, 1050, 84, 34, 206, 3, 289, 473, 336, 66, 1.0, 802, 51, 23, 0, 0, 1062, 1062, 22.34, 84.79, 93.89, 70.890625, 90.890625, 90.890625, 0, 22.8984375, 85.0, 0.29998779296875, 24.69921875, 40.5, 28.796875, 5.7, 0.1, 89.890625, 68.6875, 7.19921875, 4.3994140625, 2.89990234375, 2.0, 3244.0, 573.0, 64.0, 33.0, 652.0, "Tous les candidats", 5391.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 54.0, "26330", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26327&g_ta_cod=26330", 89.0, 8.0, 3.0),
(8345, "Public", "9730001N", "Lycée Félix EBOUE", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "BTS", "Lycée Félix EBOUE - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 36, 480, 300, 449, 0, 74, 36, 96, 59, 210, 141, 69, 31, 10, 3, 0, 18, 112, 6, 0, 0, 24, 13, 29, 22, 55, 36, 4, 87, 35, 17, 30, 5, 9.0, 29.0, 31.0, 0, 23, 34, 9, 8, 17, 1, 1, 11, 15, 5, 2, 0.0, 3, 6, 13, 8, 5, 33, 33, 25.71, 82.86, 88.57, 48.59375, 97.09375, 97.09375, 23.5, 67.59375, 97.09375, 2.89990234375, 32.3984375, 44.09375, 14.69921875, 5.9, 0.0, 26.5, 8.798828125, 23.5, 17.59765625, 50.0, 38.1953125, 22.0, 10.0, 41.0, 26.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 21.0, "11851", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11851&g_ta_cod=11851", 26.0, 26.0, 49.0),
(8346, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Musicologie - Parcours Musique et Musicologie", "Licence - Arts-lettres-langues", "Musique et Musicologie", 140, 534, 240, 479, 0, 313, 50, 39, 7, 12, 4, 115, 55, 11, 3, 2, 39, 471, 54, 0, 0, 313, 50, 39, 7, 12, 4, 107, 525, 130, 59, 114, 16, 111.0, 114.0, 123.0, 0, 15, 90, 75, 11, 4, 40, 0, 36, 25, 22, 7, 0.0, 45, 6, 3, 0, 0, 44, 44, 85.38, 87.69, 94.62, 45.3984375, 48.8984375, 48.8984375, 0, 16.69921875, 69.1875, 0.0, 40.0, 27.796875, 24.3984375, 7.8, 0.0, 83.296875, 50.0, 12.19921875, 6.69921875, 4.3994140625, 3.2998046875, 324.0, 50.0, 14.0, 5.0, 145.0, "Tous les candidats", 473.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "4883", "Licence - Musicologie - Parcours Musique et Musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4883&g_ta_cod=4883", 79.0, 15.0, 5.0),
(8347, "Privé sous contrat d'association", "0592965C", "Lycée Industriel et Commercial", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Industriel et Commercial - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 199, 94, 194, 0, 11, 4, 46, 16, 64, 30, 73, 5, 0, 0, 1, 4, 117, 0, 0, 0, 9, 3, 39, 15, 46, 19, 23, 77, 33, 22, 33, 0, 16.0, 30.0, 30.0, 0, 10, 25, 1, 10, 14, 8, 0, 6, 10, 6, 3, 0.0, 0, 7, 12, 7, 4, 24, 24, 48.48, 90.91, 90.91, 66.6875, 96.0, 96.0, 28, 40.0, 75.796875, 0.0, 24.0, 40.0, 24.0, 12.0, 0.0, 4.0, 0.0, 40.0, 28.0, 56.0, 48.0, 4.0, 2.0, 29.0, 11.0, 17.0, "Tous les candidats sauf les Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 46.0, "14846", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14846&g_ta_cod=14846", 6.0, 39.0, 55.0),
(8348, "Privé sous contrat d'association", "0341547X", "Institut de formation en ergothérapie", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "Institut de formation en ergothérapie - D.E Ergothérapeute", "D.E secteur sanitaire", "", 62, 1067, 924, 1067, 0, 224, 19, 108, 17, 18, 6, 717, 0, 0, 0, 0, 0, 850, 0, 0, 0, 197, 16, 74, 10, 8, 1, 571, 261, 63, 55, 63, 0, 5.0, 24.0, 32.0, 0, 0, 23, 18, 5, 0, 40, 0, 1, 10, 11, 1, 0.0, 17, 5, 0, 0, 0, 4, 4, 7.94, 38.1, 50.79, 87.296875, 17.3984375, 17.3984375, 0, 0.0, 36.5, 0.0, 4.2998046875, 43.5, 47.796875, 4.3, 0.0, 78.296875, 73.890625, 21.69921875, 21.69921875, 0.0, 0.0, 62.0, 5.0, 3.0, 1.0, 180.0, "Tous les candidats", 210.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "26028", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26028&g_ta_cod=26028", 89.0, 11.0, 0.0),
(8349, "Privé enseignement supérieur", "0310156B", "Toulouse Business School", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Ecole de Commerce", "Toulouse Business School - Formation des écoles de commerce et de management Bac + 3 - Bachelor en Management", "Formation des écoles de commerce et de management", "Bachelor en Management", 380, 1254, 547, 1201, 0, 904, 89, 137, 24, 0, 0, 160, 53, 13, 3, 0, 37, 995, 28, 0, 0, 784, 50, 101, 10, 0, 0, 110, 942, 394, 171, 378, 16, 194.0, 375.0, 394.0, 0, 21, 329, 278, 51, 0, 65, 2, 85, 163, 65, 14, 0.0, 202, 40, 0, 0, 0, 250, 250, 49.24, 95.18, 100.0, 43.3984375, 76.0, 76.0, 0, 6.3994140625, 83.5, 0.5999755859375, 25.796875, 49.5, 19.796875, 4.3, 0.0, 84.5, 61.3984375, 15.5, 12.19921875, 0.0, 0.0, 726.0, 42.0, 0.0, 0.0, 122.0, "Tous les candidats", 1027.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 83.0, "26098", "Formation des écoles de commerce et de management Bac + 3 - Bachelor en Management", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26098&g_ta_cod=26098", 84.0, 16.0, 0.0),
(8350, "Public", "9760229V", "Lycée de Petite Terre", "976", "Mayotte", "Mayotte", "Mayotte", "Pamandzi", "formation sélective", "BTS", "Lycée de Petite Terre - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 20, 1109, 787, 1109, 0, 199, 125, 404, 279, 207, 112, 299, 0, 0, 0, 0, 0, 487, 0, 0, 0, 110, 68, 225, 163, 98, 55, 54, 61, 20, 16, 20, 0, 2.0, 16.0, 17.0, 0, 10, 19, 4, 9, 6, 1, 0, 9, 6, 3, 1, 0.0, 4, 1, 5, 7, 5, 19, 19, 10.0, 80.0, 85.0, 80.0, 100.0, 100.0, 36.796875, 52.59375, 95.0, 0.0, 47.3984375, 31.59765625, 15.798828125, 5.3, 0.0, 21.09765625, 21.09765625, 47.3984375, 5.2998046875, 31.59765625, 26.296875, 12.0, 6.0, 13.0, 8.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 9.0, "18228", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18228&g_ta_cod=18228", 20.0, 50.0, 30.0),
(8351, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Géographie et aménagement - Parcours GEOGRAPHIE MAJEURE/mineure Histoire", "Licence - Sciences humaines et sociales", "GEOGRAPHIE MAJEURE/mineure Histoire", 30, 366, 170, 366, 0, 247, 31, 18, 5, 7, 2, 94, 0, 0, 0, 0, 0, 365, 0, 0, 0, 247, 31, 18, 5, 7, 2, 93, 170, 29, 15, 29, 0, 2.0, 21.0, 27.0, 0, 4, 16, 15, 1, 0, 13, 0, 3, 12, 1, 0, 0.0, 12, 1, 0, 0, 0, 3, 11, 6.9, 72.41, 93.1, 51.6953125, 18.796875, 68.796875, 0, 25.0, 55.1953125, 0.0, 18.796875, 75.0, 6.2998046875, 0.0, 0.0, 93.796875, 75.0, 6.2998046875, 6.2998046875, 0.0, 0.0, 125.0, 24.0, 1.0, 1.0, 39.0, "Tous les candidats", 267.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "24331", "Licence - Géographie et aménagement - Parcours GEOGRAPHIE MAJEURE/mineure Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24331&g_ta_cod=24331", 97.0, 3.0, 0.0),
(8352, "Public", "0572757M", "Lycée Georges De La Tour", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée Georges De La Tour - BTS - Services - Economie sociale familiale", "BTS - Services", "", 59, 879, 717, 877, 0, 109, 32, 216, 85, 229, 97, 323, 2, 0, 2, 0, 0, 527, 1, 0, 0, 83, 20, 137, 43, 163, 63, 144, 254, 54, 44, 54, 0, 9.0, 41.0, 45.0, 0, 19, 44, 8, 11, 25, 10, 0, 13, 17, 11, 3, 0.0, 1, 9, 21, 2, 1, 41, 41, 16.67, 75.93, 83.33, 81.5, 93.1875, 93.1875, 4.5, 43.1953125, 81.5, 0.0, 29.5, 38.59375, 25.0, 6.8, 0.0, 18.19921875, 2.2998046875, 25.0, 20.5, 56.796875, 47.6953125, 39.0, 15.0, 104.0, 38.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 76.0, "Bacheliers professionnels toutes séries", 120, "Bacheliers technologiques toutes séries", 126, "Liste d'appel propre à cette formation", 37.0, "6647", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6647&g_ta_cod=6647", 22.0, 28.0, 50.0),
(8353, "Public", "0330135T", "Lycée Alfred Kastler", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "CPGE", "Lycée Alfred Kastler - CPGE - TPC", "Classe préparatoire scientifique", "", 24, 125, 69, 125, 88, 0, 0, 122, 23, 0, 0, 3, 0, 0, 0, 0, 0, 125, 0, 88, 119, 0, 0, 122, 23, 0, 0, 3, 71, 22, 10, 22, 0, 7.0, 21.0, 22.0, 11, 4, 21, 0, 21, 0, 1, 0, 2, 4, 10, 4, 1.0, 0, 19, 0, 2, 1, 10, 10, 31.82, 95.45, 100.0, 45.5, 47.59375, 47.59375, 9.5, 19.0, 95.5, 0.0, 9.5, 19.0, 47.59375, 19.0, 4.8, 0.0, 0.0, 100.0, 90.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 124.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "19596", "CPGE - TPC", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19596&g_ta_cod=19596", 0.0, 100.0, 0.0),
(8354, "Privé sous contrat d'association", "0753602H", "ETSUP", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "EFTS", "ETSUP - D.E Assistant de Service Social", "D.E secteur social", "", 55, 224, 203, 149, 0, 33, 5, 28, 3, 10, 3, 78, 75, 5, 3, 3, 64, 70, 10, 0, 0, 17, 1, 9, 2, 1, 0, 43, 80, 43, 39, 33, 10, 26.0, 33.0, 37.0, 0, 2, 16, 11, 4, 1, 27, 0, 1, 12, 3, 0, 0.0, 10, 4, 1, 0, 0, 4, 16, 60.47, 76.74, 86.05, 90.6875, 25.0, 100.0, 0, 12.5, 37.1953125, 0.0, 6.2998046875, 75.0, 18.796875, 0.0, 0.0, 68.796875, 62.5, 25.0, 25.0, 6.2998046875, 6.2998046875, 18.0, 1.0, 1.0, 0.0, 52.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "23745", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23745&g_ta_cod=23745", 60.0, 23.0, 14.0),
(8355, "Public", "0770922J", "Lycée Gaston BACHELARD", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Chelles", "formation sélective", "BTS", "Lycée Gaston BACHELARD - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 611, 59, 611, 0, 51, 11, 190, 59, 146, 70, 224, 0, 0, 0, 0, 0, 320, 0, 0, 0, 20, 2, 146, 37, 91, 43, 63, 99, 21, 1, 20, 0, 4.0, 12.0, 16.0, 0, 6, 18, 1, 11, 6, 3, 0, 7, 8, 3, 0, 0.0, 1, 4, 6, 3, 0, 16, 17, 19.05, 57.14, 76.19, 4.7998046875, 88.890625, 94.390625, 16.69921875, 33.296875, 85.6875, 0.0, 38.8984375, 44.3984375, 16.69921875, 0.0, 0.0, 5.599609375, 5.599609375, 61.09375, 22.19921875, 33.296875, 33.296875, 1.0, 1.0, 31.0, 16.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 21.0, "9787", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9787&g_ta_cod=9787", 5.0, 67.0, 29.0),
(8356, "Public", "0751718K", "Université Paris 2 Panthéon - Assas", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Licence", "Université Paris 2 Panthéon - Assas - Licence - Double diplôme - Licence Droit - Juriste européen Paris Berlin Londres", "Licence - Droit-économie-gestion", "Juriste européen Paris Berlin Londres", 12, 551, 425, 551, 0, 356, 55, 31, 14, 3, 1, 161, 0, 0, 0, 0, 0, 65, 0, 0, 0, 65, 4, 0, 0, 0, 0, 0, 37, 12, 9, 12, 0, 2.0, 10.0, 11.0, 0, 1, 12, 12, 0, 0, 0, 0, 0, 0, 0, 9, 3.0, 12, 0, 0, 0, 0, 0, 4, 16.67, 83.33, 91.67, 75.0, 0.0, 33.296875, 0, 8.298828125, 100.0, 0.0, 0.0, 0.0, 0.0, 75.0, 25.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 37.0, 3.0, 0.0, 0.0, 0.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "31090", "Licence - Double diplôme - Licence Droit - Juriste européen Paris Berlin Londres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31090&g_ta_cod=31090", 100.0, 0.0, 0.0),
(8357, "Public", "0870015U", "Lycée Gay-Lussac", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "CPGE", "Lycée Gay-Lussac - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 167, 82, 155, 88, 126, 13, 1, 1, 0, 0, 28, 12, 4, 0, 0, 8, 134, 6, 79, 121, 117, 10, 0, 0, 0, 0, 17, 100, 9, 5, 9, 0, 5.0, 9.0, 9.0, 3, 1, 9, 9, 0, 0, 0, 0, 0, 3, 2, 3, 1.0, 9, 0, 0, 2, 2, 6, 6, 55.56, 100.0, 100.0, 55.59375, 66.6875, 66.6875, 22.19921875, 11.099609375, 100.0, 0.0, 0.0, 33.296875, 22.19921875, 33.3, 11.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 88.0, 7.0, 0.0, 0.0, 12.0, "Tous les candidats", 124.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "31311", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31311&g_ta_cod=31311", 100.0, 0.0, 0.0),
(8358, "Public", "0730858L", "Université Savoie Mont Blanc - Chambéry", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Jacob-Bellecombette", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Chambéry - Licence - Lettres", "Licence - Arts-lettres-langues", "", 75, 320, 256, 261, 0, 182, 38, 13, 4, 9, 3, 57, 59, 9, 8, 4, 38, 261, 58, 0, 0, 182, 38, 13, 4, 9, 3, 57, 299, 55, 43, 37, 18, 17.0, 36.0, 48.0, 0, 7, 28, 22, 4, 2, 27, 0, 10, 14, 3, 0, 1.0, 17, 0, 1, 0, 0, 24, 24, 30.91, 65.45, 87.27, 78.1875, 85.6875, 85.6875, 0, 25.0, 50.8984375, 0.0, 35.6953125, 50.0, 10.69921875, 0.0, 3.6, 78.59375, 60.6953125, 14.298828125, 0.0, 7.099609375, 3.599609375, 179.0, 36.0, 12.0, 6.0, 87.0, "Tous les candidats", 261.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8803", "Licence - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8803&g_ta_cod=8803", 73.0, 11.0, 13.0),
(8359, "Public", "0300027S", "Lycée Hemingway - De La Camargue", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Hemingway - De La Camargue - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 964, 522, 841, 0, 96, 41, 249, 128, 170, 101, 326, 123, 3, 9, 56, 55, 370, 10, 0, 0, 61, 24, 173, 79, 63, 39, 73, 192, 31, 16, 26, 5, 7.0, 20.0, 25.0, 0, 20, 25, 0, 15, 10, 6, 0, 10, 8, 7, 0, 0.0, 0, 6, 9, 2, 1, 23, 23, 22.58, 64.52, 80.65, 51.59375, 92.0, 92.0, 8, 80.0, 80.59375, 0.0, 40.0, 32.0, 28.0, 0.0, 0.0, 0.0, 0.0, 60.0, 24.0, 40.0, 36.0, 19.0, 12.0, 49.0, 30.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 87.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 172, "Liste d'appel propre à cette formation", 39.0, "3956", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3956&g_ta_cod=3956", 13.0, 55.0, 32.0),
(8360, "Public", "0660809W", "Lycée Aristide Maillol", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée Aristide Maillol - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 499, 282, 499, 0, 24, 6, 165, 69, 162, 99, 148, 0, 0, 0, 0, 0, 319, 0, 0, 0, 20, 5, 133, 51, 131, 78, 35, 108, 31, 25, 31, 0, 9.0, 27.0, 30.0, 0, 15, 29, 2, 13, 14, 2, 0, 10, 14, 4, 1, 0.0, 1, 9, 9, 18, 14, 29, 29, 29.03, 87.1, 96.77, 80.59375, 100.0, 100.0, 62.09375, 51.6953125, 93.5, 0.0, 34.5, 48.296875, 13.798828125, 3.4, 0.0, 6.8994140625, 3.39990234375, 44.796875, 31.0, 48.296875, 31.0, 4.0, 3.0, 39.0, 22.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 102, "Liste d'appel propre à cette formation", 33.0, "7898", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7898&g_ta_cod=7898", 6.0, 48.0, 45.0),
(8361, "Public", "9740552G", "Lycée professionnel Léon de Lepervanche", "974", "La Réunion", "La Réunion", "La Réunion", "Le Port", "formation sélective", "BTS", "Lycée professionnel Léon de Lepervanche - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 16, 132, 61, 72, 0, 2, 1, 22, 16, 30, 16, 18, 60, 0, 7, 26, 27, 27, 28, 0, 0, 0, 0, 11, 6, 14, 5, 2, 54, 15, 8, 1, 14, 0.0, 1.0, 8.0, 0, 5, 7, 0, 1, 6, 8, 0, 5, 1, 1, 0, 0.0, 0, 0, 2, 4, 3, 6, 6, 0.0, 6.67, 53.33, 53.296875, 85.6875, 85.6875, 57.09375, 71.390625, 46.6953125, 0.0, 71.390625, 14.298828125, 14.298828125, 0.0, 0.0, 0.0, 0.0, 14.298828125, 0.0, 85.6875, 28.59765625, 0.0, 0.0, 24.0, 14.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers technologiques toutes séries", 12, "Bacheliers professionnels toutes séries", 14, "Liste d'appel propre à cette formation", 38.0, "25094", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25094&g_ta_cod=25094", 0.0, 20.0, 80.0),
(8362, "Privé enseignement supérieur", "0171427J", "EXCELIA", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Autre formation", "Excelia Academy - Diplôme d'Etablissement - PAREO - Parcours Orienta Sup", "Diplôme d'Université", "Diplôme d'Etablissement - PAREO - Parcours Orienta Sup", 10, 9, 5, 2, 0, 1, 0, 0, 0, 0, 0, 1, 7, 2, 3, 0, 2, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 1.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "32057", "Diplôme d'Etablissement - PAREO - Parcours Orienta Sup", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32057&g_ta_cod=32057", 0, 0, 0),
(8363, "Public", "0952261S", "CY TECH - Université de Cergy-Pontoise", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "Concours GalaxY - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "Ingénieur en Mathématiques, Economie et Finance - voie Recherche", 40, 250, 71, 233, 0, 224, 38, 0, 0, 0, 0, 9, 17, 16, 0, 0, 1, 137, 4, 0, 0, 137, 18, 0, 0, 0, 0, 0, 121, 17, 6, 14, 3, 9.0, 14.0, 15.0, 0, 4, 17, 17, 0, 0, 0, 0, 2, 7, 6, 2, 0.0, 15, 0, 0, 0, 0, 9, 12, 52.94, 82.35, 88.24, 35.296875, 52.8984375, 70.59375, 0, 23.5, 100.0, 0.0, 11.798828125, 41.1953125, 35.296875, 11.8, 0.0, 100.0, 88.1875, 0.0, 0.0, 0.0, 0.0, 121.0, 19.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "31240", "Formation d'ingénieur Bac + 5", "Concours GalaxY", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31208&g_ta_cod=31240", 100.0, 0.0, 0.0),
(8364, "Public", "0870004G", "Lycée professionnel Martin Nadaud", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Bellac", "formation sélective", "BTS", "Lycée professionnel Martin Nadaud - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 9, 125, 12, 121, 0, 1, 0, 12, 2, 50, 24, 58, 4, 0, 0, 1, 3, 101, 3, 0, 0, 1, 0, 12, 2, 50, 24, 38, 47, 6, 0, 4, 2, 2.0, 4.0, 4.0, 0, 2, 3, 0, 0, 3, 3, 0, 1, 2, 0, 0, 0.0, 0, 0, 2, 3, 0, 3, 3, 33.33, 66.67, 66.67, 0.0, 100.0, 100.0, 100, 66.6875, 50.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 29.0, 15.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers technologiques toutes séries", 17, "Bacheliers professionnels toutes séries", 53, "Liste d'appel propre à cette formation", 59.0, "23908", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23908&g_ta_cod=23908", 17.0, 0.0, 83.0),
(8365, "Public", "0311086M", "I.U.T de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BUT", "I.U.T de Toulouse - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Management de process industriel - Conception et production durable", "BUT - Production", "Innovation pour l?industrie - Management de process industriel - Conception et production durable", 255, 2991, 303, 2977, 0, 1647, 196, 727, 166, 31, 8, 572, 14, 0, 6, 0, 8, 2693, 5, 0, 0, 1581, 186, 640, 139, 0, 0, 472, 1272, 256, 26, 254, 2, 93.0, 195.0, 242.0, 0, 49, 226, 130, 96, 0, 30, 0, 38, 106, 69, 12, 1.0, 114, 74, 0, 0, 0, 119, 119, 36.33, 76.17, 94.53, 10.19921875, 52.6953125, 52.6953125, 0, 21.69921875, 88.296875, 0.0, 16.796875, 46.8984375, 30.5, 5.3, 0.4, 57.5, 50.3984375, 42.5, 32.6953125, 0.0, 0.0, 650.0, 109.0, 0.0, 0.0, 201.0, "Tous les candidats sauf les Bac technologiques", 1042.0, "Bacheliers technologiques toutes séries", 715, "", 0, "Liste d'appel propre à cette formation", 59.0, "4097", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Management de process industriel - Conception et production durable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4097&g_ta_cod=4097", 54.0, 45.0, 0.0),
(8366, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Licence", "Université Bordeaux Montaigne - Double licence - Information et communication / Langues, littératures & civilisations étrangères et régionales - Licence 1 Espagnol-information communication", "Licence - Sciences humaines et sociales", "Licence 1 Espagnol-information communication", 25, 255, 209, 255, 0, 200, 34, 10, 5, 4, 2, 41, 0, 0, 0, 0, 0, 150, 0, 0, 0, 130, 17, 4, 0, 0, 0, 16, 75, 24, 20, 24, 0, 7.0, 22.0, 24.0, 0, 3, 24, 24, 0, 0, 0, 0, 0, 4, 13, 6, 1.0, 24, 0, 0, 0, 0, 12, 12, 29.17, 91.67, 100.0, 83.296875, 50.0, 50.0, 0, 12.5, 100.0, 0.0, 0.0, 16.69921875, 54.1953125, 25.0, 4.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 72.0, 11.0, 0.0, 0.0, 2.0, "Tous les candidats", 81.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "18082", "Double licence - Information et communication / Langues, littératures & civilisations étrangères et régionales - Licence 1 Espagnol-information communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18082&g_ta_cod=18082", 100.0, 0.0, 0.0),
(8367, "Public", "0301687W", "Université de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "Licence_Las", "Université de Nîmes - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 30, 1909, 1596, 1909, 0, 732, 219, 307, 108, 180, 82, 690, 0, 0, 0, 0, 0, 1901, 0, 0, 0, 732, 219, 307, 108, 180, 82, 682, 239, 27, 24, 27, 0, 2.0, 13.0, 23.0, 0, 10, 19, 11, 4, 4, 8, 0, 4, 9, 6, 0, 0.0, 9, 3, 3, 0, 0, 13, 13, 7.41, 48.15, 85.19, 88.890625, 68.390625, 68.390625, 0, 52.59375, 70.390625, 0.0, 21.09765625, 47.3984375, 31.59765625, 0.0, 0.0, 57.8984375, 47.3984375, 21.09765625, 15.798828125, 21.09765625, 15.798828125, 103.0, 28.0, 26.0, 15.0, 77.0, "Tous les candidats", 1029.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "28793", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28792&g_ta_cod=28793", 67.0, 15.0, 19.0),
(8368, "Public", "0330003Z", "Lycée Grand Air", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Arcachon", "formation sélective", "BTS", "Lycée Grand Air - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 16, 386, 23, 349, 0, 45, 2, 124, 26, 94, 26, 86, 37, 0, 0, 10, 27, 210, 1, 0, 0, 42, 2, 92, 15, 59, 17, 17, 84, 14, 0, 12, 1, 1.0, 9.0, 13.0, 0, 3, 13, 2, 6, 5, 1, 0, 6, 3, 4, 0, 0.0, 1, 2, 4, 1, 0, 11, 11, 7.14, 64.29, 92.86, 0.0, 84.59375, 84.59375, 7.69921875, 23.09765625, 92.890625, 0.0, 46.1953125, 23.09765625, 30.796875, 0.0, 0.0, 15.3984375, 7.69921875, 46.1953125, 15.3984375, 38.5, 30.796875, 11.0, 2.0, 36.0, 13.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 34.0, "19272", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19272&g_ta_cod=19272", 21.0, 43.0, 36.0),
(8369, "Privé sous contrat d'association", "0010070W", "Lycée Saint Pierre", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "BTS", "Lycée Saint Pierre - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 159, 106, 147, 0, 21, 4, 45, 11, 33, 9, 48, 12, 0, 1, 6, 5, 130, 2, 0, 0, 21, 4, 44, 11, 29, 7, 36, 87, 14, 10, 11, 2, 1.0, 9.0, 10.0, 0, 0, 5, 0, 3, 2, 9, 0, 0, 5, 0, 0, 0.0, 0, 3, 2, 0, 0, 5, 5, 7.14, 64.29, 71.43, 71.390625, 100.0, 100.0, 0, 0.0, 35.6953125, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 60.0, 60.0, 40.0, 40.0, 17.0, 3.0, 22.0, 5.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 65.0, "2014", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2014&g_ta_cod=2014", 29.0, 50.0, 21.0),
(8370, "Public", "0300950V", "Lycée Albert EINSTEIN", "30", "Gard", "Occitanie", "Montpellier", "Bagnols-sur-Cèze", "formation sélective", "BTS", "Lycée Albert EINSTEIN - BTS - Production - Bioqualité", "BTS - Production", "", 15, 170, 105, 164, 0, 18, 2, 51, 19, 19, 11, 76, 6, 0, 0, 2, 4, 123, 2, 0, 0, 18, 2, 51, 19, 17, 9, 37, 69, 11, 4, 9, 1, 0.0, 7.0, 10.0, 0, 2, 7, 2, 3, 2, 4, 0, 6, 1, 0, 0, 0.0, 0, 1, 0, 3, 2, 4, 4, 0.0, 63.64, 90.91, 36.3984375, 57.09375, 57.09375, 42.8984375, 28.59765625, 63.59375, 0.0, 85.6875, 14.298828125, 0.0, 0.0, 0.0, 28.59765625, 0.0, 42.8984375, 14.298828125, 28.59765625, 0.0, 8.0, 2.0, 17.0, 9.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 59.0, "20432", "BTS - Production - Bioqualité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20432&g_ta_cod=20432", 27.0, 45.0, 27.0),
(8371, "Public", "0311323V", "Lycée Rive Gauche", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée Rive Gauche - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 31, 10, 5, 0, 0, 0.0, 0.0, 0.0, 0, 7, 10, 0, 3, 7, 0, 0, 9, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 10, 10, 0.0, 0.0, 0.0, 50.0, 100.0, 100.0, 0, 70.0, 100.0, 0.0, 90.0, 10.0, 0.0, 0.0, 0.0, 0.0, 0.0, 30.0, 0.0, 70.0, 10.0, 0.0, 0.0, 23.0, 14.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22399", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 30.0, 70.0),
(8372, "Privé sous contrat d'association", "0802184P", "APRADIS - Site Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "EFTS", "APRADIS - Site Amiens - D.E Educateur Spécialisé", "D.E secteur social", "", 60, 286, 232, 286, 0, 47, 7, 54, 10, 27, 10, 158, 0, 0, 0, 0, 0, 188, 0, 0, 0, 30, 4, 26, 3, 9, 3, 123, 119, 62, 50, 62, 0, 33.0, 62.0, 62.0, 0, 2, 17, 9, 6, 2, 45, 0, 4, 6, 6, 1, 0.0, 8, 3, 2, 0, 0, 10, 10, 53.23, 100.0, 100.0, 80.59375, 58.796875, 58.796875, 0, 11.798828125, 27.3984375, 0.0, 23.5, 35.296875, 35.296875, 5.9, 0.0, 52.8984375, 47.09375, 35.296875, 17.59765625, 11.798828125, 11.798828125, 15.0, 2.0, 5.0, 1.0, 88.0, "Tous les candidats", 132.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "25239", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25203&g_ta_cod=25239", 63.0, 26.0, 11.0),
(8373, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence_Las", "Université de Nantes - Licence - Portail Sciences pour l'ingénieur - PCGSI", "Licence - Sciences - technologies - santé", "PCGSI", 18, 300, 128, 265, 0, 128, 23, 5, 0, 0, 0, 132, 35, 11, 0, 0, 24, 265, 33, 0, 0, 128, 23, 5, 0, 0, 0, 132, 207, 15, 6, 8, 7, 0.0, 4.0, 8.0, 0, 2, 9, 9, 0, 0, 6, 0, 3, 5, 1, 0, 0.0, 6, 0, 0, 0, 0, 6, 6, 0.0, 26.67, 53.33, 40.0, 66.6875, 66.6875, 0, 22.19921875, 60.0, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 87.0, 16.0, 0.0, 0.0, 120.0, "Tous les candidats", 916.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "32053", "Licence - Portail Sciences pour l'ingénieur - PCGSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32052&g_ta_cod=32053", 87.0, 13.0, 0.0),
(8374, "Privé sous contrat d'association", "0754029X", "Lycée Carcado Saisseval", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "BTS", "Lycée Carcado Saisseval - BTS - Services - Gestion de la PME", "BTS - Services", "", 40, 501, 270, 501, 0, 57, 5, 143, 25, 136, 54, 165, 0, 0, 0, 0, 0, 480, 0, 0, 0, 57, 5, 143, 25, 123, 48, 157, 175, 35, 20, 35, 0, 7.0, 24.0, 32.0, 0, 6, 26, 2, 16, 8, 9, 0, 8, 13, 5, 0, 0.0, 0, 12, 6, 5, 5, 14, 25, 20.0, 68.57, 91.43, 57.09375, 53.796875, 96.1875, 19.19921875, 23.09765625, 74.296875, 0.0, 30.796875, 50.0, 19.19921875, 0.0, 0.0, 7.69921875, 0.0, 61.5, 46.1953125, 30.796875, 23.09765625, 26.0, 3.0, 48.0, 20.0, 33.0, "Tous les candidats sauf les Bac professionnels", 178.0, "Bacheliers professionnels toutes séries", 72, "", 0, "Liste d'appel propre à cette formation", 50.0, "9493", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9493&g_ta_cod=9493", 14.0, 57.0, 29.0),
(8375, "Public", "0690037R", "Lycée La Martinière-Diderot", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "Autre formation", "Lycée La Martinière-Diderot - DN MADE - Événement - - Spécialité : Design expérientiel", "DN MADE", "- Spécialité : Design expérientiel", 15, 716, 627, 716, 0, 215, 42, 253, 46, 67, 22, 181, 0, 0, 0, 0, 0, 100, 0, 0, 0, 2, 0, 93, 5, 4, 0, 1, 38, 15, 13, 15, 0, 5.0, 15.0, 15.0, 0, 1, 14, 0, 13, 1, 1, 0, 0, 2, 10, 2, 0.0, 0, 13, 1, 0, 0, 3, 3, 33.33, 100.0, 100.0, 86.6875, 21.3984375, 21.3984375, 0, 7.099609375, 93.296875, 0.0, 0.0, 14.298828125, 71.390625, 14.3, 0.0, 0.0, 0.0, 92.890625, 92.890625, 7.099609375, 7.099609375, 2.0, 0.0, 1.0, 0.0, 1.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "23752", "DN MADE - Événement - - Spécialité : Design expérientiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23752&g_ta_cod=23752", 0.0, 93.0, 7.0),
(8376, "Public", "0750686N", "Lycée Estienne Esaig", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Estienne Esaig - DN MADE - Graphisme - - Spécialité : Designer typographe", "DN MADE", "- Spécialité : Designer typographe", 15, 421, 277, 421, 0, 142, 27, 75, 10, 44, 5, 160, 0, 0, 0, 0, 0, 60, 0, 0, 0, 31, 2, 18, 0, 3, 1, 8, 40, 15, 13, 15, 0, 4.0, 10.0, 12.0, 0, 0, 13, 7, 4, 2, 2, 0, 0, 1, 7, 5, 0.0, 7, 4, 2, 0, 0, 3, 4, 26.67, 66.67, 80.0, 86.6875, 23.09765625, 30.796875, 0, 0.0, 86.6875, 0.0, 0.0, 7.69921875, 53.796875, 38.5, 0.0, 53.796875, 53.796875, 30.796875, 30.796875, 15.3984375, 15.3984375, 21.0, 2.0, 3.0, 1.0, 5.0, "Tous les candidats", 42.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "21954", "DN MADE - Graphisme - - Spécialité : Designer typographe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21954&g_ta_cod=21954", 60.0, 27.0, 13.0),
(8377, "Public", "9730001N", "Lycée Félix EBOUE", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "BTS", "Lycée Félix EBOUE - BTS - Services - Gestion de la PME", "BTS - Services", "", 36, 529, 348, 529, 0, 82, 50, 121, 79, 225, 147, 101, 0, 0, 0, 0, 0, 124, 0, 0, 0, 32, 21, 41, 33, 51, 30, 0, 75, 33, 24, 33, 0, 10.0, 31.0, 33.0, 0, 20, 33, 8, 8, 17, 0, 0, 7, 18, 8, 0, 0.0, 6, 8, 12, 2, 2, 33, 33, 30.3, 93.94, 100.0, 72.6875, 100.0, 100.0, 6.099609375, 60.59375, 100.0, 0.0, 21.19921875, 54.5, 24.19921875, 0.0, 0.0, 24.19921875, 18.19921875, 24.19921875, 24.19921875, 51.5, 36.3984375, 19.0, 12.0, 30.0, 17.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 18.0, "11852", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11852&g_ta_cod=11852", 24.0, 24.0, 52.0),
(8378, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation non sélective", "Licence_Las", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Portail Portail Biologie-Chimie-Sciences de la Terre (BCST)", "Licence - Sciences - technologies - santé", "Biologie-Chimie-Sciences de la Terre (BCST)", 30, 3077, 2280, 3077, 0, 1896, 304, 83, 25, 0, 0, 1098, 0, 0, 0, 0, 0, 3039, 0, 0, 0, 1896, 304, 83, 25, 0, 0, 1060, 267, 28, 23, 28, 0, 2.0, 10.0, 19.0, 0, 2, 14, 13, 1, 0, 14, 1, 0, 1, 7, 4, 1.0, 12, 1, 0, 0, 0, 7, 10, 7.14, 35.71, 67.86, 82.09375, 50.0, 71.390625, 0, 14.298828125, 50.0, 7.099609375, 0.0, 7.099609375, 50.0, 28.6, 7.1, 92.890625, 85.6875, 7.099609375, 7.099609375, 0.0, 0.0, 145.0, 25.0, 0.0, 0.0, 120.0, "Tous les candidats", 795.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 17.0, "28474", "Licence - Portail Portail Biologie-Chimie-Sciences de la Terre (BCST)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27916&g_ta_cod=28474", 93.0, 7.0, 0.0),
(8379, "Privé sous contrat d'association", "0260074P", "Lycée Montplaisir", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "Lycée Montplaisir - BTS - Services - Podo-orthésiste", "BTS - Services", "", 14, 104, 72, 101, 0, 24, 0, 28, 6, 5, 0, 44, 3, 1, 1, 0, 1, 70, 2, 0, 0, 10, 0, 23, 5, 3, 0, 34, 46, 9, 4, 9, 0, 5.0, 9.0, 9.0, 0, 0, 4, 4, 0, 0, 5, 0, 0, 2, 1, 1, 0.0, 4, 0, 0, 0, 0, 2, 2, 55.56, 100.0, 100.0, 44.3984375, 50.0, 50.0, 0, 0.0, 44.3984375, 0.0, 0.0, 50.0, 25.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 10.0, 0.0, 2.0, 0.0, 22.0, "Tous les candidats sauf les Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 65.0, "3630", "BTS - Services - Podo-orthésiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3630&g_ta_cod=3630", 100.0, 0.0, 0.0),
(8380, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais - Mineure Information-Communication", "Licence - Arts-lettres-langues", "Portugais - Mineure Information-Communication", 8, 59, 43, 59, 0, 45, 8, 4, 2, 0, 0, 10, 0, 0, 0, 0, 0, 59, 0, 0, 0, 45, 8, 4, 2, 0, 0, 10, 31, 8, 6, 8, 0, 0.0, 6.0, 7.0, 0, 2, 7, 6, 1, 0, 1, 0, 4, 3, 0, 0, 0.0, 3, 0, 0, 0, 0, 1, 5, 0.0, 75.0, 87.5, 75.0, 14.298828125, 71.390625, 0, 28.59765625, 87.5, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 85.6875, 42.8984375, 14.298828125, 0.0, 0.0, 0.0, 27.0, 6.0, 0.0, 0.0, 3.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "9259", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais - Mineure Information-Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9259&g_ta_cod=9259", 75.0, 13.0, 13.0),
(8381, "Public", "9711082Z", "Lycée Nord Grande Terre", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Port-Louis", "formation sélective", "BTS", "Lycée Nord Grande Terre - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 18, 138, 26, 138, 0, 15, 6, 29, 18, 73, 48, 21, 0, 0, 0, 0, 0, 66, 0, 0, 0, 15, 6, 21, 12, 30, 21, 0, 25, 19, 3, 19, 0, 15.0, 16.0, 16.0, 0, 14, 19, 4, 3, 12, 0, 0, 11, 5, 2, 1, 0.0, 1, 0, 7, 14, 1, 18, 18, 78.95, 84.21, 84.21, 15.798828125, 94.6875, 94.6875, 73.6875, 73.6875, 100.0, 0.0, 57.8984375, 26.296875, 10.5, 5.3, 0.0, 21.09765625, 5.2998046875, 15.798828125, 0.0, 63.1953125, 36.796875, 9.0, 5.0, 12.0, 11.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 3, "Liste d'appel propre à cette formation", 16.0, "11776", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11776&g_ta_cod=11776", 21.0, 16.0, 63.0),
(8382, "Public", "0801882L", "Lycée La Hotoie", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée La Hotoie - BTS - Services - Professions immobilières", "BTS - Services", "", 53, 1599, 926, 1599, 0, 366, 90, 411, 105, 332, 148, 490, 0, 0, 0, 0, 0, 1453, 0, 0, 0, 366, 90, 411, 105, 287, 130, 389, 209, 48, 31, 48, 0, 7.0, 20.0, 38.0, 0, 12, 37, 18, 11, 8, 11, 0, 10, 21, 5, 1, 0.0, 14, 5, 8, 5, 1, 35, 35, 14.58, 41.67, 79.17, 64.59375, 94.59375, 94.59375, 13.5, 32.3984375, 77.09375, 0.0, 27.0, 56.796875, 13.5, 2.7, 0.0, 48.59375, 37.796875, 29.69921875, 13.5, 21.59765625, 21.59765625, 62.0, 17.0, 58.0, 24.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 234.0, "Bacheliers professionnels toutes séries", 130, "Bacheliers technologiques toutes séries", 118, "Liste d'appel propre à cette formation", 30.0, "10249", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10249&g_ta_cod=10249", 44.0, 27.0, 29.0),
(8383, "Privé enseignement supérieur", "0754318L", "Ecole Supérieure d'Architecture des Jardins (E.S.A.J.)", "75", "Paris", "Ile-de-France", "Paris", "Paris 20e  Arrondissement", "formation sélective", "Autre formation", "Ecole Supérieure d'Architecture des Jardins (E.S.A.J.) - Paysagiste concepteur", "Diplôme d'établissement", "", 30, 89, 48, 68, 0, 41, 2, 4, 1, 4, 1, 19, 21, 8, 1, 1, 11, 63, 20, 0, 0, 38, 2, 4, 1, 4, 1, 17, 78, 20, 10, 19, 1, 12.0, 19.0, 20.0, 0, 1, 11, 9, 1, 1, 9, 0, 6, 4, 1, 0, 0.0, 4, 1, 0, 0, 0, 1, 6, 60.0, 95.0, 100.0, 50.0, 9.099609375, 54.5, 0, 9.099609375, 55.0, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 81.796875, 36.3984375, 9.099609375, 9.099609375, 9.099609375, 0.0, 44.0, 7.0, 5.0, 2.0, 24.0, "Tous les candidats", 63.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "12041", "Paysagiste concepteur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12041&g_ta_cod=12041", 70.0, 10.0, 20.0),
(8384, "Public", "0750685M", "Lycée Pierre-Gilles de Gennes - ENCPB", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Pierre-Gilles de Gennes - ENCPB - BTS - Production - Métiers de la mesure", "BTS - Production", "", 24, 208, 49, 114, 0, 19, 7, 49, 14, 2, 2, 44, 94, 13, 31, 0, 50, 86, 11, 0, 0, 16, 4, 43, 13, 2, 2, 25, 92, 26, 7, 18, 7, 4.0, 18.0, 25.0, 0, 5, 13, 4, 9, 0, 13, 0, 12, 0, 1, 0, 0.0, 0, 1, 0, 2, 1, 4, 13, 15.38, 69.23, 96.15, 26.8984375, 30.796875, 100.0, 15.3984375, 38.5, 50.0, 0.0, 92.296875, 0.0, 7.69921875, 0.0, 0.0, 30.796875, 0.0, 69.1875, 7.69921875, 0.0, 0.0, 17.0, 4.0, 2.0, 2.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 2, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 75.0, "9076", "BTS - Production - Métiers de la mesure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9076&g_ta_cod=9076", 42.0, 58.0, 0.0),
(8385, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Espagnol", "Licence - Arts-lettres-langues", "Anglais - Mineure Espagnol", 50, 449, 363, 449, 0, 301, 68, 30, 11, 10, 2, 108, 0, 0, 0, 0, 0, 447, 0, 0, 0, 301, 68, 30, 11, 10, 2, 106, 172, 50, 45, 50, 0, 11.0, 40.0, 48.0, 0, 11, 39, 38, 1, 0, 11, 0, 2, 17, 13, 6, 1.0, 36, 1, 0, 0, 0, 11, 34, 22.0, 80.0, 96.0, 90.0, 28.19921875, 87.1875, 0, 28.19921875, 78.0, 0.0, 5.099609375, 43.59375, 33.296875, 15.4, 2.6, 97.390625, 92.296875, 2.599609375, 2.599609375, 0.0, 0.0, 131.0, 30.0, 1.0, 1.0, 32.0, "Tous les candidats", 248.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "24003", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24003&g_ta_cod=24003", 94.0, 4.0, 2.0),
(8386, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "Licence - Arts-lettres-langues", "Allemand", 60, 99, 69, 51, 0, 18, 3, 0, 0, 1, 1, 32, 48, 1, 2, 2, 43, 51, 44, 0, 0, 18, 3, 0, 0, 1, 1, 32, 95, 21, 12, 9, 12, 9.0, 9.0, 17.0, 0, 2, 4, 1, 1, 2, 17, 0, 4, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 42.86, 42.86, 80.95, 57.09375, 75.0, 75.0, 0, 50.0, 19.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 25.0, 0.0, 50.0, 0.0, 19.0, 3.0, 3.0, 2.0, 71.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4148", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4148&g_ta_cod=4148", 76.0, 5.0, 14.0),
(8387, "Public", "0920134W", "Lycée Jacques Prevert", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Boulogne-Billancourt", "formation sélective", "Autre formation", "Lycée Jacques Prevert - DN MADE - Numérique - - Spécialité : Graphisme Augmenté", "DN MADE", "- Spécialité : Graphisme Augmenté", 15, 761, 410, 761, 0, 279, 58, 158, 33, 103, 21, 221, 0, 0, 0, 0, 0, 118, 0, 0, 0, 63, 12, 38, 6, 2, 0, 15, 59, 15, 6, 15, 0, 2.0, 15.0, 15.0, 0, 3, 13, 10, 3, 0, 2, 0, 1, 7, 4, 0, 1.0, 9, 3, 0, 0, 0, 5, 8, 13.33, 100.0, 100.0, 40.0, 38.5, 61.5, 0, 23.09765625, 86.6875, 0.0, 7.69921875, 53.796875, 30.796875, 0.0, 7.7, 76.890625, 69.1875, 23.09765625, 23.09765625, 0.0, 0.0, 34.0, 8.0, 0.0, 0.0, 8.0, "Tous les candidats", 78.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "21622", "DN MADE - Numérique - - Spécialité : Graphisme Augmenté", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21622&g_ta_cod=21622", 73.0, 27.0, 0.0),
(8388, "Public", "0940126B", "Lycée Maximilien Perret (Batiment)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Alfortville", "formation sélective", "BTS", "Lycée Maximilien Perret (Batiment) - BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "BTS - Production", "", 24, 397, 11, 384, 0, 10, 2, 30, 10, 250, 108, 94, 13, 0, 6, 0, 7, 375, 0, 0, 0, 10, 2, 24, 8, 250, 108, 91, 140, 23, 0, 23, 0, 3.0, 16.0, 22.0, 0, 4, 11, 1, 0, 10, 12, 0, 3, 4, 3, 1, 0.0, 0, 0, 8, 5, 0, 7, 10, 13.04, 69.57, 95.65, 0.0, 63.59375, 90.890625, 45.5, 36.3984375, 47.796875, 0.0, 27.296875, 36.3984375, 27.296875, 9.1, 0.0, 9.099609375, 0.0, 0.0, 0.0, 90.890625, 72.6875, 6.0, 2.0, 83.0, 28.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 141, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 48.0, "11412", "BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11412&g_ta_cod=11412", 17.0, 9.0, 74.0),
(8389, "Public", "0751722P", "Sorbonne Université - Sciences et Ingénierie", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Sciences et Ingénierie - Licence - Portail Sciences formelles", "Licence - Sciences - technologies - santé", "Sciences formelles", 365, 6280, 1909, 6280, 0, 4699, 669, 105, 39, 7, 4, 1469, 0, 0, 0, 0, 0, 6280, 0, 0, 0, 4699, 669, 105, 39, 7, 4, 1469, 2740, 360, 111, 360, 0, 82.0, 282.0, 356.0, 0, 64, 292, 281, 10, 1, 68, 1, 6, 65, 143, 65, 12.0, 278, 7, 0, 0, 0, 78, 228, 22.78, 78.33, 98.89, 30.796875, 26.69921875, 78.09375, 0, 21.8984375, 81.09375, 0.29998779296875, 2.099609375, 22.296875, 49.0, 22.3, 4.1, 96.1875, 95.1875, 3.39990234375, 2.39990234375, 0.29998779296875, 0.0, 2476.0, 344.0, 1.0, 0.0, 229.0, "Tous les candidats", 3576.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 55.0, "30977", "Licence - Portail Sciences formelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31053&g_ta_cod=30977", 96.0, 4.0, 0.0),
(8390, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Lettres / Langues, littératures & civilisations étrangères et régionales - LETTRES MODERNES - LLCER ESPAGNOL", "Licence - Arts-lettres-langues", "LETTRES MODERNES - LLCER ESPAGNOL", 35, 559, 420, 230, 0, 161, 23, 10, 5, 6, 4, 53, 329, 84, 27, 22, 196, 230, 13, 0, 0, 161, 23, 10, 5, 6, 4, 53, 164, 34, 28, 26, 8, 1.0, 25.0, 31.0, 0, 6, 20, 16, 3, 1, 14, 0, 5, 10, 4, 1, 0.0, 13, 2, 0, 0, 0, 2, 14, 2.94, 73.53, 91.18, 82.390625, 10.0, 70.0, 0, 30.0, 58.796875, 0.0, 25.0, 50.0, 20.0, 5.0, 0.0, 80.0, 65.0, 15.0, 10.0, 5.0, 0.0, 118.0, 18.0, 1.0, 1.0, 40.0, "Tous les candidats", 229.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9296", "Double licence - Lettres / Langues, littératures & civilisations étrangères et régionales - LETTRES MODERNES - LLCER ESPAGNOL", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9296&g_ta_cod=9296", 85.0, 9.0, 3.0),
(8391, "Privé hors contrat", "0331557N", "Ecole privée d'esthétique Françoise B-Groupe Silvya Terrade", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Ecole privée d'esthétique Françoise B-Groupe Silvya Terrade - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 66, 227, 221, 205, 0, 57, 17, 54, 19, 55, 18, 39, 22, 3, 3, 2, 14, 153, 11, 0, 0, 49, 13, 42, 12, 39, 12, 23, 146, 32, 31, 31, 1, 20.0, 31.0, 32.0, 0, 5, 26, 15, 5, 6, 6, 1, 17, 6, 2, 0, 0.0, 4, 1, 3, 1, 1, 16, 16, 62.5, 96.88, 100.0, 96.890625, 61.5, 61.5, 3.7998046875, 19.19921875, 81.296875, 3.7998046875, 65.390625, 23.09765625, 7.69921875, 0.0, 0.0, 57.6953125, 15.3984375, 19.19921875, 3.7998046875, 23.09765625, 11.5, 44.0, 11.0, 33.0, 11.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers technologiques toutes séries", 52, "Bacheliers professionnels toutes séries", 41, "Liste d'appel propre à cette formation", 74.0, "24036", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24036&g_ta_cod=24036", 56.0, 22.0, 22.0),
(8392, "Privé sous contrat d'association", "0371395R", "MFREO d'Azay le Rideau", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Azay-le-Rideau", "formation sélective", "BTS", "MFREO d'Azay le Rideau - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 15, 43, 26, 38, 0, 2, 0, 6, 0, 15, 3, 15, 5, 0, 1, 3, 1, 27, 3, 0, 0, 2, 0, 6, 0, 15, 3, 4, 29, 1, 1, 1, 0, 0.0, 1.0, 1.0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 0.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 2.0, 0.0, 17.0, 4.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers technologiques toutes séries", 8, "Bacheliers professionnels toutes séries", 15, "Liste d'appel propre à cette formation", 68.0, "33260", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33260&g_ta_cod=33260", 0.0, 0.0, 100.0),
(8393, "Public", "0830058M", "Lycée professionnel Georges Cisson", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée professionnel Georges Cisson - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 15, 235, 13, 208, 0, 20, 3, 47, 7, 99, 46, 42, 27, 8, 5, 0, 14, 77, 1, 0, 0, 3, 1, 12, 2, 60, 22, 2, 34, 15, 0, 14, 1, 9.0, 14.0, 15.0, 0, 2, 15, 1, 0, 14, 0, 0, 3, 5, 4, 3, 0.0, 1, 0, 11, 10, 0, 12, 12, 60.0, 93.33, 100.0, 0.0, 80.0, 80.0, 66.6875, 13.298828125, 100.0, 0.0, 20.0, 33.296875, 26.69921875, 20.0, 0.0, 6.69921875, 6.69921875, 0.0, 0.0, 93.296875, 73.296875, 3.0, 1.0, 27.0, 8.0, 0.0, "Tous les candidats sauf les Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 23.0, "20549", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20549&g_ta_cod=20549", 7.0, 0.0, 93.0),
(8394, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Arts plastiques", "Licence - Arts-lettres-langues", "", 375, 3313, 2605, 3313, 0, 1910, 343, 292, 72, 103, 33, 1008, 0, 0, 0, 0, 0, 3250, 0, 0, 0, 1909, 343, 292, 72, 103, 33, 946, 1274, 371, 327, 369, 0, 53.0, 256.0, 315.0, 0, 80, 292, 252, 22, 18, 79, 3, 24, 136, 107, 22, 0.0, 228, 20, 17, 0, 0, 57, 226, 14.29, 69.0, 84.91, 88.09375, 19.5, 77.390625, 0, 27.3984375, 78.6875, 1.0, 8.19921875, 46.59375, 36.59375, 7.5, 0.0, 86.296875, 78.09375, 7.5, 6.7998046875, 6.19921875, 5.7998046875, 881.0, 159.0, 45.0, 15.0, 247.0, "Tous les candidats", 1568.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "9197", "Licence - Arts plastiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9197&g_ta_cod=9197", 87.0, 7.0, 6.0),
(8395, "Privé sous contrat d'association", "0332282B", "ISNAB", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Villenave-d'Ornon", "formation sélective", "BTS", "ISNAB - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 45, 108, 47, 95, 0, 23, 3, 18, 4, 13, 2, 41, 13, 3, 0, 0, 10, 72, 10, 0, 0, 23, 3, 18, 4, 13, 2, 18, 80, 14, 7, 10, 4, 6.0, 9.0, 10.0, 0, 1, 8, 4, 1, 3, 6, 0, 6, 1, 1, 0, 0.0, 1, 0, 1, 0, 0, 5, 5, 42.86, 64.29, 71.43, 50.0, 62.5, 62.5, 0, 12.5, 57.09375, 0.0, 75.0, 12.5, 12.5, 0.0, 0.0, 50.0, 12.5, 12.5, 0.0, 37.5, 12.5, 25.0, 3.0, 13.0, 2.0, 24.0, "Tous les candidats sauf les Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 76.0, "4433", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4433&g_ta_cod=4433", 71.0, 7.0, 21.0),
(8396, "Public", "0170027M", "Lycée René-Josué Valin", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BTS", "Lycée René-Josué Valin - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 27, 617, 389, 617, 0, 161, 22, 254, 53, 37, 7, 165, 0, 0, 0, 0, 0, 308, 0, 0, 0, 99, 13, 168, 31, 22, 4, 19, 141, 30, 18, 30, 0, 3.0, 17.0, 29.0, 0, 6, 30, 5, 22, 3, 0, 0, 16, 12, 1, 1, 0.0, 4, 8, 2, 6, 4, 16, 16, 10.0, 56.67, 96.67, 60.0, 53.296875, 53.296875, 20, 20.0, 100.0, 0.0, 53.296875, 40.0, 3.2998046875, 3.3, 0.0, 16.69921875, 13.298828125, 73.296875, 26.69921875, 10.0, 6.69921875, 40.0, 8.0, 9.0, 1.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 137, "Liste d'appel propre à cette formation", 35.0, "3024", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3024&g_ta_cod=3024", 17.0, 73.0, 10.0),
(8397, "Public", "0520953D", "IFSI Chaumont", "52", "Haute-Marne", "Grand Est", "Reims", "Chaumont", "formation sélective", "IFSI", "Regroupement d'IFSI Université Reims - D.E Infirmier", "D.E secteur sanitaire", "", 38, 2034, 1732, 2034, 0, 327, 65, 492, 147, 203, 89, 1012, 0, 0, 0, 0, 0, 1637, 0, 0, 0, 272, 48, 415, 107, 152, 61, 798, 459, 38, 32, 38, 0, 0.0, 13.0, 34.0, 0, 6, 20, 5, 8, 7, 18, 0, 6, 9, 4, 1, 0.0, 1, 7, 6, 0, 0, 13, 13, 0.0, 34.21, 89.47, 84.1875, 65.0, 65.0, 0, 30.0, 52.59375, 0.0, 30.0, 45.0, 20.0, 5.0, 0.0, 25.0, 5.0, 40.0, 35.0, 35.0, 30.0, 57.0, 12.0, 47.0, 15.0, 223.0, "Tous les candidats", 1642.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 43.0, "23223", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22986&g_ta_cod=23223", 37.0, 34.0, 29.0),
(8398, "Privé sous contrat d'association", "0350793X", "Lycée Frédéric OZANAM", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Cesson-Sévigné", "formation sélective", "Autre formation", "Lycée Frédéric OZANAM - Mention complémentaire - FCIL Conseiller commercial en automobile", "Mention complémentaire", "", 8, 40, 6, 39, 0, 3, 1, 8, 1, 23, 5, 5, 1, 0, 0, 0, 1, 29, 0, 0, 0, 2, 1, 6, 0, 18, 3, 3, 24, 3, 0, 3, 0, 2.0, 3.0, 3.0, 0, 1, 3, 0, 0, 3, 0, 0, 1, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 3, 3, 66.67, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 2.0, 1.0, 15.0, 3.0, 3.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "24193", "Mention complémentaire - FCIL Conseiller commercial en automobile", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24193&g_ta_cod=24193", 0.0, 0.0, 100.0),
(8399, "Privé sous contrat d'association", "9720615L", "Lycée AMEP", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée AMEP - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 50, 109, 50, 84, 0, 25, 5, 34, 7, 10, 4, 15, 25, 3, 4, 2, 16, 75, 16, 0, 0, 24, 4, 34, 7, 10, 4, 7, 74, 16, 9, 9, 7, 4.0, 9.0, 14.0, 0, 4, 9, 3, 3, 3, 7, 0, 7, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 8, 8, 25.0, 56.25, 87.5, 56.296875, 88.890625, 88.890625, 0, 44.3984375, 56.296875, 0.0, 77.796875, 11.099609375, 11.099609375, 0.0, 0.0, 33.296875, 0.0, 33.296875, 0.0, 33.296875, 22.19921875, 22.0, 4.0, 12.0, 5.0, 17.0, "Tous les candidats sauf les Bac professionnels", 65.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 89.0, "11819", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11819&g_ta_cod=11819", 44.0, 31.0, 25.0),
(8400, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Sciences du langage", "Licence - Sciences humaines et sociales", "", 70, 259, 222, 196, 0, 129, 24, 15, 5, 5, 0, 47, 63, 8, 7, 5, 43, 196, 62, 0, 0, 129, 24, 15, 5, 5, 0, 47, 258, 39, 35, 22, 17, 21.0, 22.0, 35.0, 0, 5, 19, 13, 5, 1, 20, 0, 7, 7, 4, 1, 0.0, 11, 1, 0, 0, 0, 18, 18, 53.85, 56.41, 89.74, 89.6875, 94.6875, 94.6875, 0, 26.296875, 48.6953125, 0.0, 36.796875, 36.796875, 21.09765625, 5.3, 0.0, 68.390625, 57.8984375, 26.296875, 5.2998046875, 5.2998046875, 0.0, 136.0, 25.0, 10.0, 2.0, 90.0, "Tous les candidats", 197.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "13920", "Licence - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13920&g_ta_cod=13920", 69.0, 26.0, 3.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(8401, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Philosophie - Parcours Philosophie - sociologie", "Licence - Sciences humaines et sociales", "Philosophie - sociologie", 30, 600, 383, 600, 0, 312, 49, 27, 8, 21, 5, 240, 0, 0, 0, 0, 0, 599, 0, 0, 0, 312, 49, 27, 8, 21, 5, 239, 166, 29, 17, 29, 0, 5.0, 19.0, 24.0, 0, 4, 19, 19, 0, 0, 10, 0, 1, 6, 9, 2, 1.0, 18, 0, 0, 0, 0, 10, 18, 17.24, 65.52, 82.76, 58.59375, 52.59375, 94.6875, 0, 21.09765625, 65.5, 0.0, 5.2998046875, 31.59765625, 47.3984375, 10.5, 5.3, 100.0, 94.6875, 0.0, 0.0, 0.0, 0.0, 112.0, 20.0, 0.0, 0.0, 54.0, "Tous les candidats", 222.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "18033", "Licence - Philosophie - Parcours Philosophie - sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18033&g_ta_cod=18033", 97.0, 0.0, 3.0),
(8402, "Public", "0590302H", "Centre de Ressources, d'Expertise et de Performance Sportive de Wattignies (CREPS)", "59", "Nord", "Hauts-de-France", "Lille", "Wattignies", "formation sélective", "Autre formation", "CREPS de Wattignies - BPJEPS - Activités de la forme", "BPJEPS", "", 5, 145, 20, 145, 0, 43, 17, 27, 9, 16, 8, 59, 0, 0, 0, 0, 0, 9, 0, 0, 0, 4, 2, 1, 0, 1, 0, 3, 6, 4, 3, 4, 0, 4.0, 4.0, 4.0, 0, 2, 3, 2, 0, 1, 1, 0, 1, 0, 2, 0, 0.0, 1, 0, 1, 0, 0, 3, 3, 100.0, 100.0, 100.0, 75.0, 100.0, 100.0, 0, 66.6875, 75.0, 0.0, 33.296875, 0.0, 66.6875, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 33.296875, 33.296875, 3.0, 2.0, 1.0, 0.0, 1.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "21328", "BPJEPS - Activités de la forme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21328&g_ta_cod=21328", 50.0, 25.0, 25.0),
(8403, "Public", "0130049H", "Lycée Rempart (Rue Du)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  7e  Arrondissement", "formation sélective", "BTS", "Lycée Rempart (Rue Du) - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 410, 23, 410, 0, 35, 10, 115, 45, 113, 56, 147, 0, 0, 0, 0, 0, 270, 0, 0, 0, 28, 9, 84, 32, 85, 41, 73, 119, 19, 1, 19, 0, 1.0, 15.0, 18.0, 0, 8, 15, 1, 8, 6, 4, 0, 10, 3, 2, 0, 0.0, 1, 1, 3, 1, 0, 11, 11, 5.26, 78.95, 94.74, 5.2998046875, 73.296875, 73.296875, 6.69921875, 53.296875, 78.890625, 0.0, 66.6875, 20.0, 13.298828125, 0.0, 0.0, 6.69921875, 6.69921875, 53.296875, 6.69921875, 40.0, 20.0, 19.0, 7.0, 33.0, 22.0, 14.0, "Tous les candidats sauf les Bac professionnels", 125.0, "Bacheliers professionnels toutes séries", 78, "", 0, "Liste d'appel propre à cette formation", 50.0, "2563", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2563&g_ta_cod=2563", 21.0, 42.0, 37.0),
(8404, "Public", "0782565P", "Lycée Jules Ferry", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Jules Ferry - CPGE - PTSI", "Classe préparatoire scientifique", "", 96, 875, 161, 875, 0, 756, 32, 2, 1, 0, 0, 117, 0, 0, 0, 0, 0, 636, 0, 0, 636, 606, 18, 0, 0, 0, 0, 30, 360, 96, 14, 96, 0, 36.0, 80.0, 88.0, 0, 5, 95, 95, 0, 0, 1, 1, 0, 3, 73, 18, 0.0, 94, 0, 0, 3, 1, 71, 77, 37.5, 83.33, 91.67, 14.599609375, 74.6875, 81.09375, 3.19970703125, 5.2998046875, 99.0, 1.099853515625, 0.0, 3.19970703125, 76.796875, 18.9, 0.0, 100.0, 98.890625, 0.0, 0.0, 0.0, 0.0, 352.0, 17.0, 0.0, 0.0, 8.0, "Tous les candidats", 387.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "10050", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10050&g_ta_cod=10050", 100.0, 0.0, 0.0),
(8405, "Public", "0690037R", "Lycée La Martinière-Diderot", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "BTS", "Lycée La Martinière-Diderot - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 26, 983, 822, 983, 0, 215, 42, 135, 44, 357, 114, 276, 0, 0, 0, 0, 0, 375, 0, 0, 0, 49, 4, 24, 7, 174, 48, 128, 101, 25, 22, 25, 0, 4.0, 18.0, 21.0, 0, 3, 18, 2, 2, 14, 7, 0, 0, 4, 8, 6, 0.0, 2, 2, 14, 1, 1, 8, 8, 16.0, 72.0, 84.0, 88.0, 44.3984375, 44.3984375, 5.599609375, 16.69921875, 72.0, 0.0, 0.0, 22.19921875, 44.3984375, 33.3, 0.0, 11.099609375, 11.099609375, 11.099609375, 11.099609375, 77.796875, 77.796875, 2.0, 1.0, 56.0, 17.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 12.0, "12269", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12269&g_ta_cod=12269", 8.0, 32.0, 60.0),
(8406, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues étrangères appliquées - Parcours Anglais-Italien", "Licence - Arts-lettres-langues", "Anglais-Italien", 65, 361, 267, 321, 0, 176, 58, 28, 15, 12, 5, 105, 40, 8, 0, 3, 29, 318, 37, 0, 0, 176, 58, 28, 15, 12, 5, 102, 263, 63, 47, 49, 14, 9.0, 46.0, 50.0, 0, 13, 35, 29, 4, 2, 28, 1, 18, 8, 7, 1, 0.0, 15, 1, 0, 0, 0, 22, 22, 14.29, 73.02, 79.37, 74.59375, 62.8984375, 62.8984375, 0, 37.09375, 55.59375, 2.89990234375, 51.3984375, 22.8984375, 20.0, 2.9, 0.0, 82.890625, 42.8984375, 11.3984375, 2.89990234375, 5.69921875, 0.0, 139.0, 50.0, 6.0, 3.0, 105.0, "Tous les candidats", 317.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "4583", "Licence - Langues étrangères appliquées - Parcours Anglais-Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4583&g_ta_cod=4583", 81.0, 14.0, 5.0),
(8407, "Privé sous contrat d'association", "0061492P", "IFSI Sainte Marie", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "La Gaude", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nice Sophia Antipolis - D.E Infirmier", "D.E secteur sanitaire", "", 76, 3891, 3301, 3891, 0, 627, 145, 582, 162, 328, 135, 2354, 0, 0, 0, 0, 0, 1967, 0, 0, 0, 465, 88, 317, 79, 126, 46, 1059, 672, 76, 63, 76, 0, 1.0, 33.0, 61.0, 0, 6, 32, 17, 12, 3, 44, 0, 1, 18, 10, 3, 0.0, 17, 11, 3, 0, 0, 26, 26, 1.32, 43.42, 80.26, 82.890625, 81.296875, 81.296875, 0, 18.796875, 42.09375, 0.0, 3.099609375, 56.296875, 31.296875, 9.4, 0.0, 53.09375, 53.09375, 37.5, 34.3984375, 9.3984375, 9.3984375, 191.0, 35.0, 33.0, 13.0, 353.0, "Tous les candidats", 1298.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "23066", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22984&g_ta_cod=23066", 57.0, 32.0, 11.0),
(8408, "Public", "0550002D", "Lycée Raymond-Poincaré", "55", "Meuse", "Grand Est", "Nancy-Metz", "Bar-le-Duc", "formation sélective", "BTS", "Lycée Raymond-Poincaré - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 176, 27, 162, 0, 19, 4, 44, 12, 29, 9, 70, 14, 0, 1, 7, 6, 113, 5, 0, 0, 18, 4, 36, 9, 24, 6, 35, 95, 17, 4, 16, 1, 6.0, 15.0, 15.0, 0, 2, 12, 1, 6, 5, 5, 0, 6, 4, 2, 0, 0.0, 0, 3, 3, 4, 0, 10, 10, 35.29, 88.24, 88.24, 23.5, 83.296875, 83.296875, 33.296875, 16.69921875, 70.59375, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 8.298828125, 0.0, 50.0, 25.0, 41.6953125, 25.0, 12.0, 2.0, 24.0, 7.0, 27.0, "Tous les candidats sauf les Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 59.0, "6399", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6399&g_ta_cod=6399", 18.0, 47.0, 35.0),
(8409, "Public", "0040522W", "I.U.T. d'Aix-Marseille - Site de Digne", "04", "Alpes-de-Haute-Provence", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Digne-les-Bains", "formation sélective", "BUT", "I.U.T. d'Aix-Marseille - Site de Digne - BUT - Génie biologique Parcours agronomie", "BUT - Production", "", 56, 779, 439, 763, 0, 502, 60, 99, 16, 2, 1, 160, 16, 0, 13, 0, 3, 688, 2, 0, 0, 483, 52, 93, 14, 0, 0, 112, 270, 59, 38, 59, 0, 22.0, 42.0, 52.0, 0, 6, 56, 47, 9, 0, 3, 0, 8, 25, 14, 7, 2.0, 40, 8, 0, 0, 0, 26, 26, 37.29, 71.19, 88.14, 64.390625, 46.3984375, 46.3984375, 0, 10.69921875, 94.890625, 0.0, 14.298828125, 44.59375, 25.0, 12.5, 3.6, 83.890625, 71.390625, 16.09765625, 14.298828125, 0.0, 0.0, 183.0, 21.0, 0.0, 0.0, 14.0, "Tous les candidats sauf les Bac technologiques", 226.0, "Bacheliers technologiques toutes séries", 104, "", 0, "Liste d'appel propre à cette formation", 43.0, "2167", "BUT - Génie biologique Parcours agronomie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2167&g_ta_cod=2167", 83.0, 17.0, 0.0),
(8410, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues, littératures & civilisations étrangères et régionales / Lettres - Double Licence Langues, Littératures et Civilisations Etrangères et Régionales Anglais - Lettres", "Licence - Arts-lettres-langues", "Double Licence Langues, Littératures et Civilisations Etrangères et Régionales Anglais - Lettres", 20, 540, 436, 540, 0, 420, 95, 18, 7, 14, 4, 88, 0, 0, 0, 0, 0, 377, 0, 0, 0, 306, 57, 2, 1, 0, 0, 69, 96, 20, 17, 20, 0, 1.0, 15.0, 18.0, 0, 3, 16, 16, 0, 0, 4, 0, 0, 2, 4, 10, 0.0, 16, 0, 0, 0, 0, 6, 6, 5.0, 75.0, 90.0, 85.0, 37.5, 37.5, 0, 18.796875, 80.0, 0.0, 0.0, 12.5, 25.0, 62.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 49.0, 14.0, 0.0, 0.0, 47.0, "Tous les candidats", 216.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "13906", "Double licence - Langues, littératures & civilisations étrangères et régionales / Lettres - Double Licence Langues, Littératures et Civilisations Etrangères et Régionales Anglais - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13906&g_ta_cod=13906", 100.0, 0.0, 0.0),
(8411, "Privé sous contrat d'association", "0671639T", "Lycée des Métiers Sainte Clotilde", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée des Métiers Sainte Clotilde - BTS - Services - Gestion de la PME", "BTS - Services", "", 28, 429, 238, 351, 0, 59, 7, 118, 37, 75, 29, 99, 78, 6, 16, 18, 38, 102, 19, 0, 0, 33, 4, 35, 8, 14, 2, 20, 104, 19, 9, 10, 8, 9.0, 10.0, 16.0, 0, 3, 14, 5, 6, 3, 5, 0, 3, 7, 3, 1, 0.0, 5, 4, 2, 2, 0, 12, 12, 47.37, 52.63, 84.21, 47.3984375, 85.6875, 85.6875, 14.298828125, 21.3984375, 73.6875, 0.0, 21.3984375, 50.0, 21.3984375, 7.1, 0.0, 35.6953125, 35.6953125, 42.8984375, 28.59765625, 21.3984375, 14.298828125, 28.0, 6.0, 16.0, 3.0, 27.0, "Tous les candidats sauf les Bac professionnels", 85.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 28.0, "7982", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7982&g_ta_cod=7982", 53.0, 32.0, 16.0),
(8412, "Public", "0210015C", "Lycée Carnot", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "CPGE", "Lycée Carnot - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 513, 228, 497, 313, 398, 38, 1, 0, 0, 0, 98, 16, 8, 0, 0, 8, 355, 8, 167, 338, 334, 23, 0, 0, 0, 0, 21, 220, 12, 4, 11, 1, 0.0, 10.0, 12.0, 1, 2, 12, 12, 0, 0, 0, 0, 0, 3, 7, 2, 0.0, 12, 0, 0, 2, 2, 9, 9, 0.0, 83.33, 100.0, 33.296875, 75.0, 75.0, 16.69921875, 16.69921875, 100.0, 0.0, 0.0, 25.0, 58.296875, 16.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 206.0, 16.0, 0.0, 0.0, 14.0, "Tous les candidats", 351.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "31297", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31297&g_ta_cod=31297", 100.0, 0.0, 0.0),
(8413, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence_Las", "Université Paul Valery - Montpellier 3 - Licence - Portail Humanités - Parcours Lettres classiques", "Licence - Arts-lettres-langues", "Parcours Lettres classiques", 10, 108, 89, 97, 0, 31, 7, 8, 3, 8, 4, 50, 11, 3, 2, 0, 6, 97, 10, 0, 0, 31, 7, 8, 3, 8, 4, 50, 63, 10, 10, 6, 4, 1.0, 4.0, 6.0, 0, 3, 4, 4, 0, 0, 6, 0, 2, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 10.0, 40.0, 60.0, 100.0, 50.0, 50.0, 0, 75.0, 40.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 23.0, 6.0, 2.0, 1.0, 32.0, "Tous les candidats", 191.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 89.0, "28908", "Licence - Portail Humanités - Parcours Lettres classiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28907&g_ta_cod=28908", 80.0, 0.0, 10.0),
(8414, "Public", "0680169P", "I.U.T. de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BUT", "I.U.T. de Mulhouse - BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain durables", "BUT - Service", "Management de la mobilité et de la supply chain durables", 54, 429, 129, 424, 0, 148, 22, 149, 47, 20, 13, 107, 5, 0, 1, 1, 3, 303, 0, 0, 0, 132, 18, 117, 32, 2, 0, 52, 224, 49, 10, 49, 0, 8.0, 42.0, 45.0, 0, 11, 40, 20, 20, 0, 9, 0, 23, 12, 5, 0, 0.0, 7, 10, 0, 0, 0, 30, 30, 16.33, 85.71, 91.84, 20.3984375, 75.0, 75.0, 0, 27.5, 81.59375, 0.0, 57.5, 30.0, 12.5, 0.0, 0.0, 50.0, 17.5, 50.0, 25.0, 0.0, 0.0, 90.0, 16.0, 1.0, 0.0, 36.0, "Tous les candidats sauf les Bac technologiques", 153.0, "Bacheliers technologiques toutes séries", 128, "", 0, "Liste d'appel propre à cette formation", 66.0, "8141", "BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8141&g_ta_cod=8141", 53.0, 47.0, 0.0),
(8415, "Privé sous contrat d'association", "0912394H", "CENTRE DE FORMATION DE L ESSONNE", "91", "Essonne", "Ile-de-France", "Versailles", "Grigny", "formation sélective", "EFTS", "CENTRE DE FORMATION DE L ESSONNE - D.E Educateur Spécialisé", "D.E secteur social", "", 10, 156, 121, 71, 0, 6, 3, 15, 7, 11, 7, 39, 85, 6, 10, 10, 59, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 8, 3, 2, 3, 0, 0.0, 3.0, 3.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 66.6875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 8.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "23793", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23793&g_ta_cod=23793", 67.0, 0.0, 33.0),
(8416, "Public", "0690037R", "Lycée La Martinière-Diderot", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "Autre formation", "Lycée La Martinière-Diderot - DN MADE - Objet - - Spécialité : Savoir-faire/produit/innovation sociale : inventer le design", "DN MADE", "- Spécialité : Savoir-faire/produit/innovation sociale : inventer le design", 15, 830, 515, 830, 0, 271, 40, 243, 46, 87, 19, 229, 0, 0, 0, 0, 0, 180, 0, 0, 0, 61, 5, 91, 15, 6, 2, 22, 56, 15, 11, 15, 0, 1.0, 13.0, 13.0, 0, 3, 14, 7, 6, 1, 1, 0, 0, 1, 10, 3, 0.0, 7, 6, 1, 0, 0, 2, 2, 6.67, 86.67, 86.67, 73.296875, 14.298828125, 14.298828125, 0, 21.3984375, 93.296875, 0.0, 0.0, 7.099609375, 71.390625, 21.4, 0.0, 50.0, 50.0, 42.8984375, 42.8984375, 7.099609375, 7.099609375, 23.0, 3.0, 1.0, 1.0, 6.0, "Tous les candidats", 82.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "21628", "DN MADE - Objet - - Spécialité : Savoir-faire/produit/innovation sociale : inventer le design", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21628&g_ta_cod=21628", 53.0, 40.0, 7.0),
(8417, "Privé sous contrat d'association", "0131402D", "Lycée Charles Peguy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "Autre formation", "Lycée Charles Peguy - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 18, 59, 42, 45, 0, 4, 1, 3, 0, 29, 11, 9, 14, 1, 2, 4, 7, 41, 6, 0, 0, 4, 1, 2, 0, 26, 9, 9, 45, 7, 5, 5, 2, 4.0, 5.0, 6.0, 0, 4, 7, 0, 1, 6, 0, 1, 6, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 7, 7, 57.14, 71.43, 85.71, 71.390625, 100.0, 100.0, 0, 57.09375, 100.0, 14.298828125, 85.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 14.298828125, 0.0, 85.6875, 0.0, 4.0, 1.0, 28.0, 10.0, 11.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "19090", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19090&g_ta_cod=19090", 0.0, 14.0, 86.0),
(8418, "Public", "0760076V", "Lycée Jean Prevost", "76", "Seine-Maritime", "Normandie", "Normandie", "Montivilliers", "formation sélective", "BTS", "Lycée Jean Prevost - BTS - Services - Commerce International", "BTS - Services", "", 35, 554, 318, 554, 0, 159, 36, 128, 41, 71, 29, 196, 0, 0, 0, 0, 0, 496, 0, 0, 0, 159, 36, 128, 41, 65, 27, 144, 166, 35, 25, 35, 0, 5.0, 28.0, 31.0, 0, 5, 28, 10, 11, 7, 7, 0, 11, 11, 5, 1, 0.0, 5, 5, 7, 5, 3, 27, 27, 14.29, 80.0, 88.57, 71.390625, 96.390625, 96.390625, 17.8984375, 17.8984375, 80.0, 0.0, 39.296875, 39.296875, 17.8984375, 3.6, 0.0, 35.6953125, 17.8984375, 39.296875, 17.8984375, 25.0, 25.0, 68.0, 17.0, 18.0, 6.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 128.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 40.0, "9584", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9584&g_ta_cod=9584", 43.0, 34.0, 23.0),
(8419, "Public", "0781839A", "Lycée Jean Monnet", "78", "Yvelines", "Ile-de-France", "Versailles", "La Queue-les-Yvelines", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 360, 163, 360, 0, 18, 5, 122, 33, 118, 47, 102, 0, 0, 0, 0, 0, 267, 0, 0, 0, 16, 5, 110, 30, 81, 23, 60, 149, 35, 15, 35, 0, 1.0, 23.0, 26.0, 0, 6, 29, 1, 15, 13, 6, 0, 11, 15, 2, 1, 0.0, 0, 8, 10, 10, 4, 25, 26, 2.86, 65.71, 74.29, 42.8984375, 86.1875, 89.6875, 34.5, 20.69921875, 82.890625, 0.0, 37.8984375, 51.6953125, 6.8994140625, 3.4, 0.0, 3.39990234375, 0.0, 51.6953125, 27.59765625, 44.796875, 34.5, 9.0, 5.0, 50.0, 13.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 43.0, "9978", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9978&g_ta_cod=9978", 3.0, 54.0, 43.0),
(8420, "Public", "0601910A", "Université d'Amiens - Antenne de Beauvais", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation non sélective", "Licence", "Université d'Amiens - Antenne de Beauvais - Licence - Portail Portail Licence Langues Etrangères Appliquées (LEA) / Langues, Littératures et Cultures Etrangères et Régionales (LLCER)", "Licence - Arts-lettres-langues", "Portail Licence Langues Etrangères Appliquées (LEA) / Langues, Littératures et Cultures Etrangères et Régionales (LLCER)", 150, 728, 527, 584, 0, 374, 91, 87, 32, 18, 7, 105, 144, 32, 19, 16, 77, 585, 141, 0, 0, 374, 91, 88, 33, 18, 7, 105, 651, 145, 103, 96, 49, 17.0, 93.0, 120.0, 0, 27, 100, 64, 25, 11, 45, 1, 48, 35, 14, 2, 0.0, 37, 7, 7, 0, 0, 91, 91, 11.72, 64.14, 82.76, 71.0, 91.0, 91.0, 0, 27.0, 69.0, 1.0, 48.0, 35.0, 14.0, 2.0, 0.0, 64.0, 37.0, 25.0, 7.0, 11.0, 7.0, 370.0, 89.0, 31.0, 15.0, 158.0, "Tous les candidats", 585.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "23565", "Licence - Portail Portail Licence Langues Etrangères Appliquées (LEA) / Langues, Littératures et Cultures Etrangères et Régionales (LLCER)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23565&g_ta_cod=23565", 59.0, 26.0, 15.0),
(8421, "Public", "0212198A", "AgroSup Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 25, 2716, 1109, 2716, 0, 2216, 214, 0, 0, 0, 0, 500, 0, 0, 0, 0, 0, 1688, 0, 0, 0, 1523, 109, 0, 0, 0, 0, 165, 361, 25, 7, 25, 0, 22.0, 23.0, 24.0, 0, 1, 25, 25, 0, 0, 0, 0, 0, 0, 4, 17, 4.0, 25, 0, 0, 0, 0, 2, 2, 88.0, 92.0, 96.0, 28.0, 8.0, 8.0, 0, 4.0, 100.0, 0.0, 0.0, 0.0, 16.0, 68.0, 16.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 359.0, 35.0, 0.0, 0.0, 2.0, "Autres candidats", 4206.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "24110", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=24110", 100.0, 0.0, 0.0),
(8422, "Public", "0301577B", "Université de Montpellier, Antenne de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "PASS", "Université de Montpellier, Antenne de Nîmes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 19, 739, 396, 728, 0, 503, 123, 19, 7, 4, 2, 202, 11, 6, 1, 0, 4, 728, 10, 0, 0, 503, 123, 19, 7, 4, 2, 202, 322, 17, 7, 15, 2, 0.0, 3.0, 11.0, 0, 2, 12, 10, 2, 0, 5, 0, 4, 6, 2, 0, 0.0, 6, 2, 0, 0, 0, 5, 5, 0.0, 17.65, 64.71, 41.1953125, 41.6953125, 41.6953125, 0, 16.69921875, 70.59375, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 83.296875, 50.0, 16.69921875, 16.69921875, 0.0, 0.0, 208.0, 50.0, 1.0, 1.0, 108.0, "Tous les candidats", 3296.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "31851", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28811&g_ta_cod=31851", 76.0, 24.0, 0.0),
(8423, "Public", "0910727W", "Lycée Parc de Vilgenis", "91", "Essonne", "Ile-de-France", "Versailles", "Massy", "formation sélective", "CPGE", "Lycée Parc de Vilgenis - CPGE - PTSI", "Classe préparatoire scientifique", "", 32, 273, 52, 260, 0, 207, 26, 0, 0, 0, 0, 53, 13, 4, 0, 0, 9, 231, 2, 0, 231, 196, 21, 0, 0, 0, 0, 35, 173, 27, 2, 26, 1, 3.0, 25.0, 26.0, 0, 5, 25, 25, 0, 0, 2, 0, 6, 15, 4, 0, 0.0, 19, 0, 0, 7, 0, 23, 25, 11.11, 92.59, 96.3, 7.3994140625, 92.0, 100.0, 28, 20.0, 92.59375, 0.0, 24.0, 60.0, 16.0, 0.0, 0.0, 100.0, 76.0, 0.0, 0.0, 0.0, 0.0, 148.0, 19.0, 0.0, 0.0, 25.0, "Tous les candidats", 225.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "10872", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10872&g_ta_cod=10872", 100.0, 0.0, 0.0),
(8424, "Public", "0561414H", "IFSI CH Centre Bretagne Pontivy", "56", "Morbihan", "Bretagne", "Rennes", "Pontivy", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bretagne Sud - D.E Infirmier", "D.E secteur sanitaire", "", 85, 2408, 2048, 2408, 0, 480, 71, 535, 101, 270, 61, 1123, 0, 0, 0, 0, 0, 2081, 0, 0, 0, 470, 67, 505, 95, 219, 47, 887, 546, 85, 78, 85, 0, 2.0, 46.0, 66.0, 0, 12, 49, 29, 18, 2, 36, 0, 6, 35, 8, 0, 0.0, 25, 16, 2, 0, 0, 42, 42, 2.35, 54.12, 77.65, 91.796875, 85.6875, 85.6875, 0, 24.5, 57.59375, 0.0, 12.19921875, 71.390625, 16.296875, 0.0, 0.0, 59.1953125, 51.0, 36.6953125, 32.6953125, 4.099609375, 4.099609375, 133.0, 21.0, 4.0, 2.0, 276.0, "Tous les candidats", 870.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "23387", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23377&g_ta_cod=23387", 54.0, 44.0, 2.0),
(8425, "Public", "0601748Z", "Institut de Formation en Soins Infirmiers - BEAUVAIS", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "IFSI", "Regroupement d'IFSI Université Amiens - D.E Infirmier", "D.E secteur sanitaire", "", 107, 3168, 2664, 3168, 0, 549, 129, 524, 145, 451, 172, 1644, 0, 0, 0, 0, 0, 2141, 0, 0, 0, 457, 102, 372, 91, 316, 105, 996, 886, 106, 96, 106, 0, 5.0, 47.0, 79.0, 0, 17, 66, 19, 18, 29, 40, 0, 8, 34, 19, 5, 0.0, 13, 17, 28, 0, 0, 52, 52, 4.72, 44.34, 74.53, 90.59375, 78.796875, 78.796875, 0, 25.796875, 62.296875, 0.0, 12.099609375, 51.5, 28.796875, 7.6, 0.0, 28.796875, 19.69921875, 27.296875, 25.796875, 43.8984375, 42.3984375, 192.0, 50.0, 140.0, 44.0, 400.0, "Tous les candidats", 2427.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "23077", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23008&g_ta_cod=23077", 40.0, 25.0, 35.0),
(8426, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Institut Catholique Paris - Licence - Histoire de l'art et archéologie - Parcours Histoire de l'Art - Espagnol", "Licence - Arts-lettres-langues", "Histoire de l'Art - Espagnol", 50, 258, 184, 80, 0, 59, 0, 1, 0, 3, 1, 17, 178, 46, 4, 14, 114, 80, 171, 0, 0, 59, 0, 1, 0, 3, 1, 17, 249, 34, 23, 13, 21, 9.0, 13.0, 26.0, 0, 2, 20, 18, 1, 1, 14, 0, 6, 7, 4, 3, 0.0, 14, 0, 0, 0, 0, 6, 14, 26.47, 38.24, 76.47, 67.59375, 30.0, 70.0, 0, 10.0, 58.796875, 0.0, 30.0, 35.0, 20.0, 15.0, 0.0, 90.0, 70.0, 5.0, 0.0, 5.0, 0.0, 101.0, 16.0, 16.0, 9.0, 127.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9446", "Licence - Histoire de l'art et archéologie - Parcours Histoire de l'Art - Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9446&g_ta_cod=9446", 85.0, 6.0, 9.0),
(8427, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Double diplôme - Licence Droit - Droit Espagnol (DU droit espagnol et latino-américain)", "Licence - Droit-économie-gestion", "Droit Espagnol (DU droit espagnol et latino-américain)", 40, 400, 331, 227, 0, 171, 41, 21, 7, 4, 1, 31, 173, 84, 21, 2, 66, 95, 6, 0, 0, 89, 19, 1, 1, 0, 0, 5, 92, 23, 21, 22, 1, 11.0, 22.0, 23.0, 0, 1, 23, 23, 0, 0, 0, 0, 0, 8, 12, 3, 0.0, 23, 0, 0, 0, 0, 13, 15, 47.83, 95.65, 100.0, 91.296875, 56.5, 65.1875, 0, 4.2998046875, 100.0, 0.0, 0.0, 34.796875, 52.1953125, 13.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 86.0, 17.0, 0.0, 0.0, 5.0, "Tous les candidats", 94.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "11628", "Licence - Double diplôme - Licence Droit - Droit Espagnol (DU droit espagnol et latino-américain)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11628&g_ta_cod=11628", 100.0, 0.0, 0.0),
(8428, "Public", "0941294W", "Lycée Adolphe Cherioux", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vitry-sur-Seine", "formation sélective", "BTS", "Lycée Adolphe Cherioux - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 573, 21, 573, 0, 16, 3, 48, 20, 298, 154, 211, 0, 0, 0, 0, 0, 320, 0, 0, 0, 16, 3, 48, 20, 155, 82, 101, 110, 24, 0, 24, 0, 6.0, 16.0, 21.0, 0, 8, 19, 1, 4, 14, 5, 0, 6, 6, 5, 2, 0.0, 0, 0, 13, 5, 0, 13, 19, 25.0, 66.67, 87.5, 0.0, 68.390625, 100.0, 26.296875, 42.09375, 79.1875, 0.0, 31.59765625, 31.59765625, 26.296875, 10.5, 0.0, 5.2998046875, 0.0, 21.09765625, 0.0, 73.6875, 68.390625, 7.0, 1.0, 71.0, 31.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 134, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 32.0, "11515", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11515&g_ta_cod=11515", 8.0, 21.0, 71.0),
(8429, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Autre formation", "Université de La Rochelle - C.M.I - Cursus Master en Ingénierie - Géographie et aménagement - Cursus Master en Ingénierie", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie", 7, 57, 28, 57, 0, 41, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 30, 0, 0, 0, 28, 0, 0, 0, 0, 0, 2, 17, 8, 3, 8, 0, 2.0, 8.0, 8.0, 0, 0, 8, 8, 0, 0, 0, 0, 0, 1, 6, 1, 0.0, 8, 0, 0, 0, 0, 3, 3, 25.0, 100.0, 100.0, 37.5, 37.5, 37.5, 0, 0.0, 100.0, 0.0, 0.0, 12.5, 75.0, 12.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 16.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "17829", "C.M.I - Cursus Master en Ingénierie - Géographie et aménagement - Cursus Master en Ingénierie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17829&g_ta_cod=17829", 100.0, 0.0, 0.0),
(8430, "Public", "0171428K", "Lycée de la mer et du littoral", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Bourcefranc-le-Chapus", "formation sélective", "BTS", "Lycée de la mer et du littoral - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 19, 670, 290, 670, 0, 181, 16, 142, 19, 154, 33, 193, 0, 0, 0, 0, 0, 496, 0, 0, 0, 163, 16, 111, 19, 134, 31, 88, 105, 18, 7, 18, 0, 1.0, 14.0, 16.0, 0, 3, 16, 6, 5, 5, 2, 0, 1, 13, 2, 0, 0.0, 6, 4, 5, 3, 1, 5, 5, 5.56, 77.78, 88.89, 38.8984375, 31.296875, 31.296875, 18.796875, 18.796875, 88.890625, 0.0, 6.2998046875, 81.296875, 12.5, 0.0, 0.0, 37.5, 37.5, 31.296875, 25.0, 31.296875, 31.296875, 42.0, 8.0, 21.0, 3.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 92.0, "Bacheliers technologiques toutes séries", 60, "Bacheliers professionnels toutes séries", 39, "Liste d'appel propre à cette formation", 29.0, "30777", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30777&g_ta_cod=30777", 39.0, 33.0, 28.0),
(8431, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Université de Strasbourg - C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master Ingénierie : Informatique, Systèmes et Réseaux", "C.M.I - Cursus Master en Ingénierie", "Cursus Master Ingénierie : Informatique, Systèmes et Réseaux", 20, 369, 44, 369, 0, 258, 35, 18, 7, 3, 3, 90, 0, 0, 0, 0, 0, 133, 0, 0, 0, 117, 10, 0, 0, 0, 0, 16, 81, 19, 2, 19, 0, 2.0, 16.0, 18.0, 0, 1, 18, 18, 0, 0, 1, 0, 0, 3, 11, 3, 1.0, 18, 0, 0, 0, 0, 8, 8, 10.53, 84.21, 94.74, 10.5, 44.3984375, 44.3984375, 0, 5.599609375, 94.6875, 0.0, 0.0, 16.69921875, 61.09375, 16.7, 5.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 70.0, 9.0, 0.0, 0.0, 11.0, "Tous les candidats", 131.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "15965", "C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master Ingénierie : Informatique, Systèmes et Réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15965&g_ta_cod=15965", 100.0, 0.0, 0.0),
(8432, "Privé enseignement supérieur", "0312765M", "AFTRAL ISTELI", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "AFTRAL ISTELI - Formation professionnelle - Titre professionnel - Organisateur de transports aériens ou maritimes de marchandises (Bac +2)", "Formation professionnelle", "", 20, 34, 10, 26, 0, 2, 0, 2, 0, 12, 6, 10, 8, 1, 2, 2, 3, 13, 3, 0, 0, 1, 0, 0, 0, 8, 3, 4, 16, 9, 3, 8, 1, 7.0, 8.0, 9.0, 0, 0, 6, 1, 0, 5, 3, 0, 1, 1, 2, 2, 0.0, 1, 0, 4, 0, 0, 3, 3, 77.78, 88.89, 100.0, 33.296875, 50.0, 50.0, 0, 0.0, 66.6875, 0.0, 16.69921875, 16.69921875, 33.296875, 33.3, 0.0, 16.69921875, 16.69921875, 0.0, 0.0, 83.296875, 66.6875, 2.0, 0.0, 8.0, 3.0, 6.0, "Tous les candidats", 13.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "33596", "Formation professionnelle - Titre professionnel - Organisateur de transports aériens ou maritimes de marchandises (Bac +2)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33596&g_ta_cod=33596", 33.0, 0.0, 56.0),
(8433, "Privé sous contrat d'association", "0280967Z", "Lycée professionnel Agricole Franz Stock", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Mignières", "formation sélective", "BTS", "Lycée professionnel Agricole Franz Stock - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 24, 118, 56, 113, 0, 11, 0, 11, 3, 17, 4, 74, 5, 2, 0, 1, 2, 42, 4, 0, 0, 11, 0, 11, 3, 17, 4, 3, 41, 13, 9, 10, 3, 7.0, 9.0, 10.0, 0, 2, 12, 4, 4, 4, 1, 0, 7, 5, 0, 0, 0.0, 0, 4, 1, 4, 3, 10, 10, 53.85, 69.23, 76.92, 69.1875, 83.296875, 83.296875, 33.296875, 16.69921875, 92.296875, 0.0, 58.296875, 41.6953125, 0.0, 0.0, 0.0, 33.296875, 0.0, 33.296875, 33.296875, 33.296875, 8.298828125, 8.0, 0.0, 18.0, 4.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 37.0, "15859", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15859&g_ta_cod=15859", 38.0, 31.0, 31.0),
(8434, "Public", "0133244F", "Lycée Marie Madeleine Fourcade", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Gardanne", "formation sélective", "BTS", "Lycée Marie Madeleine Fourcade - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 169, 12, 133, 0, 11, 0, 25, 8, 64, 31, 33, 36, 9, 8, 0, 19, 76, 11, 0, 0, 7, 0, 17, 5, 48, 24, 4, 63, 13, 1, 10, 3, 2.0, 5.0, 10.0, 0, 6, 12, 2, 2, 8, 1, 0, 7, 4, 1, 0, 0.0, 0, 0, 5, 7, 1, 12, 12, 15.38, 38.46, 76.92, 7.69921875, 100.0, 100.0, 58.296875, 50.0, 92.296875, 0.0, 58.296875, 33.296875, 8.298828125, 0.0, 0.0, 16.69921875, 0.0, 16.69921875, 0.0, 66.6875, 41.6953125, 8.0, 0.0, 31.0, 16.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 52.0, "2798", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2798&g_ta_cod=2798", 23.0, 15.0, 62.0),
(8435, "Public", "0750715V", "Lycée Maurice Ravel", "75", "Paris", "Ile-de-France", "Paris", "Paris 20e  Arrondissement", "formation sélective", "BTS", "Lycée Maurice Ravel - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 1614, 1177, 1614, 0, 66, 20, 538, 283, 521, 300, 489, 0, 0, 0, 0, 0, 702, 0, 0, 0, 43, 12, 170, 84, 278, 157, 211, 130, 23, 18, 23, 0, 2.0, 15.0, 19.0, 0, 5, 8, 2, 2, 4, 15, 0, 3, 2, 2, 1, 0.0, 0, 1, 4, 0, 0, 6, 8, 8.7, 65.22, 82.61, 78.296875, 75.0, 100.0, 0, 62.5, 34.796875, 0.0, 37.5, 25.0, 25.0, 12.5, 0.0, 25.0, 0.0, 25.0, 12.5, 50.0, 50.0, 18.0, 8.0, 16.0, 9.0, 78.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 12.0, "9187", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9187&g_ta_cod=9187", 30.0, 30.0, 39.0),
(8436, "Privé sous contrat d'association", "0630110C", "ITSRA", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "EFTS", "ITSRA - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 28, 260, 247, 260, 0, 44, 7, 54, 9, 23, 7, 139, 0, 0, 0, 0, 0, 152, 0, 0, 0, 28, 5, 20, 1, 8, 3, 96, 45, 28, 26, 28, 0, 13.0, 26.0, 27.0, 0, 1, 5, 2, 2, 1, 23, 0, 1, 1, 2, 1, 0.0, 1, 2, 1, 0, 0, 3, 3, 46.43, 92.86, 96.43, 92.890625, 60.0, 60.0, 0, 20.0, 17.8984375, 0.0, 20.0, 20.0, 40.0, 20.0, 0.0, 40.0, 20.0, 40.0, 40.0, 20.0, 20.0, 3.0, 1.0, 1.0, 0.0, 38.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "24954", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24954&g_ta_cod=24954", 64.0, 29.0, 7.0),
(8437, "Public", "0570108H", "Lycée La Briquerie", "57", "Moselle", "Grand Est", "Nancy-Metz", "Thionville", "formation sélective", "BTS", "Lycée La Briquerie - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 181, 8, 172, 0, 5, 2, 24, 8, 63, 29, 80, 9, 0, 0, 7, 2, 90, 2, 0, 0, 5, 2, 22, 8, 56, 25, 7, 70, 19, 1, 18, 1, 7.0, 16.0, 18.0, 0, 5, 18, 1, 3, 14, 1, 0, 10, 3, 5, 0, 0.0, 0, 1, 7, 13, 1, 17, 17, 36.84, 84.21, 94.74, 5.2998046875, 94.390625, 94.390625, 72.1875, 27.796875, 94.6875, 0.0, 55.59375, 16.69921875, 27.796875, 0.0, 0.0, 5.599609375, 0.0, 16.69921875, 5.599609375, 77.796875, 38.8984375, 4.0, 1.0, 43.0, 20.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 52.0, "6564", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6564&g_ta_cod=6564", 11.0, 16.0, 74.0),
(8438, "Public", "0071394C", "IFSI Sainte Marie Privas", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Privas", "formation sélective", "IFSI", "Regroupement d'IFSI Université Grenoble Alpes - D.E Infirmier", "D.E secteur sanitaire", "", 53, 4070, 3362, 4070, 0, 565, 81, 841, 191, 333, 126, 2331, 0, 0, 0, 0, 0, 3258, 0, 0, 0, 521, 70, 720, 151, 269, 97, 1748, 798, 53, 48, 53, 0, 0.0, 7.0, 40.0, 0, 2, 25, 8, 10, 7, 28, 0, 3, 14, 6, 2, 0.0, 6, 9, 7, 0, 0, 12, 12, 0.0, 13.21, 75.47, 90.59375, 48.0, 48.0, 0, 8.0, 47.1953125, 0.0, 12.0, 56.0, 24.0, 8.0, 0.0, 32.0, 24.0, 40.0, 36.0, 28.0, 28.0, 178.0, 20.0, 104.0, 26.0, 309.0, "Tous les candidats", 2628.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "23118", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22992&g_ta_cod=23118", 38.0, 38.0, 25.0),
(8439, "Public", "0711690B", "I.U.T de Chalon-Sur-Saône", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "BUT", "I.U.T de Chalon-Sur-Saône - BUT - Science et génie des matériaux Parcours : Métiers de la caractérisation et de l'expertise des matériaux et des produits", "BUT - Production", "Métiers de la caractérisation et de l'expertise des matériaux et des produits", 48, 406, 59, 367, 0, 242, 21, 69, 10, 0, 0, 56, 39, 11, 2, 0, 26, 315, 28, 0, 0, 221, 18, 45, 3, 0, 0, 49, 294, 33, 5, 25, 8, 4.0, 25.0, 32.0, 0, 2, 23, 22, 1, 0, 10, 0, 10, 10, 3, 0, 0.0, 12, 1, 0, 0, 0, 6, 6, 12.12, 75.76, 96.97, 15.19921875, 26.09765625, 26.09765625, 0, 8.69921875, 69.6875, 0.0, 43.5, 43.5, 13.0, 0.0, 0.0, 95.6875, 52.1953125, 4.2998046875, 4.2998046875, 0.0, 0.0, 187.0, 16.0, 0.0, 0.0, 63.0, "Tous les candidats sauf les Bac technologiques", 262.0, "Bacheliers technologiques toutes séries", 53, "", 0, "Liste d'appel propre à cette formation", 86.0, "8668", "BUT - Science et génie des matériaux Parcours : Métiers de la caractérisation et de l'expertise des matériaux et des produits", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8668&g_ta_cod=8668", 91.0, 6.0, 0.0),
(8440, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Licence", "Université Côte d'Azur - Double licence - Mathématiques / Physique - Double licence Mathématiques - Physique", "Licence - Sciences - technologies - santé", "Double licence Mathématiques - Physique", 35, 1240, 378, 1227, 0, 926, 111, 9, 4, 0, 0, 292, 13, 2, 0, 0, 11, 928, 4, 0, 0, 766, 76, 0, 0, 0, 0, 162, 337, 34, 11, 32, 2, 0.0, 16.0, 25.0, 0, 2, 26, 26, 0, 0, 8, 0, 2, 4, 13, 6, 1.0, 24, 0, 0, 0, 0, 19, 19, 0.0, 47.06, 73.53, 32.3984375, 73.09375, 73.09375, 0, 7.69921875, 76.5, 0.0, 7.69921875, 15.3984375, 50.0, 23.1, 3.8, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 282.0, 30.0, 0.0, 0.0, 55.0, "Tous les candidats", 645.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "20473", "Double licence - Mathématiques / Physique - Double licence Mathématiques - Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20473&g_ta_cod=20473", 100.0, 0.0, 0.0),
(8441, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Licence", "Université Côte d'Azur - Double licence - Sciences de l'Homme, Anthropologie, Ethnologie / Arts du spectacle - Sciences de l'Homme, Anthropologie, Ethnologie / Arts du spectacle", "Licence - Sciences humaines et sociales", "Sciences de l'Homme, Anthropologie, Ethnologie / Arts du spectacle", 30, 181, 147, 133, 0, 89, 19, 7, 2, 3, 1, 34, 48, 11, 1, 4, 32, 97, 18, 0, 0, 69, 16, 5, 1, 3, 1, 20, 91, 11, 9, 6, 5, 1.0, 6.0, 10.0, 0, 1, 4, 2, 1, 1, 7, 0, 1, 0, 3, 0, 0.0, 2, 1, 0, 0, 0, 2, 2, 9.09, 54.55, 90.91, 81.796875, 50.0, 50.0, 0, 25.0, 36.3984375, 0.0, 25.0, 0.0, 75.0, 0.0, 0.0, 50.0, 50.0, 25.0, 25.0, 25.0, 0.0, 57.0, 12.0, 2.0, 1.0, 29.0, "Tous les candidats", 96.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "15627", "Double licence - Sciences de l'Homme, Anthropologie, Ethnologie / Arts du spectacle - Sciences de l'Homme, Anthropologie, Ethnologie / Arts du spectacle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15627&g_ta_cod=15627", 36.0, 55.0, 9.0),
(8442, "Public", "0251821U", "Université de Franche-Comté - Site de Montbéliard", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "Autre formation", "Université de Franche-Comté - Site de Montbéliard - C.M.I - Cursus Master en Ingénierie - Sciences de la vie - Cursus Master en Ingénierie (CMI) : Environnement et territoire", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Environnement et territoire", 18, 130, 80, 100, 0, 75, 5, 0, 0, 0, 0, 25, 30, 10, 2, 1, 17, 56, 5, 0, 0, 45, 1, 0, 0, 0, 0, 11, 54, 14, 7, 13, 1, 2.0, 13.0, 14.0, 0, 1, 11, 11, 0, 0, 3, 0, 0, 4, 6, 1, 0.0, 11, 0, 0, 0, 0, 8, 8, 14.29, 92.86, 100.0, 50.0, 72.6875, 72.6875, 0, 9.099609375, 78.59375, 0.0, 0.0, 36.3984375, 54.5, 9.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 39.0, 2.0, 0.0, 0.0, 15.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "15106", "C.M.I - Cursus Master en Ingénierie - Sciences de la vie - Cursus Master en Ingénierie (CMI) : Environnement et territoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15106&g_ta_cod=15106", 100.0, 0.0, 0.0),
(8443, "Privé enseignement supérieur", "0755331M", "Ecole d'Assas", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "Ecole d'Assas - D.E Pédicure-Podologue", "D.E secteur sanitaire", "", 57, 445, 326, 301, 0, 82, 8, 25, 2, 5, 3, 189, 144, 35, 18, 6, 85, 301, 103, 0, 0, 82, 8, 25, 2, 5, 3, 189, 308, 44, 27, 37, 7, 10.0, 35.0, 38.0, 0, 3, 19, 17, 2, 0, 25, 0, 8, 10, 1, 0, 0.0, 10, 1, 0, 0, 0, 0, 13, 22.73, 79.55, 86.36, 61.3984375, 0.0, 68.390625, 0, 15.798828125, 43.1953125, 0.0, 42.09375, 52.59375, 5.2998046875, 0.0, 0.0, 89.5, 52.59375, 10.5, 5.2998046875, 0.0, 0.0, 84.0, 14.0, 6.0, 4.0, 182.0, "Tous les candidats", 301.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26060", "D.E Pédicure-Podologue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26060&g_ta_cod=26060", 84.0, 11.0, 2.0),
(8444, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Licence - Humanités - Parcours Humanités et danse - A distance", "Licence - Arts-lettres-langues", "Humanités et danse - A distance", 15, 210, 162, 74, 0, 31, 7, 18, 1, 3, 2, 22, 136, 5, 9, 3, 119, 31, 12, 0, 0, 17, 2, 11, 1, 0, 0, 3, 41, 15, 13, 9, 6, 6.0, 9.0, 11.0, 0, 2, 10, 6, 4, 0, 5, 0, 1, 1, 5, 3, 0.0, 5, 4, 0, 0, 0, 3, 5, 40.0, 60.0, 73.33, 86.6875, 30.0, 50.0, 0, 20.0, 66.6875, 0.0, 10.0, 10.0, 50.0, 30.0, 0.0, 60.0, 50.0, 40.0, 40.0, 0.0, 0.0, 17.0, 2.0, 0.0, 0.0, 11.0, "Tous les candidats", 30.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "21197", "Licence - Humanités - Parcours Humanités et danse - A distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21197&g_ta_cod=21197", 73.0, 27.0, 0.0),
(8445, "Public", "0541324W", "I.U.T Nancy-Charlemagne - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BUT", "I.U.T Nancy-Charlemagne - Université de Lorraine - BUT - Information communication Parcours communication des organisations", "BUT - Service", "", 52, 1613, 1193, 1613, 0, 949, 130, 265, 69, 9, 2, 390, 0, 0, 0, 0, 0, 955, 0, 0, 0, 639, 73, 181, 42, 0, 0, 135, 262, 56, 48, 56, 0, 8.0, 47.0, 52.0, 0, 5, 40, 26, 14, 0, 16, 0, 1, 17, 19, 3, 0.0, 26, 13, 0, 0, 0, 19, 19, 14.29, 83.93, 92.86, 85.6875, 47.5, 47.5, 0, 12.5, 71.390625, 0.0, 2.5, 42.5, 47.5, 7.5, 0.0, 65.0, 65.0, 35.0, 32.5, 0.0, 0.0, 154.0, 24.0, 0.0, 0.0, 44.0, "Tous les candidats sauf les Bac technologiques", 306.0, "Bacheliers technologiques toutes séries", 107, "", 0, "Liste d'appel propre à cette formation", 26.0, "6320", "BUT - Information communication Parcours communication des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6320&g_ta_cod=6320", 71.0, 29.0, 0.0),
(8446, "Public", "0142107P", "Lycée Charles-De-Gaulle", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "CPGE", "Lycée Charles-De-Gaulle - CPGE - ECG -  - Mathématiques approfondies + ESH", "Classe préparatoire économique et commerciale", "", 48, 334, 175, 329, 196, 247, 28, 0, 0, 0, 0, 82, 5, 2, 0, 0, 3, 239, 1, 139, 235, 221, 25, 0, 0, 0, 0, 18, 176, 17, 10, 17, 0, 3.0, 17.0, 17.0, 9, 4, 16, 16, 0, 0, 1, 0, 0, 3, 8, 5, 0.0, 16, 0, 0, 0, 0, 14, 14, 17.65, 100.0, 100.0, 58.796875, 87.5, 87.5, 0, 25.0, 94.09375, 0.0, 0.0, 18.796875, 50.0, 31.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 161.0, 22.0, 0.0, 0.0, 15.0, "Tous les candidats", 238.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "31346", "CPGE - ECG -  - Mathématiques approfondies + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31346&g_ta_cod=31346", 100.0, 0.0, 0.0),
(8447, "Public", "0520027X", "Lycée Saint-Exupery", "52", "Haute-Marne", "Grand Est", "Reims", "Saint-Dizier", "formation sélective", "BTS", "Lycée Saint-Exupery - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 333, 159, 209, 0, 34, 15, 63, 25, 62, 22, 50, 124, 7, 29, 30, 58, 98, 5, 0, 0, 22, 9, 39, 14, 27, 12, 10, 74, 18, 9, 16, 2, 5.0, 16.0, 18.0, 0, 7, 17, 7, 6, 4, 1, 0, 6, 11, 0, 0, 0.0, 4, 4, 3, 6, 4, 14, 14, 27.78, 88.89, 100.0, 50.0, 82.390625, 82.390625, 35.296875, 41.1953125, 94.390625, 0.0, 35.296875, 64.6875, 0.0, 0.0, 0.0, 41.1953125, 23.5, 35.296875, 23.5, 23.5, 17.59765625, 22.0, 8.0, 27.0, 12.0, 5.0, "Tous les candidats sauf les Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 46.0, "6173", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6173&g_ta_cod=6173", 44.0, 33.0, 22.0),
(8448, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Double licence - Droit / Histoire - Double Licence mention Droit - mention Histoire", "Licence - Droit-économie-gestion", "Double Licence mention Droit - mention Histoire", 25, 674, 384, 674, 0, 561, 77, 24, 9, 1, 0, 88, 0, 0, 0, 0, 0, 384, 0, 0, 0, 358, 37, 8, 3, 0, 0, 18, 139, 25, 16, 25, 0, 1.0, 23.0, 23.0, 0, 4, 24, 24, 0, 0, 1, 0, 0, 2, 13, 9, 0.0, 24, 0, 0, 0, 0, 7, 15, 4.0, 92.0, 92.0, 64.0, 29.19921875, 62.5, 0, 16.69921875, 96.0, 0.0, 0.0, 8.298828125, 54.1953125, 37.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 133.0, 16.0, 0.0, 0.0, 5.0, "Tous les candidats", 190.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "27436", "Double licence - Droit / Histoire - Double Licence mention Droit - mention Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27436&g_ta_cod=27436", 100.0, 0.0, 0.0),
(8449, "Public", "0910727W", "Lycée Parc de Vilgenis", "91", "Essonne", "Ile-de-France", "Versailles", "Massy", "formation sélective", "BTS", "Lycée Parc de Vilgenis - BTS - Services - Support à l'action managériale", "BTS - Services", "", 34, 966, 671, 763, 0, 12, 1, 227, 82, 293, 159, 231, 203, 9, 94, 0, 100, 312, 3, 0, 0, 6, 1, 99, 36, 148, 74, 59, 190, 33, 24, 30, 3, 3.0, 26.0, 31.0, 0, 7, 19, 2, 10, 7, 14, 0, 7, 10, 2, 0, 0.0, 1, 8, 3, 1, 1, 17, 19, 9.09, 78.79, 93.94, 72.6875, 89.5, 100.0, 5.2998046875, 36.796875, 57.59375, 0.0, 36.796875, 52.59375, 10.5, 0.0, 0.0, 10.5, 5.2998046875, 52.59375, 42.09375, 36.796875, 15.798828125, 5.0, 1.0, 65.0, 33.0, 52.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 149, "Bacheliers technologiques toutes séries", 118, "Liste d'appel propre à cette formation", 36.0, "10883", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10883&g_ta_cod=10883", 12.0, 42.0, 45.0),
(8450, "Public", "0410001D", "Lycée Augustin Thierry", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BTS", "Lycée Augustin Thierry - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 15, 174, 41, 170, 0, 7, 3, 63, 17, 54, 23, 46, 4, 0, 3, 0, 1, 138, 0, 0, 0, 7, 3, 57, 14, 49, 21, 25, 68, 14, 2, 14, 0, 2.0, 11.0, 11.0, 0, 3, 10, 0, 4, 6, 4, 0, 7, 3, 0, 0, 0.0, 0, 1, 2, 3, 0, 10, 10, 14.29, 78.57, 78.57, 14.298828125, 100.0, 100.0, 30, 30.0, 71.390625, 0.0, 70.0, 30.0, 0.0, 0.0, 0.0, 0.0, 0.0, 40.0, 10.0, 60.0, 20.0, 1.0, 1.0, 22.0, 8.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 54.0, "5231", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5231&g_ta_cod=5231", 7.0, 43.0, 50.0),
(8451, "Public", "0670085D", "Lycée Louis Couffignal", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Louis Couffignal - BTS - Production - Conception de produits industriels", "BTS - Production", "", 30, 368, 29, 316, 0, 33, 5, 137, 35, 63, 22, 83, 52, 3, 11, 19, 19, 208, 16, 0, 0, 32, 4, 110, 18, 40, 14, 26, 154, 20, 0, 14, 6, 0.0, 14.0, 18.0, 0, 6, 16, 2, 11, 3, 4, 0, 6, 8, 1, 1, 0.0, 1, 8, 1, 5, 0, 13, 13, 0.0, 70.0, 90.0, 0.0, 81.296875, 81.296875, 31.296875, 37.5, 80.0, 0.0, 37.5, 50.0, 6.2998046875, 6.3, 0.0, 12.5, 6.2998046875, 68.796875, 50.0, 18.796875, 6.2998046875, 28.0, 4.0, 32.0, 11.0, 25.0, "Tous les candidats sauf les Bac professionnels", 168.0, "Bacheliers professionnels toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 65.0, "7935", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7935&g_ta_cod=7935", 10.0, 70.0, 20.0),
(8452, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud-Est et Pacifique - Siamois (Thaï)", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangère, parcours Asie du Sud-Est et Pacifique - Siamois (Thaï)", 65, 190, 156, 126, 0, 66, 18, 11, 2, 2, 1, 47, 64, 13, 3, 3, 45, 126, 42, 0, 0, 66, 18, 11, 2, 2, 1, 47, 162, 57, 49, 42, 15, 22.0, 42.0, 49.0, 0, 9, 27, 20, 7, 0, 30, 0, 16, 6, 3, 2, 0.0, 8, 3, 0, 0, 0, 1, 16, 38.6, 73.68, 85.96, 86.0, 3.69970703125, 59.296875, 0, 33.296875, 47.3984375, 0.0, 59.296875, 22.19921875, 11.099609375, 7.4, 0.0, 74.09375, 29.59765625, 25.8984375, 11.099609375, 0.0, 0.0, 75.0, 19.0, 2.0, 1.0, 72.0, "Tous les candidats", 126.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9398", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud-Est et Pacifique - Siamois (Thaï)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29585&g_ta_cod=9398", 65.0, 25.0, 11.0),
(8453, "Public", "0480514Y", "Lycée agricole de la Lozère site François Rabelais", "48", "Lozère", "Occitanie", "Montpellier", "Saint-Chély-d'Apcher", "formation sélective", "BTS", "Lycée agricole de la Lozère site François Rabelais - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 35, 740, 296, 737, 0, 170, 22, 194, 29, 115, 32, 258, 3, 0, 0, 0, 3, 293, 1, 0, 0, 61, 11, 90, 17, 81, 21, 61, 147, 31, 15, 30, 1, 5.0, 25.0, 27.0, 0, 6, 19, 4, 7, 8, 12, 0, 3, 6, 7, 3, 0.0, 4, 5, 7, 1, 1, 3, 3, 16.13, 80.65, 87.1, 48.3984375, 15.798828125, 15.798828125, 5.2998046875, 31.59765625, 61.296875, 0.0, 15.798828125, 31.59765625, 36.796875, 15.8, 0.0, 21.09765625, 21.09765625, 36.796875, 26.296875, 42.09375, 36.796875, 22.0, 6.0, 38.0, 11.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 27.0, "5811", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5811&g_ta_cod=5811", 29.0, 32.0, 39.0),
(8454, "Privé sous contrat d'association", "0622198C", "Lycée Saint Joseph", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Martin-Boulogne", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Production - Electrotechnique", "BTS - Production", "", 18, 63, 3, 56, 0, 5, 0, 13, 0, 22, 9, 16, 7, 1, 0, 3, 3, 56, 3, 0, 0, 5, 0, 13, 0, 22, 9, 16, 41, 11, 1, 9, 2, 5.0, 7.0, 11.0, 0, 2, 8, 1, 2, 5, 3, 0, 3, 5, 0, 0, 0.0, 1, 1, 3, 5, 0, 8, 8, 45.45, 63.64, 100.0, 9.099609375, 100.0, 100.0, 62.5, 25.0, 72.6875, 0.0, 37.5, 62.5, 0.0, 0.0, 0.0, 12.5, 12.5, 25.0, 12.5, 62.5, 37.5, 1.0, 0.0, 18.0, 9.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 88.0, "7424", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7424&g_ta_cod=7424", 27.0, 18.0, 55.0),
(8455, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence_Las", "Université d'Amiens - Licence - Portail Philosophie - Licence Philosophie Option Sciences Sociales", "Licence - Sciences humaines et sociales", "Licence Philosophie Option Sciences Sociales", 20, 137, 94, 120, 0, 62, 19, 9, 4, 5, 1, 44, 17, 2, 0, 1, 14, 119, 16, 0, 0, 62, 19, 9, 4, 5, 1, 43, 121, 19, 13, 13, 6, 0.0, 11.0, 15.0, 0, 5, 8, 6, 2, 0, 11, 0, 5, 3, 0, 0, 0.0, 2, 1, 0, 0, 0, 2, 2, 0.0, 57.89, 78.95, 68.390625, 25.0, 25.0, 0, 62.5, 42.09375, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 75.0, 25.0, 25.0, 12.5, 0.0, 0.0, 61.0, 18.0, 5.0, 2.0, 47.0, "Tous les candidats", 262.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "28706", "Licence - Portail Philosophie - Licence Philosophie Option Sciences Sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28705&g_ta_cod=28706", 63.0, 16.0, 16.0),
(8456, "Public", "0870590U", "Lycée professionnel agricole", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Magnac-Laval", "formation sélective", "BTS", "Lycée professionnel agricole - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 27, 179, 111, 177, 0, 7, 1, 22, 4, 62, 19, 86, 2, 0, 0, 0, 2, 100, 0, 0, 0, 7, 1, 22, 4, 62, 19, 9, 76, 24, 18, 24, 0, 13.0, 23.0, 24.0, 0, 4, 23, 3, 3, 17, 1, 0, 11, 7, 5, 0, 0.0, 1, 2, 9, 12, 8, 16, 16, 54.17, 95.83, 100.0, 75.0, 69.59375, 69.59375, 52.1953125, 17.3984375, 95.796875, 0.0, 47.796875, 30.3984375, 21.69921875, 0.0, 0.0, 13.0, 4.2998046875, 13.0, 8.69921875, 73.890625, 39.09375, 7.0, 1.0, 43.0, 11.0, 5.0, "Tous les candidats sauf les Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 57, "", 0, "Liste d'appel propre à cette formation", 52.0, "10695", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10695&g_ta_cod=10695", 17.0, 13.0, 71.0),
(8457, "Privé sous contrat d'association", "0790080H", "Lycée Saint Joseph", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Bressuire", "formation sélective", "Autre formation", "Lycée Saint Joseph - DN MADE - Événement - - Spécialité : Evénementiel et scénographie", "DN MADE", "- Spécialité : Evénementiel et scénographie", 18, 244, 214, 244, 0, 73, 8, 70, 10, 48, 6, 53, 0, 0, 0, 0, 0, 219, 0, 0, 0, 67, 7, 67, 10, 44, 5, 41, 98, 19, 18, 19, 0, 0.0, 16.0, 17.0, 0, 1, 16, 4, 5, 7, 3, 0, 2, 9, 4, 1, 0.0, 4, 3, 7, 0, 0, 1, 1, 0.0, 84.21, 89.47, 94.6875, 6.2998046875, 6.2998046875, 0, 6.2998046875, 84.1875, 0.0, 12.5, 56.296875, 25.0, 6.3, 0.0, 25.0, 25.0, 31.296875, 18.796875, 43.796875, 43.796875, 36.0, 4.0, 14.0, 1.0, 12.0, "Tous les candidats", 146.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "24312", "DN MADE - Événement - - Spécialité : Evénementiel et scénographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24312&g_ta_cod=24312", 21.0, 32.0, 47.0),
(8458, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence", "Université de Toulon - Licence - Portail Sciences de la vie - Licence de Biologie", "Licence - Sciences - technologies - santé", "Licence de Biologie", 145, 1774, 1242, 1774, 0, 1199, 204, 129, 28, 12, 5, 434, 0, 0, 0, 0, 0, 1766, 0, 0, 0, 1199, 204, 129, 28, 12, 5, 426, 888, 144, 87, 144, 0, 6.0, 85.0, 113.0, 0, 23, 110, 99, 11, 0, 34, 0, 41, 53, 12, 4, 0.0, 64, 5, 0, 0, 0, 95, 95, 4.17, 59.03, 78.47, 60.3984375, 86.390625, 86.390625, 0, 20.8984375, 76.390625, 0.0, 37.296875, 48.1953125, 10.8984375, 3.6, 0.0, 90.0, 58.1953125, 10.0, 4.5, 0.0, 0.0, 633.0, 102.0, 0.0, 0.0, 217.0, "Tous les candidats", 1180.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 59.0, "10369", "Licence - Portail Sciences de la vie - Licence de Biologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31840&g_ta_cod=10369", 88.0, 12.0, 1.0),
(8459, "Public", "9720350Y", "Lycée Frantz Fanon", "972", "Martinique", "Martinique", "Martinique", "La Trinité", "formation sélective", "CPGE", "Lycée Frantz Fanon - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 30, 73, 31, 72, 33, 0, 0, 71, 30, 0, 0, 1, 1, 0, 1, 0, 0, 62, 1, 31, 54, 0, 0, 62, 25, 0, 0, 0, 61, 25, 9, 24, 1, 12.0, 24.0, 25.0, 13, 11, 25, 0, 25, 0, 0, 1, 6, 12, 4, 2, 0.0, 0, 18, 0, 5, 3, 24, 24, 48.0, 96.0, 100.0, 36.0, 96.0, 96.0, 20, 44.0, 100.0, 4.0, 24.0, 48.0, 16.0, 8.0, 0.0, 0.0, 0.0, 100.0, 72.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 62.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "11806", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11806&g_ta_cod=11806", 0.0, 100.0, 0.0),
(8460, "Public", "0342225J", "Lycée Georges Frêche", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Georges Frêche - BTS - Services - Tourisme", "BTS - Services", "", 58, 1584, 1194, 1574, 0, 362, 105, 373, 132, 354, 189, 485, 10, 0, 4, 0, 6, 871, 5, 0, 0, 274, 76, 230, 73, 176, 84, 191, 289, 45, 37, 42, 3, 5.0, 31.0, 41.0, 0, 16, 35, 8, 15, 12, 10, 0, 6, 16, 8, 5, 0.0, 8, 10, 11, 4, 3, 26, 26, 11.11, 68.89, 91.11, 82.1875, 74.296875, 74.296875, 11.3984375, 45.6953125, 77.796875, 0.0, 17.09765625, 45.6953125, 22.8984375, 14.3, 0.0, 22.8984375, 22.8984375, 42.8984375, 28.59765625, 34.296875, 31.3984375, 40.0, 14.0, 71.0, 35.0, 49.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 118.0, "Bacheliers professionnels toutes séries", 163, "Bacheliers technologiques toutes séries", 245, "Liste d'appel propre à cette formation", 33.0, "12326", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12326&g_ta_cod=12326", 20.0, 49.0, 31.0),
(8461, "Public", "0511884W", "lycée Georges BRIERE", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "lycée Georges BRIERE - Mention complémentaire - Technicien ascensoriste, service et modernisation", "Mention complémentaire", "", 6, 17, 0, 13, 0, 0, 0, 0, 0, 9, 3, 4, 4, 0, 0, 1, 3, 12, 0, 0, 0, 0, 0, 0, 0, 9, 3, 3, 11, 5, 0, 5, 0, 1.0, 5.0, 5.0, 0, 1, 4, 0, 0, 4, 1, 0, 3, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 20.0, 100.0, 100.0, 0.0, 50.0, 50.0, 0, 25.0, 80.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 8.0, 3.0, 3.0, "Tous les candidats", 11.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "18492", "Mention complémentaire - Technicien ascensoriste, service et modernisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18492&g_ta_cod=18492", 0.0, 0.0, 100.0),
(8462, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte - Licence - Economie et gestion - Parcours Classique", "Licence - Droit-économie-gestion", "Classique", 70, 434, 222, 423, 0, 236, 46, 91, 29, 21, 7, 75, 11, 1, 0, 1, 9, 422, 10, 0, 0, 236, 46, 91, 29, 21, 7, 74, 334, 67, 31, 63, 3, 5.0, 58.0, 63.0, 0, 13, 44, 28, 15, 1, 23, 0, 17, 23, 4, 0, 0.0, 19, 7, 1, 0, 0, 43, 43, 7.46, 86.57, 94.03, 46.296875, 97.6875, 97.6875, 0, 29.5, 65.6875, 0.0, 38.59375, 52.296875, 9.099609375, 0.0, 0.0, 63.59375, 43.1953125, 34.09375, 15.8984375, 2.2998046875, 2.2998046875, 182.0, 38.0, 15.0, 5.0, 74.0, "Tous les candidats", 419.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "11720", "Licence - Economie et gestion - Parcours Classique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11720&g_ta_cod=11720", 63.0, 33.0, 4.0),
(8463, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "PASS", "Universite Jean Monnet, Saint-Etienne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 32, 2011, 1319, 2011, 0, 1616, 302, 43, 18, 6, 4, 346, 0, 0, 0, 0, 0, 1965, 0, 0, 0, 1616, 302, 43, 18, 6, 4, 300, 211, 32, 25, 32, 0, 5.0, 27.0, 29.0, 0, 4, 32, 32, 0, 0, 0, 0, 0, 3, 14, 13, 2.0, 32, 0, 0, 0, 0, 23, 23, 15.63, 84.38, 90.63, 78.09375, 71.890625, 71.890625, 0, 12.5, 100.0, 0.0, 0.0, 9.3984375, 43.796875, 40.6, 6.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 199.0, 25.0, 0.0, 0.0, 12.0, "Tous les candidats", 727.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "27886", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27845&g_ta_cod=27886", 100.0, 0.0, 0.0),
(8464, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte - Licence - Information et communication - Parcours Information-Communication", "Licence - Sciences humaines et sociales", "Information-Communication", 100, 500, 333, 392, 0, 200, 42, 75, 21, 13, 5, 104, 108, 17, 12, 3, 76, 390, 79, 0, 0, 200, 42, 75, 21, 13, 5, 102, 429, 70, 38, 53, 17, 14.0, 51.0, 59.0, 0, 9, 41, 24, 12, 5, 29, 0, 22, 14, 5, 0, 0.0, 13, 3, 3, 0, 0, 33, 33, 20.0, 72.86, 84.29, 54.296875, 80.5, 80.5, 0, 22.0, 58.59375, 0.0, 53.6953125, 34.09375, 12.19921875, 0.0, 0.0, 58.5, 31.69921875, 29.296875, 7.2998046875, 12.19921875, 7.2998046875, 204.0, 42.0, 19.0, 6.0, 134.0, "Tous les candidats", 390.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "13888", "Licence - Information et communication - Parcours Information-Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13888&g_ta_cod=13888", 59.0, 27.0, 10.0),
(8465, "Public", "0762049P", "Université de Rouen Normandie - Campus Pasteur Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Pasteur Rouen - Licence - Science politique", "Licence - Droit-économie-gestion", "", 120, 1817, 1050, 1817, 0, 1491, 264, 30, 13, 5, 2, 291, 0, 0, 0, 0, 0, 1813, 0, 0, 0, 1491, 264, 30, 13, 5, 2, 287, 601, 119, 76, 118, 0, 7.0, 88.0, 112.0, 0, 25, 101, 101, 0, 0, 18, 0, 2, 21, 57, 20, 1.0, 99, 0, 0, 0, 0, 72, 72, 5.88, 73.95, 94.12, 63.8984375, 71.296875, 71.296875, 0, 24.796875, 84.890625, 0.0, 2.0, 20.796875, 56.3984375, 19.8, 1.0, 100.0, 98.0, 0.0, 0.0, 0.0, 0.0, 489.0, 96.0, 2.0, 0.0, 104.0, "Tous les candidats", 1023.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "30838", "Licence - Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30838&g_ta_cod=30838", 98.0, 0.0, 0.0),
(8466, "Public", "0420042T", "Lycée Honore D'Urfe", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Honore D'Urfe - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 994, 888, 983, 0, 94, 33, 241, 93, 355, 179, 293, 11, 2, 0, 0, 9, 338, 1, 0, 0, 31, 9, 101, 28, 168, 68, 38, 109, 22, 22, 22, 0, 4.0, 17.0, 18.0, 0, 7, 17, 1, 10, 6, 5, 0, 4, 9, 4, 0, 0.0, 1, 6, 6, 4, 4, 13, 13, 18.18, 77.27, 81.82, 100.0, 76.5, 76.5, 23.5, 41.1953125, 77.296875, 0.0, 23.5, 52.8984375, 23.5, 0.0, 0.0, 5.8994140625, 5.8994140625, 58.796875, 35.296875, 35.296875, 35.296875, 9.0, 4.0, 37.0, 11.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 17.0, "5291", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5291&g_ta_cod=5291", 14.0, 50.0, 36.0),
(8467, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Perrin - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 30, 285, 22, 278, 0, 23, 8, 63, 31, 105, 56, 87, 7, 1, 0, 0, 6, 198, 0, 0, 0, 19, 5, 53, 25, 87, 45, 39, 107, 27, 1, 27, 0, 7.0, 24.0, 27.0, 0, 11, 20, 2, 10, 8, 7, 0, 10, 7, 3, 0, 0.0, 0, 3, 7, 6, 0, 19, 19, 25.93, 88.89, 100.0, 3.69970703125, 95.0, 95.0, 30, 55.0, 74.09375, 0.0, 50.0, 35.0, 15.0, 0.0, 0.0, 10.0, 0.0, 50.0, 15.0, 40.0, 35.0, 10.0, 5.0, 35.0, 16.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 57.0, "2609", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2609&g_ta_cod=2609", 7.0, 48.0, 44.0),
(8468, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Droit", "Licence - Droit-économie-gestion", "", 660, 5442, 3954, 5442, 0, 4235, 707, 364, 96, 50, 19, 793, 0, 0, 0, 0, 0, 5396, 0, 0, 0, 4235, 707, 364, 96, 50, 19, 747, 2030, 658, 468, 658, 0, 364.0, 549.0, 631.0, 0, 114, 567, 511, 48, 8, 91, 3, 139, 247, 154, 21, 3.0, 391, 27, 7, 0, 0, 527, 527, 55.32, 83.43, 95.9, 71.09375, 92.890625, 92.890625, 0, 20.09765625, 86.1875, 0.5, 24.5, 43.59375, 27.19921875, 3.7, 0.5, 90.09375, 69.0, 8.5, 4.7998046875, 1.39990234375, 1.199951171875, 1563.0, 252.0, 18.0, 10.0, 330.0, "Tous les candidats", 2280.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "5583", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5583&g_ta_cod=5583", 89.0, 9.0, 2.0),
(8469, "Privé sous contrat d'association", "0260072M", "Lycée Saint-Louis", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Crest", "formation sélective", "BTS", "Lycée Saint-Louis - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 20, 176, 17, 132, 0, 21, 7, 24, 6, 25, 7, 62, 44, 2, 16, 6, 20, 56, 13, 0, 0, 20, 7, 12, 2, 19, 5, 5, 57, 21, 1, 14, 7, 3.0, 14.0, 20.0, 0, 2, 17, 5, 4, 8, 4, 1, 10, 6, 0, 0, 0.0, 0, 3, 3, 2, 0, 16, 16, 14.29, 66.67, 95.24, 4.7998046875, 94.09375, 94.09375, 11.798828125, 11.798828125, 81.0, 5.8994140625, 58.796875, 35.296875, 0.0, 0.0, 0.0, 29.3984375, 0.0, 23.5, 17.59765625, 47.09375, 17.59765625, 17.0, 4.0, 21.0, 5.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 39.0, "3628", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3628&g_ta_cod=3628", 29.0, 33.0, 38.0),
(8470, "Public", "0680031P", "Lycée Albert Schweitzer", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "CPGE", "Lycée Albert Schweitzer - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 639, 249, 587, 382, 397, 46, 3, 2, 0, 0, 187, 52, 25, 2, 1, 24, 389, 30, 253, 378, 369, 37, 0, 0, 0, 0, 20, 387, 27, 17, 24, 3, 10.0, 24.0, 27.0, 7, 3, 21, 21, 0, 0, 6, 0, 0, 6, 10, 5, 0.0, 21, 0, 0, 2, 2, 18, 18, 37.04, 88.89, 100.0, 63.0, 85.6875, 85.6875, 9.5, 14.298828125, 77.796875, 0.0, 0.0, 28.59765625, 47.59375, 23.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 354.0, 34.0, 0.0, 0.0, 32.0, "Tous les candidats", 389.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "8097", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8097&g_ta_cod=8097", 100.0, 0.0, 0.0),
(8471, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "PASS", "Université des Antilles - Pôle Martinique - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 50, 778, 568, 778, 0, 617, 180, 64, 32, 16, 10, 81, 0, 0, 0, 0, 0, 774, 0, 0, 0, 617, 180, 64, 32, 16, 10, 77, 142, 57, 46, 57, 0, 18.0, 57.0, 57.0, 0, 15, 56, 56, 0, 0, 1, 0, 1, 1, 20, 30, 4.0, 55, 0, 0, 0, 0, 56, 56, 31.58, 100.0, 100.0, 80.6875, 100.0, 100.0, 0, 26.796875, 98.1875, 0.0, 1.7998046875, 1.7998046875, 35.6953125, 53.6, 7.1, 100.0, 98.1875, 0.0, 0.0, 0.0, 0.0, 141.0, 42.0, 0.0, 0.0, 1.0, "Tous les candidats", 239.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "26831", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26824&g_ta_cod=26831", 100.0, 0.0, 0.0),
(8472, "Public", "0500060U", "Lycée agricole St Lô Thère", "50", "Manche", "Normandie", "Normandie", "Pont-Hébert", "formation sélective", "BTS", "Lycée agricole St Lô Thère - BTS - Agricole - productions animales", "BTS - Agricole", "", 29, 258, 139, 256, 0, 46, 4, 73, 17, 42, 11, 95, 2, 0, 0, 2, 0, 182, 0, 0, 0, 30, 1, 71, 15, 42, 11, 39, 103, 24, 13, 24, 0, 6.0, 21.0, 23.0, 0, 3, 18, 2, 13, 3, 6, 0, 5, 9, 4, 0, 0.0, 1, 11, 1, 4, 2, 12, 12, 25.0, 87.5, 95.83, 54.1953125, 66.6875, 66.6875, 22.19921875, 16.69921875, 75.0, 0.0, 27.796875, 50.0, 22.19921875, 0.0, 0.0, 11.099609375, 5.599609375, 72.1875, 61.09375, 16.69921875, 5.599609375, 13.0, 0.0, 25.0, 7.0, 21.0, "Tous les candidats sauf les Bac professionnels", 115.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 59.0, "6002", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6002&g_ta_cod=6002", 33.0, 54.0, 13.0),
(8473, "Public", "9710090W", "Lycée professionnel Bertène Juminer", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Lamentin", "formation sélective", "BTS", "Lycée professionnel Bertène Juminer - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 30, 95, 27, 95, 0, 6, 5, 7, 3, 76, 49, 6, 0, 0, 0, 0, 0, 95, 0, 0, 0, 6, 5, 7, 3, 76, 49, 6, 82, 24, 6, 24, 0, 6.0, 23.0, 24.0, 0, 14, 21, 0, 2, 19, 3, 0, 14, 7, 0, 0, 0.0, 0, 0, 7, 13, 3, 20, 20, 25.0, 95.83, 100.0, 25.0, 95.1875, 95.1875, 61.8984375, 66.6875, 87.5, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 9.5, 0.0, 90.5, 33.296875, 6.0, 5.0, 66.0, 45.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 6, "Liste d'appel propre à cette formation", 98.0, "14135", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14135&g_ta_cod=14135", 0.0, 8.0, 92.0),
(8474, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Langues étrangères appliquées - Parcours Espagnol, Portugais. Espagnol non débutant et Portugais débutant ou non débutant", "Licence - Arts-lettres-langues", "Espagnol, Portugais. Espagnol non débutant et Portugais débutant ou non débutant", 15, 91, 76, 91, 0, 57, 15, 8, 3, 6, 5, 20, 0, 0, 0, 0, 0, 90, 0, 0, 0, 57, 15, 8, 3, 6, 5, 19, 90, 15, 13, 15, 0, 13.0, 15.0, 15.0, 0, 4, 12, 8, 4, 0, 3, 0, 5, 5, 1, 1, 0.0, 5, 2, 0, 0, 0, 7, 7, 86.67, 100.0, 100.0, 86.6875, 58.296875, 58.296875, 0, 33.296875, 80.0, 0.0, 41.6953125, 41.6953125, 8.298828125, 8.3, 0.0, 66.6875, 41.6953125, 33.296875, 16.69921875, 0.0, 0.0, 57.0, 15.0, 6.0, 5.0, 19.0, "Tous les candidats", 90.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "23576", "Licence - Langues étrangères appliquées - Parcours Espagnol, Portugais. Espagnol non débutant et Portugais débutant ou non débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23576&g_ta_cod=23576", 53.0, 33.0, 13.0),
(8475, "Privé sous contrat d'association", "0922563L", "ESILV - Paris la Défense", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Courbevoie", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 25, 226, 18, 226, 0, 0, 0, 226, 27, 0, 0, 0, 0, 0, 0, 0, 0, 120, 0, 0, 0, 0, 0, 120, 8, 0, 0, 0, 84, 28, 1, 28, 0, 25.0, 28.0, 28.0, 0, 1, 28, 0, 28, 0, 0, 0, 0, 5, 17, 6, 0.0, 0, 28, 0, 0, 0, 10, 27, 89.29, 100.0, 100.0, 3.599609375, 35.6953125, 96.390625, 0, 3.599609375, 100.0, 0.0, 0.0, 17.8984375, 60.6953125, 21.4, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "13655", "Formation d'ingénieur Bac + 5 - Bac Série STI2D", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=106&g_ta_cod=13655", 0.0, 100.0, 0.0),
(8476, "Public", "0770938B", "Lycée André Malraux", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Montereau-Fault-Yonne", "formation sélective", "BTS", "Lycée André Malraux - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 24, 265, 14, 265, 0, 3, 0, 36, 18, 93, 42, 133, 0, 0, 0, 0, 0, 166, 0, 0, 0, 3, 0, 36, 18, 93, 42, 34, 84, 24, 0, 24, 0, 3.0, 18.0, 22.0, 0, 11, 18, 0, 5, 13, 6, 0, 10, 7, 1, 0, 0.0, 0, 3, 5, 8, 0, 15, 15, 12.5, 75.0, 91.67, 0.0, 83.296875, 83.296875, 44.3984375, 61.09375, 75.0, 0.0, 55.59375, 38.8984375, 5.599609375, 0.0, 0.0, 0.0, 0.0, 27.796875, 16.69921875, 72.1875, 27.796875, 1.0, 0.0, 58.0, 25.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 87, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 38.0, "9820", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9820&g_ta_cod=9820", 4.0, 21.0, 75.0),
(8477, "Privé sous contrat d'association", "0783455G", "CHEPP du Tremblay sur Mauldre", "78", "Yvelines", "Ile-de-France", "Versailles", "Le Tremblay-sur-Mauldre", "formation sélective", "BTS", "CHEPP du Tremblay sur Mauldre - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 28, 211, 89, 200, 0, 50, 2, 44, 0, 46, 6, 60, 11, 0, 0, 10, 1, 132, 1, 0, 0, 46, 1, 29, 0, 25, 5, 32, 79, 25, 11, 25, 0, 8.0, 21.0, 24.0, 0, 2, 17, 5, 5, 7, 8, 0, 5, 10, 2, 0, 0.0, 4, 4, 4, 5, 1, 11, 11, 32.0, 84.0, 96.0, 44.0, 64.6875, 64.6875, 29.3984375, 11.798828125, 68.0, 0.0, 29.3984375, 58.796875, 11.798828125, 0.0, 0.0, 29.3984375, 23.5, 29.3984375, 23.5, 41.1953125, 23.5, 20.0, 1.0, 25.0, 5.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 45.0, "10099", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10099&g_ta_cod=10099", 36.0, 36.0, 28.0),
(8478, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 230, 1209, 557, 1209, 0, 850, 168, 104, 31, 27, 12, 228, 0, 0, 0, 0, 0, 1209, 0, 0, 0, 850, 168, 104, 31, 27, 12, 228, 1209, 239, 93, 239, 0, 233.0, 238.0, 239.0, 0, 42, 182, 154, 20, 8, 57, 0, 53, 72, 45, 12, 0.0, 111, 10, 8, 0, 0, 146, 146, 97.49, 99.58, 100.0, 38.8984375, 80.1875, 80.1875, 0, 23.09765625, 76.1875, 0.0, 29.09765625, 39.59375, 24.69921875, 6.6, 0.0, 84.59375, 61.0, 11.0, 5.5, 4.3994140625, 4.3994140625, 850.0, 168.0, 27.0, 12.0, 228.0, "Tous les candidats", 1209.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6357", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6357&g_ta_cod=6357", 81.0, 11.0, 7.0),
(8479, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Arts - Parcours Etudes en danse", "Licence - Arts-lettres-langues", "Etudes en danse", 45, 260, 233, 260, 0, 157, 32, 46, 8, 9, 3, 48, 0, 0, 0, 0, 0, 260, 0, 0, 0, 157, 32, 46, 8, 9, 3, 48, 169, 45, 41, 45, 0, 22.0, 33.0, 38.0, 0, 6, 36, 29, 6, 1, 9, 0, 3, 14, 5, 14, 0.0, 26, 6, 1, 0, 0, 16, 16, 48.89, 73.33, 84.44, 91.09375, 44.3984375, 44.3984375, 0, 16.69921875, 80.0, 0.0, 8.298828125, 38.8984375, 13.8984375, 38.9, 0.0, 80.59375, 72.1875, 16.69921875, 16.69921875, 2.7998046875, 2.7998046875, 109.0, 18.0, 1.0, 1.0, 26.0, "Tous les candidats", 192.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "7084", "Licence - Arts - Parcours Etudes en danse", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7084&g_ta_cod=7084", 78.0, 16.0, 7.0),
(8480, "Public", "0171432P", "Lycée professionnel maritime", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BTS", "Lycée professionnel maritime - BTS - Maritime - Pêche et gestion de l'environnement marin", "BTS - Maritime", "", 12, 91, 12, 91, 0, 0, 0, 0, 0, 75, 11, 16, 0, 0, 0, 0, 0, 59, 0, 0, 0, 0, 0, 0, 0, 45, 4, 14, 28, 12, 3, 12, 0, 4.0, 10.0, 11.0, 0, 1, 11, 0, 0, 11, 1, 4, 0, 3, 3, 1, 0.0, 0, 0, 7, 4, 0, 4, 4, 33.33, 83.33, 91.67, 25.0, 36.3984375, 36.3984375, 36.3984375, 9.099609375, 91.6875, 36.3984375, 0.0, 27.296875, 27.296875, 9.1, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 63.59375, 0.0, 0.0, 23.0, 4.0, 5.0, "Tous les candidats sauf les Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 36.0, "24476", "BTS - Maritime - Pêche et gestion de l'environnement marin", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24476&g_ta_cod=24476", 0.0, 8.0, 92.0),
(8481, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langue et culture japonaises", "Licence - Arts-lettres-langues", "Langue et culture japonaises", 763, 1998, 1162, 1417, 0, 688, 209, 104, 44, 89, 52, 536, 581, 102, 37, 34, 408, 1413, 576, 0, 0, 688, 209, 104, 44, 89, 52, 532, 1989, 614, 308, 347, 267, 341.0, 346.0, 524.0, 0, 102, 254, 173, 41, 40, 360, 2, 132, 88, 28, 4, 0.0, 85, 13, 22, 0, 0, 100, 100, 55.54, 56.35, 85.34, 50.1953125, 39.3984375, 39.3984375, 0, 40.1953125, 41.3984375, 0.7999267578125, 52.0, 34.59375, 11.0, 1.6, 0.0, 68.09375, 33.5, 16.09765625, 5.099609375, 15.69921875, 8.69921875, 790.0, 252.0, 123.0, 72.0, 935.0, "Tous les candidats", 1413.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4154", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langue et culture japonaises", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4154&g_ta_cod=4154", 61.0, 21.0, 14.0),
(8482, "Public", "0380027Y", "Lycée Champollion", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "CPGE", "Lycée Champollion - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 986, 452, 986, 720, 872, 63, 1, 1, 1, 0, 112, 0, 0, 0, 0, 0, 515, 0, 202, 473, 513, 31, 0, 0, 0, 0, 2, 198, 22, 12, 22, 0, 4.0, 16.0, 22.0, 5, 1, 22, 22, 0, 0, 0, 0, 0, 0, 9, 11, 2.0, 22, 0, 0, 1, 0, 19, 19, 18.18, 72.73, 100.0, 54.5, 86.390625, 86.390625, 4.5, 4.5, 100.0, 0.0, 0.0, 0.0, 40.8984375, 50.0, 9.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 196.0, 18.0, 0.0, 0.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "31575", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31299&g_ta_cod=31575", 100.0, 0.0, 0.0),
(8483, "Privé enseignement supérieur", "0022134J", "ELISA Aerospace Hauts de France", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "Ecole d'Ingénieur", "PUISSANCE ALPHA BACHELOR - Formation Bac + 3", "Formations  des écoles d'ingénieurs", "Bachelor Hauts de France", 30, 125, 11, 114, 0, 76, 7, 11, 4, 3, 3, 24, 11, 4, 1, 0, 6, 85, 8, 0, 0, 60, 3, 7, 2, 0, 0, 18, 89, 6, 0, 3, 3, 1.0, 3.0, 6.0, 0, 0, 5, 4, 1, 0, 1, 0, 3, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 2, 2, 16.67, 50.0, 100.0, 0.0, 40.0, 40.0, 0, 0.0, 83.296875, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 80.0, 20.0, 20.0, 20.0, 0.0, 0.0, 58.0, 3.0, 0.0, 0.0, 23.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "30820", "Formation Bac + 3", "PUISSANCE ALPHA BACHELOR", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30813&g_ta_cod=30820", 83.0, 17.0, 0.0),
(8484, "Privé sous contrat d'association", "0761343X", "Lycée La Chataigneraie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Mesnil-Esnard", "formation sélective", "BTS", "Lycée La Chataigneraie - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 102, 7, 74, 0, 4, 1, 22, 2, 28, 9, 20, 28, 0, 4, 14, 10, 51, 13, 0, 0, 3, 1, 16, 2, 21, 6, 11, 58, 12, 1, 6, 6, 2.0, 6.0, 10.0, 0, 2, 8, 0, 1, 7, 4, 0, 4, 1, 3, 0, 0.0, 0, 0, 4, 3, 0, 8, 8, 16.67, 50.0, 83.33, 8.298828125, 100.0, 100.0, 37.5, 25.0, 66.6875, 0.0, 50.0, 12.5, 37.5, 0.0, 0.0, 0.0, 0.0, 12.5, 0.0, 87.5, 50.0, 2.0, 1.0, 25.0, 7.0, 15.0, "Tous les candidats sauf les Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 69.0, "9644", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9644&g_ta_cod=9644", 17.0, 8.0, 75.0),
(8485, "Public", "0594365Z", "IUT LITTORAL (DUNKERQUE)", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BUT", "IUT LITTORAL (DUNKERQUE) - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente - Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente - Business développement et management de la relation client", 84, 979, 429, 979, 0, 442, 77, 315, 84, 24, 9, 198, 0, 0, 0, 0, 0, 764, 0, 0, 0, 375, 59, 259, 65, 17, 4, 113, 398, 84, 45, 84, 0, 28.0, 65.0, 81.0, 0, 24, 77, 39, 38, 0, 7, 0, 12, 48, 13, 3, 1.0, 34, 31, 0, 0, 0, 71, 71, 33.33, 77.38, 96.43, 53.59375, 92.1875, 92.1875, 0, 31.19921875, 91.6875, 0.0, 15.599609375, 62.296875, 16.8984375, 3.9, 1.3, 50.59375, 44.1953125, 49.3984375, 40.296875, 0.0, 0.0, 210.0, 40.0, 8.0, 2.0, 33.0, "Tous les candidats sauf les Bac technologiques", 349.0, "Bacheliers technologiques toutes séries", 196, "", 0, "Liste d'appel propre à cette formation", 55.0, "7109", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7109&g_ta_cod=7109", 52.0, 48.0, 0.0),
(8486, "Public", "0650583F", "I.U.T de Tarbes", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BUT", "I.U.T de Tarbes - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", 135, 1550, 730, 1532, 0, 792, 137, 471, 126, 16, 7, 253, 18, 0, 9, 0, 9, 1323, 12, 0, 0, 722, 120, 406, 102, 3, 0, 192, 802, 129, 55, 120, 9, 28.0, 89.0, 113.0, 0, 35, 105, 52, 53, 0, 24, 1, 43, 48, 12, 1, 0.0, 28, 33, 0, 0, 0, 42, 42, 21.71, 68.99, 87.6, 42.59375, 40.0, 40.0, 0, 33.296875, 81.390625, 1.0, 41.0, 45.6953125, 11.3984375, 1.0, 0.0, 49.5, 26.69921875, 50.5, 31.3984375, 0.0, 0.0, 350.0, 71.0, 2.0, 0.0, 113.0, "Tous les candidats sauf les Bac technologiques", 616.0, "Bacheliers technologiques toutes séries", 429, "", 0, "Liste d'appel propre à cette formation", 68.0, "7834", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7834&g_ta_cod=7834", 53.0, 47.0, 0.0),
(8487, "Public", "9720695Y", "Lycée Acajou 2", "972", "Martinique", "Martinique", "Martinique", "Le Lamentin", "formation sélective", "BTS", "Lycée Acajou 2 - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 20, 87, 16, 84, 0, 22, 10, 24, 11, 24, 12, 14, 3, 3, 0, 0, 0, 69, 0, 0, 0, 20, 10, 24, 11, 20, 11, 5, 53, 20, 1, 19, 0, 6.0, 18.0, 19.0, 0, 9, 17, 6, 4, 7, 3, 1, 9, 5, 1, 1, 0.0, 0, 3, 4, 7, 0, 16, 16, 30.0, 90.0, 95.0, 5.0, 94.09375, 94.09375, 41.1953125, 52.8984375, 85.0, 5.8994140625, 52.8984375, 29.3984375, 5.8994140625, 5.9, 0.0, 35.296875, 0.0, 23.5, 17.59765625, 41.1953125, 23.5, 18.0, 7.0, 22.0, 12.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 64.0, "11824", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11824&g_ta_cod=11824", 35.0, 20.0, 45.0),
(8488, "Public", "0750788Z", "Lycée professionnel Marcel Deprez", "75", "Paris", "Ile-de-France", "Paris", "Paris 11e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Marcel Deprez - Mention complémentaire - FCIL classe passerelle BTS option production", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 35, 13, 0, 0, 0, 0.0, 0.0, 0.0, 0, 7, 12, 0, 2, 10, 1, 0, 9, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 12, 12, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 58.296875, 92.296875, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 16.69921875, 0.0, 83.296875, 25.0, 0.0, 0.0, 22.0, 12.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30684", "Mention complémentaire - FCIL classe passerelle BTS option production", "", "", 0.0, 23.0, 77.0),
(8489, "Privé sous contrat d'association", "0160083D", "Lycée Saint Joseph L'Amandier", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Saint-Yrieix-sur-Charente", "formation sélective", "BTS", "Lycée Saint Joseph L'Amandier - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 26, 78, 38, 78, 0, 0, 0, 18, 0, 37, 10, 23, 0, 0, 0, 0, 0, 76, 0, 0, 0, 0, 0, 16, 0, 37, 10, 23, 43, 26, 14, 26, 0, 11.0, 25.0, 25.0, 0, 1, 14, 0, 2, 12, 12, 0, 3, 5, 5, 1, 0.0, 0, 1, 10, 14, 8, 14, 14, 42.31, 96.15, 96.15, 53.796875, 100.0, 100.0, 100, 7.099609375, 53.796875, 0.0, 21.3984375, 35.6953125, 35.6953125, 7.1, 0.0, 0.0, 0.0, 14.298828125, 7.099609375, 85.6875, 71.390625, 0.0, 0.0, 27.0, 6.0, 12.0, "Tous les candidats sauf les Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 55.0, "2996", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2996&g_ta_cod=2996", 31.0, 19.0, 50.0),
(8490, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe débutant", "Licence - Arts-lettres-langues", "Arabe débutant", 80, 341, 222, 240, 0, 62, 40, 15, 11, 39, 29, 124, 101, 9, 13, 10, 69, 236, 96, 0, 0, 62, 40, 15, 11, 39, 29, 120, 313, 76, 47, 47, 29, 23.0, 45.0, 62.0, 0, 18, 25, 9, 6, 10, 51, 0, 11, 11, 2, 1, 0.0, 6, 2, 6, 0, 0, 24, 24, 30.26, 59.21, 81.58, 61.796875, 96.0, 96.0, 0, 72.0, 32.8984375, 0.0, 44.0, 44.0, 8.0, 4.0, 0.0, 36.0, 24.0, 24.0, 8.0, 40.0, 24.0, 68.0, 42.0, 43.0, 34.0, 176.0, "Tous les candidats", 236.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "19191", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Arabe débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19191&g_ta_cod=19191", 43.0, 20.0, 32.0),
(8491, "Public", "0932268K", "Institut National du Patrimoine (département des restaurateurs)", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "Autre formation", "Institut National du Patrimoine (département des restaurateurs) - Conservation-restauration des biens culturels - spécialité Peinture", "Formations Bac + 5", "spécialité Peinture", 3, 54, 50, 54, 0, 8, 2, 5, 2, 2, 0, 39, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 3, 3, 3, 3, 0, 3.0, 3.0, 3.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "28362", "Conservation-restauration des biens culturels - spécialité Peinture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28362&g_ta_cod=28362", 100.0, 0.0, 0.0),
(8492, "Public", "0720017C", "Lycée Polyvalent Robert Garnier", "72", "Sarthe", "Pays de la Loire", "Nantes", "La Ferté-Bernard", "formation sélective", "BTS", "Lycée Polyvalent Robert Garnier - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 464, 236, 447, 0, 19, 5, 48, 13, 46, 23, 334, 17, 2, 8, 0, 7, 98, 4, 0, 0, 13, 3, 37, 9, 35, 18, 13, 70, 16, 11, 15, 1, 3.0, 13.0, 15.0, 0, 6, 13, 0, 4, 9, 3, 0, 3, 6, 4, 0, 0.0, 0, 2, 8, 10, 8, 11, 11, 18.75, 81.25, 93.75, 68.796875, 84.59375, 84.59375, 76.890625, 46.1953125, 81.296875, 0.0, 23.09765625, 46.1953125, 30.796875, 0.0, 0.0, 0.0, 0.0, 30.796875, 15.3984375, 69.1875, 61.5, 10.0, 2.0, 23.0, 10.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 21.0, "8687", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8687&g_ta_cod=8687", 6.0, 25.0, 69.0),
(8493, "Public", "0572027U", "Lycée Rosa Parks", "57", "Moselle", "Grand Est", "Nancy-Metz", "Thionville", "formation sélective", "BTS", "Lycée Rosa Parks - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 355, 233, 311, 0, 14, 1, 128, 42, 100, 43, 69, 44, 0, 20, 4, 20, 146, 5, 0, 0, 5, 1, 80, 27, 50, 19, 11, 110, 26, 21, 23, 3, 7.0, 23.0, 25.0, 0, 7, 25, 1, 11, 13, 1, 0, 5, 12, 8, 0, 0.0, 0, 9, 11, 9, 9, 25, 25, 26.92, 88.46, 96.15, 80.796875, 100.0, 100.0, 36, 28.0, 96.1875, 0.0, 20.0, 48.0, 32.0, 0.0, 0.0, 4.0, 0.0, 44.0, 36.0, 52.0, 44.0, 3.0, 1.0, 42.0, 16.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 44.0, "6592", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6592&g_ta_cod=6592", 4.0, 46.0, 50.0),
(8494, "Public", "0330159U", "Centre de Ressources, d'Expertise et de Performance Sportive Bordeaux-Aquitaine (CREPS)", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive Bordeaux-Aquitaine (CREPS) - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 3, 79, 20, 79, 0, 26, 4, 7, 2, 21, 6, 25, 0, 0, 0, 0, 0, 17, 0, 0, 0, 8, 1, 2, 1, 2, 1, 5, 12, 3, 1, 3, 0, 0.0, 2.0, 3.0, 0, 1, 2, 0, 1, 1, 1, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 0.0, 66.67, 100.0, 33.296875, 50.0, 50.0, 0, 50.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 3.0, 0.0, 2.0, 1.0, 5.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 16.0, "27153", "BPJEPS - Activités aquatiques et de la natation", "Centre de Ressources, d'Expertise et de Performance Sportive Bordeaux-Aquitaine (CREPS)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21272&g_ta_cod=27153", 0.0, 67.0, 33.0),
(8495, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien", "Licence - Arts-lettres-langues", "Italien", 60, 105, 84, 91, 0, 61, 12, 4, 1, 2, 0, 24, 14, 1, 2, 2, 9, 91, 6, 0, 0, 61, 12, 4, 1, 2, 0, 24, 97, 14, 11, 12, 2, 12.0, 12.0, 14.0, 0, 2, 9, 9, 0, 0, 5, 0, 4, 4, 0, 1, 0.0, 5, 0, 0, 0, 0, 8, 8, 85.71, 85.71, 100.0, 78.59375, 88.890625, 88.890625, 0, 22.19921875, 64.296875, 0.0, 44.3984375, 44.3984375, 0.0, 11.1, 0.0, 100.0, 55.59375, 0.0, 0.0, 0.0, 0.0, 61.0, 12.0, 3.0, 1.0, 29.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2895", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2895&g_ta_cod=2895", 86.0, 7.0, 7.0),
(8496, "Public", "0011194T", "Lycée De La Plaine De L'Ain", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Ambérieu-en-Bugey", "formation sélective", "BTS", "Lycée De La Plaine De L'Ain - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 179, 36, 175, 0, 9, 2, 76, 17, 64, 21, 26, 4, 1, 0, 0, 3, 165, 1, 0, 0, 9, 2, 76, 17, 63, 21, 17, 119, 24, 4, 24, 0, 5.0, 15.0, 20.0, 0, 8, 21, 0, 10, 11, 3, 0, 11, 9, 1, 0, 0.0, 0, 3, 7, 4, 1, 20, 20, 20.83, 62.5, 83.33, 16.69921875, 95.1875, 95.1875, 19, 38.09375, 87.5, 0.0, 52.3984375, 42.8984375, 4.7998046875, 0.0, 0.0, 0.0, 0.0, 47.59375, 14.298828125, 52.3984375, 33.296875, 7.0, 3.0, 44.0, 14.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 78.0, "2024", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2024&g_ta_cod=2024", 4.0, 46.0, 50.0),
(8497, "Public", "0920134W", "Lycée Jacques Prevert", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Boulogne-Billancourt", "formation sélective", "BTS", "Lycée Jacques Prevert - BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "BTS - Services", "", 12, 1555, 533, 1555, 0, 626, 75, 150, 29, 204, 58, 575, 0, 0, 0, 0, 0, 147, 0, 0, 0, 48, 3, 2, 0, 88, 24, 9, 26, 12, 4, 12, 0, 5.0, 11.0, 11.0, 0, 2, 12, 7, 1, 4, 0, 0, 0, 2, 5, 4, 1.0, 7, 1, 4, 0, 0, 3, 8, 41.67, 91.67, 91.67, 33.296875, 25.0, 66.6875, 0, 16.69921875, 100.0, 0.0, 0.0, 16.69921875, 41.6953125, 33.3, 8.3, 58.296875, 58.296875, 8.298828125, 8.298828125, 33.296875, 33.296875, 15.0, 2.0, 9.0, 2.0, 1.0, "Tous les candidats sauf les Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 2.0, "10982", "BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10982&g_ta_cod=10982", 58.0, 8.0, 33.0),
(8498, "Privé enseignement supérieur", "0594658T", "Institut National des Formations Notariales (INFN)- site de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Institut National des Formations Notariales (INFN)- site de Lille - BTS - Services - Notariat", "BTS - Services", "", 60, 468, 315, 398, 0, 115, 18, 81, 32, 19, 9, 183, 70, 17, 15, 0, 38, 171, 23, 0, 0, 90, 14, 52, 18, 6, 2, 23, 170, 17, 13, 9, 5, 2.0, 8.0, 10.0, 0, 2, 9, 3, 5, 1, 8, 0, 4, 4, 1, 0, 0.0, 2, 3, 0, 0, 0, 4, 4, 11.76, 47.06, 58.82, 76.5, 44.3984375, 44.3984375, 0, 22.19921875, 52.8984375, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 33.296875, 22.19921875, 55.59375, 33.296875, 11.099609375, 0.0, 95.0, 15.0, 7.0, 2.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 109.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 41.0, "12793", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12793&g_ta_cod=12793", 59.0, 35.0, 6.0),
(8499, "Public", "0240035H", "Lycée Pre De Cordy", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Sarlat-la-Canéda", "formation sélective", "BTS", "Lycée Pre De Cordy - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 16, 82, 4, 73, 0, 3, 0, 17, 2, 40, 10, 13, 9, 0, 2, 6, 1, 72, 3, 0, 0, 3, 0, 17, 2, 40, 10, 12, 60, 8, 0, 7, 1, 1.0, 6.0, 8.0, 0, 4, 6, 0, 2, 4, 2, 0, 3, 3, 0, 0, 0.0, 0, 1, 2, 2, 0, 5, 5, 12.5, 75.0, 100.0, 0.0, 83.296875, 83.296875, 33.296875, 66.6875, 75.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 16.69921875, 66.6875, 33.296875, 1.0, 0.0, 38.0, 11.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 92.0, "19264", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19264&g_ta_cod=19264", 0.0, 25.0, 75.0),
(8500, "Privé sous contrat d'association", "9741596S", "Institut Régional de Formation En Ergothérapie", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "Autre formation", "Institut Régional de Formation En Ergothérapie - D.E Ergothérapeute", "D.E secteur sanitaire", "", 24, 333, 269, 333, 0, 74, 25, 51, 24, 8, 6, 200, 0, 0, 0, 0, 0, 120, 0, 0, 0, 36, 10, 9, 4, 0, 0, 75, 53, 24, 18, 24, 0, 5.0, 12.0, 20.0, 0, 3, 7, 7, 0, 0, 17, 0, 0, 3, 3, 1, 0.0, 7, 0, 0, 0, 0, 7, 7, 20.83, 50.0, 83.33, 75.0, 100.0, 100.0, 0, 42.8984375, 29.19921875, 0.0, 0.0, 42.8984375, 42.8984375, 14.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 17.0, 7.0, 0.0, 0.0, 35.0, "Tous les candidats", 73.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "30891", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30891&g_ta_cod=30891", 92.0, 4.0, 4.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(8501, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "PASS", "Université de Lille - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 105, 5383, 3203, 5383, 0, 4355, 639, 113, 38, 15, 7, 900, 0, 0, 0, 0, 0, 5383, 0, 0, 0, 4355, 639, 113, 38, 15, 7, 900, 770, 103, 56, 103, 0, 52.0, 94.0, 100.0, 0, 16, 101, 100, 1, 0, 2, 0, 0, 1, 35, 57, 8.0, 100, 1, 0, 0, 0, 97, 97, 50.49, 91.26, 97.09, 54.3984375, 96.0, 96.0, 0, 15.798828125, 98.09375, 0.0, 0.0, 1.0, 34.6953125, 56.4, 7.9, 99.0, 99.0, 1.0, 1.0, 0.0, 0.0, 711.0, 95.0, 1.0, 1.0, 56.0, "Tous les candidats", 2704.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "29705", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27162&g_ta_cod=29705", 99.0, 1.0, 0.0),
(8502, "Public", "0390812W", "ENILBIO", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Poligny", "formation sélective", "BTS", "ENILBIO - BTS - Production - Bioqualité", "BTS - Production", "", 19, 166, 106, 163, 0, 27, 1, 62, 12, 15, 4, 59, 3, 1, 0, 1, 1, 118, 2, 0, 0, 27, 1, 58, 10, 15, 4, 18, 84, 17, 14, 15, 2, 1.0, 13.0, 16.0, 0, 2, 14, 4, 7, 3, 3, 0, 5, 8, 1, 0, 0.0, 1, 6, 2, 0, 0, 10, 10, 5.88, 76.47, 94.12, 82.390625, 71.390625, 71.390625, 0, 14.298828125, 82.390625, 0.0, 35.6953125, 57.09375, 7.099609375, 0.0, 0.0, 28.59765625, 7.099609375, 50.0, 42.8984375, 21.3984375, 14.298828125, 20.0, 0.0, 8.0, 1.0, 11.0, "Tous les candidats sauf les Bac professionnels", 96.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 69.0, "23915", "BTS - Production - Bioqualité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23915&g_ta_cod=23915", 35.0, 41.0, 24.0),
(8503, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation non sélective", "Licence", "Université Claude Bernard Lyon 1 - Licence - Portail portail Physique / Chimie / Sciences de l'Ingénieur", "Licence - Sciences - technologies - santé", "portail Physique / Chimie / Sciences de l'Ingénieur", 500, 5488, 2226, 5320, 0, 3288, 488, 296, 81, 20, 14, 1716, 168, 25, 7, 3, 133, 5290, 134, 0, 0, 3288, 488, 296, 81, 20, 14, 1686, 2991, 481, 191, 385, 94, 5.0, 210.0, 355.0, 0, 69, 222, 194, 24, 4, 259, 3, 85, 90, 36, 8, 0.0, 117, 13, 4, 0, 0, 165, 165, 1.04, 43.66, 73.8, 39.6953125, 74.296875, 74.296875, 0, 31.09765625, 46.1953125, 1.39990234375, 38.296875, 40.5, 16.19921875, 3.6, 0.0, 87.390625, 52.6953125, 10.798828125, 5.8994140625, 1.7998046875, 1.7998046875, 1723.0, 301.0, 14.0, 10.0, 1173.0, "Tous les candidats", 4585.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 78.0, "8344", "Licence - Portail portail Physique / Chimie / Sciences de l'Ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27058&g_ta_cod=8344", 88.0, 10.0, 1.0),
(8504, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 150, 1248, 716, 1193, 0, 821, 166, 138, 44, 13, 9, 221, 55, 5, 5, 1, 44, 1191, 40, 0, 0, 821, 166, 138, 44, 13, 9, 219, 817, 144, 82, 123, 20, 11.0, 113.0, 123.0, 0, 25, 102, 90, 12, 0, 42, 0, 46, 39, 13, 4, 0.0, 54, 2, 0, 0, 0, 74, 74, 7.64, 78.47, 85.42, 56.8984375, 72.5, 72.5, 0, 24.5, 70.796875, 0.0, 45.09375, 38.1953125, 12.69921875, 3.9, 0.0, 88.1875, 52.8984375, 11.798828125, 2.0, 0.0, 0.0, 571.0, 109.0, 7.0, 6.0, 178.0, "Tous les candidats", 1189.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "23310", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23310&g_ta_cod=23310", 84.0, 14.0, 1.0),
(8505, "Public", "0595876S", "Sciences Po Lille - Institut d'études politiques", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Sciences Po Lille ? Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Double diplôme Franco-Britannique", "Sciences politiques", "Double diplôme Franco-Britannique", 18, 376, 264, 376, 0, 247, 34, 0, 0, 0, 0, 129, 0, 0, 0, 0, 0, 49, 0, 0, 0, 27, 5, 0, 0, 0, 0, 22, 34, 23, 16, 23, 0, 14.0, 21.0, 21.0, 0, 2, 12, 12, 0, 0, 11, 0, 0, 0, 1, 10, 1.0, 12, 0, 0, 0, 0, 4, 4, 60.87, 91.3, 91.3, 69.59375, 33.296875, 33.296875, 0, 16.69921875, 52.1953125, 0.0, 0.0, 0.0, 8.298828125, 83.3, 8.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 20.0, 5.0, 0.0, 0.0, 14.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "25834", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Double diplôme Franco-Britannique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25834&g_ta_cod=25834", 100.0, 0.0, 0.0),
(8506, "Public", "0450050K", "Lycée Jean ZAY", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Jean ZAY - BTS - Services - Commerce International", "BTS - Services", "", 34, 1242, 700, 1242, 0, 314, 79, 355, 158, 177, 91, 396, 0, 0, 0, 0, 0, 637, 0, 0, 0, 227, 59, 232, 99, 86, 43, 92, 119, 35, 26, 35, 0, 9.0, 35.0, 35.0, 0, 12, 33, 12, 17, 4, 2, 0, 5, 17, 11, 0, 0.0, 10, 14, 4, 6, 3, 31, 31, 25.71, 100.0, 100.0, 74.296875, 93.890625, 93.890625, 18.19921875, 36.3984375, 94.296875, 0.0, 15.19921875, 51.5, 33.296875, 0.0, 0.0, 36.3984375, 30.296875, 51.5, 42.3984375, 12.099609375, 12.099609375, 48.0, 10.0, 19.0, 7.0, 13.0, "Tous les candidats sauf les Bac professionnels", 158.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 15.0, "5656", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5656&g_ta_cod=5656", 40.0, 49.0, 11.0),
(8507, "Public", "9710002A", "LGT Gerville Reache", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "BTS", "LGT Gerville Reache - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 32, 450, 248, 450, 0, 99, 50, 162, 87, 129, 87, 60, 0, 0, 0, 0, 0, 450, 0, 0, 0, 99, 50, 162, 87, 129, 87, 60, 119, 30, 17, 30, 0, 9.0, 27.0, 30.0, 0, 16, 27, 5, 11, 11, 3, 0, 6, 12, 7, 2, 0.0, 4, 6, 11, 4, 3, 27, 27, 30.0, 90.0, 100.0, 56.6953125, 100.0, 100.0, 14.798828125, 59.296875, 90.0, 0.0, 22.19921875, 44.3984375, 25.8984375, 7.4, 0.0, 18.5, 14.798828125, 40.6953125, 22.19921875, 40.6953125, 40.6953125, 34.0, 20.0, 23.0, 17.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 78.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 44.0, "11730", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11730&g_ta_cod=11730", 17.0, 47.0, 37.0),
(8508, "Privé sous contrat d'association", "0421020F", "Lycée La Salle", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée La Salle - BTS - Services - Commerce International", "BTS - Services", "", 34, 438, 217, 438, 0, 154, 32, 111, 28, 27, 8, 146, 0, 0, 0, 0, 0, 216, 0, 0, 0, 105, 19, 62, 14, 13, 3, 36, 122, 34, 17, 33, 0, 12.0, 28.0, 31.0, 0, 4, 27, 18, 6, 3, 7, 0, 11, 12, 4, 0, 0.0, 11, 3, 2, 2, 0, 20, 20, 35.29, 82.35, 91.18, 50.0, 74.09375, 74.09375, 7.3994140625, 14.798828125, 79.390625, 0.0, 40.6953125, 44.3984375, 14.798828125, 0.0, 0.0, 66.6875, 40.6953125, 22.19921875, 11.099609375, 11.099609375, 7.3994140625, 62.0, 8.0, 8.0, 2.0, 21.0, "Tous les candidats sauf les Bac professionnels", 143.0, "Bacheliers professionnels toutes séries", 9, "", 0, "Liste d'appel propre à cette formation", 35.0, "5323", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5323&g_ta_cod=5323", 71.0, 18.0, 12.0),
(8509, "Public", "0330026Z", "Lycée Francois Magendie", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Autre formation", "Lycée Francois Magendie - DN MADE - Objet - - Spécialité : Design et matériaux innovants : le bois et ses dérivés", "DN MADE", "- Spécialité : Design et matériaux innovants : le bois et ses dérivés", 15, 292, 166, 292, 0, 99, 13, 79, 17, 14, 0, 100, 0, 0, 0, 0, 0, 180, 0, 0, 0, 73, 7, 59, 11, 12, 0, 36, 61, 15, 10, 15, 0, 0.0, 11.0, 15.0, 0, 0, 14, 10, 3, 1, 1, 1, 0, 7, 5, 1, 0.0, 9, 3, 1, 0, 0, 3, 3, 0.0, 73.33, 100.0, 66.6875, 21.3984375, 21.3984375, 0, 0.0, 93.296875, 7.099609375, 0.0, 50.0, 35.6953125, 7.1, 0.0, 71.390625, 64.296875, 21.3984375, 21.3984375, 7.099609375, 7.099609375, 27.0, 1.0, 1.0, 0.0, 9.0, "Tous les candidats", 103.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "24288", "DN MADE - Objet - - Spécialité : Design et matériaux innovants : le bois et ses dérivés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24288&g_ta_cod=24288", 73.0, 20.0, 7.0),
(8510, "Privé sous contrat d'association", "0595653Z", "INSTITUT PEDICURIE PODOLOGIE REGION SANITAIRE DE LILLE", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "INSTITUT PEDICURIE PODOLOGIE REGION SANITAIRE DE LILLE - D.E Pédicure-Podologue", "D.E secteur sanitaire", "", 55, 361, 275, 361, 0, 100, 15, 36, 6, 1, 0, 224, 0, 0, 0, 0, 0, 361, 0, 0, 0, 100, 15, 36, 6, 1, 0, 224, 152, 53, 36, 53, 0, 20.0, 39.0, 42.0, 0, 3, 21, 16, 5, 0, 32, 0, 5, 8, 7, 1, 0.0, 12, 4, 0, 0, 0, 14, 14, 37.74, 73.58, 79.25, 67.890625, 66.6875, 66.6875, 0, 14.298828125, 39.59375, 0.0, 23.796875, 38.09375, 33.296875, 4.8, 0.0, 76.1875, 57.09375, 23.796875, 19.0, 0.0, 0.0, 43.0, 9.0, 0.0, 0.0, 96.0, "Tous les candidats", 139.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "26058", "D.E Pédicure-Podologue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26058&g_ta_cod=26058", 83.0, 15.0, 2.0),
(8511, "Public", "0320039U", "L.E.G.T.A. Beaulieu-Lavacant", "32", "Gers", "Occitanie", "Toulouse", "Auch", "formation sélective", "BTS", "L.E.G.T.A. Beaulieu-Lavacant - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 19, 380, 131, 372, 0, 37, 5, 58, 9, 24, 6, 253, 8, 2, 0, 1, 5, 144, 2, 0, 0, 37, 5, 58, 9, 24, 6, 25, 80, 11, 2, 11, 0, 3.0, 11.0, 11.0, 0, 2, 7, 1, 4, 2, 4, 0, 4, 3, 0, 0, 0.0, 0, 1, 2, 1, 0, 6, 6, 27.27, 100.0, 100.0, 18.19921875, 85.6875, 85.6875, 14.298828125, 28.59765625, 63.59375, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 14.298828125, 0.0, 57.09375, 14.298828125, 28.59765625, 28.59765625, 17.0, 2.0, 16.0, 3.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 37.0, "4252", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4252&g_ta_cod=4252", 36.0, 45.0, 18.0),
(8512, "Public", "0721692Y", "CREPS Pays de la Loire - Antenne de Sable sur Sarthe", "72", "Sarthe", "Pays de la Loire", "Nantes", "Sablé-sur-Sarthe", "formation sélective", "Autre formation", "CREPS Pays de la Loire - Antenne de Sable sur Sarthe - BPJEPS - Activités sports collectifs", "BPJEPS", "", 4, 207, 34, 207, 0, 54, 8, 55, 7, 53, 18, 45, 0, 0, 0, 0, 0, 12, 0, 0, 0, 7, 1, 3, 0, 1, 0, 1, 11, 2, 1, 2, 0, 1.0, 1.0, 2.0, 0, 0, 2, 1, 0, 1, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 50.0, 50.0, 100.0, 50.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 6.0, 1.0, 1.0, 0.0, 1.0, "Tous les candidats", 11.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "26585", "BPJEPS - Activités sports collectifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26585&g_ta_cod=26585", 50.0, 0.0, 50.0),
(8513, "Public", "0772120L", "Lycée Jean Moulin", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Torcy", "formation sélective", "Autre formation", "Lycée Jean Moulin - CPES - Scientifique", "Classe préparatoire aux études supérieures", "", 25, 161, 45, 134, 0, 100, 22, 2, 2, 1, 1, 31, 27, 14, 1, 1, 11, 75, 6, 0, 0, 64, 15, 1, 1, 0, 0, 10, 89, 11, 3, 8, 1, 4.0, 8.0, 10.0, 0, 2, 9, 8, 1, 0, 2, 0, 1, 3, 2, 3, 0.0, 7, 1, 0, 0, 0, 7, 7, 36.36, 72.73, 90.91, 27.296875, 77.796875, 77.796875, 0, 22.19921875, 81.796875, 0.0, 11.099609375, 33.296875, 22.19921875, 33.3, 0.0, 88.890625, 77.796875, 11.099609375, 11.099609375, 0.0, 0.0, 76.0, 16.0, 0.0, 0.0, 12.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "9861", "CPES - Scientifique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9861&g_ta_cod=9861", 91.0, 9.0, 0.0),
(8514, "Privé sous contrat d'association", "0150688S", "MFR de Saint-Flour", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Saint-Flour", "formation sélective", "BTS", "MFR de Saint-Flour - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 18, 107, 90, 106, 0, 32, 5, 17, 4, 44, 16, 13, 1, 0, 0, 0, 1, 26, 0, 0, 0, 7, 2, 2, 0, 14, 5, 3, 25, 13, 12, 13, 0, 12.0, 13.0, 13.0, 0, 3, 11, 5, 0, 6, 2, 0, 4, 6, 1, 0, 0.0, 2, 0, 5, 1, 1, 1, 1, 92.31, 100.0, 100.0, 92.296875, 9.099609375, 9.099609375, 9.099609375, 27.296875, 84.59375, 0.0, 36.3984375, 54.5, 9.099609375, 0.0, 0.0, 45.5, 18.19921875, 0.0, 0.0, 54.5, 45.5, 6.0, 2.0, 14.0, 5.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 2, "Liste d'appel propre à cette formation", 24.0, "2963", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2963&g_ta_cod=2963", 54.0, 0.0, 46.0),
(8515, "Public", "0811002Z", "IFSI CHIC Castres Mazamet", "81", "Tarn", "Occitanie", "Toulouse", "Castres", "formation sélective", "IFSI", "Regroupement d'IFSI Université Toulouse - D.E Infirmier", "D.E secteur sanitaire", "", 55, 6204, 5248, 6204, 0, 914, 184, 1123, 310, 770, 295, 3397, 0, 0, 0, 0, 0, 3860, 0, 0, 0, 830, 161, 768, 198, 434, 159, 1828, 953, 55, 47, 55, 0, 1.0, 14.0, 38.0, 0, 10, 34, 16, 11, 7, 21, 0, 10, 11, 12, 1, 0.0, 8, 10, 6, 0, 0, 20, 20, 1.82, 25.45, 69.09, 85.5, 58.796875, 58.796875, 0, 29.3984375, 61.796875, 0.0, 29.3984375, 32.3984375, 35.296875, 2.9, 0.0, 47.09375, 23.5, 32.3984375, 29.3984375, 20.59765625, 17.59765625, 334.0, 62.0, 57.0, 22.0, 436.0, "Tous les candidats", 3083.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "23256", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22985&g_ta_cod=23256", 65.0, 22.0, 13.0),
(8516, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Administration et Echanges internationaux - Parcours International Business", "Licence - Droit-économie-gestion", "International Business", 90, 3206, 2183, 3206, 0, 1955, 590, 399, 169, 43, 25, 809, 0, 0, 0, 0, 0, 1163, 0, 0, 0, 963, 252, 19, 9, 0, 0, 181, 455, 89, 75, 89, 0, 24.0, 64.0, 77.0, 0, 24, 73, 70, 3, 0, 16, 0, 2, 16, 38, 17, 0.0, 68, 3, 0, 0, 0, 27, 41, 26.97, 71.91, 86.52, 84.296875, 37.0, 56.1953125, 0, 32.8984375, 82.0, 0.0, 2.69970703125, 21.8984375, 52.09375, 23.3, 0.0, 95.890625, 93.1875, 4.099609375, 4.099609375, 0.0, 0.0, 357.0, 103.0, 0.0, 0.0, 79.0, "Tous les candidats", 684.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "17698", "Licence - Administration et Echanges internationaux - Parcours International Business", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17698&g_ta_cod=17698", 97.0, 3.0, 0.0),
(8517, "Public", "0690040U", "Lycée Hector Guimard", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "BTS", "Lycée Hector Guimard - BTS - Production - Conception de processus de découpe et d'emboutissage", "BTS - Production", "", 12, 131, 16, 111, 0, 10, 1, 31, 9, 21, 14, 49, 20, 0, 12, 2, 6, 62, 5, 0, 0, 10, 1, 25, 6, 14, 8, 13, 51, 11, 1, 9, 2, 1.0, 8.0, 10.0, 0, 3, 6, 1, 2, 3, 5, 0, 3, 3, 0, 0, 0.0, 0, 1, 2, 3, 0, 5, 5, 9.09, 72.73, 90.91, 9.099609375, 83.296875, 83.296875, 50, 50.0, 54.5, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 16.69921875, 0.0, 33.296875, 16.69921875, 50.0, 33.296875, 6.0, 1.0, 14.0, 7.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 52.0, "21676", "BTS - Production - Conception de processus de découpe et d'emboutissage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21676&g_ta_cod=21676", 27.0, 45.0, 27.0),
(8518, "Public", "0760023M", "Lycée Jehan Ango", "76", "Seine-Maritime", "Normandie", "Normandie", "Dieppe", "formation sélective", "BTS", "Lycée Jehan Ango - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 147, 94, 114, 0, 16, 3, 45, 17, 30, 15, 23, 33, 4, 5, 10, 14, 90, 14, 0, 0, 15, 3, 36, 14, 28, 14, 11, 93, 22, 16, 15, 7, 5.0, 15.0, 21.0, 0, 8, 19, 4, 7, 8, 3, 0, 10, 7, 1, 1, 0.0, 1, 2, 6, 6, 5, 16, 16, 22.73, 68.18, 95.45, 72.6875, 84.1875, 84.1875, 31.59765625, 42.09375, 86.390625, 0.0, 52.59375, 36.796875, 5.2998046875, 5.3, 0.0, 21.09765625, 5.2998046875, 36.796875, 10.5, 42.09375, 31.59765625, 12.0, 3.0, 34.0, 20.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 76.0, "9559", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9559&g_ta_cod=9559", 27.0, 36.0, 36.0),
(8519, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Histoire de l'art et archéologie", "Licence - Arts-lettres-langues", "", 280, 1593, 1174, 1355, 0, 846, 164, 103, 14, 45, 14, 361, 238, 54, 17, 15, 152, 1353, 201, 0, 0, 846, 164, 103, 14, 45, 14, 359, 1441, 249, 195, 180, 69, 95.0, 179.0, 226.0, 0, 32, 146, 119, 15, 12, 103, 3, 62, 45, 32, 4, 0.0, 71, 4, 6, 0, 0, 84, 84, 38.15, 71.89, 90.76, 78.296875, 57.5, 57.5, 0, 21.8984375, 58.59375, 2.099609375, 42.5, 30.796875, 21.8984375, 2.7, 0.0, 81.5, 48.59375, 10.298828125, 2.69970703125, 8.19921875, 4.099609375, 838.0, 162.0, 55.0, 16.0, 433.0, "Tous les candidats", 1354.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4748", "Licence - Histoire de l'art et archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4748&g_ta_cod=4748", 75.0, 14.0, 9.0),
(8520, "Public", "0711064W", "Lycée Militaire d'Autun", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Autun", "formation sélective", "Autre formation", "Lycée Militaire d'Autun - CPES - Sciences économiques", "Classe préparatoire aux études supérieures", "", 16, 136, 30, 136, 0, 123, 21, 3, 1, 0, 0, 10, 0, 0, 0, 0, 0, 85, 0, 0, 0, 85, 11, 0, 0, 0, 0, 0, 34, 16, 4, 16, 0, 8.0, 15.0, 15.0, 0, 6, 16, 16, 0, 0, 0, 0, 5, 9, 2, 0, 0.0, 11, 0, 0, 0, 0, 1, 1, 50.0, 93.75, 93.75, 25.0, 6.2998046875, 6.2998046875, 0, 37.5, 100.0, 0.0, 31.296875, 56.296875, 12.5, 0.0, 0.0, 100.0, 68.796875, 0.0, 0.0, 0.0, 0.0, 34.0, 11.0, 0.0, 0.0, 0.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "8650", "CPES - Sciences économiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8650&g_ta_cod=8650", 100.0, 0.0, 0.0),
(8521, "Public", "0912417H", "Université Paris-Saclay, Campus d-Evry", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "Licence", "Université Paris-Saclay, Campus d?Evry - Licence - Double diplôme - Licence Informatique, Sciences de la vie - Parcours Licence Double-Diplôme Informatique, Sciences de la vie", "Licence - Sciences - technologies - santé", "Parcours Licence Double-Diplôme Informatique, Sciences de la vie", 30, 775, 349, 256, 0, 162, 37, 7, 0, 2, 2, 85, 519, 199, 21, 4, 295, 137, 24, 0, 0, 103, 25, 1, 0, 1, 1, 32, 134, 25, 11, 15, 10, 5.0, 14.0, 19.0, 0, 3, 15, 15, 0, 0, 10, 0, 2, 4, 6, 3, 0.0, 13, 0, 0, 0, 0, 4, 7, 20.0, 56.0, 76.0, 44.0, 26.69921875, 46.6953125, 0, 20.0, 60.0, 0.0, 13.298828125, 26.69921875, 40.0, 20.0, 0.0, 100.0, 86.6875, 0.0, 0.0, 0.0, 0.0, 95.0, 17.0, 0.0, 0.0, 39.0, "Tous les candidats", 136.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "28930", "Licence - Double diplôme - Licence Informatique, Sciences de la vie - Parcours Licence Double-Diplôme Informatique, Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28930&g_ta_cod=28930", 100.0, 0.0, 0.0),
(8522, "Privé enseignement supérieur", "0752792C", "IPAG Business School - Campus de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Programme Grande Ecole", 280, 3625, 1592, 3577, 0, 3053, 135, 249, 13, 7, 2, 268, 48, 22, 2, 0, 24, 3441, 22, 0, 0, 2967, 123, 224, 11, 3, 2, 247, 3463, 161, 78, 154, 7, 153.0, 154.0, 157.0, 0, 11, 141, 130, 11, 0, 20, 0, 73, 52, 14, 2, 0.0, 62, 6, 0, 0, 0, 30, 104, 95.03, 95.65, 97.52, 48.3984375, 21.296875, 73.796875, 0, 7.7998046875, 87.59375, 0.0, 51.796875, 36.8984375, 9.8984375, 1.4, 0.0, 92.1875, 44.0, 7.7998046875, 4.2998046875, 0.0, 0.0, 2978.0, 123.0, 3.0, 2.0, 257.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "26116", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26116", 91.0, 9.0, 0.0),
(8523, "Public", "0470019R", "Lycée agricole DE SAINTE LIVRADE", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Sainte-Livrade-sur-Lot", "formation sélective", "BTS", "Lycée agricole DE SAINTE LIVRADE - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 20, 210, 113, 198, 0, 9, 1, 38, 11, 60, 16, 91, 12, 1, 5, 2, 4, 102, 3, 0, 0, 7, 1, 32, 8, 54, 13, 9, 63, 17, 11, 16, 1, 6.0, 14.0, 17.0, 0, 4, 15, 0, 7, 8, 2, 0, 4, 9, 2, 0, 0.0, 0, 5, 6, 2, 2, 11, 11, 35.29, 82.35, 100.0, 64.6875, 73.296875, 73.296875, 13.298828125, 26.69921875, 88.1875, 0.0, 26.69921875, 60.0, 13.298828125, 0.0, 0.0, 0.0, 0.0, 46.6953125, 33.296875, 53.296875, 40.0, 3.0, 1.0, 29.0, 9.0, 8.0, "Tous les candidats sauf les Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 54, "", 0, "Liste d'appel propre à cette formation", 48.0, "5773", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5773&g_ta_cod=5773", 6.0, 41.0, 53.0),
(8524, "Public", "0220057T", "Lycée Ernest Renan", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée Ernest Renan - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 53, 548, 488, 514, 0, 32, 7, 149, 39, 196, 59, 137, 34, 6, 8, 4, 16, 340, 5, 0, 0, 25, 4, 121, 31, 148, 43, 46, 193, 35, 33, 32, 1, 16.0, 23.0, 32.0, 0, 7, 31, 1, 13, 17, 4, 0, 10, 14, 6, 1, 0.0, 0, 9, 12, 4, 4, 31, 31, 45.71, 65.71, 91.43, 94.296875, 100.0, 100.0, 12.8984375, 22.59765625, 88.59375, 0.0, 32.296875, 45.1953125, 19.3984375, 3.2, 0.0, 3.19970703125, 0.0, 41.8984375, 29.0, 54.796875, 38.6953125, 16.0, 3.0, 91.0, 27.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 155, "Bacheliers technologiques toutes séries", 140, "Liste d'appel propre à cette formation", 65.0, "3320", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3320&g_ta_cod=3320", 11.0, 37.0, 51.0),
(8525, "Public", "0930127H", "Lycée Clemenceau", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villemomble", "formation sélective", "BTS", "Lycée Clemenceau - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1400, 649, 1400, 0, 87, 36, 441, 201, 445, 231, 427, 0, 0, 0, 0, 0, 572, 0, 0, 0, 87, 36, 164, 67, 211, 113, 110, 160, 31, 11, 31, 0, 2.0, 22.0, 28.0, 0, 13, 28, 6, 11, 11, 3, 0, 11, 15, 2, 0, 0.0, 0, 9, 8, 8, 1, 28, 28, 6.45, 70.97, 90.32, 35.5, 100.0, 100.0, 28.59765625, 46.3984375, 90.296875, 0.0, 39.296875, 53.59375, 7.099609375, 0.0, 0.0, 21.3984375, 0.0, 39.296875, 32.09375, 39.296875, 28.59765625, 29.0, 14.0, 51.0, 29.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 127, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 17.0, "11198", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11198&g_ta_cod=11198", 19.0, 39.0, 42.0),
(8526, "Public", "0020032Z", "Lycée Paul Claudel", "02", "Aisne", "Hauts-de-France", "Amiens", "Laon", "formation sélective", "BTS", "Lycée Paul Claudel - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 634, 117, 586, 0, 53, 10, 70, 24, 58, 20, 405, 48, 0, 0, 31, 17, 117, 2, 0, 0, 20, 3, 37, 11, 38, 12, 22, 70, 29, 1, 27, 2, 11.0, 27.0, 29.0, 0, 4, 18, 0, 6, 12, 11, 0, 5, 10, 2, 1, 0.0, 0, 6, 7, 1, 0, 17, 17, 37.93, 93.1, 100.0, 3.39990234375, 94.390625, 94.390625, 5.599609375, 22.19921875, 62.09375, 0.0, 27.796875, 55.59375, 11.099609375, 5.6, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 38.8984375, 0.0, 0.0, 30.0, 12.0, 20.0, "Tous les candidats sauf les Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 16.0, "2049", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2049&g_ta_cod=2049", 24.0, 24.0, 52.0),
(8527, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "Licence_Las", "Université des Antilles - Pôle Guadeloupe - Licence - Portail Mathématiques - Application des sciences / Mathématiques pour l'enseignement  - Guadeloupe", "Licence - Sciences - technologies - santé", "Application des sciences / Mathématiques pour l'enseignement  - Guadeloupe", 15, 108, 59, 73, 0, 49, 13, 6, 3, 0, 0, 18, 35, 20, 0, 1, 14, 73, 35, 0, 0, 49, 13, 6, 3, 0, 0, 18, 88, 10, 7, 4, 6, 0.0, 4.0, 8.0, 0, 1, 5, 3, 1, 1, 5, 0, 4, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 0.0, 40.0, 80.0, 70.0, 40.0, 40.0, 0, 20.0, 50.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 60.0, 20.0, 20.0, 0.0, 20.0, 0.0, 59.0, 16.0, 1.0, 1.0, 23.0, "Tous les candidats", 148.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27416", "Licence - Portail Mathématiques - Application des sciences / Mathématiques pour l'enseignement  - Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27415&g_ta_cod=27416", 70.0, 20.0, 10.0),
(8528, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "PASS", "Université de Paris - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 160, 7163, 5052, 7163, 0, 5322, 1133, 147, 68, 55, 28, 1639, 0, 0, 0, 0, 0, 7156, 0, 0, 0, 5322, 1133, 147, 68, 55, 28, 1632, 1526, 153, 115, 153, 0, 1.0, 79.0, 136.0, 0, 29, 135, 135, 0, 0, 18, 0, 1, 23, 77, 33, 1.0, 134, 0, 0, 0, 0, 45, 119, 0.65, 51.63, 88.89, 75.1875, 33.296875, 88.09375, 0, 21.5, 88.1875, 0.0, 0.699951171875, 17.0, 57.0, 24.4, 0.7, 100.0, 99.296875, 0.0, 0.0, 0.0, 0.0, 1327.0, 273.0, 0.0, 0.0, 198.0, "Tous les candidats", 6114.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "28097", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28111&g_ta_cod=28097", 99.0, 0.0, 1.0),
(8529, "Privé enseignement supérieur", "0251746M", "IRTS de Franche-Comté", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "EFTS", "IRTS de Franche-Comté - D.E Assistant de Service Social", "D.E secteur social", "", 27, 101, 95, 101, 0, 23, 4, 26, 7, 5, 1, 47, 0, 0, 0, 0, 0, 79, 0, 0, 0, 19, 3, 22, 7, 4, 0, 34, 59, 34, 34, 34, 0, 17.0, 33.0, 33.0, 0, 3, 15, 7, 7, 1, 19, 0, 5, 8, 2, 0, 0.0, 5, 4, 1, 0, 0, 14, 14, 50.0, 97.06, 97.06, 100.0, 93.296875, 93.296875, 0, 20.0, 44.09375, 0.0, 33.296875, 53.296875, 13.298828125, 0.0, 0.0, 46.6953125, 33.296875, 46.6953125, 26.69921875, 6.69921875, 6.69921875, 13.0, 2.0, 3.0, 0.0, 27.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "24832", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24832&g_ta_cod=24832", 50.0, 32.0, 12.0),
(8530, "Privé sous contrat d'association", "0754791A", "ECOLE NORMALE SOCIALE", "75", "Paris", "Ile-de-France", "Paris", "Paris 18e  Arrondissement", "formation sélective", "EFTS", "ECOLE NORMALE SOCIALE - D.E Assistant de Service Social", "D.E secteur social", "", 28, 352, 316, 96, 0, 17, 1, 15, 3, 5, 2, 59, 256, 26, 21, 18, 191, 64, 57, 0, 0, 10, 1, 8, 1, 4, 2, 42, 107, 30, 28, 8, 22, 0.0, 8.0, 22.0, 0, 1, 7, 3, 2, 2, 23, 0, 3, 3, 1, 0, 0.0, 1, 1, 2, 0, 0, 1, 7, 0.0, 26.67, 73.33, 93.296875, 14.298828125, 100.0, 0, 14.298828125, 23.296875, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 42.8984375, 14.298828125, 28.59765625, 14.298828125, 28.59765625, 28.59765625, 14.0, 3.0, 6.0, 2.0, 79.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "23756", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23756&g_ta_cod=23756", 37.0, 40.0, 23.0),
(8531, "Privé sous contrat d'association", "0831458J", "Yncréa méditérranée", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Ecole d'Ingénieur", "PUISSANCE ALPHA BACHELOR - Formation Bac + 3", "Formations  des écoles d'ingénieurs", "Bachelor green tech Toulon", 28, 77, 11, 70, 0, 41, 10, 7, 4, 2, 2, 20, 7, 2, 0, 1, 4, 68, 3, 0, 0, 41, 10, 7, 4, 2, 2, 18, 71, 3, 0, 3, 0, 1.0, 3.0, 3.0, 0, 0, 3, 2, 1, 0, 0, 0, 1, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 3, 3, 33.33, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 42.0, 10.0, 2.0, 2.0, 20.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "30819", "Formation Bac + 3", "PUISSANCE ALPHA BACHELOR", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30813&g_ta_cod=30819", 67.0, 33.0, 0.0),
(8532, "Privé sous contrat d'association", "0351958N", "Lycée professionnel Agricole de Redon", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Redon", "formation sélective", "BTS", "Lycée professionnel Agricole de Redon - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 32, 268, 176, 219, 0, 59, 8, 79, 13, 32, 7, 49, 49, 14, 8, 0, 27, 187, 16, 0, 0, 59, 8, 75, 11, 31, 7, 22, 131, 30, 22, 26, 4, 8.0, 26.0, 29.0, 0, 8, 24, 12, 5, 7, 6, 0, 6, 12, 3, 3, 0.0, 9, 2, 7, 7, 4, 19, 19, 26.67, 86.67, 96.67, 73.296875, 79.1875, 79.1875, 29.19921875, 33.296875, 80.0, 0.0, 25.0, 50.0, 12.5, 12.5, 0.0, 50.0, 37.5, 20.796875, 8.298828125, 29.19921875, 29.19921875, 55.0, 8.0, 8.0, 5.0, 26.0, "Tous les candidats sauf les Bac professionnels", 153.0, "Bacheliers professionnels toutes séries", 9, "", 0, "Liste d'appel propre à cette formation", 74.0, "23731", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23731&g_ta_cod=23731", 53.0, 23.0, 23.0),
(8533, "Public", "0134015U", "Aix-Marseille Université - Site de Marseille Saint Charles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation non sélective", "Licence_Las", "Aix-Marseille Université - Site de Marseille Saint Charles - Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales - Mathématiques Appliquées et Sciences Sociales (Site de Saint Charles)", "Licence - Sciences - technologies - santé", "Mathématiques Appliquées et Sciences Sociales (Site de Saint Charles)", 10, 327, 179, 321, 0, 146, 51, 21, 12, 3, 0, 151, 6, 2, 0, 0, 4, 306, 5, 0, 0, 146, 51, 21, 12, 3, 0, 136, 135, 9, 5, 7, 2, 0.0, 1.0, 5.0, 0, 2, 6, 6, 0, 0, 3, 1, 2, 3, 0, 0, 0.0, 3, 0, 0, 0, 0, 5, 5, 0.0, 11.11, 55.56, 55.59375, 83.296875, 83.296875, 0, 33.296875, 66.6875, 16.69921875, 33.296875, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 54.0, 15.0, 0.0, 0.0, 76.0, "Tous les candidats", 437.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 67.0, "28584", "Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales - Mathématiques Appliquées et Sciences Sociales (Site de Saint Charles)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28583&g_ta_cod=28584", 78.0, 11.0, 11.0),
(8534, "Privé sous contrat d'association", "0730763H", "Lycée Saint Ambroise", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "BTS", "Lycée Saint Ambroise - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 28, 446, 213, 446, 0, 75, 8, 206, 47, 96, 29, 69, 0, 0, 0, 0, 0, 374, 0, 0, 0, 70, 8, 175, 38, 83, 23, 46, 112, 26, 13, 26, 0, 7.0, 17.0, 24.0, 0, 9, 25, 8, 11, 6, 1, 0, 8, 14, 2, 1, 0.0, 4, 7, 6, 7, 2, 23, 23, 26.92, 65.38, 92.31, 50.0, 92.0, 92.0, 28, 36.0, 96.1875, 0.0, 32.0, 56.0, 8.0, 4.0, 0.0, 32.0, 16.0, 44.0, 28.0, 24.0, 24.0, 32.0, 5.0, 21.0, 7.0, 11.0, "Tous les candidats sauf les Bac professionnels", 134.0, "Bacheliers professionnels toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 41.0, "8799", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8799&g_ta_cod=8799", 31.0, 46.0, 23.0),
(8535, "Privé sous contrat d'association", "0341728U", "Institut Régional du Travail Social de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "EFTS", "Institut Régional du Travail Social de Montpellier - D.E Educateur Technique Spécialisé", "D.E secteur social", "", 14, 110, 89, 56, 0, 5, 2, 9, 2, 10, 3, 32, 54, 7, 6, 9, 32, 6, 3, 0, 0, 0, 0, 2, 0, 1, 1, 3, 9, 3, 3, 2, 1, 2.0, 2.0, 3.0, 0, 1, 2, 0, 1, 1, 1, 0, 1, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 0, 0, 66.67, 66.67, 100.0, 100.0, 0.0, 0.0, 0, 50.0, 66.6875, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 1.0, 1.0, 6.0, "Tous les candidats", 6.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "23739", "D.E Educateur Technique Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23739&g_ta_cod=23739", 33.0, 33.0, 33.0),
(8536, "Public", "0060029Z", "Lycée du Parc Imperial", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée du Parc Imperial - BTS - Services - Communication", "BTS - Services", "", 35, 1626, 1113, 1626, 0, 400, 89, 402, 131, 186, 77, 638, 0, 0, 0, 0, 0, 1378, 0, 0, 0, 383, 85, 396, 130, 186, 77, 413, 157, 34, 28, 34, 0, 4.0, 23.0, 29.0, 0, 8, 27, 19, 4, 4, 7, 0, 3, 15, 8, 1, 0.0, 16, 4, 4, 5, 4, 21, 21, 11.76, 67.65, 85.29, 82.390625, 77.796875, 77.796875, 18.5, 29.59765625, 79.390625, 0.0, 11.099609375, 55.59375, 29.59765625, 3.7, 0.0, 70.390625, 59.296875, 14.798828125, 14.798828125, 14.798828125, 14.798828125, 97.0, 22.0, 13.0, 3.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 169.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 16.0, "2205", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2205&g_ta_cod=2205", 68.0, 15.0, 18.0),
(8537, "Public", "0250001R", "Lycée professionnel Nelson Mandela", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Audincourt", "formation sélective", "BTS", "Lycée professionnel Nelson Mandela - BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "BTS - Production", "", 15, 70, 11, 63, 0, 0, 0, 16, 7, 14, 8, 33, 7, 0, 0, 3, 4, 35, 2, 0, 0, 0, 0, 16, 7, 14, 8, 5, 33, 7, 0, 6, 1, 5.0, 6.0, 6.0, 0, 2, 5, 0, 1, 4, 2, 0, 4, 1, 0, 0, 0.0, 0, 0, 1, 4, 0, 5, 5, 71.43, 85.71, 85.71, 0.0, 100.0, 100.0, 80, 40.0, 71.390625, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 20.0, 0.0, 0.0, 13.0, 7.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 54.0, "3448", "BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3448&g_ta_cod=3448", 14.0, 14.0, 71.0),
(8538, "Public", "0330135T", "Lycée Alfred Kastler", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "BTS", "Lycée Alfred Kastler - BTS - Production - Systèmes photoniques", "BTS - Production", "", 30, 245, 55, 204, 0, 30, 5, 70, 17, 27, 8, 77, 41, 6, 12, 1, 22, 109, 7, 0, 0, 26, 4, 49, 12, 16, 4, 18, 94, 22, 4, 18, 4, 5.0, 18.0, 22.0, 0, 1, 15, 5, 8, 2, 7, 0, 3, 8, 4, 0, 0.0, 4, 6, 2, 3, 0, 11, 11, 22.73, 81.82, 100.0, 18.19921875, 73.296875, 73.296875, 20, 6.69921875, 68.1875, 0.0, 20.0, 53.296875, 26.69921875, 0.0, 0.0, 33.296875, 26.69921875, 53.296875, 40.0, 13.298828125, 13.298828125, 26.0, 4.0, 11.0, 3.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 52.0, "19274", "BTS - Production - Systèmes photoniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19274&g_ta_cod=19274", 41.0, 50.0, 9.0),
(8539, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "Université Angers - DEUST - Maintenance hôtelière, hospitalière et immobilière", "DEUST", "", 30, 67, 27, 43, 0, 7, 3, 6, 2, 16, 6, 14, 24, 1, 5, 4, 14, 22, 2, 0, 0, 7, 3, 1, 0, 8, 1, 6, 30, 2, 0, 2, 0, 2.0, 2.0, 2.0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 7.0, 3.0, 11.0, 2.0, 8.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "18822", "DEUST - Maintenance hôtelière, hospitalière et immobilière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18822&g_ta_cod=18822", 50.0, 0.0, 50.0),
(8540, "Public", "0941355M", "Lycée professionnel Paul Bert", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Maisons-Alfort", "formation sélective", "BTS", "Lycée professionnel Paul Bert - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 1450, 896, 1335, 0, 39, 12, 234, 101, 630, 361, 432, 115, 24, 0, 0, 91, 858, 3, 0, 0, 0, 0, 149, 65, 463, 273, 246, 185, 29, 21, 27, 2, 0.0, 21.0, 26.0, 0, 13, 23, 1, 4, 18, 6, 0, 8, 9, 6, 0, 0.0, 0, 0, 15, 5, 4, 12, 23, 0.0, 72.41, 89.66, 72.390625, 52.1953125, 100.0, 21.69921875, 56.5, 79.296875, 0.0, 34.796875, 39.09375, 26.09765625, 0.0, 0.0, 4.2998046875, 0.0, 17.3984375, 0.0, 78.296875, 65.1875, 3.0, 2.0, 100.0, 61.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 225, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 24.0, "11523", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11523&g_ta_cod=11523", 14.0, 17.0, 69.0),
(8541, "Public", "0030094L", "LEGTPA du Bourbonnais / Site de Moulins", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Moulins", "formation sélective", "BTS", "LEGTPA du Bourbonnais / Site de Moulins - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 19, 234, 115, 218, 0, 9, 1, 17, 4, 47, 17, 145, 16, 0, 2, 9, 5, 95, 11, 0, 0, 9, 1, 17, 4, 47, 17, 22, 79, 8, 6, 5, 3, 2.0, 5.0, 7.0, 0, 2, 5, 0, 2, 3, 3, 0, 1, 4, 0, 0, 0.0, 0, 1, 3, 4, 4, 5, 5, 25.0, 62.5, 87.5, 75.0, 100.0, 100.0, 80, 40.0, 62.5, 0.0, 20.0, 80.0, 0.0, 0.0, 0.0, 0.0, 0.0, 40.0, 20.0, 60.0, 60.0, 8.0, 1.0, 38.0, 14.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 42.0, "2138", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2138&g_ta_cod=2138", 25.0, 25.0, 50.0),
(8542, "Public", "0601223H", "Cursus Humanités et technologie UTC Université de Technologie de Compiègne", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "Ecole d'Ingénieur", "Réseau des Universités de Technologie - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 25, 964, 405, 964, 0, 794, 56, 0, 0, 0, 0, 170, 0, 0, 0, 0, 0, 71, 0, 0, 0, 63, 8, 0, 0, 0, 0, 8, 54, 24, 19, 24, 0, 11.0, 21.0, 22.0, 0, 0, 20, 20, 0, 0, 4, 0, 0, 0, 1, 13, 6.0, 20, 0, 0, 0, 0, 2, 2, 45.83, 87.5, 91.67, 79.1875, 10.0, 10.0, 0, 0.0, 83.296875, 0.0, 0.0, 0.0, 5.0, 65.0, 30.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 47.0, 5.0, 0.0, 0.0, 7.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "27774", "Formation d'ingénieur Bac + 5 - Série générale", "Réseau des Universités de Technologie", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=53&g_ta_cod=27774", 100.0, 0.0, 0.0),
(8543, "Privé sous contrat d'association", "0271070S", "Lycée polyvalent privé Notre-Dame Saint-François", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BTS", "Lycée polyvalent privé Notre-Dame Saint-François - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 40, 305, 142, 296, 0, 24, 6, 103, 39, 106, 40, 63, 9, 0, 6, 0, 3, 253, 0, 0, 0, 20, 5, 93, 36, 91, 31, 49, 135, 34, 16, 34, 0, 4.0, 24.0, 30.0, 0, 9, 27, 5, 7, 15, 7, 0, 14, 10, 3, 0, 0.0, 0, 2, 11, 8, 5, 27, 27, 11.76, 70.59, 88.24, 47.09375, 100.0, 100.0, 29.59765625, 33.296875, 79.390625, 0.0, 51.8984375, 37.0, 11.099609375, 0.0, 0.0, 18.5, 0.0, 25.8984375, 7.3994140625, 55.59375, 40.6953125, 17.0, 5.0, 46.0, 13.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 52.0, "3701", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3701&g_ta_cod=3701", 26.0, 29.0, 44.0),
(8544, "Public", "0250008Y", "Lycée Louis Pasteur", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Autre formation", "Lycée Louis Pasteur - DN MADE - Graphisme - - Spécialité : Edition", "DN MADE", "- Spécialité : Edition", 15, 599, 421, 599, 0, 241, 43, 138, 29, 42, 9, 178, 0, 0, 0, 0, 0, 489, 0, 0, 0, 218, 38, 126, 24, 30, 7, 115, 81, 15, 10, 15, 0, 1.0, 12.0, 13.0, 0, 2, 14, 7, 7, 0, 1, 0, 1, 7, 3, 3, 0.0, 6, 7, 0, 0, 0, 5, 5, 6.67, 80.0, 86.67, 66.6875, 35.6953125, 35.6953125, 0, 14.298828125, 93.296875, 0.0, 7.099609375, 50.0, 21.3984375, 21.4, 0.0, 50.0, 42.8984375, 50.0, 50.0, 0.0, 0.0, 25.0, 5.0, 0.0, 0.0, 8.0, "Tous les candidats", 110.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "21561", "DN MADE - Graphisme - - Spécialité : Edition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21561&g_ta_cod=21561", 47.0, 53.0, 0.0),
(8545, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Langues : Espagnol - Programme International MINERVE", "Licence - Arts-lettres-langues", "Langues : Espagnol - Programme International MINERVE", 120, 530, 451, 412, 0, 276, 81, 34, 14, 7, 4, 95, 118, 22, 18, 5, 73, 412, 116, 0, 0, 276, 81, 34, 14, 7, 4, 95, 473, 115, 98, 77, 38, 24.0, 73.0, 100.0, 0, 30, 76, 52, 21, 3, 39, 0, 34, 23, 16, 2, 1.0, 37, 4, 1, 0, 0, 49, 49, 20.87, 63.48, 86.96, 85.1875, 64.5, 64.5, 0, 39.5, 66.09375, 0.0, 44.6953125, 30.296875, 21.09765625, 2.6, 1.3, 68.390625, 48.6953125, 27.59765625, 5.2998046875, 3.89990234375, 1.2998046875, 265.0, 82.0, 10.0, 8.0, 150.0, "Tous les candidats", 412.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "18019", "Licence - Portail Langues : Espagnol - Programme International MINERVE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18019&g_ta_cod=18019", 67.0, 27.0, 5.0),
(8546, "Public", "0570030Y", "Lycée Blaise Pascal", "57", "Moselle", "Grand Est", "Nancy-Metz", "Forbach", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 614, 485, 467, 0, 32, 10, 143, 59, 83, 41, 209, 147, 2, 6, 69, 70, 151, 14, 0, 0, 26, 9, 63, 22, 38, 13, 24, 133, 18, 16, 13, 4, 2.0, 9.0, 13.0, 0, 4, 11, 2, 7, 2, 7, 0, 4, 6, 1, 0, 0.0, 0, 5, 2, 1, 1, 11, 11, 11.11, 50.0, 72.22, 88.890625, 100.0, 100.0, 9.099609375, 36.3984375, 61.09375, 0.0, 36.3984375, 54.5, 9.099609375, 0.0, 0.0, 18.19921875, 0.0, 63.59375, 45.5, 18.19921875, 18.19921875, 17.0, 6.0, 38.0, 13.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 31.0, "6522", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6522&g_ta_cod=6522", 17.0, 67.0, 17.0),
(8547, "Public", "0801841S", "Lycée Robert de Luzarches", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Robert de Luzarches - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 474, 308, 459, 0, 27, 11, 173, 57, 99, 46, 160, 15, 0, 0, 11, 4, 288, 3, 0, 0, 23, 7, 141, 46, 72, 31, 52, 88, 22, 16, 20, 2, 5.0, 18.0, 18.0, 0, 5, 18, 1, 8, 9, 4, 0, 7, 9, 2, 0, 0.0, 1, 3, 7, 8, 6, 17, 17, 22.73, 81.82, 81.82, 72.6875, 94.390625, 94.390625, 44.3984375, 27.796875, 81.796875, 0.0, 38.8984375, 50.0, 11.099609375, 0.0, 0.0, 5.599609375, 5.599609375, 44.3984375, 16.69921875, 50.0, 38.8984375, 2.0, 1.0, 45.0, 20.0, 18.0, "Tous les candidats sauf les Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 79, "", 0, "Liste d'appel propre à cette formation", 32.0, "10241", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10241&g_ta_cod=10241", 5.0, 45.0, 50.0),
(8548, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 450, 2874, 1653, 2709, 0, 1575, 433, 357, 177, 58, 39, 719, 165, 26, 20, 7, 112, 2702, 119, 0, 0, 1575, 433, 357, 177, 58, 39, 712, 2341, 439, 213, 367, 72, 161.0, 322.0, 362.0, 0, 99, 257, 189, 57, 11, 182, 2, 148, 75, 29, 3, 0.0, 86, 16, 5, 0, 0, 202, 202, 36.67, 73.35, 82.46, 48.5, 78.59375, 78.59375, 0, 38.5, 58.5, 0.7999267578125, 57.59375, 29.19921875, 11.298828125, 1.2, 0.0, 73.5, 33.5, 22.19921875, 6.19921875, 4.2998046875, 1.89990234375, 1429.0, 400.0, 42.0, 30.0, 608.0, "Tous les candidats", 2701.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20946", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20946&g_ta_cod=20946", 70.0, 23.0, 7.0),
(8549, "Public", "0740003B", "Lycée Berthollet", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "CPGE", "Lycée Berthollet - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 514, 389, 505, 323, 434, 39, 1, 0, 3, 0, 67, 9, 5, 0, 1, 3, 416, 2, 276, 397, 397, 32, 0, 0, 0, 0, 19, 315, 37, 32, 37, 0, 13.0, 28.0, 37.0, 17, 0, 37, 37, 0, 0, 0, 0, 1, 7, 21, 7, 1.0, 36, 0, 0, 0, 0, 26, 26, 35.14, 75.68, 100.0, 86.5, 70.296875, 70.296875, 0, 0.0, 100.0, 0.0, 2.69970703125, 18.8984375, 56.796875, 18.9, 2.7, 100.0, 97.296875, 0.0, 0.0, 0.0, 0.0, 304.0, 31.0, 0.0, 0.0, 11.0, "Tous les candidats", 415.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "8848", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8848&g_ta_cod=8848", 100.0, 0.0, 0.0),
(8550, "Public", "0310046G", "Lycée Hotellerie Et Tourisme d'Occitanie", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Hotellerie Et Tourisme d'Occitanie - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 81, 762, 408, 762, 0, 0, 0, 306, 51, 260, 80, 196, 0, 0, 0, 0, 0, 560, 0, 0, 0, 0, 0, 230, 30, 203, 57, 127, 174, 79, 41, 79, 0, 50.0, 71.0, 76.0, 0, 12, 57, 0, 38, 19, 22, 0, 5, 16, 27, 9, 0.0, 0, 35, 17, 39, 16, 49, 49, 63.29, 89.87, 96.2, 51.8984375, 86.0, 86.0, 68.390625, 21.09765625, 72.1875, 0.0, 8.798828125, 28.09765625, 47.3984375, 15.8, 0.0, 0.0, 0.0, 66.6875, 61.3984375, 33.296875, 29.796875, 0.0, 0.0, 48.0, 13.0, 52.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 84.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 210, "Liste d'appel propre à cette formation", 47.0, "4062", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4062&g_ta_cod=4062", 23.0, 53.0, 24.0),
(8551, "Public", "0310040A", "Lycée Raymond Naves", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée Raymond Naves - Mention complémentaire - Services numériques aux organisations", "Mention complémentaire", "", 20, 102, 35, 47, 0, 4, 2, 6, 1, 24, 10, 13, 55, 3, 7, 17, 28, 32, 19, 0, 0, 4, 2, 6, 1, 14, 5, 8, 57, 16, 5, 6, 7, 5.0, 6.0, 11.0, 0, 3, 7, 1, 2, 4, 9, 0, 5, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 5, 5, 31.25, 37.5, 68.75, 31.296875, 71.390625, 71.390625, 0, 42.8984375, 43.796875, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 14.298828125, 0.0, 28.59765625, 0.0, 57.09375, 28.59765625, 4.0, 2.0, 20.0, 11.0, 23.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "33720", "Mention complémentaire - Services numériques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33720&g_ta_cod=33720", 25.0, 38.0, 38.0),
(8552, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 1 - Licence - Portail Portail informatique électronique", "Licence - Sciences - technologies - santé", "Portail informatique électronique", 255, 1221, 146, 1094, 0, 697, 97, 83, 13, 8, 3, 306, 127, 18, 2, 0, 107, 1030, 69, 0, 0, 697, 97, 83, 13, 8, 3, 242, 1010, 198, 22, 163, 34, 102.0, 162.0, 183.0, 0, 22, 111, 101, 9, 1, 87, 1, 39, 52, 15, 4, 0.0, 67, 4, 0, 0, 0, 81, 81, 51.52, 81.82, 92.42, 11.099609375, 73.0, 73.0, 0, 19.796875, 56.09375, 0.89990234375, 35.09375, 46.796875, 13.5, 3.6, 0.0, 91.0, 60.3984375, 8.099609375, 3.599609375, 0.89990234375, 0.0, 674.0, 96.0, 3.0, 2.0, 275.0, "Tous les candidats", 1069.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 94.0, "19304", "Licence - Portail Portail informatique électronique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27347&g_ta_cod=19304", 83.0, 13.0, 3.0),
(8553, "Public", "0370039S", "Lycée Paul-Louis Courier", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "Autre formation", "Lycée Paul-Louis Courier - Diplôme de Comptabilité et de Gestion", "DCG", "", 42, 586, 274, 582, 0, 261, 69, 159, 41, 4, 1, 158, 4, 1, 0, 0, 3, 357, 0, 0, 0, 188, 44, 100, 27, 1, 0, 68, 178, 38, 20, 38, 0, 2.0, 31.0, 36.0, 0, 4, 29, 19, 10, 0, 9, 0, 4, 14, 8, 3, 0.0, 17, 8, 0, 0, 0, 26, 26, 5.26, 81.58, 94.74, 52.59375, 89.6875, 89.6875, 0, 13.798828125, 76.296875, 0.0, 13.798828125, 48.296875, 27.59765625, 10.3, 0.0, 65.5, 58.59375, 34.5, 27.59765625, 0.0, 0.0, 98.0, 18.0, 1.0, 0.0, 43.0, "Tous les candidats", 313.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "4847", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4847&g_ta_cod=4847", 74.0, 26.0, 0.0),
(8554, "Privé enseignement supérieur", "0352349N", "Institut Catholique de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Bruz", "formation sélective", "Licence", "Institut Catholique de Rennes - Licence - Histoire - Parcours Géographie/Enseignement ou Histoire de l'Art", "Licence - Sciences humaines et sociales", "Géographie/Enseignement ou Histoire de l'Art", 100, 23, 14, 19, 0, 18, 2, 0, 0, 0, 0, 1, 4, 2, 0, 0, 2, 17, 0, 0, 0, 16, 2, 0, 0, 0, 0, 1, 17, 7, 5, 7, 0, 7.0, 7.0, 7.0, 0, 1, 7, 7, 0, 0, 0, 0, 0, 2, 5, 0, 0.0, 7, 0, 0, 0, 0, 4, 4, 100.0, 100.0, 100.0, 71.390625, 57.09375, 57.09375, 0, 14.298828125, 100.0, 0.0, 0.0, 28.59765625, 71.390625, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 16.0, 2.0, 0.0, 0.0, 1.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "13718", "Licence - Histoire - Parcours Géographie/Enseignement ou Histoire de l'Art", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13718&g_ta_cod=13718", 100.0, 0.0, 0.0),
(8555, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence_Las", "Université de Paris - Licence - Portail Sciences sociales", "Licence - Sciences humaines et sociales", "", 25, 1217, 1024, 1217, 0, 566, 163, 112, 61, 20, 13, 519, 0, 0, 0, 0, 0, 1217, 0, 0, 0, 566, 163, 112, 61, 20, 13, 519, 121, 25, 19, 25, 0, 3.0, 18.0, 24.0, 0, 8, 19, 17, 1, 1, 6, 0, 4, 11, 4, 0, 0.0, 14, 1, 0, 0, 0, 6, 17, 12.0, 72.0, 96.0, 76.0, 31.59765625, 89.5, 0, 42.09375, 76.0, 0.0, 21.09765625, 57.8984375, 21.09765625, 0.0, 0.0, 89.5, 73.6875, 5.2998046875, 5.2998046875, 5.2998046875, 0.0, 105.0, 26.0, 1.0, 0.0, 11.0, "Tous les candidats", 273.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 15.0, "29390", "Licence - Portail Sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28357&g_ta_cod=29390", 80.0, 16.0, 4.0),
(8556, "Public", "0134061U", "IUT Aix-Marseille - Site d'Aix-En-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BUT", "IUT Aix-Marseille - Site d'Aix-En-Provence - BUT - Carrières sociales parcours villes et territoires durables", "BUT - Service", "", 84, 585, 381, 534, 0, 259, 43, 123, 46, 25, 15, 127, 51, 6, 11, 3, 31, 366, 5, 0, 0, 200, 24, 79, 26, 3, 1, 84, 288, 69, 38, 67, 2, 13.0, 63.0, 68.0, 0, 4, 45, 25, 19, 1, 24, 0, 13, 25, 7, 0, 0.0, 21, 10, 1, 0, 0, 22, 22, 18.84, 91.3, 98.55, 55.09375, 48.8984375, 48.8984375, 0, 8.8984375, 65.1875, 0.0, 28.8984375, 55.59375, 15.599609375, 0.0, 0.0, 55.59375, 46.6953125, 42.1953125, 22.19921875, 2.19970703125, 2.19970703125, 134.0, 21.0, 1.0, 1.0, 71.0, "Tous les candidats sauf les Bac technologiques", 274.0, "Bacheliers technologiques toutes séries", 91, "", 0, "Liste d'appel propre à cette formation", 68.0, "2709", "BUT - Carrières sociales parcours villes et territoires durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2709&g_ta_cod=2709", 67.0, 29.0, 1.0),
(8557, "Public", "0290126E", "Lycée agricole de Morlaix-Suscinio", "29", "Finistère", "Bretagne", "Rennes", "Morlaix", "formation sélective", "BTS", "Lycée agricole de Morlaix-Suscinio - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 64, 774, 332, 774, 0, 171, 24, 169, 29, 128, 26, 306, 0, 0, 0, 0, 0, 660, 0, 0, 0, 168, 24, 163, 29, 128, 26, 201, 247, 61, 36, 61, 0, 16.0, 55.0, 55.0, 0, 4, 35, 15, 7, 13, 26, 0, 2, 21, 10, 2, 0.0, 13, 7, 13, 0, 0, 15, 15, 26.23, 90.16, 90.16, 59.0, 42.8984375, 42.8984375, 0, 11.3984375, 57.3984375, 0.0, 5.69921875, 60.0, 28.59765625, 5.7, 0.0, 42.8984375, 37.09375, 20.0, 20.0, 37.09375, 37.09375, 83.0, 9.0, 48.0, 12.0, 71.0, "Tous les candidats sauf les Bac professionnels", 264.0, "Bacheliers professionnels toutes séries", 65, "", 0, "Liste d'appel propre à cette formation", 43.0, "3809", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3809&g_ta_cod=3809", 59.0, 18.0, 21.0),
(8558, "Public", "0330203S", "CPBx (Bordeaux Sciences Agro.)", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Ecole d'Ingénieur", "CPBx (Bordeaux Sciences Agro.) - Formation d'ingénieur Bac + 5 - bac général", "Formations  des écoles d'ingénieurs", "bac général", 9, 153, 78, 153, 0, 153, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70, 0, 0, 0, 70, 6, 0, 0, 0, 0, 0, 37, 9, 4, 9, 0, 2.0, 9.0, 9.0, 0, 2, 9, 9, 0, 0, 0, 0, 0, 0, 3, 6, 0.0, 9, 0, 0, 0, 0, 4, 4, 22.22, 100.0, 100.0, 44.3984375, 44.3984375, 44.3984375, 0, 22.19921875, 100.0, 0.0, 0.0, 0.0, 33.296875, 66.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 37.0, 5.0, 0.0, 0.0, 0.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "4330", "Formation d'ingénieur Bac + 5 - bac général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4330&g_ta_cod=4330", 100.0, 0.0, 0.0),
(8559, "Public", "0870019Y", "Lycée Suzanne Valadon", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée Suzanne Valadon - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 705, 404, 705, 0, 63, 22, 244, 103, 147, 84, 251, 0, 0, 0, 0, 0, 505, 0, 0, 0, 57, 17, 188, 64, 117, 63, 143, 191, 35, 24, 35, 0, 3.0, 25.0, 30.0, 0, 13, 22, 4, 12, 6, 13, 0, 12, 7, 3, 0, 0.0, 0, 6, 4, 7, 6, 19, 19, 8.57, 71.43, 85.71, 68.59375, 86.390625, 86.390625, 31.796875, 59.09375, 62.8984375, 0.0, 54.5, 31.796875, 13.599609375, 0.0, 0.0, 18.19921875, 0.0, 54.5, 27.296875, 27.296875, 18.19921875, 25.0, 11.0, 45.0, 22.0, 52.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 116, "Liste d'appel propre à cette formation", 36.0, "10667", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10667&g_ta_cod=10667", 20.0, 49.0, 31.0),
(8560, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Portail Chimie - Chimie et Biochimie", "Licence - Sciences - technologies - santé", "Chimie et Biochimie", 115, 1703, 1196, 1678, 0, 822, 103, 56, 10, 2, 2, 798, 25, 7, 0, 0, 18, 1665, 21, 0, 0, 822, 103, 56, 10, 2, 2, 785, 913, 102, 57, 87, 15, 2.0, 31.0, 65.0, 0, 6, 31, 25, 6, 0, 71, 1, 8, 10, 9, 3, 0.0, 20, 2, 0, 0, 0, 27, 27, 1.96, 30.39, 63.73, 55.8984375, 87.09375, 87.09375, 0, 19.3984375, 30.3984375, 3.19970703125, 25.796875, 32.296875, 29.0, 9.7, 0.0, 80.59375, 64.5, 19.3984375, 6.5, 0.0, 0.0, 366.0, 49.0, 1.0, 1.0, 525.0, "Tous les candidats", 1429.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 72.0, "31921", "Licence - Portail Chimie - Chimie et Biochimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31922&g_ta_cod=31921", 92.0, 8.0, 0.0),
(8561, "Public", "0340838B", "I.U.T de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BUT", "I.U.T de Montpellier - BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Synthèse - Matériaux et produits formulés", "BUT - Production", "Analyse, contrôle-qualité, environnement - Synthèse - Matériaux et produits formulés", 104, 2063, 1276, 2008, 0, 1168, 200, 250, 66, 5, 3, 585, 55, 0, 32, 0, 23, 1585, 3, 0, 0, 1045, 170, 143, 36, 0, 0, 397, 718, 105, 73, 102, 3, 42.0, 72.0, 96.0, 0, 25, 88, 68, 20, 0, 17, 1, 0, 22, 48, 16, 1.0, 67, 20, 0, 0, 0, 44, 44, 40.0, 68.57, 91.43, 69.5, 50.0, 50.0, 0, 28.3984375, 83.796875, 1.099853515625, 0.0, 25.0, 54.5, 18.2, 1.1, 77.296875, 76.09375, 22.69921875, 22.69921875, 0.0, 0.0, 410.0, 81.0, 0.0, 0.0, 198.0, "Tous les candidats sauf les Bac technologiques", 755.0, "Bacheliers technologiques toutes séries", 163, "", 0, "Liste d'appel propre à cette formation", 46.0, "4522", "BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Synthèse - Matériaux et produits formulés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4522&g_ta_cod=4522", 76.0, 23.0, 0.0),
(8562, "Public", "0510034K", "Lycée Franklin Roosevelt", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "CPGE", "Lycée Franklin Roosevelt - CPGE - PTSI", "Classe préparatoire scientifique", "", 48, 278, 55, 249, 171, 185, 22, 2, 0, 0, 0, 62, 29, 17, 0, 0, 12, 191, 12, 130, 184, 164, 15, 0, 0, 0, 0, 27, 180, 24, 5, 22, 2, 5.0, 22.0, 24.0, 11, 2, 20, 20, 0, 0, 4, 0, 4, 7, 6, 3, 0.0, 16, 0, 0, 2, 0, 14, 14, 20.83, 91.67, 100.0, 20.796875, 70.0, 70.0, 10, 10.0, 83.296875, 0.0, 20.0, 35.0, 30.0, 15.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 152.0, 14.0, 0.0, 0.0, 28.0, "Tous les candidats", 191.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "6063", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6063&g_ta_cod=6063", 100.0, 0.0, 0.0),
(8563, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence_Las", "Université de Caen Normandie - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 80, 1744, 1449, 1744, 0, 1082, 212, 160, 49, 37, 13, 465, 0, 0, 0, 0, 0, 1739, 0, 0, 0, 1082, 212, 160, 49, 37, 13, 460, 293, 79, 72, 79, 0, 11.0, 62.0, 73.0, 0, 12, 75, 74, 0, 1, 4, 0, 1, 25, 37, 11, 1.0, 73, 0, 1, 0, 0, 73, 73, 13.92, 78.48, 92.41, 91.09375, 97.296875, 97.296875, 0, 16.0, 94.890625, 0.0, 1.2998046875, 33.296875, 49.296875, 14.7, 1.3, 98.6875, 97.296875, 0.0, 0.0, 1.2998046875, 1.2998046875, 244.0, 40.0, 1.0, 1.0, 47.0, "Tous les candidats", 678.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "27708", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27707&g_ta_cod=27708", 99.0, 0.0, 1.0),
(8564, "Public", "0750650Z", "Lycée D'Alembert-Cuir", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée D'Alembert-Cuir - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 1760, 1550, 1509, 0, 64, 22, 328, 142, 624, 326, 493, 251, 0, 143, 0, 108, 1013, 8, 0, 0, 28, 9, 84, 42, 624, 326, 277, 135, 25, 23, 21, 4, 2.0, 18.0, 20.0, 0, 13, 22, 3, 8, 11, 3, 0, 11, 4, 5, 2, 0.0, 1, 2, 8, 4, 4, 8, 19, 8.0, 72.0, 80.0, 92.0, 36.3984375, 86.390625, 18.19921875, 59.09375, 88.0, 0.0, 50.0, 18.19921875, 22.69921875, 9.1, 0.0, 13.599609375, 4.5, 36.3984375, 9.099609375, 50.0, 36.3984375, 13.0, 6.0, 37.0, 18.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 13.0, "19892", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19892&g_ta_cod=19892", 12.0, 40.0, 48.0),
(8565, "Public", "0753268V", "Lycée Jean Lurcat", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Lurcat - BTS - Services - Professions immobilières", "BTS - Services", "", 34, 4087, 2132, 4087, 0, 767, 191, 1262, 465, 868, 384, 1190, 0, 0, 0, 0, 0, 1468, 0, 0, 0, 423, 94, 466, 159, 398, 168, 181, 176, 34, 18, 34, 0, 5.0, 30.0, 33.0, 0, 7, 30, 12, 10, 8, 4, 0, 0, 8, 19, 3, 0.0, 12, 10, 8, 1, 1, 8, 28, 14.71, 88.24, 97.06, 52.8984375, 26.69921875, 93.296875, 3.2998046875, 23.296875, 88.1875, 0.0, 0.0, 26.69921875, 63.296875, 10.0, 0.0, 40.0, 40.0, 33.296875, 33.296875, 26.69921875, 26.69921875, 53.0, 13.0, 36.0, 13.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 91, "Bacheliers technologiques toutes séries", 155, "Liste d'appel propre à cette formation", 8.0, "9379", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9379&g_ta_cod=9379", 35.0, 35.0, 29.0),
(8566, "Public", "0210036A", "Lycée agricole Viticole", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Beaune", "formation sélective", "BTS", "Lycée agricole Viticole - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 27, 392, 157, 392, 0, 29, 1, 44, 8, 55, 7, 264, 0, 0, 0, 0, 0, 155, 0, 0, 0, 29, 1, 44, 8, 55, 7, 27, 58, 27, 16, 27, 0, 8.0, 21.0, 27.0, 0, 2, 22, 5, 8, 9, 5, 0, 5, 13, 4, 0, 0.0, 2, 6, 9, 7, 2, 14, 14, 29.63, 77.78, 100.0, 59.296875, 63.59375, 63.59375, 31.796875, 9.099609375, 81.5, 0.0, 22.69921875, 59.09375, 18.19921875, 0.0, 0.0, 22.69921875, 9.099609375, 36.3984375, 27.296875, 40.8984375, 40.8984375, 13.0, 0.0, 14.0, 1.0, 15.0, "Tous les candidats sauf les Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 22.0, "3202", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3202&g_ta_cod=3202", 26.0, 41.0, 33.0),
(8567, "Public", "0670079X", "Lycée Fustel De Coulanges", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée Fustel De Coulanges - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 949, 619, 931, 0, 702, 63, 1, 0, 1, 1, 227, 18, 5, 1, 0, 12, 547, 2, 0, 547, 509, 37, 0, 0, 0, 0, 38, 375, 46, 28, 45, 1, 9.0, 33.0, 45.0, 0, 3, 40, 40, 0, 0, 6, 0, 0, 2, 9, 25, 4.0, 40, 0, 0, 0, 0, 11, 11, 19.57, 71.74, 97.83, 60.8984375, 27.5, 27.5, 0, 7.5, 87.0, 0.0, 0.0, 5.0, 22.5, 62.5, 10.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 351.0, 30.0, 0.0, 0.0, 24.0, "Tous les candidats", 547.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "7914", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7914&g_ta_cod=7914", 100.0, 0.0, 0.0),
(8568, "Public", "0380034F", "Lycée Louise Michel", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée Louise Michel - BTS - Services - Gestion de la PME", "BTS - Services", "", 32, 958, 599, 956, 0, 60, 17, 359, 132, 286, 141, 251, 2, 0, 0, 0, 2, 528, 0, 0, 0, 44, 11, 250, 84, 145, 66, 89, 172, 31, 24, 31, 0, 3.0, 22.0, 28.0, 0, 9, 23, 1, 12, 10, 8, 0, 7, 8, 7, 1, 0.0, 0, 6, 10, 4, 3, 23, 23, 9.68, 70.97, 90.32, 77.390625, 100.0, 100.0, 17.3984375, 39.09375, 74.1875, 0.0, 30.3984375, 34.796875, 30.3984375, 4.3, 0.0, 4.2998046875, 0.0, 52.1953125, 26.09765625, 43.5, 43.5, 7.0, 5.0, 55.0, 24.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 94, "Bacheliers technologiques toutes séries", 141, "Liste d'appel propre à cette formation", 28.0, "4938", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4938&g_ta_cod=4938", 6.0, 55.0, 39.0),
(8569, "Privé sous contrat d'association", "0831229K", "IFTS CROIX ROUGE OLLIOULES", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Ollioules", "formation sélective", "EFTS", "IFTS CROIX ROUGE OLLIOULES - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 15, 216, 204, 216, 0, 37, 4, 34, 10, 53, 15, 92, 0, 0, 0, 0, 0, 110, 0, 0, 0, 21, 2, 11, 1, 23, 4, 55, 23, 15, 13, 15, 0, 11.0, 14.0, 14.0, 0, 1, 6, 3, 0, 3, 9, 0, 0, 3, 3, 0, 0.0, 3, 0, 3, 0, 0, 4, 4, 73.33, 93.33, 93.33, 86.6875, 66.6875, 66.6875, 0, 16.69921875, 40.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 50.0, 50.0, 5.0, 1.0, 3.0, 0.0, 14.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "34167", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34167&g_ta_cod=34167", 60.0, 7.0, 33.0),
(8570, "Public", "0030026M", "Lycée Paul Constans", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "BTS", "Lycée Paul Constans - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 15, 927, 432, 927, 0, 37, 9, 69, 24, 60, 26, 761, 0, 0, 0, 0, 0, 336, 0, 0, 0, 37, 9, 64, 23, 59, 26, 176, 110, 18, 9, 18, 0, 4.0, 11.0, 18.0, 0, 8, 14, 2, 6, 6, 4, 0, 8, 4, 1, 1, 0.0, 1, 0, 5, 2, 0, 5, 5, 22.22, 61.11, 100.0, 50.0, 35.6953125, 35.6953125, 14.298828125, 57.09375, 77.796875, 0.0, 57.09375, 28.59765625, 7.099609375, 7.1, 0.0, 14.298828125, 7.099609375, 42.8984375, 0.0, 42.8984375, 35.6953125, 29.0, 5.0, 30.0, 12.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 18.0, "2121", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2121&g_ta_cod=2121", 33.0, 33.0, 33.0),
(8571, "Public", "0370038R", "Lycée Grandmont", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Grandmont - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 24, 186, 8, 176, 0, 11, 1, 44, 7, 56, 17, 65, 10, 0, 3, 2, 5, 101, 0, 0, 0, 10, 1, 41, 6, 43, 10, 7, 67, 18, 0, 18, 0, 4.0, 17.0, 18.0, 0, 3, 17, 1, 6, 10, 1, 0, 0, 12, 3, 2, 0.0, 1, 6, 10, 6, 0, 15, 15, 22.22, 94.44, 100.0, 0.0, 88.1875, 88.1875, 35.296875, 17.59765625, 94.390625, 0.0, 0.0, 70.59375, 17.59765625, 11.8, 0.0, 5.8994140625, 5.8994140625, 35.296875, 35.296875, 58.796875, 58.796875, 5.0, 1.0, 33.0, 7.0, 3.0, "Tous les candidats sauf les Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 55.0, "4838", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4838&g_ta_cod=4838", 6.0, 39.0, 56.0),
(8572, "Public", "0750664P", "Lycée RACINE", "75", "Paris", "Ile-de-France", "Paris", "Paris  8e  Arrondissement", "formation sélective", "BTS", "Lycée RACINE - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 1376, 1001, 1376, 0, 45, 13, 460, 237, 488, 264, 383, 0, 0, 0, 0, 0, 590, 0, 0, 0, 37, 10, 195, 102, 274, 153, 84, 146, 20, 19, 20, 0, 1.0, 15.0, 18.0, 0, 5, 14, 2, 7, 5, 6, 0, 1, 7, 4, 2, 0.0, 1, 7, 5, 1, 1, 7, 13, 5.0, 75.0, 90.0, 95.0, 50.0, 92.890625, 7.099609375, 35.6953125, 70.0, 0.0, 7.099609375, 50.0, 28.59765625, 14.3, 0.0, 14.298828125, 7.099609375, 50.0, 50.0, 35.6953125, 35.6953125, 12.0, 7.0, 49.0, 28.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 138, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 18.0, "8997", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8997&g_ta_cod=8997", 15.0, 50.0, 35.0),
(8573, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte - Licence - Arts - Parcours Arts Plastiques", "Licence - Arts-lettres-langues", "Arts Plastiques", 25, 239, 183, 222, 0, 114, 36, 33, 8, 12, 6, 63, 17, 1, 0, 0, 16, 220, 14, 0, 0, 114, 36, 33, 8, 12, 6, 61, 153, 23, 18, 16, 4, 0.0, 15.0, 17.0, 0, 3, 12, 6, 3, 3, 11, 0, 6, 5, 0, 1, 0.0, 3, 2, 1, 0, 0, 9, 9, 0.0, 65.22, 73.91, 78.296875, 75.0, 75.0, 0, 25.0, 52.1953125, 0.0, 50.0, 41.6953125, 0.0, 8.3, 0.0, 50.0, 25.0, 25.0, 16.69921875, 25.0, 8.298828125, 71.0, 24.0, 13.0, 7.0, 45.0, "Tous les candidats", 219.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "11712", "Licence - Arts - Parcours Arts Plastiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11712&g_ta_cod=11712", 52.0, 30.0, 17.0),
(8574, "Privé sous contrat d'association", "0312408Z", "Lycée Saliège", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Balma", "formation sélective", "CPGE", "Lycée Saliège - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 417, 185, 408, 300, 355, 20, 0, 0, 0, 0, 53, 9, 3, 1, 0, 5, 405, 1, 300, 354, 353, 20, 0, 0, 0, 0, 52, 254, 11, 5, 11, 0, 0.0, 4.0, 11.0, 9, 1, 10, 10, 0, 0, 1, 0, 1, 7, 2, 0, 0.0, 9, 0, 0, 0, 0, 7, 7, 0.0, 36.36, 100.0, 45.5, 70.0, 70.0, 0, 10.0, 90.890625, 0.0, 10.0, 70.0, 20.0, 0.0, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 221.0, 11.0, 0.0, 0.0, 33.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "31878", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31874&g_ta_cod=31878", 100.0, 0.0, 0.0),
(8575, "Public", "0440139M", "I.U.T. Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Carquefou", "formation sélective", "BUT", "I.U.T. Nantes - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Administration, gestion et exploitation des données (Seconde année possible en apprentissage)", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Administration, gestion et exploitation des données", 90, 2668, 255, 2613, 0, 1634, 220, 575, 122, 20, 5, 384, 55, 0, 34, 0, 21, 1113, 4, 0, 0, 900, 101, 165, 26, 0, 0, 48, 413, 100, 9, 98, 2, 39.0, 79.0, 92.0, 0, 22, 90, 62, 28, 0, 10, 0, 5, 30, 47, 8, 0.0, 60, 25, 0, 0, 0, 61, 61, 39.0, 79.0, 92.0, 9.0, 67.796875, 67.796875, 0, 24.3984375, 90.0, 0.0, 5.599609375, 33.296875, 52.1953125, 8.9, 0.0, 68.890625, 66.6875, 31.09765625, 27.796875, 0.0, 0.0, 268.0, 46.0, 0.0, 0.0, 33.0, "Tous les candidats sauf les Bac technologiques", 435.0, "Bacheliers technologiques toutes séries", 170, "", 0, "Liste d'appel propre à cette formation", 23.0, "5482", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Administration, gestion et exploitation des données (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5482&g_ta_cod=5482", 68.0, 31.0, 0.0),
(8576, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues étrangères appliquées - Parcours Langues étrangères appliquées (LEA)", "Licence - Arts-lettres-langues", "Langues étrangères appliquées (LEA)", 295, 1487, 1144, 1487, 0, 890, 214, 112, 52, 26, 16, 459, 0, 0, 0, 0, 0, 1487, 0, 0, 0, 890, 214, 112, 52, 26, 16, 459, 917, 293, 225, 293, 0, 61.0, 247.0, 275.0, 0, 73, 203, 172, 21, 10, 90, 2, 46, 72, 65, 17, 1.0, 141, 7, 7, 0, 0, 178, 178, 20.82, 84.3, 93.86, 76.796875, 87.6875, 87.6875, 0, 36.0, 69.296875, 1.0, 22.69921875, 35.5, 32.0, 8.4, 0.5, 84.6875, 69.5, 10.298828125, 3.39990234375, 4.8994140625, 3.39990234375, 579.0, 141.0, 21.0, 14.0, 261.0, "Tous les candidats", 1187.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "8030", "Licence - Langues étrangères appliquées - Parcours Langues étrangères appliquées (LEA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8030&g_ta_cod=8030", 84.0, 10.0, 6.0),
(8577, "Public", "0221465Y", "CNAM Bretagne - école Vaucanson", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Ploufragan", "formation sélective", "Autre formation", "CNAM Bretagne - école Vaucanson - Formation Supérieure de Spécialisation -  Agroalimentaire", "Diplôme d'Université", "Agroalimentaire", 6, 2, 2, 1, 0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 1.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "33552", "Formation Supérieure de Spécialisation -  Agroalimentaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33552&g_ta_cod=33552", 0, 0, 0),
(8578, "Privé enseignement supérieur", "0101117K", "Yschools - École Supérieure de Tourisme de Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "Ecole de Commerce", "Yschools - École Supérieure de Tourisme de Troyes - Formation des écoles de commerce et de management Bac + 3 - Bachelor in Tourism management", "Formation des écoles de commerce et de management", "Bachelor in Tourism management", 70, 71, 56, 62, 0, 46, 5, 7, 1, 1, 1, 8, 9, 0, 2, 0, 7, 47, 5, 0, 0, 38, 4, 3, 1, 0, 0, 6, 52, 21, 18, 18, 3, 17.0, 17.0, 20.0, 0, 2, 15, 12, 3, 0, 6, 1, 2, 4, 8, 0, 0.0, 10, 2, 0, 0, 0, 6, 6, 80.95, 80.95, 95.24, 85.6875, 40.0, 40.0, 0, 13.298828125, 71.390625, 6.69921875, 13.298828125, 26.69921875, 53.296875, 0.0, 0.0, 80.0, 66.6875, 20.0, 13.298828125, 0.0, 0.0, 38.0, 4.0, 0.0, 0.0, 10.0, "Tous les candidats", 83.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "29429", "Formation des écoles de commerce et de management Bac + 3 - Bachelor in Tourism management", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29429&g_ta_cod=29429", 76.0, 19.0, 5.0),
(8579, "Privé sous contrat d'association", "0341470N", "Lycée agricole des Techniques Agricoles, Horticoles et Paysagères", "34", "Hérault", "Occitanie", "Montpellier", "Gignac", "formation sélective", "BTS", "Lycée agricole des Techniques Agricoles, Horticoles et Paysagères - BTS - Agricole - Production horticole", "BTS - Agricole", "", 17, 89, 40, 79, 0, 8, 2, 15, 2, 16, 6, 40, 10, 1, 0, 2, 7, 66, 7, 0, 0, 8, 2, 15, 2, 16, 6, 27, 65, 17, 8, 13, 4, 2.0, 13.0, 17.0, 0, 1, 6, 0, 1, 5, 11, 0, 3, 2, 1, 0, 0.0, 0, 1, 2, 2, 1, 5, 5, 11.76, 76.47, 100.0, 47.09375, 83.296875, 83.296875, 33.296875, 16.69921875, 35.296875, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 16.69921875, 16.69921875, 83.296875, 33.296875, 9.0, 2.0, 16.0, 6.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 84.0, "4593", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4593&g_ta_cod=4593", 53.0, 18.0, 29.0),
(8580, "Public", "0750650Z", "Lycée D'Alembert-Cuir", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée D'Alembert-Cuir - BTS - Production - Métiers de la mode-chaussure et maroquinerie", "BTS - Production", "", 24, 390, 303, 390, 0, 56, 14, 45, 17, 159, 49, 130, 0, 0, 0, 0, 0, 390, 0, 0, 0, 56, 14, 45, 17, 159, 49, 130, 102, 22, 17, 22, 0, 4.0, 13.0, 16.0, 0, 3, 12, 0, 2, 10, 10, 1, 3, 6, 2, 0, 0.0, 0, 2, 6, 0, 0, 2, 7, 18.18, 59.09, 72.73, 77.296875, 16.69921875, 58.296875, 0, 25.0, 54.5, 8.298828125, 25.0, 50.0, 16.69921875, 0.0, 0.0, 0.0, 0.0, 16.69921875, 16.69921875, 83.296875, 50.0, 5.0, 5.0, 50.0, 10.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 26.0, "12349", "BTS - Production - Métiers de la mode-chaussure et maroquinerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12349&g_ta_cod=12349", 27.0, 18.0, 55.0),
(8581, "Privé sous contrat d'association", "0851252Z", "MFR-IREO Les Herbiers", "85", "Vendée", "Pays de la Loire", "Nantes", "Les Herbiers", "formation sélective", "BTS", "MFR-IREO Les Herbiers - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 38, 116, 40, 116, 0, 8, 1, 22, 4, 74, 13, 12, 0, 0, 0, 0, 0, 89, 0, 0, 0, 7, 1, 16, 2, 64, 10, 2, 64, 27, 9, 27, 0, 24.0, 27.0, 27.0, 0, 1, 27, 0, 5, 22, 0, 0, 4, 13, 9, 1, 0.0, 0, 4, 19, 0, 0, 20, 20, 88.89, 100.0, 100.0, 33.296875, 74.09375, 74.09375, 0, 3.69970703125, 100.0, 0.0, 14.798828125, 48.09375, 33.296875, 3.7, 0.0, 0.0, 0.0, 18.5, 14.798828125, 81.5, 70.390625, 6.0, 1.0, 45.0, 6.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 76.0, "10531", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10531&g_ta_cod=10531", 0.0, 19.0, 81.0),
(8582, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Science Politique - Droit", "Licence - Droit-économie-gestion", "Science Politique - Droit", 350, 5944, 3975, 5944, 0, 4816, 756, 111, 44, 30, 19, 987, 0, 0, 0, 0, 0, 5944, 0, 0, 0, 4816, 756, 111, 44, 30, 19, 987, 1123, 345, 241, 345, 0, 42.0, 312.0, 326.0, 0, 48, 318, 317, 1, 0, 27, 2, 1, 34, 189, 87, 5.0, 314, 1, 0, 0, 0, 222, 222, 12.17, 90.43, 94.49, 69.890625, 69.796875, 69.796875, 0, 15.099609375, 92.1875, 0.5999755859375, 0.29998779296875, 10.69921875, 59.3984375, 27.4, 1.6, 99.6875, 98.6875, 0.29998779296875, 0.29998779296875, 0.0, 0.0, 953.0, 147.0, 4.0, 2.0, 158.0, "Tous les candidats", 1385.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "8531", "Licence - Portail Science Politique - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8531&g_ta_cod=8531", 100.0, 0.0, 0.0),
(8583, "Public", "0492360Z", "Université Angers - Campus de Saumur", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saumur", "formation non sélective", "Licence", "Université Angers - Campus de Saumur - Licence - Sciences sociales - Parcours Tourisme sportif, équestre et d'aventure", "Licence - Sciences humaines et sociales", "Tourisme sportif, équestre et d'aventure", 58, 210, 176, 195, 0, 119, 15, 28, 10, 9, 2, 39, 15, 4, 2, 1, 8, 195, 11, 0, 0, 119, 15, 28, 10, 9, 2, 39, 206, 46, 40, 42, 4, 42.0, 42.0, 44.0, 0, 6, 37, 27, 8, 2, 9, 0, 20, 11, 6, 0, 0.0, 14, 2, 1, 0, 0, 9, 9, 91.3, 91.3, 95.65, 87.0, 24.296875, 24.296875, 0, 16.19921875, 80.390625, 0.0, 54.09375, 29.69921875, 16.19921875, 0.0, 0.0, 73.0, 37.796875, 21.59765625, 5.3994140625, 5.3994140625, 2.69970703125, 123.0, 16.0, 10.0, 3.0, 44.0, "Tous les candidats", 195.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "13965", "Licence - Sciences sociales - Parcours Tourisme sportif, équestre et d'aventure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13965&g_ta_cod=13965", 70.0, 24.0, 7.0),
(8584, "Public", "0620229M", "EREA Saint Exupéry", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Berck", "formation sélective", "Autre formation", "EREA Saint Exupéry - Mention complémentaire - Assistance Conseil Vente à distance", "Mention complémentaire", "", 10, 35, 21, 31, 0, 0, 0, 3, 2, 10, 4, 18, 4, 0, 1, 1, 2, 12, 0, 0, 0, 0, 0, 2, 1, 10, 4, 0, 12, 4, 1, 4, 0, 4.0, 4.0, 4.0, 0, 1, 4, 0, 0, 4, 0, 0, 2, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 4, 4, 100.0, 100.0, 100.0, 25.0, 100.0, 100.0, 0, 25.0, 100.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 10.0, 4.0, 0.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "20181", "Mention complémentaire - Assistance Conseil Vente à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20181&g_ta_cod=20181", 0.0, 0.0, 100.0),
(8585, "Public", "0640220S", "Lycée agricole de Pau-Montardon", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Montardon", "formation sélective", "BTS", "Lycée agricole de Pau-Montardon - BTS - Agricole - productions animales", "BTS - Agricole", "", 32, 333, 205, 333, 0, 75, 10, 138, 35, 64, 19, 56, 0, 0, 0, 0, 0, 293, 0, 0, 0, 74, 10, 132, 34, 50, 15, 37, 113, 31, 18, 31, 0, 7.0, 28.0, 31.0, 0, 10, 30, 10, 15, 5, 1, 0, 2, 18, 10, 0, 0.0, 8, 15, 5, 9, 2, 19, 19, 22.58, 90.32, 100.0, 58.09375, 63.296875, 63.296875, 30, 33.296875, 96.796875, 0.0, 6.69921875, 60.0, 33.296875, 0.0, 0.0, 33.296875, 26.69921875, 50.0, 50.0, 16.69921875, 16.69921875, 34.0, 5.0, 31.0, 11.0, 6.0, "Tous les candidats sauf les Bac professionnels", 118.0, "Bacheliers professionnels toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 49.0, "7728", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7728&g_ta_cod=7728", 35.0, 48.0, 16.0),
(8586, "Privé sous contrat d'association", "0490824E", "Lycée général privé Saint Benoit Site Collégiale", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "CPGE", "Lycée général privé Saint Benoit Site Collégiale - CPGE - MPSI", "Classe préparatoire scientifique", "", 24, 414, 100, 414, 252, 364, 33, 0, 0, 0, 0, 50, 0, 0, 0, 0, 0, 334, 0, 209, 324, 325, 25, 0, 0, 0, 0, 9, 257, 30, 6, 30, 0, 11.0, 29.0, 30.0, 6, 3, 29, 29, 0, 0, 1, 0, 0, 8, 17, 4, 0.0, 29, 0, 0, 3, 1, 21, 21, 36.67, 96.67, 100.0, 20.0, 72.390625, 72.390625, 10.298828125, 10.298828125, 96.6875, 0.0, 0.0, 27.59765625, 58.59375, 13.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 250.0, 18.0, 0.0, 0.0, 7.0, "Tous les candidats", 331.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "5896", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5896&g_ta_cod=5896", 100.0, 0.0, 0.0),
(8587, "Public", "9741233X", "LPO Nelson Mandela", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Benoît", "formation sélective", "BTS", "LPO Nelson Mandela - BTS - Services - Gestion de la PME", "BTS - Services", "", 34, 553, 375, 553, 0, 45, 25, 214, 149, 169, 126, 125, 0, 0, 0, 0, 0, 330, 0, 0, 0, 31, 14, 147, 107, 106, 77, 46, 134, 31, 24, 31, 0, 5.0, 28.0, 30.0, 0, 19, 23, 3, 9, 11, 8, 0, 9, 12, 2, 0, 0.0, 0, 5, 9, 8, 6, 17, 17, 16.13, 90.32, 96.77, 77.390625, 73.890625, 73.890625, 34.796875, 82.59375, 74.1875, 0.0, 39.09375, 52.1953125, 8.69921875, 0.0, 0.0, 13.0, 0.0, 39.09375, 21.69921875, 47.796875, 39.09375, 8.0, 8.0, 49.0, 32.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 105, "Liste d'appel propre à cette formation", 38.0, "15857", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15857&g_ta_cod=15857", 13.0, 45.0, 42.0),
(8588, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues étrangères appliquées - Parcours LEA  Anglais - Allemand", "Licence - Arts-lettres-langues", "LEA  Anglais - Allemand", 70, 398, 310, 394, 0, 255, 57, 14, 7, 1, 0, 124, 4, 0, 0, 0, 4, 389, 3, 0, 0, 255, 57, 14, 7, 1, 0, 119, 250, 69, 55, 67, 2, 7.0, 50.0, 64.0, 0, 20, 52, 48, 4, 0, 17, 0, 15, 21, 14, 2, 0.0, 35, 2, 0, 0, 0, 6, 39, 10.14, 72.46, 92.75, 79.6875, 11.5, 75.0, 0, 38.5, 75.390625, 0.0, 28.796875, 40.3984375, 26.8984375, 3.8, 0.0, 92.296875, 67.296875, 7.69921875, 3.7998046875, 0.0, 0.0, 175.0, 40.0, 0.0, 0.0, 66.0, "Tous les candidats", 345.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "9241", "Licence - Langues étrangères appliquées - Parcours LEA  Anglais - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9241&g_ta_cod=9241", 90.0, 10.0, 0.0),
(8589, "Public", "9720003W", "Lycée Bellevue", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée Bellevue - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 12, 366, 276, 365, 0, 114, 50, 109, 54, 18, 12, 124, 1, 1, 0, 0, 0, 85, 0, 0, 0, 46, 18, 24, 7, 1, 1, 14, 46, 12, 10, 12, 0, 1.0, 11.0, 11.0, 0, 3, 8, 2, 6, 0, 4, 0, 0, 4, 4, 0, 0.0, 2, 6, 0, 3, 1, 7, 7, 8.33, 91.67, 91.67, 83.296875, 87.5, 87.5, 37.5, 37.5, 66.6875, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 25.0, 25.0, 75.0, 75.0, 0.0, 0.0, 21.0, 7.0, 1.0, 1.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 1, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 21.0, "11789", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11789&g_ta_cod=11789", 50.0, 50.0, 0.0),
(8590, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Portail Biologie Biochimie Terre et Environnement - BBTE", "Licence - Sciences - technologies - santé", "Biologie Biochimie Terre et Environnement - BBTE : Sciences de la vie et de la terre", 120, 1330, 881, 1287, 0, 819, 128, 37, 7, 6, 3, 425, 43, 9, 1, 0, 33, 1278, 38, 0, 0, 818, 127, 37, 7, 6, 3, 417, 862, 112, 57, 98, 13, 2.0, 46.0, 87.0, 0, 13, 76, 73, 3, 0, 36, 0, 27, 31, 16, 2, 0.0, 47, 2, 0, 0, 0, 46, 46, 1.79, 41.07, 77.68, 50.8984375, 60.5, 60.5, 0, 17.09765625, 67.890625, 0.0, 35.5, 40.796875, 21.09765625, 2.6, 0.0, 96.09375, 61.796875, 3.89990234375, 2.599609375, 0.0, 0.0, 521.0, 84.0, 0.0, 0.0, 331.0, "Tous les candidats", 1549.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 87.0, "23346", "Licence - Portail Biologie Biochimie Terre et Environnement - BBTE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23345&g_ta_cod=23346", 94.0, 6.0, 0.0),
(8591, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 300, 1975, 1083, 1757, 0, 947, 268, 364, 147, 88, 50, 358, 218, 22, 19, 27, 150, 1716, 196, 0, 0, 947, 268, 364, 147, 88, 50, 317, 1524, 283, 131, 186, 97, 10.0, 169.0, 223.0, 0, 71, 171, 92, 40, 39, 112, 1, 104, 54, 10, 2, 0.0, 43, 8, 15, 0, 0, 152, 152, 3.53, 59.72, 78.8, 46.296875, 88.890625, 88.890625, 0, 41.5, 60.3984375, 0.5999755859375, 60.796875, 31.59765625, 5.7998046875, 1.2, 0.0, 53.796875, 25.09765625, 23.3984375, 4.69921875, 22.796875, 8.798828125, 812.0, 228.0, 75.0, 47.0, 370.0, "Tous les candidats", 1718.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "6596", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6596&g_ta_cod=6596", 48.0, 28.0, 23.0),
(8592, "Public", "0801864S", "Lycée du Vimeu", "80", "Somme", "Hauts-de-France", "Amiens", "Friville-Escarbotin", "formation sélective", "BTS", "Lycée du Vimeu - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 15, 58, 3, 56, 0, 4, 2, 22, 4, 19, 6, 11, 2, 0, 2, 0, 0, 41, 1, 0, 0, 4, 2, 21, 3, 14, 6, 2, 34, 12, 0, 11, 1, 4.0, 9.0, 11.0, 0, 3, 11, 0, 3, 8, 1, 0, 5, 3, 2, 1, 0.0, 0, 0, 6, 9, 0, 11, 11, 33.33, 75.0, 91.67, 0.0, 100.0, 100.0, 81.796875, 27.296875, 91.6875, 0.0, 45.5, 27.296875, 18.19921875, 9.1, 0.0, 0.0, 0.0, 27.296875, 0.0, 72.6875, 54.5, 2.0, 1.0, 10.0, 3.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 64.0, "10245", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10245&g_ta_cod=10245", 0.0, 33.0, 67.0),
(8593, "Public", "0592763H", "CENTRE REGIONAL ASSOCIE AU CONSERVATOIRE NATIONAL DES ARTS ET METIERS DE PARIS", "59", "Nord", "Hauts-de-France", "Lille", "Maubeuge", "formation sélective", "Autre formation", "CENTRE REGIONAL ASSOCIE AU CONSERVATOIRE NATIONAL DES ARTS ET METIERS DE PARIS - Formation Supérieure de Spécialisation - Architecture et bâtiment", "Diplôme d'Université", "Architecture et bâtiment", 15, 55, 36, 25, 0, 7, 0, 1, 0, 2, 2, 15, 30, 4, 5, 0, 21, 10, 4, 0, 0, 5, 0, 1, 0, 2, 2, 2, 15, 2, 2, 1, 1, 1.0, 1.0, 1.0, 0, 0, 1, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 50.0, 50.0, 50.0, 100.0, 0.0, 0.0, 0, 0.0, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 6.0, 1.0, 2.0, 2.0, 3.0, "Tous les candidats", 11.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "33498", "Formation Supérieure de Spécialisation - Architecture et bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33498&g_ta_cod=33498", 100.0, 0.0, 0.0),
(8594, "Public", "0590102Q", "Iteem", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "Ecole d'Ingénieur", "Iteem - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "", 62, 568, 176, 531, 0, 445, 50, 0, 0, 0, 0, 86, 37, 13, 0, 0, 24, 127, 1, 0, 0, 123, 9, 0, 0, 0, 0, 4, 119, 55, 28, 54, 1, 33.0, 54.0, 54.0, 0, 3, 55, 55, 0, 0, 0, 1, 0, 0, 23, 27, 4.0, 54, 0, 0, 0, 0, 29, 29, 60.0, 98.18, 98.18, 50.8984375, 52.6953125, 52.6953125, 0, 5.5, 100.0, 1.7998046875, 0.0, 0.0, 41.796875, 49.1, 7.3, 100.0, 98.1875, 0.0, 0.0, 0.0, 0.0, 116.0, 10.0, 0.0, 0.0, 3.0, "Tous les candidats", 127.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "6772", "Formation d'ingénieur Bac + 5", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6772&g_ta_cod=6772", 100.0, 0.0, 0.0),
(8595, "Public", "0831483L", "I.U.T de Toulon - Antenne de Draguignan", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Draguignan", "formation sélective", "BUT", "I.U.T de Toulon - Antenne de Draguignan - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", 60, 1248, 600, 1174, 0, 633, 148, 309, 107, 25, 10, 207, 74, 3, 30, 1, 40, 790, 14, 0, 0, 512, 116, 206, 64, 6, 2, 66, 421, 55, 26, 52, 2, 7.0, 38.0, 49.0, 0, 12, 47, 27, 20, 0, 8, 0, 10, 29, 8, 0, 0.0, 21, 16, 0, 0, 0, 41, 41, 12.73, 69.09, 89.09, 47.296875, 87.1875, 87.1875, 0, 25.5, 85.5, 0.0, 21.296875, 61.6953125, 17.0, 0.0, 0.0, 57.3984375, 44.6953125, 42.59375, 34.0, 0.0, 0.0, 219.0, 52.0, 1.0, 0.0, 39.0, "Tous les candidats sauf les Bac technologiques", 453.0, "Bacheliers technologiques toutes séries", 209, "", 0, "Liste d'appel propre à cette formation", 56.0, "10397", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10397&g_ta_cod=10397", 64.0, 36.0, 0.0),
(8596, "Public", "0310046G", "Lycée Hotellerie Et Tourisme d'Occitanie", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée Hotellerie Et Tourisme d'Occitanie - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 12, 149, 126, 149, 0, 1, 0, 20, 3, 78, 40, 50, 0, 0, 0, 0, 0, 118, 0, 0, 0, 1, 0, 20, 3, 67, 32, 30, 52, 11, 9, 11, 0, 4.0, 7.0, 10.0, 0, 5, 8, 0, 1, 7, 3, 0, 3, 4, 0, 1, 0.0, 0, 0, 5, 0, 0, 6, 6, 36.36, 63.64, 90.91, 81.796875, 75.0, 75.0, 0, 62.5, 72.6875, 0.0, 37.5, 50.0, 0.0, 12.5, 0.0, 0.0, 0.0, 12.5, 0.0, 87.5, 62.5, 1.0, 0.0, 33.0, 17.0, 9.0, "Tous les candidats", 82.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "20109", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20109&g_ta_cod=20109", 9.0, 18.0, 73.0),
(8597, "Public", "0130051K", "Lycée Marie Curie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation sélective", "Autre formation", "Lycée Marie Curie - DN MADE - Événement - - Spécialité : Dispositifs de scénographie urbaine, commerciale et culturelle", "DN MADE", "- Spécialité : Dispositifs de scénographie urbaine, commerciale et culturelle", 15, 413, 376, 413, 0, 127, 26, 140, 24, 43, 8, 103, 0, 0, 0, 0, 0, 316, 0, 0, 0, 101, 17, 131, 23, 34, 6, 50, 87, 14, 14, 14, 0, 0.0, 12.0, 12.0, 0, 1, 12, 3, 8, 1, 2, 0, 1, 6, 5, 0, 0.0, 2, 8, 1, 0, 0, 3, 3, 0.0, 85.71, 85.71, 100.0, 25.0, 25.0, 0, 8.298828125, 85.6875, 0.0, 8.298828125, 50.0, 41.6953125, 0.0, 0.0, 25.0, 16.69921875, 66.6875, 66.6875, 8.298828125, 8.298828125, 9.0, 0.0, 6.0, 0.0, 11.0, "Tous les candidats", 114.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "24101", "DN MADE - Événement - - Spécialité : Dispositifs de scénographie urbaine, commerciale et culturelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24101&g_ta_cod=24101", 29.0, 57.0, 14.0),
(8598, "Privé sous contrat d'association", "0640176U", "Institut du Travail Social de Pau", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "EFTS", "Institut du Travail Social de Pau - D.E Educateur Spécialisé", "D.E secteur social", "", 51, 300, 246, 300, 0, 44, 11, 43, 10, 27, 6, 186, 0, 0, 0, 0, 0, 189, 0, 0, 0, 23, 4, 27, 7, 14, 3, 125, 98, 51, 43, 51, 0, 20.0, 44.0, 48.0, 0, 6, 15, 5, 6, 4, 36, 0, 3, 1, 10, 1, 0.0, 2, 6, 4, 0, 0, 14, 14, 39.22, 86.27, 94.12, 84.296875, 93.296875, 93.296875, 0, 40.0, 29.3984375, 0.0, 20.0, 6.69921875, 66.6875, 6.7, 0.0, 33.296875, 13.298828125, 40.0, 40.0, 26.69921875, 26.69921875, 11.0, 3.0, 6.0, 1.0, 71.0, "Tous les candidats", 111.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "24964", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24964&g_ta_cod=24964", 35.0, 39.0, 25.0),
(8599, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "PASS", "Universite Jean Monnet, Saint-Etienne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 60, 1859, 1397, 1859, 0, 1439, 276, 61, 27, 13, 9, 346, 0, 0, 0, 0, 0, 1836, 0, 0, 0, 1439, 276, 61, 27, 13, 9, 323, 377, 60, 53, 60, 0, 4.0, 42.0, 53.0, 0, 17, 53, 53, 0, 0, 7, 0, 10, 25, 15, 2, 1.0, 43, 0, 0, 0, 0, 37, 37, 6.67, 70.0, 88.33, 88.296875, 69.796875, 69.796875, 0, 32.09375, 88.296875, 0.0, 18.8984375, 47.1953125, 28.296875, 3.8, 1.9, 100.0, 81.09375, 0.0, 0.0, 0.0, 0.0, 358.0, 66.0, 0.0, 0.0, 19.0, "Tous les candidats", 1413.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "27884", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27845&g_ta_cod=27884", 100.0, 0.0, 0.0),
(8600, "Public", "0281077U", "Lycée Silvia Monfort", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Luisant", "formation sélective", "BTS", "Lycée Silvia Monfort - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 176, 107, 176, 0, 15, 4, 44, 14, 55, 23, 62, 0, 0, 0, 0, 0, 100, 0, 0, 0, 12, 3, 33, 10, 40, 15, 15, 77, 20, 14, 18, 0, 5.0, 13.0, 16.0, 0, 4, 16, 1, 8, 7, 4, 0, 4, 11, 1, 0, 0.0, 1, 7, 4, 5, 3, 16, 16, 25.0, 65.0, 80.0, 70.0, 100.0, 100.0, 31.296875, 25.0, 80.0, 0.0, 25.0, 68.796875, 6.2998046875, 0.0, 0.0, 6.2998046875, 6.2998046875, 50.0, 43.796875, 43.796875, 25.0, 12.0, 3.0, 30.0, 9.0, 10.0, "Tous les candidats sauf les Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 51.0, "3754", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3754&g_ta_cod=3754", 15.0, 45.0, 40.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(8601, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Institut Catholique Paris - Licence - Sciences de l'éducation - Parcours Education, enseignement et formation", "Licence - Sciences humaines et sociales", "Education, enseignement et formation", 120, 644, 564, 644, 0, 308, 38, 65, 16, 15, 2, 256, 0, 0, 0, 0, 0, 644, 0, 0, 0, 308, 38, 65, 16, 15, 2, 256, 490, 116, 101, 116, 0, 74.0, 108.0, 108.0, 0, 11, 74, 60, 12, 2, 42, 0, 37, 22, 12, 3, 0.0, 32, 4, 1, 0, 0, 19, 64, 63.79, 93.1, 93.1, 87.09375, 25.69921875, 86.5, 0, 14.8984375, 63.796875, 0.0, 50.0, 29.69921875, 16.19921875, 4.1, 0.0, 81.09375, 43.1953125, 16.19921875, 5.3994140625, 2.69970703125, 1.39990234375, 274.0, 29.0, 14.0, 2.0, 145.0, "Tous les candidats", 506.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "17273", "Licence - Sciences de l'éducation - Parcours Education, enseignement et formation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17273&g_ta_cod=17273", 71.0, 20.0, 9.0),
(8602, "Public", "9760229V", "Lycée de Petite Terre", "976", "Mayotte", "Mayotte", "Mayotte", "Pamandzi", "formation sélective", "BTS", "Lycée de Petite Terre - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 799, 496, 799, 0, 153, 89, 264, 172, 155, 82, 227, 0, 0, 0, 0, 0, 418, 0, 0, 0, 89, 49, 158, 113, 95, 53, 76, 64, 18, 11, 18, 0, 5.0, 16.0, 17.0, 0, 10, 17, 2, 10, 5, 1, 0, 7, 8, 2, 0, 0.0, 2, 5, 3, 8, 4, 17, 17, 27.78, 88.89, 94.44, 61.09375, 100.0, 100.0, 47.09375, 58.796875, 94.390625, 0.0, 41.1953125, 47.09375, 11.798828125, 0.0, 0.0, 11.798828125, 11.798828125, 58.796875, 29.3984375, 29.3984375, 17.59765625, 9.0, 7.0, 21.0, 11.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 12.0, "13673", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13673&g_ta_cod=13673", 17.0, 56.0, 28.0),
(8603, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence", "Institut national universitaire Champollion - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 155, 2202, 1874, 2202, 0, 1159, 272, 274, 79, 159, 62, 610, 0, 0, 0, 0, 0, 2200, 0, 0, 0, 1159, 272, 274, 79, 159, 62, 608, 691, 157, 129, 157, 0, 23.0, 127.0, 157.0, 0, 33, 125, 92, 17, 16, 32, 0, 19, 55, 39, 12, 0.0, 83, 11, 12, 0, 0, 108, 108, 14.65, 80.89, 100.0, 82.1875, 86.390625, 86.390625, 0, 26.3984375, 79.59375, 0.0, 15.19921875, 44.0, 31.19921875, 9.6, 0.0, 73.59375, 66.390625, 13.599609375, 8.798828125, 12.798828125, 9.599609375, 353.0, 89.0, 78.0, 33.0, 168.0, "Tous les candidats", 1166.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 47.0, "10305", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29689&g_ta_cod=10305", 69.0, 15.0, 15.0),
(8604, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence_Las", "Université Bordeaux Montaigne - Licence - Portail Philosophie - Licence 1 Philosophie", "Licence - Sciences humaines et sociales", "Licence 1 Philosophie", 40, 345, 248, 343, 0, 178, 46, 21, 10, 10, 7, 134, 2, 0, 0, 0, 2, 341, 2, 0, 0, 178, 46, 21, 10, 10, 7, 132, 180, 38, 30, 35, 2, 3.0, 23.0, 31.0, 0, 6, 16, 13, 2, 1, 22, 0, 4, 10, 2, 0, 0.0, 10, 1, 1, 0, 0, 12, 12, 7.89, 60.53, 81.58, 78.890625, 75.0, 75.0, 0, 37.5, 42.09375, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 81.296875, 62.5, 12.5, 6.2998046875, 6.2998046875, 6.2998046875, 86.0, 24.0, 4.0, 4.0, 82.0, "Tous les candidats", 719.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 78.0, "26922", "Licence - Portail Philosophie - Licence 1 Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26921&g_ta_cod=26922", 63.0, 21.0, 8.0),
(8605, "Public", "0130051K", "Lycée Marie Curie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 839, 585, 839, 0, 36, 22, 294, 175, 248, 173, 261, 0, 0, 0, 0, 0, 533, 0, 0, 0, 33, 20, 200, 118, 162, 108, 138, 187, 34, 23, 34, 0, 4.0, 19.0, 25.0, 0, 17, 21, 1, 11, 9, 13, 0, 7, 12, 1, 1, 0.0, 0, 7, 7, 5, 4, 21, 21, 11.76, 55.88, 73.53, 67.59375, 100.0, 100.0, 23.796875, 81.0, 61.796875, 0.0, 33.296875, 57.09375, 4.7998046875, 4.8, 0.0, 4.7998046875, 0.0, 52.3984375, 33.296875, 42.8984375, 33.296875, 20.0, 15.0, 55.0, 34.0, 52.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 120, "Bacheliers technologiques toutes séries", 104, "Liste d'appel propre à cette formation", 35.0, "2585", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2585&g_ta_cod=2585", 24.0, 38.0, 38.0),
(8606, "Public", "0740003B", "Lycée Berthollet", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "CPGE", "Lycée Berthollet - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 2020, 579, 2020, 1566, 1769, 126, 14, 5, 0, 0, 237, 0, 0, 0, 0, 0, 1566, 0, 1277, 1479, 1539, 93, 0, 0, 0, 0, 27, 764, 90, 25, 90, 0, 20.0, 45.0, 81.0, 54, 13, 90, 90, 0, 0, 0, 0, 0, 4, 34, 50, 2.0, 90, 0, 0, 4, 0, 57, 57, 22.22, 50.0, 90.0, 27.796875, 63.296875, 63.296875, 4.3994140625, 14.3984375, 100.0, 0.0, 0.0, 4.3994140625, 37.796875, 55.6, 2.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 755.0, 85.0, 0.0, 0.0, 9.0, "Tous les candidats", 889.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "8844", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8844&g_ta_cod=8844", 100.0, 0.0, 0.0),
(8607, "Public", "0710026T", "Lycée LEON BLUM", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Le Creusot", "formation sélective", "BTS", "Lycée LEON BLUM - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 178, 25, 169, 0, 6, 1, 33, 8, 63, 12, 67, 9, 0, 0, 6, 3, 139, 0, 0, 0, 6, 1, 33, 8, 35, 6, 65, 70, 11, 1, 10, 0, 3.0, 10.0, 10.0, 0, 1, 7, 0, 2, 5, 4, 0, 3, 3, 1, 0, 0.0, 0, 0, 4, 3, 1, 7, 7, 27.27, 90.91, 90.91, 9.099609375, 100.0, 100.0, 42.8984375, 14.298828125, 63.59375, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 0.0, 0.0, 28.59765625, 0.0, 71.390625, 57.09375, 4.0, 1.0, 34.0, 6.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 45.0, "8629", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8629&g_ta_cod=8629", 9.0, 36.0, 45.0),
(8608, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Sciences pour l'ingénieur - Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", "Licence - Sciences - technologies - santé", "Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", 60, 703, 232, 627, 0, 387, 74, 41, 10, 4, 4, 195, 76, 14, 2, 1, 59, 612, 42, 0, 0, 387, 74, 41, 10, 4, 4, 180, 478, 40, 11, 27, 12, 1.0, 23.0, 31.0, 0, 6, 19, 17, 2, 0, 21, 0, 11, 6, 1, 1, 0.0, 8, 0, 0, 0, 0, 14, 14, 2.5, 57.5, 77.5, 27.5, 73.6875, 73.6875, 0, 31.59765625, 47.5, 0.0, 57.8984375, 31.59765625, 5.2998046875, 5.3, 0.0, 89.5, 42.09375, 10.5, 0.0, 0.0, 0.0, 291.0, 48.0, 2.0, 2.0, 167.0, "Tous les candidats", 646.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "27890", "Licence - Portail Sciences pour l'ingénieur - Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32252&g_ta_cod=27890", 85.0, 13.0, 3.0),
(8609, "Public", "0950641F", "Lycée Jean Jaures", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "BTS", "Lycée Jean Jaures - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 15, 126, 7, 126, 0, 4, 2, 15, 5, 56, 19, 51, 0, 0, 0, 0, 0, 126, 0, 0, 0, 4, 2, 15, 5, 56, 19, 51, 44, 14, 0, 14, 0, 0.0, 12.0, 14.0, 0, 3, 11, 0, 1, 10, 3, 0, 6, 5, 0, 0, 0.0, 0, 0, 5, 3, 0, 8, 11, 0.0, 85.71, 100.0, 0.0, 72.6875, 100.0, 27.296875, 27.296875, 78.59375, 0.0, 54.5, 45.5, 0.0, 0.0, 0.0, 0.0, 0.0, 9.099609375, 0.0, 90.890625, 45.5, 0.0, 0.0, 29.0, 9.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 56.0, "11558", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11558&g_ta_cod=11558", 0.0, 14.0, 86.0),
(8610, "Public", "0230051F", "Lycée Jean Favard", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Guéret", "formation sélective", "BTS", "Lycée Jean Favard - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 24, 108, 12, 92, 0, 5, 0, 24, 3, 32, 9, 31, 16, 0, 2, 11, 3, 92, 9, 0, 0, 5, 0, 24, 3, 32, 9, 31, 77, 10, 2, 8, 2, 4.0, 8.0, 10.0, 0, 2, 9, 0, 3, 6, 1, 0, 4, 4, 1, 0, 0.0, 0, 2, 3, 3, 1, 6, 6, 40.0, 80.0, 100.0, 20.0, 66.6875, 66.6875, 33.296875, 22.19921875, 90.0, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 0.0, 0.0, 33.296875, 22.19921875, 66.6875, 33.296875, 1.0, 0.0, 38.0, 10.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 82.0, "3404", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3404&g_ta_cod=3404", 10.0, 30.0, 60.0),
(8611, "Privé sous contrat d'association", "0592932S", "Lycée Sainte Marie", "59", "Nord", "Hauts-de-France", "Lille", "Beaucamps-Ligny", "formation sélective", "CPGE", "Lycée Sainte Marie - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 320, 107, 280, 183, 161, 23, 0, 0, 1, 1, 118, 40, 16, 0, 0, 24, 189, 21, 125, 183, 147, 21, 0, 0, 0, 0, 42, 163, 23, 6, 19, 4, 5.0, 19.0, 21.0, 11, 1, 11, 11, 0, 0, 12, 0, 3, 5, 3, 0, 0.0, 8, 0, 0, 2, 1, 7, 7, 21.74, 82.61, 91.3, 26.09765625, 63.59375, 63.59375, 18.19921875, 9.099609375, 47.796875, 0.0, 27.296875, 45.5, 27.296875, 0.0, 0.0, 100.0, 72.6875, 0.0, 0.0, 0.0, 0.0, 109.0, 13.0, 0.0, 0.0, 54.0, "Tous les candidats", 189.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "6915", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6915&g_ta_cod=6915", 100.0, 0.0, 0.0),
(8612, "Privé sous contrat d'association", "0131681G", "Lycée Chimie et Biologie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 11e  Arrondissement", "formation sélective", "BTS", "Lycée Chimie et Biologie - BTS - Production - Biotechnologies", "BTS - Production", "", 15, 338, 207, 321, 0, 79, 20, 95, 31, 12, 9, 135, 17, 1, 0, 6, 10, 165, 9, 0, 0, 51, 13, 32, 9, 8, 5, 74, 109, 14, 5, 11, 3, 1.0, 5.0, 7.0, 0, 1, 3, 2, 1, 0, 11, 0, 2, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 7.14, 35.71, 50.0, 35.6953125, 66.6875, 66.6875, 0, 33.296875, 21.3984375, 0.0, 66.6875, 0.0, 33.296875, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 30.0, 7.0, 10.0, 7.0, 46.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 77.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 40.0, "14669", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14669&g_ta_cod=14669", 57.0, 43.0, 0.0),
(8613, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales", "Licence - Sciences - technologies - santé", "", 40, 165, 58, 119, 0, 78, 30, 4, 2, 4, 3, 33, 46, 8, 2, 4, 32, 119, 40, 0, 0, 78, 30, 4, 2, 4, 3, 33, 149, 20, 5, 11, 9, 5.0, 10.0, 17.0, 0, 4, 11, 9, 0, 2, 9, 0, 5, 3, 1, 2, 0.0, 5, 0, 1, 0, 0, 8, 8, 25.0, 50.0, 85.0, 25.0, 72.6875, 72.6875, 0, 36.3984375, 55.0, 0.0, 45.5, 27.296875, 9.099609375, 18.2, 0.0, 81.796875, 45.5, 0.0, 0.0, 18.19921875, 9.099609375, 83.0, 32.0, 8.0, 6.0, 52.0, "Tous les candidats", 120.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "26392", "Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26392&g_ta_cod=26392", 65.0, 10.0, 25.0),
(8614, "Privé sous contrat d'association", "0590347G", "ISEN Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 10, 253, 76, 237, 0, 0, 0, 0, 0, 0, 0, 237, 16, 0, 0, 0, 16, 194, 4, 0, 0, 0, 0, 0, 0, 0, 0, 194, 175, 12, 1, 8, 4, 7.0, 8.0, 12.0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 58.33, 66.67, 100.0, 8.298828125, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 175.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "22847", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22847", 100.0, 0.0, 0.0),
(8615, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues étrangères appliquées - Parcours Anglais-Allemand débutant", "Licence - Arts-lettres-langues", "Anglais-Allemand débutant", 20, 105, 71, 88, 0, 38, 8, 5, 2, 4, 1, 41, 17, 5, 2, 0, 10, 88, 12, 0, 0, 38, 8, 5, 2, 4, 1, 41, 84, 20, 15, 13, 7, 4.0, 12.0, 17.0, 0, 5, 8, 6, 2, 0, 12, 1, 5, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 6, 6, 20.0, 60.0, 85.0, 75.0, 75.0, 75.0, 0, 62.5, 40.0, 12.5, 62.5, 12.5, 12.5, 0.0, 0.0, 75.0, 25.0, 25.0, 0.0, 0.0, 0.0, 30.0, 8.0, 4.0, 1.0, 44.0, "Tous les candidats", 88.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12310", "Licence - Langues étrangères appliquées - Parcours Anglais-Allemand débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12310&g_ta_cod=12310", 65.0, 25.0, 10.0),
(8616, "Public", "0210019G", "Lycée Le Castel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Le Castel - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 24, 929, 662, 929, 0, 299, 58, 251, 55, 43, 12, 336, 0, 0, 0, 0, 0, 626, 0, 0, 0, 269, 49, 200, 43, 19, 4, 138, 154, 24, 23, 24, 0, 0.0, 17.0, 20.0, 0, 4, 22, 13, 7, 2, 2, 1, 2, 11, 6, 2, 0.0, 10, 7, 2, 6, 6, 13, 13, 0.0, 70.83, 83.33, 95.796875, 59.09375, 59.09375, 27.296875, 18.19921875, 91.6875, 4.5, 9.099609375, 50.0, 27.296875, 9.1, 0.0, 59.09375, 45.5, 31.796875, 31.796875, 9.099609375, 9.099609375, 87.0, 17.0, 11.0, 2.0, 29.0, "Tous les candidats sauf les Bac professionnels", 276.0, "Bacheliers professionnels toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 32.0, "3193", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3193&g_ta_cod=3193", 58.0, 29.0, 13.0),
(8617, "Public", "0952261S", "CY TECH - Université de Cergy-Pontoise", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "Concours GalaxY - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "Ingénieur en Biotechnologies et Chimie - voie recherche Chimie", 15, 264, 135, 228, 0, 221, 41, 0, 0, 0, 0, 7, 36, 34, 0, 0, 2, 111, 6, 0, 0, 111, 19, 0, 0, 0, 0, 0, 92, 12, 11, 10, 2, 4.0, 10.0, 11.0, 0, 2, 12, 12, 0, 0, 0, 0, 0, 2, 6, 4, 0.0, 12, 0, 0, 0, 0, 5, 7, 33.33, 83.33, 91.67, 91.6875, 41.6953125, 58.296875, 0, 16.69921875, 100.0, 0.0, 0.0, 16.69921875, 50.0, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 92.0, 18.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "31245", "Formation d'ingénieur Bac + 5", "Concours GalaxY", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31208&g_ta_cod=31245", 100.0, 0.0, 0.0),
(8618, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence_Las", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Sciences de l'homme et de la société (Anthropologie - Géographie et aménagement - Histoire - Sociologie)", "Licence - Sciences humaines et sociales", "Sciences de l'homme et de la société (Anthropologie - Géographie et aménagement - Histoire - Sociologie)", 32, 564, 355, 557, 0, 273, 70, 31, 12, 15, 7, 238, 7, 2, 1, 1, 3, 550, 5, 0, 0, 273, 70, 31, 12, 15, 7, 231, 262, 32, 23, 27, 4, 2.0, 14.0, 19.0, 0, 3, 16, 13, 3, 0, 16, 0, 3, 9, 4, 0, 0.0, 10, 3, 0, 0, 0, 9, 9, 6.25, 43.75, 59.38, 71.890625, 56.296875, 56.296875, 0, 18.796875, 50.0, 0.0, 18.796875, 56.296875, 25.0, 0.0, 0.0, 81.296875, 62.5, 18.796875, 18.796875, 0.0, 0.0, 131.0, 26.0, 2.0, 1.0, 118.0, "Tous les candidats", 1135.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 56.0, "28774", "Licence - Portail Sciences de l'homme et de la société (Anthropologie - Géographie et aménagement - Histoire - Sociologie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28773&g_ta_cod=28774", 75.0, 19.0, 3.0),
(8619, "Privé sous contrat d'association", "0350777E", "Lycée St Martin", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée St Martin - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 596, 530, 591, 0, 55, 12, 152, 31, 217, 65, 167, 5, 0, 0, 2, 3, 437, 0, 0, 0, 52, 12, 133, 22, 169, 44, 83, 199, 35, 33, 35, 0, 4.0, 25.0, 33.0, 0, 6, 30, 6, 8, 16, 5, 0, 7, 15, 7, 1, 0.0, 4, 6, 13, 1, 1, 27, 27, 11.43, 71.43, 94.29, 94.296875, 90.0, 90.0, 3.2998046875, 20.0, 85.6875, 0.0, 23.296875, 50.0, 23.296875, 3.3, 0.0, 20.0, 13.298828125, 26.69921875, 20.0, 53.296875, 43.296875, 29.0, 7.0, 92.0, 23.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 141, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 51.0, "4681", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4681&g_ta_cod=4681", 20.0, 34.0, 46.0),
(8620, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence_Las", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations, parcours Europe - Roumain", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Europe - Roumain", 10, 64, 49, 39, 0, 21, 5, 5, 3, 0, 0, 13, 25, 6, 3, 1, 15, 39, 21, 0, 0, 21, 5, 5, 3, 0, 0, 13, 49, 9, 8, 4, 5, 0.0, 4.0, 4.0, 0, 3, 4, 3, 1, 0, 5, 0, 3, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 2, 4, 0.0, 44.44, 44.44, 88.890625, 50.0, 100.0, 0, 75.0, 44.3984375, 0.0, 75.0, 0.0, 25.0, 0.0, 0.0, 75.0, 25.0, 25.0, 0.0, 0.0, 0.0, 22.0, 7.0, 1.0, 0.0, 22.0, "Tous les candidats", 62.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 95.0, "29612", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations, parcours Europe - Roumain", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29611&g_ta_cod=29612", 89.0, 11.0, 0.0),
(8621, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Sciences du langage - Parcours Licence 1 Sciences du langage", "Licence - Sciences humaines et sociales", "Licence 1 Sciences du langage", 190, 749, 607, 535, 0, 339, 70, 16, 3, 2, 1, 178, 214, 54, 7, 2, 151, 533, 206, 0, 0, 339, 70, 16, 3, 2, 1, 176, 739, 165, 127, 94, 71, 93.0, 94.0, 140.0, 0, 15, 79, 74, 3, 2, 86, 0, 34, 34, 10, 1, 0.0, 44, 1, 0, 0, 0, 57, 57, 56.36, 56.97, 84.85, 77.0, 72.1875, 72.1875, 0, 19.0, 47.8984375, 0.0, 43.0, 43.0, 12.69921875, 1.3, 0.0, 93.6875, 55.6953125, 3.7998046875, 1.2998046875, 2.5, 0.0, 393.0, 78.0, 4.0, 2.0, 319.0, "Tous les candidats", 533.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4409", "Licence - Sciences du langage - Parcours Licence 1 Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4409&g_ta_cod=4409", 89.0, 8.0, 2.0),
(8622, "Public", "0382440W", "Lycée des Métiers - Léonard de Vinci", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Villefontaine", "formation sélective", "BTS", "Lycée des Métiers - Léonard de Vinci - BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "BTS - Services", "", 10, 1039, 365, 1039, 0, 508, 80, 109, 33, 107, 35, 315, 0, 0, 0, 0, 0, 94, 0, 0, 0, 39, 5, 10, 0, 31, 12, 14, 29, 10, 3, 10, 0, 2.0, 9.0, 9.0, 0, 3, 9, 5, 2, 2, 1, 0, 0, 0, 9, 0, 0.0, 5, 2, 2, 0, 0, 5, 5, 20.0, 90.0, 90.0, 30.0, 55.59375, 55.59375, 0, 33.296875, 90.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 55.59375, 55.59375, 22.19921875, 22.19921875, 22.19921875, 22.19921875, 17.0, 4.0, 4.0, 1.0, 3.0, "Tous les candidats sauf les Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 3, "", 0, "Liste d'appel propre à cette formation", 3.0, "5106", "BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5106&g_ta_cod=5106", 50.0, 30.0, 20.0),
(8623, "Public", "0790024X", "Lycée Paul Guerin", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BTS", "Lycée Paul Guerin - BTS - Production - Conception et réalisation de carrosseries", "BTS - Production", "", 20, 169, 12, 158, 0, 5, 1, 46, 13, 42, 11, 65, 11, 0, 2, 5, 4, 80, 6, 0, 0, 5, 1, 29, 7, 38, 10, 8, 66, 16, 0, 12, 4, 6.0, 12.0, 15.0, 0, 1, 13, 0, 2, 11, 3, 0, 2, 3, 7, 1, 0.0, 0, 1, 10, 0, 0, 4, 4, 37.5, 75.0, 93.75, 0.0, 30.796875, 30.796875, 0, 7.69921875, 81.296875, 0.0, 15.3984375, 23.09765625, 53.796875, 7.7, 0.0, 0.0, 0.0, 15.3984375, 7.69921875, 84.59375, 76.890625, 4.0, 1.0, 33.0, 7.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 50.0, "10108", "BTS - Production - Conception et réalisation de carrosseries", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10108&g_ta_cod=10108", 0.0, 25.0, 75.0),
(8624, "Public", "0932074Z", "Lycée Marcel Cachin", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Ouen-sur-Seine", "formation sélective", "BTS", "Lycée Marcel Cachin - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 24, 444, 14, 444, 0, 11, 1, 68, 28, 270, 133, 95, 0, 0, 0, 0, 0, 444, 0, 0, 0, 11, 1, 68, 28, 270, 133, 95, 108, 18, 0, 18, 0, 4.0, 13.0, 13.0, 0, 6, 15, 1, 2, 12, 3, 0, 5, 9, 1, 0, 0.0, 0, 1, 9, 4, 0, 11, 15, 22.22, 72.22, 72.22, 0.0, 73.296875, 100.0, 26.69921875, 40.0, 83.296875, 0.0, 33.296875, 60.0, 6.69921875, 0.0, 0.0, 6.69921875, 0.0, 13.298828125, 6.69921875, 80.0, 60.0, 7.0, 1.0, 64.0, 34.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 105, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 40.0, "20291", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20291&g_ta_cod=20291", 6.0, 22.0, 72.0),
(8625, "Privé enseignement supérieur", "0310155A", "Institut Catholique de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Institut Catholique de Toulouse - Licence - Droit - Parcours Science Politique", "Licence - Droit-économie-gestion", "Science Politique", 45, 859, 571, 859, 0, 697, 76, 18, 5, 5, 4, 139, 0, 0, 0, 0, 0, 789, 0, 0, 0, 677, 74, 1, 0, 2, 2, 109, 198, 44, 29, 44, 0, 5.0, 36.0, 42.0, 0, 3, 43, 43, 0, 0, 1, 0, 0, 6, 32, 5, 0.0, 43, 0, 0, 0, 0, 26, 26, 11.36, 81.82, 95.45, 65.890625, 60.5, 60.5, 0, 7.0, 97.6875, 0.0, 0.0, 14.0, 74.390625, 11.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 183.0, 15.0, 0.0, 0.0, 15.0, "Tous les candidats", 268.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "15615", "Licence - Droit - Parcours Science Politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15615&g_ta_cod=15615", 100.0, 0.0, 0.0),
(8626, "Public", "0580758J", "Université de Bourgogne - site de Nevers", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation non sélective", "PASS", "Université de Bourgogne - site de Dijon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Sciences de la vie et de la terre", 4, 2122, 1469, 2122, 0, 1639, 281, 59, 13, 7, 2, 417, 0, 0, 0, 0, 0, 2112, 0, 0, 0, 1640, 282, 59, 13, 7, 2, 406, 46, 3, 2, 3, 0, 0.0, 1.0, 3.0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 1, 1, 1.0, 3, 0, 0, 0, 0, 3, 3, 0.0, 33.33, 100.0, 66.6875, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 33.296875, 33.3, 33.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 43.0, 5.0, 0.0, 0.0, 3.0, "Tous les candidats", 2147.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "28061", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27662&g_ta_cod=28061", 100.0, 0.0, 0.0),
(8627, "Privé enseignement supérieur", "0451662M", "CESI Campus d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 25, 840, 120, 828, 0, 619, 63, 63, 12, 0, 0, 146, 12, 6, 1, 0, 5, 617, 0, 0, 0, 489, 39, 50, 6, 0, 0, 78, 133, 20, 3, 20, 0, 9.0, 18.0, 20.0, 0, 4, 20, 18, 2, 0, 0, 0, 8, 6, 6, 0, 0.0, 10, 2, 0, 0, 0, 16, 16, 45.0, 90.0, 100.0, 15.0, 80.0, 80.0, 0, 20.0, 100.0, 0.0, 40.0, 30.0, 30.0, 0.0, 0.0, 90.0, 50.0, 10.0, 10.0, 0.0, 0.0, 91.0, 10.0, 0.0, 0.0, 35.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "25183", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25183", 90.0, 10.0, 0.0),
(8628, "Public", "0681839E", "Lycée Joseph Storck (Hotelier)", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Guebwiller", "formation sélective", "BTS", "Lycée Joseph Storck (Hotelier) - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 36, 180, 86, 180, 0, 0, 0, 75, 14, 72, 23, 33, 0, 0, 0, 0, 0, 180, 0, 0, 0, 0, 0, 75, 14, 72, 23, 33, 75, 32, 14, 32, 0, 17.0, 28.0, 31.0, 0, 6, 30, 0, 16, 14, 2, 0, 6, 7, 12, 5, 0.0, 0, 11, 13, 26, 12, 28, 28, 53.13, 87.5, 96.88, 43.796875, 93.296875, 93.296875, 86.6875, 20.0, 93.796875, 0.0, 20.0, 23.296875, 40.0, 16.7, 0.0, 0.0, 0.0, 53.296875, 36.6953125, 46.6953125, 43.296875, 0.0, 0.0, 28.0, 8.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 65.0, "8172", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8172&g_ta_cod=8172", 3.0, 53.0, 44.0),
(8629, "Privé sous contrat d'association", "0492407A", "LGT Urbain MONGAZON", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "LGT Urbain MONGAZON - BTS - Services - Prothésiste orthésiste", "BTS - Services", "", 24, 643, 464, 643, 0, 152, 14, 173, 21, 49, 11, 269, 0, 0, 0, 0, 0, 264, 0, 0, 0, 56, 4, 103, 10, 15, 2, 90, 65, 24, 14, 24, 0, 6.0, 21.0, 22.0, 0, 1, 15, 7, 6, 2, 9, 0, 1, 8, 6, 0, 0.0, 6, 6, 2, 0, 0, 6, 6, 25.0, 87.5, 91.67, 58.296875, 40.0, 40.0, 0, 6.69921875, 62.5, 0.0, 6.69921875, 53.296875, 40.0, 0.0, 0.0, 46.6953125, 40.0, 40.0, 40.0, 13.298828125, 13.298828125, 15.0, 2.0, 4.0, 1.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 15.0, "14353", "BTS - Services - Prothésiste orthésiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14353&g_ta_cod=14353", 46.0, 46.0, 8.0),
(8630, "Public", "0381516S", "IUT 1 GRENOBLE", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "BUT", "IUT 1 GRENOBLE - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "BUT - Production", "Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", 139, 1395, 97, 1289, 0, 703, 102, 354, 71, 16, 7, 216, 106, 19, 22, 4, 61, 999, 24, 0, 0, 582, 70, 298, 55, 0, 0, 119, 922, 111, 2, 102, 9, 39.0, 85.0, 107.0, 0, 13, 93, 57, 36, 0, 18, 0, 27, 53, 13, 0, 0.0, 38, 28, 0, 0, 0, 76, 76, 35.14, 76.58, 96.4, 1.7998046875, 81.6875, 81.6875, 0, 14.0, 83.796875, 0.0, 29.0, 57.0, 14.0, 0.0, 0.0, 61.296875, 40.8984375, 38.6953125, 30.09765625, 0.0, 0.0, 525.0, 71.0, 0.0, 0.0, 116.0, "Tous les candidats sauf les Bac technologiques", 685.0, "Bacheliers technologiques toutes séries", 311, "", 0, "Liste d'appel propre à cette formation", 77.0, "4966", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4966&g_ta_cod=4966", 62.0, 38.0, 0.0),
(8631, "Public", "0450064A", "Lycée professionnel Gaudier-Brzeska", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Saint-Jean-de-Braye", "formation sélective", "BTS", "Lycée professionnel Gaudier-Brzeska - BTS - Production - Travaux publics", "BTS - Production", "", 15, 316, 43, 273, 0, 30, 2, 64, 9, 50, 17, 129, 43, 2, 5, 11, 25, 137, 3, 0, 0, 29, 2, 51, 5, 37, 11, 20, 80, 10, 2, 7, 3, 1.0, 4.0, 9.0, 0, 0, 6, 0, 4, 2, 4, 0, 2, 3, 1, 0, 0.0, 0, 2, 2, 1, 0, 4, 4, 10.0, 40.0, 90.0, 20.0, 66.6875, 66.6875, 16.69921875, 0.0, 60.0, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 33.296875, 11.0, 2.0, 25.0, 11.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 49.0, "5668", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5668&g_ta_cod=5668", 10.0, 50.0, 40.0),
(8632, "Public", "0921594H", "Lycée Georges Pompidou/Michel Ange", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Villeneuve-la-Garenne", "formation sélective", "BTS", "Lycée Georges Pompidou/Michel Ange - BTS - Services - Support à l'action managériale", "BTS - Services", "", 36, 840, 577, 748, 0, 26, 14, 230, 110, 267, 132, 225, 92, 20, 0, 0, 72, 331, 3, 0, 0, 11, 6, 111, 56, 165, 79, 44, 191, 30, 19, 25, 1, 5.0, 16.0, 22.0, 0, 11, 24, 0, 13, 11, 6, 0, 13, 10, 1, 0, 0.0, 0, 4, 7, 4, 2, 13, 22, 16.67, 53.33, 73.33, 63.296875, 54.1953125, 91.6875, 16.69921875, 45.796875, 80.0, 0.0, 54.1953125, 41.6953125, 4.19921875, 0.0, 0.0, 0.0, 0.0, 54.1953125, 16.69921875, 45.796875, 29.19921875, 9.0, 5.0, 87.0, 40.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 127, "Bacheliers technologiques toutes séries", 96, "Liste d'appel propre à cette formation", 32.0, "11129", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11129&g_ta_cod=11129", 3.0, 50.0, 47.0),
(8633, "Public", "0460007H", "Lycée Clement Marot", "46", "Lot", "Occitanie", "Toulouse", "Cahors", "formation sélective", "BTS", "Lycée Clement Marot - BTS - Services - Professions immobilières", "BTS - Services", "", 18, 676, 382, 676, 0, 155, 36, 239, 68, 139, 56, 143, 0, 0, 0, 0, 0, 676, 0, 0, 0, 155, 36, 239, 68, 139, 56, 143, 65, 16, 11, 16, 0, 5.0, 14.0, 15.0, 0, 3, 16, 6, 5, 5, 0, 0, 4, 7, 5, 0, 0.0, 3, 5, 4, 1, 0, 9, 9, 31.25, 87.5, 93.75, 68.796875, 56.296875, 56.296875, 6.2998046875, 18.796875, 100.0, 0.0, 25.0, 43.796875, 31.296875, 0.0, 0.0, 37.5, 18.796875, 31.296875, 31.296875, 31.296875, 25.0, 14.0, 3.0, 23.0, 8.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers technologiques toutes séries", 37, "Bacheliers professionnels toutes séries", 25, "Liste d'appel propre à cette formation", 13.0, "25344", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25344&g_ta_cod=25344", 38.0, 31.0, 31.0),
(8634, "Public", "0100015M", "Lycée F. Et I. Joliot Curie", "10", "Aube", "Grand Est", "Reims", "Romilly-sur-Seine", "formation sélective", "BTS", "Lycée F. Et I. Joliot Curie - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 131, 43, 106, 0, 8, 3, 35, 11, 27, 10, 36, 25, 2, 8, 3, 12, 74, 11, 0, 0, 8, 3, 30, 10, 22, 9, 14, 78, 20, 9, 15, 5, 7.0, 15.0, 19.0, 0, 9, 15, 0, 7, 8, 5, 0, 7, 7, 1, 0, 0.0, 0, 3, 5, 6, 1, 15, 15, 35.0, 75.0, 95.0, 45.0, 100.0, 100.0, 40, 60.0, 75.0, 0.0, 46.6953125, 46.6953125, 6.69921875, 0.0, 0.0, 0.0, 0.0, 46.6953125, 20.0, 53.296875, 33.296875, 8.0, 3.0, 20.0, 9.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 70.0, "2403", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2403&g_ta_cod=2403", 5.0, 45.0, 50.0),
(8635, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Licence", "Université Côte d'Azur - Double licence - Physique / Sciences de la terre - Double licence Physique - Sciences de la Terre", "Licence - Sciences - technologies - santé", "Double licence Physique - Sciences de la Terre", 35, 299, 154, 175, 0, 85, 20, 3, 1, 1, 0, 86, 124, 52, 3, 0, 69, 119, 12, 0, 0, 65, 15, 0, 0, 0, 0, 54, 118, 11, 6, 9, 2, 2.0, 9.0, 10.0, 0, 0, 7, 7, 0, 0, 4, 0, 0, 4, 3, 0, 0.0, 7, 0, 0, 0, 0, 6, 6, 18.18, 81.82, 90.91, 54.5, 85.6875, 85.6875, 0, 0.0, 63.59375, 0.0, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 59.0, 14.0, 0.0, 0.0, 59.0, "Tous les candidats", 118.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "20474", "Double licence - Physique / Sciences de la terre - Double licence Physique - Sciences de la Terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20474&g_ta_cod=20474", 100.0, 0.0, 0.0),
(8636, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais disciplinaire", "Licence - Arts-lettres-langues", "Portugais disciplinaire", 50, 55, 40, 38, 0, 20, 6, 4, 0, 6, 1, 8, 17, 1, 1, 4, 11, 38, 16, 0, 0, 20, 6, 4, 0, 6, 1, 8, 54, 12, 8, 11, 1, 11.0, 11.0, 11.0, 0, 5, 9, 4, 1, 4, 3, 1, 6, 1, 1, 0, 0.0, 0, 1, 1, 0, 0, 3, 3, 91.67, 91.67, 91.67, 66.6875, 33.296875, 33.296875, 0, 55.59375, 75.0, 11.099609375, 66.6875, 11.099609375, 11.099609375, 0.0, 0.0, 44.3984375, 0.0, 11.099609375, 11.099609375, 44.3984375, 11.099609375, 21.0, 6.0, 10.0, 4.0, 18.0, "Tous les candidats", 38.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7639", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais disciplinaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7639&g_ta_cod=7639", 50.0, 17.0, 33.0),
(8637, "Privé sous contrat d'association", "0311213A", "Lycée Issec Pigier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Issec Pigier - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 1031, 482, 1031, 0, 131, 27, 322, 81, 351, 121, 227, 0, 0, 0, 0, 0, 1014, 0, 0, 0, 131, 27, 322, 81, 351, 121, 210, 239, 24, 10, 24, 0, 4.0, 11.0, 15.0, 0, 4, 19, 4, 6, 9, 5, 0, 6, 8, 4, 1, 0.0, 2, 4, 7, 0, 0, 17, 17, 16.67, 45.83, 62.5, 41.6953125, 89.5, 89.5, 0, 21.09765625, 79.1875, 0.0, 31.59765625, 42.09375, 21.09765625, 5.3, 0.0, 21.09765625, 10.5, 31.59765625, 21.09765625, 47.3984375, 36.796875, 37.0, 13.0, 109.0, 33.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 151, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 26.0, "4122", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4122&g_ta_cod=4122", 25.0, 25.0, 50.0),
(8638, "Public", "9711032V", "Lycée Charles Coeffin", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "BTS", "Lycée Charles Coeffin - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 28, 166, 10, 166, 0, 6, 3, 37, 19, 108, 82, 15, 0, 0, 0, 0, 0, 114, 0, 0, 0, 1, 1, 35, 17, 76, 56, 2, 57, 27, 1, 27, 0, 7.0, 27.0, 27.0, 0, 18, 27, 0, 7, 20, 0, 0, 8, 14, 3, 2, 0.0, 0, 4, 15, 11, 1, 27, 27, 25.93, 100.0, 100.0, 3.69970703125, 100.0, 100.0, 40.6953125, 66.6875, 100.0, 0.0, 29.59765625, 51.8984375, 11.099609375, 7.4, 0.0, 0.0, 0.0, 25.8984375, 14.798828125, 74.09375, 55.59375, 1.0, 1.0, 34.0, 23.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 41.0, "11760", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11760&g_ta_cod=11760", 0.0, 26.0, 74.0),
(8639, "Public", "0340128E", "Lycée agricole Frédéric BAZILLE - Agropolis (Classes Agri)", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée agricole Frédéric BAZILLE - Agropolis (Classes Agri) - BTS - Agricole - Viticulture-Oenologie", "BTS - Agricole", "", 27, 372, 119, 363, 0, 99, 10, 84, 18, 57, 12, 123, 9, 0, 1, 0, 8, 202, 1, 0, 0, 81, 6, 51, 12, 34, 3, 36, 122, 25, 9, 24, 1, 4.0, 21.0, 25.0, 0, 4, 22, 11, 6, 5, 3, 0, 8, 10, 4, 0, 0.0, 5, 4, 5, 2, 0, 14, 14, 16.0, 84.0, 100.0, 36.0, 63.59375, 63.59375, 9.099609375, 18.19921875, 88.0, 0.0, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 50.0, 22.69921875, 27.296875, 18.19921875, 22.69921875, 22.69921875, 44.0, 5.0, 22.0, 3.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 82.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 49.0, "4519", "BTS - Agricole - Viticulture-Oenologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4519&g_ta_cod=4519", 48.0, 28.0, 24.0),
(8640, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Histoire - Parcours Licence 1 Histoire - Enseignement dispensé à distance", "Licence - Sciences humaines et sociales", "Licence 1 Histoire - Enseignement dispensé à distance", 80, 465, 220, 465, 0, 180, 33, 20, 8, 9, 4, 256, 0, 0, 0, 0, 0, 464, 0, 0, 0, 180, 33, 20, 8, 9, 4, 255, 464, 83, 38, 83, 0, 83.0, 83.0, 83.0, 0, 2, 13, 10, 2, 1, 70, 0, 9, 3, 1, 0, 0.0, 3, 0, 1, 0, 0, 7, 7, 100.0, 100.0, 100.0, 45.796875, 53.796875, 53.796875, 0, 15.3984375, 15.69921875, 0.0, 69.1875, 23.09765625, 7.69921875, 0.0, 0.0, 76.890625, 23.09765625, 15.3984375, 0.0, 7.69921875, 7.69921875, 180.0, 33.0, 9.0, 4.0, 255.0, "Tous les candidats", 464.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "23333", "Licence - Histoire - Parcours Licence 1 Histoire - Enseignement dispensé à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23333&g_ta_cod=23333", 63.0, 23.0, 8.0),
(8641, "Public", "0370040T", "Lycée professionnel des métiers Albert Bayet", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée professionnel des métiers Albert Bayet - BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "BTS - Services", "", 30, 479, 234, 478, 0, 46, 11, 56, 16, 133, 28, 243, 1, 0, 1, 0, 0, 200, 0, 0, 0, 29, 8, 38, 12, 88, 17, 45, 88, 28, 13, 28, 0, 9.0, 16.0, 23.0, 0, 7, 23, 2, 3, 18, 5, 0, 6, 8, 7, 2, 0.0, 1, 2, 14, 8, 1, 16, 16, 32.14, 57.14, 82.14, 46.3984375, 69.59375, 69.59375, 34.796875, 30.3984375, 82.09375, 0.0, 26.09765625, 34.796875, 30.3984375, 8.7, 0.0, 8.69921875, 4.2998046875, 13.0, 8.69921875, 78.296875, 60.8984375, 8.0, 3.0, 37.0, 8.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 24.0, "4848", "BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4848&g_ta_cod=4848", 21.0, 14.0, 64.0),
(8642, "Public", "0510007F", "Lycée Etienne Oehmichen", "51", "Marne", "Grand Est", "Reims", "Châlons-en-Champagne", "formation sélective", "BTS", "Lycée Etienne Oehmichen - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 18, 270, 84, 270, 0, 13, 4, 27, 6, 65, 30, 165, 0, 0, 0, 0, 0, 123, 0, 0, 0, 13, 4, 25, 5, 56, 23, 29, 69, 15, 3, 15, 0, 1.0, 13.0, 13.0, 0, 6, 14, 0, 4, 10, 1, 0, 5, 2, 5, 2, 0.0, 0, 1, 8, 7, 1, 11, 11, 6.67, 86.67, 86.67, 20.0, 78.59375, 78.59375, 50, 42.8984375, 93.296875, 0.0, 35.6953125, 14.298828125, 35.6953125, 14.3, 0.0, 0.0, 0.0, 28.59765625, 7.099609375, 71.390625, 57.09375, 8.0, 2.0, 32.0, 12.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 29.0, "14538", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14538&g_ta_cod=14538", 0.0, 27.0, 73.0),
(8643, "Privé sous contrat d'association", "0220094H", "Lycée Les Cordeliers Notre Dame de la Victoire", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Dinan", "formation sélective", "BTS", "Lycée Les Cordeliers Notre Dame de la Victoire - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 53, 515, 235, 505, 0, 43, 3, 211, 29, 171, 42, 80, 10, 3, 2, 1, 4, 461, 9, 0, 0, 43, 3, 192, 26, 171, 42, 55, 241, 42, 17, 38, 4, 4.0, 24.0, 30.0, 0, 5, 35, 4, 16, 15, 7, 0, 16, 9, 10, 0, 0.0, 2, 7, 10, 5, 1, 32, 32, 9.52, 57.14, 71.43, 40.5, 91.390625, 91.390625, 14.298828125, 14.298828125, 83.296875, 0.0, 45.6953125, 25.69921875, 28.59765625, 0.0, 0.0, 11.3984375, 5.69921875, 45.6953125, 20.0, 42.8984375, 28.59765625, 25.0, 2.0, 100.0, 26.0, 26.0, "Tous les candidats sauf les Bac professionnels", 148.0, "Bacheliers professionnels toutes séries", 125, "", 0, "Liste d'appel propre à cette formation", 54.0, "3333", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3333&g_ta_cod=3333", 12.0, 45.0, 43.0),
(8644, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Psychologie", "Licence - Sciences humaines et sociales", "", 560, 3227, 2645, 3227, 0, 1680, 362, 382, 103, 127, 52, 1038, 0, 0, 0, 0, 0, 3227, 0, 0, 0, 1680, 362, 382, 103, 127, 52, 1038, 2457, 549, 465, 549, 0, 359.0, 524.0, 525.0, 0, 98, 393, 297, 65, 31, 156, 0, 105, 209, 69, 10, 0.0, 229, 31, 28, 0, 0, 289, 289, 65.39, 95.45, 95.63, 84.6875, 73.5, 73.5, 0, 24.8984375, 71.59375, 0.0, 26.69921875, 53.1953125, 17.59765625, 2.5, 0.0, 75.59375, 58.296875, 16.5, 7.8994140625, 7.8994140625, 7.099609375, 1448.0, 306.0, 106.0, 47.0, 612.0, "Tous les candidats", 2549.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "3859", "Licence - Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28366&g_ta_cod=3859", 72.0, 19.0, 9.0),
(8645, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "Université Angers - Année préparatoire -  Mise à niveau scientifique - MAN SVTC (Sciences de la Vie et de la Terre Chimie) (Biologie, Géologie, Physique, Chimie, Maths)", "Année préparatoire", "Mise à niveau scientifique - MAN SVTC (Sciences de la Vie et de la Terre Chimie) (Biologie, Géologie, Physique, Chimie, Maths)", 50, 492, 293, 246, 0, 72, 16, 33, 6, 12, 3, 129, 246, 111, 25, 5, 105, 45, 36, 0, 0, 25, 4, 6, 2, 0, 0, 14, 81, 26, 13, 8, 18, 8.0, 8.0, 21.0, 0, 3, 18, 16, 2, 0, 8, 0, 9, 7, 2, 0, 0.0, 8, 1, 0, 0, 0, 7, 7, 30.77, 30.77, 80.77, 50.0, 38.8984375, 38.8984375, 0, 16.69921875, 69.1875, 0.0, 50.0, 38.8984375, 11.099609375, 0.0, 0.0, 88.890625, 44.3984375, 11.099609375, 5.599609375, 0.0, 0.0, 48.0, 5.0, 0.0, 0.0, 26.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "30991", "Année préparatoire -  Mise à niveau scientifique - MAN SVTC (Sciences de la Vie et de la Terre Chimie) (Biologie, Géologie, Physique, Chimie, Maths)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30991&g_ta_cod=30991", 85.0, 15.0, 0.0),
(8646, "Public", "0450066C", "Lycée professionnel Mal Leclerc", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Saint-Jean-de-la-Ruelle", "formation sélective", "BTS", "Lycée professionnel Mal Leclerc - BTS - Production - Maintenance des véhicules option motocycles", "BTS - Production", "", 10, 209, 8, 209, 0, 16, 1, 53, 14, 99, 22, 41, 0, 0, 0, 0, 0, 209, 0, 0, 0, 16, 1, 53, 14, 99, 22, 41, 30, 10, 0, 10, 0, 5.0, 7.0, 8.0, 0, 5, 10, 0, 3, 7, 0, 0, 2, 4, 3, 1, 0.0, 0, 2, 6, 5, 0, 7, 7, 50.0, 70.0, 80.0, 0.0, 70.0, 70.0, 50, 50.0, 100.0, 0.0, 20.0, 40.0, 30.0, 10.0, 0.0, 0.0, 0.0, 30.0, 20.0, 70.0, 60.0, 3.0, 0.0, 18.0, 3.0, 4.0, "Tous les candidats sauf les Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 19.0, "14661", "BTS - Production - Maintenance des véhicules option motocycles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14661&g_ta_cod=14661", 0.0, 30.0, 70.0),
(8647, "Public", "9730423X", "LYCEE POLYVALENT LAMA PREVOT", "973", "Guyane", "Guyane", "Guyane", "Remire-Montjoly", "formation sélective", "BTS", "LYCEE POLYVALENT LAMA PREVOT - BTS - Production - Métiers de l'eau", "BTS - Production", "", 15, 98, 25, 84, 0, 11, 5, 15, 9, 37, 21, 21, 14, 2, 3, 0, 9, 29, 3, 0, 0, 7, 3, 9, 5, 11, 7, 2, 28, 13, 1, 11, 2, 8.0, 11.0, 13.0, 0, 5, 11, 2, 1, 8, 2, 0, 5, 5, 1, 0, 0.0, 1, 0, 5, 7, 1, 11, 11, 61.54, 84.62, 100.0, 7.69921875, 100.0, 100.0, 63.59375, 45.5, 84.59375, 0.0, 45.5, 45.5, 9.099609375, 0.0, 0.0, 18.19921875, 9.099609375, 9.099609375, 0.0, 72.6875, 45.5, 8.0, 3.0, 10.0, 6.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 32.0, "15866", "BTS - Production - Métiers de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15866&g_ta_cod=15866", 23.0, 15.0, 62.0),
(8648, "Public", "0310047H", "Lycée Ozenne", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Ozenne - CPGE - ENS Cachan D2", "Classe préparatoire économique et commerciale", "", 40, 640, 343, 640, 0, 557, 38, 1, 0, 0, 0, 82, 0, 0, 0, 0, 0, 600, 0, 0, 600, 555, 38, 0, 0, 0, 0, 45, 254, 39, 19, 39, 0, 4.0, 30.0, 36.0, 0, 6, 34, 34, 0, 0, 5, 0, 0, 3, 19, 12, 0.0, 34, 0, 0, 1, 1, 12, 12, 10.26, 76.92, 92.31, 48.6953125, 35.296875, 35.296875, 2.89990234375, 17.59765625, 87.1875, 0.0, 0.0, 8.798828125, 55.8984375, 35.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 240.0, 31.0, 0.0, 0.0, 14.0, "Tous les candidats", 347.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "4071", "CPGE - ENS Cachan D2", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4071&g_ta_cod=4071", 100.0, 0.0, 0.0),
(8649, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 450, 2173, 1623, 1911, 0, 1028, 260, 153, 54, 64, 25, 666, 262, 34, 16, 12, 200, 1911, 250, 0, 0, 1028, 260, 153, 54, 64, 25, 666, 2164, 444, 315, 306, 138, 301.0, 305.0, 372.0, 0, 56, 178, 124, 34, 20, 266, 1, 91, 61, 21, 4, 0.0, 66, 9, 11, 0, 0, 85, 85, 67.79, 68.69, 83.78, 70.890625, 47.796875, 47.796875, 0, 31.5, 40.09375, 0.5999755859375, 51.09375, 34.296875, 11.798828125, 2.2, 0.0, 69.6875, 37.09375, 19.09765625, 5.099609375, 11.19921875, 6.19921875, 1065.0, 272.0, 76.0, 32.0, 855.0, "Tous les candidats", 1912.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4174", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4174&g_ta_cod=4174", 67.0, 20.0, 9.0),
(8650, "Public", "0130201Y", "Aix-Marseille Université - Site de Marseille Luminy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  9e  Arrondissement", "formation sélective", "Autre formation", "Aix-Marseille Université - Site de Marseille Luminy - C.M.I - Cursus Master en Ingénierie - Sciences de la vie - Sciences de la Vie Cursus Master Ingénierie (Site Luminy)", "C.M.I - Cursus Master en Ingénierie", "Sciences de la Vie Cursus Master Ingénierie (Site Luminy)", 25, 329, 221, 329, 0, 181, 30, 3, 1, 4, 4, 141, 0, 0, 0, 0, 0, 127, 0, 0, 0, 88, 11, 1, 0, 0, 0, 38, 64, 27, 15, 27, 0, 13.0, 21.0, 23.0, 0, 4, 23, 23, 0, 0, 4, 0, 0, 2, 11, 10, 0.0, 23, 0, 0, 0, 0, 11, 11, 48.15, 77.78, 85.19, 55.59375, 47.796875, 47.796875, 0, 17.3984375, 85.1875, 0.0, 0.0, 8.69921875, 47.796875, 43.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 49.0, 7.0, 0.0, 0.0, 15.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "18398", "C.M.I - Cursus Master en Ingénierie - Sciences de la vie - Sciences de la Vie Cursus Master Ingénierie (Site Luminy)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18398&g_ta_cod=18398", 100.0, 0.0, 0.0),
(8651, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 5 - Lettres - Anglais (LLCER)", "Licence - Arts-lettres-langues", "5 - Lettres - Anglais (LLCER)", 90, 569, 391, 407, 0, 281, 68, 20, 5, 30, 10, 76, 162, 30, 8, 16, 108, 405, 71, 0, 0, 281, 68, 20, 5, 30, 10, 74, 370, 58, 33, 36, 22, 8.0, 36.0, 46.0, 0, 7, 36, 27, 3, 6, 22, 0, 16, 10, 6, 3, 1.0, 18, 0, 2, 0, 0, 32, 32, 13.79, 62.07, 79.31, 56.8984375, 88.890625, 88.890625, 0, 19.3984375, 62.09375, 0.0, 44.3984375, 27.796875, 16.69921875, 8.3, 2.8, 75.0, 50.0, 8.298828125, 0.0, 16.69921875, 5.599609375, 234.0, 58.0, 28.0, 10.0, 92.0, "Tous les candidats", 405.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "23458", "Licence - Portail 5 - Lettres - Anglais (LLCER)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23458&g_ta_cod=23458", 69.0, 14.0, 16.0),
(8652, "Public", "0950667J", "Lycée Romain Rolland", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Goussainville", "formation sélective", "BTS", "Lycée Romain Rolland - BTS - Services - Support à l'action managériale", "BTS - Services", "", 30, 356, 236, 356, 0, 5, 2, 106, 44, 137, 71, 108, 0, 0, 0, 0, 0, 356, 0, 0, 0, 5, 2, 106, 44, 137, 71, 108, 145, 30, 23, 30, 0, 1.0, 16.0, 22.0, 0, 11, 19, 0, 12, 7, 11, 0, 13, 4, 2, 0, 0.0, 0, 1, 5, 5, 4, 17, 19, 3.33, 53.33, 73.33, 76.6875, 89.5, 100.0, 26.296875, 57.8984375, 63.296875, 0.0, 68.390625, 21.09765625, 10.5, 0.0, 0.0, 0.0, 0.0, 63.1953125, 5.2998046875, 36.796875, 26.296875, 3.0, 2.0, 56.0, 29.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 44.0, "20635", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20635&g_ta_cod=20635", 3.0, 50.0, 47.0),
(8653, "Public", "0692988Y", "IFSI HCL-Secteur Est", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 3e  Arrondissement", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lyon - D.E Infirmier", "D.E secteur sanitaire", "", 146, 11034, 9412, 11034, 0, 2050, 467, 1853, 543, 1190, 492, 5941, 0, 0, 0, 0, 0, 8337, 0, 0, 0, 1832, 380, 1444, 381, 742, 297, 4319, 1002, 146, 129, 146, 0, 12.0, 93.0, 112.0, 0, 33, 85, 36, 38, 11, 61, 0, 7, 31, 35, 12, 0.0, 33, 34, 11, 0, 0, 49, 49, 8.22, 63.7, 76.71, 88.390625, 57.59375, 57.59375, 0, 38.796875, 58.1953125, 0.0, 8.19921875, 36.5, 41.1953125, 14.1, 0.0, 42.3984375, 38.796875, 44.6953125, 40.0, 12.8984375, 12.8984375, 310.0, 51.0, 82.0, 33.0, 420.0, "Tous les candidats", 1925.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 15.0, "23170", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23001&g_ta_cod=23170", 56.0, 32.0, 12.0),
(8654, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Histoire - Parcours Histoire - Etudes juives", "Licence - Sciences humaines et sociales", "Histoire - Etudes juives", 18, 171, 94, 168, 0, 111, 21, 6, 3, 7, 0, 44, 3, 0, 1, 0, 2, 168, 3, 0, 0, 111, 21, 6, 3, 7, 0, 44, 86, 17, 8, 16, 1, 3.0, 11.0, 13.0, 0, 2, 9, 6, 2, 1, 8, 0, 1, 4, 2, 1, 1.0, 6, 1, 1, 0, 0, 3, 7, 17.65, 64.71, 76.47, 47.09375, 33.296875, 77.796875, 0, 22.19921875, 52.8984375, 0.0, 11.099609375, 44.3984375, 22.19921875, 11.1, 11.1, 66.6875, 66.6875, 22.19921875, 11.099609375, 11.099609375, 11.099609375, 61.0, 9.0, 2.0, 0.0, 20.0, "Tous les candidats", 140.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "9213", "Licence - Histoire - Parcours Histoire - Etudes juives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9213&g_ta_cod=9213", 76.0, 12.0, 12.0),
(8655, "Public", "0622257S", "Lycée agro-environnemental d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Tilloy-lès-Mofflaines", "formation sélective", "BTS", "Lycée agro-environnemental d'Arras - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 32, 594, 239, 594, 0, 149, 33, 151, 25, 90, 19, 204, 0, 0, 0, 0, 0, 314, 0, 0, 0, 107, 21, 90, 16, 51, 9, 66, 107, 31, 21, 31, 0, 11.0, 26.0, 29.0, 0, 3, 25, 7, 11, 7, 6, 0, 5, 11, 5, 4, 0.0, 7, 10, 3, 4, 4, 16, 16, 35.48, 83.87, 93.55, 67.6875, 64.0, 64.0, 16, 12.0, 80.59375, 0.0, 20.0, 44.0, 20.0, 16.0, 0.0, 28.0, 28.0, 44.0, 40.0, 28.0, 12.0, 19.0, 3.0, 31.0, 6.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 27.0, "7447", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7447&g_ta_cod=7447", 35.0, 39.0, 26.0),
(8656, "Public", "0620040G", "Lycée Louis Blaringhem", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "BTS", "Lycée Louis Blaringhem - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 395, 239, 364, 0, 35, 16, 122, 48, 92, 52, 115, 31, 4, 0, 10, 17, 242, 4, 0, 0, 23, 10, 113, 43, 91, 52, 15, 136, 31, 21, 27, 4, 10.0, 26.0, 29.0, 0, 13, 27, 3, 6, 18, 4, 0, 11, 10, 6, 0, 0.0, 1, 5, 10, 3, 0, 26, 26, 32.26, 83.87, 93.55, 67.6875, 96.296875, 96.296875, 11.099609375, 48.09375, 87.09375, 0.0, 40.6953125, 37.0, 22.19921875, 0.0, 0.0, 11.099609375, 3.69970703125, 22.19921875, 18.5, 66.6875, 37.0, 19.0, 9.0, 67.0, 42.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 47.0, "7338", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7338&g_ta_cod=7338", 13.0, 19.0, 68.0),
(8657, "Public", "0810959C", "Lycée La Borde Basse", "81", "Tarn", "Occitanie", "Toulouse", "Castres", "formation sélective", "BTS", "Lycée La Borde Basse - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 15, 556, 392, 475, 0, 124, 29, 181, 43, 24, 10, 146, 81, 14, 26, 0, 41, 209, 8, 0, 0, 67, 18, 86, 17, 12, 3, 44, 110, 12, 8, 9, 3, 2.0, 7.0, 9.0, 0, 4, 9, 5, 4, 0, 3, 0, 5, 2, 1, 1, 0.0, 1, 3, 0, 0, 0, 5, 5, 16.67, 58.33, 75.0, 66.6875, 55.59375, 55.59375, 0, 44.3984375, 75.0, 0.0, 55.59375, 22.19921875, 11.099609375, 11.1, 0.0, 55.59375, 11.099609375, 44.3984375, 33.296875, 0.0, 0.0, 38.0, 10.0, 5.0, 2.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 95.0, "Bacheliers technologiques toutes séries", 87, "Bacheliers professionnels toutes séries", 10, "Liste d'appel propre à cette formation", 40.0, "30066", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30066&g_ta_cod=30066", 58.0, 33.0, 8.0),
(8658, "Privé sous contrat d'association", "0160079Z", "Lycée Sainte Marthe Chavagnes", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BTS", "Lycée Sainte Marthe Chavagnes - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 129, 60, 106, 0, 16, 4, 26, 5, 25, 15, 39, 23, 4, 4, 2, 13, 81, 6, 0, 0, 16, 4, 23, 2, 23, 14, 19, 72, 23, 10, 20, 2, 12.0, 19.0, 21.0, 0, 7, 19, 5, 6, 8, 4, 0, 5, 13, 1, 0, 0.0, 4, 3, 7, 7, 3, 19, 19, 52.17, 82.61, 91.3, 43.5, 100.0, 100.0, 36.796875, 36.796875, 82.59375, 0.0, 26.296875, 68.390625, 5.2998046875, 0.0, 0.0, 26.296875, 21.09765625, 31.59765625, 15.798828125, 42.09375, 36.796875, 12.0, 4.0, 19.0, 10.0, 20.0, "Tous les candidats sauf les Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 76.0, "2995", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2995&g_ta_cod=2995", 26.0, 30.0, 43.0),
(8659, "Public", "9730144U", "IFSI CH Cayenne", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "IFSI", "Regroupement d'IFSI Université Guyane - D.E Infirmier", "D.E secteur sanitaire", "", 75, 834, 698, 834, 0, 188, 93, 150, 91, 147, 91, 349, 0, 0, 0, 0, 0, 374, 0, 0, 0, 90, 47, 81, 47, 64, 44, 139, 146, 73, 67, 73, 0, 22.0, 58.0, 71.0, 0, 29, 48, 13, 27, 8, 25, 0, 11, 18, 14, 5, 0.0, 11, 20, 6, 0, 0, 45, 45, 30.14, 79.45, 97.26, 91.796875, 93.796875, 93.796875, 0, 60.3984375, 65.796875, 0.0, 22.8984375, 37.5, 29.19921875, 10.4, 0.0, 27.09765625, 22.8984375, 56.296875, 41.6953125, 16.69921875, 12.5, 32.0, 17.0, 15.0, 12.0, 49.0, "Tous les candidats", 168.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "23374", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23372&g_ta_cod=23374", 32.0, 48.0, 16.0),
(8660, "Public", "0641842E", "I.U.T des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "BUT", "I.U.T des Pays de l'Adour - BUT - Statistique et informatique décisionnelle Parcours : Science des données : exploration et modélisation statistique - Science des données : visualisation, conception d'outils décisionnels", "BUT - Service", "Science des données : exploration et modélisation statistique - Science des données : visualisation, conception d'outils décisionnels", 54, 538, 92, 491, 0, 306, 35, 54, 13, 2, 1, 129, 47, 7, 0, 0, 40, 376, 26, 0, 0, 279, 28, 35, 9, 0, 0, 62, 300, 50, 7, 37, 13, 16.0, 34.0, 43.0, 0, 2, 36, 32, 4, 0, 14, 0, 12, 19, 5, 0, 0.0, 21, 3, 0, 0, 0, 22, 22, 32.0, 68.0, 86.0, 14.0, 61.09375, 61.09375, 0, 5.599609375, 72.0, 0.0, 33.296875, 52.796875, 13.8984375, 0.0, 0.0, 88.890625, 58.296875, 11.099609375, 8.298828125, 0.0, 0.0, 203.0, 23.0, 0.0, 0.0, 66.0, "Tous les candidats sauf les Bac technologiques", 335.0, "Bacheliers technologiques toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 76.0, "7792", "BUT - Statistique et informatique décisionnelle Parcours : Science des données : exploration et modélisation statistique - Science des données : visualisation, conception d'outils décisionnels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7792&g_ta_cod=7792", 92.0, 8.0, 0.0),
(8661, "Public", "0360768P", "Université d'Orléans - Centre Univ. de Châteauroux", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Châteauroux", "formation non sélective", "Licence", "Université d'Orléans - Centre Univ. de Châteauroux - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 40, 544, 227, 515, 0, 287, 61, 79, 26, 11, 7, 138, 29, 4, 1, 1, 23, 500, 18, 0, 0, 287, 61, 79, 26, 11, 7, 123, 330, 39, 18, 32, 7, 9.0, 19.0, 29.0, 0, 5, 23, 18, 5, 0, 16, 1, 15, 5, 1, 1, 0.0, 7, 0, 0, 0, 0, 22, 22, 23.08, 48.72, 74.36, 46.1953125, 95.6875, 95.6875, 0, 21.69921875, 59.0, 4.2998046875, 65.1875, 21.69921875, 4.2998046875, 4.3, 0.0, 78.296875, 30.3984375, 21.69921875, 0.0, 0.0, 0.0, 225.0, 42.0, 6.0, 4.0, 72.0, "Tous les candidats", 495.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "4809", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4809&g_ta_cod=4809", 69.0, 28.0, 3.0),
(8662, "Privé sous contrat d'association", "0350769W", "Lycée Jean Baptiste Le Taillandier", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Fougères", "formation sélective", "BTS", "Lycée Jean Baptiste Le Taillandier - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 425, 175, 424, 0, 38, 3, 207, 38, 134, 34, 45, 1, 0, 0, 0, 1, 329, 1, 0, 0, 37, 2, 169, 30, 98, 21, 25, 182, 30, 12, 29, 0, 2.0, 20.0, 29.0, 0, 5, 28, 1, 13, 14, 2, 0, 16, 11, 1, 0, 0.0, 0, 7, 5, 11, 4, 22, 22, 6.67, 66.67, 96.67, 40.0, 78.59375, 78.59375, 39.296875, 17.8984375, 93.296875, 0.0, 57.09375, 39.296875, 3.599609375, 0.0, 0.0, 3.599609375, 0.0, 46.3984375, 25.0, 50.0, 17.8984375, 25.0, 2.0, 75.0, 15.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 102, "Bacheliers technologiques toutes séries", 106, "Liste d'appel propre à cette formation", 60.0, "16166", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16166&g_ta_cod=16166", 10.0, 43.0, 47.0),
(8663, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 220, 1492, 652, 1281, 0, 811, 160, 116, 42, 19, 4, 335, 211, 30, 23, 10, 148, 1261, 187, 0, 0, 811, 160, 116, 42, 19, 4, 315, 1177, 185, 67, 110, 75, 8.0, 104.0, 140.0, 0, 28, 85, 65, 15, 5, 100, 1, 53, 21, 9, 1, 0.0, 25, 3, 3, 0, 0, 68, 68, 4.32, 56.22, 75.68, 36.1953125, 80.0, 80.0, 0, 32.8984375, 45.8984375, 1.199951171875, 62.3984375, 24.69921875, 10.599609375, 1.2, 0.0, 76.5, 29.3984375, 17.59765625, 3.5, 5.8994140625, 3.5, 698.0, 122.0, 23.0, 9.0, 367.0, "Tous les candidats", 1261.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "3540", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3540&g_ta_cod=3540", 73.0, 21.0, 6.0),
(8664, "Privé sous contrat d'association", "0130202Z", "IRTS PACA CORSE", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  8e  Arrondissement", "formation sélective", "EFTS", "IRTS PACA CORSE - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 35, 265, 249, 265, 0, 48, 3, 37, 7, 34, 13, 146, 0, 0, 0, 0, 0, 199, 0, 0, 0, 37, 1, 25, 3, 15, 5, 122, 54, 35, 33, 35, 0, 19.0, 33.0, 34.0, 0, 1, 7, 5, 1, 1, 28, 0, 4, 2, 1, 0, 0.0, 2, 0, 1, 0, 0, 4, 4, 54.29, 94.29, 97.14, 94.296875, 57.09375, 57.09375, 0, 14.298828125, 20.0, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 71.390625, 28.59765625, 14.298828125, 0.0, 14.298828125, 14.298828125, 11.0, 1.0, 1.0, 1.0, 41.0, "Tous les candidats", 62.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "24818", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24818&g_ta_cod=24818", 40.0, 40.0, 17.0),
(8665, "Public", "0070001N", "Lycée Boissy D'Anglas", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Annonay", "formation sélective", "BTS", "Lycée Boissy D'Anglas - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 574, 291, 569, 0, 33, 8, 137, 33, 148, 62, 251, 5, 0, 4, 1, 0, 325, 4, 0, 0, 32, 8, 118, 30, 123, 48, 52, 189, 22, 16, 21, 1, 2.0, 14.0, 20.0, 0, 9, 20, 1, 10, 9, 2, 1, 6, 8, 5, 0, 0.0, 0, 6, 7, 7, 5, 15, 15, 9.09, 63.64, 90.91, 72.6875, 75.0, 75.0, 35, 45.0, 90.890625, 5.0, 30.0, 40.0, 25.0, 0.0, 0.0, 5.0, 0.0, 50.0, 30.0, 45.0, 35.0, 13.0, 3.0, 68.0, 31.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 123, "Bacheliers technologiques toutes séries", 109, "Liste d'appel propre à cette formation", 45.0, "2330", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2330&g_ta_cod=2330", 5.0, 50.0, 45.0),
(8666, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Autre formation", "Université de Franche-Comté - Site de Besançon - C.M.I - Cursus Master en Ingénierie - Histoire - Cursus Master en Ingénierie (CMI) : Editions Numériques et Patrimoine de l'Antiquité à nos jours", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Editions Numériques et Patrimoine de l'Antiquité à nos jours", 18, 36, 18, 29, 0, 22, 1, 2, 1, 0, 0, 5, 7, 3, 0, 1, 3, 19, 3, 0, 0, 18, 0, 0, 0, 0, 0, 1, 22, 6, 3, 4, 2, 4.0, 4.0, 5.0, 0, 0, 5, 5, 0, 0, 1, 0, 1, 3, 1, 0, 0.0, 4, 0, 0, 0, 0, 1, 1, 66.67, 66.67, 83.33, 50.0, 20.0, 20.0, 0, 0.0, 83.296875, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "23358", "C.M.I - Cursus Master en Ingénierie - Histoire - Cursus Master en Ingénierie (CMI) : Editions Numériques et Patrimoine de l'Antiquité à nos jours", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23358&g_ta_cod=23358", 100.0, 0.0, 0.0),
(8667, "Public", "0750707L", "Ecole Nationale De Commerce", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "CPGE", "Ecole Nationale De Commerce - CPGE - ENS Rennes D1", "Classe préparatoire économique et commerciale", "", 48, 2118, 1464, 2118, 374, 1900, 258, 20, 6, 4, 3, 194, 0, 0, 0, 0, 0, 820, 0, 275, 640, 765, 154, 5, 3, 0, 0, 50, 277, 54, 36, 54, 0, 20.0, 54.0, 54.0, 3, 7, 52, 52, 0, 0, 2, 0, 0, 0, 19, 31, 2.0, 52, 0, 0, 0, 0, 16, 26, 37.04, 100.0, 100.0, 66.6875, 30.796875, 50.0, 0, 13.5, 96.296875, 0.0, 0.0, 0.0, 36.5, 59.6, 3.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 270.0, 36.0, 0.0, 0.0, 7.0, "Tous les candidats", 328.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "9150", "CPGE - ENS Rennes D1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9150&g_ta_cod=9150", 100.0, 0.0, 0.0),
(8668, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Institut Catholique Paris - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 110, 720, 528, 653, 0, 479, 65, 33, 7, 16, 4, 125, 67, 19, 5, 2, 41, 653, 65, 0, 0, 479, 65, 33, 7, 16, 4, 125, 612, 105, 71, 86, 19, 39.0, 81.0, 87.0, 0, 9, 78, 70, 5, 3, 27, 2, 30, 34, 11, 1, 0.0, 44, 2, 0, 0, 0, 27, 64, 37.14, 77.14, 82.86, 67.59375, 34.59375, 82.09375, 0, 11.5, 74.296875, 2.599609375, 38.5, 43.59375, 14.099609375, 1.3, 0.0, 89.6875, 56.3984375, 6.3994140625, 2.599609375, 3.7998046875, 0.0, 450.0, 61.0, 10.0, 3.0, 130.0, "Tous les candidats", 653.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9453", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9453&g_ta_cod=9453", 87.0, 10.0, 4.0),
(8669, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Langues étrangères appliquées - Parcours Anglais-espagnol", "Licence - Arts-lettres-langues", "Anglais-espagnol", 210, 890, 665, 652, 0, 399, 114, 66, 33, 13, 7, 174, 238, 43, 25, 15, 155, 652, 223, 0, 0, 399, 114, 66, 33, 13, 7, 174, 794, 197, 130, 106, 91, 31.0, 105.0, 151.0, 0, 55, 111, 80, 23, 8, 86, 2, 52, 37, 15, 5, 0.0, 47, 6, 4, 0, 0, 73, 73, 15.74, 53.3, 76.65, 66.0, 65.796875, 65.796875, 0, 49.5, 56.296875, 1.7998046875, 46.796875, 33.296875, 13.5, 4.5, 0.0, 72.09375, 42.296875, 20.69921875, 5.3994140625, 7.19921875, 3.599609375, 412.0, 120.0, 24.0, 16.0, 290.0, "Tous les candidats", 652.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6130", "Licence - Langues étrangères appliquées - Parcours Anglais-espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6130&g_ta_cod=6130", 68.0, 21.0, 11.0),
(8670, "Public", "0672462M", "I.U.T. de Schiltigheim", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Schiltigheim", "formation sélective", "BUT", "I.U.T. de Schiltigheim - BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques (Seconde année possible en apprentissage)", "BUT - Production", "Techniques d'instrumentation - Matériaux et contrôles physico-chimiques", 58, 510, 101, 499, 0, 343, 33, 38, 6, 1, 0, 117, 11, 0, 2, 0, 9, 368, 3, 0, 0, 279, 22, 22, 2, 0, 0, 67, 224, 56, 12, 55, 1, 23.0, 41.0, 52.0, 0, 2, 43, 41, 2, 0, 13, 0, 5, 20, 14, 4, 0.0, 38, 0, 0, 0, 0, 34, 34, 41.07, 73.21, 92.86, 21.3984375, 79.09375, 79.09375, 0, 4.69921875, 76.796875, 0.0, 11.599609375, 46.5, 32.59375, 9.3, 0.0, 95.296875, 88.390625, 4.69921875, 0.0, 0.0, 0.0, 150.0, 13.0, 0.0, 0.0, 54.0, "Tous les candidats sauf les Bac technologiques", 308.0, "Bacheliers technologiques toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 67.0, "8001", "BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8001&g_ta_cod=8001", 93.0, 4.0, 2.0),
(8671, "Privé sous contrat d'association", "0180561M", "Lycée Sainte Marie Saint Dominique", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BTS", "Lycée Sainte Marie Saint Dominique - BTS - Services - Commerce International", "BTS - Services", "", 34, 388, 194, 301, 0, 116, 19, 47, 13, 19, 6, 119, 87, 20, 23, 0, 44, 147, 23, 0, 0, 92, 17, 26, 5, 4, 1, 25, 133, 31, 15, 24, 7, 3.0, 22.0, 29.0, 0, 4, 21, 14, 6, 1, 10, 0, 4, 14, 3, 0, 0.0, 10, 6, 1, 2, 1, 15, 15, 9.68, 70.97, 93.55, 48.3984375, 71.390625, 71.390625, 9.5, 19.0, 67.6875, 0.0, 19.0, 66.6875, 14.298828125, 0.0, 0.0, 66.6875, 47.59375, 28.59765625, 28.59765625, 4.7998046875, 4.7998046875, 77.0, 14.0, 3.0, 1.0, 35.0, "Tous les candidats sauf les Bac professionnels", 142.0, "Bacheliers professionnels toutes séries", 5, "", 0, "Liste d'appel propre à cette formation", 49.0, "3114", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3114&g_ta_cod=3114", 65.0, 29.0, 6.0),
(8672, "Public", "0750670W", "Lycée Lamartine", "75", "Paris", "Ile-de-France", "Paris", "Paris  9e  Arrondissement", "formation sélective", "CPGE", "Lycée Lamartine - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 809, 581, 783, 91, 666, 103, 0, 0, 2, 1, 115, 26, 11, 0, 0, 15, 657, 8, 78, 644, 618, 94, 0, 0, 1, 1, 38, 452, 37, 29, 36, 1, 1.0, 34.0, 36.0, 1, 3, 33, 33, 0, 0, 4, 0, 0, 8, 20, 5, 0.0, 33, 0, 0, 0, 0, 17, 26, 2.7, 91.89, 97.3, 78.390625, 51.5, 78.796875, 0, 9.099609375, 89.1875, 0.0, 0.0, 24.19921875, 60.59375, 15.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 424.0, 59.0, 0.0, 0.0, 28.0, "Tous les candidats", 644.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "9005", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9005&g_ta_cod=9005", 100.0, 0.0, 0.0),
(8673, "Privé sous contrat d'association", "0693373S", "Lycée professionnel Carrel", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 6e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Carrel - Mention complémentaire - FCIL Formation aux compétences numériques de la vente dans l'entreprise", "Mention complémentaire", "", 25, 52, 17, 39, 0, 1, 0, 4, 2, 26, 12, 8, 13, 0, 2, 3, 8, 34, 6, 0, 0, 1, 0, 3, 1, 25, 11, 5, 43, 12, 4, 11, 1, 6.0, 11.0, 12.0, 0, 2, 9, 0, 1, 8, 3, 0, 5, 4, 0, 0, 0.0, 0, 0, 4, 0, 0, 9, 9, 50.0, 91.67, 100.0, 33.296875, 100.0, 100.0, 0, 22.19921875, 75.0, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 0.0, 0.0, 0.0, 11.099609375, 0.0, 88.890625, 44.3984375, 1.0, 0.0, 29.0, 13.0, 6.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "24755", "Mention complémentaire - FCIL Formation aux compétences numériques de la vente dans l'entreprise", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24755&g_ta_cod=24755", 8.0, 25.0, 67.0),
(8674, "Public", "0490003M", "Lycée Polyvalent Chevrollier", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Lycée Polyvalent Chevrollier - BTS - Production - Conception de produits industriels", "BTS - Production", "", 24, 381, 27, 380, 0, 55, 8, 214, 30, 48, 10, 63, 1, 0, 0, 0, 1, 336, 0, 0, 0, 43, 4, 209, 29, 43, 8, 41, 112, 23, 1, 23, 0, 1.0, 18.0, 23.0, 0, 8, 19, 1, 14, 4, 4, 0, 3, 14, 2, 0, 0.0, 1, 11, 4, 3, 0, 15, 15, 4.35, 78.26, 100.0, 4.2998046875, 78.890625, 78.890625, 15.798828125, 42.09375, 82.59375, 0.0, 15.798828125, 73.6875, 10.5, 0.0, 0.0, 5.2998046875, 5.2998046875, 73.6875, 57.8984375, 21.09765625, 21.09765625, 26.0, 3.0, 16.0, 5.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 126, "Liste d'appel propre à cette formation", 55.0, "5827", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5827&g_ta_cod=5827", 13.0, 70.0, 17.0),
(8675, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Espagnol", "Licence - Arts-lettres-langues", "LLCER Espagnol", 105, 467, 373, 321, 0, 223, 75, 22, 10, 13, 10, 63, 146, 21, 14, 11, 100, 319, 138, 0, 0, 223, 75, 22, 10, 13, 10, 61, 457, 77, 57, 43, 34, 42.0, 43.0, 62.0, 0, 20, 49, 37, 8, 4, 28, 0, 17, 20, 9, 3, 0.0, 26, 3, 3, 0, 0, 28, 28, 54.55, 55.84, 80.52, 74.0, 57.09375, 57.09375, 0, 40.796875, 63.59375, 0.0, 34.6953125, 40.796875, 18.3984375, 6.1, 0.0, 75.5, 53.09375, 16.296875, 6.099609375, 8.19921875, 6.099609375, 244.0, 82.0, 24.0, 15.0, 155.0, "Tous les candidats", 319.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "2734", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2734&g_ta_cod=2734", 68.0, 22.0, 10.0),
(8676, "Privé enseignement supérieur", "0592806E", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence_Las", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences - Licence - Portail Pluridisciplinaire - Technologies et Gestion du Développement Durable Convention avec l?UPHF", "Licence - Arts-lettres-langues", "Technologies et Gestion du Développement Durable Convention avec l?UPHF", 15, 82, 47, 19, 0, 15, 2, 0, 0, 0, 0, 4, 63, 33, 0, 0, 30, 14, 23, 0, 0, 13, 1, 0, 0, 0, 0, 1, 37, 10, 7, 1, 9, 1.0, 1.0, 9.0, 0, 2, 9, 9, 0, 0, 1, 0, 4, 5, 0, 0, 0.0, 5, 0, 0, 0, 0, 3, 3, 10.0, 10.0, 90.0, 70.0, 33.296875, 33.296875, 0, 22.19921875, 90.0, 0.0, 44.3984375, 55.59375, 0.0, 0.0, 0.0, 100.0, 55.59375, 0.0, 0.0, 0.0, 0.0, 30.0, 5.0, 0.0, 0.0, 7.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 74.0, "29317", "Licence - Portail Pluridisciplinaire - Technologies et Gestion du Développement Durable Convention avec l?UPHF", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29316&g_ta_cod=29317", 100.0, 0.0, 0.0),
(8677, "Public", "0330089T", "Lycée Polyvalent Industriel et Hotelier Jean Monnet", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Libourne", "formation sélective", "Autre formation", "Lycée Polyvalent Industriel et Hotelier Jean Monnet - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 15, 100, 3, 100, 0, 0, 0, 1, 0, 84, 19, 15, 0, 0, 0, 0, 0, 92, 0, 0, 0, 0, 0, 1, 0, 84, 19, 7, 38, 12, 1, 12, 0, 3.0, 8.0, 12.0, 0, 3, 10, 0, 0, 10, 2, 0, 4, 4, 2, 0, 0.0, 0, 0, 6, 0, 0, 10, 10, 25.0, 66.67, 100.0, 8.298828125, 100.0, 100.0, 0, 30.0, 83.296875, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 34.0, 8.0, 4.0, "Tous les candidats", 68.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "21505", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21505&g_ta_cod=21505", 0.0, 0.0, 100.0),
(8678, "Public", "0700018P", "Lycée Georges Colomb", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Lure", "formation sélective", "BTS", "Lycée Georges Colomb - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 18, 69, 21, 61, 0, 4, 2, 17, 8, 26, 13, 14, 8, 1, 0, 6, 1, 44, 5, 0, 0, 3, 1, 14, 7, 20, 12, 7, 44, 19, 7, 16, 3, 8.0, 13.0, 13.0, 0, 7, 15, 0, 5, 10, 4, 0, 6, 6, 2, 1, 0.0, 0, 4, 5, 6, 3, 14, 14, 42.11, 68.42, 68.42, 36.796875, 93.296875, 93.296875, 40, 46.6953125, 78.890625, 0.0, 40.0, 40.0, 13.298828125, 6.7, 0.0, 0.0, 0.0, 33.296875, 26.69921875, 66.6875, 33.296875, 1.0, 0.0, 24.0, 12.0, 7.0, "Tous les candidats sauf les Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 69.0, "16289", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16289&g_ta_cod=16289", 5.0, 32.0, 63.0),
(8679, "Public", "0560026Z", "Lycée Jean-Baptiste Colbert", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BTS", "Lycée Jean-Baptiste Colbert - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 28, 229, 12, 218, 0, 14, 0, 100, 16, 64, 16, 40, 11, 0, 1, 6, 4, 208, 2, 0, 0, 14, 0, 100, 16, 64, 16, 30, 102, 24, 0, 22, 2, 7.0, 14.0, 22.0, 0, 3, 23, 2, 13, 8, 1, 0, 10, 8, 4, 1, 0.0, 0, 8, 5, 8, 0, 22, 22, 29.17, 58.33, 91.67, 0.0, 95.6875, 95.6875, 34.796875, 13.0, 95.796875, 0.0, 43.5, 34.796875, 17.3984375, 4.3, 0.0, 8.69921875, 0.0, 56.5, 34.796875, 34.796875, 21.69921875, 6.0, 0.0, 46.0, 11.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 113, "Liste d'appel propre à cette formation", 89.0, "6427", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6427&g_ta_cod=6427", 13.0, 54.0, 33.0),
(8680, "Public", "0731487V", "IUT de CHAMBERY", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation sélective", "BUT", "IUT de CHAMBERY - BUT - Science et génie des matériaux Parcours : Métiers de l'ingénierie des matériaux et des produits - études aménagées alternance/sport/musique", "BUT - Production", "Métiers de l'ingénierie des matériaux et des produits - études aménagées alternance/sport/musique", 26, 209, 40, 194, 0, 132, 21, 25, 4, 1, 1, 36, 15, 4, 4, 0, 7, 98, 2, 0, 0, 75, 5, 15, 1, 1, 1, 7, 75, 24, 4, 23, 1, 11.0, 21.0, 24.0, 0, 1, 24, 17, 7, 0, 0, 0, 8, 11, 3, 2, 0.0, 11, 5, 0, 0, 0, 8, 8, 45.83, 87.5, 100.0, 16.69921875, 33.296875, 33.296875, 0, 4.19921875, 100.0, 0.0, 33.296875, 45.796875, 12.5, 8.3, 0.0, 70.796875, 45.796875, 29.19921875, 20.796875, 0.0, 0.0, 53.0, 5.0, 1.0, 1.0, 5.0, "Tous les candidats sauf les Bac technologiques", 76.0, "Bacheliers technologiques toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 47.0, "8842", "BUT - Science et génie des matériaux Parcours : Métiers de l'ingénierie des matériaux et des produits - études aménagées alternance/sport/musique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8842&g_ta_cod=8842", 71.0, 29.0, 0.0),
(8681, "Privé sous contrat d'association", "0690519P", "Lycée Notre Dame Des Minimes", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée Notre Dame Des Minimes - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 28, 1313, 645, 1313, 917, 1230, 79, 0, 0, 0, 0, 83, 0, 0, 0, 0, 0, 1179, 0, 820, 1062, 1144, 64, 0, 0, 0, 0, 35, 311, 27, 14, 27, 0, 1.0, 13.0, 26.0, 17, 0, 26, 26, 0, 0, 1, 0, 0, 2, 13, 11, 0.0, 26, 0, 0, 0, 0, 10, 10, 3.7, 48.15, 96.3, 51.8984375, 38.5, 38.5, 0, 0.0, 96.296875, 0.0, 0.0, 7.69921875, 50.0, 42.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 308.0, 17.0, 0.0, 0.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "31638", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31318&g_ta_cod=31638", 100.0, 0.0, 0.0),
(8682, "Public", "0620113L", "Lycée Henri Darras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Liévin", "formation sélective", "BTS", "Lycée Henri Darras - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 679, 362, 589, 0, 52, 18, 204, 94, 188, 97, 145, 90, 0, 0, 57, 33, 295, 5, 0, 0, 34, 10, 118, 57, 113, 62, 30, 140, 29, 16, 24, 4, 7.0, 21.0, 27.0, 0, 13, 24, 5, 8, 11, 5, 0, 8, 9, 6, 1, 0.0, 2, 6, 8, 5, 3, 24, 24, 24.14, 72.41, 93.1, 55.1953125, 100.0, 100.0, 20.796875, 54.1953125, 82.796875, 0.0, 33.296875, 37.5, 25.0, 4.2, 0.0, 20.796875, 8.298828125, 33.296875, 25.0, 45.796875, 33.296875, 14.0, 6.0, 79.0, 42.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 115, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 40.0, "7384", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7384&g_ta_cod=7384", 21.0, 28.0, 52.0),
(8683, "Public", "0830050D", "Lycée Beaussier", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Seyne-sur-Mer", "formation sélective", "BTS", "Lycée Beaussier - BTS - Services - Professions immobilières", "BTS - Services", "", 24, 893, 515, 893, 0, 233, 60, 244, 85, 185, 81, 231, 0, 0, 0, 0, 0, 564, 0, 0, 0, 185, 46, 145, 52, 114, 48, 120, 151, 21, 6, 20, 0, 2.0, 10.0, 16.0, 0, 5, 14, 9, 4, 1, 7, 0, 3, 8, 3, 0, 0.0, 7, 3, 1, 2, 1, 13, 13, 9.52, 47.62, 76.19, 28.59765625, 92.890625, 92.890625, 14.298828125, 35.6953125, 66.6875, 0.0, 21.3984375, 57.09375, 21.3984375, 0.0, 0.0, 64.296875, 50.0, 28.59765625, 21.3984375, 7.099609375, 7.099609375, 51.0, 19.0, 21.0, 5.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 113.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 27.0, "10341", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10341&g_ta_cod=10341", 57.0, 24.0, 19.0),
(8684, "Privé sous contrat d'association", "0860740M", "IRTS POITOU CHARENTES", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "EFTS", "IRTS POITOU CHARENTES - D.E Educateur Spécialisé", "D.E secteur social", "", 55, 380, 307, 380, 0, 63, 8, 53, 3, 19, 4, 245, 0, 0, 0, 0, 0, 254, 0, 0, 0, 38, 5, 23, 2, 6, 1, 187, 98, 55, 45, 55, 0, 24.0, 50.0, 53.0, 0, 0, 10, 5, 4, 1, 45, 0, 3, 3, 1, 3, 0.0, 3, 3, 1, 0, 0, 7, 7, 43.64, 90.91, 96.36, 81.796875, 70.0, 70.0, 0, 0.0, 18.19921875, 0.0, 30.0, 30.0, 10.0, 30.0, 0.0, 50.0, 30.0, 40.0, 30.0, 10.0, 10.0, 13.0, 0.0, 1.0, 0.0, 80.0, "Tous les candidats", 107.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "24936", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24936&g_ta_cod=24936", 58.0, 22.0, 18.0),
(8685, "Public", "0210018F", "Lycée Hippolyte Fontaine", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Hippolyte Fontaine - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 26, 195, 5, 190, 0, 9, 2, 47, 11, 80, 27, 54, 5, 0, 0, 4, 1, 119, 1, 0, 0, 7, 2, 38, 9, 64, 17, 10, 83, 23, 0, 22, 1, 5.0, 20.0, 22.0, 0, 8, 21, 0, 6, 15, 2, 0, 9, 11, 1, 0, 0.0, 0, 3, 9, 2, 0, 15, 15, 21.74, 86.96, 95.65, 0.0, 71.390625, 71.390625, 9.5, 38.09375, 91.296875, 0.0, 42.8984375, 52.3984375, 4.7998046875, 0.0, 0.0, 0.0, 0.0, 28.59765625, 14.298828125, 71.390625, 42.8984375, 6.0, 2.0, 45.0, 11.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 58.0, "3188", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3188&g_ta_cod=3188", 4.0, 30.0, 65.0),
(8686, "Privé sous contrat d'association", "0596146K", "IRTS HDF - Site Métropole Lilloise", "59", "Nord", "Hauts-de-France", "Lille", "Loos", "formation sélective", "EFTS", "IRTS HDF - Site Métropole Lilloise - D.E Educateur Spécialisé", "D.E secteur social", "", 45, 381, 285, 381, 0, 70, 7, 61, 11, 11, 4, 239, 0, 0, 0, 0, 0, 275, 0, 0, 0, 50, 6, 32, 4, 5, 1, 188, 76, 43, 31, 43, 0, 24.0, 37.0, 40.0, 0, 2, 9, 6, 3, 0, 34, 0, 2, 4, 1, 2, 0.0, 5, 2, 0, 0, 0, 9, 9, 55.81, 86.05, 93.02, 72.09375, 100.0, 100.0, 0, 22.19921875, 20.8984375, 0.0, 22.19921875, 44.3984375, 11.099609375, 22.2, 0.0, 66.6875, 55.59375, 33.296875, 22.19921875, 0.0, 0.0, 9.0, 1.0, 0.0, 0.0, 59.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "25056", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25056&g_ta_cod=25056", 74.0, 19.0, 0.0),
(8687, "Public", "0370038R", "Lycée Grandmont", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Grandmont - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 149, 8, 140, 0, 8, 1, 46, 8, 58, 14, 28, 9, 0, 0, 5, 4, 117, 1, 0, 0, 7, 1, 45, 8, 51, 13, 14, 56, 9, 0, 9, 0, 3.0, 8.0, 9.0, 0, 3, 8, 0, 5, 3, 1, 0, 8, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 8, 8, 33.33, 88.89, 100.0, 0.0, 100.0, 100.0, 0, 37.5, 88.890625, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 62.5, 0.0, 37.5, 0.0, 0.0, 0.0, 27.0, 9.0, 3.0, "Tous les candidats sauf les Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 52, "", 0, "Liste d'appel propre à cette formation", 75.0, "4837", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4837&g_ta_cod=4837", 0.0, 67.0, 33.0),
(8688, "Public", "0021939X", "Lycée Jules Verne", "02", "Aisne", "Hauts-de-France", "Amiens", "Château-Thierry", "formation sélective", "BTS", "Lycée Jules Verne - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 103, 8, 86, 0, 2, 1, 15, 2, 35, 7, 34, 17, 1, 3, 5, 8, 62, 7, 0, 0, 1, 0, 14, 2, 35, 7, 12, 58, 20, 1, 16, 3, 8.0, 15.0, 16.0, 0, 5, 15, 1, 1, 13, 5, 0, 5, 9, 1, 0, 0.0, 1, 1, 8, 6, 1, 7, 7, 40.0, 75.0, 80.0, 5.0, 46.6953125, 46.6953125, 40, 33.296875, 75.0, 0.0, 33.296875, 60.0, 6.69921875, 0.0, 0.0, 6.69921875, 6.69921875, 6.69921875, 6.69921875, 86.6875, 53.296875, 2.0, 0.0, 36.0, 8.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 65.0, "2095", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2095&g_ta_cod=2095", 15.0, 15.0, 70.0),
(8689, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Droit - Programme International MINERVE", "Licence - Droit-économie-gestion", "Droit - Programme International MINERVE", 525, 3390, 2465, 3313, 0, 2376, 519, 313, 128, 56, 34, 568, 77, 22, 7, 1, 47, 3313, 70, 0, 0, 2376, 519, 313, 128, 56, 34, 568, 2461, 552, 405, 495, 55, 51.0, 346.0, 460.0, 0, 119, 415, 333, 68, 14, 137, 11, 162, 139, 88, 13, 2.0, 210, 23, 9, 0, 0, 205, 205, 9.24, 62.68, 83.33, 73.390625, 49.3984375, 49.3984375, 0, 28.69921875, 75.1875, 2.69970703125, 39.0, 33.5, 21.19921875, 3.1, 0.5, 80.1875, 50.59375, 16.3984375, 5.5, 3.39990234375, 2.19970703125, 1762.0, 387.0, 41.0, 24.0, 425.0, "Tous les candidats", 3003.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "8481", "Licence - Portail Droit - Programme International MINERVE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8481&g_ta_cod=8481", 75.0, 18.0, 6.0),
(8690, "Public", "0631669X", "Lycée des Métiers de Chamalières", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Chamalières", "formation sélective", "Autre formation", "Lycée des Métiers de Chamalières - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 13, 96, 73, 94, 0, 4, 2, 9, 2, 51, 22, 30, 2, 0, 0, 0, 2, 74, 1, 0, 0, 4, 2, 9, 2, 51, 22, 10, 41, 8, 4, 7, 0, 2.0, 6.0, 7.0, 0, 1, 4, 0, 1, 3, 4, 0, 1, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 3, 3, 25.0, 75.0, 87.5, 50.0, 75.0, 75.0, 0, 25.0, 50.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 75.0, 2.0, 2.0, 28.0, 12.0, 7.0, "Tous les candidats", 62.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "23364", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23364&g_ta_cod=23364", 0.0, 25.0, 75.0),
(8691, "Public", "9720004X", "Lycée Joseph Gaillard", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "CPGE", "Lycée Joseph Gaillard - CPGE - TSI", "Classe préparatoire scientifique", "", 24, 69, 10, 69, 0, 0, 0, 59, 23, 0, 0, 10, 0, 0, 0, 0, 0, 69, 0, 0, 69, 0, 0, 59, 23, 0, 0, 10, 45, 23, 5, 23, 0, 12.0, 23.0, 23.0, 0, 10, 22, 0, 22, 0, 1, 0, 11, 7, 4, 0, 0.0, 0, 11, 0, 8, 1, 21, 21, 52.17, 100.0, 100.0, 21.69921875, 95.5, 95.5, 36.3984375, 45.5, 95.6875, 0.0, 50.0, 31.796875, 18.19921875, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "11795", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11795&g_ta_cod=11795", 0.0, 100.0, 0.0),
(8692, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Double diplôme - Licence Droit - Collège de Droit de la Sorbonne", "Licence - Droit-économie-gestion", "Collège de Droit de la Sorbonne", 50, 2207, 1540, 2207, 0, 1807, 212, 30, 10, 10, 1, 360, 0, 0, 0, 0, 0, 408, 0, 0, 0, 384, 38, 0, 0, 0, 0, 24, 115, 49, 28, 49, 0, 18.0, 44.0, 45.0, 0, 7, 46, 46, 0, 0, 3, 0, 0, 0, 6, 33, 7.0, 46, 0, 0, 0, 0, 16, 23, 36.73, 89.8, 91.84, 57.09375, 34.796875, 50.0, 0, 15.19921875, 93.890625, 0.0, 0.0, 0.0, 13.0, 71.7, 15.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 110.0, 14.0, 0.0, 0.0, 5.0, "Tous les candidats", 122.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "22657", "Licence - Double diplôme - Licence Droit - Collège de Droit de la Sorbonne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22657&g_ta_cod=22657", 100.0, 0.0, 0.0),
(8693, "Public", "0630069H", "Lycée Jean Zay", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Thiers", "formation sélective", "CPGE", "Lycée Jean Zay - CPGE - PTSI", "Classe préparatoire scientifique", "", 24, 257, 65, 244, 186, 170, 26, 0, 0, 0, 0, 74, 13, 7, 0, 0, 6, 186, 10, 143, 173, 155, 22, 0, 0, 0, 0, 31, 180, 12, 1, 10, 2, 1.0, 8.0, 12.0, 7, 1, 8, 8, 0, 0, 4, 0, 1, 5, 2, 0, 0.0, 7, 0, 0, 0, 0, 4, 4, 8.33, 66.67, 100.0, 8.298828125, 50.0, 50.0, 0, 12.5, 66.6875, 0.0, 12.5, 62.5, 25.0, 0.0, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 155.0, 21.0, 0.0, 0.0, 25.0, "Tous les candidats", 186.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "7580", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7580&g_ta_cod=7580", 83.0, 17.0, 0.0),
(8694, "Public", "0920136Y", "Lycée Newton-Enrea", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Clichy", "formation sélective", "BTS", "Lycée Newton-Enrea - BTS - Production - Electrotechnique", "BTS - Production", "", 28, 560, 8, 560, 0, 9, 1, 65, 26, 306, 130, 180, 0, 0, 0, 0, 0, 422, 0, 0, 0, 8, 1, 59, 24, 241, 101, 114, 131, 28, 0, 28, 0, 4.0, 20.0, 26.0, 0, 7, 24, 0, 4, 20, 4, 0, 12, 6, 5, 1, 0.0, 0, 0, 12, 7, 0, 19, 24, 14.29, 71.43, 92.86, 0.0, 79.1875, 100.0, 29.19921875, 29.19921875, 85.6875, 0.0, 50.0, 25.0, 20.796875, 4.2, 0.0, 0.0, 0.0, 16.69921875, 0.0, 83.296875, 50.0, 4.0, 1.0, 91.0, 31.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 168, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 39.0, "10993", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10993&g_ta_cod=10993", 4.0, 25.0, 71.0),
(8695, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence_Las", "Université Toulouse 3 Paul Sabatier - Licence - Portail Electronique, énergie électrique, automatique", "Licence - Sciences - technologies - santé", "", 36, 224, 76, 163, 0, 60, 19, 9, 3, 2, 1, 92, 61, 18, 0, 1, 42, 156, 54, 0, 0, 60, 19, 9, 3, 2, 1, 85, 170, 35, 12, 15, 20, 1.0, 15.0, 27.0, 0, 1, 9, 7, 2, 0, 26, 0, 4, 3, 2, 0, 0.0, 5, 0, 0, 0, 0, 7, 7, 2.86, 42.86, 77.14, 34.296875, 77.796875, 77.796875, 0, 11.099609375, 25.69921875, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 77.796875, 55.59375, 22.19921875, 0.0, 0.0, 0.0, 67.0, 16.0, 2.0, 2.0, 98.0, "Tous les candidats", 517.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 95.0, "27514", "Licence - Portail Electronique, énergie électrique, automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27513&g_ta_cod=27514", 80.0, 17.0, 3.0),
(8696, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation non sélective", "Licence_Las", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Portail Mathématiques-Physique (MP)", "Licence - Sciences - technologies - santé", "Portail Mathématiques-Physique (MP)", 15, 989, 432, 989, 0, 706, 107, 10, 4, 1, 0, 272, 0, 0, 0, 0, 0, 989, 0, 0, 0, 706, 107, 10, 4, 1, 0, 272, 260, 11, 4, 11, 0, 0.0, 2.0, 7.0, 0, 4, 6, 5, 1, 0, 5, 0, 1, 3, 1, 1, 0.0, 5, 0, 0, 0, 0, 2, 6, 0.0, 18.18, 63.64, 36.3984375, 33.296875, 100.0, 0, 66.6875, 54.5, 0.0, 16.69921875, 50.0, 16.69921875, 16.7, 0.0, 83.296875, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 183.0, 26.0, 0.0, 0.0, 75.0, "Tous les candidats", 2060.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 53.0, "28473", "Licence - Portail Mathématiques-Physique (MP)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28472&g_ta_cod=28473", 91.0, 9.0, 0.0),
(8697, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "PASS", "Université Toulouse 3 Paul Sabatier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 25, 2678, 2047, 2678, 0, 1882, 321, 102, 35, 27, 14, 667, 0, 0, 0, 0, 0, 2678, 0, 0, 0, 1882, 321, 102, 35, 27, 14, 667, 426, 23, 20, 23, 0, 0.0, 2.0, 16.0, 0, 4, 22, 22, 0, 0, 1, 0, 2, 10, 8, 2, 0.0, 20, 0, 0, 0, 0, 19, 19, 0.0, 8.7, 69.57, 87.0, 86.390625, 86.390625, 0, 18.19921875, 95.6875, 0.0, 9.099609375, 45.5, 36.3984375, 9.1, 0.0, 100.0, 90.890625, 0.0, 0.0, 0.0, 0.0, 404.0, 60.0, 3.0, 2.0, 17.0, "Tous les candidats", 3087.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "30941", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29840&g_ta_cod=30941", 100.0, 0.0, 0.0),
(8698, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Sciences de l'Homme, Anthropologie, Ethnologie - Parcours Anthropologie, Ethnologie", "Licence - Sciences humaines et sociales", "Anthropologie, Ethnologie", 120, 958, 691, 958, 0, 486, 134, 24, 8, 2, 1, 446, 0, 0, 0, 0, 0, 957, 0, 0, 0, 486, 134, 24, 8, 2, 1, 445, 466, 120, 85, 120, 0, 13.0, 94.0, 109.0, 0, 16, 57, 52, 3, 2, 63, 0, 17, 19, 16, 4, 1.0, 37, 1, 2, 0, 0, 23, 23, 10.83, 78.33, 90.83, 70.796875, 40.3984375, 40.3984375, 0, 28.09765625, 47.5, 0.0, 29.796875, 33.296875, 28.09765625, 7.0, 1.8, 91.1875, 64.890625, 5.2998046875, 1.7998046875, 3.5, 3.5, 242.0, 64.0, 2.0, 1.0, 212.0, "Tous les candidats", 734.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "4175", "Licence - Sciences de l'Homme, Anthropologie, Ethnologie - Parcours Anthropologie, Ethnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4175&g_ta_cod=4175", 86.0, 8.0, 3.0),
(8699, "Public", "0911990U", "I.U.T. d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "BUT", "I.U.T. d'Evry Val d'Essonne - BUT - Science et génie des matériaux", "BUT - Production", "", 40, 447, 58, 366, 0, 200, 29, 89, 14, 2, 1, 75, 81, 19, 10, 0, 52, 277, 7, 0, 0, 167, 18, 53, 5, 2, 1, 55, 185, 32, 5, 27, 5, 6.0, 22.0, 28.0, 0, 4, 24, 18, 6, 0, 8, 0, 13, 10, 1, 0, 0.0, 5, 6, 0, 0, 0, 13, 23, 18.75, 68.75, 87.5, 15.599609375, 54.1953125, 95.796875, 0, 16.69921875, 75.0, 0.0, 54.1953125, 41.6953125, 4.19921875, 0.0, 0.0, 75.0, 20.796875, 25.0, 25.0, 0.0, 0.0, 104.0, 14.0, 2.0, 1.0, 37.0, "Tous les candidats sauf les Bac technologiques", 221.0, "Bacheliers technologiques toutes séries", 60, "", 0, "Liste d'appel propre à cette formation", 75.0, "10960", "BUT - Science et génie des matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10960&g_ta_cod=10960", 78.0, 22.0, 0.0),
(8700, "Public", "0642126N", "Collèges des études européennes et internationales", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation non sélective", "Licence", "Collèges des études européennes et internationales - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 150, 1021, 472, 936, 0, 679, 101, 96, 19, 14, 4, 147, 85, 30, 4, 1, 50, 934, 79, 0, 0, 679, 101, 96, 19, 14, 4, 145, 860, 125, 48, 104, 21, 49.0, 96.0, 110.0, 0, 16, 91, 86, 3, 2, 34, 0, 44, 41, 5, 1, 0.0, 46, 0, 1, 0, 0, 63, 63, 39.2, 76.8, 88.0, 38.3984375, 69.1875, 69.1875, 0, 17.59765625, 72.796875, 0.0, 48.3984375, 45.09375, 5.5, 1.1, 0.0, 94.5, 50.5, 3.2998046875, 0.0, 2.19970703125, 1.099853515625, 651.0, 103.0, 6.0, 2.0, 167.0, "Tous les candidats", 934.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7772", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7772&g_ta_cod=7772", 93.0, 5.0, 2.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(8701, "Public", "0590010R", "Lycée Paul Hazard", "59", "Nord", "Hauts-de-France", "Lille", "Armentières", "formation sélective", "BTS", "Lycée Paul Hazard - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 305, 179, 232, 0, 13, 6, 63, 18, 62, 28, 94, 73, 0, 4, 31, 38, 165, 10, 0, 0, 11, 6, 57, 17, 61, 27, 36, 112, 23, 14, 18, 5, 5.0, 14.0, 20.0, 0, 6, 17, 2, 7, 8, 6, 0, 7, 7, 3, 0, 0.0, 1, 4, 5, 6, 5, 17, 17, 21.74, 60.87, 86.96, 60.8984375, 100.0, 100.0, 35.296875, 35.296875, 73.890625, 0.0, 41.1953125, 41.1953125, 17.59765625, 0.0, 0.0, 11.798828125, 5.8994140625, 41.1953125, 23.5, 47.09375, 29.3984375, 7.0, 3.0, 53.0, 23.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 63.0, "6706", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6706&g_ta_cod=6706", 13.0, 39.0, 48.0),
(8702, "Public", "0110983J", "I.U.T de Perpignan (Site de Narbonne)", "11", "Aude", "Occitanie", "Montpellier", "Narbonne", "formation sélective", "BUT", "I.U.T de Perpignan (Site de Narbonne) - BUT - Génie chimique génie des procédés Parcours : Conception des procédés et innovation technologique", "BUT - Production", "Conception des procédés et innovation technologique", 32, 703, 357, 653, 0, 384, 77, 95, 24, 2, 0, 172, 50, 14, 11, 0, 25, 510, 29, 0, 0, 334, 64, 61, 16, 0, 0, 115, 380, 25, 11, 20, 5, 8.0, 14.0, 23.0, 0, 3, 19, 17, 2, 0, 6, 0, 2, 13, 4, 0, 0.0, 15, 2, 0, 0, 0, 15, 15, 32.0, 56.0, 92.0, 44.0, 78.890625, 78.890625, 0, 15.798828125, 76.0, 0.0, 10.5, 68.390625, 21.09765625, 0.0, 0.0, 89.5, 78.890625, 10.5, 10.5, 0.0, 0.0, 260.0, 45.0, 0.0, 0.0, 83.0, "Tous les candidats sauf les Bac technologiques", 438.0, "Bacheliers technologiques toutes séries", 73, "", 0, "Liste d'appel propre à cette formation", 78.0, "2471", "BUT - Génie chimique génie des procédés Parcours : Conception des procédés et innovation technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2471&g_ta_cod=2471", 88.0, 12.0, 0.0),
(8703, "Public", "0680034T", "Lycée Louis-Armand", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BTS", "Lycée Louis-Armand - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 24, 376, 73, 329, 0, 21, 3, 88, 31, 77, 37, 143, 47, 4, 12, 14, 17, 139, 17, 0, 0, 19, 3, 62, 23, 42, 19, 16, 122, 19, 2, 12, 7, 1.0, 11.0, 17.0, 0, 5, 14, 2, 5, 7, 5, 0, 10, 3, 1, 0, 0.0, 0, 2, 2, 5, 0, 13, 13, 5.26, 57.89, 89.47, 10.5, 92.890625, 92.890625, 35.6953125, 35.6953125, 73.6875, 0.0, 71.390625, 21.3984375, 7.099609375, 0.0, 0.0, 14.298828125, 0.0, 35.6953125, 14.298828125, 50.0, 14.298828125, 21.0, 4.0, 32.0, 16.0, 19.0, "Tous les candidats sauf les Bac professionnels", 92.0, "Bacheliers professionnels toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 42.0, "8106", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8106&g_ta_cod=8106", 32.0, 32.0, 37.0),
(8704, "Public", "0831243A", "Lycée Bonaparte", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Bonaparte - BTS - Services - Support à l'action managériale", "BTS - Services", "", 32, 442, 321, 442, 0, 18, 5, 152, 68, 139, 80, 133, 0, 0, 0, 0, 0, 442, 0, 0, 0, 18, 5, 152, 68, 139, 80, 133, 122, 30, 24, 30, 0, 9.0, 25.0, 30.0, 0, 7, 23, 2, 4, 17, 7, 0, 6, 13, 3, 1, 0.0, 1, 3, 13, 3, 2, 22, 22, 30.0, 83.33, 100.0, 80.0, 95.6875, 95.6875, 13, 30.3984375, 76.6875, 0.0, 26.09765625, 56.5, 13.0, 4.3, 0.0, 8.69921875, 4.2998046875, 17.3984375, 13.0, 73.890625, 56.5, 6.0, 4.0, 59.0, 32.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 93, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 43.0, "10384", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10384&g_ta_cod=10384", 27.0, 17.0, 57.0),
(8705, "Public", "0100684P", "Iut De Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BUT", "Iut De Troyes - BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de Communication Numérique et Design d'Expérience - Création Numérique - Développement web et Dispositifs Interactifs", "BUT - Production", "Stratégie de Communication Numérique et Design d'Expérience - Création Numérique - Développement web et Dispositifs Interactifs", 110, 1016, 265, 1016, 0, 472, 67, 230, 44, 31, 8, 283, 0, 0, 0, 0, 0, 640, 0, 0, 0, 327, 42, 140, 20, 21, 6, 152, 235, 109, 26, 109, 0, 46.0, 98.0, 103.0, 0, 14, 76, 43, 30, 3, 33, 0, 6, 44, 19, 7, 0.0, 41, 26, 3, 0, 0, 34, 34, 42.2, 89.91, 94.5, 23.8984375, 44.6953125, 44.6953125, 0, 18.3984375, 69.6875, 0.0, 7.8994140625, 57.8984375, 25.0, 9.2, 0.0, 56.59375, 53.8984375, 39.5, 34.1953125, 3.89990234375, 3.89990234375, 88.0, 15.0, 4.0, 1.0, 51.0, "Tous les candidats sauf les Bac technologiques", 122.0, "Bacheliers technologiques toutes séries", 143, "", 0, "Liste d'appel propre à cette formation", 26.0, "2426", "BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de Communication Numérique et Design d'Expérience - Création Numérique - Développement web et Dispositifs Interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2426&g_ta_cod=2426", 52.0, 45.0, 3.0),
(8706, "Public", "0340042L", "Lycée Jean Mermoz", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Jean Mermoz - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 15, 346, 10, 328, 0, 14, 5, 83, 14, 161, 84, 70, 18, 0, 11, 0, 7, 159, 2, 0, 0, 7, 3, 57, 6, 75, 34, 20, 65, 12, 0, 11, 1, 2.0, 11.0, 12.0, 0, 5, 11, 0, 5, 6, 1, 0, 3, 4, 4, 0, 0.0, 0, 3, 5, 3, 0, 10, 10, 16.67, 91.67, 100.0, 0.0, 90.890625, 90.890625, 27.296875, 45.5, 91.6875, 0.0, 27.296875, 36.3984375, 36.3984375, 0.0, 0.0, 0.0, 0.0, 45.5, 27.296875, 54.5, 45.5, 2.0, 2.0, 16.0, 9.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 30.0, "17288", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17288&g_ta_cod=17288", 0.0, 50.0, 50.0),
(8707, "Privé enseignement supérieur", "0310155A", "Institut Catholique de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Institut Catholique de Toulouse - Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquées anglais et allemand", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées anglais et allemand", 120, 93, 60, 54, 0, 36, 2, 6, 1, 1, 1, 11, 39, 8, 3, 0, 28, 53, 38, 0, 0, 36, 2, 6, 1, 1, 1, 10, 91, 5, 3, 4, 1, 4.0, 4.0, 5.0, 0, 1, 4, 3, 0, 1, 1, 0, 1, 2, 1, 0, 0.0, 2, 0, 1, 0, 0, 2, 2, 80.0, 80.0, 100.0, 60.0, 50.0, 50.0, 0, 25.0, 80.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 75.0, 50.0, 0.0, 0.0, 25.0, 25.0, 44.0, 3.0, 1.0, 1.0, 37.0, "Tous les candidats", 53.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "4092", "Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquées anglais et allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4092&g_ta_cod=4092", 80.0, 0.0, 20.0),
(8708, "Privé sous contrat d'association", "0132922F", "Lycée St Jean", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Salon-de-Provence", "formation sélective", "BTS", "Lycée St Jean - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 32, 510, 233, 324, 0, 53, 10, 109, 38, 80, 29, 82, 186, 12, 72, 41, 61, 96, 40, 0, 0, 23, 6, 38, 14, 17, 6, 18, 118, 21, 10, 15, 6, 10.0, 15.0, 18.0, 0, 4, 18, 3, 10, 5, 3, 0, 8, 6, 3, 1, 0.0, 2, 5, 3, 0, 0, 16, 16, 47.62, 71.43, 85.71, 47.59375, 88.890625, 88.890625, 0, 22.19921875, 85.6875, 0.0, 44.3984375, 33.296875, 16.69921875, 5.6, 0.0, 16.69921875, 11.099609375, 55.59375, 27.796875, 27.796875, 16.69921875, 19.0, 4.0, 30.0, 13.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 29.0, "2788", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2788&g_ta_cod=2788", 19.0, 52.0, 29.0),
(8709, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 200, 1274, 1111, 1274, 0, 744, 155, 128, 30, 19, 10, 383, 0, 0, 0, 0, 0, 1273, 0, 0, 0, 744, 155, 128, 30, 19, 10, 382, 573, 196, 176, 196, 0, 50.0, 157.0, 167.0, 0, 36, 151, 134, 15, 2, 45, 0, 45, 79, 22, 5, 0.0, 92, 12, 2, 0, 0, 144, 144, 25.51, 80.1, 85.2, 89.796875, 95.390625, 95.390625, 0, 23.796875, 77.0, 0.0, 29.796875, 52.296875, 14.599609375, 3.3, 0.0, 88.6875, 60.8984375, 9.8984375, 7.8994140625, 1.2998046875, 1.2998046875, 342.0, 69.0, 7.0, 6.0, 172.0, "Tous les candidats", 622.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "15025", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15025&g_ta_cod=15025", 86.0, 12.0, 3.0),
(8710, "Public", "0492148U", "Lycée général et technologique Jean Bodin", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Les Ponts-de-Cé", "formation sélective", "BTS", "Lycée général et technologique Jean Bodin - BTS - Services - Notariat (Seconde année possible en apprentissage)", "BTS - Services", "", 32, 647, 488, 647, 0, 166, 28, 185, 44, 40, 20, 256, 0, 0, 0, 0, 0, 397, 0, 0, 0, 164, 28, 154, 37, 22, 8, 57, 158, 33, 28, 33, 0, 4.0, 27.0, 31.0, 0, 4, 30, 13, 15, 2, 3, 1, 9, 14, 6, 0, 0.0, 9, 9, 2, 1, 1, 22, 22, 12.12, 81.82, 93.94, 84.796875, 73.296875, 73.296875, 3.2998046875, 13.298828125, 90.890625, 3.2998046875, 30.0, 46.6953125, 20.0, 0.0, 0.0, 43.296875, 30.0, 50.0, 30.0, 6.69921875, 6.69921875, 55.0, 11.0, 12.0, 4.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 86.0, "Bacheliers technologiques toutes séries", 129, "Bacheliers professionnels toutes séries", 23, "Liste d'appel propre à cette formation", 37.0, "24772", "BTS - Services - Notariat (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24772&g_ta_cod=24772", 42.0, 45.0, 12.0),
(8711, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues étrangères appliquées - Parcours Portugais - Anglais", "Licence - Arts-lettres-langues", "Portugais - Anglais", 20, 156, 120, 156, 0, 76, 19, 32, 8, 11, 4, 37, 0, 0, 0, 0, 0, 156, 0, 0, 0, 76, 19, 32, 8, 11, 4, 37, 97, 19, 15, 19, 0, 2.0, 11.0, 18.0, 0, 5, 13, 6, 4, 3, 6, 0, 6, 5, 2, 0, 0.0, 3, 1, 3, 0, 0, 7, 11, 10.53, 57.89, 94.74, 78.890625, 53.796875, 84.59375, 0, 38.5, 68.390625, 0.0, 46.1953125, 38.5, 15.3984375, 0.0, 0.0, 46.1953125, 23.09765625, 30.796875, 7.69921875, 23.09765625, 23.09765625, 48.0, 14.0, 7.0, 3.0, 20.0, "Tous les candidats", 129.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "15140", "Licence - Langues étrangères appliquées - Parcours Portugais - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15140&g_ta_cod=15140", 53.0, 32.0, 16.0),
(8712, "Public", "0782565P", "Lycée Jules Ferry", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Jules Ferry - CPGE - TSI", "Classe préparatoire scientifique", "", 36, 460, 50, 460, 0, 0, 0, 434, 94, 0, 0, 26, 0, 0, 0, 0, 0, 360, 0, 0, 360, 0, 0, 352, 73, 0, 0, 8, 181, 36, 1, 36, 0, 17.0, 33.0, 36.0, 0, 1, 36, 0, 36, 0, 0, 0, 1, 8, 21, 6, 0.0, 0, 35, 0, 13, 0, 32, 34, 47.22, 91.67, 100.0, 2.7998046875, 88.890625, 94.390625, 36.09375, 2.7998046875, 100.0, 0.0, 2.7998046875, 22.19921875, 58.296875, 16.7, 0.0, 0.0, 0.0, 100.0, 97.1875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 324.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "14486", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14486&g_ta_cod=14486", 0.0, 100.0, 0.0),
(8713, "Public", "0301577B", "Université de Montpellier, Antenne de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "PASS", "Université de Montpellier, Antenne de Nîmes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 85, 1538, 1110, 1538, 0, 1125, 275, 51, 23, 15, 7, 347, 0, 0, 0, 0, 0, 1538, 0, 0, 0, 1125, 275, 51, 23, 15, 7, 347, 659, 79, 61, 79, 0, 1.0, 41.0, 71.0, 0, 15, 55, 50, 4, 1, 24, 0, 15, 22, 15, 3, 0.0, 38, 1, 1, 0, 0, 47, 47, 1.27, 51.9, 89.87, 77.1875, 85.5, 85.5, 0, 27.296875, 69.59375, 0.0, 27.296875, 40.0, 27.296875, 5.5, 0.0, 90.890625, 69.09375, 7.2998046875, 1.7998046875, 1.7998046875, 1.7998046875, 512.0, 121.0, 3.0, 2.0, 131.0, "Tous les candidats", 2489.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 54.0, "31848", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28811&g_ta_cod=31848", 91.0, 8.0, 1.0),
(8714, "Public", "0720083Z", "I.U.T. Le Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BUT", "I.U.T. Le Mans - BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Synthèse - Matériaux et produits formulés (Seconde année possible en apprentissage)", "BUT - Production", "Analyse, contrôle-qualité, environnement - Synthèse - Matériaux et produits formulés", 117, 1294, 721, 1239, 0, 746, 78, 228, 42, 2, 0, 263, 55, 10, 10, 0, 35, 1074, 21, 0, 0, 684, 65, 187, 26, 0, 0, 203, 859, 98, 54, 89, 9, 37.0, 74.0, 98.0, 0, 8, 75, 51, 24, 0, 23, 0, 17, 38, 19, 1, 0.0, 37, 21, 0, 0, 0, 35, 35, 37.76, 75.51, 100.0, 55.09375, 46.6953125, 46.6953125, 0, 10.69921875, 76.5, 0.0, 22.69921875, 50.6953125, 25.296875, 1.3, 0.0, 68.0, 49.296875, 32.0, 28.0, 0.0, 0.0, 505.0, 56.0, 0.0, 0.0, 185.0, "Tous les candidats sauf les Bac technologiques", 869.0, "Bacheliers technologiques toutes séries", 205, "", 0, "Liste d'appel propre à cette formation", 87.0, "8708", "BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Synthèse - Matériaux et produits formulés (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8708&g_ta_cod=8708", 72.0, 27.0, 0.0),
(8715, "Public", "0530016E", "Lycée Lavoisier", "53", "Mayenne", "Pays de la Loire", "Nantes", "Mayenne", "formation sélective", "BTS", "Lycée Lavoisier - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 621, 312, 525, 0, 62, 9, 122, 42, 113, 41, 228, 96, 6, 11, 46, 33, 247, 14, 0, 0, 45, 5, 91, 28, 84, 29, 27, 191, 31, 19, 29, 2, 7.0, 27.0, 29.0, 0, 5, 26, 7, 14, 5, 5, 1, 13, 9, 3, 0, 0.0, 2, 6, 4, 13, 7, 21, 21, 22.58, 87.1, 93.55, 61.296875, 80.796875, 80.796875, 50, 19.19921875, 83.890625, 3.7998046875, 50.0, 34.59375, 11.5, 0.0, 0.0, 26.8984375, 7.69921875, 53.796875, 23.09765625, 19.19921875, 15.3984375, 35.0, 3.0, 61.0, 22.0, 32.0, "Tous les candidats sauf les Bac professionnels", 158.0, "Bacheliers professionnels toutes séries", 85, "", 0, "Liste d'appel propre à cette formation", 46.0, "6207", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6207&g_ta_cod=6207", 32.0, 52.0, 16.0),
(8716, "Public", "0692987X", "IFSI CH Le Vinatier", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Bron", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lyon - D.E Infirmier", "D.E secteur sanitaire", "", 105, 9226, 7821, 9226, 0, 1597, 381, 1555, 470, 1027, 435, 5047, 0, 0, 0, 0, 0, 6897, 0, 0, 0, 1426, 311, 1232, 338, 649, 257, 3590, 1106, 105, 93, 105, 0, 4.0, 56.0, 82.0, 0, 17, 56, 21, 24, 11, 49, 0, 8, 21, 20, 7, 0.0, 17, 20, 11, 0, 0, 34, 34, 3.81, 53.33, 78.1, 88.59375, 60.6953125, 60.6953125, 0, 30.3984375, 53.296875, 0.0, 14.298828125, 37.5, 35.6953125, 12.5, 0.0, 37.5, 30.3984375, 42.8984375, 35.6953125, 19.59765625, 19.59765625, 301.0, 58.0, 110.0, 47.0, 449.0, "Tous les candidats", 2445.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "23169", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23001&g_ta_cod=23169", 50.0, 33.0, 15.0),
(8717, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues étrangères appliquées - Parcours Anglais italien appliqués aux affaires", "Licence - Arts-lettres-langues", "Anglais italien appliqués aux affaires", 80, 407, 293, 352, 0, 226, 59, 18, 9, 16, 8, 92, 55, 11, 3, 3, 38, 352, 40, 0, 0, 226, 59, 18, 9, 16, 8, 92, 348, 80, 52, 63, 17, 41.0, 61.0, 65.0, 0, 22, 55, 43, 7, 5, 25, 0, 20, 20, 11, 4, 0.0, 30, 1, 4, 0, 0, 41, 41, 51.25, 76.25, 81.25, 65.0, 74.5, 74.5, 0, 40.0, 68.796875, 0.0, 36.3984375, 36.3984375, 20.0, 7.3, 0.0, 78.1875, 54.5, 12.69921875, 1.7998046875, 9.099609375, 7.2998046875, 209.0, 57.0, 18.0, 10.0, 102.0, "Tous les candidats", 351.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15722", "Licence - Langues étrangères appliquées - Parcours Anglais italien appliqués aux affaires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15722&g_ta_cod=15722", 75.0, 15.0, 10.0),
(8718, "Public", "0350029S", "Lycée Joliot-Curie", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Joliot-Curie - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 28, 288, 23, 259, 0, 16, 0, 108, 13, 76, 16, 59, 29, 0, 6, 9, 14, 187, 0, 0, 0, 12, 0, 91, 12, 65, 13, 19, 112, 20, 0, 20, 0, 0.0, 19.0, 20.0, 0, 5, 15, 0, 8, 7, 5, 0, 8, 7, 0, 0, 0.0, 0, 4, 3, 6, 0, 13, 13, 0.0, 95.0, 100.0, 0.0, 86.6875, 86.6875, 40, 33.296875, 75.0, 0.0, 53.296875, 46.6953125, 0.0, 0.0, 0.0, 0.0, 0.0, 53.296875, 26.69921875, 46.6953125, 20.0, 0.0, 0.0, 53.0, 13.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 102, "Liste d'appel propre à cette formation", 66.0, "4644", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4644&g_ta_cod=4644", 10.0, 55.0, 35.0),
(8719, "Public", "9720350Y", "Lycée Frantz Fanon", "972", "Martinique", "Martinique", "Martinique", "La Trinité", "formation sélective", "BTS", "Lycée Frantz Fanon - BTS - Services - Commerce International", "BTS - Services", "", 30, 479, 213, 478, 0, 98, 27, 92, 43, 60, 27, 228, 1, 0, 0, 0, 1, 188, 0, 0, 0, 83, 23, 60, 26, 23, 11, 22, 132, 28, 16, 28, 0, 5.0, 26.0, 27.0, 0, 9, 24, 9, 7, 8, 4, 0, 11, 8, 3, 2, 0.0, 3, 5, 5, 3, 2, 21, 21, 17.86, 92.86, 96.43, 57.09375, 87.5, 87.5, 12.5, 37.5, 85.6875, 0.0, 45.796875, 33.296875, 12.5, 8.3, 0.0, 37.5, 12.5, 29.19921875, 20.796875, 33.296875, 20.796875, 63.0, 18.0, 20.0, 11.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 100.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 39.0, "11810", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11810&g_ta_cod=11810", 46.0, 25.0, 29.0),
(8720, "Public", "0750652B", "Lycée Charlemagne", "75", "Paris", "Ile-de-France", "Paris", "Paris  4e  Arrondissement", "formation sélective", "CPGE", "Lycée Charlemagne - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 3457, 1343, 3457, 505, 3035, 391, 3, 2, 0, 0, 419, 0, 0, 0, 0, 0, 2129, 0, 389, 1986, 2019, 283, 0, 0, 0, 0, 110, 694, 47, 20, 47, 0, 16.0, 20.0, 36.0, 0, 3, 45, 45, 0, 0, 2, 0, 0, 0, 15, 27, 3.0, 45, 0, 0, 1, 0, 17, 41, 34.04, 42.55, 76.6, 42.59375, 37.796875, 91.09375, 2.19970703125, 6.69921875, 95.6875, 0.0, 0.0, 0.0, 33.296875, 60.0, 6.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 681.0, 83.0, 0.0, 0.0, 13.0, "Tous les candidats", 876.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "8961", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8961&g_ta_cod=8961", 100.0, 0.0, 0.0),
(8721, "Public", "0922427N", "Lycée Claude Garamont", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Colombes", "formation sélective", "Autre formation", "Lycée Claude Garamont - DN MADE - Graphisme - - Spécialité : Graphisme en action - Territoires d'Innovation Sociale", "DN MADE", "- Spécialité : Graphisme en action - Territoires d'Innovation Sociale", 15, 348, 213, 348, 0, 102, 24, 66, 17, 77, 19, 103, 0, 0, 0, 0, 0, 215, 0, 0, 0, 81, 20, 43, 11, 32, 8, 59, 53, 15, 11, 15, 0, 4.0, 15.0, 15.0, 0, 4, 10, 7, 3, 0, 5, 0, 0, 7, 3, 0, 0.0, 7, 3, 0, 0, 0, 4, 7, 26.67, 100.0, 100.0, 73.296875, 40.0, 70.0, 0, 40.0, 66.6875, 0.0, 0.0, 70.0, 30.0, 0.0, 0.0, 70.0, 70.0, 30.0, 30.0, 0.0, 0.0, 25.0, 5.0, 0.0, 0.0, 13.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "21630", "DN MADE - Graphisme - - Spécialité : Graphisme en action - Territoires d'Innovation Sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21630&g_ta_cod=21630", 80.0, 20.0, 0.0),
(8722, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Sciences sociales", "Licence - Sciences humaines et sociales", "", 250, 1615, 1264, 1606, 0, 908, 224, 96, 48, 20, 9, 582, 9, 0, 1, 0, 8, 1606, 9, 0, 0, 908, 224, 96, 48, 20, 9, 582, 938, 247, 177, 239, 8, 38.0, 155.0, 206.0, 0, 46, 136, 101, 30, 5, 111, 0, 79, 50, 7, 0, 0.0, 39, 14, 4, 0, 0, 33, 124, 15.38, 62.75, 83.4, 71.6875, 24.296875, 91.1875, 0, 33.796875, 55.09375, 0.0, 58.09375, 36.796875, 5.099609375, 0.0, 0.0, 74.296875, 28.69921875, 22.09765625, 10.298828125, 3.69970703125, 2.89990234375, 481.0, 117.0, 13.0, 5.0, 385.0, "Tous les candidats", 1654.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 70.0, "9316", "Licence - Portail Sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28357&g_ta_cod=9316", 73.0, 21.0, 5.0),
(8723, "Public", "0831440P", "Lycée Albert Camus", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Fréjus", "formation sélective", "BTS", "Lycée Albert Camus - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 26, 357, 351, 357, 0, 51, 14, 82, 26, 121, 33, 103, 0, 0, 0, 0, 0, 357, 0, 0, 0, 51, 14, 82, 26, 121, 33, 103, 117, 26, 26, 26, 0, 6.0, 16.0, 23.0, 0, 7, 24, 6, 6, 12, 2, 0, 9, 11, 3, 1, 0.0, 3, 5, 7, 4, 4, 10, 10, 23.08, 61.54, 88.46, 100.0, 41.6953125, 41.6953125, 16.69921875, 29.19921875, 92.296875, 0.0, 37.5, 45.796875, 12.5, 4.2, 0.0, 25.0, 12.5, 25.0, 20.796875, 50.0, 29.19921875, 25.0, 8.0, 54.0, 13.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 87, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 52.0, "10391", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10391&g_ta_cod=10391", 27.0, 27.0, 46.0),
(8724, "Public", "0380083J", "Lycée Galilee", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vienne", "formation sélective", "BTS", "Lycée Galilee - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 24, 259, 13, 252, 0, 6, 0, 66, 11, 126, 57, 54, 7, 0, 6, 0, 1, 206, 3, 0, 0, 6, 0, 63, 11, 105, 46, 32, 127, 19, 0, 15, 2, 1.0, 11.0, 14.0, 0, 4, 18, 2, 4, 12, 1, 1, 10, 4, 3, 0, 0.0, 1, 0, 6, 5, 0, 10, 10, 5.26, 57.89, 73.68, 0.0, 55.59375, 55.59375, 27.796875, 22.19921875, 94.6875, 5.599609375, 55.59375, 22.19921875, 16.69921875, 0.0, 0.0, 11.099609375, 5.599609375, 22.19921875, 0.0, 66.6875, 33.296875, 3.0, 0.0, 69.0, 28.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 65.0, "4952", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4952&g_ta_cod=4952", 16.0, 21.0, 63.0),
(8725, "Privé sous contrat d'association", "0131331B", "Lycée St Joseph Les Maristes", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "Autre formation", "Lycée St Joseph Les Maristes - DN MADE - Graphisme - - Spécialité : Image & édition", "DN MADE", "- Spécialité : Image & édition", 16, 491, 302, 491, 0, 215, 40, 81, 13, 56, 16, 139, 0, 0, 0, 0, 0, 491, 0, 0, 0, 215, 40, 81, 13, 56, 16, 139, 50, 15, 13, 15, 0, 5.0, 11.0, 14.0, 0, 3, 15, 8, 4, 3, 0, 0, 0, 5, 8, 2, 0.0, 8, 4, 3, 0, 0, 8, 8, 33.33, 73.33, 93.33, 86.6875, 53.296875, 53.296875, 0, 20.0, 100.0, 0.0, 0.0, 33.296875, 53.296875, 13.3, 0.0, 53.296875, 53.296875, 26.69921875, 26.69921875, 20.0, 20.0, 19.0, 2.0, 8.0, 3.0, 9.0, "Tous les candidats", 72.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "24106", "DN MADE - Graphisme - - Spécialité : Image & édition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24106&g_ta_cod=24106", 53.0, 27.0, 20.0),
(8726, "Privé sous contrat d'association", "0160980D", "Lycée Privé Polyvalent Roc Fleuri", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Ruffec", "formation sélective", "BTS", "Lycée Privé Polyvalent Roc Fleuri - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 36, 229, 85, 226, 0, 2, 1, 4, 1, 8, 3, 212, 3, 0, 2, 1, 0, 16, 3, 0, 0, 2, 1, 4, 1, 8, 3, 2, 20, 6, 4, 4, 2, 4.0, 4.0, 6.0, 0, 3, 6, 0, 2, 4, 0, 0, 5, 1, 0, 0, 0.0, 0, 0, 1, 3, 2, 6, 6, 66.67, 66.67, 100.0, 66.6875, 100.0, 100.0, 50, 50.0, 100.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 16.69921875, 2.0, 1.0, 10.0, 5.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 5, "Liste d'appel propre à cette formation", 7.0, "18737", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18737&g_ta_cod=18737", 0.0, 33.0, 67.0),
(8727, "Public", "9730186P", "IUT de Kourou", "973", "Guyane", "Guyane", "Guyane", "Kourou", "formation sélective", "BUT", "IUT de Kourou - BUT - Réseaux et télécommunications Parcours : Cyber Sécurité", "BUT - Production", "Cyber Sécurité", 24, 153, 20, 119, 0, 55, 24, 41, 16, 8, 3, 15, 34, 6, 5, 3, 20, 36, 4, 0, 0, 16, 7, 17, 7, 1, 1, 2, 38, 15, 2, 13, 2, 8.0, 13.0, 14.0, 0, 9, 14, 9, 4, 1, 1, 0, 5, 4, 3, 2, 0.0, 5, 3, 1, 0, 0, 14, 14, 53.33, 86.67, 93.33, 13.298828125, 100.0, 100.0, 0, 64.296875, 93.296875, 0.0, 35.6953125, 28.59765625, 21.3984375, 14.3, 0.0, 64.296875, 35.6953125, 28.59765625, 21.3984375, 7.099609375, 7.099609375, 17.0, 8.0, 1.0, 1.0, 4.0, "Tous les candidats sauf les Bac technologiques", 18.0, "Bacheliers technologiques toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 29.0, "11858", "BUT - Réseaux et télécommunications Parcours : Cyber Sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11858&g_ta_cod=11858", 67.0, 27.0, 7.0),
(8728, "Public", "0120937D", "L.E.G.T.A. Rodez-La Roque", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BTS", "L.E.G.T.A. Rodez-La Roque - BTS - Agricole - productions animales - Réservée aux bac Professionnels", "BTS - Agricole", "Réservée aux bac Professionnels", 18, 111, 65, 109, 0, 0, 0, 1, 0, 101, 38, 7, 2, 0, 0, 2, 0, 63, 0, 0, 0, 0, 0, 1, 0, 61, 24, 1, 41, 8, 6, 8, 0, 6.0, 8.0, 8.0, 0, 2, 8, 0, 0, 8, 0, 0, 0, 2, 6, 0, 0.0, 0, 0, 8, 0, 0, 6, 6, 75.0, 100.0, 100.0, 75.0, 75.0, 75.0, 0, 25.0, 100.0, 0.0, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 40.0, 18.0, 1.0, "Bacheliers professionnels toutes séries", 62.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "25430", "BTS - Agricole - productions animales - Réservée aux bac Professionnels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25430&g_ta_cod=25430", 0.0, 0.0, 100.0),
(8729, "Privé sous contrat d'association", "0511146U", "Lycée St J-B De La Salle", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée St J-B De La Salle - BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "BTS - Services", "", 16, 178, 24, 178, 0, 57, 3, 33, 6, 26, 8, 62, 0, 0, 0, 0, 0, 127, 0, 0, 0, 48, 1, 23, 3, 18, 3, 38, 51, 15, 3, 15, 0, 1.0, 14.0, 15.0, 0, 1, 13, 8, 1, 4, 2, 0, 4, 7, 2, 0, 0.0, 4, 1, 4, 3, 1, 11, 11, 6.67, 93.33, 100.0, 20.0, 84.59375, 84.59375, 23.09765625, 7.69921875, 86.6875, 0.0, 30.796875, 53.796875, 15.3984375, 0.0, 0.0, 61.5, 30.796875, 7.69921875, 7.69921875, 30.796875, 30.796875, 25.0, 0.0, 13.0, 3.0, 10.0, "Tous les candidats sauf les Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 31.0, "6105", "BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6105&g_ta_cod=6105", 67.0, 7.0, 27.0),
(8730, "Public", "0762762P", "Université Le Havre Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Licence", "Université Le Havre Normandie - Licence - Langues étrangères appliquées - Parcours Anglais + 2 langues Asiatiques", "Licence - Arts-lettres-langues", "Anglais + 2 langues Asiatiques", 40, 312, 267, 312, 0, 151, 52, 26, 13, 17, 9, 118, 0, 0, 0, 0, 0, 154, 0, 0, 0, 98, 32, 2, 1, 2, 0, 52, 91, 41, 35, 41, 0, 19.0, 41.0, 41.0, 0, 12, 28, 28, 0, 0, 13, 0, 2, 10, 11, 4, 1.0, 26, 0, 0, 0, 0, 12, 12, 46.34, 100.0, 100.0, 85.390625, 42.8984375, 42.8984375, 0, 42.8984375, 68.296875, 0.0, 7.099609375, 35.6953125, 39.296875, 14.3, 3.6, 100.0, 92.890625, 0.0, 0.0, 0.0, 0.0, 66.0, 21.0, 0.0, 0.0, 25.0, "Tous les candidats", 100.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "19246", "Licence - Langues étrangères appliquées - Parcours Anglais + 2 langues Asiatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19246&g_ta_cod=19246", 93.0, 2.0, 5.0),
(8731, "Public", "0911975C", "Université d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation non sélective", "Licence", "Université d'Evry Val d'Essonne - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 170, 1942, 816, 1942, 0, 1118, 314, 235, 85, 31, 17, 558, 0, 0, 0, 0, 0, 1941, 0, 0, 0, 1117, 313, 235, 85, 31, 17, 558, 964, 167, 46, 166, 0, 6.0, 107.0, 142.0, 0, 36, 123, 113, 10, 0, 44, 0, 85, 33, 3, 2, 0.0, 34, 4, 0, 0, 0, 88, 109, 3.59, 64.07, 85.03, 27.5, 71.5, 88.59375, 0, 29.296875, 73.6875, 0.0, 69.09375, 26.796875, 2.39990234375, 1.6, 0.0, 91.890625, 27.59765625, 8.099609375, 3.2998046875, 0.0, 0.0, 776.0, 207.0, 0.0, 0.0, 152.0, "Tous les candidats", 1264.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "10946", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10946&g_ta_cod=10946", 94.0, 6.0, 0.0),
(8732, "Public", "0772346G", "I.U.T. de Sénart/Fontainebleau - site de Fontainebleau - UPEC", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Fontainebleau", "formation sélective", "BUT", "I.U.T. de Sénart/Fontainebleau - site de Fontainebleau - UPEC - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées", 84, 1173, 107, 1136, 0, 610, 107, 295, 74, 17, 8, 214, 37, 0, 20, 0, 17, 686, 7, 0, 0, 405, 82, 192, 39, 5, 3, 84, 390, 82, 3, 78, 4, 5.0, 69.0, 75.0, 0, 17, 70, 36, 31, 3, 12, 0, 17, 40, 11, 2, 0.0, 27, 23, 3, 0, 0, 40, 66, 6.1, 84.15, 91.46, 3.69970703125, 57.09375, 94.296875, 0, 24.296875, 85.390625, 0.0, 24.296875, 57.09375, 15.69921875, 2.9, 0.0, 51.3984375, 38.59375, 44.296875, 32.8984375, 4.2998046875, 4.2998046875, 177.0, 35.0, 4.0, 3.0, 52.0, "Tous les candidats sauf les Bac technologiques", 281.0, "Bacheliers technologiques toutes séries", 213, "", 0, "Liste d'appel propre à cette formation", 43.0, "9889", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9889&g_ta_cod=9889", 48.0, 49.0, 4.0),
(8733, "Privé sous contrat d'association", "0240079F", "Lycée St-Joseph Sup'St Jo", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BTS", "Lycée St-Joseph Sup'St Jo - BTS - Services - Commerce International", "BTS - Services", "", 22, 240, 114, 190, 0, 64, 11, 50, 12, 11, 3, 65, 50, 3, 24, 4, 19, 99, 17, 0, 0, 44, 8, 20, 5, 7, 3, 28, 84, 14, 4, 7, 7, 0.0, 6.0, 12.0, 0, 3, 10, 3, 5, 2, 4, 0, 4, 4, 2, 0, 0.0, 2, 2, 2, 0, 0, 3, 3, 0.0, 42.86, 85.71, 28.59765625, 30.0, 30.0, 0, 30.0, 71.390625, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 30.0, 20.0, 50.0, 20.0, 20.0, 20.0, 24.0, 6.0, 8.0, 3.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 48.0, "14630", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14630&g_ta_cod=14630", 50.0, 36.0, 14.0),
(8734, "Public", "0941294W", "Lycée Adolphe Cherioux", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vitry-sur-Seine", "formation sélective", "BTS", "Lycée Adolphe Cherioux - BTS - Production - Bâtiment", "BTS - Production", "", 12, 753, 108, 753, 0, 60, 18, 232, 81, 220, 97, 241, 0, 0, 0, 0, 0, 318, 0, 0, 0, 34, 12, 148, 42, 91, 31, 45, 78, 10, 1, 10, 0, 1.0, 5.0, 7.0, 0, 1, 9, 1, 4, 4, 1, 0, 3, 3, 2, 1, 0.0, 0, 3, 3, 3, 1, 6, 9, 10.0, 50.0, 70.0, 10.0, 66.6875, 100.0, 33.296875, 11.099609375, 90.0, 0.0, 33.296875, 33.296875, 22.19921875, 11.1, 0.0, 11.099609375, 0.0, 44.3984375, 33.296875, 44.3984375, 33.296875, 5.0, 2.0, 26.0, 7.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 19.0, "11514", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11514&g_ta_cod=11514", 20.0, 40.0, 40.0),
(8735, "Public", "0241279K", "I.U.T de Bordeaux - Site de Périgueux", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BUT", "I.U.T de Bordeaux - Site de Périgueux - BUT - Génie biologique Parcours diététique et nutrition", "BUT - Production", "", 24, 1322, 1036, 1286, 0, 608, 71, 256, 48, 7, 4, 415, 36, 10, 0, 1, 25, 486, 5, 0, 0, 196, 14, 183, 32, 0, 0, 107, 211, 23, 17, 20, 3, 3.0, 12.0, 18.0, 0, 3, 17, 7, 10, 0, 6, 0, 1, 7, 8, 1, 0.0, 7, 9, 0, 0, 0, 5, 5, 13.04, 52.17, 78.26, 73.890625, 29.3984375, 29.3984375, 0, 17.59765625, 73.890625, 0.0, 5.8994140625, 41.1953125, 47.09375, 5.9, 0.0, 41.1953125, 41.1953125, 58.796875, 52.8984375, 0.0, 0.0, 91.0, 10.0, 0.0, 0.0, 59.0, "Tous les candidats sauf les Bac technologiques", 230.0, "Bacheliers technologiques toutes séries", 107, "", 0, "Liste d'appel propre à cette formation", 26.0, "3443", "BUT - Génie biologique Parcours diététique et nutrition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3443&g_ta_cod=3443", 57.0, 43.0, 0.0),
(8736, "Public", "0681768C", "Lycée Laurent de Lavoisier", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BTS", "Lycée Laurent de Lavoisier - BTS - Production - Métiers de la chimie", "BTS - Production", "", 30, 534, 250, 529, 0, 100, 26, 114, 40, 34, 16, 281, 5, 0, 2, 0, 3, 259, 0, 0, 0, 83, 17, 82, 20, 21, 10, 73, 146, 29, 11, 29, 0, 1.0, 19.0, 25.0, 0, 7, 21, 9, 9, 3, 8, 0, 8, 12, 1, 0, 0.0, 6, 5, 2, 6, 2, 15, 15, 3.45, 65.52, 86.21, 37.8984375, 71.390625, 71.390625, 28.59765625, 33.296875, 72.390625, 0.0, 38.09375, 57.09375, 4.7998046875, 0.0, 0.0, 42.8984375, 28.59765625, 42.8984375, 23.796875, 14.298828125, 9.5, 39.0, 7.0, 8.0, 3.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 110, "Liste d'appel propre à cette formation", 37.0, "8166", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8166&g_ta_cod=8166", 45.0, 45.0, 10.0),
(8737, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues étrangères appliquées : Anglais-Italien", "Licence - Arts-lettres-langues", "Licence 1 LEA - Langues étrangères appliquées : Anglais-Italien", 85, 470, 368, 470, 0, 277, 79, 31, 9, 13, 8, 149, 0, 0, 0, 0, 0, 465, 0, 0, 0, 277, 79, 31, 9, 13, 8, 144, 465, 96, 77, 96, 0, 95.0, 96.0, 96.0, 0, 19, 62, 57, 3, 2, 34, 0, 21, 26, 12, 3, 0.0, 41, 0, 0, 0, 0, 39, 39, 98.96, 100.0, 100.0, 80.1875, 62.8984375, 62.8984375, 0, 30.59765625, 64.59375, 0.0, 33.8984375, 41.8984375, 19.3984375, 4.8, 0.0, 91.890625, 66.09375, 4.7998046875, 0.0, 3.19970703125, 0.0, 277.0, 79.0, 13.0, 8.0, 144.0, "Tous les candidats", 465.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4417", "Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues étrangères appliquées : Anglais-Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4417&g_ta_cod=4417", 89.0, 4.0, 5.0),
(8738, "Public", "0711690B", "I.U.T de Chalon-Sur-Saône", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "BUT", "I.U.T de Chalon-Sur-Saône - BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", "BUT - Service", "Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", 74, 415, 105, 363, 0, 186, 23, 76, 18, 24, 11, 77, 52, 5, 4, 4, 39, 288, 9, 0, 0, 164, 17, 65, 16, 15, 6, 44, 246, 49, 12, 44, 4, 23.0, 42.0, 46.0, 0, 10, 42, 31, 8, 3, 7, 0, 23, 16, 3, 0, 0.0, 13, 5, 1, 0, 0, 21, 21, 46.94, 85.71, 93.88, 24.5, 50.0, 50.0, 0, 23.796875, 85.6875, 0.0, 54.796875, 38.09375, 7.099609375, 0.0, 0.0, 73.796875, 31.0, 19.0, 11.8984375, 7.099609375, 2.39990234375, 131.0, 16.0, 9.0, 4.0, 39.0, "Tous les candidats sauf les Bac technologiques", 219.0, "Bacheliers technologiques toutes séries", 70, "", 0, "Liste d'appel propre à cette formation", 79.0, "8669", "BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8669&g_ta_cod=8669", 73.0, 18.0, 8.0),
(8739, "Public", "0624430D", "GAMBETTA CARNOT", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "CPGE", "GAMBETTA CARNOT - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 252, 118, 243, 184, 170, 24, 0, 0, 0, 0, 73, 9, 4, 0, 0, 5, 160, 5, 125, 136, 150, 17, 0, 0, 0, 0, 10, 148, 11, 5, 9, 2, 4.0, 9.0, 11.0, 5, 1, 8, 8, 0, 0, 3, 1, 1, 1, 5, 0, 0.0, 6, 0, 0, 1, 1, 4, 4, 36.36, 81.82, 100.0, 45.5, 50.0, 50.0, 12.5, 12.5, 72.6875, 12.5, 12.5, 12.5, 62.5, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 136.0, 17.0, 0.0, 0.0, 12.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "33059", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33058&g_ta_cod=33059", 100.0, 0.0, 0.0),
(8740, "Public", "0332292M", "EC.MANIP.ELECTRO-RADIOLOGIE INSTITUT FORM.CARRIERES SANTE", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Autre formation", "EC.MANIP.ELECTRO-RADIOLOGIE INSTITUT FORM.CARRIERES SANTE - D.E manipulateur/trice en électroradiologie médicale", "D.E secteur sanitaire", "", 42, 751, 589, 751, 0, 136, 21, 197, 49, 10, 0, 408, 0, 0, 0, 0, 0, 420, 0, 0, 0, 78, 11, 115, 25, 0, 0, 227, 176, 42, 31, 42, 0, 3.0, 24.0, 35.0, 0, 7, 21, 11, 10, 0, 21, 0, 3, 14, 3, 1, 0.0, 11, 7, 0, 0, 0, 15, 15, 7.14, 57.14, 83.33, 73.796875, 71.390625, 71.390625, 0, 33.296875, 50.0, 0.0, 14.298828125, 66.6875, 14.298828125, 4.8, 0.0, 52.3984375, 52.3984375, 47.59375, 33.296875, 0.0, 0.0, 44.0, 8.0, 0.0, 0.0, 90.0, "Tous les candidats", 222.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "19430", "D.E manipulateur/trice en électroradiologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19430&g_ta_cod=19430", 69.0, 31.0, 0.0),
(8741, "Public", "0080045F", "Lycée Pierre Bayle", "08", "Ariège", "Grand Est", "Reims", "Sedan", "formation sélective", "BTS", "Lycée Pierre Bayle - BTS - Services - Gestion de la PME", "BTS - Services", "", 36, 586, 277, 522, 0, 18, 5, 54, 29, 50, 20, 400, 64, 0, 20, 8, 36, 119, 14, 0, 0, 17, 4, 41, 21, 38, 15, 23, 118, 25, 13, 23, 2, 4.0, 23.0, 23.0, 0, 4, 19, 2, 7, 10, 6, 0, 9, 8, 2, 0, 0.0, 1, 3, 6, 6, 4, 17, 17, 16.0, 92.0, 92.0, 52.0, 89.5, 89.5, 31.59765625, 21.09765625, 76.0, 0.0, 47.3984375, 42.09375, 10.5, 0.0, 0.0, 10.5, 5.2998046875, 36.796875, 15.798828125, 52.59375, 31.59765625, 15.0, 4.0, 40.0, 18.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 22.0, "2371", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2371&g_ta_cod=2371", 16.0, 32.0, 52.0),
(8742, "Public", "0171455P", "Lycée Marcel Dassault", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Rochefort", "formation sélective", "BTS", "Lycée Marcel Dassault - BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "BTS - Production", "", 12, 62, 4, 54, 0, 5, 2, 10, 1, 31, 11, 8, 8, 0, 3, 3, 2, 50, 4, 0, 0, 5, 2, 10, 1, 31, 11, 4, 41, 8, 0, 3, 4, 0.0, 3.0, 6.0, 0, 2, 7, 2, 1, 4, 1, 0, 3, 3, 1, 0, 0.0, 0, 0, 4, 4, 0, 5, 5, 0.0, 37.5, 75.0, 0.0, 71.390625, 71.390625, 57.09375, 28.59765625, 87.5, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 28.59765625, 0.0, 14.298828125, 0.0, 57.09375, 57.09375, 5.0, 1.0, 24.0, 10.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 93.0, "20010", "BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20010&g_ta_cod=20010", 25.0, 13.0, 63.0),
(8743, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Licence - Géographie et aménagement - Parcours Géographie Environnement Aménagement", "Licence - Sciences humaines et sociales", "Géographie Environnement Aménagement", 55, 371, 160, 315, 0, 168, 44, 33, 12, 24, 12, 90, 56, 9, 14, 2, 31, 313, 54, 0, 0, 168, 44, 33, 12, 24, 12, 88, 285, 44, 19, 23, 21, 4.0, 23.0, 25.0, 0, 14, 26, 12, 10, 4, 18, 0, 17, 8, 1, 0, 0.0, 6, 2, 1, 0, 0, 9, 22, 9.09, 52.27, 56.82, 43.1953125, 34.59375, 84.59375, 0, 53.796875, 59.09375, 0.0, 65.390625, 30.796875, 3.7998046875, 0.0, 0.0, 46.1953125, 23.09765625, 38.5, 7.69921875, 15.3984375, 3.7998046875, 144.0, 35.0, 21.0, 10.0, 79.0, "Tous les candidats", 314.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "15166", "Licence - Géographie et aménagement - Parcours Géographie Environnement Aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15166&g_ta_cod=15166", 43.0, 36.0, 18.0),
(8744, "Public", "0590223X", "Lycée Du Hainaut", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "Autre formation", "Lycée Du Hainaut - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 10, 62, 2, 62, 0, 0, 0, 0, 0, 41, 25, 21, 0, 0, 0, 0, 0, 58, 0, 0, 0, 0, 0, 0, 0, 41, 25, 17, 16, 8, 0, 8, 0, 4.0, 8.0, 8.0, 0, 6, 8, 0, 0, 8, 0, 0, 1, 4, 3, 0, 0.0, 0, 0, 7, 0, 0, 8, 8, 50.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 75.0, 100.0, 0.0, 12.5, 50.0, 37.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 87.5, 0.0, 0.0, 15.0, 10.0, 1.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "22104", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22104&g_ta_cod=22104", 0.0, 0.0, 100.0),
(8745, "Public", "0511026N", "Institut Universitaire de Technologie de Reims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BUT", "Institut Universitaire de Technologie de Reims - BUT - Gestion des entreprises et des administrations", "BUT - Service", "", 135, 1629, 816, 1629, 0, 736, 146, 566, 202, 21, 7, 306, 0, 0, 0, 0, 0, 1029, 0, 0, 0, 564, 109, 354, 106, 0, 0, 111, 543, 130, 63, 130, 0, 22.0, 122.0, 123.0, 0, 38, 113, 49, 64, 0, 17, 0, 24, 58, 27, 4, 0.0, 38, 51, 0, 0, 0, 77, 77, 16.92, 93.85, 94.62, 48.5, 68.09375, 68.09375, 0, 33.59375, 86.890625, 0.0, 21.19921875, 51.296875, 23.8984375, 3.5, 0.0, 43.3984375, 33.59375, 56.59375, 45.09375, 0.0, 0.0, 245.0, 70.0, 0.0, 0.0, 56.0, "Tous les candidats sauf les Bac technologiques", 444.0, "Bacheliers technologiques toutes séries", 348, "", 0, "Liste d'appel propre à cette formation", 49.0, "6094", "BUT - Gestion des entreprises et des administrations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6094&g_ta_cod=6094", 46.0, 54.0, 0.0),
(8746, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Double licence - Etudes théâtrales / Cinéma et Audiovisuel - Double licence Cinéma et audiovisuel (CAV) / Etudes théâtrales", "Licence - Arts-lettres-langues", "Double licence Cinéma et audiovisuel (CAV) / Etudes théâtrales", 23, 1004, 659, 1004, 0, 667, 107, 37, 7, 22, 6, 278, 0, 0, 0, 0, 0, 1004, 0, 0, 0, 667, 107, 37, 7, 22, 6, 278, 91, 22, 17, 22, 0, 4.0, 22.0, 22.0, 0, 2, 19, 18, 1, 0, 3, 0, 0, 0, 8, 11, 0.0, 18, 1, 0, 0, 0, 2, 5, 18.18, 100.0, 100.0, 77.296875, 10.5, 26.296875, 0, 10.5, 86.390625, 0.0, 0.0, 0.0, 42.09375, 57.9, 0.0, 94.6875, 94.6875, 5.2998046875, 5.2998046875, 0.0, 0.0, 81.0, 12.0, 0.0, 0.0, 8.0, "Tous les candidats", 133.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "23961", "Double licence - Etudes théâtrales / Cinéma et Audiovisuel - Double licence Cinéma et audiovisuel (CAV) / Etudes théâtrales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23961&g_ta_cod=23961", 95.0, 5.0, 0.0),
(8747, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Portail Chimie - PCGSI", "Licence - Sciences - technologies - santé", "PCGSI", 39, 811, 508, 778, 0, 490, 72, 11, 0, 1, 1, 276, 33, 8, 4, 0, 21, 777, 29, 0, 0, 490, 72, 11, 0, 1, 1, 275, 439, 17, 11, 14, 3, 0.0, 9.0, 15.0, 0, 1, 12, 10, 2, 0, 5, 0, 3, 4, 3, 2, 0.0, 8, 1, 0, 0, 0, 9, 9, 0.0, 52.94, 88.24, 64.6875, 75.0, 75.0, 0, 8.298828125, 70.59375, 0.0, 25.0, 33.296875, 25.0, 16.7, 0.0, 83.296875, 66.6875, 16.69921875, 8.298828125, 0.0, 0.0, 231.0, 29.0, 0.0, 0.0, 201.0, "Tous les candidats", 1005.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "32033", "Licence - Portail Chimie - PCGSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32034&g_ta_cod=32033", 88.0, 12.0, 0.0),
(8748, "Public", "0890045R", "Lycée agricole Auxerre-La-Brosse", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Venoy", "formation sélective", "BTS", "Lycée agricole Auxerre-La-Brosse - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 20, 367, 108, 361, 0, 33, 7, 41, 9, 31, 7, 256, 6, 1, 1, 0, 4, 96, 2, 0, 0, 25, 5, 41, 9, 24, 5, 6, 68, 12, 5, 12, 0, 6.0, 12.0, 12.0, 0, 1, 10, 1, 4, 5, 2, 0, 2, 3, 5, 0, 0.0, 1, 3, 4, 6, 3, 6, 6, 50.0, 100.0, 100.0, 41.6953125, 60.0, 60.0, 60, 10.0, 83.296875, 0.0, 20.0, 30.0, 50.0, 0.0, 0.0, 10.0, 10.0, 40.0, 30.0, 50.0, 40.0, 18.0, 3.0, 9.0, 1.0, 8.0, "Tous les candidats sauf les Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 26.0, "10777", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10777&g_ta_cod=10777", 25.0, 33.0, 42.0),
(8749, "Privé sous contrat d'association", "0142108R", "Lycée Notre Dame De Nazareth", "14", "Calvados", "Normandie", "Normandie", "Douvres-la-Délivrande", "formation sélective", "BTS", "Lycée Notre Dame De Nazareth - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 24, 91, 34, 91, 0, 0, 0, 20, 4, 49, 10, 22, 0, 0, 0, 0, 0, 88, 0, 0, 0, 0, 0, 20, 4, 48, 9, 20, 47, 24, 10, 24, 0, 13.0, 24.0, 24.0, 0, 3, 17, 0, 5, 12, 7, 0, 2, 4, 10, 1, 0.0, 0, 4, 11, 4, 2, 17, 17, 54.17, 100.0, 100.0, 41.6953125, 100.0, 100.0, 23.5, 17.59765625, 70.796875, 0.0, 11.798828125, 23.5, 58.796875, 5.9, 0.0, 0.0, 0.0, 29.3984375, 23.5, 70.59375, 64.6875, 0.0, 0.0, 26.0, 7.0, 10.0, "Tous les candidats sauf les Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 53.0, "2921", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2921&g_ta_cod=2921", 29.0, 21.0, 50.0),
(8750, "Public", "0570108H", "Lycée La Briquerie", "57", "Moselle", "Grand Est", "Nancy-Metz", "Thionville", "formation sélective", "BTS", "Lycée La Briquerie - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 15, 76, 1, 76, 0, 2, 0, 17, 1, 30, 10, 27, 0, 0, 0, 0, 0, 54, 0, 0, 0, 2, 0, 17, 1, 30, 10, 5, 44, 15, 0, 15, 0, 7.0, 13.0, 14.0, 0, 5, 14, 0, 1, 13, 1, 0, 4, 7, 2, 1, 0.0, 0, 0, 10, 9, 0, 13, 13, 46.67, 86.67, 93.33, 0.0, 92.890625, 92.890625, 64.296875, 35.6953125, 93.296875, 0.0, 28.59765625, 50.0, 14.298828125, 7.1, 0.0, 0.0, 0.0, 7.099609375, 0.0, 92.890625, 71.390625, 2.0, 0.0, 24.0, 8.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 61.0, "15345", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15345&g_ta_cod=15345", 0.0, 13.0, 87.0),
(8751, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "Université de Montpellier - CUPGE - Cycle universitaire préparatoire aux grandes écoles - Mécanique", "CUPGE - Sciences, technologie, santé", "", 15, 138, 43, 110, 0, 67, 10, 2, 1, 0, 0, 41, 28, 5, 1, 0, 22, 92, 4, 0, 0, 66, 10, 0, 0, 0, 0, 26, 85, 11, 3, 9, 2, 1.0, 9.0, 9.0, 0, 2, 5, 5, 0, 0, 6, 0, 1, 1, 2, 1, 0.0, 4, 0, 0, 0, 0, 4, 4, 9.09, 81.82, 81.82, 27.296875, 80.0, 80.0, 0, 40.0, 45.5, 0.0, 20.0, 20.0, 40.0, 20.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 60.0, 9.0, 0.0, 0.0, 25.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "32078", "CUPGE - Cycle universitaire préparatoire aux grandes écoles - Mécanique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32078&g_ta_cod=32078", 100.0, 0.0, 0.0),
(8752, "Public", "0020052W", "Lycée professionnel Colard Noel", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "BTS", "Lycée professionnel Colard Noel - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 15, 372, 230, 372, 0, 92, 17, 82, 23, 104, 36, 94, 0, 0, 0, 0, 0, 139, 0, 0, 0, 34, 5, 36, 4, 65, 20, 4, 45, 15, 8, 15, 0, 3.0, 14.0, 15.0, 0, 3, 15, 3, 4, 8, 0, 0, 3, 4, 7, 1, 0.0, 2, 3, 7, 2, 0, 9, 9, 20.0, 93.33, 100.0, 53.296875, 60.0, 60.0, 13.298828125, 20.0, 100.0, 0.0, 20.0, 26.69921875, 46.6953125, 6.7, 0.0, 20.0, 13.298828125, 26.69921875, 20.0, 53.296875, 46.6953125, 13.0, 3.0, 18.0, 2.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers technologiques toutes séries", 18, "Bacheliers professionnels toutes séries", 29, "Liste d'appel propre à cette formation", 19.0, "29999", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29999&g_ta_cod=29999", 20.0, 27.0, 53.0),
(8753, "Privé sous contrat d'association", "0290335G", "Lycée La Croix Rouge", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée La Croix Rouge - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 94, 8, 76, 0, 8, 1, 25, 4, 32, 6, 11, 18, 0, 5, 4, 9, 51, 6, 0, 0, 7, 1, 18, 2, 21, 4, 5, 47, 9, 1, 6, 3, 4.0, 6.0, 8.0, 0, 0, 6, 1, 3, 2, 3, 0, 3, 1, 1, 1, 0.0, 0, 1, 2, 1, 0, 6, 6, 44.44, 66.67, 88.89, 11.099609375, 100.0, 100.0, 16.69921875, 0.0, 66.6875, 0.0, 50.0, 16.69921875, 16.69921875, 16.7, 0.0, 16.69921875, 0.0, 50.0, 16.69921875, 33.296875, 33.296875, 6.0, 1.0, 16.0, 2.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 67.0, "3844", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3844&g_ta_cod=3844", 33.0, 33.0, 33.0),
(8754, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "Licence", "Université des Antilles - Pôle Guadeloupe - Licence - Portail Informatique - Informatique scientifique / Méthodes Informatiques appliquées à la  gestion des entreprises / Informatique appliquée - Guadeloupe", "Licence - Sciences - technologies - santé", "Informatique scientifique / Méthodes Informatiques appliquées à la  gestion des entreprises / Informatique appliquée - Guadeloupe", 180, 284, 46, 233, 0, 132, 53, 53, 30, 4, 2, 44, 51, 10, 7, 8, 26, 233, 51, 0, 0, 132, 53, 53, 30, 4, 2, 44, 284, 97, 10, 61, 36, 54.0, 60.0, 80.0, 0, 35, 69, 35, 25, 9, 28, 0, 45, 19, 5, 0, 0.0, 16, 2, 6, 0, 0, 65, 65, 55.67, 61.86, 82.47, 10.298828125, 94.1875, 94.1875, 0, 50.6953125, 71.09375, 0.0, 65.1875, 27.5, 7.19921875, 0.0, 0.0, 50.6953125, 23.19921875, 36.1953125, 2.89990234375, 13.0, 8.69921875, 142.0, 57.0, 12.0, 8.0, 70.0, "Tous les candidats", 271.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "19626", "Licence - Portail Informatique - Informatique scientifique / Méthodes Informatiques appliquées à la  gestion des entreprises / Informatique appliquée - Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27417&g_ta_cod=19626", 52.0, 32.0, 16.0),
(8755, "Public", "0760110G", "Lycée Marcel Sembat", "76", "Seine-Maritime", "Normandie", "Normandie", "Sotteville-lès-Rouen", "formation sélective", "BTS", "Lycée Marcel Sembat - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 526, 46, 526, 0, 67, 14, 154, 47, 136, 47, 169, 0, 0, 0, 0, 0, 338, 0, 0, 0, 59, 12, 100, 27, 115, 38, 64, 104, 26, 2, 26, 0, 1.0, 9.0, 18.0, 0, 8, 20, 2, 10, 8, 6, 0, 7, 9, 3, 1, 0.0, 0, 5, 8, 1, 0, 17, 17, 3.85, 34.62, 69.23, 7.69921875, 85.0, 85.0, 5, 40.0, 76.890625, 0.0, 35.0, 45.0, 15.0, 5.0, 0.0, 10.0, 0.0, 50.0, 25.0, 40.0, 40.0, 13.0, 4.0, 41.0, 13.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 113, "Liste d'appel propre à cette formation", 43.0, "23637", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23637&g_ta_cod=23637", 12.0, 50.0, 38.0),
(8756, "Privé sous contrat d'association", "0753947H", "Lycée Saint Jean de Passy", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Lycée Saint Jean de Passy - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 87, 1189, 526, 1176, 361, 1076, 32, 1, 0, 0, 0, 99, 13, 10, 0, 0, 3, 702, 3, 15, 701, 700, 8, 0, 0, 0, 0, 2, 495, 79, 34, 78, 1, 7.0, 55.0, 72.0, 3, 1, 78, 78, 0, 0, 1, 0, 0, 1, 50, 26, 1.0, 78, 0, 0, 4, 1, 22, 56, 8.86, 69.62, 91.14, 43.0, 28.19921875, 71.796875, 5.099609375, 1.2998046875, 98.6875, 0.0, 0.0, 1.2998046875, 64.09375, 33.3, 1.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 493.0, 9.0, 0.0, 0.0, 2.0, "Tous les candidats", 582.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "31374", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31374&g_ta_cod=31374", 100.0, 0.0, 0.0),
(8757, "Privé sous contrat d'association", "0592926K", "Institution Saint Jude", "59", "Nord", "Hauts-de-France", "Lille", "Armentières", "formation sélective", "BTS", "Institution Saint Jude - BTS - Services - Commerce International", "BTS - Services", "", 25, 253, 117, 195, 0, 57, 15, 50, 13, 12, 2, 76, 58, 5, 12, 4, 37, 106, 21, 0, 0, 41, 10, 30, 4, 7, 0, 28, 111, 22, 12, 12, 10, 2.0, 12.0, 19.0, 0, 2, 12, 7, 5, 0, 10, 0, 6, 6, 0, 0, 0.0, 4, 2, 0, 0, 0, 7, 7, 9.09, 54.55, 86.36, 54.5, 58.296875, 58.296875, 0, 16.69921875, 54.5, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 58.296875, 33.296875, 41.6953125, 16.69921875, 0.0, 0.0, 38.0, 7.0, 6.0, 0.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 54.0, "6906", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6906&g_ta_cod=6906", 64.0, 36.0, 0.0),
(8758, "Public", "0381516S", "IUT 1 GRENOBLE", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 6, 222, 10, 222, 0, 0, 0, 213, 46, 0, 0, 9, 0, 0, 0, 0, 0, 101, 0, 0, 0, 0, 0, 97, 19, 0, 0, 4, 22, 7, 0, 7, 0, 1.0, 7.0, 7.0, 0, 3, 7, 0, 7, 0, 0, 0, 0, 0, 4, 3, 0.0, 0, 7, 0, 0, 0, 5, 5, 14.29, 100.0, 100.0, 0.0, 71.390625, 71.390625, 0, 42.8984375, 100.0, 0.0, 0.0, 0.0, 57.09375, 42.9, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 145.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "210", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=210", 0.0, 100.0, 0.0),
(8759, "Public", "0631287G", "Ecole Nationale Supérieure d'Architecture de Clermont-Ferrand", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Clermont-Ferrand - Architecture", "Formations Bac + 5", "", 95, 1757, 999, 1757, 0, 1029, 167, 211, 61, 39, 15, 478, 0, 0, 0, 0, 0, 1458, 0, 0, 0, 892, 111, 178, 38, 32, 12, 356, 146, 95, 47, 95, 0, 64.0, 90.0, 93.0, 0, 13, 58, 49, 7, 2, 37, 0, 4, 25, 26, 3, 0.0, 45, 7, 2, 0, 0, 8, 8, 67.37, 94.74, 97.89, 49.5, 13.798828125, 13.798828125, 0, 22.3984375, 61.09375, 0.0, 6.8994140625, 43.09375, 44.796875, 5.2, 0.0, 84.5, 77.59375, 12.099609375, 12.099609375, 3.39990234375, 3.39990234375, 82.0, 16.0, 2.0, 1.0, 50.0, "Tous les candidats", 157.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "7625", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7625&g_ta_cod=7625", 85.0, 9.0, 5.0),
(8760, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Portail Philosophie", "Licence - Sciences humaines et sociales", "", 257, 1501, 945, 1290, 0, 719, 113, 42, 13, 10, 2, 519, 211, 43, 15, 7, 146, 1281, 200, 0, 0, 719, 113, 42, 13, 10, 2, 510, 1192, 252, 144, 180, 72, 18.0, 174.0, 207.0, 0, 17, 115, 95, 16, 4, 137, 0, 43, 39, 24, 9, 0.0, 64, 6, 2, 0, 0, 24, 83, 7.14, 69.05, 82.14, 57.09375, 20.8984375, 72.1875, 0, 14.798828125, 45.59375, 0.0, 37.3984375, 33.8984375, 20.8984375, 7.8, 0.0, 82.59375, 55.6953125, 13.8984375, 5.19921875, 3.5, 1.699951171875, 615.0, 105.0, 13.0, 5.0, 519.0, "Tous les candidats", 1487.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "9308", "Licence - Portail Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28448&g_ta_cod=9308", 81.0, 11.0, 4.0),
(8761, "Public", "0600014P", "Lycée Pierre d'Ailly", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "CPGE", "Lycée Pierre d'Ailly - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 768, 288, 746, 529, 361, 48, 4, 0, 0, 0, 381, 22, 5, 1, 0, 16, 382, 6, 283, 366, 302, 38, 0, 0, 0, 0, 80, 270, 30, 11, 27, 3, 0.0, 18.0, 28.0, 14, 4, 18, 18, 0, 0, 12, 0, 2, 5, 7, 4, 0.0, 16, 0, 0, 3, 0, 9, 9, 0.0, 60.0, 93.33, 36.6953125, 50.0, 50.0, 16.69921875, 22.19921875, 60.0, 0.0, 11.099609375, 27.796875, 38.8984375, 22.2, 0.0, 100.0, 88.890625, 0.0, 0.0, 0.0, 0.0, 204.0, 25.0, 0.0, 0.0, 66.0, "Tous les candidats", 380.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "7221", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7221&g_ta_cod=7221", 100.0, 0.0, 0.0),
(8762, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Russe", "Licence - Arts-lettres-langues", "Russe", 20, 121, 76, 91, 0, 42, 13, 4, 1, 4, 2, 41, 30, 4, 0, 0, 26, 91, 30, 0, 0, 42, 13, 4, 1, 4, 2, 41, 90, 20, 12, 8, 12, 5.0, 8.0, 15.0, 0, 2, 5, 4, 0, 1, 15, 0, 1, 2, 1, 1, 0.0, 4, 0, 0, 0, 0, 3, 3, 25.0, 40.0, 75.0, 60.0, 60.0, 60.0, 0, 40.0, 25.0, 0.0, 20.0, 40.0, 20.0, 20.0, 0.0, 80.0, 80.0, 0.0, 0.0, 20.0, 0.0, 24.0, 11.0, 3.0, 2.0, 61.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7082", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7082&g_ta_cod=7082", 85.0, 5.0, 10.0),
(8763, "Public", "0021522U", "Lycée agricole La Thierache-Fontaine les Vervins", "02", "Aisne", "Hauts-de-France", "Amiens", "Fontaine-lès-Vervins", "formation sélective", "BTS", "Lycée agricole La Thierache-Fontaine les Vervins - BTS - Agricole - productions animales", "BTS - Agricole", "", 32, 261, 146, 246, 0, 52, 10, 75, 20, 35, 18, 84, 15, 4, 1, 1, 9, 116, 7, 0, 0, 39, 7, 39, 7, 24, 14, 14, 95, 22, 18, 22, 0, 8.0, 22.0, 22.0, 0, 10, 20, 6, 3, 11, 2, 0, 6, 8, 4, 2, 0.0, 4, 2, 8, 3, 2, 7, 7, 36.36, 100.0, 100.0, 81.796875, 35.0, 35.0, 15, 50.0, 90.890625, 0.0, 30.0, 40.0, 20.0, 10.0, 0.0, 30.0, 20.0, 15.0, 10.0, 55.0, 40.0, 31.0, 4.0, 21.0, 13.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 46.0, "2079", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2079&g_ta_cod=2079", 32.0, 18.0, 50.0),
(8764, "Public", "0292350X", "Campus de l'excellence sportive de Bretagne - Antenne de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Autre formation", "Campus de l'excellence sportive de Bretagne - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 1, 221, 30, 221, 0, 48, 12, 62, 11, 64, 20, 47, 0, 0, 0, 0, 0, 18, 0, 0, 0, 3, 0, 8, 1, 4, 0, 3, 6, 1, 0, 1, 0, 0.0, 1.0, 1.0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 2.0, 0.0, 2.0, "Tous les candidats", 13.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 4.0, "26567", "BPJEPS - Activités physiques pour tous", "Campus de l'excellence sportive de Bretagne", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23545&g_ta_cod=26567", 0.0, 100.0, 0.0),
(8765, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Histoire - Parcours HISTOIRE MAJEURE/mineure Géographie", "Licence - Sciences humaines et sociales", "HISTOIRE MAJEURE/mineure Géographie", 30, 654, 312, 654, 0, 454, 71, 41, 16, 8, 1, 151, 0, 0, 0, 0, 0, 654, 0, 0, 0, 454, 71, 41, 16, 8, 1, 151, 181, 30, 14, 30, 0, 0.0, 16.0, 25.0, 0, 4, 23, 22, 0, 1, 7, 0, 0, 8, 11, 4, 0.0, 22, 0, 1, 0, 0, 2, 14, 0.0, 53.33, 83.33, 46.6953125, 8.69921875, 60.8984375, 0, 17.3984375, 76.6875, 0.0, 0.0, 34.796875, 47.796875, 17.4, 0.0, 95.6875, 95.6875, 0.0, 0.0, 4.2998046875, 4.2998046875, 133.0, 21.0, 3.0, 1.0, 42.0, "Tous les candidats", 330.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "24327", "Licence - Histoire - Parcours HISTOIRE MAJEURE/mineure Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24327&g_ta_cod=24327", 97.0, 0.0, 3.0),
(8766, "Public", "0542262R", "Lycée Emmanuel Héré", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Laxou", "formation sélective", "BTS", "Lycée Emmanuel Héré - BTS - Production - Management économique de la construction", "BTS - Production", "", 24, 207, 50, 199, 0, 28, 4, 38, 7, 70, 25, 63, 8, 2, 1, 0, 5, 121, 4, 0, 0, 25, 3, 28, 5, 51, 17, 17, 87, 25, 4, 22, 3, 4.0, 15.0, 21.0, 0, 5, 17, 3, 1, 13, 8, 0, 8, 7, 2, 0, 0.0, 1, 0, 8, 9, 0, 16, 16, 16.0, 60.0, 84.0, 16.0, 94.09375, 94.09375, 52.8984375, 29.3984375, 68.0, 0.0, 47.09375, 41.1953125, 11.798828125, 0.0, 0.0, 17.59765625, 5.8994140625, 5.8994140625, 0.0, 76.5, 47.09375, 22.0, 3.0, 29.0, 10.0, 16.0, "Tous les candidats sauf les Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 51.0, "6372", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6372&g_ta_cod=6372", 24.0, 24.0, 52.0),
(8767, "Public", "0120024L", "Lycée Alexis Monteil", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BTS", "Lycée Alexis Monteil - BTS - Production - Conception de produits industriels", "BTS - Production", "", 24, 140, 8, 132, 0, 9, 0, 73, 13, 32, 12, 18, 8, 1, 0, 3, 4, 132, 5, 0, 0, 9, 0, 73, 13, 32, 12, 18, 86, 21, 0, 19, 2, 2.0, 16.0, 18.0, 0, 4, 13, 0, 8, 5, 8, 0, 6, 5, 2, 0, 0.0, 0, 2, 5, 6, 0, 11, 11, 9.52, 76.19, 85.71, 0.0, 84.59375, 84.59375, 46.1953125, 30.796875, 61.8984375, 0.0, 46.1953125, 38.5, 15.3984375, 0.0, 0.0, 0.0, 0.0, 61.5, 15.3984375, 38.5, 38.5, 10.0, 0.0, 27.0, 10.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 89.0, "2487", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2487&g_ta_cod=2487", 10.0, 57.0, 33.0),
(8768, "Privé enseignement supérieur", "0942193Y", "Sup'Biotech Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villejuif", "formation sélective", "Ecole d'Ingénieur", "Sup'Biotech Paris - Formation d'ingénieur Bac + 5 - Bac STL", "Formations  des écoles d'ingénieurs", "Bac STL", 5, 34, 22, 34, 0, 0, 0, 34, 9, 0, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 16, 4, 0, 0, 0, 10, 6, 4, 6, 0, 2.0, 5.0, 6.0, 0, 1, 6, 0, 6, 0, 0, 0, 0, 1, 3, 2, 0.0, 0, 6, 0, 0, 0, 1, 3, 33.33, 83.33, 100.0, 66.6875, 16.69921875, 50.0, 0, 16.69921875, 100.0, 0.0, 0.0, 16.69921875, 50.0, 33.3, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 13.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "19537", "Formation d'ingénieur Bac + 5 - Bac STL", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19537&g_ta_cod=19537", 0.0, 100.0, 0.0),
(8769, "Public", "0772225A", "Lycée professionnel Lino Ventura", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Ozoir-la-Ferrière", "formation sélective", "BTS", "Lycée professionnel Lino Ventura - BTS - Services - Economie sociale familiale", "BTS - Services", "", 23, 376, 319, 357, 0, 17, 8, 75, 27, 155, 49, 110, 19, 2, 0, 0, 17, 190, 6, 0, 0, 9, 5, 57, 18, 88, 32, 36, 114, 22, 18, 20, 2, 3.0, 13.0, 18.0, 0, 2, 10, 0, 5, 5, 12, 0, 4, 6, 0, 0, 0.0, 0, 2, 4, 1, 1, 10, 10, 13.64, 59.09, 81.82, 81.796875, 100.0, 100.0, 10, 20.0, 45.5, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 20.0, 50.0, 40.0, 8.0, 2.0, 46.0, 15.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 42.0, "20060", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20060&g_ta_cod=20060", 9.0, 41.0, 50.0),
(8770, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence_Las", "Université de Lorraine - Site de Nancy - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 50, 981, 728, 981, 0, 566, 124, 74, 29, 13, 6, 328, 0, 0, 0, 0, 0, 967, 0, 0, 0, 567, 125, 74, 29, 13, 6, 313, 300, 48, 37, 48, 0, 0.0, 38.0, 47.0, 0, 8, 42, 42, 0, 0, 6, 0, 14, 22, 5, 1, 0.0, 28, 0, 0, 0, 0, 40, 40, 0.0, 79.17, 97.92, 77.09375, 95.1875, 95.1875, 0, 19.0, 87.5, 0.0, 33.296875, 52.3984375, 11.8984375, 2.4, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 236.0, 56.0, 0.0, 0.0, 64.0, "Tous les candidats", 2325.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 67.0, "26955", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26954&g_ta_cod=26955", 100.0, 0.0, 0.0),
(8771, "Public", "0911946W", "Lycée Leonard De Vinci", "91", "Essonne", "Ile-de-France", "Versailles", "Saint-Michel-sur-Orge", "formation sélective", "BTS", "Lycée Leonard De Vinci - BTS - Production - Electrotechnique", "BTS - Production", "", 26, 419, 5, 292, 0, 7, 0, 39, 9, 164, 71, 82, 127, 0, 16, 62, 49, 121, 16, 0, 0, 7, 0, 19, 3, 76, 23, 19, 103, 23, 0, 13, 8, 4.0, 12.0, 14.0, 0, 5, 19, 1, 1, 17, 4, 1, 4, 7, 6, 1, 0.0, 0, 0, 14, 5, 0, 18, 18, 17.39, 52.17, 60.87, 0.0, 94.6875, 94.6875, 26.296875, 26.296875, 82.59375, 5.2998046875, 21.09765625, 36.796875, 31.59765625, 5.3, 0.0, 5.2998046875, 0.0, 5.2998046875, 0.0, 89.5, 73.6875, 1.0, 0.0, 70.0, 24.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 37.0, "10941", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10941&g_ta_cod=10941", 4.0, 17.0, 78.0),
(8772, "Privé sous contrat d'association", "0690194L", "ECAM Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "ECAM-ECAM LaSalle - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 130, 1527, 356, 1527, 0, 1312, 88, 0, 0, 0, 0, 215, 0, 0, 0, 0, 0, 803, 0, 0, 0, 737, 22, 0, 0, 0, 0, 66, 662, 133, 26, 133, 0, 50.0, 121.0, 131.0, 0, 1, 129, 129, 0, 0, 4, 0, 1, 40, 71, 17, 0.0, 128, 0, 0, 0, 0, 67, 67, 37.59, 90.98, 98.5, 19.5, 51.8984375, 51.8984375, 0, 0.7999267578125, 97.0, 0.0, 0.7999267578125, 31.0, 55.0, 13.2, 0.0, 100.0, 99.1875, 0.0, 0.0, 0.0, 0.0, 616.0, 22.0, 0.0, 0.0, 46.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "29282", "Formation d'ingénieur Bac + 5 - Série générale", "ECAM-ECAM LaSalle", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29277&g_ta_cod=29282", 100.0, 0.0, 0.0),
(8773, "Privé hors contrat", "0142440B", "ISEN Yncrea Ouest Caen", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 12, 1521, 348, 1521, 0, 1511, 124, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 1368, 0, 0, 0, 1368, 99, 0, 0, 0, 0, 0, 1272, 13, 3, 13, 0, 12.0, 12.0, 13.0, 0, 1, 13, 13, 0, 0, 0, 0, 3, 5, 3, 2, 0.0, 10, 0, 0, 0, 0, 9, 9, 92.31, 92.31, 100.0, 23.09765625, 69.1875, 69.1875, 0, 7.69921875, 100.0, 0.0, 23.09765625, 38.5, 23.09765625, 15.4, 0.0, 100.0, 76.890625, 0.0, 0.0, 0.0, 0.0, 1272.0, 92.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "29272", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=29272", 100.0, 0.0, 0.0),
(8774, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Information et communication", "Licence - Arts-lettres-langues", "", 315, 2401, 1705, 2401, 0, 1473, 278, 241, 59, 58, 20, 629, 0, 0, 0, 0, 0, 2401, 0, 0, 0, 1473, 278, 241, 59, 58, 20, 629, 1361, 302, 229, 302, 0, 35.0, 220.0, 274.0, 0, 56, 221, 187, 24, 10, 81, 0, 50, 118, 44, 9, 0.0, 148, 16, 7, 0, 0, 138, 138, 11.59, 72.85, 90.73, 75.796875, 62.3984375, 62.3984375, 0, 25.296875, 73.1875, 0.0, 22.59765625, 53.3984375, 19.8984375, 4.1, 0.0, 84.59375, 67.0, 10.8984375, 7.19921875, 4.5, 3.19970703125, 932.0, 165.0, 35.0, 12.0, 275.0, "Tous les candidats", 1744.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "20465", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20465&g_ta_cod=20465", 79.0, 13.0, 8.0),
(8775, "Public", "0911990U", "I.U.T. d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "BUT", "I.U.T. d'Evry Val d'Essonne - BUT - Qualité, logistique industrielle et organisation", "BUT - Production", "", 47, 376, 87, 336, 0, 103, 25, 101, 34, 15, 8, 117, 40, 0, 26, 0, 14, 247, 8, 0, 0, 86, 18, 64, 18, 10, 4, 87, 161, 45, 11, 39, 5, 5.0, 36.0, 36.0, 0, 9, 27, 14, 11, 2, 18, 0, 12, 13, 2, 0, 0.0, 8, 5, 2, 0, 0, 18, 24, 11.11, 80.0, 80.0, 24.3984375, 66.6875, 88.890625, 0, 33.296875, 60.0, 0.0, 44.3984375, 48.09375, 7.3994140625, 0.0, 0.0, 51.8984375, 29.59765625, 40.6953125, 18.5, 7.3994140625, 7.3994140625, 41.0, 13.0, 4.0, 2.0, 54.0, "Tous les candidats sauf les Bac technologiques", 72.0, "Bacheliers technologiques toutes séries", 94, "", 0, "Liste d'appel propre à cette formation", 49.0, "10959", "BUT - Qualité, logistique industrielle et organisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10959&g_ta_cod=10959", 47.0, 49.0, 4.0),
(8776, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence_Las", "Université de Tours - Licence - Portail Mathématiques", "Licence - Sciences - technologies - santé", "", 40, 465, 222, 419, 0, 318, 57, 11, 3, 1, 0, 89, 46, 17, 3, 1, 25, 418, 43, 0, 0, 318, 57, 11, 3, 1, 0, 88, 313, 34, 13, 21, 13, 1.0, 11.0, 25.0, 0, 1, 23, 20, 3, 0, 11, 0, 11, 8, 2, 2, 0.0, 12, 0, 0, 0, 0, 15, 15, 2.94, 32.35, 73.53, 38.1953125, 65.1875, 65.1875, 0, 4.2998046875, 67.59375, 0.0, 47.796875, 34.796875, 8.69921875, 8.7, 0.0, 87.0, 52.1953125, 13.0, 0.0, 0.0, 0.0, 212.0, 36.0, 1.0, 0.0, 93.0, "Tous les candidats", 1319.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "32205", "Licence - Portail Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32204&g_ta_cod=32205", 82.0, 15.0, 3.0),
(8777, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Philosophie", "Licence - Arts-lettres-langues", "", 190, 850, 505, 568, 0, 339, 93, 31, 12, 15, 10, 183, 282, 36, 25, 14, 207, 567, 275, 0, 0, 339, 93, 31, 12, 15, 10, 182, 842, 161, 84, 86, 75, 84.0, 84.0, 131.0, 0, 27, 70, 52, 14, 4, 91, 1, 35, 19, 12, 2, 1.0, 29, 4, 1, 0, 0, 39, 39, 52.17, 52.17, 81.37, 52.1953125, 55.6953125, 55.6953125, 0, 38.59375, 43.5, 1.39990234375, 50.0, 27.09765625, 17.09765625, 2.9, 1.4, 74.296875, 41.3984375, 20.0, 5.69921875, 5.69921875, 1.39990234375, 375.0, 107.0, 27.0, 18.0, 384.0, "Tous les candidats", 567.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4565", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4565&g_ta_cod=4565", 71.0, 19.0, 7.0),
(8778, "Public", "0690274Y", "IUT Lyon1 Site de Villeurbanne Doua", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "BUT", "IUT Lyon1 Site de Villeurbanne Doua - BUT - Génie civil - Construction durable Parcours : Bureaux d'études Conception - Réhabilitation et amélioration des performances environnementales des bâtiments - Travaux Bâtiment - Travaux Publics", "BUT - Production", "Bureaux d'études Conception - Réhabilitation et amélioration des performances environnementales des bâtiments - Travaux Bâtiment - Travaux Publics", 145, 4311, 803, 4280, 0, 2196, 326, 1281, 260, 41, 10, 762, 31, 6, 0, 1, 24, 2151, 6, 0, 0, 1046, 116, 844, 148, 1, 0, 260, 745, 143, 28, 138, 4, 45.0, 99.0, 125.0, 0, 26, 127, 57, 69, 1, 16, 0, 2, 46, 65, 14, 0.0, 57, 68, 0, 0, 0, 71, 71, 31.47, 69.23, 87.41, 19.59765625, 55.8984375, 55.8984375, 0, 20.5, 88.796875, 0.0, 1.599853515625, 36.1953125, 51.1953125, 11.0, 0.0, 44.8984375, 44.8984375, 54.296875, 53.5, 0.7999267578125, 0.0, 342.0, 55.0, 2.0, 1.0, 120.0, "Tous les candidats sauf les Bac technologiques", 758.0, "Bacheliers technologiques toutes séries", 444, "", 0, "Liste d'appel propre à cette formation", 28.0, "8274", "BUT - Génie civil - Construction durable Parcours : Bureaux d'études Conception - Réhabilitation et amélioration des performances environnementales des bâtiments - Travaux Bâtiment - Travaux Publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8274&g_ta_cod=8274", 48.0, 51.0, 1.0),
(8779, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Langues étrangères appliquées - LEA Anglais-Espagnol", "Licence - Arts-lettres-langues", "LEA Anglais-Espagnol", 180, 614, 466, 505, 0, 327, 60, 77, 24, 16, 6, 85, 109, 26, 7, 6, 70, 498, 54, 0, 0, 327, 60, 77, 24, 16, 6, 78, 528, 65, 45, 52, 13, 27.0, 52.0, 63.0, 0, 13, 48, 31, 13, 4, 17, 0, 20, 21, 7, 0, 0.0, 20, 7, 1, 0, 0, 45, 45, 41.54, 80.0, 96.92, 69.1875, 93.796875, 93.796875, 0, 27.09765625, 73.796875, 0.0, 41.6953125, 43.796875, 14.599609375, 0.0, 0.0, 64.59375, 41.6953125, 27.09765625, 14.599609375, 8.298828125, 2.099609375, 340.0, 63.0, 12.0, 6.0, 107.0, "Tous les candidats", 556.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "16856", "Licence - Portail Langues étrangères appliquées - LEA Anglais-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26716&g_ta_cod=16856", 68.0, 23.0, 9.0),
(8780, "Privé sous contrat d'association", "0492246A", "ESAIP Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saint-Barthélemy-d'Anjou", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "bac STL", 2, 24, 9, 24, 0, 0, 0, 24, 12, 0, 0, 0, 0, 0, 0, 0, 0, 17, 0, 0, 0, 0, 0, 17, 8, 0, 0, 0, 15, 1, 1, 1, 0, 0.0, 1.0, 1.0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 100.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "22892", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=22892", 0.0, 100.0, 0.0),
(8781, "Public", "0760090K", "Lycée Pierre Corneille", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "CPGE", "Lycée Pierre Corneille - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 1668, 606, 1668, 1102, 1207, 101, 2, 1, 0, 0, 459, 0, 0, 0, 0, 0, 1446, 0, 1102, 1074, 1165, 88, 0, 0, 0, 0, 281, 470, 95, 24, 95, 0, 24.0, 71.0, 91.0, 28, 10, 95, 95, 0, 0, 0, 0, 0, 0, 39, 49, 7.0, 95, 0, 0, 10, 1, 80, 80, 25.26, 74.74, 95.79, 25.296875, 84.1875, 84.1875, 10.5, 10.5, 100.0, 0.0, 0.0, 0.0, 41.09375, 51.6, 7.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 466.0, 40.0, 0.0, 0.0, 4.0, "Tous les candidats", 561.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "9587", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9587&g_ta_cod=9587", 100.0, 0.0, 0.0),
(8782, "Public", "0690023A", "Lycée Ampère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "BTS", "Lycée Ampère - BTS - Services - Professions immobilières", "BTS - Services", "", 35, 3377, 1999, 3377, 0, 599, 144, 1205, 407, 700, 310, 873, 0, 0, 0, 0, 0, 729, 0, 0, 0, 146, 29, 246, 62, 247, 102, 90, 195, 33, 20, 33, 0, 5.0, 24.0, 30.0, 0, 11, 29, 5, 14, 10, 4, 0, 4, 9, 12, 3, 1.0, 5, 12, 8, 1, 0, 14, 14, 15.15, 72.73, 90.91, 60.59375, 48.296875, 48.296875, 3.39990234375, 37.8984375, 87.890625, 0.0, 13.798828125, 31.0, 41.3984375, 10.3, 3.4, 17.19921875, 17.19921875, 48.296875, 41.3984375, 34.5, 27.59765625, 26.0, 11.0, 64.0, 24.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 144, "Liste d'appel propre à cette formation", 9.0, "8180", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8180&g_ta_cod=8180", 15.0, 55.0, 30.0),
(8783, "Public", "0710045N", "Lycée Lamartine", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Mâcon", "formation sélective", "BTS", "Lycée Lamartine - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 36, 476, 73, 476, 0, 72, 9, 109, 27, 78, 28, 217, 0, 0, 0, 0, 0, 296, 0, 0, 0, 72, 9, 101, 23, 71, 24, 52, 167, 35, 2, 35, 0, 2.0, 24.0, 31.0, 0, 5, 27, 8, 9, 10, 8, 0, 14, 11, 1, 1, 0.0, 1, 5, 7, 5, 1, 10, 10, 5.71, 68.57, 88.57, 5.69921875, 37.0, 37.0, 18.5, 18.5, 77.09375, 0.0, 51.8984375, 40.6953125, 3.69970703125, 3.7, 0.0, 29.59765625, 3.69970703125, 33.296875, 18.5, 37.0, 25.8984375, 50.0, 8.0, 46.0, 13.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 101, "Liste d'appel propre à cette formation", 47.0, "8636", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8636&g_ta_cod=8636", 40.0, 29.0, 31.0),
(8784, "Public", "0220060W", "Lycée Eugene Freyssinet", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée Eugene Freyssinet - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 15, 295, 50, 293, 0, 42, 2, 97, 10, 113, 23, 41, 2, 0, 0, 2, 0, 222, 0, 0, 0, 38, 2, 74, 7, 91, 16, 19, 66, 14, 2, 14, 0, 4.0, 11.0, 14.0, 0, 0, 14, 4, 3, 7, 0, 0, 2, 5, 6, 1, 0.0, 3, 3, 6, 1, 1, 10, 10, 28.57, 78.57, 100.0, 14.298828125, 71.390625, 71.390625, 7.099609375, 0.0, 100.0, 0.0, 14.298828125, 35.6953125, 42.8984375, 7.1, 0.0, 28.59765625, 21.3984375, 21.3984375, 21.3984375, 50.0, 42.8984375, 12.0, 0.0, 41.0, 7.0, 4.0, "Tous les candidats sauf les Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 49, "", 0, "Liste d'appel propre à cette formation", 34.0, "25162", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25162&g_ta_cod=25162", 29.0, 21.0, 50.0),
(8785, "Privé sous contrat d'association", "0595254R", "IFSI Ambroise Paré", "59", "Nord", "Hauts-de-France", "Lille", "Mons-en-Baroeul", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 82, 5400, 4280, 5400, 0, 1014, 279, 1028, 350, 480, 211, 2878, 0, 0, 0, 0, 0, 4463, 0, 0, 0, 917, 237, 855, 272, 392, 166, 2299, 1161, 80, 66, 80, 0, 1.0, 19.0, 58.0, 0, 12, 44, 16, 20, 8, 36, 0, 7, 25, 11, 0, 1.0, 12, 17, 8, 0, 0, 34, 34, 1.25, 23.75, 72.5, 82.5, 77.296875, 77.296875, 0, 27.296875, 55.0, 0.0, 15.8984375, 56.796875, 25.0, 0.0, 2.3, 36.3984375, 27.296875, 45.5, 38.59375, 18.19921875, 18.19921875, 237.0, 45.0, 117.0, 53.0, 571.0, "Tous les candidats", 4357.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 41.0, "23135", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23135", 54.0, 30.0, 16.0),
(8786, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études ibériques et ibéro-américaines", "Licence - Arts-lettres-langues", "Études ibériques et ibéro-américaines", 50, 152, 115, 109, 0, 56, 16, 6, 0, 7, 5, 40, 43, 7, 0, 5, 31, 108, 31, 0, 0, 56, 16, 6, 0, 7, 5, 39, 129, 24, 19, 12, 12, 5.0, 12.0, 16.0, 0, 2, 8, 7, 0, 1, 16, 0, 2, 4, 1, 0, 1.0, 6, 0, 0, 0, 0, 5, 5, 20.83, 50.0, 66.67, 79.1875, 62.5, 62.5, 0, 25.0, 33.296875, 0.0, 25.0, 50.0, 12.5, 0.0, 12.5, 87.5, 75.0, 0.0, 0.0, 12.5, 0.0, 57.0, 15.0, 12.0, 7.0, 55.0, "Tous les candidats", 108.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "8041", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études ibériques et ibéro-américaines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8041&g_ta_cod=8041", 71.0, 17.0, 8.0),
(8787, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Bi-Langue Espagnol-Portugais", "Licence - Arts-lettres-langues", "Bi-Langue Espagnol-Portugais", 50, 104, 72, 79, 0, 35, 15, 6, 0, 9, 6, 29, 25, 1, 0, 5, 19, 78, 13, 0, 0, 35, 15, 6, 0, 9, 6, 28, 88, 16, 9, 11, 5, 6.0, 10.0, 11.0, 0, 3, 9, 4, 1, 4, 7, 0, 2, 4, 1, 2, 0.0, 3, 0, 4, 0, 0, 5, 5, 37.5, 62.5, 68.75, 56.296875, 55.59375, 55.59375, 0, 33.296875, 56.296875, 0.0, 22.19921875, 44.3984375, 11.099609375, 22.2, 0.0, 44.3984375, 33.296875, 11.099609375, 0.0, 44.3984375, 44.3984375, 35.0, 15.0, 11.0, 8.0, 36.0, "Tous les candidats", 77.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "14215", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Bi-Langue Espagnol-Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14215&g_ta_cod=14215", 56.0, 19.0, 25.0),
(8788, "Public", "0542208G", "Lycée Stanislas (Biotec.Hotellerie)", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Villers-lès-Nancy", "formation sélective", "BTS", "Lycée Stanislas (Biotec.Hotellerie) - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 15, 172, 35, 157, 0, 17, 2, 20, 3, 5, 1, 115, 15, 0, 9, 3, 3, 74, 2, 0, 0, 17, 2, 15, 2, 5, 1, 37, 38, 7, 0, 6, 1, 2.0, 4.0, 7.0, 0, 1, 5, 1, 3, 1, 2, 0, 1, 2, 2, 0, 0.0, 1, 2, 1, 0, 0, 5, 5, 28.57, 57.14, 100.0, 0.0, 100.0, 100.0, 0, 20.0, 71.390625, 0.0, 20.0, 40.0, 40.0, 0.0, 0.0, 20.0, 20.0, 60.0, 40.0, 20.0, 20.0, 12.0, 1.0, 6.0, 1.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 29.0, "6368", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6368&g_ta_cod=6368", 29.0, 57.0, 14.0),
(8789, "Public", "0912418J", "Université Paris-Saclay, Campus d'Orsay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "Licence", "Université Paris-Saclay, Campus d'Orsay - Licence - Double diplôme - Licence Mathématiques, Physique et Sciences pour l'Ingénieur - Licence Double-Diplôme Mathématiques, Physique", "Licence - Sciences - technologies - santé", "Licence Double-Diplôme Mathématiques, Physique", 50, 3351, 972, 3351, 0, 2927, 248, 12, 2, 0, 0, 412, 0, 0, 0, 0, 0, 1998, 0, 0, 0, 1887, 143, 0, 0, 0, 0, 111, 741, 48, 18, 48, 0, 6.0, 31.0, 42.0, 0, 3, 41, 41, 0, 0, 7, 0, 0, 0, 1, 34, 6.0, 41, 0, 0, 0, 0, 13, 19, 12.5, 64.58, 87.5, 37.5, 31.69921875, 46.296875, 0, 7.2998046875, 85.390625, 0.0, 0.0, 0.0, 2.39990234375, 82.9, 14.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 717.0, 55.0, 0.0, 0.0, 24.0, "Tous les candidats", 1121.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "28874", "Licence - Double diplôme - Licence Mathématiques, Physique et Sciences pour l'Ingénieur - Licence Double-Diplôme Mathématiques, Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28874&g_ta_cod=28874", 100.0, 0.0, 0.0),
(8790, "Public", "0800011C", "Lycée des Métiers Édouard Gand", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée des Métiers Édouard Gand - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 52, 932, 456, 932, 0, 119, 28, 294, 89, 283, 107, 236, 0, 0, 0, 0, 0, 749, 0, 0, 0, 113, 24, 249, 75, 230, 85, 157, 216, 42, 18, 42, 0, 6.0, 23.0, 34.0, 0, 18, 38, 9, 7, 22, 4, 0, 11, 20, 5, 2, 0.0, 7, 7, 13, 0, 0, 36, 36, 14.29, 54.76, 80.95, 42.8984375, 94.6875, 94.6875, 0, 47.3984375, 90.5, 0.0, 28.8984375, 52.59375, 13.19921875, 5.3, 0.0, 23.69921875, 18.3984375, 18.3984375, 18.3984375, 57.8984375, 34.1953125, 42.0, 11.0, 102.0, 37.0, 27.0, "Tous les candidats sauf les Bac professionnels", 178.0, "Bacheliers professionnels toutes séries", 171, "", 0, "Liste d'appel propre à cette formation", 37.0, "10163", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10163&g_ta_cod=10163", 31.0, 17.0, 52.0),
(8791, "Public", "0420957M", "I.U.T de Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BUT", "I.U.T de Saint-Etienne - BUT - Gestion administrative et commerciale des organisations Parcours : Management responsable de projet et des organisations - Management des fonctions supports - Management commercial et marketing omnicanal", "BUT - Service", "Management responsable de projet et des organisations - Management des fonctions supports - Management commercial et marketing omnicanal", 99, 2551, 1455, 2548, 0, 1376, 200, 799, 211, 20, 6, 353, 3, 0, 3, 0, 0, 1561, 0, 0, 0, 939, 116, 521, 121, 4, 1, 97, 879, 108, 72, 108, 0, 33.0, 68.0, 93.0, 0, 24, 96, 55, 41, 0, 12, 0, 11, 65, 20, 0, 0.0, 49, 36, 0, 0, 0, 55, 55, 30.56, 62.96, 86.11, 66.6875, 57.296875, 57.296875, 0, 25.0, 88.890625, 0.0, 11.5, 67.6875, 20.796875, 0.0, 0.0, 57.296875, 51.0, 42.6953125, 37.5, 0.0, 0.0, 481.0, 86.0, 1.0, 1.0, 51.0, "Tous les candidats sauf les Bac technologiques", 680.0, "Bacheliers technologiques toutes séries", 534, "", 0, "Liste d'appel propre à cette formation", 48.0, "5312", "BUT - Gestion administrative et commerciale des organisations Parcours : Management responsable de projet et des organisations - Management des fonctions supports - Management commercial et marketing omnicanal", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5312&g_ta_cod=5312", 61.0, 39.0, 0.0),
(8792, "Privé sous contrat d'association", "0593257V", "Institut agricole de Genech", "59", "Nord", "Hauts-de-France", "Lille", "Genech", "formation sélective", "BTS", "Institut agricole de Genech - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 36, 382, 100, 381, 0, 112, 11, 148, 17, 36, 5, 85, 1, 0, 0, 0, 1, 337, 0, 0, 0, 112, 11, 143, 16, 32, 5, 50, 127, 35, 7, 35, 0, 6.0, 35.0, 35.0, 0, 5, 33, 6, 21, 6, 2, 0, 4, 18, 11, 0, 0.0, 5, 20, 4, 11, 3, 18, 18, 17.14, 100.0, 100.0, 20.0, 54.5, 54.5, 33.296875, 15.19921875, 94.296875, 0.0, 12.099609375, 54.5, 33.296875, 0.0, 0.0, 18.19921875, 15.19921875, 63.59375, 60.59375, 18.19921875, 12.099609375, 31.0, 5.0, 18.0, 4.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 111.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 57.0, "6997", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6997&g_ta_cod=6997", 23.0, 60.0, 17.0),
(8793, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "PASS", "Université d'Amiens - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "SCIENCES", 700, 4686, 3094, 4686, 0, 3815, 606, 81, 20, 16, 8, 774, 0, 0, 0, 0, 0, 4656, 0, 0, 0, 3815, 606, 81, 20, 16, 8, 744, 1642, 712, 459, 712, 0, 300.0, 656.0, 704.0, 0, 129, 684, 684, 0, 0, 28, 0, 16, 148, 301, 175, 44.0, 668, 0, 0, 0, 0, 603, 603, 42.13, 92.13, 98.88, 64.5, 88.1875, 88.1875, 0, 18.8984375, 96.09375, 0.0, 2.2998046875, 21.59765625, 44.0, 25.6, 6.4, 100.0, 97.6875, 0.0, 0.0, 0.0, 0.0, 1576.0, 241.0, 0.0, 0.0, 66.0, "Tous les candidats", 1937.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "28590", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28229&g_ta_cod=28590", 100.0, 0.0, 0.0),
(8794, "Public", "0573281G", "Lycée De La Communication", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée De La Communication - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 24, 324, 58, 293, 0, 8, 1, 85, 29, 83, 30, 117, 31, 3, 10, 0, 18, 108, 4, 0, 0, 5, 1, 54, 17, 37, 8, 12, 87, 22, 2, 21, 1, 5.0, 20.0, 21.0, 0, 3, 21, 0, 13, 8, 1, 0, 9, 11, 1, 0, 0.0, 0, 5, 7, 9, 0, 21, 21, 22.73, 90.91, 95.45, 9.099609375, 100.0, 100.0, 42.8984375, 14.298828125, 95.5, 0.0, 42.8984375, 52.3984375, 4.7998046875, 0.0, 0.0, 0.0, 0.0, 61.8984375, 23.796875, 38.09375, 33.296875, 3.0, 1.0, 25.0, 7.0, 14.0, "Tous les candidats sauf les Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 37.0, "6652", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6652&g_ta_cod=6652", 5.0, 59.0, 36.0),
(8795, "Public", "0750679F", "Lycée Paul Valery", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "CPGE", "Lycée Paul Valery - CPGE - PCSI", "Classe préparatoire scientifique", "", 46, 1279, 440, 1225, 205, 996, 221, 0, 0, 1, 1, 228, 54, 25, 1, 0, 28, 931, 12, 166, 879, 850, 186, 0, 0, 0, 0, 81, 660, 43, 17, 40, 3, 3.0, 13.0, 40.0, 3, 10, 38, 38, 0, 0, 5, 1, 0, 20, 15, 2, 0.0, 37, 0, 0, 0, 0, 7, 32, 6.98, 30.23, 93.02, 39.5, 18.3984375, 84.1875, 0, 26.296875, 88.390625, 2.599609375, 0.0, 52.59375, 39.5, 5.3, 0.0, 100.0, 97.390625, 0.0, 0.0, 0.0, 0.0, 626.0, 136.0, 0.0, 0.0, 34.0, "Tous les candidats", 867.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "9044", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9044&g_ta_cod=9044", 100.0, 0.0, 0.0),
(8796, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 290, 1515, 719, 1443, 0, 1041, 205, 118, 23, 34, 9, 250, 72, 11, 4, 2, 55, 1443, 65, 0, 0, 1041, 205, 118, 23, 34, 9, 250, 1122, 256, 87, 226, 30, 45.0, 220.0, 235.0, 0, 57, 194, 164, 19, 11, 62, 1, 66, 73, 39, 15, 0.0, 110, 9, 8, 0, 0, 184, 184, 17.58, 85.94, 91.8, 34.0, 94.796875, 94.796875, 0, 29.3984375, 75.796875, 0.5, 34.0, 37.59375, 20.09765625, 7.7, 0.0, 84.5, 56.6953125, 9.798828125, 4.599609375, 5.69921875, 4.099609375, 757.0, 145.0, 31.0, 9.0, 245.0, "Tous les candidats", 1443.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2880", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2880&g_ta_cod=2880", 82.0, 13.0, 6.0),
(8797, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "PASS", "Université Grenoble Alpes  - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 60, 1837, 1326, 1837, 0, 1395, 257, 49, 21, 9, 5, 384, 0, 0, 0, 0, 0, 1814, 0, 0, 0, 1395, 257, 49, 21, 9, 5, 361, 366, 59, 51, 59, 0, 3.0, 42.0, 57.0, 0, 6, 59, 59, 0, 0, 0, 0, 4, 20, 27, 8, 0.0, 55, 0, 0, 0, 0, 57, 57, 5.08, 71.19, 96.61, 86.390625, 96.59375, 96.59375, 0, 10.19921875, 100.0, 0.0, 6.7998046875, 33.8984375, 45.796875, 13.6, 0.0, 100.0, 93.1875, 0.0, 0.0, 0.0, 0.0, 365.0, 55.0, 0.0, 0.0, 1.0, "Tous les candidats", 2314.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "30760", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30761&g_ta_cod=30760", 100.0, 0.0, 0.0),
(8798, "Public", "0720079V", "Ecole supérieure d'art et de design TALM-Le Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "Autre formation", "Concours TALM - Diplôme National d'Art option design - Concours DESIGN", "Diplôme National d'Art", "Concours DESIGN", 30, 193, 137, 193, 0, 89, 10, 16, 2, 1, 0, 87, 0, 0, 0, 0, 0, 134, 0, 0, 0, 56, 7, 13, 2, 1, 0, 64, 108, 30, 23, 30, 0, 1.0, 28.0, 30.0, 0, 3, 17, 15, 2, 0, 13, 0, 3, 9, 4, 1, 0.0, 12, 2, 0, 0, 0, 8, 8, 3.33, 93.33, 100.0, 76.6875, 47.09375, 47.09375, 0, 17.59765625, 56.6953125, 0.0, 17.59765625, 52.8984375, 23.5, 5.9, 0.0, 88.1875, 70.59375, 11.798828125, 11.798828125, 0.0, 0.0, 44.0, 7.0, 1.0, 0.0, 53.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "25237", "Diplôme National d'Art option design - Concours DESIGN", "Concours TALM", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25235&g_ta_cod=25237", 80.0, 7.0, 13.0),
(8799, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation non sélective", "Licence", "Université Claude Bernard Lyon 1 - Licence - Portail portail Mathématiques / Informatique", "Licence - Sciences - technologies - santé", "portail Mathématiques / Informatique", 365, 4128, 1000, 4128, 0, 2778, 506, 195, 79, 10, 4, 1145, 0, 0, 0, 0, 0, 4084, 0, 0, 0, 2778, 506, 195, 79, 10, 4, 1101, 1991, 359, 72, 357, 0, 11.0, 207.0, 308.0, 0, 74, 224, 203, 19, 2, 135, 1, 96, 70, 45, 11, 1.0, 119, 7, 1, 0, 0, 184, 184, 3.06, 57.66, 85.79, 20.09765625, 82.09375, 82.09375, 0, 33.0, 62.3984375, 0.39996337890625, 42.8984375, 31.296875, 20.09765625, 4.9, 0.4, 90.59375, 53.09375, 8.5, 3.099609375, 0.89990234375, 0.39996337890625, 1361.0, 272.0, 4.0, 2.0, 567.0, "Tous les candidats", 2729.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 63.0, "8343", "Licence - Portail portail Mathématiques / Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27054&g_ta_cod=8343", 92.0, 7.0, 1.0),
(8800, "Privé sous contrat d'association", "0560180S", "Lycée Notre Dame De La Paix", "56", "Morbihan", "Bretagne", "Rennes", "Ploemeur", "formation sélective", "BTS", "Lycée Notre Dame De La Paix - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 53, 526, 233, 513, 0, 55, 9, 203, 27, 186, 39, 69, 13, 2, 3, 1, 7, 431, 12, 0, 0, 55, 9, 203, 27, 147, 31, 26, 221, 37, 12, 27, 9, 3.0, 13.0, 18.0, 0, 8, 27, 3, 13, 11, 10, 0, 11, 11, 5, 0, 0.0, 1, 5, 10, 7, 3, 25, 25, 8.11, 35.14, 48.65, 32.3984375, 92.59375, 92.59375, 25.8984375, 29.59765625, 73.0, 0.0, 40.6953125, 40.6953125, 18.5, 0.0, 0.0, 11.099609375, 3.69970703125, 48.09375, 18.5, 40.6953125, 37.0, 28.0, 7.0, 81.0, 17.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 126, "Bacheliers technologiques toutes séries", 96, "Liste d'appel propre à cette formation", 57.0, "6447", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6447&g_ta_cod=6447", 19.0, 43.0, 38.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(8801, "Privé sous contrat d'association", "0290336H", "Lycée Estran Charles De Foucauld", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Estran Charles De Foucauld - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 33, 429, 46, 429, 0, 67, 6, 123, 21, 87, 22, 152, 0, 0, 0, 0, 0, 290, 0, 0, 0, 67, 6, 110, 20, 66, 14, 47, 124, 33, 0, 33, 0, 5.0, 31.0, 31.0, 0, 8, 29, 5, 11, 13, 4, 0, 6, 19, 4, 0, 0.0, 3, 9, 11, 0, 0, 29, 29, 15.15, 93.94, 93.94, 0.0, 100.0, 100.0, 0, 27.59765625, 87.890625, 0.0, 20.69921875, 65.5, 13.798828125, 0.0, 0.0, 17.19921875, 10.298828125, 37.8984375, 31.0, 44.796875, 37.8984375, 24.0, 5.0, 44.0, 9.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 37.0, "3848", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3848&g_ta_cod=3848", 24.0, 36.0, 39.0),
(8802, "Public", "0332832Z", "Lycée Les Iris", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Lormont", "formation sélective", "BTS", "Lycée Les Iris - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 329, 11, 328, 0, 13, 4, 124, 34, 112, 38, 79, 1, 0, 0, 0, 1, 196, 1, 0, 0, 13, 4, 95, 27, 75, 18, 13, 113, 24, 0, 23, 1, 4.0, 19.0, 20.0, 0, 12, 22, 1, 9, 12, 2, 0, 7, 11, 4, 0, 0.0, 0, 4, 11, 9, 0, 22, 22, 16.67, 79.17, 83.33, 0.0, 100.0, 100.0, 40.8984375, 54.5, 91.6875, 0.0, 31.796875, 50.0, 18.19921875, 0.0, 0.0, 4.5, 0.0, 40.8984375, 18.19921875, 54.5, 50.0, 9.0, 2.0, 46.0, 14.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 46.0, "4454", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4454&g_ta_cod=4454", 8.0, 42.0, 50.0),
(8803, "Public", "0620215X", "Université du littoral - Site de Calais -", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation non sélective", "Licence", "Université du littoral - Site de Calais - - Licence - Portail Physique, chimie", "Licence - Sciences - technologies - santé", "", 72, 363, 168, 279, 0, 195, 35, 12, 6, 0, 0, 72, 84, 25, 3, 1, 55, 279, 48, 0, 0, 195, 35, 12, 6, 0, 0, 72, 319, 32, 12, 24, 8, 9.0, 23.0, 27.0, 0, 4, 17, 15, 2, 0, 15, 0, 4, 5, 6, 1, 1.0, 11, 2, 0, 0, 0, 17, 17, 28.13, 71.88, 84.38, 37.5, 100.0, 100.0, 0, 23.5, 53.09375, 0.0, 23.5, 29.3984375, 35.296875, 5.9, 5.9, 88.1875, 64.6875, 11.798828125, 11.798828125, 0.0, 0.0, 206.0, 37.0, 1.0, 1.0, 101.0, "Tous les candidats", 362.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "7398", "Licence - Portail Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27873&g_ta_cod=7398", 88.0, 9.0, 0.0),
(8804, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Université de Lille - DEUST - Animation et gestion des activités physiques, sportives ou culturelles", "DEUST", "", 35, 866, 212, 866, 0, 355, 76, 213, 67, 65, 15, 233, 0, 0, 0, 0, 0, 866, 0, 0, 0, 355, 76, 213, 67, 65, 15, 233, 168, 35, 7, 35, 0, 18.0, 32.0, 35.0, 0, 6, 17, 6, 4, 7, 18, 0, 3, 6, 7, 1, 0.0, 5, 2, 7, 0, 0, 13, 13, 51.43, 91.43, 100.0, 20.0, 76.5, 76.5, 0, 35.296875, 48.59375, 0.0, 17.59765625, 35.296875, 41.1953125, 5.9, 0.0, 35.296875, 29.3984375, 23.5, 11.798828125, 41.1953125, 41.1953125, 70.0, 17.0, 19.0, 6.0, 62.0, "Tous les candidats", 228.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "21667", "DEUST - Animation et gestion des activités physiques, sportives ou culturelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21667&g_ta_cod=21667", 54.0, 17.0, 29.0),
(8805, "Public", "0350092K", "Ecole nationale supérieure maritime (ENSM) - Centre de Saint-Malo", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Saint-Malo", "formation sélective", "Autre formation", "Ecole nationale supérieure maritime (ENSM) - Centre de Saint-Malo - Diplôme d'Etablissement - Diplôme Officier Chef de Quart Machine - Bac +3", "Diplôme d'Etablissement", "Diplôme Officier Chef de Quart Machine - Bac +3", 43, 225, 15, 225, 0, 50, 1, 24, 2, 32, 5, 119, 0, 0, 0, 0, 0, 168, 0, 0, 0, 45, 1, 20, 1, 12, 3, 91, 95, 42, 4, 42, 0, 13.0, 34.0, 37.0, 0, 3, 19, 8, 7, 4, 23, 1, 6, 7, 3, 2, 0.0, 3, 6, 3, 0, 0, 6, 6, 30.95, 80.95, 88.1, 9.5, 31.59765625, 31.59765625, 0, 15.798828125, 45.1953125, 5.2998046875, 31.59765625, 36.796875, 15.798828125, 10.5, 0.0, 42.09375, 15.798828125, 36.796875, 31.59765625, 21.09765625, 15.798828125, 27.0, 1.0, 4.0, 2.0, 55.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "33015", "Diplôme d'Etablissement - Diplôme Officier Chef de Quart Machine - Bac +3", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33015&g_ta_cod=33015", 69.0, 21.0, 10.0),
(8806, "Public", "0941288P", "I.U.T. de Créteil-Vitry - Site de Créteil- UPEC", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "BUT", "I.U.T. de Créteil-Vitry - Site de Créteil- UPEC - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 25, 691, 431, 691, 0, 310, 56, 172, 47, 0, 0, 209, 0, 0, 0, 0, 0, 419, 0, 0, 0, 212, 29, 92, 18, 0, 0, 115, 177, 25, 10, 25, 0, 0.0, 13.0, 19.0, 0, 8, 19, 14, 5, 0, 6, 0, 3, 10, 5, 1, 0.0, 12, 4, 0, 0, 0, 9, 18, 0.0, 52.0, 76.0, 40.0, 47.3984375, 94.6875, 0, 42.09375, 76.0, 0.0, 15.798828125, 52.59375, 26.296875, 5.3, 0.0, 73.6875, 63.1953125, 26.296875, 21.09765625, 0.0, 0.0, 87.0, 21.0, 0.0, 0.0, 55.0, "Tous les candidats sauf les Bac technologiques", 178.0, "Bacheliers technologiques toutes séries", 63, "", 0, "Liste d'appel propre à cette formation", 35.0, "11511", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11511&g_ta_cod=11511", 64.0, 36.0, 0.0),
(8807, "Public", "0290013G", "Lycée Jules Lesven", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Jules Lesven - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 32, 403, 339, 403, 0, 72, 12, 50, 14, 161, 51, 120, 0, 0, 0, 0, 0, 264, 0, 0, 0, 58, 11, 39, 10, 124, 36, 43, 130, 34, 30, 34, 0, 6.0, 17.0, 31.0, 0, 10, 31, 5, 6, 20, 3, 0, 10, 11, 7, 3, 0.0, 4, 3, 14, 0, 0, 16, 16, 17.65, 50.0, 91.18, 88.1875, 51.59375, 51.59375, 0, 32.296875, 91.1875, 0.0, 32.296875, 35.5, 22.59765625, 9.7, 0.0, 16.09765625, 12.8984375, 19.3984375, 9.69921875, 64.5, 45.1953125, 19.0, 5.0, 80.0, 21.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 111, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 46.0, "13062", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13062&g_ta_cod=13062", 24.0, 18.0, 59.0),
(8808, "Public", "0440288Z", "Lycée général et technologique Albert Camus", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Lycée général et technologique Albert Camus - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 30, 7, 3, 0, 0, 0.0, 0.0, 1.0, 0, 4, 7, 0, 3, 4, 0, 0, 6, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 6, 6, 0.0, 0.0, 14.29, 42.8984375, 85.6875, 85.6875, 0, 57.09375, 100.0, 0.0, 85.6875, 14.298828125, 0.0, 0.0, 0.0, 0.0, 0.0, 42.8984375, 0.0, 57.09375, 14.298828125, 0.0, 0.0, 25.0, 13.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22544", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 43.0, 57.0),
(8809, "Public", "0290105G", "Lycée professionnel Tristan Corbiere", "29", "Finistère", "Bretagne", "Rennes", "Morlaix", "formation sélective", "Autre formation", "Lycée professionnel Tristan Corbiere - Mention complémentaire - Aéronautique option avions à moteur à turbines", "Mention complémentaire", "", 12, 112, 6, 111, 0, 0, 0, 0, 0, 94, 15, 17, 1, 0, 0, 1, 0, 80, 0, 0, 0, 0, 0, 0, 0, 72, 12, 8, 33, 9, 1, 9, 0, 3.0, 7.0, 8.0, 0, 1, 8, 0, 0, 8, 1, 0, 1, 4, 3, 0, 0.0, 0, 0, 7, 0, 0, 7, 7, 33.33, 77.78, 88.89, 11.099609375, 87.5, 87.5, 0, 12.5, 88.890625, 0.0, 12.5, 50.0, 37.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 87.5, 0.0, 0.0, 27.0, 4.0, 6.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "17969", "Mention complémentaire - Aéronautique option avions à moteur à turbines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17969&g_ta_cod=17969", 0.0, 11.0, 89.0),
(8810, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence_Las", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Portail Philosophie", "Licence - Sciences humaines et sociales", "", 15, 514, 359, 514, 0, 256, 50, 10, 6, 8, 3, 240, 0, 0, 0, 0, 0, 512, 0, 0, 0, 256, 50, 10, 6, 8, 3, 238, 118, 15, 11, 15, 0, 3.0, 7.0, 11.0, 0, 4, 8, 6, 2, 0, 7, 0, 2, 2, 4, 0, 0.0, 5, 1, 0, 0, 0, 3, 6, 20.0, 46.67, 73.33, 73.296875, 37.5, 75.0, 0, 50.0, 53.296875, 0.0, 25.0, 25.0, 50.0, 0.0, 0.0, 75.0, 62.5, 25.0, 12.5, 0.0, 0.0, 63.0, 14.0, 1.0, 1.0, 49.0, "Tous les candidats", 616.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "28449", "Licence - Portail Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28448&g_ta_cod=28449", 67.0, 33.0, 0.0),
(8811, "Public", "0830077H", "Lycée agricole de Hyères", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Hyères", "formation sélective", "BTS", "Lycée agricole de Hyères - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 16, 142, 64, 137, 0, 11, 1, 15, 3, 29, 6, 82, 5, 1, 0, 0, 4, 65, 3, 0, 0, 11, 1, 15, 3, 29, 6, 10, 55, 11, 4, 10, 1, 3.0, 9.0, 11.0, 0, 0, 8, 0, 3, 5, 3, 0, 3, 5, 0, 0, 0.0, 0, 3, 2, 4, 2, 8, 8, 27.27, 81.82, 100.0, 36.3984375, 100.0, 100.0, 50, 0.0, 72.6875, 0.0, 37.5, 62.5, 0.0, 0.0, 0.0, 0.0, 0.0, 37.5, 37.5, 62.5, 25.0, 12.0, 1.0, 19.0, 3.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 42.0, "10349", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10349&g_ta_cod=10349", 9.0, 45.0, 45.0),
(8812, "Public", "0811293I", "ISIS - Partenaire INSA", "81", "Tarn", "Occitanie", "Toulouse", "Castres", "formation sélective", "Ecole d'Ingénieur", "Groupe INSA - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 28, 3871, 1264, 3871, 0, 3219, 292, 0, 0, 0, 0, 652, 0, 0, 0, 0, 0, 2655, 0, 0, 0, 2219, 167, 0, 0, 0, 0, 436, 1705, 19, 14, 19, 0, 0.0, 13.0, 19.0, 0, 1, 11, 11, 0, 0, 8, 0, 0, 0, 10, 1, 0.0, 11, 0, 0, 0, 0, 8, 8, 0.0, 68.42, 100.0, 73.6875, 72.6875, 72.6875, 0, 9.099609375, 57.8984375, 0.0, 0.0, 0.0, 90.890625, 9.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1393.0, 103.0, 0.0, 0.0, 312.0, "Tous les candidats", 15836.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 68.0, "248", "Formation d'ingénieur Bac + 5 - Bac Général", "Groupe INSA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=57&g_ta_cod=248", 100.0, 0.0, 0.0),
(8813, "Public", "0850151C", "Lycée agricole Bel Air", "85", "Vendée", "Pays de la Loire", "Nantes", "Fontenay-le-Comte", "formation sélective", "BTS", "Lycée agricole Bel Air - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 27, 263, 108, 253, 0, 13, 1, 28, 4, 47, 13, 165, 10, 2, 1, 2, 5, 79, 7, 0, 0, 13, 1, 24, 4, 26, 6, 16, 75, 12, 8, 9, 3, 4.0, 9.0, 11.0, 0, 2, 9, 4, 4, 1, 3, 0, 5, 4, 0, 0, 0.0, 0, 3, 1, 0, 0, 5, 5, 33.33, 75.0, 91.67, 66.6875, 55.59375, 55.59375, 0, 22.19921875, 75.0, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 0.0, 44.3984375, 0.0, 44.3984375, 33.296875, 11.099609375, 11.099609375, 13.0, 1.0, 24.0, 6.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 31.0, "10514", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10514&g_ta_cod=10514", 42.0, 42.0, 17.0),
(8814, "Public", "0030098R", "I.U.T. d'Allier - site de Montluçon", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 2, 148, 13, 148, 0, 0, 0, 134, 33, 0, 0, 14, 0, 0, 0, 0, 0, 75, 0, 0, 0, 0, 0, 69, 18, 0, 0, 6, 18, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 346.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 51.0, "349", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=349", 0, 0, 0),
(8815, "Public", "0751722P", "Sorbonne Université - Sciences et Ingénierie", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence_Las", "Sorbonne Université ? Sciences et Ingénierie - Licence - Portail Sciences de la matière", "Licence - Sciences - technologies - santé", "Sciences de la matière", 25, 1979, 1148, 1979, 0, 1099, 233, 51, 25, 9, 5, 820, 0, 0, 0, 0, 0, 1979, 0, 0, 0, 1099, 233, 51, 25, 9, 5, 820, 315, 23, 16, 23, 0, 0.0, 7.0, 21.0, 0, 4, 22, 22, 0, 0, 1, 0, 0, 11, 8, 2, 1.0, 22, 0, 0, 0, 0, 4, 20, 0.0, 30.43, 91.3, 69.59375, 18.19921875, 90.890625, 0, 18.19921875, 95.6875, 0.0, 0.0, 50.0, 36.3984375, 9.1, 4.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 307.0, 51.0, 0.0, 0.0, 7.0, "Tous les candidats", 1514.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "31058", "Licence - Portail Sciences de la matière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31057&g_ta_cod=31058", 100.0, 0.0, 0.0),
(8816, "Public", "0763111U", "Université de Rouen Normandie - Campus Madrillet Saint-Etienne-du-Rouvray", "76", "Seine-Maritime", "Normandie", "Normandie", "Saint-Etienne-du-Rouvray", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Madrillet Saint-Etienne-du-Rouvray - Licence - Portail Licence Informatique / Licence Electronique-Energie-Electricité-Automatique", "Licence - Sciences - technologies - santé", "Licence Informatique / Licence Electronique-Energie-Electricité-Automatique", 216, 1119, 134, 1076, 0, 608, 118, 114, 29, 11, 5, 343, 43, 3, 0, 2, 38, 1023, 43, 0, 0, 608, 118, 114, 29, 11, 5, 290, 1066, 214, 15, 195, 19, 191.0, 191.0, 193.0, 0, 32, 129, 106, 19, 4, 85, 13, 52, 38, 21, 5, 0.0, 51, 10, 3, 0, 0, 113, 113, 89.25, 89.25, 90.19, 7.0, 87.59375, 87.59375, 0, 24.796875, 60.296875, 10.099609375, 40.296875, 29.5, 16.296875, 3.9, 0.0, 82.1875, 39.5, 14.69921875, 7.7998046875, 3.099609375, 2.2998046875, 611.0, 118.0, 13.0, 6.0, 328.0, "Tous les candidats", 1023.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "15217", "Licence - Portail Licence Informatique / Licence Electronique-Energie-Electricité-Automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15217&g_ta_cod=15217", 79.0, 18.0, 3.0),
(8817, "Public", "0911783U", "IFSI CH Sud Francilien (CHSF)", "91", "Essonne", "Ile-de-France", "Versailles", "Corbeil-Essonnes", "formation sélective", "IFSI", "Regroupement d'IFSI Université Paris Sud (P11) - D.E Infirmier", "D.E secteur sanitaire", "", 155, 5348, 4672, 5348, 0, 548, 150, 802, 312, 746, 371, 3252, 0, 0, 0, 0, 0, 4166, 0, 0, 0, 541, 148, 646, 234, 536, 264, 2443, 1244, 161, 144, 161, 0, 10.0, 95.0, 155.0, 0, 18, 70, 42, 8, 20, 91, 1, 15, 31, 22, 1, 0.0, 30, 8, 16, 0, 0, 47, 66, 6.21, 59.01, 96.27, 89.390625, 67.09375, 94.296875, 0, 25.69921875, 43.5, 1.39990234375, 21.3984375, 44.296875, 31.3984375, 1.4, 0.0, 60.0, 42.8984375, 11.3984375, 11.3984375, 28.59765625, 22.8984375, 283.0, 78.0, 169.0, 91.0, 736.0, "Tous les candidats", 2989.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "23058", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23011&g_ta_cod=23058", 67.0, 10.0, 23.0),
(8818, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues étrangères appliquées - Parcours Anglais-Chinois", "Licence - Arts-lettres-langues", "Anglais-Chinois", 15, 62, 53, 58, 0, 34, 12, 2, 1, 0, 0, 22, 4, 1, 0, 0, 3, 57, 3, 0, 0, 34, 12, 2, 1, 0, 0, 21, 45, 14, 12, 12, 2, 4.0, 11.0, 12.0, 0, 3, 6, 6, 0, 0, 8, 0, 3, 2, 0, 1, 0.0, 3, 0, 0, 0, 0, 4, 4, 28.57, 78.57, 85.71, 85.6875, 66.6875, 66.6875, 0, 50.0, 42.8984375, 0.0, 50.0, 33.296875, 0.0, 16.7, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 25.0, 9.0, 0.0, 0.0, 19.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "5053", "Licence - Langues étrangères appliquées - Parcours Anglais-Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5053&g_ta_cod=5053", 93.0, 0.0, 7.0),
(8819, "Privé sous contrat d'association", "0592928M", "Lycée Jeanne D'Arc", "59", "Nord", "Hauts-de-France", "Lille", "Aulnoye-Aymeries", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Services - Tourisme", "BTS - Services", "", 35, 119, 80, 87, 0, 24, 9, 26, 6, 14, 10, 23, 32, 5, 5, 8, 14, 61, 25, 0, 0, 20, 7, 23, 5, 11, 8, 7, 82, 15, 12, 8, 7, 6.0, 8.0, 11.0, 0, 3, 9, 3, 3, 3, 6, 0, 6, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 8, 8, 40.0, 53.33, 73.33, 80.0, 88.890625, 88.890625, 0, 33.296875, 60.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 33.296875, 0.0, 33.296875, 0.0, 33.296875, 33.296875, 24.0, 9.0, 20.0, 13.0, 15.0, "Tous les candidats sauf les Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 68.0, "6911", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6911&g_ta_cod=6911", 33.0, 27.0, 33.0),
(8820, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Lettres - Parcours Lettres - Mineure Anglais (à distance ENEAD)", "Licence - Arts-lettres-langues", "Lettres - Mineure Anglais (à distance ENEAD)", 50, 321, 250, 288, 0, 94, 21, 5, 2, 2, 1, 187, 33, 7, 2, 0, 24, 288, 32, 0, 0, 94, 21, 5, 2, 2, 1, 187, 218, 50, 39, 31, 19, 9.0, 31.0, 39.0, 0, 7, 15, 13, 2, 0, 35, 1, 7, 4, 2, 1, 0.0, 7, 0, 0, 0, 0, 0, 7, 18.0, 62.0, 78.0, 78.0, 0.0, 46.6953125, 0, 46.6953125, 30.0, 6.69921875, 46.6953125, 26.69921875, 13.298828125, 6.7, 0.0, 86.6875, 46.6953125, 13.298828125, 0.0, 0.0, 0.0, 78.0, 20.0, 2.0, 1.0, 133.0, "Tous les candidats", 288.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24127", "Licence - Lettres - Parcours Lettres - Mineure Anglais (à distance ENEAD)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24127&g_ta_cod=24127", 88.0, 8.0, 0.0),
(8821, "Public", "0220023F", "Lycée Felix Le Dantec", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Lannion", "formation sélective", "BTS", "Lycée Felix Le Dantec - BTS - Production - Systèmes photoniques", "BTS - Production", "", 15, 113, 24, 113, 0, 14, 3, 46, 7, 23, 7, 30, 0, 0, 0, 0, 0, 102, 0, 0, 0, 13, 2, 44, 7, 22, 7, 23, 51, 15, 2, 15, 0, 6.0, 15.0, 15.0, 0, 1, 13, 3, 7, 3, 2, 0, 10, 2, 0, 1, 0.0, 0, 1, 2, 6, 0, 12, 12, 40.0, 100.0, 100.0, 13.298828125, 92.296875, 92.296875, 46.1953125, 7.69921875, 86.6875, 0.0, 76.890625, 15.3984375, 0.0, 7.7, 0.0, 23.09765625, 0.0, 53.796875, 7.69921875, 23.09765625, 15.3984375, 10.0, 2.0, 11.0, 4.0, 6.0, "Tous les candidats sauf les Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 65.0, "3309", "BTS - Production - Systèmes photoniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3309&g_ta_cod=3309", 27.0, 53.0, 20.0),
(8822, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Chimie", "Licence - Sciences - technologies - santé", "", 148, 1381, 840, 1322, 0, 764, 125, 40, 12, 2, 0, 516, 59, 8, 4, 0, 47, 1301, 31, 0, 0, 764, 125, 40, 12, 2, 0, 495, 927, 129, 71, 112, 17, 1.0, 75.0, 111.0, 0, 11, 52, 47, 4, 1, 77, 2, 14, 18, 13, 5, 0.0, 33, 2, 1, 0, 0, 34, 34, 0.78, 58.14, 86.05, 55.0, 65.390625, 65.390625, 0, 21.19921875, 40.296875, 3.7998046875, 26.8984375, 34.59375, 25.0, 9.6, 0.0, 90.390625, 63.5, 7.69921875, 3.7998046875, 1.89990234375, 1.89990234375, 542.0, 89.0, 2.0, 0.0, 367.0, "Tous les candidats", 1295.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "8054", "Licence - Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8054&g_ta_cod=8054", 93.0, 5.0, 1.0),
(8823, "Privé sous contrat d'association", "0870864S", "Lycée Saint-Jean", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée Saint-Jean - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 24, 366, 250, 278, 0, 80, 15, 78, 17, 19, 3, 101, 88, 18, 19, 6, 45, 97, 39, 0, 0, 37, 6, 18, 2, 7, 0, 35, 114, 18, 14, 7, 11, 2.0, 7.0, 17.0, 0, 0, 8, 3, 4, 1, 10, 0, 5, 2, 1, 0, 0.0, 0, 2, 1, 0, 0, 3, 3, 11.11, 38.89, 94.44, 77.796875, 37.5, 37.5, 0, 0.0, 44.3984375, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 37.5, 0.0, 50.0, 25.0, 12.5, 12.5, 38.0, 5.0, 4.0, 0.0, 51.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 35.0, "14904", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14904&g_ta_cod=14904", 72.0, 22.0, 6.0),
(8824, "Public", "0134015U", "Aix-Marseille Université - Site de Marseille Saint Charles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation non sélective", "Licence_Las", "Aix-Marseille Université - Portail Louis Pasteur - Licence - Portail Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales", "Licence - Sciences - technologies - santé", "Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales - site de Saint Charles", 65, 3615, 2575, 3615, 0, 2014, 459, 224, 87, 11, 6, 1366, 0, 0, 0, 0, 0, 3567, 0, 0, 0, 2014, 459, 224, 87, 11, 6, 1318, 768, 60, 38, 60, 0, 1.0, 15.0, 38.0, 0, 6, 34, 33, 1, 0, 26, 0, 2, 16, 13, 2, 1.0, 31, 1, 0, 0, 0, 20, 20, 1.67, 25.0, 63.33, 63.296875, 58.796875, 58.796875, 0, 17.59765625, 56.6953125, 0.0, 5.8994140625, 47.09375, 38.1953125, 5.9, 2.9, 97.09375, 91.1875, 2.89990234375, 2.89990234375, 0.0, 0.0, 410.0, 75.0, 0.0, 0.0, 354.0, "Tous les candidats", 2194.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "28588", "Licence - Portail Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12615&g_ta_cod=28588", 97.0, 2.0, 0.0),
(8825, "Public", "0300026R", "Lycée Dhuoda", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Dhuoda - BTS - Production - Management économique de la construction", "BTS - Production", "", 28, 275, 78, 268, 0, 19, 3, 109, 26, 70, 27, 70, 7, 0, 0, 3, 4, 201, 0, 0, 0, 13, 2, 86, 11, 64, 23, 38, 96, 27, 9, 27, 0, 5.0, 22.0, 25.0, 0, 9, 24, 1, 14, 9, 3, 0, 7, 13, 3, 1, 0.0, 0, 11, 6, 10, 4, 21, 21, 18.52, 81.48, 92.59, 33.296875, 87.5, 87.5, 41.6953125, 37.5, 88.890625, 0.0, 29.19921875, 54.1953125, 12.5, 4.2, 0.0, 4.19921875, 0.0, 58.296875, 45.796875, 37.5, 25.0, 6.0, 2.0, 46.0, 13.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 49.0, "3941", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3941&g_ta_cod=3941", 4.0, 59.0, 37.0),
(8826, "Public", "0190038N", "Lycée Bernart de Ventadour", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Ussel", "formation sélective", "BTS", "Lycée Bernart de Ventadour - BTS - Services - Economie sociale familiale", "BTS - Services", "", 20, 337, 285, 320, 0, 41, 7, 88, 24, 104, 34, 87, 17, 7, 1, 0, 9, 213, 3, 0, 0, 34, 4, 61, 15, 86, 23, 32, 109, 15, 13, 13, 1, 2.0, 8.0, 10.0, 0, 4, 11, 3, 4, 4, 4, 0, 7, 3, 1, 0, 0.0, 1, 0, 3, 3, 2, 7, 7, 13.33, 53.33, 66.67, 86.6875, 63.59375, 63.59375, 27.296875, 36.3984375, 73.296875, 0.0, 63.59375, 27.296875, 9.099609375, 0.0, 0.0, 27.296875, 9.099609375, 36.3984375, 0.0, 36.3984375, 27.296875, 22.0, 4.0, 42.0, 11.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 43.0, "3148", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3148&g_ta_cod=3148", 27.0, 33.0, 40.0),
(8827, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 200, 1260, 609, 1232, 0, 833, 190, 120, 39, 33, 15, 246, 28, 6, 4, 3, 15, 1232, 25, 0, 0, 833, 190, 120, 39, 33, 15, 246, 849, 206, 82, 191, 15, 23.0, 181.0, 185.0, 0, 35, 152, 121, 26, 5, 54, 2, 45, 59, 38, 8, 0.0, 94, 8, 3, 0, 0, 148, 148, 11.17, 87.86, 89.81, 39.796875, 97.390625, 97.390625, 0, 23.0, 73.796875, 1.2998046875, 29.59765625, 38.796875, 25.0, 5.3, 0.0, 79.59375, 61.796875, 17.09765625, 5.2998046875, 3.2998046875, 2.0, 542.0, 132.0, 29.0, 16.0, 185.0, "Tous les candidats", 1172.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "33508", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33508&g_ta_cod=33508", 75.0, 17.0, 6.0),
(8828, "Public", "0320030J", "Lycée professionnel Clement Ader", "32", "Gers", "Occitanie", "Toulouse", "Samatan", "formation sélective", "BTS", "Lycée professionnel Clement Ader - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 12, 72, 11, 66, 0, 2, 0, 14, 3, 31, 7, 19, 6, 0, 0, 3, 3, 44, 4, 0, 0, 2, 0, 12, 3, 26, 5, 4, 40, 10, 1, 8, 2, 1.0, 8.0, 10.0, 0, 0, 9, 0, 3, 6, 1, 0, 4, 4, 0, 1, 0.0, 0, 1, 4, 4, 0, 9, 9, 10.0, 80.0, 100.0, 10.0, 100.0, 100.0, 44.3984375, 0.0, 90.0, 0.0, 44.3984375, 44.3984375, 0.0, 11.1, 0.0, 0.0, 0.0, 33.296875, 11.099609375, 66.6875, 44.3984375, 2.0, 0.0, 24.0, 5.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 64.0, "20135", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20135&g_ta_cod=20135", 0.0, 30.0, 70.0),
(8829, "Privé enseignement supérieur", "0210099U", "BSB - Burgundy School of Business", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Ecole de Commerce", "Concours Passerelle Bachelor - Formation des écoles de commerce et de management Bac + 3 - Bachelor", "Formation des écoles de commerce et de management", "Bachelor", 170, 747, 348, 723, 0, 593, 29, 54, 5, 6, 4, 70, 24, 9, 1, 1, 13, 520, 18, 0, 0, 448, 13, 33, 2, 2, 1, 37, 538, 177, 99, 164, 13, 163.0, 163.0, 172.0, 0, 4, 154, 139, 13, 2, 23, 0, 43, 65, 33, 13, 0.0, 100, 9, 2, 0, 0, 92, 92, 92.09, 92.09, 97.18, 55.8984375, 59.6953125, 59.6953125, 0, 2.599609375, 87.0, 0.0, 27.8984375, 42.1953125, 21.3984375, 8.4, 0.0, 90.296875, 64.890625, 8.3984375, 5.7998046875, 1.2998046875, 1.2998046875, 455.0, 14.0, 2.0, 1.0, 48.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 72.0, "259", "Formation des écoles de commerce et de management Bac + 3 - Bachelor", "Concours Passerelle Bachelor", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=253&g_ta_cod=259", 89.0, 10.0, 1.0),
(8830, "Privé sous contrat d'association", "0595657D", "Institut Saint Vincent De Paul", "59", "Nord", "Hauts-de-France", "Lille", "Loos", "formation sélective", "BTS", "Institut Saint Vincent De Paul - BTS - Services - Support à l'action managériale", "BTS - Services", "", 20, 235, 124, 215, 0, 10, 2, 25, 8, 22, 10, 158, 20, 1, 0, 7, 12, 78, 3, 0, 0, 8, 2, 25, 8, 16, 7, 29, 61, 19, 13, 17, 2, 3.0, 15.0, 16.0, 0, 2, 9, 1, 3, 5, 10, 0, 5, 2, 2, 0, 0.0, 0, 1, 3, 0, 0, 8, 8, 15.79, 78.95, 84.21, 68.390625, 88.890625, 88.890625, 0, 22.19921875, 47.3984375, 0.0, 55.59375, 22.19921875, 22.19921875, 0.0, 0.0, 11.099609375, 0.0, 33.296875, 11.099609375, 55.59375, 33.296875, 8.0, 1.0, 12.0, 5.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 33.0, "7136", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7136&g_ta_cod=7136", 32.0, 32.0, 37.0),
(8831, "Public", "0900231M", "I.U.T de Belfort-Montbéliard", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "BUT", "I.U.T de Belfort-Montbéliard - BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie  - Management de l'énergie pour le bâtiment et l'industrie", "BUT - Production", "Optimisation énergétique pour le bâtiment et l'industrie  - Management de l'énergie pour le bâtiment et l'industrie", 48, 408, 43, 384, 0, 197, 25, 133, 37, 3, 1, 51, 24, 3, 1, 1, 19, 356, 10, 0, 0, 192, 23, 120, 29, 3, 1, 41, 236, 39, 5, 37, 2, 6.0, 31.0, 38.0, 0, 6, 30, 16, 14, 0, 9, 0, 13, 15, 2, 0, 0.0, 10, 7, 0, 0, 0, 23, 23, 15.38, 79.49, 97.44, 12.798828125, 76.6875, 76.6875, 0, 20.0, 76.890625, 0.0, 43.296875, 50.0, 6.69921875, 0.0, 0.0, 53.296875, 33.296875, 46.6953125, 23.296875, 0.0, 0.0, 118.0, 16.0, 0.0, 0.0, 36.0, "Tous les candidats sauf les Bac technologiques", 225.0, "Bacheliers technologiques toutes séries", 130, "", 0, "Liste d'appel propre à cette formation", 92.0, "10824", "BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie  - Management de l'énergie pour le bâtiment et l'industrie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10824&g_ta_cod=10824", 49.0, 51.0, 0.0),
(8832, "Public", "9711032V", "Lycée Charles Coeffin", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "BTS", "Lycée Charles Coeffin - BTS - Production - Métiers de la chimie", "BTS - Production", "", 15, 133, 76, 121, 0, 41, 14, 22, 10, 2, 1, 56, 12, 2, 4, 0, 6, 63, 3, 0, 0, 37, 12, 11, 5, 0, 0, 15, 48, 15, 8, 13, 2, 4.0, 13.0, 14.0, 0, 3, 7, 2, 5, 0, 8, 0, 2, 4, 1, 0, 0.0, 2, 3, 0, 5, 3, 6, 6, 26.67, 86.67, 93.33, 53.296875, 85.6875, 85.6875, 71.390625, 42.8984375, 46.6953125, 0.0, 28.59765625, 57.09375, 14.298828125, 0.0, 0.0, 28.59765625, 28.59765625, 71.390625, 42.8984375, 0.0, 0.0, 22.0, 6.0, 0.0, 0.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers technologiques toutes séries", 13, "", 0, "Liste d'appel propre à cette formation", 48.0, "11761", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11761&g_ta_cod=11761", 47.0, 53.0, 0.0),
(8833, "Privé sous contrat d'association", "0741437K", "MFR LE VILLARET", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Thônes", "formation sélective", "BTS", "MFR LE VILLARET - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 18, 40, 27, 39, 0, 3, 0, 8, 1, 18, 6, 10, 1, 0, 0, 0, 1, 34, 0, 0, 0, 3, 0, 8, 1, 18, 6, 5, 31, 5, 1, 5, 0, 4.0, 5.0, 5.0, 0, 2, 4, 0, 2, 2, 1, 0, 1, 3, 0, 0, 0.0, 0, 1, 2, 2, 0, 4, 4, 80.0, 100.0, 100.0, 20.0, 100.0, 100.0, 50, 50.0, 80.0, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 50.0, 3.0, 0.0, 15.0, 6.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers technologiques toutes séries", 9, "Bacheliers professionnels toutes séries", 20, "Liste d'appel propre à cette formation", 87.0, "33107", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33107&g_ta_cod=33107", 0.0, 60.0, 40.0),
(8834, "Public", "0420013L", "Lycée Albert Camus", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Firminy", "formation sélective", "Autre formation", "Lycée Albert Camus - Mention complémentaire - FCIL Adjoint des cadres sanitaires et sociaux - Secrétariat médico-social", "Mention complémentaire", "", 15, 214, 203, 214, 0, 3, 2, 36, 14, 100, 60, 75, 0, 0, 0, 0, 0, 214, 0, 0, 0, 3, 2, 36, 14, 100, 60, 75, 58, 16, 16, 16, 0, 5.0, 9.0, 11.0, 0, 4, 9, 1, 1, 7, 7, 0, 3, 4, 1, 1, 0.0, 1, 0, 5, 0, 0, 8, 8, 31.25, 56.25, 68.75, 100.0, 88.890625, 88.890625, 0, 44.3984375, 56.296875, 0.0, 33.296875, 44.3984375, 11.099609375, 11.1, 0.0, 11.099609375, 11.099609375, 11.099609375, 0.0, 77.796875, 55.59375, 1.0, 1.0, 24.0, 12.0, 19.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "24753", "Mention complémentaire - FCIL Adjoint des cadres sanitaires et sociaux - Secrétariat médico-social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24753&g_ta_cod=24753", 19.0, 13.0, 69.0),
(8835, "Public", "0430112N", "LEGTPA Brioude-Bonnefont - Site de Fontannes", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Fontannes", "formation sélective", "BTS", "LEGTPA Brioude-Bonnefont - Site de Fontannes - BTS - Agricole - productions animales", "BTS - Agricole", "", 32, 322, 189, 318, 0, 83, 22, 129, 42, 55, 30, 51, 4, 0, 0, 1, 3, 272, 0, 0, 0, 83, 22, 128, 42, 41, 20, 20, 109, 30, 20, 30, 0, 7.0, 23.0, 29.0, 0, 16, 30, 7, 16, 7, 0, 0, 5, 16, 7, 2, 0.0, 6, 13, 6, 6, 5, 17, 17, 23.33, 76.67, 96.67, 66.6875, 56.6953125, 56.6953125, 20, 53.296875, 100.0, 0.0, 16.69921875, 53.296875, 23.296875, 6.7, 0.0, 23.296875, 20.0, 53.296875, 43.296875, 23.296875, 20.0, 29.0, 9.0, 29.0, 15.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 96.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 87, "Liste d'appel propre à cette formation", 71.0, "5406", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5406&g_ta_cod=5406", 23.0, 53.0, 23.0),
(8836, "Public", "9740001H", "Lycée Leconte de Lisle", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée Leconte de Lisle - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 973, 576, 829, 0, 65, 26, 336, 212, 254, 182, 174, 144, 0, 85, 0, 59, 321, 2, 0, 0, 33, 10, 122, 75, 127, 98, 39, 134, 35, 20, 33, 2, 8.0, 24.0, 27.0, 0, 20, 32, 4, 13, 15, 3, 0, 7, 18, 7, 0, 0.0, 4, 7, 14, 7, 3, 32, 32, 22.86, 68.57, 77.14, 57.09375, 100.0, 100.0, 21.8984375, 62.5, 91.390625, 0.0, 21.8984375, 56.296875, 21.8984375, 0.0, 0.0, 12.5, 12.5, 40.59375, 21.8984375, 46.8984375, 43.796875, 8.0, 4.0, 31.0, 26.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 133, "Liste d'appel propre à cette formation", 22.0, "11883", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11883&g_ta_cod=11883", 14.0, 43.0, 43.0),
(8837, "Public", "0831616F", "Lycée Rouvière", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Rouvière - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 13, 165, 25, 165, 0, 10, 5, 61, 20, 34, 13, 60, 0, 0, 0, 0, 0, 104, 0, 0, 0, 9, 4, 54, 16, 26, 9, 15, 62, 10, 3, 10, 0, 2.0, 9.0, 10.0, 0, 2, 8, 0, 7, 1, 2, 0, 5, 2, 1, 0, 0.0, 0, 2, 1, 3, 1, 5, 5, 20.0, 90.0, 100.0, 30.0, 62.5, 62.5, 37.5, 25.0, 80.0, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 0.0, 0.0, 87.5, 25.0, 12.5, 12.5, 5.0, 2.0, 14.0, 4.0, 11.0, "Tous les candidats sauf les Bac professionnels", 78.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 61.0, "10405", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10405&g_ta_cod=10405", 10.0, 80.0, 10.0),
(8838, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Double licence - Histoire / Philosophie - Histoire -Philosophie", "Licence - Sciences humaines et sociales", "Histoire -Philosophie", 28, 350, 166, 137, 0, 89, 15, 7, 2, 5, 1, 36, 213, 58, 20, 4, 131, 90, 32, 0, 0, 76, 11, 3, 1, 0, 0, 11, 112, 10, 2, 4, 6, 2.0, 4.0, 7.0, 0, 1, 6, 6, 0, 0, 4, 0, 0, 2, 2, 2, 0.0, 6, 0, 0, 0, 0, 2, 4, 20.0, 40.0, 70.0, 20.0, 33.296875, 66.6875, 0, 16.69921875, 60.0, 0.0, 0.0, 33.296875, 33.296875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 87.0, 14.0, 0.0, 0.0, 21.0, "Tous les candidats", 88.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "11505", "Double licence - Histoire / Philosophie - Histoire -Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11505&g_ta_cod=11505", 100.0, 0.0, 0.0),
(8839, "Public", "0071351F", "Lycée Xavier Mallet", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Le Teil", "formation sélective", "BTS", "Lycée Xavier Mallet - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 216, 144, 216, 0, 7, 2, 62, 24, 80, 41, 67, 0, 0, 0, 0, 0, 186, 0, 0, 0, 7, 2, 61, 23, 80, 41, 38, 98, 24, 18, 24, 0, 2.0, 21.0, 23.0, 0, 7, 16, 0, 9, 7, 8, 0, 10, 4, 2, 0, 0.0, 0, 3, 3, 5, 2, 15, 15, 8.33, 87.5, 95.83, 75.0, 93.796875, 93.796875, 31.296875, 43.796875, 66.6875, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 0.0, 0.0, 56.296875, 18.796875, 43.796875, 18.796875, 1.0, 1.0, 41.0, 17.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 57.0, "2351", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2351&g_ta_cod=2351", 4.0, 50.0, 46.0),
(8840, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail Géographie / Histoire", "Licence - Sciences humaines et sociales", "Géographie / Histoire : Géographie et aménagement", 60, 393, 139, 312, 0, 233, 53, 22, 9, 3, 2, 54, 81, 21, 12, 4, 44, 312, 79, 0, 0, 233, 53, 22, 9, 3, 2, 54, 390, 40, 12, 22, 18, 21.0, 21.0, 36.0, 0, 4, 29, 26, 3, 0, 11, 1, 12, 10, 6, 0, 0.0, 15, 1, 0, 0, 0, 25, 25, 52.5, 52.5, 90.0, 30.0, 86.1875, 86.1875, 0, 13.798828125, 72.5, 3.39990234375, 41.3984375, 34.5, 20.69921875, 0.0, 0.0, 89.6875, 51.6953125, 10.298828125, 3.39990234375, 0.0, 0.0, 254.0, 58.0, 7.0, 5.0, 96.0, "Tous les candidats", 797.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23314", "Licence - Portail Géographie / Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23312&g_ta_cod=23314", 80.0, 15.0, 5.0),
(8841, "Public", "0750685M", "Lycée Pierre-Gilles de Gennes - ENCPB", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "CPGE", "Lycée Pierre-Gilles de Gennes - ENCPB - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 2041, 1417, 2001, 221, 1579, 220, 3, 1, 2, 1, 417, 40, 17, 4, 0, 19, 1288, 8, 169, 1205, 1094, 140, 0, 0, 0, 0, 194, 652, 37, 20, 34, 3, 8.0, 9.0, 25.0, 1, 1, 31, 31, 0, 0, 6, 0, 0, 14, 15, 2, 0.0, 31, 0, 0, 2, 1, 13, 24, 21.62, 24.32, 67.57, 54.09375, 41.8984375, 77.390625, 6.5, 3.19970703125, 83.796875, 0.0, 0.0, 45.1953125, 48.3984375, 6.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 569.0, 70.0, 0.0, 0.0, 83.0, "Tous les candidats", 943.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "9073", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9073&g_ta_cod=9073", 100.0, 0.0, 0.0),
(8842, "Public", "0770938B", "Lycée André Malraux", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Montereau-Fault-Yonne", "formation sélective", "Autre formation", "Lycée André Malraux - DN MADE - Graphisme", "DN MADE", "- Spécialité : Edition", 10, 718, 511, 647, 0, 225, 49, 146, 42, 66, 20, 210, 71, 18, 3, 6, 44, 231, 4, 0, 0, 77, 13, 95, 28, 14, 3, 45, 82, 10, 8, 7, 3, 0.0, 3.0, 7.0, 0, 1, 5, 1, 2, 2, 5, 0, 2, 1, 2, 0, 0.0, 1, 0, 2, 0, 0, 2, 3, 0.0, 30.0, 70.0, 80.0, 40.0, 60.0, 0, 20.0, 50.0, 0.0, 40.0, 20.0, 40.0, 0.0, 0.0, 20.0, 20.0, 40.0, 0.0, 40.0, 40.0, 26.0, 5.0, 6.0, 1.0, 20.0, "Tous les candidats", 437.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "24481", "DN MADE - Graphisme", "Lycée André Malraux", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21912&g_ta_cod=24481", 40.0, 20.0, 40.0),
(8843, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Sciences de l'éducation - Parcours Licence Sciences de l'Education Option Philosophie", "Licence - Sciences humaines et sociales", "Licence Sciences de l'Education Option Philosophie", 8, 287, 255, 287, 0, 163, 39, 32, 8, 6, 2, 86, 0, 0, 0, 0, 0, 287, 0, 0, 0, 163, 39, 32, 8, 6, 2, 86, 43, 9, 8, 9, 0, 0.0, 8.0, 9.0, 0, 2, 8, 6, 2, 0, 1, 0, 2, 3, 3, 0, 0.0, 5, 1, 0, 0, 0, 7, 7, 0.0, 88.89, 100.0, 88.890625, 87.5, 87.5, 0, 25.0, 88.890625, 0.0, 25.0, 37.5, 37.5, 0.0, 0.0, 75.0, 62.5, 25.0, 12.5, 0.0, 0.0, 25.0, 9.0, 2.0, 0.0, 8.0, "Tous les candidats", 106.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "25336", "Licence - Sciences de l'éducation - Parcours Licence Sciences de l'Education Option Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25336&g_ta_cod=25336", 67.0, 22.0, 11.0),
(8844, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "PASS", "Université de Bordeaux - Bordeaux Métropole - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 40, 1913, 1364, 1913, 0, 1387, 218, 36, 9, 14, 7, 476, 0, 0, 0, 0, 0, 1883, 0, 0, 0, 1387, 218, 36, 9, 14, 7, 446, 414, 38, 23, 38, 0, 1.0, 21.0, 34.0, 0, 6, 37, 36, 1, 0, 1, 0, 9, 15, 9, 3, 1.0, 28, 0, 0, 0, 0, 31, 31, 2.63, 55.26, 89.47, 60.5, 83.796875, 83.796875, 0, 16.19921875, 97.390625, 0.0, 24.296875, 40.5, 24.296875, 8.1, 2.7, 97.296875, 75.6875, 2.69970703125, 0.0, 0.0, 0.0, 335.0, 53.0, 1.0, 1.0, 74.0, "Tous les candidats", 4071.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "26838", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26837&g_ta_cod=26838", 97.0, 3.0, 0.0),
(8845, "Privé sous contrat d'association", "0922593U", "ESSCA School of Management - Paris", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Boulogne-Billancourt", "formation sélective", "Ecole de Commerce", "ESSCA School of Management - Angers - Formation des écoles de commerce et de management Bac + 3 - Bachelor en Management International", "Formation des écoles de commerce et de management", "Bachelor en Management International", 80, 929, 387, 929, 0, 698, 24, 149, 3, 1, 0, 81, 0, 0, 0, 0, 0, 751, 0, 0, 0, 575, 14, 116, 3, 1, 0, 59, 532, 97, 33, 97, 0, 30.0, 96.0, 97.0, 0, 2, 82, 58, 24, 0, 15, 0, 27, 41, 12, 2, 0.0, 38, 17, 0, 0, 0, 43, 67, 30.93, 98.97, 100.0, 34.0, 52.3984375, 81.6875, 0, 2.39990234375, 84.5, 0.0, 32.8984375, 50.0, 14.599609375, 2.4, 0.0, 70.6875, 46.296875, 29.296875, 20.69921875, 0.0, 0.0, 399.0, 10.0, 1.0, 0.0, 46.0, "Tous les candidats", 1469.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 81.0, "26148", "Formation des écoles de commerce et de management Bac + 3 - Bachelor en Management International", "ESSCA School of Management - Angers", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26144&g_ta_cod=26148", 75.0, 25.0, 0.0),
(8846, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Lettres - Arts du spectacle - Musicologie", "Licence - Arts-lettres-langues", "mention Musicologie", 129, 606, 323, 511, 0, 304, 71, 36, 12, 13, 6, 158, 95, 10, 4, 5, 76, 505, 92, 0, 0, 304, 71, 36, 12, 13, 6, 152, 560, 121, 50, 81, 40, 44.0, 81.0, 104.0, 0, 21, 66, 49, 12, 5, 55, 2, 31, 18, 15, 0, 0.0, 28, 1, 4, 0, 0, 46, 46, 36.36, 66.94, 85.95, 41.296875, 69.6875, 69.6875, 0, 31.796875, 54.5, 3.0, 47.0, 27.296875, 22.69921875, 0.0, 0.0, 74.1875, 42.3984375, 18.19921875, 1.5, 7.599609375, 6.099609375, 302.0, 73.0, 15.0, 8.0, 209.0, "Tous les candidats", 1236.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "24034", "Licence - Portail Lettres - Arts du spectacle - Musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24032&g_ta_cod=24034", 73.0, 17.0, 8.0),
(8847, "Public", "0921156G", "Lycée Galilée", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Gennevilliers", "formation sélective", "BTS", "Lycée Galilée - BTS - Production - Biotechnologies", "BTS - Production", "", 28, 807, 501, 772, 0, 150, 30, 267, 89, 18, 8, 337, 35, 10, 0, 0, 25, 348, 0, 0, 0, 76, 16, 174, 57, 13, 7, 85, 167, 26, 19, 26, 0, 4.0, 19.0, 25.0, 0, 8, 16, 0, 15, 1, 10, 0, 0, 12, 4, 0, 0.0, 0, 15, 1, 7, 6, 9, 16, 15.38, 73.08, 96.15, 73.09375, 56.296875, 100.0, 43.796875, 50.0, 61.5, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 93.796875, 93.796875, 6.2998046875, 6.2998046875, 32.0, 8.0, 4.0, 2.0, 52.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 149, "Liste d'appel propre à cette formation", 29.0, "11065", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11065&g_ta_cod=11065", 23.0, 73.0, 4.0),
(8848, "Privé enseignement supérieur", "0573389Z", "Ecole Supérieure d'Ingénieur des Travaux de la Construction ESITC METZ", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Ecole d'Ingénieur", "Ecole Supérieure d'Ingénieur des Travaux de la Construction ESITC METZ - Formation d'ingénieur Bac + 5 - Cycle préparatoire intégré", "Formations  des écoles d'ingénieurs", "Cycle préparatoire intégré", 50, 154, 31, 147, 0, 118, 4, 9, 0, 0, 0, 20, 7, 1, 0, 0, 6, 125, 0, 0, 0, 105, 3, 4, 0, 0, 0, 16, 123, 46, 7, 46, 0, 43.0, 46.0, 46.0, 0, 0, 41, 39, 2, 0, 5, 0, 4, 19, 14, 4, 0.0, 35, 2, 0, 0, 0, 38, 38, 93.48, 100.0, 100.0, 15.19921875, 92.6875, 92.6875, 0, 0.0, 89.09375, 0.0, 9.798828125, 46.296875, 34.09375, 9.8, 0.0, 95.09375, 85.390625, 4.8994140625, 4.8994140625, 0.0, 0.0, 103.0, 3.0, 0.0, 0.0, 16.0, "Tous les candidats", 125.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "24487", "Formation d'ingénieur Bac + 5 - Cycle préparatoire intégré", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24487&g_ta_cod=24487", 96.0, 4.0, 0.0),
(8849, "Privé sous contrat d'association", "0763500S", "Lycée polyvalent privé Saint Vincent de Paul", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Autre formation", "Lycée polyvalent privé Saint Vincent de Paul - DN MADE - Espace - - Spécialité : Espaces de communication virtuels 2D/3D", "DN MADE", "- Spécialité : Espaces de communication virtuels 2D/3D", 18, 198, 136, 198, 0, 83, 7, 15, 5, 41, 13, 59, 0, 0, 0, 0, 0, 100, 0, 0, 0, 67, 6, 6, 1, 16, 6, 11, 72, 20, 18, 20, 0, 3.0, 18.0, 20.0, 0, 2, 17, 14, 2, 1, 3, 0, 2, 11, 4, 0, 0.0, 12, 2, 1, 0, 0, 9, 9, 15.0, 90.0, 100.0, 90.0, 52.8984375, 52.8984375, 0, 11.798828125, 85.0, 0.0, 11.798828125, 64.6875, 23.5, 0.0, 0.0, 82.390625, 70.59375, 11.798828125, 11.798828125, 5.8994140625, 5.8994140625, 49.0, 5.0, 11.0, 5.0, 6.0, "Tous les candidats", 96.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "24308", "DN MADE - Espace - - Spécialité : Espaces de communication virtuels 2D/3D", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24308&g_ta_cod=24308", 80.0, 10.0, 5.0),
(8850, "Privé sous contrat d'association", "0333481E", "YNCREA - BÈGLES", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 5, 236, 84, 232, 0, 0, 0, 0, 0, 0, 0, 232, 4, 0, 0, 0, 4, 201, 2, 0, 0, 0, 0, 0, 0, 0, 0, 201, 193, 2, 1, 1, 1, 1.0, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 50.0, 50.0, 50.0, 50.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 193.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "31120", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=31120", 100.0, 0.0, 0.0),
(8851, "Public", "0330159U", "Centre de Ressources, d'Expertise et de Performance Sportive Bordeaux-Aquitaine (CREPS)", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive Bordeaux-Aquitaine (CREPS) - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 4, 88, 27, 88, 0, 24, 3, 9, 2, 23, 6, 32, 0, 0, 0, 0, 0, 16, 0, 0, 0, 8, 1, 1, 0, 2, 1, 5, 8, 4, 2, 4, 0, 1.0, 3.0, 4.0, 0, 1, 3, 2, 0, 1, 1, 0, 0, 2, 1, 0, 0.0, 2, 0, 1, 0, 0, 2, 2, 25.0, 75.0, 100.0, 50.0, 66.6875, 66.6875, 0, 33.296875, 75.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 66.6875, 66.6875, 0.0, 0.0, 33.296875, 33.296875, 3.0, 0.0, 1.0, 1.0, 4.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "21272", "BPJEPS - Activités aquatiques et de la natation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21272&g_ta_cod=21272", 50.0, 25.0, 25.0),
(8852, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Russe - débutant", "Licence - Arts-lettres-langues", "Russe - débutant", 40, 171, 120, 136, 0, 69, 16, 9, 3, 11, 7, 47, 35, 6, 4, 1, 24, 136, 34, 0, 0, 69, 16, 9, 3, 11, 7, 47, 160, 24, 15, 17, 7, 8.0, 17.0, 21.0, 0, 8, 14, 6, 2, 6, 10, 0, 8, 4, 1, 1, 0.0, 2, 1, 3, 0, 0, 12, 12, 33.33, 70.83, 87.5, 62.5, 85.6875, 85.6875, 0, 57.09375, 58.296875, 0.0, 57.09375, 28.59765625, 7.099609375, 7.1, 0.0, 42.8984375, 14.298828125, 14.298828125, 7.099609375, 42.8984375, 21.3984375, 74.0, 18.0, 10.0, 8.0, 64.0, "Tous les candidats", 135.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "19120", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Russe - débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19120&g_ta_cod=19120", 46.0, 25.0, 25.0),
(8853, "Public", "0450051L", "Lycée BENJAMIN FRANKLIN", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée BENJAMIN FRANKLIN - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 55, 1055, 551, 1055, 0, 114, 38, 238, 103, 179, 104, 524, 0, 0, 0, 0, 0, 394, 0, 0, 0, 91, 30, 169, 71, 78, 37, 56, 221, 60, 26, 60, 0, 27.0, 56.0, 58.0, 0, 23, 46, 5, 27, 14, 14, 0, 13, 19, 12, 2, 0.0, 2, 19, 12, 8, 1, 42, 42, 45.0, 93.33, 96.67, 43.296875, 91.296875, 91.296875, 17.3984375, 50.0, 76.6875, 0.0, 28.296875, 41.296875, 26.09765625, 4.3, 0.0, 10.8984375, 4.2998046875, 58.6953125, 41.296875, 30.3984375, 26.09765625, 49.0, 14.0, 36.0, 16.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 101.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 132, "Liste d'appel propre à cette formation", 28.0, "5662", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5662&g_ta_cod=5662", 20.0, 57.0, 23.0),
(8854, "Public", "0782924E", "Lycée Evariste Galois", "78", "Yvelines", "Ile-de-France", "Versailles", "Sartrouville", "formation sélective", "BTS", "Lycée Evariste Galois - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 1049, 574, 889, 0, 47, 19, 288, 122, 196, 87, 358, 160, 0, 0, 87, 73, 221, 3, 0, 0, 29, 10, 89, 35, 91, 46, 12, 135, 33, 17, 29, 3, 6.0, 22.0, 28.0, 0, 7, 28, 3, 16, 9, 5, 0, 14, 12, 0, 2, 0.0, 0, 9, 5, 4, 1, 27, 28, 18.18, 66.67, 84.85, 51.5, 96.390625, 100.0, 14.298828125, 25.0, 84.796875, 0.0, 50.0, 42.8984375, 0.0, 7.1, 0.0, 10.69921875, 0.0, 57.09375, 32.09375, 32.09375, 17.8984375, 20.0, 8.0, 47.0, 17.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 20.0, "10070", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10070&g_ta_cod=10070", 15.0, 48.0, 36.0),
(8855, "Public", "0300026R", "Lycée Dhuoda", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Dhuoda - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 14, 243, 9, 235, 0, 4, 2, 57, 15, 133, 57, 41, 8, 0, 4, 0, 4, 190, 0, 0, 0, 4, 2, 49, 13, 113, 49, 24, 74, 5, 0, 5, 0, 1.0, 4.0, 5.0, 0, 1, 5, 0, 4, 1, 0, 0, 2, 1, 2, 0, 0.0, 0, 2, 1, 3, 0, 4, 4, 20.0, 80.0, 100.0, 0.0, 80.0, 80.0, 60, 20.0, 100.0, 0.0, 40.0, 20.0, 40.0, 0.0, 0.0, 0.0, 0.0, 80.0, 40.0, 20.0, 20.0, 2.0, 2.0, 32.0, 14.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 46.0, "3938", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3938&g_ta_cod=3938", 0.0, 80.0, 20.0),
(8856, "Public", "0061817T", "I.U.T de Nice - Antenne de Valbonne", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BUT", "I.U.T de Nice - Antenne de Valbonne - BUT - Qualité, logistique industrielle et organisation", "BUT - Production", "", 70, 491, 123, 394, 0, 209, 30, 95, 20, 7, 1, 83, 97, 21, 22, 4, 50, 295, 24, 0, 0, 176, 22, 62, 11, 2, 0, 55, 262, 70, 15, 59, 11, 19.0, 56.0, 66.0, 0, 7, 51, 37, 14, 0, 19, 0, 12, 29, 8, 2, 0.0, 28, 11, 0, 0, 0, 47, 47, 27.14, 80.0, 94.29, 21.3984375, 92.1875, 92.1875, 0, 13.69921875, 72.890625, 0.0, 23.5, 56.8984375, 15.69921875, 3.9, 0.0, 72.5, 54.8984375, 27.5, 21.59765625, 0.0, 0.0, 135.0, 18.0, 1.0, 0.0, 65.0, "Tous les candidats sauf les Bac technologiques", 222.0, "Bacheliers technologiques toutes séries", 73, "", 0, "Liste d'appel propre à cette formation", 75.0, "2321", "BUT - Qualité, logistique industrielle et organisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2321&g_ta_cod=2321", 70.0, 30.0, 0.0),
(8857, "Public", "0762762P", "Université Le Havre Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation non sélective", "Licence", "Université Le Havre Normandie - Licence - Portail PORTAIL Mathématiques, Informatique, Sciences de la Matière et de l?Ingénieur (MISMI)", "Licence - Sciences - technologies - santé", "PORTAIL Mathématiques, Informatique, Sciences de la Matière et de l?Ingénieur (MISMI)", 170, 1002, 212, 853, 0, 564, 88, 62, 22, 9, 4, 218, 149, 27, 4, 3, 115, 832, 105, 0, 0, 564, 88, 62, 22, 9, 4, 197, 937, 123, 27, 87, 36, 82.0, 84.0, 111.0, 0, 23, 59, 44, 11, 4, 64, 5, 28, 17, 7, 2, 0.0, 20, 3, 3, 0, 0, 52, 52, 66.67, 68.29, 90.24, 22.0, 88.09375, 88.09375, 0, 39.0, 48.0, 8.5, 47.5, 28.796875, 11.8984375, 3.4, 0.0, 74.59375, 33.8984375, 18.59765625, 5.099609375, 6.7998046875, 5.099609375, 591.0, 94.0, 12.0, 6.0, 268.0, "Tous les candidats", 832.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "23733", "Licence - Portail PORTAIL Mathématiques, Informatique, Sciences de la Matière et de l?Ingénieur (MISMI)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23733&g_ta_cod=23733", 78.0, 15.0, 6.0),
(8858, "Public", "0460580F", "IFSI CH Jean Rougier Cahors", "46", "Lot", "Occitanie", "Toulouse", "Cahors", "formation sélective", "IFSI", "Regroupement d'IFSI Université Toulouse - D.E Infirmier", "D.E secteur sanitaire", "", 65, 5788, 4916, 5788, 0, 812, 156, 1028, 295, 786, 277, 3162, 0, 0, 0, 0, 0, 3581, 0, 0, 0, 737, 141, 711, 188, 430, 147, 1703, 1048, 61, 52, 61, 0, 0.0, 10.0, 46.0, 0, 7, 34, 16, 14, 4, 27, 0, 9, 19, 5, 1, 0.0, 8, 13, 4, 0, 0, 24, 24, 0.0, 16.39, 75.41, 85.1875, 70.59375, 70.59375, 0, 20.59765625, 55.6953125, 0.0, 26.5, 55.8984375, 14.69921875, 2.9, 0.0, 47.09375, 23.5, 41.1953125, 38.1953125, 11.798828125, 11.798828125, 340.0, 60.0, 84.0, 31.0, 489.0, "Tous les candidats", 3304.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "23253", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22985&g_ta_cod=23253", 61.0, 26.0, 13.0),
(8859, "Privé sous contrat d'association", "0290170C", "Lycée Le Likès", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Le Likès - BTS - Production - Management économique de la construction", "BTS - Production", "", 15, 131, 25, 126, 0, 15, 2, 39, 3, 53, 11, 19, 5, 3, 0, 0, 2, 93, 2, 0, 0, 10, 2, 36, 3, 38, 9, 9, 67, 13, 1, 12, 1, 2.0, 11.0, 12.0, 0, 1, 11, 0, 3, 8, 2, 0, 3, 3, 5, 0, 0.0, 0, 0, 8, 1, 1, 10, 10, 15.38, 84.62, 92.31, 7.69921875, 90.890625, 90.890625, 9.099609375, 9.099609375, 84.59375, 0.0, 27.296875, 27.296875, 45.5, 0.0, 0.0, 0.0, 0.0, 27.296875, 0.0, 72.6875, 72.6875, 8.0, 2.0, 26.0, 6.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 66.0, "18706", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18706&g_ta_cod=18706", 15.0, 23.0, 62.0),
(8860, "Privé sous contrat d'association", "0291208F", "Ecole du Nivot", "29", "Finistère", "Bretagne", "Rennes", "Lopérec", "formation sélective", "BTS", "Ecole du Nivot - BTS - Agricole - productions animales", "BTS - Agricole", "", 19, 135, 83, 133, 0, 32, 2, 48, 10, 35, 9, 18, 2, 1, 0, 0, 1, 116, 2, 0, 0, 32, 2, 47, 10, 28, 6, 9, 60, 12, 7, 12, 0, 6.0, 12.0, 12.0, 0, 2, 12, 0, 7, 5, 0, 0, 3, 7, 2, 0, 0.0, 0, 6, 3, 6, 3, 12, 12, 50.0, 100.0, 100.0, 58.296875, 100.0, 100.0, 50, 16.69921875, 100.0, 0.0, 25.0, 58.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 58.296875, 50.0, 41.6953125, 25.0, 22.0, 2.0, 16.0, 3.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 62.0, "3885", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3885&g_ta_cod=3885", 0.0, 58.0, 42.0),
(8861, "Privé sous contrat d'association", "0442774B", "LGT SAINT FELIX - LA SALLE", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LGT SAINT FELIX - LA SALLE - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 28, 427, 24, 424, 0, 63, 9, 192, 44, 90, 18, 79, 3, 0, 0, 3, 0, 346, 0, 0, 0, 62, 9, 154, 33, 76, 13, 54, 172, 25, 0, 25, 0, 5.0, 17.0, 23.0, 0, 4, 18, 2, 12, 4, 7, 0, 3, 13, 1, 1, 0.0, 2, 9, 4, 1, 0, 14, 14, 20.0, 68.0, 92.0, 0.0, 77.796875, 77.796875, 5.599609375, 22.19921875, 72.0, 0.0, 16.69921875, 72.1875, 5.599609375, 5.6, 0.0, 11.099609375, 11.099609375, 66.6875, 50.0, 22.19921875, 22.19921875, 24.0, 3.0, 39.0, 8.0, 31.0, "Tous les candidats sauf les Bac professionnels", 180.0, "Bacheliers professionnels toutes séries", 63, "", 0, "Liste d'appel propre à cette formation", 57.0, "5515", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5515&g_ta_cod=5515", 28.0, 56.0, 16.0),
(8862, "Public", "0570030Y", "Lycée Blaise Pascal", "57", "Moselle", "Grand Est", "Nancy-Metz", "Forbach", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 376, 185, 370, 0, 26, 14, 129, 60, 120, 51, 95, 6, 0, 0, 3, 3, 222, 1, 0, 0, 25, 13, 109, 52, 70, 29, 18, 98, 15, 7, 14, 1, 1.0, 8.0, 10.0, 0, 6, 13, 0, 7, 6, 2, 0, 5, 5, 3, 0, 0.0, 0, 3, 5, 5, 2, 13, 13, 6.67, 53.33, 66.67, 46.6953125, 100.0, 100.0, 38.5, 46.1953125, 86.6875, 0.0, 38.5, 38.5, 23.09765625, 0.0, 0.0, 0.0, 0.0, 53.796875, 23.09765625, 46.1953125, 38.5, 9.0, 6.0, 54.0, 24.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 33.0, "6519", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6519&g_ta_cod=6519", 0.0, 60.0, 40.0),
(8863, "Public", "0753431X", "Sciences Po Paris - Institut d'études politiques", "75", "Paris", "Ile-de-France", "Paris", "Paris  7e  Arrondissement", "formation sélective", "Licence", "Sciences Po -  Université de Paris - Licence - Double diplôme - Licence Sciences de la vie - Sciences et Sciences sociales / Spécialité Sciences de la Vie", "Licence - Sciences - technologies - santé", "Sciences et Sciences sociales / Spécialité Sciences de la Vie", 16, 174, 138, 174, 0, 172, 16, 1, 1, 0, 0, 1, 0, 0, 0, 0, 0, 23, 0, 0, 0, 22, 3, 0, 0, 0, 0, 1, 22, 10, 9, 10, 0, 0.0, 10.0, 10.0, 0, 1, 10, 10, 0, 0, 0, 0, 0, 0, 0, 4, 6.0, 10, 0, 0, 0, 0, 2, 5, 0.0, 100.0, 100.0, 90.0, 20.0, 50.0, 0, 10.0, 100.0, 0.0, 0.0, 0.0, 0.0, 40.0, 60.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 21.0, 3.0, 0.0, 0.0, 1.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "32566", "Licence - Double diplôme - Licence Sciences de la vie - Sciences et Sciences sociales / Spécialité Sciences de la Vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32566&g_ta_cod=32566", 100.0, 0.0, 0.0),
(8864, "Public", "0542262R", "Lycée Emmanuel Héré", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Laxou", "formation sélective", "BTS", "Lycée Emmanuel Héré - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 30, 192, 6, 172, 0, 6, 2, 28, 2, 104, 36, 34, 20, 1, 0, 12, 7, 98, 7, 0, 0, 6, 2, 28, 2, 56, 18, 8, 95, 22, 0, 18, 4, 3.0, 17.0, 20.0, 0, 5, 20, 4, 4, 12, 2, 0, 6, 7, 6, 1, 0.0, 0, 2, 12, 0, 0, 16, 16, 13.64, 77.27, 90.91, 0.0, 80.0, 80.0, 0, 25.0, 90.890625, 0.0, 30.0, 35.0, 30.0, 5.0, 0.0, 20.0, 0.0, 20.0, 10.0, 60.0, 60.0, 7.0, 3.0, 52.0, 15.0, 9.0, "Tous les candidats sauf les Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 56.0, "6373", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6373&g_ta_cod=6373", 18.0, 23.0, 59.0),
(8865, "Public", "0731487V", "IUT de CHAMBERY", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation sélective", "BUT", "IUT de CHAMBERY - BUT - Science et génie des matériaux Parcours : Métiers de l'ingénierie des matériaux et des produits - études aménagées arts appliqués", "BUT - Production", "Métiers de l'ingénierie des matériaux et des produits - études aménagées arts appliqués", 24, 170, 54, 149, 0, 82, 7, 44, 5, 0, 0, 23, 21, 6, 7, 0, 8, 125, 5, 0, 0, 66, 5, 38, 4, 0, 0, 21, 107, 20, 8, 17, 3, 4.0, 14.0, 19.0, 0, 0, 18, 16, 2, 0, 2, 0, 3, 8, 5, 2, 0.0, 14, 1, 0, 0, 0, 11, 11, 20.0, 70.0, 95.0, 40.0, 61.09375, 61.09375, 0, 0.0, 90.0, 0.0, 16.69921875, 44.3984375, 27.796875, 11.1, 0.0, 88.890625, 77.796875, 11.099609375, 5.599609375, 0.0, 0.0, 60.0, 5.0, 0.0, 0.0, 21.0, "Tous les candidats sauf les Bac technologiques", 84.0, "Bacheliers technologiques toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 84.0, "8839", "BUT - Science et génie des matériaux Parcours : Métiers de l'ingénierie des matériaux et des produits - études aménagées arts appliqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8839&g_ta_cod=8839", 90.0, 10.0, 0.0),
(8866, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Double diplôme - Licence Economie et gestion - Double diplôme Licence Informatique et management et Diplôme universitaire Innovation et cybersécurité", "Licence - Droit-économie-gestion", "Double diplôme Licence Informatique et management et Diplôme universitaire Innovation et cybersécurité", 40, 1522, 486, 664, 0, 408, 105, 55, 22, 26, 12, 175, 858, 333, 73, 41, 411, 74, 36, 0, 0, 74, 14, 0, 0, 0, 0, 0, 103, 36, 21, 19, 17, 11.0, 19.0, 35.0, 0, 7, 34, 34, 0, 0, 2, 0, 4, 12, 17, 1, 0.0, 30, 0, 0, 0, 0, 21, 31, 30.56, 52.78, 97.22, 58.296875, 61.796875, 91.1875, 0, 20.59765625, 94.390625, 0.0, 11.798828125, 35.296875, 50.0, 2.9, 0.0, 100.0, 88.1875, 0.0, 0.0, 0.0, 0.0, 88.0, 17.0, 0.0, 0.0, 13.0, "Tous les candidats", 74.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "14513", "Licence - Double diplôme - Licence Economie et gestion - Double diplôme Licence Informatique et management et Diplôme universitaire Innovation et cybersécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14513&g_ta_cod=14513", 100.0, 0.0, 0.0),
(8867, "Privé sous contrat d'association", "0771238C", "Institution Saint Aspais", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation sélective", "BTS", "Institution Saint Aspais - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 330, 131, 204, 0, 35, 7, 56, 16, 27, 8, 86, 126, 9, 30, 14, 73, 123, 48, 0, 0, 27, 4, 44, 10, 23, 6, 29, 159, 26, 11, 13, 13, 3.0, 13.0, 21.0, 0, 1, 16, 2, 11, 3, 10, 0, 14, 2, 0, 0, 0.0, 0, 2, 0, 1, 1, 13, 15, 11.54, 50.0, 80.77, 42.296875, 81.296875, 93.796875, 6.2998046875, 6.2998046875, 61.5, 0.0, 87.5, 12.5, 0.0, 0.0, 0.0, 12.5, 0.0, 68.796875, 12.5, 18.796875, 0.0, 31.0, 3.0, 24.0, 9.0, 49.0, "Tous les candidats sauf les Bac professionnels", 98.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 60.0, "9830", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9830&g_ta_cod=9830", 35.0, 46.0, 19.0),
(8868, "Public", "0130036U", "Lycée Perier", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  8e  Arrondissement", "formation sélective", "BTS", "Lycée Perier - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 664, 458, 640, 0, 35, 18, 219, 135, 199, 144, 187, 24, 5, 0, 0, 19, 438, 2, 0, 0, 33, 16, 190, 112, 142, 101, 73, 132, 34, 23, 30, 2, 6.0, 25.0, 31.0, 0, 17, 27, 4, 10, 13, 7, 0, 13, 8, 5, 1, 0.0, 2, 4, 8, 0, 0, 27, 27, 17.65, 73.53, 91.18, 67.59375, 100.0, 100.0, 0, 63.0, 79.390625, 0.0, 48.09375, 29.59765625, 18.5, 3.7, 0.0, 14.798828125, 7.3994140625, 37.0, 14.798828125, 48.09375, 29.59765625, 25.0, 13.0, 40.0, 32.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 32.0, "2539", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2539&g_ta_cod=2539", 26.0, 35.0, 38.0),
(8869, "Privé hors contrat", "0190071Z", "Institut Briviste Supérieur Administration et Commerce (Ecole secondaire professionnelle privée)", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BTS", "Institut Briviste Supérieur Administration et Commerce (Ecole secondaire professionnelle privée) - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 40, 158, 74, 127, 0, 27, 3, 26, 6, 23, 3, 51, 31, 3, 15, 4, 9, 67, 11, 0, 0, 27, 3, 20, 5, 18, 3, 2, 76, 10, 4, 8, 2, 7.0, 8.0, 10.0, 0, 2, 10, 2, 4, 4, 0, 0, 6, 4, 0, 0, 0.0, 1, 1, 2, 0, 0, 2, 2, 70.0, 80.0, 100.0, 40.0, 20.0, 20.0, 0, 20.0, 100.0, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 20.0, 10.0, 40.0, 10.0, 40.0, 20.0, 27.0, 3.0, 20.0, 3.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 53.0, "16797", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16797&g_ta_cod=16797", 20.0, 40.0, 40.0),
(8870, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études slaves (Russe)", "Licence - Arts-lettres-langues", "Études slaves (Russe)", 40, 133, 90, 99, 0, 36, 10, 8, 2, 5, 3, 50, 34, 2, 0, 1, 31, 99, 22, 0, 0, 36, 10, 8, 2, 5, 3, 50, 108, 30, 22, 23, 7, 7.0, 22.0, 24.0, 0, 7, 8, 4, 2, 2, 22, 1, 4, 3, 0, 0, 0.0, 1, 1, 1, 0, 0, 5, 5, 23.33, 73.33, 80.0, 73.296875, 62.5, 62.5, 0, 87.5, 26.69921875, 12.5, 50.0, 37.5, 0.0, 0.0, 0.0, 50.0, 12.5, 25.0, 12.5, 25.0, 12.5, 37.0, 11.0, 4.0, 3.0, 62.0, "Tous les candidats", 99.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8052", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études slaves (Russe)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8052&g_ta_cod=8052", 63.0, 20.0, 17.0),
(8871, "Public", "3500005D", "Lycée français Descartes", "99", "Etranger", "Etranger", "Etranger", "Rabat", "formation sélective", "CPGE", "Lycée français Descartes - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 20, 126, 63, 123, 0, 97, 5, 1, 0, 0, 0, 25, 3, 2, 0, 0, 1, 86, 1, 0, 86, 82, 3, 0, 0, 0, 0, 4, 75, 4, 4, 3, 1, 0.0, 3.0, 4.0, 0, 0, 4, 4, 0, 0, 0, 0, 0, 2, 2, 0, 0.0, 4, 0, 0, 2, 2, 4, 4, 0.0, 75.0, 100.0, 100.0, 100.0, 100.0, 50, 0.0, 100.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 72.0, 3.0, 0.0, 0.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "32549", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32547&g_ta_cod=32549", 100.0, 0.0, 0.0),
(8872, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Autre formation", "Université de Poitiers - C.M.I - Cursus Master en Ingénierie - Sciences pour l'ingénieur - Cursus Master en Ingénierie (CMI) :  Ingénierie de l'Innovation Technologique", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) :  Ingénierie de l'Innovation Technologique", 20, 265, 61, 211, 0, 148, 14, 5, 1, 1, 0, 57, 54, 18, 2, 0, 34, 70, 5, 0, 0, 62, 3, 0, 0, 0, 0, 8, 57, 5, 3, 5, 0, 2.0, 5.0, 5.0, 0, 0, 4, 4, 0, 0, 1, 0, 0, 2, 1, 1, 0.0, 4, 0, 0, 0, 0, 1, 1, 40.0, 100.0, 100.0, 60.0, 25.0, 25.0, 0, 0.0, 80.0, 0.0, 0.0, 50.0, 25.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 45.0, 3.0, 0.0, 0.0, 12.0, "Tous les candidats", 69.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "21027", "C.M.I - Cursus Master en Ingénierie - Sciences pour l'ingénieur - Cursus Master en Ingénierie (CMI) :  Ingénierie de l'Innovation Technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21027&g_ta_cod=21027", 100.0, 0.0, 0.0),
(8873, "Public", "0132733A", "Lycée Antonin Artaud", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BTS", "Lycée Antonin Artaud - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 429, 28, 429, 0, 14, 5, 88, 42, 166, 85, 161, 0, 0, 0, 0, 0, 202, 0, 0, 0, 12, 4, 54, 21, 103, 50, 33, 85, 29, 1, 29, 0, 6.0, 23.0, 26.0, 0, 17, 26, 1, 11, 14, 3, 0, 11, 6, 2, 7, 0.0, 0, 3, 12, 6, 1, 26, 26, 20.69, 79.31, 89.66, 3.39990234375, 100.0, 100.0, 23.09765625, 65.390625, 89.6875, 0.0, 42.296875, 23.09765625, 7.69921875, 26.9, 0.0, 3.7998046875, 0.0, 42.296875, 11.5, 53.796875, 46.1953125, 4.0, 3.0, 28.0, 13.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 26.0, "2777", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2777&g_ta_cod=2777", 3.0, 45.0, 52.0),
(8874, "Privé sous contrat d'association", "0592940A", "Lycée Saint-Jean", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "CPGE", "Lycée Saint-Jean - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 48, 1351, 597, 1351, 1136, 1246, 46, 1, 0, 0, 0, 104, 0, 0, 0, 0, 0, 642, 0, 545, 488, 639, 13, 0, 0, 0, 0, 3, 240, 46, 17, 46, 0, 8.0, 30.0, 43.0, 42, 0, 46, 46, 0, 0, 0, 0, 0, 7, 28, 11, 0.0, 46, 0, 0, 0, 0, 10, 10, 17.39, 65.22, 93.48, 37.0, 21.69921875, 21.69921875, 0, 0.0, 100.0, 0.0, 0.0, 15.19921875, 60.8984375, 23.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 240.0, 7.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "31609", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31309&g_ta_cod=31609", 100.0, 0.0, 0.0),
(8875, "Privé enseignement supérieur", "0211053F", "IRTESS", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "EFTS", "IRTESS - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 30, 291, 276, 291, 0, 46, 3, 65, 8, 33, 4, 147, 0, 0, 0, 0, 0, 249, 0, 0, 0, 38, 2, 59, 7, 24, 4, 128, 62, 34, 34, 34, 0, 13.0, 30.0, 34.0, 0, 5, 19, 5, 8, 6, 15, 0, 2, 5, 10, 2, 0.0, 4, 7, 6, 0, 0, 12, 12, 38.24, 88.24, 100.0, 100.0, 63.1953125, 63.1953125, 0, 26.296875, 55.8984375, 0.0, 10.5, 26.296875, 52.59375, 10.5, 0.0, 26.296875, 21.09765625, 42.09375, 36.796875, 31.59765625, 31.59765625, 8.0, 0.0, 9.0, 4.0, 35.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "24825", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24825&g_ta_cod=24825", 29.0, 41.0, 29.0),
(8876, "Public", "0750736T", "Université Paris-Dauphine", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "Autre formation", "Université Paris-Dauphine - Formation valant grade de licence - Sciences des Organisations - Programme franco-allemand", "Formation valant grade de licence", "Sciences des Organisations - Programme franco-allemand", 25, 288, 150, 288, 0, 258, 10, 0, 0, 0, 0, 30, 0, 0, 0, 0, 0, 121, 0, 0, 0, 116, 2, 0, 0, 0, 0, 5, 56, 28, 20, 28, 0, 24.0, 24.0, 24.0, 0, 1, 27, 27, 0, 0, 1, 2, 0, 0, 6, 16, 3.0, 25, 0, 0, 0, 0, 7, 19, 85.71, 85.71, 85.71, 71.390625, 25.8984375, 70.390625, 0, 3.69970703125, 96.390625, 7.3994140625, 0.0, 0.0, 22.19921875, 59.3, 11.1, 100.0, 92.59375, 0.0, 0.0, 0.0, 0.0, 53.0, 2.0, 0.0, 0.0, 3.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "25820", "Formation valant grade de licence - Sciences des Organisations - Programme franco-allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25820&g_ta_cod=25820", 100.0, 0.0, 0.0),
(8877, "Public", "0100023W", "Lycée Marie De Champagne", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BTS", "Lycée Marie De Champagne - BTS - Services - Economie sociale familiale", "BTS - Services", "", 36, 635, 530, 635, 0, 67, 25, 160, 54, 207, 83, 201, 0, 0, 0, 0, 0, 522, 0, 0, 0, 61, 23, 150, 53, 207, 83, 104, 137, 34, 34, 34, 0, 4.0, 20.0, 27.0, 0, 16, 30, 3, 11, 16, 4, 0, 13, 14, 3, 0, 0.0, 1, 5, 11, 18, 18, 25, 25, 11.76, 58.82, 79.41, 100.0, 83.296875, 83.296875, 60, 53.296875, 88.1875, 0.0, 43.296875, 46.6953125, 10.0, 0.0, 0.0, 10.0, 3.2998046875, 36.6953125, 16.69921875, 53.296875, 36.6953125, 16.0, 6.0, 66.0, 25.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 107, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 31.0, "17577", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17577&g_ta_cod=17577", 12.0, 38.0, 50.0),
(8878, "Public", "0741333X", "IFSI Thonon Les Bains", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Thonon-les-Bains", "formation sélective", "IFSI", "Regroupement d'IFSI Université Grenoble Alpes - D.E Infirmier", "D.E secteur sanitaire", "", 63, 4608, 3822, 4608, 0, 705, 108, 850, 194, 383, 130, 2670, 0, 0, 0, 0, 0, 3667, 0, 0, 0, 641, 90, 718, 156, 306, 93, 2002, 891, 65, 57, 65, 0, 0.0, 23.0, 44.0, 0, 7, 33, 11, 13, 9, 32, 0, 5, 16, 10, 2, 0.0, 8, 11, 9, 0, 0, 26, 26, 0.0, 35.38, 67.69, 87.6875, 78.796875, 78.796875, 0, 21.19921875, 50.796875, 0.0, 15.19921875, 48.5, 30.296875, 6.1, 0.0, 33.296875, 24.19921875, 39.3984375, 33.296875, 27.296875, 27.296875, 215.0, 24.0, 101.0, 21.0, 373.0, "Tous les candidats", 2754.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "23127", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22992&g_ta_cod=23127", 45.0, 32.0, 23.0),
(8879, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Portail Physique, Chimie, Mécanique, Mathématiques (PCMM)", "Licence - Sciences - technologies - santé", "Physique, Chimie, Mécanique, Mathématiques (PCMM)", 135, 1650, 483, 1599, 0, 1159, 123, 46, 9, 2, 0, 392, 51, 7, 1, 0, 43, 1599, 44, 0, 0, 1159, 123, 46, 9, 2, 0, 392, 1163, 97, 28, 78, 19, 11.0, 52.0, 83.0, 0, 10, 56, 53, 3, 0, 41, 1, 17, 13, 18, 7, 0.0, 37, 1, 0, 0, 0, 42, 42, 11.34, 53.61, 85.57, 28.8984375, 75.0, 75.0, 0, 17.8984375, 57.6953125, 1.7998046875, 30.3984375, 23.19921875, 32.09375, 12.5, 0.0, 94.59375, 66.09375, 5.3994140625, 1.7998046875, 0.0, 0.0, 849.0, 92.0, 1.0, 0.0, 306.0, "Tous les candidats", 1682.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "31928", "Licence - Portail Physique, Chimie, Mécanique, Mathématiques (PCMM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31929&g_ta_cod=31928", 96.0, 3.0, 1.0),
(8880, "Public", "0762762P", "Université Le Havre Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation non sélective", "Licence", "Université Le Havre Normandie - Licence - Droit - Parcours Droit Classique", "Licence - Droit-économie-gestion", "Droit Classique", 200, 1116, 812, 1025, 0, 787, 164, 91, 33, 17, 7, 130, 91, 32, 1, 6, 52, 1020, 57, 0, 0, 787, 164, 91, 33, 17, 7, 125, 872, 177, 126, 157, 20, 18.0, 150.0, 165.0, 0, 42, 145, 126, 14, 5, 32, 5, 49, 65, 22, 4, 0.0, 81, 7, 3, 0, 0, 132, 132, 10.17, 84.75, 93.22, 71.1875, 91.0, 91.0, 0, 29.0, 81.890625, 3.39990234375, 33.796875, 44.796875, 15.19921875, 2.8, 0.0, 86.890625, 55.8984375, 9.69921875, 4.7998046875, 3.39990234375, 2.099609375, 695.0, 144.0, 13.0, 4.0, 121.0, "Tous les candidats", 1016.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "9729", "Licence - Droit - Parcours Droit Classique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9729&g_ta_cod=9729", 84.0, 12.0, 4.0),
(8881, "Privé sous contrat d'association", "0131403E", "Lycée St Vincent De Paul", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "BTS", "Lycée St Vincent De Paul - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 25, 192, 62, 181, 0, 30, 12, 69, 18, 38, 16, 44, 11, 1, 2, 1, 7, 162, 4, 0, 0, 27, 10, 63, 16, 31, 12, 41, 116, 24, 6, 22, 2, 2.0, 13.0, 19.0, 0, 4, 12, 0, 7, 5, 12, 0, 8, 3, 1, 0, 0.0, 0, 1, 3, 3, 0, 11, 11, 8.33, 54.17, 79.17, 25.0, 91.6875, 91.6875, 25, 33.296875, 50.0, 0.0, 66.6875, 25.0, 8.298828125, 0.0, 0.0, 0.0, 0.0, 58.296875, 8.298828125, 41.6953125, 25.0, 20.0, 8.0, 25.0, 8.0, 30.0, "Tous les candidats sauf les Bac professionnels", 110.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 81.0, "14663", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14663&g_ta_cod=14663", 21.0, 54.0, 25.0),
(8882, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Administration économique et sociale - Parcours Enseignement à distance", "Licence - Sciences humaines et sociales", "Enseignement à distance", 50, 655, 416, 655, 0, 255, 52, 97, 28, 28, 15, 275, 0, 0, 0, 0, 0, 654, 0, 0, 0, 255, 52, 97, 28, 28, 15, 274, 234, 48, 35, 48, 0, 16.0, 41.0, 44.0, 0, 4, 15, 11, 3, 1, 33, 0, 8, 2, 4, 1, 0.0, 6, 0, 1, 0, 0, 8, 8, 33.33, 85.42, 91.67, 72.890625, 53.296875, 53.296875, 0, 26.69921875, 31.296875, 0.0, 53.296875, 13.298828125, 26.69921875, 6.7, 0.0, 73.296875, 40.0, 20.0, 0.0, 6.69921875, 6.69921875, 128.0, 24.0, 5.0, 2.0, 80.0, "Tous les candidats", 364.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "26532", "Licence - Administration économique et sociale - Parcours Enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26532&g_ta_cod=26532", 54.0, 19.0, 10.0),
(8883, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Portail Information et communication - Sciences de l'information et du document", "Licence - Sciences humaines et sociales", "Sciences de l'information et du document", 120, 690, 420, 598, 0, 313, 71, 44, 19, 10, 8, 231, 92, 11, 8, 5, 68, 597, 84, 0, 0, 313, 71, 44, 19, 10, 8, 230, 566, 116, 55, 83, 33, 32.0, 77.0, 96.0, 0, 13, 51, 40, 8, 3, 65, 0, 22, 24, 3, 1, 1.0, 24, 2, 3, 0, 0, 25, 25, 27.59, 66.38, 82.76, 47.3984375, 49.0, 49.0, 0, 25.5, 44.0, 0.0, 43.09375, 47.09375, 5.8994140625, 2.0, 2.0, 78.390625, 47.09375, 15.69921875, 3.89990234375, 5.8994140625, 5.8994140625, 278.0, 60.0, 12.0, 9.0, 241.0, "Tous les candidats", 679.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "15700", "Licence - Portail Information et communication - Sciences de l'information et du document", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29712&g_ta_cod=15700", 73.0, 19.0, 5.0),
(8884, "Public", "0710048S", "Lycée Rene Cassin", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Mâcon", "formation sélective", "BTS", "Lycée Rene Cassin - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 11, 169, 4, 165, 0, 7, 2, 42, 5, 94, 27, 22, 4, 0, 0, 2, 2, 140, 1, 0, 0, 7, 2, 38, 4, 85, 24, 10, 53, 8, 0, 7, 1, 3.0, 6.0, 6.0, 0, 2, 5, 0, 2, 3, 3, 0, 2, 2, 1, 0, 0.0, 0, 1, 2, 1, 0, 2, 2, 37.5, 75.0, 75.0, 0.0, 40.0, 40.0, 20, 40.0, 62.5, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 0.0, 0.0, 40.0, 20.0, 60.0, 40.0, 1.0, 0.0, 42.0, 11.0, 3.0, "Tous les candidats sauf les Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 31.0, "13387", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13387&g_ta_cod=13387", 25.0, 25.0, 50.0),
(8885, "Privé enseignement supérieur", "0100744E", "Ecole Supérieure de Design de Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "Autre formation", "Ecole Supérieure de Design de Troyes - Formation des écoles supérieure d'art Bac + 5 - Designer Concepteur de projet", "Formation des écoles supérieure d'art", "Designer Concepteur de projet", 50, 112, 77, 90, 0, 59, 8, 9, 0, 4, 1, 18, 22, 9, 2, 0, 11, 64, 8, 0, 0, 45, 6, 6, 0, 3, 1, 10, 72, 34, 24, 29, 5, 26.0, 29.0, 33.0, 0, 5, 29, 23, 5, 1, 5, 0, 9, 11, 7, 2, 0.0, 16, 4, 0, 0, 0, 17, 17, 76.47, 85.29, 97.06, 70.59375, 58.59375, 58.59375, 0, 17.19921875, 85.296875, 0.0, 31.0, 37.8984375, 24.09765625, 6.9, 0.0, 79.296875, 55.1953125, 17.19921875, 13.798828125, 3.39990234375, 0.0, 50.0, 7.0, 3.0, 1.0, 13.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "26205", "Formation des écoles supérieure d'art Bac + 5 - Designer Concepteur de projet", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26205&g_ta_cod=26205", 82.0, 15.0, 3.0),
(8886, "Privé sous contrat d'association", "0910843X", "Lycée Polyvalent Institut Saint Pierre", "91", "Essonne", "Ile-de-France", "Versailles", "Brunoy", "formation sélective", "BTS", "Lycée Polyvalent Institut Saint Pierre - BTS - Services - Tourisme", "BTS - Services", "", 32, 364, 262, 364, 0, 91, 22, 72, 27, 74, 41, 127, 0, 0, 0, 0, 0, 243, 0, 0, 0, 74, 15, 61, 21, 53, 30, 55, 128, 32, 27, 32, 0, 6.0, 23.0, 30.0, 0, 9, 23, 9, 7, 7, 9, 0, 11, 10, 2, 0, 0.0, 2, 4, 6, 2, 2, 13, 22, 18.75, 71.88, 93.75, 84.390625, 56.5, 95.6875, 8.69921875, 39.09375, 71.890625, 0.0, 47.796875, 43.5, 8.69921875, 0.0, 0.0, 39.09375, 8.69921875, 30.3984375, 17.3984375, 30.3984375, 26.09765625, 43.0, 12.0, 32.0, 17.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 92.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 51.0, "10895", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10895&g_ta_cod=10895", 41.0, 28.0, 31.0),
(8887, "Privé sous contrat d'association", "0261429M", "Ecole Santé Social Sud-Est", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "EFTS", "Ecole Santé Social Sud-Est - D.E Assistant de Service Social", "D.E secteur social", "", 20, 171, 159, 171, 0, 36, 8, 28, 8, 14, 5, 93, 0, 0, 0, 0, 0, 158, 0, 0, 0, 34, 8, 25, 7, 13, 5, 86, 65, 19, 18, 19, 0, 3.0, 18.0, 19.0, 0, 2, 11, 2, 7, 2, 8, 1, 1, 8, 1, 0, 0.0, 1, 6, 2, 0, 0, 10, 10, 15.79, 94.74, 100.0, 94.6875, 90.890625, 90.890625, 0, 18.19921875, 57.8984375, 9.099609375, 9.099609375, 72.6875, 9.099609375, 0.0, 0.0, 18.19921875, 9.099609375, 63.59375, 54.5, 18.19921875, 18.19921875, 15.0, 3.0, 5.0, 2.0, 29.0, "Tous les candidats", 150.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 48.0, "25251", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23716&g_ta_cod=25251", 21.0, 47.0, 21.0),
(8888, "Public", "0920147K", "Lycée Paul Langevin", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Suresnes", "formation sélective", "BTS", "Lycée Paul Langevin - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 1329, 525, 630, 0, 60, 28, 210, 94, 147, 73, 213, 699, 99, 160, 86, 354, 200, 13, 0, 0, 28, 12, 81, 36, 83, 41, 8, 164, 33, 13, 26, 7, 2.0, 21.0, 26.0, 0, 14, 30, 3, 12, 15, 3, 0, 15, 11, 3, 1, 0.0, 1, 6, 8, 1, 0, 27, 29, 6.06, 63.64, 78.79, 39.3984375, 90.0, 96.6875, 3.2998046875, 46.6953125, 90.890625, 0.0, 50.0, 36.6953125, 10.0, 3.3, 0.0, 10.0, 3.2998046875, 40.0, 20.0, 50.0, 26.69921875, 26.0, 10.0, 63.0, 31.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 31.0, "11021", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11021&g_ta_cod=11021", 15.0, 39.0, 45.0),
(8889, "Public", "0500049G", "Lycée Robert De Mortain", "50", "Manche", "Normandie", "Normandie", "Mortain-Bocage", "formation sélective", "BTS", "Lycée Robert De Mortain - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 399, 363, 303, 0, 20, 3, 83, 19, 104, 29, 96, 96, 9, 27, 15, 45, 183, 22, 0, 0, 18, 2, 51, 13, 79, 20, 35, 139, 18, 17, 10, 8, 0.0, 6.0, 17.0, 0, 5, 12, 3, 4, 5, 6, 0, 6, 4, 2, 0, 0.0, 1, 1, 4, 2, 2, 8, 8, 0.0, 33.33, 94.44, 94.390625, 66.6875, 66.6875, 16.69921875, 41.6953125, 66.6875, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 25.0, 8.298828125, 33.296875, 8.298828125, 41.6953125, 33.296875, 15.0, 2.0, 46.0, 12.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 98, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 60.0, "6001", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6001&g_ta_cod=6001", 33.0, 22.0, 44.0),
(8890, "Public", "0422048Y", "I.U.T de Roanne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Roanne", "formation sélective", "BUT", "I.U.T de Roanne - BUT - Qualité, logistique industrielle et organisation Parcours : Pilotage de la chaîne logistique globale - Qualité et pilotage des systèmes de management intégrés", "BUT - Production", "Pilotage de la chaîne logistique globale - Qualité et pilotage des systèmes de management intégrés", 45, 326, 71, 276, 0, 123, 18, 90, 22, 7, 2, 56, 50, 18, 4, 1, 27, 234, 31, 0, 0, 116, 14, 76, 18, 6, 2, 36, 238, 39, 6, 30, 9, 7.0, 29.0, 33.0, 0, 3, 26, 15, 9, 2, 13, 1, 17, 8, 0, 0, 0.0, 3, 4, 1, 0, 0, 22, 22, 17.95, 74.36, 84.62, 15.3984375, 84.59375, 84.59375, 0, 11.5, 66.6875, 3.7998046875, 65.390625, 30.796875, 0.0, 0.0, 0.0, 57.6953125, 11.5, 34.59375, 15.3984375, 7.69921875, 3.7998046875, 118.0, 15.0, 6.0, 2.0, 43.0, "Tous les candidats sauf les Bac technologiques", 153.0, "Bacheliers technologiques toutes séries", 80, "", 0, "Liste d'appel propre à cette formation", 84.0, "5373", "BUT - Qualité, logistique industrielle et organisation Parcours : Pilotage de la chaîne logistique globale - Qualité et pilotage des systèmes de management intégrés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5373&g_ta_cod=5373", 64.0, 28.0, 8.0),
(8891, "Public", "0760052U", "Lycée François 1er", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "CPGE", "Lycée François 1er - CPGE - ECG -  - Mathématiques appliquées + HGG", "Classe préparatoire économique et commerciale", "", 24, 192, 107, 185, 0, 150, 15, 0, 0, 0, 0, 35, 7, 3, 0, 0, 4, 127, 4, 0, 127, 119, 8, 0, 0, 0, 0, 8, 114, 10, 7, 10, 0, 5.0, 10.0, 10.0, 0, 3, 9, 9, 0, 0, 1, 0, 0, 4, 4, 1, 0.0, 9, 0, 0, 2, 2, 9, 9, 50.0, 100.0, 100.0, 70.0, 100.0, 100.0, 22.19921875, 33.296875, 90.0, 0.0, 0.0, 44.3984375, 44.3984375, 11.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 105.0, 8.0, 0.0, 0.0, 9.0, "Tous les candidats", 126.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "31352", "CPGE - ECG -  - Mathématiques appliquées + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31352&g_ta_cod=31352", 100.0, 0.0, 0.0),
(8892, "Public", "0252006V", "CREPS de Dijon - Antenne de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive de Dijon (CREPS) - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 3, 29, 6, 29, 0, 10, 2, 8, 1, 3, 1, 8, 0, 0, 0, 0, 0, 6, 0, 0, 0, 3, 1, 0, 0, 0, 0, 3, 6, 3, 1, 3, 0, 3.0, 3.0, 3.0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 33.296875, 0.0, 0.0, 0, 0.0, 33.296875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 3.0, 1.0, 0.0, 0.0, 3.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 21.0, "28463", "BPJEPS - Activités aquatiques et de la natation", "Centre de Ressources, d'Expertise et de Performance Sportive de Dijon (CREPS)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21288&g_ta_cod=28463", 100.0, 0.0, 0.0),
(8893, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Sciences de l'Homme, Anthropologie, Ethnologie - Parcours Ethnologie", "Licence - Sciences humaines et sociales", "Ethnologie", 100, 868, 619, 845, 0, 507, 160, 24, 8, 16, 9, 298, 23, 7, 1, 2, 13, 845, 22, 0, 0, 507, 160, 24, 8, 16, 9, 298, 533, 109, 71, 101, 8, 24.0, 82.0, 98.0, 0, 20, 72, 66, 4, 2, 37, 0, 18, 20, 25, 8, 1.0, 51, 2, 1, 0, 0, 22, 22, 22.02, 75.23, 89.91, 65.09375, 30.59765625, 30.59765625, 0, 27.796875, 66.09375, 0.0, 25.0, 27.796875, 34.6953125, 11.1, 1.4, 91.6875, 70.796875, 5.599609375, 2.7998046875, 2.7998046875, 1.39990234375, 337.0, 100.0, 9.0, 5.0, 173.0, "Tous les candidats", 797.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "15216", "Licence - Sciences de l'Homme, Anthropologie, Ethnologie - Parcours Ethnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15216&g_ta_cod=15216", 86.0, 7.0, 5.0),
(8894, "Public", "0371418R", "Lycée Jacques De Vaucanson", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Jacques De Vaucanson - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 24, 188, 15, 159, 0, 13, 1, 84, 12, 34, 9, 28, 29, 2, 7, 3, 17, 130, 12, 0, 0, 4, 1, 82, 10, 30, 9, 14, 99, 21, 2, 15, 6, 9.0, 14.0, 19.0, 0, 5, 18, 2, 7, 9, 3, 0, 5, 4, 8, 1, 0.0, 1, 4, 8, 3, 0, 16, 16, 42.86, 66.67, 90.48, 9.5, 88.890625, 88.890625, 16.69921875, 27.796875, 85.6875, 0.0, 27.796875, 22.19921875, 44.3984375, 5.6, 0.0, 11.099609375, 5.599609375, 38.8984375, 22.19921875, 50.0, 44.3984375, 6.0, 1.0, 11.0, 4.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 92, "Liste d'appel propre à cette formation", 81.0, "4910", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4910&g_ta_cod=4910", 14.0, 43.0, 43.0),
(8895, "Privé enseignement supérieur", "9840391C", "Institut Supérieur de l'Enseignement Privé de Polynésie", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Papeete", "formation sélective", "Licence", "Institut Supérieur de l'Enseignement Privé de Polynésie - Licence - Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences humaines et sociales", "", 35, 495, 156, 299, 0, 164, 39, 72, 25, 10, 4, 53, 196, 82, 20, 7, 87, 63, 8, 0, 0, 61, 14, 2, 0, 0, 0, 0, 66, 35, 13, 33, 2, 16.0, 33.0, 34.0, 0, 7, 35, 34, 1, 0, 0, 0, 8, 17, 9, 1, 0.0, 26, 1, 0, 0, 0, 33, 33, 45.71, 94.29, 97.14, 37.09375, 94.296875, 94.296875, 0, 20.0, 100.0, 0.0, 22.8984375, 48.59375, 25.69921875, 2.9, 0.0, 97.09375, 74.296875, 2.89990234375, 2.89990234375, 0.0, 0.0, 61.0, 12.0, 0.0, 0.0, 3.0, "Tous les candidats", 63.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "19457", "Licence - Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19457&g_ta_cod=19457", 97.0, 3.0, 0.0),
(8896, "Public", "0750700D", "Lycée Jean-Baptiste Say", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Lycée Jean-Baptiste Say - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 1362, 487, 1362, 601, 1085, 131, 1, 0, 0, 0, 276, 0, 0, 0, 0, 0, 676, 0, 182, 664, 666, 63, 0, 0, 0, 0, 10, 327, 49, 9, 49, 0, 0.0, 21.0, 43.0, 10, 5, 49, 49, 0, 0, 0, 0, 0, 0, 31, 18, 0.0, 49, 0, 0, 1, 1, 15, 37, 0.0, 42.86, 87.76, 18.3984375, 30.59765625, 75.5, 2, 10.19921875, 100.0, 0.0, 0.0, 0.0, 63.296875, 36.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 327.0, 29.0, 0.0, 0.0, 0.0, "Tous les candidats", 470.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "9137", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9137&g_ta_cod=9137", 100.0, 0.0, 0.0),
(8897, "Public", "0690128P", "Lycée Edouard Branly", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Production - Electrotechnique - Parcours Marine Nationale/Maistrance-Défense", "BTS - Production", "Parcours Marine Nationale/Maistrance-Défense", 4, 47, 0, 47, 0, 5, 0, 17, 3, 19, 5, 6, 0, 0, 0, 0, 0, 8, 0, 0, 0, 5, 0, 0, 0, 3, 0, 0, 7, 2, 0, 2, 0, 2.0, 2.0, 2.0, 0, 0, 2, 2, 0, 0, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, 0.0, 4.0, 0.0, 0.0, "Tous les candidats sauf les Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 3, "", 0, "Liste d'appel propre à cette formation", 13.0, "20950", "BTS - Production - Electrotechnique - Parcours Marine Nationale/Maistrance-Défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20950&g_ta_cod=20950", 100.0, 0.0, 0.0),
(8898, "Public", "0690037R", "Lycée La Martinière-Diderot", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "Autre formation", "Lycée La Martinière-Diderot - DN MADE - Espace - - Spécialité : Conception spatiale et lumière", "DN MADE", "- Spécialité : Conception spatiale et lumière", 15, 887, 738, 887, 0, 381, 80, 237, 42, 61, 13, 208, 0, 0, 0, 0, 0, 189, 0, 0, 0, 84, 14, 82, 14, 1, 0, 22, 50, 16, 14, 16, 0, 2.0, 15.0, 16.0, 0, 1, 15, 7, 8, 0, 1, 0, 0, 3, 5, 7, 0.0, 7, 8, 0, 0, 0, 2, 2, 12.5, 93.75, 100.0, 87.5, 13.298828125, 13.298828125, 0, 6.69921875, 93.796875, 0.0, 0.0, 20.0, 33.296875, 46.7, 0.0, 46.6953125, 46.6953125, 53.296875, 53.296875, 0.0, 0.0, 16.0, 2.0, 0.0, 0.0, 5.0, "Tous les candidats", 67.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "21585", "DN MADE - Espace - - Spécialité : Conception spatiale et lumière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21585&g_ta_cod=21585", 50.0, 50.0, 0.0),
(8899, "Public", "0861460V", "Sciences Po - campus de Poitiers - Institut d'études politiques", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Autre formation", "Sciences Po Paris - Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", "Sciences politiques", "Bachelor du Collège universitaire de Sciences Po - Programme euro-latino-américain, campus de Poitiers", 102, 1736, 1232, 1736, 0, 1728, 202, 3, 1, 0, 0, 5, 0, 0, 0, 0, 0, 124, 0, 0, 0, 123, 14, 1, 0, 0, 0, 0, 119, 96, 75, 96, 0, 0.0, 96.0, 96.0, 0, 11, 96, 95, 1, 0, 0, 0, 0, 0, 4, 54, 38.0, 95, 1, 0, 0, 0, 5, 5, 0.0, 100.0, 100.0, 78.09375, 5.19921875, 5.19921875, 0, 11.5, 100.0, 0.0, 0.0, 0.0, 4.19921875, 56.3, 39.6, 99.0, 99.0, 1.0, 1.0, 0.0, 0.0, 118.0, 13.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "31975", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", "Sciences Po Paris - Institut d'études politiques", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25777&g_ta_cod=31975", 99.0, 1.0, 0.0),
(8900, "Public", "0750705J", "Lycée Honoré De Balzac", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "CPGE", "Lycée Honoré De Balzac - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 791, 328, 692, 98, 557, 133, 0, 0, 1, 1, 134, 99, 54, 1, 0, 44, 506, 23, 77, 488, 437, 102, 0, 0, 0, 0, 69, 452, 41, 14, 35, 6, 17.0, 20.0, 36.0, 2, 8, 35, 35, 0, 0, 6, 0, 3, 18, 12, 2, 0.0, 32, 0, 0, 1, 0, 12, 32, 41.46, 48.78, 87.8, 34.09375, 34.296875, 91.390625, 2.89990234375, 22.8984375, 85.390625, 0.0, 8.599609375, 51.3984375, 34.296875, 5.7, 0.0, 100.0, 91.390625, 0.0, 0.0, 0.0, 0.0, 395.0, 86.0, 0.0, 0.0, 57.0, "Tous les candidats", 491.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "9144", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9144&g_ta_cod=9144", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(8901, "Public", "0161095D", "Lycée Image et Son", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BTS", "Lycée Image et Son - BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "BTS - Services", "", 12, 402, 172, 402, 0, 182, 33, 44, 14, 28, 12, 148, 0, 0, 0, 0, 0, 127, 0, 0, 0, 83, 10, 8, 2, 12, 3, 24, 41, 12, 10, 12, 0, 2.0, 10.0, 12.0, 0, 3, 10, 8, 1, 1, 2, 0, 2, 6, 1, 1, 0.0, 7, 0, 1, 2, 2, 4, 4, 16.67, 83.33, 100.0, 83.296875, 40.0, 40.0, 20, 30.0, 83.296875, 0.0, 20.0, 60.0, 10.0, 10.0, 0.0, 80.0, 70.0, 10.0, 0.0, 10.0, 10.0, 29.0, 5.0, 2.0, 1.0, 9.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 3, "", 0, "Liste d'appel propre à cette formation", 16.0, "3010", "BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3010&g_ta_cod=3010", 75.0, 8.0, 17.0),
(8902, "Privé sous contrat d'association", "0932755P", "Institut de Travail Social et de Recherche Sociale", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Neuilly-sur-Marne", "formation sélective", "EFTS", "Institut de travail social et de recherches sociales - D.E Assistant de Service Social", "D.E secteur social", "", 12, 103, 86, 60, 0, 12, 2, 8, 0, 8, 3, 32, 43, 1, 2, 3, 37, 52, 12, 0, 0, 12, 2, 6, 0, 7, 3, 27, 49, 13, 11, 4, 9, 1.0, 4.0, 9.0, 0, 2, 6, 0, 1, 5, 7, 0, 1, 4, 1, 0, 0.0, 0, 0, 5, 0, 0, 5, 5, 7.69, 30.77, 69.23, 84.59375, 83.296875, 83.296875, 0, 33.296875, 46.1953125, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 16.69921875, 0.0, 83.296875, 83.296875, 12.0, 2.0, 9.0, 4.0, 23.0, "Tous les candidats", 90.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 87.0, "25305", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23561&g_ta_cod=25305", 31.0, 23.0, 38.0),
(8903, "Public", "9760163Y", "Lycée professionnel De Kaweni", "976", "Mayotte", "Mayotte", "Mayotte", "Mamoudzou", "formation sélective", "BTS", "Lycée professionnel De Kaweni - BTS - Services - Tourisme", "BTS - Services", "", 24, 551, 403, 551, 0, 156, 94, 122, 82, 106, 48, 167, 0, 0, 0, 0, 0, 223, 0, 0, 0, 86, 52, 56, 42, 46, 25, 35, 81, 24, 20, 24, 0, 7.0, 23.0, 23.0, 0, 13, 22, 10, 6, 6, 2, 0, 8, 11, 3, 0, 0.0, 9, 3, 2, 2, 1, 22, 22, 29.17, 95.83, 95.83, 83.296875, 100.0, 100.0, 9.099609375, 59.09375, 91.6875, 0.0, 36.3984375, 50.0, 13.599609375, 0.0, 0.0, 45.5, 40.8984375, 27.296875, 13.599609375, 27.296875, 9.099609375, 21.0, 12.0, 20.0, 11.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers technologiques toutes séries", 41, "Bacheliers professionnels toutes séries", 30, "Liste d'appel propre à cette formation", 20.0, "32216", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32216&g_ta_cod=32216", 42.0, 33.0, 25.0),
(8904, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence", "Université des Antilles - Pôle Martinique - Licence - Portail Sciences de l'éducation - Sciences de l'éducation - Martinique", "Licence - Sciences humaines et sociales", "Sciences de l'éducation - Martinique", 90, 349, 296, 336, 0, 184, 73, 49, 20, 5, 3, 98, 13, 2, 1, 1, 9, 336, 13, 0, 0, 184, 73, 49, 20, 5, 3, 98, 269, 88, 74, 79, 9, 23.0, 78.0, 80.0, 0, 19, 53, 41, 12, 0, 35, 0, 30, 17, 6, 0, 0.0, 17, 6, 0, 0, 0, 42, 42, 26.14, 88.64, 90.91, 84.09375, 79.1875, 79.1875, 0, 35.796875, 60.1953125, 0.0, 56.59375, 32.09375, 11.298828125, 0.0, 0.0, 77.390625, 32.09375, 22.59765625, 11.298828125, 0.0, 0.0, 145.0, 52.0, 4.0, 3.0, 83.0, "Tous les candidats", 401.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "19467", "Licence - Portail Sciences de l'éducation - Sciences de l'éducation - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26845&g_ta_cod=19467", 72.0, 23.0, 6.0),
(8905, "Public", "0251711Z", "Lycée Claude Nicolas Ledoux", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Claude Nicolas Ledoux - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 15, 491, 254, 491, 0, 64, 9, 119, 18, 213, 64, 95, 0, 0, 0, 0, 0, 172, 0, 0, 0, 2, 0, 20, 3, 144, 32, 6, 52, 14, 7, 14, 0, 5.0, 9.0, 13.0, 0, 3, 13, 0, 1, 12, 1, 0, 0, 6, 6, 1, 0.0, 0, 1, 12, 7, 4, 9, 9, 35.71, 64.29, 92.86, 50.0, 69.1875, 69.1875, 53.796875, 23.09765625, 92.890625, 0.0, 0.0, 46.1953125, 46.1953125, 7.7, 0.0, 0.0, 0.0, 7.69921875, 7.69921875, 92.296875, 92.296875, 0.0, 0.0, 46.0, 12.0, 2.0, "Tous les candidats sauf les Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 13.0, "3574", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3574&g_ta_cod=3574", 0.0, 7.0, 93.0),
(8906, "Public", "0763096C", "ISEL Le Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Ecole d'Ingénieur", "ISEL Le Havre - Formation d'ingénieur Bac + 5 - bac général profil mixte", "Formations  des écoles d'ingénieurs", "bac général profil mixte", 24, 59, 18, 41, 0, 37, 6, 0, 0, 0, 0, 4, 18, 14, 0, 0, 4, 9, 4, 0, 0, 7, 1, 0, 0, 0, 0, 2, 13, 5, 3, 3, 2, 3.0, 3.0, 5.0, 0, 0, 5, 5, 0, 0, 0, 0, 1, 3, 1, 0, 0.0, 4, 0, 0, 0, 0, 5, 5, 60.0, 60.0, 100.0, 60.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 11.0, 1.0, 0.0, 0.0, 2.0, "Tous les candidats", 9.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "9765", "Formation d'ingénieur Bac + 5 - bac général profil mixte", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9765&g_ta_cod=9765", 100.0, 0.0, 0.0),
(8907, "Privé sous contrat d'association", "0920894X", "Lycée St Gabriel", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Bagneux", "formation sélective", "BTS", "Lycée St Gabriel - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 28, 344, 109, 99, 0, 12, 4, 30, 13, 21, 12, 36, 245, 16, 48, 52, 129, 62, 51, 0, 0, 10, 4, 16, 5, 17, 8, 19, 113, 20, 5, 6, 14, 1.0, 5.0, 8.0, 0, 6, 11, 0, 5, 6, 9, 0, 8, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 7, 11, 5.0, 25.0, 40.0, 25.0, 63.59375, 100.0, 0, 54.5, 55.0, 0.0, 72.6875, 18.19921875, 9.099609375, 0.0, 0.0, 0.0, 0.0, 45.5, 0.0, 54.5, 27.296875, 13.0, 4.0, 28.0, 14.0, 47.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 63.0, "11044", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11044&g_ta_cod=11044", 20.0, 40.0, 40.0),
(8908, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Portail Lettres - SCIENCES DU LANGAGE", "Licence - Arts-lettres-langues", "SCIENCES DU LANGAGE", 85, 524, 433, 464, 0, 221, 39, 14, 7, 20, 9, 209, 60, 10, 6, 3, 41, 458, 53, 0, 0, 221, 39, 14, 7, 20, 9, 203, 391, 81, 65, 61, 20, 4.0, 56.0, 67.0, 0, 11, 45, 37, 2, 6, 36, 0, 15, 23, 3, 4, 0.0, 25, 0, 5, 0, 0, 6, 35, 4.94, 69.14, 82.72, 80.1875, 13.298828125, 77.796875, 0, 24.3984375, 55.59375, 0.0, 33.296875, 51.09375, 6.69921875, 8.9, 0.0, 82.1875, 55.59375, 4.3994140625, 0.0, 13.298828125, 11.099609375, 187.0, 33.0, 14.0, 7.0, 177.0, "Tous les candidats", 729.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "24313", "Licence - Portail Lettres - SCIENCES DU LANGAGE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27241&g_ta_cod=24313", 84.0, 7.0, 7.0),
(8909, "Public", "0280015P", "Lycée Emile Zola", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Châteaudun", "formation sélective", "BTS", "Lycée Emile Zola - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 188, 124, 175, 0, 4, 1, 55, 20, 58, 27, 58, 13, 0, 6, 0, 7, 148, 0, 0, 0, 0, 0, 53, 19, 58, 27, 37, 84, 20, 15, 19, 0, 2.0, 13.0, 18.0, 0, 8, 14, 0, 5, 9, 6, 0, 7, 5, 2, 0, 0.0, 0, 3, 4, 3, 2, 14, 14, 10.0, 65.0, 90.0, 75.0, 100.0, 100.0, 21.3984375, 57.09375, 70.0, 0.0, 50.0, 35.6953125, 14.298828125, 0.0, 0.0, 0.0, 0.0, 35.6953125, 21.3984375, 64.296875, 28.59765625, 0.0, 0.0, 38.0, 18.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 60.0, "3726", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3726&g_ta_cod=3726", 25.0, 30.0, 45.0),
(8910, "Public", "0870671G", "Lycée professionnel agricole de Saint Yrieix la Perche", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Saint-Yrieix-la-Perche", "formation sélective", "BTS", "Lycée professionnel agricole de Saint Yrieix la Perche - BTS - Agricole - génie des équipements agricoles", "BTS - Agricole", "", 19, 162, 15, 156, 0, 17, 2, 39, 9, 44, 10, 56, 6, 1, 0, 2, 3, 90, 0, 0, 0, 16, 1, 38, 9, 29, 4, 7, 61, 11, 3, 11, 0, 1.0, 11.0, 11.0, 0, 1, 8, 2, 3, 3, 3, 0, 3, 2, 1, 2, 0.0, 0, 2, 3, 2, 0, 5, 5, 9.09, 100.0, 100.0, 27.296875, 62.5, 62.5, 25, 12.5, 72.6875, 0.0, 37.5, 25.0, 12.5, 25.0, 0.0, 25.0, 0.0, 37.5, 25.0, 37.5, 37.5, 9.0, 0.0, 18.0, 3.0, 5.0, "Tous les candidats sauf les Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 57.0, "13914", "BTS - Agricole - génie des équipements agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13914&g_ta_cod=13914", 45.0, 27.0, 27.0),
(8911, "Public", "0751722P", "Sorbonne Université - Sciences et Ingénierie", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Autre formation", "Sorbonne Université ? Sciences et Ingénierie - C.M.I - Cursus Master en Ingénierie - Mécanique - Cursus Master en Ingénierie (CMI) : Mécanique", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Mécanique", 32, 963, 184, 963, 0, 692, 90, 13, 4, 2, 1, 256, 0, 0, 0, 0, 0, 257, 0, 0, 0, 244, 27, 0, 0, 0, 0, 13, 134, 35, 6, 35, 0, 12.0, 29.0, 34.0, 0, 7, 32, 32, 0, 0, 3, 0, 0, 8, 17, 7, 0.0, 32, 0, 0, 0, 0, 8, 21, 34.29, 82.86, 97.14, 17.09765625, 25.0, 65.59375, 0, 21.8984375, 91.390625, 0.0, 0.0, 25.0, 53.09375, 21.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 128.0, 14.0, 0.0, 0.0, 6.0, "Tous les candidats", 178.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "14108", "C.M.I - Cursus Master en Ingénierie - Mécanique - Cursus Master en Ingénierie (CMI) : Mécanique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14108&g_ta_cod=14108", 100.0, 0.0, 0.0),
(8912, "Privé sous contrat d'association", "0593257V", "Institut agricole de Genech", "59", "Nord", "Hauts-de-France", "Lille", "Genech", "formation sélective", "BTS", "Institut agricole de Genech - BTS - Agricole - Production horticole", "BTS - Agricole", "", 36, 105, 41, 99, 0, 18, 2, 26, 3, 28, 4, 27, 6, 0, 0, 0, 6, 96, 3, 0, 0, 18, 2, 26, 3, 28, 4, 24, 83, 20, 7, 18, 2, 9.0, 17.0, 20.0, 0, 5, 16, 4, 4, 8, 4, 0, 6, 6, 3, 1, 0.0, 2, 1, 7, 8, 3, 13, 13, 45.0, 85.0, 100.0, 35.0, 81.296875, 81.296875, 50, 31.296875, 80.0, 0.0, 37.5, 37.5, 18.796875, 6.3, 0.0, 25.0, 12.5, 25.0, 6.2998046875, 50.0, 43.796875, 16.0, 2.0, 25.0, 4.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 92.0, "6996", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6996&g_ta_cod=6996", 35.0, 25.0, 40.0),
(8913, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Portail Chimie-Maths", "Licence - Sciences - technologies - santé", "Chimie-Maths", 75, 449, 244, 376, 0, 265, 41, 18, 6, 0, 0, 93, 73, 23, 1, 0, 49, 375, 70, 0, 0, 265, 41, 18, 6, 0, 0, 92, 398, 42, 16, 26, 16, 5.0, 26.0, 40.0, 0, 4, 21, 18, 3, 0, 21, 0, 5, 10, 5, 1, 0.0, 13, 3, 0, 0, 0, 16, 16, 11.9, 61.9, 95.24, 38.09375, 76.1875, 76.1875, 0, 19.0, 50.0, 0.0, 23.796875, 47.59375, 23.796875, 4.8, 0.0, 85.6875, 61.8984375, 14.298828125, 14.298828125, 0.0, 0.0, 255.0, 39.0, 0.0, 0.0, 133.0, "Tous les candidats", 374.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "30990", "Licence - Portail Chimie-Maths", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30990&g_ta_cod=30990", 88.0, 10.0, 2.0),
(8914, "Privé sous contrat d'association", "0741101V", "Lycée Les Bressis", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BTS", "Lycée Les Bressis - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 297, 169, 291, 0, 21, 3, 113, 26, 91, 36, 66, 6, 0, 3, 0, 3, 260, 1, 0, 0, 19, 3, 113, 26, 78, 29, 50, 134, 23, 10, 22, 1, 4.0, 16.0, 17.0, 0, 4, 17, 0, 9, 8, 6, 1, 6, 9, 1, 0, 0.0, 0, 6, 4, 7, 4, 17, 17, 17.39, 69.57, 73.91, 43.5, 100.0, 100.0, 41.1953125, 23.5, 73.890625, 5.8994140625, 35.296875, 52.8984375, 5.8994140625, 0.0, 0.0, 0.0, 0.0, 52.8984375, 35.296875, 47.09375, 23.5, 13.0, 3.0, 48.0, 17.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 60.0, "8897", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8897&g_ta_cod=8897", 9.0, 48.0, 43.0),
(8915, "Public", "0671509B", "Lycée des métiers CFA Heinrich-Nessel", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Haguenau", "formation sélective", "CPGE", "Lycée des métiers CFA Heinrich-Nessel - CPGE - TSI", "Classe préparatoire scientifique", "", 40, 209, 35, 203, 117, 0, 0, 173, 47, 0, 0, 30, 6, 0, 2, 0, 4, 126, 2, 65, 113, 0, 0, 125, 33, 0, 0, 1, 100, 24, 3, 22, 2, 15.0, 22.0, 23.0, 8, 5, 23, 0, 23, 0, 1, 0, 0, 8, 13, 2, 0.0, 0, 23, 0, 6, 1, 21, 21, 62.5, 91.67, 95.83, 12.5, 91.296875, 91.296875, 26.09765625, 21.69921875, 95.796875, 0.0, 0.0, 34.796875, 56.5, 8.7, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 124.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "15991", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15991&g_ta_cod=15991", 0.0, 100.0, 0.0),
(8916, "Public", "0540130Y", "Polytech Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Vandoeuvre-lès-Nancy", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 140, 6473, 1586, 6473, 0, 5765, 465, 0, 0, 0, 0, 708, 0, 0, 0, 0, 0, 4502, 0, 0, 0, 4247, 256, 0, 0, 0, 0, 255, 3457, 137, 26, 137, 0, 83.0, 114.0, 136.0, 0, 16, 134, 134, 0, 0, 3, 0, 1, 29, 80, 24, 0.0, 133, 0, 0, 0, 0, 74, 74, 60.58, 83.21, 99.27, 19.0, 55.1953125, 55.1953125, 0, 11.8984375, 97.796875, 0.0, 0.699951171875, 21.59765625, 59.6953125, 17.9, 0.0, 100.0, 99.296875, 0.0, 0.0, 0.0, 0.0, 3262.0, 253.0, 0.0, 0.0, 195.0, "Autres candidats", 11695.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 60.0, "20", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=20", 100.0, 0.0, 0.0),
(8917, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Histoire - Géographie à distance", "Licence - Sciences humaines et sociales", "Histoire - Géographie à distance", 35, 324, 150, 310, 0, 119, 35, 13, 3, 9, 2, 169, 14, 1, 0, 0, 13, 304, 13, 0, 0, 119, 35, 13, 3, 9, 2, 163, 223, 35, 18, 24, 9, 3.0, 20.0, 23.0, 0, 1, 6, 5, 1, 0, 29, 0, 3, 0, 3, 0, 0.0, 3, 0, 0, 0, 0, 2, 2, 8.57, 57.14, 65.71, 51.3984375, 33.296875, 33.296875, 0, 16.69921875, 17.09765625, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 83.296875, 50.0, 16.69921875, 0.0, 0.0, 0.0, 98.0, 28.0, 5.0, 0.0, 111.0, "Tous les candidats", 292.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "24004", "Licence - Portail Histoire - Géographie à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24004&g_ta_cod=24004", 71.0, 23.0, 3.0),
(8918, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence", "Université des Antilles - Pôle Martinique - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes anglophones - Martinique", "Licence - Arts-lettres-langues", "Etudes anglophones - Martinique", 200, 326, 236, 290, 0, 220, 86, 18, 5, 10, 5, 42, 36, 8, 3, 1, 24, 290, 36, 0, 0, 220, 86, 18, 5, 10, 5, 42, 322, 88, 59, 72, 16, 52.0, 72.0, 81.0, 0, 30, 66, 55, 4, 7, 22, 0, 27, 26, 11, 1, 1.0, 32, 3, 4, 0, 0, 53, 53, 59.09, 81.82, 92.05, 67.0, 80.296875, 80.296875, 0, 45.5, 75.0, 0.0, 40.8984375, 39.3984375, 16.69921875, 1.5, 1.5, 83.296875, 48.5, 6.099609375, 4.5, 10.599609375, 6.099609375, 224.0, 89.0, 11.0, 5.0, 66.0, "Tous les candidats", 290.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15952", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes anglophones - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15952&g_ta_cod=15952", 80.0, 13.0, 8.0),
(8919, "Public", "0311527S", "Unité de formation et de recherche des sciences médicales - Rangueil - Université Toulouse 3", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Unité de formation et de recherche des sciences médicales - Rangueil - Université Toulouse 3 - D.E Psychomotricien", "D.E secteur sanitaire", "", 50, 1453, 1326, 1453, 0, 327, 59, 122, 39, 7, 3, 997, 0, 0, 0, 0, 0, 365, 0, 0, 0, 85, 12, 6, 2, 0, 0, 274, 90, 50, 46, 50, 0, 26.0, 44.0, 48.0, 0, 4, 11, 11, 0, 0, 39, 0, 0, 2, 6, 3, 0.0, 11, 0, 0, 0, 0, 2, 2, 52.0, 88.0, 96.0, 92.0, 18.19921875, 18.19921875, 0, 36.3984375, 22.0, 0.0, 0.0, 18.19921875, 54.5, 27.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 23.0, 8.0, 0.0, 0.0, 67.0, "Tous les candidats", 94.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "26396", "D.E Psychomotricien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26396&g_ta_cod=26396", 96.0, 4.0, 0.0),
(8920, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS", "Licence - Sciences - technologies - santé", "STAPS", 240, 2724, 789, 2724, 0, 1948, 242, 276, 63, 53, 24, 447, 0, 0, 0, 0, 0, 2724, 0, 0, 0, 1948, 242, 276, 63, 53, 24, 447, 478, 240, 69, 240, 0, 104.0, 201.0, 221.0, 0, 39, 216, 201, 11, 4, 24, 0, 74, 94, 41, 7, 0.0, 134, 6, 2, 0, 0, 205, 205, 43.33, 83.75, 92.08, 28.796875, 94.890625, 94.890625, 0, 18.09765625, 90.0, 0.0, 34.296875, 43.5, 19.0, 3.2, 0.0, 93.09375, 62.0, 5.099609375, 2.7998046875, 1.89990234375, 0.89990234375, 370.0, 53.0, 7.0, 5.0, 86.0, "Tous les candidats", 485.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "20749", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20749&g_ta_cod=20749", 90.0, 7.0, 3.0),
(8921, "Public", "0760054W", "Lycée Porte-Océane", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BTS", "Lycée Porte-Océane - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 719, 413, 715, 0, 75, 23, 187, 73, 121, 74, 332, 4, 0, 0, 0, 4, 499, 1, 0, 0, 73, 21, 182, 69, 115, 70, 129, 230, 29, 18, 28, 1, 2.0, 17.0, 25.0, 0, 7, 21, 3, 14, 4, 8, 2, 8, 9, 2, 0, 0.0, 1, 6, 4, 4, 3, 20, 20, 6.9, 58.62, 86.21, 62.09375, 95.1875, 95.1875, 19, 33.296875, 72.390625, 9.5, 38.09375, 42.8984375, 9.5, 0.0, 0.0, 14.298828125, 4.7998046875, 66.6875, 28.59765625, 19.0, 19.0, 40.0, 11.0, 31.0, 14.0, 51.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 174, "Liste d'appel propre à cette formation", 44.0, "9573", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9573&g_ta_cod=9573", 24.0, 55.0, 21.0),
(8922, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Double diplôme - Licence Droit - Droit Cursus intégré franco-allemand", "Licence - Droit-économie-gestion", "Droit Cursus intégré franco-allemand", 20, 149, 107, 97, 0, 81, 8, 0, 0, 0, 0, 16, 52, 16, 6, 4, 26, 86, 14, 0, 0, 73, 4, 0, 0, 0, 0, 13, 84, 14, 13, 10, 4, 4.0, 10.0, 13.0, 0, 1, 11, 11, 0, 0, 3, 0, 3, 2, 5, 1, 0.0, 8, 0, 0, 0, 0, 3, 3, 28.57, 71.43, 92.86, 92.890625, 27.296875, 27.296875, 0, 9.099609375, 78.59375, 0.0, 27.296875, 18.19921875, 45.5, 9.1, 0.0, 100.0, 72.6875, 0.0, 0.0, 0.0, 0.0, 65.0, 4.0, 0.0, 0.0, 19.0, "Tous les candidats", 86.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "19586", "Licence - Double diplôme - Licence Droit - Droit Cursus intégré franco-allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19586&g_ta_cod=19586", 100.0, 0.0, 0.0),
(8923, "Privé sous contrat d'association", "0754030Y", "Lycée Albert de Mun", "75", "Paris", "Ile-de-France", "Paris", "Paris  7e  Arrondissement", "formation sélective", "BTS", "Lycée Albert de Mun - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 354, 132, 284, 0, 50, 8, 104, 25, 50, 17, 80, 70, 5, 28, 0, 37, 257, 7, 0, 0, 50, 8, 104, 25, 47, 16, 56, 197, 31, 10, 29, 2, 1.0, 19.0, 28.0, 0, 4, 19, 2, 10, 7, 12, 0, 9, 8, 2, 0, 0.0, 0, 5, 5, 4, 0, 9, 14, 3.23, 61.29, 90.32, 32.296875, 47.3984375, 73.6875, 21.09765625, 21.09765625, 61.296875, 0.0, 47.3984375, 42.09375, 10.5, 0.0, 0.0, 10.5, 0.0, 52.59375, 26.296875, 36.796875, 26.296875, 28.0, 6.0, 30.0, 9.0, 52.0, "Tous les candidats sauf les Bac professionnels", 205.0, "Bacheliers professionnels toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 89.0, "9498", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9498&g_ta_cod=9498", 19.0, 58.0, 23.0),
(8924, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études persanes", "Licence - Arts-lettres-langues", "Études persanes", 30, 51, 26, 25, 0, 2, 1, 2, 2, 0, 0, 21, 26, 0, 0, 0, 26, 17, 18, 0, 0, 2, 1, 2, 2, 0, 0, 13, 35, 12, 8, 0, 12, 0.0, 0.0, 3.0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 25.0, 66.6875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.0, 1.0, 0.0, 0.0, 31.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "8045", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études persanes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8045&g_ta_cod=8045", 83.0, 8.0, 8.0),
(8925, "Public", "0920134W", "Lycée Jacques Prevert", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Boulogne-Billancourt", "formation sélective", "BTS", "Lycée Jacques Prevert - BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "BTS - Services", "", 12, 1366, 201, 1366, 0, 479, 57, 218, 38, 189, 57, 480, 0, 0, 0, 0, 0, 170, 0, 0, 0, 56, 2, 22, 2, 57, 16, 35, 37, 11, 2, 11, 0, 1.0, 10.0, 10.0, 0, 1, 9, 2, 3, 4, 2, 0, 0, 2, 5, 2, 0.0, 2, 3, 4, 0, 0, 4, 7, 9.09, 90.91, 90.91, 18.19921875, 44.3984375, 77.796875, 0, 11.099609375, 81.796875, 0.0, 0.0, 22.19921875, 55.59375, 22.2, 0.0, 22.19921875, 22.19921875, 33.296875, 33.296875, 44.3984375, 44.3984375, 11.0, 2.0, 12.0, 1.0, 7.0, "Tous les candidats sauf les Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 3.0, "10983", "BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10983&g_ta_cod=10983", 27.0, 36.0, 36.0),
(8926, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence_Las", "Université de Perpignan Via Domitia - Licence - Portail DARWIN", "Licence - Sciences - technologies - santé", "DARWIN", 20, 628, 455, 628, 0, 369, 94, 41, 14, 4, 3, 214, 0, 0, 0, 0, 0, 628, 0, 0, 0, 369, 94, 41, 14, 4, 3, 214, 104, 19, 15, 19, 0, 2.0, 11.0, 16.0, 0, 7, 19, 19, 0, 0, 0, 0, 0, 6, 10, 3, 0.0, 19, 0, 0, 0, 0, 18, 18, 10.53, 57.89, 84.21, 78.890625, 94.6875, 94.6875, 0, 36.796875, 100.0, 0.0, 0.0, 31.59765625, 52.59375, 15.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 93.0, 16.0, 0.0, 0.0, 11.0, "Tous les candidats", 273.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "31757", "Licence - Portail DARWIN", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31756&g_ta_cod=31757", 100.0, 0.0, 0.0),
(8927, "Public", "0511951U", "Lycée Jean TALON", "51", "Marne", "Grand Est", "Reims", "Châlons-en-Champagne", "formation sélective", "BTS", "Lycée Jean TALON - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 36, 535, 267, 518, 0, 30, 6, 94, 34, 69, 31, 325, 17, 0, 0, 8, 9, 210, 4, 0, 0, 28, 5, 74, 27, 53, 25, 55, 157, 28, 15, 26, 2, 4.0, 24.0, 26.0, 0, 3, 15, 1, 9, 5, 13, 0, 7, 7, 1, 0, 0.0, 1, 5, 2, 9, 3, 13, 13, 14.29, 85.71, 92.86, 53.59375, 86.6875, 86.6875, 60, 20.0, 53.59375, 0.0, 46.6953125, 46.6953125, 6.69921875, 0.0, 0.0, 6.69921875, 6.69921875, 60.0, 33.296875, 33.296875, 13.298828125, 25.0, 4.0, 45.0, 23.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 36.0, "6159", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6159&g_ta_cod=6159", 36.0, 39.0, 21.0),
(8928, "Privé sous contrat d'association", "0841091E", "I.M.F. Avignon", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "EFTS", "I.M.F. Avignon - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 15, 228, 220, 228, 0, 26, 1, 49, 11, 28, 8, 125, 0, 0, 0, 0, 0, 183, 0, 0, 0, 23, 1, 33, 5, 18, 7, 109, 33, 17, 17, 17, 0, 8.0, 17.0, 17.0, 0, 1, 4, 1, 2, 1, 13, 0, 0, 1, 3, 0, 0.0, 1, 2, 1, 0, 0, 3, 3, 47.06, 100.0, 100.0, 100.0, 75.0, 75.0, 0, 25.0, 23.5, 0.0, 0.0, 25.0, 75.0, 0.0, 0.0, 25.0, 25.0, 50.0, 50.0, 25.0, 25.0, 2.0, 0.0, 1.0, 0.0, 26.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "24946", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24946&g_ta_cod=24946", 53.0, 29.0, 18.0),
(8929, "Public", "9760182U", "Lycée de Sada", "976", "Mayotte", "Mayotte", "Mayotte", "Sada", "formation sélective", "Autre formation", "Lycée de Sada - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 20, 236, 94, 236, 0, 53, 34, 54, 30, 54, 26, 75, 0, 0, 0, 0, 0, 128, 0, 0, 0, 34, 24, 27, 15, 31, 16, 36, 47, 19, 6, 18, 0, 6.0, 17.0, 18.0, 0, 8, 13, 3, 2, 8, 6, 0, 10, 1, 2, 0, 0.0, 1, 0, 2, 0, 0, 13, 13, 31.58, 89.47, 94.74, 31.59765625, 100.0, 100.0, 0, 61.5, 68.390625, 0.0, 76.890625, 7.69921875, 15.3984375, 0.0, 0.0, 23.09765625, 7.69921875, 15.3984375, 0.0, 61.5, 15.3984375, 16.0, 11.0, 13.0, 8.0, 10.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "23834", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23834&g_ta_cod=23834", 32.0, 16.0, 53.0),
(8930, "Public", "0600041U", "Lycée professionnel Charles De Bovelles", "60", "Oise", "Hauts-de-France", "Amiens", "Noyon", "formation sélective", "BTS", "Lycée professionnel Charles De Bovelles - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 18, 221, 87, 221, 0, 44, 6, 47, 14, 99, 27, 31, 0, 0, 0, 0, 0, 164, 0, 0, 0, 39, 4, 30, 8, 86, 24, 9, 56, 17, 8, 17, 0, 5.0, 14.0, 15.0, 0, 4, 15, 3, 4, 8, 2, 0, 4, 7, 4, 0, 0.0, 2, 3, 6, 6, 3, 11, 11, 29.41, 82.35, 88.24, 47.09375, 73.296875, 73.296875, 40, 26.69921875, 88.1875, 0.0, 26.69921875, 46.6953125, 26.69921875, 0.0, 0.0, 20.0, 13.298828125, 26.69921875, 20.0, 53.296875, 40.0, 13.0, 4.0, 34.0, 8.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers technologiques toutes séries", 11, "Bacheliers professionnels toutes séries", 28, "Liste d'appel propre à cette formation", 26.0, "29990", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29990&g_ta_cod=29990", 24.0, 24.0, 47.0),
(8931, "Public", "0134016V", "Aix Marseille Université - Site d'Aix-en-Provence (Jules Ferry)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence (Jules Ferry) - Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales", "Licence - Sciences - technologies - santé", "", 70, 522, 208, 483, 0, 314, 66, 21, 7, 0, 0, 148, 39, 8, 0, 1, 30, 471, 34, 0, 0, 314, 66, 21, 7, 0, 0, 136, 462, 69, 17, 52, 17, 18.0, 52.0, 56.0, 0, 4, 31, 29, 2, 0, 38, 1, 11, 11, 6, 2, 0.0, 18, 1, 0, 0, 0, 28, 28, 26.09, 75.36, 81.16, 24.59765625, 90.296875, 90.296875, 0, 12.8984375, 44.8984375, 3.19970703125, 35.5, 35.5, 19.3984375, 6.5, 0.0, 93.5, 58.09375, 6.5, 3.19970703125, 0.0, 0.0, 301.0, 62.0, 1.0, 1.0, 148.0, "Tous les candidats", 514.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "12758", "Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28493&g_ta_cod=12758", 87.0, 9.0, 4.0),
(8932, "Public", "9840300D", "CNAM de Polynésie Française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Punaauia", "formation sélective", "Autre formation", "CNAM de Polynésie Française - Formation Supérieure de Spécialisation - Accompagnement professionnel et bientraitant des personnes âgées", "Diplôme d'Université", "Accompagnement professionnel et bientraitant des personnes âgées", 21, 47, 40, 41, 0, 1, 0, 15, 9, 23, 20, 2, 6, 0, 1, 2, 3, 41, 3, 0, 0, 1, 0, 15, 9, 23, 20, 2, 42, 20, 17, 19, 1, 15.0, 19.0, 20.0, 0, 13, 19, 1, 6, 12, 1, 0, 9, 9, 1, 0, 0.0, 1, 3, 6, 0, 0, 18, 18, 75.0, 95.0, 100.0, 85.0, 94.6875, 94.6875, 0, 68.390625, 95.0, 0.0, 47.3984375, 47.3984375, 5.2998046875, 0.0, 0.0, 5.2998046875, 5.2998046875, 31.59765625, 15.798828125, 63.1953125, 31.59765625, 1.0, 0.0, 23.0, 20.0, 3.0, "Tous les candidats", 42.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "33339", "Formation Supérieure de Spécialisation - Accompagnement professionnel et bientraitant des personnes âgées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33339&g_ta_cod=33339", 10.0, 30.0, 60.0),
(8933, "Public", "0292047T", "Lycée du Leon", "29", "Finistère", "Bretagne", "Rennes", "Landivisiau", "formation sélective", "BTS", "Lycée du Leon - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 33, 741, 362, 721, 0, 59, 6, 234, 49, 179, 45, 249, 20, 0, 2, 7, 11, 439, 0, 0, 0, 54, 4, 187, 43, 152, 37, 46, 231, 21, 7, 20, 0, 0.0, 12.0, 17.0, 0, 3, 20, 2, 11, 7, 1, 0, 7, 11, 2, 0, 0.0, 1, 7, 5, 6, 3, 20, 20, 0.0, 57.14, 80.95, 33.296875, 100.0, 100.0, 30, 15.0, 95.1875, 0.0, 35.0, 55.0, 10.0, 0.0, 0.0, 10.0, 5.0, 55.0, 35.0, 35.0, 25.0, 32.0, 3.0, 93.0, 26.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 148, "Bacheliers technologiques toutes séries", 152, "Liste d'appel propre à cette formation", 49.0, "3908", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3908&g_ta_cod=3908", 14.0, 52.0, 33.0),
(8934, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Musicologie - Parcours Musique et musicologie", "Licence - Arts-lettres-langues", "Musique et musicologie", 40, 90, 41, 80, 0, 60, 14, 8, 2, 0, 0, 12, 10, 3, 0, 0, 7, 70, 4, 0, 0, 52, 12, 7, 2, 0, 0, 11, 65, 30, 15, 28, 2, 22.0, 28.0, 28.0, 0, 9, 23, 19, 4, 0, 7, 0, 5, 12, 4, 2, 0.0, 17, 1, 0, 0, 0, 17, 17, 73.33, 93.33, 93.33, 50.0, 73.890625, 73.890625, 0, 39.09375, 76.6875, 0.0, 21.69921875, 52.1953125, 17.3984375, 8.7, 0.0, 82.59375, 73.890625, 17.3984375, 4.2998046875, 0.0, 0.0, 44.0, 9.0, 0.0, 0.0, 14.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "4158", "Licence - Musicologie - Parcours Musique et musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4158&g_ta_cod=4158", 80.0, 17.0, 0.0),
(8935, "Public", "0130043B", "Lycée Victor Hugo", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation sélective", "BTS", "Lycée Victor Hugo - BTS - Services - Professions immobilières", "BTS - Services", "", 21, 1591, 966, 1591, 0, 365, 128, 489, 215, 330, 191, 407, 0, 0, 0, 0, 0, 646, 0, 0, 0, 187, 55, 214, 92, 169, 93, 76, 110, 17, 8, 17, 0, 1.0, 9.0, 14.0, 0, 7, 16, 8, 4, 4, 1, 0, 2, 9, 4, 1, 0.0, 6, 4, 4, 0, 0, 13, 13, 5.88, 52.94, 82.35, 47.09375, 81.296875, 81.296875, 0, 43.796875, 94.09375, 0.0, 12.5, 56.296875, 25.0, 6.3, 0.0, 50.0, 37.5, 25.0, 25.0, 25.0, 25.0, 41.0, 18.0, 32.0, 18.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 93.0, "Bacheliers technologiques toutes séries", 30, "Bacheliers professionnels toutes séries", 45, "Liste d'appel propre à cette formation", 11.0, "33209", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33209&g_ta_cod=33209", 53.0, 24.0, 24.0),
(8936, "Public", "0680010S", "Lycée Blaise Pascal", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 12, 188, 8, 173, 0, 11, 1, 69, 20, 62, 26, 31, 15, 0, 6, 1, 8, 116, 3, 0, 0, 8, 1, 54, 15, 39, 14, 15, 62, 10, 0, 8, 2, 4.0, 8.0, 9.0, 0, 1, 6, 0, 3, 3, 4, 0, 2, 4, 0, 0, 0.0, 0, 2, 2, 0, 0, 5, 5, 40.0, 80.0, 90.0, 0.0, 83.296875, 83.296875, 0, 16.69921875, 60.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 33.296875, 50.0, 33.296875, 4.0, 0.0, 24.0, 9.0, 14.0, "Tous les candidats sauf les Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 66.0, "8089", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8089&g_ta_cod=8089", 0.0, 60.0, 40.0),
(8937, "Public", "0290012F", "Lycée Vauban", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Vauban - BTS - Production - Electrotechnique", "BTS - Production", "", 20, 236, 8, 236, 0, 15, 5, 57, 8, 118, 32, 46, 0, 0, 0, 0, 0, 158, 0, 0, 0, 6, 2, 56, 8, 74, 18, 22, 67, 19, 0, 19, 0, 5.0, 14.0, 16.0, 0, 4, 16, 1, 3, 12, 3, 0, 3, 5, 5, 3, 0.0, 0, 1, 12, 6, 0, 15, 15, 26.32, 73.68, 84.21, 0.0, 93.796875, 93.796875, 37.5, 25.0, 84.1875, 0.0, 18.796875, 31.296875, 31.296875, 18.8, 0.0, 6.2998046875, 0.0, 18.796875, 6.2998046875, 75.0, 75.0, 4.0, 1.0, 39.0, 7.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 39.0, "3769", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3769&g_ta_cod=3769", 5.0, 32.0, 63.0),
(8938, "Privé sous contrat d'association", "0132828D", "Lycée CADENELLE", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 12e  Arrondissement", "formation sélective", "Autre formation", "Lycée CADENELLE - Diplôme de Comptabilité et de Gestion", "DCG", "", 33, 315, 149, 315, 0, 176, 48, 38, 16, 7, 5, 94, 0, 0, 0, 0, 0, 126, 0, 0, 0, 84, 19, 10, 2, 0, 0, 32, 68, 30, 20, 30, 0, 20.0, 28.0, 29.0, 0, 8, 22, 21, 1, 0, 8, 0, 0, 3, 13, 6, 0.0, 21, 1, 0, 0, 0, 18, 18, 66.67, 93.33, 96.67, 66.6875, 81.796875, 81.796875, 0, 36.3984375, 73.296875, 0.0, 0.0, 13.599609375, 59.09375, 27.3, 0.0, 95.5, 95.5, 4.5, 4.5, 0.0, 0.0, 42.0, 14.0, 0.0, 0.0, 25.0, "Tous les candidats", 92.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "2787", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2787&g_ta_cod=2787", 97.0, 3.0, 0.0),
(8939, "Privé sous contrat d'association", "0682079R", "Institution Saint Jean -Lycée d'enseignement général et technologique privé", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BTS", "Institution Saint Jean -Lycée d'enseignement général et technologique privé - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 21, 375, 254, 332, 0, 74, 13, 86, 22, 31, 5, 141, 43, 9, 5, 0, 29, 90, 12, 0, 0, 14, 3, 31, 9, 9, 1, 36, 79, 13, 9, 7, 6, 1.0, 6.0, 11.0, 0, 0, 6, 1, 3, 2, 7, 0, 2, 4, 0, 0, 0.0, 1, 1, 2, 0, 0, 3, 3, 7.69, 46.15, 84.62, 69.1875, 50.0, 50.0, 0, 0.0, 46.1953125, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 16.69921875, 16.69921875, 50.0, 16.69921875, 33.296875, 33.296875, 9.0, 2.0, 9.0, 1.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers technologiques toutes séries", 33, "Bacheliers professionnels toutes séries", 11, "Liste d'appel propre à cette formation", 26.0, "30129", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30129&g_ta_cod=30129", 62.0, 23.0, 15.0),
(8940, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Portail Sciences de la vie et de la terre - BGC", "Licence - Sciences - technologies - santé", "BGC", 177, 2123, 1371, 2066, 0, 1332, 194, 52, 11, 6, 0, 676, 57, 20, 3, 0, 34, 2066, 44, 0, 0, 1332, 194, 52, 11, 6, 0, 676, 1218, 163, 96, 150, 13, 5.0, 79.0, 138.0, 0, 17, 111, 106, 4, 1, 52, 0, 34, 39, 32, 5, 1.0, 73, 3, 1, 0, 0, 88, 88, 3.07, 48.47, 84.66, 58.8984375, 79.296875, 79.296875, 0, 15.298828125, 68.09375, 0.0, 30.59765625, 35.09375, 28.796875, 4.5, 0.9, 95.5, 65.796875, 3.599609375, 2.69970703125, 0.89990234375, 0.89990234375, 710.0, 113.0, 1.0, 0.0, 493.0, "Tous les candidats", 1854.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 75.0, "32039", "Licence - Portail Sciences de la vie et de la terre - BGC", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32040&g_ta_cod=32039", 91.0, 7.0, 2.0),
(8941, "Public", "0290013G", "Lycée Jules Lesven", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Jules Lesven - BTS - Services - Professions immobilières", "BTS - Services", "", 35, 1233, 687, 1221, 0, 273, 55, 449, 102, 191, 63, 308, 12, 0, 0, 5, 7, 501, 1, 0, 0, 171, 35, 171, 32, 75, 24, 84, 172, 35, 28, 35, 0, 5.0, 24.0, 33.0, 0, 11, 31, 11, 15, 5, 4, 0, 4, 24, 2, 1, 0.0, 8, 14, 5, 1, 1, 31, 31, 14.29, 68.57, 94.29, 80.0, 100.0, 100.0, 3.19970703125, 35.5, 88.59375, 0.0, 12.8984375, 77.390625, 6.5, 3.2, 0.0, 35.5, 25.796875, 48.3984375, 45.1953125, 16.09765625, 16.09765625, 39.0, 14.0, 30.0, 14.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 126.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 134, "Liste d'appel propre à cette formation", 26.0, "3775", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3775&g_ta_cod=3775", 40.0, 46.0, 14.0),
(8942, "Privé sous contrat d'association", "0030935A", "ES Vichy", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Vichy", "formation sélective", "BTS", "ES Vichy - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 36, 165, 164, 159, 0, 37, 9, 28, 6, 60, 12, 34, 6, 3, 0, 1, 2, 117, 4, 0, 0, 30, 6, 23, 4, 43, 5, 21, 95, 28, 28, 24, 4, 13.0, 23.0, 25.0, 0, 4, 24, 5, 6, 13, 4, 0, 10, 7, 6, 1, 0.0, 0, 3, 11, 8, 8, 13, 13, 46.43, 82.14, 89.29, 100.0, 54.1953125, 54.1953125, 33.296875, 16.69921875, 85.6875, 0.0, 41.6953125, 29.19921875, 25.0, 4.2, 0.0, 20.796875, 0.0, 25.0, 12.5, 54.1953125, 45.796875, 25.0, 7.0, 36.0, 5.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 66.0, "2147", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2147&g_ta_cod=2147", 25.0, 25.0, 50.0),
(8943, "Public", "0760096S", "Lycée Gustave Flaubert", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Gustave Flaubert - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 68, 845, 426, 726, 0, 91, 35, 184, 74, 135, 69, 316, 119, 0, 22, 31, 66, 326, 34, 0, 0, 59, 20, 123, 45, 88, 46, 56, 263, 52, 25, 37, 15, 5.0, 31.0, 39.0, 0, 18, 33, 1, 18, 14, 19, 0, 13, 13, 7, 0, 0.0, 1, 8, 11, 4, 0, 32, 32, 9.62, 59.62, 75.0, 48.09375, 97.0, 97.0, 12.099609375, 54.5, 63.5, 0.0, 39.3984375, 39.3984375, 21.19921875, 0.0, 0.0, 3.0, 3.0, 54.5, 24.19921875, 42.3984375, 33.296875, 17.0, 7.0, 81.0, 44.0, 57.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 95, "Bacheliers technologiques toutes séries", 139, "Liste d'appel propre à cette formation", 39.0, "9608", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9608&g_ta_cod=9608", 15.0, 52.0, 33.0),
(8944, "Public", "0762049P", "Université de Rouen Normandie - Campus Pasteur Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Pasteur Rouen - Licence - Portail Majeure AES - Mineure Gestion", "Licence - Droit-économie-gestion", "Majeure AES - Mineure Gestion", 300, 1715, 945, 1677, 0, 862, 211, 372, 170, 52, 30, 391, 38, 4, 5, 4, 25, 1657, 36, 0, 0, 862, 211, 372, 170, 52, 30, 371, 1276, 296, 148, 272, 22, 38.0, 197.0, 249.0, 0, 70, 216, 145, 61, 10, 80, 6, 115, 69, 21, 4, 1.0, 77, 14, 4, 0, 0, 196, 196, 12.84, 66.55, 84.12, 50.0, 90.6875, 90.6875, 0, 32.3984375, 73.0, 2.7998046875, 53.1953125, 31.8984375, 9.69921875, 1.9, 0.5, 67.09375, 35.59375, 28.19921875, 6.5, 4.599609375, 1.89990234375, 757.0, 192.0, 23.0, 18.0, 289.0, "Tous les candidats", 1521.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "9696", "Licence - Portail Majeure AES - Mineure Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9696&g_ta_cod=9696", 63.0, 31.0, 7.0),
(8945, "Privé sous contrat d'association", "0311177L", "Institut Limayrac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Institut Limayrac - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 363, 217, 292, 0, 24, 4, 114, 25, 66, 27, 88, 71, 3, 10, 11, 47, 199, 24, 0, 0, 23, 4, 78, 11, 51, 18, 47, 161, 27, 15, 15, 12, 1.0, 15.0, 16.0, 0, 4, 20, 2, 11, 7, 7, 0, 10, 8, 2, 0, 0.0, 0, 5, 5, 0, 0, 16, 16, 3.7, 55.56, 59.26, 55.59375, 80.0, 80.0, 0, 20.0, 74.09375, 0.0, 50.0, 40.0, 10.0, 0.0, 0.0, 10.0, 0.0, 55.0, 25.0, 35.0, 25.0, 18.0, 4.0, 36.0, 10.0, 50.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 96, "Liste d'appel propre à cette formation", 65.0, "4107", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4107&g_ta_cod=4107", 19.0, 56.0, 26.0),
(8946, "Public", "0690038S", "Lycée La Martinière Duchère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "BTS", "Lycée La Martinière Duchère - BTS - Services - Commerce International", "BTS - Services", "", 35, 3266, 1825, 3266, 0, 686, 197, 1191, 507, 403, 220, 986, 0, 0, 0, 0, 0, 624, 0, 0, 0, 124, 29, 226, 79, 178, 94, 96, 212, 36, 20, 35, 0, 6.0, 29.0, 34.0, 0, 18, 35, 5, 23, 7, 1, 0, 4, 19, 11, 1, 0.0, 5, 20, 6, 2, 2, 24, 24, 16.67, 80.56, 94.44, 55.59375, 68.59375, 68.59375, 5.69921875, 51.3984375, 97.1875, 0.0, 11.3984375, 54.296875, 31.3984375, 2.9, 0.0, 14.298828125, 14.298828125, 65.6875, 57.09375, 20.0, 17.09765625, 19.0, 7.0, 36.0, 22.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 244, "Liste d'appel propre à cette formation", 11.0, "8218", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8218&g_ta_cod=8218", 14.0, 67.0, 19.0),
(8947, "Privé sous contrat d'association", "0753602H", "ETSUP", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "EFTS", "ETSUP - D.E Educateur Technique Spécialisé", "D.E secteur social", "", 8, 80, 64, 16, 0, 1, 0, 3, 1, 3, 2, 9, 64, 5, 5, 10, 44, 5, 4, 0, 0, 0, 0, 1, 1, 0, 0, 4, 9, 6, 5, 3, 3, 3.0, 3.0, 4.0, 0, 1, 1, 0, 1, 0, 5, 1, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 1, 50.0, 50.0, 66.67, 83.296875, 0.0, 100.0, 0, 100.0, 16.69921875, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "29079", "D.E Educateur Technique Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29079&g_ta_cod=29079", 17.0, 17.0, 50.0),
(8948, "Public", "0632001H", "AgroSup Dijon Direction Enseignement à Distance (CNPR)", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Lempdes", "formation sélective", "BTS", "AgroSup Dijon Direction Enseignement à Distance (CNPR) - BTS - Agricole - Viticulture-Oenologie", "BTS - Agricole", "", 20, 68, 27, 53, 0, 8, 2, 5, 2, 7, 1, 33, 15, 2, 1, 0, 12, 40, 3, 0, 0, 5, 1, 4, 2, 7, 1, 24, 42, 3, 3, 2, 1, 1.0, 2.0, 3.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 33.33, 66.67, 100.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5.0, 1.0, 7.0, 1.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 75.0, "23467", "BTS - Agricole - Viticulture-Oenologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23467&g_ta_cod=23467", 33.0, 67.0, 0.0),
(8949, "Public", "0620215X", "Université du littoral - Site de Calais -", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation non sélective", "Licence_Las", "Université du littoral - Site de Calais - - Licence - Portail Physique, chimie", "Licence - Sciences - technologies - santé", "", 36, 309, 164, 197, 0, 142, 25, 17, 8, 0, 0, 38, 112, 50, 4, 0, 58, 197, 63, 0, 0, 142, 25, 17, 8, 0, 0, 38, 256, 23, 13, 13, 10, 3.0, 13.0, 18.0, 0, 3, 14, 12, 2, 0, 9, 0, 6, 8, 0, 0, 0.0, 6, 2, 0, 0, 0, 11, 11, 13.04, 56.52, 78.26, 56.5, 78.59375, 78.59375, 0, 21.3984375, 60.8984375, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 85.6875, 42.8984375, 14.298828125, 14.298828125, 0.0, 0.0, 173.0, 30.0, 0.0, 0.0, 67.0, "Tous les candidats", 362.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27874", "Licence - Portail Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27873&g_ta_cod=27874", 83.0, 13.0, 4.0),
(8950, "Privé enseignement supérieur", "0590350K", "EDHEC Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole de Commerce", "Concours PASS - Formation des écoles de commerce et de management Bac + 4", "Formation des écoles de commerce et de management", "International BBA - Parcours Business Management - French Track", 400, 3851, 1823, 3851, 0, 3340, 103, 213, 15, 1, 1, 297, 0, 0, 0, 0, 0, 2584, 0, 0, 0, 2306, 65, 125, 8, 0, 0, 153, 1485, 444, 245, 444, 0, 272.0, 414.0, 426.0, 0, 28, 417, 386, 31, 0, 27, 0, 2, 87, 233, 93, 2.0, 385, 30, 0, 0, 0, 54, 54, 61.26, 93.24, 95.95, 55.1953125, 12.8984375, 12.8984375, 0, 6.69921875, 93.890625, 0.0, 0.5, 20.8984375, 55.8984375, 22.3, 0.5, 92.59375, 92.296875, 7.3994140625, 7.19921875, 0.0, 0.0, 1329.0, 48.0, 0.0, 0.0, 85.0, "Tous les candidats", 1859.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "26360", "Formation des écoles de commerce et de management Bac + 4", "Concours PASS", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26356&g_ta_cod=26360", 93.0, 7.0, 0.0),
(8951, "Public", "0660010C", "Lycée François Arago", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "CPGE", "Lycée François Arago - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 884, 258, 865, 582, 668, 103, 2, 1, 0, 0, 195, 19, 5, 0, 1, 13, 773, 1, 582, 616, 646, 96, 1, 1, 0, 0, 126, 298, 36, 7, 36, 0, 6.0, 21.0, 34.0, 17, 4, 34, 34, 0, 0, 2, 0, 0, 2, 21, 11, 0.0, 34, 0, 0, 7, 2, 32, 32, 16.67, 58.33, 94.44, 19.3984375, 94.09375, 94.09375, 20.59765625, 11.798828125, 94.390625, 0.0, 0.0, 5.8994140625, 61.796875, 32.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 285.0, 35.0, 0.0, 0.0, 13.0, "Tous les candidats", 633.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "7844", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7844&g_ta_cod=7844", 100.0, 0.0, 0.0),
(8952, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales", "Licence - Sciences - technologies - santé", "", 130, 802, 331, 636, 0, 440, 49, 17, 5, 5, 2, 174, 166, 21, 6, 2, 137, 635, 125, 0, 0, 440, 49, 17, 5, 5, 2, 173, 664, 130, 50, 90, 40, 25.0, 89.0, 110.0, 0, 7, 60, 53, 5, 2, 70, 0, 16, 22, 18, 4, 0.0, 42, 1, 1, 0, 0, 45, 45, 19.23, 68.46, 84.62, 38.5, 75.0, 75.0, 0, 11.69921875, 46.1953125, 0.0, 26.69921875, 36.6953125, 30.0, 6.7, 0.0, 88.296875, 70.0, 8.298828125, 1.699951171875, 3.2998046875, 1.699951171875, 411.0, 45.0, 6.0, 3.0, 236.0, "Tous les candidats", 634.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4755", "Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4755&g_ta_cod=4755", 87.0, 9.0, 4.0),
(8953, "Public", "0630018C", "Lycée Blaise Pascal", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "CPGE", "Lycée Blaise Pascal - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 23, 379, 167, 374, 229, 301, 16, 0, 0, 0, 0, 73, 5, 3, 0, 0, 2, 279, 2, 109, 255, 260, 15, 0, 0, 0, 0, 19, 191, 11, 3, 11, 0, 5.0, 9.0, 10.0, 1, 2, 11, 11, 0, 0, 0, 0, 0, 3, 4, 3, 1.0, 11, 0, 0, 1, 0, 7, 7, 45.45, 81.82, 90.91, 27.296875, 63.59375, 63.59375, 9.099609375, 18.19921875, 100.0, 0.0, 0.0, 27.296875, 36.3984375, 27.3, 9.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 178.0, 12.0, 0.0, 0.0, 13.0, "Tous les candidats", 273.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "31285", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31285&g_ta_cod=31285", 100.0, 0.0, 0.0),
(8954, "Public", "0350710G", "Lycée Francois René De Chateaubriand", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "CPGE", "Lycée Francois René De Chateaubriand - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 25, 1223, 572, 1223, 878, 1075, 67, 0, 0, 0, 0, 148, 0, 0, 0, 0, 0, 1012, 0, 878, 564, 922, 58, 0, 0, 0, 0, 90, 159, 25, 13, 25, 0, 7.0, 17.0, 25.0, 8, 3, 25, 25, 0, 0, 0, 0, 0, 0, 3, 18, 4.0, 25, 0, 0, 0, 0, 14, 14, 28.0, 68.0, 100.0, 52.0, 56.0, 56.0, 0, 12.0, 100.0, 0.0, 0.0, 0.0, 12.0, 72.0, 16.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 155.0, 12.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "31587", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31384&g_ta_cod=31587", 100.0, 0.0, 0.0),
(8955, "Public", "0134319Z", "IUT Aix-Marseille - Site de Marseille St Jérôme", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BUT", "IUT Aix-Marseille - Site de Marseille St Jérôme - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Parcours : Gestion et pilotage des ressources humaines - Parcours : Gestion, entreprenariat et management d'activités", "BUT - Service", "Gestion comptable, fiscale et financière - Parcours : Gestion et pilotage des ressources humaines - Parcours : Gestion, entreprenariat et management d'activités", 120, 3450, 1714, 3450, 0, 1815, 451, 922, 401, 33, 17, 680, 0, 0, 0, 0, 0, 1496, 0, 0, 0, 790, 143, 605, 244, 0, 0, 101, 613, 118, 58, 118, 0, 7.0, 89.0, 97.0, 0, 46, 109, 58, 51, 0, 9, 1, 8, 59, 40, 1, 0.0, 53, 47, 0, 0, 0, 97, 97, 5.93, 75.42, 82.2, 49.1953125, 89.0, 89.0, 0, 42.1953125, 92.390625, 0.89990234375, 7.2998046875, 54.09375, 36.6953125, 0.9, 0.0, 53.1953125, 48.59375, 46.796875, 43.09375, 0.0, 0.0, 311.0, 94.0, 0.0, 0.0, 31.0, "Tous les candidats sauf les Bac technologiques", 508.0, "Bacheliers technologiques toutes séries", 351, "", 0, "Liste d'appel propre à cette formation", 25.0, "2720", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Parcours : Gestion et pilotage des ressources humaines - Parcours : Gestion, entreprenariat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2720&g_ta_cod=2720", 51.0, 49.0, 0.0),
(8956, "Public", "0060029Z", "Lycée du Parc Imperial", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée du Parc Imperial - BTS - Services - Commerce International", "BTS - Services", "", 35, 1742, 968, 1742, 0, 569, 124, 509, 166, 193, 80, 471, 0, 0, 0, 0, 0, 1247, 0, 0, 0, 368, 74, 509, 166, 193, 80, 177, 170, 33, 20, 33, 0, 2.0, 20.0, 25.0, 0, 10, 31, 18, 8, 5, 2, 0, 3, 17, 7, 4, 0.0, 16, 7, 5, 5, 1, 22, 22, 6.06, 60.61, 75.76, 60.59375, 71.0, 71.0, 16.09765625, 32.296875, 93.890625, 0.0, 9.69921875, 54.796875, 22.59765625, 12.9, 0.0, 58.09375, 51.59375, 25.796875, 22.59765625, 16.09765625, 16.09765625, 96.0, 29.0, 18.0, 6.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 177.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 15.0, "2203", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2203&g_ta_cod=2203", 58.0, 27.0, 15.0),
(8957, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations, parcours Asie du Sud et Himalaya - Hindi", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Asie du Sud et Himalaya - Hindi", 50, 79, 62, 53, 0, 29, 10, 1, 0, 0, 0, 23, 26, 8, 3, 0, 15, 53, 18, 0, 0, 29, 10, 1, 0, 0, 0, 23, 71, 12, 9, 9, 3, 9.0, 9.0, 12.0, 0, 0, 3, 3, 0, 0, 9, 0, 1, 0, 2, 0, 0.0, 2, 0, 0, 0, 0, 1, 1, 75.0, 75.0, 100.0, 75.0, 33.296875, 33.296875, 0, 0.0, 25.0, 0.0, 33.296875, 0.0, 66.6875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 36.0, 13.0, 0.0, 0.0, 33.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9412", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations, parcours Asie du Sud et Himalaya - Hindi", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29597&g_ta_cod=9412", 100.0, 0.0, 0.0),
(8958, "Public", "0440982D", "I.U.T. Saint-Nazaire", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BUT", "I.U.T. Saint-Nazaire - BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante (Seconde année possible en apprentissage)", "BUT - Production", "Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", 52, 559, 31, 551, 0, 259, 33, 224, 28, 6, 1, 62, 8, 2, 3, 0, 3, 493, 2, 0, 0, 238, 28, 206, 25, 5, 1, 44, 218, 50, 3, 49, 1, 34.0, 44.0, 48.0, 0, 5, 46, 22, 24, 0, 4, 0, 20, 20, 6, 0, 0.0, 9, 17, 0, 0, 0, 41, 41, 68.0, 88.0, 96.0, 6.0, 89.09375, 89.09375, 0, 10.8984375, 92.0, 0.0, 43.5, 43.5, 13.0, 0.0, 0.0, 47.796875, 19.59765625, 52.1953125, 37.0, 0.0, 0.0, 84.0, 15.0, 2.0, 0.0, 24.0, "Tous les candidats sauf les Bac technologiques", 139.0, "Bacheliers technologiques toutes séries", 214, "", 0, "Liste d'appel propre à cette formation", 64.0, "5556", "BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5556&g_ta_cod=5556", 46.0, 54.0, 0.0),
(8959, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 150, 1246, 525, 1181, 0, 760, 130, 159, 38, 25, 11, 237, 65, 11, 5, 3, 46, 1181, 59, 0, 0, 760, 130, 159, 38, 25, 11, 237, 1068, 144, 55, 116, 28, 38.0, 105.0, 121.0, 0, 19, 87, 65, 18, 4, 57, 1, 48, 25, 10, 3, 0.0, 28, 7, 3, 0, 0, 61, 61, 26.39, 72.92, 84.03, 38.1953125, 70.09375, 70.09375, 0, 21.796875, 60.3984375, 1.099853515625, 55.1953125, 28.69921875, 11.5, 3.4, 0.0, 74.6875, 32.1953125, 20.69921875, 8.0, 4.599609375, 3.39990234375, 677.0, 117.0, 22.0, 9.0, 228.0, "Tous les candidats", 1181.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7754", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7754&g_ta_cod=7754", 74.0, 20.0, 5.0),
(8960, "Public", "0782562L", "Lycée Hoche", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Hoche - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 2801, 1455, 2801, 1829, 2610, 181, 1, 0, 0, 0, 190, 0, 0, 0, 0, 0, 1087, 0, 278, 1066, 1076, 90, 0, 0, 0, 0, 11, 282, 20, 12, 20, 0, 1.0, 11.0, 17.0, 7, 2, 20, 20, 0, 0, 0, 0, 0, 0, 8, 11, 1.0, 20, 0, 0, 1, 0, 14, 17, 5.0, 55.0, 85.0, 60.0, 70.0, 85.0, 5, 10.0, 100.0, 0.0, 0.0, 0.0, 40.0, 55.0, 5.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 278.0, 17.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "31611", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31397&g_ta_cod=31611", 100.0, 0.0, 0.0),
(8961, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Institut Catholique Paris - Licence - Humanités - Parcours Théologie, Philosophie et Anthropologies Contemporaines- Sciences Sociales", "Licence - Sciences humaines et sociales", "Théologie, Philosophie et Anthropologies Contemporaines- Sciences Sociales", 75, 424, 305, 279, 0, 176, 13, 6, 2, 0, 0, 97, 145, 44, 11, 0, 90, 279, 142, 0, 0, 176, 13, 6, 2, 0, 0, 97, 401, 65, 45, 29, 36, 15.0, 29.0, 54.0, 0, 8, 29, 25, 4, 0, 36, 0, 11, 14, 4, 0, 0.0, 17, 1, 0, 0, 0, 7, 21, 23.08, 44.62, 83.08, 69.1875, 24.09765625, 72.390625, 0, 27.59765625, 44.59375, 0.0, 37.8984375, 48.296875, 13.798828125, 0.0, 0.0, 86.1875, 58.59375, 13.798828125, 3.39990234375, 0.0, 0.0, 210.0, 19.0, 0.0, 0.0, 174.0, "Tous les candidats", 279.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "16023", "Licence - Humanités - Parcours Théologie, Philosophie et Anthropologies Contemporaines- Sciences Sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16023&g_ta_cod=16023", 86.0, 11.0, 0.0),
(8962, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence_Las", "Université d'Orléans - Licence - Portail 17 - Mathématiques - Physique  -  option Santé", "Licence - Sciences - technologies - santé", "17 - Mathématiques - Physique", 40, 340, 166, 300, 0, 214, 40, 17, 3, 0, 0, 69, 40, 17, 2, 0, 21, 296, 38, 0, 0, 214, 40, 17, 3, 0, 0, 65, 246, 35, 16, 19, 13, 2.0, 14.0, 24.0, 0, 2, 28, 25, 3, 0, 7, 1, 15, 7, 2, 2, 1.0, 12, 0, 0, 0, 0, 17, 17, 5.71, 40.0, 68.57, 45.6953125, 60.6953125, 60.6953125, 0, 7.099609375, 80.0, 3.599609375, 53.59375, 25.0, 7.099609375, 7.1, 3.6, 89.296875, 42.8984375, 10.69921875, 0.0, 0.0, 0.0, 174.0, 28.0, 0.0, 0.0, 68.0, "Tous les candidats", 292.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "27797", "Licence - Portail 17 - Mathématiques - Physique  -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27797&g_ta_cod=27797", 89.0, 11.0, 0.0),
(8963, "Public", "0782822U", "Lycée Pierre Corneille", "78", "Yvelines", "Ile-de-France", "Versailles", "La Celle-Saint-Cloud", "formation sélective", "Autre formation", "Lycée Pierre Corneille - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 1, 0, 0, 0, 0.0, 0.0, 0.0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 1.0, 1.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35050", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 0.0, 100.0),
(8964, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Langues étrangères appliquées - Parcours Espagnol, Allemand. Espagnol non débutant et Allemand débutant ou non débutant", "Licence - Arts-lettres-langues", "Espagnol, Allemand. Espagnol non débutant et Allemand débutant ou non débutant", 5, 21, 11, 12, 0, 6, 0, 0, 0, 1, 1, 5, 9, 1, 0, 2, 6, 12, 9, 0, 0, 6, 0, 0, 0, 1, 1, 5, 21, 3, 1, 0, 3, 0.0, 0.0, 2.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 66.67, 33.296875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7.0, 0.0, 3.0, 1.0, 11.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "23577", "Licence - Langues étrangères appliquées - Parcours Espagnol, Allemand. Espagnol non débutant et Allemand débutant ou non débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23577&g_ta_cod=23577", 67.0, 33.0, 0.0),
(8965, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation non sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, Littératures et Civilisations Étrangères et Régionales - Espagnol", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Étrangères et Régionales - Espagnol", 70, 357, 263, 234, 0, 141, 30, 27, 9, 15, 4, 51, 123, 27, 14, 11, 71, 234, 83, 0, 0, 141, 30, 27, 9, 15, 4, 51, 299, 55, 36, 31, 24, 7.0, 31.0, 42.0, 0, 9, 37, 28, 6, 3, 18, 0, 22, 10, 5, 0, 0.0, 12, 1, 2, 0, 0, 33, 33, 12.73, 56.36, 76.36, 65.5, 89.1875, 89.1875, 0, 24.296875, 67.296875, 0.0, 59.5, 27.0, 13.5, 0.0, 0.0, 75.6875, 32.3984375, 16.19921875, 2.69970703125, 8.099609375, 5.3994140625, 158.0, 38.0, 16.0, 4.0, 90.0, "Tous les candidats", 234.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11648", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, Littératures et Civilisations Étrangères et Régionales - Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11648&g_ta_cod=11648", 69.0, 20.0, 11.0),
(8966, "Public", "0772432A", "I.U.T de Marne la Vallée", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Champs-sur-Marne", "formation sélective", "BUT", "I.U.T de Marne la Vallée - BUT - Métiers du multimédia et de l'internet Parcours : Création numérique - Développement web et dispositifs interactifs", "BUT - Production", "Création numérique - Développement web et dispositifs interactifs", 52, 1574, 451, 1574, 0, 726, 131, 425, 117, 27, 11, 396, 0, 0, 0, 0, 0, 291, 0, 0, 0, 172, 29, 77, 18, 4, 1, 38, 124, 54, 20, 53, 0, 17.0, 46.0, 49.0, 0, 8, 48, 26, 22, 0, 6, 0, 5, 24, 18, 1, 0.0, 25, 18, 0, 0, 0, 34, 42, 31.48, 85.19, 90.74, 37.0, 70.796875, 87.5, 0, 16.69921875, 88.890625, 0.0, 10.3984375, 50.0, 37.5, 2.1, 0.0, 54.1953125, 52.09375, 45.796875, 37.5, 0.0, 0.0, 61.0, 12.0, 1.0, 0.0, 14.0, "Tous les candidats sauf les Bac technologiques", 83.0, "Bacheliers technologiques toutes séries", 59, "", 0, "Liste d'appel propre à cette formation", 9.0, "9908", "BUT - Métiers du multimédia et de l'internet Parcours : Création numérique - Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9908&g_ta_cod=9908", 52.0, 48.0, 0.0),
(8967, "Public", "0881703Y", "Université de Lorraine - Faculté Droit Sciences économiques Gestion - Site d'Epinal", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation non sélective", "Licence", "Université de Lorraine - Faculté Droit Sciences économiques Gestion - Site d'Epinal - Licence - Droit", "Licence - Droit-économie-gestion", "", 160, 1291, 900, 1119, 0, 803, 156, 146, 48, 34, 13, 136, 172, 49, 15, 10, 98, 1099, 149, 0, 0, 803, 156, 146, 48, 34, 13, 116, 908, 134, 92, 103, 30, 8.0, 101.0, 123.0, 0, 25, 104, 83, 16, 5, 30, 0, 49, 41, 12, 2, 0.0, 49, 4, 2, 0, 0, 84, 84, 5.97, 75.37, 91.79, 68.6875, 80.796875, 80.796875, 0, 24.0, 77.59375, 0.0, 47.09375, 39.3984375, 11.5, 1.9, 0.0, 79.796875, 47.09375, 15.3984375, 3.7998046875, 4.7998046875, 1.89990234375, 637.0, 116.0, 26.0, 8.0, 159.0, "Tous les candidats", 1099.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "10762", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10762&g_ta_cod=10762", 75.0, 18.0, 7.0),
(8968, "Public", "0840041N", "Lycée professionnel des Métiers Maria Casares", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "Autre formation", "Lycée professionnel des Métiers Maria Casares - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 20, 10, 7, 0, 0, 0.0, 0.0, 2.0, 0, 1, 7, 0, 0, 7, 3, 0, 6, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 7, 7, 0.0, 0.0, 20.0, 70.0, 100.0, 100.0, 0, 14.298828125, 70.0, 0.0, 85.6875, 14.298828125, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 14.298828125, 0.0, 0.0, 14.0, 4.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22345", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 10.0, 90.0),
(8969, "Public", "0230025C", "Lycée Raymond Loewy", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "La Souterraine", "formation sélective", "Autre formation", "Lycée Raymond Loewy - DN MADE - Matériaux - - Spécialité : Conception et Réalisation Céramique", "DN MADE", "- Spécialité : Conception et Réalisation Céramique", 15, 182, 155, 182, 0, 50, 4, 75, 11, 8, 1, 49, 0, 0, 0, 0, 0, 173, 0, 0, 0, 50, 4, 75, 11, 7, 1, 41, 74, 15, 14, 15, 0, 1.0, 12.0, 15.0, 0, 0, 7, 1, 6, 0, 8, 0, 1, 5, 0, 1, 0.0, 0, 6, 0, 0, 0, 1, 1, 6.67, 80.0, 100.0, 93.296875, 14.298828125, 14.298828125, 0, 0.0, 46.6953125, 0.0, 14.298828125, 71.390625, 0.0, 14.3, 0.0, 14.298828125, 0.0, 85.6875, 85.6875, 0.0, 0.0, 15.0, 0.0, 1.0, 0.0, 20.0, "Tous les candidats", 111.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "28722", "DN MADE - Matériaux - - Spécialité : Conception et Réalisation Céramique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28722&g_ta_cod=28722", 40.0, 53.0, 0.0),
(8970, "Privé sous contrat d'association", "0311213A", "Lycée Issec Pigier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Issec Pigier - BTS - Services - Support à l'action managériale", "BTS - Services", "", 34, 286, 194, 266, 0, 20, 4, 83, 29, 62, 25, 101, 20, 0, 0, 9, 11, 224, 14, 0, 0, 20, 4, 83, 29, 62, 25, 59, 158, 20, 13, 14, 6, 2.0, 9.0, 12.0, 0, 4, 12, 3, 4, 5, 8, 1, 7, 4, 0, 0, 0.0, 1, 1, 2, 0, 0, 9, 9, 10.0, 45.0, 60.0, 65.0, 75.0, 75.0, 0, 33.296875, 60.0, 8.298828125, 58.296875, 33.296875, 0.0, 0.0, 0.0, 25.0, 8.298828125, 33.296875, 8.298828125, 41.6953125, 16.69921875, 14.0, 4.0, 64.0, 28.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 77, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 60.0, "4121", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4121&g_ta_cod=4121", 35.0, 40.0, 25.0),
(8971, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence_Las", "Université Grenoble Alpes  - Licence - Portail Histoire - Histoire - Grenoble", "Licence - Sciences humaines et sociales", "Histoire - Grenoble", 30, 230, 126, 197, 0, 102, 18, 18, 6, 6, 2, 71, 33, 11, 0, 0, 22, 197, 24, 0, 0, 102, 18, 18, 6, 6, 2, 71, 169, 26, 15, 18, 7, 0.0, 18.0, 19.0, 0, 2, 15, 12, 3, 0, 11, 0, 8, 5, 1, 1, 0.0, 5, 2, 0, 0, 0, 10, 10, 0.0, 69.23, 73.08, 57.6953125, 66.6875, 66.6875, 0, 13.298828125, 57.6953125, 0.0, 53.296875, 33.296875, 6.69921875, 6.7, 0.0, 80.0, 33.296875, 20.0, 13.298828125, 0.0, 0.0, 96.0, 15.0, 2.0, 1.0, 59.0, "Tous les candidats", 1233.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "31063", "Licence - Portail Histoire - Histoire - Grenoble", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31062&g_ta_cod=31063", 69.0, 23.0, 4.0),
(8972, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 655, 8001, 6616, 8001, 0, 3995, 1068, 786, 278, 372, 177, 2848, 0, 0, 0, 0, 0, 8001, 0, 0, 0, 3995, 1068, 786, 278, 372, 177, 2848, 2720, 678, 568, 678, 0, 85.0, 505.0, 588.0, 0, 130, 392, 306, 58, 28, 286, 1, 94, 190, 85, 22, 0.0, 236, 40, 21, 0, 0, 298, 298, 12.54, 74.48, 86.73, 83.796875, 76.0, 76.0, 0, 33.1953125, 57.796875, 0.29998779296875, 24.0, 48.5, 21.69921875, 5.6, 0.0, 78.09375, 60.1953125, 14.798828125, 10.19921875, 7.099609375, 5.3994140625, 1362.0, 374.0, 135.0, 67.0, 971.0, "Tous les candidats", 3502.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "4560", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28862&g_ta_cod=4560", 76.0, 16.0, 7.0),
(8973, "Public", "0760090K", "Lycée Pierre Corneille", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "CPGE", "Lycée Pierre Corneille - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 1894, 508, 1894, 1306, 1578, 135, 3, 0, 0, 0, 313, 0, 0, 0, 0, 0, 1545, 0, 1306, 837, 1349, 100, 0, 0, 0, 0, 196, 318, 96, 13, 96, 0, 36.0, 72.0, 94.0, 33, 4, 95, 95, 0, 0, 1, 0, 0, 0, 6, 63, 26.0, 95, 0, 0, 4, 1, 80, 80, 37.5, 75.0, 97.92, 13.5, 84.1875, 84.1875, 4.19921875, 4.19921875, 99.0, 0.0, 0.0, 0.0, 6.2998046875, 66.3, 27.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 311.0, 30.0, 0.0, 0.0, 7.0, "Tous les candidats", 404.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "9586", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9586&g_ta_cod=9586", 100.0, 0.0, 0.0),
(8974, "Public", "9720825P", "Lycée Centre Sud", "972", "Martinique", "Martinique", "Martinique", "Ducos", "formation sélective", "BTS", "Lycée Centre Sud - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 199, 103, 193, 0, 44, 16, 66, 29, 46, 26, 37, 6, 0, 0, 3, 3, 102, 0, 0, 0, 37, 13, 41, 18, 13, 7, 11, 70, 24, 13, 24, 0, 10.0, 24.0, 24.0, 0, 8, 21, 4, 12, 5, 3, 0, 5, 13, 3, 0, 0.0, 4, 8, 4, 10, 6, 21, 21, 41.67, 100.0, 100.0, 54.1953125, 100.0, 100.0, 47.59375, 38.09375, 87.5, 0.0, 23.796875, 61.8984375, 14.298828125, 0.0, 0.0, 19.0, 19.0, 57.09375, 38.09375, 23.796875, 19.0, 22.0, 8.0, 12.0, 7.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 48.0, "11833", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11833&g_ta_cod=11833", 29.0, 50.0, 21.0),
(8975, "Privé sous contrat d'association", "0850130E", "Lycée Notre Dame Du Roc", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée Notre Dame Du Roc - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 536, 206, 533, 0, 121, 15, 210, 22, 117, 22, 85, 3, 0, 2, 0, 1, 431, 2, 0, 0, 109, 13, 193, 18, 112, 18, 17, 143, 34, 14, 34, 0, 9.0, 18.0, 23.0, 0, 4, 34, 8, 16, 10, 0, 0, 12, 21, 1, 0, 0.0, 6, 9, 7, 13, 4, 33, 33, 26.47, 52.94, 67.65, 41.1953125, 97.09375, 97.09375, 38.1953125, 11.798828125, 100.0, 0.0, 35.296875, 61.796875, 2.89990234375, 0.0, 0.0, 23.5, 17.59765625, 47.09375, 26.5, 29.3984375, 20.59765625, 34.0, 4.0, 41.0, 6.0, 0.0, "Tous les candidats sauf les Bac professionnels", 82.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 24.0, "10499", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10499&g_ta_cod=10499", 24.0, 47.0, 29.0),
(8976, "Public", "9730429D", "Université de Guyane", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation non sélective", "Licence", "Université de Guyane - Licence - Mathématiques", "Licence - Sciences - technologies - santé", "", 35, 106, 31, 84, 0, 64, 27, 4, 2, 4, 3, 12, 22, 4, 3, 3, 12, 82, 18, 0, 0, 64, 27, 4, 2, 4, 3, 10, 89, 21, 6, 13, 8, 6.0, 13.0, 17.0, 0, 8, 16, 11, 1, 4, 5, 2, 8, 1, 3, 2, 0.0, 5, 0, 1, 0, 0, 16, 16, 28.57, 61.9, 80.95, 28.59765625, 100.0, 100.0, 0, 50.0, 76.1875, 12.5, 50.0, 6.2998046875, 18.796875, 12.5, 0.0, 68.796875, 31.296875, 6.2998046875, 0.0, 25.0, 6.2998046875, 61.0, 23.0, 5.0, 4.0, 20.0, "Tous les candidats", 82.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "11870", "Licence - Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11870&g_ta_cod=11870", 71.0, 10.0, 19.0),
(8977, "Public", "0132943D", "IFSI Hop Ste Marguerite", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  9e  Arrondissement", "formation sélective", "IFSI", "Regroupement d'IFSI Université Aix-Marseille - D.E Infirmier", "D.E secteur sanitaire", "", 95, 9289, 7675, 9289, 0, 1471, 403, 1337, 488, 869, 440, 5612, 0, 0, 0, 0, 0, 4400, 0, 0, 0, 1095, 257, 553, 175, 92, 38, 2660, 1116, 95, 79, 95, 0, 1.0, 29.0, 79.0, 0, 10, 36, 30, 6, 0, 59, 0, 8, 21, 7, 0, 0.0, 22, 6, 0, 0, 0, 30, 30, 1.05, 30.53, 83.16, 83.1875, 83.296875, 83.296875, 0, 27.796875, 37.8984375, 0.0, 22.19921875, 58.296875, 19.3984375, 0.0, 0.0, 83.296875, 61.09375, 16.69921875, 16.69921875, 0.0, 0.0, 411.0, 120.0, 8.0, 6.0, 627.0, "Tous les candidats", 2077.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 17.0, "23037", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22987&g_ta_cod=23037", 77.0, 17.0, 6.0),
(8978, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Information et communication - Parcours Information - Communication", "Licence - Sciences humaines et sociales", "Information - Communication", 120, 1416, 998, 1416, 0, 951, 188, 101, 33, 16, 7, 348, 0, 0, 0, 0, 0, 1412, 0, 0, 0, 951, 188, 101, 33, 16, 7, 344, 443, 120, 79, 120, 0, 33.0, 104.0, 113.0, 0, 26, 91, 91, 0, 0, 29, 1, 14, 46, 25, 5, 0.0, 76, 0, 0, 0, 0, 69, 69, 27.5, 86.67, 94.17, 65.796875, 75.796875, 75.796875, 0, 28.59765625, 75.796875, 1.099853515625, 15.3984375, 50.5, 27.5, 5.5, 0.0, 100.0, 83.5, 0.0, 0.0, 0.0, 0.0, 339.0, 77.0, 0.0, 0.0, 104.0, "Tous les candidats", 592.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "7661", "Licence - Information et communication - Parcours Information - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7661&g_ta_cod=7661", 99.0, 0.0, 0.0),
(8979, "Public", "0061478Z", "Lycée Léonard De Vinci", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "Autre formation", "Lycée Léonard De Vinci - DN MADE - Matériaux - - Spécialité : Conception, création, innovation, céramique", "DN MADE", "- Spécialité : Conception, création, innovation, céramique", 15, 182, 149, 163, 0, 39, 6, 64, 12, 8, 2, 52, 19, 2, 3, 1, 13, 69, 1, 0, 0, 8, 0, 34, 4, 1, 0, 26, 51, 12, 12, 12, 0, 3.0, 12.0, 12.0, 0, 1, 8, 4, 4, 0, 4, 0, 0, 6, 2, 0, 0.0, 4, 4, 0, 0, 0, 3, 3, 25.0, 100.0, 100.0, 100.0, 37.5, 37.5, 0, 12.5, 66.6875, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 4.0, 0.0, 1.0, 0.0, 21.0, "Tous les candidats", 69.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "24350", "DN MADE - Matériaux - - Spécialité : Conception, création, innovation, céramique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24350&g_ta_cod=24350", 50.0, 50.0, 0.0),
(8980, "Public", "0251763F", "I.U.T de Belfort-Montbéliard - Site de Montbéliard", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "BUT", "I.U.T de Belfort-Montbéliard - Site de Montbéliard - BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d?expérience - Création numérique - Développement web et dispositifs interactifs", "BUT - Production", "Stratégie de communication numérique et design d?expérience - Création numérique - Développement web et dispositifs interactifs", 72, 1139, 351, 1109, 0, 533, 84, 269, 75, 24, 8, 283, 30, 0, 13, 0, 17, 797, 0, 0, 0, 435, 62, 166, 44, 5, 2, 191, 279, 73, 18, 73, 0, 6.0, 55.0, 67.0, 0, 11, 49, 30, 19, 0, 24, 0, 11, 23, 12, 3, 0.0, 24, 14, 0, 0, 0, 30, 30, 8.22, 75.34, 91.78, 24.69921875, 61.1953125, 61.1953125, 0, 22.3984375, 67.09375, 0.0, 22.3984375, 46.8984375, 24.5, 6.1, 0.0, 61.1953125, 49.0, 38.796875, 28.59765625, 0.0, 0.0, 105.0, 26.0, 0.0, 0.0, 73.0, "Tous les candidats sauf les Bac technologiques", 214.0, "Bacheliers technologiques toutes séries", 208, "", 0, "Liste d'appel propre à cette formation", 38.0, "3587", "BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d?expérience - Création numérique - Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3587&g_ta_cod=3587", 62.0, 38.0, 0.0),
(8981, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Chimie - Parcours International", "Licence - Sciences - technologies - santé", "International", 12, 253, 163, 251, 0, 148, 24, 4, 2, 0, 0, 99, 2, 0, 0, 0, 2, 97, 0, 0, 0, 75, 8, 0, 0, 0, 0, 22, 58, 10, 8, 10, 0, 5.0, 9.0, 9.0, 0, 1, 8, 8, 0, 0, 2, 0, 0, 0, 2, 6, 0.0, 8, 0, 0, 0, 0, 4, 4, 50.0, 90.0, 90.0, 80.0, 50.0, 50.0, 0, 12.5, 80.0, 0.0, 0.0, 0.0, 25.0, 75.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 46.0, 7.0, 0.0, 0.0, 12.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "26341", "Licence - Chimie - Parcours International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26341&g_ta_cod=26341", 100.0, 0.0, 0.0),
(8982, "Public", "0090013R", "Lycée de Mirepoix", "09", "Ardennes", "Occitanie", "Toulouse", "Mirepoix", "formation sélective", "BTS", "Lycée de Mirepoix - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 12, 195, 27, 185, 0, 10, 5, 27, 6, 34, 5, 114, 10, 0, 0, 0, 10, 89, 5, 0, 0, 10, 5, 27, 6, 34, 5, 18, 76, 11, 0, 11, 0, 2.0, 10.0, 10.0, 0, 2, 9, 1, 2, 6, 2, 0, 5, 2, 1, 1, 0.0, 0, 0, 4, 3, 0, 7, 7, 18.18, 90.91, 90.91, 0.0, 77.796875, 77.796875, 33.296875, 22.19921875, 81.796875, 0.0, 55.59375, 22.19921875, 11.099609375, 11.1, 0.0, 11.099609375, 0.0, 22.19921875, 0.0, 66.6875, 44.3984375, 8.0, 5.0, 28.0, 5.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 45.0, "2390", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2390&g_ta_cod=2390", 18.0, 27.0, 55.0),
(8983, "Public", "0910630R", "Lycée professionnel Alexandre Denis Lycée des métiers de l'aéronautique et de la logistique", "91", "Essonne", "Ile-de-France", "Versailles", "Cerny", "formation sélective", "Autre formation", "Lycée professionnel Alexandre Denis Lycée des métiers de l'aéronautique et de la logistique - Mention complémentaire - Aéronautique option avions à moteur à pistons", "Mention complémentaire", "", 6, 43, 5, 43, 0, 0, 0, 0, 0, 36, 4, 7, 0, 0, 0, 0, 0, 38, 0, 0, 0, 0, 0, 0, 0, 31, 3, 7, 24, 5, 0, 5, 0, 0.0, 5.0, 5.0, 0, 0, 4, 0, 0, 4, 1, 0, 1, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 3, 3, 0.0, 100.0, 100.0, 0.0, 75.0, 75.0, 0, 0.0, 80.0, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 19.0, 2.0, 5.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "13404", "Mention complémentaire - Aéronautique option avions à moteur à pistons", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13404&g_ta_cod=13404", 0.0, 0.0, 100.0),
(8984, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Philosophie", "Licence - Sciences humaines et sociales", "", 105, 597, 357, 448, 0, 260, 52, 31, 8, 7, 4, 150, 149, 11, 12, 14, 112, 448, 140, 0, 0, 260, 52, 31, 8, 7, 4, 150, 496, 98, 50, 50, 48, 7.0, 49.0, 75.0, 0, 12, 35, 19, 10, 6, 63, 0, 17, 6, 10, 2, 0.0, 13, 4, 1, 0, 0, 21, 21, 7.14, 50.0, 76.53, 51.0, 60.0, 60.0, 0, 34.296875, 35.6953125, 0.0, 48.59375, 17.09765625, 28.59765625, 5.7, 0.0, 54.296875, 37.09375, 28.59765625, 11.3984375, 17.09765625, 2.89990234375, 219.0, 37.0, 19.0, 14.0, 221.0, "Tous les candidats", 448.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8076", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8076&g_ta_cod=8076", 64.0, 21.0, 13.0),
(8985, "Public", "0800046R", "Lycée PIERRE MENDES FRANCE", "80", "Somme", "Hauts-de-France", "Amiens", "Péronne", "formation sélective", "BTS", "Lycée PIERRE MENDES FRANCE - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 30, 313, 103, 311, 0, 14, 1, 17, 4, 65, 30, 215, 2, 0, 1, 0, 1, 120, 0, 0, 0, 14, 1, 17, 4, 64, 29, 25, 76, 28, 9, 28, 0, 13.0, 28.0, 28.0, 0, 7, 22, 2, 2, 18, 6, 0, 7, 7, 3, 5, 0.0, 0, 1, 14, 1, 1, 18, 18, 46.43, 100.0, 100.0, 32.09375, 81.796875, 81.796875, 4.5, 31.796875, 78.59375, 0.0, 31.796875, 31.796875, 13.599609375, 22.7, 0.0, 9.099609375, 0.0, 9.099609375, 4.5, 81.796875, 63.59375, 10.0, 1.0, 39.0, 18.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 26.0, "10170", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10170&g_ta_cod=10170", 18.0, 18.0, 64.0),
(8986, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Administration et Echanges internationaux - Parcours Shanghai", "Licence - Droit-économie-gestion", "Shanghai", 90, 908, 644, 816, 0, 531, 163, 65, 23, 4, 1, 216, 92, 36, 14, 1, 41, 478, 12, 0, 0, 386, 107, 18, 8, 1, 0, 73, 397, 88, 67, 82, 5, 37.0, 67.0, 82.0, 0, 19, 74, 69, 5, 0, 14, 0, 9, 35, 24, 6, 0.0, 61, 4, 0, 0, 0, 36, 55, 42.05, 76.14, 93.18, 76.09375, 48.59375, 74.296875, 0, 25.69921875, 84.09375, 0.0, 12.19921875, 47.296875, 32.3984375, 8.1, 0.0, 93.1875, 82.390625, 6.7998046875, 5.3994140625, 0.0, 0.0, 305.0, 82.0, 1.0, 0.0, 72.0, "Tous les candidats", 477.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "11485", "Licence - Administration et Echanges internationaux - Parcours Shanghai", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11485&g_ta_cod=11485", 93.0, 6.0, 1.0),
(8987, "Privé sous contrat d'association", "0450107X", "Groupe Scolaire Saint Louis", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Montargis", "formation sélective", "Autre formation", "Groupe Scolaire Saint Louis - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 20, 42, 17, 34, 0, 14, 4, 4, 0, 0, 0, 16, 8, 0, 0, 1, 7, 34, 0, 0, 0, 14, 4, 4, 0, 0, 0, 16, 31, 10, 2, 10, 0, 6.0, 10.0, 10.0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 60.0, 100.0, 100.0, 20.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 13.0, 3.0, 0.0, 0.0, 15.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5684", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5684&g_ta_cod=5684", 90.0, 0.0, 10.0),
(8988, "Privé sous contrat d'association", "0660077A", "Lycée Sainte Louise de Marillac", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée Sainte Louise de Marillac - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 16, 84, 5, 64, 0, 5, 2, 12, 5, 28, 8, 19, 20, 0, 6, 7, 7, 50, 9, 0, 0, 5, 2, 12, 5, 25, 8, 8, 52, 7, 0, 4, 3, 0.0, 4.0, 4.0, 0, 2, 2, 0, 1, 1, 5, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 0.0, 57.14, 57.14, 0.0, 100.0, 100.0, 0, 100.0, 28.59765625, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 4.0, 2.0, 22.0, 8.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 77.0, "7863", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7863&g_ta_cod=7863", 14.0, 43.0, 43.0),
(8989, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence_Las", "Université Grenoble Alpes  - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et Techniques des Activités Physiques et Sportives (STAPS) - Grenoble", "Licence - Sciences - technologies - santé", "Sciences et Techniques des Activités Physiques et Sportives (STAPS) - Grenoble", 50, 2188, 894, 2188, 0, 1431, 190, 193, 44, 34, 12, 530, 0, 0, 0, 0, 0, 2182, 0, 0, 0, 1431, 190, 193, 44, 34, 12, 524, 260, 47, 27, 47, 0, 6.0, 26.0, 39.0, 0, 9, 36, 28, 8, 0, 11, 0, 6, 17, 11, 2, 0.0, 25, 5, 0, 0, 0, 34, 34, 12.77, 55.32, 82.98, 57.3984375, 94.390625, 94.390625, 0, 25.0, 76.59375, 0.0, 16.69921875, 47.1953125, 30.59765625, 5.6, 0.0, 77.796875, 69.390625, 22.19921875, 13.8984375, 0.0, 0.0, 136.0, 22.0, 2.0, 1.0, 108.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "31004", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et Techniques des Activités Physiques et Sportives (STAPS) - Grenoble", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31003&g_ta_cod=31004", 81.0, 19.0, 0.0),
(8990, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence_Las", "Université de Reims Champagne-Ardenne - Licence - Sciences pour la santé - Droit -  option Santé", "Licence - Sciences - technologies - santé", "Droit : Université de Reims Champagne-Ardenne", 191, 795, 549, 657, 0, 469, 91, 33, 13, 10, 4, 145, 138, 61, 4, 0, 73, 657, 135, 0, 0, 469, 91, 33, 13, 10, 4, 145, 740, 177, 119, 105, 66, 12.0, 104.0, 148.0, 0, 31, 126, 115, 9, 2, 51, 1, 55, 51, 13, 6, 0.0, 65, 3, 2, 0, 0, 65, 65, 6.78, 58.76, 83.62, 67.1875, 51.59375, 51.59375, 0, 24.59765625, 71.1875, 0.7999267578125, 43.6953125, 40.5, 10.298828125, 4.8, 0.0, 91.296875, 51.59375, 7.099609375, 2.39990234375, 1.599853515625, 1.599853515625, 514.0, 98.0, 8.0, 2.0, 187.0, "Tous les candidats", 657.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32160", "Licence - Sciences pour la santé - Droit -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32158&g_ta_cod=32160", 85.0, 12.0, 3.0),
(8991, "Privé sous contrat d'association", "7200742U", "IFRTS Corse", "2B", "Haute-Corse", "Corse", "Corse", "Bastia", "formation sélective", "EFTS", "IFRTS Corse - D.E Assistant de Service Social", "D.E secteur social", "", 12, 70, 65, 70, 0, 11, 2, 18, 5, 9, 4, 32, 0, 0, 0, 0, 0, 25, 0, 0, 0, 8, 1, 4, 1, 2, 1, 11, 20, 12, 12, 12, 0, 0.0, 12.0, 12.0, 0, 1, 7, 3, 2, 2, 5, 0, 1, 3, 3, 0, 0.0, 3, 1, 2, 0, 0, 7, 7, 0.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 14.298828125, 58.296875, 0.0, 14.298828125, 42.8984375, 42.8984375, 0.0, 0.0, 42.8984375, 42.8984375, 28.59765625, 14.298828125, 28.59765625, 28.59765625, 6.0, 0.0, 2.0, 1.0, 9.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "32512", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32512&g_ta_cod=32512", 50.0, 25.0, 25.0),
(8992, "Privé sous contrat d'association", "0753537M", "Lycée ESTBA", "75", "Paris", "Ile-de-France", "Paris", "Paris 20e  Arrondissement", "formation sélective", "BTS", "Lycée ESTBA - BTS - Production - Biotechnologies", "BTS - Production", "", 35, 569, 327, 561, 0, 174, 21, 159, 26, 1, 0, 227, 8, 2, 1, 0, 5, 450, 2, 0, 0, 170, 20, 143, 23, 1, 0, 136, 258, 34, 18, 34, 0, 7.0, 15.0, 25.0, 0, 4, 22, 17, 5, 0, 12, 0, 10, 10, 2, 0, 0.0, 8, 4, 0, 0, 0, 2, 16, 20.59, 44.12, 73.53, 52.8984375, 9.099609375, 72.6875, 0, 18.19921875, 64.6875, 0.0, 45.5, 45.5, 9.099609375, 0.0, 0.0, 77.296875, 36.3984375, 22.69921875, 18.19921875, 0.0, 0.0, 121.0, 11.0, 1.0, 0.0, 75.0, "Tous les candidats sauf les Bac professionnels", 294.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 53.0, "14610", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14610&g_ta_cod=14610", 76.0, 24.0, 0.0),
(8993, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence_Las", "Université de La Réunion - Saint Denis - Licence - Portail Droit", "Licence - Droit-économie-gestion", ": Université de La Réunion - Saint Denis", 50, 609, 446, 509, 0, 283, 111, 62, 40, 15, 13, 149, 100, 23, 12, 7, 58, 509, 94, 0, 0, 283, 111, 62, 40, 15, 13, 149, 362, 55, 38, 29, 26, 3.0, 27.0, 37.0, 0, 13, 36, 27, 7, 2, 19, 0, 17, 11, 8, 0, 0.0, 15, 3, 1, 0, 0, 25, 25, 5.45, 49.09, 67.27, 69.09375, 69.390625, 69.390625, 0, 36.09375, 65.5, 0.0, 47.1953125, 30.59765625, 22.19921875, 0.0, 0.0, 75.0, 41.6953125, 19.3984375, 8.298828125, 5.599609375, 2.7998046875, 171.0, 59.0, 12.0, 9.0, 147.0, "Tous les candidats", 1774.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "27543", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26493&g_ta_cod=27543", 60.0, 27.0, 13.0),
(8994, "Public", "0010059J", "Lycée agricole Edouard Herriot", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Misérieux", "formation sélective", "BTS", "Lycée agricole Edouard Herriot - BTS - Agricole - productions animales", "BTS - Agricole", "", 30, 327, 237, 325, 0, 92, 17, 126, 23, 42, 12, 65, 2, 0, 0, 2, 0, 294, 0, 0, 0, 92, 17, 126, 23, 40, 11, 36, 102, 23, 21, 23, 0, 4.0, 22.0, 23.0, 0, 3, 20, 6, 11, 3, 3, 0, 2, 7, 9, 2, 0.0, 5, 11, 2, 1, 1, 12, 12, 17.39, 95.65, 100.0, 91.296875, 60.0, 60.0, 5, 15.0, 87.0, 0.0, 10.0, 35.0, 45.0, 10.0, 0.0, 30.0, 25.0, 55.0, 55.0, 15.0, 10.0, 27.0, 5.0, 33.0, 9.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 44.0, "2013", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2013&g_ta_cod=2013", 35.0, 48.0, 17.0),
(8995, "Public", "0624109E", "Lycée Giraux Sannier", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "BTS", "Lycée Giraux Sannier - BTS - Services - Notariat", "BTS - Services", "", 24, 641, 373, 641, 0, 92, 22, 51, 22, 32, 16, 466, 0, 0, 0, 0, 0, 268, 0, 0, 0, 91, 22, 51, 22, 32, 16, 94, 87, 24, 22, 24, 0, 4.0, 17.0, 21.0, 0, 6, 19, 8, 8, 3, 5, 0, 4, 10, 4, 1, 0.0, 8, 4, 3, 6, 5, 18, 18, 16.67, 70.83, 87.5, 91.6875, 94.6875, 94.6875, 31.59765625, 31.59765625, 79.1875, 0.0, 21.09765625, 52.59375, 21.09765625, 5.3, 0.0, 42.09375, 42.09375, 42.09375, 21.09765625, 15.798828125, 15.798828125, 25.0, 5.0, 8.0, 3.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 20.0, "15891", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15891&g_ta_cod=15891", 46.0, 42.0, 13.0),
(8996, "Public", "0781626U", "IFSI CHI Poissy St-Germain", "78", "Yvelines", "Ile-de-France", "Versailles", "Poissy", "formation sélective", "IFSI", "Regroupement d'IFSI UVSQ - D.E Infirmier", "D.E secteur sanitaire", "", 67, 2899, 2558, 2899, 0, 346, 80, 507, 176, 346, 151, 1700, 0, 0, 0, 0, 0, 1996, 0, 0, 0, 336, 77, 389, 126, 202, 86, 1069, 651, 67, 61, 67, 0, 0.0, 24.0, 60.0, 0, 9, 37, 16, 19, 2, 30, 0, 11, 18, 6, 2, 0.0, 7, 17, 2, 0, 0, 33, 33, 0.0, 35.82, 89.55, 91.0, 89.1875, 89.1875, 0, 24.296875, 55.1953125, 0.0, 29.69921875, 48.59375, 16.19921875, 5.4, 0.0, 43.1953125, 18.8984375, 51.3984375, 45.8984375, 5.3994140625, 5.3994140625, 171.0, 34.0, 15.0, 7.0, 337.0, "Tous les candidats", 1744.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "23292", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23007&g_ta_cod=23292", 61.0, 34.0, 4.0),
(8997, "Privé sous contrat d'association", "0061852F", "Lycée La Providence", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Autre formation", "Lycée La Providence - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 4, 4, 0, 0, 0.0, 0.0, 0.0, 0, 3, 4, 0, 1, 3, 0, 0, 4, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 4, 4, 0.0, 0.0, 0.0, 100.0, 100.0, 100.0, 0, 75.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 0.0, 0.0, 0.0, 9.0, 7.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25746", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 25.0, 75.0),
(8998, "Public", "0290051Y", "Lycée Tristan Corbiere", "29", "Finistère", "Bretagne", "Rennes", "Morlaix", "formation sélective", "BTS", "Lycée Tristan Corbiere - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 30, 583, 500, 533, 0, 25, 6, 119, 25, 168, 57, 221, 50, 12, 1, 11, 26, 280, 8, 0, 0, 22, 5, 92, 18, 113, 37, 53, 179, 21, 19, 20, 1, 2.0, 15.0, 16.0, 0, 1, 13, 1, 7, 5, 8, 0, 6, 4, 3, 0, 0.0, 1, 2, 4, 5, 4, 12, 12, 9.52, 71.43, 76.19, 90.5, 92.296875, 92.296875, 38.5, 7.69921875, 61.8984375, 0.0, 46.1953125, 30.796875, 23.09765625, 0.0, 0.0, 7.69921875, 7.69921875, 53.796875, 15.3984375, 38.5, 30.796875, 13.0, 2.0, 78.0, 24.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 112, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 44.0, "14636", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14636&g_ta_cod=14636", 19.0, 52.0, 29.0),
(8999, "Public", "0930123D", "Lycée Olympe De Gouges", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Noisy-le-Sec", "formation sélective", "BTS", "Lycée Olympe De Gouges - BTS - Services - Professions immobilières", "BTS - Services", "", 30, 2130, 1123, 2130, 0, 298, 98, 728, 334, 476, 254, 628, 0, 0, 0, 0, 0, 663, 0, 0, 0, 190, 60, 190, 82, 191, 98, 92, 200, 28, 18, 27, 0, 2.0, 17.0, 21.0, 0, 10, 27, 8, 12, 7, 1, 0, 6, 12, 8, 1, 0.0, 6, 11, 4, 0, 0, 22, 25, 7.14, 60.71, 75.0, 64.296875, 81.5, 92.59375, 0, 37.0, 96.390625, 0.0, 22.19921875, 44.3984375, 29.59765625, 3.7, 0.0, 29.59765625, 22.19921875, 44.3984375, 40.6953125, 25.8984375, 14.798828125, 46.0, 17.0, 55.0, 28.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 65.0, "Bacheliers professionnels toutes séries", 118, "Bacheliers technologiques toutes séries", 142, "Liste d'appel propre à cette formation", 15.0, "11187", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11187&g_ta_cod=11187", 32.0, 43.0, 25.0),
(9000, "Public", "9720515C", "Lycée professionnel Andre Aliker", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée professionnel Andre Aliker - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 27, 206, 58, 206, 0, 18, 7, 43, 25, 94, 60, 51, 0, 0, 0, 0, 0, 206, 0, 0, 0, 18, 7, 43, 25, 94, 60, 51, 57, 30, 8, 30, 0, 14.0, 30.0, 30.0, 0, 20, 30, 4, 5, 21, 0, 0, 11, 13, 6, 0, 0.0, 2, 2, 15, 16, 3, 28, 28, 46.67, 100.0, 100.0, 26.69921875, 93.296875, 93.296875, 53.296875, 66.6875, 100.0, 0.0, 36.6953125, 43.296875, 20.0, 0.0, 0.0, 13.298828125, 6.69921875, 16.69921875, 6.69921875, 70.0, 50.0, 9.0, 6.0, 34.0, 22.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 34.0, "11814", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11814&g_ta_cod=11814", 13.0, 17.0, 70.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(9001, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte - Licence - Lettres, langues - Parcours Majeure Espagnol - Mineure Lettres", "Licence - Arts-lettres-langues", "Majeure Espagnol - Mineure Lettres", 25, 43, 29, 25, 0, 21, 6, 1, 0, 1, 0, 2, 18, 2, 1, 0, 15, 25, 9, 0, 0, 21, 6, 1, 0, 1, 0, 2, 34, 8, 5, 6, 2, 5.0, 5.0, 6.0, 0, 0, 6, 6, 0, 0, 2, 0, 1, 4, 0, 1, 0.0, 5, 0, 0, 0, 0, 6, 6, 62.5, 62.5, 75.0, 62.5, 100.0, 100.0, 0, 0.0, 75.0, 0.0, 16.69921875, 66.6875, 0.0, 16.7, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 23.0, 7.0, 1.0, 0.0, 9.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20968", "Licence - Lettres, langues - Parcours Majeure Espagnol - Mineure Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20968&g_ta_cod=20968", 100.0, 0.0, 0.0),
(9002, "Privé sous contrat d'association", "0622198C", "Lycée Saint Joseph", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Martin-Boulogne", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 22, 171, 82, 152, 0, 24, 5, 30, 7, 12, 4, 86, 19, 1, 8, 1, 9, 87, 8, 0, 0, 24, 5, 28, 7, 12, 4, 23, 78, 7, 4, 4, 3, 1.0, 3.0, 6.0, 0, 2, 5, 2, 3, 0, 2, 0, 2, 2, 1, 0, 0.0, 2, 1, 0, 1, 1, 5, 5, 14.29, 42.86, 85.71, 57.09375, 100.0, 100.0, 20, 40.0, 71.390625, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 40.0, 40.0, 60.0, 20.0, 0.0, 0.0, 18.0, 4.0, 11.0, 4.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 57.0, "7427", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7427&g_ta_cod=7427", 57.0, 43.0, 0.0),
(9003, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation sélective", "Autre formation", "Université Savoie Mont Blanc - Bourget-du-Lac - C.M.I - Cursus Master en Ingénierie - Sciences de la terre - Cursus Master en Ingénierie (CMI) 1er cycle Ingénierie en Géosciences", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) 1er cycle Ingénierie en Géosciences", 15, 91, 30, 65, 0, 46, 9, 3, 1, 0, 0, 16, 26, 14, 0, 0, 12, 27, 6, 0, 0, 26, 4, 0, 0, 0, 0, 1, 31, 9, 4, 7, 2, 5.0, 7.0, 8.0, 0, 0, 9, 9, 0, 0, 0, 0, 0, 3, 5, 1, 0.0, 9, 0, 0, 0, 0, 6, 6, 55.56, 77.78, 88.89, 44.3984375, 66.6875, 66.6875, 0, 0.0, 100.0, 0.0, 0.0, 33.296875, 55.59375, 11.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 27.0, 4.0, 0.0, 0.0, 4.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "18371", "C.M.I - Cursus Master en Ingénierie - Sciences de la terre - Cursus Master en Ingénierie (CMI) 1er cycle Ingénierie en Géosciences", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18371&g_ta_cod=18371", 100.0, 0.0, 0.0),
(9004, "Public", "0670086E", "Lycée des métiers René Cassin", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée des métiers René Cassin - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 62, 935, 143, 935, 0, 135, 34, 242, 108, 186, 74, 372, 0, 0, 0, 0, 0, 471, 0, 0, 0, 108, 24, 152, 64, 103, 34, 108, 222, 62, 8, 62, 0, 15.0, 50.0, 56.0, 0, 18, 45, 12, 20, 13, 17, 0, 18, 14, 9, 4, 0.0, 4, 10, 13, 5, 2, 38, 38, 24.19, 80.65, 90.32, 12.8984375, 84.390625, 84.390625, 11.099609375, 40.0, 72.59375, 0.0, 40.0, 31.09765625, 20.0, 8.9, 0.0, 26.69921875, 8.8984375, 44.3984375, 22.19921875, 28.8984375, 28.8984375, 62.0, 16.0, 31.0, 10.0, 49.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 99.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 127, "Liste d'appel propre à cette formation", 29.0, "7951", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7951&g_ta_cod=7951", 32.0, 44.0, 24.0),
(9005, "Public", "0062271L", "Sciences Po - campus de Menton - Institut d'études politiques", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Menton", "formation sélective", "Autre formation", "Sciences Po Paris - Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", "Sciences politiques", "Bachelor du Collège universitaire de Sciences Po - Middle Eastern and Mediterranean programme - English track, campus de Menton", 8, 415, 298, 415, 0, 411, 52, 3, 1, 0, 0, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 3, 0, 0, 0, 0, 0, 10, 6, 5, 6, 0, 0.0, 6.0, 6.0, 0, 3, 6, 6, 0, 0, 0, 0, 0, 0, 0, 2, 4.0, 6, 0, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 83.296875, 0.0, 0.0, 0, 50.0, 100.0, 0.0, 0.0, 0.0, 0.0, 33.3, 66.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 10.0, 3.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 2.0, "31973", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", "Sciences Po Paris - Institut d'études politiques", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25777&g_ta_cod=31973", 100.0, 0.0, 0.0),
(9006, "Public", "0350053T", "Lycée Bertrand D'Argentre", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Vitré", "formation sélective", "BTS", "Lycée Bertrand D'Argentre - BTS - Services - Communication", "BTS - Services", "", 35, 1259, 794, 1252, 0, 287, 45, 313, 73, 119, 41, 533, 7, 0, 0, 3, 4, 635, 0, 0, 0, 263, 40, 210, 44, 57, 20, 105, 210, 34, 26, 34, 0, 2.0, 27.0, 34.0, 0, 6, 30, 15, 9, 6, 4, 0, 6, 18, 4, 2, 0.0, 13, 7, 4, 3, 2, 25, 25, 5.88, 79.41, 100.0, 76.5, 83.296875, 83.296875, 10, 20.0, 88.1875, 0.0, 20.0, 60.0, 13.298828125, 6.7, 0.0, 50.0, 43.296875, 30.0, 23.296875, 20.0, 13.298828125, 85.0, 12.0, 33.0, 13.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 152.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 172, "Liste d'appel propre à cette formation", 31.0, "4657", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4657&g_ta_cod=4657", 47.0, 35.0, 18.0),
(9007, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Double licence - Philosophie / Science politique - Philosophie - Science Politique", "Licence - Sciences humaines et sociales", "Philosophie - Science Politique", 30, 1919, 1249, 1919, 0, 1357, 132, 10, 1, 5, 2, 547, 0, 0, 0, 0, 0, 1260, 0, 0, 0, 949, 77, 1, 0, 1, 0, 309, 146, 30, 28, 30, 0, 4.0, 21.0, 28.0, 0, 3, 27, 27, 0, 0, 3, 0, 0, 0, 4, 13, 10.0, 27, 0, 0, 0, 0, 2, 9, 13.33, 70.0, 93.33, 93.296875, 7.3994140625, 33.296875, 0, 11.099609375, 90.0, 0.0, 0.0, 0.0, 14.798828125, 48.1, 37.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 127.0, 14.0, 0.0, 0.0, 19.0, "Tous les candidats", 240.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "17154", "Double licence - Philosophie / Science politique - Philosophie - Science Politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17154&g_ta_cod=17154", 100.0, 0.0, 0.0),
(9008, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 274, 2887, 936, 2887, 0, 1975, 253, 263, 57, 77, 19, 572, 0, 0, 0, 0, 0, 2871, 0, 0, 0, 1975, 253, 263, 57, 77, 19, 556, 761, 273, 62, 272, 0, 60.0, 227.0, 244.0, 0, 35, 218, 190, 20, 8, 55, 0, 82, 101, 34, 1, 0.0, 124, 6, 6, 0, 0, 203, 203, 21.98, 83.15, 89.38, 22.69921875, 93.09375, 93.09375, 0, 16.09765625, 79.890625, 0.0, 37.59375, 46.296875, 15.599609375, 0.5, 0.0, 87.1875, 56.8984375, 9.19921875, 2.7998046875, 3.69970703125, 2.7998046875, 457.0, 77.0, 22.0, 6.0, 244.0, "Tous les candidats", 859.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "3274", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27643&g_ta_cod=3274", 86.0, 10.0, 4.0),
(9009, "Public", "0031092W", "I.U.T. d'Allier - site de Vichy", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Vichy", "formation sélective", "BUT", "I.U.T. d'Allier - site de Vichy - BUT - Information communication Parcours journalisme", "BUT - Service", "", 50, 1704, 886, 1704, 0, 1195, 169, 112, 24, 21, 12, 376, 0, 0, 0, 0, 0, 355, 0, 0, 0, 285, 35, 14, 3, 0, 0, 56, 119, 50, 25, 50, 0, 17.0, 45.0, 47.0, 0, 9, 40, 36, 4, 0, 10, 0, 0, 9, 24, 7, 0.0, 36, 4, 0, 0, 0, 3, 3, 34.0, 90.0, 94.0, 50.0, 7.5, 7.5, 0, 22.5, 80.0, 0.0, 0.0, 22.5, 60.0, 17.5, 0.0, 90.0, 90.0, 10.0, 10.0, 0.0, 0.0, 93.0, 17.0, 0.0, 0.0, 15.0, "Tous les candidats sauf les Bac technologiques", 114.0, "Bacheliers technologiques toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 8.0, "20875", "BUT - Information communication Parcours journalisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20875&g_ta_cod=20875", 86.0, 14.0, 0.0),
(9010, "Public", "0800009A", "Lycée Louis Thuillier", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "CPGE", "Pôle Thuillier / Michelis  - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 176, 77, 167, 95, 129, 13, 0, 0, 0, 0, 38, 9, 2, 0, 0, 7, 120, 3, 65, 109, 114, 11, 0, 0, 0, 0, 6, 96, 14, 6, 13, 1, 1.0, 13.0, 13.0, 4, 0, 13, 13, 0, 0, 1, 0, 2, 5, 4, 2, 0.0, 11, 0, 0, 2, 0, 10, 10, 7.14, 92.86, 92.86, 42.8984375, 76.890625, 76.890625, 15.3984375, 0.0, 92.890625, 0.0, 15.3984375, 38.5, 30.796875, 15.4, 0.0, 100.0, 84.59375, 0.0, 0.0, 0.0, 0.0, 90.0, 9.0, 0.0, 0.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "31656", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31276&g_ta_cod=31656", 100.0, 0.0, 0.0),
(9011, "Privé sous contrat d'association", "0511145T", "Lycée St Michel", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée St Michel - BTS - Services - Tourisme", "BTS - Services", "", 36, 333, 238, 333, 0, 90, 22, 66, 19, 62, 29, 115, 0, 0, 0, 0, 0, 237, 0, 0, 0, 78, 16, 54, 17, 30, 10, 75, 133, 31, 22, 31, 0, 9.0, 29.0, 29.0, 0, 6, 14, 3, 4, 7, 17, 0, 4, 7, 3, 0, 0.0, 1, 3, 6, 1, 1, 12, 12, 29.03, 93.55, 93.55, 71.0, 85.6875, 85.6875, 7.099609375, 42.8984375, 45.1953125, 0.0, 28.59765625, 50.0, 21.3984375, 0.0, 0.0, 21.3984375, 7.099609375, 28.59765625, 21.3984375, 50.0, 42.8984375, 39.0, 10.0, 23.0, 9.0, 53.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 115.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 51.0, "6100", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6100&g_ta_cod=6100", 52.0, 23.0, 26.0),
(9012, "Public", "0350068J", "Campus de l'excellence sportive de Bretagne", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Dinard", "formation sélective", "Autre formation", "Campus de l'excellence sportive de Bretagne - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 7, 51, 20, 42, 0, 11, 0, 13, 3, 8, 2, 10, 9, 1, 2, 0, 6, 8, 2, 0, 0, 2, 0, 4, 0, 0, 0, 2, 10, 3, 1, 3, 0, 1.0, 3.0, 3.0, 0, 0, 2, 0, 2, 0, 1, 0, 0, 2, 0, 0, 0.0, 0, 2, 0, 0, 0, 2, 2, 33.33, 100.0, 100.0, 33.296875, 100.0, 100.0, 0, 0.0, 66.6875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 3.0, 1.0, 0.0, 0.0, 3.0, "Tous les candidats", 9.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "23544", "BPJEPS - Activités aquatiques et de la natation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23544&g_ta_cod=23544", 0.0, 100.0, 0.0),
(9013, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Arts plastiques - Parcours Licence Arts Plastiques Option Histoire de l'Art et Archéologie", "Licence - Arts-lettres-langues", "Licence Arts Plastiques Option Histoire de l'Art et Archéologie", 85, 769, 603, 769, 0, 433, 121, 128, 32, 40, 15, 168, 0, 0, 0, 0, 0, 769, 0, 0, 0, 433, 121, 128, 32, 40, 15, 168, 442, 87, 66, 87, 0, 8.0, 67.0, 79.0, 0, 16, 73, 51, 15, 7, 14, 0, 31, 26, 11, 5, 0.0, 30, 8, 4, 0, 0, 55, 55, 9.2, 77.01, 90.8, 75.890625, 75.296875, 75.296875, 0, 21.8984375, 83.890625, 0.0, 42.5, 35.59375, 15.099609375, 6.8, 0.0, 69.890625, 41.09375, 20.5, 11.0, 9.599609375, 5.5, 262.0, 60.0, 26.0, 9.0, 73.0, "Tous les candidats", 653.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "25331", "Licence - Arts plastiques - Parcours Licence Arts Plastiques Option Histoire de l'Art et Archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25331&g_ta_cod=25331", 68.0, 20.0, 11.0),
(9014, "Privé sous contrat d'association", "0754783S", "Institut de Formation en Ergothérapie ADERE", "75", "Paris", "Ile-de-France", "Paris", "Paris 20e  Arrondissement", "formation sélective", "Autre formation", "Institut de Formation en Ergothérapie ADERE - D.E Ergothérapeute", "D.E secteur sanitaire", "", 56, 625, 567, 625, 0, 134, 13, 99, 15, 8, 2, 384, 0, 0, 0, 0, 0, 529, 0, 0, 0, 115, 9, 73, 10, 6, 2, 335, 247, 52, 51, 52, 0, 7.0, 24.0, 35.0, 0, 2, 23, 15, 7, 1, 29, 0, 2, 15, 3, 3, 0.0, 13, 7, 1, 0, 0, 1, 16, 13.46, 46.15, 67.31, 98.09375, 4.2998046875, 69.59375, 0, 8.69921875, 44.1953125, 0.0, 8.69921875, 65.1875, 13.0, 13.0, 0.0, 65.1875, 56.5, 30.3984375, 30.3984375, 4.2998046875, 4.2998046875, 55.0, 7.0, 2.0, 1.0, 163.0, "Tous les candidats", 226.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "26033", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26033&g_ta_cod=26033", 73.0, 23.0, 4.0),
(9015, "Privé sous contrat d'association", "0931796X", "Lycée ORT DANIEL MAYER", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "Autre formation", "Lycée ORT DANIEL MAYER - Diplôme de Comptabilité et de Gestion", "DCG", "", 30, 628, 282, 466, 0, 190, 67, 102, 43, 14, 6, 160, 162, 39, 25, 4, 94, 177, 40, 0, 0, 78, 23, 43, 20, 0, 0, 56, 181, 23, 5, 13, 10, 2.0, 12.0, 18.0, 0, 0, 12, 9, 3, 0, 11, 0, 3, 8, 1, 0, 0.0, 7, 2, 0, 0, 0, 5, 10, 8.7, 52.17, 78.26, 21.69921875, 41.6953125, 83.296875, 0, 0.0, 52.1953125, 0.0, 25.0, 66.6875, 8.298828125, 0.0, 0.0, 75.0, 58.296875, 25.0, 16.69921875, 0.0, 0.0, 77.0, 18.0, 0.0, 0.0, 77.0, "Tous les candidats", 175.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "11287", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11287&g_ta_cod=11287", 78.0, 17.0, 0.0),
(9016, "Public", "0210015C", "Lycée Carnot", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "CPGE", "Lycée Carnot - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 702, 351, 694, 430, 579, 51, 1, 0, 0, 0, 114, 8, 6, 0, 1, 1, 481, 4, 228, 453, 457, 32, 0, 0, 0, 0, 24, 245, 17, 7, 14, 3, 1.0, 8.0, 14.0, 1, 1, 17, 17, 0, 0, 0, 0, 1, 4, 9, 3, 0.0, 16, 0, 0, 0, 0, 6, 6, 5.88, 47.06, 82.35, 41.1953125, 35.296875, 35.296875, 0, 5.8994140625, 100.0, 0.0, 5.8994140625, 23.5, 52.8984375, 17.6, 0.0, 100.0, 94.09375, 0.0, 0.0, 0.0, 0.0, 231.0, 17.0, 0.0, 0.0, 14.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "31484", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31297&g_ta_cod=31484", 100.0, 0.0, 0.0),
(9017, "Public", "0290013G", "Lycée Jules Lesven", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Autre formation", "Lycée Jules Lesven - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 463, 227, 463, 0, 126, 19, 101, 25, 9, 5, 227, 0, 0, 0, 0, 0, 235, 0, 0, 0, 115, 18, 77, 20, 0, 0, 43, 149, 40, 20, 40, 0, 8.0, 36.0, 40.0, 0, 5, 26, 15, 11, 0, 14, 0, 9, 6, 8, 3, 0.0, 7, 10, 0, 0, 0, 24, 24, 20.0, 90.0, 100.0, 50.0, 92.296875, 92.296875, 0, 19.19921875, 65.0, 0.0, 34.59375, 23.09765625, 30.796875, 11.5, 0.0, 57.6953125, 26.8984375, 42.296875, 38.5, 0.0, 0.0, 65.0, 7.0, 0.0, 0.0, 33.0, "Tous les candidats", 230.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "3778", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3778&g_ta_cod=3778", 68.0, 33.0, 0.0),
(9018, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Arts du spectacle - Parcours Arts du spectacle et audiovisuel", "Licence - Arts-lettres-langues", "Arts du spectacle et audiovisuel", 160, 746, 431, 678, 0, 415, 90, 60, 16, 28, 12, 175, 68, 16, 1, 4, 47, 677, 68, 0, 0, 415, 90, 60, 16, 28, 12, 174, 611, 147, 77, 122, 24, 23.0, 120.0, 128.0, 0, 24, 98, 73, 16, 9, 49, 0, 43, 37, 16, 2, 0.0, 40, 9, 6, 0, 0, 74, 74, 15.65, 81.63, 87.07, 52.3984375, 75.5, 75.5, 0, 24.5, 66.6875, 0.0, 43.8984375, 37.796875, 16.296875, 2.0, 0.0, 74.5, 40.796875, 16.296875, 9.19921875, 9.19921875, 6.099609375, 350.0, 80.0, 21.0, 8.0, 189.0, "Tous les candidats", 678.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6599", "Licence - Arts du spectacle - Parcours Arts du spectacle et audiovisuel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6599&g_ta_cod=6599", 71.0, 16.0, 11.0),
(9019, "Public", "0290012F", "Lycée Vauban", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Vauban - BTS - Production - Conception et Réalisation de Systèmes Automatiques - parcours Marine Nationale/Maistrance-Défense", "BTS - Production", "parcours Marine Nationale/Maistrance-Défense", 4, 48, 1, 48, 0, 15, 1, 14, 1, 11, 3, 8, 0, 0, 0, 0, 0, 25, 0, 0, 0, 10, 0, 9, 0, 2, 0, 4, 8, 4, 0, 4, 0, 1.0, 3.0, 4.0, 0, 0, 3, 1, 1, 1, 1, 0, 0, 2, 1, 0, 0.0, 1, 1, 1, 0, 0, 0, 0, 25.0, 75.0, 100.0, 0.0, 0.0, 0.0, 0, 0.0, 75.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 33.296875, 33.296875, 33.296875, 1.0, 0.0, 1.0, 0.0, 3.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "19590", "BTS - Production - Conception et Réalisation de Systèmes Automatiques - parcours Marine Nationale/Maistrance-Défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19590&g_ta_cod=19590", 50.0, 25.0, 25.0),
(9020, "Privé enseignement supérieur", "0711648F", "EGC de Chalon-sur-Saône", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "Ecole de Commerce", "EGC de Chalon-sur-Saône - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "", 25, 33, 14, 27, 0, 23, 1, 0, 0, 1, 1, 3, 6, 2, 0, 1, 3, 25, 4, 0, 0, 22, 0, 0, 0, 1, 1, 2, 29, 8, 3, 6, 2, 5.0, 5.0, 6.0, 0, 1, 5, 4, 0, 1, 3, 0, 2, 3, 0, 0, 0.0, 2, 0, 1, 0, 0, 4, 4, 62.5, 62.5, 75.0, 37.5, 80.0, 80.0, 0, 20.0, 62.5, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 80.0, 40.0, 0.0, 0.0, 20.0, 20.0, 24.0, 0.0, 1.0, 1.0, 4.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "12043", "Formation des écoles de commerce et de management Bac + 3", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12043&g_ta_cod=12043", 63.0, 0.0, 38.0),
(9021, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Portail Musicologie - Musicologie - Grenoble", "Licence - Sciences humaines et sociales", "Musicologie - Grenoble", 65, 292, 137, 258, 0, 168, 31, 20, 6, 4, 0, 66, 34, 9, 2, 1, 22, 258, 30, 0, 0, 168, 31, 20, 6, 4, 0, 66, 264, 48, 18, 39, 9, 24.0, 39.0, 44.0, 0, 4, 25, 22, 1, 2, 23, 3, 7, 13, 2, 0, 0.0, 13, 0, 2, 0, 0, 21, 21, 50.0, 81.25, 91.67, 37.5, 84.0, 84.0, 0, 16.0, 52.09375, 12.0, 28.0, 52.0, 8.0, 0.0, 0.0, 88.0, 52.0, 4.0, 0.0, 8.0, 8.0, 165.0, 29.0, 3.0, 1.0, 76.0, "Tous les candidats", 293.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "31067", "Licence - Portail Musicologie - Musicologie - Grenoble", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31068&g_ta_cod=31067", 75.0, 15.0, 6.0),
(9022, "Privé sous contrat d'association", "0530068L", "Lycée HAUTE-FOLLIS", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "Lycée HAUTE-FOLLIS - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 18, 274, 80, 274, 0, 69, 15, 68, 9, 109, 27, 28, 0, 0, 0, 0, 0, 115, 0, 0, 0, 23, 4, 35, 3, 53, 12, 4, 52, 16, 4, 16, 0, 11.0, 13.0, 14.0, 0, 3, 15, 3, 2, 10, 1, 0, 2, 7, 5, 1, 0.0, 2, 1, 10, 8, 3, 12, 12, 68.75, 81.25, 87.5, 25.0, 80.0, 80.0, 53.296875, 20.0, 93.796875, 0.0, 13.298828125, 46.6953125, 33.296875, 6.7, 0.0, 20.0, 13.298828125, 13.298828125, 6.69921875, 66.6875, 66.6875, 16.0, 3.0, 17.0, 3.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers technologiques toutes séries", 26, "Bacheliers professionnels toutes séries", 14, "Liste d'appel propre à cette formation", 19.0, "33176", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33176&g_ta_cod=33176", 19.0, 13.0, 69.0),
(9023, "Public", "0180005H", "Lycée Alain-Fournier", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "CPGE", "Lycée Alain-Fournier - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 562, 137, 402, 285, 238, 26, 0, 0, 0, 0, 164, 160, 91, 0, 0, 69, 233, 72, 180, 224, 216, 21, 0, 0, 0, 0, 17, 279, 30, 7, 22, 8, 4.0, 22.0, 30.0, 19, 1, 27, 27, 0, 0, 3, 0, 0, 15, 11, 1, 0.0, 27, 0, 0, 1, 0, 17, 17, 13.33, 73.33, 100.0, 23.296875, 63.0, 63.0, 3.69970703125, 3.69970703125, 90.0, 0.0, 0.0, 55.59375, 40.6953125, 3.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 253.0, 19.0, 0.0, 0.0, 26.0, "Tous les candidats", 232.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "3089", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3089&g_ta_cod=3089", 100.0, 0.0, 0.0),
(9024, "Privé sous contrat d'association", "0060735S", "Lycée Les Fauvettes", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "Autre formation", "Lycée Les Fauvettes - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 5, 5, 0, 0, 0.0, 0.0, 0.0, 0, 2, 5, 0, 2, 3, 0, 0, 1, 3, 1, 0, 0.0, 0, 2, 2, 0, 0, 5, 5, 0.0, 0.0, 0.0, 100.0, 100.0, 100.0, 0, 40.0, 100.0, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 0.0, 0.0, 40.0, 40.0, 60.0, 40.0, 0.0, 0.0, 9.0, 3.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25747", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 40.0, 60.0),
(9025, "Public", "0210017E", "Lycée Montchapet", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Montchapet - BTS - Services - Commerce International", "BTS - Services", "", 24, 1118, 593, 1118, 0, 321, 70, 326, 122, 139, 57, 332, 0, 0, 0, 0, 0, 547, 0, 0, 0, 208, 42, 134, 42, 114, 44, 91, 117, 24, 16, 24, 0, 3.0, 15.0, 22.0, 0, 6, 20, 6, 9, 5, 4, 0, 3, 12, 3, 2, 0.0, 3, 9, 5, 2, 1, 18, 18, 12.5, 62.5, 91.67, 66.6875, 90.0, 90.0, 10, 30.0, 83.296875, 0.0, 15.0, 60.0, 15.0, 10.0, 0.0, 30.0, 15.0, 45.0, 45.0, 25.0, 25.0, 55.0, 12.0, 19.0, 8.0, 11.0, "Tous les candidats sauf les Bac professionnels", 214.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 23.0, "3185", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3185&g_ta_cod=3185", 42.0, 38.0, 21.0),
(9026, "Public", "0740003B", "Lycée Berthollet", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "CPGE", "Lycée Berthollet - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 498, 222, 495, 357, 432, 21, 0, 0, 0, 0, 63, 3, 1, 0, 0, 2, 407, 1, 299, 384, 387, 17, 0, 0, 0, 0, 20, 248, 13, 6, 13, 0, 3.0, 7.0, 13.0, 3, 0, 11, 11, 0, 0, 2, 0, 0, 4, 7, 0, 0.0, 11, 0, 0, 3, 0, 9, 9, 23.08, 53.85, 100.0, 46.1953125, 81.796875, 81.796875, 27.296875, 0.0, 84.59375, 0.0, 0.0, 36.3984375, 63.59375, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 231.0, 16.0, 0.0, 0.0, 17.0, "Tous les candidats", 406.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "31300", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31300&g_ta_cod=31300", 100.0, 0.0, 0.0),
(9027, "Public", "0762602R", "LP Lycée des Métiers Les 4 Cantons - Grieu", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "Autre formation", "LP Lycée des Métiers Les 4 Cantons - Grieu - Mention complémentaire - Mécatronique navale", "Mention complémentaire", "", 12, 36, 0, 27, 0, 0, 0, 0, 0, 20, 6, 7, 9, 0, 1, 3, 5, 20, 2, 0, 0, 0, 0, 0, 0, 20, 6, 0, 22, 5, 0, 3, 2, 1.0, 3.0, 3.0, 0, 1, 5, 0, 0, 5, 0, 0, 3, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 3, 3, 20.0, 60.0, 60.0, 0.0, 60.0, 60.0, 0, 20.0, 100.0, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 40.0, 0.0, 0.0, 22.0, 6.0, 0.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "20600", "Mention complémentaire - Mécatronique navale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20600&g_ta_cod=20600", 0.0, 0.0, 100.0),
(9028, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 445, 5727, 1861, 5727, 0, 3620, 658, 533, 162, 93, 41, 1481, 0, 0, 0, 0, 0, 5726, 0, 0, 0, 3620, 658, 533, 162, 93, 41, 1480, 1570, 441, 102, 440, 0, 143.0, 355.0, 382.0, 0, 87, 288, 260, 18, 10, 153, 0, 107, 113, 56, 12, 0.0, 165, 8, 8, 0, 0, 276, 276, 32.43, 80.5, 86.62, 23.09765625, 95.796875, 95.796875, 0, 30.19921875, 65.296875, 0.0, 37.1953125, 39.1953125, 19.3984375, 4.2, 0.0, 90.296875, 57.296875, 6.2998046875, 2.7998046875, 3.5, 2.7998046875, 836.0, 240.0, 22.0, 11.0, 648.0, "Tous les candidats", 1804.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "6882", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29050&g_ta_cod=6882", 90.0, 6.0, 4.0),
(9029, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Droit - Parcours Droit - IED (ex-CAVEJ), Parcours d'Enseignement à Distance", "Licence - Droit-économie-gestion", "Droit - IED (ex-CAVEJ), Parcours d'Enseignement à Distance", 1500, 3028, 2173, 1154, 0, 408, 108, 70, 23, 13, 6, 663, 1874, 541, 117, 27, 1189, 1154, 1828, 0, 0, 408, 108, 70, 23, 13, 6, 663, 2991, 1452, 1046, 436, 1012, 433.0, 434.0, 1039.0, 0, 138, 425, 321, 82, 22, 1027, 8, 207, 134, 63, 13, 0.0, 155, 42, 13, 0, 0, 78, 279, 29.82, 29.89, 71.56, 72.0, 18.3984375, 65.59375, 0, 32.5, 29.296875, 1.89990234375, 48.6953125, 31.5, 14.798828125, 3.1, 0.0, 75.5, 36.5, 19.296875, 9.8984375, 5.19921875, 3.099609375, 942.0, 248.0, 40.0, 18.0, 1824.0, "Tous les candidats", 1154.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "22938", "Licence - Droit - Parcours Droit - IED (ex-CAVEJ), Parcours d'Enseignement à Distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22938&g_ta_cod=22938", 72.0, 16.0, 7.0),
(9030, "Privé sous contrat d'association", "0951982N", "ECOLE PRATIQUE SERVICE SOCIAL CTRE POLYTECHN. ST LOUIS", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "EFTS", "ECOLE PRATIQUE SERVICE SOCIAL CTRE POLYTECHN. ST LOUIS - D.E Educateur Spécialisé", "D.E secteur social", "", 50, 230, 195, 230, 0, 32, 4, 47, 8, 45, 12, 106, 0, 0, 0, 0, 0, 175, 0, 0, 0, 27, 2, 31, 2, 34, 8, 83, 85, 49, 45, 49, 0, 22.0, 37.0, 45.0, 0, 4, 27, 11, 9, 7, 22, 0, 4, 14, 8, 1, 0.0, 9, 7, 7, 0, 0, 26, 26, 44.9, 75.51, 91.84, 91.796875, 96.296875, 96.296875, 0, 14.798828125, 55.09375, 0.0, 14.798828125, 51.8984375, 29.59765625, 3.7, 0.0, 40.6953125, 33.296875, 33.296875, 25.8984375, 25.8984375, 25.8984375, 18.0, 2.0, 9.0, 3.0, 44.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "24884", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24884&g_ta_cod=24884", 47.0, 29.0, 24.0),
(9031, "Public", "0721094Y", "Lycée Polyvalent Le Mans Sud", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Le Mans Sud - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 28, 420, 17, 420, 0, 52, 10, 81, 14, 205, 60, 82, 0, 0, 0, 0, 0, 215, 0, 0, 0, 20, 4, 58, 9, 126, 25, 11, 67, 27, 1, 27, 0, 12.0, 23.0, 26.0, 0, 6, 26, 1, 12, 13, 1, 0, 4, 13, 6, 3, 0.0, 1, 9, 12, 7, 1, 10, 10, 44.44, 85.19, 96.3, 3.69970703125, 38.5, 38.5, 26.8984375, 23.09765625, 96.296875, 0.0, 15.3984375, 50.0, 23.09765625, 11.5, 0.0, 3.7998046875, 3.7998046875, 46.1953125, 34.59375, 50.0, 46.1953125, 1.0, 1.0, 33.0, 7.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 26.0, "8760", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8760&g_ta_cod=8760", 7.0, 44.0, 48.0),
(9032, "Public", "0690026D", "Lycée du Parc", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 6e  Arrondissement", "formation sélective", "CPGE", "Lycée du Parc - CPGE - PCSI", "Classe préparatoire scientifique", "", 140, 5580, 2054, 5580, 4521, 5061, 399, 3, 1, 0, 0, 516, 0, 0, 0, 0, 0, 4770, 0, 4521, 1941, 4418, 344, 2, 1, 0, 0, 350, 797, 139, 57, 139, 0, 15.0, 102.0, 130.0, 33, 27, 138, 138, 0, 0, 1, 0, 0, 0, 2, 83, 53.0, 138, 0, 0, 1, 0, 29, 29, 10.79, 73.38, 93.53, 41.0, 21.0, 21.0, 0.699951171875, 19.59765625, 99.296875, 0.0, 0.0, 0.0, 1.39990234375, 60.1, 38.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 792.0, 119.0, 0.0, 0.0, 5.0, "Tous les candidats", 1052.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "8183", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8183&g_ta_cod=8183", 100.0, 0.0, 0.0),
(9033, "Public", "0690010L", "Lycée des métiers Tony Garnier du Batiment et des Travaux Publics", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Bron", "formation sélective", "BTS", "Lycée des métiers Tony Garnier du Batiment et des Travaux Publics - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants (Seconde année en apprentissage)", "BTS - Production", "", 12, 368, 18, 368, 0, 14, 1, 104, 29, 186, 82, 64, 0, 0, 0, 0, 0, 217, 0, 0, 0, 14, 1, 66, 17, 110, 40, 27, 84, 12, 0, 12, 0, 0.0, 7.0, 9.0, 0, 5, 12, 1, 5, 6, 0, 0, 6, 5, 1, 0, 0.0, 0, 1, 5, 1, 0, 8, 8, 0.0, 58.33, 75.0, 0.0, 66.6875, 66.6875, 8.298828125, 41.6953125, 100.0, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 8.298828125, 0.0, 41.6953125, 8.298828125, 50.0, 41.6953125, 9.0, 1.0, 45.0, 18.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 32.0, "20196", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20196&g_ta_cod=20196", 8.0, 42.0, 50.0),
(9034, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence_Las", "Université du Mans - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 15, 234, 176, 234, 0, 158, 38, 28, 7, 4, 3, 44, 0, 0, 0, 0, 0, 232, 0, 0, 0, 158, 38, 28, 7, 4, 3, 42, 105, 15, 9, 15, 0, 2.0, 9.0, 13.0, 0, 2, 11, 10, 1, 0, 4, 0, 2, 3, 5, 1, 0.0, 8, 1, 0, 0, 0, 8, 8, 13.33, 60.0, 86.67, 60.0, 72.6875, 72.6875, 0, 18.19921875, 73.296875, 0.0, 18.19921875, 27.296875, 45.5, 9.1, 0.0, 90.890625, 72.6875, 9.099609375, 9.099609375, 0.0, 0.0, 79.0, 18.0, 1.0, 0.0, 15.0, "Tous les candidats", 1144.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 82.0, "26861", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26860&g_ta_cod=26861", 87.0, 13.0, 0.0),
(9035, "Public", "0580055V", "Lycée agricole de Nevers Challuy", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "BTS", "Lycée agricole de Nevers Challuy - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 20, 170, 68, 170, 0, 14, 4, 45, 13, 53, 19, 58, 0, 0, 0, 0, 0, 166, 0, 0, 0, 14, 4, 45, 13, 53, 19, 54, 68, 15, 3, 15, 0, 6.0, 13.0, 14.0, 0, 5, 12, 0, 4, 8, 3, 0, 4, 7, 1, 0, 0.0, 0, 2, 6, 1, 0, 10, 10, 40.0, 86.67, 93.33, 20.0, 83.296875, 83.296875, 8.298828125, 41.6953125, 80.0, 0.0, 33.296875, 58.296875, 8.298828125, 0.0, 0.0, 0.0, 0.0, 33.296875, 16.69921875, 66.6875, 50.0, 7.0, 2.0, 14.0, 7.0, 12.0, "Tous les candidats sauf les Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 54.0, "6683", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6683&g_ta_cod=6683", 20.0, 27.0, 53.0),
(9036, "Public", "0760096S", "Lycée Gustave Flaubert", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Gustave Flaubert - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 34, 1013, 157, 1013, 0, 121, 25, 216, 62, 181, 68, 495, 0, 0, 0, 0, 0, 362, 0, 0, 0, 90, 16, 100, 22, 102, 35, 70, 123, 32, 1, 32, 0, 4.0, 27.0, 28.0, 0, 7, 26, 8, 9, 9, 6, 1, 7, 8, 9, 1, 0.0, 4, 5, 9, 5, 0, 26, 26, 12.5, 84.38, 87.5, 3.099609375, 100.0, 100.0, 19.19921875, 26.8984375, 81.296875, 3.7998046875, 26.8984375, 30.796875, 34.59375, 3.8, 0.0, 30.796875, 15.3984375, 34.59375, 19.19921875, 34.59375, 34.59375, 27.0, 7.0, 34.0, 10.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 15.0, "9609", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9609&g_ta_cod=9609", 31.0, 38.0, 31.0),
(9037, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 155, 932, 731, 792, 0, 420, 119, 121, 61, 46, 25, 205, 140, 20, 20, 14, 86, 784, 128, 0, 0, 420, 119, 121, 61, 46, 25, 197, 755, 152, 113, 100, 51, 12.0, 97.0, 122.0, 0, 37, 80, 34, 24, 22, 72, 1, 52, 22, 5, 0, 0.0, 16, 2, 9, 0, 0, 62, 62, 7.89, 63.82, 80.26, 74.296875, 77.5, 77.5, 0, 46.296875, 52.59375, 1.2998046875, 65.0, 27.5, 6.2998046875, 0.0, 0.0, 42.5, 20.0, 30.0, 2.5, 27.5, 11.298828125, 328.0, 91.0, 56.0, 34.0, 251.0, "Tous les candidats", 784.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "5351", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5351&g_ta_cod=5351", 45.0, 27.0, 26.0),
(9038, "Public", "0460697H", "I.U.T de Figeac", "46", "Lot", "Occitanie", "Toulouse", "Figeac", "formation sélective", "BUT", "I.U.T de Figeac - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle", "BUT - Production", "Innovation pour l?industrie - Simulation numérique et réalité virtuelle", 45, 513, 39, 503, 0, 255, 27, 169, 27, 1, 1, 78, 10, 1, 1, 1, 7, 440, 5, 0, 0, 240, 25, 139, 23, 1, 1, 60, 276, 32, 2, 30, 2, 7.0, 24.0, 32.0, 0, 2, 26, 18, 8, 0, 6, 0, 10, 14, 2, 0, 0.0, 10, 6, 0, 0, 0, 18, 18, 21.88, 75.0, 100.0, 6.2998046875, 69.1875, 69.1875, 0, 7.69921875, 81.296875, 0.0, 38.5, 53.796875, 7.69921875, 0.0, 0.0, 69.1875, 38.5, 30.796875, 23.09765625, 0.0, 0.0, 128.0, 9.0, 0.0, 0.0, 47.0, "Tous les candidats sauf les Bac technologiques", 291.0, "Bacheliers technologiques toutes séries", 148, "", 0, "Liste d'appel propre à cette formation", 87.0, "5756", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5756&g_ta_cod=5756", 69.0, 31.0, 0.0),
(9039, "Public", "0801882L", "Lycée La Hotoie", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée La Hotoie - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1166, 613, 1166, 0, 137, 26, 383, 111, 333, 136, 313, 0, 0, 0, 0, 0, 1072, 0, 0, 0, 137, 26, 383, 111, 265, 106, 287, 209, 31, 19, 31, 0, 2.0, 22.0, 26.0, 0, 10, 20, 3, 4, 13, 11, 0, 2, 13, 5, 0, 0.0, 3, 4, 11, 1, 0, 19, 19, 6.45, 70.97, 83.87, 61.296875, 95.0, 95.0, 5, 50.0, 64.5, 0.0, 10.0, 65.0, 25.0, 0.0, 0.0, 15.0, 15.0, 20.0, 20.0, 65.0, 55.0, 30.0, 9.0, 108.0, 44.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 65.0, "Bacheliers professionnels toutes séries", 174, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 28.0, "10248", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10248&g_ta_cod=10248", 10.0, 16.0, 68.0),
(9040, "Privé sous contrat d'association", "0180572Z", "Lycée professionnel Saint Joseph", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Vierzon", "formation sélective", "BTS", "Lycée professionnel Saint Joseph - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 24, 122, 119, 106, 0, 17, 3, 33, 7, 33, 6, 23, 16, 1, 2, 8, 5, 102, 5, 0, 0, 17, 3, 33, 7, 33, 6, 19, 88, 10, 10, 6, 4, 2.0, 6.0, 9.0, 0, 0, 8, 1, 1, 6, 2, 0, 2, 6, 0, 0, 0.0, 1, 0, 5, 6, 6, 7, 7, 20.0, 60.0, 90.0, 100.0, 87.5, 87.5, 75, 0.0, 80.0, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 12.5, 12.5, 12.5, 0.0, 75.0, 62.5, 14.0, 2.0, 32.0, 5.0, 15.0, "Tous les candidats sauf les Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 95.0, "15611", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15611&g_ta_cod=15611", 10.0, 10.0, 80.0),
(9041, "Public", "0371347N", "IFSI CH Amboise", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Amboise", "formation sélective", "IFSI", "Regroupement d'IFSI Université Tours - D.E Infirmier", "D.E secteur sanitaire", "", 46, 4711, 3977, 4711, 0, 735, 127, 1128, 244, 425, 145, 2423, 0, 0, 0, 0, 0, 4178, 0, 0, 0, 713, 121, 1088, 229, 340, 119, 2037, 558, 46, 40, 46, 0, 2.0, 20.0, 37.0, 0, 8, 33, 11, 18, 4, 13, 0, 8, 15, 6, 4, 0.0, 9, 12, 4, 0, 0, 26, 26, 4.35, 43.48, 80.43, 87.0, 78.796875, 78.796875, 0, 24.19921875, 71.6875, 0.0, 24.19921875, 45.5, 18.19921875, 12.1, 0.0, 33.296875, 27.296875, 54.5, 36.3984375, 12.099609375, 12.099609375, 117.0, 13.0, 20.0, 5.0, 193.0, "Tous les candidats", 2183.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "23267", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22995&g_ta_cod=23267", 39.0, 50.0, 11.0),
(9042, "Public", "9720695Y", "Lycée Acajou 2", "972", "Martinique", "Martinique", "Martinique", "Le Lamentin", "formation sélective", "BTS", "Lycée Acajou 2 - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 20, 135, 3, 127, 0, 8, 4, 16, 7, 93, 51, 10, 8, 2, 0, 6, 0, 46, 1, 0, 0, 7, 4, 16, 7, 17, 7, 6, 40, 14, 0, 13, 0, 9.0, 13.0, 14.0, 0, 5, 11, 0, 1, 10, 3, 0, 2, 7, 2, 0, 0.0, 0, 1, 8, 9, 0, 10, 10, 64.29, 92.86, 100.0, 0.0, 90.890625, 90.890625, 81.796875, 45.5, 78.59375, 0.0, 18.19921875, 63.59375, 18.19921875, 0.0, 0.0, 0.0, 0.0, 9.099609375, 9.099609375, 90.890625, 72.6875, 6.0, 4.0, 17.0, 7.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 33.0, "11823", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11823&g_ta_cod=11823", 7.0, 7.0, 86.0),
(9043, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence", "Université de Perpignan Via Domitia - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 50, 276, 112, 205, 0, 113, 30, 23, 6, 23, 15, 46, 71, 13, 3, 6, 49, 204, 69, 0, 0, 113, 30, 23, 6, 23, 15, 45, 241, 37, 12, 17, 20, 7.0, 17.0, 27.0, 0, 7, 19, 14, 2, 3, 18, 0, 7, 4, 8, 0, 0.0, 11, 0, 1, 0, 0, 19, 19, 18.92, 45.95, 72.97, 32.3984375, 100.0, 100.0, 0, 36.796875, 51.3984375, 0.0, 36.796875, 21.09765625, 42.09375, 0.0, 0.0, 73.6875, 57.8984375, 10.5, 0.0, 15.798828125, 5.2998046875, 106.0, 28.0, 29.0, 19.0, 85.0, "Tous les candidats", 203.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7878", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7878&g_ta_cod=7878", 59.0, 19.0, 19.0),
(9044, "Public", "0932326Y", "I.U.T de Saint-Denis - Antenne de La Plaine - Université Paris 13", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BUT", "I.U.T de Saint-Denis - Antenne de La Plaine - Université Paris 13 - BUT - Science et génie des matériaux Parcours : Métiers de l'ingénierie des matériaux et des produits - Métiers de la caractérisation et de l'expertise des matériaux et des produits", "BUT - Production", "Métiers de l'ingénierie des matériaux et des produits - Métiers de la caractérisation et de l'expertise des matériaux et des produits", 40, 509, 93, 440, 0, 203, 50, 111, 29, 3, 0, 123, 69, 0, 38, 0, 31, 319, 11, 0, 0, 167, 34, 61, 13, 0, 0, 91, 195, 25, 5, 23, 2, 1.0, 13.0, 20.0, 0, 5, 17, 10, 7, 0, 8, 0, 7, 7, 2, 1, 0.0, 4, 6, 0, 0, 0, 6, 16, 4.0, 52.0, 80.0, 20.0, 35.296875, 94.09375, 0, 29.3984375, 68.0, 0.0, 41.1953125, 41.1953125, 11.798828125, 5.9, 0.0, 58.796875, 23.5, 41.1953125, 35.296875, 0.0, 0.0, 77.0, 23.0, 0.0, 0.0, 64.0, "Tous les candidats sauf les Bac technologiques", 153.0, "Bacheliers technologiques toutes séries", 73, "", 0, "Liste d'appel propre à cette formation", 51.0, "11360", "BUT - Science et génie des matériaux Parcours : Métiers de l'ingénierie des matériaux et des produits - Métiers de la caractérisation et de l'expertise des matériaux et des produits", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11360&g_ta_cod=11360", 64.0, 36.0, 0.0),
(9045, "Public", "0141274J", "Lycée Arcisse De Caumont", "14", "Calvados", "Normandie", "Normandie", "Bayeux", "formation sélective", "BTS", "Lycée Arcisse De Caumont - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 22, 305, 74, 291, 0, 10, 2, 33, 5, 100, 36, 148, 14, 0, 3, 0, 11, 81, 4, 0, 0, 4, 0, 20, 4, 54, 19, 3, 58, 21, 4, 20, 1, 6.0, 14.0, 19.0, 0, 6, 20, 0, 5, 15, 1, 0, 4, 7, 8, 1, 0.0, 0, 3, 13, 11, 1, 19, 19, 28.57, 66.67, 90.48, 19.0, 95.0, 95.0, 55, 30.0, 95.1875, 0.0, 20.0, 35.0, 40.0, 5.0, 0.0, 0.0, 0.0, 25.0, 15.0, 75.0, 65.0, 3.0, 0.0, 35.0, 13.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 26.0, "2860", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2860&g_ta_cod=2860", 0.0, 29.0, 71.0),
(9046, "Public", "0912142J", "Lycée Gaspard Monge", "91", "Essonne", "Ile-de-France", "Versailles", "Savigny-sur-Orge", "formation sélective", "BTS", "Lycée Gaspard Monge - BTS - Production - Moteur à combustion interne", "BTS - Production", "", 20, 306, 3, 299, 0, 52, 8, 76, 13, 93, 30, 78, 7, 1, 0, 0, 6, 190, 0, 0, 0, 39, 4, 57, 9, 70, 21, 24, 103, 17, 0, 17, 0, 4.0, 14.0, 16.0, 0, 3, 14, 4, 3, 7, 3, 0, 3, 6, 3, 2, 0.0, 2, 2, 7, 3, 0, 6, 10, 23.53, 82.35, 94.12, 0.0, 42.8984375, 71.390625, 21.3984375, 21.3984375, 82.390625, 0.0, 21.3984375, 42.8984375, 21.3984375, 14.3, 0.0, 28.59765625, 14.298828125, 21.3984375, 14.298828125, 50.0, 50.0, 30.0, 4.0, 28.0, 10.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 41.0, "10970", "BTS - Production - Moteur à combustion interne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10970&g_ta_cod=10970", 24.0, 29.0, 47.0),
(9047, "Public", "0330126H", "Lycée Victor Louis", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "BTS", "Lycée Victor Louis - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1548, 772, 1548, 0, 144, 35, 621, 200, 439, 161, 344, 0, 0, 0, 0, 0, 777, 0, 0, 0, 143, 35, 197, 63, 257, 89, 180, 195, 34, 16, 34, 0, 1.0, 24.0, 29.0, 0, 14, 32, 1, 15, 16, 2, 0, 5, 16, 9, 2, 0.0, 1, 12, 14, 2, 1, 26, 26, 2.94, 70.59, 85.29, 47.09375, 81.296875, 81.296875, 6.2998046875, 43.796875, 94.09375, 0.0, 15.599609375, 50.0, 28.09765625, 6.3, 0.0, 3.099609375, 3.099609375, 46.8984375, 37.5, 50.0, 43.796875, 12.0, 5.0, 98.0, 39.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 143, "Bacheliers technologiques toutes séries", 128, "Liste d'appel propre à cette formation", 19.0, "4315", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4315&g_ta_cod=4315", 6.0, 44.0, 50.0),
(9048, "Public", "0134316W", "Aix-Marseille Université - Site de Marseille Saint-Jérôme", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BTS", "Aix-Marseille Université - Site de Marseille Saint-Jérôme - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 35, 869, 600, 869, 0, 238, 81, 161, 76, 71, 39, 399, 0, 0, 0, 0, 0, 377, 0, 0, 0, 149, 46, 55, 38, 27, 12, 146, 244, 31, 23, 31, 0, 10.0, 23.0, 28.0, 0, 8, 17, 12, 2, 3, 14, 0, 6, 8, 1, 2, 0.0, 6, 2, 3, 0, 0, 9, 9, 32.26, 74.19, 90.32, 74.1875, 52.8984375, 52.8984375, 0, 47.09375, 54.796875, 0.0, 35.296875, 47.09375, 5.8994140625, 11.8, 0.0, 70.59375, 35.296875, 11.798828125, 11.798828125, 17.59765625, 17.59765625, 106.0, 40.0, 16.0, 5.0, 98.0, "Tous les candidats sauf les Bac professionnels", 240.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 30.0, "12908", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12908&g_ta_cod=12908", 84.0, 6.0, 10.0),
(9049, "Public", "0440029T", "LGT Livet", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LGT Livet - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "BTS - Production", "", 30, 481, 72, 481, 0, 107, 12, 83, 10, 85, 17, 206, 0, 0, 0, 0, 0, 481, 0, 0, 0, 107, 12, 83, 10, 85, 17, 206, 122, 30, 2, 30, 0, 3.0, 21.0, 29.0, 0, 4, 18, 7, 5, 6, 12, 0, 10, 5, 3, 0, 0.0, 2, 3, 3, 0, 0, 10, 10, 10.0, 70.0, 96.67, 6.69921875, 55.59375, 55.59375, 0, 22.19921875, 60.0, 0.0, 55.59375, 27.796875, 16.69921875, 0.0, 0.0, 38.8984375, 11.099609375, 27.796875, 16.69921875, 33.296875, 16.69921875, 55.0, 8.0, 14.0, 1.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 108.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 40.0, "5435", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5435&g_ta_cod=5435", 60.0, 20.0, 20.0),
(9050, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "PASS", "Université des Antilles - Pôle Martinique - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 50, 321, 238, 266, 0, 187, 62, 20, 7, 6, 3, 53, 55, 31, 5, 0, 19, 265, 54, 0, 0, 187, 62, 20, 7, 6, 3, 52, 265, 43, 33, 32, 11, 3.0, 32.0, 39.0, 0, 15, 32, 24, 6, 2, 11, 0, 13, 14, 3, 2, 0.0, 15, 3, 1, 0, 0, 26, 26, 6.98, 74.42, 90.7, 76.6875, 81.296875, 81.296875, 0, 46.8984375, 74.390625, 0.0, 40.59375, 43.796875, 9.3984375, 6.3, 0.0, 75.0, 46.8984375, 18.796875, 9.3984375, 6.2998046875, 3.099609375, 185.0, 63.0, 3.0, 1.0, 58.0, "Tous les candidats", 1018.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "26825", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26824&g_ta_cod=26825", 65.0, 21.0, 12.0),
(9051, "Privé enseignement supérieur", "0382541F", "Ecole de formation sanitaire et sociale IFTS", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Echirolles", "formation sélective", "EFTS", "Ecole de formation sanitaire et sociale IFTS - D.E Assistant de Service Social", "D.E secteur social", "", 20, 77, 72, 77, 0, 18, 1, 11, 1, 9, 2, 39, 0, 0, 0, 0, 0, 71, 0, 0, 0, 16, 1, 9, 1, 8, 2, 38, 48, 20, 19, 20, 0, 3.0, 16.0, 18.0, 0, 1, 8, 8, 0, 0, 12, 0, 2, 5, 1, 0, 0.0, 6, 0, 0, 0, 0, 8, 8, 15.0, 80.0, 90.0, 95.0, 100.0, 100.0, 0, 12.5, 40.0, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 15.0, 1.0, 3.0, 0.0, 26.0, "Tous les candidats", 52.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "24877", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24877&g_ta_cod=24877", 80.0, 10.0, 0.0),
(9052, "Public", "0750712S", "Lycée Diderot", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "Autre formation", "Lycée Diderot - DN MADE - Objet - - Spécialité : Horlogerie, mention objet numérique et patrimoine", "DN MADE", "- Spécialité : Horlogerie, mention objet numérique et patrimoine", 15, 151, 54, 151, 0, 44, 7, 20, 5, 5, 2, 82, 0, 0, 0, 0, 0, 47, 0, 0, 0, 0, 0, 1, 0, 0, 0, 46, 35, 10, 2, 10, 0, 7.0, 10.0, 10.0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 70.0, 100.0, 100.0, 20.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 35.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "21743", "DN MADE - Objet - - Spécialité : Horlogerie, mention objet numérique et patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21743&g_ta_cod=21743", 20.0, 20.0, 0.0),
(9053, "Public", "0240024W", "Lycée Bertran De Born", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BTS", "Lycée Bertran De Born - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 408, 46, 408, 0, 62, 7, 124, 51, 88, 24, 134, 0, 0, 0, 0, 0, 252, 0, 0, 0, 53, 5, 100, 39, 71, 17, 28, 136, 31, 1, 31, 0, 4.0, 29.0, 30.0, 0, 5, 26, 8, 9, 9, 5, 0, 11, 10, 4, 1, 0.0, 0, 6, 9, 2, 0, 20, 20, 12.9, 93.55, 96.77, 3.19970703125, 76.890625, 76.890625, 7.69921875, 19.19921875, 83.890625, 0.0, 42.296875, 38.5, 15.3984375, 3.8, 0.0, 30.796875, 0.0, 34.59375, 23.09765625, 34.59375, 34.59375, 31.0, 5.0, 55.0, 15.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 46.0, "3423", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3423&g_ta_cod=3423", 35.0, 32.0, 32.0),
(9054, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Sciences de la vie et de la terre - Bio et Ecologie générale, Bio cellulaire moléculaire, Sciences de l'environnement, Bio Biotech, Bio Biosanté, TACB", "Licence - Sciences - technologies - santé", "Bio et Ecologie générale, Bio cellulaire moléculaire, Sciences de l'environnement, Bio Biotech, Bio Biosanté, TACB", 144, 1258, 829, 1142, 0, 790, 101, 91, 16, 3, 2, 258, 116, 54, 8, 2, 52, 1137, 93, 0, 0, 790, 101, 91, 16, 3, 2, 253, 935, 121, 69, 93, 27, 2.0, 82.0, 110.0, 0, 9, 83, 72, 10, 1, 38, 0, 34, 33, 15, 1, 0.0, 42, 7, 0, 0, 0, 54, 54, 1.65, 67.77, 90.91, 57.0, 65.09375, 65.09375, 0, 10.798828125, 68.59375, 0.0, 41.0, 39.796875, 18.09765625, 1.2, 0.0, 86.6875, 50.59375, 12.0, 8.3984375, 1.199951171875, 0.0, 660.0, 80.0, 3.0, 3.0, 241.0, "Tous les candidats", 1401.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "6498", "Licence - Portail Sciences de la vie et de la terre - Bio et Ecologie générale, Bio cellulaire moléculaire, Sciences de l'environnement, Bio Biotech, Bio Biosanté, TACB", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26694&g_ta_cod=6498", 81.0, 13.0, 3.0),
(9055, "Public", "0340045P", "Lycée professionnel Jules Ferry", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée professionnel Jules Ferry - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 36, 976, 953, 976, 0, 125, 33, 294, 113, 271, 101, 286, 0, 0, 0, 0, 0, 640, 0, 0, 0, 91, 19, 181, 60, 187, 58, 181, 160, 33, 33, 33, 0, 2.0, 20.0, 24.0, 0, 11, 23, 1, 11, 11, 10, 0, 1, 18, 3, 1, 0.0, 1, 10, 11, 4, 4, 12, 12, 6.06, 60.61, 72.73, 100.0, 52.1953125, 52.1953125, 17.3984375, 47.796875, 69.6875, 0.0, 4.2998046875, 78.296875, 13.0, 4.3, 0.0, 4.2998046875, 4.2998046875, 47.796875, 43.5, 47.796875, 47.796875, 6.0, 5.0, 50.0, 18.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 124, "Liste d'appel propre à cette formation", 23.0, "4510", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4510&g_ta_cod=4510", 9.0, 48.0, 39.0),
(9056, "Public", "0340128E", "Lycée agricole Frédéric BAZILLE - Agropolis (Classes Agri)", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée agricole Frédéric BAZILLE - Agropolis (Classes Agri) - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 24, 599, 412, 599, 0, 160, 26, 153, 45, 72, 30, 214, 0, 0, 0, 0, 0, 406, 0, 0, 0, 151, 24, 101, 29, 72, 30, 82, 145, 22, 15, 22, 0, 2.0, 13.0, 18.0, 0, 7, 19, 10, 6, 3, 3, 0, 4, 11, 3, 1, 0.0, 6, 6, 3, 2, 0, 12, 12, 9.09, 59.09, 81.82, 68.1875, 63.1953125, 63.1953125, 10.5, 36.796875, 86.390625, 0.0, 21.09765625, 57.8984375, 15.798828125, 5.3, 0.0, 52.59375, 31.59765625, 31.59765625, 31.59765625, 15.798828125, 15.798828125, 65.0, 11.0, 18.0, 6.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 143.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 38.0, "20070", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20070&g_ta_cod=20070", 59.0, 27.0, 14.0),
(9057, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Institut Catholique Paris - Licence - Lettres, langues - Parcours Langues, Littératures et Civilisations Orient ancien", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Orient ancien", 30, 46, 31, 22, 0, 14, 2, 0, 0, 0, 0, 8, 24, 7, 1, 0, 16, 22, 23, 0, 0, 14, 2, 0, 0, 0, 0, 8, 45, 5, 4, 4, 1, 4.0, 4.0, 5.0, 0, 0, 1, 1, 0, 0, 4, 0, 0, 0, 0, 1, 0.0, 1, 0, 0, 0, 0, 0, 0, 80.0, 80.0, 100.0, 80.0, 0.0, 0.0, 0, 0.0, 20.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 20.0, 3.0, 0.0, 0.0, 24.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "13242", "Licence - Lettres, langues - Parcours Langues, Littératures et Civilisations Orient ancien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13242&g_ta_cod=13242", 80.0, 20.0, 0.0),
(9058, "Public", "0920802X", "Lycée Jean-Pierre Vernant", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sèvres", "formation sélective", "BTS", "Lycée Jean-Pierre Vernant - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 1510, 822, 1510, 0, 48, 13, 428, 150, 484, 256, 550, 0, 0, 0, 0, 0, 532, 0, 0, 0, 24, 10, 169, 48, 261, 136, 78, 183, 34, 22, 33, 0, 3.0, 22.0, 29.0, 0, 7, 23, 2, 14, 7, 11, 0, 8, 9, 6, 0, 0.0, 1, 9, 5, 5, 3, 21, 23, 8.82, 64.71, 85.29, 64.6875, 91.296875, 100.0, 21.69921875, 30.3984375, 67.59375, 0.0, 34.796875, 39.09375, 26.09765625, 0.0, 0.0, 8.69921875, 4.2998046875, 60.8984375, 39.09375, 30.3984375, 21.69921875, 12.0, 5.0, 62.0, 30.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 126, "Bacheliers technologiques toutes séries", 116, "Liste d'appel propre à cette formation", 18.0, "11035", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11035&g_ta_cod=11035", 6.0, 44.0, 50.0),
(9059, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Université Angers - Licence - Portail Langues étrangères appliquées - Anglais-Italien", "Licence - Arts-lettres-langues", "Anglais-Italien", 10, 68, 53, 58, 0, 33, 12, 3, 0, 2, 2, 20, 10, 4, 0, 0, 6, 58, 5, 0, 0, 33, 12, 3, 0, 2, 2, 20, 45, 8, 4, 8, 0, 0.0, 7.0, 8.0, 0, 2, 5, 4, 0, 1, 3, 0, 1, 4, 0, 0, 0.0, 3, 0, 1, 0, 0, 2, 2, 0.0, 87.5, 100.0, 50.0, 40.0, 40.0, 0, 40.0, 62.5, 0.0, 20.0, 80.0, 0.0, 0.0, 0.0, 80.0, 60.0, 0.0, 0.0, 20.0, 20.0, 25.0, 7.0, 2.0, 2.0, 16.0, "Tous les candidats", 202.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "26985", "Licence - Portail Langues étrangères appliquées - Anglais-Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26984&g_ta_cod=26985", 88.0, 0.0, 13.0),
(9060, "Public", "0133244F", "Lycée Marie Madeleine Fourcade", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Gardanne", "formation sélective", "Autre formation", "Lycée Marie Madeleine Fourcade - Mention complémentaire - FCIL - Environnement Numérique au Service de l'Autonomie de la Personne", "Mention complémentaire", "", 12, 12, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 9, 3, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 5, 2, 0, 5, 0.0, 0.0, 5.0, 0, 5, 5, 0, 0, 5, 0, 0, 3, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 5, 5, 0.0, 0.0, 100.0, 40.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 40.0, 0.0, 0.0, 9.0, 7.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34930", "Mention complémentaire - FCIL - Environnement Numérique au Service de l'Autonomie de la Personne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34930&g_ta_cod=34930", 0.0, 0.0, 100.0),
(9061, "Public", "0880021V", "Lycée Pierre Mendes France", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "BTS", "Lycée Pierre Mendes France - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 24, 274, 230, 274, 0, 60, 14, 30, 8, 89, 36, 95, 0, 0, 0, 0, 0, 273, 0, 0, 0, 60, 14, 30, 8, 89, 36, 94, 100, 23, 19, 23, 0, 5.0, 14.0, 18.0, 0, 6, 19, 7, 0, 12, 4, 0, 8, 7, 4, 0, 0.0, 1, 0, 10, 0, 0, 10, 10, 21.74, 60.87, 78.26, 82.59375, 52.59375, 52.59375, 0, 31.59765625, 82.59375, 0.0, 42.09375, 36.796875, 21.09765625, 0.0, 0.0, 36.796875, 5.2998046875, 0.0, 0.0, 63.1953125, 52.59375, 38.0, 9.0, 35.0, 17.0, 16.0, "Tous les candidats sauf les Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 49, "", 0, "Liste d'appel propre à cette formation", 47.0, "12281", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12281&g_ta_cod=12281", 39.0, 9.0, 52.0),
(9062, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Sciences sociales - Parcours Histoire et Géographie", "Licence - Sciences humaines et sociales", "Histoire et Géographie", 160, 667, 349, 652, 0, 454, 139, 61, 28, 18, 11, 119, 15, 1, 1, 2, 11, 652, 14, 0, 0, 454, 139, 61, 28, 18, 11, 119, 529, 158, 71, 151, 7, 44.0, 148.0, 148.0, 0, 50, 124, 106, 11, 7, 34, 0, 43, 46, 26, 9, 0.0, 75, 3, 3, 0, 0, 121, 121, 27.85, 93.67, 93.67, 44.8984375, 97.59375, 97.59375, 0, 40.296875, 78.5, 0.0, 34.6953125, 37.09375, 21.0, 7.3, 0.0, 85.5, 60.5, 8.8984375, 2.39990234375, 5.599609375, 2.39990234375, 377.0, 118.0, 14.0, 10.0, 97.0, "Tous les candidats", 631.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "26434", "Licence - Sciences sociales - Parcours Histoire et Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26434&g_ta_cod=26434", 78.0, 12.0, 8.0),
(9063, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Université Angers - Licence - Portail SVTC ? Sciences de la Vie et de la Terre, Chimie (Biologie, Géologie, Chimie)", "Licence - Sciences - technologies - santé", "SVTC ? Sciences de la Vie et de la Terre, Chimie (Biologie, Géologie, Chimie)", 30, 1562, 1059, 1562, 0, 1140, 170, 31, 6, 9, 3, 382, 0, 0, 0, 0, 0, 1546, 0, 0, 0, 1140, 170, 31, 6, 9, 3, 366, 236, 30, 23, 30, 0, 0.0, 14.0, 30.0, 0, 6, 25, 25, 0, 0, 5, 0, 1, 8, 15, 1, 0.0, 24, 0, 0, 0, 0, 21, 21, 0.0, 46.67, 100.0, 76.6875, 84.0, 84.0, 0, 24.0, 83.296875, 0.0, 4.0, 32.0, 60.0, 4.0, 0.0, 100.0, 96.0, 0.0, 0.0, 0.0, 0.0, 159.0, 27.0, 0.0, 0.0, 77.0, "Tous les candidats", 868.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "27337", "Licence - Portail SVTC ? Sciences de la Vie et de la Terre, Chimie (Biologie, Géologie, Chimie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27336&g_ta_cod=27337", 100.0, 0.0, 0.0),
(9064, "Public", "0210018F", "Lycée Hippolyte Fontaine", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Hippolyte Fontaine - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 15, 125, 3, 122, 0, 3, 1, 27, 4, 67, 17, 25, 3, 0, 1, 0, 2, 97, 0, 0, 0, 3, 1, 26, 4, 60, 13, 8, 61, 10, 0, 10, 0, 1.0, 9.0, 10.0, 0, 1, 10, 0, 3, 7, 0, 1, 6, 1, 2, 0, 0.0, 0, 1, 2, 4, 0, 9, 9, 10.0, 90.0, 100.0, 0.0, 90.0, 90.0, 40, 10.0, 100.0, 10.0, 60.0, 10.0, 20.0, 0.0, 0.0, 0.0, 0.0, 30.0, 10.0, 70.0, 20.0, 1.0, 1.0, 41.0, 9.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 75.0, "3189", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3189&g_ta_cod=3189", 0.0, 30.0, 70.0),
(9065, "Public", "9840267T", "Lycée professionnel de Faaa", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation sélective", "BTS", "Lycée professionnel de Faaa - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 16, 163, 110, 163, 0, 8, 3, 60, 36, 72, 45, 23, 0, 0, 0, 0, 0, 136, 0, 0, 0, 7, 3, 52, 34, 64, 43, 13, 63, 16, 10, 16, 0, 2.0, 16.0, 16.0, 0, 7, 13, 0, 8, 5, 3, 0, 5, 8, 0, 0, 0.0, 0, 3, 5, 4, 3, 13, 13, 12.5, 100.0, 100.0, 62.5, 100.0, 100.0, 30.796875, 53.796875, 81.296875, 0.0, 38.5, 61.5, 0.0, 0.0, 0.0, 0.0, 0.0, 61.5, 23.09765625, 38.5, 38.5, 2.0, 2.0, 25.0, 18.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 40.0, "20177", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20177&g_ta_cod=20177", 6.0, 50.0, 44.0),
(9066, "Public", "0060029Z", "Lycée du Parc Imperial", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée du Parc Imperial - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1188, 591, 1188, 0, 154, 32, 524, 166, 273, 114, 237, 0, 0, 0, 0, 0, 1188, 0, 0, 0, 154, 32, 524, 166, 273, 114, 237, 181, 29, 16, 29, 0, 1.0, 21.0, 23.0, 0, 11, 24, 4, 12, 8, 5, 0, 4, 11, 8, 1, 0.0, 1, 11, 8, 4, 0, 18, 18, 3.45, 72.41, 79.31, 55.1953125, 75.0, 75.0, 16.69921875, 45.796875, 82.796875, 0.0, 16.69921875, 45.796875, 33.296875, 4.2, 0.0, 16.69921875, 4.19921875, 50.0, 45.796875, 33.296875, 33.296875, 40.0, 16.0, 44.0, 17.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 116, "Liste d'appel propre à cette formation", 22.0, "2204", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2204&g_ta_cod=2204", 17.0, 48.0, 34.0),
(9067, "Public", "0400007R", "Lycée de Borda", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Dax", "formation sélective", "BTS", "Lycée de Borda - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 291, 182, 264, 0, 16, 2, 106, 30, 88, 36, 54, 27, 0, 1, 18, 8, 220, 3, 0, 0, 16, 2, 106, 30, 66, 28, 32, 141, 25, 18, 25, 0, 8.0, 20.0, 25.0, 0, 6, 20, 2, 9, 9, 5, 0, 6, 5, 8, 1, 0.0, 1, 5, 8, 4, 3, 19, 19, 32.0, 80.0, 100.0, 72.0, 95.0, 95.0, 20, 30.0, 80.0, 0.0, 30.0, 25.0, 40.0, 5.0, 0.0, 10.0, 5.0, 45.0, 25.0, 45.0, 40.0, 11.0, 2.0, 59.0, 26.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 104, "Liste d'appel propre à cette formation", 75.0, "5203", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5203&g_ta_cod=5203", 20.0, 44.0, 36.0),
(9068, "Public", "0510035L", "Lycée Hugues Libergier", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Hugues Libergier - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 570, 376, 550, 0, 35, 10, 211, 94, 147, 84, 157, 20, 0, 0, 10, 10, 296, 3, 0, 0, 26, 7, 125, 48, 97, 51, 48, 161, 32, 28, 31, 1, 3.0, 27.0, 29.0, 0, 9, 22, 1, 10, 11, 10, 0, 6, 10, 6, 0, 0.0, 1, 7, 8, 3, 1, 16, 16, 9.38, 84.38, 90.63, 87.5, 72.6875, 72.6875, 13.599609375, 40.8984375, 68.796875, 0.0, 27.296875, 45.5, 27.296875, 0.0, 0.0, 4.5, 4.5, 45.5, 31.796875, 50.0, 36.3984375, 10.0, 5.0, 64.0, 36.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 103, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 41.0, "6075", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6075&g_ta_cod=6075", 13.0, 44.0, 44.0),
(9069, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Sciences de la terre", "Licence - Sciences - technologies - santé", "", 40, 312, 151, 290, 0, 185, 28, 10, 2, 1, 0, 94, 22, 9, 1, 1, 11, 289, 22, 0, 0, 185, 28, 10, 2, 1, 0, 93, 206, 43, 12, 32, 11, 3.0, 23.0, 31.0, 0, 3, 29, 27, 1, 1, 14, 0, 18, 8, 3, 0, 0.0, 10, 0, 1, 0, 0, 26, 26, 6.98, 53.49, 72.09, 27.8984375, 89.6875, 89.6875, 0, 10.298828125, 67.390625, 0.0, 62.09375, 27.59765625, 10.298828125, 0.0, 0.0, 93.09375, 34.5, 3.39990234375, 0.0, 3.39990234375, 3.39990234375, 133.0, 18.0, 1.0, 0.0, 67.0, "Tous les candidats", 287.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "2878", "Licence - Sciences de la terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2878&g_ta_cod=2878", 84.0, 14.0, 2.0),
(9070, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Administration économique et sociale - Parcours Administration Economique  et Sociale (site de Rennes)", "Licence - Sciences humaines et sociales", "Administration Economique  et Sociale (site de Rennes)", 340, 2788, 1692, 2653, 0, 1574, 272, 467, 144, 67, 40, 545, 135, 18, 16, 11, 90, 2652, 61, 0, 0, 1574, 272, 467, 144, 67, 40, 544, 1945, 327, 190, 284, 43, 50.0, 231.0, 282.0, 0, 59, 217, 158, 46, 13, 110, 0, 103, 92, 19, 3, 0.0, 91, 18, 5, 0, 0, 149, 149, 15.29, 70.64, 86.24, 58.09375, 68.6875, 68.6875, 0, 27.19921875, 66.390625, 0.0, 47.5, 42.3984375, 8.798828125, 1.4, 0.0, 72.796875, 41.8984375, 21.19921875, 8.298828125, 6.0, 2.2998046875, 1261.0, 212.0, 43.0, 31.0, 320.0, "Tous les candidats", 2653.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4734", "Licence - Administration économique et sociale - Parcours Administration Economique  et Sociale (site de Rennes)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4734&g_ta_cod=4734", 70.0, 23.0, 7.0),
(9071, "Public", "0750714U", "Lycée Hélène Boucher", "75", "Paris", "Ile-de-France", "Paris", "Paris 20e  Arrondissement", "formation sélective", "CPGE", "Lycée Hélène Boucher - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 967, 688, 915, 121, 791, 133, 4, 2, 2, 1, 118, 52, 28, 2, 0, 22, 712, 38, 98, 685, 685, 113, 1, 1, 1, 1, 25, 516, 35, 25, 27, 7, 7.0, 19.0, 32.0, 2, 3, 32, 31, 1, 0, 3, 0, 0, 9, 14, 9, 0.0, 31, 1, 0, 2, 1, 8, 29, 20.0, 54.29, 91.43, 71.390625, 25.0, 90.59375, 6.2998046875, 9.3984375, 91.390625, 0.0, 0.0, 28.09765625, 43.796875, 28.1, 0.0, 96.890625, 96.890625, 3.099609375, 3.099609375, 0.0, 0.0, 484.0, 69.0, 0.0, 0.0, 31.0, "Tous les candidats", 693.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "9185", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9185&g_ta_cod=9185", 97.0, 3.0, 0.0),
(9072, "Public", "0100022V", "Lycée Chrestien de Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "CPGE", "Lycée Chrestien de Troyes - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 519, 138, 490, 296, 362, 45, 1, 0, 0, 0, 127, 29, 12, 1, 0, 16, 278, 3, 102, 267, 261, 33, 0, 0, 0, 0, 17, 196, 48, 16, 46, 2, 29.0, 44.0, 47.0, 7, 5, 44, 44, 0, 0, 4, 0, 1, 14, 20, 8, 1.0, 43, 0, 0, 3, 1, 29, 29, 60.42, 91.67, 97.92, 33.296875, 65.890625, 65.890625, 6.7998046875, 11.3984375, 91.6875, 0.0, 2.2998046875, 31.796875, 45.5, 18.2, 2.3, 100.0, 97.6875, 0.0, 0.0, 0.0, 0.0, 181.0, 26.0, 0.0, 0.0, 15.0, "Tous les candidats", 276.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "2405", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2405&g_ta_cod=2405", 100.0, 0.0, 0.0),
(9073, "Public", "0910975R", "Lycée Jean Pierre Timbaud", "91", "Essonne", "Ile-de-France", "Versailles", "Brétigny-sur-Orge", "formation sélective", "BTS", "Lycée Jean Pierre Timbaud - BTS - Production - Bâtiment", "BTS - Production", "", 30, 559, 73, 559, 0, 52, 13, 153, 41, 171, 66, 183, 0, 0, 0, 0, 0, 559, 0, 0, 0, 52, 13, 153, 41, 171, 66, 183, 126, 30, 4, 30, 0, 3.0, 24.0, 27.0, 0, 13, 27, 3, 9, 15, 3, 0, 12, 9, 6, 0, 0.0, 0, 5, 10, 4, 0, 21, 26, 10.0, 80.0, 90.0, 13.298828125, 77.796875, 96.296875, 14.798828125, 48.09375, 90.0, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 11.099609375, 0.0, 33.296875, 18.5, 55.59375, 37.0, 14.0, 3.0, 51.0, 20.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 29.0, "10905", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10905&g_ta_cod=10905", 13.0, 37.0, 50.0),
(9074, "Public", "9840277D", "Lycée professionnel agricole d' Opunohu", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Moorea", "formation sélective", "BTS", "Lycée professionnel agricole d' Opunohu - BTS - Agricole - Développement de l'agriculture des régions chaudes", "BTS - Agricole", "", 24, 105, 48, 99, 0, 15, 2, 18, 9, 25, 18, 41, 6, 0, 0, 4, 2, 58, 0, 0, 0, 15, 2, 15, 8, 13, 11, 15, 48, 22, 12, 22, 0, 12.0, 21.0, 22.0, 0, 9, 18, 5, 7, 6, 4, 0, 8, 7, 3, 0, 0.0, 3, 3, 4, 9, 7, 16, 16, 54.55, 95.45, 100.0, 54.5, 88.890625, 88.890625, 50, 50.0, 81.796875, 0.0, 44.3984375, 38.8984375, 16.69921875, 0.0, 0.0, 27.796875, 16.69921875, 38.8984375, 16.69921875, 33.296875, 22.19921875, 12.0, 2.0, 11.0, 9.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 57.0, "12002", "BTS - Agricole - Développement de l'agriculture des régions chaudes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12002&g_ta_cod=12002", 27.0, 41.0, 32.0),
(9075, "Public", "0920149M", "Lycée Michelet", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Vanves", "formation sélective", "CPGE", "Lycée Michelet - CPGE - PCSI", "Classe préparatoire scientifique", "", 88, 2569, 868, 2569, 1748, 2307, 171, 1, 0, 0, 0, 261, 0, 0, 0, 0, 0, 1477, 0, 696, 1448, 1474, 76, 0, 0, 0, 0, 3, 571, 86, 29, 86, 0, 6.0, 52.0, 82.0, 26, 3, 86, 86, 0, 0, 0, 3, 0, 1, 31, 49, 2.0, 83, 0, 0, 8, 1, 49, 74, 6.98, 60.47, 95.35, 33.6953125, 57.0, 86.0, 9.298828125, 3.5, 100.0, 3.5, 0.0, 1.199951171875, 36.0, 57.0, 2.3, 100.0, 96.5, 0.0, 0.0, 0.0, 0.0, 571.0, 45.0, 0.0, 0.0, 0.0, "Tous les candidats", 689.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "11023", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11023&g_ta_cod=11023", 100.0, 0.0, 0.0),
(9076, "Public", "0940580V", "Lycée polyvalent de Cachan", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "BTS", "Lycée polyvalent de Cachan - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 40, 1480, 767, 1251, 0, 148, 57, 310, 149, 260, 140, 533, 229, 15, 95, 0, 119, 410, 7, 0, 0, 87, 29, 115, 53, 130, 69, 78, 240, 38, 20, 32, 6, 2.0, 20.0, 31.0, 0, 15, 26, 7, 11, 8, 12, 0, 14, 6, 6, 0, 0.0, 1, 6, 5, 3, 1, 15, 26, 5.26, 52.63, 81.58, 52.59375, 57.6953125, 100.0, 11.5, 57.6953125, 68.390625, 0.0, 53.796875, 23.09765625, 23.09765625, 0.0, 0.0, 26.8984375, 3.7998046875, 42.296875, 23.09765625, 30.796875, 19.19921875, 63.0, 21.0, 58.0, 34.0, 51.0, "Tous les candidats sauf les Bac professionnels", 254.0, "Bacheliers professionnels toutes séries", 122, "", 0, "Liste d'appel propre à cette formation", 30.0, "11430", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11430&g_ta_cod=11430", 45.0, 32.0, 24.0),
(9077, "Public", "0050009H", "Lycée professionnel Sevigne", "05", "Hautes-Alpes", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Gap", "formation sélective", "BTS", "Lycée professionnel Sevigne - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 15, 265, 212, 230, 0, 14, 3, 57, 19, 70, 27, 89, 35, 0, 11, 10, 14, 127, 7, 0, 0, 14, 3, 38, 9, 53, 21, 22, 89, 13, 10, 12, 1, 0.0, 9.0, 11.0, 0, 2, 11, 1, 5, 5, 2, 0, 6, 4, 1, 0, 0.0, 0, 1, 4, 1, 0, 8, 8, 0.0, 69.23, 84.62, 76.890625, 72.6875, 72.6875, 9.099609375, 18.19921875, 84.59375, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 9.099609375, 0.0, 45.5, 9.099609375, 45.5, 36.3984375, 8.0, 3.0, 40.0, 10.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers technologiques toutes séries", 43, "Bacheliers professionnels toutes séries", 55, "Liste d'appel propre à cette formation", 50.0, "27182", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27182&g_ta_cod=27182", 15.0, 38.0, 46.0),
(9078, "Public", "0541774K", "IFSI Briey", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Val de Briey", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nancy - D.E Infirmier", "D.E secteur sanitaire", "", 26, 3408, 2735, 3408, 0, 576, 118, 646, 190, 312, 107, 1874, 0, 0, 0, 0, 0, 2892, 0, 0, 0, 526, 104, 557, 158, 268, 86, 1541, 398, 26, 24, 26, 0, 1.0, 10.0, 17.0, 0, 7, 18, 1, 7, 10, 8, 0, 4, 7, 5, 2, 0.0, 1, 5, 8, 0, 0, 17, 17, 3.85, 38.46, 65.38, 92.296875, 94.390625, 94.390625, 0, 38.8984375, 69.1875, 0.0, 22.19921875, 38.8984375, 27.796875, 11.1, 0.0, 5.599609375, 5.599609375, 38.8984375, 27.796875, 55.59375, 44.3984375, 44.0, 11.0, 47.0, 14.0, 219.0, "Tous les candidats", 2645.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "23184", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22997&g_ta_cod=23184", 12.0, 35.0, 54.0),
(9079, "Public", "0190034J", "Lycée professionnel Rene Cassin", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Tulle", "formation sélective", "BTS", "Lycée professionnel Rene Cassin - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 15, 243, 80, 238, 0, 42, 9, 59, 18, 103, 29, 34, 5, 0, 1, 2, 2, 191, 2, 0, 0, 42, 9, 59, 18, 66, 19, 24, 67, 14, 8, 14, 0, 5.0, 10.0, 12.0, 0, 5, 12, 1, 3, 8, 2, 0, 3, 5, 3, 1, 0.0, 1, 1, 7, 3, 3, 4, 4, 35.71, 71.43, 85.71, 57.09375, 33.296875, 33.296875, 25, 41.6953125, 85.6875, 0.0, 25.0, 41.6953125, 25.0, 8.3, 0.0, 8.298828125, 8.298828125, 25.0, 8.298828125, 66.6875, 58.296875, 6.0, 1.0, 41.0, 13.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers technologiques toutes séries", 26, "Bacheliers professionnels toutes séries", 55, "Liste d'appel propre à cette formation", 36.0, "31936", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31936&g_ta_cod=31936", 7.0, 21.0, 64.0),
(9080, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail Droit / Psychologie", "Licence - Sciences humaines et sociales", "Droit / Psychologie : Psychologie", 180, 1561, 1382, 1561, 0, 1087, 214, 134, 44, 29, 15, 311, 0, 0, 0, 0, 0, 1560, 0, 0, 0, 1087, 214, 134, 44, 29, 15, 310, 717, 179, 166, 179, 0, 28.0, 144.0, 164.0, 0, 37, 151, 131, 16, 4, 28, 0, 57, 56, 27, 11, 0.0, 85, 7, 2, 0, 0, 121, 121, 15.64, 80.45, 91.62, 92.6875, 80.09375, 80.09375, 0, 24.5, 84.390625, 0.0, 37.6953125, 37.09375, 17.8984375, 7.3, 0.0, 86.796875, 56.296875, 10.599609375, 4.599609375, 2.599609375, 1.2998046875, 543.0, 115.0, 6.0, 4.0, 129.0, "Tous les candidats", 1112.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 55.0, "22788", "Licence - Portail Droit / Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22787&g_ta_cod=22788", 83.0, 15.0, 2.0),
(9081, "Public", "0772229E", "Lycée Jean VILAR", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "BTS", "Lycée Jean VILAR - BTS - Services - Commerce International", "BTS - Services", "", 35, 629, 312, 629, 0, 163, 32, 201, 59, 66, 27, 199, 0, 0, 0, 0, 0, 318, 0, 0, 0, 89, 14, 89, 19, 66, 27, 74, 139, 34, 17, 34, 0, 6.0, 25.0, 33.0, 0, 9, 24, 7, 10, 7, 10, 0, 7, 12, 5, 0, 0.0, 4, 8, 5, 5, 0, 23, 24, 17.65, 73.53, 97.06, 50.0, 95.796875, 100.0, 20.796875, 37.5, 70.59375, 0.0, 29.19921875, 50.0, 20.796875, 0.0, 0.0, 29.19921875, 16.69921875, 41.6953125, 33.296875, 29.19921875, 20.796875, 55.0, 10.0, 14.0, 8.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 122.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 33.0, "9878", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9878&g_ta_cod=9878", 41.0, 38.0, 21.0),
(9082, "Public", "0640057P", "Lycée Saint-Cricq", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "BTS", "Lycée Saint-Cricq - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 10, 364, 55, 362, 0, 27, 6, 42, 9, 92, 30, 201, 2, 0, 1, 0, 1, 346, 1, 0, 0, 27, 6, 31, 6, 92, 30, 196, 60, 10, 0, 9, 1, 1.0, 6.0, 10.0, 0, 1, 7, 1, 0, 6, 3, 1, 3, 2, 1, 0, 0.0, 0, 0, 3, 2, 0, 6, 6, 10.0, 60.0, 100.0, 0.0, 85.6875, 85.6875, 28.59765625, 14.298828125, 70.0, 14.298828125, 42.8984375, 28.59765625, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 0.0, 0.0, 85.6875, 42.8984375, 5.0, 1.0, 22.0, 8.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 25.0, "7713", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7713&g_ta_cod=7713", 10.0, 30.0, 60.0),
(9083, "Public", "0420957M", "I.U.T de Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BUT", "I.U.T de Saint-Etienne - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client", 161, 3211, 1561, 3211, 0, 1735, 305, 993, 229, 26, 13, 457, 0, 0, 0, 0, 0, 2055, 0, 0, 0, 1259, 191, 629, 121, 0, 0, 167, 830, 152, 81, 152, 0, 23.0, 119.0, 135.0, 0, 33, 141, 68, 73, 0, 11, 0, 9, 94, 36, 2, 0.0, 62, 70, 0, 0, 0, 79, 79, 15.13, 78.29, 88.82, 53.296875, 56.0, 56.0, 0, 23.3984375, 92.796875, 0.0, 6.3994140625, 66.6875, 25.5, 1.4, 0.0, 48.1953125, 44.0, 51.796875, 49.59375, 0.0, 0.0, 437.0, 88.0, 0.0, 0.0, 49.0, "Tous les candidats sauf les Bac technologiques", 740.0, "Bacheliers technologiques toutes séries", 446, "", 0, "Liste d'appel propre à cette formation", 37.0, "5311", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5311&g_ta_cod=5311", 49.0, 51.0, 0.0),
(9084, "Public", "0630077S", "Lycée Ambroise Brugiere", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée Ambroise Brugiere - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 70, 1611, 796, 1599, 0, 204, 49, 500, 180, 439, 200, 456, 12, 0, 7, 0, 5, 961, 3, 0, 0, 181, 37, 306, 91, 335, 143, 139, 398, 63, 27, 60, 3, 3.0, 33.0, 52.0, 0, 10, 46, 6, 22, 18, 17, 0, 28, 13, 5, 0, 0.0, 0, 4, 14, 3, 3, 29, 29, 4.76, 52.38, 82.54, 42.8984375, 63.0, 63.0, 6.5, 21.69921875, 73.0, 0.0, 60.8984375, 28.296875, 10.8984375, 0.0, 0.0, 13.0, 0.0, 47.796875, 8.69921875, 39.09375, 30.3984375, 61.0, 19.0, 140.0, 52.0, 75.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 185.0, "Bacheliers professionnels toutes séries", 241, "Bacheliers technologiques toutes séries", 272, "Liste d'appel propre à cette formation", 44.0, "7586", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7586&g_ta_cod=7586", 16.0, 46.0, 38.0),
(9085, "Public", "0370035M", "Lycée Descartes", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "CPGE", "Lycée Descartes - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 2776, 741, 2776, 2138, 2374, 211, 0, 0, 1, 0, 401, 0, 0, 0, 0, 0, 1566, 0, 1206, 782, 1508, 149, 0, 0, 1, 0, 57, 445, 95, 25, 95, 0, 23.0, 66.0, 91.0, 22, 6, 95, 95, 0, 0, 0, 0, 0, 0, 6, 77, 12.0, 95, 0, 0, 3, 0, 56, 56, 24.21, 69.47, 95.79, 26.296875, 58.8984375, 58.8984375, 3.19970703125, 6.2998046875, 100.0, 0.0, 0.0, 0.0, 6.2998046875, 81.1, 12.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 441.0, 36.0, 0.0, 0.0, 4.0, "Tous les candidats", 597.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "4823", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4823&g_ta_cod=4823", 100.0, 0.0, 0.0),
(9086, "Privé hors contrat", "9760462Y", "IRTS ANTENNE DE MAYOTTE", "976", "Mayotte", "Mayotte", "Mayotte", "Mamoudzou", "formation sélective", "EFTS", "IRTS ANTENNE DE MAYOTTE - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 10, 26, 24, 26, 0, 5, 1, 2, 2, 0, 0, 19, 0, 0, 0, 0, 0, 12, 0, 0, 0, 3, 1, 2, 2, 0, 0, 7, 12, 10, 10, 10, 0, 8.0, 10.0, 10.0, 0, 3, 5, 3, 2, 0, 5, 0, 5, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 5, 5, 80.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 60.0, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 60.0, 0.0, 40.0, 0.0, 0.0, 0.0, 3.0, 1.0, 0.0, 0.0, 7.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "25096", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25096&g_ta_cod=25096", 50.0, 40.0, 10.0),
(9087, "Public", "0670078W", "Lycée Jean Monnet", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 1479, 730, 1479, 0, 222, 63, 336, 164, 265, 144, 656, 0, 0, 0, 0, 0, 649, 0, 0, 0, 153, 34, 219, 100, 154, 82, 123, 239, 26, 15, 26, 0, 0.0, 19.0, 23.0, 0, 10, 23, 8, 8, 7, 3, 1, 7, 12, 3, 0, 0.0, 5, 5, 5, 1, 1, 22, 22, 0.0, 73.08, 88.46, 57.6953125, 95.6875, 95.6875, 4.2998046875, 43.5, 88.5, 4.2998046875, 30.3984375, 52.1953125, 13.0, 0.0, 0.0, 34.796875, 21.69921875, 34.796875, 21.69921875, 30.3984375, 21.69921875, 75.0, 20.0, 28.0, 12.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 168.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 180, "Liste d'appel propre à cette formation", 26.0, "7912", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7912&g_ta_cod=7912", 38.0, 35.0, 27.0),
(9088, "Public", "0610026X", "Lycée Napoleon", "61", "Orne", "Normandie", "Normandie", "L'Aigle", "formation sélective", "BTS", "Lycée Napoleon - BTS - Production - Conception de produits industriels (Seconde année en apprentissage)", "BTS - Production", "", 6, 44, 2, 44, 0, 1, 0, 30, 5, 7, 4, 6, 0, 0, 0, 0, 0, 42, 0, 0, 0, 1, 0, 30, 5, 7, 4, 4, 23, 3, 0, 3, 0, 1.0, 3.0, 3.0, 0, 3, 3, 0, 1, 2, 0, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 2, 0, 2, 2, 33.33, 100.0, 100.0, 0.0, 66.6875, 66.6875, 66.6875, 100.0, 100.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 5.0, 3.0, 2.0, "Bacheliers professionnels toutes séries", 7.0, "Bacheliers technologiques toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 64.0, "18761", "BTS - Production - Conception de produits industriels (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18761&g_ta_cod=18761", 0.0, 33.0, 67.0),
(9089, "Privé sous contrat d'association", "0860774Z", "Lycée St Jacques de Compostelle", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée St Jacques de Compostelle - BTS - Production - Métiers de l'eau", "BTS - Production", "", 16, 116, 34, 116, 0, 17, 2, 45, 7, 11, 0, 43, 0, 0, 0, 0, 0, 99, 0, 0, 0, 16, 2, 40, 7, 10, 0, 33, 54, 16, 3, 16, 0, 5.0, 9.0, 15.0, 0, 0, 7, 1, 2, 4, 9, 0, 2, 3, 1, 1, 0.0, 1, 0, 4, 4, 0, 5, 5, 31.25, 56.25, 93.75, 18.796875, 71.390625, 71.390625, 57.09375, 0.0, 43.796875, 0.0, 28.59765625, 42.8984375, 14.298828125, 14.3, 0.0, 14.298828125, 14.298828125, 28.59765625, 0.0, 57.09375, 57.09375, 9.0, 1.0, 4.0, 0.0, 25.0, "Tous les candidats sauf les Bac professionnels", 84.0, "Bacheliers professionnels toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 76.0, "10613", "BTS - Production - Métiers de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10613&g_ta_cod=10613", 50.0, 25.0, 25.0),
(9090, "Public", "0010016M", "Lycée Joseph-Marie Carriat", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "BTS", "Lycée Joseph-Marie Carriat - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 869, 445, 869, 0, 93, 17, 343, 98, 259, 99, 174, 0, 0, 0, 0, 0, 550, 0, 0, 0, 76, 15, 227, 54, 190, 60, 57, 188, 31, 20, 30, 0, 2.0, 23.0, 26.0, 0, 11, 27, 2, 14, 11, 4, 0, 5, 18, 4, 0, 0.0, 1, 12, 9, 3, 0, 22, 22, 6.45, 74.19, 83.87, 64.5, 81.5, 81.5, 11.099609375, 40.6953125, 87.09375, 0.0, 18.5, 66.6875, 14.798828125, 0.0, 0.0, 7.3994140625, 3.69970703125, 51.8984375, 44.3984375, 40.6953125, 33.296875, 16.0, 5.0, 69.0, 20.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 118, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 27.0, "2008", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2008&g_ta_cod=2008", 6.0, 55.0, 39.0),
(9091, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues étrangères appliquées - Parcours Anglais polonais appliqués aux affaires", "Licence - Arts-lettres-langues", "Anglais polonais appliqués aux affaires", 45, 131, 79, 101, 0, 55, 20, 9, 4, 5, 4, 32, 30, 3, 4, 4, 19, 101, 18, 0, 0, 55, 20, 9, 4, 5, 4, 32, 111, 15, 8, 10, 5, 6.0, 10.0, 14.0, 0, 2, 6, 4, 1, 1, 9, 0, 2, 3, 1, 0, 0.0, 3, 1, 0, 0, 0, 4, 4, 40.0, 66.67, 93.33, 53.296875, 66.6875, 66.6875, 0, 33.296875, 40.0, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 66.6875, 50.0, 16.69921875, 16.69921875, 16.69921875, 0.0, 54.0, 19.0, 7.0, 6.0, 38.0, "Tous les candidats", 98.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "15727", "Licence - Langues étrangères appliquées - Parcours Anglais polonais appliqués aux affaires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15727&g_ta_cod=15727", 60.0, 27.0, 13.0),
(9092, "Public", "0211173L", "Lycée agricole Felix Kir", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Plombières-lès-Dijon", "formation sélective", "BTS", "Lycée agricole Felix Kir - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 35, 194, 92, 193, 0, 20, 3, 21, 6, 21, 14, 131, 1, 0, 0, 1, 0, 112, 0, 0, 0, 19, 2, 20, 5, 21, 14, 52, 86, 28, 12, 28, 0, 5.0, 23.0, 28.0, 0, 7, 12, 1, 5, 6, 16, 0, 6, 4, 1, 1, 0.0, 0, 2, 4, 6, 4, 12, 12, 17.86, 82.14, 100.0, 42.8984375, 100.0, 100.0, 50, 58.296875, 42.8984375, 0.0, 50.0, 33.296875, 8.298828125, 8.3, 0.0, 8.298828125, 0.0, 41.6953125, 16.69921875, 50.0, 33.296875, 16.0, 2.0, 14.0, 9.0, 35.0, "Tous les candidats sauf les Bac professionnels", 87.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 58.0, "3244", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3244&g_ta_cod=3244", 61.0, 18.0, 21.0),
(9093, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Sciences et technologies", "Licence - Sciences - technologies - santé", "", 80, 727, 252, 619, 0, 326, 64, 59, 17, 12, 7, 222, 108, 17, 8, 5, 78, 590, 89, 0, 0, 326, 64, 59, 17, 12, 7, 193, 604, 66, 32, 34, 32, 11.0, 25.0, 43.0, 0, 8, 28, 17, 7, 4, 38, 0, 14, 11, 2, 1, 0.0, 11, 2, 1, 0, 0, 13, 13, 16.67, 37.88, 65.15, 48.5, 46.3984375, 46.3984375, 0, 28.59765625, 42.3984375, 0.0, 50.0, 39.296875, 7.099609375, 3.6, 0.0, 60.6953125, 39.296875, 25.0, 7.099609375, 14.298828125, 3.599609375, 310.0, 59.0, 11.0, 7.0, 225.0, "Tous les candidats", 589.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "21480", "Licence - Sciences et technologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21480&g_ta_cod=21480", 67.0, 20.0, 12.0),
(9094, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 150, 2151, 1415, 2151, 0, 1492, 231, 72, 9, 6, 0, 581, 0, 0, 0, 0, 0, 2149, 0, 0, 0, 1492, 231, 72, 9, 6, 0, 579, 794, 143, 76, 143, 0, 6.0, 85.0, 123.0, 0, 21, 116, 112, 4, 0, 27, 0, 13, 60, 33, 9, 1.0, 99, 4, 0, 0, 0, 112, 112, 4.2, 59.44, 86.01, 53.09375, 96.59375, 96.59375, 0, 18.09765625, 81.09375, 0.0, 11.19921875, 51.6953125, 28.3984375, 7.8, 0.9, 96.59375, 85.296875, 3.39990234375, 3.39990234375, 0.0, 0.0, 578.0, 85.0, 0.0, 0.0, 211.0, "Tous les candidats", 1271.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 46.0, "2877", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27711&g_ta_cod=2877", 96.0, 4.0, 0.0),
(9095, "Public", "0380134P", "Sciences Po Grenoble - Institut d'études politiques", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "Autre formation", "Sciences Po Grenoble - Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master", "Sciences politiques", "", 200, 4505, 2804, 4505, 0, 3564, 333, 14, 1, 3, 1, 924, 0, 0, 0, 0, 0, 800, 0, 0, 0, 572, 95, 2, 0, 3, 1, 223, 536, 199, 142, 199, 0, 58.0, 187.0, 194.0, 0, 22, 149, 148, 1, 0, 50, 1, 0, 0, 7, 117, 24.0, 147, 1, 0, 0, 0, 38, 38, 29.15, 93.97, 97.49, 71.390625, 25.5, 25.5, 0, 14.798828125, 74.890625, 0.699951171875, 0.0, 0.0, 4.69921875, 78.5, 16.1, 99.296875, 98.6875, 0.699951171875, 0.699951171875, 0.0, 0.0, 413.0, 59.0, 0.0, 0.0, 122.0, "Tous les candidats", 618.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "17181", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17181&g_ta_cod=17181", 98.0, 2.0, 0.0),
(9096, "Public", "0632001H", "AgroSup Dijon Direction Enseignement à Distance (CNPR)", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Lempdes", "formation sélective", "BTS", "AgroSup Dijon Direction Enseignement à Distance (CNPR) - BTS - Agricole - Gestion forestière", "BTS - Agricole", "", 30, 184, 46, 163, 0, 32, 5, 37, 5, 21, 7, 73, 21, 1, 3, 0, 17, 30, 0, 0, 0, 5, 0, 9, 0, 8, 2, 8, 30, 1, 1, 1, 0, 1.0, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5.0, 0.0, 8.0, 2.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 18.0, "23465", "BTS - Agricole - Gestion forestière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23465&g_ta_cod=23465", 100.0, 0.0, 0.0),
(9097, "Public", "0241279K", "I.U.T de Bordeaux - Site de Périgueux", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BUT", "I.U.T de Bordeaux - Site de Périgueux - BUT - Génie chimique génie des procédés Parcours : Contrôle, pilotage et optimisation des procédés - Contrôle, qualité, environnement et sécurité des procédés", "BUT - Production", "Contrôle, pilotage et optimisation des procédés - Contrôle, qualité, environnement et sécurité des procédés", 52, 853, 455, 796, 0, 479, 55, 126, 21, 2, 0, 189, 57, 12, 7, 0, 38, 455, 9, 0, 0, 288, 28, 79, 15, 0, 0, 88, 286, 39, 21, 36, 3, 4.0, 32.0, 37.0, 0, 2, 25, 17, 8, 0, 14, 0, 10, 6, 9, 0, 0.0, 12, 3, 0, 0, 0, 21, 21, 10.26, 82.05, 94.87, 53.796875, 84.0, 84.0, 0, 8.0, 64.09375, 0.0, 40.0, 24.0, 36.0, 0.0, 0.0, 68.0, 48.0, 32.0, 12.0, 0.0, 0.0, 153.0, 15.0, 0.0, 0.0, 73.0, "Tous les candidats sauf les Bac technologiques", 360.0, "Bacheliers technologiques toutes séries", 89, "", 0, "Liste d'appel propre à cette formation", 56.0, "3442", "BUT - Génie chimique génie des procédés Parcours : Contrôle, pilotage et optimisation des procédés - Contrôle, qualité, environnement et sécurité des procédés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3442&g_ta_cod=3442", 79.0, 21.0, 0.0),
(9098, "Public", "0560025Y", "Lycée Dupuy De Lôme", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "CPGE", "Lycée Dupuy De Lôme - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 1032, 381, 1025, 779, 707, 69, 1, 1, 0, 0, 317, 7, 2, 0, 0, 5, 903, 7, 777, 563, 670, 65, 1, 1, 0, 0, 232, 421, 30, 12, 29, 1, 10.0, 19.0, 30.0, 17, 1, 26, 26, 0, 0, 4, 0, 0, 4, 17, 5, 0.0, 26, 0, 0, 4, 1, 25, 25, 33.33, 63.33, 100.0, 40.0, 96.1875, 96.1875, 15.3984375, 3.7998046875, 86.6875, 0.0, 0.0, 15.3984375, 65.390625, 19.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 386.0, 34.0, 0.0, 0.0, 35.0, "Tous les candidats", 569.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "6420", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6420&g_ta_cod=6420", 100.0, 0.0, 0.0),
(9099, "Privé sous contrat d'association", "0932755P", "Institut de Travail Social et de Recherche Sociale", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Neuilly-sur-Marne", "formation sélective", "EFTS", "Institut de travail social et de recherches sociales - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 37, 178, 165, 178, 0, 21, 1, 45, 12, 31, 9, 81, 0, 0, 0, 0, 0, 162, 0, 0, 0, 21, 1, 41, 11, 29, 8, 71, 110, 36, 33, 36, 0, 9.0, 31.0, 35.0, 0, 4, 21, 3, 9, 9, 15, 0, 5, 11, 4, 1, 0.0, 3, 5, 8, 0, 0, 16, 18, 25.0, 86.11, 97.22, 91.6875, 76.1875, 85.6875, 0, 19.0, 58.296875, 0.0, 23.796875, 52.3984375, 19.0, 4.8, 0.0, 14.298828125, 14.298828125, 42.8984375, 23.796875, 42.8984375, 38.09375, 12.0, 1.0, 26.0, 8.0, 39.0, "Tous les candidats", 216.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 78.0, "25306", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23560&g_ta_cod=25306", 17.0, 53.0, 31.0),
(9100, "Public", "0750657G", "Lycée Montaigne", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Montaigne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 2163, 1106, 2163, 392, 1962, 235, 0, 0, 1, 1, 200, 0, 0, 0, 0, 0, 1388, 0, 292, 1278, 1317, 199, 0, 0, 0, 0, 71, 424, 27, 15, 27, 0, 2.0, 9.0, 24.0, 2, 5, 26, 26, 0, 0, 1, 0, 0, 0, 14, 11, 1.0, 26, 0, 0, 0, 0, 3, 19, 7.41, 33.33, 88.89, 55.59375, 11.5, 73.09375, 0, 19.19921875, 96.296875, 0.0, 0.0, 0.0, 53.796875, 42.3, 3.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 407.0, 59.0, 0.0, 0.0, 17.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "31604", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31362&g_ta_cod=31604", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(9101, "Public", "0660014G", "Lycée Pablo Picasso", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée Pablo Picasso - BTS - Production - Electrotechnique", "BTS - Production", "", 12, 163, 3, 163, 0, 6, 1, 48, 20, 77, 32, 32, 0, 0, 0, 0, 0, 163, 0, 0, 0, 6, 1, 48, 20, 77, 32, 32, 26, 13, 0, 13, 0, 8.0, 13.0, 13.0, 0, 5, 11, 1, 4, 6, 2, 0, 2, 3, 4, 2, 0.0, 1, 2, 6, 9, 0, 11, 11, 61.54, 100.0, 100.0, 0.0, 100.0, 100.0, 81.796875, 45.5, 84.59375, 0.0, 18.19921875, 27.296875, 36.3984375, 18.2, 0.0, 9.099609375, 9.099609375, 36.3984375, 18.19921875, 54.5, 54.5, 3.0, 1.0, 9.0, 3.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 18.0, "13343", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13343&g_ta_cod=13343", 8.0, 46.0, 46.0),
(9102, "Public", "0133516B", "Aix Marseille Université - Site d'Aix-en-Provence (Montperrin)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix-Marseille Université - Portail René Descartes - Licence - Portail Descartes : Informatique, Mathématiques, Mécanique, Physique", "Licence - Sciences - technologies - santé", "Descartes : Informatique, Mathématiques, Mécanique, Physique - site d'Aix-en-Provence", 110, 2751, 657, 2733, 0, 1824, 318, 149, 48, 12, 8, 748, 18, 3, 0, 0, 15, 2732, 16, 0, 0, 1824, 318, 149, 48, 12, 8, 747, 1635, 99, 20, 93, 5, 11.0, 44.0, 78.0, 0, 6, 60, 59, 1, 0, 39, 1, 18, 32, 6, 3, 0.0, 41, 0, 0, 0, 0, 50, 50, 11.11, 44.44, 78.79, 20.19921875, 83.296875, 83.296875, 0, 10.0, 60.59375, 1.699951171875, 30.0, 53.296875, 10.0, 5.0, 0.0, 98.296875, 68.296875, 1.699951171875, 0.0, 0.0, 0.0, 1223.0, 216.0, 0.0, 0.0, 402.0, "Tous les candidats", 2966.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 82.0, "12594", "Licence - Portail Descartes : Informatique, Mathématiques, Mécanique, Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12608&g_ta_cod=12594", 95.0, 5.0, 0.0),
(9103, "Public", "0951570R", "IFSI Françoise Dolto", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Eaubonne", "formation sélective", "IFSI", "Regroupement IFSI Université de Paris - D.E Infirmier", "D.E secteur sanitaire", "", 80, 4907, 4357, 4907, 0, 464, 133, 720, 298, 747, 371, 2976, 0, 0, 0, 0, 0, 3659, 0, 0, 0, 417, 114, 559, 221, 572, 278, 2111, 931, 85, 77, 85, 0, 7.0, 56.0, 85.0, 0, 9, 57, 15, 17, 25, 28, 0, 5, 31, 16, 5, 0.0, 14, 14, 24, 0, 0, 50, 53, 8.24, 65.88, 100.0, 90.59375, 87.6875, 93.0, 0, 15.798828125, 67.09375, 0.0, 8.798828125, 54.3984375, 28.09765625, 8.8, 0.0, 26.296875, 24.59765625, 29.796875, 24.59765625, 43.8984375, 42.09375, 120.0, 20.0, 229.0, 96.0, 386.0, "Tous les candidats", 3576.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "25259", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25148&g_ta_cod=25259", 33.0, 28.0, 39.0),
(9104, "Public", "0930125F", "Lycée Paul Eluard", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "CPGE", "Lycée Paul Eluard - CPGE - PCSI", "Classe préparatoire scientifique", "", 24, 587, 214, 510, 0, 315, 122, 3, 2, 1, 0, 191, 77, 25, 4, 0, 48, 279, 11, 0, 279, 246, 90, 0, 0, 0, 0, 33, 164, 18, 7, 17, 1, 0.0, 6.0, 17.0, 0, 5, 13, 13, 0, 0, 5, 0, 9, 3, 1, 0, 0.0, 4, 0, 0, 0, 0, 4, 13, 0.0, 33.33, 94.44, 38.8984375, 30.796875, 100.0, 0, 38.5, 72.1875, 0.0, 69.1875, 23.09765625, 7.69921875, 0.0, 0.0, 100.0, 30.796875, 0.0, 0.0, 0.0, 0.0, 135.0, 47.0, 0.0, 0.0, 29.0, "Tous les candidats", 278.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "11190", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11190&g_ta_cod=11190", 100.0, 0.0, 0.0),
(9105, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Autre formation", "Institut Catholique de Lyon - IFTLM - D.E Technicien de Laboratoire Médical", "D.E secteur sanitaire", "", 58, 613, 489, 613, 0, 182, 45, 107, 26, 15, 5, 309, 0, 0, 0, 0, 0, 544, 0, 0, 0, 181, 44, 105, 25, 12, 3, 246, 307, 56, 47, 56, 0, 5.0, 34.0, 45.0, 0, 7, 40, 27, 11, 2, 16, 0, 14, 19, 7, 0, 0.0, 14, 10, 2, 0, 0, 23, 23, 8.93, 60.71, 80.36, 83.890625, 57.5, 57.5, 0, 17.5, 71.390625, 0.0, 35.0, 47.5, 17.5, 0.0, 0.0, 67.5, 35.0, 27.5, 25.0, 5.0, 5.0, 141.0, 32.0, 9.0, 2.0, 108.0, "Tous les candidats", 322.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "12180", "D.E Technicien de Laboratoire Médical", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12180&g_ta_cod=12180", 73.0, 23.0, 4.0),
(9106, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Portail option Journalisme mentions : Lettres - Langues, littératures et civilisations étrangères et régionales (Académie ESJ)", "Licence - Arts-lettres-langues", "option Journalisme mentions : Lettres - Langues, littératures et civilisations étrangères et régionales (Académie ESJ)", 15, 712, 559, 712, 0, 558, 88, 13, 4, 4, 2, 137, 0, 0, 0, 0, 0, 277, 0, 0, 0, 233, 29, 4, 0, 0, 0, 40, 100, 20, 17, 20, 0, 0.0, 19.0, 20.0, 0, 2, 17, 17, 0, 0, 3, 0, 0, 0, 5, 12, 0.0, 17, 0, 0, 0, 0, 2, 2, 0.0, 95.0, 100.0, 85.0, 11.798828125, 11.798828125, 0, 11.798828125, 85.0, 0.0, 0.0, 0.0, 29.3984375, 70.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 87.0, 14.0, 0.0, 0.0, 13.0, "Tous les candidats", 127.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "24741", "Licence - Portail option Journalisme mentions : Lettres - Langues, littératures et civilisations étrangères et régionales (Académie ESJ)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24741&g_ta_cod=24741", 95.0, 0.0, 5.0),
(9107, "Public", "0382665R", "IFSI de Vienne", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vienne", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lyon - D.E Infirmier", "D.E secteur sanitaire", "", 54, 7083, 6022, 7083, 0, 1044, 224, 1252, 351, 917, 376, 3870, 0, 0, 0, 0, 0, 5284, 0, 0, 0, 932, 178, 1024, 267, 599, 234, 2729, 949, 54, 48, 54, 0, 1.0, 10.0, 32.0, 0, 13, 36, 7, 8, 21, 18, 0, 4, 21, 10, 1, 0.0, 6, 7, 19, 0, 0, 28, 28, 1.85, 18.52, 59.26, 88.890625, 77.796875, 77.796875, 0, 36.09375, 66.6875, 0.0, 11.099609375, 58.296875, 27.796875, 2.8, 0.0, 19.3984375, 16.69921875, 22.19921875, 19.3984375, 58.296875, 52.796875, 212.0, 32.0, 138.0, 66.0, 385.0, "Tous les candidats", 3418.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "23161", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23001&g_ta_cod=23161", 30.0, 20.0, 50.0),
(9108, "Privé sous contrat d'association", "0592973L", "Lycée professionnel Saint-François d'Assise", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "Autre formation", "Lycée professionnel Saint-François d'Assise - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 53, 11, 33, 0, 5, 2, 1, 0, 16, 4, 11, 20, 5, 3, 5, 7, 24, 12, 0, 0, 5, 2, 0, 0, 14, 4, 5, 34, 16, 1, 11, 5, 6.0, 11.0, 14.0, 0, 4, 11, 3, 1, 7, 5, 0, 6, 5, 0, 0, 0.0, 0, 0, 5, 0, 0, 10, 10, 37.5, 68.75, 87.5, 6.2998046875, 90.890625, 90.890625, 0, 36.3984375, 68.796875, 0.0, 54.5, 45.5, 0.0, 0.0, 0.0, 27.296875, 0.0, 9.099609375, 0.0, 63.59375, 45.5, 6.0, 1.0, 16.0, 5.0, 10.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "33246", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33246&g_ta_cod=33246", 19.0, 13.0, 69.0),
(9109, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Université Angers - Licence - Portail MI - Mathématiques, Informatique", "Licence - Sciences - technologies - santé", "MI - Mathématiques, Informatique", 80, 911, 187, 911, 0, 670, 106, 30, 10, 3, 2, 208, 0, 0, 0, 0, 0, 891, 0, 0, 0, 670, 106, 30, 10, 3, 2, 188, 547, 87, 13, 87, 0, 11.0, 87.0, 87.0, 0, 16, 64, 61, 2, 1, 23, 0, 16, 34, 12, 2, 0.0, 47, 1, 0, 0, 0, 62, 62, 12.64, 100.0, 100.0, 14.8984375, 96.890625, 96.890625, 0, 25.0, 73.59375, 0.0, 25.0, 53.09375, 18.796875, 3.1, 0.0, 95.296875, 73.390625, 3.099609375, 1.599853515625, 1.599853515625, 0.0, 425.0, 77.0, 2.0, 1.0, 110.0, "Tous les candidats", 804.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 85.0, "31687", "Licence - Portail MI - Mathématiques, Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32222&g_ta_cod=31687", 90.0, 7.0, 1.0),
(9110, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "Facultés libres de l'Ouest - UCO ANGERS - Gestion Internationale de l'Entreprise et Ethique (diplôme valant reconnaissance de niveau Licence)", "Diplôme d'Etablissement", "Gestion Internationale de l'Entreprise et Ethique (diplôme valant reconnaissance de niveau Licence)", 50, 133, 72, 113, 0, 86, 4, 8, 2, 1, 0, 18, 20, 5, 3, 0, 12, 112, 11, 0, 0, 86, 4, 8, 2, 1, 0, 17, 120, 20, 10, 16, 4, 13.0, 16.0, 19.0, 0, 1, 13, 9, 4, 0, 7, 0, 3, 5, 4, 1, 0.0, 7, 3, 0, 0, 0, 9, 9, 65.0, 80.0, 95.0, 50.0, 69.1875, 69.1875, 0, 7.69921875, 65.0, 0.0, 23.09765625, 38.5, 30.796875, 7.7, 0.0, 69.1875, 53.796875, 30.796875, 23.09765625, 0.0, 0.0, 86.0, 4.0, 1.0, 0.0, 23.0, "Tous les candidats", 112.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "25065", "Gestion Internationale de l'Entreprise et Ethique (diplôme valant reconnaissance de niveau Licence)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25065&g_ta_cod=25065", 70.0, 30.0, 0.0),
(9111, "Privé sous contrat d'association", "0754029X", "Lycée Carcado Saisseval", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "BTS", "Lycée Carcado Saisseval - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 40, 524, 473, 498, 0, 29, 9, 132, 42, 174, 64, 163, 26, 2, 10, 0, 14, 373, 15, 0, 0, 26, 8, 113, 37, 145, 54, 89, 220, 20, 19, 19, 1, 1.0, 10.0, 14.0, 0, 8, 14, 1, 5, 8, 6, 0, 9, 4, 1, 0, 0.0, 0, 2, 3, 1, 1, 3, 13, 5.0, 50.0, 70.0, 95.0, 21.3984375, 92.890625, 7.099609375, 57.09375, 70.0, 0.0, 64.296875, 28.59765625, 7.099609375, 0.0, 0.0, 7.099609375, 0.0, 35.6953125, 14.298828125, 57.09375, 21.3984375, 17.0, 5.0, 86.0, 31.0, 39.0, "Tous les candidats sauf les Bac professionnels", 112.0, "Bacheliers professionnels toutes séries", 112, "", 0, "Liste d'appel propre à cette formation", 45.0, "9490", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9490&g_ta_cod=9490", 5.0, 40.0, 55.0),
(9112, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - HISTOIRE - LLCER ESPAGNOL", "Licence - Sciences humaines et sociales", "HISTOIRE - LLCER ESPAGNOL", 40, 444, 311, 130, 0, 109, 15, 2, 1, 1, 0, 18, 314, 93, 24, 19, 178, 126, 38, 0, 0, 109, 15, 1, 0, 1, 0, 15, 142, 37, 24, 27, 10, 8.0, 27.0, 31.0, 0, 6, 30, 30, 0, 0, 7, 0, 3, 10, 10, 7, 0.0, 27, 0, 0, 0, 0, 7, 20, 21.62, 72.97, 83.78, 64.890625, 23.296875, 66.6875, 0, 20.0, 81.09375, 0.0, 10.0, 33.296875, 33.296875, 23.3, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 108.0, 13.0, 2.0, 1.0, 31.0, "Tous les candidats", 126.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "9313", "Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - HISTOIRE - LLCER ESPAGNOL", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9313&g_ta_cod=9313", 100.0, 0.0, 0.0),
(9113, "Privé sous contrat d'association", "0593006X", "Lycée Notre-Dame D'Annay", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Notre-Dame D'Annay - BTS - Services - Gestion de la PME", "BTS - Services", "", 32, 308, 159, 238, 0, 21, 9, 67, 14, 70, 29, 80, 70, 8, 12, 14, 36, 132, 14, 0, 0, 13, 6, 63, 14, 35, 12, 21, 107, 18, 6, 15, 3, 5.0, 14.0, 18.0, 0, 3, 13, 0, 5, 8, 5, 0, 4, 8, 1, 0, 0.0, 0, 3, 6, 5, 1, 11, 11, 27.78, 77.78, 100.0, 33.296875, 84.59375, 84.59375, 38.5, 23.09765625, 72.1875, 0.0, 30.796875, 61.5, 7.69921875, 0.0, 0.0, 0.0, 0.0, 38.5, 23.09765625, 61.5, 46.1953125, 16.0, 4.0, 30.0, 9.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 55.0, "6940", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6940&g_ta_cod=6940", 6.0, 33.0, 61.0),
(9114, "Public", "9710884J", "Lycée de Raoul Georges NICOLO", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "BTS", "Lycée de Raoul Georges NICOLO - BTS - Production - Travaux publics", "BTS - Production", "", 16, 137, 22, 137, 0, 16, 9, 28, 15, 33, 19, 60, 0, 0, 0, 0, 0, 137, 0, 0, 0, 16, 9, 28, 15, 33, 19, 60, 47, 17, 2, 17, 0, 7.0, 17.0, 17.0, 0, 10, 14, 1, 6, 7, 3, 0, 9, 4, 1, 0, 0.0, 0, 2, 3, 3, 0, 14, 14, 41.18, 100.0, 100.0, 11.798828125, 100.0, 100.0, 21.3984375, 71.390625, 82.390625, 0.0, 64.296875, 28.59765625, 7.099609375, 0.0, 0.0, 7.099609375, 0.0, 42.8984375, 14.298828125, 50.0, 21.3984375, 13.0, 7.0, 11.0, 7.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers technologiques toutes séries", 24, "Bacheliers professionnels toutes séries", 11, "Liste d'appel propre à cette formation", 40.0, "29415", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29415&g_ta_cod=29415", 12.0, 41.0, 47.0),
(9115, "Public", "9730309Y", "Lycée Melkior Garre", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "Autre formation", "Lycée Melkior Garre - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 26, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 35, 12, 12, 0, 0, 0.0, 0.0, 4.0, 0, 5, 10, 0, 1, 9, 2, 1, 5, 4, 0, 0, 0.0, 0, 0, 4, 0, 0, 10, 10, 0.0, 0.0, 33.33, 100.0, 100.0, 100.0, 0, 50.0, 83.296875, 10.0, 50.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 10.0, 0.0, 90.0, 40.0, 0.0, 0.0, 24.0, 14.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25702", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 17.0, 83.0),
(9116, "Privé sous contrat d'association", "0351047Y", "LEAP A. St Exupéry Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "LEAP A. St Exupéry Rennes - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 20, 86, 46, 72, 0, 9, 3, 27, 6, 8, 2, 28, 14, 3, 1, 2, 8, 72, 8, 0, 0, 9, 3, 27, 6, 8, 2, 28, 72, 18, 10, 17, 1, 3.0, 17.0, 18.0, 0, 1, 6, 0, 3, 3, 12, 0, 4, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 4, 4, 16.67, 94.44, 100.0, 55.59375, 66.6875, 66.6875, 0, 16.69921875, 33.296875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 16.69921875, 50.0, 16.69921875, 11.0, 3.0, 8.0, 2.0, 28.0, "Tous les candidats sauf les Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 97.0, "4760", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4760&g_ta_cod=4760", 56.0, 22.0, 22.0),
(9117, "Privé sous contrat d'association", "0440246D", "LPO Sacré-Coeur La Salle", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LPO Sacré-Coeur La Salle - BTS - Services - Support à l'action managériale", "BTS - Services", "", 18, 287, 228, 276, 0, 20, 4, 98, 28, 95, 38, 63, 11, 2, 0, 0, 9, 260, 4, 0, 0, 20, 4, 98, 28, 95, 38, 47, 107, 13, 12, 13, 0, 1.0, 10.0, 12.0, 0, 8, 12, 0, 5, 7, 1, 0, 4, 7, 1, 0, 0.0, 0, 1, 7, 2, 2, 12, 12, 7.69, 76.92, 92.31, 92.296875, 100.0, 100.0, 16.69921875, 66.6875, 92.296875, 0.0, 33.296875, 58.296875, 8.298828125, 0.0, 0.0, 0.0, 0.0, 41.6953125, 8.298828125, 58.296875, 58.296875, 16.0, 5.0, 36.0, 18.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 67.0, "5500", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5500&g_ta_cod=5500", 8.0, 38.0, 54.0),
(9118, "Public", "0350030T", "Lycée Pierre Mendes France", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Pierre Mendes France - BTS - Production - Enveloppe des bâtiments : conception et réalisation", "BTS - Production", "", 10, 331, 49, 330, 0, 33, 3, 115, 10, 111, 39, 71, 1, 0, 1, 0, 0, 164, 0, 0, 0, 20, 2, 78, 8, 48, 16, 18, 76, 10, 2, 8, 0, 0.0, 6.0, 8.0, 0, 2, 9, 2, 3, 4, 1, 0, 3, 5, 1, 0, 0.0, 1, 2, 3, 4, 1, 8, 8, 0.0, 60.0, 80.0, 20.0, 88.890625, 88.890625, 44.3984375, 22.19921875, 90.0, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 22.19921875, 11.099609375, 33.296875, 22.19921875, 44.3984375, 33.296875, 15.0, 2.0, 19.0, 8.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 34.0, "4648", "BTS - Production - Enveloppe des bâtiments : conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4648&g_ta_cod=4648", 30.0, 30.0, 40.0),
(9119, "Public", "0940114N", "Lycée Antoine de Saint Exupery", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Autre formation", "Lycée Antoine de Saint Exupery - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 174, 27, 174, 0, 12, 1, 15, 4, 112, 55, 35, 0, 0, 0, 0, 0, 174, 0, 0, 0, 12, 1, 15, 4, 112, 55, 35, 48, 15, 0, 14, 0, 4.0, 10.0, 10.0, 0, 5, 13, 0, 3, 10, 2, 0, 8, 5, 0, 0, 0.0, 0, 1, 4, 0, 0, 13, 13, 26.67, 66.67, 66.67, 0.0, 100.0, 100.0, 0, 38.5, 86.6875, 0.0, 61.5, 38.5, 0.0, 0.0, 0.0, 0.0, 0.0, 23.09765625, 7.69921875, 76.890625, 30.796875, 0.0, 0.0, 38.0, 14.0, 5.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "22260", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22260&g_ta_cod=22260", 0.0, 20.0, 80.0),
(9120, "Public", "0750672Y", "Esaa Duperré", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "Autre formation", "Esaa Duperré - DN MADE - Mode - - Spécialité : Textile - Recherche et développement mode et maison", "DN MADE", "- Spécialité : Textile - Recherche et développement mode et maison", 14, 1057, 842, 1057, 0, 430, 73, 188, 42, 93, 25, 346, 0, 0, 0, 0, 0, 123, 0, 0, 0, 48, 4, 44, 5, 6, 0, 25, 21, 14, 10, 14, 0, 8.0, 14.0, 14.0, 0, 4, 13, 5, 7, 1, 1, 0, 1, 0, 8, 4, 0.0, 5, 6, 1, 0, 0, 2, 6, 57.14, 100.0, 100.0, 71.390625, 15.3984375, 46.1953125, 0, 30.796875, 92.890625, 0.0, 7.69921875, 0.0, 61.5, 30.8, 0.0, 38.5, 38.5, 53.796875, 46.1953125, 7.69921875, 7.69921875, 6.0, 2.0, 1.0, 0.0, 1.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 3.0, "25075", "DN MADE - Mode - - Spécialité : Textile - Recherche et développement mode et maison", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25075&g_ta_cod=25075", 43.0, 50.0, 7.0),
(9121, "Public", "0280706R", "Lycée agricole de Chartres", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Sours", "formation sélective", "BTS", "Lycée agricole de Chartres - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 17, 140, 74, 124, 0, 6, 0, 18, 7, 14, 7, 86, 16, 4, 2, 0, 10, 44, 8, 0, 0, 6, 0, 15, 5, 14, 7, 9, 49, 13, 6, 7, 4, 2.0, 6.0, 9.0, 0, 2, 10, 1, 3, 6, 3, 1, 4, 4, 1, 0, 0.0, 0, 1, 4, 3, 1, 6, 6, 15.38, 46.15, 69.23, 46.1953125, 60.0, 60.0, 30, 20.0, 76.890625, 10.0, 40.0, 40.0, 10.0, 0.0, 0.0, 10.0, 0.0, 30.0, 10.0, 60.0, 40.0, 8.0, 1.0, 10.0, 5.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 34.0, "3743", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3743&g_ta_cod=3743", 23.0, 31.0, 46.0),
(9122, "Public", "0570094T", "Lycée Mangin", "57", "Moselle", "Grand Est", "Nancy-Metz", "Sarrebourg", "formation sélective", "BTS", "Lycée Mangin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 375, 188, 279, 0, 31, 10, 113, 37, 82, 32, 53, 96, 0, 51, 15, 30, 162, 7, 0, 0, 30, 9, 65, 17, 47, 16, 20, 112, 29, 16, 26, 2, 7.0, 23.0, 28.0, 0, 8, 24, 2, 8, 14, 5, 0, 5, 12, 6, 1, 0.0, 0, 5, 14, 10, 8, 20, 20, 24.14, 79.31, 96.55, 55.1953125, 83.296875, 83.296875, 41.6953125, 33.296875, 82.796875, 0.0, 20.796875, 50.0, 25.0, 4.2, 0.0, 8.298828125, 0.0, 33.296875, 20.796875, 58.296875, 58.296875, 9.0, 3.0, 36.0, 12.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 50.0, "6553", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6553&g_ta_cod=6553", 17.0, 34.0, 48.0),
(9123, "Privé sous contrat d'association", "0171435T", "EIGSI La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 5, 130, 8, 130, 0, 0, 0, 130, 9, 0, 0, 0, 0, 0, 0, 0, 0, 126, 0, 0, 0, 0, 0, 126, 8, 0, 0, 0, 91, 5, 0, 5, 0, 5.0, 5.0, 5.0, 0, 0, 5, 0, 5, 0, 0, 0, 0, 1, 4, 0, 0.0, 0, 5, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 20.0, 20.0, 0, 0.0, 100.0, 0.0, 0.0, 20.0, 80.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "107", "Formation d'ingénieur Bac + 5 - Bac Série STI2D", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=106&g_ta_cod=107", 0.0, 100.0, 0.0),
(9124, "Privé sous contrat d'association", "0693623N", "CPE Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 135, 1869, 806, 1869, 0, 1863, 173, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 1687, 0, 0, 0, 1687, 132, 0, 0, 0, 0, 0, 968, 135, 87, 135, 0, 93.0, 135.0, 135.0, 0, 5, 135, 135, 0, 0, 0, 0, 0, 11, 91, 29, 4.0, 135, 0, 0, 0, 0, 54, 54, 68.89, 100.0, 100.0, 64.390625, 40.0, 40.0, 0, 3.69970703125, 100.0, 0.0, 0.0, 8.099609375, 67.390625, 21.5, 3.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 968.0, 86.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "86", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=86", 100.0, 0.0, 0.0),
(9125, "Public", "0640055M", "Lycée Louis Barthou", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "CPGE", "Lycée Louis Barthou - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 1327, 531, 1304, 922, 839, 94, 2, 0, 0, 0, 463, 23, 12, 1, 0, 10, 896, 12, 638, 857, 755, 79, 1, 0, 0, 0, 140, 693, 70, 29, 68, 2, 12.0, 44.0, 65.0, 19, 7, 48, 48, 0, 0, 22, 0, 3, 13, 25, 7, 0.0, 45, 0, 0, 6, 2, 30, 30, 17.14, 62.86, 92.86, 41.3984375, 62.5, 62.5, 12.5, 14.599609375, 68.59375, 0.0, 6.2998046875, 27.09765625, 52.09375, 14.6, 0.0, 100.0, 93.796875, 0.0, 0.0, 0.0, 0.0, 571.0, 58.0, 0.0, 0.0, 122.0, "Tous les candidats", 879.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "7705", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7705&g_ta_cod=7705", 100.0, 0.0, 0.0),
(9126, "Privé enseignement supérieur", "0922007G", "EDC Paris BS", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Puteaux", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 60, 928, 436, 919, 0, 783, 44, 50, 3, 3, 1, 83, 9, 3, 0, 1, 5, 866, 8, 0, 0, 750, 39, 46, 2, 2, 1, 68, 785, 9, 5, 7, 2, 6.0, 7.0, 8.0, 0, 0, 6, 6, 0, 0, 3, 0, 2, 2, 2, 0, 0.0, 4, 0, 0, 0, 0, 3, 3, 66.67, 77.78, 88.89, 55.59375, 50.0, 50.0, 0, 0.0, 66.6875, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 682.0, 34.0, 3.0, 1.0, 64.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "31980", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=31980", 100.0, 0.0, 0.0),
(9127, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 100, 475, 198, 375, 0, 262, 45, 30, 10, 7, 1, 76, 100, 20, 7, 7, 66, 375, 67, 0, 0, 262, 45, 30, 10, 7, 1, 76, 404, 84, 38, 62, 22, 38.0, 61.0, 69.0, 0, 10, 55, 42, 8, 5, 29, 0, 21, 22, 12, 0, 0.0, 27, 5, 2, 0, 0, 30, 30, 45.24, 72.62, 82.14, 45.1953125, 54.5, 54.5, 0, 18.19921875, 65.5, 0.0, 38.1953125, 40.0, 21.796875, 0.0, 0.0, 76.390625, 49.09375, 14.5, 9.099609375, 9.099609375, 3.599609375, 262.0, 44.0, 12.0, 6.0, 99.0, "Tous les candidats", 375.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7657", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7657&g_ta_cod=7657", 68.0, 19.0, 12.0),
(9128, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langue et Culture Corses", "Licence - Arts-lettres-langues", "Langue et Culture Corses", 40, 90, 50, 73, 0, 36, 8, 14, 5, 5, 1, 18, 17, 3, 2, 0, 12, 71, 10, 0, 0, 36, 8, 14, 5, 5, 1, 16, 80, 14, 5, 11, 3, 6.0, 11.0, 14.0, 0, 3, 9, 6, 2, 1, 5, 0, 4, 3, 2, 0, 0.0, 4, 0, 1, 0, 0, 9, 9, 42.86, 78.57, 100.0, 35.6953125, 100.0, 100.0, 0, 33.296875, 64.296875, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 66.6875, 44.3984375, 22.19921875, 0.0, 11.099609375, 11.099609375, 37.0, 8.0, 5.0, 1.0, 24.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "11714", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langue et Culture Corses", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11714&g_ta_cod=11714", 71.0, 21.0, 7.0),
(9129, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 3 Paul Sabatier - Licence - Sciences de la terre", "Licence - Sciences - technologies - santé", "", 100, 714, 363, 668, 0, 425, 81, 25, 13, 1, 0, 217, 46, 12, 7, 0, 27, 668, 45, 0, 0, 425, 81, 25, 13, 1, 0, 217, 530, 100, 42, 70, 30, 10.0, 43.0, 71.0, 0, 18, 65, 54, 10, 1, 35, 1, 37, 16, 8, 3, 0.0, 25, 1, 1, 0, 0, 46, 46, 10.0, 43.0, 71.0, 42.0, 70.796875, 70.796875, 0, 27.69921875, 65.0, 1.5, 56.8984375, 24.59765625, 12.298828125, 4.6, 0.0, 83.09375, 38.5, 15.3984375, 1.5, 1.5, 1.5, 335.0, 66.0, 1.0, 0.0, 175.0, "Tous les candidats", 656.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "4190", "Licence - Sciences de la terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4190&g_ta_cod=4190", 80.0, 17.0, 2.0),
(9130, "Public", "0061642C", "Lycée International de Valbonne", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Valbonne", "formation sélective", "CPGE", "Lycée International de Valbonne - CPGE - MPSI", "Classe préparatoire scientifique", "", 46, 1124, 310, 1124, 931, 927, 87, 2, 1, 0, 0, 195, 0, 0, 0, 0, 0, 1004, 0, 931, 569, 857, 80, 2, 1, 0, 0, 145, 295, 47, 16, 47, 0, 7.0, 39.0, 46.0, 43, 5, 46, 45, 1, 0, 1, 0, 0, 0, 22, 19, 5.0, 45, 1, 0, 2, 0, 36, 36, 14.89, 82.98, 97.87, 34.0, 78.296875, 78.296875, 4.2998046875, 10.8984375, 97.890625, 0.0, 0.0, 0.0, 47.796875, 41.3, 10.9, 97.796875, 97.796875, 2.19970703125, 2.19970703125, 0.0, 0.0, 292.0, 25.0, 0.0, 0.0, 2.0, "Tous les candidats", 383.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "2314", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2314&g_ta_cod=2314", 98.0, 2.0, 0.0),
(9131, "Public", "0020078Z", "Lycée professionnel Julie Daubie", "02", "Aisne", "Hauts-de-France", "Amiens", "Laon", "formation sélective", "Autre formation", "Lycée professionnel Julie Daubie - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 9, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9, 3, 2, 3, 1, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 4, 3, 0, 4, 0.0, 0.0, 3.0, 0, 2, 4, 1, 1, 2, 0, 0, 3, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 0.0, 0.0, 75.0, 75.0, 50.0, 50.0, 0, 50.0, 100.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 25.0, 0.0, 25.0, 0.0, 50.0, 25.0, 2.0, 1.0, 2.0, 1.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35021", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=35021&g_ta_cod=35021", 25.0, 25.0, 50.0),
(9132, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Institut Catholique Paris - Licence - Histoire - Parcours Histoire Géographie", "Licence - Sciences humaines et sociales", "Histoire Géographie", 190, 750, 315, 467, 0, 340, 25, 28, 1, 8, 1, 91, 283, 139, 17, 5, 122, 465, 272, 0, 0, 340, 25, 28, 1, 8, 1, 89, 711, 167, 52, 95, 72, 68.0, 92.0, 139.0, 0, 4, 132, 116, 14, 2, 35, 0, 31, 73, 21, 7, 0.0, 91, 9, 1, 0, 0, 40, 116, 40.72, 55.09, 83.23, 31.09765625, 30.296875, 87.890625, 0, 3.0, 79.0, 0.0, 23.5, 55.296875, 15.8984375, 5.3, 0.0, 87.890625, 68.890625, 10.599609375, 6.7998046875, 1.5, 0.7999267578125, 463.0, 40.0, 12.0, 2.0, 192.0, "Tous les candidats", 464.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "9449", "Licence - Histoire - Parcours Histoire Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9449&g_ta_cod=9449", 87.0, 10.0, 2.0),
(9133, "Public", "0440069L", "LGT Aristide Briand", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BTS", "LGT Aristide Briand - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 32, 613, 532, 528, 0, 32, 4, 134, 38, 161, 58, 201, 85, 9, 12, 21, 43, 258, 11, 0, 0, 21, 3, 85, 18, 106, 31, 46, 163, 22, 21, 18, 4, 4.0, 14.0, 17.0, 0, 3, 19, 6, 5, 8, 3, 0, 10, 7, 2, 0, 0.0, 4, 2, 3, 3, 3, 14, 14, 18.18, 63.64, 77.27, 95.5, 73.6875, 73.6875, 15.798828125, 15.798828125, 86.390625, 0.0, 52.59375, 36.796875, 10.5, 0.0, 0.0, 31.59765625, 21.09765625, 26.296875, 10.5, 42.09375, 15.798828125, 17.0, 3.0, 69.0, 18.0, 29.0, "Tous les candidats sauf les Bac professionnels", 134.0, "Bacheliers professionnels toutes séries", 118, "", 0, "Liste d'appel propre à cette formation", 48.0, "14438", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14438&g_ta_cod=14438", 36.0, 27.0, 36.0),
(9134, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence_Las", "Université du Mans - Licence - Portail Lettres", "Licence - Arts-lettres-langues", "", 5, 54, 46, 43, 0, 23, 3, 3, 1, 5, 4, 12, 11, 0, 0, 1, 10, 43, 10, 0, 0, 23, 3, 3, 1, 5, 4, 12, 34, 5, 5, 3, 2, 1.0, 3.0, 3.0, 0, 1, 2, 1, 0, 1, 3, 0, 1, 0, 0, 1, 0.0, 1, 0, 0, 0, 0, 2, 2, 20.0, 60.0, 60.0, 100.0, 100.0, 100.0, 0, 50.0, 40.0, 0.0, 50.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 50.0, 0.0, 11.0, 2.0, 5.0, 3.0, 16.0, "Tous les candidats", 326.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "26886", "Licence - Portail Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26885&g_ta_cod=26886", 20.0, 40.0, 40.0),
(9135, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "PASS", "Université de Brest - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "MPI - Mathématiques, Physique, Informatique", 120, 1627, 892, 1627, 0, 1143, 160, 28, 5, 10, 7, 446, 0, 0, 0, 0, 0, 1628, 0, 0, 0, 1144, 161, 28, 5, 10, 7, 446, 743, 118, 59, 118, 0, 6.0, 80.0, 104.0, 0, 3, 80, 76, 3, 1, 38, 0, 9, 29, 27, 11, 4.0, 68, 2, 1, 0, 0, 77, 77, 5.08, 67.8, 88.14, 50.0, 96.296875, 96.296875, 0, 3.7998046875, 67.796875, 0.0, 11.298828125, 36.296875, 33.796875, 13.8, 5.0, 95.0, 85.0, 3.7998046875, 2.5, 1.2998046875, 1.2998046875, 599.0, 62.0, 3.0, 2.0, 135.0, "Tous les candidats", 2919.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 56.0, "28215", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27585&g_ta_cod=28215", 92.0, 5.0, 1.0),
(9136, "Public", "0623985V", "I.U.T. de Lens", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "BUT", "I.U.T. de Lens - BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", "BUT - Production", "Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", 95, 1358, 322, 1314, 0, 577, 100, 348, 102, 34, 14, 355, 44, 0, 18, 0, 26, 656, 8, 0, 0, 375, 53, 148, 31, 3, 0, 130, 283, 92, 27, 87, 5, 19.0, 81.0, 88.0, 0, 12, 64, 30, 33, 1, 28, 0, 8, 32, 22, 2, 0.0, 28, 27, 1, 0, 0, 46, 46, 20.65, 88.04, 95.65, 29.296875, 71.890625, 71.890625, 0, 18.796875, 69.59375, 0.0, 12.5, 50.0, 34.3984375, 3.1, 0.0, 46.8984375, 43.796875, 51.59375, 42.1953125, 1.599853515625, 1.599853515625, 104.0, 25.0, 2.0, 0.0, 64.0, "Tous les candidats sauf les Bac technologiques", 201.0, "Bacheliers technologiques toutes séries", 177, "", 0, "Liste d'appel propre à cette formation", 29.0, "7522", "BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7522&g_ta_cod=7522", 49.0, 50.0, 1.0),
(9137, "Public", "0820021C", "Lycée Antoine Bourdelle", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Montauban", "formation sélective", "BTS", "Lycée Antoine Bourdelle - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 12, 118, 10, 113, 0, 9, 2, 30, 9, 39, 17, 35, 5, 0, 0, 4, 1, 86, 0, 0, 0, 9, 2, 27, 8, 39, 17, 11, 46, 13, 1, 13, 0, 3.0, 10.0, 12.0, 0, 3, 8, 1, 4, 3, 5, 0, 2, 4, 1, 1, 0.0, 0, 4, 2, 2, 0, 8, 8, 23.08, 76.92, 92.31, 7.69921875, 100.0, 100.0, 25, 37.5, 61.5, 0.0, 25.0, 50.0, 12.5, 12.5, 0.0, 12.5, 0.0, 50.0, 50.0, 37.5, 25.0, 6.0, 2.0, 26.0, 13.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 57.0, "10317", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10317&g_ta_cod=10317", 15.0, 46.0, 38.0),
(9138, "Public", "0940137N", "Lycée professionnel La Source", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Nogent-sur-Marne", "formation sélective", "Autre formation", "Lycée professionnel La Source - DN MADE - Matériaux - - Spécialité : Créateur textile tissage", "DN MADE", "- Spécialité : Créateur textile tissage", 8, 143, 122, 143, 0, 38, 11, 52, 8, 6, 1, 47, 0, 0, 0, 0, 0, 71, 0, 0, 0, 17, 3, 39, 4, 1, 0, 14, 41, 8, 7, 8, 0, 1.0, 5.0, 8.0, 0, 1, 4, 2, 2, 0, 4, 0, 1, 3, 0, 0, 0.0, 1, 2, 0, 0, 0, 1, 2, 12.5, 62.5, 100.0, 87.5, 25.0, 50.0, 0, 25.0, 50.0, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 50.0, 0.0, 0.0, 12.0, 2.0, 0.0, 0.0, 10.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "25041", "DN MADE - Matériaux - - Spécialité : Créateur textile tissage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25041&g_ta_cod=25041", 50.0, 25.0, 13.0),
(9139, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "Autre formation", "Université de Perpignan Via Domitia - DEUST - Pratique et gestion des activités physiques, sportives et de loisirs pour les publics séniors", "DEUST", "", 35, 177, 43, 165, 0, 49, 8, 48, 9, 31, 16, 37, 12, 3, 0, 3, 6, 120, 7, 0, 0, 49, 8, 48, 9, 13, 9, 10, 120, 33, 5, 26, 5, 10.0, 24.0, 26.0, 0, 9, 29, 11, 13, 5, 4, 0, 23, 4, 2, 0, 0.0, 2, 2, 2, 0, 0, 20, 20, 30.3, 72.73, 78.79, 15.19921875, 69.0, 69.0, 0, 31.0, 87.890625, 0.0, 79.296875, 13.798828125, 6.8994140625, 0.0, 0.0, 37.8984375, 6.8994140625, 44.796875, 6.8994140625, 17.19921875, 6.8994140625, 51.0, 9.0, 13.0, 9.0, 10.0, "Tous les candidats", 116.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "30605", "DEUST - Pratique et gestion des activités physiques, sportives et de loisirs pour les publics séniors", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30605&g_ta_cod=30605", 39.0, 45.0, 15.0),
(9140, "Public", "0380081G", "Lycée Ella Fitzgerald St Romain en Gal", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vienne", "formation sélective", "BTS", "Lycée Ella Fitzgerald St Romain en Gal - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 461, 29, 461, 0, 52, 7, 182, 54, 129, 51, 98, 0, 0, 0, 0, 0, 288, 0, 0, 0, 47, 5, 124, 33, 96, 37, 21, 135, 33, 2, 33, 0, 5.0, 32.0, 33.0, 0, 13, 31, 2, 17, 12, 2, 0, 13, 13, 4, 1, 0.0, 1, 10, 7, 4, 0, 17, 17, 15.15, 96.97, 100.0, 6.099609375, 54.796875, 54.796875, 12.8984375, 41.8984375, 93.890625, 0.0, 41.8984375, 41.8984375, 12.8984375, 3.2, 0.0, 6.5, 3.19970703125, 54.796875, 32.296875, 38.6953125, 22.59765625, 12.0, 4.0, 46.0, 14.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 41.0, "4950", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4950&g_ta_cod=4950", 9.0, 55.0, 36.0),
(9141, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 200, 917, 433, 775, 0, 541, 106, 61, 11, 28, 13, 145, 142, 27, 15, 12, 88, 775, 140, 0, 0, 541, 106, 61, 11, 28, 13, 145, 790, 162, 60, 121, 41, 46.0, 121.0, 149.0, 0, 25, 104, 79, 18, 7, 58, 0, 37, 43, 17, 7, 0.0, 58, 6, 3, 0, 0, 96, 96, 28.4, 74.69, 91.98, 37.0, 92.296875, 92.296875, 0, 24.0, 64.1875, 0.0, 35.59375, 41.296875, 16.296875, 6.7, 0.0, 76.0, 55.796875, 17.296875, 5.7998046875, 6.69921875, 2.89990234375, 472.0, 86.0, 36.0, 20.0, 215.0, "Tous les candidats", 775.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3560", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3560&g_ta_cod=3560", 69.0, 19.0, 12.0),
(9142, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues étrangères appliquées - Parcours LEA  Anglais - Chinois", "Licence - Arts-lettres-langues", "LEA  Anglais - Chinois", 70, 581, 448, 581, 0, 290, 63, 47, 20, 21, 9, 223, 0, 0, 0, 0, 0, 581, 0, 0, 0, 290, 63, 47, 20, 21, 9, 223, 214, 69, 48, 69, 0, 8.0, 59.0, 65.0, 0, 11, 44, 39, 3, 2, 25, 1, 14, 17, 10, 2, 0.0, 27, 2, 0, 0, 0, 14, 35, 11.59, 85.51, 94.2, 69.59375, 31.796875, 79.5, 0, 25.0, 63.796875, 2.2998046875, 31.796875, 38.59375, 22.69921875, 4.5, 0.0, 88.59375, 61.3984375, 6.7998046875, 4.5, 4.5, 0.0, 137.0, 29.0, 4.0, 3.0, 59.0, "Tous les candidats", 256.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "9248", "Licence - Langues étrangères appliquées - Parcours LEA  Anglais - Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9248&g_ta_cod=9248", 84.0, 10.0, 4.0),
(9143, "Public", "0624429C", "EIL Côte d'Opale", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "Ecole d'Ingénieur", "EIL Côte d'Opale - Formation d'ingénieur Bac + 5 - bac S,STI2D", "Formations  des écoles d'ingénieurs", "bac S,STI2D", 48, 380, 98, 380, 0, 209, 28, 21, 5, 0, 0, 150, 0, 0, 0, 0, 0, 273, 0, 0, 0, 182, 19, 11, 2, 0, 0, 80, 191, 45, 13, 45, 0, 7.0, 38.0, 44.0, 0, 4, 25, 25, 0, 0, 20, 0, 2, 9, 11, 3, 0.0, 23, 0, 0, 0, 0, 22, 22, 15.56, 84.44, 97.78, 28.8984375, 88.0, 88.0, 0, 16.0, 55.59375, 0.0, 8.0, 36.0, 44.0, 12.0, 0.0, 100.0, 92.0, 0.0, 0.0, 0.0, 0.0, 137.0, 15.0, 0.0, 0.0, 46.0, "Tous les candidats", 233.0, "bac français S", 12, "STI2D", 12, "Liste d'appel propre à cette formation", 68.0, "7175", "Formation d'ingénieur Bac + 5 - bac S,STI2D", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7175&g_ta_cod=7175", 100.0, 0.0, 0.0),
(9144, "Public", "0750696Z", "Lycée Roger Verlomme", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "BTS", "Lycée Roger Verlomme - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 34, 24, 11, 0, 0, 0.0, 0.0, 13.0, 0, 13, 24, 3, 11, 10, 0, 0, 13, 9, 1, 1, 0.0, 1, 3, 7, 2, 2, 23, 24, 0.0, 0.0, 54.17, 45.796875, 95.796875, 100.0, 8.298828125, 54.1953125, 100.0, 0.0, 54.1953125, 37.5, 4.19921875, 4.2, 0.0, 12.5, 4.19921875, 45.796875, 12.5, 41.6953125, 29.19921875, 3.0, 1.0, 17.0, 10.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35028", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=35028&g_ta_cod=35028", 13.0, 46.0, 42.0),
(9145, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence_Las", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Portail Histoire", "Licence - Sciences humaines et sociales", "", 40, 489, 316, 489, 0, 234, 57, 33, 13, 9, 3, 213, 0, 0, 0, 0, 0, 487, 0, 0, 0, 234, 57, 33, 13, 9, 3, 211, 184, 37, 25, 37, 0, 2.0, 17.0, 27.0, 0, 10, 26, 24, 2, 0, 11, 0, 3, 15, 6, 2, 0.0, 21, 2, 0, 0, 0, 7, 22, 5.41, 45.95, 72.97, 67.59375, 26.8984375, 84.59375, 0, 38.5, 70.296875, 0.0, 11.5, 57.6953125, 23.09765625, 7.7, 0.0, 92.296875, 80.796875, 7.69921875, 7.69921875, 0.0, 0.0, 96.0, 23.0, 2.0, 1.0, 80.0, "Tous les candidats", 863.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 47.0, "28447", "Licence - Portail Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28446&g_ta_cod=28447", 92.0, 8.0, 0.0),
(9146, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "PASS", "Université Toulouse 3 Paul Sabatier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 30, 1799, 1127, 1799, 0, 1298, 186, 34, 10, 5, 2, 462, 0, 0, 0, 0, 0, 1799, 0, 0, 0, 1298, 186, 34, 10, 5, 2, 462, 416, 27, 18, 27, 0, 0.0, 4.0, 22.0, 0, 1, 23, 23, 0, 0, 4, 0, 1, 13, 8, 1, 0.0, 22, 0, 0, 0, 0, 21, 21, 0.0, 14.81, 81.48, 66.6875, 91.296875, 91.296875, 0, 4.2998046875, 85.1875, 0.0, 4.2998046875, 56.5, 34.796875, 4.3, 0.0, 100.0, 95.6875, 0.0, 0.0, 0.0, 0.0, 384.0, 47.0, 2.0, 1.0, 29.0, "Tous les candidats", 3254.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "29848", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29840&g_ta_cod=29848", 100.0, 0.0, 0.0),
(9147, "Public", "0230020X", "Lycée Pierre Bourdan", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Guéret", "formation sélective", "Autre formation", "Lycée Pierre Bourdan - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 16, 60, 14, 29, 0, 4, 1, 8, 5, 8, 3, 9, 31, 8, 8, 6, 9, 22, 22, 0, 0, 4, 1, 8, 5, 8, 3, 2, 54, 8, 4, 3, 5, 2.0, 3.0, 7.0, 0, 1, 5, 1, 1, 3, 3, 0, 3, 0, 2, 0, 0.0, 0, 0, 2, 0, 0, 2, 2, 25.0, 37.5, 87.5, 50.0, 40.0, 40.0, 0, 20.0, 62.5, 0.0, 60.0, 0.0, 40.0, 0.0, 0.0, 20.0, 0.0, 20.0, 0.0, 60.0, 40.0, 9.0, 1.0, 17.0, 6.0, 9.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "30392", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30392&g_ta_cod=30392", 25.0, 13.0, 63.0),
(9148, "Public", "0881679X", "I.U.T de Saint Dié - Université de Lorraine", "88", "Vosges", "Grand Est", "Nancy-Metz", "Saint-Dié-des-Vosges", "formation sélective", "BUT", "I.U.T de Saint Dié - Université de Lorraine - BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", "BUT - Production", "Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", 56, 795, 226, 769, 0, 349, 47, 185, 41, 33, 8, 202, 26, 0, 10, 0, 16, 361, 5, 0, 0, 148, 16, 118, 19, 13, 3, 82, 162, 51, 17, 49, 2, 17.0, 41.0, 48.0, 0, 8, 36, 13, 17, 6, 15, 0, 3, 22, 10, 1, 0.0, 13, 14, 6, 0, 0, 20, 20, 33.33, 80.39, 94.12, 33.296875, 55.59375, 55.59375, 0, 22.19921875, 70.59375, 0.0, 8.298828125, 61.09375, 27.796875, 2.8, 0.0, 36.09375, 36.09375, 47.1953125, 38.8984375, 16.69921875, 16.69921875, 51.0, 10.0, 8.0, 3.0, 39.0, "Tous les candidats sauf les Bac technologiques", 110.0, "Bacheliers technologiques toutes séries", 146, "", 0, "Liste d'appel propre à cette formation", 33.0, "10758", "BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10758&g_ta_cod=10758", 41.0, 47.0, 12.0),
(9149, "Public", "0920802X", "Lycée Jean-Pierre Vernant", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sèvres", "formation sélective", "Autre formation", "Lycée Jean-Pierre Vernant - DN MADE - Matériaux - - Spécialité : Recherches et process en volume céramique", "DN MADE", "- Spécialité : Recherches et process en volume céramique", 8, 105, 96, 105, 0, 20, 3, 41, 10, 5, 1, 39, 0, 0, 0, 0, 0, 96, 0, 0, 0, 16, 3, 41, 10, 4, 1, 35, 38, 8, 8, 8, 0, 0.0, 6.0, 6.0, 0, 2, 6, 1, 5, 0, 2, 0, 1, 4, 1, 0, 0.0, 1, 4, 0, 0, 0, 2, 2, 0.0, 75.0, 75.0, 100.0, 33.296875, 33.296875, 0, 33.296875, 75.0, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 16.69921875, 16.69921875, 83.296875, 66.6875, 0.0, 0.0, 9.0, 2.0, 0.0, 0.0, 11.0, "Tous les candidats", 73.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "21581", "DN MADE - Matériaux - - Spécialité : Recherches et process en volume céramique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21581&g_ta_cod=21581", 25.0, 75.0, 0.0),
(9150, "Public", "0922149L", "Lycée Auffray", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Clichy", "formation sélective", "BTS", "Lycée Auffray - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 36, 297, 126, 297, 0, 0, 0, 64, 17, 135, 42, 98, 0, 0, 0, 0, 0, 260, 0, 0, 0, 0, 0, 55, 14, 113, 33, 92, 146, 36, 19, 35, 0, 8.0, 28.0, 32.0, 0, 9, 28, 0, 13, 15, 8, 3, 12, 8, 2, 3, 0.0, 0, 5, 8, 15, 8, 21, 26, 22.22, 77.78, 88.89, 52.796875, 75.0, 92.890625, 53.59375, 32.09375, 77.796875, 10.69921875, 42.8984375, 28.59765625, 7.099609375, 10.7, 0.0, 0.0, 0.0, 46.3984375, 17.8984375, 53.59375, 28.59765625, 0.0, 0.0, 61.0, 15.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 99, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 64.0, "11136", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11136&g_ta_cod=11136", 8.0, 44.0, 47.0),
(9151, "Privé sous contrat d'association", "0730760E", "Lycée Jeanne D'Arc", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Albertville", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 14, 140, 70, 132, 0, 14, 2, 55, 13, 39, 11, 24, 8, 3, 1, 0, 4, 123, 4, 0, 0, 13, 2, 52, 13, 38, 10, 20, 63, 13, 6, 11, 2, 2.0, 8.0, 11.0, 0, 3, 10, 0, 6, 4, 3, 0, 5, 4, 1, 0, 0.0, 0, 2, 3, 2, 1, 9, 9, 15.38, 61.54, 84.62, 46.1953125, 90.0, 90.0, 20, 30.0, 76.890625, 0.0, 50.0, 40.0, 10.0, 0.0, 0.0, 0.0, 0.0, 60.0, 20.0, 40.0, 30.0, 8.0, 3.0, 22.0, 6.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 48.0, "8796", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8796&g_ta_cod=8796", 23.0, 46.0, 31.0),
(9152, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Enseignement et pédagogie", "Licence - Arts-lettres-langues", "Anglais - Mineure Enseignement et pédagogie", 32, 378, 289, 378, 0, 250, 48, 13, 2, 4, 1, 111, 0, 0, 0, 0, 0, 372, 0, 0, 0, 250, 48, 13, 2, 4, 1, 105, 112, 32, 21, 32, 0, 6.0, 26.0, 29.0, 0, 5, 25, 25, 0, 0, 7, 0, 2, 7, 11, 5, 0.0, 23, 0, 0, 0, 0, 2, 22, 18.75, 81.25, 90.63, 65.59375, 8.0, 88.0, 0, 20.0, 78.09375, 0.0, 8.0, 28.0, 44.0, 20.0, 0.0, 100.0, 92.0, 0.0, 0.0, 0.0, 0.0, 83.0, 16.0, 2.0, 1.0, 23.0, "Tous les candidats", 163.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "24001", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Enseignement et pédagogie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24001&g_ta_cod=24001", 91.0, 3.0, 3.0),
(9153, "Public", "0450782F", "Lycée Voltaire", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Voltaire - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 716, 648, 664, 0, 70, 25, 156, 53, 257, 115, 181, 52, 0, 26, 2, 24, 222, 9, 0, 0, 28, 10, 73, 22, 88, 34, 33, 120, 21, 21, 17, 3, 0.0, 9.0, 11.0, 0, 6, 15, 1, 6, 8, 6, 0, 5, 7, 3, 0, 0.0, 0, 3, 7, 1, 1, 13, 13, 0.0, 42.86, 52.38, 100.0, 86.6875, 86.6875, 6.69921875, 40.0, 71.390625, 0.0, 33.296875, 46.6953125, 20.0, 0.0, 0.0, 6.69921875, 0.0, 40.0, 20.0, 53.296875, 46.6953125, 5.0, 3.0, 41.0, 14.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 22.0, "13221", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13221&g_ta_cod=13221", 14.0, 38.0, 48.0),
(9154, "Public", "0251994G", "Lycée polyvalent Germaine Tillion", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "BTS", "Lycée polyvalent Germaine Tillion - BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "BTS - Services", "", 12, 804, 211, 797, 0, 295, 57, 117, 29, 79, 23, 306, 7, 2, 0, 0, 5, 189, 0, 0, 0, 90, 9, 38, 7, 22, 5, 39, 58, 10, 4, 10, 0, 0.0, 7.0, 8.0, 0, 2, 7, 4, 2, 1, 3, 0, 0, 1, 5, 1, 0.0, 4, 2, 1, 0, 0, 1, 1, 0.0, 70.0, 80.0, 40.0, 14.298828125, 14.298828125, 0, 28.59765625, 70.0, 0.0, 0.0, 14.298828125, 71.390625, 14.3, 0.0, 57.09375, 57.09375, 28.59765625, 28.59765625, 14.298828125, 14.298828125, 32.0, 7.0, 2.0, 1.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 2, "Bacheliers technologiques toutes séries", 4, "Liste d'appel propre à cette formation", 9.0, "3491", "BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3491&g_ta_cod=3491", 70.0, 20.0, 10.0),
(9155, "Public", "9741051Z", "Lycée Paul Moreau", "974", "La Réunion", "La Réunion", "La Réunion", "Bras-Panon", "formation sélective", "BTS", "Lycée Paul Moreau - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 15, 177, 80, 177, 0, 19, 5, 45, 23, 73, 46, 40, 0, 0, 0, 0, 0, 83, 0, 0, 0, 10, 2, 29, 19, 41, 26, 3, 39, 14, 9, 14, 0, 6.0, 13.0, 14.0, 0, 6, 14, 3, 6, 5, 0, 0, 7, 6, 1, 0, 0.0, 1, 3, 3, 5, 3, 13, 13, 42.86, 92.86, 100.0, 64.296875, 92.890625, 92.890625, 35.6953125, 42.8984375, 100.0, 0.0, 50.0, 42.8984375, 7.099609375, 0.0, 0.0, 21.3984375, 7.099609375, 42.8984375, 21.3984375, 35.6953125, 21.3984375, 7.0, 2.0, 15.0, 11.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 30.0, "19020", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19020&g_ta_cod=19020", 21.0, 43.0, 36.0),
(9156, "Public", "0331424U", "Lycée agricole de Bordeaux Blanquefort", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Blanquefort", "formation sélective", "BTS", "Lycée agricole de Bordeaux Blanquefort - BTS - Agricole - Viticulture-Oenologie", "BTS - Agricole", "", 52, 427, 150, 409, 0, 142, 13, 101, 11, 54, 11, 112, 18, 3, 4, 2, 9, 287, 3, 0, 0, 121, 9, 75, 9, 30, 5, 61, 171, 45, 18, 44, 1, 15.0, 35.0, 41.0, 0, 6, 35, 18, 12, 5, 10, 0, 10, 16, 8, 1, 0.0, 11, 10, 4, 4, 1, 18, 18, 33.33, 77.78, 91.11, 40.0, 51.3984375, 51.3984375, 11.3984375, 17.09765625, 77.796875, 0.0, 28.59765625, 45.6953125, 22.8984375, 2.9, 0.0, 51.3984375, 31.3984375, 34.296875, 28.59765625, 14.298828125, 11.3984375, 51.0, 9.0, 21.0, 4.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 133.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 60.0, "4337", "BTS - Agricole - Viticulture-Oenologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4337&g_ta_cod=4337", 62.0, 27.0, 11.0),
(9157, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence_Las", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Portail Sciences de la vie et de la terre - Parcours Sciences de la vie et de la terre", "Licence - Sciences - technologies - santé", "Parcours Sciences de la vie et de la terre", 30, 2283, 1609, 2283, 0, 1529, 389, 61, 28, 3, 2, 690, 0, 0, 0, 0, 0, 2259, 0, 0, 0, 1529, 389, 61, 28, 3, 2, 666, 220, 28, 21, 28, 0, 1.0, 6.0, 10.0, 0, 4, 10, 10, 0, 0, 18, 0, 3, 4, 2, 1, 0.0, 7, 0, 0, 0, 0, 7, 10, 3.57, 21.43, 35.71, 75.0, 70.0, 100.0, 0, 40.0, 35.6953125, 0.0, 30.0, 40.0, 20.0, 10.0, 0.0, 100.0, 70.0, 0.0, 0.0, 0.0, 0.0, 58.0, 23.0, 0.0, 0.0, 162.0, "Tous les candidats", 583.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "28290", "Licence - Portail Sciences de la vie et de la terre - Parcours Sciences de la vie et de la terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28289&g_ta_cod=28290", 100.0, 0.0, 0.0),
(9158, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours management du sport option journalisme (Académie ESJ)", "Licence - Sciences - technologies - santé", "management du sport option journalisme (Académie ESJ)", 10, 590, 122, 590, 0, 425, 43, 42, 7, 6, 3, 117, 0, 0, 0, 0, 0, 85, 0, 0, 0, 67, 6, 4, 0, 0, 0, 14, 29, 10, 3, 10, 0, 4.0, 10.0, 10.0, 0, 1, 9, 9, 0, 0, 1, 0, 0, 0, 4, 4, 1.0, 9, 0, 0, 0, 0, 3, 3, 40.0, 100.0, 100.0, 30.0, 33.296875, 33.296875, 0, 11.099609375, 90.0, 0.0, 0.0, 0.0, 44.3984375, 44.4, 11.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 27.0, 4.0, 0.0, 0.0, 2.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "15036", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours management du sport option journalisme (Académie ESJ)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15036&g_ta_cod=15036", 100.0, 0.0, 0.0),
(9159, "Public", "0750588G", "Lycée professionnel Rene Cassin", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Rene Cassin - Mention complémentaire - Services numériques aux organisations", "Mention complémentaire", "", 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 41, 16, 4, 0, 0, 0.0, 0.0, 3.0, 0, 11, 16, 2, 9, 5, 0, 0, 11, 4, 1, 0, 0.0, 0, 1, 4, 0, 0, 15, 15, 0.0, 0.0, 18.75, 25.0, 93.796875, 93.796875, 0, 68.796875, 100.0, 0.0, 68.796875, 25.0, 6.2998046875, 0.0, 0.0, 12.5, 0.0, 56.296875, 6.2998046875, 31.296875, 25.0, 5.0, 2.0, 12.0, 7.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35024", "Mention complémentaire - Services numériques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=35024&g_ta_cod=35024", 13.0, 56.0, 31.0),
(9160, "Public", "0332832Z", "Lycée Les Iris", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Lormont", "formation sélective", "BTS", "Lycée Les Iris - BTS - Production - Conception de produits industriels", "BTS - Production", "", 30, 484, 62, 478, 0, 38, 4, 199, 43, 56, 18, 185, 6, 1, 0, 0, 5, 313, 1, 0, 0, 38, 4, 187, 40, 44, 11, 44, 180, 30, 2, 30, 0, 4.0, 21.0, 28.0, 0, 4, 25, 2, 15, 8, 5, 0, 16, 7, 2, 0, 0.0, 1, 5, 3, 12, 1, 24, 24, 13.33, 70.0, 93.33, 6.69921875, 96.0, 96.0, 48, 16.0, 83.296875, 0.0, 64.0, 28.0, 8.0, 0.0, 0.0, 8.0, 4.0, 60.0, 20.0, 32.0, 12.0, 19.0, 3.0, 26.0, 6.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 185, "Liste d'appel propre à cette formation", 58.0, "4453", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4453&g_ta_cod=4453", 17.0, 57.0, 27.0),
(9161, "Privé sous contrat d'association", "0693818A", "INSTITUT SAINT LAURENT", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "EFTS", "INSTITUT SAINT LAURENT - D.E Educateur Spécialisé", "D.E secteur social", "", 17, 288, 237, 288, 0, 40, 5, 35, 5, 27, 4, 186, 0, 0, 0, 0, 0, 226, 0, 0, 0, 29, 2, 28, 4, 16, 1, 153, 32, 17, 15, 17, 0, 8.0, 16.0, 17.0, 0, 1, 2, 1, 1, 0, 15, 0, 0, 1, 1, 0, 0.0, 1, 1, 0, 0, 0, 2, 2, 47.06, 94.12, 100.0, 88.1875, 100.0, 100.0, 0, 50.0, 11.798828125, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 2.0, 0.0, 2.0, 1.0, 25.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "24996", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24996&g_ta_cod=24996", 76.0, 24.0, 0.0),
(9162, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Arts plastiques", "Licence - Arts-lettres-langues", "", 55, 581, 444, 581, 0, 357, 68, 80, 17, 30, 7, 114, 0, 0, 0, 0, 0, 581, 0, 0, 0, 357, 68, 80, 17, 30, 7, 114, 387, 60, 51, 60, 0, 24.0, 60.0, 60.0, 0, 11, 48, 39, 4, 5, 12, 0, 20, 21, 4, 3, 0.0, 22, 2, 4, 0, 0, 35, 35, 40.0, 100.0, 100.0, 85.0, 72.890625, 72.890625, 0, 22.8984375, 80.0, 0.0, 41.6953125, 43.796875, 8.298828125, 6.3, 0.0, 81.296875, 45.796875, 8.298828125, 4.19921875, 10.3984375, 8.298828125, 239.0, 49.0, 21.0, 2.0, 76.0, "Tous les candidats", 500.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "5881", "Licence - Arts plastiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5881&g_ta_cod=5881", 78.0, 10.0, 10.0),
(9163, "Public", "0730858L", "Université Savoie Mont Blanc - Chambéry", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Jacob-Bellecombette", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Chambéry - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Espagnol", "Licence - Arts-lettres-langues", "LLCER Espagnol", 55, 173, 152, 144, 0, 105, 32, 15, 5, 3, 1, 21, 29, 4, 2, 4, 19, 144, 27, 0, 0, 105, 32, 15, 5, 3, 1, 21, 160, 24, 21, 17, 7, 7.0, 16.0, 19.0, 0, 6, 17, 13, 3, 1, 7, 0, 8, 7, 1, 1, 0.0, 7, 2, 0, 0, 0, 13, 13, 29.17, 66.67, 79.17, 87.5, 76.5, 76.5, 0, 35.296875, 70.796875, 0.0, 47.09375, 41.1953125, 5.8994140625, 5.9, 0.0, 76.5, 41.1953125, 17.59765625, 11.798828125, 5.8994140625, 0.0, 99.0, 31.0, 6.0, 4.0, 39.0, "Tous les candidats", 144.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8806", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8806&g_ta_cod=8806", 75.0, 21.0, 4.0),
(9164, "Public", "0900024M", "CNAM de Franche-Comté site de Besançon et CNAM de Franche-Comté site de Belfort", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "Licence", "CNAM de Franche-Comté site de Besançon et CNAM de Franche-Comté site de Belfort - Licence - Gestion - Parcours Gestion des Ressources Humaines", "Licence - Droit-économie-gestion", "Gestion des Ressources Humaines", 70, 142, 101, 98, 0, 42, 11, 24, 9, 3, 2, 29, 44, 5, 4, 2, 33, 23, 2, 0, 0, 16, 2, 3, 1, 2, 1, 2, 25, 9, 5, 9, 0, 9.0, 9.0, 9.0, 0, 3, 8, 6, 1, 1, 1, 0, 3, 4, 1, 0, 0.0, 3, 1, 1, 0, 0, 8, 8, 100.0, 100.0, 100.0, 55.59375, 100.0, 100.0, 0, 37.5, 88.890625, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 75.0, 37.5, 12.5, 12.5, 12.5, 12.5, 16.0, 2.0, 2.0, 1.0, 4.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "19033", "Licence - Gestion - Parcours Gestion des Ressources Humaines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19033&g_ta_cod=19033", 78.0, 11.0, 11.0),
(9165, "Privé sous contrat d'association", "0596147L", "IRTS HDF - Site Grand Littoral", "59", "Nord", "Hauts-de-France", "Lille", "Grande-Synthe", "formation sélective", "EFTS", "IRTS HDF - Site Grand Littoral - D.E Educateur Spécialisé", "D.E secteur social", "", 20, 107, 80, 107, 0, 22, 4, 21, 4, 14, 5, 50, 0, 0, 0, 0, 0, 58, 0, 0, 0, 12, 2, 11, 2, 1, 1, 34, 34, 18, 12, 18, 0, 8.0, 16.0, 16.0, 0, 2, 8, 7, 1, 0, 10, 0, 1, 5, 1, 1, 0.0, 6, 1, 0, 0, 0, 8, 8, 44.44, 88.89, 88.89, 66.6875, 100.0, 100.0, 0, 25.0, 44.3984375, 0.0, 12.5, 62.5, 12.5, 12.5, 0.0, 87.5, 75.0, 12.5, 12.5, 0.0, 0.0, 8.0, 2.0, 0.0, 0.0, 22.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "24938", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24938&g_ta_cod=24938", 72.0, 28.0, 0.0),
(9166, "Public", "0150792E", "CONSERVATOIRE NATIONAL DES ARTS ET METIERS - Aurillac", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "Autre formation", "CONSERVATOIRE NATIONAL DES ARTS ET METIERS - Aurillac - Formation Supérieure de Spécialisation - Administration", "Diplôme d'Université", "Administration", 12, 6, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 0, 1, 0, 5, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34914", "Formation Supérieure de Spécialisation - Administration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34914&g_ta_cod=34914", 0, 0, 0),
(9167, "Public", "0781945R", "I.U.T de Velizy", "78", "Yvelines", "Ile-de-France", "Versailles", "Vélizy-Villacoublay", "formation sélective", "BUT", "I.U.T de Velizy - BUT - Métiers du multimédia et de l'internet Parcours : Création numérique - Développement Web et dispositifs interactifs", "BUT - Production", "Création numérique - Développement Web et dispositifs interactifs", 56, 2041, 504, 2041, 0, 855, 156, 637, 163, 47, 15, 502, 0, 0, 0, 0, 0, 870, 0, 0, 0, 416, 63, 309, 68, 4, 0, 141, 242, 58, 16, 58, 0, 16.0, 48.0, 55.0, 0, 9, 49, 23, 24, 2, 9, 0, 4, 27, 14, 4, 0.0, 20, 23, 2, 0, 0, 35, 46, 27.59, 82.76, 94.83, 27.59765625, 71.390625, 93.890625, 0, 18.3984375, 84.5, 0.0, 8.19921875, 55.09375, 28.59765625, 8.2, 0.0, 46.8984375, 40.796875, 49.0, 46.8984375, 4.099609375, 4.099609375, 84.0, 21.0, 2.0, 0.0, 49.0, "Tous les candidats sauf les Bac technologiques", 150.0, "Bacheliers technologiques toutes séries", 185, "", 0, "Liste d'appel propre à cette formation", 16.0, "9996", "BUT - Métiers du multimédia et de l'internet Parcours : Création numérique - Développement Web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9996&g_ta_cod=9996", 47.0, 50.0, 3.0),
(9168, "Public", "0620113L", "Lycée Henri Darras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Liévin", "formation sélective", "BTS", "Lycée Henri Darras - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 32, 305, 46, 301, 0, 16, 3, 42, 12, 18, 9, 225, 4, 0, 0, 2, 2, 164, 2, 0, 0, 16, 3, 41, 11, 14, 5, 93, 73, 31, 1, 29, 2, 11.0, 29.0, 30.0, 0, 11, 24, 5, 12, 7, 7, 0, 17, 5, 2, 0, 0.0, 1, 1, 5, 11, 0, 22, 22, 35.48, 93.55, 96.77, 3.19970703125, 91.6875, 91.6875, 45.796875, 45.796875, 77.390625, 0.0, 70.796875, 20.796875, 8.298828125, 0.0, 0.0, 20.796875, 4.19921875, 50.0, 4.19921875, 29.19921875, 20.796875, 14.0, 3.0, 15.0, 5.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 26.0, "7381", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7381&g_ta_cod=7381", 35.0, 39.0, 26.0),
(9169, "Public", "0670114K", "Lycée Stanislas", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Wissembourg", "formation sélective", "BTS", "Lycée Stanislas - BTS - Production - Architectures en Métal : conception et Réalisation", "BTS - Production", "", 15, 150, 29, 136, 0, 11, 2, 27, 3, 28, 6, 70, 14, 6, 0, 2, 6, 56, 3, 0, 0, 9, 1, 22, 1, 22, 4, 3, 48, 10, 0, 9, 1, 5.0, 9.0, 10.0, 0, 3, 10, 2, 6, 2, 0, 0, 5, 3, 2, 0, 0.0, 1, 2, 2, 3, 0, 10, 10, 50.0, 90.0, 100.0, 0.0, 100.0, 100.0, 30, 30.0, 100.0, 0.0, 50.0, 30.0, 20.0, 0.0, 0.0, 20.0, 10.0, 60.0, 20.0, 20.0, 20.0, 12.0, 2.0, 19.0, 5.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 34.0, "7960", "BTS - Production - Architectures en Métal : conception et Réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7960&g_ta_cod=7960", 20.0, 60.0, 20.0),
(9170, "Public", "0620062F", "Lycée Pierre De Coubertin", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "BTS", "Lycée Pierre De Coubertin - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 347, 170, 340, 0, 43, 16, 64, 29, 72, 43, 161, 7, 0, 3, 0, 4, 209, 4, 0, 0, 43, 16, 64, 29, 68, 40, 34, 127, 32, 21, 29, 3, 8.0, 24.0, 26.0, 0, 10, 26, 4, 5, 17, 6, 0, 14, 8, 2, 2, 0.0, 1, 3, 8, 6, 1, 26, 26, 25.0, 75.0, 81.25, 65.59375, 100.0, 100.0, 23.09765625, 38.5, 81.296875, 0.0, 53.796875, 30.796875, 7.69921875, 7.7, 0.0, 15.3984375, 3.7998046875, 19.19921875, 11.5, 65.390625, 30.796875, 21.0, 7.0, 48.0, 28.0, 26.0, "Tous les candidats sauf les Bac professionnels", 99.0, "Bacheliers professionnels toutes séries", 60, "", 0, "Liste d'appel propre à cette formation", 47.0, "7361", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7361&g_ta_cod=7361", 25.0, 16.0, 59.0),
(9171, "Privé sous contrat d'association", "0371197A", "IFSI Croix Rouge Française Chambray Les Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Chambray-lès-Tours", "formation sélective", "IFSI", "Regroupement d'IFSI Université Tours - D.E Infirmier", "D.E secteur sanitaire", "", 174, 4932, 4143, 4932, 0, 834, 147, 1068, 230, 402, 149, 2628, 0, 0, 0, 0, 0, 4341, 0, 0, 0, 804, 135, 1024, 213, 311, 117, 2202, 1142, 174, 159, 174, 0, 6.0, 82.0, 160.0, 0, 12, 99, 43, 44, 12, 75, 0, 20, 51, 25, 3, 0.0, 32, 35, 12, 0, 0, 60, 60, 3.45, 47.13, 91.95, 91.390625, 60.59375, 60.59375, 0, 12.099609375, 56.8984375, 0.0, 20.19921875, 51.5, 25.296875, 3.0, 0.0, 43.3984375, 32.296875, 44.3984375, 35.3984375, 12.099609375, 12.099609375, 264.0, 29.0, 51.0, 17.0, 429.0, "Tous les candidats", 2503.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "23266", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22995&g_ta_cod=23266", 49.0, 40.0, 10.0),
(9172, "Public", "0442765S", "Lycée polyvalent Nelson Mandela", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée polyvalent Nelson Mandela - BTS - Services - Commerce International", "BTS - Services", "", 35, 1708, 955, 1708, 0, 482, 95, 488, 170, 218, 85, 520, 0, 0, 0, 0, 0, 505, 0, 0, 0, 225, 39, 139, 46, 92, 30, 49, 140, 36, 27, 36, 0, 6.0, 35.0, 36.0, 0, 13, 33, 16, 12, 5, 3, 0, 1, 25, 5, 2, 0.0, 15, 12, 5, 4, 3, 25, 25, 16.67, 97.22, 100.0, 75.0, 75.796875, 75.796875, 12.099609375, 39.3984375, 91.6875, 0.0, 3.0, 75.796875, 15.19921875, 6.1, 0.0, 48.5, 45.5, 36.3984375, 36.3984375, 15.19921875, 15.19921875, 68.0, 19.0, 15.0, 7.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 138.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 16.0, "14820", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14820&g_ta_cod=14820", 50.0, 36.0, 14.0),
(9173, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence_Las", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Physique, chimie - Chimie (tronc commun en L1 avec Mathématiques et Physique)", "Licence - Sciences - technologies - santé", "Chimie (tronc commun en L1 avec Mathématiques et Physique)", 20, 191, 119, 171, 0, 114, 15, 3, 1, 0, 0, 54, 20, 5, 0, 0, 15, 171, 20, 0, 0, 114, 15, 3, 1, 0, 0, 54, 132, 18, 16, 12, 5, 1.0, 9.0, 12.0, 0, 3, 9, 8, 1, 0, 9, 0, 1, 1, 5, 2, 0.0, 7, 1, 0, 0, 0, 7, 7, 5.56, 50.0, 66.67, 88.890625, 77.796875, 77.796875, 0, 33.296875, 50.0, 0.0, 11.099609375, 11.099609375, 55.59375, 22.2, 0.0, 88.890625, 77.796875, 11.099609375, 11.099609375, 0.0, 0.0, 69.0, 12.0, 0.0, 0.0, 61.0, "Tous les candidats", 303.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 95.0, "28717", "Licence - Portail Physique, chimie - Chimie (tronc commun en L1 avec Mathématiques et Physique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28716&g_ta_cod=28717", 72.0, 17.0, 6.0),
(9174, "Privé enseignement supérieur", "0596953M", "Institut Catholique de Lille - ESPOL European School of Political and Social Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Institut Catholique de Lille - ESPOL European School of Political and Social Sciences - Licence - Science politique - Parcours Relations Internationales", "Licence - Droit-économie-gestion", "Relations Internationales", 160, 3256, 2278, 3256, 0, 2788, 127, 8, 2, 2, 1, 458, 0, 0, 0, 0, 0, 3256, 0, 0, 0, 2788, 127, 8, 2, 2, 1, 458, 559, 167, 145, 167, 0, 35.0, 136.0, 146.0, 0, 3, 160, 160, 0, 0, 7, 1, 0, 0, 24, 123, 12.0, 159, 0, 0, 0, 0, 24, 24, 20.96, 81.44, 87.43, 86.796875, 15.0, 15.0, 0, 1.89990234375, 95.796875, 0.5999755859375, 0.0, 0.0, 15.0, 76.9, 7.5, 100.0, 99.390625, 0.0, 0.0, 0.0, 0.0, 515.0, 14.0, 0.0, 0.0, 44.0, "Tous les candidats", 642.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "20886", "Licence - Science politique - Parcours Relations Internationales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20886&g_ta_cod=20886", 100.0, 0.0, 0.0),
(9175, "Public", "0352379W", "I.U.T de Saint-Malo", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Saint-Malo", "formation sélective", "BUT", "I.U.T de Saint-Malo - BUT - Gestion des entreprises et des administrations Parcours : Gestion Comptable Fiscale et Financière - Contrôle de Gestion et Pilotage de la Performance - Gestion Entrepreneuriat et Management des Activités", "BUT - Service", "Gestion Comptable Fiscale et Financière - Contrôle de Gestion et Pilotage de la Performance - Gestion Entrepreneuriat et Management des Activités", 115, 2188, 1038, 2174, 0, 1322, 123, 579, 105, 7, 4, 266, 14, 0, 5, 0, 9, 1787, 2, 0, 0, 1221, 109, 371, 64, 0, 0, 195, 691, 110, 42, 108, 2, 11.0, 75.0, 101.0, 0, 19, 97, 60, 37, 0, 13, 0, 13, 60, 23, 1, 0.0, 54, 30, 0, 0, 0, 85, 85, 10.0, 68.18, 91.82, 38.1953125, 87.59375, 87.59375, 0, 19.59765625, 88.1875, 0.0, 13.3984375, 61.8984375, 23.69921875, 1.0, 0.0, 61.8984375, 55.6953125, 38.09375, 30.8984375, 0.0, 0.0, 378.0, 53.0, 0.0, 0.0, 65.0, "Tous les candidats sauf les Bac technologiques", 717.0, "Bacheliers technologiques toutes séries", 384, "", 0, "Liste d'appel propre à cette formation", 51.0, "4783", "BUT - Gestion des entreprises et des administrations Parcours : Gestion Comptable Fiscale et Financière - Contrôle de Gestion et Pilotage de la Performance - Gestion Entrepreneuriat et Management des Activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4783&g_ta_cod=4783", 65.0, 35.0, 0.0),
(9176, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Double licence - Droit / Philosophie - Double licence mention Droit - mention Philosophie", "Licence - Droit-économie-gestion", "Double licence mention Droit - mention Philosophie", 25, 471, 319, 471, 0, 337, 61, 21, 9, 2, 1, 111, 0, 0, 0, 0, 0, 338, 0, 0, 0, 284, 46, 10, 4, 0, 0, 44, 135, 24, 15, 24, 0, 0.0, 16.0, 22.0, 0, 8, 21, 20, 1, 0, 3, 0, 1, 7, 12, 1, 0.0, 19, 1, 0, 0, 0, 4, 14, 0.0, 66.67, 91.67, 62.5, 19.0, 66.6875, 0, 38.09375, 87.5, 0.0, 4.7998046875, 33.296875, 57.09375, 4.8, 0.0, 95.1875, 90.5, 4.7998046875, 4.7998046875, 0.0, 0.0, 122.0, 23.0, 0.0, 0.0, 10.0, "Tous les candidats", 177.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "27434", "Double licence - Droit / Philosophie - Double licence mention Droit - mention Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27434&g_ta_cod=27434", 96.0, 4.0, 0.0),
(9177, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues, Littératures & civilisations étrangères et régionales trilangue anglais allemand + 3ème langue débutant", "Licence - Arts-lettres-langues", "Langues, Littératures & civilisations étrangères et régionales trilangue anglais allemand + 3ème langue débutant", 16, 153, 114, 153, 0, 100, 17, 7, 3, 1, 0, 45, 0, 0, 0, 0, 0, 133, 0, 0, 0, 100, 17, 1, 0, 0, 0, 32, 60, 17, 15, 17, 0, 3.0, 17.0, 17.0, 0, 4, 12, 12, 0, 0, 5, 0, 0, 1, 5, 6, 0.0, 12, 0, 0, 0, 0, 5, 5, 17.65, 100.0, 100.0, 88.1875, 41.6953125, 41.6953125, 0, 33.296875, 70.59375, 0.0, 0.0, 8.298828125, 41.6953125, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 41.0, 11.0, 0.0, 0.0, 19.0, "Tous les candidats", 87.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "28607", "Licence - Portail Langues, Littératures & civilisations étrangères et régionales trilangue anglais allemand + 3ème langue débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28607&g_ta_cod=28607", 100.0, 0.0, 0.0),
(9178, "Privé sous contrat d'association", "0133305X", "LYCEE PROFESSIONNEL PRIVE CLOVIS HUGUES", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "LYCEE PROFESSIONNEL PRIVE CLOVIS HUGUES - BTS - Services - Métiers de la coiffure", "BTS - Services", "", 20, 58, 49, 49, 0, 8, 2, 13, 3, 10, 3, 18, 9, 0, 1, 4, 4, 18, 0, 0, 0, 5, 1, 7, 0, 3, 0, 3, 18, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5.0, 1.0, 3.0, 0.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 37.0, "22960", "BTS - Services - Métiers de la coiffure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22960&g_ta_cod=22960", 0, 0, 0),
(9179, "Privé sous contrat d'association", "0511146U", "Lycée St J-B De La Salle", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée St J-B De La Salle - BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "BTS - Services", "", 14, 516, 77, 516, 0, 222, 29, 45, 8, 29, 5, 220, 0, 0, 0, 0, 0, 303, 0, 0, 0, 166, 20, 7, 2, 2, 0, 128, 31, 13, 0, 13, 0, 5.0, 13.0, 13.0, 0, 1, 1, 1, 0, 0, 12, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 38.46, 100.0, 100.0, 0.0, 0.0, 0.0, 0, 100.0, 7.69921875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 9.0, 3.0, 2.0, 0.0, 20.0, "Tous les candidats sauf les Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 7.0, "6103", "BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6103&g_ta_cod=6103", 92.0, 8.0, 0.0),
(9180, "Privé sous contrat d'association", "9840160B", "Lycée professionnel St Joseph", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Punaauia", "formation sélective", "BTS", "Lycée professionnel St Joseph - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 16, 55, 3, 55, 0, 0, 0, 12, 4, 38, 25, 5, 0, 0, 0, 0, 0, 46, 0, 0, 0, 0, 0, 11, 3, 33, 23, 2, 39, 16, 0, 16, 0, 4.0, 16.0, 16.0, 0, 11, 15, 0, 1, 14, 1, 0, 7, 4, 4, 0, 0.0, 0, 0, 8, 6, 0, 15, 15, 25.0, 100.0, 100.0, 0.0, 100.0, 100.0, 40, 73.296875, 93.796875, 0.0, 46.6953125, 26.69921875, 26.69921875, 0.0, 0.0, 0.0, 0.0, 6.69921875, 0.0, 93.296875, 53.296875, 0.0, 0.0, 26.0, 20.0, 2.0, "Tous les candidats sauf les Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 82.0, "25807", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25807&g_ta_cod=25807", 0.0, 13.0, 88.0),
(9181, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Sociologie - Parcours Sociologie, Mineure IEP Sciencespo", "Licence - Sciences humaines et sociales", "Sociologie, Mineure IEP Sciencespo", 72, 455, 320, 413, 0, 359, 47, 17, 8, 5, 1, 32, 42, 13, 4, 1, 24, 413, 37, 0, 0, 359, 47, 17, 8, 5, 1, 32, 310, 62, 39, 54, 8, 9.0, 51.0, 54.0, 0, 7, 55, 53, 1, 1, 7, 0, 6, 17, 22, 10, 0.0, 48, 0, 1, 0, 0, 37, 37, 14.52, 82.26, 87.1, 62.8984375, 67.296875, 67.296875, 0, 12.69921875, 88.6875, 0.0, 10.8984375, 30.8984375, 40.0, 18.2, 0.0, 96.390625, 87.296875, 1.7998046875, 0.0, 1.7998046875, 1.7998046875, 265.0, 35.0, 2.0, 1.0, 31.0, "Tous les candidats", 412.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "31965", "Licence - Sociologie - Parcours Sociologie, Mineure IEP Sciencespo", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31965&g_ta_cod=31965", 95.0, 3.0, 2.0),
(9182, "Public", "0420027B", "Lycée Georges Brassens", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Rive-de-Gier", "formation sélective", "BTS", "Lycée Georges Brassens - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 16, 213, 52, 185, 0, 9, 0, 80, 23, 55, 22, 41, 28, 0, 0, 18, 10, 133, 6, 0, 0, 8, 0, 70, 18, 38, 14, 17, 85, 16, 3, 12, 3, 1.0, 8.0, 10.0, 0, 3, 13, 1, 5, 7, 3, 0, 6, 5, 2, 0, 0.0, 0, 1, 6, 6, 0, 13, 13, 6.25, 50.0, 62.5, 18.796875, 100.0, 100.0, 46.1953125, 23.09765625, 81.296875, 0.0, 46.1953125, 38.5, 15.3984375, 0.0, 0.0, 7.69921875, 0.0, 38.5, 7.69921875, 53.796875, 46.1953125, 5.0, 0.0, 33.0, 13.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 49.0, "5272", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5272&g_ta_cod=5272", 13.0, 44.0, 44.0),
(9183, "Privé enseignement supérieur", "0693177D", "Ecole Supérieure de Commerce et Développement 3A - ESCD 3A", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "Ecole de Commerce", "Ecole Supérieure de Commerce et Développement 3A - ESCD 3A - Formation des écoles de commerce et de management Bac + 3 - Bachelor - Responsable opérationnel à l'international", "Formation des écoles de commerce et de management", "Bachelor - Responsable opérationnel à l'international", 180, 240, 139, 214, 0, 164, 9, 13, 2, 1, 0, 36, 26, 8, 3, 3, 12, 159, 15, 0, 0, 130, 7, 9, 2, 1, 0, 19, 175, 72, 44, 62, 9, 60.0, 61.0, 66.0, 0, 1, 59, 54, 4, 1, 13, 0, 11, 18, 25, 5, 0.0, 44, 3, 1, 0, 0, 12, 12, 83.33, 84.72, 91.67, 61.09375, 20.296875, 20.296875, 0, 1.699951171875, 81.890625, 0.0, 18.59765625, 30.5, 42.3984375, 8.5, 0.0, 91.5, 74.59375, 6.7998046875, 5.099609375, 1.699951171875, 1.699951171875, 136.0, 7.0, 2.0, 0.0, 26.0, "Tous les candidats", 159.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "24483", "Formation des écoles de commerce et de management Bac + 3 - Bachelor - Responsable opérationnel à l'international", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24483&g_ta_cod=24483", 88.0, 8.0, 1.0),
(9184, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues étrangères appliquées - Parcours Espagnol - Chinois", "Licence - Arts-lettres-langues", "Espagnol - Chinois", 13, 80, 60, 52, 0, 33, 6, 4, 2, 0, 0, 15, 28, 3, 1, 1, 23, 52, 26, 0, 0, 33, 6, 4, 2, 0, 0, 15, 66, 12, 7, 5, 7, 0.0, 5.0, 12.0, 0, 1, 4, 4, 0, 0, 8, 0, 0, 4, 0, 0, 0.0, 4, 0, 0, 0, 0, 2, 2, 0.0, 41.67, 100.0, 58.296875, 50.0, 50.0, 0, 25.0, 33.296875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 28.0, 7.0, 1.0, 0.0, 35.0, "Tous les candidats", 52.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4590", "Licence - Langues étrangères appliquées - Parcours Espagnol - Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4590&g_ta_cod=4590", 67.0, 17.0, 17.0),
(9185, "Privé enseignement supérieur", "0310155A", "Institut Catholique de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Institut Catholique de Toulouse - Licence - Lettres - Parcours Lettres Modernes", "Licence - Arts-lettres-langues", "Lettres Modernes", 50, 94, 80, 76, 0, 55, 13, 0, 0, 0, 0, 21, 18, 3, 1, 1, 13, 74, 16, 0, 0, 55, 13, 0, 0, 0, 0, 19, 84, 15, 14, 14, 1, 12.0, 14.0, 15.0, 0, 2, 10, 9, 1, 0, 5, 0, 1, 1, 8, 0, 0.0, 9, 0, 0, 0, 0, 7, 7, 80.0, 93.33, 100.0, 93.296875, 70.0, 70.0, 0, 20.0, 66.6875, 0.0, 10.0, 10.0, 80.0, 0.0, 0.0, 90.0, 90.0, 10.0, 0.0, 0.0, 0.0, 55.0, 11.0, 1.0, 0.0, 27.0, "Tous les candidats", 73.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "4089", "Licence - Lettres - Parcours Lettres Modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4089&g_ta_cod=4089", 93.0, 7.0, 0.0),
(9186, "Public", "0210015C", "Lycée Carnot", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "CPGE", "Lycée Carnot - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 886, 450, 886, 543, 758, 74, 1, 0, 0, 0, 127, 0, 0, 0, 0, 0, 627, 0, 294, 590, 603, 49, 0, 0, 0, 0, 24, 234, 23, 12, 23, 0, 2.0, 14.0, 23.0, 2, 2, 23, 23, 0, 0, 0, 0, 0, 6, 13, 4, 0.0, 23, 0, 0, 2, 1, 11, 11, 8.7, 60.87, 100.0, 52.1953125, 47.796875, 47.796875, 8.69921875, 8.69921875, 100.0, 0.0, 0.0, 26.09765625, 56.5, 17.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 228.0, 21.0, 0.0, 0.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "31637", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31297&g_ta_cod=31637", 100.0, 0.0, 0.0),
(9187, "Privé sous contrat d'association", "0772153X", "Lycée JEAN ROSE", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "BTS", "Lycée JEAN ROSE - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 28, 400, 172, 400, 0, 70, 7, 145, 23, 93, 14, 92, 0, 0, 0, 0, 0, 288, 0, 0, 0, 65, 6, 120, 17, 59, 4, 44, 108, 25, 13, 25, 0, 2.0, 15.0, 19.0, 0, 4, 22, 8, 7, 7, 3, 0, 10, 8, 4, 0, 0.0, 2, 3, 7, 6, 4, 21, 21, 8.0, 60.0, 76.0, 52.0, 95.5, 95.5, 27.296875, 18.19921875, 88.0, 0.0, 45.5, 36.3984375, 18.19921875, 0.0, 0.0, 36.3984375, 9.099609375, 31.796875, 13.599609375, 31.796875, 31.796875, 26.0, 1.0, 14.0, 2.0, 13.0, "Tous les candidats sauf les Bac professionnels", 107.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 32.0, "9866", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9866&g_ta_cod=9866", 40.0, 28.0, 32.0),
(9188, "Public", "6200003J", "Lycée professionnel Jules Antonini", "2A", "Corse du Sud", "Corse", "Corse", "Ajaccio", "formation sélective", "BTS", "Lycée professionnel Jules Antonini - BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "BTS - Production", "", 9, 48, 4, 48, 0, 0, 0, 3, 0, 23, 8, 22, 0, 0, 0, 0, 0, 26, 0, 0, 0, 0, 0, 3, 0, 21, 8, 2, 16, 9, 0, 8, 0, 5.0, 6.0, 7.0, 0, 7, 9, 0, 0, 9, 0, 0, 1, 2, 6, 0, 0.0, 0, 0, 8, 4, 0, 8, 8, 55.56, 66.67, 77.78, 0.0, 88.890625, 88.890625, 44.3984375, 77.796875, 100.0, 0.0, 11.099609375, 22.19921875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 88.890625, 0.0, 0.0, 13.0, 8.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers technologiques toutes séries", 3, "Bacheliers professionnels toutes séries", 11, "Liste d'appel propre à cette formation", 31.0, "26509", "BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26509&g_ta_cod=26509", 0.0, 0.0, 100.0),
(9189, "Privé enseignement supérieur", "0741787R", "UCLy Alpes-Europe", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "Licence", "UCLy Alpes-Europe - Licence - Double diplôme - Licence Droit - Licence Droit + Diplôme Universitaire Droit, Sciences politiques et Etude du bien commun", "Licence - Droit-économie-gestion", "Licence Droit + Diplôme Universitaire Droit, Sciences politiques et Etude du bien commun", 15, 133, 86, 133, 0, 112, 8, 2, 0, 0, 0, 19, 0, 0, 0, 0, 0, 133, 0, 0, 0, 112, 8, 2, 0, 0, 0, 19, 59, 15, 8, 15, 0, 2.0, 15.0, 15.0, 0, 0, 15, 14, 1, 0, 0, 0, 0, 4, 8, 3, 0.0, 14, 1, 0, 0, 0, 12, 12, 13.33, 100.0, 100.0, 53.296875, 80.0, 80.0, 0, 0.0, 100.0, 0.0, 0.0, 26.69921875, 53.296875, 20.0, 0.0, 93.296875, 93.296875, 6.69921875, 6.69921875, 0.0, 0.0, 57.0, 3.0, 0.0, 0.0, 1.0, "Tous les candidats", 68.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "32421", "Licence - Double diplôme - Licence Droit - Licence Droit + Diplôme Universitaire Droit, Sciences politiques et Etude du bien commun", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32421&g_ta_cod=32421", 93.0, 7.0, 0.0),
(9190, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues étrangères appliquées : Anglais-Portugais", "Licence - Arts-lettres-langues", "Licence 1 LEA - Langues étrangères appliquées : Anglais-Portugais", 80, 333, 216, 205, 0, 121, 36, 21, 10, 15, 6, 48, 128, 18, 6, 9, 95, 203, 124, 0, 0, 121, 36, 21, 10, 15, 6, 46, 327, 78, 46, 35, 43, 35.0, 35.0, 62.0, 0, 13, 36, 19, 8, 9, 42, 1, 15, 18, 1, 1, 0.0, 10, 2, 8, 0, 0, 28, 28, 44.87, 44.87, 79.49, 59.0, 77.796875, 77.796875, 0, 36.09375, 46.1953125, 2.7998046875, 41.6953125, 50.0, 2.7998046875, 2.8, 0.0, 52.796875, 27.796875, 22.19921875, 5.599609375, 25.0, 22.19921875, 138.0, 42.0, 24.0, 11.0, 138.0, "Tous les candidats", 203.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4404", "Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues étrangères appliquées : Anglais-Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4404&g_ta_cod=4404", 53.0, 24.0, 22.0),
(9191, "Public", "0640013S", "Lycée professionnel Paul Bert", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "BTS", "Lycée professionnel Paul Bert - BTS - Services - Assurance", "BTS - Services", "", 15, 268, 144, 245, 0, 25, 8, 67, 11, 48, 25, 105, 23, 1, 6, 10, 6, 105, 19, 0, 0, 19, 5, 45, 6, 29, 16, 12, 91, 13, 9, 7, 6, 0.0, 5.0, 8.0, 0, 2, 10, 2, 7, 1, 3, 0, 5, 5, 0, 0, 0.0, 2, 3, 0, 1, 0, 8, 8, 0.0, 38.46, 61.54, 69.1875, 80.0, 80.0, 10, 20.0, 76.890625, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 20.0, 20.0, 70.0, 30.0, 10.0, 0.0, 6.0, 2.0, 31.0, 19.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers technologiques toutes séries", 50, "Bacheliers professionnels toutes séries", 30, "Liste d'appel propre à cette formation", 42.0, "32384", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32384&g_ta_cod=32384", 31.0, 54.0, 15.0),
(9192, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et Techniques des Activités Physiques et Sportives (STAPS) - Grenoble", "Licence - Sciences - technologies - santé", "Sciences et Techniques des Activités Physiques et Sportives (STAPS) - Grenoble", 500, 3928, 1263, 3903, 0, 2572, 330, 450, 92, 99, 31, 782, 25, 7, 1, 2, 15, 3888, 14, 0, 0, 2572, 330, 450, 92, 99, 31, 767, 1716, 492, 149, 482, 9, 73.0, 308.0, 392.0, 0, 65, 405, 321, 66, 18, 86, 23, 156, 162, 58, 6, 0.0, 182, 30, 14, 0, 0, 351, 351, 14.84, 62.6, 79.67, 30.296875, 86.6875, 86.6875, 0, 16.0, 82.296875, 5.69921875, 38.5, 40.0, 14.298828125, 1.5, 0.0, 79.296875, 44.8984375, 16.296875, 7.3994140625, 4.3994140625, 3.5, 1078.0, 143.0, 42.0, 15.0, 437.0, "Tous les candidats", 1927.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "31002", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et Techniques des Activités Physiques et Sportives (STAPS) - Grenoble", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31003&g_ta_cod=31002", 78.0, 17.0, 5.0),
(9193, "Privé sous contrat d'association", "0754030Y", "Lycée Albert de Mun", "75", "Paris", "Ile-de-France", "Paris", "Paris  7e  Arrondissement", "formation sélective", "BTS", "Lycée Albert de Mun - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 45, 785, 611, 785, 0, 224, 39, 86, 33, 245, 75, 230, 0, 0, 0, 0, 0, 545, 0, 0, 0, 170, 27, 64, 21, 220, 69, 91, 131, 44, 35, 44, 0, 11.0, 29.0, 34.0, 0, 10, 41, 21, 3, 17, 3, 0, 7, 16, 15, 3, 0.0, 16, 3, 15, 8, 8, 12, 30, 25.0, 65.91, 77.27, 79.5, 29.296875, 73.1875, 19.5, 24.3984375, 93.1875, 0.0, 17.09765625, 39.0, 36.59375, 7.3, 0.0, 51.1953125, 39.0, 7.2998046875, 7.2998046875, 41.5, 36.59375, 57.0, 10.0, 47.0, 12.0, 11.0, "Tous les candidats sauf les Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 17.0, "12264", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12264&g_ta_cod=12264", 55.0, 7.0, 39.0),
(9194, "Public", "0760170X", "I.U.T de Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation sélective", "BUT", "I.U.T de Rouen - BUT - Carrières juridiques Parcours : Administration et justice - Patrimoine et finance - Association et entreprise", "BUT - Service", "Administration et justice - Patrimoine et finance - Association et entreprise", 130, 3077, 2380, 3077, 0, 1600, 303, 926, 293, 33, 7, 518, 0, 0, 0, 0, 0, 1666, 0, 0, 0, 949, 153, 584, 165, 0, 0, 133, 644, 152, 128, 152, 0, 13.0, 128.0, 150.0, 0, 34, 147, 72, 75, 0, 5, 0, 10, 74, 59, 4, 0.0, 68, 69, 0, 0, 0, 94, 94, 8.55, 84.21, 98.68, 84.1875, 63.8984375, 63.8984375, 0, 23.09765625, 96.6875, 0.0, 6.7998046875, 50.296875, 40.09375, 2.7, 0.0, 49.0, 46.296875, 51.0, 46.8984375, 0.0, 0.0, 327.0, 81.0, 0.0, 0.0, 49.0, "Tous les candidats sauf les Bac technologiques", 673.0, "Bacheliers technologiques toutes séries", 448, "", 0, "Liste d'appel propre à cette formation", 36.0, "9629", "BUT - Carrières juridiques Parcours : Administration et justice - Patrimoine et finance - Association et entreprise", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9629&g_ta_cod=9629", 49.0, 51.0, 0.0),
(9195, "Public", "0782539L", "Lycée Saint Exupéry", "78", "Yvelines", "Ile-de-France", "Versailles", "Mantes-la-Jolie", "formation sélective", "CPGE", "Lycée Saint Exupéry - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 33, 181, 87, 164, 0, 147, 33, 2, 0, 0, 0, 15, 17, 10, 0, 2, 5, 129, 5, 0, 129, 126, 24, 0, 0, 0, 0, 3, 128, 22, 10, 22, 0, 11.0, 22.0, 22.0, 0, 6, 22, 22, 0, 0, 0, 0, 1, 10, 7, 4, 0.0, 21, 0, 0, 8, 4, 20, 20, 50.0, 100.0, 100.0, 45.5, 90.890625, 90.890625, 36.3984375, 27.296875, 100.0, 0.0, 4.5, 45.5, 31.796875, 18.2, 0.0, 100.0, 95.5, 0.0, 0.0, 0.0, 0.0, 123.0, 24.0, 0.0, 0.0, 5.0, "Tous les candidats", 129.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "31400", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31400&g_ta_cod=31400", 100.0, 0.0, 0.0),
(9196, "Public", "0501893L", "IUT GRAND OUEST NORMANDIE - Pôle de Cherbourg - Site de Cherbourg-en-Cotentin", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Cherbourg - Site de Cherbourg-en-Cotentin - BUT - Génie industriel et maintenance Parcours :  Ingénierie des systèmes Pluritechniques", "BUT - Production", "Ingénierie des systèmes Pluritechniques", 36, 286, 22, 286, 0, 141, 15, 101, 12, 6, 2, 38, 0, 0, 0, 0, 0, 236, 0, 0, 0, 121, 11, 93, 9, 3, 2, 19, 120, 36, 2, 36, 0, 6.0, 34.0, 36.0, 0, 3, 36, 16, 18, 2, 0, 0, 17, 16, 2, 1, 0.0, 9, 8, 2, 0, 0, 36, 36, 16.67, 94.44, 100.0, 5.599609375, 100.0, 100.0, 0, 8.298828125, 100.0, 0.0, 47.1953125, 44.3984375, 5.599609375, 2.8, 0.0, 44.3984375, 25.0, 50.0, 22.19921875, 5.599609375, 5.599609375, 54.0, 6.0, 3.0, 2.0, 9.0, "Tous les candidats sauf les Bac technologiques", 91.0, "Bacheliers technologiques toutes séries", 61, "", 0, "Liste d'appel propre à cette formation", 53.0, "6040", "BUT - Génie industriel et maintenance Parcours :  Ingénierie des systèmes Pluritechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6040&g_ta_cod=6040", 44.0, 50.0, 6.0),
(9197, "Privé sous contrat d'association", "0593061G", "Lycée Saint Luc Cambrai", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "BTS", "Lycée Saint Luc Cambrai - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 36, 297, 259, 210, 0, 24, 5, 63, 20, 87, 32, 36, 87, 9, 33, 13, 32, 129, 17, 0, 0, 23, 4, 46, 13, 46, 17, 14, 116, 31, 29, 23, 8, 8.0, 20.0, 29.0, 0, 9, 27, 8, 8, 11, 4, 0, 12, 12, 3, 0, 0.0, 3, 3, 9, 3, 3, 24, 24, 25.81, 64.52, 93.55, 93.5, 88.890625, 88.890625, 11.099609375, 33.296875, 87.09375, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 29.59765625, 11.099609375, 29.59765625, 11.099609375, 40.6953125, 33.296875, 23.0, 6.0, 38.0, 15.0, 15.0, "Tous les candidats sauf les Bac professionnels", 78.0, "Bacheliers professionnels toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 60.0, "14583", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14583&g_ta_cod=14583", 26.0, 35.0, 39.0),
(9198, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Anglais", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères et Régionales Anglais", 260, 2022, 1562, 2022, 0, 1457, 359, 81, 38, 39, 23, 445, 0, 0, 0, 0, 0, 2022, 0, 0, 0, 1457, 359, 81, 38, 39, 23, 445, 1022, 253, 182, 253, 0, 33.0, 213.0, 238.0, 0, 54, 182, 167, 11, 4, 71, 1, 46, 70, 47, 18, 0.0, 126, 5, 4, 0, 0, 113, 113, 13.04, 84.19, 94.07, 71.890625, 62.09375, 62.09375, 0, 29.69921875, 71.890625, 0.5, 25.296875, 38.5, 25.796875, 9.9, 0.0, 91.796875, 69.1875, 6.0, 2.69970703125, 2.19970703125, 2.19970703125, 763.0, 185.0, 11.0, 5.0, 222.0, "Tous les candidats", 1616.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "8499", "Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8499&g_ta_cod=8499", 87.0, 9.0, 4.0),
(9199, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "Autre formation", "Université Polytechnique Hauts-de-France - DEUST - Métiers de la cohésion sociale", "DEUST", "", 30, 542, 424, 401, 0, 93, 33, 114, 58, 52, 25, 142, 141, 10, 25, 20, 86, 110, 15, 0, 0, 33, 11, 27, 13, 18, 7, 32, 98, 29, 23, 19, 10, 4.0, 18.0, 23.0, 0, 6, 12, 4, 5, 3, 17, 0, 2, 5, 5, 0, 0.0, 3, 4, 3, 0, 0, 10, 10, 13.79, 62.07, 79.31, 79.296875, 83.296875, 83.296875, 0, 50.0, 41.3984375, 0.0, 16.69921875, 41.6953125, 41.6953125, 0.0, 0.0, 33.296875, 25.0, 41.6953125, 33.296875, 25.0, 25.0, 25.0, 8.0, 14.0, 5.0, 38.0, "Tous les candidats", 110.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "21851", "DEUST - Métiers de la cohésion sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21851&g_ta_cod=21851", 59.0, 21.0, 14.0),
(9200, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université de Montpellier - Licence - Gestion - Parcours Gestion (formation à distance en e-learning) - Institut Montpellier Management - MOMA", "Licence - Droit-économie-gestion", "Gestion (formation à distance en e-learning) - Institut Montpellier Management - MOMA", 300, 1338, 697, 708, 0, 267, 86, 91, 34, 42, 28, 308, 630, 87, 58, 19, 466, 703, 586, 0, 0, 267, 86, 91, 34, 42, 28, 303, 1255, 231, 111, 85, 146, 38.0, 84.0, 160.0, 0, 17, 57, 37, 18, 2, 174, 3, 29, 15, 10, 0, 0.0, 17, 7, 1, 0, 0, 22, 22, 16.45, 36.36, 69.26, 48.09375, 38.59375, 38.59375, 0, 29.796875, 24.69921875, 5.2998046875, 50.8984375, 26.296875, 17.5, 0.0, 0.0, 64.890625, 29.796875, 31.59765625, 12.298828125, 3.5, 1.7998046875, 349.0, 114.0, 60.0, 38.0, 700.0, "Tous les candidats", 703.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "21268", "Licence - Gestion - Parcours Gestion (formation à distance en e-learning) - Institut Montpellier Management - MOMA", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21268&g_ta_cod=21268", 68.0, 19.0, 9.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(9201, "Privé sous contrat d'association", "0941934S", "EFREI Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villejuif", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 5, 258, 118, 258, 0, 0, 0, 0, 0, 0, 0, 258, 0, 0, 0, 0, 0, 220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 220, 195, 9, 3, 9, 0, 0.0, 9.0, 9.0, 0, 0, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 33.296875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 195.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "22863", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22863", 100.0, 0.0, 0.0),
(9202, "Privé sous contrat d'association", "0442837V", "ISEN Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Carquefou", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 24, 1340, 384, 1335, 0, 1329, 107, 0, 0, 0, 0, 6, 5, 5, 0, 0, 0, 1069, 4, 0, 0, 1069, 75, 0, 0, 0, 0, 0, 972, 13, 3, 10, 3, 6.0, 10.0, 13.0, 0, 1, 13, 13, 0, 0, 0, 0, 3, 7, 3, 0, 0.0, 10, 0, 0, 0, 0, 5, 5, 46.15, 76.92, 100.0, 23.09765625, 38.5, 38.5, 0, 7.69921875, 100.0, 0.0, 23.09765625, 53.796875, 23.09765625, 0.0, 0.0, 100.0, 76.890625, 0.0, 0.0, 0.0, 0.0, 972.0, 73.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "30944", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=30944", 100.0, 0.0, 0.0),
(9203, "Public", "0270016W", "Lycée Aristide Briand", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BTS", "Lycée Aristide Briand - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 341, 159, 341, 0, 33, 7, 110, 45, 68, 37, 130, 0, 0, 0, 0, 0, 232, 0, 0, 0, 31, 6, 99, 39, 51, 29, 51, 119, 32, 13, 32, 0, 6.0, 24.0, 28.0, 0, 13, 28, 3, 13, 12, 4, 0, 10, 10, 8, 0, 0.0, 1, 5, 12, 7, 1, 25, 25, 18.75, 75.0, 87.5, 40.59375, 89.296875, 89.296875, 25, 46.3984375, 87.5, 0.0, 35.6953125, 35.6953125, 28.59765625, 0.0, 0.0, 10.69921875, 3.599609375, 46.3984375, 17.8984375, 42.8984375, 42.8984375, 13.0, 6.0, 31.0, 17.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 49.0, "3685", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3685&g_ta_cod=3685", 13.0, 50.0, 38.0),
(9204, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Langues étrangères appliquées - Parcours LEA Anglais, Allemand", "Licence - Arts-lettres-langues", "LEA Anglais, Allemand", 80, 185, 124, 156, 0, 94, 21, 14, 2, 8, 3, 40, 29, 2, 1, 1, 25, 156, 21, 0, 0, 94, 21, 14, 2, 8, 3, 40, 175, 29, 18, 22, 7, 15.0, 22.0, 27.0, 0, 6, 19, 13, 4, 2, 10, 0, 6, 7, 6, 0, 0.0, 10, 2, 1, 0, 0, 18, 18, 51.72, 75.86, 93.1, 62.09375, 94.6875, 94.6875, 0, 31.59765625, 65.5, 0.0, 31.59765625, 36.796875, 31.59765625, 0.0, 0.0, 68.390625, 52.59375, 21.09765625, 10.5, 10.5, 5.2998046875, 95.0, 21.0, 9.0, 4.0, 56.0, "Tous les candidats", 156.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3872", "Licence - Langues étrangères appliquées - Parcours LEA Anglais, Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3872&g_ta_cod=3872", 72.0, 21.0, 7.0),
(9205, "Public", "9730429D", "Université de Guyane", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation non sélective", "Licence", "Université de Guyane - Licence - Sciences pour l'ingénieur - Parcours Electronique, électrotechnique, automatique (EEA) - Guyane", "Licence - Sciences - technologies - santé", "Electronique, électrotechnique, automatique (EEA) - Guyane", 60, 141, 24, 106, 0, 45, 23, 20, 9, 24, 14, 17, 35, 5, 5, 6, 19, 103, 27, 0, 0, 45, 23, 20, 9, 24, 14, 14, 127, 32, 0, 19, 13, 12.0, 19.0, 21.0, 0, 14, 22, 11, 2, 9, 10, 5, 10, 6, 1, 0, 0.0, 5, 1, 1, 0, 0, 22, 22, 37.5, 59.38, 65.63, 0.0, 100.0, 100.0, 0, 63.59375, 68.796875, 22.69921875, 45.5, 27.296875, 4.5, 0.0, 0.0, 50.0, 22.69921875, 9.099609375, 4.5, 40.8984375, 4.5, 48.0, 25.0, 29.0, 20.0, 28.0, "Tous les candidats", 102.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "11867", "Licence - Sciences pour l'ingénieur - Parcours Electronique, électrotechnique, automatique (EEA) - Guyane", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11867&g_ta_cod=11867", 44.0, 16.0, 41.0),
(9206, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Arabe - Cursus 4 ans", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères et Régionales Arabe - Cursus 4 ans", 36, 145, 106, 106, 0, 35, 25, 8, 6, 6, 4, 57, 39, 6, 7, 4, 22, 106, 35, 0, 0, 35, 25, 8, 6, 6, 4, 57, 129, 32, 25, 19, 13, 3.0, 19.0, 27.0, 0, 9, 12, 4, 4, 4, 20, 0, 6, 6, 0, 0, 0.0, 3, 2, 1, 0, 0, 9, 9, 9.38, 59.38, 84.38, 78.09375, 75.0, 75.0, 0, 75.0, 37.5, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 33.296875, 25.0, 33.296875, 16.69921875, 33.296875, 8.298828125, 41.0, 28.0, 8.0, 6.0, 69.0, "Tous les candidats", 105.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "13893", "Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Arabe - Cursus 4 ans", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13893&g_ta_cod=13893", 34.0, 34.0, 31.0),
(9207, "Public", "0830923C", "Lycée Paul Langevin", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Seyne-sur-Mer", "formation sélective", "BTS", "Lycée Paul Langevin - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 24, 177, 7, 172, 0, 5, 1, 30, 6, 99, 42, 38, 5, 1, 1, 0, 3, 116, 5, 0, 0, 2, 1, 21, 3, 77, 32, 16, 87, 22, 1, 19, 3, 5.0, 19.0, 19.0, 0, 9, 17, 0, 3, 14, 5, 0, 3, 8, 3, 3, 0.0, 0, 1, 13, 7, 0, 14, 14, 22.73, 86.36, 86.36, 4.5, 82.390625, 82.390625, 41.1953125, 52.8984375, 77.296875, 0.0, 17.59765625, 47.09375, 17.59765625, 17.6, 0.0, 0.0, 0.0, 17.59765625, 5.8994140625, 82.390625, 76.5, 3.0, 1.0, 53.0, 23.0, 14.0, "Tous les candidats sauf les Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 63, "", 0, "Liste d'appel propre à cette formation", 55.0, "29772", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29772&g_ta_cod=29772", 5.0, 27.0, 68.0),
(9208, "Public", "0650026A", "Lycée Marie Curie", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 23, 397, 41, 397, 0, 42, 7, 115, 37, 99, 35, 141, 0, 0, 0, 0, 0, 317, 0, 0, 0, 41, 7, 115, 37, 99, 35, 62, 97, 19, 0, 19, 0, 2.0, 18.0, 18.0, 0, 5, 16, 4, 6, 6, 3, 0, 8, 3, 5, 0, 0.0, 1, 2, 5, 1, 0, 12, 12, 10.53, 94.74, 94.74, 0.0, 75.0, 75.0, 6.2998046875, 31.296875, 84.1875, 0.0, 50.0, 18.796875, 31.296875, 0.0, 0.0, 25.0, 6.2998046875, 37.5, 12.5, 37.5, 31.296875, 17.0, 5.0, 31.0, 16.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 35.0, "7811", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7811&g_ta_cod=7811", 32.0, 32.0, 37.0),
(9209, "Privé sous contrat d'association", "0311186W", "Lycée Billières", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Billières - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 48, 1127, 508, 1099, 0, 139, 24, 413, 103, 293, 97, 254, 28, 2, 4, 10, 12, 634, 9, 0, 0, 92, 12, 272, 56, 149, 42, 121, 322, 46, 22, 43, 3, 3.0, 24.0, 35.0, 0, 7, 38, 7, 12, 19, 8, 0, 15, 10, 13, 0, 0.0, 3, 6, 14, 0, 0, 28, 28, 6.52, 52.17, 76.09, 47.796875, 73.6875, 73.6875, 0, 18.3984375, 82.59375, 0.0, 39.5, 26.296875, 34.1953125, 0.0, 0.0, 18.3984375, 7.8994140625, 31.59765625, 15.798828125, 50.0, 36.796875, 61.0, 9.0, 99.0, 26.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 116.0, "Bacheliers professionnels toutes séries", 134, "Bacheliers technologiques toutes séries", 146, "Liste d'appel propre à cette formation", 36.0, "4118", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4118&g_ta_cod=4118", 24.0, 30.0, 46.0),
(9210, "Public", "0340043M", "Lycée des Métiers Pierre Mendès France", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée des Métiers Pierre Mendès France - BTS - Production - Electrotechnique", "BTS - Production", "", 26, 364, 9, 364, 0, 16, 2, 94, 34, 181, 96, 73, 0, 0, 0, 0, 0, 221, 0, 0, 0, 8, 0, 83, 27, 95, 42, 35, 124, 24, 1, 24, 0, 8.0, 21.0, 24.0, 0, 12, 18, 0, 8, 10, 6, 0, 3, 10, 5, 0, 0.0, 0, 5, 10, 6, 0, 16, 16, 33.33, 87.5, 100.0, 4.19921875, 88.890625, 88.890625, 33.296875, 66.6875, 75.0, 0.0, 16.69921875, 55.59375, 27.796875, 0.0, 0.0, 0.0, 0.0, 44.3984375, 27.796875, 55.59375, 55.59375, 2.0, 0.0, 47.0, 22.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 51.0, "4503", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4503&g_ta_cod=4503", 4.0, 46.0, 50.0),
(9211, "Privé sous contrat d'association", "9741255W", "Lycée Catholique St Charles", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 5, 150, 50, 150, 0, 0, 0, 0, 0, 0, 0, 150, 0, 0, 0, 0, 0, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 131, 122, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 122.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "31121", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=31121", 0, 0, 0),
(9212, "Public", "0595786U", "Lycée Jean Prouve", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Jean Prouve - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 15, 669, 357, 669, 0, 135, 24, 144, 35, 231, 79, 159, 0, 0, 0, 0, 0, 159, 0, 0, 0, 42, 5, 24, 3, 82, 30, 11, 40, 15, 10, 15, 0, 8.0, 13.0, 13.0, 0, 5, 15, 3, 3, 9, 0, 0, 1, 8, 4, 2, 0.0, 3, 3, 8, 2, 1, 14, 14, 53.33, 86.67, 86.67, 66.6875, 93.296875, 93.296875, 13.298828125, 33.296875, 100.0, 0.0, 6.69921875, 53.296875, 26.69921875, 13.3, 0.0, 20.0, 20.0, 20.0, 20.0, 60.0, 53.296875, 6.0, 1.0, 22.0, 4.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 6.0, "7149", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7149&g_ta_cod=7149", 20.0, 20.0, 60.0),
(9213, "Public", "0920801W", "Lycée Alexandre Dumas", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Saint-Cloud", "formation sélective", "CPGE", "Lycée Alexandre Dumas - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 637, 291, 620, 0, 558, 67, 1, 0, 0, 0, 61, 17, 7, 0, 0, 10, 477, 10, 0, 477, 453, 54, 0, 0, 0, 0, 24, 344, 13, 3, 10, 3, 0.0, 5.0, 11.0, 0, 0, 10, 10, 0, 0, 3, 0, 1, 5, 4, 0, 0.0, 9, 0, 0, 0, 0, 9, 10, 0.0, 38.46, 84.62, 23.09765625, 90.0, 100.0, 0, 0.0, 76.890625, 0.0, 10.0, 50.0, 40.0, 0.0, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 317.0, 40.0, 0.0, 0.0, 27.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "31472", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31398&g_ta_cod=31472", 100.0, 0.0, 0.0),
(9214, "Privé enseignement supérieur", "0590346F", "SKEMA Business School - Campus de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "BBA in Global Management", 120, 3522, 1567, 3522, 0, 3112, 67, 176, 3, 5, 1, 229, 0, 0, 0, 0, 0, 3331, 0, 0, 0, 2981, 59, 147, 2, 3, 1, 200, 1616, 180, 79, 180, 0, 14.0, 179.0, 180.0, 0, 3, 172, 159, 13, 0, 8, 1, 39, 91, 32, 9, 0.0, 121, 11, 0, 0, 0, 19, 19, 7.78, 99.44, 100.0, 43.8984375, 11.0, 11.0, 0, 1.699951171875, 95.59375, 0.5999755859375, 22.69921875, 52.8984375, 18.59765625, 5.2, 0.0, 92.390625, 70.296875, 7.599609375, 6.3994140625, 0.0, 0.0, 1463.0, 23.0, 0.0, 0.0, 92.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "31991", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=31991", 93.0, 7.0, 0.0),
(9215, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Histoire, Géographie", "Licence - Sciences humaines et sociales", "Histoire, Géographie", 234, 1395, 570, 1332, 0, 914, 215, 80, 27, 30, 12, 308, 63, 4, 6, 7, 46, 1324, 61, 0, 0, 914, 215, 80, 27, 30, 12, 300, 1205, 219, 71, 198, 21, 115.0, 166.0, 194.0, 0, 46, 164, 142, 13, 9, 55, 0, 55, 71, 33, 5, 0.0, 102, 3, 4, 0, 0, 117, 117, 52.51, 75.8, 88.58, 32.3984375, 71.296875, 71.296875, 0, 28.0, 74.890625, 0.0, 33.5, 43.296875, 20.09765625, 3.0, 0.0, 86.59375, 62.1953125, 7.8994140625, 1.7998046875, 5.5, 2.39990234375, 854.0, 204.0, 32.0, 15.0, 254.0, "Tous les candidats", 1310.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "12588", "Licence - Portail Histoire, Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12588&g_ta_cod=12588", 83.0, 11.0, 7.0),
(9216, "Public", "0730858L", "Université Savoie Mont Blanc - Chambéry", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Jacob-Bellecombette", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Chambéry - Licence - Histoire - Parcours Histoire et civilisations", "Licence - Sciences humaines et sociales", "Histoire et civilisations", 90, 522, 241, 457, 0, 317, 50, 43, 10, 12, 4, 85, 65, 16, 5, 3, 41, 457, 32, 0, 0, 317, 50, 43, 10, 12, 4, 85, 398, 76, 37, 63, 13, 12.0, 63.0, 70.0, 0, 14, 59, 53, 4, 2, 17, 3, 17, 24, 12, 3, 0.0, 35, 2, 2, 0, 0, 47, 47, 15.79, 82.89, 92.11, 48.6953125, 79.6875, 79.6875, 0, 23.69921875, 77.59375, 5.099609375, 28.796875, 40.6953125, 20.296875, 5.1, 0.0, 89.796875, 59.296875, 6.7998046875, 3.39990234375, 3.39990234375, 3.39990234375, 278.0, 44.0, 8.0, 4.0, 82.0, "Tous les candidats", 457.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20412", "Licence - Histoire - Parcours Histoire et civilisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20412&g_ta_cod=20412", 83.0, 12.0, 5.0),
(9217, "Privé sous contrat d'association", "0492015Z", "LGT privé Sacré-Coeur La Salle", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "LGT privé Sacré-Coeur La Salle - BTS - Services - Support à l'action managériale", "BTS - Services", "", 17, 236, 168, 228, 0, 34, 4, 90, 11, 53, 9, 51, 8, 2, 0, 2, 4, 191, 1, 0, 0, 34, 4, 87, 11, 46, 7, 24, 85, 14, 9, 14, 0, 2.0, 11.0, 13.0, 0, 1, 11, 3, 5, 3, 3, 0, 6, 3, 1, 1, 0.0, 0, 3, 2, 3, 3, 11, 11, 14.29, 78.57, 92.86, 64.296875, 100.0, 100.0, 27.296875, 9.099609375, 78.59375, 0.0, 54.5, 27.296875, 9.099609375, 9.1, 0.0, 27.296875, 0.0, 45.5, 27.296875, 27.296875, 18.19921875, 24.0, 4.0, 30.0, 5.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 57.0, "5958", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5958&g_ta_cod=5958", 29.0, 50.0, 21.0),
(9218, "Public", "0650026A", "Lycée Marie Curie", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Tourisme", "BTS - Services", "", 35, 378, 280, 378, 0, 95, 22, 70, 11, 95, 40, 118, 0, 0, 0, 0, 0, 367, 0, 0, 0, 95, 22, 70, 11, 95, 40, 107, 160, 31, 26, 31, 0, 2.0, 20.0, 25.0, 0, 3, 22, 6, 5, 11, 9, 0, 7, 11, 3, 1, 0.0, 2, 4, 9, 3, 3, 17, 17, 6.45, 64.52, 80.65, 83.890625, 77.296875, 77.296875, 13.599609375, 13.599609375, 71.0, 0.0, 31.796875, 50.0, 13.599609375, 4.5, 0.0, 27.296875, 9.099609375, 22.69921875, 18.19921875, 50.0, 40.8984375, 39.0, 13.0, 52.0, 16.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 57.0, "7813", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7813&g_ta_cod=7813", 35.0, 26.0, 39.0),
(9219, "Public", "9741087N", "Lycée Boisjoly Potier", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation sélective", "BTS", "Lycée Boisjoly Potier - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 547, 379, 547, 0, 19, 8, 209, 136, 220, 160, 99, 0, 0, 0, 0, 0, 280, 0, 0, 0, 12, 3, 122, 79, 139, 102, 7, 85, 18, 9, 16, 0, 2.0, 13.0, 14.0, 0, 13, 18, 0, 9, 9, 0, 0, 3, 7, 4, 4, 0.0, 0, 6, 9, 11, 4, 18, 18, 11.11, 72.22, 77.78, 50.0, 100.0, 100.0, 61.09375, 72.1875, 100.0, 0.0, 16.69921875, 38.8984375, 22.19921875, 22.2, 0.0, 0.0, 0.0, 50.0, 33.296875, 50.0, 50.0, 6.0, 2.0, 32.0, 21.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 30.0, "11949", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11949&g_ta_cod=11949", 0.0, 50.0, 50.0),
(9220, "Public", "0010014K", "Lycée Edgar Quinet", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "BTS", "Lycée Edgar Quinet - BTS - Services - Notariat", "BTS - Services", "", 24, 763, 548, 712, 0, 144, 32, 173, 57, 83, 34, 312, 51, 0, 29, 0, 22, 211, 7, 0, 0, 96, 14, 60, 20, 41, 13, 14, 117, 18, 15, 15, 2, 3.0, 12.0, 16.0, 0, 2, 18, 5, 8, 5, 0, 0, 3, 12, 2, 1, 0.0, 4, 6, 5, 1, 1, 6, 6, 16.67, 66.67, 88.89, 83.296875, 33.296875, 33.296875, 5.599609375, 11.099609375, 100.0, 0.0, 16.69921875, 66.6875, 11.099609375, 5.6, 0.0, 27.796875, 22.19921875, 44.3984375, 33.296875, 27.796875, 27.796875, 35.0, 8.0, 22.0, 7.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 79.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 24.0, "2003", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2003&g_ta_cod=2003", 28.0, 44.0, 28.0),
(9221, "Public", "0061760F", "Lycée Alexis De Tocqueville", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Grasse", "formation sélective", "BTS", "Lycée Alexis De Tocqueville - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 24, 586, 411, 583, 0, 148, 33, 152, 34, 32, 14, 251, 3, 0, 1, 0, 2, 273, 2, 0, 0, 122, 26, 79, 17, 18, 10, 54, 138, 21, 10, 20, 0, 1.0, 13.0, 17.0, 0, 1, 16, 5, 10, 1, 5, 0, 4, 9, 2, 1, 0.0, 5, 6, 1, 3, 2, 15, 15, 4.76, 61.9, 80.95, 47.59375, 93.796875, 93.796875, 18.796875, 6.2998046875, 76.1875, 0.0, 25.0, 56.296875, 12.5, 6.3, 0.0, 31.296875, 31.296875, 62.5, 37.5, 6.2998046875, 6.2998046875, 52.0, 13.0, 6.0, 3.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 79.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 27.0, "2318", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2318&g_ta_cod=2318", 43.0, 52.0, 5.0),
(9222, "Public", "9840349G", "Université de la Polynésie française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation non sélective", "Licence", "Université de la Polynésie française - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours ANGLAIS", "Licence - Arts-lettres-langues", "ANGLAIS", 140, 468, 344, 384, 0, 258, 95, 29, 10, 16, 9, 81, 84, 15, 5, 6, 58, 384, 64, 0, 0, 258, 95, 29, 10, 16, 9, 81, 392, 112, 80, 79, 33, 31.0, 77.0, 97.0, 0, 25, 67, 56, 7, 4, 45, 0, 32, 28, 7, 0, 0.0, 29, 4, 2, 0, 0, 61, 61, 27.68, 68.75, 86.61, 71.390625, 91.0, 91.0, 0, 37.296875, 59.796875, 0.0, 47.796875, 41.796875, 10.3984375, 0.0, 0.0, 83.59375, 43.296875, 10.3984375, 6.0, 6.0, 3.0, 232.0, 80.0, 17.0, 8.0, 115.0, "Tous les candidats", 385.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12007", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours ANGLAIS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12007&g_ta_cod=12007", 74.0, 16.0, 10.0),
(9223, "Public", "0760090K", "Lycée Pierre Corneille", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "CPGE", "Lycée Pierre Corneille - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 48, 322, 155, 317, 155, 280, 35, 1, 0, 0, 0, 36, 5, 4, 0, 0, 1, 304, 0, 155, 277, 273, 34, 0, 0, 0, 0, 31, 236, 26, 11, 26, 0, 10.0, 24.0, 26.0, 4, 0, 25, 25, 0, 0, 1, 0, 2, 8, 12, 3, 0.0, 23, 0, 0, 3, 0, 21, 21, 38.46, 92.31, 100.0, 42.296875, 84.0, 84.0, 12, 0.0, 96.1875, 0.0, 8.0, 32.0, 48.0, 12.0, 0.0, 100.0, 92.0, 0.0, 0.0, 0.0, 0.0, 216.0, 27.0, 0.0, 0.0, 20.0, "Tous les candidats", 282.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "31351", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31351&g_ta_cod=31351", 100.0, 0.0, 0.0),
(9224, "Privé sous contrat d'association", "0754025T", "Lycée Saint-Nicolas", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "BTS", "Lycée Saint-Nicolas - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 25, 519, 19, 376, 0, 32, 7, 136, 26, 127, 42, 81, 143, 3, 43, 37, 60, 136, 20, 0, 0, 15, 2, 58, 3, 43, 12, 20, 114, 19, 0, 9, 10, 2.0, 9.0, 12.0, 0, 2, 15, 1, 9, 5, 4, 0, 9, 5, 1, 0, 0.0, 0, 2, 4, 6, 0, 8, 15, 10.53, 47.37, 63.16, 0.0, 53.296875, 100.0, 40, 13.298828125, 78.890625, 0.0, 60.0, 33.296875, 6.69921875, 0.0, 0.0, 6.69921875, 0.0, 60.0, 13.298828125, 33.296875, 26.69921875, 11.0, 2.0, 39.0, 13.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 34.0, "9487", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9487&g_ta_cod=9487", 11.0, 58.0, 32.0),
(9225, "Privé sous contrat d'association", "0490828J", "Lycée général et technologique privé Dom Sortais", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Beaupréau-en-Mauges", "formation sélective", "BTS", "Lycée général et technologique privé Dom Sortais - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 12, 54, 1, 44, 0, 4, 1, 16, 1, 18, 3, 6, 10, 0, 2, 8, 0, 42, 7, 0, 0, 4, 1, 16, 1, 18, 3, 4, 38, 11, 0, 10, 1, 4.0, 9.0, 11.0, 0, 0, 9, 1, 3, 5, 2, 0, 4, 3, 2, 0, 0.0, 0, 1, 4, 0, 0, 8, 8, 36.36, 81.82, 100.0, 0.0, 88.890625, 88.890625, 0, 0.0, 81.796875, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 11.099609375, 0.0, 33.296875, 11.099609375, 55.59375, 44.3984375, 3.0, 1.0, 19.0, 2.0, 3.0, "Tous les candidats sauf les Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 91.0, "18340", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18340&g_ta_cod=18340", 9.0, 36.0, 55.0),
(9226, "Public", "0134003F", "NELSON MANDELA", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 12e  Arrondissement", "formation sélective", "BTS", "NELSON MANDELA - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 48, 1077, 931, 1068, 0, 86, 38, 212, 122, 377, 233, 393, 9, 1, 0, 0, 8, 599, 1, 0, 0, 76, 30, 204, 118, 164, 96, 155, 182, 45, 41, 45, 0, 3.0, 16.0, 30.0, 0, 21, 29, 6, 11, 12, 16, 0, 12, 10, 7, 0, 0.0, 2, 3, 12, 5, 5, 28, 28, 6.67, 35.56, 66.67, 91.09375, 96.59375, 96.59375, 17.19921875, 72.390625, 64.390625, 0.0, 41.3984375, 34.5, 24.09765625, 0.0, 0.0, 20.69921875, 6.8994140625, 37.8984375, 10.298828125, 41.3984375, 41.3984375, 50.0, 22.0, 35.0, 24.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 95.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 24.0, "20679", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20679&g_ta_cod=20679", 24.0, 40.0, 36.0),
(9227, "Public", "0590011S", "Lycée Gustave Eiffel", "59", "Nord", "Hauts-de-France", "Lille", "Armentières", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Production - Métiers de la chimie", "BTS - Production", "", 30, 559, 258, 559, 0, 66, 11, 87, 20, 14, 7, 392, 0, 0, 0, 0, 0, 309, 0, 0, 0, 66, 11, 87, 20, 14, 7, 142, 149, 28, 13, 28, 0, 7.0, 25.0, 26.0, 0, 5, 17, 4, 9, 4, 11, 0, 6, 8, 3, 0, 0.0, 3, 5, 3, 3, 1, 17, 17, 25.0, 89.29, 92.86, 46.3984375, 100.0, 100.0, 17.59765625, 29.3984375, 60.6953125, 0.0, 35.296875, 47.09375, 17.59765625, 0.0, 0.0, 23.5, 17.59765625, 52.8984375, 29.3984375, 23.5, 17.59765625, 42.0, 7.0, 10.0, 6.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 85.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 35.0, "6714", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6714&g_ta_cod=6714", 29.0, 50.0, 21.0),
(9228, "Privé enseignement supérieur", "0752792C", "IPAG Business School - Campus de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Ecole de Commerce", "IPAG Business School - Campus de Paris - Formation des écoles de commerce et de management Bac + 3 - Programme Bachelor", "Formation des écoles de commerce et de management", "Programme Bachelor - Spécialisation Commerce International", 36, 579, 286, 460, 0, 337, 16, 62, 4, 5, 4, 56, 119, 50, 16, 8, 45, 332, 42, 0, 0, 249, 9, 44, 3, 3, 2, 36, 225, 38, 16, 27, 11, 0.0, 26.0, 34.0, 0, 2, 30, 22, 7, 1, 8, 0, 15, 12, 3, 0, 0.0, 12, 3, 0, 0, 0, 8, 22, 0.0, 68.42, 89.47, 42.09375, 26.69921875, 73.296875, 0, 6.69921875, 78.890625, 0.0, 50.0, 40.0, 10.0, 0.0, 0.0, 73.296875, 40.0, 23.296875, 10.0, 3.2998046875, 0.0, 157.0, 11.0, 6.0, 4.0, 39.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "31166", "Formation des écoles de commerce et de management Bac + 3 - Programme Bachelor", "IPAG Business School - Campus de Paris", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31165&g_ta_cod=31166", 79.0, 18.0, 3.0),
(9229, "Privé enseignement supérieur", "0870997L", "3iL", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 10, 90, 4, 89, 0, 0, 0, 89, 21, 0, 0, 0, 1, 0, 1, 0, 0, 68, 0, 0, 0, 0, 0, 68, 13, 0, 0, 0, 64, 1, 0, 1, 0, 0.0, 1.0, 1.0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0.0, 0, 1, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "22905", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=22905", 0.0, 100.0, 0.0),
(9230, "Public", "0190010H", "Lycée Georges Cabanis", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BTS", "Lycée Georges Cabanis - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 12, 131, 12, 131, 0, 3, 1, 37, 9, 27, 8, 64, 0, 0, 0, 0, 0, 70, 0, 0, 0, 3, 1, 36, 9, 23, 7, 8, 38, 12, 0, 12, 0, 2.0, 11.0, 11.0, 0, 3, 12, 1, 5, 6, 0, 0, 3, 8, 1, 0, 0.0, 0, 4, 5, 6, 0, 10, 10, 16.67, 91.67, 91.67, 0.0, 83.296875, 83.296875, 50, 25.0, 100.0, 0.0, 25.0, 66.6875, 8.298828125, 0.0, 0.0, 8.298828125, 0.0, 41.6953125, 33.296875, 50.0, 41.6953125, 2.0, 1.0, 13.0, 3.0, 3.0, "Tous les candidats sauf les Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 39.0, "3133", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3133&g_ta_cod=3133", 8.0, 42.0, 50.0),
(9231, "Public", "0910923J", "I.U.T d'Orsay - Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "BUT", "I.U.T d'Orsay - Université Paris-Saclay - BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement-Synthèse-Chimie industrielle (Seconde année possible en apprentissage)", "BUT - Production", "Analyse, contrôle-qualité, environnement-Synthèse-Chimie industrielle", 114, 1243, 782, 1209, 0, 675, 117, 199, 48, 2, 0, 333, 34, 6, 5, 0, 23, 995, 9, 0, 0, 617, 101, 130, 28, 0, 0, 248, 662, 112, 70, 107, 5, 56.0, 74.0, 88.0, 0, 18, 87, 62, 25, 0, 25, 0, 9, 43, 28, 6, 1.0, 56, 22, 0, 0, 0, 52, 76, 50.0, 66.07, 78.57, 62.5, 59.796875, 87.390625, 0, 20.69921875, 77.6875, 0.0, 10.298828125, 49.3984375, 32.1953125, 6.9, 1.1, 71.296875, 64.390625, 28.69921875, 25.296875, 0.0, 0.0, 391.0, 74.0, 0.0, 0.0, 173.0, "Tous les candidats sauf les Bac technologiques", 596.0, "Bacheliers technologiques toutes séries", 153, "", 0, "Liste d'appel propre à cette formation", 62.0, "10901", "BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement-Synthèse-Chimie industrielle (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10901&g_ta_cod=10901", 74.0, 25.0, 0.0),
(9232, "Public", "9741046U", "Lycée Bellepierre", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "CPGE", "Lycée Bellepierre - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 12, 135, 65, 129, 0, 112, 22, 2, 0, 0, 0, 15, 6, 3, 1, 0, 2, 96, 2, 0, 96, 87, 18, 0, 0, 0, 0, 9, 64, 5, 1, 4, 1, 0.0, 3.0, 4.0, 0, 1, 5, 5, 0, 0, 0, 0, 0, 5, 0, 0, 0.0, 5, 0, 0, 0, 0, 4, 4, 0.0, 60.0, 80.0, 20.0, 80.0, 80.0, 0, 20.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 55.0, 12.0, 0.0, 0.0, 9.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "31490", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31387&g_ta_cod=31490", 100.0, 0.0, 0.0),
(9233, "Privé sous contrat d'association", "0753035S", "IFSI Croix Saint-Simon", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "IFSI", "Regroupement d'IFSI Médecine Sorbonne Université P6 - D.E Infirmier", "D.E secteur sanitaire", "", 83, 7525, 6572, 7525, 0, 785, 248, 1158, 497, 1061, 574, 4521, 0, 0, 0, 0, 0, 6259, 0, 0, 0, 762, 240, 1063, 454, 979, 538, 3455, 1259, 83, 65, 82, 0, 0.0, 12.0, 57.0, 0, 17, 23, 3, 12, 8, 60, 0, 13, 6, 4, 0, 0.0, 0, 3, 7, 0, 0, 22, 23, 0.0, 14.46, 68.67, 78.296875, 95.6875, 100.0, 0, 73.890625, 27.69921875, 0.0, 56.5, 26.09765625, 17.3984375, 0.0, 0.0, 13.0, 0.0, 52.1953125, 13.0, 34.796875, 30.3984375, 93.0, 65.0, 108.0, 91.0, 988.0, "Tous les candidats", 3905.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "23284", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23003&g_ta_cod=23284", 19.0, 58.0, 23.0),
(9234, "Public", "0771763Y", "Lycée Charles Le Chauve", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Roissy-en-Brie", "formation sélective", "BTS", "Lycée Charles Le Chauve - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 337, 220, 311, 0, 13, 3, 87, 38, 97, 26, 114, 26, 0, 0, 10, 16, 161, 0, 0, 0, 10, 3, 74, 33, 64, 16, 13, 103, 35, 25, 31, 0, 10.0, 29.0, 30.0, 0, 13, 33, 3, 14, 16, 2, 0, 20, 9, 3, 1, 0.0, 2, 4, 7, 7, 5, 31, 33, 28.57, 82.86, 85.71, 71.390625, 93.890625, 100.0, 21.19921875, 39.3984375, 94.296875, 0.0, 60.59375, 27.296875, 9.099609375, 3.0, 0.0, 9.099609375, 6.099609375, 42.3984375, 12.099609375, 48.5, 21.19921875, 8.0, 3.0, 51.0, 14.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 39.0, "9850", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9850&g_ta_cod=9850", 9.0, 40.0, 51.0),
(9235, "Public", "0271666P", "I.U.T d'Evreux", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BUT", "I.U.T d'Evreux - BUT - Mesures physiques Parcours : Techniques d'instrumentation", "BUT - Production", "Techniques d'instrumentation", 56, 321, 56, 297, 0, 184, 22, 41, 3, 2, 1, 70, 24, 7, 1, 1, 15, 261, 14, 0, 0, 169, 17, 33, 3, 0, 0, 59, 204, 21, 2, 18, 3, 7.0, 18.0, 20.0, 0, 1, 17, 15, 2, 0, 4, 0, 7, 7, 3, 0, 0.0, 9, 1, 0, 0, 0, 17, 17, 33.33, 85.71, 95.24, 9.5, 100.0, 100.0, 0, 5.8994140625, 81.0, 0.0, 41.1953125, 41.1953125, 17.59765625, 0.0, 0.0, 88.1875, 52.8984375, 11.798828125, 5.8994140625, 0.0, 0.0, 120.0, 12.0, 0.0, 0.0, 52.0, "Tous les candidats sauf les Bac technologiques", 218.0, "Bacheliers technologiques toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 88.0, "3715", "BUT - Mesures physiques Parcours : Techniques d'instrumentation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3715&g_ta_cod=3715", 81.0, 19.0, 0.0),
(9236, "Public", "0690250X", "Lycée agricole Lyon-Dardilly", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Dardilly", "formation sélective", "BTS", "Lycée agricole Lyon-Dardilly - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 32, 469, 138, 469, 0, 73, 10, 116, 15, 111, 17, 169, 0, 0, 0, 0, 0, 305, 0, 0, 0, 71, 9, 111, 13, 89, 12, 34, 117, 26, 10, 26, 0, 8.0, 25.0, 25.0, 0, 1, 26, 4, 11, 11, 0, 0, 2, 11, 12, 1, 0.0, 4, 10, 10, 6, 1, 14, 14, 30.77, 96.15, 96.15, 38.5, 53.796875, 53.796875, 23.09765625, 3.7998046875, 100.0, 0.0, 7.69921875, 42.296875, 46.1953125, 3.8, 0.0, 15.3984375, 15.3984375, 42.296875, 38.5, 42.296875, 38.5, 27.0, 4.0, 41.0, 7.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 36.0, "8271", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8271&g_ta_cod=8271", 15.0, 42.0, 42.0),
(9237, "Privé enseignement supérieur", "0920674H", "EPF Sceaux", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "Ecole d'Ingénieur", "EPF Sceaux - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale - Formation franco-allemande", 20, 94, 43, 82, 0, 72, 2, 0, 0, 0, 0, 10, 12, 8, 0, 0, 4, 61, 4, 0, 0, 56, 0, 0, 0, 0, 0, 5, 65, 14, 4, 11, 3, 11.0, 11.0, 12.0, 0, 0, 13, 13, 0, 0, 1, 0, 0, 7, 5, 1, 0.0, 13, 0, 0, 0, 0, 3, 5, 78.57, 78.57, 85.71, 28.59765625, 23.09765625, 38.5, 0, 0.0, 92.890625, 0.0, 0.0, 53.796875, 38.5, 7.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 59.0, 0.0, 0.0, 0.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "115", "Formation d'ingénieur Bac + 5 - Bac Série générale", "EPF Sceaux", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=114&g_ta_cod=115", 100.0, 0.0, 0.0),
(9238, "Public", "0570175F", "I.U.T de Metz - Université de Lorraine", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BUT", "I.U.T de Metz - Université de Lorraine - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", 168, 2169, 1084, 2119, 0, 1077, 243, 608, 208, 37, 16, 397, 50, 0, 20, 0, 30, 1422, 2, 0, 0, 900, 184, 399, 127, 2, 0, 121, 803, 165, 95, 164, 1, 21.0, 132.0, 152.0, 0, 49, 147, 88, 59, 0, 18, 0, 38, 71, 32, 6, 0.0, 67, 42, 0, 0, 0, 136, 136, 12.73, 80.0, 92.12, 57.59375, 92.5, 92.5, 0, 33.296875, 89.09375, 0.0, 25.8984375, 48.296875, 21.796875, 4.1, 0.0, 59.8984375, 45.59375, 40.09375, 28.59765625, 0.0, 0.0, 430.0, 111.0, 0.0, 0.0, 75.0, "Tous les candidats sauf les Bac technologiques", 829.0, "Bacheliers technologiques toutes séries", 410, "", 0, "Liste d'appel propre à cette formation", 58.0, "6573", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6573&g_ta_cod=6573", 62.0, 38.0, 0.0),
(9239, "Privé sous contrat d'association", "0590347G", "ISEN Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 90, 1798, 281, 1793, 0, 1783, 154, 0, 0, 0, 0, 10, 5, 5, 0, 0, 0, 1587, 2, 0, 0, 1581, 113, 0, 0, 0, 0, 6, 1464, 81, 6, 81, 0, 69.0, 81.0, 81.0, 0, 8, 80, 80, 0, 0, 1, 1, 1, 29, 34, 14, 1.0, 78, 0, 0, 0, 0, 63, 63, 85.19, 100.0, 100.0, 7.3994140625, 78.796875, 78.796875, 0, 10.0, 98.796875, 1.2998046875, 1.2998046875, 36.296875, 42.5, 17.5, 1.3, 100.0, 97.5, 0.0, 0.0, 0.0, 0.0, 1458.0, 113.0, 0.0, 0.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "81", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=81", 100.0, 0.0, 0.0),
(9240, "Privé sous contrat d'association", "0570210U", "Lycée Notre Dame", "57", "Moselle", "Grand Est", "Nancy-Metz", "Peltre", "formation sélective", "BTS", "Lycée Notre Dame - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 287, 126, 264, 0, 42, 11, 81, 14, 83, 30, 58, 23, 6, 8, 0, 9, 194, 10, 0, 0, 41, 10, 69, 13, 50, 16, 34, 146, 21, 7, 17, 4, 2.0, 13.0, 17.0, 0, 4, 12, 4, 2, 6, 9, 0, 6, 5, 1, 0, 0.0, 1, 0, 5, 0, 0, 12, 12, 9.52, 61.9, 80.95, 33.296875, 100.0, 100.0, 0, 33.296875, 57.09375, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 33.296875, 8.298828125, 16.69921875, 0.0, 50.0, 41.6953125, 34.0, 9.0, 34.0, 10.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 71.0, "6578", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6578&g_ta_cod=6578", 29.0, 29.0, 43.0),
(9241, "Public", "0140013N", "Lycée Malherbe", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "CPGE", "Lycée Malherbe - CPGE - BCPST", "Classe préparatoire scientifique", "", 96, 1648, 1112, 1648, 1099, 1352, 141, 10, 1, 1, 1, 285, 0, 0, 0, 0, 0, 840, 0, 610, 825, 798, 67, 0, 0, 0, 0, 42, 480, 92, 63, 92, 0, 26.0, 61.0, 84.0, 33, 6, 90, 90, 0, 0, 2, 0, 0, 3, 41, 45, 1.0, 90, 0, 0, 6, 5, 82, 82, 28.26, 66.3, 91.3, 68.5, 91.09375, 91.09375, 6.69921875, 6.69921875, 97.796875, 0.0, 0.0, 3.2998046875, 45.59375, 50.0, 1.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 451.0, 38.0, 0.0, 0.0, 29.0, "Tous les candidats", 605.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "2818", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2818&g_ta_cod=2818", 100.0, 0.0, 0.0),
(9242, "Public", "0500036T", "Lycée Julliot De La Morandiere", "50", "Manche", "Normandie", "Normandie", "Granville", "formation sélective", "BTS", "Lycée Julliot De La Morandiere - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 12, 213, 11, 213, 0, 24, 10, 78, 14, 54, 12, 57, 0, 0, 0, 0, 0, 213, 0, 0, 0, 24, 10, 78, 14, 54, 12, 57, 60, 14, 1, 14, 0, 2.0, 9.0, 13.0, 0, 3, 10, 0, 6, 4, 4, 0, 4, 2, 4, 0, 0.0, 0, 3, 3, 1, 0, 7, 7, 14.29, 64.29, 92.86, 7.099609375, 70.0, 70.0, 10, 30.0, 71.390625, 0.0, 40.0, 20.0, 40.0, 0.0, 0.0, 0.0, 0.0, 60.0, 30.0, 40.0, 30.0, 4.0, 1.0, 29.0, 4.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 57.0, "16217", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16217&g_ta_cod=16217", 21.0, 43.0, 36.0),
(9243, "Public", "0810004P", "Lycée Louis Rascol", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "BTS", "Lycée Louis Rascol - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 175, 27, 165, 0, 3, 1, 48, 8, 47, 10, 67, 10, 0, 1, 7, 2, 124, 1, 0, 0, 3, 1, 48, 8, 47, 10, 26, 70, 6, 0, 6, 0, 1.0, 5.0, 6.0, 0, 0, 4, 0, 1, 3, 2, 0, 1, 1, 2, 0, 0.0, 0, 1, 2, 1, 0, 4, 4, 16.67, 83.33, 100.0, 0.0, 100.0, 100.0, 25, 0.0, 66.6875, 0.0, 25.0, 25.0, 50.0, 0.0, 0.0, 0.0, 0.0, 25.0, 25.0, 75.0, 50.0, 2.0, 1.0, 34.0, 7.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 65.0, "10261", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10261&g_ta_cod=10261", 0.0, 50.0, 50.0),
(9244, "Public", "0280044W", "Lycée Jehan De Beauce", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Chartres", "formation sélective", "BTS", "Lycée Jehan De Beauce - BTS - Services - Economie sociale familiale", "BTS - Services", "", 34, 553, 476, 553, 0, 79, 26, 121, 32, 164, 58, 189, 0, 0, 0, 0, 0, 483, 0, 0, 0, 79, 26, 121, 32, 155, 56, 128, 146, 31, 29, 31, 0, 3.0, 20.0, 23.0, 0, 9, 25, 7, 11, 7, 6, 0, 11, 9, 4, 1, 0.0, 1, 6, 7, 5, 4, 22, 22, 9.68, 64.52, 74.19, 93.5, 88.0, 88.0, 20, 36.0, 80.59375, 0.0, 44.0, 36.0, 16.0, 4.0, 0.0, 28.0, 4.0, 44.0, 24.0, 28.0, 28.0, 39.0, 15.0, 31.0, 9.0, 24.0, "Tous les candidats sauf les Bac professionnels", 142.0, "Bacheliers professionnels toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 34.0, "3739", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3739&g_ta_cod=3739", 35.0, 35.0, 29.0),
(9245, "Privé sous contrat d'association", "0690671E", "Lycée Jean-Baptiste De La Salle", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "BTS", "Lycée Jean-Baptiste De La Salle - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 34, 328, 62, 277, 0, 27, 5, 126, 26, 68, 19, 56, 51, 13, 5, 11, 22, 187, 6, 0, 0, 17, 3, 90, 12, 49, 8, 31, 125, 22, 1, 18, 3, 3.0, 15.0, 17.0, 0, 4, 14, 3, 8, 3, 8, 0, 7, 6, 1, 0, 0.0, 1, 4, 2, 0, 0, 9, 9, 13.64, 68.18, 77.27, 4.5, 64.296875, 64.296875, 0, 28.59765625, 63.59375, 0.0, 50.0, 42.8984375, 7.099609375, 0.0, 0.0, 21.3984375, 7.099609375, 57.09375, 28.59765625, 21.3984375, 14.298828125, 17.0, 3.0, 30.0, 6.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 50.0, "8327", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8327&g_ta_cod=8327", 27.0, 45.0, 27.0),
(9246, "Public", "0720083Z", "I.U.T. Le Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BUT", "I.U.T. Le Mans - BUT - Mesures physiques Parcours : Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales (Seconde année possible en apprentissage)", "BUT - Production", "Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", 78, 930, 165, 870, 0, 626, 56, 95, 16, 2, 2, 147, 60, 27, 1, 0, 32, 771, 29, 0, 0, 563, 48, 83, 13, 1, 1, 124, 633, 57, 6, 49, 8, 20.0, 48.0, 56.0, 0, 6, 51, 37, 13, 1, 6, 0, 14, 28, 8, 1, 0.0, 25, 12, 0, 0, 0, 21, 21, 35.09, 84.21, 98.25, 10.5, 41.1953125, 41.1953125, 0, 11.798828125, 89.5, 0.0, 27.5, 54.8984375, 15.69921875, 2.0, 0.0, 72.5, 49.0, 25.5, 23.5, 2.0, 0.0, 439.0, 43.0, 1.0, 1.0, 123.0, "Tous les candidats sauf les Bac technologiques", 671.0, "Bacheliers technologiques toutes séries", 99, "", 0, "Liste d'appel propre à cette formation", 89.0, "8710", "BUT - Mesures physiques Parcours : Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8710&g_ta_cod=8710", 74.0, 25.0, 2.0),
(9247, "Public", "0911913K", "Lycée Vallee De Chevreuse", "91", "Essonne", "Ile-de-France", "Versailles", "Gif-sur-Yvette", "formation sélective", "BTS", "Lycée Vallee De Chevreuse - BTS - Production - Biotechnologies", "BTS - Production", "", 28, 456, 273, 456, 0, 87, 10, 176, 29, 9, 3, 184, 0, 0, 0, 0, 0, 299, 0, 0, 0, 71, 8, 144, 20, 6, 3, 78, 126, 28, 16, 28, 0, 5.0, 19.0, 26.0, 0, 1, 24, 6, 17, 1, 4, 0, 3, 10, 9, 1, 1.0, 5, 15, 1, 7, 4, 23, 24, 17.86, 67.86, 92.86, 57.09375, 95.796875, 100.0, 29.19921875, 4.19921875, 85.6875, 0.0, 12.5, 41.6953125, 37.5, 4.2, 4.2, 25.0, 20.796875, 70.796875, 62.5, 4.19921875, 4.19921875, 24.0, 4.0, 3.0, 2.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 141, "Liste d'appel propre à cette formation", 41.0, "10939", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10939&g_ta_cod=10939", 25.0, 71.0, 4.0),
(9248, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "Licence", "Université Paris 8 - Licence - Information et communication", "Licence - Sciences humaines et sociales", "", 200, 1087, 749, 1087, 0, 630, 138, 42, 13, 8, 5, 407, 0, 0, 0, 0, 0, 1068, 0, 0, 0, 618, 131, 38, 11, 6, 3, 406, 549, 195, 140, 195, 0, 91.0, 153.0, 178.0, 0, 35, 93, 89, 3, 1, 102, 0, 11, 57, 23, 2, 0.0, 78, 3, 1, 0, 0, 35, 81, 46.67, 78.46, 91.28, 71.796875, 37.59375, 87.09375, 0, 37.59375, 47.6953125, 0.0, 11.798828125, 61.296875, 24.69921875, 2.2, 0.0, 95.6875, 83.890625, 3.19970703125, 3.19970703125, 1.099853515625, 1.099853515625, 319.0, 82.0, 1.0, 0.0, 216.0, "Tous les candidats", 553.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "15411", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15411&g_ta_cod=15411", 95.0, 3.0, 2.0),
(9249, "Public", "0921166T", "Lycée JEAN JAURES", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Châtenay-Malabry", "formation sélective", "BTS", "Lycée JEAN JAURES - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 28, 358, 9, 340, 0, 2, 1, 44, 13, 216, 92, 78, 18, 4, 0, 0, 14, 264, 4, 0, 0, 1, 0, 32, 7, 184, 76, 47, 145, 18, 0, 18, 0, 1.0, 10.0, 13.0, 0, 7, 17, 0, 1, 16, 1, 0, 9, 3, 5, 0, 0.0, 0, 0, 8, 2, 0, 12, 13, 5.56, 55.56, 72.22, 0.0, 70.59375, 76.5, 11.798828125, 41.1953125, 94.390625, 0.0, 52.8984375, 17.59765625, 29.3984375, 0.0, 0.0, 0.0, 0.0, 5.8994140625, 0.0, 94.09375, 47.09375, 2.0, 0.0, 104.0, 42.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 156, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 52.0, "11068", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11068&g_ta_cod=11068", 0.0, 11.0, 89.0),
(9250, "Public", "0601823F", "Lycée Francois Truffaut", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "BTS", "Lycée Francois Truffaut - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 16, 377, 342, 289, 0, 17, 7, 88, 35, 117, 52, 67, 88, 6, 7, 31, 44, 141, 9, 0, 0, 6, 1, 48, 17, 65, 27, 22, 93, 15, 13, 11, 1, 1.0, 9.0, 11.0, 0, 5, 10, 2, 2, 6, 5, 0, 4, 4, 1, 1, 0.0, 1, 1, 4, 2, 2, 9, 9, 6.67, 60.0, 73.33, 86.6875, 90.0, 90.0, 20, 50.0, 66.6875, 0.0, 40.0, 40.0, 10.0, 10.0, 0.0, 20.0, 10.0, 20.0, 10.0, 60.0, 40.0, 8.0, 2.0, 41.0, 19.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 45.0, "18877", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18877&g_ta_cod=18877", 27.0, 33.0, 40.0),
(9251, "Privé enseignement supérieur", "0292335F", "Facultés libres de l'ouest - UCO - Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Brest - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 58, 366, 312, 332, 0, 184, 23, 59, 12, 9, 2, 80, 34, 2, 4, 0, 28, 332, 32, 0, 0, 184, 23, 59, 12, 9, 2, 80, 280, 45, 40, 40, 5, 9.0, 40.0, 42.0, 0, 4, 33, 19, 14, 0, 12, 0, 13, 12, 7, 1, 0.0, 13, 7, 0, 0, 0, 32, 32, 20.0, 88.89, 93.33, 88.890625, 97.0, 97.0, 0, 12.099609375, 73.296875, 0.0, 39.3984375, 36.3984375, 21.19921875, 3.0, 0.0, 57.59375, 39.3984375, 42.3984375, 21.19921875, 0.0, 0.0, 136.0, 17.0, 6.0, 2.0, 85.0, "Tous les candidats", 330.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "17647", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17647&g_ta_cod=17647", 58.0, 40.0, 2.0),
(9252, "Public", "9730186P", "IUT de Kourou", "973", "Guyane", "Guyane", "Guyane", "Kourou", "formation sélective", "BUT", "IUT de Kourou - BUT - Génie civil - Construction durable Parcours : Bureaux d'études Conception", "BUT - Production", "Bureaux d'études Conception", 12, 124, 20, 103, 0, 39, 14, 37, 18, 10, 6, 17, 21, 5, 0, 7, 9, 40, 2, 0, 0, 20, 8, 17, 11, 1, 1, 2, 33, 11, 3, 11, 0, 2.0, 9.0, 11.0, 0, 5, 11, 4, 7, 0, 0, 0, 3, 5, 3, 0, 0.0, 3, 5, 0, 0, 0, 11, 11, 18.18, 81.82, 100.0, 27.296875, 100.0, 100.0, 0, 45.5, 100.0, 0.0, 27.296875, 45.5, 27.296875, 0.0, 0.0, 36.3984375, 27.296875, 63.59375, 45.5, 0.0, 0.0, 17.0, 7.0, 0.0, 0.0, 2.0, "Tous les candidats sauf les Bac technologiques", 21.0, "Bacheliers technologiques toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 37.0, "23460", "BUT - Génie civil - Construction durable Parcours : Bureaux d'études Conception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23460&g_ta_cod=23460", 36.0, 64.0, 0.0),
(9253, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 250, 3053, 1855, 3053, 0, 1644, 663, 461, 237, 69, 41, 879, 0, 0, 0, 0, 0, 2974, 0, 0, 0, 1644, 663, 461, 237, 69, 41, 800, 1284, 237, 146, 237, 0, 8.0, 137.0, 207.0, 0, 95, 203, 191, 12, 0, 34, 1, 86, 102, 13, 1, 0.0, 109, 7, 0, 0, 0, 98, 193, 3.38, 57.81, 87.34, 61.59375, 48.296875, 95.09375, 0, 46.796875, 85.6875, 0.5, 42.3984375, 50.1953125, 6.3994140625, 0.5, 0.0, 94.09375, 53.6953125, 5.8994140625, 3.39990234375, 0.0, 0.0, 1040.0, 397.0, 0.0, 0.0, 173.0, "Tous les candidats", 1540.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "11245", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11245&g_ta_cod=11245", 94.0, 5.0, 0.0),
(9254, "Public", "0750612H", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART.", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART. - DN MADE - Objet - - Spécialité : Design produits, usages, innovation et production", "DN MADE", "- Spécialité : Design produits, usages, innovation et production", 15, 791, 461, 791, 0, 303, 40, 191, 29, 25, 5, 272, 0, 0, 0, 0, 0, 180, 0, 0, 0, 85, 9, 65, 8, 1, 0, 29, 40, 16, 9, 16, 0, 4.0, 15.0, 16.0, 0, 1, 16, 6, 10, 0, 0, 0, 0, 3, 7, 5, 1.0, 6, 10, 0, 0, 0, 1, 6, 25.0, 93.75, 100.0, 56.296875, 6.2998046875, 37.5, 0, 6.2998046875, 100.0, 0.0, 0.0, 18.796875, 43.796875, 31.3, 6.3, 37.5, 37.5, 62.5, 62.5, 0.0, 0.0, 16.0, 2.0, 0.0, 0.0, 3.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "21970", "DN MADE - Objet - - Spécialité : Design produits, usages, innovation et production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21970&g_ta_cod=21970", 38.0, 63.0, 0.0),
(9255, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "Université de Cergy-Pontoise - CY SUP - Diplôme d'Université - Chimie-Physique entièrement enseigné en anglais", "Diplôme d'Université", "Chimie-Physique entièrement enseigné en anglais", 15, 35, 16, 22, 0, 12, 1, 1, 1, 1, 0, 8, 13, 1, 1, 2, 9, 17, 3, 0, 0, 9, 1, 0, 0, 0, 0, 8, 20, 2, 2, 1, 1, 1.0, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 50.0, 50.0, 50.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9.0, 1.0, 0.0, 0.0, 11.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "23299", "Diplôme d'Université - Chimie-Physique entièrement enseigné en anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23299&g_ta_cod=23299", 100.0, 0.0, 0.0),
(9256, "Public", "0750667T", "Lycée Condorcet", "75", "Paris", "Ile-de-France", "Paris", "Paris  9e  Arrondissement", "formation sélective", "CPGE", "Lycée Condorcet - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 5365, 1600, 5365, 792, 5021, 614, 5, 4, 0, 0, 339, 0, 0, 0, 0, 0, 2021, 0, 607, 1610, 1980, 292, 0, 0, 0, 0, 41, 727, 95, 27, 95, 0, 34.0, 68.0, 91.0, 5, 16, 94, 94, 0, 0, 1, 0, 0, 0, 28, 56, 10.0, 94, 0, 0, 0, 0, 20, 78, 35.79, 71.58, 95.79, 28.3984375, 21.296875, 83.0, 0, 17.0, 98.890625, 0.0, 0.0, 0.0, 29.796875, 59.6, 10.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 725.0, 93.0, 0.0, 0.0, 2.0, "Tous les candidats", 893.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "8998", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8998&g_ta_cod=8998", 100.0, 0.0, 0.0),
(9257, "Privé sous contrat d'association", "0292319N", "ITES BREST", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "EFTS", "ITES BREST - D.E Educateur Spécialisé", "D.E secteur social", "", 45, 281, 229, 281, 0, 40, 8, 37, 8, 13, 1, 191, 0, 0, 0, 0, 0, 196, 0, 0, 0, 28, 7, 16, 4, 2, 1, 150, 65, 45, 36, 45, 0, 30.0, 40.0, 42.0, 0, 4, 11, 6, 4, 1, 34, 0, 2, 5, 2, 2, 0.0, 4, 4, 1, 0, 0, 10, 10, 66.67, 88.89, 93.33, 80.0, 90.890625, 90.890625, 0, 36.3984375, 24.3984375, 0.0, 18.19921875, 45.5, 18.19921875, 18.2, 0.0, 54.5, 36.3984375, 36.3984375, 36.3984375, 9.099609375, 9.099609375, 8.0, 2.0, 1.0, 1.0, 51.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "23781", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23781&g_ta_cod=23781", 62.0, 29.0, 9.0),
(9258, "Privé sous contrat d'association", "0141175B", "Lycée Institut Lemonnier", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Institut Lemonnier - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 30, 192, 15, 192, 0, 25, 2, 66, 8, 51, 11, 50, 0, 0, 0, 0, 0, 190, 0, 0, 0, 25, 2, 64, 8, 51, 11, 50, 119, 24, 1, 24, 0, 3.0, 23.0, 24.0, 0, 5, 22, 2, 10, 10, 2, 0, 8, 8, 5, 1, 0.0, 1, 4, 9, 8, 0, 22, 22, 12.5, 95.83, 100.0, 4.19921875, 100.0, 100.0, 36.3984375, 22.69921875, 91.6875, 0.0, 36.3984375, 36.3984375, 22.69921875, 4.5, 0.0, 9.099609375, 4.5, 45.5, 18.19921875, 45.5, 40.8984375, 19.0, 2.0, 43.0, 9.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 72.0, "2840", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2840&g_ta_cod=2840", 8.0, 50.0, 42.0),
(9259, "Public", "0290069T", "Lycée Auguste Brizeux", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "CPGE", "Lycée Auguste Brizeux - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 522, 183, 519, 380, 398, 37, 1, 0, 0, 0, 120, 3, 1, 0, 0, 2, 416, 2, 234, 409, 371, 33, 0, 0, 0, 0, 45, 295, 40, 12, 39, 1, 15.0, 35.0, 39.0, 20, 3, 34, 34, 0, 0, 6, 0, 1, 17, 15, 1, 0.0, 33, 0, 0, 3, 0, 34, 34, 37.5, 87.5, 97.5, 30.0, 100.0, 100.0, 8.798828125, 8.798828125, 85.0, 0.0, 2.89990234375, 50.0, 44.09375, 2.9, 0.0, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 266.0, 25.0, 0.0, 0.0, 29.0, "Tous les candidats", 420.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "3794", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3794&g_ta_cod=3794", 100.0, 0.0, 0.0),
(9260, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "Facultés libres de l'Ouest - UCO ANGERS - ARS Année de Remise à Niveau Scientifique", "Année préparatoire", "ARS Année de Remise à Niveau Scientifique", 85, 318, 162, 251, 0, 86, 11, 55, 6, 16, 4, 94, 67, 30, 8, 3, 26, 205, 48, 0, 0, 84, 10, 52, 6, 15, 4, 54, 253, 35, 19, 23, 12, 23.0, 23.0, 32.0, 0, 3, 25, 15, 8, 2, 10, 0, 12, 9, 4, 0, 0.0, 5, 6, 2, 0, 0, 16, 16, 65.71, 65.71, 91.43, 54.296875, 64.0, 64.0, 0, 12.0, 71.390625, 0.0, 48.0, 36.0, 16.0, 0.0, 0.0, 60.0, 20.0, 32.0, 24.0, 8.0, 8.0, 113.0, 14.0, 16.0, 5.0, 66.0, "Tous les candidats", 205.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "5873", "ARS Année de Remise à Niveau Scientifique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5873&g_ta_cod=5873", 51.0, 40.0, 6.0),
(9261, "Privé enseignement supérieur", "0561687E", "Facultés libres de l'ouest - UCO - Bretagne Sud", "56", "Morbihan", "Bretagne", "Rennes", "Arradon", "formation sélective", "Licence", "Facultés libres de l'ouest - UCO - Bretagne Sud - Licence - Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 60, 979, 248, 979, 0, 651, 72, 174, 23, 27, 10, 127, 0, 0, 0, 0, 0, 914, 0, 0, 0, 648, 72, 155, 21, 20, 5, 91, 294, 62, 23, 62, 0, 10.0, 44.0, 59.0, 0, 4, 59, 46, 12, 1, 3, 0, 14, 38, 7, 0, 0.0, 37, 7, 1, 0, 0, 43, 43, 16.13, 70.97, 95.16, 37.09375, 72.890625, 72.890625, 0, 6.7998046875, 95.1875, 0.0, 23.69921875, 64.390625, 11.8984375, 0.0, 0.0, 78.0, 62.6953125, 20.296875, 11.8984375, 1.699951171875, 1.699951171875, 237.0, 29.0, 3.0, 0.0, 17.0, "Tous les candidats", 448.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "18647", "Licence - Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18647&g_ta_cod=18647", 77.0, 21.0, 2.0),
(9262, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "Licence", "Université de Mulhouse - Licence - Physique, chimie - Parcours Regio Chimica -Transfrontalier de Chimie", "Licence - Sciences - technologies - santé", "Regio Chimica -Transfrontalier de Chimie", 15, 55, 28, 55, 0, 44, 6, 0, 0, 0, 0, 11, 0, 0, 0, 0, 0, 29, 0, 0, 0, 25, 0, 0, 0, 0, 0, 4, 28, 14, 7, 14, 0, 6.0, 14.0, 14.0, 0, 0, 13, 13, 0, 0, 1, 1, 0, 0, 4, 7, 1.0, 12, 0, 0, 0, 0, 9, 9, 42.86, 100.0, 100.0, 50.0, 69.1875, 69.1875, 0, 0.0, 92.890625, 7.69921875, 0.0, 0.0, 30.796875, 53.8, 7.7, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "8161", "Licence - Physique, chimie - Parcours Regio Chimica -Transfrontalier de Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8161&g_ta_cod=8161", 100.0, 0.0, 0.0),
(9263, "Public", "0680034T", "Lycée Louis-Armand", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BTS", "Lycée Louis-Armand - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 12, 193, 28, 159, 0, 13, 3, 39, 15, 65, 27, 42, 34, 1, 6, 16, 11, 74, 5, 0, 0, 10, 2, 31, 10, 29, 11, 4, 55, 13, 2, 11, 2, 2.0, 9.0, 11.0, 0, 3, 13, 2, 4, 7, 0, 0, 7, 5, 1, 0, 0.0, 1, 0, 5, 4, 2, 13, 13, 15.38, 69.23, 84.62, 15.3984375, 100.0, 100.0, 30.796875, 23.09765625, 100.0, 0.0, 53.796875, 38.5, 7.69921875, 0.0, 0.0, 15.3984375, 7.69921875, 30.796875, 0.0, 53.796875, 38.5, 6.0, 1.0, 25.0, 11.0, 4.0, "Tous les candidats sauf les Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 45.0, "8108", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8108&g_ta_cod=8108", 15.0, 31.0, 54.0),
(9264, "Public", "0011119L", "Lycée Arbez Carme", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Oyonnax", "formation sélective", "BTS", "Lycée Arbez Carme - BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "BTS - Production", "", 8, 35, 4, 31, 0, 2, 0, 15, 3, 9, 3, 5, 4, 0, 0, 1, 3, 20, 0, 0, 0, 2, 0, 9, 1, 6, 2, 3, 17, 4, 1, 4, 0, 4.0, 4.0, 4.0, 0, 2, 4, 0, 2, 2, 0, 0, 1, 1, 2, 0, 0.0, 0, 1, 2, 2, 0, 3, 3, 100.0, 100.0, 100.0, 25.0, 75.0, 75.0, 50, 50.0, 100.0, 0.0, 25.0, 25.0, 50.0, 0.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 50.0, 2.0, 0.0, 6.0, 2.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 65.0, "20232", "BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20232&g_ta_cod=20232", 0.0, 50.0, 50.0),
(9265, "Privé sous contrat d'association", "0451335G", "Lycée Sainte-Croix Saint-Euverte", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Sainte-Croix Saint-Euverte - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 151, 37, 151, 0, 19, 2, 50, 12, 49, 18, 33, 0, 0, 0, 0, 0, 129, 0, 0, 0, 19, 2, 50, 12, 37, 15, 23, 93, 21, 3, 21, 0, 2.0, 16.0, 19.0, 0, 4, 17, 1, 11, 5, 4, 0, 10, 5, 1, 1, 0.0, 0, 2, 5, 0, 0, 15, 15, 9.52, 76.19, 90.48, 14.298828125, 88.1875, 88.1875, 0, 23.5, 81.0, 0.0, 58.796875, 29.3984375, 5.8994140625, 5.9, 0.0, 5.8994140625, 0.0, 64.6875, 11.798828125, 29.3984375, 29.3984375, 16.0, 2.0, 20.0, 8.0, 14.0, "Tous les candidats sauf les Bac professionnels", 81.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 64.0, "5730", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5730&g_ta_cod=5730", 5.0, 71.0, 24.0),
(9266, "Public", "0450092F", "I.U.T d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BUT", "I.U.T d'Orléans - BUT - Qualité, logistique industrielle et organisation Parcours : Pilotage de la chaîne logistique globale - Management de la production de biens et de services (sous réserve) OU Accompagnement à la transformation numérique (sous réserve) - Apprentissage possible dès la 2ème année (Seconde année possible en apprentissage)", "BUT - Production", "Pilotage de la chaîne logistique globale - Management de la production de biens et de services (sous réserve) OU Accompagnement à la transformation numérique (sous réserve) - Apprentissage possible dès la 2ème année", 48, 517, 128, 450, 0, 235, 31, 92, 21, 12, 5, 111, 67, 14, 7, 0, 46, 283, 20, 0, 0, 191, 25, 43, 5, 0, 0, 49, 231, 44, 10, 34, 10, 9.0, 33.0, 43.0, 0, 3, 30, 26, 4, 0, 14, 0, 16, 12, 2, 0, 0.0, 11, 3, 0, 0, 0, 24, 24, 20.45, 75.0, 97.73, 22.69921875, 80.0, 80.0, 0, 10.0, 68.1875, 0.0, 53.296875, 40.0, 6.69921875, 0.0, 0.0, 86.6875, 36.6953125, 13.298828125, 10.0, 0.0, 0.0, 136.0, 17.0, 0.0, 0.0, 57.0, "Tous les candidats sauf les Bac technologiques", 230.0, "Bacheliers technologiques toutes séries", 53, "", 0, "Liste d'appel propre à cette formation", 63.0, "5675", "BUT - Qualité, logistique industrielle et organisation Parcours : Pilotage de la chaîne logistique globale - Management de la production de biens et de services (sous réserve) OU Accompagnement à la transformation numérique (sous réserve) - Apprentissage possible dès la 2ème année (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5675&g_ta_cod=5675", 80.0, 20.0, 0.0),
(9267, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Psychologie", "Licence - Sciences humaines et sociales", "", 360, 2771, 2282, 2771, 0, 1479, 322, 282, 103, 81, 33, 929, 0, 0, 0, 0, 0, 2771, 0, 0, 0, 1479, 322, 282, 103, 81, 33, 929, 1283, 353, 299, 353, 0, 54.0, 318.0, 333.0, 0, 67, 258, 225, 26, 7, 95, 2, 40, 136, 70, 9, 1.0, 187, 23, 6, 0, 0, 155, 155, 15.3, 90.08, 94.33, 84.6875, 60.09375, 60.09375, 0, 26.0, 73.09375, 0.7999267578125, 15.5, 52.6953125, 27.09765625, 3.5, 0.4, 87.1875, 72.5, 10.099609375, 8.8984375, 2.69970703125, 2.2998046875, 792.0, 176.0, 28.0, 11.0, 384.0, "Tous les candidats", 1622.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "6117", "Licence - Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27263&g_ta_cod=6117", 86.0, 8.0, 5.0),
(9268, "Public", "0910715H", "Lycée professionnel Jean Perrin", "91", "Essonne", "Ile-de-France", "Versailles", "Longjumeau", "formation sélective", "Autre formation", "Lycée professionnel Jean Perrin - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 11, 2, 2, 0, 0, 0.0, 0.0, 0.0, 0, 0, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 2, 0.0, 0.0, 0.0, 100.0, 50.0, 100.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 6.0, 2.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22474", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 0.0, 100.0),
(9269, "Public", "0650026A", "Lycée Marie Curie", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 18, 464, 258, 417, 0, 60, 18, 107, 38, 88, 46, 162, 47, 3, 1, 12, 31, 161, 7, 0, 0, 40, 8, 64, 24, 27, 12, 30, 96, 13, 7, 10, 3, 4.0, 8.0, 9.0, 0, 5, 8, 4, 3, 1, 5, 0, 4, 2, 2, 0, 0.0, 1, 2, 1, 1, 1, 6, 6, 30.77, 61.54, 69.23, 53.796875, 75.0, 75.0, 12.5, 62.5, 61.5, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 50.0, 12.5, 37.5, 25.0, 12.5, 12.5, 18.0, 5.0, 19.0, 9.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 34.0, "7808", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7808&g_ta_cod=7808", 38.0, 38.0, 23.0),
(9270, "Privé enseignement supérieur", "0333364C", "FERRANDI Bordeaux - Ecole Supérieure de la Table", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Autre formation", "Ecole FERRANDI - Formation des écoles supérieures de cuisine Bac +3 - Arts culinaires et entrepreneuriat / Option Cuisine", "Formation des écoles supérieures de cuisine", "Arts culinaires et entrepreneuriat / Option Cuisine", 30, 202, 77, 194, 0, 106, 8, 24, 5, 7, 2, 57, 8, 3, 1, 0, 4, 148, 2, 0, 0, 83, 1, 17, 1, 0, 0, 48, 99, 19, 5, 17, 2, 5.0, 17.0, 19.0, 0, 0, 10, 8, 2, 0, 9, 0, 4, 4, 2, 0, 0.0, 4, 2, 0, 0, 0, 2, 2, 26.32, 89.47, 100.0, 26.296875, 20.0, 20.0, 0, 0.0, 52.59375, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 80.0, 40.0, 20.0, 20.0, 0.0, 0.0, 55.0, 1.0, 0.0, 0.0, 35.0, "Tous les candidats", 179.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "26218", "Formation des écoles supérieures de cuisine Bac +3 - Arts culinaires et entrepreneuriat / Option Cuisine", "Ecole FERRANDI", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26217&g_ta_cod=26218", 89.0, 11.0, 0.0),
(9271, "Public", "0870118F", "Lycée Raoul Dautry", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée Raoul Dautry - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 45, 1208, 915, 1208, 0, 275, 52, 393, 121, 74, 27, 466, 0, 0, 0, 0, 0, 1015, 0, 0, 0, 275, 52, 379, 115, 33, 12, 328, 267, 43, 38, 43, 0, 3.0, 15.0, 31.0, 0, 16, 30, 12, 16, 2, 13, 0, 13, 13, 2, 2, 0.0, 7, 9, 1, 8, 7, 17, 17, 6.98, 34.88, 72.09, 88.390625, 56.6953125, 56.6953125, 26.69921875, 53.296875, 69.796875, 0.0, 43.296875, 43.296875, 6.69921875, 6.7, 0.0, 40.0, 23.296875, 53.296875, 30.0, 6.69921875, 3.2998046875, 78.0, 21.0, 7.0, 3.0, 95.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 265.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 209, "Liste d'appel propre à cette formation", 40.0, "10684", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10684&g_ta_cod=10684", 42.0, 51.0, 7.0),
(9272, "Public", "0561739L", "Université de Bretagne Sud - Site de Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation non sélective", "Licence", "Université de Bretagne Sud - Site de Vannes - Licence - Portail Mathématiques - Parcours Mathématiques ou parcours statistiques", "Licence - Sciences - technologies - santé", "Parcours Mathématiques ou parcours statistiques", 32, 395, 161, 371, 0, 279, 26, 10, 1, 1, 1, 81, 24, 8, 0, 0, 16, 367, 23, 0, 0, 279, 26, 10, 1, 1, 1, 77, 249, 18, 6, 16, 2, 3.0, 16.0, 17.0, 0, 1, 13, 13, 0, 0, 5, 0, 4, 3, 2, 3, 1.0, 9, 0, 0, 0, 0, 10, 10, 16.67, 88.89, 94.44, 33.296875, 76.890625, 76.890625, 0, 7.69921875, 72.1875, 0.0, 30.796875, 23.09765625, 15.3984375, 23.1, 7.7, 100.0, 69.1875, 0.0, 0.0, 0.0, 0.0, 184.0, 17.0, 1.0, 1.0, 62.0, "Tous les candidats", 403.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "26381", "Licence - Portail Mathématiques - Parcours Mathématiques ou parcours statistiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26732&g_ta_cod=26381", 94.0, 6.0, 0.0),
(9273, "Public", "0141275K", "Lycée Paul Cornu", "14", "Calvados", "Normandie", "Normandie", "Lisieux", "formation sélective", "BTS", "Lycée Paul Cornu - BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "BTS - Services", "", 18, 174, 103, 164, 0, 24, 6, 21, 3, 68, 22, 51, 10, 0, 3, 4, 3, 103, 3, 0, 0, 18, 5, 15, 3, 53, 14, 17, 52, 16, 9, 13, 3, 4.0, 8.0, 12.0, 0, 3, 13, 1, 0, 12, 3, 0, 3, 6, 4, 0, 0.0, 0, 0, 10, 8, 3, 13, 13, 25.0, 50.0, 75.0, 56.296875, 100.0, 100.0, 61.5, 23.09765625, 81.296875, 0.0, 23.09765625, 46.1953125, 30.796875, 0.0, 0.0, 7.69921875, 0.0, 0.0, 0.0, 92.296875, 76.890625, 4.0, 2.0, 28.0, 8.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 32.0, "2866", "BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2866&g_ta_cod=2866", 13.0, 6.0, 81.0),
(9274, "Privé sous contrat d'association", "0670482E", "ECAM Strasbourg-Europe", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Ecole d'Ingénieur", "ECAM-ECAM LaSalle - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 48, 1147, 263, 1138, 0, 992, 63, 0, 0, 0, 0, 146, 9, 1, 0, 0, 8, 853, 7, 0, 0, 790, 28, 0, 0, 0, 0, 63, 719, 25, 4, 23, 2, 12.0, 20.0, 24.0, 0, 0, 22, 22, 0, 0, 3, 0, 1, 6, 14, 1, 0.0, 21, 0, 0, 0, 0, 9, 9, 48.0, 80.0, 96.0, 16.0, 40.8984375, 40.8984375, 0, 0.0, 88.0, 0.0, 4.5, 27.296875, 63.59375, 4.5, 0.0, 100.0, 95.5, 0.0, 0.0, 0.0, 0.0, 666.0, 28.0, 0.0, 0.0, 53.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "29280", "Formation d'ingénieur Bac + 5 - Série générale", "ECAM-ECAM LaSalle", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29277&g_ta_cod=29280", 100.0, 0.0, 0.0),
(9275, "Public", "0140017T", "Lycée Jean Rostand", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 861, 768, 861, 0, 96, 26, 235, 63, 248, 94, 282, 0, 0, 0, 0, 0, 671, 0, 0, 0, 76, 20, 235, 63, 180, 65, 180, 115, 21, 20, 21, 0, 4.0, 15.0, 17.0, 0, 4, 15, 3, 5, 7, 6, 0, 2, 6, 7, 0, 0.0, 2, 4, 7, 3, 3, 15, 15, 19.05, 71.43, 80.95, 95.1875, 100.0, 100.0, 20, 26.69921875, 71.390625, 0.0, 13.298828125, 40.0, 46.6953125, 0.0, 0.0, 20.0, 13.298828125, 33.296875, 26.69921875, 46.6953125, 46.6953125, 19.0, 5.0, 43.0, 12.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 17.0, "2827", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2827&g_ta_cod=2827", 19.0, 43.0, 38.0),
(9276, "Public", "0130050J", "Lycée Denis Diderot", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BTS", "Lycée Denis Diderot - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 15, 261, 8, 261, 0, 14, 4, 39, 16, 144, 80, 64, 0, 0, 0, 0, 0, 163, 0, 0, 0, 14, 4, 39, 16, 81, 37, 29, 60, 15, 1, 15, 0, 2.0, 9.0, 12.0, 0, 5, 11, 1, 3, 7, 4, 0, 5, 5, 1, 0, 0.0, 1, 0, 5, 2, 0, 10, 10, 13.33, 60.0, 80.0, 6.69921875, 90.890625, 90.890625, 18.19921875, 45.5, 73.296875, 0.0, 45.5, 45.5, 9.099609375, 0.0, 0.0, 9.099609375, 9.099609375, 27.296875, 0.0, 63.59375, 45.5, 3.0, 1.0, 29.0, 13.0, 10.0, "Tous les candidats sauf les Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 40, "", 0, "Liste d'appel propre à cette formation", 43.0, "2570", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2570&g_ta_cod=2570", 27.0, 20.0, 53.0),
(9277, "Public", "0624237U", "Université du littoral - Site de Saint-Omer", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Longuenesse", "formation sélective", "Autre formation", "Université du littoral - Site de Saint-Omer - DEUST - Animation et gestion des activités physiques, sportives ou culturelles - parcours Loisirs sportifs Eco-Responsables", "DEUST", "parcours Loisirs sportifs Eco-Responsables", 40, 249, 56, 249, 0, 92, 13, 94, 30, 11, 5, 52, 0, 0, 0, 0, 0, 169, 0, 0, 0, 68, 8, 68, 22, 7, 3, 26, 119, 39, 7, 39, 0, 7.0, 30.0, 34.0, 0, 9, 33, 10, 23, 0, 6, 0, 23, 9, 1, 0, 0.0, 2, 8, 0, 0, 0, 31, 31, 17.95, 76.92, 87.18, 17.8984375, 93.890625, 93.890625, 0, 27.296875, 84.59375, 0.0, 69.6875, 27.296875, 3.0, 0.0, 0.0, 30.296875, 6.099609375, 69.6875, 24.19921875, 0.0, 0.0, 46.0, 6.0, 5.0, 2.0, 19.0, "Tous les candidats", 140.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "7543", "DEUST - Animation et gestion des activités physiques, sportives ou culturelles - parcours Loisirs sportifs Eco-Responsables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7543&g_ta_cod=7543", 33.0, 64.0, 3.0),
(9278, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Portail SESI : chimie-électronique,énergie électrique, automatique (EEEA)-génie civil-informatique-mathématiques-mécanique-physique-physique/chimie", "Licence - Sciences - technologies - santé", "SESI : chimie-électronique,énergie électrique, automatique (EEEA)-génie civil-informatique-mathématiques-mécanique-physique-physique/chimie", 500, 3399, 905, 3185, 0, 2050, 349, 101, 35, 4, 3, 1030, 214, 26, 6, 0, 182, 3185, 135, 0, 0, 2050, 349, 101, 35, 4, 3, 1030, 2924, 440, 87, 371, 69, 206.0, 326.0, 380.0, 0, 63, 211, 198, 12, 1, 229, 3, 54, 75, 56, 19, 4.0, 148, 5, 1, 0, 0, 178, 178, 46.82, 74.09, 86.36, 19.796875, 84.390625, 84.390625, 0, 29.8984375, 48.0, 1.39990234375, 25.59765625, 35.5, 26.5, 9.0, 1.9, 93.796875, 70.09375, 5.69921875, 2.39990234375, 0.5, 0.5, 1878.0, 329.0, 4.0, 3.0, 990.0, "Tous les candidats", 3376.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "15599", "Licence - Portail SESI : chimie-électronique,énergie électrique, automatique (EEEA)-génie civil-informatique-mathématiques-mécanique-physique-physique/chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27164&g_ta_cod=15599", 91.0, 7.0, 2.0),
(9279, "Public", "0771436T", "Lycée agricole Bougainville", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Brie-Comte-Robert", "formation sélective", "BTS", "Lycée agricole Bougainville - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 12, 220, 85, 168, 0, 12, 2, 28, 7, 24, 7, 104, 52, 0, 12, 7, 33, 24, 11, 0, 0, 3, 0, 9, 2, 10, 3, 2, 29, 8, 6, 3, 5, 2.0, 3.0, 5.0, 0, 2, 5, 0, 3, 2, 3, 0, 3, 1, 1, 0, 0.0, 0, 1, 1, 3, 3, 5, 5, 25.0, 37.5, 62.5, 75.0, 100.0, 100.0, 60, 40.0, 62.5, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 0.0, 0.0, 60.0, 20.0, 40.0, 20.0, 3.0, 0.0, 11.0, 4.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 4, "Liste d'appel propre à cette formation", 11.0, "9838", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9838&g_ta_cod=9838", 0.0, 50.0, 50.0),
(9280, "Public", "0570087K", "Lycée des Métiers Charles Jully", "57", "Moselle", "Grand Est", "Nancy-Metz", "Saint-Avold", "formation sélective", "BTS", "Lycée des Métiers Charles Jully - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 138, 16, 138, 0, 8, 0, 67, 20, 17, 10, 46, 0, 0, 0, 0, 0, 127, 0, 0, 0, 8, 0, 67, 20, 6, 2, 46, 38, 16, 2, 16, 0, 8.0, 12.0, 14.0, 0, 6, 15, 0, 14, 1, 1, 0, 6, 6, 3, 0, 0.0, 0, 8, 1, 12, 2, 15, 15, 50.0, 75.0, 87.5, 12.5, 100.0, 100.0, 80, 40.0, 93.796875, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 0.0, 0.0, 93.296875, 53.296875, 6.69921875, 6.69921875, 1.0, 0.0, 3.0, 1.0, 9.0, "Tous les candidats sauf les Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 53.0, "6547", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6547&g_ta_cod=6547", 0.0, 94.0, 6.0),
(9281, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Antenne de Bobigny - Licence - Portail Sciences sanitaires et sociales", "Licence - Sciences - technologies - santé", "", 205, 1606, 1435, 1606, 0, 286, 107, 748, 365, 80, 39, 492, 0, 0, 0, 0, 0, 1589, 0, 0, 0, 286, 107, 748, 365, 80, 39, 475, 866, 175, 157, 175, 0, 14.0, 101.0, 142.0, 0, 59, 133, 42, 91, 0, 42, 0, 81, 47, 5, 0, 0.0, 10, 42, 0, 0, 0, 72, 124, 8.0, 57.71, 81.14, 89.6875, 54.09375, 93.1875, 0, 44.3984375, 76.0, 0.0, 60.8984375, 35.296875, 3.7998046875, 0.0, 0.0, 31.59765625, 7.5, 68.390625, 31.59765625, 0.0, 0.0, 240.0, 85.0, 0.0, 0.0, 189.0, "Tous les candidats", 1419.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 60.0, "11266", "Licence - Portail Sciences sanitaires et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28408&g_ta_cod=11266", 29.0, 70.0, 1.0),
(9282, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence_Las", "Université de Franche-Comté - Site de Besançon - Licence - Portail Physique, chimie", "Licence - Sciences - technologies - santé", "", 36, 729, 470, 710, 0, 472, 82, 33, 15, 2, 2, 203, 19, 8, 0, 1, 10, 698, 17, 0, 0, 472, 82, 33, 15, 2, 2, 191, 366, 31, 20, 20, 11, 0.0, 3.0, 16.0, 0, 4, 16, 13, 2, 1, 15, 0, 9, 3, 3, 1, 0.0, 7, 0, 0, 0, 0, 14, 14, 0.0, 9.68, 51.61, 64.5, 87.5, 87.5, 0, 25.0, 51.59375, 0.0, 56.296875, 18.796875, 18.796875, 6.3, 0.0, 81.296875, 43.796875, 12.5, 0.0, 6.2998046875, 0.0, 238.0, 34.0, 2.0, 2.0, 119.0, "Tous les candidats", 1058.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 92.0, "27291", "Licence - Portail Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27290&g_ta_cod=27291", 81.0, 13.0, 6.0),
(9283, "Privé sous contrat d'association", "0440254M", "Ecole Sup. IMS", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Ecole Sup. IMS - BTS - Services - Support à l'action managériale", "BTS - Services", "", 23, 242, 183, 215, 0, 31, 8, 94, 19, 55, 14, 35, 27, 0, 8, 7, 12, 162, 13, 0, 0, 28, 6, 70, 12, 43, 10, 21, 125, 18, 16, 16, 2, 1.0, 13.0, 16.0, 0, 3, 15, 1, 10, 4, 3, 0, 4, 10, 1, 0, 0.0, 1, 7, 3, 0, 0, 15, 15, 5.56, 72.22, 88.89, 88.890625, 100.0, 100.0, 0, 20.0, 83.296875, 0.0, 26.69921875, 66.6875, 6.69921875, 0.0, 0.0, 6.69921875, 6.69921875, 66.6875, 46.6953125, 26.69921875, 20.0, 19.0, 4.0, 33.0, 6.0, 19.0, "Tous les candidats sauf les Bac professionnels", 117.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 75.0, "5517", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5517&g_ta_cod=5517", 6.0, 72.0, 22.0),
(9284, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte - Licence - Arts - Parcours Arts Appliqués", "Licence - Arts-lettres-langues", "Arts Appliqués", 35, 334, 256, 334, 0, 183, 49, 52, 5, 23, 8, 76, 0, 0, 0, 0, 0, 328, 0, 0, 0, 183, 49, 52, 5, 23, 8, 70, 190, 35, 27, 35, 0, 3.0, 27.0, 32.0, 0, 6, 29, 17, 6, 6, 6, 0, 10, 8, 9, 2, 0.0, 12, 3, 4, 0, 0, 18, 18, 8.57, 77.14, 91.43, 77.09375, 62.09375, 62.09375, 0, 20.69921875, 82.890625, 0.0, 34.5, 27.59765625, 31.0, 6.9, 0.0, 58.59375, 41.3984375, 20.69921875, 10.298828125, 20.69921875, 13.798828125, 114.0, 32.0, 14.0, 6.0, 34.0, "Tous les candidats", 280.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "16457", "Licence - Arts - Parcours Arts Appliqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16457&g_ta_cod=16457", 63.0, 20.0, 17.0),
(9285, "Public", "0141275K", "Lycée Paul Cornu", "14", "Calvados", "Normandie", "Normandie", "Lisieux", "formation sélective", "BTS", "Lycée Paul Cornu - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 23, 145, 73, 131, 0, 10, 2, 61, 20, 28, 12, 32, 14, 1, 3, 4, 6, 85, 3, 0, 0, 10, 2, 45, 17, 13, 5, 17, 65, 11, 7, 9, 1, 2.0, 9.0, 9.0, 0, 4, 7, 1, 4, 2, 4, 0, 2, 5, 0, 0, 0.0, 0, 3, 2, 3, 2, 7, 7, 18.18, 81.82, 81.82, 63.59375, 100.0, 100.0, 42.8984375, 57.09375, 63.59375, 0.0, 28.59765625, 71.390625, 0.0, 0.0, 0.0, 14.298828125, 0.0, 57.09375, 42.8984375, 28.59765625, 28.59765625, 5.0, 2.0, 14.0, 5.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 61.0, "2865", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2865&g_ta_cod=2865", 36.0, 45.0, 18.0),
(9286, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 3 Paul Sabatier - Licence - Mathématiques - Parcours Spécial (Mathématiques, Physique, Chimie)", "Licence - Sciences - technologies - santé", "Spécial (Mathématiques, Physique, Chimie)", 45, 1284, 462, 1074, 0, 844, 122, 6, 3, 1, 0, 223, 210, 65, 7, 1, 137, 624, 10, 0, 0, 518, 57, 0, 0, 0, 0, 106, 503, 27, 12, 23, 4, 1.0, 22.0, 26.0, 0, 2, 22, 22, 0, 0, 5, 0, 0, 1, 11, 10, 0.0, 22, 0, 0, 0, 0, 13, 13, 3.7, 81.48, 96.3, 44.3984375, 59.09375, 59.09375, 0, 9.099609375, 81.5, 0.0, 0.0, 4.5, 50.0, 45.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 414.0, 47.0, 0.0, 0.0, 89.0, "Tous les candidats", 624.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "18091", "Licence - Mathématiques - Parcours Spécial (Mathématiques, Physique, Chimie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18091&g_ta_cod=18091", 100.0, 0.0, 0.0),
(9287, "Public", "9740737H", "Lycée professionnel de L'Horizon", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée professionnel de L'Horizon - BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "BTS - Production", "", 15, 166, 12, 146, 0, 4, 1, 22, 11, 86, 54, 34, 20, 0, 6, 6, 8, 100, 2, 0, 0, 1, 0, 15, 8, 71, 45, 13, 43, 16, 0, 14, 2, 5.0, 13.0, 13.0, 0, 10, 15, 0, 2, 13, 1, 0, 5, 7, 2, 1, 0.0, 0, 0, 10, 7, 0, 14, 14, 31.25, 81.25, 81.25, 0.0, 93.296875, 93.296875, 46.6953125, 66.6875, 93.796875, 0.0, 33.296875, 46.6953125, 13.298828125, 6.7, 0.0, 0.0, 0.0, 13.298828125, 0.0, 86.6875, 66.6875, 0.0, 0.0, 28.0, 18.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 34.0, "17905", "BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17905&g_ta_cod=17905", 6.0, 13.0, 81.0),
(9288, "Public", "0333109A", "CPBx (ENSC)", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Ecole d'Ingénieur", "CPBx (ENSC) - Formation d'ingénieur Bac + 5 - bac général", "Formations  des écoles d'ingénieurs", "bac général", 10, 129, 51, 129, 0, 128, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 43, 0, 0, 0, 43, 1, 0, 0, 0, 0, 0, 26, 10, 7, 10, 0, 0.0, 9.0, 9.0, 0, 0, 10, 10, 0, 0, 0, 0, 0, 0, 7, 3, 0.0, 10, 0, 0, 0, 0, 6, 6, 0.0, 90.0, 90.0, 70.0, 60.0, 60.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 70.0, 30.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 26.0, 1.0, 0.0, 0.0, 0.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "4468", "Formation d'ingénieur Bac + 5 - bac général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4468&g_ta_cod=4468", 100.0, 0.0, 0.0),
(9289, "Public", "0190018S", "Lycée Pierre Caraminot", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Egletons", "formation sélective", "BTS", "Lycée Pierre Caraminot - BTS - Production - Travaux publics", "BTS - Production", "", 30, 392, 46, 391, 0, 63, 3, 150, 26, 100, 7, 78, 1, 0, 0, 0, 1, 389, 0, 0, 0, 63, 3, 150, 26, 100, 7, 76, 173, 23, 1, 23, 0, 1.0, 17.0, 20.0, 0, 2, 19, 2, 11, 6, 4, 0, 5, 12, 1, 1, 0.0, 1, 8, 5, 2, 0, 7, 7, 4.35, 73.91, 86.96, 4.2998046875, 36.796875, 36.796875, 10.5, 10.5, 82.59375, 0.0, 26.296875, 63.1953125, 5.2998046875, 5.3, 0.0, 10.5, 5.2998046875, 57.8984375, 42.09375, 31.59765625, 26.296875, 33.0, 3.0, 59.0, 5.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 86, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 56.0, "3143", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3143&g_ta_cod=3143", 26.0, 48.0, 26.0),
(9290, "Public", "0470747G", "IFSI du CH Agen-Nérac", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bordeaux - D.E Infirmier", "D.E secteur sanitaire", "", 72, 5493, 4578, 5493, 0, 1007, 186, 979, 240, 441, 142, 3066, 0, 0, 0, 0, 0, 4388, 0, 0, 0, 923, 164, 878, 199, 305, 102, 2282, 872, 72, 58, 72, 0, 5.0, 24.0, 50.0, 0, 14, 39, 12, 21, 6, 33, 0, 0, 27, 9, 3, 0.0, 12, 21, 6, 0, 0, 19, 19, 6.94, 33.33, 69.44, 80.59375, 48.6953125, 48.6953125, 0, 35.8984375, 54.1953125, 0.0, 0.0, 69.1875, 23.09765625, 7.7, 0.0, 30.796875, 30.796875, 53.796875, 53.796875, 15.3984375, 15.3984375, 158.0, 46.0, 18.0, 8.0, 480.0, "Tous les candidats", 2910.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "23950", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23940&g_ta_cod=23950", 54.0, 35.0, 11.0),
(9291, "Public", "0061691F", "Lycée Thierry Maulnier", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Thierry Maulnier - BTS - Production - Métiers de la chimie", "BTS - Production", "", 24, 482, 280, 482, 0, 98, 17, 147, 57, 10, 3, 227, 0, 0, 0, 0, 0, 373, 0, 0, 0, 92, 15, 123, 46, 9, 2, 149, 126, 21, 12, 21, 0, 0.0, 14.0, 18.0, 0, 3, 8, 3, 4, 1, 13, 0, 2, 6, 0, 0, 0.0, 3, 2, 1, 1, 1, 6, 6, 0.0, 66.67, 85.71, 57.09375, 75.0, 75.0, 12.5, 37.5, 38.09375, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 37.5, 37.5, 50.0, 25.0, 12.5, 12.5, 27.0, 9.0, 4.0, 2.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 32.0, "2317", "BTS - Production - Métiers de la chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2317&g_ta_cod=2317", 52.0, 43.0, 5.0),
(9292, "Public", "0100945Y", "Lycée professionnel Gabriel Voisin", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "Autre formation", "Lycée professionnel Gabriel Voisin - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 43, 1, 0, 0, 0, 0.0, 0.0, 1.0, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 7.0, 3.0, 22.0, 7.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22510", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(9293, "Public", "0912413D", "Ecole Universitaire de premier cycle - Campus de Guyancourt Université Paris-Saclay", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "Licence", "Ecole Universitaire de premier cycle - Campus de Guyancourt Université Paris-Saclay - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 115, 671, 499, 621, 0, 393, 74, 54, 12, 13, 4, 161, 50, 11, 4, 4, 31, 620, 42, 0, 0, 393, 74, 54, 12, 13, 4, 160, 548, 113, 83, 92, 20, 22.0, 86.0, 92.0, 0, 15, 70, 55, 14, 1, 43, 0, 36, 22, 11, 1, 0.0, 30, 4, 0, 0, 0, 57, 61, 19.47, 76.11, 81.42, 73.5, 81.390625, 87.09375, 0, 21.3984375, 61.8984375, 0.0, 51.3984375, 31.3984375, 15.69921875, 1.4, 0.0, 78.59375, 42.8984375, 20.0, 5.69921875, 1.39990234375, 0.0, 339.0, 66.0, 10.0, 2.0, 150.0, "Tous les candidats", 619.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10007", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10007&g_ta_cod=10007", 72.0, 22.0, 6.0),
(9294, "Public", "0692866R", "Lycée La Martiniere Monplaisir", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Lycée La Martiniere Monplaisir - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "BTS - Production", "", 24, 649, 75, 649, 0, 155, 10, 205, 38, 95, 26, 194, 0, 0, 0, 0, 0, 370, 0, 0, 0, 123, 7, 169, 24, 49, 10, 29, 111, 23, 1, 23, 0, 2.0, 20.0, 23.0, 0, 4, 23, 7, 10, 6, 0, 0, 4, 10, 8, 1, 0.0, 7, 9, 3, 0, 0, 7, 7, 8.7, 86.96, 100.0, 4.2998046875, 30.3984375, 30.3984375, 0, 17.3984375, 100.0, 0.0, 17.3984375, 43.5, 34.796875, 4.3, 0.0, 30.3984375, 30.3984375, 43.5, 39.09375, 26.09765625, 13.0, 25.0, 3.0, 18.0, 3.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 92, "Liste d'appel propre à cette formation", 26.0, "8558", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8558&g_ta_cod=8558", 30.0, 43.0, 26.0),
(9295, "Public", "0380034F", "Lycée Louise Michel", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée Louise Michel - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 30, 1108, 761, 1108, 0, 235, 47, 359, 113, 74, 22, 440, 0, 0, 0, 0, 0, 662, 0, 0, 0, 211, 43, 254, 73, 49, 12, 148, 219, 29, 23, 29, 0, 1.0, 12.0, 25.0, 0, 6, 22, 4, 15, 3, 7, 0, 10, 10, 2, 0, 0.0, 1, 10, 1, 4, 4, 14, 14, 3.45, 41.38, 86.21, 79.296875, 63.59375, 63.59375, 18.19921875, 27.296875, 75.890625, 0.0, 45.5, 45.5, 9.099609375, 0.0, 0.0, 18.19921875, 4.5, 68.1875, 45.5, 13.599609375, 4.5, 44.0, 11.0, 16.0, 6.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 134.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 228, "Liste d'appel propre à cette formation", 35.0, "4932", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4932&g_ta_cod=4932", 21.0, 69.0, 10.0),
(9296, "Public", "0530010Y", "Lycée Ambroise Pare", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "Lycée Ambroise Pare - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 24, 629, 160, 603, 0, 38, 3, 83, 16, 134, 49, 348, 26, 1, 9, 1, 15, 210, 1, 0, 0, 36, 2, 61, 8, 89, 25, 24, 95, 18, 4, 17, 1, 5.0, 13.0, 14.0, 0, 3, 18, 1, 7, 10, 0, 0, 8, 7, 2, 1, 0.0, 0, 3, 7, 3, 1, 12, 12, 27.78, 72.22, 77.78, 22.19921875, 66.6875, 66.6875, 16.69921875, 16.69921875, 100.0, 0.0, 44.3984375, 38.8984375, 11.099609375, 5.6, 0.0, 5.599609375, 0.0, 38.8984375, 16.69921875, 55.59375, 38.8984375, 16.0, 2.0, 29.0, 7.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 25.0, "6193", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6193&g_ta_cod=6193", 6.0, 39.0, 56.0),
(9297, "Public", "0492061Z", "Lycée général et technologique Auguste et Jean Renoir", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Lycée général et technologique Auguste et Jean Renoir - BTS - Services - Communication", "BTS - Services", "", 35, 1986, 1386, 1986, 0, 515, 79, 613, 154, 196, 73, 662, 0, 0, 0, 0, 0, 684, 0, 0, 0, 290, 42, 268, 44, 66, 25, 60, 174, 35, 30, 35, 0, 4.0, 27.0, 32.0, 0, 7, 30, 13, 13, 4, 5, 0, 0, 19, 11, 0, 0.0, 13, 13, 4, 2, 1, 25, 25, 11.43, 77.14, 91.43, 85.6875, 83.296875, 83.296875, 6.69921875, 23.296875, 85.6875, 0.0, 0.0, 63.296875, 36.6953125, 0.0, 0.0, 43.296875, 43.296875, 43.296875, 43.296875, 13.298828125, 13.298828125, 65.0, 9.0, 14.0, 6.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 106.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 162, "Liste d'appel propre à cette formation", 15.0, "5964", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5964&g_ta_cod=5964", 46.0, 43.0, 11.0),
(9298, "Public", "0670085D", "Lycée Louis Couffignal", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Louis Couffignal - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 12, 573, 53, 573, 0, 87, 22, 169, 71, 143, 60, 174, 0, 0, 0, 0, 0, 218, 0, 0, 0, 35, 9, 52, 24, 113, 47, 18, 43, 14, 0, 14, 0, 4.0, 10.0, 13.0, 0, 8, 13, 2, 6, 5, 1, 0, 7, 4, 2, 0, 0.0, 2, 0, 4, 9, 0, 13, 13, 28.57, 71.43, 92.86, 0.0, 100.0, 100.0, 69.1875, 61.5, 92.890625, 0.0, 53.796875, 30.796875, 15.3984375, 0.0, 0.0, 15.3984375, 15.3984375, 46.1953125, 0.0, 38.5, 30.796875, 12.0, 2.0, 9.0, 3.0, 9.0, "Tous les candidats sauf les Bac professionnels", 81.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 17.0, "16148", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16148&g_ta_cod=16148", 14.0, 50.0, 36.0),
(9299, "Public", "0693330V", "Lycée Louis Aragon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Givors", "formation sélective", "Autre formation", "Lycée Louis Aragon - Mention complémentaire - FCIL Electromobilité", "Mention complémentaire", "", 12, 31, 1, 25, 0, 0, 0, 2, 0, 21, 15, 2, 6, 0, 1, 3, 2, 22, 4, 0, 0, 0, 0, 1, 0, 19, 14, 2, 25, 5, 0, 4, 1, 2.0, 4.0, 4.0, 0, 3, 3, 0, 0, 3, 2, 0, 2, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 3, 3, 40.0, 80.0, 80.0, 0.0, 100.0, 100.0, 0, 100.0, 60.0, 0.0, 66.6875, 0.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 33.296875, 0.0, 0.0, 20.0, 13.0, 4.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "24765", "Mention complémentaire - FCIL Electromobilité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24765&g_ta_cod=24765", 20.0, 20.0, 60.0),
(9300, "Public", "0020050U", "Lycée Condorcet", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "BTS", "Lycée Condorcet - BTS - Services - Notariat", "BTS - Services", "", 22, 686, 398, 669, 0, 106, 25, 78, 32, 33, 14, 452, 17, 1, 1, 7, 8, 213, 0, 0, 0, 102, 23, 66, 26, 16, 10, 29, 106, 17, 12, 17, 0, 3.0, 11.0, 15.0, 0, 5, 13, 7, 4, 2, 4, 0, 4, 3, 4, 2, 0.0, 4, 3, 2, 3, 2, 12, 12, 17.65, 64.71, 88.24, 70.59375, 92.296875, 92.296875, 23.09765625, 38.5, 76.5, 0.0, 30.796875, 23.09765625, 30.796875, 15.4, 0.0, 53.796875, 30.796875, 30.796875, 23.09765625, 15.3984375, 15.3984375, 59.0, 9.0, 11.0, 6.0, 15.0, "Tous les candidats sauf les Bac professionnels", 148.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 25.0, "2065", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2065&g_ta_cod=2065", 59.0, 29.0, 12.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(9301, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation non sélective", "Licence", "ICES - Institut Catholique de Vendée - Licence - Sciences pour la santé", "Licence - Sciences - technologies - santé", "", 40, 278, 231, 247, 0, 132, 11, 7, 0, 0, 0, 108, 31, 9, 2, 0, 20, 245, 8, 0, 0, 132, 11, 7, 0, 0, 0, 106, 192, 28, 24, 24, 4, 3.0, 19.0, 26.0, 0, 0, 20, 17, 3, 0, 8, 0, 5, 10, 3, 2, 0.0, 13, 2, 0, 0, 0, 15, 15, 10.71, 67.86, 92.86, 85.6875, 75.0, 75.0, 0, 0.0, 71.390625, 0.0, 25.0, 50.0, 15.0, 10.0, 0.0, 85.0, 65.0, 15.0, 10.0, 0.0, 0.0, 130.0, 10.0, 0.0, 0.0, 57.0, "Tous les candidats", 243.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "20708", "Licence - Sciences pour la santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20708&g_ta_cod=20708", 86.0, 14.0, 0.0),
(9302, "Public", "0260015A", "Lycée Alain Borne", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Montélimar", "formation sélective", "BTS", "Lycée Alain Borne - BTS - Services - Commerce International", "BTS - Services", "", 32, 671, 370, 661, 0, 113, 31, 209, 95, 89, 57, 250, 10, 0, 6, 0, 4, 252, 2, 0, 0, 65, 12, 117, 48, 45, 29, 25, 144, 30, 19, 29, 1, 2.0, 26.0, 27.0, 0, 17, 28, 7, 16, 5, 2, 0, 10, 13, 4, 1, 0.0, 4, 10, 4, 8, 3, 21, 21, 6.67, 86.67, 90.0, 63.296875, 75.0, 75.0, 28.59765625, 60.6953125, 93.296875, 0.0, 35.6953125, 46.3984375, 14.298828125, 3.6, 0.0, 25.0, 14.298828125, 57.09375, 35.6953125, 17.8984375, 14.298828125, 37.0, 9.0, 17.0, 11.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 128, "Liste d'appel propre à cette formation", 33.0, "3613", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3613&g_ta_cod=3613", 27.0, 57.0, 17.0),
(9303, "Privé sous contrat d'association", "0383208F", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Corenc", "formation sélective", "CPGE", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 10, 116, 54, 113, 0, 101, 5, 0, 0, 1, 0, 11, 3, 2, 0, 0, 1, 106, 3, 0, 106, 98, 5, 0, 0, 0, 0, 8, 105, 5, 2, 5, 0, 5.0, 5.0, 5.0, 0, 0, 5, 5, 0, 0, 0, 0, 0, 5, 0, 0, 0.0, 5, 0, 0, 1, 0, 4, 4, 100.0, 100.0, 100.0, 40.0, 80.0, 80.0, 20, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 96.0, 5.0, 0.0, 0.0, 9.0, "Tous les candidats", 106.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "31302", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31302&g_ta_cod=31302", 100.0, 0.0, 0.0),
(9304, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Portail Sciences de la terre - Sciences de la Terre et de l'Environnement", "Licence - Sciences - technologies - santé", "Sciences de la Terre et de l'Environnement", 50, 686, 372, 675, 0, 380, 59, 15, 1, 2, 0, 278, 11, 3, 1, 0, 7, 664, 10, 0, 0, 380, 59, 15, 1, 2, 0, 267, 346, 39, 18, 37, 2, 4.0, 20.0, 34.0, 0, 4, 22, 22, 0, 0, 17, 2, 1, 11, 4, 3, 1.0, 19, 0, 0, 0, 0, 17, 17, 10.26, 51.28, 87.18, 46.1953125, 77.296875, 77.296875, 0, 18.19921875, 56.3984375, 9.099609375, 4.5, 50.0, 18.19921875, 13.6, 4.5, 100.0, 86.390625, 0.0, 0.0, 0.0, 0.0, 152.0, 28.0, 0.0, 0.0, 193.0, "Tous les candidats", 593.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 78.0, "31729", "Licence - Portail Sciences de la terre - Sciences de la Terre et de l'Environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31731&g_ta_cod=31729", 95.0, 5.0, 0.0),
(9305, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Portail Physique, chimie", "Licence - Sciences - technologies - santé", "", 105, 868, 417, 802, 0, 550, 84, 36, 9, 3, 2, 213, 66, 15, 1, 0, 50, 799, 59, 0, 0, 550, 84, 36, 9, 3, 2, 210, 860, 79, 29, 59, 19, 58.0, 59.0, 69.0, 0, 11, 43, 38, 5, 0, 36, 0, 15, 14, 11, 3, 0.0, 25, 3, 0, 0, 0, 30, 30, 73.42, 74.68, 87.34, 36.6953125, 69.796875, 69.796875, 0, 25.59765625, 54.3984375, 0.0, 34.8984375, 32.59375, 25.59765625, 7.0, 0.0, 88.390625, 58.09375, 11.599609375, 7.0, 0.0, 0.0, 567.0, 87.0, 3.0, 2.0, 253.0, "Tous les candidats", 943.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "7742", "Licence - Portail Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28695&g_ta_cod=7742", 86.0, 11.0, 3.0),
(9306, "Privé sous contrat d'association", "0331498Z", "Lycée Du Matin Le Mirail", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Autre formation", "Lycée Du Matin Le Mirail - DN MADE - Graphisme - - Spécialité : Création graphique et innovation", "DN MADE", "- Spécialité : Création graphique et innovation", 25, 728, 434, 728, 0, 308, 51, 115, 21, 91, 19, 214, 0, 0, 0, 0, 0, 342, 0, 0, 0, 162, 25, 68, 11, 38, 8, 74, 81, 25, 18, 25, 0, 6.0, 19.0, 24.0, 0, 3, 20, 11, 6, 3, 5, 0, 3, 7, 6, 4, 0.0, 10, 4, 3, 0, 0, 9, 9, 24.0, 76.0, 96.0, 72.0, 45.0, 45.0, 0, 15.0, 80.0, 0.0, 15.0, 35.0, 30.0, 20.0, 0.0, 55.0, 50.0, 30.0, 20.0, 15.0, 15.0, 36.0, 6.0, 6.0, 2.0, 15.0, "Tous les candidats", 123.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "24293", "DN MADE - Graphisme - - Spécialité : Création graphique et innovation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24293&g_ta_cod=24293", 64.0, 24.0, 12.0),
(9307, "Public", "9730429D", "Université de Guyane", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation non sélective", "Licence", "Université de Guyane - Licence - Informatique", "Licence - Sciences - technologies - santé", "", 65, 203, 47, 157, 0, 82, 40, 28, 11, 24, 16, 23, 46, 3, 8, 9, 26, 155, 36, 0, 0, 82, 40, 28, 11, 24, 16, 21, 169, 59, 13, 40, 19, 11.0, 38.0, 47.0, 0, 20, 45, 19, 13, 13, 14, 5, 28, 9, 2, 1, 0.0, 7, 2, 3, 0, 0, 45, 45, 18.64, 64.41, 79.66, 22.0, 100.0, 100.0, 0, 44.3984375, 76.296875, 11.099609375, 62.1953125, 20.0, 4.3994140625, 2.2, 0.0, 42.1953125, 15.599609375, 28.8984375, 4.3994140625, 28.8984375, 6.69921875, 82.0, 41.0, 27.0, 18.0, 34.0, "Tous les candidats", 155.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "21092", "Licence - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21092&g_ta_cod=21092", 41.0, 29.0, 29.0),
(9308, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Japonais et Gestion parcours  Management et sciences humaines (MSH)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Japonais et Gestion parcours  Management et sciences humaines (MSH)", 5, 152, 100, 152, 0, 102, 26, 4, 3, 4, 2, 42, 0, 0, 0, 0, 0, 152, 0, 0, 0, 102, 26, 4, 3, 4, 2, 42, 22, 5, 4, 5, 0, 0.0, 5.0, 5.0, 0, 0, 3, 3, 0, 0, 2, 0, 0, 1, 1, 1, 0.0, 3, 0, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 80.0, 33.296875, 33.296875, 0, 0.0, 60.0, 0.0, 0.0, 33.296875, 33.296875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 18.0, 3.0, 0.0, 0.0, 4.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "8528", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Japonais et Gestion parcours  Management et sciences humaines (MSH)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8528&g_ta_cod=8528", 100.0, 0.0, 0.0),
(9309, "Public", "0341884N", "I.U.T de Béziers", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation sélective", "BUT", "I.U.T de Béziers - BUT - Carrières sociales parcours coordination et gestion des établissements et services sanitaires et sociaux", "BUT - Service", "", 22, 507, 446, 429, 0, 89, 23, 211, 70, 42, 21, 87, 78, 8, 3, 10, 57, 202, 0, 0, 0, 41, 12, 134, 43, 10, 6, 17, 119, 23, 20, 21, 0, 0.0, 15.0, 20.0, 0, 7, 17, 5, 9, 3, 6, 0, 3, 10, 4, 0, 0.0, 5, 6, 3, 0, 0, 15, 15, 0.0, 65.22, 86.96, 87.0, 88.1875, 88.1875, 0, 41.1953125, 73.890625, 0.0, 17.59765625, 58.796875, 23.5, 0.0, 0.0, 29.3984375, 29.3984375, 52.8984375, 35.296875, 17.59765625, 17.59765625, 37.0, 12.0, 5.0, 3.0, 14.0, "Tous les candidats sauf les Bac technologiques", 60.0, "Bacheliers technologiques toutes séries", 125, "", 0, "Liste d'appel propre à cette formation", 43.0, "20844", "BUT - Carrières sociales parcours coordination et gestion des établissements et services sanitaires et sociaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20844&g_ta_cod=20844", 35.0, 52.0, 13.0),
(9310, "Privé sous contrat d'association", "0870757A", "POLARIS Formation Isle", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Isle", "formation sélective", "EFTS", "POLARIS Formation Isle - D.E Educateur Spécialisé", "D.E secteur social", "", 39, 180, 146, 180, 0, 27, 3, 28, 6, 11, 4, 114, 0, 0, 0, 0, 0, 95, 0, 0, 0, 14, 1, 7, 2, 5, 2, 69, 65, 39, 33, 39, 0, 23.0, 35.0, 37.0, 0, 2, 11, 6, 2, 3, 28, 0, 2, 2, 7, 0, 0.0, 4, 2, 3, 0, 0, 8, 8, 58.97, 89.74, 94.87, 84.59375, 72.6875, 72.6875, 0, 18.19921875, 28.19921875, 0.0, 18.19921875, 18.19921875, 63.59375, 0.0, 0.0, 54.5, 36.3984375, 18.19921875, 18.19921875, 27.296875, 27.296875, 10.0, 1.0, 3.0, 1.0, 49.0, "Tous les candidats", 69.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "24931", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24931&g_ta_cod=24931", 69.0, 18.0, 13.0),
(9311, "Public", "0671685T", "Lycée agricole d'Obernai", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Obernai", "formation sélective", "BTS", "Lycée agricole d'Obernai - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 24, 316, 115, 313, 0, 45, 8, 38, 7, 28, 4, 202, 3, 0, 0, 2, 1, 153, 0, 0, 0, 45, 8, 38, 7, 28, 4, 42, 98, 18, 5, 18, 0, 6.0, 14.0, 18.0, 0, 1, 12, 1, 3, 8, 6, 0, 2, 2, 8, 0, 0.0, 1, 3, 6, 5, 2, 9, 9, 33.33, 77.78, 100.0, 27.796875, 75.0, 75.0, 41.6953125, 8.298828125, 66.6875, 0.0, 16.69921875, 16.69921875, 66.6875, 0.0, 0.0, 8.298828125, 8.298828125, 25.0, 25.0, 66.6875, 50.0, 23.0, 0.0, 25.0, 3.0, 32.0, "Tous les candidats sauf les Bac professionnels", 107.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 43.0, "13473", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13473&g_ta_cod=13473", 39.0, 17.0, 44.0),
(9312, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence_Las", "Université de Montpellier - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS", "Licence - Sciences - technologies - santé", "STAPS", 10, 2933, 1091, 2933, 0, 1719, 327, 289, 78, 68, 36, 857, 0, 0, 0, 0, 0, 2933, 0, 0, 0, 1719, 327, 289, 78, 68, 36, 857, 63, 10, 8, 10, 0, 0.0, 5.0, 7.0, 0, 5, 9, 9, 0, 0, 1, 0, 0, 3, 3, 2, 1.0, 9, 0, 0, 0, 0, 9, 9, 0.0, 50.0, 70.0, 80.0, 100.0, 100.0, 0, 55.59375, 90.0, 0.0, 0.0, 33.296875, 33.296875, 22.2, 11.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 23.0, 12.0, 1.0, 0.0, 38.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 3.0, "29054", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29053&g_ta_cod=29054", 100.0, 0.0, 0.0),
(9313, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation non sélective", "PASS", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 35, 8141, 5870, 8141, 0, 6476, 1322, 129, 56, 33, 17, 1503, 0, 0, 0, 0, 0, 8139, 0, 0, 0, 6476, 1322, 129, 56, 33, 17, 1501, 747, 34, 30, 34, 0, 0.0, 6.0, 20.0, 0, 6, 32, 32, 0, 0, 2, 0, 1, 7, 16, 7, 1.0, 31, 0, 0, 0, 0, 17, 26, 0.0, 17.65, 58.82, 88.1875, 53.09375, 81.296875, 0, 18.796875, 94.09375, 0.0, 3.099609375, 21.8984375, 50.0, 21.9, 3.1, 100.0, 96.890625, 0.0, 0.0, 0.0, 0.0, 670.0, 125.0, 0.0, 0.0, 77.0, "Tous les candidats", 3150.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "29006", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27909&g_ta_cod=29006", 100.0, 0.0, 0.0),
(9314, "Public", "0951710T", "Lycée Camille Claudel", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Vauréal", "formation sélective", "Autre formation", "Lycée Camille Claudel - Mention complémentaire - Maquettes et prototypes", "Mention complémentaire", "", 14, 72, 22, 65, 0, 3, 1, 5, 3, 26, 10, 31, 7, 1, 0, 2, 4, 23, 0, 0, 0, 0, 0, 0, 0, 7, 4, 16, 19, 5, 2, 5, 0, 0.0, 5.0, 5.0, 0, 1, 1, 0, 0, 1, 4, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 0.0, 100.0, 100.0, 40.0, 100.0, 100.0, 0, 100.0, 20.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 6.0, 3.0, 13.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "13408", "Mention complémentaire - Maquettes et prototypes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13408&g_ta_cod=13408", 40.0, 0.0, 60.0),
(9315, "Privé enseignement supérieur", "0753620C", "ISG Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "Ecole de Commerce", "ISG Paris - Formation des écoles de commerce et de management Bac + 5 - Programme Grande Ecole", "Formation des écoles de commerce et de management", "Programme Grande Ecole", 140, 748, 343, 631, 0, 477, 30, 91, 11, 10, 3, 53, 117, 35, 19, 4, 59, 418, 23, 0, 0, 340, 20, 51, 4, 3, 2, 24, 441, 68, 41, 54, 14, 53.0, 54.0, 62.0, 0, 6, 59, 43, 15, 1, 9, 0, 28, 20, 10, 1, 0.0, 24, 6, 1, 0, 0, 11, 42, 77.94, 79.41, 91.18, 60.296875, 18.59765625, 71.1875, 0, 10.19921875, 86.796875, 0.0, 47.5, 33.8984375, 16.8984375, 1.7, 0.0, 72.890625, 40.6953125, 25.3984375, 10.19921875, 1.699951171875, 1.699951171875, 349.0, 21.0, 3.0, 2.0, 34.0, "Tous les candidats", 418.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "26048", "Formation des écoles de commerce et de management Bac + 5 - Programme Grande Ecole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26048&g_ta_cod=26048", 75.0, 24.0, 1.0),
(9316, "Public", "0211033J", "Lycée Gustave Eiffel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 751, 106, 751, 0, 130, 20, 140, 29, 116, 39, 365, 0, 0, 0, 0, 0, 420, 0, 0, 0, 129, 20, 140, 30, 116, 39, 35, 116, 25, 1, 25, 0, 3.0, 22.0, 25.0, 0, 10, 23, 6, 6, 11, 2, 0, 11, 7, 3, 1, 1.0, 1, 5, 6, 9, 0, 20, 20, 12.0, 88.0, 100.0, 4.0, 87.0, 87.0, 39.09375, 43.5, 92.0, 0.0, 47.796875, 30.3984375, 13.0, 4.3, 4.3, 26.09765625, 4.2998046875, 26.09765625, 21.69921875, 47.796875, 26.09765625, 36.0, 4.0, 49.0, 17.0, 7.0, "Tous les candidats sauf les Bac professionnels", 155.0, "Bacheliers professionnels toutes séries", 80, "", 0, "Liste d'appel propre à cette formation", 31.0, "3210", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3210&g_ta_cod=3210", 28.0, 28.0, 44.0),
(9317, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 200, 1211, 896, 1094, 0, 642, 178, 141, 53, 33, 14, 278, 117, 30, 18, 5, 64, 1089, 116, 0, 0, 642, 178, 141, 53, 33, 14, 273, 978, 195, 129, 136, 59, 12.0, 132.0, 148.0, 0, 30, 110, 64, 36, 10, 85, 12, 62, 31, 5, 0, 0.0, 22, 9, 5, 0, 0, 98, 98, 6.15, 67.69, 75.9, 66.1875, 89.09375, 89.09375, 0, 27.296875, 56.3984375, 10.8984375, 56.3984375, 28.19921875, 4.5, 0.0, 0.0, 58.1953125, 20.0, 32.6953125, 8.19921875, 9.099609375, 4.5, 564.0, 150.0, 25.0, 9.0, 281.0, "Tous les candidats", 1089.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26409", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26409&g_ta_cod=26409", 58.0, 25.0, 15.0),
(9318, "Public", "0750691U", "Lycée Raspail", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "BTS", "Lycée Raspail - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 30, 595, 12, 595, 0, 5, 1, 67, 23, 426, 177, 97, 0, 0, 0, 0, 0, 475, 0, 0, 0, 5, 1, 61, 20, 356, 138, 53, 126, 27, 0, 27, 0, 3.0, 15.0, 23.0, 0, 10, 23, 2, 4, 17, 4, 0, 7, 6, 8, 2, 0.0, 0, 3, 13, 0, 0, 5, 23, 11.11, 55.56, 85.19, 0.0, 21.69921875, 100.0, 0, 43.5, 85.1875, 0.0, 30.3984375, 26.09765625, 34.796875, 8.7, 0.0, 8.69921875, 0.0, 17.3984375, 13.0, 73.890625, 56.5, 3.0, 1.0, 95.0, 34.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 160, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 34.0, "16267", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16267&g_ta_cod=16267", 7.0, 15.0, 78.0),
(9319, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation non sélective", "Licence", "ICES - Institut Catholique de Vendée - Licence - Sciences de la vie - Parcours Biologie", "Licence - Sciences - technologies - santé", "Biologie", 60, 530, 370, 506, 0, 374, 38, 26, 3, 1, 0, 105, 24, 13, 1, 0, 10, 505, 10, 0, 0, 374, 38, 26, 3, 1, 0, 104, 329, 54, 40, 49, 5, 3.0, 31.0, 46.0, 0, 3, 46, 42, 4, 0, 8, 0, 16, 15, 14, 1, 0.0, 29, 1, 0, 0, 0, 22, 22, 5.56, 57.41, 85.19, 74.09375, 47.796875, 47.796875, 0, 6.5, 85.1875, 0.0, 34.796875, 32.59375, 30.3984375, 2.2, 0.0, 91.296875, 63.0, 8.69921875, 2.19970703125, 0.0, 0.0, 237.0, 24.0, 1.0, 0.0, 80.0, "Tous les candidats", 454.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "10556", "Licence - Sciences de la vie - Parcours Biologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10556&g_ta_cod=10556", 91.0, 9.0, 0.0),
(9320, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien", "Licence - Arts-lettres-langues", "Italien", 45, 180, 129, 112, 0, 61, 23, 15, 10, 4, 4, 32, 68, 3, 6, 7, 52, 112, 63, 0, 0, 61, 23, 15, 10, 4, 4, 32, 157, 28, 18, 15, 13, 7.0, 15.0, 20.0, 0, 7, 13, 9, 1, 3, 15, 0, 5, 4, 3, 1, 0.0, 6, 0, 2, 0, 0, 12, 12, 25.0, 53.57, 71.43, 64.296875, 92.296875, 92.296875, 0, 53.796875, 46.3984375, 0.0, 38.5, 30.796875, 23.09765625, 7.7, 0.0, 69.1875, 46.1953125, 7.69921875, 0.0, 23.09765625, 15.3984375, 56.0, 20.0, 11.0, 9.0, 76.0, "Tous les candidats", 111.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4569", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4569&g_ta_cod=4569", 54.0, 21.0, 25.0),
(9321, "Public", "0830165D", "I.U.T de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation sélective", "BUT", "I.U.T de Toulon - BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "BUT - Production", "", 26, 840, 398, 838, 0, 543, 44, 96, 18, 2, 2, 197, 2, 0, 0, 0, 2, 691, 0, 0, 0, 483, 41, 61, 10, 0, 0, 147, 154, 25, 13, 25, 0, 3.0, 15.0, 23.0, 0, 4, 22, 13, 9, 0, 3, 0, 1, 7, 12, 2, 0.0, 13, 8, 0, 0, 0, 12, 12, 12.0, 60.0, 92.0, 52.0, 54.5, 54.5, 0, 18.19921875, 88.0, 0.0, 4.5, 31.796875, 54.5, 9.1, 0.0, 59.09375, 59.09375, 40.8984375, 36.3984375, 0.0, 0.0, 93.0, 12.0, 0.0, 0.0, 35.0, "Tous les candidats sauf les Bac technologiques", 240.0, "Bacheliers technologiques toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 34.0, "10357", "BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10357&g_ta_cod=10357", 56.0, 44.0, 0.0),
(9322, "Public", "0590121L", "Lycée Cesar Baggio", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Cesar Baggio - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 102, 14, 101, 0, 9, 0, 21, 9, 42, 20, 29, 1, 0, 0, 0, 1, 99, 1, 0, 0, 9, 0, 21, 9, 42, 20, 27, 56, 6, 0, 5, 1, 3.0, 4.0, 4.0, 0, 1, 3, 0, 1, 2, 3, 0, 0, 3, 0, 0, 0.0, 0, 1, 2, 1, 0, 3, 3, 50.0, 66.67, 66.67, 0.0, 100.0, 100.0, 33.296875, 33.296875, 50.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 3.0, 0.0, 30.0, 15.0, 10.0, "Tous les candidats sauf les Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 64.0, "6793", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6793&g_ta_cod=6793", 17.0, 33.0, 50.0),
(9323, "Public", "0601823F", "Lycée Francois Truffaut", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "BTS", "Lycée Francois Truffaut - BTS - Services - Support à l'action managériale", "BTS - Services", "", 20, 307, 182, 297, 0, 21, 7, 85, 37, 86, 47, 105, 10, 0, 0, 6, 4, 175, 4, 0, 0, 21, 7, 65, 27, 54, 28, 35, 87, 20, 15, 17, 2, 2.0, 10.0, 14.0, 0, 7, 13, 2, 5, 6, 7, 0, 8, 3, 1, 1, 0.0, 2, 0, 3, 5, 4, 13, 13, 10.0, 50.0, 70.0, 75.0, 100.0, 100.0, 38.5, 53.796875, 65.0, 0.0, 61.5, 23.09765625, 7.69921875, 7.7, 0.0, 15.3984375, 15.3984375, 38.5, 0.0, 46.1953125, 23.09765625, 6.0, 3.0, 41.0, 22.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 40.0, "7267", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7267&g_ta_cod=7267", 20.0, 25.0, 55.0),
(9324, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "Licence_Las", "Université des Antilles - Pôle Guadeloupe - Licence - Portail Physique, chimie - Chimie et applications(C&A) / Physique et application (P&A) / Physique-Chimie pour l?enseignement (PCE) / (SIE) / (SIM) - Guadeloupe", "Licence - Sciences - technologies - santé", "Chimie et applications(C&A) / Physique et application (P&A) / Physique-Chimie pour l?enseignement (PCE) / (SIE) / (SIM) - Guadeloupe", 40, 246, 164, 169, 0, 110, 35, 20, 6, 1, 1, 38, 77, 34, 7, 2, 34, 169, 73, 0, 0, 110, 35, 20, 6, 1, 1, 38, 209, 35, 26, 6, 26, 1.0, 6.0, 27.0, 0, 8, 19, 11, 7, 1, 16, 0, 13, 5, 1, 0, 0.0, 4, 2, 0, 0, 0, 16, 16, 2.86, 17.14, 77.14, 74.296875, 84.1875, 84.1875, 0, 42.09375, 54.296875, 0.0, 68.390625, 26.296875, 5.2998046875, 0.0, 0.0, 57.8984375, 21.09765625, 36.796875, 10.5, 5.2998046875, 0.0, 123.0, 37.0, 2.0, 1.0, 60.0, "Tous les candidats", 259.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "27410", "Licence - Portail Physique, chimie - Chimie et applications(C&A) / Physique et application (P&A) / Physique-Chimie pour l?enseignement (PCE) / (SIE) / (SIM) - Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27409&g_ta_cod=27410", 71.0, 20.0, 9.0),
(9325, "Public", "0870015U", "Lycée Gay-Lussac", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "CPGE", "Lycée Gay-Lussac - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 783, 223, 783, 553, 698, 78, 2, 2, 0, 0, 83, 0, 0, 0, 0, 0, 573, 0, 406, 555, 562, 63, 0, 0, 0, 0, 11, 267, 48, 11, 48, 0, 12.0, 34.0, 48.0, 14, 8, 48, 48, 0, 0, 0, 0, 0, 3, 12, 32, 1.0, 48, 0, 0, 9, 1, 33, 33, 25.0, 70.83, 100.0, 22.8984375, 68.796875, 68.796875, 18.796875, 16.69921875, 100.0, 0.0, 0.0, 6.2998046875, 25.0, 66.7, 2.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 264.0, 32.0, 0.0, 0.0, 3.0, "Tous les candidats", 426.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "10660", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10660&g_ta_cod=10660", 100.0, 0.0, 0.0),
(9326, "Public", "0292185T", "I.U.T de Brest - Site de Morlaix", "29", "Finistère", "Bretagne", "Rennes", "Morlaix", "formation sélective", "BUT", "I.U.T de Brest - Site de Morlaix - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics", "BUT - Production", "Travaux Bâtiment - Travaux Publics", 24, 909, 173, 883, 0, 436, 31, 317, 38, 11, 3, 119, 26, 8, 0, 0, 18, 385, 2, 0, 0, 154, 7, 200, 27, 0, 0, 31, 139, 23, 6, 22, 1, 1.0, 16.0, 21.0, 0, 0, 22, 10, 12, 0, 1, 0, 2, 17, 2, 1, 0.0, 9, 11, 0, 0, 0, 18, 18, 4.35, 69.57, 91.3, 26.09765625, 81.796875, 81.796875, 0, 0.0, 95.6875, 0.0, 9.099609375, 77.296875, 9.099609375, 4.5, 0.0, 45.5, 40.8984375, 54.5, 50.0, 0.0, 0.0, 61.0, 6.0, 0.0, 0.0, 18.0, "Tous les candidats sauf les Bac technologiques", 175.0, "Bacheliers technologiques toutes séries", 192, "", 0, "Liste d'appel propre à cette formation", 42.0, "3909", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3909&g_ta_cod=3909", 48.0, 52.0, 0.0),
(9327, "Public", "0561363C", "I.U.T de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BUT", "I.U.T de Lorient - BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels, technologiques et environnementaux (Seconde année possible en apprentissage)", "BUT - Production", "Science du danger et management des risques professionnels, technologiques et environnementaux", 78, 845, 252, 845, 0, 475, 45, 204, 25, 27, 8, 139, 0, 0, 0, 0, 0, 540, 0, 0, 0, 344, 31, 123, 14, 1, 0, 72, 119, 76, 17, 76, 0, 48.0, 74.0, 76.0, 0, 6, 71, 35, 35, 1, 5, 0, 6, 36, 23, 5, 1.0, 32, 32, 1, 0, 0, 50, 50, 63.16, 97.37, 100.0, 22.3984375, 70.390625, 70.390625, 0, 8.5, 93.390625, 0.0, 8.5, 50.6953125, 32.3984375, 7.0, 1.4, 49.296875, 45.09375, 49.296875, 45.09375, 1.39990234375, 1.39990234375, 52.0, 7.0, 1.0, 0.0, 12.0, "Tous les candidats sauf les Bac technologiques", 58.0, "Bacheliers technologiques toutes séries", 68, "", 0, "Liste d'appel propre à cette formation", 15.0, "6472", "BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels, technologiques et environnementaux (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6472&g_ta_cod=6472", 49.0, 50.0, 1.0),
(9328, "Privé sous contrat d'association", "0590347G", "ISEN Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 20, 1407, 348, 1402, 0, 1392, 135, 0, 0, 0, 0, 10, 5, 5, 0, 0, 0, 1253, 0, 0, 0, 1253, 99, 0, 0, 0, 0, 0, 1182, 7, 0, 7, 0, 6.0, 7.0, 7.0, 0, 0, 7, 7, 0, 0, 0, 0, 1, 4, 2, 0, 0.0, 6, 0, 0, 0, 0, 2, 2, 85.71, 100.0, 100.0, 0.0, 28.59765625, 28.59765625, 0, 0.0, 100.0, 0.0, 14.298828125, 57.09375, 28.59765625, 0.0, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 1182.0, 99.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "25850", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=25850", 100.0, 0.0, 0.0),
(9329, "Privé sous contrat d'association", "0801742J", "Lycée La Providence", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée La Providence - BTS - Production - Electrotechnique", "BTS - Production", "", 26, 111, 1, 83, 0, 2, 0, 15, 4, 35, 7, 31, 28, 1, 5, 10, 12, 51, 17, 0, 0, 2, 0, 13, 3, 27, 6, 9, 63, 12, 0, 7, 5, 6.0, 7.0, 10.0, 0, 3, 9, 0, 4, 5, 3, 0, 2, 5, 2, 0, 0.0, 0, 2, 5, 1, 0, 9, 9, 50.0, 58.33, 83.33, 0.0, 100.0, 100.0, 11.099609375, 33.296875, 75.0, 0.0, 22.19921875, 55.59375, 22.19921875, 0.0, 0.0, 0.0, 0.0, 44.3984375, 22.19921875, 55.59375, 55.59375, 3.0, 0.0, 30.0, 7.0, 15.0, "Tous les candidats sauf les Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 61.0, "10240", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10240&g_ta_cod=10240", 17.0, 42.0, 42.0),
(9330, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Double licence - Informatique / Sciences de la vie - Double licence Informatique - Biologie - Campus Grands Moulins", "Licence - Sciences - technologies - santé", "Double licence Informatique - Biologie - Campus Grands Moulins", 16, 587, 314, 587, 0, 297, 66, 10, 4, 2, 1, 278, 0, 0, 0, 0, 0, 455, 0, 0, 0, 261, 54, 1, 0, 0, 0, 193, 110, 16, 7, 16, 0, 0.0, 7.0, 10.0, 0, 1, 10, 10, 0, 0, 6, 0, 0, 3, 6, 1, 0.0, 10, 0, 0, 0, 0, 4, 8, 0.0, 43.75, 62.5, 43.796875, 40.0, 80.0, 0, 10.0, 62.5, 0.0, 0.0, 30.0, 60.0, 10.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 58.0, 12.0, 0.0, 0.0, 52.0, "Tous les candidats", 123.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "23564", "Double licence - Informatique / Sciences de la vie - Double licence Informatique - Biologie - Campus Grands Moulins", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23564&g_ta_cod=23564", 100.0, 0.0, 0.0),
(9331, "Privé sous contrat d'association", "0860740M", "IRTS POITOU CHARENTES", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "EFTS", "IRTS POITOU CHARENTES - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 25, 270, 254, 270, 0, 49, 5, 56, 7, 21, 4, 144, 0, 0, 0, 0, 0, 147, 0, 0, 0, 26, 3, 25, 2, 4, 0, 92, 47, 25, 24, 25, 0, 12.0, 24.0, 24.0, 0, 0, 7, 2, 5, 0, 18, 0, 0, 3, 4, 0, 0.0, 2, 5, 0, 0, 0, 2, 2, 48.0, 96.0, 96.0, 96.0, 28.59765625, 28.59765625, 0, 0.0, 28.0, 0.0, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 28.59765625, 28.59765625, 71.390625, 71.390625, 0.0, 0.0, 4.0, 1.0, 0.0, 0.0, 36.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "24935", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24935&g_ta_cod=24935", 56.0, 32.0, 12.0),
(9332, "Privé sous contrat d'association", "0593061G", "Lycée Saint Luc Cambrai", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "BTS", "Lycée Saint Luc Cambrai - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 36, 233, 93, 179, 0, 26, 4, 52, 13, 64, 23, 37, 54, 3, 14, 8, 29, 110, 7, 0, 0, 22, 3, 34, 4, 38, 12, 16, 98, 29, 16, 25, 4, 8.0, 25.0, 28.0, 0, 3, 23, 3, 10, 10, 6, 0, 9, 11, 3, 0, 0.0, 0, 5, 9, 14, 7, 23, 23, 27.59, 86.21, 96.55, 55.1953125, 100.0, 100.0, 60.8984375, 13.0, 79.296875, 0.0, 39.09375, 47.796875, 13.0, 0.0, 0.0, 13.0, 0.0, 43.5, 21.69921875, 43.5, 39.09375, 19.0, 3.0, 33.0, 11.0, 16.0, "Tous les candidats sauf les Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 59.0, "6971", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6971&g_ta_cod=6971", 14.0, 41.0, 45.0),
(9333, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "PASS", "Université Toulouse 3 Paul Sabatier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 75, 1114, 596, 1114, 0, 729, 108, 25, 9, 4, 3, 356, 0, 0, 0, 0, 0, 1114, 0, 0, 0, 729, 108, 25, 9, 4, 3, 356, 568, 71, 37, 71, 0, 0.0, 23.0, 60.0, 0, 5, 30, 29, 1, 0, 41, 0, 10, 13, 7, 0, 0.0, 20, 0, 0, 0, 0, 27, 27, 0.0, 32.39, 84.51, 52.09375, 90.0, 90.0, 0, 16.69921875, 42.296875, 0.0, 33.296875, 43.296875, 23.296875, 0.0, 0.0, 96.6875, 66.6875, 3.2998046875, 0.0, 0.0, 0.0, 382.0, 49.0, 1.0, 1.0, 177.0, "Tous les candidats", 5424.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 54.0, "30936", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29840&g_ta_cod=30936", 90.0, 8.0, 0.0),
(9334, "Public", "0730016W", "Lycée Monge", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "CPGE", "Lycée Monge - CPGE - TSI", "Classe préparatoire scientifique", "", 36, 296, 31, 291, 0, 0, 0, 272, 42, 0, 0, 19, 5, 0, 2, 0, 3, 217, 0, 0, 217, 0, 0, 208, 30, 0, 0, 9, 167, 29, 3, 29, 0, 14.0, 29.0, 29.0, 0, 4, 27, 0, 27, 0, 2, 0, 0, 7, 18, 2, 0.0, 0, 27, 0, 2, 1, 24, 24, 48.28, 100.0, 100.0, 10.298828125, 88.890625, 88.890625, 7.3994140625, 14.798828125, 93.09375, 0.0, 0.0, 25.8984375, 66.6875, 7.4, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 9.0, "Tous les candidats", 217.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "8782", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8782&g_ta_cod=8782", 0.0, 100.0, 0.0),
(9335, "Public", "0772127U", "Lycée Galilee", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Combs-la-Ville", "formation sélective", "BTS", "Lycée Galilee - BTS - Services - Commerce International", "BTS - Services", "", 33, 1140, 574, 868, 0, 142, 36, 263, 96, 152, 63, 311, 272, 8, 104, 43, 117, 257, 12, 0, 0, 76, 21, 91, 30, 55, 28, 35, 165, 33, 18, 24, 8, 3.0, 16.0, 24.0, 0, 5, 22, 3, 12, 7, 11, 0, 5, 14, 3, 0, 0.0, 2, 10, 5, 3, 1, 14, 20, 9.09, 48.48, 72.73, 54.5, 63.59375, 90.890625, 13.599609375, 22.69921875, 66.6875, 0.0, 22.69921875, 63.59375, 13.599609375, 0.0, 0.0, 13.599609375, 9.099609375, 54.5, 45.5, 31.796875, 22.69921875, 37.0, 9.0, 33.0, 18.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 95.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 101, "Liste d'appel propre à cette formation", 29.0, "9864", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9864&g_ta_cod=9864", 30.0, 48.0, 21.0),
(9336, "Public", "0623845T", "IFSI Campus des Métiers de la Santé - Val de Lys Artois", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Venant", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 99, 3464, 2741, 3464, 0, 607, 139, 661, 186, 298, 123, 1898, 0, 0, 0, 0, 0, 2893, 0, 0, 0, 559, 122, 556, 147, 240, 100, 1538, 1115, 99, 83, 99, 0, 0.0, 47.0, 86.0, 0, 17, 60, 26, 21, 13, 39, 0, 9, 25, 24, 2, 0.0, 23, 16, 12, 0, 0, 59, 59, 0.0, 47.47, 86.87, 83.796875, 98.296875, 98.296875, 0, 28.296875, 60.59375, 0.0, 15.0, 41.6953125, 40.0, 3.3, 0.0, 43.296875, 38.296875, 35.0, 26.69921875, 21.69921875, 20.0, 242.0, 50.0, 117.0, 48.0, 516.0, "Tous les candidats", 4423.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 41.0, "23151", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23151", 48.0, 33.0, 17.0),
(9337, "Privé sous contrat d'association", "0601164P", "Lycée professionnel Croiset", "60", "Oise", "Hauts-de-France", "Amiens", "Chantilly", "formation sélective", "BTS", "Lycée professionnel Croiset - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 278, 128, 200, 0, 6, 1, 48, 19, 47, 20, 99, 78, 4, 14, 11, 49, 81, 31, 0, 0, 5, 1, 31, 12, 34, 14, 11, 102, 18, 9, 9, 8, 4.0, 8.0, 11.0, 0, 4, 11, 2, 5, 4, 7, 0, 6, 4, 1, 0, 0.0, 1, 1, 3, 2, 1, 5, 5, 22.22, 44.44, 61.11, 50.0, 45.5, 45.5, 18.19921875, 36.3984375, 61.09375, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 18.19921875, 9.099609375, 45.5, 9.099609375, 36.3984375, 27.296875, 8.0, 2.0, 32.0, 12.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 40.0, "14559", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14559&g_ta_cod=14559", 11.0, 50.0, 33.0),
(9338, "Public", "0261560E", "Conservatoire National des Arts et Métiers - Auvergne-Rhône-Alpes - Montélimar", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Montélimar", "formation sélective", "Autre formation", "Conservatoire National des Arts et Métiers - Auvergne-Rhône-Alpes - Montélimar - Formation Supérieure de Spécialisation - Informatique et Numérique (à distance)", "Diplôme d'Université", "Informatique et Numérique (à distance)", 5, 39, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 39, 1, 1, 1, 36, 0, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 23, 1, 1, 0, 1, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 0.0, 1.0, 0.0, 20.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34939", "Formation Supérieure de Spécialisation - Informatique et Numérique (à distance)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34939&g_ta_cod=34939", 100.0, 0.0, 0.0),
(9339, "Public", "0310044E", "Lycée Déodat de Séverac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Déodat de Séverac - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 36, 383, 38, 383, 0, 29, 6, 107, 37, 156, 67, 91, 0, 0, 0, 0, 0, 237, 0, 0, 0, 28, 5, 68, 20, 104, 46, 37, 127, 32, 1, 32, 0, 3.0, 22.0, 32.0, 0, 11, 24, 1, 8, 15, 8, 0, 8, 13, 3, 0, 0.0, 0, 4, 12, 3, 0, 20, 20, 9.38, 68.75, 100.0, 3.099609375, 83.296875, 83.296875, 12.5, 45.796875, 75.0, 0.0, 33.296875, 54.1953125, 12.5, 0.0, 0.0, 4.19921875, 0.0, 33.296875, 16.69921875, 62.5, 50.0, 18.0, 5.0, 53.0, 26.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 100, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 52.0, "4060", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4060&g_ta_cod=4060", 13.0, 34.0, 53.0),
(9340, "Public", "0570099Y", "Lycée Henri Nominé", "57", "Moselle", "Grand Est", "Nancy-Metz", "Sarreguemines", "formation sélective", "BTS", "Lycée Henri Nominé - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 130, 10, 124, 0, 2, 0, 43, 13, 50, 13, 29, 6, 0, 3, 0, 3, 100, 0, 0, 0, 1, 0, 43, 13, 45, 10, 11, 62, 13, 0, 13, 0, 3.0, 12.0, 12.0, 0, 2, 12, 0, 5, 7, 1, 0, 4, 4, 4, 0, 0.0, 0, 3, 5, 8, 0, 11, 11, 23.08, 92.31, 92.31, 0.0, 91.6875, 91.6875, 66.6875, 16.69921875, 92.296875, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 0.0, 41.6953125, 25.0, 58.296875, 41.6953125, 1.0, 0.0, 30.0, 7.0, 7.0, "Tous les candidats sauf les Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 68.0, "6557", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6557&g_ta_cod=6557", 0.0, 46.0, 54.0),
(9341, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Etudes culturelles - Parcours Métiers du livre et médiation numérique", "Licence - Arts-lettres-langues", "Métiers du livre et médiation numérique", 80, 520, 426, 508, 0, 296, 63, 29, 6, 9, 5, 174, 12, 0, 0, 0, 12, 508, 11, 0, 0, 296, 63, 29, 6, 9, 5, 174, 392, 78, 60, 74, 4, 58.0, 58.0, 71.0, 0, 12, 47, 45, 1, 1, 31, 1, 12, 21, 10, 3, 0.0, 34, 0, 0, 0, 0, 16, 16, 74.36, 74.36, 91.03, 76.890625, 34.0, 34.0, 0, 25.5, 60.296875, 2.099609375, 25.5, 44.6953125, 21.296875, 6.4, 0.0, 95.6875, 72.296875, 2.099609375, 0.0, 2.099609375, 0.0, 240.0, 53.0, 8.0, 5.0, 125.0, "Tous les candidats", 428.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "15264", "Licence - Etudes culturelles - Parcours Métiers du livre et médiation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15264&g_ta_cod=15264", 90.0, 5.0, 5.0),
(9342, "Public", "0755188G", "Sorbonne Université - Médecine", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation non sélective", "PASS", "Sorbonne Université ? Médecine - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Lettres: Sciences du langage et humanités", 200, 5895, 4371, 5895, 0, 4070, 874, 143, 64, 41, 27, 1641, 0, 0, 0, 0, 0, 5895, 0, 0, 0, 4070, 874, 143, 64, 41, 27, 1641, 1052, 198, 171, 198, 0, 18.0, 145.0, 182.0, 0, 32, 185, 185, 0, 0, 13, 0, 2, 29, 92, 58, 4.0, 183, 0, 0, 0, 0, 69, 173, 9.09, 73.23, 91.92, 86.390625, 37.296875, 93.5, 0, 17.296875, 93.390625, 0.0, 1.099853515625, 15.69921875, 49.6953125, 31.4, 2.2, 100.0, 98.890625, 0.0, 0.0, 0.0, 0.0, 1006.0, 194.0, 0.0, 0.0, 46.0, "Tous les candidats", 4407.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "28675", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28476&g_ta_cod=28675", 100.0, 0.0, 0.0),
(9343, "Public", "0641732K", "Lycée Saint-John Perse", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "BTS", "Lycée Saint-John Perse - BTS - Services - Commerce International", "BTS - Services", "", 35, 859, 450, 859, 0, 208, 44, 213, 66, 124, 48, 314, 0, 0, 0, 0, 0, 539, 0, 0, 0, 200, 43, 170, 51, 82, 26, 87, 145, 33, 18, 33, 0, 5.0, 28.0, 31.0, 0, 9, 28, 5, 14, 9, 5, 0, 7, 16, 4, 1, 0.0, 4, 10, 7, 3, 3, 23, 23, 15.15, 84.85, 93.94, 54.5, 82.09375, 82.09375, 10.69921875, 32.09375, 84.796875, 0.0, 25.0, 57.09375, 14.298828125, 3.6, 0.0, 17.8984375, 14.298828125, 50.0, 35.6953125, 32.09375, 25.0, 25.0, 7.0, 36.0, 12.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 23.0, "7774", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7774&g_ta_cod=7774", 21.0, 45.0, 33.0),
(9344, "Public", "0811199N", "I.U.T de Toulouse - Antenne de Castres", "81", "Tarn", "Occitanie", "Toulouse", "Castres", "formation sélective", "BUT", "I.U.T de Toulouse - Antenne de Castres - BUT - Packaging, emballage et conditionnement Parcours : Eco-conception homologation supply chain", "BUT - Production", "Eco-conception homologation supply chain", 28, 259, 146, 250, 0, 113, 6, 84, 17, 3, 1, 50, 9, 1, 1, 0, 7, 209, 3, 0, 0, 111, 6, 58, 10, 0, 0, 40, 150, 22, 10, 20, 2, 5.0, 14.0, 20.0, 0, 3, 13, 9, 4, 0, 9, 0, 7, 5, 1, 0, 0.0, 5, 1, 0, 0, 0, 7, 7, 22.73, 63.64, 90.91, 45.5, 53.796875, 53.796875, 0, 23.09765625, 59.09375, 0.0, 53.796875, 38.5, 7.69921875, 0.0, 0.0, 69.1875, 38.5, 30.796875, 7.69921875, 0.0, 0.0, 65.0, 6.0, 0.0, 0.0, 32.0, "Tous les candidats sauf les Bac technologiques", 139.0, "Bacheliers technologiques toutes séries", 70, "", 0, "Liste d'appel propre à cette formation", 83.0, "10294", "BUT - Packaging, emballage et conditionnement Parcours : Eco-conception homologation supply chain", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10294&g_ta_cod=10294", 59.0, 41.0, 0.0),
(9345, "Public", "0660011D", "Lycée Jean Lurcat", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée Jean Lurcat - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 830, 422, 830, 0, 67, 22, 310, 137, 230, 119, 223, 0, 0, 0, 0, 0, 756, 0, 0, 0, 66, 21, 310, 137, 230, 119, 150, 158, 32, 13, 32, 0, 5.0, 24.0, 31.0, 0, 19, 30, 2, 15, 13, 2, 1, 6, 17, 6, 0, 0.0, 0, 12, 11, 4, 1, 30, 30, 15.63, 75.0, 96.88, 40.59375, 100.0, 100.0, 13.298828125, 63.296875, 93.796875, 3.2998046875, 20.0, 56.6953125, 20.0, 0.0, 0.0, 6.69921875, 0.0, 50.0, 40.0, 43.296875, 36.6953125, 6.0, 3.0, 73.0, 36.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 118, "Bacheliers technologiques toutes séries", 104, "Liste d'appel propre à cette formation", 27.0, "7852", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7852&g_ta_cod=7852", 6.0, 53.0, 41.0),
(9346, "Privé sous contrat d'association", "0740098E", "Lycée Saint Joseph", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Sallanches", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 30, 153, 73, 152, 0, 13, 2, 49, 13, 62, 18, 28, 1, 0, 0, 0, 1, 128, 1, 0, 0, 11, 1, 43, 10, 51, 11, 23, 88, 27, 14, 26, 0, 9.0, 19.0, 23.0, 0, 5, 23, 1, 10, 12, 4, 0, 7, 11, 3, 2, 0.0, 1, 6, 9, 1, 0, 21, 21, 33.33, 70.37, 85.19, 51.8984375, 91.296875, 91.296875, 4.2998046875, 21.69921875, 85.1875, 0.0, 30.3984375, 47.796875, 13.0, 8.7, 0.0, 4.2998046875, 4.2998046875, 43.5, 26.09765625, 52.1953125, 39.09375, 7.0, 1.0, 39.0, 9.0, 13.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 69.0, "8885", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8885&g_ta_cod=8885", 4.0, 44.0, 52.0),
(9347, "Public", "0631861F", "Lycée René Descartes", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Cournon-d'Auvergne", "formation sélective", "Autre formation", "Lycée René Descartes - DN MADE - Espace - - Spécialité : Espace in situ", "DN MADE", "- Spécialité : Espace in situ", 15, 534, 423, 534, 0, 253, 44, 126, 21, 69, 17, 86, 0, 0, 0, 0, 0, 201, 0, 0, 0, 100, 19, 72, 13, 14, 0, 15, 42, 14, 11, 14, 0, 5.0, 14.0, 14.0, 0, 1, 14, 6, 7, 1, 0, 0, 1, 7, 5, 1, 0.0, 5, 7, 1, 0, 0, 7, 7, 35.71, 100.0, 100.0, 78.59375, 50.0, 50.0, 0, 7.099609375, 100.0, 0.0, 7.099609375, 50.0, 35.6953125, 7.1, 0.0, 42.8984375, 35.6953125, 50.0, 50.0, 7.099609375, 7.099609375, 18.0, 5.0, 1.0, 0.0, 2.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "24455", "DN MADE - Espace - - Spécialité : Espace in situ", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24455&g_ta_cod=24455", 43.0, 50.0, 7.0),
(9348, "Public", "0801700N", "Lycée Jean- Baptiste Delambre", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Jean- Baptiste Delambre - BTS - Production - Electrotechnique", "BTS - Production", "", 22, 165, 9, 162, 0, 6, 2, 38, 16, 82, 32, 36, 3, 0, 0, 2, 1, 137, 1, 0, 0, 3, 1, 36, 16, 82, 32, 16, 95, 16, 0, 16, 0, 3.0, 15.0, 16.0, 0, 9, 12, 0, 3, 9, 4, 0, 7, 2, 1, 2, 0.0, 0, 1, 4, 2, 0, 11, 11, 18.75, 93.75, 100.0, 0.0, 91.6875, 91.6875, 16.69921875, 75.0, 75.0, 0.0, 58.296875, 16.69921875, 8.298828125, 16.7, 0.0, 0.0, 0.0, 25.0, 8.298828125, 75.0, 33.296875, 3.0, 1.0, 64.0, 26.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 73.0, "10237", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10237&g_ta_cod=10237", 6.0, 31.0, 63.0),
(9349, "Privé sous contrat d'association", "0211090W", "Lycée saint bénigne", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée saint bénigne - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 33, 335, 33, 307, 0, 71, 10, 76, 14, 68, 17, 92, 28, 2, 0, 13, 13, 235, 3, 0, 0, 67, 9, 55, 9, 62, 15, 51, 132, 24, 3, 22, 2, 11.0, 17.0, 20.0, 0, 3, 17, 5, 8, 4, 7, 0, 5, 10, 2, 0, 0.0, 3, 5, 4, 6, 0, 13, 13, 45.83, 70.83, 83.33, 12.5, 76.5, 76.5, 35.296875, 17.59765625, 70.796875, 0.0, 29.3984375, 58.796875, 11.798828125, 0.0, 0.0, 29.3984375, 17.59765625, 47.09375, 29.3984375, 23.5, 23.5, 35.0, 6.0, 40.0, 10.0, 31.0, "Tous les candidats sauf les Bac professionnels", 92.0, "Bacheliers professionnels toutes séries", 61, "", 0, "Liste d'appel propre à cette formation", 50.0, "3224", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3224&g_ta_cod=3224", 42.0, 42.0, 17.0),
(9350, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Institut Catholique Paris - Licence - Langues étrangères appliquées - Parcours Anglais-Espagnol", "Licence - Arts-lettres-langues", "Anglais-Espagnol", 90, 693, 509, 503, 0, 326, 33, 37, 9, 12, 6, 128, 190, 65, 19, 9, 97, 411, 59, 0, 0, 292, 24, 26, 3, 9, 5, 84, 433, 91, 72, 71, 20, 29.0, 70.0, 78.0, 0, 9, 68, 63, 2, 3, 23, 0, 20, 32, 16, 0, 0.0, 48, 0, 0, 0, 0, 17, 59, 31.87, 76.92, 85.71, 79.09375, 25.0, 86.796875, 0, 13.19921875, 74.6875, 0.0, 29.3984375, 47.09375, 23.5, 0.0, 0.0, 92.59375, 70.59375, 2.89990234375, 0.0, 4.3994140625, 0.0, 294.0, 27.0, 10.0, 6.0, 102.0, "Tous les candidats", 410.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "19907", "Licence - Langues étrangères appliquées - Parcours Anglais-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19907&g_ta_cod=19907", 91.0, 5.0, 3.0),
(9351, "Public", "0311870P", "IFSI CHU de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "IFSI", "Regroupement d'IFSI Université Toulouse - D.E Infirmier", "D.E secteur sanitaire", "", 20, 8787, 7498, 8787, 0, 1439, 323, 1498, 460, 1138, 448, 4712, 0, 0, 0, 0, 0, 5420, 0, 0, 0, 1263, 269, 952, 274, 606, 226, 2599, 517, 18, 16, 17, 0, 0.0, 1.0, 4.0, 0, 3, 8, 3, 4, 1, 10, 0, 1, 4, 3, 0, 0.0, 2, 4, 1, 0, 0, 5, 5, 0.0, 5.56, 22.22, 88.890625, 62.5, 62.5, 0, 37.5, 44.3984375, 0.0, 12.5, 50.0, 37.5, 0.0, 0.0, 37.5, 25.0, 50.0, 50.0, 12.5, 12.5, 150.0, 38.0, 24.0, 7.0, 309.0, "Tous les candidats", 2040.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "25247", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22985&g_ta_cod=25247", 39.0, 33.0, 22.0),
(9352, "Public", "0940113M", "Lycée Langevin-Wallon", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Champigny-sur-Marne", "formation sélective", "BTS", "Lycée Langevin-Wallon - BTS - Production - Electrotechnique", "BTS - Production", "", 22, 367, 4, 326, 0, 9, 3, 36, 16, 196, 91, 85, 41, 1, 21, 0, 19, 210, 1, 0, 0, 8, 3, 19, 8, 154, 71, 29, 111, 16, 0, 16, 0, 2.0, 9.0, 14.0, 0, 7, 14, 1, 1, 12, 2, 0, 3, 8, 2, 1, 0.0, 0, 0, 11, 0, 0, 14, 14, 12.5, 56.25, 87.5, 0.0, 100.0, 100.0, 0, 50.0, 87.5, 0.0, 21.3984375, 57.09375, 14.298828125, 7.1, 0.0, 7.099609375, 0.0, 7.099609375, 0.0, 85.6875, 78.59375, 8.0, 3.0, 70.0, 30.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 115, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 49.0, "11371", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11371&g_ta_cod=11371", 6.0, 19.0, 75.0),
(9353, "Public", "0801265R", "IUT d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BUT", "IUT d'Amiens - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 85, 836, 543, 785, 0, 425, 48, 139, 38, 3, 1, 218, 51, 0, 29, 0, 22, 713, 16, 0, 0, 423, 47, 131, 32, 0, 0, 159, 442, 81, 55, 71, 9, 15.0, 53.0, 79.0, 0, 10, 65, 42, 23, 0, 16, 0, 23, 24, 17, 1, 0.0, 31, 11, 0, 0, 0, 43, 43, 18.52, 65.43, 97.53, 67.890625, 66.1875, 66.1875, 0, 15.3984375, 80.1875, 0.0, 35.3984375, 36.8984375, 26.19921875, 1.5, 0.0, 64.59375, 47.6953125, 35.3984375, 16.8984375, 0.0, 0.0, 234.0, 27.0, 0.0, 0.0, 70.0, "Tous les candidats sauf les Bac technologiques", 487.0, "Bacheliers technologiques toutes séries", 143, "", 0, "Liste d'appel propre à cette formation", 80.0, "10177", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10177&g_ta_cod=10177", 67.0, 33.0, 0.0),
(9354, "Public", "9741050Y", "Lycée Louis Payen", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Paul", "formation sélective", "BTS", "Lycée Louis Payen - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 496, 370, 496, 0, 34, 11, 193, 123, 176, 119, 93, 0, 0, 0, 0, 0, 471, 0, 0, 0, 22, 6, 193, 123, 176, 119, 80, 108, 28, 25, 28, 0, 8.0, 26.0, 26.0, 0, 17, 28, 2, 14, 12, 0, 0, 6, 16, 5, 1, 0.0, 2, 8, 12, 1, 1, 28, 28, 28.57, 92.86, 92.86, 89.296875, 100.0, 100.0, 3.599609375, 60.6953125, 100.0, 0.0, 21.3984375, 57.09375, 17.8984375, 3.6, 0.0, 7.099609375, 7.099609375, 50.0, 28.59765625, 42.8984375, 42.8984375, 7.0, 3.0, 43.0, 31.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 108, "Liste d'appel propre à cette formation", 32.0, "11945", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11945&g_ta_cod=11945", 7.0, 50.0, 43.0),
(9355, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Droit - Parcours Droit - Langue", "Licence - Droit-économie-gestion", "Droit - Langue", 75, 741, 537, 412, 0, 333, 80, 28, 20, 7, 2, 44, 329, 108, 35, 15, 171, 412, 0, 0, 0, 333, 80, 28, 20, 7, 2, 44, 268, 48, 40, 47, 0, 4.0, 47.0, 47.0, 0, 13, 44, 38, 3, 3, 4, 0, 14, 11, 13, 5, 1.0, 26, 2, 2, 0, 0, 34, 34, 8.33, 97.92, 97.92, 83.296875, 77.296875, 77.296875, 0, 29.5, 91.6875, 0.0, 31.796875, 25.0, 29.5, 11.4, 2.3, 86.390625, 59.09375, 6.7998046875, 4.5, 6.7998046875, 4.5, 221.0, 59.0, 5.0, 2.0, 26.0, "Tous les candidats", 411.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15641", "Licence - Droit - Parcours Droit - Langue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15641&g_ta_cod=15641", 85.0, 8.0, 6.0),
(9356, "Public", "0071351F", "Lycée Xavier Mallet", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Le Teil", "formation sélective", "Autre formation", "Lycée Xavier Mallet - Mention complémentaire - FCIL Secrétariat Assistant Médico-Social", "Mention complémentaire", "", 8, 58, 54, 54, 0, 2, 0, 3, 0, 23, 11, 26, 4, 0, 1, 1, 2, 47, 1, 0, 0, 2, 0, 3, 0, 21, 9, 21, 38, 6, 5, 6, 0, 1.0, 5.0, 6.0, 0, 0, 2, 0, 0, 2, 4, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 16.67, 83.33, 100.0, 83.296875, 100.0, 100.0, 0, 0.0, 33.296875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 3.0, 0.0, 19.0, 8.0, 13.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "26508", "Mention complémentaire - FCIL Secrétariat Assistant Médico-Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26508&g_ta_cod=26508", 50.0, 0.0, 50.0),
(9357, "Privé enseignement supérieur", "0694413X", "Sup'Biotech Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 3e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Sup'Biotech Paris - Formation d'ingénieur Bac + 5 - Bac STL", "Formations  des écoles d'ingénieurs", "Bac STL", 3, 30, 20, 30, 0, 0, 0, 30, 9, 0, 0, 0, 0, 0, 0, 0, 0, 15, 0, 0, 0, 0, 0, 15, 4, 0, 0, 0, 9, 4, 2, 4, 0, 1.0, 3.0, 4.0, 0, 1, 4, 0, 4, 0, 0, 0, 0, 0, 3, 1, 0.0, 0, 4, 0, 0, 0, 1, 1, 25.0, 75.0, 100.0, 50.0, 25.0, 25.0, 0, 25.0, 100.0, 0.0, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "30029", "Formation d'ingénieur Bac + 5 - Bac STL", "Sup'Biotech Paris", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19537&g_ta_cod=30029", 0.0, 100.0, 0.0),
(9358, "Public", "0710054Y", "Lycée Henri Parriat", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Montceau-les-Mines", "formation sélective", "BTS", "Lycée Henri Parriat - BTS - Services - Métiers des Services à l'environnement", "BTS - Services", "", 15, 177, 67, 171, 0, 30, 6, 32, 13, 16, 7, 93, 6, 1, 3, 0, 2, 83, 3, 0, 0, 30, 6, 30, 12, 14, 6, 9, 67, 14, 6, 13, 1, 2.0, 11.0, 12.0, 0, 1, 14, 7, 4, 3, 0, 0, 11, 3, 0, 0, 0.0, 1, 0, 2, 4, 1, 8, 8, 14.29, 78.57, 85.71, 42.8984375, 57.09375, 57.09375, 28.59765625, 7.099609375, 100.0, 0.0, 78.59375, 21.3984375, 0.0, 0.0, 0.0, 50.0, 7.099609375, 28.59765625, 0.0, 21.3984375, 14.298828125, 24.0, 6.0, 11.0, 4.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 46.0, "8643", "BTS - Services - Métiers des Services à l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8643&g_ta_cod=8643", 50.0, 29.0, 21.0),
(9359, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Portail Portail Economie - Gestion", "Licence - Droit-économie-gestion", "Portail Economie - Gestion", 230, 2226, 1045, 2109, 0, 1376, 284, 180, 57, 32, 15, 521, 117, 17, 11, 5, 84, 2022, 93, 0, 0, 1376, 284, 180, 57, 32, 15, 434, 1421, 202, 62, 162, 39, 7.0, 133.0, 164.0, 0, 36, 121, 101, 16, 4, 81, 0, 66, 30, 21, 4, 0.0, 48, 5, 2, 0, 0, 114, 114, 3.47, 65.84, 81.19, 30.69921875, 94.1875, 94.1875, 0, 29.796875, 59.8984375, 0.0, 54.5, 24.796875, 17.3984375, 3.3, 0.0, 83.5, 39.6953125, 13.19921875, 4.099609375, 3.2998046875, 1.699951171875, 954.0, 204.0, 18.0, 9.0, 356.0, "Tous les candidats", 2170.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 95.0, "20583", "Licence - Portail Portail Economie - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26958&g_ta_cod=20583", 76.0, 17.0, 6.0),
(9360, "Public", "0932268K", "Institut National du Patrimoine (département des restaurateurs)", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "Autre formation", "Institut National du Patrimoine (département des restaurateurs) - Conservation-restauration des biens culturels - spécialité - Photographie et image numérique", "Formations Bac + 5", "spécialité - Photographie et image numérique", 2, 5, 3, 5, 0, 0, 0, 0, 0, 1, 1, 4, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 1, 2, 0, 2.0, 2.0, 2.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 50.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 2.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "28363", "Conservation-restauration des biens culturels - spécialité - Photographie et image numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28363&g_ta_cod=28363", 100.0, 0.0, 0.0),
(9361, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université de Montpellier - Licence - Sciences de la terre - Parcours Licence - Portail Terre Eau Environnement (TEE)", "Licence - Sciences - technologies - santé", "Licence - Portail Terre Eau Environnement (TEE)", 60, 536, 265, 527, 0, 339, 65, 16, 1, 2, 1, 170, 9, 1, 1, 0, 7, 523, 8, 0, 0, 339, 65, 16, 1, 2, 1, 166, 382, 61, 24, 59, 2, 59.0, 59.0, 59.0, 0, 8, 55, 54, 1, 0, 6, 1, 15, 20, 15, 4, 0.0, 38, 1, 0, 0, 0, 35, 35, 96.72, 96.72, 96.72, 39.296875, 63.59375, 63.59375, 0, 14.5, 90.1875, 1.7998046875, 27.296875, 36.3984375, 27.296875, 7.3, 0.0, 98.1875, 69.09375, 1.7998046875, 1.7998046875, 0.0, 0.0, 255.0, 52.0, 0.0, 0.0, 123.0, "Tous les candidats", 350.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "31266", "Licence - Sciences de la terre - Parcours Licence - Portail Terre Eau Environnement (TEE)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31266&g_ta_cod=31266", 98.0, 2.0, 0.0),
(9362, "Public", "0680008P", "Lycée Camille See", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "Autre formation", "Lycée Camille See - Diplôme de Comptabilité et de Gestion", "DCG", "", 44, 585, 295, 495, 0, 199, 35, 95, 33, 20, 7, 181, 90, 9, 11, 6, 64, 217, 26, 0, 0, 147, 19, 43, 17, 1, 1, 26, 175, 37, 16, 28, 9, 7.0, 28.0, 32.0, 0, 3, 29, 24, 5, 0, 8, 0, 3, 17, 8, 1, 0.0, 22, 4, 0, 0, 0, 28, 28, 18.92, 75.68, 86.49, 43.1953125, 96.59375, 96.59375, 0, 10.298828125, 78.390625, 0.0, 10.298828125, 58.59375, 27.59765625, 3.4, 0.0, 82.796875, 75.890625, 17.19921875, 13.798828125, 0.0, 0.0, 113.0, 15.0, 0.0, 0.0, 37.0, "Tous les candidats", 216.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "8087", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8087&g_ta_cod=8087", 81.0, 19.0, 0.0),
(9363, "Privé enseignement supérieur", "0512185Y", "ICP - Antenne de Reims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Licence", "ICP - Antenne de Reims - Licence - Information et communication - Parcours Humanités et diversité des langages", "Licence - Sciences humaines et sociales", "Humanités et diversité des langages", 50, 171, 114, 90, 0, 67, 6, 7, 4, 1, 0, 15, 81, 28, 4, 2, 47, 49, 47, 0, 0, 42, 3, 2, 1, 0, 0, 5, 96, 15, 11, 9, 6, 9.0, 9.0, 13.0, 0, 2, 11, 10, 1, 0, 4, 0, 1, 5, 4, 1, 0.0, 9, 1, 0, 0, 0, 7, 7, 60.0, 60.0, 86.67, 73.296875, 63.59375, 63.59375, 0, 18.19921875, 73.296875, 0.0, 9.099609375, 45.5, 36.3984375, 9.1, 0.0, 90.890625, 81.796875, 9.099609375, 9.099609375, 0.0, 0.0, 63.0, 7.0, 0.0, 0.0, 30.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "32868", "Licence - Information et communication - Parcours Humanités et diversité des langages", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32868&g_ta_cod=32868", 93.0, 7.0, 0.0),
(9364, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 3 Paul Sabatier - Licence - Portail Mécanique", "Licence - Sciences - technologies - santé", "", 130, 1041, 150, 964, 0, 624, 81, 82, 17, 7, 2, 251, 77, 12, 4, 1, 60, 964, 51, 0, 0, 624, 81, 82, 17, 7, 2, 251, 770, 115, 17, 90, 25, 16.0, 61.0, 96.0, 0, 8, 64, 60, 2, 2, 51, 0, 28, 25, 11, 0, 0.0, 34, 0, 2, 0, 0, 23, 23, 13.91, 53.04, 83.48, 14.798828125, 35.8984375, 35.8984375, 0, 12.5, 55.6953125, 0.0, 43.796875, 39.09375, 17.19921875, 0.0, 0.0, 93.796875, 53.09375, 3.099609375, 0.0, 3.099609375, 3.099609375, 553.0, 69.0, 4.0, 0.0, 187.0, "Tous les candidats", 999.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "4187", "Licence - Portail Mécanique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27526&g_ta_cod=4187", 89.0, 8.0, 3.0),
(9365, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Université de Rennes 2 - DEUST - Métiers de l'animation sociale, socio-éducative et socio-culturelle", "DEUST", "", 22, 342, 230, 342, 0, 77, 10, 75, 9, 60, 24, 130, 0, 0, 0, 0, 0, 226, 0, 0, 0, 56, 5, 50, 5, 31, 16, 89, 59, 22, 12, 22, 0, 9.0, 13.0, 20.0, 0, 3, 6, 2, 2, 2, 16, 0, 2, 3, 1, 0, 0.0, 2, 0, 2, 0, 0, 6, 6, 40.91, 59.09, 90.91, 54.5, 100.0, 100.0, 0, 50.0, 27.296875, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 33.296875, 33.296875, 8.0, 2.0, 9.0, 6.0, 32.0, "Tous les candidats", 76.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "21490", "DEUST - Métiers de l'animation sociale, socio-éducative et socio-culturelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21490&g_ta_cod=21490", 45.0, 32.0, 23.0),
(9366, "Public", "0640057P", "Lycée Saint-Cricq", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "BTS", "Lycée Saint-Cricq - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 212, 52, 212, 0, 10, 4, 78, 24, 53, 20, 71, 0, 0, 0, 0, 0, 167, 0, 0, 0, 10, 4, 72, 23, 53, 20, 32, 88, 24, 3, 24, 0, 5.0, 20.0, 21.0, 0, 9, 20, 1, 7, 12, 4, 0, 11, 8, 1, 0, 0.0, 0, 4, 5, 2, 0, 18, 18, 20.83, 83.33, 87.5, 12.5, 90.0, 90.0, 10, 45.0, 83.296875, 0.0, 55.0, 40.0, 5.0, 0.0, 0.0, 5.0, 0.0, 35.0, 20.0, 60.0, 25.0, 7.0, 3.0, 37.0, 15.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 48.0, "7714", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7714&g_ta_cod=7714", 8.0, 38.0, 54.0),
(9367, "Public", "0601824G", "Lycée Jeanne Hachette", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "BTS", "Lycée Jeanne Hachette - BTS - Services - Communication", "BTS - Services", "", 33, 845, 507, 773, 0, 144, 32, 135, 36, 82, 25, 412, 72, 0, 0, 37, 35, 345, 4, 0, 0, 136, 30, 77, 20, 36, 12, 96, 134, 29, 20, 27, 0, 7.0, 22.0, 25.0, 0, 5, 20, 8, 6, 6, 9, 0, 2, 10, 6, 2, 0.0, 8, 5, 5, 3, 3, 19, 19, 24.14, 75.86, 86.21, 69.0, 95.0, 95.0, 15, 25.0, 69.0, 0.0, 10.0, 50.0, 30.0, 10.0, 0.0, 40.0, 40.0, 30.0, 25.0, 30.0, 25.0, 38.0, 9.0, 28.0, 7.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 21.0, "7268", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7268&g_ta_cod=7268", 45.0, 34.0, 21.0),
(9368, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Allemand", "Licence - Arts-lettres-langues", "Allemand", 50, 88, 65, 84, 0, 51, 13, 6, 5, 4, 2, 23, 4, 0, 1, 0, 3, 82, 4, 0, 0, 51, 13, 6, 5, 4, 2, 21, 83, 6, 5, 4, 2, 4.0, 4.0, 6.0, 0, 1, 3, 3, 0, 0, 3, 0, 1, 0, 0, 2, 0.0, 2, 0, 0, 0, 0, 1, 1, 66.67, 66.67, 100.0, 83.296875, 33.296875, 33.296875, 0, 33.296875, 50.0, 0.0, 33.296875, 0.0, 0.0, 66.7, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 51.0, 13.0, 2.0, 2.0, 23.0, "Tous les candidats", 132.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 94.0, "6605", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26928&g_ta_cod=6605", 83.0, 0.0, 17.0),
(9369, "Privé sous contrat d'association", "0851642Y", "LGT PRIVE SAINT-FRANCOIS D'ASSISE", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "LGT PRIVE SAINT-FRANCOIS D'ASSISE - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 15, 90, 4, 90, 0, 11, 0, 16, 2, 51, 7, 12, 0, 0, 0, 0, 0, 85, 0, 0, 0, 11, 0, 16, 2, 48, 5, 10, 42, 15, 1, 15, 0, 9.0, 14.0, 15.0, 0, 2, 13, 1, 2, 10, 2, 0, 0, 6, 7, 0, 0.0, 1, 2, 10, 1, 0, 13, 13, 60.0, 93.33, 100.0, 6.69921875, 100.0, 100.0, 7.69921875, 15.3984375, 86.6875, 0.0, 0.0, 46.1953125, 53.796875, 0.0, 0.0, 7.69921875, 7.69921875, 15.3984375, 15.3984375, 76.890625, 76.890625, 6.0, 0.0, 25.0, 4.0, 5.0, "Tous les candidats sauf les Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 62.0, "10508", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10508&g_ta_cod=10508", 7.0, 20.0, 73.0),
(9370, "Privé sous contrat d'association", "0593117T", "Lycée polyvalent privé La Salle", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée polyvalent privé La Salle - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 55, 494, 199, 453, 0, 54, 4, 156, 23, 147, 31, 96, 41, 6, 8, 2, 25, 235, 1, 0, 0, 39, 4, 101, 14, 74, 10, 21, 135, 41, 13, 41, 0, 13.0, 35.0, 41.0, 0, 6, 39, 7, 17, 15, 2, 0, 20, 11, 7, 1, 0.0, 1, 5, 13, 16, 2, 37, 37, 31.71, 85.37, 100.0, 31.69921875, 94.890625, 94.890625, 41, 15.3984375, 95.09375, 0.0, 51.296875, 28.19921875, 17.8984375, 2.6, 0.0, 17.8984375, 2.599609375, 43.59375, 12.798828125, 38.5, 33.296875, 24.0, 5.0, 42.0, 7.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 41.0, "17472", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17472&g_ta_cod=17472", 20.0, 41.0, 39.0),
(9371, "Privé enseignement supérieur", "0922663V", "IESEG School of Management - Paris La Défense", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Ecole de Commerce", "Concours ACCES - Formation des écoles de commerce et de management Bac + 5", "Formation des écoles de commerce et de management", "", 450, 5165, 2260, 5165, 0, 4708, 97, 109, 9, 1, 0, 347, 0, 0, 0, 0, 0, 2383, 0, 0, 0, 2218, 32, 9, 1, 0, 0, 156, 1492, 537, 264, 537, 0, 331.0, 495.0, 528.0, 0, 9, 496, 493, 3, 0, 41, 1, 32, 180, 240, 41, 2.0, 460, 3, 0, 0, 0, 232, 426, 61.64, 92.18, 98.32, 49.1953125, 46.796875, 85.890625, 0, 1.7998046875, 92.390625, 0.199981689453125, 6.5, 36.296875, 48.3984375, 8.3, 0.4, 99.390625, 92.6875, 0.5999755859375, 0.5999755859375, 0.0, 0.0, 1394.0, 29.0, 0.0, 0.0, 93.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "26011", "Formation des écoles de commerce et de management Bac + 5", "Concours ACCES", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26003&g_ta_cod=26011", 99.0, 1.0, 0.0),
(9372, "Public", "0390810U", "Lycée agricole Edgar Faure", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Montmorot", "formation sélective", "BTS", "Lycée agricole Edgar Faure - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 28, 630, 275, 630, 0, 196, 30, 160, 34, 112, 22, 162, 0, 0, 0, 0, 0, 281, 0, 0, 0, 123, 17, 69, 16, 41, 8, 48, 80, 27, 15, 27, 0, 11.0, 25.0, 25.0, 0, 7, 24, 13, 4, 7, 3, 0, 4, 6, 12, 2, 0.0, 12, 4, 4, 3, 1, 8, 8, 40.74, 92.59, 92.59, 55.59375, 33.296875, 33.296875, 12.5, 29.19921875, 88.890625, 0.0, 16.69921875, 25.0, 50.0, 8.3, 0.0, 54.1953125, 50.0, 16.69921875, 16.69921875, 29.19921875, 16.69921875, 44.0, 6.0, 13.0, 2.0, 10.0, "Tous les candidats sauf les Bac professionnels", 113.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 20.0, "5173", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5173&g_ta_cod=5173", 59.0, 15.0, 26.0),
(9373, "Public", "0141234R", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Caen", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Caen - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client -  Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client -  Stratégie de marque et événementiel", 162, 2989, 1457, 2989, 0, 1636, 197, 812, 151, 39, 11, 502, 0, 0, 0, 0, 0, 1357, 0, 0, 0, 697, 68, 525, 96, 5, 1, 130, 523, 161, 81, 161, 0, 42.0, 151.0, 158.0, 0, 20, 154, 76, 77, 1, 7, 0, 13, 80, 53, 8, 0.0, 71, 69, 1, 0, 0, 130, 130, 26.09, 93.79, 98.14, 50.296875, 84.390625, 84.390625, 0, 13.0, 95.6875, 0.0, 8.3984375, 51.8984375, 34.3984375, 5.2, 0.0, 49.3984375, 46.09375, 50.0, 44.796875, 0.5999755859375, 0.5999755859375, 220.0, 32.0, 2.0, 0.0, 33.0, "Tous les candidats sauf les Bac technologiques", 355.0, "Bacheliers technologiques toutes séries", 374, "", 0, "Liste d'appel propre à cette formation", 24.0, "2857", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client -  Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2857&g_ta_cod=2857", 50.0, 49.0, 1.0),
(9374, "Public", "0120937D", "L.E.G.T.A. Rodez-La Roque", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BTS", "L.E.G.T.A. Rodez-La Roque - BTS - Agricole - productions animales", "BTS - Agricole", "", 32, 480, 266, 480, 0, 130, 26, 195, 46, 49, 19, 106, 0, 0, 0, 0, 0, 325, 0, 0, 0, 125, 24, 128, 30, 38, 15, 34, 116, 37, 19, 37, 0, 10.0, 34.0, 37.0, 0, 10, 35, 14, 17, 4, 2, 0, 5, 12, 15, 2, 1.0, 10, 17, 3, 15, 7, 24, 24, 27.03, 91.89, 100.0, 51.3984375, 68.59375, 68.59375, 42.8984375, 28.59765625, 94.59375, 0.0, 14.298828125, 34.296875, 42.8984375, 5.7, 2.9, 40.0, 28.59765625, 48.59375, 48.59375, 11.3984375, 8.599609375, 50.0, 15.0, 14.0, 3.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 110.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 43.0, "2501", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2501&g_ta_cod=2501", 43.0, 46.0, 11.0),
(9375, "Public", "0060033D", "Lycée Honoré d'Estienne d'Orves (Beau-Site)", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Honoré d'Estienne d'Orves (Beau-Site) - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 70, 793, 375, 681, 0, 137, 43, 183, 59, 130, 57, 231, 112, 9, 6, 30, 67, 307, 38, 0, 0, 87, 22, 119, 34, 62, 25, 39, 271, 68, 28, 47, 20, 9.0, 35.0, 45.0, 0, 18, 48, 12, 21, 15, 20, 0, 15, 24, 7, 2, 0.0, 8, 14, 11, 1, 1, 37, 37, 13.24, 51.47, 66.18, 41.1953125, 77.09375, 77.09375, 2.099609375, 37.5, 70.59375, 0.0, 31.296875, 50.0, 14.599609375, 4.2, 0.0, 25.0, 16.69921875, 43.796875, 29.19921875, 31.296875, 22.8984375, 73.0, 18.0, 64.0, 25.0, 59.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 114.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 40.0, "2225", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2225&g_ta_cod=2225", 35.0, 35.0, 29.0),
(9376, "Public", "0750674A", "Lycée Jules SIEGFRIED", "75", "Paris", "Ile-de-France", "Paris", "Paris 10e  Arrondissement", "formation sélective", "BTS", "Lycée Jules SIEGFRIED - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 2189, 1215, 2189, 0, 191, 63, 729, 377, 549, 313, 720, 0, 0, 0, 0, 0, 2180, 0, 0, 0, 191, 63, 729, 377, 549, 313, 711, 132, 34, 23, 34, 0, 10.0, 27.0, 32.0, 0, 19, 29, 8, 12, 9, 5, 0, 11, 14, 4, 0, 0.0, 3, 10, 5, 1, 1, 2, 26, 29.41, 79.41, 94.12, 67.59375, 6.8994140625, 89.6875, 3.39990234375, 65.5, 85.296875, 0.0, 37.8984375, 48.296875, 13.798828125, 0.0, 0.0, 27.59765625, 10.298828125, 41.3984375, 34.5, 31.0, 17.19921875, 31.0, 11.0, 20.0, 12.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 121, "Liste d'appel propre à cette formation", 9.0, "9021", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9021&g_ta_cod=9021", 24.0, 50.0, 26.0),
(9377, "Public", "0350042F", "Lycée Maupertuis", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Saint-Malo", "formation sélective", "BTS", "Lycée Maupertuis - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 653, 77, 636, 0, 93, 12, 173, 29, 101, 30, 269, 17, 0, 0, 9, 8, 329, 3, 0, 0, 84, 9, 159, 25, 43, 10, 43, 137, 30, 0, 29, 1, 2.0, 21.0, 28.0, 0, 6, 21, 2, 16, 3, 9, 1, 14, 5, 1, 0, 0.0, 0, 3, 3, 0, 0, 21, 21, 6.67, 70.0, 93.33, 0.0, 100.0, 100.0, 0, 28.59765625, 70.0, 4.7998046875, 66.6875, 23.796875, 4.7998046875, 0.0, 0.0, 9.5, 0.0, 76.1875, 14.298828125, 14.298828125, 14.298828125, 13.0, 2.0, 37.0, 8.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 150, "Liste d'appel propre à cette formation", 39.0, "4652", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4652&g_ta_cod=4652", 17.0, 73.0, 10.0),
(9378, "Privé sous contrat d'association", "0383208F", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Corenc", "formation sélective", "BTS", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 160, 82, 154, 0, 33, 4, 55, 13, 26, 6, 40, 6, 1, 0, 3, 2, 130, 1, 0, 0, 32, 4, 53, 13, 16, 1, 29, 110, 17, 5, 16, 1, 2.0, 10.0, 16.0, 0, 2, 15, 5, 9, 1, 2, 3, 8, 4, 0, 0, 0.0, 0, 3, 1, 1, 1, 15, 15, 11.76, 58.82, 94.12, 29.3984375, 100.0, 100.0, 6.69921875, 13.298828125, 88.1875, 20.0, 53.296875, 26.69921875, 0.0, 0.0, 0.0, 33.296875, 0.0, 60.0, 20.0, 6.69921875, 6.69921875, 27.0, 4.0, 14.0, 1.0, 23.0, "Tous les candidats sauf les Bac professionnels", 113.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 84.0, "5098", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5098&g_ta_cod=5098", 35.0, 59.0, 6.0),
(9379, "Public", "0250013D", "Lycée professionnel Pierre-Adrien Paris", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée professionnel Pierre-Adrien Paris - BTS - Production - Travaux publics", "BTS - Production", "", 15, 361, 42, 350, 0, 38, 7, 86, 9, 66, 17, 160, 11, 2, 3, 0, 6, 133, 2, 0, 0, 33, 5, 45, 2, 42, 6, 13, 68, 12, 1, 12, 0, 2.0, 8.0, 10.0, 0, 1, 11, 2, 3, 6, 1, 0, 4, 4, 2, 1, 0.0, 0, 1, 6, 6, 1, 11, 11, 16.67, 66.67, 83.33, 8.298828125, 100.0, 100.0, 54.5, 9.099609375, 91.6875, 0.0, 36.3984375, 36.3984375, 18.19921875, 9.1, 0.0, 18.19921875, 0.0, 27.296875, 9.099609375, 54.5, 54.5, 20.0, 2.0, 16.0, 2.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 33.0, "3478", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3478&g_ta_cod=3478", 25.0, 25.0, 50.0),
(9380, "Privé sous contrat d'association", "0640111Y", "Lycée Largente", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "BTS", "Lycée Largente - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 36, 233, 104, 218, 0, 43, 10, 60, 8, 21, 8, 94, 15, 0, 5, 0, 10, 203, 5, 0, 0, 41, 9, 58, 6, 21, 8, 83, 149, 20, 10, 19, 1, 6.0, 17.0, 20.0, 0, 0, 12, 1, 8, 3, 8, 0, 2, 7, 3, 0, 0.0, 1, 6, 3, 4, 3, 11, 11, 30.0, 85.0, 100.0, 50.0, 91.6875, 91.6875, 33.296875, 0.0, 60.0, 0.0, 16.69921875, 58.296875, 25.0, 0.0, 0.0, 8.298828125, 8.298828125, 66.6875, 50.0, 25.0, 25.0, 25.0, 7.0, 17.0, 4.0, 55.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 87.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 85.0, "7719", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7719&g_ta_cod=7719", 25.0, 45.0, 30.0),
(9381, "Public", "0690047B", "Lycée professionnel Magenta", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "Autre formation", "Lycée professionnel Magenta - Mention complémentaire - FCIL Secrétariat Médico Social", "Mention complémentaire", "", 15, 293, 285, 293, 0, 8, 3, 38, 19, 165, 103, 82, 0, 0, 0, 0, 0, 293, 0, 0, 0, 8, 3, 38, 19, 165, 103, 82, 48, 15, 15, 15, 0, 3.0, 13.0, 13.0, 0, 8, 12, 2, 2, 8, 3, 0, 8, 3, 0, 1, 0.0, 0, 0, 4, 0, 0, 11, 11, 20.0, 86.67, 86.67, 100.0, 91.6875, 91.6875, 0, 66.6875, 80.0, 0.0, 66.6875, 25.0, 0.0, 8.3, 0.0, 16.69921875, 0.0, 16.69921875, 0.0, 66.6875, 33.296875, 6.0, 2.0, 27.0, 16.0, 5.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "24764", "Mention complémentaire - FCIL Secrétariat Médico Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24764&g_ta_cod=24764", 13.0, 27.0, 60.0),
(9382, "Public", "0751718K", "Université Paris 2 Panthéon - Assas", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Licence", "Université Paris 2 Panthéon - Assas - Licence - Double diplôme - Licence Droit - Droits français et de Common Law", "Licence - Droit-économie-gestion", "Droits français et de Common Law", 10, 1072, 846, 1072, 0, 830, 79, 7, 2, 1, 0, 234, 0, 0, 0, 0, 0, 50, 0, 0, 0, 50, 1, 0, 0, 0, 0, 0, 38, 9, 9, 9, 0, 2.0, 8.0, 9.0, 0, 1, 9, 9, 0, 0, 0, 0, 0, 0, 0, 3, 6.0, 9, 0, 0, 0, 0, 2, 2, 22.22, 88.89, 100.0, 100.0, 22.19921875, 22.19921875, 0, 11.099609375, 100.0, 0.0, 0.0, 0.0, 0.0, 33.3, 66.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 38.0, 1.0, 0.0, 0.0, 0.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "27190", "Licence - Double diplôme - Licence Droit - Droits français et de Common Law", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27190&g_ta_cod=27190", 100.0, 0.0, 0.0),
(9383, "Privé sous contrat d'association", "0595657D", "Institut Saint Vincent De Paul", "59", "Nord", "Hauts-de-France", "Lille", "Loos", "formation sélective", "Autre formation", "Institut Saint Vincent De Paul - DN MADE - Graphisme - - Spécialité :  Explorations typographiques Majeure : Graphisme. Mineures : Typographie ? Livre - Numérique", "DN MADE", "- Spécialité :  Explorations typographiques Majeure : Graphisme. Mineures : Typographie ? Livre - Numérique", 18, 255, 148, 156, 0, 75, 19, 30, 7, 10, 1, 41, 99, 23, 20, 10, 46, 76, 17, 0, 0, 42, 8, 21, 5, 0, 0, 13, 81, 16, 11, 7, 9, 0.0, 7.0, 15.0, 0, 0, 9, 4, 5, 0, 7, 0, 0, 6, 2, 1, 0.0, 4, 5, 0, 0, 0, 3, 3, 0.0, 43.75, 93.75, 68.796875, 33.296875, 33.296875, 0, 0.0, 56.296875, 0.0, 0.0, 66.6875, 22.19921875, 11.1, 0.0, 44.3984375, 44.3984375, 55.59375, 55.59375, 0.0, 0.0, 39.0, 7.0, 0.0, 0.0, 17.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "25034", "DN MADE - Graphisme - - Spécialité :  Explorations typographiques Majeure : Graphisme. Mineures : Typographie ? Livre - Numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25034&g_ta_cod=25034", 69.0, 31.0, 0.0),
(9384, "Public", "0450782F", "Lycée Voltaire", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Voltaire - BTS - Services - Communication", "BTS - Services", "", 30, 1361, 923, 1361, 0, 256, 55, 412, 132, 193, 85, 500, 0, 0, 0, 0, 0, 631, 0, 0, 0, 180, 35, 233, 65, 122, 53, 96, 122, 27, 22, 27, 0, 3.0, 17.0, 21.0, 0, 12, 24, 11, 9, 4, 3, 0, 2, 14, 8, 0, 0.0, 10, 8, 4, 3, 2, 20, 20, 11.11, 62.96, 77.78, 81.5, 83.296875, 83.296875, 12.5, 50.0, 88.890625, 0.0, 8.298828125, 58.296875, 33.296875, 0.0, 0.0, 45.796875, 41.6953125, 37.5, 33.296875, 16.69921875, 16.69921875, 44.0, 17.0, 10.0, 4.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 84.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 14.0, "5699", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5699&g_ta_cod=5699", 44.0, 41.0, 15.0),
(9385, "Privé sous contrat d'association", "0763409T", "Lycée Jean-Paul II", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "Autre formation", "Lycée Jean-Paul II - Année préparatoire - Classe de mise à niveau pour les préparations aux cursus scientifiques", "Année préparatoire", "Classe de mise à niveau pour les préparations aux cursus scientifiques", 30, 203, 100, 178, 0, 51, 10, 26, 3, 7, 2, 94, 25, 13, 1, 1, 10, 112, 17, 0, 0, 44, 7, 19, 2, 5, 1, 44, 104, 24, 13, 19, 5, 6.0, 19.0, 23.0, 0, 1, 14, 10, 3, 1, 10, 1, 6, 7, 0, 0, 0.0, 3, 3, 1, 0, 0, 11, 11, 25.0, 79.17, 95.83, 54.1953125, 78.59375, 78.59375, 0, 7.099609375, 58.296875, 7.099609375, 42.8984375, 50.0, 0.0, 0.0, 0.0, 71.390625, 21.3984375, 21.3984375, 21.3984375, 7.099609375, 7.099609375, 46.0, 6.0, 5.0, 1.0, 39.0, "Tous les candidats", 112.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "29752", "Année préparatoire - Classe de mise à niveau pour les préparations aux cursus scientifiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29752&g_ta_cod=29752", 75.0, 21.0, 4.0),
(9386, "Public", "9740097M", "Lycée professionnel agricole de Saint Joseph", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Joseph", "formation sélective", "BTS", "Lycée professionnel agricole de Saint Joseph - BTS - Agricole - productions animales", "BTS - Agricole", "", 12, 82, 36, 80, 0, 13, 8, 13, 7, 22, 14, 32, 2, 0, 1, 0, 1, 58, 1, 0, 0, 11, 6, 12, 7, 19, 12, 16, 29, 12, 5, 11, 1, 6.0, 9.0, 9.0, 0, 6, 9, 3, 3, 3, 3, 0, 8, 1, 0, 0, 0.0, 1, 0, 0, 1, 0, 9, 9, 50.0, 75.0, 75.0, 41.6953125, 100.0, 100.0, 11.099609375, 66.6875, 75.0, 0.0, 88.890625, 11.099609375, 0.0, 0.0, 0.0, 33.296875, 11.099609375, 33.296875, 0.0, 33.296875, 0.0, 6.0, 4.0, 8.0, 6.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers technologiques toutes séries", 11, "Bacheliers professionnels toutes séries", 10, "Liste d'appel propre à cette formation", 38.0, "34184", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34184&g_ta_cod=34184", 42.0, 25.0, 33.0),
(9387, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "PASS", "Université de Franche-Comté - Site de Besançon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 46, 2132, 1570, 2132, 0, 1767, 287, 33, 11, 5, 4, 327, 0, 0, 0, 0, 0, 2133, 0, 0, 0, 1768, 288, 33, 11, 5, 4, 327, 421, 45, 40, 45, 0, 0.0, 22.0, 41.0, 0, 9, 45, 44, 1, 0, 0, 0, 10, 20, 11, 4, 0.0, 34, 1, 0, 0, 0, 41, 41, 0.0, 48.89, 91.11, 88.890625, 91.09375, 91.09375, 0, 20.0, 100.0, 0.0, 22.19921875, 44.3984375, 24.3984375, 8.9, 0.0, 97.796875, 75.59375, 2.19970703125, 2.19970703125, 0.0, 0.0, 419.0, 62.0, 0.0, 0.0, 0.0, "Tous les candidats", 3519.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 56.0, "27548", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27350&g_ta_cod=27548", 98.0, 2.0, 0.0),
(9388, "Privé sous contrat d'association", "0660059F", "Lycée Notre-Dame De Bon Secours", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "CPGE", "Lycée Notre-Dame De Bon Secours - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 30, 175, 80, 165, 0, 146, 23, 0, 0, 0, 0, 19, 10, 7, 0, 0, 3, 151, 7, 0, 151, 145, 23, 0, 0, 0, 0, 6, 133, 14, 4, 14, 0, 0.0, 14.0, 14.0, 0, 3, 13, 13, 0, 0, 1, 0, 2, 2, 8, 1, 0.0, 11, 0, 0, 4, 0, 13, 13, 0.0, 100.0, 100.0, 28.59765625, 100.0, 100.0, 30.796875, 23.09765625, 92.890625, 0.0, 15.3984375, 15.3984375, 61.5, 7.7, 0.0, 100.0, 84.59375, 0.0, 0.0, 0.0, 0.0, 126.0, 18.0, 0.0, 0.0, 7.0, "Tous les candidats", 151.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "31328", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31328&g_ta_cod=31328", 100.0, 0.0, 0.0),
(9389, "Public", "0170042D", "Lycée Cordouan", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Royan", "formation sélective", "BTS", "Lycée Cordouan - BTS - Services - Tourisme", "BTS - Services", "", 30, 416, 324, 415, 0, 140, 29, 93, 16, 69, 26, 113, 1, 0, 0, 0, 1, 307, 1, 0, 0, 108, 20, 93, 16, 43, 15, 63, 157, 27, 26, 27, 0, 3.0, 22.0, 25.0, 0, 3, 22, 4, 7, 11, 5, 0, 9, 9, 3, 1, 0.0, 2, 2, 9, 1, 1, 18, 18, 11.11, 81.48, 92.59, 96.296875, 81.796875, 81.796875, 4.5, 13.599609375, 81.5, 0.0, 40.8984375, 40.8984375, 13.599609375, 4.5, 0.0, 18.19921875, 9.099609375, 31.796875, 9.099609375, 50.0, 40.8984375, 41.0, 9.0, 26.0, 9.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 105.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 58.0, "3033", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3033&g_ta_cod=3033", 30.0, 30.0, 41.0),
(9390, "Public", "0951637N", "Lycée Galilée", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "BTS", "Lycée Galilée - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 697, 298, 638, 0, 61, 18, 197, 78, 184, 92, 196, 59, 0, 0, 32, 27, 316, 4, 0, 0, 47, 14, 136, 47, 101, 53, 32, 144, 35, 16, 31, 2, 3.0, 19.0, 24.0, 0, 13, 29, 2, 11, 16, 6, 0, 14, 12, 3, 0, 0.0, 1, 4, 10, 8, 4, 28, 28, 8.57, 54.29, 68.57, 45.6953125, 96.59375, 96.59375, 27.59765625, 44.796875, 82.890625, 0.0, 48.296875, 41.3984375, 10.298828125, 0.0, 0.0, 6.8994140625, 3.39990234375, 37.8984375, 13.798828125, 55.1953125, 34.5, 13.0, 4.0, 64.0, 32.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 104, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 30.0, "11608", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11608&g_ta_cod=11608", 6.0, 40.0, 51.0),
(9391, "Public", "0221852U", "UFR Sciences Sociales - Université de Rennes 2 - Site de Saint-Brieuc", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation non sélective", "Licence", "UFR Sciences Sociales - Université de Rennes 2 - Site de Saint-Brieuc - Licence - Histoire - Parcours Antenne universitaire de la ville de Saint Brieuc - Histoire", "Licence - Sciences humaines et sociales", "Antenne universitaire de la ville de Saint Brieuc - Histoire", 85, 350, 181, 299, 0, 202, 36, 30, 7, 17, 5, 50, 51, 4, 4, 2, 41, 299, 42, 0, 0, 202, 36, 30, 7, 17, 5, 50, 325, 71, 30, 53, 18, 24.0, 53.0, 63.0, 0, 12, 43, 29, 7, 7, 28, 0, 15, 17, 11, 0, 0.0, 17, 5, 6, 0, 0, 36, 36, 33.8, 74.65, 88.73, 42.296875, 83.6875, 83.6875, 0, 27.8984375, 60.59375, 0.0, 34.8984375, 39.5, 25.59765625, 0.0, 0.0, 67.390625, 39.5, 16.296875, 11.599609375, 16.296875, 14.0, 198.0, 36.0, 16.0, 4.0, 81.0, "Tous les candidats", 299.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4733", "Licence - Histoire - Parcours Antenne universitaire de la ville de Saint Brieuc - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4733&g_ta_cod=4733", 56.0, 23.0, 18.0),
(9392, "Public", "0441552Y", "Lycée Polyvalent les Bourdonnieres", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée Polyvalent les Bourdonnieres - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 33, 664, 180, 646, 0, 68, 5, 129, 28, 185, 68, 264, 18, 1, 1, 0, 16, 321, 4, 0, 0, 67, 5, 79, 17, 126, 31, 49, 153, 28, 6, 26, 2, 8.0, 20.0, 24.0, 0, 7, 22, 4, 8, 10, 6, 0, 8, 10, 4, 0, 0.0, 1, 5, 8, 9, 2, 16, 16, 28.57, 71.43, 85.71, 21.3984375, 72.6875, 72.6875, 40.8984375, 31.796875, 78.59375, 0.0, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 18.19921875, 4.5, 36.3984375, 22.69921875, 45.5, 36.3984375, 31.0, 5.0, 45.0, 10.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 89.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 39.0, "17242", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17242&g_ta_cod=17242", 29.0, 32.0, 39.0),
(9393, "Public", "0750708M", "Lycée Des métiers Jean DROUANT", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "Autre formation", "Lycée Des métiers Jean DROUANT - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 48, 552, 289, 552, 0, 220, 28, 89, 20, 38, 12, 205, 0, 0, 0, 0, 0, 400, 0, 0, 0, 203, 25, 82, 19, 2, 1, 113, 178, 44, 28, 44, 0, 6.0, 30.0, 37.0, 0, 2, 31, 20, 11, 0, 13, 0, 12, 16, 2, 1, 0.0, 12, 7, 0, 0, 0, 7, 22, 13.64, 68.18, 84.09, 63.59375, 22.59765625, 71.0, 0, 6.5, 70.5, 0.0, 38.6953125, 51.59375, 6.5, 3.2, 0.0, 64.5, 38.6953125, 35.5, 22.59765625, 0.0, 0.0, 84.0, 9.0, 2.0, 1.0, 45.0, "Tous les candidats", 243.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "9165", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9165&g_ta_cod=9165", 73.0, 27.0, 0.0),
(9394, "Public", "0740046Y", "Lycée La Versoie", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Thonon-les-Bains", "formation sélective", "BTS", "Lycée La Versoie - GRETA Lac - BTS - Services - Négociation et digitalisation de la Relation Client (Seconde année possible en apprentissage)", "BTS - Services", "", 34, 374, 190, 365, 0, 28, 7, 137, 35, 138, 58, 62, 9, 0, 4, 2, 3, 242, 0, 0, 0, 25, 7, 95, 23, 97, 35, 25, 172, 23, 12, 21, 0, 3.0, 13.0, 15.0, 0, 9, 20, 0, 13, 7, 3, 1, 8, 11, 0, 0, 0.0, 0, 5, 6, 11, 7, 20, 20, 13.04, 56.52, 65.22, 52.1953125, 100.0, 100.0, 55, 45.0, 87.0, 5.0, 40.0, 55.0, 0.0, 0.0, 0.0, 0.0, 0.0, 65.0, 25.0, 35.0, 30.0, 10.0, 3.0, 74.0, 27.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 95, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 53.0, "8875", "BTS - Services - Négociation et digitalisation de la Relation Client (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8875&g_ta_cod=8875", 4.0, 57.0, 39.0),
(9395, "Privé sous contrat d'association", "0660552S", "Lycée NEOSUP Ecole Maso", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "Autre formation", "Lycée NEOSUP Ecole Maso - Année préparatoire - Classe de mise à niveau pour l'entrée en BTS et les poursuites d'études scientifiques", "Année préparatoire", "Classe de mise à niveau pour l'entrée en BTS et les poursuites d'études scientifiques", 24, 202, 132, 135, 0, 23, 6, 33, 3, 3, 2, 76, 67, 24, 13, 2, 28, 58, 29, 0, 0, 17, 3, 26, 3, 0, 0, 15, 82, 27, 17, 13, 14, 3.0, 12.0, 22.0, 0, 6, 22, 14, 8, 0, 5, 0, 13, 6, 3, 0, 0.0, 5, 4, 0, 0, 0, 18, 18, 11.11, 44.44, 81.48, 63.0, 81.796875, 81.796875, 0, 27.296875, 81.5, 0.0, 59.09375, 27.296875, 13.599609375, 0.0, 0.0, 63.59375, 22.69921875, 36.3984375, 18.19921875, 0.0, 0.0, 33.0, 8.0, 0.0, 0.0, 23.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "29809", "Année préparatoire - Classe de mise à niveau pour l'entrée en BTS et les poursuites d'études scientifiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29809&g_ta_cod=29809", 67.0, 33.0, 0.0),
(9396, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - STAPS", "", 410, 5782, 1734, 5782, 0, 3827, 480, 708, 135, 150, 52, 1097, 0, 0, 0, 0, 0, 5782, 0, 0, 0, 3827, 480, 708, 135, 150, 52, 1097, 1167, 407, 128, 405, 0, 153.0, 338.0, 377.0, 0, 59, 376, 325, 36, 15, 31, 0, 125, 187, 58, 6, 0.0, 212, 25, 14, 0, 0, 339, 339, 37.59, 83.05, 92.63, 31.3984375, 90.1875, 90.1875, 0, 15.69921875, 92.390625, 0.0, 33.1953125, 49.6953125, 15.3984375, 1.6, 0.0, 86.390625, 56.3984375, 9.599609375, 6.599609375, 4.0, 3.69970703125, 888.0, 113.0, 39.0, 16.0, 159.0, "Tous les candidats", 1226.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "29012", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29013&g_ta_cod=29012", 87.0, 10.0, 4.0),
(9397, "Privé sous contrat d'association", "0690698J", "Lycée professionnel Des Métiers d'Art SEPR", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Autre formation", "Lycée professionnel Des Métiers d'Art SEPR - DN MADE - Objet - - Spécialité : Création, bijoux contemporains et objets précieux", "DN MADE", "- Spécialité : Création, bijoux contemporains et objets précieux", 17, 404, 308, 404, 0, 152, 19, 87, 13, 33, 10, 132, 0, 0, 0, 0, 0, 130, 0, 0, 0, 53, 3, 49, 6, 5, 2, 23, 43, 16, 15, 16, 0, 5.0, 14.0, 15.0, 0, 2, 8, 2, 3, 3, 8, 0, 2, 3, 2, 1, 0.0, 2, 2, 2, 0, 0, 2, 2, 31.25, 87.5, 93.75, 93.796875, 25.0, 25.0, 0, 25.0, 50.0, 0.0, 25.0, 37.5, 25.0, 12.5, 0.0, 25.0, 25.0, 37.5, 25.0, 37.5, 25.0, 11.0, 1.0, 5.0, 2.0, 16.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "21624", "DN MADE - Objet - - Spécialité : Création, bijoux contemporains et objets précieux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21624&g_ta_cod=21624", 13.0, 19.0, 25.0),
(9398, "Public", "0290098Z", "Lycée de Cornouaille", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "CPGE", "Lycée de Cornouaille - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 304, 219, 295, 208, 269, 37, 0, 0, 3, 1, 23, 9, 6, 0, 0, 3, 281, 5, 205, 275, 268, 37, 0, 0, 0, 0, 13, 242, 35, 27, 34, 1, 12.0, 34.0, 35.0, 24, 4, 34, 34, 0, 0, 1, 0, 2, 5, 19, 8, 0.0, 32, 0, 0, 2, 2, 30, 30, 34.29, 97.14, 100.0, 77.09375, 88.1875, 88.1875, 5.8994140625, 11.798828125, 97.09375, 0.0, 5.8994140625, 14.69921875, 55.8984375, 23.5, 0.0, 100.0, 94.09375, 0.0, 0.0, 0.0, 0.0, 231.0, 29.0, 0.0, 0.0, 11.0, "Tous les candidats", 281.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "3804", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3804&g_ta_cod=3804", 100.0, 0.0, 0.0),
(9399, "Privé sous contrat d'association", "0440256P", "Lycée St Pierre La Joliverie", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Sébastien-sur-Loire", "formation sélective", "BTS", "Lycée St Pierre La Joliverie - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 48, 416, 199, 387, 0, 69, 12, 116, 19, 32, 9, 170, 29, 1, 1, 9, 18, 278, 13, 0, 0, 69, 12, 111, 19, 25, 7, 73, 238, 37, 20, 32, 5, 6.0, 30.0, 34.0, 0, 3, 17, 4, 9, 4, 20, 0, 6, 10, 0, 1, 0.0, 2, 7, 2, 2, 1, 14, 14, 16.22, 81.08, 91.89, 54.09375, 82.390625, 82.390625, 11.798828125, 17.59765625, 45.8984375, 0.0, 35.296875, 58.796875, 0.0, 5.9, 0.0, 23.5, 11.798828125, 52.8984375, 41.1953125, 23.5, 11.798828125, 57.0, 6.0, 27.0, 7.0, 68.0, "Tous les candidats sauf les Bac professionnels", 248.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 72.0, "5526", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5526&g_ta_cod=5526", 54.0, 32.0, 14.0),
(9400, "Public", "9720424D", "Lycée professionnel Lumina Sophie", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation sélective", "Autre formation", "Lycée professionnel Lumina Sophie - Mention complémentaire - Services numériques aux organisations", "Mention complémentaire", "", 8, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 6, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 4, 1, 0, 1, 0.0, 0.0, 0.0, 0, 2, 4, 0, 2, 2, 0, 0, 2, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 4, 4, 0.0, 0.0, 0.0, 25.0, 100.0, 100.0, 0, 50.0, 100.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 5.0, 3.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34979", "Mention complémentaire - Services numériques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34979&g_ta_cod=34979", 0.0, 50.0, 50.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(9401, "Public", "0920142E", "Lycée Louis Pasteur", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Neuilly-sur-Seine", "formation sélective", "CPGE", "Lycée Louis Pasteur - CPGE - PCSI", "Classe préparatoire scientifique", "", 92, 2566, 959, 2566, 0, 2356, 133, 1, 0, 1, 0, 208, 0, 0, 0, 0, 0, 930, 0, 0, 930, 926, 40, 0, 0, 0, 0, 4, 421, 90, 39, 90, 0, 19.0, 73.0, 78.0, 0, 5, 90, 90, 0, 0, 0, 0, 0, 0, 21, 66, 3.0, 90, 0, 0, 6, 2, 57, 87, 21.11, 81.11, 86.67, 43.296875, 63.296875, 96.6875, 6.69921875, 5.599609375, 100.0, 0.0, 0.0, 0.0, 23.296875, 73.3, 3.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 421.0, 29.0, 0.0, 0.0, 0.0, "Tous les candidats", 513.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "11005", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11005&g_ta_cod=11005", 100.0, 0.0, 0.0),
(9402, "Public", "0850027T", "Lycée Polyvalent Rosa Parks", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée Polyvalent Rosa Parks - BTS - Production - Management économique de la construction", "BTS - Production", "", 30, 284, 72, 270, 0, 35, 7, 65, 9, 107, 19, 63, 14, 1, 0, 2, 11, 212, 3, 0, 0, 34, 6, 59, 8, 107, 19, 12, 128, 26, 5, 25, 1, 4.0, 15.0, 23.0, 0, 6, 22, 5, 4, 13, 4, 0, 10, 11, 1, 0, 0.0, 2, 1, 9, 3, 1, 15, 15, 15.38, 57.69, 88.46, 19.19921875, 68.1875, 68.1875, 13.599609375, 27.296875, 84.59375, 0.0, 45.5, 50.0, 4.5, 0.0, 0.0, 22.69921875, 9.099609375, 18.19921875, 4.5, 59.09375, 40.8984375, 27.0, 6.0, 59.0, 8.0, 10.0, "Tous les candidats sauf les Bac professionnels", 100.0, "Bacheliers professionnels toutes séries", 71, "", 0, "Liste d'appel propre à cette formation", 63.0, "10482", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10482&g_ta_cod=10482", 35.0, 15.0, 50.0),
(9403, "Public", "0791029P", "Lycée professionnel Leonard De Vinci", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Bressuire", "formation sélective", "Autre formation", "Lycée professionnel Leonard De Vinci - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 12, 50, 4, 49, 0, 0, 0, 2, 0, 38, 8, 9, 1, 0, 0, 1, 0, 30, 1, 0, 0, 0, 0, 0, 0, 27, 5, 3, 25, 3, 0, 3, 0, 2.0, 3.0, 3.0, 0, 0, 3, 0, 0, 3, 0, 0, 1, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 3, 3, 66.67, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 22.0, 4.0, 3.0, "Tous les candidats", 30.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "21909", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21909&g_ta_cod=21909", 0.0, 0.0, 100.0),
(9404, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "PASS", "Université de Bordeaux - Bordeaux Métropole - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 150, 5893, 4006, 5893, 0, 4902, 629, 69, 16, 12, 4, 910, 0, 0, 0, 0, 0, 5781, 0, 0, 0, 4902, 629, 69, 16, 12, 4, 798, 922, 149, 101, 149, 0, 17.0, 130.0, 143.0, 0, 18, 133, 133, 0, 0, 16, 0, 0, 13, 49, 55, 16.0, 133, 0, 0, 0, 0, 122, 122, 11.41, 87.25, 95.97, 67.796875, 91.6875, 91.6875, 0, 13.5, 89.296875, 0.0, 0.0, 9.798828125, 36.796875, 41.4, 12.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 799.0, 107.0, 0.0, 0.0, 123.0, "Tous les candidats", 2652.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "26844", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26837&g_ta_cod=26844", 100.0, 0.0, 0.0),
(9405, "Public", "0623903F", "Lycée professionnel maritime et aquacole", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Le Portel", "formation sélective", "BTS", "Lycée professionnel maritime et aquacole - BTS - Maritime - Pêche et gestion de l'environnement marin", "BTS - Maritime", "", 12, 68, 8, 68, 0, 0, 0, 0, 0, 55, 9, 13, 0, 0, 0, 0, 0, 68, 0, 0, 0, 0, 0, 0, 0, 55, 9, 13, 45, 13, 0, 13, 0, 1.0, 11.0, 11.0, 0, 4, 12, 0, 0, 12, 1, 0, 5, 6, 1, 0, 0.0, 0, 0, 7, 4, 0, 4, 4, 7.69, 84.62, 84.62, 0.0, 33.296875, 33.296875, 33.296875, 33.296875, 92.296875, 0.0, 41.6953125, 50.0, 8.298828125, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 58.296875, 0.0, 0.0, 36.0, 5.0, 9.0, "Tous les candidats sauf les Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 71.0, "23490", "BTS - Maritime - Pêche et gestion de l'environnement marin", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23490&g_ta_cod=23490", 0.0, 0.0, 100.0),
(9406, "Public", "0031082K", "Lycée Valery Larbaud", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Cusset", "formation sélective", "Autre formation", "Lycée Valery Larbaud - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 30, 76, 24, 68, 0, 7, 1, 16, 2, 31, 14, 14, 8, 1, 1, 3, 3, 68, 7, 0, 0, 7, 1, 16, 2, 31, 14, 14, 65, 24, 8, 21, 3, 10.0, 20.0, 21.0, 0, 8, 17, 1, 6, 10, 7, 0, 13, 3, 1, 0, 0.0, 0, 0, 4, 0, 0, 17, 17, 41.67, 83.33, 87.5, 33.296875, 100.0, 100.0, 0, 47.09375, 70.796875, 0.0, 76.5, 17.59765625, 5.8994140625, 0.0, 0.0, 5.8994140625, 0.0, 35.296875, 0.0, 58.796875, 23.5, 8.0, 1.0, 31.0, 14.0, 11.0, "Tous les candidats", 68.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "22253", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22253&g_ta_cod=22253", 8.0, 33.0, 58.0),
(9407, "Public", "0592602H", "I.U.T. de Lille A", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "BUT", "I.U.T. de Lille A - BUT - Génie biologique parcours biologie médicale et biotechnologie", "BUT - Production", "", 44, 2661, 1893, 2661, 0, 1386, 232, 580, 175, 8, 3, 687, 0, 0, 0, 0, 0, 2089, 0, 0, 0, 1187, 188, 375, 112, 0, 0, 527, 273, 48, 27, 48, 0, 5.0, 33.0, 43.0, 0, 9, 39, 19, 20, 0, 9, 0, 0, 10, 20, 8, 1.0, 19, 20, 0, 0, 0, 27, 27, 10.42, 68.75, 89.58, 56.296875, 69.1875, 69.1875, 0, 23.09765625, 81.296875, 0.0, 0.0, 25.59765625, 51.296875, 20.5, 2.6, 48.6953125, 48.6953125, 51.296875, 51.296875, 0.0, 0.0, 110.0, 20.0, 0.0, 0.0, 67.0, "Tous les candidats sauf les Bac technologiques", 359.0, "Bacheliers technologiques toutes séries", 194, "", 0, "Liste d'appel propre à cette formation", 21.0, "6892", "BUT - Génie biologique parcours biologie médicale et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6892&g_ta_cod=6892", 52.0, 46.0, 0.0),
(9408, "Public", "0610021S", "Lycée Jean Guehenno", "61", "Orne", "Normandie", "Normandie", "Flers", "formation sélective", "BTS", "Lycée Jean Guehenno - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 462, 283, 453, 0, 19, 4, 77, 24, 88, 41, 269, 9, 3, 2, 0, 4, 186, 3, 0, 0, 16, 3, 67, 22, 76, 32, 27, 102, 21, 10, 20, 1, 3.0, 16.0, 18.0, 0, 11, 20, 2, 9, 9, 1, 0, 8, 12, 0, 0, 0.0, 2, 7, 3, 14, 8, 20, 20, 14.29, 76.19, 85.71, 47.59375, 100.0, 100.0, 70, 55.0, 95.1875, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 10.0, 10.0, 45.0, 35.0, 45.0, 15.0, 10.0, 5.0, 49.0, 20.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 35.0, "7302", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7302&g_ta_cod=7302", 10.0, 43.0, 48.0),
(9409, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Information et communication", "Licence - Arts-lettres-langues", "", 90, 980, 658, 980, 0, 624, 104, 83, 28, 15, 3, 258, 0, 0, 0, 0, 0, 968, 0, 0, 0, 624, 104, 83, 28, 15, 3, 246, 358, 88, 52, 88, 0, 14.0, 68.0, 77.0, 0, 12, 80, 78, 2, 0, 8, 0, 37, 34, 6, 3, 0.0, 42, 1, 0, 0, 0, 72, 72, 15.91, 77.27, 87.5, 59.09375, 90.0, 90.0, 0, 15.0, 90.890625, 0.0, 46.296875, 42.5, 7.5, 3.8, 0.0, 97.5, 52.5, 2.5, 1.2998046875, 0.0, 0.0, 308.0, 55.0, 1.0, 1.0, 34.0, "Tous les candidats", 481.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "15295", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15295&g_ta_cod=15295", 95.0, 5.0, 0.0),
(9410, "Public", "0600001A", "Lycée Felix Faure", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "BTS", "Lycée Felix Faure - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 50, 277, 80, 277, 0, 23, 5, 84, 25, 93, 33, 77, 0, 0, 0, 0, 0, 276, 0, 0, 0, 23, 5, 84, 25, 93, 33, 76, 144, 48, 12, 47, 0, 5.0, 23.0, 42.0, 0, 12, 36, 1, 11, 24, 12, 0, 17, 13, 5, 1, 0.0, 1, 3, 15, 1, 0, 35, 35, 10.42, 47.92, 87.5, 25.0, 97.1875, 97.1875, 2.7998046875, 33.296875, 75.0, 0.0, 47.1953125, 36.09375, 13.8984375, 2.8, 0.0, 2.7998046875, 2.7998046875, 30.59765625, 8.298828125, 66.6875, 41.6953125, 8.0, 2.0, 55.0, 20.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 84, "Bacheliers technologiques toutes séries", 96, "Liste d'appel propre à cette formation", 74.0, "7208", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7208&g_ta_cod=7208", 4.0, 44.0, 52.0),
(9411, "Public", "0100023W", "Lycée Marie De Champagne", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "CPGE", "Lycée Marie De Champagne - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 42, 235, 111, 219, 129, 158, 18, 2, 0, 0, 0, 59, 16, 3, 0, 1, 12, 162, 8, 85, 149, 154, 15, 0, 0, 0, 0, 8, 141, 18, 6, 17, 0, 4.0, 17.0, 18.0, 3, 2, 16, 16, 0, 0, 2, 0, 0, 9, 4, 1, 2.0, 16, 0, 0, 3, 2, 13, 13, 22.22, 94.44, 100.0, 33.296875, 81.296875, 81.296875, 18.796875, 12.5, 88.890625, 0.0, 0.0, 56.296875, 25.0, 6.3, 12.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 127.0, 12.0, 0.0, 0.0, 14.0, "Tous les candidats", 162.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "31381", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31381&g_ta_cod=31381", 100.0, 0.0, 0.0),
(9412, "Privé sous contrat d'association", "9741255W", "Lycée Catholique St Charles", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BTS", "Lycée Catholique St Charles - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 186, 99, 178, 0, 32, 11, 70, 37, 36, 19, 40, 8, 0, 0, 5, 3, 152, 1, 0, 0, 32, 11, 64, 32, 27, 15, 29, 84, 23, 15, 20, 1, 4.0, 18.0, 18.0, 0, 7, 17, 2, 9, 6, 6, 0, 4, 8, 3, 2, 0.0, 1, 6, 6, 9, 6, 17, 17, 17.39, 78.26, 78.26, 65.1875, 100.0, 100.0, 52.8984375, 41.1953125, 73.890625, 0.0, 23.5, 47.09375, 17.59765625, 11.8, 0.0, 11.798828125, 5.8994140625, 52.8984375, 35.296875, 35.296875, 35.296875, 15.0, 7.0, 22.0, 13.0, 12.0, "Tous les candidats sauf les Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 56.0, "11980", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11980&g_ta_cod=11980", 30.0, 39.0, 30.0),
(9413, "Public", "0512131P", "Sciences Po - campus de Reims - Institut d'études politiques", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Licence", "Sciences Po - campus de Reims - Université de Reims Champagne-Ardenne - Licence - Double diplôme - Licence Sciences de la vie - Sciences sociales et Sciences du vivant", "Licence - Sciences - technologies - santé", "Sciences sociales et Sciences du vivant", 22, 143, 114, 143, 0, 143, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 31, 0, 0, 0, 31, 4, 0, 0, 0, 0, 0, 29, 18, 16, 18, 0, 0.0, 18.0, 18.0, 0, 2, 18, 18, 0, 0, 0, 0, 0, 0, 0, 14, 4.0, 18, 0, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 88.890625, 0.0, 0.0, 0, 11.099609375, 100.0, 0.0, 0.0, 0.0, 0.0, 77.8, 22.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 29.0, 3.0, 0.0, 0.0, 0.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "32567", "Licence - Double diplôme - Licence Sciences de la vie - Sciences sociales et Sciences du vivant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32567&g_ta_cod=32567", 100.0, 0.0, 0.0),
(9414, "Public", "0761742F", "Lycée Val De Seine", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Grand-Quevilly", "formation sélective", "BTS", "Lycée Val De Seine - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 515, 341, 511, 0, 27, 13, 148, 80, 207, 117, 129, 4, 1, 0, 0, 3, 374, 0, 0, 0, 25, 11, 115, 59, 179, 102, 55, 148, 32, 27, 32, 0, 2.0, 21.0, 25.0, 0, 19, 25, 0, 10, 15, 7, 0, 13, 10, 2, 0, 0.0, 0, 3, 9, 2, 2, 24, 24, 6.25, 65.63, 78.13, 84.390625, 96.0, 96.0, 8, 76.0, 78.09375, 0.0, 52.0, 40.0, 8.0, 0.0, 0.0, 0.0, 0.0, 40.0, 12.0, 60.0, 36.0, 6.0, 4.0, 71.0, 41.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 90, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 34.0, "9677", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9677&g_ta_cod=9677", 3.0, 41.0, 56.0),
(9415, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Sciences sociales", "Licence - Sciences humaines et sociales", "", 70, 430, 335, 335, 0, 220, 31, 28, 7, 15, 4, 72, 95, 28, 13, 1, 53, 335, 90, 0, 0, 220, 31, 28, 7, 15, 4, 72, 403, 69, 55, 44, 25, 29.0, 44.0, 59.0, 0, 6, 46, 36, 7, 3, 23, 1, 23, 13, 9, 0, 0.0, 16, 3, 3, 0, 0, 35, 35, 42.03, 63.77, 85.51, 79.6875, 76.09375, 76.09375, 0, 13.0, 66.6875, 2.19970703125, 50.0, 28.296875, 19.59765625, 0.0, 0.0, 78.296875, 34.796875, 15.19921875, 6.5, 6.5, 6.5, 240.0, 33.0, 14.0, 4.0, 114.0, "Tous les candidats", 335.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5889", "Licence - Sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5889&g_ta_cod=5889", 75.0, 16.0, 9.0),
(9416, "Public", "0590011S", "Lycée Gustave Eiffel", "59", "Nord", "Hauts-de-France", "Lille", "Armentières", "formation sélective", "CPGE", "Lycée Gustave Eiffel - CPGE - PTSI", "Classe préparatoire scientifique", "", 48, 400, 92, 363, 269, 264, 33, 2, 0, 0, 0, 97, 37, 11, 1, 0, 25, 248, 11, 191, 237, 233, 24, 0, 0, 0, 0, 15, 200, 47, 8, 47, 0, 8.0, 45.0, 47.0, 37, 3, 42, 42, 0, 0, 5, 0, 1, 10, 23, 8, 0.0, 41, 0, 0, 7, 0, 39, 39, 17.02, 95.74, 100.0, 17.0, 92.890625, 92.890625, 16.69921875, 7.099609375, 89.390625, 0.0, 2.39990234375, 23.796875, 54.796875, 19.0, 0.0, 100.0, 97.59375, 0.0, 0.0, 0.0, 0.0, 179.0, 17.0, 0.0, 0.0, 21.0, "Tous les candidats", 248.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "6708", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6708&g_ta_cod=6708", 100.0, 0.0, 0.0),
(9417, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Institut Catholique Paris - Licence - Sciences sociales - Parcours Sciences Economiques et Politique", "Licence - Droit-économie-gestion", "Sciences Economiques et Politique", 250, 2756, 1601, 2756, 0, 2397, 97, 33, 2, 1, 0, 325, 0, 0, 0, 0, 0, 2221, 0, 0, 0, 2045, 75, 5, 0, 0, 0, 171, 1107, 281, 193, 281, 0, 153.0, 227.0, 273.0, 0, 13, 272, 271, 1, 0, 9, 0, 1, 32, 178, 61, 0.0, 270, 1, 0, 0, 0, 77, 204, 54.45, 80.78, 97.15, 68.6875, 28.296875, 75.0, 0, 4.7998046875, 96.796875, 0.0, 0.39996337890625, 11.798828125, 65.390625, 22.4, 0.0, 99.59375, 99.296875, 0.39996337890625, 0.39996337890625, 0.0, 0.0, 1049.0, 35.0, 0.0, 0.0, 55.0, "Tous les candidats", 1289.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "9458", "Licence - Sciences sociales - Parcours Sciences Economiques et Politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9458&g_ta_cod=9458", 100.0, 0.0, 0.0),
(9418, "Public", "0060030A", "Lycée Masséna", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "CPGE", "Lycée Masséna - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 726, 541, 722, 441, 603, 90, 2, 1, 0, 0, 117, 4, 0, 1, 0, 3, 636, 0, 441, 526, 559, 85, 1, 1, 0, 0, 76, 401, 92, 74, 92, 0, 16.0, 74.0, 90.0, 35, 14, 83, 83, 0, 0, 9, 0, 0, 6, 38, 33, 6.0, 83, 0, 0, 1, 1, 59, 59, 17.39, 80.43, 97.83, 80.390625, 71.09375, 71.09375, 1.199951171875, 16.8984375, 90.1875, 0.0, 0.0, 7.19921875, 45.796875, 39.8, 7.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 358.0, 51.0, 0.0, 0.0, 43.0, "Tous les candidats", 541.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "2210", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2210&g_ta_cod=2210", 100.0, 0.0, 0.0),
(9419, "Public", "0030094L", "LEGTPA du Bourbonnais / Site de Moulins", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Moulins", "formation sélective", "BTS", "LEGTPA du Bourbonnais / Site de Moulins - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 19, 218, 84, 217, 0, 11, 2, 45, 10, 43, 15, 118, 1, 0, 0, 0, 1, 170, 1, 0, 0, 11, 2, 45, 10, 43, 15, 71, 62, 13, 6, 13, 0, 7.0, 13.0, 13.0, 0, 2, 12, 2, 6, 4, 1, 0, 6, 6, 0, 0, 0.0, 1, 4, 1, 7, 3, 10, 10, 53.85, 100.0, 100.0, 46.1953125, 83.296875, 83.296875, 58.296875, 16.69921875, 92.296875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 16.69921875, 8.298828125, 50.0, 33.296875, 33.296875, 8.298828125, 8.0, 2.0, 34.0, 11.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 36.0, "2137", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2137&g_ta_cod=2137", 23.0, 46.0, 31.0),
(9420, "Privé sous contrat d'association", "7200073S", "Lycée Jeanne D'Arc", "2B", "Haute-Corse", "Corse", "Corse", "Bastia", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 25, 228, 118, 216, 0, 51, 8, 77, 20, 34, 13, 54, 12, 1, 0, 6, 5, 122, 2, 0, 0, 38, 7, 52, 13, 22, 9, 10, 92, 20, 13, 19, 1, 5.0, 15.0, 19.0, 0, 3, 15, 5, 9, 1, 5, 0, 4, 8, 3, 0, 0.0, 3, 8, 0, 1, 0, 13, 13, 25.0, 75.0, 95.0, 65.0, 86.6875, 86.6875, 6.69921875, 20.0, 75.0, 0.0, 26.69921875, 53.296875, 20.0, 0.0, 0.0, 33.296875, 20.0, 60.0, 53.296875, 6.69921875, 0.0, 22.0, 4.0, 21.0, 8.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 50.0, "11692", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11692&g_ta_cod=11692", 30.0, 65.0, 5.0),
(9421, "Public", "0750685M", "Lycée Pierre-Gilles de Gennes - ENCPB", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Pierre-Gilles de Gennes - ENCPB - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 60, 3036, 2267, 3036, 0, 661, 188, 930, 360, 150, 77, 1295, 0, 0, 0, 0, 0, 1136, 0, 0, 0, 278, 68, 419, 157, 81, 47, 358, 347, 57, 47, 57, 0, 24.0, 40.0, 51.0, 0, 13, 38, 16, 20, 2, 19, 0, 5, 18, 10, 5, 0.0, 15, 16, 2, 4, 3, 11, 38, 42.11, 70.18, 89.47, 82.5, 28.8984375, 100.0, 10.5, 34.1953125, 66.6875, 0.0, 13.19921875, 47.3984375, 26.296875, 13.2, 0.0, 42.09375, 39.5, 52.59375, 42.09375, 5.2998046875, 5.2998046875, 108.0, 42.0, 6.0, 3.0, 105.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 252.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 197, "Liste d'appel propre à cette formation", 15.0, "9082", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9082&g_ta_cod=9082", 47.0, 49.0, 4.0),
(9422, "Public", "0630021F", "Lycée La Fayette", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "CPGE", "Lycée La Fayette - CPGE - PCSI", "Classe préparatoire scientifique", "", 24, 661, 261, 661, 392, 440, 63, 1, 0, 0, 0, 220, 0, 0, 0, 0, 0, 465, 0, 282, 455, 420, 58, 0, 0, 0, 0, 45, 219, 26, 8, 26, 0, 4.0, 15.0, 23.0, 5, 4, 24, 24, 0, 0, 2, 0, 2, 12, 8, 2, 0.0, 22, 0, 0, 8, 1, 23, 23, 15.38, 57.69, 88.46, 30.796875, 95.796875, 95.796875, 33.296875, 16.69921875, 92.296875, 0.0, 8.298828125, 50.0, 33.296875, 8.3, 0.0, 100.0, 91.6875, 0.0, 0.0, 0.0, 0.0, 212.0, 26.0, 0.0, 0.0, 7.0, "Tous les candidats", 258.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "7563", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7563&g_ta_cod=7563", 100.0, 0.0, 0.0),
(9423, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Lettres - Parcours Lettres modernes", "Licence - Arts-lettres-langues", "Lettres modernes", 60, 252, 217, 212, 0, 160, 46, 2, 0, 7, 4, 43, 40, 7, 3, 1, 29, 212, 38, 0, 0, 160, 46, 2, 0, 7, 4, 43, 250, 29, 25, 19, 10, 19.0, 19.0, 28.0, 0, 9, 19, 16, 1, 2, 10, 0, 7, 7, 4, 1, 0.0, 10, 0, 2, 0, 0, 12, 12, 65.52, 65.52, 96.55, 86.1875, 63.1953125, 63.1953125, 0, 47.3984375, 65.5, 0.0, 36.796875, 36.796875, 21.09765625, 5.3, 0.0, 84.1875, 52.59375, 5.2998046875, 0.0, 10.5, 10.5, 167.0, 48.0, 8.0, 4.0, 70.0, "Tous les candidats", 213.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15184", "Licence - Lettres - Parcours Lettres modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15184&g_ta_cod=15184", 83.0, 10.0, 7.0),
(9424, "Public", "0132974M", "Lycée Hotelier Regional", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  8e  Arrondissement", "formation sélective", "BTS", "Lycée Hotelier Regional - BTS - Services - Tourisme", "BTS - Services", "", 35, 1041, 791, 1027, 0, 218, 78, 214, 106, 221, 129, 374, 14, 0, 3, 0, 11, 572, 4, 0, 0, 188, 66, 110, 51, 155, 85, 119, 248, 38, 33, 36, 2, 10.0, 27.0, 29.0, 0, 13, 24, 9, 7, 8, 14, 0, 6, 13, 5, 0, 0.0, 6, 6, 6, 3, 3, 22, 22, 26.32, 71.05, 76.32, 86.796875, 91.6875, 91.6875, 12.5, 54.1953125, 63.1953125, 0.0, 25.0, 54.1953125, 20.796875, 0.0, 0.0, 37.5, 25.0, 29.19921875, 25.0, 33.296875, 25.0, 117.0, 41.0, 34.0, 21.0, 49.0, "Tous les candidats sauf les Bac professionnels", 250.0, "Bacheliers professionnels toutes séries", 63, "", 0, "Liste d'appel propre à cette formation", 30.0, "2792", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2792&g_ta_cod=2792", 55.0, 21.0, 24.0),
(9425, "Privé sous contrat d'association", "0942354Y", "LGT SAINTE MARIE", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Joinville-le-Pont", "formation sélective", "BTS", "LGT SAINTE MARIE - BTS - Services - Commerce International", "BTS - Services", "", 30, 700, 334, 604, 0, 184, 45, 198, 66, 47, 20, 175, 96, 0, 0, 54, 42, 213, 1, 0, 0, 85, 11, 74, 21, 7, 1, 47, 132, 27, 11, 26, 1, 4.0, 21.0, 24.0, 0, 4, 23, 7, 14, 2, 4, 0, 10, 12, 1, 0, 0.0, 3, 9, 1, 0, 0, 22, 23, 14.81, 77.78, 88.89, 40.6953125, 95.6875, 100.0, 0, 17.3984375, 85.1875, 0.0, 43.5, 52.1953125, 4.2998046875, 0.0, 0.0, 30.3984375, 13.0, 60.8984375, 39.09375, 8.69921875, 4.2998046875, 50.0, 9.0, 7.0, 1.0, 28.0, "Tous les candidats sauf les Bac professionnels", 153.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 26.0, "11532", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11532&g_ta_cod=11532", 41.0, 52.0, 7.0),
(9426, "Privé sous contrat d'association", "0511570E", "IFSI Croix Rouge Française Chalons-En-Champagne", "51", "Marne", "Grand Est", "Reims", "Châlons-en-Champagne", "formation sélective", "IFSI", "Regroupement d'IFSI Université Reims - D.E Infirmier", "D.E secteur sanitaire", "", 112, 2391, 2039, 2391, 0, 418, 94, 516, 171, 231, 88, 1226, 0, 0, 0, 0, 0, 1901, 0, 0, 0, 341, 67, 415, 119, 176, 60, 969, 800, 112, 100, 112, 0, 5.0, 45.0, 90.0, 0, 13, 65, 19, 27, 19, 47, 0, 14, 31, 16, 4, 0.0, 13, 20, 18, 0, 0, 51, 51, 4.46, 40.18, 80.36, 89.296875, 78.5, 78.5, 0, 20.0, 58.0, 0.0, 21.5, 47.6953125, 24.59765625, 6.2, 0.0, 29.19921875, 20.0, 41.5, 30.796875, 29.19921875, 27.69921875, 120.0, 29.0, 90.0, 27.0, 402.0, "Tous les candidats", 1717.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 44.0, "23219", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22986&g_ta_cod=23219", 37.0, 33.0, 30.0),
(9427, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Arts - Parcours Musicologie", "Licence - Arts-lettres-langues", "Musicologie", 60, 262, 129, 218, 0, 141, 32, 20, 1, 9, 4, 48, 44, 6, 4, 2, 32, 217, 44, 0, 0, 141, 32, 20, 1, 9, 4, 47, 224, 56, 26, 39, 16, 11.0, 38.0, 48.0, 0, 10, 38, 27, 7, 4, 18, 0, 17, 16, 4, 1, 0.0, 14, 4, 3, 0, 0, 24, 24, 19.64, 67.86, 85.71, 46.3984375, 63.1953125, 63.1953125, 0, 26.296875, 67.890625, 0.0, 44.6953125, 42.09375, 10.5, 2.6, 0.0, 71.09375, 36.796875, 18.3984375, 10.5, 10.5, 7.8994140625, 125.0, 29.0, 9.0, 5.0, 70.0, "Tous les candidats", 216.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "20690", "Licence - Arts - Parcours Musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20690&g_ta_cod=20690", 71.0, 18.0, 11.0),
(9428, "Public", "0920801W", "Lycée Alexandre Dumas", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Saint-Cloud", "formation sélective", "CPGE", "Lycée Alexandre Dumas - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 925, 457, 912, 0, 837, 89, 1, 0, 0, 0, 74, 13, 8, 0, 0, 5, 682, 5, 0, 682, 659, 63, 0, 0, 0, 0, 23, 387, 14, 4, 13, 1, 0.0, 5.0, 13.0, 0, 1, 13, 13, 0, 0, 1, 0, 1, 6, 4, 2, 0.0, 12, 0, 0, 0, 0, 10, 13, 0.0, 35.71, 92.86, 28.59765625, 76.890625, 100.0, 0, 7.69921875, 92.890625, 0.0, 7.69921875, 46.1953125, 30.796875, 15.4, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 370.0, 35.0, 0.0, 0.0, 17.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "31625", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31398&g_ta_cod=31625", 100.0, 0.0, 0.0),
(9429, "Public", "0790019S", "Lycée Joseph Desfontaines", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Melle", "formation sélective", "BTS", "Lycée Joseph Desfontaines - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 155, 103, 115, 0, 6, 2, 45, 19, 32, 15, 32, 40, 0, 2, 22, 16, 101, 9, 0, 0, 6, 2, 45, 19, 32, 15, 18, 96, 16, 11, 12, 4, 1.0, 10.0, 15.0, 0, 6, 10, 1, 4, 5, 6, 0, 8, 1, 1, 0, 0.0, 0, 0, 2, 2, 1, 10, 10, 6.25, 62.5, 93.75, 68.796875, 100.0, 100.0, 20, 60.0, 62.5, 0.0, 80.0, 10.0, 10.0, 0.0, 0.0, 10.0, 0.0, 40.0, 0.0, 50.0, 20.0, 5.0, 2.0, 37.0, 19.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 83.0, "10104", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10104&g_ta_cod=10104", 19.0, 31.0, 50.0),
(9430, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Licence", "Université de Strasbourg - Licence - Sciences de la vie - Parcours Franco-Allemand (Strasbourg-Saarbrücken)", "Licence - Sciences - technologies - santé", "Franco-Allemand (Strasbourg-Saarbrücken)", 15, 202, 142, 202, 0, 160, 17, 1, 0, 0, 0, 41, 0, 0, 0, 0, 0, 92, 0, 0, 0, 92, 7, 0, 0, 0, 0, 0, 29, 16, 15, 16, 0, 8.0, 15.0, 16.0, 0, 2, 16, 16, 0, 0, 0, 2, 0, 0, 1, 9, 4.0, 14, 0, 0, 0, 0, 4, 4, 50.0, 93.75, 100.0, 93.796875, 25.0, 25.0, 0, 12.5, 100.0, 12.5, 0.0, 0.0, 6.2998046875, 56.3, 25.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 29.0, 4.0, 0.0, 0.0, 0.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "8062", "Licence - Sciences de la vie - Parcours Franco-Allemand (Strasbourg-Saarbrücken)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8062&g_ta_cod=8062", 100.0, 0.0, 0.0),
(9431, "Public", "0390019J", "Lycée Jean Michel", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Lons-le-Saunier", "formation sélective", "BTS", "Lycée Jean Michel - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 26, 576, 247, 562, 0, 53, 14, 52, 12, 42, 14, 415, 14, 0, 3, 3, 8, 151, 5, 0, 0, 46, 13, 42, 8, 30, 7, 33, 86, 23, 11, 19, 3, 2.0, 17.0, 19.0, 0, 1, 13, 3, 4, 6, 10, 0, 7, 4, 2, 0, 0.0, 0, 2, 4, 3, 0, 11, 11, 8.7, 73.91, 82.61, 47.796875, 84.59375, 84.59375, 23.09765625, 7.69921875, 56.5, 0.0, 53.796875, 30.796875, 15.3984375, 0.0, 0.0, 23.09765625, 0.0, 30.796875, 15.3984375, 46.1953125, 30.796875, 8.0, 1.0, 30.0, 7.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 17.0, "5149", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5149&g_ta_cod=5149", 17.0, 35.0, 48.0),
(9432, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Licence", "Université Clermont Auvergne - Licence - Langues étrangères appliquées - Parcours Anglais/Espagnol", "Licence - Arts-lettres-langues", "Anglais/Espagnol", 70, 750, 575, 750, 0, 531, 156, 68, 23, 6, 2, 145, 0, 0, 0, 0, 0, 721, 0, 0, 0, 524, 154, 65, 20, 5, 2, 127, 266, 69, 56, 69, 0, 9.0, 60.0, 63.0, 0, 13, 57, 56, 1, 0, 12, 0, 12, 26, 13, 6, 0.0, 44, 1, 0, 0, 0, 47, 47, 13.04, 86.96, 91.3, 81.1875, 82.5, 82.5, 0, 22.796875, 82.59375, 0.0, 21.09765625, 45.59375, 22.796875, 10.5, 0.0, 98.1875, 77.1875, 1.7998046875, 1.7998046875, 0.0, 0.0, 224.0, 64.0, 0.0, 0.0, 38.0, "Tous les candidats", 435.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "7636", "Licence - Langues étrangères appliquées - Parcours Anglais/Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7636&g_ta_cod=7636", 97.0, 3.0, 0.0),
(9433, "Public", "0753268V", "Lycée Jean Lurcat", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Lurcat - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 34, 4131, 2169, 4131, 0, 358, 108, 1416, 588, 1404, 674, 953, 0, 0, 0, 0, 0, 3436, 0, 0, 0, 236, 70, 1024, 423, 1404, 674, 772, 230, 34, 24, 34, 0, 1.0, 28.0, 29.0, 0, 10, 30, 5, 7, 18, 4, 0, 5, 12, 13, 0, 0.0, 4, 5, 16, 3, 3, 8, 30, 2.94, 82.35, 85.29, 70.59375, 26.69921875, 100.0, 10, 33.296875, 88.1875, 0.0, 16.69921875, 40.0, 43.296875, 0.0, 0.0, 16.69921875, 13.298828125, 23.296875, 16.69921875, 60.0, 53.296875, 41.0, 17.0, 59.0, 24.0, 49.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 134, "Bacheliers technologiques toutes séries", 185, "Liste d'appel propre à cette formation", 9.0, "9378", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9378&g_ta_cod=9378", 21.0, 24.0, 56.0),
(9434, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "Licence", "ICES - Institut Catholique de Vendée - Double licence - Droit / Science politique -", "Licence - Droit-économie-gestion", "", 40, 298, 179, 298, 0, 271, 32, 2, 1, 1, 0, 24, 0, 0, 0, 0, 0, 253, 0, 0, 0, 230, 24, 1, 0, 1, 0, 21, 144, 40, 26, 40, 0, 24.0, 36.0, 38.0, 0, 6, 37, 37, 0, 0, 3, 0, 0, 8, 25, 4, 0.0, 37, 0, 0, 0, 0, 8, 8, 60.0, 90.0, 95.0, 65.0, 21.59765625, 21.59765625, 0, 16.19921875, 92.5, 0.0, 0.0, 21.59765625, 67.59375, 10.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 131.0, 15.0, 0.0, 0.0, 13.0, "Tous les candidats", 219.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "32207", "Double licence - Droit / Science politique -", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32207&g_ta_cod=32207", 100.0, 0.0, 0.0),
(9435, "Public", "0450040Z", "Lycée En Foret", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Montargis", "formation sélective", "BTS", "Lycée En Foret - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 32, 529, 269, 418, 0, 35, 11, 87, 37, 67, 34, 229, 111, 0, 36, 31, 44, 130, 23, 0, 0, 32, 9, 57, 19, 26, 12, 15, 116, 29, 16, 21, 8, 7.0, 19.0, 26.0, 0, 9, 25, 3, 15, 7, 4, 0, 13, 9, 3, 0, 0.0, 1, 6, 5, 15, 6, 24, 24, 24.14, 65.52, 89.66, 55.1953125, 96.0, 96.0, 60, 36.0, 86.1875, 0.0, 52.0, 36.0, 12.0, 0.0, 0.0, 12.0, 4.0, 60.0, 24.0, 28.0, 20.0, 17.0, 4.0, 17.0, 7.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 30.0, "5645", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5645&g_ta_cod=5645", 10.0, 62.0, 28.0),
(9436, "Public", "0671557D", "I.U.T. d'Illkirch", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "BUT", "I.U.T. d'Illkirch - BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Chimie industrielle", "BUT - Production", "Analyse, contrôle-qualité, environnement - Chimie industrielle", 88, 849, 469, 841, 0, 534, 69, 70, 16, 4, 2, 233, 8, 1, 1, 0, 6, 673, 2, 0, 0, 450, 48, 43, 8, 0, 0, 180, 458, 77, 33, 77, 0, 10.0, 56.0, 76.0, 0, 6, 52, 45, 7, 0, 25, 0, 5, 24, 17, 6, 0.0, 42, 5, 0, 0, 0, 42, 42, 12.99, 72.73, 98.7, 42.8984375, 80.796875, 80.796875, 0, 11.5, 67.5, 0.0, 9.599609375, 46.1953125, 32.6953125, 11.5, 0.0, 86.5, 80.796875, 13.5, 9.599609375, 0.0, 0.0, 291.0, 35.0, 0.0, 0.0, 133.0, "Tous les candidats sauf les Bac technologiques", 620.0, "Bacheliers technologiques toutes séries", 51, "", 0, "Liste d'appel propre à cette formation", 80.0, "7965", "BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Chimie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7965&g_ta_cod=7965", 90.0, 10.0, 0.0),
(9437, "Privé sous contrat d'association", "0490072M", "ESA - Ecole Supérieure d'Agricultures", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole d'Ingénieur", "ESA Angers - Formation Bac + 3 - Bachelor - Agroécologie et systèmes alimentaires", "Formations  des écoles d'ingénieurs", "Bachelor - Agroécologie et systèmes alimentaires", 50, 82, 25, 79, 0, 64, 7, 15, 3, 0, 0, 0, 3, 2, 1, 0, 0, 72, 2, 0, 0, 59, 5, 13, 3, 0, 0, 0, 73, 16, 5, 15, 1, 12.0, 15.0, 16.0, 0, 3, 16, 11, 5, 0, 0, 1, 4, 9, 2, 0, 0.0, 6, 5, 0, 0, 0, 4, 4, 75.0, 93.75, 100.0, 31.296875, 25.0, 25.0, 0, 18.796875, 100.0, 6.2998046875, 25.0, 56.296875, 12.5, 0.0, 0.0, 68.796875, 37.5, 31.296875, 31.296875, 0.0, 0.0, 59.0, 5.0, 0.0, 0.0, 0.0, "Tous les candidats", 72.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "33584", "Formation Bac + 3 - Bachelor - Agroécologie et systèmes alimentaires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33584&g_ta_cod=33584", 69.0, 31.0, 0.0),
(9438, "Public", "0762920L", "Lycée Pierre de Coubertin", "76", "Seine-Maritime", "Normandie", "Normandie", "Bolbec", "formation sélective", "BTS", "Lycée Pierre de Coubertin - BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "BTS - Production", "", 15, 98, 1, 97, 0, 5, 0, 16, 5, 52, 8, 24, 1, 0, 0, 0, 1, 74, 0, 0, 0, 4, 0, 12, 4, 51, 8, 7, 43, 12, 0, 12, 0, 2.0, 9.0, 11.0, 0, 3, 12, 1, 2, 9, 0, 0, 3, 8, 1, 0, 0.0, 0, 1, 8, 10, 0, 12, 12, 16.67, 75.0, 91.67, 0.0, 100.0, 100.0, 83.296875, 25.0, 100.0, 0.0, 25.0, 66.6875, 8.298828125, 0.0, 0.0, 8.298828125, 0.0, 16.69921875, 8.298828125, 75.0, 66.6875, 2.0, 0.0, 29.0, 7.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers technologiques toutes séries", 15, "Bacheliers professionnels toutes séries", 38, "Liste d'appel propre à cette formation", 57.0, "33654", "BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33654&g_ta_cod=33654", 8.0, 17.0, 75.0),
(9439, "Public", "0922149L", "Lycée Auffray", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Clichy", "formation sélective", "BTS", "Lycée Auffray - BTS - Services - Tourisme", "BTS - Services", "", 72, 1401, 1076, 1401, 0, 164, 64, 279, 139, 393, 214, 565, 0, 0, 0, 0, 0, 1237, 0, 0, 0, 156, 60, 272, 136, 384, 210, 425, 314, 67, 56, 66, 0, 7.0, 48.0, 53.0, 0, 20, 41, 9, 19, 13, 26, 0, 18, 16, 5, 2, 0.0, 7, 5, 11, 0, 0, 12, 37, 10.45, 71.64, 79.1, 83.59375, 29.296875, 90.1875, 0, 48.796875, 61.1953125, 0.0, 43.8984375, 39.0, 12.19921875, 4.9, 0.0, 22.0, 17.09765625, 46.296875, 12.19921875, 31.69921875, 26.796875, 53.0, 21.0, 51.0, 23.0, 93.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 108.0, "Bacheliers professionnels toutes séries", 86, "Bacheliers technologiques toutes séries", 191, "Liste d'appel propre à cette formation", 27.0, "11137", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11137&g_ta_cod=11137", 18.0, 55.0, 27.0),
(9440, "Privé sous contrat d'association", "0593007Y", "Lycée Frédéric OZANAM", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Frédéric OZANAM - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 25, 112, 7, 98, 0, 21, 3, 23, 4, 32, 8, 22, 14, 0, 2, 9, 3, 93, 5, 0, 0, 19, 3, 23, 4, 32, 8, 19, 82, 18, 1, 17, 1, 2.0, 16.0, 18.0, 0, 1, 13, 2, 5, 6, 5, 0, 6, 4, 2, 1, 0.0, 0, 2, 5, 5, 0, 12, 12, 11.11, 88.89, 100.0, 5.599609375, 92.296875, 92.296875, 38.5, 7.69921875, 72.1875, 0.0, 46.1953125, 30.796875, 15.3984375, 7.7, 0.0, 15.3984375, 0.0, 38.5, 15.3984375, 46.1953125, 38.5, 17.0, 3.0, 32.0, 9.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 93.0, "6948", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6948&g_ta_cod=6948", 33.0, 28.0, 39.0),
(9441, "Public", "0730013T", "Lycée Vaugelas", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "CPGE", "Lycée Vaugelas - CPGE - PCSI", "Classe préparatoire scientifique", "", 45, 1010, 364, 1010, 757, 724, 68, 0, 0, 1, 0, 285, 0, 0, 0, 0, 0, 692, 0, 549, 670, 641, 55, 0, 0, 0, 0, 51, 529, 39, 13, 39, 0, 7.0, 17.0, 37.0, 25, 2, 39, 39, 0, 0, 0, 0, 1, 7, 27, 4, 0.0, 38, 0, 0, 0, 0, 26, 26, 17.95, 43.59, 94.87, 33.296875, 66.6875, 66.6875, 0, 5.099609375, 100.0, 0.0, 2.599609375, 17.8984375, 69.1875, 10.3, 0.0, 100.0, 97.390625, 0.0, 0.0, 0.0, 0.0, 517.0, 54.0, 0.0, 0.0, 12.0, "Tous les candidats", 688.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "8781", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8781&g_ta_cod=8781", 100.0, 0.0, 0.0),
(9442, "Privé enseignement supérieur", "0754493B", "ISIT - Institut de Management et de Communication Interculturels", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Ecole de Commerce", "ISIT - Institut de Management et de Communication Interculturels - Formation des écoles de commerce et de management Bac + 5 - Programme Grandes Ecoles - Management - Communication", "Formation des écoles de commerce et de management", "Programme Grandes Ecoles - Management - Communication", 120, 301, 225, 228, 0, 156, 27, 16, 10, 3, 3, 53, 73, 19, 11, 9, 34, 164, 23, 0, 0, 132, 17, 4, 1, 0, 0, 28, 186, 53, 46, 48, 5, 40.0, 47.0, 48.0, 0, 6, 37, 36, 1, 0, 16, 0, 5, 12, 12, 8, 0.0, 31, 1, 0, 0, 0, 4, 23, 75.47, 88.68, 90.57, 86.796875, 10.798828125, 62.1953125, 0, 16.19921875, 69.796875, 0.0, 13.5, 32.3984375, 32.3984375, 21.6, 0.0, 97.296875, 83.796875, 2.69970703125, 2.69970703125, 0.0, 0.0, 143.0, 26.0, 2.0, 2.0, 36.0, "Tous les candidats", 164.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "24259", "Formation des écoles de commerce et de management Bac + 5 - Programme Grandes Ecoles - Management - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24259&g_ta_cod=24259", 94.0, 4.0, 2.0),
(9443, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence_Las", "Université de Poitiers - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Anglais -  option Santé", "Licence - Arts-lettres-langues", "Langues, littératures & civilisations étrangères et régionales - Anglais", 35, 371, 293, 371, 0, 274, 62, 10, 2, 3, 2, 84, 0, 0, 0, 0, 0, 370, 0, 0, 0, 274, 62, 10, 2, 3, 2, 83, 127, 34, 28, 34, 0, 5.0, 28.0, 31.0, 0, 5, 30, 29, 1, 0, 4, 0, 0, 11, 13, 6, 0.0, 29, 1, 0, 0, 0, 30, 30, 14.71, 82.35, 91.18, 82.390625, 100.0, 100.0, 0, 16.69921875, 88.1875, 0.0, 0.0, 36.6953125, 43.296875, 20.0, 0.0, 96.6875, 96.6875, 3.2998046875, 3.2998046875, 0.0, 0.0, 116.0, 24.0, 0.0, 0.0, 10.0, "Tous les candidats", 149.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "28741", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Anglais -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28741&g_ta_cod=28741", 97.0, 3.0, 0.0),
(9444, "Privé sous contrat d'association", "0331503E", "Lycée Sainte Marie Grand Lebrun", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Sainte Marie Grand Lebrun - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 607, 309, 602, 0, 539, 35, 1, 0, 0, 0, 62, 5, 5, 0, 0, 0, 493, 3, 0, 493, 458, 27, 0, 0, 0, 0, 35, 237, 18, 7, 18, 0, 0.0, 10.0, 18.0, 0, 0, 18, 18, 0, 0, 0, 0, 0, 9, 8, 1, 0.0, 18, 0, 0, 3, 1, 16, 16, 0.0, 55.56, 100.0, 38.8984375, 88.890625, 88.890625, 16.69921875, 0.0, 100.0, 0.0, 0.0, 50.0, 44.3984375, 5.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 228.0, 13.0, 0.0, 0.0, 9.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "31626", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31284&g_ta_cod=31626", 100.0, 0.0, 0.0),
(9445, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence_Las", "Université de Strasbourg - Licence - Sciences pour la santé - Sciences pour la santé - Psychologie -  option Santé", "Licence - Sciences - technologies - santé", "Sciences pour la santé - Psychologie", 111, 2306, 1869, 2306, 0, 1562, 354, 82, 34, 13, 4, 649, 0, 0, 0, 0, 0, 2271, 0, 0, 0, 1562, 354, 82, 34, 13, 4, 614, 360, 110, 94, 110, 0, 15.0, 89.0, 102.0, 0, 20, 79, 79, 0, 0, 31, 1, 0, 2, 21, 50, 5.0, 78, 0, 0, 0, 0, 74, 74, 13.64, 80.91, 92.73, 85.5, 93.6875, 93.6875, 0, 25.296875, 71.796875, 1.2998046875, 0.0, 2.5, 26.59765625, 63.3, 6.3, 100.0, 98.6875, 0.0, 0.0, 0.0, 0.0, 190.0, 60.0, 0.0, 0.0, 170.0, "Tous les candidats", 535.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "29223", "Licence - Sciences pour la santé - Sciences pour la santé - Psychologie -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29223&g_ta_cod=29223", 99.0, 0.0, 1.0),
(9446, "Public", "0710100Y", "CNAM Chalon", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation non sélective", "Licence", "CNAM Chalon - Licence - Informatique - Parcours Informatique générale", "Licence - Sciences - technologies - santé", "Informatique générale", 16, 160, 17, 136, 0, 90, 14, 20, 7, 2, 1, 24, 24, 4, 2, 0, 18, 133, 17, 0, 0, 90, 14, 20, 7, 2, 1, 21, 102, 16, 0, 11, 5, 1.0, 9.0, 11.0, 0, 3, 9, 7, 2, 0, 7, 0, 8, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 5, 5, 6.25, 56.25, 68.75, 0.0, 55.59375, 55.59375, 0, 33.296875, 56.296875, 0.0, 88.890625, 11.099609375, 0.0, 0.0, 0.0, 77.796875, 0.0, 22.19921875, 11.099609375, 0.0, 0.0, 65.0, 9.0, 1.0, 0.0, 19.0, "Tous les candidats", 133.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "25226", "Licence - Informatique - Parcours Informatique générale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25226&g_ta_cod=25226", 81.0, 19.0, 0.0),
(9447, "Public", "0762762P", "Université Le Havre Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation non sélective", "Licence_Las", "Université Le Havre Normandie - Licence - Portail Portail : Chimie, Sciences de la Vie (CSV)", "Licence - Sciences - technologies - santé", "Portail : Chimie, Sciences de la Vie (CSV)", 48, 890, 627, 890, 0, 593, 100, 43, 22, 2, 2, 252, 0, 0, 0, 0, 0, 890, 0, 0, 0, 593, 100, 43, 22, 2, 2, 252, 355, 48, 29, 48, 0, 0.0, 18.0, 42.0, 0, 9, 43, 43, 0, 0, 5, 1, 18, 22, 2, 0, 0.0, 24, 0, 0, 0, 0, 42, 42, 0.0, 37.5, 87.5, 60.3984375, 97.6875, 97.6875, 0, 20.8984375, 89.59375, 2.2998046875, 41.8984375, 51.1953125, 4.69921875, 0.0, 0.0, 100.0, 55.796875, 0.0, 0.0, 0.0, 0.0, 275.0, 42.0, 0.0, 0.0, 75.0, "Tous les candidats", 865.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 65.0, "27025", "Licence - Portail Portail : Chimie, Sciences de la Vie (CSV)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27024&g_ta_cod=27025", 100.0, 0.0, 0.0),
(9448, "Privé sous contrat d'association", "0490072M", "ESA - Ecole Supérieure d'Agricultures", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 10, 218, 104, 217, 0, 0, 0, 0, 0, 0, 0, 217, 1, 0, 0, 0, 1, 199, 0, 0, 0, 0, 0, 0, 0, 0, 0, 199, 171, 9, 3, 9, 0, 7.0, 9.0, 9.0, 0, 0, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 77.78, 100.0, 100.0, 33.296875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 171.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "31131", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=31131", 89.0, 11.0, 0.0),
(9449, "Public", "0861283C", "I.U.T. Poitiers (site Chatellerault)", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Châtellerault", "formation sélective", "BUT", "I.U.T. Poitiers (site Chatellerault) - BUT - Réseaux et télécommunications Parcours : Réseaux Opérateurs et Multimédia", "BUT - Production", "Réseaux Opérateurs et Multimédia", 35, 436, 22, 387, 0, 230, 26, 93, 19, 9, 1, 55, 49, 7, 11, 0, 31, 295, 14, 0, 0, 192, 19, 68, 11, 3, 0, 32, 176, 34, 0, 28, 5, 14.0, 21.0, 29.0, 0, 3, 25, 20, 5, 0, 9, 0, 13, 8, 4, 0, 0.0, 9, 3, 0, 0, 0, 15, 15, 41.18, 61.76, 85.29, 0.0, 60.0, 60.0, 0, 12.0, 73.5, 0.0, 52.0, 32.0, 16.0, 0.0, 0.0, 80.0, 36.0, 20.0, 12.0, 0.0, 0.0, 95.0, 8.0, 0.0, 0.0, 30.0, "Tous les candidats sauf les Bac technologiques", 216.0, "Bacheliers technologiques toutes séries", 76, "", 0, "Liste d'appel propre à cette formation", 75.0, "10655", "BUT - Réseaux et télécommunications Parcours : Réseaux Opérateurs et Multimédia", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10655&g_ta_cod=10655", 79.0, 21.0, 0.0),
(9450, "Public", "0220013V", "Lycée De La Fontaine Des Eaux", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Dinan", "formation sélective", "BTS", "Lycée De La Fontaine Des Eaux - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 30, 134, 8, 121, 0, 7, 1, 12, 3, 54, 9, 48, 13, 0, 1, 10, 2, 71, 8, 0, 0, 6, 0, 12, 3, 47, 8, 6, 75, 11, 1, 8, 3, 5.0, 8.0, 10.0, 0, 1, 9, 1, 2, 6, 2, 0, 4, 4, 1, 0, 0.0, 0, 1, 4, 1, 0, 6, 6, 45.45, 72.73, 90.91, 9.099609375, 66.6875, 66.6875, 11.099609375, 11.099609375, 81.796875, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 11.099609375, 0.0, 22.19921875, 11.099609375, 66.6875, 44.3984375, 6.0, 0.0, 51.0, 10.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 59.0, "3305", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3305&g_ta_cod=3305", 18.0, 27.0, 55.0),
(9451, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Double licence - Histoire / Sociologie - Double licence Histoire et Sociologie", "Licence - Sciences humaines et sociales", "Double licence Histoire et Sociologie", 100, 790, 517, 790, 0, 585, 121, 46, 12, 16, 11, 143, 0, 0, 0, 0, 0, 789, 0, 0, 0, 585, 121, 46, 12, 16, 11, 142, 789, 123, 75, 123, 0, 122.0, 123.0, 123.0, 0, 18, 93, 78, 12, 3, 30, 1, 25, 35, 16, 15, 1.0, 61, 5, 1, 0, 0, 60, 60, 99.19, 100.0, 100.0, 61.0, 64.5, 64.5, 0, 19.3984375, 75.59375, 1.099853515625, 26.8984375, 37.59375, 17.19921875, 16.1, 1.1, 83.890625, 65.59375, 12.8984375, 5.3994140625, 3.19970703125, 1.099853515625, 585.0, 121.0, 16.0, 11.0, 142.0, "Tous les candidats", 789.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20560", "Double licence - Histoire / Sociologie - Double licence Histoire et Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20560&g_ta_cod=20560", 82.0, 13.0, 3.0),
(9452, "Public", "0772188K", "Lycée Pierre Mendes-France", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Savigny-le-Temple", "formation sélective", "BTS", "Lycée Pierre Mendes-France - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 34, 439, 195, 432, 0, 38, 12, 131, 56, 99, 51, 164, 7, 0, 3, 0, 4, 231, 2, 0, 0, 30, 10, 79, 35, 64, 29, 58, 155, 31, 20, 29, 1, 3.0, 22.0, 27.0, 0, 13, 23, 2, 8, 13, 8, 0, 11, 10, 2, 0, 0.0, 0, 5, 7, 3, 3, 15, 23, 9.68, 70.97, 87.1, 64.5, 65.1875, 100.0, 13, 56.5, 74.1875, 0.0, 47.796875, 43.5, 8.69921875, 0.0, 0.0, 8.69921875, 0.0, 34.796875, 21.69921875, 56.5, 30.3984375, 17.0, 8.0, 48.0, 24.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 96, "Liste d'appel propre à cette formation", 45.0, "9873", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9873&g_ta_cod=9873", 23.0, 35.0, 42.0),
(9453, "Public", "0951979K", "I.U.T de Cergy-Pontoise - Site de Pontoise", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "BUT", "I.U.T de Cergy-Pontoise - Site de Pontoise - BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "BUT - Production", "", 27, 756, 371, 736, 0, 450, 32, 118, 26, 3, 2, 165, 20, 0, 13, 0, 7, 403, 3, 0, 0, 304, 18, 69, 13, 0, 0, 30, 200, 27, 12, 26, 1, 0.0, 12.0, 23.0, 0, 2, 24, 18, 6, 0, 3, 0, 5, 12, 5, 2, 0.0, 14, 5, 0, 0, 0, 20, 23, 0.0, 44.44, 85.19, 44.3984375, 83.296875, 95.796875, 0, 8.298828125, 88.890625, 0.0, 20.796875, 50.0, 20.796875, 8.3, 0.0, 75.0, 58.296875, 25.0, 20.796875, 0.0, 0.0, 130.0, 13.0, 0.0, 0.0, 18.0, "Tous les candidats sauf les Bac technologiques", 272.0, "Bacheliers technologiques toutes séries", 70, "", 0, "Liste d'appel propre à cette formation", 46.0, "11620", "BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11620&g_ta_cod=11620", 74.0, 26.0, 0.0),
(9454, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Italien", "Licence - Arts-lettres-langues", "Italien", 27, 125, 98, 83, 0, 52, 15, 1, 1, 6, 3, 24, 42, 6, 4, 2, 30, 83, 39, 0, 0, 52, 15, 1, 1, 6, 3, 24, 112, 27, 21, 13, 14, 3.0, 13.0, 20.0, 0, 2, 11, 8, 1, 2, 16, 0, 5, 3, 3, 0, 0.0, 5, 0, 1, 0, 0, 10, 10, 11.11, 48.15, 74.07, 77.796875, 90.890625, 90.890625, 0, 18.19921875, 40.6953125, 0.0, 45.5, 27.296875, 27.296875, 0.0, 0.0, 72.6875, 45.5, 9.099609375, 0.0, 18.19921875, 9.099609375, 51.0, 14.0, 7.0, 2.0, 49.0, "Tous les candidats", 82.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7077", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7077&g_ta_cod=7077", 67.0, 11.0, 15.0),
(9455, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "PASS", "Université Côte d'Azur - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 115, 4035, 3034, 4035, 0, 3101, 531, 99, 42, 35, 15, 800, 0, 0, 0, 0, 0, 4025, 0, 0, 0, 3101, 531, 99, 42, 35, 15, 790, 478, 113, 97, 113, 0, 19.0, 98.0, 110.0, 0, 27, 111, 110, 0, 1, 2, 0, 0, 3, 31, 65, 12.0, 110, 0, 1, 0, 0, 95, 95, 16.81, 86.73, 97.35, 85.796875, 85.59375, 85.59375, 0, 24.296875, 98.1875, 0.0, 0.0, 2.69970703125, 27.8984375, 58.6, 10.8, 99.09375, 99.09375, 0.0, 0.0, 0.89990234375, 0.89990234375, 449.0, 91.0, 1.0, 0.0, 27.0, "Tous les candidats", 914.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 15.0, "27472", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27218&g_ta_cod=27472", 99.0, 0.0, 1.0),
(9456, "Public", "0754476H", "Lycée des Métiers de l'Hôtellerie Guillaume TIREL", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "Autre formation", "Lycée des Métiers de l'Hôtellerie Guillaume TIREL - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 562, 300, 562, 0, 251, 31, 80, 10, 47, 18, 184, 0, 0, 0, 0, 0, 264, 0, 0, 0, 142, 11, 31, 3, 10, 5, 81, 67, 21, 13, 21, 0, 8.0, 18.0, 20.0, 0, 3, 11, 8, 2, 1, 10, 0, 5, 4, 1, 1, 0.0, 3, 2, 1, 0, 0, 1, 10, 38.1, 85.71, 95.24, 61.8984375, 9.099609375, 90.890625, 0, 27.296875, 52.3984375, 0.0, 45.5, 36.3984375, 9.099609375, 9.1, 0.0, 72.6875, 27.296875, 18.19921875, 18.19921875, 9.099609375, 9.099609375, 33.0, 5.0, 2.0, 1.0, 24.0, "Tous les candidats", 81.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "9541", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9541&g_ta_cod=9541", 86.0, 10.0, 5.0),
(9457, "Public", "0260113G", "Lycée Les Catalins", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Montélimar", "formation sélective", "BTS", "Lycée Les Catalins - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 137, 7, 130, 0, 7, 1, 48, 8, 58, 30, 17, 7, 0, 4, 0, 3, 130, 1, 0, 0, 7, 1, 48, 8, 58, 30, 17, 69, 12, 1, 12, 0, 2.0, 8.0, 10.0, 0, 6, 11, 0, 2, 9, 1, 1, 2, 6, 2, 0, 0.0, 0, 0, 8, 9, 0, 11, 11, 16.67, 66.67, 83.33, 8.298828125, 100.0, 100.0, 81.796875, 54.5, 91.6875, 9.099609375, 18.19921875, 54.5, 18.19921875, 0.0, 0.0, 0.0, 0.0, 18.19921875, 0.0, 81.796875, 72.6875, 4.0, 1.0, 24.0, 11.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 69.0, "3638", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3638&g_ta_cod=3638", 8.0, 17.0, 75.0),
(9458, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Humanités - Programme International MINERVE", "Licence - Sciences humaines et sociales", "Humanités - Programme International MINERVE", 185, 1128, 799, 924, 0, 585, 111, 58, 25, 21, 11, 260, 204, 35, 21, 9, 139, 924, 195, 0, 0, 585, 111, 58, 25, 21, 11, 260, 977, 190, 127, 110, 80, 19.0, 108.0, 158.0, 0, 25, 98, 79, 15, 4, 92, 2, 40, 29, 19, 8, 0.0, 52, 1, 3, 0, 0, 32, 32, 10.0, 56.84, 83.16, 66.796875, 32.6953125, 32.6953125, 0, 25.5, 51.59375, 2.0, 40.796875, 29.59765625, 19.3984375, 8.2, 0.0, 80.59375, 53.09375, 15.298828125, 1.0, 4.099609375, 3.099609375, 540.0, 100.0, 28.0, 17.0, 345.0, "Tous les candidats", 924.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "17941", "Licence - Portail Humanités - Programme International MINERVE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17941&g_ta_cod=17941", 72.0, 16.0, 9.0),
(9459, "Public", "0212045J", "Lycée E.J.Marey", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Beaune", "formation sélective", "BTS", "Lycée E.J.Marey - BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "BTS - Services", "", 16, 185, 85, 185, 0, 20, 2, 20, 3, 56, 12, 89, 0, 0, 0, 0, 0, 121, 0, 0, 0, 19, 2, 20, 3, 48, 7, 34, 58, 14, 9, 14, 0, 3.0, 13.0, 14.0, 0, 0, 11, 3, 1, 7, 3, 0, 3, 4, 3, 1, 0.0, 1, 1, 6, 6, 2, 8, 8, 21.43, 92.86, 100.0, 64.296875, 72.6875, 72.6875, 54.5, 0.0, 78.59375, 0.0, 27.296875, 36.3984375, 27.296875, 9.1, 0.0, 27.296875, 9.099609375, 9.099609375, 9.099609375, 63.59375, 54.5, 14.0, 1.0, 22.0, 3.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 44.0, "3299", "BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3299&g_ta_cod=3299", 29.0, 14.0, 57.0),
(9460, "Public", "0110669T", "Lycée agricole Charlemagne", "11", "Aude", "Occitanie", "Montpellier", "Carcassonne", "formation sélective", "BTS", "Lycée agricole Charlemagne - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 27, 445, 172, 425, 0, 43, 7, 59, 8, 18, 5, 305, 20, 4, 4, 0, 12, 146, 11, 0, 0, 42, 6, 57, 8, 18, 5, 29, 119, 17, 9, 11, 6, 4.0, 11.0, 14.0, 0, 3, 11, 5, 2, 4, 6, 0, 6, 4, 1, 0, 0.0, 0, 2, 3, 3, 2, 7, 7, 23.53, 64.71, 82.35, 52.8984375, 63.59375, 63.59375, 27.296875, 27.296875, 64.6875, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 45.5, 0.0, 18.19921875, 18.19921875, 36.3984375, 27.296875, 37.0, 4.0, 13.0, 3.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 34.0, "2463", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2463&g_ta_cod=2463", 53.0, 24.0, 24.0),
(9461, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Management et Sciences Humaines (MSH)", "Licence - Droit-économie-gestion", "Management et Sciences Humaines (MSH)", 385, 3564, 2066, 3564, 0, 2528, 370, 235, 82, 14, 7, 787, 0, 0, 0, 0, 0, 3501, 0, 0, 0, 2528, 370, 235, 82, 14, 7, 724, 1389, 373, 217, 373, 0, 55.0, 353.0, 358.0, 0, 56, 320, 320, 0, 0, 53, 1, 25, 150, 127, 14, 3.0, 294, 0, 0, 0, 0, 247, 247, 14.75, 94.64, 95.98, 58.1953125, 77.1875, 77.1875, 0, 17.5, 85.796875, 0.29998779296875, 7.7998046875, 46.8984375, 39.6953125, 4.4, 0.9, 100.0, 91.890625, 0.0, 0.0, 0.0, 0.0, 1108.0, 197.0, 0.0, 0.0, 281.0, "Tous les candidats", 1688.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "8533", "Licence - Portail Management et Sciences Humaines (MSH)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8533&g_ta_cod=8533", 100.0, 0.0, 0.0),
(9462, "Public", "0230051F", "Lycée Jean Favard", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Guéret", "formation sélective", "Autre formation", "Lycée Jean Favard - Mention complémentaire - FCIL Domotique appliquée à la santé / gestion technique de bâtiment", "Mention complémentaire", "", 12, 19, 3, 17, 0, 0, 0, 0, 0, 10, 3, 7, 2, 0, 0, 1, 1, 17, 0, 0, 0, 0, 0, 0, 0, 10, 3, 7, 17, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 10.0, 3.0, 7.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24273", "Mention complémentaire - FCIL Domotique appliquée à la santé / gestion technique de bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24273&g_ta_cod=24273", 0, 0, 0),
(9463, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Double licence - Histoire / Lettres - Histoire -Lettres", "Licence - Sciences humaines et sociales", "Histoire -Lettres", 33, 238, 148, 119, 0, 84, 17, 5, 3, 1, 0, 29, 119, 21, 5, 5, 88, 86, 15, 0, 0, 73, 13, 2, 1, 0, 0, 11, 98, 7, 7, 5, 1, 2.0, 5.0, 6.0, 0, 1, 6, 6, 0, 0, 1, 0, 3, 1, 1, 1, 0.0, 3, 0, 0, 0, 0, 2, 3, 28.57, 71.43, 85.71, 100.0, 33.296875, 50.0, 0, 16.69921875, 85.6875, 0.0, 50.0, 16.69921875, 16.69921875, 16.7, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 76.0, 13.0, 0.0, 0.0, 21.0, "Tous les candidats", 86.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "11506", "Double licence - Histoire / Lettres - Histoire -Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11506&g_ta_cod=11506", 100.0, 0.0, 0.0),
(9464, "Public", "0781944P", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "PASS", "Université de Versailles - Saint Quentin en Yvelines - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Mathématiques Informatique (MI)", 20, 3305, 1973, 3305, 0, 2445, 443, 38, 14, 10, 8, 812, 0, 0, 0, 0, 0, 3207, 0, 0, 0, 2445, 443, 38, 14, 10, 8, 714, 377, 20, 12, 20, 0, 0.0, 2.0, 10.0, 0, 3, 16, 15, 1, 0, 4, 1, 3, 5, 3, 2, 2.0, 11, 1, 0, 0, 0, 12, 16, 0.0, 10.0, 50.0, 60.0, 75.0, 100.0, 0, 18.796875, 80.0, 6.2998046875, 18.796875, 31.296875, 18.796875, 12.5, 12.5, 93.796875, 68.796875, 6.2998046875, 6.2998046875, 0.0, 0.0, 321.0, 59.0, 1.0, 1.0, 51.0, "Tous les candidats", 2542.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "32679", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29162&g_ta_cod=32679", 95.0, 5.0, 0.0),
(9465, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Portail Physique Sciences pour l'Ingénieur - Chimie", "Licence - Sciences - technologies - santé", "Physique Sciences pour l'Ingénieur - Chimie", 75, 580, 233, 514, 0, 300, 46, 30, 7, 1, 0, 183, 66, 13, 2, 0, 51, 512, 57, 0, 0, 300, 46, 30, 7, 1, 0, 181, 482, 46, 22, 34, 12, 6.0, 33.0, 43.0, 0, 5, 24, 18, 6, 0, 22, 0, 10, 11, 2, 1, 0.0, 12, 2, 0, 0, 0, 12, 12, 13.04, 71.74, 93.48, 47.796875, 50.0, 50.0, 0, 20.796875, 52.1953125, 0.0, 41.6953125, 45.796875, 8.298828125, 4.2, 0.0, 75.0, 50.0, 25.0, 8.298828125, 0.0, 0.0, 263.0, 39.0, 1.0, 0.0, 203.0, "Tous les candidats", 512.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "30988", "Licence - Portail Physique Sciences pour l'Ingénieur - Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30988&g_ta_cod=30988", 83.0, 17.0, 0.0),
(9466, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Portail Philosophie - Parcours Philosophie", "Licence - Sciences humaines et sociales", "Parcours Philosophie", 70, 556, 305, 344, 0, 169, 53, 42, 9, 15, 7, 118, 212, 43, 34, 14, 121, 334, 106, 0, 0, 169, 53, 42, 9, 15, 7, 108, 400, 68, 31, 22, 44, 0.0, 22.0, 44.0, 0, 7, 32, 17, 11, 4, 36, 0, 21, 11, 0, 0, 0.0, 5, 4, 2, 0, 0, 16, 27, 0.0, 32.35, 64.71, 45.59375, 50.0, 84.390625, 0, 21.8984375, 47.09375, 0.0, 65.59375, 34.3984375, 0.0, 0.0, 0.0, 53.09375, 15.599609375, 34.3984375, 12.5, 12.5, 6.2998046875, 178.0, 48.0, 23.0, 10.0, 143.0, "Tous les candidats", 457.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "24388", "Licence - Portail Philosophie - Parcours Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27588&g_ta_cod=24388", 57.0, 26.0, 16.0),
(9467, "Public", "0760056Y", "Lycée Jules Siegfried", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BTS", "Lycée Jules Siegfried - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 254, 32, 218, 0, 20, 6, 54, 14, 68, 33, 76, 36, 2, 7, 14, 13, 74, 9, 0, 0, 15, 3, 30, 6, 20, 9, 9, 65, 11, 0, 7, 4, 3.0, 7.0, 11.0, 0, 4, 10, 4, 1, 5, 1, 0, 6, 2, 1, 1, 0.0, 0, 0, 4, 1, 0, 9, 9, 27.27, 63.64, 100.0, 0.0, 90.0, 90.0, 10, 40.0, 90.890625, 0.0, 60.0, 20.0, 10.0, 10.0, 0.0, 40.0, 0.0, 10.0, 0.0, 50.0, 40.0, 14.0, 3.0, 21.0, 9.0, 8.0, "Tous les candidats sauf les Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 34.0, "9578", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9578&g_ta_cod=9578", 45.0, 9.0, 45.0),
(9468, "Public", "0220196U", "Lycée Henri Avril", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Lamballe-Armor", "formation sélective", "BTS", "Lycée Henri Avril - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 183, 38, 180, 0, 6, 1, 46, 4, 74, 12, 54, 3, 0, 1, 2, 0, 137, 0, 0, 0, 6, 1, 45, 3, 65, 11, 21, 90, 18, 3, 18, 0, 7.0, 17.0, 18.0, 0, 2, 13, 2, 3, 8, 5, 0, 4, 8, 1, 0, 0.0, 0, 2, 7, 5, 1, 13, 13, 38.89, 94.44, 100.0, 16.69921875, 100.0, 100.0, 38.5, 15.3984375, 72.1875, 0.0, 30.796875, 61.5, 7.69921875, 0.0, 0.0, 15.3984375, 0.0, 23.09765625, 15.3984375, 61.5, 53.796875, 4.0, 1.0, 51.0, 7.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 72.0, "3348", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3348&g_ta_cod=3348", 11.0, 39.0, 50.0),
(9469, "Public", "0880153N", "Lycée Andre Malraux", "88", "Vosges", "Grand Est", "Nancy-Metz", "Remiremont", "formation sélective", "BTS", "Lycée Andre Malraux - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 15, 96, 22, 85, 0, 5, 3, 18, 4, 25, 11, 37, 11, 2, 1, 2, 6, 59, 8, 0, 0, 5, 3, 17, 4, 25, 11, 12, 56, 9, 3, 6, 3, 0.0, 5.0, 8.0, 0, 3, 7, 0, 3, 4, 2, 0, 3, 4, 0, 0, 0.0, 0, 1, 3, 2, 1, 6, 6, 0.0, 55.56, 88.89, 33.296875, 85.6875, 85.6875, 28.59765625, 42.8984375, 77.796875, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 0.0, 0.0, 42.8984375, 14.298828125, 57.09375, 42.8984375, 6.0, 3.0, 22.0, 8.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 68.0, "10747", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10747&g_ta_cod=10747", 11.0, 44.0, 44.0),
(9470, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Portail Sciences exactes et sciences pour l'ingénieur (SESI) L1 aménagée pour Bac Technologiques", "Licence - Sciences - technologies - santé", "Sciences exactes et sciences pour l'ingénieur (SESI) L1 aménagée pour Bac Technologiques", 60, 332, 77, 196, 0, 31, 10, 104, 37, 1, 0, 60, 136, 18, 21, 2, 95, 116, 36, 0, 0, 0, 0, 83, 23, 0, 0, 33, 148, 37, 10, 19, 18, 12.0, 18.0, 34.0, 0, 6, 17, 2, 15, 0, 20, 0, 8, 7, 2, 0, 0.0, 0, 9, 0, 0, 0, 11, 11, 32.43, 48.65, 91.89, 27.0, 64.6875, 64.6875, 0, 35.296875, 45.8984375, 0.0, 47.09375, 41.1953125, 11.798828125, 0.0, 0.0, 11.798828125, 0.0, 88.1875, 52.8984375, 0.0, 0.0, 8.0, 3.0, 0.0, 0.0, 55.0, "Tous les candidats", 117.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "28601", "Licence - Portail Sciences exactes et sciences pour l'ingénieur (SESI) L1 aménagée pour Bac Technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28601&g_ta_cod=28601", 32.0, 65.0, 3.0),
(9471, "Public", "0932086M", "I.U.T de Tremblay-en-France - Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Tremblay-en-France", "formation sélective", "BUT", "I.U.T de Tremblay-en-France - Paris 8 - BUT - Gestion des entreprises et des administrations Parcours : Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "BUT - Service", "Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", 83, 2885, 1631, 2885, 0, 1019, 382, 1062, 485, 95, 53, 709, 0, 0, 0, 0, 0, 1771, 0, 0, 0, 779, 276, 712, 321, 33, 21, 247, 775, 76, 49, 76, 0, 22.0, 53.0, 65.0, 0, 40, 71, 32, 39, 0, 5, 0, 25, 36, 9, 1, 0.0, 18, 28, 0, 0, 0, 62, 69, 28.95, 69.74, 85.53, 64.5, 87.296875, 97.1875, 0, 56.296875, 93.390625, 0.0, 35.1953125, 50.6953125, 12.69921875, 1.4, 0.0, 45.09375, 25.3984375, 54.8984375, 39.3984375, 0.0, 0.0, 384.0, 140.0, 1.0, 1.0, 54.0, "Tous les candidats sauf les Bac technologiques", 508.0, "Bacheliers technologiques toutes séries", 421, "", 0, "Liste d'appel propre à cette formation", 32.0, "11335", "BUT - Gestion des entreprises et des administrations Parcours : Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11335&g_ta_cod=11335", 45.0, 55.0, 0.0),
(9472, "Public", "9741182S", "Lycée Jean Joly", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Louis", "formation sélective", "BTS", "Lycée Jean Joly - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 15, 105, 12, 97, 0, 2, 1, 37, 16, 37, 16, 21, 8, 0, 0, 3, 5, 73, 2, 0, 0, 2, 1, 27, 11, 28, 10, 16, 50, 9, 1, 8, 1, 2.0, 7.0, 7.0, 0, 3, 6, 0, 2, 4, 3, 0, 4, 1, 1, 0, 0.0, 0, 0, 2, 2, 0, 6, 6, 22.22, 77.78, 77.78, 11.099609375, 100.0, 100.0, 33.296875, 50.0, 66.6875, 0.0, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 19.0, 8.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 58.0, "11958", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11958&g_ta_cod=11958", 0.0, 44.0, 56.0),
(9473, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "PASS", "Université de Corte - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 140, 659, 433, 659, 0, 499, 76, 37, 10, 10, 4, 113, 0, 0, 0, 0, 0, 659, 0, 0, 0, 499, 76, 37, 10, 10, 4, 113, 341, 134, 90, 134, 0, 66.0, 118.0, 130.0, 0, 22, 122, 113, 7, 2, 12, 0, 8, 35, 43, 28, 8.0, 107, 5, 2, 0, 0, 116, 116, 49.25, 88.06, 97.01, 67.1875, 95.09375, 95.09375, 0, 18.0, 91.0, 0.0, 6.599609375, 28.69921875, 35.1953125, 23.0, 6.6, 92.59375, 87.6875, 5.69921875, 4.099609375, 1.599853515625, 1.599853515625, 267.0, 37.0, 8.0, 4.0, 50.0, "Tous les candidats", 370.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "27367", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27367&g_ta_cod=27367", 91.0, 7.0, 1.0),
(9474, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues étrangères appliquées - Parcours Anglais allemand appliqués aux affaires", "Licence - Arts-lettres-langues", "Anglais allemand appliqués aux affaires", 120, 478, 298, 265, 0, 183, 42, 12, 5, 6, 5, 64, 213, 23, 16, 26, 148, 265, 97, 0, 0, 183, 42, 12, 5, 6, 5, 64, 339, 66, 33, 24, 42, 12.0, 23.0, 43.0, 0, 13, 29, 21, 3, 5, 37, 0, 15, 9, 4, 1, 0.0, 11, 1, 2, 0, 0, 19, 19, 18.18, 34.85, 65.15, 50.0, 65.5, 65.5, 0, 44.796875, 43.8984375, 0.0, 51.6953125, 31.0, 13.798828125, 3.4, 0.0, 72.390625, 37.8984375, 10.298828125, 3.39990234375, 17.19921875, 6.8994140625, 183.0, 46.0, 14.0, 9.0, 123.0, "Tous les candidats", 265.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15720", "Licence - Langues étrangères appliquées - Parcours Anglais allemand appliqués aux affaires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15720&g_ta_cod=15720", 70.0, 15.0, 15.0),
(9475, "Public", "0381775Y", "I.U.T. 2 de Grenoble", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BUT", "I.U.T. 2 de Grenoble - BUT - Carrières sociales Parcours éducation spécialisée", "BUT - Service", "", 28, 1121, 990, 1121, 0, 362, 48, 346, 80, 70, 27, 343, 0, 0, 0, 0, 0, 320, 0, 0, 0, 47, 2, 194, 38, 5, 0, 74, 91, 30, 25, 30, 0, 9.0, 27.0, 27.0, 0, 4, 19, 8, 10, 1, 11, 0, 3, 6, 6, 4, 0.0, 8, 7, 1, 0, 0, 5, 5, 30.0, 90.0, 90.0, 83.296875, 26.296875, 26.296875, 0, 21.09765625, 63.296875, 0.0, 15.798828125, 31.59765625, 31.59765625, 21.1, 0.0, 42.09375, 42.09375, 52.59375, 36.796875, 5.2998046875, 5.2998046875, 23.0, 2.0, 2.0, 0.0, 31.0, "Tous les candidats sauf les Bac technologiques", 75.0, "Bacheliers technologiques toutes séries", 51, "", 0, "Liste d'appel propre à cette formation", 11.0, "5005", "BUT - Carrières sociales Parcours éducation spécialisée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5005&g_ta_cod=5005", 50.0, 47.0, 3.0),
(9476, "Public", "0931584S", "Lycée Jean Rostand", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villepinte", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 512, 34, 512, 0, 66, 27, 154, 80, 122, 60, 170, 0, 0, 0, 0, 0, 232, 0, 0, 0, 47, 21, 78, 39, 55, 29, 52, 74, 24, 2, 24, 0, 9.0, 18.0, 21.0, 0, 11, 21, 5, 9, 7, 3, 0, 10, 6, 5, 0, 0.0, 2, 3, 6, 3, 0, 21, 21, 37.5, 75.0, 87.5, 8.298828125, 100.0, 100.0, 14.298828125, 52.3984375, 87.5, 0.0, 47.59375, 28.59765625, 23.796875, 0.0, 0.0, 23.796875, 9.5, 42.8984375, 14.298828125, 33.296875, 28.59765625, 8.0, 3.0, 27.0, 21.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 19.0, "11274", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11274&g_ta_cod=11274", 21.0, 42.0, 38.0),
(9477, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 90, 1089, 947, 1089, 0, 544, 108, 93, 26, 21, 8, 431, 0, 0, 0, 0, 0, 1082, 0, 0, 0, 544, 108, 93, 26, 21, 8, 424, 368, 89, 83, 89, 0, 9.0, 70.0, 82.0, 0, 12, 68, 57, 9, 2, 21, 0, 4, 29, 29, 6, 0.0, 54, 8, 2, 0, 0, 56, 56, 10.11, 78.65, 92.13, 93.296875, 82.390625, 82.390625, 0, 17.59765625, 76.390625, 0.0, 5.8994140625, 42.59375, 42.59375, 8.8, 0.0, 83.796875, 79.390625, 13.19921875, 11.798828125, 2.89990234375, 2.89990234375, 218.0, 39.0, 9.0, 6.0, 111.0, "Tous les candidats", 557.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "21481", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21481&g_ta_cod=21481", 81.0, 15.0, 4.0),
(9478, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Licence", "Université Clermont Auvergne - Licence - Langues étrangères appliquées - Parcours Anglais/Russe", "Licence - Arts-lettres-langues", "Anglais/Russe", 13, 125, 87, 125, 0, 77, 23, 12, 5, 4, 2, 32, 0, 0, 0, 0, 0, 122, 0, 0, 0, 77, 23, 12, 5, 4, 2, 29, 50, 13, 10, 13, 0, 2.0, 11.0, 11.0, 0, 4, 12, 9, 3, 0, 1, 0, 1, 6, 5, 0, 0.0, 8, 3, 0, 0, 0, 10, 10, 15.38, 84.62, 84.62, 76.890625, 83.296875, 83.296875, 0, 33.296875, 92.296875, 0.0, 8.298828125, 50.0, 41.6953125, 0.0, 0.0, 75.0, 66.6875, 25.0, 25.0, 0.0, 0.0, 38.0, 13.0, 0.0, 0.0, 8.0, "Tous les candidats", 81.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "15453", "Licence - Langues étrangères appliquées - Parcours Anglais/Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15453&g_ta_cod=15453", 69.0, 31.0, 0.0),
(9479, "Public", "0951710T", "Lycée Camille Claudel", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Vauréal", "formation sélective", "Autre formation", "Lycée Camille Claudel - DN MADE - Objet - - Spécialité : Matériaux", "DN MADE", "- Spécialité : Matériaux", 15, 213, 136, 213, 0, 58, 8, 82, 10, 23, 2, 50, 0, 0, 0, 0, 0, 147, 0, 0, 0, 48, 6, 75, 9, 17, 1, 7, 94, 14, 10, 14, 0, 0.0, 9.0, 13.0, 0, 1, 14, 9, 1, 4, 0, 0, 4, 7, 2, 1, 0.0, 5, 1, 4, 0, 0, 9, 9, 0.0, 64.29, 92.86, 71.390625, 64.296875, 64.296875, 0, 7.099609375, 100.0, 0.0, 28.59765625, 50.0, 14.298828125, 7.1, 0.0, 64.296875, 35.6953125, 7.099609375, 7.099609375, 28.59765625, 28.59765625, 33.0, 4.0, 8.0, 0.0, 6.0, "Tous les candidats", 129.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "21600", "DN MADE - Objet - - Spécialité : Matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21600&g_ta_cod=21600", 64.0, 7.0, 29.0),
(9480, "Public", "0720033V", "Lycée Polyvalent Gabriel Touchard - Washington", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Gabriel Touchard - Washington - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 393, 283, 393, 0, 13, 5, 152, 50, 117, 58, 111, 0, 0, 0, 0, 0, 240, 0, 0, 0, 11, 4, 111, 35, 78, 37, 40, 120, 35, 30, 35, 0, 4.0, 27.0, 31.0, 0, 14, 31, 3, 18, 10, 4, 0, 18, 9, 3, 1, 0.0, 1, 5, 7, 11, 11, 30, 30, 11.43, 77.14, 88.57, 85.6875, 96.796875, 96.796875, 35.5, 45.1953125, 88.59375, 0.0, 58.09375, 29.0, 9.69921875, 3.2, 0.0, 9.69921875, 3.19970703125, 58.09375, 16.09765625, 32.296875, 22.59765625, 6.0, 3.0, 40.0, 19.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 38.0, "8700", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8700&g_ta_cod=8700", 9.0, 57.0, 34.0),
(9481, "Privé sous contrat d'association", "0331503E", "Lycée Sainte Marie Grand Lebrun", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Sainte Marie Grand Lebrun - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 382, 187, 380, 0, 331, 22, 2, 0, 0, 0, 47, 2, 0, 0, 0, 2, 305, 0, 0, 305, 282, 16, 0, 0, 0, 0, 23, 217, 15, 9, 15, 0, 3.0, 12.0, 14.0, 0, 2, 14, 14, 0, 0, 1, 0, 0, 3, 9, 2, 0.0, 14, 0, 0, 2, 1, 10, 10, 20.0, 80.0, 93.33, 60.0, 71.390625, 71.390625, 14.298828125, 14.298828125, 93.296875, 0.0, 0.0, 21.3984375, 64.296875, 14.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 202.0, 13.0, 0.0, 0.0, 15.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "31589", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31284&g_ta_cod=31589", 100.0, 0.0, 0.0),
(9482, "Public", "0341385W", "Lycée professionnel Leonard De Vinci", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée professionnel Leonard De Vinci - BTS - Production - Management économique de la construction", "BTS - Production", "", 15, 346, 77, 346, 0, 20, 8, 141, 32, 98, 36, 87, 0, 0, 0, 0, 0, 346, 0, 0, 0, 20, 8, 141, 32, 98, 36, 87, 62, 16, 4, 16, 0, 2.0, 8.0, 11.0, 0, 2, 12, 2, 7, 3, 4, 0, 5, 5, 2, 0, 0.0, 2, 5, 0, 0, 0, 9, 9, 12.5, 50.0, 68.75, 25.0, 75.0, 75.0, 0, 16.69921875, 75.0, 0.0, 41.6953125, 41.6953125, 16.69921875, 0.0, 0.0, 16.69921875, 16.69921875, 58.296875, 41.6953125, 25.0, 0.0, 4.0, 1.0, 33.0, 11.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 24.0, "19982", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19982&g_ta_cod=19982", 13.0, 50.0, 38.0),
(9483, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Arabe", "Licence - Arts-lettres-langues", "Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Arabe", 100, 207, 141, 108, 0, 41, 20, 10, 6, 9, 6, 48, 99, 4, 8, 4, 83, 105, 86, 0, 0, 41, 20, 10, 6, 9, 6, 45, 191, 53, 28, 16, 37, 14.0, 15.0, 35.0, 0, 6, 15, 7, 7, 1, 38, 0, 11, 2, 2, 0, 0.0, 3, 1, 0, 0, 0, 13, 13, 26.42, 28.3, 66.04, 52.796875, 86.6875, 86.6875, 0, 40.0, 28.296875, 0.0, 73.296875, 13.298828125, 13.298828125, 0.0, 0.0, 46.6953125, 20.0, 46.6953125, 6.69921875, 6.69921875, 0.0, 45.0, 22.0, 13.0, 10.0, 115.0, "Tous les candidats", 105.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "4400", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4400&g_ta_cod=4400", 51.0, 26.0, 13.0),
(9484, "Public", "0771357G", "Lycée agricole de la Bretonnière", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Chailly-en-Brie", "formation sélective", "BTS", "Lycée agricole de la Bretonnière - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 14, 274, 104, 231, 0, 10, 2, 13, 0, 29, 10, 179, 43, 0, 9, 15, 19, 72, 6, 0, 0, 8, 1, 11, 0, 24, 9, 29, 53, 11, 4, 9, 2, 3.0, 6.0, 9.0, 0, 0, 3, 1, 2, 0, 8, 0, 0, 3, 0, 0, 0.0, 1, 2, 0, 1, 0, 2, 3, 27.27, 54.55, 81.82, 36.3984375, 66.6875, 100.0, 33.296875, 0.0, 27.296875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 0.0, 0.0, 5.0, 1.0, 20.0, 7.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 24.0, "20123", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20123&g_ta_cod=20123", 55.0, 45.0, 0.0),
(9485, "Public", "0595964M", "Université du littoral - Site de Dunkerque", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation non sélective", "Licence", "Université du littoral - Site de Dunkerque - Licence - Lettres - Parcours Lettres modernes", "Licence - Arts-lettres-langues", "Lettres modernes", 72, 243, 205, 206, 0, 147, 45, 5, 2, 10, 8, 44, 37, 8, 3, 4, 22, 206, 34, 0, 0, 147, 45, 5, 2, 10, 8, 44, 218, 44, 35, 33, 11, 18.0, 33.0, 40.0, 0, 15, 32, 27, 1, 4, 12, 0, 12, 11, 7, 2, 0.0, 18, 0, 2, 0, 0, 32, 32, 40.91, 75.0, 90.91, 79.5, 100.0, 100.0, 0, 46.8984375, 72.6875, 0.0, 37.5, 34.3984375, 21.8984375, 6.3, 0.0, 84.390625, 56.296875, 3.099609375, 0.0, 12.5, 6.2998046875, 137.0, 43.0, 13.0, 11.0, 60.0, "Tous les candidats", 204.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7184", "Licence - Lettres - Parcours Lettres modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7184&g_ta_cod=7184", 82.0, 7.0, 9.0),
(9486, "Public", "0420957M", "I.U.T de Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BUT", "I.U.T de Saint-Etienne - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Management de process industriel - Simulation numérique et réalité virtuelle", "BUT - Production", "Innovation pour l?industrie - Management de process industriel - Simulation numérique et réalité virtuelle", 92, 1851, 160, 1824, 0, 1033, 150, 496, 82, 18, 4, 277, 27, 2, 7, 1, 17, 1420, 9, 0, 0, 891, 110, 344, 53, 0, 0, 185, 804, 92, 6, 85, 7, 22.0, 58.0, 79.0, 0, 14, 81, 51, 30, 0, 11, 0, 18, 48, 15, 0, 0.0, 37, 26, 0, 0, 0, 56, 56, 23.91, 63.04, 85.87, 6.5, 69.09375, 69.09375, 0, 17.296875, 88.0, 0.0, 22.19921875, 59.296875, 18.5, 0.0, 0.0, 63.0, 45.6953125, 37.0, 32.09375, 0.0, 0.0, 438.0, 61.0, 0.0, 0.0, 126.0, "Tous les candidats sauf les Bac technologiques", 823.0, "Bacheliers technologiques toutes séries", 368, "", 0, "Liste d'appel propre à cette formation", 65.0, "5307", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Management de process industriel - Simulation numérique et réalité virtuelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5307&g_ta_cod=5307", 65.0, 35.0, 0.0),
(9487, "Public", "9730364H", "Lycée d'Enseignement Général et Technologique Agricole de MACOURIA", "973", "Guyane", "Guyane", "Guyane", "Macouria", "formation sélective", "BTS", "Lycée d'Enseignement Général et Technologique Agricole de MACOURIA - BTS - Agricole - Développement de l'agriculture des régions chaudes", "BTS - Agricole", "", 18, 140, 49, 132, 0, 15, 5, 11, 5, 57, 44, 49, 8, 0, 0, 0, 8, 79, 0, 0, 0, 15, 5, 11, 5, 48, 36, 5, 38, 19, 9, 19, 0, 8.0, 16.0, 18.0, 0, 16, 19, 1, 6, 12, 0, 0, 5, 10, 3, 1, 0.0, 1, 4, 9, 10, 5, 19, 19, 42.11, 84.21, 94.74, 47.3984375, 100.0, 100.0, 52.59375, 84.1875, 100.0, 0.0, 26.296875, 52.59375, 15.798828125, 5.3, 0.0, 5.2998046875, 5.2998046875, 31.59765625, 21.09765625, 63.1953125, 47.3984375, 8.0, 2.0, 20.0, 17.0, 3.0, "Tous les candidats sauf les Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 37.0, "15825", "BTS - Agricole - Développement de l'agriculture des régions chaudes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15825&g_ta_cod=15825", 5.0, 32.0, 63.0),
(9488, "Public", "0730043A", "Lycée Rene Perrin", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Ugine", "formation sélective", "BTS", "Lycée Rene Perrin - BTS - Production - Electrotechnique", "BTS - Production", "", 22, 134, 1, 129, 0, 1, 0, 45, 4, 59, 11, 24, 5, 0, 3, 1, 1, 122, 2, 0, 0, 1, 0, 45, 4, 59, 11, 17, 95, 9, 0, 8, 1, 1.0, 7.0, 7.0, 0, 1, 8, 0, 3, 5, 1, 1, 4, 2, 1, 0, 0.0, 0, 1, 2, 5, 0, 8, 8, 11.11, 77.78, 77.78, 0.0, 100.0, 100.0, 62.5, 12.5, 88.890625, 12.5, 50.0, 25.0, 12.5, 0.0, 0.0, 0.0, 0.0, 37.5, 12.5, 62.5, 25.0, 0.0, 0.0, 47.0, 8.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 85.0, "8795", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8795&g_ta_cod=8795", 0.0, 33.0, 67.0),
(9489, "Public", "0630022G", "Lycée professionnel Roger Claustres", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée professionnel Roger Claustres - BTS - Production - Conception de produits industriels", "BTS - Production", "", 6, 197, 18, 194, 0, 16, 1, 100, 19, 45, 11, 33, 3, 0, 0, 1, 2, 130, 0, 0, 0, 16, 1, 62, 9, 38, 8, 14, 41, 8, 0, 8, 0, 1.0, 6.0, 8.0, 0, 1, 7, 0, 5, 2, 1, 0, 2, 3, 2, 0, 0.0, 0, 3, 2, 1, 0, 7, 7, 12.5, 75.0, 100.0, 0.0, 100.0, 100.0, 14.298828125, 14.298828125, 87.5, 0.0, 28.59765625, 42.8984375, 28.59765625, 0.0, 0.0, 0.0, 0.0, 71.390625, 42.8984375, 28.59765625, 28.59765625, 3.0, 1.0, 11.0, 3.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers technologiques toutes séries", 48, "Bacheliers professionnels toutes séries", 26, "Liste d'appel propre à cette formation", 44.0, "25024", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25024&g_ta_cod=25024", 13.0, 63.0, 25.0),
(9490, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Lettres - Parcours Licence 1 Lettres", "Licence - Arts-lettres-langues", "Licence 1 Lettres", 280, 905, 729, 712, 0, 506, 117, 14, 3, 10, 6, 182, 193, 31, 9, 8, 145, 710, 185, 0, 0, 506, 117, 14, 3, 10, 6, 180, 895, 169, 139, 118, 51, 117.0, 117.0, 155.0, 0, 24, 97, 85, 6, 6, 72, 0, 31, 49, 15, 2, 0.0, 60, 2, 4, 0, 0, 76, 76, 69.23, 69.23, 91.72, 82.1875, 78.390625, 78.390625, 0, 24.69921875, 57.3984375, 0.0, 32.0, 50.5, 15.5, 2.1, 0.0, 87.59375, 61.8984375, 6.19921875, 2.099609375, 6.19921875, 4.099609375, 537.0, 124.0, 18.0, 9.0, 317.0, "Tous les candidats", 710.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4395", "Licence - Lettres - Parcours Licence 1 Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4395&g_ta_cod=4395", 83.0, 9.0, 7.0),
(9491, "Public", "0755890V", "Sorbonne université", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Sorbonne université - Double licence - SCIENCES ET MUSICOLOGIE", "Licence - Sciences - technologies - santé", "SCIENCES ET MUSICOLOGIE", 24, 266, 98, 266, 0, 198, 8, 4, 0, 0, 0, 64, 0, 0, 0, 0, 0, 106, 0, 0, 0, 97, 5, 0, 0, 0, 0, 9, 69, 24, 8, 24, 0, 10.0, 21.0, 24.0, 0, 3, 21, 21, 0, 0, 3, 0, 0, 0, 11, 10, 0.0, 21, 0, 0, 0, 0, 1, 8, 41.67, 87.5, 100.0, 33.296875, 4.7998046875, 38.09375, 0, 14.298828125, 87.5, 0.0, 0.0, 0.0, 52.3984375, 47.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 61.0, 4.0, 0.0, 0.0, 8.0, "Tous les candidats", 78.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "28459", "Double licence - SCIENCES ET MUSICOLOGIE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28459&g_ta_cod=28459", 100.0, 0.0, 0.0),
(9492, "Privé sous contrat d'association", "0593007Y", "Lycée Frédéric OZANAM", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Frédéric OZANAM - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 30, 144, 15, 129, 0, 48, 4, 43, 3, 8, 2, 30, 15, 1, 4, 1, 9, 126, 7, 0, 0, 48, 4, 43, 3, 8, 2, 27, 104, 9, 1, 8, 1, 1.0, 8.0, 9.0, 0, 1, 7, 3, 2, 2, 2, 0, 4, 1, 2, 0, 0.0, 0, 1, 2, 2, 0, 7, 7, 11.11, 88.89, 100.0, 11.099609375, 100.0, 100.0, 28.59765625, 14.298828125, 77.796875, 0.0, 57.09375, 14.298828125, 28.59765625, 0.0, 0.0, 42.8984375, 0.0, 28.59765625, 14.298828125, 28.59765625, 28.59765625, 35.0, 4.0, 7.0, 1.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 96.0, "6943", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6943&g_ta_cod=6943", 56.0, 22.0, 22.0),
(9493, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Licence", "Université Bordeaux Montaigne - Licence - Musicologie - Parcours Licence 1 Musicologie et pratique artistique supérieure", "Licence - Arts-lettres-langues", "Licence 1 Musicologie et pratique artistique supérieure", 70, 329, 155, 296, 0, 185, 29, 10, 3, 8, 2, 93, 33, 5, 3, 1, 24, 267, 6, 0, 0, 173, 27, 8, 2, 4, 1, 82, 209, 58, 22, 53, 5, 7.0, 51.0, 55.0, 0, 7, 32, 31, 1, 0, 26, 0, 9, 16, 4, 2, 1.0, 22, 1, 0, 0, 0, 26, 26, 12.07, 87.93, 94.83, 37.8984375, 81.296875, 81.296875, 0, 21.8984375, 55.1953125, 0.0, 28.09765625, 50.0, 12.5, 6.3, 3.1, 96.890625, 68.796875, 3.099609375, 3.099609375, 0.0, 0.0, 132.0, 23.0, 3.0, 1.0, 69.0, "Tous les candidats", 267.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "4416", "Licence - Musicologie - Parcours Licence 1 Musicologie et pratique artistique supérieure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4416&g_ta_cod=4416", 83.0, 12.0, 3.0),
(9494, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation sélective", "Licence", "INALCO - Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Langues, littératures et civilisations étrangères et régionales - ARABE - HEBREU", "Licence - Arts-lettres-langues", "Langues, littératures et civilisations étrangères et régionales - ARABE - HEBREU", 10, 64, 34, 20, 0, 6, 2, 0, 0, 0, 0, 14, 44, 5, 1, 4, 34, 11, 4, 0, 0, 3, 0, 0, 0, 0, 0, 8, 15, 3, 0, 1, 2, 1.0, 1.0, 1.0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 33.33, 33.33, 33.33, 0.0, 100.0, 100.0, 0, 0.0, 33.296875, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 4.0, 0.0, 0.0, 0.0, 11.0, "Tous les candidats", 11.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "30370", "Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Langues, littératures et civilisations étrangères et régionales - ARABE - HEBREU", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30370&g_ta_cod=30370", 100.0, 0.0, 0.0),
(9495, "Public", "0311092U", "Lycée professionnel des Métiers Eugene MONTEL", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Colomiers", "formation sélective", "Autre formation", "Lycée professionnel des Métiers Eugene MONTEL - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 12, 43, 0, 41, 0, 0, 0, 0, 0, 34, 13, 7, 2, 0, 0, 1, 1, 41, 2, 0, 0, 0, 0, 0, 0, 34, 13, 7, 34, 7, 0, 6, 1, 3.0, 6.0, 6.0, 0, 5, 6, 0, 0, 6, 1, 0, 2, 2, 2, 0, 0.0, 0, 0, 4, 0, 0, 6, 6, 42.86, 85.71, 85.71, 0.0, 100.0, 100.0, 0, 83.296875, 85.6875, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 28.0, 13.0, 6.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4104", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4104&g_ta_cod=4104", 0.0, 0.0, 100.0),
(9496, "Public", "0120870F", "I.U.T de Rodez", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BUT", "I.U.T de Rodez - BUT - Information communication Parcours communication des organisations", "BUT - Service", "", 28, 1061, 813, 1061, 0, 626, 100, 215, 57, 2, 1, 218, 0, 0, 0, 0, 0, 612, 0, 0, 0, 383, 52, 146, 36, 0, 0, 83, 113, 31, 26, 31, 0, 13.0, 29.0, 31.0, 0, 5, 28, 17, 11, 0, 3, 0, 2, 10, 14, 2, 0.0, 16, 10, 0, 0, 0, 14, 14, 41.94, 93.55, 100.0, 83.890625, 50.0, 50.0, 0, 17.8984375, 90.296875, 0.0, 7.099609375, 35.6953125, 50.0, 7.1, 0.0, 60.6953125, 57.09375, 39.296875, 35.6953125, 0.0, 0.0, 49.0, 11.0, 0.0, 0.0, 19.0, "Tous les candidats sauf les Bac technologiques", 77.0, "Bacheliers technologiques toutes séries", 103, "", 0, "Liste d'appel propre à cette formation", 17.0, "2498", "BUT - Information communication Parcours communication des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2498&g_ta_cod=2498", 61.0, 39.0, 0.0),
(9497, "Public", "0760091L", "Lycée Jeanne D'Arc", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Services - Communication", "BTS - Services", "", 35, 1679, 1133, 1679, 0, 331, 69, 425, 143, 192, 88, 731, 0, 0, 0, 0, 0, 451, 0, 0, 0, 160, 28, 164, 48, 68, 28, 59, 149, 33, 30, 33, 0, 2.0, 30.0, 31.0, 0, 5, 24, 8, 9, 7, 9, 0, 2, 13, 9, 0, 0.0, 7, 8, 7, 1, 1, 21, 21, 6.06, 90.91, 93.94, 90.890625, 87.5, 87.5, 4.19921875, 20.796875, 72.6875, 0.0, 8.298828125, 54.1953125, 37.5, 0.0, 0.0, 33.296875, 29.19921875, 37.5, 33.296875, 29.19921875, 29.19921875, 48.0, 8.0, 17.0, 5.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 84.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 108, "Liste d'appel propre à cette formation", 13.0, "9595", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9595&g_ta_cod=9595", 36.0, 42.0, 21.0),
(9498, "Privé enseignement supérieur", "9741101D", "EGC de la Réunion", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "Ecole de Commerce", "EGC de la Réunion - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "", 60, 150, 83, 150, 0, 104, 16, 23, 5, 0, 0, 23, 0, 0, 0, 0, 0, 101, 0, 0, 0, 72, 9, 12, 3, 0, 0, 17, 83, 59, 31, 59, 0, 40.0, 55.0, 57.0, 0, 8, 51, 44, 7, 0, 8, 1, 3, 17, 22, 8, 0.0, 40, 7, 0, 0, 0, 49, 49, 67.8, 93.22, 96.61, 52.5, 96.09375, 96.09375, 0, 15.69921875, 86.390625, 2.0, 5.8994140625, 33.296875, 43.09375, 15.7, 0.0, 86.296875, 78.390625, 13.69921875, 13.69921875, 0.0, 0.0, 61.0, 8.0, 0.0, 0.0, 13.0, "Tous les candidats", 87.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "12056", "Formation des écoles de commerce et de management Bac + 3", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12056&g_ta_cod=12056", 88.0, 12.0, 0.0),
(9499, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Gaston Berger - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 1309, 777, 1295, 0, 93, 37, 400, 174, 357, 200, 445, 14, 0, 0, 7, 7, 464, 0, 0, 0, 38, 13, 171, 74, 190, 102, 65, 148, 31, 15, 31, 0, 3.0, 27.0, 31.0, 0, 11, 24, 1, 4, 19, 7, 0, 3, 9, 11, 1, 0.0, 1, 4, 16, 1, 1, 24, 24, 9.68, 87.1, 100.0, 48.3984375, 100.0, 100.0, 4.19921875, 45.796875, 77.390625, 0.0, 12.5, 37.5, 45.796875, 4.2, 0.0, 4.19921875, 4.19921875, 16.69921875, 16.69921875, 79.1875, 66.6875, 9.0, 6.0, 88.0, 47.0, 21.0, "Tous les candidats sauf les Bac professionnels", 123.0, "Bacheliers professionnels toutes séries", 189, "", 0, "Liste d'appel propre à cette formation", 24.0, "6871", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6871&g_ta_cod=6871", 19.0, 19.0, 61.0),
(9500, "Privé sous contrat d'association", "0920928J", "Lycée La Salle Passy Buzenval", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Rueil-Malmaison", "formation sélective", "Ecole d'Ingénieur", "ECAM-ECAM LaSalle - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 36, 1248, 273, 1233, 0, 1072, 65, 0, 0, 0, 0, 161, 15, 8, 0, 0, 7, 838, 7, 0, 0, 784, 26, 0, 0, 0, 0, 54, 460, 27, 6, 23, 4, 2.0, 19.0, 26.0, 0, 0, 25, 25, 0, 0, 2, 0, 3, 11, 9, 2, 0.0, 22, 0, 0, 0, 0, 13, 16, 7.41, 70.37, 96.3, 22.19921875, 52.0, 64.0, 0, 0.0, 92.59375, 0.0, 12.0, 44.0, 36.0, 8.0, 0.0, 100.0, 88.0, 0.0, 0.0, 0.0, 0.0, 429.0, 15.0, 0.0, 0.0, 31.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "30810", "Formation d'ingénieur Bac + 5 - Série générale", "ECAM-ECAM LaSalle", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29277&g_ta_cod=30810", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(9501, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation non sélective", "Licence", "Université de La Rochelle - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 113, 892, 425, 892, 0, 666, 136, 69, 16, 10, 6, 147, 0, 0, 0, 0, 0, 892, 0, 0, 0, 666, 136, 69, 16, 10, 6, 147, 497, 117, 48, 117, 0, 12.0, 115.0, 115.0, 0, 23, 99, 85, 13, 1, 18, 1, 40, 40, 16, 2, 0.0, 51, 6, 1, 0, 0, 79, 79, 10.26, 98.29, 98.29, 41.0, 79.796875, 79.796875, 0, 23.19921875, 84.59375, 1.0, 40.3984375, 40.3984375, 16.19921875, 2.0, 0.0, 85.890625, 51.5, 13.099609375, 6.099609375, 1.0, 1.0, 418.0, 83.0, 4.0, 2.0, 47.0, "Tous les candidats", 795.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "3086", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3086&g_ta_cod=3086", 82.0, 14.0, 4.0),
(9502, "Public", "0332344U", "Lycée professionnel Henri Brulle", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Libourne", "formation sélective", "Autre formation", "Lycée professionnel Henri Brulle - Mention complémentaire - Services numériques aux organisations", "Mention complémentaire", "", 12, 28, 7, 24, 0, 1, 0, 4, 1, 16, 8, 3, 4, 0, 0, 2, 2, 15, 2, 0, 0, 1, 0, 0, 0, 13, 7, 1, 26, 2, 0, 2, 0, 2.0, 2.0, 2.0, 0, 1, 2, 0, 0, 2, 0, 0, 0, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 2, 2, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 50.0, 100.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 1.0, 0.0, 19.0, 10.0, 2.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "33865", "Mention complémentaire - Services numériques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33865&g_ta_cod=33865", 0.0, 0.0, 100.0),
(9503, "Public", "0211139Z", "I.U.T de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BUT", "I.U.T de Dijon - BUT - Informatique Parcours : Réalisation d'applications: conception, développement, validation CDV - Déploiement d'applications communicantes et sécurisées DACS - Administration, gestion et exploitation des données GED", "BUT - Production", "Réalisation d'applications: conception, développement, validation CDV - Déploiement d'applications communicantes et sécurisées DACS - Administration, gestion et exploitation des données GED", 104, 1527, 116, 1507, 0, 821, 134, 360, 97, 14, 7, 312, 20, 0, 8, 0, 12, 1134, 3, 0, 0, 692, 101, 279, 71, 2, 0, 161, 612, 117, 7, 116, 1, 56.0, 98.0, 109.0, 0, 19, 94, 53, 41, 0, 23, 0, 17, 47, 29, 1, 0.0, 46, 31, 0, 0, 0, 53, 53, 47.86, 83.76, 93.16, 6.0, 56.3984375, 56.3984375, 0, 20.19921875, 80.296875, 0.0, 18.09765625, 50.0, 30.8984375, 1.1, 0.0, 56.3984375, 48.8984375, 43.59375, 33.0, 0.0, 0.0, 278.0, 56.0, 0.0, 0.0, 96.0, "Tous les candidats sauf les Bac technologiques", 470.0, "Bacheliers technologiques toutes séries", 313, "", 0, "Liste d'appel propre à cette formation", 52.0, "3236", "BUT - Informatique Parcours : Réalisation d'applications: conception, développement, validation CDV - Déploiement d'applications communicantes et sécurisées DACS - Administration, gestion et exploitation des données GED", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3236&g_ta_cod=3236", 50.0, 48.0, 0.0),
(9504, "Public", "0911913K", "Lycée Vallee De Chevreuse", "91", "Essonne", "Ile-de-France", "Versailles", "Gif-sur-Yvette", "formation sélective", "Autre formation", "Lycée Vallee De Chevreuse - Mention complémentaire - FCIL Métiers de Laboratoire", "Mention complémentaire", "", 12, 48, 26, 34, 0, 3, 0, 7, 3, 7, 4, 17, 14, 1, 3, 2, 8, 19, 5, 0, 0, 2, 0, 6, 3, 3, 2, 8, 29, 11, 6, 6, 2, 4.0, 6.0, 7.0, 0, 2, 6, 0, 5, 1, 5, 0, 4, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 4, 6, 36.36, 54.55, 63.64, 54.5, 66.6875, 100.0, 0, 33.296875, 54.5, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 83.296875, 16.69921875, 16.69921875, 16.69921875, 3.0, 0.0, 5.0, 3.0, 11.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "25150", "Mention complémentaire - FCIL Métiers de Laboratoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25150&g_ta_cod=25150", 18.0, 73.0, 9.0),
(9505, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Portail Chimie - Parcours commun Maths Info Physique Chimie Génie Civil", "Licence - Sciences - technologies - santé", "Parcours commun Maths Info Physique Chimie Génie Civil", 50, 409, 215, 352, 0, 186, 39, 16, 5, 0, 0, 150, 57, 14, 2, 0, 41, 343, 45, 0, 0, 186, 39, 16, 5, 0, 0, 141, 317, 25, 12, 14, 11, 0.0, 14.0, 23.0, 0, 2, 8, 8, 0, 0, 17, 0, 2, 5, 1, 0, 0.0, 6, 0, 0, 0, 0, 5, 5, 0.0, 56.0, 92.0, 48.0, 62.5, 62.5, 0, 25.0, 32.0, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 146.0, 28.0, 0.0, 0.0, 157.0, "Tous les candidats", 405.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "20742", "Licence - Portail Chimie - Parcours commun Maths Info Physique Chimie Génie Civil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27208&g_ta_cod=20742", 92.0, 8.0, 0.0),
(9506, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues étrangères appliquées - Parcours LEA Anglais-Italien", "Licence - Arts-lettres-langues", "LEA Anglais-Italien", 105, 534, 374, 421, 0, 256, 67, 46, 29, 20, 9, 99, 113, 11, 14, 6, 82, 419, 104, 0, 0, 256, 67, 46, 29, 20, 9, 97, 502, 81, 50, 57, 24, 39.0, 56.0, 70.0, 0, 16, 49, 35, 9, 5, 32, 1, 11, 24, 12, 1, 0.0, 30, 4, 3, 0, 0, 36, 36, 48.15, 69.14, 86.42, 61.6953125, 73.5, 73.5, 0, 32.6953125, 60.5, 2.0, 22.3984375, 49.0, 24.5, 2.0, 0.0, 71.390625, 61.1953125, 18.3984375, 8.19921875, 10.19921875, 6.099609375, 260.0, 66.0, 26.0, 13.0, 161.0, "Tous les candidats", 419.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2741", "Licence - Langues étrangères appliquées - Parcours LEA Anglais-Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2741&g_ta_cod=2741", 65.0, 20.0, 15.0),
(9507, "Privé enseignement supérieur", "0061715G", "IPAG Business School - Campus de Nice", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Programme Grande Ecole - American Track", 20, 1153, 544, 1145, 0, 977, 42, 57, 6, 4, 2, 107, 8, 2, 2, 0, 4, 1078, 7, 0, 0, 938, 36, 43, 4, 1, 1, 96, 955, 21, 12, 19, 2, 14.0, 19.0, 20.0, 0, 2, 18, 18, 0, 0, 3, 1, 5, 7, 4, 1, 0.0, 12, 0, 0, 0, 0, 6, 6, 66.67, 90.48, 95.24, 57.09375, 33.296875, 33.296875, 0, 11.099609375, 85.6875, 5.599609375, 27.796875, 38.8984375, 22.19921875, 5.6, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 829.0, 34.0, 1.0, 1.0, 86.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "26113", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26113", 100.0, 0.0, 0.0),
(9508, "Public", "0541324W", "I.U.T Nancy-Charlemagne - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BUT", "I.U.T Nancy-Charlemagne - Université de Lorraine - BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", "BUT - Production", "Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", 52, 1117, 319, 1117, 0, 540, 85, 262, 54, 18, 4, 297, 0, 0, 0, 0, 0, 545, 0, 0, 0, 339, 45, 97, 15, 1, 0, 108, 114, 56, 25, 56, 0, 28.0, 55.0, 55.0, 0, 7, 45, 23, 21, 1, 11, 0, 6, 17, 20, 2, 0.0, 18, 20, 1, 0, 0, 33, 33, 50.0, 98.21, 98.21, 44.59375, 73.296875, 73.296875, 0, 15.599609375, 80.390625, 0.0, 13.298828125, 37.796875, 44.3984375, 4.4, 0.0, 51.09375, 40.0, 46.6953125, 44.3984375, 2.19970703125, 2.19970703125, 51.0, 10.0, 1.0, 0.0, 22.0, "Tous les candidats sauf les Bac technologiques", 91.0, "Bacheliers technologiques toutes séries", 71, "", 0, "Liste d'appel propre à cette formation", 15.0, "6316", "BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6316&g_ta_cod=6316", 52.0, 46.0, 2.0),
(9509, "Privé sous contrat d'association", "0333481E", "YNCREA - BÈGLES", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "Bac STI2D", 5, 86, 4, 85, 0, 0, 0, 85, 18, 0, 0, 0, 1, 0, 1, 0, 0, 59, 0, 0, 0, 0, 0, 59, 10, 0, 0, 0, 55, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0.0, 0, 1, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "31226", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=31226", 0.0, 100.0, 0.0),
(9510, "Public", "0660809W", "Lycée Aristide Maillol", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée Aristide Maillol - BTS - Services - Professions immobilières", "BTS - Services", "", 30, 1264, 726, 1264, 0, 221, 64, 460, 149, 244, 113, 339, 0, 0, 0, 0, 0, 1051, 0, 0, 0, 208, 60, 373, 115, 198, 90, 272, 132, 24, 17, 24, 0, 0.0, 16.0, 22.0, 0, 3, 21, 1, 14, 6, 3, 0, 4, 12, 4, 1, 0.0, 1, 11, 5, 5, 4, 15, 15, 0.0, 66.67, 91.67, 70.796875, 71.390625, 71.390625, 23.796875, 14.298828125, 87.5, 0.0, 19.0, 57.09375, 19.0, 4.8, 0.0, 4.7998046875, 4.7998046875, 66.6875, 52.3984375, 28.59765625, 23.796875, 8.0, 2.0, 38.0, 18.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers technologiques toutes séries", 153, "Bacheliers professionnels toutes séries", 83, "Liste d'appel propre à cette formation", 21.0, "29489", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29489&g_ta_cod=29489", 8.0, 67.0, 25.0),
(9511, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation non sélective", "Licence", "Université Gustave Eiffel - Licence - Géographie et aménagement - Parcours GEOGRAPHIE ET AMENAGEMENT : Géographie et aménagement", "Licence - Sciences humaines et sociales", "GEOGRAPHIE ET AMENAGEMENT : Géographie et aménagement", 80, 332, 121, 316, 0, 213, 25, 17, 2, 4, 2, 82, 16, 5, 2, 2, 7, 316, 14, 0, 0, 213, 25, 17, 2, 4, 2, 82, 269, 78, 32, 69, 9, 37.0, 69.0, 73.0, 0, 6, 58, 52, 4, 2, 20, 0, 23, 29, 5, 1, 0.0, 33, 1, 1, 0, 0, 53, 56, 47.44, 88.46, 93.59, 41.0, 91.390625, 96.59375, 0, 10.298828125, 74.390625, 0.0, 39.6953125, 50.0, 8.599609375, 1.7, 0.0, 89.6875, 56.8984375, 6.8994140625, 1.699951171875, 3.39990234375, 1.699951171875, 191.0, 24.0, 6.0, 3.0, 58.0, "Tous les candidats", 315.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9934", "Licence - Géographie et aménagement - Parcours GEOGRAPHIE ET AMENAGEMENT : Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9934&g_ta_cod=9934", 83.0, 12.0, 5.0),
(9512, "Public", "0590214M", "Lycée Colbert", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Colbert - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 32, 508, 58, 508, 0, 70, 18, 107, 55, 112, 45, 219, 0, 0, 0, 0, 0, 439, 0, 0, 0, 58, 16, 96, 48, 109, 43, 176, 114, 30, 4, 30, 0, 7.0, 28.0, 29.0, 0, 10, 21, 1, 7, 13, 9, 0, 5, 9, 7, 0, 0.0, 0, 5, 11, 15, 1, 21, 21, 23.33, 93.33, 96.67, 13.298828125, 100.0, 100.0, 71.390625, 47.59375, 70.0, 0.0, 23.796875, 42.8984375, 33.296875, 0.0, 0.0, 4.7998046875, 0.0, 33.296875, 23.796875, 61.8984375, 52.3984375, 21.0, 9.0, 31.0, 12.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 28.0, "16143", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16143&g_ta_cod=16143", 17.0, 40.0, 43.0),
(9513, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Lettres", "Licence - Arts-lettres-langues", "", 150, 455, 371, 373, 0, 263, 55, 14, 3, 6, 3, 90, 82, 9, 11, 6, 56, 372, 49, 0, 0, 263, 55, 14, 3, 6, 3, 89, 387, 58, 47, 41, 17, 23.0, 38.0, 47.0, 0, 7, 34, 27, 2, 5, 24, 0, 9, 17, 7, 1, 0.0, 21, 0, 4, 0, 0, 29, 29, 39.66, 65.52, 81.03, 81.0, 85.296875, 85.296875, 0, 20.59765625, 58.59375, 0.0, 26.5, 50.0, 20.59765625, 2.9, 0.0, 79.390625, 61.796875, 5.8994140625, 0.0, 14.69921875, 11.798828125, 257.0, 55.0, 7.0, 4.0, 109.0, "Tous les candidats", 372.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2886", "Licence - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2886&g_ta_cod=2886", 83.0, 7.0, 10.0),
(9514, "Privé sous contrat d'association", "0350793X", "Lycée Frédéric OZANAM", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Cesson-Sévigné", "formation sélective", "Autre formation", "Lycée Frédéric OZANAM - Mention complémentaire - FCIL Technico-commercial en équipement de la maison et du multimédia", "Mention complémentaire", "", 8, 37, 8, 34, 0, 1, 0, 5, 0, 23, 3, 5, 3, 0, 1, 2, 0, 29, 3, 0, 0, 1, 0, 4, 0, 22, 3, 2, 30, 1, 0, 1, 0, 0.0, 1.0, 1.0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 0.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 1.0, 0.0, 23.0, 3.0, 1.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "24199", "Mention complémentaire - FCIL Technico-commercial en équipement de la maison et du multimédia", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24199&g_ta_cod=24199", 0.0, 0.0, 100.0),
(9515, "Privé sous contrat d'association", "0180561M", "Lycée Sainte Marie Saint Dominique", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BTS", "Lycée Sainte Marie Saint Dominique - BTS - Services - Tourisme", "BTS - Services", "", 24, 188, 132, 160, 0, 52, 10, 31, 3, 13, 5, 64, 28, 2, 1, 6, 19, 75, 13, 0, 0, 47, 8, 16, 1, 2, 0, 10, 76, 15, 13, 11, 4, 3.0, 10.0, 11.0, 0, 0, 9, 4, 4, 1, 6, 0, 2, 5, 1, 1, 0.0, 3, 3, 1, 0, 0, 9, 9, 20.0, 66.67, 73.33, 86.6875, 100.0, 100.0, 0, 0.0, 60.0, 0.0, 22.19921875, 55.59375, 11.099609375, 11.1, 0.0, 44.3984375, 33.296875, 44.3984375, 33.296875, 11.099609375, 11.099609375, 42.0, 7.0, 3.0, 0.0, 20.0, "Tous les candidats sauf les Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 47.0, "26534", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26534&g_ta_cod=26534", 60.0, 27.0, 13.0),
(9516, "Public", "0750712S", "Lycée Diderot", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Diderot - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 24, 559, 45, 559, 0, 34, 11, 170, 78, 205, 101, 150, 0, 0, 0, 0, 0, 336, 0, 0, 0, 31, 10, 109, 45, 140, 69, 56, 136, 23, 1, 23, 0, 2.0, 15.0, 21.0, 0, 11, 20, 2, 6, 12, 3, 0, 9, 4, 6, 1, 0.0, 0, 1, 10, 4, 0, 11, 19, 8.7, 65.22, 91.3, 4.2998046875, 55.0, 95.0, 20, 55.0, 87.0, 0.0, 45.0, 20.0, 30.0, 5.0, 0.0, 10.0, 0.0, 30.0, 5.0, 60.0, 50.0, 18.0, 8.0, 63.0, 32.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 34.0, "9178", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9178&g_ta_cod=9178", 17.0, 30.0, 52.0),
(9517, "Public", "0910687C", "Lycée Fustel De Coulanges", "91", "Essonne", "Ile-de-France", "Versailles", "Massy", "formation sélective", "BTS", "Lycée Fustel De Coulanges - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1309, 634, 1309, 0, 54, 14, 453, 161, 510, 224, 292, 0, 0, 0, 0, 0, 875, 0, 0, 0, 42, 10, 378, 131, 245, 103, 210, 160, 30, 19, 30, 0, 2.0, 21.0, 28.0, 0, 12, 24, 3, 9, 12, 6, 0, 6, 11, 6, 1, 0.0, 2, 5, 11, 4, 2, 21, 24, 6.67, 70.0, 93.33, 63.296875, 87.5, 100.0, 16.69921875, 50.0, 80.0, 0.0, 25.0, 45.796875, 25.0, 4.2, 0.0, 12.5, 8.298828125, 37.5, 20.796875, 50.0, 45.796875, 11.0, 5.0, 67.0, 26.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 128, "Bacheliers technologiques toutes séries", 89, "Liste d'appel propre à cette formation", 18.0, "10871", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10871&g_ta_cod=10871", 10.0, 40.0, 50.0),
(9518, "Public", "0251263M", "Lycée agricole Besancon - Lycée Granvelle", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Dannemarie-sur-Crète", "formation sélective", "BTS", "Lycée agricole Besancon - Lycée Granvelle - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 17, 200, 84, 199, 0, 26, 4, 88, 16, 59, 9, 26, 1, 0, 1, 0, 0, 166, 0, 0, 0, 23, 4, 82, 14, 53, 9, 8, 55, 15, 8, 15, 0, 4.0, 13.0, 15.0, 0, 3, 14, 4, 5, 5, 1, 0, 3, 9, 2, 0, 0.0, 3, 5, 3, 7, 5, 13, 13, 26.67, 86.67, 100.0, 53.296875, 92.890625, 92.890625, 50, 21.3984375, 93.296875, 0.0, 21.3984375, 64.296875, 14.298828125, 0.0, 0.0, 28.59765625, 21.3984375, 35.6953125, 35.6953125, 35.6953125, 21.3984375, 8.0, 2.0, 22.0, 4.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 55.0, "3564", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3564&g_ta_cod=3564", 27.0, 33.0, 40.0),
(9519, "Privé sous contrat d'association", "0610698C", "Lycée Saint Thomas D'Aquin", "61", "Orne", "Normandie", "Normandie", "Flers", "formation sélective", "BTS", "Lycée Saint Thomas D'Aquin - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 98, 61, 88, 0, 9, 2, 23, 8, 19, 10, 37, 10, 0, 1, 3, 6, 50, 7, 0, 0, 8, 2, 21, 8, 14, 7, 7, 50, 12, 8, 8, 4, 7.0, 8.0, 11.0, 0, 3, 8, 0, 4, 4, 4, 0, 2, 5, 1, 0, 0.0, 0, 3, 3, 8, 6, 8, 8, 58.33, 66.67, 91.67, 66.6875, 100.0, 100.0, 100, 37.5, 66.6875, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 0.0, 0.0, 50.0, 37.5, 50.0, 37.5, 6.0, 2.0, 14.0, 7.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 57.0, "7307", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7307&g_ta_cod=7307", 25.0, 33.0, 42.0),
(9520, "Public", "0142133T", "Lycée P. S. De Laplace", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "Autre formation", "Lycée P. S. De Laplace - DN MADE - Espace - - Spécialité : Conception d'espaces valorisant le patrimoine matériel et immatériel des territoires", "DN MADE", "- Spécialité : Conception d'espaces valorisant le patrimoine matériel et immatériel des territoires", 15, 382, 304, 382, 0, 197, 35, 62, 12, 27, 7, 96, 0, 0, 0, 0, 0, 283, 0, 0, 0, 165, 28, 47, 8, 12, 2, 59, 62, 15, 11, 15, 0, 2.0, 14.0, 14.0, 0, 2, 12, 10, 2, 0, 3, 0, 2, 7, 3, 0, 0.0, 8, 2, 0, 0, 0, 6, 6, 13.33, 93.33, 93.33, 73.296875, 50.0, 50.0, 0, 16.69921875, 80.0, 0.0, 16.69921875, 58.296875, 25.0, 0.0, 0.0, 83.296875, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 33.0, 7.0, 0.0, 0.0, 6.0, "Tous les candidats", 69.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "24295", "DN MADE - Espace - - Spécialité : Conception d'espaces valorisant le patrimoine matériel et immatériel des territoires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24295&g_ta_cod=24295", 73.0, 27.0, 0.0),
(9521, "Public", "0782549X", "Lycée Louis Bascan", "78", "Yvelines", "Ile-de-France", "Versailles", "Rambouillet", "formation sélective", "BTS", "Lycée Louis Bascan - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 207, 4, 157, 0, 11, 5, 47, 3, 78, 34, 21, 50, 1, 0, 33, 16, 110, 17, 0, 0, 8, 3, 43, 2, 54, 22, 5, 97, 21, 1, 17, 4, 4.0, 16.0, 17.0, 0, 6, 20, 2, 8, 10, 1, 0, 15, 2, 3, 0, 0.0, 0, 2, 3, 11, 0, 19, 19, 19.05, 76.19, 80.95, 4.7998046875, 95.0, 95.0, 55, 30.0, 95.1875, 0.0, 75.0, 10.0, 15.0, 0.0, 0.0, 10.0, 0.0, 40.0, 10.0, 50.0, 15.0, 9.0, 3.0, 52.0, 21.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 67.0, "10033", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10033&g_ta_cod=10033", 10.0, 38.0, 52.0),
(9522, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Histoire de l'art et archéologie - Parcours Licence 1 Sciences archéologiques", "Licence - Sciences humaines et sociales", "Licence 1 Sciences archéologiques", 80, 805, 506, 799, 0, 471, 90, 65, 12, 29, 12, 234, 6, 0, 0, 1, 5, 797, 6, 0, 0, 471, 90, 65, 12, 29, 12, 232, 368, 81, 52, 79, 2, 8.0, 70.0, 77.0, 0, 8, 57, 46, 9, 2, 24, 0, 17, 22, 15, 3, 0.0, 35, 4, 1, 0, 0, 52, 52, 9.88, 86.42, 95.06, 64.1875, 91.1875, 91.1875, 0, 14.0, 70.390625, 0.0, 29.796875, 38.59375, 26.296875, 5.3, 0.0, 80.6875, 61.3984375, 15.798828125, 7.0, 3.5, 1.7998046875, 203.0, 36.0, 13.0, 6.0, 116.0, "Tous les candidats", 553.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "18067", "Licence - Histoire de l'art et archéologie - Parcours Licence 1 Sciences archéologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18067&g_ta_cod=18067", 78.0, 16.0, 5.0),
(9523, "Public", "0590214M", "Lycée Colbert", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "CPGE", "Lycée Colbert - CPGE - TSI", "Classe préparatoire scientifique", "", 48, 191, 22, 188, 105, 0, 0, 142, 44, 0, 0, 46, 3, 0, 0, 0, 3, 117, 0, 70, 108, 0, 0, 110, 30, 0, 0, 7, 97, 18, 1, 18, 0, 8.0, 18.0, 18.0, 4, 7, 17, 0, 17, 0, 1, 0, 1, 7, 8, 1, 0.0, 0, 16, 0, 7, 0, 15, 15, 44.44, 100.0, 100.0, 5.599609375, 88.1875, 88.1875, 41.1953125, 41.1953125, 94.390625, 0.0, 5.8994140625, 41.1953125, 47.09375, 5.9, 0.0, 0.0, 0.0, 100.0, 94.09375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 7.0, "Tous les candidats", 116.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "6831", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6831&g_ta_cod=6831", 0.0, 100.0, 0.0),
(9524, "Public", "0134248X", "Aix-Marseille Université - Site de Marseille Timone", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation non sélective", "PASS", "Aix-Marseille Université - Site de Marseille Timone - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 100, 5794, 4271, 5794, 0, 4221, 932, 274, 114, 88, 49, 1211, 0, 0, 0, 0, 0, 5794, 0, 0, 0, 4221, 932, 274, 114, 88, 49, 1211, 671, 100, 89, 100, 0, 6.0, 70.0, 95.0, 0, 39, 98, 97, 0, 1, 2, 0, 3, 12, 49, 32, 2.0, 95, 0, 0, 0, 0, 71, 71, 6.0, 70.0, 95.0, 89.0, 72.390625, 72.390625, 0, 39.796875, 98.0, 0.0, 3.099609375, 12.19921875, 50.0, 32.7, 2.0, 99.0, 96.890625, 0.0, 0.0, 1.0, 0.0, 611.0, 131.0, 7.0, 7.0, 46.0, "Tous les candidats", 2193.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "28098", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27970&g_ta_cod=28098", 99.0, 0.0, 1.0),
(9525, "Privé sous contrat d'association", "9710991A", "Lycée Les Perseverants", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "BTS", "Lycée Les Perseverants - BTS - Services - Gestion de la PME", "BTS - Services", "", 20, 78, 41, 63, 0, 13, 6, 17, 11, 23, 15, 10, 15, 1, 3, 5, 6, 46, 10, 0, 0, 11, 4, 11, 7, 18, 10, 6, 47, 14, 5, 10, 4, 5.0, 10.0, 10.0, 0, 5, 9, 1, 4, 4, 5, 0, 5, 2, 2, 0, 0.0, 0, 1, 3, 3, 1, 9, 9, 35.71, 71.43, 71.43, 35.6953125, 100.0, 100.0, 33.296875, 55.59375, 64.296875, 0.0, 55.59375, 22.19921875, 22.19921875, 0.0, 0.0, 11.099609375, 0.0, 44.3984375, 11.099609375, 44.3984375, 33.296875, 10.0, 3.0, 15.0, 8.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 71.0, "20238", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20238&g_ta_cod=20238", 21.0, 36.0, 43.0),
(9526, "Public", "0831616F", "Lycée Rouvière", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "CPGE", "Lycée Rouvière - CPGE - TSI", "Classe préparatoire scientifique", "", 36, 239, 23, 233, 144, 0, 0, 210, 49, 0, 0, 23, 6, 0, 2, 0, 4, 199, 4, 93, 189, 0, 0, 189, 46, 0, 0, 10, 164, 25, 4, 24, 1, 9.0, 24.0, 25.0, 10, 5, 23, 0, 23, 0, 2, 0, 0, 7, 14, 2, 0.0, 0, 23, 0, 8, 1, 13, 13, 36.0, 96.0, 100.0, 16.0, 56.5, 56.5, 34.796875, 21.69921875, 92.0, 0.0, 0.0, 30.3984375, 60.8984375, 8.7, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 9.0, "Tous les candidats", 201.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "10403", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10403&g_ta_cod=10403", 0.0, 100.0, 0.0),
(9527, "Public", "0301778V", "Lycée Jacques Prévert", "30", "Gard", "Occitanie", "Montpellier", "Saint-Christol-lez-Alès", "formation sélective", "BTS", "Lycée Jacques Prévert - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 38, 453, 207, 437, 0, 31, 13, 111, 48, 153, 83, 142, 16, 0, 5, 0, 11, 199, 2, 0, 0, 31, 13, 58, 25, 85, 47, 25, 124, 25, 6, 25, 0, 7.0, 20.0, 24.0, 0, 13, 24, 4, 10, 10, 1, 0, 9, 9, 6, 0, 0.0, 1, 4, 10, 11, 3, 24, 24, 28.0, 80.0, 96.0, 24.0, 100.0, 100.0, 45.796875, 54.1953125, 96.0, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 16.69921875, 4.19921875, 41.6953125, 16.69921875, 41.6953125, 41.6953125, 10.0, 5.0, 54.0, 33.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 34.0, "4025", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4025&g_ta_cod=4025", 16.0, 44.0, 40.0),
(9528, "Public", "0350709F", "Lycée des métiers La Champagne", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Vitré", "formation sélective", "BTS", "Lycée des métiers La Champagne - BTS - Production - Finitions, aménagement des bâtiments: conception et réalisation", "BTS - Production", "", 15, 246, 80, 246, 0, 8, 0, 70, 11, 113, 49, 55, 0, 0, 0, 0, 0, 246, 0, 0, 0, 8, 0, 70, 11, 113, 49, 55, 44, 14, 9, 14, 0, 4.0, 14.0, 14.0, 0, 3, 12, 0, 2, 10, 2, 0, 0, 7, 3, 2, 0.0, 0, 2, 10, 3, 2, 6, 6, 28.57, 100.0, 100.0, 64.296875, 50.0, 50.0, 25, 25.0, 85.6875, 0.0, 0.0, 58.296875, 25.0, 16.7, 0.0, 0.0, 0.0, 16.69921875, 16.69921875, 83.296875, 83.296875, 5.0, 0.0, 31.0, 11.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 5, "Liste d'appel propre à cette formation", 21.0, "16081", "BTS - Production - Finitions, aménagement des bâtiments: conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16081&g_ta_cod=16081", 14.0, 14.0, 71.0),
(9529, "Public", "0520027X", "Lycée Saint-Exupery", "52", "Haute-Marne", "Grand Est", "Reims", "Saint-Dizier", "formation sélective", "BTS", "Lycée Saint-Exupery - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 489, 250, 434, 0, 25, 8, 35, 13, 33, 14, 341, 55, 5, 0, 15, 35, 47, 6, 0, 0, 14, 4, 16, 6, 10, 6, 7, 42, 9, 6, 8, 1, 4.0, 8.0, 9.0, 0, 5, 8, 1, 3, 4, 1, 0, 2, 4, 2, 0, 0.0, 0, 2, 4, 1, 1, 5, 5, 44.44, 88.89, 100.0, 66.6875, 62.5, 62.5, 12.5, 62.5, 88.890625, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 12.5, 0.0, 37.5, 25.0, 50.0, 50.0, 12.0, 4.0, 15.0, 9.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 9.0, "6174", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6174&g_ta_cod=6174", 22.0, 33.0, 44.0),
(9530, "Public", "0730016W", "Lycée Monge", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "BTS", "Lycée Monge - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 48, 977, 470, 975, 0, 59, 16, 423, 123, 234, 83, 259, 2, 0, 0, 1, 1, 783, 0, 0, 0, 56, 16, 400, 116, 201, 65, 126, 284, 44, 21, 44, 0, 3.0, 25.0, 28.0, 0, 13, 36, 1, 19, 16, 8, 0, 10, 20, 6, 0, 0.0, 0, 17, 9, 8, 4, 31, 31, 6.82, 56.82, 63.64, 47.6953125, 86.09375, 86.09375, 22.19921875, 36.09375, 81.796875, 0.0, 27.796875, 55.59375, 16.69921875, 0.0, 0.0, 2.7998046875, 0.0, 52.796875, 47.1953125, 44.3984375, 25.0, 7.0, 3.0, 123.0, 34.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 132, "Bacheliers technologiques toutes séries", 164, "Liste d'appel propre à cette formation", 31.0, "8789", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8789&g_ta_cod=8789", 2.0, 52.0, 45.0),
(9531, "Public", "0340040J", "Lycée Jules Guesde", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Jules Guesde - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 36, 2443, 1321, 2443, 0, 177, 53, 1061, 458, 622, 330, 583, 0, 0, 0, 0, 0, 828, 0, 0, 0, 72, 21, 249, 112, 348, 180, 159, 139, 37, 19, 37, 0, 6.0, 29.0, 31.0, 0, 23, 30, 2, 15, 13, 7, 0, 2, 15, 10, 3, 0.0, 2, 14, 12, 6, 5, 30, 30, 16.22, 78.38, 83.78, 51.3984375, 100.0, 100.0, 20, 76.6875, 81.09375, 0.0, 6.69921875, 50.0, 33.296875, 10.0, 0.0, 6.69921875, 6.69921875, 50.0, 46.6953125, 43.296875, 40.0, 10.0, 10.0, 37.0, 22.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 104, "Liste d'appel propre à cette formation", 7.0, "4491", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4491&g_ta_cod=4491", 8.0, 54.0, 38.0),
(9532, "Public", "0632001H", "AgroSup Dijon Direction Enseignement à Distance (CNPR)", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Lempdes", "formation sélective", "BTS", "AgroSup Dijon Direction Enseignement à Distance (CNPR) - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 30, 438, 188, 398, 0, 101, 21, 57, 17, 59, 17, 181, 40, 2, 4, 0, 34, 182, 8, 0, 0, 57, 5, 27, 8, 35, 10, 63, 128, 26, 16, 21, 5, 6.0, 19.0, 21.0, 0, 3, 10, 4, 3, 3, 16, 0, 2, 4, 2, 2, 0.0, 3, 2, 3, 0, 0, 1, 1, 23.08, 73.08, 80.77, 61.5, 10.0, 10.0, 0, 30.0, 38.5, 0.0, 20.0, 40.0, 20.0, 20.0, 0.0, 40.0, 30.0, 30.0, 20.0, 30.0, 30.0, 43.0, 4.0, 14.0, 5.0, 52.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 102.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 38.0, "23464", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23464&g_ta_cod=23464", 54.0, 23.0, 19.0),
(9533, "Privé sous contrat d'association", "0560182U", "Lycée Jeanne d'Arc-St Ivy", "56", "Morbihan", "Bretagne", "Rennes", "Pontivy", "formation sélective", "BTS", "Lycée Jeanne d'Arc-St Ivy - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 415, 143, 371, 0, 30, 4, 160, 20, 145, 33, 36, 44, 14, 2, 16, 12, 150, 8, 0, 0, 16, 2, 49, 4, 73, 9, 12, 116, 22, 10, 18, 4, 8.0, 18.0, 22.0, 0, 3, 20, 4, 5, 11, 2, 0, 6, 14, 0, 0, 0.0, 0, 5, 9, 9, 4, 20, 20, 36.36, 81.82, 100.0, 45.5, 100.0, 100.0, 45, 15.0, 90.890625, 0.0, 30.0, 70.0, 0.0, 0.0, 0.0, 20.0, 0.0, 25.0, 25.0, 55.0, 45.0, 13.0, 2.0, 55.0, 7.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 77, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 39.0, "6455", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6455&g_ta_cod=6455", 18.0, 32.0, 50.0),
(9534, "Public", "0560085N", "Ecole Nationale de Voile et des Sports Nautiques (ENVSN)", "56", "Morbihan", "Bretagne", "Rennes", "Saint-Pierre-Quiberon", "formation sélective", "Autre formation", "Ecole Nationale de Voile et des Sports Nautiques (ENVSN) - BPJEPS - Surf", "BPJEPS", "", 2, 9, 1, 9, 0, 3, 0, 2, 0, 3, 0, 1, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 1, 0, 1, 0, 0, 2, 2, 1, 2, 0, 2.0, 2.0, 2.0, 0, 0, 2, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 50.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 2.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 2.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "30915", "BPJEPS - Surf", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30915&g_ta_cod=30915", 100.0, 0.0, 0.0),
(9535, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 1 Capitole - Licence - Double diplôme - Licence Droit - parcours double diplôme international franco-italien (Milan - Naples)", "Licence - Droit-économie-gestion", "parcours double diplôme international franco-italien (Milan - Naples)", 8, 75, 58, 75, 0, 66, 12, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 36, 0, 0, 0, 32, 4, 0, 0, 0, 0, 4, 24, 8, 7, 8, 0, 1.0, 7.0, 8.0, 0, 1, 8, 8, 0, 0, 0, 0, 0, 1, 4, 3, 0.0, 8, 0, 0, 0, 0, 2, 2, 12.5, 87.5, 100.0, 87.5, 25.0, 25.0, 0, 12.5, 100.0, 0.0, 0.0, 12.5, 50.0, 37.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 22.0, 4.0, 0.0, 0.0, 2.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "15286", "Licence - Double diplôme - Licence Droit - parcours double diplôme international franco-italien (Milan - Naples)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15286&g_ta_cod=15286", 100.0, 0.0, 0.0),
(9536, "Public", "0570030Y", "Lycée Blaise Pascal", "57", "Moselle", "Grand Est", "Nancy-Metz", "Forbach", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 18, 401, 343, 329, 0, 26, 7, 110, 41, 90, 44, 103, 72, 0, 3, 43, 26, 130, 7, 0, 0, 13, 3, 68, 21, 44, 15, 5, 95, 10, 9, 9, 1, 0.0, 8.0, 8.0, 0, 7, 9, 1, 5, 3, 1, 0, 4, 3, 2, 0, 0.0, 1, 1, 3, 4, 4, 9, 9, 0.0, 80.0, 80.0, 90.0, 100.0, 100.0, 44.3984375, 77.796875, 90.0, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 11.099609375, 11.099609375, 55.59375, 11.099609375, 33.296875, 33.296875, 3.0, 1.0, 27.0, 10.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 36.0, "14570", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14570&g_ta_cod=14570", 10.0, 60.0, 30.0),
(9537, "Privé enseignement supérieur", "0451493D", "EXCELIA - Campus d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "Ecole de Commerce", "Excelia Business School  - Formation des écoles de commerce et de management Bac + 3 - BACHELOR BUSINESS", "Formation des écoles de commerce et de management", "BACHELOR BUSINESS", 50, 263, 115, 252, 0, 203, 10, 23, 3, 1, 0, 25, 11, 4, 1, 0, 6, 217, 8, 0, 0, 183, 7, 19, 3, 1, 0, 14, 225, 29, 13, 26, 3, 24.0, 25.0, 28.0, 0, 1, 24, 19, 4, 1, 5, 0, 6, 14, 2, 2, 0.0, 14, 3, 1, 0, 0, 22, 22, 82.76, 86.21, 96.55, 44.796875, 91.6875, 91.6875, 0, 4.19921875, 82.796875, 0.0, 25.0, 58.296875, 8.298828125, 8.3, 0.0, 79.1875, 58.296875, 16.69921875, 12.5, 4.19921875, 4.19921875, 186.0, 7.0, 1.0, 0.0, 19.0, "Tous les candidats", 417.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 86.0, "32466", "Formation des écoles de commerce et de management Bac + 3 - BACHELOR BUSINESS", "Excelia Business School", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31885&g_ta_cod=32466", 76.0, 21.0, 3.0),
(9538, "Public", "0572757M", "Lycée Georges De La Tour", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "CPGE", "Lycée Georges De La Tour - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 879, 640, 879, 531, 727, 85, 8, 2, 2, 0, 142, 0, 0, 0, 0, 0, 556, 0, 359, 545, 512, 48, 0, 0, 0, 0, 44, 359, 48, 32, 48, 0, 4.0, 26.0, 38.0, 13, 6, 48, 48, 0, 0, 0, 0, 0, 9, 32, 7, 0.0, 48, 0, 0, 1, 1, 36, 36, 8.33, 54.17, 79.17, 66.6875, 75.0, 75.0, 2.099609375, 12.5, 100.0, 0.0, 0.0, 18.796875, 66.6875, 14.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 341.0, 39.0, 0.0, 0.0, 18.0, "Tous les candidats", 417.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "6643", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6643&g_ta_cod=6643", 100.0, 0.0, 0.0),
(9539, "Public", "0071445H", "Centre de Ressources, d-Expertise et de Performance Sportive d-Auvergne Rhône-Alpes Vallon-Pont-d'Arc (CREPS)", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Vallon-Pont-d'Arc", "formation sélective", "Autre formation", "CREPS Rhône-Alpes - BPJEPS - Canoë-Kayak", "BPJEPS", "", 4, 14, 2, 14, 0, 5, 0, 1, 0, 3, 1, 5, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 1, 0, 1, 4, 3, 0, 3, 0, 3.0, 3.0, 3.0, 0, 0, 3, 2, 0, 1, 0, 0, 0, 3, 0, 0, 0.0, 2, 0, 1, 0, 0, 3, 3, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 66.6875, 66.6875, 0.0, 0.0, 33.296875, 33.296875, 2.0, 0.0, 1.0, 0.0, 1.0, "Tous les candidats", 4.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "26571", "BPJEPS - Canoë-Kayak", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26571&g_ta_cod=26571", 67.0, 0.0, 33.0),
(9540, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 160, 1330, 1140, 1330, 0, 752, 150, 143, 35, 30, 12, 405, 0, 0, 0, 0, 0, 1328, 0, 0, 0, 752, 150, 143, 35, 30, 12, 403, 467, 160, 137, 160, 0, 39.0, 139.0, 149.0, 0, 20, 112, 108, 3, 1, 48, 0, 29, 60, 20, 3, 0.0, 79, 3, 1, 0, 0, 105, 105, 24.38, 86.88, 93.13, 85.59375, 93.796875, 93.796875, 0, 17.8984375, 70.0, 0.0, 25.8984375, 53.59375, 17.8984375, 2.7, 0.0, 96.390625, 70.5, 2.69970703125, 2.69970703125, 0.89990234375, 0.89990234375, 322.0, 64.0, 2.0, 2.0, 131.0, "Tous les candidats", 566.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "26410", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26410&g_ta_cod=26410", 94.0, 4.0, 1.0),
(9541, "Public", "0881679X", "I.U.T de Saint Dié - Université de Lorraine", "88", "Vosges", "Grand Est", "Nancy-Metz", "Saint-Dié-des-Vosges", "formation sélective", "BUT", "I.U.T de Saint Dié - Université de Lorraine - BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle", "BUT - Production", "Automatisme et Informatique Industrielle", 42, 256, 18, 208, 0, 112, 22, 54, 11, 6, 2, 36, 48, 4, 4, 1, 39, 181, 40, 0, 0, 104, 18, 52, 11, 4, 1, 21, 196, 18, 1, 7, 10, 4.0, 7.0, 17.0, 0, 3, 10, 1, 8, 1, 8, 0, 4, 4, 2, 0, 0.0, 1, 4, 1, 0, 0, 9, 9, 22.22, 38.89, 94.44, 5.599609375, 90.0, 90.0, 0, 30.0, 55.59375, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 10.0, 10.0, 80.0, 40.0, 10.0, 10.0, 92.0, 16.0, 2.0, 0.0, 49.0, "Tous les candidats sauf les Bac technologiques", 124.0, "Bacheliers technologiques toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 87.0, "10756", "BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10756&g_ta_cod=10756", 50.0, 44.0, 6.0),
(9542, "Public", "9840001D", "Lycée des Iles Sous Le Vent", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Uturoa", "formation sélective", "BTS", "Lycée des Iles Sous Le Vent - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 17, 107, 57, 107, 0, 12, 3, 56, 38, 19, 12, 20, 0, 0, 0, 0, 0, 99, 0, 0, 0, 12, 3, 50, 35, 17, 10, 20, 40, 17, 11, 17, 0, 5.0, 16.0, 17.0, 0, 9, 12, 2, 5, 5, 5, 0, 6, 4, 2, 0, 0.0, 1, 2, 3, 7, 2, 12, 12, 29.41, 94.12, 100.0, 64.6875, 100.0, 100.0, 58.296875, 75.0, 70.59375, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 16.69921875, 8.298828125, 41.6953125, 16.69921875, 41.6953125, 25.0, 9.0, 3.0, 11.0, 7.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 50.0, "19079", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19079&g_ta_cod=19079", 35.0, 29.0, 35.0),
(9543, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues étrangères appliquées - Parcours Espagnol-Anglais - A distance", "Licence - Arts-lettres-langues", "Espagnol-Anglais - A distance", 130, 703, 547, 703, 0, 276, 80, 77, 33, 22, 12, 328, 0, 0, 0, 0, 0, 703, 0, 0, 0, 276, 80, 77, 33, 22, 12, 328, 521, 123, 94, 123, 0, 26.0, 112.0, 116.0, 0, 18, 56, 38, 13, 5, 67, 2, 28, 22, 3, 1, 0.0, 21, 3, 2, 0, 0, 30, 43, 21.14, 91.06, 94.31, 76.390625, 53.59375, 76.796875, 0, 32.09375, 45.5, 3.599609375, 50.0, 39.296875, 5.3994140625, 1.8, 0.0, 67.890625, 37.5, 23.19921875, 5.3994140625, 8.8984375, 3.599609375, 223.0, 64.0, 16.0, 7.0, 219.0, "Tous les candidats", 574.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "20904", "Licence - Langues étrangères appliquées - Parcours Espagnol-Anglais - A distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20904&g_ta_cod=20904", 70.0, 18.0, 12.0),
(9544, "Public", "0932268K", "Institut National du Patrimoine (département des restaurateurs)", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "Autre formation", "Institut National du Patrimoine (département des restaurateurs) - Conservation-restauration des biens culturels - spécialité Sculpture", "Formations Bac + 5", "spécialité Sculpture", 3, 9, 6, 9, 0, 1, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 3, 3, 1, 3, 0, 3.0, 3.0, 3.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 33.296875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "28364", "Conservation-restauration des biens culturels - spécialité Sculpture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28364&g_ta_cod=28364", 100.0, 0.0, 0.0),
(9545, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence_Las", "Université d'Amiens - Licence - Portail Physique", "Licence - Sciences - technologies - santé", "", 18, 367, 167, 363, 0, 239, 41, 12, 1, 1, 0, 111, 4, 1, 0, 0, 3, 361, 2, 0, 0, 239, 41, 12, 1, 1, 0, 109, 183, 18, 9, 18, 0, 0.0, 8.0, 18.0, 0, 3, 13, 11, 2, 0, 5, 0, 6, 6, 1, 0, 0.0, 6, 1, 0, 0, 0, 11, 11, 0.0, 44.44, 100.0, 50.0, 84.59375, 84.59375, 0, 23.09765625, 72.1875, 0.0, 46.1953125, 46.1953125, 7.69921875, 0.0, 0.0, 84.59375, 46.1953125, 15.3984375, 7.69921875, 0.0, 0.0, 106.0, 20.0, 0.0, 0.0, 73.0, "Tous les candidats", 601.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 85.0, "28627", "Licence - Portail Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28626&g_ta_cod=28627", 89.0, 11.0, 0.0),
(9546, "Public", "0670085D", "Lycée Louis Couffignal", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée Louis Couffignal - CPGE - PCSI", "Classe préparatoire scientifique", "", 35, 867, 331, 843, 501, 543, 70, 2, 1, 0, 0, 298, 24, 7, 0, 0, 17, 691, 5, 501, 475, 491, 61, 0, 0, 0, 0, 200, 382, 30, 9, 30, 0, 3.0, 20.0, 30.0, 19, 4, 24, 24, 0, 0, 6, 0, 1, 9, 12, 2, 0.0, 23, 0, 0, 1, 1, 20, 20, 10.0, 66.67, 100.0, 30.0, 83.296875, 83.296875, 4.19921875, 16.69921875, 80.0, 0.0, 4.19921875, 37.5, 50.0, 8.3, 0.0, 100.0, 95.796875, 0.0, 0.0, 0.0, 0.0, 343.0, 36.0, 0.0, 0.0, 39.0, "Tous les candidats", 484.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "7933", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7933&g_ta_cod=7933", 100.0, 0.0, 0.0),
(9547, "Public", "0740047Z", "Lycée Savoie Leman", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Thonon-les-Bains", "formation sélective", "BTS", "Lycée Savoie Leman - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 96, 562, 299, 543, 0, 0, 0, 250, 27, 151, 20, 142, 19, 0, 4, 6, 9, 351, 13, 0, 0, 0, 0, 164, 13, 96, 14, 91, 218, 71, 43, 67, 4, 44.0, 67.0, 70.0, 0, 2, 43, 0, 25, 18, 28, 0, 11, 15, 10, 6, 1.0, 0, 18, 14, 18, 8, 26, 26, 61.97, 94.37, 98.59, 60.59375, 60.5, 60.5, 41.8984375, 4.69921875, 60.59375, 0.0, 25.59765625, 34.8984375, 23.296875, 14.0, 2.3, 0.0, 0.0, 58.09375, 41.8984375, 41.8984375, 32.59375, 0.0, 0.0, 72.0, 12.0, 56.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 95, "Bacheliers technologiques toutes séries", 183, "Liste d'appel propre à cette formation", 64.0, "8877", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8877&g_ta_cod=8877", 27.0, 45.0, 28.0),
(9548, "Public", "0310150V", "Ecole Nationale Supérieure d'Architecture de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Toulouse - Architecture", "Formations Bac + 5", "", 100, 2821, 1659, 2821, 0, 1695, 307, 307, 98, 93, 47, 726, 0, 0, 0, 0, 0, 659, 0, 0, 0, 514, 56, 50, 8, 34, 12, 61, 279, 100, 65, 100, 0, 29.0, 90.0, 97.0, 0, 14, 92, 83, 6, 3, 8, 0, 1, 8, 55, 27, 1.0, 83, 6, 2, 0, 0, 37, 37, 29.0, 90.0, 97.0, 65.0, 40.1953125, 40.1953125, 0, 15.19921875, 92.0, 0.0, 1.099853515625, 8.69921875, 59.796875, 29.3, 1.1, 90.1875, 90.1875, 6.5, 6.5, 3.2998046875, 2.19970703125, 229.0, 31.0, 7.0, 2.0, 21.0, "Tous les candidats", 364.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "4086", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4086&g_ta_cod=4086", 90.0, 6.0, 4.0),
(9549, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Université Angers - Licence - Portail Sciences sociales - Tourisme, hôtellerie, restauration, événementiel", "Licence - Sciences humaines et sociales", "Tourisme, hôtellerie, restauration, événementiel", 20, 301, 239, 295, 0, 158, 38, 35, 10, 8, 1, 94, 6, 1, 0, 1, 4, 295, 3, 0, 0, 158, 38, 35, 10, 8, 1, 94, 152, 18, 15, 16, 2, 0.0, 8.0, 16.0, 0, 1, 9, 8, 1, 0, 9, 0, 5, 2, 2, 0, 0.0, 3, 1, 0, 0, 0, 2, 2, 0.0, 44.44, 88.89, 83.296875, 22.19921875, 22.19921875, 0, 11.099609375, 50.0, 0.0, 55.59375, 22.19921875, 22.19921875, 0.0, 0.0, 88.890625, 33.296875, 11.099609375, 11.099609375, 0.0, 0.0, 79.0, 17.0, 4.0, 2.0, 49.0, "Tous les candidats", 1344.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "27339", "Licence - Portail Sciences sociales - Tourisme, hôtellerie, restauration, événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27338&g_ta_cod=27339", 78.0, 22.0, 0.0),
(9550, "Privé enseignement supérieur", "0753184D", "FERRANDI Paris - L'école Française de Gastronomie", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Autre formation", "Ecole FERRANDI - Formation des écoles supérieures de cuisine Bac +3 - Manager dans l?hôtellerie restauration", "Formation des écoles supérieures de cuisine", "Manager dans l?hôtellerie restauration", 110, 208, 87, 179, 0, 115, 7, 24, 2, 7, 3, 33, 29, 6, 2, 2, 19, 120, 11, 0, 0, 83, 3, 13, 0, 0, 0, 24, 131, 45, 19, 38, 7, 33.0, 38.0, 43.0, 0, 1, 31, 23, 8, 0, 14, 0, 12, 10, 5, 4, 0.0, 13, 6, 0, 0, 0, 8, 24, 73.33, 84.44, 95.56, 42.1953125, 25.796875, 77.390625, 0, 3.19970703125, 68.890625, 0.0, 38.6953125, 32.296875, 16.09765625, 12.9, 0.0, 74.1875, 41.8984375, 25.796875, 19.3984375, 0.0, 0.0, 85.0, 3.0, 0.0, 0.0, 33.0, "Tous les candidats", 121.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 67.0, "26208", "Formation des écoles supérieures de cuisine Bac +3 - Manager dans l?hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26208&g_ta_cod=26208", 82.0, 18.0, 0.0),
(9551, "Privé enseignement supérieur", "3500067W", "ESSEC Campus de Rabat", "99", "Etranger", "Etranger", "Etranger", "RABAT-SALE", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Global BBA - track Innovation et Management Digital", 15, 884, 367, 870, 0, 743, 39, 51, 6, 4, 1, 72, 14, 7, 1, 0, 6, 353, 6, 0, 0, 322, 7, 8, 1, 0, 0, 23, 359, 13, 9, 11, 2, 10.0, 10.0, 12.0, 0, 0, 11, 11, 0, 0, 2, 0, 0, 5, 4, 2, 0.0, 11, 0, 0, 0, 0, 3, 3, 76.92, 76.92, 92.31, 69.1875, 27.296875, 27.296875, 0, 0.0, 84.59375, 0.0, 0.0, 45.5, 36.3984375, 18.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 324.0, 7.0, 0.0, 0.0, 26.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "31987", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=31987", 100.0, 0.0, 0.0),
(9552, "Privé sous contrat d'association", "0340991T", "Lycée Nevers", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Nevers - BTS - Services - Support à l'action managériale", "BTS - Services", "", 18, 217, 143, 217, 0, 10, 2, 101, 43, 56, 27, 50, 0, 0, 0, 0, 0, 174, 0, 0, 0, 8, 2, 83, 28, 53, 25, 30, 61, 17, 9, 17, 0, 6.0, 14.0, 16.0, 0, 3, 16, 1, 10, 5, 1, 0, 6, 9, 1, 0, 0.0, 1, 5, 4, 9, 3, 15, 15, 35.29, 82.35, 94.12, 52.8984375, 93.796875, 93.796875, 56.296875, 18.796875, 94.09375, 0.0, 37.5, 56.296875, 6.2998046875, 0.0, 0.0, 6.2998046875, 6.2998046875, 62.5, 31.296875, 31.296875, 25.0, 3.0, 0.0, 23.0, 8.0, 6.0, "Tous les candidats sauf les Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 39.0, "4536", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4536&g_ta_cod=4536", 6.0, 65.0, 29.0),
(9553, "Public", "0570175F", "I.U.T de Metz - Université de Lorraine", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BUT", "I.U.T de Metz - Université de Lorraine - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente  - Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente  - Business développement et management de la relation client - Stratégie de marque et événementiel", 158, 2643, 1320, 2541, 0, 1343, 257, 686, 205, 36, 16, 476, 102, 0, 59, 0, 43, 1653, 13, 0, 0, 1039, 177, 410, 96, 4, 2, 200, 789, 159, 106, 149, 9, 11.0, 113.0, 139.0, 0, 42, 142, 83, 57, 2, 17, 0, 23, 82, 36, 1, 0.0, 71, 46, 2, 0, 0, 113, 113, 6.92, 71.07, 87.42, 66.6875, 79.59375, 79.59375, 0, 29.59765625, 89.296875, 0.0, 16.19921875, 57.6953125, 25.3984375, 0.7, 0.0, 58.5, 50.0, 40.09375, 32.3984375, 1.39990234375, 1.39990234375, 416.0, 83.0, 3.0, 2.0, 70.0, "Tous les candidats sauf les Bac technologiques", 734.0, "Bacheliers technologiques toutes séries", 441, "", 0, "Liste d'appel propre à cette formation", 46.0, "6574", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente  - Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6574&g_ta_cod=6574", 58.0, 40.0, 1.0),
(9554, "Public", "0670086E", "Lycée des métiers René Cassin", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Lycée des métiers René Cassin - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 26, 20, 8, 0, 0, 0.0, 0.0, 0.0, 0, 10, 15, 0, 0, 15, 5, 0, 12, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 15, 15, 0.0, 0.0, 0.0, 40.0, 100.0, 100.0, 0, 66.6875, 75.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 20.0, 0.0, 0.0, 18.0, 12.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22576", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 5.0, 0.0, 95.0),
(9555, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Licence", "Université Bordeaux Montaigne - Licence - Philosophie - Parcours Licence 1 Anglais-philosophie", "Licence - Sciences humaines et sociales", "Licence 1 Anglais-philosophie", 40, 196, 135, 156, 0, 111, 22, 5, 2, 2, 2, 38, 40, 10, 3, 0, 27, 156, 10, 0, 0, 111, 22, 5, 2, 2, 2, 38, 129, 24, 15, 21, 3, 5.0, 21.0, 24.0, 0, 2, 12, 12, 0, 0, 12, 0, 2, 3, 5, 1, 1.0, 10, 0, 0, 0, 0, 6, 6, 20.83, 87.5, 100.0, 62.5, 50.0, 50.0, 0, 16.69921875, 50.0, 0.0, 16.69921875, 25.0, 41.6953125, 8.3, 8.3, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 87.0, 17.0, 1.0, 1.0, 36.0, "Tous les candidats", 154.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "18087", "Licence - Philosophie - Parcours Licence 1 Anglais-philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18087&g_ta_cod=18087", 92.0, 8.0, 0.0),
(9556, "Public", "9711066G", "Lycée des métiers de l'Hôtellerie et du Tourisme Archipel Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Le Gosier", "formation sélective", "Autre formation", "Lycée des métiers de l'Hôtellerie et du Tourisme Archipel Guadeloupe - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 114, 66, 106, 0, 31, 14, 9, 6, 35, 21, 31, 8, 0, 0, 3, 5, 62, 1, 0, 0, 19, 8, 2, 1, 24, 12, 17, 57, 21, 8, 18, 1, 6.0, 16.0, 17.0, 0, 9, 14, 2, 0, 12, 7, 1, 1, 9, 2, 1, 0.0, 2, 0, 10, 0, 0, 13, 13, 28.57, 76.19, 80.95, 38.09375, 92.890625, 92.890625, 0, 64.296875, 66.6875, 7.099609375, 7.099609375, 64.296875, 14.298828125, 7.1, 0.0, 14.298828125, 14.298828125, 0.0, 0.0, 85.6875, 71.390625, 14.0, 6.0, 25.0, 15.0, 16.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "11772", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11772&g_ta_cod=11772", 19.0, 0.0, 81.0),
(9557, "Public", "0590063Y", "Lycée Albert Chatelet", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "CPGE", "Lycée Albert Chatelet - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 1314, 533, 1314, 970, 782, 111, 1, 1, 0, 0, 531, 0, 0, 0, 0, 0, 842, 0, 654, 734, 738, 102, 0, 0, 0, 0, 104, 469, 44, 13, 44, 0, 17.0, 30.0, 41.0, 13, 6, 44, 44, 0, 0, 0, 0, 0, 2, 27, 15, 0.0, 44, 0, 0, 6, 1, 43, 43, 38.64, 68.18, 93.18, 29.5, 97.6875, 97.6875, 13.599609375, 13.599609375, 100.0, 0.0, 0.0, 4.5, 61.3984375, 34.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 457.0, 52.0, 0.0, 0.0, 12.0, "Tous les candidats", 554.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "6735", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6735&g_ta_cod=6735", 100.0, 0.0, 0.0),
(9558, "Public", "0350700W", "Lycée agricole Theodore Monod", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Le Rheu", "formation sélective", "BTS", "Lycée agricole Theodore Monod - BTS - Agricole - productions animales", "BTS - Agricole", "", 32, 559, 328, 559, 0, 179, 25, 177, 32, 70, 14, 133, 0, 0, 0, 0, 0, 434, 0, 0, 0, 172, 24, 170, 30, 56, 11, 36, 125, 36, 21, 36, 0, 8.0, 31.0, 35.0, 0, 9, 34, 16, 12, 6, 2, 1, 6, 14, 11, 2, 0.0, 13, 11, 3, 6, 6, 19, 19, 22.22, 86.11, 97.22, 58.296875, 55.8984375, 55.8984375, 17.59765625, 26.5, 94.390625, 2.89990234375, 17.59765625, 41.1953125, 32.3984375, 5.9, 0.0, 47.09375, 38.1953125, 35.296875, 32.3984375, 17.59765625, 8.798828125, 57.0, 6.0, 14.0, 3.0, 14.0, "Tous les candidats sauf les Bac professionnels", 239.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 47.0, "4668", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4668&g_ta_cod=4668", 50.0, 33.0, 17.0),
(9559, "Public", "0430021P", "Lycée Simone Weil", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "BTS", "Lycée Simone Weil - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 341, 170, 336, 0, 35, 10, 62, 23, 41, 19, 198, 5, 0, 0, 3, 2, 144, 2, 0, 0, 33, 9, 53, 19, 32, 11, 26, 67, 13, 8, 13, 0, 4.0, 11.0, 12.0, 0, 3, 8, 2, 5, 1, 5, 0, 1, 4, 3, 0, 0.0, 2, 4, 1, 3, 2, 7, 7, 30.77, 84.62, 92.31, 61.5, 87.5, 87.5, 37.5, 37.5, 61.5, 0.0, 12.5, 50.0, 37.5, 0.0, 0.0, 25.0, 25.0, 62.5, 50.0, 12.5, 12.5, 16.0, 6.0, 23.0, 7.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 37.0, "5395", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5395&g_ta_cod=5395", 38.0, 38.0, 23.0),
(9560, "Public", "0750681H", "ESAA Boulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "ESAA Boulle - DN MADE - Objet - Spécialité : Design d'objet innovation sociale", "DN MADE", "Spécialité : Design d'objet innovation sociale", 15, 680, 434, 680, 0, 260, 33, 164, 18, 20, 2, 236, 0, 0, 0, 0, 0, 77, 0, 0, 0, 29, 1, 35, 3, 0, 0, 13, 37, 15, 12, 15, 0, 2.0, 13.0, 14.0, 0, 2, 14, 6, 8, 0, 1, 0, 0, 1, 9, 3, 1.0, 6, 8, 0, 0, 0, 2, 3, 13.33, 86.67, 93.33, 80.0, 14.298828125, 21.3984375, 0, 14.298828125, 93.296875, 0.0, 0.0, 7.099609375, 64.296875, 21.4, 7.1, 42.8984375, 42.8984375, 57.09375, 57.09375, 0.0, 0.0, 13.0, 1.0, 0.0, 0.0, 4.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "21961", "DN MADE - Objet - Spécialité : Design d'objet innovation sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21961&g_ta_cod=21961", 47.0, 53.0, 0.0),
(9561, "Public", "0560026Z", "Lycée Jean-Baptiste Colbert", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BTS", "Lycée Jean-Baptiste Colbert - BTS - Production - Electrotechnique", "BTS - Production", "", 27, 273, 15, 269, 0, 9, 2, 51, 7, 118, 31, 91, 4, 0, 2, 0, 2, 264, 0, 0, 0, 9, 2, 51, 7, 118, 31, 86, 87, 22, 0, 22, 0, 10.0, 20.0, 22.0, 0, 7, 18, 0, 2, 16, 4, 0, 5, 6, 6, 1, 0.0, 0, 0, 13, 5, 0, 18, 18, 45.45, 90.91, 100.0, 0.0, 100.0, 100.0, 27.796875, 38.8984375, 81.796875, 0.0, 27.796875, 33.296875, 33.296875, 5.6, 0.0, 0.0, 0.0, 11.099609375, 0.0, 88.890625, 72.1875, 2.0, 1.0, 48.0, 11.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 97, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 64.0, "6430", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6430&g_ta_cod=6430", 5.0, 23.0, 73.0),
(9562, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "PASS", "Université de Montpellier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 38, 3707, 2332, 3707, 0, 2894, 497, 64, 28, 18, 5, 731, 0, 0, 0, 0, 0, 3707, 0, 0, 0, 2894, 497, 64, 28, 18, 5, 731, 345, 38, 24, 38, 0, 1.0, 22.0, 33.0, 0, 7, 35, 35, 0, 0, 3, 0, 0, 1, 16, 16, 2.0, 35, 0, 0, 0, 0, 29, 29, 2.63, 57.89, 86.84, 63.1953125, 82.890625, 82.890625, 0, 20.0, 92.09375, 0.0, 0.0, 2.89990234375, 45.6953125, 45.7, 5.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 322.0, 52.0, 0.0, 0.0, 23.0, "Tous les candidats", 1775.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "31869", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27370&g_ta_cod=31869", 100.0, 0.0, 0.0),
(9563, "Public", "0750685M", "Lycée Pierre-Gilles de Gennes - ENCPB", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "CPGE", "Lycée Pierre-Gilles de Gennes - ENCPB - CPGE - TB", "Classe préparatoire scientifique", "", 30, 301, 189, 301, 80, 0, 0, 274, 63, 0, 0, 27, 0, 0, 0, 0, 0, 223, 0, 64, 199, 0, 0, 212, 52, 0, 0, 11, 118, 35, 18, 35, 0, 24.0, 32.0, 34.0, 2, 14, 35, 0, 35, 0, 0, 0, 0, 5, 20, 8, 2.0, 0, 35, 0, 8, 3, 9, 26, 68.57, 91.43, 97.14, 51.3984375, 25.69921875, 74.296875, 22.8984375, 40.0, 100.0, 0.0, 0.0, 14.298828125, 57.09375, 22.9, 5.7, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 166.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "9072", "CPGE - TB", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9072&g_ta_cod=9072", 0.0, 100.0, 0.0),
(9564, "Public", "0400750Y", "Lycée agricole DE DAX", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Oeyreluy", "formation sélective", "BTS", "Lycée agricole DE DAX - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 13, 249, 81, 243, 0, 40, 8, 41, 9, 22, 8, 140, 6, 0, 0, 2, 4, 122, 3, 0, 0, 39, 8, 41, 9, 21, 7, 21, 67, 6, 2, 6, 0, 2.0, 6.0, 6.0, 0, 0, 4, 1, 1, 2, 2, 0, 1, 2, 1, 0, 0.0, 1, 1, 1, 0, 0, 4, 4, 33.33, 100.0, 100.0, 33.296875, 100.0, 100.0, 0, 0.0, 66.6875, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 25.0, 25.0, 25.0, 25.0, 50.0, 25.0, 16.0, 1.0, 19.0, 7.0, 12.0, "Tous les candidats sauf les Bac professionnels", 98.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 49.0, "5211", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5211&g_ta_cod=5211", 50.0, 17.0, 33.0),
(9565, "Public", "0390013C", "Lycée Jacques Duhamel", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Dole", "formation sélective", "Autre formation", "Lycée Jacques Duhamel - DN MADE - Objet - Spécialité : Design de produits, prospective sociale", "DN MADE", "Spécialité : Design de produits, prospective sociale", 18, 262, 171, 262, 0, 116, 19, 53, 7, 29, 5, 64, 0, 0, 0, 0, 0, 262, 0, 0, 0, 116, 19, 53, 7, 29, 5, 64, 99, 18, 12, 18, 0, 2.0, 12.0, 14.0, 0, 3, 13, 5, 3, 5, 5, 0, 4, 6, 3, 0, 0.0, 4, 2, 3, 0, 0, 3, 3, 11.11, 66.67, 77.78, 66.6875, 23.09765625, 23.09765625, 0, 23.09765625, 72.1875, 0.0, 30.796875, 46.1953125, 23.09765625, 0.0, 0.0, 38.5, 30.796875, 23.09765625, 15.3984375, 38.5, 23.09765625, 30.0, 5.0, 11.0, 2.0, 22.0, "Tous les candidats", 138.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "21571", "DN MADE - Objet - Spécialité : Design de produits, prospective sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21571&g_ta_cod=21571", 33.0, 28.0, 28.0),
(9566, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence_Las", "Université de Montpellier - Licence - Portail Licence - physique/chimie/sciences de l'ingénieur (PCSI)", "Licence - Sciences - technologies - santé", "Licence - physique/chimie/sciences de l'ingénieur (PCSI)", 60, 1339, 777, 1326, 0, 646, 138, 25, 9, 1, 1, 654, 13, 1, 0, 0, 12, 1321, 9, 0, 0, 646, 138, 25, 9, 1, 1, 649, 632, 57, 36, 51, 6, 1.0, 14.0, 37.0, 0, 5, 18, 18, 0, 0, 39, 0, 6, 9, 3, 0, 0.0, 12, 0, 0, 0, 0, 15, 15, 1.75, 24.56, 64.91, 63.1953125, 83.296875, 83.296875, 0, 27.796875, 31.59765625, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 325.0, 69.0, 0.0, 0.0, 305.0, "Tous les candidats", 2041.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 75.0, "31263", "Licence - Portail Licence - physique/chimie/sciences de l'ingénieur (PCSI)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31262&g_ta_cod=31263", 98.0, 2.0, 0.0),
(9567, "Public", "0570058D", "Lycée Louis Vincent", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée Louis Vincent - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 206, 24, 206, 0, 1, 0, 108, 27, 17, 3, 80, 0, 0, 0, 0, 0, 164, 0, 0, 0, 1, 0, 108, 27, 17, 3, 38, 77, 16, 1, 16, 0, 1.0, 12.0, 15.0, 0, 1, 12, 0, 10, 2, 4, 0, 6, 6, 0, 0, 0.0, 0, 4, 2, 7, 1, 12, 12, 6.25, 75.0, 93.75, 6.2998046875, 100.0, 100.0, 58.296875, 8.298828125, 75.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 83.296875, 33.296875, 16.69921875, 16.69921875, 0.0, 0.0, 3.0, 1.0, 15.0, "Tous les candidats sauf les Bac professionnels", 122.0, "Bacheliers professionnels toutes séries", 3, "", 0, "Liste d'appel propre à cette formation", 61.0, "6542", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6542&g_ta_cod=6542", 0.0, 88.0, 13.0),
(9568, "Public", "0800011C", "Lycée des Métiers Édouard Gand", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée des Métiers Édouard Gand - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 750, 337, 750, 0, 93, 23, 171, 51, 125, 70, 361, 0, 0, 0, 0, 0, 458, 0, 0, 0, 71, 16, 149, 41, 109, 61, 129, 69, 17, 9, 17, 0, 2.0, 15.0, 15.0, 0, 3, 11, 1, 2, 8, 6, 0, 1, 7, 3, 0, 0.0, 1, 2, 7, 0, 0, 10, 10, 11.76, 88.24, 88.24, 52.8984375, 90.890625, 90.890625, 0, 27.296875, 64.6875, 0.0, 9.099609375, 63.59375, 27.296875, 0.0, 0.0, 9.099609375, 9.099609375, 18.19921875, 18.19921875, 72.6875, 63.59375, 3.0, 1.0, 26.0, 13.0, 15.0, "Tous les candidats sauf les Bac professionnels", 100.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 17.0, "10166", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10166&g_ta_cod=10166", 18.0, 35.0, 47.0),
(9569, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 220, 1781, 1325, 1758, 0, 1264, 412, 77, 34, 34, 20, 383, 23, 2, 2, 2, 17, 1758, 23, 0, 0, 1264, 412, 77, 34, 34, 20, 383, 811, 215, 149, 203, 12, 39.0, 173.0, 200.0, 0, 53, 150, 135, 13, 2, 65, 0, 39, 56, 42, 13, 0.0, 102, 8, 1, 0, 0, 116, 116, 18.14, 80.47, 93.02, 69.296875, 77.296875, 77.296875, 0, 35.296875, 69.796875, 0.0, 26.0, 37.296875, 28.0, 8.7, 0.0, 90.0, 68.0, 8.69921875, 5.2998046875, 1.2998046875, 0.699951171875, 575.0, 187.0, 8.0, 4.0, 194.0, "Tous les candidats", 1345.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "4563", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4563&g_ta_cod=4563", 86.0, 9.0, 4.0),
(9570, "Public", "9741231V", "Lycée Marie Curie", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Benoît", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 18, 541, 480, 541, 0, 61, 40, 205, 135, 128, 79, 147, 0, 0, 0, 0, 0, 268, 0, 0, 0, 31, 22, 130, 86, 72, 44, 35, 94, 18, 16, 18, 0, 3.0, 8.0, 11.0, 0, 12, 18, 1, 11, 6, 0, 0, 7, 6, 5, 0, 0.0, 1, 6, 4, 11, 10, 17, 17, 16.67, 44.44, 61.11, 88.890625, 94.390625, 94.390625, 61.09375, 66.6875, 100.0, 0.0, 38.8984375, 33.296875, 27.796875, 0.0, 0.0, 5.599609375, 5.599609375, 61.09375, 33.296875, 33.296875, 22.19921875, 3.0, 2.0, 32.0, 22.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 21.0, "11974", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11974&g_ta_cod=11974", 6.0, 61.0, 33.0),
(9571, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 320, 2609, 1806, 2552, 0, 1577, 266, 95, 18, 7, 4, 873, 57, 13, 3, 0, 41, 2509, 46, 0, 0, 1577, 266, 95, 18, 7, 4, 830, 1542, 291, 196, 262, 28, 6.0, 156.0, 227.0, 0, 41, 197, 187, 9, 1, 94, 1, 53, 80, 56, 6, 1.0, 134, 8, 1, 0, 0, 166, 166, 2.06, 53.61, 78.01, 67.390625, 84.296875, 84.296875, 0, 20.796875, 67.6875, 0.5, 26.8984375, 40.59375, 28.3984375, 3.0, 0.5, 94.890625, 68.0, 4.599609375, 4.099609375, 0.5, 0.5, 952.0, 176.0, 3.0, 2.0, 550.0, "Tous les candidats", 2067.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 65.0, "2302", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27213&g_ta_cod=2302", 93.0, 6.0, 1.0),
(9572, "Privé sous contrat d'association", "0912154X", "IRFASE", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "EFTS", "IRFASE - D.E Assistant de Service Social", "D.E secteur social", "", 40, 95, 87, 81, 0, 12, 1, 13, 4, 8, 2, 48, 14, 1, 1, 1, 11, 77, 7, 0, 0, 12, 1, 13, 4, 7, 2, 45, 75, 35, 32, 29, 6, 15.0, 28.0, 28.0, 0, 4, 14, 4, 5, 5, 21, 0, 6, 6, 2, 0, 0.0, 3, 1, 4, 0, 0, 8, 12, 42.86, 80.0, 80.0, 91.390625, 57.09375, 85.6875, 0, 28.59765625, 40.0, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 28.59765625, 21.3984375, 35.6953125, 7.099609375, 35.6953125, 28.59765625, 12.0, 1.0, 8.0, 2.0, 42.0, "Tous les candidats", 73.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "23795", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23795&g_ta_cod=23795", 20.0, 34.0, 43.0),
(9573, "Privé sous contrat d'association", "0131402D", "Lycée Charles Peguy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "Autre formation", "Lycée Charles Peguy - Diplôme de Comptabilité et de Gestion", "DCG", "", 28, 350, 161, 350, 0, 167, 47, 51, 22, 8, 4, 124, 0, 0, 0, 0, 0, 264, 0, 0, 0, 143, 37, 40, 15, 5, 2, 76, 132, 23, 7, 23, 0, 9.0, 20.0, 21.0, 0, 1, 18, 13, 4, 1, 5, 0, 2, 8, 7, 1, 0.0, 11, 4, 1, 0, 0, 16, 16, 39.13, 86.96, 91.3, 30.3984375, 88.890625, 88.890625, 0, 5.599609375, 78.296875, 0.0, 11.099609375, 44.3984375, 38.8984375, 5.6, 0.0, 72.1875, 61.09375, 22.19921875, 22.19921875, 5.599609375, 5.599609375, 81.0, 16.0, 3.0, 1.0, 24.0, "Tous les candidats", 172.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "2644", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2644&g_ta_cod=2644", 70.0, 22.0, 9.0),
(9574, "Privé enseignement supérieur", "0592808G", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines - Licence - Langues étrangères appliquées - Parcours Langues et relations Internationales  - Anglais et Espagnol", "Licence - Arts-lettres-langues", "Langues et relations Internationales  - Anglais et Espagnol", 240, 370, 289, 314, 0, 212, 37, 26, 10, 3, 2, 73, 56, 21, 2, 3, 30, 314, 52, 0, 0, 212, 37, 26, 10, 3, 2, 73, 365, 45, 36, 30, 15, 27.0, 29.0, 40.0, 0, 3, 29, 29, 0, 0, 16, 0, 4, 13, 6, 6, 0.0, 25, 0, 0, 0, 0, 7, 7, 60.0, 64.44, 88.89, 80.0, 24.09765625, 24.09765625, 0, 10.298828125, 64.390625, 0.0, 13.798828125, 44.796875, 20.69921875, 20.7, 0.0, 100.0, 86.1875, 0.0, 0.0, 0.0, 0.0, 233.0, 38.0, 6.0, 5.0, 98.0, "Tous les candidats", 315.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "33589", "Licence - Langues étrangères appliquées - Parcours Langues et relations Internationales  - Anglais et Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33589&g_ta_cod=33589", 100.0, 0.0, 0.0),
(9575, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Portail Chimie / Informatique / Mathématiques / Physique / Sciences pour l'Ingénieur (Electronique ou Mécanique)", "Licence - Sciences - technologies - santé", "Chimie / Informatique / Mathématiques / Physique / Sciences pour l'Ingénieur (Electronique ou Mécanique)", 415, 2719, 827, 2454, 0, 1692, 257, 90, 16, 7, 1, 665, 265, 60, 10, 3, 192, 2386, 219, 0, 0, 1692, 257, 91, 17, 7, 1, 596, 2306, 318, 74, 221, 95, 143.0, 208.0, 276.0, 0, 47, 176, 158, 16, 2, 142, 0, 77, 57, 32, 9, 1.0, 92, 5, 2, 0, 0, 132, 132, 44.97, 65.41, 86.79, 23.296875, 75.0, 75.0, 0, 26.69921875, 55.296875, 0.0, 43.796875, 32.3984375, 18.19921875, 5.1, 0.6, 89.796875, 52.296875, 9.099609375, 2.7998046875, 1.099853515625, 1.099853515625, 1528.0, 253.0, 7.0, 1.0, 698.0, "Tous les candidats", 2533.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "13003", "Licence - Portail Chimie / Informatique / Mathématiques / Physique / Sciences pour l'Ingénieur (Electronique ou Mécanique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27639&g_ta_cod=13003", 88.0, 9.0, 1.0),
(9576, "Public", "9760338N", "Lycée Polyvalent de Dembeni", "976", "Mayotte", "Mayotte", "Mayotte", "Dembeni", "formation sélective", "BTS", "Lycée Polyvalent de Dembeni - BTS - Production - Electrotechnique", "BTS - Production", "", 31, 496, 71, 496, 0, 58, 37, 105, 61, 178, 76, 155, 0, 0, 0, 0, 0, 107, 0, 0, 0, 18, 13, 32, 16, 46, 20, 11, 57, 31, 3, 31, 0, 14.0, 27.0, 29.0, 0, 16, 27, 3, 8, 16, 4, 0, 10, 10, 5, 2, 0.0, 0, 5, 12, 15, 2, 27, 27, 45.16, 87.1, 93.55, 9.69921875, 100.0, 100.0, 55.59375, 59.296875, 87.09375, 0.0, 37.0, 37.0, 18.5, 7.4, 0.0, 11.099609375, 0.0, 29.59765625, 18.5, 59.296875, 44.3984375, 7.0, 4.0, 24.0, 11.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 13.0, "20116", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20116&g_ta_cod=20116", 19.0, 26.0, 55.0),
(9577, "Public", "0310047H", "Lycée Ozenne", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Ozenne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 1054, 515, 1054, 0, 923, 71, 2, 1, 1, 1, 128, 0, 0, 0, 0, 0, 991, 0, 0, 991, 910, 68, 0, 0, 0, 0, 81, 295, 22, 10, 22, 0, 0.0, 9.0, 22.0, 0, 3, 21, 21, 0, 0, 1, 0, 0, 1, 16, 4, 0.0, 21, 0, 0, 0, 0, 12, 12, 0.0, 40.91, 100.0, 45.5, 57.09375, 57.09375, 0, 14.298828125, 95.5, 0.0, 0.0, 4.7998046875, 76.1875, 19.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 281.0, 21.0, 0.0, 0.0, 14.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "31596", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31393&g_ta_cod=31596", 100.0, 0.0, 0.0),
(9578, "Privé enseignement supérieur", "0597009Y", "CESI Campus de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 36, 1176, 170, 1150, 0, 870, 106, 84, 19, 0, 0, 196, 26, 12, 0, 0, 14, 880, 0, 0, 0, 702, 58, 70, 11, 0, 0, 108, 202, 26, 2, 26, 0, 2.0, 25.0, 26.0, 0, 3, 21, 19, 2, 0, 5, 0, 4, 12, 5, 0, 0.0, 16, 1, 0, 0, 0, 17, 17, 7.69, 96.15, 100.0, 7.69921875, 81.0, 81.0, 0, 14.298828125, 80.796875, 0.0, 19.0, 57.09375, 23.796875, 0.0, 0.0, 90.5, 76.1875, 9.5, 4.7998046875, 0.0, 0.0, 154.0, 16.0, 0.0, 0.0, 38.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "25174", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25174", 92.0, 8.0, 0.0),
(9579, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "Université de Cergy-Pontoise - CY SUP - Diplôme d'Université - PAREO - Passeport pour réussir et s?orienter vers la Géographie", "Diplôme d'Université", "Passeport pour réussir et s?orienter vers la Géographie", 25, 26, 15, 9, 0, 6, 1, 0, 0, 1, 1, 2, 17, 2, 4, 2, 9, 3, 7, 0, 0, 2, 1, 0, 0, 1, 1, 0, 12, 5, 3, 1, 3, 1.0, 1.0, 1.0, 0, 3, 4, 3, 0, 1, 1, 0, 4, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 4, 20.0, 20.0, 20.0, 60.0, 75.0, 100.0, 0, 75.0, 80.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 75.0, 0.0, 0.0, 0.0, 25.0, 0.0, 5.0, 2.0, 3.0, 2.0, 3.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "32702", "Diplôme d'Université - PAREO - Passeport pour réussir et s?orienter vers la Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32702&g_ta_cod=32702", 60.0, 0.0, 40.0),
(9580, "Privé sous contrat d'association", "0754696X", "IRTS Paris Ile-de-France", "75", "Paris", "Ile-de-France", "Paris", "Paris 10e  Arrondissement", "formation sélective", "EFTS", "IRTS Paris Ile-de-France - D.E Educateur Spécialisé", "D.E secteur social", "", 97, 642, 515, 642, 0, 114, 16, 102, 22, 87, 20, 339, 0, 0, 0, 0, 0, 551, 0, 0, 0, 101, 14, 90, 19, 72, 15, 288, 193, 96, 80, 96, 0, 0.0, 76.0, 82.0, 0, 6, 26, 11, 7, 8, 70, 0, 8, 13, 4, 1, 0.0, 8, 5, 5, 0, 0, 1, 20, 0.0, 79.17, 85.42, 83.296875, 3.7998046875, 76.890625, 0, 23.09765625, 27.09765625, 0.0, 30.796875, 50.0, 15.3984375, 3.8, 0.0, 42.296875, 30.796875, 26.8984375, 19.19921875, 30.796875, 19.19921875, 29.0, 5.0, 17.0, 2.0, 134.0, "Tous les candidats", 238.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "24991", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24991&g_ta_cod=24991", 55.0, 17.0, 26.0),
(9581, "Public", "0600014P", "Lycée Pierre d'Ailly", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "CPGE", "Lycée Pierre d'Ailly - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 243, 162, 230, 138, 143, 26, 4, 1, 0, 0, 83, 13, 3, 2, 0, 8, 154, 3, 87, 144, 135, 23, 3, 1, 0, 0, 16, 133, 25, 17, 24, 1, 6.0, 24.0, 25.0, 7, 4, 21, 21, 0, 0, 4, 0, 1, 5, 11, 4, 0.0, 20, 0, 0, 5, 3, 20, 20, 24.0, 96.0, 100.0, 68.0, 95.1875, 95.1875, 23.796875, 19.0, 84.0, 0.0, 4.7998046875, 23.796875, 52.3984375, 19.0, 0.0, 100.0, 95.1875, 0.0, 0.0, 0.0, 0.0, 115.0, 19.0, 0.0, 0.0, 17.0, "Tous les candidats", 155.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "7222", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7222&g_ta_cod=7222", 100.0, 0.0, 0.0),
(9582, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  LLCER Arabe", "Licence - Arts-lettres-langues", "LLCER Arabe", 70, 291, 218, 145, 0, 34, 18, 11, 11, 15, 8, 85, 146, 9, 14, 19, 104, 143, 135, 0, 0, 34, 18, 11, 11, 15, 8, 83, 272, 57, 44, 23, 34, 17.0, 23.0, 40.0, 0, 13, 17, 4, 6, 7, 40, 0, 9, 5, 2, 1, 0.0, 2, 2, 4, 0, 0, 11, 11, 29.82, 40.35, 70.18, 77.1875, 64.6875, 64.6875, 0, 76.5, 29.796875, 0.0, 52.8984375, 29.3984375, 11.798828125, 5.9, 0.0, 23.5, 11.798828125, 35.296875, 11.798828125, 41.1953125, 23.5, 42.0, 20.0, 34.0, 24.0, 172.0, "Tous les candidats", 143.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "2733", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  LLCER Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2733&g_ta_cod=2733", 30.0, 28.0, 40.0),
(9583, "Privé sous contrat d'association", "0492406Z", "LGT Sainte-Marie", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "BTS", "LGT Sainte-Marie - BTS - Services - Communication", "BTS - Services", "", 35, 359, 263, 359, 0, 103, 7, 127, 20, 40, 8, 89, 0, 0, 0, 0, 0, 272, 0, 0, 0, 101, 7, 114, 15, 15, 3, 42, 111, 35, 25, 35, 0, 10.0, 29.0, 32.0, 0, 5, 31, 11, 18, 2, 4, 0, 6, 20, 4, 1, 0.0, 8, 15, 2, 5, 3, 30, 30, 28.57, 82.86, 91.43, 71.390625, 96.796875, 96.796875, 16.09765625, 16.09765625, 88.59375, 0.0, 19.3984375, 64.5, 12.8984375, 3.2, 0.0, 35.5, 25.796875, 58.09375, 48.3984375, 6.5, 6.5, 47.0, 5.0, 10.0, 3.0, 10.0, "Tous les candidats sauf les Bac professionnels", 133.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 41.0, "5908", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5908&g_ta_cod=5908", 37.0, 57.0, 6.0),
(9584, "Public", "0760052U", "Lycée François 1er", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "CPGE", "Lycée François 1er - CPGE - PCSI", "Classe préparatoire scientifique", "", 40, 598, 221, 514, 0, 377, 37, 1, 0, 0, 0, 136, 84, 40, 2, 0, 42, 317, 15, 0, 317, 289, 26, 0, 0, 0, 0, 28, 271, 25, 10, 23, 2, 5.0, 22.0, 24.0, 0, 6, 25, 25, 0, 0, 0, 0, 0, 8, 13, 4, 0.0, 25, 0, 0, 7, 2, 25, 25, 20.0, 88.0, 96.0, 40.0, 100.0, 100.0, 28, 24.0, 100.0, 0.0, 0.0, 32.0, 52.0, 16.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 242.0, 20.0, 0.0, 0.0, 29.0, "Tous les candidats", 317.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "9571", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9571&g_ta_cod=9571", 100.0, 0.0, 0.0),
(9585, "Public", "0782565P", "Lycée Jules Ferry", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "BTS", "Lycée Jules Ferry - BTS - Production - Systèmes numériques - Option électronique et communication - Parcours Armée de Terre / Défense", "BTS - Production", "Parcours Armée de Terre / Défense", 3, 158, 24, 158, 0, 25, 5, 45, 12, 49, 19, 39, 0, 0, 0, 0, 0, 158, 0, 0, 0, 25, 5, 45, 12, 49, 19, 39, 16, 3, 0, 3, 0, 0.0, 0.0, 2.0, 0, 2, 3, 1, 1, 1, 0, 0, 2, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 2, 2, 0.0, 0.0, 66.67, 0.0, 66.6875, 66.6875, 0, 66.6875, 100.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 33.296875, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 4.0, 3.0, 4.0, 1.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers technologiques toutes séries", 9, "Bacheliers professionnels toutes séries", 1, "Liste d'appel propre à cette formation", 15.0, "33278", "BTS - Production - Systèmes numériques - Option électronique et communication - Parcours Armée de Terre / Défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33278&g_ta_cod=33278", 33.0, 33.0, 33.0),
(9586, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais", "Licence - Arts-lettres-langues", "Portugais", 45, 71, 49, 39, 0, 14, 6, 6, 1, 5, 1, 14, 32, 5, 1, 2, 24, 39, 30, 0, 0, 14, 6, 6, 1, 5, 1, 14, 69, 6, 4, 3, 3, 3.0, 3.0, 5.0, 0, 1, 1, 0, 0, 1, 5, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 50.0, 50.0, 83.33, 66.6875, 100.0, 100.0, 0, 100.0, 16.69921875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 19.0, 9.0, 7.0, 2.0, 36.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4571", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4571&g_ta_cod=4571", 50.0, 0.0, 50.0),
(9587, "Privé sous contrat d'association", "0542408Z", "Lycée Charles De Foucauld", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Lycée Charles De Foucauld - Diplôme de Comptabilité et de Gestion", "DCG", "", 24, 297, 137, 277, 0, 150, 36, 48, 12, 5, 3, 74, 20, 2, 2, 0, 16, 195, 7, 0, 0, 132, 28, 32, 10, 0, 0, 31, 117, 23, 9, 21, 2, 5.0, 20.0, 21.0, 0, 6, 16, 12, 4, 0, 7, 0, 2, 9, 4, 1, 0.0, 10, 4, 0, 0, 0, 13, 13, 21.74, 86.96, 91.3, 39.09375, 81.296875, 81.296875, 0, 37.5, 69.59375, 0.0, 12.5, 56.296875, 25.0, 6.3, 0.0, 75.0, 62.5, 25.0, 25.0, 0.0, 0.0, 76.0, 18.0, 0.0, 0.0, 28.0, "Tous les candidats", 192.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "6392", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6392&g_ta_cod=6392", 78.0, 22.0, 0.0),
(9588, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Philosophie", "Licence - Sciences humaines et sociales", "", 85, 480, 275, 363, 0, 172, 42, 27, 8, 24, 11, 140, 117, 18, 11, 3, 85, 358, 110, 0, 0, 172, 42, 27, 8, 24, 11, 135, 472, 84, 40, 50, 33, 48.0, 49.0, 68.0, 0, 12, 36, 18, 8, 10, 48, 0, 23, 9, 3, 1, 0.0, 4, 2, 7, 0, 0, 15, 31, 57.14, 58.33, 80.95, 47.59375, 41.6953125, 86.09375, 0, 33.296875, 42.8984375, 0.0, 63.8984375, 25.0, 8.298828125, 2.8, 0.0, 50.0, 11.099609375, 22.19921875, 5.599609375, 27.796875, 19.3984375, 192.0, 49.0, 27.0, 12.0, 215.0, "Tous les candidats", 359.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "15412", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15412&g_ta_cod=15412", 57.0, 23.0, 20.0),
(9589, "Privé sous contrat d'association", "0592965C", "Lycée Industriel et Commercial", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Industriel et Commercial - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 244, 86, 187, 0, 20, 5, 63, 22, 40, 21, 64, 57, 3, 16, 3, 35, 89, 20, 0, 0, 16, 4, 46, 15, 17, 6, 10, 92, 31, 10, 22, 9, 11.0, 22.0, 29.0, 0, 4, 19, 3, 12, 4, 12, 0, 6, 10, 3, 0, 0.0, 1, 8, 4, 15, 5, 18, 18, 35.48, 70.97, 93.55, 32.296875, 94.6875, 94.6875, 78.890625, 21.09765625, 61.296875, 0.0, 31.59765625, 52.59375, 15.798828125, 0.0, 0.0, 15.798828125, 5.2998046875, 63.1953125, 42.09375, 21.09765625, 21.09765625, 14.0, 3.0, 15.0, 5.0, 23.0, "Tous les candidats sauf les Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 47.0, "6922", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6922&g_ta_cod=6922", 32.0, 52.0, 16.0),
(9590, "Public", "0750691U", "Lycée Raspail", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "BTS", "Lycée Raspail - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 30, 731, 22, 703, 0, 19, 1, 111, 40, 408, 183, 165, 28, 0, 12, 0, 16, 479, 1, 0, 0, 13, 0, 79, 26, 303, 128, 84, 105, 27, 1, 27, 0, 8.0, 18.0, 24.0, 0, 7, 18, 0, 1, 17, 9, 0, 5, 8, 4, 1, 0.0, 0, 0, 13, 0, 0, 0, 17, 29.63, 66.67, 88.89, 3.69970703125, 0.0, 94.390625, 0, 38.8984375, 66.6875, 0.0, 27.796875, 44.3984375, 22.19921875, 5.6, 0.0, 0.0, 0.0, 5.599609375, 0.0, 94.390625, 72.1875, 5.0, 0.0, 57.0, 23.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 19.0, "9105", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9105&g_ta_cod=9105", 7.0, 22.0, 70.0),
(9591, "Public", "0951710T", "Lycée Camille Claudel", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Vauréal", "formation sélective", "BTS", "Lycée Camille Claudel - BTS - Services - Commerce International", "BTS - Services", "", 35, 776, 400, 776, 0, 114, 20, 263, 93, 139, 54, 260, 0, 0, 0, 0, 0, 246, 0, 0, 0, 39, 4, 145, 57, 54, 20, 8, 141, 35, 23, 35, 0, 8.0, 34.0, 35.0, 0, 13, 33, 4, 20, 9, 2, 0, 7, 21, 4, 1, 0.0, 2, 15, 9, 4, 1, 33, 33, 22.86, 97.14, 100.0, 65.6875, 100.0, 100.0, 12.099609375, 39.3984375, 94.296875, 0.0, 21.19921875, 63.59375, 12.099609375, 3.0, 0.0, 12.099609375, 6.099609375, 60.59375, 45.5, 27.296875, 27.296875, 17.0, 3.0, 29.0, 13.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 118, "Liste d'appel propre à cette formation", 23.0, "11612", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11612&g_ta_cod=11612", 11.0, 63.0, 26.0),
(9592, "Public", "0140052F", "Lycée Guillaume le Conquérant", "14", "Calvados", "Normandie", "Normandie", "Falaise", "formation sélective", "BTS", "Lycée Guillaume le Conquérant - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 249, 108, 226, 0, 19, 3, 51, 19, 32, 15, 124, 23, 3, 1, 3, 16, 103, 5, 0, 0, 18, 3, 45, 16, 22, 11, 18, 89, 13, 6, 10, 3, 1.0, 10.0, 12.0, 0, 5, 8, 1, 3, 4, 5, 1, 4, 3, 0, 0, 0.0, 0, 2, 1, 4, 2, 8, 8, 7.69, 76.92, 92.31, 46.1953125, 100.0, 100.0, 50, 62.5, 61.5, 12.5, 50.0, 37.5, 0.0, 0.0, 0.0, 12.5, 0.0, 37.5, 25.0, 50.0, 12.5, 16.0, 4.0, 22.0, 10.0, 15.0, "Tous les candidats sauf les Bac professionnels", 79.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 46.0, "2833", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2833&g_ta_cod=2833", 38.0, 31.0, 31.0),
(9593, "Public", "0451535Z", "Lycée agricole Le Chesnoy-Les Barres", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Nogent-sur-Vernisson", "formation sélective", "BTS", "Lycée agricole Le Chesnoy-Les Barres - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 36, 731, 305, 632, 0, 196, 20, 149, 17, 96, 25, 191, 99, 30, 0, 15, 54, 231, 4, 0, 0, 82, 4, 83, 7, 33, 9, 33, 137, 35, 21, 31, 4, 6.0, 28.0, 34.0, 0, 3, 29, 9, 14, 6, 6, 0, 6, 14, 9, 0, 0.0, 6, 12, 5, 0, 0, 10, 10, 17.14, 80.0, 97.14, 60.0, 34.5, 34.5, 0, 10.298828125, 82.890625, 0.0, 20.69921875, 48.296875, 31.0, 0.0, 0.0, 31.0, 20.69921875, 48.296875, 41.3984375, 20.69921875, 17.19921875, 49.0, 4.0, 30.0, 8.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 108.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 34.0, "5738", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5738&g_ta_cod=5738", 40.0, 43.0, 17.0),
(9594, "Public", "0370039S", "Lycée Paul-Louis Courier", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Paul-Louis Courier - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 596, 308, 596, 0, 80, 18, 225, 70, 107, 54, 184, 0, 0, 0, 0, 0, 395, 0, 0, 0, 67, 14, 171, 49, 72, 39, 85, 158, 31, 16, 31, 0, 7.0, 21.0, 28.0, 0, 9, 23, 1, 15, 7, 8, 0, 7, 8, 7, 1, 0.0, 0, 9, 7, 3, 3, 19, 19, 22.58, 67.74, 90.32, 51.59375, 82.59375, 82.59375, 13, 39.09375, 74.1875, 0.0, 30.3984375, 34.796875, 30.3984375, 4.3, 0.0, 4.2998046875, 0.0, 65.1875, 39.09375, 30.3984375, 30.3984375, 15.0, 4.0, 25.0, 13.0, 29.0, "Tous les candidats sauf les Bac professionnels", 233.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 45.0, "4845", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4845&g_ta_cod=4845", 13.0, 61.0, 26.0),
(9595, "Public", "0180007K", "Lycée Jacques Coeur", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BTS", "Lycée Jacques Coeur - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 36, 553, 276, 553, 0, 44, 7, 239, 69, 178, 71, 92, 0, 0, 0, 0, 0, 397, 0, 0, 0, 33, 6, 199, 53, 123, 47, 42, 134, 34, 14, 34, 0, 5.0, 24.0, 28.0, 0, 7, 28, 1, 14, 13, 6, 0, 9, 14, 5, 0, 0.0, 1, 9, 9, 6, 2, 24, 24, 14.71, 70.59, 82.35, 41.1953125, 85.6875, 85.6875, 21.3984375, 25.0, 82.390625, 0.0, 32.09375, 50.0, 17.8984375, 0.0, 0.0, 3.599609375, 3.599609375, 50.0, 32.09375, 46.3984375, 32.09375, 8.0, 1.0, 57.0, 20.0, 12.0, "Tous les candidats sauf les Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 65, "", 0, "Liste d'appel propre à cette formation", 28.0, "3096", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3096&g_ta_cod=3096", 12.0, 44.0, 44.0),
(9596, "Public", "0951310H", "Ecole nationale supérieure d'arts de Paris-Cergy", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "Ecole nationale supérieure d'arts de Paris-Cergy - Diplôme National d'Art", "Diplôme National d'Art", "", 36, 597, 429, 597, 0, 107, 28, 26, 10, 12, 11, 452, 0, 0, 0, 0, 0, 55, 0, 0, 0, 4, 0, 0, 0, 0, 0, 51, 53, 35, 22, 35, 0, 22.0, 30.0, 34.0, 0, 0, 3, 3, 0, 0, 32, 0, 0, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 1, 1, 62.86, 85.71, 97.14, 62.8984375, 33.296875, 33.296875, 0, 0.0, 8.599609375, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 4.0, 1.0, 0.0, 0.0, 49.0, "Tous les candidats", 53.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "18090", "Diplôme National d'Art", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18090&g_ta_cod=18090", 94.0, 0.0, 6.0),
(9597, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Histoire - Parcours HISTOIRE MAJEURE/mineure Lettres Classiques", "Licence - Sciences humaines et sociales", "HISTOIRE MAJEURE/mineure Lettres Classiques", 15, 206, 127, 206, 0, 144, 22, 5, 1, 3, 2, 54, 0, 0, 0, 0, 0, 203, 0, 0, 0, 144, 22, 5, 1, 3, 2, 51, 74, 14, 9, 14, 0, 0.0, 11.0, 14.0, 0, 1, 11, 11, 0, 0, 3, 1, 1, 2, 4, 3, 0.0, 9, 0, 0, 0, 0, 3, 7, 0.0, 78.57, 100.0, 64.296875, 27.296875, 63.59375, 0, 9.099609375, 78.59375, 9.099609375, 9.099609375, 18.19921875, 36.3984375, 27.3, 0.0, 100.0, 81.796875, 0.0, 0.0, 0.0, 0.0, 57.0, 8.0, 1.0, 1.0, 16.0, "Tous les candidats", 140.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "24326", "Licence - Histoire - Parcours HISTOIRE MAJEURE/mineure Lettres Classiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24326&g_ta_cod=24326", 100.0, 0.0, 0.0),
(9598, "Public", "0710048S", "Lycée Rene Cassin", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Mâcon", "formation sélective", "BTS", "Lycée Rene Cassin - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 192, 40, 192, 0, 16, 2, 67, 17, 82, 22, 27, 0, 0, 0, 0, 0, 161, 0, 0, 0, 16, 2, 64, 15, 71, 20, 10, 76, 23, 3, 23, 0, 4.0, 16.0, 20.0, 0, 9, 23, 3, 4, 16, 0, 0, 13, 10, 0, 0, 0.0, 1, 1, 8, 12, 2, 16, 16, 17.39, 69.57, 86.96, 13.0, 69.59375, 69.59375, 52.1953125, 39.09375, 100.0, 0.0, 56.5, 43.5, 0.0, 0.0, 0.0, 13.0, 4.2998046875, 17.3984375, 4.2998046875, 69.59375, 34.796875, 8.0, 2.0, 40.0, 9.0, 1.0, "Tous les candidats sauf les Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 53, "", 0, "Liste d'appel propre à cette formation", 47.0, "8638", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8638&g_ta_cod=8638", 13.0, 17.0, 70.0),
(9599, "Public", "0271016H", "Lycée agricole Edouard de Chambray", "27", "Eure", "Normandie", "Normandie", "Mesnils-sur-Iton", "formation sélective", "BTS", "Lycée agricole Edouard de Chambray - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 18, 152, 62, 146, 0, 12, 4, 57, 8, 58, 14, 19, 6, 0, 0, 2, 4, 125, 6, 0, 0, 10, 2, 56, 8, 56, 14, 3, 72, 8, 5, 5, 3, 2.0, 4.0, 8.0, 0, 3, 6, 1, 2, 3, 2, 0, 2, 2, 2, 0, 0.0, 1, 2, 1, 1, 1, 6, 6, 25.0, 50.0, 100.0, 62.5, 100.0, 100.0, 16.69921875, 50.0, 75.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 16.69921875, 16.69921875, 33.296875, 33.296875, 50.0, 16.69921875, 4.0, 1.0, 39.0, 11.0, 5.0, "Tous les candidats sauf les Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 85.0, "3697", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3697&g_ta_cod=3697", 25.0, 25.0, 50.0),
(9600, "Public", "0911828T", "Lycée Georges Brassens", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "Autre formation", "Lycée Georges Brassens - DN MADE - Événement - - Spécialité : Design graphique événementiel de marques et d'institutions culturelles", "DN MADE", "- Spécialité : Design graphique événementiel de marques et d'institutions culturelles", 15, 342, 275, 342, 0, 104, 21, 82, 23, 54, 19, 102, 0, 0, 0, 0, 0, 183, 0, 0, 0, 66, 13, 55, 15, 17, 2, 45, 70, 14, 10, 14, 0, 0.0, 9.0, 12.0, 0, 1, 7, 6, 1, 0, 7, 0, 1, 5, 1, 0, 0.0, 5, 1, 0, 0, 0, 3, 6, 0.0, 64.29, 85.71, 71.390625, 42.8984375, 85.6875, 0, 14.298828125, 50.0, 0.0, 14.298828125, 71.390625, 14.298828125, 0.0, 0.0, 85.6875, 71.390625, 14.298828125, 14.298828125, 0.0, 0.0, 16.0, 3.0, 6.0, 1.0, 16.0, "Tous les candidats", 92.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "21943", "DN MADE - Événement - - Spécialité : Design graphique événementiel de marques et d'institutions culturelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21943&g_ta_cod=21943", 64.0, 14.0, 21.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(9601, "Public", "0480009Z", "Lycée Emile Peytavin", "48", "Lozère", "Occitanie", "Montpellier", "Mende", "formation sélective", "BTS", "Lycée Emile Peytavin - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 18, 655, 128, 641, 0, 48, 15, 40, 15, 34, 11, 519, 14, 0, 9, 0, 5, 154, 2, 0, 0, 40, 13, 37, 14, 32, 11, 45, 94, 11, 0, 10, 0, 2.0, 7.0, 10.0, 0, 4, 6, 2, 2, 2, 5, 0, 2, 3, 1, 0, 0.0, 1, 2, 1, 0, 0, 4, 4, 18.18, 63.64, 90.91, 0.0, 66.6875, 66.6875, 0, 66.6875, 54.5, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 33.296875, 16.69921875, 33.296875, 33.296875, 33.296875, 16.69921875, 28.0, 12.0, 18.0, 5.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 19.0, "5801", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5801&g_ta_cod=5801", 36.0, 36.0, 27.0),
(9602, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais et Espagnol", "Licence - Arts-lettres-langues", "Anglais et Espagnol", 25, 247, 195, 247, 0, 128, 41, 27, 14, 10, 5, 82, 0, 0, 0, 0, 0, 247, 0, 0, 0, 128, 41, 27, 14, 10, 5, 82, 135, 23, 15, 23, 0, 1.0, 19.0, 21.0, 0, 7, 16, 9, 4, 3, 7, 0, 6, 9, 1, 0, 0.0, 7, 1, 2, 0, 0, 8, 12, 4.35, 82.61, 91.3, 65.1875, 50.0, 75.0, 0, 43.796875, 69.59375, 0.0, 37.5, 56.296875, 6.2998046875, 0.0, 0.0, 56.296875, 43.796875, 25.0, 6.2998046875, 18.796875, 12.5, 81.0, 25.0, 8.0, 4.0, 27.0, "Tous les candidats", 200.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "11262", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais et Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11262&g_ta_cod=11262", 48.0, 35.0, 17.0),
(9603, "Privé enseignement supérieur", "0312421N", "ICAM Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Ecole d'Ingénieur", "GROUPE ICAM - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "", 40, 635, 95, 615, 0, 488, 22, 38, 3, 0, 0, 89, 20, 9, 0, 0, 11, 397, 5, 0, 0, 338, 11, 20, 0, 0, 0, 39, 340, 32, 3, 30, 2, 19.0, 30.0, 32.0, 0, 1, 28, 26, 2, 0, 4, 0, 3, 17, 6, 2, 0.0, 23, 2, 0, 0, 0, 17, 17, 59.38, 93.75, 100.0, 9.3984375, 60.6953125, 60.6953125, 0, 3.599609375, 87.5, 0.0, 10.69921875, 60.6953125, 21.3984375, 7.1, 0.0, 92.890625, 82.09375, 7.099609375, 7.099609375, 0.0, 0.0, 290.0, 12.0, 0.0, 0.0, 38.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "24667", "Formation d'ingénieur Bac + 5", "GROUPE ICAM", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24652&g_ta_cod=24667", 94.0, 6.0, 0.0),
(9604, "Privé sous contrat d'association", "0592921E", "Lycée Saint Rémi", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Saint Rémi - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 141, 47, 90, 0, 15, 3, 30, 13, 12, 5, 33, 51, 9, 15, 7, 20, 57, 29, 0, 0, 13, 2, 21, 7, 7, 1, 16, 85, 17, 4, 7, 9, 1.0, 7.0, 14.0, 0, 5, 11, 4, 6, 1, 6, 0, 8, 3, 0, 0, 0.0, 1, 2, 0, 7, 2, 11, 11, 5.88, 41.18, 82.35, 23.5, 100.0, 100.0, 63.59375, 45.5, 64.6875, 0.0, 72.6875, 27.296875, 0.0, 0.0, 0.0, 36.3984375, 9.099609375, 54.5, 18.19921875, 9.099609375, 0.0, 21.0, 4.0, 10.0, 4.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 63.0, "6903", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6903&g_ta_cod=6903", 24.0, 65.0, 12.0),
(9605, "Public", "9840001D", "Lycée des Iles Sous Le Vent", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Uturoa", "formation sélective", "BTS", "Lycée des Iles Sous Le Vent - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 17, 133, 73, 132, 0, 21, 10, 28, 21, 16, 11, 67, 1, 1, 0, 0, 0, 69, 1, 0, 0, 20, 10, 28, 21, 13, 11, 8, 32, 15, 9, 15, 0, 8.0, 15.0, 15.0, 0, 12, 12, 1, 6, 5, 3, 0, 6, 3, 3, 0, 0.0, 0, 4, 2, 6, 2, 12, 12, 53.33, 100.0, 100.0, 60.0, 100.0, 100.0, 50, 100.0, 80.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 8.298828125, 0.0, 50.0, 33.296875, 41.6953125, 16.69921875, 10.0, 5.0, 7.0, 7.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 35.0, "19077", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19077&g_ta_cod=19077", 27.0, 40.0, 33.0),
(9606, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Portugais et Gestion parcours Management et Sciences Humaines (MSH)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Portugais et Gestion parcours Management et Sciences Humaines (MSH)", 5, 62, 38, 62, 0, 35, 9, 4, 2, 2, 1, 21, 0, 0, 0, 0, 0, 62, 0, 0, 0, 35, 9, 4, 2, 2, 1, 21, 20, 4, 1, 4, 0, 0.0, 4.0, 4.0, 0, 0, 3, 3, 0, 0, 1, 0, 0, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 2, 2, 0.0, 100.0, 100.0, 25.0, 66.6875, 66.6875, 0, 0.0, 75.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 10.0, 3.0, 0.0, 0.0, 10.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "18455", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Portugais et Gestion parcours Management et Sciences Humaines (MSH)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18455&g_ta_cod=18455", 100.0, 0.0, 0.0),
(9607, "Privé sous contrat d'association", "0851253A", "MFR IREO de Saint Florent", "85", "Vendée", "Pays de la Loire", "Nantes", "Rives de l'Yon", "formation sélective", "BTS", "MFR IREO de Saint Florent - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 40, 74, 45, 70, 0, 5, 1, 10, 1, 40, 9, 15, 4, 0, 0, 2, 2, 36, 0, 0, 0, 1, 0, 1, 0, 33, 7, 1, 36, 8, 6, 8, 0, 3.0, 8.0, 8.0, 0, 1, 8, 0, 0, 8, 0, 0, 5, 2, 1, 0, 0.0, 0, 0, 3, 5, 4, 8, 8, 37.5, 100.0, 100.0, 75.0, 100.0, 100.0, 62.5, 12.5, 100.0, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 37.5, 1.0, 0.0, 33.0, 7.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers technologiques toutes séries", 1, "Bacheliers professionnels toutes séries", 34, "Liste d'appel propre à cette formation", 51.0, "33462", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33462&g_ta_cod=33462", 0.0, 0.0, 100.0),
(9608, "Privé sous contrat d'association", "0132828D", "Lycée CADENELLE", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 12e  Arrondissement", "formation sélective", "CPGE", "Lycée CADENELLE - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 24, 288, 154, 269, 66, 236, 42, 1, 1, 1, 0, 31, 19, 14, 0, 0, 5, 255, 15, 64, 248, 232, 40, 1, 1, 0, 0, 22, 153, 17, 7, 14, 3, 3.0, 11.0, 15.0, 0, 5, 15, 15, 0, 0, 2, 1, 1, 9, 4, 0, 0.0, 13, 0, 0, 0, 0, 12, 12, 17.65, 64.71, 88.24, 41.1953125, 80.0, 80.0, 0, 33.296875, 88.1875, 6.69921875, 6.69921875, 60.0, 26.69921875, 0.0, 0.0, 100.0, 86.6875, 0.0, 0.0, 0.0, 0.0, 135.0, 27.0, 0.0, 0.0, 17.0, "Tous les candidats", 250.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "31274", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31274&g_ta_cod=31274", 94.0, 6.0, 0.0),
(9609, "Privé enseignement supérieur", "0022134J", "ELISA Aerospace Hauts de France", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 80, 2030, 421, 2022, 0, 2009, 165, 0, 0, 0, 0, 13, 8, 8, 0, 0, 0, 1657, 5, 0, 0, 1657, 121, 0, 0, 0, 0, 0, 1393, 33, 5, 33, 0, 25.0, 33.0, 33.0, 0, 1, 33, 33, 0, 0, 0, 0, 0, 18, 9, 6, 0.0, 33, 0, 0, 0, 0, 10, 10, 75.76, 100.0, 100.0, 15.19921875, 30.296875, 30.296875, 0, 3.0, 100.0, 0.0, 0.0, 54.5, 27.296875, 18.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1393.0, 97.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "385", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=385", 100.0, 0.0, 0.0),
(9610, "Privé sous contrat d'association", "0690521S", "Lycée Sainte - Marie Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée Sainte - Marie Lyon - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 19, 1566, 776, 1566, 1211, 1430, 74, 1, 0, 0, 0, 135, 0, 0, 0, 0, 0, 374, 0, 349, 224, 374, 14, 0, 0, 0, 0, 0, 64, 19, 12, 19, 0, 3.0, 17.0, 19.0, 12, 0, 19, 19, 0, 0, 0, 0, 0, 0, 0, 11, 8.0, 19, 0, 0, 1, 0, 5, 5, 15.79, 89.47, 100.0, 63.1953125, 26.296875, 26.296875, 5.2998046875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 57.9, 42.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 64.0, 3.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "31593", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31319&g_ta_cod=31593", 100.0, 0.0, 0.0),
(9611, "Public", "0600002B", "Lycée Paul Langevin", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "BTS", "Lycée Paul Langevin - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 128, 5, 119, 0, 4, 0, 19, 4, 80, 24, 16, 9, 0, 0, 7, 2, 69, 4, 0, 0, 4, 0, 13, 3, 49, 16, 3, 56, 12, 0, 7, 4, 1.0, 7.0, 7.0, 0, 3, 11, 0, 0, 11, 1, 0, 5, 5, 1, 0, 0.0, 0, 0, 6, 5, 0, 10, 10, 8.33, 58.33, 58.33, 0.0, 90.890625, 90.890625, 45.5, 27.296875, 91.6875, 0.0, 45.5, 45.5, 9.099609375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 54.5, 3.0, 0.0, 49.0, 17.0, 1.0, "Tous les candidats sauf les Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 52.0, "7212", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7212&g_ta_cod=7212", 0.0, 0.0, 100.0),
(9612, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence_Las", "Université de Brest - Licence - Portail MPI - Mathématiques, Physique, Informatique", "Licence - Sciences - technologies - santé", "MPI - Mathématiques, Physique, Informatique", 40, 499, 212, 386, 0, 263, 29, 9, 3, 1, 0, 113, 113, 28, 3, 0, 82, 386, 95, 0, 0, 263, 29, 9, 3, 1, 0, 113, 404, 26, 14, 12, 14, 3.0, 12.0, 18.0, 0, 3, 12, 9, 3, 0, 14, 0, 3, 5, 3, 1, 0.0, 8, 1, 0, 0, 0, 6, 6, 11.54, 46.15, 69.23, 53.796875, 50.0, 50.0, 0, 25.0, 46.1953125, 0.0, 25.0, 41.6953125, 25.0, 8.3, 0.0, 75.0, 66.6875, 25.0, 8.298828125, 0.0, 0.0, 235.0, 27.0, 1.0, 0.0, 160.0, "Tous les candidats", 1307.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "29275", "Licence - Portail MPI - Mathématiques, Physique, Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28021&g_ta_cod=29275", 81.0, 15.0, 4.0),
(9613, "Public", "0595786U", "Lycée Jean Prouve", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Jean Prouve - BTS - Production - Management économique de la construction", "BTS - Production", "", 30, 275, 71, 256, 0, 26, 5, 69, 19, 88, 45, 73, 19, 3, 0, 4, 12, 161, 2, 0, 0, 23, 5, 61, 15, 61, 30, 16, 101, 21, 4, 19, 2, 4.0, 16.0, 19.0, 0, 10, 17, 4, 7, 6, 4, 0, 5, 10, 2, 0, 0.0, 3, 4, 5, 1, 1, 15, 15, 19.05, 76.19, 90.48, 19.0, 88.1875, 88.1875, 5.8994140625, 58.796875, 81.0, 0.0, 29.3984375, 58.796875, 11.798828125, 0.0, 0.0, 23.5, 17.59765625, 41.1953125, 23.5, 35.296875, 29.3984375, 18.0, 6.0, 50.0, 25.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 52.0, "7151", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7151&g_ta_cod=7151", 33.0, 33.0, 33.0),
(9614, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation non sélective", "PASS", "Université Claude Bernard Lyon 1 - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "proposée par l'Institut Catholique de Lyon", 100, 7839, 5618, 7839, 0, 6434, 926, 149, 53, 17, 8, 1239, 0, 0, 0, 0, 0, 7783, 0, 0, 0, 6434, 926, 149, 53, 17, 8, 1183, 604, 102, 90, 102, 0, 5.0, 70.0, 95.0, 0, 20, 100, 100, 0, 0, 2, 0, 1, 6, 44, 42, 7.0, 99, 0, 0, 0, 0, 66, 66, 4.9, 68.63, 93.14, 88.1875, 66.0, 66.0, 0, 20.0, 98.0, 0.0, 1.0, 6.0, 44.0, 42.0, 7.0, 100.0, 99.0, 0.0, 0.0, 0.0, 0.0, 551.0, 88.0, 0.0, 0.0, 53.0, "Tous les candidats", 1753.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 14.0, "28195", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28157&g_ta_cod=28195", 100.0, 0.0, 0.0),
(9615, "Public", "0390029V", "Lycée des Métiers du Bois", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Mouchard", "formation sélective", "BTS", "Lycée des Métiers du Bois - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 45, 298, 26, 298, 0, 52, 3, 70, 8, 109, 18, 67, 0, 0, 0, 0, 0, 294, 0, 0, 0, 52, 3, 69, 8, 106, 17, 67, 163, 42, 2, 42, 0, 8.0, 26.0, 35.0, 0, 4, 27, 4, 7, 16, 15, 0, 10, 8, 6, 3, 0.0, 1, 3, 13, 8, 0, 19, 19, 19.05, 61.9, 83.33, 4.7998046875, 70.390625, 70.390625, 29.59765625, 14.798828125, 64.296875, 0.0, 37.0, 29.59765625, 22.19921875, 11.1, 0.0, 14.798828125, 3.69970703125, 25.8984375, 11.099609375, 59.296875, 48.09375, 38.0, 3.0, 52.0, 7.0, 34.0, "Tous les candidats sauf les Bac professionnels", 152.0, "Bacheliers professionnels toutes séries", 68, "", 0, "Liste d'appel propre à cette formation", 74.0, "5159", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5159&g_ta_cod=5159", 36.0, 24.0, 40.0),
(9616, "Privé sous contrat d'association", "0060674A", "Lycée Fenelon", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Grasse", "formation sélective", "BTS", "Lycée Fenelon - BTS - Services - Gestion de la PME", "BTS - Services", "", 28, 205, 102, 185, 0, 38, 8, 59, 9, 33, 12, 55, 20, 5, 1, 0, 14, 162, 6, 0, 0, 37, 8, 57, 8, 33, 12, 35, 115, 17, 6, 15, 2, 4.0, 14.0, 16.0, 0, 0, 11, 3, 6, 2, 6, 0, 4, 5, 2, 0, 0.0, 1, 4, 2, 3, 0, 11, 11, 23.53, 82.35, 94.12, 35.296875, 100.0, 100.0, 27.296875, 0.0, 64.6875, 0.0, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 27.296875, 9.099609375, 54.5, 36.3984375, 18.19921875, 18.19921875, 30.0, 6.0, 29.0, 11.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 64.0, "2241", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2241&g_ta_cod=2241", 47.0, 41.0, 12.0),
(9617, "Public", "0290071V", "Lycée Yves Thepot", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Yves Thepot - BTS - Production - Architectures en Métal : conception et Réalisation", "BTS - Production", "", 30, 255, 34, 255, 0, 18, 5, 67, 17, 58, 19, 112, 0, 0, 0, 0, 0, 255, 0, 0, 0, 18, 5, 67, 17, 58, 19, 112, 109, 30, 2, 29, 0, 9.0, 23.0, 26.0, 0, 5, 26, 1, 7, 18, 4, 0, 10, 12, 3, 1, 0.0, 0, 6, 10, 4, 1, 19, 19, 30.0, 76.67, 86.67, 6.69921875, 73.09375, 73.09375, 15.3984375, 19.19921875, 86.6875, 0.0, 38.5, 46.1953125, 11.5, 3.8, 0.0, 3.7998046875, 0.0, 26.8984375, 23.09765625, 69.1875, 38.5, 4.0, 2.0, 44.0, 15.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 54.0, "3801", "BTS - Production - Architectures en Métal : conception et Réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3801&g_ta_cod=3801", 7.0, 27.0, 67.0),
(9618, "Public", "0870015U", "Lycée Gay-Lussac", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "CPGE", "Lycée Gay-Lussac - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 230, 119, 225, 118, 195, 19, 0, 0, 0, 0, 30, 5, 3, 0, 0, 2, 199, 3, 105, 184, 181, 15, 0, 0, 0, 0, 18, 130, 16, 6, 15, 1, 0.0, 15.0, 16.0, 8, 0, 15, 15, 0, 0, 1, 0, 2, 4, 6, 3, 0.0, 13, 0, 0, 2, 1, 12, 12, 0.0, 93.75, 100.0, 37.5, 80.0, 80.0, 13.298828125, 0.0, 93.796875, 0.0, 13.298828125, 26.69921875, 40.0, 20.0, 0.0, 100.0, 86.6875, 0.0, 0.0, 0.0, 0.0, 115.0, 9.0, 0.0, 0.0, 15.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "31648", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31311&g_ta_cod=31648", 100.0, 0.0, 0.0),
(9619, "Public", "0830042V", "Lycée Antoine De Saint Exupery", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Saint-Raphaël", "formation sélective", "BTS", "Lycée Antoine De Saint Exupery - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 20, 350, 59, 350, 0, 48, 13, 76, 23, 75, 33, 151, 0, 0, 0, 0, 0, 163, 0, 0, 0, 42, 10, 50, 14, 43, 18, 28, 77, 18, 2, 18, 0, 2.0, 15.0, 17.0, 0, 6, 13, 5, 3, 5, 5, 0, 5, 6, 2, 0, 0.0, 2, 1, 5, 2, 0, 11, 11, 11.11, 83.33, 94.44, 11.099609375, 84.59375, 84.59375, 15.3984375, 46.1953125, 72.1875, 0.0, 38.5, 46.1953125, 15.3984375, 0.0, 0.0, 38.5, 15.3984375, 23.09765625, 7.69921875, 38.5, 38.5, 26.0, 8.0, 17.0, 8.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 31.0, "13489", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13489&g_ta_cod=13489", 39.0, 28.0, 33.0),
(9620, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Portail Informatique", "Licence - Sciences - technologies - santé", "", 180, 973, 96, 850, 0, 511, 100, 92, 24, 4, 2, 243, 123, 16, 10, 2, 95, 843, 104, 0, 0, 511, 100, 92, 24, 4, 2, 236, 788, 193, 12, 137, 56, 11.0, 125.0, 156.0, 0, 24, 102, 83, 17, 2, 91, 0, 68, 27, 6, 1, 0.0, 28, 5, 1, 0, 0, 85, 85, 5.7, 64.77, 80.83, 6.19921875, 83.296875, 83.296875, 0, 23.5, 52.796875, 0.0, 66.6875, 26.5, 5.8994140625, 1.0, 0.0, 81.390625, 27.5, 16.69921875, 4.8994140625, 2.0, 1.0, 437.0, 91.0, 5.0, 3.0, 269.0, "Tous les candidats", 868.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "10203", "Licence - Portail Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28630&g_ta_cod=10203", 78.0, 18.0, 4.0),
(9621, "Public", "0410959V", "Lycée Camille Claudel", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "Autre formation", "Lycée Camille Claudel - DN MADE - Graphisme - - Spécialité : Design graphique, édition multi-supports / Print & illustration numérique", "DN MADE", "- Spécialité : Design graphique, édition multi-supports / Print & illustration numérique", 15, 920, 594, 920, 0, 320, 54, 234, 47, 115, 31, 251, 0, 0, 0, 0, 0, 920, 0, 0, 0, 320, 54, 234, 47, 115, 31, 251, 69, 14, 9, 14, 0, 1.0, 10.0, 12.0, 0, 1, 8, 0, 3, 5, 6, 0, 0, 3, 4, 1, 0.0, 0, 3, 5, 0, 0, 2, 2, 7.14, 71.43, 85.71, 64.296875, 25.0, 25.0, 0, 12.5, 57.09375, 0.0, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 0.0, 37.5, 37.5, 62.5, 62.5, 7.0, 1.0, 8.0, 1.0, 25.0, "Tous les candidats", 104.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "25409", "DN MADE - Graphisme - - Spécialité : Design graphique, édition multi-supports / Print & illustration numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25409&g_ta_cod=25409", 14.0, 36.0, 50.0),
(9622, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Langues étrangères appliquées - Parcours Anglais, Allemand - écogestion", "Licence - Arts-lettres-langues", "Anglais, Allemand - écogestion", 20, 53, 30, 23, 0, 15, 3, 2, 1, 0, 0, 6, 30, 4, 1, 6, 19, 23, 28, 0, 0, 15, 3, 2, 1, 0, 0, 6, 51, 6, 2, 2, 4, 2.0, 2.0, 4.0, 0, 0, 2, 1, 0, 1, 4, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 33.33, 33.33, 66.67, 33.296875, 100.0, 100.0, 0, 0.0, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 19.0, 3.0, 6.0, 2.0, 23.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "18026", "Licence - Langues étrangères appliquées - Parcours Anglais, Allemand - écogestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18026&g_ta_cod=18026", 33.0, 33.0, 33.0),
(9623, "Public", "0341143H", "Polytech Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 25, 4279, 1862, 4279, 0, 3565, 336, 0, 0, 0, 0, 714, 0, 0, 0, 0, 0, 2731, 0, 0, 0, 2491, 171, 0, 0, 0, 0, 240, 692, 27, 19, 27, 0, 9.0, 18.0, 25.0, 0, 3, 26, 26, 0, 0, 1, 0, 0, 0, 9, 17, 0.0, 26, 0, 0, 0, 0, 8, 8, 33.33, 66.67, 92.59, 70.390625, 30.796875, 30.796875, 0, 11.5, 96.296875, 0.0, 0.0, 0.0, 34.59375, 65.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 666.0, 58.0, 0.0, 0.0, 26.0, "Autres candidats", 6796.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "13", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=13", 100.0, 0.0, 0.0),
(9624, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence_Las", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations,  parcours Asie du Sud et Himalaya - Tamoul", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations,  parcours Asie du Sud et Himalaya - Tamoul", 10, 48, 37, 34, 0, 14, 9, 1, 0, 3, 2, 16, 14, 4, 1, 0, 9, 34, 10, 0, 0, 14, 9, 1, 0, 3, 2, 16, 36, 10, 7, 5, 5, 1.0, 3.0, 4.0, 0, 2, 4, 4, 0, 0, 6, 0, 3, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 4, 10.0, 30.0, 40.0, 70.0, 0.0, 100.0, 0, 50.0, 40.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 0.0, 0.0, 14.0, 9.0, 1.0, 1.0, 19.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 91.0, "32129", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations,  parcours Asie du Sud et Himalaya - Tamoul", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32128&g_ta_cod=32129", 100.0, 0.0, 0.0),
(9625, "Public", "0782565P", "Lycée Jules Ferry", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "BTS", "Lycée Jules Ferry - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 22, 142, 8, 142, 0, 4, 1, 54, 12, 59, 20, 25, 0, 0, 0, 0, 0, 142, 0, 0, 0, 4, 1, 54, 12, 59, 20, 25, 104, 18, 0, 18, 0, 4.0, 15.0, 17.0, 0, 4, 15, 0, 4, 11, 3, 0, 6, 4, 1, 4, 0.0, 0, 0, 9, 0, 0, 12, 12, 22.22, 83.33, 94.44, 0.0, 80.0, 80.0, 0, 26.69921875, 83.296875, 0.0, 40.0, 26.69921875, 6.69921875, 26.7, 0.0, 0.0, 0.0, 26.69921875, 0.0, 73.296875, 60.0, 4.0, 1.0, 47.0, 16.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 88.0, "10054", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10054&g_ta_cod=10054", 6.0, 22.0, 72.0),
(9626, "Privé sous contrat d'association", "9711015B", "MAISON FAMILIALE RURALE DE LA GUADELOUPE-Baie-Mahault", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "BTS", "MAISON FAMILIALE RURALE DE LA GUADELOUPE-Baie-Mahault - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 12, 40, 23, 31, 0, 3, 1, 5, 0, 17, 11, 6, 9, 0, 1, 6, 2, 31, 7, 0, 0, 3, 1, 5, 0, 17, 11, 6, 36, 4, 4, 1, 3, 1.0, 1.0, 2.0, 0, 2, 3, 0, 0, 3, 1, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 25.0, 25.0, 50.0, 100.0, 33.296875, 33.296875, 0, 66.6875, 75.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 33.296875, 3.0, 1.0, 21.0, 14.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers technologiques toutes séries", 6, "Bacheliers professionnels toutes séries", 17, "Liste d'appel propre à cette formation", 97.0, "28899", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28899&g_ta_cod=28899", 0.0, 25.0, 75.0),
(9627, "Public", "0921625S", "Lycée professionnel Paul Painleve", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Courbevoie", "formation sélective", "Autre formation", "Lycée professionnel Paul Painleve - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 10, 163, 113, 134, 0, 3, 0, 5, 1, 83, 56, 43, 29, 0, 2, 13, 14, 36, 8, 0, 0, 0, 0, 0, 0, 28, 18, 8, 34, 9, 7, 4, 5, 2.0, 4.0, 4.0, 0, 4, 5, 0, 0, 5, 4, 0, 5, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 5, 22.22, 44.44, 44.44, 77.796875, 60.0, 100.0, 0, 80.0, 55.59375, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 24.0, 18.0, 10.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "20894", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20894&g_ta_cod=20894", 11.0, 0.0, 89.0),
(9628, "Public", "0770943G", "Lycée professionnel Benjamin Franklin", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "La Rochette", "formation sélective", "Autre formation", "Lycée professionnel Benjamin Franklin - Mention complémentaire - FCIL - CAES - Option Production", "Mention complémentaire", "", 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0.0, 0.0, 1.0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 1, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 1.0, 1.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30659", "Mention complémentaire - FCIL - CAES - Option Production", "", "", 0.0, 0.0, 100.0),
(9629, "Public", "9741046U", "Lycée Bellepierre", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée Bellepierre - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 30, 525, 80, 422, 0, 61, 32, 162, 97, 83, 53, 116, 103, 3, 58, 0, 42, 166, 12, 0, 0, 32, 13, 73, 39, 43, 25, 18, 99, 29, 1, 24, 5, 4.0, 19.0, 26.0, 0, 11, 26, 6, 12, 8, 3, 0, 5, 12, 9, 0, 0.0, 5, 9, 7, 0, 0, 22, 22, 13.79, 65.52, 89.66, 3.39990234375, 84.59375, 84.59375, 0, 42.296875, 89.6875, 0.0, 19.19921875, 46.1953125, 34.59375, 0.0, 0.0, 23.09765625, 19.19921875, 46.1953125, 34.59375, 30.796875, 26.8984375, 15.0, 6.0, 18.0, 9.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 34.0, "11943", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11943&g_ta_cod=11943", 24.0, 48.0, 28.0),
(9630, "Privé sous contrat d'association", "0542161F", "Lycée Pierre De Coubertin", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Lycée Pierre De Coubertin - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 89, 23, 83, 0, 13, 0, 14, 2, 43, 23, 13, 6, 1, 0, 1, 4, 43, 4, 0, 0, 0, 0, 9, 1, 28, 15, 6, 43, 14, 4, 13, 1, 5.0, 13.0, 13.0, 0, 6, 13, 0, 5, 8, 1, 0, 6, 6, 1, 0, 0.0, 0, 2, 5, 0, 0, 13, 13, 35.71, 92.86, 92.86, 28.59765625, 100.0, 100.0, 0, 46.1953125, 92.890625, 0.0, 46.1953125, 46.1953125, 7.69921875, 0.0, 0.0, 0.0, 0.0, 38.5, 15.3984375, 61.5, 38.5, 0.0, 0.0, 26.0, 14.0, 7.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "29863", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29863&g_ta_cod=29863", 7.0, 36.0, 57.0),
(9631, "Public", "0860037Y", "Lycée Nelson Mandela", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée Nelson Mandela - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 295, 34, 285, 0, 25, 4, 78, 17, 49, 15, 133, 10, 0, 2, 4, 4, 125, 2, 0, 0, 15, 2, 57, 12, 37, 9, 16, 84, 19, 3, 16, 2, 7.0, 16.0, 18.0, 0, 5, 17, 1, 6, 10, 2, 0, 7, 8, 2, 0, 0.0, 0, 4, 6, 8, 1, 12, 12, 36.84, 84.21, 94.74, 15.798828125, 70.59375, 70.59375, 47.09375, 29.3984375, 89.5, 0.0, 41.1953125, 47.09375, 11.798828125, 0.0, 0.0, 5.8994140625, 0.0, 35.296875, 23.5, 58.796875, 35.296875, 9.0, 1.0, 35.0, 9.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 43.0, "10590", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10590&g_ta_cod=10590", 5.0, 42.0, 53.0),
(9632, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Sciences du langage - Parcours Langue des signes française", "Licence - Sciences humaines et sociales", "Langue des signes française", 40, 397, 376, 397, 0, 222, 52, 34, 9, 11, 4, 130, 0, 0, 0, 0, 0, 397, 0, 0, 0, 222, 52, 34, 9, 11, 4, 130, 124, 39, 37, 39, 0, 15.0, 31.0, 33.0, 0, 11, 32, 23, 5, 4, 7, 0, 9, 8, 10, 5, 0.0, 19, 0, 4, 0, 0, 19, 19, 38.46, 79.49, 84.62, 94.890625, 59.3984375, 59.3984375, 0, 34.3984375, 82.09375, 0.0, 28.09765625, 25.0, 31.296875, 15.6, 0.0, 71.890625, 59.3984375, 15.599609375, 0.0, 12.5, 12.5, 73.0, 19.0, 4.0, 2.0, 32.0, "Tous les candidats", 162.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "28333", "Licence - Sciences du langage - Parcours Langue des signes française", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28333&g_ta_cod=28333", 74.0, 15.0, 10.0),
(9633, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence_Las", "Université de Lorraine - Site de Nancy - Licence - Portail Licence 1ère année Portail Mathématiques - Informatique", "Licence - Sciences - technologies - santé", "Licence 1ère année Portail Mathématiques - Informatique", 18, 390, 162, 374, 0, 226, 47, 6, 3, 2, 0, 140, 16, 3, 2, 0, 11, 360, 15, 0, 0, 226, 47, 6, 3, 2, 0, 126, 172, 17, 8, 12, 5, 1.0, 6.0, 13.0, 0, 2, 11, 10, 1, 0, 6, 0, 1, 7, 2, 1, 0.0, 10, 0, 0, 0, 0, 9, 9, 5.88, 35.29, 76.47, 47.09375, 81.796875, 81.796875, 0, 18.19921875, 64.6875, 0.0, 9.099609375, 63.59375, 18.19921875, 9.1, 0.0, 90.890625, 90.890625, 9.099609375, 0.0, 0.0, 0.0, 91.0, 18.0, 1.0, 0.0, 77.0, "Tous les candidats", 1288.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "26961", "Licence - Portail Licence 1ère année Portail Mathématiques - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26960&g_ta_cod=26961", 94.0, 6.0, 0.0),
(9634, "Public", "0590011S", "Lycée Gustave Eiffel", "59", "Nord", "Hauts-de-France", "Lille", "Armentières", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 84, 9, 79, 0, 8, 2, 38, 10, 17, 3, 16, 5, 0, 0, 1, 4, 73, 3, 0, 0, 8, 2, 38, 10, 14, 2, 13, 45, 13, 0, 13, 0, 4.0, 13.0, 13.0, 0, 0, 9, 2, 4, 3, 4, 0, 3, 4, 2, 0, 0.0, 1, 2, 3, 2, 0, 9, 9, 30.77, 100.0, 100.0, 0.0, 100.0, 100.0, 22.19921875, 0.0, 69.1875, 0.0, 33.296875, 44.3984375, 22.19921875, 0.0, 0.0, 22.19921875, 11.099609375, 44.3984375, 22.19921875, 33.296875, 33.296875, 7.0, 2.0, 14.0, 2.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 66.0, "6711", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6711&g_ta_cod=6711", 31.0, 46.0, 23.0),
(9635, "Privé sous contrat d'association", "0542448T", "Lycée Claude Daunot", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Lycée Claude Daunot - DN MADE - Spectacle - - Spécialité : Régie de spectacle : vidéo", "DN MADE", "- Spécialité : Régie de spectacle : vidéo", 10, 86, 34, 54, 0, 18, 7, 7, 1, 9, 4, 20, 32, 9, 4, 4, 15, 22, 6, 0, 0, 11, 4, 2, 0, 4, 1, 5, 26, 9, 3, 6, 3, 4.0, 6.0, 7.0, 0, 1, 4, 3, 0, 1, 5, 0, 0, 3, 1, 0, 0.0, 3, 0, 1, 0, 0, 1, 1, 44.44, 66.67, 77.78, 33.296875, 25.0, 25.0, 0, 25.0, 44.3984375, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 75.0, 75.0, 0.0, 0.0, 25.0, 25.0, 11.0, 4.0, 1.0, 0.0, 10.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "24212", "DN MADE - Spectacle - - Spécialité : Régie de spectacle : vidéo", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24212&g_ta_cod=24212", 89.0, 0.0, 11.0),
(9636, "Public", "0650027B", "Lycée Jean Dupuy", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Jean Dupuy - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 356, 34, 353, 0, 12, 2, 51, 13, 93, 26, 197, 3, 0, 1, 0, 2, 162, 0, 0, 0, 0, 0, 50, 13, 93, 26, 19, 73, 21, 0, 21, 0, 8.0, 20.0, 20.0, 0, 4, 18, 0, 3, 15, 3, 0, 1, 13, 2, 2, 0.0, 0, 3, 14, 1, 0, 15, 15, 38.1, 95.24, 95.24, 0.0, 83.296875, 83.296875, 5.599609375, 22.19921875, 85.6875, 0.0, 5.599609375, 72.1875, 11.099609375, 11.1, 0.0, 0.0, 0.0, 16.69921875, 16.69921875, 83.296875, 77.796875, 0.0, 0.0, 46.0, 12.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 38.0, "7821", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7821&g_ta_cod=7821", 5.0, 24.0, 71.0),
(9637, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS", "Licence - Sciences - technologies - santé", "STAPS", 480, 3177, 1007, 3177, 0, 2002, 252, 440, 76, 86, 39, 649, 0, 0, 0, 0, 0, 3166, 0, 0, 0, 2002, 252, 440, 76, 86, 39, 638, 1279, 476, 134, 476, 0, 141.0, 446.0, 446.0, 0, 79, 389, 313, 49, 27, 87, 0, 130, 197, 57, 5, 0.0, 212, 28, 19, 0, 0, 382, 382, 29.62, 93.7, 93.7, 28.19921875, 98.1875, 98.1875, 0, 20.296875, 81.6875, 0.0, 33.3984375, 50.59375, 14.69921875, 1.3, 0.0, 80.5, 54.5, 12.599609375, 7.19921875, 6.8994140625, 4.8994140625, 858.0, 120.0, 47.0, 28.0, 255.0, "Tous les candidats", 1463.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "3876", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28028&g_ta_cod=3876", 80.0, 13.0, 7.0),
(9638, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Droit - Parcours International Droit français-droit anglais", "Licence - Droit-économie-gestion", "International Droit français-droit anglais", 30, 1500, 1245, 1500, 0, 1267, 197, 29, 10, 7, 3, 197, 0, 0, 0, 0, 0, 99, 0, 0, 0, 84, 14, 0, 0, 0, 0, 15, 68, 30, 23, 30, 0, 12.0, 30.0, 30.0, 0, 1, 27, 27, 0, 0, 3, 0, 0, 7, 15, 5, 0.0, 27, 0, 0, 0, 0, 13, 13, 40.0, 100.0, 100.0, 76.6875, 48.09375, 48.09375, 0, 3.69970703125, 90.0, 0.0, 0.0, 25.8984375, 55.59375, 18.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 55.0, 10.0, 0.0, 0.0, 13.0, "Tous les candidats", 76.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "23308", "Licence - Droit - Parcours International Droit français-droit anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23308&g_ta_cod=23308", 100.0, 0.0, 0.0),
(9639, "Privé sous contrat d'association", "0851344Z", "Lycée polyvalent privé Notre Dame", "85", "Vendée", "Pays de la Loire", "Nantes", "Fontenay-le-Comte", "formation sélective", "BTS", "Lycée polyvalent privé Notre Dame - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 24, 130, 16, 127, 0, 22, 3, 39, 5, 49, 6, 17, 3, 0, 0, 3, 0, 124, 1, 0, 0, 22, 3, 39, 5, 48, 6, 15, 91, 19, 3, 18, 1, 9.0, 14.0, 19.0, 0, 4, 18, 5, 8, 5, 1, 0, 6, 9, 3, 0, 0.0, 4, 4, 4, 3, 0, 14, 14, 47.37, 73.68, 100.0, 15.798828125, 77.796875, 77.796875, 16.69921875, 22.19921875, 94.6875, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 27.796875, 22.19921875, 44.3984375, 22.19921875, 27.796875, 22.19921875, 18.0, 3.0, 36.0, 6.0, 8.0, "Tous les candidats sauf les Bac professionnels", 76.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 95.0, "10533", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10533&g_ta_cod=10533", 32.0, 42.0, 26.0),
(9640, "Public", "0350032V", "Lycée des métiers Louis Guilloux", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée des métiers Louis Guilloux - BTS - Services - Management en hôtellerie restauration (Seconde année en apprentissage)", "BTS - Services", "", 24, 296, 144, 291, 0, 1, 0, 61, 10, 155, 30, 74, 5, 0, 3, 0, 2, 182, 0, 0, 0, 0, 0, 38, 5, 92, 19, 52, 80, 18, 10, 18, 0, 10.0, 15.0, 17.0, 0, 4, 16, 0, 3, 13, 2, 0, 4, 5, 6, 1, 0.0, 0, 1, 11, 13, 7, 13, 13, 55.56, 83.33, 94.44, 55.59375, 81.296875, 81.296875, 81.296875, 25.0, 88.890625, 0.0, 25.0, 31.296875, 37.5, 6.3, 0.0, 0.0, 0.0, 18.796875, 6.2998046875, 81.296875, 68.796875, 0.0, 0.0, 20.0, 5.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers technologiques toutes séries", 60, "Bacheliers professionnels toutes séries", 27, "Liste d'appel propre à cette formation", 37.0, "25408", "BTS - Services - Management en hôtellerie restauration (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25408&g_ta_cod=25408", 6.0, 17.0, 78.0),
(9641, "Public", "0020059D", "Lycée Gérard de Nerval", "02", "Aisne", "Hauts-de-France", "Amiens", "Soissons", "formation sélective", "BTS", "Lycée Gérard de Nerval - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 729, 367, 723, 0, 65, 15, 152, 55, 198, 92, 308, 6, 0, 0, 4, 2, 366, 1, 0, 0, 62, 14, 147, 52, 98, 41, 59, 129, 30, 12, 30, 0, 7.0, 24.0, 26.0, 0, 8, 26, 1, 12, 13, 4, 0, 6, 13, 6, 1, 0.0, 1, 7, 12, 11, 5, 25, 25, 23.33, 80.0, 86.67, 40.0, 96.1875, 96.1875, 42.296875, 30.796875, 86.6875, 0.0, 23.09765625, 50.0, 23.09765625, 3.8, 0.0, 3.7998046875, 3.7998046875, 46.1953125, 26.8984375, 50.0, 46.1953125, 17.0, 3.0, 60.0, 22.0, 16.0, "Tous les candidats sauf les Bac professionnels", 96.0, "Bacheliers professionnels toutes séries", 91, "", 0, "Liste d'appel propre à cette formation", 26.0, "2071", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2071&g_ta_cod=2071", 10.0, 43.0, 47.0),
(9642, "Privé sous contrat d'association", "0370749N", "Lycée Sainte Marguerite", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Chambray-lès-Tours", "formation sélective", "BTS", "Lycée Sainte Marguerite - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 37, 489, 214, 486, 0, 80, 16, 168, 37, 108, 34, 130, 3, 0, 1, 0, 2, 321, 1, 0, 0, 60, 7, 105, 23, 67, 17, 89, 164, 29, 11, 28, 1, 6.0, 17.0, 21.0, 0, 3, 14, 4, 4, 6, 15, 0, 5, 5, 4, 0, 0.0, 2, 2, 5, 0, 0, 12, 12, 20.69, 58.62, 72.41, 37.8984375, 85.6875, 85.6875, 0, 21.3984375, 48.296875, 0.0, 35.6953125, 35.6953125, 28.59765625, 0.0, 0.0, 28.59765625, 14.298828125, 28.59765625, 14.298828125, 42.8984375, 35.6953125, 25.0, 5.0, 30.0, 7.0, 56.0, "Tous les candidats sauf les Bac professionnels", 133.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 34.0, "4860", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4860&g_ta_cod=4860", 52.0, 24.0, 24.0),
(9643, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Licence - Double diplôme - Licence Humanités - Double diplôme Licence mention Humanités [Humanités classiques, art et patrimoine] - Diplôme d'université (DU) Cultures, langues et rhétorique 1", "Licence - Arts-lettres-langues", "Double diplôme Licence mention Humanités [Humanités classiques, art et patrimoine] - Diplôme d'université (DU) Cultures, langues et rhétorique 1", 30, 397, 279, 192, 0, 139, 15, 4, 2, 2, 1, 47, 205, 73, 14, 1, 117, 182, 50, 0, 0, 137, 14, 1, 0, 0, 0, 44, 204, 29, 24, 9, 20, 1.0, 9.0, 24.0, 0, 1, 13, 13, 0, 0, 16, 0, 6, 4, 3, 0, 0.0, 7, 0, 0, 0, 0, 6, 13, 3.45, 31.03, 82.76, 82.796875, 46.1953125, 100.0, 0, 7.69921875, 44.796875, 0.0, 46.1953125, 30.796875, 23.09765625, 0.0, 0.0, 100.0, 53.796875, 0.0, 0.0, 0.0, 0.0, 138.0, 12.0, 0.0, 0.0, 66.0, "Tous les candidats", 182.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "29411", "Licence - Double diplôme - Licence Humanités - Double diplôme Licence mention Humanités [Humanités classiques, art et patrimoine] - Diplôme d'université (DU) Cultures, langues et rhétorique 1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29411&g_ta_cod=29411", 100.0, 0.0, 0.0),
(9644, "Public", "0951399E", "Lycée Alfred Kastler", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "BTS", "Lycée Alfred Kastler - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1309, 616, 1309, 0, 79, 23, 491, 175, 445, 167, 294, 0, 0, 0, 0, 0, 877, 0, 0, 0, 21, 5, 411, 143, 257, 87, 188, 164, 33, 20, 32, 0, 5.0, 25.0, 25.0, 0, 12, 31, 0, 15, 16, 2, 0, 10, 14, 6, 1, 0.0, 0, 9, 12, 3, 1, 30, 30, 15.15, 75.76, 75.76, 60.59375, 96.796875, 96.796875, 9.69921875, 38.6953125, 93.890625, 0.0, 32.296875, 45.1953125, 19.3984375, 3.2, 0.0, 0.0, 0.0, 48.3984375, 29.0, 51.59375, 38.6953125, 2.0, 2.0, 76.0, 22.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 93, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 15.0, "11604", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11604&g_ta_cod=11604", 3.0, 48.0, 48.0),
(9645, "Public", "0780492L", "INSTITUT DE FORMATION SOCIALE DES YVELINES", "78", "Yvelines", "Ile-de-France", "Versailles", "Buc", "formation sélective", "EFTS", "INSTITUT DE FORMATION SOCIALE DES YVELINES - D.E Assistant de Service Social", "D.E secteur social", "", 35, 253, 230, 120, 0, 21, 4, 22, 4, 20, 12, 57, 133, 6, 10, 13, 104, 47, 16, 0, 0, 9, 1, 8, 1, 2, 1, 28, 63, 30, 29, 20, 10, 18.0, 20.0, 26.0, 0, 1, 6, 3, 2, 1, 24, 0, 2, 4, 0, 0, 0.0, 2, 1, 1, 0, 0, 5, 5, 60.0, 66.67, 86.67, 96.6875, 83.296875, 83.296875, 0, 16.69921875, 20.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 50.0, 33.296875, 33.296875, 16.69921875, 16.69921875, 16.69921875, 9.0, 1.0, 3.0, 1.0, 43.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "23792", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23792&g_ta_cod=23792", 43.0, 30.0, 23.0),
(9646, "Public", "0760058A", "Lycée Schuman Perret", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BTS", "Lycée Schuman Perret - BTS - Production - Management économique de la construction", "BTS - Production", "", 15, 176, 44, 176, 0, 13, 1, 51, 10, 66, 25, 46, 0, 0, 0, 0, 0, 157, 0, 0, 0, 13, 1, 51, 10, 66, 25, 27, 84, 14, 3, 14, 0, 1.0, 8.0, 9.0, 0, 6, 10, 0, 3, 7, 4, 0, 3, 5, 2, 0, 0.0, 0, 2, 5, 3, 0, 9, 9, 7.14, 57.14, 64.29, 21.3984375, 90.0, 90.0, 30, 60.0, 71.390625, 0.0, 30.0, 50.0, 20.0, 0.0, 0.0, 0.0, 0.0, 30.0, 20.0, 70.0, 50.0, 7.0, 1.0, 38.0, 16.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 55.0, "9763", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9763&g_ta_cod=9763", 14.0, 36.0, 50.0),
(9647, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Génie civil", "Licence - Sciences - technologies - santé", "", 35, 413, 91, 403, 0, 219, 35, 56, 16, 6, 2, 122, 10, 3, 0, 0, 7, 371, 4, 0, 0, 219, 35, 56, 16, 6, 2, 90, 231, 31, 7, 29, 2, 3.0, 18.0, 28.0, 0, 5, 19, 15, 3, 1, 12, 0, 15, 2, 2, 0, 0.0, 4, 0, 0, 0, 0, 10, 10, 9.68, 58.06, 90.32, 22.59765625, 52.59375, 52.59375, 0, 26.296875, 61.296875, 0.0, 78.890625, 10.5, 10.5, 0.0, 0.0, 78.890625, 21.09765625, 15.798828125, 0.0, 5.2998046875, 0.0, 154.0, 23.0, 2.0, 1.0, 65.0, "Tous les candidats", 348.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "20692", "Licence - Génie civil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20692&g_ta_cod=20692", 81.0, 13.0, 6.0),
(9648, "Public", "0180007K", "Lycée Jacques Coeur", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BTS", "Lycée Jacques Coeur - BTS - Services - Support à l'action managériale", "BTS - Services", "", 18, 188, 134, 182, 0, 10, 2, 77, 22, 60, 32, 35, 6, 0, 0, 5, 1, 101, 1, 0, 0, 9, 2, 57, 14, 26, 12, 9, 59, 17, 14, 16, 1, 2.0, 11.0, 13.0, 0, 6, 16, 0, 9, 7, 1, 0, 5, 9, 2, 0, 0.0, 0, 7, 4, 4, 3, 15, 15, 11.76, 64.71, 76.47, 82.390625, 93.796875, 93.796875, 25, 37.5, 94.09375, 0.0, 31.296875, 56.296875, 12.5, 0.0, 0.0, 0.0, 0.0, 56.296875, 43.796875, 43.796875, 25.0, 3.0, 1.0, 19.0, 9.0, 7.0, "Tous les candidats sauf les Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 43.0, "3094", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3094&g_ta_cod=3094", 6.0, 53.0, 41.0),
(9649, "Public", "0922573X", "I.U.T de Ville d'Avray - Antenne de Saint-Cloud", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Saint-Cloud", "formation sélective", "BUT", "I.U.T de Ville d'Avray - Antenne de Saint-Cloud - BUT - Information communication Parcours métiers du livre et du patrimoine", "BUT - Service", "", 47, 811, 628, 596, 0, 291, 49, 61, 16, 18, 8, 226, 215, 54, 4, 11, 146, 213, 30, 0, 0, 136, 14, 23, 5, 2, 0, 52, 191, 42, 34, 31, 11, 7.0, 31.0, 41.0, 0, 2, 21, 16, 4, 1, 21, 0, 0, 11, 9, 1, 0.0, 16, 4, 1, 0, 0, 10, 13, 16.67, 73.81, 97.62, 81.0, 47.59375, 61.8984375, 0, 9.5, 50.0, 0.0, 0.0, 52.3984375, 42.8984375, 4.8, 0.0, 76.1875, 76.1875, 19.0, 19.0, 4.7998046875, 4.7998046875, 108.0, 13.0, 1.0, 0.0, 61.0, "Tous les candidats sauf les Bac technologiques", 180.0, "Bacheliers technologiques toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 36.0, "11154", "BUT - Information communication Parcours métiers du livre et du patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11154&g_ta_cod=11154", 83.0, 12.0, 5.0),
(9650, "Public", "0630061Z", "Lycée professionnel Desaix", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Saint-Eloy-les-Mines", "formation sélective", "BTS", "Lycée professionnel Desaix - BTS - Production - Métiers de la mode-chaussure et maroquinerie", "BTS - Production", "", 15, 185, 161, 181, 0, 25, 2, 17, 2, 93, 20, 46, 4, 2, 0, 0, 2, 152, 1, 0, 0, 17, 2, 16, 1, 89, 19, 30, 77, 13, 12, 13, 0, 1.0, 7.0, 10.0, 0, 3, 13, 1, 2, 10, 0, 0, 1, 5, 7, 0, 0.0, 0, 2, 10, 3, 3, 4, 4, 7.69, 53.85, 76.92, 92.296875, 30.796875, 30.796875, 23.09765625, 23.09765625, 100.0, 0.0, 7.69921875, 38.5, 53.796875, 0.0, 0.0, 7.69921875, 0.0, 15.3984375, 15.3984375, 76.890625, 76.890625, 10.0, 2.0, 44.0, 12.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 47.0, "17691", "BTS - Production - Métiers de la mode-chaussure et maroquinerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17691&g_ta_cod=17691", 8.0, 15.0, 77.0),
(9651, "Public", "0690032K", "Lycée Juliette Récamier", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "Autre formation", "Lycée Juliette Récamier - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 52, 19, 10, 0, 0, 0.0, 0.0, 5.0, 0, 9, 15, 0, 0, 15, 4, 0, 11, 3, 1, 0, 0.0, 0, 0, 4, 0, 0, 15, 15, 0.0, 0.0, 26.32, 52.59375, 100.0, 100.0, 0, 60.0, 78.890625, 0.0, 73.296875, 20.0, 6.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 26.69921875, 1.0, 0.0, 37.0, 25.0, 8.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22496", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 11.0, 89.0),
(9652, "Public", "0880153N", "Lycée Andre Malraux", "88", "Vosges", "Grand Est", "Nancy-Metz", "Remiremont", "formation sélective", "BTS", "Lycée Andre Malraux - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 15, 301, 155, 301, 0, 63, 8, 88, 20, 105, 26, 45, 0, 0, 0, 0, 0, 271, 0, 0, 0, 63, 8, 87, 20, 99, 23, 22, 55, 16, 10, 16, 0, 2.0, 15.0, 15.0, 0, 4, 16, 5, 6, 5, 0, 0, 6, 7, 3, 0, 0.0, 2, 4, 4, 3, 0, 7, 7, 12.5, 93.75, 93.75, 62.5, 43.796875, 43.796875, 18.796875, 25.0, 100.0, 0.0, 37.5, 43.796875, 18.796875, 0.0, 0.0, 31.296875, 12.5, 37.5, 25.0, 31.296875, 25.0, 18.0, 5.0, 23.0, 6.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 29.0, "10744", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10744&g_ta_cod=10744", 31.0, 38.0, 31.0),
(9653, "Public", "0300027S", "Lycée Hemingway - De La Camargue", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Hemingway - De La Camargue - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 1035, 613, 910, 0, 125, 57, 299, 163, 169, 111, 317, 125, 9, 26, 15, 75, 265, 15, 0, 0, 41, 14, 132, 66, 56, 36, 36, 207, 32, 19, 24, 7, 2.0, 20.0, 30.0, 0, 10, 24, 5, 13, 6, 8, 0, 7, 13, 4, 0, 0.0, 4, 8, 5, 1, 0, 15, 15, 6.25, 62.5, 93.75, 59.3984375, 62.5, 62.5, 4.19921875, 41.6953125, 75.0, 0.0, 29.19921875, 54.1953125, 16.69921875, 0.0, 0.0, 20.796875, 16.69921875, 54.1953125, 33.296875, 25.0, 20.796875, 35.0, 13.0, 43.0, 26.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 148, "Liste d'appel propre à cette formation", 29.0, "3954", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3954&g_ta_cod=3954", 22.0, 56.0, 22.0),
(9654, "Public", "7200583W", "Lycée Paul Vincensini", "2B", "Haute-Corse", "Corse", "Corse", "Bastia", "formation sélective", "Autre formation", "Lycée Paul Vincensini - Diplôme de Comptabilité et de Gestion", "DCG", "", 24, 189, 99, 188, 0, 57, 10, 43, 13, 5, 4, 83, 1, 0, 0, 0, 1, 90, 1, 0, 0, 45, 9, 19, 7, 0, 0, 26, 67, 22, 10, 21, 1, 6.0, 20.0, 21.0, 0, 0, 17, 16, 1, 0, 5, 0, 1, 9, 6, 1, 0.0, 15, 1, 0, 0, 0, 17, 17, 27.27, 90.91, 95.45, 45.5, 100.0, 100.0, 0, 0.0, 77.296875, 0.0, 5.8994140625, 52.8984375, 35.296875, 5.9, 0.0, 94.09375, 88.1875, 5.8994140625, 5.8994140625, 0.0, 0.0, 35.0, 6.0, 0.0, 0.0, 26.0, "Tous les candidats", 86.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "11706", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11706&g_ta_cod=11706", 95.0, 5.0, 0.0),
(9655, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Licence", "Université Angers - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours bivalent Espagnol-Anglais", "Licence - Arts-lettres-langues", "bivalent Espagnol-Anglais", 18, 231, 198, 195, 0, 156, 32, 4, 4, 3, 2, 32, 36, 8, 4, 1, 23, 130, 4, 0, 0, 108, 16, 1, 1, 0, 0, 21, 78, 18, 16, 15, 3, 8.0, 15.0, 18.0, 0, 2, 13, 13, 0, 0, 5, 0, 0, 2, 2, 9, 0.0, 13, 0, 0, 0, 0, 10, 10, 44.44, 83.33, 100.0, 88.890625, 76.890625, 76.890625, 0, 15.3984375, 72.1875, 0.0, 0.0, 15.3984375, 15.3984375, 69.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 59.0, 13.0, 0.0, 0.0, 18.0, "Tous les candidats", 129.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "13999", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours bivalent Espagnol-Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13999&g_ta_cod=13999", 100.0, 0.0, 0.0),
(9656, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 1 Capitole - Licence - Droit - Parcours Formation A Distance (FOAD)", "Licence - Droit-économie-gestion", "Formation A Distance (FOAD)", 25, 309, 232, 309, 0, 69, 14, 16, 3, 8, 4, 216, 0, 0, 0, 0, 0, 303, 0, 0, 0, 69, 14, 16, 3, 8, 4, 210, 86, 25, 19, 25, 0, 6.0, 23.0, 25.0, 0, 2, 5, 2, 1, 2, 20, 0, 0, 2, 1, 2, 0.0, 2, 1, 2, 0, 0, 0, 0, 24.0, 92.0, 100.0, 76.0, 0.0, 0.0, 0, 40.0, 20.0, 0.0, 0.0, 40.0, 20.0, 40.0, 0.0, 40.0, 40.0, 20.0, 20.0, 40.0, 40.0, 19.0, 4.0, 5.0, 2.0, 57.0, "Tous les candidats", 171.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "23971", "Licence - Droit - Parcours Formation A Distance (FOAD)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23971&g_ta_cod=23971", 40.0, 16.0, 8.0),
(9657, "Privé sous contrat d'association", "0595124Z", "Institut d'Hazebrouck", "59", "Nord", "Hauts-de-France", "Lille", "Hazebrouck", "formation sélective", "BTS", "Institut d'Hazebrouck - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 36, 165, 60, 161, 0, 13, 2, 83, 14, 42, 7, 23, 4, 0, 0, 1, 3, 47, 1, 0, 0, 8, 1, 20, 4, 16, 2, 3, 47, 12, 6, 11, 1, 10.0, 11.0, 12.0, 0, 3, 11, 0, 4, 7, 1, 0, 0, 4, 5, 2, 0.0, 0, 4, 7, 4, 1, 11, 11, 83.33, 91.67, 100.0, 50.0, 100.0, 100.0, 36.3984375, 27.296875, 91.6875, 0.0, 0.0, 36.3984375, 45.5, 18.2, 0.0, 0.0, 0.0, 36.3984375, 36.3984375, 63.59375, 63.59375, 7.0, 1.0, 17.0, 3.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 29.0, "7131", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7131&g_ta_cod=7131", 8.0, 33.0, 58.0),
(9658, "Public", "0781297L", "Lycée Plaine De Neauphle", "78", "Yvelines", "Ile-de-France", "Versailles", "Trappes", "formation sélective", "BTS", "Lycée Plaine De Neauphle - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 33, 572, 259, 572, 0, 35, 12, 202, 66, 179, 82, 156, 0, 0, 0, 0, 0, 336, 0, 0, 0, 27, 10, 138, 38, 97, 33, 74, 153, 34, 21, 34, 0, 4.0, 27.0, 33.0, 0, 8, 22, 1, 10, 11, 12, 0, 9, 9, 4, 0, 0.0, 0, 6, 7, 7, 6, 21, 21, 11.76, 79.41, 97.06, 61.796875, 95.5, 95.5, 31.796875, 36.3984375, 64.6875, 0.0, 40.8984375, 40.8984375, 18.19921875, 0.0, 0.0, 4.5, 0.0, 45.5, 27.296875, 50.0, 31.796875, 10.0, 7.0, 58.0, 17.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 32.0, "9966", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9966&g_ta_cod=9966", 12.0, 41.0, 47.0),
(9659, "Public", "9741204R", "Université de la Réunion - Le Tampon", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation sélective", "Autre formation", "Université de la Réunion - Le Tampon - CPESIP (Cycle préparatoire aux Etudes Supérieures et à l'Insertion Professionnelle)", "Année préparatoire", "CPESIP (Cycle préparatoire aux Etudes Supérieures et à l'Insertion Professionnelle)", 160, 459, 287, 416, 0, 24, 12, 84, 50, 250, 195, 58, 43, 3, 7, 16, 17, 343, 11, 0, 0, 23, 11, 73, 44, 197, 157, 50, 336, 160, 104, 145, 11, 93.0, 142.0, 142.0, 0, 99, 139, 9, 30, 100, 20, 11, 71, 42, 13, 2, 0.0, 3, 8, 46, 0, 0, 139, 139, 58.13, 88.75, 88.75, 65.0, 100.0, 100.0, 0, 71.1875, 86.890625, 7.8994140625, 51.09375, 30.19921875, 9.3984375, 1.4, 0.0, 6.5, 2.19970703125, 21.59765625, 5.7998046875, 71.890625, 33.09375, 24.0, 12.0, 192.0, 151.0, 48.0, "Tous les candidats", 343.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "12779", "CPESIP (Cycle préparatoire aux Etudes Supérieures et à l'Insertion Professionnelle)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12779&g_ta_cod=12779", 9.0, 22.0, 68.0),
(9660, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - LLCER ANGLAIS - LLCER NEERLANDAIS", "Licence - Arts-lettres-langues", "LLCER ANGLAIS - LLCER NEERLANDAIS", 10, 108, 72, 26, 0, 17, 7, 1, 1, 3, 1, 5, 82, 18, 6, 16, 42, 20, 3, 0, 0, 15, 6, 1, 1, 0, 0, 4, 20, 10, 6, 8, 2, 5.0, 8.0, 10.0, 0, 4, 9, 8, 1, 0, 1, 0, 2, 2, 4, 1, 0.0, 6, 1, 0, 0, 0, 1, 5, 50.0, 80.0, 100.0, 60.0, 11.099609375, 55.59375, 0, 44.3984375, 90.0, 0.0, 22.19921875, 22.19921875, 44.3984375, 11.1, 0.0, 88.890625, 66.6875, 11.099609375, 11.099609375, 0.0, 0.0, 15.0, 5.0, 0.0, 0.0, 4.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "12535", "Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - LLCER ANGLAIS - LLCER NEERLANDAIS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12535&g_ta_cod=12535", 90.0, 10.0, 0.0),
(9661, "Public", "0541205S", "I.U.T de Nancy-Brabois - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Villers-lès-Nancy", "formation sélective", "BUT", "I.U.T de Nancy-Brabois - Université de Lorraine - BUT - Génie chimique génie des procédés", "BUT - Production", "", 84, 795, 378, 732, 0, 433, 61, 80, 20, 5, 3, 214, 63, 12, 8, 0, 43, 600, 14, 0, 0, 391, 49, 53, 11, 0, 0, 156, 534, 73, 24, 68, 5, 42.0, 56.0, 69.0, 0, 8, 60, 54, 6, 0, 13, 0, 13, 23, 21, 3, 0.0, 41, 6, 0, 0, 0, 52, 52, 57.53, 76.71, 94.52, 32.8984375, 86.6875, 86.6875, 0, 13.298828125, 82.1875, 0.0, 21.69921875, 38.296875, 35.0, 5.0, 0.0, 90.0, 68.296875, 10.0, 10.0, 0.0, 0.0, 334.0, 49.0, 0.0, 0.0, 150.0, "Tous les candidats sauf les Bac technologiques", 544.0, "Bacheliers technologiques toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 82.0, "6296", "BUT - Génie chimique génie des procédés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6296&g_ta_cod=6296", 92.0, 8.0, 0.0),
(9662, "Privé enseignement supérieur", "0062197F", "Ecole d'ingénieurs privée ECAM EPMI", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Grasse", "formation sélective", "Ecole d'Ingénieur", "ECAM-ECAM LaSalle - Formation d'ingénieur Bac + 5 - Série STI2D", "Formations  des écoles d'ingénieurs", "Bac STI2D", 20, 93, 3, 92, 0, 0, 0, 80, 19, 0, 0, 12, 1, 0, 0, 0, 1, 92, 1, 0, 0, 0, 0, 80, 19, 0, 0, 12, 71, 8, 0, 8, 0, 3.0, 8.0, 8.0, 0, 2, 7, 0, 7, 0, 1, 0, 1, 4, 2, 0, 0.0, 0, 6, 0, 0, 0, 3, 3, 37.5, 100.0, 100.0, 0.0, 42.8984375, 42.8984375, 0, 28.59765625, 87.5, 0.0, 14.298828125, 57.09375, 28.59765625, 0.0, 0.0, 0.0, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 12.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "29301", "Formation d'ingénieur Bac + 5 - Série STI2D", "ECAM-ECAM LaSalle", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29297&g_ta_cod=29301", 0.0, 100.0, 0.0),
(9663, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation non sélective", "PASS", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 35, 7797, 5942, 7797, 0, 6006, 1249, 144, 58, 36, 16, 1611, 0, 0, 0, 0, 0, 7790, 0, 0, 0, 6006, 1249, 144, 58, 36, 16, 1604, 471, 34, 30, 34, 0, 0.0, 14.0, 28.0, 0, 6, 31, 31, 0, 0, 3, 0, 0, 2, 9, 17, 3.0, 31, 0, 0, 0, 0, 25, 31, 0.0, 41.18, 82.35, 88.1875, 80.59375, 100.0, 0, 19.3984375, 91.1875, 0.0, 0.0, 6.5, 29.0, 54.8, 9.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 416.0, 77.0, 0.0, 0.0, 55.0, "Tous les candidats", 2455.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "27914", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27909&g_ta_cod=27914", 100.0, 0.0, 0.0),
(9664, "Public", "0161125L", "I.U.T. Angoulême", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BUT", "I.U.T. Angoulême - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle", "BUT - Production", "Innovation pour l?industrie - Simulation numérique et réalité virtuelle", 52, 793, 67, 776, 0, 469, 51, 191, 27, 8, 3, 108, 17, 4, 3, 0, 10, 652, 6, 0, 0, 409, 41, 154, 25, 2, 1, 87, 319, 48, 7, 46, 2, 8.0, 24.0, 45.0, 0, 3, 33, 24, 9, 0, 15, 0, 12, 12, 7, 2, 0.0, 17, 4, 0, 0, 0, 20, 20, 16.67, 50.0, 93.75, 14.599609375, 60.59375, 60.59375, 0, 9.099609375, 68.796875, 0.0, 36.3984375, 36.3984375, 21.19921875, 6.1, 0.0, 72.6875, 51.5, 27.296875, 12.099609375, 0.0, 0.0, 139.0, 15.0, 1.0, 1.0, 73.0, "Tous les candidats sauf les Bac technologiques", 455.0, "Bacheliers technologiques toutes séries", 171, "", 0, "Liste d'appel propre à cette formation", 81.0, "3013", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3013&g_ta_cod=3013", 75.0, 25.0, 0.0),
(9665, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Double licence - Droit / Histoire de l'art et archéologie - Double licence mention Droit - mention Histoire de l'art et archéologie", "Licence - Droit-économie-gestion", "Double licence mention Droit - mention Histoire de l'art et archéologie", 25, 628, 494, 628, 0, 450, 56, 31, 17, 5, 1, 142, 0, 0, 0, 0, 0, 346, 0, 0, 0, 324, 38, 0, 0, 0, 0, 22, 122, 25, 18, 25, 0, 3.0, 18.0, 19.0, 0, 1, 25, 25, 0, 0, 0, 0, 0, 5, 17, 3, 0.0, 25, 0, 0, 0, 0, 12, 14, 12.0, 72.0, 76.0, 72.0, 48.0, 56.0, 0, 4.0, 100.0, 0.0, 0.0, 20.0, 68.0, 12.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 120.0, 12.0, 0.0, 0.0, 2.0, "Tous les candidats", 144.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "27437", "Double licence - Droit / Histoire de l'art et archéologie - Double licence mention Droit - mention Histoire de l'art et archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27437&g_ta_cod=27437", 100.0, 0.0, 0.0),
(9666, "Public", "0640055M", "Lycée Louis Barthou", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "CPGE", "Lycée Louis Barthou - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 1259, 368, 1259, 932, 1051, 126, 3, 1, 0, 0, 205, 0, 0, 0, 0, 0, 1018, 0, 779, 960, 984, 113, 0, 0, 0, 0, 34, 453, 47, 12, 47, 0, 10.0, 27.0, 42.0, 10, 3, 44, 44, 0, 0, 3, 0, 1, 0, 29, 14, 0.0, 43, 0, 0, 3, 1, 30, 30, 21.28, 57.45, 89.36, 25.5, 68.1875, 68.1875, 6.7998046875, 6.7998046875, 93.59375, 0.0, 2.2998046875, 0.0, 65.890625, 31.8, 0.0, 100.0, 97.6875, 0.0, 0.0, 0.0, 0.0, 447.0, 50.0, 0.0, 0.0, 6.0, "Tous les candidats", 655.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "7704", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7704&g_ta_cod=7704", 100.0, 0.0, 0.0),
(9667, "Privé sous contrat d'association", "0441946B", "Ecole Sup. ENSEC", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Ecole Sup. ENSEC - BTS - Services - Support à l'action managériale", "BTS - Services", "", 18, 180, 153, 180, 0, 36, 4, 71, 12, 46, 11, 27, 0, 0, 0, 0, 0, 101, 0, 0, 0, 24, 1, 39, 7, 26, 3, 12, 27, 19, 19, 19, 0, 13.0, 19.0, 19.0, 0, 3, 18, 8, 5, 5, 1, 0, 3, 6, 8, 1, 0.0, 7, 3, 5, 0, 0, 17, 17, 68.42, 100.0, 100.0, 100.0, 94.390625, 94.390625, 0, 16.69921875, 94.6875, 0.0, 16.69921875, 33.296875, 44.3984375, 5.6, 0.0, 44.3984375, 38.8984375, 27.796875, 16.69921875, 27.796875, 27.796875, 11.0, 1.0, 9.0, 2.0, 1.0, "Tous les candidats sauf les Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 9, "", 0, "Liste d'appel propre à cette formation", 16.0, "5597", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5597&g_ta_cod=5597", 47.0, 26.0, 26.0),
(9668, "Privé sous contrat d'association", "0490838V", "Lycée Saint-Louis", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saumur", "formation sélective", "BTS", "Lycée Saint-Louis - BTS - Services - Support à l'action managériale", "BTS - Services", "", 18, 76, 46, 64, 0, 7, 1, 24, 5, 8, 1, 25, 12, 2, 1, 1, 8, 37, 7, 0, 0, 7, 1, 22, 4, 7, 1, 1, 44, 4, 4, 4, 0, 2.0, 4.0, 4.0, 0, 0, 4, 1, 3, 0, 0, 0, 3, 1, 0, 0, 0.0, 0, 1, 0, 2, 2, 4, 4, 50.0, 100.0, 100.0, 100.0, 100.0, 100.0, 50, 0.0, 100.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 25.0, 0.0, 0.0, 9.0, 1.0, 7.0, 1.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 58.0, "5898", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5898&g_ta_cod=5898", 25.0, 75.0, 0.0),
(9669, "Public", "0750705J", "Lycée Honoré De Balzac", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "BTS", "Lycée Honoré De Balzac - BTS - Services - Commerce International", "BTS - Services", "", 35, 3015, 1769, 3015, 0, 626, 169, 1096, 448, 482, 256, 811, 0, 0, 0, 0, 0, 792, 0, 0, 0, 181, 41, 201, 76, 260, 138, 150, 224, 32, 17, 32, 0, 1.0, 25.0, 29.0, 0, 13, 23, 7, 12, 4, 9, 0, 1, 15, 7, 0, 0.0, 6, 12, 4, 0, 0, 9, 22, 3.13, 78.13, 90.63, 53.09375, 39.09375, 95.6875, 0, 56.5, 71.890625, 0.0, 4.2998046875, 65.1875, 30.3984375, 0.0, 0.0, 30.3984375, 26.09765625, 52.1953125, 52.1953125, 17.3984375, 17.3984375, 64.0, 25.0, 14.0, 6.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 143.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 195, "Liste d'appel propre à cette formation", 12.0, "15695", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15695&g_ta_cod=15695", 34.0, 53.0, 13.0),
(9670, "Privé enseignement supérieur", "0300112E", "EGC Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "Ecole de Commerce", "EGC d'Occitanie - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "Formation Bac + 3", 40, 123, 54, 117, 0, 82, 7, 14, 1, 0, 0, 21, 6, 3, 2, 0, 1, 92, 3, 0, 0, 67, 5, 11, 0, 0, 0, 14, 88, 20, 9, 17, 3, 12.0, 17.0, 19.0, 0, 1, 16, 14, 2, 0, 4, 0, 4, 9, 3, 0, 0.0, 10, 2, 0, 0, 0, 7, 7, 60.0, 85.0, 95.0, 45.0, 43.796875, 43.796875, 0, 6.2998046875, 80.0, 0.0, 25.0, 56.296875, 18.796875, 0.0, 0.0, 87.5, 62.5, 12.5, 12.5, 0.0, 0.0, 65.0, 5.0, 0.0, 0.0, 13.0, "Tous les candidats", 183.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 78.0, "18261", "Formation des écoles de commerce et de management Bac + 3", "EGC d'Occitanie", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12059&g_ta_cod=18261", 90.0, 10.0, 0.0),
(9671, "Public", "0290012F", "Lycée Vauban", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "CPGE", "Lycée Vauban - CPGE - PTSI", "Classe préparatoire scientifique", "", 48, 350, 62, 337, 212, 273, 21, 4, 1, 0, 0, 60, 13, 9, 1, 0, 3, 276, 5, 178, 270, 251, 16, 0, 0, 0, 0, 25, 221, 35, 2, 33, 2, 17.0, 31.0, 35.0, 7, 3, 34, 34, 0, 0, 1, 0, 1, 19, 13, 1, 0.0, 33, 0, 0, 2, 0, 32, 32, 48.57, 88.57, 100.0, 5.69921875, 94.09375, 94.09375, 5.8994140625, 8.798828125, 97.09375, 0.0, 2.89990234375, 55.8984375, 38.1953125, 2.9, 0.0, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 201.0, 13.0, 0.0, 0.0, 20.0, "Tous les candidats", 275.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "3764", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3764&g_ta_cod=3764", 100.0, 0.0, 0.0),
(9672, "Public", "0330023W", "Lycée Camille Jullian", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Camille Jullian - CPGE - MPSI", "Classe préparatoire scientifique", "", 44, 2382, 671, 2382, 1605, 2038, 220, 2, 0, 0, 0, 342, 0, 0, 0, 0, 0, 1021, 0, 436, 1013, 1012, 81, 0, 0, 0, 0, 9, 476, 44, 12, 44, 0, 13.0, 18.0, 40.0, 11, 5, 44, 44, 0, 0, 0, 0, 0, 0, 15, 29, 0.0, 44, 0, 0, 2, 1, 32, 32, 29.55, 40.91, 90.91, 27.296875, 72.6875, 72.6875, 4.5, 11.3984375, 100.0, 0.0, 0.0, 0.0, 34.09375, 65.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 473.0, 51.0, 0.0, 0.0, 3.0, "Tous les candidats", 655.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "4278", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4278&g_ta_cod=4278", 100.0, 0.0, 0.0),
(9673, "Public", "0720033V", "Lycée Polyvalent Gabriel Touchard - Washington", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "CPGE", "Lycée Polyvalent Gabriel Touchard - Washington - CPGE - PTSI", "Classe préparatoire scientifique", "", 45, 488, 82, 440, 313, 331, 32, 2, 0, 0, 0, 107, 48, 22, 0, 0, 26, 270, 18, 201, 257, 252, 19, 2, 0, 0, 0, 16, 248, 22, 4, 16, 6, 4.0, 11.0, 20.0, 9, 0, 16, 16, 0, 0, 6, 0, 1, 7, 7, 1, 0.0, 15, 0, 0, 2, 0, 13, 13, 18.18, 50.0, 90.91, 18.19921875, 81.296875, 81.296875, 12.5, 0.0, 72.6875, 0.0, 6.2998046875, 43.796875, 43.796875, 6.3, 0.0, 100.0, 93.796875, 0.0, 0.0, 0.0, 0.0, 229.0, 19.0, 0.0, 0.0, 19.0, "Tous les candidats", 268.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "8693", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8693&g_ta_cod=8693", 100.0, 0.0, 0.0),
(9674, "Public", "0951399E", "Lycée Alfred Kastler", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "CPGE", "Lycée Alfred Kastler - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 20, 270, 126, 241, 0, 183, 33, 3, 0, 3, 2, 52, 29, 10, 1, 0, 18, 171, 12, 0, 171, 154, 26, 0, 0, 0, 0, 17, 134, 7, 4, 6, 1, 0.0, 6.0, 7.0, 0, 0, 5, 5, 0, 0, 2, 0, 0, 2, 3, 0, 0.0, 5, 0, 0, 0, 0, 3, 3, 0.0, 85.71, 100.0, 57.09375, 60.0, 60.0, 0, 0.0, 71.390625, 0.0, 0.0, 40.0, 60.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 113.0, 18.0, 0.0, 0.0, 21.0, "Tous les candidats", 167.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "31399", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31399&g_ta_cod=31399", 100.0, 0.0, 0.0),
(9675, "Privé sous contrat d'association", "0490075R", "ESEO Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 140, 1787, 421, 1778, 0, 1769, 119, 0, 0, 0, 0, 9, 9, 9, 0, 0, 0, 1621, 6, 0, 0, 1621, 99, 0, 0, 0, 0, 0, 1466, 64, 10, 63, 1, 40.0, 63.0, 63.0, 0, 4, 64, 64, 0, 0, 0, 0, 4, 25, 33, 2, 0.0, 60, 0, 0, 0, 0, 47, 47, 62.5, 98.44, 98.44, 15.599609375, 73.390625, 73.390625, 0, 6.2998046875, 100.0, 0.0, 6.2998046875, 39.09375, 51.59375, 3.1, 0.0, 100.0, 93.796875, 0.0, 0.0, 0.0, 0.0, 1466.0, 93.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "78", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=78", 100.0, 0.0, 0.0),
(9676, "Public", "0110023R", "Lycée polyvalent Louise Michel", "11", "Aude", "Occitanie", "Montpellier", "Narbonne", "formation sélective", "BTS", "Lycée polyvalent Louise Michel - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 344, 185, 329, 0, 31, 9, 119, 61, 59, 41, 120, 15, 0, 9, 0, 6, 241, 7, 0, 0, 31, 9, 97, 49, 47, 30, 66, 144, 32, 16, 27, 5, 5.0, 21.0, 24.0, 0, 13, 22, 4, 11, 7, 10, 0, 13, 6, 3, 0, 0.0, 1, 4, 4, 9, 3, 18, 18, 15.63, 65.63, 75.0, 50.0, 81.796875, 81.796875, 40.8984375, 59.09375, 68.796875, 0.0, 59.09375, 27.296875, 13.599609375, 0.0, 0.0, 18.19921875, 4.5, 50.0, 18.19921875, 31.796875, 18.19921875, 13.0, 7.0, 27.0, 16.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 113, "Liste d'appel propre à cette formation", 51.0, "2460", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2460&g_ta_cod=2460", 22.0, 47.0, 31.0),
(9677, "Public", "9720424D", "Lycée professionnel Lumina Sophie", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation sélective", "BTS", "Lycée professionnel Lumina Sophie - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 30, 337, 177, 336, 0, 44, 18, 90, 40, 141, 92, 61, 1, 0, 0, 0, 1, 227, 0, 0, 0, 35, 14, 63, 29, 105, 68, 24, 114, 28, 13, 28, 0, 4.0, 25.0, 27.0, 0, 18, 26, 4, 6, 16, 2, 0, 12, 13, 1, 0, 0.0, 2, 2, 10, 5, 2, 26, 26, 14.29, 89.29, 96.43, 46.3984375, 100.0, 100.0, 19.19921875, 69.1875, 92.890625, 0.0, 46.1953125, 50.0, 3.7998046875, 0.0, 0.0, 15.3984375, 7.69921875, 23.09765625, 7.69921875, 61.5, 38.5, 20.0, 10.0, 47.0, 33.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 50.0, "11811", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11811&g_ta_cod=11811", 18.0, 21.0, 61.0),
(9678, "Public", "0370770L", "Institut Universitaire de Technologie de TOURS", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BUT", "Institut Universitaire de Technologie de TOURS - BUT - Génie biologique parcours biologie médicale et biotechnologie", "BUT - Production", "", 50, 1944, 1392, 1944, 0, 1128, 125, 363, 80, 2, 0, 451, 0, 0, 0, 0, 0, 836, 0, 0, 0, 511, 54, 188, 38, 0, 0, 137, 217, 52, 39, 52, 0, 6.0, 37.0, 47.0, 0, 10, 48, 32, 16, 0, 4, 0, 0, 11, 27, 10, 0.0, 32, 16, 0, 0, 0, 22, 22, 11.54, 71.15, 90.38, 75.0, 45.796875, 45.796875, 0, 20.796875, 92.296875, 0.0, 0.0, 22.8984375, 56.296875, 20.8, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 134.0, 19.0, 0.0, 0.0, 35.0, "Tous les candidats sauf les Bac technologiques", 211.0, "Bacheliers technologiques toutes séries", 117, "", 0, "Liste d'appel propre à cette formation", 17.0, "4868", "BUT - Génie biologique parcours biologie médicale et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4868&g_ta_cod=4868", 63.0, 35.0, 0.0),
(9679, "Public", "0630077S", "Lycée Ambroise Brugiere", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée Ambroise Brugiere - BTS - Services - Commerce International", "BTS - Services", "", 35, 954, 519, 954, 0, 304, 88, 239, 98, 93, 50, 318, 0, 0, 0, 0, 0, 518, 0, 0, 0, 243, 63, 163, 63, 33, 14, 79, 205, 32, 21, 32, 0, 3.0, 21.0, 27.0, 0, 12, 27, 14, 12, 1, 5, 0, 9, 13, 5, 0, 0.0, 9, 8, 1, 2, 1, 20, 20, 9.38, 65.63, 84.38, 65.59375, 74.09375, 74.09375, 7.3994140625, 44.3984375, 84.390625, 0.0, 33.296875, 48.09375, 18.5, 0.0, 0.0, 51.8984375, 33.296875, 44.3984375, 29.59765625, 3.69970703125, 3.69970703125, 91.0, 25.0, 20.0, 7.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 178.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 129, "Liste d'appel propre à cette formation", 36.0, "7585", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7585&g_ta_cod=7585", 56.0, 41.0, 3.0),
(9680, "Public", "0910626L", "Lycée Blaise Pascal", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "CPGE", "Lycée Blaise Pascal - CPGE - MPSI", "Classe préparatoire scientifique", "", 84, 3370, 980, 3370, 0, 2891, 238, 4, 1, 1, 0, 474, 0, 0, 0, 0, 0, 1238, 0, 0, 1238, 1236, 88, 0, 0, 0, 0, 2, 349, 84, 27, 84, 0, 31.0, 73.0, 81.0, 0, 2, 84, 84, 0, 0, 0, 0, 0, 0, 3, 44, 37.0, 84, 0, 0, 10, 4, 68, 70, 36.9, 86.9, 96.43, 32.09375, 81.0, 83.296875, 11.8984375, 2.39990234375, 100.0, 0.0, 0.0, 0.0, 3.599609375, 52.4, 44.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 349.0, 26.0, 0.0, 0.0, 0.0, "Tous les candidats", 435.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "10859", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10859&g_ta_cod=10859", 100.0, 0.0, 0.0),
(9681, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Double licence - Droit / Philosophie - Droit - Philosophie", "Licence - Droit-économie-gestion", "Droit - Philosophie", 60, 1236, 889, 1236, 0, 936, 153, 19, 7, 4, 2, 277, 0, 0, 0, 0, 0, 971, 0, 0, 0, 803, 125, 0, 0, 0, 0, 168, 205, 60, 49, 60, 0, 13.0, 52.0, 55.0, 0, 9, 58, 58, 0, 0, 2, 0, 0, 1, 14, 36, 7.0, 58, 0, 0, 0, 0, 5, 13, 21.67, 86.67, 91.67, 81.6875, 8.599609375, 22.3984375, 0, 15.5, 96.6875, 0.0, 0.0, 1.699951171875, 24.09765625, 62.1, 12.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 189.0, 27.0, 0.0, 0.0, 16.0, "Tous les candidats", 245.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "17163", "Double licence - Droit / Philosophie - Droit - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17163&g_ta_cod=17163", 100.0, 0.0, 0.0),
(9682, "Public", "0270017X", "Lycée Modeste Leroy", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BTS", "Lycée Modeste Leroy - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 114, 18, 93, 0, 3, 0, 29, 7, 39, 11, 22, 21, 0, 6, 6, 9, 81, 8, 0, 0, 1, 0, 29, 7, 33, 8, 18, 62, 11, 0, 8, 3, 2.0, 8.0, 9.0, 0, 1, 8, 0, 4, 4, 3, 0, 3, 2, 3, 0, 0.0, 0, 2, 3, 3, 0, 8, 8, 18.18, 72.73, 81.82, 0.0, 100.0, 100.0, 37.5, 12.5, 72.6875, 0.0, 37.5, 25.0, 37.5, 0.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 37.5, 1.0, 0.0, 23.0, 7.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 77.0, "3689", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3689&g_ta_cod=3689", 9.0, 45.0, 45.0),
(9683, "Privé hors contrat", "0593206P", "CENTRE REGIONAL DE FORMATION DES PROFESSIONNELS DE L'ENFANCE", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "EFTS", "CENTRE REGIONAL DE FORMATION DES PROFESSIONNELS DE L'ENFANCE - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 85, 409, 387, 409, 0, 87, 11, 105, 26, 38, 10, 179, 0, 0, 0, 0, 0, 169, 0, 0, 0, 28, 3, 33, 8, 9, 2, 99, 116, 83, 80, 83, 0, 59.0, 74.0, 76.0, 0, 5, 35, 15, 15, 5, 48, 0, 4, 19, 9, 3, 0.0, 13, 13, 5, 0, 0, 26, 26, 71.08, 89.16, 91.57, 96.390625, 74.296875, 74.296875, 0, 14.298828125, 42.1953125, 0.0, 11.3984375, 54.296875, 25.69921875, 8.6, 0.0, 42.8984375, 37.09375, 42.8984375, 37.09375, 14.298828125, 14.298828125, 22.0, 2.0, 6.0, 2.0, 71.0, "Tous les candidats", 107.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "25086", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25086&g_ta_cod=25086", 47.0, 36.0, 17.0),
(9684, "Public", "0160006V", "Lycée d'Enseignement Général et Technologique Agricole Angouleme- L'Oisellerie", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "La Couronne", "formation sélective", "BTS", "Lycée d'Enseignement Général et Technologique Agricole Angouleme- L'Oisellerie - BTS - Agricole - Viticulture-Oenologie", "BTS - Agricole", "", 16, 186, 64, 179, 0, 61, 4, 40, 3, 23, 4, 55, 7, 2, 1, 0, 4, 140, 5, 0, 0, 56, 4, 35, 3, 16, 2, 33, 84, 16, 6, 14, 2, 2.0, 11.0, 16.0, 0, 1, 13, 5, 5, 3, 3, 0, 7, 5, 1, 0, 0.0, 2, 2, 2, 2, 1, 8, 8, 12.5, 68.75, 100.0, 37.5, 61.5, 61.5, 15.3984375, 7.69921875, 81.296875, 0.0, 53.796875, 38.5, 7.69921875, 0.0, 0.0, 38.5, 15.3984375, 38.5, 15.3984375, 23.09765625, 15.3984375, 36.0, 3.0, 13.0, 1.0, 20.0, "Tous les candidats sauf les Bac professionnels", 118.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 76.0, "2986", "BTS - Agricole - Viticulture-Oenologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2986&g_ta_cod=2986", 50.0, 31.0, 19.0),
(9685, "Public", "0381886U", "Lycée agricole SEYSSUEL AGROTEC", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vienne", "formation sélective", "BTS", "Lycée agricole SEYSSUEL AGROTEC - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 30, 254, 68, 237, 0, 27, 5, 73, 13, 38, 10, 99, 17, 4, 1, 1, 11, 175, 7, 0, 0, 27, 5, 73, 13, 34, 10, 41, 132, 29, 8, 26, 3, 4.0, 22.0, 27.0, 0, 4, 18, 6, 9, 3, 11, 3, 12, 3, 0, 0, 0.0, 2, 1, 0, 0, 0, 12, 12, 13.79, 75.86, 93.1, 27.59765625, 66.6875, 66.6875, 0, 22.19921875, 62.09375, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 0.0, 33.296875, 11.099609375, 50.0, 5.599609375, 16.69921875, 0.0, 25.0, 4.0, 23.0, 6.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 72.0, "5090", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5090&g_ta_cod=5090", 48.0, 38.0, 14.0),
(9686, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "Université de Cergy-Pontoise - CY SUP - Diplôme d'Université - PAREO - Passeport pour réussir et s?orienter vers les Études Internationales", "Diplôme d'Université", "Passeport pour réussir et s?orienter vers les Études Internationales", 25, 162, 115, 55, 0, 15, 6, 19, 6, 9, 5, 12, 107, 21, 28, 27, 31, 40, 29, 0, 0, 6, 3, 17, 6, 9, 5, 8, 68, 25, 19, 7, 18, 6.0, 7.0, 21.0, 0, 9, 21, 4, 11, 6, 4, 0, 14, 6, 0, 1, 0.0, 2, 3, 2, 0, 0, 17, 18, 24.0, 28.0, 84.0, 76.0, 81.0, 85.6875, 0, 42.8984375, 84.0, 0.0, 66.6875, 28.59765625, 0.0, 4.8, 0.0, 19.0, 9.5, 52.3984375, 14.298828125, 28.59765625, 9.5, 9.0, 3.0, 16.0, 9.0, 16.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "32701", "Diplôme d'Université - PAREO - Passeport pour réussir et s?orienter vers les Études Internationales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32701&g_ta_cod=32701", 20.0, 52.0, 28.0),
(9687, "Public", "0311874U", "INSTITUT DE FORMATION EN PEDICURIE-PODOLOGIE CHU PURPAN", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "INSTITUT DE FORMATION EN PEDICURIE-PODOLOGIE CHU PURPAN - D.E Pédicure-Podologue", "D.E secteur sanitaire", "", 20, 457, 356, 457, 0, 106, 10, 41, 7, 5, 2, 305, 0, 0, 0, 0, 0, 327, 0, 0, 0, 82, 6, 15, 2, 3, 1, 227, 70, 19, 13, 19, 0, 5.0, 15.0, 18.0, 0, 0, 7, 7, 0, 0, 12, 0, 1, 1, 4, 0, 1.0, 6, 0, 0, 0, 0, 2, 2, 26.32, 78.95, 94.74, 68.390625, 28.59765625, 28.59765625, 0, 0.0, 36.796875, 0.0, 14.298828125, 14.298828125, 57.09375, 0.0, 14.3, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 22.0, 4.0, 0.0, 0.0, 48.0, "Tous les candidats", 84.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "26065", "D.E Pédicure-Podologue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26065&g_ta_cod=26065", 89.0, 5.0, 5.0),
(9688, "Public", "9741206T", "Lycée de Bois d'Olive", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BTS", "Lycée de Bois d'Olive - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 10, 80, 2, 80, 0, 3, 0, 31, 17, 36, 22, 10, 0, 0, 0, 0, 0, 60, 0, 0, 0, 2, 0, 23, 12, 29, 18, 6, 33, 11, 1, 11, 0, 3.0, 11.0, 11.0, 0, 3, 8, 0, 5, 3, 3, 0, 3, 5, 0, 0, 0.0, 0, 4, 1, 3, 0, 8, 8, 27.27, 100.0, 100.0, 9.099609375, 100.0, 100.0, 37.5, 37.5, 72.6875, 0.0, 37.5, 62.5, 0.0, 0.0, 0.0, 0.0, 0.0, 62.5, 50.0, 37.5, 12.5, 1.0, 0.0, 18.0, 10.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 66.0, "11971", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11971&g_ta_cod=11971", 9.0, 45.0, 45.0),
(9689, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Licence", "Université de Strasbourg - Licence - Double diplôme - Licence Droit - Double maîtrise en droits français et anglais", "Licence - Droit-économie-gestion", "Double maîtrise en droits français et anglais", 15, 436, 348, 357, 0, 299, 42, 1, 1, 2, 1, 55, 79, 31, 1, 1, 46, 26, 0, 0, 0, 19, 0, 0, 0, 0, 0, 7, 23, 7, 4, 7, 0, 3.0, 7.0, 7.0, 0, 0, 5, 5, 0, 0, 2, 0, 0, 0, 2, 3, 0.0, 5, 0, 0, 0, 0, 1, 1, 42.86, 100.0, 100.0, 57.09375, 20.0, 20.0, 0, 0.0, 71.390625, 0.0, 0.0, 0.0, 40.0, 60.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 17.0, 0.0, 0.0, 0.0, 6.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "24749", "Licence - Double diplôme - Licence Droit - Double maîtrise en droits français et anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24749&g_ta_cod=24749", 100.0, 0.0, 0.0),
(9690, "Public", "0250007X", "Lycée Victor Hugo", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "CPGE", "Lycée Victor Hugo - CPGE - MPSI", "Classe préparatoire scientifique", "", 45, 1163, 341, 1163, 866, 937, 86, 0, 0, 0, 0, 226, 0, 0, 0, 0, 0, 789, 0, 634, 694, 763, 64, 0, 0, 0, 0, 26, 220, 45, 16, 45, 0, 13.0, 38.0, 42.0, 28, 5, 45, 45, 0, 0, 0, 0, 0, 1, 10, 31, 3.0, 45, 0, 0, 4, 0, 43, 43, 28.89, 84.44, 93.33, 35.59375, 95.59375, 95.59375, 8.8984375, 11.099609375, 100.0, 0.0, 0.0, 2.19970703125, 22.19921875, 68.9, 6.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 219.0, 19.0, 0.0, 0.0, 1.0, "Tous les candidats", 286.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "3450", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3450&g_ta_cod=3450", 100.0, 0.0, 0.0),
(9691, "Public", "0782076H", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "Licence_Las", "Université de Versailles - Saint Quentin en Yvelines - Licence - Portail Science politique", "Licence - Droit-économie-gestion", "", 10, 376, 248, 376, 0, 251, 36, 7, 3, 2, 1, 116, 0, 0, 0, 0, 0, 376, 0, 0, 0, 251, 36, 7, 3, 2, 1, 116, 87, 10, 9, 10, 0, 0.0, 5.0, 8.0, 0, 2, 8, 8, 0, 0, 2, 0, 1, 5, 1, 1, 0.0, 7, 0, 0, 0, 0, 6, 7, 0.0, 50.0, 80.0, 90.0, 75.0, 87.5, 0, 25.0, 80.0, 0.0, 12.5, 62.5, 12.5, 12.5, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 71.0, 11.0, 0.0, 0.0, 16.0, "Tous les candidats", 732.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "29018", "Licence - Portail Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29017&g_ta_cod=29018", 100.0, 0.0, 0.0),
(9692, "Public", "0912255G", "Institut Mines-Télécom Business School", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "Ecole de Commerce", "Concours Passerelle Bachelor - Formation des écoles de commerce et de management Bac + 3 - Bachelor", "Formation des écoles de commerce et de management", "Bachelor", 75, 485, 177, 424, 0, 332, 33, 42, 10, 7, 7, 43, 61, 14, 13, 6, 28, 258, 35, 0, 0, 212, 16, 24, 2, 1, 1, 21, 293, 51, 25, 43, 8, 43.0, 43.0, 46.0, 0, 3, 43, 36, 7, 0, 8, 0, 14, 20, 7, 2, 0.0, 24, 5, 0, 0, 0, 27, 37, 84.31, 84.31, 90.2, 49.0, 62.796875, 86.0, 0, 7.0, 84.296875, 0.0, 32.59375, 46.5, 16.296875, 4.7, 0.0, 83.6875, 55.796875, 16.296875, 11.599609375, 0.0, 0.0, 221.0, 18.0, 3.0, 3.0, 38.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "23476", "Formation des écoles de commerce et de management Bac + 3 - Bachelor", "Concours Passerelle Bachelor", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=253&g_ta_cod=23476", 84.0, 16.0, 0.0),
(9693, "Privé sous contrat d'association", "0761710W", "Lycée Saint-Joseph", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BTS", "Lycée Saint-Joseph - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 33, 372, 36, 304, 0, 71, 8, 67, 12, 57, 13, 109, 68, 7, 13, 0, 48, 155, 6, 0, 0, 54, 6, 37, 6, 30, 5, 34, 110, 31, 0, 28, 3, 9.0, 27.0, 29.0, 0, 3, 20, 9, 6, 5, 11, 0, 7, 11, 1, 1, 0.0, 4, 5, 4, 2, 0, 19, 19, 29.03, 87.1, 93.55, 0.0, 95.0, 95.0, 10, 15.0, 64.5, 0.0, 35.0, 55.0, 5.0, 5.0, 0.0, 45.0, 20.0, 30.0, 25.0, 25.0, 20.0, 40.0, 5.0, 17.0, 4.0, 29.0, "Tous les candidats sauf les Bac professionnels", 117.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 47.0, "9666", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9666&g_ta_cod=9666", 45.0, 32.0, 23.0),
(9694, "Public", "0180008L", "Lycée Pierre-Emile Martin", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BTS", "Lycée Pierre-Emile Martin - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 14, 119, 23, 113, 0, 3, 0, 29, 6, 16, 8, 65, 6, 1, 1, 0, 4, 48, 3, 0, 0, 3, 0, 27, 6, 11, 6, 7, 37, 7, 0, 6, 1, 3.0, 6.0, 7.0, 0, 2, 7, 0, 3, 4, 0, 0, 4, 3, 0, 0, 0.0, 0, 2, 1, 5, 0, 7, 7, 42.86, 85.71, 100.0, 0.0, 100.0, 100.0, 71.390625, 28.59765625, 100.0, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 0.0, 0.0, 42.8984375, 28.59765625, 57.09375, 14.298828125, 3.0, 0.0, 6.0, 3.0, 6.0, "Tous les candidats sauf les Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 39.0, "3100", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3100&g_ta_cod=3100", 0.0, 43.0, 57.0),
(9695, "Privé sous contrat d'association", "0490838V", "Lycée Saint-Louis", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saumur", "formation sélective", "BTS", "Lycée Saint-Louis - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 131, 66, 119, 0, 25, 5, 20, 2, 15, 6, 59, 12, 0, 3, 5, 4, 61, 10, 0, 0, 14, 3, 14, 2, 12, 5, 21, 57, 9, 6, 6, 3, 4.0, 5.0, 9.0, 0, 2, 5, 0, 3, 2, 4, 0, 2, 3, 0, 0, 0.0, 0, 1, 2, 2, 1, 4, 4, 44.44, 55.56, 100.0, 66.6875, 80.0, 80.0, 40, 40.0, 55.59375, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 0.0, 0.0, 60.0, 20.0, 40.0, 40.0, 10.0, 3.0, 16.0, 7.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 49.0, "5899", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5899&g_ta_cod=5899", 33.0, 44.0, 22.0),
(9696, "Public", "0440062D", "Lycée général et technologique Jean Perrin", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Rezé", "formation sélective", "BTS", "Lycée général et technologique Jean Perrin - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 35, 341, 84, 295, 0, 22, 4, 125, 31, 92, 29, 56, 46, 5, 1, 11, 29, 177, 16, 0, 0, 0, 0, 96, 24, 60, 14, 21, 147, 25, 7, 18, 7, 3.0, 18.0, 21.0, 0, 4, 17, 0, 10, 7, 8, 0, 10, 5, 2, 0, 0.0, 0, 5, 2, 0, 0, 11, 11, 12.0, 72.0, 84.0, 28.0, 64.6875, 64.6875, 0, 23.5, 68.0, 0.0, 58.796875, 29.3984375, 11.798828125, 0.0, 0.0, 0.0, 0.0, 58.796875, 29.3984375, 41.1953125, 11.798828125, 1.0, 0.0, 50.0, 13.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 106, "Liste d'appel propre à cette formation", 60.0, "5453", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5453&g_ta_cod=5453", 20.0, 48.0, 32.0),
(9697, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan / Lycée Val de Seine Le Grand-Quevilly - Licence - Sciences de l'éducation - Parcours Parcours Préparatoire au Professorat des écoles", "Licence - Sciences humaines et sociales", "Parcours Préparatoire au Professorat des écoles", 36, 1239, 1086, 1239, 0, 822, 142, 115, 29, 26, 10, 276, 0, 0, 0, 0, 0, 1239, 0, 0, 0, 822, 142, 115, 29, 26, 10, 276, 155, 34, 32, 34, 0, 6.0, 27.0, 31.0, 0, 21, 31, 27, 1, 3, 3, 0, 5, 8, 13, 5, 0.0, 22, 1, 3, 0, 0, 26, 26, 17.65, 79.41, 91.18, 94.09375, 83.890625, 83.890625, 0, 67.6875, 91.1875, 0.0, 16.09765625, 25.796875, 41.8984375, 16.1, 0.0, 87.09375, 71.0, 3.19970703125, 3.19970703125, 9.69921875, 9.69921875, 107.0, 63.0, 8.0, 5.0, 33.0, "Tous les candidats", 182.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "32241", "Licence - Sciences de l'éducation - Parcours Parcours Préparatoire au Professorat des écoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32241&g_ta_cod=32241", 88.0, 3.0, 9.0),
(9698, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Philosophie", "Licence - Sciences humaines et sociales", "", 55, 314, 190, 256, 0, 190, 35, 15, 6, 1, 1, 50, 58, 12, 9, 2, 35, 256, 57, 0, 0, 190, 35, 15, 6, 1, 1, 50, 313, 46, 21, 31, 15, 30.0, 31.0, 39.0, 0, 5, 30, 24, 6, 0, 16, 0, 13, 9, 4, 4, 0.0, 15, 2, 0, 0, 0, 18, 18, 65.22, 67.39, 84.78, 45.6953125, 60.0, 60.0, 0, 16.69921875, 65.1875, 0.0, 43.296875, 30.0, 13.298828125, 13.3, 0.0, 80.0, 50.0, 20.0, 6.69921875, 0.0, 0.0, 202.0, 35.0, 3.0, 2.0, 84.0, "Tous les candidats", 256.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "23336", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23336&g_ta_cod=23336", 76.0, 22.0, 2.0),
(9699, "Public", "0101037Y", "Campus des Comtes de champagne - URCA", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation non sélective", "Licence", "Campus des Comtes de champagne - URCA - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 60, 184, 146, 146, 0, 98, 41, 12, 3, 6, 3, 30, 38, 4, 4, 4, 26, 146, 37, 0, 0, 98, 41, 12, 3, 6, 3, 30, 172, 24, 17, 15, 9, 7.0, 15.0, 21.0, 0, 5, 15, 11, 1, 3, 9, 0, 8, 5, 2, 0, 0.0, 7, 0, 0, 0, 0, 10, 10, 29.17, 62.5, 87.5, 70.796875, 66.6875, 66.6875, 0, 33.296875, 62.5, 0.0, 53.296875, 33.296875, 13.298828125, 0.0, 0.0, 73.296875, 46.6953125, 6.69921875, 0.0, 20.0, 0.0, 94.0, 40.0, 10.0, 6.0, 53.0, "Tous les candidats", 146.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "18834", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18834&g_ta_cod=18834", 54.0, 17.0, 25.0),
(9700, "Public", "0782117C", "I.U.T. de Mantes en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Mantes-la-Jolie", "formation sélective", "BUT", "I.U.T. de Mantes en Yvelines - BUT - Génie industriel et maintenance Parcours : Ingénierie des Systèmes Pluritechniques (ISP) - Management, Méthodes et Maintenance Innovante (3MI)", "BUT - Production", "Ingénierie des Systèmes Pluritechniques (ISP) - Management, Méthodes et Maintenance Innovante (3MI)", 50, 403, 41, 284, 0, 90, 23, 114, 32, 7, 2, 73, 119, 36, 14, 7, 62, 208, 34, 0, 0, 81, 20, 89, 20, 2, 1, 36, 223, 45, 4, 31, 14, 10.0, 30.0, 38.0, 0, 5, 27, 10, 17, 0, 18, 0, 19, 6, 2, 0, 0.0, 2, 6, 0, 0, 0, 24, 25, 22.22, 66.67, 84.44, 8.8984375, 88.890625, 92.59375, 0, 18.5, 60.0, 0.0, 70.390625, 22.19921875, 7.3994140625, 0.0, 0.0, 37.0, 7.3994140625, 63.0, 22.19921875, 0.0, 0.0, 89.0, 20.0, 2.0, 1.0, 48.0, "Tous les candidats sauf les Bac technologiques", 109.0, "Bacheliers technologiques toutes séries", 104, "", 0, "Liste d'appel propre à cette formation", 73.0, "10011", "BUT - Génie industriel et maintenance Parcours : Ingénierie des Systèmes Pluritechniques (ISP) - Management, Méthodes et Maintenance Innovante (3MI)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10011&g_ta_cod=10011", 49.0, 49.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(9701, "Privé sous contrat d'association", "0910843X", "Lycée Polyvalent Institut Saint Pierre", "91", "Essonne", "Ile-de-France", "Versailles", "Brunoy", "formation sélective", "Autre formation", "Lycée Polyvalent Institut Saint Pierre - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 32, 191, 90, 153, 0, 43, 6, 19, 2, 11, 4, 80, 38, 7, 6, 6, 19, 95, 25, 0, 0, 39, 5, 15, 0, 8, 2, 33, 109, 19, 11, 12, 7, 5.0, 12.0, 19.0, 0, 1, 5, 0, 3, 2, 14, 0, 4, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 3, 4, 26.32, 63.16, 100.0, 57.8984375, 60.0, 80.0, 0, 20.0, 26.296875, 0.0, 80.0, 0.0, 20.0, 0.0, 0.0, 0.0, 0.0, 60.0, 0.0, 40.0, 20.0, 41.0, 8.0, 10.0, 3.0, 41.0, "Tous les candidats", 95.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "10900", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10900&g_ta_cod=10900", 47.0, 37.0, 16.0),
(9702, "Public", "0851473P", "Université de Nantes (La Roche)", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation non sélective", "Licence", "Université de Nantes (La Roche) - Double licence - Droit / Langues étrangères appliquées - Double cursus : Droit - LEA", "Licence - Droit-économie-gestion / Arts-lettres-langues", "Double cursus : Droit - LEA", 190, 1025, 886, 1018, 0, 863, 175, 30, 11, 10, 3, 115, 7, 3, 0, 0, 4, 1009, 6, 0, 0, 863, 175, 30, 11, 10, 3, 106, 764, 188, 164, 184, 4, 109.0, 162.0, 174.0, 0, 39, 166, 161, 4, 1, 22, 1, 12, 57, 65, 31, 0.0, 150, 2, 1, 0, 0, 83, 83, 57.98, 86.17, 92.55, 87.1875, 50.0, 50.0, 0, 23.5, 88.296875, 0.5999755859375, 7.19921875, 34.296875, 39.1953125, 18.7, 0.0, 97.0, 90.390625, 2.39990234375, 1.199951171875, 0.5999755859375, 0.5999755859375, 680.0, 143.0, 3.0, 1.0, 72.0, "Tous les candidats", 930.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "10569", "Double licence - Droit / Langues étrangères appliquées - Double cursus : Droit - LEA", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10569&g_ta_cod=10569", 97.0, 2.0, 1.0),
(9703, "Public", "0020014E", "Lycée Gay Lussac", "02", "Aisne", "Hauts-de-France", "Amiens", "Chauny", "formation sélective", "BTS", "Lycée Gay Lussac - BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "BTS - Production", "", 24, 55, 12, 53, 0, 0, 0, 28, 5, 14, 7, 11, 2, 0, 0, 1, 1, 45, 2, 0, 0, 0, 0, 28, 5, 14, 7, 3, 40, 15, 1, 13, 2, 7.0, 13.0, 15.0, 0, 5, 13, 0, 7, 6, 2, 0, 9, 4, 0, 0, 0.0, 0, 2, 2, 4, 0, 13, 13, 46.67, 86.67, 100.0, 6.69921875, 100.0, 100.0, 30.796875, 38.5, 86.6875, 0.0, 69.1875, 30.796875, 0.0, 0.0, 0.0, 0.0, 0.0, 53.796875, 15.3984375, 46.1953125, 15.3984375, 0.0, 0.0, 15.0, 8.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 85.0, "17286", "BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17286&g_ta_cod=17286", 7.0, 47.0, 47.0),
(9704, "Privé sous contrat d'association", "0890070T", "Lycée SAINT-JOSEPH", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Auxerre", "formation sélective", "BTS", "Lycée SAINT-JOSEPH - BTS - Services - Notariat", "BTS - Services", "", 28, 262, 178, 221, 0, 53, 6, 31, 9, 17, 7, 120, 41, 6, 5, 1, 29, 110, 19, 0, 0, 45, 5, 25, 6, 11, 5, 29, 107, 19, 16, 14, 5, 2.0, 14.0, 17.0, 0, 4, 9, 5, 3, 1, 10, 0, 6, 3, 0, 0, 0.0, 2, 1, 0, 0, 0, 8, 8, 10.53, 73.68, 89.47, 84.1875, 88.890625, 88.890625, 0, 44.3984375, 47.3984375, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 55.59375, 22.19921875, 33.296875, 11.099609375, 11.099609375, 0.0, 38.0, 5.0, 9.0, 5.0, 40.0, "Tous les candidats sauf les Bac professionnels", 98.0, "Bacheliers professionnels toutes séries", 12, "", 0, "Liste d'appel propre à cette formation", 50.0, "10779", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10779&g_ta_cod=10779", 79.0, 16.0, 5.0),
(9705, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 325, 2691, 2290, 2691, 0, 1470, 310, 316, 93, 89, 33, 816, 0, 0, 0, 0, 0, 2690, 0, 0, 0, 1470, 310, 316, 93, 89, 33, 815, 1152, 322, 280, 322, 0, 55.0, 225.0, 285.0, 0, 63, 246, 175, 53, 18, 76, 2, 90, 119, 30, 5, 0.0, 111, 29, 14, 0, 0, 236, 236, 17.08, 69.88, 88.51, 87.0, 95.890625, 95.890625, 0, 25.59765625, 76.390625, 0.7999267578125, 36.59375, 48.3984375, 12.19921875, 2.0, 0.0, 71.09375, 45.09375, 21.5, 11.798828125, 7.2998046875, 5.69921875, 627.0, 119.0, 53.0, 20.0, 316.0, "Tous les candidats", 1585.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 52.0, "3561", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27298&g_ta_cod=3561", 70.0, 20.0, 9.0),
(9706, "Privé sous contrat d'association", "0421613A", "IFSI Croix Rouge Française St Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "IFSI", "Regroupement d'IFSI Université St Etienne - D.E Infirmier", "D.E secteur sanitaire", "", 120, 3878, 3258, 3878, 0, 698, 154, 761, 227, 289, 126, 2130, 0, 0, 0, 0, 0, 2445, 0, 0, 0, 561, 102, 544, 126, 149, 54, 1191, 890, 120, 94, 120, 0, 5.0, 61.0, 97.0, 0, 24, 61, 16, 31, 14, 59, 0, 15, 36, 9, 1, 0.0, 13, 20, 13, 0, 0, 49, 49, 4.17, 50.83, 80.83, 78.296875, 80.296875, 80.296875, 0, 39.296875, 50.796875, 0.0, 24.59765625, 59.0, 14.798828125, 1.6, 0.0, 26.19921875, 21.296875, 50.796875, 32.796875, 23.0, 21.296875, 205.0, 40.0, 60.0, 26.0, 373.0, "Tous les candidats", 1369.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "23234", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22993&g_ta_cod=23234", 36.0, 43.0, 20.0),
(9707, "Privé enseignement supérieur", "0597098V", "Institut Social de Lille - Antenne de Maubeuge", "59", "Nord", "Hauts-de-France", "Lille", "Maubeuge", "formation sélective", "EFTS", "Institut Social de Lille - Institut Catholique de Lille - D.E Assistant de Service Social", "D.E secteur social", "", 14, 76, 70, 58, 0, 12, 3, 9, 1, 8, 2, 29, 18, 1, 0, 7, 10, 38, 5, 0, 0, 8, 1, 7, 1, 3, 1, 20, 33, 14, 13, 9, 5, 3.0, 9.0, 12.0, 0, 3, 5, 2, 1, 2, 9, 0, 1, 3, 0, 1, 0.0, 1, 1, 2, 0, 0, 4, 4, 21.43, 64.29, 85.71, 92.890625, 80.0, 80.0, 0, 60.0, 35.6953125, 0.0, 20.0, 60.0, 0.0, 20.0, 0.0, 40.0, 20.0, 20.0, 20.0, 40.0, 40.0, 4.0, 1.0, 3.0, 2.0, 21.0, "Tous les candidats", 102.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 66.0, "25195", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23726&g_ta_cod=25195", 50.0, 21.0, 29.0),
(9708, "Privé sous contrat d'association", "0910808J", "Lycée St Charles", "91", "Essonne", "Ile-de-France", "Versailles", "Athis-Mons", "formation sélective", "BTS", "Lycée St Charles - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 410, 227, 391, 0, 24, 9, 128, 50, 87, 47, 152, 19, 0, 6, 4, 9, 272, 0, 0, 0, 24, 9, 114, 43, 37, 17, 97, 151, 17, 7, 17, 0, 1.0, 10.0, 14.0, 0, 3, 10, 1, 5, 4, 7, 0, 8, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 3, 8, 5.88, 58.82, 82.35, 41.1953125, 30.0, 80.0, 0, 30.0, 58.796875, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 10.0, 0.0, 50.0, 10.0, 40.0, 10.0, 5.0, 3.0, 27.0, 14.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 127, "Liste d'appel propre à cette formation", 48.0, "10890", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10890&g_ta_cod=10890", 12.0, 59.0, 29.0),
(9709, "Privé sous contrat d'association", "0350918H", "Lycée agricole LES VERGERS", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Dol-de-Bretagne", "formation sélective", "BTS", "Lycée agricole LES VERGERS - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 30, 181, 56, 181, 0, 19, 3, 80, 12, 66, 19, 16, 0, 0, 0, 0, 0, 95, 0, 0, 0, 14, 3, 45, 9, 36, 11, 0, 69, 32, 5, 32, 0, 12.0, 32.0, 32.0, 0, 7, 32, 1, 24, 7, 0, 0, 9, 17, 6, 0, 0.0, 1, 17, 5, 27, 2, 29, 29, 37.5, 100.0, 100.0, 15.599609375, 90.59375, 90.59375, 84.390625, 21.8984375, 100.0, 0.0, 28.09765625, 53.09375, 18.796875, 0.0, 0.0, 3.099609375, 3.099609375, 75.0, 53.09375, 21.8984375, 15.599609375, 11.0, 2.0, 28.0, 9.0, 0.0, "Tous les candidats sauf les Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 46.0, "4705", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4705&g_ta_cod=4705", 3.0, 75.0, 22.0),
(9710, "Privé enseignement supérieur", "T942095T", "EPITA Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Ecole d'Ingénieur", "Concours Advance - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 70, 2168, 333, 2168, 0, 2162, 183, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 1788, 0, 0, 0, 1788, 119, 0, 0, 0, 0, 0, 1290, 81, 12, 81, 0, 55.0, 67.0, 77.0, 0, 6, 81, 81, 0, 0, 0, 0, 5, 37, 28, 9, 2.0, 76, 0, 0, 0, 0, 40, 40, 67.9, 82.72, 95.06, 14.798828125, 49.3984375, 49.3984375, 0, 7.3994140625, 100.0, 0.0, 6.19921875, 45.6953125, 34.59375, 11.1, 2.5, 100.0, 93.796875, 0.0, 0.0, 0.0, 0.0, 1290.0, 76.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "482", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Advance", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=124&g_ta_cod=482", 100.0, 0.0, 0.0),
(9711, "Public", "0312822Z", "Lycée polyvalent Charles de Gaulle", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Muret", "formation sélective", "Autre formation", "Lycée polyvalent Charles de Gaulle - Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "Mention complémentaire", "", 12, 11, 0, 9, 0, 0, 0, 0, 0, 8, 4, 1, 2, 0, 0, 1, 1, 9, 2, 0, 0, 0, 0, 0, 0, 8, 4, 1, 11, 6, 0, 4, 2, 4.0, 4.0, 4.0, 0, 3, 5, 0, 0, 5, 1, 0, 2, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 5, 5, 66.67, 66.67, 66.67, 0.0, 100.0, 100.0, 0, 60.0, 83.296875, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 9.0, 5.0, 2.0, "Tous les candidats", 9.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4248", "Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4248&g_ta_cod=4248", 0.0, 0.0, 100.0),
(9712, "Public", "0031082K", "Lycée Valery Larbaud", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Cusset", "formation sélective", "BTS", "Lycée Valery Larbaud - BTS - Services - Diététique", "BTS - Services", "", 30, 959, 790, 959, 0, 236, 31, 279, 61, 68, 23, 376, 0, 0, 0, 0, 0, 866, 0, 0, 0, 236, 31, 258, 53, 68, 23, 304, 159, 29, 25, 29, 0, 2.0, 14.0, 22.0, 0, 3, 22, 11, 8, 3, 7, 0, 4, 8, 9, 1, 0.0, 8, 7, 3, 1, 1, 8, 8, 6.9, 48.28, 75.86, 86.1875, 36.3984375, 36.3984375, 4.5, 13.599609375, 75.890625, 0.0, 18.19921875, 36.3984375, 40.8984375, 4.5, 0.0, 50.0, 36.3984375, 36.3984375, 31.796875, 13.599609375, 13.599609375, 55.0, 7.0, 7.0, 1.0, 57.0, "Tous les candidats sauf les Bac professionnels", 228.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 25.0, "2156", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2156&g_ta_cod=2156", 52.0, 38.0, 10.0),
(9713, "Privé sous contrat d'association", "0690651H", "Lycée professionnel Saint Joseph", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Saint Joseph - Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "Mention complémentaire", "", 10, 12, 0, 12, 0, 0, 0, 0, 0, 11, 2, 1, 0, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 11, 2, 1, 11, 5, 0, 5, 0, 5.0, 5.0, 5.0, 0, 2, 5, 0, 0, 5, 0, 0, 4, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 5, 5, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 40.0, 100.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 20.0, 0.0, 0.0, 10.0, 2.0, 1.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "25157", "Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25157&g_ta_cod=25157", 0.0, 0.0, 100.0),
(9714, "Public", "0910626L", "Lycée Blaise Pascal", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "CPGE", "Lycée Blaise Pascal - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 1659, 576, 1659, 0, 1452, 88, 0, 0, 0, 0, 207, 0, 0, 0, 0, 0, 1230, 0, 0, 1230, 1196, 66, 0, 0, 0, 0, 34, 533, 45, 12, 45, 0, 10.0, 28.0, 36.0, 0, 2, 45, 45, 0, 0, 0, 0, 0, 0, 19, 25, 1.0, 45, 0, 0, 7, 4, 35, 38, 22.22, 62.22, 80.0, 26.69921875, 77.796875, 84.390625, 15.599609375, 4.3994140625, 100.0, 0.0, 0.0, 0.0, 42.1953125, 55.6, 2.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 529.0, 37.0, 0.0, 0.0, 4.0, "Tous les candidats", 616.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "10860", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10860&g_ta_cod=10860", 100.0, 0.0, 0.0),
(9715, "Public", "0721493G", "Lycée Marguerite Yourcenar", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Marguerite Yourcenar - BTS - Services - Commerce International", "BTS - Services", "", 35, 763, 421, 763, 0, 187, 44, 212, 71, 82, 33, 282, 0, 0, 0, 0, 0, 246, 0, 0, 0, 75, 15, 82, 17, 24, 6, 65, 113, 35, 23, 35, 0, 8.0, 30.0, 34.0, 0, 9, 22, 7, 11, 4, 13, 0, 3, 11, 5, 3, 0.0, 6, 9, 4, 7, 4, 20, 20, 22.86, 85.71, 97.14, 65.6875, 90.890625, 90.890625, 31.796875, 40.8984375, 62.8984375, 0.0, 13.599609375, 50.0, 22.69921875, 13.6, 0.0, 31.796875, 27.296875, 50.0, 40.8984375, 18.19921875, 18.19921875, 26.0, 8.0, 7.0, 3.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 23.0, "8768", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8768&g_ta_cod=8768", 43.0, 46.0, 11.0),
(9716, "Public", "0782562L", "Lycée Hoche", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Hoche - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 3852, 1173, 3852, 3230, 3578, 212, 1, 0, 0, 0, 273, 0, 0, 0, 0, 0, 1429, 0, 541, 1408, 1422, 101, 0, 0, 0, 0, 7, 165, 46, 15, 46, 0, 6.0, 41.0, 45.0, 12, 5, 46, 46, 0, 0, 0, 1, 0, 0, 6, 25, 14.0, 45, 0, 0, 15, 5, 43, 43, 13.04, 89.13, 97.83, 32.59375, 93.5, 93.5, 32.59375, 10.8984375, 100.0, 2.19970703125, 0.0, 0.0, 13.0, 54.3, 30.4, 100.0, 97.796875, 0.0, 0.0, 0.0, 0.0, 165.0, 14.0, 0.0, 0.0, 0.0, "Tous les candidats", 232.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "10043", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10043&g_ta_cod=10043", 100.0, 0.0, 0.0),
(9717, "Public", "0040490L", "Lycée PIERRE-GILLES DE GENNES", "04", "Alpes-de-Haute-Provence", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Digne-les-Bains", "formation sélective", "BTS", "Lycée PIERRE-GILLES DE GENNES - BTS - Production - Métiers de l'eau", "BTS - Production", "", 24, 199, 47, 195, 0, 24, 4, 72, 12, 9, 3, 90, 4, 1, 1, 0, 2, 102, 4, 0, 0, 23, 4, 58, 8, 4, 2, 17, 81, 18, 1, 17, 1, 5.0, 17.0, 17.0, 0, 0, 16, 6, 9, 1, 2, 0, 5, 9, 2, 0, 0.0, 3, 7, 1, 2, 0, 7, 7, 27.78, 94.44, 94.44, 5.599609375, 43.796875, 43.796875, 12.5, 0.0, 88.890625, 0.0, 31.296875, 56.296875, 12.5, 0.0, 0.0, 37.5, 18.796875, 56.296875, 43.796875, 6.2998046875, 6.2998046875, 19.0, 2.0, 5.0, 3.0, 14.0, "Tous les candidats sauf les Bac professionnels", 94.0, "Bacheliers professionnels toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 50.0, "2164", "BTS - Production - Métiers de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2164&g_ta_cod=2164", 44.0, 50.0, 6.0),
(9718, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Portail Licence 1ère année Portail Physique - Chimie", "Licence - Sciences - technologies - santé", "Licence 1ère année Portail Physique - Chimie", 216, 1473, 778, 1299, 0, 861, 131, 36, 10, 1, 1, 401, 174, 47, 7, 1, 119, 1300, 168, 0, 0, 862, 131, 36, 10, 1, 1, 401, 1172, 132, 55, 72, 59, 2.0, 71.0, 117.0, 0, 13, 64, 56, 7, 1, 68, 0, 21, 23, 13, 7, 0.0, 38, 4, 1, 0, 0, 54, 54, 1.52, 53.79, 88.64, 41.6953125, 84.390625, 84.390625, 0, 20.296875, 48.5, 0.0, 32.796875, 35.8984375, 20.296875, 10.9, 0.0, 87.5, 59.3984375, 10.8984375, 6.2998046875, 1.599853515625, 1.599853515625, 770.0, 105.0, 2.0, 1.0, 378.0, "Tous les candidats", 1662.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "6325", "Licence - Portail Licence 1ère année Portail Physique - Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26964&g_ta_cod=6325", 88.0, 8.0, 4.0),
(9719, "Privé sous contrat d'association", "0060735S", "Lycée Les Fauvettes", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BTS", "Lycée Les Fauvettes - BTS - Services - Economie sociale familiale", "BTS - Services", "", 36, 227, 210, 227, 0, 22, 9, 66, 18, 84, 31, 55, 0, 0, 0, 0, 0, 177, 0, 0, 0, 22, 9, 62, 18, 58, 18, 35, 106, 32, 32, 32, 0, 7.0, 20.0, 25.0, 0, 7, 25, 3, 11, 11, 7, 0, 9, 11, 4, 1, 0.0, 0, 6, 10, 5, 5, 22, 22, 21.88, 62.5, 78.13, 100.0, 88.0, 88.0, 20, 28.0, 78.09375, 0.0, 36.0, 44.0, 16.0, 4.0, 0.0, 12.0, 0.0, 44.0, 24.0, 44.0, 40.0, 11.0, 3.0, 39.0, 8.0, 19.0, "Tous les candidats sauf les Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 49.0, "2243", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2243&g_ta_cod=2243", 13.0, 41.0, 47.0),
(9720, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Economie et gestion - Parcours Sciences économiques et gestion d'entreprise", "Licence - Droit-économie-gestion", "Sciences économiques et gestion d'entreprise", 25, 1299, 595, 423, 0, 157, 31, 159, 63, 8, 3, 99, 876, 106, 188, 22, 560, 102, 17, 0, 0, 0, 0, 102, 42, 0, 0, 0, 103, 19, 7, 10, 9, 3.0, 10.0, 12.0, 0, 7, 18, 0, 18, 0, 1, 0, 6, 7, 2, 1, 2.0, 0, 12, 0, 0, 0, 13, 13, 15.79, 52.63, 63.16, 36.796875, 72.1875, 72.1875, 0, 38.8984375, 94.6875, 0.0, 33.296875, 38.8984375, 11.099609375, 5.6, 11.1, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 102.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "7101", "Licence - Economie et gestion - Parcours Sciences économiques et gestion d'entreprise", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7101&g_ta_cod=7101", 0.0, 100.0, 0.0),
(9721, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Langues étrangères appliquées - Parcours Langues étrangères appliquées, Economie et interculturalité, option Anglais Espagnol", "Licence - Arts-lettres-langues", "Langues étrangères appliquées, Economie et interculturalité, option Anglais Espagnol", 15, 138, 105, 135, 0, 82, 28, 10, 6, 5, 3, 38, 3, 0, 0, 0, 3, 135, 3, 0, 0, 82, 28, 10, 6, 5, 3, 38, 71, 15, 11, 13, 2, 2.0, 13.0, 13.0, 0, 4, 12, 11, 0, 1, 3, 0, 2, 4, 5, 1, 0.0, 10, 0, 0, 0, 0, 9, 9, 13.33, 86.67, 86.67, 73.296875, 75.0, 75.0, 0, 33.296875, 80.0, 0.0, 16.69921875, 33.296875, 41.6953125, 8.3, 0.0, 91.6875, 83.296875, 0.0, 0.0, 8.298828125, 0.0, 48.0, 13.0, 2.0, 2.0, 20.0, "Tous les candidats", 119.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "20733", "Licence - Langues étrangères appliquées - Parcours Langues étrangères appliquées, Economie et interculturalité, option Anglais Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20733&g_ta_cod=20733", 87.0, 0.0, 13.0),
(9722, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Sciences sociales - Parcours Arts du spectacle", "Licence - Sciences humaines et sociales", "Arts du spectacle", 32, 193, 146, 166, 0, 107, 15, 17, 4, 4, 3, 38, 27, 7, 2, 1, 17, 166, 25, 0, 0, 107, 15, 17, 4, 4, 3, 38, 173, 28, 25, 25, 3, 15.0, 25.0, 27.0, 0, 2, 20, 19, 1, 0, 8, 0, 6, 8, 4, 2, 0.0, 13, 1, 0, 0, 0, 14, 14, 53.57, 89.29, 96.43, 89.296875, 70.0, 70.0, 0, 10.0, 71.390625, 0.0, 30.0, 40.0, 20.0, 10.0, 0.0, 95.0, 65.0, 5.0, 5.0, 0.0, 0.0, 104.0, 15.0, 4.0, 2.0, 49.0, "Tous les candidats", 166.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "27510", "Licence - Sciences sociales - Parcours Arts du spectacle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27510&g_ta_cod=27510", 96.0, 4.0, 0.0),
(9723, "Privé enseignement supérieur", "0592806E", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence_Las", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences - Licence - Portail Sciences de la vie - biologie", "Licence - Sciences - technologies - santé", "biologie", 24, 467, 313, 467, 0, 342, 65, 18, 11, 2, 2, 105, 0, 0, 0, 0, 0, 372, 0, 0, 0, 309, 45, 0, 0, 0, 0, 63, 123, 20, 14, 20, 0, 4.0, 13.0, 18.0, 0, 1, 19, 19, 0, 0, 1, 0, 7, 7, 5, 0, 0.0, 12, 0, 0, 0, 0, 9, 9, 20.0, 65.0, 90.0, 70.0, 47.3984375, 47.3984375, 0, 5.2998046875, 95.0, 0.0, 36.796875, 36.796875, 26.296875, 0.0, 0.0, 100.0, 63.1953125, 0.0, 0.0, 0.0, 0.0, 118.0, 16.0, 0.0, 0.0, 5.0, "Tous les candidats", 315.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 47.0, "28854", "Licence - Portail Sciences de la vie - biologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28853&g_ta_cod=28854", 100.0, 0.0, 0.0),
(9724, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues étrangères appliquées - Parcours Anglais-Grec moderne", "Licence - Arts-lettres-langues", "Anglais-Grec moderne", 10, 54, 37, 41, 0, 22, 4, 4, 0, 2, 2, 13, 13, 1, 1, 0, 11, 41, 12, 0, 0, 22, 4, 4, 0, 2, 2, 13, 41, 10, 5, 3, 7, 0.0, 3.0, 8.0, 0, 0, 1, 1, 0, 0, 9, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 0.0, 30.0, 80.0, 50.0, 0.0, 0.0, 0, 0.0, 10.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 18.0, 4.0, 0.0, 0.0, 21.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4580", "Licence - Langues étrangères appliquées - Parcours Anglais-Grec moderne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4580&g_ta_cod=4580", 90.0, 0.0, 10.0),
(9725, "Public", "0750671X", "Lycée Edgar Quinet", "75", "Paris", "Ile-de-France", "Paris", "Paris  9e  Arrondissement", "formation sélective", "BTS", "Lycée Edgar Quinet - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 1153, 507, 1153, 0, 110, 40, 342, 164, 262, 138, 439, 0, 0, 0, 0, 0, 530, 0, 0, 0, 86, 33, 155, 75, 187, 101, 102, 168, 23, 12, 21, 0, 0.0, 13.0, 17.0, 0, 10, 16, 1, 5, 10, 7, 0, 6, 5, 4, 1, 0.0, 0, 3, 7, 0, 0, 8, 15, 0.0, 56.52, 73.91, 52.1953125, 50.0, 93.796875, 0, 62.5, 69.59375, 0.0, 37.5, 31.296875, 25.0, 6.3, 0.0, 6.2998046875, 0.0, 31.296875, 18.796875, 62.5, 43.796875, 26.0, 13.0, 50.0, 27.0, 47.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 77.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 127, "Liste d'appel propre à cette formation", 25.0, "9008", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9008&g_ta_cod=9008", 17.0, 35.0, 48.0),
(9726, "Public", "0890005X", "Lycée Joseph Fourier", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Auxerre", "formation sélective", "BTS", "Lycée Joseph Fourier - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 289, 138, 207, 0, 33, 14, 45, 16, 41, 12, 88, 82, 6, 16, 0, 60, 100, 4, 0, 0, 22, 8, 27, 8, 30, 11, 21, 71, 16, 12, 14, 0, 2.0, 12.0, 12.0, 0, 4, 11, 2, 4, 5, 5, 0, 2, 4, 5, 0, 0.0, 1, 3, 5, 1, 1, 11, 11, 12.5, 75.0, 75.0, 75.0, 100.0, 100.0, 9.099609375, 36.3984375, 68.796875, 0.0, 18.19921875, 36.3984375, 45.5, 0.0, 0.0, 18.19921875, 9.099609375, 36.3984375, 27.296875, 45.5, 45.5, 11.0, 2.0, 20.0, 8.0, 21.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 43.0, "10773", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10773&g_ta_cod=10773", 19.0, 31.0, 50.0),
(9727, "Public", "0920136Y", "Lycée Newton-Enrea", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Clichy", "formation sélective", "BTS", "Lycée Newton-Enrea - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 28, 453, 23, 453, 0, 4, 1, 54, 23, 261, 106, 134, 0, 0, 0, 0, 0, 317, 0, 0, 0, 1, 0, 35, 13, 252, 102, 29, 138, 28, 0, 28, 0, 1.0, 16.0, 25.0, 0, 8, 24, 0, 5, 19, 4, 0, 11, 10, 3, 0, 0.0, 0, 0, 13, 10, 0, 18, 23, 3.57, 57.14, 89.29, 0.0, 75.0, 95.796875, 41.6953125, 33.296875, 85.6875, 0.0, 45.796875, 41.6953125, 12.5, 0.0, 0.0, 0.0, 0.0, 20.796875, 0.0, 79.1875, 54.1953125, 1.0, 0.0, 94.0, 36.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 159, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 45.0, "10992", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10992&g_ta_cod=10992", 0.0, 25.0, 75.0),
(9728, "Public", "0763096C", "ISEL Le Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 45, 3120, 767, 3114, 0, 2634, 240, 0, 0, 0, 0, 480, 6, 4, 0, 0, 2, 1997, 1, 0, 0, 1838, 117, 0, 0, 0, 0, 159, 1998, 23, 8, 23, 0, 22.0, 22.0, 22.0, 0, 1, 20, 20, 0, 0, 3, 0, 0, 7, 12, 1, 0.0, 20, 0, 0, 0, 0, 8, 8, 95.65, 95.65, 95.65, 34.796875, 40.0, 40.0, 0, 5.0, 87.0, 0.0, 0.0, 35.0, 60.0, 5.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1839.0, 117.0, 0.0, 0.0, 159.0, "Autres candidats", 13685.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 64.0, "33", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=33", 100.0, 0.0, 0.0),
(9729, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Science politique", "Licence - Droit-économie-gestion", "", 130, 1796, 985, 1796, 0, 1582, 148, 29, 5, 4, 2, 181, 0, 0, 0, 0, 0, 1796, 0, 0, 0, 1582, 148, 29, 5, 4, 2, 181, 462, 145, 96, 145, 0, 24.0, 130.0, 145.0, 0, 12, 138, 136, 1, 1, 7, 0, 0, 29, 82, 26, 1.0, 136, 1, 1, 0, 0, 76, 76, 16.55, 89.66, 100.0, 66.1875, 55.09375, 55.09375, 0, 8.69921875, 95.1875, 0.0, 0.0, 21.0, 59.3984375, 18.8, 0.7, 98.59375, 98.59375, 0.699951171875, 0.699951171875, 0.699951171875, 0.699951171875, 434.0, 38.0, 1.0, 0.0, 25.0, "Tous les candidats", 650.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "23989", "Licence - Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23989&g_ta_cod=23989", 99.0, 1.0, 1.0),
(9730, "Public", "0541669W", "Unité de Formation et de Recherche de Sciences Médicales de l'université de Lorraine Hors PASS", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Vandoeuvre-lès-Nancy", "formation sélective", "Autre formation", "Regroupement Bourgogne ? Franche-Comté et Grand Est - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 40, 2260, 2185, 2260, 0, 682, 71, 43, 13, 7, 2, 1528, 0, 0, 0, 0, 0, 398, 0, 0, 0, 289, 16, 8, 2, 2, 1, 99, 151, 40, 39, 40, 0, 10.0, 32.0, 35.0, 0, 2, 31, 29, 1, 1, 9, 0, 0, 1, 20, 10, 0.0, 29, 1, 1, 0, 0, 6, 6, 25.0, 80.0, 87.5, 97.5, 19.3984375, 19.3984375, 0, 6.5, 77.5, 0.0, 0.0, 3.19970703125, 64.5, 32.3, 0.0, 93.5, 93.5, 3.19970703125, 3.19970703125, 3.19970703125, 3.19970703125, 98.0, 7.0, 1.0, 0.0, 50.0, "Tous les candidats", 207.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 8.0, "28050", "Certificat de capacité d'Orthophoniste", "Regroupement Bourgogne ? Franche-Comté et Grand Est", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28048&g_ta_cod=28050", 93.0, 5.0, 3.0),
(9731, "Public", "9740002J", "Lycée Roland Garros", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation sélective", "CPGE", "Lycée Roland Garros - CPGE - BCPST", "Classe préparatoire scientifique", "", 42, 366, 252, 366, 225, 302, 73, 5, 4, 0, 0, 59, 0, 0, 0, 0, 0, 212, 0, 146, 204, 184, 31, 0, 0, 0, 0, 28, 124, 45, 32, 45, 0, 25.0, 45.0, 45.0, 27, 9, 43, 43, 0, 0, 2, 0, 0, 1, 18, 19, 5.0, 43, 0, 0, 0, 0, 42, 42, 55.56, 100.0, 100.0, 71.09375, 97.6875, 97.6875, 0, 20.8984375, 95.59375, 0.0, 0.0, 2.2998046875, 41.8984375, 44.2, 11.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 111.0, 29.0, 0.0, 0.0, 13.0, "Tous les candidats", 134.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "11885", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11885&g_ta_cod=11885", 100.0, 0.0, 0.0),
(9732, "Public", "0650026A", "Lycée Marie Curie", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "Autre formation", "Lycée Marie Curie - Diplôme de Comptabilité et de Gestion", "DCG", "", 24, 364, 177, 364, 0, 164, 24, 82, 22, 6, 4, 112, 0, 0, 0, 0, 0, 241, 0, 0, 0, 144, 20, 36, 7, 0, 0, 61, 127, 25, 10, 25, 0, 2.0, 21.0, 25.0, 0, 1, 21, 20, 1, 0, 4, 0, 6, 8, 7, 0, 0.0, 14, 1, 0, 0, 0, 14, 14, 8.0, 84.0, 100.0, 40.0, 66.6875, 66.6875, 0, 4.7998046875, 84.0, 0.0, 28.59765625, 38.09375, 33.296875, 0.0, 0.0, 95.1875, 66.6875, 4.7998046875, 4.7998046875, 0.0, 0.0, 99.0, 15.0, 0.0, 0.0, 23.0, "Tous les candidats", 191.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "7814", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7814&g_ta_cod=7814", 96.0, 4.0, 0.0),
(9733, "Public", "0141555P", "Lycée Marie Curie", "14", "Calvados", "Normandie", "Normandie", "Vire Normandie", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 32, 520, 368, 515, 0, 145, 20, 136, 20, 60, 17, 174, 5, 0, 3, 0, 2, 320, 3, 0, 0, 104, 12, 67, 9, 45, 11, 104, 160, 27, 17, 26, 1, 4.0, 19.0, 24.0, 0, 5, 20, 7, 6, 7, 7, 0, 6, 10, 2, 2, 0.0, 4, 3, 7, 0, 0, 11, 11, 14.81, 70.37, 88.89, 63.0, 55.0, 55.0, 0, 25.0, 74.09375, 0.0, 30.0, 50.0, 10.0, 10.0, 0.0, 35.0, 20.0, 30.0, 15.0, 35.0, 35.0, 41.0, 6.0, 25.0, 7.0, 54.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 128.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 48.0, "2903", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2903&g_ta_cod=2903", 41.0, 33.0, 26.0),
(9734, "Public", "0230019W", "Lycée professionnel Des Metiers Du Batiment", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Felletin", "formation sélective", "Autre formation", "Lycée professionnel Des Metiers Du Batiment - Mention complémentaire - Peinture décoration", "Mention complémentaire", "", 10, 38, 16, 38, 0, 4, 0, 2, 0, 18, 6, 14, 0, 0, 0, 0, 0, 38, 0, 0, 0, 4, 0, 2, 0, 18, 6, 14, 32, 11, 4, 11, 0, 3.0, 9.0, 10.0, 0, 1, 6, 1, 1, 4, 5, 0, 4, 1, 1, 0, 0.0, 0, 1, 1, 0, 0, 2, 2, 27.27, 81.82, 90.91, 36.3984375, 33.296875, 33.296875, 0, 16.69921875, 54.5, 0.0, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 16.69921875, 0.0, 16.69921875, 16.69921875, 66.6875, 16.69921875, 3.0, 0.0, 18.0, 6.0, 9.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "18895", "Mention complémentaire - Peinture décoration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18895&g_ta_cod=18895", 45.0, 18.0, 36.0),
(9735, "Public", "0142133T", "Lycée P. S. De Laplace", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée P. S. De Laplace - BTS - Production - Bâtiment", "BTS - Production", "", 24, 365, 59, 365, 0, 62, 4, 116, 21, 89, 23, 98, 0, 0, 0, 0, 0, 238, 0, 0, 0, 51, 2, 104, 16, 66, 14, 17, 89, 25, 5, 25, 0, 5.0, 20.0, 24.0, 0, 2, 23, 4, 9, 10, 2, 0, 6, 11, 4, 2, 0.0, 3, 4, 10, 12, 1, 22, 22, 20.0, 80.0, 96.0, 20.0, 95.6875, 95.6875, 52.1953125, 8.69921875, 92.0, 0.0, 26.09765625, 47.796875, 17.3984375, 8.7, 0.0, 17.3984375, 13.0, 39.09375, 17.3984375, 43.5, 43.5, 21.0, 2.0, 28.0, 6.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 36.0, "2930", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2930&g_ta_cod=2930", 16.0, 44.0, 40.0),
(9736, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Double Licence mention Langues, littératures & civilisations étrangères et régionales (LLCER) [Espagnol] - mention LLCER [Portugais]", "Licence - Arts-lettres-langues", "Double Licence mention Langues, littératures & civilisations étrangères et régionales (LLCER) [Espagnol] - mention LLCER [Portugais]", 10, 75, 57, 49, 0, 29, 6, 9, 1, 1, 0, 10, 26, 5, 5, 2, 14, 35, 11, 0, 0, 27, 6, 3, 1, 0, 0, 5, 38, 5, 3, 0, 5, 0.0, 0.0, 1.0, 0, 0, 2, 2, 0, 0, 3, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 0.0, 0.0, 20.0, 60.0, 100.0, 100.0, 0, 0.0, 40.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 26.0, 6.0, 0.0, 0.0, 8.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "24470", "Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Double Licence mention Langues, littératures & civilisations étrangères et régionales (LLCER) [Espagnol] - mention LLCER [Portugais]", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24470&g_ta_cod=24470", 80.0, 20.0, 0.0),
(9737, "Privé sous contrat d'association", "0590348H", "HEI Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 5, 84, 7, 84, 0, 0, 0, 84, 21, 0, 0, 0, 0, 0, 0, 0, 0, 45, 0, 0, 0, 0, 0, 45, 10, 0, 0, 0, 16, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0.0, 0, 1, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "22910", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=22910", 0.0, 100.0, 0.0),
(9738, "Public", "0510035L", "Lycée Hugues Libergier", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Hugues Libergier - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 628, 564, 628, 0, 62, 25, 226, 94, 159, 73, 181, 0, 0, 0, 0, 0, 199, 0, 0, 0, 30, 12, 98, 38, 41, 17, 30, 96, 22, 20, 22, 0, 2.0, 16.0, 22.0, 0, 7, 18, 2, 7, 9, 4, 0, 6, 9, 3, 0, 0.0, 2, 2, 8, 5, 5, 16, 16, 9.09, 72.73, 100.0, 90.890625, 88.890625, 88.890625, 27.796875, 38.8984375, 81.796875, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 11.099609375, 11.099609375, 38.8984375, 11.099609375, 50.0, 44.3984375, 6.0, 3.0, 32.0, 13.0, 12.0, "Tous les candidats sauf les Bac professionnels", 93.0, "Bacheliers professionnels toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 22.0, "6076", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6076&g_ta_cod=6076", 14.0, 41.0, 45.0),
(9739, "Privé sous contrat d'association", "0783351U", "Lycée Notre Dame du Grandchamp", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "Autre formation", "Lycée Notre Dame du Grandchamp - Diplôme de Comptabilité et de Gestion", "DCG", "", 43, 592, 265, 592, 0, 439, 30, 65, 13, 3, 0, 85, 0, 0, 0, 0, 0, 216, 0, 0, 0, 208, 13, 5, 0, 0, 0, 3, 142, 43, 23, 43, 0, 14.0, 37.0, 38.0, 0, 2, 43, 43, 0, 0, 0, 0, 0, 5, 34, 4, 0.0, 43, 0, 0, 0, 0, 35, 38, 32.56, 86.05, 88.37, 53.5, 81.390625, 88.390625, 0, 4.69921875, 100.0, 0.0, 0.0, 11.599609375, 79.09375, 9.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 140.0, 10.0, 0.0, 0.0, 2.0, "Tous les candidats", 158.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "10097", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10097&g_ta_cod=10097", 100.0, 0.0, 0.0),
(9740, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence_Las", "Université de Poitiers - Licence - Portail  -  option Santé", "Licence - Sciences - technologies - santé", "", 40, 256, 114, 226, 0, 138, 20, 11, 2, 0, 0, 77, 30, 7, 2, 0, 21, 221, 30, 0, 0, 138, 20, 11, 2, 0, 0, 72, 189, 36, 9, 29, 7, 1.0, 21.0, 29.0, 0, 3, 24, 23, 1, 0, 12, 0, 9, 6, 8, 1, 0.0, 14, 1, 0, 0, 0, 18, 18, 2.78, 58.33, 80.56, 25.0, 75.0, 75.0, 0, 12.5, 66.6875, 0.0, 37.5, 25.0, 33.296875, 4.2, 0.0, 95.796875, 58.296875, 4.19921875, 4.19921875, 0.0, 0.0, 116.0, 17.0, 0.0, 0.0, 66.0, "Tous les candidats", 216.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "28740", "Licence - Portail  -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28740&g_ta_cod=28740", 89.0, 11.0, 0.0),
(9741, "Public", "0750692V", "Lycée Emile Dubois", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "BTS", "Lycée Emile Dubois - BTS - Services - Commerce International", "BTS - Services", "", 35, 3091, 1746, 3091, 0, 763, 200, 1010, 385, 350, 170, 968, 0, 0, 0, 0, 0, 2398, 0, 0, 0, 566, 144, 845, 320, 335, 165, 652, 237, 37, 24, 37, 0, 3.0, 29.0, 35.0, 0, 11, 29, 10, 15, 4, 8, 0, 1, 15, 12, 1, 0.0, 9, 15, 4, 1, 1, 5, 26, 8.11, 78.38, 94.59, 64.890625, 17.19921875, 89.6875, 3.39990234375, 37.8984375, 78.390625, 0.0, 3.39990234375, 51.6953125, 41.3984375, 3.4, 0.0, 34.5, 31.0, 51.6953125, 51.6953125, 13.798828125, 13.798828125, 83.0, 31.0, 13.0, 6.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 174.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 234, "Liste d'appel propre à cette formation", 14.0, "9111", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9111&g_ta_cod=9111", 43.0, 46.0, 11.0),
(9742, "Privé sous contrat d'association", "0700983N", "IFSI Croix Rouge Française Vesoul", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Vesoul", "formation sélective", "IFSI", "Regroupement d'IFSI Université Franche-Comté Besançon - D.E Infirmier", "D.E secteur sanitaire", "", 54, 2068, 1778, 2068, 0, 387, 62, 386, 92, 228, 63, 1067, 0, 0, 0, 0, 0, 1776, 0, 0, 0, 355, 54, 343, 74, 170, 44, 908, 609, 54, 47, 54, 0, 0.0, 19.0, 39.0, 0, 12, 31, 12, 12, 7, 23, 0, 3, 20, 7, 1, 0.0, 11, 10, 7, 0, 0, 27, 27, 0.0, 35.19, 72.22, 87.0, 87.09375, 87.09375, 0, 38.6953125, 57.3984375, 0.0, 9.69921875, 64.5, 22.59765625, 3.2, 0.0, 38.6953125, 35.5, 38.6953125, 32.296875, 22.59765625, 22.59765625, 133.0, 26.0, 56.0, 17.0, 301.0, "Tous les candidats", 1275.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "23116", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22990&g_ta_cod=23116", 44.0, 26.0, 30.0),
(9743, "Public", "0170087C", "Lycée agricole Georges Desclaude", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Saintes", "formation sélective", "BTS", "Lycée agricole Georges Desclaude - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 30, 370, 103, 356, 0, 41, 6, 56, 10, 76, 12, 183, 14, 5, 1, 4, 4, 302, 8, 0, 0, 41, 6, 56, 10, 76, 12, 129, 89, 16, 6, 12, 4, 6.0, 12.0, 13.0, 0, 6, 15, 7, 5, 3, 1, 0, 9, 4, 1, 1, 0.0, 2, 2, 2, 3, 2, 13, 13, 37.5, 75.0, 81.25, 37.5, 86.6875, 86.6875, 20, 40.0, 93.796875, 0.0, 60.0, 26.69921875, 6.69921875, 6.7, 0.0, 46.6953125, 13.298828125, 33.296875, 13.298828125, 20.0, 13.298828125, 23.0, 5.0, 31.0, 7.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 39.0, "3047", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3047&g_ta_cod=3047", 50.0, 31.0, 19.0),
(9744, "Public", "0840003X", "Lycée Frédéric Mistral", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "Autre formation", "Lycée Frédéric Mistral - Préparation au concours IEP", "Année préparatoire", "Préparation au concours IEP", 25, 331, 204, 331, 0, 315, 51, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 315, 0, 0, 0, 315, 51, 0, 0, 0, 0, 0, 64, 25, 20, 25, 0, 11.0, 22.0, 24.0, 0, 10, 25, 25, 0, 0, 0, 0, 1, 6, 9, 9, 0.0, 24, 0, 0, 0, 0, 13, 13, 44.0, 88.0, 96.0, 80.0, 52.0, 52.0, 0, 40.0, 100.0, 0.0, 4.0, 24.0, 36.0, 36.0, 0.0, 100.0, 96.0, 0.0, 0.0, 0.0, 0.0, 64.0, 29.0, 0.0, 0.0, 0.0, "Tous les candidats", 79.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "10412", "Préparation au concours IEP", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10412&g_ta_cod=10412", 100.0, 0.0, 0.0),
(9745, "Public", "0754247J", "I.U.T de Paris Descartes", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "BUT", "I.U.T de Paris Descartes - BUT - Information communication Parcours publicité", "BUT - Service", "", 28, 1529, 1198, 1529, 0, 932, 135, 338, 103, 10, 1, 249, 0, 0, 0, 0, 0, 114, 0, 0, 0, 42, 2, 67, 13, 1, 0, 4, 47, 28, 16, 28, 0, 16.0, 28.0, 28.0, 0, 2, 26, 16, 10, 0, 2, 0, 1, 6, 16, 2, 1.0, 15, 10, 0, 0, 0, 2, 20, 57.14, 100.0, 100.0, 57.09375, 7.69921875, 76.890625, 0, 7.69921875, 92.890625, 0.0, 3.7998046875, 23.09765625, 61.5, 7.7, 3.8, 61.5, 57.6953125, 38.5, 38.5, 0.0, 0.0, 22.0, 2.0, 1.0, 0.0, 2.0, "Tous les candidats sauf les Bac technologiques", 25.0, "Bacheliers technologiques toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 3.0, "9521", "BUT - Information communication Parcours publicité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9521&g_ta_cod=9521", 64.0, 36.0, 0.0),
(9746, "Public", "0670071N", "Lycée Koeberle", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Sélestat", "formation sélective", "BTS", "Lycée Koeberle - BTS - Services - Support à l'action managériale", "BTS - Services", "", 30, 368, 249, 321, 0, 16, 4, 129, 46, 107, 62, 69, 47, 2, 1, 20, 24, 169, 12, 0, 0, 13, 3, 83, 24, 50, 26, 23, 150, 23, 14, 17, 3, 3.0, 14.0, 19.0, 0, 7, 16, 1, 6, 9, 7, 0, 7, 8, 1, 0, 0.0, 1, 2, 6, 3, 2, 16, 16, 13.04, 60.87, 82.61, 60.8984375, 100.0, 100.0, 18.796875, 43.796875, 69.59375, 0.0, 43.796875, 50.0, 6.2998046875, 0.0, 0.0, 6.2998046875, 6.2998046875, 37.5, 12.5, 56.296875, 37.5, 12.0, 3.0, 50.0, 24.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 87, "Liste d'appel propre à cette formation", 52.0, "7908", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7908&g_ta_cod=7908", 17.0, 39.0, 43.0),
(9747, "Privé sous contrat d'association", "0332473J", "MAISON FAMILIALE RURALE", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Vayres", "formation sélective", "BTS", "MAISON FAMILIALE RURALE - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 35, 77, 29, 72, 0, 8, 0, 17, 2, 19, 2, 28, 5, 0, 2, 0, 3, 51, 1, 0, 0, 8, 0, 17, 2, 18, 1, 8, 50, 15, 6, 14, 1, 13.0, 14.0, 15.0, 0, 1, 9, 1, 3, 5, 6, 0, 4, 3, 1, 1, 0.0, 1, 1, 3, 1, 0, 7, 7, 86.67, 93.33, 100.0, 40.0, 77.796875, 77.796875, 11.099609375, 11.099609375, 60.0, 0.0, 44.3984375, 33.296875, 11.099609375, 11.1, 0.0, 11.099609375, 11.099609375, 33.296875, 11.099609375, 55.59375, 33.296875, 8.0, 0.0, 18.0, 1.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 69.0, "4441", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4441&g_ta_cod=4441", 40.0, 20.0, 40.0),
(9748, "Public", "0672462M", "I.U.T. de Schiltigheim", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Schiltigheim", "formation sélective", "BUT", "I.U.T. de Schiltigheim - BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "BUT - Production", "", 28, 655, 309, 646, 0, 406, 30, 77, 21, 0, 0, 163, 9, 0, 6, 0, 3, 199, 1, 0, 0, 117, 6, 42, 10, 0, 0, 40, 112, 24, 12, 23, 1, 7.0, 18.0, 24.0, 0, 1, 16, 14, 2, 0, 8, 0, 1, 4, 7, 4, 0.0, 14, 1, 0, 0, 0, 12, 12, 29.17, 75.0, 100.0, 50.0, 75.0, 75.0, 0, 6.2998046875, 66.6875, 0.0, 6.2998046875, 25.0, 43.796875, 25.0, 0.0, 87.5, 87.5, 12.5, 6.2998046875, 0.0, 0.0, 63.0, 5.0, 0.0, 0.0, 26.0, "Tous les candidats sauf les Bac technologiques", 131.0, "Bacheliers technologiques toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 28.0, "8002", "BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8002&g_ta_cod=8002", 83.0, 17.0, 0.0),
(9749, "Public", "0531040T", "Institut de formation d'ergotherapie centre hospitalier de Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "Autre formation", "Institut de formation d'ergotherapie centre hospitalier de Laval - D.E Ergothérapeute", "D.E secteur sanitaire", "", 16, 659, 585, 659, 0, 167, 18, 95, 9, 11, 1, 386, 0, 0, 0, 0, 0, 164, 0, 0, 0, 100, 8, 45, 4, 6, 1, 13, 48, 16, 16, 16, 0, 3.0, 14.0, 16.0, 0, 1, 14, 9, 3, 2, 2, 0, 0, 3, 9, 2, 0.0, 9, 3, 2, 0, 0, 9, 9, 18.75, 87.5, 100.0, 100.0, 64.296875, 64.296875, 0, 7.099609375, 87.5, 0.0, 0.0, 21.3984375, 64.296875, 14.3, 0.0, 64.296875, 64.296875, 21.3984375, 21.3984375, 14.298828125, 14.298828125, 26.0, 2.0, 4.0, 1.0, 7.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "30832", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30832&g_ta_cod=30832", 69.0, 19.0, 13.0),
(9750, "Public", "0673168E", "CNAM GRAND EST", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Saverne", "formation sélective", "Autre formation", "CNAM GRAND EST - Formation Supérieure de Spécialisation - Comptabilité", "Diplôme d'Université", "Comptabilité", 15, 48, 19, 38, 0, 4, 1, 0, 0, 2, 2, 32, 10, 0, 0, 2, 8, 16, 7, 0, 0, 4, 1, 0, 0, 1, 1, 11, 26, 3, 1, 1, 2, 1.0, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 33.33, 33.33, 33.33, 33.296875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5.0, 2.0, 5.0, 4.0, 16.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "34142", "Formation Supérieure de Spécialisation - Comptabilité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34142&g_ta_cod=34142", 67.0, 33.0, 0.0),
(9751, "Public", "0870748R", "Lycée professionnel Le Mas Jambost", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée professionnel Le Mas Jambost - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 24, 445, 379, 445, 0, 89, 22, 49, 10, 189, 62, 118, 0, 0, 0, 0, 0, 445, 0, 0, 0, 89, 22, 49, 10, 189, 62, 118, 88, 26, 22, 26, 0, 9.0, 23.0, 23.0, 0, 7, 23, 7, 5, 11, 3, 0, 3, 12, 6, 2, 0.0, 6, 3, 11, 4, 2, 12, 12, 34.62, 88.46, 88.46, 84.59375, 52.1953125, 52.1953125, 17.3984375, 30.3984375, 88.5, 0.0, 13.0, 52.1953125, 26.09765625, 8.7, 0.0, 30.3984375, 26.09765625, 21.69921875, 13.0, 47.796875, 47.796875, 22.0, 5.0, 47.0, 12.0, 6.0, "Tous les candidats sauf les Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 70, "", 0, "Liste d'appel propre à cette formation", 27.0, "12387", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12387&g_ta_cod=12387", 35.0, 19.0, 46.0),
(9752, "Public", "0470003Y", "Lycée Jean-Baptiste De Baudre", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "BTS", "Lycée Jean-Baptiste De Baudre - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 234, 31, 231, 0, 6, 0, 57, 11, 38, 14, 130, 3, 0, 2, 0, 1, 111, 0, 0, 0, 6, 0, 57, 11, 38, 14, 10, 72, 10, 0, 10, 0, 2.0, 8.0, 9.0, 0, 4, 10, 0, 4, 6, 0, 0, 6, 2, 2, 0, 0.0, 0, 1, 3, 3, 0, 9, 9, 20.0, 80.0, 90.0, 0.0, 90.0, 90.0, 30, 40.0, 100.0, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 0.0, 0.0, 40.0, 10.0, 60.0, 30.0, 5.0, 0.0, 22.0, 7.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 43.0, "5766", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5766&g_ta_cod=5766", 0.0, 40.0, 60.0),
(9753, "Privé sous contrat d'association", "0333481E", "YNCREA - BÈGLES", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 10, 1485, 370, 1483, 0, 1473, 107, 0, 0, 0, 0, 10, 2, 2, 0, 0, 0, 1350, 0, 0, 0, 1344, 95, 0, 0, 0, 0, 6, 1231, 3, 0, 3, 0, 2.0, 3.0, 3.0, 0, 0, 3, 3, 0, 0, 0, 0, 1, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 66.67, 100.0, 100.0, 0.0, 66.6875, 66.6875, 0, 0.0, 100.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 1225.0, 84.0, 0.0, 0.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "31111", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=31111", 100.0, 0.0, 0.0),
(9754, "Public", "0310047H", "Lycée Ozenne", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Ozenne - BTS - Services - Commerce International", "BTS - Services", "", 70, 2403, 1303, 2403, 0, 614, 159, 761, 289, 363, 182, 665, 0, 0, 0, 0, 0, 2403, 0, 0, 0, 614, 159, 761, 289, 363, 182, 665, 235, 72, 54, 72, 0, 22.0, 70.0, 70.0, 0, 23, 65, 17, 28, 20, 7, 0, 7, 29, 26, 3, 0.0, 17, 24, 17, 2, 1, 53, 53, 30.56, 97.22, 97.22, 75.0, 81.5, 81.5, 3.099609375, 35.3984375, 90.296875, 0.0, 10.798828125, 44.59375, 40.0, 4.6, 0.0, 26.19921875, 26.19921875, 43.09375, 36.8984375, 30.796875, 26.19921875, 70.0, 20.0, 42.0, 15.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 105.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 155, "Liste d'appel propre à cette formation", 13.0, "4073", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4073&g_ta_cod=4073", 25.0, 44.0, 31.0),
(9755, "Privé sous contrat d'association", "0631068U", "Lycée Godefroy De Bouillon", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée Godefroy De Bouillon - BTS - Production - Electrotechnique", "BTS - Production", "", 26, 140, 8, 123, 0, 7, 2, 20, 3, 62, 13, 34, 17, 5, 2, 4, 6, 82, 15, 0, 0, 6, 2, 15, 3, 53, 10, 8, 85, 21, 3, 17, 4, 6.0, 14.0, 17.0, 0, 6, 18, 1, 3, 14, 3, 0, 3, 9, 6, 0, 0.0, 0, 2, 13, 2, 1, 16, 16, 28.57, 66.67, 80.95, 14.298828125, 88.890625, 88.890625, 11.099609375, 33.296875, 85.6875, 0.0, 16.69921875, 50.0, 33.296875, 0.0, 0.0, 5.599609375, 0.0, 16.69921875, 11.099609375, 77.796875, 72.1875, 10.0, 3.0, 46.0, 10.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 64.0, "7605", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7605&g_ta_cod=7605", 10.0, 19.0, 71.0),
(9756, "Privé sous contrat d'association", "0530068L", "Lycée HAUTE-FOLLIS", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "Lycée HAUTE-FOLLIS - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 280, 250, 260, 0, 23, 5, 65, 11, 82, 19, 90, 20, 0, 10, 7, 3, 201, 7, 0, 0, 22, 5, 60, 9, 71, 17, 48, 140, 28, 25, 26, 2, 5.0, 19.0, 25.0, 0, 6, 20, 2, 10, 8, 8, 0, 11, 5, 3, 1, 0.0, 1, 2, 6, 6, 6, 15, 15, 17.86, 67.86, 89.29, 89.296875, 75.0, 75.0, 30, 30.0, 71.390625, 0.0, 55.0, 25.0, 15.0, 5.0, 0.0, 10.0, 5.0, 50.0, 10.0, 40.0, 30.0, 15.0, 4.0, 53.0, 12.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 86, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 77.0, "6212", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6212&g_ta_cod=6212", 21.0, 43.0, 36.0),
(9757, "Public", "0611148S", "Lycée Jean Monnet", "61", "Orne", "Normandie", "Normandie", "Mortagne-au-Perche", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 200, 122, 191, 0, 9, 4, 63, 23, 58, 17, 61, 9, 0, 1, 3, 5, 145, 2, 0, 0, 9, 4, 63, 23, 58, 17, 15, 107, 21, 17, 20, 1, 5.0, 15.0, 20.0, 0, 7, 19, 3, 7, 9, 2, 0, 7, 9, 3, 0, 0.0, 2, 6, 4, 2, 2, 16, 16, 23.81, 71.43, 95.24, 81.0, 84.1875, 84.1875, 10.5, 36.796875, 90.5, 0.0, 36.796875, 47.3984375, 15.798828125, 0.0, 0.0, 15.798828125, 10.5, 36.796875, 31.59765625, 47.3984375, 21.09765625, 3.0, 2.0, 48.0, 15.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 75.0, "7316", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7316&g_ta_cod=7316", 19.0, 38.0, 43.0),
(9758, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Portail Sciences de la vie, de la Terre et de l'environnement (SVTE)", "Licence - Sciences - technologies - santé", "Sciences de la vie, de la Terre et de l'environnement (SVTE) : Sciences de la terre", 80, 1845, 1121, 1818, 0, 1053, 211, 41, 15, 6, 4, 718, 27, 3, 0, 0, 24, 1800, 27, 0, 0, 1053, 211, 41, 15, 6, 4, 700, 1297, 78, 25, 62, 16, 12.0, 26.0, 50.0, 0, 5, 43, 43, 0, 0, 35, 1, 18, 16, 5, 2, 1.0, 24, 0, 0, 0, 0, 35, 35, 15.38, 33.33, 64.1, 32.09375, 81.390625, 81.390625, 0, 11.599609375, 55.09375, 2.2998046875, 41.8984375, 37.1953125, 11.599609375, 4.7, 2.3, 100.0, 55.796875, 0.0, 0.0, 0.0, 0.0, 742.0, 152.0, 2.0, 1.0, 543.0, "Tous les candidats", 4676.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 80.0, "28611", "Licence - Portail Sciences de la vie, de la Terre et de l'environnement (SVTE)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28609&g_ta_cod=28611", 87.0, 12.0, 1.0),
(9759, "Public", "0540041B", "Lycée Georges de la Tour", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Georges de la Tour - BTS - Services - Professions immobilières", "BTS - Services", "", 24, 1591, 933, 1582, 0, 368, 74, 531, 161, 293, 121, 390, 9, 1, 4, 0, 4, 443, 3, 0, 0, 120, 20, 168, 42, 107, 43, 48, 114, 20, 13, 19, 1, 3.0, 11.0, 13.0, 0, 4, 13, 5, 5, 3, 7, 0, 2, 6, 4, 1, 0.0, 3, 5, 3, 0, 0, 9, 9, 15.0, 55.0, 65.0, 65.0, 69.1875, 69.1875, 0, 30.796875, 65.0, 0.0, 15.3984375, 46.1953125, 30.796875, 7.7, 0.0, 38.5, 23.09765625, 38.5, 38.5, 23.09765625, 23.09765625, 19.0, 8.0, 5.0, 2.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 129, "Liste d'appel propre à cette formation", 11.0, "6258", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6258&g_ta_cod=6258", 45.0, 40.0, 15.0),
(9760, "Public", "0680032R", "Lycée Michel De Montaigne", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "CPGE", "Lycée Michel De Montaigne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 20, 275, 134, 267, 160, 216, 21, 1, 1, 0, 0, 50, 8, 3, 1, 0, 4, 212, 2, 127, 192, 195, 16, 0, 0, 0, 0, 17, 124, 9, 2, 9, 0, 1.0, 9.0, 9.0, 0, 1, 9, 9, 0, 0, 0, 0, 1, 3, 5, 0, 0.0, 8, 0, 0, 1, 1, 8, 8, 11.11, 100.0, 100.0, 22.19921875, 88.890625, 88.890625, 11.099609375, 11.099609375, 100.0, 0.0, 11.099609375, 33.296875, 55.59375, 0.0, 0.0, 100.0, 88.890625, 0.0, 0.0, 0.0, 0.0, 116.0, 9.0, 0.0, 0.0, 8.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "31621", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31390&g_ta_cod=31621", 100.0, 0.0, 0.0),
(9761, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Physique, chimie", "Licence - Sciences - technologies - santé", "", 70, 692, 323, 632, 0, 430, 90, 37, 12, 2, 2, 163, 60, 12, 4, 1, 43, 631, 51, 0, 0, 430, 90, 37, 12, 2, 2, 162, 585, 64, 20, 33, 31, 10.0, 31.0, 47.0, 0, 11, 28, 22, 5, 1, 36, 0, 10, 7, 7, 4, 0.0, 15, 3, 0, 0, 0, 25, 25, 15.63, 48.44, 73.44, 31.296875, 89.296875, 89.296875, 0, 39.296875, 43.796875, 0.0, 35.6953125, 25.0, 25.0, 14.3, 0.0, 78.59375, 53.59375, 17.8984375, 10.69921875, 3.599609375, 0.0, 383.0, 85.0, 2.0, 2.0, 177.0, "Tous les candidats", 628.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7007", "Licence - Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7007&g_ta_cod=7007", 84.0, 13.0, 2.0),
(9762, "Privé sous contrat d'association", "0442227G", "Ifom", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Ifom - BTS - Services - Diététique", "BTS - Services", "", 35, 713, 558, 709, 0, 202, 18, 192, 51, 38, 8, 277, 4, 0, 0, 3, 1, 169, 0, 0, 0, 69, 7, 25, 9, 3, 1, 72, 65, 35, 26, 35, 0, 20.0, 30.0, 34.0, 0, 3, 14, 10, 4, 0, 21, 0, 2, 5, 7, 0, 0.0, 8, 4, 0, 0, 0, 10, 10, 57.14, 85.71, 97.14, 74.296875, 71.390625, 71.390625, 0, 21.3984375, 40.0, 0.0, 14.298828125, 35.6953125, 50.0, 0.0, 0.0, 71.390625, 57.09375, 28.59765625, 28.59765625, 0.0, 0.0, 19.0, 2.0, 1.0, 1.0, 34.0, "Tous les candidats sauf les Bac professionnels", 81.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 12.0, "5626", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5626&g_ta_cod=5626", 66.0, 31.0, 3.0),
(9763, "Public", "0623134V", "IFSI du CH d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 118, 5428, 4381, 5428, 0, 1053, 264, 1162, 370, 566, 243, 2647, 0, 0, 0, 0, 0, 4543, 0, 0, 0, 962, 233, 963, 292, 466, 195, 2152, 969, 117, 103, 117, 0, 6.0, 73.0, 98.0, 0, 27, 89, 36, 37, 16, 28, 0, 11, 41, 31, 6, 0.0, 31, 33, 14, 0, 0, 77, 77, 5.13, 62.39, 83.76, 88.0, 86.5, 86.5, 0, 30.296875, 76.09375, 0.0, 12.3984375, 46.09375, 34.796875, 6.7, 0.0, 40.3984375, 34.796875, 41.59375, 37.09375, 18.0, 15.69921875, 228.0, 53.0, 125.0, 54.0, 380.0, "Tous les candidats", 3386.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "23147", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23147", 45.0, 38.0, 15.0),
(9764, "Public", "0782556E", "Lycée Léonard de Vinci", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "BTS", "Lycée Léonard de Vinci - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 251, 8, 251, 0, 5, 2, 50, 13, 127, 47, 69, 0, 0, 0, 0, 0, 140, 0, 0, 0, 1, 0, 42, 12, 71, 24, 26, 77, 24, 1, 24, 0, 6.0, 18.0, 23.0, 0, 5, 15, 1, 6, 8, 9, 1, 4, 5, 2, 3, 0.0, 1, 2, 7, 2, 0, 15, 15, 25.0, 75.0, 95.83, 4.19921875, 100.0, 100.0, 13.298828125, 33.296875, 62.5, 6.69921875, 26.69921875, 33.296875, 13.298828125, 20.0, 0.0, 6.69921875, 6.69921875, 40.0, 13.298828125, 53.296875, 46.6953125, 1.0, 0.0, 37.0, 12.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 45.0, "10036", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10036&g_ta_cod=10036", 4.0, 29.0, 67.0),
(9765, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Science politique", "Licence - Droit-économie-gestion", "", 90, 1558, 882, 1558, 0, 1258, 217, 38, 17, 4, 2, 258, 0, 0, 0, 0, 0, 1556, 0, 0, 0, 1258, 217, 38, 17, 4, 2, 256, 438, 89, 48, 88, 0, 5.0, 81.0, 87.0, 0, 14, 72, 72, 0, 0, 17, 0, 0, 10, 43, 19, 0.0, 72, 0, 0, 0, 0, 43, 43, 5.62, 91.01, 97.75, 53.8984375, 59.6953125, 59.6953125, 0, 19.3984375, 80.890625, 0.0, 0.0, 13.8984375, 59.6953125, 26.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 377.0, 67.0, 0.0, 0.0, 61.0, "Tous les candidats", 681.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "20727", "Licence - Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20727&g_ta_cod=20727", 100.0, 0.0, 0.0),
(9766, "Public", "0330159U", "Centre de Ressources, d'Expertise et de Performance Sportive Bordeaux-Aquitaine (CREPS)", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive Bordeaux-Aquitaine (CREPS) - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 10, 491, 111, 491, 0, 117, 26, 103, 26, 117, 41, 154, 0, 0, 0, 0, 0, 53, 0, 0, 0, 16, 2, 6, 1, 8, 2, 23, 15, 10, 1, 10, 0, 7.0, 8.0, 8.0, 0, 2, 4, 1, 0, 3, 6, 0, 2, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 4, 4, 70.0, 80.0, 80.0, 10.0, 100.0, 100.0, 0, 50.0, 40.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 25.0, 0.0, 0.0, 0.0, 75.0, 50.0, 3.0, 1.0, 3.0, 2.0, 7.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 3.0, "21275", "BPJEPS - Activités physiques pour tous", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21275&g_ta_cod=21275", 40.0, 10.0, 50.0),
(9767, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Lettres - Parcours Lettres - Mineure Théâtre", "Licence - Arts-lettres-langues", "Lettres - Mineure Théâtre", 25, 286, 212, 286, 0, 176, 25, 6, 1, 3, 0, 101, 0, 0, 0, 0, 0, 286, 0, 0, 0, 176, 25, 6, 1, 3, 0, 101, 149, 25, 18, 25, 0, 1.0, 14.0, 22.0, 0, 3, 16, 13, 2, 1, 9, 0, 4, 7, 4, 1, 0.0, 11, 0, 1, 0, 0, 0, 11, 4.0, 56.0, 88.0, 72.0, 0.0, 68.796875, 0, 18.796875, 64.0, 0.0, 25.0, 43.796875, 25.0, 6.3, 0.0, 81.296875, 68.796875, 12.5, 0.0, 6.2998046875, 6.2998046875, 96.0, 12.0, 2.0, 0.0, 46.0, "Tous les candidats", 249.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "9228", "Licence - Lettres - Parcours Lettres - Mineure Théâtre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9228&g_ta_cod=9228", 84.0, 8.0, 4.0),
(9768, "Public", "9730309Y", "Lycée Melkior Garre", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "BTS", "Lycée Melkior Garre - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 28, 294, 94, 232, 0, 45, 20, 43, 26, 85, 50, 59, 62, 0, 7, 25, 30, 59, 5, 0, 0, 31, 14, 16, 10, 4, 2, 8, 49, 19, 1, 16, 3, 7.0, 16.0, 16.0, 0, 7, 13, 6, 6, 1, 6, 1, 5, 5, 2, 0, 0.0, 3, 3, 1, 5, 0, 13, 13, 36.84, 84.21, 84.21, 5.2998046875, 100.0, 100.0, 38.5, 53.796875, 68.390625, 7.69921875, 38.5, 38.5, 15.3984375, 0.0, 0.0, 46.1953125, 23.09765625, 46.1953125, 23.09765625, 7.69921875, 7.69921875, 18.0, 9.0, 4.0, 2.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers technologiques toutes séries", 18, "Bacheliers professionnels toutes séries", 6, "Liste d'appel propre à cette formation", 19.0, "31218", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31218&g_ta_cod=31218", 42.0, 42.0, 16.0),
(9769, "Public", "0782557F", "Lycée Jean-Baptiste Poquelin", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "BTS", "Lycée Jean-Baptiste Poquelin - BTS - Services - Commerce International", "BTS - Services", "", 35, 1068, 554, 1068, 0, 185, 28, 401, 121, 183, 64, 299, 0, 0, 0, 0, 0, 377, 0, 0, 0, 93, 11, 187, 54, 77, 27, 20, 120, 35, 25, 35, 0, 6.0, 32.0, 34.0, 0, 11, 33, 4, 20, 9, 2, 0, 5, 15, 10, 3, 0.0, 1, 18, 9, 6, 3, 32, 32, 17.14, 91.43, 97.14, 71.390625, 97.0, 97.0, 18.19921875, 33.296875, 94.296875, 0.0, 15.19921875, 45.5, 30.296875, 9.1, 0.0, 12.099609375, 3.0, 60.59375, 54.5, 27.296875, 27.296875, 24.0, 10.0, 19.0, 4.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 104, "Liste d'appel propre à cette formation", 16.0, "10040", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10040&g_ta_cod=10040", 11.0, 63.0, 26.0),
(9770, "Privé sous contrat d'association", "0630110C", "ITSRA", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "EFTS", "ITSRA - D.E Assistant de Service Social", "D.E secteur social", "", 20, 92, 86, 92, 0, 21, 3, 19, 4, 3, 0, 49, 0, 0, 0, 0, 0, 64, 0, 0, 0, 11, 1, 12, 2, 0, 0, 41, 34, 20, 19, 20, 0, 11.0, 17.0, 17.0, 0, 1, 4, 2, 2, 0, 16, 0, 2, 2, 0, 0, 0.0, 0, 2, 0, 0, 0, 2, 2, 55.0, 85.0, 85.0, 95.0, 50.0, 50.0, 0, 25.0, 20.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 5.0, 1.0, 0.0, 0.0, 25.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "23695", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23695&g_ta_cod=23695", 65.0, 25.0, 10.0),
(9771, "Public", "0610021S", "Lycée Jean Guehenno", "61", "Orne", "Normandie", "Normandie", "Flers", "formation sélective", "Autre formation", "Lycée Jean Guehenno - DTS Imagerie médicale et radiologie thérapeutique (Seconde année possible en apprentissage)", "D.E secteur sanitaire", "", 15, 292, 229, 292, 0, 41, 9, 120, 35, 8, 1, 123, 0, 0, 0, 0, 0, 243, 0, 0, 0, 41, 9, 117, 34, 1, 0, 84, 77, 14, 12, 14, 0, 4.0, 11.0, 13.0, 0, 1, 7, 0, 7, 0, 7, 0, 0, 6, 1, 0, 0.0, 0, 7, 0, 0, 0, 5, 5, 28.57, 78.57, 92.86, 85.6875, 71.390625, 71.390625, 0, 14.298828125, 50.0, 0.0, 0.0, 85.6875, 14.298828125, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 11.0, 2.0, 0.0, 0.0, 23.0, "Tous les candidats", 100.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "7303", "DTS Imagerie médicale et radiologie thérapeutique (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7303&g_ta_cod=7303", 21.0, 71.0, 7.0),
(9772, "Public", "0310032S", "Lycée De Bagatelle", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Saint-Gaudens", "formation sélective", "BTS", "Lycée De Bagatelle - BTS - Services - Gestion de la PME", "BTS - Services", "", 12, 272, 184, 256, 0, 13, 2, 56, 22, 105, 56, 82, 16, 0, 0, 9, 7, 160, 3, 0, 0, 11, 1, 49, 18, 71, 34, 29, 77, 4, 4, 4, 0, 0.0, 1.0, 3.0, 0, 0, 3, 0, 0, 3, 1, 0, 0, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 3, 3, 0.0, 25.0, 75.0, 100.0, 100.0, 100.0, 0, 0.0, 75.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 9.0, 1.0, 35.0, 15.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 37.0, "4034", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4034&g_ta_cod=4034", 0.0, 0.0, 100.0),
(9773, "Privé sous contrat d'association", "0500127S", "Lycée Le Bon Sauveur", "50", "Manche", "Normandie", "Normandie", "Saint-Lô", "formation sélective", "BTS", "Lycée Le Bon Sauveur - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 18, 169, 153, 165, 0, 25, 5, 35, 3, 57, 13, 48, 4, 0, 2, 0, 2, 152, 1, 0, 0, 24, 4, 35, 3, 55, 11, 38, 76, 15, 15, 14, 1, 1.0, 10.0, 11.0, 0, 3, 11, 0, 6, 5, 4, 0, 5, 3, 3, 0, 0.0, 0, 2, 4, 3, 3, 11, 11, 6.67, 66.67, 73.33, 100.0, 100.0, 100.0, 27.296875, 27.296875, 73.296875, 0.0, 45.5, 27.296875, 27.296875, 0.0, 0.0, 0.0, 0.0, 54.5, 18.19921875, 45.5, 36.3984375, 9.0, 1.0, 27.0, 6.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 55.0, "6016", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6016&g_ta_cod=6016", 0.0, 40.0, 53.0),
(9774, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études turques", "Licence - Arts-lettres-langues", "Études turques", 75, 189, 147, 145, 0, 39, 26, 27, 17, 31, 23, 48, 44, 3, 2, 15, 24, 143, 38, 0, 0, 39, 26, 27, 17, 31, 23, 46, 181, 39, 32, 23, 16, 23.0, 23.0, 31.0, 0, 15, 18, 3, 3, 12, 21, 0, 11, 5, 2, 0, 0.0, 0, 1, 6, 0, 0, 10, 10, 58.97, 58.97, 79.49, 82.09375, 55.59375, 55.59375, 0, 83.296875, 46.1953125, 0.0, 61.09375, 27.796875, 11.099609375, 0.0, 0.0, 16.69921875, 0.0, 16.69921875, 5.599609375, 66.6875, 33.296875, 42.0, 27.0, 43.0, 29.0, 68.0, "Tous les candidats", 143.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "8044", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études turques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8044&g_ta_cod=8044", 18.0, 28.0, 54.0),
(9775, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues étrangères appliquées : Anglais-Chinois", "Licence - Arts-lettres-langues", "Licence 1 LEA - Langues étrangères appliquées : Anglais-Chinois", 145, 655, 504, 631, 0, 405, 99, 35, 10, 12, 7, 179, 24, 7, 1, 0, 16, 623, 24, 0, 0, 405, 99, 35, 10, 12, 7, 171, 647, 143, 103, 123, 20, 121.0, 122.0, 135.0, 0, 25, 87, 79, 5, 3, 56, 0, 26, 38, 19, 3, 1.0, 56, 2, 3, 0, 0, 40, 40, 84.62, 85.31, 94.41, 72.0, 46.0, 46.0, 0, 28.69921875, 60.796875, 0.0, 29.8984375, 43.6953125, 21.796875, 3.4, 1.1, 90.796875, 64.390625, 5.69921875, 2.2998046875, 3.39990234375, 3.39990234375, 412.0, 102.0, 12.0, 7.0, 187.0, "Tous les candidats", 623.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4418", "Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues étrangères appliquées : Anglais-Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4418&g_ta_cod=4418", 83.0, 10.0, 5.0),
(9776, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "PASS", "Université de Bourgogne - site de Dijon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 144, 2487, 1487, 2487, 0, 2022, 256, 62, 11, 16, 7, 387, 0, 0, 0, 0, 0, 2482, 0, 0, 0, 2023, 257, 62, 11, 16, 7, 381, 513, 143, 78, 143, 0, 18.0, 138.0, 139.0, 0, 18, 142, 140, 2, 0, 1, 0, 0, 38, 78, 24, 2.0, 140, 2, 0, 0, 0, 130, 130, 12.59, 96.5, 97.2, 54.5, 91.5, 91.5, 0, 12.69921875, 99.296875, 0.0, 0.0, 26.796875, 54.8984375, 16.9, 1.4, 98.59375, 98.59375, 1.39990234375, 1.39990234375, 0.0, 0.0, 488.0, 68.0, 1.0, 0.0, 17.0, "Tous les candidats", 3241.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 65.0, "27685", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27662&g_ta_cod=27685", 99.0, 1.0, 0.0),
(9777, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 320, 3872, 3267, 3872, 0, 2233, 434, 340, 101, 86, 29, 1213, 0, 0, 0, 0, 0, 3866, 0, 0, 0, 2233, 434, 340, 101, 86, 29, 1207, 1040, 317, 267, 317, 0, 42.0, 252.0, 288.0, 0, 66, 229, 220, 7, 2, 88, 0, 28, 114, 70, 15, 2.0, 192, 7, 2, 0, 0, 224, 224, 13.25, 79.5, 90.85, 84.1875, 97.796875, 97.796875, 0, 28.796875, 72.1875, 0.0, 12.19921875, 49.796875, 30.59765625, 6.6, 0.9, 96.09375, 83.796875, 3.099609375, 3.099609375, 0.89990234375, 0.89990234375, 664.0, 137.0, 6.0, 2.0, 346.0, "Tous les candidats", 1483.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "2882", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27707&g_ta_cod=2882", 95.0, 3.0, 1.0),
(9778, "Public", "0060011E", "Lycée Carnot", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BTS", "Lycée Carnot - BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "BTS - Services", "", 8, 271, 54, 271, 0, 114, 16, 18, 6, 36, 16, 103, 0, 0, 0, 0, 0, 46, 0, 0, 0, 18, 2, 6, 3, 10, 8, 12, 20, 8, 3, 8, 0, 2.0, 8.0, 8.0, 0, 3, 6, 3, 1, 2, 2, 0, 0, 2, 3, 1, 0.0, 3, 1, 2, 0, 0, 3, 3, 25.0, 100.0, 100.0, 37.5, 50.0, 50.0, 0, 50.0, 75.0, 0.0, 0.0, 33.296875, 50.0, 16.7, 0.0, 50.0, 50.0, 16.69921875, 16.69921875, 33.296875, 33.296875, 8.0, 2.0, 6.0, 5.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 4, "Liste d'appel propre à cette formation", 10.0, "2190", "BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2190&g_ta_cod=2190", 63.0, 13.0, 25.0),
(9779, "Public", "0130002G", "Lycée Paul Cezanne", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "CPGE", "Lycée Paul Cezanne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 448, 238, 448, 143, 375, 40, 0, 0, 0, 0, 73, 0, 0, 0, 0, 0, 391, 0, 132, 377, 349, 35, 0, 0, 0, 0, 42, 273, 24, 12, 24, 0, 6.0, 14.0, 24.0, 2, 3, 23, 23, 0, 0, 1, 0, 2, 7, 13, 1, 0.0, 21, 0, 0, 0, 0, 17, 17, 25.0, 58.33, 100.0, 50.0, 73.890625, 73.890625, 0, 13.0, 95.796875, 0.0, 8.69921875, 30.3984375, 56.5, 4.3, 0.0, 100.0, 91.296875, 0.0, 0.0, 0.0, 0.0, 260.0, 29.0, 0.0, 0.0, 13.0, "Tous les candidats", 348.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "31269", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31269&g_ta_cod=31269", 100.0, 0.0, 0.0),
(9780, "Public", "0690037R", "Lycée La Martinière-Diderot", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "BTS", "Lycée La Martinière-Diderot - BTS - Production - Innovations textiles - Option A : Structures", "BTS - Production", "", 15, 149, 82, 89, 0, 12, 2, 20, 5, 25, 6, 32, 60, 0, 18, 18, 24, 50, 9, 0, 0, 8, 2, 13, 2, 18, 3, 11, 49, 12, 8, 8, 4, 3.0, 8.0, 9.0, 0, 2, 11, 1, 5, 5, 1, 0, 5, 3, 2, 1, 0.0, 1, 2, 3, 0, 0, 6, 6, 25.0, 66.67, 75.0, 66.6875, 54.5, 54.5, 0, 18.19921875, 91.6875, 0.0, 45.5, 27.296875, 18.19921875, 9.1, 0.0, 9.099609375, 9.099609375, 45.5, 18.19921875, 45.5, 27.296875, 5.0, 2.0, 18.0, 4.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 51.0, "8201", "BTS - Production - Innovations textiles - Option A : Structures", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8201&g_ta_cod=8201", 8.0, 42.0, 50.0),
(9781, "Privé hors contrat", "0261286G", "Ecole technique privée EPSECO", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "Ecole technique privée EPSECO - BTS - Services - Economie sociale familiale", "BTS - Services", "", 30, 260, 232, 247, 0, 33, 12, 69, 11, 70, 31, 75, 13, 2, 3, 2, 6, 148, 4, 0, 0, 18, 6, 48, 7, 40, 16, 42, 94, 26, 26, 24, 2, 6.0, 17.0, 24.0, 0, 5, 19, 5, 4, 10, 7, 0, 5, 13, 1, 0, 0.0, 3, 3, 8, 0, 0, 19, 19, 23.08, 65.38, 92.31, 100.0, 100.0, 100.0, 0, 26.296875, 73.09375, 0.0, 26.296875, 68.390625, 5.2998046875, 0.0, 0.0, 26.296875, 15.798828125, 21.09765625, 15.798828125, 52.59375, 42.09375, 14.0, 6.0, 27.0, 11.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers technologiques toutes séries", 64, "Bacheliers professionnels toutes séries", 39, "Liste d'appel propre à cette formation", 55.0, "24302", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24302&g_ta_cod=24302", 31.0, 27.0, 42.0),
(9782, "Public", "9840386X", "Lycée de Papara", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Papara", "formation sélective", "BTS", "Lycée de Papara - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 26, 157, 77, 157, 0, 13, 9, 56, 40, 62, 37, 26, 0, 0, 0, 0, 0, 81, 0, 0, 0, 11, 7, 34, 26, 30, 18, 6, 46, 27, 15, 27, 0, 21.0, 25.0, 25.0, 0, 13, 25, 3, 8, 14, 2, 0, 3, 20, 2, 0, 0.0, 2, 7, 13, 19, 10, 25, 25, 77.78, 92.59, 92.59, 55.59375, 100.0, 100.0, 76, 52.0, 92.59375, 0.0, 12.0, 80.0, 8.0, 0.0, 0.0, 12.0, 8.0, 32.0, 28.0, 56.0, 52.0, 3.0, 2.0, 22.0, 12.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 36.0, "12016", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12016&g_ta_cod=12016", 15.0, 33.0, 52.0),
(9783, "Privé sous contrat d'association", "0692353H", "ISARA", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Réseau France Agro3 - Formation d'ingénieur Bac + 5 - Voie d'accès bac technologique", "Formations  des écoles d'ingénieurs", "Voie d'accès bac technologique", 4, 39, 16, 35, 0, 0, 0, 30, 5, 0, 0, 5, 4, 0, 4, 0, 0, 5, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "25927", "Formation d'ingénieur Bac + 5 - Voie d'accès bac technologique", "Réseau France Agro3", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25924&g_ta_cod=25927", 0, 0, 0),
(9784, "Public", "0622803K", "Lycée Blaise Pascal", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Longuenesse", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 598, 94, 598, 0, 41, 9, 85, 27, 59, 22, 413, 0, 0, 0, 0, 0, 202, 0, 0, 0, 15, 3, 85, 27, 59, 22, 43, 55, 16, 0, 16, 0, 4.0, 16.0, 16.0, 0, 5, 13, 0, 8, 5, 3, 0, 2, 5, 6, 0, 0.0, 0, 7, 4, 7, 0, 12, 12, 25.0, 100.0, 100.0, 0.0, 92.296875, 92.296875, 53.796875, 38.5, 81.296875, 0.0, 15.3984375, 38.5, 46.1953125, 0.0, 0.0, 0.0, 0.0, 61.5, 53.796875, 38.5, 30.796875, 5.0, 2.0, 17.0, 5.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 15.0, "18725", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18725&g_ta_cod=18725", 6.0, 56.0, 38.0),
(9785, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 550, 1471, 710, 1275, 0, 861, 171, 129, 39, 42, 13, 243, 196, 43, 27, 11, 115, 1275, 190, 0, 0, 861, 171, 129, 39, 42, 13, 243, 1465, 299, 112, 230, 69, 225.0, 227.0, 279.0, 0, 46, 196, 147, 40, 9, 103, 13, 74, 71, 31, 7, 0.0, 93, 12, 4, 0, 0, 182, 182, 75.25, 75.92, 93.31, 37.5, 92.890625, 92.890625, 0, 23.5, 65.59375, 6.599609375, 37.796875, 36.1953125, 15.798828125, 3.6, 0.0, 75.0, 47.3984375, 20.3984375, 6.099609375, 4.599609375, 2.0, 903.0, 184.0, 53.0, 18.0, 353.0, "Tous les candidats", 1275.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9703", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9703&g_ta_cod=9703", 70.0, 22.0, 7.0),
(9786, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence_Las", "Université de Brest - Licence - Portail SVT-PC - Sciences de la vie, Sciences de la terre, Physique, chimie", "Licence - Sciences - technologies - santé", "SVT-PC - Sciences de la vie, Sciences de la terre, Physique, chimie", 90, 1473, 1004, 1452, 0, 985, 124, 60, 12, 2, 1, 405, 21, 4, 0, 0, 17, 1451, 19, 0, 0, 985, 124, 60, 12, 2, 1, 404, 780, 90, 64, 80, 10, 1.0, 47.0, 62.0, 0, 6, 62, 60, 2, 0, 28, 0, 7, 34, 19, 2, 0.0, 53, 2, 0, 0, 0, 54, 54, 1.11, 52.22, 68.89, 71.09375, 87.09375, 87.09375, 0, 9.69921875, 68.890625, 0.0, 11.298828125, 54.796875, 30.59765625, 3.2, 0.0, 96.796875, 85.5, 3.19970703125, 3.19970703125, 0.0, 0.0, 550.0, 66.0, 2.0, 1.0, 204.0, "Tous les candidats", 1866.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 72.0, "27716", "Licence - Portail SVT-PC - Sciences de la vie, Sciences de la terre, Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27715&g_ta_cod=27716", 96.0, 3.0, 0.0),
(9787, "Privé sous contrat d'association", "0900030U", "Lycée Sainte-Marie", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "BTS", "Lycée Sainte-Marie - BTS - Production - Métiers de la mesure", "BTS - Production", "", 24, 50, 14, 44, 0, 1, 0, 22, 7, 1, 0, 20, 6, 0, 4, 0, 2, 39, 4, 0, 0, 1, 0, 22, 7, 1, 0, 15, 41, 13, 2, 11, 2, 9.0, 11.0, 12.0, 0, 3, 8, 0, 7, 1, 5, 0, 6, 2, 0, 0, 0.0, 0, 2, 0, 3, 0, 7, 7, 69.23, 84.62, 92.31, 15.3984375, 87.5, 87.5, 37.5, 37.5, 61.5, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 87.5, 25.0, 12.5, 0.0, 1.0, 0.0, 1.0, 0.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 1, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 86.0, "10820", "BTS - Production - Métiers de la mesure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10820&g_ta_cod=10820", 38.0, 54.0, 8.0),
(9788, "Public", "0630021F", "Lycée La Fayette", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée La Fayette - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 258, 40, 256, 0, 22, 7, 63, 24, 62, 25, 109, 2, 0, 0, 1, 1, 135, 0, 0, 0, 21, 6, 42, 9, 38, 13, 34, 69, 13, 0, 13, 0, 1.0, 12.0, 13.0, 0, 3, 8, 1, 4, 3, 5, 0, 5, 2, 1, 0, 0.0, 0, 1, 2, 2, 0, 7, 7, 7.69, 92.31, 100.0, 0.0, 87.5, 87.5, 25, 37.5, 61.5, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 12.5, 0.0, 50.0, 12.5, 37.5, 25.0, 12.0, 5.0, 18.0, 5.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 37.0, "7569", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7569&g_ta_cod=7569", 31.0, 38.0, 31.0),
(9789, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : POLONAIS", "Licence - Arts-lettres-langues", "LLCER : POLONAIS", 70, 143, 90, 81, 0, 47, 14, 11, 3, 2, 1, 21, 62, 13, 2, 1, 46, 80, 60, 0, 0, 47, 14, 11, 3, 2, 1, 20, 138, 35, 22, 19, 16, 17.0, 19.0, 25.0, 0, 5, 22, 15, 4, 3, 13, 0, 9, 12, 0, 1, 0.0, 10, 1, 2, 0, 0, 3, 12, 48.57, 54.29, 71.43, 62.8984375, 13.599609375, 54.5, 0, 22.69921875, 62.8984375, 0.0, 40.8984375, 54.5, 0.0, 4.5, 0.0, 68.1875, 45.5, 18.19921875, 4.5, 13.599609375, 9.099609375, 59.0, 14.0, 3.0, 1.0, 63.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "9278", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : POLONAIS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9278&g_ta_cod=9278", 71.0, 17.0, 11.0),
(9790, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études japonaises", "Licence - Arts-lettres-langues", "Études japonaises", 125, 634, 352, 601, 0, 260, 80, 31, 15, 37, 15, 273, 33, 2, 0, 1, 30, 601, 32, 0, 0, 260, 80, 31, 15, 37, 15, 273, 450, 125, 73, 112, 12, 19.0, 102.0, 113.0, 0, 15, 49, 35, 5, 9, 76, 0, 16, 20, 8, 5, 0.0, 24, 2, 7, 0, 0, 19, 19, 15.2, 81.6, 90.4, 58.3984375, 38.796875, 38.796875, 0, 30.59765625, 39.1953125, 0.0, 32.6953125, 40.796875, 16.296875, 10.2, 0.0, 71.390625, 49.0, 10.19921875, 4.099609375, 18.3984375, 14.298828125, 189.0, 59.0, 15.0, 7.0, 229.0, "Tous les candidats", 601.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8043", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études japonaises", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8043&g_ta_cod=8043", 73.0, 14.0, 10.0),
(9791, "Public", "0940119U", "Lycée Paul Doumer", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Le Perreux-sur-Marne", "formation sélective", "BTS", "Lycée Paul Doumer - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 527, 201, 392, 0, 36, 6, 155, 62, 73, 29, 128, 135, 0, 0, 74, 61, 216, 2, 0, 0, 22, 4, 93, 31, 45, 17, 56, 113, 24, 12, 22, 2, 4.0, 19.0, 20.0, 0, 5, 13, 0, 6, 7, 11, 0, 6, 6, 1, 0, 0.0, 0, 2, 5, 0, 0, 11, 13, 16.67, 79.17, 83.33, 50.0, 84.59375, 100.0, 0, 38.5, 54.1953125, 0.0, 46.1953125, 46.1953125, 7.69921875, 0.0, 0.0, 0.0, 0.0, 46.1953125, 15.3984375, 53.796875, 38.5, 8.0, 3.0, 35.0, 14.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 42.0, "11389", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11389&g_ta_cod=11389", 17.0, 42.0, 38.0),
(9792, "Public", "0500087Y", "Lycée Claude Lehec", "50", "Manche", "Normandie", "Normandie", "Saint-Hilaire-du-Harcouët", "formation sélective", "BTS", "Lycée Claude Lehec - BTS - Production - Maintenance des véhicules option véhicules de transport routier", "BTS - Production", "", 12, 62, 5, 62, 0, 1, 1, 2, 0, 33, 7, 26, 0, 0, 0, 0, 0, 32, 0, 0, 0, 1, 1, 2, 0, 29, 5, 0, 20, 9, 0, 9, 0, 5.0, 8.0, 9.0, 0, 1, 9, 0, 0, 9, 0, 0, 0, 4, 4, 1, 0.0, 0, 0, 9, 6, 0, 6, 6, 55.56, 88.89, 100.0, 0.0, 66.6875, 66.6875, 66.6875, 11.099609375, 100.0, 0.0, 0.0, 44.3984375, 44.3984375, 11.1, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 1.0, 1.0, 17.0, 2.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 2, "Liste d'appel propre à cette formation", 47.0, "6009", "BTS - Production - Maintenance des véhicules option véhicules de transport routier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6009&g_ta_cod=6009", 0.0, 0.0, 100.0),
(9793, "Public", "0580753D", "Lycée Alain Colas", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "Autre formation", "Lycée Alain Colas - DN MADE - Graphisme - - Spécialité : Dispositifs d'édition", "DN MADE", "- Spécialité : Dispositifs d'édition", 15, 356, 251, 356, 0, 131, 17, 108, 14, 39, 14, 78, 0, 0, 0, 0, 0, 278, 0, 0, 0, 103, 11, 95, 13, 27, 7, 53, 62, 16, 10, 16, 0, 2.0, 13.0, 15.0, 0, 3, 14, 5, 7, 2, 2, 0, 1, 6, 5, 2, 0.0, 4, 7, 2, 0, 0, 7, 7, 12.5, 81.25, 93.75, 62.5, 50.0, 50.0, 0, 21.3984375, 87.5, 0.0, 7.099609375, 42.8984375, 35.6953125, 14.3, 0.0, 35.6953125, 28.59765625, 50.0, 50.0, 14.298828125, 14.298828125, 18.0, 3.0, 2.0, 0.0, 9.0, "Tous les candidats", 90.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "21654", "DN MADE - Graphisme - - Spécialité : Dispositifs d'édition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21654&g_ta_cod=21654", 31.0, 56.0, 13.0),
(9794, "Public", "0280044W", "Lycée Jehan De Beauce", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Chartres", "formation sélective", "BTS", "Lycée Jehan De Beauce - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 158, 8, 143, 0, 10, 2, 40, 5, 65, 26, 28, 15, 3, 2, 0, 10, 104, 3, 0, 0, 8, 1, 36, 4, 51, 21, 9, 55, 11, 0, 9, 2, 4.0, 7.0, 9.0, 0, 5, 8, 0, 1, 7, 3, 0, 1, 3, 4, 0, 0.0, 0, 1, 6, 4, 0, 7, 7, 36.36, 63.64, 81.82, 0.0, 87.5, 87.5, 50, 62.5, 72.6875, 0.0, 12.5, 37.5, 50.0, 0.0, 0.0, 0.0, 0.0, 12.5, 12.5, 87.5, 75.0, 3.0, 1.0, 30.0, 13.0, 10.0, "Tous les candidats sauf les Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 63.0, "3737", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3737&g_ta_cod=3737", 18.0, 18.0, 64.0),
(9795, "Public", "9740001H", "Lycée Leconte de Lisle", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "CPGE", "Lycée Leconte de Lisle - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 259, 198, 241, 104, 222, 59, 4, 3, 0, 0, 15, 18, 7, 0, 2, 9, 190, 4, 52, 187, 186, 45, 0, 0, 0, 0, 4, 149, 46, 34, 45, 1, 22.0, 44.0, 46.0, 7, 13, 44, 44, 0, 0, 2, 0, 0, 8, 19, 13, 4.0, 44, 0, 0, 2, 1, 43, 43, 47.83, 95.65, 100.0, 73.890625, 97.6875, 97.6875, 4.5, 29.5, 95.6875, 0.0, 0.0, 18.19921875, 43.1953125, 29.5, 9.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 143.0, 36.0, 0.0, 0.0, 6.0, "Tous les candidats", 192.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "11881", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11881&g_ta_cod=11881", 100.0, 0.0, 0.0),
(9796, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence", "Institut national universitaire Champollion - Licence - Portail Parcours Sciences Politiques", "Licence - Sciences humaines et sociales", "Parcours Sciences Politiques : Histoire", 12, 393, 208, 393, 0, 369, 51, 3, 0, 2, 1, 19, 0, 0, 0, 0, 0, 393, 0, 0, 0, 369, 51, 3, 0, 2, 1, 19, 76, 17, 9, 17, 0, 2.0, 17.0, 17.0, 0, 2, 17, 17, 0, 0, 0, 0, 0, 1, 9, 7, 0.0, 17, 0, 0, 0, 0, 16, 16, 11.76, 100.0, 100.0, 52.8984375, 94.09375, 94.09375, 0, 11.798828125, 100.0, 0.0, 0.0, 5.8994140625, 52.8984375, 41.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 76.0, 13.0, 0.0, 0.0, 0.0, "Tous les candidats", 126.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "23965", "Licence - Portail Parcours Sciences Politiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23964&g_ta_cod=23965", 100.0, 0.0, 0.0),
(9797, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études nord-européennes : scandinave", "Licence - Arts-lettres-langues", "Études nord-européennes : scandinave", 40, 106, 74, 82, 0, 46, 13, 2, 1, 3, 1, 31, 24, 4, 0, 0, 20, 78, 18, 0, 0, 46, 13, 2, 1, 3, 1, 27, 91, 19, 11, 13, 6, 4.0, 13.0, 17.0, 0, 1, 9, 6, 1, 2, 10, 1, 4, 2, 2, 0, 0.0, 3, 0, 1, 0, 0, 4, 4, 21.05, 68.42, 89.47, 57.8984375, 44.3984375, 44.3984375, 0, 11.099609375, 47.3984375, 11.099609375, 44.3984375, 22.19921875, 22.19921875, 0.0, 0.0, 66.6875, 33.296875, 11.099609375, 0.0, 22.19921875, 11.099609375, 48.0, 13.0, 3.0, 1.0, 39.0, "Tous les candidats", 77.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "14130", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études nord-européennes : scandinave", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14130&g_ta_cod=14130", 68.0, 11.0, 21.0),
(9798, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Moyen-Orient et Maghreb - Arabe maghrébin", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères, parcours Moyen-Orient et Maghreb - Arabe maghrébin", 55, 342, 252, 250, 0, 89, 42, 11, 3, 16, 11, 134, 92, 16, 6, 8, 62, 250, 42, 0, 0, 89, 42, 11, 3, 16, 11, 134, 237, 53, 40, 28, 25, 4.0, 28.0, 35.0, 0, 10, 21, 13, 3, 5, 32, 1, 15, 4, 1, 0, 0.0, 4, 0, 1, 0, 0, 6, 16, 7.55, 52.83, 66.04, 75.5, 28.59765625, 76.1875, 0, 47.59375, 39.59375, 4.7998046875, 71.390625, 19.0, 4.7998046875, 0.0, 0.0, 61.8984375, 19.0, 14.298828125, 0.0, 23.796875, 4.7998046875, 86.0, 41.0, 11.0, 7.0, 129.0, "Tous les candidats", 317.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9414", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Moyen-Orient et Maghreb - Arabe maghrébin", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29601&g_ta_cod=9414", 68.0, 15.0, 13.0),
(9799, "Public", "0311262D", "L.E.G.T.A. Toulouse Auzeville", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Castanet-Tolosan", "formation sélective", "CPGE", "L.E.G.T.A. Toulouse Auzeville - CPGE - BCPST", "Classe préparatoire scientifique", "", 35, 1742, 1264, 1742, 1273, 1519, 152, 6, 1, 0, 0, 217, 0, 0, 0, 0, 0, 1742, 0, 1273, 1704, 1519, 152, 6, 1, 0, 0, 217, 128, 35, 29, 35, 0, 5.0, 33.0, 34.0, 22, 2, 34, 34, 0, 0, 1, 0, 0, 0, 1, 23, 10.0, 34, 0, 0, 0, 0, 11, 11, 14.29, 94.29, 97.14, 82.890625, 32.3984375, 32.3984375, 0, 5.8994140625, 97.09375, 0.0, 0.0, 0.0, 2.89990234375, 67.6, 29.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 127.0, 13.0, 0.0, 0.0, 1.0, "Tous les candidats", 207.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "4124", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4124&g_ta_cod=4124", 100.0, 0.0, 0.0),
(9800, "Privé sous contrat d'association", "0761343X", "Lycée La Chataigneraie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Mesnil-Esnard", "formation sélective", "BTS", "Lycée La Chataigneraie - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 247, 24, 203, 0, 33, 5, 53, 15, 58, 9, 59, 44, 5, 11, 3, 25, 92, 10, 0, 0, 17, 3, 29, 7, 33, 5, 13, 72, 13, 0, 9, 4, 2.0, 8.0, 11.0, 0, 0, 8, 1, 3, 4, 5, 1, 2, 4, 1, 0, 0.0, 0, 2, 3, 1, 0, 8, 8, 15.38, 61.54, 84.62, 0.0, 100.0, 100.0, 12.5, 0.0, 61.5, 12.5, 25.0, 50.0, 12.5, 0.0, 0.0, 12.5, 0.0, 37.5, 25.0, 50.0, 37.5, 15.0, 3.0, 18.0, 3.0, 17.0, "Tous les candidats sauf les Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 43.0, "9642", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9642&g_ta_cod=9642", 23.0, 46.0, 31.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(9801, "Public", "0640001D", "Lycée Cantau", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation sélective", "BTS", "Lycée Cantau - BTS - Production - Travaux publics", "BTS - Production", "", 30, 376, 36, 373, 0, 40, 9, 161, 23, 58, 9, 114, 3, 0, 0, 1, 2, 281, 1, 0, 0, 40, 9, 161, 23, 58, 9, 22, 125, 27, 0, 27, 0, 2.0, 20.0, 27.0, 0, 6, 27, 3, 14, 10, 0, 0, 15, 12, 0, 0, 0.0, 2, 3, 7, 13, 0, 22, 22, 7.41, 74.07, 100.0, 0.0, 81.5, 81.5, 48.09375, 22.19921875, 100.0, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 0.0, 11.099609375, 7.3994140625, 51.8984375, 11.099609375, 37.0, 25.8984375, 14.0, 2.0, 50.0, 8.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 120, "Liste d'appel propre à cette formation", 54.0, "7687", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7687&g_ta_cod=7687", 11.0, 52.0, 37.0),
(9802, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Portail LLCER Espagnol disciplinaire", "Licence - Arts-lettres-langues", "Espagnol (en présentiel)", 150, 336, 263, 302, 0, 220, 73, 23, 10, 6, 4, 53, 34, 9, 3, 4, 18, 302, 26, 0, 0, 220, 73, 23, 10, 6, 4, 53, 316, 46, 34, 37, 9, 23.0, 37.0, 42.0, 0, 8, 34, 27, 3, 4, 12, 2, 13, 11, 6, 2, 0.0, 18, 0, 1, 0, 0, 28, 28, 50.0, 80.43, 91.3, 73.890625, 82.390625, 82.390625, 0, 23.5, 73.890625, 5.8994140625, 38.1953125, 32.3984375, 17.59765625, 5.9, 0.0, 79.390625, 52.8984375, 8.798828125, 0.0, 11.798828125, 2.89990234375, 221.0, 75.0, 10.0, 7.0, 59.0, "Tous les candidats", 381.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27539", "Licence - Portail LLCER Espagnol disciplinaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27537&g_ta_cod=27539", 70.0, 17.0, 13.0),
(9803, "Public", "0270003G", "Lycée Augustin Fresnel", "27", "Eure", "Normandie", "Normandie", "Bernay", "formation sélective", "BTS", "Lycée Augustin Fresnel - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 483, 252, 475, 0, 13, 1, 72, 26, 78, 39, 312, 8, 0, 2, 0, 6, 222, 1, 0, 0, 13, 1, 72, 26, 78, 39, 59, 137, 29, 21, 28, 1, 3.0, 23.0, 27.0, 0, 9, 26, 2, 11, 13, 3, 2, 10, 12, 2, 0, 0.0, 0, 6, 8, 5, 4, 26, 26, 10.34, 79.31, 93.1, 72.390625, 100.0, 100.0, 19.19921875, 34.59375, 89.6875, 7.69921875, 38.5, 46.1953125, 7.69921875, 0.0, 0.0, 7.69921875, 0.0, 42.296875, 23.09765625, 50.0, 30.796875, 8.0, 1.0, 61.0, 29.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 37.0, "3681", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3681&g_ta_cod=3681", 10.0, 38.0, 52.0),
(9804, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Licence - Portail Physique, chimie", "Licence - Sciences - technologies - santé", "", 115, 1741, 886, 1706, 0, 1052, 305, 95, 35, 4, 2, 555, 35, 10, 4, 0, 21, 1680, 23, 0, 0, 1052, 305, 95, 35, 4, 2, 529, 917, 93, 46, 80, 13, 0.0, 27.0, 60.0, 0, 21, 46, 37, 9, 0, 47, 0, 29, 11, 5, 1, 0.0, 17, 0, 0, 0, 0, 23, 44, 0.0, 29.03, 64.52, 49.5, 50.0, 95.6875, 0, 45.6953125, 49.5, 0.0, 63.0, 23.8984375, 10.8984375, 2.2, 0.0, 80.390625, 37.0, 19.59765625, 0.0, 0.0, 0.0, 553.0, 167.0, 0.0, 0.0, 348.0, "Tous les candidats", 1506.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "11252", "Licence - Portail Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28406&g_ta_cod=11252", 77.0, 19.0, 2.0),
(9805, "Public", "0100023W", "Lycée Marie De Champagne", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BTS", "Lycée Marie De Champagne - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 397, 211, 397, 0, 53, 18, 105, 40, 101, 52, 138, 0, 0, 0, 0, 0, 334, 0, 0, 0, 52, 18, 105, 40, 101, 52, 76, 110, 21, 12, 21, 0, 2.0, 15.0, 19.0, 0, 11, 17, 0, 9, 8, 4, 0, 11, 5, 1, 0, 0.0, 0, 1, 5, 13, 8, 15, 15, 9.52, 71.43, 90.48, 57.09375, 88.1875, 88.1875, 76.5, 64.6875, 81.0, 0.0, 64.6875, 29.3984375, 5.8994140625, 0.0, 0.0, 0.0, 0.0, 52.8984375, 5.8994140625, 47.09375, 29.3984375, 12.0, 6.0, 27.0, 15.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 89, "Liste d'appel propre à cette formation", 42.0, "2413", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2413&g_ta_cod=2413", 10.0, 52.0, 38.0),
(9806, "Public", "0310098N", "Centre de Ressources, d'Expertise et de Performance Sportive de Toulouse (CREPS)", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "CREPS de Toulouse - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 1, 43, 12, 43, 0, 16, 1, 9, 1, 4, 0, 14, 0, 0, 0, 0, 0, 9, 0, 0, 0, 4, 0, 1, 0, 0, 0, 4, 8, 1, 0, 1, 0, 0.0, 1.0, 1.0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 9.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "27150", "BPJEPS - Activités aquatiques et de la natation", "CREPS de Toulouse", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21427&g_ta_cod=27150", 100.0, 0.0, 0.0),
(9807, "Public", "0750660K", "Lycée Fénelon", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Fénelon - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 4287, 1302, 4287, 637, 3977, 532, 3, 1, 0, 0, 307, 0, 0, 0, 0, 0, 4285, 0, 495, 4269, 3975, 532, 3, 1, 0, 0, 307, 905, 91, 24, 91, 0, 20.0, 39.0, 78.0, 5, 15, 91, 91, 0, 0, 0, 0, 0, 4, 36, 51, 0.0, 91, 0, 0, 3, 2, 46, 87, 21.98, 42.86, 85.71, 26.3984375, 50.5, 95.59375, 3.2998046875, 16.5, 100.0, 0.0, 0.0, 4.3994140625, 39.59375, 56.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 905.0, 114.0, 0.0, 0.0, 0.0, "Tous les candidats", 1160.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "8986", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8986&g_ta_cod=8986", 100.0, 0.0, 0.0),
(9808, "Privé sous contrat d'association", "0290177K", "Lycée N-D DU KREISKER", "29", "Finistère", "Bretagne", "Rennes", "Saint-Pol-de-Léon", "formation sélective", "BTS", "Lycée N-D DU KREISKER - BTS - Services - Commerce International", "BTS - Services", "", 26, 187, 94, 176, 0, 35, 2, 63, 9, 24, 5, 54, 11, 0, 3, 3, 5, 133, 0, 0, 0, 35, 2, 55, 7, 13, 2, 30, 74, 19, 12, 19, 0, 5.0, 19.0, 19.0, 0, 2, 14, 5, 5, 4, 5, 0, 3, 8, 3, 0, 0.0, 3, 4, 4, 4, 2, 14, 14, 26.32, 100.0, 100.0, 63.1953125, 100.0, 100.0, 28.59765625, 14.298828125, 73.6875, 0.0, 21.3984375, 57.09375, 21.3984375, 0.0, 0.0, 35.6953125, 21.3984375, 35.6953125, 28.59765625, 28.59765625, 28.59765625, 13.0, 2.0, 11.0, 2.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 55.0, "3820", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3820&g_ta_cod=3820", 37.0, 42.0, 21.0),
(9809, "Privé sous contrat d'association", "0141164P", "Lycée Sainte-Marie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "CPGE", "Lycée Sainte-Marie - CPGE - MPSI", "Classe préparatoire scientifique", "", 36, 237, 50, 154, 0, 127, 4, 1, 0, 0, 0, 26, 83, 40, 1, 0, 42, 111, 38, 0, 111, 98, 3, 0, 0, 0, 0, 13, 135, 12, 4, 10, 2, 1.0, 10.0, 12.0, 0, 0, 5, 5, 0, 0, 7, 0, 0, 5, 0, 0, 0.0, 5, 0, 0, 0, 0, 4, 4, 8.33, 83.33, 100.0, 33.296875, 80.0, 80.0, 0, 0.0, 41.6953125, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 107.0, 6.0, 0.0, 0.0, 28.0, "Tous les candidats", 111.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "30164", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30164&g_ta_cod=30164", 100.0, 0.0, 0.0),
(9810, "Public", "0440982D", "I.U.T. Saint-Nazaire", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BUT", "I.U.T. Saint-Nazaire - BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables (Seconde année possible en apprentissage)", "BUT - Service", "Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", 115, 860, 229, 791, 0, 343, 33, 243, 29, 31, 9, 174, 69, 17, 9, 1, 42, 567, 26, 0, 0, 298, 32, 199, 29, 1, 0, 69, 522, 109, 16, 97, 12, 35.0, 96.0, 108.0, 0, 15, 96, 54, 42, 0, 13, 0, 50, 42, 4, 0, 0.0, 24, 22, 0, 0, 0, 65, 65, 32.11, 88.07, 99.08, 14.69921875, 67.6875, 67.6875, 0, 15.599609375, 88.09375, 0.0, 52.09375, 43.796875, 4.19921875, 0.0, 0.0, 56.296875, 25.0, 43.796875, 22.8984375, 0.0, 0.0, 275.0, 32.0, 0.0, 0.0, 70.0, "Tous les candidats sauf les Bac technologiques", 360.0, "Bacheliers technologiques toutes séries", 205, "", 0, "Liste d'appel propre à cette formation", 71.0, "5558", "BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5558&g_ta_cod=5558", 61.0, 39.0, 0.0),
(9811, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence_Las", "Université Côte d'Azur - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", "", 40, 882, 486, 882, 0, 504, 103, 37, 20, 12, 6, 329, 0, 0, 0, 0, 0, 860, 0, 0, 0, 504, 103, 37, 20, 12, 6, 307, 345, 36, 23, 36, 0, 0.0, 14.0, 28.0, 0, 6, 25, 25, 0, 0, 11, 0, 4, 18, 2, 1, 0.0, 21, 0, 0, 0, 0, 20, 20, 0.0, 38.89, 77.78, 63.8984375, 80.0, 80.0, 0, 24.0, 69.390625, 0.0, 16.0, 72.0, 8.0, 4.0, 0.0, 100.0, 84.0, 0.0, 0.0, 0.0, 0.0, 208.0, 49.0, 0.0, 0.0, 136.0, "Tous les candidats", 2081.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 60.0, "27479", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27478&g_ta_cod=27479", 100.0, 0.0, 0.0),
(9812, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation non sélective", "Licence_Las", "Université Grenoble Alpes - Antenne de Valence - Licence - Portail Informatique, Mathématiques et Applications (IMA) - Valence", "Licence - Sciences - technologies - santé", "Informatique, Mathématiques et Applications (IMA) - Valence", 5, 86, 26, 78, 0, 57, 20, 1, 0, 0, 0, 20, 8, 5, 0, 0, 3, 78, 6, 0, 0, 57, 20, 1, 0, 0, 0, 20, 56, 2, 0, 2, 0, 0.0, 2.0, 2.0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 41.0, 8.0, 0.0, 0.0, 13.0, "Tous les candidats", 455.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "31014", "Licence - Portail Informatique, Mathématiques et Applications (IMA) - Valence", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31013&g_ta_cod=31014", 100.0, 0.0, 0.0),
(9813, "Public", "0381629P", "CNED", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "CNED - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 800, 390, 82, 331, 0, 35, 10, 42, 14, 43, 21, 211, 59, 10, 8, 9, 32, 331, 58, 0, 0, 35, 10, 42, 14, 43, 21, 211, 389, 39, 7, 31, 8, 30.0, 31.0, 35.0, 0, 3, 8, 2, 4, 2, 31, 1, 4, 2, 0, 1, 0.0, 0, 2, 1, 0, 0, 4, 4, 76.92, 79.49, 89.74, 17.8984375, 50.0, 50.0, 0, 37.5, 20.5, 12.5, 50.0, 25.0, 0.0, 12.5, 0.0, 25.0, 0.0, 50.0, 25.0, 25.0, 12.5, 45.0, 15.0, 52.0, 26.0, 242.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 225.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 100.0, "20782", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20782&g_ta_cod=20782", 74.0, 15.0, 10.0),
(9814, "Public", "0590221V", "Lycée Henri Wallon", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée Henri Wallon - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 35, 423, 119, 364, 0, 22, 2, 50, 13, 77, 38, 215, 59, 3, 0, 18, 38, 111, 13, 0, 0, 13, 2, 38, 10, 41, 20, 19, 93, 34, 5, 24, 10, 12.0, 24.0, 33.0, 0, 10, 25, 5, 4, 16, 9, 0, 7, 10, 6, 2, 0.0, 2, 4, 12, 3, 0, 19, 19, 35.29, 70.59, 97.06, 14.69921875, 76.0, 76.0, 12, 40.0, 73.5, 0.0, 28.0, 40.0, 24.0, 8.0, 0.0, 20.0, 8.0, 16.0, 16.0, 64.0, 48.0, 13.0, 2.0, 44.0, 23.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 25.0, "6845", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6845&g_ta_cod=6845", 24.0, 18.0, 59.0),
(9815, "Public", "0670084C", "Lycée Jean Rostand", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 24, 588, 484, 578, 0, 129, 38, 62, 23, 181, 74, 206, 10, 0, 4, 0, 6, 341, 4, 0, 0, 1, 1, 50, 18, 171, 66, 119, 94, 23, 18, 23, 0, 2.0, 13.0, 18.0, 0, 7, 19, 1, 5, 13, 4, 0, 6, 6, 3, 4, 0.0, 0, 3, 10, 5, 5, 9, 9, 8.7, 56.52, 78.26, 78.296875, 47.3984375, 47.3984375, 26.296875, 36.796875, 82.59375, 0.0, 31.59765625, 31.59765625, 15.798828125, 21.1, 0.0, 5.2998046875, 0.0, 26.296875, 15.798828125, 68.390625, 52.59375, 1.0, 1.0, 39.0, 15.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 17.0, "12482", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12482&g_ta_cod=12482", 9.0, 22.0, 65.0),
(9816, "Public", "0690038S", "Lycée La Martinière Duchère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "CPGE", "Lycée La Martinière Duchère - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 40, 551, 291, 496, 177, 0, 0, 466, 138, 0, 0, 30, 55, 0, 34, 0, 21, 338, 6, 131, 331, 0, 0, 335, 103, 0, 0, 3, 244, 37, 22, 35, 2, 10.0, 34.0, 36.0, 10, 13, 36, 0, 36, 0, 1, 0, 3, 18, 14, 1, 0.0, 0, 33, 0, 3, 1, 21, 21, 27.03, 91.89, 97.3, 59.5, 58.296875, 58.296875, 8.298828125, 36.09375, 97.296875, 0.0, 8.298828125, 50.0, 38.8984375, 2.8, 0.0, 0.0, 0.0, 100.0, 91.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 334.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "8214", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8214&g_ta_cod=8214", 0.0, 100.0, 0.0),
(9817, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 45, 285, 226, 208, 0, 139, 45, 17, 6, 4, 3, 48, 77, 13, 7, 10, 47, 206, 66, 0, 0, 139, 45, 17, 6, 4, 3, 46, 193, 37, 27, 21, 16, 11.0, 21.0, 30.0, 0, 11, 23, 14, 5, 4, 14, 0, 12, 7, 3, 0, 1.0, 8, 2, 1, 0, 0, 17, 17, 29.73, 56.76, 81.08, 73.0, 73.890625, 73.890625, 0, 47.796875, 62.1953125, 0.0, 52.1953125, 30.3984375, 13.0, 0.0, 4.3, 60.8984375, 34.796875, 21.69921875, 8.69921875, 17.3984375, 4.2998046875, 97.0, 35.0, 12.0, 9.0, 70.0, "Tous les candidats", 205.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "5339", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5339&g_ta_cod=5339", 57.0, 24.0, 16.0),
(9818, "Public", "0580020G", "Lycée professionnel Pierre Bérégovoy", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Fourchambault", "formation sélective", "BTS", "Lycée professionnel Pierre Bérégovoy - BTS - Production - Moteur à combustion interne", "BTS - Production", "", 8, 132, 2, 127, 0, 20, 3, 37, 5, 52, 7, 18, 5, 0, 1, 1, 3, 86, 2, 0, 0, 14, 2, 28, 3, 42, 4, 2, 30, 7, 0, 7, 0, 3.0, 5.0, 7.0, 0, 2, 7, 0, 1, 6, 0, 0, 0, 0, 5, 2, 0.0, 0, 1, 6, 4, 0, 4, 4, 42.86, 71.43, 100.0, 0.0, 57.09375, 57.09375, 57.09375, 28.59765625, 100.0, 0.0, 0.0, 0.0, 71.390625, 28.6, 0.0, 0.0, 0.0, 14.298828125, 14.298828125, 85.6875, 85.6875, 3.0, 1.0, 11.0, 2.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers technologiques toutes séries", 24, "Bacheliers professionnels toutes séries", 30, "Liste d'appel propre à cette formation", 46.0, "33234", "BTS - Production - Moteur à combustion interne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33234&g_ta_cod=33234", 0.0, 14.0, 86.0),
(9819, "Public", "0730858L", "Université Savoie Mont Blanc - Chambéry", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Jacob-Bellecombette", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Chambéry - Licence - Histoire - Parcours Sciences Po - Droit", "Licence - Sciences humaines et sociales", "Sciences Po - Droit", 35, 677, 402, 677, 0, 609, 74, 9, 5, 3, 1, 56, 0, 0, 0, 0, 0, 677, 0, 0, 0, 609, 74, 9, 5, 3, 1, 56, 132, 35, 23, 35, 0, 17.0, 35.0, 35.0, 0, 2, 35, 35, 0, 0, 0, 0, 1, 4, 17, 13, 0.0, 34, 0, 0, 0, 0, 31, 31, 48.57, 100.0, 100.0, 65.6875, 88.59375, 88.59375, 0, 5.69921875, 100.0, 0.0, 2.89990234375, 11.3984375, 48.59375, 37.1, 0.0, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 131.0, 14.0, 0.0, 0.0, 1.0, "Tous les candidats", 151.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "8814", "Licence - Histoire - Parcours Sciences Po - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8814&g_ta_cod=8814", 100.0, 0.0, 0.0),
(9820, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz / Lycée Robert Schuman Metz - Licence - Mathématiques - Parcours PPPE", "Licence - Sciences - technologies - santé", "PPPE", 35, 210, 135, 195, 0, 142, 30, 8, 1, 2, 2, 43, 15, 2, 0, 0, 13, 194, 13, 0, 0, 142, 30, 8, 1, 2, 2, 42, 145, 30, 22, 29, 1, 4.0, 27.0, 30.0, 0, 5, 24, 21, 2, 1, 6, 0, 10, 9, 4, 1, 0.0, 12, 1, 1, 0, 0, 20, 20, 13.33, 90.0, 100.0, 73.296875, 83.296875, 83.296875, 0, 20.796875, 80.0, 0.0, 41.6953125, 37.5, 16.69921875, 4.2, 0.0, 87.5, 50.0, 8.298828125, 4.19921875, 4.19921875, 4.19921875, 100.0, 22.0, 1.0, 1.0, 41.0, "Tous les candidats", 192.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "32742", "Licence - Mathématiques - Parcours PPPE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32742&g_ta_cod=32742", 87.0, 10.0, 3.0),
(9821, "Public", "0620062F", "Lycée Pierre De Coubertin", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "BTS", "Lycée Pierre De Coubertin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 532, 263, 532, 0, 63, 15, 125, 41, 173, 100, 171, 0, 0, 0, 0, 0, 428, 0, 0, 0, 63, 15, 125, 41, 173, 100, 67, 115, 35, 21, 35, 0, 8.0, 27.0, 34.0, 0, 14, 28, 2, 10, 16, 7, 0, 10, 8, 7, 3, 0.0, 1, 3, 14, 5, 3, 26, 26, 22.86, 77.14, 97.14, 60.0, 92.890625, 92.890625, 17.8984375, 50.0, 80.0, 0.0, 35.6953125, 28.59765625, 25.0, 10.7, 0.0, 7.099609375, 3.599609375, 35.6953125, 10.69921875, 57.09375, 50.0, 18.0, 5.0, 50.0, 29.0, 13.0, "Tous les candidats sauf les Bac professionnels", 115.0, "Bacheliers professionnels toutes séries", 110, "", 0, "Liste d'appel propre à cette formation", 42.0, "7359", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7359&g_ta_cod=7359", 9.0, 29.0, 63.0),
(9822, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Langues: Anglais - Italien - Programme International MINERVE", "Licence - Arts-lettres-langues", "Langues: Anglais - Italien - Programme International MINERVE", 20, 328, 263, 328, 0, 208, 53, 31, 17, 27, 18, 62, 0, 0, 0, 0, 0, 328, 0, 0, 0, 208, 53, 31, 17, 27, 18, 62, 114, 25, 20, 25, 0, 4.0, 18.0, 20.0, 0, 5, 21, 17, 2, 2, 4, 0, 3, 6, 7, 5, 0.0, 15, 2, 1, 0, 0, 11, 11, 16.0, 72.0, 80.0, 80.0, 52.3984375, 52.3984375, 0, 23.796875, 84.0, 0.0, 14.298828125, 28.59765625, 33.296875, 23.8, 0.0, 81.0, 71.390625, 9.5, 9.5, 9.5, 4.7998046875, 80.0, 22.0, 10.0, 7.0, 16.0, "Tous les candidats", 191.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "18017", "Licence - Portail Langues: Anglais - Italien - Programme International MINERVE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18017&g_ta_cod=18017", 76.0, 8.0, 16.0),
(9823, "Privé sous contrat d'association", "0754016H", "Lycée L'Initiative", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée L'Initiative - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 390, 138, 178, 0, 23, 7, 54, 17, 40, 12, 61, 212, 2, 16, 112, 82, 97, 12, 0, 0, 19, 6, 43, 15, 18, 5, 17, 84, 15, 4, 11, 4, 4.0, 9.0, 11.0, 0, 4, 13, 3, 5, 5, 2, 0, 10, 2, 1, 0, 0.0, 1, 0, 2, 1, 1, 4, 12, 26.67, 60.0, 73.33, 26.69921875, 30.796875, 92.296875, 7.69921875, 30.796875, 86.6875, 0.0, 76.890625, 15.3984375, 7.69921875, 0.0, 0.0, 23.09765625, 7.69921875, 38.5, 0.0, 38.5, 15.3984375, 15.0, 5.0, 27.0, 11.0, 7.0, "Tous les candidats sauf les Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 47.0, "9485", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9485&g_ta_cod=9485", 27.0, 40.0, 33.0),
(9824, "Privé sous contrat d'association", "0132828D", "Lycée CADENELLE", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 12e  Arrondissement", "formation sélective", "BTS", "Lycée CADENELLE - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 36, 347, 155, 241, 0, 56, 19, 50, 21, 29, 12, 106, 106, 6, 24, 16, 60, 126, 13, 0, 0, 44, 12, 26, 10, 11, 2, 45, 109, 30, 15, 26, 4, 13.0, 24.0, 26.0, 0, 5, 15, 8, 5, 2, 15, 0, 5, 7, 3, 0, 0.0, 6, 3, 1, 3, 2, 15, 15, 43.33, 80.0, 86.67, 50.0, 100.0, 100.0, 20, 33.296875, 50.0, 0.0, 33.296875, 46.6953125, 20.0, 0.0, 0.0, 53.296875, 40.0, 33.296875, 20.0, 13.298828125, 6.69921875, 36.0, 11.0, 11.0, 2.0, 41.0, "Tous les candidats sauf les Bac professionnels", 115.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 52.0, "2782", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2782&g_ta_cod=2782", 63.0, 27.0, 7.0),
(9825, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation sélective", "Autre formation", "INALCO - Diplôme d'Université - Diplôme d'Initiation au Russe", "Diplôme d'Université", "Diplôme d'Initiation au Russe", 100, 382, 208, 215, 0, 93, 23, 9, 2, 8, 3, 105, 167, 19, 3, 6, 139, 215, 107, 0, 0, 93, 23, 9, 2, 8, 3, 105, 308, 100, 55, 45, 55, 37.0, 45.0, 65.0, 0, 8, 19, 16, 1, 2, 81, 1, 6, 5, 4, 3, 0.0, 11, 0, 1, 0, 0, 2, 10, 37.0, 45.0, 65.0, 55.0, 10.5, 52.59375, 0, 42.09375, 19.0, 5.2998046875, 31.59765625, 26.296875, 21.09765625, 15.8, 0.0, 84.1875, 57.8984375, 5.2998046875, 0.0, 10.5, 5.2998046875, 105.0, 28.0, 14.0, 6.0, 182.0, "Tous les candidats", 215.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "22933", "Diplôme d'Université - Diplôme d'Initiation au Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22933&g_ta_cod=22933", 90.0, 8.0, 2.0),
(9826, "Public", "0741133E", "I.U.T. Annecy", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BUT", "I.U.T. Annecy - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie -Conception et production durable - Management de process industriel - Simulation numérique et réalité virtuelle", "BUT - Production", "Innovation pour l?industrie -Conception et production durable - Management de process industriel - Simulation numérique et réalité virtuelle", 92, 1762, 149, 1762, 0, 995, 92, 496, 62, 18, 6, 253, 0, 0, 0, 0, 0, 1430, 0, 0, 0, 905, 76, 339, 41, 4, 1, 182, 482, 91, 5, 91, 0, 9.0, 78.0, 85.0, 0, 8, 83, 40, 43, 0, 8, 0, 0, 36, 39, 8, 0.0, 40, 43, 0, 0, 0, 62, 62, 9.89, 85.71, 93.41, 5.5, 74.6875, 74.6875, 0, 9.599609375, 91.1875, 0.0, 0.0, 43.3984375, 47.0, 9.6, 0.0, 48.1953125, 48.1953125, 51.796875, 51.796875, 0.0, 0.0, 216.0, 25.0, 0.0, 0.0, 87.0, "Tous les candidats sauf les Bac technologiques", 457.0, "Bacheliers technologiques toutes séries", 285, "", 0, "Liste d'appel propre à cette formation", 42.0, "8900", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie -Conception et production durable - Management de process industriel - Simulation numérique et réalité virtuelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8900&g_ta_cod=8900", 49.0, 51.0, 0.0),
(9827, "Public", "0350005R", "Lycée des Métiers - Hotelier et Restauration - Yvon Bourges", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Dinard", "formation sélective", "Autre formation", "Lycée des Métiers - Hotelier et Restauration - Yvon Bourges - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 36, 287, 166, 286, 0, 117, 20, 52, 14, 22, 2, 95, 1, 0, 0, 0, 1, 274, 1, 0, 0, 117, 20, 52, 14, 21, 2, 84, 135, 36, 24, 35, 1, 10.0, 29.0, 31.0, 0, 0, 27, 20, 7, 0, 9, 0, 8, 13, 4, 2, 0.0, 14, 5, 0, 0, 0, 24, 24, 27.78, 80.56, 86.11, 66.6875, 88.890625, 88.890625, 0, 0.0, 75.0, 0.0, 29.59765625, 48.09375, 14.798828125, 7.4, 0.0, 74.09375, 51.8984375, 25.8984375, 18.5, 0.0, 0.0, 69.0, 8.0, 4.0, 0.0, 38.0, "Tous les candidats", 177.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "4621", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4621&g_ta_cod=4621", 75.0, 22.0, 3.0),
(9828, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Arts du spectacle - Parcours Licence Arts du spectacle Option Histoire de l'Art et Archéologie", "Licence - Arts-lettres-langues", "Licence Arts du spectacle Option Histoire de l'Art et Archéologie", 70, 372, 251, 282, 0, 174, 45, 34, 8, 12, 5, 62, 90, 13, 11, 5, 61, 282, 85, 0, 0, 174, 45, 34, 8, 12, 5, 62, 330, 62, 35, 37, 25, 6.0, 37.0, 56.0, 0, 16, 37, 24, 9, 4, 25, 0, 15, 19, 2, 1, 0.0, 16, 3, 3, 0, 0, 24, 24, 9.68, 59.68, 90.32, 56.5, 64.890625, 64.890625, 0, 43.1953125, 59.6953125, 0.0, 40.5, 51.3984375, 5.3994140625, 2.7, 0.0, 64.890625, 43.1953125, 24.296875, 8.099609375, 10.798828125, 8.099609375, 165.0, 40.0, 14.0, 5.0, 107.0, "Tous les candidats", 282.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "25329", "Licence - Arts du spectacle - Parcours Licence Arts du spectacle Option Histoire de l'Art et Archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25329&g_ta_cod=25329", 65.0, 19.0, 16.0),
(9829, "Privé enseignement supérieur", "0693180G", "IDRAC Business School - Campus de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours Bachelor IDRAC Business School - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "Approfondissement en : marketing digital, international, sport & business et approfondissement personnalisable", 400, 983, 380, 904, 0, 602, 95, 174, 41, 25, 12, 103, 79, 23, 17, 6, 33, 683, 30, 0, 0, 490, 62, 117, 17, 11, 2, 65, 713, 107, 39, 84, 23, 83.0, 84.0, 100.0, 0, 14, 91, 56, 28, 7, 16, 3, 37, 38, 11, 2, 0.0, 34, 11, 6, 0, 0, 47, 47, 77.57, 78.5, 93.46, 36.3984375, 51.59375, 51.59375, 0, 15.3984375, 85.0, 3.2998046875, 40.6953125, 41.796875, 12.099609375, 2.2, 0.0, 61.5, 37.3984375, 30.796875, 12.099609375, 7.69921875, 6.599609375, 502.0, 64.0, 12.0, 3.0, 76.0, "Tous les candidats", 1420.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "440", "Formation des écoles de commerce et de management Bac + 3", "Concours Bachelor IDRAC Business School", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=439&g_ta_cod=440", 62.0, 30.0, 8.0),
(9830, "Public", "0340132J", "Ecole Nationale Supérieure d'Architecture de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Montpellier - Architecture", "Formations Bac + 5", "", 110, 2844, 1723, 2844, 0, 1635, 323, 394, 108, 73, 35, 742, 0, 0, 0, 0, 0, 579, 0, 0, 0, 349, 44, 80, 14, 15, 6, 135, 270, 109, 77, 109, 0, 30.0, 100.0, 103.0, 0, 17, 83, 68, 12, 3, 26, 0, 0, 6, 45, 32, 0.0, 68, 12, 3, 0, 0, 27, 27, 27.52, 91.74, 94.5, 70.59375, 32.5, 32.5, 0, 20.5, 76.09375, 0.0, 0.0, 7.19921875, 54.1953125, 38.6, 0.0, 81.890625, 81.890625, 14.5, 14.5, 3.599609375, 3.599609375, 177.0, 31.0, 4.0, 2.0, 57.0, "Tous les candidats", 328.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "4520", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4520&g_ta_cod=4520", 83.0, 14.0, 3.0),
(9831, "Public", "0081047V", "Lycée Bazeilles", "08", "Ariège", "Grand Est", "Reims", "Sedan", "formation sélective", "BTS", "Lycée Bazeilles - BTS - Services - Diététique", "BTS - Services", "", 24, 702, 548, 695, 0, 156, 26, 165, 48, 32, 12, 342, 7, 0, 4, 0, 3, 225, 2, 0, 0, 90, 14, 60, 17, 30, 10, 45, 126, 19, 12, 17, 2, 2.0, 12.0, 14.0, 0, 4, 14, 7, 5, 2, 5, 0, 3, 8, 3, 0, 0.0, 6, 3, 2, 0, 0, 11, 11, 10.53, 63.16, 73.68, 63.1953125, 78.59375, 78.59375, 0, 28.59765625, 73.6875, 0.0, 21.3984375, 57.09375, 21.3984375, 0.0, 0.0, 50.0, 42.8984375, 35.6953125, 21.3984375, 14.298828125, 14.298828125, 51.0, 9.0, 9.0, 3.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 113.0, "Bacheliers technologiques toutes séries", 54, "Bacheliers professionnels toutes séries", 10, "Liste d'appel propre à cette formation", 25.0, "29880", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29880&g_ta_cod=29880", 47.0, 37.0, 16.0),
(9832, "Privé sous contrat d'association", "9741255W", "Lycée Catholique St Charles", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BTS", "Lycée Catholique St Charles - BTS - Services - Commerce International", "BTS - Services", "", 35, 286, 161, 272, 0, 117, 28, 78, 21, 13, 5, 64, 14, 0, 0, 11, 3, 210, 2, 0, 0, 103, 25, 66, 18, 9, 4, 32, 131, 34, 25, 32, 1, 6.0, 26.0, 30.0, 0, 9, 29, 21, 8, 0, 5, 1, 12, 8, 8, 0, 0.0, 12, 4, 0, 1, 1, 27, 27, 17.65, 76.47, 88.24, 73.5, 93.09375, 93.09375, 3.39990234375, 31.0, 85.296875, 3.39990234375, 41.3984375, 27.59765625, 27.59765625, 0.0, 0.0, 72.390625, 41.3984375, 27.59765625, 13.798828125, 0.0, 0.0, 69.0, 17.0, 8.0, 5.0, 17.0, "Tous les candidats sauf les Bac professionnels", 158.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 62.0, "11979", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11979&g_ta_cod=11979", 71.0, 26.0, 3.0),
(9833, "Privé enseignement supérieur", "0751150E", "ESME Sudria Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Advance - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale - Cycle anglophone", 30, 1573, 380, 1573, 0, 1571, 117, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1087, 0, 0, 0, 1087, 61, 0, 0, 0, 0, 0, 671, 30, 18, 30, 0, 12.0, 21.0, 29.0, 0, 0, 30, 30, 0, 0, 0, 0, 1, 11, 16, 2, 0.0, 29, 0, 0, 0, 0, 8, 25, 40.0, 70.0, 96.67, 60.0, 26.69921875, 83.296875, 0, 0.0, 100.0, 0.0, 3.2998046875, 36.6953125, 53.296875, 6.7, 0.0, 100.0, 96.6875, 0.0, 0.0, 0.0, 0.0, 671.0, 29.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "25841", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Advance", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=124&g_ta_cod=25841", 100.0, 0.0, 0.0),
(9834, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence", "Avignon Université - Licence - Chimie", "Licence - Sciences - technologies - santé", "", 120, 767, 509, 612, 0, 342, 91, 53, 17, 3, 3, 214, 155, 49, 12, 0, 94, 595, 114, 0, 0, 342, 91, 53, 17, 3, 3, 197, 625, 80, 59, 42, 37, 3.0, 40.0, 61.0, 0, 11, 35, 30, 5, 0, 45, 0, 16, 14, 5, 0, 0.0, 18, 1, 0, 0, 0, 26, 26, 3.75, 50.0, 76.25, 73.796875, 74.296875, 74.296875, 0, 31.3984375, 43.796875, 0.0, 45.6953125, 40.0, 14.298828125, 0.0, 0.0, 85.6875, 51.3984375, 14.298828125, 2.89990234375, 0.0, 0.0, 350.0, 89.0, 1.0, 1.0, 248.0, "Tous les candidats", 595.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "20394", "Licence - Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20394&g_ta_cod=20394", 83.0, 14.0, 3.0),
(9835, "Public", "0180007K", "Lycée Jacques Coeur", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BTS", "Lycée Jacques Coeur - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 24, 533, 346, 533, 0, 136, 18, 155, 29, 16, 6, 226, 0, 0, 0, 0, 0, 224, 0, 0, 0, 68, 6, 102, 15, 8, 1, 46, 106, 23, 13, 23, 0, 7.0, 18.0, 22.0, 0, 3, 19, 8, 9, 2, 4, 0, 3, 8, 7, 1, 0.0, 5, 9, 2, 5, 2, 14, 14, 30.43, 78.26, 95.65, 56.5, 73.6875, 73.6875, 26.296875, 15.798828125, 82.59375, 0.0, 15.798828125, 42.09375, 36.796875, 5.3, 0.0, 42.09375, 26.296875, 47.3984375, 47.3984375, 10.5, 10.5, 29.0, 4.0, 4.0, 1.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 30.0, "3093", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3093&g_ta_cod=3093", 48.0, 43.0, 9.0),
(9836, "Public", "0911632E", "Lycée Rene Cassin", "91", "Essonne", "Ile-de-France", "Versailles", "Arpajon", "formation sélective", "BTS", "Lycée Rene Cassin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1074, 478, 1051, 0, 56, 14, 339, 97, 383, 171, 273, 23, 5, 0, 0, 18, 362, 1, 0, 0, 21, 5, 92, 14, 188, 80, 61, 149, 28, 12, 25, 0, 5.0, 19.0, 23.0, 0, 9, 21, 0, 8, 13, 7, 0, 7, 10, 4, 0, 0.0, 0, 4, 10, 4, 1, 21, 21, 17.86, 67.86, 82.14, 42.8984375, 100.0, 100.0, 19, 42.8984375, 75.0, 0.0, 33.296875, 47.59375, 19.0, 0.0, 0.0, 0.0, 0.0, 38.09375, 19.0, 61.8984375, 47.59375, 9.0, 5.0, 62.0, 24.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 17.0, "10936", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10936&g_ta_cod=10936", 14.0, 39.0, 46.0),
(9837, "Public", "0741133E", "I.U.T. Annecy", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BUT", "I.U.T. Annecy - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", 115, 2483, 1209, 2483, 0, 1399, 153, 723, 137, 39, 14, 322, 0, 0, 0, 0, 0, 1523, 0, 0, 0, 923, 94, 433, 71, 3, 2, 164, 595, 121, 69, 121, 0, 18.0, 100.0, 121.0, 0, 21, 117, 57, 59, 1, 4, 0, 11, 58, 41, 6, 1.0, 51, 54, 1, 0, 0, 100, 100, 14.88, 82.64, 100.0, 57.0, 85.5, 85.5, 0, 17.8984375, 96.6875, 0.0, 9.3984375, 49.59375, 35.0, 5.1, 0.9, 48.6953125, 43.59375, 50.3984375, 46.1953125, 0.89990234375, 0.89990234375, 350.0, 43.0, 3.0, 2.0, 12.0, "Tous les candidats sauf les Bac technologiques", 640.0, "Bacheliers technologiques toutes séries", 345, "", 0, "Liste d'appel propre à cette formation", 40.0, "8905", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8905&g_ta_cod=8905", 48.0, 51.0, 1.0),
(9838, "Public", "0750778N", "Lycée professionnel Turquetil", "75", "Paris", "Ile-de-France", "Paris", "Paris 11e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Turquetil - Mention complémentaire - FCIL Maroquinerie / Gainerie / Sellerie de luxe", "Mention complémentaire", "", 12, 113, 95, 113, 0, 11, 2, 9, 2, 53, 21, 40, 0, 0, 0, 0, 0, 42, 0, 0, 0, 0, 0, 4, 1, 20, 7, 18, 28, 11, 10, 10, 0, 5.0, 9.0, 10.0, 0, 2, 4, 0, 0, 4, 7, 0, 1, 1, 0, 2, 0.0, 0, 0, 3, 0, 0, 2, 3, 45.45, 81.82, 90.91, 90.890625, 50.0, 75.0, 0, 50.0, 36.3984375, 0.0, 25.0, 25.0, 0.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 14.0, 4.0, 13.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "29504", "Mention complémentaire - FCIL Maroquinerie / Gainerie / Sellerie de luxe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29504&g_ta_cod=29504", 18.0, 0.0, 82.0),
(9839, "Privé enseignement supérieur", "0593202K", "IESEG School of Management - Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole de Commerce", "IESEG School of Management - Lille - Formation des écoles de commerce et de management Bac + 3 - Bachelor in International Business", "Formation des écoles de commerce et de management", "Bachelor in International Business - cursus anglophone", 40, 299, 156, 283, 0, 232, 6, 14, 0, 1, 0, 36, 16, 2, 0, 0, 14, 249, 7, 0, 0, 207, 4, 12, 0, 1, 0, 29, 170, 19, 9, 14, 5, 5.0, 14.0, 17.0, 0, 0, 13, 12, 1, 0, 6, 0, 1, 8, 3, 1, 0.0, 11, 1, 0, 0, 0, 3, 3, 26.32, 73.68, 89.47, 47.3984375, 23.09765625, 23.09765625, 0, 0.0, 68.390625, 0.0, 7.69921875, 61.5, 23.09765625, 7.7, 0.0, 92.296875, 84.59375, 7.69921875, 7.69921875, 0.0, 0.0, 131.0, 3.0, 1.0, 0.0, 29.0, "Tous les candidats", 441.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 87.0, "31741", "Formation des écoles de commerce et de management Bac + 3 - Bachelor in International Business", "IESEG School of Management - Lille", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25874&g_ta_cod=31741", 95.0, 5.0, 0.0),
(9840, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence_Las", "Université Paris Nanterre - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 35, 4279, 3604, 4279, 0, 2079, 532, 340, 121, 93, 40, 1767, 0, 0, 0, 0, 0, 4279, 0, 0, 0, 2079, 532, 340, 121, 93, 40, 1767, 256, 33, 33, 33, 0, 3.0, 22.0, 23.0, 0, 8, 22, 19, 2, 1, 11, 0, 2, 9, 5, 5, 1.0, 18, 1, 1, 0, 0, 13, 18, 9.09, 66.67, 69.7, 100.0, 59.09375, 81.796875, 0, 36.3984375, 66.6875, 0.0, 9.099609375, 40.8984375, 22.69921875, 22.7, 4.5, 86.390625, 81.796875, 9.099609375, 4.5, 4.5, 4.5, 154.0, 41.0, 1.0, 1.0, 95.0, "Tous les candidats", 749.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 8.0, "27226", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27225&g_ta_cod=27226", 91.0, 6.0, 3.0),
(9841, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Anglais", "Licence - Arts-lettres-langues", "Anglais", 370, 2289, 1688, 2289, 0, 1598, 432, 108, 43, 47, 27, 536, 0, 0, 0, 0, 0, 2289, 0, 0, 0, 1598, 432, 108, 43, 47, 27, 536, 1609, 370, 276, 370, 0, 241.0, 328.0, 343.0, 0, 78, 277, 252, 19, 6, 93, 0, 43, 99, 91, 38, 6.0, 213, 15, 6, 0, 0, 223, 223, 65.14, 88.65, 92.7, 74.59375, 80.5, 80.5, 0, 28.19921875, 74.890625, 0.0, 15.5, 35.6953125, 32.8984375, 13.7, 2.2, 91.0, 76.890625, 6.8994140625, 5.3994140625, 2.19970703125, 2.19970703125, 1221.0, 316.0, 25.0, 14.0, 304.0, "Tous les candidats", 1869.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "7072", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7072&g_ta_cod=7072", 86.0, 9.0, 4.0),
(9842, "Public", "0911946W", "Lycée Leonard De Vinci", "91", "Essonne", "Ile-de-France", "Versailles", "Saint-Michel-sur-Orge", "formation sélective", "BTS", "Lycée Leonard De Vinci - BTS - Services - Economie sociale familiale", "BTS - Services", "", 30, 873, 780, 859, 0, 41, 15, 195, 84, 311, 147, 312, 14, 1, 0, 0, 13, 339, 3, 0, 0, 14, 5, 150, 61, 146, 60, 29, 132, 31, 31, 29, 2, 3.0, 19.0, 24.0, 0, 16, 27, 1, 12, 14, 4, 0, 7, 15, 5, 0, 0.0, 0, 8, 12, 3, 3, 24, 27, 9.68, 61.29, 77.42, 100.0, 88.890625, 100.0, 11.099609375, 59.296875, 87.09375, 0.0, 25.8984375, 55.59375, 18.5, 0.0, 0.0, 3.69970703125, 0.0, 44.3984375, 29.59765625, 51.8984375, 44.3984375, 6.0, 2.0, 57.0, 23.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 23.0, "17604", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17604&g_ta_cod=17604", 13.0, 42.0, 45.0),
(9843, "Public", "0611149T", "IUT GRAND OUEST NORMANDIE - Pôle d'Alençon", "61", "Orne", "Normandie", "Normandie", "Damigny", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle d'Alençon - BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services", "BUT - Production", "Management de la production de biens et de services", 30, 251, 68, 232, 0, 119, 6, 61, 8, 9, 2, 43, 19, 4, 2, 0, 13, 203, 6, 0, 0, 115, 5, 58, 8, 3, 0, 27, 144, 13, 5, 11, 2, 0.0, 11.0, 12.0, 0, 0, 11, 7, 4, 0, 2, 0, 5, 6, 0, 0, 0.0, 4, 2, 0, 0, 0, 4, 4, 0.0, 84.62, 92.31, 38.5, 36.3984375, 36.3984375, 0, 0.0, 84.59375, 0.0, 45.5, 54.5, 0.0, 0.0, 0.0, 63.59375, 36.3984375, 36.3984375, 18.19921875, 0.0, 0.0, 70.0, 3.0, 1.0, 0.0, 23.0, "Tous les candidats sauf les Bac technologiques", 141.0, "Bacheliers technologiques toutes séries", 62, "", 0, "Liste d'appel propre à cette formation", 88.0, "7318", "BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7318&g_ta_cod=7318", 62.0, 38.0, 0.0),
(9844, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Université Angers - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 70, 358, 304, 302, 0, 224, 61, 25, 9, 6, 2, 47, 56, 13, 10, 2, 31, 302, 55, 0, 0, 224, 61, 25, 9, 6, 2, 47, 357, 68, 54, 45, 23, 44.0, 45.0, 57.0, 0, 14, 46, 38, 7, 1, 22, 0, 9, 23, 13, 1, 0.0, 32, 4, 1, 0, 0, 35, 35, 64.71, 66.18, 83.82, 79.390625, 76.09375, 76.09375, 0, 30.3984375, 67.59375, 0.0, 19.59765625, 50.0, 28.296875, 2.2, 0.0, 82.59375, 69.59375, 15.19921875, 8.69921875, 2.19970703125, 2.19970703125, 237.0, 67.0, 8.0, 4.0, 77.0, "Tous les candidats", 347.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "13997", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28329&g_ta_cod=13997", 79.0, 16.0, 3.0),
(9845, "Privé enseignement supérieur", "0590350K", "EDHEC Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole de Commerce", "Concours PASS - Formation des écoles de commerce et de management Bac + 4", "Formation des écoles de commerce et de management", "International BBA - Parcours Business Management - English Track", 50, 1660, 827, 1660, 0, 1459, 30, 63, 2, 0, 0, 138, 0, 0, 0, 0, 0, 473, 0, 0, 0, 442, 7, 7, 0, 0, 0, 24, 251, 46, 30, 46, 0, 10.0, 37.0, 39.0, 0, 3, 43, 41, 2, 0, 3, 0, 1, 9, 21, 10, 2.0, 40, 2, 0, 0, 0, 0, 0, 21.74, 80.43, 84.78, 65.1875, 0.0, 0.0, 0, 7.0, 93.5, 0.0, 2.2998046875, 20.8984375, 48.796875, 23.3, 4.7, 95.296875, 93.0, 4.69921875, 4.69921875, 0.0, 0.0, 237.0, 7.0, 0.0, 0.0, 10.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "26366", "Formation des écoles de commerce et de management Bac + 4", "Concours PASS", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26356&g_ta_cod=26366", 96.0, 4.0, 0.0),
(9846, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Histoire de l'art et archéologie", "Licence - Sciences humaines et sociales", "", 100, 552, 362, 461, 0, 294, 55, 43, 8, 23, 8, 101, 91, 22, 6, 6, 57, 461, 90, 0, 0, 294, 55, 43, 8, 23, 8, 101, 431, 84, 52, 65, 19, 17.0, 64.0, 71.0, 0, 12, 55, 44, 7, 4, 29, 0, 29, 16, 9, 1, 0.0, 22, 1, 3, 0, 0, 50, 50, 20.24, 76.19, 84.52, 61.8984375, 90.890625, 90.890625, 0, 21.796875, 65.5, 0.0, 52.6953125, 29.09765625, 16.3984375, 1.8, 0.0, 80.0, 40.0, 12.69921875, 1.7998046875, 7.2998046875, 5.5, 243.0, 46.0, 24.0, 7.0, 128.0, "Tous les candidats", 460.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3558", "Licence - Histoire de l'art et archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3558&g_ta_cod=3558", 73.0, 13.0, 12.0),
(9847, "Privé sous contrat d'association", "0593060F", "Institut Nicolas Barré", "59", "Nord", "Hauts-de-France", "Lille", "Armentières", "formation sélective", "BTS", "Institut Nicolas Barré - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 30, 126, 34, 121, 0, 29, 4, 24, 7, 53, 16, 15, 5, 0, 0, 2, 3, 112, 3, 0, 0, 29, 4, 24, 7, 52, 16, 7, 76, 18, 4, 17, 1, 9.0, 17.0, 17.0, 0, 6, 18, 2, 5, 11, 0, 0, 6, 7, 4, 1, 0.0, 1, 2, 9, 9, 4, 17, 17, 50.0, 94.44, 94.44, 22.19921875, 94.390625, 94.390625, 50, 33.296875, 100.0, 0.0, 33.296875, 38.8984375, 22.19921875, 5.6, 0.0, 11.099609375, 5.599609375, 27.796875, 11.099609375, 61.09375, 50.0, 12.0, 4.0, 39.0, 13.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers technologiques toutes séries", 24, "Bacheliers professionnels toutes séries", 38, "Liste d'appel propre à cette formation", 63.0, "33765", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33765&g_ta_cod=33765", 11.0, 28.0, 61.0),
(9848, "Public", "0850068M", "Lycée Francois Rabelais", "85", "Vendée", "Pays de la Loire", "Nantes", "Fontenay-le-Comte", "formation sélective", "BTS", "Lycée Francois Rabelais - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 32, 411, 163, 342, 0, 36, 4, 145, 21, 86, 21, 75, 69, 4, 9, 32, 24, 220, 11, 0, 0, 29, 4, 111, 14, 61, 15, 19, 185, 22, 8, 19, 3, 5.0, 16.0, 20.0, 0, 2, 20, 6, 10, 4, 2, 1, 8, 8, 2, 1, 0.0, 3, 4, 4, 5, 3, 12, 12, 22.73, 72.73, 90.91, 36.3984375, 60.0, 60.0, 25, 10.0, 90.890625, 5.0, 40.0, 40.0, 10.0, 5.0, 0.0, 30.0, 15.0, 50.0, 20.0, 20.0, 20.0, 23.0, 2.0, 47.0, 15.0, 20.0, "Tous les candidats sauf les Bac professionnels", 158.0, "Bacheliers professionnels toutes séries", 61, "", 0, "Liste d'appel propre à cette formation", 64.0, "10487", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10487&g_ta_cod=10487", 27.0, 45.0, 27.0),
(9849, "Privé sous contrat d'association", "0441946B", "Ecole Sup. ENSEC", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Ecole Sup. ENSEC - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 18, 118, 29, 115, 0, 16, 1, 51, 3, 29, 11, 19, 3, 0, 0, 0, 3, 37, 0, 0, 0, 7, 0, 17, 0, 11, 3, 2, 31, 18, 3, 18, 0, 10.0, 17.0, 17.0, 0, 1, 16, 4, 7, 5, 2, 0, 6, 9, 1, 0, 0.0, 1, 5, 4, 0, 0, 16, 16, 55.56, 94.44, 94.44, 16.69921875, 100.0, 100.0, 0, 6.2998046875, 88.890625, 0.0, 37.5, 56.296875, 6.2998046875, 0.0, 0.0, 25.0, 6.2998046875, 43.796875, 31.296875, 31.296875, 25.0, 4.0, 0.0, 11.0, 3.0, 2.0, "Tous les candidats sauf les Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 27.0, "5596", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5596&g_ta_cod=5596", 33.0, 39.0, 28.0),
(9850, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Sciences et technologies", "Licence - Sciences - technologies - santé", "Sciences et technologies : Sciences de la vie", 428, 5776, 3774, 5776, 0, 3516, 509, 201, 37, 11, 5, 2048, 0, 0, 0, 0, 0, 5765, 0, 0, 0, 3516, 509, 201, 37, 11, 5, 2037, 2345, 420, 271, 420, 0, 26.0, 301.0, 336.0, 0, 44, 267, 259, 8, 0, 153, 2, 40, 130, 73, 21, 1.0, 218, 7, 0, 0, 0, 253, 253, 6.19, 71.67, 80.0, 64.5, 94.796875, 94.796875, 0, 16.5, 63.59375, 0.699951171875, 15.0, 48.6953125, 27.296875, 7.9, 0.4, 97.0, 81.59375, 3.0, 2.599609375, 0.0, 0.0, 1508.0, 249.0, 0.0, 0.0, 808.0, "Tous les candidats", 5616.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 48.0, "31079", "Licence - Portail Sciences et technologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31073&g_ta_cod=31079", 98.0, 2.0, 0.0),
(9851, "Public", "0030098R", "I.U.T. d'Allier - site de Montluçon", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "BUT", "I.U.T. d'Allier - site de Montluçon - BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", "BUT - Service", "Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", 56, 316, 86, 273, 0, 138, 12, 60, 14, 11, 4, 64, 43, 3, 2, 4, 34, 203, 10, 0, 0, 121, 10, 45, 11, 4, 3, 33, 159, 44, 11, 41, 3, 21.0, 41.0, 42.0, 0, 3, 36, 20, 14, 2, 8, 0, 17, 12, 5, 2, 0.0, 6, 11, 2, 0, 0, 19, 19, 47.73, 93.18, 95.45, 25.0, 52.796875, 52.796875, 0, 8.298828125, 81.796875, 0.0, 47.1953125, 33.296875, 13.8984375, 5.6, 0.0, 55.59375, 16.69921875, 38.8984375, 30.59765625, 5.599609375, 5.599609375, 80.0, 7.0, 3.0, 2.0, 35.0, "Tous les candidats sauf les Bac technologiques", 153.0, "Bacheliers technologiques toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 74.0, "2142", "BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2142&g_ta_cod=2142", 61.0, 34.0, 5.0),
(9852, "Public", "0490003M", "Lycée Polyvalent Chevrollier", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Lycée Polyvalent Chevrollier - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 46, 1132, 519, 1126, 0, 164, 35, 295, 83, 130, 68, 537, 6, 0, 1, 1, 4, 513, 0, 0, 0, 143, 26, 210, 43, 67, 32, 93, 202, 42, 20, 42, 0, 0.0, 31.0, 35.0, 0, 15, 37, 14, 17, 6, 5, 0, 11, 23, 3, 0, 0.0, 10, 11, 5, 3, 1, 34, 34, 0.0, 73.81, 83.33, 47.59375, 91.890625, 91.890625, 8.099609375, 40.5, 88.09375, 0.0, 29.69921875, 62.1953125, 8.099609375, 0.0, 0.0, 37.796875, 27.0, 45.8984375, 29.69921875, 16.19921875, 13.5, 42.0, 12.0, 35.0, 22.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 173, "Liste d'appel propre à cette formation", 25.0, "5833", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5833&g_ta_cod=5833", 36.0, 50.0, 14.0),
(9853, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Portail Droit - Droit parcours général", "Licence - Droit-économie-gestion", "Droit parcours général : Université de Brest", 320, 1994, 1473, 1903, 0, 1350, 245, 208, 55, 34, 15, 311, 91, 21, 5, 3, 62, 1896, 83, 0, 0, 1350, 245, 208, 55, 34, 15, 304, 1657, 317, 230, 281, 36, 59.0, 275.0, 283.0, 0, 63, 251, 199, 40, 12, 66, 1, 79, 103, 60, 8, 0.0, 143, 23, 5, 0, 0, 233, 233, 18.61, 86.75, 89.27, 72.59375, 92.796875, 92.796875, 0, 25.09765625, 79.1875, 0.39996337890625, 31.5, 41.0, 23.8984375, 3.2, 0.0, 79.296875, 57.0, 15.8984375, 9.19921875, 4.7998046875, 2.0, 1147.0, 199.0, 29.0, 15.0, 297.0, "Tous les candidats", 2166.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28754", "Licence - Portail Droit - Droit parcours général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28752&g_ta_cod=28754", 79.0, 15.0, 5.0),
(9854, "Public", "0601223D", "UTC Université de Technologie de Compiègne", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "Ecole d'Ingénieur", "Réseau des Universités de Technologie - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 400, 7985, 2357, 7985, 0, 7205, 430, 0, 0, 0, 0, 780, 0, 0, 0, 0, 0, 4988, 0, 0, 0, 4541, 233, 0, 0, 0, 0, 447, 932, 405, 217, 405, 0, 362.0, 402.0, 405.0, 0, 37, 366, 366, 0, 0, 39, 0, 0, 0, 33, 273, 60.0, 366, 0, 0, 0, 0, 79, 79, 89.38, 99.26, 100.0, 53.59375, 21.59765625, 21.59765625, 0, 10.099609375, 90.390625, 0.0, 0.0, 0.0, 9.0, 74.6, 16.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 826.0, 69.0, 0.0, 0.0, 106.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "55", "Formation d'ingénieur Bac + 5 - Série générale", "Réseau des Universités de Technologie", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=53&g_ta_cod=55", 100.0, 0.0, 0.0),
(9855, "Public", "0560008E", "Lycée professionnel Emile James", "56", "Morbihan", "Bretagne", "Rennes", "Etel", "formation sélective", "Autre formation", "Lycée professionnel Emile James - Mention complémentaire - FCIL Technicien motoriste option Mécanique In Bord", "Mention complémentaire", "", 10, 40, 2, 40, 0, 1, 0, 1, 0, 36, 7, 2, 0, 0, 0, 0, 0, 36, 0, 0, 0, 0, 0, 0, 0, 35, 7, 1, 33, 8, 0, 8, 0, 1.0, 7.0, 8.0, 0, 2, 8, 0, 0, 8, 0, 0, 2, 4, 1, 1, 0.0, 0, 0, 6, 0, 0, 8, 8, 12.5, 87.5, 100.0, 0.0, 100.0, 100.0, 0, 25.0, 100.0, 0.0, 25.0, 50.0, 12.5, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 33.0, 7.0, 0.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "25701", "Mention complémentaire - FCIL Technicien motoriste option Mécanique In Bord", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25701&g_ta_cod=25701", 0.0, 0.0, 100.0),
(9856, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Sociologie - Philosophie - Sciences de l'Education - Sciences du langage", "Licence - Sciences humaines et sociales", "Mention Sciences du langage", 100, 824, 691, 710, 0, 423, 108, 39, 13, 17, 5, 231, 114, 19, 7, 3, 85, 708, 112, 0, 0, 423, 108, 39, 13, 17, 5, 229, 695, 80, 70, 46, 34, 29.0, 46.0, 66.0, 0, 12, 37, 30, 6, 1, 43, 1, 16, 18, 2, 0, 0.0, 19, 1, 0, 0, 0, 27, 27, 36.25, 57.5, 82.5, 87.5, 73.0, 73.0, 0, 32.3984375, 46.296875, 2.69970703125, 43.1953125, 48.59375, 5.3994140625, 0.0, 0.0, 81.09375, 51.3984375, 16.19921875, 2.69970703125, 2.69970703125, 0.0, 368.0, 95.0, 17.0, 5.0, 271.0, "Tous les candidats", 2430.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "24041", "Licence - Portail Sociologie - Philosophie - Sciences de l'Education - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24038&g_ta_cod=24041", 73.0, 14.0, 11.0),
(9857, "Public", "0630069H", "Lycée Jean Zay", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Thiers", "formation sélective", "BTS", "Lycée Jean Zay - BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "BTS - Production", "", 6, 45, 11, 45, 0, 1, 0, 11, 2, 8, 4, 25, 0, 0, 0, 0, 0, 24, 0, 0, 0, 1, 0, 10, 1, 7, 3, 6, 16, 5, 1, 5, 0, 3.0, 5.0, 5.0, 0, 1, 2, 0, 0, 2, 3, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 60.0, 100.0, 100.0, 20.0, 50.0, 50.0, 0, 50.0, 40.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 6.0, 2.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 49.0, "20077", "BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20077&g_ta_cod=20077", 40.0, 0.0, 60.0),
(9858, "Public", "9840482B", "Lycée du Diadème - Te tara o mai'ao", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Pirae", "formation sélective", "BTS", "Lycée du Diadème - Te tara o mai'ao - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 22, 310, 196, 298, 0, 26, 9, 133, 60, 88, 59, 51, 12, 2, 0, 0, 10, 179, 1, 0, 0, 19, 5, 84, 32, 59, 38, 17, 63, 22, 15, 21, 1, 8.0, 21.0, 22.0, 0, 9, 21, 2, 11, 8, 1, 0, 1, 12, 7, 1, 0.0, 1, 11, 8, 4, 2, 19, 19, 36.36, 95.45, 100.0, 68.1875, 90.5, 90.5, 19, 42.8984375, 95.5, 0.0, 4.7998046875, 57.09375, 33.296875, 4.8, 0.0, 9.5, 4.7998046875, 52.3984375, 52.3984375, 38.09375, 38.09375, 9.0, 3.0, 22.0, 10.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers technologiques toutes séries", 48, "Bacheliers professionnels toutes séries", 33, "Liste d'appel propre à cette formation", 35.0, "25802", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25802&g_ta_cod=25802", 14.0, 50.0, 36.0),
(9859, "Public", "0660014G", "Lycée Pablo Picasso", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée Pablo Picasso - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 214, 11, 214, 0, 8, 5, 68, 21, 73, 26, 65, 0, 0, 0, 0, 0, 214, 0, 0, 0, 8, 5, 68, 21, 73, 26, 65, 76, 23, 0, 23, 0, 6.0, 23.0, 23.0, 0, 6, 20, 0, 10, 10, 3, 0, 11, 8, 1, 0, 0.0, 0, 3, 6, 14, 0, 20, 20, 26.09, 100.0, 100.0, 0.0, 100.0, 100.0, 70, 30.0, 87.0, 0.0, 55.0, 40.0, 5.0, 0.0, 0.0, 0.0, 0.0, 50.0, 15.0, 50.0, 30.0, 2.0, 2.0, 25.0, 7.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 46.0, "7855", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7855&g_ta_cod=7855", 0.0, 52.0, 48.0),
(9860, "Privé sous contrat d'association", "0810079W", "Lycée Jeanne D'Arc", "81", "Tarn", "Occitanie", "Toulouse", "Mazamet", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 26, 103, 41, 94, 0, 14, 3, 35, 6, 39, 19, 6, 9, 0, 2, 5, 2, 92, 0, 0, 0, 14, 3, 35, 6, 39, 19, 4, 65, 18, 7, 18, 0, 6.0, 14.0, 17.0, 0, 4, 17, 5, 4, 8, 1, 0, 9, 7, 0, 1, 0.0, 3, 2, 3, 5, 3, 17, 17, 33.33, 77.78, 94.44, 38.8984375, 100.0, 100.0, 29.3984375, 23.5, 94.390625, 0.0, 52.8984375, 41.1953125, 0.0, 5.9, 0.0, 29.3984375, 17.59765625, 23.5, 11.798828125, 47.09375, 17.59765625, 9.0, 3.0, 33.0, 16.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 87.0, "10273", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10273&g_ta_cod=10273", 33.0, 22.0, 44.0),
(9861, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Gaston Berger - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 766, 384, 758, 460, 588, 74, 2, 1, 0, 0, 168, 8, 3, 2, 0, 3, 554, 6, 188, 526, 515, 60, 0, 0, 0, 0, 39, 317, 12, 8, 12, 0, 1.0, 8.0, 12.0, 3, 0, 12, 12, 0, 0, 0, 0, 1, 1, 8, 1, 1.0, 11, 0, 0, 0, 0, 9, 9, 8.33, 66.67, 100.0, 66.6875, 75.0, 75.0, 0, 0.0, 100.0, 0.0, 8.298828125, 8.298828125, 66.6875, 8.3, 8.3, 100.0, 91.6875, 0.0, 0.0, 0.0, 0.0, 295.0, 34.0, 0.0, 0.0, 22.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "31474", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31305&g_ta_cod=31474", 100.0, 0.0, 0.0),
(9862, "Public", "9711052S", "I.U.T de la Guadeloupe - Campus de St-Claude", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Saint-Claude", "formation sélective", "BUT", "I.U.T de la Guadeloupe - Campus de St-Claude - BUT - Gestion des entreprises et des administrations", "BUT - Service", "", 60, 547, 289, 517, 0, 222, 91, 213, 118, 18, 16, 64, 30, 1, 8, 0, 21, 353, 8, 0, 0, 192, 78, 116, 63, 0, 0, 45, 246, 50, 22, 46, 4, 6.0, 40.0, 47.0, 0, 17, 38, 26, 12, 0, 12, 0, 11, 22, 4, 1, 0.0, 17, 10, 0, 0, 0, 36, 36, 12.0, 80.0, 94.0, 44.0, 94.6875, 94.6875, 0, 44.6953125, 76.0, 0.0, 28.8984375, 57.8984375, 10.5, 2.6, 0.0, 68.390625, 44.6953125, 31.59765625, 26.296875, 0.0, 0.0, 113.0, 52.0, 0.0, 0.0, 40.0, "Tous les candidats sauf les Bac technologiques", 225.0, "Bacheliers technologiques toutes séries", 123, "", 0, "Liste d'appel propre à cette formation", 67.0, "11768", "BUT - Gestion des entreprises et des administrations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11768&g_ta_cod=11768", 70.0, 30.0, 0.0),
(9863, "Privé sous contrat d'association", "0560858D", "Lycée agricole La Touche", "56", "Morbihan", "Bretagne", "Rennes", "Ploërmel", "formation sélective", "BTS", "Lycée agricole La Touche - BTS - Agricole - productions animales", "BTS - Agricole", "", 32, 253, 145, 241, 0, 59, 10, 96, 11, 62, 17, 24, 12, 6, 1, 2, 3, 170, 4, 0, 0, 42, 9, 89, 10, 32, 9, 7, 102, 24, 16, 23, 1, 8.0, 23.0, 24.0, 0, 2, 22, 8, 10, 4, 2, 0, 7, 12, 3, 0, 0.0, 5, 8, 2, 7, 4, 21, 21, 33.33, 95.83, 100.0, 66.6875, 95.5, 95.5, 31.796875, 9.099609375, 91.6875, 0.0, 31.796875, 54.5, 13.599609375, 0.0, 0.0, 36.3984375, 22.69921875, 45.5, 36.3984375, 18.19921875, 9.099609375, 30.0, 7.0, 20.0, 5.0, 7.0, "Tous les candidats sauf les Bac professionnels", 138.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 71.0, "6465", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6465&g_ta_cod=6465", 38.0, 46.0, 17.0),
(9864, "Public", "0782076H", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "Licence", "Université de Versailles - Saint Quentin en Yvelines - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 350, 2825, 2047, 2825, 0, 2059, 370, 236, 59, 32, 8, 498, 0, 0, 0, 0, 0, 2825, 0, 0, 0, 2059, 370, 236, 59, 32, 8, 498, 1540, 345, 243, 342, 0, 36.0, 305.0, 313.0, 0, 49, 303, 287, 15, 1, 42, 0, 71, 160, 71, 1, 0.0, 218, 13, 1, 0, 0, 276, 289, 10.43, 88.41, 90.72, 70.390625, 91.09375, 95.390625, 0, 16.19921875, 87.796875, 0.0, 23.3984375, 52.796875, 23.3984375, 0.3, 0.0, 94.6875, 71.890625, 5.0, 4.2998046875, 0.29998779296875, 0.29998779296875, 1316.0, 236.0, 2.0, 2.0, 179.0, "Tous les candidats", 1816.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 62.0, "19536", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29019&g_ta_cod=19536", 94.0, 5.0, 1.0),
(9865, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", "", 280, 3579, 1581, 3579, 0, 1968, 662, 427, 193, 81, 50, 1103, 0, 0, 0, 0, 0, 3524, 0, 0, 0, 1968, 662, 427, 193, 81, 50, 1048, 1617, 229, 85, 229, 0, 8.0, 116.0, 186.0, 0, 64, 131, 108, 22, 1, 98, 0, 64, 48, 18, 1, 0.0, 55, 11, 1, 0, 0, 79, 118, 3.49, 50.66, 81.22, 37.09375, 60.296875, 90.09375, 0, 48.8984375, 57.1953125, 0.0, 48.8984375, 36.59375, 13.69921875, 0.8, 0.0, 82.390625, 42.0, 16.796875, 8.3984375, 0.7999267578125, 0.7999267578125, 1018.0, 341.0, 9.0, 5.0, 430.0, "Tous les candidats", 2185.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 59.0, "11244", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28380&g_ta_cod=11244", 77.0, 19.0, 4.0),
(9866, "Public", "0930119Z", "Lycée Eugène Delacroix", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Drancy", "formation sélective", "BTS", "Lycée Eugène Delacroix - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 1260, 840, 1237, 0, 38, 22, 322, 175, 448, 261, 429, 23, 7, 0, 0, 16, 790, 0, 0, 0, 6, 4, 206, 112, 372, 210, 206, 124, 34, 29, 33, 0, 8.0, 23.0, 28.0, 0, 11, 23, 1, 10, 12, 11, 0, 12, 8, 3, 0, 0.0, 1, 4, 6, 5, 5, 23, 23, 23.53, 67.65, 82.35, 85.296875, 100.0, 100.0, 21.69921875, 47.796875, 67.59375, 0.0, 52.1953125, 34.796875, 13.0, 0.0, 0.0, 4.2998046875, 4.2998046875, 43.5, 17.3984375, 52.1953125, 26.09765625, 6.0, 3.0, 63.0, 33.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 126, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 13.0, "11170", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11170&g_ta_cod=11170", 9.0, 38.0, 53.0),
(9867, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : PORTUGAIS", "Licence - Arts-lettres-langues", "LLCER : PORTUGAIS", 70, 244, 159, 149, 0, 76, 20, 18, 5, 15, 1, 40, 95, 18, 15, 6, 56, 148, 92, 0, 0, 76, 20, 18, 5, 15, 1, 39, 228, 70, 43, 32, 38, 13.0, 32.0, 52.0, 0, 4, 34, 17, 9, 8, 36, 1, 23, 7, 2, 1, 0.0, 4, 1, 5, 0, 0, 6, 30, 18.57, 45.71, 74.29, 61.3984375, 17.59765625, 88.1875, 0, 11.798828125, 48.59375, 2.89990234375, 67.59375, 20.59765625, 5.8994140625, 2.9, 0.0, 50.0, 11.798828125, 26.5, 2.89990234375, 23.5, 14.69921875, 90.0, 23.0, 18.0, 4.0, 90.0, "Tous les candidats", 149.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "9271", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : PORTUGAIS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9271&g_ta_cod=9271", 47.0, 29.0, 24.0),
(9868, "Public", "0350068J", "Campus de l'excellence sportive de Bretagne", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Dinard", "formation sélective", "Autre formation", "Campus de l'excellence sportive de Bretagne - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 5, 250, 39, 250, 0, 48, 11, 75, 14, 76, 23, 51, 0, 0, 0, 0, 0, 18, 0, 0, 0, 3, 0, 9, 1, 4, 0, 2, 9, 4, 2, 4, 0, 2.0, 3.0, 3.0, 0, 0, 2, 0, 1, 1, 2, 0, 1, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 50.0, 75.0, 75.0, 50.0, 50.0, 50.0, 0, 0.0, 50.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 1.0, 0.0, 2.0, 0.0, 2.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 3.0, "23545", "BPJEPS - Activités physiques pour tous", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23545&g_ta_cod=23545", 25.0, 25.0, 50.0),
(9869, "Public", "0622807P", "Lycée des Métiers - Hotelier", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Le Touquet-Paris-Plage", "formation sélective", "Autre formation", "Lycée des Métiers - Hotelier - Mention complémentaire - FCIL - CAES - Option Services", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 1.0, 1.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35001", "Mention complémentaire - FCIL - CAES - Option Services", "", "", 0, 0, 0),
(9870, "Public", "0750612H", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART.", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART. - DN MADE - Espace - - Spécialité : Architecture, espaces publics et mobilité urbaine", "DN MADE", "- Spécialité : Architecture, espaces publics et mobilité urbaine", 15, 1346, 1037, 1346, 0, 654, 109, 223, 45, 61, 14, 408, 0, 0, 0, 0, 0, 175, 0, 0, 0, 87, 9, 52, 9, 0, 0, 36, 63, 16, 13, 16, 0, 0.0, 13.0, 14.0, 0, 5, 15, 12, 3, 0, 1, 0, 1, 5, 8, 1, 0.0, 11, 3, 0, 0, 0, 3, 9, 0.0, 81.25, 87.5, 81.296875, 20.0, 60.0, 0, 33.296875, 93.796875, 0.0, 6.69921875, 33.296875, 53.296875, 6.7, 0.0, 80.0, 73.296875, 20.0, 20.0, 0.0, 0.0, 35.0, 6.0, 0.0, 0.0, 9.0, "Tous les candidats", 93.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "21974", "DN MADE - Espace - - Spécialité : Architecture, espaces publics et mobilité urbaine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21974&g_ta_cod=21974", 81.0, 19.0, 0.0),
(9871, "Public", "0251018W", "I.U.T de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BUT", "I.U.T de Besançon - BUT - Information communication Parcours publicité", "BUT - Service", "", 80, 1109, 794, 1109, 0, 626, 75, 219, 43, 8, 3, 256, 0, 0, 0, 0, 0, 675, 0, 0, 0, 420, 45, 141, 25, 0, 0, 114, 273, 78, 64, 78, 0, 16.0, 64.0, 73.0, 0, 10, 59, 35, 24, 0, 19, 0, 6, 35, 15, 3, 0.0, 34, 19, 0, 0, 0, 27, 27, 20.51, 82.05, 93.59, 82.09375, 45.796875, 45.796875, 0, 16.8984375, 75.59375, 0.0, 10.19921875, 59.296875, 25.3984375, 5.1, 0.0, 59.296875, 57.59375, 40.6953125, 32.1953125, 0.0, 0.0, 133.0, 17.0, 0.0, 0.0, 52.0, "Tous les candidats sauf les Bac technologiques", 215.0, "Bacheliers technologiques toutes séries", 127, "", 0, "Liste d'appel propre à cette formation", 31.0, "3509", "BUT - Information communication Parcours publicité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3509&g_ta_cod=3509", 62.0, 37.0, 0.0),
(9872, "Public", "0891200W", "Lycée Catherine et Raymond JANOT", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Sens", "formation sélective", "BTS", "Lycée Catherine et Raymond JANOT - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 253, 57, 246, 0, 14, 1, 42, 11, 16, 3, 174, 7, 0, 3, 2, 2, 75, 2, 0, 0, 13, 1, 42, 11, 13, 3, 7, 51, 13, 2, 13, 0, 6.0, 11.0, 13.0, 0, 2, 11, 2, 6, 3, 2, 0, 5, 5, 1, 0, 0.0, 1, 3, 2, 4, 1, 8, 8, 46.15, 84.62, 100.0, 15.3984375, 72.6875, 72.6875, 36.3984375, 18.19921875, 84.59375, 0.0, 45.5, 45.5, 9.099609375, 0.0, 0.0, 18.19921875, 9.099609375, 54.5, 27.296875, 27.296875, 18.19921875, 4.0, 0.0, 12.0, 3.0, 5.0, "Tous les candidats sauf les Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 13, "", 0, "Liste d'appel propre à cette formation", 30.0, "10792", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10792&g_ta_cod=10792", 15.0, 62.0, 23.0),
(9873, "Privé sous contrat d'association", "0332282B", "ISNAB", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Villenave-d'Ornon", "formation sélective", "BTS", "ISNAB - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 45, 134, 67, 112, 0, 19, 0, 18, 2, 6, 1, 69, 22, 8, 3, 0, 11, 74, 16, 0, 0, 18, 0, 17, 2, 6, 1, 33, 89, 11, 6, 7, 4, 5.0, 7.0, 8.0, 0, 0, 3, 1, 2, 0, 8, 0, 1, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 1, 1, 45.45, 63.64, 72.73, 54.5, 33.296875, 33.296875, 0, 0.0, 27.296875, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 33.296875, 0.0, 0.0, 26.0, 0.0, 6.0, 1.0, 38.0, "Tous les candidats sauf les Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 66.0, "4434", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4434&g_ta_cod=4434", 55.0, 45.0, 0.0),
(9874, "Public", "0530010Y", "Lycée Ambroise Pare", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "Lycée Ambroise Pare - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 800, 390, 795, 0, 81, 17, 343, 108, 233, 84, 138, 5, 0, 0, 2, 3, 352, 1, 0, 0, 50, 8, 147, 43, 115, 40, 40, 157, 29, 11, 28, 1, 4.0, 20.0, 24.0, 0, 8, 21, 2, 14, 5, 8, 0, 4, 14, 3, 0, 0.0, 2, 10, 5, 6, 2, 14, 14, 13.79, 68.97, 82.76, 37.8984375, 66.6875, 66.6875, 28.59765625, 38.09375, 72.390625, 0.0, 19.0, 66.6875, 14.298828125, 0.0, 0.0, 9.5, 9.5, 66.6875, 47.59375, 23.796875, 23.796875, 22.0, 5.0, 47.0, 20.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 111, "Liste d'appel propre à cette formation", 27.0, "6194", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6194&g_ta_cod=6194", 10.0, 69.0, 21.0),
(9875, "Public", "0623957P", "Université d'Artois - Site d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation non sélective", "Licence", "Université d'Artois - Site d'Arras - Licence - Langues étrangères appliquées - Parcours  Anglais/Chinois - LEA", "Licence - Arts-lettres-langues", "Anglais/Chinois - LEA", 45, 256, 204, 256, 0, 166, 46, 18, 10, 9, 7, 63, 0, 0, 0, 0, 0, 256, 0, 0, 0, 166, 46, 18, 10, 9, 7, 63, 141, 47, 34, 47, 0, 27.0, 47.0, 47.0, 0, 11, 39, 38, 1, 0, 8, 1, 10, 12, 9, 6, 1.0, 28, 0, 0, 0, 0, 39, 39, 57.45, 100.0, 100.0, 72.296875, 100.0, 100.0, 0, 28.19921875, 83.0, 2.599609375, 25.59765625, 30.796875, 23.09765625, 15.4, 2.6, 97.390625, 71.796875, 2.599609375, 0.0, 0.0, 0.0, 111.0, 30.0, 0.0, 0.0, 28.0, "Tous les candidats", 161.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "7507", "Licence - Langues étrangères appliquées - Parcours  Anglais/Chinois - LEA", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7507&g_ta_cod=7507", 96.0, 2.0, 0.0),
(9876, "Privé sous contrat d'association", "0450848C", "ERTS", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Olivet", "formation sélective", "EFTS", "ERTS - D.E Educateur Spécialisé", "D.E secteur social", "", 40, 226, 190, 226, 0, 35, 3, 44, 6, 36, 13, 111, 0, 0, 0, 0, 0, 187, 0, 0, 0, 26, 2, 37, 5, 26, 7, 98, 81, 41, 36, 41, 0, 15.0, 33.0, 36.0, 0, 3, 22, 8, 6, 8, 19, 0, 3, 9, 9, 1, 0.0, 7, 4, 8, 0, 0, 14, 14, 36.59, 80.49, 87.8, 87.796875, 63.59375, 63.59375, 0, 13.599609375, 53.6953125, 0.0, 13.599609375, 40.8984375, 40.8984375, 4.5, 0.0, 36.3984375, 31.796875, 27.296875, 18.19921875, 36.3984375, 36.3984375, 11.0, 0.0, 14.0, 2.0, 42.0, "Tous les candidats", 81.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "24889", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24889&g_ta_cod=24889", 46.0, 27.0, 27.0),
(9877, "Public", "0860035W", "Lycée Camille Guérin", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "CPGE", "Lycée Camille Guérin - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 2041, 613, 2041, 1494, 1230, 141, 4, 2, 1, 0, 806, 0, 0, 0, 0, 0, 1117, 0, 895, 1066, 1090, 119, 1, 0, 0, 0, 26, 502, 92, 18, 92, 0, 24.0, 66.0, 87.0, 39, 9, 89, 89, 0, 0, 3, 0, 1, 8, 42, 36, 2.0, 88, 0, 0, 9, 2, 75, 75, 26.09, 71.74, 94.57, 19.59765625, 84.296875, 84.296875, 10.099609375, 10.099609375, 96.6875, 0.0, 1.099853515625, 9.0, 47.1953125, 40.4, 2.2, 100.0, 98.890625, 0.0, 0.0, 0.0, 0.0, 496.0, 49.0, 0.0, 0.0, 6.0, "Tous les candidats", 714.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "10584", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10584&g_ta_cod=10584", 100.0, 0.0, 0.0),
(9878, "Public", "0800011C", "Lycée des Métiers Édouard Gand", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée des Métiers Édouard Gand - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 30, 510, 38, 510, 0, 79, 17, 129, 42, 139, 48, 163, 0, 0, 0, 0, 0, 425, 0, 0, 0, 79, 17, 129, 42, 103, 33, 114, 133, 26, 4, 26, 0, 4.0, 20.0, 22.0, 0, 7, 19, 7, 1, 11, 7, 1, 5, 10, 3, 0, 0.0, 5, 1, 7, 0, 0, 18, 18, 15.38, 76.92, 84.62, 15.3984375, 94.6875, 94.6875, 0, 36.796875, 73.09375, 5.2998046875, 26.296875, 52.59375, 15.798828125, 0.0, 0.0, 36.796875, 26.296875, 5.2998046875, 5.2998046875, 57.8984375, 36.796875, 48.0, 10.0, 46.0, 15.0, 34.0, "Tous les candidats sauf les Bac professionnels", 115.0, "Bacheliers professionnels toutes séries", 65, "", 0, "Liste d'appel propre à cette formation", 35.0, "10167", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10167&g_ta_cod=10167", 38.0, 12.0, 46.0),
(9879, "Public", "9710690Y", "Lycée professionnel Ducharmoy", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Saint-Claude", "formation sélective", "Autre formation", "Lycée professionnel Ducharmoy - Mention complémentaire - Services numériques aux organisations", "Mention complémentaire", "", 24, 36, 7, 24, 0, 3, 0, 3, 3, 12, 8, 6, 12, 1, 2, 7, 2, 24, 7, 0, 0, 3, 0, 3, 3, 12, 8, 6, 37, 12, 1, 6, 6, 5.0, 5.0, 11.0, 0, 8, 12, 0, 1, 11, 0, 0, 9, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 11, 11, 41.67, 41.67, 91.67, 8.298828125, 91.6875, 91.6875, 0, 66.6875, 100.0, 0.0, 75.0, 16.69921875, 8.298828125, 0.0, 0.0, 0.0, 0.0, 8.298828125, 0.0, 91.6875, 25.0, 6.0, 1.0, 20.0, 13.0, 7.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "33872", "Mention complémentaire - Services numériques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33872&g_ta_cod=33872", 0.0, 8.0, 92.0),
(9880, "Public", "0050006E", "Lycée Dominique Villars", "05", "Hautes-Alpes", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Gap", "formation sélective", "BTS", "Lycée Dominique Villars - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 228, 35, 228, 0, 33, 8, 39, 18, 50, 24, 106, 0, 0, 0, 0, 0, 128, 0, 0, 0, 33, 8, 37, 18, 39, 20, 19, 88, 28, 2, 28, 0, 15.0, 27.0, 27.0, 0, 8, 22, 8, 4, 10, 6, 0, 8, 7, 6, 1, 0.0, 4, 2, 8, 3, 0, 19, 19, 53.57, 96.43, 96.43, 7.099609375, 86.390625, 86.390625, 13.599609375, 36.3984375, 78.59375, 0.0, 36.3984375, 31.796875, 27.296875, 4.5, 0.0, 36.3984375, 18.19921875, 18.19921875, 9.099609375, 45.5, 36.3984375, 26.0, 7.0, 25.0, 11.0, 14.0, "Tous les candidats sauf les Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 41.0, "2175", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2175&g_ta_cod=2175", 39.0, 25.0, 36.0),
(9881, "Public", "0690038S", "Lycée La Martinière Duchère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "BTS", "Lycée La Martinière Duchère - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 30, 3060, 2466, 3060, 0, 668, 182, 1033, 348, 240, 113, 1119, 0, 0, 0, 0, 0, 1107, 0, 0, 0, 395, 87, 397, 113, 136, 62, 179, 200, 30, 23, 30, 0, 1.0, 18.0, 27.0, 0, 11, 27, 3, 20, 4, 3, 0, 4, 15, 8, 0, 0.0, 3, 17, 3, 9, 4, 21, 21, 3.33, 60.0, 90.0, 76.6875, 77.796875, 77.796875, 33.296875, 40.6953125, 90.0, 0.0, 14.798828125, 55.59375, 29.59765625, 0.0, 0.0, 11.099609375, 11.099609375, 74.09375, 63.0, 14.798828125, 11.099609375, 30.0, 7.0, 22.0, 10.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 293, "Liste d'appel propre à cette formation", 13.0, "8217", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8217&g_ta_cod=8217", 13.0, 70.0, 17.0),
(9882, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Licence", "Université Angers - Double licence - Droit / Economie et gestion - Double licence Droit et Economie", "Licence - Droit-économie-gestion", "Double licence Droit et Economie", 40, 866, 527, 611, 0, 513, 62, 15, 5, 1, 0, 82, 255, 102, 16, 4, 133, 123, 10, 0, 0, 109, 6, 0, 0, 0, 0, 14, 132, 28, 21, 25, 3, 24.0, 24.0, 26.0, 0, 2, 27, 27, 0, 0, 1, 0, 0, 0, 12, 15, 0.0, 27, 0, 0, 0, 0, 17, 17, 85.71, 85.71, 92.86, 75.0, 63.0, 63.0, 0, 7.3994140625, 96.390625, 0.0, 0.0, 0.0, 44.3984375, 55.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 116.0, 6.0, 0.0, 0.0, 16.0, "Tous les candidats", 122.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "18495", "Double licence - Droit / Economie et gestion - Double licence Droit et Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18495&g_ta_cod=18495", 100.0, 0.0, 0.0),
(9883, "Public", "0650027B", "Lycée Jean Dupuy", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Jean Dupuy - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 24, 154, 14, 150, 0, 12, 2, 47, 3, 51, 9, 40, 4, 1, 0, 0, 3, 129, 3, 0, 0, 12, 2, 47, 3, 47, 8, 23, 104, 14, 1, 12, 2, 3.0, 12.0, 13.0, 0, 1, 11, 1, 3, 7, 3, 0, 5, 4, 2, 0, 0.0, 0, 2, 4, 1, 0, 8, 8, 21.43, 85.71, 92.86, 7.099609375, 72.6875, 72.6875, 9.099609375, 9.099609375, 78.59375, 0.0, 45.5, 36.3984375, 18.19921875, 0.0, 0.0, 9.099609375, 0.0, 27.296875, 18.19921875, 63.59375, 36.3984375, 10.0, 1.0, 40.0, 8.0, 22.0, "Tous les candidats sauf les Bac professionnels", 79.0, "Bacheliers professionnels toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 86.0, "7820", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7820&g_ta_cod=7820", 7.0, 43.0, 50.0),
(9884, "Public", "0840005Z", "Lycée Philippe de Girard", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée Philippe de Girard - BTS - Production - Maintenance des véhicules option véhicules de transport routier", "BTS - Production", "", 12, 144, 9, 144, 0, 7, 2, 23, 9, 59, 36, 55, 0, 0, 0, 0, 0, 105, 0, 0, 0, 4, 1, 23, 9, 59, 36, 19, 36, 13, 1, 13, 0, 5.0, 10.0, 12.0, 0, 6, 12, 0, 4, 8, 1, 0, 7, 2, 2, 1, 0.0, 0, 0, 5, 4, 1, 10, 10, 38.46, 76.92, 92.31, 7.69921875, 83.296875, 83.296875, 33.296875, 50.0, 92.296875, 0.0, 58.296875, 16.69921875, 16.69921875, 8.3, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 41.6953125, 2.0, 1.0, 22.0, 10.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 42.0, "10423", "BTS - Production - Maintenance des véhicules option véhicules de transport routier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10423&g_ta_cod=10423", 8.0, 31.0, 62.0),
(9885, "Public", "0623864N", "Lycée professionnel Maximilien de Robespierre", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "BTS", "Lycée professionnel Maximilien de Robespierre - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 35, 643, 458, 643, 0, 133, 25, 189, 73, 110, 43, 211, 0, 0, 0, 0, 0, 423, 0, 0, 0, 108, 22, 138, 52, 110, 43, 67, 119, 33, 26, 33, 0, 9.0, 12.0, 25.0, 0, 9, 31, 4, 9, 18, 2, 0, 8, 14, 9, 0, 0.0, 3, 8, 12, 10, 9, 28, 28, 27.27, 36.36, 75.76, 78.796875, 90.296875, 90.296875, 32.296875, 29.0, 93.890625, 0.0, 25.796875, 45.1953125, 29.0, 0.0, 0.0, 12.8984375, 9.69921875, 29.0, 25.796875, 58.09375, 38.6953125, 36.0, 8.0, 35.0, 16.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 92.0, "Bacheliers professionnels toutes séries", 105, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 44.0, "15893", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15893&g_ta_cod=15893", 15.0, 27.0, 58.0),
(9886, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Arts du spectacle", "Licence - Arts-lettres-langues", "", 188, 877, 597, 877, 0, 557, 87, 65, 11, 35, 11, 220, 0, 0, 0, 0, 0, 877, 0, 0, 0, 557, 87, 65, 11, 35, 11, 220, 633, 184, 114, 184, 0, 20.0, 153.0, 169.0, 0, 19, 130, 112, 13, 5, 54, 0, 46, 63, 19, 2, 0.0, 71, 9, 4, 0, 0, 52, 108, 10.87, 83.15, 91.85, 62.0, 40.0, 83.09375, 0, 14.599609375, 70.6875, 0.0, 35.3984375, 48.5, 14.599609375, 1.5, 0.0, 86.1875, 54.59375, 10.0, 6.8994140625, 3.7998046875, 3.099609375, 450.0, 68.0, 16.0, 5.0, 133.0, "Tous les candidats", 700.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "11095", "Licence - Arts du spectacle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11095&g_ta_cod=11095", 85.0, 8.0, 4.0),
(9887, "Privé sous contrat d'association", "0381678T", "Lycée Robin", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vienne", "formation sélective", "Autre formation", "Lycée Robin - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 34, 177, 85, 158, 0, 58, 5, 27, 7, 19, 3, 54, 19, 1, 1, 4, 13, 118, 11, 0, 0, 52, 4, 22, 5, 10, 1, 34, 106, 25, 12, 18, 7, 3.0, 18.0, 23.0, 0, 1, 11, 5, 2, 4, 14, 0, 4, 7, 0, 0, 0.0, 2, 2, 3, 0, 0, 6, 6, 12.0, 72.0, 92.0, 48.0, 54.5, 54.5, 0, 9.099609375, 44.0, 0.0, 36.3984375, 63.59375, 0.0, 0.0, 0.0, 45.5, 18.19921875, 18.19921875, 18.19921875, 36.3984375, 27.296875, 41.0, 2.0, 9.0, 1.0, 39.0, "Tous les candidats", 118.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "5135", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5135&g_ta_cod=5135", 48.0, 36.0, 16.0),
(9888, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues, Littératures & civilisations étrangères et régionales trilangue anglais italien + 3ème langue débutant", "Licence - Arts-lettres-langues", "Langues, Littératures & civilisations étrangères et régionales trilangue anglais italien + 3ème langue débutant", 16, 269, 221, 269, 0, 199, 42, 7, 1, 12, 10, 51, 0, 0, 0, 0, 0, 176, 0, 0, 0, 161, 32, 0, 0, 0, 0, 15, 45, 17, 16, 17, 0, 6.0, 17.0, 17.0, 0, 2, 16, 16, 0, 0, 1, 0, 0, 1, 10, 5, 0.0, 16, 0, 0, 0, 0, 4, 4, 35.29, 100.0, 100.0, 94.09375, 25.0, 25.0, 0, 12.5, 94.09375, 0.0, 0.0, 6.2998046875, 62.5, 31.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 44.0, 7.0, 0.0, 0.0, 1.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "24453", "Licence - Portail Langues, Littératures & civilisations étrangères et régionales trilangue anglais italien + 3ème langue débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24453&g_ta_cod=24453", 100.0, 0.0, 0.0),
(9889, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Histoire de l'art et archéologie - Parcours Licence Histoire de l'Art et Archéologie Option Arts du Spectacle", "Licence - Arts-lettres-langues", "Licence Histoire de l'Art et Archéologie Option Arts du Spectacle", 12, 232, 163, 211, 0, 130, 28, 17, 5, 5, 1, 59, 21, 3, 2, 0, 16, 211, 21, 0, 0, 130, 28, 17, 5, 5, 1, 59, 106, 17, 9, 8, 9, 3.0, 6.0, 13.0, 0, 1, 5, 3, 1, 1, 12, 0, 2, 2, 0, 1, 0.0, 3, 0, 0, 0, 0, 4, 4, 17.65, 35.29, 76.47, 52.8984375, 80.0, 80.0, 0, 20.0, 29.3984375, 0.0, 40.0, 40.0, 0.0, 20.0, 0.0, 60.0, 60.0, 20.0, 0.0, 20.0, 0.0, 44.0, 12.0, 4.0, 1.0, 49.0, "Tous les candidats", 211.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "25332", "Licence - Histoire de l'art et archéologie - Parcours Licence Histoire de l'Art et Archéologie Option Arts du Spectacle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25332&g_ta_cod=25332", 65.0, 18.0, 18.0),
(9890, "Public", "0940743X", "Lycée Georges Brassens", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villeneuve-le-Roi", "formation sélective", "BTS", "Lycée Georges Brassens - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1588, 741, 1585, 0, 106, 28, 431, 176, 491, 252, 557, 3, 2, 0, 0, 1, 563, 0, 0, 0, 58, 10, 205, 84, 177, 95, 123, 216, 32, 13, 30, 0, 2.0, 14.0, 22.0, 0, 13, 24, 1, 8, 15, 8, 0, 6, 12, 4, 2, 0.0, 1, 4, 13, 5, 2, 17, 23, 6.25, 43.75, 68.75, 40.59375, 70.796875, 95.796875, 20.796875, 54.1953125, 75.0, 0.0, 25.0, 50.0, 16.69921875, 8.3, 0.0, 4.19921875, 4.19921875, 33.296875, 16.69921875, 62.5, 54.1953125, 29.0, 8.0, 88.0, 50.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 158, "Bacheliers technologiques toutes séries", 104, "Liste d'appel propre à cette formation", 20.0, "11445", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11445&g_ta_cod=11445", 16.0, 31.0, 53.0),
(9891, "Privé sous contrat d'association", "0590348H", "HEI Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 10, 131, 8, 128, 0, 0, 0, 128, 24, 0, 0, 0, 3, 0, 3, 0, 0, 87, 0, 0, 0, 0, 0, 87, 14, 0, 0, 0, 83, 6, 1, 6, 0, 4.0, 6.0, 6.0, 0, 0, 6, 0, 6, 0, 0, 0, 0, 3, 3, 0, 0.0, 0, 6, 0, 0, 0, 0, 0, 66.67, 100.0, 100.0, 16.69921875, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "22911", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=22911", 0.0, 100.0, 0.0),
(9892, "Privé enseignement supérieur", "0693180G", "IDRAC Business School - Campus de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "Ecole de Commerce", "IDRAC Business School - Campus de Lyon - Formation des écoles de commerce et de management Bac + 5 - Programme Grande École", "Formation des écoles de commerce et de management", "Programme Grande École", 200, 283, 128, 265, 0, 218, 27, 22, 10, 4, 4, 21, 18, 6, 2, 0, 10, 206, 7, 0, 0, 181, 18, 11, 2, 0, 0, 14, 213, 33, 16, 29, 4, 28.0, 28.0, 29.0, 0, 5, 27, 25, 2, 0, 6, 1, 16, 7, 1, 2, 0.0, 10, 0, 0, 0, 0, 14, 14, 84.85, 84.85, 87.88, 48.5, 51.8984375, 51.8984375, 0, 18.5, 81.796875, 3.69970703125, 59.296875, 25.8984375, 3.69970703125, 7.4, 0.0, 92.59375, 37.0, 7.3994140625, 0.0, 0.0, 0.0, 183.0, 18.0, 0.0, 0.0, 18.0, "Tous les candidats", 206.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "31691", "Formation des écoles de commerce et de management Bac + 5 - Programme Grande École", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31691&g_ta_cod=31691", 88.0, 12.0, 0.0),
(9893, "Privé sous contrat d'association", "0592967E", "Lycée La Sagesse", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée La Sagesse - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 36, 508, 250, 482, 0, 83, 14, 128, 44, 155, 59, 116, 26, 7, 0, 0, 19, 157, 11, 0, 0, 27, 4, 68, 23, 57, 18, 5, 107, 33, 20, 28, 5, 12.0, 26.0, 28.0, 0, 6, 30, 4, 11, 15, 3, 0, 8, 8, 11, 3, 0.0, 0, 9, 13, 11, 9, 30, 30, 36.36, 78.79, 84.85, 60.59375, 100.0, 100.0, 36.6953125, 20.0, 90.890625, 0.0, 26.69921875, 26.69921875, 36.6953125, 10.0, 0.0, 13.298828125, 0.0, 36.6953125, 30.0, 50.0, 43.296875, 22.0, 7.0, 40.0, 13.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 28.0, "6927", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6927&g_ta_cod=6927", 21.0, 33.0, 45.0),
(9894, "Privé sous contrat d'association", "0251028G", "Institution Notre-Dame Saint-Jean - LYCEE", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Institution Notre-Dame Saint-Jean - LYCEE - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 34, 197, 97, 147, 0, 28, 4, 50, 17, 19, 7, 50, 50, 6, 11, 10, 23, 122, 24, 0, 0, 27, 4, 46, 16, 15, 6, 34, 129, 20, 12, 11, 9, 4.0, 11.0, 16.0, 0, 4, 10, 2, 7, 1, 10, 0, 3, 3, 4, 0, 0.0, 1, 5, 1, 3, 2, 10, 10, 20.0, 55.0, 80.0, 60.0, 100.0, 100.0, 30, 40.0, 50.0, 0.0, 30.0, 30.0, 40.0, 0.0, 0.0, 20.0, 10.0, 70.0, 50.0, 10.0, 10.0, 26.0, 3.0, 15.0, 6.0, 47.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 82.0, "3514", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3514&g_ta_cod=3514", 30.0, 60.0, 10.0),
(9895, "Public", "0330088S", "Lycée Max Linder", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Libourne", "formation sélective", "BTS", "Lycée Max Linder - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 730, 347, 730, 0, 77, 18, 295, 98, 243, 84, 115, 0, 0, 0, 0, 0, 521, 0, 0, 0, 67, 13, 245, 78, 152, 53, 57, 195, 31, 14, 31, 0, 2.0, 20.0, 22.0, 0, 9, 28, 2, 16, 10, 3, 0, 10, 13, 5, 0, 0.0, 1, 8, 9, 14, 5, 28, 28, 6.45, 64.52, 70.97, 45.1953125, 100.0, 100.0, 50, 32.09375, 90.296875, 0.0, 35.6953125, 46.3984375, 17.8984375, 0.0, 0.0, 7.099609375, 3.599609375, 57.09375, 28.59765625, 35.6953125, 32.09375, 9.0, 4.0, 89.0, 32.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 121, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 31.0, "4311", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4311&g_ta_cod=4311", 6.0, 55.0, 39.0),
(9896, "Public", "0060014H", "Lycée Jules Ferry", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BTS", "Lycée Jules Ferry - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 26, 1055, 832, 1048, 0, 215, 48, 349, 112, 38, 17, 446, 7, 0, 1, 2, 4, 475, 1, 0, 0, 163, 33, 165, 49, 24, 10, 123, 161, 23, 21, 22, 1, 0.0, 13.0, 17.0, 0, 4, 17, 3, 14, 0, 6, 0, 2, 12, 3, 0, 0.0, 2, 13, 0, 5, 3, 15, 15, 0.0, 56.52, 73.91, 91.296875, 88.1875, 88.1875, 29.3984375, 23.5, 73.890625, 0.0, 11.798828125, 70.59375, 17.59765625, 0.0, 0.0, 17.59765625, 11.798828125, 82.390625, 76.5, 0.0, 0.0, 30.0, 9.0, 8.0, 2.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 127, "Liste d'appel propre à cette formation", 19.0, "2198", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2198&g_ta_cod=2198", 17.0, 78.0, 4.0),
(9897, "Public", "0762762P", "Université Le Havre Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation non sélective", "Licence", "Université Le Havre Normandie - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 105, 654, 485, 588, 0, 336, 108, 86, 34, 32, 14, 134, 66, 8, 5, 4, 49, 587, 64, 0, 0, 336, 108, 86, 34, 32, 14, 133, 651, 101, 74, 80, 21, 79.0, 79.0, 80.0, 0, 23, 61, 40, 10, 11, 40, 6, 32, 20, 1, 2, 0.0, 14, 1, 8, 0, 0, 57, 57, 78.22, 78.22, 79.21, 73.296875, 93.390625, 93.390625, 0, 37.6953125, 60.3984375, 9.798828125, 52.5, 32.796875, 1.599853515625, 3.3, 0.0, 65.59375, 23.0, 16.3984375, 1.599853515625, 18.0, 13.099609375, 344.0, 110.0, 36.0, 17.0, 181.0, "Tous les candidats", 587.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15749", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15749&g_ta_cod=15749", 56.0, 22.0, 22.0),
(9898, "Public", "0333357V", "I.U.T de Bordeaux - Site Bordeaux - Gradignan", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Gradignan", "formation sélective", "BUT", "I.U.T de Bordeaux - Site Bordeaux - Gradignan - BUT - Science et génie des matériaux Parcours : Métiers de l?ingénierie des matériaux et des produits", "BUT - Production", "Métiers de l?ingénierie des matériaux et des produits", 44, 883, 107, 875, 0, 538, 50, 168, 17, 4, 1, 165, 8, 0, 2, 0, 6, 676, 2, 0, 0, 428, 35, 122, 12, 0, 0, 126, 308, 38, 5, 37, 1, 7.0, 26.0, 33.0, 0, 5, 29, 19, 10, 0, 9, 0, 3, 19, 7, 0, 0.0, 18, 8, 0, 0, 0, 18, 18, 18.42, 68.42, 86.84, 13.19921875, 62.09375, 62.09375, 0, 17.19921875, 76.296875, 0.0, 10.298828125, 65.5, 24.09765625, 0.0, 0.0, 65.5, 62.09375, 34.5, 27.59765625, 0.0, 0.0, 126.0, 12.0, 0.0, 0.0, 83.0, "Tous les candidats sauf les Bac technologiques", 419.0, "Bacheliers technologiques toutes séries", 139, "", 0, "Liste d'appel propre à cette formation", 64.0, "4347", "BUT - Science et génie des matériaux Parcours : Métiers de l?ingénierie des matériaux et des produits", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4347&g_ta_cod=4347", 66.0, 34.0, 0.0),
(9899, "Public", "0310088C", "Lycée professionnel de l'Ameublement", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Revel", "formation sélective", "Autre formation", "Lycée professionnel de l'Ameublement - DN MADE - Objet - - Spécialité : création et expérimentation en tapisserie décoration", "DN MADE", "- Spécialité : création et expérimentation en tapisserie décoration", 12, 86, 80, 86, 0, 14, 5, 16, 2, 40, 7, 16, 0, 0, 0, 0, 0, 86, 0, 0, 0, 14, 5, 16, 2, 40, 7, 16, 31, 13, 12, 13, 0, 5.0, 13.0, 13.0, 0, 2, 13, 0, 0, 13, 0, 0, 2, 5, 5, 1, 0.0, 0, 0, 11, 0, 0, 2, 2, 38.46, 100.0, 100.0, 92.296875, 15.3984375, 15.3984375, 0, 15.3984375, 100.0, 0.0, 15.3984375, 38.5, 38.5, 7.7, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 84.59375, 2.0, 0.0, 26.0, 6.0, 2.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "21988", "DN MADE - Objet - - Spécialité : création et expérimentation en tapisserie décoration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21988&g_ta_cod=21988", 0.0, 0.0, 100.0),
(9900, "Public", "0330076D", "Lycée professionnel Charles Peguy", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Eysines", "formation sélective", "BTS", "Lycée professionnel Charles Peguy - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 15, 208, 5, 202, 0, 8, 2, 38, 5, 132, 36, 24, 6, 0, 2, 2, 2, 109, 1, 0, 0, 3, 1, 19, 3, 85, 22, 2, 60, 12, 0, 11, 0, 3.0, 11.0, 11.0, 0, 2, 12, 1, 2, 9, 0, 0, 5, 5, 2, 0, 0.0, 0, 1, 6, 5, 0, 11, 11, 25.0, 91.67, 91.67, 0.0, 91.6875, 91.6875, 41.6953125, 16.69921875, 100.0, 0.0, 41.6953125, 41.6953125, 16.69921875, 0.0, 0.0, 8.298828125, 0.0, 16.69921875, 8.298828125, 75.0, 50.0, 2.0, 1.0, 44.0, 7.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers technologiques toutes séries", 21, "Bacheliers professionnels toutes séries", 76, "Liste d'appel propre à cette formation", 49.0, "32438", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32438&g_ta_cod=32438", 8.0, 17.0, 75.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(9901, "Privé sous contrat d'association", "0754016H", "Lycée L'Initiative", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée L'Initiative - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 32, 438, 221, 438, 0, 44, 7, 152, 49, 122, 53, 120, 0, 0, 0, 0, 0, 290, 0, 0, 0, 36, 7, 113, 40, 90, 40, 51, 87, 31, 12, 31, 0, 8.0, 26.0, 27.0, 0, 11, 30, 2, 14, 14, 1, 0, 23, 6, 1, 0, 0.0, 0, 2, 5, 0, 0, 7, 27, 25.81, 83.87, 87.1, 38.6953125, 23.296875, 90.0, 0, 36.6953125, 96.796875, 0.0, 76.6875, 20.0, 3.2998046875, 0.0, 0.0, 6.69921875, 0.0, 46.6953125, 6.69921875, 46.6953125, 16.69921875, 11.0, 1.0, 34.0, 14.0, 2.0, "Tous les candidats sauf les Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 24.0, "9483", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9483&g_ta_cod=9483", 6.0, 45.0, 48.0),
(9902, "Privé enseignement supérieur", "0352373P", "UniLaSalle Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Bruz", "formation sélective", "Ecole d'Ingénieur", "UniLaSalle (Beauvais, Rouen, Rennes) - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 85, 734, 397, 734, 0, 730, 27, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 703, 0, 0, 0, 699, 25, 0, 0, 0, 0, 4, 539, 90, 55, 90, 0, 40.0, 90.0, 90.0, 0, 5, 90, 90, 0, 0, 0, 0, 9, 31, 36, 14, 0.0, 81, 0, 0, 0, 0, 25, 25, 44.44, 100.0, 100.0, 61.09375, 27.796875, 27.796875, 0, 5.599609375, 100.0, 0.0, 10.0, 34.3984375, 40.0, 15.6, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 535.0, 20.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "29287", "Formation d'ingénieur Bac + 5 - Série générale", "UniLaSalle (Beauvais, Rouen, Rennes)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30779&g_ta_cod=29287", 100.0, 0.0, 0.0),
(9903, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Université de Strasbourg - Cycle pluridisciplinaire d'Études Supérieures - Sciences et sociétés", "CPES", "", 45, 171, 100, 144, 0, 121, 19, 2, 2, 2, 0, 19, 27, 11, 2, 2, 12, 121, 7, 0, 0, 105, 13, 0, 0, 0, 0, 16, 118, 25, 12, 21, 3, 2.0, 21.0, 24.0, 0, 2, 20, 20, 0, 0, 5, 0, 2, 4, 7, 7, 0.0, 18, 0, 0, 0, 0, 15, 15, 8.0, 84.0, 96.0, 48.0, 75.0, 75.0, 0, 10.0, 80.0, 0.0, 10.0, 20.0, 35.0, 35.0, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 103.0, 15.0, 0.0, 0.0, 15.0, "Tous les candidats", 121.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "34332", "Cycle pluridisciplinaire d'Études Supérieures - Sciences et sociétés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34332&g_ta_cod=34332", 100.0, 0.0, 0.0),
(9904, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence_Las", "Université de Rennes 1 - Licence - Portail Physique Chimie Géosciences", "Licence - Sciences - technologies - santé", "Physique Chimie Géosciences", 130, 944, 499, 792, 0, 520, 60, 15, 6, 0, 0, 257, 152, 60, 3, 0, 89, 784, 134, 0, 0, 520, 60, 15, 6, 0, 0, 249, 798, 114, 53, 63, 50, 1.0, 63.0, 90.0, 0, 3, 62, 59, 3, 0, 52, 1, 21, 27, 12, 0, 1.0, 40, 0, 0, 0, 0, 32, 32, 0.88, 55.26, 78.95, 46.5, 51.59375, 51.59375, 0, 4.7998046875, 54.3984375, 1.599853515625, 33.8984375, 43.5, 19.3984375, 0.0, 1.6, 95.1875, 64.5, 4.7998046875, 0.0, 0.0, 0.0, 517.0, 60.0, 0.0, 0.0, 274.0, "Tous les candidats", 1698.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "26778", "Licence - Portail Physique Chimie Géosciences", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26777&g_ta_cod=26778", 94.0, 5.0, 1.0),
(9905, "Privé sous contrat d'association", "0312355S", "Lycée Ort Maurice Grynfogel", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Colomiers", "formation sélective", "BTS", "Lycée Ort Maurice Grynfogel - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 147, 4, 120, 0, 12, 3, 22, 6, 58, 8, 28, 27, 3, 6, 2, 16, 72, 14, 0, 0, 6, 1, 12, 2, 47, 5, 7, 65, 9, 0, 7, 2, 1.0, 7.0, 7.0, 0, 2, 8, 0, 1, 7, 1, 0, 2, 4, 2, 0, 0.0, 0, 0, 6, 0, 0, 8, 8, 11.11, 77.78, 77.78, 0.0, 100.0, 100.0, 0, 25.0, 88.890625, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 0.0, 12.5, 0.0, 87.5, 75.0, 7.0, 1.0, 34.0, 5.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 58.0, "13592", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13592&g_ta_cod=13592", 0.0, 11.0, 89.0),
(9906, "Public", "7200117P", "I.U.T de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation sélective", "BUT", "I.U.T de Corte - BUT - Techniques de commercialisation Parcours : Business International  : Achat et Vente - Marketing et Management du point de vente", "BUT - Service", "Business International  : Achat et Vente - Marketing et Management du point de vente", 50, 579, 320, 579, 0, 224, 40, 207, 52, 41, 13, 107, 0, 0, 0, 0, 0, 280, 0, 0, 0, 124, 25, 121, 35, 1, 0, 34, 163, 48, 28, 48, 0, 12.0, 40.0, 43.0, 0, 10, 41, 11, 30, 0, 7, 0, 4, 24, 13, 0, 0.0, 9, 28, 0, 0, 0, 40, 40, 25.0, 83.33, 89.58, 58.296875, 97.59375, 97.59375, 0, 24.3984375, 85.390625, 0.0, 9.798828125, 58.5, 31.69921875, 0.0, 0.0, 26.796875, 22.0, 73.1875, 68.296875, 0.0, 0.0, 68.0, 13.0, 1.0, 0.0, 25.0, "Tous les candidats sauf les Bac technologiques", 147.0, "Bacheliers technologiques toutes séries", 95, "", 0, "Liste d'appel propre à cette formation", 42.0, "11699", "BUT - Techniques de commercialisation Parcours : Business International  : Achat et Vente - Marketing et Management du point de vente", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11699&g_ta_cod=11699", 33.0, 67.0, 0.0),
(9907, "Public", "0341150R", "Unité de formation et de recherche de médecine Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "Regroupement Occitanie (Est) et PACA - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 38, 2159, 2077, 2159, 0, 639, 116, 67, 22, 3, 2, 1450, 0, 0, 0, 0, 0, 325, 0, 0, 0, 148, 16, 3, 0, 0, 0, 174, 70, 38, 36, 38, 0, 18.0, 36.0, 38.0, 0, 5, 16, 16, 0, 0, 22, 0, 0, 0, 8, 7, 1.0, 16, 0, 0, 0, 0, 5, 5, 47.37, 94.74, 100.0, 94.6875, 31.296875, 31.296875, 0, 31.296875, 42.09375, 0.0, 0.0, 0.0, 50.0, 43.8, 6.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 29.0, 8.0, 0.0, 0.0, 41.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 4.0, "28053", "Certificat de capacité d'Orthophoniste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28053&g_ta_cod=28053", 100.0, 0.0, 0.0),
(9908, "Public", "9840482B", "Lycée du Diadème - Te tara o mai'ao", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Pirae", "formation sélective", "BTS", "Lycée du Diadème - Te tara o mai'ao - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 12, 75, 5, 75, 0, 5, 1, 28, 14, 38, 30, 4, 0, 0, 0, 0, 0, 56, 0, 0, 0, 4, 1, 25, 13, 26, 20, 1, 23, 13, 1, 13, 0, 6.0, 12.0, 13.0, 0, 4, 13, 1, 6, 6, 0, 0, 5, 3, 2, 3, 0.0, 0, 2, 6, 7, 1, 13, 13, 46.15, 92.31, 100.0, 7.69921875, 100.0, 100.0, 53.796875, 30.796875, 100.0, 0.0, 38.5, 23.09765625, 15.3984375, 23.1, 0.0, 7.69921875, 0.0, 46.1953125, 15.3984375, 46.1953125, 46.1953125, 3.0, 1.0, 7.0, 3.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers technologiques toutes séries", 12, "Bacheliers professionnels toutes séries", 8, "Liste d'appel propre à cette formation", 33.0, "32342", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32342&g_ta_cod=32342", 8.0, 46.0, 46.0),
(9909, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 55, 321, 144, 300, 0, 224, 40, 20, 3, 4, 1, 52, 21, 4, 3, 1, 13, 300, 19, 0, 0, 224, 40, 20, 3, 4, 1, 52, 289, 49, 15, 42, 7, 31.0, 42.0, 47.0, 0, 4, 39, 34, 4, 1, 10, 0, 10, 18, 8, 2, 1.0, 28, 1, 0, 0, 0, 27, 27, 63.27, 85.71, 95.92, 30.59765625, 69.1875, 69.1875, 0, 10.298828125, 79.59375, 0.0, 25.59765625, 46.1953125, 20.5, 5.1, 2.6, 87.1875, 71.796875, 10.298828125, 2.599609375, 2.599609375, 0.0, 216.0, 34.0, 3.0, 2.0, 52.0, "Tous les candidats", 316.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "8819", "Licence - Portail Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29649&g_ta_cod=8819", 88.0, 8.0, 4.0),
(9910, "Privé enseignement supérieur", "0592808G", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines - Licence - Histoire - Parcours Prépa science politique", "Licence - Sciences humaines et sociales", "Prépa science politique", 30, 155, 82, 155, 0, 153, 7, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 153, 0, 0, 0, 151, 7, 0, 0, 0, 0, 2, 79, 30, 19, 30, 0, 11.0, 26.0, 29.0, 0, 1, 30, 30, 0, 0, 0, 0, 0, 3, 18, 7, 2.0, 30, 0, 0, 0, 0, 11, 11, 36.67, 86.67, 96.67, 63.296875, 36.6953125, 36.6953125, 0, 3.2998046875, 100.0, 0.0, 0.0, 10.0, 60.0, 23.3, 6.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 79.0, 3.0, 0.0, 0.0, 0.0, "Tous les candidats", 87.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "32497", "Licence - Histoire - Parcours Prépa science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32497&g_ta_cod=32497", 100.0, 0.0, 0.0),
(9911, "Public", "0500087Y", "Lycée Claude Lehec", "50", "Manche", "Normandie", "Normandie", "Saint-Hilaire-du-Harcouët", "formation sélective", "BTS", "Lycée Claude Lehec - BTS - Services - Conseil et commercialisation de solutions techniques (Seconde année en apprentissage)", "BTS - Services", "", 18, 84, 17, 74, 0, 1, 0, 13, 5, 34, 9, 26, 10, 1, 7, 1, 1, 52, 7, 0, 0, 1, 0, 13, 5, 33, 9, 5, 49, 6, 0, 5, 1, 3.0, 5.0, 5.0, 0, 0, 6, 1, 1, 4, 0, 0, 1, 2, 3, 0, 0.0, 0, 1, 4, 3, 0, 5, 5, 50.0, 83.33, 83.33, 0.0, 83.296875, 83.296875, 50, 0.0, 100.0, 0.0, 16.69921875, 33.296875, 50.0, 0.0, 0.0, 16.69921875, 0.0, 16.69921875, 16.69921875, 66.6875, 66.6875, 2.0, 0.0, 24.0, 4.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 68.0, "6007", "BTS - Services - Conseil et commercialisation de solutions techniques (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6007&g_ta_cod=6007", 17.0, 17.0, 67.0),
(9912, "Public", "0120870F", "I.U.T de Rodez", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BUT", "I.U.T de Rodez - BUT - Carrières juridiques Parcours : Patrimoine et finance (3è année en alternance) - Entreprise et Association (3è année en alternance)", "BUT - Service", "Patrimoine et finance (3è année en alternance) - Entreprise et Association (3è année en alternance)", 56, 1439, 1134, 1434, 0, 722, 148, 451, 148, 30, 13, 231, 5, 2, 0, 0, 3, 840, 1, 0, 0, 443, 77, 325, 102, 0, 0, 72, 378, 51, 44, 50, 1, 12.0, 40.0, 47.0, 0, 9, 47, 27, 20, 0, 4, 0, 3, 30, 14, 0, 0.0, 25, 19, 0, 0, 0, 31, 31, 23.53, 78.43, 92.16, 86.296875, 66.0, 66.0, 0, 19.09765625, 92.1875, 0.0, 6.3994140625, 63.796875, 29.796875, 0.0, 0.0, 57.3984375, 53.1953125, 42.59375, 40.3984375, 0.0, 0.0, 195.0, 41.0, 0.0, 0.0, 34.0, "Tous les candidats sauf les Bac technologiques", 339.0, "Bacheliers technologiques toutes séries", 254, "", 0, "Liste d'appel propre à cette formation", 41.0, "14842", "BUT - Carrières juridiques Parcours : Patrimoine et finance (3è année en alternance) - Entreprise et Association (3è année en alternance)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14842&g_ta_cod=14842", 61.0, 39.0, 0.0),
(9913, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Sciences du langage - Parcours Sciences du langage - Mineures humanités: lettres, ou langues spécifiques, ou humanités numériques, ou majeure renforcée", "Licence - Sciences humaines et sociales", "Sciences du langage - Mineures humanités: lettres, ou langues spécifiques, ou humanités numériques, ou majeure renforcée", 150, 673, 534, 575, 0, 311, 52, 21, 5, 1, 0, 242, 98, 35, 6, 2, 55, 566, 97, 0, 0, 311, 52, 21, 5, 1, 0, 233, 595, 150, 111, 104, 46, 43.0, 102.0, 131.0, 0, 19, 74, 67, 6, 1, 76, 0, 38, 24, 9, 2, 1.0, 33, 3, 0, 0, 0, 13, 59, 28.67, 68.0, 87.33, 74.0, 17.59765625, 79.6875, 0, 25.69921875, 49.296875, 0.0, 51.3984375, 32.3984375, 12.19921875, 2.7, 1.4, 90.5, 44.59375, 8.099609375, 4.099609375, 1.39990234375, 0.0, 313.0, 62.0, 3.0, 2.0, 255.0, "Tous les candidats", 563.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "24139", "Licence - Sciences du langage - Parcours Sciences du langage - Mineures humanités: lettres, ou langues spécifiques, ou humanités numériques, ou majeure renforcée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24139&g_ta_cod=24139", 83.0, 9.0, 5.0),
(9914, "Public", "0692866R", "Lycée La Martiniere Monplaisir", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Lycée La Martiniere Monplaisir - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique (Seconde année en apprentissage)", "BTS - Production", "", 15, 430, 15, 416, 0, 26, 2, 138, 34, 180, 73, 72, 14, 2, 0, 5, 7, 130, 1, 0, 0, 2, 0, 55, 7, 66, 22, 7, 53, 13, 0, 13, 0, 2.0, 10.0, 13.0, 0, 2, 11, 0, 4, 7, 2, 0, 1, 5, 5, 0, 0.0, 0, 4, 6, 0, 0, 7, 7, 15.38, 76.92, 100.0, 0.0, 63.59375, 63.59375, 0, 18.19921875, 84.59375, 0.0, 9.099609375, 45.5, 45.5, 0.0, 0.0, 0.0, 0.0, 36.3984375, 36.3984375, 63.59375, 54.5, 3.0, 0.0, 26.0, 8.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 21.0, "8554", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8554&g_ta_cod=8554", 0.0, 46.0, 54.0),
(9915, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Langues étrangères appliquées - Parcours Anglais/Espagnol", "Licence - Arts-lettres-langues", "Anglais/Espagnol", 315, 1143, 826, 940, 0, 629, 142, 84, 25, 27, 15, 200, 203, 46, 29, 9, 119, 939, 110, 0, 0, 629, 142, 84, 25, 27, 15, 199, 1050, 250, 158, 185, 64, 181.0, 183.0, 220.0, 0, 47, 175, 132, 29, 14, 75, 1, 85, 62, 24, 3, 0.0, 75, 6, 8, 0, 0, 166, 166, 72.4, 73.2, 88.0, 63.1953125, 94.890625, 94.890625, 0, 26.8984375, 70.0, 0.5999755859375, 48.59375, 35.3984375, 13.69921875, 1.7, 0.0, 75.390625, 42.8984375, 16.59765625, 3.39990234375, 8.0, 4.599609375, 657.0, 146.0, 33.0, 19.0, 262.0, "Tous les candidats", 939.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2888", "Licence - Langues étrangères appliquées - Parcours Anglais/Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2888&g_ta_cod=2888", 74.0, 16.0, 10.0),
(9916, "Public", "0550752U", "Lycée agricole Philippe De Vilmorin", "55", "Meuse", "Grand Est", "Nancy-Metz", "Bar-le-Duc", "formation sélective", "BTS", "Lycée agricole Philippe De Vilmorin - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 27, 189, 62, 186, 0, 17, 5, 41, 7, 54, 15, 74, 3, 1, 1, 0, 1, 123, 2, 0, 0, 17, 5, 41, 7, 54, 15, 11, 98, 17, 4, 16, 1, 3.0, 16.0, 17.0, 0, 4, 15, 3, 7, 5, 2, 0, 10, 3, 2, 0, 0.0, 0, 4, 1, 9, 1, 13, 13, 17.65, 94.12, 100.0, 23.5, 86.6875, 86.6875, 60, 26.69921875, 88.1875, 0.0, 66.6875, 20.0, 13.298828125, 0.0, 0.0, 20.0, 0.0, 46.6953125, 26.69921875, 33.296875, 6.69921875, 14.0, 4.0, 47.0, 13.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 64.0, "6411", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6411&g_ta_cod=6411", 24.0, 41.0, 35.0),
(9917, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Philosophie", "Licence - Sciences humaines et sociales", "", 80, 506, 322, 346, 0, 218, 47, 25, 11, 8, 5, 95, 160, 28, 17, 4, 111, 346, 139, 0, 0, 218, 47, 25, 11, 8, 5, 95, 485, 62, 37, 37, 25, 37.0, 37.0, 56.0, 0, 11, 36, 31, 3, 2, 26, 0, 19, 12, 5, 0, 0.0, 16, 0, 1, 0, 0, 21, 21, 59.68, 59.68, 90.32, 59.6953125, 58.296875, 58.296875, 0, 30.59765625, 58.09375, 0.0, 52.796875, 33.296875, 13.8984375, 0.0, 0.0, 86.09375, 44.3984375, 8.298828125, 0.0, 5.599609375, 2.7998046875, 244.0, 55.0, 12.0, 6.0, 189.0, "Tous les candidats", 347.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7641", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7641&g_ta_cod=7641", 82.0, 10.0, 5.0),
(9918, "Public", "0620027T", "Lycée Pablo Picasso", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Avion", "formation sélective", "BTS", "Lycée Pablo Picasso - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 721, 368, 721, 0, 52, 23, 188, 93, 196, 115, 285, 0, 0, 0, 0, 0, 721, 0, 0, 0, 52, 23, 188, 93, 196, 115, 285, 145, 29, 13, 29, 0, 8.0, 17.0, 28.0, 0, 15, 25, 4, 10, 11, 4, 0, 12, 11, 2, 0, 0.0, 2, 4, 7, 7, 5, 25, 25, 27.59, 58.62, 96.55, 44.796875, 100.0, 100.0, 28, 60.0, 86.1875, 0.0, 48.0, 44.0, 8.0, 0.0, 0.0, 16.0, 8.0, 40.0, 16.0, 44.0, 28.0, 13.0, 7.0, 84.0, 46.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 143, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 36.0, "25192", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25192&g_ta_cod=25192", 17.0, 34.0, 48.0),
(9919, "Public", "0711064W", "Lycée Militaire d'Autun", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Autun", "formation sélective", "CPGE", "Lycée Militaire d'Autun - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 30, 294, 50, 294, 294, 240, 16, 0, 0, 0, 0, 54, 0, 0, 0, 0, 0, 294, 0, 294, 0, 240, 16, 0, 0, 0, 0, 54, 104, 30, 4, 30, 0, 3.0, 24.0, 28.0, 30, 2, 23, 23, 0, 0, 7, 0, 1, 3, 17, 2, 0.0, 22, 0, 0, 1, 0, 2, 2, 10.0, 80.0, 93.33, 13.298828125, 8.69921875, 8.69921875, 4.2998046875, 8.69921875, 76.6875, 0.0, 4.2998046875, 13.0, 73.890625, 8.7, 0.0, 100.0, 95.6875, 0.0, 0.0, 0.0, 0.0, 92.0, 6.0, 0.0, 0.0, 12.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "32433", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32433&g_ta_cod=32433", 100.0, 0.0, 0.0),
(9920, "Public", "0710045N", "Lycée Lamartine", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Mâcon", "formation sélective", "BTS", "Lycée Lamartine - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 791, 408, 791, 0, 112, 18, 302, 98, 226, 86, 151, 0, 0, 0, 0, 0, 539, 0, 0, 0, 101, 14, 218, 64, 156, 55, 64, 104, 21, 11, 21, 0, 3.0, 15.0, 16.0, 0, 8, 20, 5, 9, 6, 1, 0, 8, 11, 1, 0, 0.0, 5, 3, 4, 11, 4, 18, 18, 14.29, 71.43, 76.19, 52.3984375, 90.0, 90.0, 55, 40.0, 95.1875, 0.0, 40.0, 55.0, 5.0, 0.0, 0.0, 25.0, 25.0, 45.0, 15.0, 30.0, 20.0, 18.0, 7.0, 47.0, 20.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 17.0, "8634", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8634&g_ta_cod=8634", 24.0, 43.0, 33.0),
(9921, "Public", "0440021J", "Lycée général Clemenceau", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "Lycée général Clemenceau - CPGE - BCPST", "Classe préparatoire scientifique", "", 96, 3181, 2235, 3181, 2225, 2755, 259, 4, 3, 1, 0, 421, 0, 0, 0, 0, 0, 1520, 0, 616, 1506, 1408, 121, 0, 0, 0, 0, 112, 530, 94, 62, 94, 0, 21.0, 64.0, 85.0, 21, 11, 93, 93, 0, 0, 1, 0, 0, 0, 17, 68, 8.0, 93, 0, 0, 5, 2, 44, 44, 22.34, 68.09, 90.43, 66.0, 47.296875, 47.296875, 5.3994140625, 11.798828125, 98.890625, 0.0, 0.0, 0.0, 18.296875, 73.1, 8.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 485.0, 44.0, 0.0, 0.0, 45.0, "Tous les candidats", 807.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "5423", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5423&g_ta_cod=5423", 100.0, 0.0, 0.0),
(9922, "Public", "0441993C", "Lycée général et technologique Carcouët", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée général et technologique Carcouët - BTS - Services - Services informatiques aux organisations (Seconde année possible en apprentissage)", "BTS - Services", "", 49, 1072, 106, 1070, 0, 218, 39, 329, 82, 171, 52, 352, 2, 0, 0, 2, 0, 548, 1, 0, 0, 175, 29, 192, 37, 103, 25, 78, 219, 48, 4, 47, 1, 2.0, 35.0, 40.0, 0, 13, 33, 13, 11, 9, 15, 0, 12, 16, 5, 0, 0.0, 5, 8, 8, 1, 0, 27, 27, 4.17, 72.92, 83.33, 8.298828125, 81.796875, 81.796875, 3, 39.3984375, 68.796875, 0.0, 36.3984375, 48.5, 15.19921875, 0.0, 0.0, 39.3984375, 15.19921875, 33.296875, 24.19921875, 27.296875, 24.19921875, 72.0, 17.0, 39.0, 13.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 121.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 135, "Liste d'appel propre à cette formation", 30.0, "5605", "BTS - Services - Services informatiques aux organisations (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5605&g_ta_cod=5605", 46.0, 33.0, 21.0),
(9923, "Public", "0680034T", "Lycée Louis-Armand", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BTS", "Lycée Louis-Armand - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 12, 392, 40, 353, 0, 57, 15, 105, 41, 97, 42, 94, 39, 1, 13, 0, 25, 131, 9, 0, 0, 37, 11, 37, 16, 45, 14, 12, 66, 10, 0, 10, 0, 2.0, 8.0, 10.0, 0, 3, 7, 1, 1, 5, 3, 0, 0, 3, 3, 1, 0.0, 1, 1, 5, 1, 0, 7, 7, 20.0, 80.0, 100.0, 0.0, 100.0, 100.0, 14.298828125, 42.8984375, 70.0, 0.0, 0.0, 42.8984375, 42.8984375, 14.3, 0.0, 14.298828125, 14.298828125, 14.298828125, 14.298828125, 71.390625, 71.390625, 20.0, 5.0, 18.0, 6.0, 16.0, "Tous les candidats sauf les Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 30.0, "16152", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16152&g_ta_cod=16152", 40.0, 10.0, 50.0),
(9924, "Privé sous contrat d'association", "0860789R", "Ensemble scolaire Isaac de l'Etoile - Le Porteau", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Ensemble scolaire Isaac de l'Etoile - Le Porteau - BTS - Production - Moteur à combustion interne", "BTS - Production", "", 12, 212, 5, 208, 0, 58, 4, 60, 9, 66, 14, 24, 4, 0, 1, 1, 2, 180, 2, 0, 0, 51, 4, 55, 8, 62, 13, 12, 83, 11, 0, 10, 1, 0.0, 8.0, 9.0, 0, 1, 10, 3, 2, 5, 1, 0, 4, 3, 3, 0, 0.0, 0, 1, 5, 1, 0, 3, 3, 0.0, 72.73, 81.82, 0.0, 30.0, 30.0, 10, 10.0, 90.890625, 0.0, 40.0, 30.0, 30.0, 0.0, 0.0, 30.0, 0.0, 20.0, 10.0, 50.0, 50.0, 24.0, 1.0, 35.0, 7.0, 5.0, "Tous les candidats sauf les Bac professionnels", 112.0, "Bacheliers professionnels toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 77.0, "10614", "BTS - Production - Moteur à combustion interne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10614&g_ta_cod=10614", 36.0, 18.0, 45.0),
(9925, "Public", "9710418C", "Lycée professionnel Paul Lacave", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Capesterre-Belle-Eau", "formation sélective", "BTS", "Lycée professionnel Paul Lacave - BTS - Production - Maintenance des véhicules option véhicules de transport routier", "BTS - Production", "", 12, 50, 2, 50, 0, 3, 2, 3, 0, 31, 24, 13, 0, 0, 0, 0, 0, 44, 0, 0, 0, 2, 2, 2, 0, 29, 22, 11, 24, 14, 0, 11, 0, 8.0, 10.0, 10.0, 0, 7, 12, 0, 0, 12, 2, 0, 4, 3, 5, 0, 0.0, 0, 0, 8, 6, 0, 10, 10, 57.14, 71.43, 71.43, 0.0, 83.296875, 83.296875, 50, 58.296875, 85.6875, 0.0, 33.296875, 25.0, 41.6953125, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 2.0, 2.0, 14.0, 9.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 2, "Liste d'appel propre à cette formation", 36.0, "13967", "BTS - Production - Maintenance des véhicules option véhicules de transport routier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13967&g_ta_cod=13967", 7.0, 0.0, 93.0),
(9926, "Public", "0850016F", "Lycée ATLANTIQUE", "85", "Vendée", "Pays de la Loire", "Nantes", "Luçon", "formation sélective", "BTS", "Lycée ATLANTIQUE - BTS - Services - Diététique", "BTS - Services", "", 18, 849, 702, 849, 0, 234, 32, 240, 56, 31, 7, 344, 0, 0, 0, 0, 0, 728, 0, 0, 0, 223, 32, 219, 52, 26, 4, 260, 111, 15, 12, 15, 0, 2.0, 11.0, 13.0, 0, 6, 10, 4, 6, 0, 5, 0, 1, 7, 2, 0, 0.0, 3, 6, 0, 0, 0, 5, 5, 13.33, 73.33, 86.67, 80.0, 50.0, 50.0, 0, 60.0, 66.6875, 0.0, 10.0, 70.0, 20.0, 0.0, 0.0, 40.0, 30.0, 60.0, 60.0, 0.0, 0.0, 22.0, 3.0, 2.0, 2.0, 48.0, "Tous les candidats sauf les Bac professionnels", 171.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 20.0, "19740", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19740&g_ta_cod=19740", 60.0, 40.0, 0.0),
(9927, "Privé sous contrat d'association", "9711143R", "FORM-ACTION - Ecole de Travail Social", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "EFTS", "FORM?ACTION ? Ecole de Travail Social - D.E Assistant de Service Social", "D.E secteur social", "", 16, 25, 23, 25, 0, 7, 2, 5, 2, 2, 2, 11, 0, 0, 0, 0, 0, 21, 0, 0, 0, 6, 2, 4, 2, 1, 1, 10, 21, 16, 16, 14, 0, 12.0, 14.0, 14.0, 0, 5, 9, 4, 4, 1, 7, 0, 3, 5, 1, 0, 0.0, 3, 3, 0, 0, 0, 9, 9, 75.0, 87.5, 87.5, 100.0, 100.0, 100.0, 0, 55.59375, 56.296875, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 44.3984375, 33.296875, 44.3984375, 33.296875, 11.099609375, 0.0, 6.0, 2.0, 1.0, 1.0, 10.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "23438", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23438&g_ta_cod=23438", 38.0, 50.0, 6.0),
(9928, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Lettres - Parcours Licence 1 Lettres classiques - Enseignement dispensé à distance", "Licence - Arts-lettres-langues", "Licence 1 Lettres classiques - Enseignement dispensé à distance", 25, 187, 133, 103, 0, 45, 8, 2, 1, 2, 1, 54, 84, 6, 2, 0, 76, 103, 74, 0, 0, 45, 8, 2, 1, 2, 1, 54, 177, 23, 17, 10, 13, 10.0, 10.0, 18.0, 0, 0, 1, 1, 0, 0, 22, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 43.48, 43.48, 78.26, 73.890625, 100.0, 100.0, 0, 0.0, 4.2998046875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 49.0, 9.0, 2.0, 1.0, 122.0, "Tous les candidats", 103.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "23354", "Licence - Lettres - Parcours Licence 1 Lettres classiques - Enseignement dispensé à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23354&g_ta_cod=23354", 57.0, 17.0, 0.0),
(9929, "Public", "0011118K", "Lycée professionnel des métiers Gabriel Voisin", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "BTS", "Lycée professionnel des métiers Gabriel Voisin - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 36, 437, 109, 419, 0, 17, 3, 52, 12, 104, 40, 246, 18, 0, 10, 0, 8, 189, 7, 0, 0, 13, 3, 41, 9, 89, 35, 46, 114, 29, 4, 28, 0, 8.0, 22.0, 26.0, 0, 9, 22, 0, 7, 15, 7, 0, 14, 4, 4, 0, 0.0, 0, 1, 7, 7, 1, 14, 14, 27.59, 75.86, 89.66, 13.798828125, 63.59375, 63.59375, 31.796875, 40.8984375, 75.890625, 0.0, 63.59375, 18.19921875, 18.19921875, 0.0, 0.0, 0.0, 0.0, 31.796875, 4.5, 68.1875, 31.796875, 7.0, 1.0, 46.0, 20.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 29.0, "22244", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22244&g_ta_cod=22244", 10.0, 34.0, 55.0),
(9930, "Public", "0510031G", "Lycée CLEMENCEAU", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "CPGE", "Lycée CLEMENCEAU - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 428, 194, 418, 247, 334, 30, 1, 0, 0, 0, 83, 10, 4, 0, 0, 6, 327, 2, 195, 301, 307, 24, 0, 0, 0, 0, 20, 159, 14, 7, 13, 1, 1.0, 11.0, 13.0, 5, 1, 14, 14, 0, 0, 0, 0, 0, 5, 7, 2, 0.0, 14, 0, 0, 4, 2, 13, 13, 7.14, 78.57, 92.86, 50.0, 92.890625, 92.890625, 28.59765625, 7.099609375, 100.0, 0.0, 0.0, 35.6953125, 50.0, 14.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 143.0, 12.0, 0.0, 0.0, 16.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "31467", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31380&g_ta_cod=31467", 100.0, 0.0, 0.0),
(9931, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence_Las", "Université de Poitiers - Licence - Portail  -  option Santé", "Licence - Arts-lettres-langues", "", 40, 280, 243, 280, 0, 185, 40, 10, 2, 1, 0, 84, 0, 0, 0, 0, 0, 280, 0, 0, 0, 185, 40, 10, 2, 1, 0, 84, 121, 40, 36, 40, 0, 9.0, 35.0, 36.0, 0, 6, 33, 33, 0, 0, 7, 0, 3, 11, 16, 3, 0.0, 30, 0, 0, 0, 0, 32, 32, 22.5, 87.5, 90.0, 90.0, 97.0, 97.0, 0, 18.19921875, 82.5, 0.0, 9.099609375, 33.296875, 48.5, 9.1, 0.0, 100.0, 90.890625, 0.0, 0.0, 0.0, 0.0, 103.0, 20.0, 0.0, 0.0, 18.0, "Tous les candidats", 125.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "28745", "Licence - Portail  -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28745&g_ta_cod=28745", 100.0, 0.0, 0.0),
(9932, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 1 Capitole - Licence - Economie - Parcours parcours Economie et Gestion", "Licence - Droit-économie-gestion", "parcours Economie et Gestion", 400, 3064, 1254, 3036, 0, 2102, 346, 153, 53, 23, 15, 758, 28, 3, 2, 0, 23, 2994, 27, 0, 0, 2102, 346, 153, 53, 23, 15, 716, 1854, 390, 133, 375, 15, 42.0, 296.0, 355.0, 0, 51, 264, 250, 13, 1, 126, 0, 77, 113, 66, 8, 0.0, 179, 7, 1, 0, 0, 161, 161, 10.77, 75.9, 91.03, 34.09375, 61.0, 61.0, 0, 19.296875, 67.6875, 0.0, 29.19921875, 42.796875, 25.0, 3.0, 0.0, 94.6875, 67.796875, 4.8994140625, 2.69970703125, 0.39996337890625, 0.39996337890625, 1310.0, 221.0, 6.0, 5.0, 489.0, "Tous les candidats", 2542.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "4138", "Licence - Economie - Parcours parcours Economie et Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28434&g_ta_cod=4138", 92.0, 6.0, 2.0),
(9933, "Privé sous contrat d'association", "0772153X", "Lycée JEAN ROSE", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "BTS", "Lycée JEAN ROSE - BTS - Services - Commerce International", "BTS - Services", "", 24, 308, 137, 289, 0, 92, 6, 96, 21, 25, 8, 76, 19, 0, 0, 13, 6, 220, 0, 0, 0, 86, 6, 82, 16, 15, 5, 37, 97, 26, 9, 26, 0, 6.0, 17.0, 23.0, 0, 4, 23, 12, 9, 2, 3, 0, 10, 10, 3, 0, 0.0, 6, 6, 1, 2, 1, 22, 22, 23.08, 65.38, 88.46, 34.59375, 95.6875, 95.6875, 8.69921875, 17.3984375, 88.5, 0.0, 43.5, 43.5, 13.0, 0.0, 0.0, 52.1953125, 26.09765625, 39.09375, 26.09765625, 8.69921875, 4.2998046875, 41.0, 2.0, 7.0, 4.0, 14.0, "Tous les candidats sauf les Bac professionnels", 123.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 45.0, "9865", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9865&g_ta_cod=9865", 58.0, 35.0, 8.0),
(9934, "Public", "0620215X", "Université du littoral - Site de Calais -", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "Autre formation", "Université du littoral - Site de Calais - - Formation Supérieure de Spécialisation - Opérateur de fabrication additive", "Diplôme d'Université", "Opérateur de fabrication additive", 10, 7, 1, 4, 0, 2, 0, 0, 0, 1, 0, 1, 3, 0, 0, 1, 2, 3, 2, 0, 0, 2, 0, 0, 0, 1, 0, 0, 5, 2, 0, 1, 1, 0.0, 0.0, 1.0, 0, 0, 2, 1, 0, 1, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 0.0, 0.0, 50.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 2.0, 0.0, 2.0, 0.0, 1.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 75.0, "31844", "Formation Supérieure de Spécialisation - Opérateur de fabrication additive", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31844&g_ta_cod=31844", 50.0, 0.0, 50.0),
(9935, "Privé sous contrat d'association", "0220116G", "Lycée/Pôle supérieur Saint BRIEUC", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée/Pôle supérieur Saint BRIEUC - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 35, 159, 33, 152, 0, 14, 1, 48, 2, 60, 12, 30, 7, 0, 1, 3, 3, 137, 4, 0, 0, 14, 1, 48, 2, 59, 11, 16, 107, 25, 0, 23, 2, 7.0, 22.0, 25.0, 0, 2, 20, 1, 7, 12, 5, 0, 5, 14, 1, 0, 0.0, 1, 4, 10, 0, 0, 20, 20, 28.0, 88.0, 100.0, 0.0, 100.0, 100.0, 0, 10.0, 80.0, 0.0, 25.0, 70.0, 5.0, 0.0, 0.0, 5.0, 5.0, 35.0, 20.0, 60.0, 50.0, 10.0, 1.0, 55.0, 10.0, 15.0, "Tous les candidats sauf les Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 66, "", 0, "Liste d'appel propre à cette formation", 89.0, "3341", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3341&g_ta_cod=3341", 8.0, 32.0, 60.0),
(9936, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Langues étrangères appliquées - Parcours LEA (Langues Etrangères Appliquées) (2 langues : Anglais et Espagnol)", "Licence - Arts-lettres-langues", "LEA (Langues Etrangères Appliquées) (2 langues : Anglais et Espagnol)", 60, 1406, 1149, 1406, 0, 898, 231, 93, 36, 23, 10, 392, 0, 0, 0, 0, 0, 514, 0, 0, 0, 378, 87, 28, 13, 3, 1, 105, 201, 60, 54, 60, 0, 11.0, 50.0, 57.0, 0, 15, 47, 42, 5, 0, 13, 0, 3, 4, 28, 12, 0.0, 39, 5, 0, 0, 0, 4, 33, 18.33, 83.33, 95.0, 90.0, 8.5, 70.1875, 0, 31.8984375, 78.296875, 0.0, 6.3994140625, 8.5, 59.59375, 25.5, 0.0, 89.390625, 83.0, 10.599609375, 10.599609375, 0.0, 0.0, 143.0, 38.0, 0.0, 0.0, 47.0, "Tous les candidats", 321.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "15252", "Licence - Langues étrangères appliquées - Parcours LEA (Langues Etrangères Appliquées) (2 langues : Anglais et Espagnol)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15252&g_ta_cod=15252", 92.0, 8.0, 0.0),
(9937, "Public", "9710003B", "Lycée Baimbridge", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "CPGE", "Lycée Baimbridge - CPGE - PCSI", "Classe préparatoire scientifique", "", 45, 227, 105, 221, 159, 166, 42, 3, 1, 0, 0, 52, 6, 2, 0, 0, 4, 157, 2, 131, 147, 137, 32, 0, 0, 0, 0, 20, 139, 24, 11, 23, 1, 5.0, 22.0, 24.0, 9, 7, 22, 22, 0, 0, 2, 0, 1, 8, 8, 5, 0.0, 21, 0, 0, 4, 2, 19, 19, 20.83, 91.67, 100.0, 45.796875, 86.390625, 86.390625, 18.19921875, 31.796875, 91.6875, 0.0, 4.5, 36.3984375, 36.3984375, 22.7, 0.0, 100.0, 95.5, 0.0, 0.0, 0.0, 0.0, 122.0, 30.0, 0.0, 0.0, 17.0, "Tous les candidats", 152.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "11734", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11734&g_ta_cod=11734", 100.0, 0.0, 0.0),
(9938, "Privé sous contrat d'association", "0841091E", "I.M.F. Avignon", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "EFTS", "I.M.F. Avignon - D.E Educateur Spécialisé", "D.E secteur social", "", 18, 300, 260, 300, 0, 38, 7, 64, 10, 38, 8, 160, 0, 0, 0, 0, 0, 273, 0, 0, 0, 33, 7, 57, 8, 35, 5, 148, 36, 18, 15, 18, 0, 9.0, 18.0, 18.0, 0, 0, 5, 2, 1, 2, 13, 0, 0, 5, 0, 0, 0.0, 2, 1, 2, 0, 0, 4, 4, 50.0, 100.0, 100.0, 83.296875, 80.0, 80.0, 0, 0.0, 27.796875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 40.0, 40.0, 20.0, 20.0, 40.0, 40.0, 2.0, 0.0, 2.0, 0.0, 30.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "24945", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24945&g_ta_cod=24945", 39.0, 33.0, 22.0),
(9939, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Droit - Parcours Enseignement à distance", "Licence - Droit-économie-gestion", "Enseignement à distance", 60, 761, 546, 761, 0, 307, 89, 70, 20, 18, 12, 366, 0, 0, 0, 0, 0, 747, 0, 0, 0, 307, 89, 70, 20, 18, 12, 352, 372, 54, 36, 54, 0, 4.0, 39.0, 42.0, 0, 6, 24, 15, 6, 3, 30, 1, 10, 10, 1, 2, 0.0, 9, 2, 2, 0, 0, 11, 11, 7.41, 72.22, 77.78, 66.6875, 45.796875, 45.796875, 0, 25.0, 44.3984375, 4.19921875, 41.6953125, 41.6953125, 4.19921875, 8.3, 0.0, 62.5, 37.5, 25.0, 8.298828125, 12.5, 8.298828125, 166.0, 39.0, 14.0, 8.0, 163.0, "Tous les candidats", 566.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "32081", "Licence - Droit - Parcours Enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32081&g_ta_cod=32081", 59.0, 22.0, 13.0),
(9940, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Double licence - Sciences du langage / Langues, littératures & civilisations étrangères et régionales - Double Licence mention Sciences du langage - mention Langues, littératures & civilisations étrangères et régionales [Espagnol]", "Licence - Sciences humaines et sociales", "Double Licence mention Sciences du langage - mention Langues, littératures & civilisations étrangères et régionales [Espagnol]", 10, 122, 92, 35, 0, 23, 2, 3, 1, 0, 0, 9, 87, 13, 4, 8, 62, 22, 24, 0, 0, 20, 1, 0, 0, 0, 0, 2, 43, 9, 8, 2, 7, 2.0, 2.0, 5.0, 0, 2, 6, 5, 1, 0, 3, 0, 2, 2, 1, 1, 0.0, 4, 0, 0, 0, 0, 4, 4, 22.22, 22.22, 55.56, 88.890625, 66.6875, 66.6875, 0, 33.296875, 66.6875, 0.0, 33.296875, 33.296875, 16.69921875, 16.7, 0.0, 83.296875, 66.6875, 16.69921875, 0.0, 0.0, 0.0, 23.0, 2.0, 1.0, 1.0, 17.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "27452", "Double licence - Sciences du langage / Langues, littératures & civilisations étrangères et régionales - Double Licence mention Sciences du langage - mention Langues, littératures & civilisations étrangères et régionales [Espagnol]", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27452&g_ta_cod=27452", 78.0, 22.0, 0.0),
(9941, "Public", "0520844K", "Lycée Edme Bouchardon", "52", "Haute-Marne", "Grand Est", "Reims", "Chaumont", "formation sélective", "BTS", "Lycée Edme Bouchardon - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 297, 247, 237, 0, 14, 1, 70, 26, 56, 21, 97, 60, 5, 13, 18, 24, 134, 10, 0, 0, 11, 1, 64, 24, 50, 19, 9, 126, 31, 27, 25, 4, 3.0, 25.0, 26.0, 0, 9, 30, 3, 12, 15, 1, 0, 23, 6, 1, 0, 0.0, 1, 2, 4, 10, 8, 28, 28, 9.68, 80.65, 83.87, 87.09375, 93.296875, 93.296875, 33.296875, 30.0, 96.796875, 0.0, 76.6875, 20.0, 3.2998046875, 0.0, 0.0, 10.0, 3.2998046875, 40.0, 6.69921875, 50.0, 13.298828125, 9.0, 1.0, 51.0, 16.0, 9.0, "Tous les candidats sauf les Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 54, "", 0, "Liste d'appel propre à cette formation", 54.0, "6180", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6180&g_ta_cod=6180", 10.0, 39.0, 52.0),
(9942, "Public", "0420043U", "Lycée Jean Monnet", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Production - Traitement des matériaux", "BTS - Production", "", 11, 170, 37, 145, 0, 19, 5, 48, 11, 3, 3, 75, 25, 0, 0, 7, 18, 87, 6, 0, 0, 17, 3, 37, 7, 1, 1, 32, 54, 8, 2, 8, 0, 1.0, 6.0, 8.0, 0, 0, 3, 3, 0, 0, 5, 0, 2, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 12.5, 75.0, 100.0, 25.0, 33.296875, 33.296875, 0, 0.0, 37.5, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 100.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 10.0, 2.0, 2.0, 1.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 1, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 56.0, "5303", "BTS - Production - Traitement des matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5303&g_ta_cod=5303", 50.0, 50.0, 0.0),
(9943, "Public", "0450782F", "Lycée Voltaire", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Voltaire - BTS - Services - Notariat", "BTS - Services", "", 24, 737, 532, 735, 0, 161, 36, 218, 70, 64, 23, 292, 2, 0, 1, 0, 1, 320, 0, 0, 0, 114, 27, 133, 33, 38, 12, 35, 129, 23, 21, 23, 0, 3.0, 20.0, 23.0, 0, 8, 21, 9, 11, 1, 2, 0, 2, 14, 5, 0, 0.0, 8, 10, 1, 2, 1, 19, 19, 13.04, 86.96, 100.0, 91.296875, 90.5, 90.5, 9.5, 38.09375, 91.296875, 0.0, 9.5, 66.6875, 23.796875, 0.0, 0.0, 42.8984375, 38.09375, 52.3984375, 47.59375, 4.7998046875, 4.7998046875, 34.0, 11.0, 7.0, 2.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 125, "Liste d'appel propre à cette formation", 28.0, "5696", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5696&g_ta_cod=5696", 43.0, 52.0, 4.0),
(9944, "Privé sous contrat d'association", "0730763H", "Lycée Saint Ambroise", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "BTS", "Lycée Saint Ambroise - BTS - Services - Support à l'action managériale", "BTS - Services", "", 12, 159, 99, 159, 0, 10, 1, 69, 23, 43, 12, 37, 0, 0, 0, 0, 0, 138, 0, 0, 0, 10, 1, 63, 20, 36, 8, 29, 70, 11, 7, 11, 0, 0.0, 7.0, 9.0, 0, 3, 9, 0, 5, 4, 2, 0, 6, 3, 0, 0, 0.0, 0, 1, 2, 2, 2, 9, 9, 0.0, 63.64, 81.82, 63.59375, 100.0, 100.0, 22.19921875, 33.296875, 81.796875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 55.59375, 11.099609375, 44.3984375, 22.19921875, 5.0, 1.0, 20.0, 7.0, 13.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 59.0, "8798", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8798&g_ta_cod=8798", 9.0, 55.0, 36.0),
(9945, "Public", "0740006E", "Lycée Louis Lachenal", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Argonay", "formation sélective", "BTS", "Lycée Louis Lachenal - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 235, 23, 208, 0, 22, 3, 68, 15, 56, 11, 62, 27, 1, 6, 7, 13, 96, 4, 0, 0, 11, 2, 44, 4, 31, 6, 10, 63, 9, 1, 8, 1, 2.0, 8.0, 9.0, 0, 0, 5, 0, 2, 3, 4, 0, 1, 2, 0, 2, 0.0, 0, 1, 3, 2, 1, 4, 4, 22.22, 88.89, 100.0, 11.099609375, 80.0, 80.0, 40, 0.0, 55.59375, 0.0, 20.0, 40.0, 0.0, 40.0, 0.0, 0.0, 0.0, 40.0, 20.0, 60.0, 60.0, 5.0, 2.0, 19.0, 4.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 42.0, "8862", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8862&g_ta_cod=8862", 0.0, 56.0, 33.0),
(9946, "Privé sous contrat d'association", "0560114V", "Lycée Saint François-Xavier", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "CPGE", "Lycée Saint François-Xavier - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 349, 230, 343, 161, 273, 20, 0, 0, 0, 0, 70, 6, 2, 0, 0, 4, 258, 2, 83, 257, 247, 18, 0, 0, 0, 0, 11, 189, 17, 11, 16, 1, 0.0, 15.0, 16.0, 4, 1, 17, 17, 0, 0, 0, 0, 0, 4, 8, 5, 0.0, 17, 0, 0, 1, 1, 12, 12, 0.0, 88.24, 94.12, 64.6875, 70.59375, 70.59375, 5.8994140625, 5.8994140625, 100.0, 0.0, 0.0, 23.5, 47.09375, 29.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 180.0, 15.0, 0.0, 0.0, 9.0, "Tous les candidats", 259.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "6483", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6483&g_ta_cod=6483", 100.0, 0.0, 0.0),
(9947, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Licence", "Université Côte d'Azur - Double licence - Philosophie / Psychologie -  Double licence Philosophie - Psychologie", "Licence - Sciences humaines et sociales", "Double licence Philosophie - Psychologie", 45, 887, 728, 887, 0, 564, 120, 48, 16, 13, 4, 262, 0, 0, 0, 0, 0, 519, 0, 0, 0, 373, 73, 7, 2, 6, 2, 133, 249, 45, 34, 45, 0, 6.0, 41.0, 43.0, 0, 9, 32, 32, 0, 0, 13, 0, 5, 11, 11, 4, 1.0, 27, 0, 0, 0, 0, 19, 19, 13.33, 91.11, 95.56, 75.59375, 59.3984375, 59.3984375, 0, 28.09765625, 71.09375, 0.0, 15.599609375, 34.3984375, 34.3984375, 12.5, 3.1, 100.0, 84.390625, 0.0, 0.0, 0.0, 0.0, 179.0, 45.0, 0.0, 0.0, 70.0, "Tous les candidats", 407.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "18320", "Double licence - Philosophie / Psychologie -  Double licence Philosophie - Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18320&g_ta_cod=18320", 98.0, 0.0, 2.0),
(9948, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Sciences pour l'ingénieur - Télécommunications et réseaux informatiques", "Licence - Sciences - technologies - santé", "Télécommunications et réseaux informatiques", 12, 170, 18, 170, 0, 114, 18, 17, 2, 1, 1, 38, 0, 0, 0, 0, 0, 170, 0, 0, 0, 114, 18, 17, 2, 1, 1, 38, 117, 12, 1, 12, 0, 8.0, 8.0, 11.0, 0, 4, 11, 11, 0, 0, 1, 0, 6, 5, 0, 0, 0.0, 5, 0, 0, 0, 0, 11, 11, 66.67, 66.67, 91.67, 8.298828125, 100.0, 100.0, 0, 36.3984375, 91.6875, 0.0, 54.5, 45.5, 0.0, 0.0, 0.0, 100.0, 45.5, 0.0, 0.0, 0.0, 0.0, 91.0, 17.0, 0.0, 0.0, 18.0, "Tous les candidats", 143.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 81.0, "8831", "Licence - Portail Sciences pour l'ingénieur - Télécommunications et réseaux informatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29660&g_ta_cod=8831", 100.0, 0.0, 0.0),
(9949, "Public", "0261505V", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 24, 184, 25, 184, 0, 9, 1, 73, 18, 52, 16, 50, 0, 0, 0, 0, 0, 123, 0, 0, 0, 8, 1, 61, 13, 41, 10, 13, 92, 22, 2, 22, 0, 3.0, 19.0, 21.0, 0, 7, 22, 1, 11, 10, 0, 0, 11, 10, 0, 1, 0.0, 1, 5, 5, 10, 0, 20, 20, 13.64, 86.36, 95.45, 9.099609375, 90.890625, 90.890625, 45.5, 31.796875, 100.0, 0.0, 50.0, 45.5, 0.0, 4.5, 0.0, 4.5, 4.5, 50.0, 22.69921875, 45.5, 22.69921875, 4.0, 1.0, 30.0, 8.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 60.0, "16811", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16811&g_ta_cod=16811", 5.0, 50.0, 45.0),
(9950, "Public", "0590011S", "Lycée Gustave Eiffel", "59", "Nord", "Hauts-de-France", "Lille", "Armentières", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Production - Fonderie", "BTS - Production", "", 15, 99, 11, 96, 0, 5, 1, 14, 4, 11, 5, 66, 3, 0, 1, 1, 1, 50, 0, 0, 0, 5, 1, 14, 4, 11, 5, 20, 42, 11, 1, 11, 0, 4.0, 11.0, 11.0, 0, 1, 5, 1, 3, 1, 6, 0, 2, 2, 1, 0, 0.0, 1, 1, 1, 3, 0, 4, 4, 36.36, 100.0, 100.0, 9.099609375, 80.0, 80.0, 60, 20.0, 45.5, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 20.0, 20.0, 60.0, 20.0, 20.0, 20.0, 5.0, 1.0, 11.0, 5.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 46.0, "6709", "BTS - Production - Fonderie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6709&g_ta_cod=6709", 36.0, 45.0, 18.0),
(9951, "Public", "0911568K", "Ecole polytechnique", "91", "Essonne", "Ile-de-France", "Versailles", "Palaiseau", "formation sélective", "Autre formation", "Ecole polytechnique - Formation valant grade de licence - Formation valant grade de licence - Bachelor of Science", "Formation valant grade de licence", "Bachelor of Science", 10, 215, 78, 215, 0, 190, 19, 3, 1, 0, 0, 22, 0, 0, 0, 0, 0, 34, 0, 0, 0, 33, 1, 0, 0, 0, 0, 1, 20, 11, 2, 11, 0, 6.0, 11.0, 11.0, 0, 1, 10, 10, 0, 0, 1, 0, 0, 0, 0, 7, 3.0, 10, 0, 0, 0, 0, 1, 2, 54.55, 100.0, 100.0, 18.19921875, 10.0, 20.0, 0, 10.0, 90.890625, 0.0, 0.0, 0.0, 0.0, 70.0, 30.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 19.0, 1.0, 0.0, 0.0, 1.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "25951", "Formation valant grade de licence - Formation valant grade de licence - Bachelor of Science", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25951&g_ta_cod=25951", 100.0, 0.0, 0.0),
(9952, "Public", "0332744D", "Lycée Elie Faure", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Lormont", "formation sélective", "BTS", "Lycée Elie Faure - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 53, 1406, 714, 1406, 0, 146, 43, 587, 217, 395, 172, 278, 0, 0, 0, 0, 0, 1166, 0, 0, 0, 132, 39, 511, 186, 338, 142, 185, 291, 49, 30, 49, 0, 1.0, 17.0, 30.0, 0, 17, 43, 2, 15, 26, 6, 0, 11, 24, 7, 1, 0.0, 2, 11, 19, 5, 4, 41, 41, 2.04, 34.69, 61.22, 61.1953125, 95.296875, 95.296875, 11.599609375, 39.5, 87.796875, 0.0, 25.59765625, 55.796875, 16.296875, 2.3, 0.0, 4.69921875, 4.69921875, 34.8984375, 25.59765625, 60.5, 44.1953125, 15.0, 4.0, 137.0, 56.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 191, "Bacheliers technologiques toutes séries", 220, "Liste d'appel propre à cette formation", 31.0, "4446", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4446&g_ta_cod=4446", 8.0, 35.0, 57.0),
(9953, "Public", "0630021F", "Lycée La Fayette", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée La Fayette - BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "BTS - Services", "", 20, 380, 176, 380, 0, 32, 6, 49, 14, 128, 35, 171, 0, 0, 0, 0, 0, 200, 0, 0, 0, 18, 4, 46, 13, 83, 17, 53, 68, 17, 10, 17, 0, 2.0, 6.0, 10.0, 0, 2, 13, 0, 3, 10, 4, 0, 5, 4, 3, 1, 0.0, 0, 1, 7, 4, 2, 8, 8, 11.76, 35.29, 58.82, 58.796875, 61.5, 61.5, 30.796875, 15.3984375, 76.5, 0.0, 38.5, 30.796875, 23.09765625, 7.7, 0.0, 0.0, 0.0, 23.09765625, 7.69921875, 76.890625, 53.796875, 4.0, 1.0, 39.0, 7.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 31.0, "18207", "BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18207&g_ta_cod=18207", 6.0, 18.0, 76.0),
(9954, "Public", "9740078S", "Lycée agricole Emile Boyer de La Giroday", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Paul", "formation sélective", "BTS", "Lycée agricole Emile Boyer de La Giroday - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 16, 285, 103, 285, 0, 64, 19, 53, 19, 60, 25, 108, 0, 0, 0, 0, 0, 209, 0, 0, 0, 64, 19, 35, 10, 41, 19, 69, 43, 17, 6, 17, 0, 6.0, 15.0, 17.0, 0, 8, 14, 7, 2, 5, 3, 0, 4, 8, 1, 1, 0.0, 5, 0, 5, 4, 3, 7, 7, 35.29, 88.24, 100.0, 35.296875, 50.0, 50.0, 28.59765625, 57.09375, 82.390625, 0.0, 28.59765625, 57.09375, 7.099609375, 7.1, 0.0, 50.0, 35.6953125, 14.298828125, 0.0, 35.6953125, 35.6953125, 18.0, 7.0, 8.0, 5.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 22.0, "13465", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13465&g_ta_cod=13465", 53.0, 18.0, 29.0),
(9955, "Public", "0221848P", "I.U.T de Saint-Brieuc", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BUT", "I.U.T de Saint-Brieuc - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 52, 628, 369, 622, 0, 385, 37, 100, 16, 2, 0, 135, 6, 0, 1, 0, 5, 498, 1, 0, 0, 346, 32, 62, 10, 0, 0, 90, 316, 49, 27, 48, 1, 7.0, 32.0, 44.0, 0, 6, 43, 37, 6, 0, 6, 0, 10, 23, 9, 1, 0.0, 29, 4, 0, 0, 0, 35, 35, 14.29, 65.31, 89.8, 55.09375, 81.390625, 81.390625, 0, 14.0, 87.796875, 0.0, 23.296875, 53.5, 20.8984375, 2.3, 0.0, 86.0, 67.390625, 14.0, 9.298828125, 0.0, 0.0, 215.0, 24.0, 0.0, 0.0, 48.0, "Tous les candidats sauf les Bac technologiques", 381.0, "Bacheliers technologiques toutes séries", 67, "", 0, "Liste d'appel propre à cette formation", 72.0, "3384", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3384&g_ta_cod=3384", 88.0, 12.0, 0.0),
(9956, "Public", "0130050J", "Lycée Denis Diderot", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Denis Diderot - DN MADE - Espace - - Spécialité 2 : Territoires & paysages", "DN MADE", "- Spécialité 2 : Territoires & paysages", 14, 426, 322, 426, 0, 186, 39, 89, 22, 21, 3, 130, 0, 0, 0, 0, 0, 329, 0, 0, 0, 158, 32, 78, 18, 15, 2, 78, 73, 14, 12, 14, 0, 1.0, 11.0, 11.0, 0, 0, 10, 5, 5, 0, 4, 0, 0, 8, 2, 0, 0.0, 5, 5, 0, 0, 0, 7, 7, 7.14, 78.57, 78.57, 85.6875, 70.0, 70.0, 0, 0.0, 71.390625, 0.0, 0.0, 80.0, 20.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 28.0, 7.0, 0.0, 0.0, 13.0, "Tous les candidats", 93.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "24100", "DN MADE - Espace - - Spécialité 2 : Territoires & paysages", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24100&g_ta_cod=24100", 43.0, 43.0, 14.0),
(9957, "Public", "0601826J", "Lycée Hugues Capet", "60", "Oise", "Hauts-de-France", "Amiens", "Senlis", "formation sélective", "BTS", "Lycée Hugues Capet - BTS - Services - Commerce International", "BTS - Services", "", 31, 543, 300, 463, 0, 123, 27, 127, 43, 53, 22, 160, 80, 0, 0, 49, 31, 200, 6, 0, 0, 93, 17, 63, 15, 20, 5, 24, 104, 28, 15, 27, 1, 5.0, 21.0, 26.0, 0, 10, 25, 12, 10, 3, 3, 0, 5, 12, 7, 1, 0.0, 9, 8, 3, 2, 0, 21, 21, 17.86, 75.0, 92.86, 53.59375, 84.0, 84.0, 8, 40.0, 89.296875, 0.0, 20.0, 48.0, 28.0, 4.0, 0.0, 48.0, 36.0, 40.0, 32.0, 12.0, 12.0, 47.0, 11.0, 20.0, 7.0, 10.0, "Tous les candidats sauf les Bac professionnels", 124.0, "Bacheliers professionnels toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 31.0, "7269", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7269&g_ta_cod=7269", 50.0, 36.0, 14.0),
(9958, "Public", "0132963A", "IFSI Capelette", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "IFSI", "Regroupement d'IFSI Université Aix-Marseille - D.E Infirmier", "D.E secteur sanitaire", "", 95, 9472, 7823, 9472, 0, 1523, 419, 1359, 513, 923, 462, 5667, 0, 0, 0, 0, 0, 4457, 0, 0, 0, 1141, 270, 555, 180, 96, 39, 2665, 1109, 95, 79, 95, 0, 2.0, 37.0, 70.0, 0, 10, 33, 26, 7, 0, 62, 0, 7, 18, 8, 0, 0.0, 19, 7, 0, 0, 0, 26, 26, 2.11, 38.95, 73.68, 83.1875, 78.796875, 78.796875, 0, 30.296875, 34.6953125, 0.0, 21.19921875, 54.5, 24.19921875, 0.0, 0.0, 78.796875, 57.59375, 21.19921875, 21.19921875, 0.0, 0.0, 426.0, 124.0, 8.0, 6.0, 606.0, "Tous les candidats", 2111.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 17.0, "23038", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22987&g_ta_cod=23038", 80.0, 15.0, 4.0),
(9959, "Public", "0133479L", "IUT Aix-Marseille - Site de Marseille Luminy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 6, 160, 7, 156, 0, 0, 0, 147, 49, 0, 0, 9, 4, 0, 3, 0, 1, 74, 0, 0, 0, 0, 0, 71, 16, 0, 0, 3, 32, 3, 0, 3, 0, 0.0, 3.0, 3.0, 0, 2, 3, 0, 3, 0, 0, 0, 0, 0, 2, 1, 0.0, 0, 3, 0, 0, 0, 2, 2, 0.0, 100.0, 100.0, 0.0, 66.6875, 66.6875, 0, 66.6875, 100.0, 0.0, 0.0, 0.0, 66.6875, 33.3, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 340.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 46.0, "354", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=354", 0.0, 100.0, 0.0),
(9960, "Public", "0350030T", "Lycée Pierre Mendes France", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Pierre Mendes France - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 10, 470, 54, 470, 0, 66, 10, 167, 21, 156, 34, 81, 0, 0, 0, 0, 0, 447, 0, 0, 0, 66, 10, 167, 21, 133, 25, 81, 46, 9, 2, 9, 0, 0.0, 6.0, 9.0, 0, 1, 7, 2, 0, 5, 2, 0, 1, 3, 1, 2, 0.0, 1, 0, 5, 1, 0, 4, 4, 0.0, 66.67, 100.0, 22.19921875, 57.09375, 57.09375, 14.298828125, 14.298828125, 77.796875, 0.0, 14.298828125, 42.8984375, 14.298828125, 28.6, 0.0, 28.59765625, 14.298828125, 0.0, 0.0, 71.390625, 71.390625, 14.0, 2.0, 15.0, 2.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 16.0, "4647", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4647&g_ta_cod=4647", 22.0, 22.0, 56.0),
(9961, "Public", "7200011Z", "Lycée professionnel Scamaroni", "2B", "Haute-Corse", "Corse", "Corse", "Bastia", "formation sélective", "Autre formation", "Lycée professionnel Scamaroni - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 15, 61, 38, 51, 0, 19, 3, 10, 1, 2, 1, 20, 10, 3, 0, 1, 6, 37, 1, 0, 0, 15, 2, 9, 1, 2, 1, 11, 36, 5, 4, 4, 1, 2.0, 4.0, 5.0, 0, 0, 3, 1, 1, 1, 2, 0, 1, 1, 1, 0, 0.0, 0, 1, 1, 0, 0, 2, 2, 40.0, 80.0, 100.0, 80.0, 66.6875, 66.6875, 0, 0.0, 60.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 33.296875, 0.0, 33.296875, 33.296875, 33.296875, 33.296875, 13.0, 2.0, 6.0, 1.0, 10.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "11691", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11691&g_ta_cod=11691", 60.0, 20.0, 20.0),
(9962, "Public", "0421822C", "IFSI CH du Forez", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Montbrison", "formation sélective", "IFSI", "Regroupement d'IFSI Université St Etienne - D.E Infirmier", "D.E secteur sanitaire", "", 60, 3149, 2634, 3149, 0, 537, 110, 677, 185, 255, 103, 1680, 0, 0, 0, 0, 0, 2008, 0, 0, 0, 421, 69, 501, 109, 144, 51, 942, 643, 62, 55, 62, 0, 2.0, 33.0, 52.0, 0, 12, 37, 13, 14, 10, 25, 0, 7, 15, 14, 1, 0.0, 12, 9, 9, 0, 0, 31, 31, 3.23, 53.23, 83.87, 88.6875, 83.796875, 83.796875, 0, 32.3984375, 59.6953125, 0.0, 18.8984375, 40.5, 37.796875, 2.7, 0.0, 35.09375, 32.3984375, 37.796875, 24.296875, 27.0, 24.296875, 131.0, 24.0, 55.0, 23.0, 270.0, "Tous les candidats", 1418.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "23236", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22993&g_ta_cod=23236", 44.0, 32.0, 24.0),
(9963, "Public", "0501893L", "IUT GRAND OUEST NORMANDIE - Pôle de Cherbourg - Site de Cherbourg-en-Cotentin", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Cherbourg - Site de Cherbourg-en-Cotentin - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable fiscale et financière - Contrôle de Gestion et pilotage de la Performance - Gestion et Pilotage des Ressources Humaines - Marketing digital, E-Business et Entrepreneuriat", "BUT - Service", "Gestion comptable fiscale et financière - Contrôle de Gestion et pilotage de la Performance - Gestion et Pilotage des Ressources Humaines - Marketing digital, E-Business et Entrepreneuriat", 82, 842, 408, 824, 0, 443, 67, 207, 44, 7, 3, 167, 18, 0, 8, 0, 10, 709, 9, 0, 0, 420, 61, 174, 35, 4, 2, 111, 456, 69, 41, 64, 5, 3.0, 49.0, 62.0, 0, 10, 54, 39, 14, 1, 15, 0, 23, 25, 4, 1, 1.0, 23, 7, 1, 0, 0, 46, 46, 4.35, 71.01, 89.86, 59.3984375, 85.1875, 85.1875, 0, 18.5, 78.296875, 0.0, 42.59375, 46.296875, 7.3994140625, 1.9, 1.9, 72.1875, 42.59375, 25.8984375, 13.0, 1.89990234375, 1.89990234375, 248.0, 36.0, 1.0, 1.0, 71.0, "Tous les candidats sauf les Bac technologiques", 416.0, "Bacheliers technologiques toutes séries", 184, "", 0, "Liste d'appel propre à cette formation", 73.0, "6041", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable fiscale et financière - Contrôle de Gestion et pilotage de la Performance - Gestion et Pilotage des Ressources Humaines - Marketing digital, E-Business et Entrepreneuriat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6041&g_ta_cod=6041", 70.0, 29.0, 1.0),
(9964, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Sciences de la vie - Parcours sciences de la vie - Option bilingue", "Licence - Sciences - technologies - santé", "sciences de la vie - Option bilingue", 60, 556, 395, 536, 0, 350, 44, 4, 1, 0, 0, 182, 20, 6, 0, 0, 14, 307, 5, 0, 0, 234, 27, 0, 0, 0, 0, 73, 243, 64, 42, 59, 5, 30.0, 46.0, 54.0, 0, 7, 57, 57, 0, 0, 7, 0, 0, 2, 34, 18, 3.0, 57, 0, 0, 0, 0, 34, 34, 46.88, 71.88, 84.38, 65.59375, 59.59375, 59.59375, 0, 12.298828125, 89.09375, 0.0, 0.0, 3.5, 59.59375, 31.6, 5.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 199.0, 23.0, 0.0, 0.0, 44.0, "Tous les candidats", 265.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "15531", "Licence - Sciences de la vie - Parcours sciences de la vie - Option bilingue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15531&g_ta_cod=15531", 100.0, 0.0, 0.0),
(9965, "Public", "0370878D", "Lycée professionnel agricole La Gabillière", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Amboise", "formation sélective", "BTS", "Lycée professionnel agricole La Gabillière - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 19, 276, 129, 264, 0, 9, 0, 26, 2, 38, 9, 191, 12, 0, 2, 4, 6, 79, 4, 0, 0, 8, 0, 23, 2, 36, 9, 12, 72, 12, 4, 11, 1, 4.0, 11.0, 12.0, 0, 3, 10, 1, 3, 6, 2, 0, 5, 4, 1, 0, 0.0, 1, 0, 4, 3, 0, 8, 8, 33.33, 91.67, 100.0, 33.296875, 80.0, 80.0, 30, 30.0, 83.296875, 0.0, 50.0, 40.0, 10.0, 0.0, 0.0, 10.0, 10.0, 30.0, 0.0, 60.0, 40.0, 6.0, 0.0, 35.0, 10.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 29.0, "19913", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19913&g_ta_cod=19913", 17.0, 25.0, 50.0),
(9966, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Licence", "Université de Brest - Licence - Arts - Parcours pratique danse", "Licence - Arts-lettres-langues", "pratique danse", 12, 63, 57, 59, 0, 41, 4, 10, 3, 0, 0, 8, 4, 2, 1, 0, 1, 31, 0, 0, 0, 21, 1, 7, 2, 0, 0, 3, 27, 8, 8, 8, 0, 3.0, 8.0, 8.0, 0, 1, 8, 7, 1, 0, 0, 0, 1, 1, 6, 0, 0.0, 6, 1, 0, 0, 0, 5, 5, 37.5, 100.0, 100.0, 100.0, 62.5, 62.5, 0, 12.5, 100.0, 0.0, 12.5, 12.5, 75.0, 0.0, 0.0, 87.5, 75.0, 12.5, 12.5, 0.0, 0.0, 18.0, 1.0, 0.0, 0.0, 3.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "21175", "Licence - Arts - Parcours pratique danse", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21175&g_ta_cod=21175", 88.0, 13.0, 0.0),
(9967, "Public", "0681888H", "Lycée Amelie Zurcher", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Wittelsheim", "formation sélective", "Autre formation", "Lycée Amelie Zurcher - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 18, 82, 20, 67, 0, 10, 2, 8, 2, 33, 11, 16, 15, 5, 1, 2, 7, 56, 7, 0, 0, 10, 2, 8, 2, 27, 8, 11, 73, 11, 5, 7, 3, 1.0, 6.0, 9.0, 0, 1, 6, 1, 0, 5, 5, 0, 2, 4, 0, 0, 0.0, 0, 0, 4, 0, 0, 6, 6, 9.09, 54.55, 81.82, 45.5, 100.0, 100.0, 0, 16.69921875, 54.5, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 16.69921875, 0.0, 0.0, 0.0, 83.296875, 66.6875, 17.0, 4.0, 27.0, 7.0, 14.0, "Tous les candidats", 56.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "25424", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25424&g_ta_cod=25424", 45.0, 9.0, 45.0),
(9968, "Privé sous contrat d'association", "9710062R", "Lycée La Perseverance", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "BTS", "Lycée La Perseverance - BTS - Services - Gestion de la PME", "BTS - Services", "", 32, 89, 58, 48, 0, 7, 3, 15, 8, 12, 7, 14, 41, 4, 6, 17, 14, 42, 32, 0, 0, 7, 3, 15, 8, 12, 7, 8, 77, 24, 16, 10, 13, 9.0, 10.0, 21.0, 0, 8, 14, 3, 2, 9, 10, 0, 5, 7, 2, 0, 0.0, 3, 2, 4, 3, 1, 12, 12, 37.5, 41.67, 87.5, 66.6875, 85.6875, 85.6875, 21.3984375, 57.09375, 58.296875, 0.0, 35.6953125, 50.0, 14.298828125, 0.0, 0.0, 21.3984375, 21.3984375, 14.298828125, 14.298828125, 64.296875, 28.59765625, 9.0, 4.0, 24.0, 16.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers technologiques toutes séries", 18, "Bacheliers professionnels toutes séries", 16, "Liste d'appel propre à cette formation", 88.0, "32067", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32067&g_ta_cod=32067", 29.0, 13.0, 58.0),
(9969, "Public", "0680010S", "Lycée Blaise Pascal", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 18, 429, 49, 392, 0, 69, 14, 132, 43, 75, 22, 116, 37, 1, 15, 0, 21, 211, 9, 0, 0, 55, 12, 87, 22, 53, 17, 16, 124, 16, 0, 12, 3, 2.0, 12.0, 13.0, 0, 2, 9, 0, 4, 5, 7, 0, 4, 3, 2, 0, 0.0, 0, 0, 5, 0, 0, 9, 9, 12.5, 75.0, 81.25, 0.0, 100.0, 100.0, 0, 22.19921875, 56.296875, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 0.0, 0.0, 44.3984375, 0.0, 55.59375, 55.59375, 35.0, 8.0, 29.0, 8.0, 16.0, "Tous les candidats sauf les Bac professionnels", 152.0, "Bacheliers professionnels toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 51.0, "8090", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8090&g_ta_cod=8090", 13.0, 56.0, 31.0),
(9970, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "PASS", "Université de Rennes 1 - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Biologie", 160, 5631, 4006, 5631, 0, 4655, 565, 141, 36, 19, 6, 816, 0, 0, 0, 0, 0, 5628, 0, 0, 0, 4655, 565, 141, 36, 19, 6, 813, 711, 164, 114, 164, 0, 24.0, 141.0, 152.0, 0, 27, 153, 150, 3, 0, 11, 0, 0, 7, 64, 68, 14.0, 150, 3, 0, 0, 0, 143, 143, 14.63, 85.98, 92.68, 69.5, 93.5, 93.5, 0, 17.59765625, 93.296875, 0.0, 0.0, 4.599609375, 41.796875, 44.4, 9.2, 98.0, 98.0, 2.0, 2.0, 0.0, 0.0, 599.0, 90.0, 5.0, 1.0, 96.0, "Tous les candidats", 1305.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "32647", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27360&g_ta_cod=32647", 98.0, 2.0, 1.0),
(9971, "Public", "0570054Z", "Lycée Fabert", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "CPGE", "Lycée Fabert - CPGE - PCSI", "Classe préparatoire scientifique", "", 84, 1079, 401, 1079, 708, 754, 57, 1, 1, 0, 0, 324, 0, 0, 0, 0, 0, 828, 0, 543, 807, 749, 57, 0, 0, 0, 0, 79, 572, 85, 24, 85, 0, 17.0, 55.0, 84.0, 23, 9, 78, 78, 0, 0, 7, 0, 0, 16, 39, 19, 4.0, 78, 0, 0, 9, 1, 61, 61, 20.0, 64.71, 98.82, 28.19921875, 78.1875, 78.1875, 11.5, 11.5, 91.796875, 0.0, 0.0, 20.5, 50.0, 24.4, 5.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 531.0, 42.0, 0.0, 0.0, 41.0, "Tous les candidats", 772.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "6526", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6526&g_ta_cod=6526", 100.0, 0.0, 0.0),
(9972, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Sciences pour l'ingénieur - Electronique, systèmes embarqués et télécommunications", "Licence - Sciences - technologies - santé", "Electronique, systèmes embarqués et télécommunications", 12, 283, 33, 280, 0, 182, 26, 26, 3, 3, 0, 69, 3, 0, 0, 0, 3, 280, 2, 0, 0, 182, 26, 26, 3, 3, 0, 69, 150, 10, 0, 10, 0, 2.0, 3.0, 10.0, 0, 1, 6, 5, 1, 0, 4, 0, 3, 3, 0, 0, 0.0, 3, 0, 0, 0, 0, 6, 6, 20.0, 30.0, 100.0, 0.0, 100.0, 100.0, 0, 16.69921875, 60.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 83.296875, 50.0, 16.69921875, 0.0, 0.0, 0.0, 111.0, 15.0, 0.0, 0.0, 31.0, "Tous les candidats", 225.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 78.0, "8825", "Licence - Portail Sciences pour l'ingénieur - Electronique, systèmes embarqués et télécommunications", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29662&g_ta_cod=8825", 90.0, 10.0, 0.0),
(9973, "Public", "9720003W", "Lycée Bellevue", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "CPGE", "Lycée Bellevue - CPGE - PCSI", "Classe préparatoire scientifique", "", 45, 196, 83, 190, 114, 154, 48, 3, 3, 0, 0, 33, 6, 4, 0, 0, 2, 129, 4, 83, 120, 119, 32, 0, 0, 0, 0, 10, 97, 28, 14, 25, 3, 9.0, 25.0, 27.0, 7, 5, 26, 26, 0, 0, 2, 0, 1, 2, 13, 9, 1.0, 25, 0, 0, 5, 2, 25, 25, 32.14, 89.29, 96.43, 50.0, 96.1875, 96.1875, 19.19921875, 19.19921875, 92.890625, 0.0, 3.7998046875, 7.69921875, 50.0, 34.6, 3.8, 100.0, 96.1875, 0.0, 0.0, 0.0, 0.0, 89.0, 20.0, 0.0, 0.0, 8.0, "Tous les candidats", 128.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "11784", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11784&g_ta_cod=11784", 100.0, 0.0, 0.0),
(9974, "Public", "0950650R", "Lycée Jean-Jacques Rousseau", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Sarcelles", "formation sélective", "CPGE", "Lycée Jean-Jacques Rousseau - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 40, 237, 114, 201, 0, 159, 58, 0, 0, 0, 0, 42, 36, 16, 1, 0, 19, 167, 21, 0, 167, 152, 56, 0, 0, 0, 0, 15, 179, 22, 7, 16, 6, 8.0, 16.0, 20.0, 0, 5, 12, 12, 0, 0, 10, 0, 0, 9, 3, 0, 0.0, 12, 0, 0, 3, 1, 9, 12, 36.36, 72.73, 90.91, 31.796875, 75.0, 100.0, 25, 41.6953125, 54.5, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 154.0, 55.0, 0.0, 0.0, 25.0, "Tous les candidats", 167.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "31403", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31403&g_ta_cod=31403", 100.0, 0.0, 0.0),
(9975, "Public", "0561641E", "Lycée Marcellin Berthelot", "56", "Morbihan", "Bretagne", "Rennes", "Questembert", "formation sélective", "BTS", "Lycée Marcellin Berthelot - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 138, 9, 137, 0, 6, 0, 51, 5, 62, 16, 18, 1, 0, 0, 0, 1, 109, 0, 0, 0, 6, 0, 49, 5, 52, 13, 2, 71, 11, 1, 11, 0, 5.0, 11.0, 11.0, 0, 5, 11, 0, 4, 7, 0, 0, 4, 4, 2, 1, 0.0, 0, 1, 6, 0, 0, 10, 10, 45.45, 100.0, 100.0, 9.099609375, 90.890625, 90.890625, 0, 45.5, 100.0, 0.0, 36.3984375, 36.3984375, 18.19921875, 9.1, 0.0, 0.0, 0.0, 36.3984375, 9.099609375, 63.59375, 54.5, 4.0, 0.0, 31.0, 9.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 78.0, "6486", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6486&g_ta_cod=6486", 0.0, 36.0, 64.0),
(9976, "Public", "0240023V", "Lycée agricole DE PERIGUEUX", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Coulounieix-Chamiers", "formation sélective", "BTS", "Lycée agricole DE PERIGUEUX - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 28, 583, 238, 583, 0, 168, 18, 143, 22, 137, 33, 135, 0, 0, 0, 0, 0, 241, 0, 0, 0, 47, 3, 91, 16, 99, 24, 4, 101, 27, 15, 27, 0, 5.0, 26.0, 27.0, 0, 7, 26, 4, 13, 9, 1, 0, 5, 16, 4, 1, 0.0, 3, 10, 8, 1, 0, 14, 14, 18.52, 96.3, 100.0, 55.59375, 53.796875, 53.796875, 3.7998046875, 26.8984375, 96.296875, 0.0, 19.19921875, 61.5, 15.3984375, 3.8, 0.0, 15.3984375, 11.5, 50.0, 38.5, 34.59375, 30.796875, 21.0, 2.0, 32.0, 6.0, 4.0, "Tous les candidats sauf les Bac professionnels", 122.0, "Bacheliers professionnels toutes séries", 40, "", 0, "Liste d'appel propre à cette formation", 28.0, "3417", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3417&g_ta_cod=3417", 19.0, 48.0, 33.0),
(9977, "Public", "0422152L", "Université Jean Monnet - Campus de Roanne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Roanne", "formation non sélective", "Licence", "Université Jean Monnet - Campus de Roanne - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 200, 1408, 747, 1101, 0, 609, 130, 202, 77, 33, 19, 257, 307, 50, 25, 16, 216, 1049, 236, 0, 0, 609, 130, 202, 77, 33, 19, 205, 1148, 156, 85, 90, 65, 4.0, 88.0, 124.0, 0, 36, 85, 41, 30, 14, 71, 3, 63, 17, 2, 0, 0.0, 7, 6, 6, 0, 0, 56, 56, 2.56, 56.41, 79.49, 54.5, 65.890625, 65.890625, 0, 42.3984375, 54.5, 3.5, 74.09375, 20.0, 2.39990234375, 0.0, 0.0, 48.1953125, 8.19921875, 35.296875, 7.099609375, 16.5, 7.099609375, 575.0, 129.0, 44.0, 23.0, 331.0, "Tous les candidats", 1050.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "5378", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5378&g_ta_cod=5378", 49.0, 37.0, 14.0),
(9978, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "Université Angers - DEUST - Accueil d'excellence en tourisme (Seconde année possible en apprentissage)", "DEUST", "", 55, 207, 159, 152, 0, 79, 10, 27, 6, 9, 0, 37, 55, 10, 10, 4, 31, 92, 23, 0, 0, 57, 7, 18, 2, 5, 0, 12, 110, 37, 31, 29, 8, 19.0, 29.0, 36.0, 0, 4, 28, 11, 13, 4, 9, 0, 10, 14, 4, 0, 0.0, 7, 8, 3, 0, 0, 19, 19, 51.35, 78.38, 97.3, 83.796875, 67.890625, 67.890625, 0, 14.298828125, 75.6875, 0.0, 35.6953125, 50.0, 14.298828125, 0.0, 0.0, 39.296875, 25.0, 46.3984375, 28.59765625, 14.298828125, 10.69921875, 59.0, 8.0, 6.0, 0.0, 21.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "21821", "DEUST - Accueil d'excellence en tourisme (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21821&g_ta_cod=21821", 51.0, 38.0, 11.0),
(9979, "Public", "0610790C", "Lycée agricole Auguste Loutreuil", "61", "Orne", "Normandie", "Normandie", "Sées", "formation sélective", "BTS", "Lycée agricole Auguste Loutreuil - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 27, 215, 110, 204, 0, 13, 2, 28, 4, 48, 14, 115, 11, 4, 0, 5, 2, 90, 7, 0, 0, 12, 2, 25, 4, 44, 12, 9, 82, 20, 15, 18, 2, 7.0, 18.0, 20.0, 0, 4, 18, 5, 6, 7, 2, 0, 10, 6, 2, 0, 0.0, 1, 1, 6, 3, 3, 16, 16, 35.0, 90.0, 100.0, 75.0, 88.890625, 88.890625, 16.69921875, 22.19921875, 90.0, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 27.796875, 5.599609375, 33.296875, 5.599609375, 38.8984375, 33.296875, 14.0, 3.0, 36.0, 10.0, 11.0, "Tous les candidats sauf les Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 44.0, "7313", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7313&g_ta_cod=7313", 25.0, 40.0, 35.0),
(9980, "Public", "0922671D", "I.U.T de Ville d'Avray - Antenne de Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "BUT", "I.U.T de Ville d'Avray - Antenne de Nanterre - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière-Gestion et pilotage des ressources humaines", "BUT - Service", "Gestion comptable, fiscale et financière-Gestion et pilotage des ressources humaines", 47, 4237, 2214, 4237, 0, 1867, 550, 1558, 621, 87, 51, 725, 0, 0, 0, 0, 0, 1591, 0, 0, 0, 947, 248, 472, 162, 0, 0, 172, 429, 52, 41, 52, 0, 13.0, 49.0, 51.0, 0, 20, 46, 16, 30, 0, 6, 0, 3, 15, 24, 4, 0.0, 15, 28, 0, 0, 0, 28, 44, 25.0, 94.23, 98.08, 78.796875, 60.8984375, 95.6875, 0, 43.5, 88.5, 0.0, 6.5, 32.59375, 52.1953125, 8.7, 0.0, 34.796875, 32.59375, 65.1875, 60.8984375, 0.0, 0.0, 221.0, 82.0, 0.0, 0.0, 60.0, "Tous les candidats sauf les Bac technologiques", 392.0, "Bacheliers technologiques toutes séries", 209, "", 0, "Liste d'appel propre à cette formation", 14.0, "11157", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière-Gestion et pilotage des ressources humaines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11157&g_ta_cod=11157", 42.0, 58.0, 0.0),
(9981, "Public", "9720888H", "LYCEE POLYVALENT VICTOR ANICET", "972", "Martinique", "Martinique", "Martinique", "Saint-Pierre", "formation sélective", "Autre formation", "LYCEE POLYVALENT VICTOR ANICET - DN MADE - Espace", "DN MADE", "", 18, 161, 130, 141, 0, 61, 18, 31, 8, 13, 5, 36, 20, 2, 3, 1, 14, 63, 2, 0, 0, 27, 8, 23, 5, 7, 4, 6, 52, 17, 15, 16, 1, 4.0, 16.0, 16.0, 0, 7, 16, 8, 4, 4, 1, 0, 1, 9, 5, 1, 0.0, 8, 3, 4, 0, 0, 13, 13, 23.53, 94.12, 94.12, 88.1875, 81.296875, 81.296875, 0, 43.796875, 94.09375, 0.0, 6.2998046875, 56.296875, 31.296875, 6.3, 0.0, 50.0, 50.0, 25.0, 18.796875, 25.0, 25.0, 22.0, 7.0, 6.0, 4.0, 5.0, "Tous les candidats", 63.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "25296", "DN MADE - Espace", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25296&g_ta_cod=25296", 47.0, 29.0, 24.0),
(9982, "Public", "0760174B", "Lycée Claude Monet", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BTS", "Lycée Claude Monet - BTS - Services - Support à l'action managériale", "BTS - Services", "", 34, 452, 321, 443, 0, 28, 11, 144, 65, 152, 74, 119, 9, 0, 0, 5, 4, 276, 4, 0, 0, 24, 7, 102, 43, 113, 52, 37, 164, 29, 23, 27, 2, 5.0, 21.0, 22.0, 0, 13, 21, 1, 6, 14, 8, 0, 8, 8, 3, 2, 0.0, 1, 1, 11, 3, 2, 19, 19, 17.24, 72.41, 75.86, 79.296875, 90.5, 90.5, 14.298828125, 61.8984375, 72.390625, 0.0, 38.09375, 38.09375, 14.298828125, 9.5, 0.0, 4.7998046875, 4.7998046875, 28.59765625, 4.7998046875, 66.6875, 52.3984375, 9.0, 5.0, 64.0, 32.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 98, "Liste d'appel propre à cette formation", 41.0, "9633", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9633&g_ta_cod=9633", 7.0, 41.0, 52.0),
(9983, "Public", "0850152D", "Lycée agricole Lucon-Petre", "85", "Vendée", "Pays de la Loire", "Nantes", "Sainte-Gemme-la-Plaine", "formation sélective", "BTS", "Lycée agricole Lucon-Petre - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 19, 219, 75, 209, 0, 13, 1, 13, 3, 36, 11, 147, 10, 2, 3, 0, 5, 70, 3, 0, 0, 13, 1, 13, 3, 35, 10, 9, 57, 8, 2, 7, 1, 1.0, 7.0, 7.0, 0, 2, 5, 0, 1, 4, 3, 0, 4, 0, 1, 0, 0.0, 0, 0, 1, 2, 1, 2, 2, 12.5, 87.5, 87.5, 25.0, 40.0, 40.0, 40, 40.0, 62.5, 0.0, 80.0, 0.0, 20.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 20.0, 8.0, 0.0, 30.0, 10.0, 10.0, "Tous les candidats sauf les Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 33.0, "10516", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10516&g_ta_cod=10516", 13.0, 13.0, 75.0),
(9984, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université de Montpellier - Licence - Science politique - Parcours Science politique (Faculté de Droit et Science Politique)", "Licence - Droit-économie-gestion", "Science politique (Faculté de Droit et Science Politique)", 70, 4362, 2773, 4362, 0, 3596, 651, 47, 21, 12, 6, 707, 0, 0, 0, 0, 0, 4362, 0, 0, 0, 3596, 651, 47, 21, 12, 6, 707, 412, 70, 56, 70, 0, 1.0, 42.0, 61.0, 0, 18, 64, 63, 1, 0, 6, 0, 0, 0, 10, 54, 0.0, 63, 1, 0, 0, 0, 32, 32, 1.43, 60.0, 87.14, 80.0, 50.0, 50.0, 0, 28.09765625, 91.390625, 0.0, 0.0, 0.0, 15.599609375, 84.4, 0.0, 98.390625, 98.390625, 1.599853515625, 1.599853515625, 0.0, 0.0, 375.0, 73.0, 1.0, 0.0, 35.0, "Tous les candidats", 639.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "12448", "Licence - Science politique - Parcours Science politique (Faculté de Droit et Science Politique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12448&g_ta_cod=12448", 97.0, 1.0, 0.0),
(9985, "Public", "0101022G", "Edouard Herriot Lycée des Métiers du Textile Lycée des Métiers de l'Hôtellerie et de la Restauration", "10", "Aube", "Grand Est", "Reims", "Sainte-Savine", "formation sélective", "Autre formation", "Edouard Herriot Lycée des Métiers du Textile Lycée des Métiers de l'Hôtellerie et de la Restauration - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 15, 58, 37, 50, 0, 0, 0, 5, 2, 25, 14, 20, 8, 0, 1, 2, 5, 34, 5, 0, 0, 0, 0, 5, 2, 24, 13, 5, 37, 10, 5, 8, 2, 5.0, 8.0, 10.0, 0, 2, 6, 0, 1, 5, 4, 0, 6, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 50.0, 80.0, 100.0, 50.0, 50.0, 50.0, 0, 33.296875, 60.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 16.69921875, 0.0, 83.296875, 0.0, 0.0, 0.0, 24.0, 12.0, 7.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "20073", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20073&g_ta_cod=20073", 20.0, 10.0, 70.0),
(9986, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation non sélective", "Licence", "Université de La Rochelle - Licence - Mathématiques", "Licence - Sciences - technologies - santé", "", 40, 567, 180, 553, 0, 457, 64, 17, 2, 2, 0, 77, 14, 4, 2, 0, 8, 549, 11, 0, 0, 457, 64, 17, 2, 2, 0, 73, 270, 40, 12, 32, 7, 0.0, 22.0, 32.0, 0, 7, 31, 28, 3, 0, 9, 0, 8, 13, 8, 1, 1.0, 22, 1, 0, 0, 0, 24, 24, 0.0, 55.0, 80.0, 30.0, 77.390625, 77.390625, 0, 22.59765625, 77.5, 0.0, 25.796875, 41.8984375, 25.796875, 3.2, 3.2, 90.296875, 71.0, 9.69921875, 3.19970703125, 0.0, 0.0, 212.0, 33.0, 0.0, 0.0, 50.0, "Tous les candidats", 530.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "3079", "Licence - Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3079&g_ta_cod=3079", 88.0, 13.0, 0.0),
(9987, "Public", "0290063L", "Lycée Naval", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Autre formation", "Lycée Naval - CPES - Scientifique", "Classe préparatoire aux études supérieures", "", 20, 153, 18, 153, 0, 138, 21, 2, 1, 0, 0, 13, 0, 0, 0, 0, 0, 75, 0, 0, 0, 74, 10, 0, 0, 0, 0, 1, 51, 20, 1, 20, 0, 7.0, 15.0, 18.0, 0, 3, 20, 20, 0, 0, 0, 0, 1, 7, 11, 1, 0.0, 19, 0, 0, 0, 0, 8, 8, 35.0, 75.0, 90.0, 5.0, 40.0, 40.0, 0, 15.0, 100.0, 0.0, 5.0, 35.0, 55.0, 5.0, 0.0, 100.0, 95.0, 0.0, 0.0, 0.0, 0.0, 50.0, 10.0, 0.0, 0.0, 1.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "3793", "CPES - Scientifique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3793&g_ta_cod=3793", 100.0, 0.0, 0.0),
(9988, "Public", "0390786T", "Lycée Pré Saint-Sauveur", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Saint-Claude", "formation sélective", "BTS", "Lycée Pré Saint-Sauveur - BTS - Services - Gestion de la PME (Seconde année possible en apprentissage)", "BTS - Services", "", 24, 282, 174, 249, 0, 16, 4, 52, 17, 64, 24, 117, 33, 6, 2, 4, 21, 106, 20, 0, 0, 12, 2, 43, 14, 41, 12, 10, 98, 15, 8, 11, 4, 4.0, 10.0, 12.0, 0, 4, 10, 0, 4, 6, 5, 0, 5, 3, 2, 0, 0.0, 0, 2, 3, 6, 4, 7, 7, 26.67, 66.67, 80.0, 53.296875, 70.0, 70.0, 60, 40.0, 66.6875, 0.0, 50.0, 30.0, 20.0, 0.0, 0.0, 0.0, 0.0, 40.0, 20.0, 60.0, 30.0, 19.0, 3.0, 38.0, 13.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 41.0, "5169", "BTS - Services - Gestion de la PME (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5169&g_ta_cod=5169", 20.0, 33.0, 47.0),
(9989, "Privé sous contrat d'association", "0622114L", "Lycée Saint-Paul", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "BTS", "Lycée Saint-Paul - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 26, 144, 70, 111, 0, 17, 5, 24, 7, 11, 2, 59, 33, 3, 9, 2, 19, 75, 22, 0, 0, 17, 5, 24, 7, 11, 2, 23, 90, 20, 8, 12, 8, 8.0, 12.0, 18.0, 0, 4, 14, 3, 6, 5, 6, 0, 5, 7, 1, 1, 0.0, 2, 3, 4, 5, 2, 14, 14, 40.0, 60.0, 90.0, 40.0, 100.0, 100.0, 35.6953125, 28.59765625, 70.0, 0.0, 35.6953125, 50.0, 7.099609375, 7.1, 0.0, 21.3984375, 14.298828125, 42.8984375, 21.3984375, 35.6953125, 28.59765625, 16.0, 2.0, 10.0, 3.0, 34.0, "Tous les candidats sauf les Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 68.0, "7414", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7414&g_ta_cod=7414", 45.0, 30.0, 25.0),
(9990, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation non sélective", "PASS", "Université Sorbonne Paris Nord - Antenne de Bobigny - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Dispensée à l'Université Paris 8", 10, 4095, 3066, 4095, 0, 2905, 727, 91, 38, 25, 15, 1074, 0, 0, 0, 0, 0, 4092, 0, 0, 0, 2905, 727, 91, 38, 25, 15, 1071, 220, 9, 9, 9, 0, 0.0, 1.0, 4.0, 0, 3, 9, 9, 0, 0, 0, 0, 0, 3, 5, 1, 0.0, 9, 0, 0, 0, 0, 5, 8, 0.0, 11.11, 44.44, 100.0, 55.59375, 88.890625, 0, 33.296875, 100.0, 0.0, 0.0, 33.296875, 55.59375, 11.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 207.0, 51.0, 0.0, 0.0, 13.0, "Tous les candidats", 2679.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "29028", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28682&g_ta_cod=29028", 100.0, 0.0, 0.0),
(9991, "Public", "0952196W", "LYCEE POLYVALENT GUSTAVE MONOD", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Enghien-les-Bains", "formation sélective", "Autre formation", "LYCEE POLYVALENT GUSTAVE MONOD - Mention complémentaire - FCIL - Tourneur fraiseur sur machines conventionnelles dans l'aéronautique et l'aérospatiale", "Mention complémentaire", "", 12, 29, 1, 15, 0, 0, 0, 1, 0, 14, 4, 0, 14, 1, 1, 6, 6, 15, 3, 0, 0, 0, 0, 1, 0, 14, 4, 0, 21, 6, 0, 4, 1, 3.0, 4.0, 5.0, 0, 2, 5, 0, 0, 5, 1, 0, 5, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 4, 5, 50.0, 66.67, 83.33, 0.0, 80.0, 100.0, 0, 40.0, 83.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 19.0, 5.0, 1.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "25156", "Mention complémentaire - FCIL - Tourneur fraiseur sur machines conventionnelles dans l'aéronautique et l'aérospatiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25156&g_ta_cod=25156", 0.0, 0.0, 100.0),
(9992, "Privé sous contrat d'association", "0211089V", "Lycée Saint Joseph", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Production - Electrotechnique", "BTS - Production", "", 32, 159, 9, 143, 0, 10, 2, 25, 4, 68, 13, 40, 16, 3, 1, 3, 9, 100, 2, 0, 0, 10, 2, 25, 4, 59, 9, 6, 89, 23, 0, 23, 0, 9.0, 23.0, 23.0, 0, 0, 22, 2, 3, 17, 1, 0, 7, 7, 5, 3, 0.0, 0, 2, 13, 11, 0, 22, 22, 39.13, 100.0, 100.0, 0.0, 100.0, 100.0, 50, 0.0, 95.6875, 0.0, 31.796875, 31.796875, 22.69921875, 13.6, 0.0, 9.099609375, 0.0, 13.599609375, 9.099609375, 77.296875, 59.09375, 8.0, 1.0, 51.0, 7.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 69.0, "3215", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3215&g_ta_cod=3215", 13.0, 13.0, 74.0),
(9993, "Public", "0291660X", "Université de Brest - Site de Quimper", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation non sélective", "Licence", "Université de Brest - Licence - Portail Droit - Droit parcours général", "Licence - Droit-économie-gestion", "Droit parcours général : Université de Brest - Site de Quimper", 160, 1429, 1037, 1272, 0, 912, 176, 151, 37, 28, 14, 181, 157, 46, 17, 3, 91, 1268, 145, 0, 0, 912, 176, 151, 37, 28, 14, 177, 1130, 120, 81, 90, 30, 11.0, 88.0, 111.0, 0, 24, 81, 64, 15, 2, 39, 0, 28, 34, 14, 5, 0.0, 45, 7, 1, 0, 0, 70, 70, 9.17, 73.33, 92.5, 67.5, 86.390625, 86.390625, 0, 29.59765625, 67.5, 0.0, 34.59375, 42.0, 17.296875, 6.2, 0.0, 79.0, 55.59375, 18.5, 8.599609375, 2.5, 1.199951171875, 756.0, 130.0, 20.0, 9.0, 212.0, "Tous les candidats", 2168.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28753", "Licence - Portail Droit - Droit parcours général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28752&g_ta_cod=28753", 79.0, 17.0, 4.0),
(9994, "Public", "0210017E", "Lycée Montchapet", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Montchapet - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 563, 380, 563, 0, 36, 10, 198, 75, 170, 67, 159, 0, 0, 0, 0, 0, 393, 0, 0, 0, 30, 8, 147, 49, 146, 62, 70, 146, 23, 15, 23, 0, 1.0, 17.0, 18.0, 0, 9, 21, 2, 9, 10, 2, 0, 8, 11, 2, 0, 0.0, 2, 6, 5, 3, 3, 20, 20, 4.35, 73.91, 78.26, 65.1875, 95.1875, 95.1875, 14.298828125, 42.8984375, 91.296875, 0.0, 38.09375, 52.3984375, 9.5, 0.0, 0.0, 9.5, 9.5, 42.8984375, 28.59765625, 47.59375, 23.796875, 9.0, 0.0, 60.0, 28.0, 20.0, "Tous les candidats sauf les Bac professionnels", 92.0, "Bacheliers professionnels toutes séries", 101, "", 0, "Liste d'appel propre à cette formation", 34.0, "3184", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3184&g_ta_cod=3184", 9.0, 43.0, 48.0),
(9995, "Public", "0290352A", "I.U.T de Quimper", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BUT", "I.U.T de Quimper - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client", 170, 2531, 1259, 2531, 0, 1277, 137, 945, 120, 24, 8, 285, 0, 0, 0, 0, 0, 1811, 0, 0, 0, 948, 98, 761, 103, 1, 0, 101, 635, 166, 88, 166, 0, 19.0, 138.0, 155.0, 0, 20, 162, 81, 80, 1, 4, 0, 1, 86, 71, 4, 0.0, 80, 80, 1, 0, 0, 154, 154, 11.45, 83.13, 93.37, 53.0, 95.09375, 95.09375, 0, 12.298828125, 97.59375, 0.0, 0.5999755859375, 53.09375, 43.796875, 2.5, 0.0, 50.0, 49.3984375, 49.3984375, 49.3984375, 0.5999755859375, 0.5999755859375, 330.0, 34.0, 1.0, 0.0, 17.0, "Tous les candidats sauf les Bac technologiques", 523.0, "Bacheliers technologiques toutes séries", 368, "", 0, "Liste d'appel propre à cette formation", 35.0, "3883", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3883&g_ta_cod=3883", 51.0, 49.0, 1.0),
(9996, "Public", "0760109F", "Lycée Les Bruyères", "76", "Seine-Maritime", "Normandie", "Normandie", "Sotteville-lès-Rouen", "formation sélective", "CPGE", "Lycée Les Bruyères - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 45, 299, 166, 298, 68, 0, 0, 245, 85, 0, 0, 53, 1, 0, 0, 0, 1, 205, 0, 50, 203, 0, 0, 202, 65, 0, 0, 3, 158, 39, 19, 39, 0, 16.0, 39.0, 39.0, 7, 18, 38, 0, 38, 0, 1, 0, 7, 14, 14, 3, 0.0, 0, 31, 0, 5, 1, 38, 38, 41.03, 100.0, 100.0, 48.6953125, 100.0, 100.0, 13.19921875, 47.3984375, 97.390625, 0.0, 18.3984375, 36.796875, 36.796875, 7.9, 0.0, 0.0, 0.0, 100.0, 81.59375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 205.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "9613", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9613&g_ta_cod=9613", 0.0, 100.0, 0.0),
(9997, "Privé enseignement supérieur", "0342380C", "TRAVELLING, École Supérieure du Cinéma et de la Télévision", "34", "Hérault", "Occitanie", "Montpellier", "Mauguio", "formation sélective", "BTS", "TRAVELLING, École Supérieure du Cinéma et de la Télévision - BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "BTS - Services", "", 7, 239, 81, 221, 0, 112, 20, 31, 4, 16, 3, 62, 18, 7, 0, 0, 11, 62, 5, 0, 0, 42, 8, 6, 1, 5, 0, 9, 41, 7, 3, 5, 2, 1.0, 5.0, 5.0, 0, 1, 5, 2, 2, 1, 2, 0, 1, 1, 3, 0, 0.0, 2, 1, 1, 0, 0, 0, 0, 14.29, 71.43, 71.43, 42.8984375, 0.0, 0.0, 0, 20.0, 71.390625, 0.0, 20.0, 20.0, 60.0, 0.0, 0.0, 40.0, 40.0, 40.0, 20.0, 20.0, 20.0, 28.0, 3.0, 4.0, 0.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers technologiques toutes séries", 4, "Bacheliers professionnels toutes séries", 4, "Liste d'appel propre à cette formation", 24.0, "34059", "BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34059&g_ta_cod=34059", 57.0, 29.0, 14.0),
(9998, "Privé sous contrat d'association", "0030946M", "IFSI Croix Rouge Française Moulins", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Moulins", "formation sélective", "IFSI", "Regroupement d'IFSI Université Clermont Auvergne - D.E Infirmier", "D.E secteur sanitaire", "", 98, 2888, 2371, 2888, 0, 570, 93, 603, 125, 253, 97, 1462, 0, 0, 0, 0, 0, 2341, 0, 0, 0, 521, 76, 561, 110, 179, 70, 1080, 895, 97, 82, 97, 0, 2.0, 39.0, 60.0, 0, 10, 60, 19, 38, 3, 37, 0, 29, 27, 3, 1, 0.0, 11, 17, 3, 0, 0, 38, 38, 2.06, 40.21, 61.86, 84.5, 63.296875, 63.296875, 0, 16.69921875, 61.8984375, 0.0, 48.296875, 45.0, 5.0, 1.7, 0.0, 31.69921875, 18.296875, 63.296875, 28.296875, 5.0, 5.0, 191.0, 19.0, 27.0, 10.0, 304.0, "Tous les candidats", 1791.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "23105", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22999&g_ta_cod=23105", 28.0, 63.0, 9.0),
(9999, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence", "Université de Perpignan Via Domitia - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", "", 120, 1203, 540, 1140, 0, 681, 154, 166, 69, 45, 28, 248, 63, 4, 4, 5, 50, 1140, 27, 0, 0, 681, 154, 166, 69, 45, 28, 248, 762, 115, 47, 101, 14, 12.0, 85.0, 100.0, 0, 28, 79, 53, 17, 9, 36, 1, 36, 25, 13, 4, 0.0, 33, 5, 4, 0, 0, 68, 68, 10.43, 73.91, 86.96, 40.8984375, 86.09375, 86.09375, 0, 35.3984375, 68.6875, 1.2998046875, 45.59375, 31.59765625, 16.5, 5.1, 0.0, 67.09375, 41.796875, 21.5, 6.2998046875, 11.3984375, 5.099609375, 486.0, 114.0, 29.0, 19.0, 163.0, "Tous les candidats", 1171.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "7864", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31760&g_ta_cod=7864", 65.0, 23.0, 11.0),
(10000, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Histoire de l'art et archéologie - Parcours Licence Histoire de l'Art et Archéologie Option Arts Plastiques", "Licence - Arts-lettres-langues", "Licence Histoire de l'Art et Archéologie Option Arts Plastiques", 45, 508, 391, 485, 0, 321, 62, 54, 8, 8, 3, 102, 23, 3, 1, 1, 18, 485, 21, 0, 0, 321, 62, 54, 8, 8, 3, 102, 282, 50, 33, 44, 6, 3.0, 40.0, 46.0, 0, 10, 35, 29, 5, 1, 15, 0, 16, 9, 9, 1, 0.0, 16, 2, 1, 0, 0, 25, 25, 6.0, 80.0, 92.0, 66.0, 71.390625, 71.390625, 0, 28.59765625, 70.0, 0.0, 45.6953125, 25.69921875, 25.69921875, 2.9, 0.0, 82.890625, 45.6953125, 14.298828125, 5.69921875, 2.89990234375, 2.89990234375, 168.0, 41.0, 9.0, 3.0, 79.0, "Tous les candidats", 486.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "25333", "Licence - Histoire de l'art et archéologie - Parcours Licence Histoire de l'Art et Archéologie Option Arts Plastiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25333&g_ta_cod=25333", 80.0, 10.0, 10.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(10001, "Public", "0060011E", "Lycée Carnot", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "CPGE", "Lycée Carnot - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 399, 321, 357, 250, 314, 55, 2, 0, 1, 1, 40, 42, 17, 1, 1, 23, 306, 12, 130, 301, 286, 50, 1, 0, 0, 0, 19, 213, 17, 15, 15, 2, 1.0, 15.0, 16.0, 1, 2, 13, 13, 0, 0, 4, 0, 1, 1, 9, 2, 0.0, 12, 0, 0, 2, 2, 10, 10, 5.88, 88.24, 94.12, 88.1875, 76.890625, 76.890625, 15.3984375, 15.3984375, 76.5, 0.0, 7.69921875, 7.69921875, 69.1875, 15.4, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 195.0, 31.0, 0.0, 0.0, 18.0, "Tous les candidats", 314.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "2186", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2186&g_ta_cod=2186", 100.0, 0.0, 0.0),
(10002, "Public", "0840110N", "Lycée agricole François Pétrarque", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée agricole François Pétrarque - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 27, 388, 259, 379, 0, 50, 10, 110, 34, 67, 23, 152, 9, 0, 0, 5, 4, 217, 0, 0, 0, 50, 10, 81, 24, 36, 12, 50, 100, 26, 17, 25, 0, 5.0, 21.0, 26.0, 0, 16, 23, 8, 7, 8, 3, 0, 9, 9, 3, 2, 0.0, 1, 6, 7, 1, 0, 13, 13, 19.23, 80.77, 100.0, 65.390625, 56.5, 56.5, 4.2998046875, 69.59375, 88.5, 0.0, 39.09375, 39.09375, 13.0, 8.7, 0.0, 34.796875, 4.2998046875, 30.3984375, 26.09765625, 34.796875, 30.3984375, 25.0, 7.0, 30.0, 13.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers technologiques toutes séries", 49, "Bacheliers professionnels toutes séries", 39, "Liste d'appel propre à cette formation", 37.0, "28904", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28904&g_ta_cod=28904", 35.0, 31.0, 35.0),
(10003, "Public", "0931235M", "I.U.T de Villetaneuse - Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation sélective", "BUT", "I.U.T de Villetaneuse - Université Sorbonne Paris Nord - BUT - Gestion des entreprises et des administrations Parcours : Gestion Comptable Fiscale et Financière (GC2F)-Gestion et Pilotage des RH (GPRH)-Gestion, Entrepreunariat, Management des Activités (GEMA)", "BUT - Service", "Gestion Comptable Fiscale et Financière (GC2F)-Gestion et Pilotage des RH (GPRH)-Gestion, Entrepreunariat, Management des Activités (GEMA)", 163, 4684, 2616, 4684, 0, 1924, 712, 1726, 801, 62, 32, 972, 0, 0, 0, 0, 0, 2701, 0, 0, 0, 1139, 404, 1207, 531, 0, 0, 355, 859, 161, 83, 161, 0, 85.0, 144.0, 155.0, 0, 62, 128, 55, 73, 0, 33, 0, 19, 53, 49, 7, 0.0, 43, 66, 0, 0, 0, 65, 119, 52.8, 89.44, 96.27, 51.59375, 50.796875, 93.0, 0, 48.3984375, 79.5, 0.0, 14.798828125, 41.3984375, 38.296875, 5.5, 0.0, 43.0, 33.59375, 57.0, 51.59375, 0.0, 0.0, 381.0, 164.0, 0.0, 0.0, 133.0, "Tous les candidats sauf les Bac technologiques", 656.0, "Bacheliers technologiques toutes séries", 409, "", 0, "Liste d'appel propre à cette formation", 23.0, "11240", "BUT - Gestion des entreprises et des administrations Parcours : Gestion Comptable Fiscale et Financière (GC2F)-Gestion et Pilotage des RH (GPRH)-Gestion, Entrepreunariat, Management des Activités (GEMA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11240&g_ta_cod=11240", 49.0, 51.0, 0.0),
(10004, "Public", "0333358W", "I.U.T. de Bordeaux - Site Bordeaux-Bastide", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BUT", "I.U.T. de Bordeaux - Site Bordeaux-Bastide - BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", "BUT - Service", "Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", 104, 824, 205, 803, 0, 389, 50, 200, 55, 33, 10, 181, 21, 3, 0, 1, 17, 319, 3, 0, 0, 124, 7, 112, 26, 6, 2, 77, 291, 104, 34, 102, 2, 63.0, 101.0, 104.0, 0, 11, 73, 35, 37, 1, 31, 0, 20, 31, 20, 2, 0.0, 28, 24, 1, 0, 0, 47, 47, 60.58, 97.12, 100.0, 32.6953125, 64.390625, 64.390625, 0, 15.099609375, 70.1875, 0.0, 27.3984375, 42.5, 27.3984375, 2.7, 0.0, 47.8984375, 38.3984375, 50.6953125, 32.8984375, 1.39990234375, 1.39990234375, 113.0, 7.0, 5.0, 2.0, 74.0, "Tous les candidats sauf les Bac technologiques", 180.0, "Bacheliers technologiques toutes séries", 139, "", 0, "Liste d'appel propre à cette formation", 39.0, "4464", "BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4464&g_ta_cod=4464", 53.0, 44.0, 2.0),
(10005, "Public", "9711052S", "I.U.T de la Guadeloupe - Campus de St-Claude", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Saint-Claude", "formation sélective", "BUT", "I.U.T de la Guadeloupe - Campus de St-Claude - BUT - Génie biologique parcours sciences de l'environnement et écotechnologies (Seconde année en apprentissage)", "BUT - Production", "", 12, 131, 76, 114, 0, 58, 12, 27, 14, 2, 0, 27, 17, 3, 11, 0, 3, 83, 5, 0, 0, 51, 12, 19, 8, 0, 0, 13, 61, 11, 6, 8, 3, 2.0, 8.0, 9.0, 0, 3, 11, 9, 2, 0, 0, 0, 4, 4, 2, 1, 0.0, 6, 1, 0, 0, 0, 7, 7, 18.18, 72.73, 81.82, 54.5, 63.59375, 63.59375, 0, 27.296875, 100.0, 0.0, 36.3984375, 36.3984375, 18.19921875, 9.1, 0.0, 81.796875, 54.5, 18.19921875, 9.099609375, 0.0, 0.0, 36.0, 7.0, 0.0, 0.0, 14.0, "Tous les candidats sauf les Bac technologiques", 62.0, "Bacheliers technologiques toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 71.0, "32800", "BUT - Génie biologique parcours sciences de l'environnement et écotechnologies (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32800&g_ta_cod=32800", 82.0, 18.0, 0.0),
(10006, "Privé sous contrat d'association", "0690634P", "Ecole LA MACHE", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Ecole LA MACHE - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 289, 4, 287, 0, 19, 2, 77, 15, 137, 44, 54, 2, 0, 0, 2, 0, 213, 0, 0, 0, 16, 0, 65, 5, 108, 33, 24, 101, 22, 0, 22, 0, 5.0, 12.0, 19.0, 0, 3, 19, 1, 7, 11, 3, 0, 9, 5, 4, 1, 0.0, 0, 4, 6, 0, 0, 14, 14, 22.73, 54.55, 86.36, 0.0, 73.6875, 73.6875, 0, 15.798828125, 86.390625, 0.0, 47.3984375, 26.296875, 21.09765625, 5.3, 0.0, 5.2998046875, 0.0, 36.796875, 21.09765625, 57.8984375, 31.59765625, 8.0, 0.0, 50.0, 12.0, 9.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 83, "", 0, "Liste d'appel propre à cette formation", 51.0, "8322", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8322&g_ta_cod=8322", 9.0, 41.0, 50.0),
(10007, "Public", "0570099Y", "Lycée Henri Nominé", "57", "Moselle", "Grand Est", "Nancy-Metz", "Sarreguemines", "formation sélective", "BTS", "Lycée Henri Nominé - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 136, 3, 135, 0, 8, 1, 27, 8, 76, 17, 24, 1, 0, 1, 0, 0, 109, 0, 0, 0, 8, 1, 27, 8, 66, 15, 8, 43, 10, 1, 10, 0, 2.0, 10.0, 10.0, 0, 3, 10, 0, 4, 6, 0, 0, 3, 5, 2, 0, 0.0, 0, 1, 6, 7, 1, 10, 10, 20.0, 100.0, 100.0, 10.0, 100.0, 100.0, 70, 30.0, 100.0, 0.0, 30.0, 50.0, 20.0, 0.0, 0.0, 0.0, 0.0, 40.0, 10.0, 60.0, 60.0, 2.0, 0.0, 26.0, 8.0, 1.0, "Tous les candidats sauf les Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 39.0, "6556", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6556&g_ta_cod=6556", 0.0, 40.0, 60.0),
(10008, "Public", "6200043C", "Lycée Georges Clemenceau", "2A", "Corse du Sud", "Corse", "Corse", "Sartène", "formation sélective", "Autre formation", "Lycée Georges Clemenceau - CPES - Arts", "Classe préparatoire aux études supérieures", "", 18, 71, 51, 71, 0, 49, 9, 5, 2, 3, 1, 14, 0, 0, 0, 0, 0, 35, 0, 0, 0, 29, 6, 0, 0, 2, 0, 4, 21, 18, 12, 18, 0, 15.0, 18.0, 18.0, 0, 5, 17, 15, 0, 2, 1, 0, 2, 8, 5, 2, 0.0, 13, 0, 2, 0, 0, 17, 17, 83.33, 100.0, 100.0, 66.6875, 100.0, 100.0, 0, 29.3984375, 94.390625, 0.0, 11.798828125, 47.09375, 29.3984375, 11.8, 0.0, 88.1875, 76.5, 0.0, 0.0, 11.798828125, 11.798828125, 18.0, 6.0, 2.0, 0.0, 1.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "16116", "CPES - Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16116&g_ta_cod=16116", 83.0, 0.0, 11.0),
(10009, "Privé sous contrat d'association", "0530048P", "Lycée Immaculee Conception", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "Lycée Immaculee Conception - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 350, 19, 325, 0, 47, 4, 100, 21, 56, 10, 122, 25, 2, 10, 1, 12, 187, 7, 0, 0, 46, 3, 93, 19, 33, 6, 15, 133, 15, 0, 10, 5, 1.0, 9.0, 13.0, 0, 2, 15, 5, 7, 3, 0, 0, 11, 3, 1, 0, 0.0, 0, 1, 3, 0, 0, 6, 6, 6.67, 60.0, 86.67, 0.0, 40.0, 40.0, 0, 13.298828125, 100.0, 0.0, 73.296875, 20.0, 6.69921875, 0.0, 0.0, 33.296875, 0.0, 46.6953125, 6.69921875, 20.0, 20.0, 36.0, 2.0, 22.0, 4.0, 8.0, "Tous les candidats sauf les Bac professionnels", 153.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 57.0, "6208", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6208&g_ta_cod=6208", 33.0, 47.0, 20.0),
(10010, "Public", "0420013L", "Lycée Albert Camus", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Firminy", "formation sélective", "BTS", "Lycée Albert Camus - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 32, 783, 431, 783, 0, 51, 15, 289, 110, 236, 110, 207, 0, 0, 0, 0, 0, 783, 0, 0, 0, 51, 15, 289, 110, 236, 110, 207, 239, 35, 16, 35, 0, 1.0, 19.0, 25.0, 0, 14, 27, 2, 13, 12, 8, 0, 15, 10, 2, 0, 0.0, 0, 6, 6, 5, 2, 24, 24, 2.86, 54.29, 71.43, 45.6953125, 88.890625, 88.890625, 18.5, 51.8984375, 77.09375, 0.0, 55.59375, 37.0, 7.3994140625, 0.0, 0.0, 7.3994140625, 0.0, 48.09375, 22.19921875, 44.3984375, 22.19921875, 13.0, 4.0, 89.0, 40.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 133, "Bacheliers technologiques toutes séries", 169, "Liste d'appel propre à cette formation", 43.0, "5268", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5268&g_ta_cod=5268", 6.0, 49.0, 46.0),
(10011, "Public", "0421976V", "Lycée Francois Mauriac-Forez", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Andrézieux-Bouthéon", "formation sélective", "BTS", "Lycée Francois Mauriac-Forez - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 141, 12, 117, 0, 13, 1, 35, 12, 34, 15, 35, 24, 4, 9, 1, 10, 85, 10, 0, 0, 13, 1, 31, 10, 27, 11, 14, 78, 10, 0, 7, 3, 0.0, 5.0, 7.0, 0, 3, 6, 1, 0, 5, 4, 0, 1, 4, 1, 0, 0.0, 0, 0, 5, 0, 0, 6, 6, 0.0, 50.0, 70.0, 0.0, 100.0, 100.0, 0, 50.0, 60.0, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 16.69921875, 0.0, 0.0, 0.0, 83.296875, 83.296875, 14.0, 3.0, 22.0, 9.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 66.0, "5370", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5370&g_ta_cod=5370", 30.0, 10.0, 60.0),
(10012, "Public", "0762642J", "ERFPS CHU Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "Autre formation", "ERFPS CHU Rouen - D.E Ergothérapeute", "D.E secteur sanitaire", "", 16, 532, 462, 532, 0, 131, 21, 77, 15, 5, 3, 319, 0, 0, 0, 0, 0, 182, 0, 0, 0, 58, 5, 20, 4, 1, 0, 103, 44, 16, 16, 16, 0, 4.0, 14.0, 15.0, 0, 0, 13, 9, 4, 0, 3, 0, 0, 1, 5, 7, 0.0, 9, 4, 0, 0, 0, 7, 7, 25.0, 87.5, 93.75, 100.0, 53.796875, 53.796875, 0, 0.0, 81.296875, 0.0, 0.0, 7.69921875, 38.5, 53.8, 0.0, 69.1875, 69.1875, 30.796875, 30.796875, 0.0, 0.0, 17.0, 2.0, 0.0, 0.0, 20.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "26037", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26037&g_ta_cod=26037", 75.0, 25.0, 0.0),
(10013, "Privé sous contrat d'association", "0640181Z", "Lycée Général, Technologique et Professionnel St Joseph", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Hasparren", "formation sélective", "Autre formation", "Lycée Général, Technologique et Professionnel St Joseph - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 8, 12, 0, 12, 0, 0, 0, 0, 0, 11, 0, 1, 0, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 11, 0, 1, 11, 3, 0, 3, 0, 3.0, 3.0, 3.0, 0, 0, 3, 0, 0, 3, 0, 0, 1, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 3, 3, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 10.0, 0.0, 1.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "16957", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16957&g_ta_cod=16957", 0.0, 0.0, 100.0),
(10014, "Public", "0890005X", "Lycée Joseph Fourier", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Auxerre", "formation sélective", "BTS", "Lycée Joseph Fourier - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 97, 11, 88, 0, 1, 0, 28, 6, 39, 16, 20, 9, 0, 1, 4, 4, 59, 2, 0, 0, 1, 0, 25, 5, 31, 12, 2, 51, 9, 0, 8, 0, 4.0, 8.0, 8.0, 0, 1, 8, 1, 5, 2, 1, 0, 4, 2, 2, 0, 0.0, 1, 2, 1, 7, 0, 8, 8, 44.44, 88.89, 88.89, 0.0, 100.0, 100.0, 87.5, 12.5, 88.890625, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 12.5, 12.5, 62.5, 25.0, 25.0, 12.5, 1.0, 0.0, 31.0, 12.0, 3.0, "Tous les candidats sauf les Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 65.0, "10771", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10771&g_ta_cod=10771", 11.0, 67.0, 22.0),
(10015, "Privé sous contrat d'association", "0840082H", "Lycée professionnel Vincent De Paul", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "Autre formation", "Lycée professionnel Vincent De Paul - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 17, 2, 2, 0, 0, 0.0, 0.0, 2.0, 0, 0, 2, 0, 1, 1, 0, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 0.0, 0.0, 100.0, 100.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 11.0, 5.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30579", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 50.0, 50.0),
(10016, "Public", "0590215N", "Lycée Sévigné", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "Autre formation", "Lycée Sévigné - DN MADE - Mode - - Spécialité : Image de mode - Médiatisation", "DN MADE", "- Spécialité : Image de mode - Médiatisation", 15, 511, 418, 511, 0, 204, 41, 133, 33, 43, 18, 131, 0, 0, 0, 0, 0, 269, 0, 0, 0, 88, 10, 107, 23, 21, 9, 53, 53, 14, 11, 14, 0, 1.0, 13.0, 14.0, 0, 1, 11, 4, 6, 1, 3, 0, 0, 5, 6, 0, 0.0, 4, 6, 1, 0, 0, 2, 2, 7.14, 92.86, 100.0, 78.59375, 18.19921875, 18.19921875, 0, 9.099609375, 78.59375, 0.0, 0.0, 45.5, 54.5, 0.0, 0.0, 36.3984375, 36.3984375, 54.5, 54.5, 9.099609375, 9.099609375, 12.0, 1.0, 1.0, 0.0, 10.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "24728", "DN MADE - Mode - - Spécialité : Image de mode - Médiatisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24728&g_ta_cod=24728", 29.0, 64.0, 7.0),
(10017, "Public", "0753268V", "Lycée Jean Lurcat", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Lurcat - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 2115, 1293, 1744, 0, 107, 27, 448, 195, 616, 347, 573, 371, 129, 0, 0, 242, 524, 16, 0, 0, 30, 6, 104, 45, 344, 198, 46, 214, 35, 27, 30, 5, 1.0, 29.0, 33.0, 0, 16, 33, 7, 7, 19, 2, 0, 8, 19, 6, 0, 0.0, 2, 7, 16, 2, 2, 12, 32, 2.86, 82.86, 94.29, 77.09375, 36.3984375, 97.0, 6.099609375, 48.5, 94.296875, 0.0, 24.19921875, 57.59375, 18.19921875, 0.0, 0.0, 21.19921875, 6.099609375, 21.19921875, 21.19921875, 57.59375, 48.5, 36.0, 8.0, 90.0, 47.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 182, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 18.0, "9381", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9381&g_ta_cod=9381", 26.0, 20.0, 54.0),
(10018, "Privé sous contrat d'association", "0312408Z", "Lycée Saliège", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Balma", "formation sélective", "BTS", "Lycée Saliège - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 30, 581, 395, 581, 0, 180, 30, 194, 59, 22, 8, 185, 0, 0, 0, 0, 0, 394, 0, 0, 0, 147, 25, 156, 44, 5, 1, 86, 164, 28, 21, 28, 0, 5.0, 19.0, 23.0, 0, 3, 25, 11, 14, 0, 3, 0, 3, 12, 9, 1, 0.0, 10, 12, 0, 0, 0, 19, 19, 17.86, 67.86, 82.14, 75.0, 76.0, 76.0, 0, 12.0, 89.296875, 0.0, 12.0, 48.0, 36.0, 4.0, 0.0, 44.0, 40.0, 56.0, 48.0, 0.0, 0.0, 72.0, 11.0, 4.0, 1.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 116.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 32.0, "4230", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4230&g_ta_cod=4230", 46.0, 54.0, 0.0),
(10019, "Privé sous contrat d'association", "0690521S", "Lycée Sainte - Marie Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée Sainte - Marie Lyon - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 19, 1911, 978, 1911, 1388, 1771, 93, 1, 0, 0, 0, 139, 0, 0, 0, 0, 0, 344, 0, 315, 228, 344, 13, 0, 0, 0, 0, 0, 88, 19, 15, 19, 0, 1.0, 16.0, 19.0, 9, 0, 19, 19, 0, 0, 0, 0, 0, 0, 3, 11, 5.0, 19, 0, 0, 1, 1, 6, 6, 5.26, 84.21, 100.0, 78.890625, 31.59765625, 31.59765625, 5.2998046875, 0.0, 100.0, 0.0, 0.0, 0.0, 15.798828125, 57.9, 26.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 88.0, 5.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "31630", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31319&g_ta_cod=31630", 100.0, 0.0, 0.0),
(10020, "Public", "0121471J", "Institut national universitaire Champollion - Campus de Rodez", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation non sélective", "Licence_Las", "Institut national universitaire Champollion - Campus de Rodez - Licence - Portail Droit - Droit Gestion", "Licence - Droit-économie-gestion", "Parcours Droit Gestion", 10, 55, 38, 45, 0, 22, 6, 4, 1, 3, 1, 16, 10, 4, 4, 0, 2, 43, 9, 0, 0, 22, 6, 4, 1, 3, 1, 14, 44, 8, 5, 5, 3, 0.0, 5.0, 7.0, 0, 3, 8, 5, 3, 0, 0, 0, 6, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 5, 5, 0.0, 62.5, 87.5, 62.5, 62.5, 62.5, 0, 37.5, 100.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 62.5, 12.5, 37.5, 12.5, 0.0, 0.0, 23.0, 6.0, 1.0, 0.0, 13.0, "Tous les candidats", 171.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "32806", "Licence - Portail Droit - Droit Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32805&g_ta_cod=32806", 63.0, 38.0, 0.0),
(10021, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Double licence - Droit / Economie - Droit, Economie", "Licence - Droit-économie-gestion", "Droit, Economie", 135, 892, 555, 863, 0, 676, 108, 28, 6, 7, 3, 152, 29, 6, 2, 2, 19, 853, 25, 0, 0, 676, 108, 28, 6, 7, 3, 142, 526, 131, 87, 122, 9, 35.0, 115.0, 119.0, 0, 23, 105, 102, 3, 0, 26, 1, 12, 25, 39, 26, 2.0, 90, 2, 0, 0, 0, 78, 78, 26.72, 87.79, 90.84, 66.390625, 74.296875, 74.296875, 0, 21.8984375, 80.1875, 1.0, 11.3984375, 23.796875, 37.09375, 24.8, 1.9, 97.09375, 85.6875, 2.89990234375, 1.89990234375, 0.0, 0.0, 407.0, 74.0, 2.0, 2.0, 108.0, "Tous les candidats", 767.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "6334", "Double licence - Droit / Economie - Droit, Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6334&g_ta_cod=6334", 97.0, 3.0, 0.0),
(10022, "Public", "0623911P", "Université d'Artois - Site de Lens", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation non sélective", "Licence_Las", "Université d'Artois - Site de Lens - Licence - Portail Chimie", "Licence - Sciences - technologies - santé", "", 10, 337, 224, 337, 0, 262, 60, 12, 5, 0, 0, 63, 0, 0, 0, 0, 0, 334, 0, 0, 0, 262, 60, 12, 5, 0, 0, 60, 86, 9, 4, 9, 0, 0.0, 5.0, 7.0, 0, 1, 7, 7, 0, 0, 2, 0, 0, 2, 5, 0, 0.0, 7, 0, 0, 0, 0, 7, 7, 0.0, 55.56, 77.78, 44.3984375, 100.0, 100.0, 0, 14.298828125, 77.796875, 0.0, 0.0, 28.59765625, 71.390625, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 68.0, 12.0, 0.0, 0.0, 18.0, "Tous les candidats", 385.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 66.0, "7488", "Licence - Portail Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27778&g_ta_cod=7488", 100.0, 0.0, 0.0),
(10023, "Public", "0623911P", "Université d'Artois - Site de Lens", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation non sélective", "Licence", "Université d'Artois - Site de Lens - Licence - Portail Physique, chimie", "Licence - Sciences - technologies - santé", "", 40, 556, 281, 523, 0, 380, 73, 30, 11, 2, 1, 111, 33, 10, 6, 0, 17, 523, 24, 0, 0, 380, 73, 30, 11, 2, 1, 111, 317, 32, 14, 28, 4, 3.0, 27.0, 31.0, 0, 3, 22, 18, 3, 1, 10, 0, 7, 8, 6, 1, 0.0, 13, 1, 1, 0, 0, 22, 22, 9.38, 84.38, 96.88, 43.796875, 100.0, 100.0, 0, 13.599609375, 68.796875, 0.0, 31.796875, 36.3984375, 27.296875, 4.5, 0.0, 81.796875, 59.09375, 13.599609375, 4.5, 4.5, 4.5, 211.0, 45.0, 2.0, 1.0, 92.0, "Tous les candidats", 663.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "7486", "Licence - Portail Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27782&g_ta_cod=7486", 88.0, 9.0, 3.0),
(10024, "Privé sous contrat d'association", "0754042L", "Lycée Le Rebours", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Le Rebours - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 40, 1454, 634, 1310, 0, 216, 39, 468, 101, 255, 74, 371, 144, 6, 71, 0, 67, 457, 11, 0, 0, 99, 15, 183, 23, 101, 23, 74, 245, 36, 21, 33, 3, 5.0, 18.0, 29.0, 0, 4, 28, 3, 14, 11, 8, 1, 6, 13, 6, 2, 0.0, 1, 11, 9, 1, 1, 6, 27, 13.89, 50.0, 80.56, 58.296875, 21.3984375, 96.390625, 3.599609375, 14.298828125, 77.796875, 3.599609375, 21.3984375, 46.3984375, 21.3984375, 7.1, 0.0, 10.69921875, 3.599609375, 50.0, 39.296875, 39.296875, 32.09375, 62.0, 11.0, 39.0, 8.0, 40.0, "Tous les candidats sauf les Bac professionnels", 295.0, "Bacheliers professionnels toutes séries", 68, "", 0, "Liste d'appel propre à cette formation", 28.0, "9505", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9505&g_ta_cod=9505", 19.0, 47.0, 33.0),
(10025, "Privé enseignement supérieur", "0333326L", "KEDGE BUSINESS SCHOOL - Site de Talence", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Ecole de Commerce", "Banque ECRICOME - Formation des écoles de commerce et de management Bac + 3 - Bachelor Affaires internationales", "Formation des écoles de commerce et de management", "KEDGE Bachelor", 240, 1359, 565, 1312, 0, 1016, 51, 115, 7, 3, 0, 178, 47, 12, 8, 1, 26, 939, 23, 0, 0, 754, 27, 67, 4, 2, 0, 116, 957, 221, 80, 205, 16, 191.0, 205.0, 219.0, 0, 9, 171, 153, 18, 0, 50, 1, 46, 85, 36, 3, 0.0, 109, 15, 0, 0, 0, 87, 87, 86.43, 92.76, 99.1, 36.1953125, 50.8984375, 50.8984375, 0, 5.2998046875, 77.390625, 0.5999755859375, 26.8984375, 49.6953125, 21.09765625, 1.8, 0.0, 89.5, 63.6953125, 10.5, 8.798828125, 0.0, 0.0, 757.0, 27.0, 2.0, 0.0, 129.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "26273", "Formation des écoles de commerce et de management Bac + 3 - Bachelor Affaires internationales", "Banque ECRICOME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26268&g_ta_cod=26273", 90.0, 10.0, 0.0),
(10026, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 105, 720, 326, 695, 0, 514, 107, 60, 19, 16, 4, 105, 25, 3, 0, 1, 21, 694, 24, 0, 0, 514, 107, 60, 19, 16, 4, 104, 501, 93, 34, 86, 7, 31.0, 81.0, 87.0, 0, 20, 72, 66, 4, 2, 21, 0, 24, 31, 15, 2, 0.0, 47, 0, 1, 0, 0, 55, 55, 33.33, 87.1, 93.55, 36.59375, 76.390625, 76.390625, 0, 27.796875, 77.390625, 0.0, 33.296875, 43.09375, 20.796875, 2.8, 0.0, 91.6875, 65.296875, 5.599609375, 0.0, 2.7998046875, 1.39990234375, 387.0, 76.0, 11.0, 1.0, 70.0, "Tous les candidats", 693.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7740", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7740&g_ta_cod=7740", 86.0, 8.0, 5.0),
(10027, "Public", "0300930Y", "I.U.T de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BUT", "I.U.T de Nîmes - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception (Seconde année possible en apprentissage)", "BUT - Production", "Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception", 120, 2583, 496, 2580, 0, 1269, 212, 811, 188, 18, 4, 482, 3, 0, 0, 0, 3, 1554, 0, 0, 0, 845, 116, 530, 96, 0, 0, 179, 821, 125, 24, 125, 0, 20.0, 86.0, 112.0, 0, 28, 117, 60, 57, 0, 8, 0, 14, 74, 28, 1, 0.0, 49, 54, 0, 0, 0, 46, 46, 16.0, 68.8, 89.6, 19.19921875, 39.296875, 39.296875, 0, 23.8984375, 93.59375, 0.0, 12.0, 63.1953125, 23.8984375, 0.9, 0.0, 51.296875, 41.8984375, 48.6953125, 46.1953125, 0.0, 0.0, 423.0, 74.0, 0.0, 0.0, 108.0, "Tous les candidats sauf les Bac technologiques", 757.0, "Bacheliers technologiques toutes séries", 482, "", 0, "Liste d'appel propre à cette formation", 48.0, "3984", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3984&g_ta_cod=3984", 53.0, 47.0, 0.0),
(10028, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Psychologie", "Licence - Sciences humaines et sociales", "", 1000, 10052, 8361, 10052, 0, 4394, 1131, 899, 322, 369, 172, 4390, 0, 0, 0, 0, 0, 10032, 0, 0, 0, 4394, 1131, 899, 322, 369, 172, 4370, 3261, 996, 838, 996, 0, 159.0, 803.0, 915.0, 0, 181, 625, 492, 76, 57, 371, 4, 152, 288, 148, 33, 0.0, 371, 51, 47, 0, 0, 442, 442, 15.96, 80.62, 91.87, 84.09375, 70.6875, 70.6875, 0, 29.0, 62.796875, 0.5999755859375, 24.296875, 46.09375, 23.69921875, 5.3, 0.0, 78.6875, 59.3984375, 12.19921875, 8.19921875, 9.099609375, 7.5, 1884.0, 439.0, 154.0, 72.0, 958.0, "Tous les candidats", 3962.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "4171", "Licence - Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4171&g_ta_cod=4171", 78.0, 11.0, 9.0),
(10029, "Public", "0782556E", "Lycée Léonard de Vinci", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "BTS", "Lycée Léonard de Vinci - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 30, 893, 617, 863, 0, 131, 23, 261, 79, 58, 30, 413, 30, 0, 19, 0, 11, 318, 1, 0, 0, 79, 12, 124, 34, 30, 18, 85, 150, 27, 16, 26, 0, 3.0, 21.0, 26.0, 0, 4, 19, 1, 17, 1, 8, 0, 7, 8, 4, 0, 0.0, 1, 11, 0, 5, 2, 15, 16, 11.11, 77.78, 96.3, 59.296875, 78.890625, 84.1875, 26.296875, 21.09765625, 70.390625, 0.0, 36.796875, 42.09375, 21.09765625, 0.0, 0.0, 5.2998046875, 5.2998046875, 89.5, 57.8984375, 5.2998046875, 0.0, 20.0, 5.0, 7.0, 4.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers technologiques toutes séries", 151, "Bacheliers professionnels toutes séries", 12, "Liste d'appel propre à cette formation", 24.0, "25085", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25085&g_ta_cod=25085", 15.0, 78.0, 7.0),
(10030, "Public", "9730421V", "Lycée polyvalent Leopold Elfort", "973", "Guyane", "Guyane", "Guyane", "Mana", "formation sélective", "BTS", "Lycée polyvalent Leopold Elfort - BTS - Services - Commerce International", "BTS - Services", "", 16, 226, 126, 170, 0, 47, 24, 28, 13, 48, 37, 47, 56, 4, 15, 12, 25, 50, 9, 0, 0, 34, 17, 8, 4, 4, 2, 4, 50, 10, 8, 7, 2, 3.0, 7.0, 8.0, 0, 5, 8, 5, 3, 0, 2, 1, 3, 3, 1, 0, 0.0, 2, 2, 0, 4, 4, 8, 8, 30.0, 70.0, 80.0, 80.0, 100.0, 100.0, 50, 62.5, 80.0, 12.5, 37.5, 37.5, 12.5, 0.0, 0.0, 62.5, 25.0, 37.5, 25.0, 0.0, 0.0, 24.0, 15.0, 9.0, 6.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 29.0, "15850", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15850&g_ta_cod=15850", 70.0, 30.0, 0.0),
(10031, "Public", "0383098L", "La Prépa des INP - Groupe INP - Grenoble", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Ecole d'Ingénieur", "La Prépa des INP - Groupe INP - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 115, 4120, 1319, 4120, 0, 3982, 300, 0, 0, 0, 0, 138, 0, 0, 0, 0, 0, 2912, 0, 0, 0, 2887, 181, 0, 0, 0, 0, 25, 845, 119, 57, 119, 0, 64.0, 109.0, 119.0, 0, 11, 115, 115, 0, 0, 4, 0, 0, 0, 6, 97, 12.0, 115, 0, 0, 0, 0, 64, 64, 53.78, 91.6, 100.0, 47.8984375, 55.6953125, 55.6953125, 0, 9.599609375, 96.59375, 0.0, 0.0, 0.0, 5.19921875, 84.3, 10.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 831.0, 59.0, 0.0, 0.0, 14.0, "Tous les candidats", 1384.0, "Autres formations", 13, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "4", "Formation d'ingénieur Bac + 5 - Bac général", "La Prépa des INP - Groupe INP", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=1&g_ta_cod=4", 100.0, 0.0, 0.0),
(10032, "Privé sous contrat d'association", "9840465H", "Lycée La Mennais", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Papeete", "formation sélective", "BTS", "Lycée La Mennais - BTS - Services - Commerce International", "BTS - Services", "", 25, 175, 100, 165, 0, 58, 7, 43, 10, 20, 7, 44, 10, 3, 2, 0, 5, 46, 3, 0, 0, 24, 3, 12, 2, 3, 1, 7, 46, 11, 9, 10, 1, 3.0, 10.0, 11.0, 0, 1, 6, 2, 4, 0, 5, 0, 2, 3, 1, 0, 0.0, 1, 3, 0, 1, 1, 6, 6, 27.27, 90.91, 100.0, 81.796875, 100.0, 100.0, 16.69921875, 16.69921875, 54.5, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 33.296875, 16.69921875, 66.6875, 50.0, 0.0, 0.0, 23.0, 3.0, 3.0, 1.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers technologiques toutes séries", 15, "Bacheliers professionnels toutes séries", 3, "Liste d'appel propre à cette formation", 28.0, "24257", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24257&g_ta_cod=24257", 55.0, 45.0, 0.0),
(10033, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation sélective", "Autre formation", "Université Gustave Eiffel - Diplôme d'Université CAES - PrépaRéo", "Diplôme d'Université", "PrépaRéo", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 74, 18, 4, 0, 0, 0.0, 0.0, 9.0, 0, 7, 18, 17, 1, 0, 0, 0, 17, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 18, 18, 0.0, 0.0, 50.0, 22.19921875, 100.0, 100.0, 0, 38.8984375, 100.0, 0.0, 94.390625, 5.599609375, 0.0, 0.0, 0.0, 94.390625, 0.0, 5.599609375, 5.599609375, 0.0, 0.0, 59.0, 18.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25761", "Diplôme d'Université CAES - PrépaRéo", "", "", 94.0, 6.0, 0.0),
(10034, "Public", "0341143H", "Polytech Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 160, 9036, 2478, 9036, 0, 8043, 740, 0, 0, 0, 0, 993, 0, 0, 0, 0, 0, 6232, 0, 0, 0, 5885, 409, 0, 0, 0, 0, 347, 2882, 170, 46, 170, 0, 95.0, 151.0, 170.0, 0, 32, 168, 168, 0, 0, 2, 0, 0, 13, 92, 62, 1.0, 168, 0, 0, 0, 0, 99, 99, 55.88, 88.82, 100.0, 27.09765625, 58.8984375, 58.8984375, 0, 19.0, 98.796875, 0.0, 0.0, 7.69921875, 54.796875, 36.9, 0.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 2776.0, 267.0, 0.0, 0.0, 106.0, "Autres candidats", 7630.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "12", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=12", 100.0, 0.0, 0.0),
(10035, "Public", "0932031C", "Lycée Charles De Gaulle", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Rosny-sous-Bois", "formation sélective", "BTS", "Lycée Charles De Gaulle - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1980, 1002, 1980, 0, 137, 49, 642, 301, 545, 305, 656, 0, 0, 0, 0, 0, 1804, 0, 0, 0, 116, 41, 642, 301, 545, 305, 501, 147, 33, 17, 33, 0, 1.0, 26.0, 31.0, 0, 15, 32, 4, 12, 16, 1, 0, 9, 18, 3, 2, 0.0, 1, 8, 14, 0, 0, 31, 32, 3.03, 78.79, 93.94, 51.5, 96.890625, 100.0, 0, 46.8984375, 97.0, 0.0, 28.09765625, 56.296875, 9.3984375, 6.3, 0.0, 12.5, 3.099609375, 37.5, 25.0, 50.0, 43.796875, 25.0, 9.0, 56.0, 33.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 103, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 10.0, "11323", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11323&g_ta_cod=11323", 12.0, 36.0, 52.0),
(10036, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", "", 215, 9151, 4429, 9151, 0, 6490, 1434, 462, 194, 41, 24, 2158, 0, 0, 0, 0, 0, 9151, 0, 0, 0, 6490, 1434, 462, 194, 41, 24, 2158, 2004, 203, 100, 203, 0, 19.0, 131.0, 176.0, 0, 32, 175, 175, 0, 0, 28, 0, 7, 69, 77, 22, 0.0, 168, 0, 0, 0, 0, 36, 116, 9.36, 64.53, 86.7, 49.296875, 20.59765625, 66.296875, 0, 18.296875, 86.1875, 0.0, 4.0, 39.3984375, 44.0, 12.6, 0.0, 100.0, 96.0, 0.0, 0.0, 0.0, 0.0, 1895.0, 390.0, 0.0, 0.0, 109.0, "Tous les candidats", 3075.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "9323", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26809&g_ta_cod=9323", 100.0, 0.0, 0.0),
(10037, "Public", "0772347H", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lieusaint", "formation sélective", "BUT", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC - BUT - Génie industriel et maintenance Parcours : I.S.P. : Ingénierie des Systèmes Pluri-techniques - 3.M.I. : Management, Méthodes et Maintenance Innovante", "BUT - Production", "I.S.P. : Ingénierie des Systèmes Pluri-techniques - 3.M.I. : Management, Méthodes et Maintenance Innovante", 58, 545, 39, 401, 0, 138, 28, 155, 29, 12, 6, 96, 144, 47, 29, 1, 67, 151, 32, 0, 0, 61, 8, 70, 11, 3, 0, 17, 173, 55, 5, 35, 20, 23.0, 34.0, 45.0, 0, 11, 50, 26, 24, 0, 5, 0, 25, 20, 3, 2, 0.0, 9, 16, 0, 0, 0, 24, 49, 41.82, 61.82, 81.82, 9.099609375, 48.0, 98.0, 0, 22.0, 90.890625, 0.0, 50.0, 40.0, 6.0, 4.0, 0.0, 52.0, 18.0, 48.0, 32.0, 0.0, 0.0, 71.0, 11.0, 3.0, 0.0, 25.0, "Tous les candidats sauf les Bac technologiques", 79.0, "Bacheliers technologiques toutes séries", 70, "", 0, "Liste d'appel propre à cette formation", 37.0, "9894", "BUT - Génie industriel et maintenance Parcours : I.S.P. : Ingénierie des Systèmes Pluri-techniques - 3.M.I. : Management, Méthodes et Maintenance Innovante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9894&g_ta_cod=9894", 53.0, 47.0, 0.0),
(10038, "Public", "0330027A", "Lycée Francois Mauriac", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Francois Mauriac - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 2065, 1064, 2016, 0, 235, 49, 715, 254, 567, 230, 499, 49, 0, 18, 14, 17, 673, 2, 0, 0, 76, 9, 151, 45, 295, 111, 151, 248, 29, 18, 25, 1, 5.0, 16.0, 21.0, 0, 4, 15, 2, 4, 9, 14, 0, 4, 10, 1, 0, 0.0, 1, 3, 7, 1, 1, 11, 11, 17.24, 55.17, 72.41, 62.09375, 73.296875, 73.296875, 6.69921875, 26.69921875, 51.6953125, 0.0, 26.69921875, 66.6875, 6.69921875, 0.0, 0.0, 13.298828125, 6.69921875, 26.69921875, 20.0, 60.0, 46.6953125, 17.0, 9.0, 121.0, 40.0, 54.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 162, "Bacheliers technologiques toutes séries", 123, "Liste d'appel propre à cette formation", 16.0, "4283", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4283&g_ta_cod=4283", 17.0, 24.0, 59.0),
(10039, "Public", "0750655E", "Lycée Louis Le Grand", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "CPGE", "Lycée Louis Le Grand - CPGE - MPSI", "Classe préparatoire scientifique", "", 136, 7073, 2160, 7073, 5238, 6240, 598, 4, 2, 1, 1, 828, 0, 0, 0, 0, 0, 597, 0, 465, 578, 573, 64, 0, 0, 0, 0, 24, 287, 136, 24, 136, 0, 55.0, 115.0, 127.0, 56, 19, 120, 120, 0, 0, 16, 4, 0, 0, 3, 47, 66.0, 116, 0, 0, 27, 7, 47, 68, 40.44, 84.56, 93.38, 17.59765625, 39.1953125, 56.6953125, 22.5, 15.798828125, 88.1875, 3.2998046875, 0.0, 0.0, 2.5, 39.2, 55.0, 100.0, 96.6875, 0.0, 0.0, 0.0, 0.0, 266.0, 33.0, 0.0, 0.0, 21.0, "Tous les candidats", 313.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "8974", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8974&g_ta_cod=8974", 100.0, 0.0, 0.0),
(10040, "Privé sous contrat d'association", "0592965C", "Lycée Industriel et Commercial", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Industriel et Commercial - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 50, 583, 234, 514, 0, 57, 15, 154, 64, 155, 82, 148, 69, 4, 18, 14, 33, 252, 12, 0, 0, 49, 10, 117, 44, 56, 20, 30, 117, 41, 14, 34, 6, 13.0, 25.0, 31.0, 0, 14, 33, 3, 15, 15, 8, 0, 5, 20, 6, 2, 0.0, 3, 11, 14, 16, 4, 32, 32, 31.71, 60.98, 75.61, 34.09375, 97.0, 97.0, 48.5, 42.3984375, 80.5, 0.0, 15.19921875, 60.59375, 18.19921875, 6.1, 0.0, 9.099609375, 9.099609375, 45.5, 33.296875, 45.5, 42.3984375, 15.0, 3.0, 39.0, 13.0, 15.0, "Tous les candidats sauf les Bac professionnels", 137.0, "Bacheliers professionnels toutes séries", 53, "", 0, "Liste d'appel propre à cette formation", 37.0, "6920", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6920&g_ta_cod=6920", 20.0, 44.0, 37.0),
(10041, "Public", "0441513F", "Unite de formation et de recherches Médecine et techniques médicales Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Regroupement Bretagne, Pays de la Loire et Centre-Val de Loire - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 45, 2757, 2666, 2757, 0, 923, 91, 28, 5, 1, 1, 1805, 0, 0, 0, 0, 0, 1758, 0, 0, 0, 776, 63, 14, 3, 1, 1, 967, 181, 45, 45, 45, 0, 10.0, 42.0, 43.0, 0, 0, 14, 14, 0, 0, 31, 0, 0, 1, 6, 6, 1.0, 14, 0, 0, 0, 0, 4, 4, 22.22, 93.33, 95.56, 100.0, 28.59765625, 28.59765625, 0, 0.0, 31.09765625, 0.0, 0.0, 7.099609375, 42.8984375, 42.9, 7.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 84.0, 9.0, 0.0, 0.0, 97.0, "Tous les candidats", 238.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 8.0, "28043", "Certificat de capacité d'Orthophoniste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28043&g_ta_cod=28043", 100.0, 0.0, 0.0),
(10042, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence_Las", "Université de Brest - Licence - Portail Philosophie", "Licence - Sciences humaines et sociales", "", 20, 175, 132, 75, 0, 44, 5, 2, 0, 1, 1, 28, 100, 34, 6, 0, 60, 75, 96, 0, 0, 44, 5, 2, 0, 1, 1, 28, 155, 15, 9, 3, 12, 1.0, 3.0, 8.0, 0, 0, 4, 3, 1, 0, 11, 0, 3, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 6.67, 20.0, 53.33, 60.0, 50.0, 50.0, 0, 0.0, 26.69921875, 0.0, 75.0, 0.0, 25.0, 0.0, 0.0, 75.0, 25.0, 25.0, 0.0, 0.0, 0.0, 71.0, 8.0, 0.0, 0.0, 78.0, "Tous les candidats", 249.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27591", "Licence - Portail Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27590&g_ta_cod=27591", 60.0, 33.0, 7.0),
(10043, "Public", "0560025Y", "Lycée Dupuy De Lôme", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BTS", "Lycée Dupuy De Lôme - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 456, 221, 455, 0, 52, 12, 140, 29, 79, 38, 184, 1, 1, 0, 0, 0, 328, 0, 0, 0, 45, 8, 135, 26, 61, 28, 87, 150, 32, 12, 32, 0, 5.0, 27.0, 31.0, 0, 7, 18, 0, 9, 9, 14, 0, 4, 8, 6, 0, 0.0, 0, 6, 8, 2, 0, 17, 17, 15.63, 84.38, 96.88, 37.5, 94.390625, 94.390625, 11.099609375, 38.8984375, 56.296875, 0.0, 22.19921875, 44.3984375, 33.296875, 0.0, 0.0, 0.0, 0.0, 50.0, 33.296875, 50.0, 44.3984375, 19.0, 6.0, 38.0, 16.0, 46.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 162, "Liste d'appel propre à cette formation", 67.0, "6424", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6424&g_ta_cod=6424", 19.0, 50.0, 31.0),
(10044, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues étrangères appliquées - Parcours LEA Anglais - Arabe", "Licence - Arts-lettres-langues", "LEA Anglais - Arabe", 30, 297, 227, 297, 0, 106, 59, 22, 14, 15, 9, 154, 0, 0, 0, 0, 0, 277, 0, 0, 0, 106, 59, 22, 14, 15, 9, 134, 63, 30, 24, 30, 0, 10.0, 27.0, 28.0, 0, 12, 26, 24, 1, 1, 4, 0, 8, 11, 7, 0, 0.0, 16, 1, 1, 0, 0, 4, 23, 33.33, 90.0, 93.33, 80.0, 15.3984375, 88.5, 0, 46.1953125, 86.6875, 0.0, 30.796875, 42.296875, 26.8984375, 0.0, 0.0, 92.296875, 61.5, 3.7998046875, 3.7998046875, 3.7998046875, 3.7998046875, 46.0, 23.0, 1.0, 0.0, 15.0, "Tous les candidats", 68.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "9235", "Licence - Langues étrangères appliquées - Parcours LEA Anglais - Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9235&g_ta_cod=9235", 93.0, 3.0, 3.0),
(10045, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Gestion - Parcours Sciences de Gestion", "Licence - Droit-économie-gestion", "Sciences de Gestion", 165, 1306, 650, 1306, 0, 873, 134, 127, 43, 14, 9, 292, 0, 0, 0, 0, 0, 1276, 0, 0, 0, 873, 134, 127, 43, 14, 9, 262, 703, 162, 65, 162, 0, 12.0, 117.0, 142.0, 0, 32, 124, 116, 8, 0, 38, 0, 53, 55, 15, 1, 0.0, 68, 3, 0, 0, 0, 114, 114, 7.41, 72.22, 87.65, 40.09375, 91.890625, 91.890625, 0, 25.796875, 76.5, 0.0, 42.6953125, 44.3984375, 12.099609375, 0.8, 0.0, 93.5, 54.796875, 6.5, 2.39990234375, 0.0, 0.0, 559.0, 99.0, 3.0, 2.0, 123.0, "Tous les candidats", 883.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "4887", "Licence - Gestion - Parcours Sciences de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4887&g_ta_cod=4887", 94.0, 6.0, 1.0),
(10046, "Public", "0910627M", "Lycée Jean Baptiste Corot", "91", "Essonne", "Ile-de-France", "Versailles", "Savigny-sur-Orge", "formation sélective", "BTS", "Lycée Jean Baptiste Corot - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 36, 1358, 657, 1358, 0, 58, 19, 512, 174, 465, 191, 323, 0, 0, 0, 0, 0, 653, 0, 0, 0, 58, 19, 216, 65, 247, 96, 132, 152, 37, 24, 37, 0, 17.0, 33.0, 35.0, 0, 9, 28, 3, 14, 11, 9, 0, 6, 16, 4, 2, 0.0, 3, 10, 9, 3, 2, 24, 26, 45.95, 89.19, 94.59, 64.890625, 85.6875, 92.890625, 10.69921875, 32.09375, 75.6875, 0.0, 21.3984375, 57.09375, 14.298828125, 7.1, 0.0, 10.69921875, 10.69921875, 50.0, 35.6953125, 39.296875, 32.09375, 7.0, 5.0, 65.0, 19.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 96, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 14.0, "10867", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10867&g_ta_cod=10867", 14.0, 43.0, 43.0),
(10047, "Public", "0594391C", "E.S.AA.T.", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "Autre formation", "E.S.AA.T. - DN MADE - Objet - - Spécialité : Design et société", "DN MADE", "- Spécialité : Design et société", 16, 288, 174, 288, 0, 136, 20, 66, 8, 15, 9, 71, 0, 0, 0, 0, 0, 132, 0, 0, 0, 74, 6, 48, 3, 0, 0, 10, 70, 15, 10, 15, 0, 1.0, 14.0, 15.0, 0, 1, 14, 10, 4, 0, 1, 0, 0, 5, 5, 4, 0.0, 10, 4, 0, 0, 0, 7, 7, 6.67, 93.33, 100.0, 66.6875, 50.0, 50.0, 0, 7.099609375, 93.296875, 0.0, 0.0, 35.6953125, 35.6953125, 28.6, 0.0, 71.390625, 71.390625, 28.59765625, 28.59765625, 0.0, 0.0, 36.0, 4.0, 0.0, 0.0, 4.0, "Tous les candidats", 113.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "24721", "DN MADE - Objet - - Spécialité : Design et société", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24721&g_ta_cod=24721", 67.0, 27.0, 0.0),
(10048, "Privé sous contrat d'association", "0301631K", "IFME (institut de formations aux métiers éducatifs) de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "EFTS", "IFME (institut de formations aux métiers éducatifs) de Nîmes - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 17, 298, 284, 298, 0, 41, 7, 53, 11, 49, 20, 155, 0, 0, 0, 0, 0, 75, 0, 0, 0, 3, 1, 5, 0, 2, 2, 65, 35, 18, 17, 18, 0, 5.0, 18.0, 18.0, 0, 2, 3, 2, 0, 1, 15, 0, 1, 2, 0, 0, 0.0, 1, 0, 1, 0, 0, 1, 1, 27.78, 100.0, 100.0, 94.390625, 33.296875, 33.296875, 0, 66.6875, 16.69921875, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 33.296875, 33.296875, 2.0, 1.0, 1.0, 1.0, 32.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "30863", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30863&g_ta_cod=30863", 61.0, 22.0, 17.0),
(10049, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales", "Licence - Sciences - technologies - santé", "", 150, 753, 288, 689, 0, 388, 98, 44, 16, 6, 4, 251, 64, 9, 3, 0, 52, 688, 58, 0, 0, 388, 98, 44, 16, 6, 4, 250, 745, 149, 56, 112, 37, 110.0, 111.0, 130.0, 0, 17, 56, 43, 10, 3, 93, 0, 31, 14, 6, 5, 0.0, 21, 3, 1, 0, 0, 22, 22, 73.83, 74.5, 87.25, 37.59375, 39.296875, 39.296875, 0, 30.3984375, 37.59375, 0.0, 55.3984375, 25.0, 10.69921875, 8.9, 0.0, 76.796875, 37.5, 17.8984375, 5.3994140625, 5.3994140625, 1.7998046875, 397.0, 98.0, 6.0, 4.0, 295.0, "Tous les candidats", 688.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4170", "Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4170&g_ta_cod=4170", 79.0, 15.0, 5.0),
(10050, "Public", "0750653C", "Lycée Sophie Germain", "75", "Paris", "Ile-de-France", "Paris", "Paris  4e  Arrondissement", "formation sélective", "BTS", "Lycée Sophie Germain - BTS - Services - Communication", "BTS - Services", "", 30, 3244, 2330, 3244, 0, 581, 128, 1136, 430, 366, 155, 1161, 0, 0, 0, 0, 0, 962, 0, 0, 0, 74, 14, 274, 121, 366, 155, 248, 121, 29, 22, 29, 0, 3.0, 21.0, 28.0, 0, 7, 21, 2, 14, 5, 8, 0, 1, 7, 12, 1, 0.0, 1, 14, 5, 0, 0, 1, 21, 10.34, 72.41, 96.55, 75.890625, 4.7998046875, 100.0, 0, 33.296875, 72.390625, 0.0, 4.7998046875, 33.296875, 57.09375, 4.8, 0.0, 9.5, 4.7998046875, 66.6875, 66.6875, 23.796875, 23.796875, 13.0, 4.0, 15.0, 5.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 144, "Liste d'appel propre à cette formation", 8.0, "8963", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8963&g_ta_cod=8963", 24.0, 55.0, 21.0),
(10051, "Public", "0840607D", "Lycée agricole LOUIS GIRAUD", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Carpentras", "formation sélective", "BTS", "Lycée agricole LOUIS GIRAUD - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 16, 225, 53, 216, 0, 39, 10, 55, 7, 61, 9, 61, 9, 2, 4, 1, 2, 168, 3, 0, 0, 39, 10, 54, 6, 61, 9, 14, 84, 13, 2, 12, 1, 2.0, 7.0, 12.0, 0, 1, 13, 5, 2, 6, 0, 0, 4, 7, 2, 0, 0.0, 3, 2, 4, 1, 0, 9, 9, 15.38, 53.85, 92.31, 15.3984375, 69.1875, 69.1875, 7.69921875, 7.69921875, 100.0, 0.0, 30.796875, 53.796875, 15.3984375, 0.0, 0.0, 38.5, 23.09765625, 15.3984375, 15.3984375, 46.1953125, 30.796875, 19.0, 4.0, 27.0, 4.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 75.0, "10441", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10441&g_ta_cod=10441", 38.0, 15.0, 46.0),
(10052, "Privé sous contrat d'association", "0341523W", "Lycée Saint-Joseph", "34", "Hérault", "Occitanie", "Montpellier", "Sète", "formation sélective", "BTS", "Lycée Saint-Joseph - BTS - Services - Commerce International", "BTS - Services", "", 20, 452, 247, 373, 0, 115, 29, 98, 36, 53, 18, 107, 79, 16, 19, 0, 44, 139, 9, 0, 0, 51, 16, 43, 14, 31, 12, 14, 99, 19, 6, 14, 5, 2.0, 11.0, 17.0, 0, 4, 16, 7, 5, 4, 3, 0, 5, 10, 1, 0, 0.0, 5, 2, 4, 5, 1, 13, 13, 10.53, 57.89, 89.47, 31.59765625, 81.296875, 81.296875, 31.296875, 25.0, 84.1875, 0.0, 31.296875, 62.5, 6.2998046875, 0.0, 0.0, 43.796875, 31.296875, 31.296875, 12.5, 25.0, 25.0, 31.0, 10.0, 20.0, 8.0, 17.0, "Tous les candidats sauf les Bac professionnels", 106.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 37.0, "4596", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4596&g_ta_cod=4596", 47.0, 32.0, 21.0),
(10053, "Public", "0190612M", "I.U.T du Limousin - site d'Egletons", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Egletons", "formation sélective", "BUT", "I.U.T du Limousin - site d'Egletons - BUT - Génie civil - Construction durable Parcours : Travaux bâtiment - Travaux publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études conception", "BUT - Production", "Travaux bâtiment - Travaux publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études conception", 94, 1180, 195, 1180, 0, 627, 57, 396, 64, 13, 0, 144, 0, 0, 0, 0, 0, 698, 0, 0, 0, 380, 26, 246, 26, 3, 0, 69, 427, 95, 14, 95, 0, 10.0, 73.0, 85.0, 0, 4, 92, 51, 41, 0, 3, 0, 10, 55, 25, 2, 0.0, 43, 39, 0, 0, 0, 15, 15, 10.53, 76.84, 89.47, 14.69921875, 16.296875, 16.296875, 0, 4.2998046875, 96.796875, 0.0, 10.8984375, 59.796875, 27.19921875, 2.2, 0.0, 55.3984375, 46.6953125, 44.59375, 42.3984375, 0.0, 0.0, 221.0, 22.0, 1.0, 0.0, 45.0, "Tous les candidats sauf les Bac technologiques", 332.0, "Bacheliers technologiques toutes séries", 236, "", 0, "Liste d'appel propre à cette formation", 48.0, "3162", "BUT - Génie civil - Construction durable Parcours : Travaux bâtiment - Travaux publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études conception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3162&g_ta_cod=3162", 56.0, 44.0, 0.0),
(10054, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - Licence - Double diplôme - Licence Droit - DU « Criminologie »", "Licence - Droit-économie-gestion", "DU « Criminologie »", 22, 1223, 1094, 1223, 0, 892, 137, 60, 15, 19, 6, 252, 0, 0, 0, 0, 0, 1059, 0, 0, 0, 821, 119, 48, 12, 13, 4, 177, 71, 21, 21, 21, 0, 5.0, 21.0, 21.0, 0, 2, 21, 20, 0, 1, 0, 0, 0, 3, 13, 5, 0.0, 20, 0, 1, 0, 0, 10, 10, 23.81, 100.0, 100.0, 100.0, 47.59375, 47.59375, 0, 9.5, 100.0, 0.0, 0.0, 14.298828125, 61.8984375, 23.8, 0.0, 95.1875, 95.1875, 0.0, 0.0, 4.7998046875, 4.7998046875, 68.0, 9.0, 1.0, 0.0, 0.0, "Tous les candidats", 88.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "31736", "Licence - Double diplôme - Licence Droit - DU « Criminologie »", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31736&g_ta_cod=31736", 95.0, 0.0, 5.0),
(10055, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences humaines et sociales", "", 594, 3565, 1095, 3565, 0, 2229, 312, 427, 105, 127, 35, 782, 0, 0, 0, 0, 0, 3562, 0, 0, 0, 2229, 312, 427, 105, 127, 35, 779, 1378, 592, 157, 592, 0, 244.0, 471.0, 524.0, 0, 82, 488, 412, 41, 35, 104, 19, 175, 202, 76, 16, 0.0, 249, 20, 25, 0, 0, 472, 472, 41.22, 79.56, 88.51, 26.5, 96.6875, 96.6875, 0, 16.796875, 82.390625, 3.89990234375, 35.8984375, 41.3984375, 15.599609375, 3.3, 0.0, 84.390625, 51.0, 8.3984375, 4.099609375, 7.19921875, 5.099609375, 822.0, 137.0, 62.0, 13.0, 404.0, "Tous les candidats", 1447.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "9701", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30865&g_ta_cod=9701", 84.0, 9.0, 7.0),
(10056, "Public", "0740006E", "Lycée Louis Lachenal", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Argonay", "formation sélective", "BTS", "Lycée Louis Lachenal - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 24, 278, 16, 278, 0, 50, 4, 99, 9, 86, 13, 43, 0, 0, 0, 0, 0, 244, 0, 0, 0, 49, 4, 94, 8, 82, 12, 19, 140, 20, 1, 20, 0, 4.0, 14.0, 18.0, 0, 4, 19, 1, 9, 9, 1, 0, 9, 9, 1, 0, 0.0, 0, 3, 7, 0, 0, 15, 15, 20.0, 70.0, 90.0, 5.0, 78.890625, 78.890625, 0, 21.09765625, 95.0, 0.0, 47.3984375, 47.3984375, 5.2998046875, 0.0, 0.0, 5.2998046875, 0.0, 47.3984375, 15.798828125, 47.3984375, 36.796875, 13.0, 2.0, 58.0, 10.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 92, "Liste d'appel propre à cette formation", 71.0, "8859", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8859&g_ta_cod=8859", 5.0, 50.0, 45.0),
(10057, "Public", "0134016V", "Aix Marseille Université - Site d'Aix-en-Provence (Jules Ferry)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence_Las", "Aix Marseille Université - Site d'Aix-en-Provence (Jules Ferry) - Licence - Portail Administration économique et sociale - Economie et Gestion - Gestion", "Licence - Droit-économie-gestion", "Administration économique et sociale - Economie et Gestion - Gestion", 45, 1006, 568, 1006, 0, 592, 159, 83, 39, 25, 13, 306, 0, 0, 0, 0, 0, 975, 0, 0, 0, 592, 159, 83, 39, 25, 13, 275, 361, 43, 23, 43, 0, 0.0, 23.0, 34.0, 0, 10, 27, 26, 1, 0, 16, 0, 9, 10, 8, 0, 0.0, 17, 1, 0, 0, 0, 21, 21, 0.0, 53.49, 79.07, 53.5, 77.796875, 77.796875, 0, 37.0, 62.796875, 0.0, 33.296875, 37.0, 29.59765625, 0.0, 0.0, 96.296875, 63.0, 3.69970703125, 3.69970703125, 0.0, 0.0, 255.0, 75.0, 1.0, 1.0, 104.0, "Tous les candidats", 3161.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 58.0, "28492", "Licence - Portail Administration économique et sociale - Economie et Gestion - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28491&g_ta_cod=28492", 95.0, 5.0, 0.0),
(10058, "Public", "0501528P", "IFSI CH Mémorial Feu Saint-Lo", "50", "Manche", "Normandie", "Normandie", "Saint-Lô", "formation sélective", "IFSI", "Regroupement d'IFSI Université Caen - D.E Infirmier", "D.E secteur sanitaire", "", 55, 2502, 2109, 2502, 0, 462, 69, 541, 99, 343, 107, 1156, 0, 0, 0, 0, 0, 2387, 0, 0, 0, 461, 69, 526, 95, 318, 103, 1082, 549, 55, 45, 55, 0, 1.0, 25.0, 44.0, 0, 9, 39, 21, 11, 7, 16, 0, 9, 17, 11, 2, 0.0, 13, 10, 7, 0, 0, 33, 33, 1.82, 45.45, 80.0, 81.796875, 84.59375, 84.59375, 0, 23.09765625, 70.890625, 0.0, 23.09765625, 43.59375, 28.19921875, 5.1, 0.0, 53.796875, 33.296875, 28.19921875, 25.59765625, 17.8984375, 17.8984375, 184.0, 29.0, 42.0, 13.0, 215.0, "Tous les candidats", 1520.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "23099", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23094&g_ta_cod=23099", 62.0, 25.0, 13.0),
(10059, "Public", "0851390Z", "Lycée Leonard de Vinci", "85", "Vendée", "Pays de la Loire", "Nantes", "Montaigu-Vendée", "formation sélective", "Autre formation", "Lycée Leonard de Vinci - DN MADE - Graphisme - - Spécialité : Design d'identité multisupports", "DN MADE", "- Spécialité : Design d'identité multisupports", 15, 599, 399, 599, 0, 238, 52, 121, 19, 88, 23, 152, 0, 0, 0, 0, 0, 128, 0, 0, 0, 61, 7, 43, 7, 10, 1, 14, 49, 14, 13, 14, 0, 2.0, 10.0, 12.0, 0, 4, 12, 5, 6, 1, 2, 0, 1, 4, 5, 2, 0.0, 5, 5, 1, 0, 0, 10, 10, 14.29, 71.43, 85.71, 92.890625, 83.296875, 83.296875, 0, 33.296875, 85.6875, 0.0, 8.298828125, 33.296875, 41.6953125, 16.7, 0.0, 41.6953125, 41.6953125, 50.0, 41.6953125, 8.298828125, 8.298828125, 20.0, 4.0, 1.0, 1.0, 8.0, "Tous les candidats", 62.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "24248", "DN MADE - Graphisme - - Spécialité : Design d'identité multisupports", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24248&g_ta_cod=24248", 50.0, 43.0, 7.0),
(10060, "Public", "0510068X", "Lycée Stéphane Hessel", "51", "Marne", "Grand Est", "Reims", "Epernay", "formation sélective", "BTS", "Lycée Stéphane Hessel - BTS - Services - Professions immobilières", "BTS - Services", "", 24, 635, 373, 635, 0, 158, 41, 149, 42, 130, 46, 198, 0, 0, 0, 0, 0, 635, 0, 0, 0, 158, 41, 149, 42, 130, 46, 198, 104, 21, 11, 21, 0, 3.0, 13.0, 17.0, 0, 7, 20, 7, 7, 6, 1, 0, 6, 11, 2, 1, 0.0, 5, 5, 4, 3, 1, 14, 14, 14.29, 61.9, 80.95, 52.3984375, 70.0, 70.0, 15, 35.0, 95.1875, 0.0, 30.0, 55.0, 10.0, 5.0, 0.0, 35.0, 25.0, 35.0, 25.0, 30.0, 20.0, 35.0, 11.0, 27.0, 12.0, 11.0, "Tous les candidats sauf les Bac professionnels", 105.0, "Bacheliers professionnels toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 23.0, "15976", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15976&g_ta_cod=15976", 38.0, 33.0, 29.0),
(10061, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Portail Santé et société - Santé et sciences humaines et sociales", "Licence - Sciences humaines et sociales", "Santé et sciences humaines et sociales", 35, 873, 758, 873, 0, 391, 98, 143, 58, 13, 5, 326, 0, 0, 0, 0, 0, 873, 0, 0, 0, 391, 98, 143, 58, 13, 5, 326, 296, 34, 30, 34, 0, 0.0, 7.0, 24.0, 0, 9, 19, 12, 7, 0, 15, 0, 6, 8, 3, 2, 0.0, 10, 3, 0, 0, 0, 16, 18, 0.0, 20.59, 70.59, 88.1875, 84.1875, 94.6875, 0, 47.3984375, 55.8984375, 0.0, 31.59765625, 42.09375, 15.798828125, 10.5, 0.0, 63.1953125, 52.59375, 36.796875, 15.798828125, 0.0, 0.0, 137.0, 42.0, 3.0, 2.0, 137.0, "Tous les candidats", 694.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 43.0, "28857", "Licence - Portail Santé et société - Santé et sciences humaines et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28858&g_ta_cod=28857", 68.0, 29.0, 3.0),
(10062, "Public", "0920138A", "Lycée Paul Lapie", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Courbevoie", "formation sélective", "BTS", "Lycée Paul Lapie - BTS - Services - Assurance", "BTS - Services", "", 35, 1054, 562, 1054, 0, 70, 28, 399, 181, 257, 125, 328, 0, 0, 0, 0, 0, 603, 0, 0, 0, 61, 22, 167, 68, 257, 125, 118, 198, 35, 16, 35, 0, 3.0, 25.0, 31.0, 0, 15, 31, 2, 17, 12, 4, 0, 18, 11, 2, 0, 0.0, 0, 6, 7, 0, 0, 20, 31, 8.57, 71.43, 88.57, 45.6953125, 64.5, 100.0, 0, 48.3984375, 88.59375, 0.0, 58.09375, 35.5, 6.5, 0.0, 0.0, 6.5, 0.0, 54.796875, 19.3984375, 38.6953125, 22.59765625, 3.0, 3.0, 56.0, 19.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 106, "Bacheliers technologiques toutes séries", 175, "Liste d'appel propre à cette formation", 28.0, "10998", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10998&g_ta_cod=10998", 6.0, 60.0, 34.0),
(10063, "Privé sous contrat d'association", "0350797B", "Lycée Jeanne d'Arc", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Jeanne d'Arc - BTS - Services - Commerce International", "BTS - Services", "", 35, 530, 302, 526, 0, 186, 20, 200, 22, 41, 12, 99, 4, 0, 0, 2, 2, 316, 0, 0, 0, 126, 11, 120, 11, 20, 8, 50, 109, 39, 26, 39, 0, 8.0, 33.0, 37.0, 0, 12, 32, 9, 19, 4, 7, 0, 0, 17, 14, 1, 0.0, 9, 19, 4, 4, 2, 31, 31, 20.51, 84.62, 94.87, 66.6875, 96.890625, 96.890625, 12.5, 37.5, 82.09375, 0.0, 0.0, 53.09375, 43.796875, 3.1, 0.0, 28.09765625, 28.09765625, 59.3984375, 59.3984375, 12.5, 12.5, 27.0, 4.0, 17.0, 8.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 27.0, "20153", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20153&g_ta_cod=20153", 31.0, 56.0, 13.0),
(10064, "Public", "0570140T", "ENIM Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 124, 4380, 1002, 4369, 0, 3800, 316, 0, 0, 0, 0, 569, 11, 8, 0, 0, 3, 2905, 2, 0, 0, 2714, 169, 0, 0, 0, 0, 191, 2587, 100, 13, 100, 0, 38.0, 81.0, 100.0, 0, 5, 95, 95, 0, 0, 5, 0, 2, 38, 49, 6, 0.0, 93, 0, 0, 0, 0, 50, 50, 38.0, 81.0, 100.0, 13.0, 52.59375, 52.59375, 0, 5.2998046875, 95.0, 0.0, 2.099609375, 40.0, 51.59375, 6.3, 0.0, 100.0, 97.890625, 0.0, 0.0, 0.0, 0.0, 2406.0, 169.0, 0.0, 0.0, 181.0, "Autres candidats", 13679.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 66.0, "41", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=41", 100.0, 0.0, 0.0),
(10065, "Public", "0622949U", "Lycée Mariette", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "Autre formation", "Lycée Mariette - Mention complémentaire - Dispositif SAS - Préparation à l'apprentissage", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 13, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.0, 0.0, 9.0, 4.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25689", "Mention complémentaire - Dispositif SAS - Préparation à l'apprentissage", "", "", 0, 0, 0),
(10066, "Privé sous contrat d'association", "0754030Y", "Lycée Albert de Mun", "75", "Paris", "Ile-de-France", "Paris", "Paris  7e  Arrondissement", "formation sélective", "Autre formation", "Lycée Albert de Mun - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 26, 268, 128, 268, 0, 111, 9, 41, 3, 26, 8, 90, 0, 0, 0, 0, 0, 268, 0, 0, 0, 111, 9, 41, 3, 26, 8, 90, 142, 28, 17, 28, 0, 5.0, 21.0, 24.0, 0, 3, 21, 8, 6, 7, 7, 2, 9, 6, 4, 0, 0.0, 4, 1, 5, 0, 0, 7, 17, 17.86, 75.0, 85.71, 60.6953125, 33.296875, 81.0, 0, 14.298828125, 75.0, 9.5, 42.8984375, 28.59765625, 19.0, 0.0, 0.0, 38.09375, 19.0, 28.59765625, 4.7998046875, 33.296875, 23.796875, 73.0, 4.0, 18.0, 5.0, 27.0, "Tous les candidats", 182.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "9500", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9500&g_ta_cod=9500", 46.0, 21.0, 32.0),
(10067, "Privé sous contrat d'association", "0590348H", "HEI Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 350, 3006, 783, 2969, 0, 2959, 195, 0, 0, 0, 0, 10, 37, 33, 0, 0, 4, 2708, 13, 0, 0, 2704, 153, 0, 0, 0, 0, 4, 2583, 245, 64, 238, 7, 186.0, 238.0, 244.0, 0, 19, 243, 243, 0, 0, 2, 0, 15, 107, 100, 19, 2.0, 228, 0, 0, 0, 0, 134, 134, 75.92, 97.14, 99.59, 26.09765625, 55.09375, 55.09375, 0, 7.7998046875, 99.1875, 0.0, 6.19921875, 44.0, 41.1953125, 7.8, 0.8, 100.0, 93.796875, 0.0, 0.0, 0.0, 0.0, 2578.0, 154.0, 0.0, 0.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "83", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=83", 100.0, 0.0, 0.0),
(10068, "Privé sous contrat d'association", "0031125G", "Institut Supérieur de Rééducation Psychomotrice Vichy", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Vichy", "formation sélective", "Autre formation", "Institut supérieur de rééducation psychomotrice - D.E Psychomotricien", "D.E secteur sanitaire", "", 70, 884, 811, 884, 0, 188, 11, 66, 3, 3, 0, 627, 0, 0, 0, 0, 0, 752, 0, 0, 0, 146, 8, 39, 1, 3, 0, 564, 244, 70, 70, 70, 0, 17.0, 67.0, 67.0, 0, 1, 5, 3, 2, 0, 65, 0, 1, 1, 3, 0, 0.0, 2, 2, 0, 0, 0, 2, 2, 24.29, 95.71, 95.71, 100.0, 40.0, 40.0, 0, 20.0, 7.099609375, 0.0, 20.0, 20.0, 60.0, 0.0, 0.0, 60.0, 40.0, 40.0, 40.0, 0.0, 0.0, 17.0, 8.0, 0.0, 0.0, 225.0, "Tous les candidats", 358.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "26649", "D.E Psychomotricien", "Institut supérieur de rééducation psychomotrice", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26071&g_ta_cod=26649", 79.0, 17.0, 4.0),
(10069, "Public", "0340042L", "Lycée Jean Mermoz", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Jean Mermoz - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 924, 88, 924, 0, 104, 28, 274, 103, 239, 120, 307, 0, 0, 0, 0, 0, 561, 0, 0, 0, 82, 20, 211, 71, 190, 87, 78, 124, 21, 1, 21, 0, 2.0, 17.0, 18.0, 0, 7, 21, 1, 12, 8, 0, 0, 6, 12, 2, 1, 0.0, 1, 6, 8, 3, 0, 18, 18, 9.52, 80.95, 85.71, 4.7998046875, 85.6875, 85.6875, 14.298828125, 33.296875, 100.0, 0.0, 28.59765625, 57.09375, 9.5, 4.8, 0.0, 4.7998046875, 4.7998046875, 57.09375, 28.59765625, 38.09375, 38.09375, 7.0, 3.0, 41.0, 12.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 132, "Liste d'appel propre à cette formation", 23.0, "4499", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4499&g_ta_cod=4499", 5.0, 57.0, 38.0),
(10070, "Privé sous contrat d'association", "0754666P", "Lycée Passy-Saint-Honoré", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "BTS", "Lycée Passy-Saint-Honoré - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 690, 351, 470, 0, 49, 6, 150, 27, 112, 37, 159, 220, 6, 0, 109, 105, 208, 14, 0, 0, 32, 6, 126, 19, 17, 3, 33, 111, 26, 15, 20, 6, 4.0, 19.0, 22.0, 0, 3, 20, 3, 10, 7, 6, 0, 11, 6, 3, 0, 0.0, 0, 5, 4, 7, 5, 10, 20, 15.38, 73.08, 84.62, 57.6953125, 50.0, 100.0, 35, 15.0, 76.890625, 0.0, 55.0, 30.0, 15.0, 0.0, 0.0, 15.0, 0.0, 50.0, 25.0, 35.0, 20.0, 15.0, 2.0, 21.0, 5.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 26.0, "9547", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9547&g_ta_cod=9547", 23.0, 46.0, 31.0),
(10071, "Public", "0260035X", "Lycée CAMILLE VERNET", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "CPGE", "Lycée CAMILLE VERNET - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 21, 385, 171, 384, 247, 336, 29, 0, 0, 0, 0, 48, 1, 1, 0, 0, 0, 305, 1, 31, 298, 288, 24, 0, 0, 0, 0, 17, 251, 14, 6, 14, 0, 10.0, 11.0, 14.0, 0, 1, 14, 14, 0, 0, 0, 0, 3, 2, 8, 1, 0.0, 11, 0, 0, 0, 0, 11, 11, 71.43, 78.57, 100.0, 42.8984375, 78.59375, 78.59375, 0, 7.099609375, 100.0, 0.0, 21.3984375, 14.298828125, 57.09375, 7.1, 0.0, 100.0, 78.59375, 0.0, 0.0, 0.0, 0.0, 239.0, 25.0, 0.0, 0.0, 12.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "31614", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31301&g_ta_cod=31614", 100.0, 0.0, 0.0),
(10072, "Public", "0750667T", "Lycée Condorcet", "75", "Paris", "Ile-de-France", "Paris", "Paris  9e  Arrondissement", "formation sélective", "CPGE", "Lycée Condorcet - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 2281, 1680, 2281, 346, 2145, 187, 2, 0, 1, 0, 133, 0, 0, 0, 0, 0, 1413, 0, 266, 1280, 1357, 136, 0, 0, 0, 0, 56, 583, 95, 68, 95, 0, 31.0, 79.0, 87.0, 6, 13, 95, 95, 0, 0, 0, 0, 0, 0, 17, 71, 7.0, 95, 0, 0, 8, 3, 39, 70, 32.63, 83.16, 91.58, 71.59375, 41.09375, 73.6875, 8.3984375, 13.69921875, 100.0, 0.0, 0.0, 0.0, 17.8984375, 74.7, 7.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 574.0, 63.0, 0.0, 0.0, 9.0, "Tous les candidats", 761.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "9000", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9000&g_ta_cod=9000", 100.0, 0.0, 0.0),
(10073, "Public", "0134015U", "Aix-Marseille Université - Site de Marseille Saint Charles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation sélective", "Autre formation", "Aix-Marseille Université - Site de Marseille Saint Charles - CUPGE - Sciences de la Vie et de la Terre : préparation aux concours B Agro et Véto (Sites Saint Charles)", "CUPGE - Sciences, technologie, santé", "", 30, 1118, 860, 816, 0, 608, 80, 6, 2, 1, 1, 201, 302, 161, 6, 4, 131, 165, 29, 0, 0, 139, 20, 0, 0, 0, 0, 26, 153, 19, 15, 8, 11, 2.0, 8.0, 16.0, 0, 0, 14, 14, 0, 0, 5, 0, 1, 0, 7, 5, 1.0, 13, 0, 0, 0, 0, 5, 5, 10.53, 42.11, 84.21, 78.890625, 35.6953125, 35.6953125, 0, 0.0, 73.6875, 0.0, 7.099609375, 0.0, 50.0, 35.7, 7.1, 100.0, 92.890625, 0.0, 0.0, 0.0, 0.0, 121.0, 17.0, 0.0, 0.0, 32.0, "Tous les candidats", 165.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "2675", "CUPGE - Sciences de la Vie et de la Terre : préparation aux concours B Agro et Véto (Sites Saint Charles)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2675&g_ta_cod=2675", 100.0, 0.0, 0.0),
(10074, "Public", "0861223M", "Lycée Pilote Innovant International", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Jaunay-Marigny", "formation sélective", "BTS", "Lycée Pilote Innovant International - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 413, 51, 407, 0, 57, 13, 96, 16, 65, 23, 189, 6, 0, 0, 4, 2, 254, 2, 0, 0, 52, 11, 87, 13, 59, 20, 56, 137, 28, 1, 27, 1, 3.0, 19.0, 24.0, 0, 8, 22, 2, 8, 12, 6, 0, 11, 7, 4, 0, 0.0, 0, 2, 9, 0, 0, 16, 16, 10.71, 67.86, 85.71, 3.599609375, 72.6875, 72.6875, 0, 36.3984375, 78.59375, 0.0, 50.0, 31.796875, 18.19921875, 0.0, 0.0, 9.099609375, 0.0, 36.3984375, 9.099609375, 54.5, 40.8984375, 27.0, 4.0, 55.0, 15.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 46.0, "10649", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10649&g_ta_cod=10649", 18.0, 32.0, 50.0),
(10075, "Privé sous contrat d'association", "0301631K", "IFME (institut de formations aux métiers éducatifs) de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "EFTS", "IFME (institut de formations aux métiers éducatifs) de Nîmes - D.E Educateur Spécialisé", "D.E secteur social", "", 49, 404, 331, 394, 0, 57, 9, 71, 15, 52, 12, 214, 10, 0, 1, 0, 9, 120, 6, 0, 0, 12, 1, 8, 0, 5, 1, 95, 84, 47, 39, 41, 6, 18.0, 34.0, 34.0, 0, 1, 7, 1, 3, 3, 40, 0, 0, 3, 3, 1, 0.0, 1, 3, 3, 0, 0, 4, 4, 38.3, 72.34, 72.34, 83.0, 57.09375, 57.09375, 0, 14.298828125, 14.8984375, 0.0, 0.0, 42.8984375, 42.8984375, 14.3, 0.0, 14.298828125, 14.298828125, 42.8984375, 42.8984375, 42.8984375, 42.8984375, 2.0, 0.0, 4.0, 1.0, 74.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "24851", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24851&g_ta_cod=24851", 60.0, 15.0, 19.0),
(10076, "Public", "0910630R", "Lycée professionnel Alexandre Denis Lycée des métiers de l'aéronautique et de la logistique", "91", "Essonne", "Ile-de-France", "Versailles", "Cerny", "formation sélective", "Autre formation", "Lycée professionnel Alexandre Denis Lycée des métiers de l'aéronautique et de la logistique - Mention complémentaire - Aéronautique option avions à moteur à turbines", "Mention complémentaire", "", 10, 110, 3, 110, 0, 0, 0, 0, 0, 97, 20, 13, 0, 0, 0, 0, 0, 95, 0, 0, 0, 0, 0, 0, 0, 86, 20, 9, 19, 8, 0, 8, 0, 4.0, 8.0, 8.0, 0, 5, 8, 0, 0, 8, 0, 0, 1, 4, 3, 0, 0.0, 0, 0, 7, 0, 0, 5, 8, 50.0, 100.0, 100.0, 0.0, 62.5, 100.0, 0, 62.5, 100.0, 0.0, 12.5, 50.0, 37.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 87.5, 0.0, 0.0, 16.0, 8.0, 3.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "13367", "Mention complémentaire - Aéronautique option avions à moteur à turbines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13367&g_ta_cod=13367", 0.0, 0.0, 100.0),
(10077, "Privé sous contrat d'association", "0692522S", "Ecole Santé Social Sud-Est", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lyon - D.E Infirmier", "D.E secteur sanitaire", "", 71, 10103, 8621, 10103, 0, 1743, 403, 1636, 491, 1157, 494, 5567, 0, 0, 0, 0, 0, 7516, 0, 0, 0, 1552, 322, 1256, 338, 720, 286, 3988, 1460, 71, 63, 71, 0, 0.0, 10.0, 47.0, 0, 8, 35, 14, 12, 9, 36, 0, 6, 17, 10, 2, 0.0, 9, 11, 9, 0, 0, 21, 21, 0.0, 14.08, 66.2, 88.6875, 60.0, 60.0, 0, 22.8984375, 49.296875, 0.0, 17.09765625, 48.59375, 28.59765625, 5.7, 0.0, 40.0, 25.69921875, 34.296875, 31.3984375, 25.69921875, 25.69921875, 402.0, 73.0, 129.0, 57.0, 656.0, "Tous les candidats", 3350.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "23164", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23001&g_ta_cod=23164", 46.0, 27.0, 25.0),
(10078, "Privé enseignement supérieur", "0941890U", "ESIEA Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Ivry-sur-Seine", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 25, 318, 118, 298, 0, 0, 0, 0, 0, 0, 0, 298, 20, 0, 0, 0, 20, 276, 20, 0, 0, 0, 0, 0, 0, 0, 0, 276, 295, 10, 0, 5, 5, 3.0, 5.0, 8.0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 30.0, 50.0, 80.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 295.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "22859", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22859", 100.0, 0.0, 0.0),
(10079, "Public", "0410970G", "Université de Tours - Antenne de Blois", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation non sélective", "Licence", "Université de Tours - Antenne de Blois - Licence - Droit", "Licence - Droit-économie-gestion", "", 100, 693, 491, 612, 0, 450, 107, 70, 21, 13, 6, 79, 81, 20, 8, 6, 47, 611, 74, 0, 0, 450, 107, 70, 21, 13, 6, 78, 493, 82, 51, 60, 22, 10.0, 60.0, 71.0, 0, 13, 62, 51, 7, 4, 20, 1, 21, 24, 13, 2, 1.0, 36, 2, 2, 0, 0, 51, 51, 12.2, 73.17, 86.59, 62.1953125, 82.296875, 82.296875, 0, 21.0, 75.59375, 1.599853515625, 33.8984375, 38.6953125, 21.0, 3.2, 1.6, 82.296875, 58.09375, 11.298828125, 3.19970703125, 6.5, 3.19970703125, 330.0, 77.0, 14.0, 7.0, 97.0, "Tous les candidats", 611.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5260", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5260&g_ta_cod=5260", 73.0, 20.0, 7.0),
(10080, "Public", "0371099U", "Lycée professionnel Henri Becquerel", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée professionnel Henri Becquerel - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 170, 7, 162, 0, 9, 1, 30, 4, 84, 27, 39, 8, 2, 0, 1, 5, 142, 2, 0, 0, 9, 1, 30, 4, 80, 24, 23, 68, 9, 0, 7, 2, 1.0, 5.0, 5.0, 0, 2, 8, 1, 1, 6, 1, 0, 4, 3, 1, 0, 0.0, 0, 1, 3, 4, 0, 6, 6, 11.11, 55.56, 55.56, 0.0, 75.0, 75.0, 50, 25.0, 88.890625, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 12.5, 0.0, 12.5, 12.5, 75.0, 37.5, 4.0, 1.0, 36.0, 11.0, 14.0, "Tous les candidats sauf les Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 53, "", 0, "Liste d'appel propre à cette formation", 67.0, "17451", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17451&g_ta_cod=17451", 11.0, 22.0, 67.0),
(10081, "Public", "0530079Y", "Lycée professionnel Léonard de Vinci", "53", "Mayenne", "Pays de la Loire", "Nantes", "Mayenne", "formation sélective", "BTS", "Lycée professionnel Léonard de Vinci - BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "BTS - Services", "", 24, 339, 172, 296, 0, 24, 6, 21, 6, 83, 16, 168, 43, 8, 8, 0, 27, 129, 10, 0, 0, 22, 4, 17, 3, 74, 13, 16, 89, 21, 11, 18, 3, 5.0, 15.0, 18.0, 0, 6, 16, 2, 3, 11, 5, 0, 4, 11, 0, 1, 0.0, 1, 3, 8, 6, 2, 12, 12, 23.81, 71.43, 85.71, 52.3984375, 75.0, 75.0, 37.5, 37.5, 76.1875, 0.0, 25.0, 68.796875, 0.0, 6.3, 0.0, 12.5, 6.2998046875, 18.796875, 18.796875, 68.796875, 50.0, 21.0, 3.0, 38.0, 7.0, 15.0, "Tous les candidats sauf les Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 51, "", 0, "Liste d'appel propre à cette formation", 34.0, "6219", "BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6219&g_ta_cod=6219", 19.0, 14.0, 67.0),
(10082, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation non sélective", "Licence", "Université Gustave Eiffel - Licence - Physique, chimie - Parcours PHYSIQUE, CHIMIE : Physique-Chimie", "Licence - Sciences - technologies - santé", "PHYSIQUE, CHIMIE : Physique-Chimie", 90, 769, 329, 769, 0, 550, 110, 36, 6, 1, 0, 182, 0, 0, 0, 0, 0, 769, 0, 0, 0, 550, 110, 36, 6, 1, 0, 182, 605, 86, 23, 86, 0, 23.0, 57.0, 78.0, 0, 13, 67, 59, 7, 1, 19, 0, 19, 33, 12, 3, 0.0, 43, 4, 1, 0, 0, 59, 63, 26.74, 66.28, 90.7, 26.69921875, 88.09375, 94.0, 0, 19.3984375, 77.890625, 0.0, 28.3984375, 49.296875, 17.8984375, 4.5, 0.0, 88.09375, 64.1875, 10.3984375, 6.0, 1.5, 1.5, 458.0, 95.0, 1.0, 0.0, 120.0, "Tous les candidats", 666.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "9926", "Licence - Physique, chimie - Parcours PHYSIQUE, CHIMIE : Physique-Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9926&g_ta_cod=9926", 86.0, 13.0, 1.0),
(10083, "Public", "0542288U", "I.U.T. H. Poincaré de Longwy - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Cosnes-et-Romain", "formation sélective", "BUT", "I.U.T. H. Poincaré de Longwy - Université de Lorraine - BUT - Génie électrique et informatique industrielle", "BUT - Production", "", 52, 235, 12, 210, 0, 96, 20, 55, 8, 14, 2, 45, 25, 3, 3, 4, 15, 185, 14, 0, 0, 95, 20, 51, 8, 10, 1, 29, 197, 35, 1, 28, 7, 24.0, 27.0, 33.0, 0, 6, 28, 18, 4, 6, 7, 0, 21, 6, 1, 0, 0.0, 0, 3, 4, 0, 0, 19, 19, 68.57, 77.14, 94.29, 2.89990234375, 67.890625, 67.890625, 0, 21.3984375, 80.0, 0.0, 75.0, 21.3984375, 3.599609375, 0.0, 0.0, 64.296875, 0.0, 14.298828125, 10.69921875, 21.3984375, 14.298828125, 98.0, 22.0, 12.0, 2.0, 35.0, "Tous les candidats sauf les Bac technologiques", 130.0, "Bacheliers technologiques toutes séries", 54, "", 0, "Liste d'appel propre à cette formation", 88.0, "6374", "BUT - Génie électrique et informatique industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6374&g_ta_cod=6374", 66.0, 14.0, 20.0),
(10084, "Privé sous contrat d'association", "0850130E", "Lycée Notre Dame Du Roc", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée Notre Dame Du Roc - BTS - Services - Notariat", "BTS - Services", "", 18, 275, 208, 275, 0, 78, 12, 78, 18, 14, 5, 105, 0, 0, 0, 0, 0, 211, 0, 0, 0, 74, 10, 70, 15, 11, 4, 56, 88, 17, 15, 17, 0, 1.0, 14.0, 15.0, 0, 2, 15, 8, 6, 1, 2, 0, 1, 12, 2, 0, 0.0, 8, 5, 1, 5, 4, 13, 13, 5.88, 82.35, 88.24, 88.1875, 86.6875, 86.6875, 33.296875, 13.298828125, 88.1875, 0.0, 6.69921875, 80.0, 13.298828125, 0.0, 0.0, 53.296875, 53.296875, 40.0, 33.296875, 6.69921875, 6.69921875, 31.0, 4.0, 6.0, 1.0, 14.0, "Tous les candidats sauf les Bac professionnels", 100.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 39.0, "10497", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10497&g_ta_cod=10497", 59.0, 35.0, 6.0),
(10085, "Public", "0782556E", "Lycée Léonard de Vinci", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "BTS", "Lycée Léonard de Vinci - BTS - Production - Conception et Réalisation de Systèmes Automatiques (Seconde année possible en apprentissage)", "BTS - Production", "", 24, 384, 25, 382, 0, 10, 1, 110, 34, 127, 45, 135, 2, 0, 0, 0, 2, 284, 0, 0, 0, 0, 0, 110, 34, 127, 45, 47, 73, 24, 0, 23, 0, 5.0, 20.0, 21.0, 0, 9, 21, 0, 4, 17, 3, 0, 7, 7, 5, 2, 0.0, 0, 3, 11, 5, 0, 20, 21, 20.83, 83.33, 87.5, 0.0, 95.1875, 100.0, 23.796875, 42.8984375, 87.5, 0.0, 33.296875, 33.296875, 23.796875, 9.5, 0.0, 0.0, 0.0, 19.0, 14.298828125, 81.0, 52.3984375, 0.0, 0.0, 48.0, 15.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 27.0, "10035", "BTS - Production - Conception et Réalisation de Systèmes Automatiques (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10035&g_ta_cod=10035", 0.0, 25.0, 75.0),
(10086, "Public", "9741620T", "Lycée Mémona Hintermann-Afféjee", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée Mémona Hintermann-Afféjee - BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "BTS - Services", "", 10, 186, 37, 186, 0, 40, 16, 65, 37, 29, 18, 52, 0, 0, 0, 0, 0, 121, 0, 0, 0, 32, 11, 50, 28, 15, 9, 24, 30, 10, 2, 10, 0, 3.0, 8.0, 8.0, 0, 7, 10, 2, 6, 2, 0, 0, 1, 7, 2, 0, 0.0, 1, 6, 2, 4, 1, 10, 10, 30.0, 80.0, 80.0, 20.0, 100.0, 100.0, 40, 70.0, 100.0, 0.0, 10.0, 70.0, 20.0, 0.0, 0.0, 20.0, 10.0, 60.0, 60.0, 20.0, 20.0, 8.0, 5.0, 5.0, 2.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 17.0, "22704", "BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22704&g_ta_cod=22704", 20.0, 60.0, 20.0),
(10087, "Public", "0310046G", "Lycée Hotellerie Et Tourisme d'Occitanie", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée Hotellerie Et Tourisme d'Occitanie - Mention complémentaire - FCIL Assistant(e) gouvernant", "Mention complémentaire", "", 12, 45, 33, 45, 0, 3, 2, 6, 3, 17, 5, 19, 0, 0, 0, 0, 0, 45, 0, 0, 0, 3, 2, 6, 3, 17, 5, 19, 32, 11, 8, 11, 0, 6.0, 10.0, 10.0, 0, 1, 4, 0, 2, 2, 7, 0, 3, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 4, 4, 54.55, 90.91, 90.91, 72.6875, 100.0, 100.0, 0, 25.0, 36.3984375, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 25.0, 3.0, 2.0, 11.0, 4.0, 14.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "25470", "Mention complémentaire - FCIL Assistant(e) gouvernant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25470&g_ta_cod=25470", 45.0, 18.0, 36.0),
(10088, "Public", "0750691U", "Lycée Raspail", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "CPGE", "Lycée Raspail - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 1177, 380, 1149, 170, 910, 155, 14, 3, 1, 1, 224, 28, 13, 1, 0, 14, 810, 10, 132, 769, 694, 110, 4, 1, 0, 0, 112, 482, 36, 9, 32, 4, 1.0, 10.0, 29.0, 2, 3, 29, 29, 0, 0, 7, 0, 0, 15, 13, 1, 0.0, 29, 0, 0, 0, 0, 9, 28, 2.78, 27.78, 80.56, 25.0, 31.0, 96.59375, 0, 10.298828125, 80.59375, 0.0, 0.0, 51.6953125, 44.796875, 3.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 416.0, 67.0, 0.0, 0.0, 66.0, "Tous les candidats", 680.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "9102", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9102&g_ta_cod=9102", 100.0, 0.0, 0.0),
(10089, "Privé sous contrat d'association", "0180561M", "Lycée Sainte Marie Saint Dominique", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BTS", "Lycée Sainte Marie Saint Dominique - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 22, 140, 66, 100, 0, 25, 8, 22, 2, 17, 10, 36, 40, 6, 11, 7, 16, 61, 16, 0, 0, 24, 7, 18, 2, 7, 3, 12, 73, 12, 4, 9, 3, 2.0, 8.0, 9.0, 0, 2, 6, 3, 1, 2, 6, 0, 3, 2, 1, 0, 0.0, 1, 0, 2, 1, 1, 6, 6, 16.67, 66.67, 75.0, 33.296875, 100.0, 100.0, 16.69921875, 33.296875, 50.0, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 50.0, 16.69921875, 16.69921875, 0.0, 33.296875, 33.296875, 23.0, 8.0, 10.0, 4.0, 19.0, "Tous les candidats sauf les Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 61.0, "3117", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3117&g_ta_cod=3117", 58.0, 25.0, 17.0),
(10090, "Public", "0782822U", "Lycée Pierre Corneille", "78", "Yvelines", "Ile-de-France", "Versailles", "La Celle-Saint-Cloud", "formation sélective", "BTS", "Lycée Pierre Corneille - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 15, 623, 273, 623, 0, 18, 3, 258, 67, 198, 72, 149, 0, 0, 0, 0, 0, 310, 0, 0, 0, 7, 0, 138, 33, 126, 40, 39, 104, 28, 9, 14, 0, 1.0, 11.0, 16.0, 0, 7, 25, 0, 11, 14, 3, 0, 7, 13, 5, 0, 0.0, 0, 4, 14, 5, 1, 25, 25, 3.57, 39.29, 57.14, 32.09375, 100.0, 100.0, 20, 28.0, 89.296875, 0.0, 28.0, 52.0, 20.0, 0.0, 0.0, 0.0, 0.0, 44.0, 16.0, 56.0, 56.0, 4.0, 0.0, 35.0, 13.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers technologiques toutes séries", 50, "Bacheliers professionnels toutes séries", 28, "Liste d'appel propre à cette formation", 14.0, "30608", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30608&g_ta_cod=30608", 4.0, 39.0, 54.0),
(10091, "Public", "0771989U", "IFSI du CH de Provins", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Provins", "formation sélective", "IFSI", "Regroupement d'IFSI UPEC (P12)  - D.E Infirmier", "D.E secteur sanitaire", "", 48, 2798, 2431, 2798, 0, 291, 73, 450, 158, 380, 188, 1677, 0, 0, 0, 0, 0, 1889, 0, 0, 0, 268, 64, 318, 106, 246, 109, 1057, 460, 48, 43, 48, 0, 0.0, 20.0, 44.0, 0, 8, 34, 14, 16, 4, 14, 0, 11, 16, 5, 2, 0.0, 8, 11, 4, 0, 0, 20, 21, 0.0, 41.67, 91.67, 89.59375, 58.796875, 61.796875, 0, 23.5, 70.796875, 0.0, 32.3984375, 47.09375, 14.69921875, 5.9, 0.0, 41.1953125, 23.5, 47.09375, 32.3984375, 11.798828125, 11.798828125, 106.0, 30.0, 53.0, 21.0, 233.0, "Tous les candidats", 2279.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "23276", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23006&g_ta_cod=23276", 48.0, 44.0, 8.0),
(10092, "Public", "0500036T", "Lycée Julliot De La Morandiere", "50", "Manche", "Normandie", "Normandie", "Granville", "formation sélective", "BTS", "Lycée Julliot De La Morandiere - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 12, 88, 5, 86, 0, 5, 2, 19, 7, 52, 16, 10, 2, 1, 0, 1, 0, 85, 2, 0, 0, 5, 2, 19, 7, 52, 16, 9, 56, 8, 0, 7, 1, 1.0, 6.0, 7.0, 0, 1, 6, 0, 0, 6, 2, 0, 1, 4, 1, 0, 0.0, 0, 0, 5, 0, 0, 5, 5, 12.5, 75.0, 87.5, 0.0, 83.296875, 83.296875, 0, 16.69921875, 75.0, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 83.296875, 5.0, 2.0, 24.0, 6.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 79.0, "6000", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6000&g_ta_cod=6000", 0.0, 13.0, 88.0),
(10093, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Université Angers - Licence - Portail MPC - Mathématiques, Physique, Chimie", "Licence - Sciences - technologies - santé", "MPC - Mathématiques, Physique, Chimie", 80, 1253, 480, 1243, 0, 970, 116, 23, 7, 2, 1, 248, 10, 2, 0, 0, 8, 1240, 7, 0, 0, 970, 116, 23, 7, 2, 1, 245, 717, 78, 32, 73, 4, 3.0, 71.0, 73.0, 0, 9, 46, 44, 2, 0, 32, 0, 10, 18, 15, 2, 1.0, 35, 1, 0, 0, 0, 41, 41, 3.85, 91.03, 93.59, 41.0, 89.09375, 89.09375, 0, 19.59765625, 59.0, 0.0, 21.69921875, 39.09375, 32.59375, 4.3, 2.2, 95.6875, 76.09375, 4.2998046875, 2.19970703125, 0.0, 0.0, 545.0, 65.0, 1.0, 0.0, 165.0, "Tous les candidats", 1293.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "31942", "Licence - Portail MPC - Mathématiques, Physique, Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32224&g_ta_cod=31942", 91.0, 8.0, 0.0),
(10094, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Sciences de la terre - Parcours Sciences de la Terre, de l'Univers et de l'environnement", "Licence - Sciences - technologies - santé", "Sciences de la Terre, de l'Univers et de l'environnement", 105, 758, 393, 688, 0, 429, 79, 31, 4, 9, 4, 219, 70, 15, 3, 2, 50, 677, 54, 0, 0, 429, 79, 31, 4, 9, 4, 208, 608, 96, 37, 73, 23, 37.0, 59.0, 75.0, 0, 12, 56, 49, 1, 6, 40, 0, 22, 16, 15, 3, 0.0, 33, 0, 1, 0, 0, 32, 32, 38.54, 61.46, 78.13, 38.5, 57.09375, 57.09375, 0, 21.3984375, 58.296875, 0.0, 39.296875, 28.59765625, 26.796875, 5.4, 0.0, 87.5, 58.8984375, 1.7998046875, 0.0, 10.69921875, 1.7998046875, 359.0, 66.0, 9.0, 5.0, 217.0, "Tous les candidats", 675.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "8058", "Licence - Sciences de la terre - Parcours Sciences de la Terre, de l'Univers et de l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8058&g_ta_cod=8058", 91.0, 3.0, 6.0),
(10095, "Public", "9840267T", "Lycée professionnel de Faaa", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation sélective", "Autre formation", "Lycée professionnel de Faaa - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 12, 69, 20, 58, 0, 4, 1, 24, 11, 21, 13, 9, 11, 0, 3, 5, 3, 43, 7, 0, 0, 3, 1, 21, 10, 15, 11, 4, 40, 11, 3, 7, 4, 3.0, 7.0, 7.0, 0, 8, 10, 0, 4, 6, 1, 0, 6, 2, 2, 0, 0.0, 0, 0, 4, 0, 0, 10, 10, 27.27, 63.64, 63.64, 27.296875, 100.0, 100.0, 0, 80.0, 90.890625, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 0.0, 0.0, 40.0, 0.0, 60.0, 40.0, 1.0, 1.0, 18.0, 14.0, 3.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "25806", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25806&g_ta_cod=25806", 0.0, 45.0, 55.0),
(10096, "Public", "6200003J", "Lycée professionnel Jules Antonini", "2A", "Corse du Sud", "Corse", "Corse", "Ajaccio", "formation sélective", "Autre formation", "Lycée professionnel Jules Antonini - Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "Mention complémentaire", "", 12, 3, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 13, 7, 0, 2, 0, 2.0, 2.0, 7.0, 0, 2, 7, 0, 0, 7, 0, 0, 4, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 7, 7, 28.57, 28.57, 100.0, 0.0, 100.0, 100.0, 0, 28.59765625, 100.0, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 42.8984375, 0.0, 0.0, 12.0, 4.0, 1.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "13547", "Mention complémentaire - Technicien en énergies renouvelables (option thermique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13547&g_ta_cod=13547", 0.0, 0.0, 100.0),
(10097, "Public", "0510068X", "Lycée Stéphane Hessel", "51", "Marne", "Grand Est", "Reims", "Epernay", "formation sélective", "BTS", "Lycée Stéphane Hessel - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 36, 334, 181, 328, 0, 40, 7, 114, 41, 101, 37, 73, 6, 0, 0, 2, 4, 328, 3, 0, 0, 40, 7, 114, 41, 101, 37, 73, 124, 32, 17, 30, 2, 5.0, 20.0, 23.0, 0, 10, 25, 3, 9, 13, 7, 0, 17, 6, 1, 1, 0.0, 0, 3, 5, 14, 7, 24, 24, 15.63, 62.5, 71.88, 53.09375, 96.0, 96.0, 56, 40.0, 78.09375, 0.0, 68.0, 24.0, 4.0, 4.0, 0.0, 12.0, 0.0, 36.0, 12.0, 52.0, 20.0, 9.0, 0.0, 65.0, 23.0, 16.0, "Tous les candidats sauf les Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 84, "", 0, "Liste d'appel propre à cette formation", 43.0, "6086", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6086&g_ta_cod=6086", 13.0, 41.0, 47.0),
(10098, "Public", "0450782F", "Lycée Voltaire", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "Autre formation", "Lycée Voltaire - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 24, 554, 438, 554, 0, 96, 16, 222, 66, 13, 6, 223, 0, 0, 0, 0, 0, 359, 0, 0, 0, 59, 8, 181, 53, 0, 0, 119, 114, 23, 19, 23, 0, 5.0, 15.0, 20.0, 0, 4, 18, 4, 14, 0, 5, 0, 1, 7, 7, 3, 0.0, 4, 13, 0, 0, 0, 12, 12, 21.74, 65.22, 86.96, 82.59375, 66.6875, 66.6875, 0, 22.19921875, 78.296875, 0.0, 5.599609375, 38.8984375, 38.8984375, 16.7, 0.0, 22.19921875, 22.19921875, 77.796875, 72.1875, 0.0, 0.0, 13.0, 1.0, 0.0, 0.0, 43.0, "Tous les candidats", 164.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "5701", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5701&g_ta_cod=5701", 30.0, 70.0, 0.0),
(10099, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence", "Université du Mans - Licence - Portail Mathématiques - Mathématiques et Applications - HORS parcours Sciences actuarielles et financières", "Licence - Sciences - technologies - santé", "Mathématiques et Applications - HORS parcours Sciences actuarielles et financières", 80, 461, 159, 357, 0, 276, 40, 17, 2, 1, 0, 63, 104, 17, 10, 6, 71, 356, 79, 0, 0, 276, 40, 17, 2, 1, 0, 62, 343, 52, 16, 21, 31, 3.0, 21.0, 41.0, 0, 10, 24, 15, 7, 2, 28, 0, 10, 6, 5, 2, 1.0, 13, 1, 0, 0, 0, 18, 18, 5.77, 40.38, 78.85, 30.796875, 75.0, 75.0, 0, 41.6953125, 46.1953125, 0.0, 41.6953125, 25.0, 20.796875, 8.3, 4.2, 62.5, 54.1953125, 29.19921875, 4.19921875, 8.298828125, 0.0, 215.0, 29.0, 6.0, 4.0, 104.0, "Tous les candidats", 378.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "8745", "Licence - Portail Mathématiques - Mathématiques et Applications - HORS parcours Sciences actuarielles et financières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26993&g_ta_cod=8745", 67.0, 21.0, 8.0),
(10100, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations,  parcours Afrique et océan Indien - Swahili", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations,  parcours Afrique et océan Indien - Swahili", 50, 107, 80, 59, 0, 28, 11, 1, 1, 2, 1, 28, 48, 2, 1, 3, 42, 59, 34, 0, 0, 28, 11, 1, 1, 2, 1, 28, 93, 37, 28, 14, 23, 14.0, 14.0, 23.0, 0, 4, 7, 4, 1, 2, 30, 0, 3, 3, 1, 0, 0.0, 2, 0, 2, 0, 0, 1, 4, 37.84, 37.84, 62.16, 75.6875, 14.298828125, 57.09375, 0, 57.09375, 18.8984375, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 28.59765625, 28.59765625, 29.0, 11.0, 4.0, 2.0, 58.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9411", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations,  parcours Afrique et océan Indien - Swahili", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29595&g_ta_cod=9411", 70.0, 14.0, 16.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(10101, "Public", "0410002E", "Lycée F Philibert Dessaignes", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BTS", "Lycée F Philibert Dessaignes - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 356, 250, 332, 0, 21, 7, 91, 37, 108, 58, 112, 24, 0, 0, 12, 12, 158, 1, 0, 0, 19, 6, 66, 21, 42, 16, 31, 100, 23, 17, 20, 1, 2.0, 16.0, 21.0, 0, 6, 15, 3, 4, 8, 8, 0, 9, 6, 0, 0, 0.0, 1, 2, 3, 1, 1, 14, 14, 8.7, 69.57, 91.3, 73.890625, 93.296875, 93.296875, 6.69921875, 40.0, 65.1875, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 20.0, 6.69921875, 26.69921875, 13.298828125, 53.296875, 20.0, 15.0, 6.0, 32.0, 17.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 41.0, "5235", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5235&g_ta_cod=5235", 26.0, 30.0, 43.0),
(10102, "Privé sous contrat d'association", "0350776D", "Lycée St Vincent-Providence", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "CPGE", "Lycée St Vincent-Providence - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 22, 597, 255, 597, 371, 530, 21, 0, 0, 0, 0, 67, 0, 0, 0, 0, 0, 418, 0, 141, 400, 413, 14, 0, 0, 0, 0, 5, 146, 21, 12, 21, 0, 1.0, 15.0, 20.0, 3, 2, 21, 21, 0, 0, 0, 0, 0, 0, 14, 7, 0.0, 21, 0, 0, 0, 0, 15, 15, 4.76, 71.43, 95.24, 57.09375, 71.390625, 71.390625, 0, 9.5, 100.0, 0.0, 0.0, 0.0, 66.6875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 146.0, 8.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "31595", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31386&g_ta_cod=31595", 100.0, 0.0, 0.0),
(10103, "Public", "0241131Z", "Université de Bordeaux - Antenne de Périgueux", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "Administration générale et territoriale,  Administration et gestion des entreprises", 110, 1716, 972, 1521, 0, 996, 195, 182, 64, 27, 11, 316, 195, 39, 17, 4, 135, 1470, 162, 0, 0, 996, 195, 182, 64, 27, 11, 265, 1058, 82, 37, 43, 39, 2.0, 39.0, 63.0, 0, 12, 44, 32, 10, 2, 38, 2, 26, 10, 6, 0, 0.0, 12, 3, 1, 0, 0, 29, 29, 2.44, 47.56, 76.83, 45.09375, 65.890625, 65.890625, 0, 27.296875, 53.6953125, 4.5, 59.09375, 22.69921875, 13.599609375, 0.0, 0.0, 72.6875, 27.296875, 22.69921875, 6.7998046875, 4.5, 2.2998046875, 700.0, 134.0, 13.0, 7.0, 252.0, "Tous les candidats", 4675.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "27820", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4461&g_ta_cod=27820", 67.0, 21.0, 10.0),
(10104, "Public", "0530951W", "I.U.T. Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BUT", "I.U.T. Laval - BUT - Génie biologique parcours biologie médicale et biotechnologie", "BUT - Production", "", 78, 2125, 1525, 2125, 0, 1264, 154, 374, 88, 6, 3, 481, 0, 0, 0, 0, 0, 1556, 0, 0, 0, 1068, 122, 231, 50, 0, 0, 257, 399, 78, 56, 78, 0, 19.0, 60.0, 73.0, 0, 10, 66, 39, 27, 0, 12, 0, 2, 33, 28, 3, 0.0, 39, 25, 0, 0, 0, 29, 29, 24.36, 76.92, 93.59, 71.796875, 43.8984375, 43.8984375, 0, 15.19921875, 84.59375, 0.0, 3.0, 50.0, 42.3984375, 4.5, 0.0, 59.09375, 59.09375, 40.8984375, 37.8984375, 0.0, 0.0, 205.0, 28.0, 0.0, 0.0, 54.0, "Tous les candidats sauf les Bac technologiques", 368.0, "Bacheliers technologiques toutes séries", 220, "", 0, "Liste d'appel propre à cette formation", 28.0, "6232", "BUT - Génie biologique parcours biologie médicale et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6232&g_ta_cod=6232", 60.0, 40.0, 0.0),
(10105, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Université Toulouse 1 Capitole - Année de Réussite à Toulouse en Economie - Option économie gestion ou économie droit", "Année préparatoire", "Année de Réussite à Toulouse en Economie - Option économie gestion ou économie droit", 60, 822, 367, 462, 0, 191, 29, 65, 22, 11, 5, 195, 360, 77, 61, 24, 198, 83, 30, 0, 0, 65, 7, 6, 1, 0, 0, 12, 112, 50, 14, 26, 24, 21.0, 26.0, 46.0, 0, 3, 39, 34, 5, 0, 11, 0, 17, 16, 5, 1, 0.0, 19, 3, 0, 0, 0, 27, 27, 42.0, 52.0, 92.0, 28.0, 69.1875, 69.1875, 0, 7.69921875, 78.0, 0.0, 43.59375, 41.0, 12.798828125, 2.6, 0.0, 87.1875, 48.6953125, 12.798828125, 7.69921875, 0.0, 0.0, 82.0, 10.0, 0.0, 0.0, 21.0, "Tous les candidats", 83.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "17002", "Année de Réussite à Toulouse en Economie - Option économie gestion ou économie droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17002&g_ta_cod=17002", 86.0, 14.0, 0.0),
(10106, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "PASS", "Université Toulouse 3 Paul Sabatier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 300, 8110, 5767, 8110, 0, 6566, 1075, 198, 68, 30, 14, 1316, 0, 0, 0, 0, 0, 8110, 0, 0, 0, 6566, 1075, 198, 68, 30, 14, 1316, 1090, 296, 239, 296, 0, 55.0, 249.0, 276.0, 0, 73, 296, 296, 0, 0, 0, 1, 0, 24, 124, 141, 6.0, 295, 0, 0, 0, 0, 258, 258, 18.58, 84.12, 93.24, 80.6875, 87.1875, 87.1875, 0, 24.69921875, 100.0, 0.29998779296875, 0.0, 8.099609375, 41.8984375, 47.6, 2.0, 100.0, 99.6875, 0.0, 0.0, 0.0, 0.0, 1072.0, 183.0, 0.0, 0.0, 18.0, "Tous les candidats", 1626.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 17.0, "30933", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29840&g_ta_cod=30933", 100.0, 0.0, 0.0),
(10107, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence_Las", "Université de Brest - Licence - Portail Administration économique et sociale - Administration et gestion des entreprises, Administration et gestion des territoires", "Licence - Droit-économie-gestion", "Administration et gestion des entreprises, Administration et gestion des territoires : Université de Brest", 20, 339, 218, 337, 0, 135, 26, 64, 21, 20, 13, 118, 2, 0, 0, 1, 1, 325, 1, 0, 0, 135, 26, 64, 21, 20, 13, 106, 158, 19, 14, 18, 1, 2.0, 12.0, 15.0, 0, 4, 12, 11, 1, 0, 7, 0, 4, 5, 3, 0, 0.0, 8, 0, 0, 0, 0, 11, 11, 10.53, 63.16, 78.95, 73.6875, 91.6875, 91.6875, 0, 33.296875, 63.1953125, 0.0, 33.296875, 41.6953125, 25.0, 0.0, 0.0, 91.6875, 66.6875, 8.298828125, 0.0, 0.0, 0.0, 78.0, 14.0, 3.0, 2.0, 53.0, "Tous les candidats", 1610.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 75.0, "28828", "Licence - Portail Administration économique et sociale - Administration et gestion des entreprises, Administration et gestion des territoires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28756&g_ta_cod=28828", 63.0, 32.0, 5.0),
(10108, "Public", "0333273D", "Lycée polyvalent Vaclav Havel", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "BTS", "Lycée polyvalent Vaclav Havel - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 53, 758, 664, 730, 0, 76, 19, 153, 42, 271, 111, 230, 28, 0, 14, 0, 14, 495, 6, 0, 0, 48, 11, 121, 34, 206, 76, 120, 191, 47, 43, 40, 4, 3.0, 21.0, 35.0, 0, 14, 33, 2, 16, 15, 14, 0, 11, 9, 11, 2, 0.0, 1, 8, 13, 3, 3, 29, 29, 6.38, 44.68, 74.47, 91.5, 87.890625, 87.890625, 9.099609375, 42.3984375, 70.1875, 0.0, 33.296875, 27.296875, 33.296875, 6.1, 0.0, 6.099609375, 3.0, 48.5, 24.19921875, 45.5, 39.3984375, 5.0, 2.0, 63.0, 22.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 113, "Bacheliers technologiques toutes séries", 147, "Liste d'appel propre à cette formation", 36.0, "12111", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12111&g_ta_cod=12111", 4.0, 47.0, 49.0),
(10109, "Public", "0030026M", "Lycée Paul Constans", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "BTS", "Lycée Paul Constans - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 394, 231, 357, 0, 17, 6, 75, 19, 80, 37, 185, 37, 6, 7, 0, 24, 203, 8, 0, 0, 17, 6, 71, 16, 79, 36, 36, 151, 30, 16, 28, 2, 8.0, 28.0, 30.0, 0, 7, 22, 4, 4, 14, 8, 0, 11, 8, 3, 0, 0.0, 3, 2, 6, 10, 4, 13, 13, 26.67, 93.33, 100.0, 53.296875, 59.09375, 59.09375, 45.5, 31.796875, 73.296875, 0.0, 50.0, 36.3984375, 13.599609375, 0.0, 0.0, 18.19921875, 13.599609375, 18.19921875, 9.099609375, 63.59375, 27.296875, 18.0, 6.0, 55.0, 24.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 52.0, "2120", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2120&g_ta_cod=2120", 20.0, 27.0, 53.0),
(10110, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes / Lycée Emmanuel Mounier de Grenoble - Licence - Sciences de l'éducation - Parcours Préparation au professorat des écoles", "Licence - Sciences humaines et sociales", "Préparation au professorat des écoles", 30, 1327, 1150, 1327, 0, 858, 150, 111, 28, 24, 12, 334, 0, 0, 0, 0, 0, 1322, 0, 0, 0, 858, 150, 111, 28, 24, 12, 329, 105, 28, 26, 28, 0, 5.0, 24.0, 26.0, 0, 12, 27, 27, 0, 0, 1, 0, 1, 8, 10, 8, 0.0, 26, 0, 0, 0, 0, 19, 19, 17.86, 85.71, 92.86, 92.890625, 70.390625, 70.390625, 0, 44.3984375, 96.390625, 0.0, 3.69970703125, 29.59765625, 37.0, 29.6, 0.0, 100.0, 96.296875, 0.0, 0.0, 0.0, 0.0, 98.0, 35.0, 0.0, 0.0, 7.0, "Tous les candidats", 168.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "32576", "Licence - Sciences de l'éducation - Parcours Préparation au professorat des écoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32576&g_ta_cod=32576", 100.0, 0.0, 0.0),
(10111, "Privé enseignement supérieur", "0630109B", "ESC Clermont Business School", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Ecole de Commerce", "Concours Passerelle Bachelor - Formation des écoles de commerce et de management Bac + 3 - Bachelor", "Formation des écoles de commerce et de management", "Bachelor", 130, 581, 235, 566, 0, 452, 35, 59, 8, 7, 4, 48, 15, 2, 2, 0, 11, 333, 7, 0, 0, 273, 18, 31, 3, 2, 0, 27, 327, 110, 57, 107, 3, 37.0, 106.0, 108.0, 0, 12, 94, 84, 8, 2, 16, 0, 29, 44, 19, 2, 0.0, 60, 3, 2, 0, 0, 72, 72, 33.64, 96.36, 98.18, 51.796875, 76.59375, 76.59375, 0, 12.798828125, 85.5, 0.0, 30.8984375, 46.796875, 20.19921875, 2.1, 0.0, 89.390625, 63.796875, 8.5, 3.19970703125, 2.099609375, 2.099609375, 264.0, 17.0, 2.0, 0.0, 32.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "23473", "Formation des écoles de commerce et de management Bac + 3 - Bachelor", "Concours Passerelle Bachelor", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=253&g_ta_cod=23473", 88.0, 9.0, 3.0),
(10112, "Privé sous contrat d'association", "0370074E", "ITS", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "EFTS", "ITS - D.E Educateur Spécialisé", "D.E secteur social", "", 100, 455, 378, 455, 0, 70, 6, 55, 6, 34, 7, 296, 0, 0, 0, 0, 0, 327, 0, 0, 0, 37, 3, 30, 5, 17, 2, 243, 176, 104, 88, 104, 0, 52.0, 84.0, 90.0, 0, 2, 25, 12, 7, 6, 79, 0, 2, 13, 2, 8, 0.0, 11, 6, 6, 0, 0, 11, 11, 50.0, 80.77, 86.54, 84.59375, 44.0, 44.0, 0, 8.0, 24.0, 0.0, 8.0, 52.0, 8.0, 32.0, 0.0, 48.0, 44.0, 28.0, 24.0, 24.0, 24.0, 14.0, 2.0, 6.0, 0.0, 145.0, "Tous les candidats", 161.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "24868", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24868&g_ta_cod=24868", 58.0, 24.0, 18.0),
(10113, "Public", "0920956P", "I.U.T de Ville d'Avray", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Ville-d'Avray", "formation sélective", "BUT", "I.U.T de Ville d'Avray - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie-Automatisme et Informatique Industrielle-Electronique et systèmes embarqués", "BUT - Production", "Electricité et maîtrise de l'énergie-Automatisme et Informatique Industrielle-Electronique et systèmes embarqués", 86, 1697, 130, 1552, 0, 756, 178, 451, 137, 13, 2, 332, 145, 15, 53, 2, 75, 907, 21, 0, 0, 496, 110, 286, 73, 1, 0, 124, 490, 86, 3, 74, 12, 10.0, 50.0, 74.0, 0, 18, 59, 33, 26, 0, 27, 0, 18, 36, 5, 0, 0.0, 18, 23, 0, 0, 0, 38, 55, 11.63, 58.14, 86.05, 3.5, 64.390625, 93.1875, 0, 30.5, 68.59375, 0.0, 30.5, 61.0, 8.5, 0.0, 0.0, 55.8984375, 30.5, 44.09375, 39.0, 0.0, 0.0, 204.0, 59.0, 1.0, 1.0, 96.0, "Tous les candidats sauf les Bac technologiques", 469.0, "Bacheliers technologiques toutes séries", 308, "", 0, "Liste d'appel propre à cette formation", 50.0, "11058", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie-Automatisme et Informatique Industrielle-Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11058&g_ta_cod=11058", 64.0, 35.0, 1.0),
(10114, "Public", "0350028R", "Lycée Bréquigny", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Lycée Bréquigny - DN MADE - Graphisme - Spécialité : Design Identité & Design Éditorial", "DN MADE", "Spécialité : Design Identité & Design Éditorial", 30, 1104, 716, 1104, 0, 462, 83, 221, 38, 125, 32, 296, 0, 0, 0, 0, 0, 1104, 0, 0, 0, 462, 83, 221, 38, 125, 32, 296, 97, 30, 30, 30, 0, 6.0, 26.0, 30.0, 0, 10, 27, 14, 13, 0, 3, 0, 1, 6, 16, 4, 0.0, 14, 12, 0, 0, 0, 12, 12, 20.0, 86.67, 100.0, 100.0, 44.3984375, 44.3984375, 0, 37.0, 90.0, 0.0, 3.69970703125, 22.19921875, 59.296875, 14.8, 0.0, 51.8984375, 51.8984375, 48.09375, 44.3984375, 0.0, 0.0, 34.0, 9.0, 1.0, 0.0, 12.0, "Tous les candidats", 129.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "21618", "DN MADE - Graphisme - Spécialité : Design Identité & Design Éditorial", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21618&g_ta_cod=21618", 53.0, 47.0, 0.0),
(10115, "Public", "0740047Z", "Lycée Savoie Leman", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Thonon-les-Bains", "formation sélective", "Autre formation", "Lycée Savoie Leman - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 34, 267, 151, 267, 0, 135, 14, 38, 3, 17, 0, 77, 0, 0, 0, 0, 0, 195, 0, 0, 0, 116, 12, 28, 3, 10, 0, 41, 106, 33, 20, 33, 0, 12.0, 28.0, 32.0, 0, 3, 24, 21, 2, 1, 9, 0, 2, 14, 6, 2, 0.0, 19, 2, 1, 0, 0, 15, 15, 36.36, 84.85, 96.97, 60.59375, 62.5, 62.5, 0, 12.5, 72.6875, 0.0, 8.298828125, 58.296875, 25.0, 8.3, 0.0, 87.5, 79.1875, 8.298828125, 8.298828125, 4.19921875, 4.19921875, 67.0, 6.0, 4.0, 0.0, 24.0, "Tous les candidats", 170.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "8878", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8878&g_ta_cod=8878", 82.0, 9.0, 9.0),
(10116, "Public", "0341921D", "Lycée Georges Pompidou", "34", "Hérault", "Occitanie", "Montpellier", "Castelnau-le-Lez", "formation sélective", "BTS", "Lycée Georges Pompidou - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 654, 309, 654, 0, 76, 28, 237, 123, 152, 87, 189, 0, 0, 0, 0, 0, 357, 0, 0, 0, 57, 22, 151, 74, 94, 54, 55, 165, 35, 21, 35, 0, 3.0, 22.0, 28.0, 0, 13, 31, 4, 16, 11, 4, 0, 11, 15, 3, 2, 0.0, 1, 9, 10, 6, 2, 29, 29, 8.57, 62.86, 80.0, 60.0, 93.5, 93.5, 19.3984375, 41.8984375, 88.59375, 0.0, 35.5, 48.3984375, 9.69921875, 6.5, 0.0, 12.8984375, 3.19970703125, 51.59375, 29.0, 35.5, 32.296875, 20.0, 10.0, 42.0, 18.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 138, "Liste d'appel propre à cette formation", 39.0, "4611", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4611&g_ta_cod=4611", 17.0, 49.0, 34.0),
(10117, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence_Las", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Eurasie - Turc", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères, parcours Eurasie - Turc", 15, 90, 69, 81, 0, 31, 14, 7, 6, 4, 2, 39, 9, 0, 0, 0, 9, 81, 5, 0, 0, 31, 14, 7, 6, 4, 2, 39, 60, 15, 12, 12, 3, 3.0, 8.0, 11.0, 0, 1, 7, 6, 1, 0, 8, 0, 5, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 1, 7, 20.0, 53.33, 73.33, 80.0, 14.298828125, 100.0, 0, 14.298828125, 46.6953125, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 85.6875, 28.59765625, 14.298828125, 0.0, 0.0, 0.0, 24.0, 12.0, 1.0, 0.0, 33.0, "Tous les candidats", 214.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "29638", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Eurasie - Turc", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29637&g_ta_cod=29638", 87.0, 7.0, 7.0),
(10118, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "PASS", "Université Côte d'Azur - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 45, 2064, 1335, 2064, 0, 1547, 260, 45, 19, 13, 6, 459, 0, 0, 0, 0, 0, 2061, 0, 0, 0, 1547, 260, 45, 19, 13, 6, 456, 319, 45, 37, 45, 0, 1.0, 35.0, 44.0, 0, 3, 43, 43, 0, 0, 2, 0, 0, 1, 21, 18, 3.0, 43, 0, 0, 0, 0, 41, 41, 2.22, 77.78, 97.78, 82.1875, 95.296875, 95.296875, 0, 7.0, 95.59375, 0.0, 0.0, 2.2998046875, 48.796875, 41.9, 7.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 300.0, 59.0, 1.0, 0.0, 18.0, "Tous les candidats", 1186.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "27473", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27218&g_ta_cod=27473", 100.0, 0.0, 0.0),
(10119, "Public", "0440982D", "I.U.T. Saint-Nazaire", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BUT", "I.U.T. Saint-Nazaire - BUT - Mesures physiques Parcours : Techniques d?Instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales (Seconde année possible en apprentissage)", "BUT - Production", "Techniques d?Instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", 96, 1214, 227, 1167, 0, 872, 82, 96, 17, 0, 0, 199, 47, 16, 1, 0, 30, 1059, 34, 0, 0, 809, 68, 85, 14, 0, 0, 165, 892, 66, 11, 60, 6, 25.0, 60.0, 65.0, 0, 6, 54, 43, 11, 0, 12, 0, 14, 32, 7, 1, 0.0, 33, 7, 0, 0, 0, 33, 33, 37.88, 90.91, 98.48, 16.69921875, 61.09375, 61.09375, 0, 11.099609375, 81.796875, 0.0, 25.8984375, 59.296875, 13.0, 1.9, 0.0, 79.59375, 61.09375, 20.3984375, 13.0, 0.0, 0.0, 652.0, 66.0, 0.0, 0.0, 158.0, "Tous les candidats sauf les Bac technologiques", 956.0, "Bacheliers technologiques toutes séries", 99, "", 0, "Liste d'appel propre à cette formation", 90.0, "5557", "BUT - Mesures physiques Parcours : Techniques d?Instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5557&g_ta_cod=5557", 82.0, 18.0, 0.0),
(10120, "Public", "0751708Z", "Lycée Louis Armand", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "BTS", "Lycée Louis Armand - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 24, 688, 35, 688, 0, 38, 9, 202, 83, 253, 108, 195, 0, 0, 0, 0, 0, 463, 0, 0, 0, 30, 7, 138, 51, 200, 84, 95, 128, 27, 0, 26, 0, 5.0, 20.0, 23.0, 0, 8, 18, 2, 3, 13, 9, 0, 8, 4, 5, 1, 0.0, 0, 0, 10, 4, 0, 9, 18, 18.52, 74.07, 85.19, 0.0, 50.0, 100.0, 22.19921875, 44.3984375, 66.6875, 0.0, 44.3984375, 22.19921875, 27.796875, 5.6, 0.0, 11.099609375, 0.0, 16.69921875, 0.0, 72.1875, 55.59375, 14.0, 7.0, 41.0, 17.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 25.0, "9192", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9192&g_ta_cod=9192", 22.0, 26.0, 52.0),
(10121, "Public", "9710804X", "Lycée agricole Convenance", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "BTS", "Lycée agricole Convenance - BTS - Agricole - Développement de l'agriculture des régions chaudes", "BTS - Agricole", "", 17, 108, 33, 103, 0, 21, 11, 23, 8, 25, 15, 34, 5, 0, 3, 0, 2, 63, 2, 0, 0, 17, 8, 17, 6, 18, 11, 11, 47, 13, 4, 12, 1, 5.0, 12.0, 13.0, 0, 6, 12, 5, 1, 6, 1, 0, 6, 5, 0, 1, 0.0, 2, 0, 4, 4, 1, 10, 10, 38.46, 92.31, 100.0, 30.796875, 83.296875, 83.296875, 33.296875, 50.0, 92.296875, 0.0, 50.0, 41.6953125, 0.0, 8.3, 0.0, 41.6953125, 16.69921875, 8.298828125, 0.0, 50.0, 33.296875, 12.0, 4.0, 13.0, 8.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 44.0, "11754", "BTS - Agricole - Développement de l'agriculture des régions chaudes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11754&g_ta_cod=11754", 38.0, 15.0, 46.0),
(10122, "Privé sous contrat d'association", "0422160V", "Lycée hôtelier RENOUVEAU", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Genest-Lerpt", "formation sélective", "BTS", "Lycée hôtelier RENOUVEAU - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 28, 138, 68, 138, 0, 0, 0, 43, 3, 65, 9, 30, 0, 0, 0, 0, 0, 64, 0, 0, 0, 0, 0, 11, 0, 39, 4, 14, 45, 26, 11, 26, 0, 24.0, 26.0, 26.0, 0, 2, 15, 0, 7, 8, 11, 0, 0, 8, 5, 2, 0.0, 0, 7, 8, 14, 4, 14, 14, 92.31, 100.0, 100.0, 42.296875, 93.296875, 93.296875, 93.296875, 13.298828125, 57.6953125, 0.0, 0.0, 53.296875, 33.296875, 13.3, 0.0, 0.0, 0.0, 46.6953125, 46.6953125, 53.296875, 53.296875, 0.0, 0.0, 25.0, 4.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 41.0, "5380", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5380&g_ta_cod=5380", 27.0, 35.0, 38.0),
(10123, "Public", "0320039U", "L.E.G.T.A. Beaulieu-Lavacant", "32", "Gers", "Occitanie", "Toulouse", "Auch", "formation sélective", "BTS", "L.E.G.T.A. Beaulieu-Lavacant - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 19, 186, 99, 179, 0, 8, 0, 41, 14, 18, 5, 112, 7, 2, 3, 0, 2, 74, 5, 0, 0, 8, 0, 41, 14, 18, 5, 7, 57, 7, 2, 5, 2, 3.0, 5.0, 7.0, 0, 3, 7, 2, 3, 2, 0, 0, 3, 4, 0, 0, 0.0, 0, 2, 2, 1, 0, 6, 6, 42.86, 71.43, 100.0, 28.59765625, 85.6875, 85.6875, 14.298828125, 42.8984375, 100.0, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 28.59765625, 0.0, 42.8984375, 28.59765625, 28.59765625, 28.59765625, 8.0, 0.0, 17.0, 5.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 40.0, "4253", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4253&g_ta_cod=4253", 29.0, 43.0, 29.0),
(10124, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Psychologie", "Licence - Sciences humaines et sociales", "", 305, 6673, 5542, 6673, 0, 2540, 673, 793, 324, 453, 190, 2887, 0, 0, 0, 0, 0, 6590, 0, 0, 0, 2540, 673, 793, 324, 453, 190, 2804, 1664, 305, 271, 304, 0, 108.0, 228.0, 271.0, 0, 61, 222, 112, 50, 60, 83, 0, 23, 120, 72, 7, 0.0, 106, 45, 48, 0, 0, 89, 206, 35.41, 74.75, 88.85, 88.890625, 40.09375, 92.796875, 0, 27.5, 72.796875, 0.0, 10.3984375, 54.09375, 32.3984375, 3.2, 0.0, 50.5, 47.6953125, 22.5, 20.296875, 27.0, 21.59765625, 930.0, 169.0, 164.0, 64.0, 385.0, "Tous les candidats", 1881.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "15413", "Licence - Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15413&g_ta_cod=15413", 47.0, 24.0, 29.0),
(10125, "Public", "0750655E", "Lycée Louis Le Grand", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "CPGE", "Lycée Louis Le Grand - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 48, 1709, 870, 1709, 1060, 1536, 99, 1, 0, 0, 0, 172, 0, 0, 0, 0, 0, 400, 0, 280, 387, 397, 32, 0, 0, 0, 0, 3, 184, 48, 24, 48, 0, 10.0, 34.0, 43.0, 17, 5, 48, 48, 0, 0, 0, 1, 0, 0, 4, 29, 14.0, 47, 0, 0, 7, 4, 23, 25, 20.83, 70.83, 89.58, 50.0, 47.8984375, 52.09375, 14.599609375, 10.3984375, 100.0, 2.099609375, 0.0, 0.0, 8.298828125, 60.4, 29.2, 100.0, 97.890625, 0.0, 0.0, 0.0, 0.0, 182.0, 12.0, 0.0, 0.0, 2.0, "Tous les candidats", 247.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "31359", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31359&g_ta_cod=31359", 100.0, 0.0, 0.0),
(10126, "Public", "0670141P", "Centre de Ressources, d'Expertise et de Performance Sportive de Strasbourg (CREPS)", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "CREPS de Strasbourg - BPJEPS - Activités de la forme", "BPJEPS", "", 4, 86, 21, 86, 0, 32, 8, 7, 2, 11, 2, 36, 0, 0, 0, 0, 0, 12, 0, 0, 0, 4, 0, 1, 0, 0, 0, 7, 5, 4, 2, 4, 0, 3.0, 4.0, 4.0, 0, 0, 3, 3, 0, 0, 1, 0, 0, 3, 0, 0, 0.0, 3, 0, 0, 0, 0, 3, 3, 75.0, 100.0, 100.0, 50.0, 100.0, 100.0, 0, 0.0, 75.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 3.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "21324", "BPJEPS - Activités de la forme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21324&g_ta_cod=21324", 100.0, 0.0, 0.0),
(10127, "Public", "0573433X", "IUT de Moselle Est - Site de Sarreguemines - Université de Lorraine", "57", "Moselle", "Grand Est", "Nancy-Metz", "Sarreguemines", "formation sélective", "BUT", "IUT de Moselle Est - Site de Sarreguemines - Université de Lorraine - BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", "BUT - Service", "Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", 40, 238, 70, 204, 0, 62, 13, 56, 11, 31, 17, 55, 34, 5, 0, 3, 26, 114, 11, 0, 0, 52, 10, 39, 8, 7, 3, 16, 118, 20, 7, 18, 2, 5.0, 17.0, 20.0, 0, 3, 14, 5, 4, 5, 6, 0, 3, 5, 5, 1, 0.0, 4, 2, 5, 0, 0, 11, 11, 25.0, 85.0, 100.0, 35.0, 78.59375, 78.59375, 0, 21.3984375, 70.0, 0.0, 21.3984375, 35.6953125, 35.6953125, 7.1, 0.0, 35.6953125, 28.59765625, 28.59765625, 14.298828125, 35.6953125, 35.6953125, 49.0, 9.0, 6.0, 3.0, 24.0, "Tous les candidats sauf les Bac technologiques", 70.0, "Bacheliers technologiques toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 55.0, "6665", "BUT - Gestion logistique et transport Parcours : Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6665&g_ta_cod=6665", 50.0, 25.0, 25.0),
(10128, "Public", "0951763A", "Lycée Louis Jouvet", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Taverny", "formation sélective", "BTS", "Lycée Louis Jouvet - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 534, 63, 534, 0, 56, 9, 151, 62, 115, 49, 212, 0, 0, 0, 0, 0, 236, 0, 0, 0, 53, 9, 99, 36, 79, 32, 5, 128, 30, 1, 30, 0, 3.0, 21.0, 28.0, 0, 9, 28, 4, 12, 12, 2, 0, 16, 10, 2, 0, 0.0, 0, 3, 9, 5, 0, 26, 27, 10.0, 70.0, 93.33, 3.2998046875, 92.890625, 96.390625, 17.8984375, 32.09375, 93.296875, 0.0, 57.09375, 35.6953125, 7.099609375, 0.0, 0.0, 14.298828125, 0.0, 42.8984375, 10.69921875, 42.8984375, 32.09375, 22.0, 6.0, 45.0, 18.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 32.0, "11623", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11623&g_ta_cod=11623", 13.0, 47.0, 40.0),
(10129, "Privé sous contrat d'association", "0931796X", "Lycée ORT DANIEL MAYER", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "BTS", "Lycée ORT DANIEL MAYER - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 504, 181, 232, 0, 40, 16, 62, 33, 50, 22, 80, 272, 24, 112, 15, 121, 95, 42, 0, 0, 18, 4, 35, 14, 17, 6, 25, 126, 23, 10, 15, 8, 1.0, 14.0, 20.0, 0, 4, 14, 4, 9, 1, 9, 0, 7, 6, 1, 0, 0.0, 1, 5, 1, 1, 1, 12, 14, 4.35, 60.87, 86.96, 43.5, 85.6875, 100.0, 7.099609375, 28.59765625, 60.8984375, 0.0, 50.0, 42.8984375, 7.099609375, 0.0, 0.0, 28.59765625, 7.099609375, 64.296875, 35.6953125, 7.099609375, 7.099609375, 25.0, 6.0, 12.0, 2.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 41.0, "17849", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17849&g_ta_cod=17849", 35.0, 61.0, 4.0),
(10130, "Public", "0720033V", "Lycée Polyvalent Gabriel Touchard - Washington", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Gabriel Touchard - Washington - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 505, 44, 495, 0, 75, 13, 199, 62, 88, 27, 133, 10, 0, 0, 5, 5, 221, 1, 0, 0, 41, 8, 119, 33, 26, 6, 35, 83, 24, 1, 24, 0, 7.0, 23.0, 24.0, 0, 9, 22, 4, 13, 5, 2, 0, 12, 7, 3, 0, 0.0, 2, 3, 5, 14, 0, 21, 21, 29.17, 95.83, 100.0, 4.19921875, 95.5, 95.5, 63.59375, 40.8984375, 91.6875, 0.0, 54.5, 31.796875, 13.599609375, 0.0, 0.0, 18.19921875, 9.099609375, 59.09375, 13.599609375, 22.69921875, 22.69921875, 18.0, 3.0, 17.0, 5.0, 8.0, "Tous les candidats sauf les Bac professionnels", 93.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 23.0, "8697", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8697&g_ta_cod=8697", 17.0, 63.0, 21.0),
(10131, "Privé enseignement supérieur", "0062104E", "CESI Campus de Nice", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 62, 1058, 170, 1039, 0, 775, 110, 81, 22, 0, 0, 183, 19, 7, 0, 0, 12, 747, 5, 0, 0, 589, 59, 63, 11, 0, 0, 95, 218, 40, 5, 38, 2, 13.0, 37.0, 40.0, 0, 6, 30, 29, 1, 0, 10, 0, 4, 20, 6, 0, 0.0, 25, 1, 0, 0, 0, 27, 27, 32.5, 92.5, 100.0, 12.5, 90.0, 90.0, 0, 20.0, 75.0, 0.0, 13.298828125, 66.6875, 20.0, 0.0, 0.0, 96.6875, 83.296875, 3.2998046875, 3.2998046875, 0.0, 0.0, 151.0, 16.0, 0.0, 0.0, 59.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "25186", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25186", 95.0, 5.0, 0.0),
(10132, "Public", "9740738J", "Lycée professionnel Hôtelier La Renaissance", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Paul", "formation sélective", "Autre formation", "Lycée professionnel Hôtelier La Renaissance - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 177, 115, 177, 0, 57, 24, 41, 25, 26, 20, 53, 0, 0, 0, 0, 0, 164, 0, 0, 0, 57, 24, 41, 25, 22, 17, 44, 80, 24, 13, 24, 0, 7.0, 19.0, 22.0, 0, 8, 17, 9, 7, 1, 7, 1, 10, 4, 1, 1, 0.0, 2, 3, 1, 0, 0, 17, 17, 29.17, 79.17, 91.67, 54.1953125, 100.0, 100.0, 0, 47.09375, 70.796875, 5.8994140625, 58.796875, 23.5, 5.8994140625, 5.9, 0.0, 52.8984375, 11.798828125, 41.1953125, 17.59765625, 5.8994140625, 5.8994140625, 32.0, 14.0, 4.0, 2.0, 20.0, "Tous les candidats", 102.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "11930", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11930&g_ta_cod=11930", 54.0, 33.0, 13.0),
(10133, "Public", "0590035T", "Lycée Fenelon", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "BTS", "Lycée Fenelon - BTS - Services - Commerce International", "BTS - Services", "", 24, 947, 446, 795, 0, 153, 42, 106, 37, 49, 20, 487, 152, 29, 25, 0, 98, 193, 26, 0, 0, 104, 22, 38, 9, 15, 7, 36, 131, 24, 13, 12, 12, 3.0, 12.0, 20.0, 0, 4, 13, 7, 3, 3, 11, 0, 6, 6, 1, 0, 0.0, 3, 1, 3, 3, 2, 11, 11, 12.5, 50.0, 83.33, 54.1953125, 84.59375, 84.59375, 23.09765625, 30.796875, 54.1953125, 0.0, 46.1953125, 46.1953125, 7.69921875, 0.0, 0.0, 53.796875, 23.09765625, 23.09765625, 7.69921875, 23.09765625, 23.09765625, 59.0, 14.0, 7.0, 1.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 137.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 23.0, "6727", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6727&g_ta_cod=6727", 71.0, 17.0, 13.0),
(10134, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud-Est et Pacifique - Lao", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations,  parcours Asie du Sud-Est et Pacifique - Lao", 20, 129, 89, 35, 0, 16, 3, 4, 1, 1, 0, 14, 94, 16, 15, 6, 57, 35, 34, 0, 0, 16, 3, 4, 1, 1, 0, 14, 69, 17, 12, 3, 14, 1.0, 3.0, 6.0, 0, 2, 6, 4, 2, 0, 11, 0, 4, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 0, 5, 5.88, 17.65, 35.29, 70.59375, 0.0, 83.296875, 0, 33.296875, 35.296875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 22.0, 4.0, 2.0, 1.0, 36.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9389", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud-Est et Pacifique - Lao", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29579&g_ta_cod=9389", 71.0, 12.0, 18.0),
(10135, "Public", "0270017X", "Lycée Modeste Leroy", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BTS", "Lycée Modeste Leroy - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 138, 11, 126, 0, 3, 1, 31, 7, 76, 24, 16, 12, 0, 5, 0, 7, 106, 5, 0, 0, 3, 1, 27, 5, 70, 23, 6, 63, 10, 0, 8, 2, 0.0, 7.0, 8.0, 0, 5, 8, 0, 2, 6, 2, 1, 5, 1, 1, 0, 0.0, 0, 0, 2, 2, 0, 7, 7, 0.0, 70.0, 80.0, 0.0, 87.5, 87.5, 25, 62.5, 80.0, 12.5, 62.5, 12.5, 12.5, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 25.0, 2.0, 1.0, 32.0, 12.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 53.0, "3687", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3687&g_ta_cod=3687", 0.0, 30.0, 70.0),
(10136, "Public", "9710003B", "Lycée Baimbridge", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "CPGE", "Lycée Baimbridge - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 45, 126, 50, 123, 92, 107, 18, 1, 1, 1, 1, 14, 3, 0, 0, 0, 3, 99, 0, 78, 94, 89, 15, 0, 0, 0, 0, 10, 85, 20, 6, 20, 0, 7.0, 20.0, 20.0, 6, 3, 19, 19, 0, 0, 1, 0, 0, 10, 7, 2, 0.0, 19, 0, 0, 4, 0, 18, 18, 35.0, 100.0, 100.0, 30.0, 94.6875, 94.6875, 21.09765625, 15.798828125, 95.0, 0.0, 0.0, 52.59375, 36.796875, 10.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 76.0, 13.0, 0.0, 0.0, 9.0, "Tous les candidats", 97.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "31303", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31303&g_ta_cod=31303", 100.0, 0.0, 0.0),
(10137, "Public", "0830165D", "I.U.T de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation sélective", "BUT", "I.U.T de Toulon - BUT - Génie mécanique et productique Parcours : Innovation pour l'industrie - Management de process industriel - Simulation numérique et réalité virtuelle", "BUT - Production", "Innovation pour l'industrie - Management de process industriel - Simulation numérique et réalité virtuelle", 90, 1320, 104, 1283, 0, 727, 95, 303, 60, 4, 3, 249, 37, 0, 8, 1, 28, 1036, 10, 0, 0, 620, 70, 221, 39, 0, 0, 195, 527, 81, 8, 78, 2, 7.0, 43.0, 73.0, 0, 9, 65, 39, 26, 0, 16, 0, 11, 38, 13, 3, 0.0, 31, 23, 0, 0, 0, 44, 44, 8.64, 53.09, 90.12, 9.8984375, 67.6875, 67.6875, 0, 13.798828125, 80.1875, 0.0, 16.8984375, 58.5, 20.0, 4.6, 0.0, 60.0, 47.6953125, 40.0, 35.3984375, 0.0, 0.0, 248.0, 33.0, 0.0, 0.0, 124.0, "Tous les candidats sauf les Bac technologiques", 700.0, "Bacheliers technologiques toutes séries", 248, "", 0, "Liste d'appel propre à cette formation", 74.0, "10355", "BUT - Génie mécanique et productique Parcours : Innovation pour l'industrie - Management de process industriel - Simulation numérique et réalité virtuelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10355&g_ta_cod=10355", 63.0, 37.0, 0.0),
(10138, "Public", "0690023A", "Lycée Ampère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "BTS", "Lycée Ampère - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 1600, 817, 1600, 0, 206, 68, 548, 234, 320, 179, 526, 0, 0, 0, 0, 0, 731, 0, 0, 0, 146, 42, 292, 103, 154, 77, 139, 192, 36, 18, 36, 0, 6.0, 28.0, 32.0, 0, 13, 30, 3, 17, 10, 6, 0, 7, 16, 4, 3, 0.0, 2, 13, 8, 0, 0, 20, 20, 16.67, 77.78, 88.89, 50.0, 66.6875, 66.6875, 0, 43.296875, 83.296875, 0.0, 23.296875, 53.296875, 13.298828125, 10.0, 0.0, 10.0, 6.69921875, 56.6953125, 43.296875, 33.296875, 26.69921875, 25.0, 12.0, 51.0, 26.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 110, "Bacheliers technologiques toutes séries", 219, "Liste d'appel propre à cette formation", 25.0, "8181", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8181&g_ta_cod=8181", 11.0, 56.0, 33.0),
(10139, "Public", "0141796B", "Lycée Salvador Allende", "14", "Calvados", "Normandie", "Normandie", "Hérouville-Saint-Clair", "formation sélective", "BTS", "Lycée Salvador Allende - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 1354, 684, 1336, 0, 173, 29, 508, 134, 302, 103, 353, 18, 4, 1, 10, 3, 654, 7, 0, 0, 51, 5, 322, 77, 143, 45, 138, 243, 28, 17, 25, 3, 1.0, 15.0, 17.0, 0, 5, 21, 2, 9, 10, 7, 0, 5, 7, 8, 1, 0.0, 2, 7, 7, 3, 1, 21, 21, 3.57, 53.57, 60.71, 60.6953125, 100.0, 100.0, 14.298828125, 23.796875, 75.0, 0.0, 23.796875, 33.296875, 38.09375, 4.8, 0.0, 9.5, 9.5, 42.8984375, 33.296875, 47.59375, 33.296875, 12.0, 5.0, 71.0, 22.0, 58.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 102, "Bacheliers technologiques toutes séries", 141, "Liste d'appel propre à cette formation", 23.0, "2911", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2911&g_ta_cod=2911", 21.0, 43.0, 36.0),
(10140, "Public", "0260023J", "Lycée Du Dauphine", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Romans-sur-Isère", "formation sélective", "BTS", "Lycée Du Dauphine - BTS - Production - Métiers de la mode-chaussure et maroquinerie", "BTS - Production", "", 24, 224, 180, 217, 0, 23, 2, 26, 6, 118, 33, 50, 7, 0, 3, 0, 4, 174, 2, 0, 0, 17, 2, 20, 5, 100, 27, 37, 80, 23, 19, 23, 0, 6.0, 17.0, 20.0, 0, 8, 20, 2, 1, 17, 3, 0, 1, 8, 7, 4, 0.0, 1, 1, 17, 3, 2, 4, 4, 26.09, 73.91, 86.96, 82.59375, 20.0, 20.0, 15, 40.0, 87.0, 0.0, 5.0, 40.0, 35.0, 20.0, 0.0, 10.0, 5.0, 5.0, 5.0, 85.0, 85.0, 10.0, 2.0, 43.0, 17.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 41.0, "13110", "BTS - Production - Métiers de la mode-chaussure et maroquinerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13110&g_ta_cod=13110", 17.0, 9.0, 74.0),
(10141, "Public", "0170020E", "Lycée Emile Combes", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Pons", "formation sélective", "BTS", "Lycée Emile Combes - BTS - Services - Métiers des Services à l'environnement", "BTS - Services", "", 9, 139, 56, 127, 0, 23, 4, 37, 8, 15, 4, 52, 12, 2, 1, 5, 4, 72, 8, 0, 0, 23, 4, 30, 4, 14, 4, 5, 55, 9, 3, 7, 2, 3.0, 7.0, 9.0, 0, 1, 8, 2, 1, 5, 1, 0, 3, 3, 1, 1, 0.0, 0, 0, 5, 2, 0, 5, 5, 33.33, 77.78, 100.0, 33.296875, 62.5, 62.5, 25, 12.5, 88.890625, 0.0, 37.5, 37.5, 12.5, 12.5, 0.0, 25.0, 0.0, 12.5, 0.0, 62.5, 62.5, 18.0, 3.0, 15.0, 4.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 53.0, "19722", "BTS - Services - Métiers des Services à l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19722&g_ta_cod=19722", 22.0, 22.0, 56.0),
(10142, "Public", "0132276D", "Lycée professionnel Pierre Latecoere", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Istres", "formation sélective", "Autre formation", "Lycée professionnel Pierre Latecoere - Mention complémentaire - FCIL Technicien(ne) réseaux et services numériques", "Mention complémentaire", "", 12, 52, 3, 37, 0, 1, 0, 1, 0, 18, 9, 17, 15, 1, 0, 3, 11, 17, 9, 0, 0, 1, 0, 1, 0, 14, 7, 1, 22, 8, 0, 6, 2, 0.0, 6.0, 7.0, 0, 4, 7, 0, 0, 7, 1, 0, 3, 3, 1, 0, 0.0, 0, 0, 4, 0, 0, 7, 7, 0.0, 75.0, 87.5, 0.0, 100.0, 100.0, 0, 57.09375, 87.5, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 57.09375, 2.0, 1.0, 14.0, 9.0, 6.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "28580", "Mention complémentaire - FCIL Technicien(ne) réseaux et services numériques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28580&g_ta_cod=28580", 13.0, 0.0, 88.0),
(10143, "Public", "0330018R", "Lycée des Métiers Léonard de Vinci", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Blanquefort", "formation sélective", "BTS", "Lycée des Métiers Léonard de Vinci - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "BTS - Production", "", 24, 497, 69, 497, 0, 106, 13, 108, 23, 93, 23, 190, 0, 0, 0, 0, 0, 347, 0, 0, 0, 106, 13, 102, 21, 82, 20, 57, 149, 21, 3, 21, 0, 4.0, 15.0, 19.0, 0, 5, 20, 6, 4, 10, 1, 0, 8, 11, 1, 0, 0.0, 2, 3, 7, 0, 0, 12, 12, 19.05, 71.43, 90.48, 14.298828125, 60.0, 60.0, 0, 25.0, 95.1875, 0.0, 40.0, 55.0, 5.0, 0.0, 0.0, 30.0, 10.0, 20.0, 15.0, 50.0, 35.0, 48.0, 8.0, 37.0, 8.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 78.0, "Bacheliers technologiques toutes séries", 75, "Bacheliers professionnels toutes séries", 57, "Liste d'appel propre à cette formation", 42.0, "23999", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23999&g_ta_cod=23999", 33.0, 19.0, 48.0),
(10144, "Privé sous contrat d'association", "0596149N", "ECOLE D'EDUCATEURS SPECIALISES ANTENNE DE MAUBEUGE", "59", "Nord", "Hauts-de-France", "Lille", "Maubeuge", "formation sélective", "EFTS", "ECOLE D'EDUCATEURS SPECIALISES ANTENNE DE MAUBEUGE - D.E Educateur Spécialisé", "D.E secteur social", "", 27, 90, 71, 90, 0, 9, 1, 19, 5, 10, 4, 52, 0, 0, 0, 0, 0, 57, 0, 0, 0, 9, 1, 8, 3, 5, 1, 35, 50, 30, 25, 30, 0, 19.0, 30.0, 30.0, 0, 1, 10, 3, 6, 1, 20, 0, 4, 4, 1, 1, 0.0, 1, 4, 1, 0, 0, 8, 8, 63.33, 100.0, 100.0, 83.296875, 80.0, 80.0, 0, 10.0, 33.296875, 0.0, 40.0, 40.0, 10.0, 10.0, 0.0, 30.0, 10.0, 60.0, 40.0, 10.0, 10.0, 5.0, 0.0, 5.0, 1.0, 32.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "24943", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24943&g_ta_cod=24943", 33.0, 40.0, 27.0),
(10145, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Russe", "Licence - Arts-lettres-langues", "LLCER Russe", 15, 109, 73, 66, 0, 30, 14, 4, 2, 4, 2, 28, 43, 4, 4, 1, 34, 66, 38, 0, 0, 30, 14, 4, 2, 4, 2, 28, 93, 15, 7, 6, 9, 1.0, 6.0, 9.0, 0, 0, 5, 4, 1, 0, 10, 0, 2, 3, 0, 0, 0.0, 3, 0, 0, 0, 0, 4, 4, 6.67, 40.0, 60.0, 46.6953125, 80.0, 80.0, 0, 0.0, 33.296875, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 80.0, 60.0, 20.0, 0.0, 0.0, 0.0, 31.0, 11.0, 4.0, 2.0, 54.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "2730", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2730&g_ta_cod=2730", 67.0, 20.0, 7.0),
(10146, "Privé enseignement supérieur", "0340994W", "IDELCA Business School", "34", "Hérault", "Occitanie", "Montpellier", "Jacou", "formation sélective", "BTS", "IDELCA Business School - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 15, 209, 92, 202, 0, 31, 10, 64, 18, 57, 18, 50, 7, 1, 1, 3, 2, 191, 4, 0, 0, 31, 10, 62, 18, 53, 17, 45, 107, 6, 2, 6, 0, 0.0, 4.0, 5.0, 0, 1, 4, 0, 3, 1, 2, 0, 2, 1, 1, 0, 0.0, 0, 1, 1, 0, 0, 2, 2, 0.0, 66.67, 83.33, 33.296875, 50.0, 50.0, 0, 25.0, 66.6875, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 0.0, 0.0, 75.0, 25.0, 25.0, 25.0, 24.0, 10.0, 23.0, 9.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers technologiques toutes séries", 41, "Bacheliers professionnels toutes séries", 23, "Liste d'appel propre à cette formation", 52.0, "30188", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30188&g_ta_cod=30188", 33.0, 50.0, 17.0),
(10147, "Public", "0430112N", "LEGTPA Brioude-Bonnefont - Site de Fontannes", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Fontannes", "formation sélective", "BTS", "LEGTPA Brioude-Bonnefont - Site de Fontannes - BTS - Agricole - Gestion forestière", "BTS - Agricole", "", 24, 376, 73, 375, 0, 74, 9, 122, 11, 73, 12, 106, 1, 0, 0, 0, 1, 276, 0, 0, 0, 71, 9, 106, 9, 68, 11, 31, 104, 23, 5, 23, 0, 7.0, 16.0, 22.0, 0, 3, 22, 7, 8, 7, 1, 0, 7, 10, 5, 0, 0.0, 4, 6, 5, 2, 0, 14, 14, 30.43, 69.57, 95.65, 21.69921875, 63.59375, 63.59375, 9.099609375, 13.599609375, 95.6875, 0.0, 31.796875, 45.5, 22.69921875, 0.0, 0.0, 31.796875, 18.19921875, 36.3984375, 27.296875, 31.796875, 22.69921875, 26.0, 2.0, 22.0, 6.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 102, "Liste d'appel propre à cette formation", 64.0, "5407", "BTS - Agricole - Gestion forestière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5407&g_ta_cod=5407", 35.0, 35.0, 30.0),
(10148, "Public", "0820021C", "Lycée Antoine Bourdelle", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Montauban", "formation sélective", "Autre formation", "Lycée Antoine Bourdelle - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 4, 2, 0, 0, 0.0, 0.0, 0.0, 0, 2, 3, 0, 0, 3, 1, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 0.0, 0.0, 0.0, 50.0, 100.0, 100.0, 0, 66.6875, 75.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 9.0, 6.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22403", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(10149, "Public", "0540044E", "Lycée Arthur Varoquaux", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Tomblaine", "formation sélective", "BTS", "Lycée Arthur Varoquaux - BTS - Production - Métiers de la mesure", "BTS - Production", "", 24, 60, 14, 46, 0, 10, 0, 17, 5, 3, 2, 16, 14, 2, 4, 0, 8, 29, 5, 0, 0, 8, 0, 15, 5, 1, 1, 5, 35, 7, 1, 4, 3, 4.0, 4.0, 7.0, 0, 1, 2, 1, 1, 0, 5, 0, 1, 1, 0, 0, 0.0, 0, 1, 0, 2, 0, 2, 2, 57.14, 57.14, 100.0, 14.298828125, 100.0, 100.0, 100, 50.0, 28.59765625, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 8.0, 0.0, 1.0, 1.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 1, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 63.0, "6278", "BTS - Production - Métiers de la mesure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6278&g_ta_cod=6278", 43.0, 57.0, 0.0),
(10150, "Public", "0921619K", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS)", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Châtenay-Malabry", "formation sélective", "Autre formation", "CREPS d'Ile de France - Antenne de Châtenay-Malabry - DEJEPS - Judo-Jujitsu", "DEJEPS", "", 4, 24, 3, 16, 0, 4, 2, 3, 1, 2, 1, 7, 8, 0, 0, 3, 5, 5, 1, 0, 0, 1, 1, 0, 0, 0, 0, 4, 7, 3, 0, 3, 0, 3.0, 3.0, 3.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.0, 1.0, 1.0, 0.0, 4.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "21363", "DEJEPS - Judo-Jujitsu", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21363&g_ta_cod=21363", 0.0, 100.0, 0.0),
(10151, "Public", "0750672Y", "Esaa Duperré", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "Autre formation", "Esaa Duperré - DN MADE - Mode - - Spécialité : Stylisme, Image / Médiatisation", "DN MADE", "- Spécialité : Stylisme, Image / Médiatisation", 12, 1592, 1275, 1592, 0, 632, 100, 311, 67, 120, 40, 529, 0, 0, 0, 0, 0, 89, 0, 0, 0, 30, 3, 39, 4, 3, 0, 17, 22, 12, 8, 12, 0, 7.0, 11.0, 11.0, 0, 3, 11, 5, 6, 0, 1, 0, 0, 2, 5, 4, 0.0, 5, 6, 0, 0, 0, 5, 5, 58.33, 91.67, 91.67, 66.6875, 45.5, 45.5, 0, 27.296875, 91.6875, 0.0, 0.0, 18.19921875, 45.5, 36.4, 0.0, 45.5, 45.5, 54.5, 54.5, 0.0, 0.0, 8.0, 1.0, 0.0, 0.0, 2.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 1.0, "21963", "DN MADE - Mode - - Spécialité : Stylisme, Image / Médiatisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21963&g_ta_cod=21963", 42.0, 58.0, 0.0),
(10152, "Privé sous contrat d'association", "0850142T", "Lycée Notre-Dame", "85", "Vendée", "Pays de la Loire", "Nantes", "Challans", "formation sélective", "BTS", "Lycée Notre-Dame - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 92, 38, 81, 0, 21, 5, 34, 3, 14, 3, 12, 11, 5, 1, 0, 5, 68, 7, 0, 0, 21, 5, 32, 3, 11, 2, 4, 51, 12, 6, 10, 2, 9.0, 10.0, 11.0, 0, 2, 10, 2, 4, 4, 2, 0, 0, 3, 6, 1, 0.0, 2, 4, 4, 7, 2, 10, 10, 75.0, 83.33, 91.67, 50.0, 100.0, 100.0, 70, 20.0, 83.296875, 0.0, 0.0, 30.0, 60.0, 10.0, 0.0, 20.0, 20.0, 40.0, 40.0, 40.0, 40.0, 19.0, 6.0, 8.0, 2.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 79.0, "10510", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10510&g_ta_cod=10510", 33.0, 33.0, 33.0),
(10153, "Public", "0521032P", "Lycée Charles De Gaulle", "52", "Haute-Marne", "Grand Est", "Reims", "Chaumont", "formation sélective", "Autre formation", "Lycée Charles De Gaulle - DN MADE - Espace - - Spécialité : Univers et dispositifs de communication pour les marques et les institutions", "DN MADE", "- Spécialité : Univers et dispositifs de communication pour les marques et les institutions", 15, 266, 229, 266, 0, 86, 14, 94, 13, 45, 9, 41, 0, 0, 0, 0, 0, 154, 0, 0, 0, 46, 7, 74, 9, 20, 5, 14, 87, 14, 14, 14, 0, 2.0, 13.0, 14.0, 0, 0, 14, 4, 6, 4, 0, 0, 2, 7, 5, 0, 0.0, 4, 4, 4, 0, 0, 3, 3, 14.29, 92.86, 100.0, 100.0, 21.3984375, 21.3984375, 0, 0.0, 100.0, 0.0, 14.298828125, 50.0, 35.6953125, 0.0, 0.0, 28.59765625, 28.59765625, 42.8984375, 28.59765625, 28.59765625, 28.59765625, 22.0, 1.0, 12.0, 2.0, 4.0, "Tous les candidats", 144.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "24444", "DN MADE - Espace - - Spécialité : Univers et dispositifs de communication pour les marques et les institutions", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24444&g_ta_cod=24444", 29.0, 43.0, 29.0),
(10154, "Privé sous contrat d'association", "0890070T", "Lycée SAINT-JOSEPH", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Auxerre", "formation sélective", "BTS", "Lycée SAINT-JOSEPH - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 18, 117, 36, 113, 0, 21, 2, 17, 2, 62, 12, 13, 4, 0, 2, 0, 2, 62, 2, 0, 0, 7, 2, 7, 1, 47, 9, 1, 34, 17, 5, 16, 1, 10.0, 13.0, 17.0, 0, 4, 17, 2, 3, 12, 0, 0, 5, 3, 8, 1, 0.0, 0, 0, 12, 8, 3, 16, 16, 58.82, 76.47, 100.0, 29.3984375, 94.09375, 94.09375, 47.09375, 23.5, 100.0, 0.0, 29.3984375, 17.59765625, 47.09375, 5.9, 0.0, 11.798828125, 0.0, 17.59765625, 0.0, 70.59375, 70.59375, 6.0, 2.0, 18.0, 5.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers technologiques toutes séries", 7, "Bacheliers professionnels toutes séries", 17, "Liste d'appel propre à cette formation", 27.0, "33210", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33210&g_ta_cod=33210", 12.0, 18.0, 71.0),
(10155, "Privé sous contrat d'association", "0211090W", "Lycée saint bénigne", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée saint bénigne - BTS - Services - Gestion de la PME", "BTS - Services", "", 33, 507, 320, 507, 0, 90, 17, 150, 40, 131, 35, 136, 0, 0, 0, 0, 0, 395, 0, 0, 0, 84, 14, 128, 31, 108, 27, 75, 165, 28, 22, 28, 0, 2.0, 17.0, 22.0, 0, 4, 22, 5, 7, 10, 6, 1, 4, 14, 1, 2, 0.0, 3, 4, 10, 4, 4, 21, 21, 7.14, 60.71, 78.57, 78.59375, 95.5, 95.5, 18.19921875, 18.19921875, 78.59375, 4.5, 18.19921875, 63.59375, 4.5, 9.1, 0.0, 22.69921875, 13.599609375, 31.796875, 18.19921875, 45.5, 45.5, 29.0, 6.0, 58.0, 17.0, 30.0, "Tous les candidats sauf les Bac professionnels", 122.0, "Bacheliers professionnels toutes séries", 87, "", 0, "Liste d'appel propre à cette formation", 41.0, "3222", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3222&g_ta_cod=3222", 29.0, 29.0, 43.0),
(10156, "Privé sous contrat d'association", "0311177L", "Institut Limayrac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Institut Limayrac - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 418, 33, 368, 0, 72, 12, 105, 27, 68, 27, 123, 50, 0, 12, 6, 32, 226, 9, 0, 0, 61, 11, 77, 16, 45, 18, 43, 156, 28, 2, 22, 6, 8.0, 16.0, 22.0, 0, 2, 17, 2, 8, 7, 11, 0, 6, 7, 3, 1, 0.0, 1, 4, 6, 0, 0, 12, 12, 28.57, 57.14, 78.57, 7.099609375, 70.59375, 70.59375, 0, 11.798828125, 60.6953125, 0.0, 35.296875, 41.1953125, 17.59765625, 5.9, 0.0, 11.798828125, 5.8994140625, 47.09375, 23.5, 41.1953125, 35.296875, 31.0, 7.0, 29.0, 12.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 52.0, "4106", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4106&g_ta_cod=4106", 25.0, 43.0, 32.0),
(10157, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Autre formation", "Université de La Rochelle - C.M.I - Cursus Master en Ingénierie - Sciences de la terre - Cursus Master en Ingénierie", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie", 7, 96, 47, 92, 0, 63, 7, 0, 0, 1, 0, 28, 4, 0, 0, 0, 4, 86, 1, 0, 0, 59, 4, 0, 0, 0, 0, 27, 40, 7, 4, 6, 1, 0.0, 3.0, 4.0, 0, 0, 4, 4, 0, 0, 3, 0, 1, 0, 1, 2, 0.0, 3, 0, 0, 0, 0, 2, 2, 0.0, 42.86, 57.14, 57.09375, 50.0, 50.0, 0, 0.0, 57.09375, 0.0, 25.0, 0.0, 25.0, 50.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 16.0, 2.0, 0.0, 0.0, 24.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "19224", "C.M.I - Cursus Master en Ingénierie - Sciences de la terre - Cursus Master en Ingénierie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19224&g_ta_cod=19224", 100.0, 0.0, 0.0),
(10158, "Public", "0280019U", "Lycée Rotrou", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Dreux", "formation sélective", "BTS", "Lycée Rotrou - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 33, 409, 202, 360, 0, 30, 8, 118, 52, 128, 54, 84, 49, 0, 0, 30, 19, 230, 3, 0, 0, 28, 8, 106, 47, 58, 18, 38, 141, 32, 15, 31, 0, 3.0, 19.0, 24.0, 0, 14, 27, 4, 16, 7, 5, 0, 13, 12, 2, 0, 0.0, 0, 9, 5, 19, 7, 23, 23, 9.38, 59.38, 75.0, 46.8984375, 85.1875, 85.1875, 70.390625, 51.8984375, 84.390625, 0.0, 48.09375, 44.3984375, 7.3994140625, 0.0, 0.0, 14.798828125, 0.0, 59.296875, 33.296875, 25.8984375, 18.5, 18.0, 6.0, 60.0, 22.0, 9.0, "Tous les candidats sauf les Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 58, "", 0, "Liste d'appel propre à cette formation", 41.0, "3729", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3729&g_ta_cod=3729", 19.0, 59.0, 22.0),
(10159, "Public", "0530012A", "LGT Réaumur - Lycée des métiers", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "LGT Réaumur - Lycée des métiers - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 10, 151, 19, 134, 0, 4, 1, 52, 10, 41, 9, 37, 17, 0, 2, 3, 12, 99, 6, 0, 0, 4, 1, 52, 10, 40, 8, 3, 54, 8, 0, 6, 2, 3.0, 6.0, 7.0, 0, 2, 7, 1, 4, 2, 1, 0, 3, 3, 1, 0, 0.0, 0, 2, 2, 3, 0, 7, 7, 37.5, 75.0, 87.5, 0.0, 100.0, 100.0, 42.8984375, 28.59765625, 87.5, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 57.09375, 28.59765625, 28.59765625, 28.59765625, 4.0, 1.0, 13.0, 5.0, 4.0, "Tous les candidats sauf les Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 58.0, "6200", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6200&g_ta_cod=6200", 13.0, 63.0, 25.0),
(10160, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand disciplinaire", "Licence - Arts-lettres-langues", "Allemand disciplinaire", 50, 52, 38, 42, 0, 27, 6, 2, 0, 0, 0, 13, 10, 0, 0, 1, 9, 42, 9, 0, 0, 27, 6, 2, 0, 0, 0, 13, 51, 9, 8, 6, 3, 6.0, 6.0, 6.0, 0, 1, 3, 3, 0, 0, 6, 0, 1, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 3, 3, 66.67, 66.67, 66.67, 88.890625, 100.0, 100.0, 0, 33.296875, 33.296875, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 27.0, 6.0, 1.0, 0.0, 21.0, "Tous les candidats", 42.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7642", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand disciplinaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7642&g_ta_cod=7642", 100.0, 0.0, 0.0),
(10161, "Privé sous contrat d'association", "0596147L", "IRTS HDF - Site Grand Littoral", "59", "Nord", "Hauts-de-France", "Lille", "Grande-Synthe", "formation sélective", "EFTS", "IRTS HDF - Site Grand Littoral - D.E Assistant de Service Social", "D.E secteur social", "", 14, 53, 48, 48, 0, 14, 4, 13, 4, 0, 0, 21, 5, 0, 0, 1, 4, 23, 1, 0, 0, 7, 1, 5, 1, 0, 0, 11, 24, 14, 14, 13, 1, 7.0, 13.0, 14.0, 0, 2, 6, 3, 3, 0, 8, 0, 1, 2, 3, 0, 0.0, 3, 2, 0, 0, 0, 6, 6, 50.0, 92.86, 100.0, 100.0, 100.0, 100.0, 0, 33.296875, 42.8984375, 0.0, 16.69921875, 33.296875, 50.0, 0.0, 0.0, 50.0, 50.0, 50.0, 33.296875, 0.0, 0.0, 7.0, 1.0, 0.0, 0.0, 12.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "24940", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24940&g_ta_cod=24940", 64.0, 36.0, 0.0),
(10162, "Public", "0912412C", "Ecole Universitaire de premier cycle - Campus de Sceaux Université Paris-Saclay", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "Licence", "Ecole Universitaire de premier cycle - Campus de Sceaux Université Paris-Saclay - Licence - Double diplôme - Licence Droit - Parcours Langues et Civilisations - option Anglais et Espagnol", "Licence - Droit-économie-gestion", "Parcours Langues et Civilisations - option Anglais et Espagnol", 30, 416, 343, 416, 0, 328, 58, 14, 5, 2, 1, 72, 0, 0, 0, 0, 0, 329, 0, 0, 0, 268, 40, 2, 0, 1, 1, 58, 146, 30, 28, 30, 0, 2.0, 30.0, 30.0, 0, 4, 21, 21, 0, 0, 9, 0, 0, 5, 12, 4, 0.0, 21, 0, 0, 0, 0, 12, 15, 6.67, 100.0, 100.0, 93.296875, 57.09375, 71.390625, 0, 19.0, 70.0, 0.0, 0.0, 23.796875, 57.09375, 19.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 109.0, 22.0, 1.0, 1.0, 36.0, "Tous les candidats", 185.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "11120", "Licence - Double diplôme - Licence Droit - Parcours Langues et Civilisations - option Anglais et Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11120&g_ta_cod=11120", 100.0, 0.0, 0.0),
(10163, "Privé sous contrat d'association", "0542295B", "Lycée Saint Michel", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Art-sur-Meurthe", "formation sélective", "BTS", "Lycée Saint Michel - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 15, 73, 3, 73, 0, 6, 1, 10, 1, 38, 8, 19, 0, 0, 0, 0, 0, 73, 0, 0, 0, 6, 1, 10, 1, 38, 8, 19, 45, 13, 0, 13, 0, 8.0, 12.0, 12.0, 0, 1, 12, 1, 0, 11, 1, 0, 3, 5, 3, 1, 0.0, 0, 0, 9, 0, 0, 12, 12, 61.54, 92.31, 92.31, 0.0, 100.0, 100.0, 0, 8.298828125, 92.296875, 0.0, 25.0, 41.6953125, 25.0, 8.3, 0.0, 8.298828125, 0.0, 0.0, 0.0, 91.6875, 75.0, 6.0, 1.0, 27.0, 6.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 62.0, "6379", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6379&g_ta_cod=6379", 15.0, 0.0, 85.0),
(10164, "Privé sous contrat d'association", "0640176U", "Institut du Travail Social de Pau", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "EFTS", "Institut du Travail Social de Pau - D.E Assistant de Service Social", "D.E secteur social", "", 45, 180, 170, 156, 0, 26, 6, 21, 7, 11, 2, 98, 24, 6, 0, 3, 15, 101, 2, 0, 0, 17, 1, 13, 7, 7, 0, 64, 87, 37, 35, 36, 1, 16.0, 36.0, 36.0, 0, 2, 13, 4, 4, 5, 24, 0, 0, 7, 5, 1, 0.0, 4, 4, 5, 0, 0, 10, 10, 43.24, 97.3, 97.3, 94.59375, 76.890625, 76.890625, 0, 15.3984375, 35.09375, 0.0, 0.0, 53.796875, 38.5, 7.7, 0.0, 30.796875, 30.796875, 30.796875, 30.796875, 38.5, 38.5, 11.0, 0.0, 8.0, 1.0, 57.0, "Tous les candidats", 101.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "24962", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24962&g_ta_cod=24962", 49.0, 27.0, 24.0),
(10165, "Privé sous contrat d'association", "0851642Y", "LGT PRIVE SAINT-FRANCOIS D'ASSISE", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "CPGE", "LGT PRIVE SAINT-FRANCOIS D'ASSISE - CPGE - MPSI", "Classe préparatoire scientifique", "", 24, 306, 67, 306, 211, 254, 21, 1, 1, 0, 0, 51, 0, 0, 0, 0, 0, 224, 0, 164, 215, 220, 15, 0, 0, 0, 0, 4, 167, 24, 4, 24, 0, 5.0, 17.0, 24.0, 17, 2, 24, 24, 0, 0, 0, 0, 0, 5, 16, 3, 0.0, 24, 0, 0, 5, 0, 24, 24, 20.83, 70.83, 100.0, 16.69921875, 100.0, 100.0, 20.796875, 8.298828125, 100.0, 0.0, 0.0, 20.796875, 66.6875, 12.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 167.0, 11.0, 0.0, 0.0, 0.0, "Tous les candidats", 202.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "10491", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10491&g_ta_cod=10491", 100.0, 0.0, 0.0),
(10166, "Privé hors contrat", "0311098A", "Pôle formation recherche Institut Saint Simon", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "EFTS", "Pôle formation recherche Institut Saint Simon - D.E Educateur Spécialisé", "D.E secteur social", "", 57, 597, 483, 597, 0, 78, 13, 74, 18, 40, 16, 405, 0, 0, 0, 0, 0, 162, 0, 0, 0, 8, 0, 4, 2, 4, 1, 146, 118, 56, 42, 56, 0, 31.0, 53.0, 54.0, 0, 0, 1, 0, 0, 1, 55, 0, 0, 0, 0, 1, 0.0, 0, 0, 1, 0, 0, 1, 1, 55.36, 94.64, 96.43, 75.0, 100.0, 100.0, 0, 0.0, 1.7998046875, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 4.0, 0.0, 2.0, 1.0, 108.0, "Tous les candidats", 140.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "25299", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25288&g_ta_cod=25299", 54.0, 21.0, 23.0),
(10167, "Privé sous contrat d'association", "0100059K", "Lycée LA SALLE", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BTS", "Lycée LA SALLE - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 16, 94, 18, 84, 0, 6, 1, 20, 5, 8, 1, 50, 10, 0, 2, 1, 7, 35, 7, 0, 0, 6, 1, 20, 5, 7, 1, 2, 41, 2, 0, 2, 0, 2.0, 2.0, 2.0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 1, 1, 0, 0.0, 1, 0, 1, 0, 0, 2, 2, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 50.0, 50.0, 6.0, 1.0, 8.0, 2.0, 6.0, "Tous les candidats sauf les Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 42.0, "2419", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2419&g_ta_cod=2419", 50.0, 0.0, 50.0),
(10168, "Privé sous contrat d'association", "0300127A", "Lycée St Vincent De Paul", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée St Vincent De Paul - BTS - Services - Tourisme", "BTS - Services", "", 70, 443, 314, 420, 0, 113, 22, 83, 29, 102, 46, 122, 23, 0, 7, 1, 15, 330, 17, 0, 0, 109, 22, 68, 21, 74, 33, 79, 279, 56, 42, 47, 9, 13.0, 44.0, 46.0, 0, 12, 42, 20, 9, 13, 14, 0, 12, 20, 6, 4, 0.0, 13, 6, 11, 7, 6, 30, 30, 23.21, 78.57, 82.14, 75.0, 71.390625, 71.390625, 16.69921875, 28.59765625, 75.0, 0.0, 28.59765625, 47.59375, 14.298828125, 9.5, 0.0, 47.59375, 31.0, 21.3984375, 14.298828125, 31.0, 26.19921875, 87.0, 19.0, 58.0, 26.0, 71.0, "Tous les candidats sauf les Bac professionnels", 247.0, "Bacheliers professionnels toutes séries", 80, "", 0, "Liste d'appel propre à cette formation", 78.0, "3978", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3978&g_ta_cod=3978", 52.0, 18.0, 30.0),
(10169, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 80, 338, 139, 274, 0, 198, 39, 19, 4, 8, 2, 49, 64, 15, 1, 5, 43, 274, 63, 0, 0, 198, 39, 19, 4, 8, 2, 49, 337, 57, 23, 36, 21, 36.0, 36.0, 51.0, 0, 7, 39, 32, 5, 2, 18, 0, 20, 17, 2, 0, 0.0, 17, 2, 0, 0, 0, 30, 30, 63.16, 63.16, 89.47, 40.3984375, 76.890625, 76.890625, 0, 17.8984375, 68.390625, 0.0, 51.296875, 43.59375, 5.099609375, 0.0, 0.0, 82.09375, 43.59375, 12.798828125, 5.099609375, 5.099609375, 0.0, 213.0, 42.0, 12.0, 4.0, 92.0, "Tous les candidats", 274.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7739", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7739&g_ta_cod=7739", 77.0, 11.0, 9.0),
(10170, "Public", "0720017C", "Lycée Polyvalent Robert Garnier", "72", "Sarthe", "Pays de la Loire", "Nantes", "La Ferté-Bernard", "formation sélective", "BTS", "Lycée Polyvalent Robert Garnier - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 10, 71, 5, 63, 0, 1, 0, 18, 3, 21, 7, 23, 8, 0, 2, 2, 4, 26, 3, 0, 0, 1, 0, 12, 1, 12, 3, 1, 25, 3, 0, 1, 2, 1.0, 1.0, 3.0, 0, 2, 2, 0, 0, 2, 1, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 1, 0, 2, 2, 33.33, 33.33, 100.0, 0.0, 100.0, 100.0, 50, 100.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 1.0, 0.0, 9.0, 3.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 38.0, "8686", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8686&g_ta_cod=8686", 0.0, 33.0, 67.0),
(10171, "Public", "7200583W", "Lycée Paul Vincensini", "2B", "Haute-Corse", "Corse", "Corse", "Bastia", "formation sélective", "BTS", "Lycée Paul Vincensini - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 142, 86, 137, 0, 8, 2, 53, 23, 27, 12, 49, 5, 0, 0, 2, 3, 83, 3, 0, 0, 5, 1, 39, 17, 21, 8, 18, 78, 16, 12, 15, 1, 5.0, 13.0, 15.0, 0, 4, 9, 0, 6, 3, 7, 0, 2, 6, 1, 0, 0.0, 0, 5, 2, 5, 2, 9, 9, 31.25, 81.25, 93.75, 75.0, 100.0, 100.0, 55.59375, 44.3984375, 56.296875, 0.0, 22.19921875, 66.6875, 11.099609375, 0.0, 0.0, 0.0, 0.0, 66.6875, 55.59375, 33.296875, 22.19921875, 5.0, 1.0, 23.0, 8.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 57.0, "11704", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11704&g_ta_cod=11704", 0.0, 63.0, 38.0),
(10172, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Polonais et Gestion  Management et sciences humaines (MSH)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Polonais et Gestion  Management et sciences humaines (MSH)", 5, 113, 70, 16, 0, 8, 1, 1, 0, 0, 0, 7, 97, 21, 11, 0, 65, 16, 2, 0, 0, 8, 1, 1, 0, 0, 0, 7, 14, 5, 2, 3, 2, 2.0, 3.0, 4.0, 0, 0, 3, 3, 0, 0, 2, 0, 1, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 1, 1, 40.0, 60.0, 80.0, 40.0, 33.296875, 33.296875, 0, 0.0, 60.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 8.0, 1.0, 0.0, 0.0, 6.0, "Tous les candidats", 13.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "8522", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Polonais et Gestion  Management et sciences humaines (MSH)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8522&g_ta_cod=8522", 80.0, 20.0, 0.0),
(10173, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Physique, chimie - Chimie (tronc commun en L1 avec Mathématiques et Physique)", "Licence - Sciences - technologies - santé", "Chimie (tronc commun L1 avec Mathématiques et Physique)", 19, 276, 159, 260, 0, 181, 24, 7, 0, 1, 1, 71, 16, 4, 0, 0, 12, 260, 13, 0, 0, 181, 24, 7, 0, 1, 1, 71, 149, 17, 9, 14, 3, 3.0, 9.0, 16.0, 0, 4, 11, 11, 0, 0, 6, 0, 3, 6, 2, 0, 0.0, 8, 0, 0, 0, 0, 6, 6, 17.65, 52.94, 94.12, 52.8984375, 54.5, 54.5, 0, 36.3984375, 64.6875, 0.0, 27.296875, 54.5, 18.19921875, 0.0, 0.0, 100.0, 72.6875, 0.0, 0.0, 0.0, 0.0, 77.0, 16.0, 1.0, 1.0, 70.0, "Tous les candidats", 314.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "8824", "Licence - Portail Physique, chimie - Chimie (tronc commun en L1 avec Mathématiques et Physique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28716&g_ta_cod=8824", 94.0, 0.0, 6.0),
(10174, "Public", "0750558Z", "Lycée Paul Poiret", "75", "Paris", "Ile-de-France", "Paris", "Paris 11e  Arrondissement", "formation sélective", "Autre formation", "Lycée Paul Poiret - DN MADE - Spectacle - - Spécialité : Étude, recherche et réalisation de costumes pour le spectacle vivant", "DN MADE", "- Spécialité : Étude, recherche et réalisation de costumes pour le spectacle vivant", 14, 518, 471, 518, 0, 141, 17, 131, 18, 58, 16, 188, 0, 0, 0, 0, 0, 89, 0, 0, 0, 28, 2, 42, 2, 0, 0, 19, 32, 14, 12, 14, 0, 4.0, 13.0, 13.0, 0, 3, 12, 6, 6, 0, 2, 0, 0, 0, 6, 6, 0.0, 6, 6, 0, 0, 0, 1, 4, 28.57, 92.86, 92.86, 85.6875, 8.298828125, 33.296875, 0, 25.0, 85.6875, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 12.0, 2.0, 0.0, 0.0, 3.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "21761", "DN MADE - Spectacle - - Spécialité : Étude, recherche et réalisation de costumes pour le spectacle vivant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21761&g_ta_cod=21761", 57.0, 43.0, 0.0),
(10175, "Privé sous contrat d'association", "0490077T", "ARIFTS PAYS DE LA LOIRE - ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "EFTS", "ARIFTS PAYS DE LA LOIRE - REZE - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 34, 459, 444, 459, 0, 72, 13, 95, 9, 57, 8, 235, 0, 0, 0, 0, 0, 389, 0, 0, 0, 66, 12, 84, 5, 45, 6, 194, 78, 32, 31, 32, 0, 11.0, 22.0, 30.0, 0, 3, 9, 6, 2, 1, 23, 0, 1, 4, 2, 2, 0.0, 5, 2, 1, 0, 0, 5, 5, 34.38, 68.75, 93.75, 96.890625, 55.59375, 55.59375, 0, 33.296875, 28.09765625, 0.0, 11.099609375, 44.3984375, 22.19921875, 22.2, 0.0, 66.6875, 55.59375, 22.19921875, 22.19921875, 11.099609375, 11.099609375, 10.0, 2.0, 5.0, 0.0, 55.0, "Tous les candidats", 111.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "29076", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24887&g_ta_cod=29076", 56.0, 28.0, 16.0),
(10176, "Public", "0160020K", "Lycée Jean Monnet", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Cognac", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Services - Support à l'action managériale", "BTS - Services", "", 13, 115, 77, 114, 0, 5, 1, 34, 6, 42, 20, 33, 1, 0, 0, 0, 1, 89, 0, 0, 0, 5, 1, 28, 5, 35, 17, 21, 59, 11, 6, 11, 0, 2.0, 9.0, 11.0, 0, 3, 8, 0, 2, 6, 3, 0, 1, 6, 1, 0, 0.0, 0, 2, 5, 7, 3, 8, 8, 18.18, 81.82, 100.0, 54.5, 100.0, 100.0, 87.5, 37.5, 72.6875, 0.0, 12.5, 75.0, 12.5, 0.0, 0.0, 0.0, 0.0, 25.0, 25.0, 75.0, 62.5, 3.0, 1.0, 19.0, 10.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 59.0, "2989", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2989&g_ta_cod=2989", 18.0, 27.0, 55.0),
(10177, "Public", "0340030Y", "Lycée Louis Feuillade", "34", "Hérault", "Occitanie", "Montpellier", "Lunel", "formation sélective", "BTS", "Lycée Louis Feuillade - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 272, 140, 235, 0, 16, 5, 101, 60, 64, 33, 54, 37, 0, 0, 25, 12, 148, 2, 0, 0, 16, 5, 97, 60, 34, 18, 1, 54, 15, 5, 14, 1, 4.0, 14.0, 15.0, 0, 8, 15, 0, 9, 6, 0, 0, 5, 6, 2, 2, 0.0, 0, 5, 5, 13, 4, 14, 14, 26.67, 93.33, 100.0, 33.296875, 93.296875, 93.296875, 86.6875, 53.296875, 100.0, 0.0, 33.296875, 40.0, 13.298828125, 13.3, 0.0, 0.0, 0.0, 60.0, 33.296875, 40.0, 33.296875, 8.0, 4.0, 21.0, 11.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 32.0, "4480", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4480&g_ta_cod=4480", 0.0, 60.0, 40.0),
(10178, "Privé sous contrat d'association", "0920919Z", "Lycée Notre Dame de Ste Croix", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Neuilly-sur-Seine", "formation sélective", "CPGE", "Lycée Notre Dame de Ste Croix - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 20, 735, 340, 709, 0, 665, 21, 0, 0, 0, 0, 44, 26, 16, 0, 0, 10, 375, 2, 0, 375, 373, 2, 0, 0, 0, 0, 2, 238, 11, 6, 10, 1, 0.0, 5.0, 11.0, 0, 0, 11, 11, 0, 0, 0, 0, 0, 0, 7, 4, 0.0, 11, 0, 0, 1, 0, 8, 9, 0.0, 45.45, 100.0, 54.5, 72.6875, 81.796875, 9.099609375, 0.0, 100.0, 0.0, 0.0, 0.0, 63.59375, 36.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 236.0, 2.0, 0.0, 0.0, 2.0, "Tous les candidats", 377.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "31410", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31410&g_ta_cod=31410", 100.0, 0.0, 0.0),
(10179, "Public", "0772347H", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lieusaint", "formation sélective", "BUT", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC - BUT - Génie électrique et informatique industrielle Parcours : AII: Automatisme et Informatique Industrielle - EME : Electricité et Maîtrise de l?Ene - ESE : Electronique et Systèmes Embarqués", "BUT - Production", "AII: Automatisme et Informatique Industrielle - EME : Electricité et Maîtrise de l?Ene - ESE : Electronique et Systèmes Embarqués", 84, 708, 51, 708, 0, 351, 88, 187, 45, 16, 8, 154, 0, 0, 0, 0, 0, 499, 0, 0, 0, 279, 64, 154, 34, 3, 2, 63, 290, 81, 3, 81, 0, 16.0, 69.0, 78.0, 0, 21, 70, 34, 36, 0, 11, 1, 22, 32, 15, 0, 0.0, 22, 25, 0, 0, 0, 40, 70, 19.75, 85.19, 96.3, 3.69970703125, 57.09375, 100.0, 0, 30.0, 86.390625, 1.39990234375, 31.3984375, 45.6953125, 21.3984375, 0.0, 0.0, 48.59375, 31.3984375, 51.3984375, 35.6953125, 0.0, 0.0, 152.0, 35.0, 3.0, 2.0, 37.0, "Tous les candidats sauf les Bac technologiques", 243.0, "Bacheliers technologiques toutes séries", 134, "", 0, "Liste d'appel propre à cette formation", 53.0, "9893", "BUT - Génie électrique et informatique industrielle Parcours : AII: Automatisme et Informatique Industrielle - EME : Electricité et Maîtrise de l?Ene - ESE : Electronique et Systèmes Embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9893&g_ta_cod=9893", 51.0, 49.0, 0.0),
(10180, "Privé sous contrat d'association", "0060774J", "Lycée Saint Joseph", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 293, 144, 272, 0, 57, 11, 100, 29, 41, 17, 74, 21, 1, 0, 12, 8, 223, 8, 0, 0, 56, 11, 94, 28, 27, 9, 46, 145, 17, 6, 14, 3, 1.0, 9.0, 13.0, 0, 4, 12, 1, 7, 4, 5, 0, 5, 7, 0, 0, 0.0, 1, 4, 2, 1, 0, 10, 10, 5.88, 52.94, 76.47, 35.296875, 83.296875, 83.296875, 8.298828125, 33.296875, 70.59375, 0.0, 41.6953125, 58.296875, 0.0, 0.0, 0.0, 8.298828125, 8.298828125, 58.296875, 33.296875, 33.296875, 16.69921875, 37.0, 10.0, 27.0, 10.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 64.0, "2245", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2245&g_ta_cod=2245", 18.0, 59.0, 24.0),
(10181, "Public", "0350031U", "Lycée professionnel Jean Jaures", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Lycée professionnel Jean Jaures - DN MADE - Instrument - - Spécialité : Création, innovation et tradition horlogères", "DN MADE", "- Spécialité : Création, innovation et tradition horlogères", 12, 152, 68, 152, 0, 53, 4, 20, 5, 5, 3, 74, 0, 0, 0, 0, 0, 152, 0, 0, 0, 53, 4, 20, 5, 5, 3, 74, 21, 12, 7, 12, 0, 7.0, 10.0, 11.0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 58.33, 83.33, 91.67, 58.296875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 21.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "21614", "DN MADE - Instrument - - Spécialité : Création, innovation et tradition horlogères", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21614&g_ta_cod=21614", 17.0, 0.0, 0.0),
(10182, "Privé enseignement supérieur", "0121367W", "EGC Rodez", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "Ecole de Commerce", "EGC d'Occitanie - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "Formation Bac + 3", 40, 117, 50, 112, 0, 85, 9, 10, 1, 3, 1, 14, 5, 3, 1, 0, 1, 96, 1, 0, 0, 76, 8, 8, 0, 3, 1, 9, 79, 21, 9, 20, 1, 16.0, 20.0, 21.0, 0, 3, 18, 12, 3, 3, 3, 0, 7, 8, 3, 0, 0.0, 8, 2, 1, 0, 0, 16, 16, 76.19, 95.24, 100.0, 42.8984375, 88.890625, 88.890625, 0, 16.69921875, 85.6875, 0.0, 38.8984375, 44.3984375, 16.69921875, 0.0, 0.0, 66.6875, 44.3984375, 16.69921875, 11.099609375, 16.69921875, 5.599609375, 62.0, 7.0, 3.0, 1.0, 8.0, "Tous les candidats", 183.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 86.0, "12066", "Formation des écoles de commerce et de management Bac + 3", "EGC d'Occitanie", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12059&g_ta_cod=12066", 71.0, 14.0, 14.0),
(10183, "Public", "0511219Y", "Lycée agricole Viticole De La Champagne", "51", "Marne", "Grand Est", "Reims", "Avize", "formation sélective", "BTS", "Lycée agricole Viticole De La Champagne - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 27, 345, 154, 328, 0, 25, 4, 30, 5, 49, 8, 224, 17, 1, 1, 2, 13, 67, 5, 0, 0, 13, 1, 15, 2, 32, 4, 7, 60, 12, 8, 11, 1, 6.0, 11.0, 11.0, 0, 1, 9, 1, 4, 4, 3, 0, 1, 5, 3, 0, 0.0, 1, 3, 4, 2, 2, 7, 7, 50.0, 91.67, 91.67, 66.6875, 77.796875, 77.796875, 22.19921875, 11.099609375, 75.0, 0.0, 11.099609375, 55.59375, 33.296875, 0.0, 0.0, 11.099609375, 11.099609375, 44.3984375, 33.296875, 44.3984375, 44.3984375, 13.0, 1.0, 21.0, 1.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 20.0, "6113", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6113&g_ta_cod=6113", 25.0, 33.0, 42.0),
(10184, "Privé enseignement supérieur", "0756053X", "Yschools - École Supérieure de Tourisme de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "Ecole de Commerce", "Yschools - École Supérieure de Tourisme de Troyes - Formation des écoles de commerce et de management Bac + 3 - Bachelor in Tourism management", "Formation des écoles de commerce et de management", "Bachelor in Tourism management", 30, 83, 62, 67, 0, 46, 10, 8, 2, 3, 1, 10, 16, 6, 0, 4, 6, 47, 2, 0, 0, 38, 8, 1, 0, 1, 0, 7, 49, 7, 5, 6, 1, 6.0, 6.0, 7.0, 0, 2, 5, 5, 0, 0, 2, 0, 3, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 1, 4, 85.71, 85.71, 100.0, 71.390625, 20.0, 80.0, 0, 40.0, 71.390625, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 100.0, 40.0, 0.0, 0.0, 0.0, 0.0, 39.0, 8.0, 1.0, 0.0, 8.0, "Tous les candidats", 83.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 70.0, "29695", "Formation des écoles de commerce et de management Bac + 3 - Bachelor in Tourism management", "Yschools - École Supérieure de Tourisme de Troyes", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29429&g_ta_cod=29695", 71.0, 29.0, 0.0),
(10185, "Public", "0740005D", "Lycée Gabriel Fauré", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BTS", "Lycée Gabriel Fauré - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 625, 542, 608, 0, 47, 13, 163, 53, 183, 71, 215, 17, 0, 3, 3, 11, 326, 2, 0, 0, 35, 11, 113, 36, 122, 43, 56, 217, 29, 27, 28, 0, 8.0, 19.0, 25.0, 0, 8, 21, 3, 12, 6, 8, 0, 10, 9, 2, 0, 0.0, 1, 6, 4, 3, 3, 16, 16, 27.59, 65.52, 86.21, 93.09375, 76.1875, 76.1875, 14.298828125, 38.09375, 72.390625, 0.0, 47.59375, 42.8984375, 9.5, 0.0, 0.0, 14.298828125, 4.7998046875, 57.09375, 28.59765625, 28.59765625, 19.0, 19.0, 6.0, 71.0, 18.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 107, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 39.0, "8850", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8850&g_ta_cod=8850", 14.0, 48.0, 38.0),
(10186, "Public", "0802119U", "INST FORM MANIP RADIO MEDICALE CHU AMIENS IFMEM", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Autre formation", "INST FORM MANIP RADIO MEDICALE CHU AMIENS IFMEM - D.E manipulateur/trice en électroradiologie médicale", "D.E secteur sanitaire", "", 31, 686, 525, 686, 0, 153, 30, 180, 44, 14, 6, 339, 0, 0, 0, 0, 0, 686, 0, 0, 0, 153, 30, 180, 44, 14, 6, 339, 164, 31, 22, 30, 0, 2.0, 18.0, 25.0, 0, 5, 13, 9, 4, 0, 18, 0, 2, 4, 7, 0, 0.0, 7, 4, 0, 0, 0, 7, 7, 6.45, 58.06, 80.65, 71.0, 53.796875, 53.796875, 0, 38.5, 41.8984375, 0.0, 15.3984375, 30.796875, 53.796875, 0.0, 0.0, 69.1875, 53.796875, 30.796875, 30.796875, 0.0, 0.0, 47.0, 17.0, 0.0, 0.0, 104.0, "Tous les candidats", 231.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "19432", "D.E manipulateur/trice en électroradiologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19432&g_ta_cod=19432", 84.0, 16.0, 0.0),
(10187, "Privé sous contrat d'association", "0290168A", "Lycée-Collège Saint Gabriel", "29", "Finistère", "Bretagne", "Rennes", "Pont-l'Abbé", "formation sélective", "BTS", "Lycée-Collège Saint Gabriel - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 35, 227, 53, 222, 0, 24, 1, 51, 2, 70, 13, 77, 5, 0, 0, 0, 5, 136, 1, 0, 0, 24, 1, 44, 2, 64, 9, 4, 87, 29, 4, 29, 0, 21.0, 28.0, 29.0, 0, 4, 28, 1, 5, 22, 1, 0, 7, 4, 16, 1, 0.0, 1, 0, 20, 20, 3, 28, 28, 72.41, 96.55, 100.0, 13.798828125, 100.0, 100.0, 71.390625, 14.298828125, 96.59375, 0.0, 25.0, 14.298828125, 57.09375, 3.6, 0.0, 3.599609375, 3.599609375, 17.8984375, 0.0, 78.59375, 71.390625, 16.0, 1.0, 42.0, 5.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 55.0, "3905", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3905&g_ta_cod=3905", 7.0, 17.0, 76.0),
(10188, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Lettres - Parcours Lettres modernes", "Licence - Arts-lettres-langues", "Lettres modernes", 55, 411, 302, 284, 0, 191, 60, 10, 6, 12, 7, 71, 127, 11, 11, 11, 94, 280, 112, 0, 0, 191, 60, 10, 6, 12, 7, 67, 332, 52, 38, 25, 27, 3.0, 24.0, 38.0, 0, 10, 20, 13, 3, 4, 32, 1, 5, 9, 4, 0, 1.0, 11, 2, 1, 0, 0, 16, 16, 5.77, 46.15, 73.08, 73.09375, 80.0, 80.0, 0, 50.0, 38.5, 5.0, 25.0, 45.0, 20.0, 0.0, 5.0, 65.0, 55.0, 15.0, 10.0, 20.0, 5.0, 164.0, 50.0, 19.0, 12.0, 130.0, "Tous les candidats", 276.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "5342", "Licence - Lettres - Parcours Lettres modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5342&g_ta_cod=5342", 54.0, 15.0, 29.0),
(10189, "Public", "0511571F", "IFSI Epernay", "51", "Marne", "Grand Est", "Reims", "Epernay", "formation sélective", "IFSI", "Regroupement d'IFSI Université Reims - D.E Infirmier", "D.E secteur sanitaire", "", 40, 2471, 2113, 2471, 0, 429, 99, 557, 173, 234, 95, 1251, 0, 0, 0, 0, 0, 1990, 0, 0, 0, 356, 75, 462, 126, 184, 69, 988, 450, 40, 36, 40, 0, 0.0, 14.0, 32.0, 0, 7, 23, 7, 8, 8, 17, 0, 3, 12, 7, 1, 0.0, 6, 7, 7, 0, 0, 17, 17, 0.0, 35.0, 80.0, 90.0, 73.890625, 73.890625, 0, 30.3984375, 57.5, 0.0, 13.0, 52.1953125, 30.3984375, 4.3, 0.0, 30.3984375, 26.09765625, 34.796875, 30.3984375, 34.796875, 30.3984375, 47.0, 9.0, 41.0, 9.0, 251.0, "Tous les candidats", 1539.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 41.0, "23220", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22986&g_ta_cod=23220", 43.0, 28.0, 30.0),
(10190, "Public", "0590093F", "Lycée Beaupré", "59", "Nord", "Hauts-de-France", "Lille", "Haubourdin", "formation sélective", "BTS", "Lycée Beaupré - BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "BTS - Production", "", 15, 52, 7, 44, 0, 2, 0, 4, 0, 21, 6, 17, 8, 0, 4, 0, 4, 34, 4, 0, 0, 2, 0, 4, 0, 20, 6, 8, 31, 13, 1, 13, 0, 8.0, 13.0, 13.0, 0, 3, 9, 1, 0, 8, 4, 0, 3, 3, 2, 1, 0.0, 0, 0, 6, 2, 0, 9, 9, 61.54, 100.0, 100.0, 7.69921875, 100.0, 100.0, 22.19921875, 33.296875, 69.1875, 0.0, 33.296875, 33.296875, 22.19921875, 11.1, 0.0, 11.099609375, 0.0, 0.0, 0.0, 88.890625, 66.6875, 1.0, 0.0, 16.0, 6.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 6, "Liste d'appel propre à cette formation", 73.0, "20146", "BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20146&g_ta_cod=20146", 31.0, 8.0, 62.0),
(10191, "Privé sous contrat d'association", "0761343X", "Lycée La Chataigneraie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Mesnil-Esnard", "formation sélective", "BTS", "Lycée La Chataigneraie - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 45, 356, 23, 273, 0, 48, 6, 71, 18, 68, 16, 86, 83, 5, 12, 18, 48, 171, 17, 0, 0, 37, 5, 57, 13, 43, 8, 34, 137, 48, 2, 37, 11, 14.0, 25.0, 41.0, 0, 9, 33, 4, 13, 16, 15, 0, 12, 14, 6, 1, 0.0, 3, 2, 16, 11, 1, 31, 31, 29.17, 52.08, 85.42, 4.19921875, 93.890625, 93.890625, 33.296875, 27.296875, 68.796875, 0.0, 36.3984375, 42.3984375, 18.19921875, 3.0, 0.0, 12.099609375, 9.099609375, 39.3984375, 6.099609375, 48.5, 48.5, 30.0, 4.0, 46.0, 8.0, 32.0, "Tous les candidats sauf les Bac professionnels", 124.0, "Bacheliers professionnels toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 63.0, "9645", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9645&g_ta_cod=9645", 31.0, 33.0, 35.0),
(10192, "Public", "0590044C", "Lycée Joseph Marie Jacquard", "59", "Nord", "Hauts-de-France", "Lille", "Caudry", "formation sélective", "BTS", "Lycée Joseph Marie Jacquard - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 61, 7, 61, 0, 10, 5, 6, 3, 29, 16, 16, 0, 0, 0, 0, 0, 42, 0, 0, 0, 9, 5, 5, 2, 27, 15, 1, 25, 13, 0, 13, 0, 8.0, 13.0, 13.0, 0, 8, 13, 4, 1, 8, 0, 0, 2, 6, 5, 0, 0.0, 3, 1, 7, 12, 0, 13, 13, 61.54, 100.0, 100.0, 0.0, 100.0, 100.0, 92.296875, 61.5, 100.0, 0.0, 15.3984375, 46.1953125, 38.5, 0.0, 0.0, 30.796875, 23.09765625, 7.69921875, 7.69921875, 61.5, 53.796875, 4.0, 3.0, 18.0, 12.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers technologiques toutes séries", 4, "Bacheliers professionnels toutes séries", 26, "Liste d'appel propre à cette formation", 56.0, "29314", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29314&g_ta_cod=29314", 31.0, 8.0, 62.0),
(10193, "Public", "0900385E", "Université de Franche-Comté - Site de Belfort", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Belfort  / Lycée Condorcet de Belfort - Licence - Administration économique et sociale - Parcours Préparatoire au Professorat des Ecoles", "Licence - Droit-économie-gestion", "Préparatoire au Professorat des Ecoles", 40, 469, 395, 469, 0, 280, 71, 82, 32, 10, 6, 97, 0, 0, 0, 0, 0, 469, 0, 0, 0, 280, 71, 82, 32, 10, 6, 97, 181, 40, 35, 40, 0, 6.0, 30.0, 38.0, 0, 8, 36, 32, 4, 0, 4, 0, 10, 15, 9, 2, 0.0, 22, 4, 0, 0, 0, 25, 25, 15.0, 75.0, 95.0, 87.5, 69.390625, 69.390625, 0, 22.19921875, 90.0, 0.0, 27.796875, 41.6953125, 25.0, 5.6, 0.0, 88.890625, 61.09375, 11.099609375, 11.099609375, 0.0, 0.0, 144.0, 31.0, 0.0, 0.0, 22.0, "Tous les candidats", 267.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "32732", "Licence - Administration économique et sociale - Parcours Préparatoire au Professorat des Ecoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32732&g_ta_cod=32732", 88.0, 13.0, 0.0),
(10194, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - Double Licence mention Histoire - mention Langues, littératures & civilisations étrangères et régionales [Espagnol]", "Licence - Sciences humaines et sociales", "Double Licence mention Histoire - mention Langues, littératures & civilisations étrangères et régionales [Espagnol]", 20, 228, 144, 107, 0, 80, 14, 4, 3, 6, 4, 17, 121, 23, 10, 10, 78, 85, 35, 0, 0, 68, 10, 2, 2, 3, 1, 12, 98, 17, 11, 7, 10, 1.0, 7.0, 8.0, 0, 3, 8, 5, 2, 1, 9, 0, 5, 2, 0, 1, 0.0, 3, 0, 0, 0, 0, 4, 7, 5.88, 41.18, 47.06, 64.6875, 50.0, 87.5, 0, 37.5, 47.09375, 0.0, 62.5, 25.0, 0.0, 12.5, 0.0, 62.5, 37.5, 25.0, 0.0, 12.5, 0.0, 63.0, 9.0, 3.0, 3.0, 28.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "27454", "Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - Double Licence mention Histoire - mention Langues, littératures & civilisations étrangères et régionales [Espagnol]", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27454&g_ta_cod=27454", 71.0, 18.0, 12.0),
(10195, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Portail Sciences de la vie et de la terre - Parcours Sciences de la vie et de la terre", "Licence - Sciences - technologies - santé", "Parcours Sciences de la vie et de la terre", 175, 2634, 1756, 2634, 0, 1773, 354, 71, 26, 1, 1, 789, 0, 0, 0, 0, 0, 2600, 0, 0, 0, 1773, 354, 71, 26, 1, 1, 755, 1160, 168, 103, 166, 0, 0.0, 45.0, 114.0, 0, 33, 80, 80, 0, 0, 88, 0, 25, 45, 10, 0, 0.0, 55, 0, 0, 0, 0, 47, 75, 0.0, 26.79, 67.86, 61.296875, 58.796875, 93.796875, 0, 41.296875, 47.59375, 0.0, 31.296875, 56.296875, 12.5, 0.0, 0.0, 100.0, 68.796875, 0.0, 0.0, 0.0, 0.0, 676.0, 190.0, 0.0, 0.0, 484.0, "Tous les candidats", 1858.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 54.0, "28270", "Licence - Portail Sciences de la vie et de la terre - Parcours Sciences de la vie et de la terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28289&g_ta_cod=28270", 100.0, 0.0, 0.0),
(10196, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Licence - Portail Langues étrangères appliquées - Anglais - espagnol", "Licence - Arts-lettres-langues", "Anglais - espagnol", 90, 658, 490, 597, 0, 436, 62, 61, 16, 36, 15, 64, 61, 13, 6, 3, 39, 597, 40, 0, 0, 436, 62, 61, 16, 36, 15, 64, 470, 69, 49, 54, 15, 23.0, 54.0, 66.0, 0, 5, 54, 44, 8, 2, 15, 0, 16, 18, 18, 2, 0.0, 35, 3, 0, 0, 0, 41, 41, 33.33, 78.26, 95.65, 71.0, 75.890625, 75.890625, 0, 9.298828125, 78.296875, 0.0, 29.59765625, 33.296875, 33.296875, 3.7, 0.0, 81.5, 64.796875, 14.798828125, 5.599609375, 3.69970703125, 0.0, 332.0, 41.0, 21.0, 10.0, 66.0, "Tous les candidats", 802.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "17387", "Licence - Portail Langues étrangères appliquées - Anglais - espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28970&g_ta_cod=17387", 77.0, 17.0, 4.0),
(10197, "Public", "0911975C", "Université d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation non sélective", "Licence", "Université d'Evry Val d'Essonne - Licence - Arts du spectacle", "Licence - Arts-lettres-langues", "", 80, 387, 265, 318, 0, 172, 27, 39, 9, 20, 5, 87, 69, 18, 4, 4, 43, 318, 54, 0, 0, 172, 27, 39, 9, 20, 5, 87, 334, 75, 40, 51, 24, 8.0, 51.0, 60.0, 0, 4, 35, 27, 6, 2, 40, 0, 22, 8, 4, 1, 0.0, 10, 2, 1, 0, 0, 22, 29, 10.67, 68.0, 80.0, 53.296875, 62.8984375, 82.890625, 0, 11.3984375, 46.6953125, 0.0, 62.8984375, 22.8984375, 11.3984375, 2.9, 0.0, 77.09375, 28.59765625, 17.09765625, 5.69921875, 5.69921875, 2.89990234375, 172.0, 27.0, 16.0, 5.0, 113.0, "Tous les candidats", 318.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19070", "Licence - Arts du spectacle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19070&g_ta_cod=19070", 69.0, 19.0, 9.0),
(10198, "Privé sous contrat d'association", "0741624N", "Institut Régional et Européen des métiers de l'Intervention Sociale Rhône-Alpes - IREIS", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "EFTS", "Institut Régional et Européen des métiers de l'Intervention Sociale Rhône-Alpes- IREIS - D.E Assistant de Service Social", "D.E secteur social", "", 24, 109, 99, 80, 0, 20, 5, 12, 1, 11, 1, 37, 29, 5, 1, 2, 21, 53, 9, 0, 0, 14, 4, 5, 0, 6, 1, 28, 59, 17, 15, 9, 8, 4.0, 9.0, 13.0, 0, 0, 6, 2, 1, 3, 11, 0, 3, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 3, 3, 23.53, 52.94, 76.47, 88.1875, 50.0, 50.0, 0, 0.0, 35.296875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 16.69921875, 0.0, 50.0, 50.0, 15.0, 4.0, 7.0, 0.0, 34.0, "Tous les candidats", 97.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 66.0, "23431", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24806&g_ta_cod=23431", 47.0, 24.0, 24.0),
(10199, "Privé sous contrat d'association", "0592921E", "Lycée Saint Rémi", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Saint Rémi - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 347, 25, 321, 0, 81, 23, 88, 40, 49, 24, 103, 26, 0, 10, 0, 16, 179, 3, 0, 0, 70, 19, 50, 23, 23, 11, 36, 122, 30, 1, 26, 3, 8.0, 23.0, 26.0, 0, 12, 23, 9, 8, 6, 7, 0, 10, 10, 3, 0, 0.0, 2, 7, 4, 10, 0, 23, 23, 26.67, 76.67, 86.67, 3.2998046875, 100.0, 100.0, 43.5, 52.1953125, 76.6875, 0.0, 43.5, 43.5, 13.0, 0.0, 0.0, 39.09375, 8.69921875, 34.796875, 30.3984375, 26.09765625, 17.3984375, 42.0, 17.0, 19.0, 9.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 95.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 55.0, "6905", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6905&g_ta_cod=6905", 47.0, 33.0, 20.0),
(10200, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "PASS", "Université Toulouse 3 Paul Sabatier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 36, 3147, 2475, 3147, 0, 2354, 428, 104, 45, 17, 7, 672, 0, 0, 0, 0, 0, 3147, 0, 0, 0, 2354, 428, 104, 45, 17, 7, 672, 436, 35, 31, 35, 0, 0.0, 13.0, 30.0, 0, 7, 35, 35, 0, 0, 0, 0, 1, 9, 21, 4, 0.0, 34, 0, 0, 0, 0, 27, 27, 0.0, 37.14, 85.71, 88.59375, 77.09375, 77.09375, 0, 20.0, 100.0, 0.0, 2.89990234375, 25.69921875, 60.0, 11.4, 0.0, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 427.0, 74.0, 0.0, 0.0, 8.0, "Tous les candidats", 2644.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "29852", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29840&g_ta_cod=29852", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(10201, "Public", "0030038A", "Lycée Polyvalent Jean Monnet", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Yzeure", "formation sélective", "BTS", "Lycée Polyvalent Jean Monnet - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 120, 10, 98, 0, 3, 2, 15, 1, 34, 9, 46, 22, 0, 0, 10, 12, 39, 14, 0, 0, 3, 2, 12, 1, 20, 3, 4, 47, 12, 1, 6, 6, 3.0, 6.0, 11.0, 0, 1, 9, 0, 2, 7, 3, 0, 4, 1, 2, 2, 0.0, 0, 0, 5, 6, 0, 8, 8, 25.0, 50.0, 91.67, 8.298828125, 88.890625, 88.890625, 66.6875, 11.099609375, 75.0, 0.0, 44.3984375, 11.099609375, 22.19921875, 22.2, 0.0, 0.0, 0.0, 22.19921875, 0.0, 77.796875, 55.59375, 2.0, 1.0, 27.0, 3.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 38.0, "2123", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2123&g_ta_cod=2123", 8.0, 25.0, 67.0),
(10202, "Public", "9710804X", "Lycée agricole Convenance", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "BTS", "Lycée agricole Convenance - BTS - Agricole - productions animales", "BTS - Agricole", "", 17, 83, 38, 77, 0, 18, 7, 17, 6, 27, 17, 15, 6, 4, 0, 0, 2, 61, 1, 0, 0, 16, 6, 15, 6, 21, 13, 9, 45, 15, 8, 14, 1, 8.0, 13.0, 13.0, 0, 8, 13, 4, 4, 5, 2, 0, 2, 7, 3, 1, 0.0, 3, 4, 4, 8, 4, 11, 11, 53.33, 86.67, 86.67, 53.296875, 84.59375, 84.59375, 61.5, 61.5, 86.6875, 0.0, 15.3984375, 53.796875, 23.09765625, 7.7, 0.0, 30.796875, 23.09765625, 30.796875, 30.796875, 38.5, 30.796875, 16.0, 6.0, 15.0, 9.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 58.0, "21271", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21271&g_ta_cod=21271", 27.0, 33.0, 40.0),
(10203, "Public", "0470003Y", "Lycée Jean-Baptiste De Baudre", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "BTS", "Lycée Jean-Baptiste De Baudre - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 264, 182, 246, 0, 11, 3, 91, 35, 71, 43, 73, 18, 0, 10, 2, 6, 168, 4, 0, 0, 9, 2, 76, 29, 57, 29, 26, 147, 29, 19, 25, 2, 7.0, 23.0, 23.0, 0, 7, 26, 2, 15, 9, 3, 0, 16, 8, 2, 0, 0.0, 1, 5, 4, 6, 3, 23, 23, 24.14, 79.31, 79.31, 65.5, 88.5, 88.5, 23.09765625, 26.8984375, 89.6875, 0.0, 61.5, 30.796875, 7.69921875, 0.0, 0.0, 7.69921875, 3.7998046875, 57.6953125, 19.19921875, 34.59375, 15.3984375, 8.0, 2.0, 49.0, 23.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 64.0, "5769", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5769&g_ta_cod=5769", 7.0, 55.0, 38.0),
(10204, "Privé sous contrat d'association", "0690631L", "ICOF", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "BTS", "ICOF - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 34, 482, 30, 482, 0, 98, 19, 143, 31, 117, 36, 124, 0, 0, 0, 0, 0, 344, 0, 0, 0, 92, 17, 113, 15, 79, 19, 60, 137, 33, 0, 33, 0, 8.0, 24.0, 29.0, 0, 3, 23, 4, 12, 7, 10, 0, 7, 8, 6, 2, 0.0, 1, 8, 7, 2, 0, 18, 18, 24.24, 72.73, 87.88, 0.0, 78.296875, 78.296875, 8.69921875, 13.0, 69.6875, 0.0, 30.3984375, 34.796875, 26.09765625, 8.7, 0.0, 17.3984375, 4.2998046875, 52.1953125, 34.796875, 30.3984375, 30.3984375, 36.0, 5.0, 30.0, 6.0, 30.0, "Tous les candidats sauf les Bac professionnels", 146.0, "Bacheliers professionnels toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 40.0, "8318", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8318&g_ta_cod=8318", 36.0, 36.0, 27.0),
(10205, "Public", "0594581J", "IUT C - Roubaix - Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BUT", "IUT C - Roubaix - Université de Lille - BUT - Carrières juridiques Parcours : Administration et justice - Patrimoine et finance - Associations et entreprises", "BUT - Service", "Administration et justice - Patrimoine et finance - Associations et entreprises", 201, 2543, 1906, 2495, 0, 1136, 256, 859, 338, 58, 28, 442, 48, 0, 19, 0, 29, 1521, 2, 0, 0, 855, 176, 493, 176, 4, 3, 169, 864, 191, 151, 190, 1, 21.0, 157.0, 182.0, 0, 73, 171, 82, 88, 1, 20, 0, 30, 98, 39, 4, 0.0, 66, 74, 1, 0, 0, 110, 110, 10.99, 82.2, 95.29, 79.09375, 64.296875, 64.296875, 0, 42.6953125, 89.5, 0.0, 17.5, 57.296875, 22.796875, 2.3, 0.0, 48.0, 38.59375, 51.5, 43.296875, 0.5999755859375, 0.5999755859375, 412.0, 116.0, 1.0, 1.0, 101.0, "Tous les candidats sauf les Bac technologiques", 772.0, "Bacheliers technologiques toutes séries", 524, "", 0, "Liste d'appel propre à cette formation", 52.0, "7130", "BUT - Carrières juridiques Parcours : Administration et justice - Patrimoine et finance - Associations et entreprises", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7130&g_ta_cod=7130", 51.0, 49.0, 1.0),
(10206, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation non sélective", "Licence", "Université de La Rochelle - Licence - Lettres", "Licence - Arts-lettres-langues", "", 100, 474, 377, 375, 0, 269, 57, 20, 5, 14, 8, 72, 99, 27, 11, 4, 57, 375, 95, 0, 0, 269, 57, 20, 5, 14, 8, 72, 384, 96, 68, 55, 41, 16.0, 54.0, 85.0, 0, 13, 53, 47, 1, 5, 43, 0, 17, 16, 16, 4, 0.0, 34, 0, 2, 0, 0, 44, 44, 16.67, 56.25, 88.54, 70.796875, 83.0, 83.0, 0, 24.5, 55.1953125, 0.0, 32.09375, 30.19921875, 30.19921875, 7.5, 0.0, 88.6875, 64.1875, 1.89990234375, 0.0, 9.3984375, 3.7998046875, 236.0, 53.0, 16.0, 10.0, 109.0, "Tous les candidats", 374.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "3073", "Licence - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3073&g_ta_cod=3073", 81.0, 5.0, 10.0),
(10207, "Privé enseignement supérieur", "0340994W", "IDELCA Business School", "34", "Hérault", "Occitanie", "Montpellier", "Jacou", "formation sélective", "BTS", "IDELCA Business School - BTS - Services - Gestion de la PME", "BTS - Services", "", 14, 118, 48, 106, 0, 12, 1, 32, 10, 12, 6, 50, 12, 0, 5, 3, 4, 101, 5, 0, 0, 11, 1, 31, 10, 12, 6, 47, 77, 3, 1, 2, 1, 1.0, 2.0, 2.0, 0, 0, 2, 0, 2, 0, 1, 0, 1, 0, 0, 1, 0.0, 0, 1, 0, 0, 0, 1, 1, 33.33, 66.67, 66.67, 33.296875, 50.0, 50.0, 0, 0.0, 66.6875, 0.0, 50.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 10.0, 1.0, 12.0, 7.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers technologiques toutes séries", 36, "Bacheliers professionnels toutes séries", 14, "Liste d'appel propre à cette formation", 75.0, "30183", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30183&g_ta_cod=30183", 0.0, 67.0, 33.0),
(10208, "Public", "0750681H", "ESAA Boulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "ESAA Boulle - DN MADE - Espace - - Spécialité : Habitats et territoires d'innovation social", "DN MADE", "- Spécialité : Habitats et territoires d'innovation social", 15, 723, 573, 723, 0, 331, 57, 140, 31, 22, 3, 230, 0, 0, 0, 0, 0, 100, 0, 0, 0, 45, 7, 41, 4, 4, 0, 10, 38, 15, 11, 15, 0, 3.0, 15.0, 15.0, 0, 3, 15, 6, 6, 3, 0, 0, 0, 3, 5, 7, 0.0, 6, 6, 3, 0, 0, 2, 3, 20.0, 100.0, 100.0, 73.296875, 13.298828125, 20.0, 0, 20.0, 100.0, 0.0, 0.0, 20.0, 33.296875, 46.7, 0.0, 40.0, 40.0, 40.0, 40.0, 20.0, 20.0, 14.0, 1.0, 3.0, 0.0, 2.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "25043", "DN MADE - Espace - - Spécialité : Habitats et territoires d'innovation social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25043&g_ta_cod=25043", 40.0, 40.0, 20.0),
(10209, "Privé sous contrat d'association", "0331548D", "Lycée professionnel St Michel", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Blanquefort", "formation sélective", "Autre formation", "Lycée professionnel St Michel - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 20, 75, 54, 68, 0, 2, 0, 2, 0, 48, 23, 16, 7, 1, 0, 2, 4, 68, 2, 0, 0, 2, 0, 2, 0, 48, 23, 16, 57, 11, 8, 11, 0, 4.0, 11.0, 11.0, 0, 1, 5, 0, 0, 5, 6, 0, 2, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 5, 5, 36.36, 100.0, 100.0, 72.6875, 100.0, 100.0, 0, 20.0, 45.5, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 60.0, 2.0, 0.0, 40.0, 23.0, 13.0, "Tous les candidats", 68.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "21504", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21504&g_ta_cod=21504", 45.0, 0.0, 55.0),
(10210, "Privé sous contrat d'association", "0740148J", "Lycée professionnel La Fontaine", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Faverges-Seythenex", "formation sélective", "Autre formation", "Lycée professionnel La Fontaine - DN MADE - Graphisme - Parcours design d'identité et médiation numérique", "DN MADE", "Parcours design d'identité et médiation numérique", 15, 193, 103, 187, 0, 83, 13, 23, 6, 37, 6, 44, 6, 2, 0, 1, 3, 45, 3, 0, 0, 15, 1, 8, 1, 12, 2, 10, 44, 15, 12, 13, 2, 2.0, 8.0, 13.0, 0, 2, 11, 4, 3, 4, 4, 0, 1, 8, 1, 1, 0.0, 3, 3, 4, 0, 0, 7, 7, 13.33, 53.33, 86.67, 80.0, 63.59375, 63.59375, 0, 18.19921875, 73.296875, 0.0, 9.099609375, 72.6875, 9.099609375, 9.1, 0.0, 36.3984375, 27.296875, 27.296875, 27.296875, 36.3984375, 36.3984375, 16.0, 1.0, 9.0, 2.0, 12.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "26451", "DN MADE - Graphisme - Parcours design d'identité et médiation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26451&g_ta_cod=26451", 40.0, 27.0, 27.0),
(10211, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Bi-disciplinaire Traduction - Médiation Langue des Signes Française (LSF) - Anglais", "Licence - Arts-lettres-langues", "Bi-disciplinaire Traduction - Médiation Langue des Signes Française (LSF) - Anglais", 17, 18, 13, 18, 0, 7, 3, 1, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "31180", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Bi-disciplinaire Traduction - Médiation Langue des Signes Française (LSF) - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31180&g_ta_cod=31180", 0, 0, 0),
(10212, "Privé sous contrat d'association", "9720615L", "Lycée AMEP", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée AMEP - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 30, 164, 71, 139, 0, 32, 6, 63, 21, 28, 17, 16, 25, 4, 9, 7, 5, 78, 6, 0, 0, 9, 0, 47, 14, 17, 10, 5, 70, 10, 6, 8, 2, 6.0, 8.0, 8.0, 0, 0, 9, 0, 6, 3, 1, 0, 7, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 7, 7, 60.0, 80.0, 80.0, 60.0, 77.796875, 77.796875, 0, 0.0, 90.0, 0.0, 77.796875, 11.099609375, 11.099609375, 0.0, 0.0, 0.0, 0.0, 66.6875, 0.0, 33.296875, 22.19921875, 8.0, 0.0, 17.0, 9.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 55.0, "17240", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17240&g_ta_cod=17240", 10.0, 60.0, 30.0),
(10213, "Privé sous contrat d'association", "0311201M", "Lycée Myriam", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Myriam - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 35, 185, 51, 159, 0, 18, 6, 53, 11, 55, 22, 33, 26, 0, 5, 14, 7, 155, 14, 0, 0, 18, 6, 53, 11, 51, 20, 33, 132, 25, 8, 20, 5, 6.0, 10.0, 22.0, 0, 5, 18, 0, 5, 13, 7, 0, 10, 6, 2, 0, 0.0, 0, 1, 7, 0, 0, 13, 13, 24.0, 40.0, 88.0, 32.0, 72.1875, 72.1875, 0, 27.796875, 72.0, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 0.0, 0.0, 27.796875, 5.599609375, 72.1875, 38.8984375, 11.0, 4.0, 54.0, 24.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 94.0, "4120", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4120&g_ta_cod=4120", 16.0, 24.0, 60.0),
(10214, "Public", "0912418J", "Université Paris-Saclay, Campus d'Orsay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "Licence", "Université Paris-Saclay, Campus d'Orsay - Licence - Double diplôme - Licence Sciences de la Terre et Sciences Physiques - Licence Double-Diplôme Géosciences, Physique, Chimie", "Licence - Sciences - technologies - santé", "Licence Double-Diplôme Géosciences, Physique, Chimie", 25, 590, 322, 298, 0, 204, 26, 3, 0, 0, 0, 91, 292, 94, 5, 3, 190, 189, 10, 0, 0, 141, 13, 1, 0, 0, 0, 47, 154, 19, 11, 13, 6, 2.0, 9.0, 16.0, 0, 0, 9, 9, 0, 0, 10, 0, 0, 1, 5, 2, 1.0, 9, 0, 0, 0, 0, 6, 6, 10.53, 47.37, 84.21, 57.8984375, 66.6875, 66.6875, 0, 0.0, 47.3984375, 0.0, 0.0, 11.099609375, 55.59375, 22.2, 11.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 106.0, 7.0, 0.0, 0.0, 48.0, "Tous les candidats", 187.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "29253", "Licence - Double diplôme - Licence Sciences de la Terre et Sciences Physiques - Licence Double-Diplôme Géosciences, Physique, Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29253&g_ta_cod=29253", 100.0, 0.0, 0.0),
(10215, "Privé sous contrat d'association", "0690519P", "Lycée Notre Dame Des Minimes", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "Bac STI2D", 5, 80, 5, 79, 0, 0, 0, 79, 21, 0, 0, 0, 1, 0, 1, 0, 0, 41, 0, 0, 0, 0, 0, 41, 7, 0, 0, 0, 18, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "31225", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=31225", 0, 0, 0),
(10216, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "PASS", "Université des Antilles - Pôle Martinique - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 50, 333, 222, 308, 0, 239, 58, 26, 12, 7, 5, 36, 25, 9, 4, 0, 12, 307, 25, 0, 0, 239, 58, 26, 12, 7, 5, 35, 240, 48, 34, 44, 4, 8.0, 42.0, 43.0, 0, 14, 42, 32, 9, 1, 6, 0, 17, 11, 8, 6, 0.0, 25, 0, 0, 0, 0, 38, 38, 16.67, 87.5, 89.58, 70.796875, 90.5, 90.5, 0, 33.296875, 87.5, 0.0, 40.5, 26.19921875, 19.0, 14.3, 0.0, 76.1875, 59.5, 21.3984375, 0.0, 2.39990234375, 0.0, 191.0, 44.0, 3.0, 1.0, 29.0, "Tous les candidats", 1014.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "26823", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26824&g_ta_cod=26823", 73.0, 23.0, 4.0),
(10217, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Autre formation", "Université de La Rochelle - Diplôme d'Université - PAREO - DU PAREO", "Diplôme d'Université", "DU PAREO", 30, 79, 49, 29, 0, 13, 4, 9, 4, 2, 0, 5, 50, 15, 8, 5, 22, 12, 35, 0, 0, 2, 1, 6, 4, 2, 0, 2, 54, 25, 14, 2, 22, 2.0, 2.0, 11.0, 0, 3, 17, 8, 5, 4, 8, 0, 12, 4, 1, 0, 0.0, 3, 1, 1, 0, 0, 10, 10, 8.0, 8.0, 44.0, 56.0, 58.796875, 58.796875, 0, 17.59765625, 68.0, 0.0, 70.59375, 23.5, 5.8994140625, 0.0, 0.0, 47.09375, 17.59765625, 29.3984375, 5.8994140625, 23.5, 5.8994140625, 16.0, 5.0, 8.0, 3.0, 16.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "32420", "Diplôme d'Université - PAREO - DU PAREO", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32420&g_ta_cod=32420", 56.0, 24.0, 16.0),
(10218, "Public", "0061661Y", "Polytech Nice Sophia", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Valbonne", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 120, 8098, 2308, 8098, 0, 7150, 591, 0, 0, 0, 0, 948, 0, 0, 0, 0, 0, 5609, 0, 0, 0, 5271, 320, 0, 0, 0, 0, 338, 2525, 126, 35, 126, 0, 89.0, 125.0, 126.0, 0, 22, 116, 116, 0, 0, 10, 0, 0, 4, 57, 53, 2.0, 116, 0, 0, 0, 0, 57, 57, 70.63, 99.21, 100.0, 27.796875, 49.09375, 49.09375, 0, 19.0, 92.09375, 0.0, 0.0, 3.39990234375, 49.09375, 45.7, 1.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 2428.0, 200.0, 0.0, 0.0, 97.0, "Autres candidats", 6754.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "8", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=8", 100.0, 0.0, 0.0),
(10219, "Public", "0624430D", "GAMBETTA CARNOT", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "GAMBETTA CARNOT - BTS - Services - Assurance", "BTS - Services", "", 35, 639, 360, 634, 0, 64, 20, 158, 78, 85, 47, 327, 5, 0, 0, 0, 5, 429, 0, 0, 0, 63, 20, 158, 78, 85, 47, 123, 143, 30, 15, 29, 0, 3.0, 24.0, 25.0, 0, 15, 27, 5, 17, 5, 3, 0, 16, 10, 1, 0, 0.0, 3, 6, 2, 3, 0, 25, 25, 10.0, 80.0, 83.33, 50.0, 92.59375, 92.59375, 11.099609375, 55.59375, 90.0, 0.0, 59.296875, 37.0, 3.69970703125, 0.0, 0.0, 18.5, 11.099609375, 63.0, 22.19921875, 18.5, 7.3994140625, 24.0, 8.0, 42.0, 24.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 34.0, "7332", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7332&g_ta_cod=7332", 17.0, 60.0, 23.0),
(10220, "Privé sous contrat d'association", "0280665W", "Lycée Notre Dame", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Chartres", "formation sélective", "BTS", "Lycée Notre Dame - BTS - Services - Gestion de la PME", "BTS - Services", "", 20, 239, 142, 156, 0, 19, 3, 41, 13, 34, 10, 62, 83, 11, 20, 10, 42, 57, 19, 0, 0, 14, 1, 24, 6, 9, 3, 10, 70, 16, 9, 7, 9, 3.0, 7.0, 13.0, 0, 1, 12, 4, 5, 3, 4, 0, 6, 4, 1, 1, 0.0, 0, 3, 3, 1, 0, 8, 8, 18.75, 43.75, 81.25, 56.296875, 66.6875, 66.6875, 8.298828125, 8.298828125, 75.0, 0.0, 50.0, 33.296875, 8.298828125, 8.3, 0.0, 33.296875, 0.0, 41.6953125, 25.0, 25.0, 25.0, 19.0, 1.0, 11.0, 4.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 37.0, "3741", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3741&g_ta_cod=3741", 38.0, 38.0, 25.0),
(10221, "Public", "0642126N", "Collèges des études européennes et internationales", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation non sélective", "Licence", "Collèges des études européennes et internationales - Licence - Droit", "Licence - Droit-économie-gestion", "", 300, 1493, 1133, 1470, 0, 1112, 200, 157, 49, 22, 4, 179, 23, 7, 1, 0, 15, 1470, 22, 0, 0, 1112, 200, 157, 49, 22, 4, 179, 1157, 297, 223, 284, 10, 158.0, 247.0, 279.0, 0, 56, 258, 217, 37, 4, 39, 2, 61, 123, 61, 11, 0.0, 169, 24, 2, 0, 0, 225, 225, 53.2, 83.16, 93.94, 75.09375, 87.1875, 87.1875, 0, 21.69921875, 86.890625, 0.7999267578125, 23.59765625, 47.6953125, 23.59765625, 4.3, 0.0, 84.09375, 65.5, 14.298828125, 9.298828125, 1.599853515625, 0.7999267578125, 874.0, 161.0, 12.0, 3.0, 154.0, "Tous les candidats", 1382.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "7773", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7773&g_ta_cod=7773", 82.0, 15.0, 2.0),
(10222, "Privé sous contrat d'association", "0381678T", "Lycée Robin", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vienne", "formation sélective", "BTS", "Lycée Robin - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 26, 336, 155, 336, 0, 36, 8, 112, 28, 101, 32, 87, 0, 0, 0, 0, 0, 290, 0, 0, 0, 36, 8, 106, 25, 96, 31, 52, 98, 22, 8, 22, 0, 9.0, 20.0, 22.0, 0, 5, 20, 6, 7, 7, 2, 0, 5, 9, 6, 0, 0.0, 4, 5, 6, 10, 4, 17, 17, 40.91, 90.91, 100.0, 36.3984375, 85.0, 85.0, 50, 25.0, 90.890625, 0.0, 25.0, 45.0, 30.0, 0.0, 0.0, 30.0, 20.0, 35.0, 25.0, 35.0, 30.0, 23.0, 5.0, 36.0, 9.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 40.0, "4985", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4985&g_ta_cod=4985", 27.0, 36.0, 36.0),
(10223, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "Licence", "ICES - Institut Catholique de Vendée - Double licence - Lettres / Histoire - Double licence LETTRES - HISTOIRE", "Licence - Arts-lettres-langues", "Double licence LETTRES - HISTOIRE", 40, 69, 45, 67, 0, 59, 3, 0, 0, 0, 0, 8, 2, 0, 2, 0, 0, 66, 0, 0, 0, 58, 3, 0, 0, 0, 0, 8, 64, 10, 8, 10, 0, 8.0, 10.0, 10.0, 0, 0, 8, 8, 0, 0, 2, 0, 0, 3, 3, 1, 1.0, 8, 0, 0, 0, 0, 4, 4, 80.0, 100.0, 100.0, 80.0, 50.0, 50.0, 0, 0.0, 80.0, 0.0, 0.0, 37.5, 37.5, 12.5, 12.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 56.0, 3.0, 0.0, 0.0, 8.0, "Tous les candidats", 66.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "17423", "Double licence - Lettres / Histoire - Double licence LETTRES - HISTOIRE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17423&g_ta_cod=17423", 100.0, 0.0, 0.0),
(10224, "Public", "0930117X", "Lycée Le Corbusier", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "BTS", "Lycée Le Corbusier - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 24, 310, 42, 254, 0, 4, 2, 89, 40, 99, 54, 62, 56, 0, 15, 17, 24, 170, 22, 0, 0, 2, 1, 60, 23, 73, 40, 35, 128, 23, 3, 13, 9, 0.0, 12.0, 13.0, 0, 5, 15, 0, 9, 6, 8, 0, 12, 3, 0, 0, 0.0, 0, 2, 1, 3, 0, 14, 15, 0.0, 52.17, 56.52, 13.0, 93.296875, 100.0, 20, 33.296875, 65.1875, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 60.0, 13.298828125, 40.0, 6.69921875, 2.0, 1.0, 50.0, 25.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 59.0, "11164", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11164&g_ta_cod=11164", 4.0, 61.0, 35.0),
(10225, "Public", "0881587X", "CNAM Grand Est - Epinal", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "Autre formation", "CNAM Grand Est - Epinal - Formation Supérieure de Spécialisation - Administration", "Diplôme d'Université", "Administration", 15, 25, 13, 18, 0, 0, 0, 3, 2, 3, 1, 12, 7, 1, 0, 1, 5, 5, 5, 0, 0, 0, 0, 2, 1, 2, 1, 1, 11, 2, 2, 0, 2, 0.0, 0.0, 0.0, 0, 0, 1, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 0.0, 100.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 1.0, 0.0, 4.0, 1.0, 4.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "33913", "Formation Supérieure de Spécialisation - Administration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33913&g_ta_cod=33913", 50.0, 0.0, 50.0),
(10226, "Public", "0754476H", "Lycée des Métiers de l'Hôtellerie Guillaume TIREL", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "BTS", "Lycée des Métiers de l'Hôtellerie Guillaume TIREL - CFA Paris Académie Entreprise - BTS - Services - Management en hôtellerie restauration (Seconde année en apprentissage)", "BTS - Services", "", 12, 303, 132, 303, 0, 0, 0, 71, 8, 136, 24, 96, 0, 0, 0, 0, 0, 111, 0, 0, 0, 0, 0, 29, 1, 55, 7, 27, 30, 11, 5, 11, 0, 4.0, 10.0, 11.0, 0, 2, 6, 0, 3, 3, 5, 0, 0, 2, 4, 0, 0.0, 0, 3, 3, 1, 0, 1, 2, 36.36, 90.91, 100.0, 45.5, 16.69921875, 33.296875, 16.69921875, 33.296875, 54.5, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 12.0, 5.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 12.0, "14446", "BTS - Services - Management en hôtellerie restauration (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14446&g_ta_cod=14446", 27.0, 27.0, 45.0),
(10227, "Public", "0290044R", "Lycée De L'Elorn", "29", "Finistère", "Bretagne", "Rennes", "Landerneau", "formation sélective", "BTS", "Lycée De L'Elorn - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 30, 148, 29, 148, 0, 2, 0, 32, 3, 97, 32, 17, 0, 0, 0, 0, 0, 144, 0, 0, 0, 2, 0, 32, 3, 93, 30, 17, 88, 29, 5, 29, 0, 10.0, 24.0, 26.0, 0, 8, 25, 0, 4, 21, 4, 0, 4, 12, 8, 1, 0.0, 0, 4, 17, 12, 3, 25, 25, 34.48, 82.76, 89.66, 17.19921875, 100.0, 100.0, 48, 32.0, 86.1875, 0.0, 16.0, 48.0, 32.0, 4.0, 0.0, 0.0, 0.0, 16.0, 16.0, 84.0, 68.0, 2.0, 0.0, 50.0, 16.0, 11.0, "Tous les candidats sauf les Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 58, "", 0, "Liste d'appel propre à cette formation", 68.0, "3785", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3785&g_ta_cod=3785", 0.0, 28.0, 72.0),
(10228, "Public", "0850027T", "Lycée Polyvalent Rosa Parks", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée Polyvalent Rosa Parks - BTS - Production - Bâtiment", "BTS - Production", "", 12, 391, 69, 391, 0, 55, 5, 143, 18, 78, 13, 115, 0, 0, 0, 0, 0, 208, 0, 0, 0, 36, 2, 91, 10, 49, 6, 32, 60, 9, 2, 9, 0, 2.0, 6.0, 8.0, 0, 1, 8, 2, 4, 2, 1, 0, 2, 5, 0, 1, 0.0, 2, 3, 1, 2, 1, 7, 7, 22.22, 66.67, 88.89, 22.19921875, 87.5, 87.5, 25, 12.5, 88.890625, 0.0, 25.0, 62.5, 0.0, 12.5, 0.0, 25.0, 25.0, 50.0, 37.5, 25.0, 12.5, 9.0, 1.0, 27.0, 4.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers technologiques toutes séries", 38, "Bacheliers professionnels toutes séries", 44, "Liste d'appel propre à cette formation", 25.0, "29031", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29031&g_ta_cod=29031", 22.0, 56.0, 22.0),
(10229, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "Licence - Arts-lettres-langues", "Allemand", 40, 184, 117, 71, 0, 42, 7, 2, 1, 3, 2, 24, 113, 16, 13, 4, 80, 70, 99, 0, 0, 42, 7, 2, 1, 3, 2, 23, 168, 27, 17, 2, 25, 1.0, 2.0, 12.0, 0, 3, 9, 7, 2, 0, 18, 0, 6, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 8, 8, 3.7, 7.41, 44.44, 63.0, 88.890625, 88.890625, 0, 33.296875, 33.296875, 0.0, 66.6875, 11.099609375, 22.19921875, 0.0, 0.0, 77.796875, 33.296875, 22.19921875, 0.0, 0.0, 0.0, 58.0, 10.0, 7.0, 4.0, 89.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7071", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7071&g_ta_cod=7071", 67.0, 26.0, 7.0),
(10230, "Public", "0912412C", "Ecole Universitaire de premier cycle - Campus de Sceaux Université Paris-Saclay", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation non sélective", "Licence", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Portail Parcours Droit", "Licence - Droit-économie-gestion", "Droit - Campus de Sceaux", 355, 4805, 3418, 4805, 0, 3547, 634, 398, 128, 62, 22, 798, 0, 0, 0, 0, 0, 4766, 0, 0, 0, 3547, 634, 398, 128, 62, 22, 759, 1997, 355, 241, 355, 0, 18.0, 314.0, 324.0, 0, 73, 339, 293, 36, 10, 16, 0, 17, 169, 144, 9, 0.0, 283, 31, 8, 0, 0, 210, 323, 5.07, 88.45, 91.27, 67.890625, 61.8984375, 95.296875, 0, 21.5, 95.5, 0.0, 5.0, 49.8984375, 42.5, 2.7, 0.0, 86.390625, 83.5, 10.599609375, 9.099609375, 2.89990234375, 2.39990234375, 1684.0, 287.0, 19.0, 11.0, 165.0, "Tous les candidats", 2784.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 51.0, "11118", "Licence - Portail Parcours Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10925&g_ta_cod=11118", 86.0, 11.0, 3.0),
(10231, "Public", "0500017X", "Lycée Alexis De Tocqueville", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "BTS", "Lycée Alexis De Tocqueville - BTS - Services - Notariat", "BTS - Services", "", 24, 522, 314, 518, 0, 63, 11, 80, 21, 21, 11, 354, 4, 0, 0, 2, 2, 224, 1, 0, 0, 63, 11, 78, 21, 12, 7, 71, 100, 22, 17, 22, 0, 1.0, 15.0, 16.0, 0, 2, 15, 4, 9, 2, 7, 0, 10, 5, 0, 0, 0.0, 0, 4, 1, 3, 3, 14, 14, 4.55, 68.18, 72.73, 77.296875, 93.296875, 93.296875, 20, 13.298828125, 68.1875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 26.69921875, 0.0, 60.0, 26.69921875, 13.298828125, 6.69921875, 20.0, 1.0, 11.0, 7.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 23.0, "5995", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5995&g_ta_cod=5995", 41.0, 45.0, 14.0),
(10232, "Privé sous contrat d'association", "0570210U", "Lycée Notre Dame", "57", "Moselle", "Grand Est", "Nancy-Metz", "Peltre", "formation sélective", "BTS", "Lycée Notre Dame - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 243, 206, 215, 0, 22, 6, 64, 17, 69, 21, 60, 28, 10, 0, 0, 18, 196, 4, 0, 0, 22, 6, 61, 16, 68, 20, 45, 103, 22, 20, 21, 1, 7.0, 18.0, 20.0, 0, 2, 10, 1, 4, 5, 12, 0, 5, 3, 1, 1, 0.0, 0, 1, 4, 2, 2, 8, 8, 31.82, 81.82, 90.91, 90.890625, 80.0, 80.0, 20, 20.0, 45.5, 0.0, 50.0, 30.0, 10.0, 10.0, 0.0, 10.0, 0.0, 40.0, 10.0, 50.0, 40.0, 15.0, 4.0, 35.0, 9.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 62.0, "6577", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6577&g_ta_cod=6577", 32.0, 32.0, 36.0),
(10233, "Public", "9711066G", "Lycée des métiers de l'Hôtellerie et du Tourisme Archipel Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Le Gosier", "formation sélective", "BTS", "Lycée des métiers de l'Hôtellerie et du Tourisme Archipel Guadeloupe - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 36, 160, 76, 160, 0, 0, 0, 44, 12, 51, 19, 65, 0, 0, 0, 0, 0, 85, 0, 0, 0, 0, 0, 32, 11, 24, 9, 29, 55, 37, 21, 37, 0, 22.0, 32.0, 35.0, 0, 10, 23, 0, 15, 8, 14, 0, 2, 9, 11, 1, 0.0, 0, 13, 8, 22, 12, 23, 23, 59.46, 86.49, 94.59, 56.796875, 100.0, 100.0, 95.6875, 43.5, 62.1953125, 0.0, 8.69921875, 39.09375, 47.796875, 4.3, 0.0, 0.0, 0.0, 65.1875, 56.5, 34.796875, 34.796875, 0.0, 0.0, 13.0, 6.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 36.0, "11769", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11769&g_ta_cod=11769", 14.0, 54.0, 32.0),
(10234, "Public", "0630984C", "LEGTPA Louis Pasteur (Clermont-Marmilhat)", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Lempdes", "formation sélective", "BTS", "LEGTPA Louis Pasteur (Clermont-Marmilhat) - BTS - Agricole - Sciences et technologies des aliments spécialité Viandes et produits de la pêche", "BTS - Agricole", "", 12, 130, 60, 124, 0, 11, 1, 33, 9, 5, 2, 75, 6, 1, 0, 0, 5, 51, 0, 0, 0, 11, 1, 30, 8, 5, 2, 5, 35, 9, 6, 9, 0, 3.0, 7.0, 9.0, 0, 2, 8, 1, 6, 1, 1, 0, 2, 5, 1, 0, 0.0, 1, 4, 1, 1, 1, 7, 7, 33.33, 77.78, 100.0, 66.6875, 87.5, 87.5, 12.5, 25.0, 88.890625, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 12.5, 12.5, 75.0, 50.0, 12.5, 12.5, 10.0, 1.0, 5.0, 2.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 41.0, "7594", "BTS - Agricole - Sciences et technologies des aliments spécialité Viandes et produits de la pêche", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7594&g_ta_cod=7594", 22.0, 67.0, 11.0),
(10235, "Public", "0030098R", "I.U.T. d'Allier - site de Montluçon", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "BUT", "I.U.T. d'Allier - site de Montluçon - BUT - Techniques de commercialisation Parcours : Marketing et Management du Point de Vente - Business Development et Management de la Relation Client - Stratégie de Marque et Evènementiel", "BUT - Service", "Marketing et Management du Point de Vente - Business Development et Management de la Relation Client - Stratégie de Marque et Evènementiel", 112, 945, 453, 945, 0, 482, 73, 273, 59, 35, 14, 155, 0, 0, 0, 0, 0, 822, 0, 0, 0, 444, 64, 236, 47, 27, 12, 115, 477, 102, 42, 101, 0, 23.0, 76.0, 95.0, 0, 17, 84, 48, 33, 3, 18, 0, 35, 38, 9, 2, 0.0, 27, 19, 3, 0, 0, 52, 52, 22.55, 74.51, 93.14, 41.1953125, 61.8984375, 61.8984375, 0, 20.19921875, 82.390625, 0.0, 41.6953125, 45.1953125, 10.69921875, 2.4, 0.0, 57.09375, 32.09375, 39.296875, 22.59765625, 3.599609375, 3.599609375, 226.0, 33.0, 10.0, 2.0, 69.0, "Tous les candidats sauf les Bac technologiques", 427.0, "Bacheliers technologiques toutes séries", 262, "", 0, "Liste d'appel propre à cette formation", 73.0, "2143", "BUT - Techniques de commercialisation Parcours : Marketing et Management du Point de Vente - Business Development et Management de la Relation Client - Stratégie de Marque et Evènementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2143&g_ta_cod=2143", 55.0, 41.0, 4.0),
(10236, "Public", "0380027Y", "Lycée Champollion", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "CPGE", "Lycée Champollion - CPGE - PCSI", "Classe préparatoire scientifique", "", 144, 3022, 1079, 3022, 2420, 2638, 197, 0, 0, 0, 0, 384, 0, 0, 0, 0, 0, 1727, 0, 815, 1488, 1720, 118, 0, 0, 0, 0, 7, 840, 142, 64, 142, 0, 42.0, 102.0, 132.0, 32, 5, 141, 141, 0, 0, 1, 0, 0, 2, 38, 93, 8.0, 141, 0, 0, 14, 5, 99, 99, 29.58, 71.83, 92.96, 45.09375, 70.1875, 70.1875, 9.8984375, 3.5, 99.296875, 0.0, 0.0, 1.39990234375, 27.0, 66.0, 5.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 838.0, 57.0, 0.0, 0.0, 2.0, "Tous les candidats", 1028.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "4921", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4921&g_ta_cod=4921", 100.0, 0.0, 0.0),
(10237, "Privé sous contrat d'association", "0011438H", "Institut Régional et Européen des métiers de l'Intervention Sociale Rhône-Alpes- IREIS", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "EFTS", "Institut Régional et Européen des métiers de l'Intervention Sociale Rhône-Alpes- IREIS - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 14, 195, 183, 195, 0, 30, 1, 47, 7, 25, 5, 93, 0, 0, 0, 0, 0, 124, 0, 0, 0, 16, 1, 27, 5, 14, 3, 67, 31, 14, 14, 14, 0, 4.0, 9.0, 10.0, 0, 0, 4, 0, 4, 0, 10, 0, 1, 3, 0, 0, 0.0, 0, 3, 0, 0, 0, 3, 3, 28.57, 64.29, 71.43, 100.0, 75.0, 75.0, 0, 0.0, 28.59765625, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 3.0, 1.0, 22.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 16.0, "25249", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24808&g_ta_cod=25249", 29.0, 57.0, 14.0),
(10238, "Public", "0290013G", "Lycée Jules Lesven", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "CPGE", "Lycée Jules Lesven - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 35, 214, 113, 200, 82, 0, 0, 159, 32, 0, 0, 41, 14, 0, 9, 0, 5, 154, 6, 59, 149, 0, 0, 147, 28, 0, 0, 7, 134, 20, 14, 18, 2, 1.0, 18.0, 20.0, 3, 3, 20, 0, 20, 0, 0, 0, 0, 15, 5, 0, 0.0, 0, 20, 0, 7, 6, 19, 19, 5.0, 90.0, 100.0, 70.0, 95.0, 95.0, 35, 15.0, 100.0, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 154.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "3772", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3772&g_ta_cod=3772", 0.0, 100.0, 0.0),
(10239, "Public", "0340061G", "Lycée professionnel Charles Allies", "34", "Hérault", "Occitanie", "Montpellier", "Pézenas", "formation sélective", "BTS", "Lycée professionnel Charles Allies - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 22, 453, 228, 447, 0, 24, 9, 160, 75, 178, 85, 85, 6, 0, 3, 0, 3, 361, 2, 0, 0, 24, 9, 96, 41, 178, 85, 63, 131, 14, 3, 14, 0, 1.0, 7.0, 10.0, 0, 5, 13, 0, 3, 10, 1, 0, 1, 7, 5, 0, 0.0, 0, 2, 10, 5, 2, 12, 12, 7.14, 50.0, 71.43, 21.3984375, 92.296875, 92.296875, 38.5, 38.5, 92.890625, 0.0, 7.69921875, 53.796875, 38.5, 0.0, 0.0, 0.0, 0.0, 23.09765625, 15.3984375, 76.890625, 76.890625, 9.0, 4.0, 59.0, 31.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 39.0, "12903", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12903&g_ta_cod=12903", 7.0, 21.0, 71.0),
(10240, "Public", "0510035L", "Lycée Hugues Libergier", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Hugues Libergier - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 30, 1087, 805, 1087, 0, 236, 57, 327, 104, 40, 19, 484, 0, 0, 0, 0, 0, 863, 0, 0, 0, 233, 56, 317, 100, 40, 19, 273, 159, 29, 17, 29, 0, 1.0, 15.0, 25.0, 0, 8, 20, 4, 14, 2, 9, 0, 4, 12, 1, 3, 0.0, 3, 12, 1, 3, 0, 10, 10, 3.45, 51.72, 86.21, 58.59375, 50.0, 50.0, 15, 40.0, 69.0, 0.0, 20.0, 60.0, 5.0, 15.0, 0.0, 20.0, 15.0, 70.0, 60.0, 10.0, 5.0, 56.0, 15.0, 10.0, 4.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 131.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 114, "Liste d'appel propre à cette formation", 25.0, "6077", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6077&g_ta_cod=6077", 34.0, 59.0, 7.0),
(10241, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail Informatique / Mathématiques", "Licence - Sciences - technologies - santé", "Informatique / Mathématiques : Informatique", 180, 1050, 148, 827, 0, 578, 106, 52, 17, 3, 1, 194, 223, 43, 11, 3, 166, 813, 165, 0, 0, 578, 106, 52, 17, 3, 1, 180, 807, 152, 13, 92, 60, 6.0, 92.0, 119.0, 0, 13, 84, 69, 12, 3, 68, 1, 44, 27, 9, 3, 0.0, 36, 0, 3, 0, 0, 53, 53, 3.95, 60.53, 78.29, 8.599609375, 63.09375, 63.09375, 0, 15.5, 55.296875, 1.199951171875, 52.3984375, 32.09375, 10.69921875, 3.6, 0.0, 82.09375, 42.8984375, 14.298828125, 0.0, 3.599609375, 3.599609375, 507.0, 92.0, 4.0, 0.0, 258.0, "Tous les candidats", 1134.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "22797", "Licence - Portail Informatique / Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10636&g_ta_cod=22797", 80.0, 16.0, 3.0),
(10242, "Public", "0940580V", "Lycée polyvalent de Cachan", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "CPGE", "Lycée polyvalent de Cachan - CPGE - PTSI", "Classe préparatoire scientifique", "", 45, 735, 147, 735, 458, 625, 63, 6, 4, 0, 0, 104, 0, 0, 0, 0, 0, 580, 0, 388, 567, 578, 51, 0, 0, 0, 0, 2, 234, 45, 9, 45, 0, 1.0, 32.0, 41.0, 27, 9, 45, 45, 0, 0, 0, 0, 2, 9, 27, 7, 0.0, 43, 0, 0, 4, 0, 17, 41, 2.22, 71.11, 91.11, 20.0, 37.796875, 91.09375, 8.8984375, 20.0, 100.0, 0.0, 4.3994140625, 20.0, 60.0, 15.6, 0.0, 100.0, 95.59375, 0.0, 0.0, 0.0, 0.0, 234.0, 25.0, 0.0, 0.0, 0.0, "Tous les candidats", 346.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "11363", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11363&g_ta_cod=11363", 100.0, 0.0, 0.0),
(10243, "Public", "0510034K", "Lycée Franklin Roosevelt", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "CPGE", "Lycée Franklin Roosevelt - CPGE - MP2I", "Classe préparatoire scientifique", "", 48, 702, 113, 702, 510, 561, 68, 2, 0, 0, 0, 139, 0, 0, 0, 0, 0, 530, 0, 364, 508, 496, 56, 0, 0, 0, 0, 34, 243, 45, 3, 45, 0, 4.0, 34.0, 44.0, 19, 7, 43, 43, 0, 0, 2, 0, 1, 10, 25, 7, 0.0, 42, 0, 0, 2, 0, 20, 20, 8.89, 75.56, 97.78, 6.69921875, 46.5, 46.5, 4.69921875, 16.296875, 95.59375, 0.0, 2.2998046875, 23.296875, 58.09375, 16.3, 0.0, 100.0, 97.6875, 0.0, 0.0, 0.0, 0.0, 240.0, 25.0, 0.0, 0.0, 3.0, "Tous les candidats", 393.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "31683", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31683&g_ta_cod=31683", 100.0, 0.0, 0.0),
(10244, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Métiers des langues - Anglais", "Licence - Arts-lettres-langues", "Métiers des langues - Anglais", 105, 1132, 840, 1132, 0, 804, 191, 52, 20, 19, 12, 257, 0, 0, 0, 0, 0, 1132, 0, 0, 0, 804, 191, 52, 20, 19, 12, 257, 467, 104, 76, 104, 0, 54.0, 94.0, 94.0, 0, 25, 86, 79, 6, 1, 18, 0, 14, 37, 31, 4, 0.0, 67, 4, 1, 0, 0, 81, 81, 51.92, 90.38, 90.38, 73.09375, 94.1875, 94.1875, 0, 29.09765625, 82.6875, 0.0, 16.296875, 43.0, 36.0, 4.7, 0.0, 91.890625, 77.890625, 7.0, 4.69921875, 1.199951171875, 1.199951171875, 377.0, 88.0, 3.0, 2.0, 77.0, "Tous les candidats", 619.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 51.0, "3263", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Métiers des langues - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27111&g_ta_cod=3263", 91.0, 6.0, 3.0),
(10245, "Public", "0790024X", "Lycée Paul Guerin", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BTS", "Lycée Paul Guerin - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 24, 95, 1, 95, 0, 10, 2, 18, 3, 38, 9, 29, 0, 0, 0, 0, 0, 66, 0, 0, 0, 10, 2, 18, 3, 33, 4, 5, 51, 19, 0, 19, 0, 11.0, 19.0, 19.0, 0, 5, 18, 0, 3, 15, 1, 0, 3, 6, 9, 0, 0.0, 0, 1, 14, 1, 0, 15, 15, 57.89, 100.0, 100.0, 0.0, 83.296875, 83.296875, 5.599609375, 27.796875, 94.6875, 0.0, 16.69921875, 33.296875, 50.0, 0.0, 0.0, 0.0, 0.0, 16.69921875, 5.599609375, 83.296875, 77.796875, 10.0, 2.0, 26.0, 4.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 65.0, "10107", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10107&g_ta_cod=10107", 0.0, 16.0, 84.0),
(10246, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Lettres - Parcours LETTRES MODERNES", "Licence - Arts-lettres-langues", "LETTRES MODERNES", 380, 2050, 1653, 1787, 0, 1120, 201, 22, 4, 27, 15, 618, 263, 69, 12, 10, 172, 1776, 256, 0, 0, 1120, 201, 22, 4, 27, 15, 607, 1591, 369, 286, 253, 116, 30.0, 252.0, 332.0, 0, 49, 190, 166, 13, 11, 179, 1, 45, 72, 50, 21, 1.0, 129, 6, 9, 0, 0, 21, 130, 8.13, 68.29, 89.97, 77.5, 11.099609375, 68.390625, 0, 25.796875, 51.5, 0.5, 23.69921875, 37.8984375, 26.296875, 11.1, 0.5, 87.390625, 67.890625, 6.7998046875, 3.19970703125, 5.7998046875, 4.69921875, 927.0, 163.0, 34.0, 20.0, 598.0, "Tous les candidats", 1775.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "9286", "Licence - Lettres - Parcours LETTRES MODERNES", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9286&g_ta_cod=9286", 83.0, 8.0, 7.0),
(10247, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "PASS", "Université de Limoges - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 12, 855, 435, 855, 0, 588, 102, 8, 1, 3, 2, 256, 0, 0, 0, 0, 0, 836, 0, 0, 0, 588, 102, 8, 1, 3, 2, 237, 130, 12, 7, 12, 0, 0.0, 4.0, 11.0, 0, 2, 6, 6, 0, 0, 6, 0, 1, 3, 2, 0, 0.0, 5, 0, 0, 0, 0, 3, 3, 0.0, 33.33, 91.67, 58.296875, 50.0, 50.0, 0, 33.296875, 50.0, 0.0, 16.69921875, 50.0, 33.296875, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 93.0, 13.0, 1.0, 1.0, 34.0, "Tous les candidats", 1940.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "27202", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26973&g_ta_cod=27202", 92.0, 0.0, 0.0),
(10248, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence", "Université de Perpignan Via Domitia - Licence - Portail Mathématiques", "Licence - Sciences - technologies - santé", "", 40, 402, 150, 356, 0, 258, 65, 13, 7, 1, 1, 84, 46, 15, 3, 1, 27, 355, 40, 0, 0, 258, 65, 13, 7, 1, 1, 83, 304, 32, 8, 26, 6, 1.0, 25.0, 26.0, 0, 8, 22, 21, 1, 0, 10, 0, 6, 13, 3, 0, 0.0, 15, 1, 0, 0, 0, 19, 19, 3.13, 78.13, 81.25, 25.0, 86.390625, 86.390625, 0, 36.3984375, 68.796875, 0.0, 27.296875, 59.09375, 13.599609375, 0.0, 0.0, 95.5, 68.1875, 4.5, 4.5, 0.0, 0.0, 199.0, 56.0, 1.0, 1.0, 93.0, "Tous les candidats", 398.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "7884", "Licence - Portail Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28129&g_ta_cod=7884", 97.0, 3.0, 0.0),
(10249, "Public", "0752961L", "Lycée professionnel Gustave Eiffel", "75", "Paris", "Ile-de-France", "Paris", "Paris  7e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Gustave Eiffel - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 12, 182, 131, 182, 0, 2, 0, 5, 1, 133, 74, 42, 0, 0, 0, 0, 0, 90, 0, 0, 0, 1, 0, 5, 1, 83, 43, 1, 41, 12, 10, 12, 0, 1.0, 10.0, 12.0, 0, 6, 12, 0, 0, 12, 0, 0, 5, 5, 1, 1, 0.0, 0, 0, 7, 0, 0, 4, 10, 8.33, 83.33, 100.0, 83.296875, 33.296875, 83.296875, 0, 50.0, 100.0, 0.0, 41.6953125, 41.6953125, 8.298828125, 8.3, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 58.296875, 0.0, 0.0, 39.0, 21.0, 0.0, "Tous les candidats", 67.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "29315", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29315&g_ta_cod=29315", 0.0, 0.0, 100.0),
(10250, "Privé enseignement supérieur", "0755308M", "Institut Saint-Pie X", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Institut Saint-Pie X - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 30, 80, 24, 31, 0, 20, 0, 0, 0, 0, 0, 11, 49, 21, 3, 0, 25, 17, 6, 0, 0, 14, 0, 0, 0, 0, 0, 3, 23, 10, 5, 9, 1, 9.0, 9.0, 9.0, 0, 0, 8, 8, 0, 0, 2, 0, 0, 2, 4, 2, 0.0, 8, 0, 0, 0, 0, 1, 1, 90.0, 90.0, 90.0, 50.0, 12.5, 12.5, 0, 0.0, 80.0, 0.0, 0.0, 25.0, 50.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 18.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "9553", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9553&g_ta_cod=9553", 100.0, 0.0, 0.0),
(10251, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Lettres - Parcours Lettres modernes", "Licence - Arts-lettres-langues", "Lettres modernes", 140, 300, 253, 256, 0, 185, 45, 10, 1, 7, 5, 54, 44, 4, 3, 3, 34, 256, 42, 0, 0, 185, 45, 10, 1, 7, 5, 54, 298, 50, 41, 41, 9, 37.0, 39.0, 42.0, 0, 9, 28, 25, 1, 2, 22, 1, 8, 8, 7, 4, 0.0, 18, 0, 1, 0, 0, 25, 25, 74.0, 78.0, 84.0, 82.0, 89.296875, 89.296875, 0, 32.09375, 56.0, 3.599609375, 28.59765625, 28.59765625, 25.0, 14.3, 0.0, 89.296875, 64.296875, 3.599609375, 0.0, 7.099609375, 3.599609375, 189.0, 47.0, 10.0, 6.0, 86.0, "Tous les candidats", 256.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3553", "Licence - Lettres - Parcours Lettres modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3553&g_ta_cod=3553", 76.0, 4.0, 16.0),
(10252, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - Licence - Lettres - Parcours Métiers de la culture", "Licence - Arts-lettres-langues", "Métiers de la culture", 50, 135, 111, 75, 0, 49, 7, 3, 0, 1, 1, 22, 60, 17, 2, 1, 40, 64, 25, 0, 0, 47, 6, 1, 0, 0, 0, 16, 89, 14, 12, 6, 8, 6.0, 6.0, 13.0, 0, 0, 8, 8, 0, 0, 6, 0, 0, 4, 2, 2, 0.0, 8, 0, 0, 0, 0, 4, 4, 42.86, 42.86, 92.86, 85.6875, 50.0, 50.0, 0, 0.0, 57.09375, 0.0, 0.0, 50.0, 25.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 56.0, 6.0, 0.0, 0.0, 31.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "28008", "Licence - Lettres - Parcours Métiers de la culture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28008&g_ta_cod=28008", 100.0, 0.0, 0.0),
(10253, "Public", "0781839A", "Lycée Jean Monnet", "78", "Yvelines", "Ile-de-France", "Versailles", "La Queue-les-Yvelines", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 327, 189, 283, 0, 19, 4, 73, 20, 79, 31, 112, 44, 0, 9, 18, 17, 184, 5, 0, 0, 17, 4, 62, 20, 53, 20, 52, 154, 34, 18, 31, 3, 4.0, 25.0, 28.0, 0, 8, 23, 0, 10, 13, 11, 0, 11, 9, 3, 0, 0.0, 0, 3, 9, 3, 3, 17, 18, 11.76, 73.53, 82.35, 52.8984375, 73.890625, 78.296875, 13, 34.796875, 67.59375, 0.0, 47.796875, 39.09375, 13.0, 0.0, 0.0, 0.0, 0.0, 43.5, 13.0, 56.5, 39.09375, 11.0, 3.0, 50.0, 19.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 61.0, "9979", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9979&g_ta_cod=9979", 9.0, 47.0, 44.0),
(10254, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 2 - Mathématiques-Physique-Chimie", "Licence - Sciences - technologies - santé", "2 - Mathématiques-Physique-Chimie", 200, 1049, 406, 858, 0, 644, 89, 30, 1, 1, 1, 183, 191, 54, 9, 0, 128, 847, 95, 0, 0, 644, 89, 30, 1, 1, 1, 172, 943, 76, 28, 60, 16, 57.0, 59.0, 68.0, 0, 6, 41, 40, 1, 0, 35, 0, 13, 17, 9, 2, 0.0, 28, 0, 0, 0, 0, 30, 30, 75.0, 77.63, 89.47, 36.796875, 73.1875, 73.1875, 0, 14.599609375, 53.8984375, 0.0, 31.69921875, 41.5, 22.0, 4.9, 0.0, 97.59375, 68.296875, 2.39990234375, 0.0, 0.0, 0.0, 679.0, 93.0, 1.0, 1.0, 228.0, "Tous les candidats", 847.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "23400", "Licence - Portail 2 - Mathématiques-Physique-Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23400&g_ta_cod=23400", 89.0, 5.0, 4.0),
(10255, "Public", "0750683K", "Lycée Claude Monet", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "CPGE", "Pôle Lavoisier / Claude Monet - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 48, 2283, 1249, 2283, 331, 2063, 300, 0, 0, 1, 1, 219, 0, 0, 0, 0, 0, 1470, 0, 248, 1368, 1413, 204, 0, 0, 0, 0, 57, 523, 45, 29, 45, 0, 5.0, 23.0, 41.0, 3, 8, 44, 44, 0, 0, 1, 0, 0, 4, 28, 11, 1.0, 44, 0, 0, 3, 2, 11, 39, 11.11, 51.11, 91.11, 64.390625, 25.0, 88.59375, 6.7998046875, 18.19921875, 97.796875, 0.0, 0.0, 9.099609375, 63.59375, 25.0, 2.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 487.0, 71.0, 0.0, 0.0, 36.0, "Tous les candidats", 874.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "31360", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31360&g_ta_cod=31360", 100.0, 0.0, 0.0),
(10256, "Privé sous contrat d'association", "0753933T", "Lycée Saint-Louis De Gonzague", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Lycée Saint-Louis De Gonzague - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 40, 2120, 1169, 2120, 0, 2007, 129, 0, 0, 1, 1, 112, 0, 0, 0, 0, 0, 500, 0, 0, 500, 494, 29, 0, 0, 0, 0, 6, 161, 40, 25, 40, 0, 7.0, 36.0, 39.0, 0, 2, 40, 40, 0, 0, 0, 0, 0, 0, 4, 35, 1.0, 40, 0, 0, 4, 3, 17, 30, 17.5, 90.0, 97.5, 62.5, 42.5, 75.0, 10, 5.0, 100.0, 0.0, 0.0, 0.0, 10.0, 87.5, 2.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 158.0, 9.0, 0.0, 0.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "31659", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31375&g_ta_cod=31659", 100.0, 0.0, 0.0),
(10257, "Privé sous contrat d'association", "0440256P", "Lycée St Pierre La Joliverie", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Sébastien-sur-Loire", "formation sélective", "Autre formation", "Lycée St Pierre La Joliverie - DN MADE - Événement - - Spécialité : Espace de communication", "DN MADE", "- Spécialité : Espace de communication", 8, 278, 244, 272, 0, 93, 6, 86, 13, 42, 8, 51, 6, 1, 0, 0, 5, 89, 4, 0, 0, 45, 2, 37, 4, 6, 0, 1, 55, 12, 11, 9, 3, 1.0, 8.0, 9.0, 0, 1, 10, 6, 3, 1, 2, 0, 1, 4, 5, 0, 0.0, 5, 3, 1, 0, 0, 6, 6, 8.33, 66.67, 75.0, 91.6875, 60.0, 60.0, 0, 10.0, 83.296875, 0.0, 10.0, 40.0, 50.0, 0.0, 0.0, 60.0, 50.0, 30.0, 30.0, 10.0, 10.0, 26.0, 1.0, 4.0, 0.0, 3.0, "Tous les candidats", 86.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "24249", "DN MADE - Événement - - Spécialité : Espace de communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24249&g_ta_cod=24249", 58.0, 25.0, 17.0),
(10258, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", ": Université de La Réunion - Saint Denis", 230, 1447, 801, 1114, 0, 526, 197, 251, 161, 76, 58, 261, 333, 27, 55, 51, 200, 1114, 299, 0, 0, 526, 197, 251, 161, 76, 58, 261, 1156, 212, 97, 108, 104, 12.0, 105.0, 166.0, 0, 75, 127, 48, 50, 29, 85, 0, 78, 33, 14, 2, 0.0, 29, 8, 12, 0, 0, 102, 102, 5.66, 49.53, 78.3, 45.796875, 80.296875, 80.296875, 0, 59.09375, 59.8984375, 0.0, 61.3984375, 26.0, 11.0, 1.6, 0.0, 37.796875, 22.796875, 39.3984375, 6.2998046875, 22.796875, 9.3984375, 428.0, 165.0, 102.0, 80.0, 378.0, "Tous les candidats", 1481.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "26501", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26499&g_ta_cod=26501", 42.0, 33.0, 25.0),
(10259, "Public", "0750654D", "Lycée Henri IV", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "CPGE", "Lycée Henri IV - CPGE - MPSI", "Classe préparatoire scientifique", "", 90, 6258, 1948, 6258, 4571, 5761, 551, 1, 1, 1, 0, 495, 0, 0, 0, 0, 0, 692, 0, 301, 683, 690, 54, 0, 0, 0, 0, 2, 323, 92, 19, 92, 0, 37.0, 79.0, 87.0, 23, 14, 91, 91, 0, 0, 1, 2, 0, 0, 4, 54, 31.0, 89, 0, 0, 7, 0, 38, 68, 40.22, 85.87, 94.57, 20.69921875, 41.796875, 74.6875, 7.69921875, 15.3984375, 98.890625, 2.19970703125, 0.0, 0.0, 4.3994140625, 59.3, 34.1, 100.0, 97.796875, 0.0, 0.0, 0.0, 0.0, 321.0, 37.0, 0.0, 0.0, 2.0, "Tous les candidats", 381.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "8964", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8964&g_ta_cod=8964", 100.0, 0.0, 0.0),
(10260, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Moyen-Orient et Maghreb - Arabe Oriental", "Licence - Arts-lettres-langues", "Moyen-Orient et Maghreb - Arabe Oriental", 50, 265, 182, 232, 0, 97, 36, 8, 7, 9, 6, 118, 33, 4, 3, 1, 25, 225, 18, 0, 0, 97, 36, 8, 7, 9, 6, 111, 181, 48, 33, 37, 11, 13.0, 36.0, 37.0, 0, 6, 18, 15, 2, 1, 30, 0, 7, 9, 2, 0, 0.0, 11, 0, 0, 0, 0, 1, 11, 27.08, 75.0, 77.08, 68.796875, 5.599609375, 61.09375, 0, 33.296875, 37.5, 0.0, 38.8984375, 50.0, 11.099609375, 0.0, 0.0, 83.296875, 61.09375, 11.099609375, 0.0, 5.599609375, 0.0, 84.0, 31.0, 5.0, 3.0, 87.0, "Tous les candidats", 225.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "16723", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Moyen-Orient et Maghreb - Arabe Oriental", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16723&g_ta_cod=16723", 77.0, 10.0, 10.0),
(10261, "Public", "0721094Y", "Lycée Polyvalent Le Mans Sud", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Le Mans Sud - BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "BTS - Production", "", 11, 55, 3, 54, 0, 3, 1, 24, 11, 20, 7, 7, 1, 0, 0, 0, 1, 45, 0, 0, 0, 3, 1, 21, 9, 19, 6, 2, 28, 4, 0, 4, 0, 3.0, 4.0, 4.0, 0, 1, 4, 0, 3, 1, 0, 0, 1, 2, 1, 0, 0.0, 0, 3, 0, 3, 0, 3, 3, 75.0, 100.0, 100.0, 0.0, 75.0, 75.0, 75, 25.0, 100.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 0.0, 75.0, 75.0, 25.0, 0.0, 3.0, 1.0, 10.0, 4.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 80.0, "8759", "BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8759&g_ta_cod=8759", 0.0, 75.0, 25.0),
(10262, "Public", "0771357G", "Lycée agricole de la Bretonnière", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Chailly-en-Brie", "formation sélective", "BTS", "Lycée agricole de la Bretonnière - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 14, 198, 78, 191, 0, 6, 1, 16, 1, 34, 7, 135, 7, 0, 4, 0, 3, 83, 4, 0, 0, 4, 0, 16, 1, 34, 7, 29, 46, 12, 4, 10, 2, 2.0, 9.0, 11.0, 0, 1, 9, 1, 3, 5, 3, 0, 4, 5, 0, 0, 0.0, 1, 0, 4, 4, 1, 8, 8, 16.67, 75.0, 91.67, 33.296875, 88.890625, 88.890625, 44.3984375, 11.099609375, 75.0, 0.0, 44.3984375, 55.59375, 0.0, 0.0, 0.0, 11.099609375, 11.099609375, 33.296875, 0.0, 55.59375, 44.3984375, 3.0, 0.0, 18.0, 4.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 26.0, "14602", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14602&g_ta_cod=14602", 33.0, 25.0, 42.0),
(10263, "Privé sous contrat d'association", "0480682F", "ETES ECOLE DE TRAVAIL EDUCATIF ET SOCIAL", "48", "Lozère", "Occitanie", "Montpellier", "Marvejols", "formation sélective", "EFTS", "ETES ECOLE DE TRAVAIL EDUCATIF ET SOCIAL - D.E Educateur Spécialisé", "D.E secteur social", "", 20, 162, 125, 162, 0, 20, 4, 29, 5, 17, 6, 96, 0, 0, 0, 0, 0, 129, 0, 0, 0, 14, 1, 21, 4, 12, 5, 82, 38, 20, 18, 20, 0, 9.0, 19.0, 20.0, 0, 2, 4, 2, 2, 0, 16, 0, 3, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 45.0, 95.0, 100.0, 90.0, 25.0, 25.0, 0, 50.0, 20.0, 0.0, 75.0, 0.0, 25.0, 0.0, 0.0, 50.0, 25.0, 50.0, 0.0, 0.0, 0.0, 2.0, 0.0, 0.0, 0.0, 31.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "24897", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24897&g_ta_cod=24897", 55.0, 20.0, 25.0),
(10264, "Public", "0750704H", "Lycée Carnot", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "CPGE", "Lycée Carnot - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 48, 3217, 1651, 3205, 498, 2805, 304, 3, 1, 0, 0, 397, 12, 5, 0, 1, 6, 2112, 3, 345, 1938, 2052, 212, 0, 0, 0, 0, 60, 768, 44, 28, 43, 1, 2.0, 17.0, 35.0, 0, 6, 43, 43, 0, 0, 1, 0, 1, 4, 30, 8, 0.0, 42, 0, 0, 0, 0, 16, 35, 4.55, 38.64, 79.55, 63.59375, 37.1953125, 81.390625, 0, 14.0, 97.6875, 0.0, 2.2998046875, 9.298828125, 69.796875, 18.6, 0.0, 100.0, 97.6875, 0.0, 0.0, 0.0, 0.0, 753.0, 78.0, 0.0, 0.0, 15.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "31457", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31370&g_ta_cod=31457", 100.0, 0.0, 0.0),
(10265, "Public", "0261505V", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 742, 487, 742, 0, 38, 12, 235, 79, 211, 94, 258, 0, 0, 0, 0, 0, 461, 0, 0, 0, 32, 11, 184, 61, 158, 62, 87, 191, 32, 18, 31, 0, 3.0, 27.0, 28.0, 0, 16, 26, 1, 15, 10, 6, 3, 7, 11, 5, 0, 0.0, 1, 6, 9, 1, 0, 24, 24, 9.38, 84.38, 87.5, 56.296875, 92.296875, 92.296875, 3.7998046875, 61.5, 81.296875, 11.5, 26.8984375, 42.296875, 19.19921875, 0.0, 0.0, 3.7998046875, 3.7998046875, 57.6953125, 23.09765625, 38.5, 34.59375, 8.0, 5.0, 66.0, 19.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 101, "Bacheliers technologiques toutes séries", 127, "Liste d'appel propre à cette formation", 34.0, "16815", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16815&g_ta_cod=16815", 9.0, 50.0, 41.0),
(10266, "Public", "0440069L", "LGT Aristide Briand", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "CPGE", "LGT Aristide Briand - CPGE - TSI", "Classe préparatoire scientifique", "", 44, 352, 34, 349, 242, 0, 0, 320, 49, 0, 0, 29, 3, 0, 2, 0, 1, 257, 0, 181, 241, 0, 0, 253, 31, 0, 0, 4, 181, 28, 2, 28, 0, 12.0, 28.0, 28.0, 10, 5, 28, 0, 28, 0, 0, 0, 0, 3, 20, 5, 0.0, 0, 28, 0, 9, 1, 18, 18, 42.86, 100.0, 100.0, 7.099609375, 64.296875, 64.296875, 32.09375, 17.8984375, 100.0, 0.0, 0.0, 10.69921875, 71.390625, 17.9, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 256.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "5458", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5458&g_ta_cod=5458", 0.0, 100.0, 0.0),
(10267, "Public", "0630022G", "Lycée professionnel Roger Claustres", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée professionnel Roger Claustres - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 24, 208, 28, 174, 0, 9, 0, 67, 15, 39, 11, 59, 34, 0, 8, 6, 20, 104, 11, 0, 0, 9, 0, 53, 10, 31, 8, 11, 91, 21, 0, 17, 4, 7.0, 17.0, 19.0, 0, 4, 18, 0, 5, 13, 3, 0, 7, 10, 1, 0, 0.0, 0, 2, 9, 5, 0, 16, 16, 33.33, 80.95, 90.48, 0.0, 88.890625, 88.890625, 27.796875, 22.19921875, 85.6875, 0.0, 38.8984375, 55.59375, 5.599609375, 0.0, 0.0, 0.0, 0.0, 27.796875, 11.099609375, 72.1875, 50.0, 9.0, 0.0, 31.0, 9.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 60.0, "15668", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15668&g_ta_cod=15668", 0.0, 33.0, 67.0),
(10268, "Public", "0500036T", "Lycée Julliot De La Morandiere", "50", "Manche", "Normandie", "Normandie", "Granville", "formation sélective", "BTS", "Lycée Julliot De La Morandiere - BTS - Production - Electrotechnique", "BTS - Production", "", 22, 235, 21, 235, 0, 9, 3, 25, 6, 48, 18, 153, 0, 0, 0, 0, 0, 219, 0, 0, 0, 9, 3, 25, 6, 48, 18, 137, 69, 17, 0, 17, 0, 3.0, 17.0, 17.0, 0, 3, 15, 0, 7, 8, 2, 0, 5, 7, 3, 0, 0.0, 0, 4, 6, 10, 0, 15, 15, 17.65, 100.0, 100.0, 0.0, 100.0, 100.0, 66.6875, 20.0, 88.1875, 0.0, 33.296875, 46.6953125, 20.0, 0.0, 0.0, 0.0, 0.0, 46.6953125, 26.69921875, 53.296875, 40.0, 5.0, 2.0, 36.0, 11.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 38.0, "5999", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5999&g_ta_cod=5999", 6.0, 47.0, 47.0),
(10269, "Public", "0251671F", "Lycée Edgar Faure", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Morteau", "formation sélective", "BTS", "Lycée Edgar Faure - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 24, 197, 19, 197, 0, 44, 4, 74, 8, 57, 12, 22, 0, 0, 0, 0, 0, 141, 0, 0, 0, 36, 4, 59, 5, 36, 5, 10, 69, 24, 2, 24, 0, 6.0, 21.0, 21.0, 0, 3, 23, 5, 8, 10, 1, 0, 3, 11, 8, 1, 0.0, 3, 7, 10, 11, 1, 18, 18, 25.0, 87.5, 87.5, 8.298828125, 78.296875, 78.296875, 47.796875, 13.0, 95.796875, 0.0, 13.0, 47.796875, 34.796875, 4.3, 0.0, 21.69921875, 13.0, 34.796875, 30.3984375, 43.5, 43.5, 12.0, 3.0, 24.0, 4.0, 4.0, "Tous les candidats sauf les Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 43.0, "3572", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3572&g_ta_cod=3572", 21.0, 33.0, 46.0),
(10270, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "CPGE", "Lycée Jean Perrin - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 934, 316, 934, 508, 681, 120, 2, 1, 0, 0, 251, 0, 0, 0, 0, 0, 840, 0, 508, 695, 642, 106, 1, 1, 0, 0, 197, 441, 47, 9, 47, 0, 0.0, 31.0, 40.0, 6, 6, 40, 40, 0, 0, 7, 0, 0, 13, 25, 2, 0.0, 40, 0, 0, 3, 0, 37, 37, 0.0, 65.96, 85.11, 19.09765625, 92.5, 92.5, 7.5, 15.0, 85.09375, 0.0, 0.0, 32.5, 62.5, 5.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 371.0, 69.0, 0.0, 0.0, 70.0, "Tous les candidats", 592.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "2594", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2594&g_ta_cod=2594", 100.0, 0.0, 0.0),
(10271, "Privé enseignement supérieur", "0650948C", "EGC Tarbes-Pyrénées", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "Ecole de Commerce", "EGC d'Occitanie - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "Formation Bac + 3", 40, 97, 38, 92, 0, 76, 5, 6, 0, 1, 1, 9, 5, 1, 1, 0, 3, 77, 2, 0, 0, 66, 4, 6, 0, 1, 1, 4, 76, 8, 1, 7, 1, 4.0, 7.0, 7.0, 0, 1, 7, 6, 0, 1, 1, 0, 4, 2, 0, 1, 0.0, 2, 0, 1, 0, 0, 3, 3, 50.0, 87.5, 87.5, 12.5, 42.8984375, 42.8984375, 0, 14.298828125, 87.5, 0.0, 57.09375, 28.59765625, 0.0, 14.3, 0.0, 85.6875, 28.59765625, 0.0, 0.0, 14.298828125, 14.298828125, 64.0, 4.0, 1.0, 1.0, 5.0, "Tous les candidats", 184.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 84.0, "12064", "Formation des écoles de commerce et de management Bac + 3", "EGC d'Occitanie", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12059&g_ta_cod=12064", 88.0, 0.0, 13.0),
(10272, "Public", "0830923C", "Lycée Paul Langevin", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Seyne-sur-Mer", "formation sélective", "BTS", "Lycée Paul Langevin - BTS - Production - Maintenance des systèmes - option A Systèmes de production - Parcours Marine Nationale / Maistrance - Défense", "BTS - Production", "Parcours Marine Nationale / Maistrance - Défense", 4, 106, 10, 102, 0, 12, 1, 32, 5, 35, 10, 23, 4, 0, 1, 1, 2, 28, 0, 0, 0, 6, 0, 11, 1, 10, 1, 1, 9, 3, 1, 3, 0, 1.0, 2.0, 2.0, 0, 0, 3, 1, 1, 1, 0, 0, 0, 2, 1, 0, 0.0, 1, 1, 1, 1, 0, 2, 2, 33.33, 66.67, 66.67, 33.296875, 66.6875, 66.6875, 33.296875, 0.0, 100.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 33.296875, 33.296875, 33.296875, 2.0, 0.0, 3.0, 0.0, 0.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "10374", "BTS - Production - Maintenance des systèmes - option A Systèmes de production - Parcours Marine Nationale / Maistrance - Défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10374&g_ta_cod=10374", 33.0, 33.0, 33.0),
(10273, "Public", "0430021P", "Lycée Simone Weil", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "BTS", "Lycée Simone Weil - BTS - Production - Biotechnologies", "BTS - Production", "", 27, 630, 370, 532, 0, 114, 12, 172, 48, 6, 1, 240, 98, 11, 43, 0, 44, 185, 10, 0, 0, 68, 8, 72, 10, 3, 0, 42, 124, 21, 15, 17, 4, 5.0, 14.0, 19.0, 0, 2, 13, 6, 6, 1, 8, 0, 3, 6, 3, 1, 0.0, 3, 6, 1, 5, 3, 10, 10, 23.81, 66.67, 90.48, 71.390625, 76.890625, 76.890625, 38.5, 15.3984375, 61.8984375, 0.0, 23.09765625, 46.1953125, 23.09765625, 7.7, 0.0, 46.1953125, 23.09765625, 46.1953125, 46.1953125, 7.69921875, 7.69921875, 41.0, 6.0, 3.0, 0.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 34.0, "5393", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5393&g_ta_cod=5393", 43.0, 52.0, 5.0),
(10274, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais mineure Sciences du langage", "Licence - Arts-lettres-langues", "Anglais mineure Sciences du langage", 20, 582, 451, 582, 0, 363, 74, 26, 8, 10, 6, 183, 0, 0, 0, 0, 0, 567, 0, 0, 0, 363, 74, 26, 8, 10, 6, 168, 92, 19, 17, 19, 0, 1.0, 16.0, 17.0, 0, 5, 18, 15, 2, 1, 1, 0, 2, 7, 8, 1, 0.0, 14, 2, 0, 0, 0, 6, 16, 5.26, 84.21, 89.47, 89.5, 33.296875, 88.890625, 0, 27.796875, 94.6875, 0.0, 11.099609375, 38.8984375, 44.3984375, 5.6, 0.0, 83.296875, 77.796875, 11.099609375, 11.099609375, 5.599609375, 0.0, 69.0, 11.0, 1.0, 1.0, 18.0, "Tous les candidats", 153.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "24020", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais mineure Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24020&g_ta_cod=24020", 84.0, 11.0, 5.0),
(10275, "Privé sous contrat d'association", "0690521S", "Lycée Sainte - Marie Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "BTS", "Lycée Sainte - Marie Lyon - BTS - Services - Commerce International", "BTS - Services", "", 45, 1041, 517, 1035, 0, 479, 71, 269, 63, 69, 29, 218, 6, 0, 0, 3, 3, 442, 0, 0, 0, 295, 24, 65, 14, 24, 8, 58, 211, 50, 27, 50, 0, 11.0, 45.0, 50.0, 0, 10, 37, 22, 12, 3, 13, 0, 10, 18, 7, 2, 0.0, 16, 8, 3, 4, 3, 27, 27, 22.0, 90.0, 100.0, 54.0, 73.0, 73.0, 10.798828125, 27.0, 74.0, 0.0, 27.0, 48.59375, 18.8984375, 5.4, 0.0, 59.5, 43.1953125, 32.3984375, 21.59765625, 8.099609375, 8.099609375, 106.0, 14.0, 13.0, 5.0, 51.0, "Tous les candidats sauf les Bac professionnels", 307.0, "Bacheliers professionnels toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 32.0, "8289", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8289&g_ta_cod=8289", 68.0, 26.0, 6.0),
(10276, "Privé enseignement supérieur", "9741278W", "INST FORM ET RECH. TRAV.SOCIAL I.R.T.S DE LA REUNION", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Benoît", "formation sélective", "EFTS", "INST FORM ET RECH. TRAV.SOCIAL I.R.T.S DE LA REUNION - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 18, 129, 123, 129, 0, 27, 12, 38, 23, 11, 6, 53, 0, 0, 0, 0, 0, 53, 0, 0, 0, 14, 6, 12, 6, 5, 2, 22, 26, 18, 18, 18, 0, 12.0, 14.0, 14.0, 0, 4, 6, 2, 2, 2, 12, 0, 2, 3, 1, 0, 0.0, 1, 2, 1, 0, 0, 6, 6, 66.67, 77.78, 77.78, 100.0, 100.0, 100.0, 0, 66.6875, 33.296875, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 33.296875, 16.69921875, 33.296875, 33.296875, 33.296875, 16.69921875, 4.0, 1.0, 4.0, 2.0, 15.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "24873", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24873&g_ta_cod=24873", 44.0, 33.0, 22.0),
(10277, "Public", "0751718K", "Université Paris 2 Panthéon - Assas", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Licence", "Université Paris 2 Panthéon - Assas - Licence - Double diplôme - Licence Droit - Droits français et suisse", "Licence - Droit-économie-gestion", "Droits français et suisse", 20, 801, 552, 801, 0, 589, 123, 28, 17, 8, 4, 176, 0, 0, 0, 0, 0, 100, 0, 0, 0, 100, 12, 0, 0, 0, 0, 0, 70, 19, 14, 19, 0, 3.0, 18.0, 18.0, 0, 1, 19, 19, 0, 0, 0, 0, 0, 1, 2, 14, 2.0, 19, 0, 0, 0, 0, 3, 8, 15.79, 94.74, 94.74, 73.6875, 15.798828125, 42.09375, 0, 5.2998046875, 100.0, 0.0, 0.0, 5.2998046875, 10.5, 73.7, 10.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 70.0, 9.0, 0.0, 0.0, 0.0, "Tous les candidats", 82.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "27193", "Licence - Double diplôme - Licence Droit - Droits français et suisse", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27193&g_ta_cod=27193", 100.0, 0.0, 0.0),
(10278, "Public", "0440029T", "LGT Livet", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LGT Livet - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 455, 27, 454, 0, 24, 1, 92, 20, 146, 46, 192, 1, 0, 0, 1, 0, 294, 0, 0, 0, 22, 1, 89, 20, 138, 42, 45, 135, 25, 1, 25, 0, 3.0, 20.0, 25.0, 0, 10, 21, 1, 10, 10, 4, 0, 11, 8, 1, 1, 0.0, 1, 2, 7, 4, 0, 18, 18, 12.0, 80.0, 100.0, 4.0, 85.6875, 85.6875, 19, 47.59375, 84.0, 0.0, 52.3984375, 38.09375, 4.7998046875, 4.8, 0.0, 4.7998046875, 4.7998046875, 47.59375, 9.5, 47.59375, 33.296875, 11.0, 1.0, 59.0, 16.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 128, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 57.0, "5437", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5437&g_ta_cod=5437", 12.0, 48.0, 40.0),
(10279, "Privé sous contrat d'association", "0221033D", "Lycée agricole ESPA", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Quessoy", "formation sélective", "BTS", "Lycée agricole ESPA - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 28, 163, 50, 162, 0, 10, 2, 63, 8, 79, 14, 10, 1, 0, 0, 1, 0, 155, 1, 0, 0, 10, 2, 63, 8, 79, 14, 3, 113, 23, 9, 22, 1, 14.0, 20.0, 21.0, 0, 4, 22, 0, 7, 15, 1, 0, 7, 12, 3, 0, 0.0, 0, 5, 10, 16, 6, 21, 21, 60.87, 86.96, 91.3, 39.09375, 95.5, 95.5, 72.6875, 18.19921875, 95.6875, 0.0, 31.796875, 54.5, 13.599609375, 0.0, 0.0, 0.0, 0.0, 31.796875, 22.69921875, 68.1875, 45.5, 5.0, 1.0, 63.0, 9.0, 2.0, "Tous les candidats sauf les Bac professionnels", 76.0, "Bacheliers professionnels toutes séries", 79, "", 0, "Liste d'appel propre à cette formation", 95.0, "3352", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3352&g_ta_cod=3352", 4.0, 30.0, 65.0),
(10280, "Public", "0310044E", "Lycée Déodat de Séverac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Déodat de Séverac - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 24, 611, 94, 594, 0, 61, 9, 166, 46, 150, 61, 217, 17, 2, 0, 0, 15, 293, 2, 0, 0, 53, 8, 121, 30, 69, 18, 50, 123, 25, 2, 24, 1, 2.0, 17.0, 22.0, 0, 4, 16, 1, 9, 6, 9, 0, 5, 2, 9, 0, 0.0, 1, 4, 6, 3, 0, 15, 15, 8.0, 68.0, 88.0, 8.0, 93.796875, 93.796875, 18.796875, 25.0, 64.0, 0.0, 31.296875, 12.5, 56.296875, 0.0, 0.0, 6.2998046875, 6.2998046875, 56.296875, 25.0, 37.5, 37.5, 27.0, 7.0, 24.0, 6.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 32.0, "4058", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4058&g_ta_cod=4058", 28.0, 40.0, 32.0),
(10281, "Public", "0310047H", "Lycée Ozenne", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Ozenne - BTS - Services - Communication", "BTS - Services", "", 35, 2273, 1587, 2273, 0, 437, 117, 668, 253, 348, 151, 820, 0, 0, 0, 0, 0, 2135, 0, 0, 0, 437, 117, 668, 253, 348, 151, 682, 143, 33, 27, 33, 0, 5.0, 31.0, 33.0, 0, 10, 29, 8, 9, 12, 4, 0, 2, 10, 13, 4, 0.0, 7, 8, 12, 0, 0, 24, 24, 15.15, 93.94, 100.0, 81.796875, 82.796875, 82.796875, 0, 34.5, 87.890625, 0.0, 6.8994140625, 34.5, 44.796875, 13.8, 0.0, 27.59765625, 24.09765625, 31.0, 27.59765625, 41.3984375, 41.3984375, 34.0, 10.0, 26.0, 11.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 131, "Liste d'appel propre à cette formation", 9.0, "4077", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4077&g_ta_cod=4077", 27.0, 36.0, 36.0),
(10282, "Public", "0941347D", "Lycée Pablo Picasso", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Fontenay-sous-Bois", "formation sélective", "BTS", "Lycée Pablo Picasso - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 1049, 462, 860, 0, 59, 24, 247, 113, 194, 93, 360, 189, 12, 69, 3, 105, 181, 17, 0, 0, 16, 4, 38, 15, 92, 43, 35, 138, 35, 16, 23, 11, 7.0, 20.0, 29.0, 0, 9, 25, 5, 8, 12, 10, 0, 10, 12, 3, 0, 0.0, 3, 4, 8, 3, 1, 23, 25, 20.0, 57.14, 82.86, 45.6953125, 92.0, 100.0, 12, 36.0, 71.390625, 0.0, 40.0, 48.0, 12.0, 0.0, 0.0, 20.0, 12.0, 32.0, 16.0, 48.0, 32.0, 15.0, 5.0, 56.0, 21.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 100, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 21.0, "11521", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11521&g_ta_cod=11521", 23.0, 37.0, 40.0),
(10283, "Privé sous contrat d'association", "0292319N", "ITES BREST", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "EFTS", "ITES BREST - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 15, 159, 152, 159, 0, 15, 2, 41, 6, 24, 3, 79, 0, 0, 0, 0, 0, 105, 0, 0, 0, 12, 2, 22, 3, 12, 1, 59, 24, 18, 18, 18, 0, 12.0, 14.0, 14.0, 0, 1, 3, 2, 0, 1, 15, 0, 0, 2, 1, 0, 0.0, 2, 0, 1, 0, 0, 2, 2, 66.67, 77.78, 77.78, 100.0, 66.6875, 66.6875, 0, 33.296875, 16.69921875, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 66.6875, 66.6875, 0.0, 0.0, 33.296875, 33.296875, 2.0, 1.0, 2.0, 0.0, 20.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "26444", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26444&g_ta_cod=26444", 50.0, 33.0, 17.0),
(10284, "Public", "0511901P", "Lycée Colbert", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "Lycée Colbert - CPES - Arts", "Classe préparatoire aux études supérieures", "", 24, 297, 237, 272, 0, 205, 38, 19, 3, 18, 5, 30, 25, 9, 1, 3, 12, 70, 3, 0, 0, 62, 11, 2, 0, 0, 0, 6, 61, 18, 14, 17, 1, 5.0, 17.0, 18.0, 0, 7, 17, 16, 1, 0, 1, 0, 3, 4, 8, 2, 0.0, 13, 1, 0, 0, 0, 11, 11, 27.78, 94.44, 100.0, 77.796875, 64.6875, 64.6875, 0, 41.1953125, 94.390625, 0.0, 17.59765625, 23.5, 47.09375, 11.8, 0.0, 94.09375, 76.5, 5.8994140625, 5.8994140625, 0.0, 0.0, 55.0, 12.0, 0.0, 0.0, 4.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "19901", "CPES - Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19901&g_ta_cod=19901", 94.0, 6.0, 0.0),
(10285, "Public", "0755188G", "Sorbonne Université - Médecine", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "Sorbonne Université ? Médecine - D.E Psychomotricien", "D.E secteur sanitaire", "", 155, 1547, 1428, 1547, 0, 355, 40, 118, 33, 9, 5, 1065, 0, 0, 0, 0, 0, 996, 0, 0, 0, 175, 13, 72, 16, 0, 0, 749, 287, 154, 151, 154, 0, 65.0, 139.0, 146.0, 0, 11, 67, 37, 30, 0, 87, 0, 0, 12, 39, 13, 3.0, 37, 30, 0, 0, 0, 3, 28, 42.21, 90.26, 94.81, 98.09375, 4.5, 41.796875, 0, 16.3984375, 43.5, 0.0, 0.0, 17.8984375, 58.1953125, 19.4, 4.5, 55.1953125, 55.1953125, 44.796875, 44.796875, 0.0, 0.0, 75.0, 9.0, 0.0, 0.0, 175.0, "Tous les candidats", 290.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "26280", "D.E Psychomotricien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26280&g_ta_cod=26280", 75.0, 23.0, 1.0),
(10286, "Public", "0941470M", "Lycée Champlain", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Chennevières-sur-Marne", "formation sélective", "BTS", "Lycée Champlain - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 1047, 546, 666, 0, 37, 6, 160, 55, 227, 112, 242, 381, 5, 211, 0, 165, 294, 10, 0, 0, 31, 5, 86, 29, 128, 68, 49, 185, 35, 18, 26, 7, 2.0, 17.0, 26.0, 0, 10, 24, 2, 8, 14, 11, 0, 8, 11, 3, 2, 0.0, 1, 5, 10, 7, 2, 24, 24, 5.71, 48.57, 74.29, 51.3984375, 100.0, 100.0, 29.19921875, 41.6953125, 68.59375, 0.0, 33.296875, 45.796875, 12.5, 8.3, 0.0, 8.298828125, 4.19921875, 33.296875, 20.796875, 58.296875, 41.6953125, 17.0, 3.0, 67.0, 36.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 124, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 38.0, "11526", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11526&g_ta_cod=11526", 14.0, 31.0, 54.0),
(10287, "Privé enseignement supérieur", "0212250G", "CESI Campus de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Quetigny", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 28, 797, 107, 776, 0, 576, 64, 63, 15, 0, 0, 137, 21, 10, 1, 0, 10, 573, 4, 0, 0, 452, 35, 48, 6, 0, 0, 73, 160, 15, 2, 15, 0, 11.0, 15.0, 15.0, 0, 1, 13, 12, 1, 0, 2, 0, 3, 9, 1, 0, 0.0, 9, 1, 0, 0, 0, 8, 8, 73.33, 100.0, 100.0, 13.298828125, 61.5, 61.5, 0, 7.69921875, 86.6875, 0.0, 23.09765625, 69.1875, 7.69921875, 0.0, 0.0, 92.296875, 69.1875, 7.69921875, 7.69921875, 0.0, 0.0, 112.0, 12.0, 0.0, 0.0, 44.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "25968", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25968", 93.0, 7.0, 0.0),
(10288, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence", "Avignon Université - Licence - Langues étrangères appliquées - Parcours Anglais - Allemand", "Licence - Arts-lettres-langues", "Anglais - Allemand", 80, 97, 62, 66, 0, 46, 13, 2, 1, 2, 2, 16, 31, 7, 2, 1, 21, 64, 16, 0, 0, 46, 13, 2, 1, 2, 2, 14, 80, 9, 8, 6, 3, 6.0, 6.0, 7.0, 0, 1, 6, 6, 0, 0, 3, 0, 2, 2, 1, 1, 0.0, 4, 0, 0, 0, 0, 3, 3, 66.67, 66.67, 77.78, 88.890625, 50.0, 50.0, 0, 16.69921875, 66.6875, 0.0, 33.296875, 33.296875, 16.69921875, 16.7, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 50.0, 14.0, 3.0, 2.0, 24.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "10449", "Licence - Langues étrangères appliquées - Parcours Anglais - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10449&g_ta_cod=10449", 89.0, 0.0, 11.0),
(10289, "Public", "0380092U", "Lycée Ferdinand Buisson", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Voiron", "formation sélective", "BTS", "Lycée Ferdinand Buisson - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 17, 144, 9, 143, 0, 6, 0, 70, 7, 45, 19, 22, 1, 0, 0, 1, 0, 143, 0, 0, 0, 6, 0, 70, 7, 45, 19, 22, 92, 17, 0, 17, 0, 3.0, 13.0, 17.0, 0, 1, 13, 0, 6, 7, 4, 1, 4, 6, 2, 0, 0.0, 0, 2, 6, 9, 0, 13, 13, 17.65, 76.47, 100.0, 0.0, 100.0, 100.0, 69.1875, 7.69921875, 76.5, 7.69921875, 30.796875, 46.1953125, 15.3984375, 0.0, 0.0, 0.0, 0.0, 46.1953125, 15.3984375, 53.796875, 46.1953125, 4.0, 0.0, 31.0, 13.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 92.0, "4959", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4959&g_ta_cod=4959", 12.0, 47.0, 41.0),
(10290, "Public", "0550072E", "Lycée Alfred Kastler", "55", "Meuse", "Grand Est", "Nancy-Metz", "Stenay", "formation sélective", "BTS", "Lycée Alfred Kastler - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 791, 354, 791, 0, 10, 2, 45, 15, 51, 29, 685, 0, 0, 0, 0, 0, 219, 0, 0, 0, 10, 2, 43, 15, 33, 19, 133, 82, 23, 13, 23, 0, 7.0, 22.0, 23.0, 0, 5, 19, 2, 7, 10, 4, 0, 11, 6, 2, 0, 0.0, 1, 1, 6, 15, 10, 18, 18, 30.43, 95.65, 100.0, 56.5, 94.6875, 94.6875, 78.890625, 26.296875, 82.59375, 0.0, 57.8984375, 31.59765625, 10.5, 0.0, 0.0, 10.5, 5.2998046875, 36.796875, 5.2998046875, 52.59375, 31.59765625, 4.0, 1.0, 29.0, 15.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 12.0, "6410", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6410&g_ta_cod=6410", 9.0, 43.0, 48.0),
(10291, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence_Las", "Université de Reims Champagne-Ardenne - Licence - Sciences pour la santé - Sciences -  option Santé", "Licence - Sciences - technologies - santé", "Sciences", 220, 1889, 1318, 1889, 0, 1427, 216, 71, 24, 2, 1, 389, 0, 0, 0, 0, 0, 1889, 0, 0, 0, 1427, 216, 71, 24, 2, 1, 389, 710, 218, 145, 218, 0, 63.0, 186.0, 212.0, 0, 33, 198, 198, 0, 0, 20, 0, 3, 53, 78, 52, 12.0, 195, 0, 0, 0, 0, 150, 150, 28.9, 85.32, 97.25, 66.5, 75.796875, 75.796875, 0, 16.69921875, 90.796875, 0.0, 1.5, 26.796875, 39.3984375, 26.3, 6.1, 100.0, 98.5, 0.0, 0.0, 0.0, 0.0, 623.0, 91.0, 0.0, 0.0, 84.0, "Tous les candidats", 909.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "32175", "Licence - Sciences pour la santé - Sciences -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32175&g_ta_cod=32175", 100.0, 0.0, 0.0),
(10292, "Public", "0134155W", "LYCEE POLYVALENT SIMONE VEIL", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BTS", "LYCEE POLYVALENT SIMONE VEIL - BTS - Services - Métiers des Services à l'environnement", "BTS - Services", "", 24, 302, 120, 299, 0, 33, 6, 57, 22, 40, 31, 169, 3, 0, 0, 2, 1, 299, 0, 0, 0, 33, 6, 57, 22, 40, 31, 169, 110, 17, 7, 17, 0, 2.0, 12.0, 16.0, 0, 7, 12, 2, 4, 6, 5, 0, 3, 8, 1, 0, 0.0, 1, 4, 4, 6, 2, 11, 11, 11.76, 70.59, 94.12, 41.1953125, 91.6875, 91.6875, 50, 58.296875, 70.59375, 0.0, 25.0, 66.6875, 8.298828125, 0.0, 0.0, 16.69921875, 8.298828125, 33.296875, 33.296875, 50.0, 33.296875, 17.0, 5.0, 26.0, 21.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers technologiques toutes séries", 47, "Bacheliers professionnels toutes séries", 34, "Liste d'appel propre à cette formation", 40.0, "25386", "BTS - Services - Métiers des Services à l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25386&g_ta_cod=25386", 24.0, 35.0, 41.0),
(10293, "Privé sous contrat d'association", "0132922F", "Lycée St Jean", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Salon-de-Provence", "formation sélective", "BTS", "Lycée St Jean - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 182, 79, 125, 0, 16, 7, 36, 17, 27, 12, 46, 57, 4, 14, 9, 30, 41, 26, 0, 0, 8, 4, 17, 9, 12, 5, 4, 64, 12, 6, 7, 5, 7.0, 7.0, 9.0, 0, 5, 10, 1, 5, 4, 2, 0, 5, 1, 3, 1, 0.0, 0, 3, 2, 0, 0, 10, 10, 58.33, 58.33, 75.0, 50.0, 100.0, 100.0, 0, 50.0, 83.296875, 0.0, 50.0, 10.0, 30.0, 10.0, 0.0, 10.0, 0.0, 50.0, 30.0, 40.0, 20.0, 9.0, 4.0, 18.0, 8.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 33.0, "2789", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2789&g_ta_cod=2789", 17.0, 50.0, 33.0),
(10294, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence_Las", "Université Clermont Auvergne - Licence - Portail Economie & Gestion -  option Santé", "Licence - Droit-économie-gestion", "Economie & Gestion", 40, 412, 261, 318, 0, 166, 45, 21, 7, 14, 7, 117, 94, 30, 5, 1, 58, 313, 83, 0, 0, 166, 45, 21, 7, 14, 7, 112, 311, 40, 26, 15, 24, 3.0, 15.0, 23.0, 0, 7, 21, 16, 3, 2, 19, 1, 7, 8, 5, 0, 0.0, 10, 1, 2, 0, 0, 9, 9, 7.5, 37.5, 57.5, 65.0, 42.8984375, 42.8984375, 0, 33.296875, 52.5, 4.7998046875, 33.296875, 38.09375, 23.796875, 0.0, 0.0, 76.1875, 47.59375, 14.298828125, 4.7998046875, 9.5, 9.5, 179.0, 43.0, 10.0, 4.0, 103.0, "Tous les candidats", 312.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "26671", "Licence - Portail Economie & Gestion -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26671&g_ta_cod=26671", 75.0, 13.0, 10.0),
(10295, "Privé sous contrat d'association", "0371532P", "Lycée Esthétique de Touraine", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Esthétique de Touraine - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 50, 408, 406, 408, 0, 82, 16, 127, 31, 112, 22, 87, 0, 0, 0, 0, 0, 389, 0, 0, 0, 82, 16, 119, 28, 109, 20, 79, 179, 47, 47, 47, 0, 16.0, 32.0, 41.0, 0, 4, 34, 11, 8, 15, 13, 0, 4, 18, 9, 3, 0.0, 10, 7, 13, 9, 9, 25, 25, 34.04, 68.09, 87.23, 100.0, 73.5, 73.5, 26.5, 11.798828125, 72.296875, 0.0, 11.798828125, 52.8984375, 26.5, 8.8, 0.0, 32.3984375, 29.3984375, 23.5, 20.59765625, 44.09375, 38.1953125, 32.0, 9.0, 52.0, 11.0, 46.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 50.0, "4913", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4913&g_ta_cod=4913", 40.0, 23.0, 36.0),
(10296, "Public", "0292173E", "Ecole de formation sanitaire et sociale du CHRU de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Autre formation", "Ecole de formation sanitaire et sociale du CHRU de Brest - D.E Psychomotricien", "D.E secteur sanitaire", "", 30, 1120, 1033, 1120, 0, 259, 26, 99, 15, 13, 3, 749, 0, 0, 0, 0, 0, 1020, 0, 0, 0, 257, 26, 92, 15, 11, 3, 660, 59, 30, 28, 30, 0, 13.0, 27.0, 29.0, 0, 1, 17, 12, 5, 0, 13, 0, 0, 4, 6, 6, 1.0, 12, 5, 0, 0, 0, 9, 9, 43.33, 90.0, 96.67, 93.296875, 52.8984375, 52.8984375, 0, 5.8994140625, 56.6953125, 0.0, 0.0, 23.5, 35.296875, 35.3, 5.9, 70.59375, 70.59375, 29.3984375, 29.3984375, 0.0, 0.0, 24.0, 2.0, 1.0, 0.0, 27.0, "Tous les candidats", 74.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "33317", "D.E Psychomotricien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33317&g_ta_cod=33317", 70.0, 30.0, 0.0),
(10297, "Privé sous contrat d'association", "0131485U", "Lycée professionnel LE ROCHER", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Salon-de-Provence", "formation sélective", "Autre formation", "Lycée professionnel LE ROCHER - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 19, 3, 3, 0, 0, 0.0, 0.0, 1.0, 0, 1, 2, 0, 1, 1, 1, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 0.0, 0.0, 33.33, 100.0, 100.0, 100.0, 0, 50.0, 66.6875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 13.0, 8.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34987", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 67.0, 33.0),
(10298, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence_Las", "Université Grenoble Alpes  - Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales - Mathématiques et informatique appliquées aux sciences humaines et sociales (MIASHS)", "Licence - Sciences humaines et sociales", "Mathématiques et informatique appliquées aux sciences humaines et sociales (MIASHS)", 10, 255, 133, 238, 0, 138, 25, 2, 0, 1, 0, 97, 17, 4, 0, 0, 13, 238, 13, 0, 0, 138, 25, 2, 0, 1, 0, 97, 138, 8, 4, 4, 4, 0.0, 0.0, 4.0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 50.0, 50.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70.0, 13.0, 1.0, 0.0, 67.0, "Tous les candidats", 698.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "32007", "Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales - Mathématiques et informatique appliquées aux sciences humaines et sociales (MIASHS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32006&g_ta_cod=32007", 88.0, 13.0, 0.0),
(10299, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais (En enseignement à distance)", "Licence - Arts-lettres-langues", "Anglais (En enseignement à distance)", 30, 663, 504, 663, 0, 326, 95, 41, 11, 19, 11, 277, 0, 0, 0, 0, 0, 663, 0, 0, 0, 326, 95, 41, 11, 19, 11, 277, 129, 30, 20, 30, 0, 11.0, 21.0, 26.0, 0, 1, 12, 10, 2, 0, 18, 0, 0, 1, 8, 3, 0.0, 10, 2, 0, 0, 0, 5, 5, 36.67, 70.0, 86.67, 66.6875, 41.6953125, 41.6953125, 0, 8.298828125, 40.0, 0.0, 0.0, 8.298828125, 66.6875, 25.0, 0.0, 83.296875, 83.296875, 16.69921875, 16.69921875, 0.0, 0.0, 46.0, 15.0, 4.0, 2.0, 77.0, "Tous les candidats", 251.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "24142", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais (En enseignement à distance)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24142&g_ta_cod=24142", 90.0, 7.0, 3.0),
(10300, "Public", "0260113G", "Lycée Les Catalins", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Montélimar", "formation sélective", "BTS", "Lycée Les Catalins - BTS - Production - Métiers de la mesure", "BTS - Production", "", 15, 11, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 11, 2, 4, 0, 5, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 4, 1, 0, 4, 0.0, 0.0, 0.0, 0, 2, 4, 2, 2, 0, 0, 0, 2, 2, 0, 0, 0.0, 2, 0, 0, 2, 0, 4, 4, 0.0, 0.0, 0.0, 25.0, 100.0, 100.0, 50, 50.0, 100.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 0.0, 0.0, 0.0, 2.0, 1.0, 0.0, 0.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34988", "BTS - Production - Métiers de la mesure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34988&g_ta_cod=34988", 50.0, 50.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(10301, "Public", "0261560E", "Conservatoire National des Arts et Métiers - Auvergne-Rhône-Alpes - Montélimar", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Montélimar", "formation sélective", "Autre formation", "Conservatoire National des Arts et Métiers - Auvergne-Rhône-Alpes - Montélimar - Formation Supérieure de Spécialisation - Tourisme", "Diplôme d'Université", "Tourisme", 12, 5, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 1, 0, 1, 3, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 1, 1, 0, 1, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 0.0, 1.0, 0.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34913", "Formation Supérieure de Spécialisation - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34913&g_ta_cod=34913", 0.0, 100.0, 0.0),
(10302, "Public", "0251202W", "ENIL", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Mamirolle", "formation sélective", "BTS", "ENIL - BTS - Agricole - Sciences et technologies des aliments spécialité Produits laitiers", "BTS - Agricole", "", 28, 199, 109, 189, 0, 26, 1, 50, 13, 29, 3, 84, 10, 3, 1, 0, 6, 127, 4, 0, 0, 26, 1, 48, 12, 27, 2, 26, 97, 6, 5, 6, 0, 3.0, 6.0, 6.0, 0, 1, 4, 2, 2, 0, 2, 0, 1, 2, 1, 0, 0.0, 2, 1, 0, 0, 0, 1, 1, 50.0, 100.0, 100.0, 83.296875, 25.0, 25.0, 0, 25.0, 66.6875, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 50.0, 50.0, 50.0, 25.0, 0.0, 0.0, 25.0, 1.0, 12.0, 1.0, 25.0, "Tous les candidats sauf les Bac professionnels", 100.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 67.0, "3523", "BTS - Agricole - Sciences et technologies des aliments spécialité Produits laitiers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3523&g_ta_cod=3523", 67.0, 33.0, 0.0),
(10303, "Public", "0590233H", "Lycée Emile Zola", "59", "Nord", "Hauts-de-France", "Lille", "Wattrelos", "formation sélective", "BTS", "Lycée Emile Zola - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 377, 248, 312, 0, 9, 6, 59, 35, 135, 94, 109, 65, 6, 0, 28, 31, 134, 9, 0, 0, 9, 6, 43, 27, 77, 49, 5, 76, 24, 15, 18, 6, 10.0, 18.0, 22.0, 0, 14, 19, 2, 5, 12, 5, 0, 10, 6, 1, 2, 0.0, 0, 2, 7, 14, 7, 19, 19, 41.67, 75.0, 91.67, 62.5, 100.0, 100.0, 73.6875, 73.6875, 79.1875, 0.0, 52.59375, 31.59765625, 5.2998046875, 10.5, 0.0, 10.5, 0.0, 26.296875, 10.5, 63.1953125, 36.796875, 10.0, 7.0, 45.0, 31.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 32.0, "6856", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6856&g_ta_cod=6856", 17.0, 21.0, 63.0),
(10304, "Public", "0670178E", "Sciences Po Strasbourg - Institut d'études politiques", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Réseau ScPo ? concours commun - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Cursus général", "Sciences politiques", "Cursus général", 185, 13797, 8473, 13797, 0, 11642, 1267, 37, 15, 3, 2, 2115, 0, 0, 0, 0, 0, 2500, 0, 0, 0, 1666, 153, 4, 1, 0, 0, 830, 1174, 182, 123, 182, 0, 13.0, 159.0, 175.0, 0, 17, 112, 111, 1, 0, 70, 1, 0, 0, 6, 73, 32.0, 110, 1, 0, 0, 0, 30, 30, 7.14, 87.36, 96.15, 67.59375, 26.796875, 26.796875, 0, 15.19921875, 61.5, 0.89990234375, 0.0, 0.0, 5.3994140625, 65.2, 28.6, 99.09375, 98.1875, 0.89990234375, 0.89990234375, 0.0, 0.0, 756.0, 111.0, 0.0, 0.0, 417.0, "Tous les candidats", 1424.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 10.0, "25830", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Cursus général", "Réseau ScPo ? concours commun", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25823&g_ta_cod=25830", 99.0, 1.0, 0.0),
(10305, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues étrangères appliquées - Parcours Italien / Russe", "Licence - Arts-lettres-langues", "Italien / Russe", 25, 20, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 20, 3, 2, 3, 12, 0, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 11, 1, 1, 0, 1, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3.0, 0.0, 1.0, 0.0, 7.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "28219", "Licence - Langues étrangères appliquées - Parcours Italien / Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28219&g_ta_cod=28219", 100.0, 0.0, 0.0),
(10306, "Privé sous contrat d'association", "0690646C", "Lycée Carrel", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 6e  Arrondissement", "formation sélective", "BTS", "Lycée Carrel - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 693, 652, 693, 0, 45, 11, 218, 77, 254, 119, 176, 0, 0, 0, 0, 0, 369, 0, 0, 0, 36, 7, 125, 42, 134, 53, 74, 148, 22, 20, 22, 0, 0.0, 11.0, 13.0, 0, 4, 18, 2, 9, 7, 4, 0, 6, 9, 3, 0, 0.0, 0, 5, 7, 0, 0, 13, 13, 0.0, 50.0, 59.09, 90.890625, 72.1875, 72.1875, 0, 22.19921875, 81.796875, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 11.099609375, 0.0, 50.0, 27.796875, 38.8984375, 38.8984375, 15.0, 3.0, 48.0, 17.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 24.0, "13323", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13323&g_ta_cod=13323", 18.0, 45.0, 36.0),
(10307, "Public", "0881780G", "CNAM Grand Est - Saint-Dié", "88", "Vosges", "Grand Est", "Nancy-Metz", "Saint-Dié-des-Vosges", "formation sélective", "Autre formation", "CNAM Grand Est - Saint-Dié - Formation Supérieure de Spécialisation - Tourisme", "Diplôme d'Université", "Tourisme", 15, 68, 44, 53, 0, 16, 3, 4, 0, 7, 5, 26, 15, 3, 0, 3, 9, 19, 5, 0, 0, 8, 2, 2, 0, 3, 2, 6, 24, 3, 3, 2, 1, 2.0, 2.0, 3.0, 0, 1, 1, 0, 0, 1, 2, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 0, 0, 66.67, 66.67, 100.0, 100.0, 0.0, 0.0, 0, 100.0, 33.296875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 9.0, 2.0, 4.0, 2.0, 9.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "34140", "Formation Supérieure de Spécialisation - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34140&g_ta_cod=34140", 0.0, 0.0, 100.0),
(10308, "Public", "0791062A", "Lycée de la Venise Verte", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BTS", "Lycée de la Venise Verte - BTS - Services - Assurance", "BTS - Services", "", 35, 476, 237, 475, 0, 87, 15, 126, 32, 44, 10, 218, 1, 0, 0, 0, 1, 345, 0, 0, 0, 85, 13, 126, 32, 44, 10, 90, 175, 26, 18, 26, 0, 5.0, 17.0, 22.0, 0, 2, 20, 7, 11, 2, 6, 0, 8, 9, 3, 0, 0.0, 3, 8, 1, 7, 4, 17, 17, 19.23, 65.38, 84.62, 69.1875, 85.0, 85.0, 35, 10.0, 76.890625, 0.0, 40.0, 45.0, 15.0, 0.0, 0.0, 35.0, 15.0, 55.0, 40.0, 10.0, 5.0, 37.0, 6.0, 23.0, 6.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 109, "Liste d'appel propre à cette formation", 42.0, "10134", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10134&g_ta_cod=10134", 35.0, 54.0, 12.0),
(10309, "Public", "0870125N", "I.U.T du Limousin - site de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BUT", "I.U.T du Limousin - site de Limoges - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, financière et fiscale - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "BUT - Service", "Gestion comptable, financière et fiscale - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", 140, 1484, 740, 1466, 0, 723, 126, 415, 131, 13, 5, 315, 18, 0, 9, 0, 9, 1134, 4, 0, 0, 633, 100, 309, 88, 8, 3, 184, 651, 129, 74, 126, 3, 28.0, 102.0, 117.0, 0, 38, 109, 62, 45, 2, 20, 0, 26, 65, 13, 5, 0.0, 49, 32, 2, 0, 0, 78, 78, 21.71, 79.07, 90.7, 57.3984375, 71.59375, 71.59375, 0, 34.8984375, 84.5, 0.0, 23.8984375, 59.59375, 11.8984375, 4.6, 0.0, 56.8984375, 45.0, 41.296875, 29.3984375, 1.7998046875, 1.7998046875, 303.0, 65.0, 4.0, 2.0, 96.0, "Tous les candidats sauf les Bac technologiques", 486.0, "Bacheliers technologiques toutes séries", 337, "", 0, "Liste d'appel propre à cette formation", 56.0, "10689", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, financière et fiscale - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10689&g_ta_cod=10689", 58.0, 40.0, 2.0),
(10310, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence_Las", "Université de Tours - Licence - Portail Chimie", "Licence - Sciences - technologies - santé", "", 40, 874, 594, 857, 0, 646, 117, 44, 11, 1, 0, 166, 17, 4, 0, 1, 12, 857, 17, 0, 0, 646, 117, 44, 11, 1, 0, 166, 386, 39, 23, 32, 7, 0.0, 10.0, 25.0, 0, 9, 29, 25, 4, 0, 10, 0, 8, 17, 4, 0, 0.0, 18, 3, 0, 0, 0, 23, 23, 0.0, 25.64, 64.1, 59.0, 79.296875, 79.296875, 0, 31.0, 74.390625, 0.0, 27.59765625, 58.59375, 13.798828125, 0.0, 0.0, 86.1875, 62.09375, 13.798828125, 10.298828125, 0.0, 0.0, 288.0, 59.0, 1.0, 0.0, 81.0, "Tous les candidats", 909.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 65.0, "27814", "Licence - Portail Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27813&g_ta_cod=27814", 82.0, 13.0, 3.0),
(10311, "Public", "0912413D", "Ecole Universitaire de premier cycle - Campus de Guyancourt Université Paris-Saclay", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "Licence", "Ecole Universitaire de premier cycle - Campus de Guyancourt Université Paris-Saclay - Licence - Portail Administration économique et sociale", "Licence - Droit-économie-gestion", "", 186, 1636, 971, 1636, 0, 886, 197, 287, 88, 53, 24, 410, 0, 0, 0, 0, 0, 1636, 0, 0, 0, 886, 197, 287, 88, 53, 24, 410, 691, 182, 97, 178, 0, 0.0, 131.0, 155.0, 0, 34, 131, 85, 38, 8, 51, 0, 59, 61, 11, 0, 0.0, 55, 13, 4, 0, 0, 104, 117, 0.0, 71.98, 85.16, 53.296875, 79.390625, 89.296875, 0, 26.0, 72.0, 0.0, 45.0, 46.59375, 8.3984375, 0.0, 0.0, 64.890625, 42.0, 29.0, 9.8984375, 6.099609375, 3.099609375, 373.0, 77.0, 22.0, 11.0, 167.0, "Tous les candidats", 1079.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 64.0, "10005", "Licence - Portail Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29003&g_ta_cod=10005", 61.0, 26.0, 13.0),
(10312, "Privé enseignement supérieur", "0101059X", "South Champagne Business School Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "International BBA - Campus de Troyes", 60, 431, 174, 424, 0, 351, 12, 30, 2, 2, 0, 41, 7, 2, 0, 0, 5, 396, 5, 0, 0, 339, 12, 26, 1, 1, 0, 30, 270, 8, 6, 7, 1, 3.0, 7.0, 8.0, 0, 1, 6, 6, 0, 0, 2, 0, 0, 3, 2, 1, 0.0, 6, 0, 0, 0, 0, 4, 4, 37.5, 87.5, 100.0, 75.0, 66.6875, 66.6875, 0, 16.69921875, 75.0, 0.0, 0.0, 50.0, 33.296875, 16.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 228.0, 10.0, 1.0, 0.0, 26.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "26130", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26130", 100.0, 0.0, 0.0),
(10313, "Public", "0490054T", "Lycée polyvalent Fernand Renaudeau - Lycée des métiers de la mode", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "BTS", "Lycée polyvalent Fernand Renaudeau - Lycée des métiers de la mode - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 44, 743, 651, 743, 0, 156, 32, 83, 22, 315, 88, 189, 0, 0, 0, 0, 0, 743, 0, 0, 0, 156, 32, 83, 22, 315, 88, 189, 126, 43, 41, 43, 0, 13.0, 30.0, 39.0, 0, 8, 42, 8, 3, 31, 1, 0, 3, 4, 16, 19, 0.0, 7, 1, 31, 4, 4, 23, 23, 30.23, 69.77, 90.7, 95.296875, 54.796875, 54.796875, 9.5, 19.0, 97.6875, 0.0, 7.099609375, 9.5, 38.09375, 45.2, 0.0, 19.0, 16.69921875, 7.099609375, 2.39990234375, 73.796875, 73.796875, 23.0, 4.0, 84.0, 20.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 110, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 21.0, "12751", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12751&g_ta_cod=12751", 19.0, 7.0, 72.0),
(10314, "Public", "0620257T", "Lycée professionnel Alain Savary", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "Autre formation", "Lycée professionnel Alain Savary - Mention complémentaire - Technicien ascensoriste, service et modernisation", "Mention complémentaire", "", 30, 31, 1, 29, 0, 0, 0, 0, 0, 15, 10, 14, 2, 0, 0, 1, 1, 10, 0, 0, 0, 0, 0, 0, 0, 9, 5, 1, 10, 3, 0, 3, 0, 3.0, 3.0, 3.0, 0, 1, 3, 0, 0, 3, 0, 0, 1, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 2, 2, 100.0, 100.0, 100.0, 0.0, 66.6875, 66.6875, 0, 33.296875, 100.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 9.0, 5.0, 1.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "27079", "Mention complémentaire - Technicien ascensoriste, service et modernisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27079&g_ta_cod=27079", 0.0, 0.0, 100.0),
(10315, "Public", "0820001F", "Lycée professionnel des métiers du bâtiment et de la topographie", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Beaumont-de-Lomagne", "formation sélective", "BTS", "Lycée professionnel des métiers du bâtiment et de la topographie - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "BTS - Production", "", 15, 318, 40, 318, 0, 50, 8, 76, 16, 67, 17, 125, 0, 0, 0, 0, 0, 228, 0, 0, 0, 50, 8, 76, 16, 67, 17, 35, 72, 15, 3, 15, 0, 4.0, 10.0, 14.0, 0, 3, 14, 1, 4, 9, 1, 0, 4, 7, 2, 1, 0.0, 1, 3, 6, 4, 1, 8, 8, 26.67, 66.67, 93.33, 20.0, 57.09375, 57.09375, 28.59765625, 21.3984375, 93.296875, 0.0, 28.59765625, 50.0, 14.298828125, 7.1, 0.0, 7.099609375, 7.099609375, 28.59765625, 21.3984375, 64.296875, 42.8984375, 20.0, 3.0, 32.0, 5.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 41.0, "17636", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17636&g_ta_cod=17636", 13.0, 27.0, 60.0),
(10316, "Public", "0940129E", "Lycée Jean Mace", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vitry-sur-Seine", "formation sélective", "BTS", "Lycée Jean Mace - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 22, 421, 95, 421, 0, 15, 6, 155, 76, 144, 70, 107, 0, 0, 0, 0, 0, 174, 0, 0, 0, 2, 1, 51, 21, 72, 40, 49, 81, 21, 1, 21, 0, 1.0, 19.0, 21.0, 0, 3, 10, 0, 8, 2, 11, 0, 8, 1, 1, 0, 0.0, 0, 1, 1, 1, 0, 5, 8, 4.76, 90.48, 100.0, 4.7998046875, 50.0, 80.0, 10, 30.0, 47.59375, 0.0, 80.0, 10.0, 10.0, 0.0, 0.0, 0.0, 0.0, 80.0, 10.0, 20.0, 10.0, 1.0, 1.0, 25.0, 14.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 24.0, "11416", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11416&g_ta_cod=11416", 5.0, 48.0, 48.0),
(10317, "Public", "0590121L", "Lycée Cesar Baggio", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Cesar Baggio - BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "BTS - Services", "", 60, 627, 288, 627, 0, 68, 18, 55, 12, 129, 41, 375, 0, 0, 0, 0, 0, 328, 0, 0, 0, 64, 16, 53, 12, 120, 39, 91, 174, 50, 15, 50, 0, 13.0, 36.0, 45.0, 0, 11, 43, 4, 4, 35, 7, 0, 11, 21, 7, 4, 0.0, 3, 2, 27, 2, 0, 39, 39, 26.0, 72.0, 90.0, 30.0, 90.6875, 90.6875, 4.69921875, 25.59765625, 86.0, 0.0, 25.59765625, 48.796875, 16.296875, 9.3, 0.0, 9.298828125, 7.0, 9.298828125, 4.69921875, 81.390625, 62.796875, 27.0, 8.0, 79.0, 22.0, 49.0, "Tous les candidats sauf les Bac professionnels", 121.0, "Bacheliers professionnels toutes séries", 114, "", 0, "Liste d'appel propre à cette formation", 37.0, "6798", "BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6798&g_ta_cod=6798", 16.0, 12.0, 72.0),
(10318, "Public", "0870118F", "Lycée Raoul Dautry", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée Raoul Dautry - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 28, 784, 494, 784, 0, 195, 27, 207, 43, 30, 8, 352, 0, 0, 0, 0, 0, 522, 0, 0, 0, 193, 26, 182, 38, 13, 3, 134, 197, 26, 16, 26, 0, 0.0, 15.0, 23.0, 0, 3, 19, 6, 12, 1, 7, 0, 10, 5, 4, 0, 0.0, 2, 7, 0, 5, 4, 10, 10, 0.0, 57.69, 88.46, 61.5, 52.59375, 52.59375, 26.296875, 15.798828125, 73.09375, 0.0, 52.59375, 26.296875, 21.09765625, 0.0, 0.0, 31.59765625, 10.5, 63.1953125, 36.796875, 5.2998046875, 0.0, 59.0, 9.0, 9.0, 3.0, 51.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 150.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 152, "Liste d'appel propre à cette formation", 40.0, "10683", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10683&g_ta_cod=10683", 46.0, 50.0, 4.0),
(10319, "Privé sous contrat d'association", "0290335G", "Lycée La Croix Rouge", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée La Croix Rouge - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 808, 421, 807, 0, 78, 4, 430, 68, 196, 39, 103, 1, 0, 0, 1, 0, 294, 0, 0, 0, 45, 3, 131, 17, 107, 15, 11, 90, 34, 18, 34, 0, 14.0, 28.0, 31.0, 0, 6, 34, 4, 14, 16, 0, 0, 5, 17, 10, 2, 0.0, 3, 11, 15, 15, 9, 34, 34, 41.18, 82.35, 91.18, 52.8984375, 100.0, 100.0, 44.09375, 17.59765625, 100.0, 0.0, 14.69921875, 50.0, 29.3984375, 5.9, 0.0, 11.798828125, 8.798828125, 41.1953125, 32.3984375, 47.09375, 44.09375, 9.0, 2.0, 51.0, 10.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 87, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 18.0, "3845", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3845&g_ta_cod=3845", 12.0, 41.0, 47.0),
(10320, "Public", "0650027B", "Lycée Jean Dupuy", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BTS", "Lycée Jean Dupuy - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 24, 277, 15, 272, 0, 11, 1, 44, 7, 101, 24, 116, 5, 0, 1, 3, 1, 171, 4, 0, 0, 11, 1, 44, 7, 99, 24, 17, 120, 21, 1, 19, 2, 0.0, 16.0, 19.0, 0, 2, 20, 3, 3, 14, 1, 0, 8, 12, 0, 0, 0.0, 1, 2, 9, 3, 0, 16, 16, 0.0, 76.19, 90.48, 4.7998046875, 80.0, 80.0, 15, 10.0, 95.1875, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 15.0, 5.0, 15.0, 10.0, 70.0, 45.0, 9.0, 0.0, 80.0, 17.0, 8.0, "Tous les candidats sauf les Bac professionnels", 65.0, "Bacheliers professionnels toutes séries", 102, "", 0, "Liste d'appel propre à cette formation", 61.0, "7819", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7819&g_ta_cod=7819", 14.0, 14.0, 71.0),
(10321, "Public", "0630984C", "LEGTPA Louis Pasteur (Clermont-Marmilhat)", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Lempdes", "formation sélective", "CPGE", "LEGTPA Louis Pasteur (Clermont-Marmilhat) - CPGE - BCPST", "Classe préparatoire scientifique", "", 32, 971, 683, 971, 681, 856, 89, 3, 1, 0, 0, 112, 0, 0, 0, 0, 0, 638, 0, 476, 629, 632, 52, 0, 0, 0, 0, 6, 132, 33, 22, 33, 0, 14.0, 29.0, 33.0, 12, 3, 33, 33, 0, 0, 0, 0, 0, 0, 2, 29, 2.0, 33, 0, 0, 0, 0, 20, 20, 42.42, 87.88, 100.0, 66.6875, 60.59375, 60.59375, 0, 9.099609375, 100.0, 0.0, 0.0, 0.0, 6.099609375, 87.9, 6.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 128.0, 15.0, 0.0, 0.0, 4.0, "Tous les candidats", 180.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "7591", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7591&g_ta_cod=7591", 100.0, 0.0, 0.0),
(10322, "Public", "0693330V", "Lycée Louis Aragon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Givors", "formation sélective", "BTS", "Lycée Louis Aragon - BTS - Production - Moteur à combustion interne", "BTS - Production", "", 16, 379, 6, 379, 0, 61, 6, 125, 27, 108, 32, 85, 0, 0, 0, 0, 0, 257, 0, 0, 0, 54, 6, 91, 19, 69, 14, 43, 84, 16, 1, 16, 0, 4.0, 12.0, 16.0, 0, 4, 13, 2, 6, 5, 3, 0, 3, 4, 2, 4, 0.0, 1, 4, 5, 2, 0, 6, 6, 25.0, 75.0, 100.0, 6.2998046875, 46.1953125, 46.1953125, 15.3984375, 30.796875, 81.296875, 0.0, 23.09765625, 30.796875, 15.3984375, 30.8, 0.0, 15.3984375, 7.69921875, 46.1953125, 30.796875, 38.5, 38.5, 22.0, 3.0, 12.0, 5.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 96, "Liste d'appel propre à cette formation", 45.0, "21681", "BTS - Production - Moteur à combustion interne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21681&g_ta_cod=21681", 19.0, 50.0, 31.0),
(10323, "Privé sous contrat d'association", "0341549Z", "IFSI- Hospit. Privée", "34", "Hérault", "Occitanie", "Montpellier", "Castelnau-le-Lez", "formation sélective", "IFSI", "Regroupement d'IFSI Université Montpellier - D.E Infirmier", "D.E secteur sanitaire", "", 45, 6258, 5211, 6258, 0, 867, 200, 1015, 273, 532, 226, 3844, 0, 0, 0, 0, 0, 4503, 0, 0, 0, 752, 157, 793, 198, 346, 137, 2612, 517, 45, 35, 45, 0, 1.0, 12.0, 36.0, 0, 1, 21, 12, 5, 4, 24, 0, 3, 7, 9, 2, 0.0, 9, 5, 4, 0, 0, 18, 18, 2.22, 26.67, 80.0, 77.796875, 85.6875, 85.6875, 0, 4.7998046875, 46.6953125, 0.0, 14.298828125, 33.296875, 42.8984375, 9.5, 0.0, 57.09375, 42.8984375, 23.796875, 23.796875, 19.0, 19.0, 111.0, 14.0, 23.0, 7.0, 249.0, "Tous les candidats", 2014.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 17.0, "23181", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22991&g_ta_cod=23181", 67.0, 22.0, 11.0),
(10324, "Public", "0590037V", "Lycée professionnel Louise de Bettignies", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "Autre formation", "Lycée professionnel Louise de Bettignies - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 1, 0, 0, 0, 0.0, 0.0, 0.0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 10.0, 3.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22333", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(10325, "Public", "0590071G", "Lycée Jean Bart", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "CPGE", "Lycée Jean Bart - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 674, 208, 674, 449, 444, 73, 1, 1, 1, 0, 228, 0, 0, 0, 0, 0, 463, 0, 340, 432, 377, 57, 0, 0, 0, 0, 86, 242, 45, 15, 45, 0, 2.0, 34.0, 43.0, 16, 8, 27, 27, 0, 0, 18, 0, 0, 5, 14, 7, 1.0, 27, 0, 0, 3, 0, 26, 26, 4.44, 75.56, 95.56, 33.296875, 96.296875, 96.296875, 11.099609375, 29.59765625, 60.0, 0.0, 0.0, 18.5, 51.8984375, 25.9, 3.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 198.0, 31.0, 0.0, 0.0, 44.0, "Tous les candidats", 398.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "6746", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6746&g_ta_cod=6746", 100.0, 0.0, 0.0),
(10326, "Public", "0592602H", "I.U.T. de Lille A", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "BUT", "I.U.T. de Lille A - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées", 135, 1722, 126, 1711, 0, 984, 194, 350, 102, 16, 6, 361, 11, 0, 6, 0, 5, 868, 1, 0, 0, 515, 84, 226, 65, 2, 0, 125, 383, 133, 9, 133, 0, 37.0, 123.0, 131.0, 0, 34, 114, 54, 60, 0, 19, 0, 14, 43, 43, 13, 1.0, 54, 46, 0, 0, 0, 98, 98, 27.82, 92.48, 98.5, 6.7998046875, 86.0, 86.0, 0, 29.796875, 85.6875, 0.0, 12.298828125, 37.6953125, 37.6953125, 11.4, 0.9, 47.3984375, 47.3984375, 52.59375, 40.3984375, 0.0, 0.0, 177.0, 42.0, 0.0, 0.0, 42.0, "Tous les candidats sauf les Bac technologiques", 311.0, "Bacheliers technologiques toutes séries", 245, "", 0, "Liste d'appel propre à cette formation", 32.0, "6888", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6888&g_ta_cod=6888", 53.0, 47.0, 0.0),
(10327, "Privé sous contrat d'association", "0690520R", "Lycée La Favorite Sainte Therese", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "BTS", "Lycée La Favorite Sainte Therese - BTS - Services - Gestion de la PME", "BTS - Services", "", 26, 462, 301, 394, 0, 36, 4, 137, 28, 134, 46, 87, 68, 4, 5, 30, 29, 263, 14, 0, 0, 30, 2, 114, 20, 100, 31, 19, 184, 25, 13, 17, 7, 2.0, 9.0, 20.0, 0, 7, 23, 5, 8, 10, 2, 0, 13, 9, 1, 0, 0.0, 1, 4, 5, 1, 1, 19, 19, 8.0, 36.0, 80.0, 52.0, 82.59375, 82.59375, 4.2998046875, 30.3984375, 92.0, 0.0, 56.5, 39.09375, 4.2998046875, 0.0, 0.0, 21.69921875, 4.2998046875, 34.796875, 17.3984375, 43.5, 21.69921875, 23.0, 2.0, 80.0, 25.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 101, "Bacheliers technologiques toutes séries", 121, "Liste d'appel propre à cette formation", 63.0, "8284", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8284&g_ta_cod=8284", 20.0, 36.0, 44.0),
(10328, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS  Limoges", "Licence - Sciences - technologies - santé", "STAPS  Limoges", 165, 1769, 520, 1769, 0, 1233, 177, 165, 30, 24, 9, 347, 0, 0, 0, 0, 0, 1768, 0, 0, 0, 1233, 177, 165, 30, 24, 9, 346, 359, 165, 45, 165, 0, 56.0, 139.0, 152.0, 0, 24, 152, 144, 6, 2, 13, 1, 54, 61, 32, 4, 0.0, 92, 4, 1, 0, 0, 116, 116, 33.94, 84.24, 92.12, 27.296875, 76.296875, 76.296875, 0, 15.798828125, 92.09375, 0.699951171875, 35.5, 40.09375, 21.09765625, 2.6, 0.0, 94.6875, 60.5, 3.89990234375, 2.599609375, 1.2998046875, 0.699951171875, 279.0, 41.0, 4.0, 2.0, 65.0, "Tous les candidats", 373.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "10704", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS  Limoges", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10704&g_ta_cod=10704", 95.0, 4.0, 1.0),
(10329, "Privé sous contrat d'association", "0492246A", "ESAIP Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saint-Barthélemy-d'Anjou", "formation sélective", "Ecole d'Ingénieur", "PUISSANCE ALPHA BACHELOR - Formation Bac + 3", "Formations  des écoles d'ingénieurs", "Bachelor numérique Angers", 35, 181, 17, 174, 0, 122, 6, 19, 4, 3, 1, 30, 7, 1, 1, 0, 5, 148, 6, 0, 0, 107, 3, 16, 2, 3, 1, 22, 134, 15, 1, 14, 1, 10.0, 14.0, 14.0, 0, 0, 14, 13, 0, 1, 1, 0, 5, 6, 2, 1, 0.0, 8, 0, 1, 0, 0, 11, 11, 66.67, 93.33, 93.33, 6.69921875, 78.59375, 78.59375, 0, 0.0, 93.296875, 0.0, 35.6953125, 42.8984375, 14.298828125, 7.1, 0.0, 92.890625, 57.09375, 0.0, 0.0, 7.099609375, 7.099609375, 94.0, 1.0, 3.0, 1.0, 23.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "30825", "Formation Bac + 3", "PUISSANCE ALPHA BACHELOR", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30813&g_ta_cod=30825", 93.0, 0.0, 7.0),
(10330, "Public", "0060030A", "Lycée Masséna", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "CPGE", "Lycée Masséna - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 48, 1046, 542, 1040, 609, 846, 92, 2, 1, 0, 0, 192, 6, 2, 1, 0, 3, 883, 3, 609, 651, 733, 73, 0, 0, 0, 0, 150, 399, 44, 26, 44, 0, 3.0, 21.0, 44.0, 5, 3, 39, 39, 0, 0, 5, 0, 0, 7, 22, 9, 1.0, 39, 0, 0, 2, 1, 25, 25, 6.82, 47.73, 100.0, 59.09375, 64.09375, 64.09375, 5.099609375, 7.69921875, 88.59375, 0.0, 0.0, 17.8984375, 56.3984375, 23.1, 2.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 333.0, 34.0, 0.0, 0.0, 66.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "31650", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31342&g_ta_cod=31650", 100.0, 0.0, 0.0),
(10331, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Physique", "Licence - Sciences - technologies - santé", "", 58, 720, 201, 709, 0, 498, 101, 18, 7, 1, 0, 192, 11, 4, 0, 0, 7, 697, 11, 0, 0, 498, 101, 18, 7, 1, 0, 180, 481, 58, 11, 49, 8, 0.0, 6.0, 43.0, 0, 5, 28, 25, 3, 0, 30, 1, 19, 5, 3, 0, 0.0, 8, 0, 0, 0, 0, 14, 25, 0.0, 10.34, 74.14, 19.0, 50.0, 89.296875, 0, 17.8984375, 48.296875, 3.599609375, 67.890625, 17.8984375, 10.69921875, 0.0, 0.0, 89.296875, 28.59765625, 10.69921875, 0.0, 0.0, 0.0, 338.0, 75.0, 0.0, 0.0, 139.0, "Tous les candidats", 682.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "24093", "Licence - Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24093&g_ta_cod=24093", 88.0, 10.0, 0.0),
(10332, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS - site de Créteil", "Licence - Sciences humaines et sociales", "STAPS - site de Créteil", 206, 4719, 1176, 4719, 0, 2566, 452, 645, 153, 169, 51, 1339, 0, 0, 0, 0, 0, 4697, 0, 0, 0, 2566, 452, 645, 153, 169, 51, 1317, 935, 206, 59, 206, 0, 24.0, 145.0, 172.0, 0, 31, 162, 162, 0, 0, 44, 0, 58, 72, 28, 4, 0.0, 104, 0, 0, 0, 0, 109, 155, 11.65, 70.39, 83.5, 28.59765625, 67.296875, 95.6875, 0, 19.09765625, 78.59375, 0.0, 35.796875, 44.3984375, 17.296875, 2.5, 0.0, 100.0, 64.1875, 0.0, 0.0, 0.0, 0.0, 676.0, 122.0, 0.0, 0.0, 252.0, "Tous les candidats", 1277.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "11469", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS - site de Créteil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28726&g_ta_cod=11469", 98.0, 2.0, 0.0),
(10333, "Public", "0291107W", "Lycée professionnel maritime Du Guilvinec", "29", "Finistère", "Bretagne", "Rennes", "Treffiagat", "formation sélective", "BTS", "Lycée professionnel maritime Du Guilvinec - BTS - Maritime - Pêche et gestion de l'environnement marin", "BTS - Maritime", "", 12, 72, 11, 72, 0, 0, 0, 0, 0, 59, 9, 13, 0, 0, 0, 0, 0, 47, 0, 0, 0, 0, 0, 0, 0, 36, 2, 11, 28, 12, 2, 12, 0, 7.0, 11.0, 12.0, 0, 1, 5, 0, 0, 5, 7, 0, 1, 3, 0, 1, 0.0, 0, 0, 4, 2, 1, 3, 3, 58.33, 91.67, 100.0, 16.69921875, 60.0, 60.0, 40, 20.0, 41.6953125, 0.0, 20.0, 60.0, 0.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 17.0, 2.0, 11.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "24475", "BTS - Maritime - Pêche et gestion de l'environnement marin", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24475&g_ta_cod=24475", 17.0, 33.0, 50.0),
(10334, "Public", "0573281G", "Lycée De La Communication", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée De La Communication - BTS - Services - Communication", "BTS - Services", "", 30, 1669, 999, 1669, 0, 314, 73, 314, 102, 120, 58, 921, 0, 0, 0, 0, 0, 340, 0, 0, 0, 133, 28, 101, 32, 39, 15, 67, 131, 31, 27, 31, 0, 5.0, 22.0, 28.0, 0, 3, 22, 17, 4, 1, 9, 0, 8, 7, 5, 2, 0.0, 9, 4, 1, 1, 0, 18, 18, 16.13, 70.97, 90.32, 87.09375, 81.796875, 81.796875, 4.5, 13.599609375, 71.0, 0.0, 36.3984375, 31.796875, 22.69921875, 9.1, 0.0, 77.296875, 40.8984375, 18.19921875, 18.19921875, 4.5, 4.5, 58.0, 9.0, 8.0, 3.0, 36.0, "Tous les candidats sauf les Bac professionnels", 173.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 11.0, "6653", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6653&g_ta_cod=6653", 77.0, 16.0, 6.0),
(10335, "Public", "0371417P", "Lycée Jean Monnet", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Joué-lès-Tours", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 24, 751, 420, 751, 0, 132, 30, 254, 95, 106, 56, 259, 0, 0, 0, 0, 0, 659, 0, 0, 0, 131, 30, 238, 86, 106, 56, 184, 114, 22, 10, 22, 0, 1.0, 14.0, 21.0, 0, 4, 11, 2, 7, 2, 11, 0, 3, 7, 1, 0, 0.0, 0, 6, 2, 0, 0, 10, 10, 4.55, 63.64, 95.45, 45.5, 90.890625, 90.890625, 0, 36.3984375, 50.0, 0.0, 27.296875, 63.59375, 9.099609375, 0.0, 0.0, 18.19921875, 0.0, 63.59375, 54.5, 18.19921875, 18.19921875, 24.0, 11.0, 5.0, 3.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 128, "Liste d'appel propre à cette formation", 25.0, "4906", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4906&g_ta_cod=4906", 32.0, 59.0, 9.0),
(10336, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "PASS", "Université de Nantes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 72, 4682, 3243, 4682, 0, 3980, 458, 57, 17, 2, 2, 643, 0, 0, 0, 0, 0, 4682, 0, 0, 0, 3980, 458, 57, 17, 2, 2, 643, 477, 70, 52, 70, 0, 6.0, 49.0, 69.0, 0, 9, 70, 70, 0, 0, 0, 0, 0, 2, 33, 31, 4.0, 70, 0, 0, 0, 0, 63, 63, 8.57, 70.0, 98.57, 74.296875, 90.0, 90.0, 0, 12.8984375, 100.0, 0.0, 0.0, 2.89990234375, 47.09375, 44.3, 5.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 473.0, 54.0, 0.0, 0.0, 2.0, "Tous les candidats", 1140.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 16.0, "27994", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27985&g_ta_cod=27994", 100.0, 0.0, 0.0),
(10337, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Portail Physique - MIP", "Licence - Sciences - technologies - santé", "MIP", 65, 732, 217, 696, 0, 507, 64, 9, 3, 0, 0, 180, 36, 9, 0, 0, 27, 695, 11, 0, 0, 507, 64, 9, 3, 0, 0, 179, 476, 34, 9, 29, 5, 0.0, 27.0, 31.0, 0, 4, 16, 16, 0, 0, 18, 0, 7, 4, 4, 1, 0.0, 9, 0, 0, 0, 0, 14, 14, 0.0, 79.41, 91.18, 26.5, 87.5, 87.5, 0, 25.0, 47.09375, 0.0, 43.796875, 25.0, 25.0, 6.3, 0.0, 100.0, 56.296875, 0.0, 0.0, 0.0, 0.0, 332.0, 50.0, 0.0, 0.0, 142.0, "Tous les candidats", 812.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "32046", "Licence - Portail Physique - MIP", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32047&g_ta_cod=32046", 88.0, 6.0, 3.0),
(10338, "Public", "0190087S", "Lycée agricole HENRI QUEUILLE", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Neuvic", "formation sélective", "BTS", "Lycée agricole HENRI QUEUILLE - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 27, 314, 140, 307, 0, 17, 2, 34, 4, 29, 12, 227, 7, 0, 1, 3, 3, 88, 3, 0, 0, 17, 2, 34, 4, 24, 10, 13, 73, 19, 8, 16, 3, 5.0, 16.0, 19.0, 0, 0, 13, 3, 5, 5, 6, 0, 7, 4, 1, 1, 0.0, 2, 2, 2, 3, 2, 7, 7, 26.32, 84.21, 100.0, 42.09375, 53.796875, 53.796875, 23.09765625, 0.0, 68.390625, 0.0, 53.796875, 30.796875, 7.69921875, 7.7, 0.0, 23.09765625, 15.3984375, 38.5, 15.3984375, 38.5, 15.3984375, 12.0, 2.0, 24.0, 9.0, 14.0, "Tous les candidats sauf les Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 28.0, "3155", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3155&g_ta_cod=3155", 26.0, 42.0, 32.0),
(10339, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation non sélective", "Licence", "Université Grenoble Alpes - Antenne de Valence - Licence - Portail Droit - Droit - Valence", "Licence - Droit-économie-gestion", "Droit - Valence", 263, 1327, 989, 1275, 0, 907, 204, 168, 50, 42, 21, 158, 52, 10, 11, 3, 28, 1273, 49, 0, 0, 907, 204, 168, 50, 42, 21, 156, 1092, 254, 188, 237, 17, 81.0, 190.0, 233.0, 0, 67, 220, 171, 35, 14, 34, 6, 79, 98, 26, 11, 0.0, 113, 13, 9, 0, 0, 204, 204, 31.89, 74.8, 91.73, 74.0, 92.6875, 92.6875, 0, 30.5, 86.59375, 2.69970703125, 35.8984375, 44.5, 11.798828125, 5.0, 0.0, 77.6875, 51.3984375, 15.8984375, 5.8994140625, 6.3994140625, 4.099609375, 752.0, 177.0, 45.0, 22.0, 142.0, "Tous les candidats", 1282.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "31040", "Licence - Portail Droit - Droit - Valence", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31041&g_ta_cod=31040", 78.0, 15.0, 7.0),
(10340, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Chimie", "Licence - Sciences - technologies - santé", "", 58, 1002, 677, 1002, 0, 612, 172, 67, 27, 8, 5, 315, 0, 0, 0, 0, 0, 995, 0, 0, 0, 612, 172, 67, 27, 8, 5, 308, 520, 53, 34, 53, 0, 0.0, 13.0, 35.0, 0, 13, 30, 28, 1, 1, 23, 0, 12, 15, 2, 1, 0.0, 17, 0, 1, 0, 0, 19, 27, 0.0, 24.53, 66.04, 64.1875, 63.296875, 90.0, 0, 43.296875, 56.59375, 0.0, 40.0, 50.0, 6.69921875, 3.3, 0.0, 93.296875, 56.6953125, 3.2998046875, 0.0, 3.2998046875, 3.2998046875, 340.0, 104.0, 1.0, 1.0, 176.0, "Tous les candidats", 721.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "23854", "Licence - Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23854&g_ta_cod=23854", 91.0, 8.0, 2.0),
(10341, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence_Las", "Université d'Amiens - Licence - Portail Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "", 18, 338, 146, 327, 0, 208, 45, 11, 2, 0, 0, 108, 11, 2, 1, 0, 8, 325, 10, 0, 0, 208, 45, 11, 2, 0, 0, 106, 189, 20, 7, 16, 4, 0.0, 10.0, 15.0, 0, 1, 11, 10, 1, 0, 9, 0, 7, 4, 0, 0, 0.0, 4, 0, 0, 0, 0, 9, 9, 0.0, 50.0, 75.0, 35.0, 81.796875, 81.796875, 0, 9.099609375, 55.0, 0.0, 63.59375, 36.3984375, 0.0, 0.0, 0.0, 90.890625, 36.3984375, 9.099609375, 0.0, 0.0, 0.0, 115.0, 29.0, 0.0, 0.0, 70.0, "Tous les candidats", 814.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 94.0, "28637", "Licence - Portail Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28636&g_ta_cod=28637", 85.0, 15.0, 0.0),
(10342, "Public", "0020031Y", "Lycée Frederic Et Irene Joliot Curie", "02", "Aisne", "Hauts-de-France", "Amiens", "Hirson", "formation sélective", "BTS", "Lycée Frederic Et Irene Joliot Curie - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 16, 64, 5, 61, 0, 1, 0, 14, 8, 38, 4, 8, 3, 0, 0, 3, 0, 49, 2, 0, 0, 0, 0, 13, 7, 34, 4, 2, 41, 9, 0, 8, 1, 5.0, 7.0, 8.0, 0, 0, 9, 0, 1, 8, 0, 0, 3, 5, 1, 0, 0.0, 0, 0, 6, 1, 0, 9, 9, 55.56, 77.78, 88.89, 0.0, 100.0, 100.0, 11.099609375, 0.0, 100.0, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 0.0, 0.0, 11.099609375, 0.0, 88.890625, 66.6875, 0.0, 0.0, 27.0, 5.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 79.0, "2043", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2043&g_ta_cod=2043", 0.0, 11.0, 89.0),
(10343, "Privé sous contrat d'association", "0622196A", "Lycée Baudimont Saint-Charles", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "Lycée Baudimont Saint-Charles - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 218, 101, 162, 0, 38, 3, 44, 11, 29, 6, 51, 56, 2, 14, 4, 36, 117, 26, 0, 0, 36, 3, 40, 8, 22, 4, 19, 118, 23, 9, 21, 2, 11.0, 19.0, 21.0, 0, 3, 17, 5, 7, 5, 6, 0, 9, 7, 1, 0, 0.0, 1, 4, 3, 12, 6, 15, 15, 47.83, 82.61, 91.3, 39.09375, 88.1875, 88.1875, 70.59375, 17.59765625, 73.890625, 0.0, 52.8984375, 41.1953125, 5.8994140625, 0.0, 0.0, 29.3984375, 5.8994140625, 41.1953125, 23.5, 29.3984375, 17.59765625, 29.0, 3.0, 18.0, 3.0, 33.0, "Tous les candidats sauf les Bac professionnels", 92.0, "Bacheliers professionnels toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 70.0, "7419", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7419&g_ta_cod=7419", 30.0, 48.0, 22.0),
(10344, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence", "Avignon Université - Licence - Portail Informatique", "Licence - Sciences - technologies - santé", "", 135, 833, 113, 802, 0, 482, 128, 74, 36, 12, 7, 234, 31, 5, 0, 2, 24, 802, 27, 0, 0, 482, 128, 74, 36, 12, 7, 234, 495, 133, 9, 119, 14, 11.0, 95.0, 118.0, 0, 32, 84, 70, 12, 2, 49, 1, 51, 25, 7, 0, 0.0, 27, 4, 1, 0, 0, 68, 68, 8.27, 71.43, 88.72, 6.7998046875, 81.0, 81.0, 0, 38.09375, 63.1953125, 1.199951171875, 60.6953125, 29.796875, 8.298828125, 0.0, 0.0, 83.296875, 32.09375, 14.298828125, 4.7998046875, 2.39990234375, 1.199951171875, 307.0, 82.0, 5.0, 4.0, 146.0, "Tous les candidats", 697.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 85.0, "10456", "Licence - Portail Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30836&g_ta_cod=10456", 77.0, 18.0, 5.0),
(10345, "Public", "0851473P", "Université de Nantes (La Roche)", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation non sélective", "Licence", "Université de Nantes (La Roche) - Licence - Langues étrangères appliquées - Parcours LEA : LV1:anglais - LV2:chinois, allemand, espagnol, italien", "Licence - Arts-lettres-langues", "LEA : LV1:anglais - LV2:chinois, allemand, espagnol, italien", 115, 805, 618, 749, 0, 536, 108, 52, 22, 22, 6, 139, 56, 12, 2, 2, 40, 749, 39, 0, 0, 536, 108, 52, 22, 22, 6, 139, 620, 112, 79, 97, 15, 33.0, 90.0, 101.0, 0, 17, 82, 66, 8, 8, 30, 0, 25, 40, 17, 0, 0.0, 48, 3, 6, 0, 0, 63, 63, 29.46, 80.36, 90.18, 70.5, 76.796875, 76.796875, 0, 20.69921875, 73.1875, 0.0, 30.5, 48.796875, 20.69921875, 0.0, 0.0, 80.5, 58.5, 9.798828125, 3.69970703125, 9.798828125, 7.2998046875, 455.0, 91.0, 18.0, 5.0, 103.0, "Tous les candidats", 745.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "10563", "Licence - Langues étrangères appliquées - Parcours LEA : LV1:anglais - LV2:chinois, allemand, espagnol, italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10563&g_ta_cod=10563", 79.0, 12.0, 9.0),
(10346, "Public", "0420046X", "Lycée Etienne Mimard", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Etienne Mimard - BTS - Production - Electrotechnique", "BTS - Production", "", 29, 338, 14, 338, 0, 20, 5, 97, 32, 133, 58, 88, 0, 0, 0, 0, 0, 241, 0, 0, 0, 16, 3, 84, 24, 106, 42, 35, 125, 28, 0, 28, 0, 3.0, 22.0, 26.0, 0, 13, 24, 1, 9, 14, 4, 0, 7, 8, 6, 3, 0.0, 0, 3, 14, 3, 0, 22, 22, 10.71, 78.57, 92.86, 0.0, 91.6875, 91.6875, 12.5, 54.1953125, 85.6875, 0.0, 29.19921875, 33.296875, 25.0, 12.5, 0.0, 4.19921875, 0.0, 37.5, 12.5, 58.296875, 58.296875, 4.0, 3.0, 48.0, 17.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 47.0, "5302", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5302&g_ta_cod=5302", 4.0, 43.0, 54.0),
(10347, "Public", "0491966W", "Lycée général et technologique Henri Bergson", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "CPGE", "Lycée général et technologique Henri Bergson - CPGE - ECG -  - Mathématiques appliquées + HGG", "Classe préparatoire économique et commerciale", "", 48, 403, 180, 387, 215, 312, 23, 1, 0, 0, 0, 74, 16, 7, 0, 0, 9, 323, 5, 140, 315, 292, 19, 0, 0, 0, 0, 31, 295, 22, 2, 21, 1, 14.0, 16.0, 22.0, 5, 4, 21, 21, 0, 0, 1, 0, 4, 11, 4, 2, 0.0, 17, 0, 0, 3, 0, 17, 17, 63.64, 72.73, 100.0, 9.099609375, 81.0, 81.0, 14.298828125, 19.0, 95.5, 0.0, 19.0, 52.3984375, 19.0, 9.5, 0.0, 100.0, 81.0, 0.0, 0.0, 0.0, 0.0, 265.0, 19.0, 0.0, 0.0, 30.0, "Tous les candidats", 323.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "31335", "CPGE - ECG -  - Mathématiques appliquées + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31335&g_ta_cod=31335", 100.0, 0.0, 0.0),
(10348, "Public", "0110023R", "Lycée polyvalent Louise Michel", "11", "Aude", "Occitanie", "Montpellier", "Narbonne", "formation sélective", "BTS", "Lycée polyvalent Louise Michel - BTS - Services - Commerce International", "BTS - Services", "", 35, 875, 462, 875, 0, 184, 60, 274, 114, 109, 55, 308, 0, 0, 0, 0, 0, 421, 0, 0, 0, 137, 47, 154, 58, 59, 28, 71, 168, 36, 27, 36, 0, 6.0, 25.0, 32.0, 0, 8, 27, 4, 17, 6, 9, 0, 5, 14, 4, 4, 0.0, 4, 12, 6, 3, 3, 14, 14, 16.67, 69.44, 88.89, 75.0, 51.8984375, 51.8984375, 11.099609375, 29.59765625, 75.0, 0.0, 18.5, 51.8984375, 14.798828125, 14.8, 0.0, 14.798828125, 14.798828125, 63.0, 44.3984375, 22.19921875, 22.19921875, 37.0, 13.0, 12.0, 8.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 149, "Liste d'appel propre à cette formation", 29.0, "2458", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2458&g_ta_cod=2458", 19.0, 64.0, 17.0),
(10349, "Public", "0441993C", "Lycée général et technologique Carcouët", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "Lycée général et technologique Carcouët - CPGE - ENS Rennes D1", "Classe préparatoire économique et commerciale", "", 40, 1294, 889, 1294, 0, 1199, 104, 15, 4, 0, 0, 80, 0, 0, 0, 0, 0, 600, 0, 0, 600, 593, 53, 0, 0, 0, 0, 7, 182, 40, 32, 40, 0, 5.0, 33.0, 38.0, 0, 3, 40, 40, 0, 0, 0, 0, 0, 1, 10, 27, 2.0, 40, 0, 0, 1, 0, 24, 24, 12.5, 82.5, 95.0, 80.0, 60.0, 60.0, 2.5, 7.5, 100.0, 0.0, 0.0, 2.5, 25.0, 67.5, 5.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 182.0, 18.0, 0.0, 0.0, 0.0, "Tous les candidats", 298.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "5602", "CPGE - ENS Rennes D1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5602&g_ta_cod=5602", 100.0, 0.0, 0.0),
(10350, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Mondes arabes", "Licence - Arts-lettres-langues", "Mondes arabes", 75, 226, 160, 103, 0, 20, 13, 2, 1, 6, 4, 75, 123, 14, 9, 8, 92, 98, 116, 0, 0, 20, 13, 2, 1, 6, 4, 70, 216, 67, 47, 27, 38, 27.0, 27.0, 54.0, 0, 14, 18, 4, 7, 7, 49, 0, 13, 4, 1, 0, 0.0, 2, 1, 2, 0, 0, 8, 16, 40.3, 40.3, 80.6, 70.09375, 44.3984375, 88.890625, 0, 77.796875, 26.8984375, 0.0, 72.1875, 22.19921875, 5.599609375, 0.0, 0.0, 22.19921875, 11.099609375, 38.8984375, 5.599609375, 38.8984375, 11.099609375, 34.0, 17.0, 15.0, 10.0, 155.0, "Tous les candidats", 98.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "30896", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Mondes arabes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30896&g_ta_cod=30896", 36.0, 30.0, 30.0),
(10351, "Privé sous contrat d'association", "0351047Y", "LEAP A. St Exupéry Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "LEAP A. St Exupéry Rennes - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 28, 146, 58, 141, 0, 14, 4, 37, 9, 46, 10, 44, 5, 0, 0, 4, 1, 133, 3, 0, 0, 14, 4, 37, 9, 46, 10, 36, 110, 31, 11, 28, 3, 6.0, 23.0, 29.0, 0, 5, 19, 3, 7, 9, 12, 0, 11, 7, 1, 0, 0.0, 1, 1, 6, 5, 2, 18, 18, 19.35, 74.19, 93.55, 35.5, 94.6875, 94.6875, 26.296875, 26.296875, 61.296875, 0.0, 57.8984375, 36.796875, 5.2998046875, 0.0, 0.0, 15.798828125, 5.2998046875, 36.796875, 5.2998046875, 47.3984375, 31.59765625, 13.0, 4.0, 40.0, 9.0, 25.0, "Tous les candidats sauf les Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 52, "", 0, "Liste d'appel propre à cette formation", 88.0, "4758", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4758&g_ta_cod=4758", 39.0, 26.0, 35.0),
(10352, "Public", "0690173N", "Sciences Po Lyon - Institut d'Etudes Politiques - campus de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "Autre formation", "Réseau ScPo ? concours commun - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Cursus général", "Sciences politiques", "Cursus général", 171, 13797, 8473, 13797, 0, 11642, 1267, 37, 15, 3, 2, 2115, 0, 0, 0, 0, 0, 2500, 0, 0, 0, 1666, 153, 4, 1, 0, 0, 830, 843, 171, 130, 171, 0, 19.0, 154.0, 162.0, 0, 13, 92, 92, 0, 0, 79, 0, 0, 0, 8, 61, 23.0, 92, 0, 0, 0, 0, 18, 18, 11.11, 90.06, 94.74, 76.0, 19.59765625, 19.59765625, 0, 14.099609375, 53.796875, 0.0, 0.0, 0.0, 8.69921875, 66.3, 25.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 554.0, 85.0, 0.0, 0.0, 289.0, "Tous les candidats", 982.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 7.0, "25826", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Cursus général", "Réseau ScPo ? concours commun", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25823&g_ta_cod=25826", 100.0, 0.0, 0.0),
(10353, "Privé sous contrat d'association", "0560198L", "Lycée St Joseph", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BTS", "Lycée St Joseph - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 15, 255, 30, 255, 0, 40, 3, 97, 9, 84, 7, 34, 0, 0, 0, 0, 0, 252, 0, 0, 0, 40, 3, 97, 9, 81, 6, 34, 67, 16, 1, 16, 0, 2.0, 12.0, 16.0, 0, 2, 16, 2, 5, 9, 0, 0, 4, 11, 1, 0, 0.0, 2, 3, 7, 3, 0, 15, 15, 12.5, 75.0, 100.0, 6.2998046875, 93.796875, 93.796875, 18.796875, 12.5, 100.0, 0.0, 25.0, 68.796875, 6.2998046875, 0.0, 0.0, 12.5, 12.5, 31.296875, 18.796875, 56.296875, 43.796875, 8.0, 1.0, 48.0, 5.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 41.0, "17723", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17723&g_ta_cod=17723", 13.0, 31.0, 56.0),
(10354, "Public", "0622803K", "Lycée Blaise Pascal", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Longuenesse", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 17, 130, 23, 125, 0, 10, 1, 65, 13, 9, 3, 41, 5, 0, 3, 1, 1, 113, 1, 0, 0, 10, 1, 65, 13, 9, 3, 29, 53, 14, 1, 14, 0, 5.0, 11.0, 12.0, 0, 1, 10, 2, 8, 0, 4, 0, 3, 6, 1, 0, 0.0, 1, 6, 0, 7, 0, 9, 9, 35.71, 78.57, 85.71, 7.099609375, 90.0, 90.0, 70, 10.0, 71.390625, 0.0, 30.0, 60.0, 10.0, 0.0, 0.0, 20.0, 10.0, 80.0, 60.0, 0.0, 0.0, 6.0, 1.0, 9.0, 3.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 74.0, "7452", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7452&g_ta_cod=7452", 43.0, 57.0, 0.0),
(10355, "Privé enseignement supérieur", "0561767S", "ASKORIA - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "EFTS", "ASKORIA - D.E Educateur Spécialisé", "D.E secteur social", "", 30, 722, 605, 722, 0, 109, 14, 99, 15, 55, 18, 459, 0, 0, 0, 0, 0, 536, 0, 0, 0, 59, 10, 65, 9, 34, 12, 378, 113, 30, 25, 30, 0, 5.0, 25.0, 28.0, 0, 1, 3, 2, 0, 1, 27, 0, 0, 1, 1, 1, 0.0, 2, 0, 1, 0, 0, 2, 2, 16.67, 83.33, 93.33, 83.296875, 66.6875, 66.6875, 0, 33.296875, 10.0, 0.0, 0.0, 33.296875, 33.296875, 33.3, 0.0, 66.6875, 66.6875, 0.0, 0.0, 33.296875, 33.296875, 6.0, 3.0, 5.0, 1.0, 100.0, "Tous les candidats", 226.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "25022", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24974&g_ta_cod=25022", 43.0, 47.0, 10.0),
(10356, "Public", "0762638E", "IFSI CH Dieppe", "76", "Seine-Maritime", "Normandie", "Normandie", "Dieppe", "formation sélective", "IFSI", "Regroupement d'IFSI Université Rouen - D.E Infirmier", "D.E secteur sanitaire", "", 89, 2341, 1998, 2341, 0, 464, 82, 445, 121, 241, 87, 1191, 0, 0, 0, 0, 0, 2091, 0, 0, 0, 457, 82, 409, 105, 208, 75, 1017, 884, 88, 76, 88, 0, 1.0, 45.0, 64.0, 0, 13, 61, 29, 19, 13, 27, 0, 18, 26, 16, 1, 0.0, 17, 14, 12, 0, 0, 45, 45, 1.14, 51.14, 72.73, 86.390625, 73.796875, 73.796875, 0, 21.296875, 69.296875, 0.0, 29.5, 42.59375, 26.19921875, 1.6, 0.0, 47.5, 27.8984375, 31.09765625, 23.0, 21.296875, 19.69921875, 279.0, 49.0, 63.0, 28.0, 359.0, "Tous les candidats", 1928.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 46.0, "23226", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23005&g_ta_cod=23226", 59.0, 26.0, 15.0),
(10357, "Public", "0570087K", "Lycée des Métiers Charles Jully", "57", "Moselle", "Grand Est", "Nancy-Metz", "Saint-Avold", "formation sélective", "BTS", "Lycée des Métiers Charles Jully - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 114, 8, 114, 0, 7, 1, 31, 7, 53, 14, 23, 0, 0, 0, 0, 0, 79, 0, 0, 0, 7, 1, 31, 7, 28, 2, 13, 47, 15, 1, 15, 0, 5.0, 13.0, 15.0, 0, 2, 11, 2, 2, 7, 4, 0, 3, 7, 1, 0, 0.0, 0, 1, 7, 8, 0, 11, 11, 33.33, 86.67, 100.0, 6.69921875, 100.0, 100.0, 72.6875, 18.19921875, 73.296875, 0.0, 27.296875, 63.59375, 9.099609375, 0.0, 0.0, 18.19921875, 0.0, 18.19921875, 9.099609375, 63.59375, 63.59375, 6.0, 0.0, 15.0, 2.0, 5.0, "Tous les candidats sauf les Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 54.0, "6548", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6548&g_ta_cod=6548", 27.0, 27.0, 47.0),
(10358, "Privé sous contrat d'association", "0631075B", "Institution Saint Alyre", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Institution Saint Alyre - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 211, 147, 159, 0, 11, 1, 40, 9, 58, 24, 50, 52, 1, 20, 7, 24, 144, 18, 0, 0, 10, 1, 40, 9, 58, 24, 36, 130, 18, 11, 14, 4, 5.0, 13.0, 14.0, 0, 5, 14, 0, 6, 8, 4, 0, 9, 4, 1, 0, 0.0, 0, 1, 4, 1, 1, 12, 12, 27.78, 72.22, 77.78, 61.09375, 85.6875, 85.6875, 7.099609375, 35.6953125, 77.796875, 0.0, 64.296875, 28.59765625, 7.099609375, 0.0, 0.0, 0.0, 0.0, 42.8984375, 7.099609375, 57.09375, 28.59765625, 10.0, 1.0, 44.0, 21.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 89.0, "7613", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7613&g_ta_cod=7613", 17.0, 39.0, 44.0),
(10359, "Public", "0711456X", "IFSI CH Montceau Les Mines", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Montceau-les-Mines", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bourgogne Dijon - D.E Infirmier", "D.E secteur sanitaire", "", 49, 2533, 2118, 2533, 0, 442, 75, 506, 109, 251, 86, 1334, 0, 0, 0, 0, 0, 2093, 0, 0, 0, 403, 64, 427, 89, 192, 65, 1071, 661, 49, 39, 49, 0, 1.0, 14.0, 33.0, 0, 7, 30, 10, 8, 12, 19, 0, 5, 17, 7, 1, 0.0, 6, 7, 12, 0, 0, 26, 26, 2.04, 28.57, 67.35, 79.59375, 86.6875, 86.6875, 0, 23.296875, 61.1953125, 0.0, 16.69921875, 56.6953125, 23.296875, 3.3, 0.0, 33.296875, 20.0, 26.69921875, 23.296875, 40.0, 40.0, 163.0, 24.0, 89.0, 31.0, 320.0, "Tous les candidats", 1949.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "23091", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23009&g_ta_cod=23091", 47.0, 22.0, 31.0),
(10360, "Public", "0010016M", "Lycée Joseph-Marie Carriat", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "BTS", "Lycée Joseph-Marie Carriat - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 22, 590, 61, 590, 0, 65, 12, 183, 51, 137, 49, 205, 0, 0, 0, 0, 0, 271, 0, 0, 0, 50, 8, 126, 34, 57, 19, 38, 77, 22, 0, 21, 0, 3.0, 18.0, 20.0, 0, 3, 18, 1, 8, 9, 4, 0, 4, 9, 4, 1, 0.0, 1, 6, 7, 5, 0, 18, 18, 13.64, 81.82, 90.91, 0.0, 100.0, 100.0, 27.796875, 16.69921875, 81.796875, 0.0, 22.19921875, 50.0, 22.19921875, 5.6, 0.0, 5.599609375, 5.599609375, 44.3984375, 33.296875, 50.0, 38.8984375, 9.0, 3.0, 29.0, 9.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 19.0, "2010", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2010&g_ta_cod=2010", 9.0, 50.0, 41.0),
(10361, "Public", "0540058V", "Lycée Jacques Marquette", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Pont-à-Mousson", "formation sélective", "BTS", "Lycée Jacques Marquette - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 371, 231, 369, 0, 15, 3, 123, 41, 132, 73, 99, 2, 0, 2, 0, 0, 182, 1, 0, 0, 12, 3, 70, 21, 82, 39, 18, 78, 23, 12, 22, 1, 6.0, 15.0, 19.0, 0, 5, 17, 1, 9, 7, 6, 0, 6, 6, 5, 0, 0.0, 1, 3, 7, 8, 2, 17, 17, 26.09, 65.22, 82.61, 52.1953125, 100.0, 100.0, 47.09375, 29.3984375, 73.890625, 0.0, 35.296875, 35.296875, 29.3984375, 0.0, 0.0, 5.8994140625, 5.8994140625, 52.8984375, 17.59765625, 41.1953125, 41.1953125, 2.0, 1.0, 32.0, 13.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 34.0, "6284", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6284&g_ta_cod=6284", 9.0, 39.0, 52.0),
(10362, "Public", "0940120V", "Lycée Marcelin Berthelot", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "CPGE", "Lycée Marcelin Berthelot - CPGE - PCSI", "Classe préparatoire scientifique", "", 144, 1941, 671, 1941, 1070, 1646, 170, 1, 0, 0, 0, 294, 0, 0, 0, 0, 0, 1594, 0, 136, 1588, 1585, 169, 1, 0, 0, 0, 8, 620, 143, 51, 143, 0, 38.0, 108.0, 137.0, 7, 11, 143, 143, 0, 0, 0, 0, 0, 4, 71, 65, 3.0, 143, 0, 0, 24, 11, 120, 139, 26.57, 75.52, 95.8, 35.6953125, 83.890625, 97.1875, 16.796875, 7.69921875, 100.0, 0.0, 0.0, 2.7998046875, 49.6953125, 45.5, 2.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 619.0, 60.0, 0.0, 0.0, 1.0, "Tous les candidats", 738.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "11392", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11392&g_ta_cod=11392", 100.0, 0.0, 0.0),
(10363, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Anglais", "Licence - Arts-lettres-langues", "Anglais", 360, 1547, 1031, 1322, 0, 930, 223, 84, 32, 45, 23, 263, 225, 39, 23, 15, 148, 1317, 219, 0, 0, 930, 223, 84, 32, 45, 23, 258, 1354, 314, 196, 246, 68, 55.0, 234.0, 279.0, 0, 52, 206, 168, 23, 15, 108, 13, 66, 80, 40, 7, 0.0, 117, 4, 6, 0, 0, 198, 198, 17.52, 74.52, 88.85, 62.3984375, 96.09375, 96.09375, 0, 25.19921875, 65.59375, 6.2998046875, 32.0, 38.796875, 19.3984375, 3.4, 0.0, 81.59375, 56.796875, 11.19921875, 1.89990234375, 7.2998046875, 2.89990234375, 865.0, 203.0, 43.0, 21.0, 364.0, "Tous les candidats", 1316.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "9685", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9685&g_ta_cod=9685", 79.0, 12.0, 7.0),
(10364, "Public", "0190008F", "Lycée professionnel BORT-ARTENSE", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Bort-les-Orgues", "formation sélective", "Autre formation", "Lycée professionnel BORT-ARTENSE - Mention complémentaire - FCIL Communication web et webmarketing", "Mention complémentaire", "", 11, 26, 13, 20, 0, 4, 0, 0, 0, 7, 2, 9, 6, 0, 0, 1, 5, 20, 6, 0, 0, 4, 0, 0, 0, 7, 2, 9, 54, 5, 3, 2, 1, 1.0, 2.0, 3.0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 20.0, 40.0, 60.0, 60.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4.0, 0.0, 21.0, 8.0, 19.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32447", "Mention complémentaire - FCIL Communication web et webmarketing", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32447&g_ta_cod=32447", 60.0, 20.0, 20.0),
(10365, "Public", "9840349G", "Université de la Polynésie française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation non sélective", "Licence", "Université de la Polynésie française - Licence - Informatique - Parcours Informatique générale", "Licence - Sciences - technologies - santé", "Informatique générale", 80, 190, 38, 156, 0, 85, 28, 35, 19, 6, 2, 30, 34, 2, 7, 5, 20, 156, 33, 0, 0, 85, 28, 35, 19, 6, 2, 30, 180, 75, 9, 51, 24, 25.0, 50.0, 64.0, 0, 22, 49, 26, 17, 6, 26, 0, 27, 15, 7, 0, 0.0, 13, 5, 4, 0, 0, 47, 47, 33.33, 66.67, 85.33, 12.0, 95.890625, 95.890625, 0, 44.8984375, 65.296875, 0.0, 55.09375, 30.59765625, 14.298828125, 0.0, 0.0, 53.09375, 26.5, 34.6953125, 10.19921875, 12.19921875, 8.19921875, 87.0, 29.0, 10.0, 4.0, 47.0, "Tous les candidats", 156.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12013", "Licence - Informatique - Parcours Informatique générale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12013&g_ta_cod=12013", 49.0, 37.0, 13.0),
(10366, "Public", "0170051N", "Lycée Louis Audouin Dubreuil", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Saint-Jean-d'Angély", "formation sélective", "BTS", "Lycée Louis Audouin Dubreuil - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 181, 98, 161, 0, 22, 4, 57, 17, 30, 9, 52, 20, 0, 10, 1, 9, 134, 12, 0, 0, 22, 4, 54, 16, 26, 9, 32, 110, 16, 8, 12, 4, 1.0, 11.0, 14.0, 0, 1, 8, 1, 5, 2, 8, 0, 3, 3, 2, 0, 0.0, 0, 3, 2, 4, 2, 7, 7, 6.25, 68.75, 87.5, 50.0, 87.5, 87.5, 50, 12.5, 50.0, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 12.5, 0.0, 62.5, 37.5, 25.0, 25.0, 13.0, 2.0, 21.0, 6.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 83.0, "14579", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14579&g_ta_cod=14579", 31.0, 38.0, 31.0),
(10367, "Public", "0442765S", "Lycée polyvalent Nelson Mandela", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Lycée polyvalent Nelson Mandela - Diplôme de Comptabilité et de Gestion", "DCG", "", 40, 927, 454, 878, 0, 338, 69, 213, 69, 12, 3, 315, 49, 4, 5, 4, 36, 453, 4, 0, 0, 245, 51, 147, 43, 0, 0, 61, 219, 36, 18, 34, 2, 13.0, 30.0, 34.0, 0, 13, 30, 16, 14, 0, 6, 0, 6, 13, 9, 2, 0.0, 10, 14, 0, 0, 0, 26, 26, 36.11, 83.33, 94.44, 50.0, 86.6875, 86.6875, 0, 43.296875, 83.296875, 0.0, 20.0, 43.296875, 30.0, 6.7, 0.0, 53.296875, 33.296875, 46.6953125, 46.6953125, 0.0, 0.0, 119.0, 23.0, 0.0, 0.0, 36.0, "Tous les candidats", 453.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "5448", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5448&g_ta_cod=5448", 56.0, 44.0, 0.0),
(10368, "Privé sous contrat d'association", "0811106M", "INEOPOLE FORMATION", "81", "Tarn", "Occitanie", "Toulouse", "Brens", "formation sélective", "BTS", "INEOPOLE FORMATION - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 20, 71, 31, 67, 0, 4, 0, 6, 3, 30, 8, 27, 4, 0, 0, 2, 2, 43, 0, 0, 0, 4, 0, 6, 3, 30, 8, 3, 39, 10, 1, 10, 0, 8.0, 10.0, 10.0, 0, 4, 9, 0, 1, 8, 1, 0, 5, 3, 1, 0, 0.0, 0, 0, 4, 0, 0, 9, 9, 80.0, 100.0, 100.0, 10.0, 100.0, 100.0, 0, 44.3984375, 90.0, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 0.0, 0.0, 11.099609375, 0.0, 88.890625, 44.3984375, 3.0, 0.0, 28.0, 8.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 6, "Liste d'appel propre à cette formation", 64.0, "10292", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10292&g_ta_cod=10292", 10.0, 10.0, 80.0),
(10369, "Public", "0100025Y", "Lycée Les Lombards", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BTS", "Lycée Les Lombards - BTS - Production - Biotechnologies", "BTS - Production", "", 15, 377, 219, 377, 0, 82, 11, 127, 27, 13, 6, 155, 0, 0, 0, 0, 0, 216, 0, 0, 0, 79, 9, 90, 18, 9, 4, 38, 62, 15, 12, 15, 0, 1.0, 10.0, 13.0, 0, 3, 15, 6, 9, 0, 0, 0, 3, 4, 5, 1, 2.0, 5, 7, 0, 7, 7, 12, 12, 6.67, 66.67, 86.67, 80.0, 80.0, 80.0, 46.6953125, 20.0, 100.0, 0.0, 20.0, 26.69921875, 33.296875, 6.7, 13.3, 40.0, 33.296875, 60.0, 46.6953125, 0.0, 0.0, 20.0, 5.0, 7.0, 4.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 33.0, "19820", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19820&g_ta_cod=19820", 40.0, 60.0, 0.0),
(10370, "Public", "0690074F", "Lycée Parc Chabrieres", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Oullins", "formation sélective", "BTS", "Lycée Parc Chabrieres - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 34, 1602, 785, 1602, 0, 121, 33, 659, 277, 396, 181, 426, 0, 0, 0, 0, 0, 693, 0, 0, 0, 52, 10, 359, 135, 178, 74, 104, 166, 31, 18, 31, 0, 2.0, 23.0, 27.0, 0, 12, 25, 4, 7, 14, 6, 0, 6, 17, 2, 0, 0.0, 2, 6, 11, 1, 0, 22, 22, 6.45, 74.19, 87.1, 58.09375, 88.0, 88.0, 4, 48.0, 80.59375, 0.0, 24.0, 68.0, 8.0, 0.0, 0.0, 16.0, 8.0, 28.0, 24.0, 56.0, 44.0, 14.0, 5.0, 78.0, 33.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 115, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 15.0, "22240", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22240&g_ta_cod=22240", 13.0, 42.0, 45.0),
(10371, "Public", "0760170X", "I.U.T de Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation sélective", "BUT", "I.U.T de Rouen - BUT - Génie électrique et informatique industrielle Parcours : Electronique et systèmes embarqués - Automatisme et Informatique Industrielle", "BUT - Production", "Electronique et systèmes embarqués - Automatisme et Informatique Industrielle", 78, 1005, 68, 975, 0, 467, 82, 274, 67, 13, 5, 221, 30, 2, 4, 0, 24, 679, 3, 0, 0, 384, 50, 198, 38, 1, 0, 96, 449, 73, 5, 72, 1, 19.0, 56.0, 71.0, 0, 11, 65, 31, 34, 0, 8, 1, 16, 32, 16, 0, 0.0, 19, 29, 0, 0, 0, 62, 62, 26.03, 76.71, 97.26, 6.7998046875, 95.390625, 95.390625, 0, 16.8984375, 89.0, 1.5, 24.59765625, 49.1953125, 24.59765625, 0.0, 0.0, 47.6953125, 29.19921875, 52.296875, 44.59375, 0.0, 0.0, 238.0, 48.0, 0.0, 0.0, 81.0, "Tous les candidats sauf les Bac technologiques", 443.0, "Bacheliers technologiques toutes séries", 208, "", 0, "Liste d'appel propre à cette formation", 67.0, "9623", "BUT - Génie électrique et informatique industrielle Parcours : Electronique et systèmes embarqués - Automatisme et Informatique Industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9623&g_ta_cod=9623", 53.0, 47.0, 0.0),
(10372, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Portail Physique, chimie", "Licence - Sciences - technologies - santé", "", 59, 985, 541, 940, 0, 641, 91, 37, 9, 2, 2, 260, 45, 7, 1, 1, 36, 928, 31, 0, 0, 641, 91, 37, 9, 2, 2, 248, 597, 36, 17, 29, 7, 0.0, 18.0, 30.0, 0, 3, 19, 18, 0, 1, 17, 0, 4, 7, 8, 0, 0.0, 14, 0, 1, 0, 0, 16, 16, 0.0, 50.0, 83.33, 47.1953125, 84.1875, 84.1875, 0, 15.798828125, 52.796875, 0.0, 21.09765625, 36.796875, 42.09375, 0.0, 0.0, 94.6875, 73.6875, 0.0, 0.0, 5.2998046875, 5.2998046875, 386.0, 52.0, 3.0, 2.0, 200.0, "Tous les candidats", 1137.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "3531", "Licence - Portail Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27290&g_ta_cod=3531", 89.0, 3.0, 8.0),
(10373, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Portail Mathématiques", "Licence - Sciences - technologies - santé", "", 110, 1090, 394, 995, 0, 775, 87, 41, 9, 3, 1, 176, 95, 26, 2, 0, 67, 995, 92, 0, 0, 775, 87, 41, 9, 3, 1, 176, 844, 94, 26, 62, 32, 33.0, 60.0, 79.0, 0, 14, 53, 49, 3, 1, 41, 1, 10, 18, 17, 7, 0.0, 38, 3, 1, 0, 0, 50, 50, 35.11, 63.83, 84.04, 27.69921875, 94.296875, 94.296875, 0, 26.3984375, 56.3984375, 1.89990234375, 18.8984375, 34.0, 32.09375, 13.2, 0.0, 92.5, 71.6875, 5.69921875, 5.69921875, 1.89990234375, 1.89990234375, 636.0, 71.0, 2.0, 0.0, 185.0, "Tous les candidats", 1145.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "2873", "Licence - Portail Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27703&g_ta_cod=2873", 87.0, 11.0, 2.0),
(10374, "Public", "0090002D", "Lycée Gabriel Faure", "09", "Ardennes", "Occitanie", "Toulouse", "Foix", "formation sélective", "BTS", "Lycée Gabriel Faure - BTS - Services - Tourisme", "BTS - Services", "", 24, 260, 173, 215, 0, 40, 8, 51, 17, 63, 26, 61, 45, 0, 3, 27, 15, 166, 10, 0, 0, 35, 7, 51, 17, 45, 16, 35, 111, 20, 8, 19, 1, 3.0, 16.0, 17.0, 0, 6, 14, 4, 5, 5, 6, 1, 5, 6, 2, 0, 0.0, 1, 4, 3, 1, 0, 10, 10, 15.0, 80.0, 85.0, 40.0, 71.390625, 71.390625, 7.099609375, 42.8984375, 70.0, 7.099609375, 35.6953125, 42.8984375, 14.298828125, 0.0, 0.0, 28.59765625, 7.099609375, 35.6953125, 28.59765625, 35.6953125, 21.3984375, 18.0, 6.0, 42.0, 17.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 68.0, "2388", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2388&g_ta_cod=2388", 35.0, 35.0, 30.0),
(10375, "Privé enseignement supérieur", "0310155A", "Institut Catholique de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Institut Catholique de Toulouse - Licence - Langues étrangères appliquées - Parcours Langues étrangères appliquées anglais et espagnol", "Licence - Arts-lettres-langues", "Langues étrangères appliquées anglais et espagnol", 120, 487, 360, 372, 0, 260, 52, 30, 11, 4, 3, 78, 115, 25, 10, 2, 78, 365, 103, 0, 0, 260, 52, 30, 11, 4, 3, 71, 395, 53, 38, 41, 12, 12.0, 40.0, 47.0, 0, 6, 36, 32, 4, 0, 17, 0, 12, 15, 9, 0, 0.0, 22, 2, 0, 0, 0, 30, 30, 22.64, 75.47, 88.68, 71.6875, 83.296875, 83.296875, 0, 16.69921875, 67.890625, 0.0, 33.296875, 41.6953125, 25.0, 0.0, 0.0, 88.890625, 61.09375, 11.099609375, 5.599609375, 0.0, 0.0, 229.0, 44.0, 4.0, 3.0, 126.0, "Tous les candidats", 365.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "4090", "Licence - Langues étrangères appliquées - Parcours Langues étrangères appliquées anglais et espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4090&g_ta_cod=4090", 85.0, 11.0, 4.0),
(10376, "Privé sous contrat d'association", "0761341V", "Lycée Les Tourelles", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Les Tourelles - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 705, 329, 705, 0, 103, 15, 242, 65, 175, 51, 185, 0, 0, 0, 0, 0, 609, 0, 0, 0, 97, 12, 211, 53, 159, 43, 142, 201, 32, 19, 32, 0, 2.0, 19.0, 20.0, 0, 9, 30, 6, 13, 11, 2, 2, 6, 20, 2, 0, 0.0, 5, 8, 9, 2, 1, 30, 30, 6.25, 59.38, 62.5, 59.3984375, 100.0, 100.0, 6.69921875, 30.0, 93.796875, 6.69921875, 20.0, 66.6875, 6.69921875, 0.0, 0.0, 20.0, 16.69921875, 43.296875, 26.69921875, 36.6953125, 30.0, 36.0, 9.0, 72.0, 19.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 90, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 34.0, "9638", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9638&g_ta_cod=9638", 25.0, 41.0, 34.0),
(10377, "Public", "0801864S", "Lycée du Vimeu", "80", "Somme", "Hauts-de-France", "Amiens", "Friville-Escarbotin", "formation sélective", "BTS", "Lycée du Vimeu - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 66, 1, 66, 0, 1, 0, 17, 2, 38, 11, 10, 0, 0, 0, 0, 0, 63, 0, 0, 0, 1, 0, 17, 2, 38, 11, 7, 29, 13, 0, 12, 0, 6.0, 9.0, 9.0, 0, 4, 13, 0, 5, 8, 0, 0, 4, 7, 2, 0, 0.0, 0, 2, 7, 12, 0, 12, 12, 46.15, 69.23, 69.23, 0.0, 92.296875, 92.296875, 92.296875, 30.796875, 100.0, 0.0, 30.796875, 53.796875, 15.3984375, 0.0, 0.0, 0.0, 0.0, 38.5, 15.3984375, 61.5, 53.796875, 1.0, 0.0, 15.0, 5.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 38.0, "10246", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10246&g_ta_cod=10246", 0.0, 38.0, 62.0),
(10378, "Public", "0130043B", "Lycée Victor Hugo", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation sélective", "BTS", "Lycée Victor Hugo - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 30, 862, 127, 862, 0, 123, 41, 205, 109, 189, 106, 345, 0, 0, 0, 0, 0, 381, 0, 0, 0, 94, 26, 106, 48, 94, 46, 87, 132, 29, 2, 29, 0, 5.0, 17.0, 28.0, 0, 14, 20, 5, 7, 8, 9, 0, 8, 6, 6, 0, 0.0, 3, 4, 5, 2, 0, 20, 20, 17.24, 58.62, 96.55, 6.8994140625, 100.0, 100.0, 10, 70.0, 69.0, 0.0, 40.0, 30.0, 30.0, 0.0, 0.0, 25.0, 15.0, 35.0, 20.0, 40.0, 25.0, 30.0, 11.0, 35.0, 18.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 25.0, "2557", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2557&g_ta_cod=2557", 34.0, 38.0, 28.0),
(10379, "Public", "0290352A", "I.U.T de Quimper", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BUT", "I.U.T de Quimper - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management des activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management des activités - Contrôle de gestion et pilotage de la performance", 140, 1784, 816, 1777, 0, 1020, 109, 532, 66, 11, 6, 214, 7, 0, 3, 0, 4, 1490, 0, 0, 0, 907, 100, 451, 59, 7, 2, 125, 823, 134, 50, 134, 0, 8.0, 95.0, 121.0, 0, 14, 122, 71, 51, 0, 12, 0, 28, 81, 12, 1, 0.0, 55, 39, 0, 0, 0, 115, 115, 5.97, 70.9, 90.3, 37.296875, 94.296875, 94.296875, 0, 11.5, 91.0, 0.0, 23.0, 66.390625, 9.798828125, 0.8, 0.0, 58.1953125, 45.09375, 41.796875, 32.0, 0.0, 0.0, 455.0, 52.0, 4.0, 2.0, 51.0, "Tous les candidats sauf les Bac technologiques", 765.0, "Bacheliers technologiques toutes séries", 475, "", 0, "Liste d'appel propre à cette formation", 70.0, "3881", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management des activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3881&g_ta_cod=3881", 58.0, 42.0, 0.0),
(10380, "Public", "0771658J", "Lycée du Gué-à-Tresmes", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Congis-sur-Thérouanne", "formation sélective", "Autre formation", "Lycée du Gué-à-Tresmes - DN MADE - Espace - - Spécialité : Environnements pérennes et éphémères", "DN MADE", "- Spécialité : Environnements pérennes et éphémères", 15, 309, 239, 309, 0, 129, 26, 69, 19, 28, 9, 83, 0, 0, 0, 0, 0, 168, 0, 0, 0, 79, 12, 54, 12, 13, 2, 22, 99, 14, 10, 13, 0, 0.0, 9.0, 11.0, 0, 2, 13, 7, 4, 2, 1, 0, 5, 5, 3, 0, 0.0, 4, 2, 2, 0, 0, 10, 10, 0.0, 64.29, 78.57, 71.390625, 76.890625, 76.890625, 0, 15.3984375, 92.890625, 0.0, 38.5, 38.5, 23.09765625, 0.0, 0.0, 53.796875, 30.796875, 30.796875, 15.3984375, 15.3984375, 15.3984375, 38.0, 6.0, 10.0, 0.0, 15.0, "Tous les candidats", 125.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "21913", "DN MADE - Espace - - Spécialité : Environnements pérennes et éphémères", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21913&g_ta_cod=21913", 50.0, 29.0, 14.0),
(10381, "Public", "0623920Z", "Université du littoral - Site de Boulogne-sur-Mer", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation non sélective", "Licence", "Université du littoral - Site de Calais - - Licence - Sciences et Techniques des Activités Physiques et Sportives", "Licence - STAPS", ": Université du littoral - Site de Boulogne-sur-Mer", 80, 1632, 457, 1632, 0, 996, 214, 250, 72, 45, 13, 341, 0, 0, 0, 0, 0, 1632, 0, 0, 0, 996, 214, 250, 72, 45, 13, 341, 532, 80, 23, 80, 0, 6.0, 50.0, 66.0, 0, 20, 69, 54, 12, 3, 11, 1, 30, 22, 14, 2, 0.0, 32, 6, 0, 0, 0, 69, 69, 7.5, 62.5, 82.5, 28.796875, 100.0, 100.0, 0, 29.0, 86.296875, 1.39990234375, 43.5, 31.8984375, 20.296875, 2.9, 0.0, 78.296875, 46.3984375, 17.3984375, 8.69921875, 4.2998046875, 0.0, 326.0, 91.0, 12.0, 7.0, 147.0, "Tous les candidats", 1213.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 53.0, "29101", "Licence - Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29099&g_ta_cod=29101", 79.0, 16.0, 5.0),
(10382, "Privé sous contrat d'association", "0783344L", "Lycée Notre-Dame Les Oiseaux", "78", "Yvelines", "Ile-de-France", "Versailles", "Verneuil-sur-Seine", "formation sélective", "BTS", "Lycée Notre-Dame Les Oiseaux - BTS - Services - Commerce International", "BTS - Services", "", 28, 339, 166, 225, 0, 63, 5, 94, 12, 22, 3, 46, 114, 0, 74, 0, 40, 131, 16, 0, 0, 43, 2, 61, 3, 11, 1, 16, 92, 13, 6, 10, 3, 4.0, 10.0, 12.0, 0, 0, 5, 0, 5, 0, 8, 0, 2, 2, 1, 0, 0.0, 0, 3, 0, 0, 0, 5, 5, 30.77, 76.92, 92.31, 46.1953125, 100.0, 100.0, 0, 0.0, 38.5, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 12.0, 1.0, 8.0, 1.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 46.0, "16215", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16215&g_ta_cod=16215", 31.0, 69.0, 0.0),
(10383, "Public", "0753431X", "Sciences Po Paris - Institut d'études politiques", "75", "Paris", "Ile-de-France", "Paris", "Paris  7e  Arrondissement", "formation sélective", "Licence", "Sciences Po - Faculté des Lettres de Sorbonne Université - Licence - Double diplôme - Licence Histoire - Humanités littéraires et Sciences sociales / Filière Histoire", "Licence - Sciences humaines et sociales", "Humanités littéraires et Sciences sociales / Filière Histoire", 30, 537, 340, 537, 0, 536, 57, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 39, 0, 0, 0, 39, 7, 0, 0, 0, 0, 0, 38, 25, 18, 25, 0, 0.0, 25.0, 25.0, 0, 5, 25, 25, 0, 0, 0, 1, 0, 0, 0, 9, 15.0, 24, 0, 0, 0, 0, 4, 6, 0.0, 100.0, 100.0, 72.0, 16.0, 24.0, 0, 20.0, 100.0, 4.0, 0.0, 0.0, 0.0, 36.0, 60.0, 100.0, 96.0, 0.0, 0.0, 0.0, 0.0, 38.0, 7.0, 0.0, 0.0, 0.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "32552", "Licence - Double diplôme - Licence Histoire - Humanités littéraires et Sciences sociales / Filière Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32552&g_ta_cod=32552", 100.0, 0.0, 0.0),
(10384, "Privé sous contrat d'association", "0940821G", "Lycée Gregor Mendel", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vincennes", "formation sélective", "BTS", "Lycée Gregor Mendel - BTS - Services - Communication", "BTS - Services", "", 34, 1055, 702, 841, 0, 222, 35, 255, 70, 64, 22, 300, 214, 21, 41, 42, 110, 173, 23, 0, 0, 58, 6, 71, 14, 2, 1, 42, 145, 25, 21, 18, 7, 3.0, 13.0, 18.0, 0, 3, 14, 6, 8, 0, 11, 0, 3, 10, 1, 0, 0.0, 4, 7, 0, 0, 0, 11, 13, 12.0, 52.0, 72.0, 84.0, 78.59375, 92.890625, 0, 21.3984375, 56.0, 0.0, 21.3984375, 71.390625, 7.099609375, 0.0, 0.0, 42.8984375, 28.59765625, 57.09375, 50.0, 0.0, 0.0, 43.0, 4.0, 2.0, 1.0, 47.0, "Tous les candidats sauf les Bac professionnels", 170.0, "Bacheliers professionnels toutes séries", 3, "", 0, "Liste d'appel propre à cette formation", 21.0, "11448", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11448&g_ta_cod=11448", 48.0, 52.0, 0.0),
(10385, "Public", "0630021F", "Lycée La Fayette", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "CPGE", "Lycée La Fayette - CPGE - TSI", "Classe préparatoire scientifique", "", 27, 331, 34, 329, 219, 0, 0, 279, 69, 0, 0, 50, 2, 0, 0, 0, 2, 272, 1, 189, 245, 0, 0, 256, 58, 0, 0, 16, 131, 25, 2, 24, 1, 9.0, 24.0, 25.0, 9, 4, 24, 0, 24, 0, 1, 0, 2, 14, 7, 1, 0.0, 0, 22, 0, 8, 0, 14, 14, 36.0, 96.0, 100.0, 8.0, 58.296875, 58.296875, 33.296875, 16.69921875, 96.0, 0.0, 8.298828125, 58.296875, 29.19921875, 4.2, 0.0, 0.0, 0.0, 100.0, 91.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 10.0, "Tous les candidats", 271.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "7564", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7564&g_ta_cod=7564", 0.0, 100.0, 0.0),
(10386, "Privé sous contrat d'association", "0260074P", "Lycée Montplaisir", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "Lycée Montplaisir - BTS - Services - Support à l'action managériale", "BTS - Services", "", 28, 189, 140, 178, 0, 13, 3, 55, 8, 53, 23, 57, 11, 0, 3, 0, 8, 144, 2, 0, 0, 13, 3, 53, 7, 49, 21, 29, 109, 25, 20, 22, 1, 2.0, 17.0, 20.0, 0, 5, 15, 1, 4, 10, 10, 1, 5, 6, 3, 0, 0.0, 0, 3, 6, 0, 0, 15, 15, 8.0, 68.0, 80.0, 80.0, 100.0, 100.0, 0, 33.296875, 60.0, 6.69921875, 33.296875, 40.0, 20.0, 0.0, 0.0, 6.69921875, 0.0, 26.69921875, 20.0, 66.6875, 40.0, 13.0, 3.0, 31.0, 11.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 72.0, "3632", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3632&g_ta_cod=3632", 36.0, 24.0, 40.0),
(10387, "Public", "0801265R", "IUT d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BUT", "IUT d'Amiens - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", 180, 2942, 1431, 2942, 0, 1462, 236, 873, 244, 48, 22, 559, 0, 0, 0, 0, 0, 1799, 0, 0, 0, 1031, 146, 569, 151, 1, 1, 198, 680, 197, 111, 197, 0, 65.0, 175.0, 197.0, 0, 36, 168, 84, 83, 1, 29, 0, 21, 77, 63, 7, 0.0, 77, 69, 1, 0, 0, 141, 141, 32.99, 88.83, 100.0, 56.296875, 83.890625, 83.890625, 0, 21.3984375, 85.296875, 0.0, 12.5, 45.796875, 37.5, 4.2, 0.0, 50.0, 45.796875, 49.3984375, 41.09375, 0.5999755859375, 0.5999755859375, 303.0, 65.0, 1.0, 1.0, 96.0, "Tous les candidats sauf les Bac technologiques", 651.0, "Bacheliers technologiques toutes séries", 424, "", 0, "Liste d'appel propre à cette formation", 37.0, "10179", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et management du point de vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10179&g_ta_cod=10179", 52.0, 47.0, 1.0),
(10388, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Licence", "Université Grenoble Alpes  - Double licence - Sciences et technologies / Musicologie - Physique et musicologie", "Licence - Sciences - technologies - santé", "Physique et musicologie", 32, 165, 57, 128, 0, 100, 6, 4, 0, 0, 0, 24, 37, 13, 0, 0, 24, 91, 3, 0, 0, 79, 4, 1, 0, 0, 0, 11, 81, 25, 10, 23, 2, 7.0, 23.0, 25.0, 0, 1, 19, 19, 0, 0, 6, 0, 2, 5, 6, 5, 1.0, 17, 0, 0, 0, 0, 6, 6, 28.0, 92.0, 100.0, 40.0, 31.59765625, 31.59765625, 0, 5.2998046875, 76.0, 0.0, 10.5, 26.296875, 31.59765625, 26.3, 5.3, 100.0, 89.5, 0.0, 0.0, 0.0, 0.0, 70.0, 3.0, 0.0, 0.0, 11.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "19206", "Double licence - Sciences et technologies / Musicologie - Physique et musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19206&g_ta_cod=19206", 100.0, 0.0, 0.0),
(10389, "Public", "0730813M", "Lycée agricole De La Motte Servolex", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "La Motte-Servolex", "formation sélective", "BTS", "Lycée agricole De La Motte Servolex - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 18, 137, 51, 135, 0, 14, 1, 52, 9, 51, 11, 18, 2, 0, 0, 1, 1, 124, 1, 0, 0, 14, 1, 52, 9, 51, 11, 7, 84, 14, 5, 14, 0, 5.0, 14.0, 14.0, 0, 2, 14, 1, 6, 7, 0, 0, 4, 6, 3, 1, 0.0, 1, 5, 4, 5, 2, 10, 10, 35.71, 100.0, 100.0, 35.6953125, 71.390625, 71.390625, 35.6953125, 14.298828125, 100.0, 0.0, 28.59765625, 42.8984375, 21.3984375, 7.1, 0.0, 7.099609375, 7.099609375, 42.8984375, 35.6953125, 50.0, 28.59765625, 9.0, 1.0, 43.0, 7.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 86.0, "8802", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8802&g_ta_cod=8802", 7.0, 43.0, 50.0),
(10390, "Public", "0951788C", "Lycée George Sand", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Domont", "formation sélective", "BTS", "Lycée George Sand - BTS - Services - Management Commercial Opérationnel (Seconde année en apprentissage)", "BTS - Services", "", 32, 968, 443, 968, 0, 59, 13, 356, 122, 281, 105, 272, 0, 0, 0, 0, 0, 359, 0, 0, 0, 8, 3, 174, 51, 146, 65, 31, 107, 32, 19, 30, 0, 11.0, 24.0, 28.0, 0, 11, 26, 0, 14, 12, 6, 0, 7, 11, 8, 0, 0.0, 0, 11, 8, 6, 4, 25, 26, 34.38, 75.0, 87.5, 59.3984375, 96.1875, 100.0, 23.09765625, 42.296875, 81.296875, 0.0, 26.8984375, 42.296875, 30.796875, 0.0, 0.0, 0.0, 0.0, 53.796875, 42.296875, 46.1953125, 30.796875, 7.0, 3.0, 43.0, 14.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 13.0, "11625", "BTS - Services - Management Commercial Opérationnel (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11625&g_ta_cod=11625", 3.0, 47.0, 50.0),
(10391, "Public", "0750674A", "Lycée Jules SIEGFRIED", "75", "Paris", "Ile-de-France", "Paris", "Paris 10e  Arrondissement", "formation sélective", "BTS", "Lycée Jules SIEGFRIED - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 1534, 928, 1534, 0, 53, 17, 508, 230, 506, 299, 467, 0, 0, 0, 0, 0, 798, 0, 0, 0, 40, 11, 361, 167, 284, 173, 113, 148, 22, 20, 22, 0, 1.0, 14.0, 20.0, 0, 9, 20, 2, 9, 9, 2, 0, 2, 15, 3, 0, 0.0, 1, 8, 9, 0, 0, 4, 18, 4.55, 63.64, 90.91, 90.890625, 20.0, 90.0, 0, 45.0, 90.890625, 0.0, 10.0, 75.0, 15.0, 0.0, 0.0, 10.0, 5.0, 45.0, 40.0, 45.0, 45.0, 12.0, 5.0, 50.0, 33.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 121, "Bacheliers technologiques toutes séries", 131, "Liste d'appel propre à cette formation", 18.0, "9022", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9022&g_ta_cod=9022", 9.0, 41.0, 50.0),
(10392, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "PASS", "Université de La Réunion - Saint Denis - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 50, 641, 442, 580, 0, 395, 107, 35, 21, 27, 18, 123, 61, 20, 2, 6, 33, 575, 59, 0, 0, 395, 107, 35, 21, 27, 18, 118, 404, 44, 31, 26, 18, 4.0, 26.0, 37.0, 0, 12, 32, 25, 4, 3, 12, 0, 8, 15, 6, 2, 1.0, 19, 2, 3, 0, 0, 19, 19, 9.09, 59.09, 84.09, 70.5, 59.3984375, 59.3984375, 0, 37.5, 72.6875, 0.0, 25.0, 46.8984375, 18.796875, 6.3, 3.1, 78.09375, 59.3984375, 12.5, 6.2998046875, 9.3984375, 9.3984375, 269.0, 66.0, 14.0, 12.0, 109.0, "Tous les candidats", 1882.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "27562", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27563&g_ta_cod=27562", 73.0, 16.0, 11.0),
(10393, "Public", "0771658J", "Lycée du Gué-à-Tresmes", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Congis-sur-Thérouanne", "formation sélective", "BTS", "Lycée du Gué-à-Tresmes - BTS - Production - Finitions, aménagement des bâtiments: conception et réalisation", "BTS - Production", "", 12, 181, 52, 177, 0, 11, 3, 51, 11, 66, 27, 49, 4, 0, 2, 0, 2, 94, 1, 0, 0, 10, 3, 32, 5, 47, 14, 5, 61, 11, 1, 10, 1, 2.0, 9.0, 9.0, 0, 3, 10, 1, 3, 6, 1, 0, 5, 2, 3, 0, 0.0, 0, 0, 5, 2, 0, 7, 9, 18.18, 81.82, 81.82, 9.099609375, 70.0, 90.0, 20, 30.0, 90.890625, 0.0, 50.0, 20.0, 30.0, 0.0, 0.0, 10.0, 0.0, 30.0, 0.0, 60.0, 50.0, 7.0, 1.0, 26.0, 7.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 39.0, "9843", "BTS - Production - Finitions, aménagement des bâtiments: conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9843&g_ta_cod=9843", 9.0, 36.0, 55.0),
(10394, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Lettres - Parcours Licence 1 Lettres classiques", "Licence - Arts-lettres-langues", "Licence 1 Lettres classiques", 40, 273, 208, 194, 0, 119, 34, 4, 2, 7, 2, 64, 79, 11, 3, 11, 54, 192, 75, 0, 0, 119, 34, 4, 2, 7, 2, 62, 267, 28, 24, 17, 11, 17.0, 17.0, 20.0, 0, 5, 13, 10, 2, 1, 15, 0, 5, 6, 1, 1, 0.0, 8, 0, 0, 0, 0, 7, 7, 60.71, 60.71, 71.43, 85.6875, 53.796875, 53.796875, 0, 38.5, 46.3984375, 0.0, 38.5, 46.1953125, 7.69921875, 7.7, 0.0, 76.890625, 61.5, 15.3984375, 0.0, 7.69921875, 0.0, 129.0, 36.0, 18.0, 7.0, 113.0, "Tous les candidats", 192.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4396", "Licence - Lettres - Parcours Licence 1 Lettres classiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4396&g_ta_cod=4396", 71.0, 11.0, 18.0),
(10395, "Public", "0540081V", "Lycée professionnel Jean Prouve", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Lycée professionnel Jean Prouve - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 15, 46, 2, 42, 0, 0, 0, 0, 0, 38, 12, 4, 4, 0, 0, 3, 1, 28, 1, 0, 0, 0, 0, 0, 0, 26, 7, 2, 26, 13, 0, 13, 0, 11.0, 13.0, 13.0, 0, 3, 12, 0, 0, 12, 1, 0, 6, 4, 1, 1, 0.0, 0, 0, 6, 0, 0, 12, 12, 84.62, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 25.0, 92.296875, 0.0, 50.0, 33.296875, 8.298828125, 8.3, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 25.0, 8.0, 1.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "20063", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20063&g_ta_cod=20063", 0.0, 0.0, 100.0),
(10396, "Privé sous contrat d'association", "0831458J", "Yncréa méditérranée", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 5, 191, 65, 181, 0, 0, 0, 0, 0, 0, 0, 181, 10, 0, 0, 0, 10, 167, 4, 0, 0, 0, 0, 0, 0, 0, 0, 167, 159, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 159.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "26905", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=26905", 0, 0, 0),
(10397, "Privé sous contrat d'association", "0450106W", "Lycée Saint Francois De Sales", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Gien", "formation sélective", "BTS", "Lycée Saint Francois De Sales - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 146, 96, 102, 0, 10, 3, 31, 11, 31, 17, 30, 44, 5, 11, 14, 14, 69, 18, 0, 0, 10, 3, 28, 10, 24, 11, 7, 95, 16, 11, 10, 4, 0.0, 10.0, 13.0, 0, 6, 13, 1, 6, 6, 3, 0, 10, 3, 0, 0, 0.0, 0, 2, 1, 0, 0, 11, 11, 0.0, 62.5, 81.25, 68.796875, 84.59375, 84.59375, 0, 46.1953125, 81.296875, 0.0, 76.890625, 23.09765625, 0.0, 0.0, 0.0, 7.69921875, 0.0, 46.1953125, 15.3984375, 46.1953125, 7.69921875, 12.0, 3.0, 34.0, 17.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 68.0, "5682", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5682&g_ta_cod=5682", 6.0, 50.0, 44.0),
(10398, "Public", "9741380G", "Lycée de St Paul 4", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Paul", "formation sélective", "BTS", "Lycée de St Paul 4 - BTS - Production - Bioqualité", "BTS - Production", "", 15, 98, 57, 98, 0, 8, 3, 56, 38, 15, 11, 19, 0, 0, 0, 0, 0, 67, 0, 0, 0, 6, 3, 44, 33, 8, 6, 9, 39, 15, 11, 15, 0, 6.0, 15.0, 15.0, 0, 12, 14, 1, 10, 3, 1, 0, 7, 6, 0, 1, 0.0, 1, 4, 2, 9, 8, 14, 14, 40.0, 100.0, 100.0, 73.296875, 100.0, 100.0, 64.296875, 85.6875, 93.296875, 0.0, 50.0, 42.8984375, 0.0, 7.1, 0.0, 7.099609375, 7.099609375, 71.390625, 28.59765625, 21.3984375, 14.298828125, 4.0, 2.0, 3.0, 2.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 48.0, "11986", "BTS - Production - Bioqualité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11986&g_ta_cod=11986", 7.0, 73.0, 20.0),
(10399, "Public", "0130201Y", "Aix-Marseille Université - Site de Marseille Luminy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  9e  Arrondissement", "formation non sélective", "Licence_Las", "Aix-Marseille Université - Portail Louis Pasteur - Licence - Portail Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales", "Licence - Sciences - technologies - santé", "Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales - site de Luminy", 65, 3694, 2624, 3694, 0, 2128, 465, 202, 74, 11, 6, 1353, 0, 0, 0, 0, 0, 3649, 0, 0, 0, 2128, 465, 202, 74, 11, 6, 1308, 763, 64, 50, 62, 0, 0.0, 16.0, 40.0, 0, 5, 32, 31, 1, 0, 32, 1, 2, 12, 15, 2, 0.0, 29, 0, 0, 0, 0, 26, 26, 0.0, 25.0, 62.5, 78.09375, 81.296875, 81.296875, 0, 15.599609375, 50.0, 3.099609375, 6.2998046875, 37.5, 46.8984375, 6.3, 0.0, 96.890625, 90.59375, 3.099609375, 0.0, 0.0, 0.0, 426.0, 77.0, 0.0, 0.0, 334.0, "Tous les candidats", 2099.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "28589", "Licence - Portail Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12615&g_ta_cod=28589", 98.0, 2.0, 0.0),
(10400, "Public", "0622949U", "Lycée Mariette", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "BTS", "Lycée Mariette - BTS - Services - Commerce International", "BTS - Services", "", 35, 701, 323, 685, 0, 112, 32, 92, 32, 26, 16, 455, 16, 0, 0, 10, 6, 276, 1, 0, 0, 109, 32, 90, 31, 11, 9, 66, 141, 33, 15, 32, 1, 7.0, 25.0, 26.0, 0, 9, 26, 17, 8, 1, 7, 0, 14, 7, 4, 1, 0.0, 7, 4, 1, 13, 4, 26, 26, 21.21, 75.76, 78.79, 45.5, 100.0, 100.0, 50, 34.59375, 78.796875, 0.0, 53.796875, 26.8984375, 15.3984375, 3.8, 0.0, 65.390625, 26.8984375, 30.796875, 15.3984375, 3.7998046875, 3.7998046875, 61.0, 17.0, 7.0, 5.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 127.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 30.0, "7463", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7463&g_ta_cod=7463", 67.0, 27.0, 6.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(10401, "Privé sous contrat d'association", "9710067W", "Lycée professionnel Blanchet", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "BTS", "Lycée professionnel Blanchet - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 16, 48, 5, 42, 0, 3, 2, 5, 4, 30, 20, 4, 6, 0, 0, 4, 2, 42, 3, 0, 0, 3, 2, 5, 4, 30, 20, 4, 39, 13, 0, 11, 2, 3.0, 11.0, 12.0, 0, 10, 13, 0, 1, 12, 0, 0, 8, 5, 0, 0, 0.0, 0, 1, 4, 1, 0, 13, 13, 23.08, 84.62, 92.31, 0.0, 100.0, 100.0, 7.69921875, 76.890625, 100.0, 0.0, 61.5, 38.5, 0.0, 0.0, 0.0, 0.0, 0.0, 7.69921875, 7.69921875, 92.296875, 30.796875, 3.0, 2.0, 28.0, 21.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers technologiques toutes séries", 3, "Bacheliers professionnels toutes séries", 33, "Liste d'appel propre à cette formation", 95.0, "25221", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25221&g_ta_cod=25221", 0.0, 8.0, 92.0),
(10402, "Privé sous contrat d'association", "0100059K", "Lycée LA SALLE", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BTS", "Lycée LA SALLE - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 14, 81, 5, 71, 0, 1, 0, 13, 1, 36, 6, 21, 10, 0, 1, 3, 6, 56, 6, 0, 0, 1, 0, 13, 1, 35, 5, 7, 50, 6, 0, 4, 2, 0.0, 4.0, 5.0, 0, 1, 5, 0, 2, 3, 1, 0, 3, 2, 0, 0, 0.0, 0, 0, 2, 1, 0, 4, 4, 0.0, 66.67, 83.33, 0.0, 80.0, 80.0, 20, 20.0, 83.296875, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 40.0, 0.0, 60.0, 40.0, 1.0, 0.0, 26.0, 5.0, 10.0, "Tous les candidats sauf les Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 77.0, "2420", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2420&g_ta_cod=2420", 0.0, 33.0, 67.0),
(10403, "Public", "9840341Y", "Lycée professionnel de Mahina", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Mahina", "formation sélective", "BTS", "Lycée professionnel de Mahina - BTS - Services - Economie sociale familiale", "BTS - Services", "", 15, 139, 128, 131, 0, 16, 8, 34, 22, 55, 42, 26, 8, 0, 0, 0, 8, 72, 0, 0, 0, 11, 5, 16, 13, 43, 32, 2, 30, 13, 13, 13, 0, 7.0, 13.0, 13.0, 0, 10, 13, 1, 4, 8, 0, 0, 3, 6, 3, 1, 0.0, 0, 3, 7, 6, 6, 12, 12, 53.85, 100.0, 100.0, 100.0, 92.296875, 92.296875, 46.1953125, 76.890625, 100.0, 0.0, 23.09765625, 46.1953125, 23.09765625, 7.7, 0.0, 7.69921875, 0.0, 30.796875, 23.09765625, 61.5, 53.796875, 8.0, 5.0, 14.0, 11.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers technologiques toutes séries", 12, "Bacheliers professionnels toutes séries", 18, "Liste d'appel propre à cette formation", 31.0, "32341", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32341&g_ta_cod=32341", 8.0, 31.0, 62.0),
(10404, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence_Las", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Informatique - Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", "Licence - Sciences - technologies - santé", "Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", 12, 211, 70, 163, 0, 83, 25, 3, 2, 1, 1, 76, 48, 13, 0, 0, 35, 150, 39, 0, 0, 83, 25, 3, 2, 1, 1, 63, 133, 11, 2, 2, 9, 0.0, 1.0, 4.0, 0, 0, 3, 3, 0, 0, 8, 0, 1, 0, 2, 0, 0.0, 2, 0, 0, 0, 0, 1, 1, 0.0, 9.09, 36.36, 18.19921875, 33.296875, 33.296875, 0, 0.0, 27.296875, 0.0, 33.296875, 0.0, 66.6875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 77.0, 23.0, 0.0, 0.0, 55.0, "Tous les candidats", 650.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 92.0, "32249", "Licence - Portail Informatique - Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32248&g_ta_cod=32249", 82.0, 0.0, 0.0),
(10405, "Public", "0420027B", "Lycée Georges Brassens", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Rive-de-Gier", "formation sélective", "BTS", "Lycée Georges Brassens - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 451, 45, 442, 0, 51, 8, 170, 54, 78, 33, 143, 9, 0, 5, 1, 3, 246, 2, 0, 0, 46, 7, 120, 35, 53, 21, 27, 152, 21, 0, 19, 1, 0.0, 13.0, 17.0, 0, 8, 18, 3, 7, 8, 3, 0, 11, 6, 0, 1, 0.0, 0, 3, 4, 2, 0, 15, 15, 0.0, 61.9, 80.95, 0.0, 83.296875, 83.296875, 11.099609375, 44.3984375, 85.6875, 0.0, 61.09375, 33.296875, 0.0, 5.6, 0.0, 16.69921875, 0.0, 38.8984375, 16.69921875, 44.3984375, 22.19921875, 23.0, 6.0, 43.0, 17.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 114, "Liste d'appel propre à cette formation", 44.0, "5271", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5271&g_ta_cod=5271", 14.0, 38.0, 48.0),
(10406, "Public", "0011194T", "Lycée De La Plaine De L'Ain", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Ambérieu-en-Bugey", "formation sélective", "BTS", "Lycée De La Plaine De L'Ain - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 22, 641, 461, 639, 0, 155, 16, 232, 51, 35, 9, 217, 2, 0, 0, 1, 1, 374, 1, 0, 0, 129, 12, 164, 30, 23, 6, 58, 140, 23, 14, 22, 1, 2.0, 13.0, 18.0, 0, 2, 21, 5, 14, 2, 2, 0, 8, 7, 5, 1, 0.0, 4, 8, 1, 10, 6, 16, 16, 8.7, 56.52, 78.26, 60.8984375, 76.1875, 76.1875, 47.59375, 9.5, 91.296875, 0.0, 38.09375, 33.296875, 23.796875, 4.8, 0.0, 23.796875, 19.0, 66.6875, 38.09375, 9.5, 4.7998046875, 40.0, 6.0, 14.0, 5.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 111, "Liste d'appel propre à cette formation", 32.0, "2023", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2023&g_ta_cod=2023", 22.0, 70.0, 9.0),
(10407, "Public", "0595812X", "Ecole Supérieure d'Art du Nord-Pas de Calais Dunkerque-Tourcoing - Site de Dunkerque", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "Autre formation", "École Supérieure d'Art du Nord-Pas de Calais : Dunkerque-Tourcoing - Diplôme National d'Art", "Diplôme National d'Art", "", 30, 106, 80, 106, 0, 55, 14, 12, 1, 5, 2, 34, 0, 0, 0, 0, 0, 61, 0, 0, 0, 39, 9, 4, 0, 1, 0, 17, 58, 23, 21, 23, 0, 15.0, 23.0, 23.0, 0, 7, 16, 15, 0, 1, 7, 0, 4, 3, 6, 3, 0.0, 11, 0, 1, 0, 0, 14, 14, 65.22, 100.0, 100.0, 91.296875, 87.5, 87.5, 0, 43.796875, 69.59375, 0.0, 25.0, 18.796875, 37.5, 18.8, 0.0, 93.796875, 68.796875, 0.0, 0.0, 6.2998046875, 6.2998046875, 36.0, 9.0, 1.0, 0.0, 17.0, "Tous les candidats", 102.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 58.0, "29147", "Diplôme National d'Art", "École Supérieure d'Art du Nord-Pas de Calais : Dunkerque-Tourcoing", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19445&g_ta_cod=29147", 96.0, 0.0, 4.0),
(10408, "Privé sous contrat d'association", "0631033F", "Lycée Sévigné Saint-Louis", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Issoire", "formation sélective", "BTS", "Lycée Sévigné Saint-Louis - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 26, 148, 50, 132, 0, 17, 2, 24, 5, 40, 11, 51, 16, 4, 3, 5, 4, 91, 12, 0, 0, 17, 2, 24, 5, 40, 11, 10, 90, 16, 1, 14, 2, 6.0, 14.0, 16.0, 0, 4, 13, 4, 0, 9, 3, 0, 9, 3, 1, 0, 0.0, 0, 0, 4, 3, 1, 11, 11, 37.5, 87.5, 100.0, 6.2998046875, 84.59375, 84.59375, 23.09765625, 30.796875, 81.296875, 0.0, 69.1875, 23.09765625, 7.69921875, 0.0, 0.0, 30.796875, 0.0, 0.0, 0.0, 69.1875, 30.796875, 16.0, 3.0, 42.0, 13.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 69.0, "7602", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7602&g_ta_cod=7602", 25.0, 6.0, 69.0),
(10409, "Public", "0420042T", "Lycée Honore D'Urfe", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Honore D'Urfe - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 550, 408, 518, 0, 22, 7, 204, 93, 158, 83, 134, 32, 0, 0, 20, 12, 259, 3, 0, 0, 17, 4, 121, 47, 88, 38, 33, 170, 29, 29, 26, 3, 2.0, 26.0, 26.0, 0, 15, 23, 0, 13, 10, 6, 0, 12, 11, 0, 0, 0.0, 0, 5, 6, 3, 3, 18, 18, 6.9, 89.66, 89.66, 100.0, 78.296875, 78.296875, 13, 65.1875, 79.296875, 0.0, 52.1953125, 47.796875, 0.0, 0.0, 0.0, 0.0, 0.0, 56.5, 21.69921875, 43.5, 26.09765625, 8.0, 4.0, 71.0, 31.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 91, "Bacheliers technologiques toutes séries", 103, "Liste d'appel propre à cette formation", 42.0, "5287", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5287&g_ta_cod=5287", 3.0, 48.0, 48.0),
(10410, "Public", "0380027Y", "Lycée Champollion", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "CPGE", "Lycée Champollion - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 1346, 640, 1346, 938, 1226, 92, 1, 1, 0, 0, 119, 0, 0, 0, 0, 0, 521, 0, 199, 470, 518, 28, 0, 0, 0, 0, 3, 260, 17, 11, 17, 0, 1.0, 9.0, 17.0, 1, 0, 17, 17, 0, 0, 0, 0, 0, 0, 9, 8, 0.0, 17, 0, 0, 1, 1, 14, 14, 5.88, 52.94, 100.0, 64.6875, 82.390625, 82.390625, 5.8994140625, 0.0, 100.0, 0.0, 0.0, 0.0, 52.8984375, 47.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 258.0, 17.0, 0.0, 0.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "31612", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31299&g_ta_cod=31612", 100.0, 0.0, 0.0),
(10411, "Privé enseignement supérieur", "0920674H", "EPF Sceaux", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "Ecole d'Ingénieur", "EPF Sceaux - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale - Formation franco-québécois", 15, 113, 50, 113, 0, 100, 6, 0, 0, 0, 0, 13, 0, 0, 0, 0, 0, 77, 0, 0, 0, 71, 1, 0, 0, 0, 0, 6, 68, 13, 4, 13, 0, 4.0, 13.0, 13.0, 0, 1, 12, 12, 0, 0, 1, 0, 0, 7, 3, 2, 0.0, 12, 0, 0, 0, 0, 8, 12, 30.77, 100.0, 100.0, 30.796875, 66.6875, 100.0, 0, 8.298828125, 92.296875, 0.0, 0.0, 58.296875, 25.0, 16.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 62.0, 1.0, 0.0, 0.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "116", "Formation d'ingénieur Bac + 5 - Bac Série générale", "EPF Sceaux", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=114&g_ta_cod=116", 100.0, 0.0, 0.0),
(10412, "Public", "0420046X", "Lycée Etienne Mimard", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Etienne Mimard - BTS - Production - Electrotechnique - parcours Marine Nationale/Maistrance-Défense", "BTS - Production", "parcours Marine Nationale/Maistrance-Défense", 1, 46, 1, 46, 0, 8, 1, 12, 2, 21, 6, 5, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 2, 0, 1, 0, 0, 2, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 0, 1, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, "Tous les candidats sauf les Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 4.0, "20250", "BTS - Production - Electrotechnique - parcours Marine Nationale/Maistrance-Défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20250&g_ta_cod=20250", 0.0, 100.0, 0.0),
(10413, "Privé sous contrat d'association", "0150047V", "Lycée de la Communication Saint Géraud", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "Autre formation", "Lycée de la Communication Saint Géraud - DN MADE - Graphisme - - Spécialité : Graphisme et image", "DN MADE", "- Spécialité : Graphisme et image", 18, 463, 261, 463, 0, 209, 40, 91, 15, 60, 12, 103, 0, 0, 0, 0, 0, 226, 0, 0, 0, 121, 20, 50, 8, 25, 5, 30, 107, 19, 14, 19, 0, 1.0, 13.0, 17.0, 0, 5, 18, 13, 3, 2, 1, 0, 1, 9, 7, 1, 0.0, 12, 3, 2, 0, 0, 2, 2, 5.26, 68.42, 89.47, 73.6875, 11.099609375, 11.099609375, 0, 27.796875, 94.6875, 0.0, 5.599609375, 50.0, 38.8984375, 5.6, 0.0, 72.1875, 66.6875, 16.69921875, 16.69921875, 11.099609375, 11.099609375, 59.0, 8.0, 12.0, 4.0, 13.0, "Tous les candidats", 147.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "21642", "DN MADE - Graphisme - - Spécialité : Graphisme et image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21642&g_ta_cod=21642", 74.0, 16.0, 11.0),
(10414, "Privé sous contrat d'association", "0932019P", "ESIEE Paris", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Noisy-le-Grand", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 15, 339, 131, 339, 0, 1, 0, 0, 0, 0, 0, 338, 0, 0, 0, 0, 0, 192, 0, 0, 0, 1, 0, 0, 0, 0, 0, 191, 164, 9, 3, 9, 0, 8.0, 9.0, 9.0, 0, 0, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 88.89, 100.0, 100.0, 33.296875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 0.0, 0.0, 0.0, 163.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "22856", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22856", 89.0, 11.0, 0.0),
(10415, "Privé sous contrat d'association", "0920928J", "Lycée La Salle Passy Buzenval", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Rueil-Malmaison", "formation sélective", "BTS", "Lycée La Salle Passy Buzenval - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 18, 259, 25, 241, 0, 41, 5, 62, 15, 76, 26, 62, 18, 1, 2, 2, 13, 180, 9, 0, 0, 41, 5, 48, 10, 46, 15, 45, 121, 12, 1, 10, 2, 3.0, 9.0, 10.0, 0, 1, 6, 3, 1, 2, 6, 0, 3, 2, 0, 1, 0.0, 1, 0, 2, 0, 0, 3, 4, 25.0, 75.0, 83.33, 8.298828125, 50.0, 66.6875, 0, 16.69921875, 50.0, 0.0, 50.0, 33.296875, 0.0, 16.7, 0.0, 50.0, 16.69921875, 16.69921875, 0.0, 33.296875, 33.296875, 27.0, 4.0, 33.0, 11.0, 34.0, "Tous les candidats sauf les Bac professionnels", 118.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 66.0, "11053", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11053&g_ta_cod=11053", 33.0, 50.0, 17.0),
(10416, "Public", "0781944P", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "Licence", "Université de Versailles - Saint Quentin en Yvelines - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 147, 808, 604, 743, 0, 512, 94, 59, 14, 21, 3, 151, 65, 15, 3, 3, 44, 742, 61, 0, 0, 512, 94, 59, 14, 21, 3, 150, 692, 146, 98, 113, 30, 17.0, 112.0, 129.0, 0, 14, 88, 66, 15, 7, 58, 1, 42, 37, 5, 3, 0.0, 36, 5, 4, 0, 0, 75, 81, 11.64, 76.71, 88.36, 67.09375, 85.1875, 92.0, 0, 15.8984375, 60.296875, 1.099853515625, 47.6953125, 42.0, 5.69921875, 3.4, 0.0, 75.0, 40.8984375, 17.0, 5.69921875, 8.0, 4.5, 463.0, 80.0, 18.0, 4.0, 157.0, "Tous les candidats", 741.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10003", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10003&g_ta_cod=10003", 73.0, 19.0, 8.0),
(10417, "Privé sous contrat d'association", "0132246A", "ESAIP Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 8, 243, 93, 231, 0, 0, 0, 0, 0, 0, 0, 231, 12, 0, 0, 0, 12, 196, 11, 0, 0, 0, 0, 0, 0, 0, 0, 196, 185, 3, 1, 0, 3, 0.0, 0.0, 1.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 33.33, 33.296875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 185.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "22864", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22864", 100.0, 0.0, 0.0),
(10418, "Privé sous contrat d'association", "0261069W", "Lycée Drôme Provençale", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Paul-Trois-Châteaux", "formation sélective", "BTS", "Lycée Drôme Provençale - BTS - Agricole - productions animales", "BTS - Agricole", "", 26, 210, 172, 208, 0, 67, 10, 65, 9, 30, 12, 46, 2, 1, 0, 0, 1, 174, 2, 0, 0, 66, 9, 63, 9, 22, 9, 23, 118, 20, 18, 19, 1, 2.0, 13.0, 19.0, 0, 6, 18, 8, 5, 5, 2, 0, 7, 7, 3, 1, 0.0, 3, 3, 5, 0, 0, 12, 12, 10.0, 65.0, 95.0, 90.0, 66.6875, 66.6875, 0, 33.296875, 90.0, 0.0, 38.8984375, 38.8984375, 16.69921875, 5.6, 0.0, 44.3984375, 16.69921875, 27.796875, 16.69921875, 27.796875, 27.796875, 48.0, 8.0, 15.0, 6.0, 17.0, "Tous les candidats sauf les Bac professionnels", 148.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 82.0, "17382", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17382&g_ta_cod=17382", 40.0, 30.0, 30.0),
(10419, "Privé sous contrat d'association", "0791171U", "Institut Catholique Supérieur Saint André", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BTS", "Institut Catholique Supérieur Saint André - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 177, 91, 173, 0, 18, 0, 66, 14, 54, 10, 35, 4, 0, 0, 2, 2, 173, 2, 0, 0, 18, 0, 66, 14, 54, 10, 35, 110, 17, 6, 17, 0, 1.0, 11.0, 16.0, 0, 8, 15, 1, 9, 5, 2, 0, 9, 6, 0, 0, 0.0, 0, 5, 1, 0, 0, 15, 15, 5.88, 64.71, 94.12, 35.296875, 100.0, 100.0, 0, 53.296875, 88.1875, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 6.69921875, 0.0, 60.0, 33.296875, 33.296875, 6.69921875, 10.0, 0.0, 46.0, 11.0, 13.0, "Tous les candidats sauf les Bac professionnels", 78.0, "Bacheliers professionnels toutes séries", 57, "", 0, "Liste d'appel propre à cette formation", 78.0, "10141", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10141&g_ta_cod=10141", 12.0, 59.0, 29.0),
(10420, "Public", "0690184A", "Ecole Nationale Supérieure d'Architecture de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Vaulx-en-Velin", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Lyon - Architecture", "Formations Bac + 5", "", 100, 3520, 2198, 3520, 0, 2448, 412, 369, 107, 49, 30, 654, 0, 0, 0, 0, 0, 477, 0, 0, 0, 399, 37, 28, 4, 7, 1, 43, 291, 94, 71, 94, 0, 24.0, 84.0, 89.0, 0, 10, 83, 78, 5, 0, 11, 0, 0, 1, 25, 46, 11.0, 78, 5, 0, 0, 0, 17, 17, 25.53, 89.36, 94.68, 75.5, 20.5, 20.5, 0, 12.0, 88.296875, 0.0, 0.0, 1.199951171875, 30.09765625, 55.4, 13.3, 94.0, 94.0, 6.0, 6.0, 0.0, 0.0, 245.0, 29.0, 1.0, 0.0, 29.0, "Tous les candidats", 372.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "8253", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8253&g_ta_cod=8253", 95.0, 5.0, 0.0),
(10421, "Public", "0062015H", "Lycée Simone Veil", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Valbonne", "formation sélective", "Autre formation", "Lycée Simone Veil - CPES - Arts", "Classe préparatoire aux études supérieures", "", 20, 212, 179, 212, 0, 173, 32, 11, 3, 7, 1, 21, 0, 0, 0, 0, 0, 81, 0, 0, 0, 73, 16, 3, 1, 1, 0, 4, 70, 18, 14, 18, 0, 3.0, 18.0, 18.0, 0, 3, 18, 18, 0, 0, 0, 0, 1, 7, 8, 2, 0.0, 17, 0, 0, 0, 0, 9, 9, 16.67, 100.0, 100.0, 77.796875, 50.0, 50.0, 0, 16.69921875, 100.0, 0.0, 5.599609375, 38.8984375, 44.3984375, 11.1, 0.0, 100.0, 94.390625, 0.0, 0.0, 0.0, 0.0, 64.0, 13.0, 1.0, 0.0, 3.0, "Tous les candidats", 79.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "19672", "CPES - Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19672&g_ta_cod=19672", 100.0, 0.0, 0.0),
(10422, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Perrin - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 39, 299, 44, 191, 0, 7, 1, 87, 29, 37, 21, 60, 108, 9, 24, 22, 53, 131, 22, 0, 0, 7, 1, 73, 21, 32, 17, 19, 136, 26, 1, 15, 10, 5.0, 15.0, 24.0, 0, 9, 21, 5, 8, 8, 5, 1, 14, 4, 2, 0, 0.0, 1, 2, 3, 0, 0, 15, 15, 19.23, 57.69, 92.31, 3.7998046875, 71.390625, 71.390625, 0, 42.8984375, 80.796875, 4.7998046875, 66.6875, 19.0, 9.5, 0.0, 0.0, 23.796875, 4.7998046875, 38.09375, 9.5, 38.09375, 14.298828125, 12.0, 2.0, 36.0, 19.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 68.0, "2603", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2603&g_ta_cod=2603", 27.0, 38.0, 35.0),
(10423, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence_Las", "Université de Paris - Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales", "Licence - Sciences - technologies - santé", "", 10, 672, 346, 672, 0, 356, 92, 8, 3, 4, 3, 304, 0, 0, 0, 0, 0, 672, 0, 0, 0, 356, 92, 8, 3, 4, 3, 304, 133, 9, 5, 9, 0, 0.0, 1.0, 4.0, 0, 0, 6, 6, 0, 0, 3, 0, 1, 2, 2, 1, 0.0, 5, 0, 0, 0, 0, 2, 4, 0.0, 11.11, 44.44, 55.59375, 33.296875, 66.6875, 0, 0.0, 66.6875, 0.0, 16.69921875, 33.296875, 33.296875, 16.7, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 91.0, 18.0, 0.0, 0.0, 42.0, "Tous les candidats", 641.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "32602", "Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32601&g_ta_cod=32602", 100.0, 0.0, 0.0),
(10424, "Public", "0820021C", "Lycée Antoine Bourdelle", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Montauban", "formation sélective", "BTS", "Lycée Antoine Bourdelle - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 30, 543, 481, 512, 0, 29, 4, 161, 49, 176, 79, 146, 31, 0, 14, 0, 17, 251, 5, 0, 0, 19, 1, 86, 25, 128, 49, 18, 153, 30, 28, 26, 3, 1.0, 16.0, 25.0, 0, 11, 28, 2, 9, 17, 2, 0, 12, 10, 4, 2, 0.0, 1, 3, 12, 0, 0, 22, 22, 3.33, 53.33, 83.33, 93.296875, 78.59375, 78.59375, 0, 39.296875, 93.296875, 0.0, 42.8984375, 35.6953125, 14.298828125, 7.1, 0.0, 7.099609375, 3.599609375, 32.09375, 10.69921875, 60.6953125, 42.8984375, 14.0, 1.0, 72.0, 31.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 115, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 45.0, "10318", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10318&g_ta_cod=10318", 7.0, 37.0, 57.0),
(10425, "Public", "0572590F", "Lycée des Métiers Gustave Eiffel", "57", "Moselle", "Grand Est", "Nancy-Metz", "Talange", "formation sélective", "BTS", "Lycée des Métiers Gustave Eiffel - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 24, 205, 7, 205, 0, 31, 5, 26, 5, 94, 36, 54, 0, 0, 0, 0, 0, 158, 0, 0, 0, 24, 4, 23, 4, 88, 30, 23, 61, 21, 0, 21, 0, 11.0, 17.0, 19.0, 0, 4, 17, 0, 2, 15, 4, 0, 2, 4, 6, 5, 0.0, 0, 2, 13, 6, 0, 17, 17, 52.38, 80.95, 90.48, 0.0, 100.0, 100.0, 35.296875, 23.5, 81.0, 0.0, 11.798828125, 23.5, 35.296875, 29.4, 0.0, 0.0, 0.0, 11.798828125, 11.798828125, 88.1875, 76.5, 5.0, 3.0, 37.0, 10.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 34.0, "6635", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6635&g_ta_cod=6635", 14.0, 14.0, 71.0),
(10426, "Public", "0171418Z", "Lycée Saint-Exupery", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BTS", "Lycée Saint-Exupery - BTS - Services - Commerce International", "BTS - Services", "", 35, 1369, 718, 1366, 0, 446, 73, 354, 84, 115, 47, 451, 3, 0, 0, 1, 2, 631, 2, 0, 0, 270, 40, 234, 47, 65, 23, 62, 223, 35, 23, 34, 1, 1.0, 28.0, 30.0, 0, 4, 28, 12, 13, 3, 7, 0, 2, 21, 4, 1, 0.0, 11, 12, 3, 2, 1, 18, 18, 2.86, 80.0, 85.71, 65.6875, 64.296875, 64.296875, 7.099609375, 14.298828125, 80.0, 0.0, 7.099609375, 75.0, 14.298828125, 3.6, 0.0, 42.8984375, 39.296875, 46.3984375, 42.8984375, 10.69921875, 10.69921875, 103.0, 14.0, 32.0, 16.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 190.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 102, "Liste d'appel propre à cette formation", 25.0, "3068", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3068&g_ta_cod=3068", 49.0, 37.0, 14.0),
(10427, "Public", "0940114N", "Lycée Antoine de Saint Exupery", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Autre formation", "Lycée Antoine de Saint Exupery - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 35, 942, 744, 942, 0, 116, 43, 391, 183, 20, 10, 415, 0, 0, 0, 0, 0, 500, 0, 0, 0, 86, 30, 256, 114, 6, 4, 152, 184, 34, 30, 34, 0, 2.0, 20.0, 28.0, 0, 12, 26, 3, 23, 0, 8, 0, 4, 20, 2, 0, 0.0, 3, 19, 0, 0, 0, 14, 25, 5.88, 58.82, 82.35, 88.1875, 53.796875, 96.1875, 0, 46.1953125, 76.5, 0.0, 15.3984375, 76.890625, 7.69921875, 0.0, 0.0, 11.5, 11.5, 88.5, 73.09375, 0.0, 0.0, 32.0, 10.0, 0.0, 0.0, 46.0, "Tous les candidats", 247.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "11378", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11378&g_ta_cod=11378", 18.0, 82.0, 0.0),
(10428, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "Autre formation", "Université Polytechnique Hauts-de-France - DEUST - Informatique d'Organisation des Systèmes d'Information", "DEUST", "", 35, 274, 30, 207, 0, 95, 29, 54, 21, 6, 4, 52, 67, 8, 10, 2, 47, 102, 14, 0, 0, 56, 20, 37, 14, 0, 0, 9, 93, 32, 5, 23, 9, 11.0, 23.0, 31.0, 0, 8, 21, 14, 7, 0, 11, 0, 15, 6, 0, 0, 0.0, 4, 2, 0, 0, 0, 20, 20, 34.38, 71.88, 96.88, 15.599609375, 95.1875, 95.1875, 0, 38.09375, 65.59375, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 66.6875, 19.0, 33.296875, 9.5, 0.0, 0.0, 44.0, 15.0, 0.0, 0.0, 19.0, "Tous les candidats", 101.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "7000", "DEUST - Informatique d'Organisation des Systèmes d'Information", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7000&g_ta_cod=7000", 63.0, 31.0, 3.0),
(10429, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "Licence", "ICES - Institut Catholique de Vendée - Licence - Droit", "Licence - Droit-économie-gestion", "", 140, 406, 256, 249, 0, 209, 17, 16, 1, 0, 0, 24, 157, 66, 15, 2, 74, 245, 62, 0, 0, 209, 17, 16, 1, 0, 0, 20, 292, 76, 54, 68, 8, 57.0, 68.0, 74.0, 0, 8, 68, 62, 6, 0, 8, 0, 15, 34, 18, 1, 0.0, 49, 4, 0, 0, 0, 43, 43, 75.0, 89.47, 97.37, 71.09375, 63.1953125, 63.1953125, 0, 11.798828125, 89.5, 0.0, 22.09765625, 50.0, 26.5, 1.5, 0.0, 91.1875, 72.09375, 8.798828125, 5.8994140625, 0.0, 0.0, 236.0, 18.0, 0.0, 0.0, 40.0, "Tous les candidats", 245.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "10553", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10553&g_ta_cod=10553", 91.0, 9.0, 0.0),
(10430, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Polonais et Gestion parcours Techniques quantitatives et management (TQM)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Polonais et Gestion parcours Techniques quantitatives et management (TQM)", 5, 74, 39, 8, 0, 1, 0, 0, 0, 0, 0, 7, 66, 14, 5, 7, 40, 8, 3, 0, 0, 1, 0, 0, 0, 0, 0, 7, 10, 3, 1, 2, 1, 2.0, 2.0, 3.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 66.67, 66.67, 100.0, 33.296875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.0, 0.0, 0.0, 0.0, 8.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "8523", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Polonais et Gestion parcours Techniques quantitatives et management (TQM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8523&g_ta_cod=8523", 100.0, 0.0, 0.0),
(10431, "Public", "0760174B", "Lycée Claude Monet", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "CPGE", "Lycée Claude Monet - CPGE - Lettres", "Classe préparatoire littéraire", "", 24, 281, 200, 272, 115, 213, 36, 0, 0, 2, 0, 57, 9, 3, 0, 0, 6, 206, 4, 84, 186, 201, 33, 0, 0, 0, 0, 5, 126, 11, 8, 9, 2, 8.0, 9.0, 11.0, 1, 1, 10, 10, 0, 0, 1, 0, 1, 2, 4, 1, 2.0, 9, 0, 0, 4, 2, 10, 10, 72.73, 81.82, 100.0, 72.6875, 100.0, 100.0, 40, 10.0, 90.890625, 0.0, 10.0, 20.0, 40.0, 10.0, 20.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 120.0, 22.0, 0.0, 0.0, 6.0, "Tous les candidats", 198.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "9631", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9631&g_ta_cod=9631", 100.0, 0.0, 0.0),
(10432, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 150, 576, 218, 442, 0, 304, 56, 28, 11, 8, 7, 102, 134, 24, 12, 8, 90, 434, 118, 0, 0, 304, 56, 28, 11, 8, 7, 94, 512, 117, 44, 71, 46, 48.0, 70.0, 102.0, 0, 15, 70, 58, 10, 2, 47, 0, 32, 26, 10, 2, 0.0, 33, 4, 1, 0, 0, 60, 60, 41.03, 59.83, 87.18, 37.59375, 85.6875, 85.6875, 0, 21.3984375, 59.796875, 0.0, 45.6953125, 37.09375, 14.298828125, 2.9, 0.0, 82.890625, 47.09375, 14.298828125, 5.69921875, 2.89990234375, 1.39990234375, 311.0, 58.0, 12.0, 8.0, 154.0, "Tous les candidats", 433.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "4880", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4880&g_ta_cod=4880", 74.0, 21.0, 3.0),
(10433, "Public", "0802177G", "Institut de formation en Ergothérapie du chu Amiens-Picardie", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Autre formation", "Institut de formation en Ergothérapie du chu Amiens-Picardie - D.E Ergothérapeute", "D.E secteur sanitaire", "", 20, 812, 712, 812, 0, 210, 27, 101, 20, 32, 8, 469, 0, 0, 0, 0, 0, 334, 0, 0, 0, 123, 13, 32, 6, 9, 0, 170, 76, 20, 15, 20, 0, 4.0, 14.0, 18.0, 0, 0, 6, 5, 1, 0, 14, 0, 2, 1, 1, 2, 0.0, 3, 1, 0, 0, 0, 1, 1, 20.0, 70.0, 90.0, 75.0, 16.69921875, 16.69921875, 0, 0.0, 30.0, 0.0, 33.296875, 16.69921875, 16.69921875, 33.3, 0.0, 83.296875, 50.0, 16.69921875, 16.69921875, 0.0, 0.0, 23.0, 4.0, 0.0, 0.0, 50.0, "Tous les candidats", 99.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "25943", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25943&g_ta_cod=25943", 85.0, 10.0, 5.0),
(10434, "Public", "0490055U", "Lycée polyvalent Sadi Carnot - Jean Bertin", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saumur", "formation sélective", "BTS", "Lycée polyvalent Sadi Carnot - Jean Bertin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 400, 214, 391, 0, 30, 5, 176, 52, 111, 41, 74, 9, 1, 2, 2, 4, 342, 3, 0, 0, 28, 5, 163, 46, 102, 37, 49, 200, 30, 17, 28, 2, 3.0, 15.0, 21.0, 0, 5, 21, 4, 10, 7, 9, 0, 15, 3, 2, 1, 0.0, 2, 1, 3, 11, 6, 18, 18, 10.0, 50.0, 70.0, 56.6953125, 85.6875, 85.6875, 52.3984375, 23.796875, 70.0, 0.0, 71.390625, 14.298828125, 9.5, 4.8, 0.0, 19.0, 9.5, 47.59375, 4.7998046875, 33.296875, 14.298828125, 18.0, 5.0, 57.0, 20.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 165, "Liste d'appel propre à cette formation", 66.0, "5845", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5845&g_ta_cod=5845", 20.0, 47.0, 33.0),
(10435, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Autre formation", "Université Clermont Auvergne - Mise à niveau Scientifique", "Année préparatoire", "Mise à niveau Scientifique", 80, 437, 268, 367, 0, 63, 19, 118, 23, 33, 10, 153, 70, 20, 9, 2, 39, 251, 17, 0, 0, 45, 11, 113, 23, 27, 8, 66, 244, 79, 56, 67, 12, 38.0, 64.0, 71.0, 0, 9, 52, 11, 33, 8, 27, 0, 20, 20, 10, 2, 0.0, 10, 15, 7, 0, 0, 31, 31, 48.1, 81.01, 89.87, 70.890625, 59.59375, 59.59375, 0, 17.296875, 65.796875, 0.0, 38.5, 38.5, 19.19921875, 3.8, 0.0, 21.19921875, 19.19921875, 63.5, 28.796875, 15.3984375, 13.5, 43.0, 9.0, 24.0, 6.0, 66.0, "Tous les candidats", 251.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "7628", "Mise à niveau Scientifique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7628&g_ta_cod=7628", 29.0, 49.0, 20.0),
(10436, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Etudes culturelles - Parcours Culture et médias", "Licence - Arts-lettres-langues", "Culture et médias", 250, 973, 711, 755, 0, 431, 81, 37, 8, 7, 4, 280, 218, 43, 12, 10, 153, 754, 213, 0, 0, 431, 81, 37, 8, 7, 4, 279, 892, 247, 164, 157, 90, 59.0, 155.0, 213.0, 0, 24, 115, 91, 16, 8, 132, 0, 44, 38, 21, 11, 1.0, 60, 8, 3, 0, 0, 64, 64, 23.89, 62.75, 86.23, 66.390625, 55.6953125, 55.6953125, 0, 20.8984375, 46.59375, 0.0, 38.296875, 33.0, 18.296875, 9.6, 0.9, 79.09375, 52.1953125, 13.8984375, 7.0, 7.0, 2.599609375, 431.0, 84.0, 16.0, 6.0, 398.0, "Tous les candidats", 753.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "28843", "Licence - Etudes culturelles - Parcours Culture et médias", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28843&g_ta_cod=28843", 75.0, 14.0, 10.0),
(10437, "Public", "0900231M", "I.U.T de Belfort-Montbéliard", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "BUT", "I.U.T de Belfort-Montbéliard - BUT - Carrières sociales parcours villes et territoires durables", "BUT - Service", "", 28, 242, 157, 190, 0, 85, 15, 49, 16, 4, 1, 52, 52, 9, 9, 6, 28, 176, 16, 0, 0, 82, 12, 46, 14, 2, 0, 46, 132, 25, 16, 16, 9, 2.0, 16.0, 22.0, 0, 1, 12, 10, 2, 0, 13, 0, 5, 5, 2, 0, 0.0, 6, 1, 0, 0, 0, 7, 7, 8.0, 64.0, 88.0, 64.0, 58.296875, 58.296875, 0, 8.298828125, 48.0, 0.0, 41.6953125, 41.6953125, 16.69921875, 0.0, 0.0, 83.296875, 50.0, 16.69921875, 8.298828125, 0.0, 0.0, 49.0, 8.0, 1.0, 0.0, 43.0, "Tous les candidats sauf les Bac technologiques", 118.0, "Bacheliers technologiques toutes séries", 57, "", 0, "Liste d'appel propre à cette formation", 92.0, "10829", "BUT - Carrières sociales parcours villes et territoires durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10829&g_ta_cod=10829", 68.0, 28.0, 4.0),
(10438, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Licence", "Université Clermont Auvergne - Licence - Etudes européennes et internationales - Parcours Etudes européennes et internationales en langue anglaise - European Studies in English", "Licence - Arts-lettres-langues", "Etudes européennes et internationales en langue anglaise - European Studies in English", 35, 748, 596, 748, 0, 563, 122, 24, 4, 3, 3, 158, 0, 0, 0, 0, 0, 421, 0, 0, 0, 360, 56, 1, 0, 0, 0, 60, 183, 35, 32, 35, 0, 17.0, 27.0, 33.0, 0, 12, 33, 33, 0, 0, 2, 0, 1, 5, 11, 14, 2.0, 32, 0, 0, 0, 0, 10, 10, 48.57, 77.14, 94.29, 91.390625, 30.296875, 30.296875, 0, 36.3984375, 94.296875, 0.0, 3.0, 15.19921875, 33.296875, 42.4, 6.1, 100.0, 97.0, 0.0, 0.0, 0.0, 0.0, 161.0, 35.0, 0.0, 0.0, 22.0, "Tous les candidats", 259.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "14403", "Licence - Etudes européennes et internationales - Parcours Etudes européennes et internationales en langue anglaise - European Studies in English", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14403&g_ta_cod=14403", 100.0, 0.0, 0.0),
(10439, "Public", "0011119L", "Lycée Arbez Carme", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Oyonnax", "formation sélective", "BTS", "Lycée Arbez Carme - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 96, 11, 80, 0, 3, 2, 30, 3, 29, 7, 18, 16, 0, 4, 3, 9, 38, 5, 0, 0, 1, 0, 11, 1, 19, 4, 7, 37, 4, 0, 4, 0, 1.0, 4.0, 4.0, 0, 1, 2, 0, 0, 2, 2, 0, 1, 0, 1, 0, 0.0, 0, 0, 1, 1, 0, 1, 1, 25.0, 100.0, 100.0, 0.0, 50.0, 50.0, 50, 50.0, 50.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 1.0, 0.0, 18.0, 5.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 43.0, "2019", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2019&g_ta_cod=2019", 0.0, 50.0, 50.0),
(10440, "Privé sous contrat d'association", "0440256P", "Lycée St Pierre La Joliverie", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Sébastien-sur-Loire", "formation sélective", "Autre formation", "Lycée St Pierre La Joliverie - DN MADE - Événement - - Spécialité : Communication de marque", "DN MADE", "- Spécialité : Communication de marque", 7, 278, 216, 278, 0, 122, 16, 70, 13, 32, 6, 54, 0, 0, 0, 0, 0, 86, 0, 0, 0, 43, 8, 31, 6, 4, 1, 8, 43, 11, 9, 11, 0, 1.0, 10.0, 11.0, 0, 1, 9, 8, 1, 0, 2, 0, 0, 4, 5, 0, 0.0, 8, 1, 0, 0, 0, 7, 7, 9.09, 90.91, 100.0, 81.796875, 77.796875, 77.796875, 0, 11.099609375, 81.796875, 0.0, 0.0, 44.3984375, 55.59375, 0.0, 0.0, 88.890625, 88.890625, 11.099609375, 11.099609375, 0.0, 0.0, 21.0, 4.0, 3.0, 1.0, 4.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "24250", "DN MADE - Événement - - Spécialité : Communication de marque", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24250&g_ta_cod=24250", 91.0, 9.0, 0.0),
(10441, "Public", "0596610P", "Polytech Lille", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 145, 8473, 2264, 8473, 0, 7580, 605, 0, 0, 0, 0, 893, 0, 0, 0, 0, 0, 5838, 0, 0, 0, 5527, 327, 0, 0, 0, 0, 311, 2556, 146, 35, 146, 0, 44.0, 96.0, 134.0, 0, 23, 142, 142, 0, 0, 4, 0, 0, 12, 72, 51, 7.0, 142, 0, 0, 0, 0, 87, 87, 30.14, 65.75, 91.78, 24.0, 61.296875, 61.296875, 0, 16.19921875, 97.296875, 0.0, 0.0, 8.5, 50.6953125, 35.9, 4.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 2459.0, 204.0, 0.0, 0.0, 97.0, "Autres candidats", 8669.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 44.0, "25", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=25", 100.0, 0.0, 0.0),
(10442, "Public", "0750788Z", "Lycée professionnel Marcel Deprez", "75", "Paris", "Ile-de-France", "Paris", "Paris 11e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Marcel Deprez - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 15, 90, 0, 90, 0, 0, 0, 0, 0, 84, 44, 6, 0, 0, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 84, 44, 6, 39, 9, 0, 9, 0, 4.0, 7.0, 9.0, 0, 3, 9, 0, 0, 9, 0, 0, 3, 5, 1, 0, 0.0, 0, 0, 6, 0, 0, 6, 9, 44.44, 77.78, 100.0, 0.0, 66.6875, 100.0, 0, 33.296875, 100.0, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 37.0, 21.0, 2.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "13495", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13495&g_ta_cod=13495", 0.0, 0.0, 100.0),
(10443, "Public", "0210019G", "Lycée Le Castel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Le Castel - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 2047, 1072, 2047, 0, 288, 68, 665, 192, 531, 212, 563, 0, 0, 0, 0, 0, 1172, 0, 0, 0, 214, 44, 461, 120, 315, 114, 182, 125, 23, 12, 23, 0, 2.0, 17.0, 19.0, 0, 6, 15, 2, 5, 8, 8, 0, 2, 6, 4, 3, 0.0, 2, 3, 8, 2, 0, 13, 13, 8.7, 73.91, 82.61, 52.1953125, 86.6875, 86.6875, 13.298828125, 40.0, 65.1875, 0.0, 13.298828125, 40.0, 26.69921875, 20.0, 0.0, 13.298828125, 13.298828125, 33.296875, 20.0, 53.296875, 53.296875, 22.0, 7.0, 24.0, 10.0, 25.0, "Tous les candidats sauf les Bac professionnels", 192.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 11.0, "3195", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3195&g_ta_cod=3195", 22.0, 39.0, 39.0),
(10444, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 63, 1796, 1378, 1796, 0, 1208, 262, 79, 31, 46, 21, 463, 0, 0, 0, 0, 0, 1769, 0, 0, 0, 1208, 262, 79, 31, 46, 21, 436, 294, 61, 55, 61, 0, 9.0, 52.0, 59.0, 0, 11, 47, 40, 5, 2, 14, 0, 2, 9, 25, 10, 1.0, 40, 4, 1, 0, 0, 2, 41, 14.75, 85.25, 96.72, 90.1875, 4.2998046875, 87.1875, 0, 23.3984375, 77.0, 0.0, 4.2998046875, 19.09765625, 53.1953125, 21.3, 2.1, 85.09375, 85.09375, 10.599609375, 8.5, 4.2998046875, 2.099609375, 218.0, 37.0, 10.0, 7.0, 52.0, "Tous les candidats", 569.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "23983", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23983&g_ta_cod=23983", 82.0, 10.0, 7.0),
(10445, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Portail Droit - Droit Limoges", "Licence - Droit-économie-gestion", "Droit Limoges", 425, 1905, 1311, 1693, 0, 1171, 231, 181, 76, 34, 21, 307, 212, 52, 18, 10, 132, 1689, 188, 0, 0, 1171, 231, 181, 76, 34, 21, 303, 1569, 382, 247, 320, 62, 76.0, 315.0, 356.0, 0, 79, 291, 249, 32, 10, 91, 0, 103, 115, 55, 15, 3.0, 169, 15, 4, 0, 0, 235, 235, 19.9, 82.46, 93.19, 64.6875, 80.796875, 80.796875, 0, 27.09765625, 76.1875, 0.0, 35.3984375, 39.5, 18.8984375, 5.2, 1.0, 85.59375, 58.09375, 11.0, 5.19921875, 3.39990234375, 1.39990234375, 1038.0, 211.0, 32.0, 21.0, 380.0, "Tous les candidats", 1771.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "10718", "Licence - Portail Droit - Droit Limoges", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27742&g_ta_cod=10718", 82.0, 12.0, 5.0),
(10446, "Public", "0350022J", "Lycée Beaumont", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Redon", "formation sélective", "BTS", "Lycée Beaumont - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 69, 1396, 669, 1375, 0, 96, 20, 391, 92, 295, 104, 593, 21, 0, 0, 12, 9, 813, 6, 0, 0, 88, 18, 347, 79, 252, 78, 126, 323, 46, 25, 45, 1, 2.0, 15.0, 39.0, 0, 15, 38, 4, 22, 12, 8, 0, 19, 18, 1, 0, 0.0, 0, 13, 6, 9, 5, 29, 29, 4.35, 32.61, 84.78, 54.296875, 76.296875, 76.296875, 23.69921875, 39.5, 82.59375, 0.0, 50.0, 47.3984375, 2.599609375, 0.0, 0.0, 10.5, 0.0, 57.8984375, 34.1953125, 31.59765625, 15.798828125, 20.0, 6.0, 139.0, 42.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 101.0, "Bacheliers professionnels toutes séries", 277, "Bacheliers technologiques toutes séries", 264, "Liste d'appel propre à cette formation", 47.0, "4627", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4627&g_ta_cod=4627", 17.0, 50.0, 33.0),
(10447, "Public", "0573433X", "IUT de Moselle Est - Site de Sarreguemines - Université de Lorraine", "57", "Moselle", "Grand Est", "Nancy-Metz", "Sarreguemines", "formation sélective", "BUT", "IUT de Moselle Est - Site de Sarreguemines - Université de Lorraine - BUT - Gestion administrative et commerciale des organisations Parcours : Management responsable de projet et des organisations - Management des fonctions supports - Management commercial et marketing omnicanal", "BUT - Service", "Management responsable de projet et des organisations - Management des fonctions supports - Management commercial et marketing omnicanal", 62, 822, 441, 711, 0, 342, 74, 224, 66, 17, 10, 128, 111, 17, 29, 6, 59, 385, 38, 0, 0, 192, 36, 145, 39, 2, 1, 46, 317, 61, 32, 45, 16, 10.0, 45.0, 49.0, 0, 10, 36, 15, 19, 2, 25, 0, 7, 19, 6, 4, 0.0, 12, 16, 1, 0, 0, 27, 27, 16.39, 73.77, 80.33, 52.5, 75.0, 75.0, 0, 27.796875, 59.0, 0.0, 19.3984375, 52.796875, 16.69921875, 11.1, 0.0, 41.6953125, 33.296875, 52.796875, 44.3984375, 5.599609375, 2.7998046875, 132.0, 29.0, 3.0, 1.0, 60.0, "Tous les candidats sauf les Bac technologiques", 234.0, "Bacheliers technologiques toutes séries", 151, "", 0, "Liste d'appel propre à cette formation", 54.0, "6666", "BUT - Gestion administrative et commerciale des organisations Parcours : Management responsable de projet et des organisations - Management des fonctions supports - Management commercial et marketing omnicanal", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6666&g_ta_cod=6666", 56.0, 38.0, 7.0),
(10448, "Public", "0590121L", "Lycée Cesar Baggio", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Cesar Baggio - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 255, 38, 246, 0, 26, 6, 66, 28, 76, 34, 78, 9, 0, 0, 4, 5, 174, 0, 0, 0, 25, 5, 65, 27, 59, 22, 25, 76, 13, 2, 13, 0, 2.0, 12.0, 13.0, 0, 2, 10, 2, 0, 8, 3, 0, 7, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 9, 9, 15.38, 92.31, 100.0, 15.3984375, 90.0, 90.0, 0, 20.0, 76.890625, 0.0, 70.0, 20.0, 10.0, 0.0, 0.0, 20.0, 0.0, 0.0, 0.0, 80.0, 30.0, 14.0, 3.0, 37.0, 12.0, 12.0, "Tous les candidats sauf les Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 54, "", 0, "Liste d'appel propre à cette formation", 51.0, "6795", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6795&g_ta_cod=6795", 31.0, 8.0, 62.0),
(10449, "Public", "0320598B", "IFSI CH Auch", "32", "Gers", "Occitanie", "Toulouse", "Auch", "formation sélective", "IFSI", "Regroupement d'IFSI Université Toulouse - D.E Infirmier", "D.E secteur sanitaire", "", 60, 6396, 5427, 6396, 0, 963, 188, 1118, 324, 867, 329, 3448, 0, 0, 0, 0, 0, 3974, 0, 0, 0, 862, 165, 756, 206, 479, 173, 1877, 1169, 60, 55, 60, 0, 0.0, 5.0, 34.0, 0, 6, 38, 21, 6, 11, 22, 0, 11, 15, 10, 2, 0.0, 10, 6, 11, 0, 0, 22, 22, 0.0, 8.33, 56.67, 91.6875, 57.8984375, 57.8984375, 0, 15.798828125, 63.296875, 0.0, 28.8984375, 39.5, 26.296875, 5.3, 0.0, 55.296875, 26.296875, 15.798828125, 15.798828125, 28.8984375, 28.8984375, 398.0, 68.0, 87.0, 38.0, 527.0, "Tous les candidats", 3307.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "23252", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22985&g_ta_cod=23252", 58.0, 18.0, 23.0),
(10450, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "Licence", "Université de Tours - Licence - Musicologie - Parcours Parcours Licence Franco-Allemande (LFA)", "Licence - Arts-lettres-langues", "Parcours Licence Franco-Allemande (LFA)", 15, 21, 17, 18, 0, 15, 3, 1, 0, 0, 0, 2, 3, 2, 0, 0, 1, 18, 1, 0, 0, 15, 3, 1, 0, 0, 0, 2, 19, 7, 6, 6, 1, 4.0, 6.0, 6.0, 0, 0, 7, 7, 0, 0, 0, 0, 0, 1, 2, 4, 0.0, 7, 0, 0, 0, 0, 2, 2, 57.14, 85.71, 85.71, 85.6875, 28.59765625, 28.59765625, 0, 0.0, 100.0, 0.0, 0.0, 14.298828125, 28.59765625, 57.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 16.0, 3.0, 0.0, 0.0, 2.0, "Tous les candidats", 18.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32089", "Licence - Musicologie - Parcours Parcours Licence Franco-Allemande (LFA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32089&g_ta_cod=32089", 100.0, 0.0, 0.0),
(10451, "Privé sous contrat d'association", "0560200N", "Lycée Notre Dame Le Menimur", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BTS", "Lycée Notre Dame Le Menimur - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 381, 344, 338, 0, 25, 8, 94, 19, 145, 30, 74, 43, 14, 0, 2, 27, 295, 9, 0, 0, 24, 8, 87, 17, 129, 22, 55, 177, 34, 30, 31, 1, 5.0, 22.0, 29.0, 0, 7, 26, 2, 9, 15, 8, 0, 5, 17, 4, 0, 0.0, 1, 6, 14, 8, 4, 24, 24, 14.71, 64.71, 85.29, 88.1875, 92.296875, 92.296875, 30.796875, 26.8984375, 76.5, 0.0, 19.19921875, 65.390625, 15.3984375, 0.0, 0.0, 7.69921875, 3.7998046875, 34.59375, 23.09765625, 57.6953125, 53.796875, 24.0, 7.0, 67.0, 14.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 114, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 72.0, "6461", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6461&g_ta_cod=6461", 15.0, 29.0, 56.0),
(10452, "Public", "0700038L", "Lycée professionnel Luxembourg", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Vesoul", "formation sélective", "Autre formation", "Lycée professionnel Luxembourg - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 12, 26, 1, 25, 0, 0, 0, 0, 0, 16, 4, 9, 1, 0, 0, 1, 0, 16, 1, 0, 0, 0, 0, 0, 0, 14, 3, 2, 15, 7, 0, 7, 0, 7.0, 7.0, 7.0, 0, 1, 6, 0, 0, 6, 1, 0, 3, 1, 2, 0, 0.0, 0, 0, 3, 0, 0, 6, 6, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 16.69921875, 85.6875, 0.0, 50.0, 16.69921875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 14.0, 4.0, 1.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "25274", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25274&g_ta_cod=25274", 0.0, 0.0, 86.0),
(10453, "Public", "0750681H", "ESAA Boulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "ESAA Boulle - DN MADE - Objet - Spécialité : Métiers d?art Décor et traitement de surface :  Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "DN MADE", "Spécialité : Métiers d?art Décor et traitement de surface :  Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", 4, 471, 374, 471, 0, 167, 41, 90, 16, 33, 9, 181, 0, 0, 0, 0, 0, 18, 0, 0, 0, 4, 0, 6, 2, 0, 0, 8, 9, 4, 2, 4, 0, 2.0, 4.0, 4.0, 0, 1, 3, 1, 2, 0, 1, 0, 0, 1, 1, 1, 0.0, 1, 2, 0, 0, 0, 0, 0, 50.0, 100.0, 100.0, 50.0, 0.0, 0.0, 0, 33.296875, 75.0, 0.0, 0.0, 33.296875, 33.296875, 33.3, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 0.0, 0.0, 2.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 13.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 3.0, "26856", "DN MADE - Objet - Spécialité : Métiers d?art Décor et traitement de surface :  Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26856&g_ta_cod=26856", 25.0, 50.0, 0.0),
(10454, "Public", "0640001D", "Lycée Cantau", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation sélective", "BTS", "Lycée Cantau - BTS - Production - Enveloppe des bâtiments : conception et réalisation", "BTS - Production", "", 30, 322, 53, 322, 0, 30, 5, 132, 23, 65, 22, 95, 0, 0, 0, 0, 0, 322, 0, 0, 0, 30, 5, 132, 23, 65, 22, 95, 113, 28, 0, 28, 0, 5.0, 20.0, 25.0, 0, 6, 26, 1, 10, 15, 2, 0, 17, 5, 4, 0, 0.0, 1, 2, 6, 13, 0, 20, 20, 17.86, 71.43, 89.29, 0.0, 76.890625, 76.890625, 50, 23.09765625, 92.890625, 0.0, 65.390625, 19.19921875, 15.3984375, 0.0, 0.0, 3.7998046875, 3.7998046875, 38.5, 7.69921875, 57.6953125, 23.09765625, 1.0, 1.0, 41.0, 11.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 105, "Liste d'appel propre à cette formation", 48.0, "7682", "BTS - Production - Enveloppe des bâtiments : conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7682&g_ta_cod=7682", 7.0, 36.0, 57.0),
(10455, "Privé enseignement supérieur", "0951266K", "ESSEC Business School", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Global BBA - track anglophone", 140, 3630, 1787, 3630, 0, 3240, 124, 119, 6, 7, 1, 264, 0, 0, 0, 0, 0, 898, 0, 0, 0, 849, 23, 8, 0, 0, 0, 41, 585, 166, 103, 166, 0, 128.0, 150.0, 158.0, 0, 6, 158, 157, 1, 0, 8, 0, 1, 12, 85, 54, 6.0, 156, 1, 0, 0, 0, 31, 67, 77.11, 90.36, 95.18, 62.0, 19.59765625, 42.3984375, 0, 3.7998046875, 95.1875, 0.0, 0.5999755859375, 7.599609375, 53.796875, 34.2, 3.8, 99.390625, 98.6875, 0.5999755859375, 0.5999755859375, 0.0, 0.0, 560.0, 23.0, 0.0, 0.0, 21.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "26157", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26157", 99.0, 1.0, 0.0),
(10456, "Public", "0840004Y", "Lycée Theodore Aubanel", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée Theodore Aubanel - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 48, 1154, 622, 1154, 0, 142, 67, 402, 200, 359, 159, 251, 0, 0, 0, 0, 0, 528, 0, 0, 0, 85, 39, 219, 102, 142, 55, 82, 176, 57, 25, 57, 0, 10.0, 28.0, 34.0, 0, 25, 47, 13, 17, 17, 10, 0, 6, 26, 13, 2, 0.0, 8, 16, 17, 9, 3, 43, 43, 17.54, 49.12, 59.65, 43.8984375, 91.5, 91.5, 19.09765625, 53.1953125, 82.5, 0.0, 12.798828125, 55.296875, 27.69921875, 4.3, 0.0, 27.69921875, 17.0, 36.1953125, 34.0, 36.1953125, 36.1953125, 41.0, 21.0, 43.0, 16.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 15.0, "10414", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10414&g_ta_cod=10414", 30.0, 39.0, 32.0),
(10457, "Public", "0310036W", "Lycée Pierre De Fermat", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Pierre De Fermat - CPGE - Ecole nationale des Chartes", "Classe préparatoire littéraire", "", 34, 315, 194, 315, 228, 264, 28, 1, 0, 0, 0, 50, 0, 0, 0, 0, 0, 300, 0, 228, 272, 259, 27, 1, 0, 0, 0, 40, 188, 33, 15, 33, 0, 9.0, 29.0, 31.0, 6, 4, 30, 30, 0, 0, 3, 0, 0, 3, 17, 9, 1.0, 30, 0, 0, 0, 0, 7, 7, 27.27, 87.88, 93.94, 45.5, 23.296875, 23.296875, 0, 13.298828125, 90.890625, 0.0, 0.0, 10.0, 56.6953125, 30.0, 3.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 179.0, 24.0, 0.0, 0.0, 9.0, "Tous les candidats", 227.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "4041", "CPGE - Ecole nationale des Chartes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4041&g_ta_cod=4041", 100.0, 0.0, 0.0),
(10458, "Public", "0020049T", "Lycée Pierre de La Ramee", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "Autre formation", "Lycée Pierre de La Ramee - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 11, 4, 1, 0, 0, 0.0, 0.0, 0.0, 0, 1, 2, 0, 0, 2, 2, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 0.0, 0.0, 0.0, 25.0, 100.0, 100.0, 0, 50.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 8.0, 5.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22514", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(10459, "Privé hors contrat", "0672877N", "OMNIS - Ecole Supérieure de Commerce & Management", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "OMNIS - Ecole Supérieure de Commerce & Management - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 70, 488, 192, 430, 0, 65, 10, 156, 42, 73, 26, 136, 58, 7, 12, 16, 23, 295, 23, 0, 0, 59, 7, 128, 27, 14, 5, 94, 287, 37, 15, 34, 3, 5.0, 34.0, 34.0, 0, 1, 17, 4, 13, 0, 20, 0, 12, 2, 3, 0, 0.0, 1, 4, 0, 0, 0, 12, 12, 13.51, 91.89, 91.89, 40.5, 70.59375, 70.59375, 0, 5.8994140625, 45.8984375, 0.0, 70.59375, 11.798828125, 17.59765625, 0.0, 0.0, 23.5, 5.8994140625, 76.5, 23.5, 0.0, 0.0, 62.0, 8.0, 14.0, 5.0, 85.0, "Tous les candidats sauf les Bac professionnels", 281.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 69.0, "15446", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15446&g_ta_cod=15446", 43.0, 54.0, 3.0),
(10460, "Public", "0910625K", "Lycée ROSA PARKS", "91", "Essonne", "Ile-de-France", "Versailles", "Montgeron", "formation sélective", "Autre formation", "Lycée ROSA PARKS - CPES - Arts", "Classe préparatoire aux études supérieures", "", 30, 358, 285, 324, 0, 255, 43, 19, 5, 13, 4, 37, 34, 10, 2, 3, 19, 119, 10, 0, 0, 103, 14, 4, 1, 3, 0, 9, 99, 28, 21, 21, 7, 2.0, 21.0, 24.0, 0, 3, 21, 18, 1, 2, 7, 0, 6, 7, 7, 1, 0.0, 13, 1, 1, 0, 0, 10, 17, 7.14, 75.0, 85.71, 75.0, 47.59375, 81.0, 0, 14.298828125, 75.0, 0.0, 28.59765625, 33.296875, 33.296875, 4.8, 0.0, 85.6875, 61.8984375, 4.7998046875, 4.7998046875, 9.5, 4.7998046875, 79.0, 11.0, 3.0, 0.0, 14.0, "Tous les candidats", 119.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "19854", "CPES - Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19854&g_ta_cod=19854", 75.0, 14.0, 7.0),
(10461, "Public", "0310054R", "Lycée professionnel Renee Bonnet", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée professionnel Renee Bonnet - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 222, 17, 214, 0, 7, 2, 80, 14, 86, 20, 41, 8, 0, 6, 0, 2, 214, 2, 0, 0, 7, 2, 80, 14, 86, 20, 41, 69, 12, 1, 12, 0, 2.0, 7.0, 11.0, 0, 4, 9, 1, 3, 5, 3, 0, 2, 5, 2, 0, 0.0, 1, 1, 5, 1, 0, 7, 7, 16.67, 58.33, 91.67, 8.298828125, 77.796875, 77.796875, 11.099609375, 44.3984375, 75.0, 0.0, 22.19921875, 55.59375, 22.19921875, 0.0, 0.0, 11.099609375, 11.099609375, 33.296875, 11.099609375, 55.59375, 55.59375, 1.0, 1.0, 21.0, 8.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 63.0, "18817", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18817&g_ta_cod=18817", 8.0, 42.0, 50.0),
(10462, "Public", "0150037J", "ENILV - Georges Pompidou", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "BTS", "ENILV - Georges Pompidou - BTS - Agricole - Sciences et technologies des aliments spécialité Produits laitiers", "BTS - Agricole", "", 14, 123, 72, 118, 0, 13, 2, 31, 7, 16, 3, 58, 5, 0, 1, 2, 2, 62, 4, 0, 0, 13, 2, 29, 6, 13, 2, 7, 52, 6, 4, 3, 1, 2.0, 3.0, 4.0, 0, 2, 3, 1, 1, 1, 3, 0, 1, 1, 1, 0, 0.0, 0, 1, 1, 1, 0, 3, 3, 33.33, 50.0, 66.67, 66.6875, 100.0, 100.0, 33.296875, 66.6875, 50.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 33.296875, 0.0, 33.296875, 33.296875, 33.296875, 33.296875, 10.0, 2.0, 13.0, 2.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 50.0, "2958", "BTS - Agricole - Sciences et technologies des aliments spécialité Produits laitiers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2958&g_ta_cod=2958", 50.0, 17.0, 17.0),
(10463, "Public", "0381516S", "IUT 1 GRENOBLE", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "BUT", "IUT 1 GRENOBLE - BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques", "BUT - Production", "Techniques d'instrumentation - Matériaux et contrôles physico-chimiques", 120, 1973, 432, 1971, 0, 1394, 154, 155, 27, 2, 1, 420, 2, 2, 0, 0, 0, 1783, 0, 0, 0, 1303, 130, 104, 12, 0, 0, 376, 1095, 113, 16, 113, 0, 38.0, 69.0, 104.0, 0, 15, 89, 80, 9, 0, 24, 0, 8, 40, 38, 3, 0.0, 73, 8, 0, 0, 0, 82, 82, 33.63, 61.06, 92.04, 14.19921875, 92.09375, 92.09375, 0, 16.8984375, 78.796875, 0.0, 9.0, 44.8984375, 42.6953125, 3.4, 0.0, 89.890625, 82.0, 10.099609375, 9.0, 0.0, 0.0, 824.0, 93.0, 0.0, 0.0, 181.0, "Tous les candidats sauf les Bac technologiques", 1431.0, "Bacheliers technologiques toutes séries", 113, "", 0, "Liste d'appel propre à cette formation", 78.0, "4969", "BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4969&g_ta_cod=4969", 91.0, 9.0, 0.0),
(10464, "Privé sous contrat d'association", "0311186W", "Lycée Billières", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Billières - BTS - Services - Commerce International", "BTS - Services", "", 48, 1012, 517, 952, 0, 299, 68, 300, 97, 96, 33, 257, 60, 0, 3, 38, 19, 617, 10, 0, 0, 236, 51, 202, 61, 49, 14, 130, 288, 49, 29, 42, 7, 7.0, 29.0, 34.0, 0, 13, 38, 13, 19, 6, 11, 0, 11, 22, 4, 1, 0.0, 8, 13, 6, 0, 0, 27, 27, 14.29, 59.18, 69.39, 59.1953125, 71.09375, 71.09375, 0, 34.1953125, 77.59375, 0.0, 28.8984375, 57.8984375, 10.5, 2.6, 0.0, 34.1953125, 21.09765625, 50.0, 34.1953125, 15.798828125, 15.798828125, 89.0, 20.0, 38.0, 13.0, 56.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 125.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 120, "Liste d'appel propre à cette formation", 32.0, "4117", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4117&g_ta_cod=4117", 43.0, 39.0, 18.0),
(10465, "Privé sous contrat d'association", "0880101G", "Ensemble scolaire Notre-Dame Saint-Joseph", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "BTS", "Ensemble scolaire Notre-Dame Saint-Joseph - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 95, 19, 83, 0, 16, 2, 20, 2, 19, 4, 28, 12, 0, 1, 4, 7, 53, 8, 0, 0, 14, 2, 18, 2, 16, 2, 5, 54, 17, 1, 13, 4, 9.0, 12.0, 15.0, 0, 1, 13, 4, 5, 4, 4, 0, 8, 3, 2, 0, 0.0, 1, 1, 3, 4, 0, 13, 13, 52.94, 70.59, 88.24, 5.8994140625, 100.0, 100.0, 30.796875, 7.69921875, 76.5, 0.0, 61.5, 23.09765625, 15.3984375, 0.0, 0.0, 30.796875, 7.69921875, 38.5, 7.69921875, 30.796875, 23.09765625, 10.0, 1.0, 16.0, 2.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 61.0, "10740", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10740&g_ta_cod=10740", 29.0, 29.0, 41.0),
(10466, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Philosophie", "Licence - Sciences humaines et sociales", "", 70, 380, 224, 305, 0, 195, 47, 18, 5, 6, 2, 86, 75, 16, 9, 5, 45, 305, 33, 0, 0, 195, 47, 18, 5, 6, 2, 86, 264, 43, 22, 33, 10, 5.0, 32.0, 38.0, 0, 8, 21, 17, 3, 1, 22, 0, 10, 9, 1, 1, 0.0, 10, 0, 1, 0, 0, 20, 20, 11.63, 74.42, 88.37, 51.1953125, 95.1875, 95.1875, 0, 38.09375, 48.796875, 0.0, 47.59375, 42.8984375, 4.7998046875, 4.8, 0.0, 81.0, 47.59375, 14.298828125, 0.0, 4.7998046875, 4.7998046875, 152.0, 37.0, 7.0, 4.0, 89.0, "Tous les candidats", 303.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "2881", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2881&g_ta_cod=2881", 77.0, 16.0, 5.0),
(10467, "Public", "0511884W", "lycée Georges BRIERE", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "lycée Georges BRIERE - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 14, 156, 21, 156, 0, 10, 3, 31, 8, 69, 20, 46, 0, 0, 0, 0, 0, 156, 0, 0, 0, 10, 3, 31, 8, 69, 20, 46, 49, 11, 1, 11, 0, 1.0, 10.0, 11.0, 0, 3, 8, 1, 1, 6, 3, 0, 2, 2, 3, 1, 0.0, 0, 0, 6, 5, 0, 6, 6, 9.09, 90.91, 100.0, 9.099609375, 75.0, 75.0, 62.5, 37.5, 72.6875, 0.0, 25.0, 25.0, 37.5, 12.5, 0.0, 12.5, 0.0, 12.5, 0.0, 75.0, 75.0, 9.0, 3.0, 24.0, 6.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 47.0, "6148", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6148&g_ta_cod=6148", 18.0, 27.0, 55.0),
(10468, "Privé enseignement supérieur", "0100744E", "Ecole Supérieure de Design de Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "Autre formation", "Ecole Supérieure de Design de Troyes - Formation des écoles supérieure d'art Bac + 3 - Designer Graphique", "Formation des écoles supérieure d'art", "Designer Graphique", 25, 117, 69, 63, 0, 39, 12, 7, 1, 3, 1, 14, 54, 18, 9, 2, 25, 48, 17, 0, 0, 30, 7, 6, 1, 3, 1, 9, 63, 29, 18, 16, 13, 12.0, 16.0, 28.0, 0, 6, 18, 14, 3, 1, 11, 0, 9, 5, 4, 0, 0.0, 5, 3, 1, 0, 0, 7, 7, 41.38, 55.17, 96.55, 62.09375, 38.8984375, 38.8984375, 0, 33.296875, 62.09375, 0.0, 50.0, 27.796875, 22.19921875, 0.0, 0.0, 77.796875, 27.796875, 16.69921875, 16.69921875, 5.599609375, 5.599609375, 37.0, 11.0, 3.0, 1.0, 17.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "26204", "Formation des écoles supérieure d'art Bac + 3 - Designer Graphique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26204&g_ta_cod=26204", 66.0, 21.0, 10.0),
(10469, "Public", "0510075E", "Centre de Ressources, d'Expertise et de Performance Sportive de Reims (CREPS)", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "CREPS de Reims - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 4, 21, 8, 21, 0, 6, 2, 6, 0, 3, 0, 6, 0, 0, 0, 0, 0, 7, 0, 0, 0, 1, 0, 2, 0, 1, 0, 3, 7, 4, 2, 4, 0, 2.0, 4.0, 4.0, 0, 0, 2, 1, 1, 0, 2, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 50.0, 100.0, 100.0, 50.0, 0.0, 0.0, 0, 0.0, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 1.0, 0.0, 1.0, 0.0, 3.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "21319", "BPJEPS - Activités aquatiques et de la natation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21319&g_ta_cod=21319", 50.0, 50.0, 0.0),
(10470, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence", "Université de Toulon - Licence - Langues étrangères appliquées - Parcours Anglais/Espagnol", "Licence - Arts-lettres-langues", "Anglais/Espagnol", 195, 812, 591, 614, 0, 389, 106, 75, 32, 27, 13, 123, 198, 39, 20, 6, 133, 609, 183, 0, 0, 389, 106, 75, 32, 27, 13, 118, 643, 157, 100, 95, 62, 34.0, 94.0, 131.0, 0, 27, 82, 56, 19, 7, 75, 1, 42, 24, 12, 3, 0.0, 31, 6, 2, 0, 0, 68, 68, 21.66, 59.87, 83.44, 63.6953125, 82.890625, 82.890625, 0, 32.8984375, 52.1953125, 1.199951171875, 51.1953125, 29.296875, 14.599609375, 3.7, 0.0, 68.296875, 37.796875, 23.19921875, 7.2998046875, 8.5, 2.39990234375, 305.0, 86.0, 27.0, 16.0, 229.0, "Tous les candidats", 608.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "20410", "Licence - Langues étrangères appliquées - Parcours Anglais/Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20410&g_ta_cod=20410", 68.0, 21.0, 8.0),
(10471, "Public", "0710100Y", "CNAM Chalon", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "Autre formation", "CNAM Chalon - Formation Supérieure de Spécialisation - Informatique - intégration web", "Diplôme d'Université", "Informatique - intégration web", 12, 47, 4, 33, 0, 15, 2, 2, 0, 8, 3, 8, 14, 0, 0, 2, 12, 13, 7, 0, 0, 3, 0, 1, 0, 6, 3, 3, 22, 6, 1, 1, 5, 1.0, 1.0, 4.0, 0, 1, 1, 0, 0, 1, 5, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 16.67, 16.67, 66.67, 16.69921875, 100.0, 100.0, 0, 100.0, 16.69921875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 4.0, 0.0, 8.0, 5.0, 9.0, "Tous les candidats", 13.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "33334", "Formation Supérieure de Spécialisation - Informatique - intégration web", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33334&g_ta_cod=33334", 17.0, 50.0, 33.0),
(10472, "Public", "0141687H", "Lycée Jules Verne", "14", "Calvados", "Normandie", "Normandie", "Mondeville", "formation sélective", "BTS", "Lycée Jules Verne - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 14, 189, 16, 186, 0, 15, 3, 50, 18, 63, 22, 58, 3, 0, 0, 0, 3, 166, 1, 0, 0, 15, 3, 42, 15, 57, 19, 52, 61, 12, 0, 11, 1, 0.0, 6.0, 7.0, 0, 5, 8, 0, 1, 7, 4, 0, 3, 4, 1, 0, 0.0, 0, 1, 4, 0, 0, 8, 8, 0.0, 50.0, 58.33, 0.0, 100.0, 100.0, 0, 62.5, 66.6875, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 0.0, 0.0, 12.5, 12.5, 87.5, 50.0, 3.0, 1.0, 26.0, 9.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 39.0, "2909", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2909&g_ta_cod=2909", 17.0, 25.0, 58.0),
(10473, "Privé sous contrat d'association", "9741255W", "Lycée Catholique St Charles", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BTS", "Lycée Catholique St Charles - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 24, 129, 27, 124, 0, 13, 3, 40, 16, 49, 21, 22, 5, 0, 0, 1, 4, 84, 4, 0, 0, 12, 2, 32, 13, 39, 19, 1, 69, 17, 2, 14, 1, 8.0, 14.0, 14.0, 0, 5, 14, 3, 7, 4, 3, 0, 5, 7, 2, 0, 0.0, 1, 4, 4, 2, 1, 14, 14, 47.06, 82.35, 82.35, 11.798828125, 100.0, 100.0, 14.298828125, 35.6953125, 82.390625, 0.0, 35.6953125, 50.0, 14.298828125, 0.0, 0.0, 21.3984375, 7.099609375, 50.0, 28.59765625, 28.59765625, 28.59765625, 11.0, 2.0, 26.0, 12.0, 6.0, "Tous les candidats sauf les Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 54.0, "17907", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17907&g_ta_cod=17907", 24.0, 53.0, 24.0),
(10474, "Public", "0422026Z", "Télécom Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "Ecole d'Ingénieur", "Télécom Saint-Etienne - Formation Bac + 3 - Bachelor en sciences et ingénierie communication globale et design digital", "Formations  des écoles d'ingénieurs", "Bachelor en sciences et ingénierie communication globale et design digital", 28, 164, 73, 132, 0, 56, 11, 10, 3, 3, 1, 63, 32, 6, 3, 0, 23, 44, 7, 0, 0, 28, 3, 3, 0, 0, 0, 13, 50, 26, 11, 22, 4, 17.0, 22.0, 24.0, 0, 1, 20, 18, 2, 0, 6, 0, 7, 11, 1, 1, 0.0, 11, 2, 0, 0, 0, 12, 12, 65.38, 84.62, 92.31, 42.296875, 60.0, 60.0, 0, 5.0, 76.890625, 0.0, 35.0, 55.0, 5.0, 5.0, 0.0, 90.0, 55.0, 10.0, 10.0, 0.0, 0.0, 31.0, 3.0, 0.0, 0.0, 16.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "33403", "Formation Bac + 3 - Bachelor en sciences et ingénierie communication globale et design digital", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33403&g_ta_cod=33403", 85.0, 8.0, 8.0),
(10475, "Public", "0510034K", "Lycée Franklin Roosevelt", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Franklin Roosevelt - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 36, 678, 84, 678, 0, 90, 18, 142, 50, 127, 41, 319, 0, 0, 0, 0, 0, 217, 0, 0, 0, 52, 6, 74, 26, 81, 25, 10, 101, 33, 3, 33, 0, 7.0, 30.0, 31.0, 0, 4, 31, 13, 5, 13, 2, 0, 14, 14, 3, 0, 0.0, 3, 3, 11, 2, 0, 25, 25, 21.21, 90.91, 93.94, 9.099609375, 80.59375, 80.59375, 6.5, 12.8984375, 93.890625, 0.0, 45.1953125, 45.1953125, 9.69921875, 0.0, 0.0, 41.8984375, 9.69921875, 16.09765625, 9.69921875, 41.8984375, 35.5, 42.0, 6.0, 30.0, 7.0, 8.0, "Tous les candidats sauf les Bac professionnels", 101.0, "Bacheliers professionnels toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 21.0, "6070", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6070&g_ta_cod=6070", 42.0, 18.0, 39.0),
(10476, "Public", "0930119Z", "Lycée Eugène Delacroix", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Drancy", "formation sélective", "BTS", "Lycée Eugène Delacroix - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 3044, 1491, 3044, 0, 222, 101, 893, 446, 886, 503, 1043, 0, 0, 0, 0, 0, 1306, 0, 0, 0, 108, 51, 540, 263, 387, 216, 271, 134, 35, 16, 35, 0, 0.0, 23.0, 33.0, 0, 18, 32, 2, 14, 16, 3, 0, 6, 21, 5, 0, 0.0, 0, 11, 15, 6, 4, 27, 31, 0.0, 65.71, 94.29, 45.6953125, 84.390625, 96.890625, 18.796875, 56.296875, 91.390625, 0.0, 18.796875, 65.59375, 15.599609375, 0.0, 0.0, 6.2998046875, 0.0, 43.796875, 34.3984375, 50.0, 46.8984375, 4.0, 1.0, 72.0, 36.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 172, "Bacheliers technologiques toutes séries", 139, "Liste d'appel propre à cette formation", 11.0, "11171", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11171&g_ta_cod=11171", 6.0, 49.0, 46.0),
(10477, "Public", "0851346B", "Lycée Francois Truffaut", "85", "Vendée", "Pays de la Loire", "Nantes", "Challans", "formation sélective", "BTS", "Lycée Francois Truffaut - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 489, 217, 488, 0, 64, 13, 157, 26, 126, 41, 141, 1, 0, 1, 0, 0, 434, 1, 0, 0, 64, 13, 156, 26, 126, 41, 88, 150, 15, 5, 15, 0, 0.0, 9.0, 13.0, 0, 4, 10, 0, 5, 5, 5, 0, 6, 4, 0, 0, 0.0, 0, 3, 1, 1, 0, 8, 8, 0.0, 60.0, 86.67, 33.296875, 80.0, 80.0, 10, 40.0, 66.6875, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 30.0, 50.0, 10.0, 1.0, 1.0, 60.0, 21.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 94, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 36.0, "14463", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14463&g_ta_cod=14463", 7.0, 33.0, 60.0),
(10478, "Public", "0350097R", "INSA Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Ecole d'Ingénieur", "INSA / Sciences Po (Rennes - Toulouse) - Formation d'ingénieur Bac + 5 - Double diplôme", "Formations  des écoles d'ingénieurs", "Double diplôme -  Parcours MICA (Mathématiques Informatique Civil et Automatique)", 20, 867, 347, 867, 0, 749, 49, 0, 0, 0, 0, 118, 0, 0, 0, 0, 0, 691, 0, 0, 0, 606, 34, 0, 0, 0, 0, 85, 111, 20, 10, 20, 0, 4.0, 16.0, 18.0, 0, 3, 18, 18, 0, 0, 2, 0, 0, 0, 1, 9, 8.0, 18, 0, 0, 0, 0, 5, 5, 20.0, 80.0, 90.0, 50.0, 27.796875, 27.796875, 0, 16.69921875, 90.0, 0.0, 0.0, 0.0, 5.599609375, 50.0, 44.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 6.0, 0.0, 0.0, 11.0, "Tous les candidats", 256.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "29189", "Formation d'ingénieur Bac + 5 - Double diplôme", "INSA / Sciences Po (Rennes - Toulouse)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29187&g_ta_cod=29189", 100.0, 0.0, 0.0),
(10479, "Privé sous contrat d'association", "0631068U", "Lycée Godefroy De Bouillon", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée Godefroy De Bouillon - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 72, 664, 272, 662, 0, 104, 18, 182, 43, 239, 81, 137, 2, 0, 2, 0, 0, 550, 1, 0, 0, 102, 16, 166, 40, 205, 63, 77, 316, 62, 27, 60, 1, 16.0, 39.0, 48.0, 0, 12, 58, 13, 13, 32, 4, 0, 14, 25, 16, 3, 0.0, 7, 7, 30, 3, 0, 46, 46, 25.81, 62.9, 77.42, 43.5, 79.296875, 79.296875, 5.19921875, 20.69921875, 93.5, 0.0, 24.09765625, 43.09375, 27.59765625, 5.2, 0.0, 22.3984375, 12.099609375, 22.3984375, 12.099609375, 55.1953125, 51.6953125, 57.0, 10.0, 124.0, 33.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 87.0, "Bacheliers professionnels toutes séries", 152, "Bacheliers technologiques toutes séries", 136, "Liste d'appel propre à cette formation", 57.0, "7606", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7606&g_ta_cod=7606", 26.0, 23.0, 52.0),
(10480, "Public", "0342091N", "Lycée polyvalent Marc BLOCH", "34", "Hérault", "Occitanie", "Montpellier", "Sérignan", "formation sélective", "BTS", "Lycée polyvalent Marc BLOCH - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 354, 176, 271, 0, 27, 13, 106, 48, 58, 31, 80, 83, 1, 20, 33, 29, 150, 19, 0, 0, 16, 5, 74, 30, 31, 16, 29, 116, 30, 15, 21, 9, 6.0, 17.0, 25.0, 0, 11, 25, 3, 14, 8, 5, 0, 9, 6, 9, 1, 0.0, 2, 8, 6, 8, 5, 23, 23, 20.0, 56.67, 83.33, 50.0, 92.0, 92.0, 32, 44.0, 83.296875, 0.0, 36.0, 24.0, 36.0, 4.0, 0.0, 12.0, 8.0, 56.0, 32.0, 32.0, 24.0, 10.0, 5.0, 33.0, 16.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 54.0, "14211", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14211&g_ta_cod=14211", 20.0, 53.0, 27.0),
(10481, "Privé sous contrat d'association", "0771238C", "Institution Saint Aspais", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation sélective", "BTS", "Institution Saint Aspais - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 70, 492, 38, 259, 0, 27, 3, 70, 9, 60, 15, 102, 233, 38, 41, 39, 115, 127, 56, 0, 0, 21, 2, 44, 2, 35, 7, 27, 178, 58, 3, 33, 25, 22.0, 32.0, 47.0, 0, 9, 39, 11, 16, 12, 19, 0, 22, 11, 5, 1, 0.0, 1, 9, 7, 7, 0, 34, 39, 37.93, 55.17, 81.03, 5.19921875, 87.1875, 100.0, 17.8984375, 23.09765625, 67.1875, 0.0, 56.3984375, 28.19921875, 12.798828125, 2.6, 0.0, 28.19921875, 2.599609375, 41.0, 23.09765625, 30.796875, 17.8984375, 36.0, 6.0, 42.0, 9.0, 45.0, "Tous les candidats sauf les Bac professionnels", 90.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 48.0, "9831", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9831&g_ta_cod=9831", 31.0, 40.0, 29.0),
(10482, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "PASS", "Université de Montpellier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 112, 2178, 1393, 2178, 0, 1562, 303, 44, 18, 12, 5, 560, 0, 0, 0, 0, 0, 2178, 0, 0, 0, 1562, 303, 44, 18, 12, 5, 560, 896, 103, 68, 103, 0, 0.0, 44.0, 91.0, 0, 13, 55, 51, 3, 1, 48, 1, 15, 19, 17, 3, 0.0, 37, 1, 1, 0, 0, 33, 33, 0.0, 42.72, 88.35, 66.0, 60.0, 60.0, 0, 23.59765625, 53.3984375, 1.7998046875, 27.296875, 34.5, 30.8984375, 5.5, 0.0, 92.6875, 67.296875, 5.5, 1.7998046875, 1.7998046875, 1.7998046875, 622.0, 133.0, 4.0, 2.0, 260.0, "Tous les candidats", 6659.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 64.0, "31868", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27370&g_ta_cod=31868", 86.0, 8.0, 2.0),
(10483, "Public", "0762049P", "Université de Rouen Normandie - Campus Pasteur Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Pasteur Rouen - Licence - Droit - Parcours Droit (Enseignement à Distance)", "Licence - Droit-économie-gestion", "Droit (Enseignement à Distance)", 230, 1125, 822, 845, 0, 338, 97, 113, 42, 33, 13, 361, 280, 47, 14, 6, 213, 837, 270, 0, 0, 339, 98, 113, 42, 33, 13, 352, 1106, 220, 161, 141, 79, 140.0, 140.0, 165.0, 0, 24, 79, 43, 23, 13, 141, 5, 39, 24, 6, 5, 0.0, 18, 11, 6, 0, 0, 53, 53, 63.64, 63.64, 75.0, 73.1875, 67.09375, 67.09375, 0, 30.3984375, 35.8984375, 6.2998046875, 49.3984375, 30.3984375, 7.599609375, 6.3, 0.0, 54.3984375, 22.796875, 29.09765625, 13.8984375, 16.5, 7.599609375, 382.0, 106.0, 39.0, 15.0, 558.0, "Tous les candidats", 837.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "9700", "Licence - Droit - Parcours Droit (Enseignement à Distance)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9700&g_ta_cod=9700", 51.0, 25.0, 17.0),
(10484, "Public", "0851457X", "I.U.T. La Roche-sur-Yon", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BUT", "I.U.T. La Roche-sur-Yon - BUT - Information communication Parcours métiers du livre et du patrimoine", "BUT - Service", "", 28, 289, 233, 289, 0, 182, 32, 17, 4, 5, 2, 85, 0, 0, 0, 0, 0, 123, 0, 0, 0, 85, 6, 5, 0, 2, 0, 31, 56, 28, 19, 28, 0, 11.0, 27.0, 27.0, 0, 3, 24, 22, 2, 0, 4, 0, 1, 9, 11, 3, 0.0, 21, 2, 0, 0, 0, 11, 11, 39.29, 96.43, 96.43, 67.890625, 45.796875, 45.796875, 0, 12.5, 85.6875, 0.0, 4.19921875, 37.5, 45.796875, 12.5, 0.0, 91.6875, 87.5, 8.298828125, 8.298828125, 0.0, 0.0, 40.0, 6.0, 0.0, 0.0, 12.0, "Tous les candidats sauf les Bac technologiques", 56.0, "Bacheliers technologiques toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 22.0, "10562", "BUT - Information communication Parcours métiers du livre et du patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10562&g_ta_cod=10562", 89.0, 11.0, 0.0),
(10485, "Public", "0800010B", "Lycée Madeleine Michelis", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "CPGE", "Pôle Thuillier / Michelis - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 135, 68, 129, 0, 101, 17, 0, 0, 0, 0, 28, 6, 2, 0, 0, 4, 89, 2, 0, 89, 82, 15, 0, 0, 0, 0, 7, 73, 4, 2, 4, 0, 0.0, 4.0, 4.0, 0, 0, 4, 4, 0, 0, 0, 0, 0, 3, 1, 0, 0.0, 4, 0, 0, 0, 0, 4, 4, 0.0, 100.0, 100.0, 50.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 66.0, 10.0, 0.0, 0.0, 7.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "31277", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31277&g_ta_cod=31277", 100.0, 0.0, 0.0),
(10486, "Privé sous contrat d'association", "0763400H", "UniLaSalle Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation sélective", "Ecole d'Ingénieur", "UniLaSalle (Beauvais, Rouen, Rennes) - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 60, 241, 143, 238, 0, 235, 8, 0, 0, 0, 0, 3, 3, 1, 0, 0, 2, 231, 2, 0, 0, 228, 8, 0, 0, 0, 0, 3, 217, 18, 12, 18, 0, 17.0, 18.0, 18.0, 0, 0, 18, 18, 0, 0, 0, 0, 1, 5, 5, 7, 0.0, 17, 0, 0, 0, 0, 6, 6, 94.44, 100.0, 100.0, 66.6875, 33.296875, 33.296875, 0, 0.0, 100.0, 0.0, 5.599609375, 27.796875, 27.796875, 38.9, 0.0, 100.0, 94.390625, 0.0, 0.0, 0.0, 0.0, 213.0, 8.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "29289", "Formation d'ingénieur Bac + 5 - Série générale", "UniLaSalle (Beauvais, Rouen, Rennes)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30779&g_ta_cod=29289", 100.0, 0.0, 0.0),
(10487, "Public", "9741046U", "Lycée Bellepierre", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "CPGE", "Lycée Bellepierre - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 12, 127, 61, 121, 0, 104, 24, 2, 1, 0, 0, 15, 6, 2, 0, 1, 3, 96, 1, 0, 96, 86, 16, 0, 0, 0, 0, 10, 70, 6, 3, 6, 0, 1.0, 5.0, 6.0, 0, 0, 6, 6, 0, 0, 0, 0, 0, 3, 2, 0, 1.0, 6, 0, 0, 1, 0, 4, 4, 16.67, 83.33, 100.0, 50.0, 66.6875, 66.6875, 16.69921875, 0.0, 100.0, 0.0, 0.0, 50.0, 33.296875, 0.0, 16.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 61.0, 10.0, 0.0, 0.0, 9.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "31606", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31387&g_ta_cod=31606", 100.0, 0.0, 0.0),
(10488, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Sciences du langage", "Licence - Sciences humaines et sociales", "", 80, 368, 314, 309, 0, 206, 35, 10, 5, 7, 1, 86, 59, 18, 2, 2, 37, 309, 56, 0, 0, 206, 35, 10, 5, 7, 1, 86, 365, 69, 59, 52, 17, 51.0, 51.0, 63.0, 0, 9, 42, 37, 2, 3, 27, 0, 13, 21, 7, 1, 0.0, 25, 1, 3, 0, 0, 32, 32, 73.91, 73.91, 91.3, 85.5, 76.1875, 76.1875, 0, 21.3984375, 60.8984375, 0.0, 31.0, 50.0, 16.69921875, 2.4, 0.0, 88.09375, 59.5, 4.7998046875, 2.39990234375, 7.099609375, 7.099609375, 224.0, 39.0, 9.0, 3.0, 121.0, "Tous les candidats", 309.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3554", "Licence - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3554&g_ta_cod=3554", 83.0, 9.0, 9.0),
(10489, "Privé sous contrat d'association", "0430065M", "Lycée Saint-Gabriel", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Yssingeaux", "formation sélective", "BTS", "Lycée Saint-Gabriel - BTS - Services - Notariat", "BTS - Services", "", 30, 189, 120, 182, 0, 37, 4, 25, 8, 16, 8, 104, 7, 1, 0, 0, 6, 102, 3, 0, 0, 33, 4, 22, 8, 10, 6, 37, 91, 16, 7, 16, 0, 5.0, 16.0, 16.0, 0, 2, 8, 3, 3, 2, 8, 0, 4, 2, 2, 0, 0.0, 1, 1, 2, 0, 0, 5, 5, 31.25, 100.0, 100.0, 43.796875, 62.5, 62.5, 0, 25.0, 50.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 37.5, 12.5, 37.5, 12.5, 25.0, 25.0, 29.0, 3.0, 9.0, 5.0, 35.0, "Tous les candidats sauf les Bac professionnels", 89.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 55.0, "20751", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20751&g_ta_cod=20751", 69.0, 19.0, 13.0),
(10490, "Public", "9760163Y", "Lycée professionnel De Kaweni", "976", "Mayotte", "Mayotte", "Mayotte", "Mamoudzou", "formation sélective", "Autre formation", "Lycée professionnel De Kaweni - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 128, 98, 125, 0, 19, 9, 27, 14, 38, 15, 41, 3, 0, 1, 0, 2, 63, 0, 0, 0, 14, 7, 15, 7, 25, 10, 9, 67, 24, 18, 14, 0, 9.0, 12.0, 12.0, 0, 8, 15, 4, 3, 8, 9, 0, 14, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 15, 15, 37.5, 50.0, 50.0, 75.0, 100.0, 100.0, 0, 53.296875, 62.5, 0.0, 93.296875, 6.69921875, 0.0, 0.0, 0.0, 26.69921875, 6.69921875, 20.0, 0.0, 53.296875, 0.0, 13.0, 6.0, 26.0, 11.0, 15.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "13675", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13675&g_ta_cod=13675", 21.0, 38.0, 42.0),
(10491, "Public", "0840004Y", "Lycée Theodore Aubanel", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée Theodore Aubanel - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 648, 319, 648, 0, 106, 49, 180, 87, 131, 72, 231, 0, 0, 0, 0, 0, 313, 0, 0, 0, 74, 32, 111, 50, 64, 28, 64, 128, 33, 18, 33, 0, 8.0, 31.0, 31.0, 0, 12, 27, 7, 12, 8, 6, 0, 10, 11, 6, 0, 0.0, 4, 6, 7, 5, 2, 24, 24, 24.24, 93.94, 93.94, 54.5, 88.890625, 88.890625, 18.5, 44.3984375, 81.796875, 0.0, 37.0, 40.6953125, 22.19921875, 0.0, 0.0, 25.8984375, 14.798828125, 44.3984375, 22.19921875, 29.59765625, 25.8984375, 40.0, 21.0, 14.0, 7.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 23.0, "10415", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10415&g_ta_cod=10415", 30.0, 45.0, 24.0),
(10492, "Public", "0670086E", "Lycée des métiers René Cassin", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Lycée des métiers René Cassin - Mention complémentaire - Services numériques aux organisations", "Mention complémentaire", "", 12, 32, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 0, 7, 11, 14, 0, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 30, 9, 4, 0, 3, 0.0, 0.0, 0.0, 0, 2, 7, 0, 2, 5, 2, 0, 4, 1, 2, 0, 0.0, 0, 0, 3, 0, 0, 7, 7, 0.0, 0.0, 0.0, 44.3984375, 100.0, 100.0, 0, 28.59765625, 77.796875, 0.0, 57.09375, 14.298828125, 28.59765625, 0.0, 0.0, 0.0, 0.0, 28.59765625, 0.0, 71.390625, 42.8984375, 2.0, 0.0, 13.0, 7.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35010", "Mention complémentaire - Services numériques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=35010&g_ta_cod=35010", 11.0, 33.0, 56.0),
(10493, "Privé sous contrat d'association", "9710062R", "Lycée La Perseverance", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "BTS", "Lycée La Perseverance - BTS - Services - Communication", "BTS - Services", "", 32, 147, 106, 115, 0, 45, 17, 25, 10, 21, 17, 24, 32, 5, 4, 9, 14, 82, 23, 0, 0, 34, 11, 19, 8, 18, 15, 11, 92, 22, 18, 8, 14, 3.0, 8.0, 13.0, 0, 8, 14, 7, 1, 6, 8, 0, 7, 3, 3, 1, 0.0, 5, 0, 2, 3, 2, 12, 12, 13.64, 36.36, 59.09, 81.796875, 85.6875, 85.6875, 21.3984375, 57.09375, 63.59375, 0.0, 50.0, 21.3984375, 21.3984375, 7.1, 0.0, 50.0, 35.6953125, 7.099609375, 0.0, 42.8984375, 14.298828125, 32.0, 9.0, 21.0, 18.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers technologiques toutes séries", 21, "Bacheliers professionnels toutes séries", 19, "Liste d'appel propre à cette formation", 71.0, "32068", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32068&g_ta_cod=32068", 64.0, 9.0, 27.0),
(10494, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Double diplôme - Licence Langues, littératures & civilisations étrangères et régionales - Double diplôme international - Licence Métiers de l'enseignement allemand / français (avec l'Université Koblenz-Landau) (Langues associées)", "Licence - Arts-lettres-langues", "Double diplôme international - Licence Métiers de l'enseignement allemand / français (avec l'Université Koblenz-Landau) (Langues associées)", 7, 54, 33, 32, 0, 23, 1, 0, 0, 0, 0, 9, 22, 1, 0, 3, 18, 25, 0, 0, 0, 21, 0, 0, 0, 0, 0, 4, 14, 6, 6, 6, 0, 2.0, 6.0, 6.0, 0, 0, 5, 5, 0, 0, 1, 0, 0, 0, 3, 2, 0.0, 5, 0, 0, 0, 0, 0, 1, 33.33, 100.0, 100.0, 100.0, 0.0, 20.0, 0, 0.0, 83.296875, 0.0, 0.0, 0.0, 60.0, 40.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 12.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "23973", "Licence - Double diplôme - Licence Langues, littératures & civilisations étrangères et régionales - Double diplôme international - Licence Métiers de l'enseignement allemand / français (avec l'Université Koblenz-Landau) (Langues associées)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23973&g_ta_cod=23973", 100.0, 0.0, 0.0),
(10495, "Public", "0360043B", "Lycée Blaise Pascal", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Châteauroux", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 13, 267, 35, 267, 0, 45, 9, 66, 21, 48, 20, 108, 0, 0, 0, 0, 0, 197, 0, 0, 0, 45, 9, 66, 21, 48, 20, 38, 60, 13, 0, 13, 0, 1.0, 8.0, 8.0, 0, 4, 11, 4, 4, 3, 2, 0, 4, 5, 1, 1, 0.0, 2, 4, 1, 4, 0, 10, 10, 7.69, 61.54, 61.54, 0.0, 90.890625, 90.890625, 36.3984375, 36.3984375, 84.59375, 0.0, 36.3984375, 45.5, 9.099609375, 9.1, 0.0, 36.3984375, 18.19921875, 36.3984375, 36.3984375, 27.296875, 9.099609375, 13.0, 1.0, 24.0, 11.0, 10.0, "Tous les candidats sauf les Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 29.0, "4803", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4803&g_ta_cod=4803", 31.0, 38.0, 31.0),
(10496, "Public", "0951399E", "Lycée Alfred Kastler", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "CPGE", "Lycée Alfred Kastler - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 38, 369, 197, 369, 0, 0, 0, 326, 107, 0, 0, 43, 0, 0, 0, 0, 0, 326, 0, 0, 326, 0, 0, 323, 106, 0, 0, 3, 183, 34, 19, 34, 0, 5.0, 28.0, 34.0, 0, 11, 34, 0, 34, 0, 0, 0, 6, 18, 9, 1, 0.0, 0, 28, 0, 3, 2, 32, 34, 14.71, 82.35, 100.0, 55.8984375, 94.09375, 100.0, 8.798828125, 32.3984375, 100.0, 0.0, 17.59765625, 52.8984375, 26.5, 2.9, 0.0, 0.0, 0.0, 100.0, 82.390625, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 290.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "11603", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11603&g_ta_cod=11603", 0.0, 100.0, 0.0),
(10497, "Public", "0300026R", "Lycée Dhuoda", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Dhuoda - BTS - Production - Travaux publics", "BTS - Production", "", 14, 424, 38, 424, 0, 47, 6, 174, 46, 81, 25, 122, 0, 0, 0, 0, 0, 289, 0, 0, 0, 26, 3, 174, 46, 51, 12, 38, 53, 12, 1, 12, 0, 4.0, 8.0, 12.0, 0, 3, 6, 1, 2, 3, 6, 0, 3, 1, 2, 0, 0.0, 0, 1, 2, 1, 0, 5, 5, 33.33, 66.67, 100.0, 8.298828125, 83.296875, 83.296875, 16.69921875, 50.0, 50.0, 0.0, 50.0, 16.69921875, 33.296875, 0.0, 0.0, 16.69921875, 0.0, 33.296875, 16.69921875, 50.0, 33.296875, 3.0, 2.0, 16.0, 4.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 25.0, "3942", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3942&g_ta_cod=3942", 8.0, 50.0, 42.0),
(10498, "Public", "0932214B", "I.U.T. de Montreuil", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "BUT", "I.U.T. de Montreuil - BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services - Pilotage de chaine logistique globale", "BUT - Production", "Management de la production de biens et de services - Pilotage de chaine logistique globale", 48, 509, 129, 509, 0, 143, 41, 169, 77, 43, 27, 154, 0, 0, 0, 0, 0, 331, 0, 0, 0, 108, 33, 132, 59, 22, 16, 69, 176, 47, 9, 47, 0, 10.0, 35.0, 41.0, 0, 24, 38, 11, 22, 5, 9, 0, 21, 12, 4, 1, 0.0, 4, 10, 3, 0, 0, 28, 36, 21.28, 74.47, 87.23, 19.09765625, 73.6875, 94.6875, 0, 63.1953125, 80.890625, 0.0, 55.296875, 31.59765625, 10.5, 2.6, 0.0, 28.8984375, 10.5, 57.8984375, 26.296875, 13.19921875, 7.8994140625, 55.0, 19.0, 14.0, 12.0, 34.0, "Tous les candidats sauf les Bac technologiques", 124.0, "Bacheliers technologiques toutes séries", 110, "", 0, "Liste d'appel propre à cette formation", 46.0, "11350", "BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services - Pilotage de chaine logistique globale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11350&g_ta_cod=11350", 36.0, 53.0, 11.0),
(10499, "Public", "0680169P", "I.U.T. de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BUT", "I.U.T. de Mulhouse - BUT - Génie mécanique et productique Parcours : 	Management de process industriel", "BUT - Production", "Management de process industriel", 10, 174, 22, 174, 0, 120, 11, 25, 6, 2, 0, 27, 0, 0, 0, 0, 0, 40, 0, 0, 0, 33, 1, 4, 0, 0, 0, 3, 33, 10, 2, 10, 0, 1.0, 7.0, 9.0, 0, 1, 8, 8, 0, 0, 2, 0, 1, 4, 2, 1, 0.0, 7, 0, 0, 0, 0, 7, 7, 10.0, 70.0, 90.0, 20.0, 87.5, 87.5, 0, 12.5, 80.0, 0.0, 12.5, 50.0, 25.0, 12.5, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 27.0, 1.0, 0.0, 0.0, 3.0, "Tous les candidats sauf les Bac technologiques", 35.0, "Bacheliers technologiques toutes séries", 3, "", 0, "Liste d'appel propre à cette formation", 22.0, "8136", "BUT - Génie mécanique et productique Parcours : 	Management de process industriel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8136&g_ta_cod=8136", 100.0, 0.0, 0.0),
(10500, "Public", "0510034K", "Lycée Franklin Roosevelt", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Franklin Roosevelt - BTS - Production - Electrotechnique", "BTS - Production", "", 60, 306, 26, 296, 0, 10, 7, 38, 9, 111, 30, 137, 10, 0, 0, 9, 1, 257, 2, 0, 0, 10, 7, 37, 9, 101, 26, 109, 163, 42, 1, 42, 0, 14.0, 40.0, 40.0, 0, 8, 28, 3, 5, 20, 14, 0, 10, 12, 5, 1, 0.0, 1, 3, 14, 1, 0, 22, 22, 33.33, 95.24, 95.24, 2.39990234375, 78.59375, 78.59375, 3.599609375, 28.59765625, 66.6875, 0.0, 35.6953125, 42.8984375, 17.8984375, 3.6, 0.0, 10.69921875, 3.599609375, 17.8984375, 10.69921875, 71.390625, 50.0, 9.0, 7.0, 94.0, 24.0, 23.0, "Tous les candidats sauf les Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 106, "", 0, "Liste d'appel propre à cette formation", 59.0, "6068", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6068&g_ta_cod=6068", 21.0, 17.0, 62.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(10501, "Public", "0720029R", "Lycée Montesquieu", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "CPGE", "Lycée Montesquieu - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 1224, 377, 1224, 0, 770, 95, 1, 1, 1, 0, 452, 0, 0, 0, 0, 0, 686, 0, 0, 686, 606, 70, 0, 0, 0, 0, 80, 293, 45, 11, 45, 0, 4.0, 36.0, 45.0, 0, 5, 41, 41, 0, 0, 4, 0, 0, 9, 22, 8, 2.0, 41, 0, 0, 10, 1, 36, 36, 8.89, 80.0, 100.0, 24.3984375, 87.796875, 87.796875, 24.3984375, 12.19921875, 91.09375, 0.0, 0.0, 22.0, 53.6953125, 19.5, 4.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 279.0, 27.0, 0.0, 0.0, 14.0, "Tous les candidats", 548.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "8690", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8690&g_ta_cod=8690", 100.0, 0.0, 0.0),
(10502, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Coréen et Gestion parcours  Management et sciences humaines (MSH)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Coréen et Gestion parcours  Management et sciences humaines (MSH)", 5, 278, 252, 278, 0, 150, 37, 28, 17, 8, 4, 92, 0, 0, 0, 0, 0, 278, 0, 0, 0, 150, 37, 28, 17, 8, 4, 92, 16, 5, 5, 5, 0, 1.0, 5.0, 5.0, 0, 0, 3, 3, 0, 0, 2, 0, 0, 0, 0, 3, 0.0, 3, 0, 0, 0, 0, 1, 1, 20.0, 100.0, 100.0, 100.0, 33.296875, 33.296875, 0, 0.0, 60.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 11.0, 3.0, 0.0, 0.0, 5.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "16694", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Coréen et Gestion parcours  Management et sciences humaines (MSH)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16694&g_ta_cod=16694", 100.0, 0.0, 0.0),
(10503, "Privé enseignement supérieur", "0673163Z", "Institut national de podologie Grand Est", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Institut national de podologie Grand Est - D.E Pédicure-Podologue", "D.E secteur sanitaire", "", 28, 142, 110, 137, 0, 33, 2, 19, 4, 1, 0, 84, 5, 0, 0, 1, 4, 137, 4, 0, 0, 33, 2, 19, 4, 1, 0, 84, 98, 28, 20, 25, 3, 9.0, 16.0, 22.0, 0, 0, 8, 5, 3, 0, 20, 0, 4, 2, 2, 0, 0.0, 3, 1, 0, 0, 0, 5, 5, 32.14, 57.14, 78.57, 71.390625, 62.5, 62.5, 0, 0.0, 28.59765625, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 62.5, 37.5, 37.5, 12.5, 0.0, 0.0, 27.0, 1.0, 2.0, 1.0, 57.0, "Tous les candidats", 95.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "33802", "D.E Pédicure-Podologue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33802&g_ta_cod=33802", 86.0, 14.0, 0.0),
(10504, "Public", "0593255T", "Lycée de la Nature et des Biotechnologies, Douai Bio Tech'", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "BTS", "Lycée de la Nature et des Biotechnologies, Douai Bio Tech' - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 24, 248, 130, 232, 0, 17, 4, 55, 11, 14, 5, 146, 16, 3, 6, 1, 6, 90, 13, 0, 0, 17, 4, 44, 7, 10, 4, 19, 82, 14, 5, 8, 6, 1.0, 8.0, 12.0, 0, 2, 9, 3, 4, 2, 5, 0, 6, 2, 1, 0, 0.0, 0, 2, 1, 1, 0, 8, 8, 7.14, 57.14, 85.71, 35.6953125, 88.890625, 88.890625, 11.099609375, 22.19921875, 64.296875, 0.0, 66.6875, 22.19921875, 11.099609375, 0.0, 0.0, 33.296875, 0.0, 44.3984375, 22.19921875, 22.19921875, 11.099609375, 14.0, 2.0, 9.0, 4.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 39.0, "6991", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6991&g_ta_cod=6991", 43.0, 43.0, 14.0),
(10505, "Public", "0301687W", "Université de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "Licence_Las", "Université de Nîmes - Licence - Portail Sciences de la vie -  Biologie-environnement", "Licence - Sciences - technologies - santé", "Biologie-environnement", 30, 1600, 1141, 1600, 0, 836, 212, 115, 40, 5, 3, 644, 0, 0, 0, 0, 0, 1600, 0, 0, 0, 836, 212, 115, 40, 5, 3, 644, 331, 27, 20, 27, 0, 1.0, 9.0, 17.0, 0, 7, 22, 13, 9, 0, 5, 0, 4, 8, 8, 2, 0.0, 11, 7, 0, 0, 0, 18, 18, 3.7, 33.33, 62.96, 74.09375, 81.796875, 81.796875, 0, 31.796875, 81.5, 0.0, 18.19921875, 36.3984375, 36.3984375, 9.1, 0.0, 59.09375, 50.0, 40.8984375, 31.796875, 0.0, 0.0, 157.0, 34.0, 2.0, 1.0, 138.0, "Tous les candidats", 757.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "28881", "Licence - Portail Sciences de la vie -  Biologie-environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28880&g_ta_cod=28881", 67.0, 33.0, 0.0),
(10506, "Public", "0130161E", "Lycée Adam De Craponne", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Salon-de-Provence", "formation sélective", "BTS", "Lycée Adam De Craponne - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 603, 306, 603, 0, 67, 26, 223, 95, 192, 94, 121, 0, 0, 0, 0, 0, 400, 0, 0, 0, 63, 24, 158, 66, 110, 49, 69, 153, 33, 16, 31, 0, 4.0, 21.0, 25.0, 0, 6, 23, 2, 10, 11, 10, 0, 6, 10, 6, 1, 0.0, 0, 7, 10, 10, 7, 23, 23, 12.12, 63.64, 75.76, 48.5, 100.0, 100.0, 43.5, 26.09765625, 69.6875, 0.0, 26.09765625, 43.5, 26.09765625, 4.3, 0.0, 8.69921875, 0.0, 43.5, 30.3984375, 47.796875, 43.5, 6.0, 3.0, 50.0, 21.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 28.0, "2621", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2621&g_ta_cod=2621", 6.0, 55.0, 39.0),
(10507, "Public", "0772347H", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lieusaint", "formation sélective", "BUT", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC - BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d?expérience - Création numérique", "BUT - Production", "Stratégie de communication numérique et design d?expérience - Création numérique", 110, 1989, 670, 1989, 0, 847, 168, 580, 147, 43, 13, 519, 0, 0, 0, 0, 0, 924, 0, 0, 0, 362, 55, 404, 103, 16, 3, 142, 413, 109, 52, 109, 0, 42.0, 94.0, 98.0, 0, 17, 83, 34, 47, 2, 26, 0, 10, 43, 25, 5, 0.0, 32, 39, 2, 0, 0, 38, 75, 38.53, 86.24, 89.91, 47.6953125, 45.796875, 90.390625, 0, 20.5, 76.09375, 0.0, 12.0, 51.796875, 30.09765625, 6.0, 0.0, 41.0, 38.59375, 56.59375, 47.0, 2.39990234375, 2.39990234375, 140.0, 28.0, 11.0, 2.0, 61.0, "Tous les candidats sauf les Bac technologiques", 238.0, "Bacheliers technologiques toutes séries", 287, "", 0, "Liste d'appel propre à cette formation", 26.0, "25435", "BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d?expérience - Création numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25435&g_ta_cod=25435", 45.0, 51.0, 4.0),
(10508, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence", "Université de Perpignan Via Domitia - Licence - Portail DARWIN", "Licence - Sciences - technologies - santé", "DARWIN", 145, 944, 624, 916, 0, 594, 134, 50, 16, 5, 2, 267, 28, 7, 1, 0, 20, 916, 21, 0, 0, 594, 134, 50, 16, 5, 2, 267, 737, 142, 85, 127, 14, 12.0, 121.0, 121.0, 0, 30, 101, 87, 13, 1, 41, 0, 30, 50, 15, 6, 0.0, 61, 9, 1, 0, 0, 74, 74, 8.45, 85.21, 85.21, 59.8984375, 73.296875, 73.296875, 0, 29.69921875, 71.09375, 0.0, 29.69921875, 49.5, 14.8984375, 5.9, 0.0, 86.09375, 60.3984375, 12.8984375, 8.8984375, 1.0, 1.0, 498.0, 122.0, 1.0, 0.0, 205.0, "Tous les candidats", 961.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 90.0, "31755", "Licence - Portail DARWIN", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31756&g_ta_cod=31755", 80.0, 15.0, 4.0),
(10509, "Public", "0762642J", "ERFPS CHU Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "Autre formation", "ERFPS CHU Rouen - D.E Psychomotricien", "D.E secteur sanitaire", "", 20, 998, 929, 998, 0, 276, 36, 52, 9, 2, 2, 668, 0, 0, 0, 0, 0, 442, 0, 0, 0, 127, 10, 7, 0, 0, 0, 308, 56, 20, 18, 20, 0, 5.0, 17.0, 18.0, 0, 1, 6, 6, 0, 0, 14, 0, 0, 0, 3, 3, 0.0, 6, 0, 0, 0, 0, 3, 3, 25.0, 85.0, 90.0, 90.0, 50.0, 50.0, 0, 16.69921875, 30.0, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 16.0, 2.0, 0.0, 0.0, 40.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "26092", "D.E Psychomotricien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26092&g_ta_cod=26092", 100.0, 0.0, 0.0),
(10510, "Public", "0620056Z", "Lycée Carnot", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Bruay-la-Buissière", "formation sélective", "BTS", "Lycée Carnot - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 35, 190, 84, 187, 0, 7, 3, 81, 40, 58, 33, 41, 3, 0, 0, 3, 0, 159, 2, 0, 0, 7, 3, 67, 32, 48, 27, 37, 111, 32, 19, 30, 2, 9.0, 25.0, 26.0, 0, 17, 27, 1, 10, 16, 5, 0, 15, 10, 2, 0, 0.0, 1, 3, 8, 21, 14, 27, 27, 28.13, 78.13, 81.25, 59.3984375, 100.0, 100.0, 77.796875, 63.0, 84.390625, 0.0, 55.59375, 37.0, 7.3994140625, 0.0, 0.0, 3.69970703125, 3.69970703125, 37.0, 11.099609375, 59.296875, 29.59765625, 7.0, 3.0, 45.0, 24.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 63.0, "7356", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7356&g_ta_cod=7356", 3.0, 38.0, 59.0),
(10511, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Portail Sciences de la vie - Sciences du vivant", "Licence - Sciences - technologies - santé", "Sciences du vivant", 200, 3771, 2622, 3771, 0, 2194, 309, 142, 31, 9, 5, 1426, 0, 0, 0, 0, 0, 3770, 0, 0, 0, 2194, 309, 142, 31, 9, 5, 1425, 1337, 186, 141, 185, 0, 13.0, 84.0, 139.0, 0, 23, 113, 106, 6, 1, 73, 1, 8, 39, 50, 15, 0.0, 98, 5, 1, 0, 0, 109, 109, 6.99, 45.16, 74.73, 75.796875, 96.5, 96.5, 0, 20.3984375, 60.796875, 0.89990234375, 7.099609375, 34.5, 44.1953125, 13.3, 0.0, 93.796875, 86.6875, 5.2998046875, 4.3994140625, 0.89990234375, 0.89990234375, 653.0, 112.0, 5.0, 4.0, 652.0, "Tous les candidats", 2118.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 47.0, "31723", "Licence - Portail Sciences de la vie - Sciences du vivant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31724&g_ta_cod=31723", 95.0, 4.0, 1.0),
(10512, "Public", "0760030V", "Lycée Ferdinand Buisson", "76", "Seine-Maritime", "Normandie", "Normandie", "Elbeuf", "formation sélective", "BTS", "Lycée Ferdinand Buisson - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 27, 197, 26, 170, 0, 9, 3, 57, 12, 41, 15, 63, 27, 0, 9, 9, 9, 86, 12, 0, 0, 8, 3, 41, 8, 24, 7, 13, 81, 14, 0, 11, 3, 3.0, 9.0, 9.0, 0, 5, 10, 0, 5, 5, 4, 2, 3, 3, 2, 0, 0.0, 0, 1, 4, 4, 0, 10, 10, 21.43, 64.29, 64.29, 0.0, 100.0, 100.0, 40, 50.0, 71.390625, 20.0, 30.0, 30.0, 20.0, 0.0, 0.0, 0.0, 0.0, 50.0, 10.0, 50.0, 40.0, 6.0, 1.0, 24.0, 7.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 49.0, "9562", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9562&g_ta_cod=9562", 7.0, 43.0, 50.0),
(10513, "Public", "0781944P", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "Licence", "Université de Versailles - Saint Quentin en Yvelines - Licence - Portail Economie et Gestion / Gestion", "Licence - Droit-économie-gestion", "Economie et Gestion / Gestion : Economie et gestion", 123, 2258, 1017, 2258, 0, 1608, 235, 106, 31, 17, 5, 527, 0, 0, 0, 0, 0, 2258, 0, 0, 0, 1608, 235, 106, 31, 17, 5, 527, 929, 120, 44, 119, 0, 3.0, 70.0, 102.0, 0, 15, 90, 89, 1, 0, 30, 0, 38, 40, 11, 1, 0.0, 51, 1, 0, 0, 0, 80, 82, 2.5, 58.33, 85.0, 36.6953125, 88.890625, 91.09375, 0, 16.69921875, 75.0, 0.0, 42.1953125, 44.3984375, 12.19921875, 1.1, 0.0, 98.890625, 56.6953125, 1.099853515625, 1.099853515625, 0.0, 0.0, 762.0, 130.0, 0.0, 0.0, 165.0, "Tous les candidats", 1509.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 61.0, "28616", "Licence - Portail Economie et Gestion / Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28614&g_ta_cod=28616", 99.0, 1.0, 0.0),
(10514, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "PASS", "Université d'Amiens - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 30, 3169, 2394, 3169, 0, 2458, 413, 74, 20, 30, 13, 607, 0, 0, 0, 0, 0, 3154, 0, 0, 0, 2458, 413, 74, 20, 30, 13, 592, 107, 33, 28, 33, 0, 5.0, 33.0, 33.0, 0, 5, 33, 33, 0, 0, 0, 0, 0, 0, 4, 24, 5.0, 33, 0, 0, 0, 0, 32, 32, 15.15, 100.0, 100.0, 84.796875, 97.0, 97.0, 0, 15.19921875, 100.0, 0.0, 0.0, 0.0, 12.099609375, 72.7, 15.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 107.0, 13.0, 0.0, 0.0, 0.0, "Tous les candidats", 381.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 7.0, "28596", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28229&g_ta_cod=28596", 100.0, 0.0, 0.0),
(10515, "Public", "0931193S", "Lycée professionnel Helene Boucher", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Tremblay-en-France", "formation sélective", "Autre formation", "Lycée professionnel Helene Boucher - Mention complémentaire - FCIL DAide déclarant en douane", "Mention complémentaire", "", 4, 130, 81, 130, 0, 16, 5, 10, 6, 62, 29, 42, 0, 0, 0, 0, 0, 20, 0, 0, 0, 1, 1, 2, 2, 5, 1, 12, 7, 3, 2, 3, 0, 3.0, 3.0, 3.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 66.6875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 7.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "24735", "Mention complémentaire - FCIL DAide déclarant en douane", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24735&g_ta_cod=24735", 0.0, 67.0, 33.0),
(10516, "Public", "0700905D", "Lycée Edouard Belin", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Vesoul", "formation sélective", "BTS", "Lycée Edouard Belin - BTS - Production - Electrotechnique", "BTS - Production", "", 18, 140, 17, 127, 0, 11, 3, 22, 5, 29, 8, 65, 13, 2, 0, 3, 8, 66, 2, 0, 0, 11, 3, 22, 5, 29, 8, 4, 51, 13, 0, 12, 1, 5.0, 12.0, 13.0, 0, 5, 12, 0, 2, 10, 1, 0, 3, 6, 3, 0, 0.0, 0, 0, 9, 1, 0, 10, 10, 38.46, 92.31, 100.0, 0.0, 83.296875, 83.296875, 8.298828125, 41.6953125, 92.296875, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 0.0, 16.69921875, 0.0, 83.296875, 75.0, 5.0, 1.0, 27.0, 9.0, 5.0, "Tous les candidats sauf les Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 50.0, "8597", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8597&g_ta_cod=8597", 8.0, 15.0, 77.0),
(10517, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Arts - Parcours pratique arts plastiques", "Licence - Arts-lettres-langues", "pratique arts plastiques", 10, 253, 201, 253, 0, 159, 38, 21, 6, 12, 1, 61, 0, 0, 0, 0, 0, 253, 0, 0, 0, 159, 38, 21, 6, 12, 1, 61, 38, 10, 5, 10, 0, 2.0, 8.0, 10.0, 0, 2, 6, 4, 2, 0, 4, 0, 3, 2, 1, 0, 0.0, 2, 1, 0, 0, 0, 5, 5, 20.0, 80.0, 100.0, 50.0, 83.296875, 83.296875, 0, 33.296875, 60.0, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 16.69921875, 0.0, 0.0, 19.0, 3.0, 1.0, 0.0, 13.0, "Tous les candidats", 52.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "21172", "Licence - Arts - Parcours pratique arts plastiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21172&g_ta_cod=21172", 80.0, 20.0, 0.0),
(10518, "Privé enseignement supérieur", "0310155A", "Institut Catholique de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Institut Catholique de Toulouse - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 120, 326, 148, 199, 0, 145, 19, 18, 5, 2, 1, 34, 127, 36, 11, 4, 76, 199, 114, 0, 0, 145, 19, 18, 5, 2, 1, 34, 298, 34, 15, 29, 5, 16.0, 29.0, 32.0, 0, 1, 28, 27, 1, 0, 6, 0, 7, 12, 9, 0, 0.0, 21, 0, 0, 0, 0, 23, 23, 47.06, 85.29, 94.12, 44.09375, 82.09375, 82.09375, 0, 3.599609375, 82.390625, 0.0, 25.0, 42.8984375, 32.09375, 0.0, 0.0, 96.390625, 75.0, 3.599609375, 0.0, 0.0, 0.0, 172.0, 32.0, 6.0, 4.0, 94.0, "Tous les candidats", 199.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4087", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4087&g_ta_cod=4087", 94.0, 6.0, 0.0),
(10519, "Public", "0240023V", "Lycée agricole DE PERIGUEUX", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Coulounieix-Chamiers", "formation sélective", "BTS", "Lycée agricole DE PERIGUEUX - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 16, 296, 126, 294, 0, 12, 1, 22, 4, 24, 9, 236, 2, 0, 0, 1, 1, 87, 1, 0, 0, 11, 1, 22, 4, 23, 9, 31, 57, 13, 5, 13, 0, 2.0, 8.0, 12.0, 0, 1, 5, 2, 2, 1, 8, 0, 3, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 3, 3, 15.38, 61.54, 92.31, 38.5, 60.0, 60.0, 0, 20.0, 38.5, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 40.0, 20.0, 40.0, 20.0, 20.0, 0.0, 9.0, 1.0, 19.0, 7.0, 15.0, "Tous les candidats sauf les Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 26.0, "3416", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3416&g_ta_cod=3416", 62.0, 15.0, 23.0),
(10520, "Privé sous contrat d'association", "0311877X", "Ecole assistants de service social", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "EFTS", "Ecole assistants de service social - D.E Assistant de Service Social", "D.E secteur social", "", 42, 266, 248, 266, 0, 37, 7, 24, 10, 17, 2, 188, 0, 0, 0, 0, 0, 168, 0, 0, 0, 24, 6, 11, 4, 4, 0, 129, 74, 43, 40, 43, 0, 24.0, 40.0, 42.0, 0, 2, 9, 4, 3, 2, 34, 0, 1, 3, 4, 1, 0.0, 3, 3, 2, 0, 0, 9, 9, 55.81, 93.02, 97.67, 93.0, 100.0, 100.0, 0, 22.19921875, 20.8984375, 0.0, 11.099609375, 33.296875, 44.3984375, 11.1, 0.0, 44.3984375, 33.296875, 33.296875, 33.296875, 22.19921875, 22.19921875, 9.0, 3.0, 2.0, 0.0, 59.0, "Tous les candidats", 94.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "25308", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23556&g_ta_cod=25308", 49.0, 35.0, 12.0),
(10521, "Privé sous contrat d'association", "0560198L", "Lycée St Joseph", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "Autre formation", "Lycée St Joseph - Mention complémentaire - FCIL maintenance équipements audiovisuels et électroménager", "Mention complémentaire", "", 12, 5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 1, 3, 1, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 1, 0, 0, 1, 0.0, 0.0, 0.0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 3.0, 1.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34956", "Mention complémentaire - FCIL maintenance équipements audiovisuels et électroménager", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34956&g_ta_cod=34956", 0.0, 0.0, 100.0),
(10522, "Public", "0570175F", "I.U.T de Metz - Université de Lorraine", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BUT", "I.U.T de Metz - Université de Lorraine - BUT - Statistique et informatique décisionnelle Parcours : Sciences des données : exploration et modélisation statistique - Sciences des données : visualisation, conception d'outils décisionnels", "BUT - Service", "Sciences des données : exploration et modélisation statistique - Sciences des données : visualisation, conception d'outils décisionnels", 56, 653, 137, 590, 0, 356, 58, 88, 30, 5, 0, 141, 63, 10, 0, 1, 52, 486, 14, 0, 0, 329, 47, 74, 24, 2, 0, 81, 363, 57, 13, 46, 6, 5.0, 40.0, 49.0, 0, 6, 40, 32, 8, 0, 17, 0, 16, 18, 5, 1, 0.0, 20, 4, 0, 0, 0, 30, 30, 8.77, 70.18, 85.96, 22.796875, 75.0, 75.0, 0, 15.0, 70.1875, 0.0, 40.0, 45.0, 12.5, 2.5, 0.0, 80.0, 50.0, 20.0, 10.0, 0.0, 0.0, 231.0, 35.0, 1.0, 0.0, 79.0, "Tous les candidats sauf les Bac technologiques", 401.0, "Bacheliers technologiques toutes séries", 82, "", 0, "Liste d'appel propre à cette formation", 82.0, "6572", "BUT - Statistique et informatique décisionnelle Parcours : Sciences des données : exploration et modélisation statistique - Sciences des données : visualisation, conception d'outils décisionnels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6572&g_ta_cod=6572", 82.0, 18.0, 0.0),
(10523, "Privé sous contrat d'association", "0370881G", "Lycée Marmoutier", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Marmoutier - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 18, 857, 650, 686, 0, 192, 35, 229, 50, 23, 6, 242, 171, 38, 37, 5, 91, 252, 25, 0, 0, 88, 16, 114, 16, 1, 0, 49, 155, 17, 10, 4, 12, 0.0, 3.0, 8.0, 0, 3, 9, 5, 4, 0, 8, 0, 4, 4, 1, 0, 0.0, 3, 2, 0, 0, 0, 3, 3, 0.0, 17.65, 47.06, 58.796875, 33.296875, 33.296875, 0, 33.296875, 52.8984375, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 55.59375, 33.296875, 44.3984375, 22.19921875, 0.0, 0.0, 55.0, 9.0, 3.0, 0.0, 40.0, "Tous les candidats sauf les Bac professionnels", 248.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 36.0, "4904", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4904&g_ta_cod=4904", 65.0, 35.0, 0.0),
(10524, "Public", "0670084C", "Lycée Jean Rostand", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 30, 973, 946, 972, 0, 155, 40, 296, 104, 229, 81, 292, 1, 0, 1, 0, 0, 520, 0, 0, 0, 96, 15, 172, 54, 114, 26, 138, 174, 30, 28, 30, 0, 5.0, 24.0, 24.0, 0, 10, 23, 6, 6, 11, 7, 0, 5, 6, 7, 5, 0.0, 4, 5, 9, 3, 3, 15, 15, 16.67, 80.0, 80.0, 93.296875, 65.1875, 65.1875, 13, 43.5, 76.6875, 0.0, 21.69921875, 26.09765625, 30.3984375, 21.7, 0.0, 26.09765625, 17.3984375, 26.09765625, 21.69921875, 47.796875, 39.09375, 29.0, 9.0, 34.0, 10.0, 47.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 92, "Liste d'appel propre à cette formation", 21.0, "7929", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7929&g_ta_cod=7929", 33.0, 30.0, 37.0),
(10525, "Public", "0060001U", "Lycée Jacques Audiberti", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "BTS", "Lycée Jacques Audiberti - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 32, 597, 353, 590, 0, 109, 40, 169, 64, 125, 64, 187, 7, 0, 0, 0, 7, 254, 1, 0, 0, 65, 22, 87, 33, 58, 28, 44, 159, 30, 17, 30, 0, 1.0, 21.0, 27.0, 0, 11, 25, 7, 11, 7, 5, 0, 9, 16, 0, 0, 0.0, 6, 7, 3, 3, 2, 25, 25, 3.33, 70.0, 90.0, 56.6953125, 100.0, 100.0, 12, 44.0, 83.296875, 0.0, 36.0, 64.0, 0.0, 0.0, 0.0, 28.0, 24.0, 44.0, 28.0, 28.0, 12.0, 46.0, 16.0, 26.0, 13.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 93.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 37.0, "2183", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2183&g_ta_cod=2183", 37.0, 40.0, 23.0),
(10526, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues étrangères appliquées - Parcours Espagnol / Portugais", "Licence - Arts-lettres-langues", "Espagnol / Portugais", 32, 171, 117, 92, 0, 43, 14, 18, 5, 10, 3, 21, 79, 13, 15, 11, 40, 90, 55, 0, 0, 43, 14, 18, 5, 10, 3, 19, 129, 28, 19, 12, 16, 5.0, 11.0, 18.0, 0, 9, 18, 6, 7, 5, 10, 1, 9, 8, 0, 0, 0.0, 2, 2, 4, 0, 0, 7, 16, 17.86, 39.29, 64.29, 67.890625, 38.8984375, 88.890625, 0, 50.0, 64.296875, 5.599609375, 50.0, 44.3984375, 0.0, 0.0, 0.0, 33.296875, 11.099609375, 38.8984375, 11.099609375, 27.796875, 22.19921875, 51.0, 15.0, 13.0, 6.0, 39.0, "Tous les candidats", 87.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "28214", "Licence - Langues étrangères appliquées - Parcours Espagnol / Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28214&g_ta_cod=28214", 25.0, 36.0, 39.0),
(10527, "Public", "0520008B", "LP Eugène DECOMBLE", "52", "Haute-Marne", "Grand Est", "Reims", "Chaumont", "formation sélective", "BTS", "LP Eugène DECOMBLE - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 35, 5, 34, 0, 1, 0, 21, 6, 6, 0, 6, 1, 0, 0, 1, 0, 26, 0, 0, 0, 1, 0, 20, 6, 4, 0, 1, 25, 6, 0, 6, 0, 2.0, 6.0, 6.0, 0, 2, 6, 0, 5, 1, 0, 0, 3, 2, 1, 0, 0.0, 0, 2, 1, 1, 0, 6, 6, 33.33, 100.0, 100.0, 0.0, 100.0, 100.0, 16.69921875, 33.296875, 100.0, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 83.296875, 33.296875, 16.69921875, 16.69921875, 1.0, 0.0, 4.0, 0.0, 1.0, "Tous les candidats sauf les Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 76.0, "25323", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25323&g_ta_cod=25323", 0.0, 83.0, 17.0),
(10528, "Privé sous contrat d'association", "9840481A", "LYCEE PROFESSIONNEL PRIVE DON BOSCO", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Pirae", "formation sélective", "Autre formation", "LYCEE PROFESSIONNEL PRIVE DON BOSCO - Mention complémentaire - Accueil dans transports", "Mention complémentaire", "", 16, 40, 26, 32, 0, 2, 2, 5, 4, 21, 8, 4, 8, 1, 1, 5, 1, 14, 4, 0, 0, 1, 1, 2, 2, 9, 5, 2, 18, 7, 4, 5, 2, 4.0, 5.0, 5.0, 0, 2, 5, 2, 1, 2, 2, 0, 3, 0, 2, 0, 0.0, 0, 0, 2, 0, 0, 5, 5, 57.14, 71.43, 71.43, 57.09375, 100.0, 100.0, 0, 40.0, 71.390625, 0.0, 60.0, 0.0, 40.0, 0.0, 0.0, 40.0, 0.0, 20.0, 0.0, 40.0, 40.0, 2.0, 1.0, 10.0, 6.0, 3.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "26293", "Mention complémentaire - Accueil dans transports", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26293&g_ta_cod=26293", 43.0, 14.0, 43.0),
(10529, "Privé sous contrat d'association", "0690660T", "Lycée professionnel Japy", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Japy - Mention complémentaire - FCIL Secrétaire juridique", "Mention complémentaire", "", 12, 190, 172, 133, 0, 6, 1, 23, 10, 55, 29, 49, 57, 10, 7, 16, 24, 39, 25, 0, 0, 0, 0, 5, 1, 23, 12, 11, 56, 9, 8, 3, 6, 2.0, 3.0, 9.0, 0, 4, 8, 1, 1, 6, 1, 0, 4, 4, 0, 0, 0.0, 0, 0, 4, 0, 0, 6, 6, 22.22, 33.33, 100.0, 88.890625, 75.0, 75.0, 0, 50.0, 88.890625, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 12.5, 0.0, 12.5, 0.0, 75.0, 50.0, 8.0, 1.0, 22.0, 12.0, 16.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "30021", "Mention complémentaire - FCIL Secrétaire juridique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30021&g_ta_cod=30021", 11.0, 11.0, 78.0),
(10530, "Privé sous contrat d'association", "0542408Z", "Lycée Charles De Foucauld", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Charles De Foucauld - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 319, 276, 302, 0, 41, 6, 95, 26, 74, 26, 92, 17, 0, 7, 0, 10, 283, 7, 0, 0, 39, 6, 94, 26, 74, 26, 76, 161, 23, 21, 22, 0, 5.0, 21.0, 22.0, 0, 4, 17, 1, 6, 10, 6, 0, 6, 8, 3, 0, 0.0, 0, 3, 8, 2, 2, 17, 17, 21.74, 91.3, 95.65, 91.296875, 100.0, 100.0, 11.798828125, 23.5, 73.890625, 0.0, 35.296875, 47.09375, 17.59765625, 0.0, 0.0, 5.8994140625, 0.0, 35.296875, 17.59765625, 58.796875, 47.09375, 11.0, 5.0, 37.0, 11.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 111, "Liste d'appel propre à cette formation", 66.0, "6388", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6388&g_ta_cod=6388", 26.0, 30.0, 43.0),
(10531, "Privé sous contrat d'association", "0440246D", "LPO Sacré-Coeur La Salle", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LPO Sacré-Coeur La Salle - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 520, 343, 466, 0, 57, 4, 171, 39, 147, 50, 91, 54, 10, 6, 4, 34, 330, 14, 0, 0, 50, 4, 153, 33, 104, 32, 23, 208, 16, 11, 10, 6, 3.0, 10.0, 14.0, 0, 5, 13, 3, 5, 5, 3, 0, 5, 8, 0, 0, 0.0, 1, 2, 5, 4, 3, 11, 11, 18.75, 62.5, 87.5, 68.796875, 84.59375, 84.59375, 30.796875, 38.5, 81.296875, 0.0, 38.5, 61.5, 0.0, 0.0, 0.0, 23.09765625, 7.69921875, 38.5, 15.3984375, 38.5, 38.5, 40.0, 4.0, 68.0, 28.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 108, "Bacheliers technologiques toutes séries", 156, "Liste d'appel propre à cette formation", 69.0, "5502", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5502&g_ta_cod=5502", 31.0, 31.0, 38.0),
(10532, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence_Las", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Europe - Grec moderne", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères, parcours Europe - Grec moderne", 10, 41, 31, 28, 0, 14, 9, 1, 0, 1, 1, 12, 13, 3, 3, 0, 7, 28, 7, 0, 0, 14, 9, 1, 0, 1, 1, 12, 28, 10, 7, 5, 5, 1.0, 5.0, 7.0, 0, 3, 6, 3, 2, 1, 4, 0, 3, 2, 1, 0, 0.0, 2, 0, 1, 0, 0, 1, 6, 10.0, 50.0, 70.0, 70.0, 16.69921875, 100.0, 0, 50.0, 60.0, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 50.0, 33.296875, 33.296875, 0.0, 16.69921875, 16.69921875, 13.0, 9.0, 1.0, 1.0, 11.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 93.0, "29604", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Europe - Grec moderne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29603&g_ta_cod=29604", 70.0, 20.0, 10.0),
(10533, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence_Las", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Portail Lettres - Parcours Lettres modernes", "Licence - Arts-lettres-langues", "Parcours Lettres modernes", 25, 159, 121, 139, 0, 59, 19, 10, 7, 11, 7, 59, 20, 3, 2, 1, 14, 135, 19, 0, 0, 59, 19, 10, 7, 11, 7, 55, 134, 25, 18, 15, 8, 0.0, 15.0, 16.0, 0, 9, 12, 6, 6, 0, 13, 0, 11, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 7, 11, 0.0, 60.0, 64.0, 72.0, 58.296875, 91.6875, 0, 75.0, 48.0, 0.0, 91.6875, 8.298828125, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 8.298828125, 0.0, 0.0, 55.0, 18.0, 7.0, 6.0, 62.0, "Tous les candidats", 486.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "28294", "Licence - Portail Lettres - Parcours Lettres modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28293&g_ta_cod=28294", 60.0, 28.0, 12.0),
(10534, "Public", "0730005J", "Cité scolaire Jean Moulin", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Albertville", "formation sélective", "BTS", "Cité scolaire Jean Moulin - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 263, 129, 252, 0, 25, 6, 75, 20, 52, 22, 100, 11, 0, 4, 0, 7, 185, 1, 0, 0, 25, 6, 49, 11, 45, 19, 66, 78, 24, 10, 22, 1, 5.0, 20.0, 22.0, 0, 6, 19, 1, 9, 9, 5, 1, 5, 10, 1, 2, 0.0, 0, 5, 8, 7, 3, 19, 19, 20.83, 83.33, 91.67, 41.6953125, 100.0, 100.0, 36.796875, 31.59765625, 79.1875, 5.2998046875, 26.296875, 52.59375, 5.2998046875, 10.5, 0.0, 5.2998046875, 0.0, 47.3984375, 26.296875, 47.3984375, 42.09375, 7.0, 3.0, 28.0, 10.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 51.0, "8779", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8779&g_ta_cod=8779", 21.0, 42.0, 38.0),
(10535, "Privé enseignement supérieur", "0754032A", "Ecole Camondo", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "Autre formation", "Ecole Camondo - Formation des écoles supérieure d'art Bac + 5 - Architecte d?intérieur ? designer", "Formation des écoles supérieure d'art", "Architecte d?intérieur ? designer", 67, 459, 349, 459, 0, 243, 21, 40, 5, 4, 0, 172, 0, 0, 0, 0, 0, 161, 0, 0, 0, 63, 4, 18, 1, 1, 0, 79, 101, 69, 47, 69, 0, 49.0, 64.0, 68.0, 0, 2, 29, 24, 5, 0, 40, 0, 1, 14, 13, 1, 0.0, 23, 5, 0, 0, 0, 9, 21, 71.01, 92.75, 98.55, 68.09375, 31.0, 72.390625, 0, 6.8994140625, 42.0, 0.0, 3.39990234375, 48.296875, 44.796875, 3.4, 0.0, 82.796875, 79.296875, 17.19921875, 17.19921875, 0.0, 0.0, 37.0, 2.0, 0.0, 0.0, 51.0, "Tous les candidats", 111.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "26163", "Formation des écoles supérieure d'art Bac + 5 - Architecte d?intérieur ? designer", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26163&g_ta_cod=26163", 86.0, 14.0, 0.0),
(10536, "Public", "0490054T", "Lycée polyvalent Fernand Renaudeau - Lycée des métiers de la mode", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "Autre formation", "Lycée polyvalent Fernand Renaudeau - Lycée des métiers de la mode - DN MADE - Mode - - Spécialité : Design Vêtements-Accessoires", "DN MADE", "- Spécialité : Design Vêtements-Accessoires", 15, 934, 754, 934, 0, 321, 57, 264, 51, 118, 31, 231, 0, 0, 0, 0, 0, 934, 0, 0, 0, 321, 57, 264, 51, 118, 31, 231, 48, 15, 11, 15, 0, 2.0, 13.0, 14.0, 0, 3, 13, 0, 13, 0, 2, 0, 0, 3, 9, 1, 0.0, 0, 13, 0, 0, 0, 3, 3, 13.33, 86.67, 93.33, 73.296875, 23.09765625, 23.09765625, 0, 23.09765625, 86.6875, 0.0, 0.0, 23.09765625, 69.1875, 7.7, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 6.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "24245", "DN MADE - Mode - - Spécialité : Design Vêtements-Accessoires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24245&g_ta_cod=24245", 13.0, 87.0, 0.0),
(10537, "Public", "0440021J", "Lycée général Clemenceau", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "Lycée général Clemenceau - CPGE - MP2I", "Classe préparatoire scientifique", "", 48, 1837, 319, 1837, 1409, 1604, 180, 4, 0, 3, 0, 226, 0, 0, 0, 0, 0, 756, 0, 351, 728, 751, 92, 1, 0, 0, 0, 4, 165, 48, 5, 48, 0, 7.0, 36.0, 47.0, 19, 5, 47, 47, 0, 0, 1, 0, 0, 0, 6, 32, 9.0, 47, 0, 0, 0, 0, 21, 21, 14.58, 75.0, 97.92, 10.3984375, 44.6953125, 44.6953125, 0, 10.599609375, 97.890625, 0.0, 0.0, 0.0, 12.798828125, 68.1, 19.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 163.0, 17.0, 0.0, 0.0, 2.0, "Tous les candidats", 229.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "32116", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32116&g_ta_cod=32116", 100.0, 0.0, 0.0),
(10538, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Licence", "Université Côte d'Azur - Licence - Double diplôme - Licence Droit - Licence de droit (Université de Nice) / Zertifikat Studien des deutschen und französischen Rechts (Universität des Saarlandes)", "Licence - Droit-économie-gestion", "Licence de droit (Université de Nice) / Zertifikat Studien des deutschen und französischen Rechts (Universität des Saarlandes)", 20, 169, 123, 80, 0, 46, 12, 12, 9, 3, 2, 19, 89, 20, 12, 3, 54, 20, 1, 0, 0, 17, 1, 0, 0, 0, 0, 3, 21, 1, 1, 1, 0, 1.0, 1.0, 1.0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 100.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 18.0, 1.0, 0.0, 0.0, 3.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "23893", "Licence - Double diplôme - Licence Droit - Licence de droit (Université de Nice) / Zertifikat Studien des deutschen und französischen Rechts (Universität des Saarlandes)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23893&g_ta_cod=23893", 100.0, 0.0, 0.0),
(10539, "Public", "0142218K", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site d'Ifs", "14", "Calvados", "Normandie", "Normandie", "Ifs", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site d'Ifs - BUT - Information communication Parcours communication des organisations", "BUT - Service", "", 56, 1940, 1435, 1903, 0, 1187, 151, 311, 64, 12, 5, 393, 37, 11, 0, 0, 26, 486, 5, 0, 0, 222, 25, 184, 35, 0, 0, 80, 249, 53, 44, 49, 4, 9.0, 42.0, 46.0, 0, 7, 42, 23, 19, 0, 11, 0, 2, 12, 18, 10, 0.0, 23, 17, 0, 0, 0, 23, 23, 16.98, 79.25, 86.79, 83.0, 54.796875, 54.796875, 0, 16.69921875, 79.1875, 0.0, 4.7998046875, 28.59765625, 42.8984375, 23.8, 0.0, 54.796875, 54.796875, 45.1953125, 40.5, 0.0, 0.0, 114.0, 11.0, 0.0, 0.0, 56.0, "Tous les candidats sauf les Bac technologiques", 272.0, "Bacheliers technologiques toutes séries", 137, "", 0, "Liste d'appel propre à cette formation", 21.0, "2944", "BUT - Information communication Parcours communication des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2944&g_ta_cod=2944", 58.0, 42.0, 0.0),
(10540, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Sciences du langage", "Licence - Sciences humaines et sociales", "", 120, 479, 416, 334, 0, 217, 48, 15, 6, 2, 1, 100, 145, 36, 7, 4, 98, 333, 131, 0, 0, 217, 48, 15, 6, 2, 1, 99, 465, 85, 68, 44, 41, 42.0, 42.0, 75.0, 0, 11, 38, 34, 2, 2, 47, 1, 19, 16, 2, 0, 0.0, 16, 0, 2, 0, 0, 26, 26, 49.41, 49.41, 88.24, 80.0, 68.390625, 68.390625, 0, 28.8984375, 44.6953125, 2.599609375, 50.0, 42.09375, 5.2998046875, 0.0, 0.0, 89.5, 42.09375, 5.2998046875, 0.0, 5.2998046875, 5.2998046875, 249.0, 57.0, 6.0, 3.0, 188.0, "Tous les candidats", 333.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7647", "Licence - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7647&g_ta_cod=7647", 84.0, 12.0, 5.0),
(10541, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Double Licence mention Langues, littératures & civilisations étrangères et régionales (LLCER) [Anglais] - mention LLCER [Espagnol]", "Licence - Arts-lettres-langues", "Double Licence mention Langues, littératures & civilisations étrangères et régionales (LLCER) [Anglais] - mention LLCER [Espagnol]", 10, 372, 271, 99, 0, 66, 15, 2, 0, 4, 2, 27, 273, 70, 20, 24, 159, 60, 13, 0, 0, 48, 10, 0, 0, 3, 1, 9, 55, 10, 9, 4, 6, 0.0, 4.0, 7.0, 0, 5, 6, 6, 0, 0, 4, 0, 0, 3, 3, 0, 0.0, 6, 0, 0, 0, 0, 1, 3, 0.0, 40.0, 70.0, 90.0, 16.69921875, 50.0, 0, 83.296875, 60.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 39.0, 10.0, 1.0, 1.0, 15.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "24467", "Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Double Licence mention Langues, littératures & civilisations étrangères et régionales (LLCER) [Anglais] - mention LLCER [Espagnol]", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24467&g_ta_cod=24467", 90.0, 10.0, 0.0),
(10542, "Privé sous contrat d'association", "0641545G", "Institut Agricole Secondaire Jean Errecart", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Saint-Palais", "formation sélective", "BTS", "Institut Agricole Secondaire Jean Errecart - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 21, 146, 97, 89, 0, 21, 1, 26, 3, 15, 4, 27, 57, 25, 9, 6, 17, 72, 21, 0, 0, 20, 1, 26, 3, 15, 4, 11, 72, 15, 10, 7, 8, 2.0, 7.0, 13.0, 0, 2, 13, 7, 3, 3, 2, 0, 5, 6, 2, 0, 0.0, 3, 2, 3, 1, 1, 12, 12, 13.33, 46.67, 86.67, 66.6875, 92.296875, 92.296875, 7.69921875, 15.3984375, 86.6875, 0.0, 38.5, 46.1953125, 15.3984375, 0.0, 0.0, 53.796875, 23.09765625, 23.09765625, 15.3984375, 23.09765625, 23.09765625, 24.0, 2.0, 17.0, 4.0, 14.0, "Tous les candidats sauf les Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 81.0, "31205", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31205&g_ta_cod=31205", 60.0, 20.0, 20.0),
(10543, "Public", "0630020E", "Lycée Sidoine Apollinaire", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée Sidoine Apollinaire - BTS - Production - Bioqualité", "BTS - Production", "", 24, 341, 220, 331, 0, 46, 7, 127, 38, 20, 4, 138, 10, 0, 0, 3, 7, 192, 0, 0, 0, 41, 7, 91, 25, 13, 1, 47, 98, 25, 17, 25, 0, 4.0, 17.0, 23.0, 0, 3, 17, 8, 7, 2, 8, 0, 8, 6, 3, 0, 0.0, 3, 4, 2, 2, 1, 13, 13, 16.0, 68.0, 92.0, 68.0, 76.5, 76.5, 11.798828125, 17.59765625, 68.0, 0.0, 47.09375, 35.296875, 17.59765625, 0.0, 0.0, 47.09375, 17.59765625, 41.1953125, 23.5, 11.798828125, 11.798828125, 28.0, 7.0, 13.0, 1.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 41.0, "7552", "BTS - Production - Bioqualité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7552&g_ta_cod=7552", 44.0, 44.0, 12.0),
(10544, "Public", "0310038Y", "Lycée BELLEVUE", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée BELLEVUE - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 2920, 887, 2920, 0, 2527, 276, 7, 3, 1, 1, 385, 0, 0, 0, 0, 0, 1097, 0, 0, 1097, 1090, 104, 0, 0, 0, 0, 7, 383, 48, 10, 48, 0, 10.0, 34.0, 47.0, 0, 8, 46, 46, 0, 0, 2, 0, 0, 0, 9, 31, 6.0, 46, 0, 0, 4, 0, 35, 35, 20.83, 70.83, 97.92, 20.796875, 76.09375, 76.09375, 8.69921875, 17.3984375, 95.796875, 0.0, 0.0, 0.0, 19.59765625, 67.4, 13.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 378.0, 43.0, 0.0, 0.0, 5.0, "Tous les candidats", 527.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "4042", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4042&g_ta_cod=4042", 100.0, 0.0, 0.0),
(10545, "Public", "0311086M", "I.U.T de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BUT", "I.U.T de Toulouse - BUT - Information communication Parcours métiers du livre et du patrimoine", "BUT - Service", "", 13, 432, 335, 432, 0, 205, 39, 44, 10, 8, 3, 175, 0, 0, 0, 0, 0, 278, 0, 0, 0, 137, 23, 28, 6, 0, 0, 113, 57, 13, 10, 13, 0, 0.0, 9.0, 10.0, 0, 0, 5, 3, 2, 0, 8, 0, 0, 2, 2, 1, 0.0, 3, 2, 0, 0, 0, 2, 2, 0.0, 69.23, 76.92, 76.890625, 40.0, 40.0, 0, 0.0, 38.5, 0.0, 0.0, 40.0, 40.0, 20.0, 0.0, 60.0, 60.0, 40.0, 40.0, 0.0, 0.0, 11.0, 3.0, 0.0, 0.0, 28.0, "Tous les candidats sauf les Bac technologiques", 37.0, "Bacheliers technologiques toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 16.0, "18833", "BUT - Information communication Parcours métiers du livre et du patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18833&g_ta_cod=18833", 85.0, 15.0, 0.0),
(10546, "Public", "0590060V", "Lycée Alfred Kastler", "59", "Nord", "Hauts-de-France", "Lille", "Denain", "formation sélective", "BTS", "Lycée Alfred Kastler - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 105, 8, 105, 0, 1, 0, 14, 8, 72, 36, 18, 0, 0, 0, 0, 0, 105, 0, 0, 0, 1, 0, 14, 8, 72, 36, 18, 47, 15, 2, 15, 0, 3.0, 13.0, 14.0, 0, 6, 12, 0, 2, 10, 3, 0, 8, 2, 1, 1, 0.0, 0, 0, 4, 2, 0, 12, 12, 20.0, 86.67, 93.33, 13.298828125, 100.0, 100.0, 16.69921875, 50.0, 80.0, 0.0, 66.6875, 16.69921875, 8.298828125, 8.3, 0.0, 0.0, 0.0, 16.69921875, 0.0, 83.296875, 33.296875, 1.0, 0.0, 28.0, 14.0, 6.0, "Tous les candidats sauf les Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 41, "", 0, "Liste d'appel propre à cette formation", 56.0, "6731", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6731&g_ta_cod=6731", 0.0, 33.0, 67.0),
(10547, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Russe", "Licence - Arts-lettres-langues", "Russe", 30, 76, 48, 64, 0, 32, 14, 10, 4, 3, 2, 19, 12, 0, 2, 0, 10, 64, 11, 0, 0, 32, 14, 10, 4, 3, 2, 19, 67, 5, 1, 3, 2, 2.0, 3.0, 5.0, 0, 1, 3, 1, 2, 0, 2, 0, 2, 0, 0, 1, 0.0, 1, 0, 0, 0, 0, 2, 2, 40.0, 60.0, 100.0, 20.0, 66.6875, 66.6875, 0, 33.296875, 60.0, 0.0, 66.6875, 0.0, 0.0, 33.3, 0.0, 33.296875, 33.296875, 66.6875, 0.0, 0.0, 0.0, 27.0, 12.0, 3.0, 2.0, 25.0, "Tous les candidats", 63.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "6344", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6344&g_ta_cod=6344", 40.0, 40.0, 0.0),
(10548, "Public", "0810959C", "Lycée La Borde Basse", "81", "Tarn", "Occitanie", "Toulouse", "Castres", "formation sélective", "BTS", "Lycée La Borde Basse - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 24, 213, 14, 205, 0, 5, 2, 38, 7, 94, 26, 68, 8, 0, 5, 0, 3, 150, 2, 0, 0, 5, 2, 38, 7, 94, 26, 13, 113, 8, 0, 8, 0, 1.0, 7.0, 8.0, 0, 3, 7, 0, 2, 5, 1, 0, 3, 3, 0, 1, 0.0, 0, 0, 4, 1, 0, 6, 6, 12.5, 87.5, 100.0, 0.0, 85.6875, 85.6875, 14.298828125, 42.8984375, 87.5, 0.0, 42.8984375, 42.8984375, 0.0, 14.3, 0.0, 0.0, 0.0, 28.59765625, 0.0, 71.390625, 57.09375, 3.0, 1.0, 75.0, 19.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 98, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 73.0, "10283", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10283&g_ta_cod=10283", 13.0, 25.0, 63.0),
(10549, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 100, 413, 351, 377, 0, 161, 39, 75, 21, 23, 9, 118, 36, 4, 4, 4, 24, 376, 23, 0, 0, 161, 39, 75, 21, 23, 9, 117, 356, 97, 86, 77, 16, 17.0, 75.0, 81.0, 0, 19, 61, 23, 24, 14, 36, 0, 24, 22, 14, 1, 0.0, 17, 12, 8, 0, 0, 54, 54, 17.53, 77.32, 83.51, 88.6875, 88.5, 88.5, 0, 31.09765625, 62.8984375, 0.0, 39.296875, 36.09375, 23.0, 1.6, 0.0, 37.6953125, 27.8984375, 39.296875, 19.69921875, 23.0, 13.099609375, 127.0, 32.0, 30.0, 14.0, 119.0, "Tous les candidats", 373.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "13889", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13889&g_ta_cod=13889", 43.0, 38.0, 19.0),
(10550, "Privé sous contrat d'association", "0142084P", "Lycée Notre Dame De Fidélité", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Notre Dame De Fidélité - BTS - Services - Economie sociale familiale", "BTS - Services", "", 25, 333, 304, 333, 0, 38, 8, 69, 14, 114, 30, 112, 0, 0, 0, 0, 0, 241, 0, 0, 0, 29, 4, 50, 11, 82, 18, 80, 89, 27, 25, 27, 0, 6.0, 16.0, 22.0, 0, 2, 17, 4, 5, 8, 10, 0, 6, 7, 3, 1, 0.0, 2, 1, 8, 3, 2, 17, 17, 22.22, 59.26, 81.48, 92.59375, 100.0, 100.0, 17.59765625, 11.798828125, 63.0, 0.0, 35.296875, 41.1953125, 17.59765625, 5.9, 0.0, 23.5, 11.798828125, 29.3984375, 5.8994140625, 47.09375, 47.09375, 16.0, 3.0, 29.0, 6.0, 31.0, "Tous les candidats sauf les Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 52, "", 0, "Liste d'appel propre à cette formation", 34.0, "2919", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2919&g_ta_cod=2919", 26.0, 30.0, 44.0),
(10551, "Public", "0930117X", "Lycée Le Corbusier", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "BTS", "Lycée Le Corbusier - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 35, 546, 165, 546, 0, 10, 3, 199, 96, 178, 96, 159, 0, 0, 0, 0, 0, 532, 0, 0, 0, 10, 3, 198, 95, 178, 96, 146, 122, 35, 9, 35, 0, 10.0, 26.0, 33.0, 0, 29, 34, 1, 15, 18, 1, 0, 19, 13, 2, 0, 0.0, 1, 3, 11, 8, 3, 31, 34, 28.57, 74.29, 94.29, 25.69921875, 91.1875, 100.0, 23.5, 85.296875, 97.09375, 0.0, 55.8984375, 38.1953125, 5.8994140625, 0.0, 0.0, 2.89990234375, 2.89990234375, 44.09375, 8.798828125, 52.8984375, 32.3984375, 9.0, 3.0, 77.0, 56.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 111, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 27.0, "11165", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11165&g_ta_cod=11165", 3.0, 46.0, 51.0),
(10552, "Privé sous contrat d'association", "0352446U", "Lycée professionnel Sainte Thérèse", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "La Guerche-de-Bretagne", "formation sélective", "Autre formation", "Lycée professionnel Sainte Thérèse - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 14, 35, 29, 34, 0, 2, 0, 2, 1, 26, 6, 4, 1, 1, 0, 0, 0, 28, 1, 0, 0, 2, 0, 2, 1, 21, 3, 3, 27, 6, 4, 5, 1, 3.0, 5.0, 5.0, 0, 0, 6, 2, 0, 4, 0, 0, 5, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 6, 6, 50.0, 83.33, 83.33, 66.6875, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 33.296875, 0.0, 0.0, 0.0, 66.6875, 16.69921875, 3.0, 0.0, 19.0, 3.0, 3.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "18144", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18144&g_ta_cod=18144", 33.0, 0.0, 67.0),
(10553, "Public", "9740002J", "Lycée Roland Garros", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation sélective", "BTS", "Lycée Roland Garros - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 301, 18, 281, 0, 51, 25, 98, 44, 79, 51, 53, 20, 0, 11, 0, 9, 139, 0, 0, 0, 42, 19, 36, 14, 44, 30, 17, 60, 15, 1, 14, 0, 3.0, 13.0, 13.0, 0, 10, 14, 4, 4, 6, 1, 0, 2, 8, 4, 0, 0.0, 3, 3, 6, 1, 0, 13, 13, 20.0, 86.67, 86.67, 6.69921875, 92.890625, 92.890625, 7.099609375, 71.390625, 93.296875, 0.0, 14.298828125, 57.09375, 28.59765625, 0.0, 0.0, 28.59765625, 21.3984375, 28.59765625, 21.3984375, 42.8984375, 42.8984375, 9.0, 6.0, 20.0, 13.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 31.0, "11886", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11886&g_ta_cod=11886", 27.0, 33.0, 40.0),
(10554, "Public", "0620109G", "Lycée Auguste Behal", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "BTS", "Lycée Auguste Behal - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 294, 28, 293, 0, 6, 2, 43, 18, 89, 42, 155, 1, 0, 0, 1, 0, 293, 1, 0, 0, 6, 2, 43, 18, 89, 42, 155, 102, 21, 0, 19, 1, 3.0, 17.0, 18.0, 0, 7, 17, 0, 5, 12, 4, 0, 11, 1, 4, 1, 0.0, 0, 0, 6, 3, 0, 17, 17, 14.29, 80.95, 85.71, 0.0, 100.0, 100.0, 17.59765625, 41.1953125, 81.0, 0.0, 64.6875, 5.8994140625, 23.5, 5.9, 0.0, 0.0, 0.0, 29.3984375, 0.0, 70.59375, 35.296875, 3.0, 2.0, 61.0, 27.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 49.0, "7377", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7377&g_ta_cod=7377", 0.0, 33.0, 67.0),
(10555, "Public", "0693565A", "I.U.T Jean Moulin de l'Université Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "BUT", "I.U.T Jean Moulin de l'Université Lyon 3 - BUT - Information communication Parcours information numérique dans les organisations", "BUT - Service", "", 28, 853, 563, 853, 0, 462, 84, 189, 60, 5, 3, 197, 0, 0, 0, 0, 0, 204, 0, 0, 0, 95, 8, 80, 18, 2, 1, 27, 117, 27, 17, 27, 0, 4.0, 23.0, 24.0, 0, 7, 23, 14, 9, 0, 4, 0, 1, 9, 13, 0, 0.0, 13, 9, 0, 0, 0, 12, 12, 14.81, 85.19, 88.89, 63.0, 52.1953125, 52.1953125, 0, 30.3984375, 85.1875, 0.0, 4.2998046875, 39.09375, 56.5, 0.0, 0.0, 60.8984375, 56.5, 39.09375, 39.09375, 0.0, 0.0, 63.0, 8.0, 0.0, 0.0, 13.0, "Tous les candidats sauf les Bac technologiques", 88.0, "Bacheliers technologiques toutes séries", 63, "", 0, "Liste d'appel propre à cette formation", 18.0, "8580", "BUT - Information communication Parcours information numérique dans les organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8580&g_ta_cod=8580", 63.0, 37.0, 0.0),
(10556, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation non sélective", "Licence", "Université de Cergy-Pontoise - CY SUP / Lycée Alfred Kastler Cergy-Pontoise - Licence - Lettres - Parcours Préparation au Professorat des Écoles", "Licence - Arts-lettres-langues", "Préparation au Professorat des Écoles", 30, 242, 200, 242, 0, 148, 34, 27, 4, 5, 1, 62, 0, 0, 0, 0, 0, 242, 0, 0, 0, 148, 34, 27, 4, 5, 1, 62, 99, 30, 26, 30, 0, 5.0, 26.0, 28.0, 0, 3, 23, 18, 3, 2, 7, 0, 5, 16, 2, 0, 0.0, 14, 2, 2, 0, 0, 19, 21, 16.67, 86.67, 93.33, 86.6875, 82.59375, 91.296875, 0, 13.0, 76.6875, 0.0, 21.69921875, 69.59375, 8.69921875, 0.0, 0.0, 78.296875, 60.8984375, 13.0, 8.69921875, 8.69921875, 8.69921875, 62.0, 18.0, 5.0, 1.0, 17.0, "Tous les candidats", 113.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "31807", "Licence - Lettres - Parcours Préparation au Professorat des Écoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31807&g_ta_cod=31807", 77.0, 13.0, 10.0),
(10557, "Privé sous contrat d'association", "0690543R", "Lycée Saint Thomas D'Aquin Veritas", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Oullins", "formation sélective", "BTS", "Lycée Saint Thomas D'Aquin Veritas - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 28, 188, 87, 157, 0, 38, 10, 46, 15, 24, 11, 49, 31, 8, 7, 1, 15, 134, 13, 0, 0, 38, 10, 45, 15, 22, 10, 29, 114, 19, 11, 15, 3, 6.0, 14.0, 16.0, 0, 4, 12, 3, 6, 3, 7, 0, 7, 2, 3, 0, 0.0, 1, 2, 2, 1, 1, 10, 10, 31.58, 73.68, 84.21, 57.8984375, 83.296875, 83.296875, 8.298828125, 33.296875, 63.1953125, 0.0, 58.296875, 16.69921875, 25.0, 0.0, 0.0, 25.0, 8.298828125, 50.0, 16.69921875, 25.0, 16.69921875, 34.0, 10.0, 16.0, 7.0, 29.0, "Tous les candidats sauf les Bac professionnels", 109.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 84.0, "8301", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8301&g_ta_cod=8301", 42.0, 32.0, 26.0),
(10558, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Portugais", "Licence - Arts-lettres-langues", "Portugais", 40, 67, 43, 44, 0, 20, 8, 5, 3, 7, 2, 12, 23, 4, 2, 1, 16, 44, 22, 0, 0, 20, 8, 5, 3, 7, 2, 12, 67, 12, 11, 6, 6, 6.0, 6.0, 11.0, 0, 1, 5, 3, 1, 1, 7, 0, 3, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 3, 3, 50.0, 50.0, 91.67, 91.6875, 60.0, 60.0, 0, 20.0, 41.6953125, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 60.0, 40.0, 20.0, 0.0, 20.0, 0.0, 24.0, 9.0, 8.0, 3.0, 28.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7081", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7081&g_ta_cod=7081", 67.0, 8.0, 25.0),
(10559, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Sciences du langage", "Licence - Sciences humaines et sociales", "", 180, 794, 669, 633, 0, 360, 94, 18, 4, 8, 4, 247, 161, 20, 11, 0, 130, 633, 155, 0, 0, 360, 94, 18, 4, 8, 4, 247, 788, 180, 149, 106, 74, 105.0, 105.0, 152.0, 0, 14, 66, 53, 11, 2, 114, 0, 24, 25, 15, 2, 0.0, 37, 5, 0, 0, 0, 41, 41, 58.33, 58.33, 84.44, 82.796875, 62.09375, 62.09375, 0, 21.19921875, 36.6953125, 0.0, 36.3984375, 37.8984375, 22.69921875, 3.0, 0.0, 80.296875, 56.09375, 16.69921875, 7.599609375, 3.0, 0.0, 379.0, 96.0, 8.0, 4.0, 372.0, "Tous les candidats", 633.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4173", "Licence - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4173&g_ta_cod=4173", 76.0, 14.0, 8.0),
(10560, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER : ESPAGNOL", "Licence - Arts-lettres-langues", "LLCER : ESPAGNOL", 155, 523, 421, 371, 0, 238, 59, 21, 9, 7, 0, 105, 152, 43, 15, 9, 85, 369, 146, 0, 0, 238, 59, 21, 9, 7, 0, 103, 482, 152, 116, 83, 69, 21.0, 83.0, 130.0, 0, 21, 89, 65, 16, 8, 63, 0, 45, 34, 8, 2, 0.0, 32, 7, 5, 0, 0, 15, 75, 13.82, 54.61, 85.53, 76.296875, 16.8984375, 84.296875, 0, 23.59765625, 58.59375, 0.0, 50.59375, 38.1953125, 9.0, 2.2, 0.0, 73.0, 36.0, 18.0, 7.8994140625, 9.0, 5.599609375, 268.0, 63.0, 13.0, 3.0, 169.0, "Tous les candidats", 454.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "9280", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER : ESPAGNOL", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28438&g_ta_cod=9280", 73.0, 14.0, 13.0),
(10561, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Administration économique et sociale - Parcours Classique", "Licence - Droit-économie-gestion", "Classique", 170, 1126, 636, 896, 0, 565, 136, 116, 50, 32, 23, 183, 230, 41, 32, 12, 145, 894, 166, 0, 0, 565, 136, 116, 50, 32, 23, 181, 853, 138, 75, 85, 53, 12.0, 83.0, 109.0, 0, 27, 88, 60, 22, 6, 50, 0, 47, 26, 13, 2, 0.0, 35, 4, 2, 0, 0, 52, 52, 8.7, 60.14, 78.99, 54.296875, 59.09375, 59.09375, 0, 30.69921875, 63.796875, 0.0, 53.3984375, 29.5, 14.798828125, 2.3, 0.0, 68.1875, 39.796875, 25.0, 4.5, 6.7998046875, 2.2998046875, 500.0, 113.0, 28.0, 23.0, 236.0, "Tous les candidats", 894.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10717", "Licence - Administration économique et sociale - Parcours Classique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10717&g_ta_cod=10717", 64.0, 25.0, 10.0),
(10562, "Public", "0133686L", "I.U.T d'Aix-Marseille - Site d'Arles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Arles", "formation sélective", "BUT", "I.U.T d'Aix-Marseille - Site d'Arles - BUT - Métiers du multimédia et de l'internet Parcours : Création numérique", "BUT - Production", "Création numérique", 56, 1471, 462, 1471, 0, 688, 124, 388, 119, 28, 13, 367, 0, 0, 0, 0, 0, 989, 0, 0, 0, 530, 92, 283, 77, 21, 9, 155, 352, 54, 18, 54, 0, 9.0, 39.0, 44.0, 0, 8, 47, 23, 24, 0, 7, 0, 8, 26, 11, 2, 0.0, 20, 19, 0, 0, 0, 27, 27, 16.67, 72.22, 81.48, 33.296875, 57.3984375, 57.3984375, 0, 17.0, 87.0, 0.0, 17.0, 55.296875, 23.3984375, 4.3, 0.0, 48.8984375, 42.59375, 51.09375, 40.3984375, 0.0, 0.0, 166.0, 35.0, 0.0, 0.0, 50.0, "Tous les candidats sauf les Bac technologiques", 251.0, "Bacheliers technologiques toutes séries", 214, "", 0, "Liste d'appel propre à cette formation", 32.0, "2816", "BUT - Métiers du multimédia et de l'internet Parcours : Création numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2816&g_ta_cod=2816", 50.0, 50.0, 0.0),
(10563, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Portail Chimie", "Licence - Sciences - technologies - santé", "", 54, 797, 496, 761, 0, 443, 81, 37, 10, 0, 0, 281, 36, 11, 1, 0, 24, 761, 35, 0, 0, 443, 81, 37, 10, 0, 0, 281, 444, 55, 26, 38, 17, 0.0, 28.0, 41.0, 0, 8, 32, 25, 7, 0, 23, 0, 9, 14, 8, 1, 0.0, 19, 4, 0, 0, 0, 29, 29, 0.0, 50.91, 74.55, 47.296875, 90.59375, 90.59375, 0, 25.0, 58.1953125, 0.0, 28.09765625, 43.796875, 25.0, 3.1, 0.0, 78.09375, 59.3984375, 21.8984375, 12.5, 0.0, 0.0, 212.0, 47.0, 0.0, 0.0, 216.0, "Tous les candidats", 955.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "10202", "Licence - Portail Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28628&g_ta_cod=10202", 84.0, 15.0, 2.0),
(10564, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Droit", "Licence - Droit-économie-gestion", "", 335, 2352, 1704, 2339, 0, 1833, 330, 181, 67, 22, 10, 303, 13, 3, 1, 0, 9, 2328, 13, 0, 0, 1833, 330, 181, 67, 22, 10, 292, 1200, 332, 236, 324, 7, 60.0, 293.0, 309.0, 0, 57, 290, 263, 22, 5, 42, 2, 68, 116, 77, 27, 0.0, 203, 13, 4, 0, 0, 283, 283, 18.07, 88.25, 93.07, 71.09375, 97.59375, 97.59375, 0, 19.69921875, 87.296875, 0.699951171875, 23.3984375, 40.0, 26.59765625, 9.3, 0.0, 90.6875, 70.0, 7.599609375, 4.5, 1.699951171875, 1.39990234375, 968.0, 185.0, 8.0, 6.0, 172.0, "Tous les candidats", 1391.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "24114", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24114&g_ta_cod=24114", 89.0, 9.0, 2.0),
(10565, "Privé sous contrat d'association", "0420979L", "Lycée Tezenas du Montcel", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Tezenas du Montcel - BTS - Services - Support à l'action managériale", "BTS - Services", "", 30, 179, 121, 169, 0, 10, 2, 61, 17, 55, 23, 43, 10, 0, 0, 0, 10, 137, 5, 0, 0, 10, 2, 60, 16, 47, 18, 20, 122, 29, 22, 25, 1, 5.0, 21.0, 24.0, 0, 5, 20, 2, 8, 10, 9, 0, 9, 9, 1, 1, 0.0, 1, 3, 7, 4, 3, 18, 18, 17.24, 72.41, 82.76, 75.890625, 90.0, 90.0, 20, 25.0, 69.0, 0.0, 45.0, 45.0, 5.0, 5.0, 0.0, 10.0, 5.0, 40.0, 15.0, 50.0, 35.0, 9.0, 2.0, 39.0, 14.0, 20.0, "Tous les candidats sauf les Bac professionnels", 81.0, "Bacheliers professionnels toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 76.0, "5316", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5316&g_ta_cod=5316", 17.0, 34.0, 48.0),
(10566, "Public", "0831484M", "Université de Toulon - Antenne de Draguignan", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Draguignan", "formation non sélective", "Licence_Las", "Université de Toulon - Antenne de Draguignan - Licence - Portail Droit - Licence de Droit - Campus Draguignan", "Licence - Droit-économie-gestion", "Licence de Droit - Campus Draguignan", 5, 137, 100, 137, 0, 86, 17, 14, 5, 5, 2, 32, 0, 0, 0, 0, 0, 136, 0, 0, 0, 86, 17, 14, 5, 5, 2, 31, 45, 4, 3, 4, 0, 0.0, 2.0, 3.0, 0, 0, 3, 2, 0, 1, 1, 0, 2, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 3, 3, 0.0, 50.0, 75.0, 75.0, 100.0, 100.0, 0, 0.0, 75.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 33.296875, 0.0, 27.0, 3.0, 3.0, 1.0, 12.0, "Tous les candidats", 558.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 65.0, "31837", "Licence - Portail Droit - Licence de Droit - Campus Draguignan", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31836&g_ta_cod=31837", 50.0, 25.0, 25.0),
(10567, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 192, 831, 328, 732, 0, 507, 98, 71, 19, 2, 0, 152, 99, 26, 8, 4, 61, 726, 69, 0, 0, 507, 98, 71, 19, 2, 0, 146, 734, 156, 55, 125, 28, 85.0, 124.0, 144.0, 0, 20, 110, 92, 15, 3, 46, 5, 34, 40, 28, 3, 0.0, 65, 5, 1, 0, 0, 92, 92, 54.49, 79.49, 92.31, 35.296875, 83.59375, 83.59375, 0, 18.19921875, 70.5, 4.5, 30.8984375, 36.3984375, 25.5, 2.7, 0.0, 83.59375, 59.09375, 13.599609375, 4.5, 2.69970703125, 0.89990234375, 503.0, 96.0, 5.0, 3.0, 159.0, "Tous les candidats", 725.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "5012", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5012&g_ta_cod=5012", 82.0, 13.0, 3.0),
(10568, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "PASS", "Université de Limoges - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 12, 1817, 1089, 1817, 0, 1456, 214, 29, 5, 5, 2, 327, 0, 0, 0, 0, 0, 1787, 0, 0, 0, 1456, 214, 29, 5, 5, 2, 297, 85, 12, 9, 12, 0, 0.0, 7.0, 12.0, 0, 4, 12, 12, 0, 0, 0, 0, 0, 1, 5, 6, 0.0, 12, 0, 0, 0, 0, 11, 11, 0.0, 58.33, 100.0, 75.0, 91.6875, 91.6875, 0, 33.296875, 100.0, 0.0, 0.0, 8.298828125, 41.6953125, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 85.0, 10.0, 0.0, 0.0, 0.0, "Tous les candidats", 465.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 11.0, "27201", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26973&g_ta_cod=27201", 100.0, 0.0, 0.0),
(10569, "Public", "0310152X", "INSA Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Ecole d'Ingénieur", "INSA / Sciences Po (Rennes - Toulouse) - Formation d'ingénieur Bac + 5 - Double diplôme", "Formations  des écoles d'ingénieurs", "Double diplôme", 24, 1076, 477, 1076, 0, 926, 63, 0, 0, 0, 0, 150, 0, 0, 0, 0, 0, 862, 0, 0, 0, 755, 41, 0, 0, 0, 0, 107, 104, 27, 19, 27, 0, 2.0, 19.0, 24.0, 0, 2, 26, 26, 0, 0, 1, 0, 0, 0, 0, 13, 13.0, 26, 0, 0, 0, 0, 9, 9, 7.41, 70.37, 88.89, 70.390625, 34.59375, 34.59375, 0, 7.69921875, 96.296875, 0.0, 0.0, 0.0, 0.0, 50.0, 50.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 98.0, 7.0, 0.0, 0.0, 6.0, "Tous les candidats", 139.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 12.0, "29190", "Formation d'ingénieur Bac + 5 - Double diplôme", "INSA / Sciences Po (Rennes - Toulouse)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29187&g_ta_cod=29190", 100.0, 0.0, 0.0),
(10570, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "Licence", "Université de Bretagne Sud - Site de Lorient - Licence - Sciences pour l'ingénieur - Parcours SCIENCES ÉCOLOGIE ET SOCIÉTÉ", "Licence - Sciences humaines et sociales / Sciences - technologies - santé", "SCIENCES ÉCOLOGIE ET SOCIÉTÉ", 75, 235, 113, 185, 0, 116, 10, 14, 3, 1, 0, 54, 50, 15, 1, 1, 33, 143, 18, 0, 0, 97, 9, 8, 3, 0, 0, 38, 157, 26, 14, 22, 4, 16.0, 22.0, 25.0, 0, 2, 19, 18, 1, 0, 7, 0, 2, 7, 9, 0, 1.0, 16, 1, 0, 0, 0, 10, 10, 61.54, 84.62, 96.15, 53.796875, 52.59375, 52.59375, 0, 10.5, 73.09375, 0.0, 10.5, 36.796875, 47.3984375, 0.0, 5.3, 94.6875, 84.1875, 5.2998046875, 5.2998046875, 0.0, 0.0, 103.0, 9.0, 0.0, 0.0, 47.0, "Tous les candidats", 143.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "12388", "Licence - Sciences pour l'ingénieur - Parcours SCIENCES ÉCOLOGIE ET SOCIÉTÉ", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12388&g_ta_cod=12388", 85.0, 15.0, 0.0),
(10571, "Privé sous contrat d'association", "0542161F", "Lycée Pierre De Coubertin", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Pierre De Coubertin - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 24, 116, 11, 78, 0, 2, 1, 10, 0, 42, 9, 24, 38, 2, 8, 11, 17, 51, 12, 0, 0, 2, 1, 6, 0, 34, 7, 9, 58, 20, 2, 13, 7, 7.0, 12.0, 16.0, 0, 4, 11, 0, 0, 11, 9, 0, 3, 6, 2, 0, 0.0, 0, 0, 8, 0, 0, 9, 9, 35.0, 60.0, 80.0, 10.0, 81.796875, 81.796875, 0, 36.3984375, 55.0, 0.0, 27.296875, 54.5, 18.19921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 72.6875, 3.0, 2.0, 31.0, 8.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 65.0, "6366", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6366&g_ta_cod=6366", 15.0, 15.0, 70.0),
(10572, "Public", "0381629P", "CNED", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "CNED - BTS - Production - Electrotechnique", "BTS - Production", "", 1000, 379, 43, 326, 0, 27, 11, 28, 9, 61, 26, 210, 53, 4, 6, 16, 27, 326, 50, 0, 0, 27, 11, 28, 9, 61, 26, 210, 376, 56, 6, 40, 16, 40.0, 40.0, 49.0, 0, 3, 9, 2, 2, 5, 47, 0, 5, 3, 1, 0, 0.0, 2, 0, 2, 0, 0, 2, 2, 71.43, 71.43, 87.5, 10.69921875, 22.19921875, 22.19921875, 0, 33.296875, 16.09765625, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 22.19921875, 22.19921875, 22.19921875, 0.0, 55.59375, 22.19921875, 31.0, 12.0, 76.0, 35.0, 235.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 215.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 100.0, "20776", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20776&g_ta_cod=20776", 68.0, 16.0, 16.0),
(10573, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence_Las", "Université Toulouse 3 Paul Sabatier - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 36, 4392, 3253, 4392, 0, 2700, 525, 217, 67, 11, 3, 1464, 0, 0, 0, 0, 0, 4392, 0, 0, 0, 2700, 525, 217, 67, 11, 3, 1464, 211, 34, 27, 34, 0, 1.0, 24.0, 31.0, 0, 4, 30, 30, 0, 0, 4, 0, 0, 3, 20, 6, 1.0, 30, 0, 0, 0, 0, 28, 28, 2.94, 70.59, 91.18, 79.390625, 93.296875, 93.296875, 0, 13.298828125, 88.1875, 0.0, 0.0, 10.0, 66.6875, 20.0, 3.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 147.0, 25.0, 0.0, 0.0, 64.0, "Tous les candidats", 539.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 8.0, "26914", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26913&g_ta_cod=26914", 100.0, 0.0, 0.0),
(10574, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "PASS", "Université Toulouse 3 Paul Sabatier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 36, 2355, 1857, 2355, 0, 1746, 273, 59, 21, 11, 5, 539, 0, 0, 0, 0, 0, 2355, 0, 0, 0, 1746, 273, 59, 21, 11, 5, 539, 398, 35, 33, 35, 0, 0.0, 15.0, 31.0, 0, 4, 35, 35, 0, 0, 0, 0, 0, 12, 17, 6, 0.0, 35, 0, 0, 0, 0, 31, 31, 0.0, 42.86, 88.57, 94.296875, 88.59375, 88.59375, 0, 11.3984375, 100.0, 0.0, 0.0, 34.296875, 48.59375, 17.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 388.0, 59.0, 0.0, 0.0, 10.0, "Tous les candidats", 2603.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "29850", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29840&g_ta_cod=29850", 100.0, 0.0, 0.0),
(10575, "Privé enseignement supérieur", "0721704L", "CESI Campus du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 10, 797, 114, 797, 0, 599, 61, 60, 12, 0, 0, 138, 0, 0, 0, 0, 0, 603, 0, 0, 0, 480, 36, 49, 5, 0, 0, 74, 48, 10, 1, 10, 0, 1.0, 10.0, 10.0, 0, 0, 9, 9, 0, 0, 1, 0, 0, 6, 3, 0, 0.0, 9, 0, 0, 0, 0, 5, 5, 10.0, 100.0, 100.0, 10.0, 55.59375, 55.59375, 0, 0.0, 90.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 38.0, 2.0, 0.0, 0.0, 8.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "25178", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25178", 100.0, 0.0, 0.0),
(10576, "Public", "0341884N", "I.U.T de Béziers", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation sélective", "BUT", "I.U.T de Béziers - BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience-Création numérique-Développement web et dispositifs interactifs", "BUT - Production", "Stratégie de communication numérique et design d'expérience-Création numérique-Développement web et dispositifs interactifs", 61, 1453, 473, 1441, 0, 647, 130, 405, 125, 23, 11, 366, 12, 1, 2, 0, 9, 763, 1, 0, 0, 402, 70, 226, 60, 5, 1, 130, 286, 60, 28, 59, 1, 8.0, 44.0, 51.0, 0, 13, 42, 23, 19, 0, 18, 0, 4, 22, 13, 2, 1.0, 20, 18, 0, 0, 0, 21, 21, 13.33, 73.33, 85.0, 46.6953125, 50.0, 50.0, 0, 31.0, 70.0, 0.0, 9.5, 52.3984375, 31.0, 4.8, 2.4, 54.796875, 47.59375, 45.1953125, 42.8984375, 0.0, 0.0, 121.0, 29.0, 1.0, 0.0, 65.0, "Tous les candidats sauf les Bac technologiques", 204.0, "Bacheliers technologiques toutes séries", 233, "", 0, "Liste d'appel propre à cette formation", 30.0, "4606", "BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience-Création numérique-Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4606&g_ta_cod=4606", 55.0, 43.0, 0.0),
(10577, "Privé sous contrat d'association", "0631068U", "Lycée Godefroy De Bouillon", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "CPGE", "Lycée Godefroy De Bouillon - CPGE - MPSI", "Classe préparatoire scientifique", "", 32, 356, 90, 335, 176, 231, 33, 1, 0, 0, 0, 103, 21, 9, 0, 0, 12, 250, 4, 132, 248, 221, 31, 0, 0, 0, 0, 29, 217, 31, 6, 30, 1, 8.0, 21.0, 30.0, 9, 2, 26, 26, 0, 0, 5, 0, 2, 11, 12, 1, 0.0, 24, 0, 0, 4, 2, 14, 14, 25.81, 67.74, 96.77, 19.3984375, 53.796875, 53.796875, 15.3984375, 7.69921875, 83.890625, 0.0, 7.69921875, 42.296875, 46.1953125, 3.8, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 190.0, 23.0, 0.0, 0.0, 27.0, "Tous les candidats", 250.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "7603", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7603&g_ta_cod=7603", 100.0, 0.0, 0.0),
(10578, "Public", "0070021K", "Lycée Vincent d'Indy", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Privas", "formation sélective", "BTS", "Lycée Vincent d'Indy - BTS - Services - Tourisme", "BTS - Services", "", 32, 411, 284, 377, 0, 77, 21, 47, 17, 69, 31, 184, 34, 0, 4, 10, 20, 191, 19, 0, 0, 71, 19, 33, 12, 46, 24, 41, 151, 32, 23, 27, 5, 5.0, 24.0, 27.0, 0, 10, 22, 4, 9, 9, 10, 0, 10, 5, 6, 1, 0.0, 3, 4, 5, 2, 1, 18, 18, 15.63, 75.0, 84.38, 71.890625, 81.796875, 81.796875, 9.099609375, 45.5, 68.796875, 0.0, 45.5, 22.69921875, 27.296875, 4.5, 0.0, 18.19921875, 13.599609375, 40.8984375, 18.19921875, 40.8984375, 22.69921875, 40.0, 9.0, 38.0, 21.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 93.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 49.0, "14164", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14164&g_ta_cod=14164", 22.0, 41.0, 38.0),
(10579, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, littératures & civilisations étrangères et régionales Breton et Celtique", "Licence - Arts-lettres-langues", "Langues, littératures & civilisations étrangères et régionales Breton et Celtique", 80, 84, 41, 70, 0, 42, 8, 4, 1, 1, 0, 23, 14, 3, 1, 1, 9, 70, 14, 0, 0, 42, 8, 4, 1, 1, 0, 23, 84, 16, 8, 13, 3, 13.0, 13.0, 15.0, 0, 2, 8, 7, 1, 0, 8, 0, 2, 3, 1, 2, 0.0, 6, 0, 0, 0, 0, 6, 6, 81.25, 81.25, 93.75, 50.0, 75.0, 75.0, 0, 25.0, 50.0, 0.0, 25.0, 37.5, 12.5, 25.0, 0.0, 87.5, 75.0, 12.5, 0.0, 0.0, 0.0, 45.0, 10.0, 2.0, 0.0, 32.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4740", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, littératures & civilisations étrangères et régionales Breton et Celtique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4740&g_ta_cod=4740", 69.0, 13.0, 13.0),
(10580, "Privé sous contrat d'association", "0941407U", "Lycée professionnel CE3P", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Ivry-sur-Seine", "formation sélective", "BTS", "Lycée professionnel CE3P - BTS - Services - Photographie", "BTS - Services", "", 35, 504, 280, 504, 0, 194, 29, 65, 9, 71, 19, 174, 0, 0, 0, 0, 0, 269, 0, 0, 0, 125, 17, 36, 6, 35, 4, 73, 141, 32, 19, 32, 0, 7.0, 20.0, 21.0, 0, 2, 22, 13, 4, 5, 10, 0, 9, 7, 4, 2, 0.0, 7, 2, 4, 0, 0, 4, 13, 21.88, 62.5, 65.63, 59.3984375, 18.19921875, 59.09375, 0, 9.099609375, 68.796875, 0.0, 40.8984375, 31.796875, 18.19921875, 9.1, 0.0, 59.09375, 31.796875, 18.19921875, 9.099609375, 22.69921875, 18.19921875, 69.0, 12.0, 22.0, 2.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 105.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 31.0, "11524", "BTS - Services - Photographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11524&g_ta_cod=11524", 59.0, 19.0, 22.0),
(10581, "Public", "0560016N", "Lycée Broceliande", "56", "Morbihan", "Bretagne", "Rennes", "Guer", "formation sélective", "BTS", "Lycée Broceliande - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 35, 831, 250, 825, 0, 47, 12, 83, 17, 126, 41, 569, 6, 0, 2, 0, 4, 230, 0, 0, 0, 43, 10, 68, 11, 82, 20, 37, 133, 25, 3, 25, 0, 11.0, 22.0, 25.0, 0, 6, 24, 0, 3, 21, 1, 0, 5, 7, 7, 5, 0.0, 0, 1, 18, 12, 2, 19, 19, 44.0, 88.0, 100.0, 12.0, 79.1875, 79.1875, 50, 25.0, 96.0, 0.0, 20.796875, 29.19921875, 29.19921875, 20.8, 0.0, 0.0, 0.0, 12.5, 4.19921875, 87.5, 75.0, 13.0, 5.0, 67.0, 16.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 25.0, "6417", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6417&g_ta_cod=6417", 4.0, 12.0, 84.0),
(10582, "Public", "0755188G", "Sorbonne Université - Médecine", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "Regroupement Ile de France - Certificat de capacité d'Orthoptiste", "D.E secteur sanitaire", "", 100, 956, 819, 956, 0, 253, 78, 42, 16, 7, 6, 654, 0, 0, 0, 0, 0, 422, 0, 0, 0, 100, 16, 14, 4, 1, 0, 307, 223, 100, 92, 100, 0, 43.0, 85.0, 90.0, 0, 6, 21, 14, 7, 0, 79, 0, 3, 8, 8, 2, 0.0, 13, 5, 0, 0, 0, 3, 11, 43.0, 85.0, 90.0, 92.0, 14.298828125, 52.3984375, 0, 28.59765625, 21.0, 0.0, 14.298828125, 38.09375, 38.09375, 9.5, 0.0, 66.6875, 61.8984375, 33.296875, 23.796875, 0.0, 0.0, 49.0, 16.0, 0.0, 0.0, 165.0, "Tous les candidats", 225.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 23.0, "28068", "Certificat de capacité d'Orthoptiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28068&g_ta_cod=28068", 89.0, 9.0, 2.0),
(10583, "Public", "0311092U", "Lycée professionnel des Métiers Eugene MONTEL", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Colomiers", "formation sélective", "Autre formation", "Lycée professionnel des Métiers Eugene MONTEL - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 12, 78, 1, 78, 0, 2, 0, 1, 1, 63, 15, 12, 0, 0, 0, 0, 0, 56, 0, 0, 0, 0, 0, 0, 0, 52, 12, 4, 31, 11, 0, 11, 0, 4.0, 11.0, 11.0, 0, 3, 10, 0, 0, 10, 1, 0, 3, 4, 3, 0, 0.0, 0, 0, 7, 0, 0, 10, 10, 36.36, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 30.0, 90.890625, 0.0, 30.0, 40.0, 30.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 70.0, 0.0, 0.0, 29.0, 8.0, 2.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "22048", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22048&g_ta_cod=22048", 0.0, 0.0, 100.0),
(10584, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 250, 1205, 850, 1158, 0, 878, 195, 53, 18, 24, 8, 203, 47, 6, 0, 4, 37, 1157, 46, 0, 0, 878, 195, 53, 18, 24, 8, 202, 824, 247, 165, 219, 27, 59.0, 197.0, 215.0, 0, 62, 194, 184, 5, 5, 53, 0, 53, 68, 56, 15, 2.0, 134, 3, 4, 0, 0, 183, 183, 23.89, 79.76, 87.04, 66.796875, 94.296875, 94.296875, 0, 32.0, 78.5, 0.0, 27.296875, 35.09375, 28.8984375, 7.7, 1.0, 94.796875, 69.09375, 2.599609375, 1.5, 2.599609375, 2.099609375, 628.0, 145.0, 14.0, 6.0, 160.0, "Tous les candidats", 1155.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2892", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2892&g_ta_cod=2892", 93.0, 4.0, 2.0),
(10585, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Portail Géologie-Chimie", "Licence - Sciences - technologies - santé", "Géologie-Chimie", 75, 303, 134, 187, 0, 108, 20, 3, 0, 0, 0, 76, 116, 35, 0, 1, 80, 187, 111, 0, 0, 108, 20, 3, 0, 0, 0, 76, 286, 43, 14, 29, 14, 18.0, 29.0, 40.0, 0, 3, 21, 20, 1, 0, 22, 0, 9, 9, 3, 0, 0.0, 12, 0, 0, 0, 0, 9, 9, 41.86, 67.44, 93.02, 32.59375, 42.8984375, 42.8984375, 0, 14.298828125, 48.796875, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 95.1875, 57.09375, 4.7998046875, 0.0, 0.0, 0.0, 131.0, 22.0, 1.0, 0.0, 151.0, "Tous les candidats", 187.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "30986", "Licence - Portail Géologie-Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30986&g_ta_cod=30986", 81.0, 12.0, 7.0),
(10586, "Public", "0950666H", "Lycée Georges Braque", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "Autre formation", "Lycée Georges Braque - Diplôme de Comptabilité et de Gestion", "DCG", "", 38, 1059, 471, 833, 0, 303, 124, 211, 103, 35, 22, 284, 226, 27, 47, 28, 124, 330, 9, 0, 0, 172, 65, 104, 53, 0, 0, 54, 204, 35, 10, 29, 6, 4.0, 22.0, 29.0, 0, 8, 26, 19, 7, 0, 9, 0, 9, 14, 3, 0, 0.0, 11, 6, 0, 0, 0, 19, 26, 11.43, 62.86, 82.86, 28.59765625, 73.09375, 100.0, 0, 30.796875, 74.296875, 0.0, 34.59375, 53.796875, 11.5, 0.0, 0.0, 73.09375, 42.296875, 26.8984375, 23.09765625, 0.0, 0.0, 105.0, 36.0, 0.0, 0.0, 47.0, "Tous les candidats", 330.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "11587", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11587&g_ta_cod=11587", 80.0, 20.0, 0.0),
(10587, "Privé sous contrat d'association", "0831765T", "Organisme de formation-Centre de formation d'apprentis CAPFORMA CCI du Var Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Autre formation", "Organisme de formation-Centre de formation d'apprentis CAPFORMA CCI du Var Toulon - Formation professionnelle - Gestionnaire d'unité commerciale (option généraliste / option spécialisée) (bac +2)", "Formation professionnelle", "", 20, 22, 12, 22, 0, 7, 1, 1, 1, 4, 1, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "29164", "Formation professionnelle - Gestionnaire d'unité commerciale (option généraliste / option spécialisée) (bac +2)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29164&g_ta_cod=29164", 0, 0, 0),
(10588, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 165, 387, 316, 334, 0, 239, 73, 30, 9, 11, 7, 54, 53, 9, 6, 2, 36, 334, 53, 0, 0, 239, 73, 30, 9, 11, 7, 54, 387, 64, 44, 51, 13, 50.0, 50.0, 62.0, 0, 13, 47, 40, 5, 2, 17, 1, 19, 19, 7, 1, 0.0, 22, 3, 2, 0, 0, 46, 46, 78.13, 78.13, 96.88, 68.796875, 97.890625, 97.890625, 0, 27.69921875, 73.390625, 2.099609375, 40.3984375, 40.3984375, 14.8984375, 2.1, 0.0, 85.09375, 46.796875, 10.599609375, 6.3994140625, 4.2998046875, 4.2998046875, 248.0, 73.0, 13.0, 8.0, 90.0, "Tous les candidats", 334.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9687", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9687&g_ta_cod=9687", 75.0, 13.0, 11.0),
(10589, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais : Langue, Littérature et Civilisation Étrangère", "Licence - Arts-lettres-langues", "Anglais : Langue, Littérature et Civilisation Étrangère", 200, 904, 607, 781, 0, 569, 176, 52, 17, 16, 11, 144, 123, 17, 7, 7, 92, 779, 121, 0, 0, 569, 176, 52, 17, 16, 11, 142, 748, 179, 105, 122, 57, 27.0, 121.0, 157.0, 0, 44, 115, 91, 19, 5, 64, 1, 40, 46, 23, 5, 0.0, 60, 10, 4, 0, 0, 107, 107, 15.08, 67.6, 87.71, 58.6953125, 93.0, 93.0, 0, 38.296875, 64.1875, 0.89990234375, 34.796875, 40.0, 20.0, 4.3, 0.0, 79.09375, 52.1953125, 16.5, 8.69921875, 4.2998046875, 3.5, 490.0, 150.0, 21.0, 16.0, 184.0, "Tous les candidats", 778.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7031", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais : Langue, Littérature et Civilisation Étrangère", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7031&g_ta_cod=7031", 75.0, 17.0, 7.0),
(10590, "Public", "0290063L", "Lycée Naval", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "CPGE", "Lycée Naval - CPGE - PCSI", "Classe préparatoire scientifique", "", 31, 672, 143, 672, 672, 571, 42, 2, 0, 0, 0, 99, 0, 0, 0, 0, 0, 672, 0, 672, 0, 571, 42, 2, 0, 0, 0, 99, 120, 30, 13, 30, 0, 15.0, 26.0, 28.0, 30, 2, 25, 25, 0, 0, 5, 0, 0, 0, 12, 13, 0.0, 25, 0, 0, 4, 3, 11, 11, 50.0, 86.67, 93.33, 43.296875, 44.0, 44.0, 16, 8.0, 83.296875, 0.0, 0.0, 0.0, 48.0, 52.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 115.0, 10.0, 0.0, 0.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "3792", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3792&g_ta_cod=3792", 100.0, 0.0, 0.0),
(10591, "Public", "0690132U", "Lycée Pierre Brossolette", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "BTS", "Lycée Pierre Brossolette - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 1036, 535, 958, 0, 116, 39, 334, 169, 198, 124, 310, 78, 3, 0, 29, 46, 406, 3, 0, 0, 56, 19, 186, 93, 108, 63, 56, 171, 31, 14, 28, 0, 2.0, 18.0, 27.0, 0, 13, 21, 2, 13, 6, 10, 0, 13, 7, 1, 0, 0.0, 0, 5, 3, 4, 3, 18, 18, 6.45, 58.06, 87.1, 45.1953125, 85.6875, 85.6875, 19, 61.8984375, 67.6875, 0.0, 61.8984375, 33.296875, 4.7998046875, 0.0, 0.0, 9.5, 0.0, 61.8984375, 23.796875, 28.59765625, 14.298828125, 17.0, 9.0, 61.0, 35.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 117, "Bacheliers technologiques toutes séries", 140, "Liste d'appel propre à cette formation", 29.0, "8252", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8252&g_ta_cod=8252", 10.0, 55.0, 35.0),
(10592, "Public", "0623957P", "Université d'Artois - Site d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation non sélective", "Licence", "Université d'Artois - Site d'Arras - Licence - Lettres - Parcours Lettres-Histoire-Droit", "Licence - Arts-lettres-langues", "Lettres-Histoire-Droit", 44, 332, 240, 316, 0, 230, 56, 25, 13, 8, 4, 53, 16, 5, 0, 2, 9, 315, 16, 0, 0, 230, 56, 25, 13, 8, 4, 52, 211, 41, 22, 39, 2, 3.0, 39.0, 39.0, 0, 10, 34, 27, 5, 2, 7, 0, 10, 16, 6, 2, 0.0, 20, 3, 1, 0, 0, 32, 32, 7.32, 95.12, 95.12, 53.6953125, 94.09375, 94.09375, 0, 29.3984375, 82.890625, 0.0, 29.3984375, 47.09375, 17.59765625, 5.9, 0.0, 79.390625, 58.796875, 14.69921875, 8.798828125, 5.8994140625, 2.89990234375, 155.0, 43.0, 5.0, 1.0, 40.0, "Tous les candidats", 314.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7514", "Licence - Lettres - Parcours Lettres-Histoire-Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7514&g_ta_cod=7514", 73.0, 15.0, 10.0),
(10593, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Portail Sciences exactes et sciences pour l'ingénieur (SESI) Option Renforcé recherche", "Licence - Sciences - technologies - santé", "Sciences exactes et sciences pour l'ingénieur (SESI) Option Renforcé recherche", 30, 876, 326, 876, 0, 670, 112, 0, 0, 0, 0, 206, 0, 0, 0, 0, 0, 601, 0, 0, 0, 489, 61, 0, 0, 0, 0, 112, 285, 28, 10, 28, 0, 11.0, 20.0, 26.0, 0, 6, 25, 25, 0, 0, 3, 0, 0, 1, 10, 10, 4.0, 25, 0, 0, 0, 0, 23, 23, 39.29, 71.43, 92.86, 35.6953125, 92.0, 92.0, 0, 24.0, 89.296875, 0.0, 0.0, 4.0, 40.0, 40.0, 16.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 246.0, 41.0, 0.0, 0.0, 39.0, "Tous les candidats", 429.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "28606", "Licence - Portail Sciences exactes et sciences pour l'ingénieur (SESI) Option Renforcé recherche", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28606&g_ta_cod=28606", 100.0, 0.0, 0.0),
(10594, "Public", "0470801R", "IFSI CH Villeneuve Sur Lot", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Villeneuve-sur-Lot", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bordeaux - D.E Infirmier", "D.E secteur sanitaire", "", 57, 5222, 4349, 5222, 0, 937, 171, 942, 235, 405, 130, 2938, 0, 0, 0, 0, 0, 4142, 0, 0, 0, 854, 147, 844, 196, 275, 93, 2169, 1075, 57, 45, 57, 0, 1.0, 9.0, 35.0, 0, 9, 21, 7, 11, 3, 36, 0, 6, 9, 5, 1, 0.0, 4, 8, 3, 0, 0, 10, 10, 1.75, 15.79, 61.4, 78.890625, 47.59375, 47.59375, 0, 42.8984375, 36.796875, 0.0, 28.59765625, 42.8984375, 23.796875, 4.8, 0.0, 33.296875, 19.0, 52.3984375, 38.09375, 14.298828125, 14.298828125, 189.0, 50.0, 26.0, 9.0, 600.0, "Tous les candidats", 3322.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "23952", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23940&g_ta_cod=23952", 58.0, 32.0, 11.0),
(10595, "Public", "0940126B", "Lycée Maximilien Perret (Batiment)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Alfortville", "formation sélective", "BTS", "Lycée Maximilien Perret (Batiment) - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 24, 390, 11, 390, 0, 3, 1, 28, 14, 256, 119, 103, 0, 0, 0, 0, 0, 310, 0, 0, 0, 3, 1, 25, 11, 223, 106, 59, 96, 25, 1, 25, 0, 7.0, 20.0, 24.0, 0, 12, 20, 1, 3, 16, 5, 0, 9, 9, 2, 0, 0.0, 0, 1, 10, 2, 0, 8, 20, 28.0, 80.0, 96.0, 4.0, 40.0, 100.0, 10, 60.0, 80.0, 0.0, 45.0, 45.0, 10.0, 0.0, 0.0, 5.0, 0.0, 15.0, 5.0, 80.0, 50.0, 1.0, 1.0, 67.0, 29.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 88, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 31.0, "11411", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11411&g_ta_cod=11411", 16.0, 20.0, 64.0),
(10596, "Privé sous contrat d'association", "0560198L", "Lycée St Joseph", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BTS", "Lycée St Joseph - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 16, 147, 12, 137, 0, 3, 0, 34, 2, 73, 7, 27, 10, 1, 0, 1, 8, 117, 8, 0, 0, 3, 0, 34, 2, 73, 7, 7, 81, 7, 1, 6, 1, 0.0, 6.0, 7.0, 0, 0, 6, 0, 4, 2, 1, 0, 3, 3, 0, 0, 0.0, 0, 2, 1, 3, 1, 5, 5, 0.0, 85.71, 100.0, 14.298828125, 83.296875, 83.296875, 50, 0.0, 85.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 16.69921875, 3.0, 0.0, 54.0, 5.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 82.0, "6458", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6458&g_ta_cod=6458", 0.0, 57.0, 43.0),
(10597, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Lettres / Langues, littératures & civilisations étrangères et régionales - LETTRES EDITION MEDIAS AUDIOVISUEL - LLCER ANGLAIS", "Licence - Arts-lettres-langues", "LETTRES EDITION MEDIAS AUDIOVISUEL - LLCER ANGLAIS", 25, 791, 700, 791, 0, 607, 68, 11, 5, 2, 2, 171, 0, 0, 0, 0, 0, 200, 0, 0, 0, 160, 9, 0, 0, 0, 0, 40, 98, 25, 23, 25, 0, 1.0, 21.0, 25.0, 0, 1, 17, 17, 0, 0, 8, 0, 0, 0, 3, 12, 2.0, 17, 0, 0, 0, 0, 3, 8, 4.0, 84.0, 100.0, 92.0, 17.59765625, 47.09375, 0, 5.8994140625, 68.0, 0.0, 0.0, 0.0, 17.59765625, 70.6, 11.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 73.0, 7.0, 0.0, 0.0, 25.0, "Tous les candidats", 144.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "9294", "Double licence - Lettres / Langues, littératures & civilisations étrangères et régionales - LETTRES EDITION MEDIAS AUDIOVISUEL - LLCER ANGLAIS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9294&g_ta_cod=9294", 100.0, 0.0, 0.0),
(10598, "Public", "0750685M", "Lycée Pierre-Gilles de Gennes - ENCPB", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "CPGE", "Lycée Pierre-Gilles de Gennes - ENCPB - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 2338, 650, 2338, 332, 2006, 386, 21, 8, 0, 0, 311, 0, 0, 0, 0, 0, 1411, 0, 267, 1287, 1341, 252, 7, 2, 0, 0, 63, 474, 50, 10, 50, 0, 29.0, 30.0, 39.0, 2, 8, 49, 49, 0, 0, 1, 0, 0, 10, 35, 4, 0.0, 49, 0, 0, 3, 2, 32, 48, 58.0, 60.0, 78.0, 20.0, 65.296875, 98.0, 6.099609375, 16.296875, 98.0, 0.0, 0.0, 20.3984375, 71.390625, 8.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 459.0, 83.0, 0.0, 0.0, 15.0, "Tous les candidats", 560.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "9070", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9070&g_ta_cod=9070", 100.0, 0.0, 0.0),
(10599, "Public", "0680010S", "Lycée Blaise Pascal", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 640, 559, 638, 0, 79, 18, 138, 58, 204, 93, 217, 2, 0, 0, 1, 1, 262, 0, 0, 0, 59, 12, 72, 26, 78, 30, 53, 130, 19, 18, 18, 0, 0.0, 8.0, 17.0, 0, 7, 14, 2, 4, 8, 5, 0, 7, 4, 3, 0, 0.0, 0, 1, 6, 1, 1, 14, 14, 0.0, 42.11, 89.47, 94.6875, 100.0, 100.0, 7.099609375, 50.0, 73.6875, 0.0, 50.0, 28.59765625, 21.3984375, 0.0, 0.0, 14.298828125, 0.0, 28.59765625, 7.099609375, 57.09375, 42.8984375, 27.0, 7.0, 43.0, 14.0, 29.0, "Tous les candidats sauf les Bac professionnels", 121.0, "Bacheliers professionnels toutes séries", 70, "", 0, "Liste d'appel propre à cette formation", 30.0, "19994", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19994&g_ta_cod=19994", 21.0, 32.0, 47.0),
(10600, "Public", "0134248X", "Aix-Marseille Université - Site de Marseille Timone", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation non sélective", "PASS", "Aix-Marseille Université - Site de Marseille Timone - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 40, 2418, 1678, 2418, 0, 1723, 342, 77, 33, 29, 15, 589, 0, 0, 0, 0, 0, 2418, 0, 0, 0, 1723, 342, 77, 33, 29, 15, 589, 447, 40, 30, 40, 0, 1.0, 13.0, 35.0, 0, 7, 39, 37, 1, 1, 1, 0, 1, 11, 22, 4, 1.0, 36, 1, 1, 0, 0, 34, 34, 2.5, 32.5, 87.5, 75.0, 87.1875, 87.1875, 0, 17.8984375, 97.5, 0.0, 2.599609375, 28.19921875, 56.3984375, 10.3, 2.6, 94.890625, 92.296875, 2.599609375, 2.599609375, 2.599609375, 2.599609375, 401.0, 74.0, 2.0, 2.0, 41.0, "Tous les candidats", 3082.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 43.0, "28840", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27970&g_ta_cod=28840", 95.0, 3.0, 3.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(10601, "Public", "0440030U", "Lycée Polyvalent Gaspard Monge - La Chauvinière", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée Polyvalent Gaspard Monge - La Chauvinière - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 15, 230, 12, 223, 0, 9, 3, 86, 14, 66, 22, 62, 7, 0, 0, 3, 4, 162, 2, 0, 0, 9, 3, 77, 10, 52, 16, 24, 79, 12, 1, 10, 1, 3.0, 9.0, 11.0, 0, 1, 7, 0, 5, 2, 5, 0, 5, 1, 0, 1, 0.0, 0, 1, 1, 2, 0, 7, 7, 25.0, 75.0, 91.67, 8.298828125, 100.0, 100.0, 28.59765625, 14.298828125, 58.296875, 0.0, 71.390625, 14.298828125, 0.0, 14.3, 0.0, 0.0, 0.0, 71.390625, 14.298828125, 28.59765625, 14.298828125, 6.0, 2.0, 20.0, 6.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 68.0, "14459", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14459&g_ta_cod=14459", 8.0, 75.0, 17.0),
(10602, "Public", "0782118D", "I.U.T de Velizy - Antenne de Rambouillet", "78", "Yvelines", "Ile-de-France", "Versailles", "Rambouillet", "formation sélective", "BUT", "I.U.T de Velizy - Antenne de Rambouillet - BUT - Génie chimique génie des procédés Parcours :  Conception des procédés et innovation technologique - Contrôle-qualité, environnement et sécurité des procédés", "BUT - Production", "Conception des procédés et innovation technologique - Contrôle-qualité, environnement et sécurité des procédés", 26, 483, 260, 411, 0, 225, 31, 85, 20, 0, 0, 101, 72, 10, 20, 1, 41, 265, 8, 0, 0, 182, 24, 37, 10, 0, 0, 46, 219, 17, 10, 15, 2, 1.0, 8.0, 15.0, 0, 4, 12, 12, 0, 0, 5, 0, 3, 8, 0, 1, 0.0, 9, 0, 0, 0, 0, 9, 10, 5.88, 47.06, 88.24, 58.796875, 75.0, 83.296875, 0, 33.296875, 70.59375, 0.0, 25.0, 66.6875, 0.0, 8.3, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 145.0, 20.0, 0.0, 0.0, 44.0, "Tous les candidats sauf les Bac technologiques", 230.0, "Bacheliers technologiques toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 64.0, "10016", "BUT - Génie chimique génie des procédés Parcours :  Conception des procédés et innovation technologique - Contrôle-qualité, environnement et sécurité des procédés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10016&g_ta_cod=10016", 100.0, 0.0, 0.0),
(10603, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Philosophie", "Licence - Sciences humaines et sociales", "", 45, 330, 204, 276, 0, 186, 60, 33, 10, 2, 2, 55, 54, 4, 1, 2, 47, 275, 52, 0, 0, 186, 60, 33, 10, 2, 2, 54, 327, 39, 18, 28, 11, 27.0, 28.0, 36.0, 0, 7, 20, 13, 6, 1, 19, 0, 9, 7, 2, 2, 0.0, 8, 2, 1, 0, 0, 16, 16, 69.23, 71.79, 92.31, 46.1953125, 80.0, 80.0, 0, 35.0, 51.296875, 0.0, 45.0, 35.0, 10.0, 10.0, 0.0, 65.0, 40.0, 30.0, 10.0, 5.0, 5.0, 190.0, 61.0, 4.0, 3.0, 99.0, "Tous les candidats", 277.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6359", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6359&g_ta_cod=6359", 64.0, 28.0, 8.0),
(10604, "Privé sous contrat d'association", "0850130E", "Lycée Notre Dame Du Roc", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée Notre Dame Du Roc - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 18, 150, 75, 150, 0, 0, 0, 60, 4, 69, 11, 21, 0, 0, 0, 0, 0, 150, 0, 0, 0, 0, 0, 60, 4, 69, 11, 21, 70, 21, 16, 21, 0, 14.0, 21.0, 21.0, 0, 0, 17, 0, 13, 4, 4, 0, 5, 7, 5, 0, 0.0, 0, 8, 4, 17, 12, 17, 17, 66.67, 100.0, 100.0, 76.1875, 100.0, 100.0, 100, 0.0, 81.0, 0.0, 29.3984375, 41.1953125, 29.3984375, 0.0, 0.0, 0.0, 0.0, 76.5, 47.09375, 23.5, 23.5, 0.0, 0.0, 35.0, 6.0, 9.0, "Tous les candidats sauf les Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 74, "", 0, "Liste d'appel propre à cette formation", 87.0, "14355", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14355&g_ta_cod=14355", 10.0, 62.0, 29.0),
(10605, "Privé sous contrat d'association", "0573519R", "Lycée Saint André", "57", "Moselle", "Grand Est", "Nancy-Metz", "Ottange", "formation sélective", "BTS", "Lycée Saint André - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 48, 338, 211, 296, 0, 84, 10, 58, 13, 32, 4, 122, 42, 7, 8, 0, 27, 130, 19, 0, 0, 43, 6, 21, 2, 19, 2, 47, 129, 32, 21, 25, 7, 10.0, 23.0, 28.0, 0, 3, 19, 4, 6, 9, 13, 0, 5, 7, 6, 1, 0.0, 3, 3, 8, 0, 0, 16, 16, 31.25, 71.88, 87.5, 65.59375, 84.1875, 84.1875, 0, 15.798828125, 59.3984375, 0.0, 26.296875, 36.796875, 31.59765625, 5.3, 0.0, 21.09765625, 15.798828125, 31.59765625, 15.798828125, 47.3984375, 42.09375, 42.0, 5.0, 12.0, 1.0, 58.0, "Tous les candidats sauf les Bac professionnels", 110.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 43.0, "6672", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6672&g_ta_cod=6672", 38.0, 31.0, 31.0),
(10606, "Public", "9741204R", "Université de la Réunion - Le Tampon", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation sélective", "Autre formation", "Université de la Réunion - Le Tampon - Formation Supérieure de Spécialisation - Métiers de l'encadrement et de l'animation sportive des territoires", "Diplôme d'Université", "Métiers de l'encadrement et de l'animation sportive des territoires", 40, 148, 44, 104, 0, 26, 14, 19, 12, 37, 31, 22, 44, 5, 5, 10, 24, 67, 16, 0, 0, 21, 14, 6, 5, 24, 21, 16, 75, 41, 21, 30, 11, 27.0, 30.0, 36.0, 0, 20, 25, 10, 4, 11, 16, 0, 12, 8, 4, 1, 0.0, 3, 3, 7, 0, 0, 23, 23, 65.85, 73.17, 87.8, 51.1953125, 92.0, 92.0, 0, 80.0, 61.0, 0.0, 48.0, 32.0, 16.0, 4.0, 0.0, 40.0, 12.0, 16.0, 12.0, 44.0, 28.0, 24.0, 15.0, 23.0, 21.0, 21.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "32888", "Formation Supérieure de Spécialisation - Métiers de l'encadrement et de l'animation sportive des territoires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32888&g_ta_cod=32888", 34.0, 29.0, 34.0),
(10607, "Public", "0132974M", "Lycée Hotelier Regional", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  8e  Arrondissement", "formation sélective", "Autre formation", "Lycée Hotelier Regional - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 48, 399, 220, 384, 0, 153, 24, 67, 25, 29, 12, 135, 15, 1, 3, 3, 8, 281, 11, 0, 0, 144, 22, 50, 16, 19, 7, 68, 245, 41, 20, 35, 6, 24.0, 28.0, 34.0, 0, 7, 30, 21, 6, 3, 11, 1, 15, 11, 3, 0, 0.0, 10, 3, 1, 0, 0, 22, 22, 58.54, 68.29, 82.93, 48.796875, 73.296875, 73.296875, 0, 23.296875, 73.1875, 3.2998046875, 50.0, 36.6953125, 10.0, 0.0, 0.0, 70.0, 33.296875, 20.0, 10.0, 10.0, 3.2998046875, 136.0, 22.0, 12.0, 7.0, 52.0, "Tous les candidats", 252.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "2793", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2793&g_ta_cod=2793", 68.0, 22.0, 10.0),
(10608, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 3 Paul Sabatier - Licence - Portail Mathématiques - Sciences et Humanités", "Licence - Sciences - technologies - santé", "Sciences et Humanités", 36, 301, 166, 237, 0, 143, 26, 4, 0, 0, 0, 90, 64, 14, 2, 0, 48, 237, 56, 0, 0, 143, 26, 4, 0, 0, 0, 90, 240, 26, 15, 9, 17, 1.0, 9.0, 19.0, 0, 3, 8, 7, 1, 0, 18, 0, 3, 3, 1, 1, 0.0, 5, 0, 0, 0, 0, 4, 4, 3.85, 34.62, 73.08, 57.6953125, 50.0, 50.0, 0, 37.5, 30.796875, 0.0, 37.5, 37.5, 12.5, 12.5, 0.0, 87.5, 62.5, 12.5, 0.0, 0.0, 0.0, 133.0, 23.0, 0.0, 0.0, 105.0, "Tous les candidats", 295.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28498", "Licence - Portail Mathématiques - Sciences et Humanités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31823&g_ta_cod=28498", 73.0, 23.0, 4.0),
(10609, "Privé sous contrat d'association", "0861145C", "MFR de Chauvigny", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Chauvigny", "formation sélective", "BTS", "MFR de Chauvigny - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 15, 52, 22, 49, 0, 0, 0, 3, 0, 9, 0, 37, 3, 0, 0, 0, 3, 19, 0, 0, 0, 0, 0, 3, 0, 9, 0, 7, 19, 3, 2, 3, 0, 3.0, 3.0, 3.0, 0, 0, 2, 0, 0, 2, 1, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 2, 1, 2, 2, 100.0, 100.0, 100.0, 66.6875, 100.0, 100.0, 100, 0.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 9.0, 0.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 5, "Liste d'appel propre à cette formation", 39.0, "10647", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10647&g_ta_cod=10647", 0.0, 0.0, 100.0),
(10610, "Privé sous contrat d'association", "0593071T", "Lycée Deforest De Lewarde", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "BTS", "Lycée Deforest De Lewarde - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 127, 10, 114, 0, 6, 1, 21, 2, 46, 11, 41, 13, 0, 1, 10, 2, 114, 4, 0, 0, 6, 1, 21, 2, 46, 11, 41, 84, 14, 1, 13, 1, 5.0, 13.0, 13.0, 0, 2, 10, 0, 2, 8, 4, 0, 4, 2, 4, 0, 0.0, 0, 2, 4, 6, 0, 10, 10, 35.71, 92.86, 92.86, 7.099609375, 100.0, 100.0, 60, 20.0, 71.390625, 0.0, 40.0, 20.0, 40.0, 0.0, 0.0, 0.0, 0.0, 20.0, 20.0, 80.0, 40.0, 6.0, 1.0, 48.0, 13.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 74.0, "6977", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6977&g_ta_cod=6977", 14.0, 21.0, 64.0),
(10611, "Public", "0750686N", "Lycée Estienne Esaig", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Estienne Esaig - DN MADE - Animation - - Spécialité : Images et animations didactiques ou documentaires", "DN MADE", "- Spécialité : Images et animations didactiques ou documentaires", 12, 961, 628, 961, 0, 403, 74, 188, 49, 68, 28, 302, 0, 0, 0, 0, 0, 50, 0, 0, 0, 14, 0, 21, 5, 5, 1, 10, 16, 12, 8, 12, 0, 9.0, 12.0, 12.0, 0, 2, 9, 3, 4, 2, 3, 0, 0, 1, 3, 4, 1.0, 3, 4, 2, 0, 0, 3, 6, 75.0, 100.0, 100.0, 66.6875, 33.296875, 66.6875, 0, 22.19921875, 75.0, 0.0, 0.0, 11.099609375, 33.296875, 44.4, 11.1, 33.296875, 33.296875, 44.3984375, 44.3984375, 22.19921875, 22.19921875, 5.0, 0.0, 2.0, 0.0, 3.0, "Tous les candidats", 18.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 2.0, "21955", "DN MADE - Animation - - Spécialité : Images et animations didactiques ou documentaires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21955&g_ta_cod=21955", 33.0, 50.0, 17.0),
(10612, "Public", "0540038Y", "Lycée Henri Poincaré", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Lycée Henri Poincaré - Classe de mise à niveau Cinéma-Audiovisuel", "Année préparatoire", "Classe de mise à niveau Cinéma-Audiovisuel", 15, 404, 182, 404, 0, 242, 36, 22, 3, 16, 3, 124, 0, 0, 0, 0, 0, 150, 0, 0, 0, 135, 18, 2, 1, 0, 0, 13, 62, 17, 8, 17, 0, 6.0, 15.0, 17.0, 0, 2, 15, 15, 0, 0, 2, 0, 0, 4, 6, 5, 0.0, 15, 0, 0, 0, 0, 1, 1, 35.29, 88.24, 100.0, 47.09375, 6.69921875, 6.69921875, 0, 13.298828125, 88.1875, 0.0, 0.0, 26.69921875, 40.0, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 58.0, 8.0, 0.0, 0.0, 3.0, "Tous les candidats", 76.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "15021", "Classe de mise à niveau Cinéma-Audiovisuel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15021&g_ta_cod=15021", 100.0, 0.0, 0.0),
(10613, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Musicologie - Parcours Musique", "Licence - Arts-lettres-langues", "Musique", 200, 757, 344, 618, 0, 380, 69, 68, 14, 20, 6, 150, 139, 26, 9, 6, 98, 618, 125, 0, 0, 380, 69, 68, 14, 20, 6, 150, 641, 161, 43, 120, 41, 59.0, 119.0, 149.0, 0, 25, 94, 74, 16, 4, 67, 0, 34, 41, 14, 5, 0.0, 47, 10, 3, 0, 0, 52, 52, 36.65, 73.91, 92.55, 26.69921875, 55.296875, 55.296875, 0, 26.59765625, 58.3984375, 0.0, 36.1953125, 43.59375, 14.8984375, 5.3, 0.0, 78.6875, 50.0, 17.0, 10.599609375, 4.2998046875, 3.19970703125, 350.0, 67.0, 19.0, 6.0, 205.0, "Tous les candidats", 618.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4739", "Licence - Musicologie - Parcours Musique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4739&g_ta_cod=4739", 73.0, 17.0, 7.0),
(10614, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Portail Licence 1ère année Portail Sciences de la vie et de l'environnement", "Licence - Sciences - technologies - santé", "Licence 1ère année Portail Sciences de la vie et de l'environnement", 330, 2320, 1601, 2290, 0, 1394, 244, 61, 17, 5, 1, 830, 30, 7, 2, 1, 20, 2254, 20, 0, 0, 1394, 244, 61, 17, 5, 1, 794, 1429, 310, 218, 297, 13, 19.0, 212.0, 251.0, 0, 37, 208, 203, 5, 0, 102, 0, 55, 95, 49, 9, 0.0, 150, 3, 0, 0, 0, 198, 198, 6.13, 68.39, 80.97, 70.296875, 95.1875, 95.1875, 0, 17.796875, 67.09375, 0.0, 26.3984375, 45.6953125, 23.59765625, 4.3, 0.0, 97.59375, 72.09375, 2.39990234375, 1.39990234375, 0.0, 0.0, 943.0, 160.0, 1.0, 0.0, 464.0, "Tous les candidats", 2108.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 71.0, "6324", "Licence - Portail Licence 1ère année Portail Sciences de la vie et de l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26962&g_ta_cod=6324", 97.0, 3.0, 0.0),
(10615, "Public", "0281056W", "I.U.T de Chartres", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Chartres", "formation sélective", "BUT", "I.U.T de Chartres - BUT - Génie électrique et informatique industrielle Parcours : Électricité et maitrise de l?énergie  - Électronique et systèmes embarqués  (Seconde année possible en apprentissage)", "BUT - Production", "Électricité et maitrise de l?énergie  - Électronique et systèmes embarqués", 48, 574, 28, 567, 0, 273, 36, 186, 44, 14, 7, 94, 7, 0, 5, 0, 2, 462, 1, 0, 0, 221, 26, 171, 40, 10, 6, 60, 185, 47, 1, 47, 0, 15.0, 41.0, 46.0, 0, 5, 42, 17, 24, 1, 5, 0, 10, 21, 10, 1, 0.0, 11, 20, 1, 0, 0, 34, 34, 31.91, 87.23, 97.87, 2.099609375, 81.0, 81.0, 0, 11.8984375, 89.390625, 0.0, 23.796875, 50.0, 23.796875, 2.4, 0.0, 40.5, 26.19921875, 57.09375, 47.59375, 2.39990234375, 2.39990234375, 70.0, 12.0, 6.0, 4.0, 25.0, "Tous les candidats sauf les Bac technologiques", 182.0, "Bacheliers technologiques toutes séries", 168, "", 0, "Liste d'appel propre à cette formation", 62.0, "3750", "BUT - Génie électrique et informatique industrielle Parcours : Électricité et maitrise de l?énergie  - Électronique et systèmes embarqués  (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3750&g_ta_cod=3750", 43.0, 55.0, 2.0),
(10616, "Privé sous contrat d'association", "0870876E", "ECOLE DE SERVICE SOCIAL DE LA CROIX ROUGE FRANCAISE", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "EFTS", "ECOLE DE SERVICE SOCIAL DE LA CROIX ROUGE FRANCAISE - D.E Assistant de Service Social", "D.E secteur social", "", 38, 136, 122, 117, 0, 28, 5, 14, 2, 1, 0, 74, 19, 2, 0, 0, 17, 85, 5, 0, 0, 25, 5, 6, 1, 1, 0, 53, 75, 40, 34, 37, 3, 19.0, 33.0, 37.0, 0, 4, 11, 9, 2, 0, 29, 0, 4, 4, 3, 0, 0.0, 5, 2, 0, 0, 0, 9, 9, 47.5, 82.5, 92.5, 85.0, 81.796875, 81.796875, 0, 36.3984375, 27.5, 0.0, 36.3984375, 36.3984375, 27.296875, 0.0, 0.0, 81.796875, 45.5, 18.19921875, 18.19921875, 0.0, 0.0, 20.0, 5.0, 0.0, 0.0, 50.0, "Tous les candidats", 83.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "25090", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25090&g_ta_cod=25090", 83.0, 18.0, 0.0),
(10617, "Public", "0595868H", "IMT Lille Douai", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 110, 5434, 1342, 5434, 0, 4753, 396, 0, 0, 0, 0, 681, 0, 0, 0, 0, 0, 3738, 0, 0, 0, 3508, 213, 0, 0, 0, 0, 230, 963, 121, 33, 121, 0, 69.0, 120.0, 121.0, 0, 10, 120, 120, 0, 0, 1, 0, 0, 2, 43, 68, 7.0, 120, 0, 0, 0, 0, 43, 43, 57.02, 99.17, 100.0, 27.296875, 35.796875, 35.796875, 0, 8.298828125, 99.1875, 0.0, 0.0, 1.699951171875, 35.796875, 56.7, 5.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 957.0, 87.0, 0.0, 0.0, 6.0, "Autres candidats", 3995.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "24", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=24", 100.0, 0.0, 0.0),
(10618, "Public", "0650139Y", "L.E.G.T.A. Jean Monnet", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Vic-en-Bigorre", "formation sélective", "BTS", "L.E.G.T.A. Jean Monnet - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 27, 265, 128, 265, 0, 12, 1, 49, 11, 49, 18, 155, 0, 0, 0, 0, 0, 101, 0, 0, 0, 12, 1, 49, 11, 34, 13, 6, 80, 11, 5, 10, 0, 4.0, 10.0, 10.0, 0, 3, 10, 0, 5, 5, 1, 0, 2, 7, 1, 0, 0.0, 0, 4, 4, 9, 4, 10, 10, 36.36, 90.91, 90.91, 45.5, 100.0, 100.0, 90, 30.0, 90.890625, 0.0, 20.0, 70.0, 10.0, 0.0, 0.0, 0.0, 0.0, 50.0, 40.0, 50.0, 40.0, 11.0, 1.0, 32.0, 12.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 37.0, "7831", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7831&g_ta_cod=7831", 9.0, 45.0, 45.0),
(10619, "Public", "9720771F", "Lycée La Jetee", "972", "Martinique", "Martinique", "Martinique", "Le François", "formation sélective", "BTS", "Lycée La Jetee - BTS - Production - Enveloppe des bâtiments : conception et réalisation", "BTS - Production", "", 13, 93, 16, 93, 0, 8, 2, 18, 7, 40, 20, 27, 0, 0, 0, 0, 0, 93, 0, 0, 0, 8, 2, 18, 7, 40, 20, 27, 38, 11, 3, 11, 0, 5.0, 11.0, 11.0, 0, 5, 11, 2, 2, 7, 0, 0, 6, 3, 1, 1, 0.0, 0, 0, 5, 4, 0, 11, 11, 45.45, 100.0, 100.0, 27.296875, 100.0, 100.0, 36.3984375, 45.5, 100.0, 0.0, 54.5, 27.296875, 9.099609375, 9.1, 0.0, 18.19921875, 0.0, 18.19921875, 0.0, 63.59375, 45.5, 6.0, 2.0, 13.0, 7.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 49.0, "14504", "BTS - Production - Enveloppe des bâtiments : conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14504&g_ta_cod=14504", 18.0, 18.0, 64.0),
(10620, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence_Las", "Université Côte d'Azur - Licence - Portail Sciences du langage", "Licence - Sciences humaines et sociales", "", 45, 355, 296, 322, 0, 136, 27, 11, 4, 5, 1, 170, 33, 3, 1, 1, 28, 313, 29, 0, 0, 136, 27, 11, 4, 5, 1, 161, 262, 42, 33, 34, 8, 6.0, 21.0, 34.0, 0, 1, 15, 12, 1, 2, 27, 0, 5, 4, 6, 0, 0.0, 8, 0, 2, 0, 0, 13, 13, 14.29, 50.0, 80.95, 78.59375, 86.6875, 86.6875, 0, 6.69921875, 35.6953125, 0.0, 33.296875, 26.69921875, 40.0, 0.0, 0.0, 80.0, 53.296875, 6.69921875, 0.0, 13.298828125, 13.298828125, 93.0, 19.0, 3.0, 0.0, 161.0, "Tous les candidats", 474.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 94.0, "27489", "Licence - Portail Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27488&g_ta_cod=27489", 69.0, 21.0, 7.0),
(10621, "Public", "0450750W", "Lycée professionnel Jean De La Taille", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Pithiviers", "formation sélective", "BTS", "Lycée professionnel Jean De La Taille - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 127, 9, 122, 0, 2, 1, 12, 3, 51, 12, 57, 5, 0, 0, 3, 2, 122, 0, 0, 0, 2, 1, 12, 3, 51, 12, 57, 63, 10, 1, 10, 0, 3.0, 10.0, 10.0, 0, 1, 8, 0, 1, 7, 2, 1, 3, 2, 2, 0, 0.0, 0, 0, 4, 7, 1, 7, 7, 30.0, 100.0, 100.0, 10.0, 87.5, 87.5, 87.5, 12.5, 80.0, 12.5, 37.5, 25.0, 25.0, 0.0, 0.0, 0.0, 0.0, 12.5, 0.0, 87.5, 50.0, 2.0, 1.0, 42.0, 11.0, 8.0, "Tous les candidats sauf les Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 54, "", 0, "Liste d'appel propre à cette formation", 61.0, "18757", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18757&g_ta_cod=18757", 0.0, 20.0, 80.0),
(10622, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Sciences de la vie et de la terre", "Licence - Sciences - technologies - santé", "", 50, 694, 422, 694, 0, 475, 70, 21, 3, 2, 0, 196, 0, 0, 0, 0, 0, 694, 0, 0, 0, 475, 70, 21, 3, 2, 0, 196, 281, 50, 31, 50, 0, 4.0, 28.0, 43.0, 0, 11, 37, 37, 0, 0, 13, 0, 10, 17, 5, 4, 1.0, 27, 0, 0, 0, 0, 36, 36, 8.0, 56.0, 86.0, 62.0, 97.296875, 97.296875, 0, 29.69921875, 74.0, 0.0, 27.0, 45.8984375, 13.5, 10.8, 2.7, 100.0, 73.0, 0.0, 0.0, 0.0, 0.0, 178.0, 32.0, 0.0, 0.0, 103.0, "Tous les candidats", 367.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "19195", "Licence - Sciences de la vie et de la terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19195&g_ta_cod=19195", 100.0, 0.0, 0.0),
(10623, "Privé enseignement supérieur", "0592808G", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines - Licence - Arts du spectacle - Parcours Arts du spectacle, métiers de la culture et des arts", "Licence - Arts-lettres-langues", "Arts du spectacle, métiers de la culture et des arts", 200, 357, 249, 263, 0, 175, 25, 21, 3, 5, 0, 62, 94, 24, 7, 8, 55, 263, 92, 0, 0, 175, 25, 21, 3, 5, 0, 62, 354, 44, 33, 30, 14, 26.0, 30.0, 40.0, 0, 3, 26, 22, 4, 0, 18, 0, 9, 8, 6, 3, 0.0, 17, 0, 0, 0, 0, 11, 11, 59.09, 68.18, 90.91, 75.0, 42.296875, 42.296875, 0, 11.5, 59.09375, 0.0, 34.59375, 30.796875, 23.09765625, 11.5, 0.0, 84.59375, 65.390625, 15.3984375, 0.0, 0.0, 0.0, 198.0, 30.0, 13.0, 3.0, 115.0, "Tous les candidats", 264.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12644", "Licence - Arts du spectacle - Parcours Arts du spectacle, métiers de la culture et des arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12644&g_ta_cod=12644", 84.0, 14.0, 0.0),
(10624, "Public", "0597160M", "Université Polytechnique Hauts-de-France - Site de CAMBRAI", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Site de CAMBRAI - Licence - Sciences sociales - Parcours Histoire Archéologie Patrimoine Environnement", "Licence - Sciences humaines et sociales", "Histoire Archéologie Patrimoine Environnement", 50, 308, 202, 267, 0, 194, 53, 14, 4, 7, 3, 52, 41, 7, 6, 2, 26, 267, 40, 0, 0, 194, 53, 14, 4, 7, 3, 52, 212, 42, 23, 31, 11, 7.0, 31.0, 37.0, 0, 9, 30, 27, 2, 1, 12, 0, 9, 13, 4, 4, 0.0, 19, 1, 1, 0, 0, 25, 25, 16.67, 73.81, 88.1, 54.796875, 83.296875, 83.296875, 0, 30.0, 71.390625, 0.0, 30.0, 43.296875, 13.298828125, 13.3, 0.0, 90.0, 63.296875, 6.69921875, 3.2998046875, 3.2998046875, 3.2998046875, 137.0, 35.0, 2.0, 0.0, 62.0, "Tous les candidats", 265.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "26437", "Licence - Sciences sociales - Parcours Histoire Archéologie Patrimoine Environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26437&g_ta_cod=26437", 81.0, 14.0, 5.0),
(10625, "Privé sous contrat d'association", "0641535W", "Lycée professionnel Agricole Armand DAVID", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Hasparren", "formation sélective", "BTS", "Lycée professionnel Agricole Armand DAVID - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 29, 126, 34, 111, 0, 17, 4, 25, 3, 33, 9, 36, 15, 0, 6, 7, 2, 111, 15, 0, 0, 17, 4, 25, 3, 33, 9, 36, 89, 31, 6, 23, 8, 8.0, 18.0, 28.0, 0, 7, 22, 3, 5, 14, 9, 0, 14, 7, 1, 0, 0.0, 1, 0, 7, 7, 0, 17, 17, 25.81, 58.06, 90.32, 19.3984375, 77.296875, 77.296875, 31.796875, 31.796875, 71.0, 0.0, 63.59375, 31.796875, 4.5, 0.0, 0.0, 13.599609375, 4.5, 22.69921875, 0.0, 63.59375, 31.796875, 7.0, 3.0, 39.0, 12.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 81.0, "7762", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7762&g_ta_cod=7762", 29.0, 16.0, 55.0),
(10626, "Public", "0860009T", "Lycée Andre Theuriet", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Civray", "formation sélective", "BTS", "Lycée Andre Theuriet - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 181, 97, 123, 0, 10, 4, 32, 12, 24, 9, 57, 58, 7, 9, 6, 36, 60, 16, 0, 0, 9, 3, 23, 6, 20, 7, 8, 63, 14, 8, 10, 4, 7.0, 10.0, 14.0, 0, 4, 10, 2, 3, 5, 4, 0, 2, 5, 3, 0, 0.0, 0, 3, 5, 3, 3, 10, 10, 50.0, 71.43, 100.0, 57.09375, 100.0, 100.0, 30, 40.0, 71.390625, 0.0, 20.0, 50.0, 30.0, 0.0, 0.0, 20.0, 0.0, 30.0, 30.0, 50.0, 50.0, 12.0, 3.0, 14.0, 5.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 46.0, "10578", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10578&g_ta_cod=10578", 43.0, 21.0, 36.0),
(10627, "Public", "0750612H", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART.", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART. - DN MADE - Numérique - - Spécialité : Expériences narratives et interactives", "DN MADE", "- Spécialité : Expériences narratives et interactives", 15, 619, 368, 619, 0, 267, 56, 125, 34, 32, 6, 195, 0, 0, 0, 0, 0, 100, 0, 0, 0, 47, 7, 35, 6, 2, 0, 16, 32, 16, 11, 16, 0, 7.0, 15.0, 16.0, 0, 3, 15, 11, 4, 0, 1, 0, 0, 2, 8, 5, 0.0, 11, 4, 0, 0, 0, 1, 11, 43.75, 93.75, 100.0, 68.796875, 6.69921875, 73.296875, 0, 20.0, 93.796875, 0.0, 0.0, 13.298828125, 53.296875, 33.3, 0.0, 73.296875, 73.296875, 26.69921875, 26.69921875, 0.0, 0.0, 15.0, 3.0, 0.0, 0.0, 3.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "21797", "DN MADE - Numérique - - Spécialité : Expériences narratives et interactives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21797&g_ta_cod=21797", 69.0, 31.0, 0.0),
(10628, "Privé enseignement supérieur", "0942095S", "EPITA Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Le Kremlin-Bicêtre", "formation sélective", "Ecole d'Ingénieur", "EPITA Paris - Formation Bac + 3 - Bachelor Cybersécurité", "Formations  des écoles d'ingénieurs", "Bachelor Cybersécurité", 30, 171, 14, 161, 0, 134, 22, 26, 6, 0, 0, 1, 10, 8, 1, 0, 1, 100, 3, 0, 0, 83, 9, 17, 2, 0, 0, 0, 76, 34, 0, 31, 3, 16.0, 29.0, 31.0, 0, 6, 34, 29, 5, 0, 0, 0, 14, 16, 4, 0, 0.0, 15, 5, 0, 0, 0, 11, 27, 47.06, 85.29, 91.18, 0.0, 32.3984375, 79.390625, 0, 17.59765625, 100.0, 0.0, 41.1953125, 47.09375, 11.798828125, 0.0, 0.0, 85.296875, 44.09375, 14.69921875, 14.69921875, 0.0, 0.0, 66.0, 10.0, 0.0, 0.0, 0.0, "Tous les candidats", 100.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "34131", "Formation Bac + 3 - Bachelor Cybersécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34131&g_ta_cod=34131", 85.0, 15.0, 0.0),
(10629, "Public", "0840017M", "Lycée Ismael Dauphin", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Cavaillon", "formation sélective", "BTS", "Lycée Ismael Dauphin - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 35, 499, 141, 484, 0, 16, 4, 83, 48, 109, 67, 276, 15, 2, 2, 0, 11, 189, 5, 0, 0, 16, 4, 63, 35, 72, 42, 38, 141, 27, 5, 24, 3, 6.0, 18.0, 20.0, 0, 11, 18, 2, 8, 8, 9, 0, 8, 5, 4, 1, 0.0, 1, 2, 7, 5, 2, 16, 16, 22.22, 66.67, 74.07, 18.5, 88.890625, 88.890625, 27.796875, 61.09375, 66.6875, 0.0, 44.3984375, 27.796875, 22.19921875, 5.6, 0.0, 11.099609375, 5.599609375, 44.3984375, 11.099609375, 44.3984375, 38.8984375, 15.0, 4.0, 43.0, 24.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 32.0, "10429", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10429&g_ta_cod=10429", 22.0, 37.0, 41.0),
(10630, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence_Las", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 10, 60, 53, 40, 0, 22, 4, 3, 3, 0, 0, 15, 20, 7, 3, 1, 9, 38, 13, 0, 0, 22, 4, 3, 3, 0, 0, 13, 44, 9, 9, 4, 5, 1.0, 4.0, 8.0, 0, 1, 5, 2, 2, 1, 4, 0, 2, 2, 1, 0, 0.0, 1, 2, 0, 0, 0, 2, 2, 11.11, 44.44, 88.89, 100.0, 40.0, 40.0, 0, 20.0, 55.59375, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 40.0, 20.0, 40.0, 40.0, 20.0, 0.0, 22.0, 4.0, 1.0, 0.0, 16.0, "Tous les candidats", 157.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 93.0, "26700", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26699&g_ta_cod=26700", 44.0, 44.0, 11.0),
(10631, "Public", "0751710B", "Lycée professionnel Nicolas Louis Vauquelin", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée professionnel Nicolas Louis Vauquelin - BTS - Production - Pilotage des procédés", "BTS - Production", "", 24, 165, 47, 108, 0, 2, 0, 15, 4, 51, 34, 40, 57, 3, 21, 0, 33, 57, 13, 0, 0, 2, 0, 10, 1, 37, 24, 8, 62, 21, 8, 16, 5, 5.0, 12.0, 20.0, 0, 13, 17, 0, 3, 14, 4, 0, 8, 4, 3, 2, 0.0, 0, 1, 8, 12, 2, 12, 15, 23.81, 57.14, 95.24, 38.09375, 70.59375, 88.1875, 70.59375, 76.5, 81.0, 0.0, 47.09375, 23.5, 17.59765625, 11.8, 0.0, 0.0, 0.0, 17.59765625, 5.8994140625, 82.390625, 47.09375, 3.0, 0.0, 31.0, 20.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 53.0, "18928", "BTS - Production - Pilotage des procédés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18928&g_ta_cod=18928", 0.0, 29.0, 71.0),
(10632, "Public", "0060034E", "Lycée des Métiers - Hôtelier et Tourisme Paul Augier", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée des Métiers - Hôtelier et Tourisme Paul Augier - BTS - Services - Tourisme", "BTS - Services", "", 105, 1759, 1230, 1476, 0, 369, 94, 219, 73, 249, 117, 639, 283, 61, 40, 14, 168, 407, 75, 0, 0, 212, 47, 31, 8, 92, 30, 72, 410, 83, 68, 65, 18, 19.0, 63.0, 80.0, 0, 16, 67, 35, 12, 20, 16, 1, 20, 32, 12, 2, 0.0, 21, 11, 14, 5, 4, 49, 49, 22.89, 75.9, 96.39, 81.890625, 73.09375, 73.09375, 7.5, 23.8984375, 80.6875, 1.5, 29.8984375, 47.796875, 17.8984375, 3.0, 0.0, 52.1953125, 31.296875, 17.8984375, 16.3984375, 29.8984375, 20.8984375, 205.0, 47.0, 69.0, 24.0, 98.0, "Tous les candidats sauf les Bac professionnels", 311.0, "Bacheliers professionnels toutes séries", 95, "", 0, "Liste d'appel propre à cette formation", 28.0, "2218", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2218&g_ta_cod=2218", 54.0, 22.0, 24.0),
(10633, "Public", "0220023F", "Lycée Felix Le Dantec", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Lannion", "formation sélective", "BTS", "Lycée Felix Le Dantec - BTS - Services - Services informatiques aux organisations (Seconde année possible en apprentissage)", "BTS - Services", "", 35, 433, 39, 433, 0, 70, 11, 138, 26, 119, 38, 106, 0, 0, 0, 0, 0, 371, 0, 0, 0, 69, 11, 137, 26, 102, 31, 63, 159, 34, 4, 34, 0, 6.0, 28.0, 31.0, 0, 8, 27, 4, 10, 13, 7, 0, 12, 10, 3, 2, 0.0, 1, 4, 10, 4, 0, 27, 27, 17.65, 82.35, 91.18, 11.798828125, 100.0, 100.0, 14.798828125, 29.59765625, 79.390625, 0.0, 44.3984375, 37.0, 11.099609375, 7.4, 0.0, 14.798828125, 3.69970703125, 37.0, 14.798828125, 48.09375, 37.0, 22.0, 6.0, 47.0, 14.0, 31.0, "Tous les candidats sauf les Bac professionnels", 184.0, "Bacheliers professionnels toutes séries", 66, "", 0, "Liste d'appel propre à cette formation", 58.0, "28126", "BTS - Services - Services informatiques aux organisations (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28126&g_ta_cod=28126", 21.0, 38.0, 41.0),
(10634, "Public", "0890045R", "Lycée agricole Auxerre-La-Brosse", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Venoy", "formation sélective", "BTS", "Lycée agricole Auxerre-La-Brosse - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 20, 219, 77, 218, 0, 11, 2, 71, 18, 46, 11, 90, 1, 0, 0, 0, 1, 129, 0, 0, 0, 10, 2, 70, 18, 46, 11, 3, 73, 21, 4, 21, 0, 6.0, 20.0, 21.0, 0, 6, 21, 1, 12, 8, 0, 0, 7, 12, 1, 1, 0.0, 1, 7, 6, 15, 2, 21, 21, 28.57, 95.24, 100.0, 19.0, 100.0, 100.0, 71.390625, 28.59765625, 100.0, 0.0, 33.296875, 57.09375, 4.7998046875, 4.8, 0.0, 4.7998046875, 4.7998046875, 57.09375, 33.296875, 38.09375, 28.59765625, 7.0, 2.0, 22.0, 6.0, 1.0, "Tous les candidats sauf les Bac professionnels", 81.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 55.0, "10776", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10776&g_ta_cod=10776", 5.0, 57.0, 38.0),
(10635, "Public", "9720002V", "Lycée Victor Schoelcher", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée Victor Schoelcher - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 403, 240, 403, 0, 74, 29, 159, 75, 120, 78, 50, 0, 0, 0, 0, 0, 330, 0, 0, 0, 68, 27, 120, 55, 120, 78, 22, 84, 29, 22, 29, 0, 3.0, 28.0, 28.0, 0, 19, 26, 4, 8, 14, 3, 0, 12, 11, 3, 0, 0.0, 2, 5, 7, 3, 3, 26, 26, 10.34, 96.55, 96.55, 75.890625, 100.0, 100.0, 11.5, 73.09375, 89.6875, 0.0, 46.1953125, 42.296875, 11.5, 0.0, 0.0, 15.3984375, 7.69921875, 30.796875, 19.19921875, 53.796875, 26.8984375, 20.0, 10.0, 38.0, 23.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 28.0, "11782", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11782&g_ta_cod=11782", 24.0, 28.0, 48.0),
(10636, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales", "Licence - Sciences - technologies - santé", "", 86, 1521, 640, 1521, 0, 993, 193, 9, 4, 3, 1, 516, 0, 0, 0, 0, 0, 1521, 0, 0, 0, 993, 193, 9, 4, 3, 1, 516, 733, 84, 32, 84, 0, 24.0, 41.0, 72.0, 0, 20, 63, 63, 0, 0, 21, 0, 7, 35, 15, 5, 1.0, 56, 0, 0, 0, 0, 22, 56, 28.57, 48.81, 85.71, 38.09375, 34.8984375, 88.890625, 0, 31.69921875, 75.0, 0.0, 11.099609375, 55.59375, 23.796875, 7.9, 1.6, 100.0, 88.890625, 0.0, 0.0, 0.0, 0.0, 587.0, 108.0, 0.0, 0.0, 146.0, "Tous les candidats", 943.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 57.0, "9347", "Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32601&g_ta_cod=9347", 98.0, 0.0, 0.0),
(10637, "Public", "0910630R", "Lycée professionnel Alexandre Denis Lycée des métiers de l'aéronautique et de la logistique", "91", "Essonne", "Ile-de-France", "Versailles", "Cerny", "formation sélective", "Autre formation", "Lycée professionnel Alexandre Denis Lycée des métiers de l'aéronautique et de la logistique - Mention complémentaire - Aéronautique - option avionique", "Mention complémentaire", "", 7, 54, 3, 54, 0, 0, 0, 0, 0, 43, 6, 11, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 40, 6, 8, 17, 7, 0, 7, 0, 1.0, 5.0, 7.0, 0, 1, 6, 0, 0, 6, 1, 0, 1, 4, 0, 1, 0.0, 0, 0, 5, 0, 0, 5, 5, 14.29, 71.43, 100.0, 0.0, 83.296875, 83.296875, 0, 16.69921875, 85.6875, 0.0, 16.69921875, 66.6875, 0.0, 16.7, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 14.0, 3.0, 3.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "13402", "Mention complémentaire - Aéronautique - option avionique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13402&g_ta_cod=13402", 0.0, 0.0, 100.0),
(10638, "Privé sous contrat d'association", "0930933J", "Lycée Assomption", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bondy", "formation sélective", "Autre formation", "Lycée Assomption - DN MADE - Innovation sociale - parcours événements", "DN MADE", "parcours événements", 15, 137, 97, 36, 0, 7, 1, 10, 0, 7, 1, 12, 101, 24, 10, 11, 56, 27, 17, 0, 0, 5, 0, 8, 0, 5, 1, 9, 44, 14, 12, 7, 7, 6.0, 7.0, 14.0, 0, 1, 10, 5, 1, 4, 4, 0, 6, 3, 1, 0, 0.0, 2, 1, 1, 0, 0, 9, 10, 42.86, 50.0, 100.0, 85.6875, 90.0, 100.0, 0, 10.0, 71.390625, 0.0, 60.0, 30.0, 10.0, 0.0, 0.0, 50.0, 20.0, 10.0, 10.0, 40.0, 10.0, 14.0, 2.0, 7.0, 1.0, 14.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "32416", "DN MADE - Innovation sociale - parcours événements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32416&g_ta_cod=32416", 57.0, 7.0, 36.0),
(10639, "Public", "0061763J", "Lycée Guillaume APOLLINAIRE", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Guillaume APOLLINAIRE - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 24, 372, 53, 372, 0, 50, 16, 81, 21, 64, 28, 177, 0, 0, 0, 0, 0, 372, 0, 0, 0, 50, 16, 81, 21, 64, 28, 177, 111, 18, 3, 18, 0, 1.0, 16.0, 17.0, 0, 7, 13, 2, 6, 5, 5, 0, 7, 6, 0, 0, 0.0, 1, 1, 4, 4, 1, 10, 10, 5.56, 88.89, 94.44, 16.69921875, 76.890625, 76.890625, 30.796875, 53.796875, 72.1875, 0.0, 53.796875, 46.1953125, 0.0, 0.0, 0.0, 15.3984375, 7.69921875, 46.1953125, 7.69921875, 38.5, 30.796875, 15.0, 5.0, 27.0, 10.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 42.0, "2319", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2319&g_ta_cod=2319", 11.0, 56.0, 33.0),
(10640, "Privé enseignement supérieur", "1340044V", "Toulouse Business School - Campus de Barcelone", "99", "Etranger", "Etranger", "Etranger", "BARCELONA", "formation sélective", "Ecole de Commerce", "Toulouse Business School - Formation des écoles de commerce et de management Bac + 3 - Bachelor en Management", "Formation des écoles de commerce et de management", "Bachelor en Management", 30, 369, 176, 344, 0, 261, 25, 30, 5, 0, 0, 53, 25, 7, 2, 0, 16, 268, 11, 0, 0, 216, 11, 23, 3, 0, 0, 29, 175, 19, 11, 17, 2, 2.0, 17.0, 18.0, 0, 1, 15, 15, 0, 0, 4, 1, 5, 4, 4, 1, 0.0, 9, 0, 0, 0, 0, 0, 0, 10.53, 89.47, 94.74, 57.8984375, 0.0, 0.0, 0, 6.69921875, 78.890625, 6.69921875, 33.296875, 26.69921875, 26.69921875, 6.7, 0.0, 100.0, 60.0, 0.0, 0.0, 0.0, 0.0, 135.0, 7.0, 0.0, 0.0, 27.0, "Tous les candidats", 1027.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 78.0, "28555", "Formation des écoles de commerce et de management Bac + 3 - Bachelor en Management", "Toulouse Business School", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26098&g_ta_cod=28555", 95.0, 5.0, 0.0),
(10641, "Public", "0290022S", "Lycée Paul Sérusier", "29", "Finistère", "Bretagne", "Rennes", "Carhaix-Plouguer", "formation sélective", "BTS", "Lycée Paul Sérusier - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 157, 47, 145, 0, 6, 1, 22, 0, 57, 19, 60, 12, 1, 5, 3, 3, 70, 10, 0, 0, 6, 1, 20, 0, 36, 13, 8, 72, 9, 2, 6, 3, 3.0, 6.0, 8.0, 0, 2, 8, 0, 2, 6, 1, 0, 3, 4, 0, 1, 0.0, 0, 1, 4, 0, 0, 5, 5, 33.33, 66.67, 88.89, 22.19921875, 62.5, 62.5, 0, 25.0, 88.890625, 0.0, 37.5, 50.0, 0.0, 12.5, 0.0, 0.0, 0.0, 25.0, 12.5, 75.0, 50.0, 7.0, 1.0, 38.0, 13.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 48.0, "20095", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20095&g_ta_cod=20095", 0.0, 33.0, 67.0),
(10642, "Public", "0250010A", "Lycée Louis Pergaud", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "CPGE", "Lycée Louis Pergaud - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 40, 209, 97, 203, 107, 165, 16, 0, 0, 0, 0, 38, 6, 4, 0, 0, 2, 188, 1, 99, 183, 158, 14, 0, 0, 0, 0, 30, 186, 23, 9, 23, 0, 19.0, 22.0, 23.0, 1, 3, 18, 18, 0, 0, 5, 0, 3, 12, 3, 0, 0.0, 15, 0, 0, 1, 1, 16, 16, 82.61, 95.65, 100.0, 39.09375, 88.890625, 88.890625, 5.599609375, 16.69921875, 78.296875, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 156.0, 13.0, 0.0, 0.0, 30.0, "Tous les candidats", 188.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "31280", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31280&g_ta_cod=31280", 100.0, 0.0, 0.0),
(10643, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Humanités - Parcours Culture classique et modernité européenne", "Licence - Arts-lettres-langues", "Culture classique et modernité européenne", 110, 570, 428, 451, 0, 294, 64, 26, 9, 9, 2, 122, 119, 22, 13, 3, 81, 451, 101, 0, 0, 294, 64, 26, 9, 9, 2, 122, 507, 77, 55, 49, 28, 32.0, 49.0, 65.0, 0, 19, 51, 42, 7, 2, 26, 0, 15, 20, 11, 5, 0.0, 31, 4, 1, 0, 0, 19, 19, 41.56, 63.64, 84.42, 71.390625, 37.296875, 37.296875, 0, 37.296875, 66.1875, 0.0, 29.3984375, 39.1953125, 21.59765625, 9.8, 0.0, 82.390625, 60.796875, 13.69921875, 7.7998046875, 3.89990234375, 2.0, 294.0, 64.0, 9.0, 4.0, 171.0, "Tous les candidats", 451.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "14714", "Licence - Humanités - Parcours Culture classique et modernité européenne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14714&g_ta_cod=14714", 83.0, 12.0, 4.0),
(10644, "Privé hors contrat", "0441555B", "Institut Régional de Formation aux Métiers de Rééducation et de Réadaptation des Pays de Loire", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Sébastien-sur-Loire", "formation sélective", "Autre formation", "Institut Régional de Formation aux Métiers de Rééducation et de Réadaptation des Pays de Loire - D.E Pédicure-Podologue", "D.E secteur sanitaire", "", 30, 290, 216, 290, 0, 74, 3, 27, 3, 0, 0, 189, 0, 0, 0, 0, 0, 210, 0, 0, 0, 61, 3, 19, 2, 0, 0, 130, 101, 28, 21, 28, 0, 5.0, 21.0, 21.0, 0, 2, 14, 9, 5, 0, 14, 0, 3, 7, 4, 0, 0.0, 7, 4, 0, 0, 0, 6, 6, 17.86, 75.0, 75.0, 75.0, 42.8984375, 42.8984375, 0, 14.298828125, 50.0, 0.0, 21.3984375, 50.0, 28.59765625, 0.0, 0.0, 64.296875, 50.0, 35.6953125, 28.59765625, 0.0, 0.0, 31.0, 3.0, 0.0, 0.0, 60.0, "Tous les candidats", 103.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "26064", "D.E Pédicure-Podologue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26064&g_ta_cod=26064", 75.0, 25.0, 0.0),
(10645, "Public", "0250043L", "Lycée Xavier Marmier", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Pontarlier", "formation sélective", "BTS", "Lycée Xavier Marmier - BTS - Services - Commerce International", "BTS - Services", "", 24, 1022, 464, 1017, 0, 108, 28, 96, 33, 43, 18, 770, 5, 1, 2, 0, 2, 267, 2, 0, 0, 103, 28, 83, 28, 25, 9, 56, 145, 22, 12, 22, 0, 0.0, 16.0, 19.0, 0, 4, 19, 7, 8, 4, 3, 0, 8, 10, 1, 0, 0.0, 4, 4, 3, 10, 4, 19, 19, 0.0, 72.73, 86.36, 54.5, 100.0, 100.0, 52.59375, 21.09765625, 86.390625, 0.0, 42.09375, 52.59375, 5.2998046875, 0.0, 0.0, 36.796875, 21.09765625, 42.09375, 21.09765625, 21.09765625, 15.798828125, 53.0, 13.0, 19.0, 6.0, 29.0, "Tous les candidats sauf les Bac professionnels", 166.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 19.0, "3498", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3498&g_ta_cod=3498", 36.0, 45.0, 18.0),
(10646, "Public", "0250010A", "Lycée Louis Pergaud", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Autre formation", "Lycée Louis Pergaud - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 24, 616, 491, 616, 0, 149, 26, 199, 50, 13, 8, 255, 0, 0, 0, 0, 0, 616, 0, 0, 0, 149, 26, 199, 50, 13, 8, 255, 99, 24, 21, 24, 0, 9.0, 15.0, 22.0, 0, 8, 18, 10, 8, 0, 6, 0, 2, 11, 5, 0, 0.0, 8, 8, 0, 0, 0, 18, 18, 37.5, 62.5, 91.67, 87.5, 100.0, 100.0, 0, 44.3984375, 75.0, 0.0, 11.099609375, 61.09375, 27.796875, 0.0, 0.0, 55.59375, 44.3984375, 44.3984375, 44.3984375, 0.0, 0.0, 37.0, 7.0, 0.0, 0.0, 46.0, "Tous les candidats", 162.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "3467", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3467&g_ta_cod=3467", 58.0, 42.0, 0.0),
(10647, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "PASS", "Université de Montpellier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 90, 2851, 1901, 2851, 0, 2119, 440, 65, 29, 17, 9, 650, 0, 0, 0, 0, 0, 2851, 0, 0, 0, 2119, 440, 65, 29, 17, 9, 650, 747, 85, 53, 85, 0, 0.0, 40.0, 76.0, 0, 14, 66, 66, 0, 0, 19, 0, 11, 35, 16, 4, 0.0, 55, 0, 0, 0, 0, 51, 51, 0.0, 47.06, 89.41, 62.3984375, 77.296875, 77.296875, 0, 21.19921875, 77.59375, 0.0, 16.69921875, 53.0, 24.19921875, 6.1, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 597.0, 123.0, 2.0, 1.0, 143.0, "Tous les candidats", 4141.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "31861", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27370&g_ta_cod=31861", 98.0, 0.0, 2.0),
(10648, "Public", "0230030H", "Lycée agricole d'Ahun", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Ahun", "formation sélective", "BTS", "Lycée agricole d'Ahun - BTS - Agricole - Aquaculture", "BTS - Agricole", "", 16, 274, 59, 274, 0, 34, 6, 26, 5, 62, 14, 152, 0, 0, 0, 0, 0, 145, 0, 0, 0, 33, 5, 25, 5, 58, 13, 29, 74, 15, 2, 15, 0, 6.0, 11.0, 13.0, 0, 3, 11, 0, 1, 10, 4, 0, 5, 3, 2, 1, 0.0, 0, 0, 6, 5, 0, 6, 6, 40.0, 73.33, 86.67, 13.298828125, 54.5, 54.5, 45.5, 27.296875, 73.296875, 0.0, 45.5, 27.296875, 18.19921875, 9.1, 0.0, 0.0, 0.0, 9.099609375, 0.0, 90.890625, 54.5, 25.0, 3.0, 17.0, 4.0, 18.0, "Tous les candidats sauf les Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 39.0, "3402", "BTS - Agricole - Aquaculture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3402&g_ta_cod=3402", 20.0, 7.0, 73.0),
(10649, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Sciences sociales", "Licence - Sciences humaines et sociales", "", 105, 1390, 1015, 1390, 0, 917, 201, 59, 24, 13, 4, 401, 0, 0, 0, 0, 0, 1390, 0, 0, 0, 917, 201, 59, 24, 13, 4, 401, 450, 102, 71, 101, 0, 12.0, 70.0, 87.0, 0, 19, 74, 73, 1, 0, 28, 0, 4, 22, 39, 8, 1.0, 69, 1, 0, 0, 0, 18, 57, 11.76, 68.63, 85.29, 69.59375, 24.296875, 77.0, 0, 25.69921875, 72.5, 0.0, 5.3994140625, 29.69921875, 52.6953125, 10.8, 1.4, 98.59375, 93.1875, 1.39990234375, 1.39990234375, 0.0, 0.0, 326.0, 72.0, 1.0, 0.0, 120.0, "Tous les candidats", 547.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "15097", "Licence - Sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15097&g_ta_cod=15097", 93.0, 6.0, 0.0),
(10650, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 5  - Chimie-physique-Sciences de la Vie", "Licence - Sciences - technologies - santé", "5  - Chimie-physique-Sciences de la Vie", 280, 1119, 721, 551, 0, 313, 42, 32, 8, 3, 2, 203, 568, 273, 28, 2, 265, 539, 508, 0, 0, 313, 42, 32, 8, 3, 2, 191, 1060, 167, 90, 50, 115, 49.0, 49.0, 139.0, 0, 12, 92, 79, 13, 0, 75, 0, 41, 37, 10, 4, 0.0, 45, 6, 0, 0, 0, 36, 36, 29.34, 29.34, 83.23, 53.8984375, 39.09375, 39.09375, 0, 13.0, 55.09375, 0.0, 44.59375, 40.1953125, 10.8984375, 4.3, 0.0, 85.890625, 48.8984375, 14.099609375, 6.5, 0.0, 0.0, 591.0, 75.0, 5.0, 2.0, 401.0, "Tous les candidats", 539.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "23403", "Licence - Portail 5  - Chimie-physique-Sciences de la Vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23403&g_ta_cod=23403", 80.0, 19.0, 1.0),
(10651, "Public", "0860703X", "I.U.T. Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BUT", "I.U.T. Poitiers - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maitrise de l'énergie - Automatisme et Informatique Industrielle - Électronique et systèmes embarqués", "BUT - Production", "Electricité et maitrise de l'énergie - Automatisme et Informatique Industrielle - Électronique et systèmes embarqués", 75, 799, 53, 711, 0, 398, 50, 158, 29, 9, 1, 146, 88, 32, 7, 1, 48, 502, 41, 0, 0, 306, 28, 118, 20, 0, 0, 78, 467, 53, 2, 41, 12, 24.0, 40.0, 49.0, 0, 6, 40, 33, 7, 0, 13, 0, 21, 16, 3, 0, 0.0, 12, 7, 0, 0, 0, 27, 27, 45.28, 75.47, 92.45, 3.7998046875, 67.5, 67.5, 0, 15.0, 75.5, 0.0, 52.5, 40.0, 7.5, 0.0, 0.0, 82.5, 30.0, 17.5, 17.5, 0.0, 0.0, 293.0, 31.0, 0.0, 0.0, 87.0, "Tous les candidats sauf les Bac technologiques", 369.0, "Bacheliers technologiques toutes séries", 129, "", 0, "Liste d'appel propre à cette formation", 70.0, "10600", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maitrise de l'énergie - Automatisme et Informatique Industrielle - Électronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10600&g_ta_cod=10600", 83.0, 17.0, 0.0),
(10652, "Public", "0831059A", "IFSI Varois Saint-Raphaël", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Saint-Raphaël", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nice Sophia Antipolis - D.E Infirmier", "D.E secteur sanitaire", "", 41, 4280, 3649, 4280, 0, 704, 132, 670, 180, 405, 147, 2501, 0, 0, 0, 0, 0, 2171, 0, 0, 0, 537, 87, 377, 84, 141, 43, 1116, 549, 41, 34, 41, 0, 0.0, 14.0, 27.0, 0, 5, 27, 16, 8, 3, 14, 1, 4, 13, 8, 1, 0.0, 12, 7, 3, 0, 0, 18, 18, 0.0, 34.15, 65.85, 82.890625, 66.6875, 66.6875, 0, 18.5, 65.890625, 3.69970703125, 14.798828125, 48.09375, 29.59765625, 3.7, 0.0, 59.296875, 44.3984375, 29.59765625, 25.8984375, 11.099609375, 11.099609375, 157.0, 30.0, 28.0, 13.0, 291.0, "Tous les candidats", 1280.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "23070", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22984&g_ta_cod=23070", 56.0, 29.0, 15.0),
(10653, "Privé sous contrat d'association", "0623786D", "MFR de Rollancourt", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Rollancourt", "formation sélective", "BTS", "MFR de Rollancourt - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 40, 107, 47, 105, 0, 9, 1, 40, 9, 37, 14, 19, 2, 0, 0, 0, 2, 62, 0, 0, 0, 4, 1, 23, 5, 30, 12, 5, 55, 17, 6, 17, 0, 12.0, 17.0, 17.0, 0, 4, 14, 1, 4, 9, 3, 0, 6, 8, 0, 0, 0.0, 1, 3, 4, 8, 4, 11, 11, 70.59, 100.0, 100.0, 35.296875, 78.59375, 78.59375, 57.09375, 28.59765625, 82.390625, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 7.099609375, 7.099609375, 28.59765625, 21.3984375, 64.296875, 28.59765625, 4.0, 1.0, 28.0, 11.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 54.0, "7476", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7476&g_ta_cod=7476", 18.0, 29.0, 53.0),
(10654, "Public", "0620042J", "Lycée Andre Malraux", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "BTS", "Lycée Andre Malraux - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 670, 79, 670, 0, 90, 25, 165, 54, 124, 60, 291, 0, 0, 0, 0, 0, 344, 0, 0, 0, 88, 24, 142, 44, 77, 31, 37, 134, 29, 2, 29, 0, 6.0, 25.0, 28.0, 0, 10, 26, 2, 7, 17, 3, 0, 6, 9, 9, 2, 0.0, 1, 4, 15, 3, 0, 25, 25, 20.69, 86.21, 96.55, 6.8994140625, 96.1875, 96.1875, 11.5, 38.5, 89.6875, 0.0, 23.09765625, 34.59375, 34.59375, 7.7, 0.0, 7.69921875, 3.7998046875, 26.8984375, 15.3984375, 65.390625, 57.6953125, 19.0, 7.0, 50.0, 19.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 32.0, "7347", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7347&g_ta_cod=7347", 17.0, 24.0, 59.0),
(10655, "Public", "0940120V", "Lycée Marcelin Berthelot", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "BTS", "Lycée Marcelin Berthelot - BTS - Services - Commerce International", "BTS - Services", "", 70, 2130, 1149, 2130, 0, 538, 145, 555, 246, 300, 131, 737, 0, 0, 0, 0, 0, 770, 0, 0, 0, 302, 72, 221, 89, 116, 51, 131, 286, 64, 43, 63, 0, 18.0, 49.0, 59.0, 0, 20, 54, 30, 12, 12, 10, 0, 11, 22, 17, 4, 0.0, 21, 10, 12, 1, 1, 52, 53, 28.13, 76.56, 92.19, 67.1875, 96.296875, 98.09375, 1.89990234375, 37.0, 84.390625, 0.0, 20.3984375, 40.6953125, 31.5, 7.4, 0.0, 55.59375, 38.8984375, 22.19921875, 18.5, 22.19921875, 22.19921875, 143.0, 46.0, 35.0, 12.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 228.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 112, "Liste d'appel propre à cette formation", 18.0, "11397", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11397&g_ta_cod=11397", 58.0, 23.0, 19.0),
(10656, "Public", "9740001H", "Lycée Leconte de Lisle", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "CPGE", "Lycée Leconte de Lisle - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 277, 90, 260, 140, 204, 50, 0, 0, 1, 1, 55, 17, 9, 0, 0, 8, 194, 7, 53, 194, 173, 39, 0, 0, 0, 0, 21, 172, 31, 10, 28, 3, 7.0, 27.0, 31.0, 8, 5, 29, 29, 0, 0, 2, 0, 0, 6, 10, 11, 2.0, 29, 0, 0, 2, 0, 28, 28, 22.58, 87.1, 100.0, 32.296875, 96.59375, 96.59375, 6.8994140625, 17.19921875, 93.5, 0.0, 0.0, 20.69921875, 34.5, 37.9, 6.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 152.0, 36.0, 0.0, 0.0, 20.0, "Tous les candidats", 197.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "11880", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11880&g_ta_cod=11880", 100.0, 0.0, 0.0),
(10657, "Public", "0422152L", "Université Jean Monnet - Campus de Roanne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Roanne", "formation non sélective", "Licence", "Université Jean-Monnet - Campus de Roanne - Licence - Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "Sciences pour l'ingénieur - Roanne", 52, 439, 115, 348, 0, 201, 45, 25, 7, 3, 2, 119, 91, 16, 1, 0, 74, 326, 62, 0, 0, 201, 45, 25, 7, 3, 2, 97, 323, 33, 11, 13, 20, 0.0, 13.0, 26.0, 0, 4, 13, 12, 1, 0, 20, 2, 8, 3, 0, 0, 0.0, 3, 0, 0, 0, 0, 6, 6, 0.0, 39.39, 78.79, 33.296875, 46.1953125, 46.1953125, 0, 30.796875, 39.3984375, 15.3984375, 61.5, 23.09765625, 0.0, 0.0, 0.0, 92.296875, 23.09765625, 7.69921875, 0.0, 0.0, 0.0, 177.0, 42.0, 3.0, 2.0, 122.0, "Tous les candidats", 326.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "5379", "Licence - Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5358&g_ta_cod=5379", 88.0, 6.0, 6.0),
(10658, "Public", "0670085D", "Lycée Louis Couffignal", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Louis Couffignal - BTS - Production - Electrotechnique", "BTS - Production", "", 60, 400, 18, 377, 0, 19, 2, 86, 29, 161, 60, 111, 23, 0, 7, 4, 12, 278, 7, 0, 0, 19, 2, 75, 24, 152, 56, 32, 209, 53, 0, 51, 2, 11.0, 34.0, 51.0, 0, 18, 43, 2, 7, 34, 10, 0, 21, 10, 10, 2, 0.0, 2, 0, 20, 10, 0, 38, 38, 20.75, 64.15, 96.23, 0.0, 88.390625, 88.390625, 23.296875, 41.8984375, 81.09375, 0.0, 48.796875, 23.296875, 23.296875, 4.7, 0.0, 4.69921875, 4.69921875, 16.296875, 0.0, 79.09375, 46.5, 17.0, 2.0, 100.0, 39.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 158, "Bacheliers technologiques toutes séries", 87, "Liste d'appel propre à cette formation", 71.0, "7940", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7940&g_ta_cod=7940", 8.0, 17.0, 75.0),
(10659, "Privé enseignement supérieur", "0251746M", "IRTS de Franche-Comté", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "EFTS", "IRTS de Franche-Comté - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 25, 234, 221, 234, 0, 37, 4, 47, 6, 38, 8, 112, 0, 0, 0, 0, 0, 201, 0, 0, 0, 29, 2, 39, 4, 34, 7, 99, 47, 30, 30, 30, 0, 20.0, 27.0, 28.0, 0, 1, 11, 4, 2, 5, 19, 0, 1, 5, 2, 3, 0.0, 4, 2, 4, 0, 0, 9, 9, 66.67, 90.0, 93.33, 100.0, 81.796875, 81.796875, 0, 9.099609375, 36.6953125, 0.0, 9.099609375, 45.5, 18.19921875, 27.3, 0.0, 36.3984375, 36.3984375, 18.19921875, 18.19921875, 45.5, 36.3984375, 9.0, 0.0, 10.0, 3.0, 24.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "24833", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24833&g_ta_cod=24833", 50.0, 27.0, 23.0),
(10660, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence_Las", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Eurasie - Arménien", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères, parcours Eurasie - Arménien", 10, 66, 46, 45, 0, 16, 6, 6, 4, 5, 4, 18, 21, 3, 3, 1, 14, 45, 13, 0, 0, 16, 6, 6, 4, 5, 4, 18, 49, 9, 8, 3, 6, 0.0, 3.0, 6.0, 0, 2, 6, 3, 2, 1, 3, 0, 4, 1, 1, 0, 0.0, 1, 0, 1, 0, 0, 2, 5, 0.0, 33.33, 66.67, 88.890625, 33.296875, 83.296875, 0, 33.296875, 66.6875, 0.0, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 50.0, 16.69921875, 33.296875, 0.0, 16.69921875, 16.69921875, 17.0, 7.0, 4.0, 3.0, 20.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "29614", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Eurasie - Arménien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29613&g_ta_cod=29614", 67.0, 22.0, 11.0),
(10661, "Privé sous contrat d'association", "0590343C", "ISA", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Réseau France Agro3 - Formation d'ingénieur Bac + 5 - Voie d'accès Bac +1", "Formations  des écoles d'ingénieurs", "Voie d'accès Bac +1", 12, 134, 80, 134, 0, 0, 0, 0, 0, 0, 0, 134, 0, 0, 0, 0, 0, 83, 0, 0, 0, 0, 0, 0, 0, 0, 0, 83, 49, 12, 8, 12, 0, 5.0, 8.0, 10.0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 41.67, 66.67, 83.33, 66.6875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 49.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "30927", "Formation d'ingénieur Bac + 5 - Voie d'accès Bac +1", "Réseau France Agro3", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30885&g_ta_cod=30927", 100.0, 0.0, 0.0),
(10662, "Privé sous contrat d'association", "0131398Z", "Lycée Maximilien de Sully", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "BTS", "Lycée Maximilien de Sully - BTS - Services - Assurance", "BTS - Services", "", 32, 479, 282, 380, 0, 62, 26, 118, 60, 63, 40, 137, 99, 8, 12, 22, 57, 211, 21, 0, 0, 49, 19, 79, 41, 32, 16, 51, 136, 20, 13, 15, 5, 4.0, 12.0, 17.0, 0, 8, 14, 4, 4, 6, 6, 0, 7, 6, 1, 0, 0.0, 1, 1, 5, 1, 0, 14, 14, 20.0, 60.0, 85.0, 65.0, 100.0, 100.0, 7.099609375, 57.09375, 70.0, 0.0, 50.0, 42.8984375, 7.099609375, 0.0, 0.0, 28.59765625, 7.099609375, 28.59765625, 7.099609375, 42.8984375, 35.6953125, 28.0, 13.0, 25.0, 14.0, 51.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 41.0, "2637", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2637&g_ta_cod=2637", 25.0, 40.0, 35.0),
(10663, "Privé sous contrat d'association", "0300125Y", "Lycée De La Salle", "30", "Gard", "Occitanie", "Montpellier", "Alès", "formation sélective", "BTS", "Lycée De La Salle - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 15, 98, 12, 95, 0, 8, 1, 41, 11, 18, 9, 28, 3, 0, 0, 0, 3, 81, 0, 0, 0, 8, 1, 38, 10, 14, 6, 21, 53, 11, 0, 11, 0, 5.0, 10.0, 10.0, 0, 5, 8, 1, 7, 0, 3, 0, 0, 4, 4, 0, 0.0, 1, 7, 0, 5, 0, 7, 7, 45.45, 90.91, 90.91, 0.0, 87.5, 87.5, 62.5, 62.5, 72.6875, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 12.5, 12.5, 87.5, 87.5, 0.0, 0.0, 6.0, 1.0, 12.0, 6.0, 8.0, "Tous les candidats sauf les Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 75.0, "3973", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3973&g_ta_cod=3973", 27.0, 73.0, 0.0),
(10664, "Public", "0692517L", "LPO Camus-Sermenaz", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Rillieux-la-Pape", "formation sélective", "BTS", "LPO Camus-Sermenaz - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 975, 653, 975, 0, 40, 18, 331, 158, 309, 189, 295, 0, 0, 0, 0, 0, 497, 0, 0, 0, 28, 11, 167, 68, 213, 130, 89, 202, 30, 26, 30, 0, 4.0, 25.0, 27.0, 0, 15, 26, 0, 10, 16, 4, 0, 12, 11, 3, 0, 0.0, 0, 5, 9, 11, 10, 26, 26, 13.33, 83.33, 90.0, 86.6875, 100.0, 100.0, 42.296875, 57.6953125, 86.6875, 0.0, 46.1953125, 42.296875, 11.5, 0.0, 0.0, 0.0, 0.0, 38.5, 19.19921875, 61.5, 34.59375, 4.0, 3.0, 81.0, 51.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 117, "Bacheliers technologiques toutes séries", 147, "Liste d'appel propre à cette formation", 28.0, "22242", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22242&g_ta_cod=22242", 7.0, 40.0, 53.0),
(10665, "Public", "0690037R", "Lycée La Martinière-Diderot", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "BTS", "Lycée La Martinière-Diderot - BTS - Production - Innovations textiles - Option B : Traitements", "BTS - Production", "", 15, 213, 117, 169, 0, 28, 7, 41, 13, 19, 7, 81, 44, 0, 18, 10, 16, 58, 9, 0, 0, 12, 2, 19, 5, 10, 1, 17, 56, 12, 6, 7, 5, 3.0, 6.0, 7.0, 0, 3, 9, 2, 5, 2, 3, 0, 6, 1, 1, 1, 0.0, 0, 2, 1, 1, 0, 7, 7, 25.0, 50.0, 58.33, 50.0, 77.796875, 77.796875, 11.099609375, 33.296875, 75.0, 0.0, 66.6875, 11.099609375, 11.099609375, 11.1, 0.0, 22.19921875, 0.0, 55.59375, 22.19921875, 22.19921875, 11.099609375, 9.0, 2.0, 10.0, 1.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 29.0, "8202", "BTS - Production - Innovations textiles - Option B : Traitements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8202&g_ta_cod=8202", 25.0, 42.0, 33.0),
(10666, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence_Las", "Université de Franche-Comté - Site de Besançon - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 45, 1330, 1141, 1330, 0, 695, 160, 146, 43, 50, 19, 439, 0, 0, 0, 0, 0, 1330, 0, 0, 0, 695, 160, 146, 43, 50, 19, 439, 269, 42, 39, 42, 0, 2.0, 21.0, 28.0, 0, 5, 35, 22, 6, 7, 7, 0, 3, 19, 10, 3, 0.0, 20, 5, 7, 0, 0, 35, 35, 4.76, 50.0, 66.67, 92.890625, 100.0, 100.0, 0, 14.298828125, 83.296875, 0.0, 8.599609375, 54.296875, 28.59765625, 8.6, 0.0, 62.8984375, 57.09375, 17.09765625, 14.298828125, 20.0, 20.0, 141.0, 24.0, 20.0, 7.0, 82.0, "Tous les candidats", 707.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "27299", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27298&g_ta_cod=27299", 67.0, 17.0, 17.0),
(10667, "Public", "0400830K", "IFSI CH Mont de Marsan", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Mont-de-Marsan", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bordeaux - D.E Infirmier", "D.E secteur sanitaire", "", 82, 6072, 5078, 6072, 0, 1167, 210, 1042, 259, 486, 145, 3377, 0, 0, 0, 0, 0, 4843, 0, 0, 0, 1069, 179, 924, 219, 325, 101, 2525, 1254, 82, 72, 82, 0, 2.0, 20.0, 54.0, 0, 14, 49, 19, 27, 3, 33, 0, 11, 20, 15, 3, 0.0, 14, 21, 3, 0, 0, 37, 37, 2.44, 24.39, 65.85, 87.796875, 75.5, 75.5, 0, 28.59765625, 59.796875, 0.0, 22.3984375, 40.796875, 30.59765625, 6.1, 0.0, 38.796875, 28.59765625, 55.09375, 42.8984375, 6.099609375, 6.099609375, 243.0, 57.0, 26.0, 7.0, 691.0, "Tous les candidats", 3177.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "23949", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23940&g_ta_cod=23949", 49.0, 48.0, 4.0),
(10668, "Public", "0590221V", "Lycée Henri Wallon", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée Henri Wallon - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 583, 80, 581, 0, 108, 27, 133, 50, 135, 58, 205, 2, 0, 0, 1, 1, 270, 0, 0, 0, 70, 18, 72, 25, 112, 45, 16, 109, 35, 2, 35, 0, 11.0, 33.0, 35.0, 0, 13, 30, 9, 6, 15, 5, 0, 7, 15, 6, 2, 0.0, 7, 6, 10, 3, 0, 30, 30, 31.43, 94.29, 100.0, 5.69921875, 100.0, 100.0, 10, 43.296875, 85.6875, 0.0, 23.296875, 50.0, 20.0, 6.7, 0.0, 30.0, 23.296875, 20.0, 20.0, 50.0, 33.296875, 23.0, 7.0, 57.0, 22.0, 9.0, "Tous les candidats sauf les Bac professionnels", 105.0, "Bacheliers professionnels toutes séries", 82, "", 0, "Liste d'appel propre à cette formation", 32.0, "6847", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6847&g_ta_cod=6847", 31.0, 20.0, 49.0),
(10669, "Public", "0420957M", "I.U.T de Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BUT", "I.U.T de Saint-Etienne - BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", "BUT - Production", "Techniques d'instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", 116, 1380, 288, 1337, 0, 942, 107, 134, 32, 1, 1, 260, 43, 6, 10, 0, 27, 1214, 23, 0, 0, 887, 92, 111, 23, 0, 0, 216, 1038, 91, 18, 84, 7, 26.0, 59.0, 86.0, 0, 16, 74, 60, 14, 0, 17, 0, 27, 26, 19, 2, 0.0, 34, 13, 0, 0, 0, 39, 39, 28.57, 64.84, 94.51, 19.796875, 52.6953125, 52.6953125, 0, 21.59765625, 81.296875, 0.0, 36.5, 35.09375, 25.69921875, 2.7, 0.0, 81.09375, 45.8984375, 18.8984375, 17.59765625, 0.0, 0.0, 739.0, 84.0, 0.0, 0.0, 193.0, "Tous les candidats sauf les Bac technologiques", 1086.0, "Bacheliers technologiques toutes séries", 129, "", 0, "Liste d'appel propre à cette formation", 91.0, "5308", "BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5308&g_ta_cod=5308", 79.0, 21.0, 0.0),
(10670, "Privé enseignement supérieur", "0340139S", "INSTITUT PROTESTANT DE THEOLOGIE, FACULTE LIBRE DE MONTPELLIER", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "INSTITUT PROTESTANT DE THEOLOGIE, FACULTE LIBRE DE MONTPELLIER - Licence - Théologie Protestante", "Licence - Sciences humaines et sociales", "", 50, 25, 15, 9, 0, 2, 1, 2, 1, 1, 1, 4, 16, 2, 0, 1, 13, 9, 16, 0, 0, 2, 1, 2, 1, 1, 1, 4, 25, 2, 2, 0, 2, 0.0, 0.0, 2.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 100.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4.0, 2.0, 2.0, 2.0, 17.0, "Tous les candidats", 9.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "31822", "Licence - Théologie Protestante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31822&g_ta_cod=31822", 50.0, 0.0, 0.0),
(10671, "Public", "0741510P", "Polytech Annecy-Chambéry", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 115, 7245, 1837, 7245, 0, 6465, 480, 0, 0, 0, 0, 780, 0, 0, 0, 0, 0, 5032, 0, 0, 0, 4747, 277, 0, 0, 0, 0, 285, 3340, 114, 31, 114, 0, 36.0, 81.0, 109.0, 0, 11, 109, 109, 0, 0, 5, 0, 0, 30, 58, 20, 1.0, 109, 0, 0, 0, 0, 55, 55, 31.58, 71.05, 95.61, 27.19921875, 50.5, 50.5, 0, 10.099609375, 95.59375, 0.0, 0.0, 27.5, 53.1953125, 18.3, 0.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 3172.0, 251.0, 0.0, 0.0, 168.0, "Autres candidats", 10512.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 54.0, "30", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=30", 100.0, 0.0, 0.0),
(10672, "Public", "0251018W", "I.U.T de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BUT", "I.U.T de Besançon - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", 140, 1344, 711, 1266, 0, 638, 93, 370, 109, 10, 0, 248, 78, 3, 29, 0, 46, 823, 9, 0, 0, 453, 60, 239, 61, 2, 0, 129, 614, 133, 75, 130, 3, 34.0, 101.0, 118.0, 0, 16, 102, 69, 33, 0, 31, 1, 21, 48, 31, 1, 0.0, 55, 25, 0, 0, 0, 92, 92, 25.56, 75.94, 88.72, 56.3984375, 90.1875, 90.1875, 0, 15.69921875, 76.6875, 1.0, 20.59765625, 47.09375, 30.3984375, 1.0, 0.0, 67.59375, 53.8984375, 32.3984375, 24.5, 0.0, 0.0, 292.0, 48.0, 1.0, 0.0, 113.0, "Tous les candidats sauf les Bac technologiques", 491.0, "Bacheliers technologiques toutes séries", 264, "", 0, "Liste d'appel propre à cette formation", 60.0, "3507", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3507&g_ta_cod=3507", 69.0, 31.0, 0.0),
(10673, "Public", "0930830X", "Lycée Albert Schweitzer", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Le Raincy", "formation sélective", "BTS", "Lycée Albert Schweitzer - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 1503, 825, 1503, 0, 182, 78, 483, 265, 306, 185, 532, 0, 0, 0, 0, 0, 394, 0, 0, 0, 64, 25, 142, 79, 140, 83, 48, 132, 35, 22, 35, 0, 11.0, 29.0, 33.0, 0, 16, 31, 9, 14, 8, 4, 0, 7, 16, 5, 3, 0.0, 8, 12, 4, 11, 7, 30, 31, 31.43, 82.86, 94.29, 62.8984375, 96.796875, 100.0, 35.5, 51.59375, 88.59375, 0.0, 22.59765625, 51.59375, 16.09765625, 9.7, 0.0, 29.0, 25.796875, 45.1953125, 38.6953125, 25.796875, 12.8984375, 33.0, 14.0, 24.0, 15.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 11.0, "11206", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11206&g_ta_cod=11206", 37.0, 40.0, 23.0),
(10674, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Lettres / Langues, littératures & civilisations étrangères et régionales - LETTRES MODERNES - LLCER ITALIEN NON DEBUTANT", "Licence - Arts-lettres-langues", "LETTRES MODERNES - LLCER ITALIEN NON DEBUTANT", 30, 164, 114, 77, 0, 52, 7, 1, 0, 2, 1, 22, 87, 17, 3, 7, 60, 75, 76, 0, 0, 52, 7, 1, 0, 2, 1, 20, 144, 26, 13, 8, 18, 2.0, 8.0, 17.0, 0, 1, 9, 7, 1, 1, 17, 0, 5, 3, 0, 1, 0.0, 4, 0, 0, 0, 0, 2, 7, 7.69, 30.77, 65.38, 50.0, 22.19921875, 77.796875, 0, 11.099609375, 34.59375, 0.0, 55.59375, 33.296875, 0.0, 11.1, 0.0, 77.796875, 44.3984375, 11.099609375, 0.0, 11.099609375, 0.0, 64.0, 9.0, 5.0, 3.0, 71.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "12472", "Double licence - Lettres / Langues, littératures & civilisations étrangères et régionales - LETTRES MODERNES - LLCER ITALIEN NON DEBUTANT", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12472&g_ta_cod=12472", 69.0, 12.0, 19.0),
(10675, "Public", "0190244M", "Lycée agricole de Brive-Voutezac", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Voutezac", "formation sélective", "BTS", "Lycée agricole de Brive-Voutezac - BTS - Agricole - Production horticole", "BTS - Agricole", "", 23, 192, 72, 188, 0, 19, 3, 22, 4, 23, 8, 124, 4, 0, 0, 2, 2, 82, 2, 0, 0, 11, 1, 17, 3, 23, 8, 31, 70, 20, 8, 19, 1, 3.0, 19.0, 20.0, 0, 3, 6, 0, 0, 6, 14, 0, 3, 2, 1, 0, 0.0, 0, 0, 3, 4, 0, 4, 4, 15.0, 95.0, 100.0, 40.0, 66.6875, 66.6875, 66.6875, 50.0, 30.0, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 8.0, 1.0, 22.0, 9.0, 26.0, "Tous les candidats sauf les Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 43.0, "3158", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3158&g_ta_cod=3158", 60.0, 0.0, 40.0),
(10676, "Privé sous contrat d'association", "0370074E", "ITS", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "EFTS", "ITS - D.E Educateur Technique Spécialisé", "D.E secteur social", "", 15, 19, 15, 17, 0, 2, 1, 3, 0, 3, 0, 9, 2, 0, 0, 0, 2, 3, 1, 0, 0, 1, 0, 0, 0, 0, 0, 2, 4, 3, 3, 2, 1, 2.0, 2.0, 2.0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 66.67, 66.67, 66.67, 100.0, 100.0, 100.0, 0, 0.0, 33.296875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "24867", "D.E Educateur Technique Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24867&g_ta_cod=24867", 67.0, 0.0, 33.0),
(10677, "Public", "9711052S", "I.U.T de la Guadeloupe - Campus de St-Claude", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Saint-Claude", "formation sélective", "BUT", "I.U.T de la Guadeloupe - Campus de St-Claude - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 16, 145, 102, 134, 0, 67, 21, 42, 19, 3, 0, 22, 11, 7, 0, 0, 4, 103, 4, 0, 0, 57, 14, 32, 13, 0, 0, 14, 87, 18, 16, 14, 2, 0.0, 13.0, 14.0, 0, 4, 15, 8, 7, 0, 3, 0, 8, 7, 0, 0, 0.0, 3, 4, 0, 0, 0, 15, 15, 0.0, 72.22, 77.78, 88.890625, 100.0, 100.0, 0, 26.69921875, 83.296875, 0.0, 53.296875, 46.6953125, 0.0, 0.0, 0.0, 53.296875, 20.0, 46.6953125, 26.69921875, 0.0, 0.0, 48.0, 13.0, 0.0, 0.0, 16.0, "Tous les candidats sauf les Bac technologiques", 66.0, "Bacheliers technologiques toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 72.0, "11767", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11767&g_ta_cod=11767", 61.0, 39.0, 0.0),
(10678, "Public", "0810959C", "Lycée La Borde Basse", "81", "Tarn", "Occitanie", "Toulouse", "Castres", "formation sélective", "BTS", "Lycée La Borde Basse - BTS - Production - Bioqualité", "BTS - Production", "", 24, 320, 206, 259, 0, 26, 1, 90, 21, 17, 8, 126, 61, 20, 6, 7, 28, 107, 10, 0, 0, 11, 0, 60, 12, 8, 2, 28, 84, 16, 8, 11, 5, 5.0, 11.0, 13.0, 0, 2, 8, 2, 4, 2, 8, 0, 4, 2, 2, 0, 0.0, 1, 2, 1, 4, 1, 7, 7, 31.25, 68.75, 81.25, 50.0, 87.5, 87.5, 50, 25.0, 50.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 25.0, 12.5, 50.0, 25.0, 25.0, 12.5, 15.0, 0.0, 8.0, 2.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 39.0, "10282", "BTS - Production - Bioqualité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10282&g_ta_cod=10282", 25.0, 56.0, 19.0),
(10679, "Public", "0421976V", "Lycée Francois Mauriac-Forez", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Andrézieux-Bouthéon", "formation sélective", "Autre formation", "Lycée Francois Mauriac-Forez - Mention complémentaire - FCIL Administrateur réseau, infrastructure et système numérique", "Mention complémentaire", "", 12, 23, 2, 16, 0, 1, 0, 2, 1, 7, 4, 6, 7, 0, 1, 2, 4, 9, 5, 0, 0, 1, 0, 2, 1, 6, 3, 0, 17, 3, 0, 2, 1, 2.0, 2.0, 2.0, 0, 0, 2, 1, 0, 1, 1, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 66.67, 66.67, 66.67, 0.0, 100.0, 100.0, 0, 0.0, 66.6875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 1.0, 0.0, 10.0, 6.0, 2.0, "Tous les candidats", 9.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "30691", "Mention complémentaire - FCIL Administrateur réseau, infrastructure et système numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30691&g_ta_cod=30691", 33.0, 0.0, 67.0),
(10680, "Public", "0260023J", "Lycée Du Dauphine", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Romans-sur-Isère", "formation sélective", "BTS", "Lycée Du Dauphine - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 379, 251, 361, 0, 14, 3, 140, 49, 130, 57, 77, 18, 0, 2, 10, 6, 276, 6, 0, 0, 12, 3, 128, 44, 93, 33, 43, 168, 22, 13, 17, 5, 0.0, 15.0, 15.0, 0, 7, 14, 1, 6, 7, 8, 0, 10, 4, 0, 0, 0.0, 0, 3, 1, 6, 6, 14, 14, 0.0, 68.18, 68.18, 59.09375, 100.0, 100.0, 42.8984375, 50.0, 63.59375, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 7.099609375, 0.0, 42.8984375, 21.3984375, 50.0, 7.099609375, 7.0, 3.0, 62.0, 24.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 105, "Bacheliers technologiques toutes séries", 103, "Liste d'appel propre à cette formation", 61.0, "12398", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12398&g_ta_cod=12398", 9.0, 45.0, 45.0),
(10681, "Public", "0511196Y", "Lycée de Somme-Vesle", "51", "Marne", "Grand Est", "Reims", "Somme-Vesle", "formation sélective", "BTS", "Lycée de Somme-Vesle - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 19, 265, 71, 251, 0, 30, 4, 66, 13, 39, 7, 116, 14, 2, 1, 2, 9, 146, 5, 0, 0, 28, 4, 65, 13, 33, 4, 20, 92, 18, 1, 14, 4, 2.0, 14.0, 18.0, 0, 1, 15, 3, 5, 7, 3, 0, 9, 4, 2, 0, 0.0, 1, 3, 2, 3, 0, 10, 10, 11.11, 77.78, 100.0, 5.599609375, 66.6875, 66.6875, 20, 6.69921875, 83.296875, 0.0, 60.0, 26.69921875, 13.298828125, 0.0, 0.0, 20.0, 6.69921875, 33.296875, 20.0, 46.6953125, 13.298828125, 18.0, 2.0, 21.0, 3.0, 16.0, "Tous les candidats sauf les Bac professionnels", 110.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 58.0, "6111", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6111&g_ta_cod=6111", 22.0, 28.0, 50.0),
(10682, "Public", "0952261S", "CY TECH - Université de Cergy-Pontoise", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "Concours GalaxY - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "Double diplôme - Ingénieur en Informatique - Designer", 40, 293, 81, 281, 0, 268, 52, 0, 0, 0, 0, 13, 12, 11, 0, 0, 1, 126, 3, 0, 0, 126, 28, 0, 0, 0, 0, 0, 125, 28, 17, 24, 3, 19.0, 24.0, 27.0, 0, 8, 28, 27, 1, 0, 0, 0, 4, 14, 7, 3, 0.0, 24, 0, 0, 0, 0, 16, 21, 67.86, 85.71, 96.43, 60.6953125, 57.09375, 75.0, 0, 28.59765625, 100.0, 0.0, 14.298828125, 50.0, 25.0, 10.7, 0.0, 96.390625, 85.6875, 3.599609375, 0.0, 0.0, 0.0, 123.0, 27.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "31250", "Formation d'ingénieur Bac + 5", "Concours GalaxY", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31208&g_ta_cod=31250", 96.0, 4.0, 0.0),
(10683, "Privé sous contrat d'association", "0251028G", "Institution Notre-Dame Saint-Jean - LYCEE", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Institution Notre-Dame Saint-Jean - LYCEE - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 32, 435, 228, 431, 0, 82, 16, 138, 31, 118, 40, 93, 4, 0, 0, 0, 4, 334, 2, 0, 0, 73, 12, 118, 26, 78, 24, 65, 163, 26, 17, 24, 2, 2.0, 18.0, 22.0, 0, 2, 17, 5, 7, 5, 9, 0, 5, 9, 3, 0, 0.0, 3, 5, 4, 3, 1, 16, 16, 7.69, 69.23, 84.62, 65.390625, 94.09375, 94.09375, 17.59765625, 11.798828125, 65.390625, 0.0, 29.3984375, 52.8984375, 17.59765625, 0.0, 0.0, 29.3984375, 17.59765625, 41.1953125, 29.3984375, 29.3984375, 23.5, 34.0, 8.0, 37.0, 9.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 45.0, "3513", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3513&g_ta_cod=3513", 27.0, 42.0, 31.0),
(10684, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues étrangères appliquées - Parcours Anglais-Portugais", "Licence - Arts-lettres-langues", "Anglais-Portugais", 47, 216, 148, 105, 0, 62, 23, 9, 5, 4, 1, 30, 111, 13, 5, 6, 87, 105, 108, 0, 0, 62, 23, 9, 5, 4, 1, 30, 203, 46, 27, 13, 33, 4.0, 13.0, 36.0, 0, 8, 16, 13, 2, 1, 30, 0, 5, 9, 2, 0, 0.0, 9, 1, 1, 0, 0, 4, 4, 8.7, 28.26, 78.26, 58.6953125, 25.0, 25.0, 0, 50.0, 34.796875, 0.0, 31.296875, 56.296875, 12.5, 0.0, 0.0, 81.296875, 56.296875, 12.5, 6.2998046875, 6.2998046875, 6.2998046875, 74.0, 30.0, 6.0, 3.0, 113.0, "Tous les candidats", 105.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4581", "Licence - Langues étrangères appliquées - Parcours Anglais-Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4581&g_ta_cod=4581", 74.0, 11.0, 15.0),
(10685, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Information et communication", "Licence - Sciences humaines et sociales", "", 160, 1176, 736, 1176, 0, 687, 121, 114, 33, 22, 5, 353, 0, 0, 0, 0, 0, 1143, 0, 0, 0, 687, 121, 114, 33, 22, 5, 320, 1143, 187, 81, 187, 0, 185.0, 186.0, 186.0, 0, 30, 107, 79, 21, 7, 80, 0, 56, 37, 13, 1, 0.0, 35, 13, 3, 0, 0, 70, 70, 98.93, 99.47, 99.47, 43.296875, 65.390625, 65.390625, 0, 28.0, 57.1953125, 0.0, 52.296875, 34.59375, 12.099609375, 0.9, 0.0, 73.796875, 32.6953125, 19.59765625, 12.099609375, 6.5, 2.7998046875, 687.0, 121.0, 22.0, 5.0, 320.0, "Tous les candidats", 1144.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "6619", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6619&g_ta_cod=6619", 66.0, 21.0, 11.0),
(10686, "Public", "0590073J", "Lycée Auguste Angellier", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "Lycée Auguste Angellier - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 251, 138, 196, 0, 37, 8, 30, 10, 44, 18, 85, 55, 0, 22, 7, 26, 114, 12, 0, 0, 36, 8, 12, 6, 32, 15, 34, 77, 22, 16, 17, 5, 6.0, 13.0, 21.0, 0, 5, 14, 3, 3, 8, 8, 0, 9, 5, 0, 0, 0.0, 0, 2, 3, 0, 0, 12, 12, 27.27, 59.09, 95.45, 72.6875, 85.6875, 85.6875, 0, 35.6953125, 63.59375, 0.0, 64.296875, 35.6953125, 0.0, 0.0, 0.0, 21.3984375, 0.0, 21.3984375, 14.298828125, 57.09375, 21.3984375, 9.0, 3.0, 32.0, 15.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 45.0, "6762", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6762&g_ta_cod=6762", 27.0, 32.0, 41.0),
(10687, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Portail Philosophie - Licence 1 Philosophie", "Licence - Sciences humaines et sociales", "Licence 1 Philosophie", 135, 982, 610, 803, 0, 483, 118, 48, 17, 9, 5, 263, 179, 27, 17, 6, 129, 802, 172, 0, 0, 483, 118, 48, 17, 9, 5, 262, 674, 128, 66, 63, 63, 6.0, 62.0, 102.0, 0, 20, 58, 40, 14, 4, 70, 0, 33, 17, 5, 2, 1.0, 21, 3, 1, 0, 0, 44, 44, 4.69, 48.44, 79.69, 51.59375, 75.890625, 75.890625, 0, 34.5, 45.296875, 0.0, 56.8984375, 29.296875, 8.599609375, 3.4, 1.7, 69.0, 36.1953125, 24.09765625, 5.19921875, 6.8994140625, 1.699951171875, 288.0, 83.0, 11.0, 7.0, 328.0, "Tous les candidats", 926.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "4424", "Licence - Portail Philosophie - Licence 1 Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26921&g_ta_cod=4424", 77.0, 19.0, 4.0),
(10688, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Catalan", "Licence - Arts-lettres-langues", "Catalan", 30, 85, 51, 60, 0, 15, 4, 12, 7, 12, 7, 21, 25, 0, 3, 3, 19, 60, 25, 0, 0, 15, 4, 12, 7, 12, 7, 21, 85, 11, 6, 4, 7, 4.0, 4.0, 6.0, 0, 2, 2, 0, 1, 1, 9, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 36.36, 36.36, 54.55, 54.5, 50.0, 50.0, 0, 100.0, 18.19921875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 15.0, 4.0, 15.0, 9.0, 40.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4151", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Catalan", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4151&g_ta_cod=4151", 9.0, 64.0, 27.0),
(10689, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - LLCER ESPAGNOL - LLCER PORTUGAIS", "Licence - Arts-lettres-langues", "LLCER ESPAGNOL - LLCER PORTUGAIS", 40, 218, 154, 60, 0, 41, 10, 6, 2, 2, 0, 11, 158, 31, 23, 18, 86, 60, 13, 0, 0, 41, 10, 6, 2, 2, 0, 11, 70, 22, 18, 16, 6, 12.0, 16.0, 22.0, 0, 5, 17, 15, 2, 0, 5, 0, 7, 7, 2, 1, 0.0, 10, 0, 0, 0, 0, 1, 16, 54.55, 72.73, 100.0, 81.796875, 5.8994140625, 94.09375, 0, 29.3984375, 77.296875, 0.0, 41.1953125, 41.1953125, 11.798828125, 5.9, 0.0, 88.1875, 58.796875, 11.798828125, 0.0, 0.0, 0.0, 47.0, 10.0, 2.0, 0.0, 15.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9291", "Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - LLCER ESPAGNOL - LLCER PORTUGAIS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9291&g_ta_cod=9291", 82.0, 14.0, 5.0),
(10690, "Public", "0220027K", "Lycée Fulgence Bienvenue", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Loudéac", "formation sélective", "BTS", "Lycée Fulgence Bienvenue - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 244, 22, 241, 0, 9, 2, 33, 2, 79, 20, 120, 3, 0, 0, 3, 0, 241, 1, 0, 0, 9, 2, 33, 2, 79, 20, 120, 61, 7, 0, 6, 0, 2.0, 6.0, 6.0, 0, 2, 6, 0, 2, 4, 1, 0, 2, 4, 0, 0, 0.0, 0, 1, 3, 3, 0, 6, 6, 28.57, 85.71, 85.71, 0.0, 100.0, 100.0, 50, 33.296875, 85.6875, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 16.69921875, 66.6875, 50.0, 4.0, 2.0, 51.0, 14.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 2, "Liste d'appel propre à cette formation", 39.0, "3313", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3313&g_ta_cod=3313", 0.0, 43.0, 57.0),
(10691, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Lettres - Parcours Lettres Modernes", "Licence - Arts-lettres-langues", "Lettres Modernes", 80, 337, 277, 290, 0, 190, 43, 9, 3, 2, 2, 89, 47, 7, 1, 0, 39, 290, 46, 0, 0, 190, 43, 9, 3, 2, 2, 89, 314, 49, 40, 32, 17, 17.0, 32.0, 45.0, 0, 9, 19, 16, 3, 0, 30, 0, 8, 7, 4, 0, 0.0, 10, 1, 0, 0, 0, 13, 13, 34.69, 65.31, 91.84, 81.59375, 68.390625, 68.390625, 0, 47.3984375, 38.796875, 0.0, 42.09375, 36.796875, 21.09765625, 0.0, 0.0, 84.1875, 52.59375, 15.798828125, 5.2998046875, 0.0, 0.0, 192.0, 46.0, 1.0, 1.0, 112.0, "Tous les candidats", 291.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3869", "Licence - Lettres - Parcours Lettres Modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3869&g_ta_cod=3869", 78.0, 10.0, 6.0),
(10692, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : RUSSE", "Licence - Arts-lettres-langues", "LLCER : RUSSE", 80, 284, 192, 180, 0, 84, 35, 12, 3, 14, 7, 70, 104, 18, 4, 2, 80, 179, 101, 0, 0, 84, 35, 12, 3, 14, 7, 69, 257, 80, 49, 36, 44, 15.0, 36.0, 57.0, 0, 15, 30, 24, 2, 4, 50, 0, 14, 15, 1, 0, 0.0, 13, 1, 2, 0, 0, 7, 24, 18.75, 45.0, 71.25, 61.296875, 23.296875, 80.0, 0, 50.0, 37.5, 0.0, 46.6953125, 50.0, 3.2998046875, 0.0, 0.0, 80.0, 43.296875, 6.69921875, 3.2998046875, 13.298828125, 6.69921875, 94.0, 38.0, 10.0, 4.0, 138.0, "Tous les candidats", 177.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "9269", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : RUSSE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9269&g_ta_cod=9269", 70.0, 11.0, 13.0),
(10693, "Public", "0130059U", "Lycée professionnel Blaise Pascal", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 12e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Blaise Pascal - DN MADE - Spectacle - - Spécialité 1 : Régie lumière pour le spectacle vivant", "DN MADE", "- Spécialité 1 : Régie lumière pour le spectacle vivant", 8, 106, 47, 106, 0, 35, 5, 14, 3, 11, 1, 46, 0, 0, 0, 0, 0, 90, 0, 0, 0, 32, 5, 11, 2, 10, 1, 37, 27, 8, 3, 8, 0, 1.0, 6.0, 8.0, 0, 1, 4, 3, 1, 0, 4, 0, 0, 2, 2, 0, 0.0, 3, 1, 0, 0, 0, 0, 0, 12.5, 75.0, 100.0, 37.5, 0.0, 0.0, 0, 25.0, 50.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 75.0, 75.0, 25.0, 25.0, 0.0, 0.0, 17.0, 2.0, 1.0, 0.0, 5.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "24104", "DN MADE - Spectacle - - Spécialité 1 : Régie lumière pour le spectacle vivant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24104&g_ta_cod=24104", 88.0, 13.0, 0.0),
(10694, "Public", "0861273S", "CNED", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Chasseneuil-du-Poitou", "formation sélective", "BTS", "CNED - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 1500, 1148, 179, 854, 0, 117, 23, 114, 33, 88, 28, 535, 294, 32, 42, 35, 185, 854, 283, 0, 0, 117, 23, 114, 33, 88, 28, 535, 1136, 241, 27, 132, 109, 129.0, 131.0, 182.0, 0, 24, 79, 22, 28, 29, 162, 1, 47, 17, 12, 2, 0.0, 8, 8, 15, 0, 0, 11, 11, 53.53, 54.36, 75.52, 11.19921875, 13.8984375, 13.8984375, 0, 30.3984375, 32.796875, 1.2998046875, 59.5, 21.5, 15.19921875, 2.5, 0.0, 27.796875, 10.099609375, 35.3984375, 10.099609375, 36.6953125, 19.0, 149.0, 32.0, 123.0, 44.0, 713.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 581.0, "Bacheliers professionnels toutes séries", 116, "Bacheliers technologiques toutes séries", 158, "Liste d'appel propre à cette formation", 100.0, "20811", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20811&g_ta_cod=20811", 50.0, 27.0, 22.0),
(10695, "Public", "0133244F", "Lycée Marie Madeleine Fourcade", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Gardanne", "formation sélective", "BTS", "Lycée Marie Madeleine Fourcade - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 274, 14, 270, 0, 12, 1, 72, 12, 104, 43, 82, 4, 0, 2, 0, 2, 167, 0, 0, 0, 12, 1, 61, 4, 79, 31, 15, 111, 23, 0, 23, 0, 2.0, 17.0, 19.0, 0, 7, 22, 3, 7, 12, 1, 0, 11, 7, 3, 1, 0.0, 0, 2, 9, 3, 0, 19, 19, 8.7, 73.91, 82.61, 0.0, 86.390625, 86.390625, 13.599609375, 31.796875, 95.6875, 0.0, 50.0, 31.796875, 13.599609375, 4.5, 0.0, 13.599609375, 0.0, 31.796875, 9.099609375, 54.5, 40.8984375, 9.0, 1.0, 50.0, 20.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 51.0, "2797", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2797&g_ta_cod=2797", 13.0, 35.0, 52.0),
(10696, "Public", "0772432A", "I.U.T de Marne la Vallée", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Champs-sur-Marne", "formation sélective", "BUT", "I.U.T de Marne la Vallée - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Bureaux d'études Conception", "BUT - Production", "Travaux Bâtiment - Travaux Publics - Bureaux d'études Conception", 96, 2215, 399, 2215, 0, 1031, 259, 702, 206, 34, 7, 448, 0, 0, 0, 0, 0, 1549, 0, 0, 0, 791, 199, 548, 154, 0, 0, 210, 481, 97, 13, 97, 0, 4.0, 70.0, 83.0, 0, 27, 89, 40, 49, 0, 8, 0, 14, 44, 31, 0, 0.0, 33, 42, 0, 0, 0, 55, 82, 4.12, 72.16, 85.57, 13.3984375, 61.796875, 92.09375, 0, 30.296875, 91.796875, 0.0, 15.69921875, 49.3984375, 34.796875, 0.0, 0.0, 44.8984375, 37.09375, 55.09375, 47.1953125, 0.0, 0.0, 189.0, 60.0, 0.0, 0.0, 73.0, "Tous les candidats sauf les Bac technologiques", 385.0, "Bacheliers technologiques toutes séries", 364, "", 0, "Liste d'appel propre à cette formation", 34.0, "9905", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Bureaux d'études Conception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9905&g_ta_cod=9905", 49.0, 51.0, 0.0),
(10697, "Public", "0622238W", "I.U.T. de Béthune", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "BUT", "I.U.T. de Béthune - BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services", "BUT - Production", "Management de la production de biens et de services", 52, 277, 65, 256, 0, 81, 5, 106, 36, 8, 6, 61, 21, 2, 0, 1, 18, 217, 8, 0, 0, 77, 4, 88, 28, 8, 6, 44, 191, 53, 13, 49, 4, 29.0, 43.0, 51.0, 0, 10, 39, 10, 28, 1, 14, 0, 22, 13, 4, 0, 0.0, 2, 14, 1, 0, 0, 36, 36, 54.72, 81.13, 96.23, 24.5, 92.296875, 92.296875, 0, 25.59765625, 73.59375, 0.0, 56.3984375, 33.296875, 10.298828125, 0.0, 0.0, 25.59765625, 5.099609375, 71.796875, 35.8984375, 2.599609375, 2.599609375, 66.0, 4.0, 7.0, 6.0, 47.0, "Tous les candidats sauf les Bac technologiques", 120.0, "Bacheliers technologiques toutes séries", 77, "", 0, "Liste d'appel propre à cette formation", 77.0, "7438", "BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7438&g_ta_cod=7438", 40.0, 55.0, 6.0),
(10698, "Privé sous contrat d'association", "0741237T", "Centre de Formation aux Métiers de la Montagne (CFMM) de Tronchine à Thônes", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Thônes", "formation sélective", "BTS", "Centre de Formation aux Métiers de la Montagne (CFMM) de Tronchine à Thônes - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 54, 332, 78, 330, 0, 127, 12, 68, 6, 34, 1, 101, 2, 0, 0, 0, 2, 153, 0, 0, 0, 70, 7, 28, 4, 10, 1, 45, 97, 56, 17, 56, 0, 33.0, 51.0, 55.0, 0, 4, 40, 23, 13, 4, 16, 0, 10, 18, 9, 3, 0.0, 17, 10, 3, 0, 0, 13, 13, 58.93, 91.07, 98.21, 30.3984375, 32.5, 32.5, 0, 10.0, 71.390625, 0.0, 25.0, 45.0, 22.5, 7.5, 0.0, 57.5, 42.5, 32.5, 25.0, 10.0, 7.5, 38.0, 4.0, 10.0, 1.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 31.0, "8910", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8910&g_ta_cod=8910", 63.0, 30.0, 7.0),
(10699, "Public", "0710012C", "Lycée Nicéphore Niepce", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "CPGE", "Lycée Nicéphore Niepce - CPGE - PTSI", "Classe préparatoire scientifique", "", 32, 371, 78, 348, 214, 196, 28, 0, 0, 0, 0, 152, 23, 10, 0, 0, 13, 245, 16, 172, 196, 169, 27, 0, 0, 0, 0, 76, 186, 30, 6, 23, 7, 8.0, 22.0, 30.0, 4, 2, 19, 19, 0, 0, 11, 0, 6, 5, 3, 4, 1.0, 13, 0, 0, 2, 0, 10, 10, 26.67, 73.33, 100.0, 20.0, 52.59375, 52.59375, 10.5, 10.5, 63.296875, 0.0, 31.59765625, 26.296875, 15.798828125, 21.1, 5.3, 100.0, 68.390625, 0.0, 0.0, 0.0, 0.0, 154.0, 18.0, 0.0, 0.0, 32.0, "Tous les candidats", 199.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "8620", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8620&g_ta_cod=8620", 100.0, 0.0, 0.0),
(10700, "Public", "0100025Y", "Lycée Les Lombards", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BTS", "Lycée Les Lombards - BTS - Production - Bioqualité", "BTS - Production", "", 15, 154, 95, 150, 0, 20, 5, 63, 9, 10, 5, 57, 4, 1, 0, 0, 3, 107, 0, 0, 0, 18, 4, 55, 7, 8, 3, 26, 67, 14, 8, 14, 0, 2.0, 11.0, 13.0, 0, 3, 7, 3, 3, 1, 7, 0, 5, 1, 1, 0, 0.0, 0, 1, 1, 1, 0, 4, 4, 14.29, 78.57, 92.86, 57.09375, 57.09375, 57.09375, 14.298828125, 42.8984375, 50.0, 0.0, 71.390625, 14.298828125, 14.298828125, 0.0, 0.0, 42.8984375, 0.0, 42.8984375, 14.298828125, 14.298828125, 14.298828125, 14.0, 4.0, 5.0, 2.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 54.0, "2415", "BTS - Production - Bioqualité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2415&g_ta_cod=2415", 36.0, 57.0, 7.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(10701, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Enseignement à distance", "Licence - Arts-lettres-langues", "Anglais - Enseignement à distance", 40, 352, 241, 351, 0, 151, 51, 13, 4, 12, 4, 175, 1, 0, 0, 0, 1, 346, 1, 0, 0, 151, 51, 13, 4, 12, 4, 170, 182, 38, 29, 37, 0, 3.0, 29.0, 30.0, 0, 3, 11, 8, 1, 2, 27, 0, 1, 5, 4, 1, 0.0, 7, 1, 2, 0, 0, 4, 4, 7.89, 76.32, 78.95, 76.296875, 36.3984375, 36.3984375, 0, 27.296875, 28.8984375, 0.0, 9.099609375, 45.5, 36.3984375, 9.1, 0.0, 72.6875, 63.59375, 9.099609375, 9.099609375, 18.19921875, 18.19921875, 91.0, 27.0, 4.0, 2.0, 82.0, "Tous les candidats", 294.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "19541", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19541&g_ta_cod=19541", 71.0, 13.0, 13.0),
(10702, "Privé sous contrat d'association", "0593058D", "Lycée Vauban", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "Lycée Vauban - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 168, 79, 149, 0, 19, 7, 15, 3, 8, 1, 107, 19, 1, 4, 2, 12, 69, 10, 0, 0, 19, 7, 15, 3, 8, 1, 27, 76, 12, 6, 12, 0, 5.0, 11.0, 12.0, 0, 2, 9, 3, 4, 2, 3, 0, 4, 2, 2, 1, 0.0, 1, 2, 2, 4, 3, 9, 9, 41.67, 91.67, 100.0, 50.0, 100.0, 100.0, 44.3984375, 22.19921875, 75.0, 0.0, 44.3984375, 22.19921875, 22.19921875, 11.1, 0.0, 33.296875, 11.099609375, 44.3984375, 22.19921875, 22.19921875, 22.19921875, 19.0, 7.0, 8.0, 1.0, 30.0, "Tous les candidats sauf les Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 46.0, "6968", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6968&g_ta_cod=6968", 50.0, 33.0, 17.0),
(10703, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "PASS", "Université de Nantes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 90, 4503, 3586, 4503, 0, 3673, 468, 91, 28, 15, 10, 724, 0, 0, 0, 0, 0, 4503, 0, 0, 0, 3673, 468, 91, 28, 15, 10, 724, 449, 89, 78, 89, 0, 3.0, 77.0, 88.0, 0, 17, 89, 88, 1, 0, 0, 0, 0, 6, 51, 30, 2.0, 88, 1, 0, 0, 0, 72, 72, 3.37, 86.52, 98.88, 87.59375, 80.890625, 80.890625, 0, 19.09765625, 100.0, 0.0, 0.0, 6.69921875, 57.296875, 33.7, 2.2, 98.890625, 98.890625, 1.099853515625, 1.099853515625, 0.0, 0.0, 445.0, 55.0, 0.0, 0.0, 1.0, "Tous les candidats", 1120.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "27997", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27985&g_ta_cod=27997", 99.0, 1.0, 0.0),
(10704, "Privé sous contrat d'association", "0490904S", "Lycée Jeanne Delanoue", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "BTS", "Lycée Jeanne Delanoue - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 348, 302, 199, 0, 24, 7, 45, 5, 72, 25, 58, 149, 11, 31, 55, 52, 132, 47, 0, 0, 23, 7, 32, 3, 58, 18, 19, 154, 24, 22, 9, 14, 3.0, 8.0, 21.0, 0, 5, 19, 4, 8, 7, 5, 1, 9, 8, 1, 0, 0.0, 1, 3, 5, 2, 2, 15, 15, 12.5, 33.33, 87.5, 91.6875, 78.890625, 78.890625, 10.5, 26.296875, 79.1875, 5.2998046875, 47.3984375, 42.09375, 5.2998046875, 0.0, 0.0, 21.09765625, 5.2998046875, 42.09375, 15.798828125, 36.796875, 26.296875, 26.0, 7.0, 60.0, 19.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 65.0, "5918", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5918&g_ta_cod=5918", 33.0, 38.0, 29.0),
(10705, "Privé sous contrat d'association", "0391146J", "Lycée Pasteur Mont Roland", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Dole", "formation sélective", "BTS", "Lycée Pasteur Mont Roland - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 40, 201, 92, 173, 0, 20, 5, 31, 10, 26, 5, 96, 28, 3, 3, 7, 15, 89, 18, 0, 0, 20, 5, 29, 8, 26, 5, 14, 89, 12, 1, 6, 6, 4.0, 6.0, 9.0, 0, 2, 7, 2, 2, 3, 5, 0, 5, 1, 1, 0, 0.0, 0, 0, 2, 2, 0, 6, 6, 33.33, 50.0, 75.0, 8.298828125, 85.6875, 85.6875, 28.59765625, 28.59765625, 58.296875, 0.0, 71.390625, 14.298828125, 14.298828125, 0.0, 0.0, 28.59765625, 0.0, 28.59765625, 0.0, 42.8984375, 28.59765625, 16.0, 3.0, 29.0, 6.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 51.0, "5185", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5185&g_ta_cod=5185", 33.0, 42.0, 25.0),
(10706, "Public", "0350011X", "Lycée Jean Guehenno", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Fougères", "formation sélective", "BTS", "Lycée Jean Guehenno - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 18, 134, 40, 123, 0, 6, 2, 44, 7, 52, 17, 21, 11, 0, 5, 5, 1, 96, 6, 0, 0, 4, 2, 44, 7, 35, 12, 13, 80, 15, 4, 9, 5, 3.0, 6.0, 11.0, 0, 6, 14, 2, 8, 4, 1, 0, 5, 8, 1, 0, 0.0, 2, 5, 2, 4, 0, 11, 11, 20.0, 40.0, 73.33, 26.69921875, 78.59375, 78.59375, 28.59765625, 42.8984375, 93.296875, 0.0, 35.6953125, 57.09375, 7.099609375, 0.0, 0.0, 14.298828125, 14.298828125, 57.09375, 35.6953125, 28.59765625, 14.298828125, 5.0, 2.0, 35.0, 13.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 76.0, "4623", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4623&g_ta_cod=4623", 13.0, 60.0, 27.0),
(10707, "Public", "9741180P", "I.U.T de la Réunion", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BUT", "I.U.T de la Réunion - BUT - Techniques de commercialisation", "BUT - Service", "", 56, 885, 467, 885, 0, 308, 107, 431, 231, 13, 11, 133, 0, 0, 0, 0, 0, 547, 0, 0, 0, 227, 76, 270, 138, 0, 0, 50, 180, 53, 33, 53, 0, 12.0, 45.0, 49.0, 0, 28, 53, 27, 26, 0, 0, 1, 4, 19, 24, 5, 0.0, 24, 24, 0, 0, 0, 49, 49, 22.64, 84.91, 92.45, 62.296875, 92.5, 92.5, 0, 52.796875, 100.0, 1.89990234375, 7.5, 35.796875, 45.296875, 9.4, 0.0, 50.8984375, 45.296875, 49.09375, 45.296875, 0.0, 0.0, 101.0, 46.0, 0.0, 0.0, 6.0, "Tous les candidats sauf les Bac technologiques", 140.0, "Bacheliers technologiques toutes séries", 121, "", 0, "Liste d'appel propre à cette formation", 29.0, "20631", "BUT - Techniques de commercialisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20631&g_ta_cod=20631", 51.0, 49.0, 0.0),
(10708, "Public", "0741133E", "I.U.T. Annecy", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BUT", "I.U.T. Annecy - BUT - Techniques de commercialisation Parcours : Marketing digital, e-commerce et entrepreneuriat - Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-commerce et entrepreneuriat - Business développement et management de la relation client", 115, 3539, 1717, 3539, 0, 2032, 233, 1067, 175, 41, 9, 399, 0, 0, 0, 0, 0, 1889, 0, 0, 0, 1192, 121, 646, 88, 1, 0, 50, 537, 124, 61, 124, 0, 9.0, 89.0, 107.0, 0, 16, 121, 63, 58, 0, 3, 0, 9, 62, 46, 4, 0.0, 57, 55, 0, 0, 0, 87, 87, 7.26, 71.77, 86.29, 49.1953125, 71.890625, 71.890625, 0, 13.19921875, 97.59375, 0.0, 7.3994140625, 51.1953125, 38.0, 3.3, 0.0, 52.09375, 47.09375, 47.8984375, 45.5, 0.0, 0.0, 276.0, 37.0, 0.0, 0.0, 14.0, "Tous les candidats sauf les Bac technologiques", 463.0, "Bacheliers technologiques toutes séries", 382, "", 0, "Liste d'appel propre à cette formation", 24.0, "8906", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-commerce et entrepreneuriat - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8906&g_ta_cod=8906", 51.0, 49.0, 0.0),
(10709, "Public", "0830053G", "Lycée Dumont d'Urville", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "CPGE", "Lycée Dumont d'Urville - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 260, 131, 248, 166, 200, 24, 3, 0, 0, 0, 45, 12, 5, 0, 0, 7, 228, 6, 150, 199, 198, 24, 1, 0, 0, 0, 29, 188, 6, 1, 6, 0, 1.0, 3.0, 6.0, 4, 0, 6, 6, 0, 0, 0, 0, 2, 2, 2, 0, 0.0, 4, 0, 0, 0, 0, 5, 5, 16.67, 50.0, 100.0, 16.69921875, 83.296875, 83.296875, 0, 0.0, 100.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 161.0, 16.0, 0.0, 0.0, 27.0, "Tous les candidats", 219.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "31344", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31344&g_ta_cod=31344", 100.0, 0.0, 0.0),
(10710, "Public", "0782567S", "Lycée Marie Curie", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Notariat", "BTS - Services", "", 35, 917, 643, 821, 0, 140, 35, 227, 79, 83, 35, 371, 96, 2, 7, 34, 53, 258, 0, 0, 0, 85, 18, 94, 28, 36, 13, 43, 131, 28, 22, 28, 0, 8.0, 22.0, 27.0, 0, 5, 23, 9, 9, 5, 5, 0, 3, 16, 4, 0, 0.0, 7, 8, 5, 2, 1, 19, 21, 28.57, 78.57, 96.43, 78.59375, 82.59375, 91.296875, 8.69921875, 21.69921875, 82.09375, 0.0, 13.0, 69.59375, 17.3984375, 0.0, 0.0, 39.09375, 30.3984375, 39.09375, 34.796875, 21.69921875, 21.69921875, 27.0, 5.0, 23.0, 7.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 96, "Liste d'appel propre à cette formation", 22.0, "10060", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10060&g_ta_cod=10060", 46.0, 36.0, 18.0),
(10711, "Public", "0590119J", "Lycée Faidherbe", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Faidherbe - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 647, 319, 647, 393, 538, 55, 1, 0, 0, 0, 108, 0, 0, 0, 0, 0, 488, 0, 318, 447, 450, 38, 0, 0, 0, 0, 38, 202, 24, 10, 24, 0, 1.0, 19.0, 24.0, 10, 1, 23, 23, 0, 0, 1, 0, 0, 3, 11, 8, 1.0, 23, 0, 0, 0, 0, 17, 17, 4.17, 79.17, 100.0, 41.6953125, 73.890625, 73.890625, 0, 4.2998046875, 95.796875, 0.0, 0.0, 13.0, 47.796875, 34.8, 4.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 192.0, 16.0, 0.0, 0.0, 10.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "31653", "CPGE - ECG", "", "", 100.0, 0.0, 0.0),
(10712, "Privé sous contrat d'association", "0593061G", "Lycée Saint Luc Cambrai", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "BTS", "Lycée Saint Luc Cambrai - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 40, 228, 19, 199, 0, 44, 10, 57, 13, 51, 20, 47, 29, 3, 4, 0, 22, 120, 6, 0, 0, 38, 9, 45, 11, 27, 6, 10, 88, 40, 0, 36, 4, 25.0, 36.0, 40.0, 0, 9, 36, 14, 10, 12, 4, 0, 6, 23, 7, 0, 0.0, 12, 6, 12, 14, 0, 35, 35, 62.5, 90.0, 100.0, 0.0, 97.1875, 97.1875, 38.8984375, 25.0, 90.0, 0.0, 16.69921875, 63.8984375, 19.3984375, 0.0, 0.0, 38.8984375, 33.296875, 27.796875, 16.69921875, 33.296875, 33.296875, 33.0, 8.0, 13.0, 3.0, 10.0, "Tous les candidats sauf les Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 53.0, "21211", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21211&g_ta_cod=21211", 35.0, 33.0, 33.0),
(10713, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Sociologie - Philosophie - Sciences de l'Education - Sciences du langage", "Licence - Sciences humaines et sociales", "Mention Philosophie", 50, 663, 471, 614, 0, 354, 111, 34, 9, 17, 4, 209, 49, 4, 3, 2, 40, 612, 46, 0, 0, 354, 111, 34, 9, 17, 4, 207, 455, 39, 19, 25, 14, 6.0, 21.0, 33.0, 0, 6, 16, 14, 1, 1, 23, 0, 5, 8, 2, 1, 0.0, 10, 1, 0, 0, 0, 12, 12, 15.38, 53.85, 84.62, 48.6953125, 75.0, 75.0, 0, 37.5, 41.0, 0.0, 31.296875, 50.0, 12.5, 6.3, 0.0, 87.5, 62.5, 6.2998046875, 6.2998046875, 6.2998046875, 0.0, 250.0, 79.0, 13.0, 6.0, 167.0, "Tous les candidats", 2430.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "24039", "Licence - Portail Sociologie - Philosophie - Sciences de l'Education - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24038&g_ta_cod=24039", 82.0, 10.0, 8.0),
(10714, "Public", "0130049H", "Lycée Rempart (Rue Du)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  7e  Arrondissement", "formation sélective", "BTS", "Lycée Rempart (Rue Du) - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 35, 392, 135, 380, 0, 50, 22, 145, 70, 84, 44, 101, 12, 1, 0, 0, 11, 294, 0, 0, 0, 46, 21, 136, 64, 61, 29, 51, 132, 31, 6, 31, 0, 8.0, 30.0, 31.0, 0, 16, 27, 6, 12, 9, 4, 0, 14, 11, 2, 0, 0.0, 2, 5, 6, 2, 1, 26, 26, 25.81, 96.77, 100.0, 19.3984375, 96.296875, 96.296875, 7.3994140625, 59.296875, 87.09375, 0.0, 51.8984375, 40.6953125, 7.3994140625, 0.0, 0.0, 22.19921875, 7.3994140625, 44.3984375, 18.5, 33.296875, 22.19921875, 36.0, 17.0, 44.0, 19.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 42.0, "2568", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2568&g_ta_cod=2568", 29.0, 39.0, 32.0),
(10715, "Public", "0081084K", "IUT Reims-Châlons-Charleville site de Charleville", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BUT", "IUT Reims-Châlons-Charleville site de Charleville - BUT - Techniques de commercialisation", "BUT - Service", "", 55, 623, 296, 623, 0, 281, 75, 205, 84, 20, 6, 117, 0, 0, 0, 0, 0, 506, 0, 0, 0, 248, 65, 169, 66, 10, 3, 79, 251, 55, 28, 54, 0, 12.0, 43.0, 51.0, 0, 25, 50, 22, 27, 1, 5, 0, 22, 22, 5, 1, 0.0, 13, 14, 1, 0, 0, 42, 42, 21.82, 78.18, 92.73, 50.8984375, 84.0, 84.0, 0, 50.0, 90.890625, 0.0, 44.0, 44.0, 10.0, 2.0, 0.0, 44.0, 26.0, 54.0, 28.0, 2.0, 2.0, 136.0, 42.0, 4.0, 2.0, 14.0, "Tous les candidats sauf les Bac technologiques", 202.0, "Bacheliers technologiques toutes séries", 138, "", 0, "Liste d'appel propre à cette formation", 55.0, "2386", "BUT - Techniques de commercialisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2386&g_ta_cod=2386", 44.0, 55.0, 2.0),
(10716, "Public", "0932118X", "Lycée Jean Moulin", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Le Blanc-Mesnil", "formation sélective", "Autre formation", "Lycée Jean Moulin - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 57, 23, 8, 0, 0, 0.0, 0.0, 3.0, 0, 12, 20, 0, 8, 12, 3, 0, 17, 3, 0, 0, 0.0, 0, 1, 2, 0, 0, 20, 20, 0.0, 0.0, 13.04, 34.796875, 100.0, 100.0, 0, 60.0, 87.0, 0.0, 85.0, 15.0, 0.0, 0.0, 0.0, 0.0, 0.0, 40.0, 5.0, 60.0, 10.0, 0.0, 0.0, 39.0, 22.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30695", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 39.0, 61.0),
(10717, "Privé sous contrat d'association", "0300080Z", "Lycée Emmanuel d'Alzon", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "CPGE", "Lycée Emmanuel d'Alzon - CPGE - TSI - (en 3 ans, destinée aux bacs professionnels)", "Classe préparatoire scientifique", "(en 3 ans, destinée aux bacs professionnels)", 20, 61, 10, 49, 38, 0, 0, 0, 0, 43, 16, 6, 12, 0, 0, 8, 4, 48, 9, 38, 40, 0, 0, 0, 0, 43, 16, 5, 52, 7, 2, 6, 1, 3.0, 6.0, 7.0, 1, 5, 7, 0, 0, 7, 0, 0, 1, 2, 3, 1, 0.0, 0, 0, 6, 0, 0, 2, 2, 42.86, 85.71, 100.0, 28.59765625, 28.59765625, 28.59765625, 0, 71.390625, 100.0, 0.0, 14.298828125, 28.59765625, 42.8984375, 14.3, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 85.6875, 0.0, 0.0, 44.0, 17.0, 8.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "14543", "CPGE - TSI - (en 3 ans, destinée aux bacs professionnels)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14543&g_ta_cod=14543", 0.0, 0.0, 100.0),
(10718, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence_Las", "Université Paul Valery - Montpellier 3 - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 90, 3529, 2957, 3529, 0, 1612, 464, 387, 142, 172, 92, 1358, 0, 0, 0, 0, 0, 3529, 0, 0, 0, 1612, 464, 387, 142, 172, 92, 1358, 555, 86, 79, 86, 0, 2.0, 53.0, 74.0, 0, 19, 72, 59, 9, 4, 14, 0, 7, 32, 29, 3, 1.0, 53, 9, 3, 0, 0, 63, 63, 2.33, 61.63, 86.05, 91.890625, 87.5, 87.5, 0, 26.3984375, 83.6875, 0.0, 9.69921875, 44.3984375, 40.296875, 4.2, 1.4, 81.890625, 73.59375, 12.5, 12.5, 5.599609375, 4.19921875, 361.0, 89.0, 25.0, 15.0, 123.0, "Tous les candidats", 1914.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "28863", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28862&g_ta_cod=28863", 83.0, 13.0, 5.0),
(10719, "Public", "0120012Y", "Lycée Jean Vigo", "12", "Aveyron", "Occitanie", "Toulouse", "Millau", "formation sélective", "BTS", "Lycée Jean Vigo - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 100, 63, 94, 0, 2, 2, 41, 13, 33, 15, 18, 6, 0, 2, 1, 3, 92, 2, 0, 0, 2, 2, 41, 13, 33, 15, 16, 67, 14, 8, 13, 1, 1.0, 9.0, 13.0, 0, 6, 9, 0, 1, 8, 5, 0, 7, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 5, 5, 7.14, 64.29, 92.86, 57.09375, 55.59375, 55.59375, 0, 66.6875, 64.296875, 0.0, 77.796875, 22.19921875, 0.0, 0.0, 0.0, 0.0, 0.0, 11.099609375, 0.0, 88.890625, 22.19921875, 2.0, 2.0, 33.0, 15.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 90.0, "2485", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2485&g_ta_cod=2485", 0.0, 14.0, 86.0),
(10720, "Public", "0940118T", "Lycée Louis Armand", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Nogent-sur-Marne", "formation sélective", "BTS", "Lycée Louis Armand - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 1286, 101, 1286, 0, 147, 47, 338, 124, 376, 161, 425, 0, 0, 0, 0, 0, 669, 0, 0, 0, 130, 39, 191, 60, 226, 97, 122, 171, 36, 2, 36, 0, 3.0, 30.0, 34.0, 0, 7, 32, 6, 13, 13, 4, 0, 7, 17, 8, 0, 0.0, 5, 7, 13, 5, 0, 28, 32, 8.33, 83.33, 94.44, 5.599609375, 87.5, 100.0, 15.599609375, 21.8984375, 88.890625, 0.0, 21.8984375, 53.09375, 25.0, 0.0, 0.0, 18.796875, 15.599609375, 40.59375, 21.8984375, 40.59375, 40.59375, 28.0, 9.0, 41.0, 20.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 134, "Liste d'appel propre à cette formation", 19.0, "11386", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11386&g_ta_cod=11386", 17.0, 44.0, 39.0),
(10721, "Public", "0921619K", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS)", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Châtenay-Malabry", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS) - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 3, 77, 20, 59, 0, 11, 1, 16, 1, 15, 5, 17, 18, 5, 8, 2, 3, 10, 1, 0, 0, 3, 0, 2, 0, 2, 1, 3, 8, 2, 1, 2, 0, 1.0, 2.0, 2.0, 0, 1, 2, 1, 0, 1, 0, 0, 1, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 0, 2, 50.0, 100.0, 100.0, 50.0, 0.0, 100.0, 0, 50.0, 100.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 50.0, 3.0, 0.0, 1.0, 1.0, 2.0, "Tous les candidats", 18.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 17.0, "27143", "BPJEPS - Activités aquatiques et de la natation", "Centre de Ressources, d'Expertise et de Performance Sportive d'Ile de France (CREPS)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21352&g_ta_cod=27143", 50.0, 0.0, 50.0),
(10722, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Lettres (antérieurement Lettres modernes)", "Licence - Arts-lettres-langues", "Lettres (antérieurement Lettres modernes)", 135, 1023, 793, 905, 0, 608, 134, 33, 13, 34, 11, 230, 118, 23, 12, 6, 77, 897, 111, 0, 0, 608, 134, 33, 13, 34, 11, 222, 695, 132, 92, 91, 41, 10.0, 90.0, 99.0, 0, 16, 75, 58, 9, 8, 57, 2, 28, 25, 18, 2, 0.0, 40, 2, 3, 0, 0, 35, 35, 7.58, 68.18, 75.0, 69.6875, 46.6953125, 46.6953125, 0, 21.296875, 56.796875, 2.69970703125, 37.296875, 33.296875, 24.0, 2.7, 0.0, 77.296875, 53.296875, 12.0, 2.69970703125, 10.69921875, 4.0, 405.0, 93.0, 23.0, 9.0, 243.0, "Tous les candidats", 897.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "8497", "Licence - Portail Lettres (antérieurement Lettres modernes)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8497&g_ta_cod=8497", 78.0, 13.0, 8.0),
(10723, "Privé sous contrat d'association", "0690698J", "Lycée professionnel Des Métiers d'Art SEPR", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Autre formation", "Lycée professionnel Des Métiers d'Art SEPR - DN MADE - Numérique - - Spécialité : Identité numérique de l'objet d'art", "DN MADE", "- Spécialité : Identité numérique de l'objet d'art", 17, 265, 145, 265, 0, 94, 15, 37, 5, 61, 6, 73, 0, 0, 0, 0, 0, 180, 0, 0, 0, 65, 11, 29, 3, 52, 5, 34, 42, 16, 10, 16, 0, 8.0, 15.0, 15.0, 0, 2, 14, 7, 4, 3, 2, 0, 1, 9, 3, 1, 0.0, 7, 3, 3, 0, 0, 8, 8, 50.0, 93.75, 93.75, 62.5, 57.09375, 57.09375, 0, 14.298828125, 87.5, 0.0, 7.099609375, 64.296875, 21.3984375, 7.1, 0.0, 50.0, 50.0, 28.59765625, 21.3984375, 21.3984375, 21.3984375, 21.0, 2.0, 7.0, 0.0, 7.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "21634", "DN MADE - Numérique - - Spécialité : Identité numérique de l'objet d'art", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21634&g_ta_cod=21634", 50.0, 25.0, 19.0),
(10724, "Public", "0330192E", "Sciences Po Bordeaux - Institut d'études politiques", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Autre formation", "Sciences Po Bordeaux - Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Filière intégrée France-Portugal (FIFPO)", "Sciences politiques", "Filière intégrée France-Portugal (FIFPO)", 10, 55, 33, 50, 0, 42, 3, 0, 0, 0, 0, 8, 5, 2, 0, 0, 3, 15, 1, 0, 0, 13, 0, 0, 0, 0, 0, 2, 16, 10, 5, 9, 1, 5.0, 9.0, 10.0, 0, 0, 8, 8, 0, 0, 2, 0, 0, 0, 2, 6, 0.0, 8, 0, 0, 0, 0, 1, 1, 50.0, 90.0, 100.0, 50.0, 12.5, 12.5, 0, 0.0, 80.0, 0.0, 0.0, 0.0, 25.0, 75.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 14.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "25933", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Filière intégrée France-Portugal (FIFPO)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25933&g_ta_cod=25933", 100.0, 0.0, 0.0),
(10725, "Public", "0030905T", "Lycée professionnel Gustave Eiffel", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Gannat", "formation sélective", "BTS", "Lycée professionnel Gustave Eiffel - BTS - Production - Maintenance des matériels de construction et de manutention", "BTS - Production", "", 6, 58, 4, 57, 0, 1, 0, 5, 1, 24, 3, 27, 1, 0, 0, 0, 1, 25, 0, 0, 0, 1, 0, 5, 1, 18, 1, 1, 21, 4, 0, 4, 0, 1.0, 4.0, 4.0, 0, 0, 4, 0, 0, 4, 0, 0, 1, 2, 1, 0, 0.0, 0, 0, 3, 4, 0, 4, 4, 25.0, 100.0, 100.0, 0.0, 100.0, 100.0, 100, 0.0, 100.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 1.0, 0.0, 15.0, 1.0, 1.0, "Tous les candidats sauf les Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 44.0, "2145", "BTS - Production - Maintenance des matériels de construction et de manutention", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2145&g_ta_cod=2145", 0.0, 0.0, 100.0),
(10726, "Public", "0260023J", "Lycée Du Dauphine", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Romans-sur-Isère", "formation sélective", "BTS", "Lycée Du Dauphine - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 262, 18, 243, 0, 7, 2, 50, 11, 88, 31, 98, 19, 2, 4, 0, 13, 125, 6, 0, 0, 4, 0, 44, 7, 71, 21, 6, 108, 21, 0, 18, 2, 6.0, 18.0, 20.0, 0, 5, 17, 0, 5, 12, 4, 1, 8, 3, 5, 0, 0.0, 0, 0, 8, 3, 0, 16, 16, 28.57, 85.71, 95.24, 0.0, 94.09375, 94.09375, 17.59765625, 29.3984375, 81.0, 5.8994140625, 47.09375, 17.59765625, 29.3984375, 0.0, 0.0, 0.0, 0.0, 29.3984375, 0.0, 70.59375, 47.09375, 5.0, 0.0, 55.0, 16.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 50.0, "3616", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3616&g_ta_cod=3616", 5.0, 29.0, 67.0),
(10727, "Privé enseignement supérieur", "0261251U", "EGC de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "Ecole de Commerce", "EGC de Valence - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "", 60, 76, 35, 64, 0, 51, 2, 3, 1, 0, 0, 10, 12, 5, 1, 1, 5, 55, 9, 0, 0, 43, 2, 3, 1, 0, 0, 9, 64, 18, 11, 12, 6, 11.0, 12.0, 15.0, 0, 1, 13, 13, 0, 0, 5, 0, 3, 9, 1, 0, 0.0, 10, 0, 0, 0, 0, 13, 13, 61.11, 66.67, 83.33, 61.09375, 100.0, 100.0, 0, 7.69921875, 72.1875, 0.0, 23.09765625, 69.1875, 7.69921875, 0.0, 0.0, 100.0, 76.890625, 0.0, 0.0, 0.0, 0.0, 47.0, 3.0, 1.0, 0.0, 12.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "12065", "Formation des écoles de commerce et de management Bac + 3", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12065&g_ta_cod=12065", 100.0, 0.0, 0.0),
(10728, "Public", "0951673C", "Lycée professionnel Gustave Eiffel", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Ermont", "formation sélective", "Autre formation", "Lycée professionnel Gustave Eiffel - Mention complémentaire - FCIL - SVDI (Sureté vidéo détection incendie)", "Mention complémentaire", "", 12, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 46, 6, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 1, 0, 0, 1, 5, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0, 0.0, 16.69921875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 4.0, 0.0, 39.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34966", "Mention complémentaire - FCIL - SVDI (Sureté vidéo détection incendie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34966&g_ta_cod=34966", 0.0, 33.0, 67.0),
(10729, "Public", "0250010A", "Lycée Louis Pergaud", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Louis Pergaud - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 678, 442, 678, 0, 70, 18, 195, 69, 211, 88, 202, 0, 0, 0, 0, 0, 493, 0, 0, 0, 50, 12, 152, 45, 188, 71, 103, 154, 32, 22, 32, 0, 3.0, 23.0, 29.0, 0, 7, 26, 3, 6, 17, 6, 0, 11, 10, 4, 1, 0.0, 0, 4, 11, 2, 2, 24, 24, 9.38, 71.88, 90.63, 68.796875, 92.296875, 92.296875, 7.69921875, 26.8984375, 81.296875, 0.0, 42.296875, 38.5, 15.3984375, 3.8, 0.0, 11.5, 0.0, 23.09765625, 15.3984375, 65.390625, 42.296875, 27.0, 9.0, 77.0, 24.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 116, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 35.0, "3464", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3464&g_ta_cod=3464", 25.0, 22.0, 53.0),
(10730, "Public", "0620040G", "Lycée Louis Blaringhem", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "BTS", "Lycée Louis Blaringhem - BTS - Services - Commerce International", "BTS - Services", "", 35, 449, 213, 449, 0, 74, 16, 118, 47, 49, 23, 208, 0, 0, 0, 0, 0, 176, 0, 0, 0, 49, 10, 65, 23, 21, 10, 41, 128, 33, 20, 33, 0, 6.0, 33.0, 33.0, 0, 8, 22, 6, 13, 3, 11, 0, 6, 12, 4, 0, 0.0, 4, 9, 3, 2, 2, 22, 22, 18.18, 100.0, 100.0, 60.59375, 100.0, 100.0, 9.099609375, 36.3984375, 66.6875, 0.0, 27.296875, 54.5, 18.19921875, 0.0, 0.0, 27.296875, 18.19921875, 59.09375, 40.8984375, 13.599609375, 13.599609375, 39.0, 9.0, 10.0, 5.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 36.0, "7337", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7337&g_ta_cod=7337", 45.0, 45.0, 9.0),
(10731, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 1 Capitole - Licence - Portail Economie - parcours Economie", "Licence - Droit-économie-gestion", "parcours Economie", 180, 1866, 723, 1815, 0, 1169, 197, 131, 41, 19, 9, 496, 51, 8, 5, 3, 35, 1799, 48, 0, 0, 1169, 197, 131, 41, 19, 9, 480, 1198, 177, 60, 154, 23, 10.0, 102.0, 146.0, 0, 20, 96, 76, 18, 2, 81, 2, 35, 33, 20, 6, 0.0, 53, 5, 1, 0, 0, 50, 50, 5.65, 57.63, 82.49, 33.8984375, 52.09375, 52.09375, 0, 20.796875, 54.1953125, 2.099609375, 36.5, 34.3984375, 20.796875, 6.3, 0.0, 79.1875, 55.1953125, 18.796875, 5.19921875, 2.099609375, 1.0, 759.0, 120.0, 6.0, 6.0, 378.0, "Tous les candidats", 1806.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 91.0, "30776", "Licence - Portail Economie - parcours Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32101&g_ta_cod=30776", 76.0, 17.0, 7.0),
(10732, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études allemandes : la germanistique dans une perspective franco-allemande", "Licence - Arts-lettres-langues", "Études allemandes : la germanistique dans une perspective franco-allemande", 10, 103, 78, 103, 0, 73, 12, 2, 0, 3, 2, 25, 0, 0, 0, 0, 0, 101, 0, 0, 0, 73, 12, 2, 0, 3, 2, 23, 36, 10, 8, 10, 0, 3.0, 8.0, 9.0, 0, 1, 9, 9, 0, 0, 1, 0, 0, 3, 2, 3, 1.0, 9, 0, 0, 0, 0, 5, 5, 30.0, 80.0, 90.0, 80.0, 55.59375, 55.59375, 0, 11.099609375, 90.0, 0.0, 0.0, 33.296875, 22.19921875, 33.3, 11.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 27.0, 5.0, 1.0, 1.0, 7.0, "Tous les candidats", 72.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "21484", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études allemandes : la germanistique dans une perspective franco-allemande", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21484&g_ta_cod=21484", 100.0, 0.0, 0.0),
(10733, "Public", "0750647W", "Lycée Turgot", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "Autre formation", "Lycée Turgot - Diplôme de Comptabilité et de Gestion", "DCG", "", 48, 2209, 1059, 2149, 0, 916, 258, 623, 246, 37, 16, 573, 60, 10, 18, 2, 30, 725, 0, 0, 0, 461, 120, 168, 68, 0, 0, 96, 258, 44, 24, 44, 0, 7.0, 32.0, 39.0, 0, 8, 35, 29, 6, 0, 9, 0, 0, 9, 21, 5, 0.0, 29, 6, 0, 0, 0, 6, 31, 15.91, 72.73, 88.64, 54.5, 17.09765625, 88.59375, 0, 22.8984375, 79.5, 0.0, 0.0, 25.69921875, 60.0, 14.3, 0.0, 82.890625, 82.890625, 17.09765625, 17.09765625, 0.0, 0.0, 176.0, 41.0, 0.0, 0.0, 50.0, "Tous les candidats", 457.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "8952", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8952&g_ta_cod=8952", 86.0, 14.0, 0.0),
(10734, "Privé sous contrat d'association", "0740283F", "ISETA de Poisy", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Poisy", "formation sélective", "BTS", "ISETA de Poisy - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 32, 125, 51, 122, 0, 8, 0, 50, 5, 37, 5, 27, 3, 1, 0, 1, 1, 95, 2, 0, 0, 8, 0, 48, 5, 34, 5, 5, 90, 14, 4, 14, 0, 8.0, 14.0, 14.0, 0, 2, 13, 2, 9, 2, 1, 0, 4, 4, 5, 0, 0.0, 2, 6, 1, 5, 3, 10, 10, 57.14, 100.0, 100.0, 28.59765625, 76.890625, 76.890625, 38.5, 15.3984375, 92.890625, 0.0, 30.796875, 30.796875, 38.5, 0.0, 0.0, 15.3984375, 15.3984375, 69.1875, 46.1953125, 15.3984375, 7.69921875, 7.0, 0.0, 33.0, 4.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 77.0, "8890", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8890&g_ta_cod=8890", 21.0, 64.0, 14.0),
(10735, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Sciences de la terre", "Licence - Sciences - technologies - santé", "", 40, 298, 163, 235, 0, 159, 45, 11, 5, 6, 5, 59, 63, 18, 4, 1, 40, 235, 61, 0, 0, 159, 45, 11, 5, 6, 5, 59, 248, 22, 13, 10, 12, 0.0, 10.0, 18.0, 0, 6, 12, 10, 2, 0, 10, 0, 5, 7, 0, 0, 0.0, 7, 0, 0, 0, 0, 8, 8, 0.0, 45.45, 81.82, 59.09375, 66.6875, 66.6875, 0, 50.0, 54.5, 0.0, 41.6953125, 58.296875, 0.0, 0.0, 0.0, 83.296875, 58.296875, 16.69921875, 0.0, 0.0, 0.0, 139.0, 42.0, 5.0, 5.0, 91.0, "Tous les candidats", 234.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26389", "Licence - Sciences de la terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26389&g_ta_cod=26389", 86.0, 14.0, 0.0),
(10736, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Licence", "Université Côte d'Azur - Licence - Double diplôme - Licence Langues, littératures & civilisations étrangères et régionales - LLCER Allemand (Université de Nice) / Bachelor of Arts Lehramt Sekundarstufe I (Pädagogische Hochschule Freiburg)", "Licence - Arts-lettres-langues", "LLCER Allemand (Université de Nice) / Bachelor of Arts Lehramt Sekundarstufe I (Pädagogische Hochschule Freiburg)", 25, 85, 50, 48, 0, 29, 4, 0, 0, 3, 3, 16, 37, 3, 1, 3, 30, 38, 4, 0, 0, 27, 3, 0, 0, 0, 0, 11, 41, 7, 4, 5, 2, 1.0, 5.0, 7.0, 0, 0, 3, 3, 0, 0, 4, 0, 2, 0, 0, 1, 0.0, 1, 0, 0, 0, 0, 1, 1, 14.29, 71.43, 100.0, 57.09375, 33.296875, 33.296875, 0, 0.0, 42.8984375, 0.0, 66.6875, 0.0, 0.0, 33.3, 0.0, 100.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 26.0, 3.0, 0.0, 0.0, 15.0, "Tous les candidats", 38.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "23959", "Licence - Double diplôme - Licence Langues, littératures & civilisations étrangères et régionales - LLCER Allemand (Université de Nice) / Bachelor of Arts Lehramt Sekundarstufe I (Pädagogische Hochschule Freiburg)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23959&g_ta_cod=23959", 86.0, 0.0, 0.0),
(10737, "Public", "0741586X", "Université Savoie Mont Blanc - Annecy-le-Vieux", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Annecy-le-Vieux - Licence - Economie et gestion - Parcours Science politique et Relations internationales", "Licence - Droit-économie-gestion", "Science politique et Relations internationales", 30, 1357, 775, 1357, 0, 1118, 138, 30, 9, 5, 0, 204, 0, 0, 0, 0, 0, 1356, 0, 0, 0, 1118, 138, 30, 9, 5, 0, 203, 145, 32, 21, 32, 0, 12.0, 29.0, 32.0, 0, 5, 32, 32, 0, 0, 0, 0, 0, 0, 13, 19, 0.0, 32, 0, 0, 0, 0, 22, 22, 37.5, 90.63, 100.0, 65.59375, 68.796875, 68.796875, 0, 15.599609375, 100.0, 0.0, 0.0, 0.0, 40.59375, 59.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 137.0, 16.0, 0.0, 0.0, 8.0, "Tous les candidats", 204.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "22073", "Licence - Economie et gestion - Parcours Science politique et Relations internationales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22073&g_ta_cod=22073", 100.0, 0.0, 0.0),
(10738, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence_Las", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Moyen-Orient et Maghreb - Arabe littéral", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères, parcours Moyen-Orient et Maghreb - Arabe littéral", 10, 158, 127, 158, 0, 54, 30, 7, 5, 0, 0, 97, 0, 0, 0, 0, 0, 146, 0, 0, 0, 54, 30, 7, 5, 0, 0, 85, 44, 9, 9, 9, 0, 1.0, 5.0, 7.0, 0, 2, 4, 4, 0, 0, 5, 0, 1, 3, 0, 0, 0.0, 3, 0, 0, 0, 0, 1, 3, 11.11, 55.56, 77.78, 100.0, 25.0, 75.0, 0, 50.0, 44.3984375, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 20.0, 7.0, 0.0, 0.0, 24.0, "Tous les candidats", 94.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "29606", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Moyen-Orient et Maghreb - Arabe littéral", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29605&g_ta_cod=29606", 100.0, 0.0, 0.0),
(10739, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Anglais", "Licence - Arts-lettres-langues", "Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Anglais", 500, 2551, 1818, 2359, 0, 1760, 469, 115, 34, 41, 18, 443, 192, 39, 15, 4, 134, 2353, 185, 0, 0, 1760, 469, 115, 34, 41, 18, 437, 2044, 493, 334, 401, 91, 336.0, 397.0, 433.0, 0, 103, 334, 293, 31, 10, 159, 0, 103, 147, 69, 14, 1.0, 210, 13, 8, 0, 0, 268, 268, 68.15, 80.53, 87.83, 67.6875, 80.1875, 80.1875, 0, 30.796875, 67.6875, 0.0, 30.796875, 44.0, 20.69921875, 4.2, 0.3, 87.6875, 62.8984375, 9.298828125, 3.89990234375, 3.0, 2.39990234375, 1398.0, 398.0, 38.0, 18.0, 490.0, "Tous les candidats", 2353.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4410", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4410&g_ta_cod=4410", 83.0, 11.0, 6.0),
(10740, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Autre formation", "Université d'Amiens - C.M.I - Cursus Master en Ingénierie - Chimie - Cursus Master Ingénierie - CMI", "C.M.I - Cursus Master en Ingénierie", "Cursus Master Ingénierie - CMI", 10, 114, 54, 114, 0, 77, 14, 7, 3, 0, 0, 30, 0, 0, 0, 0, 0, 52, 0, 0, 0, 39, 5, 0, 0, 0, 0, 13, 37, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 27.0, 4.0, 0.0, 0.0, 10.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "20982", "C.M.I - Cursus Master en Ingénierie - Chimie - Cursus Master Ingénierie - CMI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20982&g_ta_cod=20982", 0, 0, 0),
(10741, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence_Las", "Université de Limoges - Licence - Portail Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 18, 458, 385, 458, 0, 202, 44, 57, 19, 12, 6, 187, 0, 0, 0, 0, 0, 458, 0, 0, 0, 202, 44, 57, 19, 12, 6, 187, 133, 17, 15, 17, 0, 0.0, 7.0, 14.0, 0, 2, 11, 10, 1, 0, 6, 0, 7, 3, 1, 0, 0.0, 4, 0, 0, 0, 0, 6, 6, 0.0, 41.18, 82.35, 88.1875, 54.5, 54.5, 0, 18.19921875, 64.6875, 0.0, 63.59375, 27.296875, 9.099609375, 0.0, 0.0, 90.890625, 36.3984375, 9.099609375, 0.0, 0.0, 0.0, 70.0, 12.0, 3.0, 1.0, 43.0, "Tous les candidats", 752.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 52.0, "31207", "Licence - Portail Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31206&g_ta_cod=31207", 82.0, 18.0, 0.0),
(10742, "Public", "0650583F", "I.U.T de Tarbes", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "BUT", "I.U.T de Tarbes - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Conception et production durable", "BUT - Production", "Innovation pour l?industrie - Conception et production durable", 70, 1106, 91, 1084, 0, 617, 69, 269, 35, 7, 2, 191, 22, 2, 3, 0, 17, 1006, 11, 0, 0, 594, 62, 238, 30, 0, 0, 174, 587, 78, 6, 75, 3, 4.0, 35.0, 71.0, 0, 5, 58, 40, 18, 0, 20, 0, 13, 35, 10, 0, 0.0, 28, 17, 0, 0, 0, 35, 35, 5.13, 44.87, 91.03, 7.69921875, 60.296875, 60.296875, 0, 8.599609375, 74.390625, 0.0, 22.3984375, 60.296875, 17.19921875, 0.0, 0.0, 69.0, 48.296875, 31.0, 29.296875, 0.0, 0.0, 317.0, 36.0, 0.0, 0.0, 127.0, "Tous les candidats sauf les Bac technologiques", 701.0, "Bacheliers technologiques toutes séries", 268, "", 0, "Liste d'appel propre à cette formation", 89.0, "7833", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Conception et production durable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7833&g_ta_cod=7833", 72.0, 28.0, 0.0),
(10743, "Public", "0782075G", "Unité de Formation et de Recherche de Sciences de l' Université de Versailles Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation non sélective", "Licence", "Unité de Formation et de Recherche de Sciences de l' Université de Versailles Saint Quentin en Yvelines - Licence - Portail Portail CB  : Chimie - Biologie", "Licence - Sciences - technologies - santé", "Portail CB  : Chimie - Biologie", 270, 3064, 2197, 3064, 0, 1841, 265, 99, 19, 5, 3, 1119, 0, 0, 0, 0, 0, 3035, 0, 0, 0, 1841, 265, 99, 19, 5, 3, 1090, 1640, 255, 152, 254, 0, 3.0, 144.0, 206.0, 0, 22, 225, 223, 2, 0, 30, 0, 88, 118, 14, 5, 0.0, 137, 0, 0, 0, 0, 176, 212, 1.18, 56.47, 80.78, 59.59375, 78.1875, 94.1875, 0, 9.798828125, 88.1875, 0.0, 39.09375, 52.3984375, 6.19921875, 2.2, 0.0, 99.09375, 60.8984375, 0.89990234375, 0.0, 0.0, 0.0, 1441.0, 173.0, 1.0, 1.0, 192.0, "Tous les candidats", 2360.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 61.0, "9985", "Licence - Portail Portail CB  : Chimie - Biologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27115&g_ta_cod=9985", 99.0, 1.0, 0.0),
(10744, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 240, 1455, 707, 1288, 0, 884, 175, 110, 24, 46, 24, 248, 167, 32, 19, 20, 96, 1286, 162, 0, 0, 884, 175, 110, 24, 46, 24, 246, 1256, 226, 91, 172, 54, 96.0, 171.0, 201.0, 0, 34, 158, 110, 27, 21, 68, 2, 62, 65, 27, 2, 0.0, 79, 8, 7, 0, 0, 138, 138, 42.48, 75.66, 88.94, 40.296875, 87.296875, 87.296875, 0, 21.5, 69.890625, 1.2998046875, 39.1953125, 41.09375, 17.09765625, 1.3, 0.0, 69.59375, 50.0, 17.09765625, 5.099609375, 13.298828125, 4.3994140625, 779.0, 158.0, 59.0, 31.0, 301.0, "Tous les candidats", 1286.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3273", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3273&g_ta_cod=3273", 67.0, 17.0, 15.0),
(10745, "Privé enseignement supérieur", "0351603R", "ASKORIA - site de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "EFTS", "ASKORIA - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 15, 520, 494, 520, 0, 80, 13, 102, 14, 79, 15, 259, 0, 0, 0, 0, 0, 351, 0, 0, 0, 37, 3, 59, 6, 48, 8, 207, 29, 12, 12, 12, 0, 6.0, 12.0, 12.0, 0, 0, 2, 0, 0, 2, 10, 0, 0, 0, 2, 0, 0.0, 0, 0, 2, 0, 0, 1, 1, 50.0, 100.0, 100.0, 100.0, 50.0, 50.0, 0, 0.0, 16.69921875, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 2.0, 0.0, 5.0, 1.0, 19.0, "Tous les candidats", 42.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 8.0, "25003", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24973&g_ta_cod=25003", 67.0, 8.0, 25.0),
(10746, "Privé enseignement supérieur", "0592806E", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences - CUPGE - Préparation aux concours des écoles de commerce, Parcours Gestion", "CUPGE - Droit-économie-gestion", "", 95, 895, 486, 895, 0, 838, 40, 2, 1, 1, 1, 54, 0, 0, 0, 0, 0, 863, 0, 0, 0, 811, 37, 0, 0, 0, 0, 52, 530, 95, 64, 95, 0, 32.0, 71.0, 90.0, 0, 6, 93, 93, 0, 0, 2, 0, 3, 27, 51, 11, 1.0, 90, 0, 0, 0, 0, 35, 35, 33.68, 74.74, 94.74, 67.390625, 37.59375, 37.59375, 0, 6.5, 97.890625, 0.0, 3.19970703125, 29.0, 54.796875, 11.8, 1.1, 100.0, 96.796875, 0.0, 0.0, 0.0, 0.0, 500.0, 19.0, 0.0, 0.0, 30.0, "Tous les candidats", 643.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "12484", "CUPGE - Préparation aux concours des écoles de commerce, Parcours Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12484&g_ta_cod=12484", 100.0, 0.0, 0.0),
(10747, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Arts plastiques", "Licence - Arts-lettres-langues", "", 315, 1940, 1457, 1940, 0, 1094, 269, 211, 61, 103, 42, 532, 0, 0, 0, 0, 0, 1902, 0, 0, 0, 1094, 269, 211, 61, 103, 42, 494, 1278, 310, 216, 310, 0, 42.0, 203.0, 259.0, 0, 91, 275, 193, 56, 26, 35, 0, 154, 107, 13, 1, 0.0, 87, 18, 16, 0, 0, 112, 229, 13.55, 65.48, 83.55, 69.6875, 40.6953125, 83.296875, 0, 33.09375, 88.6875, 0.0, 56.0, 38.8984375, 4.69921875, 0.4, 0.0, 70.1875, 31.59765625, 20.3984375, 6.5, 9.5, 5.7998046875, 915.0, 221.0, 82.0, 33.0, 110.0, "Tous les candidats", 1375.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "15406", "Licence - Arts plastiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15406&g_ta_cod=15406", 67.0, 21.0, 11.0),
(10748, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 180, 663, 506, 499, 0, 350, 129, 30, 16, 16, 13, 103, 164, 24, 21, 12, 107, 497, 161, 0, 0, 350, 129, 30, 16, 16, 13, 101, 618, 130, 89, 74, 56, 53.0, 74.0, 108.0, 0, 29, 71, 49, 14, 8, 59, 0, 24, 24, 19, 3, 1.0, 40, 6, 1, 0, 0, 65, 65, 40.77, 56.92, 83.08, 68.5, 91.5, 91.5, 0, 40.796875, 54.59375, 0.0, 33.796875, 33.796875, 26.796875, 4.2, 1.4, 69.0, 56.296875, 19.69921875, 8.5, 11.298828125, 1.39990234375, 346.0, 130.0, 25.0, 19.0, 198.0, "Tous les candidats", 497.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7075", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7075&g_ta_cod=7075", 67.0, 18.0, 14.0),
(10749, "Public", "0570175F", "I.U.T de Metz - Université de Lorraine", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BUT", "I.U.T de Metz - Université de Lorraine - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle - Conception et production durable", "BUT - Production", "Innovation pour l?industrie - Simulation numérique et réalité virtuelle - Conception et production durable", 100, 886, 81, 822, 0, 468, 50, 216, 40, 3, 1, 135, 64, 15, 2, 0, 47, 680, 27, 0, 0, 413, 35, 170, 24, 0, 0, 97, 529, 71, 6, 60, 10, 12.0, 55.0, 64.0, 0, 12, 55, 36, 19, 0, 16, 0, 22, 23, 9, 1, 0.0, 19, 14, 0, 0, 0, 45, 45, 16.9, 77.46, 90.14, 8.5, 81.796875, 81.796875, 0, 21.796875, 77.5, 0.0, 40.0, 41.796875, 16.3984375, 1.8, 0.0, 65.5, 34.5, 34.5, 25.5, 0.0, 0.0, 270.0, 33.0, 0.0, 0.0, 113.0, "Tous les candidats sauf les Bac technologiques", 499.0, "Bacheliers technologiques toutes séries", 180, "", 0, "Liste d'appel propre à cette formation", 83.0, "6568", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Simulation numérique et réalité virtuelle - Conception et production durable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6568&g_ta_cod=6568", 65.0, 35.0, 0.0),
(10750, "Privé enseignement supérieur", "0755672H", "ESCE", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Programme Grande Ecole - Sciences Politiques Internationales - Campus de Paris ou Lyon", 50, 1698, 782, 1661, 0, 1457, 72, 68, 7, 7, 4, 129, 37, 21, 2, 0, 14, 1533, 24, 0, 0, 1381, 60, 57, 6, 1, 1, 94, 1557, 25, 15, 18, 7, 18.0, 18.0, 22.0, 0, 1, 21, 20, 1, 0, 4, 0, 6, 13, 1, 1, 0.0, 14, 1, 0, 0, 0, 8, 14, 72.0, 72.0, 88.0, 60.0, 38.09375, 66.6875, 0, 4.7998046875, 84.0, 0.0, 28.59765625, 61.8984375, 4.7998046875, 4.8, 0.0, 95.1875, 66.6875, 4.7998046875, 4.7998046875, 0.0, 0.0, 1395.0, 62.0, 1.0, 1.0, 103.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "26155", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26155", 96.0, 4.0, 0.0),
(10751, "Privé sous contrat d'association", "0333481E", "YNCREA - BÈGLES", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "Bac STI2D", 5, 98, 6, 97, 0, 0, 0, 97, 18, 0, 0, 0, 1, 0, 1, 0, 0, 63, 0, 0, 0, 0, 0, 63, 9, 0, 0, 0, 59, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "31221", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=31221", 0, 0, 0),
(10752, "Public", "0310036W", "Lycée Pierre De Fermat", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Pierre De Fermat - CPGE - BCPST", "Classe préparatoire scientifique", "", 96, 3373, 2431, 3373, 2426, 2925, 274, 4, 0, 1, 1, 443, 0, 0, 0, 0, 0, 3042, 0, 2426, 2448, 2772, 258, 4, 0, 0, 0, 266, 448, 95, 73, 95, 0, 28.0, 67.0, 85.0, 22, 14, 95, 95, 0, 0, 0, 0, 0, 0, 14, 62, 19.0, 95, 0, 0, 2, 2, 43, 43, 29.47, 70.53, 89.47, 76.796875, 45.296875, 45.296875, 2.099609375, 14.69921875, 100.0, 0.0, 0.0, 0.0, 14.69921875, 65.3, 20.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 437.0, 46.0, 0.0, 0.0, 11.0, "Tous les candidats", 593.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "4038", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4038&g_ta_cod=4038", 100.0, 0.0, 0.0),
(10753, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Langues : Arabe", "Licence - Arts-lettres-langues", "Langues : Arabe", 32, 195, 139, 155, 0, 41, 32, 18, 10, 15, 11, 81, 40, 7, 8, 1, 24, 155, 27, 0, 0, 41, 32, 18, 10, 15, 11, 81, 148, 32, 23, 21, 11, 17.0, 20.0, 24.0, 0, 11, 15, 7, 6, 2, 17, 1, 6, 6, 2, 0, 0.0, 4, 2, 2, 0, 0, 9, 9, 53.13, 62.5, 75.0, 71.890625, 60.0, 60.0, 0, 73.296875, 46.8984375, 6.69921875, 40.0, 40.0, 13.298828125, 0.0, 0.0, 46.6953125, 26.69921875, 40.0, 13.298828125, 13.298828125, 13.298828125, 40.0, 32.0, 12.0, 8.0, 73.0, "Tous les candidats", 154.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "18018", "Licence - Portail Langues : Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18018&g_ta_cod=18018", 50.0, 25.0, 25.0),
(10754, "Privé sous contrat d'association", "0761710W", "Lycée Saint-Joseph", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "CPGE", "Lycée Saint-Joseph - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 48, 154, 78, 148, 0, 127, 9, 0, 0, 0, 0, 21, 6, 1, 0, 0, 5, 129, 2, 0, 129, 121, 9, 0, 0, 0, 0, 8, 115, 12, 6, 12, 0, 4.0, 12.0, 12.0, 0, 3, 12, 12, 0, 0, 0, 0, 0, 4, 6, 1, 1.0, 12, 0, 0, 5, 3, 12, 12, 33.33, 100.0, 100.0, 50.0, 100.0, 100.0, 41.6953125, 25.0, 100.0, 0.0, 0.0, 33.296875, 50.0, 8.3, 8.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 108.0, 8.0, 0.0, 0.0, 7.0, "Tous les candidats", 129.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "31353", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31353&g_ta_cod=31353", 100.0, 0.0, 0.0),
(10755, "Public", "0870581J", "Lycée agricole de Limoges les Vaseix", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Verneuil-sur-Vienne", "formation sélective", "BTS", "Lycée agricole de Limoges les Vaseix - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 19, 173, 79, 157, 0, 11, 3, 20, 2, 18, 8, 108, 16, 1, 3, 4, 8, 63, 10, 0, 0, 11, 3, 19, 2, 18, 8, 15, 60, 17, 8, 12, 5, 7.0, 12.0, 14.0, 0, 5, 11, 1, 5, 5, 6, 0, 5, 6, 0, 0, 0.0, 0, 3, 3, 6, 1, 6, 6, 41.18, 70.59, 82.35, 47.09375, 54.5, 54.5, 54.5, 45.5, 64.6875, 0.0, 45.5, 54.5, 0.0, 0.0, 0.0, 9.099609375, 0.0, 45.5, 27.296875, 45.5, 27.296875, 10.0, 3.0, 15.0, 5.0, 17.0, "Tous les candidats sauf les Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 39.0, "10692", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10692&g_ta_cod=10692", 24.0, 47.0, 29.0),
(10756, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation non sélective", "Licence", "Université de La Rochelle - Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquées (LEA) : anglais - chinois", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées (LEA) : anglais - chinois", 110, 588, 454, 588, 0, 428, 88, 38, 16, 7, 3, 115, 0, 0, 0, 0, 0, 581, 0, 0, 0, 428, 88, 38, 16, 7, 3, 108, 325, 110, 84, 110, 0, 13.0, 99.0, 105.0, 0, 20, 86, 79, 4, 3, 24, 0, 27, 36, 16, 7, 0.0, 55, 1, 3, 0, 0, 57, 57, 11.82, 90.0, 95.45, 76.390625, 66.296875, 66.296875, 0, 23.296875, 78.1875, 0.0, 31.3984375, 41.8984375, 18.59765625, 8.1, 0.0, 91.890625, 64.0, 4.69921875, 1.199951171875, 3.5, 3.5, 241.0, 57.0, 4.0, 2.0, 61.0, "Tous les candidats", 430.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "3072", "Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquées (LEA) : anglais - chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3072&g_ta_cod=3072", 85.0, 8.0, 5.0),
(10757, "Public", "0951569P", "IFSI CH René Dubos Pontoise", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Pontoise", "formation sélective", "IFSI", "Regroupement IFSI Université de Paris - D.E Infirmier", "D.E secteur sanitaire", "", 72, 5177, 4592, 5177, 0, 532, 164, 765, 310, 787, 384, 3093, 0, 0, 0, 0, 0, 3932, 0, 0, 0, 487, 144, 611, 238, 611, 292, 2223, 858, 76, 70, 75, 0, 3.0, 45.0, 62.0, 0, 14, 59, 18, 22, 19, 17, 0, 11, 24, 20, 4, 0.0, 13, 16, 19, 0, 0, 55, 57, 3.95, 59.21, 81.58, 92.09375, 93.1875, 96.59375, 0, 23.69921875, 77.59375, 0.0, 18.59765625, 40.6953125, 33.8984375, 6.8, 0.0, 30.5, 22.0, 37.296875, 27.09765625, 32.1953125, 32.1953125, 113.0, 21.0, 211.0, 81.0, 343.0, "Tous les candidats", 3216.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "23020", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25148&g_ta_cod=23020", 37.0, 33.0, 30.0),
(10758, "Privé sous contrat d'association", "0560181T", "Lycée St Joseph - LaSalle Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BTS", "Lycée St Joseph - LaSalle Lorient - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique - parcours Marine Nationale / Maistrance-défense", "BTS - Production", "parcours Marine Nationale / Maistrance-défense", 3, 41, 3, 38, 0, 10, 2, 9, 1, 10, 2, 9, 3, 1, 0, 1, 1, 13, 0, 0, 0, 5, 0, 3, 1, 4, 1, 1, 9, 1, 0, 1, 0, 0.0, 1.0, 1.0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0.0, 0, 0, 1, 1, 0, 1, 1, 0.0, 100.0, 100.0, 0.0, 100.0, 100.0, 100, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 4.0, 0.0, 4.0, 1.0, 1.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "29774", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique - parcours Marine Nationale / Maistrance-défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29774&g_ta_cod=29774", 0.0, 0.0, 100.0),
(10759, "Privé sous contrat d'association", "0480680D", "Lycée polyvalent privé Sacre-Coeur", "48", "Lozère", "Occitanie", "Montpellier", "Saint-Chély-d'Apcher", "formation sélective", "Autre formation", "Lycée polyvalent privé Sacre-Coeur - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 40, 124, 55, 115, 0, 40, 4, 4, 1, 6, 0, 65, 9, 2, 0, 1, 6, 83, 8, 0, 0, 39, 4, 4, 1, 6, 0, 34, 82, 32, 9, 30, 2, 23.0, 30.0, 31.0, 0, 1, 19, 14, 1, 4, 13, 0, 11, 6, 2, 0, 0.0, 5, 0, 3, 0, 0, 5, 5, 71.88, 93.75, 96.88, 28.09765625, 26.296875, 26.296875, 0, 5.2998046875, 59.3984375, 0.0, 57.8984375, 31.59765625, 10.5, 0.0, 0.0, 73.6875, 26.296875, 5.2998046875, 0.0, 21.09765625, 15.798828125, 36.0, 3.0, 6.0, 0.0, 36.0, "Tous les candidats", 82.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "5821", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5821&g_ta_cod=5821", 75.0, 13.0, 13.0),
(10760, "Privé sous contrat d'association", "0311201M", "Lycée Myriam", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Myriam - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 15, 310, 258, 310, 0, 71, 14, 46, 11, 97, 28, 96, 0, 0, 0, 0, 0, 304, 0, 0, 0, 71, 14, 46, 11, 91, 26, 96, 74, 23, 22, 23, 0, 2.0, 17.0, 21.0, 0, 5, 18, 0, 5, 13, 5, 0, 5, 8, 5, 0, 0.0, 0, 2, 11, 0, 0, 12, 12, 8.7, 73.91, 91.3, 95.6875, 66.6875, 66.6875, 0, 27.796875, 78.296875, 0.0, 27.796875, 44.3984375, 27.796875, 0.0, 0.0, 0.0, 0.0, 27.796875, 11.099609375, 72.1875, 61.09375, 1.0, 1.0, 42.0, 12.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 27.0, "16235", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16235&g_ta_cod=16235", 22.0, 22.0, 57.0),
(10761, "Public", "0241279K", "I.U.T de Bordeaux - Site de Périgueux", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BUT", "I.U.T de Bordeaux - Site de Périgueux - BUT - Techniques de commercialisation Parcours : Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Business développement et management de la relation client - Stratégie de marque et événementiel", 79, 1712, 886, 1712, 0, 953, 122, 553, 137, 19, 11, 187, 0, 0, 0, 0, 0, 860, 0, 0, 0, 488, 60, 326, 80, 0, 0, 46, 375, 81, 44, 81, 0, 11.0, 62.0, 75.0, 0, 14, 78, 38, 40, 0, 3, 0, 4, 52, 22, 0, 0.0, 38, 36, 0, 0, 0, 72, 72, 13.58, 76.54, 92.59, 54.296875, 92.296875, 92.296875, 0, 17.8984375, 96.296875, 0.0, 5.099609375, 66.6875, 28.19921875, 0.0, 0.0, 48.6953125, 48.6953125, 51.296875, 46.1953125, 0.0, 0.0, 166.0, 27.0, 0.0, 0.0, 16.0, "Tous les candidats sauf les Bac technologiques", 300.0, "Bacheliers technologiques toutes séries", 284, "", 0, "Liste d'appel propre à cette formation", 34.0, "3446", "BUT - Techniques de commercialisation Parcours : Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3446&g_ta_cod=3446", 49.0, 51.0, 0.0),
(10762, "Public", "0390033Z", "Lycée polyvalent Hyacinthe Friant - Lycée des métiers de l'hôtellerie, de la restauration et du sanitaire et du social", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Poligny", "formation sélective", "BTS", "Lycée polyvalent Hyacinthe Friant - Lycée des métiers de l'hôtellerie, de la restauration et du sanitaire et du social - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 64, 226, 125, 226, 0, 0, 0, 92, 10, 79, 18, 55, 0, 0, 0, 0, 0, 226, 0, 0, 0, 0, 0, 92, 10, 79, 18, 55, 145, 63, 38, 63, 0, 24.0, 59.0, 62.0, 0, 7, 43, 0, 36, 7, 20, 0, 14, 17, 10, 2, 0.0, 0, 23, 6, 40, 23, 40, 40, 38.1, 93.65, 98.41, 60.296875, 93.0, 93.0, 93, 16.296875, 68.296875, 0.0, 32.59375, 39.5, 23.296875, 4.7, 0.0, 0.0, 0.0, 83.6875, 53.5, 16.296875, 14.0, 0.0, 0.0, 37.0, 7.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 85.0, "5165", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5165&g_ta_cod=5165", 19.0, 67.0, 14.0),
(10763, "Public", "0850027T", "Lycée Polyvalent Rosa Parks", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée Polyvalent Rosa Parks - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 24, 208, 16, 189, 0, 13, 2, 54, 10, 41, 13, 81, 19, 0, 5, 6, 8, 155, 10, 0, 0, 13, 2, 54, 10, 41, 13, 47, 112, 22, 3, 17, 5, 1.0, 14.0, 19.0, 0, 2, 13, 0, 7, 6, 9, 0, 10, 3, 0, 0, 0.0, 0, 1, 2, 6, 1, 11, 11, 4.55, 63.64, 86.36, 13.599609375, 84.59375, 84.59375, 46.1953125, 15.3984375, 59.09375, 0.0, 76.890625, 23.09765625, 0.0, 0.0, 0.0, 0.0, 0.0, 53.796875, 7.69921875, 46.1953125, 15.3984375, 8.0, 1.0, 37.0, 12.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 68.0, "10481", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10481&g_ta_cod=10481", 27.0, 36.0, 36.0),
(10764, "Privé sous contrat d'association", "0593027V", "Lycée professionnel Industries Lilloises", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée professionnel Industries Lilloises - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 30, 109, 7, 105, 0, 4, 0, 6, 0, 51, 17, 44, 4, 0, 0, 2, 2, 78, 2, 0, 0, 4, 0, 6, 0, 51, 17, 17, 71, 22, 0, 22, 0, 12.0, 22.0, 22.0, 0, 3, 17, 0, 0, 17, 5, 0, 9, 5, 1, 2, 0.0, 0, 0, 8, 13, 0, 16, 16, 54.55, 100.0, 100.0, 0.0, 94.09375, 94.09375, 76.5, 17.59765625, 77.296875, 0.0, 52.8984375, 29.3984375, 5.8994140625, 11.8, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 47.09375, 4.0, 0.0, 46.0, 14.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 73.0, "22252", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22252&g_ta_cod=22252", 18.0, 0.0, 82.0),
(10765, "Public", "0891200W", "Lycée Catherine et Raymond JANOT", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Sens", "formation sélective", "BTS", "Lycée Catherine et Raymond JANOT - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 14, 250, 34, 245, 0, 24, 6, 63, 15, 47, 15, 111, 5, 1, 1, 0, 3, 109, 3, 0, 0, 22, 5, 42, 7, 34, 9, 11, 64, 13, 0, 12, 1, 2.0, 11.0, 12.0, 0, 4, 12, 3, 3, 6, 1, 0, 5, 5, 1, 1, 0.0, 1, 2, 4, 1, 0, 8, 8, 15.38, 84.62, 92.31, 0.0, 66.6875, 66.6875, 8.298828125, 33.296875, 92.296875, 0.0, 41.6953125, 41.6953125, 8.298828125, 8.3, 0.0, 25.0, 8.298828125, 25.0, 16.69921875, 50.0, 33.296875, 14.0, 4.0, 21.0, 6.0, 10.0, "Tous les candidats sauf les Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 43.0, "10793", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10793&g_ta_cod=10793", 23.0, 31.0, 46.0),
(10766, "Public", "0212015B", "Lycée Simone WEIL", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Simone WEIL - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 591, 536, 591, 0, 61, 15, 189, 60, 204, 67, 137, 0, 0, 0, 0, 0, 451, 0, 0, 0, 55, 14, 153, 44, 172, 59, 71, 145, 25, 24, 25, 0, 2.0, 16.0, 18.0, 0, 6, 21, 3, 9, 9, 4, 0, 8, 9, 4, 0, 0.0, 3, 6, 4, 5, 5, 16, 16, 8.0, 64.0, 72.0, 96.0, 76.1875, 76.1875, 23.796875, 28.59765625, 84.0, 0.0, 38.09375, 42.8984375, 19.0, 0.0, 0.0, 14.298828125, 14.298828125, 42.8984375, 28.59765625, 42.8984375, 19.0, 8.0, 2.0, 66.0, 24.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 29.0, "3297", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3297&g_ta_cod=3297", 16.0, 44.0, 40.0),
(10767, "Public", "0932270M", "I.U.T. de Bobigny - Université Paris 13", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation sélective", "BUT", "I.U.T. de Bobigny - Université Paris 13 - BUT - Génie biologique parcours biologie médicale et biotechnologie", "BUT - Production", "", 26, 3141, 2345, 3141, 0, 1341, 401, 824, 356, 13, 3, 963, 0, 0, 0, 0, 0, 2255, 0, 0, 0, 1202, 349, 495, 194, 3, 1, 555, 203, 25, 20, 25, 0, 1.0, 16.0, 23.0, 0, 7, 24, 15, 9, 0, 1, 0, 0, 12, 9, 2, 1.0, 15, 9, 0, 0, 0, 8, 15, 4.0, 64.0, 92.0, 80.0, 33.296875, 62.5, 0, 29.19921875, 96.0, 0.0, 0.0, 50.0, 37.5, 8.3, 4.2, 62.5, 62.5, 37.5, 37.5, 0.0, 0.0, 141.0, 35.0, 0.0, 0.0, 16.0, "Tous les candidats sauf les Bac technologiques", 335.0, "Bacheliers technologiques toutes séries", 85, "", 0, "Liste d'appel propre à cette formation", 13.0, "24404", "BUT - Génie biologique parcours biologie médicale et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24404&g_ta_cod=24404", 64.0, 36.0, 0.0),
(10768, "Public", "0132933T", "IFSI du GCSPA de Salon-de-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Salon-de-Provence", "formation sélective", "IFSI", "Regroupement d'IFSI Université Aix-Marseille - D.E Infirmier", "D.E secteur sanitaire", "", 34, 7473, 6284, 7473, 0, 1028, 276, 1194, 393, 770, 341, 4481, 0, 0, 0, 0, 0, 3544, 0, 0, 0, 787, 179, 536, 162, 91, 33, 2130, 393, 34, 28, 34, 0, 0.0, 8.0, 23.0, 0, 5, 15, 11, 3, 1, 19, 0, 2, 7, 5, 1, 0.0, 9, 3, 1, 0, 0, 12, 12, 0.0, 23.53, 67.65, 82.390625, 80.0, 80.0, 0, 33.296875, 44.09375, 0.0, 13.298828125, 46.6953125, 33.296875, 6.7, 0.0, 73.296875, 60.0, 20.0, 20.0, 6.69921875, 6.69921875, 147.0, 37.0, 1.0, 1.0, 218.0, "Tous les candidats", 1540.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 11.0, "23033", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22987&g_ta_cod=23033", 71.0, 21.0, 9.0),
(10769, "Public", "0451442Y", "Lycée professionnel Chateau Blanc", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Châlette-sur-Loing", "formation sélective", "BTS", "Lycée professionnel Chateau Blanc - BTS - Services - Economie sociale familiale", "BTS - Services", "", 15, 174, 152, 172, 0, 20, 8, 35, 7, 80, 38, 37, 2, 0, 0, 0, 2, 149, 0, 0, 0, 20, 8, 35, 7, 75, 34, 19, 63, 13, 12, 13, 0, 2.0, 8.0, 11.0, 0, 4, 8, 2, 4, 2, 5, 1, 4, 3, 0, 0, 0.0, 1, 1, 1, 2, 2, 7, 7, 15.38, 61.54, 84.62, 92.296875, 87.5, 87.5, 25, 50.0, 61.5, 12.5, 50.0, 37.5, 0.0, 0.0, 0.0, 25.0, 12.5, 50.0, 12.5, 25.0, 12.5, 9.0, 4.0, 9.0, 6.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers technologiques toutes séries", 32, "Bacheliers professionnels toutes séries", 12, "Liste d'appel propre à cette formation", 40.0, "32864", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32864&g_ta_cod=32864", 23.0, 38.0, 38.0),
(10770, "Public", "0590034S", "Lycée Paul Duez", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "BTS", "Lycée Paul Duez - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 542, 292, 539, 0, 68, 16, 139, 51, 184, 81, 148, 3, 0, 0, 3, 0, 357, 0, 0, 0, 60, 13, 91, 31, 143, 63, 63, 160, 31, 11, 31, 0, 5.0, 20.0, 27.0, 0, 12, 27, 4, 7, 16, 4, 0, 12, 9, 5, 1, 0.0, 0, 3, 12, 3, 1, 25, 25, 16.13, 64.52, 87.1, 35.5, 92.59375, 92.59375, 11.099609375, 44.3984375, 87.09375, 0.0, 44.3984375, 33.296875, 18.5, 3.7, 0.0, 14.798828125, 0.0, 25.8984375, 11.099609375, 59.296875, 44.3984375, 26.0, 7.0, 79.0, 37.0, 27.0, "Tous les candidats sauf les Bac professionnels", 126.0, "Bacheliers professionnels toutes séries", 139, "", 0, "Liste d'appel propre à cette formation", 49.0, "6723", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6723&g_ta_cod=6723", 13.0, 29.0, 58.0),
(10771, "Public", "0760170X", "I.U.T de Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation sélective", "BUT", "I.U.T de Rouen - BUT - Génie chimique génie des procédés Parcours : Contrôle-Qualité, environnement et sécurité des procédés - Contrôle, pilotage et optimisation des procédés", "BUT - Production", "Contrôle-Qualité, environnement et sécurité des procédés - Contrôle, pilotage et optimisation des procédés", 56, 803, 360, 767, 0, 439, 60, 116, 32, 5, 3, 207, 36, 9, 6, 1, 20, 704, 20, 0, 0, 427, 55, 107, 29, 0, 0, 170, 593, 48, 17, 42, 6, 17.0, 27.0, 45.0, 0, 8, 33, 17, 16, 0, 15, 0, 16, 13, 4, 0, 0.0, 8, 9, 0, 0, 0, 26, 26, 35.42, 56.25, 93.75, 35.3984375, 78.796875, 78.796875, 0, 24.19921875, 68.796875, 0.0, 48.5, 39.3984375, 12.099609375, 0.0, 0.0, 51.5, 24.19921875, 48.5, 27.296875, 0.0, 0.0, 324.0, 52.0, 0.0, 0.0, 172.0, "Tous les candidats sauf les Bac technologiques", 581.0, "Bacheliers technologiques toutes séries", 124, "", 0, "Liste d'appel propre à cette formation", 92.0, "9622", "BUT - Génie chimique génie des procédés Parcours : Contrôle-Qualité, environnement et sécurité des procédés - Contrôle, pilotage et optimisation des procédés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9622&g_ta_cod=9622", 58.0, 42.0, 0.0),
(10772, "Privé sous contrat d'association", "0131391S", "Lycée St Eloi", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée St Eloi - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 12, 234, 15, 226, 0, 49, 11, 62, 16, 57, 28, 58, 8, 0, 0, 0, 8, 150, 2, 0, 0, 49, 11, 42, 10, 45, 22, 14, 53, 14, 0, 12, 2, 2.0, 10.0, 11.0, 0, 3, 12, 2, 5, 5, 2, 0, 6, 3, 2, 1, 0.0, 1, 0, 5, 6, 0, 12, 12, 14.29, 71.43, 78.57, 0.0, 100.0, 100.0, 50, 25.0, 85.6875, 0.0, 50.0, 25.0, 16.69921875, 8.3, 0.0, 16.69921875, 8.298828125, 41.6953125, 0.0, 41.6953125, 41.6953125, 12.0, 2.0, 9.0, 4.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 30.0, "16130", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16130&g_ta_cod=16130", 29.0, 36.0, 36.0),
(10773, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Musicologie - Parcours Musique et Musicologie", "Licence - Arts-lettres-langues", "Musique et Musicologie", 130, 358, 139, 280, 0, 165, 33, 21, 2, 11, 4, 83, 78, 15, 4, 2, 57, 278, 75, 0, 0, 165, 33, 21, 2, 11, 4, 81, 354, 93, 28, 65, 28, 63.0, 64.0, 85.0, 0, 15, 58, 48, 7, 3, 35, 1, 26, 23, 7, 1, 0.0, 28, 1, 2, 0, 0, 48, 48, 67.74, 68.82, 91.4, 30.09765625, 82.796875, 82.796875, 0, 25.8984375, 62.3984375, 1.699951171875, 44.796875, 39.6953125, 12.099609375, 1.7, 0.0, 82.796875, 48.296875, 12.099609375, 1.699951171875, 5.19921875, 3.39990234375, 180.0, 34.0, 14.0, 5.0, 135.0, "Tous les candidats", 278.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "9690", "Licence - Musicologie - Parcours Musique et Musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9690&g_ta_cod=9690", 78.0, 13.0, 8.0),
(10774, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Sciences du langage", "Licence - Arts-lettres-langues", "", 50, 236, 212, 199, 0, 124, 25, 9, 2, 2, 1, 64, 37, 8, 1, 0, 28, 199, 35, 0, 0, 124, 25, 9, 2, 2, 1, 64, 233, 46, 39, 35, 11, 35.0, 35.0, 41.0, 0, 4, 27, 23, 3, 1, 19, 0, 6, 13, 8, 0, 0.0, 18, 2, 1, 0, 0, 18, 18, 76.09, 76.09, 89.13, 84.796875, 66.6875, 66.6875, 0, 14.798828125, 58.6953125, 0.0, 22.19921875, 48.09375, 29.59765625, 0.0, 0.0, 85.1875, 66.6875, 11.099609375, 7.3994140625, 3.69970703125, 3.69970703125, 132.0, 27.0, 2.0, 1.0, 90.0, "Tous les candidats", 199.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "30812", "Licence - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30812&g_ta_cod=30812", 85.0, 11.0, 4.0),
(10775, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Informatique", "Licence - Sciences - technologies - santé", "", 58, 2018, 279, 2018, 0, 1247, 334, 155, 68, 9, 4, 607, 0, 0, 0, 0, 0, 2018, 0, 0, 0, 1247, 334, 155, 68, 9, 4, 607, 311, 58, 3, 58, 0, 1.0, 33.0, 47.0, 0, 16, 57, 57, 0, 0, 1, 0, 24, 29, 3, 1, 0.0, 33, 0, 0, 0, 0, 25, 52, 1.72, 56.9, 81.03, 5.19921875, 43.8984375, 91.1875, 0, 28.09765625, 98.296875, 0.0, 42.09375, 50.8984375, 5.2998046875, 1.8, 0.0, 100.0, 57.8984375, 0.0, 0.0, 0.0, 0.0, 307.0, 67.0, 0.0, 0.0, 4.0, "Tous les candidats", 461.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "23855", "Licence - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23855&g_ta_cod=23855", 98.0, 0.0, 0.0),
(10776, "Public", "0930834B", "Lycée Voillaume", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aulnay-sous-Bois", "formation sélective", "Autre formation", "Lycée Voillaume - Diplôme de Comptabilité et de Gestion", "DCG", "", 40, 1115, 532, 859, 0, 241, 118, 273, 128, 37, 21, 308, 256, 31, 68, 17, 140, 166, 23, 0, 0, 74, 34, 46, 27, 0, 0, 46, 160, 37, 22, 27, 7, 12.0, 24.0, 28.0, 0, 12, 24, 15, 9, 0, 13, 0, 7, 8, 6, 3, 0.0, 10, 7, 0, 0, 0, 23, 24, 32.43, 64.86, 75.68, 59.5, 95.796875, 100.0, 0, 50.0, 64.890625, 0.0, 29.19921875, 33.296875, 25.0, 12.5, 0.0, 62.5, 41.6953125, 37.5, 29.19921875, 0.0, 0.0, 66.0, 30.0, 1.0, 1.0, 63.0, "Tous les candidats", 165.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "11217", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11217&g_ta_cod=11217", 70.0, 30.0, 0.0),
(10777, "Public", "0620190V", "Lycée professionnel Henri Darras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Liévin", "formation sélective", "Autre formation", "Lycée professionnel Henri Darras - Mention complémentaire - Technicien(ne) en tuyauterie", "Mention complémentaire", "", 15, 44, 3, 44, 0, 0, 0, 0, 0, 10, 3, 34, 0, 0, 0, 0, 0, 35, 0, 0, 0, 0, 0, 0, 0, 10, 3, 25, 33, 15, 1, 15, 0, 8.0, 14.0, 15.0, 0, 2, 4, 0, 0, 4, 11, 0, 0, 2, 2, 0, 0.0, 0, 0, 4, 0, 0, 3, 3, 53.33, 93.33, 100.0, 6.69921875, 75.0, 75.0, 0, 50.0, 26.69921875, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 10.0, 3.0, 23.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "20191", "Mention complémentaire - Technicien(ne) en tuyauterie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20191&g_ta_cod=20191", 13.0, 0.0, 87.0),
(10778, "Public", "0620095S", "Lycée Louis Pasteur", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Hénin-Beaumont", "formation sélective", "BTS", "Lycée Louis Pasteur - BTS - Production - Management économique de la construction", "BTS - Production", "", 32, 153, 33, 140, 0, 9, 2, 34, 9, 58, 29, 39, 13, 0, 4, 4, 5, 95, 3, 0, 0, 9, 2, 29, 7, 38, 18, 19, 81, 20, 1, 18, 2, 5.0, 16.0, 17.0, 0, 6, 13, 0, 7, 6, 7, 0, 5, 5, 3, 0, 0.0, 0, 4, 4, 8, 0, 12, 12, 25.0, 80.0, 85.0, 5.0, 92.296875, 92.296875, 61.5, 46.1953125, 65.0, 0.0, 38.5, 38.5, 23.09765625, 0.0, 0.0, 0.0, 0.0, 53.796875, 30.796875, 46.1953125, 30.796875, 6.0, 2.0, 35.0, 17.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 63.0, "7370", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7370&g_ta_cod=7370", 20.0, 35.0, 45.0),
(10779, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 150, 534, 209, 450, 0, 294, 43, 31, 4, 6, 3, 119, 84, 19, 7, 3, 55, 450, 57, 0, 0, 294, 43, 31, 4, 6, 3, 119, 431, 102, 33, 82, 20, 28.0, 81.0, 92.0, 0, 11, 64, 59, 3, 2, 38, 0, 31, 27, 4, 2, 0.0, 30, 1, 2, 0, 0, 62, 62, 27.45, 79.41, 90.2, 32.3984375, 96.890625, 96.890625, 0, 17.19921875, 62.6953125, 0.0, 48.3984375, 42.1953125, 6.2998046875, 3.1, 0.0, 92.1875, 46.8984375, 4.69921875, 1.599853515625, 3.099609375, 3.099609375, 273.0, 38.0, 4.0, 2.0, 135.0, "Tous les candidats", 449.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2879", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2879&g_ta_cod=2879", 87.0, 7.0, 4.0),
(10780, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Langues: Anglais - Portugais", "Licence - Arts-lettres-langues", "Langues: Anglais - Portugais", 18, 197, 156, 195, 0, 116, 29, 26, 11, 11, 5, 42, 2, 0, 1, 0, 1, 195, 2, 0, 0, 116, 29, 26, 11, 11, 5, 42, 104, 24, 21, 23, 1, 4.0, 16.0, 16.0, 0, 8, 19, 13, 5, 1, 5, 0, 6, 8, 4, 1, 0.0, 11, 2, 0, 0, 0, 11, 11, 16.67, 66.67, 66.67, 87.5, 57.8984375, 57.8984375, 0, 42.09375, 79.1875, 0.0, 31.59765625, 42.09375, 21.09765625, 5.3, 0.0, 68.390625, 57.8984375, 26.296875, 10.5, 5.2998046875, 0.0, 66.0, 14.0, 5.0, 3.0, 19.0, "Tous les candidats", 135.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "19243", "Licence - Portail Langues: Anglais - Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19243&g_ta_cod=19243", 58.0, 29.0, 13.0),
(10781, "Public", "0310057U", "Hélène Boucher Lycée des métiers des soins à la personne", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Hélène Boucher Lycée des métiers des soins à la personne - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 30, 832, 820, 832, 0, 119, 36, 224, 81, 265, 93, 224, 0, 0, 0, 0, 0, 598, 0, 0, 0, 119, 36, 150, 49, 239, 82, 90, 110, 29, 29, 29, 0, 10.0, 22.0, 25.0, 0, 11, 28, 2, 8, 18, 1, 0, 5, 11, 8, 4, 0.0, 2, 4, 17, 6, 6, 20, 20, 34.48, 75.86, 86.21, 100.0, 71.390625, 71.390625, 21.3984375, 39.296875, 96.59375, 0.0, 17.8984375, 39.296875, 28.59765625, 14.3, 0.0, 7.099609375, 7.099609375, 28.59765625, 14.298828125, 64.296875, 60.6953125, 11.0, 3.0, 46.0, 14.0, 2.0, "Tous les candidats sauf les Bac professionnels", 94.0, "Bacheliers professionnels toutes séries", 64, "", 0, "Liste d'appel propre à cette formation", 19.0, "4081", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4081&g_ta_cod=4081", 10.0, 28.0, 62.0),
(10782, "Privé enseignement supérieur", "0142124H", "Ecole de management de Normandie - Campus de Caen", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 200, 3039, 1287, 2996, 0, 2677, 57, 144, 4, 5, 2, 170, 43, 21, 1, 0, 21, 2758, 36, 0, 0, 2503, 47, 102, 3, 1, 1, 152, 2626, 156, 50, 145, 11, 94.0, 144.0, 153.0, 0, 2, 137, 127, 10, 0, 19, 0, 40, 69, 25, 3, 0.0, 93, 4, 0, 0, 0, 46, 46, 60.26, 92.31, 98.08, 32.09375, 33.59375, 33.59375, 0, 1.5, 87.796875, 0.0, 29.19921875, 50.3984375, 18.19921875, 2.2, 0.0, 92.6875, 67.890625, 7.2998046875, 2.89990234375, 0.0, 0.0, 2376.0, 44.0, 1.0, 1.0, 152.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "26107", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26107", 93.0, 7.0, 0.0),
(10783, "Privé enseignement supérieur", "0941890U", "ESIEA Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Ivry-sur-Seine", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 30, 211, 18, 200, 0, 0, 0, 200, 65, 0, 0, 0, 11, 0, 11, 0, 0, 147, 8, 0, 0, 0, 0, 147, 41, 0, 0, 0, 147, 8, 0, 6, 2, 5.0, 6.0, 8.0, 0, 4, 8, 0, 8, 0, 0, 0, 3, 2, 3, 0, 0.0, 0, 5, 0, 0, 0, 2, 7, 62.5, 75.0, 100.0, 0.0, 25.0, 87.5, 0, 50.0, 100.0, 0.0, 37.5, 25.0, 37.5, 0.0, 0.0, 0.0, 0.0, 100.0, 62.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "22904", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=22904", 0.0, 100.0, 0.0),
(10784, "Public", "9730429D", "Université de Guyane", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation non sélective", "Licence", "Université de Guyane - Licence - Sciences pour l'ingénieur - Parcours Mécanique et Matériaux", "Licence - Sciences - technologies - santé", "Mécanique et Matériaux", 40, 124, 13, 95, 0, 50, 24, 14, 8, 19, 12, 12, 29, 4, 6, 5, 14, 93, 21, 0, 0, 50, 24, 14, 8, 19, 12, 10, 105, 25, 1, 16, 9, 4.0, 16.0, 19.0, 0, 9, 19, 10, 3, 6, 6, 1, 14, 4, 0, 0, 0.0, 3, 0, 1, 0, 0, 19, 19, 16.0, 64.0, 76.0, 4.0, 100.0, 100.0, 0, 47.3984375, 76.0, 5.2998046875, 73.6875, 21.09765625, 0.0, 0.0, 0.0, 52.59375, 15.798828125, 15.798828125, 0.0, 31.59765625, 5.2998046875, 51.0, 23.0, 18.0, 13.0, 21.0, "Tous les candidats", 92.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "22072", "Licence - Sciences pour l'ingénieur - Parcours Mécanique et Matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22072&g_ta_cod=22072", 52.0, 20.0, 28.0),
(10785, "Public", "0672339D", "IFSI Brumath", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Brumath", "formation sélective", "IFSI", "Regroupement d'IFSI Université Strasbourg - D.E Infirmier", "D.E secteur sanitaire", "", 50, 2941, 2476, 2941, 0, 520, 92, 582, 173, 300, 114, 1539, 0, 0, 0, 0, 0, 2540, 0, 0, 0, 504, 84, 492, 133, 219, 74, 1325, 721, 53, 43, 53, 0, 0.0, 19.0, 35.0, 0, 9, 30, 10, 15, 5, 23, 0, 6, 12, 12, 0, 0.0, 6, 13, 5, 0, 0, 29, 29, 0.0, 35.85, 66.04, 81.09375, 96.6875, 96.6875, 0, 30.0, 56.59375, 0.0, 20.0, 40.0, 40.0, 0.0, 0.0, 33.296875, 20.0, 50.0, 43.296875, 16.69921875, 16.69921875, 195.0, 32.0, 26.0, 16.0, 388.0, "Tous les candidats", 1772.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "23241", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23000&g_ta_cod=23241", 49.0, 34.0, 17.0),
(10786, "Public", "0781512V", "Lycée Descartes", "78", "Yvelines", "Ile-de-France", "Versailles", "Montigny-le-Bretonneux", "formation sélective", "CPGE", "Lycée Descartes - CPGE - PCSI", "Classe préparatoire scientifique", "", 34, 467, 167, 467, 0, 385, 35, 0, 0, 0, 0, 82, 0, 0, 0, 0, 0, 362, 0, 0, 362, 330, 23, 0, 0, 0, 0, 32, 214, 34, 10, 34, 0, 26.0, 32.0, 32.0, 0, 6, 32, 32, 0, 0, 2, 0, 1, 6, 20, 5, 0.0, 31, 0, 0, 2, 1, 31, 31, 76.47, 94.12, 94.12, 29.3984375, 96.890625, 96.890625, 6.2998046875, 18.796875, 94.09375, 0.0, 3.099609375, 18.796875, 62.5, 15.6, 0.0, 100.0, 96.890625, 0.0, 0.0, 0.0, 0.0, 210.0, 19.0, 0.0, 0.0, 4.0, "Tous les candidats", 214.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "9969", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9969&g_ta_cod=9969", 100.0, 0.0, 0.0),
(10787, "Public", "0460493L", "Lycée Gaston Monnerville", "46", "Lot", "Occitanie", "Toulouse", "Cahors", "formation sélective", "BTS", "Lycée Gaston Monnerville - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 10, 136, 7, 136, 0, 7, 1, 35, 9, 72, 24, 22, 0, 0, 0, 0, 0, 136, 0, 0, 0, 7, 1, 35, 9, 72, 24, 22, 29, 10, 1, 10, 0, 6.0, 9.0, 9.0, 0, 3, 8, 0, 2, 6, 2, 0, 1, 3, 3, 1, 0.0, 0, 1, 6, 3, 1, 7, 7, 60.0, 90.0, 90.0, 10.0, 87.5, 87.5, 37.5, 37.5, 80.0, 0.0, 12.5, 37.5, 37.5, 12.5, 0.0, 0.0, 0.0, 25.0, 12.5, 75.0, 75.0, 3.0, 1.0, 10.0, 4.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 32.0, "17581", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17581&g_ta_cod=17581", 0.0, 40.0, 60.0),
(10788, "Public", "0710042K", "Lycée Henri Vincenot", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Louhans", "formation sélective", "BTS", "Lycée Henri Vincenot - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 20, 259, 136, 259, 0, 29, 4, 98, 25, 89, 24, 43, 0, 0, 0, 0, 0, 259, 0, 0, 0, 29, 4, 98, 25, 89, 24, 43, 81, 18, 11, 18, 0, 7.0, 14.0, 15.0, 0, 4, 16, 2, 6, 8, 2, 0, 4, 7, 4, 1, 0.0, 1, 4, 7, 11, 9, 13, 13, 38.89, 77.78, 83.33, 61.09375, 81.296875, 81.296875, 68.796875, 25.0, 88.890625, 0.0, 25.0, 43.796875, 25.0, 6.3, 0.0, 12.5, 6.2998046875, 37.5, 25.0, 50.0, 43.796875, 11.0, 3.0, 46.0, 14.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 42.0, "8632", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8632&g_ta_cod=8632", 17.0, 39.0, 44.0),
(10789, "Public", "0460493L", "Lycée Gaston Monnerville", "46", "Lot", "Occitanie", "Toulouse", "Cahors", "formation sélective", "BTS", "Lycée Gaston Monnerville - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 148, 20, 145, 0, 4, 1, 52, 11, 34, 14, 55, 3, 0, 0, 2, 1, 103, 1, 0, 0, 4, 1, 52, 11, 34, 14, 13, 59, 10, 0, 10, 0, 1.0, 10.0, 10.0, 0, 3, 10, 0, 5, 5, 0, 0, 7, 3, 0, 0, 0.0, 0, 3, 0, 4, 0, 9, 9, 10.0, 100.0, 100.0, 0.0, 90.0, 90.0, 40, 30.0, 100.0, 0.0, 70.0, 30.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 30.0, 50.0, 0.0, 3.0, 1.0, 23.0, 11.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 59.0, "5750", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5750&g_ta_cod=5750", 0.0, 50.0, 50.0),
(10790, "Public", "9840349G", "Université de la Polynésie française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation sélective", "Autre formation", "Université de la Polynésie française - CUPGE - Cycle Universitaire de Préparation aux Grandes Ecoles Scientifiques", "CUPGE - Sciences, technologie, santé", "", 20, 139, 58, 127, 0, 116, 12, 1, 0, 2, 1, 8, 12, 2, 3, 0, 7, 43, 2, 0, 0, 42, 0, 0, 0, 0, 0, 1, 37, 14, 5, 14, 0, 5.0, 13.0, 13.0, 0, 1, 13, 13, 0, 0, 1, 0, 0, 0, 3, 10, 0.0, 13, 0, 0, 0, 0, 12, 12, 35.71, 92.86, 92.86, 35.6953125, 92.296875, 92.296875, 0, 7.69921875, 92.890625, 0.0, 0.0, 0.0, 23.09765625, 76.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 34.0, 1.0, 0.0, 0.0, 2.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "19671", "CUPGE - Cycle Universitaire de Préparation aux Grandes Ecoles Scientifiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19671&g_ta_cod=19671", 100.0, 0.0, 0.0),
(10791, "Public", "0781297L", "Lycée Plaine De Neauphle", "78", "Yvelines", "Ile-de-France", "Versailles", "Trappes", "formation sélective", "BTS", "Lycée Plaine De Neauphle - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 587, 249, 552, 0, 41, 16, 99, 39, 78, 36, 334, 35, 0, 0, 21, 14, 219, 2, 0, 0, 40, 15, 82, 32, 48, 24, 49, 147, 34, 12, 33, 1, 2.0, 29.0, 31.0, 0, 12, 26, 1, 16, 9, 8, 0, 21, 5, 0, 0, 0.0, 0, 4, 1, 7, 1, 20, 21, 5.88, 85.29, 91.18, 35.296875, 76.890625, 80.796875, 26.8984375, 46.1953125, 76.5, 0.0, 80.796875, 19.19921875, 0.0, 0.0, 0.0, 3.7998046875, 0.0, 61.5, 15.3984375, 34.59375, 3.7998046875, 19.0, 6.0, 44.0, 23.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 32.0, "9968", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9968&g_ta_cod=9968", 9.0, 47.0, 44.0),
(10792, "Privé enseignement supérieur", "0333415H", "ELISA Aerospace Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Saint-Jean-d'Illac", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 10, 235, 77, 235, 0, 1, 0, 0, 0, 0, 0, 234, 0, 0, 0, 0, 0, 135, 0, 0, 0, 1, 0, 0, 0, 0, 0, 134, 106, 5, 3, 5, 0, 3.0, 5.0, 5.0, 0, 0, 1, 1, 0, 0, 4, 0, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 60.0, 100.0, 100.0, 60.0, 0.0, 0.0, 0, 0.0, 20.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 105.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "22865", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22865", 80.0, 20.0, 0.0),
(10793, "Public", "0760095R", "Lycée Blaise Pascal", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 30, 248, 38, 215, 0, 15, 0, 65, 13, 54, 15, 81, 33, 0, 4, 14, 15, 153, 18, 0, 0, 15, 0, 60, 11, 47, 12, 31, 131, 23, 1, 15, 8, 4.0, 14.0, 18.0, 0, 7, 19, 1, 5, 13, 4, 0, 10, 3, 4, 2, 0.0, 0, 2, 7, 5, 0, 18, 18, 17.39, 60.87, 78.26, 4.2998046875, 94.6875, 94.6875, 26.296875, 36.796875, 82.59375, 0.0, 52.59375, 15.798828125, 21.09765625, 10.5, 0.0, 5.2998046875, 0.0, 26.296875, 10.5, 68.390625, 36.796875, 9.0, 0.0, 49.0, 16.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 63.0, "9603", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9603&g_ta_cod=9603", 13.0, 26.0, 61.0),
(10794, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence_Las", "Université de Lille - Licence - Portail Sciences sanitaires et sociales", "Licence - Sciences - technologies - santé", "", 35, 1424, 1164, 1099, 0, 461, 135, 287, 120, 27, 16, 324, 325, 100, 33, 8, 184, 616, 19, 0, 0, 343, 85, 124, 47, 3, 3, 146, 296, 33, 30, 26, 7, 2.0, 13.0, 21.0, 0, 9, 22, 13, 8, 1, 11, 0, 2, 12, 7, 1, 0.0, 11, 8, 1, 0, 0, 18, 18, 6.06, 39.39, 63.64, 90.890625, 81.796875, 81.796875, 0, 40.8984375, 66.6875, 0.0, 9.099609375, 54.5, 31.796875, 4.5, 0.0, 59.09375, 50.0, 36.3984375, 36.3984375, 4.5, 4.5, 156.0, 55.0, 1.0, 1.0, 97.0, "Tous les candidats", 799.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 47.0, "29707", "Licence - Portail Sciences sanitaires et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29706&g_ta_cod=29707", 61.0, 36.0, 3.0),
(10795, "Public", "0731248K", "Lycée Louis Armand", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "BTS", "Lycée Louis Armand - BTS - Production - Métiers de l'eau", "BTS - Production", "", 26, 308, 77, 289, 0, 46, 5, 85, 22, 29, 9, 129, 19, 3, 8, 0, 8, 171, 10, 0, 0, 46, 5, 79, 19, 7, 3, 39, 132, 16, 3, 15, 1, 1.0, 11.0, 16.0, 0, 2, 10, 3, 6, 1, 6, 1, 8, 0, 1, 0, 0.0, 0, 0, 1, 1, 0, 7, 7, 6.25, 68.75, 100.0, 18.796875, 70.0, 70.0, 10, 20.0, 62.5, 10.0, 80.0, 0.0, 10.0, 0.0, 0.0, 30.0, 0.0, 60.0, 0.0, 10.0, 10.0, 31.0, 3.0, 7.0, 3.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 58.0, "8818", "BTS - Production - Métiers de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8818&g_ta_cod=8818", 44.0, 50.0, 6.0),
(10796, "Privé sous contrat d'association", "0593058D", "Lycée Vauban", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "Lycée Vauban - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 265, 116, 257, 0, 35, 11, 55, 16, 77, 24, 90, 8, 1, 0, 0, 7, 206, 5, 0, 0, 35, 11, 52, 15, 77, 24, 42, 133, 30, 10, 29, 1, 13.0, 23.0, 28.0, 0, 6, 18, 2, 4, 12, 12, 0, 5, 7, 6, 0, 0.0, 1, 3, 9, 12, 3, 18, 18, 43.33, 76.67, 93.33, 33.296875, 100.0, 100.0, 66.6875, 33.296875, 60.0, 0.0, 27.796875, 38.8984375, 33.296875, 0.0, 0.0, 11.099609375, 5.599609375, 22.19921875, 16.69921875, 66.6875, 50.0, 19.0, 6.0, 55.0, 19.0, 37.0, "Tous les candidats sauf les Bac professionnels", 92.0, "Bacheliers professionnels toutes séries", 89, "", 0, "Liste d'appel propre à cette formation", 70.0, "6966", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6966&g_ta_cod=6966", 30.0, 17.0, 53.0),
(10797, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence_Las", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Langues étrangères appliquées - LEA Anglais-Allemand", "Licence - Arts-lettres-langues", "LEA Anglais-Allemand", 10, 78, 62, 57, 0, 40, 11, 4, 2, 0, 0, 13, 21, 9, 0, 0, 12, 55, 10, 0, 0, 40, 11, 4, 2, 0, 0, 11, 52, 8, 6, 6, 2, 0.0, 6.0, 6.0, 0, 0, 6, 6, 0, 0, 2, 1, 3, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 3, 3, 0.0, 75.0, 75.0, 75.0, 50.0, 50.0, 0, 0.0, 75.0, 16.69921875, 50.0, 16.69921875, 16.69921875, 0.0, 0.0, 100.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 35.0, 10.0, 0.0, 0.0, 16.0, "Tous les candidats", 145.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 95.0, "26705", "Licence - Portail Langues étrangères appliquées - LEA Anglais-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26704&g_ta_cod=26705", 100.0, 0.0, 0.0),
(10798, "Public", "0370037P", "Lycée Choiseul", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Choiseul - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 913, 584, 901, 0, 73, 13, 313, 100, 275, 138, 240, 12, 0, 0, 11, 1, 582, 6, 0, 0, 54, 9, 241, 65, 196, 87, 91, 181, 29, 18, 26, 3, 6.0, 16.0, 18.0, 0, 17, 28, 1, 14, 13, 1, 0, 9, 16, 3, 0, 0.0, 1, 11, 7, 1, 1, 25, 25, 20.69, 55.17, 62.07, 62.09375, 89.296875, 89.296875, 3.599609375, 60.6953125, 96.59375, 0.0, 32.09375, 57.09375, 10.69921875, 0.0, 0.0, 3.599609375, 3.599609375, 50.0, 39.296875, 46.3984375, 25.0, 15.0, 4.0, 63.0, 27.0, 25.0, "Tous les candidats sauf les Bac professionnels", 190.0, "Bacheliers professionnels toutes séries", 69, "", 0, "Liste d'appel propre à cette formation", 29.0, "4833", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4833&g_ta_cod=4833", 3.0, 52.0, 45.0),
(10799, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 570, 3689, 2648, 3660, 0, 2615, 503, 328, 113, 42, 14, 675, 29, 3, 1, 3, 22, 3614, 24, 0, 0, 2616, 504, 328, 113, 42, 14, 628, 1969, 561, 417, 547, 14, 97.0, 491.0, 522.0, 0, 115, 476, 444, 24, 8, 85, 1, 115, 212, 118, 29, 1.0, 343, 14, 3, 0, 0, 444, 444, 17.29, 87.52, 93.05, 74.296875, 93.296875, 93.296875, 0, 24.19921875, 84.796875, 0.199981689453125, 24.19921875, 44.5, 24.796875, 6.1, 0.2, 93.296875, 72.09375, 5.0, 2.89990234375, 1.699951171875, 0.5999755859375, 1567.0, 319.0, 13.0, 10.0, 326.0, "Tous les candidats", 2648.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 67.0, "6332", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26954&g_ta_cod=6332", 93.0, 6.0, 2.0),
(10800, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "Licence", "ICES - Institut Catholique de Vendée - Double licence - Histoire / Droit - double licence HISTOIRE - DROIT", "Licence - Droit-économie-gestion / Sciences humaines et sociales", "double licence HISTOIRE - DROIT", 40, 130, 63, 94, 0, 81, 3, 1, 0, 0, 0, 12, 36, 25, 2, 0, 9, 91, 15, 0, 0, 78, 2, 1, 0, 0, 0, 12, 99, 34, 15, 29, 5, 22.0, 29.0, 34.0, 0, 0, 33, 33, 0, 0, 1, 0, 2, 9, 15, 6, 1.0, 31, 0, 0, 0, 0, 10, 10, 64.71, 85.29, 100.0, 44.09375, 30.296875, 30.296875, 0, 0.0, 97.09375, 0.0, 6.099609375, 27.296875, 45.5, 18.2, 3.0, 100.0, 93.890625, 0.0, 0.0, 0.0, 0.0, 85.0, 3.0, 0.0, 0.0, 13.0, "Tous les candidats", 92.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "15653", "Double licence - Histoire / Droit - double licence HISTOIRE - DROIT", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15653&g_ta_cod=15653", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(10801, "Public", "0911975C", "Université d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "Licence", "Université d'Evry Val d'Essonne - Double licence - Mathématiques / Economie et gestion -  DOUBLE LICENCE MATHEMATIQUES-ECONOMIE", "Licence - Sciences - technologies - santé", "DOUBLE LICENCE MATHEMATIQUES-ECONOMIE", 35, 680, 255, 334, 0, 249, 45, 3, 3, 0, 0, 82, 346, 136, 6, 2, 202, 212, 55, 0, 0, 193, 33, 0, 0, 0, 0, 19, 213, 20, 8, 10, 10, 0.0, 10.0, 19.0, 0, 0, 12, 12, 0, 0, 8, 0, 3, 2, 6, 1, 0.0, 9, 0, 0, 0, 0, 6, 8, 0.0, 50.0, 95.0, 40.0, 50.0, 66.6875, 0, 0.0, 60.0, 0.0, 25.0, 16.69921875, 50.0, 8.3, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 172.0, 30.0, 0.0, 0.0, 41.0, "Tous les candidats", 210.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "15246", "Double licence - Mathématiques / Economie et gestion -  DOUBLE LICENCE MATHEMATIQUES-ECONOMIE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15246&g_ta_cod=15246", 100.0, 0.0, 0.0),
(10802, "Privé enseignement supérieur", "0130239P", "KEDGE BUSINESS SCHOOL - Site de Marseille", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  9e  Arrondissement", "formation sélective", "Ecole de Commerce", "Banque ECRICOME - Formation des écoles de commerce et de management Bac + 3 - Bachelor Affaires internationales", "Formation des écoles de commerce et de management", "KEDGE Bachelor", 120, 969, 388, 924, 0, 710, 51, 70, 4, 5, 1, 139, 45, 19, 6, 0, 20, 642, 18, 0, 0, 515, 25, 42, 2, 2, 0, 83, 649, 132, 43, 120, 12, 112.0, 120.0, 132.0, 0, 6, 110, 102, 7, 1, 22, 1, 36, 49, 23, 1, 0.0, 68, 4, 1, 0, 0, 79, 79, 84.85, 90.91, 100.0, 32.59375, 71.796875, 71.796875, 0, 5.5, 83.296875, 0.89990234375, 32.6953125, 44.5, 20.8984375, 0.9, 0.0, 92.6875, 61.796875, 6.3994140625, 3.599609375, 0.89990234375, 0.89990234375, 519.0, 28.0, 2.0, 0.0, 90.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "26269", "Formation des écoles de commerce et de management Bac + 3 - Bachelor Affaires internationales", "Banque ECRICOME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26268&g_ta_cod=26269", 90.0, 9.0, 1.0),
(10803, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 6 - Lettres - Histoire", "Licence - Arts-lettres-langues", "6 - Lettres - Histoire", 70, 375, 236, 274, 0, 182, 45, 26, 14, 15, 3, 51, 101, 16, 9, 15, 61, 274, 55, 0, 0, 182, 45, 26, 14, 15, 3, 51, 264, 65, 36, 39, 26, 4.0, 39.0, 49.0, 0, 12, 37, 20, 5, 12, 28, 0, 18, 13, 4, 2, 0.0, 11, 3, 5, 0, 0, 32, 32, 6.15, 60.0, 75.38, 55.3984375, 86.5, 86.5, 0, 32.3984375, 56.8984375, 0.0, 48.59375, 35.09375, 10.798828125, 5.4, 0.0, 54.09375, 29.69921875, 13.5, 8.099609375, 32.3984375, 13.5, 154.0, 38.0, 21.0, 10.0, 70.0, "Tous les candidats", 274.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24151", "Licence - Portail 6 - Lettres - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24151&g_ta_cod=24151", 54.0, 18.0, 25.0),
(10804, "Privé sous contrat d'association", "0450758E", "Lycée Saint-Paul Bourdon Blanc", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Saint-Paul Bourdon Blanc - BTS - Services - Gestion de la PME", "BTS - Services", "", 28, 352, 215, 352, 0, 43, 6, 95, 22, 126, 64, 88, 0, 0, 0, 0, 0, 279, 0, 0, 0, 42, 5, 86, 17, 95, 44, 56, 136, 25, 17, 25, 0, 2.0, 13.0, 19.0, 0, 7, 15, 4, 4, 7, 10, 0, 6, 7, 2, 0, 0.0, 1, 2, 6, 4, 4, 14, 14, 8.0, 52.0, 76.0, 68.0, 93.296875, 93.296875, 26.69921875, 46.6953125, 60.0, 0.0, 40.0, 46.6953125, 13.298828125, 0.0, 0.0, 26.69921875, 6.69921875, 26.69921875, 13.298828125, 46.6953125, 40.0, 27.0, 5.0, 36.0, 14.0, 32.0, "Tous les candidats sauf les Bac professionnels", 100.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 44.0, "5691", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5691&g_ta_cod=5691", 20.0, 48.0, 32.0),
(10805, "Public", "0340043M", "Lycée des Métiers Pierre Mendès France", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée des Métiers Pierre Mendès France - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 35, 667, 195, 625, 0, 27, 12, 141, 59, 172, 89, 285, 42, 9, 0, 0, 33, 188, 6, 0, 0, 10, 5, 63, 22, 81, 36, 34, 120, 25, 6, 23, 2, 9.0, 22.0, 24.0, 0, 10, 20, 2, 9, 9, 5, 1, 9, 6, 3, 1, 0.0, 0, 4, 6, 3, 0, 19, 19, 36.0, 88.0, 96.0, 24.0, 95.0, 95.0, 15, 50.0, 80.0, 5.0, 45.0, 30.0, 15.0, 5.0, 0.0, 10.0, 0.0, 45.0, 20.0, 45.0, 30.0, 8.0, 4.0, 51.0, 20.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 24.0, "4508", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4508&g_ta_cod=4508", 16.0, 48.0, 36.0),
(10806, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence", "Université des Antilles - Pôle Martinique - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes créoles - Martinique", "Licence - Arts-lettres-langues", "Etudes créoles - Martinique", 80, 82, 69, 70, 0, 39, 16, 8, 1, 6, 2, 17, 12, 4, 0, 2, 6, 70, 12, 0, 0, 39, 16, 8, 1, 6, 2, 17, 82, 13, 10, 7, 6, 7.0, 7.0, 13.0, 0, 3, 7, 4, 1, 2, 6, 0, 3, 3, 1, 0, 0.0, 2, 1, 1, 0, 0, 5, 5, 53.85, 53.85, 100.0, 76.890625, 71.390625, 71.390625, 0, 42.8984375, 53.796875, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 57.09375, 28.59765625, 14.298828125, 14.298828125, 28.59765625, 14.298828125, 43.0, 17.0, 8.0, 4.0, 23.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15959", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes créoles - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15959&g_ta_cod=15959", 62.0, 23.0, 15.0),
(10807, "Public", "0492137G", "Université Angers-Campus de Cholet", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation non sélective", "Licence_Las", "Université Angers-Campus de Cholet - Licence - Portail Histoire", "Licence - Sciences humaines et sociales", "", 10, 66, 37, 62, 0, 42, 7, 6, 2, 2, 0, 12, 4, 3, 0, 0, 1, 62, 2, 0, 0, 42, 7, 6, 2, 2, 0, 12, 53, 9, 6, 9, 0, 1.0, 8.0, 9.0, 0, 1, 7, 7, 0, 0, 2, 0, 3, 4, 0, 0, 0.0, 4, 0, 0, 0, 0, 3, 3, 11.11, 88.89, 100.0, 66.6875, 42.8984375, 42.8984375, 0, 14.298828125, 77.796875, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 100.0, 57.09375, 0.0, 0.0, 0.0, 0.0, 37.0, 7.0, 2.0, 0.0, 10.0, "Tous les candidats", 328.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "27736", "Licence - Portail Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27735&g_ta_cod=27736", 100.0, 0.0, 0.0),
(10808, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Arts du spectacle - Parcours Théâtre et spectacle vivant", "Licence - Arts-lettres-langues", "Théâtre et spectacle vivant", 140, 908, 662, 864, 0, 559, 156, 45, 16, 35, 12, 225, 44, 5, 0, 2, 37, 861, 42, 0, 0, 559, 156, 45, 16, 35, 12, 222, 673, 153, 103, 133, 20, 91.0, 114.0, 132.0, 0, 32, 94, 80, 8, 6, 59, 1, 31, 39, 20, 3, 0.0, 55, 3, 4, 0, 0, 44, 44, 59.48, 74.51, 86.27, 67.296875, 46.796875, 46.796875, 0, 34.0, 61.3984375, 1.099853515625, 33.0, 41.5, 21.296875, 3.2, 0.0, 85.09375, 58.5, 8.5, 3.19970703125, 6.3994140625, 4.2998046875, 404.0, 116.0, 28.0, 13.0, 206.0, "Tous les candidats", 816.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "4584", "Licence - Arts du spectacle - Parcours Théâtre et spectacle vivant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4584&g_ta_cod=4584", 76.0, 14.0, 8.0),
(10809, "Public", "0340011C", "Lycée polyvalent Jean Moulin", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation sélective", "BTS", "Lycée polyvalent Jean Moulin - BTS - Production - Conception de produits industriels", "BTS - Production", "", 30, 289, 33, 273, 0, 10, 1, 100, 24, 47, 19, 116, 16, 0, 1, 9, 6, 149, 2, 0, 0, 9, 1, 82, 19, 37, 15, 21, 96, 25, 0, 24, 1, 18.0, 20.0, 23.0, 0, 12, 22, 0, 13, 9, 3, 1, 11, 7, 2, 1, 0.0, 0, 2, 8, 15, 0, 22, 22, 72.0, 80.0, 92.0, 0.0, 100.0, 100.0, 68.1875, 54.5, 88.0, 4.5, 50.0, 31.796875, 9.099609375, 4.5, 0.0, 0.0, 0.0, 59.09375, 9.099609375, 40.8984375, 36.3984375, 4.0, 1.0, 26.0, 11.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 53.0, "4471", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4471&g_ta_cod=4471", 4.0, 60.0, 36.0),
(10810, "Public", "0912163G", "Lycée Paul Langevin", "91", "Essonne", "Ile-de-France", "Versailles", "Sainte-Geneviève-des-Bois", "formation sélective", "Autre formation", "Lycée Paul Langevin - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21, 6, 5, 0, 0, 0.0, 0.0, 0.0, 0, 3, 6, 0, 3, 3, 0, 0, 5, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 6, 6, 0.0, 0.0, 0.0, 83.296875, 100.0, 100.0, 0, 50.0, 100.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 16.69921875, 0.0, 0.0, 11.0, 6.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35049", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 50.0, 50.0),
(10811, "Public", "0762600N", "Lycée Edouard Delamare Deboutteville", "76", "Seine-Maritime", "Normandie", "Normandie", "Forges-les-Eaux", "formation sélective", "BTS", "Lycée Edouard Delamare Deboutteville - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 25, 296, 24, 289, 0, 7, 2, 26, 6, 81, 30, 175, 7, 0, 4, 1, 2, 153, 5, 0, 0, 7, 2, 24, 4, 73, 26, 49, 86, 20, 1, 19, 1, 6.0, 17.0, 18.0, 0, 9, 19, 0, 5, 14, 1, 1, 8, 6, 4, 0, 0.0, 0, 2, 8, 16, 1, 18, 18, 30.0, 85.0, 90.0, 5.0, 94.6875, 94.6875, 84.1875, 47.3984375, 95.0, 5.2998046875, 42.09375, 31.59765625, 21.09765625, 0.0, 0.0, 0.0, 0.0, 26.296875, 10.5, 73.6875, 42.09375, 5.0, 1.0, 50.0, 21.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 36.0, "9723", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9723&g_ta_cod=9723", 0.0, 30.0, 70.0),
(10812, "Public", "0011329P", "Campus de Bourg-en-Bresse - Université Lyon 3", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation non sélective", "Licence", "Campus de Bourg-en-Bresse - Université Lyon 3 - Licence - Portail Droit.", "Licence - Droit-économie-gestion", "Droit.", 130, 1345, 1036, 1345, 0, 1008, 211, 134, 43, 30, 14, 173, 0, 0, 0, 0, 0, 1345, 0, 0, 0, 1008, 211, 134, 43, 30, 14, 173, 579, 129, 89, 129, 0, 19.0, 104.0, 122.0, 0, 27, 119, 103, 12, 4, 10, 0, 28, 54, 29, 7, 1.0, 79, 8, 4, 0, 0, 104, 104, 14.73, 80.62, 94.57, 69.0, 87.390625, 87.390625, 0, 22.69921875, 92.1875, 0.0, 23.5, 45.3984375, 24.3984375, 5.9, 0.8, 86.59375, 66.390625, 10.099609375, 6.69921875, 3.39990234375, 3.39990234375, 458.0, 94.0, 14.0, 6.0, 66.0, "Tous les candidats", 813.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 58.0, "2037", "Licence - Portail Droit.", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28558&g_ta_cod=2037", 86.0, 10.0, 4.0),
(10813, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - ESTRI - Licence - Langues étrangères appliquées - Parcours Langues, Traduction et Communication à l'international / Anglais-Espagnol", "Licence - Arts-lettres-langues", "Langues, Traduction et Communication à l'international / Anglais-Espagnol", 100, 479, 375, 344, 0, 248, 33, 19, 3, 8, 3, 69, 135, 41, 14, 5, 75, 306, 68, 0, 0, 235, 30, 13, 2, 5, 1, 53, 351, 56, 46, 40, 16, 31.0, 40.0, 51.0, 0, 5, 42, 42, 0, 0, 14, 0, 5, 18, 15, 4, 0.0, 37, 0, 0, 0, 0, 17, 17, 55.36, 71.43, 91.07, 82.09375, 40.5, 40.5, 0, 11.8984375, 75.0, 0.0, 11.8984375, 42.8984375, 35.6953125, 9.5, 0.0, 100.0, 88.09375, 0.0, 0.0, 0.0, 0.0, 242.0, 34.0, 5.0, 1.0, 86.0, "Tous les candidats", 306.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "24697", "Licence - Langues étrangères appliquées - Parcours Langues, Traduction et Communication à l'international / Anglais-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24697&g_ta_cod=24697", 98.0, 2.0, 0.0),
(10814, "Public", "0590018Z", "Lycée Jesse De Forest", "59", "Nord", "Hauts-de-France", "Lille", "Avesnes-sur-Helpe", "formation sélective", "BTS", "Lycée Jesse De Forest - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 48, 104, 53, 102, 0, 0, 0, 25, 9, 54, 26, 23, 2, 0, 1, 0, 1, 92, 1, 0, 0, 0, 0, 22, 8, 50, 25, 20, 85, 35, 16, 34, 1, 23.0, 34.0, 34.0, 0, 13, 18, 0, 7, 11, 17, 0, 6, 5, 3, 4, 0.0, 0, 5, 7, 12, 6, 18, 18, 65.71, 97.14, 97.14, 45.6953125, 100.0, 100.0, 66.6875, 72.1875, 51.3984375, 0.0, 33.296875, 27.796875, 16.69921875, 22.2, 0.0, 0.0, 0.0, 38.8984375, 27.796875, 61.09375, 38.8984375, 0.0, 0.0, 42.0, 22.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 90.0, "6719", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6719&g_ta_cod=6719", 11.0, 23.0, 66.0),
(10815, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence_Las", "Université Toulouse 3 Paul Sabatier - Licence - Portail Mathématiques - Sciences et Humanités", "Licence - Sciences - technologies - santé", "Sciences et Humanités", 18, 174, 111, 157, 0, 78, 12, 5, 0, 0, 0, 74, 17, 7, 0, 0, 10, 157, 16, 0, 0, 78, 12, 5, 0, 0, 0, 74, 131, 15, 11, 10, 5, 2.0, 6.0, 10.0, 0, 1, 10, 9, 1, 0, 5, 1, 5, 3, 0, 0, 1.0, 3, 1, 0, 0, 0, 8, 8, 13.33, 40.0, 66.67, 73.296875, 80.0, 80.0, 0, 10.0, 66.6875, 10.0, 50.0, 30.0, 0.0, 0.0, 10.0, 90.0, 30.0, 10.0, 10.0, 0.0, 0.0, 69.0, 10.0, 0.0, 0.0, 60.0, "Tous les candidats", 294.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "31824", "Licence - Portail Mathématiques - Sciences et Humanités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31823&g_ta_cod=31824", 80.0, 20.0, 0.0),
(10816, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence_Las", "Université Paul Valery - Montpellier 3 - Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales - MIASHS", "Licence - Sciences humaines et sociales", "MIASHS", 30, 472, 243, 457, 0, 197, 51, 12, 7, 12, 8, 236, 15, 4, 1, 0, 10, 457, 14, 0, 0, 197, 51, 12, 7, 12, 8, 236, 246, 29, 14, 22, 7, 1.0, 13.0, 15.0, 0, 5, 15, 13, 1, 1, 14, 0, 10, 4, 1, 0, 0.0, 5, 0, 0, 0, 0, 7, 7, 3.45, 44.83, 51.72, 48.296875, 46.6953125, 46.6953125, 0, 33.296875, 51.6953125, 0.0, 66.6875, 26.69921875, 6.69921875, 0.0, 0.0, 86.6875, 33.296875, 6.69921875, 0.0, 6.69921875, 0.0, 117.0, 27.0, 5.0, 3.0, 123.0, "Tous les candidats", 628.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 67.0, "28894", "Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales - MIASHS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28893&g_ta_cod=28894", 86.0, 10.0, 3.0),
(10817, "Privé sous contrat d'association", "0121423G", "Lycée Charles Carnus", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BTS", "Lycée Charles Carnus - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 98, 17, 66, 0, 13, 5, 17, 2, 10, 3, 26, 32, 6, 7, 2, 17, 32, 11, 0, 0, 13, 5, 9, 1, 6, 0, 4, 42, 8, 1, 6, 2, 1.0, 6.0, 8.0, 0, 2, 6, 2, 3, 1, 2, 0, 3, 2, 1, 0, 0.0, 1, 1, 1, 0, 0, 2, 2, 12.5, 75.0, 100.0, 12.5, 33.296875, 33.296875, 0, 33.296875, 75.0, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 33.296875, 16.69921875, 50.0, 16.69921875, 16.69921875, 16.69921875, 14.0, 6.0, 7.0, 0.0, 10.0, "Tous les candidats sauf les Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 47.0, "34323", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34323&g_ta_cod=34323", 38.0, 50.0, 13.0),
(10818, "Public", "0631541H", "IFSI CHU Clermont Ferrand", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "IFSI", "Regroupement d'IFSI Université Clermont Auvergne - D.E Infirmier", "D.E secteur sanitaire", "", 142, 4626, 3839, 4626, 0, 1006, 196, 952, 222, 422, 158, 2246, 0, 0, 0, 0, 0, 3722, 0, 0, 0, 908, 158, 883, 194, 297, 107, 1634, 709, 142, 124, 142, 0, 15.0, 92.0, 116.0, 0, 17, 96, 29, 64, 3, 46, 0, 7, 49, 38, 2, 0.0, 28, 58, 3, 0, 0, 56, 56, 10.56, 64.79, 81.69, 87.296875, 58.296875, 58.296875, 0, 17.69921875, 67.59375, 0.0, 7.2998046875, 51.0, 39.59375, 2.1, 0.0, 30.19921875, 29.19921875, 66.6875, 60.3984375, 3.099609375, 3.099609375, 143.0, 17.0, 9.0, 4.0, 172.0, "Tous les candidats", 1062.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "23108", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22999&g_ta_cod=23108", 34.0, 63.0, 3.0),
(10819, "Privé sous contrat d'association", "0430055B", "Lycée Polyvalent La Chartreuse", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Brives-Charensac", "formation sélective", "BTS", "Lycée Polyvalent La Chartreuse - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 189, 27, 182, 0, 30, 5, 32, 7, 34, 4, 86, 7, 0, 0, 4, 3, 116, 1, 0, 0, 30, 5, 32, 7, 32, 3, 22, 92, 33, 4, 32, 1, 10.0, 29.0, 30.0, 0, 3, 28, 9, 6, 13, 5, 0, 19, 7, 1, 1, 0.0, 1, 0, 8, 3, 0, 24, 24, 30.3, 87.88, 90.91, 12.099609375, 85.6875, 85.6875, 10.69921875, 10.69921875, 84.796875, 0.0, 67.890625, 25.0, 3.599609375, 3.6, 0.0, 32.09375, 3.599609375, 21.3984375, 0.0, 46.3984375, 28.59765625, 27.0, 4.0, 31.0, 3.0, 14.0, "Tous les candidats sauf les Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 52.0, "5399", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5399&g_ta_cod=5399", 33.0, 27.0, 39.0),
(10820, "Privé sous contrat d'association", "0341470N", "Lycée agricole des Techniques Agricoles, Horticoles et Paysagères", "34", "Hérault", "Occitanie", "Montpellier", "Gignac", "formation sélective", "BTS", "Lycée agricole des Techniques Agricoles, Horticoles et Paysagères - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 36, 249, 62, 219, 0, 34, 5, 51, 9, 61, 21, 73, 30, 4, 8, 9, 9, 153, 26, 0, 0, 33, 5, 44, 6, 49, 17, 27, 152, 15, 3, 12, 3, 3.0, 12.0, 14.0, 0, 4, 14, 4, 3, 7, 1, 0, 6, 7, 1, 0, 0.0, 3, 1, 4, 2, 0, 8, 8, 20.0, 80.0, 93.33, 20.0, 57.09375, 57.09375, 14.298828125, 28.59765625, 93.296875, 0.0, 42.8984375, 50.0, 7.099609375, 0.0, 0.0, 28.59765625, 21.3984375, 21.3984375, 7.099609375, 50.0, 28.59765625, 31.0, 7.0, 47.0, 19.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 69.0, "4594", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4594&g_ta_cod=4594", 33.0, 20.0, 47.0),
(10821, "Public", "0590063Y", "Lycée Albert Chatelet", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "CPGE", "Lycée Albert Chatelet - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 1201, 360, 1201, 910, 935, 138, 0, 0, 0, 0, 266, 0, 0, 0, 0, 0, 905, 0, 763, 689, 855, 120, 0, 0, 0, 0, 50, 397, 47, 13, 47, 0, 16.0, 32.0, 42.0, 15, 7, 47, 47, 0, 0, 0, 0, 0, 2, 13, 29, 3.0, 47, 0, 0, 3, 0, 46, 46, 34.04, 68.09, 89.36, 27.69921875, 97.890625, 97.890625, 6.3994140625, 14.8984375, 100.0, 0.0, 0.0, 4.2998046875, 27.69921875, 61.7, 6.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 394.0, 51.0, 0.0, 0.0, 3.0, "Tous les candidats", 514.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "6734", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6734&g_ta_cod=6734", 100.0, 0.0, 0.0),
(10822, "Public", "0590035T", "Lycée Fenelon", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "BTS", "Lycée Fenelon - BTS - Services - Tourisme", "BTS - Services", "", 36, 598, 393, 567, 0, 134, 36, 67, 25, 61, 30, 305, 31, 0, 11, 2, 18, 256, 4, 0, 0, 114, 28, 46, 18, 29, 19, 67, 136, 29, 26, 28, 1, 6.0, 23.0, 26.0, 0, 8, 19, 12, 4, 3, 10, 0, 7, 9, 3, 0, 0.0, 7, 2, 3, 4, 4, 17, 17, 20.69, 79.31, 89.66, 89.6875, 89.5, 89.5, 21.09765625, 42.09375, 65.5, 0.0, 36.796875, 47.3984375, 15.798828125, 0.0, 0.0, 63.1953125, 36.796875, 21.09765625, 10.5, 15.798828125, 15.798828125, 55.0, 15.0, 12.0, 6.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 143.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 39.0, "6728", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6728&g_ta_cod=6728", 69.0, 17.0, 10.0),
(10823, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence", "Université des Antilles - Pôle Martinique - Licence - Portail Sciences de la vie - Biologie de la santé / Sciences de la terre et de l'Univers - Martinique", "Licence - Sciences - technologies - santé", "Biologie de la santé / Sciences de la terre et de l'Univers - Martinique", 220, 613, 437, 433, 0, 264, 88, 42, 14, 4, 1, 123, 180, 67, 16, 3, 94, 433, 171, 0, 0, 264, 88, 42, 14, 4, 1, 123, 591, 152, 100, 81, 69, 38.0, 78.0, 120.0, 0, 28, 85, 67, 16, 2, 67, 0, 49, 30, 6, 0, 0.0, 29, 6, 1, 0, 0, 73, 73, 25.0, 51.32, 78.95, 65.796875, 85.890625, 85.890625, 0, 32.8984375, 55.8984375, 0.0, 57.59375, 35.296875, 7.099609375, 0.0, 0.0, 78.796875, 34.09375, 18.796875, 7.099609375, 2.39990234375, 1.199951171875, 320.0, 95.0, 6.0, 3.0, 207.0, "Tous les candidats", 671.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "15963", "Licence - Portail Sciences de la vie - Biologie de la santé / Sciences de la terre et de l'Univers - Martinique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28287&g_ta_cod=15963", 79.0, 15.0, 5.0),
(10824, "Privé sous contrat d'association", "0311213A", "Lycée Issec Pigier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Issec Pigier - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 279, 174, 248, 0, 23, 8, 66, 15, 84, 38, 75, 31, 2, 0, 17, 12, 233, 13, 0, 0, 23, 8, 66, 15, 84, 38, 60, 144, 23, 14, 22, 1, 2.0, 13.0, 21.0, 0, 7, 17, 1, 7, 9, 6, 0, 7, 10, 0, 0, 0.0, 0, 5, 5, 0, 0, 16, 16, 8.7, 56.52, 91.3, 60.8984375, 94.09375, 94.09375, 0, 41.1953125, 73.890625, 0.0, 41.1953125, 58.796875, 0.0, 0.0, 0.0, 5.8994140625, 0.0, 41.1953125, 29.3984375, 52.8984375, 29.3984375, 12.0, 5.0, 66.0, 35.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 96, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 74.0, "4123", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4123&g_ta_cod=4123", 13.0, 43.0, 43.0),
(10825, "Public", "0620215X", "Université du littoral - Site de Calais -", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation non sélective", "Licence_Las", "Université du littoral - Site de Calais - - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 72, 942, 637, 942, 0, 702, 146, 79, 23, 3, 2, 158, 0, 0, 0, 0, 0, 932, 0, 0, 0, 702, 146, 79, 23, 3, 2, 148, 483, 65, 38, 65, 0, 5.0, 57.0, 57.0, 0, 15, 59, 58, 1, 0, 6, 0, 18, 23, 11, 7, 0.0, 40, 1, 0, 0, 0, 51, 51, 7.69, 87.69, 87.69, 58.5, 86.390625, 86.390625, 0, 25.3984375, 90.796875, 0.0, 30.5, 39.0, 18.59765625, 11.9, 0.0, 98.296875, 67.796875, 1.699951171875, 1.699951171875, 0.0, 0.0, 401.0, 91.0, 0.0, 0.0, 77.0, "Tous les candidats", 1047.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 71.0, "27867", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27866&g_ta_cod=27867", 98.0, 2.0, 0.0),
(10826, "Public", "0891168L", "Lycée Pierre Larousse", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Toucy", "formation sélective", "BTS", "Lycée Pierre Larousse - BTS - Services - Assurance", "BTS - Services", "", 18, 534, 291, 492, 0, 35, 12, 61, 29, 48, 17, 348, 42, 3, 12, 0, 27, 133, 6, 0, 0, 31, 11, 48, 22, 37, 13, 17, 85, 14, 12, 12, 2, 5.0, 10.0, 12.0, 0, 1, 10, 0, 5, 5, 4, 0, 5, 4, 1, 0, 0.0, 0, 3, 2, 4, 3, 9, 9, 35.71, 71.43, 85.71, 85.6875, 90.0, 90.0, 40, 10.0, 71.390625, 0.0, 50.0, 40.0, 10.0, 0.0, 0.0, 0.0, 0.0, 50.0, 30.0, 50.0, 20.0, 16.0, 3.0, 19.0, 6.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 25.0, "10785", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10785&g_ta_cod=10785", 0.0, 57.0, 43.0),
(10827, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - HISTOIRE - LLCER ANGLAIS", "Licence - Sciences humaines et sociales", "HISTOIRE - LLCER ANGLAIS", 60, 899, 680, 899, 0, 738, 103, 13, 5, 7, 3, 141, 0, 0, 0, 0, 0, 865, 0, 0, 0, 738, 103, 0, 0, 0, 0, 127, 234, 60, 49, 60, 0, 4.0, 54.0, 59.0, 0, 11, 50, 50, 0, 0, 10, 0, 0, 3, 22, 22, 3.0, 50, 0, 0, 0, 0, 2, 24, 6.67, 90.0, 98.33, 81.6875, 4.0, 48.0, 0, 22.0, 83.296875, 0.0, 0.0, 6.0, 44.0, 44.0, 6.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 201.0, 31.0, 0.0, 0.0, 33.0, "Tous les candidats", 339.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "9302", "Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - HISTOIRE - LLCER ANGLAIS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9302&g_ta_cod=9302", 100.0, 0.0, 0.0),
(10828, "Public", "0760032X", "Lycée Anguier", "76", "Seine-Maritime", "Normandie", "Normandie", "Eu", "formation sélective", "BTS", "Lycée Anguier - BTS - Services - Tourisme", "BTS - Services", "", 33, 347, 221, 342, 0, 49, 11, 56, 11, 58, 22, 179, 5, 0, 3, 1, 1, 269, 3, 0, 0, 47, 10, 55, 10, 55, 21, 112, 115, 26, 18, 24, 2, 5.0, 23.0, 23.0, 0, 8, 19, 5, 9, 5, 7, 1, 7, 8, 3, 0, 0.0, 4, 2, 5, 4, 2, 12, 12, 19.23, 88.46, 88.46, 69.1875, 63.1953125, 63.1953125, 21.09765625, 42.09375, 73.09375, 5.2998046875, 36.796875, 42.09375, 15.798828125, 0.0, 0.0, 26.296875, 21.09765625, 47.3984375, 10.5, 26.296875, 26.296875, 18.0, 3.0, 30.0, 11.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 46.0, "9566", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9566&g_ta_cod=9566", 23.0, 50.0, 27.0),
(10829, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues étrangères appliquées - Parcours Anglais et Allemand (niveau B1/B2 attendu pour les 2 langues) - confirmé", "Licence - Arts-lettres-langues", "Anglais et Allemand (niveau B1/B2 attendu pour les 2 langues) - confirmé", 40, 178, 130, 142, 0, 101, 20, 4, 1, 1, 1, 36, 36, 9, 2, 0, 25, 142, 22, 0, 0, 101, 20, 4, 1, 1, 1, 36, 160, 19, 11, 16, 3, 9.0, 16.0, 19.0, 0, 1, 14, 12, 1, 1, 5, 1, 2, 6, 5, 0, 0.0, 11, 0, 0, 0, 0, 11, 11, 47.37, 84.21, 100.0, 57.8984375, 78.59375, 78.59375, 0, 7.099609375, 73.6875, 7.099609375, 14.298828125, 42.8984375, 35.6953125, 0.0, 0.0, 85.6875, 78.59375, 7.099609375, 0.0, 7.099609375, 0.0, 106.0, 21.0, 1.0, 1.0, 48.0, "Tous les candidats", 142.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4747", "Licence - Langues étrangères appliquées - Parcours Anglais et Allemand (niveau B1/B2 attendu pour les 2 langues) - confirmé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4747&g_ta_cod=4747", 89.0, 5.0, 5.0),
(10830, "Privé sous contrat d'association", "0940821G", "Lycée Gregor Mendel", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vincennes", "formation sélective", "BTS", "Lycée Gregor Mendel - BTS - Services - Tourisme", "BTS - Services", "", 34, 636, 474, 478, 0, 100, 23, 107, 34, 118, 68, 153, 158, 25, 36, 27, 70, 139, 39, 0, 0, 34, 1, 44, 9, 26, 12, 35, 140, 22, 17, 14, 8, 3.0, 14.0, 19.0, 0, 5, 12, 2, 5, 5, 10, 0, 6, 6, 0, 0, 0.0, 0, 3, 3, 0, 0, 8, 11, 13.64, 63.64, 86.36, 77.296875, 66.6875, 91.6875, 0, 41.6953125, 54.5, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 16.69921875, 0.0, 41.6953125, 25.0, 41.6953125, 25.0, 27.0, 2.0, 27.0, 14.0, 48.0, "Tous les candidats sauf les Bac professionnels", 104.0, "Bacheliers professionnels toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 28.0, "11449", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11449&g_ta_cod=11449", 27.0, 45.0, 27.0),
(10831, "Privé sous contrat d'association", "0740092Y", "Lycée Sainte Famille", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "La Roche-sur-Foron", "formation sélective", "Autre formation", "Lycée Sainte Famille - Diplôme de Comptabilité et de Gestion", "DCG", "", 24, 141, 63, 114, 0, 38, 7, 39, 8, 1, 0, 36, 27, 8, 3, 1, 15, 78, 14, 0, 0, 32, 6, 34, 7, 0, 0, 12, 71, 19, 10, 14, 5, 10.0, 14.0, 18.0, 0, 2, 16, 7, 9, 0, 3, 1, 3, 6, 5, 1, 0.0, 4, 8, 0, 0, 0, 14, 14, 52.63, 73.68, 94.74, 52.59375, 87.5, 87.5, 0, 12.5, 84.1875, 6.2998046875, 18.796875, 37.5, 31.296875, 6.3, 0.0, 43.796875, 25.0, 56.296875, 50.0, 0.0, 0.0, 29.0, 8.0, 0.0, 0.0, 17.0, "Tous les candidats", 76.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "8884", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8884&g_ta_cod=8884", 53.0, 47.0, 0.0),
(10832, "Privé sous contrat d'association", "0594278E", "lycée E.P.I.D.", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "lycée E.P.I.D. - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 146, 13, 144, 0, 21, 4, 37, 10, 31, 10, 55, 2, 0, 0, 2, 0, 95, 0, 0, 0, 21, 4, 36, 9, 27, 8, 11, 46, 15, 0, 15, 0, 8.0, 15.0, 15.0, 0, 3, 15, 6, 5, 4, 0, 0, 4, 7, 3, 1, 0.0, 2, 5, 4, 6, 0, 15, 15, 53.33, 100.0, 100.0, 0.0, 100.0, 100.0, 40, 20.0, 100.0, 0.0, 26.69921875, 46.6953125, 20.0, 6.7, 0.0, 40.0, 13.298828125, 33.296875, 33.296875, 26.69921875, 26.69921875, 19.0, 3.0, 9.0, 2.0, 3.0, "Tous les candidats sauf les Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 59.0, "17715", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17715&g_ta_cod=17715", 40.0, 33.0, 27.0),
(10833, "Public", "0250008Y", "Lycée Louis Pasteur", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Autre formation", "Lycée Louis Pasteur - DN MADE - Spectacle - - Spécialité : Régie son du spectacle vivant", "DN MADE", "- Spécialité : Régie son du spectacle vivant", 8, 162, 38, 162, 0, 78, 13, 16, 2, 11, 2, 57, 0, 0, 0, 0, 0, 59, 0, 0, 0, 33, 6, 5, 0, 3, 0, 18, 14, 9, 4, 9, 0, 5.0, 9.0, 9.0, 0, 1, 7, 6, 0, 1, 2, 0, 0, 5, 0, 2, 0.0, 6, 0, 1, 0, 0, 1, 1, 55.56, 100.0, 100.0, 44.3984375, 14.298828125, 14.298828125, 0, 14.298828125, 77.796875, 0.0, 0.0, 71.390625, 0.0, 28.6, 0.0, 85.6875, 85.6875, 0.0, 0.0, 14.298828125, 14.298828125, 9.0, 2.0, 1.0, 0.0, 3.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "21563", "DN MADE - Spectacle - - Spécialité : Régie son du spectacle vivant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21563&g_ta_cod=21563", 78.0, 11.0, 11.0),
(10834, "Public", "0932324W", "IFSI EPS Ville Evrard", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Neuilly-sur-Marne", "formation sélective", "IFSI", "Regroupement d'IFSI Université Paris Nord - D.E Infirmier", "D.E secteur sanitaire", "", 63, 4588, 4093, 4588, 0, 441, 179, 820, 398, 664, 383, 2663, 0, 0, 0, 0, 0, 3945, 0, 0, 0, 438, 177, 751, 365, 532, 311, 2224, 834, 58, 49, 58, 0, 0.0, 21.0, 55.0, 0, 10, 24, 8, 16, 0, 34, 0, 9, 12, 3, 0, 0.0, 5, 10, 0, 0, 0, 18, 20, 0.0, 36.21, 94.83, 84.5, 75.0, 83.296875, 0, 41.6953125, 41.3984375, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 33.296875, 20.796875, 66.6875, 41.6953125, 0.0, 0.0, 201.0, 70.0, 25.0, 13.0, 428.0, "Tous les candidats", 1940.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "23055", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23010&g_ta_cod=23055", 48.0, 43.0, 7.0),
(10835, "Public", "0710001R", "Lycée Bonaparte", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Autun", "formation sélective", "Autre formation", "Lycée Bonaparte - DN MADE - Objet - - Spécialité : Art de l'assise : structure, matériaux souples et textile", "DN MADE", "- Spécialité : Art de l'assise : structure, matériaux souples et textile", 15, 74, 57, 74, 0, 12, 1, 23, 3, 29, 7, 10, 0, 0, 0, 0, 0, 74, 0, 0, 0, 12, 1, 23, 3, 29, 7, 10, 49, 15, 11, 15, 0, 4.0, 12.0, 13.0, 0, 2, 12, 1, 2, 9, 3, 0, 5, 3, 3, 1, 0.0, 0, 0, 7, 0, 0, 2, 2, 26.67, 80.0, 86.67, 73.296875, 16.69921875, 16.69921875, 0, 16.69921875, 80.0, 0.0, 41.6953125, 25.0, 25.0, 8.3, 0.0, 8.298828125, 0.0, 16.69921875, 0.0, 75.0, 58.296875, 7.0, 0.0, 23.0, 7.0, 5.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "21660", "DN MADE - Objet - - Spécialité : Art de l'assise : structure, matériaux souples et textile", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21660&g_ta_cod=21660", 7.0, 20.0, 73.0),
(10836, "Public", "0220023F", "Lycée Felix Le Dantec", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Lannion", "formation sélective", "BTS", "Lycée Felix Le Dantec - BTS - Services - Commerce International", "BTS - Services", "", 35, 571, 293, 567, 0, 115, 15, 134, 32, 38, 14, 280, 4, 3, 0, 0, 1, 361, 0, 0, 0, 112, 15, 134, 32, 37, 13, 78, 182, 29, 14, 29, 0, 5.0, 24.0, 27.0, 0, 3, 23, 8, 9, 6, 6, 0, 5, 15, 3, 0, 0.0, 6, 7, 5, 3, 1, 21, 21, 17.24, 82.76, 93.1, 48.296875, 91.296875, 91.296875, 13, 13.0, 79.296875, 0.0, 21.69921875, 65.1875, 13.0, 0.0, 0.0, 34.796875, 26.09765625, 39.09375, 30.3984375, 26.09765625, 21.69921875, 56.0, 9.0, 22.0, 9.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 122, "Liste d'appel propre à cette formation", 41.0, "3312", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3312&g_ta_cod=3312", 34.0, 45.0, 21.0),
(10837, "Public", "0311527S", "Unité de formation et de recherche des sciences médicales - Rangueil - Université Toulouse 3", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Unité de formation et de recherche des sciences médicales - Rangueil - Université Toulouse 3 - D.E Audioprothésiste", "D.E secteur sanitaire", "", 24, 292, 183, 292, 0, 77, 11, 23, 9, 1, 0, 191, 0, 0, 0, 0, 0, 183, 0, 0, 0, 57, 9, 11, 2, 1, 0, 114, 86, 24, 17, 24, 0, 4.0, 13.0, 19.0, 0, 3, 9, 5, 4, 0, 15, 0, 0, 4, 3, 2, 0.0, 5, 4, 0, 0, 0, 3, 3, 16.67, 54.17, 79.17, 70.796875, 33.296875, 33.296875, 0, 33.296875, 37.5, 0.0, 0.0, 44.3984375, 33.296875, 22.2, 0.0, 55.59375, 55.59375, 44.3984375, 44.3984375, 0.0, 0.0, 28.0, 6.0, 0.0, 0.0, 54.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "26395", "D.E Audioprothésiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26395&g_ta_cod=26395", 71.0, 25.0, 4.0),
(10838, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études arabes", "Licence - Arts-lettres-langues", "Études arabes", 30, 144, 86, 109, 0, 33, 20, 9, 8, 18, 15, 49, 35, 1, 2, 4, 28, 99, 25, 0, 0, 33, 20, 9, 8, 18, 15, 39, 124, 18, 12, 10, 8, 8.0, 9.0, 14.0, 0, 3, 6, 1, 2, 3, 12, 0, 4, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 6, 6, 44.44, 50.0, 77.78, 66.6875, 100.0, 100.0, 0, 50.0, 33.296875, 0.0, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 16.69921875, 0.0, 33.296875, 0.0, 50.0, 33.296875, 34.0, 20.0, 20.0, 17.0, 59.0, "Tous les candidats", 99.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "8053", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études arabes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8053&g_ta_cod=8053", 56.0, 22.0, 17.0),
(10839, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Lettres - Arts du spectacle - Musicologie", "Licence - Arts-lettres-langues", "mention Lettres", 60, 476, 362, 433, 0, 258, 65, 17, 6, 12, 5, 146, 43, 3, 5, 1, 34, 429, 43, 0, 0, 258, 65, 17, 6, 12, 5, 142, 412, 55, 39, 44, 11, 16.0, 42.0, 46.0, 0, 9, 28, 24, 2, 2, 27, 0, 8, 9, 10, 1, 0.0, 17, 1, 2, 0, 0, 20, 20, 29.09, 76.36, 83.64, 70.890625, 71.390625, 71.390625, 0, 32.09375, 50.8984375, 0.0, 28.59765625, 32.09375, 35.6953125, 3.6, 0.0, 85.6875, 60.6953125, 7.099609375, 3.599609375, 7.099609375, 7.099609375, 248.0, 61.0, 12.0, 6.0, 135.0, "Tous les candidats", 1235.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "24035", "Licence - Portail Lettres - Arts du spectacle - Musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24032&g_ta_cod=24035", 78.0, 16.0, 5.0),
(10840, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Autre formation", "Université de Paris - CUPGE - Cycle universitaire préparatoire aux grandes écoles", "CUPGE - Sciences, technologie, santé", "", 65, 1461, 544, 1404, 0, 1118, 127, 2, 0, 0, 0, 284, 57, 19, 1, 0, 37, 1111, 1, 0, 0, 928, 90, 0, 0, 0, 0, 183, 876, 65, 22, 64, 1, 19.0, 41.0, 55.0, 0, 7, 58, 58, 0, 0, 7, 0, 0, 12, 38, 7, 1.0, 58, 0, 0, 0, 0, 18, 48, 29.23, 63.08, 84.62, 33.796875, 31.0, 82.796875, 0, 12.099609375, 89.1875, 0.0, 0.0, 20.69921875, 65.5, 12.1, 1.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 749.0, 85.0, 0.0, 0.0, 127.0, "Tous les candidats", 1002.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "9327", "CUPGE - Cycle universitaire préparatoire aux grandes écoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9327&g_ta_cod=9327", 100.0, 0.0, 0.0),
(10841, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Autre formation", "Université de Franche-Comté - Site de Besançon - C.M.I - Cursus Master en Ingénierie - Géographie et aménagement -  Cursus Master en Ingénierie (CMI) : Sciences de l'information géographique pour l'innovation territoriale (SIGIT)", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Sciences de l'information géographique pour l'innovation territoriale (SIGIT)", 18, 64, 30, 50, 0, 35, 2, 1, 1, 1, 1, 13, 14, 4, 1, 0, 9, 21, 3, 0, 0, 16, 0, 0, 0, 0, 0, 5, 24, 9, 7, 8, 1, 8.0, 8.0, 8.0, 0, 0, 8, 8, 0, 0, 1, 0, 0, 4, 2, 2, 0.0, 8, 0, 0, 0, 0, 1, 1, 88.89, 88.89, 88.89, 77.796875, 12.5, 12.5, 0, 0.0, 88.890625, 0.0, 0.0, 50.0, 25.0, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 17.0, 0.0, 0.0, 0.0, 7.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "15172", "C.M.I - Cursus Master en Ingénierie - Géographie et aménagement -  Cursus Master en Ingénierie (CMI) : Sciences de l'information géographique pour l'innovation territoriale (SIGIT)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15172&g_ta_cod=15172", 100.0, 0.0, 0.0),
(10842, "Public", "0342023P", "Université Paul Valery Montpellier - Site de Béziers", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation sélective", "Autre formation", "Université Paul Valery Montpellier - Site de Béziers - Diplôme d'Université - PAREO - DU Passeport pour Réussir et s'Orienter (PAREO)", "Diplôme d'Université", "DU Passeport pour Réussir et s'Orienter (PAREO)", 20, 79, 46, 26, 0, 9, 2, 3, 1, 5, 2, 9, 53, 6, 12, 9, 26, 26, 37, 0, 0, 9, 2, 3, 1, 5, 2, 9, 70, 20, 11, 3, 15, 3.0, 3.0, 12.0, 0, 8, 12, 5, 3, 4, 8, 0, 7, 5, 0, 0, 0.0, 1, 1, 3, 0, 0, 11, 11, 15.0, 15.0, 60.0, 55.0, 91.6875, 91.6875, 0, 66.6875, 60.0, 0.0, 58.296875, 41.6953125, 0.0, 0.0, 0.0, 41.6953125, 8.298828125, 25.0, 8.298828125, 33.296875, 25.0, 16.0, 3.0, 14.0, 8.0, 26.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "33449", "Diplôme d'Université - PAREO - DU Passeport pour Réussir et s'Orienter (PAREO)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33449&g_ta_cod=33449", 40.0, 25.0, 30.0),
(10843, "Privé sous contrat d'association", "0070071P", "Lycée polyvalent du Sacré-Coeur", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Tournon-sur-Rhône", "formation sélective", "BTS", "Lycée polyvalent du Sacré-Coeur - BTS - Services - Gestion de la PME", "BTS - Services", "", 15, 163, 105, 157, 0, 12, 0, 47, 10, 48, 15, 50, 6, 0, 1, 1, 4, 120, 5, 0, 0, 12, 0, 47, 10, 47, 14, 14, 89, 12, 11, 10, 2, 0.0, 8.0, 10.0, 0, 1, 8, 0, 3, 5, 4, 0, 4, 2, 2, 0, 0.0, 0, 1, 3, 0, 0, 8, 8, 0.0, 66.67, 83.33, 91.6875, 100.0, 100.0, 0, 12.5, 66.6875, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 0.0, 0.0, 37.5, 12.5, 62.5, 37.5, 5.0, 0.0, 31.0, 9.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 75.0, "14269", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14269&g_ta_cod=14269", 8.0, 50.0, 42.0),
(10844, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence_Las", "Avignon Université - Licence - Portail Sciences de la vie et de la terre", "Licence - Sciences - technologies - santé", "", 20, 894, 642, 894, 0, 556, 120, 64, 22, 2, 1, 272, 0, 0, 0, 0, 0, 894, 0, 0, 0, 556, 120, 64, 22, 2, 1, 272, 155, 18, 13, 18, 0, 0.0, 9.0, 17.0, 0, 4, 13, 13, 0, 0, 5, 0, 1, 6, 6, 0, 0.0, 12, 0, 0, 0, 0, 10, 10, 0.0, 50.0, 94.44, 72.1875, 76.890625, 76.890625, 0, 30.796875, 72.1875, 0.0, 7.69921875, 46.1953125, 46.1953125, 0.0, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 108.0, 24.0, 0.0, 0.0, 47.0, "Tous les candidats", 416.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "31749", "Licence - Portail Sciences de la vie et de la terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31748&g_ta_cod=31749", 100.0, 0.0, 0.0),
(10845, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Economie", "Licence - Droit-économie-gestion", "", 80, 645, 272, 539, 0, 350, 105, 54, 23, 11, 10, 124, 106, 16, 8, 3, 79, 529, 97, 0, 0, 350, 105, 54, 23, 11, 10, 114, 457, 75, 24, 37, 38, 4.0, 37.0, 63.0, 0, 14, 29, 17, 8, 4, 46, 0, 18, 6, 4, 1, 0.0, 9, 0, 2, 0, 0, 25, 25, 5.33, 49.33, 84.0, 32.0, 86.1875, 86.1875, 0, 48.296875, 38.6953125, 0.0, 62.09375, 20.69921875, 13.798828125, 3.4, 0.0, 58.59375, 31.0, 27.59765625, 0.0, 13.798828125, 6.8994140625, 261.0, 76.0, 11.0, 9.0, 149.0, "Tous les candidats", 526.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "26337", "Licence - Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26337&g_ta_cod=26337", 52.0, 32.0, 16.0),
(10846, "Public", "0341794R", "Lycée Jean-Francois Champollion", "34", "Hérault", "Occitanie", "Montpellier", "Lattes", "formation sélective", "BTS", "Lycée Jean-Francois Champollion - BTS - Production - Systèmes photoniques", "BTS - Production", "", 24, 190, 45, 162, 0, 16, 3, 50, 9, 34, 13, 62, 28, 0, 18, 0, 10, 141, 6, 0, 0, 16, 3, 46, 9, 31, 12, 48, 96, 23, 2, 20, 3, 2.0, 20.0, 22.0, 0, 5, 18, 1, 12, 5, 5, 0, 10, 6, 2, 0, 0.0, 1, 3, 4, 4, 0, 13, 13, 8.7, 86.96, 95.65, 8.69921875, 72.1875, 72.1875, 22.19921875, 27.796875, 78.296875, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 5.599609375, 5.599609375, 66.6875, 16.69921875, 27.796875, 22.19921875, 9.0, 3.0, 12.0, 6.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 56.0, "4604", "BTS - Production - Systèmes photoniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4604&g_ta_cod=4604", 4.0, 70.0, 26.0),
(10847, "Public", "0160020K", "Lycée Jean Monnet", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Cognac", "formation sélective", "Autre formation", "Lycée Jean Monnet - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9, 7, 3, 0, 0, 0.0, 0.0, 0.0, 0, 2, 6, 0, 2, 4, 1, 1, 4, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 6, 6, 0.0, 0.0, 0.0, 42.8984375, 100.0, 100.0, 0, 33.296875, 85.6875, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 16.69921875, 0.0, 0.0, 6.0, 3.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22572", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 43.0, 57.0),
(10848, "Public", "0760096S", "Lycée Gustave Flaubert", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Gustave Flaubert - BTS - Services - Commerce International", "BTS - Services", "", 34, 1303, 709, 1303, 0, 366, 93, 373, 167, 172, 88, 392, 0, 0, 0, 0, 0, 468, 0, 0, 0, 206, 37, 128, 50, 75, 37, 59, 156, 34, 21, 34, 0, 4.0, 29.0, 31.0, 0, 13, 25, 8, 11, 6, 9, 0, 7, 10, 7, 1, 0.0, 6, 6, 6, 2, 1, 24, 24, 11.76, 85.29, 91.18, 61.796875, 96.0, 96.0, 8, 52.0, 73.5, 0.0, 28.0, 40.0, 28.0, 4.0, 0.0, 32.0, 24.0, 44.0, 24.0, 24.0, 24.0, 61.0, 19.0, 18.0, 10.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 115.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 129, "Liste d'appel propre à cette formation", 21.0, "9606", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9606&g_ta_cod=9606", 41.0, 38.0, 21.0),
(10849, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Autre formation", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - DEUST - Métiers de la forme", "DEUST", "", 22, 567, 88, 567, 0, 151, 18, 146, 19, 65, 13, 205, 0, 0, 0, 0, 0, 35, 0, 0, 0, 10, 1, 10, 0, 1, 0, 14, 33, 21, 6, 21, 0, 16.0, 20.0, 21.0, 0, 1, 11, 4, 7, 0, 10, 0, 2, 8, 1, 0, 0.0, 4, 5, 0, 0, 0, 6, 8, 76.19, 95.24, 100.0, 28.59765625, 54.5, 72.6875, 0, 9.099609375, 52.3984375, 0.0, 18.19921875, 72.6875, 9.099609375, 0.0, 0.0, 36.3984375, 36.3984375, 63.59375, 45.5, 0.0, 0.0, 9.0, 1.0, 0.0, 0.0, 13.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "21476", "DEUST - Métiers de la forme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21476&g_ta_cod=21476", 43.0, 52.0, 0.0),
(10850, "Public", "0922443F", "Lycée Etienne-Jules Marey", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Boulogne-Billancourt", "formation sélective", "Autre formation", "Lycée Etienne-Jules Marey - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 45, 15, 2, 0, 0, 0.0, 0.0, 0.0, 0, 8, 15, 0, 2, 13, 0, 1, 12, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 15, 15, 0.0, 0.0, 0.0, 13.298828125, 100.0, 100.0, 0, 53.296875, 100.0, 6.69921875, 80.0, 13.298828125, 0.0, 0.0, 0.0, 0.0, 0.0, 13.298828125, 0.0, 86.6875, 13.298828125, 0.0, 0.0, 31.0, 16.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35051", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 13.0, 87.0),
(10851, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues étrangères appliquées - Parcours Anglais espagnol appliqués aux affaires", "Licence - Arts-lettres-langues", "Anglais espagnol appliqués aux affaires", 360, 1819, 1372, 1606, 0, 1014, 317, 141, 81, 53, 35, 398, 213, 37, 17, 10, 149, 1606, 166, 0, 0, 1014, 317, 141, 81, 53, 35, 398, 1614, 348, 262, 253, 94, 145.0, 249.0, 289.0, 0, 95, 201, 157, 33, 11, 147, 1, 65, 81, 41, 12, 1.0, 116, 13, 6, 0, 0, 162, 162, 41.67, 71.55, 83.05, 75.296875, 80.59375, 80.59375, 0, 47.296875, 57.796875, 0.5, 32.296875, 40.296875, 20.3984375, 6.0, 0.5, 78.09375, 57.6953125, 16.3984375, 6.5, 5.5, 3.0, 962.0, 304.0, 47.0, 30.0, 463.0, "Tous les candidats", 1607.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15721", "Licence - Langues étrangères appliquées - Parcours Anglais espagnol appliqués aux affaires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15721&g_ta_cod=15721", 72.0, 19.0, 7.0),
(10852, "Public", "0421820A", "IFSI CHU St Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "IFSI", "Regroupement d'IFSI Université St Etienne - D.E Infirmier", "D.E secteur sanitaire", "", 94, 4372, 3689, 4372, 0, 815, 182, 894, 260, 343, 144, 2320, 0, 0, 0, 0, 0, 2790, 0, 0, 0, 644, 119, 639, 147, 196, 70, 1311, 421, 93, 76, 93, 0, 12.0, 65.0, 82.0, 0, 8, 56, 14, 40, 2, 37, 0, 5, 26, 19, 5, 1.0, 13, 36, 2, 0, 0, 37, 37, 12.9, 69.89, 88.17, 81.6875, 66.09375, 66.09375, 0, 14.298828125, 60.1953125, 0.0, 8.8984375, 46.3984375, 33.8984375, 8.9, 1.8, 25.0, 23.19921875, 71.390625, 64.296875, 3.599609375, 3.599609375, 91.0, 13.0, 10.0, 4.0, 167.0, "Tous les candidats", 748.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 16.0, "23235", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22993&g_ta_cod=23235", 47.0, 48.0, 4.0),
(10853, "Public", "0130049H", "Lycée Rempart (Rue Du)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  7e  Arrondissement", "formation sélective", "BTS", "Lycée Rempart (Rue Du) - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 557, 59, 557, 0, 59, 17, 163, 71, 148, 91, 187, 0, 0, 0, 0, 0, 234, 0, 0, 0, 28, 4, 95, 35, 81, 41, 30, 72, 15, 1, 15, 0, 1.0, 9.0, 13.0, 0, 6, 14, 1, 7, 6, 1, 0, 6, 8, 0, 0, 0.0, 0, 3, 5, 4, 0, 13, 13, 6.67, 60.0, 86.67, 6.69921875, 92.890625, 92.890625, 28.59765625, 42.8984375, 93.296875, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 7.099609375, 0.0, 50.0, 21.3984375, 42.8984375, 35.6953125, 7.0, 2.0, 25.0, 14.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 27.0, "16124", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16124&g_ta_cod=16124", 13.0, 47.0, 40.0),
(10854, "Privé sous contrat d'association", "0290338K", "Lycée Sainte Anne", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "CPGE", "Lycée Sainte Anne - CPGE - MPSI", "Classe préparatoire scientifique", "", 30, 441, 120, 438, 0, 340, 24, 0, 0, 0, 0, 98, 3, 1, 0, 0, 2, 339, 1, 0, 339, 315, 20, 0, 0, 0, 0, 24, 250, 29, 6, 29, 0, 21.0, 24.0, 29.0, 0, 0, 28, 28, 0, 0, 1, 0, 3, 12, 8, 5, 0.0, 25, 0, 0, 4, 0, 27, 27, 72.41, 82.76, 100.0, 20.69921875, 96.390625, 96.390625, 14.298828125, 0.0, 96.59375, 0.0, 10.69921875, 42.8984375, 28.59765625, 17.9, 0.0, 100.0, 89.296875, 0.0, 0.0, 0.0, 0.0, 237.0, 15.0, 0.0, 0.0, 13.0, "Tous les candidats", 326.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "3849", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3849&g_ta_cod=3849", 100.0, 0.0, 0.0),
(10855, "Public", "0430020N", "Lycée Charles et Adrien Dupuy", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "BTS", "Lycée Charles et Adrien Dupuy - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 276, 41, 267, 0, 11, 1, 38, 8, 41, 10, 177, 9, 0, 0, 5, 4, 90, 0, 0, 0, 11, 1, 38, 8, 41, 10, 0, 60, 12, 0, 12, 0, 4.0, 11.0, 11.0, 0, 2, 12, 2, 6, 4, 0, 0, 8, 1, 2, 1, 0.0, 0, 2, 2, 7, 0, 12, 12, 33.33, 91.67, 91.67, 0.0, 100.0, 100.0, 58.296875, 16.69921875, 100.0, 0.0, 66.6875, 8.298828125, 16.69921875, 8.3, 0.0, 16.69921875, 0.0, 50.0, 16.69921875, 33.296875, 16.69921875, 5.0, 1.0, 30.0, 9.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 29.0, "5384", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5384&g_ta_cod=5384", 17.0, 50.0, 33.0),
(10856, "Public", "0370038R", "Lycée Grandmont", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Grandmont - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 36, 312, 83, 276, 0, 16, 2, 125, 40, 68, 32, 67, 36, 0, 19, 0, 17, 129, 4, 0, 0, 2, 0, 53, 10, 44, 17, 30, 99, 30, 3, 29, 1, 10.0, 27.0, 28.0, 0, 9, 19, 0, 12, 7, 11, 0, 8, 8, 3, 0, 0.0, 0, 6, 5, 3, 0, 16, 16, 33.33, 90.0, 93.33, 10.0, 84.1875, 84.1875, 15.798828125, 47.3984375, 63.296875, 0.0, 42.09375, 42.09375, 15.798828125, 0.0, 0.0, 0.0, 0.0, 63.1953125, 31.59765625, 36.796875, 26.296875, 1.0, 0.0, 17.0, 8.0, 29.0, "Tous les candidats sauf les Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 37.0, "4840", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4840&g_ta_cod=4840", 7.0, 50.0, 43.0),
(10857, "Public", "0573320Z", "Lycée des Métiers - Hotelier Raymond Mondon", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Autre formation", "Lycée des Métiers - Hotelier Raymond Mondon - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 199, 120, 199, 0, 68, 8, 31, 5, 16, 5, 84, 0, 0, 0, 0, 0, 140, 0, 0, 0, 63, 7, 27, 5, 14, 3, 36, 58, 24, 15, 24, 0, 8.0, 22.0, 23.0, 0, 3, 16, 8, 2, 6, 8, 0, 5, 6, 3, 2, 0.0, 5, 2, 4, 0, 0, 12, 12, 33.33, 91.67, 95.83, 62.5, 75.0, 75.0, 0, 18.796875, 66.6875, 0.0, 31.296875, 37.5, 18.796875, 12.5, 0.0, 50.0, 31.296875, 12.5, 12.5, 37.5, 25.0, 25.0, 4.0, 6.0, 2.0, 14.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "6661", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6661&g_ta_cod=6661", 46.0, 21.0, 33.0),
(10858, "Public", "0940143V", "Lycée professionnel Jean Moulin", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vincennes", "formation sélective", "Autre formation", "Lycée professionnel Jean Moulin - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 51, 30, 8, 0, 0, 0.0, 0.0, 0.0, 0, 14, 30, 0, 3, 27, 0, 0, 22, 7, 1, 0, 0.0, 0, 0, 8, 0, 0, 29, 30, 0.0, 0.0, 0.0, 26.69921875, 96.6875, 100.0, 0, 46.6953125, 100.0, 0.0, 73.296875, 23.296875, 3.2998046875, 0.0, 0.0, 0.0, 0.0, 10.0, 0.0, 90.0, 26.69921875, 0.0, 0.0, 43.0, 21.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22524", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 10.0, 90.0),
(10859, "Public", "0170027M", "Lycée René-Josué Valin", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Autre formation", "Lycée René-Josué Valin - CPES - Arts", "Classe préparatoire aux études supérieures", "", 20, 372, 307, 330, 0, 257, 36, 20, 5, 17, 4, 36, 42, 19, 3, 3, 17, 96, 6, 0, 0, 83, 9, 6, 2, 1, 0, 6, 77, 18, 16, 14, 3, 1.0, 14.0, 16.0, 0, 0, 15, 13, 1, 1, 3, 0, 2, 6, 4, 2, 1.0, 12, 1, 0, 0, 0, 7, 7, 5.56, 77.78, 88.89, 88.890625, 46.6953125, 46.6953125, 0, 0.0, 83.296875, 0.0, 13.298828125, 40.0, 26.69921875, 13.3, 6.7, 86.6875, 80.0, 6.69921875, 6.69921875, 6.69921875, 0.0, 66.0, 8.0, 2.0, 0.0, 5.0, "Tous les candidats", 99.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "27309", "CPES - Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27309&g_ta_cod=27309", 89.0, 6.0, 6.0),
(10860, "Public", "0421573G", "IFSI du CH de Roanne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Roanne", "formation sélective", "IFSI", "Regroupement d'IFSI Université St Etienne - D.E Infirmier", "D.E secteur sanitaire", "", 69, 3208, 2695, 3208, 0, 543, 112, 713, 186, 255, 101, 1697, 0, 0, 0, 0, 0, 2069, 0, 0, 0, 422, 68, 535, 115, 150, 52, 962, 720, 73, 65, 73, 0, 0.0, 36.0, 60.0, 0, 10, 44, 13, 22, 9, 29, 0, 8, 26, 8, 2, 0.0, 11, 17, 8, 0, 0, 35, 35, 0.0, 49.32, 82.19, 89.0, 79.5, 79.5, 0, 22.69921875, 60.296875, 0.0, 18.19921875, 59.09375, 18.19921875, 4.5, 0.0, 29.5, 25.0, 50.0, 38.59375, 20.5, 18.19921875, 138.0, 23.0, 63.0, 23.0, 292.0, "Tous les candidats", 1436.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "28144", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22993&g_ta_cod=28144", 47.0, 37.0, 16.0),
(10861, "Privé enseignement supérieur", "0352349N", "Institut Catholique de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Bruz", "formation sélective", "Licence", "Institut Catholique de Rennes - Licence - Droit - Parcours Anglophone", "Licence - Droit-économie-gestion", "Anglophone", 90, 114, 86, 86, 0, 77, 6, 1, 0, 0, 0, 8, 28, 10, 2, 0, 16, 58, 7, 0, 0, 50, 4, 1, 0, 0, 0, 7, 65, 25, 17, 22, 3, 22.0, 22.0, 25.0, 0, 3, 22, 21, 1, 0, 3, 0, 0, 10, 9, 3, 0.0, 21, 1, 0, 0, 0, 15, 15, 88.0, 88.0, 100.0, 68.0, 68.1875, 68.1875, 0, 13.599609375, 88.0, 0.0, 0.0, 45.5, 40.8984375, 13.6, 0.0, 95.5, 95.5, 4.5, 4.5, 0.0, 0.0, 52.0, 4.0, 0.0, 0.0, 12.0, "Tous les candidats", 58.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "24779", "Licence - Droit - Parcours Anglophone", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24779&g_ta_cod=24779", 96.0, 4.0, 0.0),
(10862, "Public", "0140019V", "Lycée professionnel Camille Claudel", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée professionnel Camille Claudel - BTS - Services - Professions immobilières", "BTS - Services", "", 24, 1180, 712, 1180, 0, 265, 45, 376, 99, 215, 82, 324, 0, 0, 0, 0, 0, 793, 0, 0, 0, 224, 38, 284, 71, 160, 57, 125, 172, 20, 16, 20, 0, 4.0, 13.0, 13.0, 0, 8, 19, 3, 9, 7, 1, 0, 4, 9, 6, 0, 0.0, 1, 7, 7, 1, 1, 17, 17, 20.0, 65.0, 65.0, 80.0, 89.5, 89.5, 5.2998046875, 42.09375, 95.0, 0.0, 21.09765625, 47.3984375, 31.59765625, 0.0, 0.0, 15.798828125, 5.2998046875, 47.3984375, 36.796875, 36.796875, 36.796875, 34.0, 7.0, 49.0, 18.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 62.0, "Bacheliers technologiques toutes séries", 96, "Bacheliers professionnels toutes séries", 58, "Liste d'appel propre à cette formation", 18.0, "24670", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24670&g_ta_cod=24670", 15.0, 50.0, 35.0),
(10863, "Privé sous contrat d'association", "0912154X", "IRFASE", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "EFTS", "IRFASE - D.E Educateur Spécialisé", "D.E secteur social", "", 90, 294, 250, 294, 0, 38, 9, 53, 11, 54, 17, 149, 0, 0, 0, 0, 0, 281, 0, 0, 0, 38, 9, 50, 11, 53, 16, 140, 182, 85, 75, 83, 0, 32.0, 72.0, 77.0, 0, 13, 55, 12, 25, 18, 30, 0, 15, 33, 6, 1, 0.0, 9, 18, 13, 0, 0, 33, 49, 37.65, 84.71, 90.59, 88.1875, 60.0, 89.09375, 0, 23.59765625, 64.6875, 0.0, 27.296875, 60.0, 10.8984375, 1.8, 0.0, 21.796875, 16.3984375, 45.5, 32.6953125, 32.6953125, 23.59765625, 27.0, 5.0, 41.0, 10.0, 73.0, "Tous les candidats", 182.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "24929", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24929&g_ta_cod=24929", 27.0, 39.0, 34.0),
(10864, "Privé sous contrat d'association", "0624065G", "IRTS HDF - Site Artois", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "EFTS", "IRTS HDF - Site Artois - D.E Educateur Spécialisé", "D.E secteur social", "", 19, 175, 135, 175, 0, 36, 7, 42, 7, 9, 4, 88, 0, 0, 0, 0, 0, 108, 0, 0, 0, 18, 4, 22, 3, 6, 3, 62, 25, 19, 14, 19, 0, 13.0, 17.0, 18.0, 0, 2, 5, 2, 0, 3, 14, 0, 0, 2, 1, 2, 0.0, 2, 0, 3, 0, 0, 5, 5, 68.42, 89.47, 94.74, 73.6875, 100.0, 100.0, 0, 40.0, 26.296875, 0.0, 0.0, 40.0, 20.0, 40.0, 0.0, 40.0, 40.0, 0.0, 0.0, 60.0, 60.0, 2.0, 0.0, 3.0, 2.0, 20.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "24948", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24948&g_ta_cod=24948", 58.0, 21.0, 21.0),
(10865, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence_Las", "Université de Rennes 1 - Licence - Portail Portail Droit Science politique - Rennes", "Licence - Droit-économie-gestion", "Portail Droit Science politique - Rennes", 40, 854, 597, 854, 0, 583, 99, 25, 10, 6, 2, 240, 0, 0, 0, 0, 0, 852, 0, 0, 0, 583, 99, 25, 10, 6, 2, 238, 297, 35, 25, 35, 0, 3.0, 23.0, 29.0, 0, 6, 28, 28, 0, 0, 7, 0, 3, 12, 9, 3, 1.0, 25, 0, 0, 0, 0, 27, 27, 8.57, 65.71, 82.86, 71.390625, 96.390625, 96.390625, 0, 21.3984375, 80.0, 0.0, 10.69921875, 42.8984375, 32.09375, 10.7, 3.6, 100.0, 89.296875, 0.0, 0.0, 0.0, 0.0, 201.0, 27.0, 0.0, 0.0, 95.0, "Tous les candidats", 2610.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "27343", "Licence - Portail Portail Droit Science politique - Rennes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27342&g_ta_cod=27343", 100.0, 0.0, 0.0),
(10866, "Public", "0130201Y", "Aix-Marseille Université - Site de Marseille Luminy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  9e  Arrondissement", "formation non sélective", "Licence_Las", "Aix-Marseille Université - Site de Marseille Luminy - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et Techniques des Activités Physiques et Sportives-Tronc commun- (Site de Luminy)", "Licence - Sciences - technologies - santé", "Tronc commun- (Site de Luminy)", 40, 2808, 1178, 2808, 0, 1701, 288, 233, 76, 47, 29, 827, 0, 0, 0, 0, 0, 2808, 0, 0, 0, 1701, 288, 233, 76, 47, 29, 827, 156, 40, 24, 40, 0, 5.0, 31.0, 35.0, 0, 10, 26, 23, 2, 1, 14, 0, 8, 12, 3, 3, 0.0, 17, 0, 1, 0, 0, 25, 25, 12.5, 77.5, 87.5, 60.0, 96.1875, 96.1875, 0, 38.5, 65.0, 0.0, 30.796875, 46.1953125, 11.5, 11.5, 0.0, 88.5, 65.390625, 7.69921875, 0.0, 3.7998046875, 3.7998046875, 70.0, 20.0, 1.0, 1.0, 82.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "28458", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et Techniques des Activités Physiques et Sportives-Tronc commun- (Site de Luminy)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28457&g_ta_cod=28458", 88.0, 8.0, 5.0),
(10867, "Public", "0861273S", "CNED", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Chasseneuil-du-Poitou", "formation sélective", "BTS", "CNED - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 1500, 859, 423, 712, 0, 98, 28, 60, 26, 46, 18, 508, 147, 23, 15, 12, 97, 712, 141, 0, 0, 98, 28, 60, 26, 46, 18, 508, 853, 200, 103, 139, 61, 137.0, 138.0, 163.0, 0, 25, 53, 27, 12, 14, 147, 0, 20, 19, 13, 1, 0.0, 17, 7, 9, 0, 0, 5, 5, 68.5, 69.0, 81.5, 51.5, 9.3984375, 9.3984375, 0, 47.1953125, 26.5, 0.0, 37.6953125, 35.796875, 24.5, 1.9, 0.0, 50.8984375, 32.09375, 22.59765625, 13.19921875, 26.3984375, 17.0, 121.0, 42.0, 57.0, 20.0, 601.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 559.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 100.0, "20807", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20807&g_ta_cod=20807", 68.0, 18.0, 12.0),
(10868, "Public", "0622949U", "Lycée Mariette", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "CPGE", "Lycée Mariette - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 238, 151, 227, 115, 151, 33, 1, 1, 0, 0, 75, 11, 3, 1, 1, 6, 180, 2, 115, 148, 149, 32, 0, 0, 0, 0, 31, 143, 25, 19, 25, 0, 13.0, 25.0, 25.0, 12, 6, 25, 25, 0, 0, 0, 0, 1, 7, 11, 6, 0.0, 24, 0, 0, 15, 10, 24, 24, 52.0, 100.0, 100.0, 76.0, 96.0, 96.0, 60, 24.0, 100.0, 0.0, 4.0, 28.0, 44.0, 24.0, 0.0, 100.0, 96.0, 0.0, 0.0, 0.0, 0.0, 135.0, 26.0, 0.0, 0.0, 8.0, "Tous les candidats", 155.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "7461", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7461&g_ta_cod=7461", 100.0, 0.0, 0.0),
(10869, "Public", "0831646N", "Lycée du Val d'Argens", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Le Muy", "formation sélective", "BTS", "Lycée du Val d'Argens - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 12, 121, 23, 114, 0, 14, 4, 47, 10, 32, 7, 21, 7, 0, 0, 6, 1, 81, 2, 0, 0, 14, 4, 34, 5, 21, 5, 12, 41, 8, 0, 7, 0, 2.0, 6.0, 6.0, 0, 2, 7, 3, 2, 2, 1, 0, 3, 4, 0, 0, 0.0, 0, 2, 2, 4, 0, 7, 7, 25.0, 75.0, 75.0, 0.0, 100.0, 100.0, 57.09375, 28.59765625, 87.5, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 42.8984375, 0.0, 28.59765625, 28.59765625, 28.59765625, 28.59765625, 7.0, 4.0, 19.0, 6.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 41.0, "14799", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14799&g_ta_cod=14799", 38.0, 38.0, 25.0),
(10870, "Privé sous contrat d'association", "0541253U", "IRTS de Lorraine - Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "EFTS", "IRTS de Lorraine - Nancy - D.E Assistant de Service Social", "D.E secteur social", "", 24, 99, 92, 99, 0, 22, 5, 21, 7, 12, 2, 44, 0, 0, 0, 0, 0, 99, 0, 0, 0, 22, 5, 21, 7, 12, 2, 44, 41, 24, 24, 24, 0, 12.0, 18.0, 20.0, 0, 5, 16, 5, 7, 4, 8, 0, 7, 3, 4, 2, 0.0, 2, 4, 3, 0, 0, 13, 13, 50.0, 75.0, 83.33, 100.0, 81.296875, 81.296875, 0, 31.296875, 66.6875, 0.0, 43.796875, 18.796875, 25.0, 12.5, 0.0, 31.296875, 12.5, 43.796875, 25.0, 25.0, 18.796875, 8.0, 2.0, 4.0, 1.0, 19.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "24912", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24912&g_ta_cod=24912", 50.0, 33.0, 17.0),
(10871, "Public", "0754476H", "Lycée des Métiers de l'Hôtellerie Guillaume TIREL", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "BTS", "Lycée des Métiers de l'Hôtellerie Guillaume TIREL - BTS - Services - Diététique", "BTS - Services", "", 24, 1452, 1192, 1452, 0, 274, 59, 434, 120, 103, 45, 641, 0, 0, 0, 0, 0, 386, 0, 0, 0, 100, 23, 108, 31, 40, 18, 138, 89, 24, 22, 24, 0, 6.0, 20.0, 23.0, 0, 4, 12, 8, 4, 0, 12, 0, 1, 5, 4, 1, 1.0, 7, 4, 0, 0, 0, 4, 11, 25.0, 83.33, 95.83, 91.6875, 33.296875, 91.6875, 0, 33.296875, 50.0, 0.0, 8.298828125, 41.6953125, 33.296875, 8.3, 8.3, 66.6875, 58.296875, 33.296875, 33.296875, 0.0, 0.0, 22.0, 7.0, 0.0, 0.0, 50.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 9.0, "20049", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20049&g_ta_cod=20049", 46.0, 46.0, 8.0),
(10872, "Public", "0680099N", "ENSISA - partenaire INSA", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "Ecole d'Ingénieur", "Groupe INSA - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 40, 4627, 1313, 4621, 0, 3959, 358, 0, 0, 0, 0, 662, 6, 1, 0, 0, 5, 3150, 1, 0, 0, 2720, 219, 0, 0, 0, 0, 430, 2206, 29, 6, 29, 0, 3.0, 19.0, 28.0, 0, 0, 22, 22, 0, 0, 7, 0, 0, 5, 16, 1, 0.0, 22, 0, 0, 0, 0, 9, 9, 10.34, 65.52, 96.55, 20.69921875, 40.8984375, 40.8984375, 0, 0.0, 75.890625, 0.0, 0.0, 22.69921875, 72.6875, 4.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1886.0, 166.0, 0.0, 0.0, 320.0, "Tous les candidats", 15752.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 67.0, "448", "Formation d'ingénieur Bac + 5 - Bac Général", "Groupe INSA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=57&g_ta_cod=448", 100.0, 0.0, 0.0),
(10873, "Privé sous contrat d'association", "0850609A", "Lycée agricole Les Etablières", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée agricole Les Etablières - BTS - Agricole - productions animales", "BTS - Agricole", "", 42, 204, 146, 194, 0, 64, 4, 57, 7, 48, 13, 25, 10, 2, 2, 1, 5, 178, 5, 0, 0, 64, 4, 56, 7, 44, 13, 14, 131, 19, 13, 19, 0, 9.0, 19.0, 19.0, 0, 2, 17, 6, 8, 3, 2, 0, 11, 6, 0, 0, 0.0, 3, 2, 1, 2, 2, 12, 12, 47.37, 100.0, 100.0, 68.390625, 70.59375, 70.59375, 11.798828125, 11.798828125, 89.5, 0.0, 64.6875, 35.296875, 0.0, 0.0, 0.0, 35.296875, 17.59765625, 47.09375, 11.798828125, 17.59765625, 5.8994140625, 44.0, 1.0, 32.0, 11.0, 13.0, "Tous les candidats sauf les Bac professionnels", 132.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 91.0, "15843", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15843&g_ta_cod=15843", 32.0, 47.0, 21.0),
(10874, "Public", "0120870F", "I.U.T de Rodez", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BUT", "I.U.T de Rodez - BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services (alternance possible dès la 2ème année) - Pilotage de la chaîne logistique globale (alternance possible dès la 2ème année)", "BUT - Production", "Management de la production de biens et de services (alternance possible dès la 2ème année) - Pilotage de la chaîne logistique globale (alternance possible dès la 2ème année)", 26, 230, 44, 202, 0, 78, 2, 64, 18, 2, 0, 58, 28, 6, 6, 0, 16, 137, 4, 0, 0, 62, 1, 48, 13, 0, 0, 27, 98, 16, 6, 15, 1, 5.0, 15.0, 16.0, 0, 2, 13, 6, 7, 0, 3, 0, 6, 5, 2, 0, 0.0, 2, 5, 0, 0, 0, 13, 13, 31.25, 93.75, 100.0, 37.5, 100.0, 100.0, 0, 15.3984375, 81.296875, 0.0, 46.1953125, 38.5, 15.3984375, 0.0, 0.0, 46.1953125, 15.3984375, 53.796875, 38.5, 0.0, 0.0, 38.0, 2.0, 0.0, 0.0, 24.0, "Tous les candidats sauf les Bac technologiques", 79.0, "Bacheliers technologiques toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 67.0, "2496", "BUT - Qualité, logistique industrielle et organisation Parcours : Management de la production de biens et de services (alternance possible dès la 2ème année) - Pilotage de la chaîne logistique globale (alternance possible dès la 2ème année)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2496&g_ta_cod=2496", 50.0, 50.0, 0.0),
(10875, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, littératures & civilisations étrangères et régionales Portugais", "Licence - Arts-lettres-langues", "Langues, littératures & civilisations étrangères et régionales Portugais", 80, 55, 31, 27, 0, 12, 2, 2, 1, 4, 2, 9, 28, 0, 3, 8, 17, 27, 27, 0, 0, 12, 2, 2, 1, 4, 2, 9, 54, 11, 8, 3, 8, 2.0, 3.0, 7.0, 0, 4, 6, 2, 1, 3, 5, 0, 1, 4, 1, 0, 0.0, 2, 1, 2, 0, 0, 3, 3, 18.18, 27.27, 63.64, 72.6875, 50.0, 50.0, 0, 66.6875, 54.5, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 33.296875, 33.296875, 16.69921875, 16.69921875, 50.0, 33.296875, 12.0, 2.0, 12.0, 6.0, 26.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4744", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, littératures & civilisations étrangères et régionales Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4744&g_ta_cod=4744", 45.0, 18.0, 36.0),
(10876, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Double licence - Droit / Géographie et aménagement - Droit - Géographie", "Licence - Droit-économie-gestion", "Droit - Géographie", 30, 596, 353, 596, 0, 443, 70, 9, 3, 1, 1, 143, 0, 0, 0, 0, 0, 282, 0, 0, 0, 212, 22, 0, 0, 0, 0, 70, 113, 30, 23, 30, 0, 5.0, 20.0, 25.0, 0, 4, 22, 22, 0, 0, 8, 1, 0, 0, 5, 16, 0.0, 21, 0, 0, 0, 0, 7, 15, 16.67, 66.67, 83.33, 76.6875, 31.796875, 68.1875, 0, 18.19921875, 73.296875, 4.5, 0.0, 0.0, 22.69921875, 72.7, 0.0, 100.0, 95.5, 0.0, 0.0, 0.0, 0.0, 81.0, 14.0, 0.0, 0.0, 32.0, "Tous les candidats", 130.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "17166", "Double licence - Droit / Géographie et aménagement - Droit - Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17166&g_ta_cod=17166", 100.0, 0.0, 0.0),
(10877, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues étrangères appliquées - Parcours Anglais / Arabe", "Licence - Arts-lettres-langues", "Anglais / Arabe", 70, 344, 243, 248, 0, 73, 41, 22, 14, 13, 8, 140, 96, 10, 18, 5, 63, 205, 53, 0, 0, 73, 41, 22, 14, 13, 8, 97, 230, 65, 47, 33, 32, 11.0, 33.0, 46.0, 0, 15, 24, 12, 9, 3, 41, 2, 19, 3, 0, 0, 0.0, 2, 0, 1, 0, 0, 7, 16, 16.92, 50.77, 70.77, 72.296875, 29.19921875, 66.6875, 0, 62.5, 36.8984375, 8.298828125, 79.1875, 12.5, 0.0, 0.0, 0.0, 50.0, 8.298828125, 37.5, 0.0, 12.5, 4.19921875, 74.0, 40.0, 11.0, 7.0, 118.0, "Tous les candidats", 202.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "28092", "Licence - Langues étrangères appliquées - Parcours Anglais / Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28092&g_ta_cod=28092", 58.0, 25.0, 17.0),
(10878, "Privé sous contrat d'association", "0442725Y", "LPO Talensac - Jeanne Bernard", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LPO Talensac - Jeanne Bernard - BTS - Production - Biotechnologies", "BTS - Production", "", 45, 436, 235, 436, 0, 120, 18, 156, 24, 11, 3, 149, 0, 0, 0, 0, 0, 348, 0, 0, 0, 116, 18, 148, 22, 7, 1, 77, 201, 44, 21, 44, 0, 8.0, 28.0, 40.0, 0, 3, 33, 21, 10, 2, 11, 0, 19, 11, 2, 1, 0.0, 10, 3, 1, 2, 2, 23, 23, 18.18, 63.64, 90.91, 47.6953125, 69.6875, 69.6875, 6.099609375, 9.099609375, 75.0, 0.0, 57.59375, 33.296875, 6.099609375, 3.0, 0.0, 63.59375, 30.296875, 30.296875, 9.099609375, 6.099609375, 3.0, 74.0, 9.0, 3.0, 1.0, 47.0, "Tous les candidats sauf les Bac professionnels", 289.0, "Bacheliers professionnels toutes séries", 5, "", 0, "Liste d'appel propre à cette formation", 67.0, "5509", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5509&g_ta_cod=5509", 68.0, 25.0, 5.0),
(10879, "Public", "0301687W", "Université de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "Licence", "Université de Nîmes - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 500, 2945, 2137, 2513, 0, 1632, 465, 318, 143, 97, 49, 466, 432, 118, 50, 19, 245, 2502, 416, 0, 0, 1632, 465, 318, 143, 97, 49, 455, 2370, 476, 309, 319, 155, 46.0, 308.0, 384.0, 0, 115, 310, 209, 75, 26, 166, 2, 149, 112, 39, 7, 1.0, 116, 32, 11, 0, 0, 215, 215, 9.66, 64.71, 80.67, 64.890625, 69.390625, 69.390625, 0, 37.09375, 65.09375, 0.5999755859375, 48.09375, 36.09375, 12.599609375, 2.3, 0.3, 67.390625, 37.3984375, 24.19921875, 10.298828125, 8.3984375, 3.5, 1347.0, 374.0, 92.0, 50.0, 618.0, "Tous les candidats", 2600.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "4017", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28868&g_ta_cod=4017", 65.0, 25.0, 9.0),
(10880, "Public", "0420033H", "Lycée Albert Thomas", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Roanne", "formation sélective", "BTS", "Lycée Albert Thomas - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 266, 184, 266, 0, 15, 4, 92, 43, 71, 33, 88, 0, 0, 0, 0, 0, 259, 0, 0, 0, 15, 4, 90, 41, 71, 33, 83, 123, 21, 15, 21, 0, 2.0, 16.0, 18.0, 0, 7, 18, 0, 9, 9, 3, 0, 9, 5, 4, 0, 0.0, 0, 2, 7, 4, 1, 13, 13, 9.52, 76.19, 85.71, 71.390625, 72.1875, 72.1875, 22.19921875, 38.8984375, 85.6875, 0.0, 50.0, 27.796875, 22.19921875, 0.0, 0.0, 0.0, 0.0, 50.0, 11.099609375, 50.0, 38.8984375, 3.0, 1.0, 44.0, 19.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 54.0, "5273", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5273&g_ta_cod=5273", 5.0, 52.0, 43.0),
(10881, "Public", "0310044E", "Lycée Déodat de Séverac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Déodat de Séverac - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 633, 173, 633, 0, 53, 24, 271, 106, 151, 62, 158, 0, 0, 0, 0, 0, 313, 0, 0, 0, 40, 17, 140, 43, 81, 28, 52, 128, 26, 6, 26, 0, 4.0, 19.0, 22.0, 0, 8, 18, 2, 7, 9, 8, 0, 6, 9, 3, 0, 0.0, 2, 5, 5, 1, 0, 15, 15, 15.38, 73.08, 84.62, 23.09765625, 83.296875, 83.296875, 5.599609375, 44.3984375, 69.1875, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 11.099609375, 11.099609375, 38.8984375, 27.796875, 50.0, 27.796875, 28.0, 12.0, 40.0, 15.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers technologiques toutes séries", 89, "Bacheliers professionnels toutes séries", 59, "Liste d'appel propre à cette formation", 30.0, "25202", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25202&g_ta_cod=25202", 27.0, 38.0, 35.0),
(10882, "Public", "0540082W", "Lycée professionnel Paul Louis Cyfflé", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée professionnel Paul Louis Cyfflé - BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "BTS - Services", "", 24, 298, 150, 298, 0, 23, 3, 30, 8, 90, 29, 155, 0, 0, 0, 0, 0, 141, 0, 0, 0, 20, 3, 21, 4, 70, 24, 30, 58, 22, 12, 22, 0, 1.0, 21.0, 22.0, 0, 7, 20, 5, 3, 12, 2, 0, 4, 10, 6, 0, 0.0, 2, 2, 12, 8, 4, 18, 18, 4.55, 95.45, 100.0, 54.5, 90.0, 90.0, 40, 35.0, 90.890625, 0.0, 20.0, 50.0, 30.0, 0.0, 0.0, 25.0, 10.0, 15.0, 10.0, 60.0, 60.0, 12.0, 2.0, 22.0, 8.0, 11.0, "Tous les candidats sauf les Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 23.0, "18168", "BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18168&g_ta_cod=18168", 27.0, 14.0, 55.0),
(10883, "Public", "9710003B", "Lycée Baimbridge", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "Autre formation", "Lycée Baimbridge - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 223, 112, 179, 0, 95, 29, 41, 26, 9, 9, 34, 44, 8, 9, 5, 22, 121, 8, 0, 0, 81, 25, 22, 12, 0, 0, 18, 98, 32, 15, 25, 7, 11.0, 25.0, 30.0, 0, 9, 24, 22, 2, 0, 8, 0, 5, 9, 8, 2, 0.0, 17, 2, 0, 0, 0, 23, 23, 34.38, 78.13, 93.75, 46.8984375, 95.796875, 95.796875, 0, 37.5, 75.0, 0.0, 20.796875, 37.5, 33.296875, 8.3, 0.0, 91.6875, 70.796875, 8.298828125, 8.298828125, 0.0, 0.0, 63.0, 23.0, 0.0, 0.0, 22.0, "Tous les candidats", 121.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "11740", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11740&g_ta_cod=11740", 88.0, 13.0, 0.0),
(10884, "Public", "0570108H", "Lycée La Briquerie", "57", "Moselle", "Grand Est", "Nancy-Metz", "Thionville", "formation sélective", "BTS", "Lycée La Briquerie - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 371, 46, 368, 0, 43, 6, 100, 22, 69, 21, 156, 3, 0, 0, 0, 3, 181, 0, 0, 0, 43, 6, 64, 15, 52, 17, 22, 97, 29, 0, 29, 0, 5.0, 22.0, 25.0, 0, 8, 29, 4, 13, 12, 0, 0, 16, 10, 3, 0, 0.0, 1, 4, 8, 24, 0, 29, 29, 17.24, 75.86, 86.21, 0.0, 100.0, 100.0, 82.796875, 27.59765625, 100.0, 0.0, 55.1953125, 34.5, 10.298828125, 0.0, 0.0, 13.798828125, 3.39990234375, 44.796875, 13.798828125, 41.3984375, 27.59765625, 20.0, 2.0, 26.0, 11.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 35.0, "6562", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6562&g_ta_cod=6562", 14.0, 45.0, 41.0),
(10885, "Privé sous contrat d'association", "0470060K", "Lycée Saint-Caprais", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "BTS", "Lycée Saint-Caprais - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 125, 52, 86, 0, 21, 5, 20, 6, 16, 3, 29, 39, 5, 12, 4, 18, 68, 23, 0, 0, 20, 5, 19, 6, 16, 3, 13, 87, 20, 9, 11, 9, 7.0, 11.0, 18.0, 0, 6, 14, 4, 5, 5, 6, 0, 9, 5, 0, 0, 0.0, 1, 2, 2, 0, 0, 11, 11, 35.0, 55.0, 90.0, 45.0, 78.59375, 78.59375, 0, 42.8984375, 70.0, 0.0, 64.296875, 35.6953125, 0.0, 0.0, 0.0, 28.59765625, 7.099609375, 35.6953125, 14.298828125, 35.6953125, 14.298828125, 22.0, 7.0, 19.0, 5.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 78.0, "5783", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5783&g_ta_cod=5783", 35.0, 25.0, 35.0),
(10886, "Public", "0490946M", "Lycée agricole Angers le Fresne", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Lycée agricole Angers le Fresne - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 34, 615, 166, 615, 0, 91, 8, 104, 21, 134, 23, 286, 0, 0, 0, 0, 0, 292, 0, 0, 0, 88, 8, 79, 12, 87, 11, 38, 100, 32, 11, 32, 0, 7.0, 28.0, 30.0, 0, 8, 26, 5, 10, 11, 6, 0, 2, 13, 10, 1, 0.0, 4, 10, 10, 4, 0, 11, 11, 21.88, 87.5, 93.75, 34.3984375, 42.296875, 42.296875, 15.3984375, 30.796875, 81.296875, 0.0, 7.69921875, 50.0, 38.5, 3.8, 0.0, 19.19921875, 15.3984375, 38.5, 38.5, 42.296875, 38.5, 23.0, 3.0, 39.0, 7.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 28.0, "5922", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5922&g_ta_cod=5922", 34.0, 31.0, 34.0),
(10887, "Public", "9720501M", "Lycée professionnel Chateauboeuf", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée professionnel Chateauboeuf - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 15, 114, 4, 101, 0, 9, 3, 8, 3, 75, 45, 9, 13, 0, 1, 12, 0, 30, 3, 0, 0, 2, 0, 6, 3, 20, 13, 2, 27, 12, 0, 9, 3, 7.0, 9.0, 9.0, 0, 7, 11, 0, 0, 11, 1, 0, 2, 9, 0, 0, 0.0, 0, 0, 9, 7, 0, 11, 11, 58.33, 75.0, 75.0, 0.0, 100.0, 100.0, 63.59375, 63.59375, 91.6875, 0.0, 18.19921875, 81.796875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 81.796875, 2.0, 0.0, 19.0, 13.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 6, "Liste d'appel propre à cette formation", 25.0, "20248", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20248&g_ta_cod=20248", 0.0, 8.0, 92.0),
(10888, "Public", "0132974M", "Lycée Hotelier Regional", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  8e  Arrondissement", "formation sélective", "BTS", "Lycée Hotelier Regional - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 84, 469, 253, 458, 0, 0, 0, 176, 33, 139, 37, 143, 11, 0, 2, 1, 8, 424, 8, 0, 0, 0, 0, 170, 31, 124, 29, 130, 380, 58, 28, 53, 2, 40.0, 51.0, 57.0, 0, 5, 26, 0, 10, 16, 32, 0, 7, 12, 6, 1, 0.0, 0, 4, 15, 13, 5, 21, 21, 68.97, 87.93, 98.28, 48.296875, 80.796875, 80.796875, 50, 19.19921875, 44.796875, 0.0, 26.8984375, 46.1953125, 23.09765625, 3.8, 0.0, 0.0, 0.0, 38.5, 15.3984375, 61.5, 57.6953125, 0.0, 0.0, 117.0, 29.0, 114.0, "Tous les candidats sauf les Bac professionnels", 288.0, "Bacheliers professionnels toutes séries", 133, "", 0, "Liste d'appel propre à cette formation", 92.0, "2791", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2791&g_ta_cod=2791", 34.0, 33.0, 33.0),
(10889, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Métiers des langues - Espagnol", "Licence - Arts-lettres-langues", "Métiers des langues - Espagnol", 42, 283, 238, 272, 0, 176, 44, 13, 6, 3, 2, 80, 11, 1, 1, 3, 6, 271, 10, 0, 0, 176, 44, 13, 6, 3, 2, 79, 211, 38, 32, 33, 5, 15.0, 30.0, 32.0, 0, 7, 26, 23, 2, 1, 12, 0, 11, 10, 5, 0, 0.0, 13, 1, 1, 0, 0, 24, 24, 39.47, 78.95, 84.21, 84.1875, 92.296875, 92.296875, 0, 26.8984375, 68.390625, 0.0, 42.296875, 38.5, 19.19921875, 0.0, 0.0, 88.5, 50.0, 7.69921875, 3.7998046875, 3.7998046875, 3.7998046875, 136.0, 35.0, 3.0, 2.0, 65.0, "Tous les candidats", 316.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "3264", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Métiers des langues - Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28572&g_ta_cod=3264", 82.0, 16.0, 3.0),
(10890, "Public", "0300027S", "Lycée Hemingway - De La Camargue", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "Autre formation", "Lycée Hemingway - De La Camargue - DN MADE - Mode - - Spécialité : Prospective, matières et image de mode", "DN MADE", "- Spécialité : Prospective, matières et image de mode", 14, 687, 582, 687, 0, 242, 56, 186, 43, 91, 28, 168, 0, 0, 0, 0, 0, 126, 0, 0, 0, 39, 2, 55, 10, 5, 1, 27, 33, 14, 11, 14, 0, 4.0, 14.0, 14.0, 0, 4, 12, 3, 7, 2, 2, 0, 1, 5, 5, 1, 0.0, 3, 6, 2, 0, 0, 1, 1, 28.57, 100.0, 100.0, 78.59375, 8.298828125, 8.298828125, 0, 33.296875, 85.6875, 0.0, 8.298828125, 41.6953125, 41.6953125, 8.3, 0.0, 25.0, 25.0, 58.296875, 50.0, 16.69921875, 16.69921875, 8.0, 2.0, 2.0, 1.0, 6.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "21553", "DN MADE - Mode - - Spécialité : Prospective, matières et image de mode", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21553&g_ta_cod=21553", 21.0, 64.0, 14.0),
(10891, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Hébreu et études juives", "Licence - Arts-lettres-langues", "LLCER Hébreu et études juives", 20, 80, 45, 33, 0, 17, 3, 1, 0, 0, 0, 15, 47, 5, 0, 5, 37, 33, 45, 0, 0, 17, 3, 1, 0, 0, 0, 15, 78, 9, 4, 5, 4, 5.0, 5.0, 7.0, 0, 1, 3, 2, 0, 1, 6, 0, 1, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 1, 1, 55.56, 55.56, 77.78, 44.3984375, 33.296875, 33.296875, 0, 33.296875, 33.296875, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 66.6875, 66.6875, 0.0, 0.0, 33.296875, 0.0, 22.0, 4.0, 5.0, 2.0, 50.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20515", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Hébreu et études juives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20515&g_ta_cod=20515", 78.0, 0.0, 22.0),
(10892, "Public", "0070029U", "Lycée Gabriel Faure", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Tournon-sur-Rhône", "formation sélective", "BTS", "Lycée Gabriel Faure - BTS - Services - Commerce International", "BTS - Services", "", 34, 702, 336, 702, 0, 100, 31, 154, 56, 82, 38, 366, 0, 0, 0, 0, 0, 286, 0, 0, 0, 82, 23, 103, 35, 54, 23, 47, 139, 33, 22, 33, 0, 6.0, 26.0, 31.0, 0, 3, 23, 5, 13, 5, 10, 1, 6, 11, 3, 2, 0.0, 5, 6, 5, 8, 4, 22, 22, 18.18, 78.79, 93.94, 66.6875, 95.6875, 95.6875, 34.796875, 13.0, 69.6875, 4.2998046875, 26.09765625, 47.796875, 13.0, 8.7, 0.0, 21.69921875, 21.69921875, 56.5, 26.09765625, 21.69921875, 21.69921875, 18.0, 5.0, 25.0, 12.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 113, "Liste d'appel propre à cette formation", 27.0, "2334", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2334&g_ta_cod=2334", 27.0, 48.0, 24.0),
(10893, "Public", "0100023W", "Lycée Marie De Champagne", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "Autre formation", "Lycée Marie De Champagne - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 29, 5, 2, 0, 0, 0.0, 0.0, 0.0, 0, 2, 5, 0, 0, 5, 0, 0, 4, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 5, 5, 0.0, 0.0, 0.0, 40.0, 100.0, 100.0, 0, 40.0, 100.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 20.0, 0.0, 0.0, 27.0, 12.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22488", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 0.0, 100.0),
(10894, "Privé sous contrat d'association", "0920919Z", "Lycée Notre Dame de Ste Croix", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Neuilly-sur-Seine", "formation sélective", "CPGE", "Lycée Notre Dame de Ste Croix - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 26, 1175, 588, 1173, 0, 1107, 42, 0, 0, 0, 0, 66, 2, 0, 0, 0, 2, 580, 0, 0, 580, 573, 8, 0, 0, 0, 0, 7, 264, 23, 9, 23, 0, 1.0, 9.0, 19.0, 0, 0, 23, 23, 0, 0, 0, 0, 0, 0, 14, 9, 0.0, 23, 0, 0, 4, 3, 12, 21, 4.35, 39.13, 82.61, 39.09375, 52.1953125, 91.296875, 17.3984375, 0.0, 100.0, 0.0, 0.0, 0.0, 60.8984375, 39.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 260.0, 5.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "31469", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31410&g_ta_cod=31469", 100.0, 0.0, 0.0),
(10895, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues Etrangères Appliquées Anglais-Russe - Cursus 4 ans", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées Anglais-Russe - Cursus 4 ans", 36, 160, 111, 155, 0, 105, 30, 9, 2, 3, 3, 38, 5, 2, 0, 0, 3, 155, 5, 0, 0, 105, 30, 9, 2, 3, 3, 38, 113, 35, 26, 32, 3, 8.0, 31.0, 34.0, 0, 10, 24, 23, 1, 0, 11, 0, 9, 9, 6, 0, 0.0, 15, 0, 0, 0, 0, 11, 11, 22.86, 88.57, 97.14, 74.296875, 45.796875, 45.796875, 0, 41.6953125, 68.59375, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 95.796875, 62.5, 4.19921875, 0.0, 0.0, 0.0, 82.0, 23.0, 2.0, 2.0, 25.0, "Tous les candidats", 155.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "13899", "Licence - Portail Langues Etrangères Appliquées Anglais-Russe - Cursus 4 ans", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13899&g_ta_cod=13899", 91.0, 6.0, 3.0),
(10896, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence_Las", "Université de Paris - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences humaines et sociales", "", 80, 3946, 1334, 3946, 0, 2296, 356, 299, 65, 82, 30, 1269, 0, 0, 0, 0, 0, 3946, 0, 0, 0, 2296, 356, 299, 65, 82, 30, 1269, 402, 73, 27, 73, 0, 5.0, 27.0, 46.0, 0, 8, 33, 31, 1, 1, 40, 0, 10, 12, 9, 1, 1.0, 21, 1, 1, 0, 0, 8, 30, 6.85, 36.99, 63.01, 37.0, 24.19921875, 90.890625, 0, 24.19921875, 45.1953125, 0.0, 30.296875, 36.3984375, 27.296875, 3.0, 3.0, 93.890625, 63.59375, 3.0, 3.0, 3.0, 3.0, 130.0, 42.0, 3.0, 2.0, 265.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "28109", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28108&g_ta_cod=28109", 96.0, 3.0, 1.0),
(10897, "Public", "9740054R", "Lycée Lislet Geoffroy", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée Lislet Geoffroy - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 295, 18, 290, 0, 21, 7, 104, 55, 93, 59, 72, 5, 0, 5, 0, 0, 209, 0, 0, 0, 16, 4, 87, 49, 79, 47, 27, 117, 26, 2, 26, 0, 1.0, 21.0, 25.0, 0, 11, 23, 2, 11, 10, 3, 0, 11, 8, 2, 2, 0.0, 0, 8, 4, 1, 0, 21, 21, 3.85, 80.77, 96.15, 7.69921875, 91.296875, 91.296875, 4.2998046875, 47.796875, 88.5, 0.0, 47.796875, 34.796875, 8.69921875, 8.7, 0.0, 8.69921875, 0.0, 47.796875, 34.796875, 43.5, 17.3984375, 10.0, 4.0, 48.0, 28.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 55.0, "11905", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11905&g_ta_cod=11905", 8.0, 42.0, 50.0),
(10898, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Psychologie - Sciences Psychologiques", "Licence - Sciences humaines et sociales", "Sciences Psychologiques", 620, 8789, 7363, 8789, 0, 4307, 832, 471, 151, 164, 60, 3847, 0, 0, 0, 0, 0, 8789, 0, 0, 0, 4307, 832, 471, 151, 164, 60, 3847, 2263, 612, 548, 612, 0, 82.0, 438.0, 531.0, 0, 74, 458, 435, 13, 10, 154, 2, 16, 154, 237, 47, 2.0, 418, 13, 9, 0, 0, 91, 394, 13.4, 71.57, 86.76, 89.5, 19.8984375, 86.0, 0, 16.19921875, 74.796875, 0.39996337890625, 3.5, 33.59375, 51.6953125, 10.3, 0.4, 95.0, 91.296875, 2.7998046875, 2.7998046875, 2.19970703125, 2.0, 1479.0, 241.0, 31.0, 14.0, 711.0, "Tous les candidats", 3103.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "9320", "Licence - Portail Psychologie - Sciences Psychologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29391&g_ta_cod=9320", 94.0, 3.0, 2.0),
(10899, "Privé hors contrat", "0342129E", "ACFA multimédia", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "ACFA multimédia - BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "BTS - Services", "", 12, 205, 79, 195, 0, 86, 12, 25, 7, 15, 5, 69, 10, 1, 0, 4, 5, 156, 10, 0, 0, 82, 10, 18, 4, 7, 2, 49, 94, 6, 1, 4, 2, 0.0, 0.0, 4.0, 0, 0, 1, 1, 0, 0, 5, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 66.67, 16.69921875, 0.0, 0.0, 0, 0.0, 16.69921875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 49.0, 6.0, 6.0, 4.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 87.0, "Bacheliers technologiques toutes séries", 4, "Bacheliers professionnels toutes séries", 1, "Liste d'appel propre à cette formation", 47.0, "30203", "BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30203&g_ta_cod=30203", 83.0, 17.0, 0.0),
(10900, "Public", "0801864S", "Lycée du Vimeu", "80", "Somme", "Hauts-de-France", "Amiens", "Friville-Escarbotin", "formation sélective", "BTS", "Lycée du Vimeu - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 18, 238, 200, 206, 0, 8, 4, 28, 9, 77, 34, 93, 32, 0, 21, 0, 11, 105, 2, 0, 0, 8, 4, 27, 9, 59, 26, 11, 78, 18, 16, 13, 0, 1.0, 6.0, 10.0, 0, 6, 16, 3, 4, 9, 2, 0, 5, 6, 4, 1, 0.0, 1, 2, 8, 10, 9, 13, 13, 5.56, 33.33, 55.56, 88.890625, 81.296875, 81.296875, 62.5, 37.5, 88.890625, 0.0, 31.296875, 37.5, 25.0, 6.3, 0.0, 18.796875, 6.2998046875, 25.0, 12.5, 56.296875, 50.0, 6.0, 2.0, 38.0, 21.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 37.0, "20112", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20112&g_ta_cod=20112", 17.0, 28.0, 56.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(10901, "Public", "0831484M", "Université de Toulon - Antenne de Draguignan", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Draguignan", "formation non sélective", "Licence", "Université de Toulon - Antenne de Draguignan - Licence - Portail Droit - Licence de Droit - Campus Draguignan", "Licence - Droit-économie-gestion", "Licence de Droit - Campus Draguignan", 150, 923, 673, 745, 0, 525, 134, 103, 43, 31, 11, 86, 178, 51, 17, 6, 104, 741, 166, 0, 0, 525, 134, 103, 43, 31, 11, 82, 735, 142, 99, 109, 33, 20.0, 100.0, 120.0, 0, 34, 110, 77, 24, 9, 32, 0, 37, 38, 28, 4, 3.0, 53, 13, 7, 0, 0, 101, 101, 14.08, 70.42, 84.51, 69.6875, 91.796875, 91.796875, 0, 30.8984375, 77.5, 0.0, 33.59375, 34.5, 25.5, 3.6, 2.7, 70.0, 48.1953125, 21.796875, 11.798828125, 8.19921875, 6.3994140625, 452.0, 109.0, 32.0, 12.0, 156.0, "Tous les candidats", 753.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "10398", "Licence - Portail Droit - Licence de Droit - Campus Draguignan", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31836&g_ta_cod=10398", 67.0, 21.0, 10.0),
(10902, "Public", "0550004F", "Lycée professionnel Ligier Richier", "55", "Meuse", "Grand Est", "Nancy-Metz", "Bar-le-Duc", "formation sélective", "Autre formation", "Lycée professionnel Ligier Richier - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 15, 38, 2, 37, 0, 0, 0, 2, 0, 23, 10, 12, 1, 0, 0, 1, 0, 21, 1, 0, 0, 0, 0, 0, 0, 20, 8, 1, 21, 11, 0, 10, 1, 9.0, 10.0, 11.0, 0, 4, 11, 0, 0, 11, 0, 0, 6, 2, 3, 0, 0.0, 0, 0, 5, 0, 0, 10, 10, 81.82, 90.91, 100.0, 0.0, 90.890625, 90.890625, 0, 36.3984375, 100.0, 0.0, 54.5, 18.19921875, 27.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 45.5, 0.0, 0.0, 20.0, 9.0, 1.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "19652", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19652&g_ta_cod=19652", 0.0, 0.0, 100.0),
(10903, "Privé enseignement supérieur", "0592806E", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences - Licence - Gestion - Parcours Management et numérique", "Licence - Droit-économie-gestion", "Management et numérique", 48, 84, 34, 73, 0, 54, 11, 5, 1, 0, 0, 14, 11, 1, 0, 0, 10, 73, 8, 0, 0, 54, 11, 5, 1, 0, 0, 14, 81, 21, 6, 17, 4, 16.0, 17.0, 18.0, 0, 5, 10, 10, 0, 0, 11, 0, 3, 5, 2, 0, 0.0, 7, 0, 0, 0, 0, 9, 9, 76.19, 80.95, 85.71, 28.59765625, 90.0, 90.0, 0, 50.0, 47.59375, 0.0, 30.0, 50.0, 20.0, 0.0, 0.0, 100.0, 70.0, 0.0, 0.0, 0.0, 0.0, 55.0, 11.0, 0.0, 0.0, 21.0, "Tous les candidats", 73.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "33649", "Licence - Gestion - Parcours Management et numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33649&g_ta_cod=33649", 86.0, 14.0, 0.0),
(10904, "Privé sous contrat d'association", "0910843X", "Lycée Polyvalent Institut Saint Pierre", "91", "Essonne", "Ile-de-France", "Versailles", "Brunoy", "formation sélective", "BTS", "Lycée Polyvalent Institut Saint Pierre - BTS - Services - Commerce International", "BTS - Services", "", 32, 446, 233, 446, 0, 109, 23, 141, 47, 54, 20, 142, 0, 0, 0, 0, 0, 271, 0, 0, 0, 93, 19, 114, 41, 37, 12, 27, 93, 34, 18, 34, 0, 10.0, 32.0, 34.0, 0, 7, 30, 10, 14, 6, 4, 0, 11, 15, 4, 0, 0.0, 4, 10, 5, 7, 1, 23, 30, 29.41, 94.12, 100.0, 52.8984375, 76.6875, 100.0, 23.296875, 23.296875, 88.1875, 0.0, 36.6953125, 50.0, 13.298828125, 0.0, 0.0, 33.296875, 13.298828125, 46.6953125, 33.296875, 20.0, 16.69921875, 40.0, 11.0, 12.0, 4.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 33.0, "10891", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10891&g_ta_cod=10891", 35.0, 47.0, 18.0),
(10905, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Portail option Journalisme, parcours : AES-Droit-Economie et management (Académie ESJ)", "Licence - Droit-économie-gestion", "option Journalisme, parcours : AES-Droit-Economie et management (Académie ESJ)", 25, 719, 459, 719, 0, 585, 79, 15, 3, 2, 1, 117, 0, 0, 0, 0, 0, 222, 0, 0, 0, 186, 16, 4, 0, 0, 0, 32, 114, 35, 25, 35, 0, 19.0, 26.0, 30.0, 0, 4, 32, 31, 1, 0, 3, 0, 0, 0, 10, 21, 1.0, 31, 1, 0, 0, 0, 12, 12, 54.29, 74.29, 85.71, 71.390625, 37.5, 37.5, 0, 12.5, 91.390625, 0.0, 0.0, 0.0, 31.296875, 65.6, 3.1, 96.890625, 96.890625, 3.099609375, 3.099609375, 0.0, 0.0, 99.0, 13.0, 0.0, 0.0, 14.0, "Tous les candidats", 133.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "24490", "Licence - Portail option Journalisme, parcours : AES-Droit-Economie et management (Académie ESJ)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24490&g_ta_cod=24490", 97.0, 3.0, 0.0),
(10906, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Université Toulouse 3 Paul Sabatier - C.M.I - Cursus Master en Ingénierie - Physique - Cursus Master en Ingénierie Physique", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie Physique", 36, 740, 241, 626, 0, 455, 75, 4, 1, 1, 0, 166, 114, 31, 2, 0, 81, 375, 10, 0, 0, 307, 39, 0, 0, 0, 0, 68, 298, 16, 6, 15, 1, 2.0, 15.0, 15.0, 0, 2, 12, 12, 0, 0, 4, 0, 0, 0, 10, 2, 0.0, 12, 0, 0, 0, 0, 8, 8, 12.5, 93.75, 93.75, 37.5, 66.6875, 66.6875, 0, 16.69921875, 75.0, 0.0, 0.0, 0.0, 83.296875, 16.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 244.0, 33.0, 0.0, 0.0, 54.0, "Tous les candidats", 376.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "19315", "C.M.I - Cursus Master en Ingénierie - Physique - Cursus Master en Ingénierie Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19315&g_ta_cod=19315", 100.0, 0.0, 0.0),
(10907, "Privé sous contrat d'association", "0121423G", "Lycée Charles Carnus", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BTS", "Lycée Charles Carnus - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 59, 3, 53, 0, 6, 0, 14, 3, 18, 8, 15, 6, 0, 1, 4, 1, 31, 1, 0, 0, 6, 0, 12, 3, 11, 5, 2, 31, 5, 0, 4, 1, 3.0, 4.0, 4.0, 0, 3, 5, 1, 3, 1, 0, 0, 2, 1, 2, 0, 0.0, 0, 3, 0, 0, 0, 4, 4, 60.0, 80.0, 80.0, 0.0, 80.0, 80.0, 0, 60.0, 100.0, 0.0, 40.0, 20.0, 40.0, 0.0, 0.0, 20.0, 0.0, 60.0, 60.0, 20.0, 0.0, 6.0, 0.0, 12.0, 6.0, 2.0, "Tous les candidats sauf les Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 58.0, "2508", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2508&g_ta_cod=2508", 20.0, 60.0, 20.0),
(10908, "Public", "0690023A", "Lycée Ampère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "CPGE", "Lycée Ampère - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 72, 1548, 757, 1548, 0, 1338, 97, 1, 1, 1, 0, 208, 0, 0, 0, 0, 0, 998, 0, 0, 998, 977, 47, 0, 0, 0, 0, 21, 504, 71, 43, 71, 0, 4.0, 36.0, 68.0, 0, 2, 69, 69, 0, 0, 2, 0, 0, 5, 42, 22, 0.0, 69, 0, 0, 0, 0, 23, 23, 5.63, 50.7, 95.77, 60.59375, 33.296875, 33.296875, 0, 2.89990234375, 97.1875, 0.0, 0.0, 7.19921875, 60.8984375, 31.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 487.0, 36.0, 0.0, 0.0, 17.0, "Tous les candidats", 823.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "31313", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31313&g_ta_cod=31313", 100.0, 0.0, 0.0),
(10909, "Public", "0390029V", "Lycée des Métiers du Bois", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Mouchard", "formation sélective", "BTS", "Lycée des Métiers du Bois - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 18, 84, 16, 84, 0, 3, 0, 15, 3, 28, 7, 38, 0, 0, 0, 0, 0, 84, 0, 0, 0, 3, 0, 15, 3, 28, 7, 38, 48, 16, 5, 16, 0, 4.0, 12.0, 15.0, 0, 1, 7, 0, 0, 7, 9, 0, 3, 3, 1, 0, 0.0, 0, 0, 4, 3, 1, 4, 4, 25.0, 75.0, 93.75, 31.296875, 57.09375, 57.09375, 42.8984375, 14.298828125, 43.796875, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 57.09375, 2.0, 0.0, 19.0, 5.0, 13.0, "Tous les candidats sauf les Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 70.0, "5161", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5161&g_ta_cod=5161", 50.0, 6.0, 44.0),
(10910, "Public", "0440288Z", "Lycée général et technologique Albert Camus", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée général et technologique Albert Camus - BTS - Services - Professions immobilières", "BTS - Services", "", 67, 2448, 1443, 2314, 0, 570, 100, 795, 215, 388, 149, 561, 134, 24, 33, 1, 76, 593, 34, 0, 0, 170, 23, 184, 37, 170, 51, 69, 250, 49, 36, 36, 11, 4.0, 20.0, 41.0, 0, 9, 27, 10, 7, 10, 22, 0, 8, 10, 9, 0, 0.0, 8, 3, 8, 2, 2, 20, 20, 8.16, 40.82, 83.67, 73.5, 74.09375, 74.09375, 7.3994140625, 33.296875, 55.09375, 0.0, 29.59765625, 37.0, 33.296875, 0.0, 0.0, 37.0, 29.59765625, 25.8984375, 11.099609375, 37.0, 29.59765625, 64.0, 13.0, 47.0, 14.0, 57.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 195.0, "Bacheliers professionnels toutes séries", 153, "Bacheliers technologiques toutes séries", 180, "Liste d'appel propre à cette formation", 23.0, "5537", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5537&g_ta_cod=5537", 35.0, 35.0, 31.0),
(10911, "Public", "0110007Y", "Lycée Jules Fil", "11", "Aude", "Occitanie", "Montpellier", "Carcassonne", "formation sélective", "BTS", "Lycée Jules Fil - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 424, 60, 424, 0, 32, 7, 104, 31, 96, 45, 192, 0, 0, 0, 0, 0, 424, 0, 0, 0, 32, 7, 104, 31, 96, 45, 192, 88, 28, 1, 28, 0, 10.0, 25.0, 25.0, 0, 11, 25, 1, 15, 9, 3, 0, 10, 13, 1, 1, 0.0, 0, 7, 8, 17, 0, 25, 25, 35.71, 89.29, 89.29, 3.599609375, 100.0, 100.0, 68, 44.0, 89.296875, 0.0, 40.0, 52.0, 4.0, 4.0, 0.0, 4.0, 0.0, 60.0, 28.0, 36.0, 32.0, 2.0, 1.0, 37.0, 14.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 33.0, "19978", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19978&g_ta_cod=19978", 4.0, 57.0, 39.0),
(10912, "Public", "0921245D", "IUT de Sceaux-Ecole universitaire de premier cycle-Université Paris-Saclay.", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "BUT", "IUT de Sceaux-Ecole universitaire de premier cycle-Université Paris-Saclay. - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", 287, 7345, 3708, 7345, 0, 3687, 912, 2227, 841, 78, 37, 1353, 0, 0, 0, 0, 0, 2978, 0, 0, 0, 1718, 344, 1090, 382, 0, 0, 170, 1661, 294, 177, 294, 0, 73.0, 228.0, 279.0, 0, 80, 283, 154, 129, 0, 11, 1, 12, 163, 102, 5, 0.0, 148, 122, 0, 0, 0, 137, 247, 24.83, 77.55, 94.9, 60.1953125, 48.3984375, 87.296875, 0, 28.296875, 96.296875, 0.39996337890625, 4.19921875, 57.59375, 36.0, 1.8, 0.0, 54.3984375, 52.296875, 45.59375, 43.09375, 0.0, 0.0, 958.0, 253.0, 0.0, 0.0, 139.0, "Tous les candidats sauf les Bac technologiques", 1449.0, "Bacheliers technologiques toutes séries", 775, "", 0, "Liste d'appel propre à cette formation", 30.0, "11112", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11112&g_ta_cod=11112", 54.0, 46.0, 0.0),
(10913, "Privé sous contrat d'association", "0573770N", "LYCEE GEN.ET TECHNOL.PRIVE LYCEE PRIVE ST ETIENNE", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "LYCEE GEN.ET TECHNOL.PRIVE LYCEE PRIVE ST ETIENNE - BTS - Services - Notariat", "BTS - Services", "", 24, 173, 131, 164, 0, 42, 10, 39, 11, 9, 3, 74, 9, 0, 2, 0, 7, 89, 2, 0, 0, 28, 7, 24, 6, 1, 0, 36, 75, 19, 18, 19, 0, 8.0, 17.0, 18.0, 0, 0, 8, 6, 2, 0, 11, 0, 2, 5, 1, 0, 0.0, 5, 1, 0, 0, 0, 8, 8, 42.11, 89.47, 94.74, 94.6875, 100.0, 100.0, 0, 0.0, 42.09375, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 75.0, 62.5, 25.0, 12.5, 0.0, 0.0, 28.0, 7.0, 0.0, 0.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 54.0, "Bacheliers technologiques toutes séries", 22, "Bacheliers professionnels toutes séries", 1, "Liste d'appel propre à cette formation", 46.0, "25324", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25324&g_ta_cod=25324", 74.0, 21.0, 5.0),
(10914, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Arts du spectacle - Parcours Cinéma", "Licence - Arts-lettres-langues", "Cinéma", 275, 1960, 1157, 1960, 0, 1237, 240, 132, 32, 63, 23, 528, 0, 0, 0, 0, 0, 1958, 0, 0, 0, 1237, 240, 132, 32, 63, 23, 526, 1018, 273, 145, 273, 0, 71.0, 219.0, 249.0, 0, 49, 210, 173, 22, 15, 63, 0, 66, 91, 43, 10, 0.0, 122, 12, 10, 0, 0, 118, 118, 26.01, 80.22, 91.21, 53.09375, 56.1953125, 56.1953125, 0, 23.296875, 76.890625, 0.0, 31.3984375, 43.296875, 20.5, 4.8, 0.0, 82.390625, 58.09375, 10.5, 5.69921875, 7.099609375, 4.7998046875, 687.0, 125.0, 41.0, 14.0, 214.0, "Tous les candidats", 1175.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "19117", "Licence - Arts du spectacle - Parcours Cinéma", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19117&g_ta_cod=19117", 78.0, 13.0, 8.0),
(10915, "Public", "0570054Z", "Lycée Fabert", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "CPGE", "Lycée Fabert - CPGE - MPSI", "Classe préparatoire scientifique", "", 96, 1639, 479, 1639, 1094, 1084, 109, 3, 2, 3, 1, 549, 0, 0, 0, 0, 0, 1020, 0, 706, 994, 985, 93, 0, 0, 0, 0, 35, 499, 90, 18, 90, 0, 15.0, 74.0, 81.0, 22, 8, 90, 90, 0, 0, 0, 0, 0, 4, 36, 43, 7.0, 90, 0, 0, 8, 5, 81, 81, 16.67, 82.22, 90.0, 20.0, 90.0, 90.0, 8.8984375, 8.8984375, 100.0, 0.0, 0.0, 4.3994140625, 40.0, 47.8, 7.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 486.0, 40.0, 0.0, 0.0, 13.0, "Tous les candidats", 672.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "6525", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6525&g_ta_cod=6525", 100.0, 0.0, 0.0),
(10916, "Public", "0750715V", "Lycée Maurice Ravel", "75", "Paris", "Ile-de-France", "Paris", "Paris 20e  Arrondissement", "formation sélective", "BTS", "Lycée Maurice Ravel - BTS - Services - Commerce International", "BTS - Services", "", 35, 3218, 1859, 3218, 0, 775, 244, 967, 418, 433, 215, 1043, 0, 0, 0, 0, 0, 731, 0, 0, 0, 292, 73, 158, 54, 174, 89, 107, 170, 38, 23, 38, 0, 8.0, 28.0, 32.0, 0, 10, 16, 9, 6, 1, 22, 0, 2, 13, 1, 0, 0.0, 8, 5, 1, 0, 0, 6, 13, 21.05, 73.68, 84.21, 60.5, 37.5, 81.296875, 0, 62.5, 42.09375, 0.0, 12.5, 81.296875, 6.2998046875, 0.0, 0.0, 56.296875, 50.0, 37.5, 31.296875, 6.2998046875, 6.2998046875, 52.0, 25.0, 7.0, 3.0, 77.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 145.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 105, "Liste d'appel propre à cette formation", 8.0, "9188", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9188&g_ta_cod=9188", 61.0, 29.0, 11.0),
(10917, "Privé sous contrat d'association", "0333481E", "YNCREA - BÈGLES", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 15, 1246, 313, 1243, 0, 1235, 106, 0, 0, 0, 0, 8, 3, 3, 0, 0, 0, 1122, 3, 0, 0, 1122, 82, 0, 0, 0, 0, 0, 1018, 2, 0, 2, 0, 2.0, 2.0, 2.0, 0, 0, 2, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 50.0, 50.0, 0, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1018.0, 80.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "31115", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=31115", 100.0, 0.0, 0.0),
(10918, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 220, 1430, 841, 1306, 0, 833, 146, 187, 59, 27, 13, 259, 124, 25, 12, 4, 83, 1305, 88, 0, 0, 833, 146, 187, 59, 27, 13, 258, 1095, 199, 111, 155, 44, 14.0, 142.0, 163.0, 0, 46, 139, 108, 27, 4, 60, 0, 69, 56, 11, 3, 0.0, 62, 5, 3, 0, 0, 124, 124, 7.04, 71.36, 81.91, 55.796875, 89.1875, 89.1875, 0, 33.09375, 69.796875, 0.0, 49.59375, 40.296875, 7.8994140625, 2.2, 0.0, 77.6875, 44.59375, 19.3984375, 3.599609375, 2.89990234375, 2.19970703125, 690.0, 121.0, 19.0, 10.0, 245.0, "Tous les candidats", 1305.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2867", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2867&g_ta_cod=2867", 73.0, 21.0, 6.0),
(10919, "Public", "0682052L", "institut Interrégional de formation des métiers de la rééducation (IIFMR)", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "Autre formation", "institut Interrégional de formation des métiers de la rééducation (IIFMR) - D.E Ergothérapeute", "D.E secteur sanitaire", "", 13, 508, 454, 508, 0, 124, 9, 60, 15, 22, 7, 302, 0, 0, 0, 0, 0, 388, 0, 0, 0, 120, 8, 26, 5, 8, 1, 234, 48, 13, 13, 13, 0, 2.0, 8.0, 11.0, 0, 1, 6, 5, 1, 0, 7, 0, 0, 1, 1, 4, 0.0, 5, 1, 0, 0, 0, 3, 3, 15.38, 61.54, 84.62, 100.0, 50.0, 50.0, 0, 16.69921875, 46.1953125, 0.0, 0.0, 16.69921875, 16.69921875, 66.7, 0.0, 83.296875, 83.296875, 16.69921875, 16.69921875, 0.0, 0.0, 11.0, 2.0, 0.0, 0.0, 35.0, "Tous les candidats", 72.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "33271", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33271&g_ta_cod=33271", 92.0, 8.0, 0.0),
(10920, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Portail Sciences du langage", "Licence - Sciences humaines et sociales", "", 90, 503, 401, 342, 0, 179, 36, 20, 4, 10, 4, 133, 161, 38, 8, 8, 107, 334, 152, 0, 0, 179, 36, 20, 4, 10, 4, 125, 444, 85, 65, 30, 54, 8.0, 30.0, 63.0, 0, 6, 44, 35, 5, 4, 41, 0, 21, 15, 7, 1, 0.0, 17, 4, 2, 0, 0, 37, 37, 9.41, 35.29, 74.12, 76.5, 84.09375, 84.09375, 0, 13.599609375, 51.796875, 0.0, 47.6953125, 34.09375, 15.8984375, 2.3, 0.0, 79.5, 38.59375, 11.3984375, 9.099609375, 9.099609375, 4.5, 192.0, 35.0, 18.0, 7.0, 211.0, "Tous les candidats", 494.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "15765", "Licence - Portail Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27488&g_ta_cod=15765", 76.0, 14.0, 8.0),
(10921, "Privé sous contrat d'association", "0640131V", "Lycée St Dominique", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "BTS", "Lycée St Dominique - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 301, 170, 286, 0, 25, 8, 82, 18, 52, 25, 127, 15, 1, 2, 1, 11, 175, 4, 0, 0, 25, 8, 63, 14, 52, 25, 35, 120, 18, 5, 17, 1, 8.0, 17.0, 17.0, 0, 3, 13, 5, 6, 2, 5, 0, 5, 6, 1, 1, 0.0, 2, 4, 2, 6, 2, 13, 13, 44.44, 94.44, 94.44, 27.796875, 100.0, 100.0, 46.1953125, 23.09765625, 72.1875, 0.0, 38.5, 46.1953125, 7.69921875, 7.7, 0.0, 38.5, 15.3984375, 46.1953125, 30.796875, 15.3984375, 15.3984375, 21.0, 7.0, 37.0, 16.0, 30.0, "Tous les candidats sauf les Bac professionnels", 98.0, "Bacheliers professionnels toutes séries", 52, "", 0, "Liste d'appel propre à cette formation", 52.0, "7723", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7723&g_ta_cod=7723", 44.0, 44.0, 11.0),
(10922, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Licence", "Université Clermont Auvergne - Licence - Langues étrangères appliquées - Parcours Anglais/Arabe", "Licence - Arts-lettres-langues", "Anglais/Arabe", 15, 135, 97, 135, 0, 63, 31, 16, 10, 9, 6, 47, 0, 0, 0, 0, 0, 124, 0, 0, 0, 63, 31, 16, 10, 9, 6, 36, 52, 15, 11, 15, 0, 3.0, 13.0, 14.0, 0, 4, 10, 10, 0, 0, 5, 0, 4, 4, 2, 0, 0.0, 6, 0, 0, 0, 0, 9, 9, 20.0, 86.67, 93.33, 73.296875, 90.0, 90.0, 0, 40.0, 66.6875, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 0.0, 0.0, 36.0, 18.0, 0.0, 0.0, 14.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "15455", "Licence - Langues étrangères appliquées - Parcours Anglais/Arabe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15455&g_ta_cod=15455", 93.0, 0.0, 7.0),
(10923, "Public", "0690026D", "Lycée du Parc", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 6e  Arrondissement", "formation sélective", "CPGE", "Lycée du Parc - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 48, 1961, 990, 1961, 1427, 1720, 113, 1, 1, 0, 0, 240, 0, 0, 0, 0, 0, 1568, 0, 1427, 720, 1413, 97, 1, 1, 0, 0, 154, 316, 48, 31, 48, 0, 8.0, 34.0, 46.0, 5, 8, 48, 48, 0, 0, 0, 0, 0, 0, 0, 42, 6.0, 48, 0, 0, 1, 0, 8, 8, 16.67, 70.83, 95.83, 64.59375, 16.69921875, 16.69921875, 2.099609375, 16.69921875, 100.0, 0.0, 0.0, 0.0, 0.0, 87.5, 12.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 311.0, 39.0, 0.0, 0.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "31654", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31314&g_ta_cod=31654", 100.0, 0.0, 0.0),
(10924, "Public", "0130143K", "Lycée Paul Langevin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Martigues", "formation sélective", "BTS", "Lycée Paul Langevin - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 211, 11, 201, 0, 8, 0, 100, 30, 61, 27, 32, 10, 2, 0, 0, 8, 179, 0, 0, 0, 7, 0, 100, 30, 54, 22, 18, 61, 20, 1, 20, 0, 9.0, 17.0, 20.0, 0, 8, 18, 1, 7, 10, 2, 0, 7, 5, 4, 2, 0.0, 1, 2, 8, 14, 0, 17, 17, 45.0, 85.0, 100.0, 5.0, 94.390625, 94.390625, 77.796875, 44.3984375, 90.0, 0.0, 38.8984375, 27.796875, 22.19921875, 11.1, 0.0, 5.599609375, 5.599609375, 38.8984375, 11.099609375, 55.59375, 44.3984375, 6.0, 0.0, 23.0, 10.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 47.0, "2613", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2613&g_ta_cod=2613", 10.0, 40.0, 50.0),
(10925, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "PASS", "Universite Jean Monnet, Saint-Etienne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 50, 1584, 1073, 1584, 0, 1205, 246, 42, 18, 14, 8, 323, 0, 0, 0, 0, 0, 1549, 0, 0, 0, 1205, 246, 42, 18, 14, 8, 288, 353, 49, 28, 49, 0, 1.0, 32.0, 45.0, 0, 10, 44, 44, 0, 0, 5, 0, 7, 25, 12, 0, 0.0, 37, 0, 0, 0, 0, 33, 33, 2.04, 65.31, 91.84, 57.09375, 75.0, 75.0, 0, 22.69921875, 89.796875, 0.0, 15.8984375, 56.796875, 27.296875, 0.0, 0.0, 100.0, 84.09375, 0.0, 0.0, 0.0, 0.0, 323.0, 63.0, 0.0, 0.0, 30.0, "Tous les candidats", 1546.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "27846", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27845&g_ta_cod=27846", 100.0, 0.0, 0.0),
(10926, "Public", "9840002E", "Lycée Paul Gauguin", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Papeete", "formation sélective", "CPGE", "Lycée Paul Gauguin - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 45, 105, 55, 101, 0, 84, 10, 2, 2, 0, 0, 15, 4, 2, 0, 0, 2, 65, 1, 0, 65, 60, 5, 0, 0, 0, 0, 5, 64, 26, 15, 25, 1, 21.0, 25.0, 26.0, 0, 3, 24, 24, 0, 0, 2, 0, 1, 7, 11, 5, 0.0, 23, 0, 0, 9, 4, 23, 23, 80.77, 96.15, 100.0, 57.6953125, 95.796875, 95.796875, 37.5, 12.5, 92.296875, 0.0, 4.19921875, 29.19921875, 45.796875, 20.8, 0.0, 100.0, 95.796875, 0.0, 0.0, 0.0, 0.0, 58.0, 5.0, 0.0, 0.0, 6.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "31378", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31378&g_ta_cod=31378", 100.0, 0.0, 0.0),
(10927, "Public", "0573231C", "Lycée Condorcet", "57", "Moselle", "Grand Est", "Nancy-Metz", "Schoeneck", "formation sélective", "BTS", "Lycée Condorcet - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 149, 15, 149, 0, 21, 7, 47, 19, 30, 10, 51, 0, 0, 0, 0, 0, 109, 0, 0, 0, 21, 7, 44, 18, 30, 10, 14, 24, 15, 0, 15, 0, 9.0, 15.0, 15.0, 0, 6, 14, 2, 7, 5, 1, 0, 1, 8, 5, 0, 0.0, 1, 7, 5, 13, 0, 14, 14, 60.0, 100.0, 100.0, 0.0, 100.0, 100.0, 92.890625, 42.8984375, 93.296875, 0.0, 7.099609375, 57.09375, 35.6953125, 0.0, 0.0, 14.298828125, 7.099609375, 50.0, 50.0, 35.6953125, 35.6953125, 5.0, 1.0, 9.0, 3.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 21.0, "6650", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6650&g_ta_cod=6650", 13.0, 47.0, 40.0),
(10928, "Public", "0580650S", "IFSI CH Nevers", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bourgogne Dijon - D.E Infirmier", "D.E secteur sanitaire", "", 91, 2570, 2141, 2570, 0, 478, 83, 491, 105, 247, 85, 1354, 0, 0, 0, 0, 0, 2122, 0, 0, 0, 433, 68, 414, 87, 184, 62, 1091, 869, 91, 81, 91, 0, 3.0, 34.0, 63.0, 0, 13, 48, 14, 16, 18, 43, 0, 8, 21, 17, 2, 0.0, 8, 15, 17, 0, 0, 34, 34, 3.3, 37.36, 69.23, 89.0, 70.796875, 70.796875, 0, 27.09765625, 52.6953125, 0.0, 16.69921875, 43.796875, 35.3984375, 4.2, 0.0, 29.19921875, 16.69921875, 33.296875, 31.296875, 37.5, 35.3984375, 199.0, 30.0, 105.0, 40.0, 422.0, "Tous les candidats", 2195.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 43.0, "23087", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23009&g_ta_cod=23087", 42.0, 25.0, 33.0),
(10929, "Public", "0762879S", "Lycée Vallée Du Cailly", "76", "Seine-Maritime", "Normandie", "Normandie", "Déville-lès-Rouen", "formation sélective", "BTS", "Lycée Vallée Du Cailly - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1275, 637, 1148, 0, 119, 37, 400, 155, 304, 151, 325, 127, 0, 61, 0, 66, 379, 14, 0, 0, 64, 19, 117, 44, 156, 74, 42, 203, 35, 20, 31, 4, 3.0, 24.0, 26.0, 0, 14, 28, 0, 13, 15, 7, 0, 13, 10, 1, 4, 0.0, 0, 5, 10, 6, 3, 27, 27, 8.57, 68.57, 74.29, 57.09375, 96.390625, 96.390625, 21.3984375, 50.0, 80.0, 0.0, 46.3984375, 35.6953125, 3.599609375, 14.3, 0.0, 0.0, 0.0, 46.3984375, 17.8984375, 53.59375, 35.6953125, 16.0, 5.0, 81.0, 32.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 147, "Bacheliers technologiques toutes séries", 124, "Liste d'appel propre à cette formation", 26.0, "9754", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9754&g_ta_cod=9754", 6.0, 49.0, 46.0),
(10930, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "Licence", "Université des Antilles - Pôle Guadeloupe - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS (Activités physiques adaptées et santé, Education et motricité, Entraînement sportif) - Guadeloupe", "Licence - Sciences - technologies - santé", "STAPS (Activités physiques adaptées et santé, Education et motricité, Entraînement sportif) - Guadeloupe", 260, 1222, 366, 1222, 0, 699, 190, 171, 70, 63, 38, 289, 0, 0, 0, 0, 0, 1222, 0, 0, 0, 699, 190, 171, 70, 63, 38, 289, 678, 235, 52, 235, 0, 83.0, 232.0, 232.0, 0, 70, 204, 165, 32, 7, 31, 0, 119, 67, 18, 0, 0.0, 69, 13, 3, 0, 0, 152, 152, 35.32, 98.72, 98.72, 22.09765625, 74.5, 74.5, 0, 34.296875, 86.796875, 0.0, 58.296875, 32.796875, 8.798828125, 0.0, 0.0, 80.890625, 33.796875, 15.69921875, 6.3994140625, 3.39990234375, 1.5, 428.0, 145.0, 15.0, 9.0, 149.0, "Tous les candidats", 919.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "19645", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - STAPS (Activités physiques adaptées et santé, Education et motricité, Entraînement sportif) - Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27419&g_ta_cod=19645", 78.0, 17.0, 5.0),
(10931, "Privé enseignement supérieur", "0592808G", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 200, 514, 248, 349, 0, 255, 36, 20, 3, 11, 7, 63, 165, 51, 13, 17, 84, 349, 158, 0, 0, 255, 36, 20, 3, 11, 7, 63, 504, 54, 22, 39, 15, 23.0, 39.0, 53.0, 0, 7, 42, 36, 3, 3, 12, 1, 10, 17, 9, 3, 2.0, 29, 1, 1, 0, 0, 21, 21, 42.59, 72.22, 98.15, 40.6953125, 50.0, 50.0, 0, 16.69921875, 77.796875, 2.39990234375, 23.796875, 40.5, 21.3984375, 7.1, 4.8, 85.6875, 69.0, 7.099609375, 2.39990234375, 7.099609375, 2.39990234375, 301.0, 43.0, 27.0, 18.0, 144.0, "Tous les candidats", 350.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12630", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12630&g_ta_cod=12630", 85.0, 9.0, 6.0),
(10932, "Public", "0061841U", "I.U.T de Nice - Antenne de Cannes", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BUT", "I.U.T de Nice - Antenne de Cannes - BUT - Information communication Parcours communication des organisations", "BUT - Service", "", 78, 1599, 1231, 1592, 0, 967, 153, 274, 62, 23, 6, 328, 7, 0, 4, 0, 3, 672, 0, 0, 0, 435, 66, 128, 33, 7, 0, 102, 332, 73, 60, 73, 0, 13.0, 64.0, 71.0, 0, 14, 65, 49, 15, 1, 8, 0, 1, 25, 31, 8, 0.0, 49, 14, 1, 0, 0, 40, 40, 17.81, 87.67, 97.26, 82.1875, 61.5, 61.5, 0, 21.5, 89.0, 0.0, 1.5, 38.5, 47.6953125, 12.3, 0.0, 75.390625, 75.390625, 23.09765625, 21.5, 1.5, 1.5, 198.0, 35.0, 2.0, 0.0, 51.0, "Tous les candidats sauf les Bac technologiques", 323.0, "Bacheliers technologiques toutes séries", 137, "", 0, "Liste d'appel propre à cette formation", 29.0, "30775", "BUT - Information communication Parcours communication des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30775&g_ta_cod=30775", 73.0, 26.0, 1.0),
(10933, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Double licence - Sciences biomédicales / Economie et gestion - Parcours sélectif bi-diplômant Sciences Biomédicales / Economie-Gestion", "Licence - Sciences - technologies - santé", "Parcours sélectif bi-diplômant Sciences Biomédicales / Economie-Gestion", 6, 195, 149, 195, 0, 70, 14, 4, 1, 0, 0, 121, 0, 0, 0, 0, 0, 95, 0, 0, 0, 34, 4, 0, 0, 0, 0, 61, 26, 6, 4, 6, 0, 1.0, 3.0, 5.0, 0, 0, 5, 5, 0, 0, 1, 0, 0, 1, 3, 1, 0.0, 5, 0, 0, 0, 0, 2, 3, 16.67, 50.0, 83.33, 66.6875, 40.0, 60.0, 0, 0.0, 83.296875, 0.0, 0.0, 20.0, 60.0, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 24.0, 3.0, 0.0, 0.0, 2.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "28715", "Double licence - Sciences biomédicales / Economie et gestion - Parcours sélectif bi-diplômant Sciences Biomédicales / Economie-Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28715&g_ta_cod=28715", 100.0, 0.0, 0.0),
(10934, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Sanskrit - Mineures Allemand Etudes germaniques OU Sciences du langage OU Tamoul (avec l'Inalco)", "Licence - Arts-lettres-langues", "Sanskrit - Mineures Allemand Etudes germaniques OU Sciences du langage OU Tamoul (avec l'Inalco)", 30, 99, 62, 31, 0, 12, 4, 2, 0, 2, 2, 15, 68, 7, 7, 3, 51, 31, 64, 0, 0, 12, 4, 2, 0, 2, 2, 15, 95, 29, 18, 7, 22, 7.0, 7.0, 23.0, 0, 2, 4, 0, 4, 0, 25, 0, 3, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 4, 24.14, 24.14, 79.31, 62.09375, 0.0, 100.0, 0, 50.0, 13.798828125, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 19.0, 5.0, 5.0, 4.0, 62.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24083", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Sanskrit - Mineures Allemand Etudes germaniques OU Sciences du langage OU Tamoul (avec l'Inalco)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24083&g_ta_cod=24083", 76.0, 24.0, 0.0),
(10935, "Public", "0410002E", "Lycée F Philibert Dessaignes", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BTS", "Lycée F Philibert Dessaignes - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 34, 400, 206, 358, 0, 55, 15, 100, 30, 68, 39, 135, 42, 4, 8, 0, 30, 216, 11, 0, 0, 45, 10, 80, 20, 57, 32, 34, 158, 31, 13, 23, 5, 5.0, 19.0, 23.0, 0, 7, 20, 6, 6, 8, 11, 0, 13, 6, 1, 0, 0.0, 2, 1, 4, 4, 1, 20, 20, 16.13, 61.29, 74.19, 41.8984375, 100.0, 100.0, 20, 35.0, 64.5, 0.0, 65.0, 30.0, 5.0, 0.0, 0.0, 30.0, 10.0, 30.0, 5.0, 40.0, 20.0, 28.0, 5.0, 33.0, 20.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 87, "Liste d'appel propre à cette formation", 56.0, "5238", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5238&g_ta_cod=5238", 32.0, 35.0, 29.0),
(10936, "Public", "0161051F", "IFSI - Croix-Rouge Française - Angoulême", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "La Couronne", "formation sélective", "IFSI", "Regroupement d'IFSI Université Poitiers - D.E Infirmier", "D.E secteur sanitaire", "", 136, 3387, 2890, 3387, 0, 696, 111, 547, 106, 404, 120, 1740, 0, 0, 0, 0, 0, 2166, 0, 0, 0, 461, 62, 395, 61, 313, 80, 997, 823, 137, 123, 137, 0, 9.0, 56.0, 103.0, 0, 21, 75, 4, 14, 57, 62, 0, 5, 35, 26, 9, 0.0, 3, 13, 54, 0, 0, 21, 21, 6.57, 40.88, 75.18, 89.796875, 28.0, 28.0, 0, 28.0, 54.6953125, 0.0, 6.69921875, 46.6953125, 34.6953125, 12.0, 0.0, 5.2998046875, 4.0, 18.69921875, 17.296875, 76.0, 72.0, 62.0, 9.0, 229.0, 61.0, 358.0, "Tous les candidats", 1825.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "23210", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22988&g_ta_cod=23210", 15.0, 22.0, 64.0),
(10937, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Université Angers - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Anglais", "Licence - Arts-lettres-langues", "Anglais", 10, 232, 197, 232, 0, 159, 44, 8, 0, 6, 5, 59, 0, 0, 0, 0, 0, 232, 0, 0, 0, 159, 44, 8, 0, 6, 5, 59, 56, 9, 8, 9, 0, 1.0, 8.0, 9.0, 0, 2, 8, 8, 0, 0, 1, 0, 0, 5, 2, 1, 0.0, 8, 0, 0, 0, 0, 4, 4, 11.11, 88.89, 100.0, 88.890625, 50.0, 50.0, 0, 25.0, 88.890625, 0.0, 0.0, 62.5, 25.0, 12.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 37.0, 8.0, 0.0, 0.0, 17.0, "Tous les candidats", 756.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 52.0, "28327", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28326&g_ta_cod=28327", 100.0, 0.0, 0.0),
(10938, "Privé hors contrat", "0693178E", "ECOLE EMILE COHL", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 3e  Arrondissement", "formation sélective", "Autre formation", "ECOLE EMILE COHL - Formation des écoles supérieure d'art Bac + 3 - Dessinateur praticien", "Formation des écoles supérieure d'art", "Dessinateur praticien", 200, 597, 391, 597, 0, 308, 46, 60, 11, 28, 11, 201, 0, 0, 0, 0, 0, 572, 0, 0, 0, 297, 42, 55, 9, 22, 9, 198, 401, 194, 137, 194, 0, 111.0, 170.0, 184.0, 0, 15, 100, 82, 13, 5, 94, 0, 16, 32, 43, 6, 3.0, 67, 12, 5, 0, 0, 46, 46, 57.22, 87.63, 94.85, 70.59375, 46.0, 46.0, 0, 15.0, 51.5, 0.0, 16.0, 32.0, 43.0, 6.0, 3.0, 82.0, 67.0, 13.0, 12.0, 5.0, 5.0, 181.0, 24.0, 10.0, 4.0, 175.0, "Tous les candidats", 428.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "26202", "Formation des écoles supérieure d'art Bac + 3 - Dessinateur praticien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26202&g_ta_cod=26202", 85.0, 9.0, 6.0),
(10939, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 3 Paul Sabatier - Licence - Portail Electronique, énergie électrique, automatique", "Licence - Sciences - technologies - santé", "", 130, 633, 105, 504, 0, 241, 48, 37, 8, 6, 0, 220, 129, 22, 6, 0, 101, 490, 76, 0, 0, 241, 48, 37, 8, 6, 0, 206, 522, 104, 15, 74, 30, 27.0, 71.0, 90.0, 0, 3, 26, 23, 2, 1, 78, 0, 17, 6, 2, 1, 0.0, 8, 0, 1, 0, 0, 17, 17, 25.96, 68.27, 86.54, 14.3984375, 65.390625, 65.390625, 0, 11.5, 25.0, 0.0, 65.390625, 23.09765625, 7.69921875, 3.8, 0.0, 88.5, 30.796875, 7.69921875, 0.0, 3.7998046875, 3.7998046875, 257.0, 49.0, 4.0, 0.0, 238.0, "Tous les candidats", 524.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "4184", "Licence - Portail Electronique, énergie électrique, automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27513&g_ta_cod=4184", 74.0, 15.0, 10.0),
(10940, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Langues, littératures & civilisations étrangères et régionales", "Licence - Arts-lettres-langues", "", 275, 1137, 796, 913, 0, 678, 176, 52, 16, 16, 9, 167, 224, 43, 20, 11, 150, 913, 213, 0, 0, 678, 176, 52, 16, 16, 9, 167, 1017, 259, 152, 163, 96, 55.0, 163.0, 218.0, 0, 51, 156, 129, 20, 7, 103, 1, 50, 45, 44, 15, 1.0, 97, 3, 5, 0, 0, 143, 143, 21.24, 62.93, 84.17, 58.6953125, 91.6875, 91.6875, 0, 32.6953125, 60.1953125, 0.5999755859375, 32.09375, 28.796875, 28.19921875, 9.6, 0.6, 82.6875, 62.1953125, 12.798828125, 1.89990234375, 4.5, 3.19970703125, 635.0, 174.0, 26.0, 12.0, 293.0, "Tous les candidats", 913.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10218", "Licence - Langues, littératures & civilisations étrangères et régionales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10218&g_ta_cod=10218", 75.0, 14.0, 10.0),
(10941, "Public", "0642126N", "Collèges des études européennes et internationales", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation non sélective", "Licence", "Collèges des études européennes et internationales - Licence - Lettres - Parcours Lettres, Langues vivantes et disciplines artistiques", "Licence - Arts-lettres-langues", "Lettres, Langues vivantes et disciplines artistiques", 70, 246, 200, 191, 0, 139, 34, 13, 1, 8, 4, 31, 55, 13, 2, 5, 35, 191, 53, 0, 0, 139, 34, 13, 1, 8, 4, 31, 228, 43, 37, 28, 15, 17.0, 28.0, 39.0, 0, 7, 28, 25, 1, 2, 15, 0, 6, 16, 6, 0, 0.0, 19, 1, 2, 0, 0, 22, 22, 39.53, 65.12, 90.7, 86.0, 78.59375, 78.59375, 0, 25.0, 65.09375, 0.0, 21.3984375, 57.09375, 21.3984375, 0.0, 0.0, 89.296875, 67.890625, 3.599609375, 3.599609375, 7.099609375, 7.099609375, 144.0, 33.0, 11.0, 3.0, 59.0, "Tous les candidats", 190.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7770", "Licence - Lettres - Parcours Lettres, Langues vivantes et disciplines artistiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7770&g_ta_cod=7770", 84.0, 7.0, 7.0),
(10942, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Allemand", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères et Régionales Allemand", 36, 168, 97, 57, 0, 30, 3, 5, 1, 3, 2, 19, 111, 7, 14, 11, 79, 57, 100, 0, 0, 30, 3, 5, 1, 3, 2, 19, 151, 23, 14, 6, 17, 5.0, 6.0, 13.0, 0, 3, 7, 3, 2, 2, 16, 0, 3, 3, 1, 0, 0.0, 3, 1, 0, 0, 0, 4, 4, 21.74, 26.09, 56.52, 60.8984375, 57.09375, 57.09375, 0, 42.8984375, 30.3984375, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 42.8984375, 42.8984375, 28.59765625, 14.298828125, 28.59765625, 0.0, 35.0, 5.0, 12.0, 8.0, 86.0, "Tous les candidats", 56.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "8500", "Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8500&g_ta_cod=8500", 48.0, 13.0, 39.0),
(10943, "Privé hors contrat", "0451779P", "Institut Supérieur de Commerce Paris - Campus d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "Ecole de Commerce", "ISC Paris Business School - Formation des écoles de commerce et de management Bac + 3 - Bachelor en management", "Formation des écoles de commerce et de management", "Bachelor en management", 100, 196, 84, 165, 0, 115, 9, 28, 3, 2, 2, 20, 31, 9, 8, 3, 11, 121, 3, 0, 0, 93, 6, 17, 2, 0, 0, 11, 124, 36, 18, 34, 2, 34.0, 34.0, 35.0, 0, 3, 32, 28, 4, 0, 4, 0, 3, 19, 8, 2, 0.0, 27, 2, 0, 0, 0, 29, 29, 94.44, 94.44, 97.22, 50.0, 90.59375, 90.59375, 0, 9.3984375, 88.890625, 0.0, 9.3984375, 59.3984375, 25.0, 6.3, 0.0, 87.5, 84.390625, 12.5, 6.2998046875, 0.0, 0.0, 94.0, 6.0, 0.0, 0.0, 11.0, "Tous les candidats", 402.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 73.0, "32213", "Formation des écoles de commerce et de management Bac + 3 - Bachelor en management", "ISC Paris Business School", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32210&g_ta_cod=32213", 86.0, 14.0, 0.0),
(10944, "Public", "0693565A", "I.U.T Jean Moulin de l'Université Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "BUT", "I.U.T Jean Moulin de l'Université Lyon 3 - BUT - Information communication Parcours communication des organisations", "BUT - Service", "", 56, 2995, 2395, 2995, 0, 1837, 269, 560, 136, 21, 9, 577, 0, 0, 0, 0, 0, 484, 0, 0, 0, 245, 24, 182, 38, 1, 0, 56, 206, 60, 52, 60, 0, 21.0, 60.0, 60.0, 0, 6, 51, 37, 14, 0, 9, 0, 0, 2, 34, 14, 1.0, 37, 14, 0, 0, 0, 16, 16, 35.0, 100.0, 100.0, 86.6875, 31.3984375, 31.3984375, 0, 11.798828125, 85.0, 0.0, 0.0, 3.89990234375, 66.6875, 27.5, 2.0, 72.5, 72.5, 27.5, 27.5, 0.0, 0.0, 118.0, 20.0, 1.0, 0.0, 22.0, "Tous les candidats sauf les Bac technologiques", 163.0, "Bacheliers technologiques toutes séries", 112, "", 0, "Liste d'appel propre à cette formation", 9.0, "8582", "BUT - Information communication Parcours communication des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8582&g_ta_cod=8582", 68.0, 32.0, 0.0),
(10945, "Public", "9840268U", "Lycée des Métiers -Hotelier de Tahiti", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Punaauia", "formation sélective", "BTS", "Lycée des Métiers -Hotelier de Tahiti - BTS - Services - Tourisme", "BTS - Services", "", 24, 333, 236, 333, 0, 97, 37, 81, 38, 68, 34, 87, 0, 0, 0, 0, 0, 111, 0, 0, 0, 44, 23, 32, 17, 15, 11, 20, 55, 23, 17, 23, 0, 9.0, 23.0, 23.0, 0, 10, 16, 6, 8, 2, 7, 0, 9, 2, 4, 1, 0.0, 3, 2, 2, 0, 0, 15, 15, 39.13, 100.0, 100.0, 73.890625, 93.796875, 93.796875, 0, 62.5, 69.59375, 0.0, 56.296875, 12.5, 25.0, 6.3, 0.0, 37.5, 18.796875, 50.0, 12.5, 12.5, 12.5, 20.0, 11.0, 3.0, 3.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 21.0, "12000", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12000&g_ta_cod=12000", 48.0, 43.0, 9.0),
(10946, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Histoire de l'art et archéologie - Parcours Archéologie", "Licence - Sciences humaines et sociales", "Archéologie", 115, 805, 505, 749, 0, 466, 94, 49, 12, 33, 13, 201, 56, 6, 0, 4, 46, 743, 40, 0, 0, 466, 94, 49, 12, 33, 13, 195, 511, 107, 63, 90, 17, 12.0, 82.0, 100.0, 0, 8, 57, 43, 7, 7, 50, 0, 17, 20, 16, 4, 0.0, 34, 2, 4, 0, 0, 32, 32, 11.21, 76.64, 93.46, 58.8984375, 56.09375, 56.09375, 0, 14.0, 53.296875, 0.0, 29.796875, 35.09375, 28.09765625, 7.0, 0.0, 75.390625, 59.59375, 12.298828125, 3.5, 12.298828125, 7.0, 268.0, 45.0, 24.0, 8.0, 183.0, "Tous les candidats", 742.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "8072", "Licence - Histoire de l'art et archéologie - Parcours Archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8072&g_ta_cod=8072", 77.0, 12.0, 9.0),
(10947, "Public", "0691860X", "IUT Lyon1 Site de Villeurbanne Gratte-Ciel", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "BUT", "IUT Lyon1 Site de Villeurbanne Gratte-Ciel - BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "BUT - Production", "Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", 92, 1556, 165, 1475, 0, 697, 138, 450, 112, 32, 13, 296, 81, 12, 31, 2, 36, 1026, 13, 0, 0, 544, 89, 271, 59, 3, 1, 208, 720, 95, 9, 89, 6, 29.0, 59.0, 83.0, 0, 19, 71, 49, 22, 0, 24, 0, 14, 41, 16, 0, 0.0, 38, 19, 0, 0, 0, 47, 47, 30.53, 62.11, 87.37, 9.5, 66.1875, 66.1875, 0, 26.796875, 74.6875, 0.0, 19.69921875, 57.6953125, 22.5, 0.0, 0.0, 69.0, 53.5, 31.0, 26.796875, 0.0, 0.0, 333.0, 73.0, 0.0, 0.0, 174.0, "Tous les candidats sauf les Bac technologiques", 632.0, "Bacheliers technologiques toutes séries", 303, "", 0, "Liste d'appel propre à cette formation", 63.0, "8491", "BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8491&g_ta_cod=8491", 73.0, 27.0, 0.0),
(10948, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence_Las", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", "", 60, 605, 352, 593, 0, 326, 89, 33, 15, 21, 12, 213, 12, 3, 3, 0, 6, 568, 11, 0, 0, 326, 89, 33, 15, 21, 12, 188, 332, 58, 36, 53, 5, 7.0, 32.0, 47.0, 0, 12, 34, 28, 6, 0, 24, 0, 22, 6, 5, 1, 0.0, 12, 0, 0, 0, 0, 27, 27, 12.07, 55.17, 81.03, 62.09375, 79.390625, 79.390625, 0, 35.296875, 58.59375, 0.0, 64.6875, 17.59765625, 14.69921875, 2.9, 0.0, 82.390625, 35.296875, 17.59765625, 0.0, 0.0, 0.0, 200.0, 61.0, 4.0, 3.0, 120.0, "Tous les candidats", 2138.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 78.0, "27898", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27897&g_ta_cod=27898", 83.0, 16.0, 2.0),
(10949, "Privé enseignement supérieur", "T942095L", "EPITA Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 3e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Advance - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 85, 2338, 371, 2338, 0, 2332, 177, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 1950, 0, 0, 0, 1950, 118, 0, 0, 0, 0, 0, 1261, 101, 10, 101, 0, 68.0, 87.0, 95.0, 0, 6, 101, 101, 0, 0, 0, 0, 4, 36, 44, 15, 2.0, 97, 0, 0, 0, 0, 38, 38, 67.33, 86.14, 94.06, 9.8984375, 37.59375, 37.59375, 0, 5.8994140625, 100.0, 0.0, 4.0, 35.59375, 43.59375, 14.9, 2.0, 100.0, 96.0, 0.0, 0.0, 0.0, 0.0, 1261.0, 66.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 65.0, "479", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Advance", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=124&g_ta_cod=479", 100.0, 0.0, 0.0),
(10950, "Public", "0400018C", "Lycée Charles Despiau", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Mont-de-Marsan", "formation sélective", "BTS", "Lycée Charles Despiau - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 33, 592, 260, 592, 0, 39, 10, 284, 78, 194, 67, 75, 0, 0, 0, 0, 0, 583, 0, 0, 0, 39, 10, 284, 78, 192, 66, 68, 145, 29, 15, 29, 0, 5.0, 25.0, 27.0, 0, 11, 28, 0, 14, 14, 1, 0, 4, 16, 6, 2, 0.0, 0, 12, 12, 11, 3, 26, 26, 17.24, 86.21, 93.1, 51.6953125, 92.890625, 92.890625, 39.296875, 39.296875, 96.59375, 0.0, 14.298828125, 57.09375, 21.3984375, 7.1, 0.0, 0.0, 0.0, 50.0, 42.8984375, 50.0, 42.8984375, 1.0, 1.0, 81.0, 27.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 102, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 33.0, "5207", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5207&g_ta_cod=5207", 3.0, 48.0, 48.0),
(10951, "Privé sous contrat d'association", "0441653H", "Lycée St Joseph La Joliverie", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Sébastien-sur-Loire", "formation sélective", "BTS", "Lycée St Joseph La Joliverie - BTS - Production - Bâtiment", "BTS - Production", "", 15, 327, 54, 327, 0, 60, 4, 144, 11, 71, 12, 52, 0, 0, 0, 0, 0, 263, 0, 0, 0, 51, 4, 128, 10, 63, 10, 21, 88, 15, 5, 15, 0, 2.0, 12.0, 15.0, 0, 1, 14, 6, 6, 2, 1, 0, 2, 9, 3, 0, 0.0, 5, 5, 2, 3, 2, 11, 11, 13.33, 80.0, 100.0, 33.296875, 78.59375, 78.59375, 21.3984375, 7.099609375, 93.296875, 0.0, 14.298828125, 64.296875, 21.3984375, 0.0, 0.0, 42.8984375, 35.6953125, 42.8984375, 35.6953125, 14.298828125, 14.298828125, 26.0, 3.0, 25.0, 3.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 50.0, "19348", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19348&g_ta_cod=19348", 40.0, 40.0, 20.0),
(10952, "Public", "0951281B", "Lycée professionnel Turgot", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Montmorency", "formation sélective", "BTS", "Lycée professionnel Turgot - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 1223, 639, 649, 0, 10, 5, 197, 93, 207, 103, 235, 574, 0, 163, 141, 270, 237, 3, 0, 0, 0, 0, 89, 39, 137, 72, 11, 182, 32, 20, 25, 2, 2.0, 20.0, 24.0, 0, 12, 29, 0, 16, 13, 3, 0, 17, 11, 1, 0, 0.0, 0, 5, 7, 1, 0, 26, 29, 6.25, 62.5, 75.0, 62.5, 89.6875, 100.0, 3.39990234375, 41.3984375, 90.59375, 0.0, 58.59375, 37.8984375, 3.39990234375, 0.0, 0.0, 0.0, 0.0, 55.1953125, 17.19921875, 44.796875, 24.09765625, 0.0, 0.0, 101.0, 55.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers technologiques toutes séries", 94, "Bacheliers professionnels toutes séries", 139, "Liste d'appel propre à cette formation", 36.0, "30575", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30575&g_ta_cod=30575", 3.0, 50.0, 47.0),
(10953, "Public", "0511956Z", "EiCnam (IIT BTP)", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "EiCnam (IIT BTP) - Formation Supérieure de Spécialisation - Informatique - intégration web", "Diplôme d'Université", "Informatique - intégration web", 15, 52, 9, 16, 0, 6, 1, 5, 1, 2, 0, 3, 36, 5, 3, 2, 26, 10, 16, 0, 0, 4, 1, 3, 1, 1, 0, 2, 34, 8, 2, 1, 5, 1.0, 1.0, 2.0, 0, 1, 6, 3, 0, 3, 2, 1, 5, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 4, 4, 12.5, 12.5, 25.0, 25.0, 66.6875, 66.6875, 0, 16.69921875, 75.0, 16.69921875, 83.296875, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 10.0, 4.0, 7.0, 0.0, 14.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "33500", "Formation Supérieure de Spécialisation - Informatique - intégration web", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33500&g_ta_cod=33500", 50.0, 13.0, 38.0),
(10954, "Public", "0590233H", "Lycée Emile Zola", "59", "Nord", "Hauts-de-France", "Lille", "Wattrelos", "formation sélective", "BTS", "Lycée Emile Zola - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 70, 1133, 518, 1060, 0, 54, 22, 214, 114, 302, 179, 490, 73, 0, 0, 35, 38, 602, 19, 0, 0, 50, 19, 161, 83, 125, 72, 266, 193, 61, 27, 50, 11, 17.0, 40.0, 53.0, 0, 23, 38, 1, 13, 24, 23, 0, 21, 13, 3, 1, 0.0, 0, 5, 12, 15, 11, 34, 34, 27.87, 65.57, 86.89, 44.296875, 89.5, 89.5, 39.5, 60.5, 62.296875, 0.0, 55.296875, 34.1953125, 7.8994140625, 2.6, 0.0, 2.599609375, 0.0, 34.1953125, 13.19921875, 63.1953125, 31.59765625, 4.0, 4.0, 103.0, 61.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 125, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 22.0, "6857", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6857&g_ta_cod=6857", 8.0, 43.0, 49.0),
(10955, "Public", "0911251R", "Lycée du Parc des Loges", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "BTS", "Lycée du Parc des Loges - BTS - Production - Biotechnologies", "BTS - Production", "", 24, 544, 327, 544, 0, 99, 16, 200, 47, 22, 11, 223, 0, 0, 0, 0, 0, 343, 0, 0, 0, 89, 12, 142, 31, 15, 9, 97, 148, 24, 16, 24, 0, 3.0, 16.0, 23.0, 0, 7, 19, 3, 15, 1, 5, 0, 8, 8, 2, 1, 0.0, 2, 8, 1, 9, 4, 14, 18, 12.5, 66.67, 95.83, 66.6875, 73.6875, 94.6875, 47.3984375, 36.796875, 79.1875, 0.0, 42.09375, 42.09375, 10.5, 5.3, 0.0, 15.798828125, 10.5, 78.890625, 42.09375, 5.2998046875, 5.2998046875, 30.0, 7.0, 3.0, 2.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 131, "Liste d'appel propre à cette formation", 38.0, "20593", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20593&g_ta_cod=20593", 25.0, 71.0, 4.0),
(10956, "Public", "0940129E", "Lycée Jean Mace", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vitry-sur-Seine", "formation sélective", "BTS", "Lycée Jean Mace - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 15, 142, 6, 133, 0, 5, 2, 14, 6, 69, 25, 45, 9, 0, 0, 9, 0, 42, 4, 0, 0, 0, 0, 1, 1, 39, 11, 2, 35, 14, 0, 10, 4, 5.0, 8.0, 10.0, 0, 4, 14, 0, 0, 14, 0, 0, 4, 4, 6, 0, 0.0, 0, 0, 10, 3, 0, 9, 12, 35.71, 57.14, 71.43, 0.0, 64.296875, 85.6875, 21.3984375, 28.59765625, 100.0, 0.0, 28.59765625, 28.59765625, 42.8984375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 71.390625, 0.0, 0.0, 32.0, 10.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 2, "Liste d'appel propre à cette formation", 30.0, "11415", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11415&g_ta_cod=11415", 0.0, 0.0, 100.0),
(10957, "Public", "0332931G", "CPBx (ENSEGID)", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Ecole d'Ingénieur", "CPBx (ENSEGID) - Formation d'ingénieur Bac + 5 - bac général", "Formations  des écoles d'ingénieurs", "bac général", 9, 120, 56, 120, 0, 120, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 78, 0, 0, 0, 78, 7, 0, 0, 0, 0, 0, 32, 9, 5, 9, 0, 1.0, 9.0, 9.0, 0, 0, 9, 9, 0, 0, 0, 0, 0, 0, 5, 4, 0.0, 9, 0, 0, 0, 0, 6, 6, 11.11, 100.0, 100.0, 55.59375, 66.6875, 66.6875, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 55.59375, 44.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 32.0, 5.0, 0.0, 0.0, 0.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "13026", "Formation d'ingénieur Bac + 5 - bac général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13026&g_ta_cod=13026", 100.0, 0.0, 0.0),
(10958, "Privé sous contrat d'association", "0320633P", "Campus La Salle St Christophe", "32", "Gers", "Occitanie", "Toulouse", "Masseube", "formation sélective", "BTS", "Campus La Salle St Christophe - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 40, 381, 129, 374, 0, 105, 15, 71, 11, 75, 19, 123, 7, 0, 0, 3, 4, 374, 3, 0, 0, 105, 15, 71, 11, 75, 19, 123, 169, 39, 17, 37, 2, 16.0, 24.0, 33.0, 0, 3, 26, 8, 7, 11, 13, 0, 12, 13, 1, 0, 0.0, 4, 5, 5, 0, 0, 20, 20, 41.03, 61.54, 84.62, 43.59375, 76.890625, 76.890625, 0, 11.5, 66.6875, 0.0, 46.1953125, 50.0, 3.7998046875, 0.0, 0.0, 30.796875, 15.3984375, 26.8984375, 19.19921875, 42.296875, 19.19921875, 55.0, 10.0, 42.0, 14.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 141.0, "Bacheliers professionnels toutes séries", 77, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 81.0, "4259", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4259&g_ta_cod=4259", 46.0, 23.0, 28.0),
(10959, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues étrangères appliquées : Anglais-Allemand", "Licence - Arts-lettres-langues", "Licence 1 LEA - Langues étrangères appliquées : Anglais-Allemand", 75, 371, 245, 269, 0, 187, 38, 14, 5, 6, 4, 62, 102, 15, 8, 4, 75, 258, 93, 0, 0, 187, 38, 14, 5, 6, 4, 51, 353, 63, 40, 38, 25, 37.0, 38.0, 55.0, 0, 8, 37, 30, 6, 1, 26, 0, 21, 7, 6, 3, 0.0, 16, 0, 0, 0, 0, 22, 22, 58.73, 60.32, 87.3, 63.5, 59.5, 59.5, 0, 21.59765625, 58.6953125, 0.0, 56.796875, 18.8984375, 16.19921875, 8.1, 0.0, 81.09375, 43.1953125, 16.19921875, 0.0, 2.69970703125, 0.0, 204.0, 40.0, 10.0, 4.0, 117.0, "Tous les candidats", 258.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "4412", "Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues étrangères appliquées : Anglais-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4412&g_ta_cod=4412", 70.0, 21.0, 6.0),
(10960, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Portail Sciences de la vie, de la Terre et de l'environnement (SVTE)", "Licence - Sciences - technologies - santé", "Sciences de la vie, de la Terre et de l'environnement (SVTE) : Sciences de la vie et de la terre", 120, 3474, 2290, 3461, 0, 2165, 429, 74, 28, 8, 5, 1214, 13, 7, 0, 0, 6, 3437, 13, 0, 0, 2165, 429, 74, 28, 8, 5, 1190, 1957, 113, 64, 110, 3, 51.0, 62.0, 83.0, 0, 23, 82, 81, 1, 0, 31, 1, 14, 24, 34, 9, 0.0, 67, 0, 0, 0, 0, 72, 72, 45.13, 54.87, 73.45, 56.59375, 87.796875, 87.796875, 0, 28.0, 72.59375, 1.199951171875, 17.09765625, 29.296875, 41.5, 11.0, 0.0, 98.796875, 81.6875, 1.199951171875, 0.0, 0.0, 0.0, 1204.0, 246.0, 1.0, 1.0, 733.0, "Tous les candidats", 3815.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 67.0, "28610", "Licence - Portail Sciences de la vie, de la Terre et de l'environnement (SVTE)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28609&g_ta_cod=28610", 96.0, 4.0, 1.0),
(10961, "Public", "0330021U", "Lycée Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Montaigne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 27, 1821, 885, 1821, 1300, 1570, 107, 3, 0, 1, 0, 247, 0, 0, 0, 0, 0, 1056, 0, 494, 898, 1055, 72, 0, 0, 0, 0, 1, 81, 26, 16, 26, 0, 9.0, 23.0, 25.0, 7, 1, 26, 26, 0, 0, 0, 0, 0, 0, 4, 20, 2.0, 26, 0, 0, 0, 0, 16, 16, 34.62, 88.46, 96.15, 61.5, 61.5, 61.5, 0, 3.7998046875, 100.0, 0.0, 0.0, 0.0, 15.3984375, 76.9, 7.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 81.0, 7.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "31598", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31281&g_ta_cod=31598", 100.0, 0.0, 0.0),
(10962, "Privé sous contrat d'association", "0940822H", "Lycée Claude-Nicolas LEDOUX / EBTP", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vincennes", "formation sélective", "BTS", "Lycée Claude-Nicolas LEDOUX / EBTP - BTS - Production - Bâtiment", "BTS - Production", "", 70, 556, 65, 512, 0, 68, 17, 164, 41, 100, 40, 180, 44, 1, 0, 24, 19, 266, 16, 0, 0, 46, 14, 107, 21, 34, 12, 79, 211, 58, 7, 46, 12, 19.0, 44.0, 46.0, 0, 6, 38, 8, 20, 10, 20, 1, 13, 20, 4, 0, 0.0, 4, 13, 7, 6, 0, 19, 36, 32.76, 75.86, 79.31, 12.099609375, 50.0, 94.6875, 15.798828125, 15.798828125, 65.5, 2.599609375, 34.1953125, 52.59375, 10.5, 0.0, 0.0, 21.09765625, 10.5, 52.59375, 34.1953125, 26.296875, 18.3984375, 43.0, 14.0, 40.0, 14.0, 50.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 78.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 96, "Liste d'appel propre à cette formation", 42.0, "11450", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11450&g_ta_cod=11450", 34.0, 43.0, 22.0),
(10963, "Public", "0290008B", "Lycée Amiral Ronarc'h", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Amiral Ronarc'h - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1031, 508, 1031, 0, 87, 16, 456, 99, 293, 78, 195, 0, 0, 0, 0, 0, 947, 0, 0, 0, 79, 12, 420, 88, 277, 73, 171, 168, 30, 9, 30, 0, 0.0, 26.0, 28.0, 0, 6, 22, 2, 12, 8, 8, 0, 5, 14, 3, 0, 0.0, 2, 8, 7, 2, 1, 21, 21, 0.0, 86.67, 93.33, 30.0, 95.5, 95.5, 9.099609375, 27.296875, 73.296875, 0.0, 22.69921875, 63.59375, 13.599609375, 0.0, 0.0, 9.099609375, 9.099609375, 54.5, 36.3984375, 36.3984375, 31.796875, 14.0, 6.0, 68.0, 15.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 106, "Bacheliers technologiques toutes séries", 122, "Liste d'appel propre à cette formation", 25.0, "3763", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3763&g_ta_cod=3763", 13.0, 43.0, 43.0),
(10964, "Public", "0592602H", "I.U.T. de Lille A", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "BUT", "I.U.T. de Lille A - BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales (Seconde année possible en apprentissage)", "BUT - Production", "Techniques d'instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", 84, 945, 220, 899, 0, 584, 57, 76, 16, 1, 0, 238, 46, 3, 3, 0, 40, 751, 17, 0, 0, 517, 43, 54, 11, 0, 0, 180, 492, 57, 11, 51, 6, 6.0, 50.0, 54.0, 0, 5, 36, 32, 4, 0, 21, 1, 6, 17, 11, 1, 0.0, 25, 4, 0, 0, 0, 26, 26, 10.53, 87.72, 94.74, 19.296875, 72.1875, 72.1875, 0, 13.8984375, 63.1953125, 2.7998046875, 16.69921875, 47.1953125, 30.59765625, 2.8, 0.0, 88.890625, 69.390625, 11.099609375, 11.099609375, 0.0, 0.0, 286.0, 30.0, 0.0, 0.0, 157.0, "Tous les candidats sauf les Bac technologiques", 684.0, "Bacheliers technologiques toutes séries", 65, "", 0, "Liste d'appel propre à cette formation", 83.0, "6889", "BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6889&g_ta_cod=6889", 89.0, 11.0, 0.0),
(10965, "Public", "0311262D", "L.E.G.T.A. Toulouse Auzeville", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Castanet-Tolosan", "formation sélective", "BTS", "L.E.G.T.A. Toulouse Auzeville - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 32, 675, 464, 675, 0, 212, 29, 191, 51, 57, 21, 215, 0, 0, 0, 0, 0, 432, 0, 0, 0, 186, 20, 117, 26, 33, 15, 96, 147, 29, 26, 29, 0, 1.0, 20.0, 26.0, 0, 7, 24, 9, 12, 3, 5, 0, 3, 9, 9, 3, 0.0, 9, 10, 2, 4, 2, 14, 14, 3.45, 68.97, 89.66, 89.6875, 58.296875, 58.296875, 16.69921875, 29.19921875, 82.796875, 0.0, 12.5, 37.5, 37.5, 12.5, 0.0, 37.5, 37.5, 50.0, 41.6953125, 12.5, 8.298828125, 55.0, 6.0, 13.0, 7.0, 37.0, "Tous les candidats sauf les Bac professionnels", 219.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 36.0, "4127", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4127&g_ta_cod=4127", 41.0, 45.0, 14.0),
(10966, "Privé sous contrat d'association", "0601194X", "Institut Charles Quentin", "60", "Oise", "Hauts-de-France", "Amiens", "Pierrefonds", "formation sélective", "BTS", "Institut Charles Quentin - BTS - Agricole - Gestion forestière", "BTS - Agricole", "", 32, 197, 24, 192, 0, 49, 6, 63, 5, 34, 2, 46, 5, 0, 0, 0, 5, 127, 0, 0, 0, 31, 1, 44, 1, 30, 2, 22, 94, 27, 2, 27, 0, 8.0, 27.0, 27.0, 0, 0, 19, 6, 7, 6, 8, 0, 11, 6, 2, 0, 0.0, 1, 3, 4, 0, 0, 8, 8, 29.63, 100.0, 100.0, 7.3994140625, 42.09375, 42.09375, 0, 0.0, 70.390625, 0.0, 57.8984375, 31.59765625, 10.5, 0.0, 0.0, 31.59765625, 5.2998046875, 36.796875, 15.798828125, 31.59765625, 21.09765625, 19.0, 1.0, 20.0, 2.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 59.0, "20054", "BTS - Agricole - Gestion forestière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20054&g_ta_cod=20054", 48.0, 26.0, 26.0),
(10967, "Privé sous contrat d'association", "0600071B", "UniLaSalle Beauvais", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "Ecole d'Ingénieur", "UniLaSalle (Beauvais, Rouen, Rennes) - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 340, 1020, 521, 1007, 0, 1003, 48, 0, 0, 0, 0, 4, 13, 12, 0, 0, 1, 977, 7, 0, 0, 973, 45, 0, 0, 0, 0, 4, 858, 282, 123, 279, 3, 149.0, 279.0, 281.0, 0, 15, 282, 282, 0, 0, 0, 0, 26, 112, 109, 32, 3.0, 256, 0, 0, 0, 0, 46, 46, 52.84, 98.94, 99.65, 43.59375, 16.296875, 16.296875, 0, 5.2998046875, 100.0, 0.0, 9.19921875, 39.6953125, 38.6953125, 11.3, 1.1, 100.0, 90.796875, 0.0, 0.0, 0.0, 0.0, 854.0, 39.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "29286", "Formation d'ingénieur Bac + 5 - Série générale", "UniLaSalle (Beauvais, Rouen, Rennes)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30779&g_ta_cod=29286", 100.0, 0.0, 0.0),
(10968, "Privé sous contrat d'association", "0672867C", "IFSI Strasbourg (St Vincent)", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "IFSI", "Regroupement d'IFSI Université Strasbourg - D.E Infirmier", "D.E secteur sanitaire", "", 71, 4267, 3604, 4267, 0, 862, 170, 771, 239, 425, 162, 2209, 0, 0, 0, 0, 0, 3693, 0, 0, 0, 825, 155, 642, 186, 300, 98, 1926, 522, 72, 60, 72, 0, 2.0, 46.0, 53.0, 0, 9, 29, 18, 7, 4, 43, 0, 2, 9, 14, 4, 0.0, 16, 7, 4, 0, 0, 25, 25, 2.78, 63.89, 73.61, 83.296875, 86.1875, 86.1875, 0, 31.0, 40.296875, 0.0, 6.8994140625, 31.0, 48.296875, 13.8, 0.0, 62.09375, 55.1953125, 24.09765625, 24.09765625, 13.798828125, 13.798828125, 169.0, 33.0, 13.0, 8.0, 304.0, "Tous les candidats", 881.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "23242", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23000&g_ta_cod=23242", 81.0, 11.0, 8.0),
(10969, "Privé enseignement supérieur", "0753147N", "ICD International Business School - Campus de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 10e  Arrondissement", "formation sélective", "Ecole de Commerce", "ICD International Business School - Campus de Paris - Formation des écoles de commerce et de management Bac + 3 - Programme Bachelor visé en 3 ans - Option Business Development", "Formation des écoles de commerce et de management", "Programme Bachelor visé en 3 ans - Option Business Development", 75, 317, 112, 258, 0, 177, 20, 43, 7, 8, 4, 30, 59, 24, 12, 8, 15, 178, 17, 0, 0, 129, 14, 29, 5, 2, 2, 18, 194, 32, 7, 23, 9, 22.0, 23.0, 31.0, 0, 3, 28, 19, 8, 1, 4, 0, 19, 9, 0, 0, 0.0, 5, 4, 0, 0, 0, 4, 21, 68.75, 71.88, 96.88, 21.8984375, 14.298828125, 75.0, 0, 10.69921875, 87.5, 0.0, 67.890625, 32.09375, 0.0, 0.0, 0.0, 67.890625, 17.8984375, 28.59765625, 14.298828125, 3.599609375, 0.0, 136.0, 14.0, 3.0, 2.0, 21.0, "Tous les candidats", 178.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "23905", "Formation des écoles de commerce et de management Bac + 3 - Programme Bachelor visé en 3 ans - Option Business Development", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23905&g_ta_cod=23905", 63.0, 34.0, 3.0),
(10970, "Public", "0594391C", "E.S.AA.T.", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "Autre formation", "E.S.AA.T. - DN MADE - Animation - - Spécialité : Cinéma d'animation 2D", "DN MADE", "- Spécialité : Cinéma d'animation 2D", 15, 1366, 882, 1366, 0, 585, 104, 304, 69, 87, 30, 390, 0, 0, 0, 0, 0, 306, 0, 0, 0, 181, 21, 93, 19, 0, 0, 32, 36, 15, 13, 15, 0, 5.0, 13.0, 13.0, 0, 3, 15, 5, 10, 0, 0, 0, 0, 0, 4, 9, 2.0, 5, 10, 0, 0, 0, 4, 4, 33.33, 86.67, 86.67, 86.6875, 26.69921875, 26.69921875, 0, 20.0, 100.0, 0.0, 0.0, 0.0, 26.69921875, 60.0, 13.3, 33.296875, 33.296875, 66.6875, 66.6875, 0.0, 0.0, 18.0, 1.0, 0.0, 0.0, 4.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 3.0, "24727", "DN MADE - Animation - - Spécialité : Cinéma d'animation 2D", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24727&g_ta_cod=24727", 33.0, 67.0, 0.0),
(10971, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Langues étrangères appliquées - LEA Anglais-Allemand", "Licence - Arts-lettres-langues", "LEA Anglais-Allemand", 40, 142, 94, 135, 0, 88, 20, 14, 8, 5, 1, 28, 7, 0, 0, 0, 7, 133, 4, 0, 0, 88, 20, 14, 8, 5, 1, 26, 117, 9, 6, 8, 1, 3.0, 8.0, 9.0, 0, 4, 7, 5, 2, 0, 2, 0, 4, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 5, 5, 33.33, 88.89, 100.0, 66.6875, 71.390625, 71.390625, 0, 57.09375, 77.796875, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 71.390625, 42.8984375, 28.59765625, 0.0, 0.0, 0.0, 78.0, 19.0, 2.0, 0.0, 27.0, "Tous les candidats", 154.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "6504", "Licence - Portail Langues étrangères appliquées - LEA Anglais-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26704&g_ta_cod=6504", 67.0, 33.0, 0.0),
(10972, "Privé sous contrat d'association", "0721684P", "Lycée Polyvalent Saint-Charles Sainte-Croix", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Saint-Charles Sainte-Croix - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 187, 82, 166, 0, 30, 5, 46, 6, 33, 11, 57, 21, 0, 10, 2, 9, 141, 3, 0, 0, 30, 5, 46, 6, 30, 8, 35, 95, 18, 6, 15, 3, 0.0, 10.0, 15.0, 0, 1, 15, 6, 3, 6, 3, 0, 9, 5, 1, 0, 0.0, 0, 2, 4, 7, 2, 15, 15, 0.0, 55.56, 83.33, 33.296875, 100.0, 100.0, 46.6953125, 6.69921875, 83.296875, 0.0, 60.0, 33.296875, 6.69921875, 0.0, 0.0, 40.0, 0.0, 20.0, 13.298828125, 40.0, 26.69921875, 23.0, 4.0, 22.0, 6.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 78.0, "8722", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8722&g_ta_cod=8722", 39.0, 28.0, 33.0),
(10973, "Public", "0910622G", "Lycée Geoffroy-St-Hilaire", "91", "Essonne", "Ile-de-France", "Versailles", "Etampes", "formation sélective", "BTS", "Lycée Geoffroy-St-Hilaire - BTS - Services - Gestion de la PME", "BTS - Services", "", 32, 562, 330, 562, 0, 17, 3, 173, 56, 159, 78, 213, 0, 0, 0, 0, 0, 469, 0, 0, 0, 16, 3, 161, 53, 149, 70, 143, 167, 30, 16, 29, 0, 4.0, 13.0, 23.0, 0, 6, 20, 0, 10, 10, 10, 0, 13, 4, 3, 0, 0.0, 0, 4, 3, 11, 6, 20, 20, 13.33, 43.33, 76.67, 53.296875, 100.0, 100.0, 55, 30.0, 66.6875, 0.0, 65.0, 20.0, 15.0, 0.0, 0.0, 0.0, 0.0, 50.0, 20.0, 50.0, 15.0, 2.0, 1.0, 63.0, 23.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 112, "Liste d'appel propre à cette formation", 37.0, "10851", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10851&g_ta_cod=10851", 7.0, 43.0, 50.0),
(10974, "Public", "0390812W", "ENILBIO", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Poligny", "formation sélective", "BTS", "ENILBIO - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 32, 209, 109, 197, 0, 23, 2, 31, 10, 15, 4, 128, 12, 4, 2, 0, 6, 80, 9, 0, 0, 23, 2, 29, 9, 14, 3, 14, 86, 16, 7, 12, 4, 4.0, 12.0, 13.0, 0, 1, 8, 4, 4, 0, 8, 0, 5, 3, 0, 0, 0.0, 0, 3, 0, 0, 0, 6, 6, 25.0, 75.0, 81.25, 43.796875, 75.0, 75.0, 0, 12.5, 50.0, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 37.5, 0.0, 0.0, 24.0, 1.0, 11.0, 3.0, 18.0, "Tous les candidats sauf les Bac professionnels", 65.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 41.0, "5174", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5174&g_ta_cod=5174", 38.0, 44.0, 19.0),
(10975, "Public", "0782557F", "Lycée Jean-Baptiste Poquelin", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "BTS", "Lycée Jean-Baptiste Poquelin - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 30, 581, 517, 581, 0, 25, 12, 151, 49, 226, 99, 179, 0, 0, 0, 0, 0, 265, 0, 0, 0, 19, 8, 87, 28, 129, 58, 30, 146, 30, 28, 29, 0, 4.0, 19.0, 22.0, 0, 9, 21, 1, 10, 10, 9, 0, 8, 11, 2, 0, 0.0, 0, 6, 7, 7, 7, 21, 21, 13.33, 63.33, 73.33, 93.296875, 100.0, 100.0, 33.296875, 42.8984375, 70.0, 0.0, 38.09375, 52.3984375, 9.5, 0.0, 0.0, 4.7998046875, 0.0, 47.59375, 28.59765625, 47.59375, 33.296875, 13.0, 4.0, 62.0, 26.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 29.0, "10039", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10039&g_ta_cod=10039", 13.0, 37.0, 50.0),
(10976, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence", "Université de Perpignan Via Domitia - Licence - Lettres", "Licence - Arts-lettres-langues", "", 64, 204, 150, 134, 0, 87, 39, 7, 4, 8, 3, 32, 70, 12, 4, 8, 46, 134, 65, 0, 0, 87, 39, 7, 4, 8, 3, 32, 195, 31, 20, 10, 21, 9.0, 10.0, 22.0, 0, 6, 15, 12, 1, 2, 16, 0, 3, 7, 4, 1, 0.0, 10, 0, 2, 0, 0, 12, 12, 29.03, 32.26, 70.97, 64.5, 80.0, 80.0, 0, 40.0, 48.3984375, 0.0, 20.0, 46.6953125, 26.69921875, 6.7, 0.0, 80.0, 66.6875, 6.69921875, 0.0, 13.298828125, 13.298828125, 96.0, 43.0, 16.0, 8.0, 73.0, "Tous les candidats", 133.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7876", "Licence - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7876&g_ta_cod=7876", 84.0, 10.0, 6.0),
(10977, "Public", "0601832R", "Lycée Jean Monnet", "60", "Oise", "Hauts-de-France", "Amiens", "Crépy-en-Valois", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 575, 296, 465, 0, 51, 9, 158, 43, 117, 42, 139, 110, 4, 0, 63, 43, 199, 4, 0, 0, 43, 7, 82, 18, 52, 17, 22, 146, 32, 19, 27, 3, 4.0, 21.0, 23.0, 0, 4, 27, 1, 14, 12, 5, 0, 8, 14, 5, 0, 0.0, 1, 8, 10, 10, 6, 26, 26, 12.5, 65.63, 71.88, 59.3984375, 96.296875, 96.296875, 37, 14.798828125, 84.390625, 0.0, 29.59765625, 51.8984375, 18.5, 0.0, 0.0, 3.69970703125, 3.69970703125, 51.8984375, 29.59765625, 44.3984375, 37.0, 20.0, 7.0, 55.0, 19.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 31.0, "7271", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7271&g_ta_cod=7271", 16.0, 47.0, 38.0),
(10978, "Public", "0781297L", "Lycée Plaine De Neauphle", "78", "Yvelines", "Ile-de-France", "Versailles", "Trappes", "formation sélective", "Autre formation", "Lycée Plaine De Neauphle - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 5, 2, 0, 0, 0.0, 0.0, 0.0, 0, 2, 5, 0, 2, 3, 0, 0, 5, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 5, 5, 0.0, 0.0, 0.0, 40.0, 100.0, 100.0, 0, 40.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 40.0, 0.0, 60.0, 0.0, 0.0, 0.0, 9.0, 2.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35053", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 40.0, 60.0),
(10979, "Privé sous contrat d'association", "0831187P", "Lycée professionnel Saint Joseph", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Ollioules", "formation sélective", "BTS", "Lycée professionnel Saint Joseph - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 12, 124, 5, 115, 0, 22, 1, 21, 6, 43, 12, 29, 9, 0, 6, 0, 3, 114, 3, 0, 0, 21, 0, 21, 6, 43, 12, 29, 53, 12, 0, 11, 1, 5.0, 7.0, 10.0, 0, 3, 7, 0, 0, 7, 5, 0, 0, 1, 4, 2, 0.0, 0, 0, 7, 7, 0, 7, 7, 41.67, 58.33, 83.33, 0.0, 100.0, 100.0, 100, 42.8984375, 58.296875, 0.0, 0.0, 14.298828125, 57.09375, 28.6, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 9.0, 0.0, 11.0, 3.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 57.0, "22232", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22232&g_ta_cod=22232", 17.0, 25.0, 58.0),
(10980, "Public", "0350710G", "Lycée Francois René De Chateaubriand", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "CPGE", "Lycée Francois René De Chateaubriand - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 23, 1300, 631, 1300, 897, 1137, 75, 0, 0, 0, 0, 163, 0, 0, 0, 0, 0, 1041, 0, 897, 530, 936, 63, 0, 0, 0, 0, 105, 232, 21, 11, 21, 0, 1.0, 7.0, 21.0, 12, 0, 20, 20, 0, 0, 1, 0, 0, 0, 14, 6, 0.0, 20, 0, 0, 1, 1, 8, 8, 4.76, 33.33, 100.0, 52.3984375, 40.0, 40.0, 5, 0.0, 95.1875, 0.0, 0.0, 0.0, 70.0, 30.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 218.0, 11.0, 0.0, 0.0, 14.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "31471", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31384&g_ta_cod=31471", 100.0, 0.0, 0.0),
(10981, "Public", "0622803K", "Lycée Blaise Pascal", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Longuenesse", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 30, 210, 16, 205, 0, 5, 0, 38, 8, 24, 12, 138, 5, 0, 2, 1, 2, 96, 4, 0, 0, 5, 0, 38, 8, 24, 12, 29, 80, 24, 1, 21, 3, 10.0, 18.0, 24.0, 0, 7, 14, 0, 6, 8, 10, 0, 9, 4, 1, 0, 0.0, 0, 2, 3, 5, 0, 14, 14, 41.67, 75.0, 100.0, 4.19921875, 100.0, 100.0, 35.6953125, 50.0, 58.296875, 0.0, 64.296875, 28.59765625, 7.099609375, 0.0, 0.0, 0.0, 0.0, 42.8984375, 14.298828125, 57.09375, 21.3984375, 4.0, 0.0, 26.0, 13.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 43.0, "7451", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7451&g_ta_cod=7451", 25.0, 33.0, 42.0),
(10982, "Privé sous contrat d'association", "0340881Y", "Lycée Notre Dame De La Merci", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "CPGE", "Lycée Notre Dame De La Merci - CPGE - MPSI", "Classe préparatoire scientifique", "", 36, 766, 218, 758, 0, 658, 98, 4, 2, 0, 0, 96, 8, 4, 0, 0, 4, 506, 2, 0, 506, 475, 66, 1, 1, 0, 0, 30, 301, 33, 8, 32, 1, 1.0, 17.0, 30.0, 0, 6, 30, 30, 0, 0, 3, 0, 0, 0, 26, 4, 0.0, 30, 0, 0, 10, 1, 27, 27, 3.03, 51.52, 90.91, 24.19921875, 90.0, 90.0, 33.296875, 20.0, 90.890625, 0.0, 0.0, 0.0, 86.6875, 13.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 283.0, 42.0, 0.0, 0.0, 18.0, "Tous les candidats", 431.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "4533", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4533&g_ta_cod=4533", 100.0, 0.0, 0.0),
(10983, "Privé enseignement supérieur", "0755672H", "ESCE", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Programme Grande Ecole - Asian track - Campus de Paris ou Lyon", 50, 993, 508, 976, 0, 837, 59, 48, 8, 4, 2, 87, 17, 8, 0, 1, 8, 897, 11, 0, 0, 792, 50, 40, 6, 1, 1, 64, 908, 23, 13, 23, 0, 23.0, 23.0, 23.0, 0, 3, 22, 20, 2, 0, 1, 0, 5, 10, 6, 1, 0.0, 16, 1, 0, 0, 0, 0, 11, 100.0, 100.0, 100.0, 56.5, 0.0, 50.0, 0, 13.599609375, 95.6875, 0.0, 22.69921875, 45.5, 27.296875, 4.5, 0.0, 90.890625, 72.6875, 9.099609375, 4.5, 0.0, 0.0, 797.0, 50.0, 1.0, 1.0, 70.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "26152", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26152", 91.0, 9.0, 0.0),
(10984, "Public", "0840021S", "Lycée Alphonse Benoit", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "L'Isle-sur-la-Sorgue", "formation sélective", "BTS", "Lycée Alphonse Benoit - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 99, 9, 83, 0, 10, 2, 17, 6, 40, 17, 16, 16, 4, 5, 0, 7, 63, 2, 0, 0, 10, 2, 13, 3, 35, 16, 5, 33, 10, 1, 9, 1, 5.0, 8.0, 8.0, 0, 3, 8, 1, 1, 6, 2, 0, 2, 3, 3, 0, 0.0, 0, 0, 6, 0, 0, 7, 7, 50.0, 80.0, 80.0, 10.0, 87.5, 87.5, 0, 37.5, 80.0, 0.0, 25.0, 37.5, 37.5, 0.0, 0.0, 12.5, 0.0, 12.5, 0.0, 75.0, 75.0, 12.0, 2.0, 8.0, 4.0, 4.0, "Tous les candidats sauf les Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 45.0, "10432", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10432&g_ta_cod=10432", 20.0, 20.0, 60.0),
(10985, "Public", "0360768P", "Université d'Orléans - Centre Univ. de Châteauroux", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Châteauroux", "formation non sélective", "Licence", "Université d'Orléans - Centre Univ. de Châteauroux - Licence - Droit - Parcours Droit général", "Licence - Droit-économie-gestion", "Droit général", 100, 627, 447, 457, 0, 310, 77, 76, 29, 8, 5, 63, 170, 50, 15, 6, 99, 447, 59, 0, 0, 310, 77, 76, 29, 8, 5, 53, 508, 74, 47, 56, 18, 54.0, 55.0, 66.0, 0, 16, 58, 46, 9, 3, 16, 0, 28, 19, 9, 2, 0.0, 25, 5, 0, 0, 0, 41, 41, 72.97, 74.32, 89.19, 63.5, 70.6875, 70.6875, 0, 27.59765625, 78.390625, 0.0, 48.296875, 32.796875, 15.5, 3.4, 0.0, 79.296875, 43.09375, 15.5, 8.599609375, 5.19921875, 0.0, 335.0, 81.0, 11.0, 5.0, 80.0, "Tous les candidats", 447.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "4807", "Licence - Droit - Parcours Droit général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4807&g_ta_cod=4807", 80.0, 14.0, 5.0),
(10986, "Public", "0870730W", "Lycée professionnel Marcel Pagnol", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée professionnel Marcel Pagnol - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 30, 655, 315, 627, 0, 64, 12, 229, 76, 200, 98, 134, 28, 11, 1, 0, 16, 264, 9, 0, 0, 37, 5, 85, 28, 118, 52, 24, 128, 29, 9, 23, 6, 1.0, 15.0, 18.0, 0, 8, 22, 4, 8, 10, 7, 0, 8, 11, 3, 0, 0.0, 0, 4, 10, 2, 0, 13, 13, 3.45, 51.72, 62.07, 31.0, 59.09375, 59.09375, 9.099609375, 36.3984375, 75.890625, 0.0, 36.3984375, 50.0, 13.599609375, 0.0, 0.0, 18.19921875, 0.0, 36.3984375, 18.19921875, 45.5, 45.5, 30.0, 6.0, 45.0, 19.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers technologiques toutes séries", 49, "Bacheliers professionnels toutes séries", 72, "Liste d'appel propre à cette formation", 26.0, "28271", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28271&g_ta_cod=28271", 28.0, 28.0, 45.0),
(10987, "Public", "0772276F", "Lycée Jehan De Chelles", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Chelles", "formation sélective", "BTS", "Lycée Jehan De Chelles - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 735, 658, 735, 0, 37, 8, 182, 75, 305, 141, 211, 0, 0, 0, 0, 0, 333, 0, 0, 0, 28, 5, 94, 38, 163, 74, 48, 129, 31, 29, 31, 0, 5.0, 27.0, 29.0, 0, 10, 21, 3, 5, 13, 10, 0, 6, 9, 5, 1, 0.0, 0, 3, 12, 2, 2, 21, 21, 16.13, 87.1, 93.55, 93.5, 100.0, 100.0, 9.5, 47.59375, 67.6875, 0.0, 28.59765625, 42.8984375, 23.796875, 4.8, 0.0, 14.298828125, 0.0, 23.796875, 14.298828125, 61.8984375, 57.09375, 13.0, 4.0, 55.0, 24.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 20.0, "17645", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17645&g_ta_cod=17645", 13.0, 26.0, 61.0),
(10988, "Public", "0313000T", "INSTITUT FORM. ERGOTHERAPIE", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "INSTITUT FORM. ERGOTHERAPIE - D.E Ergothérapeute", "D.E secteur sanitaire", "", 31, 1202, 1052, 1202, 0, 264, 29, 149, 30, 22, 6, 767, 0, 0, 0, 0, 0, 450, 0, 0, 0, 141, 9, 11, 1, 4, 1, 294, 92, 31, 27, 31, 0, 10.0, 26.0, 28.0, 0, 2, 10, 9, 1, 0, 21, 0, 0, 1, 4, 5, 0.0, 9, 1, 0, 0, 0, 6, 6, 32.26, 83.87, 90.32, 87.09375, 60.0, 60.0, 0, 20.0, 32.296875, 0.0, 0.0, 10.0, 40.0, 50.0, 0.0, 90.0, 90.0, 10.0, 10.0, 0.0, 0.0, 31.0, 4.0, 0.0, 0.0, 60.0, "Tous les candidats", 108.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "27756", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27756&g_ta_cod=27756", 97.0, 3.0, 0.0),
(10989, "Public", "0800007Y", "Lycée Lamarck", "80", "Somme", "Hauts-de-France", "Amiens", "Albert", "formation sélective", "BTS", "Lycée Lamarck - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 445, 224, 287, 0, 16, 5, 70, 16, 97, 41, 104, 158, 8, 54, 29, 67, 91, 21, 0, 0, 4, 1, 16, 2, 55, 23, 16, 110, 36, 21, 24, 10, 11.0, 24.0, 29.0, 0, 7, 26, 2, 8, 16, 10, 0, 16, 8, 2, 0, 0.0, 1, 1, 8, 17, 11, 24, 24, 30.56, 66.67, 80.56, 58.296875, 92.296875, 92.296875, 65.390625, 26.8984375, 72.1875, 0.0, 61.5, 30.796875, 7.69921875, 0.0, 0.0, 7.69921875, 3.7998046875, 30.796875, 3.7998046875, 61.5, 30.796875, 6.0, 2.0, 56.0, 20.0, 24.0, "Tous les candidats sauf les Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 32.0, "10149", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10149&g_ta_cod=10149", 22.0, 28.0, 50.0),
(10990, "Public", "0760054W", "Lycée Porte-Océane", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BTS", "Lycée Porte-Océane - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 561, 290, 561, 0, 45, 16, 134, 50, 118, 65, 264, 0, 0, 0, 0, 0, 367, 0, 0, 0, 44, 15, 133, 49, 108, 60, 82, 96, 18, 6, 18, 0, 3.0, 14.0, 15.0, 0, 8, 11, 0, 5, 6, 7, 1, 5, 4, 0, 1, 0.0, 0, 2, 3, 3, 1, 9, 9, 16.67, 77.78, 83.33, 33.296875, 81.796875, 81.796875, 27.296875, 72.6875, 61.09375, 9.099609375, 45.5, 36.3984375, 0.0, 9.1, 0.0, 0.0, 0.0, 45.5, 18.19921875, 54.5, 27.296875, 9.0, 4.0, 37.0, 24.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 27.0, "9575", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9575&g_ta_cod=9575", 17.0, 44.0, 39.0),
(10991, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Trilangue Anglais - Coréen - 3ème langue à choix", "Licence - Arts-lettres-langues", "Trilangue Anglais - Coréen - 3ème langue à choix", 25, 742, 680, 742, 0, 413, 145, 45, 19, 25, 17, 259, 0, 0, 0, 0, 0, 740, 0, 0, 0, 413, 145, 45, 19, 25, 17, 257, 77, 24, 24, 24, 0, 7.0, 21.0, 22.0, 0, 5, 19, 17, 2, 0, 5, 0, 0, 4, 10, 3, 2.0, 17, 2, 0, 0, 0, 15, 15, 29.17, 87.5, 91.67, 100.0, 78.890625, 78.890625, 0, 26.296875, 79.1875, 0.0, 0.0, 21.09765625, 52.59375, 15.8, 10.5, 89.5, 89.5, 10.5, 10.5, 0.0, 0.0, 59.0, 20.0, 3.0, 1.0, 12.0, "Tous les candidats", 101.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "23980", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Trilangue Anglais - Coréen - 3ème langue à choix", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23980&g_ta_cod=23980", 92.0, 8.0, 0.0),
(10992, "Public", "0133658F", "Aix-Marseille Université - Site de Marseille Espace Canebière", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  1er Arrondissement", "formation non sélective", "Licence", "Aix-Marseille Université - Site de Marseille Espace Canebière - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 922, 4780, 3360, 4335, 0, 2772, 832, 507, 244, 114, 69, 942, 445, 95, 56, 18, 276, 4305, 267, 0, 0, 2772, 832, 507, 244, 114, 69, 912, 3974, 854, 557, 692, 154, 130.0, 574.0, 696.0, 0, 221, 576, 434, 102, 40, 278, 5, 276, 218, 70, 6, 1.0, 233, 41, 21, 0, 0, 447, 447, 15.22, 67.21, 81.5, 65.1875, 77.59375, 77.59375, 0, 38.3984375, 67.390625, 0.89990234375, 47.8984375, 37.796875, 12.19921875, 1.0, 0.2, 75.296875, 40.5, 17.69921875, 7.099609375, 6.8994140625, 3.599609375, 2489.0, 744.0, 106.0, 65.0, 958.0, "Tous les candidats", 4521.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "12531", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28487&g_ta_cod=12531", 70.0, 19.0, 9.0),
(10993, "Public", "0132930P", "IFSI CH d'Arles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Arles", "formation sélective", "IFSI", "Regroupement d'IFSI Université Aix-Marseille - D.E Infirmier", "D.E secteur sanitaire", "", 32, 7026, 5907, 7026, 0, 939, 249, 1115, 366, 714, 329, 4258, 0, 0, 0, 0, 0, 3351, 0, 0, 0, 717, 157, 513, 137, 91, 33, 2030, 270, 32, 27, 32, 0, 0.0, 14.0, 29.0, 0, 3, 15, 15, 0, 0, 17, 0, 4, 9, 2, 0, 0.0, 11, 0, 0, 0, 0, 13, 13, 0.0, 43.75, 90.63, 84.390625, 86.6875, 86.6875, 0, 20.0, 46.8984375, 0.0, 26.69921875, 60.0, 13.298828125, 0.0, 0.0, 100.0, 73.296875, 0.0, 0.0, 0.0, 0.0, 109.0, 26.0, 0.0, 0.0, 151.0, "Tous les candidats", 1478.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 11.0, "23030", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22987&g_ta_cod=23030", 84.0, 6.0, 9.0),
(10994, "Privé sous contrat d'association", "0350793X", "Lycée Frédéric OZANAM", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Cesson-Sévigné", "formation sélective", "BTS", "Lycée Frédéric OZANAM - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 283, 16, 275, 0, 30, 1, 153, 12, 39, 5, 53, 8, 0, 2, 2, 4, 193, 1, 0, 0, 25, 0, 120, 10, 25, 4, 23, 95, 11, 0, 10, 1, 1.0, 7.0, 10.0, 0, 0, 10, 0, 5, 5, 1, 0, 4, 5, 1, 0, 0.0, 0, 2, 4, 2, 0, 8, 8, 9.09, 63.64, 90.91, 0.0, 80.0, 80.0, 20, 0.0, 90.890625, 0.0, 40.0, 50.0, 10.0, 0.0, 0.0, 0.0, 0.0, 50.0, 20.0, 50.0, 40.0, 10.0, 0.0, 16.0, 2.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 132, "Liste d'appel propre à cette formation", 65.0, "4686", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4686&g_ta_cod=4686", 0.0, 55.0, 45.0),
(10995, "Privé sous contrat d'association", "0693820C", "ARFRIPS", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "EFTS", "ARFRIPS - D.E Educateur Technique Spécialisé", "D.E secteur social", "", 15, 79, 60, 49, 0, 10, 4, 5, 1, 4, 0, 30, 30, 1, 4, 4, 21, 20, 1, 0, 0, 0, 0, 2, 0, 1, 0, 17, 21, 10, 9, 10, 0, 9.0, 10.0, 10.0, 0, 0, 2, 0, 1, 1, 8, 0, 0, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 1, 1, 90.0, 100.0, 100.0, 90.0, 50.0, 50.0, 0, 0.0, 20.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 1.0, 0.0, 18.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "23729", "D.E Educateur Technique Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23729&g_ta_cod=23729", 20.0, 30.0, 40.0),
(10996, "Public", "0220019B", "Lycée professionnel Jules Verne", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Guingamp", "formation sélective", "Autre formation", "Lycée professionnel Jules Verne - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 20, 73, 0, 72, 0, 0, 0, 1, 0, 55, 15, 16, 1, 0, 0, 0, 1, 49, 0, 0, 0, 0, 0, 0, 0, 46, 13, 3, 48, 9, 0, 9, 0, 6.0, 9.0, 9.0, 0, 3, 9, 0, 0, 9, 0, 0, 4, 4, 1, 0, 0.0, 0, 0, 5, 0, 0, 9, 9, 66.67, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 55.59375, 0.0, 0.0, 45.0, 13.0, 3.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "18794", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18794&g_ta_cod=18794", 0.0, 0.0, 100.0),
(10997, "Public", "0330021U", "Lycée Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Montaigne - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 3089, 1124, 3089, 2418, 2796, 232, 1, 0, 0, 0, 292, 0, 0, 0, 0, 0, 1332, 0, 631, 1311, 1321, 96, 0, 0, 0, 0, 11, 383, 96, 34, 96, 0, 12.0, 63.0, 89.0, 21, 7, 95, 95, 0, 0, 1, 0, 0, 0, 12, 69, 14.0, 95, 0, 0, 5, 3, 87, 87, 12.5, 65.63, 92.71, 35.3984375, 91.59375, 91.59375, 5.2998046875, 7.3994140625, 99.0, 0.0, 0.0, 0.0, 12.599609375, 72.6, 14.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 380.0, 31.0, 0.0, 0.0, 3.0, "Tous les candidats", 502.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "4272", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4272&g_ta_cod=4272", 100.0, 0.0, 0.0),
(10998, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Géographie et Aménagement.", "Licence - Sciences humaines et sociales", "Géographie et Aménagement.", 115, 726, 338, 714, 0, 476, 76, 34, 13, 11, 5, 193, 12, 0, 1, 0, 11, 704, 11, 0, 0, 476, 76, 34, 13, 11, 5, 183, 529, 114, 44, 107, 7, 13.0, 99.0, 102.0, 0, 14, 79, 72, 5, 2, 35, 0, 29, 34, 13, 3, 0.0, 46, 3, 1, 0, 0, 44, 44, 11.4, 86.84, 89.47, 38.59375, 55.6953125, 55.6953125, 0, 17.69921875, 69.296875, 0.0, 36.6953125, 43.0, 16.5, 3.8, 0.0, 91.09375, 58.1953125, 6.2998046875, 3.7998046875, 2.5, 1.2998046875, 352.0, 52.0, 7.0, 3.0, 142.0, "Tous les candidats", 694.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "8535", "Licence - Portail Géographie et Aménagement.", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8535&g_ta_cod=8535", 84.0, 9.0, 6.0),
(10999, "Public", "0760145V", "Lycée professionnel Val De Seine", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Grand-Quevilly", "formation sélective", "Autre formation", "Lycée professionnel Val De Seine - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 16, 103, 22, 101, 0, 15, 2, 19, 7, 49, 16, 18, 2, 0, 0, 2, 0, 84, 0, 0, 0, 14, 2, 16, 6, 43, 15, 11, 53, 14, 2, 14, 0, 3.0, 10.0, 10.0, 0, 5, 11, 0, 3, 8, 3, 0, 8, 3, 0, 0, 0.0, 0, 1, 2, 0, 0, 11, 11, 21.43, 71.43, 71.43, 14.298828125, 100.0, 100.0, 0, 45.5, 78.59375, 0.0, 72.6875, 27.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 27.296875, 9.099609375, 72.6875, 18.19921875, 7.0, 1.0, 28.0, 10.0, 8.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "24787", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24787&g_ta_cod=24787", 0.0, 36.0, 64.0),
(11000, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 300, 2708, 901, 2708, 0, 1800, 273, 322, 71, 69, 24, 517, 0, 0, 0, 0, 0, 2700, 0, 0, 0, 1800, 273, 322, 71, 69, 24, 509, 913, 299, 84, 299, 0, 50.0, 213.0, 261.0, 0, 51, 251, 213, 25, 13, 48, 0, 114, 102, 33, 2, 0.0, 116, 10, 11, 0, 0, 177, 177, 16.72, 71.24, 87.29, 28.09765625, 70.5, 70.5, 0, 20.296875, 83.890625, 0.0, 45.3984375, 40.59375, 13.099609375, 0.8, 0.0, 84.890625, 46.1953125, 10.0, 4.0, 5.19921875, 4.3994140625, 580.0, 92.0, 23.0, 9.0, 243.0, "Tous les candidats", 1016.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "5361", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28524&g_ta_cod=5361", 82.0, 12.0, 6.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(11001, "Public", "0620215X", "Université du littoral - Site de Calais -", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "Autre formation", "Université du littoral - Site de Calais - - DEUST - Animation et gestion des activités physiques, sportives ou culturelles - parcours activités aquatiques, bien-être santé", "DEUST", "parcours activités aquatiques, bien-être santé", 20, 103, 35, 103, 0, 30, 2, 40, 5, 7, 2, 26, 0, 0, 0, 0, 0, 65, 0, 0, 0, 21, 2, 25, 3, 5, 1, 14, 36, 20, 6, 20, 0, 14.0, 20.0, 20.0, 0, 2, 16, 6, 6, 4, 4, 0, 9, 4, 3, 0, 0.0, 2, 2, 3, 0, 0, 13, 13, 70.0, 100.0, 100.0, 30.0, 81.296875, 81.296875, 0, 12.5, 80.0, 0.0, 56.296875, 25.0, 18.796875, 0.0, 0.0, 37.5, 12.5, 37.5, 12.5, 25.0, 18.796875, 14.0, 1.0, 4.0, 1.0, 6.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "28421", "DEUST - Animation et gestion des activités physiques, sportives ou culturelles - parcours activités aquatiques, bien-être santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28421&g_ta_cod=28421", 35.0, 35.0, 25.0),
(11002, "Public", "0750681H", "ESAA Boulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "ESAA Boulle - DN MADE - Objet - Spécialité : Métiers d?art Ébénisterie : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "DN MADE", "Spécialité : Métiers d?art Ébénisterie : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", 10, 340, 172, 340, 0, 108, 14, 61, 8, 31, 5, 140, 0, 0, 0, 0, 0, 24, 0, 0, 0, 7, 0, 4, 0, 0, 0, 13, 15, 10, 5, 10, 0, 6.0, 10.0, 10.0, 0, 0, 4, 3, 1, 0, 6, 0, 0, 0, 2, 2, 0.0, 3, 1, 0, 0, 0, 0, 3, 60.0, 100.0, 100.0, 50.0, 0.0, 75.0, 0, 0.0, 40.0, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 75.0, 75.0, 25.0, 25.0, 0.0, 0.0, 4.0, 0.0, 0.0, 0.0, 9.0, "Tous les candidats", 16.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "26836", "DN MADE - Objet - Spécialité : Métiers d?art Ébénisterie : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26836&g_ta_cod=26836", 40.0, 10.0, 0.0),
(11003, "Public", "0940580V", "Lycée polyvalent de Cachan", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "BTS", "Lycée polyvalent de Cachan - BTS - Services - Support à l'action managériale", "BTS - Services", "", 33, 695, 485, 695, 0, 14, 6, 184, 89, 256, 153, 241, 0, 0, 0, 0, 0, 522, 0, 0, 0, 13, 5, 151, 69, 242, 144, 116, 187, 33, 24, 32, 0, 3.0, 16.0, 28.0, 0, 21, 30, 2, 10, 18, 3, 0, 17, 10, 3, 0, 0.0, 1, 3, 9, 2, 1, 15, 29, 9.09, 48.48, 84.85, 72.6875, 50.0, 96.6875, 6.69921875, 70.0, 90.890625, 0.0, 56.6953125, 33.296875, 10.0, 0.0, 0.0, 6.69921875, 3.2998046875, 33.296875, 10.0, 60.0, 30.0, 9.0, 3.0, 97.0, 62.0, 34.0, "Tous les candidats sauf les Bac professionnels", 93.0, "Bacheliers professionnels toutes séries", 164, "", 0, "Liste d'appel propre à cette formation", 37.0, "11427", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11427&g_ta_cod=11427", 6.0, 36.0, 58.0),
(11004, "Public", "0762964J", "Lycée Le Corbusier", "76", "Seine-Maritime", "Normandie", "Normandie", "Saint-Etienne-du-Rouvray", "formation sélective", "BTS", "Lycée Le Corbusier - BTS - Production - Bâtiment", "BTS - Production", "", 30, 457, 71, 455, 0, 50, 11, 126, 37, 103, 47, 176, 2, 0, 0, 2, 0, 274, 0, 0, 0, 47, 11, 109, 27, 88, 38, 30, 137, 25, 4, 25, 0, 4.0, 16.0, 22.0, 0, 8, 21, 3, 10, 8, 4, 0, 10, 8, 2, 1, 0.0, 1, 7, 3, 11, 2, 21, 21, 16.0, 64.0, 88.0, 16.0, 100.0, 100.0, 52.3984375, 38.09375, 84.0, 0.0, 47.59375, 38.09375, 9.5, 4.8, 0.0, 14.298828125, 4.7998046875, 47.59375, 33.296875, 38.09375, 14.298828125, 24.0, 7.0, 55.0, 27.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 86, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 41.0, "9759", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9759&g_ta_cod=9759", 16.0, 48.0, 36.0),
(11005, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Sciences et technologies", "Licence - Sciences - technologies - santé", "Sciences et technologies : Physique, chimie", 80, 2774, 1322, 2730, 0, 1748, 226, 60, 18, 11, 5, 911, 44, 6, 1, 0, 37, 2720, 20, 0, 0, 1747, 226, 60, 18, 11, 5, 902, 1105, 62, 27, 51, 10, 1.0, 26.0, 50.0, 0, 5, 35, 35, 0, 0, 27, 0, 10, 9, 15, 0, 1.0, 25, 0, 0, 0, 0, 33, 33, 1.61, 41.94, 80.65, 43.5, 94.296875, 94.296875, 0, 14.298828125, 56.5, 0.0, 28.59765625, 25.69921875, 42.8984375, 0.0, 2.9, 100.0, 71.390625, 0.0, 0.0, 0.0, 0.0, 720.0, 84.0, 2.0, 1.0, 377.0, "Tous les candidats", 7979.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 81.0, "31078", "Licence - Portail Sciences et technologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31073&g_ta_cod=31078", 97.0, 3.0, 0.0),
(11006, "Privé sous contrat d'association", "0755637V", "AFREP - Institut de formation en pédicure-podologie", "75", "Paris", "Ile-de-France", "Paris", "Paris 10e  Arrondissement", "formation sélective", "Autre formation", "AFREP - Institut de formation en pédicure-podologie - D.E Pédicure-Podologue", "D.E secteur sanitaire", "", 45, 492, 365, 275, 0, 69, 13, 26, 6, 6, 4, 174, 217, 58, 26, 10, 123, 247, 113, 0, 0, 69, 13, 26, 6, 5, 3, 147, 327, 35, 30, 19, 16, 11.0, 19.0, 31.0, 0, 5, 18, 12, 5, 1, 17, 0, 11, 6, 1, 0, 0.0, 3, 4, 0, 0, 0, 2, 10, 31.43, 54.29, 88.57, 85.6875, 11.099609375, 55.59375, 0, 27.796875, 51.3984375, 0.0, 61.09375, 33.296875, 5.599609375, 0.0, 0.0, 66.6875, 16.69921875, 27.796875, 22.19921875, 5.599609375, 0.0, 92.0, 20.0, 10.0, 7.0, 182.0, "Tous les candidats", 245.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "26459", "D.E Pédicure-Podologue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26459&g_ta_cod=26459", 69.0, 29.0, 3.0),
(11007, "Public", "0561311W", "IFSI CH Bretagne Sud Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bretagne Sud - D.E Infirmier", "D.E secteur sanitaire", "", 89, 2651, 2252, 2651, 0, 574, 88, 566, 111, 271, 60, 1240, 0, 0, 0, 0, 0, 2298, 0, 0, 0, 559, 81, 536, 104, 217, 46, 986, 510, 89, 82, 89, 0, 4.0, 67.0, 74.0, 0, 12, 47, 18, 28, 1, 42, 0, 5, 25, 17, 0, 0.0, 16, 25, 1, 0, 0, 40, 40, 4.49, 75.28, 83.15, 92.09375, 85.09375, 85.09375, 0, 25.5, 52.796875, 0.0, 10.599609375, 53.1953125, 36.1953125, 0.0, 0.0, 38.296875, 34.0, 59.59375, 53.1953125, 2.099609375, 2.099609375, 117.0, 25.0, 1.0, 1.0, 263.0, "Tous les candidats", 685.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "23386", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23377&g_ta_cod=23386", 45.0, 54.0, 1.0),
(11008, "Privé sous contrat d'association", "0594278E", "lycée E.P.I.D.", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "lycée E.P.I.D. - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 98, 7, 88, 0, 7, 1, 19, 3, 24, 10, 38, 10, 0, 2, 0, 8, 50, 4, 0, 0, 7, 1, 16, 2, 18, 6, 9, 46, 8, 1, 6, 2, 0.0, 6.0, 8.0, 0, 2, 3, 0, 1, 2, 5, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 0.0, 75.0, 100.0, 12.5, 100.0, 100.0, 0, 66.6875, 37.5, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 0.0, 4.0, 1.0, 17.0, 6.0, 11.0, "Tous les candidats sauf les Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 57.0, "7105", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7105&g_ta_cod=7105", 63.0, 13.0, 25.0),
(11009, "Public", "0142131R", "Lycée Jules Dumont d'Urville", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Jules Dumont d'Urville - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 22, 150, 13, 136, 0, 4, 0, 51, 8, 38, 14, 43, 14, 1, 5, 0, 8, 109, 1, 0, 0, 4, 0, 50, 7, 30, 9, 25, 73, 15, 1, 14, 1, 5.0, 11.0, 15.0, 0, 3, 13, 0, 4, 9, 2, 0, 2, 6, 2, 3, 0.0, 0, 2, 9, 8, 0, 12, 12, 33.33, 73.33, 100.0, 6.69921875, 92.296875, 92.296875, 61.5, 23.09765625, 86.6875, 0.0, 15.3984375, 46.1953125, 15.3984375, 23.1, 0.0, 0.0, 0.0, 30.796875, 15.3984375, 69.1875, 69.1875, 3.0, 0.0, 16.0, 4.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 80.0, "2926", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2926&g_ta_cod=2926", 7.0, 27.0, 67.0),
(11010, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues étrangères appliquées : Anglais-Espagnol", "Licence - Arts-lettres-langues", "Licence 1 LEA - Langues étrangères appliquées : Anglais-Espagnol", 440, 2278, 1756, 2247, 0, 1507, 357, 194, 66, 48, 23, 498, 31, 2, 2, 1, 26, 2229, 30, 0, 0, 1507, 357, 194, 66, 48, 23, 480, 1659, 440, 313, 415, 25, 378.0, 383.0, 402.0, 0, 93, 308, 268, 28, 12, 132, 1, 114, 117, 67, 9, 0.0, 179, 7, 7, 0, 0, 263, 263, 85.91, 87.05, 91.36, 71.09375, 85.390625, 85.390625, 0, 30.19921875, 70.0, 0.29998779296875, 37.0, 38.0, 21.796875, 2.9, 0.0, 87.0, 58.09375, 9.099609375, 2.2998046875, 3.89990234375, 2.2998046875, 1107.0, 275.0, 41.0, 22.0, 372.0, "Tous les candidats", 1794.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "4403", "Licence - Langues étrangères appliquées - Parcours Licence 1 LEA - Langues étrangères appliquées : Anglais-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4403&g_ta_cod=4403", 83.0, 13.0, 4.0),
(11011, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Humanités - Parcours Humanités et Sciences Sociales", "Licence - Sciences humaines et sociales", "Humanités et Sciences Sociales", 80, 668, 499, 551, 0, 373, 96, 50, 18, 30, 13, 98, 117, 15, 8, 13, 81, 549, 110, 0, 0, 373, 96, 50, 18, 30, 13, 96, 659, 73, 45, 44, 29, 43.0, 43.0, 59.0, 0, 8, 39, 26, 6, 7, 34, 0, 23, 10, 3, 3, 0.0, 12, 2, 2, 0, 0, 33, 33, 58.9, 58.9, 80.82, 61.59375, 84.59375, 84.59375, 0, 20.5, 53.3984375, 0.0, 59.0, 25.59765625, 7.69921875, 7.7, 0.0, 66.6875, 30.796875, 15.3984375, 5.099609375, 17.8984375, 5.099609375, 386.0, 98.0, 43.0, 22.0, 172.0, "Tous les candidats", 549.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "13926", "Licence - Humanités - Parcours Humanités et Sciences Sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13926&g_ta_cod=13926", 70.0, 12.0, 18.0),
(11012, "Public", "0511026N", "Institut Universitaire de Technologie de Reims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BUT", "Institut Universitaire de Technologie de Reims - BUT - Informatique", "BUT - Production", "", 130, 1288, 103, 1268, 0, 692, 129, 299, 87, 20, 2, 257, 20, 0, 12, 0, 8, 805, 3, 0, 0, 516, 92, 191, 51, 1, 0, 97, 496, 130, 10, 129, 1, 30.0, 118.0, 122.0, 0, 33, 115, 68, 47, 0, 15, 0, 20, 59, 32, 4, 0.0, 57, 38, 0, 0, 0, 72, 72, 23.08, 90.77, 93.85, 7.69921875, 62.59375, 62.59375, 0, 28.69921875, 88.5, 0.0, 17.3984375, 51.296875, 27.796875, 3.5, 0.0, 59.09375, 49.59375, 40.8984375, 33.0, 0.0, 0.0, 296.0, 60.0, 0.0, 0.0, 51.0, "Tous les candidats sauf les Bac technologiques", 443.0, "Bacheliers technologiques toutes séries", 200, "", 0, "Liste d'appel propre à cette formation", 51.0, "6091", "BUT - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6091&g_ta_cod=6091", 62.0, 38.0, 0.0),
(11013, "Public", "0330021U", "Lycée Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Montaigne - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 1719, 1178, 1719, 1249, 1519, 115, 1, 0, 1, 1, 198, 0, 0, 0, 0, 0, 838, 0, 402, 818, 821, 52, 0, 0, 0, 0, 17, 295, 47, 32, 47, 0, 11.0, 33.0, 44.0, 11, 3, 45, 45, 0, 0, 2, 1, 0, 0, 6, 35, 3.0, 44, 0, 0, 2, 2, 32, 32, 23.4, 70.21, 93.62, 68.09375, 71.09375, 71.09375, 4.3994140625, 6.69921875, 95.6875, 2.19970703125, 0.0, 0.0, 13.298828125, 77.8, 6.7, 100.0, 97.796875, 0.0, 0.0, 0.0, 0.0, 285.0, 16.0, 0.0, 0.0, 10.0, "Tous les candidats", 629.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "4277", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4277&g_ta_cod=4277", 100.0, 0.0, 0.0),
(11014, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, littératures & civilisations étrangères et régionales Allemand", "Licence - Arts-lettres-langues", "Langues, littératures & civilisations étrangères et régionales Allemand", 80, 59, 47, 42, 0, 29, 10, 3, 0, 0, 0, 10, 17, 1, 1, 1, 14, 42, 16, 0, 0, 29, 10, 3, 0, 0, 0, 10, 58, 8, 6, 3, 5, 3.0, 3.0, 6.0, 0, 0, 4, 4, 0, 0, 4, 0, 1, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 4, 4, 37.5, 37.5, 75.0, 75.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 25.0, 25.0, 50.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 30.0, 10.0, 1.0, 1.0, 23.0, "Tous les candidats", 42.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4750", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, littératures & civilisations étrangères et régionales Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4750&g_ta_cod=4750", 100.0, 0.0, 0.0),
(11015, "Public", "9740001H", "Lycée Leconte de Lisle", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "CPGE", "Lycée Leconte de Lisle - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 503, 149, 479, 256, 384, 93, 1, 1, 1, 0, 93, 24, 5, 0, 0, 19, 250, 3, 64, 248, 244, 57, 0, 0, 0, 0, 6, 185, 36, 12, 36, 0, 12.0, 36.0, 36.0, 8, 11, 36, 36, 0, 0, 0, 0, 0, 1, 14, 18, 3.0, 36, 0, 0, 5, 1, 36, 36, 33.33, 100.0, 100.0, 33.296875, 100.0, 100.0, 13.8984375, 30.59765625, 100.0, 0.0, 0.0, 2.7998046875, 38.8984375, 50.0, 8.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 179.0, 43.0, 0.0, 0.0, 6.0, "Tous les candidats", 253.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "11879", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11879&g_ta_cod=11879", 100.0, 0.0, 0.0),
(11016, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues étrangères appliquées - Parcours Anglais / Espagnol", "Licence - Arts-lettres-langues", "Anglais / Espagnol", 122, 1315, 1016, 1315, 0, 660, 275, 198, 93, 64, 32, 393, 0, 0, 0, 0, 0, 1300, 0, 0, 0, 660, 275, 198, 93, 64, 32, 378, 676, 116, 80, 116, 0, 3.0, 68.0, 103.0, 0, 26, 62, 38, 16, 8, 54, 0, 32, 24, 5, 1, 0.0, 19, 6, 5, 0, 0, 26, 56, 2.59, 58.62, 88.79, 69.0, 41.8984375, 90.296875, 0, 41.8984375, 53.3984375, 0.0, 51.59375, 38.6953125, 8.099609375, 1.6, 0.0, 61.296875, 30.59765625, 25.796875, 9.69921875, 12.8984375, 8.099609375, 357.0, 158.0, 31.0, 17.0, 189.0, "Tous les candidats", 944.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "28075", "Licence - Langues étrangères appliquées - Parcours Anglais / Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28075&g_ta_cod=28075", 53.0, 26.0, 19.0),
(11017, "Public", "0450092F", "I.U.T d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 12, 156, 9, 156, 0, 0, 0, 143, 31, 0, 0, 13, 0, 0, 0, 0, 0, 79, 0, 0, 0, 0, 0, 74, 17, 0, 0, 5, 46, 4, 1, 4, 0, 1.0, 4.0, 4.0, 0, 1, 4, 0, 4, 0, 0, 0, 0, 0, 2, 2, 0.0, 0, 4, 0, 0, 0, 1, 1, 25.0, 100.0, 100.0, 25.0, 25.0, 25.0, 0, 25.0, 100.0, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 346.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 50.0, "358", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=358", 0.0, 100.0, 0.0),
(11018, "Public", "0740017S", "Lycée Charles Poncet", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Cluses", "formation sélective", "BTS", "Lycée Charles Poncet - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 22, 231, 21, 231, 0, 26, 1, 79, 6, 54, 10, 72, 0, 0, 0, 0, 0, 216, 0, 0, 0, 26, 1, 79, 6, 54, 10, 57, 115, 13, 0, 13, 0, 2.0, 12.0, 12.0, 0, 4, 11, 2, 2, 7, 2, 0, 6, 3, 1, 1, 0.0, 0, 1, 4, 5, 0, 10, 10, 15.38, 92.31, 92.31, 0.0, 90.890625, 90.890625, 45.5, 36.3984375, 84.59375, 0.0, 54.5, 27.296875, 9.099609375, 9.1, 0.0, 18.19921875, 0.0, 18.19921875, 9.099609375, 63.59375, 36.3984375, 10.0, 1.0, 42.0, 9.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 87, "Liste d'appel propre à cette formation", 67.0, "8870", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8870&g_ta_cod=8870", 15.0, 31.0, 54.0),
(11019, "Public", "0740003B", "Lycée Berthollet", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "CPGE", "Lycée Berthollet - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 622, 281, 621, 438, 550, 31, 0, 0, 0, 0, 71, 1, 0, 0, 0, 1, 497, 0, 271, 471, 476, 23, 0, 0, 0, 0, 21, 238, 23, 8, 23, 0, 3.0, 10.0, 23.0, 2, 0, 22, 22, 0, 0, 1, 0, 1, 9, 9, 3, 0.0, 21, 0, 0, 5, 1, 20, 20, 13.04, 43.48, 100.0, 34.796875, 90.890625, 90.890625, 22.69921875, 0.0, 95.6875, 0.0, 4.5, 40.8984375, 40.8984375, 13.6, 0.0, 100.0, 95.5, 0.0, 0.0, 0.0, 0.0, 234.0, 18.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "31576", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31300&g_ta_cod=31576", 100.0, 0.0, 0.0),
(11020, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Informatique", "Licence - Sciences - technologies - santé", "", 70, 1990, 271, 1990, 0, 1136, 398, 255, 130, 17, 8, 582, 0, 0, 0, 0, 0, 1990, 0, 0, 0, 1136, 398, 255, 130, 17, 8, 582, 234, 70, 19, 70, 0, 39.0, 58.0, 63.0, 0, 16, 49, 44, 4, 1, 21, 0, 27, 15, 7, 0, 0.0, 20, 1, 1, 0, 0, 22, 44, 55.71, 82.86, 90.0, 27.09765625, 44.8984375, 89.796875, 0, 32.6953125, 70.0, 0.0, 55.09375, 30.59765625, 14.298828125, 0.0, 0.0, 89.796875, 40.796875, 8.19921875, 2.0, 2.0, 2.0, 179.0, 55.0, 2.0, 1.0, 41.0, "Tous les candidats", 263.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "15418", "Licence - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15418&g_ta_cod=15418", 91.0, 6.0, 1.0),
(11021, "Privé sous contrat d'association", "0922563L", "ESILV - Paris la Défense", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Courbevoie", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation Bac + 3 - Série générale, STI2D, STMG, STAV, STL, ST2S et bacs pros identifiés - Bachelors Technologiques » et « Bachelors hybrides Technologie et Management »", "Formations  des écoles d'ingénieurs", "Bachelor « Technologie et Management »", 30, 290, 50, 261, 0, 216, 17, 44, 10, 0, 0, 1, 29, 18, 9, 0, 2, 163, 11, 0, 0, 137, 6, 26, 3, 0, 0, 0, 170, 24, 5, 17, 7, 15.0, 17.0, 22.0, 0, 2, 24, 20, 4, 0, 0, 0, 11, 10, 3, 0, 0.0, 9, 4, 0, 0, 0, 14, 22, 62.5, 70.83, 91.67, 20.796875, 58.296875, 91.6875, 0, 8.298828125, 100.0, 0.0, 45.796875, 41.6953125, 12.5, 0.0, 0.0, 83.296875, 37.5, 16.69921875, 16.69921875, 0.0, 0.0, 142.0, 8.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "26469", "Formation Bac + 3 - Série générale, STI2D, STMG, STAV, STL, ST2S et bacs pros identifiés - Bachelors Technologiques » et « Bachelors hybrides Technologie et Management »", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26463&g_ta_cod=26469", 83.0, 17.0, 0.0),
(11022, "Public", "0420041S", "Lycée Claude Fauriel", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "CPGE", "Lycée Claude Fauriel - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 1427, 517, 1427, 1013, 982, 135, 3, 0, 0, 0, 442, 0, 0, 0, 0, 0, 1102, 0, 817, 1062, 969, 130, 0, 0, 0, 0, 133, 604, 86, 30, 86, 0, 14.0, 46.0, 75.0, 21, 11, 74, 74, 0, 0, 12, 0, 1, 26, 33, 14, 0.0, 73, 0, 0, 3, 2, 57, 57, 16.28, 53.49, 87.21, 34.8984375, 77.0, 77.0, 4.099609375, 14.8984375, 86.0, 0.0, 1.39990234375, 35.09375, 44.59375, 18.9, 0.0, 100.0, 98.59375, 0.0, 0.0, 0.0, 0.0, 531.0, 78.0, 0.0, 0.0, 73.0, "Tous les candidats", 875.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "5280", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5280&g_ta_cod=5280", 100.0, 0.0, 0.0),
(11023, "Public", "0870015U", "Lycée Gay-Lussac", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "CPGE", "Lycée Gay-Lussac - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 321, 227, 318, 180, 276, 40, 1, 0, 0, 0, 41, 3, 1, 0, 0, 2, 258, 2, 163, 247, 255, 37, 0, 0, 0, 0, 3, 206, 38, 28, 37, 1, 14.0, 35.0, 38.0, 13, 4, 37, 37, 0, 0, 1, 1, 0, 6, 18, 12, 0.0, 36, 0, 0, 8, 7, 26, 26, 36.84, 92.11, 100.0, 73.6875, 70.296875, 70.296875, 21.59765625, 10.798828125, 97.390625, 2.69970703125, 0.0, 16.19921875, 48.59375, 32.4, 0.0, 100.0, 97.296875, 0.0, 0.0, 0.0, 0.0, 203.0, 26.0, 0.0, 0.0, 3.0, "Tous les candidats", 254.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "10663", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10663&g_ta_cod=10663", 100.0, 0.0, 0.0),
(11024, "Public", "0595884A", "Lycée André Lurçat", "59", "Nord", "Hauts-de-France", "Lille", "Maubeuge", "formation sélective", "BTS", "Lycée André Lurçat - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 35, 159, 65, 152, 0, 6, 4, 32, 23, 62, 54, 52, 7, 0, 0, 5, 2, 152, 0, 0, 0, 6, 4, 32, 23, 62, 54, 52, 95, 28, 11, 28, 0, 5.0, 26.0, 28.0, 0, 21, 23, 2, 7, 14, 5, 0, 19, 3, 1, 0, 0.0, 0, 1, 3, 13, 6, 23, 23, 17.86, 92.86, 100.0, 39.296875, 100.0, 100.0, 56.5, 91.296875, 82.09375, 0.0, 82.59375, 13.0, 4.2998046875, 0.0, 0.0, 8.69921875, 0.0, 30.3984375, 4.2998046875, 60.8984375, 13.0, 6.0, 4.0, 59.0, 51.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 70.0, "7166", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7166&g_ta_cod=7166", 18.0, 25.0, 57.0),
(11025, "Public", "0590184E", "Lycée Jean Rostand", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "BTS - Services", "", 13, 393, 158, 393, 0, 143, 25, 41, 10, 31, 12, 178, 0, 0, 0, 0, 0, 204, 0, 0, 0, 105, 15, 20, 2, 15, 6, 64, 46, 11, 5, 11, 0, 1.0, 8.0, 9.0, 0, 3, 9, 9, 0, 0, 2, 0, 0, 5, 4, 0, 0.0, 9, 0, 0, 0, 0, 7, 7, 9.09, 72.73, 81.82, 45.5, 77.796875, 77.796875, 0, 33.296875, 81.796875, 0.0, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 30.0, 5.0, 6.0, 3.0, 6.0, "Tous les candidats sauf les Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 16.0, "6819", "BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6819&g_ta_cod=6819", 100.0, 0.0, 0.0),
(11026, "Public", "0932268K", "Institut National du Patrimoine (département des restaurateurs)", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "Autre formation", "Institut National du Patrimoine (département des restaurateurs) - Conservation-restauration des biens culturels - spécialité Arts textiles", "Formations Bac + 5", "spécialité Arts textiles", 3, 10, 9, 10, 0, 1, 1, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 0, 2.0, 2.0, 2.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 2.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "28360", "Conservation-restauration des biens culturels - spécialité Arts textiles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28360&g_ta_cod=28360", 100.0, 0.0, 0.0),
(11027, "Privé sous contrat d'association", "0593071T", "Lycée Deforest De Lewarde", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "BTS", "Lycée Deforest De Lewarde - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 223, 102, 212, 0, 16, 5, 32, 14, 20, 10, 144, 11, 0, 1, 1, 9, 212, 6, 0, 0, 16, 5, 32, 14, 20, 10, 144, 84, 13, 5, 13, 0, 1.0, 11.0, 12.0, 0, 2, 9, 2, 3, 4, 4, 0, 8, 1, 0, 0, 0.0, 0, 0, 1, 2, 1, 9, 9, 7.69, 84.62, 92.31, 38.5, 100.0, 100.0, 22.19921875, 22.19921875, 69.1875, 0.0, 88.890625, 11.099609375, 0.0, 0.0, 0.0, 22.19921875, 0.0, 33.296875, 0.0, 44.3984375, 11.099609375, 14.0, 5.0, 14.0, 6.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 44.0, "6980", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6980&g_ta_cod=6980", 46.0, 23.0, 31.0),
(11028, "Public", "0720896H", "Lycée Militaire Prytanee National", "72", "Sarthe", "Pays de la Loire", "Nantes", "La Flèche", "formation sélective", "CPGE", "Lycée Militaire Prytanee National - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 30, 355, 64, 355, 355, 291, 19, 2, 1, 0, 0, 62, 0, 0, 0, 0, 0, 355, 0, 355, 0, 291, 19, 2, 1, 0, 0, 62, 87, 30, 6, 30, 0, 8.0, 29.0, 30.0, 30, 2, 29, 29, 0, 0, 1, 0, 0, 4, 20, 4, 1.0, 29, 0, 0, 5, 2, 7, 7, 26.67, 96.67, 100.0, 20.0, 24.09765625, 24.09765625, 17.19921875, 6.8994140625, 96.6875, 0.0, 0.0, 13.798828125, 69.0, 13.8, 3.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 83.0, 8.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "32435", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32435&g_ta_cod=32435", 100.0, 0.0, 0.0),
(11029, "Public", "0592602H", "I.U.T. de Lille A", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "BUT", "I.U.T. de Lille A - BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Matériaux et produits formulés", "BUT - Production", "Analyse, contrôle-qualité, environnement - Matériaux et produits formulés", 90, 1006, 547, 940, 0, 553, 85, 134, 21, 1, 0, 252, 66, 9, 15, 1, 41, 789, 18, 0, 0, 514, 70, 99, 16, 0, 0, 176, 499, 74, 40, 66, 8, 7.0, 50.0, 71.0, 0, 7, 57, 38, 19, 0, 17, 0, 15, 22, 14, 5, 1.0, 29, 13, 0, 0, 0, 36, 36, 9.46, 67.57, 95.95, 54.09375, 63.1953125, 63.1953125, 0, 12.298828125, 77.0, 0.0, 26.296875, 38.59375, 24.59765625, 8.8, 1.8, 66.6875, 50.8984375, 33.296875, 22.796875, 0.0, 0.0, 258.0, 36.0, 0.0, 0.0, 146.0, "Tous les candidats sauf les Bac technologiques", 677.0, "Bacheliers technologiques toutes séries", 111, "", 0, "Liste d'appel propre à cette formation", 84.0, "6885", "BUT - Chimie Parcours : Analyse, contrôle-qualité, environnement - Matériaux et produits formulés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6885&g_ta_cod=6885", 72.0, 28.0, 0.0),
(11030, "Privé sous contrat d'association", "0450759F", "Lycée professionnel L Abbaye", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Beaugency", "formation sélective", "BTS", "Lycée professionnel L Abbaye - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 25, 236, 110, 104, 0, 9, 2, 34, 11, 36, 15, 25, 132, 8, 36, 38, 50, 29, 30, 0, 0, 4, 1, 15, 4, 10, 4, 0, 66, 17, 7, 5, 12, 5.0, 5.0, 10.0, 0, 4, 9, 0, 6, 3, 8, 0, 5, 3, 1, 0, 0.0, 0, 2, 2, 0, 0, 9, 9, 29.41, 29.41, 58.82, 41.1953125, 100.0, 100.0, 0, 44.3984375, 52.8984375, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 0.0, 0.0, 66.6875, 22.19921875, 33.296875, 22.19921875, 5.0, 1.0, 21.0, 5.0, 14.0, "Tous les candidats sauf les Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 28.0, "17571", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17571&g_ta_cod=17571", 12.0, 59.0, 29.0),
(11031, "Public", "0040027H", "Lycée Alexandra David Neel", "04", "Alpes-de-Haute-Provence", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Digne-les-Bains", "formation sélective", "BTS", "Lycée Alexandra David Neel - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 267, 120, 228, 0, 19, 3, 45, 20, 27, 8, 137, 39, 6, 4, 6, 23, 95, 12, 0, 0, 17, 2, 41, 17, 22, 7, 15, 97, 15, 8, 12, 3, 4.0, 12.0, 13.0, 0, 5, 11, 3, 6, 2, 4, 0, 6, 4, 1, 0, 0.0, 2, 3, 0, 5, 1, 11, 11, 26.67, 80.0, 86.67, 53.296875, 100.0, 100.0, 45.5, 45.5, 73.296875, 0.0, 54.5, 36.3984375, 9.099609375, 0.0, 0.0, 27.296875, 18.19921875, 54.5, 27.296875, 18.19921875, 0.0, 20.0, 2.0, 17.0, 6.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 41.0, "2161", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2161&g_ta_cod=2161", 20.0, 53.0, 27.0),
(11032, "Privé sous contrat d'association", "0690574Z", "Lycée Chevreul Lestonnac", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "BTS", "Lycée Chevreul Lestonnac - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 283, 225, 227, 0, 24, 3, 81, 21, 71, 26, 51, 56, 0, 0, 29, 27, 199, 10, 0, 0, 24, 3, 81, 21, 58, 17, 36, 128, 30, 26, 24, 6, 6.0, 21.0, 26.0, 0, 10, 24, 4, 11, 9, 6, 0, 14, 7, 2, 1, 0.0, 2, 4, 4, 3, 3, 16, 16, 20.0, 70.0, 86.67, 86.6875, 66.6875, 66.6875, 12.5, 41.6953125, 80.0, 0.0, 58.296875, 29.19921875, 8.298828125, 4.2, 0.0, 16.69921875, 8.298828125, 45.796875, 16.69921875, 37.5, 16.69921875, 16.0, 3.0, 48.0, 16.0, 15.0, "Tous les candidats sauf les Bac professionnels", 87.0, "Bacheliers professionnels toutes séries", 61, "", 0, "Liste d'appel propre à cette formation", 65.0, "8294", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8294&g_ta_cod=8294", 20.0, 40.0, 40.0),
(11033, "Public", "0100684P", "Iut De Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BUT", "Iut De Troyes - BUT - Techniques de commercialisation Parcours : Marketing Digital, E-Business et Entrepreneuriat - Business International: Achat et Vente - Marketing et Management du Point de Vente - Business Développement et Management de la Relation Client", "BUT - Service", "Marketing Digital, E-Business et Entrepreneuriat - Business International: Achat et Vente - Marketing et Management du Point de Vente - Business Développement et Management de la Relation Client", 140, 1879, 935, 1879, 0, 933, 149, 575, 180, 59, 26, 312, 0, 0, 0, 0, 0, 1272, 0, 0, 0, 716, 96, 372, 108, 3, 1, 181, 620, 136, 62, 136, 0, 10.0, 112.0, 130.0, 0, 32, 118, 56, 62, 0, 18, 0, 15, 78, 23, 2, 0.0, 48, 55, 0, 0, 0, 68, 68, 7.35, 82.35, 95.59, 45.59375, 57.59375, 57.59375, 0, 27.09765625, 86.796875, 0.0, 12.69921875, 66.09375, 19.5, 1.7, 0.0, 47.5, 40.6953125, 52.5, 46.59375, 0.0, 0.0, 306.0, 56.0, 3.0, 1.0, 69.0, "Tous les candidats sauf les Bac technologiques", 565.0, "Bacheliers technologiques toutes séries", 343, "", 0, "Liste d'appel propre à cette formation", 48.0, "2427", "BUT - Techniques de commercialisation Parcours : Marketing Digital, E-Business et Entrepreneuriat - Business International: Achat et Vente - Marketing et Management du Point de Vente - Business Développement et Management de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2427&g_ta_cod=2427", 48.0, 52.0, 0.0),
(11034, "Public", "0801853E", "Lycée Jean Racine", "80", "Somme", "Hauts-de-France", "Amiens", "Montdidier", "formation sélective", "BTS", "Lycée Jean Racine - BTS - Services - Gestion de la PME", "BTS - Services", "", 25, 170, 107, 169, 0, 17, 6, 55, 23, 38, 16, 59, 1, 0, 0, 0, 1, 118, 0, 0, 0, 14, 5, 49, 22, 34, 14, 21, 72, 23, 15, 23, 0, 12.0, 21.0, 22.0, 0, 9, 21, 2, 8, 11, 2, 0, 9, 10, 2, 0, 0.0, 1, 5, 6, 15, 11, 21, 21, 52.17, 91.3, 95.65, 65.1875, 100.0, 100.0, 71.390625, 42.8984375, 91.296875, 0.0, 42.8984375, 47.59375, 9.5, 0.0, 0.0, 9.5, 4.7998046875, 38.09375, 23.796875, 52.3984375, 28.59765625, 9.0, 3.0, 35.0, 14.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 44.0, "10244", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10244&g_ta_cod=10244", 9.0, 35.0, 57.0),
(11035, "Public", "9740054R", "Lycée Lislet Geoffroy", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée Lislet Geoffroy - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 30, 201, 20, 195, 0, 7, 2, 91, 42, 58, 32, 39, 6, 1, 0, 4, 1, 138, 4, 0, 0, 6, 1, 83, 37, 40, 23, 9, 109, 29, 2, 27, 1, 4.0, 24.0, 27.0, 0, 17, 28, 1, 18, 9, 1, 0, 10, 14, 4, 0, 0.0, 1, 11, 6, 13, 1, 27, 27, 13.79, 82.76, 93.1, 6.8994140625, 96.390625, 96.390625, 46.3984375, 60.6953125, 96.59375, 0.0, 35.6953125, 50.0, 14.298828125, 0.0, 0.0, 3.599609375, 3.599609375, 64.296875, 39.296875, 32.09375, 21.3984375, 7.0, 1.0, 38.0, 24.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 61.0, "11904", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11904&g_ta_cod=11904", 3.0, 66.0, 31.0),
(11036, "Public", "0211139Z", "I.U.T de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BUT", "I.U.T de Dijon - BUT - Génie biologique parcours biologie médicale et biotechnologie", "BUT - Production", "", 52, 3027, 2234, 3027, 0, 1709, 224, 530, 108, 13, 2, 775, 0, 0, 0, 0, 0, 2331, 0, 0, 0, 1417, 170, 388, 73, 0, 0, 526, 374, 50, 38, 50, 0, 10.0, 36.0, 46.0, 0, 6, 43, 20, 23, 0, 7, 0, 0, 12, 22, 9, 0.0, 20, 23, 0, 0, 0, 25, 25, 20.0, 72.0, 92.0, 76.0, 58.09375, 58.09375, 0, 14.0, 86.0, 0.0, 0.0, 27.8984375, 51.1953125, 20.9, 0.0, 46.5, 46.5, 53.5, 53.5, 0.0, 0.0, 174.0, 24.0, 0.0, 0.0, 60.0, "Tous les candidats sauf les Bac technologiques", 379.0, "Bacheliers technologiques toutes séries", 211, "", 0, "Liste d'appel propre à cette formation", 19.0, "3238", "BUT - Génie biologique parcours biologie médicale et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3238&g_ta_cod=3238", 52.0, 48.0, 0.0),
(11037, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence_Las", "Université de Tours - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 40, 2115, 1792, 2115, 0, 1175, 240, 303, 87, 66, 31, 571, 0, 0, 0, 0, 0, 2108, 0, 0, 0, 1175, 240, 303, 87, 66, 31, 564, 260, 38, 32, 38, 0, 1.0, 23.0, 33.0, 0, 2, 36, 28, 7, 1, 2, 0, 0, 10, 19, 5, 2.0, 28, 7, 1, 0, 0, 33, 33, 2.63, 60.53, 86.84, 84.1875, 91.6875, 91.6875, 0, 5.599609375, 94.6875, 0.0, 0.0, 27.796875, 52.796875, 13.9, 5.6, 77.796875, 77.796875, 19.3984375, 19.3984375, 2.7998046875, 2.7998046875, 194.0, 21.0, 10.0, 9.0, 35.0, "Tous les candidats", 940.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "27693", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27692&g_ta_cod=27693", 74.0, 24.0, 3.0),
(11038, "Privé sous contrat d'association", "9720615L", "Lycée AMEP", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée AMEP - BTS - Services - Professions immobilières", "BTS - Services", "", 30, 215, 114, 189, 0, 85, 25, 48, 16, 24, 13, 32, 26, 3, 2, 6, 15, 72, 11, 0, 0, 41, 13, 21, 7, 1, 0, 9, 59, 7, 3, 5, 2, 1.0, 5.0, 6.0, 0, 1, 4, 3, 1, 0, 3, 0, 3, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 3, 3, 14.29, 71.43, 85.71, 42.8984375, 75.0, 75.0, 0, 25.0, 57.09375, 0.0, 75.0, 0.0, 25.0, 0.0, 0.0, 75.0, 25.0, 25.0, 0.0, 0.0, 0.0, 27.0, 8.0, 2.0, 0.0, 15.0, "Tous les candidats sauf les Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 37.0, "14066", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14066&g_ta_cod=14066", 71.0, 29.0, 0.0),
(11039, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 100, 478, 210, 377, 0, 257, 37, 26, 2, 9, 5, 85, 101, 20, 12, 5, 64, 371, 96, 0, 0, 257, 37, 26, 2, 9, 5, 79, 428, 90, 40, 54, 36, 32.0, 54.0, 81.0, 0, 13, 62, 54, 6, 2, 28, 0, 26, 23, 13, 0, 0.0, 33, 2, 1, 0, 0, 52, 52, 35.56, 60.0, 90.0, 44.3984375, 83.890625, 83.890625, 0, 21.0, 68.890625, 0.0, 41.8984375, 37.09375, 21.0, 0.0, 0.0, 87.09375, 53.1953125, 9.69921875, 3.19970703125, 3.19970703125, 1.599853515625, 257.0, 38.0, 11.0, 8.0, 128.0, "Tous les candidats", 370.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "3269", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3269&g_ta_cod=3269", 76.0, 16.0, 9.0),
(11040, "Public", "0212198A", "AgroSup Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 25, 2710, 1023, 2710, 0, 2209, 209, 0, 0, 0, 0, 501, 0, 0, 0, 0, 0, 1707, 0, 0, 0, 1542, 108, 0, 0, 0, 0, 165, 718, 24, 20, 24, 0, 4.0, 15.0, 22.0, 0, 1, 21, 21, 0, 0, 3, 0, 0, 1, 12, 7, 1.0, 21, 0, 0, 0, 0, 4, 4, 16.67, 62.5, 91.67, 83.296875, 19.0, 19.0, 0, 4.7998046875, 87.5, 0.0, 0.0, 4.7998046875, 57.09375, 33.3, 4.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 662.0, 60.0, 0.0, 0.0, 56.0, "Autres candidats", 10482.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 47.0, "11", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=11", 100.0, 0.0, 0.0),
(11041, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Economie et gestion - Parcours Classique", "Licence - Droit-économie-gestion", "Classique", 120, 989, 438, 848, 0, 505, 111, 82, 26, 23, 17, 238, 141, 19, 8, 9, 105, 837, 107, 0, 0, 505, 111, 82, 26, 23, 17, 227, 694, 120, 49, 78, 42, 8.0, 72.0, 92.0, 0, 19, 60, 43, 6, 11, 60, 0, 32, 17, 6, 5, 0.0, 20, 2, 6, 0, 0, 46, 46, 6.67, 60.0, 76.67, 40.796875, 76.6875, 76.6875, 0, 31.69921875, 50.0, 0.0, 53.296875, 28.296875, 10.0, 8.3, 0.0, 71.6875, 33.296875, 10.0, 3.2998046875, 18.296875, 10.0, 390.0, 83.0, 24.0, 17.0, 248.0, "Tous les candidats", 836.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "10716", "Licence - Economie et gestion - Parcours Classique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10716&g_ta_cod=10716", 76.0, 14.0, 10.0),
(11042, "Privé sous contrat d'association", "0211090W", "Lycée saint bénigne", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "CPGE", "Lycée saint bénigne - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 29, 178, 78, 164, 70, 150, 13, 1, 0, 0, 0, 13, 14, 9, 0, 0, 5, 153, 5, 70, 137, 140, 9, 0, 0, 0, 0, 13, 146, 23, 9, 20, 3, 20.0, 20.0, 22.0, 7, 1, 23, 23, 0, 0, 0, 0, 5, 12, 5, 1, 0.0, 18, 0, 0, 0, 0, 15, 15, 86.96, 86.96, 95.65, 39.09375, 65.1875, 65.1875, 0, 4.2998046875, 100.0, 0.0, 21.69921875, 52.1953125, 21.69921875, 4.3, 0.0, 100.0, 78.296875, 0.0, 0.0, 0.0, 0.0, 140.0, 8.0, 0.0, 0.0, 6.0, "Tous les candidats", 141.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "31870", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31870&g_ta_cod=31870", 100.0, 0.0, 0.0),
(11043, "Public", "0440021J", "Lycée général Clemenceau", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "Lycée général Clemenceau - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 48, 733, 343, 733, 456, 623, 38, 1, 1, 0, 0, 109, 0, 0, 0, 0, 0, 609, 0, 179, 601, 561, 35, 0, 0, 0, 0, 48, 315, 46, 18, 46, 0, 11.0, 29.0, 44.0, 4, 7, 42, 42, 0, 0, 4, 0, 0, 6, 21, 15, 0.0, 42, 0, 0, 1, 0, 24, 24, 23.91, 63.04, 95.65, 39.09375, 57.09375, 57.09375, 2.39990234375, 16.69921875, 91.296875, 0.0, 0.0, 14.298828125, 50.0, 35.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 287.0, 25.0, 0.0, 0.0, 28.0, "Tous les candidats", 472.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "31333", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31333&g_ta_cod=31333", 100.0, 0.0, 0.0),
(11044, "Public", "0300950V", "Lycée Albert EINSTEIN", "30", "Gard", "Occitanie", "Montpellier", "Bagnols-sur-Cèze", "formation sélective", "BTS", "Lycée Albert EINSTEIN - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 238, 155, 238, 0, 12, 4, 62, 22, 84, 44, 80, 0, 0, 0, 0, 0, 232, 0, 0, 0, 12, 4, 62, 22, 81, 43, 77, 44, 15, 12, 15, 0, 8.0, 12.0, 14.0, 0, 11, 15, 0, 7, 8, 0, 0, 6, 6, 3, 0, 0.0, 0, 3, 6, 11, 10, 14, 14, 53.33, 80.0, 93.33, 80.0, 93.296875, 93.296875, 73.296875, 73.296875, 100.0, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 0.0, 0.0, 46.6953125, 20.0, 53.296875, 40.0, 2.0, 1.0, 13.0, 9.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 28.0, "3996", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3996&g_ta_cod=3996", 0.0, 47.0, 53.0),
(11045, "Privé sous contrat d'association", "0641441U", "Lycée Stella Maris", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation sélective", "BTS", "Lycée Stella Maris - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 470, 211, 467, 0, 111, 19, 178, 35, 89, 23, 89, 3, 0, 0, 0, 3, 449, 2, 0, 0, 111, 19, 178, 35, 75, 18, 85, 194, 27, 12, 26, 1, 3.0, 13.0, 22.0, 0, 1, 20, 6, 10, 4, 7, 0, 9, 7, 3, 1, 0.0, 2, 5, 4, 0, 0, 17, 17, 11.11, 48.15, 81.48, 44.3984375, 85.0, 85.0, 0, 5.0, 74.09375, 0.0, 45.0, 35.0, 15.0, 5.0, 0.0, 30.0, 10.0, 50.0, 25.0, 20.0, 20.0, 46.0, 7.0, 35.0, 8.0, 38.0, "Tous les candidats sauf les Bac professionnels", 170.0, "Bacheliers professionnels toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 46.0, "7755", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7755&g_ta_cod=7755", 37.0, 44.0, 19.0),
(11046, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 3 Paul Sabatier - Licence - Physique - Parcours Physique - L1 Antenne Tarbes", "Licence - Sciences - technologies - santé", "Physique - L1 Antenne Tarbes", 40, 381, 135, 380, 0, 281, 44, 10, 1, 0, 0, 89, 1, 0, 0, 0, 1, 380, 1, 0, 0, 281, 44, 10, 1, 0, 0, 89, 260, 38, 13, 38, 0, 9.0, 29.0, 37.0, 0, 4, 33, 33, 0, 0, 5, 0, 5, 12, 14, 2, 0.0, 28, 0, 0, 0, 0, 8, 8, 23.68, 76.32, 97.37, 34.1953125, 24.19921875, 24.19921875, 0, 12.099609375, 86.796875, 0.0, 15.19921875, 36.3984375, 42.3984375, 6.1, 0.0, 100.0, 84.796875, 0.0, 0.0, 0.0, 0.0, 212.0, 32.0, 0.0, 0.0, 47.0, "Tous les candidats", 334.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "17967", "Licence - Physique - Parcours Physique - L1 Antenne Tarbes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17967&g_ta_cod=17967", 100.0, 0.0, 0.0),
(11047, "Privé sous contrat d'association", "0332282B", "ISNAB", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Villenave-d'Ornon", "formation sélective", "BTS", "ISNAB - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 45, 199, 45, 170, 0, 39, 5, 61, 13, 19, 4, 51, 29, 10, 4, 0, 15, 134, 18, 0, 0, 36, 5, 52, 11, 14, 2, 32, 124, 27, 5, 18, 9, 11.0, 18.0, 24.0, 0, 3, 16, 11, 5, 0, 11, 0, 13, 3, 0, 0, 0.0, 2, 1, 0, 0, 0, 14, 14, 40.74, 66.67, 88.89, 18.5, 87.5, 87.5, 0, 18.796875, 59.296875, 0.0, 81.296875, 18.796875, 0.0, 0.0, 0.0, 68.796875, 12.5, 31.296875, 6.2998046875, 0.0, 0.0, 35.0, 4.0, 14.0, 2.0, 37.0, "Tous les candidats sauf les Bac professionnels", 116.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 78.0, "4435", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4435&g_ta_cod=4435", 67.0, 22.0, 11.0),
(11048, "Privé sous contrat d'association", "0754431J", "ECE Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 365, 5346, 1179, 5346, 0, 5339, 275, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 5103, 0, 0, 0, 5096, 231, 0, 0, 0, 0, 7, 3879, 414, 82, 414, 0, 345.0, 369.0, 413.0, 0, 26, 412, 412, 0, 0, 2, 0, 37, 187, 175, 13, 0.0, 375, 0, 0, 0, 0, 113, 352, 83.33, 89.13, 99.76, 19.796875, 27.3984375, 85.390625, 0, 6.2998046875, 99.5, 0.0, 9.0, 45.3984375, 42.5, 3.2, 0.0, 100.0, 91.0, 0.0, 0.0, 0.0, 0.0, 3874.0, 195.0, 0.0, 0.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "103", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=99&g_ta_cod=103", 100.0, 0.0, 0.0),
(11049, "Public", "0220065B", "Lycée Joseph Savina", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Tréguier", "formation sélective", "Autre formation", "Lycée Joseph Savina - DN MADE - Matériaux - Spécialité : Hybridations des matières et des techniques appliquées au Design", "DN MADE", "Spécialité : Hybridations des matières et des techniques appliquées au Design", 15, 40, 26, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 15, 4, 3, 18, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18, 7, 4, 0, 3, 0.0, 0.0, 2.0, 0, 0, 3, 1, 1, 1, 4, 0, 2, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0.0, 28.57, 57.09375, 0.0, 0.0, 0, 0.0, 42.8984375, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 33.296875, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 3.0, 0.0, 4.0, 1.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34893", "DN MADE - Matériaux - Spécialité : Hybridations des matières et des techniques appliquées au Design", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34893&g_ta_cod=34893", 71.0, 14.0, 14.0),
(11050, "Public", "0260998U", "I.U.T de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BUT", "I.U.T de Valence - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", 168, 2382, 1118, 2375, 0, 1332, 226, 641, 187, 40, 19, 362, 7, 0, 5, 0, 2, 1798, 1, 0, 0, 1115, 158, 467, 113, 1, 1, 215, 950, 153, 67, 153, 0, 14.0, 111.0, 138.0, 0, 32, 134, 92, 42, 0, 19, 1, 24, 77, 29, 3, 0.0, 77, 32, 0, 0, 0, 123, 123, 9.15, 72.55, 90.2, 43.796875, 91.796875, 91.796875, 0, 23.8984375, 87.59375, 0.699951171875, 17.8984375, 57.5, 21.59765625, 2.2, 0.0, 68.6875, 57.5, 31.296875, 23.8984375, 0.0, 0.0, 496.0, 110.0, 1.0, 1.0, 123.0, "Tous les candidats sauf les Bac technologiques", 884.0, "Bacheliers technologiques toutes séries", 496, "", 0, "Liste d'appel propre à cette formation", 58.0, "3648", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3648&g_ta_cod=3648", 69.0, 31.0, 0.0),
(11051, "Public", "0080008R", "Lycée François Bazin", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BTS", "Lycée François Bazin - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 9, 47, 4, 44, 0, 2, 2, 9, 1, 11, 1, 22, 3, 0, 0, 2, 1, 29, 1, 0, 0, 2, 2, 9, 1, 10, 1, 8, 29, 4, 0, 3, 1, 0.0, 2.0, 4.0, 0, 0, 2, 0, 0, 2, 2, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 0, 0, 0.0, 50.0, 100.0, 0.0, 0.0, 0.0, 0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 2.0, 2.0, 11.0, 1.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 64.0, "2360", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2360&g_ta_cod=2360", 25.0, 25.0, 50.0),
(11052, "Privé sous contrat d'association", "0783053V", "Lycée Sainte Geneviève", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Sainte Geneviève - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 84, 1071, 552, 1071, 1071, 1007, 30, 1, 0, 0, 0, 63, 0, 0, 0, 0, 0, 1071, 0, 1071, 0, 1007, 30, 1, 0, 0, 0, 63, 129, 84, 40, 84, 0, 50.0, 80.0, 84.0, 84, 2, 84, 84, 0, 0, 0, 0, 0, 0, 1, 50, 33.0, 84, 0, 0, 0, 0, 22, 39, 59.52, 95.24, 100.0, 47.59375, 26.19921875, 46.3984375, 0, 2.39990234375, 100.0, 0.0, 0.0, 0.0, 1.199951171875, 59.5, 39.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 129.0, 2.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "31881", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31881&g_ta_cod=31881", 100.0, 0.0, 0.0),
(11053, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, littératures & civilisations étrangères et régionales Italien", "Licence - Arts-lettres-langues", "Langues, littératures & civilisations étrangères et régionales Italien", 80, 64, 52, 44, 0, 29, 10, 2, 1, 5, 5, 8, 20, 1, 1, 3, 15, 44, 20, 0, 0, 29, 10, 2, 1, 5, 5, 8, 64, 7, 6, 4, 3, 4.0, 4.0, 6.0, 0, 1, 2, 1, 0, 1, 5, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 57.14, 57.14, 85.71, 85.6875, 50.0, 50.0, 0, 50.0, 28.59765625, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 50.0, 0.0, 30.0, 11.0, 8.0, 8.0, 23.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4741", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, littératures & civilisations étrangères et régionales Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4741&g_ta_cod=4741", 57.0, 14.0, 29.0),
(11054, "Public", "0251671F", "Lycée Edgar Faure", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Morteau", "formation sélective", "Autre formation", "Lycée Edgar Faure - DN MADE - Objet - - Spécialité : luxe et innovation en joaillerie : produits et technologies d'exception", "DN MADE", "- Spécialité : luxe et innovation en joaillerie : produits et technologies d'exception", 15, 375, 275, 375, 0, 148, 20, 104, 14, 19, 5, 104, 0, 0, 0, 0, 0, 97, 0, 0, 0, 21, 3, 46, 3, 1, 1, 29, 41, 14, 14, 14, 0, 5.0, 10.0, 12.0, 0, 3, 9, 3, 6, 0, 5, 0, 0, 2, 6, 1, 0.0, 3, 6, 0, 0, 0, 0, 0, 35.71, 71.43, 85.71, 100.0, 0.0, 0.0, 0, 33.296875, 64.296875, 0.0, 0.0, 22.19921875, 66.6875, 11.1, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 0.0, 0.0, 9.0, 1.0, 1.0, 1.0, 13.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "21989", "DN MADE - Objet - - Spécialité : luxe et innovation en joaillerie : produits et technologies d'exception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21989&g_ta_cod=21989", 43.0, 43.0, 0.0),
(11055, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Double diplôme - Licence Langues étrangères appliquées - LEA Double Diplôme Franco-Allemand en partenariat avec l'université de Duisburg/Essen", "Licence - Arts-lettres-langues", "LEA Double Diplôme Franco-Allemand en partenariat avec l'université de Duisburg/Essen", 10, 40, 33, 40, 0, 28, 5, 2, 0, 0, 0, 10, 0, 0, 0, 0, 0, 39, 0, 0, 0, 28, 5, 2, 0, 0, 0, 9, 33, 6, 5, 6, 0, 1.0, 6.0, 6.0, 0, 2, 5, 5, 0, 0, 1, 0, 1, 2, 2, 0, 0.0, 4, 0, 0, 0, 0, 3, 3, 16.67, 100.0, 100.0, 83.296875, 60.0, 60.0, 0, 40.0, 83.296875, 0.0, 20.0, 40.0, 40.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 23.0, 4.0, 0.0, 0.0, 9.0, "Tous les candidats", 38.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "26405", "Licence - Double diplôme - Licence Langues étrangères appliquées - LEA Double Diplôme Franco-Allemand en partenariat avec l'université de Duisburg/Essen", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26405&g_ta_cod=26405", 100.0, 0.0, 0.0),
(11056, "Public", "0370035M", "Lycée Descartes", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "CPGE", "Lycée Descartes - CPGE - PCSI", "Classe préparatoire scientifique", "", 95, 1808, 631, 1808, 1386, 1457, 122, 1, 0, 0, 0, 350, 0, 0, 0, 0, 0, 1533, 0, 750, 1457, 1408, 116, 0, 0, 0, 0, 125, 592, 91, 24, 90, 0, 17.0, 60.0, 84.0, 18, 4, 88, 88, 0, 0, 3, 0, 0, 0, 31, 53, 4.0, 88, 0, 0, 6, 2, 59, 59, 18.68, 65.93, 92.31, 26.3984375, 67.0, 67.0, 6.7998046875, 4.5, 96.6875, 0.0, 0.0, 0.0, 35.1953125, 60.2, 4.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 570.0, 48.0, 0.0, 0.0, 22.0, "Tous les candidats", 821.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "4824", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4824&g_ta_cod=4824", 100.0, 0.0, 0.0),
(11057, "Privé sous contrat d'association", "0530818B", "Lycée agricole ROCHEFEUILLE", "53", "Mayenne", "Pays de la Loire", "Nantes", "Mayenne", "formation sélective", "BTS", "Lycée agricole ROCHEFEUILLE - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 32, 117, 43, 114, 0, 8, 2, 29, 6, 44, 10, 33, 3, 0, 0, 0, 3, 68, 1, 0, 0, 8, 2, 24, 4, 35, 9, 1, 61, 6, 4, 6, 0, 3.0, 6.0, 6.0, 0, 2, 5, 0, 1, 4, 1, 0, 0, 2, 3, 0, 0.0, 0, 1, 4, 1, 1, 5, 5, 50.0, 100.0, 100.0, 66.6875, 100.0, 100.0, 20, 40.0, 83.296875, 0.0, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 0.0, 20.0, 20.0, 80.0, 80.0, 8.0, 2.0, 29.0, 8.0, 2.0, "Tous les candidats sauf les Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 60.0, "6227", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6227&g_ta_cod=6227", 17.0, 17.0, 67.0),
(11058, "Public", "0891199V", "Lycée Louis Davier", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Joigny", "formation sélective", "BTS", "Lycée Louis Davier - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 18, 397, 131, 350, 0, 21, 3, 19, 7, 66, 28, 244, 47, 0, 10, 8, 29, 67, 14, 0, 0, 18, 3, 10, 4, 29, 14, 10, 68, 14, 3, 8, 6, 3.0, 8.0, 9.0, 0, 3, 12, 2, 2, 8, 2, 0, 6, 5, 1, 0, 0.0, 1, 1, 4, 8, 3, 10, 10, 21.43, 57.14, 64.29, 21.3984375, 83.296875, 83.296875, 66.6875, 25.0, 85.6875, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 16.69921875, 8.298828125, 16.69921875, 8.298828125, 66.6875, 33.296875, 15.0, 2.0, 21.0, 8.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 19.0, "10791", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10791&g_ta_cod=10791", 21.0, 21.0, 57.0),
(11059, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "PASS", "Université de Rennes 1 - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 40, 1621, 1076, 1621, 0, 1229, 158, 25, 10, 9, 2, 358, 0, 0, 0, 0, 0, 1619, 0, 0, 0, 1229, 158, 25, 10, 9, 2, 356, 257, 43, 31, 43, 0, 2.0, 28.0, 36.0, 0, 9, 39, 39, 0, 0, 4, 0, 1, 7, 24, 6, 1.0, 38, 0, 0, 0, 0, 38, 38, 4.65, 65.12, 83.72, 72.09375, 97.390625, 97.390625, 0, 23.09765625, 90.6875, 0.0, 2.599609375, 17.8984375, 61.5, 15.4, 2.6, 100.0, 97.390625, 0.0, 0.0, 0.0, 0.0, 211.0, 37.0, 2.0, 0.0, 44.0, "Tous les candidats", 1605.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 21.0, "28355", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27360&g_ta_cod=28355", 100.0, 0.0, 0.0),
(11060, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Kinésithérapie - site de Créteil", "Licence - Sciences humaines et sociales", "STAPS - parcours Kinésithérapie - site de Créteil", 55, 1838, 709, 1838, 0, 1136, 146, 135, 27, 20, 7, 547, 0, 0, 0, 0, 0, 250, 0, 0, 0, 108, 12, 2, 1, 0, 0, 140, 161, 53, 32, 53, 0, 11.0, 38.0, 42.0, 0, 5, 28, 27, 1, 0, 25, 0, 0, 15, 7, 5, 1.0, 27, 1, 0, 0, 0, 18, 24, 20.75, 71.7, 79.25, 60.3984375, 64.296875, 85.6875, 0, 17.8984375, 52.796875, 0.0, 0.0, 53.59375, 25.0, 17.9, 3.6, 96.390625, 96.390625, 3.599609375, 3.599609375, 0.0, 0.0, 60.0, 11.0, 0.0, 0.0, 100.0, "Tous les candidats", 170.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "14592", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Kinésithérapie - site de Créteil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28305&g_ta_cod=14592", 98.0, 2.0, 0.0),
(11061, "Public", "0750683K", "Lycée Claude Monet", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "CPGE", "Lycée Claude Monet - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 1601, 1149, 1563, 201, 1288, 202, 2, 2, 3, 2, 270, 38, 17, 0, 0, 21, 1340, 14, 166, 1312, 1263, 197, 2, 2, 1, 1, 74, 825, 78, 49, 76, 2, 14.0, 54.0, 77.0, 3, 11, 69, 69, 0, 0, 9, 0, 4, 22, 31, 11, 1.0, 65, 0, 0, 4, 3, 35, 58, 17.95, 69.23, 98.72, 62.796875, 50.6953125, 84.09375, 5.7998046875, 15.8984375, 88.5, 0.0, 5.7998046875, 31.8984375, 44.8984375, 15.9, 1.4, 100.0, 94.1875, 0.0, 0.0, 0.0, 0.0, 774.0, 102.0, 0.0, 0.0, 50.0, "Tous les candidats", 1328.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "9069", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9069&g_ta_cod=9069", 100.0, 0.0, 0.0),
(11062, "Public", "0410001D", "Lycée Augustin Thierry", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BTS", "Lycée Augustin Thierry - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 12, 110, 5, 109, 0, 5, 0, 23, 5, 61, 12, 20, 1, 0, 0, 1, 0, 92, 1, 0, 0, 5, 0, 23, 5, 57, 11, 7, 59, 10, 0, 9, 1, 1.0, 9.0, 9.0, 0, 4, 10, 0, 2, 8, 0, 0, 4, 4, 1, 1, 0.0, 0, 0, 6, 5, 0, 10, 10, 10.0, 90.0, 90.0, 0.0, 100.0, 100.0, 50, 40.0, 100.0, 0.0, 40.0, 40.0, 10.0, 10.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 60.0, 4.0, 0.0, 34.0, 8.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers technologiques toutes séries", 26, "Bacheliers professionnels toutes séries", 45, "Liste d'appel propre à cette formation", 71.0, "29769", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29769&g_ta_cod=29769", 0.0, 20.0, 80.0),
(11063, "Public", "0950947N", "Lycée De La Tourelle", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Sarcelles", "formation sélective", "BTS", "Lycée De La Tourelle - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 636, 58, 636, 0, 51, 17, 195, 87, 135, 71, 255, 0, 0, 0, 0, 0, 230, 0, 0, 0, 24, 7, 80, 37, 88, 46, 38, 75, 23, 1, 23, 0, 5.0, 21.0, 23.0, 0, 4, 15, 3, 3, 9, 8, 0, 6, 4, 5, 0, 0.0, 1, 2, 6, 10, 1, 14, 15, 21.74, 91.3, 100.0, 4.2998046875, 93.296875, 100.0, 66.6875, 26.69921875, 65.1875, 0.0, 40.0, 26.69921875, 33.296875, 0.0, 0.0, 20.0, 6.69921875, 20.0, 13.298828125, 60.0, 40.0, 7.0, 4.0, 29.0, 14.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 17.0, "11593", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11593&g_ta_cod=11593", 17.0, 43.0, 39.0),
(11064, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "PASS", "Université de Montpellier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 128, 7644, 5357, 7644, 0, 6134, 1148, 166, 62, 38, 19, 1306, 0, 0, 0, 0, 0, 7644, 0, 0, 0, 6134, 1148, 166, 62, 38, 19, 1306, 641, 127, 91, 127, 0, 12.0, 97.0, 121.0, 0, 35, 123, 123, 0, 0, 4, 2, 0, 1, 43, 67, 10.0, 121, 0, 0, 0, 0, 95, 95, 9.45, 76.38, 95.28, 71.6875, 77.1875, 77.1875, 0, 28.5, 96.890625, 1.599853515625, 0.0, 0.7999267578125, 35.0, 54.5, 8.1, 100.0, 98.390625, 0.0, 0.0, 0.0, 0.0, 607.0, 115.0, 0.0, 0.0, 34.0, "Tous les candidats", 1514.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 15.0, "31867", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27370&g_ta_cod=31867", 100.0, 0.0, 0.0),
(11065, "Public", "0641478J", "I.U.T. de Bayonne", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation sélective", "BUT", "I.U.T. de Bayonne - BUT - Gestion des entreprises et des administrations Parcours : Parcours : Gestion, Entrepreneuriat et Management d'Activités (GEMA) - Parcours : Gestion Comptable Fiscale et Financière (GC2F)", "BUT - Service", "Parcours : Gestion, Entrepreneuriat et Management d'Activités (GEMA) - Parcours : Gestion Comptable Fiscale et Financière (GC2F)", 110, 1963, 915, 1960, 0, 1140, 166, 527, 134, 17, 9, 276, 3, 0, 2, 0, 1, 1450, 1, 0, 0, 915, 129, 355, 87, 0, 0, 180, 493, 108, 60, 108, 0, 25.0, 87.0, 102.0, 0, 23, 98, 51, 47, 0, 10, 0, 8, 60, 27, 3, 0.0, 46, 44, 0, 0, 0, 91, 91, 23.15, 80.56, 94.44, 55.59375, 92.890625, 92.890625, 0, 23.5, 90.6875, 0.0, 8.19921875, 61.1953125, 27.59765625, 3.1, 0.0, 52.0, 46.8984375, 48.0, 44.8984375, 0.0, 0.0, 235.0, 42.0, 0.0, 0.0, 37.0, "Tous les candidats sauf les Bac technologiques", 389.0, "Bacheliers technologiques toutes séries", 371, "", 0, "Liste d'appel propre à cette formation", 39.0, "7759", "BUT - Gestion des entreprises et des administrations Parcours : Parcours : Gestion, Entrepreneuriat et Management d'Activités (GEMA) - Parcours : Gestion Comptable Fiscale et Financière (GC2F)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7759&g_ta_cod=7759", 53.0, 47.0, 0.0),
(11066, "Public", "0624440P", "LYCEE POLYVALENT D'ARTOIS", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Noeux-les-Mines", "formation sélective", "BTS", "LYCEE POLYVALENT D'ARTOIS - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 449, 229, 449, 0, 39, 15, 172, 75, 145, 75, 93, 0, 0, 0, 0, 0, 278, 0, 0, 0, 27, 12, 100, 40, 114, 58, 37, 134, 35, 17, 35, 0, 4.0, 28.0, 31.0, 0, 11, 30, 3, 9, 18, 5, 0, 11, 13, 6, 0, 0.0, 2, 5, 12, 11, 4, 30, 30, 11.43, 80.0, 88.57, 48.59375, 100.0, 100.0, 36.6953125, 36.6953125, 85.6875, 0.0, 36.6953125, 43.296875, 20.0, 0.0, 0.0, 10.0, 6.69921875, 30.0, 16.69921875, 60.0, 40.0, 12.0, 6.0, 73.0, 32.0, 12.0, "Tous les candidats sauf les Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 105, "", 0, "Liste d'appel propre à cette formation", 38.0, "14855", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14855&g_ta_cod=14855", 9.0, 29.0, 63.0),
(11067, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations,  parcours Asie du Sud-Est et Pacifique - Khmer", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations,  parcours Asie du Sud-Est et Pacifique - Khmer", 30, 83, 58, 37, 0, 15, 3, 3, 2, 2, 2, 17, 46, 3, 3, 2, 38, 37, 20, 0, 0, 15, 3, 3, 2, 2, 2, 17, 57, 16, 10, 5, 11, 4.0, 5.0, 10.0, 0, 0, 5, 3, 2, 0, 11, 0, 1, 2, 1, 0, 1.0, 3, 1, 0, 0, 0, 2, 4, 25.0, 31.25, 62.5, 62.5, 40.0, 80.0, 0, 0.0, 31.296875, 0.0, 20.0, 40.0, 20.0, 0.0, 20.0, 60.0, 60.0, 40.0, 20.0, 0.0, 0.0, 16.0, 3.0, 2.0, 2.0, 34.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9399", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations,  parcours Asie du Sud-Est et Pacifique - Khmer", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29587&g_ta_cod=9399", 63.0, 31.0, 6.0),
(11068, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation non sélective", "Licence", "Université Gustave Eiffel - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences humaines et sociales", "", 175, 2952, 772, 2952, 0, 1674, 255, 392, 72, 108, 31, 778, 0, 0, 0, 0, 0, 2952, 0, 0, 0, 1674, 255, 392, 72, 108, 31, 778, 741, 175, 46, 174, 0, 35.0, 152.0, 160.0, 0, 25, 158, 141, 11, 6, 17, 2, 56, 73, 20, 7, 0.0, 88, 7, 5, 0, 0, 141, 149, 20.0, 86.86, 91.43, 26.296875, 89.1875, 94.296875, 0, 15.798828125, 90.296875, 1.2998046875, 35.3984375, 46.1953125, 12.69921875, 4.4, 0.0, 89.1875, 55.6953125, 7.0, 4.3994140625, 3.7998046875, 3.19970703125, 598.0, 97.0, 9.0, 4.0, 105.0, "Tous les candidats", 857.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "9928", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27518&g_ta_cod=9928", 88.0, 8.0, 4.0),
(11069, "Public", "0940129E", "Lycée Jean Mace", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vitry-sur-Seine", "formation sélective", "BTS", "Lycée Jean Mace - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 794, 337, 794, 0, 54, 32, 277, 111, 212, 125, 251, 0, 0, 0, 0, 0, 579, 0, 0, 0, 46, 27, 247, 98, 139, 81, 147, 128, 32, 9, 32, 0, 3.0, 20.0, 31.0, 0, 16, 26, 2, 12, 12, 6, 0, 14, 11, 1, 0, 0.0, 0, 6, 6, 11, 2, 24, 26, 9.38, 62.5, 96.88, 28.09765625, 92.296875, 100.0, 42.296875, 61.5, 81.296875, 0.0, 53.796875, 42.296875, 3.7998046875, 0.0, 0.0, 7.69921875, 0.0, 46.1953125, 23.09765625, 46.1953125, 23.09765625, 9.0, 4.0, 47.0, 33.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 124, "Bacheliers technologiques toutes séries", 113, "Liste d'appel propre à cette formation", 32.0, "11419", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11419&g_ta_cod=11419", 6.0, 47.0, 47.0),
(11070, "Privé enseignement supérieur", "0596011N", "ICL - ISTC", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "ICL - ISTC - Licence - Economie et gestion - Parcours Communication", "Licence - Droit-économie-gestion", "Communication", 200, 530, 362, 397, 0, 319, 43, 18, 5, 0, 0, 60, 133, 37, 15, 5, 76, 323, 43, 0, 0, 270, 23, 14, 3, 0, 0, 39, 340, 153, 116, 133, 20, 93.0, 131.0, 144.0, 0, 11, 131, 124, 7, 0, 22, 1, 16, 64, 35, 15, 0.0, 108, 6, 0, 0, 0, 93, 93, 60.78, 85.62, 94.12, 75.796875, 71.0, 71.0, 0, 8.3984375, 85.59375, 0.7999267578125, 12.19921875, 48.8984375, 26.69921875, 11.5, 0.0, 94.6875, 82.390625, 5.2998046875, 4.599609375, 0.0, 0.0, 267.0, 26.0, 0.0, 0.0, 55.0, "Tous les candidats", 323.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "24399", "Licence - Economie et gestion - Parcours Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24399&g_ta_cod=24399", 94.0, 6.0, 0.0),
(11071, "Public", "9720003W", "Lycée Bellevue", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "CPGE", "Lycée Bellevue - CPGE - MPSI", "Classe préparatoire scientifique", "", 45, 392, 113, 382, 211, 232, 43, 1, 1, 0, 0, 149, 10, 4, 0, 0, 6, 241, 1, 132, 199, 206, 36, 1, 1, 0, 0, 34, 148, 39, 12, 38, 1, 4.0, 33.0, 37.0, 10, 2, 39, 39, 0, 0, 0, 0, 1, 12, 18, 8, 0.0, 38, 0, 0, 8, 1, 37, 37, 10.26, 84.62, 94.87, 30.796875, 94.890625, 94.890625, 20.5, 5.099609375, 100.0, 0.0, 2.599609375, 30.796875, 46.1953125, 20.5, 0.0, 100.0, 97.390625, 0.0, 0.0, 0.0, 0.0, 140.0, 23.0, 0.0, 0.0, 7.0, "Tous les candidats", 210.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "11783", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11783&g_ta_cod=11783", 100.0, 0.0, 0.0),
(11072, "Public", "0560038M", "Lycée Joseph Loth", "56", "Morbihan", "Bretagne", "Rennes", "Pontivy", "formation sélective", "BTS", "Lycée Joseph Loth - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 703, 341, 602, 0, 55, 9, 245, 55, 219, 61, 83, 101, 21, 2, 41, 37, 291, 12, 0, 0, 34, 5, 131, 27, 116, 27, 10, 179, 28, 16, 21, 7, 4.0, 19.0, 26.0, 0, 9, 23, 2, 7, 14, 5, 0, 7, 13, 2, 1, 0.0, 1, 3, 12, 3, 0, 22, 22, 14.29, 67.86, 92.86, 57.09375, 95.6875, 95.6875, 13, 39.09375, 82.09375, 0.0, 30.3984375, 56.5, 8.69921875, 4.3, 0.0, 8.69921875, 4.2998046875, 30.3984375, 13.0, 60.8984375, 52.1953125, 26.0, 5.0, 74.0, 23.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 117, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 42.0, "6432", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6432&g_ta_cod=6432", 18.0, 32.0, 50.0),
(11073, "Public", "0230025C", "Lycée Raymond Loewy", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "La Souterraine", "formation sélective", "Autre formation", "Lycée Raymond Loewy - DN MADE - Graphisme - - Spécialité : Objets Graphiques", "DN MADE", "- Spécialité : Objets Graphiques", 16, 432, 299, 432, 0, 138, 21, 153, 26, 49, 10, 92, 0, 0, 0, 0, 0, 124, 0, 0, 0, 34, 4, 74, 8, 5, 0, 11, 57, 16, 15, 16, 0, 3.0, 14.0, 16.0, 0, 2, 15, 4, 10, 1, 1, 0, 0, 4, 3, 8, 0.0, 4, 10, 1, 0, 0, 1, 1, 18.75, 87.5, 100.0, 93.796875, 6.69921875, 6.69921875, 0, 13.298828125, 93.796875, 0.0, 0.0, 26.69921875, 20.0, 53.3, 0.0, 26.69921875, 26.69921875, 66.6875, 66.6875, 6.69921875, 6.69921875, 14.0, 3.0, 3.0, 0.0, 4.0, "Tous les candidats", 97.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "21753", "DN MADE - Graphisme - - Spécialité : Objets Graphiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21753&g_ta_cod=21753", 31.0, 63.0, 6.0),
(11074, "Public", "0631383L", "Polytech Clermont-Ferrand", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aubière", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 30, 3776, 1613, 3776, 0, 3158, 290, 0, 0, 0, 0, 618, 0, 0, 0, 0, 0, 2444, 0, 0, 0, 2230, 158, 0, 0, 0, 0, 214, 715, 30, 24, 30, 0, 8.0, 18.0, 29.0, 0, 4, 29, 29, 0, 0, 1, 0, 0, 1, 9, 17, 2.0, 29, 0, 0, 0, 0, 11, 11, 26.67, 60.0, 96.67, 80.0, 37.8984375, 37.8984375, 0, 13.798828125, 96.6875, 0.0, 0.0, 3.39990234375, 31.0, 58.6, 6.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 685.0, 63.0, 0.0, 0.0, 30.0, "Autres candidats", 6932.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "28", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=28", 100.0, 0.0, 0.0),
(11075, "Privé sous contrat d'association", "0330207W", "I.R.T.S. NOUVELLE - AQUITAINE", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "EFTS", "I.R.T.S. NOUVELLE - AQUITAINE - D.E Assistant de Service Social", "D.E secteur social", "", 60, 185, 170, 185, 0, 34, 7, 21, 4, 8, 0, 122, 0, 0, 0, 0, 0, 118, 0, 0, 0, 21, 6, 11, 2, 4, 0, 82, 92, 59, 55, 59, 0, 36.0, 56.0, 57.0, 0, 4, 14, 7, 6, 1, 45, 0, 4, 9, 1, 0, 0.0, 5, 4, 1, 0, 0, 11, 11, 61.02, 94.92, 96.61, 93.1875, 78.59375, 78.59375, 0, 28.59765625, 23.69921875, 0.0, 28.59765625, 64.296875, 7.099609375, 0.0, 0.0, 50.0, 35.6953125, 42.8984375, 28.59765625, 7.099609375, 7.099609375, 13.0, 3.0, 1.0, 0.0, 70.0, "Tous les candidats", 99.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "24861", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24861&g_ta_cod=24861", 54.0, 25.0, 12.0),
(11076, "Public", "0753619B", "CNAM INTEC", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "Autre formation", "CNAM INTEC - DGC (Diplôme de Gestion et de Comptabilité)", "Diplôme d'Etablissement", "DGC (Diplôme de Gestion et de Comptabilité)", 150, 1132, 488, 849, 0, 318, 82, 198, 76, 54, 25, 279, 283, 51, 57, 23, 152, 271, 39, 0, 0, 123, 29, 80, 33, 4, 1, 64, 296, 46, 20, 33, 13, 17.0, 33.0, 43.0, 0, 12, 27, 14, 11, 2, 19, 0, 10, 12, 5, 0, 0.0, 10, 6, 1, 0, 0, 3, 27, 36.96, 71.74, 93.48, 43.5, 11.099609375, 100.0, 0, 44.3984375, 58.6953125, 0.0, 37.0, 44.3984375, 18.5, 0.0, 0.0, 51.8984375, 37.0, 40.6953125, 22.19921875, 7.3994140625, 3.69970703125, 134.0, 31.0, 5.0, 2.0, 77.0, "Tous les candidats", 268.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "25372", "DGC (Diplôme de Gestion et de Comptabilité)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25372&g_ta_cod=25372", 61.0, 33.0, 4.0),
(11077, "Public", "0450050K", "Lycée Jean ZAY", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Jean ZAY - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 610, 461, 610, 0, 54, 17, 180, 60, 230, 131, 146, 0, 0, 0, 0, 0, 402, 0, 0, 0, 36, 11, 131, 41, 171, 92, 64, 100, 24, 22, 24, 0, 5.0, 17.0, 20.0, 0, 12, 21, 2, 10, 9, 3, 0, 6, 11, 4, 0, 0.0, 1, 5, 9, 6, 5, 20, 20, 20.83, 70.83, 83.33, 91.6875, 95.1875, 95.1875, 28.59765625, 57.09375, 87.5, 0.0, 28.59765625, 52.3984375, 19.0, 0.0, 0.0, 9.5, 4.7998046875, 47.59375, 23.796875, 42.8984375, 42.8984375, 14.0, 6.0, 35.0, 16.0, 10.0, "Tous les candidats sauf les Bac professionnels", 94.0, "Bacheliers professionnels toutes séries", 57, "", 0, "Liste d'appel propre à cette formation", 25.0, "5655", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5655&g_ta_cod=5655", 13.0, 46.0, 42.0),
(11078, "Public", "0134029J", "École Nationale des Techniciens de l'Équipement (ENTE) - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Autre formation", "École Nationale des Techniciens de l'Équipement (ENTE) - Site d'Aix-en-Provence - Formation professionnelle - Chargé de projet en aménagement durable du territoire (bac +2)", "Formation professionnelle", "", 45, 59, 16, 46, 0, 22, 6, 10, 3, 0, 0, 14, 13, 8, 0, 0, 5, 35, 9, 0, 0, 18, 3, 9, 2, 0, 0, 8, 44, 15, 2, 10, 5, 9.0, 10.0, 15.0, 0, 2, 10, 7, 3, 0, 5, 1, 7, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 6, 6, 60.0, 66.67, 100.0, 13.298828125, 60.0, 60.0, 0, 20.0, 66.6875, 10.0, 70.0, 20.0, 0.0, 0.0, 0.0, 70.0, 10.0, 30.0, 10.0, 0.0, 0.0, 23.0, 3.0, 0.0, 0.0, 12.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "13812", "Formation professionnelle - Chargé de projet en aménagement durable du territoire (bac +2)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13812&g_ta_cod=13812", 73.0, 27.0, 0.0),
(11079, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence_Las", "Université d'Amiens - Licence - Portail Chimie", "Licence - Sciences - technologies - santé", "", 18, 601, 405, 601, 0, 405, 75, 22, 9, 0, 0, 174, 0, 0, 0, 0, 0, 601, 0, 0, 0, 405, 75, 22, 9, 0, 0, 174, 164, 18, 15, 18, 0, 0.0, 10.0, 15.0, 0, 3, 10, 7, 3, 0, 8, 0, 3, 4, 3, 0, 0.0, 6, 1, 0, 0, 0, 9, 9, 0.0, 55.56, 83.33, 83.296875, 90.0, 90.0, 0, 30.0, 55.59375, 0.0, 30.0, 40.0, 30.0, 0.0, 0.0, 70.0, 60.0, 30.0, 10.0, 0.0, 0.0, 79.0, 24.0, 0.0, 0.0, 75.0, "Tous les candidats", 648.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 67.0, "28629", "Licence - Portail Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28628&g_ta_cod=28629", 83.0, 17.0, 0.0),
(11080, "Privé sous contrat d'association", "0611270Z", "IRFSS NORMANDIE", "61", "Orne", "Normandie", "Normandie", "Alençon", "formation sélective", "EFTS", "IRFSS NORMANDIE - D.E Educateur Spécialisé", "D.E secteur social", "", 9, 145, 122, 145, 0, 20, 2, 20, 7, 27, 6, 78, 0, 0, 0, 0, 0, 116, 0, 0, 0, 14, 1, 11, 4, 19, 6, 72, 19, 9, 7, 9, 0, 2.0, 7.0, 7.0, 0, 1, 1, 0, 1, 0, 8, 0, 0, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 0, 22.22, 77.78, 77.78, 77.796875, 0.0, 0.0, 0, 100.0, 11.099609375, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 15.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "24944", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24944&g_ta_cod=24944", 56.0, 33.0, 11.0),
(11081, "Public", "0770930T", "Lycée Henri Moissan", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "CPGE", "Lycée Henri Moissan - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 35, 289, 141, 258, 138, 207, 27, 0, 0, 0, 0, 51, 31, 16, 1, 1, 13, 164, 12, 91, 149, 163, 22, 0, 0, 0, 0, 1, 147, 25, 14, 22, 3, 7.0, 22.0, 25.0, 9, 4, 24, 24, 0, 0, 1, 0, 0, 12, 9, 3, 0.0, 24, 0, 0, 6, 3, 22, 22, 28.0, 88.0, 100.0, 56.0, 91.6875, 91.6875, 25, 16.69921875, 96.0, 0.0, 0.0, 50.0, 37.5, 12.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 144.0, 19.0, 0.0, 0.0, 3.0, "Tous les candidats", 163.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "31290", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31290&g_ta_cod=31290", 100.0, 0.0, 0.0),
(11082, "Privé sous contrat d'association", "0131402D", "Lycée Charles Peguy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "BTS", "Lycée Charles Peguy - BTS - Services - Tourisme", "BTS - Services", "", 67, 437, 324, 432, 0, 106, 34, 114, 52, 82, 39, 130, 5, 0, 1, 1, 3, 353, 0, 0, 0, 101, 32, 96, 43, 66, 32, 90, 224, 48, 37, 48, 0, 14.0, 43.0, 47.0, 0, 10, 34, 13, 11, 10, 14, 0, 19, 11, 4, 0, 0.0, 5, 4, 6, 3, 3, 28, 28, 29.17, 89.58, 97.92, 77.09375, 82.390625, 82.390625, 8.798828125, 29.3984375, 70.796875, 0.0, 55.8984375, 32.3984375, 11.798828125, 0.0, 0.0, 38.1953125, 14.69921875, 32.3984375, 11.798828125, 29.3984375, 17.59765625, 61.0, 20.0, 53.0, 25.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 125.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 109, "Liste d'appel propre à cette formation", 69.0, "2642", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2642&g_ta_cod=2642", 40.0, 38.0, 23.0),
(11083, "Public", "0671685T", "Lycée agricole d'Obernai", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Obernai", "formation sélective", "BTS", "Lycée agricole d'Obernai - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 30, 305, 118, 305, 0, 21, 8, 46, 8, 62, 15, 176, 0, 0, 0, 0, 0, 158, 0, 0, 0, 21, 8, 46, 8, 62, 15, 29, 98, 29, 19, 29, 0, 11.0, 24.0, 28.0, 0, 4, 23, 3, 9, 11, 6, 0, 1, 15, 7, 0, 0.0, 2, 9, 11, 15, 9, 21, 21, 37.93, 82.76, 96.55, 65.5, 91.296875, 91.296875, 65.1875, 17.3984375, 79.296875, 0.0, 4.2998046875, 65.1875, 30.3984375, 0.0, 0.0, 13.0, 8.69921875, 39.09375, 39.09375, 47.796875, 47.796875, 17.0, 5.0, 40.0, 8.0, 11.0, "Tous les candidats sauf les Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 64, "", 0, "Liste d'appel propre à cette formation", 48.0, "7985", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7985&g_ta_cod=7985", 28.0, 31.0, 41.0),
(11084, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Institut Catholique Paris - Licence - Philosophie", "Licence - Sciences humaines et sociales", "", 50, 333, 182, 187, 0, 118, 6, 5, 3, 4, 0, 60, 146, 34, 11, 4, 97, 187, 141, 0, 0, 118, 6, 5, 3, 4, 0, 60, 310, 36, 17, 16, 20, 12.0, 16.0, 28.0, 0, 1, 9, 8, 1, 0, 27, 0, 4, 1, 3, 1, 0.0, 5, 0, 0, 0, 0, 6, 7, 33.33, 44.44, 77.78, 47.1953125, 66.6875, 77.796875, 0, 11.099609375, 25.0, 0.0, 44.3984375, 11.099609375, 33.296875, 11.1, 0.0, 88.890625, 55.59375, 11.099609375, 0.0, 0.0, 0.0, 149.0, 14.0, 5.0, 2.0, 141.0, "Tous les candidats", 187.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20024", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20024&g_ta_cod=20024", 92.0, 3.0, 3.0),
(11085, "Privé enseignement supérieur", "0341956S", "CESI Campus de Montpellier (Mauguio)", "34", "Hérault", "Occitanie", "Montpellier", "Mauguio", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 50, 1165, 192, 1135, 0, 864, 115, 85, 22, 0, 0, 186, 30, 6, 0, 0, 24, 831, 6, 0, 0, 671, 63, 67, 11, 0, 0, 93, 234, 36, 5, 34, 2, 19.0, 33.0, 36.0, 0, 5, 30, 28, 2, 0, 6, 0, 2, 12, 12, 4, 0.0, 26, 2, 0, 0, 0, 22, 22, 52.78, 91.67, 100.0, 13.8984375, 73.296875, 73.296875, 0, 16.69921875, 83.296875, 0.0, 6.69921875, 40.0, 40.0, 13.3, 0.0, 93.296875, 86.6875, 6.69921875, 6.69921875, 0.0, 0.0, 166.0, 16.0, 0.0, 0.0, 57.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "25181", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25181", 94.0, 6.0, 0.0),
(11086, "Public", "0850027T", "Lycée Polyvalent Rosa Parks", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée Polyvalent Rosa Parks - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 10, 147, 30, 141, 0, 11, 5, 49, 16, 28, 9, 53, 6, 0, 2, 0, 4, 141, 1, 0, 0, 11, 5, 49, 16, 28, 9, 53, 40, 10, 0, 9, 1, 4.0, 8.0, 9.0, 0, 1, 6, 0, 2, 4, 4, 0, 1, 3, 1, 1, 0.0, 0, 1, 4, 6, 0, 6, 6, 40.0, 80.0, 90.0, 0.0, 100.0, 100.0, 100, 16.69921875, 60.0, 0.0, 16.69921875, 50.0, 16.69921875, 16.7, 0.0, 0.0, 0.0, 33.296875, 16.69921875, 66.6875, 66.6875, 6.0, 2.0, 9.0, 3.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 51.0, "10483", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10483&g_ta_cod=10483", 20.0, 40.0, 40.0),
(11087, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues étrangères appliquées - Parcours Anglais-Allemand", "Licence - Arts-lettres-langues", "Anglais-Allemand", 30, 160, 115, 129, 0, 94, 19, 3, 0, 0, 0, 32, 31, 6, 0, 1, 24, 127, 19, 0, 0, 94, 19, 3, 0, 0, 0, 30, 136, 17, 14, 13, 4, 11.0, 13.0, 15.0, 0, 2, 11, 11, 0, 0, 6, 0, 1, 7, 3, 0, 0.0, 10, 0, 0, 0, 0, 9, 9, 64.71, 76.47, 88.24, 82.390625, 81.796875, 81.796875, 0, 18.19921875, 64.6875, 0.0, 9.099609375, 63.59375, 27.296875, 0.0, 0.0, 100.0, 90.890625, 0.0, 0.0, 0.0, 0.0, 93.0, 21.0, 1.0, 1.0, 39.0, "Tous les candidats", 127.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "5069", "Licence - Langues étrangères appliquées - Parcours Anglais-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5069&g_ta_cod=5069", 94.0, 6.0, 0.0),
(11088, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Etudes théâtrales - Parcours Théâtre - Mineure Lettres", "Licence - Arts-lettres-langues", "Théâtre - Mineure Lettres", 28, 590, 397, 590, 0, 369, 64, 38, 11, 10, 1, 173, 0, 0, 0, 0, 0, 590, 0, 0, 0, 369, 64, 38, 11, 10, 1, 173, 125, 28, 23, 28, 0, 1.0, 25.0, 28.0, 0, 4, 23, 22, 1, 0, 5, 0, 0, 6, 11, 6, 0.0, 22, 1, 0, 0, 0, 4, 10, 3.57, 89.29, 100.0, 82.09375, 17.3984375, 43.5, 0, 17.3984375, 82.09375, 0.0, 0.0, 26.09765625, 47.796875, 26.1, 0.0, 95.6875, 95.6875, 4.2998046875, 4.2998046875, 0.0, 0.0, 95.0, 12.0, 0.0, 0.0, 28.0, "Tous les candidats", 206.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "9237", "Licence - Etudes théâtrales - Parcours Théâtre - Mineure Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9237&g_ta_cod=9237", 96.0, 4.0, 0.0),
(11089, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Histoire de l'art et archéologie", "Licence - Sciences humaines et sociales", "", 160, 1029, 700, 969, 0, 613, 118, 87, 24, 39, 15, 230, 60, 4, 3, 1, 52, 965, 56, 0, 0, 613, 118, 87, 24, 39, 15, 226, 1021, 157, 103, 138, 19, 134.0, 138.0, 140.0, 0, 22, 90, 68, 14, 8, 67, 1, 43, 28, 14, 4, 0.0, 38, 5, 3, 0, 0, 70, 70, 85.35, 87.9, 89.17, 65.59375, 77.796875, 77.796875, 0, 24.3984375, 57.296875, 1.099853515625, 47.796875, 31.09765625, 15.599609375, 4.4, 0.0, 75.59375, 42.1953125, 15.599609375, 5.599609375, 8.8984375, 3.2998046875, 617.0, 119.0, 40.0, 15.0, 274.0, "Tous les candidats", 965.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3270", "Licence - Histoire de l'art et archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3270&g_ta_cod=3270", 70.0, 20.0, 9.0),
(11090, "Public", "9840349G", "Université de la Polynésie française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation non sélective", "Licence", "Université de la Polynésie française - Licence - Physique, chimie - Parcours PHYSIQUE-CHIMIE", "Licence - Sciences - technologies - santé", "PHYSIQUE-CHIMIE", 80, 205, 108, 173, 0, 109, 28, 21, 11, 1, 0, 42, 32, 4, 4, 2, 22, 173, 28, 0, 0, 109, 28, 21, 11, 1, 0, 42, 190, 37, 21, 18, 17, 10.0, 18.0, 28.0, 0, 10, 22, 8, 13, 1, 15, 0, 5, 10, 5, 2, 0.0, 7, 9, 1, 0, 0, 22, 22, 27.03, 48.65, 75.68, 56.796875, 100.0, 100.0, 0, 45.5, 59.5, 0.0, 22.69921875, 45.5, 22.69921875, 9.1, 0.0, 36.3984375, 31.796875, 59.09375, 40.8984375, 4.5, 4.5, 101.0, 22.0, 3.0, 2.0, 61.0, "Tous les candidats", 173.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "13563", "Licence - Physique, chimie - Parcours PHYSIQUE-CHIMIE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13563&g_ta_cod=13563", 35.0, 59.0, 5.0),
(11091, "Public", "0850032Y", "LGT Savary de Mauléon", "85", "Vendée", "Pays de la Loire", "Nantes", "Les Sables-d'Olonne", "formation sélective", "BTS", "LGT Savary de Mauléon - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 162, 111, 151, 0, 12, 4, 65, 16, 35, 10, 39, 11, 0, 1, 7, 3, 120, 5, 0, 0, 12, 4, 62, 15, 30, 8, 16, 89, 15, 12, 12, 2, 3.0, 12.0, 14.0, 0, 3, 11, 1, 7, 3, 4, 0, 4, 6, 1, 0, 0.0, 1, 4, 2, 3, 2, 9, 9, 20.0, 80.0, 93.33, 80.0, 81.796875, 81.796875, 27.296875, 27.296875, 73.296875, 0.0, 36.3984375, 54.5, 9.099609375, 0.0, 0.0, 9.099609375, 9.099609375, 63.59375, 36.3984375, 27.296875, 18.19921875, 9.0, 3.0, 25.0, 9.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 79.0, "10485", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10485&g_ta_cod=10485", 13.0, 53.0, 33.0),
(11092, "Public", "0360009P", "Lycée Pierre Et Marie Curie", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Châteauroux", "formation sélective", "BTS", "Lycée Pierre Et Marie Curie - BTS - Services - Gestion de la PME", "BTS - Services", "", 28, 327, 195, 292, 0, 28, 8, 87, 31, 84, 44, 93, 35, 5, 0, 7, 23, 195, 7, 0, 0, 25, 7, 70, 18, 67, 33, 33, 108, 24, 18, 22, 1, 9.0, 21.0, 21.0, 0, 9, 20, 1, 10, 9, 4, 0, 9, 5, 5, 1, 0.0, 1, 6, 4, 9, 6, 19, 19, 37.5, 87.5, 87.5, 75.0, 95.0, 95.0, 45, 45.0, 83.296875, 0.0, 45.0, 25.0, 25.0, 5.0, 0.0, 5.0, 5.0, 50.0, 30.0, 45.0, 20.0, 17.0, 4.0, 41.0, 18.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 50.0, "4795", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4795&g_ta_cod=4795", 4.0, 50.0, 46.0),
(11093, "Privé sous contrat d'association", "0071126L", "Institut Supérieur Saint-Denis", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Annonay", "formation sélective", "BTS", "Institut Supérieur Saint-Denis - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 279, 169, 253, 0, 26, 4, 53, 10, 54, 24, 120, 26, 3, 5, 4, 14, 132, 8, 0, 0, 25, 4, 49, 9, 38, 16, 20, 92, 18, 9, 15, 3, 8.0, 14.0, 17.0, 0, 4, 14, 6, 7, 1, 4, 1, 6, 6, 1, 0, 0.0, 4, 3, 0, 4, 1, 12, 12, 44.44, 77.78, 94.44, 50.0, 85.6875, 85.6875, 28.59765625, 28.59765625, 77.796875, 7.099609375, 42.8984375, 42.8984375, 7.099609375, 0.0, 0.0, 42.8984375, 28.59765625, 50.0, 21.3984375, 7.099609375, 0.0, 24.0, 3.0, 19.0, 7.0, 20.0, "Tous les candidats sauf les Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 40, "", 0, "Liste d'appel propre à cette formation", 52.0, "2343", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2343&g_ta_cod=2343", 44.0, 44.0, 11.0),
(11094, "Public", "0130040Y", "Lycée Thiers", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  1er Arrondissement", "formation sélective", "CPGE", "Lycée Thiers - CPGE - MP2I", "Classe préparatoire scientifique", "", 48, 1247, 258, 1247, 896, 941, 148, 7, 2, 3, 1, 296, 0, 0, 0, 0, 0, 791, 0, 255, 780, 765, 101, 0, 0, 0, 0, 26, 194, 48, 7, 48, 0, 10.0, 32.0, 46.0, 11, 4, 46, 46, 0, 0, 2, 0, 0, 0, 13, 33, 0.0, 46, 0, 0, 2, 1, 30, 30, 20.83, 66.67, 95.83, 14.599609375, 65.1875, 65.1875, 4.2998046875, 8.69921875, 95.796875, 0.0, 0.0, 0.0, 28.296875, 71.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 189.0, 21.0, 0.0, 0.0, 5.0, "Tous les candidats", 305.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "32080", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32080&g_ta_cod=32080", 100.0, 0.0, 0.0),
(11095, "Public", "0623911P", "Université d'Artois - Site de Lens", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation non sélective", "Licence_Las", "Université d'Artois - Site de Lens - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 50, 1486, 1015, 1486, 0, 1106, 263, 146, 52, 6, 3, 228, 0, 0, 0, 0, 0, 1473, 0, 0, 0, 1106, 263, 146, 52, 6, 3, 215, 348, 50, 36, 50, 0, 0.0, 36.0, 41.0, 0, 10, 47, 43, 4, 0, 3, 0, 4, 17, 20, 6, 0.0, 39, 4, 0, 0, 0, 39, 39, 0.0, 72.0, 82.0, 72.0, 83.0, 83.0, 0, 21.296875, 94.0, 0.0, 8.5, 36.1953125, 42.59375, 12.8, 0.0, 91.5, 83.0, 8.5, 8.5, 0.0, 0.0, 291.0, 76.0, 0.0, 0.0, 49.0, "Tous les candidats", 1148.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 50.0, "27781", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27780&g_ta_cod=27781", 92.0, 8.0, 0.0),
(11096, "Public", "0430020N", "Lycée Charles et Adrien Dupuy", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "BTS", "Lycée Charles et Adrien Dupuy - BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "BTS - Services", "", 11, 381, 149, 377, 0, 116, 29, 63, 19, 40, 8, 158, 4, 0, 0, 4, 0, 91, 0, 0, 0, 25, 4, 11, 2, 20, 4, 35, 53, 10, 5, 10, 0, 2.0, 4.0, 9.0, 0, 1, 3, 0, 1, 2, 7, 0, 0, 1, 1, 1, 0.0, 0, 1, 2, 0, 0, 1, 1, 20.0, 40.0, 90.0, 50.0, 33.296875, 33.296875, 0, 33.296875, 30.0, 0.0, 0.0, 33.296875, 33.296875, 33.3, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 66.6875, 13.0, 1.0, 11.0, 3.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 21.0, "5387", "BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5387&g_ta_cod=5387", 10.0, 50.0, 40.0),
(11097, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Lettres - Parcours Lettres Modernes", "Licence - Arts-lettres-langues", "Lettres Modernes", 70, 335, 257, 232, 0, 170, 40, 6, 1, 3, 0, 53, 103, 20, 7, 4, 72, 232, 58, 0, 0, 170, 40, 6, 1, 3, 0, 53, 266, 39, 30, 27, 12, 14.0, 27.0, 36.0, 0, 4, 24, 19, 3, 2, 15, 0, 7, 8, 6, 2, 1.0, 16, 1, 0, 0, 0, 21, 21, 35.9, 69.23, 92.31, 76.890625, 87.5, 87.5, 0, 16.69921875, 61.5, 0.0, 29.19921875, 33.296875, 25.0, 8.3, 4.2, 79.1875, 66.6875, 12.5, 4.19921875, 8.298828125, 0.0, 162.0, 37.0, 6.0, 3.0, 88.0, "Tous les candidats", 231.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "30913", "Licence - Lettres - Parcours Lettres Modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30913&g_ta_cod=30913", 77.0, 15.0, 8.0),
(11098, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 1 - Licence - Portail Portail Economie gestion", "Licence - Droit-économie-gestion", "Portail Economie gestion", 485, 3967, 1859, 3739, 0, 2563, 347, 368, 87, 29, 10, 779, 228, 29, 21, 6, 172, 3636, 90, 0, 0, 2563, 347, 368, 87, 29, 10, 676, 2504, 445, 172, 395, 50, 97.0, 342.0, 391.0, 0, 66, 318, 282, 28, 8, 127, 2, 127, 121, 58, 10, 0.0, 180, 5, 4, 0, 0, 277, 277, 21.8, 76.85, 87.87, 38.6953125, 87.09375, 87.09375, 0, 20.796875, 71.5, 0.5999755859375, 39.8984375, 38.09375, 18.19921875, 3.1, 0.0, 88.6875, 56.59375, 8.798828125, 1.599853515625, 2.5, 1.2998046875, 1860.0, 261.0, 13.0, 5.0, 504.0, "Tous les candidats", 3744.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "19303", "Licence - Portail Portail Economie gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28353&g_ta_cod=19303", 88.0, 9.0, 3.0),
(11099, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Lettres - Parcours Lettres et sciences humaines", "Licence - Arts-lettres-langues", "Lettres et sciences humaines", 126, 656, 510, 477, 0, 298, 57, 4, 1, 9, 7, 166, 179, 62, 8, 3, 106, 477, 177, 0, 0, 298, 57, 4, 1, 9, 7, 166, 595, 126, 96, 60, 66, 9.0, 59.0, 106.0, 0, 20, 64, 58, 4, 2, 62, 0, 30, 21, 8, 5, 0.0, 33, 1, 0, 0, 0, 8, 57, 7.14, 46.83, 84.13, 76.1875, 12.5, 89.09375, 0, 31.296875, 50.796875, 0.0, 46.8984375, 32.796875, 12.5, 7.8, 0.0, 90.59375, 51.59375, 6.2998046875, 1.599853515625, 3.099609375, 0.0, 328.0, 69.0, 9.0, 7.0, 247.0, "Tous les candidats", 477.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9336", "Licence - Lettres - Parcours Lettres et sciences humaines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9336&g_ta_cod=9336", 86.0, 10.0, 3.0),
(11100, "Public", "0690038S", "Lycée La Martinière Duchère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "BTS", "Lycée La Martinière Duchère - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 48, 1360, 152, 1360, 0, 193, 54, 439, 172, 302, 124, 426, 0, 0, 0, 0, 0, 1360, 0, 0, 0, 193, 54, 439, 172, 302, 124, 426, 226, 43, 3, 43, 0, 7.0, 34.0, 43.0, 0, 14, 36, 3, 19, 14, 7, 0, 10, 15, 9, 2, 0.0, 2, 12, 12, 0, 0, 34, 34, 16.28, 79.07, 100.0, 7.0, 94.390625, 94.390625, 0, 38.8984375, 83.6875, 0.0, 27.796875, 41.6953125, 25.0, 5.6, 0.0, 8.298828125, 5.599609375, 52.796875, 33.296875, 38.8984375, 33.296875, 12.0, 3.0, 75.0, 25.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 138, "Bacheliers technologiques toutes séries", 184, "Liste d'appel propre à cette formation", 25.0, "8223", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8223&g_ta_cod=8223", 9.0, 53.0, 37.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(11101, "Public", "0560051B", "Lycée Alain René Lesage", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "CPGE", "Lycée Alain René Lesage - CPGE - PTSI", "Classe préparatoire scientifique", "", 48, 440, 75, 432, 331, 325, 27, 1, 1, 0, 0, 106, 8, 4, 0, 0, 4, 335, 5, 191, 304, 309, 26, 0, 0, 0, 0, 26, 275, 16, 1, 15, 1, 3.0, 12.0, 16.0, 7, 1, 14, 14, 0, 0, 2, 0, 2, 6, 6, 0, 0.0, 12, 0, 0, 1, 0, 12, 12, 18.75, 75.0, 100.0, 6.2998046875, 85.6875, 85.6875, 7.099609375, 7.099609375, 87.5, 0.0, 14.298828125, 42.8984375, 42.8984375, 0.0, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 261.0, 20.0, 0.0, 0.0, 14.0, "Tous les candidats", 314.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "6436", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6436&g_ta_cod=6436", 100.0, 0.0, 0.0),
(11102, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Gestion", "Licence - Droit-économie-gestion", "", 150, 1612, 831, 1612, 0, 1142, 189, 87, 22, 12, 7, 371, 0, 0, 0, 0, 0, 1576, 0, 0, 0, 1142, 189, 87, 22, 12, 7, 335, 541, 149, 81, 149, 0, 91.0, 121.0, 139.0, 0, 24, 130, 130, 0, 0, 19, 0, 9, 69, 38, 14, 0.0, 121, 0, 0, 0, 0, 119, 119, 61.07, 81.21, 93.29, 54.3984375, 91.5, 91.5, 0, 18.5, 87.1875, 0.0, 6.8994140625, 53.09375, 29.19921875, 10.8, 0.0, 100.0, 93.09375, 0.0, 0.0, 0.0, 0.0, 457.0, 80.0, 0.0, 0.0, 84.0, "Tous les candidats", 645.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "15088", "Licence - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15088&g_ta_cod=15088", 100.0, 0.0, 0.0),
(11103, "Public", "0641846C", "CPI Pau (ENSGTI)", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "Ecole d'Ingénieur", "Concours CPI Chimie Gay-Lussac - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 32, 1151, 750, 1151, 0, 996, 75, 0, 0, 0, 0, 155, 0, 0, 0, 0, 0, 574, 0, 0, 0, 541, 31, 0, 0, 0, 0, 33, 380, 32, 21, 32, 0, 4.0, 21.0, 32.0, 0, 3, 31, 31, 0, 0, 1, 0, 0, 1, 12, 17, 1.0, 31, 0, 0, 0, 0, 11, 11, 12.5, 65.63, 100.0, 65.59375, 35.5, 35.5, 0, 9.69921875, 96.890625, 0.0, 0.0, 3.19970703125, 38.6953125, 54.8, 3.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 356.0, 28.0, 0.0, 0.0, 24.0, "Tous les candidats", 737.0, "Candidats lycées français", 37, "Candidats lycées étrangers", 14, "Liste d'appel commune à plusieurs formations", 40.0, "246", "Formation d'ingénieur Bac + 5 - Bac Général", "Concours CPI Chimie Gay-Lussac", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=159&g_ta_cod=246", 100.0, 0.0, 0.0),
(11104, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Informatique - Parcours Commun Maths Info Physique Chimie Génie Civil", "Licence - Sciences - technologies - santé", "Commun Maths Info Physique Chimie Génie Civil", 75, 430, 63, 313, 0, 203, 38, 20, 5, 3, 2, 87, 117, 23, 2, 0, 92, 294, 77, 0, 0, 203, 38, 20, 5, 3, 2, 68, 332, 46, 7, 29, 17, 3.0, 29.0, 40.0, 0, 5, 22, 21, 1, 0, 24, 0, 15, 6, 1, 0, 0.0, 7, 0, 0, 0, 0, 10, 10, 6.52, 63.04, 86.96, 15.19921875, 45.5, 45.5, 0, 22.69921875, 47.796875, 0.0, 68.1875, 27.296875, 4.5, 0.0, 0.0, 95.5, 31.796875, 4.5, 0.0, 0.0, 0.0, 195.0, 40.0, 3.0, 2.0, 118.0, "Tous les candidats", 293.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "20740", "Licence - Informatique - Parcours Commun Maths Info Physique Chimie Génie Civil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20740&g_ta_cod=20740", 83.0, 11.0, 4.0),
(11105, "Public", "0801327H", "Lycée Edouard Branly", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Autre formation", "Lycée Edouard Branly - DN MADE - Graphisme - - Spécialité : Patrimoine : tradition, valorisation et communication", "DN MADE", "- Spécialité : Patrimoine : tradition, valorisation et communication", 15, 203, 137, 203, 0, 80, 18, 53, 7, 23, 8, 47, 0, 0, 0, 0, 0, 200, 0, 0, 0, 79, 17, 51, 7, 23, 8, 47, 59, 16, 13, 16, 0, 1.0, 16.0, 16.0, 0, 3, 6, 2, 2, 2, 10, 0, 0, 4, 2, 0, 0.0, 2, 2, 2, 0, 0, 1, 1, 6.25, 100.0, 100.0, 81.296875, 16.69921875, 16.69921875, 0, 50.0, 37.5, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 33.296875, 33.296875, 33.296875, 17.0, 6.0, 2.0, 2.0, 18.0, "Tous les candidats", 73.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "25131", "DN MADE - Graphisme - - Spécialité : Patrimoine : tradition, valorisation et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25131&g_ta_cod=25131", 56.0, 25.0, 19.0),
(11106, "Public", "0680008P", "Lycée Camille See", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BTS", "Lycée Camille See - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 453, 274, 399, 0, 61, 13, 112, 38, 119, 52, 107, 54, 0, 0, 30, 24, 225, 1, 0, 0, 53, 13, 85, 31, 48, 18, 39, 80, 25, 13, 24, 1, 10.0, 22.0, 23.0, 0, 5, 18, 5, 9, 4, 7, 0, 10, 6, 2, 0, 0.0, 0, 4, 4, 7, 6, 18, 18, 40.0, 88.0, 92.0, 52.0, 100.0, 100.0, 38.8984375, 27.796875, 72.0, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 27.796875, 0.0, 50.0, 22.19921875, 22.19921875, 22.19921875, 10.0, 5.0, 28.0, 7.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 26.0, "8085", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8085&g_ta_cod=8085", 36.0, 44.0, 20.0),
(11107, "Privé sous contrat d'association", "0560198L", "Lycée St Joseph", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BTS", "Lycée St Joseph - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 208, 26, 199, 0, 4, 0, 32, 1, 85, 11, 78, 9, 0, 1, 1, 7, 125, 9, 0, 0, 4, 0, 32, 1, 81, 11, 8, 100, 16, 1, 14, 2, 6.0, 14.0, 15.0, 0, 2, 14, 0, 4, 10, 2, 0, 4, 6, 3, 1, 0.0, 0, 2, 8, 10, 0, 13, 13, 37.5, 87.5, 93.75, 6.2998046875, 92.890625, 92.890625, 71.390625, 14.298828125, 87.5, 0.0, 28.59765625, 42.8984375, 21.3984375, 7.1, 0.0, 0.0, 0.0, 28.59765625, 14.298828125, 71.390625, 57.09375, 4.0, 0.0, 58.0, 9.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 62.0, "6460", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6460&g_ta_cod=6460", 0.0, 38.0, 63.0),
(11108, "Privé sous contrat d'association", "0570311D", "Lycée De La Salle", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Autre formation", "Lycée De La Salle - Diplôme de Comptabilité et de Gestion (Seconde année possible en apprentissage)", "DCG", "", 24, 304, 123, 249, 0, 128, 28, 42, 15, 6, 1, 73, 55, 9, 4, 2, 40, 167, 9, 0, 0, 110, 17, 33, 13, 0, 0, 24, 111, 23, 10, 19, 4, 5.0, 18.0, 20.0, 0, 4, 16, 15, 1, 0, 7, 0, 5, 5, 6, 0, 0.0, 11, 0, 0, 0, 0, 14, 14, 21.74, 78.26, 86.96, 43.5, 87.5, 87.5, 0, 25.0, 69.59375, 0.0, 31.296875, 31.296875, 37.5, 0.0, 0.0, 93.796875, 68.796875, 6.2998046875, 0.0, 0.0, 0.0, 81.0, 16.0, 0.0, 0.0, 25.0, "Tous les candidats", 167.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "6587", "Diplôme de Comptabilité et de Gestion (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6587&g_ta_cod=6587", 96.0, 4.0, 0.0),
(11109, "Public", "0690029G", "Lycée Lacassagne", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 3e  Arrondissement", "formation sélective", "BTS", "Lycée Lacassagne - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 3210, 1660, 3088, 0, 239, 52, 1403, 530, 734, 334, 712, 122, 13, 46, 8, 55, 719, 8, 0, 0, 68, 10, 282, 87, 312, 124, 57, 225, 33, 15, 26, 6, 3.0, 13.0, 20.0, 0, 9, 26, 3, 13, 10, 7, 0, 9, 14, 3, 0, 0.0, 0, 10, 7, 1, 0, 18, 18, 9.09, 39.39, 60.61, 45.5, 69.1875, 69.1875, 3.7998046875, 34.59375, 78.796875, 0.0, 34.59375, 53.796875, 11.5, 0.0, 0.0, 11.5, 0.0, 50.0, 38.5, 38.5, 26.8984375, 12.0, 3.0, 100.0, 36.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 195, "Bacheliers technologiques toutes séries", 154, "Liste d'appel propre à cette formation", 12.0, "8192", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8192&g_ta_cod=8192", 12.0, 48.0, 39.0),
(11110, "Privé sous contrat d'association", "0311190A", "Lycée professionnel De Coiffure Skhole D'Art", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée professionnel De Coiffure Skhole D'Art - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 465, 201, 432, 0, 41, 9, 146, 44, 101, 40, 144, 33, 8, 1, 4, 20, 239, 13, 0, 0, 20, 5, 107, 30, 61, 25, 51, 141, 20, 12, 13, 7, 3.0, 11.0, 12.0, 0, 2, 12, 4, 4, 4, 8, 0, 5, 4, 2, 1, 0.0, 1, 2, 4, 0, 0, 5, 5, 15.0, 55.0, 60.0, 60.0, 41.6953125, 41.6953125, 0, 16.69921875, 60.0, 0.0, 41.6953125, 33.296875, 16.69921875, 8.3, 0.0, 33.296875, 8.298828125, 33.296875, 16.69921875, 33.296875, 33.296875, 19.0, 4.0, 39.0, 17.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 40.0, "22150", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22150&g_ta_cod=22150", 35.0, 25.0, 40.0),
(11111, "Privé sous contrat d'association", "0753559L", "ISEP Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 90, 2645, 602, 2584, 0, 2575, 260, 0, 0, 0, 0, 9, 61, 58, 0, 0, 3, 2103, 23, 0, 0, 2103, 175, 0, 0, 0, 0, 0, 2000, 86, 18, 79, 7, 51.0, 78.0, 84.0, 0, 8, 86, 86, 0, 0, 0, 0, 7, 57, 21, 1, 0.0, 79, 0, 0, 0, 0, 23, 63, 59.3, 90.7, 97.67, 20.8984375, 26.69921875, 73.296875, 0, 9.298828125, 100.0, 0.0, 8.099609375, 66.296875, 24.3984375, 1.2, 0.0, 100.0, 91.890625, 0.0, 0.0, 0.0, 0.0, 1999.0, 177.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "25963", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=25963", 100.0, 0.0, 0.0),
(11112, "Public", "0080027L", "Lycée Monge", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BTS", "Lycée Monge - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 310, 51, 310, 0, 38, 7, 54, 22, 66, 23, 152, 0, 0, 0, 0, 0, 160, 0, 0, 0, 29, 4, 34, 11, 66, 23, 31, 85, 34, 2, 34, 0, 14.0, 31.0, 33.0, 0, 7, 28, 6, 7, 15, 6, 0, 6, 13, 8, 1, 0.0, 4, 6, 12, 3, 0, 28, 28, 41.18, 91.18, 97.06, 5.8994140625, 100.0, 100.0, 10.69921875, 25.0, 82.390625, 0.0, 21.3984375, 46.3984375, 28.59765625, 3.6, 0.0, 21.3984375, 14.298828125, 25.0, 21.3984375, 53.59375, 42.8984375, 20.0, 3.0, 33.0, 10.0, 15.0, "Tous les candidats sauf les Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 38.0, "2367", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2367&g_ta_cod=2367", 24.0, 29.0, 47.0),
(11113, "Public", "0601983E", "I.U.T de l'Oise - Site de Beauvais", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "BUT", "I.U.T de l'Oise - Site de Beauvais - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines -Gestion entreprenariat et management d'activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines -Gestion entreprenariat et management d'activités - Contrôle de gestion et pilotage de la performance", 106, 1078, 527, 1072, 0, 447, 93, 388, 119, 25, 10, 212, 6, 0, 2, 0, 4, 844, 1, 0, 0, 398, 80, 312, 92, 11, 3, 123, 496, 90, 40, 89, 0, 5.0, 75.0, 80.0, 0, 20, 74, 32, 41, 1, 16, 0, 29, 38, 6, 1, 0.0, 18, 26, 1, 0, 0, 62, 62, 5.56, 83.33, 88.89, 44.3984375, 83.796875, 83.796875, 0, 27.0, 82.1875, 0.0, 39.1953125, 51.3984375, 8.099609375, 1.4, 0.0, 43.1953125, 24.296875, 55.3984375, 35.09375, 1.39990234375, 1.39990234375, 216.0, 53.0, 3.0, 0.0, 64.0, "Tous les candidats sauf les Bac technologiques", 352.0, "Bacheliers technologiques toutes séries", 304, "", 0, "Liste d'appel propre à cette formation", 61.0, "7284", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines -Gestion entreprenariat et management d'activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7284&g_ta_cod=7284", 47.0, 52.0, 1.0),
(11114, "Public", "0830015R", "Lycée Jean Moulin", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Draguignan", "formation sélective", "BTS", "Lycée Jean Moulin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 70, 830, 419, 830, 0, 93, 27, 164, 52, 183, 67, 390, 0, 0, 0, 0, 0, 830, 0, 0, 0, 93, 27, 164, 52, 183, 67, 390, 269, 67, 40, 67, 0, 17.0, 56.0, 60.0, 0, 15, 50, 5, 22, 23, 17, 0, 17, 25, 6, 2, 0.0, 0, 17, 16, 21, 15, 47, 47, 25.37, 83.58, 89.55, 59.6953125, 94.0, 94.0, 42, 30.0, 74.59375, 0.0, 34.0, 50.0, 12.0, 4.0, 0.0, 10.0, 0.0, 44.0, 34.0, 46.0, 32.0, 50.0, 12.0, 98.0, 36.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 94.0, "Bacheliers professionnels toutes séries", 110, "Bacheliers technologiques toutes séries", 98, "Liste d'appel propre à cette formation", 36.0, "10331", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10331&g_ta_cod=10331", 21.0, 40.0, 39.0),
(11115, "Privé enseignement supérieur", "0753533H", "Ecole Spéciale d'Architecture", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "Autre formation", "Ecole Spéciale d'Architecture - Architecture - Diplôme de l?ESA", "Formations Bac + 5", "Diplôme de l?ESA", 90, 759, 450, 759, 0, 431, 62, 57, 20, 26, 8, 245, 0, 0, 0, 0, 0, 531, 0, 0, 0, 318, 29, 20, 1, 7, 2, 186, 274, 85, 57, 85, 0, 25.0, 73.0, 73.0, 0, 3, 50, 47, 3, 0, 35, 0, 8, 35, 7, 0, 0.0, 39, 3, 0, 0, 0, 7, 23, 29.41, 85.88, 85.88, 67.09375, 14.0, 46.0, 0, 6.0, 58.796875, 0.0, 16.0, 70.0, 14.0, 0.0, 0.0, 94.0, 78.0, 6.0, 6.0, 0.0, 0.0, 160.0, 9.0, 3.0, 1.0, 103.0, "Tous les candidats", 266.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "28704", "Architecture - Diplôme de l?ESA", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28704&g_ta_cod=28704", 94.0, 6.0, 0.0),
(11116, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Université Angers - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Anglais", "Licence - Arts-lettres-langues", "Anglais", 180, 1455, 1119, 1453, 0, 1117, 247, 69, 13, 36, 13, 231, 2, 0, 0, 0, 2, 1453, 0, 0, 0, 1117, 247, 69, 13, 36, 13, 231, 896, 178, 121, 178, 0, 54.0, 177.0, 177.0, 0, 31, 148, 136, 8, 4, 30, 0, 24, 67, 43, 13, 1.0, 117, 3, 4, 0, 0, 129, 129, 30.34, 99.44, 99.44, 68.0, 87.1875, 87.1875, 0, 20.8984375, 83.09375, 0.0, 16.19921875, 45.296875, 29.09765625, 8.8, 0.7, 91.890625, 79.09375, 5.3994140625, 2.0, 2.69970703125, 2.69970703125, 721.0, 158.0, 15.0, 4.0, 128.0, "Tous les candidats", 1361.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 88.0, "5932", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28326&g_ta_cod=5932", 90.0, 6.0, 4.0),
(11117, "Public", "0290070U", "Lycée Jean Chaptal", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Jean Chaptal - BTS - Services - Notariat", "BTS - Services", "", 25, 515, 366, 511, 0, 102, 24, 130, 25, 37, 17, 242, 4, 0, 0, 3, 1, 333, 0, 0, 0, 94, 18, 130, 25, 20, 12, 89, 123, 24, 19, 24, 0, 4.0, 19.0, 21.0, 0, 4, 17, 3, 11, 3, 7, 0, 2, 10, 5, 0, 0.0, 3, 10, 2, 1, 1, 17, 17, 16.67, 79.17, 87.5, 79.1875, 100.0, 100.0, 5.8994140625, 23.5, 70.796875, 0.0, 11.798828125, 58.796875, 29.3984375, 0.0, 0.0, 17.59765625, 17.59765625, 64.6875, 58.796875, 17.59765625, 11.798828125, 17.0, 5.0, 15.0, 9.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 65.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 35.0, "3795", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3795&g_ta_cod=3795", 29.0, 58.0, 13.0),
(11118, "Public", "0381775Y", "I.U.T. 2 de Grenoble", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BUT", "I.U.T. 2 de Grenoble - BUT - Carrières sociales Parcours animation sociale et socioculturelle", "BUT - Service", "", 26, 486, 391, 486, 0, 148, 24, 137, 32, 41, 16, 160, 0, 0, 0, 0, 0, 200, 0, 0, 0, 40, 6, 100, 22, 6, 1, 54, 74, 24, 17, 24, 0, 5.0, 24.0, 24.0, 0, 4, 14, 4, 8, 2, 10, 0, 2, 6, 6, 0, 0.0, 4, 6, 2, 0, 0, 10, 10, 20.83, 100.0, 100.0, 70.796875, 71.390625, 71.390625, 0, 28.59765625, 58.296875, 0.0, 14.298828125, 42.8984375, 42.8984375, 0.0, 0.0, 28.59765625, 28.59765625, 57.09375, 42.8984375, 14.298828125, 14.298828125, 13.0, 5.0, 4.0, 1.0, 21.0, "Tous les candidats sauf les Bac technologiques", 43.0, "Bacheliers technologiques toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 18.0, "5000", "BUT - Carrières sociales Parcours animation sociale et socioculturelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5000&g_ta_cod=5000", 46.0, 46.0, 8.0),
(11119, "Public", "0100684P", "Iut De Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BUT", "Iut De Troyes - BUT - Génie mécanique et productique Parcours : Innovation pour l'Industrie - Simulation Numérique et Réalité Virtuelle", "BUT - Production", "Innovation pour l'Industrie - Simulation Numérique et Réalité Virtuelle", 80, 841, 69, 779, 0, 450, 52, 182, 31, 7, 3, 140, 62, 16, 6, 1, 39, 617, 39, 0, 0, 381, 36, 131, 18, 1, 0, 104, 494, 64, 3, 52, 12, 2.0, 48.0, 62.0, 0, 7, 43, 33, 10, 0, 21, 0, 14, 26, 3, 0, 0.0, 20, 9, 0, 0, 0, 19, 19, 3.13, 75.0, 96.88, 4.69921875, 44.1953125, 44.1953125, 0, 16.296875, 67.1875, 0.0, 32.59375, 60.5, 7.0, 0.0, 0.0, 76.6875, 46.5, 23.296875, 20.8984375, 0.0, 0.0, 275.0, 28.0, 0.0, 0.0, 114.0, "Tous les candidats sauf les Bac technologiques", 475.0, "Bacheliers technologiques toutes séries", 142, "", 0, "Liste d'appel propre à cette formation", 79.0, "2424", "BUT - Génie mécanique et productique Parcours : Innovation pour l'Industrie - Simulation Numérique et Réalité Virtuelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2424&g_ta_cod=2424", 80.0, 20.0, 0.0),
(11120, "Public", "0561739L", "Université de Bretagne Sud - Site de Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation non sélective", "Licence", "Université de Bretagne Sud - Site de Vannes - Licence - Portail Sciences de la vie et de la terre - Bio et Ecologie générale, Bio cellulaire moléculaire, Sciences de l'environnement, Bio Biotech, Bio Biosanté,TACB", "Licence - Sciences - technologies - santé", "Bio et Ecologie générale, Bio cellulaire moléculaire, Sciences de l'environnement, Bio Biotech, Bio Biosanté,TACB", 164, 1479, 977, 1418, 0, 1008, 132, 69, 15, 6, 2, 335, 61, 19, 3, 0, 39, 1412, 37, 0, 0, 1008, 132, 69, 15, 6, 2, 329, 975, 155, 94, 140, 15, 9.0, 110.0, 135.0, 0, 14, 118, 114, 3, 1, 37, 1, 34, 48, 27, 8, 0.0, 81, 1, 1, 0, 0, 65, 65, 5.81, 70.97, 87.1, 60.59375, 55.09375, 55.09375, 0, 11.8984375, 76.09375, 0.7999267578125, 28.796875, 40.6953125, 22.8984375, 6.8, 0.0, 96.59375, 68.59375, 2.5, 0.7999267578125, 0.7999267578125, 0.7999267578125, 707.0, 101.0, 1.0, 0.0, 246.0, "Groupe par défaut", 1546.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 95.0, "6510", "Licence - Portail Sciences de la vie et de la terre - Bio et Ecologie générale, Bio cellulaire moléculaire, Sciences de l'environnement, Bio Biotech, Bio Biosanté,TACB", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28506&g_ta_cod=6510", 95.0, 4.0, 1.0),
(11121, "Public", "0130051K", "Lycée Marie Curie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Diététique", "BTS - Services", "", 36, 1446, 1216, 1446, 0, 287, 77, 412, 157, 95, 47, 652, 0, 0, 0, 0, 0, 858, 0, 0, 0, 198, 48, 317, 102, 39, 18, 304, 185, 33, 29, 33, 0, 4.0, 18.0, 28.0, 0, 10, 23, 9, 12, 2, 10, 0, 2, 14, 7, 0, 0.0, 8, 11, 2, 3, 3, 17, 17, 12.12, 54.55, 84.85, 87.890625, 73.890625, 73.890625, 13, 43.5, 69.6875, 0.0, 8.69921875, 60.8984375, 30.3984375, 0.0, 0.0, 39.09375, 34.796875, 52.1953125, 47.796875, 8.69921875, 8.69921875, 46.0, 14.0, 3.0, 1.0, 65.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 123.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 140, "Liste d'appel propre à cette formation", 18.0, "2589", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2589&g_ta_cod=2589", 42.0, 52.0, 6.0),
(11122, "Public", "0760058A", "Lycée Schuman Perret", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Autre formation", "Lycée Schuman Perret - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 30, 11, 5, 0, 0, 0.0, 0.0, 1.0, 0, 4, 9, 0, 0, 9, 2, 0, 5, 3, 1, 0, 0.0, 0, 0, 4, 0, 0, 8, 8, 0.0, 0.0, 9.09, 45.5, 88.890625, 88.890625, 0, 44.3984375, 81.796875, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 44.3984375, 0.0, 0.0, 25.0, 10.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22426", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 9.0, 91.0),
(11123, "Public", "0311323V", "Lycée Rive Gauche", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Rive Gauche - CPGE - Ecole normale supérieure Paris Saclay ? arts et design", "Classe préparatoire scientifique", "", 26, 368, 293, 368, 0, 219, 30, 74, 18, 8, 3, 67, 0, 0, 0, 0, 0, 260, 0, 0, 260, 169, 20, 58, 10, 3, 1, 30, 119, 25, 23, 25, 0, 3.0, 19.0, 23.0, 0, 3, 21, 16, 5, 0, 4, 0, 2, 5, 10, 4, 0.0, 14, 5, 0, 0, 0, 4, 4, 12.0, 76.0, 92.0, 92.0, 19.0, 19.0, 0, 14.298828125, 84.0, 0.0, 9.5, 23.796875, 47.59375, 19.0, 0.0, 76.1875, 66.6875, 23.796875, 23.796875, 0.0, 0.0, 73.0, 8.0, 0.0, 0.0, 18.0, "Tous les candidats", 198.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "4129", "CPGE - Ecole normale supérieure Paris Saclay ? arts et design", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4129&g_ta_cod=4129", 80.0, 20.0, 0.0),
(11124, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Double Licence mention Langues, littératures & civilisations étrangères et régionales (LLCER) Anglais] - mention LLCER [Portugais]", "Licence - Arts-lettres-langues", "Double Licence mention Langues, littératures & civilisations étrangères et régionales (LLCER) Anglais] - mention LLCER [Portugais]", 10, 74, 52, 28, 0, 16, 0, 3, 2, 2, 1, 7, 46, 12, 1, 9, 24, 24, 14, 0, 0, 14, 0, 2, 1, 2, 1, 6, 36, 10, 8, 4, 6, 4.0, 4.0, 6.0, 0, 3, 8, 4, 2, 2, 2, 0, 3, 2, 3, 0, 0.0, 3, 1, 1, 0, 0, 6, 8, 40.0, 40.0, 60.0, 80.0, 75.0, 100.0, 0, 37.5, 80.0, 0.0, 37.5, 25.0, 37.5, 0.0, 0.0, 50.0, 37.5, 25.0, 12.5, 25.0, 12.5, 19.0, 2.0, 3.0, 1.0, 11.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "24469", "Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Double Licence mention Langues, littératures & civilisations étrangères et régionales (LLCER) Anglais] - mention LLCER [Portugais]", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24469&g_ta_cod=24469", 50.0, 20.0, 30.0),
(11125, "Privé sous contrat d'association", "0761341V", "Lycée Les Tourelles", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Les Tourelles - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 349, 205, 333, 0, 33, 9, 125, 33, 90, 30, 85, 16, 0, 1, 9, 6, 287, 5, 0, 0, 33, 9, 121, 32, 81, 25, 52, 190, 29, 19, 26, 3, 3.0, 19.0, 20.0, 0, 6, 25, 4, 11, 10, 4, 0, 14, 6, 4, 1, 0.0, 2, 4, 5, 3, 2, 25, 25, 10.34, 65.52, 68.97, 65.5, 100.0, 100.0, 12, 24.0, 86.1875, 0.0, 56.0, 24.0, 16.0, 4.0, 0.0, 16.0, 8.0, 44.0, 16.0, 40.0, 20.0, 27.0, 4.0, 62.0, 15.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 58.0, "9639", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9639&g_ta_cod=9639", 17.0, 48.0, 34.0),
(11126, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "Université de Cergy-Pontoise - CY SUP - C.M.I - Cursus Master en Ingénierie - Electronique, énergie électrique, automatique - Cursus Master en Ingénierie (CMI) : EEA (Traitement de l'information et gestion de l'énergie)", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : EEA (Traitement de l'information et gestion de l'énergie)", 20, 212, 17, 212, 0, 135, 26, 21, 5, 7, 2, 49, 0, 0, 0, 0, 0, 116, 0, 0, 0, 96, 17, 1, 1, 0, 0, 19, 78, 19, 2, 19, 0, 1.0, 19.0, 19.0, 0, 0, 19, 19, 0, 0, 0, 0, 9, 5, 4, 1, 0.0, 10, 0, 0, 0, 0, 11, 12, 5.26, 100.0, 100.0, 10.5, 57.8984375, 63.1953125, 0, 0.0, 100.0, 0.0, 47.3984375, 26.296875, 21.09765625, 5.3, 0.0, 100.0, 52.59375, 0.0, 0.0, 0.0, 0.0, 77.0, 14.0, 0.0, 0.0, 1.0, "Tous les candidats", 101.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "17560", "C.M.I - Cursus Master en Ingénierie - Electronique, énergie électrique, automatique - Cursus Master en Ingénierie (CMI) : EEA (Traitement de l'information et gestion de l'énergie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17560&g_ta_cod=17560", 100.0, 0.0, 0.0),
(11127, "Public", "0220071H", "Lycée professionnel Eugene Freyssinet", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée professionnel Eugene Freyssinet - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 15, 639, 335, 639, 0, 94, 12, 187, 18, 247, 61, 111, 0, 0, 0, 0, 0, 334, 0, 0, 0, 72, 9, 109, 10, 138, 27, 15, 45, 15, 15, 15, 0, 4.0, 13.0, 13.0, 0, 1, 14, 3, 3, 8, 1, 0, 1, 4, 6, 3, 0.0, 3, 2, 8, 1, 1, 9, 9, 26.67, 86.67, 86.67, 100.0, 64.296875, 64.296875, 7.099609375, 7.099609375, 93.296875, 0.0, 7.099609375, 28.59765625, 42.8984375, 21.4, 0.0, 21.3984375, 21.3984375, 21.3984375, 14.298828125, 57.09375, 57.09375, 8.0, 2.0, 23.0, 4.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 11.0, "16108", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16108&g_ta_cod=16108", 20.0, 20.0, 60.0),
(11128, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence_Las", "Université de Strasbourg - Licence - Sciences pour la santé - Sciences pour la santé - Sciences de la vie -  option Santé", "Licence - Sciences - technologies - santé", "Sciences pour la santé - Sciences de la vie", 370, 3183, 2307, 3183, 0, 2319, 418, 98, 32, 11, 2, 755, 0, 0, 0, 0, 0, 3118, 0, 0, 0, 2319, 418, 98, 32, 11, 2, 690, 1127, 364, 277, 364, 0, 89.0, 312.0, 335.0, 0, 71, 344, 333, 11, 0, 20, 6, 4, 57, 154, 99, 24.0, 324, 10, 0, 0, 0, 317, 317, 24.45, 85.71, 92.03, 76.09375, 92.1875, 92.1875, 0, 20.59765625, 94.5, 1.699951171875, 1.199951171875, 16.59765625, 44.796875, 28.8, 7.0, 96.796875, 94.1875, 3.19970703125, 2.89990234375, 0.0, 0.0, 967.0, 170.0, 1.0, 0.0, 132.0, "Tous les candidats", 1290.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "29229", "Licence - Sciences pour la santé - Sciences pour la santé - Sciences de la vie -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29229&g_ta_cod=29229", 97.0, 3.0, 0.0),
(11129, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Histoire - Parcours Histoire bilingue Français-Anglais", "Licence - Sciences humaines et sociales", "Histoire bilingue Français-Anglais", 28, 473, 312, 473, 0, 372, 71, 10, 4, 4, 3, 87, 0, 0, 0, 0, 0, 302, 0, 0, 0, 257, 46, 0, 0, 1, 0, 44, 95, 28, 24, 28, 0, 3.0, 26.0, 28.0, 0, 7, 25, 25, 0, 0, 3, 0, 0, 2, 9, 12, 2.0, 25, 0, 0, 0, 0, 9, 9, 10.71, 92.86, 100.0, 85.6875, 36.0, 36.0, 0, 28.0, 89.296875, 0.0, 0.0, 8.0, 36.0, 48.0, 8.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 80.0, 17.0, 0.0, 0.0, 15.0, "Tous les candidats", 171.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "12216", "Licence - Histoire - Parcours Histoire bilingue Français-Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12216&g_ta_cod=12216", 100.0, 0.0, 0.0),
(11130, "Public", "0620062F", "Lycée Pierre De Coubertin", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "BTS", "Lycée Pierre De Coubertin - BTS - Services - Professions immobilières", "BTS - Services", "", 35, 672, 385, 672, 0, 204, 60, 131, 34, 117, 59, 220, 0, 0, 0, 0, 0, 577, 0, 0, 0, 204, 60, 131, 34, 117, 59, 125, 127, 33, 20, 33, 0, 10.0, 23.0, 30.0, 0, 7, 20, 13, 6, 1, 13, 0, 3, 8, 8, 1, 0.0, 10, 6, 1, 4, 3, 20, 20, 30.3, 69.7, 90.91, 60.59375, 100.0, 100.0, 20, 35.0, 60.59375, 0.0, 15.0, 40.0, 40.0, 5.0, 0.0, 65.0, 50.0, 30.0, 30.0, 5.0, 5.0, 39.0, 11.0, 12.0, 4.0, 56.0, "Tous les candidats sauf les Bac professionnels", 165.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 27.0, "7360", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7360&g_ta_cod=7360", 76.0, 21.0, 3.0),
(11131, "Public", "0134386X", "Aix-Marseille Université - Site d'Aubagne", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aubagne", "formation non sélective", "Licence", "Aix-Marseille Université - Site d'Aubagne - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Activités Equestres Adaptées - APAS", "Licence - STAPS", "Activités Equestres Adaptées - APAS", 30, 323, 166, 323, 0, 186, 40, 58, 14, 22, 8, 57, 0, 0, 0, 0, 0, 323, 0, 0, 0, 186, 40, 58, 14, 22, 8, 57, 67, 29, 28, 29, 0, 16.0, 27.0, 28.0, 0, 6, 26, 17, 6, 3, 3, 0, 7, 9, 10, 0, 0.0, 13, 4, 2, 0, 0, 13, 13, 55.17, 93.1, 96.55, 96.59375, 50.0, 50.0, 0, 23.09765625, 89.6875, 0.0, 26.8984375, 34.59375, 38.5, 0.0, 0.0, 65.390625, 50.0, 23.09765625, 15.3984375, 11.5, 7.69921875, 44.0, 8.0, 5.0, 2.0, 10.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "33488", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Activités Equestres Adaptées - APAS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33488&g_ta_cod=33488", 69.0, 21.0, 10.0),
(11132, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Double licence - Economie et gestion / Mathématiques et informatique appliquées aux sciences humaines et sociales - Double Licence mention Economie et gestion [Economie] - mention MIASHS [Mathématiques]", "Licence - Droit-économie-gestion", "Double Licence mention Economie et gestion [Economie] - mention MIASHS [Mathématiques]", 30, 1132, 454, 818, 0, 654, 84, 10, 2, 3, 1, 151, 314, 113, 15, 5, 181, 500, 12, 0, 0, 460, 42, 0, 0, 0, 0, 40, 344, 30, 9, 22, 8, 1.0, 14.0, 21.0, 0, 4, 21, 21, 0, 0, 9, 0, 2, 8, 8, 3, 0.0, 19, 0, 0, 0, 0, 9, 18, 3.33, 46.67, 70.0, 30.0, 42.8984375, 85.6875, 0, 19.0, 70.0, 0.0, 9.5, 38.09375, 38.09375, 14.3, 0.0, 100.0, 90.5, 0.0, 0.0, 0.0, 0.0, 316.0, 34.0, 0.0, 0.0, 28.0, "Tous les candidats", 499.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "24465", "Double licence - Economie et gestion / Mathématiques et informatique appliquées aux sciences humaines et sociales - Double Licence mention Economie et gestion [Economie] - mention MIASHS [Mathématiques]", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24465&g_ta_cod=24465", 100.0, 0.0, 0.0),
(11133, "Public", "0341736C", "Lycée Jean Monnet", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "Lycée Jean Monnet - DN MADE - Numérique - - Spécialité : narration et motion design : campagne de communication numérique, identité numérique", "DN MADE", "- Spécialité : narration et motion design : campagne de communication numérique, identité numérique", 15, 559, 289, 559, 0, 195, 46, 142, 33, 64, 26, 158, 0, 0, 0, 0, 0, 331, 0, 0, 0, 129, 25, 110, 22, 10, 2, 82, 59, 15, 8, 15, 0, 3.0, 13.0, 14.0, 0, 4, 10, 2, 7, 1, 5, 0, 1, 3, 4, 2, 0.0, 2, 6, 1, 0, 0, 2, 2, 20.0, 86.67, 93.33, 53.296875, 20.0, 20.0, 0, 40.0, 66.6875, 0.0, 10.0, 30.0, 40.0, 20.0, 0.0, 20.0, 20.0, 70.0, 60.0, 10.0, 10.0, 11.0, 5.0, 3.0, 1.0, 10.0, "Tous les candidats", 100.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "21985", "DN MADE - Numérique - - Spécialité : narration et motion design : campagne de communication numérique, identité numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21985&g_ta_cod=21985", 40.0, 47.0, 13.0),
(11134, "Privé sous contrat d'association", "0601700X", "Institution Sevigne", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "BTS", "Institution Sevigne - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 190, 117, 133, 0, 7, 1, 32, 8, 38, 14, 56, 57, 2, 20, 9, 26, 75, 10, 0, 0, 7, 1, 28, 6, 29, 8, 11, 77, 14, 11, 13, 1, 7.0, 12.0, 14.0, 0, 2, 14, 2, 7, 5, 0, 0, 7, 5, 2, 0, 0.0, 1, 3, 3, 3, 2, 14, 14, 50.0, 85.71, 100.0, 78.59375, 100.0, 100.0, 21.3984375, 14.298828125, 100.0, 0.0, 50.0, 35.6953125, 14.298828125, 0.0, 0.0, 14.298828125, 7.099609375, 50.0, 21.3984375, 35.6953125, 21.3984375, 7.0, 1.0, 28.0, 8.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 56.0, "7263", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7263&g_ta_cod=7263", 14.0, 50.0, 36.0),
(11135, "Public", "0740009H", "Lycée des Glieres", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annemasse", "formation sélective", "BTS", "Lycée des Glieres - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 15, 347, 216, 347, 0, 35, 7, 137, 51, 75, 34, 100, 0, 0, 0, 0, 0, 176, 0, 0, 0, 31, 6, 71, 15, 35, 15, 39, 82, 15, 11, 15, 0, 3.0, 12.0, 15.0, 0, 2, 11, 3, 6, 2, 4, 0, 3, 7, 1, 0, 0.0, 2, 4, 2, 2, 1, 5, 5, 20.0, 80.0, 100.0, 73.296875, 45.5, 45.5, 18.19921875, 18.19921875, 73.296875, 0.0, 27.296875, 63.59375, 9.099609375, 0.0, 0.0, 27.296875, 18.19921875, 54.5, 36.3984375, 18.19921875, 18.19921875, 16.0, 4.0, 10.0, 4.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 33.0, "14167", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14167&g_ta_cod=14167", 27.0, 47.0, 27.0),
(11136, "Privé sous contrat d'association", "0350776D", "Lycée St Vincent-Providence", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "CPGE", "Lycée St Vincent-Providence - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 26, 476, 207, 476, 307, 412, 16, 0, 0, 0, 0, 64, 0, 0, 0, 0, 0, 334, 0, 118, 317, 327, 10, 0, 0, 0, 0, 7, 165, 25, 11, 25, 0, 0.0, 15.0, 24.0, 7, 1, 25, 25, 0, 0, 0, 0, 0, 4, 16, 5, 0.0, 25, 0, 0, 0, 0, 16, 16, 0.0, 60.0, 96.0, 44.0, 64.0, 64.0, 0, 4.0, 100.0, 0.0, 0.0, 16.0, 64.0, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 164.0, 9.0, 0.0, 0.0, 1.0, "Tous les candidats", 281.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "31386", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31386&g_ta_cod=31386", 100.0, 0.0, 0.0),
(11137, "Privé sous contrat d'association", "0921484N", "Lycée Montalembert", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Courbevoie", "formation sélective", "BTS", "Lycée Montalembert - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 818, 339, 779, 0, 94, 12, 346, 101, 178, 60, 161, 39, 18, 0, 0, 21, 412, 5, 0, 0, 76, 9, 199, 50, 87, 28, 50, 200, 28, 9, 28, 0, 3.0, 17.0, 23.0, 0, 6, 23, 6, 11, 6, 5, 0, 10, 11, 1, 1, 0.0, 1, 8, 4, 5, 1, 20, 22, 10.71, 60.71, 82.14, 32.09375, 87.0, 95.6875, 21.69921875, 26.09765625, 82.09375, 0.0, 43.5, 47.796875, 4.2998046875, 4.3, 0.0, 26.09765625, 4.2998046875, 47.796875, 34.796875, 26.09765625, 17.3984375, 53.0, 10.0, 47.0, 18.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 82.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 120, "Liste d'appel propre à cette formation", 33.0, "11126", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11126&g_ta_cod=11126", 32.0, 43.0, 25.0),
(11138, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  LLCER Portugais", "Licence - Arts-lettres-langues", "LLCER Portugais", 20, 117, 74, 50, 0, 16, 4, 6, 1, 5, 1, 23, 67, 5, 5, 10, 47, 49, 65, 0, 0, 16, 4, 6, 1, 5, 1, 22, 114, 8, 7, 3, 5, 3.0, 3.0, 6.0, 0, 0, 1, 0, 0, 1, 7, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 37.5, 37.5, 75.0, 87.5, 100.0, 100.0, 0, 0.0, 12.5, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 21.0, 7.0, 15.0, 5.0, 67.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "2736", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  LLCER Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2736&g_ta_cod=2736", 50.0, 0.0, 38.0),
(11139, "Public", "0590249A", "Lycée professionnel Jacques-Yves Cousteau", "59", "Nord", "Hauts-de-France", "Lille", "Wasquehal", "formation sélective", "BTS", "Lycée professionnel Jacques-Yves Cousteau - BTS - Production - Bioqualité", "BTS - Production", "", 15, 173, 99, 165, 0, 14, 5, 51, 14, 20, 10, 80, 8, 0, 0, 6, 2, 81, 0, 0, 0, 10, 3, 29, 6, 12, 6, 30, 46, 14, 6, 14, 0, 4.0, 11.0, 14.0, 0, 2, 5, 1, 1, 3, 9, 0, 1, 2, 2, 0, 0.0, 0, 1, 3, 2, 1, 4, 4, 28.57, 78.57, 100.0, 42.8984375, 80.0, 80.0, 40, 40.0, 35.6953125, 0.0, 20.0, 40.0, 40.0, 0.0, 0.0, 20.0, 0.0, 20.0, 20.0, 60.0, 60.0, 6.0, 2.0, 11.0, 5.0, 14.0, "Tous les candidats sauf les Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 13, "", 0, "Liste d'appel propre à cette formation", 36.0, "12917", "BTS - Production - Bioqualité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12917&g_ta_cod=12917", 43.0, 29.0, 29.0),
(11140, "Public", "0772225A", "Lycée professionnel Lino Ventura", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Ozoir-la-Ferrière", "formation sélective", "Autre formation", "Lycée professionnel Lino Ventura - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 20, 17, 0, 0, 0.0, 0.0, 4.0, 0, 7, 19, 0, 3, 16, 1, 0, 17, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 18, 19, 0.0, 0.0, 20.0, 85.0, 94.6875, 100.0, 0, 36.796875, 95.0, 0.0, 89.5, 10.5, 0.0, 0.0, 0.0, 0.0, 0.0, 15.798828125, 5.2998046875, 84.1875, 5.2998046875, 0.0, 0.0, 62.0, 28.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25596", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 20.0, 80.0),
(11141, "Privé sous contrat d'association", "0030935A", "ES Vichy", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Vichy", "formation sélective", "BTS", "ES Vichy - BTS - Services - Tourisme", "BTS - Services", "", 48, 226, 151, 191, 0, 55, 13, 19, 1, 21, 10, 96, 35, 3, 4, 6, 22, 115, 24, 0, 0, 51, 11, 18, 1, 16, 6, 30, 126, 28, 20, 20, 8, 10.0, 18.0, 25.0, 0, 4, 14, 9, 1, 4, 14, 0, 9, 4, 0, 1, 0.0, 4, 0, 1, 0, 0, 10, 10, 35.71, 64.29, 89.29, 71.390625, 71.390625, 71.390625, 0, 28.59765625, 50.0, 0.0, 64.296875, 28.59765625, 0.0, 7.1, 0.0, 64.296875, 28.59765625, 7.099609375, 0.0, 28.59765625, 7.099609375, 51.0, 10.0, 19.0, 8.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 59.0, "2149", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2149&g_ta_cod=2149", 79.0, 4.0, 18.0),
(11142, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "PASS", "Université de Bourgogne - site de Dijon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 144, 1538, 1062, 1538, 0, 1170, 186, 49, 9, 7, 5, 312, 0, 0, 0, 0, 0, 1534, 0, 0, 0, 1171, 187, 49, 9, 7, 5, 307, 684, 143, 99, 143, 0, 4.0, 119.0, 134.0, 0, 12, 131, 125, 5, 1, 12, 0, 35, 60, 31, 5, 0.0, 92, 3, 1, 0, 0, 118, 118, 2.8, 83.22, 93.71, 69.1875, 90.09375, 90.09375, 0, 9.19921875, 91.59375, 0.0, 26.69921875, 45.796875, 23.69921875, 3.8, 0.0, 95.390625, 70.1875, 3.7998046875, 2.2998046875, 0.7999267578125, 0.7999267578125, 620.0, 84.0, 2.0, 2.0, 50.0, "Tous les candidats", 4023.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 79.0, "27669", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27662&g_ta_cod=27669", 94.0, 4.0, 1.0),
(11143, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Informatique - Parcours Informatique Générale - Campus Grands Moulins", "Licence - Sciences - technologies - santé", "Informatique Générale - Campus Grands Moulins", 128, 3121, 506, 3121, 0, 2108, 505, 169, 68, 19, 6, 825, 0, 0, 0, 0, 0, 3121, 0, 0, 0, 2108, 505, 169, 68, 19, 6, 825, 706, 126, 16, 126, 0, 50.0, 91.0, 111.0, 0, 34, 118, 113, 4, 1, 8, 0, 20, 55, 33, 10, 0.0, 93, 4, 1, 0, 0, 31, 107, 39.68, 72.22, 88.1, 12.69921875, 26.296875, 90.6875, 0, 28.796875, 93.6875, 0.0, 16.8984375, 46.59375, 28.0, 8.5, 0.0, 95.796875, 78.796875, 3.39990234375, 3.39990234375, 0.7999267578125, 0.7999267578125, 630.0, 132.0, 2.0, 1.0, 56.0, "Tous les candidats", 770.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "9346", "Licence - Informatique - Parcours Informatique Générale - Campus Grands Moulins", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9346&g_ta_cod=9346", 96.0, 3.0, 1.0),
(11144, "Public", "0850151C", "Lycée agricole Bel Air", "85", "Vendée", "Pays de la Loire", "Nantes", "Fontenay-le-Comte", "formation sélective", "BTS", "Lycée agricole Bel Air - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 32, 413, 231, 357, 0, 67, 9, 75, 18, 28, 2, 187, 56, 13, 12, 6, 25, 174, 25, 0, 0, 63, 9, 60, 15, 17, 2, 34, 169, 28, 21, 20, 8, 3.0, 18.0, 27.0, 0, 6, 21, 9, 10, 2, 7, 0, 10, 10, 1, 0, 0.0, 5, 4, 2, 0, 0, 6, 6, 10.71, 64.29, 96.43, 75.0, 28.59765625, 28.59765625, 0, 28.59765625, 75.0, 0.0, 47.59375, 47.59375, 4.7998046875, 0.0, 0.0, 42.8984375, 23.796875, 47.59375, 19.0, 9.5, 9.5, 58.0, 9.0, 15.0, 3.0, 41.0, "Tous les candidats sauf les Bac professionnels", 155.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 49.0, "10515", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10515&g_ta_cod=10515", 39.0, 54.0, 7.0),
(11145, "Privé sous contrat d'association", "0060774J", "Lycée Saint Joseph", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 325, 174, 307, 0, 48, 11, 118, 34, 64, 21, 77, 18, 2, 0, 0, 16, 230, 8, 0, 0, 47, 11, 114, 33, 49, 17, 20, 127, 20, 11, 19, 0, 1.0, 12.0, 14.0, 0, 1, 14, 5, 7, 2, 6, 1, 7, 4, 2, 0, 0.0, 2, 3, 1, 1, 1, 11, 11, 5.0, 60.0, 70.0, 55.0, 78.59375, 78.59375, 7.099609375, 7.099609375, 70.0, 7.099609375, 50.0, 28.59765625, 14.298828125, 0.0, 0.0, 35.6953125, 14.298828125, 50.0, 21.3984375, 14.298828125, 7.099609375, 35.0, 10.0, 28.0, 9.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 52.0, "2244", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2244&g_ta_cod=2244", 25.0, 50.0, 25.0),
(11146, "Privé enseignement supérieur", "0942144V", "IPSA Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Ivry-sur-Seine", "formation sélective", "Ecole d'Ingénieur", "Concours Advance - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 230, 3066, 589, 3066, 0, 3058, 290, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 2783, 0, 0, 0, 2780, 224, 0, 0, 0, 0, 3, 2135, 291, 52, 291, 0, 288.0, 288.0, 290.0, 0, 25, 291, 291, 0, 0, 0, 0, 29, 147, 103, 11, 1.0, 262, 0, 0, 0, 0, 58, 180, 98.97, 98.97, 99.66, 17.8984375, 19.8984375, 61.8984375, 0, 8.599609375, 100.0, 0.0, 10.0, 50.5, 35.3984375, 3.8, 0.3, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 2133.0, 151.0, 0.0, 0.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 70.0, "128", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Advance", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=124&g_ta_cod=128", 100.0, 0.0, 0.0),
(11147, "Privé enseignement supérieur", "0442896J", "CFA de l'ESB", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "CFA de l'ESB - Diplôme d'Etablissement - Bachelor  Bois et Transition numérique de la production", "Diplôme d'Etablissement", "Bachelor  Bois et Transition numérique de la production", 24, 55, 2, 50, 0, 27, 0, 12, 1, 2, 0, 9, 5, 1, 0, 0, 4, 31, 2, 0, 0, 21, 0, 8, 0, 0, 0, 2, 33, 13, 1, 13, 0, 13.0, 13.0, 13.0, 0, 0, 11, 9, 2, 0, 2, 0, 1, 8, 2, 0, 0.0, 8, 2, 0, 0, 0, 4, 4, 100.0, 100.0, 100.0, 7.69921875, 36.3984375, 36.3984375, 0, 0.0, 84.59375, 0.0, 9.099609375, 72.6875, 18.19921875, 0.0, 0.0, 81.796875, 72.6875, 18.19921875, 18.19921875, 0.0, 0.0, 21.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "26076", "Diplôme d'Etablissement - Bachelor  Bois et Transition numérique de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26076&g_ta_cod=26076", 85.0, 15.0, 0.0),
(11148, "Public", "0761688X", "I.U.T du Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BUT", "I.U.T du Havre - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client - Marketing et management du point de vente", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client - Marketing et management du point de vente", 135, 2015, 1007, 2015, 0, 1026, 179, 633, 191, 26, 8, 330, 0, 0, 0, 0, 0, 1271, 0, 0, 0, 684, 119, 481, 128, 0, 0, 106, 614, 133, 76, 132, 0, 19.0, 123.0, 126.0, 0, 37, 125, 61, 64, 0, 8, 1, 16, 79, 25, 4, 0.0, 56, 52, 0, 0, 0, 104, 104, 14.29, 92.48, 94.74, 57.09375, 83.1875, 83.1875, 0, 29.59765625, 94.0, 0.7999267578125, 12.798828125, 63.1953125, 20.0, 3.2, 0.0, 48.796875, 44.796875, 51.1953125, 41.59375, 0.0, 0.0, 297.0, 71.0, 0.0, 0.0, 46.0, "Tous les candidats sauf les Bac technologiques", 445.0, "Bacheliers technologiques toutes séries", 348, "", 0, "Liste d'appel propre à cette formation", 39.0, "9658", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business développement et management de la relation client - Marketing et management du point de vente", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9658&g_ta_cod=9658", 49.0, 50.0, 0.0),
(11149, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence_Las", "Université de Poitiers - Licence - Portail  -  option Santé", "Licence - Arts-lettres-langues", "", 40, 256, 198, 227, 0, 127, 35, 12, 4, 8, 2, 80, 29, 7, 1, 2, 19, 223, 26, 0, 0, 127, 35, 12, 4, 8, 2, 76, 190, 37, 30, 30, 7, 2.0, 23.0, 29.0, 0, 6, 22, 18, 3, 1, 15, 0, 3, 12, 6, 1, 0.0, 15, 3, 1, 0, 0, 17, 17, 5.41, 62.16, 78.38, 81.09375, 77.296875, 77.296875, 0, 27.296875, 59.5, 0.0, 13.599609375, 54.5, 27.296875, 4.5, 0.0, 81.796875, 68.1875, 13.599609375, 13.599609375, 4.5, 4.5, 110.0, 28.0, 3.0, 1.0, 67.0, "Tous les candidats", 222.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "28743", "Licence - Portail  -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28743&g_ta_cod=28743", 70.0, 14.0, 16.0),
(11150, "Public", "0260791U", "Lycée agricole De Romans Sur Isere", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Romans-sur-Isère", "formation sélective", "BTS", "Lycée agricole De Romans Sur Isere - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 34, 551, 163, 527, 0, 55, 8, 83, 6, 81, 11, 308, 24, 6, 4, 7, 7, 183, 12, 0, 0, 46, 8, 47, 3, 72, 8, 18, 137, 24, 1, 20, 4, 3.0, 16.0, 21.0, 0, 3, 20, 6, 8, 6, 4, 1, 10, 8, 1, 0, 0.0, 2, 3, 4, 3, 0, 16, 16, 12.5, 66.67, 87.5, 4.19921875, 80.0, 80.0, 15, 15.0, 83.296875, 5.0, 50.0, 40.0, 5.0, 0.0, 0.0, 30.0, 10.0, 40.0, 15.0, 30.0, 20.0, 37.0, 6.0, 47.0, 3.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 62.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 34.0, "13579", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13579&g_ta_cod=13579", 38.0, 38.0, 25.0),
(11151, "Public", "9741180P", "I.U.T de la Réunion", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BUT", "I.U.T de la Réunion - BUT - Génie civil - Construction durable", "BUT - Production", "", 52, 503, 95, 471, 0, 167, 53, 213, 99, 10, 6, 81, 32, 0, 16, 0, 16, 280, 4, 0, 0, 149, 50, 90, 32, 2, 2, 39, 162, 46, 10, 45, 1, 23.0, 40.0, 41.0, 0, 14, 38, 21, 17, 0, 8, 0, 5, 15, 17, 1, 0.0, 16, 17, 0, 0, 0, 34, 34, 50.0, 86.96, 89.13, 21.69921875, 89.5, 89.5, 0, 36.796875, 82.59375, 0.0, 13.19921875, 39.5, 44.6953125, 2.6, 0.0, 55.296875, 42.09375, 44.6953125, 44.6953125, 0.0, 0.0, 73.0, 29.0, 0.0, 0.0, 27.0, "Tous les candidats sauf les Bac technologiques", 113.0, "Bacheliers technologiques toutes séries", 100, "", 0, "Liste d'appel propre à cette formation", 45.0, "11952", "BUT - Génie civil - Construction durable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11952&g_ta_cod=11952", 50.0, 48.0, 2.0),
(11152, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "PASS", "Université de La Réunion - Saint Denis - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 100, 1563, 1071, 1563, 0, 1163, 373, 115, 64, 37, 29, 248, 0, 0, 0, 0, 0, 1547, 0, 0, 0, 1163, 373, 115, 64, 37, 29, 232, 474, 143, 105, 143, 0, 25.0, 129.0, 142.0, 0, 42, 132, 128, 2, 2, 11, 0, 2, 31, 57, 32, 10.0, 126, 2, 2, 0, 0, 124, 124, 17.48, 90.21, 99.3, 73.390625, 93.890625, 93.890625, 0, 31.796875, 92.296875, 0.0, 1.5, 23.5, 43.1953125, 24.2, 7.6, 97.0, 95.5, 1.5, 1.5, 1.5, 1.5, 407.0, 123.0, 7.0, 6.0, 47.0, "Tous les candidats", 990.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 53.0, "27566", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27563&g_ta_cod=27566", 97.0, 2.0, 1.0),
(11153, "Privé sous contrat d'association", "0573366Z", "Lycée Saint Vincent De Paul", "57", "Moselle", "Grand Est", "Nancy-Metz", "Algrange", "formation sélective", "Autre formation", "Lycée Saint Vincent De Paul - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 24, 301, 223, 301, 0, 61, 6, 133, 29, 1, 0, 106, 0, 0, 0, 0, 0, 205, 0, 0, 0, 55, 6, 76, 14, 0, 0, 74, 72, 26, 17, 26, 0, 14.0, 21.0, 23.0, 0, 0, 16, 5, 11, 0, 10, 0, 3, 9, 4, 0, 0.0, 4, 9, 0, 0, 0, 15, 15, 53.85, 80.77, 88.46, 65.390625, 93.796875, 93.796875, 0, 0.0, 61.5, 0.0, 18.796875, 56.296875, 25.0, 0.0, 0.0, 31.296875, 25.0, 68.796875, 56.296875, 0.0, 0.0, 20.0, 1.0, 0.0, 0.0, 29.0, "Tous les candidats", 95.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "6662", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6662&g_ta_cod=6662", 42.0, 58.0, 0.0),
(11154, "Public", "0920136Y", "Lycée Newton-Enrea", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Clichy", "formation sélective", "BTS", "Lycée Newton-Enrea - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 28, 1110, 68, 1110, 0, 91, 28, 347, 165, 350, 166, 322, 0, 0, 0, 0, 0, 943, 0, 0, 0, 91, 28, 347, 165, 350, 166, 155, 162, 29, 1, 29, 0, 0.0, 19.0, 27.0, 0, 20, 26, 2, 12, 12, 3, 0, 11, 11, 4, 0, 0.0, 1, 4, 10, 6, 0, 12, 25, 0.0, 65.52, 93.1, 3.39990234375, 46.1953125, 96.1875, 23.09765625, 76.890625, 89.6875, 0.0, 42.296875, 42.296875, 15.3984375, 0.0, 0.0, 7.69921875, 3.7998046875, 46.1953125, 15.3984375, 46.1953125, 38.5, 20.0, 7.0, 61.0, 33.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 96, "Bacheliers technologiques toutes séries", 126, "Liste d'appel propre à cette formation", 23.0, "20633", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20633&g_ta_cod=20633", 17.0, 41.0, 41.0),
(11155, "Public", "0180860M", "Université d'Orléans - Centre Univ. de Bourges (Bourges)", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "Sciences et Techniques des Activités Physiques et Sportives - Site de Bourges", 60, 2024, 605, 2024, 0, 1246, 173, 265, 61, 71, 26, 442, 0, 0, 0, 0, 0, 2022, 0, 0, 0, 1245, 173, 265, 61, 71, 26, 441, 479, 57, 20, 57, 0, 2.0, 31.0, 45.0, 0, 6, 43, 38, 2, 3, 14, 0, 22, 14, 6, 1, 0.0, 18, 1, 2, 0, 0, 42, 42, 3.51, 54.39, 78.95, 35.09375, 97.6875, 97.6875, 0, 14.0, 75.390625, 0.0, 51.1953125, 32.59375, 14.0, 2.3, 0.0, 88.390625, 41.8984375, 4.69921875, 2.2998046875, 7.0, 4.69921875, 288.0, 40.0, 11.0, 7.0, 145.0, "Tous les candidats", 1237.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "21762", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5714&g_ta_cod=21762", 86.0, 5.0, 9.0),
(11156, "Public", "0594391C", "E.S.AA.T.", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "Autre formation", "E.S.AA.T. - DN MADE - Graphisme - - Spécialité : Edition multisupports", "DN MADE", "- Spécialité : Edition multisupports", 15, 653, 428, 653, 0, 230, 43, 170, 40, 73, 24, 180, 0, 0, 0, 0, 0, 207, 0, 0, 0, 107, 16, 85, 14, 2, 1, 13, 51, 15, 13, 15, 0, 1.0, 9.0, 12.0, 0, 3, 15, 8, 6, 1, 0, 0, 0, 0, 7, 7, 1.0, 8, 6, 1, 0, 0, 8, 8, 6.67, 60.0, 80.0, 86.6875, 53.296875, 53.296875, 0, 20.0, 100.0, 0.0, 0.0, 0.0, 46.6953125, 46.7, 6.7, 53.296875, 53.296875, 40.0, 40.0, 6.69921875, 6.69921875, 29.0, 4.0, 2.0, 1.0, 1.0, "Tous les candidats", 76.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "24724", "DN MADE - Graphisme - - Spécialité : Edition multisupports", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24724&g_ta_cod=24724", 53.0, 40.0, 7.0),
(11157, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "Licence", "ICES - Institut Catholique de Vendée - Double licence - Histoire / Science politique -", "Licence - Sciences humaines et sociales", "", 40, 276, 120, 276, 0, 242, 19, 2, 0, 0, 0, 32, 0, 0, 0, 0, 0, 220, 0, 0, 0, 192, 14, 2, 0, 0, 0, 26, 128, 40, 13, 40, 0, 17.0, 40.0, 40.0, 0, 2, 38, 37, 1, 0, 2, 0, 5, 7, 23, 3, 0.0, 32, 1, 0, 0, 0, 15, 15, 42.5, 100.0, 100.0, 32.5, 39.5, 39.5, 0, 5.2998046875, 95.0, 0.0, 13.19921875, 18.3984375, 60.5, 7.9, 0.0, 97.390625, 84.1875, 2.599609375, 2.599609375, 0.0, 0.0, 114.0, 8.0, 0.0, 0.0, 12.0, "Tous les candidats", 164.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "32208", "Double licence - Histoire / Science politique -", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32208&g_ta_cod=32208", 98.0, 3.0, 0.0),
(11158, "Public", "0623915U", "Lycée Voltaire", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Wingles", "formation sélective", "BTS", "Lycée Voltaire - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 307, 184, 294, 0, 16, 7, 95, 32, 84, 46, 99, 13, 0, 0, 8, 5, 217, 5, 0, 0, 16, 7, 87, 32, 62, 36, 52, 105, 33, 21, 31, 2, 8.0, 28.0, 31.0, 0, 12, 29, 2, 12, 15, 4, 0, 9, 14, 5, 1, 0.0, 1, 7, 12, 11, 6, 28, 28, 24.24, 84.85, 93.94, 63.59375, 96.59375, 96.59375, 37.8984375, 41.3984375, 87.890625, 0.0, 31.0, 48.296875, 17.19921875, 3.4, 0.0, 6.8994140625, 3.39990234375, 41.3984375, 24.09765625, 51.6953125, 41.3984375, 7.0, 1.0, 50.0, 30.0, 12.0, "Tous les candidats sauf les Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 71, "", 0, "Liste d'appel propre à cette formation", 45.0, "7491", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7491&g_ta_cod=7491", 9.0, 36.0, 55.0),
(11159, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Portail Informatique-Maths", "Licence - Sciences - technologies - santé", "Informatique-Maths", 250, 1187, 265, 897, 0, 596, 116, 38, 19, 4, 1, 259, 290, 48, 8, 2, 232, 882, 230, 0, 0, 596, 116, 38, 19, 4, 1, 244, 1024, 189, 38, 119, 66, 36.0, 117.0, 170.0, 0, 22, 81, 72, 6, 3, 108, 0, 40, 23, 14, 4, 0.0, 37, 1, 3, 0, 0, 50, 50, 19.05, 61.9, 89.95, 20.09765625, 61.6953125, 61.6953125, 0, 27.19921875, 42.8984375, 0.0, 49.3984375, 28.3984375, 17.296875, 4.9, 0.0, 88.890625, 45.6953125, 7.3994140625, 1.199951171875, 3.69970703125, 3.69970703125, 590.0, 118.0, 5.0, 1.0, 397.0, "Tous les candidats", 881.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "32770", "Licence - Portail Informatique-Maths", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32770&g_ta_cod=32770", 88.0, 10.0, 2.0),
(11160, "Public", "0490068H", "Ecole supérieure d'art et de design TALM-Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "Concours TALM - Diplôme National d'Art option art - Concours ART", "Diplôme National d'Art", "Concours ART", 55, 467, 374, 467, 0, 178, 28, 37, 7, 12, 3, 240, 0, 0, 0, 0, 0, 353, 0, 0, 0, 131, 24, 28, 4, 6, 2, 188, 131, 55, 45, 55, 0, 20.0, 43.0, 51.0, 0, 5, 21, 17, 4, 0, 34, 0, 3, 8, 6, 4, 0.0, 14, 4, 0, 0, 0, 15, 15, 36.36, 78.18, 92.73, 81.796875, 71.390625, 71.390625, 0, 23.796875, 38.1953125, 0.0, 14.298828125, 38.09375, 28.59765625, 19.0, 0.0, 81.0, 66.6875, 19.0, 19.0, 0.0, 0.0, 34.0, 9.0, 1.0, 0.0, 85.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "19253", "Diplôme National d'Art option art - Concours ART", "Concours TALM", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19252&g_ta_cod=19253", 76.0, 15.0, 5.0),
(11161, "Privé enseignement supérieur", "0752139T", "IPC-Facultés Libres de Philosophie et de Psycholog", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "Licence", "IPC-Facultés Libres de Philosophie et de Psycholog - Licence - Philosophie", "Licence - Sciences humaines et sociales", "", 55, 670, 479, 334, 0, 226, 16, 20, 6, 7, 2, 81, 336, 86, 41, 15, 194, 133, 10, 0, 0, 114, 6, 2, 0, 1, 0, 16, 131, 60, 39, 52, 8, 37.0, 52.0, 58.0, 0, 3, 48, 47, 0, 1, 12, 0, 7, 18, 13, 8, 2.0, 40, 0, 1, 0, 0, 5, 15, 61.67, 86.67, 96.67, 65.0, 10.3984375, 31.296875, 0, 6.2998046875, 80.0, 0.0, 14.599609375, 37.5, 27.09765625, 16.7, 4.2, 97.890625, 83.296875, 0.0, 0.0, 2.099609375, 2.099609375, 108.0, 6.0, 1.0, 0.0, 21.0, "Tous les candidats", 134.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "9361", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9361&g_ta_cod=9361", 95.0, 3.0, 2.0),
(11162, "Privé sous contrat d'association", "0300127A", "Lycée St Vincent De Paul", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée St Vincent De Paul - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 290, 142, 239, 0, 49, 16, 68, 32, 46, 21, 76, 51, 2, 2, 17, 30, 164, 13, 0, 0, 41, 12, 56, 22, 34, 16, 33, 139, 27, 9, 22, 5, 6.0, 20.0, 22.0, 0, 8, 19, 8, 6, 5, 8, 0, 10, 6, 3, 0, 0.0, 3, 3, 3, 6, 2, 16, 16, 22.22, 74.07, 81.48, 33.296875, 84.1875, 84.1875, 31.59765625, 42.09375, 70.390625, 0.0, 52.59375, 31.59765625, 15.798828125, 0.0, 0.0, 42.09375, 15.798828125, 31.59765625, 15.798828125, 26.296875, 15.798828125, 36.0, 12.0, 29.0, 13.0, 33.0, "Tous les candidats sauf les Bac professionnels", 120.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 65.0, "3977", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3977&g_ta_cod=3977", 48.0, 30.0, 22.0),
(11163, "Public", "9741180P", "I.U.T de la Réunion", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BUT", "I.U.T de la Réunion - BUT - Carrières sociales Parcours éducation spécialisée", "BUT - Service", "", 27, 484, 413, 475, 0, 160, 74, 178, 101, 16, 11, 121, 9, 0, 3, 0, 6, 163, 3, 0, 0, 65, 33, 63, 37, 9, 7, 26, 70, 27, 25, 24, 2, 12.0, 21.0, 21.0, 0, 9, 21, 11, 8, 2, 6, 0, 2, 8, 9, 2, 0.0, 9, 8, 2, 0, 0, 16, 16, 44.44, 77.78, 77.78, 92.59375, 76.1875, 76.1875, 0, 42.8984375, 77.796875, 0.0, 9.5, 38.09375, 42.8984375, 9.5, 0.0, 52.3984375, 42.8984375, 38.09375, 38.09375, 9.5, 9.5, 20.0, 10.0, 3.0, 2.0, 19.0, "Tous les candidats sauf les Bac technologiques", 33.0, "Bacheliers technologiques toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 17.0, "30744", "BUT - Carrières sociales Parcours éducation spécialisée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30744&g_ta_cod=30744", 48.0, 44.0, 7.0),
(11164, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Droit", "Licence - Droit-économie-gestion", "", 494, 2257, 1603, 2236, 0, 1607, 318, 192, 65, 43, 14, 394, 21, 3, 3, 0, 15, 2236, 12, 0, 0, 1607, 318, 192, 65, 43, 14, 394, 1505, 476, 338, 467, 8, 108.0, 419.0, 450.0, 0, 103, 404, 365, 31, 8, 72, 1, 115, 157, 96, 32, 3.0, 271, 13, 4, 0, 0, 315, 315, 22.69, 88.03, 94.54, 71.0, 78.0, 78.0, 0, 25.5, 84.890625, 0.199981689453125, 28.5, 38.8984375, 23.796875, 7.9, 0.7, 90.296875, 67.09375, 7.69921875, 3.19970703125, 2.0, 1.0, 1162.0, 233.0, 17.0, 10.0, 266.0, "Tous les candidats", 1844.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "6119", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27248&g_ta_cod=6119", 90.0, 8.0, 2.0),
(11165, "Public", "0080027L", "Lycée Monge", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "BTS", "Lycée Monge - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 480, 237, 475, 0, 48, 14, 128, 64, 102, 45, 197, 5, 0, 0, 4, 1, 220, 2, 0, 0, 29, 8, 75, 35, 80, 33, 36, 116, 30, 14, 29, 1, 8.0, 24.0, 25.0, 0, 13, 25, 2, 8, 15, 5, 0, 15, 7, 3, 0, 0.0, 0, 1, 9, 9, 3, 21, 21, 26.67, 80.0, 83.33, 46.6953125, 84.0, 84.0, 36, 52.0, 83.296875, 0.0, 60.0, 28.0, 12.0, 0.0, 0.0, 8.0, 0.0, 32.0, 4.0, 60.0, 36.0, 13.0, 4.0, 57.0, 26.0, 14.0, "Tous les candidats sauf les Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 69, "", 0, "Liste d'appel propre à cette formation", 29.0, "2365", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2365&g_ta_cod=2365", 10.0, 33.0, 57.0),
(11166, "Public", "0720033V", "Lycée Polyvalent Gabriel Touchard - Washington", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "CPGE", "Lycée Polyvalent Gabriel Touchard - Washington - CPGE - TSI", "Classe préparatoire scientifique", "", 24, 330, 26, 323, 248, 0, 0, 291, 49, 0, 0, 32, 7, 0, 4, 0, 3, 257, 2, 204, 239, 0, 0, 249, 33, 0, 0, 8, 186, 17, 2, 17, 0, 7.0, 17.0, 17.0, 6, 1, 16, 0, 16, 0, 1, 0, 0, 7, 6, 3, 0.0, 0, 16, 0, 3, 0, 8, 8, 41.18, 100.0, 100.0, 11.798828125, 50.0, 50.0, 18.796875, 6.2998046875, 94.09375, 0.0, 0.0, 43.796875, 37.5, 18.8, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 257.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "8694", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8694&g_ta_cod=8694", 0.0, 100.0, 0.0),
(11167, "Public", "0450094H", "Lycée agricole Le Chesnoy - Les Barres", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Amilly", "formation sélective", "BTS", "Lycée agricole Le Chesnoy - Les Barres - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 28, 246, 81, 236, 0, 22, 1, 59, 17, 35, 7, 120, 10, 1, 0, 1, 8, 110, 2, 0, 0, 22, 1, 56, 16, 24, 7, 8, 99, 17, 8, 17, 0, 8.0, 17.0, 17.0, 0, 6, 15, 1, 9, 5, 2, 0, 4, 7, 4, 0, 0.0, 1, 5, 5, 9, 4, 12, 12, 47.06, 100.0, 100.0, 47.09375, 80.0, 80.0, 60, 40.0, 88.1875, 0.0, 26.69921875, 46.6953125, 26.69921875, 0.0, 0.0, 6.69921875, 6.69921875, 60.0, 33.296875, 33.296875, 33.296875, 16.0, 2.0, 23.0, 7.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 47.0, "5680", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5680&g_ta_cod=5680", 12.0, 53.0, 35.0),
(11168, "Privé sous contrat d'association", "0350797B", "Lycée Jeanne d'Arc", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Jeanne d'Arc - BTS - Services - Support à l'action managériale", "BTS - Services", "", 50, 243, 175, 219, 0, 29, 3, 115, 18, 37, 8, 38, 24, 2, 4, 4, 14, 172, 7, 0, 0, 21, 3, 95, 11, 29, 8, 27, 149, 49, 40, 44, 5, 15.0, 36.0, 45.0, 0, 7, 37, 3, 25, 9, 12, 0, 9, 24, 3, 1, 0.0, 2, 17, 9, 11, 8, 37, 37, 30.61, 73.47, 91.84, 81.59375, 100.0, 100.0, 29.69921875, 18.8984375, 75.5, 0.0, 24.296875, 64.890625, 8.099609375, 2.7, 0.0, 8.099609375, 5.3994140625, 67.59375, 45.8984375, 24.296875, 24.296875, 15.0, 2.0, 31.0, 10.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 104, "Liste d'appel propre à cette formation", 78.0, "4696", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4696&g_ta_cod=4696", 16.0, 57.0, 27.0),
(11169, "Public", "0010059J", "Lycée agricole Edouard Herriot", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Misérieux", "formation sélective", "BTS", "Lycée agricole Edouard Herriot - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 30, 332, 183, 322, 0, 18, 3, 67, 14, 79, 22, 158, 10, 3, 0, 0, 7, 179, 0, 0, 0, 18, 3, 67, 14, 79, 22, 15, 94, 17, 15, 17, 0, 5.0, 13.0, 16.0, 0, 7, 16, 2, 6, 8, 1, 0, 6, 10, 0, 0, 0.0, 1, 3, 6, 5, 5, 11, 11, 29.41, 76.47, 94.12, 88.1875, 68.796875, 68.796875, 31.296875, 43.796875, 94.09375, 0.0, 37.5, 62.5, 0.0, 0.0, 0.0, 12.5, 6.2998046875, 37.5, 18.796875, 50.0, 37.5, 18.0, 3.0, 43.0, 14.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 84, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 42.0, "2012", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2012&g_ta_cod=2012", 12.0, 35.0, 53.0),
(11170, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Géographie-Aménagement et Histoire  - Programme International MINERVE", "Licence - Sciences humaines et sociales", "Géographie-Aménagement et Histoire  - Programme International MINERVE", 215, 1565, 768, 1375, 0, 969, 161, 72, 29, 30, 15, 304, 190, 39, 18, 10, 123, 1375, 177, 0, 0, 969, 161, 72, 29, 30, 15, 304, 1170, 234, 98, 159, 75, 38.0, 142.0, 174.0, 0, 43, 139, 105, 22, 12, 95, 1, 54, 58, 21, 5, 0.0, 73, 6, 5, 0, 0, 81, 81, 16.24, 60.68, 74.36, 41.8984375, 58.296875, 58.296875, 0, 30.8984375, 59.3984375, 0.699951171875, 38.796875, 41.6953125, 15.099609375, 3.6, 0.0, 75.5, 52.5, 15.798828125, 4.2998046875, 8.599609375, 3.599609375, 734.0, 123.0, 34.0, 20.0, 333.0, "Tous les candidats", 1368.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "26510", "Licence - Portail Géographie-Aménagement et Histoire  - Programme International MINERVE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26510&g_ta_cod=26510", 73.0, 18.0, 9.0),
(11171, "Public", "0831616F", "Lycée Rouvière", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Rouvière - BTS - Production - Traitement des matériaux - Parcours Marine Nationale / Maistrance - Défense", "BTS - Production", "Parcours Marine Nationale / Maistrance - Défense", 3, 59, 13, 59, 0, 10, 0, 18, 3, 9, 3, 22, 0, 0, 0, 0, 0, 15, 0, 0, 0, 5, 0, 10, 1, 0, 0, 0, 7, 3, 0, 3, 0, 1.0, 3.0, 3.0, 0, 1, 3, 1, 2, 0, 0, 0, 1, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 0, 0, 33.33, 100.0, 100.0, 0.0, 0.0, 0.0, 0, 33.296875, 100.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 33.296875, 0.0, 0.0, 4.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "22031", "BTS - Production - Traitement des matériaux - Parcours Marine Nationale / Maistrance - Défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22031&g_ta_cod=22031", 33.0, 67.0, 0.0),
(11172, "Public", "0010006B", "Lycée Saint-Exupery", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Valserhône", "formation sélective", "BTS", "Lycée Saint-Exupery - BTS - Services - Professions immobilières", "BTS - Services", "", 24, 569, 317, 569, 0, 122, 24, 198, 50, 119, 36, 130, 0, 0, 0, 0, 0, 318, 0, 0, 0, 91, 16, 118, 25, 67, 19, 42, 139, 21, 10, 21, 0, 3.0, 15.0, 16.0, 0, 1, 19, 3, 10, 6, 2, 0, 9, 5, 5, 0, 0.0, 2, 3, 5, 4, 3, 8, 8, 14.29, 71.43, 76.19, 47.59375, 42.09375, 42.09375, 21.09765625, 5.2998046875, 90.5, 0.0, 47.3984375, 26.296875, 26.296875, 0.0, 0.0, 15.798828125, 10.5, 52.59375, 15.798828125, 31.59765625, 26.296875, 18.0, 5.0, 40.0, 9.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 28.0, "17649", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17649&g_ta_cod=17649", 14.0, 52.0, 33.0),
(11173, "Privé sous contrat d'association", "0622196A", "Lycée Baudimont Saint-Charles", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "Lycée Baudimont Saint-Charles - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 25, 92, 9, 81, 0, 18, 2, 30, 3, 18, 5, 15, 11, 2, 2, 2, 5, 50, 8, 0, 0, 16, 1, 21, 0, 13, 4, 0, 55, 14, 1, 11, 3, 9.0, 10.0, 13.0, 0, 1, 12, 1, 7, 4, 2, 0, 3, 7, 2, 0, 0.0, 0, 7, 2, 8, 0, 12, 12, 64.29, 71.43, 92.86, 7.099609375, 100.0, 100.0, 66.6875, 8.298828125, 85.6875, 0.0, 25.0, 58.296875, 16.69921875, 0.0, 0.0, 8.298828125, 0.0, 58.296875, 58.296875, 33.296875, 16.69921875, 17.0, 1.0, 14.0, 4.0, 5.0, "Tous les candidats sauf les Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 13, "", 0, "Liste d'appel propre à cette formation", 62.0, "7416", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7416&g_ta_cod=7416", 14.0, 50.0, 36.0),
(11174, "Public", "0740003B", "Lycée Berthollet", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "CPGE", "Lycée Berthollet - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 675, 311, 670, 454, 601, 30, 0, 0, 0, 0, 69, 5, 2, 0, 1, 2, 533, 2, 367, 496, 510, 23, 0, 0, 0, 0, 23, 297, 13, 4, 13, 0, 2.0, 6.0, 12.0, 7, 1, 13, 13, 0, 0, 0, 0, 1, 6, 3, 3, 0.0, 12, 0, 0, 0, 0, 8, 8, 15.38, 46.15, 92.31, 30.796875, 61.5, 61.5, 0, 7.69921875, 100.0, 0.0, 7.69921875, 46.1953125, 23.09765625, 23.1, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 276.0, 20.0, 0.0, 0.0, 21.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "31460", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31300&g_ta_cod=31460", 100.0, 0.0, 0.0),
(11175, "Public", "0290051Y", "Lycée Tristan Corbiere", "29", "Finistère", "Bretagne", "Rennes", "Morlaix", "formation sélective", "BTS", "Lycée Tristan Corbiere - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 15, 120, 13, 116, 0, 4, 1, 33, 6, 38, 9, 41, 4, 1, 0, 1, 2, 79, 3, 0, 0, 4, 1, 33, 6, 31, 8, 11, 61, 7, 0, 6, 1, 1.0, 6.0, 7.0, 0, 3, 5, 0, 2, 3, 2, 0, 0, 4, 1, 0, 0.0, 0, 2, 3, 0, 0, 3, 3, 14.29, 85.71, 100.0, 0.0, 60.0, 60.0, 0, 60.0, 71.390625, 0.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 0.0, 40.0, 40.0, 60.0, 60.0, 3.0, 1.0, 26.0, 8.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 67.0, "3788", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3788&g_ta_cod=3788", 0.0, 57.0, 43.0),
(11176, "Privé sous contrat d'association", "0940878U", "Lycée Teilhard De Chardin", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "BTS", "Lycée Teilhard De Chardin - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 36, 426, 159, 177, 0, 31, 6, 62, 12, 17, 5, 67, 249, 12, 78, 42, 117, 84, 13, 0, 0, 21, 1, 44, 7, 7, 2, 12, 87, 33, 13, 28, 5, 15.0, 28.0, 32.0, 0, 4, 23, 2, 17, 4, 10, 0, 13, 7, 3, 0, 0.0, 0, 7, 3, 8, 3, 23, 23, 45.45, 84.85, 96.97, 39.3984375, 100.0, 100.0, 34.796875, 17.3984375, 69.6875, 0.0, 56.5, 30.3984375, 13.0, 0.0, 0.0, 8.69921875, 0.0, 73.890625, 30.3984375, 17.3984375, 13.0, 16.0, 1.0, 7.0, 2.0, 21.0, "Tous les candidats sauf les Bac professionnels", 76.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 47.0, "11461", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11461&g_ta_cod=11461", 24.0, 61.0, 15.0),
(11177, "Public", "9740910W", "Lycée professionnel Jean Perrin", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-André", "formation sélective", "BTS", "Lycée professionnel Jean Perrin - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 15, 125, 5, 120, 0, 1, 0, 28, 11, 76, 51, 15, 5, 0, 1, 0, 4, 78, 0, 0, 0, 1, 0, 13, 4, 57, 40, 7, 44, 14, 1, 14, 0, 6.0, 12.0, 12.0, 0, 8, 10, 0, 0, 10, 4, 0, 0, 3, 6, 1, 0.0, 0, 0, 10, 9, 0, 10, 10, 42.86, 85.71, 85.71, 7.099609375, 100.0, 100.0, 90, 80.0, 71.390625, 0.0, 0.0, 30.0, 60.0, 10.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 1.0, 0.0, 26.0, 16.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 47.0, "19008", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19008&g_ta_cod=19008", 14.0, 0.0, 86.0),
(11178, "Public", "0490003M", "Lycée Polyvalent Chevrollier", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "CPGE", "Lycée Polyvalent Chevrollier - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 35, 421, 209, 421, 194, 0, 0, 373, 80, 0, 0, 48, 0, 0, 0, 0, 0, 269, 0, 117, 255, 0, 0, 266, 56, 0, 0, 3, 136, 34, 15, 34, 0, 9.0, 31.0, 34.0, 8, 9, 33, 0, 33, 0, 1, 0, 0, 5, 20, 7, 1.0, 0, 33, 0, 2, 2, 15, 15, 26.47, 91.18, 100.0, 44.09375, 45.5, 45.5, 6.099609375, 27.296875, 97.09375, 0.0, 0.0, 15.19921875, 60.59375, 21.2, 3.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 269.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "5826", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5826&g_ta_cod=5826", 0.0, 100.0, 0.0),
(11179, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université de Montpellier - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Sciences et Techniques des Activités Physiques et Sportives - STAPS option Kinésithérapie", "Licence - STAPS", "Sciences et Techniques des Activités Physiques et Sportives - STAPS option Kinésithérapie", 50, 2610, 998, 2610, 0, 1603, 267, 209, 56, 44, 22, 754, 0, 0, 0, 0, 0, 2610, 0, 0, 0, 1603, 267, 209, 56, 44, 22, 754, 131, 50, 30, 50, 0, 15.0, 32.0, 38.0, 0, 7, 39, 35, 4, 0, 11, 0, 1, 12, 18, 8, 0.0, 34, 4, 0, 0, 0, 31, 31, 30.0, 64.0, 76.0, 60.0, 79.5, 79.5, 0, 17.8984375, 78.0, 0.0, 2.599609375, 30.796875, 46.1953125, 20.5, 0.0, 89.6875, 87.1875, 10.298828125, 10.298828125, 0.0, 0.0, 72.0, 15.0, 0.0, 0.0, 53.0, "Tous les candidats", 135.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "31968", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Sciences et Techniques des Activités Physiques et Sportives - STAPS option Kinésithérapie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31968&g_ta_cod=31968", 92.0, 8.0, 0.0),
(11180, "Privé sous contrat d'association", "0190083M", "Lycée Bahuet", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BTS", "Lycée Bahuet - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 328, 50, 284, 0, 44, 7, 54, 14, 31, 6, 155, 44, 2, 14, 5, 23, 165, 12, 0, 0, 44, 7, 54, 14, 31, 6, 36, 154, 31, 1, 25, 6, 0.0, 25.0, 31.0, 0, 4, 18, 4, 12, 2, 13, 0, 10, 8, 0, 0, 0.0, 0, 6, 2, 1, 0, 6, 6, 0.0, 80.65, 100.0, 3.19970703125, 33.296875, 33.296875, 5.599609375, 22.19921875, 58.09375, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 0.0, 22.19921875, 0.0, 66.6875, 33.296875, 11.099609375, 11.099609375, 38.0, 5.0, 24.0, 4.0, 39.0, "Tous les candidats sauf les Bac professionnels", 129.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 58.0, "3151", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3151&g_ta_cod=3151", 29.0, 65.0, 6.0),
(11181, "Privé sous contrat d'association", "0021869W", "Lycée Saint Joseph", "02", "Aisne", "Hauts-de-France", "Amiens", "Château-Thierry", "formation sélective", "Autre formation", "Lycée Saint Joseph - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 30, 145, 61, 125, 0, 23, 4, 9, 0, 3, 2, 90, 20, 1, 3, 4, 12, 87, 11, 0, 0, 23, 4, 9, 0, 3, 2, 52, 90, 26, 8, 25, 1, 4.0, 25.0, 26.0, 0, 0, 1, 0, 0, 1, 25, 1, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 15.38, 96.15, 100.0, 30.796875, 100.0, 100.0, 0, 0.0, 3.7998046875, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 22.0, 4.0, 5.0, 4.0, 53.0, "Tous les candidats", 88.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "2086", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2086&g_ta_cod=2086", 92.0, 0.0, 8.0),
(11182, "Public", "0600002B", "Lycée Paul Langevin", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "BTS", "Lycée Paul Langevin - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 141, 11, 130, 0, 9, 3, 37, 13, 55, 26, 29, 11, 5, 0, 0, 6, 71, 2, 0, 0, 5, 1, 25, 8, 36, 16, 5, 39, 16, 1, 14, 2, 6.0, 14.0, 16.0, 0, 8, 15, 2, 4, 9, 1, 0, 3, 7, 4, 1, 0.0, 0, 4, 8, 7, 1, 14, 14, 37.5, 87.5, 100.0, 6.2998046875, 93.296875, 93.296875, 46.6953125, 53.296875, 93.796875, 0.0, 20.0, 46.6953125, 26.69921875, 6.7, 0.0, 13.298828125, 0.0, 26.69921875, 26.69921875, 60.0, 53.296875, 6.0, 1.0, 25.0, 10.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers technologiques toutes séries", 5, "Bacheliers professionnels toutes séries", 29, "Liste d'appel propre à cette formation", 32.0, "33510", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33510&g_ta_cod=33510", 19.0, 25.0, 56.0),
(11183, "Privé enseignement supérieur", "0333326L", "KEDGE BUSINESS SCHOOL - Site de Talence", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "EBP International", 240, 2863, 1292, 2863, 0, 2506, 63, 153, 6, 2, 1, 202, 0, 0, 0, 0, 0, 2595, 0, 0, 0, 2324, 52, 114, 4, 1, 1, 156, 2395, 292, 137, 292, 0, 258.0, 276.0, 290.0, 0, 8, 263, 242, 21, 0, 29, 0, 53, 142, 60, 7, 1.0, 190, 20, 0, 0, 0, 64, 64, 88.36, 94.52, 99.32, 46.8984375, 24.296875, 24.296875, 0, 3.0, 90.09375, 0.0, 20.19921875, 54.0, 22.796875, 2.7, 0.4, 92.0, 72.1875, 8.0, 7.599609375, 0.0, 0.0, 2157.0, 46.0, 1.0, 1.0, 141.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "26295", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26295", 92.0, 8.0, 0.0),
(11184, "Public", "0590117G", "Lycée Louis Pasteur", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Louis Pasteur - BTS - Services - Professions immobilières", "BTS - Services", "", 70, 2565, 1401, 2565, 0, 698, 186, 619, 226, 367, 183, 881, 0, 0, 0, 0, 0, 2565, 0, 0, 0, 698, 186, 619, 226, 367, 183, 881, 255, 63, 33, 63, 0, 14.0, 43.0, 53.0, 0, 14, 48, 28, 8, 12, 15, 0, 9, 18, 16, 5, 0.0, 23, 8, 8, 4, 1, 41, 41, 22.22, 68.25, 84.13, 52.3984375, 85.390625, 85.390625, 8.298828125, 29.19921875, 76.1875, 0.0, 18.796875, 37.5, 33.296875, 10.4, 0.0, 58.296875, 47.8984375, 16.69921875, 16.69921875, 25.0, 16.69921875, 81.0, 27.0, 67.0, 34.0, 83.0, "Tous les candidats sauf les Bac professionnels", 433.0, "Bacheliers professionnels toutes séries", 71, "", 0, "Liste d'appel propre à cette formation", 20.0, "6779", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6779&g_ta_cod=6779", 62.0, 17.0, 21.0),
(11185, "Privé sous contrat d'association", "0381666E", "Lycée Pierre Termier", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée Pierre Termier - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 15, 158, 18, 145, 0, 20, 4, 61, 6, 26, 7, 38, 13, 0, 3, 5, 5, 102, 4, 0, 0, 19, 3, 47, 3, 20, 5, 16, 67, 8, 1, 6, 2, 2.0, 6.0, 7.0, 0, 2, 7, 2, 4, 1, 1, 3, 1, 3, 0, 0, 0.0, 0, 2, 1, 2, 1, 6, 6, 25.0, 75.0, 87.5, 12.5, 85.6875, 85.6875, 28.59765625, 28.59765625, 87.5, 42.8984375, 14.298828125, 42.8984375, 0.0, 0.0, 0.0, 28.59765625, 0.0, 57.09375, 28.59765625, 14.298828125, 14.298828125, 15.0, 3.0, 11.0, 3.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 63.0, "12393", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12393&g_ta_cod=12393", 38.0, 50.0, 13.0),
(11186, "Public", "0020048S", "Lycée Henri Martin", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "CPGE", "Lycée Henri Martin - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 293, 194, 283, 167, 180, 28, 2, 1, 2, 0, 99, 10, 5, 1, 0, 4, 234, 5, 167, 191, 180, 28, 2, 1, 1, 0, 51, 155, 40, 23, 37, 3, 9.0, 37.0, 38.0, 16, 5, 26, 24, 2, 0, 14, 1, 4, 5, 10, 6, 0.0, 21, 0, 0, 8, 6, 20, 20, 22.5, 92.5, 95.0, 57.5, 76.890625, 76.890625, 30.796875, 19.19921875, 65.0, 3.7998046875, 15.3984375, 19.19921875, 38.5, 23.1, 0.0, 92.296875, 80.796875, 7.69921875, 0.0, 0.0, 0.0, 130.0, 18.0, 0.0, 0.0, 22.0, "Tous les candidats", 205.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "2052", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2052&g_ta_cod=2052", 90.0, 8.0, 3.0),
(11187, "Public", "0160006V", "Lycée d'Enseignement Général et Technologique Agricole Angouleme- L'Oisellerie", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "La Couronne", "formation sélective", "BTS", "Lycée d'Enseignement Général et Technologique Agricole Angouleme- L'Oisellerie - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 16, 180, 72, 176, 0, 16, 4, 36, 8, 42, 19, 82, 4, 1, 0, 1, 2, 96, 1, 0, 0, 14, 3, 36, 8, 40, 18, 6, 65, 7, 4, 7, 0, 1.0, 7.0, 7.0, 0, 4, 7, 1, 5, 1, 0, 0, 3, 3, 1, 0, 0.0, 0, 3, 1, 5, 3, 7, 7, 14.29, 100.0, 100.0, 57.09375, 100.0, 100.0, 71.390625, 57.09375, 100.0, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 71.390625, 42.8984375, 14.298828125, 14.298828125, 13.0, 3.0, 30.0, 13.0, 3.0, "Tous les candidats sauf les Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 55.0, "2985", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2985&g_ta_cod=2985", 14.0, 71.0, 14.0),
(11188, "Public", "0320002D", "Lycée Pardailhan", "32", "Gers", "Occitanie", "Toulouse", "Auch", "formation sélective", "BTS", "Lycée Pardailhan - BTS - Services - Tourisme", "BTS - Services", "", 18, 280, 214, 230, 0, 53, 12, 50, 13, 57, 25, 70, 50, 2, 1, 19, 28, 140, 9, 0, 0, 37, 8, 44, 9, 35, 12, 24, 94, 13, 9, 11, 2, 2.0, 9.0, 13.0, 0, 1, 6, 2, 0, 4, 7, 0, 0, 2, 4, 0, 0.0, 2, 0, 4, 0, 0, 4, 4, 15.38, 69.23, 100.0, 69.1875, 66.6875, 66.6875, 0, 16.69921875, 46.1953125, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 33.296875, 33.296875, 0.0, 0.0, 66.6875, 66.6875, 18.0, 4.0, 30.0, 10.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 58.0, "13311", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13311&g_ta_cod=13311", 46.0, 15.0, 38.0),
(11189, "Public", "0670080Y", "Lycée Kléber", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée Kléber - CPGE - PCSI", "Classe préparatoire scientifique", "", 144, 2040, 745, 2040, 1466, 1686, 134, 2, 2, 0, 0, 352, 0, 0, 0, 0, 0, 1442, 0, 175, 1434, 1408, 94, 0, 0, 0, 0, 34, 797, 136, 49, 136, 0, 28.0, 106.0, 127.0, 15, 20, 136, 136, 0, 0, 0, 2, 0, 3, 40, 78, 13.0, 134, 0, 0, 9, 2, 93, 93, 20.59, 77.94, 93.38, 36.0, 68.390625, 68.390625, 6.599609375, 14.69921875, 100.0, 1.5, 0.0, 2.19970703125, 29.3984375, 57.4, 9.6, 100.0, 98.5, 0.0, 0.0, 0.0, 0.0, 791.0, 78.0, 0.0, 0.0, 6.0, "Tous les candidats", 1038.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "7917", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7917&g_ta_cod=7917", 100.0, 0.0, 0.0),
(11190, "Public", "0660699B", "Lycée agricole Federico GARCIA LORCA", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Elne", "formation sélective", "BTS", "Lycée agricole Federico GARCIA LORCA - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 19, 120, 58, 115, 0, 5, 0, 33, 11, 12, 5, 65, 5, 0, 1, 1, 3, 58, 2, 0, 0, 5, 0, 32, 11, 10, 5, 11, 44, 15, 8, 13, 2, 8.0, 13.0, 15.0, 0, 5, 11, 1, 7, 3, 4, 0, 5, 4, 2, 0, 0.0, 0, 3, 3, 7, 3, 10, 10, 53.33, 86.67, 100.0, 53.296875, 90.890625, 90.890625, 63.59375, 45.5, 73.296875, 0.0, 45.5, 36.3984375, 18.19921875, 0.0, 0.0, 9.099609375, 0.0, 63.59375, 27.296875, 27.296875, 27.296875, 4.0, 0.0, 7.0, 3.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 50.0, "7896", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7896&g_ta_cod=7896", 33.0, 47.0, 20.0),
(11191, "Public", "0382031B", "Lycée professionnel Thomas Edison", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Echirolles", "formation sélective", "Autre formation", "Lycée professionnel Thomas Edison - Mention complémentaire - Technicien ascensoriste, service et modernisation", "Mention complémentaire", "", 13, 46, 2, 46, 0, 0, 0, 0, 0, 38, 16, 8, 0, 0, 0, 0, 0, 36, 0, 0, 0, 0, 0, 0, 0, 33, 14, 3, 30, 7, 0, 7, 0, 2.0, 7.0, 7.0, 0, 3, 6, 0, 0, 6, 1, 0, 6, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 5, 5, 28.57, 100.0, 100.0, 0.0, 83.296875, 83.296875, 0, 50.0, 85.6875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 27.0, 14.0, 3.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "17831", "Mention complémentaire - Technicien ascensoriste, service et modernisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17831&g_ta_cod=17831", 0.0, 14.0, 86.0),
(11192, "Public", "0060011E", "Lycée Carnot", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BTS", "Lycée Carnot - BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "BTS - Services", "", 8, 1079, 428, 1079, 0, 518, 92, 115, 28, 95, 40, 351, 0, 0, 0, 0, 0, 99, 0, 0, 0, 47, 5, 13, 4, 27, 3, 12, 24, 8, 1, 8, 0, 1.0, 8.0, 8.0, 0, 1, 7, 5, 1, 1, 1, 0, 0, 2, 2, 3, 0.0, 5, 1, 1, 0, 0, 2, 2, 12.5, 100.0, 100.0, 12.5, 28.59765625, 28.59765625, 0, 14.298828125, 87.5, 0.0, 0.0, 28.59765625, 28.59765625, 42.9, 0.0, 71.390625, 71.390625, 14.298828125, 14.298828125, 14.298828125, 14.298828125, 15.0, 3.0, 2.0, 0.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 5, "Liste d'appel propre à cette formation", 2.0, "2187", "BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2187&g_ta_cod=2187", 75.0, 13.0, 13.0),
(11193, "Privé sous contrat d'association", "0951998F", "Lycée G A R A C", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "BTS", "Lycée G A R A C - BTS - Services - Négociation et digitalisation de la Relation Client (Seconde année en apprentissage)", "BTS - Services", "", 60, 496, 137, 282, 0, 27, 3, 78, 32, 87, 21, 90, 214, 3, 71, 52, 88, 91, 10, 0, 0, 17, 2, 28, 10, 36, 7, 10, 98, 40, 3, 37, 3, 23.0, 36.0, 40.0, 0, 6, 36, 7, 12, 17, 4, 0, 12, 13, 10, 1, 0.0, 3, 5, 16, 7, 0, 28, 32, 57.5, 90.0, 100.0, 7.5, 77.796875, 88.890625, 19.3984375, 16.69921875, 90.0, 0.0, 33.296875, 36.09375, 27.796875, 2.8, 0.0, 19.3984375, 8.298828125, 33.296875, 13.8984375, 47.1953125, 44.3984375, 15.0, 2.0, 39.0, 8.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 32.0, "11668", "BTS - Services - Négociation et digitalisation de la Relation Client (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11668&g_ta_cod=11668", 23.0, 33.0, 45.0),
(11194, "Public", "0920145H", "Lycée Lakanal", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "CPGE", "Lycée Lakanal - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 1150, 837, 1150, 662, 1022, 80, 0, 0, 0, 0, 128, 0, 0, 0, 0, 0, 1051, 0, 605, 1026, 1002, 74, 0, 0, 0, 0, 49, 566, 94, 81, 94, 0, 26.0, 59.0, 87.0, 14, 3, 90, 90, 0, 0, 4, 0, 0, 3, 29, 57, 1.0, 90, 0, 0, 2, 2, 40, 67, 27.66, 62.77, 92.55, 86.1875, 44.3984375, 74.390625, 2.19970703125, 3.2998046875, 95.6875, 0.0, 0.0, 3.2998046875, 32.1953125, 63.3, 1.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 548.0, 45.0, 0.0, 0.0, 18.0, "Tous les candidats", 757.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "11016", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11016&g_ta_cod=11016", 100.0, 0.0, 0.0),
(11195, "Public", "0782546U", "Lycée Le Corbusier", "78", "Yvelines", "Ile-de-France", "Versailles", "Poissy", "formation sélective", "Autre formation", "Lycée Le Corbusier - DN MADE - Matériaux - - Spécialité : Processus de fabrication, prospective et design social", "DN MADE", "- Spécialité : Processus de fabrication, prospective et design social", 8, 54, 38, 54, 0, 20, 5, 20, 4, 4, 0, 10, 0, 0, 0, 0, 0, 41, 0, 0, 0, 13, 2, 20, 4, 3, 0, 5, 31, 7, 6, 7, 0, 0.0, 7.0, 7.0, 0, 1, 5, 5, 0, 0, 2, 0, 4, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 3, 4, 0.0, 100.0, 100.0, 85.6875, 60.0, 80.0, 0, 20.0, 71.390625, 0.0, 80.0, 0.0, 20.0, 0.0, 0.0, 100.0, 20.0, 0.0, 0.0, 0.0, 0.0, 10.0, 2.0, 2.0, 0.0, 5.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "32782", "DN MADE - Matériaux - - Spécialité : Processus de fabrication, prospective et design social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32782&g_ta_cod=32782", 86.0, 0.0, 14.0),
(11196, "Public", "0782567S", "Lycée Marie Curie", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1083, 488, 1083, 0, 95, 17, 472, 114, 313, 95, 203, 0, 0, 0, 0, 0, 498, 0, 0, 0, 95, 17, 139, 28, 202, 57, 62, 130, 35, 20, 33, 0, 5.0, 25.0, 30.0, 0, 14, 33, 1, 14, 18, 2, 0, 14, 12, 7, 0, 0.0, 1, 6, 12, 4, 3, 33, 33, 14.29, 71.43, 85.71, 57.09375, 100.0, 100.0, 12.099609375, 42.3984375, 94.296875, 0.0, 42.3984375, 36.3984375, 21.19921875, 0.0, 0.0, 3.0, 3.0, 42.3984375, 18.19921875, 54.5, 36.3984375, 10.0, 4.0, 59.0, 15.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 101, "Liste d'appel propre à cette formation", 19.0, "10064", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10064&g_ta_cod=10064", 6.0, 43.0, 51.0),
(11197, "Public", "0750695Y", "Lycée Fresnel", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "BTS", "Lycée Fresnel - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 84, 1241, 814, 1227, 0, 260, 69, 255, 94, 210, 91, 502, 14, 4, 0, 0, 10, 653, 4, 0, 0, 205, 52, 100, 37, 119, 48, 229, 408, 75, 40, 73, 2, 16.0, 45.0, 57.0, 0, 18, 51, 22, 7, 22, 24, 0, 17, 21, 8, 5, 0.0, 14, 3, 17, 10, 6, 16, 42, 21.33, 60.0, 76.0, 53.296875, 31.3984375, 82.390625, 19.59765625, 35.296875, 68.0, 0.0, 33.296875, 41.1953125, 15.69921875, 9.8, 0.0, 43.09375, 27.5, 13.69921875, 5.8994140625, 43.09375, 33.296875, 141.0, 51.0, 83.0, 34.0, 132.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 247.0, "Bacheliers professionnels toutes séries", 109, "Bacheliers technologiques toutes séries", 113, "Liste d'appel propre à cette formation", 38.0, "9118", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9118&g_ta_cod=9118", 53.0, 13.0, 33.0),
(11198, "Public", "0760030V", "Lycée Ferdinand Buisson", "76", "Seine-Maritime", "Normandie", "Normandie", "Elbeuf", "formation sélective", "BTS", "Lycée Ferdinand Buisson - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 15, 156, 30, 145, 0, 14, 4, 37, 7, 30, 11, 64, 11, 0, 4, 3, 4, 66, 4, 0, 0, 13, 4, 26, 3, 18, 5, 9, 53, 8, 0, 8, 0, 0.0, 6.0, 8.0, 0, 2, 8, 2, 3, 3, 0, 0, 5, 3, 0, 0, 0.0, 0, 1, 2, 3, 0, 7, 7, 0.0, 75.0, 100.0, 0.0, 87.5, 87.5, 37.5, 25.0, 100.0, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 25.0, 0.0, 37.5, 12.5, 37.5, 25.0, 7.0, 3.0, 17.0, 4.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 43.0, "9563", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9563&g_ta_cod=9563", 25.0, 38.0, 38.0),
(11199, "Public", "0331420P", "IUT Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BUT", "IUT Bordeaux Montaigne - BUT - Carrières sociales Parcours animation sociale et socioculturelle", "BUT - Service", "", 120, 1501, 1154, 1401, 0, 507, 78, 375, 99, 115, 45, 404, 100, 1, 47, 0, 52, 413, 14, 0, 0, 148, 17, 138, 32, 4, 3, 123, 323, 104, 82, 95, 9, 26.0, 81.0, 99.0, 0, 9, 63, 32, 29, 2, 41, 0, 15, 35, 11, 2, 0.0, 23, 23, 2, 0, 0, 39, 39, 25.0, 77.88, 95.19, 78.796875, 61.8984375, 61.8984375, 0, 14.298828125, 60.59375, 0.0, 23.796875, 55.59375, 17.5, 3.2, 0.0, 50.796875, 36.5, 46.0, 36.5, 3.19970703125, 3.19970703125, 101.0, 15.0, 4.0, 3.0, 106.0, "Tous les candidats sauf les Bac technologiques", 208.0, "Bacheliers technologiques toutes séries", 176, "", 0, "Liste d'appel propre à cette formation", 27.0, "4332", "BUT - Carrières sociales Parcours animation sociale et socioculturelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4332&g_ta_cod=4332", 54.0, 43.0, 2.0),
(11200, "Privé sous contrat d'association", "0542448T", "Lycée Claude Daunot", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Lycée Claude Daunot - DN MADE - Spectacle - - Spécialité : Régie de spectacle : son", "DN MADE", "- Spécialité : Régie de spectacle : son", 10, 120, 28, 120, 0, 58, 7, 16, 2, 11, 3, 35, 0, 0, 0, 0, 0, 32, 0, 0, 0, 18, 3, 2, 0, 1, 0, 11, 18, 12, 5, 12, 0, 7.0, 12.0, 12.0, 0, 0, 4, 4, 0, 0, 8, 0, 0, 2, 2, 0, 0.0, 4, 0, 0, 0, 0, 1, 1, 58.33, 100.0, 100.0, 41.6953125, 25.0, 25.0, 0, 0.0, 33.296875, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 9.0, 3.0, 1.0, 0.0, 8.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "24210", "DN MADE - Spectacle - - Spécialité : Régie de spectacle : son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24210&g_ta_cod=24210", 50.0, 8.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(11201, "Public", "9740043D", "Lycée Sarda Garriga", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-André", "formation sélective", "BTS", "Lycée Sarda Garriga - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 507, 309, 422, 0, 36, 23, 169, 111, 131, 94, 86, 85, 0, 31, 20, 34, 164, 13, 0, 0, 17, 13, 71, 50, 56, 43, 20, 124, 32, 14, 23, 8, 3.0, 21.0, 24.0, 0, 14, 24, 1, 15, 8, 8, 0, 10, 8, 6, 0, 0.0, 1, 8, 5, 5, 4, 19, 19, 9.38, 65.63, 75.0, 43.796875, 79.1875, 79.1875, 20.796875, 58.296875, 75.0, 0.0, 41.6953125, 33.296875, 25.0, 0.0, 0.0, 4.19921875, 4.19921875, 62.5, 33.296875, 33.296875, 20.796875, 8.0, 6.0, 42.0, 33.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 33.0, "11897", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11897&g_ta_cod=11897", 6.0, 59.0, 34.0),
(11202, "Public", "0134316W", "Aix-Marseille Université - Site de Marseille Saint-Jérôme", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "Licence", "Aix-Marseille Université - Site de Marseille Saint-Jérôme - Licence - Mathématiques, physique, chimie, informatique - Parcours Licence MPCI (site de Saint Jérôme)", "Licence - Sciences - technologies - santé", "Licence MPCI (site de Saint Jérôme)", 45, 747, 210, 747, 0, 603, 96, 10, 3, 2, 1, 132, 0, 0, 0, 0, 0, 414, 0, 0, 0, 399, 63, 0, 0, 0, 0, 15, 238, 47, 15, 47, 0, 20.0, 39.0, 47.0, 0, 2, 47, 47, 0, 0, 0, 0, 0, 0, 10, 34, 3.0, 47, 0, 0, 0, 0, 36, 36, 42.55, 82.98, 100.0, 31.8984375, 76.59375, 76.59375, 0, 4.2998046875, 100.0, 0.0, 0.0, 0.0, 21.296875, 72.3, 6.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 234.0, 34.0, 0.0, 0.0, 4.0, "Tous les candidats", 295.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "12611", "Licence - Mathématiques, physique, chimie, informatique - Parcours Licence MPCI (site de Saint Jérôme)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12611&g_ta_cod=12611", 100.0, 0.0, 0.0),
(11203, "Public", "0570021N", "Lycée Charles Hermite", "57", "Moselle", "Grand Est", "Nancy-Metz", "Dieuze", "formation sélective", "BTS", "Lycée Charles Hermite - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 546, 273, 491, 0, 8, 2, 65, 32, 63, 41, 355, 55, 0, 8, 17, 30, 138, 8, 0, 0, 7, 1, 58, 31, 52, 33, 21, 121, 13, 11, 12, 1, 4.0, 12.0, 13.0, 0, 6, 12, 0, 8, 4, 1, 0, 4, 6, 2, 0, 0.0, 0, 5, 3, 7, 7, 12, 12, 30.77, 92.31, 100.0, 84.59375, 100.0, 100.0, 58.296875, 50.0, 92.296875, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 0.0, 0.0, 66.6875, 41.6953125, 33.296875, 25.0, 5.0, 0.0, 43.0, 28.0, 20.0, "Tous les candidats sauf les Bac professionnels", 76.0, "Bacheliers professionnels toutes séries", 62, "", 0, "Liste d'appel propre à cette formation", 28.0, "6515", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6515&g_ta_cod=6515", 0.0, 62.0, 38.0),
(11204, "Public", "0782540M", "Lycée Jean Rostand", "78", "Yvelines", "Ile-de-France", "Versailles", "Mantes-la-Jolie", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Production - Electrotechnique", "BTS - Production", "", 20, 171, 6, 171, 0, 5, 1, 21, 4, 99, 49, 46, 0, 0, 0, 0, 0, 139, 0, 0, 0, 5, 1, 21, 4, 89, 41, 24, 64, 20, 0, 20, 0, 4.0, 18.0, 18.0, 0, 9, 18, 0, 3, 15, 2, 0, 6, 10, 1, 1, 0.0, 0, 0, 12, 9, 0, 18, 18, 20.0, 90.0, 90.0, 0.0, 100.0, 100.0, 50, 50.0, 90.0, 0.0, 33.296875, 55.59375, 5.599609375, 5.6, 0.0, 0.0, 0.0, 16.69921875, 0.0, 83.296875, 66.6875, 2.0, 1.0, 39.0, 15.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 44.0, "10031", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10031&g_ta_cod=10031", 0.0, 20.0, 80.0),
(11205, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "PASS", "Université Grenoble Alpes  - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 35, 3379, 2553, 3379, 0, 2602, 473, 110, 39, 11, 6, 656, 0, 0, 0, 0, 0, 3332, 0, 0, 0, 2602, 473, 110, 39, 11, 6, 609, 191, 35, 33, 35, 0, 0.0, 23.0, 33.0, 0, 6, 35, 35, 0, 0, 0, 0, 0, 0, 15, 20, 0.0, 35, 0, 0, 0, 0, 33, 33, 0.0, 65.71, 94.29, 94.296875, 94.296875, 94.296875, 0, 17.09765625, 100.0, 0.0, 0.0, 0.0, 42.8984375, 57.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 191.0, 31.0, 0.0, 0.0, 0.0, "Tous les candidats", 869.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 11.0, "31118", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30761&g_ta_cod=31118", 100.0, 0.0, 0.0),
(11206, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Sciences du langage", "Licence - Arts-lettres-langues", "", 40, 284, 250, 280, 0, 186, 30, 10, 1, 2, 1, 82, 4, 0, 0, 0, 4, 279, 4, 0, 0, 186, 30, 10, 1, 2, 1, 81, 170, 39, 36, 39, 0, 3.0, 38.0, 38.0, 0, 5, 29, 26, 3, 0, 10, 0, 7, 15, 5, 2, 0.0, 20, 2, 0, 0, 0, 25, 25, 7.69, 97.44, 97.44, 92.296875, 86.1875, 86.1875, 0, 17.19921875, 74.390625, 0.0, 24.09765625, 51.6953125, 17.19921875, 6.9, 0.0, 89.6875, 69.0, 10.298828125, 6.8994140625, 0.0, 0.0, 119.0, 18.0, 1.0, 0.0, 46.0, "Tous les candidats", 210.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "19644", "Licence - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19644&g_ta_cod=19644", 90.0, 10.0, 0.0),
(11207, "Public", "0932121A", "Lycée Suger", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BTS", "Lycée Suger - BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "BTS - Services", "", 12, 747, 248, 747, 0, 230, 40, 101, 31, 127, 50, 289, 0, 0, 0, 0, 0, 381, 0, 0, 0, 142, 25, 32, 10, 57, 18, 150, 40, 11, 3, 10, 0, 0.0, 8.0, 9.0, 0, 0, 6, 2, 2, 2, 5, 0, 1, 1, 4, 0, 0.0, 2, 2, 1, 0, 0, 2, 3, 0.0, 72.73, 81.82, 27.296875, 33.296875, 50.0, 0, 0.0, 54.5, 0.0, 16.69921875, 16.69921875, 66.6875, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 33.296875, 33.296875, 16.69921875, 18.0, 4.0, 6.0, 1.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 8.0, "11346", "BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11346&g_ta_cod=11346", 64.0, 18.0, 18.0),
(11208, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence_Las", "Université de Caen Normandie - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 120, 692, 515, 638, 0, 440, 79, 39, 14, 3, 2, 156, 54, 28, 1, 0, 25, 637, 52, 0, 0, 440, 79, 39, 14, 3, 2, 155, 539, 107, 85, 78, 29, 9.0, 64.0, 77.0, 0, 15, 75, 67, 8, 0, 32, 0, 29, 28, 12, 6, 0.0, 43, 3, 0, 0, 0, 66, 66, 8.41, 59.81, 71.96, 79.390625, 88.0, 88.0, 0, 20.0, 70.09375, 0.0, 38.6953125, 37.296875, 16.0, 8.0, 0.0, 89.296875, 57.296875, 10.69921875, 4.0, 0.0, 0.0, 364.0, 61.0, 2.0, 1.0, 147.0, "Tous les candidats", 2800.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27702", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27701&g_ta_cod=27702", 85.0, 11.0, 4.0),
(11209, "Public", "0751708Z", "Lycée Louis Armand", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "BTS", "Lycée Louis Armand - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 48, 2566, 245, 2566, 0, 268, 70, 713, 255, 697, 278, 888, 0, 0, 0, 0, 0, 876, 0, 0, 0, 144, 36, 257, 86, 359, 142, 116, 174, 46, 11, 46, 0, 6.0, 40.0, 45.0, 0, 11, 34, 12, 13, 9, 12, 0, 7, 14, 12, 1, 0.0, 8, 13, 6, 5, 0, 12, 33, 13.04, 86.96, 97.83, 23.8984375, 35.296875, 97.09375, 14.69921875, 32.3984375, 73.890625, 0.0, 20.59765625, 41.1953125, 35.296875, 2.9, 0.0, 35.296875, 23.5, 38.1953125, 38.1953125, 26.5, 17.59765625, 52.0, 18.0, 31.0, 11.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 77.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 139, "Liste d'appel propre à cette formation", 11.0, "9194", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9194&g_ta_cod=9194", 33.0, 37.0, 30.0),
(11210, "Public", "0754247J", "I.U.T de Paris Descartes", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "BUT", "I.U.T de Paris Descartes - BUT - Statistique et informatique décisionnelle Parcours : Science des données : exploration et modélisation statistique - Parcours : Science des données : visualisation, conception d'outils décisionnels", "BUT - Service", "Science des données : exploration et modélisation statistique - Parcours : Science des données : visualisation, conception d'outils décisionnels", 92, 1444, 300, 1403, 0, 808, 193, 231, 94, 9, 2, 355, 41, 0, 26, 0, 15, 781, 6, 0, 0, 464, 98, 117, 40, 0, 0, 200, 412, 87, 33, 83, 4, 18.0, 60.0, 71.0, 0, 21, 55, 37, 18, 0, 32, 0, 4, 29, 20, 2, 0.0, 35, 16, 0, 0, 0, 9, 50, 20.69, 68.97, 81.61, 37.8984375, 16.3984375, 90.890625, 0, 38.1953125, 63.1953125, 0.0, 7.2998046875, 52.6953125, 36.3984375, 3.6, 0.0, 67.296875, 63.59375, 32.6953125, 29.09765625, 0.0, 0.0, 205.0, 61.0, 0.0, 0.0, 120.0, "Tous les candidats sauf les Bac technologiques", 385.0, "Bacheliers technologiques toutes séries", 135, "", 0, "Liste d'appel propre à cette formation", 37.0, "9516", "BUT - Statistique et informatique décisionnelle Parcours : Science des données : exploration et modélisation statistique - Parcours : Science des données : visualisation, conception d'outils décisionnels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9516&g_ta_cod=9516", 75.0, 25.0, 0.0),
(11211, "Public", "0750707L", "Ecole Nationale De Commerce", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "BTS", "Ecole Nationale De Commerce - BTS - Services - Assurance", "BTS - Services", "", 35, 1753, 981, 1753, 0, 160, 57, 577, 277, 412, 214, 604, 0, 0, 0, 0, 0, 1192, 0, 0, 0, 122, 44, 548, 261, 172, 92, 350, 151, 33, 16, 33, 0, 6.0, 26.0, 30.0, 0, 16, 24, 11, 5, 8, 9, 1, 11, 9, 2, 1, 0.0, 4, 2, 6, 0, 0, 6, 24, 18.18, 78.79, 90.91, 48.5, 25.0, 100.0, 0, 66.6875, 72.6875, 4.19921875, 45.796875, 37.5, 8.298828125, 4.2, 0.0, 45.796875, 16.69921875, 20.796875, 8.298828125, 33.296875, 25.0, 51.0, 31.0, 44.0, 25.0, 49.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 92.0, "Bacheliers professionnels toutes séries", 86, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 11.0, "18872", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18872&g_ta_cod=18872", 52.0, 21.0, 27.0),
(11212, "Public", "0490055U", "Lycée polyvalent Sadi Carnot - Jean Bertin", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saumur", "formation sélective", "BTS", "Lycée polyvalent Sadi Carnot - Jean Bertin - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 36, 261, 135, 253, 0, 0, 0, 89, 9, 117, 38, 47, 8, 0, 4, 1, 3, 250, 5, 0, 0, 0, 0, 86, 9, 117, 38, 47, 120, 24, 12, 21, 3, 6.0, 19.0, 22.0, 0, 9, 19, 0, 7, 12, 5, 0, 8, 7, 3, 1, 0.0, 0, 2, 9, 9, 3, 17, 17, 25.0, 79.17, 91.67, 50.0, 89.5, 89.5, 47.3984375, 47.3984375, 79.1875, 0.0, 42.09375, 36.796875, 15.798828125, 5.3, 0.0, 0.0, 0.0, 36.796875, 10.5, 63.1953125, 47.3984375, 0.0, 0.0, 54.0, 17.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 125, "Bacheliers technologiques toutes séries", 98, "Liste d'appel propre à cette formation", 98.0, "5846", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5846&g_ta_cod=5846", 0.0, 38.0, 63.0),
(11213, "Public", "0370770L", "Institut Universitaire de Technologie de TOURS", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BUT", "Institut Universitaire de Technologie de TOURS - BUT - Information communication Parcours communication des organisations", "BUT - Service", "", 28, 1704, 1284, 1610, 0, 1051, 131, 256, 46, 11, 5, 292, 94, 0, 52, 0, 42, 82, 3, 0, 0, 72, 6, 7, 2, 0, 0, 3, 51, 31, 26, 27, 2, 15.0, 24.0, 30.0, 0, 4, 29, 24, 5, 0, 2, 0, 3, 8, 13, 4, 1.0, 24, 2, 0, 0, 0, 10, 10, 48.39, 77.42, 96.77, 83.890625, 34.5, 34.5, 0, 13.798828125, 93.5, 0.0, 10.298828125, 27.59765625, 44.796875, 13.8, 3.4, 82.796875, 82.796875, 17.19921875, 6.8994140625, 0.0, 0.0, 35.0, 4.0, 0.0, 0.0, 2.0, "Tous les candidats sauf les Bac technologiques", 41.0, "Bacheliers technologiques toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 3.0, "4873", "BUT - Information communication Parcours communication des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4873&g_ta_cod=4873", 81.0, 19.0, 0.0),
(11214, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Autre formation", "Université de Bordeaux - Bordeaux Métropole - C.M.I - Cursus Master en Ingénierie - Mathématiques - Cursus Master en Ingénierie :  Optimisation mathématique et algorithmes pour l'aide à la décision (OPTIM)", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie :  Optimisation mathématique et algorithmes pour l'aide à la décision (OPTIM)", 10, 227, 53, 227, 0, 173, 22, 7, 2, 0, 0, 47, 0, 0, 0, 0, 0, 97, 0, 0, 0, 92, 5, 0, 0, 0, 0, 5, 58, 10, 1, 10, 0, 0.0, 9.0, 9.0, 0, 1, 10, 10, 0, 0, 0, 0, 0, 5, 4, 1, 0.0, 10, 0, 0, 0, 0, 4, 4, 0.0, 90.0, 90.0, 10.0, 40.0, 40.0, 0, 10.0, 100.0, 0.0, 0.0, 50.0, 40.0, 10.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 55.0, 5.0, 0.0, 0.0, 3.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "20670", "C.M.I - Cursus Master en Ingénierie - Mathématiques - Cursus Master en Ingénierie :  Optimisation mathématique et algorithmes pour l'aide à la décision (OPTIM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20670&g_ta_cod=20670", 100.0, 0.0, 0.0),
(11215, "Privé sous contrat d'association", "0290336H", "Lycée Estran Charles De Foucauld", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Estran Charles De Foucauld - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 722, 345, 722, 0, 63, 6, 328, 43, 208, 38, 123, 0, 0, 0, 0, 0, 588, 0, 0, 0, 61, 6, 316, 42, 113, 19, 98, 136, 36, 16, 36, 0, 4.0, 32.0, 34.0, 0, 4, 35, 5, 12, 18, 1, 0, 1, 21, 10, 3, 0.0, 4, 12, 18, 6, 4, 35, 35, 11.11, 88.89, 94.44, 44.3984375, 100.0, 100.0, 17.09765625, 11.3984375, 97.1875, 0.0, 2.89990234375, 60.0, 28.59765625, 8.6, 0.0, 14.298828125, 11.3984375, 34.296875, 34.296875, 51.3984375, 51.3984375, 15.0, 2.0, 54.0, 8.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 96, "Liste d'appel propre à cette formation", 25.0, "3847", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3847&g_ta_cod=3847", 14.0, 36.0, 50.0),
(11216, "Public", "0260035X", "Lycée CAMILLE VERNET", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "CPGE", "Lycée CAMILLE VERNET - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 303, 142, 286, 192, 243, 21, 0, 0, 0, 0, 43, 17, 8, 1, 0, 8, 230, 12, 28, 224, 213, 17, 0, 0, 0, 0, 17, 209, 8, 3, 7, 1, 4.0, 7.0, 8.0, 1, 1, 7, 7, 0, 0, 1, 0, 0, 5, 2, 0, 0.0, 7, 0, 0, 1, 0, 6, 6, 50.0, 87.5, 100.0, 37.5, 85.6875, 85.6875, 14.298828125, 14.298828125, 87.5, 0.0, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 187.0, 18.0, 0.0, 0.0, 22.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "31461", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31301&g_ta_cod=31461", 100.0, 0.0, 0.0),
(11217, "Public", "0952259P", "CY Cergy Paris Université", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "CY Cergy Paris Université - Licence professionnelle - Métiers des arts culinaires et des arts de la table", "LP - Droit-économie-gestion", "Métiers des arts culinaires et des arts de la table", 20, 152, 76, 112, 0, 27, 3, 17, 3, 26, 9, 42, 40, 8, 4, 2, 26, 46, 6, 0, 0, 12, 0, 10, 0, 16, 4, 8, 50, 14, 8, 11, 3, 5.0, 11.0, 13.0, 0, 2, 10, 1, 1, 8, 4, 1, 1, 6, 2, 0, 0.0, 0, 1, 7, 0, 0, 8, 10, 35.71, 78.57, 92.86, 57.09375, 80.0, 100.0, 0, 20.0, 71.390625, 10.0, 10.0, 60.0, 20.0, 0.0, 0.0, 10.0, 0.0, 10.0, 10.0, 80.0, 70.0, 11.0, 0.0, 16.0, 4.0, 13.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "33774", "Licence professionnelle - Métiers des arts culinaires et des arts de la table", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33774&g_ta_cod=33774", 21.0, 7.0, 71.0),
(11218, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : Allemand Monolingue et Bilingue", "Licence - Arts-lettres-langues", "LLCER : Allemand Monolingue et Bilingue", 55, 49, 30, 28, 0, 21, 2, 0, 0, 0, 0, 7, 21, 1, 1, 0, 19, 28, 9, 0, 0, 21, 2, 0, 0, 0, 0, 7, 37, 6, 6, 3, 3, 3.0, 3.0, 5.0, 0, 0, 2, 2, 0, 0, 4, 0, 0, 0, 2, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 50.0, 50.0, 83.33, 100.0, 100.0, 100.0, 0, 0.0, 33.296875, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 22.0, 2.0, 0.0, 0.0, 15.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5561", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : Allemand Monolingue et Bilingue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5561&g_ta_cod=5561", 67.0, 0.0, 17.0),
(11219, "Public", "0350026N", "Lycée Jean Mace", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Jean Mace - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 830, 585, 762, 0, 51, 15, 366, 116, 172, 95, 173, 68, 0, 0, 41, 27, 400, 9, 0, 0, 41, 11, 251, 73, 65, 33, 43, 143, 34, 24, 29, 5, 5.0, 23.0, 34.0, 0, 14, 26, 3, 14, 9, 8, 0, 7, 15, 4, 0, 0.0, 2, 8, 9, 1, 0, 20, 20, 14.71, 67.65, 100.0, 70.59375, 76.890625, 76.890625, 3.7998046875, 53.796875, 76.5, 0.0, 26.8984375, 57.6953125, 15.3984375, 0.0, 0.0, 11.5, 7.69921875, 53.796875, 30.796875, 34.59375, 34.59375, 12.0, 6.0, 41.0, 23.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 168, "Liste d'appel propre à cette formation", 36.0, "4629", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4629&g_ta_cod=4629", 15.0, 56.0, 29.0),
(11220, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence_Las", "Université d'Orléans - Licence - Portail 18 - Mathématiques - Informatique -  option Santé", "Licence - Sciences - technologies - santé", "18 - Mathématiques - Informatique", 20, 305, 101, 305, 0, 182, 45, 17, 7, 2, 1, 104, 0, 0, 0, 0, 0, 283, 0, 0, 0, 182, 45, 17, 7, 2, 1, 82, 122, 17, 9, 17, 0, 1.0, 7.0, 15.0, 0, 4, 13, 13, 0, 0, 4, 0, 8, 2, 3, 0, 0.0, 5, 0, 0, 0, 0, 7, 7, 5.88, 41.18, 88.24, 52.8984375, 53.796875, 53.796875, 0, 30.796875, 76.5, 0.0, 61.5, 15.3984375, 23.09765625, 0.0, 0.0, 100.0, 38.5, 0.0, 0.0, 0.0, 0.0, 92.0, 19.0, 0.0, 0.0, 30.0, "Tous les candidats", 186.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "27798", "Licence - Portail 18 - Mathématiques - Informatique -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27798&g_ta_cod=27798", 100.0, 0.0, 0.0),
(11221, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence_Las", "Université de Bourgogne - site de Dijon - Licence - Portail Sciences de la vie / Sciences de la terre", "Licence - Sciences - technologies - santé", "Sciences de la vie / Sciences de la terre", 45, 1979, 1385, 1979, 0, 1340, 206, 89, 15, 3, 0, 547, 0, 0, 0, 0, 0, 1973, 0, 0, 0, 1340, 206, 89, 15, 3, 0, 541, 406, 40, 27, 40, 0, 0.0, 18.0, 26.0, 0, 8, 39, 39, 0, 0, 1, 0, 0, 18, 18, 3, 0.0, 39, 0, 0, 0, 0, 37, 37, 0.0, 45.0, 65.0, 67.5, 94.890625, 94.890625, 0, 20.5, 97.5, 0.0, 0.0, 46.1953125, 46.1953125, 7.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 275.0, 55.0, 0.0, 0.0, 131.0, "Tous les candidats", 1218.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "27642", "Licence - Portail Sciences de la vie / Sciences de la terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27641&g_ta_cod=27642", 100.0, 0.0, 0.0),
(11222, "Privé sous contrat d'association", "0570309B", "INSTIT.REGIONAL TRAVAIL SOCIAL IRTS DE LORRAINE - Le Ban Saint Martin", "57", "Moselle", "Grand Est", "Nancy-Metz", "Le Ban-Saint-Martin", "formation sélective", "EFTS", "INSTIT.REGIONAL TRAVAIL SOCIAL IRTS DE LORRAINE - Le Ban Saint Martin - D.E Assistant de Service Social", "D.E secteur social", "", 24, 84, 71, 84, 0, 18, 3, 13, 2, 16, 5, 37, 0, 0, 0, 0, 0, 84, 0, 0, 0, 18, 3, 13, 2, 16, 5, 37, 50, 23, 20, 23, 0, 8.0, 22.0, 23.0, 0, 2, 12, 3, 5, 4, 11, 0, 1, 7, 4, 0, 0.0, 2, 5, 4, 0, 0, 12, 12, 34.78, 95.65, 100.0, 87.0, 100.0, 100.0, 0, 16.69921875, 52.1953125, 0.0, 8.298828125, 58.296875, 33.296875, 0.0, 0.0, 25.0, 16.69921875, 41.6953125, 41.6953125, 33.296875, 33.296875, 7.0, 2.0, 11.0, 2.0, 24.0, "Tous les candidats", 53.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "24921", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24921&g_ta_cod=24921", 39.0, 35.0, 26.0),
(11223, "Public", "9760125G", "Lycée Gustave Eiffel De Kahani", "976", "Mayotte", "Mayotte", "Mayotte", "Ouangani", "formation sélective", "Autre formation", "Lycée Gustave Eiffel De Kahani - Mention complémentaire - FCIL classe passerelle BTS option production", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 15, 5, 0, 0, 0.0, 0.0, 0.0, 0, 5, 12, 0, 6, 6, 3, 0, 12, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 12, 12, 0.0, 0.0, 0.0, 33.296875, 100.0, 100.0, 0, 41.6953125, 80.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 6.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "24224", "Mention complémentaire - FCIL classe passerelle BTS option production", "", "", 0.0, 47.0, 53.0),
(11224, "Public", "0590071G", "Lycée Jean Bart", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "CPGE", "Lycée Jean Bart - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 22, 105, 51, 102, 61, 73, 14, 0, 0, 0, 0, 29, 3, 1, 0, 0, 2, 85, 1, 52, 73, 72, 13, 0, 0, 0, 0, 13, 61, 5, 2, 5, 0, 1.0, 5.0, 5.0, 3, 3, 3, 3, 0, 0, 2, 0, 1, 1, 0, 1, 0.0, 2, 0, 0, 1, 1, 3, 3, 20.0, 100.0, 100.0, 40.0, 100.0, 100.0, 33.296875, 100.0, 60.0, 0.0, 33.296875, 33.296875, 0.0, 33.3, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 49.0, 12.0, 0.0, 0.0, 12.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "31307", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31307&g_ta_cod=31307", 100.0, 0.0, 0.0),
(11225, "Privé sous contrat d'association", "0352025L", "MFREO de Fougères", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Fougères", "formation sélective", "BTS", "MFREO de Fougères - BTS - Agricole - productions animales", "BTS - Agricole", "", 16, 80, 50, 77, 0, 8, 2, 31, 1, 26, 6, 12, 3, 0, 0, 2, 1, 52, 1, 0, 0, 6, 2, 21, 1, 17, 3, 8, 43, 9, 6, 9, 0, 6.0, 9.0, 9.0, 0, 2, 9, 3, 1, 5, 0, 0, 4, 4, 1, 0, 0.0, 2, 0, 3, 0, 0, 6, 6, 66.67, 100.0, 100.0, 66.6875, 66.6875, 66.6875, 0, 22.19921875, 100.0, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 33.296875, 22.19921875, 11.099609375, 0.0, 55.59375, 33.296875, 4.0, 1.0, 17.0, 3.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers technologiques toutes séries", 23, "Bacheliers professionnels toutes séries", 19, "Liste d'appel propre à cette formation", 68.0, "24795", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24795&g_ta_cod=24795", 33.0, 11.0, 56.0),
(11226, "Privé sous contrat d'association", "0690199S", "Ecole Rockefeller", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Autre formation", "Ecole Rockefeller - D.E Pédicure-Podologue", "D.E secteur sanitaire", "", 40, 345, 269, 335, 0, 65, 7, 61, 9, 3, 1, 206, 10, 1, 0, 0, 9, 329, 1, 0, 0, 65, 7, 60, 9, 3, 1, 201, 172, 37, 30, 36, 1, 3.0, 20.0, 26.0, 0, 2, 16, 9, 7, 0, 21, 0, 5, 6, 2, 3, 0.0, 8, 3, 0, 0, 0, 10, 10, 8.11, 54.05, 70.27, 81.09375, 62.5, 62.5, 0, 12.5, 43.1953125, 0.0, 31.296875, 37.5, 12.5, 18.8, 0.0, 56.296875, 50.0, 43.796875, 18.796875, 0.0, 0.0, 40.0, 7.0, 2.0, 1.0, 112.0, "Tous les candidats", 182.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "26066", "D.E Pédicure-Podologue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26066&g_ta_cod=26066", 73.0, 24.0, 3.0),
(11227, "Public", "0290070U", "Lycée Jean Chaptal", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Jean Chaptal - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 545, 65, 544, 0, 80, 16, 150, 29, 131, 38, 183, 1, 0, 1, 0, 0, 347, 0, 0, 0, 80, 16, 132, 27, 82, 21, 53, 173, 29, 2, 28, 0, 5.0, 21.0, 25.0, 0, 12, 26, 4, 11, 11, 3, 0, 11, 10, 3, 2, 0.0, 1, 4, 10, 0, 0, 24, 24, 17.24, 72.41, 86.21, 6.8994140625, 92.296875, 92.296875, 0, 46.1953125, 89.6875, 0.0, 42.296875, 38.5, 11.5, 7.7, 0.0, 15.3984375, 3.7998046875, 42.296875, 15.3984375, 42.296875, 38.5, 43.0, 10.0, 47.0, 14.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 97.0, "Bacheliers professionnels toutes séries", 86, "Bacheliers technologiques toutes séries", 112, "Liste d'appel propre à cette formation", 54.0, "3798", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3798&g_ta_cod=3798", 17.0, 41.0, 41.0),
(11228, "Public", "0871030X", "Lycée des Métiers - Jean Monnet", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée des Métiers - Jean Monnet - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 28, 186, 111, 186, 0, 0, 0, 57, 9, 77, 23, 52, 0, 0, 0, 0, 0, 186, 0, 0, 0, 0, 0, 57, 9, 77, 23, 52, 78, 25, 14, 25, 0, 16.0, 24.0, 24.0, 0, 6, 16, 0, 8, 8, 9, 0, 4, 6, 6, 0, 0.0, 0, 4, 8, 10, 4, 14, 14, 64.0, 96.0, 96.0, 56.0, 87.5, 87.5, 62.5, 37.5, 64.0, 0.0, 25.0, 37.5, 37.5, 0.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 50.0, 0.0, 0.0, 31.0, 8.0, 20.0, "Tous les candidats sauf les Bac professionnels", 96.0, "Bacheliers professionnels toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 75.0, "10724", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10724&g_ta_cod=10724", 20.0, 40.0, 40.0),
(11229, "Privé sous contrat d'association", "0801207C", "Lycée Sacre-Coeur", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Sacre-Coeur - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 675, 315, 488, 0, 90, 11, 146, 38, 115, 32, 137, 187, 22, 46, 37, 82, 111, 23, 0, 0, 0, 0, 59, 20, 41, 9, 11, 116, 24, 10, 15, 9, 3.0, 15.0, 21.0, 0, 3, 18, 2, 10, 6, 6, 0, 7, 7, 4, 0, 0.0, 1, 4, 6, 1, 0, 16, 16, 12.5, 62.5, 87.5, 41.6953125, 88.890625, 88.890625, 5.599609375, 16.69921875, 75.0, 0.0, 38.8984375, 38.8984375, 22.19921875, 0.0, 0.0, 11.099609375, 5.599609375, 55.59375, 22.19921875, 33.296875, 33.296875, 5.0, 0.0, 43.0, 10.0, 12.0, "Tous les candidats sauf les Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 23.0, "10171", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10171&g_ta_cod=10171", 13.0, 58.0, 29.0),
(11230, "Public", "0753268V", "Lycée Jean Lurcat", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Lurcat - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 34, 1358, 324, 1358, 0, 82, 18, 256, 114, 426, 214, 594, 0, 0, 0, 0, 0, 503, 0, 0, 0, 61, 10, 104, 43, 218, 103, 120, 101, 30, 4, 30, 0, 11.0, 26.0, 28.0, 0, 11, 23, 8, 3, 12, 7, 0, 5, 14, 3, 1, 0.0, 5, 3, 10, 1, 0, 4, 22, 36.67, 86.67, 93.33, 13.298828125, 17.3984375, 95.6875, 4.2998046875, 47.796875, 76.6875, 0.0, 21.69921875, 60.8984375, 13.0, 4.3, 0.0, 34.796875, 21.69921875, 13.0, 13.0, 52.1953125, 43.5, 17.0, 6.0, 47.0, 23.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 9.0, "9375", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9375&g_ta_cod=9375", 37.0, 23.0, 40.0),
(11231, "Public", "0560013K", "Lycée agricole Le Gros Chêne", "56", "Morbihan", "Bretagne", "Rennes", "Pontivy", "formation sélective", "BTS", "Lycée agricole Le Gros Chêne - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 32, 280, 108, 279, 0, 19, 3, 78, 17, 93, 25, 89, 1, 0, 0, 1, 0, 223, 1, 0, 0, 19, 3, 77, 17, 93, 25, 34, 149, 28, 11, 28, 0, 1.0, 23.0, 28.0, 0, 5, 12, 0, 4, 8, 16, 0, 6, 5, 1, 0, 0.0, 0, 3, 3, 2, 2, 9, 9, 3.57, 82.14, 100.0, 39.296875, 75.0, 75.0, 16.69921875, 41.6953125, 42.8984375, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 0.0, 0.0, 33.296875, 25.0, 66.6875, 25.0, 12.0, 1.0, 68.0, 19.0, 26.0, "Tous les candidats sauf les Bac professionnels", 128.0, "Bacheliers professionnels toutes séries", 94, "", 0, "Liste d'appel propre à cette formation", 79.0, "6414", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6414&g_ta_cod=6414", 54.0, 14.0, 32.0),
(11232, "Public", "0221886F", "UFR STAPS - Université de Rennes 2 - Site de Saint-Brieuc", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation non sélective", "Licence_Las", "UFR STAPS - Université de Rennes 2 - Site de Saint-Brieuc - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Antenne universitaire de la ville de Saint Brieuc - STAPS   : Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "Antenne universitaire de la ville de Saint Brieuc - STAPS   : Sciences et Techniques des Activités Physiques et Sportives", 30, 1191, 436, 1191, 0, 739, 76, 149, 28, 52, 20, 251, 0, 0, 0, 0, 0, 1191, 0, 0, 0, 739, 76, 149, 28, 52, 20, 251, 171, 29, 10, 29, 0, 0.0, 21.0, 25.0, 0, 2, 28, 23, 4, 1, 1, 0, 4, 17, 6, 1, 0.0, 21, 2, 1, 0, 0, 28, 28, 0.0, 72.41, 86.21, 34.5, 100.0, 100.0, 0, 7.099609375, 96.59375, 0.0, 14.298828125, 60.6953125, 21.3984375, 3.6, 0.0, 82.09375, 75.0, 14.298828125, 7.099609375, 3.599609375, 3.599609375, 136.0, 15.0, 7.0, 2.0, 7.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "27605", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Antenne universitaire de la ville de Saint Brieuc - STAPS   : Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27604&g_ta_cod=27605", 83.0, 14.0, 3.0),
(11233, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Portail LLCER Espagnol disciplinaire", "Licence - Arts-lettres-langues", "Espagnol (UNIQUEMENT enseignement à distance)", 50, 332, 257, 163, 0, 76, 17, 9, 4, 2, 1, 76, 169, 18, 2, 2, 147, 163, 161, 0, 0, 76, 17, 9, 4, 2, 1, 76, 294, 47, 33, 12, 35, 4.0, 12.0, 31.0, 0, 4, 6, 5, 1, 0, 41, 0, 3, 0, 2, 1, 0.0, 2, 1, 0, 0, 0, 1, 1, 8.51, 25.53, 65.96, 70.1875, 16.69921875, 16.69921875, 0, 66.6875, 12.798828125, 0.0, 50.0, 0.0, 33.296875, 16.7, 0.0, 83.296875, 33.296875, 16.69921875, 16.69921875, 0.0, 0.0, 78.0, 24.0, 4.0, 2.0, 201.0, "Tous les candidats", 377.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "27538", "Licence - Portail LLCER Espagnol disciplinaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27537&g_ta_cod=27538", 77.0, 9.0, 9.0),
(11234, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 15 - Mathématiques-Informatique-Economie", "Licence - Sciences - technologies - santé", "15 - Mathématiques-Informatique-Economie", 60, 594, 145, 592, 0, 417, 87, 24, 6, 7, 3, 144, 2, 1, 0, 0, 1, 570, 1, 0, 0, 417, 87, 24, 6, 7, 3, 122, 297, 59, 15, 58, 1, 7.0, 44.0, 55.0, 0, 16, 51, 51, 0, 0, 8, 0, 21, 22, 6, 2, 0.0, 30, 0, 0, 0, 0, 42, 42, 11.86, 74.58, 93.22, 25.3984375, 82.390625, 82.390625, 0, 31.3984375, 86.390625, 0.0, 41.1953125, 43.09375, 11.798828125, 3.9, 0.0, 100.0, 58.796875, 0.0, 0.0, 0.0, 0.0, 248.0, 48.0, 0.0, 0.0, 48.0, "Tous les candidats", 469.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "23428", "Licence - Portail 15 - Mathématiques-Informatique-Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23428&g_ta_cod=23428", 98.0, 2.0, 0.0),
(11235, "Public", "0750647W", "Lycée Turgot", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "CPGE", "Lycée Turgot - CPGE - ENS Cachan D2", "Classe préparatoire économique et commerciale", "", 48, 1385, 740, 1385, 210, 1241, 146, 8, 2, 0, 0, 136, 0, 0, 0, 0, 0, 1203, 0, 151, 1171, 1149, 131, 1, 0, 0, 0, 53, 346, 56, 25, 56, 0, 9.0, 37.0, 51.0, 4, 6, 53, 53, 0, 0, 3, 0, 0, 3, 22, 23, 5.0, 53, 0, 0, 2, 2, 13, 26, 16.07, 66.07, 91.07, 44.59375, 24.5, 49.09375, 3.7998046875, 11.298828125, 94.59375, 0.0, 0.0, 5.69921875, 41.5, 43.4, 9.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 325.0, 34.0, 0.0, 0.0, 21.0, "Tous les candidats", 482.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "8949", "CPGE - ENS Cachan D2", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8949&g_ta_cod=8949", 100.0, 0.0, 0.0),
(11236, "Public", "9760461X", "IFSI Mayotte", "976", "Mayotte", "Mayotte", "Mayotte", "Mamoudzou", "formation sélective", "IFSI", "Regroupement d'IFSI de Mayotte - D.E Infirmier", "D.E secteur sanitaire", "", 52, 887, 762, 887, 0, 286, 163, 146, 99, 63, 39, 392, 0, 0, 0, 0, 0, 401, 0, 0, 0, 124, 74, 48, 31, 31, 16, 198, 136, 52, 44, 52, 0, 15.0, 31.0, 42.0, 0, 13, 21, 14, 5, 2, 31, 0, 3, 13, 2, 3, 0.0, 13, 3, 2, 0, 0, 18, 18, 28.85, 59.62, 80.77, 84.59375, 85.6875, 85.6875, 0, 61.8984375, 40.3984375, 0.0, 14.298828125, 61.8984375, 9.5, 14.3, 0.0, 66.6875, 61.8984375, 23.796875, 14.298828125, 9.5, 9.5, 41.0, 25.0, 8.0, 6.0, 72.0, "Tous les candidats", 142.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "23063", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23063&g_ta_cod=23063", 69.0, 17.0, 13.0),
(11237, "Public", "0450051L", "Lycée BENJAMIN FRANKLIN", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée BENJAMIN FRANKLIN - BTS - Production - Electrotechnique", "BTS - Production", "", 27, 321, 17, 321, 0, 15, 3, 54, 17, 154, 68, 98, 0, 0, 0, 0, 0, 321, 0, 0, 0, 15, 3, 54, 17, 154, 68, 98, 95, 27, 0, 27, 0, 9.0, 24.0, 24.0, 0, 10, 23, 1, 4, 18, 4, 0, 4, 7, 9, 3, 0.0, 0, 2, 17, 7, 0, 20, 20, 33.33, 88.89, 88.89, 0.0, 87.0, 87.0, 30.3984375, 43.5, 85.1875, 0.0, 17.3984375, 30.3984375, 39.09375, 13.0, 0.0, 4.2998046875, 0.0, 17.3984375, 8.69921875, 78.296875, 73.890625, 9.0, 2.0, 52.0, 22.0, 11.0, "Tous les candidats sauf les Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 32.0, "5660", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5660&g_ta_cod=5660", 19.0, 15.0, 67.0),
(11238, "Public", "0693550J", "Polytech Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 99, 10360, 2794, 10360, 0, 9258, 859, 0, 0, 0, 0, 1102, 0, 0, 0, 0, 0, 7230, 0, 0, 0, 6844, 475, 0, 0, 0, 0, 386, 2380, 113, 35, 113, 0, 37.0, 77.0, 112.0, 0, 17, 108, 108, 0, 0, 5, 0, 0, 10, 56, 41, 1.0, 108, 0, 0, 0, 0, 65, 65, 32.74, 68.14, 99.12, 31.0, 60.1953125, 60.1953125, 0, 15.69921875, 95.59375, 0.0, 0.0, 9.298828125, 51.8984375, 38.0, 0.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 2316.0, 216.0, 0.0, 0.0, 64.0, "Autres candidats", 6429.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "29", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=29", 100.0, 0.0, 0.0),
(11239, "Privé enseignement supérieur", "0340994W", "IDELCA Business School", "34", "Hérault", "Occitanie", "Montpellier", "Jacou", "formation sélective", "BTS", "IDELCA Business School - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 14, 170, 62, 153, 0, 18, 7, 17, 4, 5, 3, 113, 17, 0, 8, 1, 8, 86, 8, 0, 0, 18, 7, 17, 4, 5, 3, 46, 69, 7, 2, 6, 1, 0.0, 4.0, 4.0, 0, 0, 3, 2, 1, 0, 4, 0, 2, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 3, 3, 0.0, 57.14, 57.14, 28.59765625, 100.0, 100.0, 0, 0.0, 42.8984375, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 13.0, 3.0, 6.0, 3.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers technologiques toutes séries", 21, "Bacheliers professionnels toutes séries", 5, "Liste d'appel propre à cette formation", 42.0, "30184", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30184&g_ta_cod=30184", 71.0, 29.0, 0.0),
(11240, "Public", "0270016W", "Lycée Aristide Briand", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BTS", "Lycée Aristide Briand - BTS - Services - Notariat", "BTS - Services", "", 24, 599, 405, 578, 0, 92, 20, 139, 41, 64, 28, 283, 21, 0, 12, 0, 9, 249, 2, 0, 0, 79, 18, 97, 26, 35, 12, 38, 112, 24, 21, 23, 1, 4.0, 18.0, 21.0, 0, 4, 20, 5, 10, 5, 4, 0, 5, 10, 4, 1, 0.0, 4, 6, 5, 4, 2, 18, 18, 16.67, 75.0, 87.5, 87.5, 90.0, 90.0, 20, 20.0, 83.296875, 0.0, 25.0, 50.0, 20.0, 5.0, 0.0, 25.0, 20.0, 50.0, 30.0, 25.0, 25.0, 25.0, 5.0, 10.0, 2.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 101, "Liste d'appel propre à cette formation", 30.0, "3683", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3683&g_ta_cod=3683", 33.0, 46.0, 21.0),
(11241, "Privé enseignement supérieur", "0922455U", "CESI Campus de Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Ecole d'Ingénieur", "CESI Ecole d?Ingénieurs ? (Paris La Défense) - Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "Formations  des écoles d'ingénieurs", "Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", 135, 1433, 231, 1249, 0, 917, 137, 116, 29, 0, 0, 216, 184, 82, 8, 0, 94, 894, 57, 0, 0, 698, 73, 86, 13, 0, 0, 110, 540, 94, 21, 74, 20, 18.0, 74.0, 91.0, 0, 15, 78, 65, 13, 0, 16, 1, 18, 42, 15, 2, 0.0, 51, 8, 0, 0, 0, 42, 69, 19.15, 78.72, 96.81, 22.296875, 53.796875, 88.5, 0, 19.19921875, 83.0, 1.2998046875, 23.09765625, 53.796875, 19.19921875, 2.6, 0.0, 83.296875, 65.390625, 16.69921875, 10.298828125, 0.0, 0.0, 387.0, 41.0, 0.0, 0.0, 107.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "25182", "Formation d'ingénieur Bac + 5 - Cycle Préparatoire Intégré - Spécialité Généraliste, BTP, Informatique, Systèmes embarqués", "CESI Ecole d?Ingénieurs ? (Paris La Défense)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24488&g_ta_cod=25182", 85.0, 15.0, 0.0),
(11242, "Public", "9720727H", "Lycée Montgérald", "972", "Martinique", "Martinique", "Martinique", "Le Marin", "formation sélective", "BTS", "Lycée Montgérald - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 193, 106, 188, 0, 32, 15, 67, 31, 70, 41, 19, 5, 0, 0, 4, 1, 140, 1, 0, 0, 27, 13, 53, 24, 49, 30, 11, 75, 23, 14, 21, 0, 4.0, 17.0, 20.0, 0, 11, 20, 4, 7, 9, 3, 0, 8, 10, 2, 0, 0.0, 2, 3, 7, 4, 2, 18, 18, 17.39, 73.91, 86.96, 60.8984375, 90.0, 90.0, 20, 55.0, 87.0, 0.0, 40.0, 50.0, 10.0, 0.0, 0.0, 20.0, 10.0, 35.0, 15.0, 45.0, 35.0, 11.0, 6.0, 39.0, 24.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers technologiques toutes séries", 37, "Bacheliers professionnels toutes séries", 48, "Liste d'appel propre à cette formation", 57.0, "30264", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30264&g_ta_cod=30264", 26.0, 30.0, 43.0),
(11243, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "Autre formation", "Université de La Réunion - Saint Denis - CPESIP (Cycle préparatoire aux Etudes Supérieures et à l'Insertion Professionnelle)", "Année préparatoire", "CPESIP (Cycle préparatoire aux Etudes Supérieures et à l'Insertion Professionnelle)", 160, 602, 397, 410, 0, 20, 12, 80, 48, 255, 202, 55, 192, 10, 19, 84, 79, 275, 93, 0, 0, 16, 10, 48, 30, 173, 137, 38, 377, 139, 93, 78, 59, 53.0, 74.0, 117.0, 0, 81, 98, 3, 15, 80, 41, 2, 58, 34, 3, 1, 0.0, 0, 1, 37, 0, 0, 96, 96, 38.13, 53.24, 84.17, 66.890625, 98.0, 98.0, 0, 82.6875, 70.5, 2.0, 59.1953125, 34.6953125, 3.099609375, 1.0, 0.0, 3.099609375, 0.0, 15.298828125, 1.0, 81.59375, 37.796875, 19.0, 13.0, 223.0, 177.0, 79.0, "Tous les candidats", 275.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "12494", "CPESIP (Cycle préparatoire aux Etudes Supérieures et à l'Insertion Professionnelle)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12494&g_ta_cod=12494", 10.0, 15.0, 73.0),
(11244, "Privé sous contrat d'association", "0131402D", "Lycée Charles Peguy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "BTS", "Lycée Charles Peguy - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 326, 29, 326, 0, 70, 16, 81, 38, 66, 31, 109, 0, 0, 0, 0, 0, 264, 0, 0, 0, 55, 13, 75, 37, 60, 28, 74, 138, 29, 2, 29, 0, 4.0, 20.0, 24.0, 0, 10, 22, 4, 9, 9, 7, 0, 12, 9, 1, 0, 0.0, 1, 3, 6, 0, 0, 21, 21, 13.79, 68.97, 82.76, 6.8994140625, 95.5, 95.5, 0, 45.5, 75.890625, 0.0, 54.5, 40.8984375, 4.5, 0.0, 0.0, 18.19921875, 4.5, 40.8984375, 13.599609375, 40.8984375, 27.296875, 31.0, 10.0, 40.0, 22.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 48.0, "2641", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2641&g_ta_cod=2641", 28.0, 38.0, 34.0),
(11245, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Physique, chimie - Parcours Physique / Chimie / Environnement", "Licence - Sciences - technologies - santé", "Physique / Chimie / Environnement", 60, 506, 244, 469, 0, 345, 57, 20, 6, 6, 3, 98, 37, 7, 3, 1, 26, 469, 36, 0, 0, 345, 57, 20, 6, 6, 3, 98, 403, 53, 24, 39, 14, 2.0, 38.0, 45.0, 0, 12, 34, 27, 4, 3, 19, 0, 16, 14, 3, 0, 1.0, 17, 1, 0, 0, 0, 32, 32, 3.77, 71.7, 84.91, 45.296875, 94.09375, 94.09375, 0, 35.296875, 64.1875, 0.0, 47.09375, 41.1953125, 8.798828125, 0.0, 2.9, 79.390625, 50.0, 11.798828125, 2.89990234375, 8.798828125, 0.0, 283.0, 57.0, 7.0, 4.0, 102.0, "Tous les candidats", 469.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8157", "Licence - Physique, chimie - Parcours Physique / Chimie / Environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8157&g_ta_cod=8157", 75.0, 17.0, 6.0),
(11246, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Anglais / Langue asiatique - Parcours Anglais / chinois", "Licence - Arts-lettres-langues", "Anglais / chinois", 10, 303, 234, 303, 0, 157, 34, 17, 8, 24, 12, 105, 0, 0, 0, 0, 0, 293, 0, 0, 0, 157, 34, 17, 8, 24, 12, 95, 51, 10, 6, 10, 0, 0.0, 10.0, 10.0, 0, 2, 7, 6, 0, 1, 3, 0, 3, 4, 0, 0, 0.0, 4, 0, 0, 0, 0, 1, 5, 0.0, 100.0, 100.0, 60.0, 14.298828125, 71.390625, 0, 28.59765625, 70.0, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 85.6875, 57.09375, 0.0, 0.0, 14.298828125, 0.0, 36.0, 9.0, 3.0, 1.0, 12.0, "Tous les candidats", 84.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "29901", "Licence - Anglais / Langue asiatique - Parcours Anglais / chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29901&g_ta_cod=29901", 80.0, 0.0, 20.0),
(11247, "Public", "0932047V", "Lycée Evariste Galois", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Noisy-le-Grand", "formation sélective", "BTS", "Lycée Evariste Galois - BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "BTS - Services", "", 12, 503, 66, 503, 0, 115, 23, 85, 19, 125, 38, 178, 0, 0, 0, 0, 0, 102, 0, 0, 0, 30, 3, 18, 3, 38, 8, 16, 42, 12, 2, 12, 0, 3.0, 12.0, 12.0, 0, 3, 11, 5, 4, 2, 1, 0, 3, 4, 3, 1, 0.0, 2, 4, 2, 0, 0, 9, 11, 25.0, 100.0, 100.0, 16.69921875, 81.796875, 100.0, 0, 27.296875, 91.6875, 0.0, 27.296875, 36.3984375, 27.296875, 9.1, 0.0, 45.5, 18.19921875, 36.3984375, 36.3984375, 18.19921875, 18.19921875, 16.0, 2.0, 9.0, 2.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 11.0, "11329", "BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11329&g_ta_cod=11329", 50.0, 33.0, 17.0),
(11248, "Privé sous contrat d'association", "0660951A", "Institut Régional du Travail Social de Perpignan", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "EFTS", "Institut Régional du Travail Social de Montpellier - D.E Educateur Spécialisé", "D.E secteur social", "", 28, 451, 382, 451, 0, 55, 12, 71, 19, 39, 9, 286, 0, 0, 0, 0, 0, 156, 0, 0, 0, 20, 4, 18, 2, 6, 1, 112, 94, 30, 25, 30, 0, 8.0, 29.0, 29.0, 0, 1, 5, 2, 3, 0, 25, 0, 2, 2, 1, 0, 0.0, 1, 2, 0, 0, 0, 4, 4, 26.67, 96.67, 96.67, 83.296875, 80.0, 80.0, 0, 20.0, 16.69921875, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 40.0, 20.0, 60.0, 40.0, 0.0, 0.0, 12.0, 2.0, 3.0, 0.0, 69.0, "Tous les candidats", 199.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "28395", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24866&g_ta_cod=28395", 57.0, 27.0, 13.0),
(11249, "Public", "0311527S", "Unité de formation et de recherche des sciences médicales - Rangueil - Université Toulouse 3", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Unité de formation et de recherche des sciences médicales - Rangueil - Université Toulouse 3 - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 38, 1244, 1199, 1244, 0, 380, 74, 31, 11, 1, 0, 832, 0, 0, 0, 0, 0, 146, 0, 0, 0, 73, 12, 1, 0, 0, 0, 72, 54, 38, 38, 38, 0, 27.0, 34.0, 36.0, 0, 4, 14, 14, 0, 0, 24, 0, 0, 0, 4, 9, 1.0, 14, 0, 0, 0, 0, 8, 8, 71.05, 89.47, 94.74, 100.0, 57.09375, 57.09375, 0, 28.59765625, 36.796875, 0.0, 0.0, 0.0, 28.59765625, 64.3, 7.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 19.0, 5.0, 0.0, 0.0, 35.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "26393", "Certificat de capacité d'Orthophoniste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26393&g_ta_cod=26393", 97.0, 3.0, 0.0),
(11250, "Privé sous contrat d'association", "0624489T", "EESTS - ECOLE EUROPEENNE SUPERIEURE EN TRAVAIL SOCIAL D'AVION", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Avion", "formation sélective", "EFTS", "EESTS - ECOLE EUROPEENNE SUPERIEURE EN TRAVAIL SOCIAL D'AVION - D.E Educateur Spécialisé", "D.E secteur social", "", 10, 56, 46, 56, 0, 9, 3, 10, 2, 2, 0, 35, 0, 0, 0, 0, 0, 37, 0, 0, 0, 3, 1, 6, 2, 1, 0, 27, 18, 12, 11, 12, 0, 8.0, 12.0, 12.0, 0, 2, 3, 0, 2, 1, 9, 0, 0, 1, 2, 0, 0.0, 0, 2, 1, 0, 0, 3, 3, 66.67, 100.0, 100.0, 91.6875, 100.0, 100.0, 0, 66.6875, 25.0, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 1.0, 0.0, 1.0, 0.0, 14.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "25011", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25011&g_ta_cod=25011", 33.0, 33.0, 25.0),
(11251, "Public", "0660586D", "I.U.T de Perpignan", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BUT", "I.U.T de Perpignan - BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "BUT - Production", "Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", 56, 510, 48, 491, 0, 203, 36, 171, 55, 11, 7, 106, 19, 1, 3, 1, 14, 420, 9, 0, 0, 193, 33, 137, 40, 7, 4, 83, 309, 44, 3, 40, 3, 4.0, 31.0, 42.0, 0, 11, 30, 14, 16, 0, 14, 0, 20, 8, 2, 0, 0.0, 1, 9, 0, 0, 0, 19, 19, 9.09, 70.45, 95.45, 6.7998046875, 63.296875, 63.296875, 0, 36.6953125, 68.1875, 0.0, 66.6875, 26.69921875, 6.69921875, 0.0, 0.0, 46.6953125, 3.2998046875, 53.296875, 30.0, 0.0, 0.0, 147.0, 27.0, 3.0, 2.0, 59.0, "Tous les candidats sauf les Bac technologiques", 268.0, "Bacheliers technologiques toutes séries", 150, "", 0, "Liste d'appel propre à cette formation", 85.0, "7890", "BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7890&g_ta_cod=7890", 52.0, 45.0, 2.0),
(11252, "Public", "0720003M", "Lycée professionnel Claude Chappe", "72", "Sarthe", "Pays de la Loire", "Nantes", "Arnage", "formation sélective", "BTS", "Lycée professionnel Claude Chappe - BTS - Production - Maintenance des systèmes - option C Systèmes éoliens", "BTS - Production", "", 13, 130, 5, 125, 0, 5, 0, 42, 11, 48, 18, 30, 5, 0, 3, 0, 2, 104, 1, 0, 0, 4, 0, 38, 9, 48, 18, 14, 64, 13, 0, 13, 0, 2.0, 9.0, 12.0, 0, 4, 12, 2, 4, 6, 1, 0, 7, 4, 0, 1, 0.0, 1, 1, 3, 0, 0, 2, 2, 15.38, 69.23, 92.31, 0.0, 16.69921875, 16.69921875, 0, 33.296875, 92.296875, 0.0, 58.296875, 33.296875, 0.0, 8.3, 0.0, 16.69921875, 8.298828125, 33.296875, 8.298828125, 50.0, 25.0, 3.0, 0.0, 28.0, 13.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 74.0, "17244", "BTS - Production - Maintenance des systèmes - option C Systèmes éoliens", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17244&g_ta_cod=17244", 15.0, 31.0, 54.0),
(11253, "Public", "0510034K", "Lycée Franklin Roosevelt", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "CPGE", "Lycée Franklin Roosevelt - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 1242, 380, 1242, 783, 728, 102, 4, 2, 1, 0, 509, 0, 0, 0, 0, 0, 808, 0, 460, 783, 647, 82, 0, 0, 0, 0, 161, 276, 46, 11, 46, 0, 1.0, 35.0, 42.0, 13, 2, 45, 45, 0, 0, 1, 0, 2, 11, 26, 6, 0.0, 43, 0, 0, 3, 0, 28, 28, 2.17, 76.09, 91.3, 23.8984375, 62.1953125, 62.1953125, 6.69921875, 4.3994140625, 97.796875, 0.0, 4.3994140625, 24.3984375, 57.796875, 13.3, 0.0, 100.0, 95.59375, 0.0, 0.0, 0.0, 0.0, 266.0, 25.0, 0.0, 0.0, 10.0, "Tous les candidats", 410.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "6061", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6061&g_ta_cod=6061", 100.0, 0.0, 0.0),
(11254, "Public", "0330029C", "Lycée Nicolas Bremontier", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Nicolas Bremontier - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 1240, 787, 1230, 0, 95, 23, 480, 179, 359, 166, 296, 10, 0, 0, 8, 2, 601, 0, 0, 0, 38, 10, 305, 99, 196, 81, 62, 179, 33, 24, 33, 0, 7.0, 27.0, 31.0, 0, 14, 28, 2, 11, 15, 5, 0, 10, 13, 3, 2, 0.0, 1, 8, 9, 1, 1, 27, 27, 21.21, 81.82, 93.94, 72.6875, 96.390625, 96.390625, 3.599609375, 50.0, 84.796875, 0.0, 35.6953125, 46.3984375, 10.69921875, 7.1, 0.0, 7.099609375, 3.599609375, 39.296875, 28.59765625, 53.59375, 32.09375, 12.0, 3.0, 81.0, 35.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 128, "Bacheliers technologiques toutes séries", 145, "Liste d'appel propre à cette formation", 24.0, "4308", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4308&g_ta_cod=4308", 12.0, 42.0, 45.0),
(11255, "Public", "0134015U", "Aix-Marseille Université - Site de Marseille Saint Charles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation non sélective", "Licence", "Aix-Marseille Université - Site de Marseille Saint Charles - Licence - Portail Formation à distance - Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales", "Licence - Sciences - technologies - santé", "Formation à distance - Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales", 200, 988, 676, 950, 0, 429, 123, 60, 23, 6, 5, 455, 38, 4, 1, 1, 32, 950, 37, 0, 0, 429, 123, 60, 23, 6, 5, 455, 804, 197, 146, 174, 23, 65.0, 116.0, 152.0, 0, 17, 60, 55, 5, 0, 137, 1, 16, 22, 10, 9, 2.0, 39, 4, 0, 0, 0, 17, 17, 32.99, 58.88, 77.16, 74.09375, 28.296875, 28.296875, 0, 28.296875, 30.5, 1.699951171875, 26.69921875, 36.6953125, 16.69921875, 15.0, 3.3, 91.6875, 65.0, 8.298828125, 6.69921875, 0.0, 0.0, 370.0, 102.0, 4.0, 4.0, 398.0, "Tous les candidats", 846.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "16726", "Licence - Portail Formation à distance - Pasteur : Chimie, Sciences de la vie, Sciences de la vie et de la terre, Sciences sanitaires et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16726&g_ta_cod=16726", 82.0, 12.0, 2.0),
(11256, "Privé sous contrat d'association", "0601701Y", "Lycée Général et Technologique Jean-Paul II", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "BTS", "Lycée Général et Technologique Jean-Paul II - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 48, 255, 216, 226, 0, 16, 6, 62, 20, 73, 22, 75, 29, 3, 5, 9, 12, 161, 18, 0, 0, 15, 6, 57, 16, 65, 18, 24, 131, 32, 28, 27, 4, 10.0, 18.0, 26.0, 0, 6, 28, 3, 8, 17, 4, 0, 10, 10, 8, 0, 0.0, 0, 4, 14, 5, 5, 27, 27, 31.25, 56.25, 81.25, 87.5, 96.390625, 96.390625, 17.8984375, 21.3984375, 87.5, 0.0, 35.6953125, 35.6953125, 28.59765625, 0.0, 0.0, 10.69921875, 0.0, 28.59765625, 14.298828125, 60.6953125, 50.0, 10.0, 2.0, 58.0, 14.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 69.0, "17501", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17501&g_ta_cod=17501", 16.0, 31.0, 53.0),
(11257, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Double licence - Philosophie / Lettres - Double Licence : Philosophie Lettres Modernes", "Licence - Sciences humaines et sociales", "Double Licence : Philosophie Lettres Modernes", 25, 272, 198, 255, 0, 201, 39, 10, 4, 1, 1, 43, 17, 1, 0, 1, 15, 255, 13, 0, 0, 201, 39, 10, 4, 1, 1, 43, 168, 20, 14, 20, 0, 2.0, 18.0, 20.0, 0, 1, 14, 13, 1, 0, 6, 0, 1, 7, 4, 2, 0.0, 13, 0, 0, 0, 0, 11, 11, 10.0, 90.0, 100.0, 70.0, 78.59375, 78.59375, 0, 7.099609375, 70.0, 0.0, 7.099609375, 50.0, 28.59765625, 14.3, 0.0, 92.890625, 92.890625, 7.099609375, 0.0, 0.0, 0.0, 131.0, 23.0, 1.0, 1.0, 32.0, "Tous les candidats", 255.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "17485", "Double licence - Philosophie / Lettres - Double Licence : Philosophie Lettres Modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17485&g_ta_cod=17485", 90.0, 5.0, 0.0),
(11258, "Public", "0310039Z", "Lycée Marcelin Berthelot", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Marcelin Berthelot - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 2142, 1292, 2142, 0, 151, 54, 601, 253, 594, 322, 796, 0, 0, 0, 0, 0, 1018, 0, 0, 0, 108, 33, 435, 174, 296, 140, 179, 212, 31, 23, 31, 0, 5.0, 22.0, 27.0, 0, 8, 21, 2, 9, 10, 10, 0, 10, 8, 2, 1, 0.0, 0, 5, 6, 2, 2, 16, 16, 16.13, 70.97, 87.1, 74.1875, 76.1875, 76.1875, 9.5, 38.09375, 67.6875, 0.0, 47.59375, 38.09375, 9.5, 4.8, 0.0, 9.5, 0.0, 42.8984375, 23.796875, 47.59375, 28.59765625, 26.0, 11.0, 61.0, 26.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 145, "Bacheliers technologiques toutes séries", 166, "Liste d'appel propre à cette formation", 17.0, "4046", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4046&g_ta_cod=4046", 10.0, 45.0, 45.0),
(11259, "Public", "0460490H", "L.E.G.T.A. la Vinadie", "46", "Lot", "Occitanie", "Toulouse", "Figeac", "formation sélective", "BTS", "L.E.G.T.A. la Vinadie - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 28, 369, 160, 366, 0, 15, 5, 55, 14, 79, 29, 217, 3, 0, 1, 0, 2, 107, 1, 0, 0, 9, 3, 39, 10, 51, 19, 8, 54, 20, 11, 20, 0, 15.0, 20.0, 20.0, 0, 1, 18, 1, 9, 8, 2, 0, 3, 9, 4, 2, 0.0, 0, 8, 7, 7, 6, 15, 15, 75.0, 100.0, 100.0, 55.0, 83.296875, 83.296875, 38.8984375, 5.599609375, 90.0, 0.0, 16.69921875, 50.0, 22.19921875, 11.1, 0.0, 5.599609375, 0.0, 50.0, 44.3984375, 44.3984375, 38.8984375, 4.0, 2.0, 26.0, 7.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 27.0, "5749", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5749&g_ta_cod=5749", 15.0, 45.0, 40.0),
(11260, "Privé enseignement supérieur", "0081153K", "South Champagne Business School - Campus de Charleville-Mézières", "08", "Ariège", "Grand Est", "Reims", "Charleville-Mézières", "formation sélective", "Ecole de Commerce", "South Champagne Business School - Formation des écoles de commerce et de management Bac + 3 - Global Bachelor in Management (GBM)", "Formation des écoles de commerce et de management", "Global Bachelor in Management (GBM)", 25, 41, 25, 41, 0, 30, 2, 2, 0, 4, 0, 5, 0, 0, 0, 0, 0, 34, 0, 0, 0, 27, 2, 1, 0, 4, 0, 2, 34, 3, 3, 3, 0, 3.0, 3.0, 3.0, 0, 0, 3, 2, 0, 1, 0, 0, 2, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 3, 3, 100.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 33.296875, 0.0, 27.0, 2.0, 4.0, 0.0, 2.0, "Tous les candidats", 72.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 83.0, "28978", "Formation des écoles de commerce et de management Bac + 3 - Global Bachelor in Management (GBM)", "South Champagne Business School", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28974&g_ta_cod=28978", 67.0, 0.0, 33.0),
(11261, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Portail Histoire", "Licence - Sciences humaines et sociales", "", 540, 2119, 1108, 1657, 0, 1050, 166, 73, 24, 33, 11, 501, 462, 185, 32, 16, 229, 1649, 453, 0, 0, 1050, 166, 73, 24, 33, 11, 493, 1937, 535, 239, 315, 220, 65.0, 314.0, 464.0, 0, 72, 319, 267, 38, 14, 216, 1, 112, 122, 59, 22, 3.0, 181, 18, 7, 0, 0, 77, 236, 12.15, 58.69, 86.73, 44.6953125, 24.09765625, 74.0, 0, 22.59765625, 59.59375, 0.29998779296875, 35.09375, 38.1953125, 18.5, 6.9, 0.9, 83.6875, 56.6953125, 11.8984375, 5.599609375, 4.3994140625, 2.19970703125, 1134.0, 193.0, 39.0, 13.0, 672.0, "Tous les candidats", 1872.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9307", "Licence - Portail Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28446&g_ta_cod=9307", 79.0, 13.0, 6.0),
(11262, "Public", "0590215N", "Lycée Sévigné", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BTS", "Lycée Sévigné - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 568, 324, 568, 0, 20, 11, 106, 51, 171, 108, 271, 0, 0, 0, 0, 0, 355, 0, 0, 0, 14, 7, 67, 33, 139, 84, 135, 152, 33, 19, 33, 0, 1.0, 28.0, 28.0, 0, 8, 9, 1, 4, 4, 24, 0, 3, 5, 1, 0, 0.0, 1, 1, 4, 0, 0, 9, 9, 3.03, 84.85, 84.85, 57.59375, 100.0, 100.0, 0, 88.890625, 27.296875, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 11.099609375, 11.099609375, 44.3984375, 11.099609375, 44.3984375, 44.3984375, 7.0, 4.0, 48.0, 28.0, 65.0, "Tous les candidats sauf les Bac professionnels", 85.0, "Bacheliers professionnels toutes séries", 115, "", 0, "Liste d'appel propre à cette formation", 35.0, "6839", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6839&g_ta_cod=6839", 6.0, 33.0, 61.0),
(11263, "Public", "9741204R", "Université de la Réunion - Le Tampon", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation non sélective", "Licence", "Université de la Réunion - Le Tampon - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 580, 1967, 599, 1907, 0, 1073, 327, 338, 180, 77, 54, 419, 60, 9, 3, 3, 45, 1907, 44, 0, 0, 1073, 327, 338, 180, 77, 54, 419, 1542, 563, 107, 532, 27, 192.0, 502.0, 509.0, 0, 186, 445, 307, 116, 22, 118, 6, 246, 146, 44, 3, 0.0, 140, 45, 8, 0, 0, 393, 393, 34.1, 89.17, 90.41, 19.0, 88.296875, 88.296875, 0, 41.796875, 79.0, 1.2998046875, 55.296875, 32.796875, 9.8984375, 0.7, 0.0, 69.0, 31.5, 26.09765625, 10.099609375, 4.8994140625, 1.7998046875, 870.0, 312.0, 48.0, 35.0, 356.0, "Tous les candidats", 1923.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "11967", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27549&g_ta_cod=11967", 66.0, 26.0, 8.0),
(11264, "Public", "0860823C", "Lycée professionnel Reaumur", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Autre formation", "Lycée professionnel Reaumur - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 12, 52, 0, 52, 0, 0, 0, 0, 0, 42, 9, 10, 0, 0, 0, 0, 0, 45, 0, 0, 0, 0, 0, 0, 0, 40, 9, 5, 19, 12, 0, 12, 0, 7.0, 11.0, 12.0, 0, 0, 10, 0, 0, 10, 2, 0, 2, 2, 4, 2, 0.0, 0, 0, 8, 0, 0, 9, 9, 58.33, 91.67, 100.0, 0.0, 90.0, 90.0, 0, 0.0, 83.296875, 0.0, 20.0, 20.0, 40.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 16.0, 3.0, 3.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "21064", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21064&g_ta_cod=21064", 0.0, 0.0, 100.0),
(11265, "Privé sous contrat d'association", "0831025N", "IFSI Croix Rouge Française Ollioules", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Ollioules", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nice Sophia Antipolis - D.E Infirmier", "D.E secteur sanitaire", "", 54, 3973, 3342, 3973, 0, 619, 123, 623, 168, 357, 137, 2374, 0, 0, 0, 0, 0, 1997, 0, 0, 0, 479, 77, 348, 82, 120, 41, 1050, 436, 51, 39, 51, 0, 2.0, 28.0, 45.0, 0, 2, 29, 17, 9, 3, 22, 1, 1, 16, 9, 2, 0.0, 15, 9, 3, 0, 0, 23, 23, 3.92, 54.9, 88.24, 76.5, 79.296875, 79.296875, 0, 6.8994140625, 56.8984375, 3.39990234375, 3.39990234375, 55.1953125, 31.0, 6.9, 0.0, 58.59375, 51.6953125, 31.0, 31.0, 10.298828125, 10.298828125, 150.0, 27.0, 17.0, 5.0, 220.0, "Tous les candidats", 978.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 15.0, "23069", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22984&g_ta_cod=23069", 67.0, 24.0, 10.0),
(11266, "Public", "0540038Y", "Lycée Henri Poincaré", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "CPGE", "Lycée Henri Poincaré - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 490, 228, 488, 304, 359, 28, 2, 0, 0, 0, 127, 2, 2, 0, 0, 0, 392, 0, 240, 363, 345, 26, 0, 0, 0, 0, 47, 194, 16, 3, 16, 0, 0.0, 13.0, 16.0, 3, 1, 11, 11, 0, 0, 5, 0, 0, 0, 7, 4, 0.0, 11, 0, 0, 0, 0, 9, 9, 0.0, 81.25, 100.0, 18.796875, 81.796875, 81.796875, 0, 9.099609375, 68.796875, 0.0, 0.0, 0.0, 63.59375, 36.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 161.0, 12.0, 0.0, 0.0, 33.0, "Tous les candidats", 387.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "31329", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31329&g_ta_cod=31329", 100.0, 0.0, 0.0),
(11267, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Licence", "Université Clermont Auvergne - Licence - Double diplôme - Licence Etudes européennes et internationales - Métiers du livre franco-allemands, double diplôme Bachelor of Arts - Literatur und Buch (Université d'Erlangen, Allemagne)", "Licence - Arts-lettres-langues", "Métiers du livre franco-allemands, double diplôme Bachelor of Arts - Literatur und Buch (Université d'Erlangen, Allemagne)", 12, 60, 46, 48, 0, 36, 4, 2, 0, 0, 0, 10, 12, 5, 0, 0, 7, 37, 2, 0, 0, 31, 2, 0, 0, 0, 0, 6, 39, 5, 4, 5, 0, 5.0, 5.0, 5.0, 0, 0, 4, 4, 0, 0, 1, 2, 0, 0, 1, 1, 0.0, 2, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 80.0, 25.0, 25.0, 0, 0.0, 80.0, 50.0, 0.0, 0.0, 25.0, 25.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 32.0, 3.0, 0.0, 0.0, 7.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "16679", "Licence - Double diplôme - Licence Etudes européennes et internationales - Métiers du livre franco-allemands, double diplôme Bachelor of Arts - Literatur und Buch (Université d'Erlangen, Allemagne)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16679&g_ta_cod=16679", 100.0, 0.0, 0.0),
(11268, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "PASS", "Université de Limoges - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Physique - Génie civil", 24, 1052, 568, 1052, 0, 790, 111, 13, 1, 4, 3, 245, 0, 0, 0, 0, 0, 1032, 0, 0, 0, 790, 111, 13, 1, 4, 3, 225, 277, 23, 11, 23, 0, 0.0, 6.0, 18.0, 0, 1, 17, 17, 0, 0, 6, 0, 2, 4, 7, 3, 1.0, 15, 0, 0, 0, 0, 1, 1, 0.0, 26.09, 78.26, 47.796875, 5.8994140625, 5.8994140625, 0, 5.8994140625, 73.890625, 0.0, 11.798828125, 23.5, 41.1953125, 17.6, 5.9, 100.0, 88.1875, 0.0, 0.0, 0.0, 0.0, 231.0, 29.0, 2.0, 2.0, 42.0, "Tous les candidats", 2700.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 48.0, "31766", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26973&g_ta_cod=31766", 100.0, 0.0, 0.0),
(11269, "Public", "0410018X", "Lycée agricole de VENDOME (41)", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Vendôme", "formation sélective", "BTS", "Lycée agricole de VENDOME (41) - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 24, 335, 198, 308, 0, 66, 7, 65, 15, 33, 9, 144, 27, 8, 8, 1, 10, 150, 15, 0, 0, 61, 7, 48, 11, 16, 4, 25, 119, 19, 11, 13, 6, 1.0, 12.0, 16.0, 0, 1, 17, 7, 7, 3, 2, 0, 7, 8, 2, 0, 0.0, 5, 2, 3, 4, 2, 9, 9, 5.26, 63.16, 84.21, 57.8984375, 52.8984375, 52.8984375, 23.5, 5.8994140625, 89.5, 0.0, 41.1953125, 47.09375, 11.798828125, 0.0, 0.0, 41.1953125, 29.3984375, 41.1953125, 11.798828125, 17.59765625, 17.59765625, 46.0, 8.0, 14.0, 3.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 48.0, "5241", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5241&g_ta_cod=5241", 42.0, 42.0, 16.0),
(11270, "Public", "0800009A", "Lycée Louis Thuillier", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "CPGE", "Lycée Louis Thuillier - CPGE - TSI", "Classe préparatoire scientifique", "", 35, 177, 14, 173, 118, 0, 0, 150, 30, 0, 0, 23, 4, 0, 2, 0, 2, 150, 1, 103, 132, 0, 0, 145, 28, 0, 0, 5, 82, 23, 1, 23, 0, 15.0, 22.0, 23.0, 13, 8, 23, 0, 23, 0, 0, 0, 1, 4, 10, 8, 0.0, 0, 22, 0, 0, 0, 19, 19, 65.22, 95.65, 100.0, 4.2998046875, 82.59375, 82.59375, 0, 34.796875, 100.0, 0.0, 4.2998046875, 17.3984375, 43.5, 34.8, 0.0, 0.0, 0.0, 100.0, 95.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 149.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "10152", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10152&g_ta_cod=10152", 0.0, 100.0, 0.0),
(11271, "Privé enseignement supérieur", "0442777E", "Facultés libres de l'ouest - UCO - Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Rezé", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Licence - Droit", "Licence - Droit-économie-gestion", "", 90, 1312, 946, 1220, 0, 927, 122, 132, 28, 31, 12, 130, 92, 38, 9, 3, 42, 1220, 83, 0, 0, 927, 122, 132, 28, 31, 12, 130, 1029, 82, 54, 63, 19, 27.0, 63.0, 77.0, 0, 7, 62, 51, 10, 1, 20, 0, 16, 35, 10, 1, 0.0, 40, 5, 1, 0, 0, 40, 40, 32.93, 76.83, 93.9, 65.890625, 64.5, 64.5, 0, 11.298828125, 75.59375, 0.0, 25.796875, 56.5, 16.09765625, 1.6, 0.0, 82.296875, 64.5, 16.09765625, 8.099609375, 1.599853515625, 1.599853515625, 776.0, 91.0, 20.0, 6.0, 133.0, "Tous les candidats", 1793.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "18590", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17417&g_ta_cod=18590", 80.0, 16.0, 2.0),
(11272, "Privé sous contrat d'association", "0761735Y", "Lycée Jeanne D'Arc", "76", "Seine-Maritime", "Normandie", "Normandie", "Sainte-Adresse", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 53, 334, 329, 333, 0, 51, 11, 111, 35, 81, 26, 90, 1, 1, 0, 0, 0, 288, 1, 0, 0, 49, 9, 93, 29, 73, 22, 73, 163, 46, 45, 45, 1, 17.0, 37.0, 40.0, 0, 5, 32, 11, 10, 11, 14, 0, 13, 15, 3, 1, 0.0, 5, 7, 7, 10, 10, 29, 29, 36.96, 80.43, 86.96, 97.796875, 90.59375, 90.59375, 31.296875, 15.599609375, 69.59375, 0.0, 40.59375, 46.8984375, 9.3984375, 3.1, 0.0, 34.3984375, 15.599609375, 31.296875, 21.8984375, 34.3984375, 21.8984375, 30.0, 9.0, 40.0, 9.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 62.0, "9650", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9650&g_ta_cod=9650", 30.0, 39.0, 30.0),
(11273, "Public", "0031121C", "Université Clermont Auvergne - Antenne de Vichy - UFR STAPS", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Vichy", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Portail STAPS", "Licence - Sciences - technologies - santé", "STAPS site de Vichy", 80, 1972, 651, 1972, 0, 1371, 209, 222, 41, 36, 14, 343, 0, 0, 0, 0, 0, 1971, 0, 0, 0, 1371, 209, 222, 41, 36, 14, 342, 719, 78, 15, 78, 0, 22.0, 44.0, 57.0, 0, 11, 61, 52, 7, 2, 17, 0, 39, 20, 2, 0, 0.0, 20, 1, 1, 0, 0, 58, 58, 28.21, 56.41, 73.08, 19.19921875, 95.09375, 95.09375, 0, 18.0, 78.1875, 0.0, 63.8984375, 32.796875, 3.2998046875, 0.0, 0.0, 85.1875, 32.796875, 11.5, 1.599853515625, 3.2998046875, 1.599853515625, 531.0, 77.0, 15.0, 3.0, 118.0, "Tous les candidats", 1099.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "21091", "Licence - Portail STAPS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7666&g_ta_cod=21091", 78.0, 17.0, 5.0),
(11274, "Privé sous contrat d'association", "0340194H", "ISEN Méditerranée (Campus Nîmes) CPGE associée YNCREA (ISEN-HEI) Saint Joseph Pierre Rouge", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "bac STL", 5, 30, 15, 27, 0, 0, 0, 27, 15, 0, 0, 0, 3, 0, 3, 0, 0, 19, 2, 0, 0, 0, 0, 19, 11, 0, 0, 0, 21, 1, 0, 0, 1, 0.0, 0.0, 1.0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0, 100.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "25858", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=25858", 0.0, 100.0, 0.0),
(11275, "Public", "0940119U", "Lycée Paul Doumer", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Le Perreux-sur-Marne", "formation sélective", "BTS", "Lycée Paul Doumer - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 427, 287, 427, 0, 16, 4, 146, 56, 146, 69, 119, 0, 0, 0, 0, 0, 214, 0, 0, 0, 14, 4, 79, 31, 83, 43, 38, 116, 34, 26, 34, 0, 12.0, 33.0, 34.0, 0, 21, 33, 1, 14, 18, 1, 0, 18, 10, 5, 0, 0.0, 0, 6, 9, 1, 1, 32, 33, 35.29, 97.06, 100.0, 76.5, 97.0, 100.0, 3, 63.59375, 97.09375, 0.0, 54.5, 30.296875, 15.19921875, 0.0, 0.0, 3.0, 0.0, 42.3984375, 18.19921875, 54.5, 27.296875, 4.0, 2.0, 58.0, 36.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 35.0, "11387", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11387&g_ta_cod=11387", 6.0, 41.0, 53.0),
(11276, "Public", "0672534R", "Lycée du Haut-Barr", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Saverne", "formation sélective", "BTS", "Lycée du Haut-Barr - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 24, 146, 11, 146, 0, 19, 1, 66, 14, 32, 8, 29, 0, 0, 0, 0, 0, 137, 0, 0, 0, 19, 1, 66, 14, 32, 8, 20, 114, 23, 0, 23, 0, 11.0, 21.0, 22.0, 0, 6, 18, 2, 8, 8, 5, 0, 5, 6, 6, 1, 0.0, 1, 5, 7, 9, 0, 18, 18, 47.83, 91.3, 95.65, 0.0, 100.0, 100.0, 50, 33.296875, 78.296875, 0.0, 27.796875, 33.296875, 33.296875, 5.6, 0.0, 11.099609375, 5.599609375, 44.3984375, 27.796875, 44.3984375, 38.8984375, 17.0, 1.0, 24.0, 6.0, 16.0, "Tous les candidats sauf les Bac professionnels", 102.0, "Bacheliers professionnels toutes séries", 20, "", 0, "Liste d'appel propre à cette formation", 84.0, "8007", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8007&g_ta_cod=8007", 30.0, 35.0, 35.0),
(11277, "Public", "0570099Y", "Lycée Henri Nominé", "57", "Moselle", "Grand Est", "Nancy-Metz", "Sarreguemines", "formation sélective", "BTS", "Lycée Henri Nominé - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 120, 34, 120, 0, 6, 1, 41, 18, 47, 14, 26, 0, 0, 0, 0, 0, 112, 0, 0, 0, 6, 1, 41, 18, 43, 13, 22, 90, 19, 4, 19, 0, 7.0, 16.0, 17.0, 0, 5, 12, 1, 5, 6, 7, 0, 9, 2, 1, 0, 0.0, 0, 0, 3, 3, 0, 9, 9, 36.84, 84.21, 89.47, 21.09765625, 75.0, 75.0, 25, 41.6953125, 63.1953125, 0.0, 75.0, 16.69921875, 8.298828125, 0.0, 0.0, 8.298828125, 0.0, 41.6953125, 0.0, 50.0, 25.0, 4.0, 1.0, 33.0, 13.0, 22.0, "Tous les candidats sauf les Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 82.0, "6559", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6559&g_ta_cod=6559", 11.0, 37.0, 53.0),
(11278, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Arts - Parcours Arts plastiques et visuels", "Licence - Arts-lettres-langues", "Arts plastiques et visuels", 250, 1248, 987, 1221, 0, 739, 174, 112, 34, 55, 25, 315, 27, 4, 0, 1, 22, 1221, 26, 0, 0, 739, 174, 112, 34, 55, 25, 315, 978, 247, 192, 237, 10, 144.0, 198.0, 221.0, 0, 54, 168, 136, 19, 13, 79, 5, 66, 59, 31, 7, 0.0, 77, 10, 10, 0, 0, 111, 111, 58.3, 80.16, 89.47, 77.6875, 66.09375, 66.09375, 0, 32.09375, 68.0, 3.0, 39.296875, 35.09375, 18.5, 4.2, 0.0, 81.0, 45.796875, 11.298828125, 6.0, 7.69921875, 6.0, 631.0, 152.0, 31.0, 16.0, 225.0, "Tous les candidats", 1076.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "7065", "Licence - Arts - Parcours Arts plastiques et visuels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7065&g_ta_cod=7065", 75.0, 15.0, 9.0),
(11279, "Privé sous contrat d'association", "0560182U", "Lycée Jeanne d'Arc-St Ivy", "56", "Morbihan", "Bretagne", "Rennes", "Pontivy", "formation sélective", "Autre formation", "Lycée Jeanne d'Arc-St Ivy - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 12, 53, 41, 49, 0, 2, 0, 3, 1, 29, 9, 15, 4, 0, 1, 1, 2, 31, 1, 0, 0, 1, 0, 3, 1, 24, 5, 3, 22, 9, 7, 8, 1, 6.0, 8.0, 9.0, 0, 2, 8, 0, 0, 8, 1, 0, 2, 5, 1, 0, 0.0, 0, 0, 6, 0, 0, 8, 8, 66.67, 88.89, 100.0, 77.796875, 100.0, 100.0, 0, 25.0, 88.890625, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 17.0, 4.0, 3.0, "Tous les candidats", 30.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "24079", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24079&g_ta_cod=24079", 0.0, 0.0, 100.0),
(11280, "Public", "0620256S", "Lycée Guy Mollet", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "Autre formation", "Lycée Guy Mollet - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 30, 785, 601, 785, 0, 216, 61, 262, 91, 19, 10, 288, 0, 0, 0, 0, 0, 550, 0, 0, 0, 175, 47, 206, 72, 0, 0, 169, 121, 32, 27, 32, 0, 2.0, 23.0, 28.0, 0, 8, 25, 11, 14, 0, 7, 0, 2, 10, 13, 0, 0.0, 10, 13, 0, 0, 0, 25, 25, 6.25, 71.88, 87.5, 84.390625, 100.0, 100.0, 0, 32.0, 78.09375, 0.0, 8.0, 40.0, 52.0, 0.0, 0.0, 44.0, 40.0, 56.0, 52.0, 0.0, 0.0, 38.0, 8.0, 0.0, 0.0, 32.0, "Tous les candidats", 177.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "7408", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7408&g_ta_cod=7408", 47.0, 53.0, 0.0),
(11281, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Portail Administration économique et sociale", "Licence - Droit-économie-gestion", ": Université de La Réunion - Saint Denis", 700, 2477, 1564, 1843, 0, 741, 339, 470, 308, 181, 141, 451, 634, 58, 113, 122, 341, 1843, 587, 0, 0, 741, 339, 470, 308, 181, 141, 451, 2296, 545, 334, 310, 235, 94.0, 295.0, 437.0, 0, 210, 307, 93, 122, 92, 238, 1, 200, 77, 25, 3, 1.0, 46, 29, 31, 0, 0, 263, 263, 17.25, 54.13, 80.18, 61.296875, 85.6875, 85.6875, 0, 68.390625, 56.296875, 0.29998779296875, 65.09375, 25.09765625, 8.099609375, 1.0, 0.3, 30.296875, 15.0, 39.6953125, 9.3984375, 30.0, 10.099609375, 725.0, 333.0, 283.0, 228.0, 735.0, "Tous les candidats", 2528.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "26498", "Licence - Portail Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26496&g_ta_cod=26498", 31.0, 37.0, 32.0),
(11282, "Public", "0300930Y", "I.U.T de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BUT", "I.U.T de Nîmes - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Management de process industriel", "BUT - Production", "Innovation pour l?industrie - Management de process industriel", 113, 1600, 143, 1559, 0, 878, 123, 382, 73, 8, 2, 291, 41, 1, 11, 0, 29, 1309, 10, 0, 0, 773, 97, 328, 62, 1, 0, 207, 646, 93, 6, 88, 5, 15.0, 50.0, 83.0, 0, 11, 74, 44, 30, 0, 19, 0, 27, 36, 8, 3, 0.0, 26, 21, 0, 0, 0, 45, 45, 16.13, 53.76, 89.25, 6.5, 60.796875, 60.796875, 0, 14.8984375, 79.59375, 0.0, 36.5, 48.59375, 10.798828125, 4.1, 0.0, 59.5, 35.09375, 40.5, 28.3984375, 0.0, 0.0, 289.0, 41.0, 0.0, 0.0, 156.0, "Tous les candidats sauf les Bac technologiques", 852.0, "Bacheliers technologiques toutes séries", 357, "", 0, "Liste d'appel propre à cette formation", 78.0, "3986", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Management de process industriel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3986&g_ta_cod=3986", 60.0, 39.0, 0.0),
(11283, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 50, 717, 621, 717, 0, 429, 75, 79, 13, 6, 6, 203, 0, 0, 0, 0, 0, 714, 0, 0, 0, 429, 75, 79, 13, 6, 6, 200, 231, 47, 42, 47, 0, 5.0, 38.0, 42.0, 0, 5, 38, 34, 4, 0, 9, 0, 7, 21, 9, 1, 0.0, 28, 3, 0, 0, 0, 37, 37, 10.64, 80.85, 89.36, 89.390625, 97.390625, 97.390625, 0, 13.19921875, 80.890625, 0.0, 18.3984375, 55.296875, 23.69921875, 2.6, 0.0, 89.5, 73.6875, 10.5, 7.8994140625, 0.0, 0.0, 168.0, 32.0, 0.0, 0.0, 56.0, "Tous les candidats", 372.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "21126", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21126&g_ta_cod=21126", 89.0, 11.0, 0.0),
(11284, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation non sélective", "PASS", "Université Sorbonne Paris Nord - Antenne de Bobigny - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Dispensée à l'Université Paris 8", 20, 4387, 2925, 4387, 0, 3122, 846, 97, 49, 32, 18, 1136, 0, 0, 0, 0, 0, 4385, 0, 0, 0, 3122, 846, 97, 49, 32, 18, 1134, 453, 19, 14, 19, 0, 0.0, 1.0, 9.0, 0, 9, 19, 19, 0, 0, 0, 0, 2, 6, 10, 1, 0.0, 17, 0, 0, 0, 0, 11, 19, 0.0, 5.26, 47.37, 73.6875, 57.8984375, 100.0, 0, 47.3984375, 100.0, 0.0, 10.5, 31.59765625, 52.59375, 5.3, 0.0, 100.0, 89.5, 0.0, 0.0, 0.0, 0.0, 438.0, 99.0, 0.0, 0.0, 15.0, "Tous les candidats", 3702.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "28999", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28682&g_ta_cod=28999", 100.0, 0.0, 0.0),
(11285, "Public", "0560026Z", "Lycée Jean-Baptiste Colbert", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BTS", "Lycée Jean-Baptiste Colbert - BTS - Production - Maintenance des véhicules option véhicules de transport routier", "BTS - Production", "", 10, 87, 4, 74, 0, 4, 2, 9, 2, 24, 7, 37, 13, 0, 0, 8, 5, 38, 4, 0, 0, 3, 2, 9, 2, 23, 7, 3, 30, 2, 0, 0, 2, 0.0, 0.0, 1.0, 0, 1, 2, 0, 0, 2, 0, 0, 0, 1, 1, 0, 0.0, 0, 0, 2, 1, 0, 2, 2, 0.0, 0.0, 50.0, 0.0, 100.0, 100.0, 50, 50.0, 100.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 3.0, 2.0, 20.0, 6.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 46.0, "6431", "BTS - Production - Maintenance des véhicules option véhicules de transport routier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6431&g_ta_cod=6431", 0.0, 0.0, 100.0),
(11286, "Public", "0595809U", "Lycée de L'Escaut", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "Autre formation", "Lycée de L'Escaut - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 25, 740, 554, 740, 0, 190, 50, 262, 96, 23, 14, 265, 0, 0, 0, 0, 0, 253, 0, 0, 0, 100, 23, 84, 28, 0, 0, 69, 89, 23, 18, 23, 0, 4.0, 14.0, 22.0, 0, 5, 19, 12, 7, 0, 4, 0, 2, 8, 7, 2, 0.0, 11, 6, 0, 0, 0, 19, 19, 17.39, 60.87, 95.65, 78.296875, 100.0, 100.0, 0, 26.296875, 82.59375, 0.0, 10.5, 42.09375, 36.796875, 10.5, 0.0, 63.1953125, 57.8984375, 36.796875, 31.59765625, 0.0, 0.0, 40.0, 12.0, 0.0, 0.0, 33.0, "Tous les candidats", 149.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "7160", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7160&g_ta_cod=7160", 70.0, 30.0, 0.0),
(11287, "Public", "0595809U", "Lycée de L'Escaut", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée de L'Escaut - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 32, 840, 548, 811, 0, 173, 36, 240, 89, 31, 10, 367, 29, 0, 0, 18, 11, 305, 0, 0, 0, 129, 23, 128, 38, 17, 4, 31, 105, 24, 14, 24, 0, 10.0, 20.0, 23.0, 0, 5, 21, 6, 13, 2, 3, 0, 4, 10, 5, 2, 0.0, 4, 11, 2, 8, 3, 19, 19, 41.67, 83.33, 95.83, 58.296875, 90.5, 90.5, 38.09375, 23.796875, 87.5, 0.0, 19.0, 47.59375, 23.796875, 9.5, 0.0, 28.59765625, 19.0, 61.8984375, 52.3984375, 9.5, 9.5, 32.0, 10.0, 16.0, 4.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 81.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 20.0, "7159", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7159&g_ta_cod=7159", 38.0, 54.0, 8.0),
(11288, "Privé enseignement supérieur", "0791199Z", "Facultés libres de l'ouest UCO - Niort", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation non sélective", "Licence", "Facultés libres de l'ouest UCO - Niort - Licence - Langues étrangères appliquées", "Licence - Arts-lettres-langues", "", 40, 66, 50, 47, 0, 36, 6, 5, 2, 1, 0, 5, 19, 3, 2, 1, 13, 47, 18, 0, 0, 36, 6, 5, 2, 1, 0, 5, 65, 7, 7, 7, 0, 7.0, 7.0, 7.0, 0, 1, 6, 5, 1, 0, 1, 0, 0, 5, 1, 0, 0.0, 5, 1, 0, 0, 0, 6, 6, 100.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 16.69921875, 85.6875, 0.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 83.296875, 83.296875, 16.69921875, 16.69921875, 0.0, 0.0, 39.0, 6.0, 2.0, 1.0, 17.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "31829", "Licence - Langues étrangères appliquées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31829&g_ta_cod=31829", 86.0, 14.0, 0.0),
(11289, "Public", "0211356K", "Lycée professionnel Antoine", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Chenôve", "formation sélective", "BTS", "Lycée professionnel Antoine - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 18, 244, 77, 242, 0, 55, 7, 50, 10, 112, 33, 25, 2, 0, 0, 1, 1, 192, 1, 0, 0, 43, 4, 40, 6, 97, 29, 12, 74, 12, 5, 11, 1, 3.0, 7.0, 7.0, 0, 3, 12, 2, 2, 8, 0, 0, 2, 7, 3, 0, 0.0, 0, 2, 8, 4, 1, 9, 9, 25.0, 58.33, 58.33, 41.6953125, 75.0, 75.0, 33.296875, 25.0, 100.0, 0.0, 16.69921875, 58.296875, 25.0, 0.0, 0.0, 16.69921875, 0.0, 16.69921875, 16.69921875, 66.6875, 66.6875, 18.0, 3.0, 35.0, 7.0, 5.0, "Tous les candidats sauf les Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 34.0, "33208", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33208&g_ta_cod=33208", 17.0, 17.0, 67.0),
(11290, "Public", "0900024M", "CNAM de Franche-Comté site de Besançon et CNAM de Franche-Comté site de Belfort", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "Autre formation", "CNAM de Franche-Comté site de Besançon et CNAM de Franche-Comté site de Belfort - Formation Supérieure de Spécialisation - Informatique - intégration web", "Diplôme d'Université", "Informatique - intégration web", 15, 31, 8, 18, 0, 3, 0, 4, 3, 1, 0, 10, 13, 1, 3, 0, 9, 10, 7, 0, 0, 1, 0, 3, 3, 0, 0, 6, 25, 9, 1, 2, 4, 2.0, 2.0, 3.0, 0, 1, 4, 1, 2, 1, 5, 0, 4, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 22.22, 22.22, 33.33, 11.099609375, 50.0, 50.0, 0, 25.0, 44.3984375, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 50.0, 0.0, 25.0, 0.0, 4.0, 1.0, 2.0, 0.0, 13.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "33336", "Formation Supérieure de Spécialisation - Informatique - intégration web", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33336&g_ta_cod=33336", 33.0, 44.0, 22.0),
(11291, "Public", "9711151Z", "Université des Antilles - Pôle Guadeloupe (Saint-Claude)", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Saint-Claude", "formation non sélective", "Licence", "Université des Antilles - Pôle Guadeloupe (Saint-Claude) - Licence - Lettres - Parcours Etudes littéraires appliquées (option préparation IEP) / Métiers de l'enseignement et de la recherche - Saint-Claude - Guadeloupe", "Licence - Arts-lettres-langues", "Etudes littéraires appliquées (option préparation IEP) / Métiers de l'enseignement et de la recherche - Saint-Claude - Guadeloupe", 80, 184, 152, 163, 0, 131, 52, 7, 5, 4, 2, 21, 21, 8, 2, 2, 9, 163, 21, 0, 0, 131, 52, 7, 5, 4, 2, 21, 173, 36, 33, 31, 5, 20.0, 29.0, 34.0, 0, 18, 31, 28, 1, 2, 5, 0, 11, 10, 10, 0, 0.0, 18, 0, 2, 0, 0, 30, 30, 55.56, 80.56, 94.44, 91.6875, 96.796875, 96.796875, 0, 58.09375, 86.09375, 0.0, 35.5, 32.296875, 32.296875, 0.0, 0.0, 90.296875, 58.09375, 3.19970703125, 0.0, 6.5, 6.5, 132.0, 57.0, 5.0, 3.0, 27.0, "Tous les candidats", 162.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "19515", "Licence - Lettres - Parcours Etudes littéraires appliquées (option préparation IEP) / Métiers de l'enseignement et de la recherche - Saint-Claude - Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19515&g_ta_cod=19515", 92.0, 3.0, 6.0),
(11292, "Privé sous contrat d'association", "0690571W", "Lycée Saint-Marc", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "BTS", "Lycée Saint-Marc - BTS - Services - Commerce International", "BTS - Services", "", 38, 1283, 672, 1283, 0, 618, 102, 291, 77, 60, 26, 314, 0, 0, 0, 0, 0, 607, 0, 0, 0, 373, 47, 118, 22, 30, 13, 86, 241, 38, 18, 38, 0, 12.0, 29.0, 36.0, 0, 1, 35, 26, 6, 3, 3, 0, 10, 22, 2, 1, 0.0, 16, 6, 3, 0, 0, 26, 26, 31.58, 76.32, 94.74, 47.3984375, 74.296875, 74.296875, 0, 2.89990234375, 92.09375, 0.0, 28.59765625, 62.8984375, 5.69921875, 2.9, 0.0, 74.296875, 45.6953125, 17.09765625, 17.09765625, 8.599609375, 8.599609375, 163.0, 22.0, 7.0, 3.0, 26.0, "Tous les candidats sauf les Bac professionnels", 373.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 30.0, "8313", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8313&g_ta_cod=8313", 76.0, 16.0, 8.0),
(11293, "Public", "0331882S", "Lycée professionnel Emile Combes", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "BTS", "Lycée professionnel Emile Combes - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 35, 670, 191, 666, 0, 52, 11, 102, 32, 178, 83, 334, 4, 0, 2, 0, 2, 261, 0, 0, 0, 39, 8, 62, 16, 119, 54, 41, 137, 28, 7, 28, 0, 5.0, 22.0, 25.0, 0, 13, 25, 2, 7, 16, 3, 0, 9, 10, 5, 1, 0.0, 1, 5, 10, 4, 1, 18, 18, 17.86, 78.57, 89.29, 25.0, 72.0, 72.0, 16, 52.0, 89.296875, 0.0, 36.0, 40.0, 20.0, 4.0, 0.0, 8.0, 4.0, 28.0, 20.0, 64.0, 40.0, 12.0, 4.0, 68.0, 28.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 27.0, "19276", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19276&g_ta_cod=19276", 11.0, 25.0, 64.0),
(11294, "Public", "0330028B", "Lycée Gustave Eiffel", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 2962, 1565, 2962, 0, 421, 82, 1191, 376, 745, 303, 605, 0, 0, 0, 0, 0, 1172, 0, 0, 0, 63, 14, 639, 196, 311, 113, 159, 161, 30, 19, 30, 0, 4.0, 20.0, 24.0, 0, 10, 26, 0, 11, 15, 4, 0, 1, 7, 11, 7, 0.0, 0, 10, 15, 3, 1, 25, 25, 13.33, 66.67, 80.0, 63.296875, 96.1875, 96.1875, 11.5, 38.5, 86.6875, 0.0, 3.7998046875, 26.8984375, 42.296875, 26.9, 0.0, 0.0, 0.0, 42.296875, 38.5, 57.6953125, 57.6953125, 2.0, 2.0, 69.0, 21.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 150, "Liste d'appel propre à cette formation", 8.0, "4296", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4296&g_ta_cod=4296", 10.0, 40.0, 50.0),
(11295, "Public", "0731487V", "IUT de CHAMBERY", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation sélective", "BUT", "IUT de CHAMBERY - BUT - Packaging, emballage et conditionnement Parcours : Éco-conception et industrialisation", "BUT - Production", "Éco-conception et industrialisation", 26, 278, 138, 278, 0, 137, 10, 87, 11, 5, 2, 49, 0, 0, 0, 0, 0, 175, 0, 0, 0, 106, 8, 58, 5, 0, 0, 11, 98, 28, 14, 28, 0, 15.0, 24.0, 28.0, 0, 1, 26, 14, 12, 0, 2, 0, 2, 14, 7, 3, 0.0, 13, 11, 0, 0, 0, 13, 13, 53.57, 85.71, 100.0, 50.0, 50.0, 50.0, 0, 3.7998046875, 92.890625, 0.0, 7.69921875, 53.796875, 26.8984375, 11.5, 0.0, 53.796875, 50.0, 46.1953125, 42.296875, 0.0, 0.0, 51.0, 5.0, 0.0, 0.0, 5.0, "Tous les candidats sauf les Bac technologiques", 68.0, "Bacheliers technologiques toutes séries", 54, "", 0, "Liste d'appel propre à cette formation", 44.0, "8838", "BUT - Packaging, emballage et conditionnement Parcours : Éco-conception et industrialisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8838&g_ta_cod=8838", 57.0, 43.0, 0.0),
(11296, "Public", "0810959C", "Lycée La Borde Basse", "81", "Tarn", "Occitanie", "Toulouse", "Castres", "formation sélective", "CPGE", "Lycée La Borde Basse - CPGE - MPSI", "Classe préparatoire scientifique", "", 24, 928, 268, 928, 768, 859, 98, 1, 0, 0, 0, 68, 0, 0, 0, 0, 0, 420, 0, 370, 407, 417, 33, 0, 0, 0, 0, 3, 230, 24, 3, 24, 0, 2.0, 11.0, 24.0, 20, 2, 24, 24, 0, 0, 0, 0, 0, 0, 5, 17, 2.0, 24, 0, 0, 1, 0, 20, 20, 8.33, 45.83, 100.0, 12.5, 83.296875, 83.296875, 4.19921875, 8.298828125, 100.0, 0.0, 0.0, 0.0, 20.796875, 70.8, 8.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 229.0, 21.0, 0.0, 0.0, 1.0, "Tous les candidats", 340.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "10281", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10281&g_ta_cod=10281", 100.0, 0.0, 0.0),
(11297, "Public", "0810974U", "IFSI Albi", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "IFSI", "Regroupement d'IFSI Université Toulouse - D.E Infirmier", "D.E secteur sanitaire", "", 112, 7332, 6218, 7332, 0, 1202, 246, 1266, 365, 914, 341, 3950, 0, 0, 0, 0, 0, 4659, 0, 0, 0, 1091, 220, 861, 235, 499, 183, 2208, 1241, 111, 96, 111, 0, 2.0, 42.0, 84.0, 0, 16, 66, 41, 18, 7, 45, 0, 10, 31, 22, 3, 0.0, 33, 16, 7, 0, 0, 58, 58, 1.8, 37.84, 75.68, 86.5, 87.890625, 87.890625, 0, 24.19921875, 59.5, 0.0, 15.19921875, 47.0, 33.296875, 4.5, 0.0, 62.09375, 50.0, 27.296875, 24.19921875, 10.599609375, 10.599609375, 447.0, 85.0, 63.0, 27.0, 585.0, "Tous les candidats", 2755.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "23255", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22985&g_ta_cod=23255", 70.0, 21.0, 9.0),
(11298, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais - Mineure Espagnol", "Licence - Arts-lettres-langues", "Portugais - Mineure Espagnol", 5, 39, 26, 39, 0, 21, 6, 8, 1, 0, 0, 10, 0, 0, 0, 0, 0, 39, 0, 0, 0, 21, 6, 8, 1, 0, 0, 10, 17, 5, 5, 5, 0, 0.0, 5.0, 5.0, 0, 1, 5, 2, 3, 0, 0, 0, 4, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 0, 3, 0.0, 100.0, 100.0, 100.0, 0.0, 60.0, 0, 20.0, 100.0, 0.0, 80.0, 0.0, 20.0, 0.0, 0.0, 40.0, 20.0, 60.0, 0.0, 0.0, 0.0, 9.0, 3.0, 0.0, 0.0, 3.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "24065", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais - Mineure Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24065&g_ta_cod=24065", 40.0, 60.0, 0.0),
(11299, "Public", "0420043U", "Lycée Jean Monnet", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "Autre formation", "Lycée Jean Monnet - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 10, 8, 0, 0, 0.0, 0.0, 1.0, 0, 7, 8, 0, 1, 7, 2, 0, 5, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 8, 8, 0.0, 0.0, 10.0, 80.0, 100.0, 100.0, 0, 87.5, 80.0, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 0.0, 0.0, 12.5, 0.0, 87.5, 37.5, 0.0, 0.0, 17.0, 13.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22494", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 10.0, 90.0),
(11300, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Licence", "Université de Strasbourg - Licence - Sciences sociales - Parcours Renforcé en sciences humaines", "Licence - Sciences humaines et sociales", "Renforcé en sciences humaines", 30, 461, 327, 306, 0, 210, 35, 10, 4, 2, 2, 84, 155, 36, 9, 10, 100, 162, 13, 0, 0, 133, 16, 0, 0, 0, 0, 29, 122, 25, 19, 22, 3, 4.0, 22.0, 24.0, 0, 3, 20, 20, 0, 0, 5, 0, 2, 3, 8, 7, 0.0, 18, 0, 0, 0, 0, 15, 15, 16.0, 88.0, 96.0, 76.0, 75.0, 75.0, 0, 15.0, 80.0, 0.0, 10.0, 15.0, 40.0, 35.0, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 94.0, 12.0, 0.0, 0.0, 28.0, "Tous les candidats", 159.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "14174", "Licence - Sciences sociales - Parcours Renforcé en sciences humaines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14174&g_ta_cod=14174", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(11301, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Lettres - Parcours enseignement à distance", "Licence - Arts-lettres-langues", "enseignement à distance", 60, 346, 267, 206, 0, 56, 14, 4, 2, 3, 2, 143, 140, 6, 3, 2, 129, 206, 135, 0, 0, 56, 14, 4, 2, 3, 2, 143, 300, 57, 43, 32, 25, 13.0, 32.0, 49.0, 0, 3, 8, 6, 1, 1, 49, 0, 2, 4, 1, 1, 0.0, 4, 1, 1, 0, 0, 3, 3, 22.81, 56.14, 85.96, 75.390625, 37.5, 37.5, 0, 37.5, 14.0, 0.0, 25.0, 50.0, 12.5, 12.5, 0.0, 75.0, 50.0, 12.5, 12.5, 12.5, 12.5, 53.0, 15.0, 5.0, 3.0, 235.0, "Tous les candidats", 206.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26543", "Licence - Lettres - Parcours enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26543&g_ta_cod=26543", 70.0, 14.0, 9.0),
(11302, "Privé sous contrat d'association", "0593006X", "Lycée Notre-Dame D'Annay", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Notre-Dame D'Annay - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 30, 883, 655, 778, 0, 184, 43, 239, 73, 39, 22, 316, 105, 32, 0, 0, 73, 325, 11, 0, 0, 118, 25, 142, 42, 13, 6, 52, 191, 23, 18, 20, 3, 1.0, 15.0, 19.0, 0, 2, 19, 9, 9, 1, 4, 1, 6, 10, 1, 0, 1.0, 6, 5, 1, 5, 5, 15, 15, 4.35, 65.22, 82.61, 78.296875, 78.890625, 78.890625, 26.296875, 10.5, 82.59375, 5.2998046875, 31.59765625, 52.59375, 5.2998046875, 0.0, 5.3, 47.3984375, 31.59765625, 47.3984375, 26.296875, 5.2998046875, 5.2998046875, 79.0, 16.0, 8.0, 6.0, 47.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 158.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 34.0, "6939", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6939&g_ta_cod=6939", 57.0, 39.0, 4.0),
(11303, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Portail Sciences du langage", "Licence - Sciences humaines et sociales", "", 100, 518, 397, 229, 0, 108, 27, 13, 4, 8, 3, 100, 289, 67, 22, 12, 188, 229, 138, 0, 0, 108, 27, 13, 4, 8, 3, 100, 346, 91, 69, 28, 60, 14.0, 28.0, 63.0, 0, 9, 34, 17, 12, 5, 57, 0, 23, 9, 1, 1, 0.0, 7, 2, 2, 0, 0, 20, 31, 15.38, 30.77, 69.23, 75.796875, 58.796875, 91.1875, 0, 26.5, 37.3984375, 0.0, 67.59375, 26.5, 2.89990234375, 2.9, 0.0, 50.0, 20.59765625, 35.296875, 5.8994140625, 14.69921875, 5.8994140625, 137.0, 33.0, 13.0, 8.0, 173.0, "Tous les candidats", 314.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "15416", "Licence - Portail Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28412&g_ta_cod=15416", 62.0, 24.0, 12.0),
(11304, "Public", "0590121L", "Lycée Cesar Baggio", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Cesar Baggio - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 15, 246, 13, 246, 0, 14, 2, 36, 7, 151, 65, 45, 0, 0, 0, 0, 0, 218, 0, 0, 0, 14, 2, 36, 7, 151, 65, 17, 71, 11, 0, 11, 0, 1.0, 10.0, 10.0, 0, 2, 10, 1, 2, 7, 1, 0, 3, 4, 3, 0, 0.0, 0, 1, 6, 1, 0, 7, 7, 9.09, 90.91, 90.91, 0.0, 70.0, 70.0, 10, 20.0, 90.890625, 0.0, 30.0, 40.0, 30.0, 0.0, 0.0, 10.0, 0.0, 20.0, 10.0, 70.0, 60.0, 8.0, 1.0, 48.0, 21.0, 1.0, "Tous les candidats sauf les Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 79, "", 0, "Liste d'appel propre à cette formation", 49.0, "18604", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18604&g_ta_cod=18604", 9.0, 27.0, 64.0),
(11305, "Public", "0750679F", "Lycée Paul Valery", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "CPGE", "Lycée Paul Valery - CPGE - MPSI", "Classe préparatoire scientifique", "", 46, 2093, 573, 2093, 345, 1821, 387, 4, 1, 0, 0, 268, 0, 0, 0, 0, 0, 1425, 0, 276, 1331, 1402, 291, 1, 0, 0, 0, 22, 609, 50, 7, 50, 0, 6.0, 17.0, 41.0, 2, 8, 50, 50, 0, 0, 0, 0, 1, 16, 30, 3, 0.0, 49, 0, 0, 1, 0, 14, 47, 12.0, 34.0, 82.0, 14.0, 28.0, 94.0, 2, 16.0, 100.0, 0.0, 2.0, 32.0, 60.0, 6.0, 0.0, 100.0, 98.0, 0.0, 0.0, 0.0, 0.0, 608.0, 129.0, 0.0, 0.0, 1.0, "Tous les candidats", 929.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "9043", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9043&g_ta_cod=9043", 100.0, 0.0, 0.0),
(11306, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence_Las", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences humaines et sociales", "", 36, 1697, 649, 1697, 0, 1059, 148, 169, 42, 49, 20, 420, 0, 0, 0, 0, 0, 1697, 0, 0, 0, 1059, 148, 169, 42, 49, 20, 420, 246, 35, 9, 35, 0, 1.0, 11.0, 25.0, 0, 11, 30, 27, 2, 1, 5, 1, 12, 11, 4, 2, 0.0, 17, 0, 0, 0, 0, 29, 29, 2.86, 31.43, 71.43, 25.69921875, 96.6875, 96.6875, 0, 36.6953125, 85.6875, 3.2998046875, 40.0, 36.6953125, 13.298828125, 6.7, 0.0, 90.0, 56.6953125, 6.69921875, 0.0, 3.2998046875, 0.0, 87.0, 15.0, 4.0, 3.0, 146.0, "Tous les candidats", 914.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "32639", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30865&g_ta_cod=32639", 91.0, 6.0, 3.0),
(11307, "Privé enseignement supérieur", "0561687E", "Facultés libres de l'ouest - UCO - Bretagne Sud", "56", "Morbihan", "Bretagne", "Rennes", "Arradon", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Bretagne Sud - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais/Allemand - Anglais/Espagnol", "Licence - Arts-lettres-langues", "Anglais/Allemand - Anglais/Espagnol", 115, 196, 147, 181, 0, 131, 16, 20, 7, 6, 1, 24, 15, 3, 1, 1, 10, 180, 8, 0, 0, 131, 16, 20, 7, 6, 1, 23, 188, 22, 18, 21, 1, 21.0, 21.0, 21.0, 0, 4, 19, 17, 1, 1, 3, 1, 3, 7, 6, 2, 0.0, 14, 0, 1, 0, 0, 17, 17, 95.45, 95.45, 95.45, 81.796875, 89.5, 89.5, 0, 21.09765625, 86.390625, 5.2998046875, 15.798828125, 36.796875, 31.59765625, 10.5, 0.0, 89.5, 73.6875, 5.2998046875, 0.0, 5.2998046875, 5.2998046875, 133.0, 16.0, 7.0, 2.0, 28.0, "Tous les candidats", 180.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "6490", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais/Allemand - Anglais/Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6490&g_ta_cod=6490", 86.0, 5.0, 9.0),
(11308, "Public", "0782076H", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "Licence", "Université de Versailles - Saint Quentin en Yvelines - Licence - Portail Science politique", "Licence - Droit-économie-gestion", "", 60, 1725, 1044, 1725, 0, 1422, 168, 21, 9, 6, 1, 276, 0, 0, 0, 0, 0, 1725, 0, 0, 0, 1422, 168, 21, 9, 6, 1, 276, 304, 61, 43, 59, 0, 9.0, 50.0, 57.0, 0, 9, 55, 55, 0, 0, 6, 0, 2, 20, 27, 6, 0.0, 53, 0, 0, 0, 0, 39, 44, 14.75, 81.97, 93.44, 70.5, 70.890625, 80.0, 0, 16.3984375, 90.1875, 0.0, 3.599609375, 36.3984375, 49.09375, 10.9, 0.0, 100.0, 96.390625, 0.0, 0.0, 0.0, 0.0, 278.0, 30.0, 0.0, 0.0, 26.0, "Tous les candidats", 457.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "19535", "Licence - Portail Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29017&g_ta_cod=19535", 100.0, 0.0, 0.0),
(11309, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Langues étrangères appliquées - Parcours Anglais - Arabe - Enseignement à distance", "Licence - Arts-lettres-langues", "Anglais - Arabe - Enseignement à distance", 15, 78, 60, 78, 0, 21, 14, 4, 2, 4, 4, 49, 0, 0, 0, 0, 0, 67, 0, 0, 0, 21, 14, 4, 2, 4, 4, 38, 39, 14, 10, 14, 0, 4.0, 13.0, 14.0, 0, 1, 2, 1, 1, 0, 12, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 28.57, 92.86, 100.0, 71.390625, 100.0, 100.0, 0, 50.0, 14.298828125, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 16.0, 9.0, 1.0, 1.0, 20.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "13915", "Licence - Langues étrangères appliquées - Parcours Anglais - Arabe - Enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13915&g_ta_cod=13915", 57.0, 21.0, 14.0),
(11310, "Public", "0950709E", "Lycée professionnel VIRGINIA HENDERSON", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Arnouville", "formation sélective", "BTS", "Lycée professionnel VIRGINIA HENDERSON - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 511, 467, 511, 0, 15, 6, 85, 40, 242, 135, 169, 0, 0, 0, 0, 0, 498, 0, 0, 0, 13, 5, 85, 40, 242, 135, 158, 115, 24, 20, 21, 0, 2.0, 11.0, 15.0, 0, 8, 15, 0, 6, 9, 9, 0, 8, 4, 3, 0, 0.0, 0, 0, 7, 0, 0, 12, 15, 8.33, 45.83, 62.5, 83.296875, 80.0, 100.0, 0, 53.296875, 62.5, 0.0, 53.296875, 26.69921875, 20.0, 0.0, 0.0, 0.0, 0.0, 40.0, 0.0, 60.0, 46.6953125, 7.0, 4.0, 58.0, 27.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers technologiques toutes séries", 37, "Bacheliers professionnels toutes séries", 106, "Liste d'appel propre à cette formation", 31.0, "25074", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25074&g_ta_cod=25074", 8.0, 46.0, 46.0),
(11311, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 110, 784, 687, 784, 0, 345, 84, 112, 39, 26, 13, 301, 0, 0, 0, 0, 0, 783, 0, 0, 0, 345, 84, 112, 39, 26, 13, 300, 429, 110, 97, 110, 0, 14.0, 87.0, 99.0, 0, 25, 66, 46, 16, 4, 44, 0, 25, 29, 12, 0, 0.0, 26, 12, 3, 0, 0, 50, 50, 12.73, 79.09, 90.0, 88.1875, 75.796875, 75.796875, 0, 37.8984375, 60.0, 0.0, 37.8984375, 43.8984375, 18.19921875, 0.0, 0.0, 69.6875, 39.3984375, 24.19921875, 18.19921875, 6.099609375, 4.5, 237.0, 57.0, 6.0, 3.0, 127.0, "Tous les candidats", 513.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "14511", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14511&g_ta_cod=14511", 67.0, 24.0, 9.0),
(11312, "Public", "0312822Z", "Lycée polyvalent Charles de Gaulle", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Muret", "formation sélective", "BTS", "Lycée polyvalent Charles de Gaulle - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 24, 266, 8, 262, 0, 9, 1, 58, 12, 147, 43, 48, 4, 0, 0, 0, 4, 214, 1, 0, 0, 8, 1, 57, 12, 125, 36, 24, 102, 22, 0, 22, 0, 5.0, 21.0, 22.0, 0, 4, 20, 0, 6, 14, 2, 0, 6, 6, 7, 1, 0.0, 0, 2, 12, 10, 0, 19, 19, 22.73, 95.45, 100.0, 0.0, 95.0, 95.0, 50, 20.0, 90.890625, 0.0, 30.0, 30.0, 35.0, 5.0, 0.0, 0.0, 0.0, 30.0, 10.0, 70.0, 60.0, 3.0, 1.0, 49.0, 12.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 54.0, "4247", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4247&g_ta_cod=4247", 0.0, 32.0, 68.0),
(11313, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Portail Sciences de l'Education - Sciences du Langage - Sociologie", "Licence - Sciences humaines et sociales", "Sciences de l'Education mineure découverte en Sciences du Langage ou Sociologie", 140, 1255, 1132, 1255, 0, 675, 144, 108, 33, 31, 9, 441, 0, 0, 0, 0, 0, 1254, 0, 0, 0, 675, 144, 108, 33, 31, 9, 440, 587, 137, 122, 137, 0, 15.0, 109.0, 127.0, 0, 22, 90, 77, 9, 4, 47, 0, 28, 46, 10, 6, 0.0, 54, 4, 4, 0, 0, 77, 77, 10.95, 79.56, 92.7, 89.09375, 85.59375, 85.59375, 0, 24.3984375, 65.6875, 0.0, 31.09765625, 51.09375, 11.099609375, 6.7, 0.0, 85.59375, 60.0, 10.0, 4.3994140625, 4.3994140625, 4.3994140625, 313.0, 68.0, 14.0, 4.0, 211.0, "Tous les candidats", 891.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 60.0, "30709", "Licence - Portail Sciences de l'Education - Sciences du Langage - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30706&g_ta_cod=30709", 82.0, 12.0, 4.0),
(11314, "Public", "0620109G", "Lycée Auguste Behal", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "BTS", "Lycée Auguste Behal - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 56, 195, 65, 172, 0, 9, 3, 47, 21, 73, 39, 43, 23, 0, 8, 6, 9, 172, 9, 0, 0, 9, 3, 47, 21, 73, 39, 43, 136, 40, 12, 35, 5, 7.0, 20.0, 34.0, 0, 16, 28, 0, 8, 20, 12, 0, 17, 11, 0, 0, 0.0, 0, 2, 9, 6, 3, 28, 28, 17.5, 50.0, 85.0, 30.0, 100.0, 100.0, 21.3984375, 57.09375, 70.0, 0.0, 60.6953125, 39.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 28.59765625, 7.099609375, 71.390625, 32.09375, 9.0, 3.0, 55.0, 31.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 98.0, "7378", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7378&g_ta_cod=7378", 8.0, 38.0, 55.0),
(11315, "Privé sous contrat d'association", "0251480Y", "Lycée agricole et technologique Lasalle", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Levier", "formation sélective", "BTS", "Lycée agricole et technologique Lasalle - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 24, 150, 72, 150, 0, 23, 4, 47, 5, 53, 6, 27, 0, 0, 0, 0, 0, 150, 0, 0, 0, 23, 4, 47, 5, 53, 6, 27, 93, 21, 13, 21, 0, 7.0, 16.0, 18.0, 0, 4, 16, 0, 8, 8, 5, 0, 3, 8, 5, 0, 0.0, 0, 7, 6, 14, 7, 16, 16, 33.33, 76.19, 85.71, 61.8984375, 100.0, 100.0, 87.5, 25.0, 76.1875, 0.0, 18.796875, 50.0, 31.296875, 0.0, 0.0, 0.0, 0.0, 50.0, 43.796875, 50.0, 37.5, 17.0, 1.0, 35.0, 3.0, 14.0, "Tous les candidats sauf les Bac professionnels", 79.0, "Bacheliers professionnels toutes séries", 52, "", 0, "Liste d'appel propre à cette formation", 87.0, "3567", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3567&g_ta_cod=3567", 24.0, 38.0, 38.0),
(11316, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Arts - Parcours Design, Prospective et Société", "Licence - Arts-lettres-langues", "Design, Prospective et Société", 70, 436, 333, 436, 0, 247, 60, 55, 9, 29, 14, 105, 0, 0, 0, 0, 0, 392, 0, 0, 0, 231, 59, 49, 6, 22, 10, 90, 157, 69, 55, 69, 0, 25.0, 62.0, 66.0, 0, 19, 55, 47, 3, 5, 14, 0, 15, 23, 14, 3, 0.0, 34, 2, 4, 0, 0, 36, 36, 36.23, 89.86, 95.65, 79.6875, 65.5, 65.5, 0, 34.5, 79.6875, 0.0, 27.296875, 41.796875, 25.5, 5.5, 0.0, 85.5, 61.796875, 5.5, 3.599609375, 9.099609375, 7.2998046875, 102.0, 28.0, 7.0, 4.0, 29.0, "Tous les candidats", 190.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "4165", "Licence - Arts - Parcours Design, Prospective et Société", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4165&g_ta_cod=4165", 84.0, 4.0, 9.0),
(11317, "Privé enseignement supérieur", "0212022J", "CENTRE UNIVERSITAIRE CATHOLIQUE", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "CENTRE UNIVERSITAIRE CATHOLIQUE - Licence - Sciences de l'éducation - Parcours Professorat des écoles", "Licence - Sciences humaines et sociales", "Professorat des écoles", 20, 142, 133, 142, 0, 68, 11, 19, 3, 3, 1, 52, 0, 0, 0, 0, 0, 142, 0, 0, 0, 68, 11, 19, 3, 3, 1, 52, 58, 21, 21, 21, 0, 9.0, 20.0, 21.0, 0, 1, 17, 13, 4, 0, 4, 0, 3, 8, 6, 0, 0.0, 11, 3, 0, 0, 0, 6, 6, 42.86, 95.24, 100.0, 100.0, 35.296875, 35.296875, 0, 5.8994140625, 81.0, 0.0, 17.59765625, 47.09375, 35.296875, 0.0, 0.0, 76.5, 64.6875, 23.5, 17.59765625, 0.0, 0.0, 33.0, 5.0, 0.0, 0.0, 17.0, "Tous les candidats", 84.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "31196", "Licence - Sciences de l'éducation - Parcours Professorat des écoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31196&g_ta_cod=31196", 81.0, 19.0, 0.0),
(11318, "Public", "0600020W", "Lycée Marie Curie", "60", "Oise", "Hauts-de-France", "Amiens", "Nogent-sur-Oise", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Production - Fonderie", "BTS - Production", "", 13, 111, 16, 108, 0, 6, 0, 16, 3, 27, 16, 59, 3, 0, 3, 0, 0, 52, 0, 0, 0, 6, 0, 16, 3, 22, 14, 8, 34, 10, 1, 10, 0, 6.0, 10.0, 10.0, 0, 6, 9, 0, 1, 8, 1, 0, 1, 3, 4, 1, 0.0, 0, 1, 7, 0, 0, 5, 5, 60.0, 100.0, 100.0, 10.0, 55.59375, 55.59375, 0, 66.6875, 90.0, 0.0, 11.099609375, 33.296875, 44.3984375, 11.1, 0.0, 0.0, 0.0, 11.099609375, 11.099609375, 88.890625, 77.796875, 4.0, 0.0, 13.0, 9.0, 8.0, "Tous les candidats sauf les Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 13, "", 0, "Liste d'appel propre à cette formation", 40.0, "7230", "BTS - Production - Fonderie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7230&g_ta_cod=7230", 0.0, 20.0, 80.0),
(11319, "Public", "0220057T", "Lycée Ernest Renan", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "CPGE", "Lycée Ernest Renan - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 384, 271, 380, 170, 308, 46, 2, 0, 0, 0, 70, 4, 1, 0, 0, 3, 280, 0, 120, 279, 267, 36, 0, 0, 0, 0, 13, 221, 42, 33, 42, 0, 19.0, 40.0, 42.0, 2, 5, 41, 41, 0, 0, 1, 0, 0, 8, 25, 7, 1.0, 41, 0, 0, 5, 4, 38, 38, 45.24, 95.24, 100.0, 78.59375, 92.6875, 92.6875, 12.19921875, 12.19921875, 97.59375, 0.0, 0.0, 19.5, 61.0, 17.1, 2.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 208.0, 27.0, 0.0, 0.0, 13.0, "Tous les candidats", 279.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "3319", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3319&g_ta_cod=3319", 100.0, 0.0, 0.0),
(11320, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "PASS", "Université de Franche-Comté - Site de Besançon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 46, 2465, 1579, 2465, 0, 2080, 294, 26, 8, 2, 1, 357, 0, 0, 0, 0, 0, 2466, 0, 0, 0, 2081, 295, 26, 8, 2, 1, 357, 324, 45, 26, 45, 0, 7.0, 33.0, 45.0, 0, 7, 45, 45, 0, 0, 0, 0, 1, 7, 15, 15, 7.0, 44, 0, 0, 0, 0, 35, 35, 15.56, 73.33, 100.0, 57.796875, 77.796875, 77.796875, 0, 15.599609375, 100.0, 0.0, 2.19970703125, 15.599609375, 33.296875, 33.3, 15.6, 100.0, 97.796875, 0.0, 0.0, 0.0, 0.0, 324.0, 41.0, 0.0, 0.0, 0.0, "Tous les candidats", 3216.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 56.0, "27355", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27350&g_ta_cod=27355", 100.0, 0.0, 0.0),
(11321, "Public", "0310098N", "Centre de Ressources, d'Expertise et de Performance Sportive de Toulouse (CREPS)", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "CREPS de Toulouse - BPJEPS - Activités aquatiques et de la natation", "BPJEPS", "", 3, 54, 17, 52, 0, 16, 1, 15, 2, 5, 0, 16, 2, 0, 0, 0, 2, 10, 0, 0, 0, 4, 0, 1, 0, 0, 0, 5, 7, 1, 1, 1, 0, 0.0, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 5.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 10.0, "21427", "BPJEPS - Activités aquatiques et de la natation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21427&g_ta_cod=21427", 100.0, 0.0, 0.0),
(11322, "Public", "0212108C", "ESIREM Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 90, 4144, 980, 4144, 0, 3580, 326, 0, 0, 0, 0, 564, 0, 0, 0, 0, 0, 2747, 0, 0, 0, 2565, 176, 0, 0, 0, 0, 182, 2098, 87, 14, 87, 0, 22.0, 58.0, 87.0, 0, 6, 83, 83, 0, 0, 4, 0, 1, 32, 42, 7, 1.0, 82, 0, 0, 0, 0, 28, 28, 25.29, 66.67, 100.0, 16.09765625, 33.6953125, 33.6953125, 0, 7.19921875, 95.390625, 0.0, 1.199951171875, 38.59375, 50.59375, 8.4, 1.2, 100.0, 98.796875, 0.0, 0.0, 0.0, 0.0, 1954.0, 154.0, 0.0, 0.0, 144.0, "Autres candidats", 13540.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 66.0, "10", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=10", 100.0, 0.0, 0.0),
(11323, "Public", "0133525L", "Lycée Georges Duby", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée Georges Duby - BTS - Services - Commerce International", "BTS - Services", "", 35, 1755, 984, 1755, 0, 617, 157, 542, 226, 133, 75, 463, 0, 0, 0, 0, 0, 368, 0, 0, 0, 180, 36, 89, 29, 56, 34, 43, 142, 33, 21, 32, 0, 4.0, 27.0, 30.0, 0, 9, 29, 18, 10, 1, 4, 0, 3, 21, 5, 0, 0.0, 17, 8, 1, 1, 1, 28, 28, 12.12, 81.82, 90.91, 63.59375, 96.59375, 96.59375, 3.39990234375, 31.0, 87.890625, 0.0, 10.298828125, 72.390625, 17.19921875, 0.0, 0.0, 62.09375, 58.59375, 34.5, 27.59765625, 3.39990234375, 3.39990234375, 69.0, 22.0, 5.0, 2.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 111.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 89, "Liste d'appel propre à cette formation", 12.0, "2805", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2805&g_ta_cod=2805", 67.0, 30.0, 3.0),
(11324, "Public", "0011312W", "IUT Lyon1 Site de Bourg-en-Bresse", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "BUT", "IUT Lyon1 Site de Bourg-en-Bresse - BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie", "BUT - Production", "Optimisation énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie", 70, 1056, 128, 998, 0, 516, 79, 328, 56, 12, 6, 142, 58, 23, 1, 0, 34, 717, 25, 0, 0, 399, 55, 218, 36, 0, 0, 100, 575, 54, 3, 44, 10, 18.0, 37.0, 51.0, 0, 13, 45, 29, 16, 0, 9, 0, 14, 25, 6, 0, 0.0, 17, 14, 0, 0, 0, 26, 26, 33.33, 68.52, 94.44, 5.599609375, 57.796875, 57.796875, 0, 28.8984375, 83.296875, 0.0, 31.09765625, 55.59375, 13.298828125, 0.0, 0.0, 64.390625, 37.796875, 35.59375, 31.09765625, 0.0, 0.0, 306.0, 48.0, 0.0, 0.0, 104.0, "Tous les candidats sauf les Bac technologiques", 480.0, "Bacheliers technologiques toutes séries", 237, "", 0, "Liste d'appel propre à cette formation", 72.0, "2031", "BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2031&g_ta_cod=2031", 69.0, 31.0, 0.0),
(11325, "Privé enseignement supérieur", "0573789J", "Yschools - École Supérieure de Tourisme de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Ecole de Commerce", "Yschools - École Supérieure de Tourisme de Troyes - Formation des écoles de commerce et de management Bac + 3 - Bachelor in Tourism management", "Formation des écoles de commerce et de management", "Bachelor in Tourism management", 30, 61, 52, 56, 0, 41, 4, 6, 1, 3, 2, 6, 5, 1, 0, 1, 3, 43, 3, 0, 0, 35, 4, 4, 1, 1, 1, 3, 46, 15, 13, 12, 3, 11.0, 12.0, 14.0, 0, 3, 14, 11, 1, 2, 1, 0, 2, 7, 5, 0, 0.0, 9, 1, 2, 0, 0, 12, 12, 73.33, 80.0, 93.33, 86.6875, 85.6875, 85.6875, 0, 21.3984375, 93.296875, 0.0, 14.298828125, 50.0, 35.6953125, 0.0, 0.0, 78.59375, 64.296875, 7.099609375, 7.099609375, 14.298828125, 14.298828125, 36.0, 4.0, 2.0, 2.0, 4.0, "Tous les candidats", 83.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 77.0, "29725", "Formation des écoles de commerce et de management Bac + 3 - Bachelor in Tourism management", "Yschools - École Supérieure de Tourisme de Troyes", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29429&g_ta_cod=29725", 73.0, 13.0, 13.0),
(11326, "Public", "0610002W", "Lycée Leclerc Navarre", "61", "Orne", "Normandie", "Normandie", "Alençon", "formation sélective", "BTS", "Lycée Leclerc Navarre - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 22, 251, 130, 222, 0, 16, 4, 56, 16, 28, 14, 122, 29, 0, 6, 11, 12, 115, 11, 0, 0, 16, 4, 53, 14, 20, 8, 26, 91, 19, 7, 14, 5, 3.0, 11.0, 16.0, 0, 2, 12, 3, 5, 4, 7, 1, 6, 4, 1, 0, 0.0, 0, 2, 3, 4, 2, 9, 9, 15.79, 57.89, 84.21, 36.796875, 75.0, 75.0, 33.296875, 16.69921875, 63.1953125, 8.298828125, 50.0, 33.296875, 8.298828125, 0.0, 0.0, 25.0, 0.0, 41.6953125, 16.69921875, 33.296875, 25.0, 8.0, 3.0, 20.0, 8.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 46.0, "7293", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7293&g_ta_cod=7293", 32.0, 42.0, 26.0),
(11327, "Privé sous contrat d'association", "0763400H", "UniLaSalle Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation sélective", "Ecole d'Ingénieur", "UniLaSalle (Beauvais, Rouen, Rennes) - Formation d'ingénieur Bac + 5 - Bac +1", "Formations  des écoles d'ingénieurs", "Bac +1", 10, 101, 72, 92, 0, 1, 0, 0, 0, 0, 0, 91, 9, 0, 0, 0, 9, 83, 4, 0, 0, 1, 0, 0, 0, 0, 0, 82, 80, 3, 2, 2, 1, 0.0, 2.0, 2.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 66.67, 66.67, 66.6875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 0.0, 0.0, 0.0, 79.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "30808", "Formation d'ingénieur Bac + 5 - Bac +1", "UniLaSalle (Beauvais, Rouen, Rennes)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30780&g_ta_cod=30808", 100.0, 0.0, 0.0),
(11328, "Public", "0490054T", "Lycée polyvalent Fernand Renaudeau - Lycée des métiers de la mode", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "BTS", "Lycée polyvalent Fernand Renaudeau - Lycée des métiers de la mode - BTS - Production - Electrotechnique", "BTS - Production", "", 18, 105, 7, 84, 0, 6, 1, 14, 4, 47, 11, 17, 21, 2, 3, 5, 11, 63, 12, 0, 0, 6, 1, 12, 2, 43, 10, 2, 64, 8, 0, 5, 3, 1.0, 5.0, 7.0, 0, 2, 7, 1, 0, 6, 1, 0, 4, 3, 0, 0, 0.0, 1, 0, 2, 0, 0, 2, 2, 12.5, 62.5, 87.5, 0.0, 28.59765625, 28.59765625, 0, 28.59765625, 87.5, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 14.298828125, 14.298828125, 0.0, 0.0, 85.6875, 28.59765625, 7.0, 2.0, 39.0, 8.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 74.0, "5842", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5842&g_ta_cod=5842", 25.0, 0.0, 75.0),
(11329, "Privé sous contrat d'association", "0290181P", "Lycée Sup'Javouhey BREST", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Sup'Javouhey BREST - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 406, 238, 396, 0, 33, 5, 162, 21, 117, 35, 84, 10, 3, 0, 0, 7, 362, 3, 0, 0, 32, 5, 159, 18, 117, 35, 54, 177, 28, 12, 26, 2, 1.0, 22.0, 28.0, 0, 6, 21, 1, 8, 12, 7, 0, 3, 13, 5, 0, 0.0, 1, 6, 11, 2, 0, 20, 20, 3.57, 78.57, 100.0, 42.8984375, 95.1875, 95.1875, 9.5, 28.59765625, 75.0, 0.0, 14.298828125, 61.8984375, 23.796875, 0.0, 0.0, 4.7998046875, 4.7998046875, 38.09375, 28.59765625, 57.09375, 52.3984375, 23.0, 4.0, 71.0, 24.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 96, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 58.0, "3822", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3822&g_ta_cod=3822", 14.0, 32.0, 54.0),
(11330, "Public", "0570098X", "Lycée Jean De Pange", "57", "Moselle", "Grand Est", "Nancy-Metz", "Sarreguemines", "formation sélective", "BTS", "Lycée Jean De Pange - BTS - Services - Commerce International", "BTS - Services", "", 35, 346, 183, 337, 0, 73, 25, 88, 33, 47, 25, 129, 9, 1, 1, 0, 7, 221, 4, 0, 0, 64, 20, 66, 22, 38, 21, 53, 133, 29, 11, 27, 2, 6.0, 26.0, 27.0, 0, 8, 17, 4, 10, 3, 12, 0, 6, 8, 2, 1, 0.0, 3, 5, 3, 9, 3, 16, 16, 20.69, 89.66, 93.1, 37.8984375, 94.09375, 94.09375, 52.8984375, 47.09375, 58.59375, 0.0, 35.296875, 47.09375, 11.798828125, 5.9, 0.0, 23.5, 17.59765625, 58.796875, 29.3984375, 17.59765625, 17.59765625, 42.0, 14.0, 9.0, 3.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 103.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 53.0, "6554", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6554&g_ta_cod=6554", 34.0, 52.0, 14.0),
(11331, "Public", "0950650R", "Lycée Jean-Jacques Rousseau", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Sarcelles", "formation sélective", "BTS", "Lycée Jean-Jacques Rousseau - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 880, 545, 880, 0, 29, 11, 255, 130, 330, 185, 266, 0, 0, 0, 0, 0, 396, 0, 0, 0, 11, 4, 124, 63, 201, 118, 60, 153, 33, 23, 33, 0, 4.0, 21.0, 28.0, 0, 14, 28, 0, 12, 16, 5, 0, 15, 13, 0, 0, 0.0, 0, 3, 10, 6, 3, 26, 28, 12.12, 63.64, 84.85, 69.6875, 92.890625, 100.0, 21.3984375, 50.0, 84.796875, 0.0, 53.59375, 46.3984375, 0.0, 0.0, 0.0, 0.0, 0.0, 42.8984375, 10.69921875, 57.09375, 35.6953125, 6.0, 4.0, 72.0, 42.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 162, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 30.0, "11581", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11581&g_ta_cod=11581", 6.0, 45.0, 48.0),
(11332, "Public", "0951985S", "I.U.T de Cergy-Pontoise - Site de Sarcelles", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Sarcelles", "formation sélective", "BUT", "I.U.T de Cergy-Pontoise - Site de Sarcelles - BUT - Métiers du multimédia et de l'internet Parcours : Création numérique - Développement web et dispositifs interactifs - Stratégie de communication numérique et design d'expérience", "BUT - Production", "Création numérique - Développement web et dispositifs interactifs - Stratégie de communication numérique et design d'expérience", 56, 2769, 852, 2769, 0, 1127, 290, 864, 313, 90, 37, 688, 0, 0, 0, 0, 0, 836, 0, 0, 0, 411, 94, 288, 104, 17, 4, 120, 290, 49, 21, 49, 0, 6.0, 42.0, 45.0, 0, 17, 41, 15, 24, 2, 8, 0, 2, 30, 8, 1, 0.0, 14, 23, 2, 0, 0, 21, 39, 12.24, 85.71, 91.84, 42.8984375, 51.1953125, 95.09375, 0, 41.5, 83.6875, 0.0, 4.8994140625, 73.1875, 19.5, 2.4, 0.0, 36.59375, 34.09375, 58.5, 56.09375, 4.8994140625, 4.8994140625, 126.0, 40.0, 10.0, 4.0, 47.0, "Tous les candidats sauf les Bac technologiques", 304.0, "Bacheliers technologiques toutes séries", 183, "", 0, "Liste d'appel propre à cette formation", 18.0, "11663", "BUT - Métiers du multimédia et de l'internet Parcours : Création numérique - Développement web et dispositifs interactifs - Stratégie de communication numérique et design d'expérience", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11663&g_ta_cod=11663", 43.0, 53.0, 4.0),
(11333, "Public", "9741087N", "Lycée Boisjoly Potier", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation sélective", "BTS", "Lycée Boisjoly Potier - BTS - Services - Support à l'action managériale", "BTS - Services", "", 18, 283, 208, 283, 0, 5, 4, 101, 62, 135, 103, 42, 0, 0, 0, 0, 0, 182, 0, 0, 0, 4, 3, 77, 51, 88, 66, 13, 73, 21, 20, 21, 0, 1.0, 18.0, 19.0, 0, 11, 19, 0, 9, 10, 2, 0, 4, 10, 4, 1, 0.0, 0, 5, 10, 3, 3, 18, 18, 4.76, 85.71, 90.48, 95.1875, 94.6875, 94.6875, 15.798828125, 57.8984375, 90.5, 0.0, 21.09765625, 52.59375, 21.09765625, 5.3, 0.0, 0.0, 0.0, 47.3984375, 26.296875, 52.59375, 52.59375, 1.0, 1.0, 30.0, 21.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 46.0, "11948", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11948&g_ta_cod=11948", 10.0, 43.0, 48.0),
(11334, "Public", "0320067Z", "Lycée des Métiers - Le Garros", "32", "Gers", "Occitanie", "Toulouse", "Auch", "formation sélective", "BTS", "Lycée des Métiers - Le Garros - BTS - Production - Architectures en Métal : conception et Réalisation", "BTS - Production", "", 15, 169, 22, 146, 0, 10, 3, 44, 8, 29, 9, 63, 23, 0, 12, 4, 7, 72, 13, 0, 0, 10, 3, 25, 1, 28, 9, 9, 68, 11, 2, 6, 5, 1.0, 6.0, 11.0, 0, 1, 9, 3, 4, 2, 2, 1, 7, 0, 0, 1, 0.0, 0, 0, 1, 1, 1, 6, 6, 9.09, 54.55, 100.0, 18.19921875, 66.6875, 66.6875, 11.099609375, 11.099609375, 81.796875, 11.099609375, 77.796875, 0.0, 0.0, 11.1, 0.0, 33.296875, 0.0, 44.3984375, 0.0, 22.19921875, 11.099609375, 8.0, 2.0, 23.0, 6.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 47.0, "4257", "BTS - Production - Architectures en Métal : conception et Réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4257&g_ta_cod=4257", 36.0, 45.0, 18.0),
(11335, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence_Las", "Université de Paris - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", "", 30, 2084, 1220, 2084, 0, 1290, 370, 42, 23, 11, 6, 741, 0, 0, 0, 0, 0, 2084, 0, 0, 0, 1290, 370, 42, 23, 11, 6, 741, 334, 28, 20, 28, 0, 1.0, 15.0, 21.0, 0, 3, 22, 22, 0, 0, 6, 0, 1, 5, 12, 3, 1.0, 21, 0, 0, 0, 0, 6, 17, 3.57, 53.57, 75.0, 71.390625, 27.296875, 77.296875, 0, 13.599609375, 78.59375, 0.0, 4.5, 22.69921875, 54.5, 13.6, 4.5, 100.0, 95.5, 0.0, 0.0, 0.0, 0.0, 307.0, 81.0, 0.0, 0.0, 27.0, "Tous les candidats", 2712.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "26810", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26809&g_ta_cod=26810", 100.0, 0.0, 0.0),
(11336, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Institut Catholique Paris - Licence - Langues étrangères appliquées - Parcours Anglais-Allemand", "Licence - Arts-lettres-langues", "Anglais-Allemand", 30, 124, 85, 78, 0, 59, 2, 2, 1, 1, 0, 16, 46, 14, 5, 1, 26, 76, 27, 0, 0, 59, 2, 2, 1, 0, 0, 15, 95, 13, 9, 9, 4, 4.0, 9.0, 11.0, 0, 0, 7, 7, 0, 0, 6, 0, 0, 3, 3, 1, 0.0, 7, 0, 0, 0, 0, 2, 6, 30.77, 69.23, 84.62, 69.1875, 28.59765625, 85.6875, 0, 0.0, 53.796875, 0.0, 0.0, 42.8984375, 42.8984375, 14.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 63.0, 4.0, 0.0, 0.0, 29.0, "Tous les candidats", 76.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "21848", "Licence - Langues étrangères appliquées - Parcours Anglais-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21848&g_ta_cod=21848", 100.0, 0.0, 0.0),
(11337, "Public", "0593395V", "Lycée agricole et horticole de Lomme", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée agricole et horticole de Lomme - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 16, 253, 117, 248, 0, 19, 5, 38, 13, 70, 30, 121, 5, 2, 0, 0, 3, 77, 3, 0, 0, 13, 3, 12, 4, 42, 19, 10, 35, 15, 10, 13, 2, 9.0, 12.0, 13.0, 0, 4, 11, 3, 2, 6, 4, 0, 2, 7, 1, 1, 0.0, 2, 2, 5, 4, 4, 10, 10, 60.0, 80.0, 86.67, 66.6875, 90.890625, 90.890625, 36.3984375, 36.3984375, 73.296875, 0.0, 18.19921875, 63.59375, 9.099609375, 9.1, 0.0, 27.296875, 18.19921875, 18.19921875, 18.19921875, 54.5, 45.5, 13.0, 3.0, 11.0, 6.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 4, "Liste d'appel propre à cette formation", 13.0, "20534", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20534&g_ta_cod=20534", 40.0, 20.0, 40.0),
(11338, "Public", "0751718K", "Université Paris 2 Panthéon - Assas", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "Université Paris 2 Panthéon - Assas - C.M.I - Cursus Master en Ingénierie - Economie et gestion - CURSUS MASTER EN INGENIERIE Economie Finance Quantitative et Statistique (CMI EFiQuaS)", "C.M.I - Cursus Master en Ingénierie", "CURSUS MASTER EN INGENIERIE Economie Finance Quantitative et Statistique (CMI EFiQuaS)", 35, 1135, 438, 1135, 0, 821, 117, 22, 8, 2, 1, 290, 0, 0, 0, 0, 0, 409, 0, 0, 0, 357, 21, 0, 0, 0, 0, 52, 164, 35, 16, 35, 0, 7.0, 22.0, 31.0, 0, 8, 29, 29, 0, 0, 6, 0, 0, 3, 15, 11, 0.0, 29, 0, 0, 0, 0, 7, 23, 20.0, 62.86, 88.57, 45.6953125, 24.09765625, 79.296875, 0, 27.59765625, 82.890625, 0.0, 0.0, 10.298828125, 51.6953125, 37.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 147.0, 19.0, 0.0, 0.0, 17.0, "Tous les candidats", 205.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "16832", "C.M.I - Cursus Master en Ingénierie - Economie et gestion - CURSUS MASTER EN INGENIERIE Economie Finance Quantitative et Statistique (CMI EFiQuaS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16832&g_ta_cod=16832", 100.0, 0.0, 0.0),
(11339, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Portail Sciences de la vie et de la terre - Biologie", "Licence - Sciences - technologies - santé", "Biologie", 15, 879, 624, 879, 0, 640, 87, 58, 4, 4, 1, 177, 0, 0, 0, 0, 0, 878, 0, 0, 0, 640, 87, 58, 4, 4, 1, 176, 120, 14, 14, 14, 0, 1.0, 12.0, 14.0, 0, 2, 10, 10, 0, 0, 4, 0, 0, 4, 4, 2, 0.0, 10, 0, 0, 0, 0, 8, 8, 7.14, 85.71, 100.0, 100.0, 80.0, 80.0, 0, 20.0, 71.390625, 0.0, 0.0, 40.0, 40.0, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 90.0, 9.0, 0.0, 0.0, 30.0, "Tous les candidats", 298.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "28801", "Licence - Portail Sciences de la vie et de la terre - Biologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28800&g_ta_cod=28801", 100.0, 0.0, 0.0),
(11340, "Public", "0281077U", "Lycée Silvia Monfort", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Luisant", "formation sélective", "BTS", "Lycée Silvia Monfort - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 283, 125, 268, 0, 41, 11, 54, 14, 37, 16, 136, 15, 0, 0, 10, 5, 121, 3, 0, 0, 38, 10, 42, 9, 16, 8, 25, 99, 22, 7, 18, 2, 2.0, 15.0, 17.0, 0, 6, 15, 5, 7, 3, 7, 0, 10, 2, 3, 0, 0.0, 2, 1, 2, 7, 2, 15, 15, 9.09, 68.18, 77.27, 31.796875, 100.0, 100.0, 46.6953125, 40.0, 68.1875, 0.0, 66.6875, 13.298828125, 20.0, 0.0, 0.0, 33.296875, 13.298828125, 46.6953125, 6.69921875, 20.0, 13.298828125, 28.0, 8.0, 21.0, 9.0, 23.0, "Tous les candidats sauf les Bac professionnels", 99.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 43.0, "3757", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3757&g_ta_cod=3757", 45.0, 36.0, 18.0),
(11341, "Public", "0751718K", "Université Paris 2 Panthéon - Assas", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Licence", "Université Paris 2 Panthéon - Assas - Licence - Double diplôme - Licence Droit - Droits français et allemand - programme BerMüPa", "Licence - Droit-économie-gestion", "Droits français et allemand - programme BerMüPa", 25, 276, 197, 276, 0, 215, 16, 2, 1, 0, 0, 59, 0, 0, 0, 0, 0, 124, 0, 0, 0, 121, 4, 0, 0, 0, 0, 3, 58, 23, 17, 23, 0, 9.0, 22.0, 23.0, 0, 0, 23, 23, 0, 0, 0, 1, 0, 1, 11, 10, 0.0, 22, 0, 0, 0, 0, 10, 19, 39.13, 95.65, 100.0, 73.890625, 43.5, 82.59375, 0, 0.0, 100.0, 4.2998046875, 0.0, 4.2998046875, 47.796875, 43.5, 0.0, 100.0, 95.6875, 0.0, 0.0, 0.0, 0.0, 55.0, 4.0, 0.0, 0.0, 3.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "27187", "Licence - Double diplôme - Licence Droit - Droits français et allemand - programme BerMüPa", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27187&g_ta_cod=27187", 100.0, 0.0, 0.0),
(11342, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Russe débutant", "Licence - Arts-lettres-langues", "Russe débutant", 20, 92, 56, 62, 0, 38, 12, 2, 0, 4, 3, 18, 30, 5, 2, 2, 21, 61, 24, 0, 0, 38, 12, 2, 0, 4, 3, 17, 72, 8, 4, 3, 5, 0.0, 3.0, 7.0, 0, 1, 3, 2, 0, 1, 5, 1, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 37.5, 87.5, 50.0, 33.296875, 33.296875, 0, 33.296875, 37.5, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 66.6875, 0.0, 0.0, 0.0, 33.296875, 0.0, 35.0, 11.0, 5.0, 3.0, 28.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "5073", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Russe débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5073&g_ta_cod=5073", 63.0, 0.0, 38.0),
(11343, "Public", "0390027T", "Lycée Victor Bérard de MOREZ", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Hauts de Bienne", "formation sélective", "BTS", "Lycée Victor Bérard de MOREZ - BTS - Production - Systèmes photoniques", "BTS - Production", "", 30, 146, 36, 146, 0, 15, 1, 37, 4, 27, 5, 67, 0, 0, 0, 0, 0, 146, 0, 0, 0, 15, 1, 37, 4, 27, 5, 67, 97, 30, 8, 30, 0, 4.0, 29.0, 29.0, 0, 1, 10, 3, 4, 3, 20, 0, 4, 3, 2, 1, 0.0, 2, 1, 3, 2, 1, 4, 4, 13.33, 96.67, 96.67, 26.69921875, 40.0, 40.0, 20, 10.0, 33.296875, 0.0, 40.0, 30.0, 20.0, 10.0, 0.0, 30.0, 20.0, 40.0, 10.0, 30.0, 30.0, 15.0, 1.0, 7.0, 2.0, 40.0, "Tous les candidats sauf les Bac professionnels", 94.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 70.0, "5154", "BTS - Production - Systèmes photoniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5154&g_ta_cod=5154", 77.0, 13.0, 10.0),
(11344, "Privé sous contrat d'association", "0390988M", "IFSI Croix Rouge Française Lons Le Saunier", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Lons-le-Saunier", "formation sélective", "IFSI", "Regroupement d'IFSI Université Franche-Comté Besançon - D.E Infirmier", "D.E secteur sanitaire", "", 57, 1967, 1698, 1967, 0, 355, 57, 355, 71, 215, 61, 1042, 0, 0, 0, 0, 0, 1711, 0, 0, 0, 332, 53, 325, 61, 160, 43, 894, 532, 57, 52, 57, 0, 0.0, 27.0, 42.0, 0, 7, 32, 14, 10, 8, 25, 0, 4, 21, 5, 2, 0.0, 12, 8, 8, 0, 0, 15, 15, 0.0, 47.37, 73.68, 91.1875, 46.8984375, 46.8984375, 0, 21.8984375, 56.09375, 0.0, 12.5, 65.59375, 15.599609375, 6.3, 0.0, 43.796875, 37.5, 31.296875, 25.0, 25.0, 25.0, 119.0, 23.0, 46.0, 13.0, 271.0, "Tous les candidats", 1237.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "23115", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22990&g_ta_cod=23115", 39.0, 30.0, 32.0),
(11345, "Privé sous contrat d'association", "0753933T", "Lycée Saint-Louis De Gonzague", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Lycée Saint-Louis De Gonzague - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 40, 1460, 737, 1460, 0, 1370, 79, 0, 0, 1, 1, 89, 0, 0, 0, 0, 0, 600, 0, 0, 600, 600, 30, 0, 0, 0, 0, 0, 214, 39, 22, 39, 0, 7.0, 31.0, 36.0, 0, 0, 39, 39, 0, 0, 0, 0, 0, 0, 2, 31, 6.0, 39, 0, 0, 2, 2, 9, 21, 17.95, 79.49, 92.31, 56.3984375, 23.09765625, 53.796875, 5.099609375, 0.0, 100.0, 0.0, 0.0, 0.0, 5.099609375, 79.5, 15.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 214.0, 9.0, 0.0, 0.0, 0.0, "Tous les candidats", 329.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "31375", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31375&g_ta_cod=31375", 100.0, 0.0, 0.0),
(11346, "Privé sous contrat d'association", "0342299P", "EPF Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 75, 3366, 800, 3366, 0, 3363, 127, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3056, 0, 0, 0, 3053, 99, 0, 0, 0, 0, 3, 2160, 75, 21, 75, 0, 29.0, 56.0, 75.0, 0, 3, 75, 75, 0, 0, 0, 0, 4, 35, 29, 7, 0.0, 71, 0, 0, 0, 0, 17, 17, 38.67, 74.67, 100.0, 28.0, 22.69921875, 22.69921875, 0, 4.0, 100.0, 0.0, 5.2998046875, 46.6953125, 38.6953125, 9.3, 0.0, 100.0, 94.6875, 0.0, 0.0, 0.0, 0.0, 2157.0, 60.0, 0.0, 0.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "13657", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=99&g_ta_cod=13657", 100.0, 0.0, 0.0),
(11347, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence_Las", "Université de Poitiers - Licence - Portail  -  option Santé", "Licence - Droit-économie-gestion", "", 80, 438, 233, 425, 0, 275, 58, 16, 8, 2, 1, 132, 13, 2, 2, 1, 8, 420, 13, 0, 0, 275, 58, 16, 8, 2, 1, 127, 288, 77, 40, 71, 6, 12.0, 58.0, 67.0, 0, 10, 49, 46, 2, 1, 28, 0, 17, 18, 9, 5, 0.0, 30, 1, 1, 0, 0, 41, 41, 15.58, 75.32, 87.01, 51.8984375, 83.6875, 83.6875, 0, 20.3984375, 63.59375, 0.0, 34.6953125, 36.6953125, 18.3984375, 10.2, 0.0, 93.890625, 61.1953125, 4.099609375, 2.0, 2.0, 2.0, 185.0, 33.0, 2.0, 0.0, 90.0, "Tous les candidats", 299.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "28733", "Licence - Portail  -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28733&g_ta_cod=28733", 94.0, 3.0, 3.0),
(11348, "Public", "0490003M", "Lycée Polyvalent Chevrollier", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Lycée Polyvalent Chevrollier - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 23, 291, 22, 284, 0, 36, 2, 128, 18, 53, 17, 67, 7, 1, 0, 1, 5, 219, 4, 0, 0, 32, 2, 127, 18, 45, 13, 15, 124, 17, 0, 17, 0, 2.0, 14.0, 17.0, 0, 5, 15, 4, 8, 3, 2, 0, 11, 2, 2, 0, 0.0, 0, 1, 3, 4, 0, 10, 10, 11.76, 82.35, 100.0, 0.0, 66.6875, 66.6875, 26.69921875, 33.296875, 88.1875, 0.0, 73.296875, 13.298828125, 13.298828125, 0.0, 0.0, 26.69921875, 0.0, 53.296875, 6.69921875, 20.0, 20.0, 21.0, 2.0, 21.0, 6.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 133, "Liste d'appel propre à cette formation", 76.0, "5828", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5828&g_ta_cod=5828", 24.0, 53.0, 24.0),
(11349, "Public", "0670087F", "Lycée Alexandre Dumas (Hotelier)", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "Autre formation", "Lycée Alexandre Dumas (Hotelier) - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 15, 107, 72, 105, 0, 4, 1, 25, 5, 40, 16, 36, 2, 1, 0, 0, 1, 88, 1, 0, 0, 4, 1, 25, 5, 39, 16, 20, 77, 13, 8, 11, 1, 2.0, 10.0, 11.0, 0, 2, 6, 0, 0, 6, 7, 0, 3, 1, 2, 0, 0.0, 0, 0, 3, 0, 0, 6, 6, 15.38, 76.92, 84.62, 61.5, 100.0, 100.0, 0, 33.296875, 46.1953125, 0.0, 50.0, 16.69921875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 4.0, 1.0, 36.0, 15.0, 18.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "21491", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21491&g_ta_cod=21491", 8.0, 8.0, 85.0),
(11350, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : Anglais Monolingue et Bilingue", "Licence - Arts-lettres-langues", "LLCER : Anglais Monolingue et Bilingue", 420, 1930, 1403, 1693, 0, 1291, 271, 75, 21, 47, 18, 280, 237, 45, 20, 7, 165, 1693, 226, 0, 0, 1291, 271, 75, 21, 47, 18, 280, 1919, 384, 253, 285, 99, 279.0, 284.0, 343.0, 0, 73, 251, 209, 26, 16, 133, 2, 73, 108, 52, 15, 1.0, 155, 11, 10, 0, 0, 192, 192, 72.66, 73.96, 89.32, 65.890625, 76.5, 76.5, 0, 29.09765625, 65.390625, 0.7999267578125, 29.09765625, 43.0, 20.69921875, 6.0, 0.4, 83.296875, 61.796875, 10.3984375, 4.3994140625, 6.3994140625, 4.0, 1335.0, 283.0, 54.0, 24.0, 435.0, "Tous les candidats", 1693.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5562", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : Anglais Monolingue et Bilingue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5562&g_ta_cod=5562", 80.0, 11.0, 8.0),
(11351, "Public", "0442658A", "Institut de formation des manipulateurs d'electroradiologie médicale", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Institut de formation des manipulateurs d'electroradiologie médicale - D.E manipulateur/trice en électroradiologie médicale", "D.E secteur sanitaire", "", 26, 653, 511, 653, 0, 164, 26, 119, 35, 8, 1, 362, 0, 0, 0, 0, 0, 613, 0, 0, 0, 164, 26, 112, 33, 8, 1, 329, 129, 26, 12, 26, 0, 0.0, 11.0, 21.0, 0, 4, 5, 5, 0, 0, 21, 0, 4, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 0.0, 42.31, 80.77, 46.1953125, 40.0, 40.0, 0, 80.0, 19.19921875, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 100.0, 20.0, 0.0, 0.0, 0.0, 0.0, 24.0, 12.0, 0.0, 0.0, 105.0, "Tous les candidats", 171.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "19412", "D.E manipulateur/trice en électroradiologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19412&g_ta_cod=19412", 100.0, 0.0, 0.0),
(11352, "Public", "0860035W", "Lycée Camille Guérin", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "CPGE", "Lycée Camille Guérin - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 48, 275, 120, 262, 184, 217, 15, 0, 0, 1, 1, 44, 13, 5, 0, 0, 8, 224, 9, 160, 213, 211, 14, 0, 0, 0, 0, 13, 219, 25, 10, 21, 4, 6.0, 21.0, 25.0, 13, 2, 24, 24, 0, 0, 1, 0, 4, 10, 8, 2, 0.0, 20, 0, 0, 5, 2, 15, 15, 24.0, 84.0, 100.0, 40.0, 62.5, 62.5, 20.796875, 8.298828125, 96.0, 0.0, 16.69921875, 41.6953125, 33.296875, 8.3, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 201.0, 14.0, 0.0, 0.0, 18.0, "Tous les candidats", 224.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "31376", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31376&g_ta_cod=31376", 100.0, 0.0, 0.0),
(11353, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Mathématiques - Mathématiques fondamentales et appliquées  - Campus Grands-Moulins", "Licence - Sciences - technologies - santé", "", 71, 3805, 1310, 3805, 0, 2998, 473, 15, 5, 2, 1, 790, 0, 0, 0, 0, 0, 3803, 0, 0, 0, 2998, 473, 15, 5, 2, 1, 788, 1673, 63, 20, 63, 0, 18.0, 23.0, 48.0, 0, 16, 49, 49, 0, 0, 14, 0, 3, 11, 25, 10, 0.0, 46, 0, 0, 0, 0, 9, 46, 28.57, 36.51, 76.19, 31.69921875, 18.3984375, 93.890625, 0, 32.6953125, 77.796875, 0.0, 6.099609375, 22.3984375, 51.0, 20.4, 0.0, 100.0, 93.890625, 0.0, 0.0, 0.0, 0.0, 1552.0, 227.0, 0.0, 0.0, 121.0, "Tous les candidats", 2332.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 57.0, "9342", "Licence - Portail Mathématiques - Mathématiques fondamentales et appliquées  - Campus Grands-Moulins", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32202&g_ta_cod=9342", 98.0, 2.0, 0.0),
(11354, "Public", "0840957J", "I.U.T. d'Avignon", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BUT", "I.U.T. d'Avignon - BUT - Packaging, emballage et conditionnement Parcours : Éco-conception et industrialisation - Éco-conception homologation supply chain", "BUT - Production", "Éco-conception et industrialisation - Éco-conception homologation supply chain", 28, 297, 162, 259, 0, 116, 14, 83, 19, 1, 1, 59, 38, 4, 10, 0, 24, 128, 11, 0, 0, 72, 8, 37, 5, 0, 0, 19, 118, 23, 14, 18, 5, 6.0, 18.0, 20.0, 0, 1, 16, 10, 6, 0, 7, 0, 2, 11, 3, 0, 0.0, 9, 5, 0, 0, 0, 4, 4, 26.09, 78.26, 86.96, 60.8984375, 25.0, 25.0, 0, 6.2998046875, 69.59375, 0.0, 12.5, 68.796875, 18.796875, 0.0, 0.0, 62.5, 56.296875, 37.5, 31.296875, 0.0, 0.0, 55.0, 8.0, 0.0, 0.0, 24.0, "Tous les candidats sauf les Bac technologiques", 83.0, "Bacheliers technologiques toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 49.0, "10465", "BUT - Packaging, emballage et conditionnement Parcours : Éco-conception et industrialisation - Éco-conception homologation supply chain", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10465&g_ta_cod=10465", 65.0, 35.0, 0.0),
(11355, "Public", "0320557G", "L.P.A. de Mirande", "32", "Gers", "Occitanie", "Toulouse", "Mirande", "formation sélective", "BTS", "L.P.A. de Mirande - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 12, 34, 10, 24, 0, 1, 0, 6, 2, 11, 1, 6, 10, 1, 2, 2, 5, 23, 5, 0, 0, 0, 0, 6, 2, 11, 1, 6, 28, 8, 3, 7, 1, 5.0, 7.0, 8.0, 0, 1, 3, 0, 2, 1, 5, 0, 2, 0, 1, 0, 0.0, 0, 1, 0, 1, 0, 3, 3, 62.5, 87.5, 100.0, 37.5, 100.0, 100.0, 33.296875, 33.296875, 37.5, 0.0, 66.6875, 0.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 12.0, 2.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 96.0, "18016", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18016&g_ta_cod=18016", 25.0, 50.0, 25.0),
(11356, "Privé sous contrat d'association", "0333481E", "YNCREA - BÈGLES", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 15, 1284, 300, 1283, 0, 1274, 98, 0, 0, 0, 0, 9, 1, 1, 0, 0, 0, 1154, 1, 0, 0, 1148, 83, 0, 0, 0, 0, 6, 1047, 4, 1, 4, 0, 3.0, 4.0, 4.0, 0, 1, 3, 3, 0, 0, 1, 0, 0, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 1, 1, 75.0, 100.0, 100.0, 25.0, 33.296875, 33.296875, 0, 33.296875, 75.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1041.0, 79.0, 0.0, 0.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "31106", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=31106", 100.0, 0.0, 0.0),
(11357, "Public", "0350005R", "Lycée des Métiers - Hotelier et Restauration - Yvon Bourges", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Dinard", "formation sélective", "BTS", "Lycée des Métiers - Hotelier et Restauration - Yvon Bourges - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 85, 532, 288, 532, 0, 0, 0, 175, 23, 224, 46, 133, 0, 0, 0, 0, 0, 530, 0, 0, 0, 0, 0, 175, 23, 224, 46, 131, 199, 84, 46, 84, 0, 41.0, 74.0, 76.0, 0, 7, 54, 0, 22, 32, 30, 0, 6, 14, 22, 12, 0.0, 0, 16, 32, 41, 20, 49, 49, 48.81, 88.1, 90.48, 54.796875, 90.6875, 90.6875, 75.890625, 13.0, 64.296875, 0.0, 11.099609375, 25.8984375, 40.6953125, 22.2, 0.0, 0.0, 0.0, 40.6953125, 29.59765625, 59.296875, 59.296875, 0.0, 0.0, 52.0, 9.0, 62.0, "Tous les candidats sauf les Bac professionnels", 278.0, "Bacheliers professionnels toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 58.0, "4619", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4619&g_ta_cod=4619", 24.0, 37.0, 39.0),
(11358, "Public", "0120096P", "Lycée professionnel des métiers du bois et de l'habitat", "12", "Aveyron", "Occitanie", "Toulouse", "Aubin", "formation sélective", "BTS", "Lycée professionnel des métiers du bois et de l'habitat - BTS - Production - Développement et Réalisation Bois", "BTS - Production", "", 18, 152, 25, 150, 0, 8, 3, 38, 7, 73, 23, 31, 2, 0, 0, 0, 2, 125, 0, 0, 0, 8, 3, 38, 7, 69, 21, 10, 57, 15, 0, 15, 0, 4.0, 10.0, 14.0, 0, 6, 15, 0, 3, 12, 0, 0, 4, 7, 4, 0, 0.0, 0, 0, 11, 4, 0, 7, 7, 26.67, 66.67, 93.33, 0.0, 46.6953125, 46.6953125, 26.69921875, 40.0, 100.0, 0.0, 26.69921875, 46.6953125, 26.69921875, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 73.296875, 2.0, 0.0, 29.0, 10.0, 6.0, "Tous les candidats sauf les Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 65.0, "17593", "BTS - Production - Développement et Réalisation Bois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17593&g_ta_cod=17593", 0.0, 20.0, 80.0),
(11359, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence_Las", "Université Toulouse 1 Capitole - Licence - Portail Droit - parcours Droit", "Licence - Droit-économie-gestion", "parcours Droit", 100, 1754, 1257, 1754, 0, 997, 216, 123, 39, 33, 21, 601, 0, 0, 0, 0, 0, 1751, 0, 0, 0, 997, 216, 123, 39, 33, 21, 598, 631, 92, 67, 92, 0, 4.0, 45.0, 70.0, 0, 17, 64, 55, 7, 2, 28, 1, 14, 26, 17, 6, 0.0, 44, 4, 1, 0, 0, 54, 54, 4.35, 48.91, 76.09, 72.796875, 84.390625, 84.390625, 0, 26.59765625, 69.59375, 1.599853515625, 21.8984375, 40.59375, 26.59765625, 9.4, 0.0, 85.890625, 68.796875, 10.8984375, 6.2998046875, 3.099609375, 1.599853515625, 359.0, 71.0, 9.0, 7.0, 231.0, "Tous les candidats", 3699.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 50.0, "28420", "Licence - Portail Droit - parcours Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28419&g_ta_cod=28420", 85.0, 10.0, 5.0),
(11360, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence_Las", "Université de Poitiers - Licence - Portail  -  option Santé", "Licence - Sciences - technologies - santé", "", 40, 737, 498, 737, 0, 582, 78, 23, 3, 0, 0, 132, 0, 0, 0, 0, 0, 732, 0, 0, 0, 582, 78, 23, 3, 0, 0, 127, 181, 39, 29, 39, 0, 5.0, 32.0, 39.0, 0, 4, 39, 39, 0, 0, 0, 0, 0, 2, 19, 18, 0.0, 39, 0, 0, 0, 0, 39, 39, 12.82, 82.05, 100.0, 74.390625, 100.0, 100.0, 0, 10.298828125, 100.0, 0.0, 0.0, 5.099609375, 48.6953125, 46.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 176.0, 25.0, 0.0, 0.0, 5.0, "Tous les candidats", 285.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "28734", "Licence - Portail  -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28734&g_ta_cod=28734", 100.0, 0.0, 0.0),
(11361, "Public", "0133015G", "Lycée Pierre Mendès France", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Vitrolles", "formation sélective", "Autre formation", "Lycée Pierre Mendès France - Mention complémentaire - Aéronautique option avions à moteur à turbines", "Mention complémentaire", "", 8, 115, 7, 115, 0, 0, 0, 0, 0, 106, 25, 9, 0, 0, 0, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 107, 26, 9, 35, 7, 0, 7, 0, 1.0, 4.0, 5.0, 0, 1, 6, 0, 0, 6, 1, 0, 0, 4, 1, 1, 0.0, 0, 0, 6, 0, 0, 6, 6, 14.29, 57.14, 71.43, 0.0, 100.0, 100.0, 0, 16.69921875, 85.6875, 0.0, 0.0, 66.6875, 16.69921875, 16.7, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 33.0, 10.0, 2.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "17430", "Mention complémentaire - Aéronautique option avions à moteur à turbines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17430&g_ta_cod=17430", 0.0, 0.0, 100.0),
(11362, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Langues étrangères appliquées - Parcours Langues étrangères appliquées, Economie et interculturalité, option Anglais Italien", "Licence - Arts-lettres-langues", "Langues étrangères appliquées, Economie et interculturalité, option Anglais Italien", 10, 63, 55, 63, 0, 36, 14, 7, 4, 7, 5, 13, 0, 0, 0, 0, 0, 63, 0, 0, 0, 36, 14, 7, 4, 7, 5, 13, 35, 10, 9, 10, 0, 3.0, 10.0, 10.0, 0, 5, 8, 7, 1, 0, 2, 0, 2, 4, 2, 0, 0.0, 5, 1, 0, 0, 0, 8, 8, 30.0, 100.0, 100.0, 90.0, 100.0, 100.0, 0, 62.5, 80.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 87.5, 62.5, 12.5, 12.5, 0.0, 0.0, 29.0, 11.0, 1.0, 1.0, 3.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "20734", "Licence - Langues étrangères appliquées - Parcours Langues étrangères appliquées, Economie et interculturalité, option Anglais Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20734&g_ta_cod=20734", 90.0, 10.0, 0.0),
(11363, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence", "Université du Mans - Licence - Portail Sciences de la Vie - Sciences de la Terre", "Licence - Sciences - technologies - santé", "Sciences de la Vie - Sciences de la Terre", 140, 1352, 901, 1296, 0, 938, 138, 64, 13, 5, 1, 289, 56, 18, 4, 2, 32, 1281, 28, 0, 0, 938, 138, 64, 13, 5, 1, 274, 765, 118, 73, 102, 16, 27.0, 66.0, 96.0, 0, 14, 94, 89, 4, 1, 24, 0, 37, 35, 17, 4, 1.0, 54, 2, 1, 0, 0, 79, 79, 22.88, 55.93, 81.36, 61.8984375, 84.0, 84.0, 0, 14.8984375, 79.6875, 0.0, 39.3984375, 37.1953125, 18.09765625, 4.3, 1.1, 94.6875, 57.3984375, 4.2998046875, 2.099609375, 1.099853515625, 1.099853515625, 592.0, 87.0, 4.0, 0.0, 146.0, "Tous les candidats", 1456.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 91.0, "8744", "Licence - Portail Sciences de la Vie - Sciences de la Terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26888&g_ta_cod=8744", 92.0, 5.0, 1.0),
(11364, "Public", "0511884W", "lycée Georges BRIERE", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "lycée Georges BRIERE - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 11, 200, 36, 178, 0, 17, 7, 33, 10, 18, 10, 110, 22, 1, 7, 3, 11, 53, 5, 0, 0, 11, 5, 22, 5, 9, 2, 11, 53, 12, 0, 9, 3, 3.0, 8.0, 11.0, 0, 1, 5, 0, 3, 2, 7, 0, 2, 2, 1, 0, 0.0, 0, 2, 1, 2, 0, 5, 5, 25.0, 66.67, 91.67, 0.0, 100.0, 100.0, 40, 20.0, 41.6953125, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 0.0, 0.0, 60.0, 40.0, 40.0, 20.0, 12.0, 6.0, 9.0, 2.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 30.0, "6147", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6147&g_ta_cod=6147", 42.0, 42.0, 17.0),
(11365, "Public", "0623920Z", "Université du littoral - Site de Boulogne-sur-Mer", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation non sélective", "Licence", "Université du littoral - Site de Boulogne-sur-Mer - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 108, 463, 211, 437, 0, 289, 76, 47, 19, 17, 11, 84, 26, 4, 0, 2, 20, 437, 25, 0, 0, 289, 76, 47, 19, 17, 11, 84, 388, 102, 38, 89, 13, 59.0, 88.0, 92.0, 0, 25, 69, 59, 6, 4, 33, 0, 19, 32, 11, 7, 0.0, 45, 2, 3, 0, 0, 69, 69, 57.84, 86.27, 90.2, 37.296875, 100.0, 100.0, 0, 36.1953125, 67.59375, 0.0, 27.5, 46.3984375, 15.8984375, 10.1, 0.0, 85.5, 65.1875, 8.69921875, 2.89990234375, 5.7998046875, 4.2998046875, 230.0, 70.0, 14.0, 10.0, 104.0, "Tous les candidats", 431.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7502", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7502&g_ta_cod=7502", 73.0, 14.0, 7.0),
(11366, "Public", "9720823M", "Lycée du Nord Caraibe", "972", "Martinique", "Martinique", "Martinique", "Bellefontaine", "formation sélective", "BTS", "Lycée du Nord Caraibe - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 33, 123, 54, 123, 0, 0, 0, 31, 11, 49, 21, 43, 0, 0, 0, 0, 0, 90, 0, 0, 0, 0, 0, 24, 7, 33, 16, 33, 60, 35, 16, 35, 0, 27.0, 34.0, 34.0, 0, 16, 27, 0, 8, 19, 8, 0, 7, 8, 7, 5, 0.0, 0, 4, 16, 20, 9, 25, 25, 77.14, 97.14, 97.14, 45.6953125, 92.59375, 92.59375, 74.09375, 59.296875, 77.09375, 0.0, 25.8984375, 29.59765625, 25.8984375, 18.5, 0.0, 0.0, 0.0, 29.59765625, 14.798828125, 70.390625, 59.296875, 0.0, 0.0, 28.0, 16.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 64.0, "11830", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11830&g_ta_cod=11830", 17.0, 29.0, 54.0),
(11367, "Public", "0060022S", "Lycée professionnel Léon Chiris", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Grasse", "formation sélective", "BTS", "Lycée professionnel Léon Chiris - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 15, 227, 131, 225, 0, 50, 9, 46, 7, 80, 17, 49, 2, 0, 1, 0, 1, 164, 0, 0, 0, 50, 9, 35, 3, 65, 13, 14, 63, 15, 9, 15, 0, 0.0, 5.0, 11.0, 0, 2, 15, 2, 4, 9, 0, 0, 4, 7, 4, 0, 0.0, 0, 3, 8, 1, 0, 7, 7, 0.0, 33.33, 73.33, 60.0, 46.6953125, 46.6953125, 6.69921875, 13.298828125, 100.0, 0.0, 26.69921875, 46.6953125, 26.69921875, 0.0, 0.0, 13.298828125, 0.0, 26.69921875, 20.0, 60.0, 53.296875, 9.0, 1.0, 28.0, 5.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 36.0, "20547", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20547&g_ta_cod=20547", 13.0, 27.0, 60.0),
(11368, "Public", "0370035M", "Lycée Descartes", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "CPGE", "Lycée Descartes - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 674, 475, 673, 421, 550, 77, 1, 0, 1, 0, 121, 1, 1, 0, 0, 0, 557, 0, 288, 525, 527, 75, 1, 0, 0, 0, 29, 296, 47, 31, 47, 0, 6.0, 33.0, 47.0, 8, 4, 42, 42, 0, 0, 5, 0, 1, 5, 17, 16, 3.0, 41, 0, 0, 0, 0, 31, 31, 12.77, 70.21, 100.0, 66.0, 73.796875, 73.796875, 0, 9.5, 89.390625, 0.0, 2.39990234375, 11.8984375, 40.5, 38.1, 7.1, 100.0, 97.59375, 0.0, 0.0, 0.0, 0.0, 279.0, 34.0, 0.0, 0.0, 17.0, "Tous les candidats", 545.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "4827", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4827&g_ta_cod=4827", 100.0, 0.0, 0.0),
(11369, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 260, 1716, 828, 1626, 0, 1088, 203, 107, 37, 50, 14, 381, 90, 9, 0, 11, 70, 1621, 42, 0, 0, 1088, 203, 107, 37, 50, 14, 376, 1081, 224, 75, 205, 19, 21.0, 184.0, 205.0, 0, 35, 146, 125, 8, 13, 78, 0, 39, 53, 42, 11, 1.0, 96, 2, 9, 0, 0, 118, 118, 9.38, 82.14, 91.52, 33.5, 80.796875, 80.796875, 0, 24.0, 65.1875, 0.0, 26.69921875, 36.296875, 28.796875, 7.5, 0.7, 85.59375, 65.796875, 5.5, 1.39990234375, 8.8984375, 6.19921875, 767.0, 137.0, 26.0, 12.0, 249.0, "Tous les candidats", 1616.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "8077", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8077&g_ta_cod=8077", 82.0, 10.0, 8.0),
(11370, "Public", "0271666P", "I.U.T d'Evreux", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BUT", "I.U.T d'Evreux - BUT - Carrières sociales Parcours éducation spécialisée", "BUT - Service", "", 28, 1202, 1071, 1202, 0, 355, 60, 442, 113, 91, 34, 314, 0, 0, 0, 0, 0, 601, 0, 0, 0, 224, 34, 293, 69, 1, 0, 83, 125, 26, 26, 26, 0, 3.0, 18.0, 23.0, 0, 3, 22, 12, 9, 1, 4, 0, 2, 10, 8, 2, 0.0, 11, 8, 1, 0, 0, 7, 7, 11.54, 69.23, 88.46, 100.0, 31.796875, 31.796875, 0, 13.599609375, 84.59375, 0.0, 9.099609375, 45.5, 36.3984375, 9.1, 0.0, 54.5, 50.0, 40.8984375, 36.3984375, 4.5, 4.5, 53.0, 14.0, 1.0, 0.0, 14.0, "Tous les candidats sauf les Bac technologiques", 123.0, "Bacheliers technologiques toutes séries", 97, "", 0, "Liste d'appel propre à cette formation", 18.0, "3722", "BUT - Carrières sociales Parcours éducation spécialisée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3722&g_ta_cod=3722", 50.0, 46.0, 4.0),
(11371, "Privé sous contrat d'association", "0592967E", "Lycée La Sagesse", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée La Sagesse - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 227, 132, 198, 0, 22, 6, 48, 16, 61, 22, 67, 29, 0, 0, 16, 13, 89, 11, 0, 0, 13, 3, 24, 8, 40, 14, 12, 70, 18, 16, 15, 3, 9.0, 15.0, 17.0, 0, 4, 16, 1, 7, 8, 2, 0, 2, 9, 5, 0, 0.0, 1, 6, 7, 8, 8, 16, 16, 50.0, 83.33, 94.44, 88.890625, 100.0, 100.0, 50, 25.0, 88.890625, 0.0, 12.5, 56.296875, 31.296875, 0.0, 0.0, 6.2998046875, 6.2998046875, 43.796875, 37.5, 50.0, 43.796875, 7.0, 3.0, 43.0, 16.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 38.0, "6928", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6928&g_ta_cod=6928", 11.0, 39.0, 50.0),
(11372, "Public", "0401002X", "Lycée Haroun Tazieff", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Saint-Paul-lès-Dax", "formation sélective", "BTS", "Lycée Haroun Tazieff - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 15, 557, 345, 557, 0, 87, 15, 165, 45, 176, 42, 129, 0, 0, 0, 0, 0, 555, 0, 0, 0, 87, 15, 165, 45, 176, 42, 127, 51, 18, 15, 18, 0, 5.0, 18.0, 18.0, 0, 7, 18, 4, 6, 8, 0, 0, 1, 8, 6, 3, 0.0, 3, 6, 8, 4, 3, 10, 10, 27.78, 100.0, 100.0, 83.296875, 55.59375, 55.59375, 22.19921875, 38.8984375, 100.0, 0.0, 5.599609375, 44.3984375, 33.296875, 16.7, 0.0, 22.19921875, 16.69921875, 33.296875, 33.296875, 44.3984375, 44.3984375, 15.0, 5.0, 20.0, 5.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 11.0, "23411", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23411&g_ta_cod=23411", 22.0, 33.0, 44.0),
(11373, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Histoire de l'art et archéologie - Parcours ARCHEOLOGIE ET HISTOIRE DE L'ART", "Licence - Sciences humaines et sociales", "ARCHEOLOGIE ET HISTOIRE DE L'ART", 300, 2461, 1839, 2461, 0, 1381, 216, 151, 35, 49, 11, 880, 0, 0, 0, 0, 0, 2452, 0, 0, 0, 1381, 216, 151, 35, 49, 11, 871, 1234, 291, 229, 291, 0, 26.0, 223.0, 262.0, 0, 44, 223, 188, 21, 14, 68, 0, 53, 82, 72, 15, 1.0, 143, 16, 11, 0, 0, 37, 161, 8.93, 76.63, 90.03, 78.6875, 16.59765625, 72.1875, 0, 19.69921875, 76.59375, 0.0, 23.796875, 36.796875, 32.296875, 6.7, 0.4, 84.296875, 64.09375, 9.3984375, 7.19921875, 6.2998046875, 4.8994140625, 831.0, 123.0, 31.0, 7.0, 299.0, "Tous les candidats", 1618.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "9270", "Licence - Histoire de l'art et archéologie - Parcours ARCHEOLOGIE ET HISTOIRE DE L'ART", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9270&g_ta_cod=9270", 83.0, 10.0, 6.0),
(11374, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Droit", "Licence - Droit-économie-gestion", "", 536, 2532, 1828, 2532, 0, 1784, 378, 273, 83, 50, 19, 425, 0, 0, 0, 0, 0, 2526, 0, 0, 0, 1784, 378, 273, 83, 50, 19, 419, 1700, 538, 369, 538, 0, 117.0, 463.0, 516.0, 0, 121, 472, 401, 62, 9, 66, 1, 139, 190, 115, 23, 4.0, 291, 36, 5, 0, 0, 464, 464, 21.75, 86.06, 95.91, 68.59375, 98.296875, 98.296875, 0, 25.59765625, 87.6875, 0.199981689453125, 29.3984375, 40.296875, 24.3984375, 4.9, 0.8, 85.0, 61.6953125, 13.099609375, 7.599609375, 1.89990234375, 1.099853515625, 1282.0, 275.0, 16.0, 8.0, 268.0, "Tous les candidats", 1977.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "10223", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10223&g_ta_cod=10223", 84.0, 14.0, 2.0),
(11375, "Public", "0370038R", "Lycée Grandmont", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Grandmont - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 24, 264, 29, 264, 0, 30, 4, 74, 23, 78, 18, 82, 0, 0, 0, 0, 0, 185, 0, 0, 0, 21, 4, 71, 21, 67, 16, 26, 91, 24, 0, 24, 0, 4.0, 21.0, 23.0, 0, 9, 21, 1, 8, 12, 3, 1, 4, 8, 5, 3, 0.0, 0, 5, 11, 1, 0, 19, 19, 16.67, 87.5, 95.83, 0.0, 90.5, 90.5, 4.7998046875, 42.8984375, 87.5, 4.7998046875, 19.0, 38.09375, 23.796875, 14.3, 0.0, 4.7998046875, 0.0, 38.09375, 23.796875, 57.09375, 52.3984375, 7.0, 1.0, 34.0, 10.0, 11.0, "Tous les candidats sauf les Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 43.0, "4839", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4839&g_ta_cod=4839", 8.0, 42.0, 50.0),
(11376, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence_Las", "Université de Lille - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 70, 4071, 3323, 4071, 0, 2310, 579, 405, 182, 101, 48, 1255, 0, 0, 0, 0, 0, 4065, 0, 0, 0, 2310, 579, 405, 182, 101, 48, 1249, 579, 69, 62, 69, 0, 3.0, 41.0, 55.0, 0, 19, 54, 52, 1, 1, 15, 0, 2, 25, 19, 8, 0.0, 50, 1, 1, 0, 0, 49, 49, 4.35, 59.42, 79.71, 89.890625, 90.6875, 90.6875, 0, 35.1953125, 78.296875, 0.0, 3.69970703125, 46.296875, 35.1953125, 14.8, 0.0, 96.296875, 92.59375, 1.89990234375, 1.89990234375, 1.89990234375, 1.89990234375, 452.0, 113.0, 5.0, 2.0, 116.0, "Tous les candidats", 2169.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "29068", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29067&g_ta_cod=29068", 97.0, 1.0, 1.0),
(11377, "Public", "0750696Z", "Lycée Roger Verlomme", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "BTS", "Lycée Roger Verlomme - CFA Paris Académie Entreprises - BTS - Services - Gestion de la PME (Seconde année en apprentissage)", "BTS - Services", "", 24, 809, 500, 782, 0, 51, 11, 219, 81, 281, 151, 231, 27, 7, 0, 0, 20, 300, 2, 0, 0, 22, 5, 93, 31, 152, 82, 33, 112, 24, 19, 22, 1, 5.0, 16.0, 19.0, 0, 8, 20, 2, 7, 11, 4, 0, 7, 8, 5, 0, 0.0, 0, 4, 9, 0, 0, 9, 20, 20.83, 66.67, 79.17, 79.1875, 45.0, 100.0, 0, 40.0, 83.296875, 0.0, 35.0, 40.0, 25.0, 0.0, 0.0, 10.0, 0.0, 35.0, 20.0, 55.0, 45.0, 4.0, 2.0, 51.0, 29.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 102, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 22.0, "9120", "BTS - Services - Gestion de la PME (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9120&g_ta_cod=9120", 13.0, 33.0, 54.0),
(11378, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence_Las", "Université Toulouse 3 Paul Sabatier - Licence - Portail Informatique", "Licence - Sciences - technologies - santé", "", 36, 559, 165, 559, 0, 258, 56, 33, 11, 7, 3, 261, 0, 0, 0, 0, 0, 559, 0, 0, 0, 258, 56, 33, 11, 7, 3, 261, 265, 32, 10, 32, 0, 0.0, 7.0, 24.0, 0, 2, 15, 15, 0, 0, 17, 0, 10, 3, 2, 0, 0.0, 5, 0, 0, 0, 0, 9, 9, 0.0, 21.88, 75.0, 31.296875, 60.0, 60.0, 0, 13.298828125, 46.8984375, 0.0, 66.6875, 20.0, 13.298828125, 0.0, 0.0, 100.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 148.0, 32.0, 0.0, 0.0, 116.0, "Tous les candidats", 1452.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 65.0, "27523", "Licence - Portail Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27522&g_ta_cod=27523", 97.0, 3.0, 0.0),
(11379, "Public", "0340045P", "Lycée professionnel Jules Ferry", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée professionnel Jules Ferry - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 45, 1973, 1105, 1943, 0, 111, 38, 680, 297, 702, 373, 450, 30, 0, 0, 19, 11, 607, 2, 0, 0, 33, 13, 262, 119, 266, 151, 46, 199, 41, 26, 40, 1, 2.0, 17.0, 37.0, 0, 24, 39, 0, 18, 21, 2, 0, 7, 19, 12, 1, 0.0, 0, 16, 16, 2, 1, 34, 34, 4.88, 41.46, 90.24, 63.3984375, 87.1875, 87.1875, 5.099609375, 61.5, 95.09375, 0.0, 17.8984375, 48.6953125, 30.796875, 2.6, 0.0, 0.0, 0.0, 46.1953125, 41.0, 53.796875, 41.0, 2.0, 2.0, 103.0, 62.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 225, "Bacheliers technologiques toutes séries", 165, "Liste d'appel propre à cette formation", 20.0, "21256", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21256&g_ta_cod=21256", 0.0, 49.0, 51.0),
(11380, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Gaston Berger - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 70, 1144, 145, 1144, 0, 186, 44, 253, 87, 260, 106, 445, 0, 0, 0, 0, 0, 553, 0, 0, 0, 141, 33, 151, 55, 145, 56, 116, 251, 68, 8, 68, 0, 28.0, 57.0, 65.0, 0, 25, 54, 12, 11, 31, 14, 0, 9, 20, 18, 7, 0.0, 7, 9, 29, 4, 1, 49, 49, 41.18, 83.82, 95.59, 11.798828125, 90.6875, 90.6875, 7.3994140625, 46.296875, 79.390625, 0.0, 16.69921875, 37.0, 33.296875, 13.0, 0.0, 22.19921875, 13.0, 20.3984375, 16.69921875, 57.3984375, 53.6953125, 70.0, 12.0, 72.0, 28.0, 47.0, "Tous les candidats sauf les Bac professionnels", 257.0, "Bacheliers professionnels toutes séries", 99, "", 0, "Liste d'appel propre à cette formation", 31.0, "6874", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6874&g_ta_cod=6874", 29.0, 19.0, 51.0),
(11381, "Public", "0420046X", "Lycée Etienne Mimard", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "CPGE", "Lycée Etienne Mimard - CPGE - TSI", "Classe préparatoire scientifique", "", 30, 354, 37, 349, 240, 0, 0, 308, 69, 0, 0, 41, 5, 0, 2, 0, 3, 259, 2, 189, 240, 0, 0, 251, 54, 0, 0, 8, 169, 29, 1, 29, 0, 7.0, 29.0, 29.0, 15, 10, 28, 0, 28, 0, 1, 0, 0, 6, 16, 6, 0.0, 0, 28, 0, 8, 0, 23, 23, 24.14, 100.0, 100.0, 3.39990234375, 82.09375, 82.09375, 28.59765625, 35.6953125, 96.59375, 0.0, 0.0, 21.3984375, 57.09375, 21.4, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 259.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "5299", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5299&g_ta_cod=5299", 0.0, 100.0, 0.0),
(11382, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "PASS", "Université de Bordeaux - Bordeaux Métropole - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 150, 2936, 1869, 2936, 0, 2233, 309, 49, 15, 14, 7, 640, 0, 0, 0, 0, 0, 2876, 0, 0, 0, 2233, 309, 49, 15, 14, 7, 580, 785, 147, 84, 147, 0, 8.0, 142.0, 142.0, 0, 20, 131, 131, 0, 0, 16, 0, 13, 65, 42, 11, 0.0, 118, 0, 0, 0, 0, 114, 114, 5.44, 96.6, 96.6, 57.09375, 87.0, 87.0, 0, 15.298828125, 89.09375, 0.0, 9.8984375, 49.59375, 32.09375, 8.4, 0.0, 100.0, 90.09375, 0.0, 0.0, 0.0, 0.0, 683.0, 111.0, 1.0, 1.0, 100.0, "Tous les candidats", 3615.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "26840", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26837&g_ta_cod=26840", 100.0, 0.0, 0.0),
(11383, "Public", "0595876S", "Sciences Po Lille - Institut d'études politiques", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Réseau ScPo ? concours commun - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Cursus général", "Sciences politiques", "Cursus général", 180, 13797, 8473, 13797, 0, 11642, 1267, 37, 15, 3, 2, 2115, 0, 0, 0, 0, 0, 2500, 0, 0, 0, 1666, 153, 4, 1, 0, 0, 830, 505, 178, 131, 178, 0, 77.0, 171.0, 173.0, 0, 18, 91, 91, 0, 0, 87, 0, 0, 0, 2, 48, 41.0, 91, 0, 0, 0, 0, 37, 37, 43.26, 96.07, 97.19, 73.59375, 40.6953125, 40.6953125, 0, 19.796875, 51.09375, 0.0, 0.0, 0.0, 2.19970703125, 52.7, 45.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 333.0, 48.0, 0.0, 0.0, 172.0, "Tous les candidats", 652.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 5.0, "25825", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Cursus général", "Réseau ScPo ? concours commun", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25823&g_ta_cod=25825", 100.0, 0.0, 0.0),
(11384, "Privé sous contrat d'association", "0940878U", "Lycée Teilhard De Chardin", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "BTS", "Lycée Teilhard De Chardin - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 743, 370, 319, 0, 31, 8, 92, 27, 70, 27, 126, 424, 20, 124, 63, 217, 108, 28, 0, 0, 18, 2, 48, 10, 29, 11, 13, 123, 26, 11, 16, 10, 7.0, 16.0, 23.0, 0, 5, 18, 6, 8, 4, 8, 0, 5, 11, 2, 0, 0.0, 4, 6, 3, 0, 0, 15, 17, 26.92, 61.54, 88.46, 42.296875, 83.296875, 94.390625, 0, 27.796875, 69.1875, 0.0, 27.796875, 61.09375, 11.099609375, 0.0, 0.0, 33.296875, 22.19921875, 44.3984375, 33.296875, 22.19921875, 16.69921875, 22.0, 3.0, 25.0, 10.0, 26.0, "Tous les candidats sauf les Bac professionnels", 79.0, "Bacheliers professionnels toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 34.0, "11460", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11460&g_ta_cod=11460", 46.0, 31.0, 23.0),
(11385, "Public", "0931002J", "I.U.T de Saint-Denis - Université Paris 13", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BUT", "I.U.T de Saint-Denis - Université Paris 13 - BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "BUT - Production", "Science du danger et management des risques professionnels technologiques et environnementaux", 48, 492, 160, 492, 0, 213, 34, 147, 35, 27, 7, 105, 0, 0, 0, 0, 0, 310, 0, 0, 0, 165, 27, 89, 21, 0, 0, 56, 179, 54, 11, 54, 0, 31.0, 38.0, 50.0, 0, 8, 45, 24, 21, 0, 9, 0, 25, 16, 3, 1, 0.0, 10, 10, 0, 0, 0, 16, 34, 57.41, 70.37, 92.59, 20.3984375, 35.59375, 75.59375, 0, 17.796875, 83.296875, 0.0, 55.59375, 35.59375, 6.69921875, 2.2, 0.0, 53.296875, 22.19921875, 46.6953125, 22.19921875, 0.0, 0.0, 77.0, 15.0, 0.0, 0.0, 34.0, "Tous les candidats sauf les Bac technologiques", 110.0, "Bacheliers technologiques toutes séries", 98, "", 0, "Liste d'appel propre à cette formation", 42.0, "11223", "BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11223&g_ta_cod=11223", 50.0, 50.0, 0.0),
(11386, "Public", "0751718K", "Université Paris 2 Panthéon - Assas", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Licence", "Université Paris 2 Panthéon - Assas - Double licence - Droit / Economie et gestion -", "Licence - Droit-économie-gestion", "", 35, 2558, 1521, 2558, 0, 2126, 223, 30, 9, 2, 1, 400, 0, 0, 0, 0, 0, 2512, 0, 0, 0, 2121, 223, 29, 9, 0, 0, 362, 195, 33, 26, 33, 0, 1.0, 26.0, 31.0, 0, 5, 33, 33, 0, 0, 0, 0, 0, 0, 9, 21, 3.0, 33, 0, 0, 0, 0, 9, 14, 3.03, 78.79, 93.94, 78.796875, 27.296875, 42.3984375, 0, 15.19921875, 100.0, 0.0, 0.0, 0.0, 27.296875, 63.6, 9.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 195.0, 22.0, 0.0, 0.0, 0.0, "Tous les candidats", 263.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "23907", "Double licence - Droit / Economie et gestion -", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23907&g_ta_cod=23907", 100.0, 0.0, 0.0),
(11387, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation sélective", "Licence", "Université Sorbonne Paris Nord - Double licence - Droit / Economie et gestion - Double Licence Droit - Economie et gestion", "Licence - Droit-économie-gestion", "Double Licence Droit - Economie et gestion", 30, 1659, 981, 481, 0, 311, 84, 53, 19, 3, 2, 114, 1178, 502, 135, 15, 526, 189, 38, 0, 0, 152, 30, 1, 0, 0, 0, 36, 198, 30, 18, 17, 13, 1.0, 17.0, 27.0, 0, 4, 15, 15, 0, 0, 15, 0, 1, 5, 7, 2, 0.0, 14, 0, 0, 0, 0, 6, 13, 3.33, 56.67, 90.0, 60.0, 40.0, 86.6875, 0, 26.69921875, 50.0, 0.0, 6.69921875, 33.296875, 46.6953125, 13.3, 0.0, 100.0, 93.296875, 0.0, 0.0, 0.0, 0.0, 147.0, 27.0, 0.0, 0.0, 50.0, "Tous les candidats", 189.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "28365", "Double licence - Droit / Economie et gestion - Double Licence Droit - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28365&g_ta_cod=28365", 100.0, 0.0, 0.0),
(11388, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence_Las", "Université Clermont Auvergne - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 40, 727, 538, 668, 0, 395, 88, 51, 22, 16, 8, 206, 59, 24, 2, 0, 33, 664, 55, 0, 0, 395, 88, 51, 22, 16, 8, 202, 414, 40, 26, 23, 17, 1.0, 12.0, 25.0, 0, 7, 26, 24, 2, 0, 14, 0, 13, 9, 3, 1, 0.0, 13, 0, 0, 0, 0, 13, 13, 2.5, 30.0, 62.5, 65.0, 50.0, 50.0, 0, 26.8984375, 65.0, 0.0, 50.0, 34.59375, 11.5, 3.8, 0.0, 92.296875, 50.0, 7.69921875, 0.0, 0.0, 0.0, 246.0, 53.0, 5.0, 3.0, 140.0, "Tous les candidats", 3332.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "26660", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26659&g_ta_cod=26660", 93.0, 5.0, 3.0),
(11389, "Privé enseignement supérieur", "0922007G", "EDC Paris BS", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Puteaux", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 20, 1041, 434, 1039, 0, 880, 40, 55, 4, 4, 1, 100, 2, 0, 0, 0, 2, 967, 2, 0, 0, 833, 36, 51, 3, 2, 1, 81, 805, 3, 1, 3, 0, 2.0, 3.0, 3.0, 0, 0, 2, 2, 0, 0, 1, 0, 0, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 66.67, 100.0, 100.0, 33.296875, 100.0, 100.0, 0, 0.0, 66.6875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 698.0, 30.0, 1.0, 1.0, 66.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "31981", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=31981", 100.0, 0.0, 0.0),
(11390, "Privé sous contrat d'association", "0783351U", "Lycée Notre Dame du Grandchamp", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "BTS", "Lycée Notre Dame du Grandchamp - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 298, 117, 235, 0, 67, 3, 103, 18, 27, 6, 38, 63, 4, 14, 13, 32, 156, 9, 0, 0, 60, 3, 79, 15, 6, 1, 11, 139, 33, 7, 28, 5, 18.0, 27.0, 31.0, 0, 4, 28, 10, 17, 1, 5, 0, 8, 10, 10, 0, 0.0, 5, 14, 1, 7, 0, 24, 27, 54.55, 81.82, 93.94, 21.19921875, 85.6875, 96.390625, 25, 14.298828125, 84.796875, 0.0, 28.59765625, 35.6953125, 35.6953125, 0.0, 0.0, 35.6953125, 17.8984375, 60.6953125, 50.0, 3.599609375, 3.599609375, 50.0, 3.0, 7.0, 2.0, 14.0, "Tous les candidats sauf les Bac professionnels", 150.0, "Bacheliers professionnels toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 66.0, "10092", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10092&g_ta_cod=10092", 39.0, 55.0, 6.0),
(11391, "Privé sous contrat d'association", "0370749N", "Lycée Sainte Marguerite", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Chambray-lès-Tours", "formation sélective", "BTS", "Lycée Sainte Marguerite - BTS - Services - Gestion de la PME", "BTS - Services", "", 22, 271, 168, 249, 0, 37, 8, 72, 13, 72, 25, 68, 22, 0, 0, 16, 6, 161, 3, 0, 0, 30, 8, 50, 3, 44, 14, 37, 85, 16, 8, 15, 1, 1.0, 12.0, 14.0, 0, 2, 6, 1, 1, 4, 10, 0, 2, 4, 0, 0, 0.0, 0, 1, 3, 0, 0, 6, 6, 6.25, 75.0, 87.5, 50.0, 100.0, 100.0, 0, 33.296875, 37.5, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 16.69921875, 0.0, 16.69921875, 16.69921875, 66.6875, 50.0, 10.0, 6.0, 34.0, 11.0, 27.0, "Tous les candidats sauf les Bac professionnels", 77.0, "Bacheliers professionnels toutes séries", 49, "", 0, "Liste d'appel propre à cette formation", 51.0, "4861", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4861&g_ta_cod=4861", 38.0, 13.0, 50.0),
(11392, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Philosophie / Langues, littératures & civilisations étrangères et régionales - PHILOSOPHIE - LLCER RUSSE", "Licence - Sciences humaines et sociales", "PHILOSOPHIE - LLCER RUSSE", 25, 258, 150, 67, 0, 32, 12, 4, 1, 3, 3, 28, 191, 27, 16, 7, 141, 67, 26, 0, 0, 32, 12, 4, 1, 3, 3, 28, 81, 17, 8, 10, 7, 3.0, 10.0, 11.0, 0, 1, 8, 5, 3, 0, 9, 0, 3, 3, 1, 1, 0.0, 3, 2, 0, 0, 0, 2, 4, 17.65, 58.82, 64.71, 47.09375, 25.0, 50.0, 0, 12.5, 47.09375, 0.0, 37.5, 37.5, 12.5, 12.5, 0.0, 62.5, 37.5, 37.5, 25.0, 0.0, 0.0, 34.0, 11.0, 2.0, 2.0, 39.0, "Tous les candidats", 66.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "19346", "Double licence - Philosophie / Langues, littératures & civilisations étrangères et régionales - PHILOSOPHIE - LLCER RUSSE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19346&g_ta_cod=19346", 71.0, 24.0, 0.0),
(11393, "Public", "0750502N", "Lycée Maximilien Vox", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Autre formation", "Lycée Maximilien Vox - DN MADE - Événement - - Spécialité : Espaces de communication", "DN MADE", "- Spécialité : Espaces de communication", 12, 480, 406, 480, 0, 130, 20, 123, 23, 81, 14, 146, 0, 0, 0, 0, 0, 86, 0, 0, 0, 21, 1, 42, 5, 4, 1, 19, 47, 11, 10, 11, 0, 2.0, 11.0, 11.0, 0, 2, 6, 2, 1, 3, 5, 0, 0, 1, 3, 2, 0.0, 2, 1, 3, 0, 0, 2, 5, 18.18, 100.0, 100.0, 90.890625, 33.296875, 83.296875, 0, 33.296875, 54.5, 0.0, 0.0, 16.69921875, 50.0, 33.3, 0.0, 33.296875, 33.296875, 16.69921875, 16.69921875, 50.0, 50.0, 9.0, 1.0, 3.0, 1.0, 13.0, "Tous les candidats", 66.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "21757", "DN MADE - Événement - - Spécialité : Espaces de communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21757&g_ta_cod=21757", 36.0, 27.0, 36.0),
(11394, "Public", "0171455P", "Lycée Marcel Dassault", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Rochefort", "formation sélective", "BTS", "Lycée Marcel Dassault - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 107, 8, 107, 0, 6, 2, 32, 4, 44, 10, 25, 0, 0, 0, 0, 0, 89, 0, 0, 0, 4, 1, 32, 4, 44, 10, 9, 43, 12, 1, 12, 0, 3.0, 10.0, 12.0, 0, 3, 11, 1, 2, 8, 1, 0, 3, 5, 2, 1, 0.0, 0, 1, 7, 10, 1, 11, 11, 25.0, 83.33, 100.0, 8.298828125, 100.0, 100.0, 90.890625, 27.296875, 91.6875, 0.0, 27.296875, 45.5, 18.19921875, 9.1, 0.0, 9.099609375, 0.0, 18.19921875, 9.099609375, 72.6875, 63.59375, 4.0, 1.0, 22.0, 5.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 55.0, "3070", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3070&g_ta_cod=3070", 8.0, 25.0, 67.0),
(11395, "Public", "0940116R", "Lycée Eugene Delacroix", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Maisons-Alfort", "formation sélective", "BTS", "Lycée Eugene Delacroix - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 48, 985, 418, 985, 0, 128, 59, 241, 96, 210, 112, 406, 0, 0, 0, 0, 0, 455, 0, 0, 0, 87, 40, 141, 61, 136, 75, 91, 205, 47, 19, 47, 0, 10.0, 41.0, 44.0, 0, 12, 28, 7, 16, 5, 19, 0, 17, 10, 1, 0, 0.0, 2, 7, 2, 6, 1, 22, 28, 21.28, 87.23, 93.62, 40.3984375, 78.59375, 100.0, 21.3984375, 42.8984375, 59.59375, 0.0, 60.6953125, 35.6953125, 3.599609375, 0.0, 0.0, 25.0, 7.099609375, 57.09375, 25.0, 17.8984375, 7.099609375, 36.0, 18.0, 50.0, 21.0, 60.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 113, "Bacheliers technologiques toutes séries", 130, "Liste d'appel propre à cette formation", 33.0, "11380", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11380&g_ta_cod=11380", 26.0, 34.0, 40.0),
(11396, "Public", "0541270M", "Lycée Hanzelet", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Pont-à-Mousson", "formation sélective", "BTS", "Lycée Hanzelet - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 124, 5, 122, 0, 5, 1, 26, 4, 54, 29, 37, 2, 0, 1, 0, 1, 83, 0, 0, 0, 3, 1, 25, 3, 51, 26, 4, 43, 11, 0, 11, 0, 6.0, 11.0, 11.0, 0, 4, 11, 0, 5, 6, 0, 0, 3, 5, 3, 0, 0.0, 0, 2, 6, 11, 0, 11, 11, 54.55, 100.0, 100.0, 0.0, 100.0, 100.0, 100, 36.3984375, 100.0, 0.0, 27.296875, 45.5, 27.296875, 0.0, 0.0, 0.0, 0.0, 45.5, 18.19921875, 54.5, 54.5, 2.0, 1.0, 25.0, 13.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 45.0, "6311", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6311&g_ta_cod=6311", 0.0, 45.0, 55.0),
(11397, "Public", "0950651S", "Lycée Jacques Prevert", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Taverny", "formation sélective", "BTS", "Lycée Jacques Prevert - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 515, 328, 505, 0, 25, 8, 151, 63, 162, 70, 167, 10, 1, 0, 0, 9, 234, 1, 0, 0, 17, 5, 70, 27, 101, 44, 46, 150, 40, 26, 39, 1, 8.0, 31.0, 37.0, 0, 7, 28, 2, 13, 13, 12, 0, 13, 13, 2, 0, 0.0, 0, 5, 10, 5, 4, 27, 27, 20.0, 77.5, 92.5, 65.0, 96.390625, 96.390625, 17.8984375, 25.0, 70.0, 0.0, 46.3984375, 46.3984375, 7.099609375, 0.0, 0.0, 7.099609375, 0.0, 46.3984375, 17.8984375, 46.3984375, 35.6953125, 15.0, 5.0, 68.0, 30.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 93, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 37.0, "11582", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11582&g_ta_cod=11582", 13.0, 45.0, 43.0),
(11398, "Public", "0930125F", "Lycée Paul Eluard", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BTS", "Lycée Paul Eluard - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 12, 813, 66, 813, 0, 81, 34, 252, 131, 225, 115, 255, 0, 0, 0, 0, 0, 283, 0, 0, 0, 29, 12, 127, 62, 93, 52, 34, 52, 12, 3, 12, 0, 2.0, 11.0, 12.0, 0, 3, 10, 0, 5, 5, 2, 0, 0, 7, 3, 0, 0.0, 0, 5, 5, 4, 2, 9, 10, 16.67, 91.67, 100.0, 25.0, 90.0, 100.0, 40, 30.0, 83.296875, 0.0, 0.0, 70.0, 30.0, 0.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 7.0, 4.0, 19.0, 11.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 12.0, "22047", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22047&g_ta_cod=22047", 17.0, 42.0, 42.0),
(11399, "Public", "0750676C", "Lycée des Métiers Dorian", "75", "Paris", "Ile-de-France", "Paris", "Paris 11e  Arrondissement", "formation sélective", "BTS", "Lycée des Métiers Dorian - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 1670, 129, 1670, 0, 149, 35, 562, 227, 465, 209, 494, 0, 0, 0, 0, 0, 1185, 0, 0, 0, 148, 35, 456, 173, 286, 135, 295, 125, 24, 4, 24, 0, 2.0, 18.0, 20.0, 0, 5, 15, 3, 6, 6, 9, 0, 4, 5, 5, 1, 0.0, 3, 3, 5, 2, 1, 7, 15, 8.33, 75.0, 83.33, 16.69921875, 46.6953125, 100.0, 13.298828125, 33.296875, 62.5, 0.0, 26.69921875, 33.296875, 33.296875, 6.7, 0.0, 20.0, 20.0, 40.0, 20.0, 40.0, 33.296875, 21.0, 10.0, 28.0, 13.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 118, "Liste d'appel propre à cette formation", 13.0, "9027", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9027&g_ta_cod=9027", 33.0, 33.0, 33.0),
(11400, "Public", "0492226D", "Polytech Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 32, 3737, 1665, 3737, 0, 3096, 268, 0, 0, 0, 0, 641, 0, 0, 0, 0, 0, 2369, 0, 0, 0, 2152, 141, 0, 0, 0, 0, 217, 531, 32, 27, 32, 0, 27.0, 30.0, 31.0, 0, 1, 30, 30, 0, 0, 2, 0, 0, 0, 5, 22, 3.0, 30, 0, 0, 0, 0, 6, 6, 84.38, 93.75, 96.88, 84.390625, 20.0, 20.0, 0, 3.2998046875, 93.796875, 0.0, 0.0, 0.0, 16.69921875, 73.3, 10.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 523.0, 48.0, 0.0, 0.0, 8.0, "Autres candidats", 4082.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "432", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=432", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(11401, "Public", "0540030P", "Lycée Alfred Mezieres", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Longwy", "formation sélective", "BTS", "Lycée Alfred Mezieres - BTS - Services - Commerce International", "BTS - Services", "", 24, 743, 322, 569, 0, 66, 20, 104, 40, 37, 8, 362, 174, 32, 26, 25, 91, 129, 42, 0, 0, 46, 11, 52, 15, 13, 2, 18, 137, 17, 4, 6, 11, 2.0, 6.0, 10.0, 0, 4, 8, 3, 2, 3, 9, 0, 6, 1, 1, 0, 0.0, 0, 1, 1, 2, 0, 5, 5, 11.76, 35.29, 58.82, 23.5, 62.5, 62.5, 25, 50.0, 47.09375, 0.0, 75.0, 12.5, 12.5, 0.0, 0.0, 37.5, 0.0, 25.0, 12.5, 37.5, 12.5, 47.0, 10.0, 17.0, 3.0, 37.0, "Tous les candidats sauf les Bac professionnels", 117.0, "Bacheliers professionnels toutes séries", 13, "", 0, "Liste d'appel propre à cette formation", 23.0, "6241", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6241&g_ta_cod=6241", 41.0, 41.0, 18.0),
(11402, "Public", "0550025D", "Lycée Jean-Auguste Margueritte", "55", "Meuse", "Grand Est", "Nancy-Metz", "Verdun", "formation sélective", "BTS", "Lycée Jean-Auguste Margueritte - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 528, 229, 502, 0, 19, 9, 42, 14, 19, 8, 422, 26, 0, 3, 4, 19, 74, 4, 0, 0, 13, 6, 27, 7, 13, 6, 21, 61, 13, 6, 8, 4, 4.0, 8.0, 13.0, 0, 3, 7, 1, 5, 1, 6, 0, 3, 3, 1, 0, 0.0, 0, 3, 1, 3, 1, 6, 6, 30.77, 61.54, 100.0, 46.1953125, 85.6875, 85.6875, 42.8984375, 42.8984375, 53.796875, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 71.390625, 42.8984375, 14.298828125, 14.298828125, 8.0, 1.0, 8.0, 3.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 14.0, "6406", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6406&g_ta_cod=6406", 15.0, 54.0, 31.0),
(11403, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues étrangères appliquées - Parcours Anglais portugais appliqués aux affaires", "Licence - Arts-lettres-langues", "Anglais portugais appliqués aux affaires", 70, 270, 166, 130, 0, 68, 25, 12, 5, 17, 13, 33, 140, 20, 14, 12, 94, 130, 97, 0, 0, 68, 25, 12, 5, 17, 13, 33, 223, 60, 42, 21, 39, 11.0, 21.0, 43.0, 0, 20, 31, 15, 6, 10, 29, 0, 15, 9, 7, 0, 0.0, 8, 1, 7, 0, 0, 23, 23, 18.33, 35.0, 71.67, 70.0, 74.1875, 74.1875, 0, 64.5, 51.6953125, 0.0, 48.3984375, 29.0, 22.59765625, 0.0, 0.0, 48.3984375, 25.796875, 19.3984375, 3.19970703125, 32.296875, 22.59765625, 80.0, 31.0, 27.0, 21.0, 97.0, "Tous les candidats", 129.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "15726", "Licence - Langues étrangères appliquées - Parcours Anglais portugais appliqués aux affaires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15726&g_ta_cod=15726", 63.0, 12.0, 25.0),
(11404, "Public", "0860028N", "Lycée Jean Moulin", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Montmorillon", "formation sélective", "BTS", "Lycée Jean Moulin - BTS - Services - Gestion de la PME", "BTS - Services", "", 23, 183, 117, 176, 0, 7, 1, 52, 16, 47, 18, 70, 7, 0, 0, 5, 2, 149, 0, 0, 0, 5, 1, 50, 15, 46, 17, 48, 84, 18, 13, 16, 0, 2.0, 10.0, 14.0, 0, 1, 11, 1, 4, 6, 7, 0, 3, 5, 3, 0, 0.0, 1, 2, 5, 2, 1, 6, 6, 11.11, 55.56, 77.78, 72.1875, 54.5, 54.5, 18.19921875, 9.099609375, 61.09375, 0.0, 27.296875, 45.5, 27.296875, 0.0, 0.0, 9.099609375, 9.099609375, 36.3984375, 18.19921875, 54.5, 45.5, 3.0, 1.0, 35.0, 10.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 63.0, "10581", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10581&g_ta_cod=10581", 22.0, 44.0, 33.0),
(11405, "Public", "0690023A", "Lycée Ampère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "CPGE", "Lycée Ampère - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 1929, 937, 1929, 0, 1715, 116, 1, 1, 0, 0, 213, 0, 0, 0, 0, 0, 600, 0, 0, 600, 599, 29, 0, 0, 0, 0, 1, 176, 24, 15, 24, 0, 1.0, 16.0, 23.0, 0, 2, 24, 24, 0, 0, 0, 0, 0, 0, 9, 13, 2.0, 24, 0, 0, 0, 0, 6, 6, 4.17, 66.67, 95.83, 62.5, 25.0, 25.0, 0, 8.298828125, 100.0, 0.0, 0.0, 0.0, 37.5, 54.2, 8.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 175.0, 15.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "31571", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31313&g_ta_cod=31571", 100.0, 0.0, 0.0),
(11406, "Public", "0340042L", "Lycée Jean Mermoz", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Jean Mermoz - BTS - Services - Prothésiste dentaire", "BTS - Services", "", 15, 605, 459, 605, 0, 59, 27, 67, 26, 217, 97, 262, 0, 0, 0, 0, 0, 134, 0, 0, 0, 1, 1, 0, 0, 125, 42, 8, 44, 11, 7, 11, 0, 4.0, 9.0, 10.0, 0, 5, 10, 0, 0, 10, 1, 0, 3, 7, 0, 0, 0.0, 0, 0, 7, 4, 3, 7, 7, 36.36, 81.82, 90.91, 63.59375, 70.0, 70.0, 40, 50.0, 90.890625, 0.0, 30.0, 70.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 70.0, 1.0, 1.0, 42.0, 13.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 1, "Liste d'appel propre à cette formation", 10.0, "14233", "BTS - Services - Prothésiste dentaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14233&g_ta_cod=14233", 0.0, 9.0, 91.0),
(11407, "Public", "0540038Y", "Lycée Henri Poincaré", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "CPGE", "Lycée Henri Poincaré - CPGE - BCPST", "Classe préparatoire scientifique", "", 96, 1612, 1166, 1612, 1007, 1282, 138, 6, 2, 1, 0, 323, 0, 0, 0, 0, 0, 858, 0, 571, 847, 779, 74, 0, 0, 0, 0, 79, 451, 93, 67, 93, 0, 25.0, 68.0, 88.0, 17, 9, 93, 93, 0, 0, 0, 0, 0, 0, 39, 49, 5.0, 93, 0, 0, 3, 3, 59, 59, 26.88, 73.12, 94.62, 72.0, 63.3984375, 63.3984375, 3.19970703125, 9.69921875, 100.0, 0.0, 0.0, 0.0, 41.8984375, 52.7, 5.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 423.0, 42.0, 0.0, 0.0, 28.0, "Tous les candidats", 557.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "6247", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6247&g_ta_cod=6247", 100.0, 0.0, 0.0),
(11408, "Privé sous contrat d'association", "0480022N", "Lycée ST PIERRE-ST PAUL", "48", "Lozère", "Occitanie", "Montpellier", "Langogne", "formation sélective", "BTS", "Lycée ST PIERRE-ST PAUL - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 16, 99, 1, 89, 0, 17, 1, 10, 2, 33, 12, 29, 10, 2, 0, 3, 5, 71, 1, 0, 0, 17, 1, 9, 1, 33, 12, 12, 55, 11, 0, 10, 1, 3.0, 9.0, 10.0, 0, 1, 9, 4, 1, 4, 2, 0, 4, 2, 3, 0, 0.0, 1, 1, 3, 1, 0, 2, 2, 27.27, 81.82, 90.91, 0.0, 22.19921875, 22.19921875, 11.099609375, 11.099609375, 81.796875, 0.0, 44.3984375, 22.19921875, 33.296875, 0.0, 0.0, 44.3984375, 11.099609375, 11.099609375, 11.099609375, 44.3984375, 33.296875, 14.0, 1.0, 24.0, 8.0, 9.0, "Tous les candidats sauf les Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 80.0, "5802", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5802&g_ta_cod=5802", 55.0, 9.0, 36.0),
(11409, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 40, 288, 114, 284, 0, 179, 36, 12, 1, 9, 4, 84, 4, 0, 0, 1, 3, 284, 4, 0, 0, 179, 36, 12, 1, 9, 4, 84, 196, 40, 14, 38, 2, 2.0, 27.0, 37.0, 0, 5, 26, 24, 1, 1, 14, 0, 11, 12, 1, 2, 0.0, 13, 1, 1, 0, 0, 24, 24, 5.0, 67.5, 92.5, 35.0, 92.296875, 92.296875, 0, 19.19921875, 65.0, 0.0, 42.296875, 46.1953125, 3.7998046875, 7.7, 0.0, 92.296875, 50.0, 3.7998046875, 3.7998046875, 3.7998046875, 3.7998046875, 135.0, 25.0, 6.0, 3.0, 51.0, "Tous les candidats", 270.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "2295", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2295&g_ta_cod=2295", 83.0, 10.0, 5.0),
(11410, "Public", "0610006A", "Lycée Mézeray Gabriel", "61", "Orne", "Normandie", "Normandie", "Argentan", "formation sélective", "BTS", "Lycée Mézeray Gabriel - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique (Seconde année en apprentissage)", "BTS - Production", "", 15, 254, 43, 249, 0, 42, 3, 30, 3, 53, 7, 124, 5, 0, 3, 0, 2, 128, 1, 0, 0, 42, 3, 30, 3, 30, 4, 26, 75, 13, 2, 13, 0, 1.0, 12.0, 13.0, 0, 1, 11, 3, 3, 5, 2, 0, 4, 4, 3, 0, 0.0, 0, 3, 4, 2, 0, 4, 4, 7.69, 92.31, 100.0, 15.3984375, 36.3984375, 36.3984375, 18.19921875, 9.099609375, 84.59375, 0.0, 36.3984375, 36.3984375, 27.296875, 0.0, 0.0, 27.296875, 0.0, 27.296875, 27.296875, 45.5, 36.3984375, 18.0, 2.0, 23.0, 2.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 41.0, "7324", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique (Seconde année en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7324&g_ta_cod=7324", 31.0, 31.0, 38.0),
(11411, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Letton", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Europe - Letton", 10, 19, 6, 2, 0, 1, 0, 0, 0, 0, 0, 1, 17, 5, 0, 0, 12, 2, 13, 0, 0, 1, 0, 0, 0, 0, 0, 1, 15, 3, 1, 0, 3, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 33.296875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5.0, 0.0, 0.0, 0.0, 10.0, "Tous les candidats", 2.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9439", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Letton", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29639&g_ta_cod=9439", 100.0, 0.0, 0.0),
(11412, "Public", "0190855B", "I.U.T du Limousin - site de Brive", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BUT", "I.U.T du Limousin - site de Brive - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maitrise de l'énergie - Électronique et systèmes embarqués", "BUT - Production", "Electricité et maitrise de l'énergie - Électronique et systèmes embarqués", 48, 451, 35, 417, 0, 225, 26, 101, 24, 10, 4, 81, 34, 4, 3, 2, 25, 334, 9, 0, 0, 200, 25, 78, 15, 6, 3, 50, 256, 44, 5, 39, 5, 30.0, 35.0, 42.0, 0, 8, 30, 24, 5, 1, 14, 0, 10, 11, 7, 2, 0.0, 14, 5, 1, 0, 0, 14, 14, 68.18, 79.55, 95.45, 11.3984375, 46.6953125, 46.6953125, 0, 26.69921875, 68.1875, 0.0, 33.296875, 36.6953125, 23.296875, 6.7, 0.0, 80.0, 46.6953125, 16.69921875, 16.69921875, 3.2998046875, 3.2998046875, 136.0, 22.0, 4.0, 1.0, 50.0, "Tous les candidats sauf les Bac technologiques", 246.0, "Bacheliers technologiques toutes séries", 87, "", 0, "Liste d'appel propre à cette formation", 80.0, "3167", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maitrise de l'énergie - Électronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3167&g_ta_cod=3167", 68.0, 27.0, 5.0),
(11413, "Public", "0623218L", "I.U.T LITTORAL (CALAIS)", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "BUT", "I.U.T LITTORAL (CALAIS) - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données - Déploiement d'applications communicantes et sécurisées", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données - Déploiement d'applications communicantes et sécurisées", 66, 678, 53, 647, 0, 343, 53, 152, 55, 16, 5, 136, 31, 0, 17, 0, 14, 451, 10, 0, 0, 285, 42, 95, 31, 3, 0, 68, 283, 72, 5, 69, 3, 30.0, 54.0, 72.0, 0, 18, 57, 43, 14, 0, 15, 0, 8, 32, 13, 4, 0.0, 37, 12, 0, 0, 0, 50, 50, 41.67, 75.0, 100.0, 6.8994140625, 87.6875, 87.6875, 0, 31.59765625, 79.1875, 0.0, 14.0, 56.09375, 22.796875, 7.0, 0.0, 75.390625, 64.890625, 24.59765625, 21.09765625, 0.0, 0.0, 138.0, 32.0, 2.0, 0.0, 55.0, "Tous les candidats sauf les Bac technologiques", 308.0, "Bacheliers technologiques toutes séries", 104, "", 0, "Liste d'appel propre à cette formation", 64.0, "7467", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données - Déploiement d'applications communicantes et sécurisées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7467&g_ta_cod=7467", 72.0, 24.0, 1.0),
(11414, "Privé enseignement supérieur", "0694457V", "ESITC CAEN - Site de Vaux-en-Velin", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Vaulx-en-Velin", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 50, 1880, 375, 1880, 0, 1879, 90, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1845, 0, 0, 0, 1844, 87, 0, 0, 0, 0, 1, 1492, 35, 6, 35, 0, 1.0, 35.0, 35.0, 0, 0, 35, 35, 0, 0, 0, 0, 17, 9, 9, 0, 0.0, 18, 0, 0, 0, 0, 10, 10, 2.86, 100.0, 100.0, 17.09765625, 28.59765625, 28.59765625, 0, 0.0, 100.0, 0.0, 48.59375, 25.69921875, 25.69921875, 0.0, 0.0, 100.0, 51.3984375, 0.0, 0.0, 0.0, 0.0, 1491.0, 62.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "33609", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=99&g_ta_cod=33609", 100.0, 0.0, 0.0),
(11415, "Public", "0595964M", "Université du littoral - Site de Dunkerque", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation non sélective", "Licence", "Université du littoral - Site de Dunkerque / Lycée Jean Bart Dunkerque - Licence - Mathématiques - Parcours Préparatoire au Professorat des Ecoles", "Licence - Sciences - technologies - santé", "Préparatoire au Professorat des Ecoles", 36, 269, 188, 269, 0, 196, 36, 14, 7, 5, 1, 54, 0, 0, 0, 0, 0, 269, 0, 0, 0, 196, 36, 14, 7, 5, 1, 54, 174, 42, 33, 42, 0, 5.0, 42.0, 42.0, 0, 7, 29, 23, 4, 2, 13, 0, 5, 15, 7, 2, 0.0, 19, 4, 1, 0, 0, 28, 28, 11.9, 100.0, 100.0, 78.59375, 96.59375, 96.59375, 0, 24.09765625, 69.0, 0.0, 17.19921875, 51.6953125, 24.09765625, 6.9, 0.0, 79.296875, 65.5, 13.798828125, 13.798828125, 6.8994140625, 3.39990234375, 123.0, 25.0, 2.0, 0.0, 40.0, "Tous les candidats", 262.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "32417", "Licence - Mathématiques - Parcours Préparatoire au Professorat des Ecoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32417&g_ta_cod=32417", 79.0, 14.0, 7.0),
(11416, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Bi-disciplinaire Traduction - Médiation Langue des Signes Française (LSF) - Français Langue Etrangère et Seconde (FLES)", "Licence - Arts-lettres-langues", "Bi-disciplinaire Traduction - Médiation Langue des Signes Française (LSF) - Français Langue Etrangère et Seconde (FLES)", 10, 10, 9, 10, 0, 3, 1, 2, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "31181", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Bi-disciplinaire Traduction - Médiation Langue des Signes Française (LSF) - Français Langue Etrangère et Seconde (FLES)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31181&g_ta_cod=31181", 0, 0, 0),
(11417, "Public", "0750697A", "Lycée Batiment-Saint-Lambert", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Batiment-Saint-Lambert - BTS - Production - Bâtiment", "BTS - Production", "", 30, 1241, 179, 1241, 0, 116, 39, 383, 118, 333, 150, 409, 0, 0, 0, 0, 0, 742, 0, 0, 0, 114, 39, 244, 62, 266, 118, 118, 123, 28, 3, 28, 0, 5.0, 24.0, 27.0, 0, 10, 27, 3, 13, 11, 1, 0, 6, 13, 8, 0, 0.0, 2, 9, 10, 1, 0, 6, 24, 17.86, 85.71, 96.43, 10.69921875, 22.19921875, 88.890625, 3.69970703125, 37.0, 96.390625, 0.0, 22.19921875, 48.09375, 29.59765625, 0.0, 0.0, 11.099609375, 7.3994140625, 48.09375, 33.296875, 40.6953125, 37.0, 14.0, 7.0, 24.0, 10.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 128, "Liste d'appel propre à cette formation", 14.0, "9122", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9122&g_ta_cod=9122", 11.0, 46.0, 43.0),
(11418, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Informatique", "Licence - Sciences - technologies - santé", "", 100, 764, 97, 756, 0, 452, 99, 69, 22, 10, 2, 225, 8, 2, 0, 0, 6, 711, 5, 0, 0, 452, 99, 69, 22, 10, 2, 180, 475, 97, 13, 94, 3, 6.0, 81.0, 86.0, 0, 16, 71, 63, 6, 2, 26, 0, 39, 24, 8, 0, 0.0, 27, 3, 2, 0, 0, 45, 45, 6.19, 83.51, 88.66, 13.3984375, 63.3984375, 63.3984375, 0, 22.5, 73.1875, 0.0, 54.8984375, 33.796875, 11.298828125, 0.0, 0.0, 88.6875, 38.0, 8.5, 4.19921875, 2.7998046875, 2.7998046875, 348.0, 73.0, 3.0, 0.0, 106.0, "Tous les candidats", 595.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "12446", "Licence - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12446&g_ta_cod=12446", 84.0, 13.0, 3.0),
(11419, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Double licence - Histoire / Histoire de l'art et archéologie - Double licence mention Histoire - mention Histoire de l'art et archéologie", "Licence - Sciences humaines et sociales", "Double licence mention Histoire - mention Histoire de l'art et archéologie", 15, 317, 249, 317, 0, 211, 29, 11, 1, 3, 1, 92, 0, 0, 0, 0, 0, 309, 0, 0, 0, 207, 28, 11, 1, 2, 1, 89, 94, 14, 11, 14, 0, 0.0, 9.0, 12.0, 0, 0, 13, 13, 0, 0, 1, 0, 0, 2, 8, 3, 0.0, 13, 0, 0, 0, 0, 5, 7, 0.0, 64.29, 85.71, 78.59375, 38.5, 53.796875, 0, 0.0, 92.890625, 0.0, 0.0, 15.3984375, 61.5, 23.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 71.0, 7.0, 1.0, 0.0, 18.0, "Tous les candidats", 158.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "24458", "Double licence - Histoire / Histoire de l'art et archéologie - Double licence mention Histoire - mention Histoire de l'art et archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24458&g_ta_cod=24458", 100.0, 0.0, 0.0),
(11420, "Public", "0861228T", "Lycée Du Bois D'Amour", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée Du Bois D'Amour - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 24, 612, 311, 516, 0, 93, 25, 167, 60, 68, 33, 188, 96, 5, 18, 13, 60, 238, 10, 0, 0, 62, 12, 101, 28, 25, 11, 50, 157, 18, 9, 13, 5, 1.0, 9.0, 15.0, 0, 5, 9, 4, 3, 2, 9, 0, 7, 2, 0, 0, 0.0, 0, 1, 1, 1, 1, 9, 9, 5.56, 50.0, 83.33, 50.0, 100.0, 100.0, 11.099609375, 55.59375, 50.0, 0.0, 77.796875, 22.19921875, 0.0, 0.0, 0.0, 44.3984375, 0.0, 33.296875, 11.099609375, 22.19921875, 11.099609375, 36.0, 10.0, 19.0, 8.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 95.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 113, "Liste d'appel propre à cette formation", 46.0, "10653", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10653&g_ta_cod=10653", 56.0, 33.0, 11.0),
(11421, "Public", "0900231M", "I.U.T de Belfort-Montbéliard", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "BUT", "I.U.T de Belfort-Montbéliard - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments", "BUT - Production", "Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments", 74, 1212, 209, 990, 0, 527, 73, 286, 64, 11, 2, 166, 222, 86, 31, 3, 102, 561, 24, 0, 0, 315, 41, 190, 36, 1, 0, 55, 411, 55, 9, 47, 8, 1.0, 47.0, 51.0, 0, 7, 48, 34, 14, 0, 7, 0, 13, 32, 3, 0, 0.0, 23, 12, 0, 0, 0, 19, 19, 1.82, 85.45, 92.73, 16.3984375, 39.59375, 39.59375, 0, 14.599609375, 87.296875, 0.0, 27.09765625, 66.6875, 6.2998046875, 0.0, 0.0, 70.796875, 47.8984375, 29.19921875, 25.0, 0.0, 0.0, 218.0, 28.0, 1.0, 0.0, 56.0, "Tous les candidats sauf les Bac technologiques", 360.0, "Bacheliers technologiques toutes séries", 201, "", 0, "Liste d'appel propre à cette formation", 57.0, "10821", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10821&g_ta_cod=10821", 73.0, 27.0, 0.0),
(11422, "Public", "0761688X", "I.U.T du Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BUT", "I.U.T du Havre - BUT - Carrières sociales Parcours assistance sociale", "BUT - Service", "", 28, 1179, 1087, 1179, 0, 348, 96, 401, 150, 84, 35, 346, 0, 0, 0, 0, 0, 714, 0, 0, 0, 267, 67, 264, 89, 28, 11, 155, 164, 28, 27, 28, 0, 1.0, 16.0, 22.0, 0, 4, 20, 9, 11, 0, 8, 0, 9, 9, 2, 0, 0.0, 4, 7, 0, 0, 0, 19, 19, 3.57, 57.14, 78.57, 96.390625, 95.0, 95.0, 0, 20.0, 71.390625, 0.0, 45.0, 45.0, 10.0, 0.0, 0.0, 45.0, 20.0, 55.0, 35.0, 0.0, 0.0, 68.0, 18.0, 7.0, 4.0, 31.0, "Tous les candidats sauf les Bac technologiques", 178.0, "Bacheliers technologiques toutes séries", 107, "", 0, "Liste d'appel propre à cette formation", 24.0, "9660", "BUT - Carrières sociales Parcours assistance sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9660&g_ta_cod=9660", 46.0, 50.0, 0.0),
(11423, "Public", "0170028N", "Lycée Jean Dautet", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "CPGE", "Lycée Jean Dautet - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 1340, 354, 1334, 952, 1038, 125, 5, 1, 0, 0, 291, 6, 2, 0, 0, 4, 901, 0, 680, 851, 865, 93, 0, 0, 0, 0, 36, 403, 46, 1, 46, 0, 1.0, 24.0, 43.0, 20, 5, 45, 45, 0, 0, 1, 0, 1, 16, 22, 6, 0.0, 44, 0, 0, 4, 0, 28, 28, 2.17, 52.17, 93.48, 2.19970703125, 62.1953125, 62.1953125, 8.8984375, 11.099609375, 97.796875, 0.0, 2.19970703125, 35.59375, 48.8984375, 13.3, 0.0, 100.0, 97.796875, 0.0, 0.0, 0.0, 0.0, 399.0, 42.0, 0.0, 0.0, 4.0, "Tous les candidats", 748.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "3025", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3025&g_ta_cod=3025", 100.0, 0.0, 0.0),
(11424, "Public", "0381516S", "IUT 1 GRENOBLE", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "BUT", "IUT 1 GRENOBLE - BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie", "BUT - Production", "Optimisation énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie", 123, 1290, 160, 1254, 0, 652, 101, 396, 72, 6, 2, 200, 36, 3, 12, 0, 21, 1108, 7, 0, 0, 634, 92, 328, 53, 0, 0, 146, 867, 111, 10, 108, 3, 48.0, 85.0, 105.0, 0, 11, 99, 51, 48, 0, 12, 2, 25, 60, 10, 2, 0.0, 32, 40, 0, 0, 0, 75, 75, 43.24, 76.58, 94.59, 9.0, 75.796875, 75.796875, 0, 11.099609375, 89.1875, 2.0, 25.296875, 60.59375, 10.099609375, 2.0, 0.0, 51.5, 32.296875, 48.5, 40.3984375, 0.0, 0.0, 475.0, 80.0, 0.0, 0.0, 116.0, "Tous les candidats sauf les Bac technologiques", 681.0, "Bacheliers technologiques toutes séries", 343, "", 0, "Liste d'appel propre à cette formation", 82.0, "4968", "BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4968&g_ta_cod=4968", 54.0, 46.0, 0.0),
(11425, "Privé sous contrat d'association", "0754431J", "ECE Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 20, 239, 21, 239, 0, 0, 0, 239, 30, 0, 0, 0, 0, 0, 0, 0, 0, 214, 0, 0, 0, 0, 0, 214, 21, 0, 0, 0, 137, 22, 3, 22, 0, 10.0, 22.0, 22.0, 0, 5, 22, 0, 22, 0, 0, 0, 4, 7, 10, 1, 0.0, 0, 18, 0, 0, 0, 2, 17, 45.45, 100.0, 100.0, 13.599609375, 9.099609375, 77.296875, 0, 22.69921875, 100.0, 0.0, 18.19921875, 31.796875, 45.5, 4.5, 0.0, 0.0, 0.0, 100.0, 81.796875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "109", "Formation d'ingénieur Bac + 5 - Bac Série STI2D", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=106&g_ta_cod=109", 0.0, 100.0, 0.0),
(11426, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues Etrangères Appliquées Anglais-Portugais", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées Anglais-Portugais", 28, 106, 78, 93, 0, 49, 12, 5, 1, 7, 2, 32, 13, 2, 2, 0, 9, 93, 13, 0, 0, 49, 12, 5, 1, 7, 2, 32, 95, 28, 24, 19, 9, 4.0, 19.0, 21.0, 0, 3, 14, 8, 4, 2, 14, 1, 7, 3, 3, 0, 0.0, 4, 1, 1, 0, 0, 11, 11, 14.29, 67.86, 75.0, 85.6875, 78.59375, 78.59375, 0, 21.3984375, 50.0, 7.099609375, 50.0, 21.3984375, 21.3984375, 0.0, 0.0, 57.09375, 28.59765625, 28.59765625, 7.099609375, 14.298828125, 7.099609375, 50.0, 13.0, 6.0, 2.0, 33.0, "Tous les candidats", 94.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "17841", "Licence - Portail Langues Etrangères Appliquées Anglais-Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17841&g_ta_cod=17841", 68.0, 21.0, 11.0),
(11427, "Public", "0160004T", "Lycée Charles A. COULOMB", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BTS", "Lycée Charles A. COULOMB - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 12, 128, 7, 124, 0, 6, 1, 24, 5, 68, 20, 26, 4, 0, 0, 2, 2, 89, 3, 0, 0, 4, 1, 20, 4, 58, 17, 7, 52, 6, 0, 4, 2, 1.0, 3.0, 4.0, 0, 1, 4, 0, 0, 4, 2, 0, 1, 1, 2, 0, 0.0, 0, 0, 3, 0, 0, 3, 3, 16.67, 50.0, 66.67, 0.0, 75.0, 75.0, 0, 25.0, 66.6875, 0.0, 25.0, 25.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 3.0, 1.0, 31.0, 7.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 61.0, "2979", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2979&g_ta_cod=2979", 17.0, 17.0, 67.0),
(11428, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation non sélective", "Licence", "Université Gustave Eiffel - Licence - Sociologie - Parcours SOCIOLOGIE : Sociologie", "Licence - Sciences humaines et sociales", "SOCIOLOGIE : Sociologie", 175, 853, 589, 843, 0, 519, 106, 82, 31, 14, 8, 228, 10, 3, 1, 0, 6, 843, 10, 0, 0, 519, 106, 82, 31, 14, 8, 228, 667, 175, 114, 169, 6, 82.0, 148.0, 152.0, 0, 26, 116, 92, 19, 5, 59, 1, 68, 39, 8, 0, 0.0, 38, 6, 3, 0, 0, 110, 112, 46.86, 84.57, 86.86, 65.09375, 94.796875, 96.59375, 0, 22.3984375, 66.296875, 0.89990234375, 58.59375, 33.59375, 6.8994140625, 0.0, 0.0, 79.296875, 32.796875, 16.3984375, 5.19921875, 4.2998046875, 2.599609375, 428.0, 89.0, 9.0, 5.0, 164.0, "Tous les candidats", 714.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "9933", "Licence - Sociologie - Parcours SOCIOLOGIE : Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9933&g_ta_cod=9933", 71.0, 22.0, 7.0),
(11429, "Public", "0541205S", "I.U.T de Nancy-Brabois - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Villers-lès-Nancy", "formation sélective", "BUT", "I.U.T de Nancy-Brabois - Université de Lorraine - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception (Seconde année possible en apprentissage)", "BUT - Production", "Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception", 104, 1345, 241, 1319, 0, 752, 85, 323, 66, 10, 5, 234, 26, 0, 17, 0, 9, 970, 4, 0, 0, 626, 61, 201, 30, 0, 0, 143, 543, 109, 22, 106, 3, 14.0, 82.0, 101.0, 0, 7, 93, 54, 39, 0, 16, 0, 16, 52, 23, 2, 0.0, 42, 35, 0, 0, 0, 70, 70, 12.84, 75.23, 92.66, 20.19921875, 75.296875, 75.296875, 0, 7.5, 85.296875, 0.0, 17.19921875, 55.8984375, 24.69921875, 2.2, 0.0, 58.09375, 45.1953125, 41.8984375, 37.59375, 0.0, 0.0, 302.0, 38.0, 0.0, 0.0, 82.0, "Tous les candidats sauf les Bac technologiques", 553.0, "Bacheliers technologiques toutes séries", 218, "", 0, "Liste d'appel propre à cette formation", 58.0, "6297", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6297&g_ta_cod=6297", 60.0, 40.0, 0.0),
(11430, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "PASS", "Université de Bourgogne - site de Dijon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 149, 2039, 1436, 2039, 0, 1617, 272, 50, 14, 16, 8, 356, 0, 0, 0, 0, 0, 2036, 0, 0, 0, 1618, 273, 50, 14, 16, 8, 352, 770, 143, 102, 143, 0, 1.0, 117.0, 132.0, 0, 23, 135, 129, 5, 1, 8, 1, 27, 70, 35, 2, 0.0, 102, 4, 1, 0, 0, 121, 121, 0.7, 81.82, 92.31, 71.296875, 89.59375, 89.59375, 0, 17.0, 94.390625, 0.699951171875, 20.0, 51.8984375, 25.8984375, 1.5, 0.0, 95.59375, 75.59375, 3.69970703125, 3.0, 0.699951171875, 0.699951171875, 707.0, 103.0, 5.0, 3.0, 43.0, "Tous les candidats", 3768.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 74.0, "27672", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27662&g_ta_cod=27672", 95.0, 4.0, 1.0),
(11431, "Public", "0440024M", "Lycée général Gabriel Guist'Hau", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "Lycée général Gabriel Guist'Hau - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 627, 461, 627, 301, 564, 72, 4, 0, 1, 0, 58, 0, 0, 0, 0, 0, 562, 0, 301, 534, 527, 66, 3, 0, 0, 0, 32, 275, 47, 41, 47, 0, 0.0, 34.0, 43.0, 12, 4, 47, 45, 2, 0, 0, 0, 0, 1, 20, 24, 2.0, 45, 2, 0, 0, 0, 34, 34, 0.0, 72.34, 91.49, 87.1875, 72.296875, 72.296875, 0, 8.5, 100.0, 0.0, 0.0, 2.099609375, 42.59375, 51.1, 4.3, 95.6875, 95.6875, 4.2998046875, 4.2998046875, 0.0, 0.0, 264.0, 36.0, 0.0, 0.0, 9.0, "Tous les candidats", 405.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "5428", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5428&g_ta_cod=5428", 96.0, 4.0, 0.0),
(11432, "Privé sous contrat d'association", "0480680D", "Lycée polyvalent privé Sacre-Coeur", "48", "Lozère", "Occitanie", "Montpellier", "Saint-Chély-d'Apcher", "formation sélective", "BTS", "Lycée polyvalent privé Sacre-Coeur - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 20, 127, 13, 120, 0, 29, 2, 31, 3, 27, 1, 33, 7, 0, 0, 6, 1, 87, 4, 0, 0, 24, 1, 27, 1, 18, 1, 18, 65, 16, 0, 15, 1, 7.0, 14.0, 15.0, 0, 2, 12, 6, 3, 3, 4, 0, 5, 7, 0, 0, 0.0, 1, 3, 3, 1, 0, 4, 4, 43.75, 87.5, 93.75, 0.0, 33.296875, 33.296875, 8.298828125, 16.69921875, 75.0, 0.0, 41.6953125, 58.296875, 0.0, 0.0, 0.0, 50.0, 8.298828125, 25.0, 25.0, 25.0, 25.0, 14.0, 1.0, 22.0, 2.0, 10.0, "Tous les candidats sauf les Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 59.0, "5819", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5819&g_ta_cod=5819", 63.0, 19.0, 19.0),
(11433, "Public", "0731487V", "IUT de CHAMBERY", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation sélective", "BUT", "IUT de CHAMBERY - BUT - Gestion administrative et commerciale des organisations Parcours : Management responsable de projet et des organisations - Management des fonctions supports - Management commercial et marketing omnicanal - Management des activités culturelles, artistiques, sportives et de tourisme", "BUT - Service", "Management responsable de projet et des organisations - Management des fonctions supports - Management commercial et marketing omnicanal - Management des activités culturelles, artistiques, sportives et de tourisme", 56, 1923, 1044, 1923, 0, 1147, 87, 556, 92, 13, 1, 207, 0, 0, 0, 0, 0, 1672, 0, 0, 0, 1123, 85, 383, 62, 0, 0, 166, 330, 63, 39, 63, 0, 3.0, 48.0, 59.0, 0, 9, 57, 26, 31, 0, 6, 0, 3, 21, 32, 1, 0.0, 24, 30, 0, 0, 0, 46, 46, 4.76, 76.19, 93.65, 61.8984375, 80.6875, 80.6875, 0, 15.798828125, 90.5, 0.0, 5.2998046875, 36.796875, 56.09375, 1.8, 0.0, 45.59375, 42.09375, 54.3984375, 52.59375, 0.0, 0.0, 146.0, 23.0, 0.0, 0.0, 37.0, "Tous les candidats sauf les Bac technologiques", 345.0, "Bacheliers technologiques toutes séries", 238, "", 0, "Liste d'appel propre à cette formation", 30.0, "8841", "BUT - Gestion administrative et commerciale des organisations Parcours : Management responsable de projet et des organisations - Management des fonctions supports - Management commercial et marketing omnicanal - Management des activités culturelles, artistiques, sportives et de tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8841&g_ta_cod=8841", 48.0, 51.0, 0.0),
(11434, "Public", "0623981R", "Lycée Vauban", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Aire-sur-la-Lys", "formation sélective", "Autre formation", "Lycée Vauban - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 15, 76, 50, 76, 0, 2, 0, 7, 2, 16, 10, 51, 0, 0, 0, 0, 0, 76, 0, 0, 0, 2, 0, 7, 2, 16, 10, 51, 45, 17, 12, 17, 0, 4.0, 17.0, 17.0, 0, 2, 5, 0, 1, 4, 12, 0, 4, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 4, 4, 23.53, 100.0, 100.0, 70.59375, 80.0, 80.0, 0, 40.0, 29.3984375, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 20.0, 2.0, 0.0, 15.0, 10.0, 21.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "14283", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14283&g_ta_cod=14283", 71.0, 6.0, 24.0),
(11435, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues Etrangères Appliquées Anglais-Coréen", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées Anglais-Coréen", 75, 1183, 1090, 1183, 0, 669, 191, 74, 33, 45, 22, 395, 0, 0, 0, 0, 0, 1183, 0, 0, 0, 669, 191, 74, 33, 45, 22, 395, 166, 77, 68, 77, 0, 31.0, 77.0, 77.0, 0, 13, 70, 70, 0, 0, 7, 1, 7, 33, 25, 4, 0.0, 62, 0, 0, 0, 0, 51, 51, 40.26, 100.0, 100.0, 88.296875, 72.890625, 72.890625, 0, 18.59765625, 90.890625, 1.39990234375, 10.0, 47.09375, 35.6953125, 5.7, 0.0, 100.0, 88.59375, 0.0, 0.0, 0.0, 0.0, 148.0, 35.0, 0.0, 0.0, 18.0, "Tous les candidats", 194.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "14964", "Licence - Portail Langues Etrangères Appliquées Anglais-Coréen", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14964&g_ta_cod=14964", 100.0, 0.0, 0.0),
(11436, "Public", "0030098R", "I.U.T. d'Allier - site de Montluçon", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "BUT", "I.U.T. d'Allier - site de Montluçon - BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie", "BUT - Production", "Optimisation énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie", 52, 417, 42, 383, 0, 160, 16, 178, 26, 2, 0, 43, 34, 10, 5, 0, 19, 339, 15, 0, 0, 151, 15, 161, 23, 0, 0, 27, 332, 21, 1, 20, 1, 11.0, 20.0, 21.0, 0, 5, 19, 5, 14, 0, 2, 1, 7, 7, 4, 0, 0.0, 1, 10, 0, 0, 0, 12, 12, 52.38, 95.24, 100.0, 4.7998046875, 63.1953125, 63.1953125, 0, 26.296875, 90.5, 5.2998046875, 36.796875, 36.796875, 21.09765625, 0.0, 0.0, 26.296875, 5.2998046875, 73.6875, 52.59375, 0.0, 0.0, 150.0, 15.0, 0.0, 0.0, 33.0, "Tous les candidats sauf les Bac technologiques", 169.0, "Bacheliers technologiques toutes séries", 170, "", 0, "Liste d'appel propre à cette formation", 89.0, "2141", "BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2141&g_ta_cod=2141", 33.0, 67.0, 0.0),
(11437, "Public", "0240025X", "Lycée Laure Gatet", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BTS", "Lycée Laure Gatet - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 70, 811, 382, 713, 0, 65, 7, 209, 62, 232, 96, 207, 98, 19, 16, 14, 49, 275, 14, 0, 0, 33, 2, 80, 22, 150, 57, 12, 271, 59, 24, 48, 7, 6.0, 48.0, 50.0, 0, 17, 52, 10, 12, 30, 7, 0, 22, 18, 12, 0, 0.0, 1, 8, 21, 4, 3, 44, 44, 10.17, 81.36, 84.75, 40.6953125, 84.59375, 84.59375, 7.69921875, 32.6953125, 88.09375, 0.0, 42.296875, 34.59375, 23.09765625, 0.0, 0.0, 19.19921875, 1.89990234375, 23.09765625, 15.3984375, 57.6953125, 40.3984375, 35.0, 3.0, 138.0, 55.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 154, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 38.0, "3424", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3424&g_ta_cod=3424", 22.0, 24.0, 54.0),
(11438, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Anglais", "Licence - Arts-lettres-langues", "LLCER Anglais", 199, 2777, 2062, 2777, 0, 1698, 428, 164, 74, 74, 31, 841, 0, 0, 0, 0, 0, 2777, 0, 0, 0, 1698, 428, 164, 74, 74, 31, 841, 970, 195, 153, 195, 0, 70.0, 141.0, 181.0, 0, 41, 148, 128, 15, 5, 47, 1, 18, 74, 49, 6, 0.0, 115, 9, 5, 0, 0, 20, 132, 35.9, 72.31, 92.82, 78.5, 13.5, 89.1875, 0, 27.69921875, 75.890625, 0.699951171875, 12.19921875, 50.0, 33.09375, 4.1, 0.0, 86.5, 77.6875, 10.099609375, 6.099609375, 3.39990234375, 3.39990234375, 721.0, 164.0, 21.0, 9.0, 186.0, "Tous les candidats", 1211.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "9328", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9328&g_ta_cod=9328", 83.0, 10.0, 7.0),
(11439, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "PASS", "Université de Paris - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Sport santé", 40, 9201, 5618, 9201, 0, 7022, 1309, 250, 89, 64, 28, 1865, 0, 0, 0, 0, 0, 9189, 0, 0, 0, 7022, 1309, 250, 89, 64, 28, 1853, 469, 40, 26, 40, 0, 0.0, 19.0, 38.0, 0, 8, 36, 36, 0, 0, 4, 0, 0, 1, 12, 21, 2.0, 36, 0, 0, 0, 0, 7, 31, 0.0, 47.5, 95.0, 65.0, 19.3984375, 86.09375, 0, 22.19921875, 90.0, 0.0, 0.0, 2.7998046875, 33.296875, 58.3, 5.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 404.0, 96.0, 0.0, 0.0, 65.0, "Tous les candidats", 3311.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 14.0, "33534", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28111&g_ta_cod=33534", 100.0, 0.0, 0.0),
(11440, "Public", "0561739L", "Université de Bretagne Sud - Site de Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "Autre formation", "Université de Bretagne Sud - Site de Vannes - CUPGE - Parcours Informatique, Mathématiques, Statistiques", "CUPGE - Sciences, technologie, santé", "Parcours Informatique, Mathématiques, Statistiques", 28, 221, 60, 195, 0, 162, 11, 1, 1, 0, 0, 32, 26, 7, 0, 1, 18, 166, 3, 0, 0, 149, 10, 0, 0, 0, 0, 17, 135, 12, 3, 11, 1, 1.0, 11.0, 12.0, 0, 0, 9, 9, 0, 0, 3, 0, 0, 5, 4, 0, 0.0, 9, 0, 0, 0, 0, 6, 6, 8.33, 91.67, 100.0, 25.0, 66.6875, 66.6875, 0, 0.0, 75.0, 0.0, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 120.0, 7.0, 0.0, 0.0, 15.0, "Tous les candidats", 166.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "15271", "CUPGE - Parcours Informatique, Mathématiques, Statistiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15271&g_ta_cod=15271", 100.0, 0.0, 0.0),
(11441, "Public", "0580758J", "Université de Bourgogne - site de Nevers", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation non sélective", "PASS", "Université de Bourgogne - site de Dijon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 6, 1080, 754, 1080, 0, 811, 151, 29, 7, 6, 3, 234, 0, 0, 0, 0, 0, 1077, 0, 0, 0, 812, 152, 29, 7, 6, 3, 230, 103, 6, 1, 6, 0, 0.0, 0.0, 5.0, 0, 1, 6, 6, 0, 0, 0, 0, 2, 4, 0, 0, 0.0, 4, 0, 0, 0, 0, 6, 6, 0.0, 0.0, 83.33, 16.69921875, 100.0, 100.0, 0, 16.69921875, 100.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 92.0, 13.0, 1.0, 1.0, 7.0, "Tous les candidats", 2673.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 48.0, "27972", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27662&g_ta_cod=27972", 100.0, 0.0, 0.0),
(11442, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation non sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Economie et gestion - Parcours Économie, Finance et Gestion", "Licence - Droit-économie-gestion", "Économie, Finance et Gestion", 485, 3643, 1455, 3643, 0, 2293, 562, 337, 136, 45, 19, 968, 0, 0, 0, 0, 0, 3642, 0, 0, 0, 2292, 562, 337, 136, 45, 19, 968, 2153, 478, 149, 474, 0, 22.0, 329.0, 416.0, 0, 109, 388, 327, 54, 7, 90, 1, 236, 121, 28, 2, 0.0, 120, 25, 6, 0, 0, 325, 352, 4.6, 68.83, 87.03, 31.19921875, 83.796875, 90.6875, 0, 28.09765625, 81.1875, 0.29998779296875, 60.796875, 31.19921875, 7.19921875, 0.5, 0.0, 84.296875, 30.8984375, 13.8984375, 6.3994140625, 1.7998046875, 1.5, 1635.0, 403.0, 24.0, 9.0, 339.0, "Tous les candidats", 2588.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "28243", "Licence - Economie et gestion - Parcours Économie, Finance et Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28243&g_ta_cod=28243", 80.0, 16.0, 4.0),
(11443, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Portail Langues étrangères appliquées - Anglais - Allemand", "Licence - Arts-lettres-langues", "Anglais - Allemand", 20, 97, 73, 86, 0, 63, 7, 9, 5, 2, 2, 12, 11, 2, 1, 1, 7, 86, 9, 0, 0, 63, 7, 9, 5, 2, 2, 12, 95, 13, 7, 11, 2, 10.0, 11.0, 13.0, 0, 0, 10, 10, 0, 0, 3, 0, 1, 5, 1, 3, 0.0, 9, 0, 0, 0, 0, 9, 9, 76.92, 84.62, 100.0, 53.796875, 90.0, 90.0, 0, 0.0, 76.890625, 0.0, 10.0, 50.0, 10.0, 30.0, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 65.0, 7.0, 3.0, 2.0, 17.0, "Tous les candidats", 93.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "17385", "Licence - Portail Langues étrangères appliquées - Anglais - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28967&g_ta_cod=17385", 100.0, 0.0, 0.0),
(11444, "Public", "0460028F", "Lycée Louis Vicat", "46", "Lot", "Occitanie", "Toulouse", "Souillac", "formation sélective", "BTS", "Lycée Louis Vicat - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 15, 74, 5, 72, 0, 2, 0, 11, 0, 33, 13, 26, 2, 0, 0, 1, 1, 72, 1, 0, 0, 2, 0, 11, 0, 33, 13, 26, 46, 10, 0, 9, 1, 4.0, 9.0, 10.0, 0, 1, 6, 0, 1, 5, 4, 0, 2, 3, 0, 1, 0.0, 0, 0, 4, 2, 0, 4, 4, 40.0, 90.0, 100.0, 0.0, 66.6875, 66.6875, 33.296875, 16.69921875, 60.0, 0.0, 33.296875, 50.0, 0.0, 16.7, 0.0, 0.0, 0.0, 16.69921875, 0.0, 83.296875, 66.6875, 0.0, 0.0, 30.0, 12.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 68.0, "5746", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5746&g_ta_cod=5746", 10.0, 20.0, 70.0),
(11445, "Privé enseignement supérieur", "0755975M", "EM Lyon Business School (Campus Paris)", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 214, 3005, 1471, 3005, 0, 2641, 96, 121, 6, 8, 2, 235, 0, 0, 0, 0, 0, 2376, 0, 0, 0, 2172, 61, 57, 2, 2, 1, 145, 2020, 244, 123, 244, 0, 243.0, 244.0, 244.0, 0, 6, 230, 223, 6, 1, 14, 1, 15, 115, 89, 10, 0.0, 207, 6, 1, 0, 0, 41, 114, 99.59, 100.0, 100.0, 50.3984375, 17.796875, 49.59375, 0, 2.599609375, 94.296875, 0.39996337890625, 6.5, 50.0, 38.6953125, 4.3, 0.0, 97.0, 90.0, 2.599609375, 2.599609375, 0.39996337890625, 0.39996337890625, 1874.0, 48.0, 1.0, 0.0, 105.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "26203", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26203", 97.0, 2.0, 0.0),
(11446, "Public", "0741133E", "I.U.T. Annecy", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BUT", "I.U.T. Annecy - BUT - Qualité, logistique industrielle et organisation Parcours : Pilotage de la chaîne logistique globale - Qualité et pilotage des systèmes de management intégrés", "BUT - Production", "Pilotage de la chaîne logistique globale - Qualité et pilotage des systèmes de management intégrés", 90, 462, 109, 422, 0, 188, 24, 145, 26, 11, 3, 78, 40, 14, 6, 1, 19, 279, 20, 0, 0, 144, 16, 88, 15, 0, 0, 47, 250, 81, 15, 69, 12, 26.0, 68.0, 77.0, 0, 12, 58, 35, 23, 0, 23, 2, 23, 23, 10, 0, 0.0, 15, 18, 0, 0, 0, 36, 36, 32.1, 83.95, 95.06, 18.5, 62.09375, 62.09375, 0, 20.69921875, 71.59375, 3.39990234375, 39.6953125, 39.6953125, 17.19921875, 0.0, 0.0, 60.296875, 25.8984375, 39.6953125, 31.0, 0.0, 0.0, 123.0, 13.0, 0.0, 0.0, 50.0, "Tous les candidats sauf les Bac technologiques", 172.0, "Bacheliers technologiques toutes séries", 109, "", 0, "Liste d'appel propre à cette formation", 66.0, "8903", "BUT - Qualité, logistique industrielle et organisation Parcours : Pilotage de la chaîne logistique globale - Qualité et pilotage des systèmes de management intégrés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8903&g_ta_cod=8903", 59.0, 38.0, 2.0),
(11447, "Privé enseignement supérieur", "0352048L", "Institut de Formation en Ergothérapie de Rennes - Association IFPEK", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Institut de Formation en Ergothérapie de Rennes - Association IFPEK - D.E Ergothérapeute", "D.E secteur sanitaire", "", 68, 626, 548, 626, 0, 198, 18, 70, 8, 8, 2, 350, 0, 0, 0, 0, 0, 431, 0, 0, 0, 138, 11, 5, 0, 0, 0, 288, 176, 67, 65, 67, 0, 20.0, 54.0, 57.0, 0, 3, 12, 12, 0, 0, 55, 0, 0, 2, 10, 0, 0.0, 12, 0, 0, 0, 0, 5, 5, 29.85, 80.6, 85.07, 97.0, 41.6953125, 41.6953125, 0, 25.0, 17.8984375, 0.0, 0.0, 16.69921875, 83.296875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 35.0, 9.0, 0.0, 0.0, 141.0, "Tous les candidats", 190.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "26034", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26034&g_ta_cod=26034", 99.0, 1.0, 0.0),
(11448, "Public", "0830165D", "I.U.T de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation sélective", "BUT", "I.U.T de Toulon - BUT - Génie industriel et maintenance Parcours : Ingéniérie des systèmes pluritechniques", "BUT - Production", "Ingéniérie des systèmes pluritechniques", 36, 478, 34, 442, 0, 204, 30, 163, 32, 9, 3, 66, 36, 7, 11, 0, 18, 321, 8, 0, 0, 173, 21, 101, 16, 2, 1, 45, 244, 24, 1, 22, 2, 13.0, 17.0, 24.0, 0, 4, 18, 13, 5, 0, 6, 0, 5, 12, 1, 0, 0.0, 8, 5, 0, 0, 0, 11, 11, 54.17, 70.83, 100.0, 4.19921875, 61.09375, 61.09375, 0, 22.19921875, 75.0, 0.0, 27.796875, 66.6875, 5.599609375, 0.0, 0.0, 72.1875, 44.3984375, 27.796875, 27.796875, 0.0, 0.0, 120.0, 15.0, 2.0, 1.0, 43.0, "Tous les candidats sauf les Bac technologiques", 202.0, "Bacheliers technologiques toutes séries", 113, "", 0, "Liste d'appel propre à cette formation", 71.0, "10354", "BUT - Génie industriel et maintenance Parcours : Ingéniérie des systèmes pluritechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10354&g_ta_cod=10354", 75.0, 25.0, 0.0),
(11449, "Public", "0912418J", "Université Paris-Saclay, Campus d'Orsay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "Licence", "Université Paris-Saclay, Campus d'Orsay - Licence - Double diplôme - Licence Informatique, Mathématiques - Licence Double-Diplôme Informatique, Mathématiques", "Licence - Sciences - technologies - santé", "Licence Double-Diplôme Informatique, Mathématiques", 50, 1477, 287, 1477, 0, 1197, 166, 11, 4, 0, 0, 269, 0, 0, 0, 0, 0, 1141, 0, 0, 0, 1003, 126, 0, 0, 0, 0, 138, 406, 46, 6, 46, 0, 25.0, 35.0, 41.0, 0, 5, 42, 42, 0, 0, 4, 1, 0, 0, 11, 29, 1.0, 41, 0, 0, 0, 0, 8, 17, 54.35, 76.09, 89.13, 13.0, 19.0, 40.5, 0, 11.8984375, 91.296875, 2.39990234375, 0.0, 0.0, 26.19921875, 69.0, 2.4, 100.0, 97.59375, 0.0, 0.0, 0.0, 0.0, 382.0, 57.0, 0.0, 0.0, 24.0, "Tous les candidats", 448.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "28891", "Licence - Double diplôme - Licence Informatique, Mathématiques - Licence Double-Diplôme Informatique, Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28891&g_ta_cod=28891", 100.0, 0.0, 0.0),
(11450, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "PASS", "Université d'Amiens - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Portail PASS sur le site de Boulogne-Sur-Mer", 80, 1678, 1105, 1678, 0, 1220, 191, 39, 13, 6, 3, 413, 0, 0, 0, 0, 0, 1663, 0, 0, 0, 1220, 191, 39, 13, 6, 3, 398, 594, 75, 48, 75, 0, 1.0, 58.0, 65.0, 0, 7, 51, 51, 0, 0, 24, 0, 21, 17, 10, 2, 1.0, 30, 0, 0, 0, 0, 22, 22, 1.33, 77.33, 86.67, 64.0, 43.09375, 43.09375, 0, 13.69921875, 68.0, 0.0, 41.1953125, 33.296875, 19.59765625, 3.9, 2.0, 100.0, 58.796875, 0.0, 0.0, 0.0, 0.0, 502.0, 79.0, 0.0, 0.0, 91.0, "Tous les candidats", 2686.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 46.0, "29571", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28229&g_ta_cod=29571", 97.0, 3.0, 0.0),
(11451, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Double Licence mention Langues, littératures & civilisations étrangères et régionales (LLCER) [Anglais] - mention LLCER [Italien]", "Licence - Arts-lettres-langues", "Double Licence mention Langues, littératures & civilisations étrangères et régionales (LLCER) [Anglais] - mention LLCER [Italien]", 10, 129, 89, 46, 0, 24, 7, 4, 2, 0, 0, 18, 83, 19, 3, 5, 56, 23, 24, 0, 0, 17, 5, 1, 0, 0, 0, 5, 45, 9, 7, 0, 9, 0.0, 0.0, 6.0, 0, 1, 2, 2, 0, 0, 7, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 0.0, 0.0, 66.67, 77.796875, 100.0, 100.0, 0, 50.0, 22.19921875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 25.0, 10.0, 0.0, 0.0, 19.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "24468", "Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - Double Licence mention Langues, littératures & civilisations étrangères et régionales (LLCER) [Anglais] - mention LLCER [Italien]", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24468&g_ta_cod=24468", 67.0, 0.0, 22.0),
(11452, "Public", "0312290W", "Lycée Henri Matisse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Cugnaux", "formation sélective", "BTS", "Lycée Henri Matisse - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 1209, 618, 1181, 0, 122, 29, 408, 146, 407, 190, 244, 28, 1, 0, 18, 9, 594, 9, 0, 0, 87, 22, 202, 73, 240, 97, 65, 242, 29, 14, 22, 6, 1.0, 9.0, 17.0, 0, 14, 24, 2, 9, 13, 5, 0, 8, 14, 2, 0, 0.0, 2, 8, 6, 8, 4, 24, 24, 3.45, 31.03, 58.62, 48.296875, 100.0, 100.0, 33.296875, 58.296875, 82.796875, 0.0, 33.296875, 58.296875, 8.298828125, 0.0, 0.0, 8.298828125, 8.298828125, 37.5, 33.296875, 54.1953125, 25.0, 35.0, 12.0, 75.0, 35.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 118, "Liste d'appel propre à cette formation", 20.0, "4219", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4219&g_ta_cod=4219", 17.0, 38.0, 45.0),
(11453, "Public", "0762762P", "Université Le Havre Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation non sélective", "Licence", "Université Le Havre Normandie - Licence - Lettres", "Licence - Arts-lettres-langues", "", 70, 286, 235, 223, 0, 146, 28, 13, 7, 13, 5, 51, 63, 7, 3, 10, 43, 222, 61, 0, 0, 146, 28, 13, 7, 13, 5, 50, 283, 59, 47, 35, 24, 35.0, 35.0, 54.0, 0, 10, 36, 25, 3, 8, 23, 1, 13, 12, 9, 1, 0.0, 17, 1, 4, 0, 0, 32, 32, 59.32, 59.32, 91.53, 79.6875, 88.890625, 88.890625, 0, 27.796875, 61.0, 2.7998046875, 36.09375, 33.296875, 25.0, 2.8, 0.0, 69.390625, 47.1953125, 8.298828125, 2.7998046875, 22.19921875, 11.099609375, 153.0, 29.0, 23.0, 13.0, 91.0, "Tous les candidats", 222.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15751", "Licence - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15751&g_ta_cod=15751", 64.0, 15.0, 20.0),
(11454, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans - Licence - Portail 2 -  Sc. du langage - LEA Anglais/Allemand", "Licence - Arts-lettres-langues", "2 -  Sc. du langage - LEA Anglais/Allemand", 40, 149, 105, 112, 0, 81, 16, 10, 4, 2, 2, 19, 37, 6, 3, 2, 26, 111, 28, 0, 0, 81, 16, 10, 4, 2, 2, 18, 124, 16, 10, 10, 5, 4.0, 10.0, 14.0, 0, 2, 10, 8, 2, 0, 6, 0, 7, 1, 1, 1, 0.0, 3, 0, 0, 0, 0, 9, 9, 25.0, 62.5, 87.5, 62.5, 90.0, 90.0, 0, 20.0, 62.5, 0.0, 70.0, 10.0, 10.0, 10.0, 0.0, 80.0, 30.0, 20.0, 0.0, 0.0, 0.0, 74.0, 13.0, 3.0, 2.0, 37.0, "Tous les candidats", 111.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "23455", "Licence - Portail 2 -  Sc. du langage - LEA Anglais/Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23455&g_ta_cod=23455", 69.0, 31.0, 0.0),
(11455, "Public", "0780015T", "Lycée Militaire de Saint-Cyr", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Cyr-l'Ecole", "formation sélective", "CPGE", "Lycée Militaire de Saint-Cyr - CPGE - MPSI", "Classe préparatoire scientifique", "", 70, 1249, 249, 1249, 1249, 1107, 89, 7, 1, 1, 0, 134, 0, 0, 0, 0, 0, 1249, 0, 1249, 0, 1107, 89, 7, 1, 1, 0, 134, 235, 70, 6, 70, 0, 12.0, 55.0, 63.0, 70, 8, 68, 68, 0, 0, 2, 0, 0, 3, 36, 27, 2.0, 68, 0, 0, 4, 0, 13, 25, 17.14, 78.57, 90.0, 8.599609375, 19.09765625, 36.796875, 5.8994140625, 11.798828125, 97.09375, 0.0, 0.0, 4.3994140625, 52.8984375, 39.7, 2.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 228.0, 17.0, 0.0, 0.0, 7.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "9954", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9954&g_ta_cod=9954", 100.0, 0.0, 0.0),
(11456, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues Etrangères Appliquées Anglais-Arabe - Cursus 4 ans", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées Anglais-Arabe - Cursus 4 ans", 36, 185, 151, 176, 0, 99, 51, 18, 11, 5, 4, 54, 9, 1, 1, 1, 6, 176, 9, 0, 0, 99, 51, 18, 11, 5, 4, 54, 142, 36, 28, 32, 4, 6.0, 29.0, 32.0, 0, 14, 25, 19, 4, 2, 11, 0, 11, 11, 3, 0, 0.0, 12, 1, 1, 0, 0, 18, 18, 16.67, 80.56, 88.89, 77.796875, 72.0, 72.0, 0, 56.0, 69.390625, 0.0, 44.0, 44.0, 12.0, 0.0, 0.0, 76.0, 48.0, 16.0, 4.0, 8.0, 4.0, 81.0, 42.0, 5.0, 5.0, 43.0, "Tous les candidats", 175.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "13897", "Licence - Portail Langues Etrangères Appliquées Anglais-Arabe - Cursus 4 ans", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13897&g_ta_cod=13897", 69.0, 19.0, 11.0),
(11457, "Privé sous contrat d'association", "0851642Y", "LGT PRIVE SAINT-FRANCOIS D'ASSISE", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "LGT PRIVE SAINT-FRANCOIS D'ASSISE - BTS - Production - Métiers de la mesure", "BTS - Production", "", 15, 34, 7, 32, 0, 5, 1, 11, 0, 2, 1, 14, 2, 1, 1, 0, 0, 23, 2, 0, 0, 4, 0, 11, 0, 2, 1, 6, 25, 3, 0, 3, 0, 2.0, 3.0, 3.0, 0, 0, 3, 0, 3, 0, 0, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 2, 0, 2, 2, 66.67, 100.0, 100.0, 0.0, 66.6875, 66.6875, 66.6875, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 5.0, 0.0, 2.0, 1.0, 6.0, "Tous les candidats sauf les Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 72.0, "10507", "BTS - Production - Métiers de la mesure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10507&g_ta_cod=10507", 0.0, 100.0, 0.0),
(11458, "Public", "0420043U", "Lycée Jean Monnet", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 692, 342, 603, 0, 79, 29, 154, 67, 87, 49, 283, 89, 0, 42, 7, 40, 249, 12, 0, 0, 66, 22, 80, 29, 59, 32, 44, 136, 34, 19, 28, 5, 7.0, 26.0, 31.0, 0, 14, 28, 2, 15, 11, 6, 0, 15, 8, 5, 0, 0.0, 1, 5, 7, 3, 2, 27, 27, 20.59, 76.47, 91.18, 55.8984375, 96.390625, 96.390625, 10.69921875, 50.0, 82.390625, 0.0, 53.59375, 28.59765625, 17.8984375, 0.0, 0.0, 7.099609375, 3.599609375, 53.59375, 17.8984375, 39.296875, 25.0, 9.0, 6.0, 42.0, 23.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 28.0, "5296", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5296&g_ta_cod=5296", 9.0, 56.0, 35.0),
(11459, "Public", "0950666H", "Lycée Georges Braque", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "BTS", "Lycée Georges Braque - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 38, 2096, 1023, 2096, 0, 111, 31, 714, 300, 699, 323, 572, 0, 0, 0, 0, 0, 2096, 0, 0, 0, 111, 31, 714, 300, 699, 323, 572, 176, 37, 15, 37, 0, 4.0, 27.0, 31.0, 0, 14, 31, 4, 12, 15, 6, 0, 10, 21, 0, 0, 0.0, 3, 8, 10, 2, 0, 26, 30, 10.81, 72.97, 83.78, 40.5, 83.890625, 96.796875, 6.5, 45.1953125, 83.796875, 0.0, 32.296875, 67.6875, 0.0, 0.0, 0.0, 12.8984375, 9.69921875, 38.6953125, 25.796875, 48.3984375, 32.296875, 21.0, 6.0, 67.0, 28.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 116, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 12.0, "11585", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11585&g_ta_cod=11585", 11.0, 43.0, 46.0),
(11460, "Public", "0931272C", "Lycée GUSTAVE EIFFEL", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Gagny", "formation sélective", "Autre formation", "Lycée GUSTAVE EIFFEL - CPES - Arts", "Classe préparatoire aux études supérieures", "", 24, 363, 293, 349, 0, 268, 52, 27, 9, 10, 3, 44, 14, 5, 2, 2, 5, 115, 1, 0, 0, 97, 16, 5, 1, 0, 0, 13, 82, 24, 20, 21, 1, 3.0, 14.0, 20.0, 0, 6, 20, 18, 2, 0, 4, 0, 1, 3, 12, 4, 0.0, 17, 2, 0, 0, 0, 9, 12, 12.5, 58.33, 83.33, 83.296875, 45.0, 60.0, 0, 30.0, 83.296875, 0.0, 5.0, 15.0, 60.0, 20.0, 0.0, 90.0, 85.0, 10.0, 10.0, 0.0, 0.0, 66.0, 15.0, 2.0, 0.0, 11.0, "Tous les candidats", 111.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "11265", "CPES - Arts", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11265&g_ta_cod=11265", 92.0, 8.0, 0.0),
(11461, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 1 - Licence - Portail Physique Chimie Géosciences", "Licence - Sciences - technologies - santé", "Physique Chimie Géosciences", 170, 1586, 654, 1483, 0, 1032, 101, 51, 14, 2, 1, 398, 103, 36, 1, 0, 66, 1472, 77, 0, 0, 1032, 101, 51, 14, 2, 1, 387, 1191, 117, 45, 84, 33, 3.0, 83.0, 112.0, 0, 9, 57, 54, 2, 1, 60, 0, 23, 20, 11, 3, 0.0, 34, 0, 0, 0, 0, 45, 45, 2.56, 70.94, 95.73, 38.5, 78.890625, 78.890625, 0, 15.798828125, 48.6953125, 0.0, 40.3984375, 35.09375, 19.296875, 5.3, 0.0, 94.6875, 59.59375, 3.5, 0.0, 1.7998046875, 0.0, 823.0, 75.0, 2.0, 1.0, 353.0, "Tous les candidats", 1698.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "26776", "Licence - Portail Physique Chimie Géosciences", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26777&g_ta_cod=26776", 88.0, 9.0, 3.0),
(11462, "Public", "0400017B", "Lycée Victor Duruy", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Mont-de-Marsan", "formation sélective", "BTS", "Lycée Victor Duruy - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 546, 229, 546, 0, 39, 6, 226, 59, 163, 52, 118, 0, 0, 0, 0, 0, 506, 0, 0, 0, 39, 6, 226, 59, 163, 52, 78, 188, 33, 15, 33, 0, 4.0, 21.0, 29.0, 0, 10, 27, 0, 9, 18, 6, 0, 12, 8, 5, 2, 0.0, 0, 3, 12, 3, 0, 22, 22, 12.12, 63.64, 87.88, 45.5, 81.5, 81.5, 11.099609375, 37.0, 81.796875, 0.0, 44.3984375, 29.59765625, 18.5, 7.4, 0.0, 0.0, 0.0, 33.296875, 11.099609375, 66.6875, 44.3984375, 1.0, 1.0, 88.0, 23.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 120, "Bacheliers technologiques toutes séries", 139, "Liste d'appel propre à cette formation", 48.0, "5205", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5205&g_ta_cod=5205", 3.0, 36.0, 61.0),
(11463, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Langues étrangères appliquées - Parcours Anglais - Allemand", "Licence - Arts-lettres-langues", "Anglais - Allemand", 30, 185, 120, 108, 0, 66, 9, 8, 2, 3, 2, 31, 77, 4, 8, 11, 54, 105, 61, 0, 0, 66, 9, 8, 2, 3, 2, 28, 157, 24, 14, 9, 15, 0.0, 9.0, 18.0, 0, 3, 8, 3, 3, 2, 16, 0, 6, 0, 2, 0, 0.0, 2, 0, 0, 0, 0, 7, 7, 0.0, 37.5, 75.0, 58.296875, 87.5, 87.5, 0, 37.5, 33.296875, 0.0, 75.0, 0.0, 25.0, 0.0, 0.0, 37.5, 25.0, 37.5, 0.0, 25.0, 0.0, 63.0, 10.0, 11.0, 7.0, 67.0, "Tous les candidats", 105.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "5334", "Licence - Langues étrangères appliquées - Parcours Anglais - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5334&g_ta_cod=5334", 54.0, 21.0, 25.0),
(11464, "Public", "0750657G", "Lycée Montaigne", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Montaigne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 3439, 1899, 3428, 514, 3165, 372, 0, 0, 2, 1, 261, 11, 2, 0, 0, 9, 1453, 4, 377, 1240, 1384, 242, 0, 0, 0, 0, 69, 427, 19, 12, 18, 1, 3.0, 9.0, 17.0, 2, 3, 18, 18, 0, 0, 1, 0, 0, 0, 7, 10, 1.0, 18, 0, 0, 1, 1, 3, 14, 15.79, 47.37, 89.47, 63.1953125, 16.69921875, 77.796875, 5.599609375, 16.69921875, 94.6875, 0.0, 0.0, 0.0, 38.8984375, 55.6, 5.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 400.0, 65.0, 0.0, 0.0, 27.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "31641", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31362&g_ta_cod=31641", 100.0, 0.0, 0.0),
(11465, "Public", "0520028Y", "Lycée Blaise Pascal", "52", "Haute-Marne", "Grand Est", "Reims", "Saint-Dizier", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Production - Environnement nucléaire", "BTS - Production", "", 15, 176, 26, 175, 0, 29, 7, 53, 16, 40, 12, 53, 1, 0, 1, 0, 0, 139, 0, 0, 0, 26, 4, 50, 16, 40, 12, 23, 59, 14, 2, 14, 0, 5.0, 7.0, 8.0, 0, 5, 11, 1, 5, 5, 3, 0, 3, 4, 3, 1, 0.0, 1, 4, 3, 4, 1, 8, 8, 35.71, 50.0, 57.14, 14.298828125, 72.6875, 72.6875, 36.3984375, 45.5, 78.59375, 0.0, 27.296875, 36.3984375, 27.296875, 9.1, 0.0, 9.099609375, 9.099609375, 45.5, 36.3984375, 45.5, 27.296875, 12.0, 1.0, 17.0, 4.0, 11.0, "Tous les candidats sauf les Bac professionnels", 73.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 53.0, "12961", "BTS - Production - Environnement nucléaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12961&g_ta_cod=12961", 7.0, 57.0, 36.0),
(11466, "Public", "0570057C", "Lycée Robert Schuman", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée Robert Schuman - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 70, 1446, 725, 1446, 0, 139, 40, 539, 214, 418, 173, 350, 0, 0, 0, 0, 0, 798, 0, 0, 0, 106, 24, 359, 149, 244, 90, 89, 290, 62, 37, 62, 0, 5.0, 40.0, 54.0, 0, 25, 51, 6, 18, 27, 11, 0, 17, 26, 7, 1, 0.0, 3, 10, 21, 12, 11, 51, 51, 8.06, 64.52, 87.1, 59.6953125, 100.0, 100.0, 23.5, 49.0, 82.296875, 0.0, 33.296875, 51.0, 13.69921875, 2.0, 0.0, 11.798828125, 5.8994140625, 35.296875, 19.59765625, 52.8984375, 41.1953125, 41.0, 14.0, 112.0, 42.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 85.0, "Bacheliers professionnels toutes séries", 176, "Bacheliers technologiques toutes séries", 166, "Liste d'appel propre à cette formation", 30.0, "6532", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6532&g_ta_cod=6532", 16.0, 32.0, 52.0),
(11467, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "PASS", "Université de Bordeaux - Bordeaux Métropole - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 50, 4175, 2550, 4175, 0, 3400, 407, 64, 11, 10, 4, 701, 0, 0, 0, 0, 0, 4129, 0, 0, 0, 3400, 407, 64, 11, 10, 4, 655, 300, 50, 26, 50, 0, 1.0, 40.0, 45.0, 0, 7, 41, 41, 0, 0, 9, 0, 1, 9, 25, 6, 0.0, 40, 0, 0, 0, 0, 39, 39, 2.0, 80.0, 90.0, 52.0, 95.09375, 95.09375, 0, 17.09765625, 82.0, 0.0, 2.39990234375, 22.0, 61.0, 14.6, 0.0, 100.0, 97.59375, 0.0, 0.0, 0.0, 0.0, 238.0, 48.0, 0.0, 0.0, 62.0, "Tous les candidats", 1971.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 14.0, "26857", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26837&g_ta_cod=26857", 100.0, 0.0, 0.0),
(11468, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "PASS", "Université des Antilles - Pôle Martinique - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 50, 288, 190, 288, 0, 222, 64, 13, 5, 8, 6, 45, 0, 0, 0, 0, 0, 288, 0, 0, 0, 222, 64, 13, 5, 8, 6, 45, 216, 51, 30, 51, 0, 7.0, 51.0, 51.0, 0, 12, 48, 47, 0, 1, 3, 0, 10, 17, 18, 3, 0.0, 37, 0, 1, 0, 0, 46, 46, 13.73, 100.0, 100.0, 58.796875, 95.796875, 95.796875, 0, 25.0, 94.09375, 0.0, 20.796875, 35.3984375, 37.5, 6.3, 0.0, 97.890625, 77.09375, 0.0, 0.0, 2.099609375, 2.099609375, 176.0, 51.0, 5.0, 4.0, 29.0, "Tous les candidats", 1018.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "26833", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26824&g_ta_cod=26833", 96.0, 0.0, 4.0),
(11469, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Portail Economie - Gestion franco-allemand - Management franco-allemand et international", "Licence - Droit-économie-gestion", "Economie - Gestion franco-allemand - Management franco-allemand et international", 20, 128, 82, 128, 0, 104, 5, 4, 3, 1, 0, 19, 0, 0, 0, 0, 0, 94, 0, 0, 0, 82, 3, 0, 0, 0, 0, 12, 60, 21, 12, 21, 0, 6.0, 21.0, 21.0, 0, 1, 19, 19, 0, 0, 2, 0, 0, 9, 4, 5, 1.0, 19, 0, 0, 0, 0, 8, 8, 28.57, 100.0, 100.0, 57.09375, 42.09375, 42.09375, 0, 5.2998046875, 90.5, 0.0, 0.0, 47.3984375, 21.09765625, 26.3, 5.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 54.0, 3.0, 0.0, 0.0, 6.0, "Tous les candidats", 77.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "30737", "Licence - Portail Economie - Gestion franco-allemand - Management franco-allemand et international", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30737&g_ta_cod=30737", 100.0, 0.0, 0.0),
(11470, "Public", "0751718K", "Université Paris 2 Panthéon - Assas", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Licence", "Université Paris 2 Panthéon - Assas - Licence - Double diplôme - Licence Droit - Juriste européen Paris Berlin Amsterdam", "Licence - Droit-économie-gestion", "Juriste européen Paris Berlin Amsterdam", 4, 259, 204, 259, 0, 176, 31, 26, 9, 2, 0, 55, 0, 0, 0, 0, 0, 25, 0, 0, 0, 25, 1, 0, 0, 0, 0, 0, 6, 4, 3, 4, 0, 3.0, 4.0, 4.0, 0, 0, 4, 4, 0, 0, 0, 0, 0, 0, 0, 3, 1.0, 4, 0, 0, 0, 0, 0, 2, 75.0, 100.0, 100.0, 75.0, 0.0, 50.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 75.0, 25.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 6.0, 1.0, 0.0, 0.0, 0.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 3.0, "31092", "Licence - Double diplôme - Licence Droit - Juriste européen Paris Berlin Amsterdam", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31092&g_ta_cod=31092", 100.0, 0.0, 0.0),
(11471, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence_Las", "Université de Montpellier - Licence - Portail Sciences de la vie - Licence - Portail Sciences de la Vie/Sciences de l'environnement (SVSE)", "Licence - Sciences - technologies - santé", "Licence - Portail Sciences de la Vie/Sciences de l'environnement (SVSE)", 70, 3493, 2508, 3493, 0, 1974, 450, 136, 40, 7, 3, 1376, 0, 0, 0, 0, 0, 3483, 0, 0, 0, 1974, 450, 136, 40, 7, 3, 1366, 562, 64, 43, 64, 0, 1.0, 24.0, 46.0, 0, 9, 42, 42, 0, 0, 22, 0, 0, 15, 19, 8, 0.0, 42, 0, 0, 0, 0, 36, 36, 1.56, 37.5, 71.88, 67.1875, 85.6875, 85.6875, 0, 21.3984375, 65.59375, 0.0, 0.0, 35.6953125, 45.1953125, 19.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 332.0, 70.0, 0.0, 0.0, 230.0, "Tous les candidats", 1352.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "31265", "Licence - Portail Sciences de la vie - Licence - Portail Sciences de la Vie/Sciences de l'environnement (SVSE)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31264&g_ta_cod=31265", 100.0, 0.0, 0.0),
(11472, "Public", "0450064A", "Lycée professionnel Gaudier-Brzeska", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Saint-Jean-de-Braye", "formation sélective", "BTS", "Lycée professionnel Gaudier-Brzeska - BTS - Production - Management économique de la construction", "BTS - Production", "", 15, 184, 38, 184, 0, 17, 1, 63, 8, 65, 23, 39, 0, 0, 0, 0, 0, 135, 0, 0, 0, 16, 1, 57, 6, 44, 11, 18, 55, 13, 3, 13, 0, 3.0, 10.0, 13.0, 0, 3, 13, 2, 4, 7, 0, 0, 3, 7, 2, 1, 0.0, 2, 3, 5, 5, 1, 12, 12, 23.08, 76.92, 100.0, 23.09765625, 92.296875, 92.296875, 38.5, 23.09765625, 100.0, 0.0, 23.09765625, 53.796875, 15.3984375, 7.7, 0.0, 15.3984375, 15.3984375, 30.796875, 23.09765625, 53.796875, 38.5, 4.0, 1.0, 26.0, 9.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 49.0, "5667", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5667&g_ta_cod=5667", 15.0, 31.0, 54.0),
(11473, "Public", "0590258K", "Lycée Gaston Berger", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Gaston Berger - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 921, 510, 907, 0, 160, 63, 264, 124, 148, 91, 335, 14, 0, 0, 10, 4, 253, 0, 0, 0, 57, 18, 63, 22, 86, 53, 47, 125, 27, 16, 27, 0, 20.0, 24.0, 27.0, 0, 5, 17, 6, 10, 1, 10, 0, 2, 10, 4, 1, 0.0, 6, 9, 0, 1, 0, 16, 16, 74.07, 88.89, 100.0, 59.296875, 94.09375, 94.09375, 5.8994140625, 29.3984375, 63.0, 0.0, 11.798828125, 58.796875, 23.5, 5.9, 0.0, 35.296875, 35.296875, 58.796875, 52.8984375, 5.8994140625, 0.0, 44.0, 15.0, 17.0, 8.0, 33.0, "Tous les candidats sauf les Bac professionnels", 145.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 20.0, "6870", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6870&g_ta_cod=6870", 56.0, 37.0, 7.0),
(11474, "Public", "0831243A", "Lycée Bonaparte", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Bonaparte - BTS - Services - Communication", "BTS - Services", "", 24, 1107, 717, 1107, 0, 240, 59, 247, 86, 119, 53, 501, 0, 0, 0, 0, 0, 969, 0, 0, 0, 236, 59, 244, 86, 118, 53, 371, 139, 24, 20, 24, 0, 2.0, 19.0, 22.0, 0, 5, 19, 6, 8, 5, 5, 0, 5, 9, 5, 0, 0.0, 5, 6, 3, 3, 0, 15, 15, 8.33, 79.17, 91.67, 83.296875, 78.890625, 78.890625, 15.798828125, 26.296875, 79.1875, 0.0, 26.296875, 47.3984375, 26.296875, 0.0, 0.0, 31.59765625, 26.296875, 42.09375, 31.59765625, 26.296875, 15.798828125, 44.0, 9.0, 26.0, 10.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 88.0, "Bacheliers technologiques toutes séries", 73, "Bacheliers professionnels toutes séries", 77, "Liste d'appel propre à cette formation", 21.0, "25106", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25106&g_ta_cod=25106", 33.0, 42.0, 25.0),
(11475, "Privé enseignement supérieur", "0251746M", "IRTS de Franche-Comté", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "EFTS", "IRTS de Franche-Comté - D.E Educateur Spécialisé", "D.E secteur social", "", 43, 346, 285, 346, 0, 60, 9, 47, 12, 29, 2, 210, 0, 0, 0, 0, 0, 294, 0, 0, 0, 45, 7, 37, 6, 26, 2, 186, 83, 48, 37, 48, 0, 24.0, 45.0, 46.0, 0, 2, 14, 6, 4, 4, 34, 0, 1, 7, 5, 1, 0.0, 5, 4, 4, 0, 0, 11, 11, 50.0, 93.75, 95.83, 77.09375, 78.59375, 78.59375, 0, 14.298828125, 29.19921875, 0.0, 7.099609375, 50.0, 35.6953125, 7.1, 0.0, 42.8984375, 35.6953125, 28.59765625, 28.59765625, 28.59765625, 28.59765625, 13.0, 1.0, 7.0, 1.0, 54.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "24834", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24834&g_ta_cod=24834", 54.0, 31.0, 13.0),
(11476, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Théologie - Parcours Enseignement à distance", "Licence - Sciences humaines et sociales", "Enseignement à distance", 45, 158, 97, 107, 0, 16, 8, 4, 0, 5, 3, 82, 51, 3, 1, 0, 47, 107, 49, 0, 0, 16, 8, 4, 0, 5, 3, 82, 156, 43, 25, 21, 22, 20.0, 21.0, 33.0, 0, 1, 3, 1, 1, 1, 40, 1, 1, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 46.51, 48.84, 76.74, 58.09375, 66.6875, 66.6875, 0, 33.296875, 7.0, 33.296875, 33.296875, 0.0, 33.296875, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 33.296875, 0.0, 19.0, 8.0, 5.0, 3.0, 127.0, "Tous les candidats", 107.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "23863", "Licence - Théologie - Parcours Enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23863&g_ta_cod=23863", 56.0, 12.0, 26.0),
(11477, "Public", "0330135T", "Lycée Alfred Kastler", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "BTS", "Lycée Alfred Kastler - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 30, 256, 34, 223, 0, 22, 5, 93, 21, 57, 16, 51, 33, 0, 7, 17, 9, 156, 10, 0, 0, 16, 3, 71, 12, 44, 10, 25, 112, 25, 2, 19, 4, 2.0, 17.0, 22.0, 0, 4, 16, 0, 5, 11, 9, 0, 6, 5, 4, 1, 0.0, 0, 3, 7, 5, 0, 15, 15, 8.0, 68.0, 88.0, 8.0, 93.796875, 93.796875, 31.296875, 25.0, 64.0, 0.0, 37.5, 31.296875, 25.0, 6.3, 0.0, 0.0, 0.0, 31.296875, 18.796875, 68.796875, 43.796875, 3.0, 2.0, 39.0, 9.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 62.0, "4323", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4323&g_ta_cod=4323", 4.0, 36.0, 60.0),
(11478, "Public", "0130003H", "Lycée Vauvenargues", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée Vauvenargues - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 11, 182, 13, 182, 0, 32, 7, 36, 11, 72, 32, 42, 0, 0, 0, 0, 0, 182, 0, 0, 0, 32, 7, 36, 11, 72, 32, 42, 55, 9, 0, 9, 0, 0.0, 7.0, 9.0, 0, 4, 6, 3, 1, 2, 3, 0, 4, 1, 1, 0, 0.0, 0, 0, 2, 2, 0, 6, 6, 0.0, 77.78, 100.0, 0.0, 100.0, 100.0, 33.296875, 66.6875, 66.6875, 0.0, 66.6875, 16.69921875, 16.69921875, 0.0, 0.0, 50.0, 0.0, 16.69921875, 0.0, 33.296875, 33.296875, 10.0, 5.0, 18.0, 9.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 52.0, "16118", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16118&g_ta_cod=16118", 33.0, 11.0, 56.0),
(11479, "Public", "0311323V", "Lycée Rive Gauche", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée Rive Gauche - DN MADE - Objet - - Spécialité : Design d'objet : scénariser, concevoir, fabriquer", "DN MADE", "- Spécialité : Design d'objet : scénariser, concevoir, fabriquer", 15, 547, 336, 547, 0, 190, 38, 153, 31, 52, 14, 152, 0, 0, 0, 0, 0, 190, 0, 0, 0, 63, 11, 70, 16, 22, 2, 35, 71, 15, 9, 15, 0, 1.0, 13.0, 15.0, 0, 7, 14, 5, 7, 2, 1, 0, 0, 6, 6, 2, 0.0, 5, 7, 2, 0, 0, 7, 7, 6.67, 86.67, 100.0, 60.0, 50.0, 50.0, 0, 50.0, 93.296875, 0.0, 0.0, 42.8984375, 42.8984375, 14.3, 0.0, 35.6953125, 35.6953125, 50.0, 50.0, 14.298828125, 14.298828125, 25.0, 4.0, 3.0, 1.0, 11.0, "Tous les candidats", 108.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "21696", "DN MADE - Objet - - Spécialité : Design d'objet : scénariser, concevoir, fabriquer", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21696&g_ta_cod=21696", 33.0, 53.0, 13.0),
(11480, "Public", "0951147F", "Lycée Fragonard", "95", "Val-d'oise", "Ile-de-France", "Versailles", "L'Isle-Adam", "formation sélective", "BTS", "Lycée Fragonard - BTS - Services - Professions immobilières", "BTS - Services", "", 35, 977, 479, 977, 0, 166, 40, 285, 90, 255, 102, 271, 0, 0, 0, 0, 0, 457, 0, 0, 0, 75, 17, 146, 47, 141, 56, 95, 149, 34, 15, 34, 0, 7.0, 24.0, 30.0, 0, 8, 29, 3, 12, 14, 5, 0, 8, 14, 6, 1, 0.0, 1, 9, 11, 4, 3, 23, 26, 20.59, 70.59, 88.24, 44.09375, 79.296875, 89.6875, 13.798828125, 27.59765625, 85.296875, 0.0, 27.59765625, 48.296875, 20.69921875, 3.4, 0.0, 10.298828125, 3.39990234375, 41.3984375, 31.0, 48.296875, 37.8984375, 12.0, 3.0, 54.0, 18.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 106, "Liste d'appel propre à cette formation", 21.0, "11600", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11600&g_ta_cod=11600", 9.0, 44.0, 47.0),
(11481, "Public", "0140017T", "Lycée Jean Rostand", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "Autre formation", "Lycée Jean Rostand - Diplôme de Comptabilité et de Gestion", "DCG", "", 40, 584, 286, 578, 0, 178, 34, 132, 39, 7, 2, 261, 6, 0, 0, 0, 6, 293, 1, 0, 0, 151, 29, 100, 32, 0, 0, 42, 188, 32, 18, 32, 0, 10.0, 31.0, 32.0, 0, 6, 27, 10, 17, 0, 5, 0, 1, 15, 11, 0, 0.0, 9, 17, 0, 0, 0, 26, 26, 31.25, 96.88, 100.0, 56.296875, 96.296875, 96.296875, 0, 22.19921875, 84.390625, 0.0, 3.69970703125, 55.59375, 40.6953125, 0.0, 0.0, 37.0, 33.296875, 63.0, 63.0, 0.0, 0.0, 96.0, 16.0, 0.0, 0.0, 31.0, "Tous les candidats", 288.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "2828", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2828&g_ta_cod=2828", 44.0, 56.0, 0.0),
(11482, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence_Las", "Université de Rennes 1 - Licence - Portail Portail Economie gestion", "Licence - Droit-économie-gestion", "Portail Economie gestion", 40, 652, 369, 652, 0, 410, 56, 31, 13, 3, 0, 208, 0, 0, 0, 0, 0, 634, 0, 0, 0, 410, 56, 31, 13, 3, 0, 190, 261, 39, 25, 39, 0, 2.0, 18.0, 32.0, 0, 4, 24, 23, 1, 0, 15, 0, 4, 12, 6, 2, 0.0, 19, 1, 0, 0, 0, 23, 23, 5.13, 46.15, 82.05, 64.09375, 95.796875, 95.796875, 0, 16.69921875, 61.5, 0.0, 16.69921875, 50.0, 25.0, 8.3, 0.0, 95.796875, 79.1875, 4.19921875, 4.19921875, 0.0, 0.0, 182.0, 23.0, 0.0, 0.0, 77.0, "Tous les candidats", 2181.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 58.0, "29329", "Licence - Portail Portail Economie gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28353&g_ta_cod=29329", 97.0, 3.0, 0.0),
(11483, "Public", "0620006V", "Lycée Robespierre", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "CPGE", "Lycée Robespierre - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 1078, 760, 1078, 765, 845, 135, 5, 1, 0, 0, 228, 0, 0, 0, 0, 0, 646, 0, 487, 596, 575, 78, 0, 0, 0, 0, 71, 412, 40, 30, 40, 0, 4.0, 31.0, 39.0, 27, 5, 38, 38, 0, 0, 2, 0, 0, 0, 29, 9, 0.0, 38, 0, 0, 0, 0, 34, 34, 10.0, 77.5, 97.5, 75.0, 89.5, 89.5, 0, 13.19921875, 95.0, 0.0, 0.0, 0.0, 76.296875, 23.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 386.0, 55.0, 0.0, 0.0, 26.0, "Tous les candidats", 484.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "7328", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7328&g_ta_cod=7328", 100.0, 0.0, 0.0),
(11484, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence_Las", "Université Toulouse 3 Paul Sabatier - Licence - Portail Génie civil", "Licence - Sciences - technologies - santé", "", 18, 274, 104, 274, 0, 143, 30, 12, 3, 0, 0, 119, 0, 0, 0, 0, 0, 274, 0, 0, 0, 143, 30, 12, 3, 0, 0, 119, 142, 17, 4, 17, 0, 0.0, 8.0, 13.0, 0, 2, 13, 11, 2, 0, 4, 1, 7, 3, 2, 0, 0.0, 4, 1, 0, 0, 0, 9, 9, 0.0, 47.06, 76.47, 23.5, 69.1875, 69.1875, 0, 15.3984375, 76.5, 7.69921875, 53.796875, 23.09765625, 15.3984375, 0.0, 0.0, 84.59375, 30.796875, 15.3984375, 7.69921875, 0.0, 0.0, 97.0, 18.0, 0.0, 0.0, 41.0, "Tous les candidats", 803.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "27521", "Licence - Portail Génie civil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27520&g_ta_cod=27521", 88.0, 12.0, 0.0),
(11485, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Sciences du langage", "Licence - Sciences humaines et sociales", "", 150, 531, 466, 367, 0, 232, 45, 25, 9, 2, 0, 108, 164, 36, 15, 5, 108, 366, 156, 0, 0, 232, 45, 25, 9, 2, 0, 107, 522, 114, 97, 60, 54, 58.0, 60.0, 101.0, 0, 12, 61, 46, 11, 4, 53, 3, 23, 24, 9, 2, 0.0, 28, 5, 2, 0, 0, 48, 48, 50.88, 52.63, 88.6, 85.09375, 78.6875, 78.6875, 0, 19.69921875, 53.5, 4.8994140625, 37.6953125, 39.296875, 14.798828125, 3.3, 0.0, 75.390625, 45.8984375, 18.0, 8.19921875, 6.599609375, 3.2998046875, 268.0, 52.0, 7.0, 3.0, 207.0, "Tous les candidats", 366.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12270", "Licence - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12270&g_ta_cod=12270", 68.0, 22.0, 9.0),
(11486, "Public", "0220023F", "Lycée Felix Le Dantec", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Lannion", "formation sélective", "Autre formation", "Lycée Felix Le Dantec - Mention complémentaire - FCIL Technicien(ne) réseaux et services numériques", "Mention complémentaire", "", 14, 39, 1, 37, 0, 1, 0, 4, 1, 21, 5, 11, 2, 0, 0, 1, 1, 37, 0, 0, 0, 1, 0, 4, 1, 21, 5, 11, 37, 6, 0, 5, 0, 2.0, 5.0, 5.0, 0, 3, 6, 0, 1, 5, 0, 0, 3, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 6, 6, 33.33, 83.33, 83.33, 0.0, 100.0, 100.0, 0, 50.0, 100.0, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 16.69921875, 0.0, 83.296875, 50.0, 0.0, 0.0, 23.0, 5.0, 9.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "24276", "Mention complémentaire - FCIL Technicien(ne) réseaux et services numériques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24276&g_ta_cod=24276", 0.0, 17.0, 83.0),
(11487, "Public", "0300002P", "Lycée Jean-Baptiste Dumas", "30", "Gard", "Occitanie", "Montpellier", "Alès", "formation sélective", "BTS", "Lycée Jean-Baptiste Dumas - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 226, 28, 221, 0, 6, 1, 50, 12, 54, 24, 111, 5, 0, 3, 0, 2, 154, 3, 0, 0, 5, 1, 43, 11, 49, 20, 57, 83, 14, 1, 13, 1, 1.0, 10.0, 12.0, 0, 4, 10, 0, 3, 7, 4, 0, 5, 4, 1, 0, 0.0, 0, 1, 4, 8, 1, 8, 8, 7.14, 71.43, 85.71, 7.099609375, 80.0, 80.0, 80, 40.0, 71.390625, 0.0, 50.0, 40.0, 10.0, 0.0, 0.0, 0.0, 0.0, 30.0, 10.0, 70.0, 40.0, 2.0, 1.0, 29.0, 10.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 45.0, "3922", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3922&g_ta_cod=3922", 7.0, 36.0, 57.0),
(11488, "Privé sous contrat d'association", "0560181T", "Lycée St Joseph - LaSalle Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BTS", "Lycée St Joseph - LaSalle Lorient - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 505, 49, 505, 0, 85, 13, 142, 24, 77, 22, 201, 0, 0, 0, 0, 0, 365, 0, 0, 0, 85, 13, 137, 21, 64, 20, 79, 141, 29, 0, 29, 0, 2.0, 20.0, 27.0, 0, 3, 18, 6, 6, 6, 11, 0, 8, 5, 5, 0, 0.0, 2, 3, 5, 5, 0, 16, 16, 6.9, 68.97, 93.1, 0.0, 88.890625, 88.890625, 27.796875, 16.69921875, 62.09375, 0.0, 44.3984375, 27.796875, 27.796875, 0.0, 0.0, 33.296875, 11.099609375, 33.296875, 16.69921875, 33.296875, 27.796875, 43.0, 6.0, 35.0, 11.0, 25.0, "Tous les candidats sauf les Bac professionnels", 172.0, "Bacheliers professionnels toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 45.0, "6451", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6451&g_ta_cod=6451", 41.0, 31.0, 28.0),
(11489, "Public", "0210006T", "Lycée Clos Maire", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Beaune", "formation sélective", "BTS", "Lycée Clos Maire - BTS - Services - Tourisme", "BTS - Services", "", 36, 652, 416, 623, 0, 141, 31, 88, 25, 87, 39, 307, 29, 2, 4, 7, 16, 281, 11, 0, 0, 112, 21, 51, 18, 68, 27, 50, 178, 33, 25, 28, 4, 6.0, 24.0, 31.0, 0, 3, 25, 12, 8, 5, 8, 0, 16, 6, 3, 0, 0.0, 4, 1, 4, 0, 0, 22, 22, 18.18, 72.73, 93.94, 75.796875, 88.0, 88.0, 0, 12.0, 75.796875, 0.0, 64.0, 24.0, 12.0, 0.0, 0.0, 48.0, 16.0, 32.0, 4.0, 20.0, 16.0, 60.0, 11.0, 49.0, 19.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 132.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 44.0, "3174", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3174&g_ta_cod=3174", 52.0, 24.0, 24.0),
(11490, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : ARABE", "Licence - Arts-lettres-langues", "LLCER : ARABE", 60, 248, 172, 183, 0, 37, 22, 10, 7, 11, 3, 125, 65, 7, 2, 6, 50, 181, 24, 0, 0, 37, 22, 10, 7, 11, 3, 123, 163, 54, 37, 42, 12, 15.0, 39.0, 43.0, 0, 8, 14, 7, 3, 4, 40, 0, 11, 2, 1, 0, 0.0, 1, 1, 1, 0, 0, 4, 10, 27.78, 72.22, 79.63, 68.5, 28.59765625, 71.390625, 0, 57.09375, 25.8984375, 0.0, 78.59375, 14.298828125, 7.099609375, 0.0, 0.0, 50.0, 7.099609375, 21.3984375, 7.099609375, 28.59765625, 7.099609375, 34.0, 23.0, 6.0, 3.0, 114.0, "Tous les candidats", 179.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "9276", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : ARABE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9276&g_ta_cod=9276", 61.0, 17.0, 17.0),
(11491, "Privé enseignement supérieur", "0592808G", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Institut Catholique de Lille - Faculté des Lettres et Sciences Humaines - Licence - Lettres - Parcours Lettres modernes", "Licence - Arts-lettres-langues", "Lettres modernes", 100, 208, 171, 171, 0, 127, 23, 6, 2, 3, 1, 35, 37, 9, 0, 1, 27, 171, 34, 0, 0, 127, 23, 6, 2, 3, 1, 35, 198, 17, 13, 12, 5, 8.0, 12.0, 14.0, 0, 2, 9, 5, 3, 1, 8, 0, 3, 2, 3, 1, 0.0, 4, 1, 1, 0, 0, 4, 4, 47.06, 70.59, 82.35, 76.5, 44.3984375, 44.3984375, 0, 22.19921875, 52.8984375, 0.0, 33.296875, 22.19921875, 33.296875, 11.1, 0.0, 55.59375, 44.3984375, 33.296875, 11.099609375, 11.099609375, 11.099609375, 130.0, 24.0, 4.0, 2.0, 58.0, "Tous les candidats", 171.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12640", "Licence - Lettres - Parcours Lettres modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12640&g_ta_cod=12640", 71.0, 24.0, 6.0),
(11492, "Public", "0830923C", "Lycée Paul Langevin", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Seyne-sur-Mer", "formation sélective", "BTS", "Lycée Paul Langevin - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 20, 226, 12, 222, 0, 10, 0, 40, 5, 120, 46, 52, 4, 0, 0, 0, 4, 151, 1, 0, 0, 6, 0, 33, 3, 90, 31, 22, 82, 17, 1, 16, 1, 3.0, 12.0, 14.0, 0, 2, 14, 1, 1, 12, 3, 0, 5, 6, 2, 1, 0.0, 0, 0, 9, 3, 0, 12, 12, 17.65, 70.59, 82.35, 5.8994140625, 85.6875, 85.6875, 21.3984375, 14.298828125, 82.390625, 0.0, 35.6953125, 42.8984375, 14.298828125, 7.1, 0.0, 7.099609375, 0.0, 7.099609375, 0.0, 85.6875, 64.296875, 5.0, 0.0, 43.0, 10.0, 13.0, "Tous les candidats sauf les Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 63, "", 0, "Liste d'appel propre à cette formation", 52.0, "29771", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29771&g_ta_cod=29771", 12.0, 18.0, 71.0),
(11493, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie de l?Est - Japonais", "Licence - Arts-lettres-langues", "Asie de l?Est - Japonais", 320, 2061, 1394, 2061, 0, 1014, 261, 102, 40, 56, 27, 889, 0, 0, 0, 0, 0, 1515, 0, 0, 0, 920, 220, 2, 0, 1, 0, 592, 896, 317, 215, 317, 0, 226.0, 287.0, 303.0, 0, 39, 179, 179, 0, 0, 138, 0, 10, 59, 81, 27, 2.0, 169, 0, 0, 0, 0, 15, 90, 71.29, 90.54, 95.58, 67.796875, 8.3984375, 50.296875, 0, 21.796875, 56.5, 0.0, 5.599609375, 33.0, 45.296875, 15.1, 1.1, 100.0, 94.390625, 0.0, 0.0, 0.0, 0.0, 585.0, 142.0, 0.0, 0.0, 311.0, "Tous les candidats", 974.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "9397", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie de l?Est - Japonais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9397&g_ta_cod=9397", 98.0, 2.0, 0.0),
(11494, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours  Campus de Tarbes", "Licence - STAPS", "Campus de Tarbes", 250, 2542, 768, 2542, 0, 1717, 236, 266, 47, 69, 21, 490, 0, 0, 0, 0, 0, 2529, 0, 0, 0, 1717, 236, 266, 47, 69, 21, 477, 623, 249, 82, 247, 0, 123.0, 206.0, 224.0, 0, 38, 204, 188, 7, 9, 45, 1, 71, 85, 42, 4, 1.0, 120, 5, 7, 0, 0, 147, 147, 49.4, 82.73, 89.96, 32.8984375, 72.09375, 72.09375, 0, 18.59765625, 81.890625, 0.5, 34.796875, 41.6953125, 20.59765625, 2.0, 0.5, 92.1875, 58.796875, 3.39990234375, 2.5, 4.3994140625, 3.39990234375, 459.0, 73.0, 15.0, 6.0, 139.0, "Tous les candidats", 625.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "7741", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours  Campus de Tarbes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7741&g_ta_cod=7741", 92.0, 5.0, 4.0),
(11495, "Public", "0501213X", "Lycée agricole de Coutances", "50", "Manche", "Normandie", "Normandie", "Coutances", "formation sélective", "BTS", "Lycée agricole de Coutances - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 32, 253, 93, 249, 0, 16, 2, 48, 12, 78, 28, 107, 4, 1, 1, 1, 1, 145, 2, 0, 0, 16, 2, 43, 10, 78, 28, 8, 99, 16, 8, 14, 2, 3.0, 13.0, 15.0, 0, 4, 16, 2, 2, 12, 0, 0, 5, 9, 2, 0, 0.0, 2, 2, 7, 4, 3, 15, 15, 18.75, 81.25, 93.75, 50.0, 93.796875, 93.796875, 25, 25.0, 100.0, 0.0, 31.296875, 56.296875, 12.5, 0.0, 0.0, 12.5, 12.5, 12.5, 12.5, 75.0, 43.796875, 13.0, 2.0, 42.0, 18.0, 7.0, "Tous les candidats sauf les Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 74, "", 0, "Liste d'appel propre à cette formation", 56.0, "6020", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6020&g_ta_cod=6020", 13.0, 13.0, 75.0),
(11496, "Privé sous contrat d'association", "0640131V", "Lycée St Dominique", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "BTS", "Lycée St Dominique - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 30, 669, 491, 669, 0, 159, 29, 191, 51, 25, 7, 294, 0, 0, 0, 0, 0, 310, 0, 0, 0, 106, 21, 105, 26, 10, 4, 89, 139, 26, 22, 26, 0, 4.0, 18.0, 24.0, 0, 2, 22, 11, 9, 2, 4, 0, 3, 13, 6, 0, 0.0, 10, 7, 2, 1, 1, 12, 12, 15.38, 69.23, 92.31, 84.59375, 54.5, 54.5, 4.5, 9.099609375, 84.59375, 0.0, 13.599609375, 59.09375, 27.296875, 0.0, 0.0, 50.0, 45.5, 40.8984375, 31.796875, 9.099609375, 9.099609375, 38.0, 2.0, 3.0, 1.0, 41.0, "Tous les candidats sauf les Bac professionnels", 165.0, "Bacheliers professionnels toutes séries", 3, "", 0, "Liste d'appel propre à cette formation", 25.0, "7722", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7722&g_ta_cod=7722", 54.0, 38.0, 8.0),
(11497, "Public", "0150037J", "ENILV - Georges Pompidou", "15", "Cantal", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aurillac", "formation sélective", "BTS", "ENILV - Georges Pompidou - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 14, 93, 48, 93, 0, 10, 1, 26, 3, 4, 1, 53, 0, 0, 0, 0, 0, 46, 0, 0, 0, 10, 1, 25, 3, 3, 1, 8, 36, 5, 3, 4, 0, 2.0, 4.0, 4.0, 0, 1, 3, 2, 1, 0, 2, 0, 1, 1, 1, 0, 0.0, 1, 1, 0, 1, 0, 3, 3, 40.0, 80.0, 80.0, 60.0, 100.0, 100.0, 33.296875, 33.296875, 60.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 66.6875, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 8.0, 1.0, 3.0, 1.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 47.0, "2957", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2957&g_ta_cod=2957", 60.0, 20.0, 20.0),
(11498, "Privé sous contrat d'association", "0311177L", "Institut Limayrac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Institut Limayrac - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 287, 122, 216, 0, 60, 12, 58, 20, 21, 7, 77, 71, 6, 9, 10, 46, 146, 14, 0, 0, 48, 7, 47, 12, 14, 5, 37, 116, 24, 12, 19, 5, 8.0, 17.0, 18.0, 0, 1, 14, 4, 6, 4, 10, 0, 4, 6, 4, 0, 0.0, 2, 4, 4, 0, 0, 13, 13, 33.33, 70.83, 75.0, 50.0, 92.890625, 92.890625, 0, 7.099609375, 58.296875, 0.0, 28.59765625, 42.8984375, 28.59765625, 0.0, 0.0, 28.59765625, 14.298828125, 42.8984375, 28.59765625, 28.59765625, 28.59765625, 34.0, 6.0, 13.0, 5.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 66.0, "4108", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4108&g_ta_cod=4108", 46.0, 29.0, 25.0),
(11499, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études nord-européennes : scandinave et néerlandais", "Licence - Arts-lettres-langues", "Études nord-européennes : scandinave et néerlandais", 20, 76, 53, 63, 0, 29, 5, 3, 1, 6, 1, 25, 13, 1, 0, 0, 12, 59, 6, 0, 0, 29, 5, 3, 1, 6, 1, 21, 59, 7, 7, 7, 0, 1.0, 7.0, 7.0, 0, 0, 2, 2, 0, 0, 5, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 14.29, 100.0, 100.0, 100.0, 50.0, 50.0, 0, 0.0, 28.59765625, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 28.0, 5.0, 4.0, 1.0, 24.0, "Tous les candidats", 58.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "14200", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études nord-européennes : scandinave et néerlandais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14200&g_ta_cod=14200", 71.0, 14.0, 14.0),
(11500, "Public", "0570029X", "Lycée Jean Moulin", "57", "Moselle", "Grand Est", "Nancy-Metz", "Forbach", "formation sélective", "CPGE", "Lycée Jean Moulin - CPGE - MPSI", "Classe préparatoire scientifique", "", 30, 525, 149, 416, 278, 211, 43, 1, 1, 0, 0, 204, 109, 54, 3, 0, 52, 187, 16, 131, 182, 162, 26, 0, 0, 0, 0, 25, 200, 13, 4, 13, 0, 3.0, 13.0, 13.0, 12, 2, 10, 10, 0, 0, 3, 0, 0, 2, 7, 1, 0.0, 10, 0, 0, 1, 0, 10, 10, 23.08, 100.0, 100.0, 30.796875, 100.0, 100.0, 10, 20.0, 76.890625, 0.0, 0.0, 20.0, 70.0, 10.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 174.0, 25.0, 0.0, 0.0, 26.0, "Tous les candidats", 187.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "6517", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6517&g_ta_cod=6517", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(11501, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Arts du spectacle - Parcours Études cinématographiques", "Licence - Arts-lettres-langues", "Études cinématographiques", 180, 1282, 741, 1274, 0, 764, 154, 71, 17, 44, 18, 395, 8, 0, 1, 1, 6, 1268, 8, 0, 0, 764, 154, 71, 17, 44, 18, 389, 787, 173, 78, 171, 2, 15.0, 122.0, 151.0, 0, 17, 106, 92, 8, 6, 67, 0, 38, 42, 19, 7, 0.0, 62, 4, 2, 0, 0, 42, 42, 8.67, 70.52, 87.28, 45.09375, 39.59375, 39.59375, 0, 16.0, 61.296875, 0.0, 35.796875, 39.59375, 17.8984375, 6.6, 0.0, 86.796875, 58.5, 7.5, 3.7998046875, 5.69921875, 1.89990234375, 478.0, 82.0, 27.0, 10.0, 235.0, "Tous les candidats", 1028.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "8027", "Licence - Arts du spectacle - Parcours Études cinématographiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8027&g_ta_cod=8027", 82.0, 10.0, 8.0),
(11502, "Public", "0330021U", "Lycée Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Montaigne - CPGE - BCPST", "Classe préparatoire scientifique", "", 96, 2861, 1995, 2861, 1864, 2427, 247, 8, 1, 4, 1, 422, 0, 0, 0, 0, 0, 1138, 0, 541, 1121, 1105, 95, 0, 0, 0, 0, 33, 390, 96, 60, 96, 0, 17.0, 72.0, 90.0, 24, 13, 94, 94, 0, 0, 2, 0, 0, 0, 42, 46, 6.0, 94, 0, 0, 3, 3, 76, 76, 17.71, 75.0, 93.75, 62.5, 80.890625, 80.890625, 3.19970703125, 13.798828125, 97.890625, 0.0, 0.0, 0.0, 44.6953125, 48.9, 6.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 385.0, 38.0, 0.0, 0.0, 5.0, "Tous les candidats", 613.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "4273", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4273&g_ta_cod=4273", 100.0, 0.0, 0.0),
(11503, "Public", "0381516S", "IUT 1 GRENOBLE", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "BUT", "IUT 1 GRENOBLE - BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", "BUT - Production", "Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", 109, 2890, 878, 2890, 0, 1450, 224, 730, 179, 56, 23, 654, 0, 0, 0, 0, 0, 1400, 0, 0, 0, 669, 81, 536, 131, 2, 0, 193, 465, 108, 47, 108, 0, 12.0, 86.0, 104.0, 0, 21, 89, 44, 45, 0, 19, 0, 0, 40, 43, 6, 0.0, 44, 45, 0, 0, 0, 56, 56, 11.11, 79.63, 96.3, 43.5, 62.8984375, 62.8984375, 0, 23.59765625, 82.390625, 0.0, 0.0, 44.8984375, 48.296875, 6.7, 0.0, 49.3984375, 49.3984375, 50.59375, 50.59375, 0.0, 0.0, 207.0, 40.0, 1.0, 0.0, 64.0, "Tous les candidats sauf les Bac technologiques", 432.0, "Bacheliers technologiques toutes séries", 359, "", 0, "Liste d'appel propre à cette formation", 27.0, "4971", "BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d'expérience - Création numérique - Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4971&g_ta_cod=4971", 48.0, 51.0, 0.0),
(11504, "Privé sous contrat d'association", "0331503E", "Lycée Sainte Marie Grand Lebrun", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Sainte Marie Grand Lebrun - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 827, 225, 827, 0, 715, 72, 1, 0, 0, 0, 111, 0, 0, 0, 0, 0, 567, 0, 0, 567, 540, 49, 0, 0, 0, 0, 27, 369, 51, 9, 51, 0, 18.0, 23.0, 44.0, 0, 6, 51, 51, 0, 0, 0, 0, 0, 11, 34, 6, 0.0, 51, 0, 0, 1, 0, 44, 44, 35.29, 45.1, 86.27, 17.59765625, 86.296875, 86.296875, 2, 11.798828125, 100.0, 0.0, 0.0, 21.59765625, 66.6875, 11.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 349.0, 35.0, 0.0, 0.0, 20.0, "Tous les candidats", 433.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "17639", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17639&g_ta_cod=17639", 100.0, 0.0, 0.0),
(11505, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 224, 2130, 1515, 2096, 0, 1309, 203, 78, 25, 2, 2, 707, 34, 4, 0, 2, 28, 2083, 33, 0, 0, 1309, 203, 78, 25, 2, 2, 694, 1087, 203, 126, 184, 19, 19.0, 100.0, 160.0, 0, 23, 118, 111, 6, 1, 85, 0, 40, 53, 22, 3, 0.0, 77, 1, 0, 0, 0, 111, 111, 9.36, 49.26, 78.82, 62.09375, 94.09375, 94.09375, 0, 19.5, 58.09375, 0.0, 33.8984375, 44.8984375, 18.59765625, 2.5, 0.0, 94.09375, 65.296875, 5.099609375, 0.7999267578125, 0.7999267578125, 0.0, 677.0, 98.0, 2.0, 0.0, 394.0, "Tous les candidats", 1492.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 61.0, "3535", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27292&g_ta_cod=3535", 94.0, 5.0, 1.0),
(11506, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Sciences de la Terre et environnement", "Licence - Sciences - technologies - santé", "", 60, 466, 254, 463, 0, 298, 39, 18, 3, 3, 2, 144, 3, 0, 0, 1, 2, 463, 3, 0, 0, 298, 39, 18, 3, 3, 2, 144, 393, 55, 24, 53, 2, 32.0, 45.0, 53.0, 0, 6, 43, 41, 1, 1, 12, 1, 18, 18, 4, 2, 0.0, 24, 0, 0, 0, 0, 24, 24, 58.18, 81.82, 96.36, 43.59375, 55.796875, 55.796875, 0, 14.0, 78.1875, 2.2998046875, 41.8984375, 41.8984375, 9.298828125, 4.7, 0.0, 95.296875, 55.796875, 2.2998046875, 0.0, 2.2998046875, 0.0, 256.0, 34.0, 4.0, 3.0, 123.0, "Tous les candidats", 438.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "4899", "Licence - Sciences de la Terre et environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4899&g_ta_cod=4899", 91.0, 7.0, 2.0),
(11507, "Privé sous contrat d'association", "9710993C", "Lycée Bel Air", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "BTS", "Lycée Bel Air - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 32, 188, 90, 177, 0, 35, 13, 27, 13, 19, 16, 96, 11, 0, 3, 1, 7, 167, 5, 0, 0, 35, 13, 27, 13, 17, 14, 88, 109, 14, 8, 12, 1, 4.0, 12.0, 12.0, 0, 8, 12, 2, 5, 5, 2, 0, 6, 5, 1, 0, 0.0, 0, 3, 3, 0, 0, 11, 11, 28.57, 85.71, 85.71, 57.09375, 91.6875, 91.6875, 0, 66.6875, 85.6875, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 16.69921875, 0.0, 41.6953125, 25.0, 41.6953125, 25.0, 31.0, 12.0, 13.0, 10.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 68.0, "16872", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16872&g_ta_cod=16872", 29.0, 36.0, 36.0),
(11508, "Privé sous contrat d'association", "0350797B", "Lycée Jeanne d'Arc", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Jeanne d'Arc - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 398, 364, 398, 0, 67, 14, 116, 15, 115, 22, 100, 0, 0, 0, 0, 0, 308, 0, 0, 0, 62, 13, 89, 13, 80, 18, 77, 131, 38, 37, 38, 0, 10.0, 28.0, 33.0, 0, 5, 23, 7, 10, 6, 15, 0, 7, 12, 4, 0, 0.0, 4, 6, 6, 2, 2, 23, 23, 26.32, 73.68, 86.84, 97.390625, 100.0, 100.0, 8.69921875, 21.69921875, 60.5, 0.0, 30.3984375, 52.1953125, 17.3984375, 0.0, 0.0, 30.3984375, 17.3984375, 43.5, 26.09765625, 26.09765625, 26.09765625, 13.0, 5.0, 44.0, 7.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 89, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 51.0, "4699", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4699&g_ta_cod=4699", 37.0, 39.0, 24.0),
(11509, "Privé sous contrat d'association", "0801479Y", "Lycée Saint Remi", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Saint Remi - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 375, 328, 367, 0, 47, 15, 113, 22, 107, 33, 100, 8, 0, 0, 3, 5, 251, 3, 0, 0, 46, 14, 84, 17, 65, 15, 56, 130, 29, 27, 27, 1, 6.0, 18.0, 26.0, 0, 4, 21, 2, 6, 13, 8, 0, 5, 9, 6, 1, 0.0, 0, 3, 13, 3, 3, 20, 20, 20.69, 62.07, 89.66, 93.09375, 95.1875, 95.1875, 14.298828125, 19.0, 72.390625, 0.0, 23.796875, 42.8984375, 28.59765625, 4.8, 0.0, 9.5, 0.0, 28.59765625, 14.298828125, 61.8984375, 61.8984375, 22.0, 6.0, 48.0, 11.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 49.0, "20056", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20056&g_ta_cod=20056", 21.0, 31.0, 48.0),
(11510, "Public", "9741204R", "Université de la Réunion - Le Tampon", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation non sélective", "Licence", "Université de la Réunion - Le Tampon - Licence - Génie civil - Parcours Sciences et ingénierie de la construction", "Licence - Sciences - technologies - santé", "Sciences et ingénierie de la construction", 120, 255, 57, 194, 0, 75, 32, 65, 29, 3, 1, 51, 61, 10, 7, 5, 39, 194, 59, 0, 0, 75, 32, 65, 29, 3, 1, 51, 250, 84, 13, 46, 38, 27.0, 44.0, 70.0, 0, 21, 43, 29, 9, 5, 41, 0, 25, 14, 4, 0, 0.0, 9, 6, 3, 0, 0, 41, 41, 32.14, 52.38, 83.33, 15.5, 95.296875, 95.296875, 0, 48.796875, 51.1953125, 0.0, 58.09375, 32.59375, 9.298828125, 0.0, 0.0, 67.390625, 20.8984375, 20.8984375, 14.0, 11.599609375, 7.0, 85.0, 37.0, 7.0, 5.0, 88.0, "Tous les candidats", 194.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11966", "Licence - Génie civil - Parcours Sciences et ingénierie de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11966&g_ta_cod=11966", 49.0, 35.0, 14.0),
(11511, "Public", "0573435Z", "I.U.T. Thionville-Yutz - Université de Lorraine", "57", "Moselle", "Grand Est", "Nancy-Metz", "Yutz", "formation sélective", "BUT", "I.U.T. Thionville-Yutz - Université de Lorraine - BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "BUT - Production", "", 56, 694, 361, 666, 0, 446, 48, 84, 15, 0, 0, 136, 28, 0, 11, 1, 16, 494, 9, 0, 0, 355, 36, 52, 11, 0, 0, 87, 352, 45, 28, 41, 4, 3.0, 37.0, 41.0, 0, 6, 34, 30, 4, 0, 11, 0, 7, 18, 8, 0, 1.0, 24, 3, 0, 0, 0, 17, 17, 6.67, 82.22, 91.11, 62.1953125, 50.0, 50.0, 0, 17.59765625, 75.59375, 0.0, 20.59765625, 52.8984375, 23.5, 0.0, 2.9, 88.1875, 70.59375, 11.798828125, 8.798828125, 0.0, 0.0, 234.0, 30.0, 0.0, 0.0, 72.0, "Tous les candidats sauf les Bac technologiques", 384.0, "Bacheliers technologiques toutes séries", 57, "", 0, "Liste d'appel propre à cette formation", 66.0, "6669", "BUT - Génie biologique parcours sciences de l'environnement et écotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6669&g_ta_cod=6669", 82.0, 18.0, 0.0),
(11512, "Public", "0222048G", "Institut national de l'éducation artistique et culturelle - Guingamp", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Guingamp", "formation sélective", "Autre formation", "Institut national de l'éducation artistique et culturelle - Guingamp - Formation Supérieure de Spécialisation - Education artistique et culturelle", "Diplôme d'Université", "Education artistique et culturelle", 10, 18, 9, 12, 0, 5, 1, 2, 1, 0, 0, 5, 6, 2, 0, 0, 4, 12, 4, 0, 0, 5, 1, 2, 1, 0, 0, 5, 16, 3, 3, 2, 1, 2.0, 2.0, 3.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 66.67, 66.67, 100.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7.0, 2.0, 0.0, 0.0, 7.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "33509", "Formation Supérieure de Spécialisation - Education artistique et culturelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33509&g_ta_cod=33509", 100.0, 0.0, 0.0),
(11513, "Public", "0910727W", "Lycée Parc de Vilgenis", "91", "Essonne", "Ile-de-France", "Versailles", "Massy", "formation sélective", "BTS", "Lycée Parc de Vilgenis - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 30, 246, 12, 202, 0, 5, 1, 71, 10, 85, 28, 41, 44, 0, 1, 26, 17, 156, 7, 0, 0, 3, 0, 70, 10, 67, 19, 16, 114, 21, 0, 17, 4, 2.0, 15.0, 19.0, 0, 1, 18, 0, 5, 13, 3, 0, 9, 7, 2, 0, 0.0, 0, 2, 7, 5, 0, 17, 18, 9.52, 71.43, 90.48, 0.0, 94.390625, 100.0, 27.796875, 5.599609375, 85.6875, 0.0, 50.0, 38.8984375, 11.099609375, 0.0, 0.0, 0.0, 0.0, 27.796875, 11.099609375, 72.1875, 38.8984375, 1.0, 0.0, 65.0, 19.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 74.0, "10878", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10878&g_ta_cod=10878", 0.0, 24.0, 76.0),
(11514, "Public", "0050006E", "Lycée Dominique Villars", "05", "Hautes-Alpes", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Gap", "formation sélective", "BTS", "Lycée Dominique Villars - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 282, 134, 281, 0, 35, 6, 108, 35, 67, 18, 71, 1, 0, 1, 0, 0, 236, 1, 0, 0, 35, 6, 105, 34, 64, 17, 32, 131, 28, 11, 28, 0, 5.0, 22.0, 25.0, 0, 5, 23, 6, 10, 7, 5, 0, 11, 10, 2, 0, 0.0, 2, 4, 6, 4, 3, 23, 23, 17.86, 78.57, 89.29, 39.296875, 100.0, 100.0, 17.3984375, 21.69921875, 82.09375, 0.0, 47.796875, 43.5, 8.69921875, 0.0, 0.0, 26.09765625, 8.69921875, 43.5, 17.3984375, 30.3984375, 26.09765625, 21.0, 4.0, 29.0, 8.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 47.0, "2174", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2174&g_ta_cod=2174", 21.0, 43.0, 36.0),
(11515, "Privé sous contrat d'association", "0781023N", "Lycée professionnel Agricole Tecomah", "78", "Yvelines", "Ile-de-France", "Versailles", "Jouy-en-Josas", "formation sélective", "BTS", "Lycée professionnel Agricole Tecomah - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 35, 162, 59, 157, 0, 40, 1, 20, 3, 29, 2, 68, 5, 1, 0, 2, 2, 95, 4, 0, 0, 38, 1, 16, 2, 26, 2, 15, 92, 27, 10, 24, 3, 9.0, 24.0, 26.0, 0, 1, 22, 10, 1, 11, 5, 0, 3, 15, 4, 0, 0.0, 9, 1, 9, 4, 0, 14, 19, 33.33, 88.89, 96.3, 37.0, 63.59375, 86.390625, 18.19921875, 4.5, 81.5, 0.0, 13.599609375, 68.1875, 18.19921875, 0.0, 0.0, 45.5, 40.8984375, 4.5, 4.5, 50.0, 40.8984375, 35.0, 2.0, 28.0, 3.0, 13.0, "Tous les candidats sauf les Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 61.0, "9964", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9964&g_ta_cod=9964", 48.0, 11.0, 41.0),
(11516, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Autre formation", "Université Clermont Auvergne - CUPGE - Prep'ISIMA", "CUPGE - Sciences, technologie, santé", "", 26, 258, 37, 258, 0, 225, 26, 3, 1, 0, 0, 30, 0, 0, 0, 0, 0, 99, 0, 0, 0, 97, 7, 0, 0, 0, 0, 2, 71, 30, 3, 30, 0, 17.0, 30.0, 30.0, 0, 5, 30, 30, 0, 0, 0, 0, 0, 1, 14, 13, 2.0, 30, 0, 0, 0, 0, 20, 20, 56.67, 100.0, 100.0, 10.0, 66.6875, 66.6875, 0, 16.69921875, 100.0, 0.0, 0.0, 3.2998046875, 46.6953125, 43.3, 6.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 71.0, 7.0, 0.0, 0.0, 0.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "13838", "CUPGE - Prep'ISIMA", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13838&g_ta_cod=13838", 100.0, 0.0, 0.0),
(11517, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Double licence - Droit / Informatique - Parcours sélectif  bi-diplômant DROIT / INFORMATIQUE - Malakoff/Campus Saint Germain des Près", "Licence - Droit-économie-gestion", "Parcours sélectif  bi-diplômant DROIT / INFORMATIQUE - Malakoff/Campus Saint Germain des Près", 10, 236, 105, 140, 0, 76, 27, 10, 3, 0, 0, 54, 96, 43, 4, 2, 47, 28, 0, 0, 0, 21, 2, 0, 0, 0, 0, 7, 25, 7, 3, 7, 0, 0.0, 6.0, 7.0, 0, 0, 3, 3, 0, 0, 4, 0, 0, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 2, 2, 0.0, 85.71, 100.0, 42.8984375, 66.6875, 66.6875, 0, 0.0, 42.8984375, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 18.0, 2.0, 0.0, 0.0, 7.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "24311", "Double licence - Droit / Informatique - Parcours sélectif  bi-diplômant DROIT / INFORMATIQUE - Malakoff/Campus Saint Germain des Près", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24311&g_ta_cod=24311", 100.0, 0.0, 0.0),
(11518, "Privé sous contrat d'association", "0622198C", "Lycée Saint Joseph", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Martin-Boulogne", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 32, 110, 11, 103, 0, 7, 1, 30, 5, 24, 6, 42, 7, 2, 1, 1, 3, 67, 4, 0, 0, 7, 1, 30, 5, 24, 6, 6, 64, 7, 0, 6, 1, 4.0, 6.0, 7.0, 0, 1, 5, 0, 5, 0, 2, 0, 1, 4, 0, 0, 0.0, 0, 4, 0, 5, 0, 5, 5, 57.14, 85.71, 100.0, 0.0, 100.0, 100.0, 100, 20.0, 71.390625, 0.0, 20.0, 80.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 8.0, 1.0, 25.0, 7.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 65.0, "7421", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7421&g_ta_cod=7421", 14.0, 86.0, 0.0),
(11519, "Public", "0623915U", "Lycée Voltaire", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Wingles", "formation sélective", "BTS", "Lycée Voltaire - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 445, 219, 426, 0, 38, 11, 167, 68, 134, 64, 87, 19, 0, 0, 10, 9, 342, 7, 0, 0, 36, 10, 158, 63, 84, 41, 64, 137, 36, 19, 31, 5, 5.0, 28.0, 33.0, 0, 14, 30, 1, 10, 19, 6, 0, 7, 11, 12, 0, 0.0, 0, 10, 13, 6, 5, 30, 30, 13.89, 77.78, 91.67, 52.796875, 100.0, 100.0, 20, 46.6953125, 83.296875, 0.0, 23.296875, 36.6953125, 40.0, 0.0, 0.0, 3.2998046875, 0.0, 33.296875, 33.296875, 63.296875, 43.296875, 11.0, 5.0, 69.0, 32.0, 13.0, "Tous les candidats sauf les Bac professionnels", 89.0, "Bacheliers professionnels toutes séries", 88, "", 0, "Liste d'appel propre à cette formation", 41.0, "7490", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7490&g_ta_cod=7490", 3.0, 36.0, 61.0),
(11520, "Public", "0211599Z", "IFSI Croix Rouge Française Quetigny", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Quetigny", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bourgogne Dijon - D.E Infirmier", "D.E secteur sanitaire", "", 40, 2994, 2521, 2994, 0, 537, 93, 556, 110, 277, 87, 1624, 0, 0, 0, 0, 0, 2468, 0, 0, 0, 491, 79, 464, 89, 200, 62, 1313, 413, 40, 29, 40, 0, 1.0, 18.0, 30.0, 0, 1, 17, 7, 7, 3, 23, 0, 3, 6, 6, 2, 0.0, 4, 7, 3, 0, 0, 9, 9, 2.5, 45.0, 75.0, 72.5, 52.8984375, 52.8984375, 0, 5.8994140625, 42.5, 0.0, 17.59765625, 35.296875, 35.296875, 11.8, 0.0, 41.1953125, 23.5, 41.1953125, 41.1953125, 17.59765625, 17.59765625, 96.0, 11.0, 45.0, 14.0, 225.0, "Tous les candidats", 1367.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "23086", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23009&g_ta_cod=23086", 53.0, 40.0, 8.0),
(11521, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 250, 1202, 551, 986, 0, 672, 161, 88, 31, 27, 8, 199, 216, 51, 29, 15, 121, 981, 215, 0, 0, 672, 161, 88, 31, 27, 8, 194, 1011, 214, 79, 147, 67, 30.0, 146.0, 189.0, 0, 39, 138, 99, 25, 14, 76, 2, 52, 53, 26, 5, 0.0, 68, 8, 8, 0, 0, 91, 91, 14.02, 68.22, 88.32, 36.8984375, 65.890625, 65.890625, 0, 28.296875, 64.5, 1.39990234375, 37.6953125, 38.3984375, 18.796875, 3.6, 0.0, 71.6875, 49.296875, 18.09765625, 5.7998046875, 10.099609375, 5.7998046875, 598.0, 147.0, 33.0, 12.0, 285.0, "Tous les candidats", 981.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "6116", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6116&g_ta_cod=6116", 64.0, 21.0, 14.0),
(11522, "Privé sous contrat d'association", "0754908C", "CENTRE FORMATION SAINT-HONORE", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "EFTS", "CENTRE FORMATION SAINT-HONORE - D.E Educateur Spécialisé", "D.E secteur social", "", 30, 331, 273, 331, 0, 39, 5, 52, 20, 64, 25, 176, 0, 0, 0, 0, 0, 143, 0, 0, 0, 24, 2, 25, 11, 15, 2, 79, 59, 29, 26, 29, 0, 15.0, 26.0, 29.0, 0, 2, 7, 1, 4, 2, 22, 0, 1, 2, 4, 0, 0.0, 1, 3, 2, 0, 0, 1, 7, 51.72, 89.66, 100.0, 89.6875, 14.298828125, 100.0, 0, 28.59765625, 24.09765625, 0.0, 14.298828125, 28.59765625, 57.09375, 0.0, 0.0, 14.298828125, 14.298828125, 57.09375, 42.8984375, 28.59765625, 28.59765625, 6.0, 0.0, 3.0, 0.0, 44.0, "Tous les candidats", 63.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "23750", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23750&g_ta_cod=23750", 59.0, 28.0, 14.0),
(11523, "Public", "0870041X", "Lycée professionnel Edouard Vaillant", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Saint-Junien", "formation sélective", "BTS", "Lycée professionnel Edouard Vaillant - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 11, 165, 11, 157, 0, 15, 3, 9, 0, 41, 9, 92, 8, 0, 0, 2, 6, 58, 4, 0, 0, 14, 3, 7, 0, 36, 7, 1, 56, 6, 0, 1, 3, 0.0, 0.0, 5.0, 0, 1, 3, 0, 1, 2, 3, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 0.0, 0.0, 83.33, 0.0, 66.6875, 66.6875, 0, 33.296875, 50.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 33.296875, 11.0, 3.0, 34.0, 6.0, 5.0, "Tous les candidats sauf les Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 37.0, "25966", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25966&g_ta_cod=25966", 17.0, 17.0, 67.0),
(11524, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges / Lycée Turgot Limoges - Licence - Sciences et technologies - Parcours Préparatoire au Professorat des écoles", "Licence - Sciences - technologies - santé", "Préparatoire au Professorat des écoles", 25, 279, 210, 278, 0, 165, 37, 25, 6, 5, 3, 83, 1, 0, 0, 0, 1, 277, 0, 0, 0, 165, 37, 25, 6, 5, 3, 82, 127, 24, 18, 24, 0, 4.0, 17.0, 22.0, 0, 4, 17, 16, 1, 0, 7, 0, 4, 6, 6, 1, 0.0, 12, 1, 0, 0, 0, 7, 7, 16.67, 70.83, 91.67, 75.0, 41.1953125, 41.1953125, 0, 23.5, 70.796875, 0.0, 23.5, 35.296875, 35.296875, 5.9, 0.0, 94.09375, 70.59375, 5.8994140625, 5.8994140625, 0.0, 0.0, 76.0, 16.0, 2.0, 2.0, 48.0, "Tous les candidats", 225.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "32725", "Licence - Sciences et technologies - Parcours Préparatoire au Professorat des écoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32725&g_ta_cod=32725", 96.0, 4.0, 0.0),
(11525, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Anglais", "Licence - Arts-lettres-langues", "Anglais", 55, 438, 337, 409, 0, 330, 46, 21, 3, 8, 3, 50, 29, 7, 1, 0, 21, 409, 26, 0, 0, 330, 46, 21, 3, 8, 3, 50, 303, 46, 35, 43, 3, 19.0, 42.0, 43.0, 0, 3, 43, 39, 3, 1, 3, 0, 9, 15, 17, 2, 0.0, 33, 1, 0, 0, 0, 31, 31, 41.3, 91.3, 93.48, 76.09375, 72.09375, 72.09375, 0, 7.0, 93.5, 0.0, 20.8984375, 34.8984375, 39.5, 4.7, 0.0, 90.6875, 76.6875, 7.0, 2.2998046875, 2.2998046875, 0.0, 243.0, 28.0, 4.0, 1.0, 41.0, "Tous les candidats", 475.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "27509", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28946&g_ta_cod=27509", 91.0, 7.0, 2.0),
(11526, "Privé hors contrat", "0190071Z", "Institut Briviste Supérieur Administration et Commerce (Ecole secondaire professionnelle privée)", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BTS", "Institut Briviste Supérieur Administration et Commerce (Ecole secondaire professionnelle privée) - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 10, 38, 16, 27, 0, 4, 0, 5, 1, 5, 2, 13, 11, 1, 1, 0, 9, 13, 8, 0, 0, 4, 0, 3, 0, 3, 1, 3, 21, 1, 0, 0, 1, 0.0, 0.0, 1.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5.0, 0.0, 3.0, 1.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers technologiques toutes séries", 4, "Bacheliers professionnels toutes séries", 3, "Liste d'appel propre à cette formation", 48.0, "33189", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33189&g_ta_cod=33189", 100.0, 0.0, 0.0),
(11527, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Université Toulouse 3 Paul Sabatier - DEUST - Métiers de la forme", "DEUST", "", 28, 741, 165, 528, 0, 189, 37, 155, 34, 16, 5, 168, 213, 88, 49, 5, 71, 43, 4, 0, 0, 22, 2, 11, 0, 0, 0, 10, 44, 27, 14, 23, 4, 18.0, 23.0, 27.0, 0, 1, 16, 12, 4, 0, 11, 0, 5, 9, 2, 0, 0.0, 9, 2, 0, 0, 0, 7, 7, 66.67, 85.19, 100.0, 51.8984375, 43.796875, 43.796875, 0, 6.2998046875, 59.296875, 0.0, 31.296875, 56.296875, 12.5, 0.0, 0.0, 75.0, 56.296875, 25.0, 12.5, 0.0, 0.0, 21.0, 2.0, 0.0, 0.0, 14.0, "Tous les candidats", 42.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "4179", "DEUST - Métiers de la forme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4179&g_ta_cod=4179", 78.0, 22.0, 0.0),
(11528, "Public", "0540076P", "Lycée Jean Zay", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Jarny", "formation sélective", "BTS", "Lycée Jean Zay - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 274, 39, 268, 0, 27, 2, 67, 16, 55, 15, 119, 6, 0, 3, 0, 3, 153, 0, 0, 0, 27, 2, 62, 13, 42, 9, 22, 67, 13, 1, 13, 0, 3.0, 11.0, 13.0, 0, 2, 11, 0, 6, 5, 2, 0, 5, 4, 2, 0, 0.0, 0, 2, 4, 4, 0, 11, 11, 23.08, 84.62, 100.0, 7.69921875, 100.0, 100.0, 36.3984375, 18.19921875, 84.59375, 0.0, 45.5, 36.3984375, 18.19921875, 0.0, 0.0, 0.0, 0.0, 54.5, 18.19921875, 45.5, 36.3984375, 14.0, 2.0, 9.0, 2.0, 14.0, "Tous les candidats sauf les Bac professionnels", 101.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 42.0, "6287", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6287&g_ta_cod=6287", 8.0, 46.0, 46.0),
(11529, "Public", "0690074F", "Lycée Parc Chabrieres", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Oullins", "formation sélective", "BTS", "Lycée Parc Chabrieres - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 34, 1249, 607, 1249, 0, 101, 46, 396, 188, 226, 136, 526, 0, 0, 0, 0, 0, 469, 0, 0, 0, 48, 15, 182, 77, 145, 86, 94, 214, 28, 15, 26, 0, 4.0, 19.0, 23.0, 0, 10, 19, 0, 11, 8, 9, 0, 8, 7, 4, 0, 0.0, 0, 6, 5, 2, 0, 17, 17, 14.29, 67.86, 82.14, 53.59375, 89.5, 89.5, 10.5, 52.59375, 67.890625, 0.0, 42.09375, 36.796875, 21.09765625, 0.0, 0.0, 0.0, 0.0, 57.8984375, 31.59765625, 42.09375, 26.296875, 13.0, 7.0, 71.0, 41.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 126, "Bacheliers technologiques toutes séries", 201, "Liste d'appel propre à cette formation", 30.0, "8234", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8234&g_ta_cod=8234", 7.0, 61.0, 32.0),
(11530, "Privé sous contrat d'association", "0680149T", "Lycée Saint-Andre", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BTS", "Lycée Saint-Andre - BTS - Services - Economie sociale familiale", "BTS - Services", "", 36, 270, 247, 268, 0, 29, 7, 77, 31, 92, 37, 70, 2, 0, 0, 0, 2, 268, 2, 0, 0, 29, 7, 77, 31, 92, 37, 70, 144, 28, 27, 28, 0, 5.0, 19.0, 20.0, 0, 8, 20, 2, 8, 10, 8, 0, 6, 12, 1, 1, 0.0, 1, 5, 8, 2, 1, 18, 18, 17.86, 67.86, 71.43, 96.390625, 90.0, 90.0, 10, 40.0, 71.390625, 0.0, 30.0, 60.0, 5.0, 5.0, 0.0, 10.0, 5.0, 40.0, 25.0, 50.0, 40.0, 5.0, 1.0, 52.0, 17.0, 34.0, "Tous les candidats sauf les Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 60, "", 0, "Liste d'appel propre à cette formation", 50.0, "8131", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8131&g_ta_cod=8131", 11.0, 43.0, 46.0),
(11531, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Trilangue Anglais - Japonais - 3ème langue à choix", "Licence - Arts-lettres-langues", "Trilangue Anglais - Japonais - 3ème langue à choix", 35, 474, 350, 474, 0, 286, 87, 22, 10, 7, 5, 159, 0, 0, 0, 0, 0, 472, 0, 0, 0, 286, 87, 22, 10, 7, 5, 157, 175, 34, 21, 34, 0, 3.0, 24.0, 26.0, 0, 7, 19, 17, 1, 1, 15, 0, 4, 8, 6, 1, 0.0, 13, 1, 1, 0, 0, 14, 14, 8.82, 70.59, 76.47, 61.796875, 73.6875, 73.6875, 0, 36.796875, 55.8984375, 0.0, 21.09765625, 42.09375, 31.59765625, 5.3, 0.0, 89.5, 68.390625, 5.2998046875, 5.2998046875, 5.2998046875, 5.2998046875, 100.0, 31.0, 2.0, 1.0, 62.0, "Tous les candidats", 184.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "23993", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Trilangue Anglais - Japonais - 3ème langue à choix", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23993&g_ta_cod=23993", 94.0, 3.0, 3.0),
(11532, "Public", "0880021V", "Lycée Pierre Mendes France", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "BTS", "Lycée Pierre Mendes France - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 201, 12, 201, 0, 8, 2, 60, 13, 49, 11, 84, 0, 0, 0, 0, 0, 148, 0, 0, 0, 8, 2, 60, 13, 49, 11, 31, 105, 19, 1, 19, 0, 3.0, 14.0, 16.0, 0, 4, 13, 0, 4, 9, 6, 0, 4, 6, 3, 0, 0.0, 0, 1, 8, 9, 0, 12, 12, 15.79, 73.68, 84.21, 5.2998046875, 92.296875, 92.296875, 69.1875, 30.796875, 68.390625, 0.0, 30.796875, 46.1953125, 23.09765625, 0.0, 0.0, 0.0, 0.0, 30.796875, 7.69921875, 69.1875, 61.5, 5.0, 1.0, 36.0, 7.0, 13.0, "Tous les candidats sauf les Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 64.0, "10733", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10733&g_ta_cod=10733", 5.0, 42.0, 53.0),
(11533, "Public", "0590119J", "Lycée Faidherbe", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Faidherbe - CPGE - BCPST", "Classe préparatoire scientifique", "", 96, 2086, 1442, 2086, 1329, 1651, 216, 8, 2, 2, 1, 425, 0, 0, 0, 0, 0, 937, 0, 662, 921, 859, 91, 0, 0, 0, 0, 78, 460, 93, 69, 93, 0, 22.0, 67.0, 87.0, 43, 7, 93, 93, 0, 0, 0, 0, 0, 0, 17, 60, 16.0, 93, 0, 0, 3, 2, 74, 74, 23.66, 72.04, 93.55, 74.1875, 79.59375, 79.59375, 3.19970703125, 7.5, 100.0, 0.0, 0.0, 0.0, 18.296875, 64.5, 17.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 450.0, 46.0, 0.0, 0.0, 10.0, "Tous les candidats", 650.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "6782", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6782&g_ta_cod=6782", 100.0, 0.0, 0.0),
(11534, "Public", "9730001N", "Lycée Félix EBOUE", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "Autre formation", "Lycée Félix EBOUE - Diplôme de Comptabilité et de Gestion", "DCG", "", 24, 205, 109, 205, 0, 102, 61, 36, 22, 41, 26, 26, 0, 0, 0, 0, 0, 95, 0, 0, 0, 75, 42, 17, 10, 0, 0, 3, 56, 24, 13, 24, 0, 9.0, 23.0, 24.0, 0, 14, 24, 21, 3, 0, 0, 0, 8, 7, 6, 3, 0.0, 13, 3, 0, 0, 0, 24, 24, 37.5, 95.83, 100.0, 54.1953125, 100.0, 100.0, 0, 58.296875, 100.0, 0.0, 33.296875, 29.19921875, 25.0, 12.5, 0.0, 87.5, 54.1953125, 12.5, 12.5, 0.0, 0.0, 50.0, 30.0, 0.0, 0.0, 2.0, "Tous les candidats", 86.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "25105", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25105&g_ta_cod=25105", 88.0, 13.0, 0.0),
(11535, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte - Licence - Langues étrangères appliquées - Parcours Anglais/italien ou anglais/espagnol", "Licence - Arts-lettres-langues", "Anglais/italien ou anglais/espagnol", 60, 242, 168, 183, 0, 110, 31, 21, 7, 8, 4, 44, 59, 12, 6, 1, 40, 182, 48, 0, 0, 110, 31, 21, 7, 8, 4, 43, 217, 40, 25, 26, 12, 6.0, 26.0, 36.0, 0, 4, 24, 15, 6, 3, 16, 0, 11, 7, 6, 0, 0.0, 10, 2, 1, 0, 0, 23, 23, 15.0, 65.0, 90.0, 62.5, 95.796875, 95.796875, 0, 16.69921875, 60.0, 0.0, 45.796875, 29.19921875, 25.0, 0.0, 0.0, 62.5, 41.6953125, 25.0, 8.298828125, 12.5, 4.19921875, 105.0, 30.0, 7.0, 3.0, 72.0, "Tous les candidats", 182.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "13873", "Licence - Langues étrangères appliquées - Parcours Anglais/italien ou anglais/espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13873&g_ta_cod=13873", 63.0, 23.0, 10.0),
(11536, "Public", "0590101P", "Lycée des Flandres", "59", "Nord", "Hauts-de-France", "Lille", "Hazebrouck", "formation sélective", "BTS", "Lycée des Flandres - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 369, 191, 369, 0, 42, 9, 116, 31, 145, 66, 66, 0, 0, 0, 0, 0, 243, 0, 0, 0, 36, 8, 75, 21, 108, 49, 24, 65, 21, 10, 21, 0, 9.0, 18.0, 19.0, 0, 9, 18, 0, 7, 11, 3, 0, 3, 6, 6, 3, 0.0, 0, 5, 10, 3, 3, 18, 18, 42.86, 85.71, 90.48, 47.59375, 100.0, 100.0, 16.69921875, 50.0, 85.6875, 0.0, 16.69921875, 33.296875, 33.296875, 16.7, 0.0, 0.0, 0.0, 38.8984375, 27.796875, 61.09375, 55.59375, 1.0, 0.0, 39.0, 16.0, 6.0, "Tous les candidats sauf les Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 68, "", 0, "Liste d'appel propre à cette formation", 31.0, "6770", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6770&g_ta_cod=6770", 10.0, 33.0, 57.0),
(11537, "Public", "0770931U", "Lycée Pierre de Coubertin", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "CPGE", "Lycée Pierre de Coubertin - CPGE - PTSI", "Classe préparatoire scientifique", "", 24, 230, 52, 153, 103, 121, 15, 2, 0, 0, 0, 30, 77, 34, 3, 2, 38, 142, 12, 103, 102, 116, 15, 2, 0, 0, 0, 24, 106, 16, 3, 15, 1, 6.0, 15.0, 16.0, 7, 2, 13, 13, 0, 0, 3, 0, 2, 8, 2, 1, 0.0, 11, 0, 0, 3, 1, 9, 11, 37.5, 93.75, 100.0, 18.796875, 69.1875, 84.59375, 23.09765625, 15.3984375, 81.296875, 0.0, 15.3984375, 61.5, 15.3984375, 7.7, 0.0, 100.0, 84.59375, 0.0, 0.0, 0.0, 0.0, 93.0, 13.0, 0.0, 0.0, 13.0, "Tous les candidats", 110.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "9802", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9802&g_ta_cod=9802", 100.0, 0.0, 0.0),
(11538, "Public", "0380034F", "Lycée Louise Michel", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "Autre formation", "Lycée Louise Michel - Mention complémentaire - FCIL - CAES - Option Services - Spécialité : Métiers des services aux entreprises et aux organisations", "Mention complémentaire", "Spécialité : Métiers des services aux entreprises et aux organisations", 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 58, 8, 4, 0, 0, 0.0, 0.0, 0.0, 0, 1, 8, 0, 2, 6, 0, 0, 7, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 8, 8, 0.0, 0.0, 0.0, 50.0, 100.0, 100.0, 0, 12.5, 100.0, 0.0, 87.5, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 12.5, 0.0, 0.0, 47.0, 20.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30595", "Mention complémentaire - FCIL - CAES - Option Services - Spécialité : Métiers des services aux entreprises et aux organisations", "", "", 0.0, 25.0, 75.0),
(11539, "Privé sous contrat d'association", "0300077W", "Lycée BELLEVUE", "30", "Gard", "Occitanie", "Montpellier", "Alès", "formation sélective", "BTS", "Lycée BELLEVUE - BTS - Services - Gestion de la PME", "BTS - Services", "", 22, 152, 88, 132, 0, 9, 2, 25, 9, 32, 17, 66, 20, 0, 13, 2, 5, 100, 15, 0, 0, 9, 2, 24, 9, 30, 15, 37, 89, 10, 6, 8, 2, 2.0, 7.0, 8.0, 0, 4, 7, 1, 2, 4, 3, 0, 2, 3, 2, 0, 0.0, 1, 0, 4, 1, 1, 7, 7, 20.0, 70.0, 80.0, 60.0, 100.0, 100.0, 14.298828125, 57.09375, 70.0, 0.0, 28.59765625, 42.8984375, 28.59765625, 0.0, 0.0, 14.298828125, 14.298828125, 28.59765625, 0.0, 57.09375, 57.09375, 8.0, 2.0, 28.0, 15.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 64.0, "3959", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3959&g_ta_cod=3959", 30.0, 20.0, 50.0),
(11540, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Chinois", "Licence - Arts-lettres-langues", "Chinois", 40, 181, 142, 165, 0, 86, 32, 11, 6, 10, 7, 58, 16, 2, 1, 1, 12, 165, 16, 0, 0, 86, 32, 11, 6, 10, 7, 58, 141, 39, 29, 32, 7, 10.0, 31.0, 37.0, 0, 6, 16, 13, 2, 1, 23, 0, 6, 3, 6, 1, 0.0, 7, 2, 1, 0, 0, 9, 9, 25.64, 79.49, 94.87, 74.390625, 56.296875, 56.296875, 0, 37.5, 41.0, 0.0, 37.5, 18.796875, 37.5, 6.3, 0.0, 81.296875, 43.796875, 12.5, 12.5, 6.2998046875, 6.2998046875, 72.0, 25.0, 9.0, 5.0, 49.0, "Tous les candidats", 165.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7074", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7074&g_ta_cod=7074", 69.0, 13.0, 10.0),
(11541, "Privé sous contrat d'association", "9741256X", "Lycée Levavasseur", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée Levavasseur - BTS - Services - Economie sociale familiale", "BTS - Services", "", 18, 365, 308, 313, 0, 56, 28, 81, 50, 86, 51, 90, 52, 1, 15, 7, 29, 137, 5, 0, 0, 26, 8, 43, 27, 42, 22, 26, 84, 16, 12, 13, 3, 2.0, 10.0, 11.0, 0, 3, 12, 4, 4, 4, 4, 0, 5, 3, 4, 0, 0.0, 2, 2, 3, 0, 0, 12, 12, 12.5, 62.5, 68.75, 75.0, 100.0, 100.0, 0, 25.0, 75.0, 0.0, 41.6953125, 25.0, 33.296875, 0.0, 0.0, 33.296875, 16.69921875, 33.296875, 16.69921875, 33.296875, 25.0, 19.0, 7.0, 21.0, 12.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 34.0, "18891", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18891&g_ta_cod=18891", 38.0, 31.0, 31.0),
(11542, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence_Las", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Philosophie, Anthropologie, Lettres", "Licence - Arts-lettres-langues", "Philosophie, Anthropologie, Lettres", 16, 314, 238, 306, 0, 125, 38, 24, 10, 8, 3, 149, 8, 1, 0, 0, 7, 303, 7, 0, 0, 125, 38, 24, 10, 8, 3, 146, 140, 14, 11, 10, 4, 2.0, 6.0, 9.0, 0, 2, 9, 7, 1, 1, 5, 0, 2, 5, 1, 1, 0.0, 7, 0, 0, 0, 0, 7, 7, 14.29, 42.86, 64.29, 78.59375, 77.796875, 77.796875, 0, 22.19921875, 64.296875, 0.0, 22.19921875, 55.59375, 11.099609375, 11.1, 0.0, 77.796875, 77.796875, 11.099609375, 0.0, 11.099609375, 0.0, 64.0, 15.0, 5.0, 2.0, 61.0, "Tous les candidats", 726.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 64.0, "28567", "Licence - Portail Philosophie, Anthropologie, Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28566&g_ta_cod=28567", 79.0, 14.0, 7.0),
(11543, "Public", "0470001W", "Lycée Bernard Palissy", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "BTS", "Lycée Bernard Palissy - BTS - Services - Communication", "BTS - Services", "", 35, 986, 628, 977, 0, 172, 30, 189, 58, 99, 42, 517, 9, 0, 0, 4, 5, 453, 2, 0, 0, 138, 16, 132, 34, 45, 18, 138, 148, 31, 22, 31, 0, 4.0, 25.0, 27.0, 0, 6, 17, 4, 10, 3, 14, 0, 5, 7, 5, 0, 0.0, 3, 6, 3, 1, 1, 10, 10, 12.9, 80.65, 87.1, 71.0, 58.796875, 58.796875, 5.8994140625, 35.296875, 54.796875, 0.0, 29.3984375, 41.1953125, 29.3984375, 0.0, 0.0, 23.5, 17.59765625, 58.796875, 35.296875, 17.59765625, 17.59765625, 24.0, 7.0, 15.0, 5.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 106, "Liste d'appel propre à cette formation", 20.0, "5764", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5764&g_ta_cod=5764", 29.0, 52.0, 19.0),
(11544, "Public", "0550842S", "IFSI Verdun", "55", "Meuse", "Grand Est", "Nancy-Metz", "Verdun", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nancy - D.E Infirmier", "D.E secteur sanitaire", "", 90, 3323, 2672, 3323, 0, 543, 103, 653, 194, 341, 124, 1786, 0, 0, 0, 0, 0, 2814, 0, 0, 0, 493, 87, 558, 157, 287, 100, 1476, 993, 96, 82, 96, 0, 1.0, 33.0, 65.0, 0, 13, 50, 5, 32, 13, 46, 0, 11, 24, 11, 4, 0.0, 5, 21, 13, 0, 0, 41, 41, 1.04, 34.38, 67.71, 85.390625, 82.0, 82.0, 0, 26.0, 52.09375, 0.0, 22.0, 48.0, 22.0, 8.0, 0.0, 10.0, 10.0, 64.0, 42.0, 26.0, 26.0, 128.0, 24.0, 144.0, 52.0, 485.0, "Tous les candidats", 2873.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "23187", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22997&g_ta_cod=23187", 20.0, 47.0, 32.0),
(11545, "Public", "0730013T", "Lycée Vaugelas", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "CPGE", "Lycée Vaugelas - CPGE - MPSI", "Classe préparatoire scientifique", "", 45, 1287, 356, 1275, 942, 1010, 88, 0, 0, 0, 0, 265, 12, 5, 1, 0, 6, 762, 1, 597, 743, 750, 53, 0, 0, 0, 0, 12, 505, 41, 7, 40, 1, 8.0, 20.0, 38.0, 15, 3, 41, 41, 0, 0, 0, 0, 0, 9, 24, 8, 0.0, 41, 0, 0, 4, 0, 28, 28, 19.51, 48.78, 92.68, 17.09765625, 68.296875, 68.296875, 9.798828125, 7.2998046875, 100.0, 0.0, 0.0, 22.0, 58.5, 19.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 499.0, 52.0, 0.0, 0.0, 6.0, "Tous les candidats", 658.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "8780", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8780&g_ta_cod=8780", 100.0, 0.0, 0.0),
(11546, "Public", "0022049S", "Université d'Amiens - Antenne de Soissons", "02", "Aisne", "Hauts-de-France", "Amiens", "Cuffies", "formation non sélective", "Licence", "Université d'Amiens - Antenne de Soissons - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - PORTAIL 1ere ANNEE STAPS CUFFIES (éducation et motricité)", "Licence - STAPS", "PORTAIL 1ere ANNEE STAPS CUFFIES (éducation et motricité)", 207, 783, 238, 751, 0, 469, 80, 118, 30, 34, 12, 130, 32, 14, 0, 1, 17, 751, 30, 0, 0, 469, 80, 118, 30, 34, 12, 130, 641, 213, 62, 196, 16, 58.0, 156.0, 198.0, 0, 29, 172, 124, 34, 14, 41, 0, 80, 66, 23, 3, 0.0, 65, 16, 11, 0, 0, 139, 139, 27.23, 73.24, 92.96, 29.09765625, 80.796875, 80.796875, 0, 16.8984375, 80.796875, 0.0, 46.5, 38.3984375, 13.3984375, 1.7, 0.0, 72.09375, 37.796875, 19.796875, 9.298828125, 8.099609375, 6.3994140625, 395.0, 62.0, 33.0, 12.0, 119.0, "Tous les candidats", 864.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "32585", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - PORTAIL 1ere ANNEE STAPS CUFFIES (éducation et motricité)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32586&g_ta_cod=32585", 68.0, 22.0, 11.0),
(11547, "Public", "0790768F", "Lycée Enseignement Général Technologique Agricole Jacques Bujault", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Melle", "formation sélective", "BTS", "Lycée Enseignement Général Technologique Agricole Jacques Bujault - BTS - Agricole - productions animales", "BTS - Agricole", "", 27, 239, 133, 239, 0, 37, 5, 77, 24, 55, 16, 70, 0, 0, 0, 0, 0, 156, 0, 0, 0, 30, 4, 64, 20, 48, 13, 14, 76, 25, 17, 25, 0, 11.0, 22.0, 24.0, 0, 4, 22, 3, 11, 8, 3, 0, 2, 12, 8, 0, 0.0, 3, 10, 7, 2, 0, 10, 10, 44.0, 88.0, 96.0, 68.0, 45.5, 45.5, 9.099609375, 18.19921875, 88.0, 0.0, 9.099609375, 54.5, 36.3984375, 0.0, 0.0, 13.599609375, 13.599609375, 50.0, 45.5, 36.3984375, 31.796875, 17.0, 3.0, 18.0, 5.0, 11.0, "Tous les candidats sauf les Bac professionnels", 102.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 52.0, "10124", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10124&g_ta_cod=10124", 24.0, 44.0, 32.0),
(11548, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Lettres / Sciences du langage", "Licence - Arts-lettres-langues", "", 20, 181, 151, 157, 0, 87, 13, 6, 3, 1, 0, 63, 24, 2, 2, 1, 19, 157, 19, 0, 0, 87, 13, 6, 3, 1, 0, 63, 126, 20, 15, 10, 10, 0.0, 9.0, 14.0, 0, 0, 8, 6, 0, 2, 12, 0, 4, 1, 3, 0, 0.0, 4, 0, 0, 0, 0, 1, 8, 0.0, 45.0, 70.0, 75.0, 12.5, 100.0, 0, 0.0, 40.0, 0.0, 50.0, 12.5, 37.5, 0.0, 0.0, 75.0, 50.0, 0.0, 0.0, 25.0, 0.0, 59.0, 8.0, 2.0, 0.0, 59.0, "Tous les candidats", 156.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "29875", "Licence - Lettres / Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29875&g_ta_cod=29875", 75.0, 10.0, 15.0),
(11549, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Université de Strasbourg - DEUST - Activités physiques et sportives et inadaptations sociales", "DEUST", "", 22, 528, 212, 374, 0, 166, 26, 78, 17, 45, 14, 85, 154, 38, 26, 20, 70, 87, 24, 0, 0, 63, 10, 6, 0, 2, 0, 16, 88, 17, 10, 14, 3, 1.0, 14.0, 15.0, 0, 0, 10, 7, 2, 1, 7, 0, 2, 7, 1, 0, 0.0, 5, 2, 1, 0, 0, 4, 4, 5.88, 82.35, 88.24, 58.796875, 40.0, 40.0, 0, 0.0, 58.796875, 0.0, 20.0, 70.0, 10.0, 0.0, 0.0, 70.0, 50.0, 20.0, 20.0, 10.0, 10.0, 53.0, 8.0, 3.0, 0.0, 23.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "21487", "DEUST - Activités physiques et sportives et inadaptations sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21487&g_ta_cod=21487", 65.0, 29.0, 6.0),
(11550, "Public", "0132939Z", "I.F.S.I. BLANCARDE", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation sélective", "IFSI", "Regroupement d'IFSI Université Aix-Marseille - D.E Infirmier", "D.E secteur sanitaire", "", 67, 9662, 7990, 9662, 0, 1547, 437, 1384, 528, 961, 488, 5770, 0, 0, 0, 0, 0, 4492, 0, 0, 0, 1151, 275, 554, 182, 97, 39, 2690, 757, 67, 52, 67, 0, 0.0, 27.0, 51.0, 0, 17, 34, 27, 7, 0, 33, 0, 6, 18, 8, 2, 0.0, 21, 7, 0, 0, 0, 23, 23, 0.0, 40.3, 76.12, 77.59375, 67.59375, 67.59375, 0, 50.0, 50.6953125, 0.0, 17.59765625, 52.8984375, 23.5, 5.9, 0.0, 79.390625, 61.796875, 20.59765625, 20.59765625, 0.0, 0.0, 306.0, 90.0, 5.0, 3.0, 404.0, "Tous les candidats", 1875.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 15.0, "23035", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22987&g_ta_cod=23035", 78.0, 16.0, 4.0),
(11551, "Privé sous contrat d'association", "0460038S", "Lycée Saint Etienne", "46", "Lot", "Occitanie", "Toulouse", "Cahors", "formation sélective", "Autre formation", "Lycée Saint Etienne - DN MADE - Animation - - Spécialité : Images et narration", "DN MADE", "- Spécialité : Images et narration", 16, 704, 443, 657, 0, 283, 52, 159, 34, 47, 15, 168, 47, 11, 7, 6, 23, 100, 7, 0, 0, 51, 6, 39, 4, 0, 0, 10, 73, 11, 10, 9, 2, 2.0, 9.0, 10.0, 0, 2, 10, 6, 4, 0, 1, 0, 1, 1, 7, 1, 0.0, 6, 3, 0, 0, 0, 1, 1, 18.18, 81.82, 90.91, 90.890625, 10.0, 10.0, 0, 20.0, 90.890625, 0.0, 10.0, 10.0, 70.0, 10.0, 0.0, 60.0, 60.0, 40.0, 30.0, 0.0, 0.0, 36.0, 4.0, 0.0, 0.0, 12.0, "Tous les candidats", 99.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "21698", "DN MADE - Animation - - Spécialité : Images et narration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21698&g_ta_cod=21698", 64.0, 36.0, 0.0),
(11552, "Privé enseignement supérieur", "0312421N", "ICAM Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Ecole d'Ingénieur", "GROUPE ICAM - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "", 45, 774, 91, 774, 0, 605, 30, 76, 5, 0, 0, 93, 0, 0, 0, 0, 0, 482, 0, 0, 0, 405, 12, 44, 0, 0, 0, 33, 243, 59, 9, 59, 0, 58.0, 59.0, 59.0, 0, 3, 57, 51, 6, 0, 2, 0, 2, 30, 21, 4, 0.0, 49, 6, 0, 0, 0, 34, 34, 98.31, 100.0, 100.0, 15.298828125, 59.59375, 59.59375, 0, 5.2998046875, 96.59375, 0.0, 3.5, 52.59375, 36.796875, 7.0, 0.0, 89.5, 86.0, 10.5, 10.5, 0.0, 0.0, 204.0, 8.0, 0.0, 0.0, 13.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "24666", "Formation d'ingénieur Bac + 5", "GROUPE ICAM", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24652&g_ta_cod=24666", 88.0, 12.0, 0.0),
(11553, "Public", "0381775Y", "I.U.T. 2 de Grenoble", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BUT", "I.U.T. 2 de Grenoble - BUT - Information communication Parcours métiers du livre et du patrimoine", "BUT - Service", "", 26, 445, 362, 445, 0, 230, 41, 37, 8, 9, 0, 169, 0, 0, 0, 0, 0, 213, 0, 0, 0, 113, 11, 19, 6, 4, 0, 77, 79, 26, 25, 26, 0, 10.0, 22.0, 24.0, 0, 2, 13, 12, 0, 1, 13, 0, 0, 3, 8, 2, 0.0, 12, 0, 1, 0, 0, 9, 9, 38.46, 84.62, 92.31, 96.1875, 69.1875, 69.1875, 0, 15.3984375, 50.0, 0.0, 0.0, 23.09765625, 61.5, 15.4, 0.0, 92.296875, 92.296875, 0.0, 0.0, 7.69921875, 7.69921875, 32.0, 7.0, 2.0, 0.0, 34.0, "Tous les candidats sauf les Bac technologiques", 86.0, "Bacheliers technologiques toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 27.0, "5004", "BUT - Information communication Parcours métiers du livre et du patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5004&g_ta_cod=5004", 77.0, 12.0, 12.0),
(11554, "Privé sous contrat d'association", "0690521S", "Lycée Sainte - Marie Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée Sainte - Marie Lyon - CPGE - Lettres", "Classe préparatoire littéraire", "", 36, 644, 433, 644, 397, 528, 59, 1, 0, 0, 0, 115, 0, 0, 0, 0, 0, 422, 0, 268, 415, 413, 40, 0, 0, 0, 0, 9, 186, 34, 20, 34, 0, 4.0, 22.0, 33.0, 10, 0, 33, 33, 0, 0, 1, 0, 0, 4, 10, 18, 1.0, 33, 0, 0, 4, 2, 13, 13, 11.76, 64.71, 97.06, 58.796875, 39.3984375, 39.3984375, 12.099609375, 0.0, 97.09375, 0.0, 0.0, 12.099609375, 30.296875, 54.5, 3.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 181.0, 10.0, 0.0, 0.0, 5.0, "Tous les candidats", 391.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "8288", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8288&g_ta_cod=8288", 100.0, 0.0, 0.0),
(11555, "Privé sous contrat d'association", "9720615L", "Lycée AMEP", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée AMEP - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 25, 68, 6, 66, 0, 8, 3, 7, 1, 36, 15, 15, 2, 1, 0, 0, 1, 53, 2, 0, 0, 7, 2, 7, 1, 34, 14, 5, 45, 11, 2, 10, 1, 6.0, 10.0, 10.0, 0, 1, 9, 2, 2, 5, 2, 0, 3, 4, 2, 0, 0.0, 1, 1, 4, 3, 1, 9, 9, 54.55, 90.91, 90.91, 18.19921875, 100.0, 100.0, 33.296875, 11.099609375, 81.796875, 0.0, 33.296875, 44.3984375, 22.19921875, 0.0, 0.0, 22.19921875, 11.099609375, 22.19921875, 11.099609375, 55.59375, 44.3984375, 8.0, 2.0, 24.0, 11.0, 6.0, "Tous les candidats sauf les Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 79.0, "11815", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11815&g_ta_cod=11815", 18.0, 27.0, 55.0),
(11556, "Public", "0820016X", "Lycée Francois Mitterrand", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Moissac", "formation sélective", "BTS", "Lycée Francois Mitterrand - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 319, 291, 313, 0, 30, 8, 85, 25, 131, 49, 67, 6, 0, 3, 0, 3, 300, 0, 0, 0, 30, 8, 84, 24, 129, 47, 57, 132, 20, 19, 20, 0, 1.0, 7.0, 17.0, 0, 8, 17, 2, 5, 10, 3, 0, 6, 8, 3, 0, 0.0, 1, 2, 8, 1, 1, 17, 17, 5.0, 35.0, 85.0, 95.0, 100.0, 100.0, 5.8994140625, 47.09375, 85.0, 0.0, 35.296875, 47.09375, 17.59765625, 0.0, 0.0, 11.798828125, 5.8994140625, 29.3984375, 11.798828125, 58.796875, 47.09375, 16.0, 5.0, 59.0, 23.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 87, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 62.0, "14522", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14522&g_ta_cod=14522", 15.0, 35.0, 50.0),
(11557, "Privé sous contrat d'association", "0131690S", "Lycée agricole Fontlongue", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Miramas", "formation sélective", "BTS", "Lycée agricole Fontlongue - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 25, 119, 27, 116, 0, 28, 3, 38, 3, 12, 4, 38, 3, 0, 2, 0, 1, 108, 3, 0, 0, 27, 3, 38, 3, 12, 4, 31, 89, 14, 0, 14, 0, 6.0, 12.0, 13.0, 0, 2, 11, 5, 4, 2, 3, 0, 6, 5, 0, 0, 0.0, 1, 3, 1, 0, 0, 8, 8, 42.86, 85.71, 92.86, 0.0, 72.6875, 72.6875, 0, 18.19921875, 78.59375, 0.0, 54.5, 45.5, 0.0, 0.0, 0.0, 45.5, 9.099609375, 36.3984375, 27.296875, 18.19921875, 9.099609375, 25.0, 2.0, 7.0, 3.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 89.0, "2674", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2674&g_ta_cod=2674", 50.0, 36.0, 14.0),
(11558, "Public", "0680034T", "Lycée Louis-Armand", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BTS", "Lycée Louis-Armand - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 24, 270, 34, 257, 0, 14, 6, 91, 31, 57, 21, 95, 13, 0, 1, 8, 4, 128, 1, 0, 0, 14, 6, 81, 28, 21, 6, 12, 102, 23, 1, 23, 0, 2.0, 20.0, 23.0, 0, 11, 20, 0, 16, 4, 3, 0, 12, 6, 2, 0, 0.0, 0, 5, 3, 10, 0, 20, 20, 8.7, 86.96, 100.0, 4.2998046875, 100.0, 100.0, 50, 55.0, 87.0, 0.0, 60.0, 30.0, 10.0, 0.0, 0.0, 0.0, 0.0, 80.0, 25.0, 20.0, 15.0, 9.0, 2.0, 18.0, 5.0, 9.0, "Tous les candidats sauf les Bac professionnels", 105.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 50.0, "8105", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8105&g_ta_cod=8105", 9.0, 70.0, 22.0),
(11559, "Public", "0380034F", "Lycée Louise Michel", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée Louise Michel - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 952, 104, 925, 0, 100, 26, 298, 99, 184, 69, 343, 27, 0, 0, 14, 13, 443, 5, 0, 0, 65, 13, 208, 62, 108, 36, 62, 178, 33, 3, 30, 3, 1.0, 20.0, 28.0, 0, 12, 27, 2, 16, 9, 6, 2, 14, 8, 3, 0, 0.0, 2, 5, 4, 3, 0, 21, 21, 3.03, 60.61, 84.85, 9.099609375, 77.796875, 77.796875, 11.099609375, 44.3984375, 81.796875, 7.3994140625, 51.8984375, 29.59765625, 11.099609375, 0.0, 0.0, 7.3994140625, 7.3994140625, 59.296875, 18.5, 33.296875, 14.798828125, 20.0, 7.0, 58.0, 19.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 112, "Bacheliers technologiques toutes séries", 146, "Liste d'appel propre à cette formation", 32.0, "4939", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4939&g_ta_cod=4939", 9.0, 55.0, 36.0),
(11560, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Portail Economie - Gestion franco-allemand - Management du Tourisme international", "Licence - Droit-économie-gestion", "Economie - Gestion franco-allemand - Management du Tourisme international", 8, 71, 49, 46, 0, 34, 2, 1, 1, 1, 0, 10, 25, 5, 2, 0, 18, 22, 2, 0, 0, 19, 1, 0, 0, 0, 0, 3, 20, 7, 4, 5, 2, 3.0, 5.0, 6.0, 0, 0, 6, 6, 0, 0, 1, 1, 2, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 3, 3, 42.86, 71.43, 85.71, 57.09375, 50.0, 50.0, 0, 0.0, 85.6875, 16.69921875, 33.296875, 16.69921875, 33.296875, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 18.0, 1.0, 0.0, 0.0, 2.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "30741", "Licence - Portail Economie - Gestion franco-allemand - Management du Tourisme international", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30741&g_ta_cod=30741", 100.0, 0.0, 0.0),
(11561, "Privé sous contrat d'association", "0511145T", "Lycée St Michel", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée St Michel - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 185, 79, 174, 0, 23, 8, 47, 15, 39, 12, 65, 11, 0, 4, 1, 6, 174, 4, 0, 0, 23, 8, 47, 15, 39, 12, 65, 97, 20, 6, 17, 3, 2.0, 15.0, 16.0, 0, 5, 8, 1, 3, 4, 12, 0, 5, 2, 1, 0, 0.0, 0, 1, 2, 3, 0, 7, 7, 10.0, 75.0, 80.0, 30.0, 87.5, 87.5, 37.5, 62.5, 40.0, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 12.5, 0.0, 37.5, 12.5, 50.0, 25.0, 11.0, 4.0, 18.0, 6.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 66.0, "6099", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6099&g_ta_cod=6099", 25.0, 45.0, 30.0),
(11562, "Public", "0940124Z", "Lycée Hector Berlioz", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vincennes", "formation sélective", "BTS", "Lycée Hector Berlioz - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 1855, 904, 1855, 0, 124, 31, 559, 226, 642, 288, 530, 0, 0, 0, 0, 0, 667, 0, 0, 0, 43, 10, 225, 78, 283, 121, 116, 130, 35, 13, 35, 0, 8.0, 30.0, 33.0, 0, 13, 25, 5, 8, 12, 10, 0, 7, 11, 6, 1, 0.0, 3, 6, 9, 0, 0, 20, 24, 22.86, 85.71, 94.29, 37.09375, 80.0, 96.0, 0, 52.0, 71.390625, 0.0, 28.0, 44.0, 24.0, 4.0, 0.0, 20.0, 12.0, 32.0, 24.0, 48.0, 36.0, 18.0, 9.0, 45.0, 22.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 87, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 9.0, "11407", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11407&g_ta_cod=11407", 17.0, 43.0, 40.0),
(11563, "Privé sous contrat d'association", "0754030Y", "Lycée Albert de Mun", "75", "Paris", "Ile-de-France", "Paris", "Paris  7e  Arrondissement", "formation sélective", "BTS", "Lycée Albert de Mun - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 22, 266, 91, 161, 0, 27, 4, 35, 7, 67, 26, 32, 105, 21, 40, 0, 44, 69, 5, 0, 0, 14, 3, 14, 3, 28, 4, 13, 61, 22, 15, 19, 3, 8.0, 18.0, 22.0, 0, 3, 18, 6, 2, 10, 4, 0, 4, 8, 3, 3, 0.0, 5, 0, 9, 1, 1, 2, 14, 36.36, 81.82, 100.0, 68.1875, 11.099609375, 77.796875, 5.599609375, 16.69921875, 81.796875, 0.0, 22.19921875, 44.3984375, 16.69921875, 16.7, 0.0, 33.296875, 27.796875, 11.099609375, 0.0, 55.59375, 50.0, 16.0, 4.0, 20.0, 3.0, 11.0, "Tous les candidats sauf les Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 39.0, "16177", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16177&g_ta_cod=16177", 41.0, 9.0, 50.0),
(11564, "Public", "0570054Z", "Lycée Fabert", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "CPGE", "Lycée Fabert - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 48, 361, 157, 343, 107, 279, 17, 0, 0, 0, 0, 64, 18, 12, 0, 0, 6, 277, 7, 89, 271, 253, 15, 0, 0, 0, 0, 24, 242, 29, 9, 27, 2, 4.0, 24.0, 28.0, 3, 2, 26, 26, 0, 0, 3, 0, 2, 7, 10, 7, 0.0, 24, 0, 0, 3, 2, 21, 21, 13.79, 82.76, 96.55, 31.0, 80.796875, 80.796875, 11.5, 7.69921875, 89.6875, 0.0, 7.69921875, 26.8984375, 38.5, 26.9, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 218.0, 11.0, 0.0, 0.0, 24.0, "Tous les candidats", 276.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "31331", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31331&g_ta_cod=31331", 100.0, 0.0, 0.0),
(11565, "Public", "0573281G", "Lycée De La Communication", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée De La Communication - BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "BTS - Services", "", 6, 795, 314, 795, 0, 389, 57, 65, 15, 77, 22, 264, 0, 0, 0, 0, 0, 162, 0, 0, 0, 100, 7, 8, 2, 39, 8, 15, 19, 5, 4, 5, 0, 2.0, 5.0, 5.0, 0, 1, 5, 4, 0, 1, 0, 0, 0, 0, 2, 3, 0.0, 4, 0, 1, 0, 0, 1, 1, 40.0, 100.0, 100.0, 80.0, 20.0, 20.0, 0, 20.0, 100.0, 0.0, 0.0, 0.0, 40.0, 60.0, 0.0, 80.0, 80.0, 0.0, 0.0, 20.0, 20.0, 17.0, 2.0, 1.0, 1.0, 0.0, "Tous les candidats sauf les Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 3.0, "6655", "BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6655&g_ta_cod=6655", 80.0, 0.0, 20.0),
(11566, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "PASS", "Université Côte d'Azur - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 45, 1785, 1237, 1785, 0, 1309, 220, 35, 17, 15, 6, 426, 0, 0, 0, 0, 0, 1782, 0, 0, 0, 1309, 220, 35, 17, 15, 6, 423, 361, 43, 34, 43, 0, 0.0, 25.0, 41.0, 0, 5, 40, 40, 0, 0, 3, 0, 0, 2, 24, 13, 1.0, 40, 0, 0, 0, 0, 39, 39, 0.0, 58.14, 95.35, 79.09375, 97.5, 97.5, 0, 12.5, 93.0, 0.0, 0.0, 5.0, 60.0, 32.5, 2.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 333.0, 56.0, 0.0, 0.0, 28.0, "Tous les candidats", 1399.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "27474", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27218&g_ta_cod=27474", 100.0, 0.0, 0.0),
(11567, "Privé sous contrat d'association", "0542519V", "LEAP AGRICULTURE ET TERRITOIRE IS4A", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Laxou", "formation sélective", "BTS", "LEAP AGRICULTURE ET TERRITOIRE IS4A - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 18, 42, 14, 39, 0, 5, 1, 8, 1, 15, 5, 11, 3, 0, 1, 1, 1, 28, 1, 0, 0, 5, 1, 8, 1, 15, 5, 0, 28, 8, 2, 7, 1, 7.0, 7.0, 8.0, 0, 2, 7, 1, 2, 4, 1, 0, 3, 4, 0, 0, 0.0, 1, 1, 2, 0, 0, 6, 6, 87.5, 87.5, 100.0, 25.0, 85.6875, 85.6875, 0, 28.59765625, 87.5, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 14.298828125, 14.298828125, 28.59765625, 14.298828125, 57.09375, 28.59765625, 5.0, 1.0, 15.0, 4.0, 1.0, "Tous les candidats sauf les Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 69.0, "21090", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21090&g_ta_cod=21090", 13.0, 38.0, 50.0),
(11568, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence_Las", "Université de Lorraine - Site de Metz - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives -", "Licence - Sciences - technologies - santé", "", 16, 1186, 483, 1186, 0, 839, 124, 111, 29, 22, 5, 214, 0, 0, 0, 0, 0, 1186, 0, 0, 0, 839, 124, 111, 29, 22, 5, 214, 77, 16, 6, 16, 0, 1.0, 12.0, 15.0, 0, 3, 12, 11, 0, 1, 4, 0, 5, 6, 1, 0, 0.0, 6, 0, 1, 0, 0, 12, 12, 6.25, 75.0, 93.75, 37.5, 100.0, 100.0, 0, 25.0, 75.0, 0.0, 41.6953125, 50.0, 8.298828125, 0.0, 0.0, 91.6875, 50.0, 0.0, 0.0, 8.298828125, 8.298828125, 32.0, 7.0, 1.0, 1.0, 44.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "26949", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives -", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26948&g_ta_cod=26949", 94.0, 0.0, 6.0),
(11569, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Licence", "Université Côte d'Azur - Double licence - Mathématiques / Sciences de la vie - Double licence Mathématiques / Sciences de la Vie", "Licence - Sciences - technologies - santé", "Double licence Mathématiques / Sciences de la Vie", 35, 526, 315, 292, 0, 185, 22, 1, 0, 0, 0, 106, 234, 109, 6, 0, 119, 180, 21, 0, 0, 112, 10, 0, 0, 0, 0, 68, 171, 13, 9, 9, 4, 0.0, 9.0, 12.0, 0, 0, 4, 4, 0, 0, 9, 0, 0, 1, 0, 3, 0.0, 4, 0, 0, 0, 0, 2, 2, 0.0, 69.23, 92.31, 69.1875, 50.0, 50.0, 0, 0.0, 30.796875, 0.0, 0.0, 25.0, 0.0, 75.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 94.0, 7.0, 0.0, 0.0, 77.0, "Tous les candidats", 180.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "22696", "Double licence - Mathématiques / Sciences de la vie - Double licence Mathématiques / Sciences de la Vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22696&g_ta_cod=22696", 100.0, 0.0, 0.0),
(11570, "Privé sous contrat d'association", "0492420P", "LPO SAINT AUBIN LA SALLE", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Verrières-en-Anjou", "formation sélective", "CPGE", "LPO SAINT AUBIN LA SALLE - CPGE - PTSI", "Classe préparatoire scientifique", "", 24, 208, 21, 190, 126, 151, 9, 0, 0, 0, 0, 39, 18, 10, 0, 0, 8, 163, 12, 126, 134, 140, 8, 0, 0, 0, 0, 23, 140, 8, 0, 6, 2, 4.0, 6.0, 8.0, 6, 0, 6, 6, 0, 0, 2, 0, 0, 4, 2, 0, 0.0, 6, 0, 0, 0, 0, 5, 5, 50.0, 75.0, 100.0, 0.0, 83.296875, 83.296875, 0, 0.0, 75.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 130.0, 6.0, 0.0, 0.0, 10.0, "Tous les candidats", 140.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "5911", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5911&g_ta_cod=5911", 100.0, 0.0, 0.0),
(11571, "Public", "0771996B", "Lycée Honore De Balzac", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Mitry-Mory", "formation sélective", "BTS", "Lycée Honore De Balzac - BTS - Services - Commerce International", "BTS - Services", "", 24, 943, 486, 681, 0, 158, 47, 191, 62, 88, 36, 244, 262, 41, 0, 83, 138, 182, 12, 0, 0, 65, 21, 42, 11, 35, 14, 40, 122, 22, 11, 17, 4, 5.0, 15.0, 18.0, 0, 5, 15, 4, 1, 10, 7, 0, 4, 4, 5, 2, 0.0, 3, 1, 7, 3, 2, 15, 15, 22.73, 68.18, 81.82, 50.0, 100.0, 100.0, 20, 33.296875, 68.1875, 0.0, 26.69921875, 26.69921875, 33.296875, 13.3, 0.0, 26.69921875, 20.0, 6.69921875, 6.69921875, 66.6875, 46.6953125, 34.0, 8.0, 35.0, 15.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 84.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 24.0, "9860", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9860&g_ta_cod=9860", 36.0, 18.0, 45.0),
(11572, "Public", "0251711Z", "Lycée Claude Nicolas Ledoux", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Claude Nicolas Ledoux - BTS - Services - Professions immobilières", "BTS - Services", "", 18, 958, 582, 958, 0, 224, 47, 267, 80, 226, 81, 241, 0, 0, 0, 0, 0, 470, 0, 0, 0, 149, 32, 141, 34, 109, 34, 71, 84, 14, 11, 14, 0, 3.0, 10.0, 12.0, 0, 2, 13, 6, 3, 4, 1, 0, 1, 7, 5, 0, 0.0, 6, 2, 4, 0, 0, 11, 11, 21.43, 71.43, 85.71, 78.59375, 84.59375, 84.59375, 0, 15.3984375, 92.890625, 0.0, 7.69921875, 53.796875, 38.5, 0.0, 0.0, 46.1953125, 46.1953125, 23.09765625, 15.3984375, 30.796875, 30.796875, 30.0, 7.0, 19.0, 6.0, 11.0, "Tous les candidats sauf les Bac professionnels", 149.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 18.0, "3577", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3577&g_ta_cod=3577", 50.0, 21.0, 29.0),
(11573, "Privé sous contrat d'association", "0271282X", "Lycée Saint-Anselme", "27", "Eure", "Normandie", "Normandie", "Bernay", "formation sélective", "BTS", "Lycée Saint-Anselme - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 20, 123, 109, 101, 0, 10, 4, 31, 6, 34, 6, 26, 22, 8, 0, 3, 11, 92, 3, 0, 0, 9, 4, 31, 6, 31, 5, 21, 78, 11, 8, 11, 0, 2.0, 8.0, 10.0, 0, 1, 8, 1, 3, 4, 3, 0, 5, 2, 1, 0, 0.0, 0, 0, 3, 1, 1, 7, 7, 18.18, 72.73, 90.91, 72.6875, 87.5, 87.5, 12.5, 12.5, 72.6875, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 12.5, 0.0, 37.5, 0.0, 50.0, 37.5, 9.0, 4.0, 24.0, 5.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers technologiques toutes séries", 37, "Bacheliers professionnels toutes séries", 33, "Liste d'appel propre à cette formation", 84.0, "33294", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33294&g_ta_cod=33294", 9.0, 36.0, 55.0),
(11574, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Lettres - Parcours Lettres Modernes", "Licence - Arts-lettres-langues", "Lettres Modernes", 115, 623, 504, 548, 0, 333, 75, 15, 6, 23, 8, 177, 75, 6, 2, 4, 63, 542, 31, 0, 0, 333, 75, 15, 6, 23, 8, 171, 428, 70, 51, 57, 13, 9.0, 57.0, 65.0, 0, 13, 33, 29, 1, 3, 37, 0, 7, 10, 14, 2, 0.0, 23, 1, 2, 0, 0, 28, 28, 12.86, 81.43, 92.86, 72.890625, 84.796875, 84.796875, 0, 39.3984375, 47.09375, 0.0, 21.19921875, 30.296875, 42.3984375, 6.1, 0.0, 87.890625, 69.6875, 3.0, 3.0, 9.099609375, 6.099609375, 262.0, 53.0, 19.0, 8.0, 135.0, "Tous les candidats", 542.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "8033", "Licence - Lettres - Parcours Lettres Modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8033&g_ta_cod=8033", 89.0, 4.0, 7.0),
(11575, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation non sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Portail Physique, Chimie, Sciences de la Terre et Ingenierie", "Licence - Sciences - technologies - santé", "Physique, Chimie, Sciences de la Terre et Ingenierie", 175, 917, 440, 774, 0, 492, 72, 51, 14, 0, 0, 231, 143, 47, 10, 0, 86, 761, 117, 0, 0, 492, 72, 51, 14, 0, 0, 218, 791, 151, 72, 82, 62, 9.0, 78.0, 109.0, 0, 21, 77, 68, 9, 0, 74, 1, 50, 22, 2, 2, 0.0, 22, 4, 0, 0, 0, 58, 73, 5.96, 51.66, 72.19, 47.6953125, 75.296875, 94.796875, 0, 27.296875, 51.0, 1.2998046875, 64.890625, 28.59765625, 2.599609375, 2.6, 0.0, 88.296875, 28.59765625, 11.69921875, 5.19921875, 0.0, 0.0, 477.0, 85.0, 0.0, 0.0, 278.0, "Tous les candidats", 761.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "32498", "Licence - Portail Physique, Chimie, Sciences de la Terre et Ingenierie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32499&g_ta_cod=32498", 84.0, 15.0, 1.0),
(11576, "Public", "0440086E", "Lycée général et technologique La Colinière", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée général et technologique La Colinière - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 934, 832, 893, 0, 76, 20, 240, 79, 327, 125, 250, 41, 13, 1, 0, 27, 493, 5, 0, 0, 41, 6, 156, 45, 227, 84, 69, 209, 30, 28, 27, 3, 3.0, 18.0, 22.0, 0, 8, 20, 2, 7, 11, 10, 0, 5, 9, 3, 3, 0.0, 1, 4, 10, 1, 1, 14, 14, 10.0, 60.0, 73.33, 93.296875, 70.0, 70.0, 5, 40.0, 66.6875, 0.0, 25.0, 45.0, 15.0, 15.0, 0.0, 10.0, 5.0, 35.0, 20.0, 55.0, 50.0, 30.0, 5.0, 72.0, 21.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 130, "Bacheliers technologiques toutes séries", 144, "Liste d'appel propre à cette formation", 37.0, "19738", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19738&g_ta_cod=19738", 20.0, 33.0, 43.0),
(11577, "Public", "0310038Y", "Lycée BELLEVUE", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée BELLEVUE - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 24, 177, 43, 177, 0, 26, 7, 37, 15, 74, 34, 40, 0, 0, 0, 0, 0, 130, 0, 0, 0, 24, 7, 28, 11, 60, 27, 18, 67, 23, 5, 23, 0, 5.0, 19.0, 21.0, 0, 5, 19, 5, 5, 9, 4, 0, 9, 6, 4, 0, 0.0, 2, 1, 7, 0, 0, 14, 14, 21.74, 82.61, 91.3, 21.69921875, 73.6875, 73.6875, 0, 26.296875, 82.59375, 0.0, 47.3984375, 31.59765625, 21.09765625, 0.0, 0.0, 26.296875, 10.5, 26.296875, 5.2998046875, 47.3984375, 36.796875, 12.0, 3.0, 33.0, 13.0, 5.0, "Tous les candidats", 69.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "30626", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30626&g_ta_cod=30626", 30.0, 22.0, 48.0),
(11578, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Arts du spectacle - Parcours Etudes cinématographiques et audiovisuelles", "Licence - Arts-lettres-langues", "Etudes cinématographiques et audiovisuelles", 390, 2730, 1521, 2721, 0, 1695, 418, 207, 54, 84, 40, 735, 9, 0, 1, 0, 8, 2714, 9, 0, 0, 1695, 418, 207, 54, 84, 40, 728, 1391, 393, 198, 388, 5, 137.0, 321.0, 345.0, 0, 71, 255, 217, 27, 11, 138, 1, 97, 93, 57, 7, 0.0, 139, 10, 8, 0, 0, 139, 139, 34.86, 81.68, 87.79, 50.3984375, 54.5, 54.5, 0, 27.796875, 64.890625, 0.39996337890625, 38.0, 36.5, 22.3984375, 2.7, 0.0, 85.09375, 54.5, 10.599609375, 3.89990234375, 4.2998046875, 3.099609375, 860.0, 209.0, 36.0, 20.0, 409.0, "Tous les candidats", 1404.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "4562", "Licence - Arts du spectacle - Parcours Etudes cinématographiques et audiovisuelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4562&g_ta_cod=4562", 76.0, 17.0, 7.0),
(11579, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Information et communication - Parcours Information et communication mineure Allemand", "Licence - Sciences humaines et sociales", "Information et communication mineure Allemand", 13, 147, 101, 147, 0, 87, 15, 1, 0, 3, 2, 56, 0, 0, 0, 0, 0, 147, 0, 0, 0, 87, 15, 1, 0, 3, 2, 56, 53, 12, 10, 12, 0, 2.0, 10.0, 11.0, 0, 3, 10, 9, 0, 1, 2, 0, 1, 4, 2, 3, 0.0, 8, 0, 1, 0, 0, 3, 8, 16.67, 83.33, 91.67, 83.296875, 30.0, 80.0, 0, 30.0, 83.296875, 0.0, 10.0, 40.0, 20.0, 30.0, 0.0, 90.0, 80.0, 0.0, 0.0, 10.0, 10.0, 37.0, 7.0, 2.0, 1.0, 14.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "28825", "Licence - Information et communication - Parcours Information et communication mineure Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28825&g_ta_cod=28825", 83.0, 8.0, 8.0),
(11580, "Privé sous contrat d'association", "0311177L", "Institut Limayrac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Institut Limayrac - BTS - Services - Tourisme", "BTS - Services", "", 48, 415, 317, 401, 0, 112, 26, 75, 25, 87, 39, 127, 14, 2, 0, 5, 7, 263, 7, 0, 0, 83, 17, 49, 14, 45, 18, 86, 183, 49, 40, 45, 4, 11.0, 38.0, 43.0, 0, 6, 32, 15, 7, 10, 17, 0, 5, 17, 10, 0, 0.0, 12, 6, 9, 0, 0, 25, 25, 22.45, 77.55, 87.76, 81.59375, 78.09375, 78.09375, 0, 18.796875, 65.296875, 0.0, 15.599609375, 53.09375, 31.296875, 0.0, 0.0, 46.8984375, 37.5, 21.8984375, 18.796875, 31.296875, 28.09765625, 54.0, 16.0, 29.0, 8.0, 70.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 131.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 53.0, "4112", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4112&g_ta_cod=4112", 53.0, 24.0, 22.0),
(11581, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Histoire - Parcours Histoire et civilisation des mondes musulmans", "Licence - Sciences humaines et sociales", "Histoire et civilisation des mondes musulmans", 30, 191, 93, 122, 0, 54, 16, 15, 10, 10, 7, 43, 69, 11, 11, 10, 37, 119, 44, 0, 0, 54, 16, 15, 10, 10, 7, 40, 144, 17, 8, 8, 9, 0.0, 7.0, 10.0, 0, 1, 4, 2, 0, 2, 13, 0, 3, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 3, 3, 0.0, 41.18, 58.82, 47.09375, 75.0, 75.0, 0, 25.0, 23.5, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 25.0, 54.0, 16.0, 11.0, 7.0, 59.0, "Tous les candidats", 120.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "19832", "Licence - Histoire - Parcours Histoire et civilisation des mondes musulmans", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19832&g_ta_cod=19832", 35.0, 35.0, 24.0),
(11582, "Public", "0142218K", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site d'Ifs", "14", "Calvados", "Normandie", "Normandie", "Ifs", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site d'Ifs - BUT - Information communication Parcours publicité", "BUT - Service", "", 28, 1474, 1083, 1474, 0, 879, 111, 274, 56, 7, 3, 314, 0, 0, 0, 0, 0, 475, 0, 0, 0, 237, 28, 168, 33, 0, 0, 70, 102, 26, 24, 26, 0, 6.0, 24.0, 25.0, 0, 5, 20, 9, 11, 0, 6, 0, 0, 4, 13, 2, 1.0, 9, 11, 0, 0, 0, 7, 7, 23.08, 92.31, 96.15, 92.296875, 35.0, 35.0, 0, 25.0, 76.890625, 0.0, 0.0, 20.0, 65.0, 10.0, 5.0, 45.0, 45.0, 55.0, 55.0, 0.0, 0.0, 54.0, 8.0, 0.0, 0.0, 16.0, "Tous les candidats sauf les Bac technologiques", 103.0, "Bacheliers technologiques toutes séries", 54, "", 0, "Liste d'appel propre à cette formation", 11.0, "2943", "BUT - Information communication Parcours publicité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2943&g_ta_cod=2943", 54.0, 46.0, 0.0),
(11583, "Public", "0382666S", "IFSI CH Oudot", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Bourgoin-Jallieu", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lyon - D.E Infirmier", "D.E secteur sanitaire", "", 73, 6622, 5611, 6622, 0, 956, 201, 1181, 327, 865, 357, 3620, 0, 0, 0, 0, 0, 4966, 0, 0, 0, 853, 163, 967, 247, 572, 223, 2574, 1113, 73, 63, 73, 0, 2.0, 25.0, 51.0, 0, 11, 47, 15, 19, 13, 26, 0, 4, 28, 13, 2, 0.0, 12, 18, 13, 0, 0, 36, 36, 2.74, 34.25, 69.86, 86.296875, 76.59375, 76.59375, 0, 23.3984375, 64.390625, 0.0, 8.5, 59.59375, 27.69921875, 4.3, 0.0, 31.8984375, 25.5, 40.3984375, 38.296875, 27.69921875, 27.69921875, 263.0, 51.0, 142.0, 60.0, 446.0, "Tous les candidats", 3698.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "23162", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23001&g_ta_cod=23162", 45.0, 36.0, 18.0),
(11584, "Public", "0470947Z", "Université de Bordeaux - Antenne d'Agen", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 110, 1810, 1044, 1700, 0, 1154, 250, 179, 64, 26, 13, 341, 110, 17, 12, 6, 75, 1651, 90, 0, 0, 1154, 250, 179, 64, 26, 13, 292, 1003, 90, 52, 71, 18, 2.0, 49.0, 72.0, 0, 28, 69, 55, 10, 4, 21, 0, 40, 27, 2, 0, 0.0, 28, 1, 0, 0, 0, 52, 52, 2.22, 54.44, 80.0, 57.796875, 75.390625, 75.390625, 0, 40.59375, 76.6875, 0.0, 58.0, 39.09375, 2.89990234375, 0.0, 0.0, 79.6875, 40.59375, 14.5, 1.39990234375, 5.7998046875, 0.0, 704.0, 152.0, 13.0, 9.0, 206.0, "Tous les candidats", 4661.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "28197", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4461&g_ta_cod=28197", 76.0, 17.0, 8.0),
(11585, "Public", "0624055W", "Université d'Artois - Site de Béthune", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation non sélective", "Licence", "Université d'Artois - Site de Béthune - Licence - Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "", 48, 491, 81, 431, 0, 270, 38, 48, 11, 2, 1, 111, 60, 12, 0, 0, 48, 406, 52, 0, 0, 270, 38, 48, 11, 2, 1, 86, 311, 28, 3, 17, 11, 1.0, 16.0, 22.0, 0, 4, 12, 10, 2, 0, 16, 0, 8, 2, 1, 1, 0.0, 3, 1, 0, 0, 0, 10, 10, 3.57, 57.14, 78.57, 10.69921875, 83.296875, 83.296875, 0, 33.296875, 42.8984375, 0.0, 66.6875, 16.69921875, 8.298828125, 8.3, 0.0, 83.296875, 25.0, 16.69921875, 8.298828125, 0.0, 0.0, 173.0, 26.0, 1.0, 0.0, 111.0, "Tous les candidats", 406.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "7527", "Licence - Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7527&g_ta_cod=7527", 71.0, 18.0, 11.0),
(11586, "Privé enseignement supérieur", "0840985P", "KEDGE BUSINESS SCHOOL - Site d'Avignon", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "Ecole de Commerce", "Banque ECRICOME - Formation des écoles de commerce et de management Bac + 3 - Bachelor Affaires internationales", "Formation des écoles de commerce et de management", "KEDGE Bachelor", 45, 623, 252, 600, 0, 449, 31, 55, 4, 1, 0, 95, 23, 5, 5, 0, 13, 402, 7, 0, 0, 318, 16, 34, 3, 0, 0, 50, 409, 20, 7, 19, 1, 19.0, 19.0, 19.0, 0, 3, 18, 13, 5, 0, 2, 0, 7, 10, 1, 0, 0.0, 8, 3, 0, 0, 0, 14, 14, 95.0, 95.0, 95.0, 35.0, 77.796875, 77.796875, 0, 16.69921875, 90.0, 0.0, 38.8984375, 55.59375, 5.599609375, 0.0, 0.0, 72.1875, 44.3984375, 27.796875, 16.69921875, 0.0, 0.0, 321.0, 18.0, 0.0, 0.0, 52.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "26270", "Formation des écoles de commerce et de management Bac + 3 - Bachelor Affaires internationales", "Banque ECRICOME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26268&g_ta_cod=26270", 70.0, 30.0, 0.0),
(11587, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Afrique et océan Indien - Amharique", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Afrique et océan Indien - Amharique", 15, 12, 7, 9, 0, 3, 1, 1, 1, 0, 0, 5, 3, 0, 1, 0, 2, 9, 3, 0, 0, 3, 1, 1, 1, 0, 0, 5, 12, 3, 1, 2, 1, 2.0, 2.0, 2.0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 66.67, 66.67, 66.67, 33.296875, 0.0, 0.0, 0, 0.0, 33.296875, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 3.0, 1.0, 0.0, 0.0, 7.0, "Tous les candidats", 9.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9388", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Afrique et océan Indien - Amharique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29577&g_ta_cod=9388", 33.0, 33.0, 33.0),
(11588, "Privé sous contrat d'association", "0530863A", "MFR La Pignerie", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "MFR La Pignerie - BTS - Agricole - génie des équipements agricoles", "BTS - Agricole", "", 24, 38, 1, 38, 0, 5, 0, 10, 1, 20, 4, 3, 0, 0, 0, 0, 0, 8, 0, 0, 0, 1, 0, 1, 1, 6, 2, 0, 9, 1, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 1, 0, 1, 1, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 100, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 1.0, 0.0, 7.0, 2.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers technologiques toutes séries", 1, "Bacheliers professionnels toutes séries", 5, "Liste d'appel propre à cette formation", 18.0, "33464", "BTS - Agricole - génie des équipements agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33464&g_ta_cod=33464", 0.0, 0.0, 100.0),
(11589, "Public", "0331420P", "IUT Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BUT", "IUT Bordeaux Montaigne - BUT - Information communication Parcours métiers du livre et du patrimoine", "BUT - Service", "", 60, 692, 573, 691, 0, 376, 63, 47, 10, 11, 2, 257, 1, 0, 0, 0, 1, 477, 0, 0, 0, 302, 47, 27, 5, 8, 1, 140, 160, 56, 46, 56, 0, 13.0, 45.0, 48.0, 0, 8, 37, 32, 4, 1, 19, 0, 3, 13, 15, 6, 0.0, 31, 2, 1, 0, 0, 17, 17, 23.21, 80.36, 85.71, 82.09375, 45.8984375, 45.8984375, 0, 21.59765625, 66.09375, 0.0, 8.099609375, 35.09375, 40.5, 16.2, 0.0, 86.5, 83.796875, 10.798828125, 5.3994140625, 2.69970703125, 2.69970703125, 94.0, 13.0, 4.0, 1.0, 46.0, "Tous les candidats sauf les Bac technologiques", 156.0, "Bacheliers technologiques toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 29.0, "4336", "BUT - Information communication Parcours métiers du livre et du patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4336&g_ta_cod=4336", 84.0, 14.0, 2.0),
(11590, "Public", "0300064G", "IFSI CHU Nîmes - site Uzès", "30", "Gard", "Occitanie", "Montpellier", "Uzès", "formation sélective", "IFSI", "Regroupement d'IFSI Université Montpellier - D.E Infirmier", "D.E secteur sanitaire", "", 20, 5552, 4692, 5552, 0, 900, 212, 993, 264, 454, 191, 3205, 0, 0, 0, 0, 0, 4169, 0, 0, 0, 774, 172, 793, 201, 317, 120, 2285, 461, 20, 18, 20, 0, 0.0, 3.0, 13.0, 0, 0, 6, 3, 1, 2, 14, 0, 0, 3, 3, 0, 0.0, 3, 1, 2, 0, 0, 4, 4, 0.0, 15.0, 65.0, 90.0, 66.6875, 66.6875, 0, 0.0, 30.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 50.0, 50.0, 16.69921875, 16.69921875, 33.296875, 33.296875, 91.0, 9.0, 32.0, 13.0, 224.0, "Tous les candidats", 2626.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "34546", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22991&g_ta_cod=34546", 50.0, 30.0, 15.0),
(11591, "Public", "0590010R", "Lycée Paul Hazard", "59", "Nord", "Hauts-de-France", "Lille", "Armentières", "formation sélective", "BTS", "Lycée Paul Hazard - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 59, 400, 175, 394, 0, 37, 10, 115, 34, 150, 65, 92, 6, 0, 0, 2, 4, 372, 2, 0, 0, 37, 10, 115, 34, 149, 64, 71, 166, 43, 20, 42, 1, 5.0, 17.0, 37.0, 0, 11, 39, 1, 14, 24, 4, 0, 17, 13, 8, 1, 0.0, 1, 5, 16, 4, 4, 37, 37, 11.63, 39.53, 86.05, 46.5, 94.890625, 94.890625, 10.298828125, 28.19921875, 90.6875, 0.0, 43.59375, 33.296875, 20.5, 2.6, 0.0, 2.599609375, 2.599609375, 35.8984375, 12.798828125, 61.5, 41.0, 11.0, 4.0, 91.0, 36.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 150, "Bacheliers technologiques toutes séries", 105, "Liste d'appel propre à cette formation", 71.0, "6705", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6705&g_ta_cod=6705", 5.0, 37.0, 58.0),
(11592, "Public", "0100022V", "Lycée Chrestien de Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BTS", "Lycée Chrestien de Troyes - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 36, 838, 432, 828, 0, 86, 21, 279, 101, 223, 105, 240, 10, 1, 1, 2, 6, 279, 3, 0, 0, 39, 6, 108, 35, 109, 49, 23, 148, 33, 20, 28, 3, 5.0, 24.0, 26.0, 0, 12, 30, 3, 10, 17, 3, 0, 8, 21, 1, 0, 0.0, 3, 8, 11, 9, 8, 30, 30, 15.15, 72.73, 78.79, 60.59375, 100.0, 100.0, 30, 40.0, 90.890625, 0.0, 26.69921875, 70.0, 3.2998046875, 0.0, 0.0, 10.0, 10.0, 33.296875, 26.69921875, 56.6953125, 36.6953125, 11.0, 1.0, 67.0, 31.0, 13.0, "Tous les candidats sauf les Bac professionnels", 84.0, "Bacheliers professionnels toutes séries", 113, "", 0, "Liste d'appel propre à cette formation", 24.0, "2407", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2407&g_ta_cod=2407", 9.0, 33.0, 58.0),
(11593, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Lettres - Parcours Lettres modernes", "Licence - Arts-lettres-langues", "Lettres modernes", 150, 469, 388, 377, 0, 247, 80, 15, 3, 12, 7, 103, 92, 16, 7, 7, 62, 377, 85, 0, 0, 247, 80, 15, 3, 12, 7, 103, 435, 98, 82, 68, 30, 26.0, 66.0, 82.0, 0, 29, 55, 50, 3, 2, 43, 0, 21, 16, 15, 2, 1.0, 30, 2, 2, 0, 0, 34, 34, 26.53, 67.35, 83.67, 83.6875, 61.796875, 61.796875, 0, 52.6953125, 56.09375, 0.0, 38.1953125, 29.09765625, 27.296875, 3.6, 1.8, 90.890625, 54.5, 5.5, 3.599609375, 3.599609375, 3.599609375, 254.0, 83.0, 16.0, 9.0, 145.0, "Tous les candidats", 377.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6135", "Licence - Lettres - Parcours Lettres modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6135&g_ta_cod=6135", 83.0, 7.0, 9.0),
(11594, "Privé sous contrat d'association", "0211090W", "Lycée saint bénigne", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée saint bénigne - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 33, 319, 80, 314, 0, 33, 6, 48, 13, 70, 26, 163, 5, 0, 0, 1, 4, 153, 0, 0, 0, 33, 6, 40, 9, 56, 21, 24, 111, 27, 1, 27, 0, 12.0, 24.0, 24.0, 0, 3, 23, 8, 7, 8, 4, 0, 15, 4, 2, 2, 0.0, 3, 1, 4, 4, 0, 18, 18, 44.44, 88.89, 88.89, 3.69970703125, 78.296875, 78.296875, 17.3984375, 13.0, 85.1875, 0.0, 65.1875, 17.3984375, 8.69921875, 8.7, 0.0, 34.796875, 13.0, 30.3984375, 4.2998046875, 34.796875, 17.3984375, 27.0, 5.0, 40.0, 14.0, 14.0, "Tous les candidats sauf les Bac professionnels", 65.0, "Bacheliers professionnels toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 39.0, "3219", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3219&g_ta_cod=3219", 33.0, 37.0, 30.0),
(11595, "Privé sous contrat d'association", "0340194H", "ISEN Méditerranée (Campus Nîmes) CPGE associée YNCREA (ISEN-HEI) Saint Joseph Pierre Rouge", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 36, 1077, 394, 1058, 0, 1051, 106, 0, 0, 0, 0, 7, 19, 19, 0, 0, 0, 979, 17, 0, 0, 979, 92, 0, 0, 0, 0, 0, 917, 21, 10, 16, 5, 15.0, 16.0, 21.0, 0, 6, 21, 21, 0, 0, 0, 0, 5, 9, 7, 0, 0.0, 16, 0, 0, 0, 0, 1, 1, 71.43, 76.19, 100.0, 47.59375, 4.7998046875, 4.7998046875, 0, 28.59765625, 100.0, 0.0, 23.796875, 42.8984375, 33.296875, 0.0, 0.0, 100.0, 76.1875, 0.0, 0.0, 0.0, 0.0, 917.0, 90.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "25852", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=25852", 100.0, 0.0, 0.0),
(11596, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "PASS", "Université de Paris - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Métiers du soin et du social", 100, 10355, 7615, 10355, 0, 7720, 1732, 427, 169, 111, 56, 2097, 0, 0, 0, 0, 0, 10342, 0, 0, 0, 7720, 1732, 427, 169, 111, 56, 2084, 1631, 96, 71, 96, 0, 1.0, 16.0, 66.0, 0, 34, 80, 80, 0, 0, 16, 0, 2, 30, 41, 7, 0.0, 78, 0, 0, 0, 0, 17, 78, 1.04, 16.67, 68.75, 74.0, 21.296875, 97.5, 0, 42.5, 83.296875, 0.0, 2.5, 37.5, 51.296875, 8.8, 0.0, 100.0, 97.5, 0.0, 0.0, 0.0, 0.0, 1431.0, 357.0, 0.0, 0.0, 200.0, "Tous les candidats", 5890.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "33539", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28111&g_ta_cod=33539", 97.0, 0.0, 3.0),
(11597, "Privé sous contrat d'association", "0190083M", "Lycée Bahuet", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BTS", "Lycée Bahuet - BTS - Services - Tourisme", "BTS - Services", "", 55, 315, 196, 290, 0, 67, 11, 34, 3, 35, 15, 154, 25, 2, 4, 0, 19, 198, 18, 0, 0, 67, 11, 34, 3, 35, 15, 62, 182, 32, 24, 26, 6, 9.0, 25.0, 31.0, 0, 3, 21, 13, 4, 4, 11, 0, 14, 5, 2, 0, 0.0, 5, 1, 1, 5, 2, 13, 13, 28.13, 78.13, 96.88, 75.0, 61.8984375, 61.8984375, 23.796875, 14.298828125, 65.59375, 0.0, 66.6875, 23.796875, 9.5, 0.0, 0.0, 61.8984375, 23.796875, 19.0, 4.7998046875, 19.0, 4.7998046875, 60.0, 11.0, 24.0, 13.0, 65.0, "Tous les candidats sauf les Bac professionnels", 156.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 63.0, "3152", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3152&g_ta_cod=3152", 66.0, 19.0, 16.0),
(11598, "Privé enseignement supérieur", "0530959E", "Facultés libres de l'ouest - UCO - Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Laval - Licence - Economie et gestion - Parcours Gestion Commerce", "Licence - Droit-économie-gestion", "Gestion Commerce", 30, 399, 161, 357, 0, 259, 28, 47, 9, 6, 2, 45, 42, 14, 4, 1, 23, 354, 37, 0, 0, 259, 28, 47, 9, 6, 2, 42, 268, 17, 4, 15, 2, 10.0, 15.0, 17.0, 0, 0, 16, 16, 0, 0, 1, 0, 9, 7, 0, 0, 0.0, 7, 0, 0, 0, 0, 12, 12, 58.82, 88.24, 100.0, 23.5, 75.0, 75.0, 0, 0.0, 94.09375, 0.0, 56.296875, 43.796875, 0.0, 0.0, 0.0, 100.0, 43.796875, 0.0, 0.0, 0.0, 0.0, 198.0, 21.0, 4.0, 2.0, 39.0, "Tous les candidats", 349.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "24451", "Licence - Economie et gestion - Parcours Gestion Commerce", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24451&g_ta_cod=24451", 100.0, 0.0, 0.0),
(11599, "Public", "0381603L", "Lycée Andre Argouges", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "Autre formation", "Lycée Andre Argouges - DN MADE - Graphisme - - Spécialité : Design editorial multisupport", "DN MADE", "- Spécialité : Design editorial multisupport", 15, 769, 523, 733, 0, 281, 54, 175, 37, 91, 24, 186, 36, 5, 2, 3, 26, 100, 4, 0, 0, 31, 4, 46, 10, 4, 1, 19, 63, 15, 10, 12, 3, 1.0, 11.0, 12.0, 0, 1, 8, 5, 2, 1, 7, 0, 0, 4, 4, 0, 0.0, 5, 2, 1, 0, 0, 3, 3, 6.67, 73.33, 80.0, 66.6875, 37.5, 37.5, 0, 12.5, 53.296875, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 62.5, 62.5, 25.0, 25.0, 12.5, 12.5, 18.0, 3.0, 4.0, 0.0, 18.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "24364", "DN MADE - Graphisme - - Spécialité : Design editorial multisupport", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24364&g_ta_cod=24364", 73.0, 13.0, 13.0),
(11600, "Public", "0470926B", "Département universitaire de sciences d'Agen", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation non sélective", "Licence", "Département universitaire de sciences d'Agen - Licence - Portail Sciences et technologies", "Licence - Sciences - technologies - santé", "Sciences et technologies", 40, 429, 278, 429, 0, 270, 47, 34, 10, 4, 1, 121, 0, 0, 0, 0, 0, 428, 0, 0, 0, 270, 47, 34, 10, 4, 1, 120, 242, 35, 21, 35, 0, 2.0, 27.0, 33.0, 0, 4, 26, 24, 2, 0, 9, 0, 10, 12, 4, 0, 0.0, 15, 1, 0, 0, 0, 26, 26, 5.71, 77.14, 94.29, 60.0, 100.0, 100.0, 0, 15.3984375, 74.296875, 0.0, 38.5, 46.1953125, 15.3984375, 0.0, 0.0, 92.296875, 57.6953125, 7.69921875, 3.7998046875, 0.0, 0.0, 163.0, 26.0, 1.0, 0.0, 64.0, "Tous les candidats", 262.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "27810", "Licence - Portail Sciences et technologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27810&g_ta_cod=27810", 94.0, 6.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(11601, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence_Las", "Université Paris 8 - Licence - Portail Lettres - Littérature : création littéraire et écritures du monde", "Licence - Arts-lettres-langues", "Littérature : création littéraire et écritures du monde", 15, 168, 127, 168, 0, 50, 15, 10, 4, 17, 10, 91, 0, 0, 0, 0, 0, 166, 0, 0, 0, 50, 15, 10, 4, 17, 10, 89, 166, 38, 26, 38, 0, 35.0, 36.0, 38.0, 0, 6, 16, 9, 3, 4, 22, 0, 11, 3, 2, 0, 0.0, 4, 0, 1, 0, 0, 9, 16, 92.11, 94.74, 100.0, 68.390625, 56.296875, 100.0, 0, 37.5, 42.09375, 0.0, 68.796875, 18.796875, 12.5, 0.0, 0.0, 56.296875, 25.0, 18.796875, 0.0, 25.0, 6.2998046875, 50.0, 15.0, 17.0, 10.0, 89.0, "Tous les candidats", 539.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "28416", "Licence - Portail Lettres - Littérature : création littéraire et écritures du monde", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28415&g_ta_cod=28416", 55.0, 21.0, 24.0),
(11602, "Public", "0190624A", "LEGTA Edgard PISANI de Tulle-Naves", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Naves", "formation sélective", "BTS", "LEGTA Edgard PISANI de Tulle-Naves - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 16, 155, 75, 155, 0, 13, 3, 58, 11, 61, 25, 23, 0, 0, 0, 0, 0, 119, 0, 0, 0, 12, 3, 58, 11, 45, 17, 4, 74, 15, 5, 15, 0, 2.0, 15.0, 15.0, 0, 3, 15, 0, 7, 8, 0, 0, 6, 8, 1, 0, 0.0, 0, 4, 5, 10, 4, 10, 10, 13.33, 100.0, 100.0, 33.296875, 66.6875, 66.6875, 66.6875, 20.0, 100.0, 0.0, 40.0, 53.296875, 6.69921875, 0.0, 0.0, 0.0, 0.0, 46.6953125, 26.69921875, 53.296875, 33.296875, 9.0, 3.0, 24.0, 6.0, 3.0, "Tous les candidats sauf les Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 76.0, "17667", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17667&g_ta_cod=17667", 0.0, 47.0, 53.0),
(11603, "Privé sous contrat d'association", "0211089V", "Lycée Saint Joseph", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 32, 169, 9, 137, 0, 10, 0, 37, 3, 58, 7, 32, 32, 3, 6, 9, 14, 112, 6, 0, 0, 10, 0, 36, 3, 51, 6, 15, 100, 20, 2, 18, 2, 11.0, 18.0, 20.0, 0, 0, 16, 1, 2, 13, 4, 0, 5, 6, 5, 0, 0.0, 0, 1, 10, 10, 0, 13, 13, 55.0, 90.0, 100.0, 10.0, 81.296875, 81.296875, 62.5, 0.0, 80.0, 0.0, 31.296875, 37.5, 31.296875, 0.0, 0.0, 6.2998046875, 0.0, 12.5, 6.2998046875, 81.296875, 62.5, 9.0, 0.0, 42.0, 3.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 82.0, "3214", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3214&g_ta_cod=3214", 15.0, 15.0, 70.0),
(11604, "Public", "0180036S", "Lycée Henri Brisson", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Vierzon", "formation sélective", "BTS", "Lycée Henri Brisson - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 24, 58, 4, 55, 0, 2, 0, 7, 0, 37, 7, 9, 3, 0, 2, 1, 0, 52, 0, 0, 0, 2, 0, 7, 0, 35, 7, 8, 46, 20, 3, 20, 0, 10.0, 20.0, 20.0, 0, 4, 18, 0, 3, 15, 2, 0, 6, 8, 3, 1, 0.0, 0, 1, 11, 15, 1, 17, 17, 50.0, 100.0, 100.0, 15.0, 94.390625, 94.390625, 83.296875, 22.19921875, 90.0, 0.0, 33.296875, 44.3984375, 16.69921875, 5.6, 0.0, 0.0, 0.0, 16.69921875, 5.599609375, 83.296875, 61.09375, 2.0, 0.0, 33.0, 7.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 9, "Liste d'appel propre à cette formation", 87.0, "3111", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3111&g_ta_cod=3111", 10.0, 15.0, 75.0),
(11605, "Public", "0731248K", "Lycée Louis Armand", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "BTS", "Lycée Louis Armand - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 10, 242, 10, 240, 0, 28, 4, 56, 7, 96, 34, 60, 2, 0, 1, 0, 1, 186, 0, 0, 0, 19, 1, 40, 2, 96, 34, 31, 50, 9, 0, 9, 0, 3.0, 7.0, 8.0, 0, 3, 9, 0, 2, 7, 0, 0, 1, 2, 6, 0, 0.0, 0, 2, 6, 1, 0, 6, 6, 33.33, 77.78, 88.89, 0.0, 66.6875, 66.6875, 11.099609375, 33.296875, 100.0, 0.0, 11.099609375, 22.19921875, 66.6875, 0.0, 0.0, 0.0, 0.0, 22.19921875, 22.19921875, 77.796875, 66.6875, 4.0, 1.0, 17.0, 7.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 32.0, "8816", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8816&g_ta_cod=8816", 0.0, 22.0, 78.0),
(11606, "Public", "0060001U", "Lycée Jacques Audiberti", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "BTS", "Lycée Jacques Audiberti - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 24, 780, 383, 780, 0, 117, 24, 292, 83, 219, 80, 152, 0, 0, 0, 0, 0, 490, 0, 0, 0, 81, 17, 182, 46, 174, 62, 53, 166, 22, 11, 22, 0, 1.0, 13.0, 16.0, 0, 7, 19, 4, 8, 7, 3, 0, 5, 13, 1, 0, 0.0, 4, 5, 5, 2, 1, 16, 16, 4.55, 59.09, 72.73, 50.0, 84.1875, 84.1875, 10.5, 36.796875, 86.390625, 0.0, 26.296875, 68.390625, 5.2998046875, 0.0, 0.0, 21.09765625, 21.09765625, 42.09375, 26.296875, 36.796875, 26.296875, 28.0, 8.0, 53.0, 19.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 109, "Liste d'appel propre à cette formation", 28.0, "2180", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2180&g_ta_cod=2180", 23.0, 45.0, 32.0),
(11607, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Autre formation", "Université Bordeaux Montaigne - Diplôme d'Université - PAREO", "Diplôme d'Université", "", 20, 154, 94, 72, 0, 33, 6, 11, 2, 5, 1, 23, 82, 26, 13, 10, 33, 72, 11, 0, 0, 33, 6, 11, 2, 5, 1, 23, 68, 20, 12, 13, 7, 6.0, 13.0, 19.0, 0, 4, 12, 9, 3, 0, 8, 1, 5, 3, 3, 0, 0.0, 4, 2, 0, 0, 0, 11, 11, 30.0, 65.0, 95.0, 60.0, 91.6875, 91.6875, 0, 33.296875, 60.0, 8.298828125, 41.6953125, 25.0, 25.0, 0.0, 0.0, 75.0, 33.296875, 25.0, 16.69921875, 0.0, 0.0, 34.0, 6.0, 4.0, 1.0, 23.0, "Tous les candidats", 72.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32727", "Diplôme d'Université - PAREO", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32727&g_ta_cod=32727", 80.0, 15.0, 5.0),
(11608, "Public", "0620109G", "Lycée Auguste Behal", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "Autre formation", "Lycée Auguste Behal - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 43, 11, 9, 0, 0, 0.0, 0.0, 2.0, 0, 7, 11, 0, 7, 4, 0, 0, 8, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 11, 11, 0.0, 0.0, 18.18, 81.796875, 100.0, 100.0, 0, 63.59375, 100.0, 0.0, 72.6875, 27.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 63.59375, 0.0, 36.3984375, 27.296875, 1.0, 0.0, 23.0, 15.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22301", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 64.0, 36.0),
(11609, "Privé sous contrat d'association", "0331501C", "Lycée Sainte-Marie Bastide", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Sainte-Marie Bastide - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 33, 1003, 450, 932, 0, 165, 22, 432, 115, 131, 40, 204, 71, 0, 8, 37, 26, 421, 9, 0, 0, 82, 11, 235, 57, 66, 16, 38, 218, 31, 13, 26, 5, 0.0, 10.0, 20.0, 0, 7, 25, 9, 13, 3, 6, 0, 8, 16, 1, 0, 0.0, 7, 8, 2, 4, 2, 21, 21, 0.0, 32.26, 64.52, 41.8984375, 84.0, 84.0, 16, 28.0, 80.59375, 0.0, 32.0, 64.0, 4.0, 0.0, 0.0, 36.0, 28.0, 52.0, 32.0, 12.0, 8.0, 46.0, 9.0, 45.0, 12.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 96.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 142, "Liste d'appel propre à cette formation", 33.0, "4353", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4353&g_ta_cod=4353", 39.0, 48.0, 13.0),
(11610, "Public", "0420013L", "Lycée Albert Camus", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Firminy", "formation sélective", "BTS", "Lycée Albert Camus - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 23, 697, 616, 697, 0, 49, 19, 217, 87, 225, 98, 206, 0, 0, 0, 0, 0, 697, 0, 0, 0, 49, 19, 217, 87, 225, 98, 206, 175, 19, 17, 19, 0, 4.0, 9.0, 15.0, 0, 5, 12, 1, 4, 7, 7, 0, 4, 3, 4, 1, 0.0, 0, 1, 7, 1, 1, 10, 10, 21.05, 47.37, 78.95, 89.5, 83.296875, 83.296875, 8.298828125, 41.6953125, 63.1953125, 0.0, 33.296875, 25.0, 33.296875, 8.3, 0.0, 8.298828125, 0.0, 33.296875, 8.298828125, 58.296875, 58.296875, 10.0, 4.0, 45.0, 20.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 112, "Liste d'appel propre à cette formation", 29.0, "13325", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13325&g_ta_cod=13325", 11.0, 47.0, 42.0),
(11611, "Public", "0952261S", "CY TECH - Université de Cergy-Pontoise", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "Concours GalaxY - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "Ingénieur en Biotechnologies et Chimie - voie recherche  Biomatériaux pour la santé", 15, 242, 114, 228, 0, 222, 37, 0, 0, 0, 0, 6, 14, 13, 0, 0, 1, 118, 1, 0, 0, 118, 19, 0, 0, 0, 0, 0, 96, 12, 10, 11, 1, 4.0, 10.0, 12.0, 0, 2, 12, 12, 0, 0, 0, 0, 0, 4, 7, 1, 0.0, 12, 0, 0, 0, 0, 7, 8, 33.33, 83.33, 100.0, 83.296875, 58.296875, 66.6875, 0, 16.69921875, 100.0, 0.0, 0.0, 33.296875, 58.296875, 8.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 96.0, 16.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "31246", "Formation d'ingénieur Bac + 5", "Concours GalaxY", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31208&g_ta_cod=31246", 100.0, 0.0, 0.0),
(11612, "Public", "0783390L", "IFSI CH Intercommunal Meulan-Les Mureaux (CHimm)", "78", "Yvelines", "Ile-de-France", "Versailles", "Les Mureaux", "formation sélective", "IFSI", "Regroupement d'IFSI UVSQ - D.E Infirmier", "D.E secteur sanitaire", "", 48, 2263, 1996, 2263, 0, 229, 60, 374, 135, 291, 127, 1369, 0, 0, 0, 0, 0, 1509, 0, 0, 0, 225, 58, 281, 94, 163, 71, 840, 480, 48, 42, 46, 0, 0.0, 20.0, 43.0, 0, 8, 30, 11, 15, 4, 18, 0, 6, 14, 9, 1, 0.0, 6, 14, 4, 0, 0, 24, 25, 0.0, 41.67, 89.58, 87.5, 80.0, 83.296875, 0, 26.69921875, 62.5, 0.0, 20.0, 46.6953125, 30.0, 3.3, 0.0, 36.6953125, 20.0, 50.0, 46.6953125, 13.298828125, 13.298828125, 112.0, 29.0, 14.0, 8.0, 249.0, "Tous les candidats", 1634.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "23295", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23007&g_ta_cod=23295", 48.0, 42.0, 10.0),
(11613, "Public", "0750710P", "Lycée Auguste Renoir", "75", "Paris", "Ile-de-France", "Paris", "Paris 18e  Arrondissement", "formation sélective", "BTS", "Lycée Auguste Renoir - BTS - Services - Photographie", "BTS - Services", "", 24, 400, 253, 400, 0, 158, 19, 36, 7, 63, 19, 143, 0, 0, 0, 0, 0, 119, 0, 0, 0, 59, 6, 14, 0, 27, 9, 19, 43, 24, 18, 24, 0, 10.0, 21.0, 23.0, 0, 4, 16, 12, 3, 1, 8, 0, 1, 5, 7, 3, 0.0, 11, 3, 1, 0, 0, 1, 7, 41.67, 87.5, 95.83, 75.0, 6.2998046875, 43.796875, 0, 25.0, 66.6875, 0.0, 6.2998046875, 31.296875, 43.796875, 18.8, 0.0, 75.0, 68.796875, 18.796875, 18.796875, 6.2998046875, 6.2998046875, 24.0, 6.0, 6.0, 2.0, 9.0, "Tous les candidats sauf les Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 12.0, "9166", "BTS - Services - Photographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9166&g_ta_cod=9166", 67.0, 17.0, 17.0),
(11614, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Lettres", "Licence - Arts-lettres-langues", "", 85, 540, 432, 475, 0, 323, 67, 18, 3, 18, 5, 116, 65, 14, 4, 1, 46, 475, 47, 0, 0, 323, 67, 18, 3, 18, 5, 116, 456, 78, 55, 61, 17, 34.0, 59.0, 66.0, 0, 12, 47, 40, 5, 2, 31, 1, 16, 24, 5, 1, 0.0, 28, 2, 0, 0, 0, 36, 36, 43.59, 75.64, 84.62, 70.5, 76.59375, 76.59375, 0, 25.5, 60.296875, 2.099609375, 34.0, 51.09375, 10.599609375, 2.1, 0.0, 85.09375, 59.59375, 10.599609375, 4.2998046875, 4.2998046875, 0.0, 302.0, 64.0, 11.0, 3.0, 127.0, "Tous les candidats", 474.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "13032", "Licence - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13032&g_ta_cod=13032", 81.0, 9.0, 5.0),
(11615, "Public", "0134016V", "Aix Marseille Université - Site d'Aix-en-Provence (Jules Ferry)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence (Jules Ferry) - Licence - Portail Administration économique et sociale - Economie et Gestion - Gestion", "Licence - Droit-économie-gestion", "Administration économique et sociale - Economie et Gestion - Gestion", 519, 5055, 2493, 4938, 0, 3262, 707, 585, 240, 74, 36, 1017, 117, 19, 20, 4, 74, 4829, 100, 0, 0, 3262, 707, 585, 240, 74, 36, 908, 3348, 498, 194, 436, 61, 179.0, 353.0, 391.0, 0, 106, 380, 353, 24, 3, 118, 3, 126, 169, 63, 18, 1.0, 244, 7, 0, 0, 0, 296, 296, 35.94, 70.88, 78.51, 39.0, 77.890625, 77.890625, 0, 27.8984375, 76.296875, 0.7999267578125, 33.1953125, 44.5, 16.59765625, 4.7, 0.3, 92.890625, 64.1875, 6.2998046875, 1.7998046875, 0.7999267578125, 0.0, 2633.0, 621.0, 14.0, 7.0, 602.0, "Tous les candidats", 3951.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 77.0, "12528", "Licence - Portail Administration économique et sociale - Economie et Gestion - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28491&g_ta_cod=12528", 90.0, 8.0, 2.0),
(11616, "Privé sous contrat d'association", "0900029T", "Lycée Notre Dame Des Anges", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "BTS", "Lycée Notre Dame Des Anges - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 40, 389, 196, 365, 0, 34, 9, 118, 36, 113, 42, 100, 24, 3, 9, 0, 12, 279, 9, 0, 0, 27, 7, 106, 32, 90, 33, 56, 193, 35, 12, 30, 5, 2.0, 21.0, 26.0, 0, 8, 23, 4, 13, 6, 12, 0, 16, 7, 0, 0, 0.0, 0, 3, 4, 2, 0, 22, 22, 5.71, 60.0, 74.29, 34.296875, 95.6875, 95.6875, 8.69921875, 34.796875, 65.6875, 0.0, 69.59375, 30.3984375, 0.0, 0.0, 0.0, 17.3984375, 0.0, 56.5, 13.0, 26.09765625, 17.3984375, 27.0, 7.0, 44.0, 18.0, 44.0, "Tous les candidats sauf les Bac professionnels", 153.0, "Bacheliers professionnels toutes séries", 57, "", 0, "Liste d'appel propre à cette formation", 57.0, "10816", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10816&g_ta_cod=10816", 17.0, 51.0, 31.0),
(11617, "Public", "0240035H", "Lycée Pre De Cordy", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Sarlat-la-Canéda", "formation sélective", "BTS", "Lycée Pre De Cordy - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 16, 307, 33, 295, 0, 6, 0, 19, 8, 52, 12, 218, 12, 0, 0, 6, 6, 178, 2, 0, 0, 6, 0, 19, 8, 52, 12, 101, 73, 8, 0, 8, 0, 0.0, 8.0, 8.0, 0, 1, 7, 0, 1, 6, 1, 0, 2, 5, 0, 0, 0.0, 0, 0, 5, 0, 0, 5, 5, 0.0, 100.0, 100.0, 0.0, 71.390625, 71.390625, 0, 14.298828125, 87.5, 0.0, 28.59765625, 71.390625, 0.0, 0.0, 0.0, 0.0, 0.0, 14.298828125, 0.0, 85.6875, 71.390625, 1.0, 0.0, 49.0, 11.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 29.0, "19262", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19262&g_ta_cod=19262", 13.0, 13.0, 75.0),
(11618, "Public", "0080039Z", "Lycée Paul Verlaine", "08", "Ariège", "Grand Est", "Reims", "Rethel", "formation sélective", "Autre formation", "Lycée Paul Verlaine - Mention complémentaire - FCIL secrétariat médical", "Mention complémentaire", "", 15, 74, 68, 74, 0, 2, 1, 10, 4, 31, 15, 31, 0, 0, 0, 0, 0, 64, 0, 0, 0, 2, 1, 10, 4, 30, 14, 22, 40, 15, 15, 15, 0, 3.0, 14.0, 14.0, 0, 4, 12, 1, 4, 7, 3, 0, 6, 6, 0, 0, 0.0, 0, 3, 3, 0, 0, 12, 12, 20.0, 93.33, 93.33, 100.0, 100.0, 100.0, 0, 33.296875, 80.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 8.298828125, 0.0, 33.296875, 25.0, 58.296875, 25.0, 2.0, 1.0, 22.0, 7.0, 9.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "25349", "Mention complémentaire - FCIL secrétariat médical", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25349&g_ta_cod=25349", 13.0, 33.0, 53.0),
(11619, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence_Las", "Université de Nantes - Licence - Portail Chimie - PCGSI", "Licence - Sciences - technologies - santé", "PCGSI", 36, 709, 486, 699, 0, 406, 54, 6, 1, 0, 0, 287, 10, 2, 0, 0, 8, 698, 10, 0, 0, 406, 54, 6, 1, 0, 0, 286, 384, 36, 26, 29, 6, 0.0, 8.0, 26.0, 0, 1, 26, 25, 1, 0, 10, 0, 4, 14, 7, 1, 0.0, 21, 1, 0, 0, 0, 22, 22, 0.0, 22.22, 72.22, 72.1875, 84.59375, 84.59375, 0, 3.7998046875, 72.1875, 0.0, 15.3984375, 53.796875, 26.8984375, 3.8, 0.0, 96.1875, 80.796875, 3.7998046875, 3.7998046875, 0.0, 0.0, 207.0, 22.0, 0.0, 0.0, 173.0, "Tous les candidats", 858.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 87.0, "32035", "Licence - Portail Chimie - PCGSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32034&g_ta_cod=32035", 89.0, 8.0, 3.0),
(11620, "Public", "0542288U", "I.U.T. H. Poincaré de Longwy - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Cosnes-et-Romain", "formation sélective", "BUT", "I.U.T. H. Poincaré de Longwy - Université de Lorraine - BUT - Génie thermique et énergie", "BUT - Production", "", 52, 217, 22, 187, 0, 71, 7, 73, 13, 17, 1, 26, 30, 3, 0, 3, 24, 173, 20, 0, 0, 71, 7, 68, 11, 11, 1, 23, 194, 22, 2, 15, 6, 6.0, 14.0, 19.0, 0, 3, 10, 3, 2, 5, 12, 0, 4, 3, 2, 1, 0.0, 1, 2, 3, 0, 0, 9, 9, 27.27, 63.64, 86.36, 9.099609375, 90.0, 90.0, 0, 30.0, 45.5, 0.0, 40.0, 30.0, 20.0, 10.0, 0.0, 30.0, 10.0, 20.0, 20.0, 50.0, 30.0, 73.0, 7.0, 11.0, 1.0, 41.0, "Tous les candidats sauf les Bac technologiques", 101.0, "Bacheliers technologiques toutes séries", 73, "", 0, "Liste d'appel propre à cette formation", 93.0, "6375", "BUT - Génie thermique et énergie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6375&g_ta_cod=6375", 50.0, 23.0, 23.0),
(11621, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - LLCER ANGLAIS - LLCER ESPAGNOL", "Licence - Arts-lettres-langues", "LLCER ANGLAIS - LLCER ESPAGNOL", 15, 211, 181, 211, 0, 155, 34, 5, 0, 4, 1, 47, 0, 0, 0, 0, 0, 153, 0, 0, 0, 124, 22, 0, 0, 0, 0, 29, 45, 15, 13, 15, 0, 5.0, 14.0, 14.0, 0, 1, 11, 11, 0, 0, 4, 0, 0, 0, 1, 9, 1.0, 11, 0, 0, 0, 0, 2, 5, 33.33, 93.33, 93.33, 86.6875, 18.19921875, 45.5, 0, 9.099609375, 73.296875, 0.0, 0.0, 0.0, 9.099609375, 81.8, 9.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 37.0, 6.0, 0.0, 0.0, 8.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "9303", "Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - LLCER ANGLAIS - LLCER ESPAGNOL", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9303&g_ta_cod=9303", 100.0, 0.0, 0.0),
(11622, "Privé sous contrat d'association", "0930933J", "Lycée Assomption", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bondy", "formation sélective", "Autre formation", "Lycée Assomption - DN MADE - Innovation sociale - parcours matériaux", "DN MADE", "parcours matériaux", 15, 178, 109, 75, 0, 31, 6, 20, 3, 6, 3, 18, 103, 21, 10, 17, 55, 56, 21, 0, 0, 21, 3, 18, 2, 5, 2, 12, 71, 12, 8, 6, 6, 2.0, 6.0, 9.0, 0, 1, 8, 6, 1, 1, 4, 0, 1, 7, 0, 0, 0.0, 6, 0, 1, 0, 0, 1, 6, 16.67, 50.0, 75.0, 66.6875, 12.5, 75.0, 0, 12.5, 66.6875, 0.0, 12.5, 87.5, 0.0, 0.0, 0.0, 75.0, 75.0, 12.5, 0.0, 12.5, 12.5, 29.0, 4.0, 7.0, 2.0, 17.0, "Tous les candidats", 56.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "26448", "DN MADE - Innovation sociale - parcours matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26448&g_ta_cod=26448", 67.0, 8.0, 25.0),
(11623, "Public", "0332722E", "Lycée Pape Clement", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "BTS", "Lycée Pape Clement - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 35, 314, 80, 312, 0, 27, 6, 130, 36, 92, 27, 63, 2, 1, 0, 0, 1, 237, 0, 0, 0, 26, 5, 102, 30, 86, 24, 23, 139, 28, 4, 27, 0, 5.0, 21.0, 25.0, 0, 12, 26, 2, 8, 16, 2, 0, 15, 9, 2, 0, 0.0, 0, 2, 9, 0, 0, 24, 24, 17.86, 75.0, 89.29, 14.298828125, 92.296875, 92.296875, 0, 46.1953125, 92.890625, 0.0, 57.6953125, 34.59375, 7.69921875, 0.0, 0.0, 7.69921875, 0.0, 30.796875, 7.69921875, 61.5, 34.59375, 20.0, 4.0, 55.0, 18.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 57.0, "4444", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4444&g_ta_cod=4444", 14.0, 29.0, 57.0),
(11624, "Public", "0410017W", "Lycée Claude De France", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Romorantin-Lanthenay", "formation sélective", "BTS", "Lycée Claude De France - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 16, 315, 50, 315, 0, 36, 2, 72, 20, 52, 9, 155, 0, 0, 0, 0, 0, 187, 0, 0, 0, 36, 2, 72, 20, 52, 9, 27, 72, 15, 1, 15, 0, 3.0, 11.0, 13.0, 0, 1, 13, 3, 5, 5, 2, 0, 5, 7, 1, 0, 0.0, 1, 2, 5, 4, 0, 12, 12, 20.0, 73.33, 86.67, 6.69921875, 92.296875, 92.296875, 30.796875, 7.69921875, 86.6875, 0.0, 38.5, 53.796875, 7.69921875, 0.0, 0.0, 23.09765625, 7.69921875, 38.5, 15.3984375, 38.5, 38.5, 20.0, 2.0, 13.0, 1.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 34.0, "19876", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19876&g_ta_cod=19876", 33.0, 33.0, 33.0),
(11625, "Public", "0690038S", "Lycée La Martinière Duchère", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "Autre formation", "Lycée La Martinière Duchère - Diplôme de Comptabilité et de Gestion", "DCG", "", 40, 1167, 570, 1167, 0, 512, 142, 261, 113, 19, 10, 375, 0, 0, 0, 0, 0, 665, 0, 0, 0, 417, 110, 146, 59, 0, 0, 102, 266, 42, 26, 42, 0, 13.0, 30.0, 39.0, 0, 10, 30, 20, 10, 0, 12, 0, 7, 16, 6, 1, 0.0, 14, 9, 0, 0, 0, 25, 25, 30.95, 71.43, 92.86, 61.8984375, 83.296875, 83.296875, 0, 33.296875, 71.390625, 0.0, 23.296875, 53.296875, 20.0, 3.3, 0.0, 66.6875, 46.6953125, 33.296875, 30.0, 0.0, 0.0, 185.0, 46.0, 0.0, 0.0, 38.0, "Tous les candidats", 503.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "8226", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8226&g_ta_cod=8226", 67.0, 33.0, 0.0),
(11626, "Privé sous contrat d'association", "0791171U", "Institut Catholique Supérieur Saint André", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BTS", "Institut Catholique Supérieur Saint André - BTS - Services - Economie sociale familiale", "BTS - Services", "", 32, 298, 272, 296, 0, 41, 4, 82, 13, 106, 25, 67, 2, 0, 0, 0, 2, 296, 1, 0, 0, 41, 4, 82, 13, 106, 25, 67, 136, 29, 24, 28, 1, 7.0, 23.0, 26.0, 0, 9, 22, 1, 9, 12, 7, 0, 8, 8, 6, 0, 0.0, 1, 4, 9, 0, 0, 21, 21, 24.14, 79.31, 89.66, 82.796875, 95.5, 95.5, 0, 40.8984375, 75.890625, 0.0, 36.3984375, 36.3984375, 27.296875, 0.0, 0.0, 4.5, 4.5, 40.8984375, 18.19921875, 54.5, 40.8984375, 13.0, 0.0, 39.0, 10.0, 43.0, "Tous les candidats sauf les Bac professionnels", 145.0, "Bacheliers professionnels toutes séries", 66, "", 0, "Liste d'appel propre à cette formation", 71.0, "10143", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10143&g_ta_cod=10143", 10.0, 41.0, 48.0),
(11627, "Public", "0761942Y", "Ecole Supérieure d'Art et Design Le Havre-Rouen (ESADHaR) site du Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Autre formation", "Ecole Supérieure d'Art et Design Le Havre-Rouen (ESADHaR) site du Havre - Diplôme National d'Art option design, mention design graphique et interactivité", "Diplôme National d'Art", "", 40, 251, 167, 165, 0, 73, 13, 9, 0, 10, 3, 73, 86, 21, 8, 6, 51, 44, 0, 0, 0, 15, 1, 1, 0, 0, 0, 28, 44, 23, 15, 23, 0, 23.0, 23.0, 23.0, 0, 1, 10, 9, 1, 0, 13, 0, 3, 4, 3, 0, 0.0, 7, 0, 0, 0, 0, 8, 8, 100.0, 100.0, 100.0, 65.1875, 80.0, 80.0, 0, 10.0, 43.5, 0.0, 30.0, 40.0, 30.0, 0.0, 0.0, 90.0, 70.0, 10.0, 0.0, 0.0, 0.0, 15.0, 1.0, 0.0, 0.0, 28.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "19439", "Diplôme National d'Art option design, mention design graphique et interactivité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19439&g_ta_cod=19439", 87.0, 9.0, 0.0),
(11628, "Privé sous contrat d'association", "0694280C", "ESSCA School of Management - Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours ACCES - Formation des écoles de commerce et de management Bac + 5", "Formation des écoles de commerce et de management", "", 200, 4015, 1737, 4015, 0, 3666, 67, 84, 7, 1, 0, 264, 0, 0, 0, 0, 0, 2937, 0, 0, 0, 2754, 44, 19, 0, 0, 0, 164, 2329, 287, 145, 287, 0, 196.0, 254.0, 287.0, 0, 14, 267, 265, 2, 0, 20, 0, 44, 125, 80, 15, 3.0, 221, 2, 0, 0, 0, 130, 130, 68.29, 88.5, 100.0, 50.5, 48.6953125, 48.6953125, 0, 5.19921875, 93.0, 0.0, 16.5, 46.796875, 30.0, 5.6, 1.1, 99.296875, 82.796875, 0.699951171875, 0.699951171875, 0.0, 0.0, 2183.0, 43.0, 0.0, 0.0, 137.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "26006", "Formation des écoles de commerce et de management Bac + 5", "Concours ACCES", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26003&g_ta_cod=26006", 99.0, 1.0, 0.0),
(11629, "Public", "0831354W", "Lycée professionnel La Coudoulière", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Six-Fours-les-Plages", "formation sélective", "Autre formation", "Lycée professionnel La Coudoulière - Mention complémentaire - FCIL Véhicules nautiques motorisés (Jet ski)", "Mention complémentaire", "", 4, 23, 3, 22, 0, 2, 1, 0, 0, 20, 6, 0, 1, 0, 1, 0, 0, 14, 1, 0, 0, 0, 0, 0, 0, 14, 5, 0, 13, 3, 0, 2, 1, 0.0, 2.0, 2.0, 0, 0, 3, 0, 1, 2, 0, 0, 1, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 3, 3, 0.0, 66.67, 66.67, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 33.296875, 66.6875, 33.296875, 0.0, 0.0, 12.0, 4.0, 0.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "32697", "Mention complémentaire - FCIL Véhicules nautiques motorisés (Jet ski)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32697&g_ta_cod=32697", 0.0, 33.0, 67.0),
(11630, "Privé enseignement supérieur", "0333201A", "IDRAC Business School - Campus de Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Ecole de Commerce", "Concours Bachelor IDRAC Business School - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "Approfondissement en :  marketing digital, international, sport & business et approfondissement personnalisable", 100, 682, 254, 669, 0, 486, 75, 98, 15, 12, 7, 73, 13, 6, 1, 0, 6, 522, 4, 0, 0, 406, 55, 65, 5, 4, 2, 47, 526, 37, 18, 36, 1, 36.0, 36.0, 36.0, 0, 8, 35, 28, 6, 1, 2, 0, 18, 14, 3, 0, 0.0, 14, 2, 1, 0, 0, 25, 25, 97.3, 97.3, 97.3, 48.59375, 71.390625, 71.390625, 0, 22.8984375, 94.59375, 0.0, 51.3984375, 40.0, 8.599609375, 0.0, 0.0, 80.0, 40.0, 17.09765625, 5.69921875, 2.89990234375, 2.89990234375, 409.0, 57.0, 4.0, 2.0, 48.0, "Tous les candidats", 1419.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 78.0, "31688", "Formation des écoles de commerce et de management Bac + 3", "Concours Bachelor IDRAC Business School", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=439&g_ta_cod=31688", 78.0, 16.0, 5.0),
(11631, "Public", "0750648X", "Lycée Victor Hugo", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "CPGE", "Lycée Victor Hugo - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 1007, 734, 1007, 139, 928, 111, 0, 0, 3, 1, 76, 0, 0, 0, 0, 0, 984, 0, 101, 977, 917, 107, 0, 0, 2, 1, 65, 510, 48, 31, 48, 0, 21.0, 31.0, 48.0, 3, 2, 48, 48, 0, 0, 0, 0, 0, 4, 32, 12, 0.0, 48, 0, 0, 4, 3, 25, 42, 43.75, 64.58, 100.0, 64.59375, 52.09375, 87.5, 8.298828125, 4.19921875, 100.0, 0.0, 0.0, 8.298828125, 66.6875, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 493.0, 64.0, 0.0, 0.0, 17.0, "Tous les candidats", 699.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "8953", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8953&g_ta_cod=8953", 100.0, 0.0, 0.0),
(11632, "Privé enseignement supérieur", "0694373D", "BSB - Burgundy School of Business - Campus de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours Passerelle Bachelor - Formation des écoles de commerce et de management Bac + 3 - Bachelor", "Formation des écoles de commerce et de management", "Bachelor", 80, 863, 407, 845, 0, 674, 52, 97, 14, 5, 4, 69, 18, 4, 3, 0, 11, 568, 6, 0, 0, 474, 24, 59, 4, 1, 0, 34, 574, 84, 45, 82, 2, 81.0, 81.0, 84.0, 0, 8, 77, 63, 13, 1, 7, 1, 13, 42, 16, 5, 0.0, 52, 10, 1, 0, 0, 36, 36, 96.43, 96.43, 100.0, 53.59375, 46.796875, 46.796875, 0, 10.3984375, 91.6875, 1.2998046875, 16.8984375, 54.5, 20.796875, 6.5, 0.0, 81.796875, 67.5, 16.8984375, 13.0, 1.2998046875, 1.2998046875, 476.0, 24.0, 1.0, 0.0, 37.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 67.0, "25368", "Formation des écoles de commerce et de management Bac + 3 - Bachelor", "Concours Passerelle Bachelor", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=253&g_ta_cod=25368", 83.0, 15.0, 1.0),
(11633, "Public", "0022044L", "Lycée des Métiers le Corbusier de Soissons", "02", "Aisne", "Hauts-de-France", "Amiens", "Soissons", "formation sélective", "BTS", "Lycée des Métiers le Corbusier de Soissons - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 32, 91, 47, 90, 0, 0, 0, 17, 4, 54, 17, 19, 1, 0, 1, 0, 0, 75, 1, 0, 0, 0, 0, 17, 4, 40, 12, 18, 61, 22, 13, 22, 0, 11.0, 21.0, 22.0, 0, 4, 17, 0, 7, 10, 5, 0, 4, 3, 7, 2, 1.0, 0, 3, 10, 13, 8, 16, 16, 50.0, 95.45, 100.0, 59.09375, 94.09375, 94.09375, 76.5, 23.5, 77.296875, 0.0, 23.5, 17.59765625, 41.1953125, 11.8, 5.9, 0.0, 0.0, 41.1953125, 17.59765625, 58.796875, 58.796875, 0.0, 0.0, 27.0, 8.0, 18.0, "Tous les candidats sauf les Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 78.0, "2107", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2107&g_ta_cod=2107", 9.0, 36.0, 55.0),
(11634, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence", "Université du Mans - Licence - Portail Physique, chimie - Parcours physique-chimie / physique franco-allemand", "Licence - Sciences - technologies - santé", "Parcours physique-chimie / physique franco-allemand", 80, 394, 177, 336, 0, 233, 32, 10, 1, 2, 1, 91, 58, 18, 1, 3, 36, 333, 37, 0, 0, 233, 32, 10, 1, 2, 1, 88, 299, 26, 10, 16, 10, 1.0, 15.0, 21.0, 0, 3, 11, 10, 1, 0, 15, 0, 2, 5, 3, 1, 0.0, 9, 0, 0, 0, 0, 6, 6, 3.85, 57.69, 80.77, 38.5, 54.5, 54.5, 0, 27.296875, 42.296875, 0.0, 18.19921875, 45.5, 27.296875, 9.1, 0.0, 90.890625, 81.796875, 9.099609375, 0.0, 0.0, 0.0, 192.0, 26.0, 3.0, 1.0, 97.0, "Tous les candidats", 361.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "15152", "Licence - Portail Physique, chimie - Parcours physique-chimie / physique franco-allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26995&g_ta_cod=15152", 96.0, 4.0, 0.0),
(11635, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence_Las", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER : ALLEMAND NON DEBUTANT", "Licence - Arts-lettres-langues", "LLCER : ALLEMAND NON DEBUTANT", 25, 120, 93, 102, 0, 36, 6, 3, 0, 5, 3, 58, 18, 7, 2, 0, 9, 100, 13, 0, 0, 36, 6, 3, 0, 5, 3, 56, 86, 24, 18, 16, 8, 1.0, 11.0, 15.0, 0, 5, 13, 11, 1, 1, 11, 1, 9, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 4, 11, 4.17, 45.83, 62.5, 75.0, 30.796875, 84.59375, 0, 38.5, 54.1953125, 7.69921875, 69.1875, 7.69921875, 15.3984375, 0.0, 0.0, 84.59375, 23.09765625, 7.69921875, 0.0, 7.69921875, 0.0, 36.0, 6.0, 3.0, 2.0, 44.0, "Tous les candidats", 118.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 84.0, "28444", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER : ALLEMAND NON DEBUTANT", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28443&g_ta_cod=28444", 88.0, 8.0, 4.0),
(11636, "Public", "0741133E", "I.U.T. Annecy", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BUT", "I.U.T. Annecy - BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques", "BUT - Production", "Techniques d'instrumentation - Matériaux et contrôles physico-chimiques", 84, 1338, 328, 1322, 0, 957, 82, 116, 18, 3, 1, 246, 16, 1, 8, 0, 7, 1102, 3, 0, 0, 838, 59, 95, 15, 0, 0, 169, 685, 79, 12, 77, 2, 1.0, 49.0, 77.0, 0, 5, 69, 65, 4, 0, 10, 0, 10, 37, 18, 4, 0.0, 55, 4, 0, 0, 0, 54, 54, 1.27, 62.03, 97.47, 15.19921875, 78.296875, 78.296875, 0, 7.19921875, 87.296875, 0.0, 14.5, 53.59375, 26.09765625, 5.8, 0.0, 94.1875, 79.6875, 5.7998046875, 5.7998046875, 0.0, 0.0, 495.0, 34.0, 0.0, 0.0, 116.0, "Tous les candidats sauf les Bac technologiques", 998.0, "Bacheliers technologiques toutes séries", 101, "", 0, "Liste d'appel propre à cette formation", 83.0, "8902", "BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8902&g_ta_cod=8902", 95.0, 5.0, 0.0),
(11637, "Public", "0940118T", "Lycée Louis Armand", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Nogent-sur-Marne", "formation sélective", "BTS", "Lycée Louis Armand - BTS - Production - Conception de produits industriels", "BTS - Production", "", 24, 326, 29, 326, 0, 16, 5, 158, 64, 77, 30, 75, 0, 0, 0, 0, 0, 250, 0, 0, 0, 16, 5, 132, 47, 59, 21, 43, 113, 24, 1, 24, 0, 6.0, 21.0, 24.0, 0, 6, 21, 1, 11, 9, 3, 0, 7, 6, 7, 1, 0.0, 0, 5, 9, 5, 1, 17, 20, 25.0, 87.5, 100.0, 4.19921875, 81.0, 95.1875, 23.796875, 28.59765625, 87.5, 0.0, 33.296875, 28.59765625, 33.296875, 4.8, 0.0, 4.7998046875, 0.0, 52.3984375, 23.796875, 42.8984375, 42.8984375, 10.0, 5.0, 15.0, 7.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 127, "Liste d'appel propre à cette formation", 49.0, "11381", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11381&g_ta_cod=11381", 4.0, 58.0, 38.0),
(11638, "Public", "0110023R", "Lycée polyvalent Louise Michel", "11", "Aude", "Occitanie", "Montpellier", "Narbonne", "formation sélective", "BTS", "Lycée polyvalent Louise Michel - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 30, 226, 10, 212, 0, 5, 2, 38, 11, 104, 44, 65, 14, 0, 10, 0, 4, 174, 4, 0, 0, 5, 2, 38, 11, 104, 44, 27, 113, 19, 1, 19, 0, 2.0, 13.0, 17.0, 0, 7, 15, 0, 1, 14, 4, 0, 7, 4, 3, 1, 0.0, 0, 0, 8, 5, 0, 11, 11, 10.53, 68.42, 89.47, 5.2998046875, 73.296875, 73.296875, 33.296875, 46.6953125, 78.890625, 0.0, 46.6953125, 26.69921875, 20.0, 6.7, 0.0, 0.0, 0.0, 6.69921875, 0.0, 93.296875, 53.296875, 3.0, 1.0, 54.0, 20.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 58.0, "21683", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21683&g_ta_cod=21683", 5.0, 16.0, 79.0),
(11639, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Portail Sciences de la vie, de la Terre et de l'environnement (SVTE) : L1 aménagée pour bacs technologiques", "Licence - Sciences - technologies - santé", "Sciences de la vie, de la Terre et de l'environnement (SVTE) : L1 aménagée pour bacs technologiques", 60, 653, 406, 239, 0, 13, 3, 172, 45, 0, 0, 54, 414, 100, 84, 0, 230, 163, 5, 0, 0, 0, 0, 140, 37, 0, 0, 23, 162, 43, 28, 40, 3, 25.0, 40.0, 42.0, 0, 12, 34, 0, 34, 0, 9, 0, 7, 15, 8, 4, 0.0, 0, 27, 0, 0, 0, 27, 27, 58.14, 93.02, 97.67, 65.09375, 79.390625, 79.390625, 0, 35.296875, 79.09375, 0.0, 20.59765625, 44.09375, 23.5, 11.8, 0.0, 0.0, 0.0, 100.0, 79.390625, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 25.0, "Tous les candidats", 163.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "16549", "Licence - Portail Sciences de la vie, de la Terre et de l'environnement (SVTE) : L1 aménagée pour bacs technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16549&g_ta_cod=16549", 2.0, 98.0, 0.0),
(11640, "Public", "0911784V", "IFSI GH Nord Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Longjumeau", "formation sélective", "IFSI", "Regroupement d'IFSI Université Paris Sud (P11) - D.E Infirmier", "D.E secteur sanitaire", "", 120, 5082, 4430, 5082, 0, 549, 147, 723, 275, 682, 341, 3128, 0, 0, 0, 0, 0, 3978, 0, 0, 0, 544, 145, 580, 206, 491, 245, 2363, 1203, 115, 104, 113, 0, 1.0, 47.0, 99.0, 0, 19, 51, 24, 14, 13, 64, 1, 19, 15, 14, 2, 0.0, 11, 11, 9, 0, 0, 39, 45, 0.87, 40.87, 86.09, 90.390625, 76.5, 88.1875, 0, 37.296875, 44.296875, 2.0, 37.296875, 29.3984375, 27.5, 3.9, 0.0, 47.09375, 21.59765625, 27.5, 21.59765625, 25.5, 17.59765625, 276.0, 74.0, 155.0, 82.0, 709.0, "Tous les candidats", 3060.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "24493", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23011&g_ta_cod=24493", 60.0, 17.0, 23.0),
(11641, "Privé sous contrat d'association", "0440980B", "Lycée agricole Campus de Briacé", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Le Landreau", "formation sélective", "BTS", "Lycée agricole Campus de Briacé - BTS - Agricole - Viticulture-Oenologie", "BTS - Agricole", "", 25, 147, 53, 147, 0, 44, 6, 26, 2, 20, 3, 57, 0, 0, 0, 0, 0, 147, 0, 0, 0, 44, 6, 26, 2, 20, 3, 57, 72, 23, 10, 23, 0, 12.0, 23.0, 23.0, 0, 4, 21, 10, 4, 7, 2, 0, 9, 10, 2, 0, 0.0, 5, 2, 5, 2, 0, 13, 13, 52.17, 100.0, 100.0, 43.5, 61.8984375, 61.8984375, 9.5, 19.0, 91.296875, 0.0, 42.8984375, 47.59375, 9.5, 0.0, 0.0, 47.59375, 23.796875, 19.0, 9.5, 33.296875, 23.796875, 22.0, 3.0, 18.0, 3.0, 20.0, "Tous les candidats sauf les Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 58.0, "5551", "BTS - Agricole - Viticulture-Oenologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5551&g_ta_cod=5551", 43.0, 26.0, 30.0),
(11642, "Privé sous contrat d'association", "0480025S", "Lycée polyvalent Notre-Dame", "48", "Lozère", "Occitanie", "Montpellier", "Mende", "formation sélective", "BTS", "Lycée polyvalent Notre-Dame - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 26, 209, 83, 165, 0, 12, 4, 29, 6, 38, 15, 86, 44, 0, 32, 4, 8, 110, 12, 0, 0, 12, 4, 29, 6, 38, 15, 31, 99, 17, 6, 16, 1, 7.0, 13.0, 15.0, 0, 3, 12, 2, 5, 5, 5, 0, 5, 6, 1, 0, 0.0, 2, 3, 2, 4, 1, 10, 10, 41.18, 76.47, 88.24, 35.296875, 83.296875, 83.296875, 33.296875, 25.0, 70.59375, 0.0, 41.6953125, 50.0, 8.298828125, 0.0, 0.0, 16.69921875, 16.69921875, 41.6953125, 25.0, 41.6953125, 16.69921875, 11.0, 3.0, 34.0, 10.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 58.0, "5806", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5806&g_ta_cod=5806", 29.0, 41.0, 29.0),
(11643, "Public", "0590122M", "Lycée Valentine Labbe", "59", "Nord", "Hauts-de-France", "Lille", "La Madeleine", "formation sélective", "BTS", "Lycée Valentine Labbe - BTS - Production - Biotechnologies", "BTS - Production", "", 30, 609, 349, 598, 0, 148, 35, 195, 61, 16, 6, 239, 11, 0, 0, 8, 3, 362, 0, 0, 0, 147, 34, 119, 35, 12, 5, 84, 138, 24, 11, 24, 0, 1.0, 19.0, 21.0, 0, 4, 22, 10, 12, 0, 2, 0, 6, 11, 5, 0, 0.0, 7, 9, 0, 4, 3, 16, 16, 4.17, 79.17, 87.5, 45.796875, 72.6875, 72.6875, 18.19921875, 18.19921875, 91.6875, 0.0, 27.296875, 50.0, 22.69921875, 0.0, 0.0, 45.5, 31.796875, 54.5, 40.8984375, 0.0, 0.0, 55.0, 12.0, 12.0, 5.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 97.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 33.0, "6804", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6804&g_ta_cod=6804", 42.0, 58.0, 0.0),
(11644, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Portail Sciences de l'Education - Sciences du Langage - Sociologie", "Licence - Sciences humaines et sociales", "Sociologie mineure découverte en Sciences de l'Education", 40, 879, 775, 860, 0, 452, 105, 94, 29, 30, 8, 284, 19, 2, 0, 2, 15, 860, 17, 0, 0, 452, 105, 94, 29, 30, 8, 284, 355, 39, 32, 31, 8, 0.0, 15.0, 27.0, 0, 4, 19, 15, 3, 1, 20, 0, 12, 4, 3, 0, 0.0, 6, 0, 1, 0, 0, 11, 11, 0.0, 38.46, 69.23, 82.09375, 57.8984375, 57.8984375, 0, 21.09765625, 48.6953125, 0.0, 63.1953125, 21.09765625, 15.798828125, 0.0, 0.0, 78.890625, 31.59765625, 15.798828125, 0.0, 5.2998046875, 5.2998046875, 158.0, 40.0, 10.0, 3.0, 144.0, "Tous les candidats", 1208.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 81.0, "30708", "Licence - Portail Sciences de l'Education - Sciences du Langage - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30706&g_ta_cod=30708", 62.0, 28.0, 5.0),
(11645, "Public", "0800011C", "Lycée des Métiers Édouard Gand", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée des Métiers Édouard Gand - BTS - Services - Commerce International", "BTS - Services", "", 34, 903, 467, 903, 0, 228, 43, 245, 85, 130, 60, 300, 0, 0, 0, 0, 0, 647, 0, 0, 0, 210, 39, 200, 72, 107, 55, 130, 172, 29, 16, 29, 0, 5.0, 24.0, 24.0, 0, 9, 20, 6, 8, 6, 9, 0, 5, 9, 6, 0, 0.0, 4, 7, 4, 0, 0, 18, 18, 17.24, 82.76, 82.76, 55.1953125, 90.0, 90.0, 0, 45.0, 69.0, 0.0, 25.0, 45.0, 30.0, 0.0, 0.0, 30.0, 20.0, 40.0, 35.0, 30.0, 20.0, 56.0, 12.0, 32.0, 15.0, 30.0, "Tous les candidats sauf les Bac professionnels", 201.0, "Bacheliers professionnels toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 26.0, "10162", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10162&g_ta_cod=10162", 38.0, 41.0, 21.0),
(11646, "Public", "0442448X", "Centre de Ressources, d'Expertise et de Performance Sportive de Nantes (CREPS)", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "CREPS Pays de la Loire - Antenne d'Angers - BPJEPS - Judo-Jujitsu", "BPJEPS", "", 3, 26, 8, 19, 0, 5, 1, 7, 1, 1, 1, 6, 7, 0, 2, 1, 4, 12, 0, 0, 0, 5, 1, 2, 0, 0, 0, 5, 8, 2, 0, 2, 0, 1.0, 2.0, 2.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 50.0, 100.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 9.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "21346", "BPJEPS - Judo-Jujitsu", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21346&g_ta_cod=21346", 100.0, 0.0, 0.0),
(11647, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence_Las", "Université de Rennes 2 - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 40, 2405, 2066, 2405, 0, 1356, 255, 251, 71, 62, 25, 736, 0, 0, 0, 0, 0, 2405, 0, 0, 0, 1356, 255, 251, 71, 62, 25, 736, 211, 40, 37, 40, 0, 2.0, 27.0, 36.0, 0, 6, 32, 28, 4, 0, 8, 0, 0, 9, 21, 2, 0.0, 28, 4, 0, 0, 0, 28, 28, 5.0, 67.5, 90.0, 92.5, 87.5, 87.5, 0, 18.796875, 80.0, 0.0, 0.0, 28.09765625, 65.59375, 6.3, 0.0, 87.5, 87.5, 12.5, 12.5, 0.0, 0.0, 142.0, 18.0, 5.0, 0.0, 56.0, "Tous les candidats", 620.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 14.0, "27611", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27610&g_ta_cod=27611", 88.0, 13.0, 0.0),
(11648, "Privé sous contrat d'association", "0593007Y", "Lycée Frédéric OZANAM", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Frédéric OZANAM - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 118, 5, 103, 0, 5, 2, 26, 2, 37, 10, 35, 15, 0, 4, 9, 2, 103, 13, 0, 0, 5, 2, 26, 2, 37, 10, 35, 75, 7, 1, 5, 2, 3.0, 4.0, 6.0, 0, 1, 5, 1, 2, 2, 2, 0, 3, 2, 0, 0, 0.0, 0, 1, 1, 1, 0, 5, 5, 42.86, 57.14, 85.71, 14.298828125, 100.0, 100.0, 20, 20.0, 71.390625, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 20.0, 0.0, 40.0, 20.0, 40.0, 20.0, 4.0, 2.0, 37.0, 10.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 83.0, "6942", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6942&g_ta_cod=6942", 29.0, 43.0, 29.0),
(11649, "Public", "0342066L", "Lycée Jean Jaurès", "34", "Hérault", "Occitanie", "Montpellier", "Saint-Clément-de-Rivière", "formation sélective", "BTS", "Lycée Jean Jaurès - BTS - Services - Diététique", "BTS - Services", "", 28, 1143, 931, 1143, 0, 237, 46, 368, 106, 51, 22, 487, 0, 0, 0, 0, 0, 810, 0, 0, 0, 200, 38, 241, 63, 51, 22, 318, 135, 29, 23, 29, 0, 6.0, 20.0, 27.0, 0, 4, 15, 4, 11, 0, 14, 0, 0, 8, 7, 0, 0.0, 4, 11, 0, 4, 3, 12, 12, 20.69, 68.97, 93.1, 79.296875, 80.0, 80.0, 26.69921875, 26.69921875, 51.6953125, 0.0, 0.0, 53.296875, 46.6953125, 0.0, 0.0, 26.69921875, 26.69921875, 73.296875, 73.296875, 0.0, 0.0, 31.0, 12.0, 5.0, 3.0, 63.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 108.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 18.0, "15945", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15945&g_ta_cod=15945", 45.0, 55.0, 0.0),
(11650, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Licence - Mathématiques", "Licence - Sciences - technologies - santé", "", 170, 1528, 484, 1438, 0, 1102, 330, 17, 11, 5, 3, 314, 90, 30, 3, 0, 57, 1421, 67, 0, 0, 1102, 330, 17, 11, 5, 3, 297, 1090, 155, 44, 114, 40, 0.0, 70.0, 118.0, 0, 31, 90, 86, 4, 0, 65, 2, 66, 19, 2, 0, 1.0, 21, 1, 0, 0, 0, 48, 82, 0.0, 45.16, 76.13, 28.3984375, 53.296875, 91.09375, 0, 34.3984375, 58.09375, 2.19970703125, 73.296875, 21.09765625, 2.19970703125, 0.0, 1.1, 95.59375, 23.296875, 4.3994140625, 1.099853515625, 0.0, 0.0, 840.0, 248.0, 1.0, 1.0, 243.0, "Tous les candidats", 1418.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "11248", "Licence - Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11248&g_ta_cod=11248", 94.0, 5.0, 1.0),
(11651, "Privé sous contrat d'association", "9730336C", "IRDTS Cayenne", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "EFTS", "IRDTS Cayenne - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 12, 133, 120, 104, 0, 15, 8, 29, 11, 31, 22, 29, 29, 3, 3, 5, 18, 16, 4, 0, 0, 4, 2, 5, 2, 2, 1, 5, 18, 10, 9, 8, 1, 0.0, 8.0, 8.0, 0, 0, 4, 2, 2, 0, 6, 0, 2, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 3, 3, 0.0, 80.0, 80.0, 90.0, 75.0, 75.0, 0, 0.0, 40.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 25.0, 0.0, 0.0, 5.0, 2.0, 1.0, 1.0, 8.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "23442", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23442&g_ta_cod=23442", 60.0, 40.0, 0.0),
(11652, "Privé sous contrat d'association", "0440163N", "LGT Saint-Stanislas", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "LGT Saint-Stanislas - CPGE - MPSI", "Classe préparatoire scientifique", "", 48, 1007, 233, 1007, 0, 925, 71, 2, 0, 0, 0, 80, 0, 0, 0, 0, 0, 800, 0, 0, 800, 790, 57, 0, 0, 0, 0, 10, 394, 47, 7, 47, 0, 12.0, 37.0, 45.0, 0, 2, 47, 47, 0, 0, 0, 0, 0, 1, 33, 13, 0.0, 47, 0, 0, 3, 0, 40, 40, 25.53, 78.72, 95.74, 14.8984375, 85.09375, 85.09375, 6.3994140625, 4.2998046875, 100.0, 0.0, 0.0, 2.099609375, 70.1875, 27.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 390.0, 25.0, 0.0, 0.0, 4.0, "Tous les candidats", 514.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "5492", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5492&g_ta_cod=5492", 100.0, 0.0, 0.0),
(11653, "Public", "0400018C", "Lycée Charles Despiau", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Mont-de-Marsan", "formation sélective", "BTS", "Lycée Charles Despiau - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 587, 230, 571, 0, 46, 11, 88, 25, 49, 19, 388, 16, 0, 2, 9, 5, 246, 0, 0, 0, 46, 11, 87, 25, 49, 19, 64, 144, 29, 7, 29, 0, 4.0, 25.0, 26.0, 0, 6, 20, 0, 13, 7, 9, 0, 13, 5, 1, 1, 0.0, 0, 5, 2, 10, 0, 19, 19, 13.79, 86.21, 89.66, 24.09765625, 95.0, 95.0, 50, 30.0, 69.0, 0.0, 65.0, 25.0, 5.0, 5.0, 0.0, 0.0, 0.0, 65.0, 25.0, 35.0, 10.0, 6.0, 2.0, 43.0, 17.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 29.0, "5208", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5208&g_ta_cod=5208", 14.0, 55.0, 31.0),
(11654, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Hébreu (En enseignement à distance)", "Licence - Arts-lettres-langues", "Hébreu (En enseignement à distance)", 120, 325, 184, 325, 0, 175, 63, 16, 4, 6, 0, 128, 0, 0, 0, 0, 0, 325, 0, 0, 0, 175, 63, 16, 4, 6, 0, 128, 203, 120, 71, 120, 0, 99.0, 114.0, 117.0, 0, 36, 86, 79, 4, 3, 34, 2, 4, 27, 37, 16, 0.0, 74, 3, 3, 0, 0, 0, 0, 82.5, 95.0, 97.5, 59.1953125, 0.0, 0.0, 0, 41.8984375, 71.6875, 2.2998046875, 4.69921875, 31.3984375, 43.0, 18.6, 0.0, 91.890625, 86.0, 4.69921875, 3.5, 3.5, 3.5, 131.0, 51.0, 3.0, 0.0, 61.0, "Tous les candidats", 198.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "7076", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Hébreu (En enseignement à distance)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7076&g_ta_cod=7076", 93.0, 4.0, 3.0),
(11655, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Licence", "Université de Brest - Licence - Arts - Parcours pratique arts de la scène", "Licence - Arts-lettres-langues", "pratique arts de la scène", 16, 76, 60, 67, 0, 43, 6, 5, 1, 3, 0, 16, 9, 5, 1, 0, 3, 26, 0, 0, 0, 19, 1, 2, 0, 0, 0, 5, 24, 14, 10, 13, 0, 12.0, 13.0, 13.0, 0, 1, 10, 10, 0, 0, 4, 0, 1, 3, 4, 2, 0.0, 9, 0, 0, 0, 0, 6, 6, 85.71, 92.86, 92.86, 71.390625, 60.0, 60.0, 0, 10.0, 71.390625, 0.0, 10.0, 30.0, 40.0, 20.0, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 17.0, 1.0, 0.0, 0.0, 5.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "19158", "Licence - Arts - Parcours pratique arts de la scène", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19158&g_ta_cod=19158", 100.0, 0.0, 0.0),
(11656, "Public", "0341699M", "Lycée professionnel maritime Paul Bousquet", "34", "Hérault", "Occitanie", "Montpellier", "Sète", "formation sélective", "BTS", "Lycée professionnel maritime Paul Bousquet - BTS - Maritime - Pêche et gestion de l'environnement marin", "BTS - Maritime", "", 12, 79, 10, 79, 0, 0, 0, 0, 0, 65, 11, 14, 0, 0, 0, 0, 0, 79, 0, 0, 0, 0, 0, 0, 0, 65, 11, 14, 35, 12, 3, 12, 0, 4.0, 9.0, 11.0, 0, 2, 8, 0, 0, 8, 4, 2, 0, 3, 3, 0, 0.0, 0, 0, 6, 5, 1, 5, 5, 33.33, 75.0, 91.67, 25.0, 62.5, 62.5, 62.5, 25.0, 66.6875, 25.0, 0.0, 37.5, 37.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 24.0, 5.0, 11.0, "Tous les candidats sauf les Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 54.0, "24473", "BTS - Maritime - Pêche et gestion de l'environnement marin", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24473&g_ta_cod=24473", 25.0, 0.0, 75.0),
(11657, "Public", "0030051P", "Lycée Général et Technologique Albert Londres", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Cusset", "formation sélective", "BTS", "Lycée Général et Technologique Albert Londres - BTS - Production - Développement et Réalisation Bois", "BTS - Production", "", 12, 157, 21, 157, 0, 15, 3, 30, 9, 89, 18, 23, 0, 0, 0, 0, 0, 136, 0, 0, 0, 15, 3, 24, 5, 82, 16, 15, 52, 12, 1, 12, 0, 0.0, 9.0, 11.0, 0, 1, 12, 2, 2, 8, 0, 0, 2, 7, 3, 0, 0.0, 2, 0, 8, 0, 0, 8, 8, 0.0, 75.0, 91.67, 8.298828125, 66.6875, 66.6875, 0, 8.298828125, 100.0, 0.0, 16.69921875, 58.296875, 25.0, 0.0, 0.0, 16.69921875, 16.69921875, 16.69921875, 0.0, 66.6875, 66.6875, 7.0, 1.0, 26.0, 8.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 48.0, "2130", "BTS - Production - Développement et Réalisation Bois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2130&g_ta_cod=2130", 17.0, 17.0, 67.0),
(11658, "Public", "0382863F", "Lycée du Gresivaudan (LGM)", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Meylan", "formation sélective", "BTS", "Lycée du Gresivaudan (LGM) - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 875, 430, 782, 0, 81, 20, 377, 117, 172, 59, 152, 93, 2, 9, 46, 36, 377, 4, 0, 0, 40, 7, 187, 51, 86, 29, 64, 210, 27, 8, 25, 0, 1.0, 18.0, 21.0, 0, 6, 18, 2, 13, 3, 9, 2, 3, 8, 5, 0, 0.0, 2, 9, 2, 2, 0, 18, 18, 3.7, 66.67, 77.78, 29.59765625, 100.0, 100.0, 11.099609375, 33.296875, 66.6875, 11.099609375, 16.69921875, 44.3984375, 27.796875, 0.0, 0.0, 11.099609375, 11.099609375, 72.1875, 50.0, 16.69921875, 11.099609375, 18.0, 3.0, 69.0, 25.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 98, "Bacheliers technologiques toutes séries", 133, "Liste d'appel propre à cette formation", 35.0, "5122", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5122&g_ta_cod=5122", 19.0, 56.0, 26.0),
(11659, "Privé sous contrat d'association", "0061213L", "IFSI Croix Rouge Française Nice", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nice Sophia Antipolis - D.E Infirmier", "D.E secteur sanitaire", "", 61, 5167, 4387, 5167, 0, 958, 210, 741, 215, 456, 169, 3012, 0, 0, 0, 0, 0, 2656, 0, 0, 0, 706, 123, 395, 99, 160, 53, 1395, 738, 59, 53, 59, 0, 0.0, 10.0, 33.0, 0, 4, 22, 13, 7, 2, 37, 0, 5, 11, 5, 1, 0.0, 10, 5, 2, 0, 0, 16, 16, 0.0, 16.95, 55.93, 89.796875, 72.6875, 72.6875, 0, 18.19921875, 37.296875, 0.0, 22.69921875, 50.0, 22.69921875, 4.5, 0.0, 59.09375, 45.5, 31.796875, 22.69921875, 9.099609375, 9.099609375, 207.0, 43.0, 31.0, 14.0, 423.0, "Tous les candidats", 1180.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "23064", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22984&g_ta_cod=23064", 66.0, 17.0, 17.0),
(11660, "Public", "0492360Z", "Université Angers - Campus de Saumur", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saumur", "formation non sélective", "Licence", "Université Angers - Campus de Saumur - Licence - Sciences sociales - Parcours Culture, patrimoine et tourisme", "Licence - Sciences humaines et sociales", "Culture, patrimoine et tourisme", 58, 551, 442, 502, 0, 354, 47, 35, 9, 3, 1, 110, 49, 8, 3, 0, 38, 502, 36, 0, 0, 354, 47, 35, 9, 3, 1, 110, 469, 50, 35, 40, 10, 25.0, 40.0, 42.0, 0, 0, 28, 21, 6, 1, 22, 0, 8, 9, 7, 4, 0.0, 17, 2, 1, 0, 0, 10, 10, 50.0, 80.0, 84.0, 70.0, 35.6953125, 35.6953125, 0, 0.0, 56.0, 0.0, 28.59765625, 32.09375, 25.0, 14.3, 0.0, 75.0, 60.6953125, 21.3984375, 7.099609375, 3.599609375, 3.599609375, 324.0, 45.0, 3.0, 1.0, 113.0, "Tous les candidats", 502.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12691", "Licence - Sciences sociales - Parcours Culture, patrimoine et tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12691&g_ta_cod=12691", 78.0, 16.0, 6.0),
(11661, "Public", "0134316W", "Aix-Marseille Université - Site de Marseille Saint-Jérôme", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation non sélective", "Licence_Las", "Aix-Marseille Université - Portail Marie Curie - Licence - Portail Marie Curie : Chimie, Physique, Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "Marie Curie : Chimie, Physique, Sciences pour l'ingénieur - site de Saint-Jérôme", 60, 1561, 845, 1561, 0, 814, 205, 88, 45, 10, 6, 649, 0, 0, 0, 0, 0, 1561, 0, 0, 0, 814, 205, 88, 45, 10, 6, 649, 625, 52, 26, 52, 0, 0.0, 15.0, 37.0, 0, 10, 17, 15, 2, 0, 35, 0, 11, 3, 3, 0, 0.0, 6, 0, 0, 0, 0, 15, 15, 0.0, 28.85, 71.15, 50.0, 88.1875, 88.1875, 0, 58.796875, 32.6953125, 0.0, 64.6875, 17.59765625, 17.59765625, 0.0, 0.0, 88.1875, 35.296875, 11.798828125, 0.0, 0.0, 0.0, 288.0, 73.0, 0.0, 0.0, 332.0, "Tous les candidats", 2117.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 61.0, "28586", "Licence - Portail Marie Curie : Chimie, Physique, Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12617&g_ta_cod=28586", 94.0, 4.0, 2.0),
(11662, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "PASS", "Université de Limoges - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 266, 4574, 3226, 4574, 0, 3742, 528, 110, 28, 20, 11, 702, 0, 0, 0, 0, 0, 4533, 0, 0, 0, 3742, 528, 110, 28, 20, 11, 661, 753, 263, 178, 263, 0, 79.0, 235.0, 255.0, 0, 48, 253, 253, 0, 0, 10, 0, 31, 72, 106, 32, 12.0, 222, 0, 0, 0, 0, 222, 222, 30.04, 89.35, 96.96, 67.6875, 87.6875, 87.6875, 0, 19.0, 96.1875, 0.0, 12.298828125, 28.5, 41.8984375, 12.6, 4.7, 100.0, 87.6875, 0.0, 0.0, 0.0, 0.0, 712.0, 106.0, 0.0, 0.0, 37.0, "Tous les candidats", 1046.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "27198", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26973&g_ta_cod=27198", 100.0, 0.0, 0.0),
(11663, "Public", "0310152X", "INSA Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Ecole d'Ingénieur", "Groupe INSA - Formation d'ingénieur Bac + 5 - bac STI2D,STL", "Formations  des écoles d'ingénieurs", "bac STI2D,STL", 40, 613, 62, 613, 0, 0, 0, 563, 168, 0, 0, 50, 0, 0, 0, 0, 0, 112, 0, 0, 0, 0, 0, 105, 20, 0, 0, 7, 71, 40, 12, 40, 0, 20.0, 38.0, 40.0, 0, 9, 39, 0, 39, 0, 1, 0, 0, 0, 11, 26, 2.0, 0, 39, 0, 0, 0, 16, 16, 50.0, 95.0, 100.0, 30.0, 41.0, 41.0, 0, 23.09765625, 97.5, 0.0, 0.0, 0.0, 28.19921875, 66.7, 5.1, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 96.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "66", "Formation d'ingénieur Bac + 5 - bac STI2D,STL", "Groupe INSA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=65&g_ta_cod=66", 0.0, 100.0, 0.0),
(11664, "Public", "0750787Y", "Lycée professionnel Corvisart-Arts Graphiques", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Corvisart-Arts Graphiques - Mention complémentaire - FCIL Multimédia", "Mention complémentaire", "", 15, 62, 30, 62, 0, 15, 4, 3, 1, 27, 5, 17, 0, 0, 0, 0, 0, 35, 0, 0, 0, 7, 1, 1, 0, 12, 1, 15, 34, 16, 4, 16, 0, 6.0, 16.0, 16.0, 0, 2, 9, 3, 1, 5, 7, 0, 5, 3, 1, 0, 0.0, 1, 0, 3, 0, 0, 4, 9, 37.5, 100.0, 100.0, 25.0, 44.3984375, 100.0, 0, 22.19921875, 56.296875, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 33.296875, 11.099609375, 11.099609375, 0.0, 55.59375, 33.296875, 7.0, 1.0, 11.0, 1.0, 15.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "25230", "Mention complémentaire - FCIL Multimédia", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25230&g_ta_cod=25230", 44.0, 6.0, 38.0),
(11665, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER SUEDOIS ou NORVEGIEN ou DANOIS ou NEERLANDAIS  MAJEURE/mineure Allemand non débutant", "Licence - Arts-lettres-langues", "LLCER SUEDOIS ou NORVEGIEN ou DANOIS ou NEERLANDAIS  MAJEURE/mineure Allemand non débutant", 15, 50, 27, 14, 0, 6, 0, 0, 0, 2, 0, 6, 36, 4, 2, 6, 24, 14, 36, 0, 0, 6, 0, 0, 0, 2, 0, 6, 50, 12, 4, 2, 10, 2.0, 2.0, 6.0, 0, 0, 3, 1, 1, 1, 9, 0, 2, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 0, 3, 16.67, 16.67, 50.0, 33.296875, 0.0, 100.0, 0, 0.0, 25.0, 0.0, 66.6875, 0.0, 33.296875, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 33.296875, 0.0, 10.0, 2.0, 8.0, 2.0, 30.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24335", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER SUEDOIS ou NORVEGIEN ou DANOIS ou NEERLANDAIS  MAJEURE/mineure Allemand non débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24335&g_ta_cod=24335", 50.0, 25.0, 25.0),
(11666, "Privé enseignement supérieur", "0100744E", "Ecole Supérieure de Design de Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "Autre formation", "Ecole Supérieure de Design de Troyes - Formation Supérieure de Spécialisation - Assistant designer web", "Diplôme d'Université", "Assistant designer web", 25, 37, 14, 10, 0, 2, 1, 3, 0, 0, 0, 5, 27, 9, 3, 2, 13, 6, 15, 0, 0, 1, 0, 3, 0, 0, 0, 2, 21, 15, 8, 3, 12, 3.0, 3.0, 12.0, 0, 1, 7, 4, 2, 1, 8, 0, 4, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 6, 6, 20.0, 20.0, 80.0, 53.296875, 85.6875, 85.6875, 0, 14.298828125, 46.6953125, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 57.09375, 42.8984375, 28.59765625, 0.0, 14.298828125, 0.0, 6.0, 2.0, 1.0, 0.0, 10.0, "Tous les candidats", 6.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "32542", "Formation Supérieure de Spécialisation - Assistant designer web", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32542&g_ta_cod=32542", 47.0, 27.0, 27.0),
(11667, "Privé sous contrat d'association", "0593061G", "Lycée Saint Luc Cambrai", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "BTS", "Lycée Saint Luc Cambrai - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 36, 328, 225, 319, 0, 99, 14, 58, 12, 39, 7, 123, 9, 0, 0, 6, 3, 119, 0, 0, 0, 60, 7, 3, 0, 5, 0, 51, 76, 28, 20, 28, 0, 19.0, 25.0, 28.0, 0, 3, 11, 11, 0, 0, 17, 0, 5, 2, 3, 0, 1.0, 6, 0, 0, 1, 1, 8, 8, 67.86, 89.29, 100.0, 71.390625, 72.6875, 72.6875, 9.099609375, 27.296875, 39.296875, 0.0, 45.5, 18.19921875, 27.296875, 0.0, 9.1, 100.0, 54.5, 0.0, 0.0, 0.0, 0.0, 30.0, 6.0, 5.0, 0.0, 40.0, "Tous les candidats sauf les Bac professionnels", 92.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 31.0, "6970", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6970&g_ta_cod=6970", 75.0, 18.0, 7.0),
(11668, "Privé sous contrat d'association", "0333363B", "ESSCA School of Management - Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Ecole de Commerce", "Concours ACCES - Formation des écoles de commerce et de management Bac + 5", "Formation des écoles de commerce et de management", "", 110, 3866, 1648, 3866, 0, 3521, 63, 89, 5, 1, 0, 255, 0, 0, 0, 0, 0, 2836, 0, 0, 0, 2654, 40, 21, 0, 0, 0, 161, 2720, 154, 66, 154, 0, 96.0, 154.0, 154.0, 0, 1, 140, 137, 3, 0, 14, 1, 37, 62, 34, 6, 0.0, 100, 2, 0, 0, 0, 51, 51, 62.34, 100.0, 100.0, 42.8984375, 36.3984375, 36.3984375, 0, 0.699951171875, 90.890625, 0.699951171875, 26.3984375, 44.296875, 24.296875, 4.3, 0.0, 97.890625, 71.390625, 2.099609375, 1.39990234375, 0.0, 0.0, 2544.0, 40.0, 0.0, 0.0, 157.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "26008", "Formation des écoles de commerce et de management Bac + 5", "Concours ACCES", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26003&g_ta_cod=26008", 98.0, 2.0, 0.0),
(11669, "Public", "0782562L", "Lycée Hoche", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "CPGE", "Lycée Hoche - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 3211, 1189, 3211, 2688, 2979, 137, 1, 1, 0, 0, 231, 0, 0, 0, 0, 0, 1790, 0, 603, 1772, 1780, 108, 0, 0, 0, 0, 10, 365, 96, 26, 96, 0, 8.0, 74.0, 87.0, 21, 2, 95, 95, 0, 0, 1, 6, 0, 0, 13, 59, 17.0, 89, 0, 0, 19, 7, 76, 87, 8.33, 77.08, 90.63, 27.09765625, 80.0, 91.59375, 20, 2.099609375, 99.0, 6.2998046875, 0.0, 0.0, 13.69921875, 62.1, 17.9, 100.0, 93.6875, 0.0, 0.0, 0.0, 0.0, 362.0, 18.0, 0.0, 0.0, 3.0, "Tous les candidats", 510.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "10044", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10044&g_ta_cod=10044", 100.0, 0.0, 0.0),
(11670, "Public", "9730309Y", "Lycée Melkior Garre", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "Autre formation", "Lycée Melkior Garre - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 16, 120, 89, 120, 0, 34, 18, 13, 7, 42, 31, 31, 0, 0, 0, 0, 0, 93, 0, 0, 0, 32, 17, 12, 7, 32, 25, 17, 36, 15, 9, 15, 0, 3.0, 13.0, 15.0, 0, 6, 12, 8, 2, 2, 3, 3, 6, 3, 0, 0, 0.0, 2, 0, 1, 0, 0, 12, 12, 20.0, 86.67, 100.0, 60.0, 100.0, 100.0, 0, 50.0, 80.0, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 66.6875, 16.69921875, 16.69921875, 0.0, 16.69921875, 8.298828125, 24.0, 12.0, 5.0, 3.0, 3.0, "Tous les candidats", 58.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "16876", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16876&g_ta_cod=16876", 53.0, 13.0, 33.0),
(11671, "Public", "0782924E", "Lycée Evariste Galois", "78", "Yvelines", "Ile-de-France", "Versailles", "Sartrouville", "formation sélective", "BTS", "Lycée Evariste Galois - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 645, 290, 502, 0, 41, 17, 142, 57, 144, 69, 175, 143, 0, 0, 83, 60, 259, 14, 0, 0, 27, 12, 116, 42, 80, 40, 36, 171, 35, 14, 25, 5, 3.0, 13.0, 16.0, 0, 16, 30, 2, 16, 12, 5, 1, 13, 14, 2, 0, 0.0, 0, 6, 10, 9, 3, 28, 30, 8.57, 37.14, 45.71, 40.0, 93.296875, 100.0, 30, 53.296875, 85.6875, 3.2998046875, 43.296875, 46.6953125, 6.69921875, 0.0, 0.0, 6.69921875, 0.0, 53.296875, 20.0, 40.0, 33.296875, 14.0, 6.0, 70.0, 34.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 41.0, "10071", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10071&g_ta_cod=10071", 14.0, 49.0, 37.0),
(11672, "Privé sous contrat d'association", "0931800B", "IFSI Louise Couve", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "IFSI", "Regroupement d'IFSI Université Paris Nord - D.E Infirmier", "D.E secteur sanitaire", "", 52, 4659, 4162, 4659, 0, 407, 169, 833, 445, 704, 418, 2715, 0, 0, 0, 0, 0, 3972, 0, 0, 0, 403, 167, 762, 408, 565, 340, 2242, 803, 53, 49, 52, 0, 0.0, 12.0, 43.0, 0, 15, 23, 8, 11, 4, 30, 0, 9, 11, 3, 0, 0.0, 2, 9, 3, 0, 0, 16, 19, 0.0, 22.64, 81.13, 92.5, 69.59375, 82.59375, 0, 65.1875, 43.3984375, 0.0, 39.09375, 47.796875, 13.0, 0.0, 0.0, 34.796875, 8.69921875, 47.796875, 39.09375, 17.3984375, 13.0, 189.0, 73.0, 29.0, 14.0, 405.0, "Tous les candidats", 1931.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "25256", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23010&g_ta_cod=25256", 47.0, 34.0, 17.0),
(11673, "Public", "9710003B", "Lycée Baimbridge", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "Ecole d'Ingénieur", "La Prépa des INP - Groupe INP - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Formation d'ingénieur Bac + 5 - Bac général", 18, 687, 230, 687, 0, 636, 79, 0, 0, 0, 0, 51, 0, 0, 0, 0, 0, 451, 0, 0, 0, 441, 46, 0, 0, 0, 0, 10, 315, 12, 8, 12, 0, 4.0, 11.0, 12.0, 0, 0, 12, 12, 0, 0, 0, 0, 0, 2, 5, 5, 0.0, 12, 0, 0, 0, 0, 5, 5, 33.33, 91.67, 100.0, 66.6875, 41.6953125, 41.6953125, 0, 0.0, 100.0, 0.0, 0.0, 16.69921875, 41.6953125, 41.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 309.0, 35.0, 0.0, 0.0, 6.0, "Tous les candidats", 4026.0, "Autres formations", 26, "", 0, "Liste d'appel commune à plusieurs formations", 66.0, "26228", "Formation d'ingénieur Bac + 5 - Bac général", "La Prépa des INP - Groupe INP", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=1&g_ta_cod=26228", 100.0, 0.0, 0.0),
(11674, "Public", "0670086E", "Lycée des métiers René Cassin", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée des métiers René Cassin - BTS - Services - Commerce International", "BTS - Services", "", 35, 1399, 815, 1399, 0, 438, 116, 358, 127, 165, 89, 438, 0, 0, 0, 0, 0, 544, 0, 0, 0, 266, 65, 125, 27, 72, 34, 81, 169, 31, 23, 31, 0, 3.0, 26.0, 29.0, 0, 9, 25, 14, 6, 5, 6, 0, 2, 12, 9, 2, 0.0, 12, 6, 5, 0, 0, 24, 24, 9.68, 83.87, 93.55, 74.1875, 96.0, 96.0, 0, 36.0, 80.59375, 0.0, 8.0, 48.0, 36.0, 8.0, 0.0, 56.0, 48.0, 24.0, 24.0, 20.0, 20.0, 95.0, 28.0, 17.0, 9.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 195.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 19.0, "7946", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7946&g_ta_cod=7946", 55.0, 26.0, 19.0),
(11675, "Privé sous contrat d'association", "0570309B", "INSTIT.REGIONAL TRAVAIL SOCIAL IRTS DE LORRAINE - Le Ban Saint Martin", "57", "Moselle", "Grand Est", "Nancy-Metz", "Le Ban-Saint-Martin", "formation sélective", "EFTS", "INSTIT.REGIONAL TRAVAIL SOCIAL IRTS DE LORRAINE - Le Ban Saint Martin - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 24, 173, 159, 173, 0, 40, 5, 30, 6, 27, 5, 76, 0, 0, 0, 0, 0, 173, 0, 0, 0, 40, 5, 30, 6, 27, 5, 76, 48, 23, 21, 23, 0, 7.0, 19.0, 21.0, 0, 1, 7, 1, 2, 4, 16, 0, 0, 3, 1, 3, 0.0, 1, 2, 4, 0, 0, 6, 6, 30.43, 82.61, 91.3, 91.296875, 85.6875, 85.6875, 0, 14.298828125, 30.3984375, 0.0, 0.0, 42.8984375, 14.298828125, 42.9, 0.0, 14.298828125, 14.298828125, 28.59765625, 28.59765625, 57.09375, 57.09375, 3.0, 0.0, 9.0, 1.0, 27.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "24922", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24922&g_ta_cod=24922", 43.0, 30.0, 26.0),
(11676, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Portail Sciences sociales", "Licence - Sciences humaines et sociales", "", 365, 1334, 1041, 1002, 0, 584, 260, 131, 84, 24, 13, 263, 332, 41, 33, 14, 244, 1000, 233, 0, 0, 584, 260, 131, 84, 24, 13, 261, 1138, 380, 306, 234, 146, 64.0, 226.0, 326.0, 0, 100, 191, 144, 37, 10, 189, 1, 93, 74, 22, 1, 0.0, 76, 15, 6, 0, 0, 174, 174, 16.84, 59.47, 85.79, 80.5, 91.09375, 91.09375, 0, 52.3984375, 50.296875, 0.5, 48.6953125, 38.6953125, 11.5, 0.5, 0.0, 75.390625, 39.796875, 19.3984375, 7.8994140625, 5.19921875, 3.099609375, 554.0, 251.0, 27.0, 19.0, 413.0, "Tous les candidats", 1217.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27461", "Licence - Portail Sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27555&g_ta_cod=27461", 63.0, 23.0, 12.0),
(11677, "Privé sous contrat d'association", "0801209E", "Lycée Sainte Famille", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Sainte Famille - BTS - Services - Tourisme", "BTS - Services", "", 35, 323, 228, 241, 0, 75, 16, 41, 8, 39, 15, 86, 82, 11, 9, 14, 48, 100, 37, 0, 0, 47, 7, 17, 3, 13, 3, 23, 119, 24, 15, 14, 10, 8.0, 14.0, 17.0, 0, 2, 14, 5, 5, 4, 10, 0, 6, 4, 2, 2, 0.0, 3, 3, 2, 2, 2, 12, 12, 33.33, 58.33, 70.83, 62.5, 85.6875, 85.6875, 14.298828125, 14.298828125, 58.296875, 0.0, 42.8984375, 28.59765625, 14.298828125, 14.3, 0.0, 35.6953125, 21.3984375, 35.6953125, 21.3984375, 28.59765625, 14.298828125, 45.0, 8.0, 19.0, 6.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 40.0, "10172", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10172&g_ta_cod=10172", 33.0, 38.0, 29.0),
(11678, "Public", "0623957P", "Université d'Artois - Site d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation non sélective", "Licence", "Université d'Artois - Site d'Arras - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 214, 1397, 636, 978, 0, 530, 128, 195, 71, 11, 7, 242, 419, 68, 46, 11, 294, 955, 151, 0, 0, 530, 128, 195, 71, 11, 7, 219, 1014, 167, 64, 99, 66, 44.0, 93.0, 131.0, 0, 31, 95, 59, 32, 4, 72, 0, 51, 33, 9, 2, 0.0, 35, 7, 2, 0, 0, 84, 84, 26.35, 55.69, 78.44, 38.296875, 88.390625, 88.390625, 0, 32.59375, 56.8984375, 0.0, 53.6953125, 34.6953125, 9.5, 2.1, 0.0, 62.09375, 36.796875, 33.6953125, 7.3994140625, 4.19921875, 2.099609375, 551.0, 133.0, 11.0, 5.0, 283.0, "Tous les candidats", 955.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "7504", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7504&g_ta_cod=7504", 60.0, 32.0, 8.0),
(11679, "Public", "0573435Z", "I.U.T. Thionville-Yutz - Université de Lorraine", "57", "Moselle", "Grand Est", "Nancy-Metz", "Yutz", "formation sélective", "BUT", "I.U.T. Thionville-Yutz - Université de Lorraine - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreunariat-Business international : achat et vente-Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreunariat-Business international : achat et vente-Business développement et management de la relation client", 88, 1036, 444, 926, 0, 460, 103, 274, 79, 16, 4, 176, 110, 7, 41, 1, 61, 635, 23, 0, 0, 376, 80, 181, 44, 2, 1, 76, 502, 72, 25, 66, 6, 5.0, 53.0, 66.0, 0, 12, 60, 35, 23, 2, 12, 0, 21, 33, 5, 1, 0.0, 19, 18, 2, 0, 0, 53, 53, 6.94, 73.61, 91.67, 34.6953125, 88.296875, 88.296875, 0, 20.0, 83.296875, 0.0, 35.0, 55.0, 8.298828125, 1.7, 0.0, 58.296875, 31.69921875, 38.296875, 30.0, 3.2998046875, 3.2998046875, 267.0, 57.0, 2.0, 1.0, 60.0, "Tous les candidats sauf les Bac technologiques", 436.0, "Bacheliers technologiques toutes séries", 190, "", 0, "Liste d'appel propre à cette formation", 68.0, "6671", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreunariat-Business international : achat et vente-Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6671&g_ta_cod=6671", 61.0, 36.0, 3.0),
(11680, "Privé sous contrat d'association", "0134101M", "LYCEE TECHNOLOGIQUE PRIVE ST LOUIS", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 15e  Arrondissement", "formation sélective", "Autre formation", "LYCEE TECHNOLOGIQUE PRIVE ST LOUIS - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 24, 52, 17, 38, 0, 5, 2, 5, 0, 20, 12, 8, 14, 3, 5, 1, 5, 32, 10, 0, 0, 5, 2, 5, 0, 16, 11, 6, 42, 11, 2, 8, 3, 6.0, 8.0, 10.0, 0, 5, 9, 0, 3, 6, 2, 0, 7, 2, 0, 0, 0.0, 0, 1, 1, 0, 0, 7, 7, 54.55, 72.73, 90.91, 18.19921875, 77.796875, 77.796875, 0, 55.59375, 81.796875, 0.0, 77.796875, 22.19921875, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 11.099609375, 66.6875, 11.099609375, 6.0, 2.0, 17.0, 12.0, 10.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "31025", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31025&g_ta_cod=31025", 9.0, 36.0, 55.0),
(11681, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales - MIASHS", "Licence - Sciences humaines et sociales", "MIASHS", 90, 757, 320, 743, 0, 382, 93, 19, 9, 12, 7, 330, 14, 1, 1, 0, 12, 743, 13, 0, 0, 382, 93, 19, 9, 12, 7, 330, 552, 90, 28, 84, 6, 33.0, 50.0, 75.0, 0, 12, 43, 38, 3, 2, 47, 0, 19, 7, 16, 1, 0.0, 23, 1, 0, 0, 0, 25, 25, 36.67, 55.56, 83.33, 31.09765625, 58.09375, 58.09375, 0, 27.8984375, 47.796875, 0.0, 44.1953125, 16.296875, 37.1953125, 2.3, 0.0, 88.390625, 53.5, 7.0, 2.2998046875, 4.69921875, 0.0, 286.0, 70.0, 9.0, 6.0, 250.0, "Tous les candidats", 758.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 84.0, "15196", "Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales - MIASHS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28893&g_ta_cod=15196", 88.0, 7.0, 3.0),
(11682, "Privé sous contrat d'association", "0754666P", "Lycée Passy-Saint-Honoré", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "BTS", "Lycée Passy-Saint-Honoré - BTS - Services - Communication", "BTS - Services", "", 32, 1067, 751, 973, 0, 247, 27, 329, 66, 53, 16, 344, 94, 0, 0, 44, 50, 504, 1, 0, 0, 206, 21, 199, 34, 1, 0, 98, 108, 28, 20, 27, 1, 10.0, 22.0, 24.0, 0, 4, 19, 15, 4, 0, 9, 0, 5, 11, 3, 0, 0.0, 10, 4, 0, 2, 2, 7, 18, 35.71, 78.57, 85.71, 71.390625, 36.796875, 94.6875, 10.5, 21.09765625, 67.890625, 0.0, 26.296875, 57.8984375, 15.798828125, 0.0, 0.0, 78.890625, 52.59375, 21.09765625, 21.09765625, 0.0, 0.0, 49.0, 8.0, 1.0, 0.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 82, "Liste d'appel propre à cette formation", 16.0, "14618", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14618&g_ta_cod=14618", 64.0, 25.0, 11.0),
(11683, "Public", "0932270M", "I.U.T. de Bobigny - Université Paris 13", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation sélective", "BUT", "I.U.T. de Bobigny - Université Paris 13 - BUT - Carrières sociales Parcours assistance sociale", "BUT - Service", "", 28, 1110, 1025, 1110, 0, 218, 95, 404, 185, 131, 70, 357, 0, 0, 0, 0, 0, 324, 0, 0, 0, 85, 30, 61, 27, 13, 5, 165, 76, 28, 28, 28, 0, 11.0, 24.0, 26.0, 0, 6, 9, 4, 5, 0, 19, 0, 0, 6, 2, 1, 0.0, 4, 5, 0, 0, 0, 5, 8, 39.29, 85.71, 92.86, 100.0, 55.59375, 88.890625, 0, 66.6875, 32.09375, 0.0, 0.0, 66.6875, 22.19921875, 11.1, 0.0, 44.3984375, 44.3984375, 55.59375, 55.59375, 0.0, 0.0, 19.0, 11.0, 2.0, 2.0, 31.0, "Tous les candidats sauf les Bac technologiques", 53.0, "Bacheliers technologiques toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 9.0, "11356", "BUT - Carrières sociales Parcours assistance sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11356&g_ta_cod=11356", 50.0, 50.0, 0.0),
(11684, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence", "Avignon Université - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 170, 1077, 752, 931, 0, 662, 184, 72, 33, 30, 17, 167, 146, 26, 5, 11, 104, 929, 114, 0, 0, 662, 184, 72, 33, 30, 17, 165, 789, 163, 105, 126, 37, 26.0, 125.0, 147.0, 0, 36, 110, 93, 11, 6, 53, 0, 34, 51, 17, 8, 0.0, 66, 5, 5, 0, 0, 72, 72, 15.95, 76.69, 90.18, 64.390625, 65.5, 65.5, 0, 32.6953125, 67.5, 0.0, 30.8984375, 46.3984375, 15.5, 7.3, 0.0, 84.5, 60.0, 10.0, 4.5, 5.5, 4.5, 542.0, 147.0, 29.0, 20.0, 170.0, "Tous les candidats", 930.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10447", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10447&g_ta_cod=10447", 80.0, 12.0, 7.0),
(11685, "Public", "0130002G", "Lycée Paul Cezanne", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "CPGE", "Lycée Paul Cezanne - CPGE - Lettres", "Classe préparatoire littéraire", "", 48, 653, 505, 646, 267, 575, 85, 1, 1, 2, 1, 68, 7, 2, 1, 0, 4, 508, 2, 225, 502, 479, 64, 0, 0, 0, 0, 29, 335, 49, 35, 48, 1, 18.0, 34.0, 48.0, 5, 2, 47, 47, 0, 0, 2, 0, 0, 10, 16, 19, 2.0, 47, 0, 0, 3, 2, 33, 33, 36.73, 69.39, 97.96, 71.390625, 70.1875, 70.1875, 6.3994140625, 4.2998046875, 95.890625, 0.0, 0.0, 21.296875, 34.0, 40.4, 4.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 313.0, 43.0, 0.0, 0.0, 22.0, "Tous les candidats", 505.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "2530", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2530&g_ta_cod=2530", 100.0, 0.0, 0.0),
(11686, "Public", "0570087K", "Lycée des Métiers Charles Jully", "57", "Moselle", "Grand Est", "Nancy-Metz", "Saint-Avold", "formation sélective", "BTS", "Lycée des Métiers Charles Jully - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 91, 13, 91, 0, 3, 0, 45, 12, 20, 6, 23, 0, 0, 0, 0, 0, 57, 0, 0, 0, 1, 0, 41, 9, 12, 1, 3, 35, 15, 0, 15, 0, 7.0, 12.0, 15.0, 0, 2, 14, 0, 11, 3, 1, 0, 9, 4, 1, 0, 0.0, 0, 2, 3, 11, 0, 14, 14, 46.67, 80.0, 100.0, 0.0, 100.0, 100.0, 78.59375, 14.298828125, 93.296875, 0.0, 64.296875, 28.59765625, 7.099609375, 0.0, 0.0, 0.0, 0.0, 78.59375, 14.298828125, 21.3984375, 21.3984375, 0.0, 0.0, 12.0, 1.0, 3.0, "Tous les candidats sauf les Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 12, "", 0, "Liste d'appel propre à cette formation", 52.0, "6550", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6550&g_ta_cod=6550", 0.0, 80.0, 20.0),
(11687, "Public", "0762169V", "Lycée Pablo Neruda", "76", "Seine-Maritime", "Normandie", "Normandie", "Dieppe", "formation sélective", "BTS", "Lycée Pablo Neruda - BTS - Production - Environnement nucléaire", "BTS - Production", "", 15, 225, 19, 225, 0, 31, 4, 76, 13, 58, 20, 60, 0, 0, 0, 0, 0, 150, 0, 0, 0, 30, 3, 45, 8, 47, 14, 28, 57, 13, 1, 13, 0, 2.0, 10.0, 12.0, 0, 3, 10, 1, 4, 5, 3, 0, 2, 6, 2, 0, 0.0, 0, 3, 5, 0, 0, 5, 5, 15.38, 76.92, 92.31, 7.69921875, 50.0, 50.0, 0, 30.0, 76.890625, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 10.0, 0.0, 40.0, 30.0, 50.0, 50.0, 11.0, 2.0, 13.0, 5.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 37.0, "13451", "BTS - Production - Environnement nucléaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13451&g_ta_cod=13451", 23.0, 38.0, 38.0),
(11688, "Public", "0400002K", "Lycée Gaston Crampe", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Aire-sur-l'Adour", "formation sélective", "BTS", "Lycée Gaston Crampe - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 92, 10, 81, 0, 5, 0, 22, 4, 34, 8, 20, 11, 0, 6, 1, 4, 81, 3, 0, 0, 5, 0, 22, 4, 34, 8, 20, 54, 7, 2, 6, 1, 2.0, 6.0, 7.0, 0, 3, 5, 0, 1, 4, 2, 0, 2, 0, 3, 0, 0.0, 0, 0, 3, 4, 0, 4, 4, 28.57, 85.71, 100.0, 28.59765625, 80.0, 80.0, 80, 60.0, 71.390625, 0.0, 40.0, 0.0, 60.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 60.0, 3.0, 0.0, 23.0, 7.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 84.0, "5197", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5197&g_ta_cod=5197", 29.0, 14.0, 57.0),
(11689, "Privé sous contrat d'association", "0311145B", "Lycée Saint-Joseph", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Saint-Joseph - BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "BTS - Production", "", 16, 169, 3, 156, 0, 12, 3, 18, 3, 81, 31, 45, 13, 0, 0, 6, 7, 113, 5, 0, 0, 1, 0, 16, 3, 81, 31, 15, 82, 11, 0, 7, 3, 0.0, 5.0, 7.0, 0, 3, 9, 0, 2, 7, 2, 0, 5, 2, 2, 0, 0.0, 0, 1, 3, 0, 0, 8, 8, 0.0, 45.45, 63.64, 0.0, 88.890625, 88.890625, 0, 33.296875, 81.796875, 0.0, 55.59375, 22.19921875, 22.19921875, 0.0, 0.0, 0.0, 0.0, 22.19921875, 11.099609375, 77.796875, 33.296875, 1.0, 0.0, 67.0, 29.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 88, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 65.0, "18918", "BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18918&g_ta_cod=18918", 0.0, 18.0, 82.0),
(11690, "Public", "0710011B", "Lycée Pontus De Tyard", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "CPGE", "Lycée Pontus De Tyard - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 24, 73, 31, 65, 39, 50, 4, 0, 0, 1, 1, 14, 8, 5, 0, 0, 3, 64, 6, 39, 61, 50, 4, 0, 0, 0, 0, 14, 64, 10, 6, 8, 2, 1.0, 8.0, 10.0, 3, 1, 1, 1, 0, 0, 9, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 1, 0, 1, 1, 10.0, 80.0, 100.0, 60.0, 100.0, 100.0, 100, 100.0, 10.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 51.0, 5.0, 0.0, 0.0, 13.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "31298", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31298&g_ta_cod=31298", 100.0, 0.0, 0.0),
(11691, "Privé sous contrat d'association", "0111024D", "Ecole Sup. La Raque", "11", "Aude", "Occitanie", "Montpellier", "Lasbordes", "formation sélective", "BTS", "Ecole Sup. La Raque - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 40, 282, 170, 269, 0, 67, 10, 51, 10, 19, 6, 132, 13, 4, 4, 0, 5, 223, 10, 0, 0, 67, 10, 51, 10, 19, 6, 86, 174, 37, 24, 33, 4, 10.0, 26.0, 32.0, 0, 1, 14, 5, 7, 2, 23, 0, 12, 1, 1, 0, 0.0, 0, 2, 0, 0, 0, 8, 8, 27.03, 70.27, 86.49, 64.890625, 57.09375, 57.09375, 0, 7.099609375, 37.796875, 0.0, 85.6875, 7.099609375, 7.099609375, 0.0, 0.0, 35.6953125, 0.0, 50.0, 14.298828125, 14.298828125, 0.0, 55.0, 6.0, 18.0, 6.0, 64.0, "Tous les candidats sauf les Bac professionnels", 195.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 82.0, "2478", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2478&g_ta_cod=2478", 59.0, 27.0, 8.0),
(11692, "Public", "0190862J", "I.U.T du Limousin - site de Tulle", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Tulle", "formation sélective", "BUT", "I.U.T du Limousin - site de Tulle - BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques", "BUT - Production", "Ingénierie des systèmes pluritechniques", 24, 233, 15, 220, 0, 126, 20, 61, 9, 1, 0, 32, 13, 2, 3, 1, 7, 181, 7, 0, 0, 115, 19, 51, 7, 0, 0, 15, 130, 17, 0, 15, 2, 5.0, 14.0, 17.0, 0, 3, 14, 8, 6, 0, 3, 0, 4, 7, 3, 0, 0.0, 4, 6, 0, 0, 0, 6, 6, 29.41, 82.35, 100.0, 0.0, 42.8984375, 42.8984375, 0, 21.3984375, 82.390625, 0.0, 28.59765625, 50.0, 21.3984375, 0.0, 0.0, 57.09375, 28.59765625, 42.8984375, 42.8984375, 0.0, 0.0, 72.0, 10.0, 0.0, 0.0, 18.0, "Tous les candidats sauf les Bac technologiques", 126.0, "Bacheliers technologiques toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 82.0, "3169", "BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3169&g_ta_cod=3169", 59.0, 41.0, 0.0),
(11693, "Public", "0430020N", "Lycée Charles et Adrien Dupuy", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Puy-en-Velay", "formation sélective", "BTS", "Lycée Charles et Adrien Dupuy - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 8, 60, 4, 57, 0, 4, 0, 27, 5, 19, 1, 7, 3, 1, 0, 0, 2, 57, 2, 0, 0, 4, 0, 27, 5, 19, 1, 7, 34, 6, 0, 4, 2, 1.0, 4.0, 6.0, 0, 0, 4, 1, 2, 1, 2, 0, 2, 1, 1, 0, 0.0, 0, 1, 1, 2, 0, 2, 2, 16.67, 66.67, 100.0, 0.0, 50.0, 50.0, 50, 0.0, 66.6875, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 25.0, 0.0, 50.0, 25.0, 25.0, 25.0, 4.0, 0.0, 11.0, 1.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 91.0, "5383", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5383&g_ta_cod=5383", 17.0, 50.0, 33.0),
(11694, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Droit", "Licence - Droit-économie-gestion", "", 200, 1328, 962, 1327, 0, 987, 207, 128, 46, 36, 17, 176, 1, 0, 0, 0, 1, 1327, 1, 0, 0, 987, 207, 128, 46, 36, 17, 176, 966, 197, 138, 196, 1, 95.0, 159.0, 190.0, 0, 43, 166, 136, 21, 9, 31, 0, 39, 85, 35, 7, 0.0, 102, 18, 7, 0, 0, 130, 130, 48.22, 80.71, 96.45, 70.09375, 78.296875, 78.296875, 0, 25.8984375, 84.296875, 0.0, 23.5, 51.1953125, 21.09765625, 4.2, 0.0, 81.890625, 61.3984375, 12.69921875, 10.798828125, 5.3994140625, 4.19921875, 725.0, 162.0, 27.0, 15.0, 120.0, "Tous les candidats", 1174.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "7753", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7753&g_ta_cod=7753", 80.0, 14.0, 6.0),
(11695, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Université Angers - Licence - Portail Lettres", "Licence - Arts-lettres-langues", "", 75, 591, 498, 591, 0, 432, 85, 21, 5, 18, 10, 120, 0, 0, 0, 0, 0, 591, 0, 0, 0, 432, 85, 21, 5, 18, 10, 120, 591, 93, 83, 93, 0, 89.0, 92.0, 93.0, 0, 15, 61, 51, 2, 8, 32, 0, 15, 29, 12, 4, 1.0, 38, 1, 7, 0, 0, 49, 49, 95.7, 98.92, 100.0, 89.1875, 80.296875, 80.296875, 0, 24.59765625, 65.59375, 0.0, 24.59765625, 47.5, 19.69921875, 6.6, 1.6, 83.59375, 62.296875, 3.2998046875, 1.599853515625, 13.099609375, 11.5, 432.0, 85.0, 18.0, 10.0, 120.0, "Tous les candidats", 609.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "5933", "Licence - Portail Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27326&g_ta_cod=5933", 81.0, 6.0, 11.0),
(11696, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 1085, 9209, 7580, 9209, 0, 4839, 1196, 773, 309, 222, 111, 3375, 0, 0, 0, 0, 0, 9200, 0, 0, 0, 4839, 1196, 773, 309, 222, 111, 3366, 4089, 1076, 928, 1076, 0, 525.0, 852.0, 952.0, 0, 237, 734, 662, 54, 18, 342, 4, 151, 296, 212, 66, 5.0, 523, 39, 17, 0, 0, 687, 687, 48.79, 79.18, 88.48, 86.1875, 93.59375, 93.59375, 0, 32.296875, 68.1875, 0.5, 20.59765625, 40.296875, 28.8984375, 9.0, 0.7, 90.1875, 71.296875, 7.3994140625, 5.2998046875, 2.5, 2.2998046875, 2356.0, 636.0, 63.0, 29.0, 1461.0, "Tous les candidats", 4853.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 48.0, "7095", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29067&g_ta_cod=7095", 90.0, 7.0, 3.0),
(11697, "Public", "0592602H", "I.U.T. de Lille A", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 6, 190, 6, 187, 0, 0, 0, 179, 43, 0, 0, 8, 3, 0, 2, 0, 1, 80, 0, 0, 0, 0, 0, 78, 20, 0, 0, 2, 32, 3, 0, 3, 0, 1.0, 3.0, 3.0, 0, 1, 3, 0, 3, 0, 0, 0, 0, 0, 2, 1, 0.0, 0, 3, 0, 0, 0, 3, 3, 33.33, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 0.0, 0.0, 66.6875, 33.3, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 340.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 41.0, "211", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=211", 0.0, 100.0, 0.0),
(11698, "Public", "0410718H", "Lycée Professionnel Val de Cher", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Saint-Aignan", "formation sélective", "Autre formation", "Lycée Professionnel Val de Cher - Mention complémentaire - Technicien des services à l'énergie", "Mention complémentaire", "", 6, 10, 0, 10, 0, 0, 0, 0, 0, 5, 1, 5, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 3, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 3.0, 0.0, 0.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "28810", "Mention complémentaire - Technicien des services à l'énergie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28810&g_ta_cod=28810", 0, 0, 0),
(11699, "Public", "0050003B", "Lycée D'Altitude", "05", "Hautes-Alpes", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Briançon", "formation sélective", "BTS", "Lycée D'Altitude - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 77, 6, 77, 0, 3, 1, 7, 1, 26, 6, 41, 0, 0, 0, 0, 0, 64, 0, 0, 0, 3, 1, 7, 1, 23, 5, 31, 41, 14, 2, 14, 0, 5.0, 13.0, 14.0, 0, 2, 9, 1, 0, 8, 5, 0, 6, 1, 2, 0, 0.0, 0, 0, 3, 6, 0, 6, 6, 35.71, 92.86, 100.0, 14.298828125, 66.6875, 66.6875, 66.6875, 22.19921875, 64.296875, 0.0, 66.6875, 11.099609375, 22.19921875, 0.0, 0.0, 11.099609375, 0.0, 0.0, 0.0, 88.890625, 33.296875, 3.0, 1.0, 20.0, 3.0, 13.0, "Tous les candidats sauf les Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 65.0, "2170", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2170&g_ta_cod=2170", 21.0, 14.0, 64.0),
(11700, "Privé enseignement supérieur", "0290127F", "Brest Business School", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Ecole de Commerce", "Brest Business School - Formation des écoles de commerce et de management Bac + 3 - Bachelor e-business et marketing", "Formation des écoles de commerce et de management", "Bachelor e-business et marketing", 40, 54, 22, 49, 0, 32, 6, 5, 3, 1, 0, 11, 5, 2, 2, 0, 1, 37, 3, 0, 0, 25, 4, 1, 0, 1, 0, 10, 40, 11, 5, 9, 2, 9.0, 9.0, 11.0, 0, 0, 8, 5, 2, 1, 3, 0, 4, 2, 1, 1, 0.0, 2, 1, 1, 0, 0, 8, 8, 81.82, 81.82, 100.0, 45.5, 100.0, 100.0, 0, 0.0, 72.6875, 0.0, 50.0, 25.0, 12.5, 12.5, 0.0, 62.5, 25.0, 25.0, 12.5, 12.5, 12.5, 27.0, 4.0, 1.0, 0.0, 10.0, "Tous les candidats", 62.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "18078", "Formation des écoles de commerce et de management Bac + 3 - Bachelor e-business et marketing", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18078&g_ta_cod=18078", 73.0, 18.0, 9.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(11701, "Public", "0560039N", "Lycée professionnel Du Blavet", "56", "Morbihan", "Bretagne", "Rennes", "Pontivy", "formation sélective", "BTS", "Lycée professionnel Du Blavet - BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "BTS - Production", "", 15, 156, 8, 144, 0, 7, 2, 21, 3, 54, 20, 62, 12, 0, 1, 4, 7, 67, 2, 0, 0, 5, 1, 16, 1, 43, 17, 3, 50, 2, 0, 2, 0, 0.0, 2.0, 2.0, 0, 2, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 1, 0, 1, 1, 0.0, 100.0, 100.0, 0.0, 50.0, 50.0, 50, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 2.0, 1.0, 32.0, 16.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 45.0, "19974", "BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19974&g_ta_cod=19974", 0.0, 0.0, 100.0),
(11702, "Public", "0720033V", "Lycée Polyvalent Gabriel Touchard - Washington", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Gabriel Touchard - Washington - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1099, 596, 1098, 0, 142, 33, 406, 125, 324, 135, 226, 1, 0, 0, 0, 1, 454, 0, 0, 0, 40, 6, 205, 54, 169, 73, 40, 159, 30, 18, 30, 0, 3.0, 21.0, 24.0, 0, 8, 29, 3, 21, 5, 1, 0, 4, 17, 8, 0, 0.0, 1, 19, 5, 6, 3, 26, 26, 10.0, 70.0, 80.0, 60.0, 89.6875, 89.6875, 20.69921875, 27.59765625, 96.6875, 0.0, 13.798828125, 58.59375, 27.59765625, 0.0, 0.0, 10.298828125, 3.39990234375, 72.390625, 65.5, 17.19921875, 17.19921875, 24.0, 5.0, 39.0, 19.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 113, "Liste d'appel propre à cette formation", 17.0, "8701", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8701&g_ta_cod=8701", 10.0, 73.0, 17.0),
(11703, "Public", "0261505V", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "LPO LYCEE DES METIERS ALGOUD - LAFFEMAS - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 34, 459, 252, 411, 0, 42, 7, 127, 62, 100, 56, 142, 48, 0, 24, 4, 20, 236, 10, 0, 0, 30, 4, 70, 29, 77, 39, 59, 155, 27, 17, 20, 6, 3.0, 16.0, 23.0, 0, 13, 24, 0, 11, 13, 3, 1, 15, 4, 4, 0, 0.0, 0, 3, 5, 1, 0, 21, 21, 11.11, 59.26, 85.19, 63.0, 87.5, 87.5, 4.19921875, 54.1953125, 88.890625, 4.19921875, 62.5, 16.69921875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 45.796875, 12.5, 54.1953125, 20.796875, 9.0, 4.0, 53.0, 24.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 45.0, "16819", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16819&g_ta_cod=16819", 7.0, 44.0, 48.0),
(11704, "Privé sous contrat d'association", "0670482E", "ECAM Strasbourg-Europe", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Ecole d'Ingénieur", "ECAM-ECAM LaSalle - Formation d'ingénieur Bac + 5 - Série STI2D", "Formations  des écoles d'ingénieurs", "Bac STI2D", 10, 102, 7, 100, 0, 0, 0, 86, 15, 0, 0, 14, 2, 0, 2, 0, 0, 48, 1, 0, 0, 0, 0, 43, 1, 0, 0, 5, 44, 8, 0, 7, 1, 6.0, 7.0, 8.0, 0, 0, 8, 0, 8, 0, 0, 0, 0, 4, 4, 0, 0.0, 0, 8, 0, 0, 0, 2, 2, 75.0, 87.5, 100.0, 0.0, 25.0, 25.0, 0, 0.0, 100.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "29299", "Formation d'ingénieur Bac + 5 - Série STI2D", "ECAM-ECAM LaSalle", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29297&g_ta_cod=29299", 0.0, 100.0, 0.0),
(11705, "Public", "0750700D", "Lycée Jean-Baptiste Say", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Lycée Jean-Baptiste Say - CPGE - PTSI", "Classe préparatoire scientifique", "", 45, 1251, 247, 1251, 815, 1105, 93, 4, 2, 0, 0, 142, 0, 0, 0, 0, 0, 359, 0, 115, 350, 354, 28, 0, 0, 0, 0, 5, 146, 44, 13, 44, 0, 5.0, 36.0, 43.0, 14, 2, 44, 44, 0, 0, 0, 0, 0, 0, 10, 24, 10.0, 44, 0, 0, 14, 6, 17, 26, 11.36, 81.82, 97.73, 29.5, 38.59375, 59.09375, 31.796875, 4.5, 100.0, 0.0, 0.0, 0.0, 22.69921875, 54.5, 22.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 145.0, 10.0, 0.0, 0.0, 1.0, "Tous les candidats", 188.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "9138", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9138&g_ta_cod=9138", 100.0, 0.0, 0.0),
(11706, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien", "Licence - Arts-lettres-langues", "Italien", 35, 76, 58, 59, 0, 39, 10, 6, 1, 2, 2, 12, 17, 0, 1, 2, 14, 59, 15, 0, 0, 39, 10, 6, 1, 2, 2, 12, 73, 15, 13, 11, 4, 5.0, 11.0, 13.0, 0, 4, 9, 6, 1, 2, 6, 0, 5, 2, 2, 0, 0.0, 3, 0, 1, 0, 0, 8, 8, 33.33, 73.33, 86.67, 86.6875, 88.890625, 88.890625, 0, 44.3984375, 60.0, 0.0, 55.59375, 22.19921875, 22.19921875, 0.0, 0.0, 66.6875, 33.296875, 11.099609375, 0.0, 22.19921875, 11.099609375, 38.0, 10.0, 4.0, 3.0, 24.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6341", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6341&g_ta_cod=6341", 80.0, 7.0, 13.0),
(11707, "Public", "0594366A", "IUT Tourcoing Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BUT", "IUT Tourcoing Université de Lille - BUT - Carrières sociales Parcours animation sociale et socioculturelle", "BUT - Service", "", 66, 1233, 978, 1225, 0, 359, 101, 398, 162, 108, 53, 360, 8, 0, 7, 0, 1, 630, 2, 0, 0, 126, 32, 282, 114, 0, 0, 222, 285, 63, 44, 62, 1, 9.0, 37.0, 51.0, 0, 22, 33, 5, 28, 0, 30, 0, 12, 17, 4, 0, 0.0, 3, 18, 0, 0, 0, 25, 25, 14.29, 58.73, 80.95, 69.796875, 75.796875, 75.796875, 0, 66.6875, 52.3984375, 0.0, 36.3984375, 51.5, 12.099609375, 0.0, 0.0, 15.19921875, 9.099609375, 84.796875, 54.5, 0.0, 0.0, 22.0, 22.0, 0.0, 0.0, 107.0, "Tous les candidats sauf les Bac technologiques", 173.0, "Bacheliers technologiques toutes séries", 233, "", 0, "Liste d'appel propre à cette formation", 33.0, "7111", "BUT - Carrières sociales Parcours animation sociale et socioculturelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7111&g_ta_cod=7111", 49.0, 51.0, 0.0),
(11708, "Privé sous contrat d'association", "9720791C", "IFMES", "972", "Martinique", "Martinique", "Martinique", "Saint-Joseph", "formation sélective", "EFTS", "IFMES - D.E Educateur Spécialisé", "D.E secteur social", "", 6, 57, 45, 57, 0, 13, 5, 15, 4, 7, 5, 22, 0, 0, 0, 0, 0, 13, 0, 0, 0, 3, 2, 1, 0, 0, 0, 9, 8, 6, 3, 6, 0, 4.0, 6.0, 6.0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 66.67, 100.0, 100.0, 50.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.0, 1.0, 0.0, 0.0, 6.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "25121", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25121&g_ta_cod=25121", 67.0, 0.0, 33.0),
(11709, "Privé sous contrat d'association", "0251028G", "Institution Notre-Dame Saint-Jean - LYCEE", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Autre formation", "Institution Notre-Dame Saint-Jean - LYCEE - Classe d'approfondissement en arts plastiques", "Année préparatoire", "Classe d'approfondissement en arts plastiques", 30, 110, 84, 108, 0, 79, 16, 4, 0, 6, 0, 19, 2, 0, 1, 0, 1, 106, 2, 0, 0, 78, 15, 4, 0, 6, 0, 18, 94, 19, 16, 18, 1, 4.0, 18.0, 18.0, 0, 4, 16, 14, 2, 0, 3, 0, 10, 4, 2, 0, 0.0, 6, 0, 0, 0, 0, 13, 13, 21.05, 94.74, 94.74, 84.1875, 81.296875, 81.296875, 0, 25.0, 84.1875, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 87.5, 37.5, 12.5, 0.0, 0.0, 0.0, 69.0, 15.0, 6.0, 0.0, 14.0, "Tous les candidats", 103.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "3520", "Classe d'approfondissement en arts plastiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3520&g_ta_cod=3520", 84.0, 11.0, 5.0),
(11710, "Public", "0920802X", "Lycée Jean-Pierre Vernant", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sèvres", "formation sélective", "BTS", "Lycée Jean-Pierre Vernant - BTS - Services - Commerce International", "BTS - Services", "", 35, 1140, 614, 1140, 0, 202, 59, 375, 131, 246, 110, 317, 0, 0, 0, 0, 0, 419, 0, 0, 0, 86, 20, 191, 53, 110, 54, 32, 192, 32, 25, 32, 0, 2.0, 22.0, 29.0, 0, 13, 29, 4, 17, 8, 3, 0, 7, 12, 8, 2, 0.0, 1, 14, 7, 4, 3, 25, 27, 6.25, 68.75, 90.63, 78.09375, 86.1875, 93.09375, 13.798828125, 44.796875, 90.59375, 0.0, 24.09765625, 41.3984375, 27.59765625, 6.9, 0.0, 13.798828125, 3.39990234375, 58.59375, 48.296875, 27.59765625, 24.09765625, 38.0, 13.0, 42.0, 15.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 119, "Liste d'appel propre à cette formation", 23.0, "11034", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11034&g_ta_cod=11034", 22.0, 53.0, 25.0),
(11711, "Public", "0860038Z", "Lycée Aliénor d' Aquitaine", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée Aliénor d' Aquitaine - BTS - Services - Notariat", "BTS - Services", "", 16, 462, 350, 462, 0, 103, 22, 136, 43, 33, 16, 190, 0, 0, 0, 0, 0, 170, 0, 0, 0, 54, 12, 75, 23, 23, 12, 18, 59, 16, 12, 16, 0, 4.0, 15.0, 15.0, 0, 3, 13, 5, 6, 2, 3, 0, 3, 5, 4, 1, 0.0, 3, 5, 2, 0, 0, 8, 8, 25.0, 93.75, 93.75, 75.0, 61.5, 61.5, 0, 23.09765625, 81.296875, 0.0, 23.09765625, 38.5, 30.796875, 7.7, 0.0, 38.5, 23.09765625, 46.1953125, 38.5, 15.3984375, 15.3984375, 18.0, 5.0, 3.0, 2.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 21.0, "10593", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10593&g_ta_cod=10593", 44.0, 44.0, 13.0),
(11712, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Licence", "Université de Nantes - Licence - Droit - Parcours Franco-Allemand", "Licence - Droit-économie-gestion", "Franco-Allemand", 30, 176, 122, 96, 0, 71, 2, 3, 1, 0, 0, 22, 80, 17, 6, 1, 56, 88, 11, 0, 0, 67, 1, 2, 0, 0, 0, 19, 85, 13, 9, 11, 2, 4.0, 11.0, 12.0, 0, 0, 10, 10, 0, 0, 3, 0, 0, 3, 5, 2, 0.0, 10, 0, 0, 0, 0, 5, 5, 30.77, 84.62, 92.31, 69.1875, 50.0, 50.0, 0, 0.0, 76.890625, 0.0, 0.0, 30.0, 50.0, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 64.0, 1.0, 0.0, 0.0, 21.0, "Tous les candidats", 88.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "20518", "Licence - Droit - Parcours Franco-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20518&g_ta_cod=20518", 100.0, 0.0, 0.0),
(11713, "Public", "0510062R", "Lycée Francois 1er", "51", "Marne", "Grand Est", "Reims", "Vitry-le-François", "formation sélective", "BTS", "Lycée Francois 1er - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 11, 149, 13, 146, 0, 21, 7, 34, 8, 30, 6, 61, 3, 0, 0, 2, 1, 94, 0, 0, 0, 21, 7, 34, 8, 30, 6, 9, 33, 10, 0, 10, 0, 3.0, 9.0, 10.0, 0, 3, 9, 2, 3, 4, 1, 0, 3, 5, 1, 0, 0.0, 1, 2, 3, 5, 0, 8, 8, 30.0, 90.0, 100.0, 0.0, 88.890625, 88.890625, 55.59375, 33.296875, 90.0, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 22.19921875, 11.099609375, 33.296875, 22.19921875, 44.3984375, 33.296875, 2.0, 2.0, 23.0, 5.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 27.0, "6083", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6083&g_ta_cod=6083", 20.0, 30.0, 50.0),
(11714, "Public", "0250010A", "Lycée Louis Pergaud", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Louis Pergaud - BTS - Services - Support à l'action managériale", "BTS - Services", "", 36, 584, 411, 573, 0, 41, 10, 171, 67, 143, 59, 218, 11, 2, 0, 4, 5, 305, 3, 0, 0, 33, 8, 140, 47, 104, 39, 28, 150, 33, 26, 31, 2, 6.0, 24.0, 29.0, 0, 7, 27, 2, 9, 16, 6, 0, 8, 11, 6, 2, 0.0, 0, 4, 15, 3, 2, 25, 25, 18.18, 72.73, 87.88, 78.796875, 92.59375, 92.59375, 11.099609375, 25.8984375, 81.796875, 0.0, 29.59765625, 40.6953125, 22.19921875, 7.4, 0.0, 7.3994140625, 0.0, 33.296875, 14.798828125, 59.296875, 55.59375, 29.0, 6.0, 49.0, 14.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 39.0, "3462", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3462&g_ta_cod=3462", 24.0, 27.0, 48.0),
(11715, "Public", "0730858L", "Université Savoie Mont Blanc - Chambéry", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Jacob-Bellecombette", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Chambéry - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 305, 2693, 2266, 2693, 0, 1406, 272, 322, 78, 137, 37, 828, 0, 0, 0, 0, 0, 2691, 0, 0, 0, 1406, 272, 322, 78, 137, 37, 826, 1263, 301, 258, 301, 0, 35.0, 237.0, 279.0, 0, 47, 209, 139, 53, 17, 92, 2, 47, 119, 34, 7, 0.0, 105, 38, 17, 0, 0, 188, 188, 11.63, 78.74, 92.69, 85.6875, 90.0, 90.0, 0, 22.5, 69.390625, 1.0, 22.5, 56.8984375, 16.296875, 3.3, 0.0, 66.5, 50.1953125, 25.3984375, 18.19921875, 8.099609375, 8.099609375, 749.0, 146.0, 46.0, 13.0, 313.0, "Tous les candidats", 1592.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 55.0, "8812", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27760&g_ta_cod=8812", 65.0, 25.0, 9.0),
(11716, "Public", "0692517L", "LPO Camus-Sermenaz", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Rillieux-la-Pape", "formation sélective", "Autre formation", "LPO Camus-Sermenaz - Mention complémentaire - FCIL Secrétariat Médico Social", "Mention complémentaire", "", 18, 224, 218, 224, 0, 6, 3, 32, 13, 117, 76, 69, 0, 0, 0, 0, 0, 115, 0, 0, 0, 2, 0, 23, 9, 64, 37, 26, 49, 12, 12, 12, 0, 4.0, 5.0, 7.0, 0, 5, 8, 0, 3, 5, 4, 0, 4, 4, 0, 0, 0.0, 0, 0, 4, 0, 0, 8, 8, 33.33, 41.67, 58.33, 100.0, 100.0, 100.0, 0, 62.5, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 37.5, 0.0, 62.5, 50.0, 2.0, 0.0, 25.0, 16.0, 8.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "24763", "Mention complémentaire - FCIL Secrétariat Médico Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24763&g_ta_cod=24763", 0.0, 58.0, 42.0),
(11717, "Public", "0781944P", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "Licence", "Université de Versailles - Saint Quentin en Yvelines - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 82, 286, 215, 143, 0, 98, 18, 16, 1, 7, 1, 22, 143, 35, 15, 7, 86, 143, 131, 0, 0, 98, 18, 16, 1, 7, 1, 22, 272, 57, 42, 17, 40, 11.0, 17.0, 40.0, 0, 6, 28, 12, 11, 5, 29, 0, 14, 12, 1, 1, 0.0, 7, 3, 4, 0, 0, 23, 24, 19.3, 29.82, 70.18, 73.6875, 82.09375, 85.6875, 0, 21.3984375, 49.09375, 0.0, 50.0, 42.8984375, 3.599609375, 3.6, 0.0, 42.8984375, 25.0, 39.296875, 10.69921875, 17.8984375, 14.298828125, 132.0, 26.0, 14.0, 3.0, 96.0, "Tous les candidats", 142.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "10002", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10002&g_ta_cod=10002", 51.0, 35.0, 11.0),
(11718, "Public", "0951946Z", "I.U.T de Cergy-Pontoise - Site d'Argenteuil", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "BUT", "I.U.T de Cergy-Pontoise - Site d'Argenteuil - BUT - Gestion logistique et transport Parcours : ENEPS destiné aux bacs professionnels - Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables  (Seconde année possible en apprentissage)", "BUT - Service", "ENEPS destiné aux bacs professionnels - Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables", 15, 113, 15, 113, 0, 0, 0, 0, 0, 100, 41, 13, 0, 0, 0, 0, 0, 51, 0, 0, 0, 0, 0, 0, 0, 48, 19, 3, 21, 16, 5, 16, 0, 11.0, 15.0, 16.0, 0, 8, 15, 0, 0, 15, 1, 0, 2, 5, 6, 2, 0.0, 0, 0, 13, 0, 0, 4, 13, 68.75, 93.75, 100.0, 31.296875, 26.69921875, 86.6875, 0, 53.296875, 93.796875, 0.0, 13.298828125, 33.296875, 40.0, 13.3, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 86.6875, 0.0, 0.0, 20.0, 10.0, 1.0, "Tous les candidats sauf les Bac technologiques", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "21819", "BUT - Gestion logistique et transport Parcours : ENEPS destiné aux bacs professionnels - Management de la mobilité et de la supply chain connectées - Management de la mobilité et de la supply chain durables  (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21819&g_ta_cod=21819", 0.0, 0.0, 100.0),
(11719, "Privé sous contrat d'association", "0920928J", "Lycée La Salle Passy Buzenval", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Rueil-Malmaison", "formation sélective", "Ecole d'Ingénieur", "ECAM-ECAM LaSalle - Formation d'ingénieur Bac + 5 - Série STI2D", "Formations  des écoles d'ingénieurs", "Bac STI2D", 36, 213, 21, 196, 0, 0, 0, 175, 39, 0, 0, 21, 17, 0, 9, 0, 8, 106, 5, 0, 0, 0, 0, 103, 6, 0, 0, 3, 99, 30, 4, 29, 1, 19.0, 29.0, 30.0, 0, 4, 28, 0, 28, 0, 2, 0, 2, 11, 14, 1, 0.0, 0, 26, 0, 0, 0, 12, 19, 63.33, 96.67, 100.0, 13.298828125, 42.8984375, 67.890625, 0, 14.298828125, 93.296875, 0.0, 7.099609375, 39.296875, 50.0, 3.6, 0.0, 0.0, 0.0, 100.0, 92.890625, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 6.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "29298", "Formation d'ingénieur Bac + 5 - Série STI2D", "ECAM-ECAM LaSalle", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29297&g_ta_cod=29298", 0.0, 100.0, 0.0),
(11720, "Public", "0920138A", "Lycée Paul Lapie", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Courbevoie", "formation sélective", "BTS", "Lycée Paul Lapie - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 1490, 103, 1490, 0, 106, 29, 432, 183, 425, 200, 527, 0, 0, 0, 0, 0, 718, 0, 0, 0, 33, 6, 95, 31, 423, 200, 167, 103, 35, 5, 35, 0, 5.0, 28.0, 32.0, 0, 15, 33, 3, 13, 17, 2, 0, 10, 16, 7, 0, 0.0, 2, 10, 11, 5, 0, 24, 32, 14.29, 80.0, 91.43, 14.298828125, 72.6875, 97.0, 15.19921875, 45.5, 94.296875, 0.0, 30.296875, 48.5, 21.19921875, 0.0, 0.0, 9.099609375, 6.099609375, 39.3984375, 30.296875, 51.5, 33.296875, 11.0, 4.0, 38.0, 18.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 9.0, "10999", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10999&g_ta_cod=10999", 9.0, 43.0, 49.0),
(11721, "Public", "0622238W", "I.U.T. de Béthune", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "BUT", "I.U.T. de Béthune - BUT - Réseaux et télécommunications Parcours : Cybersécurité - Réseaux Opérateurs et Multimédia  (Seconde année possible en apprentissage)", "BUT - Production", "Cybersécurité - Réseaux Opérateurs et Multimédia", 52, 779, 52, 696, 0, 329, 53, 211, 63, 19, 6, 137, 83, 18, 16, 1, 48, 379, 9, 0, 0, 187, 33, 145, 41, 6, 0, 41, 286, 52, 2, 48, 4, 23.0, 43.0, 49.0, 0, 7, 43, 14, 26, 3, 9, 0, 13, 22, 3, 5, 0.0, 13, 15, 2, 0, 0, 34, 34, 44.23, 82.69, 94.23, 3.7998046875, 79.09375, 79.09375, 0, 16.296875, 82.6875, 0.0, 30.19921875, 51.1953125, 7.0, 11.6, 0.0, 32.59375, 30.19921875, 60.5, 34.8984375, 7.0, 4.69921875, 129.0, 23.0, 3.0, 0.0, 40.0, "Tous les candidats sauf les Bac technologiques", 216.0, "Bacheliers technologiques toutes séries", 158, "", 0, "Liste d'appel propre à cette formation", 54.0, "7439", "BUT - Réseaux et télécommunications Parcours : Cybersécurité - Réseaux Opérateurs et Multimédia  (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7439&g_ta_cod=7439", 38.0, 56.0, 6.0),
(11722, "Privé sous contrat d'association", "0831207L", "Lycée Marie France", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Marie France - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 470, 239, 470, 0, 79, 11, 148, 47, 140, 53, 103, 0, 0, 0, 0, 0, 450, 0, 0, 0, 79, 11, 148, 47, 137, 51, 86, 216, 22, 11, 21, 0, 3.0, 14.0, 16.0, 0, 6, 18, 3, 6, 9, 4, 0, 9, 8, 1, 0, 0.0, 1, 4, 4, 0, 0, 12, 12, 13.64, 63.64, 72.73, 50.0, 66.6875, 66.6875, 0, 33.296875, 81.796875, 0.0, 50.0, 44.3984375, 5.599609375, 0.0, 0.0, 16.69921875, 5.599609375, 33.296875, 22.19921875, 50.0, 22.19921875, 51.0, 11.0, 68.0, 21.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 98, "Liste d'appel propre à cette formation", 51.0, "10382", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10382&g_ta_cod=10382", 23.0, 36.0, 41.0),
(11723, "Public", "0750672Y", "Esaa Duperré", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "Autre formation", "Esaa Duperré - DN MADE - Graphisme - - Spécialité : Design éditorial", "DN MADE", "- Spécialité : Design éditorial", 12, 1063, 795, 1063, 0, 403, 60, 182, 29, 80, 15, 398, 0, 0, 0, 0, 0, 100, 0, 0, 0, 51, 7, 24, 0, 5, 1, 20, 40, 12, 10, 12, 0, 1.0, 11.0, 11.0, 0, 2, 8, 7, 1, 0, 4, 0, 0, 0, 4, 4, 0.0, 7, 1, 0, 0, 0, 0, 3, 8.33, 91.67, 91.67, 83.296875, 0.0, 37.5, 0, 25.0, 66.6875, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 87.5, 87.5, 12.5, 12.5, 0.0, 0.0, 24.0, 4.0, 3.0, 1.0, 5.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "21966", "DN MADE - Graphisme - - Spécialité : Design éditorial", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21966&g_ta_cod=21966", 83.0, 8.0, 8.0),
(11724, "Privé sous contrat d'association", "0300125Y", "Lycée De La Salle", "30", "Gard", "Occitanie", "Montpellier", "Alès", "formation sélective", "BTS", "Lycée De La Salle - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 16, 105, 5, 105, 0, 7, 4, 36, 4, 44, 20, 18, 0, 0, 0, 0, 0, 84, 0, 0, 0, 7, 4, 36, 4, 28, 13, 13, 52, 14, 0, 14, 0, 5.0, 11.0, 13.0, 0, 4, 13, 0, 5, 8, 1, 0, 3, 7, 1, 2, 0.0, 0, 3, 7, 12, 0, 12, 12, 35.71, 78.57, 92.86, 0.0, 92.296875, 92.296875, 92.296875, 30.796875, 92.890625, 0.0, 23.09765625, 53.796875, 7.69921875, 15.4, 0.0, 0.0, 0.0, 38.5, 23.09765625, 61.5, 53.796875, 6.0, 3.0, 17.0, 7.0, 6.0, "Tous les candidats sauf les Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 65.0, "3974", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3974&g_ta_cod=3974", 7.0, 36.0, 57.0),
(11725, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Sciences de la vie et de la terre - Parcours PCGSI", "Licence - Sciences - technologies - santé", "PCGSI", 37, 316, 195, 222, 0, 125, 24, 3, 0, 0, 0, 94, 94, 37, 6, 0, 51, 222, 89, 0, 0, 125, 24, 3, 0, 0, 0, 94, 276, 17, 11, 8, 9, 0.0, 7.0, 11.0, 0, 3, 7, 6, 1, 0, 10, 0, 4, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 1, 1, 0.0, 41.18, 64.71, 64.6875, 14.298828125, 14.298828125, 0, 42.8984375, 41.1953125, 0.0, 57.09375, 14.298828125, 28.59765625, 0.0, 0.0, 85.6875, 42.8984375, 14.298828125, 0.0, 0.0, 0.0, 138.0, 30.0, 0.0, 0.0, 132.0, "Tous les candidats", 222.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32050", "Licence - Sciences de la vie et de la terre - Parcours PCGSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32050&g_ta_cod=32050", 88.0, 12.0, 0.0),
(11726, "Public", "0680066C", "Lycée Jean Mermoz", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Saint-Louis", "formation sélective", "BTS", "Lycée Jean Mermoz - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 292, 170, 252, 0, 23, 9, 68, 27, 64, 35, 97, 40, 0, 0, 23, 17, 130, 5, 0, 0, 21, 8, 61, 22, 22, 11, 26, 79, 21, 11, 17, 3, 5.0, 12.0, 16.0, 0, 4, 14, 1, 7, 6, 7, 0, 9, 3, 1, 1, 0.0, 0, 3, 2, 7, 2, 14, 14, 23.81, 57.14, 76.19, 52.3984375, 100.0, 100.0, 50, 28.59765625, 66.6875, 0.0, 64.296875, 21.3984375, 7.099609375, 7.1, 0.0, 7.099609375, 0.0, 50.0, 21.3984375, 42.8984375, 14.298828125, 9.0, 2.0, 23.0, 9.0, 14.0, "Tous les candidats sauf les Bac professionnels", 73.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 38.0, "8129", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8129&g_ta_cod=8129", 19.0, 48.0, 33.0),
(11727, "Public", "7200117P", "I.U.T de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation sélective", "BUT", "I.U.T de Corte - BUT - Génie biologique parcours sciences de l'environnement et écotechnologies (Seconde année possible en apprentissage)", "BUT - Production", "", 32, 344, 184, 330, 0, 193, 28, 43, 7, 1, 1, 93, 14, 0, 10, 0, 4, 269, 1, 0, 0, 187, 27, 42, 7, 1, 1, 39, 162, 32, 18, 31, 1, 2.0, 18.0, 25.0, 0, 2, 29, 22, 7, 0, 3, 0, 13, 11, 5, 0, 0.0, 12, 4, 0, 0, 0, 13, 13, 6.25, 56.25, 78.13, 56.296875, 44.796875, 44.796875, 0, 6.8994140625, 90.59375, 0.0, 44.796875, 37.8984375, 17.19921875, 0.0, 0.0, 75.890625, 41.3984375, 24.09765625, 13.798828125, 0.0, 0.0, 113.0, 11.0, 0.0, 0.0, 16.0, "Tous les candidats sauf les Bac technologiques", 170.0, "Bacheliers technologiques toutes séries", 40, "", 0, "Liste d'appel propre à cette formation", 64.0, "11695", "BUT - Génie biologique parcours sciences de l'environnement et écotechnologies (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11695&g_ta_cod=11695", 75.0, 25.0, 0.0),
(11728, "Public", "0061841U", "I.U.T de Nice - Antenne de Cannes", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BUT", "I.U.T de Nice - Antenne de Cannes - BUT - Information communication Parcours journalisme", "BUT - Service", "", 26, 2209, 1268, 2209, 0, 1520, 210, 151, 35, 16, 8, 522, 0, 0, 0, 0, 0, 372, 0, 0, 0, 293, 30, 15, 5, 1, 0, 63, 72, 26, 10, 26, 0, 11.0, 24.0, 25.0, 0, 4, 22, 21, 1, 0, 4, 0, 0, 5, 11, 6, 0.0, 21, 1, 0, 0, 0, 0, 0, 42.31, 92.31, 96.15, 38.5, 0.0, 0.0, 0, 18.19921875, 84.59375, 0.0, 0.0, 22.69921875, 50.0, 27.3, 0.0, 95.5, 95.5, 4.5, 4.5, 0.0, 0.0, 55.0, 7.0, 0.0, 0.0, 12.0, "Tous les candidats sauf les Bac technologiques", 76.0, "Bacheliers technologiques toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 4.0, "2325", "BUT - Information communication Parcours journalisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2325&g_ta_cod=2325", 88.0, 12.0, 0.0),
(11729, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "PASS", "Université Clermont Auvergne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 80, 1941, 1426, 1941, 0, 1527, 262, 34, 10, 6, 2, 374, 0, 0, 0, 0, 0, 1941, 0, 0, 0, 1527, 262, 34, 10, 6, 2, 374, 516, 77, 63, 77, 0, 4.0, 62.0, 70.0, 0, 11, 71, 69, 2, 0, 6, 0, 13, 31, 18, 7, 2.0, 56, 2, 0, 0, 0, 55, 55, 5.19, 80.52, 90.91, 81.796875, 77.5, 77.5, 0, 15.5, 92.1875, 0.0, 18.296875, 43.6953125, 25.3984375, 9.9, 2.8, 97.1875, 78.890625, 2.7998046875, 2.7998046875, 0.0, 0.0, 462.0, 79.0, 2.0, 0.0, 47.0, "Tous les candidats", 1931.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "26633", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26629&g_ta_cod=26633", 96.0, 4.0, 0.0),
(11730, "Public", "0680008P", "Lycée Camille See", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BTS", "Lycée Camille See - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 31, 490, 81, 490, 0, 71, 13, 148, 49, 104, 41, 167, 0, 0, 0, 0, 0, 273, 0, 0, 0, 65, 11, 91, 29, 62, 27, 55, 142, 32, 3, 32, 0, 5.0, 23.0, 28.0, 0, 6, 22, 7, 8, 7, 10, 0, 5, 12, 5, 0, 0.0, 5, 6, 6, 1, 0, 22, 22, 15.63, 71.88, 87.5, 9.3984375, 100.0, 100.0, 4.5, 27.296875, 68.796875, 0.0, 22.69921875, 54.5, 22.69921875, 0.0, 0.0, 31.796875, 22.69921875, 36.3984375, 27.296875, 31.796875, 27.296875, 39.0, 9.0, 29.0, 9.0, 25.0, "Tous les candidats sauf les Bac professionnels", 167.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 40.0, "8086", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8086&g_ta_cod=8086", 28.0, 50.0, 22.0),
(11731, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Allemand Etudes germaniques", "Licence - Arts-lettres-langues", "Anglais - Mineure Allemand Etudes germaniques", 8, 105, 79, 105, 0, 63, 13, 8, 3, 4, 3, 30, 0, 0, 0, 0, 0, 101, 0, 0, 0, 63, 13, 8, 3, 4, 3, 26, 29, 8, 7, 8, 0, 0.0, 8.0, 8.0, 0, 4, 8, 6, 2, 0, 0, 0, 2, 4, 2, 0, 0.0, 5, 1, 0, 0, 0, 0, 6, 0.0, 100.0, 100.0, 87.5, 0.0, 75.0, 0, 50.0, 100.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 75.0, 62.5, 25.0, 12.5, 0.0, 0.0, 22.0, 5.0, 1.0, 0.0, 3.0, "Tous les candidats", 52.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "23995", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - Mineure Allemand Etudes germaniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23995&g_ta_cod=23995", 75.0, 25.0, 0.0),
(11732, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université de Montpellier - Licence - Mathématiques - Parcours Licence - Portail Mathématiques et ses applications", "Licence - Sciences - technologies - santé", "Licence - Portail Mathématiques et ses applications", 80, 1147, 389, 1133, 0, 832, 133, 16, 7, 1, 1, 284, 14, 3, 0, 0, 11, 1133, 10, 0, 0, 832, 133, 16, 7, 1, 1, 284, 751, 78, 23, 72, 5, 8.0, 44.0, 67.0, 0, 9, 51, 48, 3, 0, 27, 0, 13, 19, 15, 4, 0.0, 36, 2, 0, 0, 0, 44, 44, 10.26, 56.41, 85.9, 29.5, 86.296875, 86.296875, 0, 17.59765625, 65.390625, 0.0, 25.5, 37.296875, 29.3984375, 7.8, 0.0, 94.09375, 70.59375, 5.8994140625, 3.89990234375, 0.0, 0.0, 561.0, 96.0, 1.0, 1.0, 183.0, "Tous les candidats", 900.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "31670", "Licence - Mathématiques - Parcours Licence - Portail Mathématiques et ses applications", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31670&g_ta_cod=31670", 95.0, 5.0, 0.0),
(11733, "Public", "9730196A", "Lycée Leon-Gontran Damas", "973", "Guyane", "Guyane", "Guyane", "Remire-Montjoly", "formation sélective", "BTS", "Lycée Leon-Gontran Damas - BTS - Production - Travaux publics", "BTS - Production", "", 15, 165, 35, 152, 0, 11, 3, 34, 17, 80, 47, 27, 13, 0, 0, 10, 3, 90, 0, 0, 0, 9, 3, 30, 14, 48, 27, 3, 48, 13, 1, 13, 0, 2.0, 12.0, 13.0, 0, 6, 13, 2, 6, 5, 0, 0, 5, 7, 1, 0, 0.0, 0, 5, 3, 3, 0, 12, 12, 15.38, 92.31, 100.0, 7.69921875, 92.296875, 92.296875, 23.09765625, 46.1953125, 100.0, 0.0, 38.5, 53.796875, 7.69921875, 0.0, 0.0, 15.3984375, 0.0, 46.1953125, 38.5, 38.5, 23.09765625, 6.0, 2.0, 25.0, 13.0, 2.0, "Tous les candidats sauf les Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 45, "", 0, "Liste d'appel propre à cette formation", 45.0, "11861", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11861&g_ta_cod=11861", 15.0, 46.0, 38.0),
(11734, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "PASS", "Université de Brest - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 90, 2360, 1780, 2360, 0, 1696, 246, 84, 20, 25, 14, 555, 0, 0, 0, 0, 0, 2361, 0, 0, 0, 1697, 247, 84, 20, 25, 14, 555, 558, 89, 79, 89, 0, 3.0, 83.0, 88.0, 0, 15, 88, 87, 1, 0, 1, 0, 1, 19, 53, 15, 0.0, 86, 1, 0, 0, 0, 84, 84, 3.37, 93.26, 98.88, 88.796875, 95.5, 95.5, 0, 17.0, 98.890625, 0.0, 1.099853515625, 21.59765625, 60.1953125, 17.0, 0.0, 98.890625, 97.6875, 1.099853515625, 1.099853515625, 0.0, 0.0, 537.0, 71.0, 0.0, 0.0, 19.0, "Tous les candidats", 1658.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "27584", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27585&g_ta_cod=27584", 99.0, 1.0, 0.0),
(11735, "Public", "0940580V", "Lycée polyvalent de Cachan", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "Autre formation", "Lycée polyvalent de Cachan - Diplôme de Comptabilité et de Gestion", "DCG", "", 42, 1388, 637, 1333, 0, 487, 167, 351, 160, 36, 16, 459, 55, 2, 17, 3, 33, 573, 11, 0, 0, 312, 104, 168, 78, 0, 0, 93, 371, 42, 15, 35, 5, 17.0, 25.0, 31.0, 0, 11, 31, 12, 19, 0, 11, 0, 8, 16, 6, 1, 0.0, 9, 14, 0, 0, 0, 13, 30, 40.48, 59.52, 73.81, 35.6953125, 41.8984375, 96.796875, 0, 35.5, 73.796875, 0.0, 25.796875, 51.59375, 19.3984375, 3.2, 0.0, 38.6953125, 29.0, 61.296875, 45.1953125, 0.0, 0.0, 191.0, 61.0, 0.0, 0.0, 67.0, "Tous les candidats", 478.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "11434", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11434&g_ta_cod=11434", 45.0, 55.0, 0.0),
(11736, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Sciences de l'Homme, Anthropologie, Ethnologie", "Licence - Sciences humaines et sociales", "", 90, 684, 491, 676, 0, 397, 77, 19, 5, 10, 5, 250, 8, 0, 1, 0, 7, 676, 4, 0, 0, 397, 77, 19, 5, 10, 5, 250, 446, 86, 65, 82, 3, 6.0, 72.0, 74.0, 0, 14, 48, 46, 1, 1, 38, 0, 15, 17, 11, 4, 1.0, 32, 1, 0, 0, 0, 11, 24, 6.98, 83.72, 86.05, 75.59375, 22.8984375, 50.0, 0, 29.19921875, 55.796875, 0.0, 31.296875, 35.3984375, 22.8984375, 8.3, 2.1, 95.796875, 66.6875, 2.099609375, 2.099609375, 2.099609375, 0.0, 278.0, 51.0, 5.0, 2.0, 151.0, "Tous les candidats", 555.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "15150", "Licence - Sciences de l'Homme, Anthropologie, Ethnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15150&g_ta_cod=15150", 86.0, 12.0, 2.0),
(11737, "Public", "0596183A", "I.U.T. de Valenciennes - Site de Maubeuge", "59", "Nord", "Hauts-de-France", "Lille", "Maubeuge", "formation sélective", "BUT", "I.U.T. de Valenciennes - Site de Maubeuge - BUT - Mesures physiques Parcours : Matériaux contrôles physico-chimiques", "BUT - Production", "Matériaux contrôles physico-chimiques", 39, 202, 45, 181, 0, 110, 18, 36, 13, 2, 2, 33, 21, 2, 4, 0, 15, 165, 10, 0, 0, 105, 15, 30, 11, 0, 0, 30, 171, 25, 5, 20, 5, 14.0, 19.0, 23.0, 0, 8, 15, 9, 6, 0, 10, 0, 6, 6, 2, 1, 0.0, 7, 2, 0, 0, 0, 15, 15, 56.0, 76.0, 92.0, 20.0, 100.0, 100.0, 0, 53.296875, 60.0, 0.0, 40.0, 40.0, 13.298828125, 6.7, 0.0, 60.0, 46.6953125, 40.0, 13.298828125, 0.0, 0.0, 103.0, 16.0, 0.0, 0.0, 37.0, "Tous les candidats sauf les Bac technologiques", 134.0, "Bacheliers technologiques toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 91.0, "7193", "BUT - Mesures physiques Parcours : Matériaux contrôles physico-chimiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7193&g_ta_cod=7193", 68.0, 32.0, 0.0),
(11738, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 162, 1397, 654, 1393, 0, 863, 176, 153, 54, 17, 9, 360, 4, 0, 0, 0, 4, 1384, 4, 0, 0, 863, 176, 153, 54, 17, 9, 351, 839, 162, 58, 158, 4, 5.0, 121.0, 140.0, 0, 37, 100, 83, 16, 1, 62, 1, 45, 35, 18, 1, 0.0, 46, 8, 0, 0, 0, 68, 68, 3.09, 74.69, 86.42, 35.796875, 68.0, 68.0, 0, 37.0, 61.6953125, 1.0, 45.0, 35.0, 18.0, 1.0, 0.0, 83.0, 46.0, 16.0, 8.0, 1.0, 0.0, 586.0, 127.0, 7.0, 5.0, 194.0, "Tous les candidats", 1133.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "15117", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27254&g_ta_cod=15117", 82.0, 14.0, 4.0),
(11739, "Privé sous contrat d'association", "0640130U", "Lycée Immaculée Conception Beau-Frêne", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "BTS", "Lycée Immaculée Conception Beau-Frêne - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 18, 128, 11, 126, 0, 5, 0, 22, 5, 45, 9, 54, 2, 0, 2, 0, 0, 74, 0, 0, 0, 4, 0, 20, 5, 35, 7, 15, 53, 11, 0, 11, 0, 5.0, 11.0, 11.0, 0, 2, 10, 0, 1, 9, 1, 0, 2, 3, 5, 0, 0.0, 0, 1, 7, 0, 0, 8, 8, 45.45, 100.0, 100.0, 0.0, 80.0, 80.0, 0, 20.0, 90.890625, 0.0, 20.0, 30.0, 50.0, 0.0, 0.0, 0.0, 0.0, 10.0, 10.0, 90.0, 70.0, 4.0, 0.0, 21.0, 4.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 53.0, "7720", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7720&g_ta_cod=7720", 0.0, 18.0, 82.0),
(11740, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Portail Option Journalisme parcours : Géo., Histoire, Histoire de l'art, Philosophie, Socio-ethno et politiques sociales, études culturelles (Académie ESJ)", "Licence - Sciences humaines et sociales", "Option Journalisme parcours : Géo., Histoire, Histoire de l'art, Philosophie, Socio-ethno et politiques sociales, études culturelles (Académie ESJ)", 50, 1882, 1192, 1882, 0, 1495, 186, 20, 7, 10, 8, 357, 0, 0, 0, 0, 0, 672, 0, 0, 0, 561, 48, 2, 0, 4, 4, 105, 245, 60, 37, 60, 0, 26.0, 48.0, 48.0, 0, 9, 55, 52, 1, 2, 5, 1, 0, 1, 15, 34, 4.0, 51, 1, 2, 0, 0, 12, 12, 43.33, 80.0, 80.0, 61.6953125, 21.796875, 21.796875, 0, 16.3984375, 91.6875, 1.7998046875, 0.0, 1.7998046875, 27.296875, 61.8, 7.3, 94.5, 92.6875, 1.7998046875, 1.7998046875, 3.599609375, 3.599609375, 209.0, 25.0, 2.0, 2.0, 33.0, "Tous les candidats", 241.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "29032", "Licence - Portail Option Journalisme parcours : Géo., Histoire, Histoire de l'art, Philosophie, Socio-ethno et politiques sociales, études culturelles (Académie ESJ)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29032&g_ta_cod=29032", 95.0, 2.0, 3.0),
(11741, "Public", "0950646L", "Lycée René Cassin", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Gonesse", "formation sélective", "BTS", "Lycée René Cassin - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 34, 623, 269, 623, 0, 29, 11, 195, 92, 207, 115, 192, 0, 0, 0, 0, 0, 261, 0, 0, 0, 17, 6, 123, 58, 106, 69, 15, 115, 33, 8, 33, 0, 7.0, 25.0, 30.0, 0, 14, 33, 3, 15, 15, 0, 0, 12, 14, 7, 0, 0.0, 1, 9, 11, 7, 1, 29, 33, 21.21, 75.76, 90.91, 24.19921875, 87.890625, 100.0, 21.19921875, 42.3984375, 100.0, 0.0, 36.3984375, 42.3984375, 21.19921875, 0.0, 0.0, 9.099609375, 3.0, 45.5, 27.296875, 45.5, 33.296875, 10.0, 3.0, 38.0, 21.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 25.0, "11571", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11571&g_ta_cod=11571", 9.0, 45.0, 45.0),
(11742, "Public", "0572590F", "Lycée des Métiers Gustave Eiffel", "57", "Moselle", "Grand Est", "Nancy-Metz", "Talange", "formation sélective", "BTS", "Lycée des Métiers Gustave Eiffel - BTS - Production - Moteur à combustion interne", "BTS - Production", "", 10, 172, 5, 172, 0, 47, 6, 37, 7, 59, 16, 29, 0, 0, 0, 0, 0, 156, 0, 0, 0, 47, 6, 33, 5, 59, 16, 17, 70, 9, 0, 9, 0, 0.0, 7.0, 8.0, 0, 1, 7, 3, 2, 2, 2, 0, 3, 2, 1, 1, 0.0, 1, 2, 1, 1, 0, 3, 3, 0.0, 77.78, 88.89, 0.0, 42.8984375, 42.8984375, 14.298828125, 14.298828125, 77.796875, 0.0, 42.8984375, 28.59765625, 14.298828125, 14.3, 0.0, 42.8984375, 14.298828125, 28.59765625, 28.59765625, 28.59765625, 14.298828125, 29.0, 4.0, 18.0, 5.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 55.0, "6634", "BTS - Production - Moteur à combustion interne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6634&g_ta_cod=6634", 56.0, 22.0, 22.0),
(11743, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Philosophie", "Licence - Sciences humaines et sociales", "", 70, 287, 174, 184, 0, 115, 35, 8, 6, 6, 2, 55, 103, 15, 6, 2, 80, 184, 96, 0, 0, 115, 35, 8, 6, 6, 2, 55, 268, 44, 23, 20, 24, 6.0, 20.0, 29.0, 0, 6, 17, 13, 2, 2, 27, 0, 9, 6, 2, 0, 0.0, 6, 1, 1, 0, 0, 11, 11, 13.64, 45.45, 65.91, 52.296875, 64.6875, 64.6875, 0, 35.296875, 38.59375, 0.0, 52.8984375, 35.296875, 11.798828125, 0.0, 0.0, 76.5, 35.296875, 11.798828125, 5.8994140625, 11.798828125, 5.8994140625, 125.0, 40.0, 7.0, 2.0, 122.0, "Tous les candidats", 184.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6136", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6136&g_ta_cod=6136", 70.0, 18.0, 9.0),
(11744, "Public", "0251763F", "I.U.T de Belfort-Montbéliard - Site de Montbéliard", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "BUT", "I.U.T de Belfort-Montbéliard - Site de Montbéliard - BUT - Mesures physiques Parcours : Techniques d?instrumentation -  Matériaux et contrôles physico-chimiques", "BUT - Production", "Techniques d?instrumentation -  Matériaux et contrôles physico-chimiques", 48, 464, 117, 422, 0, 294, 31, 51, 14, 0, 0, 77, 42, 8, 0, 0, 34, 373, 31, 0, 0, 273, 28, 45, 12, 0, 0, 55, 362, 32, 6, 22, 10, 11.0, 21.0, 30.0, 0, 6, 19, 17, 2, 0, 13, 0, 8, 8, 2, 1, 0.0, 11, 0, 0, 0, 0, 13, 13, 34.38, 65.63, 93.75, 18.796875, 68.390625, 68.390625, 0, 31.59765625, 59.3984375, 0.0, 42.09375, 42.09375, 10.5, 5.3, 0.0, 89.5, 57.8984375, 10.5, 0.0, 0.0, 0.0, 248.0, 28.0, 0.0, 0.0, 80.0, "Tous les candidats sauf les Bac technologiques", 323.0, "Bacheliers technologiques toutes séries", 49, "", 0, "Liste d'appel propre à cette formation", 88.0, "3584", "BUT - Mesures physiques Parcours : Techniques d?instrumentation -  Matériaux et contrôles physico-chimiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3584&g_ta_cod=3584", 84.0, 16.0, 0.0),
(11745, "Public", "0670085D", "Lycée Louis Couffignal", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée Louis Couffignal - CPGE - PTSI", "Classe préparatoire scientifique", "", 70, 561, 114, 554, 351, 404, 47, 2, 0, 0, 0, 148, 7, 2, 0, 0, 5, 474, 5, 351, 354, 379, 40, 2, 0, 0, 0, 93, 313, 71, 9, 71, 0, 30.0, 66.0, 71.0, 40, 6, 66, 66, 0, 0, 5, 0, 0, 23, 33, 10, 0.0, 66, 0, 0, 11, 0, 54, 54, 42.25, 92.96, 100.0, 12.69921875, 81.796875, 81.796875, 16.69921875, 9.099609375, 93.0, 0.0, 0.0, 34.796875, 50.0, 15.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 280.0, 27.0, 0.0, 0.0, 33.0, "Tous les candidats", 366.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "7934", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7934&g_ta_cod=7934", 100.0, 0.0, 0.0),
(11746, "Privé sous contrat d'association", "0511147V", "Lycée Fredéric OZANAM", "51", "Marne", "Grand Est", "Reims", "Châlons-en-Champagne", "formation sélective", "BTS", "Lycée Fredéric OZANAM - BTS - Services - Commerce International", "BTS - Services", "", 30, 318, 150, 250, 0, 57, 12, 55, 19, 23, 12, 115, 68, 11, 13, 8, 36, 131, 6, 0, 0, 53, 11, 43, 14, 13, 6, 22, 113, 25, 14, 23, 2, 5.0, 23.0, 24.0, 0, 4, 21, 12, 8, 1, 4, 0, 10, 8, 2, 1, 0.0, 6, 4, 1, 4, 2, 19, 19, 20.0, 92.0, 96.0, 56.0, 90.5, 90.5, 19, 19.0, 84.0, 0.0, 47.59375, 38.09375, 9.5, 4.8, 0.0, 57.09375, 28.59765625, 38.09375, 19.0, 4.7998046875, 4.7998046875, 50.0, 8.0, 8.0, 3.0, 22.0, "Tous les candidats sauf les Bac professionnels", 116.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 52.0, "6110", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6110&g_ta_cod=6110", 52.0, 40.0, 8.0),
(11747, "Privé enseignement supérieur", "0671555B", "Ecole supérieure européenne de l'intervention sociale", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "EFTS", "Ecole supérieure européenne de l'intervention sociale - D.E Educateur Spécialisé", "D.E secteur social", "", 37, 255, 220, 255, 0, 50, 7, 38, 7, 35, 14, 132, 0, 0, 0, 0, 0, 152, 0, 0, 0, 31, 2, 21, 1, 18, 6, 82, 70, 36, 31, 36, 0, 17.0, 29.0, 33.0, 0, 5, 21, 8, 6, 7, 15, 0, 1, 10, 8, 1, 1.0, 8, 6, 6, 0, 0, 20, 20, 47.22, 80.56, 91.67, 86.09375, 95.1875, 95.1875, 0, 23.796875, 58.296875, 0.0, 4.7998046875, 47.59375, 38.09375, 4.8, 4.8, 38.09375, 38.09375, 28.59765625, 28.59765625, 33.296875, 28.59765625, 16.0, 1.0, 11.0, 4.0, 32.0, "Tous les candidats", 74.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "24986", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24986&g_ta_cod=24986", 50.0, 28.0, 22.0),
(11748, "Public", "0931430Z", "Lycée Jacques Brel", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "La Courneuve", "formation sélective", "BTS", "Lycée Jacques Brel - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 712, 327, 579, 0, 44, 23, 145, 90, 218, 140, 172, 133, 32, 0, 0, 101, 393, 2, 0, 0, 20, 14, 69, 44, 218, 140, 86, 125, 35, 19, 33, 2, 10.0, 25.0, 30.0, 0, 11, 20, 3, 6, 11, 15, 0, 7, 10, 2, 1, 0.0, 1, 3, 9, 1, 0, 18, 20, 28.57, 71.43, 85.71, 54.296875, 90.0, 100.0, 5, 55.0, 57.09375, 0.0, 35.0, 50.0, 10.0, 5.0, 0.0, 15.0, 5.0, 30.0, 15.0, 55.0, 45.0, 14.0, 11.0, 48.0, 35.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 90, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 32.0, "11270", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11270&g_ta_cod=11270", 26.0, 37.0, 37.0),
(11749, "Privé sous contrat d'association", "0932019P", "ESIEE Paris", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Noisy-le-Grand", "formation sélective", "Licence_Las", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 40, 1358, 507, 1249, 0, 1243, 183, 0, 0, 0, 0, 6, 109, 105, 0, 0, 4, 875, 22, 0, 0, 875, 105, 0, 0, 0, 0, 0, 643, 30, 13, 16, 14, 3.0, 16.0, 30.0, 0, 3, 30, 30, 0, 0, 0, 0, 5, 15, 8, 2, 0.0, 25, 0, 0, 0, 0, 15, 23, 10.0, 53.33, 100.0, 43.296875, 50.0, 76.6875, 0, 10.0, 100.0, 0.0, 16.69921875, 50.0, 26.69921875, 6.7, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 643.0, 85.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "30960", "Formation d'ingénieur Bac + 5 - Bacs généraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=30960", 100.0, 0.0, 0.0),
(11750, "Public", "0592602H", "I.U.T. de Lille A", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "BUT", "I.U.T. de Lille A - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", 173, 3933, 1800, 3914, 0, 1865, 367, 1200, 471, 63, 28, 786, 19, 0, 5, 0, 14, 2588, 2, 0, 0, 1643, 292, 607, 208, 14, 5, 324, 787, 160, 70, 159, 1, 14.0, 120.0, 150.0, 0, 58, 146, 73, 73, 0, 14, 0, 15, 76, 49, 6, 0.0, 66, 65, 0, 0, 0, 101, 101, 8.75, 75.0, 93.75, 43.796875, 69.1875, 69.1875, 0, 39.6953125, 91.296875, 0.0, 10.298828125, 52.09375, 33.59375, 4.1, 0.0, 50.0, 45.1953125, 50.0, 44.5, 0.0, 0.0, 409.0, 120.0, 1.0, 1.0, 67.0, "Tous les candidats sauf les Bac technologiques", 1031.0, "Bacheliers technologiques toutes séries", 611, "", 0, "Liste d'appel propre à cette formation", 42.0, "6894", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6894&g_ta_cod=6894", 52.0, 48.0, 0.0),
(11751, "Public", "0130050J", "Lycée Denis Diderot", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Denis Diderot - DN MADE - Graphisme - Spécialité 2 : Graphisme, Supports & Espaces de Médiation", "DN MADE", "Spécialité 2 : Graphisme, Supports & Espaces de Médiation", 14, 487, 316, 487, 0, 205, 44, 87, 15, 43, 19, 152, 0, 0, 0, 0, 0, 150, 0, 0, 0, 78, 6, 39, 9, 5, 1, 28, 56, 15, 14, 15, 0, 1.0, 13.0, 14.0, 0, 4, 12, 6, 6, 0, 3, 0, 4, 3, 5, 0, 0.0, 4, 4, 0, 0, 0, 9, 9, 6.67, 86.67, 93.33, 93.296875, 75.0, 75.0, 0, 33.296875, 80.0, 0.0, 33.296875, 25.0, 41.6953125, 0.0, 0.0, 50.0, 33.296875, 50.0, 33.296875, 0.0, 0.0, 18.0, 3.0, 2.0, 1.0, 5.0, "Tous les candidats", 88.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "24098", "DN MADE - Graphisme - Spécialité 2 : Graphisme, Supports & Espaces de Médiation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24098&g_ta_cod=24098", 53.0, 40.0, 0.0),
(11752, "Privé sous contrat d'association", "0160079Z", "Lycée Sainte Marthe Chavagnes", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BTS", "Lycée Sainte Marthe Chavagnes - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 197, 101, 150, 0, 14, 5, 37, 5, 52, 19, 47, 47, 4, 9, 13, 21, 88, 17, 0, 0, 14, 5, 25, 3, 43, 16, 6, 89, 18, 8, 7, 11, 4.0, 6.0, 11.0, 0, 4, 12, 4, 2, 6, 6, 0, 7, 5, 0, 0, 0.0, 1, 0, 4, 4, 1, 10, 10, 22.22, 33.33, 61.11, 44.3984375, 83.296875, 83.296875, 33.296875, 33.296875, 66.6875, 0.0, 58.296875, 41.6953125, 0.0, 0.0, 0.0, 33.296875, 8.298828125, 16.69921875, 0.0, 50.0, 33.296875, 13.0, 4.0, 39.0, 15.0, 14.0, "Tous les candidats sauf les Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 58.0, "2994", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2994&g_ta_cod=2994", 39.0, 28.0, 33.0),
(11753, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence", "Université de Perpignan Via Domitia - Licence - Histoire de l'art et archéologie", "Licence - Sciences humaines et sociales", "", 62, 481, 341, 351, 0, 204, 71, 38, 14, 26, 17, 83, 130, 23, 9, 5, 93, 351, 126, 0, 0, 204, 71, 38, 14, 26, 17, 83, 366, 55, 31, 27, 28, 8.0, 27.0, 43.0, 0, 13, 25, 15, 6, 4, 30, 0, 11, 10, 4, 0, 0.0, 8, 4, 2, 0, 0, 17, 17, 14.55, 49.09, 78.18, 56.3984375, 68.0, 68.0, 0, 52.0, 45.5, 0.0, 44.0, 40.0, 16.0, 0.0, 0.0, 60.0, 32.0, 24.0, 16.0, 16.0, 8.0, 167.0, 55.0, 22.0, 13.0, 137.0, "Tous les candidats", 347.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "15255", "Licence - Histoire de l'art et archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15255&g_ta_cod=15255", 51.0, 25.0, 20.0),
(11754, "Public", "0801265R", "IUT d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BUT", "IUT d'Amiens - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable - fiscale et financière Gestion et pilotage des ressources humaines Gestion  - entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable - fiscale et financière Gestion et pilotage des ressources humaines Gestion  - entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", 222, 2261, 1097, 2261, 0, 937, 175, 781, 238, 42, 19, 501, 0, 0, 0, 0, 0, 1528, 0, 0, 0, 782, 128, 489, 145, 3, 2, 254, 871, 217, 89, 216, 0, 51.0, 193.0, 213.0, 0, 52, 191, 91, 100, 0, 26, 1, 74, 91, 19, 6, 0.0, 69, 47, 0, 0, 0, 149, 149, 23.5, 88.94, 98.16, 41.0, 78.0, 78.0, 0, 27.19921875, 88.0, 0.5, 38.6953125, 47.59375, 9.8984375, 3.1, 0.0, 47.59375, 36.09375, 52.3984375, 24.59765625, 0.0, 0.0, 402.0, 98.0, 0.0, 0.0, 137.0, "Tous les candidats sauf les Bac technologiques", 811.0, "Bacheliers technologiques toutes séries", 453, "", 0, "Liste d'appel propre à cette formation", 56.0, "10178", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable - fiscale et financière Gestion et pilotage des ressources humaines Gestion  - entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10178&g_ta_cod=10178", 51.0, 49.0, 0.0),
(11755, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Musicologie", "Licence - Arts-lettres-langues", "", 60, 341, 160, 301, 0, 186, 33, 27, 5, 7, 4, 81, 40, 4, 2, 0, 34, 294, 38, 0, 0, 186, 33, 27, 5, 7, 4, 74, 247, 48, 19, 40, 8, 14.0, 40.0, 45.0, 0, 5, 33, 30, 2, 1, 15, 0, 16, 8, 8, 1, 0.0, 16, 1, 0, 0, 0, 21, 21, 29.17, 83.33, 93.75, 39.59375, 63.59375, 63.59375, 0, 15.19921875, 68.796875, 0.0, 48.5, 24.19921875, 24.19921875, 3.0, 0.0, 90.890625, 48.5, 6.099609375, 3.0, 3.0, 0.0, 145.0, 22.0, 5.0, 3.0, 80.0, "Tous les candidats", 294.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "5343", "Licence - Musicologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5343&g_ta_cod=5343", 77.0, 10.0, 6.0),
(11756, "Public", "0620109G", "Lycée Auguste Behal", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "BTS", "Lycée Auguste Behal - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 789, 708, 789, 0, 59, 19, 273, 144, 201, 112, 256, 0, 0, 0, 0, 0, 714, 0, 0, 0, 57, 18, 263, 137, 201, 112, 193, 117, 31, 28, 31, 0, 8.0, 24.0, 28.0, 0, 13, 22, 2, 6, 14, 9, 0, 5, 9, 7, 1, 0.0, 1, 3, 13, 3, 2, 22, 22, 25.81, 77.42, 90.32, 90.296875, 100.0, 100.0, 13.599609375, 59.09375, 71.0, 0.0, 22.69921875, 40.8984375, 31.796875, 4.5, 0.0, 9.099609375, 4.5, 27.296875, 13.599609375, 63.59375, 59.09375, 7.0, 1.0, 34.0, 18.0, 28.0, "Tous les candidats sauf les Bac professionnels", 132.0, "Bacheliers professionnels toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 24.0, "17660", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17660&g_ta_cod=17660", 6.0, 42.0, 52.0),
(11757, "Public", "0341736C", "Lycée Jean Monnet", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Jean Monnet - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 53, 2548, 1374, 2548, 0, 184, 67, 1104, 524, 652, 355, 608, 0, 0, 0, 0, 0, 1309, 0, 0, 0, 184, 67, 709, 322, 239, 139, 177, 253, 49, 25, 49, 0, 5.0, 30.0, 44.0, 0, 29, 47, 2, 27, 18, 2, 0, 10, 21, 15, 1, 0.0, 1, 20, 16, 4, 3, 44, 44, 10.2, 61.22, 89.8, 51.0, 93.59375, 93.59375, 8.5, 61.6953125, 95.890625, 0.0, 21.296875, 44.6953125, 31.8984375, 2.1, 0.0, 4.2998046875, 2.099609375, 57.3984375, 42.59375, 38.296875, 34.0, 4.0, 3.0, 89.0, 45.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 126, "Bacheliers technologiques toutes séries", 242, "Liste d'appel propre à cette formation", 15.0, "4599", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4599&g_ta_cod=4599", 6.0, 55.0, 39.0),
(11758, "Privé sous contrat d'association", "0141178E", "Lycée Sainte Ursule", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Sainte Ursule - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 896, 451, 896, 0, 135, 24, 363, 77, 219, 65, 179, 0, 0, 0, 0, 0, 875, 0, 0, 0, 133, 24, 359, 76, 219, 65, 164, 186, 29, 11, 29, 0, 5.0, 17.0, 22.0, 0, 2, 26, 4, 12, 10, 3, 0, 11, 8, 4, 3, 0.0, 1, 4, 10, 1, 1, 26, 26, 17.24, 58.62, 75.86, 37.8984375, 100.0, 100.0, 3.7998046875, 7.69921875, 89.6875, 0.0, 42.296875, 30.796875, 15.3984375, 11.5, 0.0, 15.3984375, 3.7998046875, 46.1953125, 15.3984375, 38.5, 38.5, 23.0, 5.0, 39.0, 9.0, 41.0, "Tous les candidats sauf les Bac professionnels", 169.0, "Bacheliers professionnels toutes séries", 53, "", 0, "Liste d'appel propre à cette formation", 25.0, "2846", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2846&g_ta_cod=2846", 21.0, 45.0, 34.0),
(11759, "Public", "0561739L", "Université de Bretagne Sud - Site de Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation non sélective", "Licence", "Université de Bretagne Sud - Site de Vannes - Licence - Informatique", "Licence - Sciences - technologies - santé", "", 72, 614, 75, 569, 0, 408, 70, 55, 10, 3, 1, 103, 45, 11, 2, 1, 31, 551, 19, 0, 0, 408, 70, 55, 10, 3, 1, 85, 381, 63, 2, 56, 7, 3.0, 51.0, 56.0, 0, 8, 51, 45, 6, 0, 12, 0, 26, 24, 1, 0, 0.0, 23, 2, 0, 0, 0, 44, 44, 4.76, 80.95, 88.89, 3.19970703125, 86.296875, 86.296875, 0, 15.69921875, 81.0, 0.0, 51.0, 47.09375, 2.0, 0.0, 0.0, 88.1875, 45.09375, 11.798828125, 3.89990234375, 0.0, 0.0, 299.0, 49.0, 2.0, 1.0, 59.0, "Tous les candidats", 548.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "26380", "Licence - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26380&g_ta_cod=26380", 87.0, 13.0, 0.0),
(11760, "Public", "0891200W", "Lycée Catherine et Raymond JANOT", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Sens", "formation sélective", "Autre formation", "Lycée Catherine et Raymond JANOT - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 29, 8, 2, 0, 0, 0.0, 0.0, 0.0, 0, 4, 8, 0, 1, 7, 0, 1, 6, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 8, 8, 0.0, 0.0, 0.0, 25.0, 100.0, 100.0, 0, 50.0, 100.0, 12.5, 75.0, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 12.5, 0.0, 87.5, 12.5, 0.0, 0.0, 28.0, 12.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22534", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 13.0, 88.0),
(11761, "Privé sous contrat d'association", "9710993C", "Lycée Bel Air", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "BTS", "Lycée Bel Air - BTS - Services - Gestion de la PME", "BTS - Services", "", 32, 160, 89, 141, 0, 24, 8, 41, 23, 28, 18, 48, 19, 0, 16, 0, 3, 136, 8, 0, 0, 24, 8, 41, 23, 28, 18, 43, 112, 12, 6, 10, 2, 3.0, 10.0, 11.0, 0, 4, 11, 2, 4, 5, 1, 0, 8, 2, 1, 0, 0.0, 1, 0, 2, 0, 0, 10, 10, 25.0, 83.33, 91.67, 50.0, 90.890625, 90.890625, 0, 36.3984375, 91.6875, 0.0, 72.6875, 18.19921875, 9.099609375, 0.0, 0.0, 18.19921875, 9.099609375, 36.3984375, 0.0, 45.5, 18.19921875, 23.0, 7.0, 21.0, 13.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 87.0, "16870", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16870&g_ta_cod=16870", 17.0, 42.0, 42.0),
(11762, "Public", "0290071V", "Lycée Yves Thepot", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "BTS", "Lycée Yves Thepot - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 256, 21, 250, 0, 10, 2, 30, 3, 111, 30, 99, 6, 0, 2, 1, 3, 229, 1, 0, 0, 10, 2, 30, 3, 111, 30, 78, 118, 22, 1, 21, 1, 6.0, 21.0, 21.0, 0, 8, 21, 1, 2, 18, 1, 0, 10, 6, 4, 1, 0.0, 0, 0, 11, 9, 0, 20, 20, 27.27, 95.45, 95.45, 4.5, 95.1875, 95.1875, 42.8984375, 38.09375, 95.5, 0.0, 47.59375, 28.59765625, 19.0, 4.8, 0.0, 4.7998046875, 0.0, 9.5, 0.0, 85.6875, 52.3984375, 4.0, 1.0, 80.0, 23.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 116, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 64.0, "3800", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3800&g_ta_cod=3800", 5.0, 9.0, 86.0),
(11763, "Privé sous contrat d'association", "0721684P", "Lycée Polyvalent Saint-Charles Sainte-Croix", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Saint-Charles Sainte-Croix - BTS - Services - Commerce International", "BTS - Services", "", 24, 363, 174, 363, 0, 108, 17, 101, 25, 40, 15, 114, 0, 0, 0, 0, 0, 300, 0, 0, 0, 107, 17, 86, 19, 33, 9, 74, 105, 26, 11, 26, 0, 4.0, 18.0, 23.0, 0, 5, 21, 9, 9, 3, 5, 0, 6, 14, 1, 0, 0.0, 5, 7, 3, 5, 1, 20, 20, 15.38, 69.23, 88.46, 42.296875, 95.1875, 95.1875, 23.796875, 23.796875, 80.796875, 0.0, 28.59765625, 66.6875, 4.7998046875, 0.0, 0.0, 42.8984375, 23.796875, 42.8984375, 33.296875, 14.298828125, 14.298828125, 36.0, 7.0, 12.0, 3.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 38.0, "8729", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8729&g_ta_cod=8729", 50.0, 38.0, 12.0),
(11764, "Public", "0512004B", "I.U.T. Reims-Châlons-Charleville - site de Châlons", "51", "Marne", "Grand Est", "Reims", "Châlons-en-Champagne", "formation sélective", "BUT", "I.U.T. Reims-Châlons-Charleville - site de Châlons - BUT - Génie industriel et maintenance", "BUT - Production", "", 26, 174, 9, 159, 0, 85, 10, 50, 8, 4, 3, 20, 15, 0, 3, 0, 12, 113, 5, 0, 0, 66, 9, 31, 5, 4, 3, 12, 85, 22, 1, 20, 2, 8.0, 18.0, 21.0, 0, 1, 17, 11, 4, 2, 5, 0, 6, 9, 2, 0, 0.0, 6, 3, 2, 0, 0, 12, 12, 36.36, 81.82, 95.45, 4.5, 70.59375, 70.59375, 0, 5.8994140625, 77.296875, 0.0, 35.296875, 52.8984375, 11.798828125, 0.0, 0.0, 64.6875, 35.296875, 23.5, 17.59765625, 11.798828125, 11.798828125, 42.0, 4.0, 3.0, 2.0, 14.0, "Tous les candidats sauf les Bac technologiques", 80.0, "Bacheliers technologiques toutes séries", 33, "", 0, "Liste d'appel propre à cette formation", 71.0, "6164", "BUT - Génie industriel et maintenance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6164&g_ta_cod=6164", 59.0, 32.0, 9.0),
(11765, "Privé sous contrat d'association", "0890070T", "Lycée SAINT-JOSEPH", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Auxerre", "formation sélective", "BTS", "Lycée SAINT-JOSEPH - BTS - Services - Commerce International", "BTS - Services", "", 30, 289, 129, 254, 0, 52, 6, 62, 22, 27, 14, 113, 35, 9, 2, 5, 19, 139, 7, 0, 0, 49, 5, 43, 19, 18, 7, 29, 118, 23, 13, 18, 5, 2.0, 18.0, 19.0, 0, 2, 14, 7, 3, 4, 9, 0, 9, 5, 0, 0, 0.0, 2, 1, 2, 3, 1, 11, 11, 8.7, 78.26, 82.61, 56.5, 78.59375, 78.59375, 21.3984375, 14.298828125, 60.8984375, 0.0, 64.296875, 35.6953125, 0.0, 0.0, 0.0, 50.0, 14.298828125, 21.3984375, 7.099609375, 28.59765625, 14.298828125, 45.0, 5.0, 16.0, 7.0, 27.0, "Tous les candidats sauf les Bac professionnels", 117.0, "Bacheliers professionnels toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 54.0, "10780", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10780&g_ta_cod=10780", 61.0, 22.0, 17.0),
(11766, "Public", "0580758J", "Université de Bourgogne - site de Nevers", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation non sélective", "PASS", "Université de Bourgogne - site de Dijon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 3, 921, 669, 921, 0, 665, 141, 20, 4, 6, 3, 230, 0, 0, 0, 0, 0, 916, 0, 0, 0, 666, 142, 20, 4, 6, 3, 224, 54, 3, 3, 3, 0, 0.0, 0.0, 3.0, 0, 1, 3, 3, 0, 0, 0, 0, 0, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 3, 3, 0.0, 0.0, 100.0, 100.0, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 47.0, 11.0, 1.0, 1.0, 5.0, "Tous les candidats", 1226.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "27950", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27662&g_ta_cod=27950", 100.0, 0.0, 0.0),
(11767, "Privé sous contrat d'association", "0021869W", "Lycée Saint Joseph", "02", "Aisne", "Hauts-de-France", "Amiens", "Château-Thierry", "formation sélective", "BTS", "Lycée Saint Joseph - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 30, 50, 23, 45, 0, 0, 0, 9, 3, 23, 6, 13, 5, 0, 0, 3, 2, 45, 3, 0, 0, 0, 0, 9, 3, 23, 6, 13, 47, 7, 2, 7, 0, 6.0, 7.0, 7.0, 0, 2, 4, 0, 2, 2, 3, 0, 2, 1, 1, 0, 0.0, 0, 1, 1, 1, 0, 2, 2, 85.71, 100.0, 100.0, 28.59765625, 50.0, 50.0, 25, 50.0, 57.09375, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 25.0, 0.0, 0.0, 25.0, 6.0, 13.0, "Tous les candidats sauf les Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 100.0, "2085", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2085&g_ta_cod=2085", 29.0, 43.0, 29.0),
(11768, "Public", "0630095L", "CPI Clermont-Ferrand (Sigma Clermont)", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aubière", "formation sélective", "Ecole d'Ingénieur", "Concours CPI Chimie Gay-Lussac - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 50, 1321, 847, 1321, 0, 1157, 88, 0, 0, 0, 0, 164, 0, 0, 0, 0, 0, 657, 0, 0, 0, 623, 36, 0, 0, 0, 0, 34, 318, 49, 38, 49, 0, 13.0, 41.0, 48.0, 0, 8, 47, 47, 0, 0, 2, 0, 0, 0, 14, 26, 7.0, 47, 0, 0, 0, 0, 15, 15, 26.53, 83.67, 97.96, 77.59375, 31.8984375, 31.8984375, 0, 17.0, 95.890625, 0.0, 0.0, 0.0, 29.796875, 55.3, 14.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 296.0, 27.0, 0.0, 0.0, 22.0, "Tous les candidats", 616.0, "Candidats lycées français", 34, "Candidats lycées étrangers", 13, "Liste d'appel commune à plusieurs formations", 33.0, "7589", "Formation d'ingénieur Bac + 5 - Bac Général", "Concours CPI Chimie Gay-Lussac", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=159&g_ta_cod=7589", 100.0, 0.0, 0.0),
(11769, "Public", "0623911P", "Université d'Artois - Site de Lens", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation non sélective", "Licence", "Université d'Artois - Site de Lens - Licence - Mathématiques", "Licence - Sciences - technologies - santé", "", 70, 598, 242, 553, 0, 455, 99, 15, 6, 1, 0, 82, 45, 9, 4, 0, 32, 553, 41, 0, 0, 455, 99, 15, 6, 1, 0, 82, 527, 58, 27, 43, 14, 26.0, 43.0, 57.0, 0, 6, 38, 35, 3, 0, 20, 0, 12, 9, 8, 7, 2.0, 23, 3, 0, 0, 0, 37, 37, 44.83, 74.14, 98.28, 46.59375, 97.390625, 97.390625, 0, 15.798828125, 65.5, 0.0, 31.59765625, 23.69921875, 21.09765625, 18.4, 5.3, 92.09375, 60.5, 7.8994140625, 7.8994140625, 0.0, 0.0, 408.0, 89.0, 1.0, 0.0, 101.0, "Tous les candidats", 552.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7484", "Licence - Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7484&g_ta_cod=7484", 90.0, 9.0, 0.0),
(11770, "Privé sous contrat d'association", "0382938M", "MFR Moirans - CFA FRMFREO", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Moirans", "formation sélective", "BTS", "MFR Moirans - CFA FRMFREO - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 27, 211, 119, 196, 0, 37, 8, 37, 7, 27, 5, 95, 15, 0, 6, 5, 4, 183, 2, 0, 0, 37, 8, 37, 7, 27, 5, 82, 106, 17, 6, 17, 0, 1.0, 15.0, 16.0, 0, 1, 7, 2, 3, 2, 10, 0, 5, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 5, 5, 5.88, 88.24, 94.12, 35.296875, 71.390625, 71.390625, 0, 14.298828125, 41.1953125, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 28.59765625, 14.298828125, 42.8984375, 14.298828125, 28.59765625, 0.0, 25.0, 6.0, 26.0, 5.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 63.0, "5132", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5132&g_ta_cod=5132", 53.0, 24.0, 24.0),
(11771, "Public", "0751875F", "Ecole Nationale Supérieure d'Architecture de Paris-La Villette", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de Paris-La Villette - Bicursus Architecture Ingénieur - ESTP", "Formations Bac + 5", "ESTP", 37, 682, 399, 682, 0, 546, 109, 0, 0, 0, 0, 136, 0, 0, 0, 0, 0, 115, 0, 0, 0, 107, 11, 0, 0, 0, 0, 8, 86, 40, 27, 40, 0, 16.0, 38.0, 39.0, 0, 5, 39, 39, 0, 0, 1, 0, 0, 0, 13, 18, 8.0, 39, 0, 0, 0, 0, 6, 20, 40.0, 95.0, 97.5, 67.5, 15.3984375, 51.296875, 0, 12.798828125, 97.5, 0.0, 0.0, 0.0, 33.296875, 46.2, 20.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 82.0, 10.0, 0.0, 0.0, 4.0, "Tous les candidats", 100.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "13695", "Bicursus Architecture Ingénieur - ESTP", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13695&g_ta_cod=13695", 100.0, 0.0, 0.0),
(11772, "Public", "0860038Z", "Lycée Aliénor d' Aquitaine", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée Aliénor d' Aquitaine - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 30, 460, 38, 451, 0, 82, 20, 146, 31, 115, 28, 108, 9, 0, 0, 4, 5, 327, 3, 0, 0, 71, 13, 142, 29, 101, 25, 13, 105, 27, 1, 25, 2, 6.0, 20.0, 21.0, 0, 6, 25, 6, 11, 8, 2, 0, 8, 10, 3, 4, 0.0, 2, 7, 8, 2, 0, 24, 24, 22.22, 74.07, 77.78, 3.69970703125, 96.0, 96.0, 8, 24.0, 92.59375, 0.0, 32.0, 40.0, 12.0, 16.0, 0.0, 24.0, 8.0, 44.0, 28.0, 32.0, 32.0, 28.0, 4.0, 23.0, 8.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 24.0, "10596", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10596&g_ta_cod=10596", 22.0, 44.0, 30.0),
(11773, "Public", "0400004M", "Lycée des métiers de l'hôtellerie et du commerce Louis Darmante", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Capbreton", "formation sélective", "Autre formation", "Lycée des métiers de l'hôtellerie et du commerce Louis Darmante - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 16, 61, 18, 56, 0, 9, 0, 8, 2, 24, 6, 15, 5, 2, 0, 0, 3, 45, 2, 0, 0, 7, 0, 6, 2, 24, 6, 8, 37, 11, 2, 9, 2, 4.0, 7.0, 8.0, 0, 2, 9, 3, 1, 5, 2, 0, 6, 3, 0, 0, 0.0, 1, 0, 2, 0, 0, 5, 5, 36.36, 63.64, 72.73, 18.19921875, 55.59375, 55.59375, 0, 22.19921875, 81.796875, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 33.296875, 11.099609375, 11.099609375, 0.0, 55.59375, 22.19921875, 8.0, 0.0, 18.0, 5.0, 7.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "22074", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22074&g_ta_cod=22074", 45.0, 9.0, 45.0),
(11774, "Public", "0680097L", "ENSCMu - partenaire INSA", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "Ecole d'Ingénieur", "Groupe INSA - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 16, 4212, 1576, 4212, 0, 3557, 314, 0, 0, 0, 0, 655, 0, 0, 0, 0, 0, 2961, 0, 0, 0, 2526, 198, 0, 0, 0, 0, 435, 710, 16, 12, 16, 0, 6.0, 8.0, 15.0, 0, 1, 15, 15, 0, 0, 1, 0, 0, 0, 3, 10, 2.0, 15, 0, 0, 0, 0, 5, 5, 37.5, 50.0, 93.75, 75.0, 33.296875, 33.296875, 0, 6.69921875, 93.796875, 0.0, 0.0, 0.0, 20.0, 66.7, 13.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 632.0, 56.0, 0.0, 0.0, 78.0, "Tous les candidats", 6674.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "447", "Formation d'ingénieur Bac + 5 - Bac Général", "Groupe INSA", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=57&g_ta_cod=447", 100.0, 0.0, 0.0),
(11775, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence_Las", "Université Côte d'Azur - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 76, 2102, 797, 2102, 0, 1299, 176, 208, 45, 45, 23, 550, 0, 0, 0, 0, 0, 2098, 0, 0, 0, 1299, 176, 208, 45, 45, 23, 546, 354, 73, 32, 73, 0, 7.0, 41.0, 56.0, 0, 7, 33, 29, 4, 0, 40, 1, 6, 16, 6, 3, 1.0, 24, 2, 0, 0, 0, 27, 27, 9.59, 56.16, 76.71, 43.796875, 81.796875, 81.796875, 0, 21.19921875, 45.1953125, 3.0, 18.19921875, 48.5, 18.19921875, 9.1, 3.0, 87.890625, 72.6875, 12.099609375, 6.099609375, 0.0, 0.0, 144.0, 27.0, 2.0, 2.0, 200.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "28769", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28768&g_ta_cod=28769", 93.0, 5.0, 1.0),
(11776, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Langues étrangères appliquées - Parcours Arabe / Espagnol", "Licence - Arts-lettres-langues", "Arabe / Espagnol", 27, 154, 108, 76, 0, 18, 10, 10, 7, 11, 4, 37, 78, 14, 7, 9, 48, 71, 41, 0, 0, 18, 10, 10, 7, 11, 4, 32, 105, 20, 18, 8, 12, 2.0, 8.0, 13.0, 0, 5, 7, 4, 2, 1, 13, 0, 5, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 4, 7, 10.0, 40.0, 65.0, 90.0, 57.09375, 100.0, 0, 71.390625, 35.0, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 57.09375, 14.298828125, 28.59765625, 14.298828125, 14.298828125, 0.0, 25.0, 12.0, 14.0, 7.0, 52.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "28198", "Licence - Langues étrangères appliquées - Parcours Arabe / Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28198&g_ta_cod=28198", 45.0, 20.0, 30.0),
(11777, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais", "Licence - Arts-lettres-langues", "Portugais", 29, 138, 93, 71, 0, 36, 7, 8, 0, 10, 1, 17, 67, 8, 10, 6, 43, 71, 44, 0, 0, 36, 7, 8, 0, 10, 1, 17, 109, 19, 14, 9, 10, 7.0, 9.0, 15.0, 0, 2, 13, 6, 3, 4, 6, 0, 6, 6, 1, 0, 0.0, 3, 1, 3, 0, 0, 10, 13, 36.84, 47.37, 78.95, 73.6875, 76.890625, 100.0, 0, 15.3984375, 68.390625, 0.0, 46.1953125, 46.1953125, 7.69921875, 0.0, 0.0, 46.1953125, 23.09765625, 23.09765625, 7.69921875, 30.796875, 23.09765625, 43.0, 7.0, 10.0, 1.0, 43.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "11099", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11099&g_ta_cod=11099", 53.0, 16.0, 32.0),
(11778, "Privé sous contrat d'association", "0220117H", "Lycée Sacre Coeur", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée Sacre Coeur - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 30, 125, 10, 119, 0, 9, 0, 50, 5, 27, 5, 33, 6, 1, 1, 0, 4, 78, 3, 0, 0, 7, 0, 35, 1, 27, 5, 9, 69, 12, 0, 9, 2, 6.0, 9.0, 10.0, 0, 2, 10, 1, 2, 7, 2, 0, 4, 4, 2, 0, 0.0, 0, 1, 5, 3, 0, 9, 9, 50.0, 75.0, 83.33, 0.0, 90.0, 90.0, 30, 20.0, 83.296875, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 10.0, 0.0, 20.0, 10.0, 70.0, 50.0, 7.0, 0.0, 27.0, 5.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 61.0, "3347", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3347&g_ta_cod=3347", 8.0, 33.0, 58.0),
(11779, "Public", "0130051K", "Lycée Marie Curie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 30, 992, 727, 945, 0, 208, 69, 295, 123, 44, 25, 398, 47, 8, 5, 0, 34, 290, 4, 0, 0, 108, 29, 91, 28, 17, 8, 74, 154, 30, 21, 26, 3, 6.0, 22.0, 26.0, 0, 8, 20, 9, 8, 3, 10, 0, 7, 7, 4, 2, 0.0, 4, 6, 3, 3, 3, 17, 17, 20.0, 73.33, 86.67, 70.0, 85.0, 85.0, 15, 40.0, 66.6875, 0.0, 35.0, 35.0, 20.0, 10.0, 0.0, 45.0, 20.0, 40.0, 30.0, 15.0, 15.0, 68.0, 18.0, 3.0, 2.0, 52.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 157.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 86, "Liste d'appel propre à cette formation", 26.0, "2582", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2582&g_ta_cod=2582", 47.0, 43.0, 10.0),
(11780, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence_Las", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Moyen-Orient et Maghreb - Hébreu moderne", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères, parcours Moyen-Orient et Maghreb - Hébreu moderne", 15, 91, 63, 86, 0, 31, 10, 6, 3, 4, 3, 45, 5, 1, 0, 0, 4, 86, 3, 0, 0, 31, 10, 6, 3, 4, 3, 45, 73, 17, 13, 15, 2, 1.0, 11.0, 14.0, 0, 1, 4, 2, 2, 0, 13, 0, 4, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 2, 5.88, 64.71, 82.35, 76.5, 0.0, 50.0, 0, 25.0, 23.5, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 26.0, 9.0, 3.0, 2.0, 39.0, "Tous les candidats", 152.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 94.0, "29620", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations Etrangères, parcours Moyen-Orient et Maghreb - Hébreu moderne", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29619&g_ta_cod=29620", 82.0, 12.0, 6.0),
(11781, "Public", "0300950V", "Lycée Albert EINSTEIN", "30", "Gard", "Occitanie", "Montpellier", "Bagnols-sur-Cèze", "formation sélective", "BTS", "Lycée Albert EINSTEIN - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 403, 212, 403, 0, 30, 10, 118, 47, 120, 55, 135, 0, 0, 0, 0, 0, 403, 0, 0, 0, 30, 10, 118, 47, 120, 55, 135, 143, 24, 12, 24, 0, 3.0, 14.0, 16.0, 0, 4, 17, 0, 9, 8, 7, 0, 11, 4, 2, 0, 0.0, 0, 2, 4, 11, 6, 12, 12, 12.5, 58.33, 66.67, 50.0, 70.59375, 70.59375, 64.6875, 23.5, 70.796875, 0.0, 64.6875, 23.5, 11.798828125, 0.0, 0.0, 0.0, 0.0, 52.8984375, 11.798828125, 47.09375, 23.5, 2.0, 2.0, 61.0, 26.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 35.0, "3995", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3995&g_ta_cod=3995", 4.0, 42.0, 54.0),
(11782, "Public", "0133502L", "I.U.T d'Aix-Marseille - Site de Salon-De-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Salon-de-Provence", "formation sélective", "BUT", "I.U.T d'Aix-Marseille - Site de Salon-De-Provence - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Parcours : Automatismes et informatique industrielle", "BUT - Production", "Electricité et maîtrise de l'énergie - Parcours : Automatismes et informatique industrielle", 78, 673, 44, 659, 0, 359, 67, 160, 33, 12, 5, 128, 14, 0, 7, 0, 7, 564, 3, 0, 0, 341, 63, 148, 28, 5, 0, 70, 381, 72, 7, 72, 0, 11.0, 58.0, 69.0, 0, 13, 66, 43, 22, 1, 6, 0, 26, 24, 14, 2, 0.0, 25, 14, 1, 0, 0, 57, 57, 15.28, 80.56, 95.83, 9.69921875, 86.390625, 86.390625, 0, 19.69921875, 91.6875, 0.0, 39.3984375, 36.3984375, 21.19921875, 3.0, 0.0, 65.1875, 37.8984375, 33.296875, 21.19921875, 1.5, 1.5, 220.0, 39.0, 1.0, 0.0, 53.0, "Tous les candidats sauf les Bac technologiques", 379.0, "Bacheliers technologiques toutes séries", 158, "", 0, "Liste d'appel propre à cette formation", 81.0, "2803", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Parcours : Automatismes et informatique industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2803&g_ta_cod=2803", 67.0, 32.0, 1.0),
(11783, "Public", "0620256S", "Lycée Guy Mollet", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "Lycée Guy Mollet - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 70, 830, 108, 786, 0, 112, 29, 136, 51, 133, 53, 405, 44, 0, 0, 25, 19, 379, 6, 0, 0, 102, 24, 114, 47, 73, 26, 90, 174, 59, 1, 57, 2, 16.0, 56.0, 57.0, 0, 20, 46, 10, 10, 26, 13, 0, 21, 19, 5, 1, 0.0, 4, 4, 17, 8, 0, 42, 42, 27.12, 94.92, 96.61, 1.699951171875, 91.296875, 91.296875, 17.3984375, 43.5, 78.0, 0.0, 45.6953125, 41.296875, 10.8984375, 2.2, 0.0, 21.69921875, 8.69921875, 21.69921875, 8.69921875, 56.5, 37.0, 34.0, 9.0, 71.0, 28.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 25.0, "7407", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7407&g_ta_cod=7407", 25.0, 24.0, 51.0),
(11784, "Public", "0330196J", "CPBx (ENSEIRB-MATMECA)", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Ecole d'Ingénieur", "CPBx (ENSEIRB-MATMECA) - Formation d'ingénieur Bac + 5 - bac général", "Formations  des écoles d'ingénieurs", "bac général", 20, 350, 55, 350, 0, 349, 30, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 123, 0, 0, 0, 123, 8, 0, 0, 0, 0, 0, 72, 20, 2, 20, 0, 2.0, 18.0, 19.0, 0, 4, 20, 20, 0, 0, 0, 0, 0, 0, 8, 11, 1.0, 20, 0, 0, 0, 0, 16, 16, 10.0, 90.0, 95.0, 10.0, 80.0, 80.0, 0, 20.0, 100.0, 0.0, 0.0, 0.0, 40.0, 55.0, 5.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 72.0, 7.0, 0.0, 0.0, 0.0, "Tous les candidats", 79.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "4329", "Formation d'ingénieur Bac + 5 - bac général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4329&g_ta_cod=4329", 100.0, 0.0, 0.0),
(11785, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Portail Sociologie - Sociologie quantitative", "Licence - Sciences humaines et sociales", "Sociologie quantitative", 80, 701, 541, 538, 0, 320, 93, 37, 15, 10, 6, 171, 163, 43, 16, 8, 96, 533, 149, 0, 0, 320, 93, 37, 15, 10, 6, 166, 526, 66, 44, 30, 36, 0.0, 30.0, 45.0, 0, 14, 31, 16, 11, 4, 35, 0, 15, 16, 0, 0, 0.0, 6, 7, 3, 0, 0, 24, 24, 0.0, 45.45, 68.18, 66.6875, 77.390625, 77.390625, 0, 45.1953125, 47.0, 0.0, 48.3984375, 51.59375, 0.0, 0.0, 0.0, 51.59375, 19.3984375, 35.5, 22.59765625, 12.8984375, 9.69921875, 261.0, 78.0, 9.0, 7.0, 223.0, "Tous les candidats", 677.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "15719", "Licence - Portail Sociologie - Sociologie quantitative", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29048&g_ta_cod=15719", 61.0, 27.0, 9.0),
(11786, "Public", "0772519V", "Université Paris- Est- Créteil Val de Marne UPEC - Antenne de Sénart", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lieusaint", "formation sélective", "Licence", "Université Paris- Est- Créteil Val de Marne UPEC - Antenne de Sénart - Licence - Double diplôme - Licence Economie et gestion - Double diplôme Licence Management international - Diplôme universitaire Compétences en management - site de Sénart", "Licence - Droit-économie-gestion", "Double diplôme Licence Management international - Diplôme universitaire Compétences en management - site de Sénart", 32, 652, 369, 652, 0, 490, 72, 38, 11, 4, 1, 120, 0, 0, 0, 0, 0, 143, 0, 0, 0, 137, 20, 0, 0, 0, 0, 6, 47, 32, 27, 32, 0, 22.0, 31.0, 32.0, 0, 7, 31, 31, 0, 0, 1, 0, 0, 5, 19, 6, 1.0, 31, 0, 0, 0, 0, 15, 24, 68.75, 96.88, 100.0, 84.390625, 48.3984375, 77.390625, 0, 22.59765625, 96.890625, 0.0, 0.0, 16.09765625, 61.296875, 19.4, 3.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 45.0, 8.0, 0.0, 0.0, 2.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "14695", "Licence - Double diplôme - Licence Economie et gestion - Double diplôme Licence Management international - Diplôme universitaire Compétences en management - site de Sénart", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14695&g_ta_cod=14695", 100.0, 0.0, 0.0),
(11787, "Public", "0782132U", "Lycée Jeanne D'Albret", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "CPGE", "Lycée Jeanne D'Albret - CPGE - ECG -  - Mathématiques appliquées + HGG", "Classe préparatoire économique et commerciale", "", 48, 528, 233, 446, 221, 362, 33, 2, 2, 1, 0, 81, 82, 47, 1, 1, 33, 301, 32, 158, 293, 286, 20, 0, 0, 0, 0, 15, 286, 19, 6, 17, 2, 5.0, 15.0, 19.0, 9, 2, 16, 16, 0, 0, 3, 0, 3, 7, 6, 0, 0.0, 13, 0, 0, 1, 0, 12, 14, 26.32, 78.95, 100.0, 31.59765625, 75.0, 87.5, 6.2998046875, 12.5, 84.1875, 0.0, 18.796875, 43.796875, 37.5, 0.0, 0.0, 100.0, 81.296875, 0.0, 0.0, 0.0, 0.0, 263.0, 19.0, 0.0, 0.0, 23.0, "Tous les candidats", 301.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "31408", "CPGE - ECG -  - Mathématiques appliquées + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31408&g_ta_cod=31408", 100.0, 0.0, 0.0),
(11788, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Portail Lettres - Parcours Lettres modernes", "Licence - Arts-lettres-langues", "Parcours Lettres modernes", 170, 801, 566, 417, 0, 236, 60, 17, 3, 23, 11, 141, 384, 58, 33, 31, 262, 408, 213, 0, 0, 236, 60, 17, 3, 23, 11, 132, 598, 130, 74, 38, 92, 4.0, 38.0, 64.0, 0, 15, 44, 21, 10, 13, 86, 0, 33, 8, 3, 0, 0.0, 2, 3, 6, 0, 0, 30, 41, 3.08, 29.23, 49.23, 56.8984375, 68.1875, 93.1875, 0, 34.09375, 33.796875, 0.0, 75.0, 18.19921875, 6.7998046875, 0.0, 0.0, 47.6953125, 4.5, 22.69921875, 6.7998046875, 29.5, 13.599609375, 267.0, 65.0, 44.0, 24.0, 251.0, "Tous les candidats", 482.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "24384", "Licence - Portail Lettres - Parcours Lettres modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28293&g_ta_cod=24384", 48.0, 22.0, 28.0),
(11789, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "PASS", "Université de Paris - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Math-Physique", 70, 8297, 4951, 8297, 0, 6510, 1227, 152, 76, 33, 23, 1602, 0, 0, 0, 0, 0, 8284, 0, 0, 0, 6510, 1227, 152, 76, 33, 23, 1589, 428, 70, 38, 70, 0, 9.0, 55.0, 64.0, 0, 10, 55, 55, 0, 0, 15, 0, 0, 0, 4, 37, 14.0, 55, 0, 0, 0, 0, 26, 51, 12.86, 78.57, 91.43, 54.296875, 47.296875, 92.6875, 0, 18.19921875, 78.59375, 0.0, 0.0, 0.0, 7.2998046875, 67.3, 25.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 346.0, 62.0, 0.0, 0.0, 82.0, "Tous les candidats", 1152.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 10.0, "33536", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28111&g_ta_cod=33536", 100.0, 0.0, 0.0),
(11790, "Privé sous contrat d'association", "0350776D", "Lycée St Vincent-Providence", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "CPGE", "Lycée St Vincent-Providence - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 22, 638, 300, 638, 381, 566, 23, 0, 0, 0, 0, 72, 0, 0, 0, 0, 0, 436, 0, 128, 426, 428, 15, 0, 0, 0, 0, 8, 230, 19, 11, 19, 0, 0.0, 6.0, 18.0, 2, 0, 19, 19, 0, 0, 0, 0, 0, 8, 10, 1, 0.0, 19, 0, 0, 1, 1, 15, 15, 0.0, 31.58, 94.74, 57.8984375, 78.890625, 78.890625, 5.2998046875, 0.0, 100.0, 0.0, 0.0, 42.09375, 52.59375, 5.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 229.0, 10.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "31479", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31386&g_ta_cod=31479", 100.0, 0.0, 0.0),
(11791, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 3 Paul Sabatier - Licence - Double diplôme - Licence Sciences et Techniques des Activités Physiques et Sportives - BPJEPS/L1 STAPS", "Licence - Sciences - technologies - santé", "BPJEPS/L1 STAPS", 18, 1025, 268, 581, 0, 268, 46, 110, 24, 46, 18, 157, 444, 215, 73, 12, 144, 26, 0, 0, 0, 11, 1, 4, 0, 1, 0, 10, 24, 12, 3, 12, 0, 7.0, 12.0, 12.0, 0, 1, 6, 3, 2, 1, 6, 0, 6, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 58.33, 100.0, 100.0, 25.0, 33.296875, 33.296875, 0, 16.69921875, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 33.296875, 0.0, 16.69921875, 0.0, 9.0, 1.0, 1.0, 0.0, 10.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "30879", "Licence - Double diplôme - Licence Sciences et Techniques des Activités Physiques et Sportives - BPJEPS/L1 STAPS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30879&g_ta_cod=30879", 42.0, 25.0, 33.0),
(11792, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 130, 1478, 985, 1478, 0, 1019, 110, 57, 5, 4, 1, 398, 0, 0, 0, 0, 0, 1478, 0, 0, 0, 1019, 110, 57, 5, 4, 1, 398, 756, 128, 79, 128, 0, 15.0, 84.0, 113.0, 0, 10, 118, 114, 4, 0, 10, 0, 14, 65, 29, 10, 0.0, 100, 4, 0, 0, 0, 93, 93, 11.72, 65.63, 88.28, 61.6953125, 78.796875, 78.796875, 0, 8.5, 92.1875, 0.0, 11.8984375, 55.09375, 24.59765625, 8.5, 0.0, 96.59375, 84.6875, 3.39990234375, 3.39990234375, 0.0, 0.0, 582.0, 61.0, 2.0, 1.0, 153.0, "Tous les candidats", 1038.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 62.0, "8821", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28720&g_ta_cod=8821", 95.0, 4.0, 0.0),
(11793, "Public", "0912418J", "Université Paris-Saclay, Campus d'Orsay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "Licence", "Université Paris-Saclay, Campus d'Orsay - Licence - Double diplôme - Licence Physique, chimie - Parcours Licence Double-Diplôme Physique, Chimie", "Licence - Sciences - technologies - santé", "Parcours Licence Double-Diplôme Physique, Chimie", 50, 1496, 756, 1304, 0, 1004, 114, 7, 5, 2, 0, 291, 192, 49, 3, 2, 138, 885, 14, 0, 0, 715, 63, 0, 0, 0, 0, 170, 550, 39, 20, 33, 6, 11.0, 28.0, 32.0, 0, 3, 31, 31, 0, 0, 8, 0, 0, 3, 11, 13, 4.0, 31, 0, 0, 0, 0, 9, 14, 28.21, 71.79, 82.05, 51.296875, 29.0, 45.1953125, 0, 9.69921875, 79.5, 0.0, 0.0, 9.69921875, 35.5, 41.9, 12.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 442.0, 51.0, 0.0, 0.0, 108.0, "Tous les candidats", 858.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "28888", "Licence - Double diplôme - Licence Physique, chimie - Parcours Licence Double-Diplôme Physique, Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28888&g_ta_cod=28888", 100.0, 0.0, 0.0),
(11794, "Privé sous contrat d'association", "0511145T", "Lycée St Michel", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée St Michel - BTS - Services - Communication", "BTS - Services", "", 36, 502, 320, 502, 0, 128, 15, 103, 31, 67, 17, 204, 0, 0, 0, 0, 0, 502, 0, 0, 0, 128, 15, 103, 31, 67, 17, 204, 109, 35, 26, 35, 0, 7.0, 30.0, 32.0, 0, 6, 26, 12, 7, 7, 9, 0, 8, 13, 5, 0, 0.0, 8, 3, 7, 3, 2, 23, 23, 20.0, 85.71, 91.43, 74.296875, 88.5, 88.5, 11.5, 23.09765625, 74.296875, 0.0, 30.796875, 50.0, 19.19921875, 0.0, 0.0, 46.1953125, 30.796875, 26.8984375, 11.5, 26.8984375, 26.8984375, 41.0, 8.0, 16.0, 4.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 77.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 28.0, "16175", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16175&g_ta_cod=16175", 54.0, 23.0, 20.0),
(11795, "Public", "0720896H", "Lycée Militaire Prytanee National", "72", "Sarthe", "Pays de la Loire", "Nantes", "La Flèche", "formation sélective", "CPGE", "Lycée Militaire Prytanee National - CPGE - Option lettres et sciences humaines (St Cyr)", "Classe préparatoire littéraire", "", 30, 452, 142, 452, 452, 404, 27, 3, 1, 0, 0, 45, 0, 0, 0, 0, 0, 452, 0, 452, 0, 404, 27, 3, 1, 0, 0, 45, 106, 29, 11, 29, 0, 11.0, 23.0, 25.0, 29, 3, 29, 29, 0, 0, 0, 0, 0, 7, 14, 8, 0.0, 29, 0, 0, 6, 2, 10, 10, 37.93, 79.31, 86.21, 37.8984375, 34.5, 34.5, 20.69921875, 10.298828125, 100.0, 0.0, 0.0, 24.09765625, 48.296875, 27.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 106.0, 9.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "12223", "CPGE - Option lettres et sciences humaines (St Cyr)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12223&g_ta_cod=12223", 100.0, 0.0, 0.0),
(11796, "Privé sous contrat d'association", "0590347G", "ISEN Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 5, 76, 5, 75, 0, 0, 0, 75, 19, 0, 0, 0, 1, 0, 1, 0, 0, 41, 0, 0, 0, 0, 0, 41, 10, 0, 0, 0, 18, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "25854", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=25854", 0, 0, 0),
(11797, "Public", "0782075G", "Unité de Formation et de Recherche de Sciences de l' Université de Versailles Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation non sélective", "Licence_Las", "Unité de Formation et de Recherche de Sciences de l' Université de Versailles Saint Quentin en Yvelines - Licence - Portail Mathématiques Informatique (MI)", "Licence - Sciences - technologies - santé", "Mathématiques Informatique (MI)", 5, 220, 74, 220, 0, 129, 24, 3, 0, 0, 0, 88, 0, 0, 0, 0, 0, 214, 0, 0, 0, 129, 24, 3, 0, 0, 0, 82, 61, 5, 4, 5, 0, 0.0, 0.0, 3.0, 0, 1, 4, 4, 0, 0, 1, 0, 1, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 4, 4, 0.0, 0.0, 60.0, 80.0, 100.0, 100.0, 0, 25.0, 80.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 53.0, 7.0, 0.0, 0.0, 8.0, "Tous les candidats", 619.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 48.0, "32595", "Licence - Portail Mathématiques Informatique (MI)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32594&g_ta_cod=32595", 100.0, 0.0, 0.0),
(11798, "Privé sous contrat d'association", "0690519P", "Lycée Notre Dame Des Minimes", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "Bac STI2D", 5, 74, 6, 74, 0, 0, 0, 74, 23, 0, 0, 0, 0, 0, 0, 0, 0, 41, 0, 0, 0, 0, 0, 41, 10, 0, 0, 0, 17, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "31230", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=31230", 0, 0, 0),
(11799, "Public", "0772688D", "Lycée Emilie du Châtelet", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Serris", "formation sélective", "BTS", "Lycée Emilie du Châtelet - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 48, 165, 79, 156, 0, 0, 0, 46, 8, 52, 18, 58, 9, 0, 0, 6, 3, 111, 4, 0, 0, 0, 0, 33, 5, 37, 12, 41, 107, 36, 20, 33, 2, 16.0, 33.0, 34.0, 0, 7, 25, 0, 11, 14, 11, 0, 8, 9, 8, 0, 0.0, 0, 8, 9, 10, 6, 21, 22, 44.44, 91.67, 94.44, 55.59375, 84.0, 88.0, 40, 28.0, 69.390625, 0.0, 32.0, 36.0, 32.0, 0.0, 0.0, 0.0, 0.0, 44.0, 32.0, 56.0, 36.0, 3.0, 0.0, 44.0, 13.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 65.0, "17924", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17924&g_ta_cod=17924", 17.0, 42.0, 42.0),
(11800, "Privé sous contrat d'association", "0442837V", "ISEN Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Carquefou", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 40, 1925, 445, 1917, 0, 1907, 156, 0, 0, 0, 0, 10, 8, 7, 0, 0, 1, 1724, 4, 0, 0, 1724, 130, 0, 0, 0, 0, 0, 1493, 26, 6, 23, 3, 17.0, 23.0, 26.0, 0, 3, 26, 26, 0, 0, 0, 0, 4, 17, 5, 0, 0.0, 22, 0, 0, 0, 0, 19, 19, 65.38, 88.46, 100.0, 23.09765625, 73.09375, 73.09375, 0, 11.5, 100.0, 0.0, 15.3984375, 65.390625, 19.19921875, 0.0, 0.0, 100.0, 84.59375, 0.0, 0.0, 0.0, 0.0, 1493.0, 116.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "475", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=475", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(11801, "Public", "0540042C", "Lycée Henri Loritz", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Henri Loritz - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "BTS - Production", "", 24, 494, 82, 494, 0, 106, 6, 89, 12, 42, 6, 257, 0, 0, 0, 0, 0, 222, 0, 0, 0, 99, 5, 61, 8, 20, 2, 42, 106, 21, 3, 21, 0, 5.0, 18.0, 19.0, 0, 0, 15, 11, 3, 1, 6, 0, 2, 11, 1, 1, 0.0, 9, 3, 1, 0, 0, 5, 5, 23.81, 85.71, 90.48, 14.298828125, 33.296875, 33.296875, 0, 0.0, 71.390625, 0.0, 13.298828125, 73.296875, 6.69921875, 6.7, 0.0, 73.296875, 60.0, 20.0, 20.0, 6.69921875, 6.69921875, 51.0, 2.0, 2.0, 1.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 92.0, "Bacheliers professionnels toutes séries", 2, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 32.0, "6270", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6270&g_ta_cod=6270", 67.0, 29.0, 5.0),
(11802, "Public", "0560051B", "Lycée Alain René Lesage", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BTS", "Lycée Alain René Lesage - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 28, 242, 27, 240, 0, 24, 4, 51, 12, 65, 20, 100, 2, 0, 2, 0, 0, 180, 0, 0, 0, 24, 4, 51, 12, 65, 20, 40, 129, 26, 2, 26, 0, 6.0, 22.0, 26.0, 0, 3, 19, 5, 1, 13, 7, 0, 8, 6, 4, 1, 0.0, 2, 1, 8, 1, 0, 18, 18, 23.08, 84.62, 100.0, 7.69921875, 94.6875, 94.6875, 5.2998046875, 15.798828125, 73.09375, 0.0, 42.09375, 31.59765625, 21.09765625, 5.3, 0.0, 26.296875, 10.5, 5.2998046875, 5.2998046875, 68.390625, 42.09375, 19.0, 4.0, 46.0, 13.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 70.0, "6437", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6437&g_ta_cod=6437", 31.0, 8.0, 62.0),
(11803, "Privé sous contrat d'association", "0754029X", "Lycée Carcado Saisseval", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "BTS", "Lycée Carcado Saisseval - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 60, 1253, 538, 1253, 0, 222, 28, 453, 68, 304, 87, 274, 0, 0, 0, 0, 0, 909, 0, 0, 0, 174, 20, 365, 54, 231, 63, 139, 248, 50, 23, 50, 0, 18.0, 39.0, 46.0, 0, 5, 48, 12, 19, 17, 2, 0, 22, 15, 10, 1, 0.0, 5, 7, 14, 18, 9, 25, 43, 36.0, 78.0, 92.0, 46.0, 52.09375, 89.59375, 37.5, 10.3984375, 96.0, 0.0, 45.796875, 31.296875, 20.796875, 2.1, 0.0, 25.0, 10.3984375, 39.59375, 14.599609375, 35.3984375, 29.19921875, 57.0, 9.0, 65.0, 15.0, 12.0, "Tous les candidats sauf les Bac professionnels", 310.0, "Bacheliers professionnels toutes séries", 77, "", 0, "Liste d'appel propre à cette formation", 31.0, "9492", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9492&g_ta_cod=9492", 26.0, 38.0, 36.0),
(11804, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 553, 5429, 4542, 5429, 0, 2891, 633, 494, 156, 184, 76, 1860, 0, 0, 0, 0, 0, 5406, 0, 0, 0, 2891, 633, 494, 156, 184, 76, 1837, 2257, 526, 457, 526, 0, 53.0, 355.0, 457.0, 0, 85, 287, 221, 36, 30, 239, 2, 36, 139, 97, 11, 2.0, 193, 33, 23, 0, 0, 212, 212, 10.08, 67.49, 86.88, 86.890625, 73.890625, 73.890625, 0, 29.59765625, 54.59375, 0.699951171875, 12.5, 48.3984375, 33.796875, 3.8, 0.7, 77.0, 67.1875, 12.5, 11.5, 10.5, 8.0, 1013.0, 270.0, 84.0, 41.0, 1015.0, "Tous les candidats", 3363.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 55.0, "2293", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27486&g_ta_cod=2293", 80.0, 10.0, 8.0),
(11805, "Public", "6200190M", "Lycée agricole Sartene", "2A", "Corse du Sud", "Corse", "Corse", "Sartène", "formation sélective", "BTS", "Lycée agricole Sartene - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 10, 172, 71, 169, 0, 7, 2, 6, 2, 11, 2, 145, 3, 0, 0, 0, 3, 15, 1, 0, 0, 3, 1, 1, 1, 8, 1, 3, 20, 3, 2, 3, 0, 3.0, 3.0, 3.0, 0, 1, 1, 1, 0, 0, 2, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 66.6875, 0.0, 0.0, 0, 100.0, 33.296875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 3.0, 1.0, 10.0, 2.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 1, "Liste d'appel propre à cette formation", 9.0, "11684", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11684&g_ta_cod=11684", 100.0, 0.0, 0.0),
(11806, "Public", "0770931U", "Lycée Pierre de Coubertin", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "BTS", "Lycée Pierre de Coubertin - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 383, 167, 383, 0, 64, 12, 111, 33, 81, 24, 127, 0, 0, 0, 0, 0, 250, 0, 0, 0, 56, 10, 97, 30, 60, 15, 37, 129, 33, 12, 32, 0, 2.0, 27.0, 31.0, 0, 7, 28, 3, 13, 12, 5, 0, 19, 7, 1, 1, 0.0, 1, 2, 6, 6, 2, 27, 27, 6.06, 81.82, 93.94, 36.3984375, 96.390625, 96.390625, 21.3984375, 25.0, 84.796875, 0.0, 67.890625, 25.0, 3.599609375, 3.6, 0.0, 10.69921875, 3.599609375, 46.3984375, 7.099609375, 42.8984375, 21.3984375, 12.0, 3.0, 44.0, 10.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 47.0, "9807", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9807&g_ta_cod=9807", 9.0, 48.0, 42.0),
(11807, "Public", "0250011B", "Lycée Jules Haag", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "CPGE", "Lycée Jules Haag - CPGE - PTSI", "Classe préparatoire scientifique", "", 40, 304, 56, 281, 200, 225, 29, 4, 2, 0, 0, 52, 23, 11, 0, 1, 11, 262, 2, 200, 218, 216, 28, 2, 1, 0, 0, 44, 207, 28, 3, 28, 0, 16.0, 28.0, 28.0, 20, 2, 23, 23, 0, 0, 5, 0, 2, 10, 11, 0, 0.0, 21, 0, 0, 1, 0, 21, 21, 57.14, 100.0, 100.0, 10.69921875, 91.296875, 91.296875, 4.2998046875, 8.69921875, 82.09375, 0.0, 8.69921875, 43.5, 47.796875, 0.0, 0.0, 100.0, 91.296875, 0.0, 0.0, 0.0, 0.0, 181.0, 22.0, 0.0, 0.0, 26.0, "Tous les candidats", 226.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "3469", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3469&g_ta_cod=3469", 100.0, 0.0, 0.0),
(11808, "Public", "0830058M", "Lycée professionnel Georges Cisson", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Autre formation", "Lycée professionnel Georges Cisson - Mention complémentaire - Mécatronique navale", "Mention complémentaire", "", 30, 66, 4, 49, 0, 3, 0, 0, 0, 40, 10, 6, 17, 3, 2, 6, 6, 25, 5, 0, 0, 0, 0, 0, 0, 24, 4, 1, 30, 14, 0, 11, 3, 10.0, 11.0, 14.0, 0, 1, 13, 0, 1, 12, 1, 0, 5, 5, 2, 1, 0.0, 0, 0, 8, 0, 0, 6, 6, 71.43, 78.57, 100.0, 0.0, 46.1953125, 46.1953125, 0, 7.69921875, 92.890625, 0.0, 38.5, 38.5, 15.3984375, 7.7, 0.0, 0.0, 0.0, 7.69921875, 0.0, 92.296875, 61.5, 0.0, 0.0, 27.0, 4.0, 2.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "21227", "Mention complémentaire - Mécatronique navale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21227&g_ta_cod=21227", 7.0, 7.0, 86.0),
(11809, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 230, 1575, 896, 1525, 0, 1010, 250, 204, 64, 31, 17, 280, 50, 9, 5, 7, 29, 1507, 39, 0, 0, 1010, 250, 204, 64, 31, 17, 262, 942, 215, 111, 193, 21, 105.0, 161.0, 181.0, 0, 58, 160, 133, 23, 4, 55, 2, 85, 47, 21, 5, 0.0, 62, 9, 2, 0, 0, 146, 146, 48.84, 74.88, 84.19, 51.59375, 91.296875, 91.296875, 0, 36.296875, 74.390625, 1.2998046875, 53.09375, 29.3984375, 13.099609375, 3.1, 0.0, 83.09375, 38.796875, 14.3984375, 5.599609375, 2.5, 1.2998046875, 639.0, 170.0, 22.0, 13.0, 203.0, "Tous les candidats", 1247.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "3276", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3276&g_ta_cod=3276", 77.0, 19.0, 3.0),
(11810, "Public", "0810012Y", "Lycée Jean Jaures", "81", "Tarn", "Occitanie", "Toulouse", "Carmaux", "formation sélective", "BTS", "Lycée Jean Jaures - BTS - Services - Economie sociale familiale", "BTS - Services", "", 30, 446, 400, 418, 0, 40, 13, 100, 26, 155, 54, 123, 28, 1, 12, 0, 15, 286, 3, 0, 0, 32, 8, 71, 18, 130, 43, 53, 135, 27, 26, 26, 1, 2.0, 14.0, 23.0, 0, 6, 18, 3, 3, 12, 9, 0, 8, 8, 1, 1, 0.0, 0, 0, 10, 3, 3, 15, 15, 7.41, 51.85, 85.19, 96.296875, 83.296875, 83.296875, 16.69921875, 33.296875, 66.6875, 0.0, 44.3984375, 44.3984375, 5.599609375, 5.6, 0.0, 16.69921875, 0.0, 16.69921875, 0.0, 66.6875, 55.59375, 19.0, 5.0, 54.0, 21.0, 21.0, "Tous les candidats sauf les Bac professionnels", 126.0, "Bacheliers professionnels toutes séries", 95, "", 0, "Liste d'appel propre à cette formation", 53.0, "21182", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21182&g_ta_cod=21182", 19.0, 19.0, 63.0),
(11811, "Public", "7200117P", "I.U.T de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation sélective", "BUT", "I.U.T de Corte - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie (Seconde année possible en apprentissage)", "BUT - Production", "", 16, 189, 130, 168, 0, 82, 15, 33, 7, 0, 0, 53, 21, 2, 8, 0, 11, 136, 5, 0, 0, 74, 15, 30, 7, 0, 0, 32, 95, 15, 10, 13, 1, 1.0, 11.0, 14.0, 0, 1, 11, 5, 6, 0, 4, 0, 3, 5, 3, 0, 0.0, 5, 3, 0, 0, 0, 9, 9, 6.67, 73.33, 93.33, 66.6875, 81.796875, 81.796875, 0, 9.099609375, 73.296875, 0.0, 27.296875, 45.5, 27.296875, 0.0, 0.0, 45.5, 45.5, 54.5, 27.296875, 0.0, 0.0, 45.0, 11.0, 0.0, 0.0, 22.0, "Tous les candidats sauf les Bac technologiques", 100.0, "Bacheliers technologiques toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 77.0, "11696", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11696&g_ta_cod=11696", 60.0, 40.0, 0.0),
(11812, "Privé sous contrat d'association", "0761341V", "Lycée Les Tourelles", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Les Tourelles - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 301, 134, 293, 0, 48, 16, 71, 24, 43, 14, 131, 8, 0, 2, 0, 6, 214, 4, 0, 0, 46, 16, 68, 21, 42, 14, 58, 166, 32, 15, 28, 4, 3.0, 23.0, 26.0, 0, 5, 21, 8, 7, 6, 11, 0, 10, 10, 1, 0, 0.0, 2, 5, 4, 2, 0, 18, 18, 9.38, 71.88, 81.25, 46.8984375, 85.6875, 85.6875, 9.5, 23.796875, 65.59375, 0.0, 47.59375, 47.59375, 4.7998046875, 0.0, 0.0, 38.09375, 9.5, 33.296875, 23.796875, 28.59765625, 19.0, 42.0, 14.0, 34.0, 11.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 64.0, "9640", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9640&g_ta_cod=9640", 47.0, 25.0, 25.0),
(11813, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Licence", "Université de Brest - Licence - Portail Droit/LEA parcours Carrières Internationales", "Licence - Droit-économie-gestion", "Droit/LEA parcours Carrières Internationales", 40, 622, 508, 622, 0, 508, 83, 28, 7, 2, 1, 84, 0, 0, 0, 0, 0, 475, 0, 0, 0, 434, 65, 0, 0, 0, 0, 41, 171, 39, 34, 39, 0, 7.0, 39.0, 39.0, 0, 3, 38, 38, 0, 0, 1, 0, 0, 4, 20, 14, 0.0, 38, 0, 0, 0, 0, 33, 33, 17.95, 100.0, 100.0, 87.1875, 86.796875, 86.796875, 0, 7.8994140625, 97.390625, 0.0, 0.0, 10.5, 52.59375, 36.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 149.0, 20.0, 0.0, 0.0, 22.0, "Tous les candidats", 268.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "19229", "Licence - Portail Droit/LEA parcours Carrières Internationales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19229&g_ta_cod=19229", 100.0, 0.0, 0.0),
(11814, "Public", "0911961M", "Lycée Edmond Michelet", "91", "Essonne", "Ile-de-France", "Versailles", "Arpajon", "formation sélective", "BTS", "Lycée Edmond Michelet - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 924, 139, 839, 0, 77, 13, 183, 59, 143, 47, 436, 85, 18, 13, 0, 54, 205, 10, 0, 0, 29, 1, 89, 23, 67, 15, 20, 163, 30, 3, 22, 5, 1.0, 20.0, 27.0, 0, 9, 26, 4, 9, 13, 4, 0, 14, 9, 1, 2, 0.0, 2, 4, 6, 4, 0, 24, 26, 3.33, 66.67, 90.0, 10.0, 92.296875, 100.0, 15.3984375, 34.59375, 86.6875, 0.0, 53.796875, 34.59375, 3.7998046875, 7.7, 0.0, 15.3984375, 7.69921875, 34.59375, 15.3984375, 50.0, 23.09765625, 24.0, 1.0, 56.0, 14.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 24.0, "10942", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10942&g_ta_cod=10942", 13.0, 40.0, 47.0),
(11815, "Public", "0333234L", "Unité de formation et de recherche sciences médicales Université de Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Autre formation", "Regroupement Nouvelle Aquitaine et Occitanie (Est) - Certificat de capacité d'Orthoptiste", "D.E secteur sanitaire", "", 25, 666, 568, 666, 0, 165, 34, 24, 9, 4, 2, 473, 0, 0, 0, 0, 0, 409, 0, 0, 0, 129, 23, 11, 2, 2, 0, 267, 81, 24, 20, 24, 0, 7.0, 20.0, 22.0, 0, 1, 19, 19, 0, 0, 5, 0, 0, 12, 6, 1, 0.0, 19, 0, 0, 0, 0, 13, 13, 29.17, 83.33, 91.67, 83.296875, 68.390625, 68.390625, 0, 5.2998046875, 79.1875, 0.0, 0.0, 63.1953125, 31.59765625, 5.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 51.0, 6.0, 0.0, 0.0, 30.0, "Tous les candidats", 102.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "28091", "Certificat de capacité d'Orthoptiste", "Regroupement Nouvelle Aquitaine et Occitanie (Est)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28089&g_ta_cod=28091", 88.0, 13.0, 0.0),
(11816, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 1 Capitole - Licence - Portail Administration économique et sociale - parcours général", "Licence - Droit-économie-gestion", "parcours général", 750, 4164, 2370, 4003, 0, 2337, 573, 615, 236, 86, 46, 965, 161, 16, 17, 7, 121, 3995, 149, 0, 0, 2337, 573, 615, 236, 86, 46, 957, 3247, 728, 369, 636, 92, 78.0, 548.0, 658.0, 0, 133, 460, 327, 108, 25, 268, 5, 235, 154, 59, 7, 0.0, 175, 31, 14, 0, 0, 323, 323, 10.71, 75.27, 90.38, 50.6953125, 70.1875, 70.1875, 0, 28.8984375, 63.1953125, 1.099853515625, 51.09375, 33.5, 12.798828125, 1.5, 0.0, 71.09375, 38.0, 23.5, 6.69921875, 5.3994140625, 3.0, 1809.0, 411.0, 73.0, 39.0, 834.0, "Tous les candidats", 4241.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "4135", "Licence - Portail Administration économique et sociale - parcours général", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27931&g_ta_cod=4135", 68.0, 24.0, 8.0),
(11817, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Economie, gestion et droit - Programme International MINERVE", "Licence - Droit-économie-gestion", "Economie, gestion et droit - Programme International MINERVE", 325, 5232, 2716, 5232, 0, 3670, 695, 536, 199, 54, 29, 972, 0, 0, 0, 0, 0, 5231, 0, 0, 0, 3670, 695, 536, 199, 54, 29, 971, 1940, 346, 150, 346, 0, 28.0, 220.0, 290.0, 0, 88, 282, 252, 28, 2, 64, 1, 113, 121, 35, 12, 0.0, 153, 13, 2, 0, 0, 190, 190, 8.09, 63.58, 83.82, 43.3984375, 67.390625, 67.390625, 0, 31.19921875, 81.5, 0.39996337890625, 40.09375, 42.8984375, 12.3984375, 4.3, 0.0, 89.390625, 54.296875, 9.8984375, 4.599609375, 0.699951171875, 0.699951171875, 1489.0, 288.0, 11.0, 8.0, 285.0, "Tous les candidats", 2625.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "8469", "Licence - Portail Economie, gestion et droit - Programme International MINERVE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8469&g_ta_cod=8469", 88.0, 10.0, 1.0),
(11818, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence_Las", "Université Paris Nanterre - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 35, 2776, 888, 2776, 0, 1549, 254, 304, 74, 68, 26, 855, 0, 0, 0, 0, 0, 2776, 0, 0, 0, 1549, 254, 304, 74, 68, 26, 855, 245, 34, 15, 34, 0, 1.0, 20.0, 27.0, 0, 6, 31, 30, 1, 0, 3, 0, 7, 8, 13, 3, 0.0, 24, 0, 0, 0, 0, 21, 27, 2.94, 58.82, 79.41, 44.09375, 67.6875, 87.09375, 0, 19.3984375, 91.1875, 0.0, 22.59765625, 25.796875, 41.8984375, 9.7, 0.0, 96.796875, 77.390625, 3.19970703125, 0.0, 0.0, 0.0, 171.0, 29.0, 3.0, 2.0, 69.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "27228", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27227&g_ta_cod=27228", 97.0, 3.0, 0.0),
(11819, "Public", "0623920Z", "Université du littoral - Site de Boulogne-sur-Mer", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation non sélective", "Licence", "Université du littoral - Site de Boulogne-sur-Mer - Licence - Langues étrangères appliquées - Parcours ANGLAIS-ESPAGNOL", "Licence - Arts-lettres-langues", "ANGLAIS-ESPAGNOL", 72, 398, 283, 349, 0, 217, 73, 35, 17, 16, 9, 81, 49, 14, 3, 0, 32, 348, 42, 0, 0, 217, 73, 35, 17, 16, 9, 80, 351, 54, 38, 40, 14, 21.0, 38.0, 47.0, 0, 13, 37, 30, 3, 4, 17, 0, 15, 11, 6, 4, 1.0, 18, 1, 3, 0, 0, 28, 28, 38.89, 70.37, 87.04, 70.390625, 75.6875, 75.6875, 0, 35.09375, 68.5, 0.0, 40.5, 29.69921875, 16.19921875, 10.8, 2.7, 81.09375, 48.59375, 8.099609375, 2.69970703125, 10.798828125, 8.099609375, 202.0, 69.0, 16.0, 9.0, 100.0, "Tous les candidats", 348.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15830", "Licence - Langues étrangères appliquées - Parcours ANGLAIS-ESPAGNOL", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15830&g_ta_cod=15830", 65.0, 19.0, 13.0),
(11820, "Public", "0351907H", "Lycée René Descartes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée René Descartes - BTS - Services - Professions immobilières", "BTS - Services", "", 35, 2304, 1411, 2304, 0, 594, 95, 786, 187, 381, 136, 543, 0, 0, 0, 0, 0, 801, 0, 0, 0, 286, 40, 221, 34, 149, 52, 145, 200, 32, 21, 31, 0, 5.0, 22.0, 26.0, 0, 12, 24, 9, 10, 5, 8, 0, 0, 12, 10, 2, 0.0, 9, 10, 5, 1, 0, 21, 21, 15.63, 68.75, 81.25, 65.59375, 87.5, 87.5, 4.19921875, 50.0, 75.0, 0.0, 0.0, 50.0, 41.6953125, 8.3, 0.0, 37.5, 37.5, 41.6953125, 41.6953125, 20.796875, 20.796875, 60.0, 17.0, 37.0, 18.0, 43.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 157.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 140, "Liste d'appel propre à cette formation", 15.0, "4770", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4770&g_ta_cod=4770", 41.0, 44.0, 16.0),
(11821, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence_Las", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Sciences pour l'ingénieur - Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", "Licence - Sciences - technologies - santé", "Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", 12, 272, 131, 237, 0, 126, 29, 10, 4, 1, 1, 100, 35, 8, 1, 1, 25, 229, 28, 0, 0, 126, 29, 10, 4, 1, 1, 92, 164, 12, 5, 6, 6, 0.0, 2.0, 6.0, 0, 0, 3, 3, 0, 0, 9, 0, 1, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 0.0, 16.67, 50.0, 41.6953125, 66.6875, 66.6875, 0, 0.0, 25.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 81.0, 13.0, 2.0, 1.0, 76.0, "Tous les candidats", 636.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "32253", "Licence - Portail Sciences pour l'ingénieur - Mathématiques, Informatique, Sciences Pour l'Ingénieur, Chimie (MISPIC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32252&g_ta_cod=32253", 75.0, 8.0, 8.0),
(11822, "Public", "0760058A", "Lycée Schuman Perret", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BTS", "Lycée Schuman Perret - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 15, 174, 19, 164, 0, 18, 1, 59, 15, 44, 12, 43, 10, 0, 2, 3, 5, 113, 1, 0, 0, 12, 1, 55, 13, 25, 5, 21, 50, 10, 2, 9, 1, 1.0, 9.0, 9.0, 0, 1, 7, 0, 6, 1, 3, 1, 1, 4, 1, 0, 0.0, 0, 4, 1, 1, 0, 7, 7, 10.0, 90.0, 90.0, 20.0, 100.0, 100.0, 14.298828125, 14.298828125, 70.0, 14.298828125, 14.298828125, 57.09375, 14.298828125, 0.0, 0.0, 0.0, 0.0, 85.6875, 57.09375, 14.298828125, 14.298828125, 6.0, 1.0, 17.0, 5.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 46.0, "9581", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9581&g_ta_cod=9581", 10.0, 60.0, 30.0),
(11823, "Public", "0382838D", "Lycée La Pléiade", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Pont-de-Chéruy", "formation sélective", "BTS", "Lycée La Pléiade - BTS - Services - Gestion de la PME", "BTS - Services", "", 15, 228, 163, 228, 0, 17, 3, 89, 35, 61, 35, 61, 0, 0, 0, 0, 0, 196, 0, 0, 0, 15, 3, 85, 33, 57, 31, 39, 78, 15, 11, 15, 0, 2.0, 8.0, 11.0, 0, 5, 14, 1, 7, 6, 1, 0, 7, 5, 1, 1, 0.0, 0, 2, 5, 7, 5, 13, 13, 13.33, 53.33, 73.33, 73.296875, 92.890625, 92.890625, 50, 35.6953125, 93.296875, 0.0, 50.0, 35.6953125, 7.099609375, 7.1, 0.0, 7.099609375, 0.0, 50.0, 14.298828125, 42.8984375, 35.6953125, 2.0, 2.0, 41.0, 23.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 44.0, "18732", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18732&g_ta_cod=18732", 7.0, 53.0, 40.0),
(11824, "Public", "0210019G", "Lycée Le Castel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Le Castel - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 570, 298, 570, 0, 121, 31, 159, 49, 104, 40, 186, 0, 0, 0, 0, 0, 421, 0, 0, 0, 107, 21, 146, 44, 85, 27, 83, 136, 20, 8, 20, 0, 0.0, 12.0, 18.0, 0, 4, 13, 2, 4, 7, 7, 0, 4, 8, 1, 0, 0.0, 1, 2, 6, 4, 2, 13, 13, 0.0, 60.0, 90.0, 40.0, 100.0, 100.0, 30.796875, 30.796875, 65.0, 0.0, 30.796875, 61.5, 7.69921875, 0.0, 0.0, 15.3984375, 7.69921875, 30.796875, 15.3984375, 53.796875, 46.1953125, 28.0, 6.0, 46.0, 15.0, 23.0, "Tous les candidats sauf les Bac professionnels", 179.0, "Bacheliers professionnels toutes séries", 63, "", 0, "Liste d'appel propre à cette formation", 42.0, "3196", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3196&g_ta_cod=3196", 25.0, 40.0, 35.0),
(11825, "Public", "0301687W", "Université de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "Licence", "Université de Nîmes - Licence - Arts - Parcours Design", "Licence - Arts-lettres-langues", "Design", 200, 1862, 1384, 1862, 0, 987, 203, 291, 69, 120, 58, 464, 0, 0, 0, 0, 0, 1838, 0, 0, 0, 987, 203, 291, 69, 120, 58, 440, 879, 193, 144, 193, 0, 10.0, 165.0, 174.0, 0, 43, 162, 120, 23, 19, 31, 0, 46, 85, 28, 3, 0.0, 87, 16, 13, 0, 0, 67, 67, 5.18, 85.49, 90.16, 74.59375, 41.3984375, 41.3984375, 0, 26.5, 83.890625, 0.0, 28.3984375, 52.5, 17.296875, 1.9, 0.0, 74.09375, 53.6953125, 14.19921875, 9.8984375, 11.69921875, 8.0, 572.0, 98.0, 51.0, 23.0, 87.0, "Tous les candidats", 1084.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "4014", "Licence - Arts - Parcours Design", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4014&g_ta_cod=4014", 68.0, 17.0, 13.0),
(11826, "Public", "0590018Z", "Lycée Jesse De Forest", "59", "Nord", "Hauts-de-France", "Lille", "Avesnes-sur-Helpe", "formation sélective", "Autre formation", "Lycée Jesse De Forest - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 121, 47, 110, 0, 22, 3, 14, 7, 25, 17, 49, 11, 0, 1, 4, 6, 44, 3, 0, 0, 11, 2, 6, 3, 18, 11, 9, 45, 17, 9, 17, 0, 10.0, 17.0, 17.0, 0, 9, 15, 0, 1, 14, 2, 0, 5, 8, 1, 1, 0.0, 0, 1, 9, 0, 0, 14, 14, 58.82, 100.0, 100.0, 52.8984375, 93.296875, 93.296875, 0, 60.0, 88.1875, 0.0, 33.296875, 53.296875, 6.69921875, 6.7, 0.0, 0.0, 0.0, 6.69921875, 6.69921875, 93.296875, 60.0, 10.0, 2.0, 18.0, 12.0, 11.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "6720", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6720&g_ta_cod=6720", 6.0, 6.0, 88.0),
(11827, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 50, 292, 115, 203, 0, 132, 27, 17, 5, 8, 4, 46, 89, 18, 12, 8, 51, 202, 79, 0, 0, 132, 27, 17, 5, 8, 4, 45, 281, 42, 8, 23, 19, 22.0, 23.0, 34.0, 0, 8, 25, 14, 7, 4, 17, 0, 11, 11, 3, 0, 0.0, 8, 4, 2, 0, 0, 22, 22, 52.38, 54.76, 80.95, 19.0, 88.0, 88.0, 0, 32.0, 59.5, 0.0, 44.0, 44.0, 12.0, 0.0, 0.0, 56.0, 32.0, 28.0, 16.0, 16.0, 8.0, 150.0, 28.0, 16.0, 8.0, 86.0, "Tous les candidats", 202.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6620", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6620&g_ta_cod=6620", 52.0, 31.0, 17.0),
(11828, "Public", "0142132S", "Lycée Francois Rabelais", "14", "Calvados", "Normandie", "Normandie", "Ifs", "formation sélective", "Autre formation", "Lycée Francois Rabelais - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 24, 187, 107, 187, 0, 77, 13, 35, 11, 16, 4, 59, 0, 0, 0, 0, 0, 187, 0, 0, 0, 77, 13, 35, 11, 16, 4, 59, 91, 23, 18, 23, 0, 2.0, 14.0, 20.0, 0, 3, 15, 11, 3, 1, 8, 0, 8, 7, 0, 0, 0.0, 5, 1, 1, 0, 0, 12, 12, 8.7, 60.87, 86.96, 78.296875, 80.0, 80.0, 0, 20.0, 65.1875, 0.0, 53.296875, 46.6953125, 0.0, 0.0, 0.0, 73.296875, 33.296875, 20.0, 6.69921875, 6.69921875, 6.69921875, 40.0, 7.0, 4.0, 1.0, 28.0, "Tous les candidats", 128.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "2928", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2928&g_ta_cod=2928", 74.0, 22.0, 4.0),
(11829, "Privé sous contrat d'association", "0580071M", "Centre scolaire Notre-Dame", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "BTS", "Centre scolaire Notre-Dame - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 200, 124, 169, 0, 6, 0, 24, 7, 24, 9, 115, 31, 3, 4, 7, 17, 54, 16, 0, 0, 5, 0, 21, 7, 21, 7, 7, 65, 22, 18, 12, 10, 4.0, 12.0, 20.0, 0, 5, 14, 1, 6, 7, 8, 0, 6, 8, 0, 0, 0.0, 0, 3, 5, 5, 4, 12, 12, 18.18, 54.55, 90.91, 81.796875, 85.6875, 85.6875, 35.6953125, 35.6953125, 63.59375, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 7.099609375, 0.0, 42.8984375, 21.3984375, 50.0, 35.6953125, 7.0, 1.0, 21.0, 7.0, 16.0, "Tous les candidats sauf les Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 32.0, "6686", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6686&g_ta_cod=6686", 27.0, 36.0, 36.0),
(11830, "Public", "9710746J", "Lycée professionnel Augustin Arron", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "BTS", "Lycée professionnel Augustin Arron - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 367, 265, 321, 0, 26, 11, 103, 67, 157, 117, 35, 46, 8, 15, 0, 23, 90, 5, 0, 0, 7, 2, 21, 15, 60, 49, 2, 71, 29, 25, 27, 2, 9.0, 24.0, 29.0, 0, 19, 27, 2, 2, 23, 2, 0, 3, 16, 8, 0, 0.0, 2, 2, 20, 10, 8, 27, 27, 31.03, 82.76, 100.0, 86.1875, 100.0, 100.0, 37, 70.390625, 93.09375, 0.0, 11.099609375, 59.296875, 29.59765625, 0.0, 0.0, 7.3994140625, 7.3994140625, 7.3994140625, 7.3994140625, 85.1875, 74.09375, 6.0, 2.0, 46.0, 36.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 25.0, "11750", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11750&g_ta_cod=11750", 10.0, 10.0, 79.0),
(11831, "Public", "0690028F", "Lycée De Saint Just", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée De Saint Just - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 1892, 981, 1892, 0, 1742, 136, 1, 0, 0, 0, 149, 0, 0, 0, 0, 0, 958, 0, 0, 958, 948, 59, 0, 0, 0, 0, 10, 278, 28, 16, 28, 0, 3.0, 18.0, 28.0, 0, 6, 28, 28, 0, 0, 0, 0, 0, 0, 20, 7, 1.0, 28, 0, 0, 1, 1, 6, 6, 10.71, 64.29, 100.0, 57.09375, 21.3984375, 21.3984375, 3.599609375, 21.3984375, 100.0, 0.0, 0.0, 0.0, 71.390625, 25.0, 3.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 275.0, 36.0, 0.0, 0.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "31628", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31315&g_ta_cod=31628", 100.0, 0.0, 0.0),
(11832, "Privé enseignement supérieur", "0022134J", "ELISA Aerospace Hauts de France", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 2, 95, 4, 95, 0, 0, 0, 95, 21, 0, 0, 0, 0, 0, 0, 0, 0, 42, 0, 0, 0, 0, 0, 42, 8, 0, 0, 0, 15, 2, 0, 2, 0, 1.0, 2.0, 2.0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0.0, 0, 2, 0, 0, 0, 0, 0, 50.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "22907", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=22907", 0.0, 100.0, 0.0),
(11833, "Public", "9740054R", "Lycée Lislet Geoffroy", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "CPGE", "Lycée Lislet Geoffroy - CPGE - PTSI", "Classe préparatoire scientifique", "", 40, 190, 37, 190, 81, 153, 47, 5, 1, 0, 0, 32, 0, 0, 0, 0, 0, 147, 0, 68, 146, 140, 41, 0, 0, 0, 0, 7, 132, 40, 9, 40, 0, 33.0, 38.0, 38.0, 10, 16, 38, 38, 0, 0, 2, 0, 3, 19, 14, 2, 0.0, 35, 0, 0, 9, 4, 37, 37, 82.5, 95.0, 95.0, 22.5, 97.390625, 97.390625, 23.69921875, 42.09375, 95.0, 0.0, 7.8994140625, 50.0, 36.796875, 5.3, 0.0, 100.0, 92.09375, 0.0, 0.0, 0.0, 0.0, 126.0, 39.0, 0.0, 0.0, 6.0, "Tous les candidats", 130.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "11901", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11901&g_ta_cod=11901", 100.0, 0.0, 0.0),
(11834, "Public", "0640057P", "Lycée Saint-Cricq", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "BTS", "Lycée Saint-Cricq - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 20, 312, 20, 312, 0, 49, 4, 103, 32, 94, 29, 66, 0, 0, 0, 0, 0, 311, 0, 0, 0, 49, 4, 103, 32, 94, 29, 65, 45, 20, 0, 20, 0, 3.0, 12.0, 15.0, 0, 9, 18, 1, 7, 10, 2, 0, 7, 8, 3, 0, 0.0, 0, 6, 5, 7, 0, 17, 17, 15.0, 60.0, 75.0, 0.0, 94.390625, 94.390625, 38.8984375, 50.0, 90.0, 0.0, 38.8984375, 44.3984375, 16.69921875, 0.0, 0.0, 5.599609375, 0.0, 38.8984375, 33.296875, 55.59375, 27.796875, 4.0, 1.0, 26.0, 11.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 23.0, "17669", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17669&g_ta_cod=17669", 10.0, 40.0, 50.0),
(11835, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Licence", "Université Côte d'Azur - Double licence - Economie et gestion / Sociologie -  Double licence Sociologie Economie", "Licence - Droit-économie-gestion", "Double licence Sociologie Economie", 80, 1656, 939, 1370, 0, 1009, 163, 72, 27, 16, 7, 273, 286, 58, 37, 5, 186, 805, 40, 0, 0, 663, 85, 16, 2, 9, 3, 117, 491, 76, 45, 58, 18, 4.0, 41.0, 65.0, 0, 7, 49, 46, 2, 1, 27, 0, 5, 15, 16, 13, 0.0, 42, 1, 1, 0, 0, 31, 31, 5.26, 53.95, 85.53, 59.1953125, 63.296875, 63.296875, 0, 14.298828125, 64.5, 0.0, 10.19921875, 30.59765625, 32.6953125, 26.5, 0.0, 93.890625, 85.6875, 4.099609375, 2.0, 2.0, 2.0, 370.0, 57.0, 7.0, 3.0, 109.0, "Tous les candidats", 804.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "15111", "Double licence - Economie et gestion / Sociologie -  Double licence Sociologie Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15111&g_ta_cod=15111", 95.0, 4.0, 1.0),
(11836, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Informatique - Parcours Mathématiques et Informatique", "Licence - Sciences - technologies - santé", "Mathématiques et Informatique", 15, 222, 31, 214, 0, 162, 38, 3, 1, 4, 3, 45, 8, 1, 1, 0, 6, 212, 8, 0, 0, 162, 38, 3, 1, 4, 3, 43, 117, 15, 3, 11, 3, 1.0, 9.0, 11.0, 0, 2, 8, 7, 0, 1, 7, 0, 5, 1, 0, 2, 0.0, 2, 0, 1, 0, 0, 8, 8, 6.67, 60.0, 73.33, 20.0, 100.0, 100.0, 0, 25.0, 53.296875, 0.0, 62.5, 12.5, 0.0, 25.0, 0.0, 87.5, 25.0, 0.0, 0.0, 12.5, 12.5, 86.0, 18.0, 2.0, 1.0, 28.0, "Tous les candidats", 207.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "24780", "Licence - Informatique - Parcours Mathématiques et Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24780&g_ta_cod=24780", 87.0, 7.0, 7.0),
(11837, "Public", "9741052A", "Lycée Stella", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Leu", "formation sélective", "Autre formation", "Lycée Stella - Mention complémentaire - Aéronautique option avions à moteur à turbines", "Mention complémentaire", "", 12, 32, 1, 32, 0, 0, 0, 0, 0, 29, 11, 3, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 29, 11, 3, 17, 12, 0, 12, 0, 7.0, 12.0, 12.0, 0, 7, 12, 0, 0, 12, 0, 0, 4, 5, 2, 1, 0.0, 0, 0, 8, 0, 0, 12, 12, 58.33, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 58.296875, 100.0, 0.0, 33.296875, 41.6953125, 16.69921875, 8.3, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 17.0, 7.0, 0.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "22099", "Mention complémentaire - Aéronautique option avions à moteur à turbines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22099&g_ta_cod=22099", 0.0, 0.0, 100.0),
(11838, "Public", "0673149J", "I.U.T. de Schiltigheim - Site de Sélestat", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Sélestat", "formation sélective", "BUT", "I.U.T. de Schiltigheim - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités", "BUT - Service", "", 58, 1492, 741, 1330, 0, 761, 141, 330, 101, 12, 4, 227, 162, 50, 6, 4, 102, 351, 37, 0, 0, 260, 24, 71, 12, 0, 0, 20, 285, 35, 15, 20, 15, 2.0, 20.0, 32.0, 0, 3, 25, 20, 5, 0, 10, 0, 0, 20, 4, 1, 0.0, 20, 5, 0, 0, 0, 22, 22, 5.71, 57.14, 91.43, 42.8984375, 88.0, 88.0, 0, 12.0, 71.390625, 0.0, 0.0, 80.0, 16.0, 4.0, 0.0, 80.0, 80.0, 20.0, 20.0, 0.0, 0.0, 183.0, 18.0, 0.0, 0.0, 37.0, "Tous les candidats sauf les Bac technologiques", 450.0, "Bacheliers technologiques toutes séries", 114, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "29732", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8005&g_ta_cod=29732", 86.0, 14.0, 0.0),
(11839, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence", "Université de Perpignan Via Domitia - Licence - Portail NOBEL", "Licence - Sciences - technologies - santé", "NOBEL", 110, 407, 189, 320, 0, 198, 48, 29, 9, 1, 1, 92, 87, 26, 3, 0, 58, 320, 74, 0, 0, 198, 48, 29, 9, 1, 1, 92, 384, 75, 28, 51, 23, 18.0, 50.0, 66.0, 0, 14, 38, 33, 5, 0, 37, 0, 9, 16, 11, 2, 0.0, 27, 2, 0, 0, 0, 37, 37, 24.0, 66.67, 88.0, 37.296875, 97.390625, 97.390625, 0, 36.796875, 50.6953125, 0.0, 23.69921875, 42.09375, 28.8984375, 5.3, 0.0, 86.796875, 71.09375, 13.19921875, 5.2998046875, 0.0, 0.0, 217.0, 51.0, 1.0, 1.0, 137.0, "Tous les candidats", 320.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32063", "Licence - Portail NOBEL", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32063&g_ta_cod=32063", 75.0, 16.0, 5.0),
(11840, "Public", "0300026R", "Lycée Dhuoda", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Dhuoda - BTS - Production - Enveloppe des bâtiments : conception et réalisation", "BTS - Production", "", 14, 293, 50, 293, 0, 14, 2, 141, 37, 60, 30, 78, 0, 0, 0, 0, 0, 184, 0, 0, 0, 13, 2, 105, 22, 42, 20, 24, 73, 11, 2, 11, 0, 1.0, 10.0, 11.0, 0, 5, 11, 0, 5, 6, 0, 0, 7, 3, 1, 0, 0.0, 0, 1, 3, 1, 0, 8, 8, 9.09, 90.91, 100.0, 18.19921875, 72.6875, 72.6875, 9.099609375, 45.5, 100.0, 0.0, 63.59375, 27.296875, 9.099609375, 0.0, 0.0, 0.0, 0.0, 45.5, 9.099609375, 54.5, 27.296875, 7.0, 2.0, 23.0, 8.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 34.0, "3937", "BTS - Production - Enveloppe des bâtiments : conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3937&g_ta_cod=3937", 0.0, 45.0, 55.0),
(11841, "Public", "0350697T", "I.U.T de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BUT", "I.U.T de Rennes - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", 196, 5292, 2562, 5181, 0, 3149, 351, 1350, 317, 18, 8, 664, 111, 0, 60, 0, 51, 2412, 1, 0, 0, 1870, 277, 401, 81, 0, 0, 141, 850, 195, 104, 195, 0, 54.0, 169.0, 187.0, 0, 31, 188, 103, 85, 0, 7, 0, 1, 50, 118, 19, 0.0, 103, 84, 0, 0, 0, 167, 167, 27.69, 86.67, 95.9, 53.296875, 88.796875, 88.796875, 0, 16.5, 96.390625, 0.0, 0.5, 26.59765625, 62.796875, 10.1, 0.0, 54.796875, 54.796875, 45.1953125, 44.6953125, 0.0, 0.0, 483.0, 71.0, 0.0, 0.0, 34.0, "Tous les candidats sauf les Bac technologiques", 912.0, "Bacheliers technologiques toutes séries", 413, "", 0, "Liste d'appel propre à cette formation", 26.0, "4664", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4664&g_ta_cod=4664", 55.0, 45.0, 0.0),
(11842, "Privé sous contrat d'association", "0791005N", "MFR SEVREUROPE", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Bressuire", "formation sélective", "BTS", "MFR SEVREUROPE - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 30, 57, 9, 57, 0, 3, 1, 15, 4, 35, 8, 4, 0, 0, 0, 0, 0, 41, 0, 0, 0, 1, 1, 11, 2, 29, 7, 0, 32, 20, 3, 20, 0, 20.0, 20.0, 20.0, 0, 5, 20, 0, 6, 14, 0, 0, 5, 11, 4, 0, 0.0, 0, 5, 10, 2, 0, 20, 20, 100.0, 100.0, 100.0, 15.0, 100.0, 100.0, 10, 25.0, 100.0, 0.0, 25.0, 55.0, 20.0, 0.0, 0.0, 0.0, 0.0, 30.0, 25.0, 70.0, 50.0, 1.0, 1.0, 23.0, 6.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 65.0, "10128", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10128&g_ta_cod=10128", 0.0, 30.0, 70.0),
(11843, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 90, 396, 304, 256, 0, 174, 57, 20, 8, 12, 8, 50, 140, 17, 17, 8, 98, 255, 138, 0, 0, 174, 57, 20, 8, 12, 8, 49, 346, 59, 43, 24, 35, 6.0, 23.0, 40.0, 0, 12, 31, 24, 5, 2, 28, 0, 15, 11, 4, 1, 0.0, 12, 2, 2, 0, 0, 22, 22, 10.17, 38.98, 67.8, 72.890625, 71.0, 71.0, 0, 38.6953125, 52.5, 0.0, 48.3984375, 35.5, 12.8984375, 3.2, 0.0, 77.390625, 38.6953125, 16.09765625, 6.5, 6.5, 6.5, 164.0, 51.0, 14.0, 8.0, 135.0, "Tous les candidats", 252.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "22663", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22663&g_ta_cod=22663", 68.0, 20.0, 12.0),
(11844, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Sciences sociales - Parcours Licence Sciences Sociales Option Philosophie", "Licence - Sciences humaines et sociales", "Licence Sciences Sociales Option Philosophie", 30, 228, 176, 203, 0, 131, 37, 21, 2, 4, 0, 47, 25, 5, 3, 1, 16, 203, 25, 0, 0, 131, 37, 21, 2, 4, 0, 47, 179, 30, 19, 17, 13, 2.0, 17.0, 25.0, 0, 6, 16, 11, 4, 1, 14, 0, 12, 3, 0, 1, 0.0, 4, 0, 0, 0, 0, 16, 16, 6.67, 56.67, 83.33, 63.296875, 100.0, 100.0, 0, 37.5, 53.296875, 0.0, 75.0, 18.796875, 0.0, 6.3, 0.0, 68.796875, 25.0, 25.0, 0.0, 6.2998046875, 0.0, 101.0, 32.0, 4.0, 1.0, 53.0, "Tous les candidats", 203.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "25338", "Licence - Sciences sociales - Parcours Licence Sciences Sociales Option Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28712&g_ta_cod=25338", 67.0, 30.0, 3.0),
(11845, "Public", "9720003W", "Lycée Bellevue", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée Bellevue - BTS - Services - Tourisme", "BTS - Services", "", 24, 363, 280, 314, 0, 106, 45, 56, 24, 90, 65, 62, 49, 6, 7, 11, 25, 86, 11, 0, 0, 42, 16, 18, 8, 19, 12, 7, 70, 20, 17, 15, 5, 7.0, 15.0, 20.0, 0, 7, 16, 6, 6, 4, 4, 0, 1, 6, 7, 2, 0.0, 5, 6, 4, 2, 2, 12, 12, 35.0, 75.0, 100.0, 85.0, 75.0, 75.0, 12.5, 43.796875, 80.0, 0.0, 6.2998046875, 37.5, 43.796875, 12.5, 0.0, 37.5, 31.296875, 37.5, 37.5, 25.0, 25.0, 26.0, 11.0, 15.0, 9.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 25.0, "11791", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11791&g_ta_cod=11791", 40.0, 35.0, 25.0),
(11846, "Public", "0101016A", "Lycée Edouard Herriot", "10", "Aube", "Grand Est", "Reims", "Sainte-Savine", "formation sélective", "BTS", "Lycée Edouard Herriot - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 430, 204, 416, 0, 43, 10, 164, 53, 124, 57, 85, 14, 0, 0, 8, 6, 246, 3, 0, 0, 35, 8, 115, 34, 77, 36, 19, 114, 31, 9, 30, 1, 10.0, 23.0, 26.0, 0, 14, 24, 2, 8, 14, 7, 0, 11, 9, 4, 0, 0.0, 0, 4, 9, 1, 0, 21, 21, 32.26, 74.19, 83.87, 29.0, 87.5, 87.5, 4.19921875, 58.296875, 77.390625, 0.0, 45.796875, 37.5, 16.69921875, 0.0, 0.0, 8.298828125, 0.0, 33.296875, 16.69921875, 58.296875, 37.5, 9.0, 3.0, 39.0, 19.0, 9.0, "Tous les candidats sauf les Bac professionnels", 122.0, "Bacheliers professionnels toutes séries", 61, "", 0, "Liste d'appel propre à cette formation", 44.0, "2437", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2437&g_ta_cod=2437", 10.0, 32.0, 58.0),
(11847, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation non sélective", "PASS", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 35, 5287, 3233, 5287, 0, 4108, 725, 76, 28, 20, 9, 1083, 0, 0, 0, 0, 0, 5286, 0, 0, 0, 4108, 725, 76, 28, 20, 9, 1082, 526, 35, 19, 35, 0, 0.0, 17.0, 31.0, 0, 6, 34, 34, 0, 0, 1, 0, 1, 5, 19, 9, 0.0, 33, 0, 0, 0, 0, 23, 33, 0.0, 48.57, 88.57, 54.296875, 67.59375, 97.09375, 0, 17.59765625, 97.09375, 0.0, 2.89990234375, 14.69921875, 55.8984375, 26.5, 0.0, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 476.0, 79.0, 0.0, 0.0, 50.0, "Tous les candidats", 3159.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "29005", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27909&g_ta_cod=29005", 100.0, 0.0, 0.0),
(11848, "Privé sous contrat d'association", "0860789R", "Ensemble scolaire Isaac de l'Etoile - Le Porteau", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Ensemble scolaire Isaac de l'Etoile - Le Porteau - BTS - Production - Maintenance des véhicules option véhicules de transport routier", "BTS - Production", "", 20, 97, 8, 82, 0, 4, 0, 11, 2, 39, 16, 28, 15, 1, 0, 10, 4, 51, 6, 0, 0, 2, 0, 8, 0, 34, 13, 7, 51, 14, 1, 11, 3, 3.0, 11.0, 14.0, 0, 1, 12, 0, 1, 11, 2, 0, 2, 7, 2, 1, 0.0, 0, 0, 10, 8, 1, 8, 8, 21.43, 78.57, 100.0, 7.099609375, 66.6875, 66.6875, 66.6875, 8.298828125, 85.6875, 0.0, 16.69921875, 58.296875, 16.69921875, 8.3, 0.0, 0.0, 0.0, 8.298828125, 0.0, 91.6875, 83.296875, 2.0, 0.0, 35.0, 11.0, 8.0, "Tous les candidats sauf les Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 60.0, "10615", "BTS - Production - Maintenance des véhicules option véhicules de transport routier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10615&g_ta_cod=10615", 7.0, 7.0, 86.0),
(11849, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Portail Sciences de l'Homme, Anthropologie, Ethnologie", "Licence - Sciences humaines et sociales", "", 90, 747, 534, 582, 0, 335, 73, 25, 7, 8, 2, 214, 165, 39, 2, 5, 119, 576, 161, 0, 0, 335, 73, 25, 7, 8, 2, 208, 583, 89, 57, 28, 60, 2.0, 28.0, 62.0, 0, 4, 28, 21, 1, 6, 61, 0, 16, 6, 6, 0, 0.0, 10, 0, 2, 0, 0, 17, 17, 2.25, 31.46, 69.66, 64.0, 60.6953125, 60.6953125, 0, 14.298828125, 31.5, 0.0, 57.09375, 21.3984375, 21.3984375, 0.0, 0.0, 75.0, 35.6953125, 3.599609375, 0.0, 21.3984375, 7.099609375, 258.0, 60.0, 11.0, 2.0, 296.0, "Tous les candidats", 743.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "2290", "Licence - Portail Sciences de l'Homme, Anthropologie, Ethnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27482&g_ta_cod=2290", 63.0, 15.0, 19.0),
(11850, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence_Las", "Université de Lille - Licence - Portail Sociologie - Sociologie quantitative", "Licence - Sciences humaines et sociales", "Sociologie quantitative", 20, 356, 281, 350, 0, 218, 61, 25, 14, 6, 2, 101, 6, 2, 0, 0, 4, 346, 5, 0, 0, 218, 61, 25, 14, 6, 2, 97, 187, 20, 13, 17, 3, 1.0, 7.0, 11.0, 0, 4, 8, 8, 0, 0, 12, 0, 3, 2, 3, 0, 0.0, 5, 0, 0, 0, 0, 6, 6, 5.0, 35.0, 55.0, 65.0, 75.0, 75.0, 0, 50.0, 40.0, 0.0, 37.5, 25.0, 37.5, 0.0, 0.0, 100.0, 62.5, 0.0, 0.0, 0.0, 0.0, 122.0, 36.0, 2.0, 0.0, 60.0, "Tous les candidats", 531.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 77.0, "29049", "Licence - Portail Sociologie - Sociologie quantitative", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29048&g_ta_cod=29049", 90.0, 0.0, 5.0),
(11851, "Public", "0332436U", "IFSI Centre hospitalier Charles Perrens Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bordeaux - D.E Infirmier", "D.E secteur sanitaire", "", 75, 8195, 6865, 8195, 0, 1765, 333, 1303, 330, 567, 190, 4560, 0, 0, 0, 0, 0, 6549, 0, 0, 0, 1609, 281, 1120, 262, 371, 126, 3449, 709, 75, 69, 75, 0, 7.0, 44.0, 59.0, 0, 7, 21, 9, 10, 2, 54, 0, 2, 6, 10, 3, 0.0, 7, 10, 2, 0, 0, 11, 11, 9.33, 58.67, 78.67, 92.0, 52.3984375, 52.3984375, 0, 33.296875, 28.0, 0.0, 9.5, 28.59765625, 47.59375, 14.3, 0.0, 42.8984375, 33.296875, 47.59375, 47.59375, 9.5, 9.5, 131.0, 23.0, 10.0, 6.0, 444.0, "Tous les candidats", 1751.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 17.0, "23947", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23940&g_ta_cod=23947", 81.0, 15.0, 3.0),
(11852, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 60, 208, 163, 175, 0, 126, 37, 13, 5, 3, 3, 33, 33, 8, 2, 4, 19, 174, 33, 0, 0, 126, 37, 13, 5, 3, 3, 32, 193, 42, 37, 32, 10, 15.0, 31.0, 36.0, 0, 7, 30, 27, 2, 1, 12, 0, 14, 7, 7, 2, 0.0, 16, 0, 0, 0, 0, 18, 18, 35.71, 73.81, 85.71, 88.09375, 60.0, 60.0, 0, 23.296875, 71.390625, 0.0, 46.6953125, 23.296875, 23.296875, 6.7, 0.0, 90.0, 53.296875, 6.69921875, 0.0, 3.2998046875, 0.0, 125.0, 39.0, 7.0, 4.0, 47.0, "Tous les candidats", 174.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "6133", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6133&g_ta_cod=6133", 79.0, 12.0, 10.0),
(11853, "Public", "0781944P", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "Licence", "Université de Versailles - Saint Quentin en Yvelines - Licence - Géographie et aménagement - Parcours Géographie", "Licence - Sciences humaines et sociales", "Géographie", 58, 320, 144, 181, 0, 126, 15, 12, 1, 1, 1, 42, 139, 40, 9, 5, 85, 175, 100, 0, 0, 126, 15, 12, 1, 1, 1, 36, 249, 51, 23, 24, 27, 6.0, 24.0, 35.0, 0, 5, 31, 23, 3, 5, 20, 0, 17, 8, 5, 1, 0.0, 13, 1, 0, 0, 0, 22, 26, 11.76, 47.06, 68.63, 45.09375, 71.0, 83.890625, 0, 16.09765625, 60.796875, 0.0, 54.796875, 25.796875, 16.09765625, 3.2, 0.0, 74.1875, 41.8984375, 9.69921875, 3.19970703125, 16.09765625, 0.0, 142.0, 17.0, 6.0, 3.0, 84.0, "Tous les candidats", 175.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "10008", "Licence - Géographie et aménagement - Parcours Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10008&g_ta_cod=10008", 75.0, 16.0, 10.0),
(11854, "Public", "0640057P", "Lycée Saint-Cricq", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "BTS", "Lycée Saint-Cricq - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 218, 5, 212, 0, 7, 0, 48, 13, 99, 26, 58, 6, 0, 3, 0, 3, 120, 2, 0, 0, 6, 0, 34, 10, 70, 18, 10, 64, 10, 0, 9, 1, 3.0, 9.0, 10.0, 0, 4, 6, 0, 2, 4, 4, 0, 1, 2, 3, 0, 0.0, 0, 1, 4, 0, 0, 4, 4, 30.0, 90.0, 100.0, 0.0, 66.6875, 66.6875, 0, 66.6875, 60.0, 0.0, 16.69921875, 33.296875, 50.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 16.69921875, 66.6875, 66.6875, 1.0, 0.0, 33.0, 9.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 51.0, "7712", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7712&g_ta_cod=7712", 10.0, 40.0, 50.0),
(11855, "Public", "0940113M", "Lycée Langevin-Wallon", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Champigny-sur-Marne", "formation sélective", "Autre formation", "Lycée Langevin-Wallon - Mention complémentaire - FCIL E-Commerce", "Mention complémentaire", "", 18, 57, 23, 57, 0, 1, 0, 0, 0, 40, 19, 16, 0, 0, 0, 0, 0, 36, 0, 0, 0, 0, 0, 0, 0, 31, 14, 5, 35, 18, 8, 17, 0, 9.0, 17.0, 17.0, 0, 8, 15, 0, 1, 14, 3, 0, 11, 3, 1, 0, 0.0, 0, 0, 4, 0, 0, 14, 15, 50.0, 94.44, 94.44, 44.3984375, 93.296875, 100.0, 0, 53.296875, 83.296875, 0.0, 73.296875, 20.0, 6.69921875, 0.0, 0.0, 0.0, 0.0, 6.69921875, 0.0, 93.296875, 26.69921875, 0.0, 0.0, 30.0, 14.0, 4.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "24726", "Mention complémentaire - FCIL E-Commerce", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24726&g_ta_cod=24726", 0.0, 17.0, 83.0),
(11856, "Public", "0590255G", "Lycée professionnel GUY DEBEYRE", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "Lycée professionnel GUY DEBEYRE - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 35, 351, 328, 350, 0, 34, 11, 88, 36, 108, 53, 120, 1, 0, 0, 1, 0, 285, 1, 0, 0, 34, 11, 54, 25, 96, 47, 101, 137, 24, 24, 23, 1, 4.0, 17.0, 22.0, 0, 13, 18, 4, 2, 12, 6, 0, 8, 8, 1, 1, 0.0, 1, 1, 8, 5, 5, 16, 16, 16.67, 70.83, 91.67, 100.0, 88.890625, 88.890625, 27.796875, 72.1875, 75.0, 0.0, 44.3984375, 44.3984375, 5.599609375, 5.6, 0.0, 22.19921875, 5.599609375, 11.099609375, 5.599609375, 66.6875, 44.3984375, 10.0, 6.0, 68.0, 33.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 102, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 48.0, "18602", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18602&g_ta_cod=18602", 29.0, 21.0, 50.0),
(11857, "Privé sous contrat d'association", "0300127A", "Lycée St Vincent De Paul", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée St Vincent De Paul - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 273, 179, 228, 0, 14, 1, 72, 37, 59, 27, 83, 45, 1, 5, 13, 26, 147, 15, 0, 0, 13, 1, 58, 27, 47, 18, 29, 138, 23, 16, 19, 4, 10.0, 18.0, 19.0, 0, 8, 19, 2, 10, 7, 4, 0, 4, 10, 4, 1, 0.0, 2, 7, 6, 9, 5, 15, 15, 43.48, 78.26, 82.61, 69.59375, 78.890625, 78.890625, 47.3984375, 42.09375, 82.59375, 0.0, 21.09765625, 52.59375, 21.09765625, 5.3, 0.0, 10.5, 10.5, 52.59375, 36.796875, 36.796875, 31.59765625, 12.0, 0.0, 40.0, 16.0, 33.0, "Tous les candidats sauf les Bac professionnels", 94.0, "Bacheliers professionnels toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 62.0, "3976", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3976&g_ta_cod=3976", 22.0, 48.0, 30.0),
(11858, "Public", "0811199N", "I.U.T de Toulouse - Antenne de Castres", "81", "Tarn", "Occitanie", "Toulouse", "Castres", "formation sélective", "BUT", "I.U.T de Toulouse - Antenne de Castres - BUT - Métiers du multimédia et de l'internet Parcours : Développement web et dispositifs interactifs", "BUT - Production", "Développement web et dispositifs interactifs", 54, 1241, 331, 1241, 0, 553, 115, 336, 101, 26, 6, 326, 0, 0, 0, 0, 0, 977, 0, 0, 0, 490, 97, 262, 69, 1, 0, 224, 362, 57, 10, 57, 0, 18.0, 40.0, 48.0, 0, 13, 38, 19, 18, 1, 19, 1, 5, 24, 6, 2, 0.0, 15, 16, 1, 0, 0, 26, 26, 31.58, 70.18, 84.21, 17.5, 68.390625, 68.390625, 0, 34.1953125, 66.6875, 2.599609375, 13.19921875, 63.1953125, 15.798828125, 5.3, 0.0, 50.0, 39.5, 47.3984375, 42.09375, 2.599609375, 2.599609375, 136.0, 37.0, 1.0, 0.0, 93.0, "Tous les candidats sauf les Bac technologiques", 276.0, "Bacheliers technologiques toutes séries", 238, "", 0, "Liste d'appel propre à cette formation", 41.0, "10295", "BUT - Métiers du multimédia et de l'internet Parcours : Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10295&g_ta_cod=10295", 51.0, 47.0, 2.0),
(11859, "Public", "0594391C", "E.S.AA.T.", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "Autre formation", "E.S.AA.T. - DN MADE - Événement - - Spécialité : Scénographies culturelles", "DN MADE", "- Spécialité : Scénographies culturelles", 16, 425, 360, 425, 0, 136, 15, 149, 14, 21, 3, 119, 0, 0, 0, 0, 0, 143, 0, 0, 0, 42, 5, 80, 5, 6, 1, 15, 65, 16, 14, 16, 0, 3.0, 15.0, 15.0, 0, 1, 14, 7, 6, 1, 2, 0, 0, 2, 5, 7, 0.0, 7, 6, 1, 0, 0, 4, 4, 18.75, 93.75, 93.75, 87.5, 28.59765625, 28.59765625, 0, 7.099609375, 87.5, 0.0, 0.0, 14.298828125, 35.6953125, 50.0, 0.0, 50.0, 50.0, 42.8984375, 42.8984375, 7.099609375, 7.099609375, 20.0, 4.0, 3.0, 0.0, 7.0, "Tous les candidats", 95.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "24717", "DN MADE - Événement - - Spécialité : Scénographies culturelles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24717&g_ta_cod=24717", 44.0, 44.0, 6.0),
(11860, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "Université de Cergy-Pontoise - CY SUP - CUPGE - Parcours mathématiques-physique", "CUPGE - Sciences, technologie, santé", "", 30, 825, 220, 748, 0, 619, 73, 5, 4, 0, 0, 124, 77, 22, 1, 1, 53, 480, 10, 0, 0, 428, 49, 0, 0, 0, 0, 52, 292, 24, 5, 19, 5, 1.0, 14.0, 23.0, 0, 2, 17, 17, 0, 0, 7, 0, 0, 3, 9, 5, 0.0, 17, 0, 0, 0, 0, 13, 14, 4.17, 58.33, 95.83, 20.796875, 76.5, 82.390625, 0, 11.798828125, 70.796875, 0.0, 0.0, 17.59765625, 52.8984375, 29.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 248.0, 21.0, 0.0, 0.0, 44.0, "Tous les candidats", 473.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "14464", "CUPGE - Parcours mathématiques-physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14464&g_ta_cod=14464", 100.0, 0.0, 0.0),
(11861, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "PASS", "Université de Limoges - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 20, 1650, 1237, 1650, 0, 1256, 185, 39, 11, 8, 3, 347, 0, 0, 0, 0, 0, 1636, 0, 0, 0, 1256, 185, 39, 11, 8, 3, 333, 244, 18, 14, 18, 0, 0.0, 8.0, 15.0, 0, 1, 12, 11, 1, 0, 6, 0, 1, 5, 6, 0, 0.0, 11, 0, 0, 0, 0, 7, 7, 0.0, 44.44, 83.33, 77.796875, 58.296875, 58.296875, 0, 8.298828125, 66.6875, 0.0, 8.298828125, 41.6953125, 50.0, 0.0, 0.0, 91.6875, 91.6875, 8.298828125, 0.0, 0.0, 0.0, 183.0, 22.0, 0.0, 0.0, 52.0, "Tous les candidats", 1899.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "31763", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26973&g_ta_cod=31763", 94.0, 6.0, 0.0),
(11862, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence", "Institut national universitaire Champollion - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 90, 515, 397, 426, 0, 265, 60, 45, 14, 23, 9, 93, 89, 25, 8, 9, 47, 425, 70, 0, 0, 265, 60, 45, 14, 23, 9, 92, 418, 88, 62, 56, 32, 9.0, 55.0, 68.0, 0, 16, 59, 42, 10, 7, 29, 0, 34, 16, 9, 0, 0.0, 21, 2, 2, 0, 0, 48, 48, 10.23, 62.5, 77.27, 70.5, 81.390625, 81.390625, 0, 27.09765625, 67.0, 0.0, 57.59375, 27.09765625, 15.298828125, 0.0, 0.0, 71.1875, 35.59375, 16.8984375, 3.39990234375, 11.8984375, 3.39990234375, 247.0, 59.0, 23.0, 12.0, 107.0, "Tous les candidats", 425.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10307", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10307&g_ta_cod=10307", 70.0, 19.0, 10.0),
(11863, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Portail Philosophie", "Licence - Sciences humaines et sociales", "", 80, 343, 231, 261, 0, 167, 43, 19, 3, 13, 6, 62, 82, 17, 4, 5, 56, 260, 79, 0, 0, 167, 43, 19, 3, 13, 6, 61, 308, 24, 12, 16, 8, 6.0, 16.0, 20.0, 0, 4, 13, 10, 0, 3, 11, 0, 7, 4, 2, 0, 0.0, 6, 0, 0, 0, 0, 12, 12, 25.0, 66.67, 83.33, 50.0, 92.296875, 92.296875, 0, 30.796875, 54.1953125, 0.0, 53.796875, 30.796875, 15.3984375, 0.0, 0.0, 76.890625, 46.1953125, 0.0, 0.0, 23.09765625, 0.0, 168.0, 41.0, 15.0, 6.0, 105.0, "Tous les candidats", 299.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "3563", "Licence - Portail Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32321&g_ta_cod=3563", 71.0, 17.0, 13.0),
(11864, "Public", "0501234V", "Lycée agricole de Saint-Hilaire-du-Harcouët", "50", "Manche", "Normandie", "Normandie", "Saint-Hilaire-du-Harcouët", "formation sélective", "BTS", "Lycée agricole de Saint-Hilaire-du-Harcouët - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 27, 476, 180, 464, 0, 32, 6, 52, 13, 92, 30, 288, 12, 2, 0, 1, 9, 186, 5, 0, 0, 32, 6, 52, 13, 92, 30, 10, 125, 17, 12, 15, 2, 3.0, 15.0, 17.0, 0, 4, 15, 2, 3, 10, 2, 0, 10, 4, 1, 0, 0.0, 1, 2, 2, 10, 7, 13, 13, 17.65, 88.24, 100.0, 70.59375, 86.6875, 86.6875, 66.6875, 26.69921875, 88.1875, 0.0, 66.6875, 26.69921875, 6.69921875, 0.0, 0.0, 13.298828125, 6.69921875, 20.0, 13.298828125, 66.6875, 13.298828125, 23.0, 1.0, 58.0, 21.0, 9.0, "Tous les candidats sauf les Bac professionnels", 92.0, "Bacheliers professionnels toutes séries", 92, "", 0, "Liste d'appel propre à cette formation", 40.0, "6027", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6027&g_ta_cod=6027", 18.0, 24.0, 59.0),
(11865, "Public", "0420046X", "Lycée Etienne Mimard", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée Etienne Mimard - BTS - Production - Maintenance des systèmes - option A Systèmes de production - parcours Marine Nationale/Maistrance-Défense", "BTS - Production", "parcours Marine Nationale/Maistrance-Défense", 2, 45, 3, 45, 0, 4, 0, 14, 6, 20, 3, 7, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 2, 2, 0, 2, 0, 2.0, 2.0, 2.0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats sauf les Bac professionnels", 2.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "20251", "BTS - Production - Maintenance des systèmes - option A Systèmes de production - parcours Marine Nationale/Maistrance-Défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20251&g_ta_cod=20251", 50.0, 50.0, 0.0),
(11866, "Privé sous contrat d'association", "0681847N", "Ecole Supérieure de Praxis Sociale (Ex-ISSM, Ex-CFEJE)", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "EFTS", "Ecole Supérieure de Praxis Sociale (Ex-ISSM, Ex-CFEJE) - D.E Educateur Spécialisé", "D.E secteur social", "", 19, 153, 129, 153, 0, 23, 3, 18, 5, 24, 5, 88, 0, 0, 0, 0, 0, 125, 0, 0, 0, 17, 2, 14, 5, 19, 4, 75, 38, 21, 16, 21, 0, 10.0, 17.0, 21.0, 0, 2, 5, 1, 1, 3, 16, 0, 4, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 3, 3, 47.62, 80.95, 100.0, 76.1875, 60.0, 60.0, 0, 40.0, 23.796875, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 20.0, 0.0, 20.0, 0.0, 60.0, 20.0, 4.0, 1.0, 4.0, 0.0, 29.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "24990", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24990&g_ta_cod=24990", 52.0, 19.0, 24.0),
(11867, "Public", "0940120V", "Lycée Marcelin Berthelot", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "CPGE", "Lycée Marcelin Berthelot - CPGE - BCPST", "Classe préparatoire scientifique", "", 144, 1837, 1256, 1689, 839, 1383, 165, 0, 0, 4, 2, 302, 148, 91, 3, 1, 53, 921, 30, 101, 916, 835, 79, 0, 0, 0, 0, 86, 759, 121, 86, 108, 12, 30.0, 84.0, 113.0, 7, 4, 118, 118, 0, 0, 3, 0, 0, 17, 79, 19, 3.0, 118, 0, 0, 2, 2, 64, 95, 24.79, 69.42, 93.39, 71.09375, 54.1953125, 80.5, 1.699951171875, 3.39990234375, 97.5, 0.0, 0.0, 14.3984375, 66.890625, 16.1, 2.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 701.0, 64.0, 0.0, 0.0, 58.0, "Tous les candidats", 936.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "11393", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11393&g_ta_cod=11393", 100.0, 0.0, 0.0),
(11868, "Privé sous contrat d'association", "0221673Z", "Lycée agricole St ILAN", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Langueux", "formation sélective", "BTS", "Lycée agricole St ILAN - BTS - Agricole - Production horticole", "BTS - Agricole", "", 24, 81, 38, 79, 0, 9, 2, 15, 2, 19, 4, 36, 2, 0, 0, 0, 2, 66, 2, 0, 0, 9, 2, 14, 2, 19, 4, 24, 54, 10, 6, 9, 1, 7.0, 9.0, 10.0, 0, 3, 8, 2, 1, 5, 2, 0, 4, 2, 2, 0, 0.0, 1, 0, 3, 6, 3, 8, 8, 70.0, 90.0, 100.0, 60.0, 100.0, 100.0, 75, 37.5, 80.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 25.0, 12.5, 12.5, 0.0, 62.5, 37.5, 8.0, 2.0, 16.0, 4.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 80.0, "3371", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3371&g_ta_cod=3371", 20.0, 20.0, 50.0),
(11869, "Public", "0510065U", "INSPE de Reims - Antenne de Châlons-en-Champagne", "51", "Marne", "Grand Est", "Reims", "Châlons-en-Champagne", "formation non sélective", "Licence_Las", "Université de Reims Champagne-Ardenne - Licence - Sciences pour la santé - Sciences de l'éducation -  option Santé", "Licence - Sciences - technologies - santé", "Sciences de l'éducation : INSPE de Reims - Antenne de Châlons-en-Champagne", 8, 140, 125, 138, 0, 81, 9, 14, 3, 0, 0, 43, 2, 0, 0, 0, 2, 137, 2, 0, 0, 81, 9, 14, 3, 0, 0, 42, 67, 8, 7, 7, 1, 0.0, 4.0, 5.0, 0, 0, 3, 3, 0, 0, 5, 0, 1, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 3, 3, 0.0, 50.0, 62.5, 87.5, 100.0, 100.0, 0, 0.0, 37.5, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 45.0, 5.0, 0.0, 0.0, 16.0, "Tous les candidats", 100.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "32185", "Licence - Sciences pour la santé - Sciences de l'éducation -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32184&g_ta_cod=32185", 88.0, 13.0, 0.0),
(11870, "Public", "0271107G", "Lycée agricole d'Evreux", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BTS", "Lycée agricole d'Evreux - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 24, 291, 95, 291, 0, 37, 7, 32, 3, 42, 10, 180, 0, 0, 0, 0, 0, 142, 0, 0, 0, 37, 7, 32, 3, 41, 10, 32, 97, 23, 6, 23, 0, 3.0, 20.0, 22.0, 0, 4, 17, 7, 3, 7, 6, 2, 10, 4, 1, 0, 0.0, 2, 1, 2, 5, 2, 14, 14, 13.04, 86.96, 95.65, 26.09765625, 82.390625, 82.390625, 29.3984375, 23.5, 73.890625, 11.798828125, 58.796875, 23.5, 5.8994140625, 0.0, 0.0, 41.1953125, 11.798828125, 17.59765625, 5.8994140625, 41.1953125, 11.798828125, 28.0, 4.0, 25.0, 5.0, 16.0, "Tous les candidats sauf les Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 43.0, "3702", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3702&g_ta_cod=3702", 57.0, 13.0, 30.0),
(11871, "Privé hors contrat", "0783676X", "3IS Institut International de l'Image et du Son", "78", "Yvelines", "Ile-de-France", "Versailles", "Elancourt", "formation sélective", "Autre formation", "3IS Institut International de l'Image et du Son - Formation des écoles supérieure d'art Bac + 3 - Cinéma Audiovisuel/Son - Option Cinéma Audiovisuel", "Formation des écoles supérieure d'art", "Cinéma Audiovisuel/Son - Option Cinéma Audiovisuel - Parcours en anglais", 45, 470, 191, 447, 0, 282, 36, 32, 5, 13, 5, 120, 23, 5, 3, 2, 13, 208, 3, 0, 0, 153, 19, 12, 0, 1, 0, 42, 154, 25, 12, 25, 0, 11.0, 25.0, 25.0, 0, 1, 19, 17, 1, 1, 6, 0, 1, 7, 5, 6, 0.0, 16, 1, 1, 0, 0, 8, 11, 44.0, 100.0, 100.0, 48.0, 42.09375, 57.8984375, 0, 5.2998046875, 76.0, 0.0, 5.2998046875, 36.796875, 26.296875, 31.6, 0.0, 89.5, 84.1875, 5.2998046875, 5.2998046875, 5.2998046875, 5.2998046875, 113.0, 15.0, 1.0, 0.0, 31.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "27825", "Formation des écoles supérieure d'art Bac + 3 - Cinéma Audiovisuel/Son - Option Cinéma Audiovisuel", "3IS Institut International de l'Image et du Son", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27121&g_ta_cod=27825", 92.0, 4.0, 4.0),
(11872, "Public", "0590063Y", "Lycée Albert Chatelet", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "CPGE", "Lycée Albert Chatelet - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 597, 354, 597, 363, 386, 58, 0, 0, 1, 0, 210, 0, 0, 0, 0, 0, 389, 0, 299, 335, 359, 49, 0, 0, 0, 0, 30, 233, 44, 26, 44, 0, 13.0, 38.0, 44.0, 16, 2, 43, 43, 0, 0, 1, 0, 0, 2, 18, 19, 4.0, 43, 0, 0, 7, 4, 38, 38, 29.55, 86.36, 100.0, 59.09375, 88.390625, 88.390625, 16.296875, 4.69921875, 97.6875, 0.0, 0.0, 4.69921875, 41.8984375, 44.2, 9.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 220.0, 26.0, 0.0, 0.0, 13.0, "Tous les candidats", 346.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "14476", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14476&g_ta_cod=14476", 100.0, 0.0, 0.0),
(11873, "Privé sous contrat d'association", "0271895N", "IRTS-IDS (site d'Evreux)", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "EFTS", "IRTS-IDS - D.E Educateur Spécialisé", "D.E secteur social", "", 22, 167, 140, 167, 0, 27, 4, 30, 5, 17, 5, 93, 0, 0, 0, 0, 0, 108, 0, 0, 0, 13, 3, 15, 3, 11, 5, 69, 57, 22, 20, 22, 0, 4.0, 18.0, 20.0, 0, 0, 8, 2, 3, 3, 14, 0, 1, 3, 4, 0, 0.0, 2, 3, 2, 0, 0, 8, 8, 18.18, 81.82, 90.91, 90.890625, 100.0, 100.0, 0, 0.0, 36.3984375, 0.0, 12.5, 37.5, 50.0, 0.0, 0.0, 25.0, 25.0, 37.5, 37.5, 37.5, 25.0, 5.0, 2.0, 4.0, 1.0, 42.0, "Tous les candidats", 118.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "33473", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24983&g_ta_cod=33473", 45.0, 36.0, 18.0),
(11874, "Privé sous contrat d'association", "0940878U", "Lycée Teilhard De Chardin", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "CPGE", "Lycée Teilhard De Chardin - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 40, 397, 201, 338, 0, 308, 28, 1, 0, 1, 1, 28, 59, 36, 1, 0, 22, 264, 19, 0, 264, 264, 22, 0, 0, 0, 0, 0, 248, 23, 12, 21, 2, 12.0, 20.0, 23.0, 0, 1, 23, 23, 0, 0, 0, 0, 1, 13, 9, 0, 0.0, 22, 0, 0, 1, 1, 15, 23, 52.17, 86.96, 100.0, 52.1953125, 65.1875, 100.0, 4.2998046875, 4.2998046875, 100.0, 0.0, 4.2998046875, 56.5, 39.09375, 0.0, 0.0, 100.0, 95.6875, 0.0, 0.0, 0.0, 0.0, 246.0, 20.0, 0.0, 0.0, 2.0, "Tous les candidats", 260.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "31296", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31296&g_ta_cod=31296", 100.0, 0.0, 0.0),
(11875, "Public", "0931809L", "IFSI Avicenne (AP-HP)", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation sélective", "IFSI", "Regroupement d'IFSI Université Paris Nord - D.E Infirmier", "D.E secteur sanitaire", "", 85, 5374, 4803, 5374, 0, 559, 243, 1008, 529, 766, 455, 3041, 0, 0, 0, 0, 0, 4628, 0, 0, 0, 555, 241, 926, 487, 612, 373, 2535, 538, 84, 76, 82, 0, 6.0, 48.0, 74.0, 0, 22, 45, 17, 27, 1, 39, 0, 3, 19, 22, 1, 0.0, 14, 27, 1, 0, 0, 41, 45, 7.14, 57.14, 88.1, 90.5, 91.09375, 100.0, 0, 48.8984375, 53.59375, 0.0, 6.69921875, 42.1953125, 48.8984375, 2.2, 0.0, 37.796875, 31.09765625, 60.0, 60.0, 2.19970703125, 2.19970703125, 158.0, 72.0, 5.0, 1.0, 259.0, "Tous les candidats", 1307.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "23052", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23010&g_ta_cod=23052", 55.0, 42.0, 1.0),
(11876, "Public", "0750685M", "Lycée Pierre-Gilles de Gennes - ENCPB", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Pierre-Gilles de Gennes - ENCPB - BTS - Production - Bioqualité", "BTS - Production", "", 30, 444, 244, 444, 0, 42, 4, 191, 88, 28, 16, 183, 0, 0, 0, 0, 0, 213, 0, 0, 0, 38, 3, 101, 47, 13, 8, 61, 139, 27, 13, 27, 0, 7.0, 19.0, 24.0, 0, 5, 19, 8, 9, 2, 8, 0, 11, 5, 1, 2, 0.0, 3, 4, 1, 0, 0, 5, 16, 25.93, 70.37, 88.89, 48.09375, 26.296875, 84.1875, 0, 26.296875, 70.390625, 0.0, 57.8984375, 26.296875, 5.2998046875, 10.5, 0.0, 42.09375, 15.798828125, 47.3984375, 21.09765625, 10.5, 5.2998046875, 26.0, 3.0, 9.0, 5.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 35.0, "9074", "BTS - Production - Bioqualité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9074&g_ta_cod=9074", 41.0, 52.0, 7.0),
(11877, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail Sciences de la Vie / Sciences de la Terre", "Licence - Sciences - technologies - santé", "Sciences de la Vie / Sciences de la Terre : Sciences de la terre", 70, 843, 480, 780, 0, 534, 90, 29, 9, 7, 2, 210, 63, 24, 1, 0, 38, 778, 34, 0, 0, 534, 90, 29, 9, 7, 2, 208, 648, 53, 15, 47, 5, 26.0, 34.0, 47.0, 0, 8, 46, 45, 1, 0, 7, 0, 17, 17, 12, 0, 0.0, 28, 1, 0, 0, 0, 24, 24, 49.06, 64.15, 88.68, 28.296875, 52.1953125, 52.1953125, 0, 17.3984375, 86.796875, 0.0, 37.0, 37.0, 26.09765625, 0.0, 0.0, 97.796875, 60.8984375, 2.19970703125, 2.19970703125, 0.0, 0.0, 461.0, 85.0, 4.0, 1.0, 172.0, "Tous les candidats", 2327.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "22798", "Licence - Portail Sciences de la Vie / Sciences de la Terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10634&g_ta_cod=22798", 94.0, 4.0, 2.0),
(11878, "Privé enseignement supérieur", "0690670D", "CRESPA -SCIENCES U", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 3e  Arrondissement", "formation sélective", "BTS", "CRESPA -SCIENCES U - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 100, 228, 100, 132, 0, 24, 6, 34, 11, 21, 7, 53, 96, 14, 23, 9, 50, 88, 12, 0, 0, 20, 5, 21, 5, 13, 5, 34, 91, 10, 5, 9, 1, 2.0, 9.0, 10.0, 0, 1, 4, 1, 1, 2, 6, 0, 4, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 20.0, 90.0, 100.0, 50.0, 0.0, 0.0, 0, 25.0, 40.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 25.0, 0.0, 25.0, 0.0, 50.0, 0.0, 20.0, 6.0, 15.0, 5.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers technologiques toutes séries", 25, "Bacheliers professionnels toutes séries", 14, "Liste d'appel propre à cette formation", 66.0, "26520", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26520&g_ta_cod=26520", 50.0, 20.0, 20.0),
(11879, "Public", "0530951W", "I.U.T. Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BUT", "I.U.T. Laval - BUT - Techniques de commercialisation Parcours : Parcours Marketing digital, e-business et entrepreneuriat - Parcours Business international : achat et vente - Parcours Marketing et management du point de vente", "BUT - Service", "Parcours Marketing digital, e-business et entrepreneuriat - Parcours Business international : achat et vente - Parcours Marketing et management du point de vente", 112, 2872, 1351, 2872, 0, 1612, 173, 902, 162, 15, 7, 343, 0, 0, 0, 0, 0, 1684, 0, 0, 0, 940, 78, 552, 95, 3, 1, 189, 576, 117, 73, 117, 0, 42.0, 85.0, 111.0, 0, 23, 106, 50, 55, 1, 11, 0, 7, 66, 33, 0, 0.0, 46, 52, 1, 0, 0, 61, 61, 35.9, 72.65, 94.87, 62.3984375, 57.5, 57.5, 0, 21.69921875, 90.59375, 0.0, 6.599609375, 62.296875, 31.09765625, 0.0, 0.0, 47.1953125, 43.3984375, 51.8984375, 49.09375, 0.89990234375, 0.89990234375, 272.0, 36.0, 2.0, 1.0, 32.0, "Tous les candidats sauf les Bac technologiques", 439.0, "Bacheliers technologiques toutes séries", 452, "", 0, "Liste d'appel propre à cette formation", 31.0, "6234", "BUT - Techniques de commercialisation Parcours : Parcours Marketing digital, e-business et entrepreneuriat - Parcours Business international : achat et vente - Parcours Marketing et management du point de vente", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6234&g_ta_cod=6234", 50.0, 49.0, 1.0),
(11880, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 3 Paul Sabatier - Licence - Portail Mathématiques", "Licence - Sciences - technologies - santé", "", 142, 2384, 827, 2336, 0, 1841, 260, 41, 10, 4, 2, 450, 48, 6, 1, 0, 41, 2336, 36, 0, 0, 1841, 260, 41, 10, 4, 2, 450, 1486, 140, 32, 119, 21, 24.0, 93.0, 114.0, 0, 26, 87, 81, 5, 1, 53, 0, 22, 39, 21, 4, 1.0, 60, 4, 1, 0, 0, 72, 72, 17.14, 66.43, 81.43, 22.8984375, 82.796875, 82.796875, 0, 29.8984375, 62.09375, 0.0, 25.296875, 44.796875, 24.09765625, 4.6, 1.1, 93.09375, 69.0, 5.69921875, 4.599609375, 1.099853515625, 1.099853515625, 1179.0, 160.0, 3.0, 2.0, 286.0, "Tous les candidats", 1982.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 79.0, "4189", "Licence - Portail Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27524&g_ta_cod=4189", 90.0, 6.0, 2.0),
(11881, "Privé sous contrat d'association", "0900029T", "Lycée Notre Dame Des Anges", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "BTS", "Lycée Notre Dame Des Anges - BTS - Services - Diététique", "BTS - Services", "", 30, 484, 403, 484, 0, 130, 10, 133, 35, 29, 10, 192, 0, 0, 0, 0, 0, 394, 0, 0, 0, 114, 10, 112, 30, 9, 2, 159, 166, 28, 24, 28, 0, 1.0, 16.0, 20.0, 0, 2, 17, 7, 10, 0, 11, 0, 7, 9, 1, 0, 0.0, 5, 5, 0, 0, 0, 9, 9, 3.57, 57.14, 71.43, 85.6875, 52.8984375, 52.8984375, 0, 11.798828125, 60.6953125, 0.0, 41.1953125, 52.8984375, 5.8994140625, 0.0, 0.0, 41.1953125, 29.3984375, 58.796875, 29.3984375, 0.0, 0.0, 41.0, 2.0, 1.0, 1.0, 56.0, "Tous les candidats sauf les Bac professionnels", 206.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 43.0, "10817", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10817&g_ta_cod=10817", 50.0, 50.0, 0.0),
(11882, "Privé enseignement supérieur", "0755672H", "ESCE", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 50, 702, 330, 694, 0, 586, 36, 34, 6, 3, 2, 71, 8, 5, 0, 0, 3, 633, 4, 0, 0, 556, 28, 29, 5, 1, 1, 47, 637, 4, 3, 4, 0, 4.0, 4.0, 4.0, 0, 0, 4, 4, 0, 0, 0, 0, 3, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 1, 3, 100.0, 100.0, 100.0, 75.0, 25.0, 75.0, 0, 0.0, 100.0, 0.0, 75.0, 0.0, 25.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 0.0, 0.0, 557.0, 28.0, 1.0, 1.0, 50.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "31983", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=31983", 100.0, 0.0, 0.0),
(11883, "Public", "0342066L", "Lycée Jean Jaurès", "34", "Hérault", "Occitanie", "Montpellier", "Saint-Clément-de-Rivière", "formation sélective", "BTS", "Lycée Jean Jaurès - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 703, 611, 655, 0, 42, 20, 188, 82, 222, 113, 203, 48, 5, 11, 0, 32, 307, 11, 0, 0, 15, 6, 85, 31, 135, 65, 72, 148, 21, 18, 14, 5, 0.0, 7.0, 11.0, 0, 4, 9, 0, 5, 4, 12, 0, 3, 4, 2, 0, 0.0, 0, 2, 4, 3, 3, 8, 8, 0.0, 33.33, 52.38, 85.6875, 88.890625, 88.890625, 33.296875, 44.3984375, 42.8984375, 0.0, 33.296875, 44.3984375, 22.19921875, 0.0, 0.0, 0.0, 0.0, 55.59375, 22.19921875, 44.3984375, 44.3984375, 13.0, 7.0, 38.0, 20.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 34.0, "4617", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4617&g_ta_cod=4617", 19.0, 38.0, 43.0),
(11884, "Privé sous contrat d'association", "0870873B", "IFSI Croix Rouge Française Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "IFSI", "Regroupement d'IFSI Université Limoges - D.E Infirmier", "D.E secteur sanitaire", "", 100, 2741, 2308, 2741, 0, 620, 102, 491, 124, 231, 73, 1399, 0, 0, 0, 0, 0, 2357, 0, 0, 0, 601, 94, 440, 104, 177, 56, 1139, 795, 100, 90, 100, 0, 5.0, 47.0, 77.0, 0, 8, 63, 38, 19, 6, 37, 0, 14, 37, 10, 2, 0.0, 29, 14, 6, 0, 0, 39, 39, 5.0, 47.0, 77.0, 90.0, 61.8984375, 61.8984375, 0, 12.69921875, 63.0, 0.0, 22.19921875, 58.6953125, 15.8984375, 3.2, 0.0, 60.296875, 46.0, 30.19921875, 22.19921875, 9.5, 9.5, 317.0, 46.0, 26.0, 7.0, 310.0, "Tous les candidats", 1344.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "23157", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22989&g_ta_cod=23157", 64.0, 29.0, 7.0),
(11885, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Université de Nantes - C.M.I - Cursus Master en Ingénierie - Physique - Ingénierie en Calcul mécanique", "C.M.I - Cursus Master en Ingénierie", "Ingénierie Nucléaire et Applications", 9, 345, 77, 339, 0, 242, 38, 6, 2, 2, 1, 89, 6, 2, 0, 0, 4, 246, 1, 0, 0, 211, 32, 0, 0, 0, 0, 35, 115, 5, 2, 5, 0, 0.0, 4.0, 5.0, 0, 0, 4, 4, 0, 0, 1, 0, 1, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 2, 2, 0.0, 80.0, 100.0, 40.0, 50.0, 50.0, 0, 0.0, 80.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 102.0, 10.0, 0.0, 0.0, 13.0, "Tous les candidats", 499.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 72.0, "29133", "C.M.I - Cursus Master en Ingénierie - Physique - Ingénierie en Calcul mécanique", "Université de Nantes", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29129&g_ta_cod=29133", 100.0, 0.0, 0.0),
(11886, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Licence", "Université Clermont Auvergne - Double licence - Mathématiques / Physique -", "Licence - Sciences - technologies - santé", "", 20, 575, 195, 553, 0, 435, 54, 5, 2, 1, 1, 112, 22, 4, 0, 1, 17, 324, 1, 0, 0, 292, 31, 0, 0, 0, 0, 32, 235, 11, 4, 11, 0, 8.0, 11.0, 11.0, 0, 0, 9, 9, 0, 0, 2, 0, 0, 0, 3, 6, 0.0, 9, 0, 0, 0, 0, 5, 5, 72.73, 100.0, 100.0, 36.3984375, 55.59375, 55.59375, 0, 0.0, 81.796875, 0.0, 0.0, 0.0, 33.296875, 66.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 209.0, 22.0, 0.0, 0.0, 26.0, "Tous les candidats", 323.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "26453", "Double licence - Mathématiques / Physique -", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26453&g_ta_cod=26453", 100.0, 0.0, 0.0),
(11887, "Public", "0573281G", "Lycée De La Communication", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Autre formation", "Lycée De La Communication - DN MADE - Graphisme - - Spécialité : Design graphique et édition", "DN MADE", "- Spécialité : Design graphique et édition", 15, 560, 395, 560, 0, 205, 47, 128, 36, 63, 17, 164, 0, 0, 0, 0, 0, 251, 0, 0, 0, 105, 20, 77, 19, 19, 4, 50, 64, 16, 13, 16, 0, 0.0, 14.0, 15.0, 0, 6, 14, 6, 8, 0, 2, 0, 0, 4, 8, 2, 0.0, 6, 8, 0, 0, 0, 3, 3, 0.0, 87.5, 93.75, 81.296875, 21.3984375, 21.3984375, 0, 42.8984375, 87.5, 0.0, 0.0, 28.59765625, 57.09375, 14.3, 0.0, 42.8984375, 42.8984375, 57.09375, 57.09375, 0.0, 0.0, 28.0, 7.0, 1.0, 0.0, 8.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "24055", "DN MADE - Graphisme - - Spécialité : Design graphique et édition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24055&g_ta_cod=24055", 44.0, 50.0, 6.0),
(11888, "Public", "0332832Z", "Lycée Les Iris", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Lormont", "formation sélective", "BTS", "Lycée Les Iris - BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "BTS - Services", "", 28, 437, 195, 437, 0, 40, 7, 65, 17, 121, 37, 211, 0, 0, 0, 0, 0, 393, 0, 0, 0, 40, 7, 65, 17, 104, 33, 184, 105, 27, 10, 27, 0, 7.0, 20.0, 23.0, 0, 7, 24, 5, 6, 13, 3, 0, 8, 7, 7, 2, 0.0, 2, 2, 12, 14, 4, 21, 21, 25.93, 74.07, 85.19, 37.0, 87.5, 87.5, 58.296875, 29.19921875, 88.890625, 0.0, 33.296875, 29.19921875, 29.19921875, 8.3, 0.0, 20.796875, 8.298828125, 25.0, 8.298828125, 54.1953125, 50.0, 19.0, 4.0, 37.0, 10.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 32.0, "4456", "BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4456&g_ta_cod=4456", 19.0, 26.0, 56.0),
(11889, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "PASS", "Université de Limoges - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 24, 991, 676, 991, 0, 687, 117, 24, 6, 9, 5, 271, 0, 0, 0, 0, 0, 975, 0, 0, 0, 687, 117, 24, 6, 9, 5, 255, 270, 22, 17, 22, 0, 0.0, 5.0, 21.0, 0, 8, 15, 12, 1, 2, 7, 0, 0, 10, 4, 1, 0.0, 12, 1, 2, 0, 0, 4, 4, 0.0, 22.73, 95.45, 77.296875, 26.69921875, 26.69921875, 0, 53.296875, 68.1875, 0.0, 0.0, 66.6875, 26.69921875, 6.7, 0.0, 80.0, 80.0, 6.69921875, 6.69921875, 13.298828125, 13.298828125, 203.0, 38.0, 3.0, 3.0, 59.0, "Tous les candidats", 3486.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 53.0, "26974", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26973&g_ta_cod=26974", 82.0, 9.0, 9.0),
(11890, "Public", "0600013N", "Lycée CASSINI", "60", "Oise", "Hauts-de-France", "Amiens", "Clermont", "formation sélective", "BTS", "Lycée CASSINI - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 51, 580, 292, 580, 0, 65, 18, 196, 67, 183, 72, 136, 0, 0, 0, 0, 0, 421, 0, 0, 0, 54, 13, 171, 54, 159, 61, 37, 160, 45, 20, 45, 0, 6.0, 24.0, 37.0, 0, 10, 42, 8, 10, 24, 3, 1, 10, 20, 9, 2, 0.0, 5, 6, 20, 11, 3, 41, 41, 13.33, 53.33, 82.22, 44.3984375, 97.59375, 97.59375, 26.19921875, 23.796875, 93.296875, 2.39990234375, 23.796875, 47.59375, 21.3984375, 4.8, 0.0, 19.0, 11.8984375, 23.796875, 14.298828125, 57.09375, 47.59375, 27.0, 7.0, 68.0, 24.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 115, "Bacheliers technologiques toutes séries", 135, "Liste d'appel propre à cette formation", 51.0, "7217", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7217&g_ta_cod=7217", 18.0, 27.0, 56.0),
(11891, "Public", "0951568N", "IFSI CH de Gonesse", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Gonesse", "formation sélective", "IFSI", "Regroupement IFSI Université de Paris - D.E Infirmier", "D.E secteur sanitaire", "", 78, 5123, 4560, 5123, 0, 464, 169, 799, 351, 777, 396, 3083, 0, 0, 0, 0, 0, 3839, 0, 0, 0, 421, 146, 638, 269, 594, 299, 2186, 878, 66, 59, 66, 0, 3.0, 30.0, 64.0, 0, 24, 52, 10, 24, 18, 14, 0, 6, 29, 17, 0, 0.0, 8, 21, 17, 0, 0, 27, 41, 4.55, 45.45, 96.97, 89.390625, 51.8984375, 78.796875, 0, 46.1953125, 78.796875, 0.0, 11.5, 55.796875, 32.6953125, 0.0, 0.0, 19.19921875, 15.3984375, 46.1953125, 40.3984375, 34.59375, 32.6953125, 99.0, 27.0, 219.0, 93.0, 344.0, "Tous les candidats", 3374.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "23019", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25148&g_ta_cod=23019", 20.0, 47.0, 32.0),
(11892, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues étrangères appliquées - Parcours Anglais-Russe débutant", "Licence - Arts-lettres-langues", "Anglais-Russe débutant", 25, 174, 131, 171, 0, 110, 26, 7, 3, 4, 2, 50, 3, 0, 0, 0, 3, 171, 2, 0, 0, 110, 26, 7, 3, 4, 2, 50, 100, 25, 19, 23, 2, 7.0, 18.0, 23.0, 0, 3, 13, 11, 0, 2, 12, 0, 5, 5, 1, 2, 0.0, 8, 0, 0, 0, 0, 12, 12, 28.0, 72.0, 92.0, 76.0, 92.296875, 92.296875, 0, 23.09765625, 52.0, 0.0, 38.5, 38.5, 7.69921875, 15.4, 0.0, 84.59375, 61.5, 0.0, 0.0, 15.3984375, 0.0, 68.0, 17.0, 3.0, 1.0, 23.0, "Tous les candidats", 171.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5083", "Licence - Langues étrangères appliquées - Parcours Anglais-Russe débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5083&g_ta_cod=5083", 72.0, 8.0, 12.0),
(11893, "Public", "0920141D", "Lycée Joliot-Curie", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "BTS", "Lycée Joliot-Curie - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 30, 2292, 1157, 2292, 0, 111, 37, 893, 379, 747, 342, 541, 0, 0, 0, 0, 0, 2292, 0, 0, 0, 111, 37, 893, 379, 747, 342, 541, 132, 30, 18, 30, 0, 1.0, 24.0, 26.0, 0, 12, 28, 2, 12, 14, 2, 0, 3, 12, 12, 1, 0.0, 1, 11, 13, 0, 0, 27, 28, 3.33, 80.0, 86.67, 60.0, 96.390625, 100.0, 0, 42.8984375, 93.296875, 0.0, 10.69921875, 42.8984375, 42.8984375, 3.6, 0.0, 7.099609375, 3.599609375, 42.8984375, 39.296875, 50.0, 46.3984375, 3.0, 3.0, 47.0, 21.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 7.0, "11002", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11002&g_ta_cod=11002", 7.0, 47.0, 47.0),
(11894, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Histoire - Parcours Préparation aux concours d'entrée des I.E.P.", "Licence - Sciences humaines et sociales", "Préparation aux concours d'entrée des I.E.P.", 110, 1004, 581, 982, 0, 939, 125, 6, 5, 1, 1, 36, 22, 7, 3, 1, 11, 623, 0, 0, 0, 622, 69, 1, 0, 0, 0, 0, 520, 105, 60, 105, 0, 34.0, 104.0, 104.0, 0, 8, 105, 104, 1, 0, 0, 1, 0, 5, 44, 53, 2.0, 103, 1, 0, 0, 0, 51, 51, 32.38, 99.05, 99.05, 57.09375, 48.59375, 48.59375, 0, 7.599609375, 100.0, 1.0, 0.0, 4.7998046875, 41.8984375, 50.5, 1.9, 99.0, 98.09375, 1.0, 1.0, 0.0, 0.0, 519.0, 58.0, 0.0, 0.0, 0.0, "Tous les candidats", 623.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "7096", "Licence - Histoire - Parcours Préparation aux concours d'entrée des I.E.P.", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7096&g_ta_cod=7096", 99.0, 1.0, 0.0),
(11895, "Public", "0900231M", "I.U.T de Belfort-Montbéliard", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "BUT", "I.U.T de Belfort-Montbéliard - BUT - Génie électrique et informatique industrielle Parcours : Électronique et systèmes embarqués - Électricité et maîtrise de l?énergie", "BUT - Production", "Électronique et systèmes embarqués - Électricité et maîtrise de l?énergie", 52, 446, 34, 409, 0, 215, 48, 122, 32, 12, 6, 60, 37, 3, 4, 4, 26, 360, 22, 0, 0, 207, 45, 110, 29, 3, 1, 40, 323, 46, 3, 33, 13, 10.0, 31.0, 41.0, 0, 12, 35, 14, 20, 1, 11, 1, 20, 11, 3, 0, 0.0, 2, 12, 0, 0, 0, 28, 28, 21.74, 67.39, 89.13, 6.5, 80.0, 80.0, 0, 34.296875, 76.09375, 2.89990234375, 57.09375, 31.3984375, 8.599609375, 0.0, 0.0, 40.0, 5.69921875, 57.09375, 34.296875, 2.89990234375, 0.0, 167.0, 42.0, 6.0, 4.0, 49.0, "Tous les candidats sauf les Bac technologiques", 244.0, "Bacheliers technologiques toutes séries", 116, "", 0, "Liste d'appel propre à cette formation", 88.0, "10822", "BUT - Génie électrique et informatique industrielle Parcours : Électronique et systèmes embarqués - Électricité et maîtrise de l?énergie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10822&g_ta_cod=10822", 41.0, 52.0, 7.0),
(11896, "Public", "0620052V", "Lycée Edouard Branly", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 15, 103, 4, 103, 0, 4, 0, 14, 2, 53, 19, 32, 0, 0, 0, 0, 0, 79, 0, 0, 0, 4, 0, 14, 2, 53, 19, 8, 48, 14, 0, 14, 0, 8.0, 12.0, 14.0, 0, 6, 14, 0, 4, 10, 0, 0, 5, 4, 4, 1, 0.0, 0, 3, 6, 9, 0, 14, 14, 57.14, 85.71, 100.0, 0.0, 100.0, 100.0, 64.296875, 42.8984375, 100.0, 0.0, 35.6953125, 28.59765625, 28.59765625, 7.1, 0.0, 0.0, 0.0, 28.59765625, 21.3984375, 71.390625, 42.8984375, 3.0, 0.0, 28.0, 9.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 53.0, "7351", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7351&g_ta_cod=7351", 0.0, 29.0, 71.0),
(11897, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Licence - Economie et gestion - Parcours Langues renforcées, anglais et coréen", "Licence - Droit-économie-gestion", "Langues renforcées, anglais et coréen", 25, 730, 611, 730, 0, 387, 149, 94, 38, 26, 13, 223, 0, 0, 0, 0, 0, 725, 0, 0, 0, 387, 149, 94, 38, 26, 13, 218, 132, 24, 19, 24, 0, 0.0, 15.0, 21.0, 0, 6, 19, 19, 0, 0, 5, 0, 6, 8, 5, 0, 0.0, 13, 0, 0, 0, 0, 7, 17, 0.0, 62.5, 87.5, 79.1875, 36.796875, 89.5, 0, 31.59765625, 79.1875, 0.0, 31.59765625, 42.09375, 26.296875, 0.0, 0.0, 100.0, 68.390625, 0.0, 0.0, 0.0, 0.0, 120.0, 42.0, 0.0, 0.0, 12.0, "Tous les candidats", 194.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "20089", "Licence - Economie et gestion - Parcours Langues renforcées, anglais et coréen", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20089&g_ta_cod=20089", 100.0, 0.0, 0.0),
(11898, "Public", "0134015U", "Aix-Marseille Université - Site de Marseille Saint Charles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation non sélective", "Licence", "Aix-Marseille Université - Portail René Descartes - Licence - Portail Descartes : Informatique, Mathématiques, Mécanique, Physique", "Licence - Sciences - technologies - santé", "Descartes : Informatique, Mathématiques, Mécanique, Physique - site de Saint Charles", 150, 2687, 656, 2631, 0, 1716, 331, 128, 55, 13, 10, 774, 56, 8, 2, 1, 45, 2630, 47, 0, 0, 1715, 331, 128, 55, 13, 10, 774, 1946, 142, 21, 109, 33, 34.0, 63.0, 100.0, 0, 19, 68, 64, 3, 1, 74, 0, 25, 19, 21, 3, 0.0, 40, 2, 1, 0, 0, 54, 54, 23.94, 44.37, 70.42, 14.798828125, 79.390625, 79.390625, 0, 27.8984375, 47.8984375, 0.0, 36.796875, 27.8984375, 30.8984375, 4.4, 0.0, 94.09375, 58.796875, 4.3994140625, 2.89990234375, 1.5, 1.5, 1371.0, 284.0, 3.0, 3.0, 558.0, "Tous les candidats", 3493.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "12607", "Licence - Portail Descartes : Informatique, Mathématiques, Mécanique, Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12608&g_ta_cod=12607", 92.0, 4.0, 3.0),
(11899, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Licence", "Université de Nantes - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : Allemand Europe", "Licence - Arts-lettres-langues", "LLCER : Allemand Europe", 6, 73, 48, 42, 0, 31, 4, 1, 0, 0, 0, 10, 31, 4, 1, 2, 24, 29, 3, 0, 0, 25, 2, 0, 0, 0, 0, 4, 22, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0.0, 1, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 18.0, 1.0, 0.0, 0.0, 4.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "12804", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER : Allemand Europe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12804&g_ta_cod=12804", 100.0, 0.0, 0.0),
(11900, "Public", "0692185A", "INSTITUT DES SCIENCES ET TECHNIQUES DE LA READAPTATION UNIVERSITE LYON 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Autre formation", "Regroupement inter-régions - D.E Audioprothésiste", "D.E secteur sanitaire", "", 52, 898, 606, 898, 0, 283, 60, 39, 22, 8, 6, 568, 0, 0, 0, 0, 0, 533, 0, 0, 0, 188, 33, 2, 1, 0, 0, 343, 302, 52, 33, 52, 0, 3.0, 20.0, 33.0, 0, 1, 13, 13, 0, 0, 39, 0, 2, 8, 3, 0, 0.0, 11, 0, 0, 0, 0, 4, 4, 5.77, 38.46, 63.46, 63.5, 30.796875, 30.796875, 0, 7.69921875, 25.0, 0.0, 15.3984375, 61.5, 23.09765625, 0.0, 0.0, 100.0, 84.59375, 0.0, 0.0, 0.0, 0.0, 102.0, 22.0, 0.0, 0.0, 199.0, "Tous les candidats", 582.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "28064", "D.E Audioprothésiste", "Regroupement inter-régions", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28060&g_ta_cod=28064", 98.0, 2.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(11901, "Public", "0750698B", "Lycée Claude Bernard", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Pôle Claude Bernard / Janson de Sailly - CPGE - ECG -  - Mathématiques appliquées + HGG", "Classe préparatoire économique et commerciale", "", 48, 1109, 604, 1101, 180, 906, 109, 0, 0, 1, 0, 194, 8, 4, 0, 0, 4, 888, 0, 120, 858, 805, 97, 0, 0, 0, 0, 83, 518, 33, 20, 33, 0, 7.0, 14.0, 26.0, 3, 2, 27, 27, 0, 0, 6, 0, 0, 6, 17, 4, 0.0, 27, 0, 0, 0, 0, 4, 18, 21.21, 42.42, 78.79, 60.59375, 14.798828125, 66.6875, 0, 7.3994140625, 81.796875, 0.0, 0.0, 22.19921875, 63.0, 14.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 486.0, 53.0, 0.0, 0.0, 32.0, "Tous les candidats", 660.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "31368", "CPGE - ECG -  - Mathématiques appliquées + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31368&g_ta_cod=31368", 100.0, 0.0, 0.0),
(11902, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Histoire de l'art et archéologie - Parcours Histoire l'art et archéologie (sur site uniquement)", "Licence - Sciences humaines et sociales", "Histoire l'art et archéologie (sur site uniquement)", 250, 1410, 958, 1280, 0, 720, 172, 106, 31, 41, 26, 413, 130, 14, 12, 8, 96, 1280, 111, 0, 0, 720, 172, 106, 31, 41, 26, 413, 1203, 245, 171, 201, 44, 118.0, 192.0, 210.0, 0, 39, 146, 120, 21, 5, 99, 2, 47, 55, 33, 9, 0.0, 85, 9, 3, 0, 0, 99, 99, 48.16, 78.37, 85.71, 69.796875, 67.796875, 67.796875, 0, 26.69921875, 59.59375, 1.39990234375, 32.1953125, 37.6953125, 22.59765625, 6.2, 0.0, 82.1875, 58.1953125, 14.3984375, 6.19921875, 3.39990234375, 2.099609375, 661.0, 146.0, 40.0, 23.0, 396.0, "Tous les candidats", 1275.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7087", "Licence - Histoire de l'art et archéologie - Parcours Histoire l'art et archéologie (sur site uniquement)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7087&g_ta_cod=7087", 77.0, 14.0, 7.0),
(11903, "Public", "0020079A", "Lycée professionnel Condorcet", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "Autre formation", "Lycée professionnel Condorcet - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 15, 32, 1, 29, 0, 0, 0, 0, 0, 20, 6, 9, 3, 0, 0, 3, 0, 21, 0, 0, 0, 0, 0, 0, 0, 18, 5, 3, 18, 10, 1, 10, 0, 9.0, 10.0, 10.0, 0, 2, 7, 0, 0, 7, 3, 0, 2, 3, 1, 1, 0.0, 0, 0, 5, 0, 0, 5, 5, 90.0, 100.0, 100.0, 10.0, 71.390625, 71.390625, 0, 28.59765625, 70.0, 0.0, 28.59765625, 42.8984375, 14.298828125, 14.3, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 71.390625, 0.0, 0.0, 15.0, 5.0, 3.0, "Tous les candidats", 18.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "20209", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20209&g_ta_cod=20209", 0.0, 0.0, 80.0),
(11904, "Public", "0940609B", "IUT de Cachan Université Paris-Saclay", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "BUT", "IUT de Cachan Université Paris-Saclay - BUT - Génie mécanique et productique Parcours : Simulation numérique et réalité virtuelle - Innovation pour l?industrie - Management de process industriel (Seconde année possible en apprentissage)", "BUT - Production", "Simulation numérique et réalité virtuelle - Innovation pour l?industrie - Management de process industriel", 115, 2983, 294, 2983, 0, 1414, 263, 842, 232, 21, 4, 706, 0, 0, 0, 0, 0, 1792, 0, 0, 0, 936, 137, 499, 130, 0, 0, 357, 640, 124, 14, 124, 0, 37.0, 89.0, 103.0, 0, 25, 101, 48, 53, 0, 23, 0, 6, 51, 37, 6, 1.0, 45, 50, 0, 0, 0, 35, 90, 29.84, 71.77, 83.06, 11.298828125, 34.6953125, 89.09375, 0, 24.796875, 81.5, 0.0, 5.8994140625, 50.5, 36.59375, 5.9, 1.0, 47.5, 44.59375, 52.5, 49.5, 0.0, 0.0, 321.0, 69.0, 0.0, 0.0, 117.0, "Tous les candidats sauf les Bac technologiques", 645.0, "Bacheliers technologiques toutes séries", 342, "", 0, "Liste d'appel propre à cette formation", 33.0, "11441", "BUT - Génie mécanique et productique Parcours : Simulation numérique et réalité virtuelle - Innovation pour l?industrie - Management de process industriel (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11441&g_ta_cod=11441", 49.0, 51.0, 0.0),
(11905, "Public", "9740082W", "Lycée professionnel Rontaunay", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée professionnel Rontaunay - BTS - Services - Métiers des Services à l'environnement", "BTS - Services", "", 12, 150, 60, 98, 0, 11, 6, 29, 18, 31, 22, 27, 52, 1, 19, 12, 20, 50, 5, 0, 0, 7, 4, 22, 13, 13, 9, 8, 40, 15, 6, 13, 2, 4.0, 10.0, 11.0, 0, 11, 14, 2, 7, 5, 1, 0, 5, 8, 1, 0, 0.0, 1, 5, 3, 2, 0, 13, 13, 26.67, 66.67, 73.33, 40.0, 92.890625, 92.890625, 14.298828125, 78.59375, 93.296875, 0.0, 35.6953125, 57.09375, 7.099609375, 0.0, 0.0, 14.298828125, 7.099609375, 50.0, 35.6953125, 35.6953125, 21.3984375, 4.0, 2.0, 13.0, 10.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 24, "Liste d'appel propre à cette formation", 44.0, "17733", "BTS - Services - Métiers des Services à l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17733&g_ta_cod=17733", 13.0, 53.0, 33.0),
(11906, "Public", "0750612H", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART.", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART. - DN MADE - Espace - - Spécialité : Architecture, habitat, mobilier et environnement", "DN MADE", "- Spécialité : Architecture, habitat, mobilier et environnement", 15, 1861, 1500, 1861, 0, 910, 148, 329, 66, 75, 10, 547, 0, 0, 0, 0, 0, 181, 0, 0, 0, 89, 5, 60, 6, 0, 0, 32, 47, 16, 12, 16, 0, 4.0, 16.0, 16.0, 0, 2, 16, 6, 10, 0, 0, 0, 1, 0, 12, 3, 0.0, 6, 9, 0, 0, 0, 2, 4, 25.0, 100.0, 100.0, 75.0, 12.5, 25.0, 0, 12.5, 100.0, 0.0, 6.2998046875, 0.0, 75.0, 18.8, 0.0, 37.5, 37.5, 62.5, 56.296875, 0.0, 0.0, 23.0, 3.0, 0.0, 0.0, 0.0, "Tous les candidats", 66.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "21793", "DN MADE - Espace - - Spécialité : Architecture, habitat, mobilier et environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21793&g_ta_cod=21793", 38.0, 63.0, 0.0),
(11907, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Portail Informatique, Mathématiques et Application (IMA)", "Licence - Sciences - technologies - santé", "Informatique, Mathématiques et Application (IMA)", 210, 1564, 301, 1502, 0, 1069, 165, 56, 21, 5, 2, 372, 62, 16, 0, 0, 46, 1501, 40, 0, 0, 1069, 165, 56, 21, 5, 2, 371, 1184, 179, 23, 160, 19, 24.0, 110.0, 163.0, 0, 28, 118, 114, 2, 2, 61, 12, 43, 34, 21, 7, 1.0, 61, 0, 2, 0, 0, 105, 105, 13.41, 61.45, 91.06, 12.798828125, 89.0, 89.0, 0, 23.69921875, 65.890625, 10.19921875, 36.3984375, 28.796875, 17.796875, 5.9, 0.8, 96.59375, 51.6953125, 1.699951171875, 0.0, 1.699951171875, 1.699951171875, 874.0, 144.0, 3.0, 1.0, 290.0, "Tous les candidats", 1516.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "31939", "Licence - Portail Informatique, Mathématiques et Application (IMA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31940&g_ta_cod=31939", 93.0, 4.0, 3.0),
(11908, "Public", "0540042C", "Lycée Henri Loritz", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "CPGE", "Lycée Henri Loritz - CPGE - PCSI", "Classe préparatoire scientifique", "", 84, 925, 344, 917, 559, 612, 64, 2, 1, 1, 0, 302, 8, 2, 0, 0, 6, 631, 2, 379, 614, 538, 47, 0, 0, 0, 0, 93, 474, 88, 28, 87, 1, 20.0, 75.0, 85.0, 26, 4, 75, 75, 0, 0, 13, 0, 1, 12, 40, 19, 3.0, 74, 0, 0, 22, 5, 68, 68, 22.73, 85.23, 96.59, 31.796875, 90.6875, 90.6875, 29.296875, 5.2998046875, 85.1875, 0.0, 1.2998046875, 16.0, 53.296875, 25.3, 4.0, 100.0, 98.6875, 0.0, 0.0, 0.0, 0.0, 437.0, 39.0, 0.0, 0.0, 37.0, "Tous les candidats", 611.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "6262", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6262&g_ta_cod=6262", 100.0, 0.0, 0.0),
(11909, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Chinois", "Licence - Arts-lettres-langues", "Chinois", 45, 250, 185, 139, 0, 74, 24, 3, 2, 8, 5, 54, 111, 13, 1, 5, 92, 139, 108, 0, 0, 74, 24, 3, 2, 8, 5, 54, 211, 44, 31, 13, 31, 2.0, 13.0, 31.0, 0, 6, 11, 8, 1, 2, 33, 1, 5, 3, 1, 1, 0.0, 5, 0, 0, 0, 0, 3, 3, 4.55, 29.55, 70.45, 70.5, 27.296875, 27.296875, 0, 54.5, 25.0, 9.099609375, 45.5, 27.296875, 9.099609375, 9.1, 0.0, 72.6875, 45.5, 9.099609375, 0.0, 18.19921875, 0.0, 66.0, 22.0, 10.0, 7.0, 132.0, "Tous les candidats", 138.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "4567", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4567&g_ta_cod=4567", 68.0, 16.0, 14.0),
(11910, "Public", "0750656F", "Lycée Lavoisier", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "CPGE", "Lycée Lavoisier - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 2491, 1030, 2491, 401, 1980, 384, 4, 1, 2, 1, 505, 0, 0, 0, 0, 0, 2051, 0, 333, 1978, 1784, 338, 1, 0, 1, 0, 265, 744, 50, 21, 50, 0, 19.0, 23.0, 39.0, 3, 11, 44, 44, 0, 0, 6, 0, 0, 3, 23, 17, 1.0, 44, 0, 0, 1, 1, 13, 39, 38.0, 46.0, 78.0, 42.0, 29.5, 88.59375, 2.2998046875, 25.0, 88.0, 0.0, 0.0, 6.7998046875, 52.296875, 38.6, 2.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 670.0, 118.0, 0.0, 0.0, 74.0, "Tous les candidats", 842.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "8978", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8978&g_ta_cod=8978", 100.0, 0.0, 0.0),
(11911, "Privé sous contrat d'association", "9840394F", "Lycée Samuel Raapoto", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Papeete", "formation sélective", "BTS", "Lycée Samuel Raapoto - BTS - Services - Gestion de la PME", "BTS - Services", "", 20, 212, 161, 162, 0, 5, 1, 60, 28, 61, 33, 36, 50, 0, 10, 18, 22, 38, 1, 0, 0, 1, 0, 21, 10, 11, 5, 5, 34, 10, 7, 9, 1, 4.0, 9.0, 10.0, 0, 3, 8, 0, 4, 4, 2, 0, 1, 3, 3, 1, 0.0, 0, 3, 4, 6, 3, 7, 7, 40.0, 90.0, 100.0, 70.0, 87.5, 87.5, 75, 37.5, 80.0, 0.0, 12.5, 37.5, 37.5, 12.5, 0.0, 0.0, 0.0, 50.0, 37.5, 50.0, 50.0, 1.0, 0.0, 9.0, 4.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 22.0, "12020", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12020&g_ta_cod=12020", 10.0, 40.0, 50.0),
(11912, "Public", "0931002J", "I.U.T de Saint-Denis - Université Paris 13", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BUT", "I.U.T de Saint-Denis - Université Paris 13 - BUT - Génie mécanique et productique Parcours : innovation pour l?industrie Chargé d?affaires industrielles- Management de process industriel-Simulation numérique et réalité virtuelle -Conception et production durable", "BUT - Production", "innovation pour l?industrie Chargé d?affaires industrielles- Management de process industriel-Simulation numérique et réalité virtuelle -Conception et production durable", 96, 1449, 126, 1449, 0, 647, 168, 482, 176, 21, 5, 299, 0, 0, 0, 0, 0, 1003, 0, 0, 0, 493, 121, 318, 104, 2, 1, 190, 629, 92, 8, 92, 0, 16.0, 62.0, 83.0, 0, 28, 73, 30, 42, 1, 19, 0, 17, 45, 11, 0, 0.0, 20, 35, 1, 0, 0, 26, 69, 17.39, 67.39, 90.22, 8.69921875, 35.59375, 94.5, 0, 38.3984375, 79.296875, 0.0, 23.296875, 61.59375, 15.099609375, 0.0, 0.0, 41.09375, 27.3984375, 57.5, 47.8984375, 1.39990234375, 1.39990234375, 275.0, 90.0, 2.0, 1.0, 143.0, "Tous les candidats sauf les Bac technologiques", 502.0, "Bacheliers technologiques toutes séries", 338, "", 0, "Liste d'appel propre à cette formation", 58.0, "11222", "BUT - Génie mécanique et productique Parcours : innovation pour l?industrie Chargé d?affaires industrielles- Management de process industriel-Simulation numérique et réalité virtuelle -Conception et production durable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11222&g_ta_cod=11222", 48.0, 51.0, 1.0),
(11913, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Licence", "Université de Montpellier - Double licence - Mathématiques / Informatique - Licence -  Double licence Mathématiques - Informatique", "Licence - Sciences - technologies - santé", "Licence -  Double licence Mathématiques - Informatique", 20, 564, 99, 564, 0, 402, 61, 9, 3, 0, 0, 153, 0, 0, 0, 0, 0, 306, 0, 0, 0, 280, 30, 0, 0, 0, 0, 26, 137, 18, 3, 18, 0, 2.0, 13.0, 18.0, 0, 4, 18, 18, 0, 0, 0, 0, 0, 2, 9, 4, 3.0, 18, 0, 0, 0, 0, 10, 10, 11.11, 72.22, 100.0, 16.69921875, 55.59375, 55.59375, 0, 22.19921875, 100.0, 0.0, 0.0, 11.099609375, 50.0, 22.2, 16.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 127.0, 15.0, 0.0, 0.0, 10.0, "Tous les candidats", 237.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "31726", "Double licence - Mathématiques / Informatique - Licence -  Double licence Mathématiques - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31726&g_ta_cod=31726", 100.0, 0.0, 0.0),
(11914, "Public", "0623957P", "Université d'Artois - Site d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation non sélective", "Licence", "Université d'Artois - Site d'Arras - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 76, 274, 111, 212, 0, 137, 27, 27, 10, 2, 1, 46, 62, 11, 6, 7, 38, 209, 58, 0, 0, 137, 27, 27, 10, 2, 1, 43, 255, 50, 8, 29, 21, 17.0, 28.0, 39.0, 0, 5, 27, 17, 5, 5, 23, 0, 15, 10, 2, 0, 0.0, 8, 3, 1, 0, 0, 25, 25, 34.0, 56.0, 78.0, 16.0, 92.59375, 92.59375, 0, 18.5, 54.0, 0.0, 55.59375, 37.0, 7.3994140625, 0.0, 0.0, 63.0, 29.59765625, 18.5, 11.099609375, 18.5, 3.69970703125, 143.0, 27.0, 9.0, 3.0, 73.0, "Tous les candidats", 209.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7515", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7515&g_ta_cod=7515", 60.0, 24.0, 16.0),
(11915, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "PASS", "Université des Antilles - Pôle Martinique - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 21, 361, 281, 361, 0, 268, 78, 24, 10, 8, 4, 61, 0, 0, 0, 0, 0, 360, 0, 0, 0, 268, 78, 24, 10, 8, 4, 60, 125, 22, 17, 22, 0, 0.0, 22.0, 22.0, 0, 6, 21, 20, 1, 0, 1, 0, 2, 12, 6, 1, 0.0, 18, 1, 0, 0, 0, 19, 19, 0.0, 100.0, 100.0, 77.296875, 90.5, 90.5, 0, 28.59765625, 95.5, 0.0, 9.5, 57.09375, 28.59765625, 4.8, 0.0, 95.1875, 85.6875, 4.7998046875, 4.7998046875, 0.0, 0.0, 118.0, 35.0, 1.0, 0.0, 5.0, "Tous les candidats", 562.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 52.0, "26828", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26824&g_ta_cod=26828", 95.0, 5.0, 0.0),
(11916, "Privé sous contrat d'association", "0131331B", "Lycée St Joseph Les Maristes", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "Autre formation", "Lycée St Joseph Les Maristes - DN MADE - Numérique - - Spécialité : Graphisme et interactivité", "DN MADE", "- Spécialité : Graphisme et interactivité", 16, 339, 172, 339, 0, 145, 30, 65, 9, 38, 6, 91, 0, 0, 0, 0, 0, 339, 0, 0, 0, 145, 30, 65, 9, 38, 6, 91, 43, 16, 7, 16, 0, 6.0, 13.0, 15.0, 0, 4, 13, 6, 1, 6, 3, 0, 0, 4, 6, 3, 0.0, 6, 1, 6, 0, 0, 11, 11, 37.5, 81.25, 93.75, 43.796875, 84.59375, 84.59375, 0, 30.796875, 81.296875, 0.0, 0.0, 30.796875, 46.1953125, 23.1, 0.0, 46.1953125, 46.1953125, 7.69921875, 7.69921875, 46.1953125, 46.1953125, 19.0, 2.0, 10.0, 3.0, 5.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "24107", "DN MADE - Numérique - - Spécialité : Graphisme et interactivité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24107&g_ta_cod=24107", 38.0, 13.0, 38.0),
(11917, "Public", "0623920Z", "Université du littoral - Site de Boulogne-sur-Mer", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "Autre formation", "Université du littoral - Diplôme d'Université - PAREO - DU Avenir", "Diplôme d'Université", "DU Avenir", 20, 40, 21, 19, 0, 5, 1, 9, 4, 0, 0, 5, 21, 7, 4, 2, 8, 19, 16, 0, 0, 5, 1, 9, 4, 0, 0, 5, 40, 12, 7, 0, 10, 0.0, 0.0, 5.0, 0, 1, 7, 4, 3, 0, 5, 0, 4, 1, 2, 0, 0.0, 1, 2, 0, 0, 0, 7, 7, 0.0, 0.0, 41.67, 58.296875, 100.0, 100.0, 0, 14.298828125, 58.296875, 0.0, 57.09375, 14.298828125, 28.59765625, 0.0, 0.0, 57.09375, 14.298828125, 42.8984375, 28.59765625, 0.0, 0.0, 12.0, 2.0, 2.0, 1.0, 12.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "32894", "Diplôme d'Université - PAREO - DU Avenir", "Université du littoral", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32892&g_ta_cod=32894", 42.0, 50.0, 8.0),
(11918, "Public", "0594581J", "IUT C - Roubaix - Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BUT", "IUT C - Roubaix - Université de Lille - BUT - Techniques de commercialisation Parcours : Marketing digital - Business international - Retail - Business développement - Stratégie de marque et événementiel", "BUT - Service", "Marketing digital - Business international - Retail - Business développement - Stratégie de marque et événementiel", 183, 3997, 1996, 3997, 0, 1959, 363, 1254, 420, 62, 24, 722, 0, 0, 0, 0, 0, 1878, 0, 0, 0, 1171, 152, 522, 124, 0, 0, 185, 838, 178, 84, 178, 0, 66.0, 143.0, 164.0, 0, 60, 168, 85, 83, 0, 10, 0, 15, 94, 51, 8, 0.0, 75, 78, 0, 0, 0, 121, 121, 37.08, 80.34, 92.13, 47.1953125, 72.0, 72.0, 0, 35.6953125, 94.390625, 0.0, 8.8984375, 56.0, 30.3984375, 4.8, 0.0, 50.59375, 44.59375, 49.3984375, 46.3984375, 0.0, 0.0, 486.0, 116.0, 0.0, 0.0, 40.0, "Tous les candidats sauf les Bac technologiques", 720.0, "Bacheliers technologiques toutes séries", 401, "", 0, "Liste d'appel propre à cette formation", 28.0, "7129", "BUT - Techniques de commercialisation Parcours : Marketing digital - Business international - Retail - Business développement - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7129&g_ta_cod=7129", 49.0, 51.0, 0.0),
(11919, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Institut Catholique Paris - Licence - Droit - Parcours Droit et Science Politique", "Licence - Droit-économie-gestion", "Droit et Science Politique", 250, 3464, 2356, 3464, 0, 2945, 170, 83, 15, 4, 4, 432, 0, 0, 0, 0, 0, 2483, 0, 0, 0, 2282, 106, 35, 4, 0, 0, 166, 1072, 279, 203, 279, 0, 174.0, 243.0, 273.0, 0, 11, 274, 270, 4, 0, 5, 0, 1, 36, 168, 68, 1.0, 269, 4, 0, 0, 0, 62, 173, 62.37, 87.1, 97.85, 72.796875, 22.59765625, 63.09375, 0, 4.0, 98.1875, 0.0, 0.39996337890625, 13.099609375, 61.296875, 24.8, 0.4, 98.5, 98.1875, 1.5, 1.5, 0.0, 0.0, 1005.0, 52.0, 0.0, 0.0, 57.0, "Tous les candidats", 1232.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "9459", "Licence - Droit - Parcours Droit et Science Politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9459&g_ta_cod=9459", 99.0, 1.0, 0.0),
(11920, "Public", "0060075Z", "Lycée Les Eucalyptus", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "BTS", "Lycée Les Eucalyptus - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 22, 284, 11, 284, 0, 25, 7, 57, 12, 125, 49, 77, 0, 0, 0, 0, 0, 284, 0, 0, 0, 25, 7, 57, 12, 125, 49, 77, 62, 21, 1, 21, 0, 4.0, 20.0, 20.0, 0, 5, 18, 2, 0, 16, 3, 0, 1, 10, 5, 2, 0.0, 2, 0, 15, 0, 0, 13, 13, 19.05, 95.24, 95.24, 4.7998046875, 72.1875, 72.1875, 0, 27.796875, 85.6875, 0.0, 5.599609375, 55.59375, 27.796875, 11.1, 0.0, 11.099609375, 11.099609375, 0.0, 0.0, 88.890625, 83.296875, 6.0, 3.0, 44.0, 12.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 27.0, "2233", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2233&g_ta_cod=2233", 14.0, 10.0, 76.0),
(11921, "Public", "9840482B", "Lycée du Diadème - Te tara o mai'ao", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Pirae", "formation sélective", "BTS", "Lycée du Diadème - Te tara o mai'ao - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 22, 175, 146, 175, 0, 18, 9, 58, 37, 60, 47, 39, 0, 0, 0, 0, 0, 92, 0, 0, 0, 10, 5, 32, 19, 33, 24, 17, 44, 21, 16, 21, 0, 7.0, 20.0, 20.0, 0, 11, 16, 2, 8, 6, 5, 0, 4, 11, 1, 0, 0.0, 2, 5, 5, 5, 3, 16, 16, 33.33, 95.24, 95.24, 76.1875, 100.0, 100.0, 31.296875, 68.796875, 76.1875, 0.0, 25.0, 68.796875, 6.2998046875, 0.0, 0.0, 12.5, 12.5, 50.0, 31.296875, 37.5, 31.296875, 5.0, 2.0, 10.0, 7.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers technologiques toutes séries", 28, "Bacheliers professionnels toutes séries", 14, "Liste d'appel propre à cette formation", 30.0, "25803", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25803&g_ta_cod=25803", 14.0, 48.0, 38.0),
(11922, "Public", "0511565Z", "Lycée Francois Arago", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Francois Arago - BTS - Production - Bâtiment", "BTS - Production", "", 30, 384, 52, 343, 0, 45, 10, 90, 19, 76, 28, 132, 41, 1, 7, 13, 20, 173, 3, 0, 0, 42, 9, 72, 14, 41, 11, 18, 109, 20, 1, 19, 1, 4.0, 18.0, 20.0, 0, 2, 19, 2, 7, 10, 1, 0, 7, 9, 3, 0, 0.0, 0, 2, 10, 5, 1, 13, 13, 20.0, 90.0, 100.0, 5.0, 68.390625, 68.390625, 26.296875, 10.5, 95.0, 0.0, 36.796875, 47.3984375, 15.798828125, 0.0, 0.0, 10.5, 0.0, 36.796875, 10.5, 52.59375, 52.59375, 30.0, 7.0, 33.0, 8.0, 11.0, "Tous les candidats sauf les Bac professionnels", 127.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 49.0, "6141", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6141&g_ta_cod=6141", 15.0, 35.0, 50.0),
(11923, "Public", "0340042L", "Lycée Jean Mermoz", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Jean Mermoz - BTS - Production - Conception de produits industriels", "BTS - Production", "", 30, 482, 44, 443, 0, 21, 7, 234, 64, 75, 40, 113, 39, 0, 2, 20, 17, 306, 4, 0, 0, 17, 4, 190, 47, 48, 18, 51, 175, 26, 1, 25, 1, 3.0, 14.0, 25.0, 0, 6, 18, 0, 16, 2, 8, 0, 7, 7, 3, 1, 0.0, 0, 10, 1, 3, 0, 15, 15, 11.54, 53.85, 96.15, 3.7998046875, 83.296875, 83.296875, 16.69921875, 33.296875, 69.1875, 0.0, 38.8984375, 38.8984375, 16.69921875, 5.6, 0.0, 0.0, 0.0, 88.890625, 55.59375, 11.099609375, 5.599609375, 6.0, 3.0, 40.0, 18.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 190, "Liste d'appel propre à cette formation", 63.0, "4498", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4498&g_ta_cod=4498", 19.0, 69.0, 12.0),
(11924, "Privé sous contrat d'association", "0141161L", "Lycée Jeanne D'Arc", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "CPGE", "Lycée Jeanne D'Arc - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 24, 208, 101, 207, 0, 194, 10, 0, 0, 0, 0, 13, 1, 0, 0, 0, 1, 189, 0, 0, 189, 183, 8, 0, 0, 0, 0, 6, 104, 20, 10, 20, 0, 4.0, 16.0, 20.0, 0, 1, 19, 19, 0, 0, 1, 0, 1, 6, 9, 3, 0.0, 18, 0, 0, 4, 2, 19, 19, 20.0, 80.0, 100.0, 50.0, 100.0, 100.0, 21.09765625, 5.2998046875, 95.0, 0.0, 5.2998046875, 31.59765625, 47.3984375, 15.8, 0.0, 100.0, 94.6875, 0.0, 0.0, 0.0, 0.0, 98.0, 6.0, 0.0, 0.0, 6.0, "Tous les candidats", 187.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "31349", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31349&g_ta_cod=31349", 100.0, 0.0, 0.0),
(11925, "Privé sous contrat d'association", "0694333K", "ECE Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 100, 3924, 847, 3924, 0, 3920, 159, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 3775, 0, 0, 0, 3771, 140, 0, 0, 0, 0, 4, 3010, 114, 19, 114, 0, 90.0, 97.0, 113.0, 0, 4, 114, 114, 0, 0, 0, 0, 7, 49, 48, 10, 0.0, 107, 0, 0, 0, 0, 43, 43, 78.95, 85.09, 99.12, 16.69921875, 37.6953125, 37.6953125, 0, 3.5, 100.0, 0.0, 6.099609375, 43.0, 42.09375, 8.8, 0.0, 100.0, 93.890625, 0.0, 0.0, 0.0, 0.0, 3006.0, 120.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "527", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=99&g_ta_cod=527", 100.0, 0.0, 0.0),
(11926, "Public", "0710012C", "Lycée Nicéphore Niepce", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "BTS", "Lycée Nicéphore Niepce - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 144, 12, 136, 0, 13, 1, 77, 10, 26, 10, 20, 8, 0, 0, 4, 4, 125, 2, 0, 0, 13, 1, 75, 10, 18, 8, 19, 68, 13, 1, 13, 0, 3.0, 10.0, 12.0, 0, 2, 7, 1, 4, 2, 6, 0, 1, 4, 0, 2, 0.0, 1, 3, 2, 2, 0, 7, 7, 23.08, 76.92, 92.31, 7.69921875, 100.0, 100.0, 28.59765625, 28.59765625, 53.796875, 0.0, 14.298828125, 57.09375, 0.0, 28.6, 0.0, 14.298828125, 14.298828125, 57.09375, 42.8984375, 28.59765625, 28.59765625, 6.0, 1.0, 15.0, 7.0, 12.0, "Tous les candidats sauf les Bac professionnels", 100.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 87.0, "8621", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8621&g_ta_cod=8621", 23.0, 54.0, 23.0),
(11927, "Public", "0350029S", "Lycée Joliot-Curie", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "CPGE", "Lycée Joliot-Curie - CPGE - PTSI", "Classe préparatoire scientifique", "", 45, 807, 108, 788, 621, 703, 52, 4, 1, 0, 0, 81, 19, 15, 0, 0, 4, 408, 2, 338, 398, 406, 24, 0, 0, 0, 0, 2, 292, 42, 6, 41, 1, 7.0, 28.0, 42.0, 32, 2, 42, 42, 0, 0, 0, 0, 0, 1, 25, 16, 0.0, 42, 0, 0, 4, 0, 37, 37, 16.67, 66.67, 100.0, 14.298828125, 88.09375, 88.09375, 9.5, 4.7998046875, 100.0, 0.0, 0.0, 2.39990234375, 59.5, 38.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 290.0, 18.0, 0.0, 0.0, 2.0, "Tous les candidats", 408.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "4642", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4642&g_ta_cod=4642", 100.0, 0.0, 0.0),
(11928, "Privé sous contrat d'association", "3500068X", "Toulouse Business School - Campus de Casablanca", "99", "Etranger", "Etranger", "Etranger", "Casablanca", "formation sélective", "Ecole de Commerce", "Toulouse Business School - Formation des écoles de commerce et de management Bac + 3 - Bachelor en Management", "Formation des écoles de commerce et de management", "", 50, 151, 55, 132, 0, 90, 14, 20, 3, 0, 0, 22, 19, 7, 2, 0, 10, 95, 12, 0, 0, 66, 5, 19, 2, 0, 0, 10, 107, 18, 5, 11, 7, 6.0, 11.0, 14.0, 0, 0, 12, 4, 8, 0, 6, 0, 4, 5, 2, 1, 0.0, 2, 6, 0, 0, 0, 12, 12, 33.33, 61.11, 77.78, 27.796875, 100.0, 100.0, 0, 0.0, 66.6875, 0.0, 33.296875, 41.6953125, 16.69921875, 8.3, 0.0, 33.296875, 16.69921875, 66.6875, 50.0, 0.0, 0.0, 69.0, 5.0, 0.0, 0.0, 18.0, "Tous les candidats", 1027.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 72.0, "31816", "Formation des écoles de commerce et de management Bac + 3 - Bachelor en Management", "Toulouse Business School", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26098&g_ta_cod=31816", 44.0, 56.0, 0.0),
(11929, "Public", "0623957P", "Université d'Artois - Site d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation non sélective", "Licence", "Université d'Artois - Site d'Arras - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Chinois - LLCER", "Licence - Arts-lettres-langues", "Chinois - LLCER", 20, 138, 112, 113, 0, 63, 17, 10, 5, 4, 4, 36, 25, 7, 0, 0, 18, 113, 25, 0, 0, 63, 17, 10, 5, 4, 4, 36, 103, 20, 15, 12, 8, 4.0, 12.0, 15.0, 0, 5, 12, 10, 1, 1, 8, 1, 5, 4, 2, 0, 0.0, 5, 0, 1, 0, 0, 10, 10, 20.0, 60.0, 75.0, 75.0, 83.296875, 83.296875, 0, 41.6953125, 60.0, 8.298828125, 41.6953125, 33.296875, 16.69921875, 0.0, 0.0, 83.296875, 41.6953125, 8.298828125, 0.0, 8.298828125, 8.298828125, 53.0, 16.0, 2.0, 2.0, 42.0, "Tous les candidats", 113.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7513", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Chinois - LLCER", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7513&g_ta_cod=7513", 85.0, 10.0, 5.0),
(11930, "Public", "0530012A", "LGT Réaumur - Lycée des métiers", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "LGT Réaumur - Lycée des métiers - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 32, 444, 394, 439, 0, 27, 9, 133, 43, 134, 38, 145, 5, 0, 3, 0, 2, 376, 4, 0, 0, 27, 9, 126, 39, 128, 33, 95, 154, 31, 28, 27, 4, 4.0, 16.0, 23.0, 0, 6, 24, 3, 10, 11, 7, 0, 6, 10, 8, 0, 0.0, 2, 6, 10, 3, 3, 17, 17, 12.9, 51.61, 74.19, 90.296875, 70.796875, 70.796875, 12.5, 25.0, 77.390625, 0.0, 25.0, 41.6953125, 33.296875, 0.0, 0.0, 12.5, 8.298828125, 41.6953125, 25.0, 45.796875, 41.6953125, 10.0, 1.0, 51.0, 13.0, 27.0, "Tous les candidats sauf les Bac professionnels", 172.0, "Bacheliers professionnels toutes séries", 64, "", 0, "Liste d'appel propre à cette formation", 54.0, "6204", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6204&g_ta_cod=6204", 19.0, 39.0, 42.0),
(11931, "Public", "0810004P", "Lycée Louis Rascol", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "BTS", "Lycée Louis Rascol - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 177, 8, 168, 0, 11, 1, 57, 16, 55, 7, 45, 9, 0, 4, 0, 5, 135, 2, 0, 0, 11, 1, 55, 14, 49, 6, 20, 94, 18, 0, 17, 1, 6.0, 16.0, 18.0, 0, 3, 15, 1, 5, 9, 3, 0, 4, 5, 5, 1, 0.0, 0, 3, 8, 5, 0, 10, 10, 33.33, 88.89, 100.0, 0.0, 66.6875, 66.6875, 33.296875, 20.0, 83.296875, 0.0, 26.69921875, 33.296875, 33.296875, 6.7, 0.0, 6.69921875, 0.0, 33.296875, 20.0, 60.0, 53.296875, 7.0, 1.0, 33.0, 5.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 77.0, "10259", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10259&g_ta_cod=10259", 11.0, 33.0, 56.0),
(11932, "Public", "9760182U", "Lycée de Sada", "976", "Mayotte", "Mayotte", "Mayotte", "Sada", "formation sélective", "BTS", "Lycée de Sada - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1390, 869, 1390, 0, 164, 101, 483, 316, 346, 178, 397, 0, 0, 0, 0, 0, 543, 0, 0, 0, 68, 39, 228, 166, 157, 90, 90, 105, 32, 20, 32, 0, 7.0, 31.0, 32.0, 0, 18, 29, 4, 13, 12, 3, 0, 16, 11, 2, 0, 0.0, 3, 4, 6, 13, 8, 28, 28, 21.88, 96.88, 100.0, 62.5, 96.59375, 96.59375, 44.796875, 62.09375, 90.59375, 0.0, 55.1953125, 37.8984375, 6.8994140625, 0.0, 0.0, 13.798828125, 10.298828125, 44.796875, 13.798828125, 41.3984375, 20.69921875, 10.0, 5.0, 41.0, 23.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 10.0, "13664", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13664&g_ta_cod=13664", 16.0, 47.0, 38.0),
(11933, "Public", "0951673C", "Lycée professionnel Gustave Eiffel", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Ermont", "formation sélective", "Autre formation", "Lycée professionnel Gustave Eiffel - Mention complémentaire - FCIL Technicien de systèmes de sécurité et d'incendie", "Mention complémentaire", "", 15, 76, 5, 63, 0, 3, 1, 1, 1, 49, 15, 10, 13, 0, 0, 5, 8, 29, 6, 0, 0, 1, 1, 0, 0, 26, 6, 2, 35, 11, 0, 5, 5, 2.0, 5.0, 5.0, 0, 4, 8, 0, 0, 8, 3, 0, 3, 4, 1, 0, 0.0, 0, 0, 5, 0, 0, 7, 8, 18.18, 45.45, 45.45, 0.0, 87.5, 100.0, 0, 50.0, 72.6875, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 62.5, 1.0, 1.0, 28.0, 7.0, 6.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "25155", "Mention complémentaire - FCIL Technicien de systèmes de sécurité et d'incendie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25155&g_ta_cod=25155", 0.0, 0.0, 100.0),
(11934, "Public", "0930118Y", "Lycée Jean Renoir", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bondy", "formation sélective", "BTS", "Lycée Jean Renoir - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 2497, 1260, 2497, 0, 146, 66, 772, 399, 755, 428, 824, 0, 0, 0, 0, 0, 789, 0, 0, 0, 51, 23, 262, 142, 356, 207, 120, 173, 32, 19, 32, 0, 5.0, 23.0, 31.0, 0, 7, 23, 3, 9, 11, 9, 0, 6, 16, 1, 0, 0.0, 3, 8, 6, 4, 0, 23, 23, 15.63, 71.88, 96.88, 59.3984375, 100.0, 100.0, 17.3984375, 30.3984375, 71.890625, 0.0, 26.09765625, 69.59375, 4.2998046875, 0.0, 0.0, 13.0, 13.0, 39.09375, 34.796875, 47.796875, 26.09765625, 21.0, 7.0, 48.0, 26.0, 52.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 108, "Bacheliers technologiques toutes séries", 105, "Liste d'appel propre à cette formation", 10.0, "11168", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11168&g_ta_cod=11168", 9.0, 44.0, 47.0),
(11935, "Privé sous contrat d'association", "0801888T", "Lycée Saint Martin", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée Saint Martin - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 36, 120, 57, 114, 0, 0, 0, 25, 1, 53, 19, 36, 6, 0, 0, 1, 5, 76, 3, 0, 0, 0, 0, 22, 1, 30, 13, 24, 61, 29, 14, 29, 0, 24.0, 29.0, 29.0, 0, 3, 11, 0, 4, 7, 18, 0, 0, 2, 7, 2, 0.0, 0, 4, 7, 4, 1, 10, 10, 82.76, 100.0, 100.0, 48.296875, 90.890625, 90.890625, 36.3984375, 27.296875, 37.8984375, 0.0, 0.0, 18.19921875, 63.59375, 18.2, 0.0, 0.0, 0.0, 36.3984375, 36.3984375, 63.59375, 63.59375, 0.0, 0.0, 28.0, 12.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 60.0, "10251", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10251&g_ta_cod=10251", 45.0, 28.0, 28.0),
(11936, "Public", "0400027M", "Lycée polyvalent des métiers de l'aéronautique Jean Taris", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Peyrehorade", "formation sélective", "Autre formation", "Lycée polyvalent des métiers de l'aéronautique Jean Taris - Mention complémentaire - Aéronautique option hélicoptère moteur à turbines", "Mention complémentaire", "", 11, 121, 9, 121, 0, 0, 0, 0, 0, 108, 19, 13, 0, 0, 0, 0, 0, 95, 0, 0, 0, 0, 0, 0, 0, 87, 18, 8, 17, 10, 3, 10, 0, 5.0, 9.0, 9.0, 0, 3, 10, 0, 0, 10, 0, 0, 0, 2, 6, 2, 0.0, 0, 0, 10, 0, 0, 10, 10, 50.0, 90.0, 90.0, 30.0, 100.0, 100.0, 0, 30.0, 100.0, 0.0, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 17.0, 3.0, 0.0, "Tous les candidats", 18.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "12560", "Mention complémentaire - Aéronautique option hélicoptère moteur à turbines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12560&g_ta_cod=12560", 0.0, 0.0, 100.0),
(11937, "Privé sous contrat d'association", "0593030Y", "Lycée professionnel Notre-Dame du Sacré Coeur", "59", "Nord", "Hauts-de-France", "Lille", "Loos", "formation sélective", "BTS", "Lycée professionnel Notre-Dame du Sacré Coeur - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 65, 385, 374, 338, 0, 60, 15, 100, 35, 79, 36, 99, 47, 7, 12, 4, 24, 230, 32, 0, 0, 53, 12, 57, 18, 65, 27, 55, 210, 35, 35, 28, 7, 12.0, 28.0, 31.0, 0, 8, 23, 6, 5, 12, 12, 0, 6, 10, 6, 1, 0.0, 3, 3, 11, 8, 8, 20, 20, 34.29, 80.0, 88.57, 100.0, 87.0, 87.0, 34.796875, 34.796875, 65.6875, 0.0, 26.09765625, 43.5, 26.09765625, 4.3, 0.0, 26.09765625, 13.0, 21.69921875, 13.0, 52.1953125, 47.796875, 47.0, 13.0, 55.0, 23.0, 50.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 68.0, "6952", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6952&g_ta_cod=6952", 40.0, 17.0, 43.0),
(11938, "Public", "0690097F", "Lycée Claude Bernard", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villefranche-sur-Saône", "formation sélective", "BTS", "Lycée Claude Bernard - BTS - Services - Commerce International", "BTS - Services", "", 24, 720, 397, 720, 0, 137, 37, 285, 126, 77, 44, 221, 0, 0, 0, 0, 0, 273, 0, 0, 0, 80, 15, 116, 43, 34, 23, 43, 85, 22, 11, 22, 0, 7.0, 16.0, 16.0, 0, 9, 20, 1, 14, 5, 2, 0, 9, 9, 2, 0, 0.0, 1, 5, 5, 9, 5, 17, 17, 31.82, 72.73, 72.73, 50.0, 85.0, 85.0, 45, 45.0, 90.890625, 0.0, 45.0, 45.0, 10.0, 0.0, 0.0, 5.0, 5.0, 70.0, 25.0, 25.0, 25.0, 8.0, 5.0, 6.0, 3.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 74, "Liste d'appel propre à cette formation", 14.0, "8240", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8240&g_ta_cod=8240", 5.0, 73.0, 23.0),
(11939, "Public", "0710012C", "Lycée Nicéphore Niepce", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "BTS", "Lycée Nicéphore Niepce - BTS - Production - Pilotage des procédés", "BTS - Production", "", 12, 57, 9, 56, 0, 4, 0, 15, 4, 16, 8, 21, 1, 0, 0, 1, 0, 44, 0, 0, 0, 4, 0, 12, 3, 13, 6, 15, 32, 12, 3, 12, 0, 5.0, 9.0, 12.0, 0, 0, 8, 1, 4, 3, 4, 0, 3, 3, 2, 0, 0.0, 0, 2, 3, 3, 1, 5, 5, 41.67, 75.0, 100.0, 25.0, 62.5, 62.5, 37.5, 0.0, 66.6875, 0.0, 37.5, 37.5, 25.0, 0.0, 0.0, 12.5, 0.0, 50.0, 25.0, 37.5, 37.5, 2.0, 0.0, 11.0, 4.0, 9.0, "Tous les candidats sauf les Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 77.0, "19752", "BTS - Production - Pilotage des procédés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19752&g_ta_cod=19752", 42.0, 33.0, 25.0),
(11940, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Langues étrangères appliquées - Parcours Trilingue", "Licence - Arts-lettres-langues", "Trilingue", 215, 1050, 820, 874, 0, 626, 153, 49, 17, 27, 10, 172, 176, 43, 16, 9, 108, 874, 138, 0, 0, 626, 153, 49, 17, 27, 10, 172, 833, 211, 154, 147, 64, 72.0, 147.0, 193.0, 0, 43, 136, 103, 24, 9, 75, 1, 42, 58, 27, 7, 1.0, 78, 9, 6, 0, 0, 95, 95, 34.12, 69.67, 91.47, 73.0, 69.890625, 69.890625, 0, 31.59765625, 64.5, 0.699951171875, 30.8984375, 42.59375, 19.8984375, 5.1, 0.7, 75.6875, 57.3984375, 17.59765625, 6.599609375, 6.599609375, 4.3994140625, 520.0, 132.0, 28.0, 14.0, 227.0, "Tous les candidats", 874.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5569", "Licence - Langues étrangères appliquées - Parcours Trilingue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5569&g_ta_cod=5569", 74.0, 19.0, 7.0),
(11941, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Science politique", "Licence - Droit-économie-gestion", "", 130, 4847, 2834, 4847, 0, 3894, 681, 80, 25, 27, 10, 846, 0, 0, 0, 0, 0, 4847, 0, 0, 0, 3894, 681, 80, 25, 27, 10, 846, 614, 127, 85, 127, 0, 3.0, 105.0, 116.0, 0, 21, 124, 123, 0, 1, 3, 2, 2, 3, 62, 55, 0.0, 119, 0, 1, 0, 0, 52, 78, 2.36, 82.68, 91.34, 66.890625, 41.8984375, 62.8984375, 0, 16.8984375, 97.59375, 1.599853515625, 1.599853515625, 2.39990234375, 50.0, 44.4, 0.0, 99.1875, 96.0, 0.0, 0.0, 0.7999267578125, 0.7999267578125, 580.0, 93.0, 1.0, 0.0, 30.0, "Tous les candidats", 819.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "15006", "Licence - Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15006&g_ta_cod=15006", 98.0, 0.0, 2.0),
(11942, "Privé sous contrat d'association", "0500127S", "Lycée Le Bon Sauveur", "50", "Manche", "Normandie", "Normandie", "Saint-Lô", "formation sélective", "BTS", "Lycée Le Bon Sauveur - BTS - Services - Tourisme", "BTS - Services", "", 35, 262, 173, 239, 0, 58, 12, 41, 6, 26, 7, 114, 23, 7, 5, 3, 8, 157, 13, 0, 0, 57, 12, 38, 6, 23, 5, 39, 129, 18, 14, 13, 5, 4.0, 13.0, 17.0, 0, 2, 11, 6, 3, 2, 7, 0, 6, 2, 3, 0, 0.0, 2, 1, 2, 1, 1, 11, 11, 22.22, 72.22, 94.44, 77.796875, 100.0, 100.0, 9.099609375, 18.19921875, 61.09375, 0.0, 54.5, 18.19921875, 27.296875, 0.0, 0.0, 54.5, 18.19921875, 27.296875, 9.099609375, 18.19921875, 18.19921875, 44.0, 8.0, 20.0, 5.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 84.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 64.0, "6017", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6017&g_ta_cod=6017", 67.0, 22.0, 11.0),
(11943, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "PASS", "Université de Brest - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 45, 1506, 951, 1506, 0, 1054, 166, 18, 4, 14, 9, 420, 0, 0, 0, 0, 0, 1507, 0, 0, 0, 1055, 167, 18, 4, 14, 9, 420, 386, 45, 36, 45, 0, 1.0, 26.0, 41.0, 0, 5, 41, 41, 0, 0, 4, 0, 4, 22, 12, 3, 0.0, 37, 0, 0, 0, 0, 40, 40, 2.22, 57.78, 91.11, 80.0, 97.59375, 97.59375, 0, 12.19921875, 91.09375, 0.0, 9.798828125, 53.6953125, 29.296875, 7.3, 0.0, 100.0, 90.1875, 0.0, 0.0, 0.0, 0.0, 355.0, 51.0, 0.0, 0.0, 29.0, "Tous les candidats", 2214.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "27586", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27585&g_ta_cod=27586", 100.0, 0.0, 0.0),
(11944, "Public", "0772348J", "I.U.T de Marne la Vallée - Antenne de Meaux", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "BUT", "I.U.T de Marne la Vallée - Antenne de Meaux - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", 130, 1686, 918, 1686, 0, 723, 181, 638, 213, 12, 3, 313, 0, 0, 0, 0, 0, 1031, 0, 0, 0, 509, 116, 375, 122, 0, 0, 147, 445, 129, 74, 129, 0, 22.0, 117.0, 123.0, 0, 36, 109, 49, 60, 0, 20, 0, 13, 63, 30, 3, 0.0, 37, 59, 0, 0, 0, 96, 101, 17.05, 90.7, 95.35, 57.3984375, 88.09375, 92.6875, 0, 33.0, 84.5, 0.0, 11.8984375, 57.796875, 27.5, 2.8, 0.0, 45.0, 33.8984375, 55.0, 54.09375, 0.0, 0.0, 200.0, 57.0, 0.0, 0.0, 75.0, "Tous les candidats sauf les Bac technologiques", 344.0, "Bacheliers technologiques toutes séries", 236, "", 0, "Liste d'appel propre à cette formation", 34.0, "9901", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9901&g_ta_cod=9901", 50.0, 50.0, 0.0),
(11945, "Public", "0681687P", "IFSI Colmar", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "IFSI", "Regroupement d'IFSI Université Strasbourg - D.E Infirmier", "D.E secteur sanitaire", "", 109, 3623, 3057, 3623, 0, 689, 133, 693, 212, 415, 152, 1826, 0, 0, 0, 0, 0, 3121, 0, 0, 0, 661, 123, 592, 170, 289, 90, 1579, 943, 111, 98, 111, 0, 4.0, 66.0, 96.0, 0, 15, 59, 38, 15, 6, 52, 0, 9, 33, 13, 4, 0.0, 31, 13, 6, 0, 0, 48, 48, 3.6, 59.46, 86.49, 88.296875, 81.390625, 81.390625, 0, 25.3984375, 53.1953125, 0.0, 15.298828125, 55.8984375, 22.0, 6.8, 0.0, 64.390625, 52.5, 25.3984375, 22.0, 10.19921875, 10.19921875, 311.0, 55.0, 38.0, 22.0, 464.0, "Tous les candidats", 1791.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "23244", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23000&g_ta_cod=23244", 70.0, 18.0, 12.0),
(11946, "Public", "0931002J", "I.U.T de Saint-Denis - Université Paris 13", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BUT", "I.U.T de Saint-Denis - Université Paris 13 - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat-Business international : achat et vente-Marketing et management du point de vente-Business développement et management de la relation client-Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entrepreneuriat-Business international : achat et vente-Marketing et management du point de vente-Business développement et management de la relation client-Stratégie de marque et événementiel", 186, 6504, 3618, 6504, 0, 2803, 831, 2268, 971, 170, 79, 1263, 0, 0, 0, 0, 0, 3400, 0, 0, 0, 1715, 452, 1230, 479, 48, 19, 407, 912, 179, 119, 178, 0, 20.0, 162.0, 167.0, 0, 61, 122, 26, 87, 9, 57, 1, 8, 54, 53, 6, 0.0, 20, 84, 9, 0, 0, 45, 115, 11.17, 90.5, 93.3, 66.5, 36.8984375, 94.296875, 0, 50.0, 68.1875, 0.7999267578125, 6.599609375, 44.296875, 43.3984375, 4.9, 0.0, 21.296875, 16.3984375, 71.296875, 68.890625, 7.3994140625, 7.3994140625, 275.0, 135.0, 15.0, 8.0, 216.0, "Tous les candidats sauf les Bac technologiques", 679.0, "Bacheliers technologiques toutes séries", 552, "", 0, "Liste d'appel propre à cette formation", 19.0, "11229", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat-Business international : achat et vente-Marketing et management du point de vente-Business développement et management de la relation client-Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11229&g_ta_cod=11229", 44.0, 51.0, 5.0),
(11947, "Public", "0610002W", "Lycée Leclerc Navarre", "61", "Orne", "Normandie", "Normandie", "Alençon", "formation sélective", "BTS", "Lycée Leclerc Navarre - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 33, 477, 219, 477, 0, 43, 8, 185, 58, 167, 68, 82, 0, 0, 0, 0, 0, 356, 0, 0, 0, 35, 6, 147, 49, 128, 45, 46, 166, 27, 8, 27, 0, 6.0, 18.0, 22.0, 0, 9, 24, 1, 11, 12, 3, 0, 12, 8, 4, 0, 0.0, 0, 3, 9, 12, 6, 22, 22, 22.22, 66.67, 81.48, 29.59765625, 91.6875, 91.6875, 50, 37.5, 88.890625, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 4.19921875, 0.0, 45.796875, 12.5, 50.0, 37.5, 11.0, 5.0, 57.0, 20.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 127, "Liste d'appel propre à cette formation", 45.0, "7292", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7292&g_ta_cod=7292", 4.0, 48.0, 48.0),
(11948, "Privé sous contrat d'association", "0711249X", "Lycée Frederic Ozanam", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Mâcon", "formation sélective", "BTS", "Lycée Frederic Ozanam - BTS - Services - Tourisme", "BTS - Services", "", 45, 278, 179, 249, 0, 73, 10, 41, 9, 30, 12, 105, 29, 5, 4, 1, 19, 119, 9, 0, 0, 62, 6, 23, 4, 15, 6, 19, 118, 36, 29, 31, 5, 27.0, 31.0, 35.0, 0, 5, 31, 18, 7, 6, 5, 0, 7, 17, 7, 0, 0.0, 14, 4, 6, 0, 0, 15, 15, 75.0, 86.11, 97.22, 80.59375, 48.3984375, 48.3984375, 0, 16.09765625, 86.09375, 0.0, 22.59765625, 54.796875, 22.59765625, 0.0, 0.0, 58.09375, 45.1953125, 22.59765625, 12.8984375, 19.3984375, 19.3984375, 61.0, 7.0, 15.0, 6.0, 20.0, "Tous les candidats sauf les Bac professionnels", 99.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 46.0, "8658", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8658&g_ta_cod=8658", 64.0, 19.0, 17.0),
(11949, "Public", "0281056W", "I.U.T de Chartres", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Chartres", "formation sélective", "BUT", "I.U.T de Chartres - BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "BUT - Production", "Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", 22, 382, 33, 350, 0, 156, 12, 132, 21, 8, 5, 54, 32, 12, 4, 1, 15, 239, 13, 0, 0, 94, 4, 114, 16, 2, 2, 29, 143, 23, 2, 16, 7, 1.0, 14.0, 22.0, 0, 4, 22, 10, 12, 0, 1, 0, 13, 6, 3, 0, 0.0, 2, 7, 0, 0, 0, 13, 13, 4.35, 60.87, 95.65, 8.69921875, 59.09375, 59.09375, 0, 18.19921875, 95.6875, 0.0, 59.09375, 27.296875, 13.599609375, 0.0, 0.0, 45.5, 9.099609375, 54.5, 31.796875, 0.0, 0.0, 58.0, 3.0, 3.0, 2.0, 23.0, "Tous les candidats sauf les Bac technologiques", 111.0, "Bacheliers technologiques toutes séries", 127, "", 0, "Liste d'appel propre à cette formation", 68.0, "3751", "BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3751&g_ta_cod=3751", 48.0, 52.0, 0.0),
(11950, "Public", "9710090W", "Lycée professionnel Bertène Juminer", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Lamentin", "formation sélective", "Autre formation", "Lycée professionnel Bertène Juminer - Mention complémentaire - FCIL Projeteur/euse Building Information Modeling (BIM)", "Mention complémentaire", "", 15, 14, 4, 10, 0, 0, 0, 0, 0, 4, 2, 6, 4, 1, 0, 2, 1, 10, 0, 0, 0, 0, 0, 0, 0, 4, 2, 6, 14, 3, 2, 2, 0, 2.0, 2.0, 3.0, 0, 0, 1, 0, 0, 1, 2, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 66.67, 66.67, 100.0, 66.6875, 100.0, 100.0, 0, 0.0, 33.296875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 7.0, 2.0, 7.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "30702", "Mention complémentaire - FCIL Projeteur/euse Building Information Modeling (BIM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30702&g_ta_cod=30702", 0.0, 0.0, 100.0),
(11951, "Public", "0131596P", "Lycée Militaire d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "CPGE", "Lycée Militaire d'Aix-en-Provence - CPGE - MPSI", "Classe préparatoire scientifique", "", 55, 1150, 240, 1150, 1150, 1038, 85, 3, 0, 0, 0, 109, 0, 0, 0, 0, 0, 1150, 0, 1150, 0, 1038, 85, 3, 0, 0, 0, 109, 206, 55, 14, 55, 0, 9.0, 47.0, 53.0, 55, 5, 50, 50, 0, 0, 5, 0, 0, 0, 17, 28, 5.0, 50, 0, 0, 8, 2, 19, 19, 16.36, 85.45, 96.36, 25.5, 38.0, 38.0, 16, 10.0, 90.890625, 0.0, 0.0, 0.0, 34.0, 56.0, 10.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 197.0, 14.0, 0.0, 0.0, 9.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "2653", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2653&g_ta_cod=2653", 100.0, 0.0, 0.0),
(11952, "Privé sous contrat d'association", "0831141P", "Lycée la Tourrache", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Autre formation", "Lycée la Tourrache - DN MADE - Innovation sociale - - Spécialité : Supports émergents", "DN MADE", "- Spécialité : Supports émergents", 15, 70, 53, 70, 0, 37, 8, 9, 1, 3, 0, 21, 0, 0, 0, 0, 0, 48, 0, 0, 0, 33, 8, 9, 1, 1, 0, 5, 41, 12, 9, 12, 0, 3.0, 10.0, 12.0, 0, 2, 8, 7, 0, 1, 4, 0, 3, 4, 1, 0, 0.0, 5, 0, 0, 0, 0, 6, 6, 25.0, 83.33, 100.0, 75.0, 75.0, 75.0, 0, 25.0, 66.6875, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 87.5, 62.5, 0.0, 0.0, 12.5, 0.0, 28.0, 6.0, 1.0, 0.0, 4.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "24353", "DN MADE - Innovation sociale - - Spécialité : Supports émergents", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24353&g_ta_cod=24353", 83.0, 8.0, 8.0),
(11953, "Public", "0921594H", "Lycée Georges Pompidou/Michel Ange", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Villeneuve-la-Garenne", "formation sélective", "BTS", "Lycée Georges Pompidou/Michel Ange - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 36, 1459, 681, 1459, 0, 45, 10, 518, 254, 476, 249, 420, 0, 0, 0, 0, 0, 630, 0, 0, 0, 45, 10, 196, 103, 231, 115, 158, 222, 35, 12, 30, 0, 4.0, 19.0, 24.0, 0, 10, 29, 0, 13, 16, 6, 0, 7, 17, 5, 0, 0.0, 0, 8, 14, 2, 2, 21, 25, 11.43, 54.29, 68.57, 34.296875, 72.390625, 86.1875, 6.8994140625, 34.5, 82.890625, 0.0, 24.09765625, 58.59375, 17.19921875, 0.0, 0.0, 0.0, 0.0, 44.796875, 27.59765625, 55.1953125, 48.296875, 2.0, 2.0, 97.0, 48.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 157, "Bacheliers technologiques toutes séries", 135, "Liste d'appel propre à cette formation", 21.0, "11130", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11130&g_ta_cod=11130", 9.0, 43.0, 49.0),
(11954, "Public", "0542407Y", "Sciences Po - campus de Nancy - Institut d'études politiques", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Sciences Po Paris - Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", "Sciences politiques", "Bachelor du Collège universitaire de Sciences Po - Programme européen franco-allemand, campus de Nancy", 89, 1147, 702, 1147, 0, 1142, 90, 3, 1, 0, 0, 2, 0, 0, 0, 0, 0, 109, 0, 0, 0, 109, 12, 0, 0, 0, 0, 0, 107, 84, 58, 84, 0, 0.0, 84.0, 84.0, 0, 11, 84, 84, 0, 0, 0, 0, 0, 0, 4, 45, 35.0, 84, 0, 0, 0, 0, 9, 9, 0.0, 100.0, 100.0, 69.0, 10.69921875, 10.69921875, 0, 13.099609375, 100.0, 0.0, 0.0, 0.0, 4.7998046875, 53.6, 41.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 107.0, 11.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "31214", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Bachelor du Collège universitaire de Sciences Po - Programme général Campus de Paris", "Sciences Po Paris - Institut d'études politiques", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25777&g_ta_cod=31214", 100.0, 0.0, 0.0),
(11955, "Public", "0680008P", "Lycée Camille See", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BTS", "Lycée Camille See - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 36, 1126, 599, 1126, 0, 143, 23, 360, 113, 306, 150, 317, 0, 0, 0, 0, 0, 577, 0, 0, 0, 109, 17, 220, 62, 174, 79, 74, 186, 29, 16, 29, 0, 4.0, 18.0, 24.0, 0, 5, 21, 2, 13, 6, 8, 0, 5, 10, 5, 1, 0.0, 1, 11, 4, 5, 2, 20, 20, 13.79, 62.07, 82.76, 55.1953125, 95.1875, 95.1875, 23.796875, 23.796875, 72.390625, 0.0, 23.796875, 47.59375, 23.796875, 4.8, 0.0, 9.5, 4.7998046875, 61.8984375, 52.3984375, 28.59765625, 19.0, 40.0, 9.0, 29.0, 14.0, 35.0, "Tous les candidats sauf les Bac professionnels", 240.0, "Bacheliers professionnels toutes séries", 66, "", 0, "Liste d'appel propre à cette formation", 27.0, "8084", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8084&g_ta_cod=8084", 14.0, 52.0, 34.0),
(11956, "Public", "0753268V", "Lycée Jean Lurcat", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Lurcat - BTS - Services - Communication", "BTS - Services", "", 35, 3360, 2432, 3360, 0, 689, 159, 1031, 404, 398, 177, 1242, 0, 0, 0, 0, 0, 709, 0, 0, 0, 182, 35, 223, 74, 180, 71, 124, 154, 33, 23, 33, 0, 3.0, 29.0, 31.0, 0, 9, 25, 9, 10, 6, 8, 0, 2, 16, 6, 1, 0.0, 9, 10, 4, 0, 0, 1, 25, 9.09, 87.88, 93.94, 69.6875, 4.0, 100.0, 0, 36.0, 75.796875, 0.0, 8.0, 64.0, 24.0, 4.0, 0.0, 36.0, 36.0, 40.0, 40.0, 24.0, 16.0, 46.0, 16.0, 12.0, 1.0, 52.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 95.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 128, "Liste d'appel propre à cette formation", 7.0, "9383", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9383&g_ta_cod=9383", 42.0, 39.0, 18.0),
(11957, "Public", "0910620E", "Lycée Robert Doisneau", "91", "Essonne", "Ile-de-France", "Versailles", "Corbeil-Essonnes", "formation sélective", "BTS", "Lycée Robert Doisneau - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 24, 267, 33, 218, 0, 1, 0, 82, 25, 71, 28, 64, 49, 0, 17, 5, 27, 132, 1, 0, 0, 0, 0, 62, 18, 52, 21, 18, 89, 17, 1, 16, 1, 4.0, 15.0, 17.0, 0, 9, 14, 0, 4, 10, 3, 0, 6, 6, 1, 1, 0.0, 0, 1, 7, 3, 0, 11, 14, 23.53, 88.24, 100.0, 5.8994140625, 78.59375, 100.0, 21.3984375, 64.296875, 82.390625, 0.0, 42.8984375, 42.8984375, 7.099609375, 7.1, 0.0, 0.0, 0.0, 28.59765625, 7.099609375, 71.390625, 50.0, 0.0, 0.0, 41.0, 17.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 55.0, "10842", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10842&g_ta_cod=10842", 0.0, 41.0, 59.0),
(11958, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues Etrangères Appliquées Anglais-Allemand", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées Anglais-Allemand", 70, 365, 269, 314, 0, 227, 42, 19, 5, 2, 2, 66, 51, 11, 5, 1, 34, 314, 47, 0, 0, 227, 42, 19, 5, 2, 2, 66, 304, 68, 50, 48, 20, 13.0, 47.0, 54.0, 0, 16, 44, 39, 4, 1, 24, 1, 12, 12, 16, 3, 0.0, 30, 1, 0, 0, 0, 27, 27, 19.12, 69.12, 79.41, 73.5, 61.3984375, 61.3984375, 0, 36.3984375, 64.6875, 2.2998046875, 27.296875, 27.296875, 36.3984375, 6.8, 0.0, 88.59375, 68.1875, 9.099609375, 2.2998046875, 2.2998046875, 0.0, 202.0, 40.0, 2.0, 2.0, 83.0, "Tous les candidats", 312.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "8506", "Licence - Portail Langues Etrangères Appliquées Anglais-Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8506&g_ta_cod=8506", 85.0, 13.0, 1.0),
(11959, "Public", "0831014B", "Lycée professionnel Golf-Hôtel", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Hyères", "formation sélective", "BTS", "Lycée professionnel Golf-Hôtel - BTS - Production - Travaux publics", "BTS - Production", "", 12, 201, 13, 200, 0, 33, 1, 51, 8, 50, 13, 66, 1, 0, 0, 1, 0, 162, 0, 0, 0, 33, 1, 51, 8, 50, 13, 28, 56, 11, 0, 11, 0, 1.0, 11.0, 11.0, 0, 4, 11, 1, 3, 7, 0, 0, 4, 4, 3, 0, 0.0, 1, 3, 3, 7, 0, 9, 9, 9.09, 100.0, 100.0, 0.0, 81.796875, 81.796875, 63.59375, 36.3984375, 100.0, 0.0, 36.3984375, 36.3984375, 27.296875, 0.0, 0.0, 9.099609375, 9.099609375, 27.296875, 27.296875, 63.59375, 27.296875, 3.0, 1.0, 34.0, 11.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 39.0, "13961", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13961&g_ta_cod=13961", 9.0, 27.0, 64.0),
(11960, "Public", "0331760J", "Lycée Fernand Daguin", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Mérignac", "formation sélective", "BTS", "Lycée Fernand Daguin - BTS - Services - Notariat", "BTS - Services", "", 20, 662, 497, 662, 0, 179, 44, 193, 68, 60, 29, 230, 0, 0, 0, 0, 0, 123, 0, 0, 0, 47, 9, 37, 8, 26, 11, 13, 63, 19, 14, 19, 0, 4.0, 17.0, 17.0, 0, 3, 14, 6, 5, 3, 5, 0, 4, 9, 0, 1, 0.0, 5, 3, 2, 0, 0, 14, 14, 21.05, 89.47, 89.47, 73.6875, 100.0, 100.0, 0, 21.3984375, 73.6875, 0.0, 28.59765625, 64.296875, 0.0, 7.1, 0.0, 42.8984375, 35.6953125, 35.6953125, 21.3984375, 21.3984375, 14.298828125, 19.0, 6.0, 7.0, 2.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 12.0, "4365", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4365&g_ta_cod=4365", 58.0, 26.0, 16.0),
(11961, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Licence", "Université de Strasbourg - Double licence - Sciences de la terre / Physique - Double Licence Sciences de la Terre-Physique", "Licence - Sciences - technologies - santé", "Double Licence Sciences de la Terre-Physique", 50, 335, 177, 226, 0, 126, 25, 1, 0, 0, 0, 99, 109, 49, 5, 0, 55, 144, 6, 0, 0, 87, 14, 0, 0, 0, 0, 57, 130, 17, 10, 15, 2, 4.0, 15.0, 16.0, 0, 0, 9, 9, 0, 0, 8, 0, 0, 3, 3, 3, 0.0, 9, 0, 0, 0, 0, 7, 7, 23.53, 88.24, 94.12, 58.796875, 77.796875, 77.796875, 0, 0.0, 52.8984375, 0.0, 0.0, 33.296875, 33.296875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 75.0, 11.0, 0.0, 0.0, 55.0, "Tous les candidats", 144.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "15315", "Double licence - Sciences de la terre / Physique - Double Licence Sciences de la Terre-Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15315&g_ta_cod=15315", 100.0, 0.0, 0.0),
(11962, "Public", "0940129E", "Lycée Jean Mace", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vitry-sur-Seine", "formation sélective", "BTS", "Lycée Jean Mace - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 444, 15, 407, 0, 4, 0, 45, 23, 265, 125, 93, 37, 0, 23, 0, 14, 183, 5, 0, 0, 0, 0, 18, 9, 139, 67, 26, 85, 12, 2, 11, 1, 2.0, 8.0, 11.0, 0, 5, 9, 0, 1, 8, 3, 0, 4, 3, 2, 0, 0.0, 0, 0, 5, 6, 0, 8, 9, 16.67, 66.67, 91.67, 16.69921875, 88.890625, 100.0, 66.6875, 55.59375, 75.0, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 0.0, 0.0, 11.099609375, 0.0, 88.890625, 55.59375, 0.0, 0.0, 53.0, 27.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 130, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 38.0, "11414", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11414&g_ta_cod=11414", 8.0, 17.0, 75.0),
(11963, "Public", "0850016F", "Lycée ATLANTIQUE", "85", "Vendée", "Pays de la Loire", "Nantes", "Luçon", "formation sélective", "BTS", "Lycée ATLANTIQUE - BTS - Services - Tourisme", "BTS - Services", "", 35, 914, 537, 914, 0, 188, 40, 69, 14, 95, 37, 562, 0, 0, 0, 0, 0, 450, 0, 0, 0, 183, 36, 63, 9, 95, 37, 109, 221, 27, 22, 27, 0, 3.0, 23.0, 25.0, 0, 6, 18, 10, 2, 6, 9, 0, 8, 8, 2, 0, 0.0, 5, 0, 5, 5, 5, 11, 11, 11.11, 85.19, 92.59, 81.5, 61.09375, 61.09375, 27.796875, 33.296875, 66.6875, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 55.59375, 27.796875, 11.099609375, 0.0, 33.296875, 27.796875, 100.0, 18.0, 38.0, 12.0, 49.0, "Tous les candidats sauf les Bac professionnels", 287.0, "Bacheliers professionnels toutes séries", 61, "", 0, "Liste d'appel propre à cette formation", 38.0, "10473", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10473&g_ta_cod=10473", 67.0, 7.0, 26.0),
(11964, "Privé enseignement supérieur", "0470974D", "Sud Management - ESC Agen", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "Ecole de Commerce", "Sud Management - ESC Agen - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "", 45, 41, 14, 34, 0, 22, 2, 6, 0, 0, 0, 6, 7, 0, 0, 0, 7, 29, 7, 0, 0, 20, 2, 5, 0, 0, 0, 4, 36, 17, 6, 12, 5, 12.0, 12.0, 15.0, 0, 1, 12, 9, 3, 0, 5, 0, 6, 5, 1, 0, 0.0, 4, 2, 0, 0, 0, 10, 10, 70.59, 70.59, 88.24, 35.296875, 83.296875, 83.296875, 0, 8.298828125, 70.59375, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 75.0, 33.296875, 25.0, 16.69921875, 0.0, 0.0, 20.0, 2.0, 0.0, 0.0, 11.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "12048", "Formation des écoles de commerce et de management Bac + 3", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12048&g_ta_cod=12048", 71.0, 29.0, 0.0),
(11965, "Public", "0580031U", "Lycée Jules Renard", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "CPGE", "Lycée Jules Renard - CPGE - PTSI", "Classe préparatoire scientifique", "", 24, 212, 45, 189, 124, 120, 20, 0, 0, 0, 0, 69, 23, 11, 0, 1, 11, 92, 12, 54, 88, 83, 13, 0, 0, 0, 0, 9, 87, 15, 2, 12, 3, 5.0, 11.0, 15.0, 4, 3, 15, 15, 0, 0, 0, 0, 2, 5, 6, 2, 0.0, 13, 0, 0, 7, 1, 13, 13, 33.33, 73.33, 100.0, 13.298828125, 86.6875, 86.6875, 46.6953125, 20.0, 100.0, 0.0, 13.298828125, 33.296875, 40.0, 13.3, 0.0, 100.0, 86.6875, 0.0, 0.0, 0.0, 0.0, 74.0, 11.0, 0.0, 0.0, 13.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "6675", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6675&g_ta_cod=6675", 100.0, 0.0, 0.0),
(11966, "Public", "0890985M", "IFSI CH Sens", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Sens", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bourgogne Dijon - D.E Infirmier", "D.E secteur sanitaire", "", 42, 2458, 2058, 2458, 0, 423, 73, 488, 110, 231, 76, 1316, 0, 0, 0, 0, 0, 2018, 0, 0, 0, 384, 61, 408, 91, 177, 59, 1049, 690, 42, 38, 42, 0, 0.0, 10.0, 33.0, 0, 9, 24, 3, 13, 8, 18, 0, 3, 17, 3, 1, 0.0, 3, 11, 7, 0, 0, 12, 12, 0.0, 23.81, 78.57, 90.5, 50.0, 50.0, 0, 37.5, 57.09375, 0.0, 12.5, 70.796875, 12.5, 4.2, 0.0, 12.5, 12.5, 54.1953125, 45.796875, 33.296875, 29.19921875, 144.0, 28.0, 83.0, 31.0, 349.0, "Tous les candidats", 2225.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 43.0, "23093", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23009&g_ta_cod=23093", 12.0, 50.0, 36.0),
(11967, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études italiennes", "Licence - Arts-lettres-langues", "Études italiennes", 40, 101, 76, 68, 0, 28, 7, 6, 2, 3, 2, 31, 33, 3, 2, 4, 24, 66, 17, 0, 0, 28, 7, 6, 2, 3, 2, 29, 83, 19, 14, 13, 6, 13.0, 13.0, 15.0, 0, 0, 4, 2, 2, 0, 15, 0, 3, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 3, 3, 68.42, 68.42, 78.95, 73.6875, 75.0, 75.0, 0, 0.0, 21.09765625, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 0.0, 0.0, 0.0, 30.0, 7.0, 4.0, 3.0, 42.0, "Tous les candidats", 66.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "8051", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études italiennes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8051&g_ta_cod=8051", 68.0, 16.0, 16.0),
(11968, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence_Las", "Université Toulouse 3 Paul Sabatier - Licence - Portail Mathématiques", "Licence - Sciences - technologies - santé", "", 18, 831, 421, 831, 0, 567, 85, 15, 7, 1, 1, 248, 0, 0, 0, 0, 0, 831, 0, 0, 0, 567, 85, 15, 7, 1, 1, 248, 250, 16, 6, 16, 0, 0.0, 3.0, 10.0, 0, 3, 13, 12, 1, 0, 3, 0, 3, 5, 4, 1, 0.0, 9, 1, 0, 0, 0, 10, 10, 0.0, 18.75, 62.5, 37.5, 76.890625, 76.890625, 0, 23.09765625, 81.296875, 0.0, 23.09765625, 38.5, 30.796875, 7.7, 0.0, 92.296875, 69.1875, 7.69921875, 7.69921875, 0.0, 0.0, 173.0, 25.0, 0.0, 0.0, 74.0, "Tous les candidats", 1490.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 59.0, "27525", "Licence - Portail Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27524&g_ta_cod=27525", 94.0, 6.0, 0.0),
(11969, "Public", "0330135T", "Lycée Alfred Kastler", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "BTS", "Lycée Alfred Kastler - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 30, 309, 24, 263, 0, 17, 3, 80, 18, 105, 29, 61, 46, 0, 31, 0, 15, 181, 3, 0, 0, 6, 1, 53, 13, 105, 29, 17, 111, 25, 1, 22, 1, 2.0, 19.0, 21.0, 0, 5, 23, 1, 8, 14, 2, 0, 12, 6, 4, 1, 0.0, 0, 2, 9, 0, 0, 17, 17, 8.0, 76.0, 84.0, 4.0, 73.890625, 73.890625, 0, 21.69921875, 92.0, 0.0, 52.1953125, 26.09765625, 17.3984375, 4.3, 0.0, 4.2998046875, 0.0, 34.796875, 8.69921875, 60.8984375, 39.09375, 5.0, 1.0, 51.0, 11.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 51.0, "4325", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4325&g_ta_cod=4325", 4.0, 36.0, 60.0),
(11970, "Public", "0330135T", "Lycée Alfred Kastler", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "BTS", "Lycée Alfred Kastler - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 29, 258, 12, 258, 0, 24, 2, 39, 10, 116, 27, 79, 0, 0, 0, 0, 0, 214, 0, 0, 0, 23, 2, 39, 10, 116, 27, 36, 93, 27, 1, 27, 0, 6.0, 19.0, 24.0, 0, 2, 21, 1, 4, 16, 6, 0, 4, 8, 8, 1, 0.0, 1, 1, 15, 6, 0, 21, 21, 22.22, 70.37, 88.89, 3.69970703125, 100.0, 100.0, 28.59765625, 9.5, 77.796875, 0.0, 19.0, 38.09375, 38.09375, 4.8, 0.0, 4.7998046875, 4.7998046875, 19.0, 4.7998046875, 76.1875, 71.390625, 14.0, 2.0, 36.0, 7.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 58.0, "4324", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4324&g_ta_cod=4324", 7.0, 33.0, 59.0),
(11971, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Bosniaque, Croate et Serbe", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Europe - Bosniaque, Croate et Serbe", 30, 56, 35, 39, 0, 21, 6, 3, 3, 1, 0, 14, 17, 1, 4, 1, 11, 39, 4, 0, 0, 21, 6, 3, 3, 1, 0, 14, 43, 8, 5, 6, 2, 6.0, 6.0, 7.0, 0, 1, 3, 3, 0, 0, 5, 0, 2, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 2, 75.0, 75.0, 87.5, 62.5, 33.296875, 66.6875, 0, 33.296875, 37.5, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 100.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 22.0, 7.0, 1.0, 0.0, 17.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9435", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Bosniaque, Croate et Serbe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29633&g_ta_cod=9435", 88.0, 0.0, 13.0),
(11972, "Public", "0640010N", "Lycée René Cassin Bayonne-Biarritz", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "CPGE", "Lycée René Cassin Bayonne-Biarritz - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 48, 630, 340, 630, 452, 561, 41, 0, 0, 0, 0, 69, 0, 0, 0, 0, 0, 577, 0, 452, 434, 526, 37, 0, 0, 0, 0, 51, 181, 47, 29, 47, 0, 14.0, 35.0, 42.0, 39, 2, 47, 47, 0, 0, 0, 0, 0, 5, 22, 18, 2.0, 47, 0, 0, 4, 3, 38, 38, 29.79, 74.47, 89.36, 61.6953125, 80.890625, 80.890625, 8.5, 4.2998046875, 100.0, 0.0, 0.0, 10.599609375, 46.796875, 38.3, 4.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 180.0, 16.0, 0.0, 0.0, 1.0, "Tous les candidats", 233.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "31282", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31282&g_ta_cod=31282", 100.0, 0.0, 0.0),
(11973, "Public", "0860039A", "Lycée professionnel Le Dolmen", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée professionnel Le Dolmen - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 15, 393, 137, 393, 0, 72, 18, 87, 19, 174, 52, 60, 0, 0, 0, 0, 0, 393, 0, 0, 0, 72, 18, 87, 19, 174, 52, 60, 57, 13, 7, 13, 0, 4.0, 7.0, 8.0, 0, 4, 12, 2, 3, 7, 1, 0, 3, 6, 3, 0, 0.0, 1, 1, 7, 5, 4, 8, 8, 30.77, 53.85, 61.54, 53.796875, 66.6875, 66.6875, 41.6953125, 33.296875, 92.296875, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 16.69921875, 8.298828125, 25.0, 8.298828125, 58.296875, 58.296875, 10.0, 2.0, 29.0, 7.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers technologiques toutes séries", 20, "Bacheliers professionnels toutes séries", 22, "Liste d'appel propre à cette formation", 14.0, "30883", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30883&g_ta_cod=30883", 23.0, 23.0, 54.0),
(11974, "Privé sous contrat d'association", "0762378X", "ESIGELEC Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Saint-Etienne-du-Rouvray", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 5, 128, 9, 128, 0, 0, 0, 128, 13, 0, 0, 0, 0, 0, 0, 0, 0, 124, 0, 0, 0, 0, 0, 124, 11, 0, 0, 0, 72, 5, 0, 5, 0, 3.0, 5.0, 5.0, 0, 1, 5, 0, 5, 0, 0, 0, 1, 2, 2, 0, 0.0, 0, 4, 0, 0, 0, 2, 2, 60.0, 100.0, 100.0, 0.0, 40.0, 40.0, 0, 20.0, 100.0, 0.0, 20.0, 40.0, 40.0, 0.0, 0.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "467", "Formation d'ingénieur Bac + 5 - Bac Série STI2D", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=106&g_ta_cod=467", 0.0, 100.0, 0.0),
(11975, "Public", "0741586X", "Université Savoie Mont Blanc - Annecy-le-Vieux", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "Licence", "Université Savoie Mont Blanc - Annecy-le-Vieux - Licence - Double diplôme - Licence Economie et gestion - Franco-allemand", "Licence - Droit-économie-gestion", "Franco-allemand", 12, 151, 66, 121, 0, 103, 5, 4, 0, 2, 1, 12, 30, 2, 1, 1, 26, 103, 3, 0, 0, 91, 5, 1, 0, 2, 1, 9, 72, 12, 6, 10, 2, 2.0, 8.0, 11.0, 0, 2, 9, 8, 0, 1, 3, 1, 2, 0, 4, 2, 0.0, 6, 0, 0, 0, 0, 2, 2, 16.67, 66.67, 91.67, 50.0, 22.19921875, 22.19921875, 0, 22.19921875, 75.0, 11.099609375, 22.19921875, 0.0, 44.3984375, 22.2, 0.0, 88.890625, 66.6875, 0.0, 0.0, 11.099609375, 0.0, 61.0, 3.0, 1.0, 0.0, 10.0, "Tous les candidats", 103.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "23598", "Licence - Double diplôme - Licence Economie et gestion - Franco-allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23598&g_ta_cod=23598", 92.0, 0.0, 8.0),
(11976, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence_Las", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations,  parcours Afrique et océan Indien - Wolof", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations,  parcours Afrique et océan Indien - Wolof", 10, 71, 56, 40, 0, 14, 5, 4, 2, 5, 4, 17, 31, 14, 6, 2, 9, 40, 16, 0, 0, 14, 5, 4, 2, 5, 4, 17, 50, 8, 7, 4, 4, 0.0, 4.0, 5.0, 0, 2, 4, 3, 0, 1, 4, 0, 3, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 0, 4, 0.0, 50.0, 62.5, 87.5, 0.0, 100.0, 0, 50.0, 50.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 75.0, 0.0, 0.0, 0.0, 25.0, 25.0, 24.0, 12.0, 3.0, 3.0, 17.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "29592", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations,  parcours Afrique et océan Indien - Wolof", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29591&g_ta_cod=29592", 75.0, 0.0, 25.0),
(11977, "Public", "0840957J", "I.U.T. d'Avignon", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BUT", "I.U.T. d'Avignon - BUT - Statistique et informatique décisionnelle Parcours : Science des données : exploration et modélisation statistique - Science des données : visualisation, conception d'outils décisionnels", "BUT - Service", "Science des données : exploration et modélisation statistique - Science des données : visualisation, conception d'outils décisionnels", 28, 559, 110, 528, 0, 341, 65, 59, 15, 6, 4, 122, 31, 2, 8, 0, 21, 356, 4, 0, 0, 270, 42, 40, 7, 0, 0, 46, 184, 25, 8, 23, 2, 7.0, 20.0, 22.0, 0, 6, 20, 15, 5, 0, 5, 0, 5, 9, 6, 0, 0.0, 11, 4, 0, 0, 0, 9, 9, 28.0, 80.0, 88.0, 32.0, 45.0, 45.0, 0, 30.0, 80.0, 0.0, 25.0, 45.0, 30.0, 0.0, 0.0, 75.0, 55.0, 25.0, 20.0, 0.0, 0.0, 135.0, 24.0, 0.0, 0.0, 25.0, "Tous les candidats sauf les Bac technologiques", 245.0, "Bacheliers technologiques toutes séries", 40, "", 0, "Liste d'appel propre à cette formation", 54.0, "10468", "BUT - Statistique et informatique décisionnelle Parcours : Science des données : exploration et modélisation statistique - Science des données : visualisation, conception d'outils décisionnels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10468&g_ta_cod=10468", 76.0, 24.0, 0.0),
(11978, "Public", "0310044E", "Lycée Déodat de Séverac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Déodat de Séverac - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 2105, 802, 2105, 1546, 1705, 205, 4, 0, 0, 0, 396, 0, 0, 0, 0, 0, 1200, 0, 920, 1169, 1166, 120, 0, 0, 0, 0, 34, 708, 92, 32, 92, 0, 4.0, 37.0, 81.0, 45, 10, 91, 91, 0, 0, 1, 0, 0, 2, 50, 38, 1.0, 91, 0, 0, 2, 0, 68, 68, 4.35, 40.22, 88.04, 34.796875, 74.6875, 74.6875, 2.19970703125, 11.0, 98.890625, 0.0, 0.0, 2.19970703125, 54.8984375, 41.8, 1.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 689.0, 80.0, 0.0, 0.0, 19.0, "Tous les candidats", 899.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "4052", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4052&g_ta_cod=4052", 100.0, 0.0, 0.0),
(11979, "Privé sous contrat d'association", "0640131V", "Lycée St Dominique", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "BTS", "Lycée St Dominique - BTS - Services - Communication", "BTS - Services", "", 35, 380, 252, 377, 0, 97, 15, 82, 21, 51, 19, 147, 3, 0, 0, 0, 3, 250, 0, 0, 0, 92, 15, 54, 13, 32, 9, 72, 136, 29, 22, 29, 0, 6.0, 21.0, 26.0, 0, 4, 19, 14, 3, 2, 10, 0, 3, 14, 2, 0, 0.0, 12, 3, 1, 0, 0, 13, 13, 20.69, 72.41, 89.66, 75.890625, 68.390625, 68.390625, 0, 21.09765625, 65.5, 0.0, 15.798828125, 73.6875, 10.5, 0.0, 0.0, 73.6875, 63.1953125, 15.798828125, 15.798828125, 10.5, 5.2998046875, 43.0, 8.0, 24.0, 6.0, 41.0, "Tous les candidats sauf les Bac professionnels", 139.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 47.0, "7724", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7724&g_ta_cod=7724", 79.0, 10.0, 10.0),
(11980, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Arts du spectacle - Parcours Études chorégraphiques (Danse)", "Licence - Arts-lettres-langues", "Études chorégraphiques (Danse)", 40, 304, 255, 291, 0, 167, 44, 51, 12, 16, 6, 57, 13, 0, 0, 0, 13, 287, 11, 0, 0, 167, 44, 51, 12, 16, 6, 53, 181, 32, 28, 30, 2, 1.0, 21.0, 29.0, 0, 8, 24, 15, 6, 3, 8, 0, 8, 11, 5, 0, 0.0, 9, 5, 2, 0, 0, 4, 4, 3.13, 65.63, 90.63, 87.5, 16.69921875, 16.69921875, 0, 33.296875, 75.0, 0.0, 33.296875, 45.796875, 20.796875, 0.0, 0.0, 62.5, 37.5, 25.0, 20.796875, 12.5, 8.298828125, 98.0, 27.0, 10.0, 4.0, 38.0, "Tous les candidats", 279.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "8028", "Licence - Arts du spectacle - Parcours Études chorégraphiques (Danse)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8028&g_ta_cod=8028", 66.0, 25.0, 9.0),
(11981, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence", "Université de Toulon - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence Langues, Littératures et Civilisations Etrangères et Régionales - Spécialité Espagnol", "Licence - Arts-lettres-langues", "Licence Langues, Littératures et Civilisations Etrangères et Régionales - Spécialité Espagnol", 75, 231, 187, 182, 0, 132, 40, 17, 10, 7, 5, 26, 49, 6, 8, 4, 31, 182, 48, 0, 0, 132, 40, 17, 10, 7, 5, 26, 198, 40, 31, 30, 10, 12.0, 29.0, 34.0, 0, 10, 30, 20, 7, 3, 10, 0, 11, 14, 5, 0, 0.0, 12, 6, 1, 0, 0, 27, 27, 30.0, 72.5, 85.0, 77.5, 90.0, 90.0, 0, 33.296875, 75.0, 0.0, 36.6953125, 46.6953125, 16.69921875, 0.0, 0.0, 66.6875, 40.0, 23.296875, 20.0, 10.0, 3.2998046875, 110.0, 37.0, 11.0, 9.0, 54.0, "Tous les candidats", 181.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "10363", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence Langues, Littératures et Civilisations Etrangères et Régionales - Spécialité Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10363&g_ta_cod=10363", 65.0, 25.0, 10.0),
(11982, "Public", "0330126H", "Lycée Victor Louis", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "BTS", "Lycée Victor Louis - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 18, 1778, 893, 1765, 0, 192, 39, 674, 217, 535, 197, 364, 13, 0, 0, 9, 4, 773, 5, 0, 0, 183, 38, 350, 106, 236, 81, 4, 132, 18, 11, 14, 4, 0.0, 7.0, 11.0, 0, 4, 16, 2, 8, 6, 2, 0, 3, 9, 3, 1, 0.0, 2, 6, 5, 2, 1, 16, 16, 0.0, 38.89, 61.11, 61.09375, 100.0, 100.0, 12.5, 25.0, 88.890625, 0.0, 18.796875, 56.296875, 18.796875, 6.3, 0.0, 12.5, 12.5, 50.0, 37.5, 37.5, 31.296875, 15.0, 2.0, 65.0, 23.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 93, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 12.0, "21160", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21160&g_ta_cod=21160", 11.0, 44.0, 44.0),
(11983, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud-Est et Pacifique -  Birman", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations,  parcours Asie du Sud-Est et Pacifique -  Birman", 15, 25, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 25, 0, 1, 2, 22, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 2, 1, 0, 2, 0.0, 0.0, 0.0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 0, 0, 0.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0, 0.0, 50.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 2.0, 0.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "9394", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud-Est et Pacifique -  Birman", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29458&g_ta_cod=9394", 0.0, 0.0, 100.0),
(11984, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Droit - Parcours Droits français et anglais", "Licence - Droit-économie-gestion", "Droits français et anglais", 15, 886, 725, 886, 0, 700, 107, 7, 3, 0, 0, 179, 0, 0, 0, 0, 0, 66, 0, 0, 0, 62, 4, 0, 0, 0, 0, 4, 31, 15, 11, 15, 0, 9.0, 14.0, 14.0, 0, 1, 14, 14, 0, 0, 1, 0, 0, 0, 0, 10, 4.0, 14, 0, 0, 0, 0, 1, 3, 60.0, 93.33, 93.33, 73.296875, 7.099609375, 21.3984375, 0, 7.099609375, 93.296875, 0.0, 0.0, 0.0, 0.0, 71.4, 28.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 30.0, 4.0, 0.0, 0.0, 1.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "22936", "Licence - Droit - Parcours Droits français et anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22936&g_ta_cod=22936", 100.0, 0.0, 0.0),
(11985, "Public", "0912412C", "Ecole Universitaire de premier cycle - Campus de Sceaux Université Paris-Saclay", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "Licence", "Ecole Universitaire de premier cycle - Campus de Sceaux Université Paris-Saclay - Licence - Double diplôme - Licence Droit - Parcours Langues et Civilisations - option Chinois et Anglais", "Licence - Droit-économie-gestion", "Parcours Langues et Civilisations - option Chinois et Anglais", 20, 112, 86, 112, 0, 82, 12, 4, 3, 4, 1, 22, 0, 0, 0, 0, 0, 64, 0, 0, 0, 55, 6, 0, 0, 0, 0, 9, 47, 20, 15, 20, 0, 8.0, 20.0, 20.0, 0, 2, 19, 19, 0, 0, 1, 0, 0, 7, 10, 2, 0.0, 19, 0, 0, 0, 0, 7, 10, 40.0, 100.0, 100.0, 75.0, 36.796875, 52.59375, 0, 10.5, 95.0, 0.0, 0.0, 36.796875, 52.59375, 10.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 42.0, 6.0, 0.0, 0.0, 5.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "16848", "Licence - Double diplôme - Licence Droit - Parcours Langues et Civilisations - option Chinois et Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16848&g_ta_cod=16848", 100.0, 0.0, 0.0),
(11986, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Information et communication", "Licence - Sciences humaines et sociales", "", 285, 2409, 1735, 2403, 0, 1424, 315, 205, 80, 53, 34, 721, 6, 0, 0, 2, 4, 2385, 6, 0, 0, 1424, 315, 205, 80, 53, 34, 703, 1165, 273, 179, 272, 1, 36.0, 196.0, 229.0, 0, 56, 164, 139, 21, 4, 109, 1, 52, 77, 28, 6, 0.0, 99, 11, 1, 0, 0, 110, 110, 13.19, 71.79, 83.88, 65.59375, 67.09375, 67.09375, 0, 34.09375, 60.09375, 0.5999755859375, 31.69921875, 47.0, 17.09765625, 3.7, 0.0, 84.796875, 60.3984375, 12.798828125, 6.69921875, 2.39990234375, 0.5999755859375, 664.0, 151.0, 28.0, 16.0, 363.0, "Tous les candidats", 1215.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "4561", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4561&g_ta_cod=4561", 77.0, 17.0, 4.0),
(11987, "Public", "0951710T", "Lycée Camille Claudel", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Vauréal", "formation sélective", "Autre formation", "Lycée Camille Claudel - DN MADE - Espace - - Spécialité : Conception & Réhabilitation", "DN MADE", "- Spécialité : Conception & Réhabilitation", 15, 364, 295, 364, 0, 125, 23, 98, 24, 39, 8, 102, 0, 0, 0, 0, 0, 213, 0, 0, 0, 98, 8, 73, 15, 15, 2, 27, 68, 15, 12, 15, 0, 6.0, 13.0, 15.0, 0, 1, 14, 5, 5, 4, 1, 0, 0, 6, 7, 1, 0.0, 5, 5, 4, 0, 0, 9, 11, 40.0, 86.67, 100.0, 80.0, 64.296875, 78.59375, 0, 7.099609375, 93.296875, 0.0, 0.0, 42.8984375, 50.0, 7.1, 0.0, 35.6953125, 35.6953125, 35.6953125, 35.6953125, 28.59765625, 28.59765625, 19.0, 4.0, 6.0, 0.0, 2.0, "Tous les candidats", 79.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "25127", "DN MADE - Espace - - Spécialité : Conception & Réhabilitation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25127&g_ta_cod=25127", 33.0, 33.0, 27.0),
(11988, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence_Las", "Université de La Réunion - Saint Denis - Licence - Portail Administration économique et sociale", "Licence - Droit-économie-gestion", ": Université de La Réunion - Saint Denis", 50, 802, 545, 742, 0, 254, 111, 147, 86, 109, 81, 232, 60, 6, 11, 13, 30, 742, 54, 0, 0, 254, 111, 147, 86, 109, 81, 232, 407, 57, 39, 36, 21, 2.0, 35.0, 41.0, 0, 22, 33, 9, 9, 15, 24, 0, 26, 6, 1, 0, 0.0, 2, 3, 2, 0, 0, 26, 26, 3.51, 61.4, 71.93, 68.390625, 78.796875, 78.796875, 0, 66.6875, 57.8984375, 0.0, 78.796875, 18.19921875, 3.0, 0.0, 0.0, 27.296875, 6.099609375, 27.296875, 9.099609375, 45.5, 6.099609375, 124.0, 55.0, 58.0, 45.0, 162.0, "Tous les candidats", 2528.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27551", "Licence - Portail Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26496&g_ta_cod=27551", 32.0, 25.0, 44.0),
(11989, "Public", "0900004R", "Lycée Raoul Follereau", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation sélective", "CPGE", "Lycée Raoul Follereau - CPGE - PTSI", "Classe préparatoire scientifique", "", 40, 448, 143, 437, 273, 169, 22, 1, 0, 0, 0, 267, 11, 2, 0, 0, 9, 202, 5, 136, 189, 157, 19, 0, 0, 0, 0, 45, 189, 20, 8, 19, 1, 2.0, 17.0, 19.0, 12, 0, 10, 10, 0, 0, 10, 0, 2, 7, 1, 0, 0.0, 8, 0, 0, 3, 0, 7, 7, 10.0, 85.0, 95.0, 40.0, 70.0, 70.0, 30, 0.0, 50.0, 0.0, 20.0, 70.0, 10.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 142.0, 16.0, 0.0, 0.0, 47.0, "Tous les candidats", 202.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "10808", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10808&g_ta_cod=10808", 100.0, 0.0, 0.0),
(11990, "Public", "0510007F", "Lycée Etienne Oehmichen", "51", "Marne", "Grand Est", "Reims", "Châlons-en-Champagne", "formation sélective", "BTS", "Lycée Etienne Oehmichen - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 57, 3, 56, 0, 1, 0, 20, 6, 19, 5, 16, 1, 0, 0, 1, 0, 48, 0, 0, 0, 1, 0, 20, 6, 19, 5, 8, 41, 12, 0, 12, 0, 4.0, 12.0, 12.0, 0, 3, 11, 0, 5, 6, 1, 0, 5, 4, 1, 1, 0.0, 0, 0, 6, 9, 0, 10, 10, 33.33, 100.0, 100.0, 0.0, 90.890625, 90.890625, 81.796875, 27.296875, 91.6875, 0.0, 45.5, 36.3984375, 9.099609375, 9.1, 0.0, 0.0, 0.0, 45.5, 0.0, 54.5, 54.5, 1.0, 0.0, 16.0, 5.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 77.0, "6055", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6055&g_ta_cod=6055", 0.0, 50.0, 50.0),
(11991, "Privé sous contrat d'association", "0573770N", "LYCEE GEN.ET TECHNOL.PRIVE LYCEE PRIVE ST ETIENNE", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "LYCEE GEN.ET TECHNOL.PRIVE LYCEE PRIVE ST ETIENNE - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 15, 199, 116, 199, 0, 53, 11, 46, 9, 62, 12, 38, 0, 0, 0, 0, 0, 118, 0, 0, 0, 34, 6, 31, 5, 38, 6, 15, 44, 14, 11, 13, 0, 6.0, 11.0, 11.0, 0, 4, 12, 5, 4, 3, 2, 0, 1, 9, 2, 0, 0.0, 5, 3, 3, 0, 0, 7, 7, 42.86, 78.57, 78.57, 78.59375, 58.296875, 58.296875, 0, 33.296875, 85.6875, 0.0, 8.298828125, 75.0, 16.69921875, 0.0, 0.0, 41.6953125, 41.6953125, 33.296875, 25.0, 25.0, 25.0, 12.0, 2.0, 9.0, 3.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 26.0, "16241", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16241&g_ta_cod=16241", 36.0, 36.0, 29.0),
(11992, "Public", "0340011C", "Lycée polyvalent Jean Moulin", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation sélective", "BTS", "Lycée polyvalent Jean Moulin - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 194, 1, 182, 0, 5, 1, 48, 18, 92, 46, 37, 12, 0, 7, 5, 0, 97, 5, 0, 0, 4, 0, 45, 16, 41, 19, 7, 83, 23, 0, 22, 1, 12.0, 22.0, 23.0, 0, 7, 20, 1, 8, 11, 3, 0, 8, 4, 7, 1, 0.0, 0, 1, 11, 14, 0, 19, 19, 52.17, 95.65, 100.0, 0.0, 95.0, 95.0, 70, 35.0, 87.0, 0.0, 40.0, 20.0, 35.0, 5.0, 0.0, 5.0, 0.0, 40.0, 5.0, 55.0, 55.0, 4.0, 0.0, 31.0, 13.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 49.0, "4473", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4473&g_ta_cod=4473", 9.0, 43.0, 48.0),
(11993, "Privé sous contrat d'association", "0440254M", "Ecole Sup. IMS", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Ecole Sup. IMS - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 776, 372, 765, 0, 122, 16, 357, 66, 162, 50, 124, 11, 0, 0, 5, 6, 478, 5, 0, 0, 97, 12, 229, 36, 104, 29, 48, 145, 30, 16, 28, 2, 4.0, 20.0, 25.0, 0, 5, 28, 8, 14, 6, 2, 0, 5, 20, 1, 2, 0.0, 6, 13, 4, 0, 0, 25, 25, 13.33, 66.67, 83.33, 53.296875, 89.296875, 89.296875, 0, 17.8984375, 93.296875, 0.0, 17.8984375, 71.390625, 3.599609375, 7.1, 0.0, 28.59765625, 21.3984375, 50.0, 46.3984375, 21.3984375, 14.298828125, 32.0, 5.0, 47.0, 17.0, 13.0, "Tous les candidats sauf les Bac professionnels", 140.0, "Bacheliers professionnels toutes séries", 81, "", 0, "Liste d'appel propre à cette formation", 29.0, "5518", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5518&g_ta_cod=5518", 30.0, 47.0, 23.0),
(11994, "Privé sous contrat d'association", "0690194L", "ECAM Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "ECAM-ECAM LaSalle - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 147, 2008, 460, 2008, 0, 1773, 96, 0, 0, 0, 0, 235, 0, 0, 0, 0, 0, 1229, 0, 0, 0, 1180, 38, 0, 0, 0, 0, 49, 571, 147, 40, 147, 0, 62.0, 133.0, 142.0, 0, 4, 146, 146, 0, 0, 1, 0, 0, 10, 88, 47, 1.0, 146, 0, 0, 0, 0, 75, 75, 42.18, 90.48, 96.6, 27.19921875, 51.3984375, 51.3984375, 0, 2.69970703125, 99.296875, 0.0, 0.0, 6.7998046875, 60.296875, 32.2, 0.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 564.0, 34.0, 0.0, 0.0, 7.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "29278", "Formation d'ingénieur Bac + 5 - Série générale", "ECAM-ECAM LaSalle", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29277&g_ta_cod=29278", 100.0, 0.0, 0.0),
(11995, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Licence - Information et communication", "Licence - Sciences humaines et sociales", "", 140, 1585, 1143, 1585, 0, 1149, 124, 130, 21, 22, 8, 284, 0, 0, 0, 0, 0, 1585, 0, 0, 0, 1149, 124, 130, 21, 22, 8, 284, 632, 145, 113, 145, 0, 46.0, 128.0, 145.0, 0, 14, 132, 131, 1, 0, 13, 0, 8, 63, 54, 7, 0.0, 123, 1, 0, 0, 0, 90, 90, 31.72, 88.28, 100.0, 77.890625, 68.1875, 68.1875, 0, 10.599609375, 91.0, 0.0, 6.099609375, 47.6953125, 40.8984375, 5.3, 0.0, 99.1875, 93.1875, 0.7999267578125, 0.7999267578125, 0.0, 0.0, 534.0, 46.0, 2.0, 2.0, 75.0, "Tous les candidats", 1100.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 59.0, "5887", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17419&g_ta_cod=5887", 99.0, 1.0, 0.0),
(11996, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Sciences du langage - Parcours Etude et pratique du français (préparation concours orthophonie)", "Licence - Arts-lettres-langues", "Etude et pratique du français (préparation concours orthophonie)", 95, 558, 522, 480, 0, 276, 59, 32, 7, 6, 4, 166, 78, 15, 10, 5, 48, 479, 75, 0, 0, 276, 59, 32, 7, 6, 4, 165, 459, 91, 86, 70, 21, 11.0, 60.0, 72.0, 0, 11, 59, 52, 5, 2, 32, 1, 20, 21, 16, 1, 0.0, 37, 1, 0, 0, 0, 32, 32, 12.09, 65.93, 79.12, 94.5, 54.1953125, 54.1953125, 0, 18.59765625, 64.796875, 1.699951171875, 33.8984375, 35.59375, 27.09765625, 1.7, 0.0, 88.09375, 62.6953125, 8.5, 1.699951171875, 3.39990234375, 0.0, 232.0, 48.0, 9.0, 6.0, 182.0, "Tous les candidats", 475.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "28937", "Licence - Sciences du langage - Parcours Etude et pratique du français (préparation concours orthophonie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28937&g_ta_cod=28937", 85.0, 11.0, 4.0),
(11997, "Public", "0440069L", "LGT Aristide Briand", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BTS", "LGT Aristide Briand - BTS - Production - Conception et réalisation en chaudronnerie industrielle (Seconde année possible en apprentissage)", "BTS - Production", "", 9, 113, 2, 113, 0, 8, 3, 27, 5, 57, 15, 21, 0, 0, 0, 0, 0, 91, 0, 0, 0, 8, 3, 23, 4, 46, 12, 14, 34, 5, 0, 5, 0, 1.0, 4.0, 5.0, 0, 1, 3, 0, 2, 1, 2, 0, 0, 2, 1, 0, 0.0, 0, 2, 1, 0, 0, 1, 1, 20.0, 80.0, 100.0, 0.0, 33.296875, 33.296875, 0, 33.296875, 60.0, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 4.0, 3.0, 15.0, 6.0, 9.0, "Tous les candidats sauf les Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 36.0, "5461", "BTS - Production - Conception et réalisation en chaudronnerie industrielle (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5461&g_ta_cod=5461", 20.0, 40.0, 40.0),
(11998, "Privé sous contrat d'association", "9840394F", "Lycée Samuel Raapoto", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Papeete", "formation sélective", "Autre formation", "Lycée Samuel Raapoto - Mention complémentaire - Services financiers", "Mention complémentaire", "", 10, 41, 33, 27, 0, 3, 1, 5, 2, 17, 11, 2, 14, 0, 2, 4, 8, 19, 7, 0, 0, 3, 1, 1, 0, 14, 9, 1, 25, 4, 2, 2, 2, 1.0, 2.0, 3.0, 0, 0, 2, 0, 0, 2, 2, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 25.0, 50.0, 75.0, 50.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 3.0, 1.0, 14.0, 8.0, 6.0, "Tous les candidats", 18.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "18683", "Mention complémentaire - Services financiers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18683&g_ta_cod=18683", 25.0, 25.0, 50.0),
(11999, "Privé sous contrat d'association", "0160079Z", "Lycée Sainte Marthe Chavagnes", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Angoulême", "formation sélective", "BTS", "Lycée Sainte Marthe Chavagnes - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 24, 206, 181, 203, 0, 32, 8, 50, 11, 69, 17, 52, 3, 0, 1, 0, 2, 134, 1, 0, 0, 27, 7, 45, 11, 44, 7, 18, 85, 17, 16, 17, 0, 6.0, 14.0, 17.0, 0, 0, 14, 3, 3, 8, 3, 0, 4, 6, 4, 0, 0.0, 2, 2, 6, 2, 2, 12, 12, 35.29, 82.35, 100.0, 94.09375, 85.6875, 85.6875, 14.298828125, 0.0, 82.390625, 0.0, 28.59765625, 42.8984375, 28.59765625, 0.0, 0.0, 21.3984375, 14.298828125, 21.3984375, 14.298828125, 57.09375, 42.8984375, 20.0, 5.0, 31.0, 6.0, 10.0, "Tous les candidats sauf les Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 59.0, "2993", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2993&g_ta_cod=2993", 29.0, 18.0, 53.0),
(12000, "Public", "0690082P", "Lycée Jean Perrin", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 9e  Arrondissement", "formation sélective", "CPGE", "Lycée Jean Perrin - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 2141, 846, 2141, 1502, 1700, 227, 3, 1, 0, 0, 438, 0, 0, 0, 0, 0, 1704, 0, 1221, 1666, 1587, 195, 0, 0, 0, 0, 117, 1000, 44, 15, 44, 0, 8.0, 18.0, 42.0, 27, 3, 44, 44, 0, 0, 0, 0, 0, 1, 32, 11, 0.0, 44, 0, 0, 0, 0, 21, 21, 18.18, 40.91, 95.45, 34.09375, 47.6953125, 47.6953125, 0, 6.7998046875, 100.0, 0.0, 0.0, 2.2998046875, 72.6875, 25.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1000.0, 140.0, 0.0, 0.0, 0.0, "Tous les candidats", 1278.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "8236", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8236&g_ta_cod=8236", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(12001, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Humanités (antérieurement Lettres classiques)", "Licence - Arts-lettres-langues", "Humanités (antérieurement Lettres classiques)", 30, 429, 307, 386, 0, 254, 56, 8, 3, 8, 4, 116, 43, 7, 5, 1, 30, 386, 37, 0, 0, 254, 56, 8, 3, 8, 4, 116, 230, 32, 23, 23, 9, 2.0, 22.0, 28.0, 0, 6, 20, 16, 2, 2, 12, 0, 10, 6, 4, 0, 0.0, 9, 1, 0, 0, 0, 10, 10, 6.25, 68.75, 87.5, 71.890625, 50.0, 50.0, 0, 30.0, 62.5, 0.0, 50.0, 30.0, 20.0, 0.0, 0.0, 80.0, 45.0, 10.0, 5.0, 10.0, 0.0, 142.0, 32.0, 4.0, 3.0, 79.0, "Tous les candidats", 385.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8498", "Licence - Portail Humanités (antérieurement Lettres classiques)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8498&g_ta_cod=8498", 72.0, 19.0, 6.0),
(12002, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "PASS", "Université de Bordeaux - Bordeaux Métropole - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 50, 5846, 4538, 5846, 0, 4677, 709, 112, 30, 31, 13, 1026, 0, 0, 0, 0, 0, 5762, 0, 0, 0, 4677, 709, 112, 30, 31, 13, 942, 270, 54, 50, 54, 0, 2.0, 53.0, 54.0, 0, 8, 50, 50, 0, 0, 4, 0, 0, 4, 23, 21, 2.0, 50, 0, 0, 0, 0, 37, 37, 3.7, 98.15, 100.0, 92.59375, 74.0, 74.0, 0, 16.0, 92.59375, 0.0, 0.0, 8.0, 46.0, 42.0, 4.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 215.0, 32.0, 0.0, 0.0, 55.0, "Tous les candidats", 1118.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 10.0, "26835", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26837&g_ta_cod=26835", 100.0, 0.0, 0.0),
(12003, "Privé sous contrat d'association", "0410693F", "Lycée La Providence", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BTS", "Lycée La Providence - BTS - Services - Economie sociale familiale", "BTS - Services", "", 34, 313, 287, 313, 0, 39, 8, 79, 17, 115, 45, 80, 0, 0, 0, 0, 0, 269, 0, 0, 0, 37, 7, 77, 17, 93, 31, 62, 155, 33, 32, 33, 0, 4.0, 25.0, 27.0, 0, 4, 26, 4, 14, 8, 7, 0, 6, 18, 1, 1, 0.0, 2, 10, 8, 6, 5, 26, 26, 12.12, 75.76, 81.82, 97.0, 100.0, 100.0, 23.09765625, 15.3984375, 78.796875, 0.0, 23.09765625, 69.1875, 3.7998046875, 3.8, 0.0, 15.3984375, 7.69921875, 53.796875, 38.5, 30.796875, 30.796875, 25.0, 4.0, 45.0, 9.0, 30.0, "Tous les candidats sauf les Bac professionnels", 116.0, "Bacheliers professionnels toutes séries", 57, "", 0, "Liste d'appel propre à cette formation", 55.0, "5249", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5249&g_ta_cod=5249", 18.0, 52.0, 27.0),
(12004, "Public", "0771512A", "Lycée Van Dongen", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lagny-sur-Marne", "formation sélective", "BTS", "Lycée Van Dongen - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 778, 416, 778, 0, 41, 10, 224, 75, 202, 86, 311, 0, 0, 0, 0, 0, 449, 0, 0, 0, 41, 10, 154, 49, 183, 75, 71, 110, 24, 17, 23, 0, 5.0, 15.0, 17.0, 0, 9, 20, 4, 9, 7, 4, 0, 13, 6, 1, 0, 0.0, 0, 3, 4, 8, 4, 19, 20, 20.83, 62.5, 70.83, 70.796875, 95.0, 100.0, 40, 45.0, 83.296875, 0.0, 65.0, 30.0, 5.0, 0.0, 0.0, 20.0, 0.0, 45.0, 15.0, 35.0, 20.0, 20.0, 5.0, 49.0, 16.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 17.0, "9841", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9841&g_ta_cod=9841", 17.0, 38.0, 46.0),
(12005, "Privé sous contrat d'association", "0740100G", "Lycée SAINT JOSEPH", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Thonon-les-Bains", "formation sélective", "BTS", "Lycée SAINT JOSEPH - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 14, 374, 295, 374, 0, 110, 17, 118, 29, 19, 5, 127, 0, 0, 0, 0, 0, 126, 0, 0, 0, 51, 6, 46, 9, 1, 0, 28, 59, 15, 7, 15, 0, 2.0, 10.0, 15.0, 0, 3, 14, 8, 6, 0, 1, 0, 4, 7, 3, 0, 0.0, 6, 4, 0, 1, 1, 10, 10, 13.33, 66.67, 100.0, 46.6953125, 71.390625, 71.390625, 7.099609375, 21.3984375, 93.296875, 0.0, 28.59765625, 50.0, 21.3984375, 0.0, 0.0, 57.09375, 42.8984375, 42.8984375, 28.59765625, 0.0, 0.0, 26.0, 3.0, 1.0, 0.0, 11.0, "Tous les candidats sauf les Bac professionnels", 93.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 25.0, "8887", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8887&g_ta_cod=8887", 60.0, 40.0, 0.0),
(12006, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "CPGE", "Lycée Jean Perrin - CPGE - ENS Rennes D1", "Classe préparatoire économique et commerciale", "", 45, 1042, 756, 1042, 549, 897, 134, 5, 2, 1, 1, 139, 0, 0, 0, 0, 0, 783, 0, 549, 464, 688, 101, 5, 2, 0, 0, 90, 236, 45, 32, 45, 0, 6.0, 33.0, 42.0, 6, 9, 44, 44, 0, 0, 1, 0, 0, 2, 22, 19, 1.0, 44, 0, 0, 2, 2, 30, 30, 13.33, 73.33, 93.33, 71.09375, 68.1875, 68.1875, 4.5, 20.5, 97.796875, 0.0, 0.0, 4.5, 50.0, 43.2, 2.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 220.0, 29.0, 0.0, 0.0, 16.0, "Tous les candidats", 410.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "2597", "CPGE - ENS Rennes D1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2597&g_ta_cod=2597", 100.0, 0.0, 0.0),
(12007, "Public", "0380081G", "Lycée Ella Fitzgerald St Romain en Gal", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vienne", "formation sélective", "BTS", "Lycée Ella Fitzgerald St Romain en Gal - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 34, 276, 140, 265, 0, 32, 7, 81, 31, 64, 26, 88, 11, 0, 4, 4, 3, 233, 4, 0, 0, 32, 7, 81, 31, 62, 26, 58, 152, 33, 19, 29, 4, 5.0, 28.0, 28.0, 0, 15, 25, 1, 14, 10, 8, 1, 14, 6, 3, 1, 0.0, 0, 4, 6, 4, 1, 20, 20, 15.15, 84.85, 84.85, 57.59375, 80.0, 80.0, 16, 60.0, 75.796875, 4.0, 56.0, 24.0, 12.0, 4.0, 0.0, 4.0, 0.0, 56.0, 16.0, 40.0, 24.0, 15.0, 7.0, 43.0, 15.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 89, "Liste d'appel propre à cette formation", 68.0, "4948", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4948&g_ta_cod=4948", 6.0, 55.0, 39.0),
(12008, "Public", "0400934Y", "I.U.T des Pays de l'Adour - Antenne de Mont De Marsan", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Mont-de-Marsan", "formation sélective", "BUT", "I.U.T des Pays de l'Adour - Antenne de Mont De Marsan - BUT - Science et génie des matériaux Parcours : Métiers du recyclage et de la valorisation des matériaux - Métiers de la caractérisation et de l'expertise des matériaux et des produits", "BUT - Production", "Métiers du recyclage et de la valorisation des matériaux - Métiers de la caractérisation et de l'expertise des matériaux et des produits", 48, 330, 45, 321, 0, 194, 17, 74, 6, 1, 1, 52, 9, 4, 1, 0, 4, 287, 5, 0, 0, 180, 17, 65, 6, 0, 0, 42, 269, 32, 5, 31, 1, 25.0, 28.0, 32.0, 0, 4, 27, 18, 9, 0, 5, 0, 11, 13, 3, 0, 0.0, 10, 6, 0, 0, 0, 16, 16, 78.13, 87.5, 100.0, 15.599609375, 59.296875, 59.296875, 0, 14.798828125, 84.390625, 0.0, 40.6953125, 48.09375, 11.099609375, 0.0, 0.0, 66.6875, 37.0, 33.296875, 22.19921875, 0.0, 0.0, 167.0, 16.0, 0.0, 0.0, 38.0, "Tous les candidats sauf les Bac technologiques", 215.0, "Bacheliers technologiques toutes séries", 70, "", 0, "Liste d'appel propre à cette formation", 89.0, "5217", "BUT - Science et génie des matériaux Parcours : Métiers du recyclage et de la valorisation des matériaux - Métiers de la caractérisation et de l'expertise des matériaux et des produits", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5217&g_ta_cod=5217", 69.0, 31.0, 0.0),
(12009, "Public", "0570085H", "Lycée Jean-Victor Poncelet", "57", "Moselle", "Grand Est", "Nancy-Metz", "Saint-Avold", "formation sélective", "BTS", "Lycée Jean-Victor Poncelet - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 495, 248, 495, 0, 45, 12, 151, 64, 147, 62, 152, 0, 0, 0, 0, 0, 277, 0, 0, 0, 39, 9, 109, 46, 103, 41, 26, 124, 33, 18, 33, 0, 11.0, 28.0, 30.0, 0, 13, 31, 5, 11, 15, 2, 0, 11, 8, 8, 4, 0.0, 1, 5, 14, 14, 9, 30, 30, 33.33, 84.85, 90.91, 54.5, 96.796875, 96.796875, 45.1953125, 41.8984375, 93.890625, 0.0, 35.5, 25.796875, 25.796875, 12.9, 0.0, 16.09765625, 3.19970703125, 35.5, 16.09765625, 48.3984375, 45.1953125, 21.0, 5.0, 36.0, 16.0, 13.0, "Tous les candidats sauf les Bac professionnels", 122.0, "Bacheliers professionnels toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 35.0, "6543", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6543&g_ta_cod=6543", 18.0, 36.0, 45.0),
(12010, "Privé sous contrat d'association", "0511146U", "Lycée St J-B De La Salle", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée St J-B De La Salle - BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "BTS - Services", "", 16, 341, 127, 333, 0, 128, 23, 45, 8, 15, 2, 145, 8, 0, 0, 5, 3, 216, 1, 0, 0, 123, 22, 37, 6, 4, 0, 52, 62, 15, 8, 15, 0, 1.0, 11.0, 12.0, 0, 2, 12, 8, 2, 2, 3, 0, 3, 7, 2, 0, 0.0, 5, 2, 2, 0, 0, 4, 4, 6.67, 73.33, 80.0, 53.296875, 33.296875, 33.296875, 0, 16.69921875, 80.0, 0.0, 25.0, 58.296875, 16.69921875, 0.0, 0.0, 66.6875, 41.6953125, 16.69921875, 16.69921875, 16.69921875, 16.69921875, 43.0, 6.0, 5.0, 1.0, 6.0, "Tous les candidats sauf les Bac professionnels", 65.0, "Bacheliers professionnels toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 21.0, "6106", "BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6106&g_ta_cod=6106", 73.0, 13.0, 13.0),
(12011, "Privé sous contrat d'association", "0500112A", "Lycée Notre Dame De La Providence", "50", "Manche", "Normandie", "Normandie", "Avranches", "formation sélective", "BTS", "Lycée Notre Dame De La Providence - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 136, 78, 125, 0, 17, 3, 51, 9, 26, 7, 31, 11, 0, 4, 4, 3, 125, 7, 0, 0, 17, 3, 51, 9, 26, 7, 31, 104, 16, 7, 12, 4, 1.0, 10.0, 14.0, 0, 2, 8, 2, 4, 2, 8, 0, 7, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 8, 8, 6.25, 62.5, 87.5, 43.796875, 100.0, 100.0, 0, 25.0, 50.0, 0.0, 87.5, 12.5, 0.0, 0.0, 0.0, 25.0, 12.5, 50.0, 0.0, 25.0, 0.0, 15.0, 3.0, 21.0, 5.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 95.0, "6012", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6012&g_ta_cod=6012", 63.0, 25.0, 13.0),
(12012, "Privé enseignement supérieur", "0753605L", "FAC LIBRE THEOLOGIE PROTESTANT", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation non sélective", "Licence", "FAC LIBRE THEOLOGIE PROTESTANT - Licence - Théologie - Parcours Théologie protestante", "Licence - Sciences humaines et sociales", "Théologie protestante", 50, 85, 36, 42, 0, 16, 4, 6, 2, 6, 2, 14, 43, 4, 8, 5, 26, 42, 40, 0, 0, 16, 4, 6, 2, 6, 2, 14, 82, 6, 3, 4, 2, 4.0, 4.0, 5.0, 0, 0, 2, 1, 0, 1, 4, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 1, 66.67, 66.67, 83.33, 50.0, 0.0, 50.0, 0, 0.0, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 20.0, 5.0, 10.0, 3.0, 40.0, "Tous les candidats", 42.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "25320", "Licence - Théologie - Parcours Théologie protestante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25320&g_ta_cod=25320", 67.0, 17.0, 17.0),
(12013, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Arts - Parcours Arts du spectacle vivant", "Licence - Arts-lettres-langues", "Arts du spectacle vivant", 40, 240, 197, 227, 0, 137, 29, 22, 4, 13, 5, 55, 13, 3, 1, 0, 9, 227, 12, 0, 0, 137, 29, 22, 4, 13, 5, 55, 188, 37, 29, 32, 5, 1.0, 32.0, 32.0, 0, 7, 21, 14, 7, 0, 16, 0, 9, 12, 0, 0, 0.0, 8, 4, 0, 0, 0, 14, 14, 2.7, 86.49, 86.49, 78.390625, 66.6875, 66.6875, 0, 33.296875, 56.796875, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 66.6875, 38.09375, 33.296875, 19.0, 0.0, 0.0, 114.0, 26.0, 8.0, 3.0, 50.0, "Tous les candidats", 227.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "21192", "Licence - Arts - Parcours Arts du spectacle vivant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21192&g_ta_cod=21192", 70.0, 27.0, 3.0),
(12014, "Public", "0190244M", "Lycée agricole de Brive-Voutezac", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Voutezac", "formation sélective", "BTS", "Lycée agricole de Brive-Voutezac - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 23, 271, 103, 266, 0, 4, 1, 10, 2, 22, 10, 230, 5, 2, 1, 1, 1, 45, 1, 0, 0, 4, 1, 10, 2, 22, 10, 9, 43, 12, 6, 12, 0, 9.0, 12.0, 12.0, 0, 3, 9, 0, 1, 8, 3, 0, 5, 3, 1, 0, 0.0, 0, 0, 4, 6, 3, 6, 6, 75.0, 100.0, 100.0, 50.0, 66.6875, 66.6875, 66.6875, 33.296875, 75.0, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 0.0, 0.0, 11.099609375, 0.0, 88.890625, 44.3984375, 5.0, 1.0, 19.0, 8.0, 9.0, "Tous les candidats sauf les Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 17.0, "3157", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3157&g_ta_cod=3157", 17.0, 17.0, 67.0),
(12015, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien disciplinaire", "Licence - Arts-lettres-langues", "Italien disciplinaire", 50, 98, 74, 76, 0, 49, 16, 6, 4, 1, 1, 20, 22, 3, 3, 2, 14, 76, 19, 0, 0, 49, 16, 6, 4, 1, 1, 20, 95, 12, 9, 8, 4, 8.0, 8.0, 11.0, 0, 2, 8, 5, 2, 1, 4, 0, 5, 3, 0, 0, 0.0, 3, 0, 0, 0, 0, 8, 8, 66.67, 66.67, 91.67, 75.0, 100.0, 100.0, 0, 25.0, 66.6875, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 62.5, 37.5, 25.0, 0.0, 12.5, 0.0, 52.0, 17.0, 3.0, 2.0, 31.0, "Tous les candidats", 76.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7633", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien disciplinaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7633&g_ta_cod=7633", 67.0, 25.0, 8.0),
(12016, "Public", "0480713P", "Université de Montpellier, Antenne de Mende", "48", "Lozère", "Occitanie", "Montpellier", "Mende", "formation non sélective", "Licence", "Université de Montpellier, Antenne de Mende - Licence - Sciences et technologies - Parcours Métiers de l'enseignement, de l'éducation et de la formation (Faculté d'éducation)", "Licence - Sciences - technologies - santé", "Métiers de l'enseignement, de l'éducation et de la formation (Faculté d'éducation)", 39, 266, 208, 234, 0, 140, 32, 25, 8, 8, 2, 61, 32, 3, 2, 3, 24, 233, 24, 0, 0, 140, 32, 25, 8, 8, 2, 60, 220, 31, 22, 26, 5, 3.0, 26.0, 26.0, 0, 4, 18, 9, 8, 1, 13, 0, 4, 8, 6, 0, 0.0, 8, 5, 1, 0, 0, 7, 7, 9.68, 83.87, 83.87, 71.0, 38.8984375, 38.8984375, 0, 22.19921875, 58.09375, 0.0, 22.19921875, 44.3984375, 33.296875, 0.0, 0.0, 50.0, 44.3984375, 44.3984375, 27.796875, 5.599609375, 5.599609375, 125.0, 25.0, 8.0, 3.0, 67.0, "Tous les candidats", 233.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24267", "Licence - Sciences et technologies - Parcours Métiers de l'enseignement, de l'éducation et de la formation (Faculté d'éducation)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24267&g_ta_cod=24267", 52.0, 39.0, 6.0),
(12017, "Public", "0851390Z", "Lycée Leonard de Vinci", "85", "Vendée", "Pays de la Loire", "Nantes", "Montaigu-Vendée", "formation sélective", "BTS", "Lycée Leonard de Vinci - BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "BTS - Services", "", 8, 229, 34, 229, 0, 72, 8, 45, 12, 37, 12, 75, 0, 0, 0, 0, 0, 59, 0, 0, 0, 23, 1, 12, 4, 13, 4, 11, 23, 8, 0, 8, 0, 3.0, 8.0, 8.0, 0, 1, 8, 5, 2, 1, 0, 0, 0, 5, 3, 0, 0.0, 5, 2, 1, 0, 0, 6, 6, 37.5, 100.0, 100.0, 0.0, 75.0, 75.0, 0, 12.5, 100.0, 0.0, 0.0, 62.5, 37.5, 0.0, 0.0, 62.5, 62.5, 25.0, 25.0, 12.5, 12.5, 13.0, 1.0, 1.0, 1.0, 2.0, "Tous les candidats sauf les Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 11.0, "10541", "BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10541&g_ta_cod=10541", 63.0, 25.0, 13.0),
(12018, "Public", "0912418J", "Université Paris-Saclay, Campus d'Orsay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "Licence", "Université Paris-Saclay, Campus d'Orsay - Licence - Double diplôme - Licence STAPS, Sciences pour l'ingénieur - Licence Double-Diplôme STAPS, Sciences pour l'Ingénieur", "Licence - STAPS", "Licence Double-Diplôme STAPS, Sciences pour l'Ingénieur", 25, 984, 226, 984, 0, 626, 88, 39, 3, 14, 3, 305, 0, 0, 0, 0, 0, 261, 0, 0, 0, 195, 10, 0, 0, 0, 0, 66, 136, 25, 8, 25, 0, 2.0, 18.0, 23.0, 0, 1, 21, 21, 0, 0, 4, 0, 0, 3, 7, 10, 1.0, 21, 0, 0, 0, 0, 6, 9, 8.0, 72.0, 92.0, 32.0, 28.59765625, 42.8984375, 0, 4.7998046875, 84.0, 0.0, 0.0, 14.298828125, 33.296875, 47.6, 4.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 99.0, 8.0, 0.0, 0.0, 37.0, "Tous les candidats", 167.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "28972", "Licence - Double diplôme - Licence STAPS, Sciences pour l'ingénieur - Licence Double-Diplôme STAPS, Sciences pour l'Ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28972&g_ta_cod=28972", 100.0, 0.0, 0.0),
(12019, "Privé sous contrat d'association", "0670482E", "ECAM Strasbourg-Europe", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Ecole d'Ingénieur", "ECAM-ECAM LaSalle - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 70, 965, 233, 948, 0, 815, 64, 0, 0, 0, 0, 133, 17, 9, 0, 0, 8, 692, 8, 0, 0, 634, 27, 0, 0, 0, 0, 58, 655, 59, 13, 55, 4, 39.0, 54.0, 57.0, 0, 3, 53, 53, 0, 0, 6, 0, 2, 18, 24, 9, 0.0, 51, 0, 0, 0, 0, 17, 17, 66.1, 91.53, 96.61, 22.0, 32.09375, 32.09375, 0, 5.69921875, 89.796875, 0.0, 3.7998046875, 34.0, 45.296875, 17.0, 0.0, 100.0, 96.1875, 0.0, 0.0, 0.0, 0.0, 599.0, 27.0, 0.0, 0.0, 56.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "29281", "Formation d'ingénieur Bac + 5 - Série générale", "ECAM-ECAM LaSalle", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29277&g_ta_cod=29281", 100.0, 0.0, 0.0),
(12020, "Public", "0590223X", "Lycée Du Hainaut", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée Du Hainaut - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 264, 13, 259, 0, 9, 4, 35, 13, 140, 67, 75, 5, 0, 3, 0, 2, 226, 1, 0, 0, 9, 4, 32, 11, 138, 66, 47, 83, 28, 1, 27, 1, 10.0, 25.0, 25.0, 0, 12, 23, 2, 3, 18, 5, 0, 10, 8, 3, 2, 0.0, 1, 0, 12, 4, 0, 23, 23, 35.71, 89.29, 89.29, 3.599609375, 100.0, 100.0, 17.3984375, 52.1953125, 82.09375, 0.0, 43.5, 34.796875, 13.0, 8.7, 0.0, 8.69921875, 4.2998046875, 13.0, 0.0, 78.296875, 52.1953125, 4.0, 2.0, 47.0, 22.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 43.0, "6854", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6854&g_ta_cod=6854", 11.0, 21.0, 68.0),
(12021, "Public", "0330126H", "Lycée Victor Louis", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "BTS", "Lycée Victor Louis - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 606, 441, 599, 0, 29, 8, 249, 107, 185, 105, 136, 7, 0, 0, 4, 3, 351, 2, 0, 0, 17, 3, 177, 73, 103, 51, 54, 167, 28, 23, 26, 1, 3.0, 21.0, 24.0, 0, 8, 19, 1, 8, 10, 9, 0, 8, 7, 2, 2, 0.0, 0, 5, 6, 2, 2, 17, 17, 10.71, 75.0, 85.71, 82.09375, 89.5, 89.5, 10.5, 42.09375, 67.890625, 0.0, 42.09375, 36.796875, 10.5, 10.5, 0.0, 5.2998046875, 0.0, 42.09375, 26.296875, 52.59375, 31.59765625, 5.0, 2.0, 74.0, 32.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 105, "Bacheliers technologiques toutes séries", 75, "Liste d'appel propre à cette formation", 32.0, "4313", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4313&g_ta_cod=4313", 11.0, 43.0, 46.0),
(12022, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 60, 225, 188, 194, 0, 142, 42, 9, 3, 5, 4, 38, 31, 5, 6, 1, 19, 193, 29, 0, 0, 142, 42, 9, 3, 5, 4, 37, 222, 29, 21, 22, 7, 22.0, 22.0, 26.0, 0, 5, 23, 19, 3, 1, 6, 1, 5, 7, 8, 2, 0.0, 15, 2, 0, 0, 0, 10, 10, 75.86, 75.86, 89.66, 72.390625, 43.5, 43.5, 0, 21.69921875, 79.296875, 4.2998046875, 21.69921875, 30.3984375, 34.796875, 8.7, 0.0, 82.59375, 65.1875, 13.0, 8.69921875, 4.2998046875, 0.0, 147.0, 42.0, 6.0, 4.0, 54.0, "Tous les candidats", 193.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "10713", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10713&g_ta_cod=10713", 86.0, 10.0, 3.0),
(12023, "Public", "9711082Z", "Lycée Nord Grande Terre", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Port-Louis", "formation sélective", "BTS", "Lycée Nord Grande Terre - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 361, 324, 349, 0, 76, 46, 82, 57, 136, 102, 55, 12, 0, 0, 8, 4, 102, 0, 0, 0, 29, 17, 20, 13, 36, 28, 17, 65, 24, 23, 24, 0, 5.0, 20.0, 22.0, 0, 19, 23, 7, 6, 10, 1, 0, 4, 14, 4, 1, 0.0, 6, 3, 10, 6, 5, 22, 22, 20.83, 83.33, 91.67, 95.796875, 95.6875, 95.6875, 26.09765625, 82.59375, 95.796875, 0.0, 17.3984375, 60.8984375, 17.3984375, 4.3, 0.0, 30.3984375, 26.09765625, 26.09765625, 13.0, 43.5, 43.5, 21.0, 13.0, 26.0, 23.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 23.0, "11777", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11777&g_ta_cod=11777", 33.0, 25.0, 42.0),
(12024, "Privé sous contrat d'association", "0492015Z", "LGT privé Sacré-Coeur La Salle", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "LGT privé Sacré-Coeur La Salle - BTS - Services - Gestion de la PME", "BTS - Services", "", 17, 377, 227, 375, 0, 77, 7, 150, 24, 76, 19, 72, 2, 0, 0, 1, 1, 340, 0, 0, 0, 77, 7, 147, 23, 68, 15, 48, 80, 18, 14, 18, 0, 3.0, 13.0, 17.0, 0, 1, 15, 7, 5, 3, 3, 0, 6, 5, 4, 0, 0.0, 4, 4, 1, 3, 3, 14, 14, 16.67, 72.22, 94.44, 77.796875, 93.296875, 93.296875, 20, 6.69921875, 83.296875, 0.0, 40.0, 33.296875, 26.69921875, 0.0, 0.0, 46.6953125, 26.69921875, 33.296875, 26.69921875, 20.0, 6.69921875, 25.0, 3.0, 25.0, 5.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 42.0, "13070", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13070&g_ta_cod=13070", 44.0, 33.0, 22.0),
(12025, "Public", "0911990U", "I.U.T. d'Evry Val d'Essonne", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "BUT", "I.U.T. d'Evry Val d'Essonne - BUT - Génie mécanique et productique", "BUT - Production", "", 65, 1249, 110, 1231, 0, 548, 98, 412, 111, 7, 1, 264, 18, 0, 9, 0, 9, 744, 2, 0, 0, 394, 57, 209, 54, 0, 0, 141, 391, 61, 3, 60, 0, 4.0, 35.0, 52.0, 0, 8, 50, 23, 27, 0, 11, 0, 7, 29, 11, 3, 0.0, 18, 25, 0, 0, 0, 36, 48, 6.56, 57.38, 85.25, 4.8994140625, 72.0, 96.0, 0, 16.0, 82.0, 0.0, 14.0, 58.0, 22.0, 6.0, 0.0, 46.0, 36.0, 54.0, 50.0, 0.0, 0.0, 173.0, 37.0, 0.0, 0.0, 89.0, "Tous les candidats sauf les Bac technologiques", 385.0, "Bacheliers technologiques toutes séries", 247, "", 0, "Liste d'appel propre à cette formation", 51.0, "10958", "BUT - Génie mécanique et productique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10958&g_ta_cod=10958", 52.0, 48.0, 0.0),
(12026, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence_Las", "Université de Poitiers - Licence - Portail  -  option Santé", "Licence - Sciences - technologies - santé", "", 40, 348, 168, 348, 0, 264, 42, 5, 2, 1, 0, 78, 0, 0, 0, 0, 0, 343, 0, 0, 0, 264, 42, 5, 2, 1, 0, 73, 203, 39, 16, 39, 0, 3.0, 31.0, 37.0, 0, 2, 32, 31, 1, 0, 7, 0, 5, 13, 9, 4, 1.0, 26, 1, 0, 0, 0, 30, 30, 7.69, 79.49, 94.87, 41.0, 93.796875, 93.796875, 0, 6.2998046875, 82.09375, 0.0, 15.599609375, 40.59375, 28.09765625, 12.5, 3.1, 96.890625, 81.296875, 3.099609375, 3.099609375, 0.0, 0.0, 167.0, 21.0, 0.0, 0.0, 34.0, "Tous les candidats", 238.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "28737", "Licence - Portail  -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28737&g_ta_cod=28737", 95.0, 3.0, 0.0),
(12027, "Public", "0331420P", "IUT Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BUT", "IUT Bordeaux Montaigne - BUT - Information communication Parcours information numérique dans les organisations", "BUT - Service", "", 30, 826, 523, 826, 0, 518, 82, 130, 30, 2, 1, 176, 0, 0, 0, 0, 0, 261, 0, 0, 0, 149, 22, 55, 12, 1, 1, 56, 82, 30, 18, 30, 0, 7.0, 24.0, 27.0, 0, 5, 28, 20, 8, 0, 2, 0, 7, 14, 7, 0, 0.0, 17, 4, 0, 0, 0, 16, 16, 23.33, 80.0, 90.0, 60.0, 57.09375, 57.09375, 0, 17.8984375, 93.296875, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 71.390625, 60.6953125, 28.59765625, 14.298828125, 0.0, 0.0, 57.0, 8.0, 0.0, 0.0, 7.0, "Tous les candidats sauf les Bac technologiques", 80.0, "Bacheliers technologiques toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 12.0, "4333", "BUT - Information communication Parcours information numérique dans les organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4333&g_ta_cod=4333", 70.0, 30.0, 0.0),
(12028, "Privé sous contrat d'association", "0341521U", "Lycée St Joseph Pierre Rouge", "34", "Hérault", "Occitanie", "Montpellier", "Montferrier-sur-Lez", "formation sélective", "BTS", "Lycée St Joseph Pierre Rouge - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 20, 179, 13, 126, 0, 6, 1, 38, 10, 53, 16, 29, 53, 8, 5, 16, 24, 47, 11, 0, 0, 3, 0, 23, 6, 17, 3, 4, 49, 14, 0, 9, 5, 2.0, 9.0, 14.0, 0, 1, 12, 2, 5, 5, 2, 0, 5, 5, 1, 1, 0.0, 0, 2, 5, 8, 0, 10, 10, 14.29, 64.29, 100.0, 0.0, 83.296875, 83.296875, 66.6875, 8.298828125, 85.6875, 0.0, 41.6953125, 41.6953125, 8.298828125, 8.3, 0.0, 16.69921875, 0.0, 41.6953125, 16.69921875, 41.6953125, 41.6953125, 4.0, 0.0, 15.0, 3.0, 11.0, "Tous les candidats sauf les Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 37.0, "4595", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4595&g_ta_cod=4595", 21.0, 43.0, 36.0),
(12029, "Public", "0270044B", "Lycée Georges Dumezil", "27", "Eure", "Normandie", "Normandie", "Vernon", "formation sélective", "BTS", "Lycée Georges Dumezil - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 33, 466, 232, 466, 0, 30, 6, 176, 63, 159, 66, 101, 0, 0, 0, 0, 0, 283, 0, 0, 0, 28, 6, 125, 44, 88, 31, 42, 123, 29, 19, 29, 0, 6.0, 23.0, 24.0, 0, 12, 26, 2, 12, 12, 3, 1, 8, 11, 5, 1, 0.0, 0, 7, 10, 7, 5, 22, 22, 20.69, 79.31, 82.76, 65.5, 84.59375, 84.59375, 26.8984375, 46.1953125, 89.6875, 3.7998046875, 30.796875, 42.296875, 19.19921875, 3.8, 0.0, 7.69921875, 0.0, 46.1953125, 26.8984375, 46.1953125, 38.5, 17.0, 5.0, 43.0, 15.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 27.0, "3695", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3695&g_ta_cod=3695", 10.0, 48.0, 41.0),
(12030, "Public", "0930121B", "Lycée Jean Jaurès", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "BTS", "Lycée Jean Jaurès - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 32, 1657, 1520, 1606, 0, 69, 29, 328, 159, 736, 376, 473, 51, 20, 0, 0, 31, 607, 3, 0, 0, 42, 19, 138, 70, 367, 202, 60, 188, 29, 25, 26, 2, 6.0, 18.0, 22.0, 0, 9, 23, 4, 7, 12, 6, 1, 6, 9, 7, 0, 0.0, 1, 4, 11, 3, 1, 14, 20, 20.69, 62.07, 75.86, 86.1875, 60.8984375, 87.0, 13, 39.09375, 79.296875, 4.2998046875, 26.09765625, 39.09375, 30.3984375, 0.0, 0.0, 17.3984375, 4.2998046875, 30.3984375, 17.3984375, 52.1953125, 47.796875, 30.0, 15.0, 86.0, 40.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 152, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 17.0, "11180", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11180&g_ta_cod=11180", 17.0, 28.0, 55.0),
(12031, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Allemand", "Licence - Arts-lettres-langues", "Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Allemand", 35, 38, 23, 29, 0, 17, 4, 0, 0, 0, 0, 12, 9, 1, 0, 1, 7, 26, 8, 0, 0, 17, 4, 0, 0, 0, 0, 9, 34, 2, 1, 2, 0, 2.0, 2.0, 2.0, 0, 0, 2, 2, 0, 0, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 100.0, 100.0, 100.0, 50.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 18.0, 5.0, 1.0, 0.0, 15.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "4408", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4408&g_ta_cod=4408", 100.0, 0.0, 0.0),
(12032, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Licence", "Université Grenoble Alpes  - Licence - Portail Physique-Chimie-Mécanique International", "Licence - Sciences - technologies - santé", "Physique-Chimie-Mécanique International", 32, 275, 119, 254, 0, 202, 19, 0, 0, 0, 0, 52, 21, 5, 1, 0, 15, 166, 1, 0, 0, 144, 12, 0, 0, 0, 0, 22, 128, 20, 10, 20, 0, 0.0, 18.0, 20.0, 0, 2, 20, 20, 0, 0, 0, 0, 1, 2, 12, 5, 0.0, 19, 0, 0, 0, 0, 16, 16, 0.0, 90.0, 100.0, 50.0, 80.0, 80.0, 0, 10.0, 100.0, 0.0, 5.0, 10.0, 60.0, 25.0, 0.0, 100.0, 95.0, 0.0, 0.0, 0.0, 0.0, 111.0, 10.0, 0.0, 0.0, 17.0, "Tous les candidats", 166.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "28653", "Licence - Portail Physique-Chimie-Mécanique International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28653&g_ta_cod=28653", 100.0, 0.0, 0.0),
(12033, "Public", "0440062D", "Lycée général et technologique Jean Perrin", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Rezé", "formation sélective", "BTS", "Lycée général et technologique Jean Perrin - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 23, 233, 11, 218, 0, 11, 3, 48, 8, 121, 36, 38, 15, 0, 6, 5, 4, 186, 9, 0, 0, 10, 3, 48, 8, 103, 29, 25, 124, 16, 1, 14, 2, 3.0, 13.0, 15.0, 0, 1, 14, 1, 4, 9, 2, 0, 5, 5, 3, 1, 0.0, 1, 1, 7, 1, 0, 13, 13, 18.75, 81.25, 93.75, 6.2998046875, 92.890625, 92.890625, 7.099609375, 7.099609375, 87.5, 0.0, 35.6953125, 35.6953125, 21.3984375, 7.1, 0.0, 7.099609375, 7.099609375, 28.59765625, 7.099609375, 64.296875, 50.0, 5.0, 2.0, 58.0, 16.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 106, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 85.0, "5452", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5452&g_ta_cod=5452", 13.0, 31.0, 56.0),
(12034, "Public", "0330159U", "Centre de Ressources, d'Expertise et de Performance Sportive Bordeaux-Aquitaine (CREPS)", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Autre formation", "CREPS de Bordeaux - BPJEPS - Judo-Jujitsu", "BPJEPS", "", 4, 36, 7, 27, 0, 10, 3, 7, 2, 3, 0, 7, 9, 1, 3, 0, 5, 6, 1, 0, 0, 4, 1, 1, 0, 0, 0, 1, 7, 4, 2, 3, 1, 3.0, 3.0, 3.0, 0, 0, 2, 2, 0, 0, 2, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 2, 2, 75.0, 75.0, 75.0, 50.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 4.0, 1.0, 0.0, 0.0, 2.0, "Tous les candidats", 6.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "21279", "BPJEPS - Judo-Jujitsu", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21279&g_ta_cod=21279", 100.0, 0.0, 0.0),
(12035, "Privé enseignement supérieur", "9730279R", "EGC Guyane", "973", "Guyane", "Guyane", "Guyane", "Matoury", "formation sélective", "Ecole de Commerce", "EGC Guyane - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "", 40, 57, 25, 37, 0, 28, 4, 4, 3, 0, 0, 5, 20, 6, 3, 3, 8, 29, 6, 0, 0, 26, 3, 0, 0, 0, 0, 3, 35, 26, 9, 21, 5, 20.0, 21.0, 24.0, 0, 3, 22, 20, 1, 1, 4, 0, 5, 12, 4, 1, 0.0, 16, 0, 1, 0, 0, 22, 22, 76.92, 80.77, 92.31, 34.59375, 100.0, 100.0, 0, 13.599609375, 84.59375, 0.0, 22.69921875, 54.5, 18.19921875, 4.5, 0.0, 90.890625, 72.6875, 4.5, 0.0, 4.5, 4.5, 28.0, 4.0, 1.0, 0.0, 5.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "12047", "Formation des écoles de commerce et de management Bac + 3", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12047&g_ta_cod=12047", 92.0, 4.0, 4.0),
(12036, "Public", "0340099Y", "Centre de Ressources, d'Expertise et de Performance Sportive de Montpellier (CREPS)", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "CREPS de Montpellier - BPJEPS - Activités de la forme", "BPJEPS", "", 10, 254, 43, 254, 0, 73, 21, 50, 8, 45, 16, 86, 0, 0, 0, 0, 0, 15, 0, 0, 0, 3, 1, 3, 1, 1, 0, 8, 14, 10, 1, 10, 0, 6.0, 10.0, 10.0, 0, 1, 5, 2, 2, 1, 5, 0, 2, 3, 0, 0, 0.0, 1, 1, 1, 0, 0, 5, 5, 60.0, 100.0, 100.0, 10.0, 100.0, 100.0, 0, 20.0, 50.0, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 40.0, 20.0, 40.0, 20.0, 20.0, 20.0, 3.0, 1.0, 1.0, 0.0, 7.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 6.0, "30932", "BPJEPS - Activités de la forme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30932&g_ta_cod=30932", 40.0, 50.0, 10.0),
(12037, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "PASS", "Université de Lille - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 105, 4548, 2625, 4548, 0, 3617, 522, 53, 26, 9, 5, 869, 0, 0, 0, 0, 0, 4548, 0, 0, 0, 3617, 522, 53, 26, 9, 5, 869, 1751, 101, 42, 101, 0, 33.0, 40.0, 79.0, 0, 18, 87, 87, 0, 0, 14, 1, 7, 32, 39, 7, 1.0, 79, 0, 0, 0, 0, 78, 78, 32.67, 39.6, 78.22, 41.59375, 89.6875, 89.6875, 0, 20.69921875, 86.09375, 1.099853515625, 8.0, 36.796875, 44.796875, 8.0, 1.1, 100.0, 90.796875, 0.0, 0.0, 0.0, 0.0, 1567.0, 229.0, 3.0, 2.0, 170.0, "Tous les candidats", 5035.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 41.0, "29184", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27162&g_ta_cod=29184", 99.0, 1.0, 0.0),
(12038, "Public", "0930117X", "Lycée Le Corbusier", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "BTS", "Lycée Le Corbusier - BTS - Services - Support à l'action managériale", "BTS - Services", "", 28, 1217, 857, 1217, 0, 17, 11, 297, 185, 496, 314, 407, 0, 0, 0, 0, 0, 941, 0, 0, 0, 17, 11, 258, 159, 275, 178, 391, 126, 28, 22, 28, 0, 2.0, 25.0, 26.0, 0, 13, 17, 0, 9, 8, 11, 0, 2, 10, 4, 1, 0.0, 0, 9, 6, 3, 3, 12, 15, 7.14, 89.29, 92.86, 78.59375, 70.59375, 88.1875, 17.59765625, 76.5, 60.6953125, 0.0, 11.798828125, 58.796875, 23.5, 5.9, 0.0, 0.0, 0.0, 52.8984375, 52.8984375, 47.09375, 35.296875, 3.0, 3.0, 53.0, 38.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 121, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 15.0, "11166", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11166&g_ta_cod=11166", 7.0, 43.0, 50.0),
(12039, "Public", "0770933W", "Lycée Jacques Amyot", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation sélective", "CPGE", "Lycée Jacques Amyot - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 35, 125, 48, 105, 63, 83, 8, 1, 0, 0, 0, 21, 20, 11, 0, 1, 8, 91, 10, 57, 88, 80, 8, 0, 0, 0, 0, 11, 94, 11, 2, 10, 1, 2.0, 9.0, 10.0, 2, 0, 8, 8, 0, 0, 3, 0, 1, 2, 5, 0, 0.0, 7, 0, 0, 0, 0, 5, 7, 18.18, 81.82, 90.91, 18.19921875, 62.5, 87.5, 0, 0.0, 72.6875, 0.0, 12.5, 25.0, 62.5, 0.0, 0.0, 100.0, 87.5, 0.0, 0.0, 0.0, 0.0, 79.0, 6.0, 0.0, 0.0, 15.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "31291", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31291&g_ta_cod=31291", 100.0, 0.0, 0.0),
(12040, "Public", "0190763B", "IFSI CH de Tulle", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Tulle", "formation sélective", "IFSI", "Regroupement d'IFSI Université Limoges - D.E Infirmier", "D.E secteur sanitaire", "", 51, 2432, 2041, 2432, 0, 482, 78, 505, 114, 231, 79, 1214, 0, 0, 0, 0, 0, 2085, 0, 0, 0, 466, 70, 463, 100, 177, 58, 979, 599, 51, 47, 51, 0, 0.0, 15.0, 39.0, 0, 4, 35, 16, 14, 5, 16, 0, 6, 23, 5, 1, 0.0, 12, 12, 5, 0, 0, 23, 23, 0.0, 29.41, 76.47, 92.1875, 65.6875, 65.6875, 0, 11.3984375, 68.59375, 0.0, 17.09765625, 65.6875, 14.298828125, 2.9, 0.0, 45.6953125, 34.296875, 40.0, 34.296875, 14.298828125, 14.298828125, 210.0, 28.0, 28.0, 9.0, 214.0, "Tous les candidats", 1385.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "23152", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22989&g_ta_cod=23152", 51.0, 35.0, 14.0),
(12041, "Privé sous contrat d'association", "0542408Z", "Lycée Charles De Foucauld", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Charles De Foucauld - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 252, 164, 247, 0, 13, 2, 70, 17, 36, 16, 128, 5, 0, 0, 0, 5, 167, 1, 0, 0, 13, 2, 64, 15, 36, 16, 54, 86, 14, 9, 13, 1, 0.0, 8.0, 11.0, 0, 2, 10, 1, 4, 5, 4, 0, 6, 3, 1, 0, 0.0, 0, 2, 2, 0, 0, 10, 10, 0.0, 57.14, 78.57, 64.296875, 100.0, 100.0, 0, 20.0, 71.390625, 0.0, 60.0, 30.0, 10.0, 0.0, 0.0, 10.0, 0.0, 40.0, 20.0, 50.0, 20.0, 13.0, 2.0, 28.0, 12.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 48.0, "6387", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6387&g_ta_cod=6387", 21.0, 29.0, 50.0),
(12042, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "Licence", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Double diplôme - Licence Economie et gestion - Parcours Langues et Civilisations - option Chinois et Anglais", "Licence - Droit-économie-gestion", "Parcours Langues et Civilisations - option Chinois et Anglais", 20, 171, 118, 171, 0, 133, 24, 4, 1, 1, 0, 33, 0, 0, 0, 0, 0, 87, 0, 0, 0, 75, 10, 0, 0, 0, 0, 12, 73, 18, 13, 18, 0, 3.0, 17.0, 18.0, 0, 2, 14, 14, 0, 0, 4, 0, 2, 5, 6, 1, 0.0, 12, 0, 0, 0, 0, 6, 8, 16.67, 94.44, 100.0, 72.1875, 42.8984375, 57.09375, 0, 14.298828125, 77.796875, 0.0, 14.298828125, 35.6953125, 42.8984375, 7.1, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 61.0, 10.0, 0.0, 0.0, 12.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "12936", "Licence - Double diplôme - Licence Economie et gestion - Parcours Langues et Civilisations - option Chinois et Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12936&g_ta_cod=12936", 100.0, 0.0, 0.0),
(12043, "Public", "9720424D", "Lycée professionnel Lumina Sophie", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation sélective", "BTS", "Lycée professionnel Lumina Sophie - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 312, 171, 312, 0, 43, 20, 90, 42, 150, 93, 29, 0, 0, 0, 0, 0, 236, 0, 0, 0, 31, 15, 70, 32, 114, 71, 21, 100, 31, 22, 31, 0, 0.0, 29.0, 29.0, 0, 11, 22, 1, 6, 15, 9, 0, 6, 14, 2, 0, 0.0, 1, 4, 11, 2, 2, 21, 21, 0.0, 93.55, 93.55, 71.0, 95.5, 95.5, 9.099609375, 50.0, 71.0, 0.0, 27.296875, 63.59375, 9.099609375, 0.0, 0.0, 4.5, 4.5, 27.296875, 18.19921875, 68.1875, 50.0, 18.0, 8.0, 44.0, 29.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 65, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 47.0, "13162", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13162&g_ta_cod=13162", 19.0, 26.0, 55.0),
(12044, "Privé sous contrat d'association", "0401016M", "Lycée Saint-Jacques-de-Compostelle", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Dax", "formation sélective", "BTS", "Lycée Saint-Jacques-de-Compostelle - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 232, 105, 212, 0, 20, 2, 86, 13, 55, 15, 51, 20, 0, 1, 15, 4, 187, 11, 0, 0, 20, 2, 86, 13, 49, 12, 32, 159, 28, 10, 26, 2, 3.0, 23.0, 24.0, 0, 4, 18, 5, 8, 5, 10, 0, 10, 4, 3, 1, 0.0, 1, 3, 4, 1, 0, 17, 17, 10.71, 82.14, 85.71, 35.6953125, 94.390625, 94.390625, 5.599609375, 22.19921875, 64.296875, 0.0, 55.59375, 22.19921875, 16.69921875, 5.6, 0.0, 27.796875, 5.599609375, 44.3984375, 16.69921875, 27.796875, 22.19921875, 17.0, 2.0, 51.0, 12.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 81, "Liste d'appel propre à cette formation", 76.0, "5228", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5228&g_ta_cod=5228", 32.0, 43.0, 25.0),
(12045, "Public", "0731392S", "Lycée du Granier", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "La Ravoire", "formation sélective", "BTS", "Lycée du Granier - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 36, 375, 180, 361, 0, 44, 11, 142, 44, 50, 21, 125, 14, 0, 0, 10, 4, 211, 6, 0, 0, 37, 6, 101, 29, 41, 16, 32, 151, 31, 17, 28, 2, 12.0, 25.0, 26.0, 0, 12, 26, 0, 17, 9, 5, 0, 11, 12, 2, 1, 0.0, 0, 9, 6, 9, 5, 25, 25, 38.71, 80.65, 83.87, 54.796875, 96.1875, 96.1875, 34.59375, 46.1953125, 83.890625, 0.0, 42.296875, 46.1953125, 7.69921875, 3.8, 0.0, 0.0, 0.0, 65.390625, 34.59375, 34.59375, 23.09765625, 14.0, 4.0, 42.0, 18.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 50.0, "8834", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8834&g_ta_cod=8834", 10.0, 61.0, 29.0),
(12046, "Privé enseignement supérieur", "0870997L", "3iL", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 40, 1623, 297, 1616, 0, 1605, 128, 0, 0, 0, 0, 11, 7, 7, 0, 0, 0, 1415, 5, 0, 0, 1415, 102, 0, 0, 0, 0, 0, 1293, 33, 1, 30, 3, 22.0, 30.0, 33.0, 0, 2, 33, 33, 0, 0, 0, 0, 6, 11, 14, 1, 1.0, 27, 0, 0, 0, 0, 18, 18, 66.67, 90.91, 100.0, 3.0, 54.5, 54.5, 0, 6.099609375, 100.0, 0.0, 18.19921875, 33.296875, 42.3984375, 3.0, 3.0, 100.0, 81.796875, 0.0, 0.0, 0.0, 0.0, 1293.0, 99.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "174", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=174", 100.0, 0.0, 0.0),
(12047, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Double diplôme - Licence Droit - Licence Franco-Allemande intégrée en Droit", "Licence - Droit-économie-gestion", "Licence Franco-Allemande intégrée en Droit", 35, 152, 97, 61, 0, 44, 5, 4, 0, 2, 1, 11, 91, 27, 18, 2, 44, 35, 12, 0, 0, 32, 2, 0, 0, 0, 0, 3, 47, 8, 7, 6, 2, 6.0, 6.0, 8.0, 0, 1, 7, 7, 0, 0, 1, 1, 0, 0, 3, 2, 1.0, 6, 0, 0, 0, 0, 1, 1, 75.0, 75.0, 100.0, 87.5, 14.298828125, 14.298828125, 0, 14.298828125, 87.5, 14.298828125, 0.0, 0.0, 42.8984375, 28.6, 14.3, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 38.0, 3.0, 0.0, 0.0, 9.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "11639", "Licence - Double diplôme - Licence Droit - Licence Franco-Allemande intégrée en Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11639&g_ta_cod=11639", 88.0, 0.0, 0.0),
(12048, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Arts - Parcours Etudes théâtrales", "Licence - Arts-lettres-langues", "Etudes théâtrales", 150, 748, 488, 607, 0, 384, 95, 40, 9, 22, 9, 161, 141, 35, 5, 5, 96, 605, 132, 0, 0, 384, 95, 40, 9, 22, 9, 159, 703, 139, 78, 91, 48, 54.0, 89.0, 117.0, 0, 24, 84, 66, 9, 9, 55, 0, 42, 21, 18, 3, 0.0, 36, 2, 4, 0, 0, 50, 50, 38.85, 64.03, 84.17, 56.09375, 59.5, 59.5, 0, 28.59765625, 60.3984375, 0.0, 50.0, 25.0, 21.3984375, 3.6, 0.0, 78.59375, 42.8984375, 10.69921875, 2.39990234375, 10.69921875, 4.7998046875, 408.0, 97.0, 25.0, 9.0, 225.0, "Tous les candidats", 605.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7085", "Licence - Arts - Parcours Etudes théâtrales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7085&g_ta_cod=7085", 73.0, 14.0, 12.0),
(12049, "Privé sous contrat d'association", "0801946F", "Lycée professionnel La Providence", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Autre formation", "Lycée professionnel La Providence - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 15, 9, 0, 8, 0, 0, 0, 0, 0, 7, 0, 1, 1, 0, 0, 1, 0, 8, 1, 0, 0, 0, 0, 0, 0, 7, 0, 1, 9, 2, 0, 2, 0, 2.0, 2.0, 2.0, 0, 0, 1, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 8.0, 0.0, 1.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "18889", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18889&g_ta_cod=18889", 0.0, 0.0, 100.0),
(12050, "Public", "0754902W", "IFSI Virginie Olivier CH Sainte Anne", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "IFSI", "Regroupement IFSI Université de Paris - D.E Infirmier", "D.E secteur sanitaire", "", 100, 7550, 6702, 7550, 0, 964, 280, 1232, 467, 1032, 486, 4322, 0, 0, 0, 0, 0, 5941, 0, 0, 0, 874, 246, 1031, 374, 817, 380, 3219, 1280, 93, 77, 92, 0, 3.0, 33.0, 73.0, 0, 8, 51, 13, 20, 18, 42, 0, 10, 24, 13, 4, 0.0, 8, 16, 17, 0, 0, 18, 45, 3.23, 35.48, 78.49, 82.796875, 35.296875, 88.1875, 0, 15.69921875, 54.796875, 0.0, 19.59765625, 47.09375, 25.5, 7.8, 0.0, 25.5, 15.69921875, 39.1953125, 31.3984375, 35.296875, 33.296875, 199.0, 33.0, 247.0, 95.0, 535.0, "Tous les candidats", 3216.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "23207", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25148&g_ta_cod=23207", 41.0, 31.0, 28.0),
(12051, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Langues étrangères appliquées - Parcours LEA  Anglais - Portugais", "Licence - Arts-lettres-langues", "LEA  Anglais - Portugais", 30, 153, 115, 153, 0, 91, 20, 11, 5, 9, 1, 42, 0, 0, 0, 0, 0, 150, 0, 0, 0, 91, 20, 11, 5, 9, 1, 39, 81, 30, 21, 30, 0, 9.0, 24.0, 27.0, 0, 8, 28, 26, 2, 0, 2, 0, 11, 12, 4, 1, 0.0, 16, 1, 0, 0, 0, 4, 22, 30.0, 80.0, 90.0, 70.0, 14.298828125, 78.59375, 0, 28.59765625, 93.296875, 0.0, 39.296875, 42.8984375, 14.298828125, 3.6, 0.0, 92.890625, 57.09375, 7.099609375, 3.599609375, 0.0, 0.0, 70.0, 16.0, 0.0, 0.0, 9.0, "Tous les candidats", 81.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "9247", "Licence - Langues étrangères appliquées - Parcours LEA  Anglais - Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9247&g_ta_cod=9247", 90.0, 7.0, 3.0),
(12052, "Privé sous contrat d'association", "0572341K", "Lycée Jean XXIII", "57", "Moselle", "Grand Est", "Nancy-Metz", "Montigny-lès-Metz", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 5, 205, 68, 204, 0, 0, 0, 0, 0, 0, 0, 204, 1, 0, 0, 0, 1, 177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 177, 165, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 165.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "31122", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=31122", 0, 0, 0),
(12053, "Public", "0690276A", "CNED", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 4e  Arrondissement", "formation sélective", "BTS", "CNED - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 2000, 1883, 905, 1481, 0, 186, 56, 460, 176, 379, 165, 456, 402, 30, 97, 90, 185, 1481, 388, 0, 0, 186, 56, 460, 176, 379, 165, 456, 1870, 263, 120, 175, 87, 171.0, 174.0, 224.0, 0, 44, 119, 21, 42, 56, 144, 5, 80, 28, 4, 2, 0.0, 7, 7, 20, 3, 2, 27, 27, 65.02, 66.16, 85.17, 45.59375, 22.69921875, 22.69921875, 2.5, 37.0, 45.1953125, 4.19921875, 67.1875, 23.5, 3.39990234375, 1.7, 0.0, 17.59765625, 5.8994140625, 35.296875, 5.8994140625, 47.09375, 16.796875, 215.0, 62.0, 465.0, 214.0, 636.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 451.0, "Bacheliers professionnels toutes séries", 454, "Bacheliers technologiques toutes séries", 578, "Liste d'appel propre à cette formation", 100.0, "20800", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20800&g_ta_cod=20800", 36.0, 32.0, 31.0),
(12054, "Public", "0590122M", "Lycée Valentine Labbe", "59", "Nord", "Hauts-de-France", "Lille", "La Madeleine", "formation sélective", "BTS", "Lycée Valentine Labbe - BTS - Services - Economie sociale familiale", "BTS - Services", "", 32, 1217, 1064, 1217, 0, 135, 44, 337, 165, 397, 229, 348, 0, 0, 0, 0, 0, 824, 0, 0, 0, 135, 44, 328, 160, 214, 113, 147, 175, 30, 29, 30, 0, 3.0, 17.0, 23.0, 0, 7, 21, 4, 6, 11, 9, 0, 3, 15, 3, 0, 0.0, 4, 4, 10, 7, 7, 21, 21, 10.0, 56.67, 76.67, 96.6875, 100.0, 100.0, 33.296875, 33.296875, 70.0, 0.0, 14.298828125, 71.390625, 14.298828125, 0.0, 0.0, 19.0, 19.0, 28.59765625, 19.0, 52.3984375, 47.59375, 18.0, 10.0, 72.0, 34.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers technologiques toutes séries", 134, "Bacheliers professionnels toutes séries", 120, "Liste d'appel propre à cette formation", 24.0, "25280", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25280&g_ta_cod=25280", 13.0, 47.0, 40.0),
(12055, "Privé enseignement supérieur", "0762733H", "IFEN", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "EFTS", "IFEN - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 38, 229, 216, 229, 0, 42, 4, 45, 10, 25, 6, 117, 0, 0, 0, 0, 0, 145, 0, 0, 0, 21, 3, 30, 7, 16, 4, 78, 55, 40, 38, 40, 0, 28.0, 37.0, 38.0, 0, 1, 11, 3, 5, 3, 29, 0, 2, 5, 3, 1, 0.0, 2, 4, 3, 0, 0, 7, 7, 70.0, 92.5, 95.0, 95.0, 63.59375, 63.59375, 0, 9.099609375, 27.5, 0.0, 18.19921875, 45.5, 27.296875, 9.1, 0.0, 27.296875, 18.19921875, 45.5, 36.3984375, 27.296875, 27.296875, 5.0, 0.0, 3.0, 1.0, 41.0, "Tous les candidats", 52.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "24978", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24978&g_ta_cod=24978", 48.0, 35.0, 18.0),
(12056, "Public", "0130037V", "Lycée Marcel Pagnol", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "BTS", "Lycée Marcel Pagnol - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 1126, 729, 1091, 0, 89, 36, 307, 183, 348, 246, 347, 35, 6, 0, 0, 29, 387, 1, 0, 0, 63, 28, 103, 63, 151, 110, 70, 213, 29, 14, 28, 1, 1.0, 19.0, 25.0, 0, 14, 20, 3, 4, 13, 9, 0, 6, 8, 6, 0, 0.0, 2, 3, 9, 2, 1, 20, 20, 3.45, 65.52, 86.21, 48.296875, 100.0, 100.0, 10, 70.0, 69.0, 0.0, 30.0, 40.0, 30.0, 0.0, 0.0, 15.0, 10.0, 20.0, 15.0, 65.0, 45.0, 30.0, 13.0, 99.0, 73.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 153, "Bacheliers technologiques toutes séries", 102, "Liste d'appel propre à cette formation", 32.0, "2543", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2543&g_ta_cod=2543", 21.0, 31.0, 48.0),
(12057, "Public", "0311713U", "I.U.T de Blagnac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Blagnac", "formation sélective", "BUT", "I.U.T de Blagnac - BUT - Carrières sociales parcours coordination et gestion des établissements et services sanitaires et sociaux", "BUT - Service", "", 48, 738, 647, 738, 0, 190, 60, 331, 114, 37, 16, 180, 0, 0, 0, 0, 0, 344, 0, 0, 0, 90, 26, 179, 48, 11, 5, 64, 168, 46, 43, 46, 0, 6.0, 37.0, 42.0, 0, 11, 36, 12, 22, 2, 10, 0, 5, 24, 7, 0, 0.0, 9, 20, 2, 0, 0, 26, 26, 13.04, 80.43, 91.3, 93.5, 72.1875, 72.1875, 0, 30.59765625, 78.296875, 0.0, 13.8984375, 66.6875, 19.3984375, 0.0, 0.0, 33.296875, 25.0, 61.09375, 55.59375, 5.599609375, 5.599609375, 45.0, 13.0, 7.0, 4.0, 31.0, "Tous les candidats sauf les Bac technologiques", 96.0, "Bacheliers technologiques toutes séries", 127, "", 0, "Liste d'appel propre à cette formation", 30.0, "4199", "BUT - Carrières sociales parcours coordination et gestion des établissements et services sanitaires et sociaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4199&g_ta_cod=4199", 41.0, 52.0, 7.0),
(12058, "Public", "0721409R", "IFSI EPSM DE LA SARTHE", "72", "Sarthe", "Pays de la Loire", "Nantes", "Allonnes", "formation sélective", "IFSI", "Regroupement d'IFSI Université du Mans - D.E Infirmier", "D.E secteur sanitaire", "", 36, 2253, 1975, 2253, 0, 360, 64, 420, 77, 451, 154, 1022, 0, 0, 0, 0, 0, 1895, 0, 0, 0, 335, 58, 370, 60, 372, 121, 818, 404, 36, 31, 36, 0, 0.0, 11.0, 21.0, 0, 7, 16, 8, 3, 5, 20, 0, 3, 7, 6, 0, 0.0, 7, 1, 5, 0, 0, 12, 12, 0.0, 30.56, 58.33, 86.09375, 75.0, 75.0, 0, 43.796875, 44.3984375, 0.0, 18.796875, 43.796875, 37.5, 0.0, 0.0, 50.0, 43.796875, 18.796875, 6.2998046875, 31.296875, 31.296875, 60.0, 5.0, 79.0, 28.0, 208.0, "Tous les candidats", 995.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "23046", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23002&g_ta_cod=23046", 61.0, 22.0, 17.0),
(12059, "Privé sous contrat d'association", "0592928M", "Lycée Jeanne D'Arc", "59", "Nord", "Hauts-de-France", "Lille", "Aulnoye-Aymeries", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 35, 37, 17, 34, 0, 0, 0, 9, 3, 10, 7, 15, 3, 0, 0, 2, 1, 34, 3, 0, 0, 0, 0, 9, 3, 10, 7, 15, 37, 7, 3, 7, 0, 7.0, 7.0, 7.0, 0, 1, 4, 0, 4, 0, 3, 0, 3, 0, 1, 0, 0.0, 0, 1, 0, 4, 2, 4, 4, 100.0, 100.0, 100.0, 42.8984375, 100.0, 100.0, 100, 25.0, 57.09375, 0.0, 75.0, 0.0, 25.0, 0.0, 0.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 0.0, 0.0, 12.0, 8.0, 16.0, "Tous les candidats sauf les Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 13, "", 0, "Liste d'appel propre à cette formation", 100.0, "6910", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6910&g_ta_cod=6910", 29.0, 71.0, 0.0),
(12060, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "Autre formation", "Université de Pau et des Pays de l'Adour - C.M.I - Cursus Master en Ingénierie - Physique, chimie - Géo-énergies, Environnement et Matériaux", "C.M.I - Cursus Master en Ingénierie", "Géo-énergies, Environnement et Matériaux", 20, 191, 88, 169, 0, 109, 9, 3, 2, 0, 0, 57, 22, 8, 0, 0, 14, 68, 2, 0, 0, 55, 5, 1, 0, 0, 0, 12, 62, 13, 2, 12, 1, 1.0, 12.0, 13.0, 0, 1, 11, 11, 0, 0, 2, 0, 0, 6, 4, 1, 0.0, 11, 0, 0, 0, 0, 8, 8, 7.69, 92.31, 100.0, 15.3984375, 72.6875, 72.6875, 0, 9.099609375, 84.59375, 0.0, 0.0, 54.5, 36.3984375, 9.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 48.0, 5.0, 0.0, 0.0, 13.0, "Tous les candidats", 67.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "29034", "C.M.I - Cursus Master en Ingénierie - Physique, chimie - Géo-énergies, Environnement et Matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29034&g_ta_cod=29034", 100.0, 0.0, 0.0),
(12061, "Public", "9710047Z", "Centre de Ressources, d'Expertise et de Performance Sportive Antilles-Guyane (CREPS)", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive Antilles-Guyane (CREPS) - BPJEPS - Activités de la forme", "BPJEPS", "", 14, 94, 26, 68, 0, 23, 8, 12, 4, 13, 7, 20, 26, 5, 4, 4, 13, 13, 0, 0, 0, 4, 1, 0, 0, 1, 0, 8, 13, 12, 0, 12, 0, 11.0, 12.0, 12.0, 0, 1, 4, 3, 0, 1, 8, 0, 2, 2, 0, 0, 0.0, 1, 0, 1, 0, 0, 4, 4, 91.67, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 25.0, 33.296875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 25.0, 25.0, 4.0, 1.0, 1.0, 0.0, 8.0, "Tous les candidats", 13.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "30926", "BPJEPS - Activités de la forme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30926&g_ta_cod=30926", 42.0, 8.0, 50.0),
(12062, "Public", "0060075Z", "Lycée Les Eucalyptus", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Autre formation", "Lycée Les Eucalyptus - Mention complémentaire - FCIL classe passerelle BTS option production", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 23, 14, 3, 0, 0, 0.0, 0.0, 0.0, 0, 9, 14, 0, 1, 13, 0, 0, 12, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 13, 13, 0.0, 0.0, 0.0, 21.3984375, 92.890625, 92.890625, 0, 64.296875, 100.0, 0.0, 85.6875, 14.298828125, 0.0, 0.0, 0.0, 0.0, 0.0, 7.099609375, 0.0, 92.890625, 14.298828125, 0.0, 0.0, 22.0, 12.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22433", "Mention complémentaire - FCIL classe passerelle BTS option production", "", "", 0.0, 7.0, 93.0),
(12063, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "PASS", "Université de Lille - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 120, 5289, 3939, 5289, 0, 3911, 712, 296, 115, 43, 23, 1039, 0, 0, 0, 0, 0, 5289, 0, 0, 0, 3911, 712, 296, 115, 43, 23, 1039, 1100, 140, 120, 140, 0, 137.0, 138.0, 138.0, 0, 29, 135, 130, 4, 1, 5, 0, 2, 5, 74, 52, 2.0, 130, 2, 1, 0, 0, 125, 125, 97.86, 98.57, 98.57, 85.6875, 92.59375, 92.59375, 0, 21.5, 96.390625, 0.0, 1.5, 3.69970703125, 54.796875, 38.5, 1.5, 96.296875, 96.296875, 3.0, 1.5, 0.699951171875, 0.699951171875, 984.0, 163.0, 6.0, 6.0, 79.0, "Tous les candidats", 3000.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 21.0, "29697", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27162&g_ta_cod=29697", 96.0, 3.0, 1.0),
(12064, "Public", "0910620E", "Lycée Robert Doisneau", "91", "Essonne", "Ile-de-France", "Versailles", "Corbeil-Essonnes", "formation sélective", "BTS", "Lycée Robert Doisneau - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 316, 3, 316, 0, 2, 0, 51, 10, 189, 87, 74, 0, 0, 0, 0, 0, 217, 0, 0, 0, 1, 0, 46, 9, 145, 62, 25, 86, 24, 0, 24, 0, 7.0, 18.0, 22.0, 0, 10, 22, 0, 5, 17, 2, 0, 7, 5, 8, 2, 0.0, 0, 0, 15, 4, 0, 14, 22, 29.17, 75.0, 91.67, 0.0, 63.59375, 100.0, 18.19921875, 45.5, 91.6875, 0.0, 31.796875, 22.69921875, 36.3984375, 9.1, 0.0, 0.0, 0.0, 22.69921875, 0.0, 77.296875, 68.1875, 0.0, 0.0, 57.0, 23.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 90, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 42.0, "10843", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10843&g_ta_cod=10843", 4.0, 25.0, 71.0),
(12065, "Public", "0580761M", "Lycée Maurice Genevoix", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Decize", "formation sélective", "BTS", "Lycée Maurice Genevoix - BTS - Services - Gestion de la PME", "BTS - Services", "", 20, 371, 183, 338, 0, 12, 2, 32, 12, 35, 11, 259, 33, 3, 0, 13, 17, 92, 4, 0, 0, 12, 2, 32, 12, 35, 11, 13, 72, 15, 11, 13, 1, 10.0, 13.0, 14.0, 0, 4, 12, 0, 9, 3, 3, 1, 4, 6, 1, 0, 0.0, 0, 6, 1, 9, 7, 11, 11, 66.67, 86.67, 93.33, 73.296875, 91.6875, 91.6875, 75, 33.296875, 80.0, 8.298828125, 33.296875, 50.0, 8.298828125, 0.0, 0.0, 0.0, 0.0, 75.0, 50.0, 25.0, 8.298828125, 9.0, 2.0, 32.0, 12.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 26.0, "6699", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6699&g_ta_cod=6699", 7.0, 60.0, 33.0),
(12066, "Public", "0540038Y", "Lycée Henri Poincaré", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "CPGE", "Lycée Henri Poincaré - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 1867, 702, 1867, 1358, 1416, 99, 0, 0, 0, 0, 451, 0, 0, 0, 0, 0, 1365, 0, 1005, 1324, 1238, 76, 0, 0, 0, 0, 127, 610, 92, 29, 92, 0, 21.0, 54.0, 79.0, 15, 5, 84, 84, 0, 0, 8, 1, 0, 1, 21, 52, 9.0, 83, 0, 0, 11, 3, 57, 57, 22.83, 58.7, 85.87, 31.5, 67.890625, 67.890625, 13.099609375, 6.0, 91.296875, 1.199951171875, 0.0, 1.199951171875, 25.0, 61.9, 10.7, 100.0, 98.796875, 0.0, 0.0, 0.0, 0.0, 562.0, 42.0, 0.0, 0.0, 48.0, "Tous les candidats", 815.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "6246", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6246&g_ta_cod=6246", 100.0, 0.0, 0.0),
(12067, "Public", "0130043B", "Lycée Victor Hugo", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation sélective", "BTS", "Lycée Victor Hugo - BTS - Services - Assurance", "BTS - Services", "", 32, 1206, 743, 1206, 0, 148, 86, 348, 207, 255, 179, 455, 0, 0, 0, 0, 0, 451, 0, 0, 0, 86, 43, 148, 82, 109, 74, 108, 197, 30, 19, 30, 0, 0.0, 16.0, 24.0, 0, 15, 21, 6, 9, 6, 9, 0, 3, 13, 5, 0, 0.0, 4, 8, 6, 1, 0, 21, 21, 0.0, 53.33, 80.0, 63.296875, 100.0, 100.0, 4.7998046875, 71.390625, 70.0, 0.0, 14.298828125, 61.8984375, 23.796875, 0.0, 0.0, 28.59765625, 19.0, 42.8984375, 38.09375, 28.59765625, 28.59765625, 44.0, 22.0, 29.0, 19.0, 56.0, "Tous les candidats sauf les Bac professionnels", 204.0, "Bacheliers professionnels toutes séries", 79, "", 0, "Liste d'appel propre à cette formation", 23.0, "2555", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2555&g_ta_cod=2555", 40.0, 37.0, 23.0),
(12068, "Public", "0623218L", "I.U.T LITTORAL (CALAIS)", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "BUT", "I.U.T LITTORAL (CALAIS) - BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "BUT - Production", "Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", 56, 278, 19, 235, 0, 104, 13, 80, 23, 5, 1, 46, 43, 4, 3, 0, 36, 185, 20, 0, 0, 91, 10, 61, 13, 3, 0, 30, 186, 33, 0, 27, 6, 22.0, 27.0, 31.0, 0, 6, 24, 14, 9, 1, 9, 0, 11, 6, 4, 3, 0.0, 7, 5, 1, 0, 0, 24, 24, 66.67, 81.82, 93.94, 0.0, 100.0, 100.0, 0, 25.0, 72.6875, 0.0, 45.796875, 25.0, 16.69921875, 12.5, 0.0, 58.296875, 29.19921875, 37.5, 20.796875, 4.19921875, 4.19921875, 85.0, 10.0, 2.0, 0.0, 41.0, "Tous les candidats sauf les Bac technologiques", 120.0, "Bacheliers technologiques toutes séries", 64, "", 0, "Liste d'appel propre à cette formation", 78.0, "7466", "BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7466&g_ta_cod=7466", 67.0, 30.0, 3.0),
(12069, "Public", "0930119Z", "Lycée Eugène Delacroix", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Drancy", "formation sélective", "BTS", "Lycée Eugène Delacroix - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 774, 347, 774, 0, 45, 20, 280, 169, 220, 138, 229, 0, 0, 0, 0, 0, 475, 0, 0, 0, 36, 18, 203, 132, 150, 99, 86, 143, 35, 21, 34, 0, 5.0, 26.0, 31.0, 0, 17, 30, 5, 11, 14, 5, 0, 11, 12, 6, 1, 0.0, 0, 6, 13, 10, 7, 30, 30, 14.29, 74.29, 88.57, 60.0, 100.0, 100.0, 33.296875, 56.6953125, 85.6875, 0.0, 36.6953125, 40.0, 20.0, 3.3, 0.0, 16.69921875, 0.0, 36.6953125, 20.0, 46.6953125, 43.296875, 14.0, 8.0, 40.0, 26.0, 28.0, "Tous les candidats sauf les Bac professionnels", 126.0, "Bacheliers professionnels toutes séries", 54, "", 0, "Liste d'appel propre à cette formation", 23.0, "11172", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11172&g_ta_cod=11172", 20.0, 40.0, 40.0),
(12070, "Public", "0721575W", "ESGT Le Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 5, 140, 12, 140, 0, 0, 0, 129, 37, 0, 0, 11, 0, 0, 0, 0, 0, 56, 0, 0, 0, 0, 0, 53, 14, 0, 0, 3, 28, 4, 1, 4, 0, 0.0, 4.0, 4.0, 0, 0, 4, 0, 4, 0, 0, 0, 0, 0, 4, 0, 0.0, 0, 4, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 25.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 346.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "30858", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=30858", 0.0, 100.0, 0.0),
(12071, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Facultés libres de l'Ouest - UCO ANGERS - Licence - Portail Langues étrangères appliquées - Anglais - Allemand", "Licence - Arts-lettres-langues", "Anglais - Allemand", 4, 33, 25, 20, 0, 13, 1, 3, 2, 1, 1, 3, 13, 2, 0, 0, 11, 20, 13, 0, 0, 13, 1, 3, 2, 1, 1, 3, 26, 4, 4, 1, 3, 0.0, 1.0, 3.0, 0, 1, 1, 1, 0, 0, 3, 0, 0, 0, 0, 1, 0.0, 1, 0, 0, 0, 0, 0, 0, 0.0, 25.0, 75.0, 100.0, 0.0, 0.0, 0, 100.0, 25.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 12.0, 2.0, 0.0, 0.0, 14.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28968", "Licence - Portail Langues étrangères appliquées - Anglais - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28967&g_ta_cod=28968", 100.0, 0.0, 0.0),
(12072, "Public", "0230030H", "Lycée agricole d'Ahun", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "Ahun", "formation sélective", "BTS", "Lycée agricole d'Ahun - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 27, 97, 29, 96, 0, 4, 0, 23, 3, 55, 21, 14, 1, 0, 0, 0, 1, 87, 0, 0, 0, 4, 0, 23, 3, 52, 20, 8, 73, 14, 4, 14, 0, 9.0, 14.0, 14.0, 0, 4, 12, 1, 3, 8, 2, 0, 4, 5, 3, 0, 0.0, 1, 2, 5, 9, 2, 11, 11, 64.29, 100.0, 100.0, 28.59765625, 91.6875, 91.6875, 75, 33.296875, 85.6875, 0.0, 33.296875, 41.6953125, 25.0, 0.0, 0.0, 8.298828125, 8.298828125, 25.0, 16.69921875, 66.6875, 41.6953125, 4.0, 0.0, 38.0, 14.0, 8.0, "Tous les candidats sauf les Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 52, "", 0, "Liste d'appel propre à cette formation", 91.0, "3400", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3400&g_ta_cod=3400", 21.0, 21.0, 57.0),
(12073, "Public", "0672337B", "IFSI Haguenau", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Haguenau", "formation sélective", "IFSI", "Regroupement d'IFSI Université Strasbourg - D.E Infirmier", "D.E secteur sanitaire", "", 63, 3110, 2612, 3110, 0, 573, 108, 609, 181, 320, 129, 1608, 0, 0, 0, 0, 0, 2695, 0, 0, 0, 553, 100, 515, 141, 234, 84, 1393, 762, 63, 55, 63, 0, 1.0, 37.0, 54.0, 0, 13, 40, 16, 22, 2, 23, 0, 3, 20, 13, 4, 0.0, 13, 22, 2, 0, 0, 33, 33, 1.59, 58.73, 85.71, 87.296875, 82.5, 82.5, 0, 32.5, 63.5, 0.0, 7.5, 50.0, 32.5, 10.0, 0.0, 40.0, 32.5, 55.0, 55.0, 5.0, 5.0, 228.0, 43.0, 21.0, 13.0, 400.0, "Tous les candidats", 1775.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "23239", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23000&g_ta_cod=23239", 52.0, 41.0, 6.0),
(12074, "Public", "9720501M", "Lycée professionnel Chateauboeuf", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée professionnel Chateauboeuf - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 24, 178, 175, 178, 0, 24, 7, 48, 26, 75, 52, 31, 0, 0, 0, 0, 0, 69, 0, 0, 0, 15, 4, 20, 13, 29, 25, 5, 51, 23, 23, 23, 0, 14.0, 23.0, 23.0, 0, 19, 23, 5, 5, 13, 0, 1, 17, 4, 1, 0, 0.0, 1, 1, 3, 10, 10, 21, 21, 60.87, 100.0, 100.0, 100.0, 91.296875, 91.296875, 43.5, 82.59375, 100.0, 4.2998046875, 73.890625, 17.3984375, 4.2998046875, 0.0, 0.0, 21.69921875, 4.2998046875, 21.69921875, 4.2998046875, 56.5, 13.0, 12.0, 4.0, 25.0, 22.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 34.0, "11813", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11813&g_ta_cod=11813", 22.0, 22.0, 57.0),
(12075, "Public", "0910623H", "Lycée Marcel Pagnol", "91", "Essonne", "Ile-de-France", "Versailles", "Athis-Mons", "formation sélective", "BTS", "Lycée Marcel Pagnol - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 716, 326, 716, 0, 49, 19, 249, 117, 168, 90, 250, 0, 0, 0, 0, 0, 515, 0, 0, 0, 40, 18, 229, 109, 129, 70, 117, 162, 34, 15, 33, 0, 4.0, 30.0, 31.0, 0, 15, 31, 0, 14, 17, 3, 0, 17, 13, 1, 0, 0.0, 0, 6, 8, 4, 2, 30, 31, 11.76, 88.24, 91.18, 44.09375, 96.796875, 100.0, 12.8984375, 48.3984375, 91.1875, 0.0, 54.796875, 41.8984375, 3.19970703125, 0.0, 0.0, 0.0, 0.0, 45.1953125, 19.3984375, 54.796875, 25.796875, 3.0, 2.0, 63.0, 33.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 105, "Bacheliers technologiques toutes séries", 105, "Liste d'appel propre à cette formation", 30.0, "10855", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10855&g_ta_cod=10855", 3.0, 44.0, 53.0),
(12076, "Privé sous contrat d'association", "0370749N", "Lycée Sainte Marguerite", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Chambray-lès-Tours", "formation sélective", "BTS", "Lycée Sainte Marguerite - BTS - Services - Assurance", "BTS - Services", "", 20, 289, 160, 288, 0, 72, 12, 83, 15, 44, 14, 89, 1, 0, 0, 1, 0, 190, 0, 0, 0, 64, 11, 67, 8, 29, 10, 30, 87, 20, 13, 20, 0, 5.0, 15.0, 15.0, 0, 3, 15, 11, 2, 2, 5, 0, 5, 10, 0, 0, 0.0, 7, 1, 2, 0, 0, 11, 11, 25.0, 75.0, 75.0, 65.0, 73.296875, 73.296875, 0, 20.0, 75.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 73.296875, 46.6953125, 13.298828125, 6.69921875, 13.298828125, 13.298828125, 30.0, 6.0, 16.0, 5.0, 22.0, "Tous les candidats sauf les Bac professionnels", 68.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 32.0, "18584", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18584&g_ta_cod=18584", 75.0, 15.0, 10.0),
(12077, "Public", "0750711R", "Lycée Henri Bergson-Jacquard", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Henri Bergson-Jacquard - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 48, 719, 107, 719, 0, 64, 17, 151, 56, 225, 100, 279, 0, 0, 0, 0, 0, 474, 0, 0, 0, 42, 12, 134, 49, 133, 55, 165, 190, 46, 7, 46, 0, 7.0, 32.0, 44.0, 0, 10, 29, 4, 6, 19, 17, 0, 12, 10, 6, 1, 0.0, 1, 2, 14, 0, 0, 5, 28, 15.22, 69.57, 95.65, 15.19921875, 17.19921875, 96.59375, 0, 34.5, 63.0, 0.0, 41.3984375, 34.5, 20.69921875, 3.4, 0.0, 13.798828125, 3.39990234375, 20.69921875, 6.8994140625, 65.5, 48.296875, 24.0, 10.0, 80.0, 30.0, 49.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 132, "Bacheliers technologiques toutes séries", 98, "Liste d'appel propre à cette formation", 39.0, "9181", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9181&g_ta_cod=9181", 24.0, 28.0, 48.0),
(12078, "Public", "0920145H", "Lycée Lakanal", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "CPGE", "Lycée Lakanal - CPGE - BCPST", "Classe préparatoire scientifique", "", 96, 2131, 1516, 2131, 1206, 1712, 134, 2, 0, 3, 2, 414, 0, 0, 0, 0, 0, 1412, 0, 838, 1370, 1238, 66, 0, 0, 0, 0, 174, 688, 90, 63, 90, 0, 16.0, 36.0, 74.0, 17, 5, 84, 84, 0, 0, 6, 2, 0, 4, 46, 28, 4.0, 82, 0, 0, 7, 5, 49, 58, 17.78, 40.0, 82.22, 70.0, 58.296875, 69.0, 8.298828125, 6.0, 93.296875, 2.39990234375, 0.0, 4.7998046875, 54.796875, 33.3, 4.8, 100.0, 97.59375, 0.0, 0.0, 0.0, 0.0, 635.0, 54.0, 0.0, 0.0, 53.0, "Tous les candidats", 878.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "11014", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11014&g_ta_cod=11014", 100.0, 0.0, 0.0),
(12079, "Public", "0590184E", "Lycée Jean Rostand", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 560, 80, 557, 0, 83, 20, 94, 45, 90, 37, 290, 3, 0, 0, 1, 2, 316, 0, 0, 0, 78, 18, 82, 38, 78, 30, 78, 120, 25, 1, 25, 0, 2.0, 20.0, 23.0, 0, 3, 8, 1, 0, 7, 17, 0, 4, 1, 3, 0, 0.0, 0, 0, 4, 0, 0, 7, 7, 8.0, 80.0, 92.0, 4.0, 87.5, 87.5, 0, 37.5, 32.0, 0.0, 50.0, 12.5, 37.5, 0.0, 0.0, 12.5, 0.0, 0.0, 0.0, 87.5, 50.0, 10.0, 4.0, 52.0, 22.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 32.0, "6812", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6812&g_ta_cod=6812", 40.0, 20.0, 40.0),
(12080, "Public", "0810121S", "L.E.G.T.A. Albi - Fonlabour", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "BTS", "L.E.G.T.A. Albi - Fonlabour - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 36, 248, 67, 234, 0, 27, 4, 77, 13, 22, 5, 108, 14, 1, 1, 1, 11, 138, 5, 0, 0, 27, 4, 72, 12, 20, 4, 19, 99, 30, 6, 28, 2, 6.0, 25.0, 30.0, 0, 1, 24, 5, 15, 4, 6, 0, 10, 13, 1, 0, 0.0, 2, 8, 4, 3, 2, 16, 16, 20.0, 83.33, 100.0, 20.0, 66.6875, 66.6875, 12.5, 4.19921875, 80.0, 0.0, 41.6953125, 54.1953125, 4.19921875, 0.0, 0.0, 20.796875, 8.298828125, 62.5, 33.296875, 16.69921875, 16.69921875, 26.0, 4.0, 17.0, 2.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 59.0, "10278", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10278&g_ta_cod=10278", 30.0, 53.0, 17.0),
(12081, "Privé sous contrat d'association", "0920894X", "Lycée St Gabriel", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Bagneux", "formation sélective", "BTS", "Lycée St Gabriel - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 387, 24, 291, 0, 29, 5, 82, 28, 72, 25, 108, 96, 0, 13, 51, 32, 136, 13, 0, 0, 17, 3, 50, 15, 36, 12, 33, 117, 32, 0, 24, 8, 6.0, 18.0, 20.0, 0, 11, 24, 3, 12, 9, 8, 0, 17, 6, 1, 0, 0.0, 1, 2, 4, 3, 0, 13, 22, 18.75, 56.25, 62.5, 0.0, 54.1953125, 91.6875, 12.5, 45.796875, 75.0, 0.0, 70.796875, 25.0, 4.19921875, 0.0, 0.0, 12.5, 4.19921875, 50.0, 8.298828125, 37.5, 16.69921875, 14.0, 2.0, 39.0, 16.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 41.0, "11045", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11045&g_ta_cod=11045", 13.0, 50.0, 38.0),
(12082, "Public", "0790090U", "Lycée professionnel Les Grippeaux", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Parthenay", "formation sélective", "Autre formation", "Lycée professionnel Les Grippeaux - Mention complémentaire - FCIL Technicien réseaux très haut débit fibre optique", "Mention complémentaire", "", 15, 81, 4, 81, 0, 1, 0, 2, 0, 44, 24, 34, 0, 0, 0, 0, 0, 44, 0, 0, 0, 1, 0, 1, 0, 28, 13, 14, 30, 10, 1, 10, 0, 3.0, 8.0, 10.0, 0, 1, 6, 0, 0, 6, 4, 0, 3, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 4, 4, 30.0, 80.0, 100.0, 10.0, 66.6875, 66.6875, 0, 16.69921875, 60.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 1.0, 0.0, 24.0, 11.0, 4.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "24684", "Mention complémentaire - FCIL Technicien réseaux très haut débit fibre optique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24684&g_ta_cod=24684", 30.0, 0.0, 70.0),
(12083, "Public", "0840957J", "I.U.T. d'Avignon", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BUT", "I.U.T. d'Avignon - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 35, 728, 491, 728, 0, 412, 62, 141, 47, 3, 1, 172, 0, 0, 0, 0, 0, 514, 0, 0, 0, 320, 40, 88, 23, 0, 0, 106, 150, 38, 27, 38, 0, 12.0, 31.0, 36.0, 0, 5, 37, 22, 15, 0, 1, 0, 3, 12, 19, 3, 0.0, 22, 12, 0, 0, 0, 24, 24, 31.58, 81.58, 94.74, 71.09375, 64.890625, 64.890625, 0, 13.5, 97.390625, 0.0, 8.099609375, 32.3984375, 51.3984375, 8.1, 0.0, 59.5, 59.5, 40.5, 32.3984375, 0.0, 0.0, 88.0, 14.0, 0.0, 0.0, 10.0, "Tous les candidats sauf les Bac technologiques", 140.0, "Bacheliers technologiques toutes séries", 76, "", 0, "Liste d'appel propre à cette formation", 30.0, "10467", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10467&g_ta_cod=10467", 61.0, 39.0, 0.0),
(12084, "Public", "0383190L", "IFSI CH Alpes-Isère Saint-Egrève", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Egrève", "formation sélective", "IFSI", "Regroupement d'IFSI Université Grenoble Alpes - D.E Infirmier", "D.E secteur sanitaire", "", 59, 5097, 4239, 5097, 0, 812, 150, 975, 235, 433, 150, 2877, 0, 0, 0, 0, 0, 4111, 0, 0, 0, 743, 123, 821, 186, 347, 110, 2200, 582, 59, 47, 59, 0, 1.0, 33.0, 51.0, 0, 5, 41, 15, 18, 8, 18, 0, 0, 17, 23, 1, 0.0, 15, 18, 8, 0, 0, 39, 39, 1.69, 55.93, 86.44, 79.6875, 95.09375, 95.09375, 0, 12.19921875, 69.5, 0.0, 0.0, 41.5, 56.09375, 2.4, 0.0, 36.59375, 36.59375, 43.8984375, 43.8984375, 19.5, 19.5, 150.0, 21.0, 62.0, 12.0, 220.0, "Tous les candidats", 1891.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "23123", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22992&g_ta_cod=23123", 47.0, 36.0, 15.0),
(12085, "Privé enseignement supérieur", "0492180D", "IFEPSA - Facultés libres de l'ouest - UCO", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Les Ponts-de-Cé", "formation sélective", "Licence", "IFEPSA - Facultés libres de l'ouest - UCO - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS", "Licence - Sciences - technologies - santé", "STAPS", 240, 1742, 482, 1742, 0, 1229, 118, 224, 35, 31, 8, 258, 0, 0, 0, 0, 0, 1678, 0, 0, 0, 1211, 114, 206, 32, 28, 7, 233, 832, 260, 82, 258, 0, 99.0, 240.0, 256.0, 0, 27, 230, 197, 31, 2, 30, 0, 46, 124, 54, 6, 0.0, 159, 24, 1, 0, 0, 179, 179, 38.08, 92.31, 98.46, 31.5, 77.796875, 77.796875, 0, 11.69921875, 88.5, 0.0, 20.0, 53.8984375, 23.5, 2.6, 0.0, 85.6875, 69.09375, 13.5, 10.3984375, 0.89990234375, 0.39996337890625, 634.0, 58.0, 7.0, 2.0, 108.0, "Tous les candidats", 996.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "5978", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5978&g_ta_cod=5978", 85.0, 13.0, 2.0),
(12086, "Public", "0450064A", "Lycée professionnel Gaudier-Brzeska", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Saint-Jean-de-Braye", "formation sélective", "BTS", "Lycée professionnel Gaudier-Brzeska - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "BTS - Production", "", 15, 266, 37, 266, 0, 41, 0, 51, 8, 81, 16, 93, 0, 0, 0, 0, 0, 206, 0, 0, 0, 41, 0, 49, 7, 66, 12, 50, 90, 14, 1, 14, 0, 1.0, 6.0, 13.0, 0, 0, 9, 0, 3, 6, 5, 0, 2, 5, 2, 0, 0.0, 0, 1, 6, 1, 0, 6, 6, 7.14, 42.86, 92.86, 7.099609375, 66.6875, 66.6875, 11.099609375, 0.0, 64.296875, 0.0, 22.19921875, 55.59375, 22.19921875, 0.0, 0.0, 0.0, 0.0, 33.296875, 11.099609375, 66.6875, 66.6875, 21.0, 0.0, 25.0, 4.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 61.0, "14657", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14657&g_ta_cod=14657", 21.0, 36.0, 43.0),
(12087, "Public", "0820559M", "L.E.G.T.A. Montauban - Capou", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Montauban", "formation sélective", "BTS", "L.E.G.T.A. Montauban - Capou - BTS - Agricole - Production horticole", "BTS - Agricole", "", 16, 184, 57, 181, 0, 18, 2, 18, 4, 26, 10, 119, 3, 0, 1, 2, 0, 87, 3, 0, 0, 18, 2, 18, 4, 26, 10, 25, 71, 8, 0, 7, 1, 0.0, 7.0, 8.0, 0, 2, 6, 1, 1, 4, 2, 0, 4, 2, 0, 0, 0.0, 1, 0, 1, 0, 0, 5, 5, 0.0, 87.5, 100.0, 0.0, 83.296875, 83.296875, 0, 33.296875, 75.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 16.69921875, 16.69921875, 16.69921875, 0.0, 66.6875, 16.69921875, 13.0, 1.0, 26.0, 10.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 47.0, "10323", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10323&g_ta_cod=10323", 25.0, 13.0, 63.0),
(12088, "Privé sous contrat d'association", "0783720V", "ESEO Paris - Vélizy", "78", "Yvelines", "Ile-de-France", "Versailles", "Vélizy-Villacoublay", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 90, 2066, 449, 2032, 0, 2025, 161, 0, 0, 0, 0, 7, 34, 31, 0, 0, 3, 1749, 17, 0, 0, 1749, 119, 0, 0, 0, 0, 0, 1655, 27, 5, 24, 3, 12.0, 24.0, 25.0, 0, 1, 27, 27, 0, 0, 0, 0, 5, 14, 6, 2, 0.0, 22, 0, 0, 0, 0, 23, 24, 44.44, 88.89, 92.59, 18.5, 85.1875, 88.890625, 0, 3.69970703125, 100.0, 0.0, 18.5, 51.8984375, 22.19921875, 7.4, 0.0, 100.0, 81.5, 0.0, 0.0, 0.0, 0.0, 1653.0, 119.0, 0.0, 0.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "93", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=93", 100.0, 0.0, 0.0),
(12089, "Public", "0280019U", "Lycée Rotrou", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Dreux", "formation sélective", "BTS", "Lycée Rotrou - BTS - Services - Gestion de la PME", "BTS - Services", "", 31, 345, 192, 345, 0, 18, 3, 62, 32, 81, 37, 184, 0, 0, 0, 0, 0, 122, 0, 0, 0, 8, 2, 44, 21, 42, 17, 28, 98, 31, 22, 31, 0, 11.0, 27.0, 27.0, 0, 12, 23, 0, 12, 11, 8, 0, 10, 12, 1, 0, 0.0, 0, 8, 5, 11, 10, 20, 20, 35.48, 87.1, 87.1, 71.0, 87.0, 87.0, 47.796875, 52.1953125, 74.1875, 0.0, 43.5, 52.1953125, 4.2998046875, 0.0, 0.0, 0.0, 0.0, 52.1953125, 34.796875, 47.796875, 21.69921875, 7.0, 2.0, 33.0, 13.0, 18.0, "Tous les candidats sauf les Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 32.0, "3730", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3730&g_ta_cod=3730", 3.0, 48.0, 48.0),
(12090, "Public", "0741133E", "I.U.T. Annecy", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BUT", "I.U.T. Annecy - BUT - Génie électrique et informatique industrielle Parcours : Automatisme et informatique industrielle Section aménagée sport ou musique études (quatre ans)", "BUT - Production", "Automatisme et informatique industrielle Section aménagée sport ou musique études (quatre ans)", 16, 65, 5, 54, 0, 41, 6, 7, 0, 0, 0, 6, 11, 1, 3, 0, 7, 25, 1, 0, 0, 19, 1, 3, 0, 0, 0, 3, 23, 9, 0, 9, 0, 5.0, 9.0, 9.0, 0, 1, 7, 5, 2, 0, 2, 0, 1, 4, 2, 0, 0.0, 4, 2, 0, 0, 0, 3, 3, 55.56, 100.0, 100.0, 0.0, 42.8984375, 42.8984375, 0, 14.298828125, 77.796875, 0.0, 14.298828125, 57.09375, 28.59765625, 0.0, 0.0, 71.390625, 57.09375, 28.59765625, 28.59765625, 0.0, 0.0, 16.0, 1.0, 0.0, 0.0, 3.0, "Tous les candidats sauf les Bac technologiques", 20.0, "Bacheliers technologiques toutes séries", 3, "", 0, "Liste d'appel propre à cette formation", 43.0, "8907", "BUT - Génie électrique et informatique industrielle Parcours : Automatisme et informatique industrielle Section aménagée sport ou musique études (quatre ans)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8907&g_ta_cod=8907", 67.0, 33.0, 0.0),
(12091, "Public", "0596183A", "I.U.T. de Valenciennes - Site de Maubeuge", "59", "Nord", "Hauts-de-France", "Lille", "Maubeuge", "formation sélective", "BUT", "I.U.T. de Valenciennes - Site de Maubeuge - BUT - Informatique Parcours : Réalisation d?applications: conception, développement, validation - Déploiement, intégration d?applications et management du SI", "BUT - Production", "Réalisation d?applications: conception, développement, validation - Déploiement, intégration d?applications et management du SI", 72, 635, 41, 627, 0, 337, 71, 153, 51, 14, 9, 123, 8, 0, 4, 0, 4, 508, 1, 0, 0, 324, 69, 102, 31, 0, 0, 82, 298, 73, 3, 72, 1, 39.0, 61.0, 70.0, 0, 19, 67, 41, 26, 0, 6, 0, 21, 30, 16, 0, 0.0, 26, 20, 0, 0, 0, 63, 63, 53.42, 83.56, 95.89, 4.099609375, 94.0, 94.0, 0, 28.3984375, 91.796875, 0.0, 31.296875, 44.796875, 23.8984375, 0.0, 0.0, 61.1953125, 38.796875, 38.796875, 29.8984375, 0.0, 0.0, 168.0, 41.0, 0.0, 0.0, 36.0, "Tous les candidats sauf les Bac technologiques", 261.0, "Bacheliers technologiques toutes séries", 107, "", 0, "Liste d'appel propre à cette formation", 59.0, "7192", "BUT - Informatique Parcours : Réalisation d?applications: conception, développement, validation - Déploiement, intégration d?applications et management du SI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7192&g_ta_cod=7192", 59.0, 40.0, 0.0),
(12092, "Privé sous contrat d'association", "0101131A", "EPF Troyes", "10", "Aube", "Grand Est", "Reims", "Rosières-près-Troyes", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 85, 3094, 717, 3094, 0, 3092, 110, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 3057, 0, 0, 0, 3055, 107, 0, 0, 0, 0, 2, 2794, 88, 20, 88, 0, 22.0, 75.0, 88.0, 0, 1, 88, 88, 0, 0, 0, 0, 27, 48, 10, 3, 0.0, 61, 0, 0, 0, 0, 8, 8, 25.0, 85.23, 100.0, 22.69921875, 9.099609375, 9.099609375, 0, 1.099853515625, 100.0, 0.0, 30.69921875, 54.5, 11.3984375, 3.4, 0.0, 100.0, 69.296875, 0.0, 0.0, 0.0, 0.0, 2792.0, 84.0, 0.0, 0.0, 2.0, "Tous les candidats", 3051.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "100", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=99&g_ta_cod=100", 100.0, 0.0, 0.0),
(12093, "Privé sous contrat d'association", "0311177L", "Institut Limayrac", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Institut Limayrac - BTS - Services - Diététique", "BTS - Services", "", 35, 969, 760, 969, 0, 232, 35, 255, 79, 75, 25, 407, 0, 0, 0, 0, 0, 700, 0, 0, 0, 225, 32, 182, 55, 48, 16, 245, 140, 36, 28, 36, 0, 14.0, 26.0, 30.0, 0, 8, 26, 13, 11, 2, 10, 0, 1, 11, 14, 0, 0.0, 12, 11, 2, 0, 0, 22, 22, 38.89, 72.22, 83.33, 77.796875, 84.59375, 84.59375, 0, 30.796875, 72.1875, 0.0, 3.7998046875, 42.296875, 53.796875, 0.0, 0.0, 50.0, 46.1953125, 42.296875, 42.296875, 7.69921875, 7.69921875, 48.0, 15.0, 8.0, 3.0, 56.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 108.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 17.0, "4110", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4110&g_ta_cod=4110", 56.0, 36.0, 8.0),
(12094, "Privé enseignement supérieur", "0352373P", "UniLaSalle Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Bruz", "formation sélective", "Ecole d'Ingénieur", "UniLaSalle (Beauvais, Rouen, Rennes) - Formation d'ingénieur Bac + 5 - Bac +1", "Formations  des écoles d'ingénieurs", "Bac +1", 10, 101, 67, 94, 0, 1, 0, 0, 0, 0, 0, 93, 7, 0, 0, 0, 7, 87, 0, 0, 0, 1, 0, 0, 0, 0, 0, 86, 73, 4, 3, 4, 0, 0.0, 4.0, 4.0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 100.0, 100.0, 75.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.0, 0.0, 0.0, 0.0, 72.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "30807", "Formation d'ingénieur Bac + 5 - Bac +1", "UniLaSalle (Beauvais, Rouen, Rennes)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30780&g_ta_cod=30807", 100.0, 0.0, 0.0),
(12095, "Privé sous contrat d'association", "0753559L", "ISEP Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 50, 1602, 416, 1548, 0, 1543, 157, 0, 0, 0, 0, 5, 54, 53, 0, 0, 1, 1321, 14, 0, 0, 1321, 106, 0, 0, 0, 0, 0, 1258, 40, 7, 36, 4, 25.0, 36.0, 39.0, 0, 3, 40, 40, 0, 0, 0, 0, 6, 12, 20, 2, 0.0, 34, 0, 0, 0, 0, 7, 31, 62.5, 90.0, 97.5, 17.5, 17.5, 77.5, 0, 7.5, 100.0, 0.0, 15.0, 30.0, 50.0, 5.0, 0.0, 100.0, 85.0, 0.0, 0.0, 0.0, 0.0, 1257.0, 107.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "22815", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=22815", 100.0, 0.0, 0.0),
(12096, "Public", "0561890A", "ENSIBS Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 41, 3920, 843, 3920, 0, 3393, 279, 0, 0, 0, 0, 527, 0, 0, 0, 0, 0, 2608, 0, 0, 0, 2430, 145, 0, 0, 0, 0, 178, 1907, 39, 3, 39, 0, 31.0, 35.0, 39.0, 0, 4, 39, 39, 0, 0, 0, 0, 1, 9, 23, 6, 0.0, 38, 0, 0, 0, 0, 19, 19, 79.49, 89.74, 100.0, 7.69921875, 48.6953125, 48.6953125, 0, 10.298828125, 100.0, 0.0, 2.599609375, 23.09765625, 59.0, 15.4, 0.0, 100.0, 97.390625, 0.0, 0.0, 0.0, 0.0, 1780.0, 144.0, 0.0, 0.0, 127.0, "Autres candidats", 11950.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 58.0, "472", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=472", 100.0, 0.0, 0.0),
(12097, "Public", "0750686N", "Lycée Estienne Esaig", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Estienne Esaig - DN MADE - Graphisme - - Spécialité : Design de marque et communication", "DN MADE", "- Spécialité : Design de marque et communication", 15, 1322, 922, 1322, 0, 495, 75, 224, 31, 141, 29, 462, 0, 0, 0, 0, 0, 74, 0, 0, 0, 39, 3, 25, 1, 4, 0, 6, 32, 15, 13, 15, 0, 5.0, 14.0, 15.0, 0, 1, 13, 5, 4, 4, 2, 1, 0, 0, 6, 6, 0.0, 4, 4, 4, 0, 0, 3, 7, 33.33, 93.33, 100.0, 86.6875, 23.09765625, 53.796875, 0, 7.69921875, 86.6875, 7.69921875, 0.0, 0.0, 46.1953125, 46.2, 0.0, 38.5, 30.796875, 30.796875, 30.796875, 30.796875, 30.796875, 15.0, 3.0, 4.0, 0.0, 2.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 3.0, "21953", "DN MADE - Graphisme - - Spécialité : Design de marque et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21953&g_ta_cod=21953", 47.0, 27.0, 27.0),
(12098, "Public", "0134015U", "Aix-Marseille Université - Site de Marseille Saint Charles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation non sélective", "Licence", "Aix-Marseille Université - Site de Marseille Saint Charles - Licence - Portail Formation à distance - Descartes : Informatique, Mathématiques, Mécanique, Physique", "Licence - Sciences - technologies - santé", "Formation à distance - Descartes : Informatique, Mathématiques, Mécanique, Physique", 200, 974, 283, 830, 0, 408, 104, 51, 20, 9, 7, 362, 144, 19, 3, 2, 120, 830, 140, 0, 0, 408, 104, 51, 20, 9, 7, 362, 856, 194, 56, 132, 62, 44.0, 123.0, 156.0, 0, 13, 58, 48, 5, 5, 136, 1, 22, 11, 14, 9, 1.0, 31, 1, 3, 0, 0, 20, 20, 22.68, 63.4, 80.41, 28.8984375, 34.5, 34.5, 0, 22.3984375, 29.8984375, 1.699951171875, 37.8984375, 19.0, 24.09765625, 15.5, 1.7, 82.796875, 53.3984375, 8.599609375, 1.699951171875, 8.599609375, 5.19921875, 419.0, 107.0, 8.0, 5.0, 399.0, "Tous les candidats", 828.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "16728", "Licence - Portail Formation à distance - Descartes : Informatique, Mathématiques, Mécanique, Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16728&g_ta_cod=16728", 80.0, 11.0, 4.0),
(12099, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation non sélective", "Licence", "Université Grenoble Alpes - Antenne de Valence - Licence - Portail Chimie - Biologie", "Licence - Sciences - technologies - santé", "Chimie - Biologie", 85, 919, 650, 891, 0, 485, 75, 42, 6, 1, 0, 363, 28, 9, 0, 0, 19, 891, 19, 0, 0, 485, 75, 42, 6, 1, 0, 363, 597, 70, 44, 62, 8, 4.0, 32.0, 53.0, 0, 8, 45, 43, 2, 0, 25, 2, 14, 21, 7, 1, 0.0, 29, 0, 0, 0, 0, 33, 33, 5.71, 45.71, 75.71, 62.8984375, 73.296875, 73.296875, 0, 17.796875, 64.296875, 4.3994140625, 31.09765625, 46.6953125, 15.599609375, 2.2, 0.0, 95.59375, 64.390625, 4.3994140625, 0.0, 0.0, 0.0, 311.0, 53.0, 0.0, 0.0, 273.0, "Tous les candidats", 883.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 84.0, "30996", "Licence - Portail Chimie - Biologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30997&g_ta_cod=30996", 97.0, 3.0, 0.0),
(12100, "Public", "0332468D", "Lycée St Louis", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée St Louis - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 30, 1884, 1462, 1884, 0, 470, 100, 616, 176, 98, 37, 700, 0, 0, 0, 0, 0, 780, 0, 0, 0, 277, 49, 256, 57, 47, 17, 200, 212, 28, 25, 26, 0, 2.0, 16.0, 24.0, 0, 6, 24, 9, 12, 3, 4, 0, 3, 9, 10, 2, 0.0, 6, 12, 3, 2, 2, 13, 13, 7.14, 57.14, 85.71, 89.296875, 54.1953125, 54.1953125, 8.298828125, 25.0, 85.6875, 0.0, 12.5, 37.5, 41.6953125, 8.3, 0.0, 37.5, 25.0, 50.0, 50.0, 12.5, 12.5, 64.0, 17.0, 9.0, 2.0, 58.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 218.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 189, "Liste d'appel propre à cette formation", 23.0, "4439", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4439&g_ta_cod=4439", 39.0, 50.0, 11.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(12101, "Privé sous contrat d'association", "0132246A", "ESAIP Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "bac STL", 2, 30, 13, 27, 0, 0, 0, 27, 13, 0, 0, 0, 3, 0, 3, 0, 0, 19, 3, 0, 0, 0, 0, 19, 9, 0, 0, 0, 19, 2, 1, 1, 1, 0.0, 1.0, 2.0, 0, 2, 2, 0, 2, 0, 0, 0, 1, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 1, 1, 0.0, 50.0, 100.0, 50.0, 50.0, 50.0, 0, 100.0, 100.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "22891", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=22891", 0.0, 100.0, 0.0),
(12102, "Public", "0594581J", "IUT C - Roubaix - Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BUT", "IUT C - Roubaix - Université de Lille - BUT - Statistique et informatique décisionnelle Parcours : Sciences des données : exploration et modélisation statistique - Sciences des données : visualisation, conception d'outils décisionnels", "BUT - Service", "Sciences des données : exploration et modélisation statistique - Sciences des données : visualisation, conception d'outils décisionnels", 75, 658, 129, 580, 0, 318, 59, 92, 37, 6, 3, 164, 78, 10, 17, 2, 49, 504, 29, 0, 0, 302, 56, 61, 24, 0, 0, 141, 392, 78, 18, 65, 13, 10.0, 50.0, 70.0, 0, 17, 46, 36, 10, 0, 32, 0, 19, 21, 5, 1, 0.0, 21, 6, 0, 0, 0, 39, 39, 12.82, 64.1, 89.74, 23.09765625, 84.796875, 84.796875, 0, 37.0, 59.0, 0.0, 41.296875, 45.6953125, 10.8984375, 2.2, 0.0, 78.296875, 45.6953125, 21.69921875, 13.0, 0.0, 0.0, 205.0, 42.0, 0.0, 0.0, 126.0, "Tous les candidats sauf les Bac technologiques", 438.0, "Bacheliers technologiques toutes séries", 66, "", 0, "Liste d'appel propre à cette formation", 87.0, "7128", "BUT - Statistique et informatique décisionnelle Parcours : Sciences des données : exploration et modélisation statistique - Sciences des données : visualisation, conception d'outils décisionnels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7128&g_ta_cod=7128", 82.0, 17.0, 0.0),
(12103, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence", "Université Paris 8 - Licence - Mathématiques", "Licence - Sciences - technologies - santé", "", 50, 689, 202, 689, 0, 462, 161, 34, 21, 4, 3, 189, 0, 0, 0, 0, 0, 689, 0, 0, 0, 462, 161, 34, 21, 4, 3, 189, 444, 46, 5, 46, 0, 6.0, 25.0, 39.0, 0, 13, 26, 25, 0, 1, 20, 0, 18, 3, 3, 2, 0.0, 7, 0, 1, 0, 0, 12, 23, 13.04, 54.35, 84.78, 10.8984375, 46.1953125, 88.5, 0, 50.0, 56.5, 0.0, 69.1875, 11.5, 11.5, 7.7, 0.0, 96.1875, 26.8984375, 0.0, 0.0, 3.7998046875, 3.7998046875, 324.0, 117.0, 2.0, 2.0, 113.0, "Tous les candidats", 553.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "17135", "Licence - Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17135&g_ta_cod=17135", 93.0, 4.0, 2.0),
(12104, "Privé sous contrat d'association", "0492420P", "LPO SAINT AUBIN LA SALLE", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Verrières-en-Anjou", "formation sélective", "BTS", "LPO SAINT AUBIN LA SALLE - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 129, 4, 118, 0, 6, 0, 25, 4, 60, 11, 27, 11, 1, 2, 2, 6, 105, 4, 0, 0, 6, 0, 25, 4, 60, 11, 14, 79, 14, 0, 14, 0, 8.0, 14.0, 14.0, 0, 3, 13, 0, 3, 10, 1, 0, 3, 6, 4, 0, 0.0, 0, 2, 8, 7, 0, 12, 12, 57.14, 100.0, 100.0, 0.0, 92.296875, 92.296875, 53.796875, 23.09765625, 92.890625, 0.0, 23.09765625, 46.1953125, 30.796875, 0.0, 0.0, 0.0, 0.0, 23.09765625, 15.3984375, 76.890625, 61.5, 6.0, 0.0, 37.0, 7.0, 12.0, "Tous les candidats sauf les Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 63, "", 0, "Liste d'appel propre à cette formation", 89.0, "5914", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5914&g_ta_cod=5914", 0.0, 21.0, 79.0),
(12105, "Public", "0840004Y", "Lycée Theodore Aubanel", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée Theodore Aubanel - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 45, 672, 89, 619, 0, 101, 24, 149, 60, 173, 70, 196, 53, 2, 16, 0, 35, 292, 9, 0, 0, 69, 12, 71, 20, 111, 51, 41, 139, 43, 1, 40, 3, 13.0, 29.0, 36.0, 0, 14, 35, 10, 10, 15, 8, 1, 8, 14, 12, 0, 0.0, 4, 9, 13, 4, 0, 29, 29, 30.23, 67.44, 83.72, 2.2998046875, 82.890625, 82.890625, 11.3984375, 40.0, 81.390625, 2.89990234375, 22.8984375, 40.0, 34.296875, 0.0, 0.0, 28.59765625, 11.3984375, 28.59765625, 25.69921875, 42.8984375, 37.09375, 46.0, 11.0, 33.0, 15.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 84.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 31.0, "10416", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10416&g_ta_cod=10416", 37.0, 28.0, 35.0),
(12106, "Public", "0340030Y", "Lycée Louis Feuillade", "34", "Hérault", "Occitanie", "Montpellier", "Lunel", "formation sélective", "BTS", "Lycée Louis Feuillade - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 384, 242, 368, 0, 12, 3, 146, 73, 142, 87, 68, 16, 0, 0, 8, 8, 128, 3, 0, 0, 2, 0, 54, 21, 67, 38, 5, 63, 14, 7, 14, 0, 3.0, 12.0, 13.0, 0, 6, 14, 0, 9, 5, 0, 0, 4, 5, 5, 0, 0.0, 0, 6, 4, 11, 5, 14, 14, 21.43, 85.71, 92.86, 50.0, 100.0, 100.0, 78.59375, 42.8984375, 100.0, 0.0, 28.59765625, 35.6953125, 35.6953125, 0.0, 0.0, 0.0, 0.0, 64.296875, 42.8984375, 35.6953125, 28.59765625, 0.0, 0.0, 28.0, 13.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 26.0, "4479", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4479&g_ta_cod=4479", 0.0, 64.0, 36.0),
(12107, "Privé sous contrat d'association", "0573366Z", "Lycée Saint Vincent De Paul", "57", "Moselle", "Grand Est", "Nancy-Metz", "Algrange", "formation sélective", "Autre formation", "Lycée Saint Vincent De Paul - DN MADE - Numérique - Option : Innovation Sociale et Solidaire", "DN MADE", "Option : Innovation Sociale et Solidaire", 15, 64, 32, 64, 0, 15, 2, 11, 0, 16, 5, 22, 0, 0, 0, 0, 0, 63, 0, 0, 0, 15, 2, 11, 0, 16, 5, 21, 32, 17, 8, 17, 0, 12.0, 15.0, 15.0, 0, 1, 12, 6, 3, 3, 5, 0, 3, 6, 2, 1, 0.0, 3, 3, 3, 0, 0, 12, 12, 70.59, 88.24, 88.24, 47.09375, 100.0, 100.0, 0, 8.298828125, 70.59375, 0.0, 25.0, 50.0, 16.69921875, 8.3, 0.0, 50.0, 25.0, 25.0, 25.0, 25.0, 25.0, 13.0, 2.0, 3.0, 1.0, 10.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "33310", "DN MADE - Numérique - Option : Innovation Sociale et Solidaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33310&g_ta_cod=33310", 35.0, 18.0, 24.0),
(12108, "Public", "0751718K", "Université Paris 2 Panthéon - Assas", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Licence", "Université Paris 2 Panthéon - Assas - Licence - Double diplôme - Licence Droit - Droits français et allemand - programme Sarrebruck", "Licence - Droit-économie-gestion", "Droits français et allemand - programme Sarrebruck", 15, 167, 113, 167, 0, 121, 20, 4, 3, 2, 0, 40, 0, 0, 0, 0, 0, 52, 0, 0, 0, 52, 2, 0, 0, 0, 0, 0, 34, 15, 12, 15, 0, 6.0, 14.0, 15.0, 0, 1, 15, 15, 0, 0, 0, 0, 0, 2, 7, 6, 0.0, 15, 0, 0, 0, 0, 3, 5, 40.0, 93.33, 100.0, 80.0, 20.0, 33.296875, 0, 6.69921875, 100.0, 0.0, 0.0, 13.298828125, 46.6953125, 40.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 34.0, 2.0, 0.0, 0.0, 0.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "27197", "Licence - Double diplôme - Licence Droit - Droits français et allemand - programme Sarrebruck", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27197&g_ta_cod=27197", 100.0, 0.0, 0.0),
(12109, "Public", "0291756B", "IFSI C.H. Morlaix", "29", "Finistère", "Bretagne", "Rennes", "Morlaix", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bretagne Occidentale - D.E Infirmier", "D.E secteur sanitaire", "", 64, 2248, 1895, 2248, 0, 419, 57, 493, 99, 256, 78, 1080, 0, 0, 0, 0, 0, 1971, 0, 0, 0, 405, 50, 448, 84, 222, 64, 896, 537, 64, 56, 63, 0, 1.0, 33.0, 50.0, 0, 8, 40, 12, 16, 12, 24, 0, 10, 20, 7, 3, 0.0, 6, 12, 12, 0, 0, 38, 38, 1.56, 51.56, 78.13, 87.5, 95.0, 95.0, 0, 20.0, 62.5, 0.0, 25.0, 50.0, 17.5, 7.5, 0.0, 30.0, 15.0, 40.0, 30.0, 30.0, 30.0, 155.0, 19.0, 62.0, 16.0, 148.0, "Tous les candidats", 878.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "23391", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23376&g_ta_cod=23391", 34.0, 39.0, 27.0),
(12110, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "Autre formation", "Avignon Université - CUPGE - Mathématique - Préparation aux écoles d'ingénieurs", "CUPGE - Sciences, technologie, santé", "", 40, 613, 193, 577, 0, 483, 73, 5, 2, 0, 0, 89, 36, 8, 0, 1, 27, 424, 6, 0, 0, 401, 60, 0, 0, 0, 0, 23, 263, 31, 7, 27, 4, 2.0, 22.0, 30.0, 0, 5, 28, 28, 0, 0, 3, 0, 0, 11, 12, 4, 1.0, 28, 0, 0, 0, 0, 23, 23, 6.45, 70.97, 96.77, 22.59765625, 82.09375, 82.09375, 0, 17.8984375, 90.296875, 0.0, 0.0, 39.296875, 42.8984375, 14.3, 3.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 253.0, 32.0, 0.0, 0.0, 10.0, "Tous les candidats", 415.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "10442", "CUPGE - Mathématique - Préparation aux écoles d'ingénieurs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10442&g_ta_cod=10442", 100.0, 0.0, 0.0),
(12111, "Public", "0420957M", "I.U.T de Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BUT", "I.U.T de Saint-Etienne - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", 161, 2620, 1274, 2498, 0, 1353, 227, 680, 205, 26, 13, 439, 122, 0, 74, 0, 48, 1634, 14, 0, 0, 1087, 168, 428, 111, 0, 0, 119, 1014, 148, 72, 144, 4, 46.0, 106.0, 137.0, 0, 39, 138, 85, 53, 0, 10, 1, 26, 93, 16, 2, 0.0, 68, 43, 0, 0, 0, 88, 88, 31.08, 71.62, 92.57, 48.59375, 63.796875, 63.796875, 0, 28.296875, 93.1875, 0.699951171875, 18.796875, 67.390625, 11.599609375, 1.4, 0.0, 61.59375, 49.296875, 38.3984375, 31.19921875, 0.0, 0.0, 567.0, 122.0, 0.0, 0.0, 87.0, "Tous les candidats sauf les Bac technologiques", 893.0, "Bacheliers technologiques toutes séries", 459, "", 0, "Liste d'appel propre à cette formation", 54.0, "5310", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5310&g_ta_cod=5310", 62.0, 38.0, 0.0),
(12112, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Lettres", "Licence - Arts-lettres-langues", "", 150, 592, 469, 499, 0, 355, 58, 18, 7, 20, 9, 106, 93, 18, 4, 7, 64, 499, 91, 0, 0, 355, 58, 18, 7, 20, 9, 106, 591, 100, 82, 71, 29, 68.0, 70.0, 88.0, 0, 12, 61, 50, 6, 5, 39, 1, 24, 24, 10, 2, 0.0, 34, 0, 2, 0, 0, 54, 54, 68.0, 70.0, 88.0, 82.0, 88.5, 88.5, 0, 19.69921875, 61.0, 1.599853515625, 39.296875, 39.296875, 16.3984375, 3.3, 0.0, 82.0, 55.6953125, 9.798828125, 0.0, 8.19921875, 3.2998046875, 374.0, 60.0, 26.0, 11.0, 169.0, "Tous les candidats", 499.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4896", "Licence - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4896&g_ta_cod=4896", 77.0, 11.0, 12.0),
(12113, "Public", "0141234R", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Caen", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Caen - BUT - Gestion des entreprises et des administrations Parcours :  Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines -  Gestion, entrepreneuriat et management d'activités -  Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines -  Gestion, entrepreneuriat et management d'activités -  Contrôle de gestion et pilotage de la performance", 158, 2352, 1153, 2334, 0, 1297, 166, 597, 134, 20, 4, 420, 18, 0, 12, 0, 6, 1520, 2, 0, 0, 944, 103, 374, 74, 0, 0, 202, 749, 147, 71, 146, 1, 80.0, 129.0, 139.0, 0, 21, 133, 72, 61, 0, 14, 0, 17, 71, 38, 7, 0.0, 65, 51, 0, 0, 0, 107, 107, 54.42, 87.76, 94.56, 48.296875, 80.5, 80.5, 0, 15.798828125, 90.5, 0.0, 12.798828125, 53.3984375, 28.59765625, 5.3, 0.0, 54.09375, 48.8984375, 45.8984375, 38.296875, 0.0, 0.0, 355.0, 62.0, 0.0, 0.0, 81.0, "Tous les candidats sauf les Bac technologiques", 499.0, "Bacheliers technologiques toutes séries", 391, "", 0, "Liste d'appel propre à cette formation", 38.0, "2856", "BUT - Gestion des entreprises et des administrations Parcours :  Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines -  Gestion, entrepreneuriat et management d'activités -  Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2856&g_ta_cod=2856", 56.0, 44.0, 0.0),
(12114, "Privé sous contrat d'association", "0383208F", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Corenc", "formation sélective", "BTS", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY - BTS - Services - Gestion de la PME", "BTS - Services", "", 30, 275, 150, 235, 0, 29, 4, 95, 19, 42, 11, 69, 40, 1, 10, 11, 18, 190, 10, 0, 0, 29, 4, 91, 17, 36, 8, 34, 177, 19, 11, 16, 3, 3.0, 14.0, 17.0, 0, 1, 12, 2, 9, 1, 7, 1, 3, 8, 0, 0, 0.0, 1, 6, 1, 1, 1, 11, 11, 15.79, 73.68, 89.47, 57.8984375, 91.6875, 91.6875, 8.298828125, 8.298828125, 63.1953125, 8.298828125, 25.0, 66.6875, 0.0, 0.0, 0.0, 16.69921875, 8.298828125, 75.0, 50.0, 8.298828125, 8.298828125, 29.0, 4.0, 34.0, 7.0, 29.0, "Tous les candidats sauf les Bac professionnels", 150.0, "Bacheliers professionnels toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 80.0, "5097", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5097&g_ta_cod=5097", 21.0, 74.0, 5.0),
(12115, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 646, 2730, 1959, 2657, 0, 1973, 383, 207, 63, 31, 15, 446, 73, 22, 4, 0, 47, 2655, 63, 0, 0, 1973, 383, 207, 63, 31, 15, 444, 1949, 638, 450, 597, 41, 180.0, 544.0, 572.0, 0, 109, 555, 505, 45, 5, 83, 1, 132, 213, 164, 38, 7.0, 400, 20, 2, 0, 0, 525, 525, 28.21, 85.27, 89.66, 70.5, 94.59375, 94.59375, 0, 19.59765625, 87.0, 0.199981689453125, 23.796875, 38.3984375, 29.5, 6.8, 1.3, 91.0, 72.09375, 8.099609375, 3.599609375, 0.89990234375, 0.39996337890625, 1487.0, 282.0, 15.0, 8.0, 327.0, "Tous les candidats", 2537.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 90.0, "15261", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27701&g_ta_cod=15261", 89.0, 8.0, 2.0),
(12116, "Privé sous contrat d'association", "0810100U", "Lycée professionnel Saint-Dominique", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "BTS", "Lycée professionnel Saint-Dominique - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 18, 201, 52, 180, 0, 9, 2, 27, 7, 42, 13, 102, 21, 0, 3, 10, 8, 72, 8, 0, 0, 8, 2, 22, 3, 34, 11, 8, 71, 13, 1, 11, 2, 2.0, 11.0, 13.0, 0, 4, 12, 2, 4, 6, 1, 0, 8, 3, 1, 0, 0.0, 0, 1, 3, 1, 0, 11, 11, 15.38, 84.62, 100.0, 7.69921875, 91.6875, 91.6875, 8.298828125, 33.296875, 92.296875, 0.0, 66.6875, 25.0, 8.298828125, 0.0, 0.0, 16.69921875, 0.0, 33.296875, 8.298828125, 50.0, 25.0, 7.0, 2.0, 34.0, 13.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers technologiques toutes séries", 26, "Bacheliers professionnels toutes séries", 36, "Liste d'appel propre à cette formation", 40.0, "30070", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30070&g_ta_cod=30070", 15.0, 31.0, 54.0),
(12117, "Public", "0594375K", "Lycée professionnel DINAH DERYCKE", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "Autre formation", "Lycée professionnel DINAH DERYCKE - Mention complémentaire - Dispositif SAS - Préparation à l'apprentissage", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 5, 2, 0, 0, 0.0, 0.0, 1.0, 0, 3, 5, 0, 1, 4, 0, 0, 4, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 5, 5, 0.0, 0.0, 20.0, 40.0, 100.0, 100.0, 0, 60.0, 100.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 20.0, 0.0, 80.0, 20.0, 2.0, 0.0, 10.0, 7.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34992", "Mention complémentaire - Dispositif SAS - Préparation à l'apprentissage", "", "", 0.0, 20.0, 80.0),
(12118, "Public", "9741231V", "Lycée Marie Curie", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Benoît", "formation sélective", "Autre formation", "Lycée Marie Curie - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 15, 403, 284, 403, 0, 119, 50, 132, 79, 13, 7, 139, 0, 0, 0, 0, 0, 196, 0, 0, 0, 80, 28, 65, 37, 0, 0, 51, 54, 16, 12, 16, 0, 2.0, 12.0, 15.0, 0, 6, 15, 9, 6, 0, 1, 0, 0, 9, 6, 0, 0.0, 9, 6, 0, 0, 0, 15, 15, 12.5, 75.0, 93.75, 75.0, 100.0, 100.0, 0, 40.0, 93.796875, 0.0, 0.0, 60.0, 40.0, 0.0, 0.0, 60.0, 60.0, 40.0, 40.0, 0.0, 0.0, 27.0, 9.0, 0.0, 0.0, 10.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "11976", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11976&g_ta_cod=11976", 56.0, 44.0, 0.0),
(12119, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Langues étrangères appliquées - Parcours Anglais - Espagnol", "Licence - Arts-lettres-langues", "Anglais - Espagnol", 120, 588, 431, 493, 0, 327, 108, 51, 22, 19, 10, 96, 95, 21, 7, 4, 63, 491, 86, 0, 0, 327, 108, 51, 22, 19, 10, 94, 473, 91, 67, 71, 20, 29.0, 71.0, 81.0, 0, 17, 65, 55, 8, 2, 26, 1, 23, 20, 14, 6, 1.0, 37, 4, 0, 0, 0, 62, 62, 31.87, 78.02, 89.01, 73.59375, 95.390625, 95.390625, 0, 26.19921875, 71.390625, 1.5, 35.3984375, 30.796875, 21.5, 9.2, 1.5, 84.59375, 56.8984375, 12.298828125, 6.19921875, 3.099609375, 0.0, 285.0, 86.0, 18.0, 9.0, 129.0, "Tous les candidats", 491.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7037", "Licence - Langues étrangères appliquées - Parcours Anglais - Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7037&g_ta_cod=7037", 85.0, 11.0, 4.0),
(12120, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail LLCER ESPAGNOL / Lettres", "Licence - Arts-lettres-langues", "LLCER ESPAGNOL / Lettres : Langues, littératures & civilisations étrangères et régionales", 25, 89, 71, 73, 0, 57, 18, 4, 2, 1, 0, 11, 16, 5, 0, 1, 10, 73, 14, 0, 0, 57, 18, 4, 2, 1, 0, 11, 87, 9, 7, 7, 2, 7.0, 7.0, 9.0, 0, 2, 6, 5, 0, 1, 3, 0, 0, 5, 1, 0, 0.0, 5, 0, 1, 0, 0, 4, 4, 77.78, 77.78, 100.0, 77.796875, 66.6875, 66.6875, 0, 33.296875, 66.6875, 0.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 83.296875, 83.296875, 0.0, 0.0, 16.69921875, 16.69921875, 62.0, 19.0, 2.0, 0.0, 19.0, "Tous les candidats", 87.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23873", "Licence - Portail LLCER ESPAGNOL / Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23871&g_ta_cod=23873", 89.0, 0.0, 11.0),
(12121, "Privé sous contrat d'association", "0931796X", "Lycée ORT DANIEL MAYER", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "BTS", "Lycée ORT DANIEL MAYER - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 30, 569, 367, 403, 0, 110, 31, 69, 33, 71, 29, 153, 166, 28, 20, 20, 98, 118, 40, 0, 0, 38, 10, 8, 3, 20, 5, 52, 141, 24, 19, 12, 12, 5.0, 12.0, 19.0, 0, 1, 11, 6, 0, 5, 13, 0, 2, 5, 4, 0, 0.0, 4, 0, 5, 0, 0, 5, 11, 20.83, 50.0, 79.17, 79.1875, 45.5, 100.0, 0, 9.099609375, 45.796875, 0.0, 18.19921875, 45.5, 36.3984375, 0.0, 0.0, 54.5, 36.3984375, 0.0, 0.0, 45.5, 45.5, 48.0, 10.0, 14.0, 5.0, 71.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 85.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 29.0, "11285", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11285&g_ta_cod=11285", 67.0, 13.0, 21.0),
(12122, "Public", "0750675B", "Lycée Voltaire", "75", "Paris", "Ile-de-France", "Paris", "Paris 11e  Arrondissement", "formation sélective", "CPGE", "Lycée Voltaire - CPGE - PTSI", "Classe préparatoire scientifique", "", 45, 978, 210, 965, 142, 749, 130, 2, 1, 0, 0, 214, 13, 8, 0, 0, 5, 693, 4, 120, 640, 632, 102, 0, 0, 0, 0, 61, 454, 40, 7, 39, 1, 4.0, 22.0, 37.0, 2, 7, 39, 39, 0, 0, 1, 0, 4, 26, 8, 1, 0.0, 35, 0, 0, 2, 1, 11, 36, 10.0, 55.0, 92.5, 17.5, 28.19921875, 92.296875, 5.099609375, 17.8984375, 97.5, 0.0, 10.298828125, 66.6875, 20.5, 2.6, 0.0, 100.0, 89.6875, 0.0, 0.0, 0.0, 0.0, 427.0, 63.0, 0.0, 0.0, 27.0, "Tous les candidats", 603.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "9024", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9024&g_ta_cod=9024", 100.0, 0.0, 0.0),
(12123, "Public", "0840005Z", "Lycée Philippe de Girard", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée Philippe de Girard - BTS - Services - Economie sociale familiale", "BTS - Services", "", 45, 981, 859, 976, 0, 101, 47, 260, 122, 281, 128, 334, 5, 0, 0, 0, 5, 580, 2, 0, 0, 94, 41, 182, 78, 168, 74, 136, 232, 41, 37, 41, 0, 5.0, 26.0, 34.0, 0, 14, 28, 8, 11, 9, 13, 0, 13, 14, 1, 0, 0.0, 3, 4, 8, 2, 2, 20, 20, 12.2, 63.41, 82.93, 90.1875, 71.390625, 71.390625, 7.099609375, 50.0, 68.296875, 0.0, 46.3984375, 50.0, 3.599609375, 0.0, 0.0, 28.59765625, 10.69921875, 39.296875, 14.298828125, 32.09375, 28.59765625, 50.0, 22.0, 44.0, 24.0, 57.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 131.0, "Bacheliers technologiques toutes séries", 152, "Bacheliers professionnels toutes séries", 57, "Liste d'appel propre à cette formation", 35.0, "23928", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23928&g_ta_cod=23928", 32.0, 41.0, 27.0),
(12124, "Privé sous contrat d'association", "0741624N", "Institut Régional et Européen des métiers de l'Intervention Sociale Rhône-Alpes - IREIS", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "EFTS", "Institut Régional et Européen des métiers de l'Intervention Sociale Rhône-Alpes- IREIS - D.E Educateur Spécialisé", "D.E secteur social", "", 27, 273, 223, 273, 0, 38, 3, 42, 4, 25, 5, 168, 0, 0, 0, 0, 0, 184, 0, 0, 0, 25, 1, 24, 1, 13, 1, 122, 72, 25, 22, 25, 0, 11.0, 22.0, 24.0, 0, 0, 5, 3, 2, 0, 20, 0, 0, 4, 1, 0, 0.0, 3, 2, 0, 0, 0, 5, 5, 44.0, 88.0, 96.0, 88.0, 100.0, 100.0, 0, 0.0, 20.0, 0.0, 0.0, 80.0, 20.0, 0.0, 0.0, 60.0, 60.0, 40.0, 40.0, 0.0, 0.0, 9.0, 1.0, 1.0, 0.0, 52.0, "Tous les candidats", 113.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "23429", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24810&g_ta_cod=23429", 64.0, 20.0, 16.0),
(12125, "Privé sous contrat d'association", "0492420P", "LPO SAINT AUBIN LA SALLE", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Verrières-en-Anjou", "formation sélective", "BTS", "LPO SAINT AUBIN LA SALLE - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 15, 92, 4, 88, 0, 8, 2, 40, 3, 24, 2, 16, 4, 1, 0, 0, 3, 83, 2, 0, 0, 8, 2, 40, 3, 24, 2, 11, 47, 14, 0, 13, 1, 6.0, 11.0, 13.0, 0, 1, 13, 2, 5, 6, 1, 0, 5, 5, 2, 1, 0.0, 0, 4, 4, 11, 0, 13, 13, 42.86, 78.57, 92.86, 0.0, 100.0, 100.0, 84.59375, 7.69921875, 92.890625, 0.0, 38.5, 38.5, 15.3984375, 7.7, 0.0, 15.3984375, 0.0, 38.5, 30.796875, 46.1953125, 30.796875, 2.0, 1.0, 16.0, 1.0, 6.0, "Tous les candidats sauf les Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 91.0, "13068", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13068&g_ta_cod=13068", 14.0, 43.0, 43.0),
(12126, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Institutions et société  ? Programme International MINERVE", "Licence - Sciences humaines et sociales", "Institutions et société  ? Programme International MINERVE", 320, 3422, 2320, 3422, 0, 2786, 437, 85, 22, 16, 7, 535, 0, 0, 0, 0, 0, 3422, 0, 0, 0, 2786, 437, 85, 22, 16, 7, 535, 1624, 331, 205, 331, 0, 29.0, 244.0, 290.0, 0, 34, 266, 251, 13, 2, 65, 2, 49, 90, 83, 37, 5.0, 208, 6, 1, 0, 0, 129, 129, 8.76, 73.72, 87.61, 61.8984375, 48.5, 48.5, 0, 12.798828125, 80.390625, 0.7999267578125, 18.3984375, 33.796875, 31.19921875, 13.9, 1.9, 94.390625, 78.1875, 4.8994140625, 2.2998046875, 0.7999267578125, 0.39996337890625, 1296.0, 210.0, 8.0, 4.0, 272.0, "Tous les candidats", 2103.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "17945", "Licence - Portail Institutions et société  ? Programme International MINERVE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17945&g_ta_cod=17945", 93.0, 5.0, 2.0),
(12127, "Public", "0720021G", "Lycée polyvalent d'Estournelles de Constant", "72", "Sarthe", "Pays de la Loire", "Nantes", "La Flèche", "formation sélective", "BTS", "Lycée polyvalent d'Estournelles de Constant - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 19, 104, 1, 104, 0, 2, 0, 24, 5, 60, 14, 18, 0, 0, 0, 0, 0, 95, 0, 0, 0, 2, 0, 24, 5, 57, 13, 12, 68, 19, 1, 19, 0, 4.0, 16.0, 18.0, 0, 2, 17, 0, 6, 11, 2, 0, 6, 8, 3, 0, 0.0, 0, 2, 9, 16, 1, 17, 17, 21.05, 84.21, 94.74, 5.2998046875, 100.0, 100.0, 94.09375, 11.798828125, 89.5, 0.0, 35.296875, 47.09375, 17.59765625, 0.0, 0.0, 0.0, 0.0, 35.296875, 11.798828125, 64.6875, 52.8984375, 2.0, 0.0, 35.0, 8.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 73.0, "8688", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8688&g_ta_cod=8688", 0.0, 32.0, 68.0),
(12128, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues étrangères appliquées - Parcours LEA Anglais-Espagnol", "Licence - Arts-lettres-langues", "LEA Anglais-Espagnol", 343, 1735, 1298, 1557, 0, 991, 264, 170, 81, 53, 28, 343, 178, 26, 12, 9, 131, 1552, 162, 0, 0, 991, 264, 170, 81, 53, 28, 338, 1518, 315, 209, 255, 57, 138.0, 235.0, 266.0, 0, 74, 229, 180, 33, 16, 86, 3, 82, 93, 45, 6, 0.0, 121, 14, 9, 0, 0, 154, 154, 43.81, 74.6, 84.44, 66.296875, 67.1875, 67.1875, 0, 32.296875, 72.6875, 1.2998046875, 35.796875, 40.59375, 19.69921875, 2.6, 0.0, 78.59375, 52.796875, 14.3984375, 6.099609375, 7.0, 3.89990234375, 931.0, 246.0, 55.0, 30.0, 368.0, "Tous les candidats", 1552.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2740", "Licence - Langues étrangères appliquées - Parcours LEA Anglais-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2740&g_ta_cod=2740", 77.0, 15.0, 7.0),
(12129, "Public", "0590072H", "Lycée De L'Europe", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "Lycée De L'Europe - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 15, 81, 3, 77, 0, 3, 2, 18, 6, 33, 16, 23, 4, 0, 0, 4, 0, 74, 2, 0, 0, 3, 2, 18, 6, 33, 16, 20, 50, 10, 0, 10, 0, 4.0, 9.0, 9.0, 0, 5, 8, 0, 3, 5, 2, 0, 2, 3, 3, 0, 0.0, 0, 2, 4, 3, 0, 7, 7, 40.0, 90.0, 90.0, 0.0, 87.5, 87.5, 37.5, 62.5, 80.0, 0.0, 25.0, 37.5, 37.5, 0.0, 0.0, 0.0, 0.0, 37.5, 25.0, 62.5, 50.0, 3.0, 2.0, 31.0, 17.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 66.0, "6754", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6754&g_ta_cod=6754", 0.0, 40.0, 60.0),
(12130, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues étrangères appliquées - Parcours Espagnol - Italien", "Licence - Arts-lettres-langues", "Espagnol - Italien", 22, 102, 71, 48, 0, 19, 6, 7, 3, 4, 4, 18, 54, 6, 3, 3, 42, 47, 49, 0, 0, 19, 6, 7, 3, 4, 4, 17, 92, 21, 14, 6, 15, 2.0, 6.0, 18.0, 0, 3, 6, 4, 0, 2, 15, 0, 4, 2, 0, 0, 0.0, 1, 0, 1, 0, 0, 3, 3, 9.52, 28.57, 85.71, 66.6875, 50.0, 50.0, 0, 50.0, 28.59765625, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 16.69921875, 0.0, 0.0, 33.296875, 16.69921875, 25.0, 8.0, 6.0, 4.0, 52.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "4578", "Licence - Langues étrangères appliquées - Parcours Espagnol - Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4578&g_ta_cod=4578", 62.0, 19.0, 19.0),
(12131, "Public", "9710003B", "Lycée Baimbridge", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "CPGE", "Lycée Baimbridge - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 25, 68, 36, 68, 18, 0, 0, 67, 35, 0, 0, 1, 0, 0, 0, 0, 0, 64, 0, 18, 61, 0, 0, 64, 34, 0, 0, 0, 52, 23, 16, 23, 0, 17.0, 23.0, 23.0, 6, 17, 23, 0, 23, 0, 0, 0, 2, 14, 5, 2, 0.0, 0, 21, 0, 6, 4, 23, 23, 73.91, 100.0, 100.0, 69.59375, 100.0, 100.0, 26.09765625, 73.890625, 100.0, 0.0, 8.69921875, 60.8984375, 21.69921875, 8.7, 0.0, 0.0, 0.0, 100.0, 91.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "11736", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11736&g_ta_cod=11736", 0.0, 100.0, 0.0),
(12132, "Public", "0390987L", "IFSI CH Dole", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Dole", "formation sélective", "IFSI", "Regroupement d'IFSI Université Franche-Comté Besançon - D.E Infirmier", "D.E secteur sanitaire", "", 62, 2368, 2041, 2368, 0, 439, 77, 458, 102, 261, 75, 1210, 0, 0, 0, 0, 0, 2064, 0, 0, 0, 413, 71, 408, 86, 200, 55, 1043, 574, 62, 54, 62, 0, 1.0, 23.0, 39.0, 0, 7, 24, 7, 14, 3, 38, 0, 5, 13, 6, 0, 0.0, 3, 13, 3, 0, 0, 13, 13, 1.61, 37.1, 62.9, 87.09375, 54.1953125, 54.1953125, 0, 29.19921875, 38.6953125, 0.0, 20.796875, 54.1953125, 25.0, 0.0, 0.0, 29.19921875, 12.5, 58.296875, 54.1953125, 12.5, 12.5, 130.0, 23.0, 46.0, 18.0, 300.0, "Tous les candidats", 1134.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "23114", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22990&g_ta_cod=23114", 42.0, 42.0, 16.0),
(12133, "Privé sous contrat d'association", "0753890W", "Lycée Charles Peguy", "75", "Paris", "Ile-de-France", "Paris", "Paris 11e  Arrondissement", "formation sélective", "BTS", "Lycée Charles Peguy - BTS - Services - Commerce International", "BTS - Services", "", 28, 1025, 498, 1025, 0, 433, 53, 319, 60, 26, 13, 247, 0, 0, 0, 0, 0, 322, 0, 0, 0, 154, 12, 103, 17, 7, 3, 58, 148, 27, 14, 27, 0, 5.0, 23.0, 26.0, 0, 2, 18, 12, 5, 1, 9, 0, 2, 12, 4, 0, 0.0, 11, 4, 1, 2, 0, 6, 14, 18.52, 85.19, 96.3, 51.8984375, 33.296875, 77.796875, 11.099609375, 11.099609375, 66.6875, 0.0, 11.099609375, 66.6875, 22.19921875, 0.0, 0.0, 66.6875, 61.09375, 27.796875, 22.19921875, 5.599609375, 5.599609375, 71.0, 4.0, 1.0, 1.0, 36.0, "Tous les candidats sauf les Bac professionnels", 247.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 24.0, "9476", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9476&g_ta_cod=9476", 78.0, 19.0, 4.0),
(12134, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Science politique", "Licence - Droit-économie-gestion", "", 500, 5168, 3096, 5168, 0, 4201, 649, 67, 28, 17, 7, 883, 0, 0, 0, 0, 0, 5166, 0, 0, 0, 4201, 649, 67, 28, 17, 7, 881, 2020, 497, 316, 497, 0, 218.0, 434.0, 467.0, 0, 66, 485, 481, 3, 1, 12, 2, 2, 85, 262, 130, 4.0, 477, 3, 1, 0, 0, 140, 140, 43.86, 87.32, 93.96, 63.59375, 28.8984375, 28.8984375, 0, 13.599609375, 97.59375, 0.39996337890625, 0.39996337890625, 17.5, 54.0, 26.8, 0.8, 99.1875, 98.390625, 0.5999755859375, 0.5999755859375, 0.199981689453125, 0.199981689453125, 1919.0, 268.0, 2.0, 1.0, 89.0, "Tous les candidats", 2315.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "20949", "Licence - Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20949&g_ta_cod=20949", 99.0, 1.0, 0.0),
(12135, "Privé sous contrat d'association", "0720825F", "Lycée professionnel Joseph Roussel", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "Autre formation", "Lycée professionnel Joseph Roussel - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 84, 20, 59, 0, 11, 3, 10, 1, 30, 11, 8, 25, 9, 4, 8, 4, 38, 14, 0, 0, 6, 0, 5, 0, 24, 7, 3, 48, 13, 1, 7, 6, 3.0, 7.0, 11.0, 0, 3, 12, 2, 1, 9, 1, 0, 8, 3, 0, 1, 0.0, 0, 0, 4, 0, 0, 6, 6, 23.08, 53.85, 84.62, 7.69921875, 50.0, 50.0, 0, 25.0, 92.296875, 0.0, 66.6875, 25.0, 0.0, 8.3, 0.0, 16.69921875, 0.0, 8.298828125, 0.0, 75.0, 33.296875, 12.0, 0.0, 26.0, 9.0, 5.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "24775", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24775&g_ta_cod=24775", 15.0, 8.0, 77.0),
(12136, "Public", "0210019G", "Lycée Le Castel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Le Castel - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 482, 335, 482, 0, 31, 8, 211, 79, 118, 43, 122, 0, 0, 0, 0, 0, 363, 0, 0, 0, 29, 8, 177, 61, 88, 34, 69, 141, 21, 15, 21, 0, 1.0, 15.0, 18.0, 0, 4, 14, 0, 7, 7, 7, 0, 4, 8, 2, 0, 0.0, 0, 4, 6, 2, 2, 12, 12, 4.76, 71.43, 85.71, 71.390625, 85.6875, 85.6875, 14.298828125, 28.59765625, 66.6875, 0.0, 28.59765625, 57.09375, 14.298828125, 0.0, 0.0, 0.0, 0.0, 50.0, 28.59765625, 50.0, 42.8984375, 10.0, 4.0, 38.0, 14.0, 35.0, "Tous les candidats sauf les Bac professionnels", 142.0, "Bacheliers professionnels toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 40.0, "3194", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3194&g_ta_cod=3194", 14.0, 43.0, 43.0),
(12137, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Information et communication", "Licence - Sciences humaines et sociales", "", 250, 1001, 683, 744, 0, 385, 153, 121, 72, 44, 40, 194, 257, 31, 29, 29, 168, 739, 140, 0, 0, 385, 153, 121, 72, 44, 40, 189, 812, 213, 133, 150, 63, 41.0, 146.0, 183.0, 0, 68, 127, 79, 31, 17, 86, 0, 64, 41, 18, 4, 0.0, 44, 10, 9, 0, 0, 100, 100, 19.25, 68.54, 85.92, 62.3984375, 78.6875, 78.6875, 0, 53.5, 59.59375, 0.0, 50.3984375, 32.296875, 14.19921875, 3.1, 0.0, 62.1953125, 34.59375, 24.3984375, 7.8994140625, 13.3984375, 7.099609375, 382.0, 153.0, 48.0, 44.0, 248.0, "Tous les candidats", 739.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "27460", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27460&g_ta_cod=27460", 55.0, 28.0, 16.0),
(12138, "Public", "0480657D", "Lycée agricole De La Lozere", "48", "Lozère", "Occitanie", "Montpellier", "La Canourgue", "formation sélective", "BTS", "Lycée agricole De La Lozere - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 27, 237, 64, 224, 0, 22, 1, 62, 8, 32, 10, 108, 13, 2, 5, 1, 5, 129, 10, 0, 0, 22, 1, 62, 8, 32, 10, 13, 109, 11, 1, 6, 5, 3.0, 6.0, 10.0, 0, 1, 9, 2, 6, 1, 2, 0, 5, 3, 1, 0, 0.0, 2, 1, 1, 0, 0, 3, 3, 27.27, 54.55, 90.91, 9.099609375, 33.296875, 33.296875, 0, 11.099609375, 81.796875, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 22.19921875, 22.19921875, 66.6875, 11.099609375, 11.099609375, 11.099609375, 21.0, 1.0, 24.0, 8.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 69, "Liste d'appel propre à cette formation", 58.0, "5813", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5813&g_ta_cod=5813", 27.0, 64.0, 9.0),
(12139, "Privé sous contrat d'association", "0911264E", "Institut et Centre d'Optométrie", "91", "Essonne", "Ile-de-France", "Versailles", "Bures-sur-Yvette", "formation sélective", "BTS", "Institut et Centre d'Optométrie - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 96, 521, 344, 424, 0, 128, 17, 74, 16, 41, 14, 181, 97, 14, 21, 10, 52, 332, 57, 0, 0, 126, 17, 55, 12, 22, 5, 129, 360, 48, 29, 36, 12, 22.0, 35.0, 38.0, 0, 5, 27, 15, 10, 2, 21, 1, 12, 12, 2, 0, 0.0, 9, 4, 1, 0, 0, 10, 17, 45.83, 72.92, 79.17, 60.3984375, 37.0, 63.0, 0, 18.5, 56.296875, 3.69970703125, 44.3984375, 44.3984375, 7.3994140625, 0.0, 0.0, 55.59375, 33.296875, 37.0, 14.798828125, 7.3994140625, 3.69970703125, 130.0, 18.0, 19.0, 4.0, 147.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 239.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 78.0, "10929", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10929&g_ta_cod=10929", 63.0, 31.0, 6.0),
(12140, "Public", "0840218F", "Lycée professionnel agricole Viticole", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Orange", "formation sélective", "BTS", "Lycée professionnel agricole Viticole - BTS - Agricole - Viticulture-Oenologie", "BTS - Agricole", "", 27, 222, 70, 221, 0, 47, 6, 58, 8, 50, 10, 66, 1, 0, 0, 0, 1, 200, 0, 0, 0, 46, 6, 58, 8, 41, 7, 55, 132, 20, 9, 20, 0, 4.0, 16.0, 19.0, 0, 1, 11, 3, 3, 5, 9, 0, 4, 7, 0, 0, 0.0, 3, 1, 3, 4, 1, 6, 6, 20.0, 80.0, 95.0, 45.0, 54.5, 54.5, 36.3984375, 9.099609375, 55.0, 0.0, 36.3984375, 63.59375, 0.0, 0.0, 0.0, 27.296875, 27.296875, 27.296875, 9.099609375, 45.5, 27.296875, 27.0, 6.0, 32.0, 5.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 64.0, "Bacheliers technologiques toutes séries", 74, "Bacheliers professionnels toutes séries", 43, "Liste d'appel propre à cette formation", 82.0, "28900", "BTS - Agricole - Viticulture-Oenologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28900&g_ta_cod=28900", 40.0, 35.0, 25.0),
(12141, "Public", "0430113P", "LEGTPA Yssingeaux", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Yssingeaux", "formation sélective", "BTS", "LEGTPA Yssingeaux - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 28, 285, 131, 272, 0, 21, 3, 28, 1, 43, 21, 180, 13, 2, 1, 2, 8, 113, 8, 0, 0, 21, 3, 28, 1, 43, 21, 21, 100, 14, 10, 13, 1, 5.0, 13.0, 13.0, 0, 5, 10, 2, 1, 7, 4, 0, 5, 4, 1, 0, 0.0, 1, 1, 3, 1, 0, 5, 5, 35.71, 92.86, 92.86, 71.390625, 50.0, 50.0, 10, 50.0, 71.390625, 0.0, 50.0, 40.0, 10.0, 0.0, 0.0, 20.0, 10.0, 10.0, 10.0, 70.0, 30.0, 16.0, 2.0, 37.0, 19.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 42.0, "5408", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5408&g_ta_cod=5408", 43.0, 7.0, 50.0),
(12142, "Public", "0754475G", "Lycée Léonard de Vinci", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "BTS", "Lycée Léonard de Vinci - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 18, 453, 103, 427, 0, 36, 8, 104, 38, 195, 97, 92, 26, 15, 0, 0, 11, 288, 2, 0, 0, 35, 8, 60, 22, 141, 76, 52, 128, 19, 4, 18, 1, 2.0, 10.0, 14.0, 0, 10, 18, 5, 2, 11, 1, 0, 11, 5, 1, 1, 0.0, 0, 1, 6, 2, 0, 3, 16, 10.53, 52.63, 73.68, 21.09765625, 16.69921875, 88.890625, 11.099609375, 55.59375, 94.6875, 0.0, 61.09375, 27.796875, 5.599609375, 5.6, 0.0, 27.796875, 0.0, 11.099609375, 5.599609375, 61.09375, 33.296875, 30.0, 8.0, 68.0, 37.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 99, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 36.0, "9539", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9539&g_ta_cod=9539", 26.0, 16.0, 58.0),
(12143, "Public", "0941018W", "Lycée Edouard Branly", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 498, 12, 394, 0, 10, 3, 35, 15, 249, 114, 100, 104, 10, 26, 0, 68, 184, 15, 0, 0, 7, 2, 6, 1, 150, 67, 21, 111, 22, 0, 16, 5, 5.0, 14.0, 17.0, 0, 8, 19, 0, 3, 16, 3, 0, 4, 10, 5, 0, 0.0, 0, 0, 15, 7, 0, 18, 19, 22.73, 63.64, 77.27, 0.0, 94.6875, 100.0, 36.796875, 42.09375, 86.390625, 0.0, 21.09765625, 52.59375, 26.296875, 0.0, 0.0, 0.0, 0.0, 15.798828125, 0.0, 84.1875, 78.890625, 11.0, 2.0, 66.0, 27.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 116, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 35.0, "11467", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11467&g_ta_cod=11467", 0.0, 23.0, 77.0),
(12144, "Public", "0770924L", "Lycée Campus de Coulommiers", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Coulommiers", "formation sélective", "BTS", "Lycée Campus de Coulommiers - BTS - Production - Maintenance des matériels de construction et de manutention", "BTS - Production", "", 13, 76, 3, 76, 0, 5, 2, 9, 2, 21, 7, 41, 0, 0, 0, 0, 0, 43, 0, 0, 0, 3, 2, 7, 2, 21, 7, 12, 30, 14, 0, 14, 0, 8.0, 14.0, 14.0, 0, 2, 9, 0, 3, 6, 5, 0, 1, 6, 0, 2, 0.0, 0, 2, 6, 6, 0, 8, 8, 57.14, 100.0, 100.0, 0.0, 88.890625, 88.890625, 66.6875, 22.19921875, 64.296875, 0.0, 11.099609375, 66.6875, 0.0, 22.2, 0.0, 0.0, 0.0, 33.296875, 22.19921875, 66.6875, 66.6875, 3.0, 2.0, 16.0, 5.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 47.0, "9887", "BTS - Production - Maintenance des matériels de construction et de manutention", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9887&g_ta_cod=9887", 21.0, 29.0, 50.0),
(12145, "Public", "0781944P", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "PASS", "Université de Versailles - Saint Quentin en Yvelines - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 300, 5955, 4241, 5955, 0, 4742, 801, 131, 39, 27, 15, 1055, 0, 0, 0, 0, 0, 5870, 0, 0, 0, 4742, 801, 131, 39, 27, 15, 970, 1363, 298, 236, 298, 0, 37.0, 243.0, 275.0, 0, 32, 277, 274, 3, 0, 21, 1, 3, 60, 151, 57, 5.0, 270, 3, 0, 0, 0, 233, 271, 12.42, 81.54, 92.28, 79.1875, 84.09375, 97.796875, 0, 11.599609375, 93.0, 0.39996337890625, 1.099853515625, 21.69921875, 54.5, 20.6, 1.8, 98.890625, 97.5, 1.099853515625, 1.099853515625, 0.0, 0.0, 1265.0, 211.0, 9.0, 7.0, 78.0, "Tous les candidats", 2916.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "29791", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29162&g_ta_cod=29791", 98.0, 1.0, 1.0),
(12146, "Public", "0680053N", "I.U.T. de Colmar", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Colmar", "formation sélective", "BUT", "I.U.T. de Colmar - BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "BUT - Production", "Science du danger et management des risques professionnels technologiques et environnementaux", 52, 335, 97, 327, 0, 178, 13, 84, 8, 9, 3, 56, 8, 0, 3, 1, 4, 249, 2, 0, 0, 157, 10, 57, 3, 7, 3, 28, 153, 50, 11, 50, 0, 17.0, 38.0, 47.0, 0, 3, 47, 34, 12, 1, 3, 0, 18, 19, 9, 1, 0.0, 20, 8, 1, 0, 0, 25, 25, 34.0, 76.0, 94.0, 22.0, 53.1953125, 53.1953125, 0, 6.3994140625, 94.0, 0.0, 38.296875, 40.3984375, 19.09765625, 2.1, 0.0, 72.296875, 42.59375, 25.5, 17.0, 2.099609375, 2.099609375, 81.0, 6.0, 3.0, 2.0, 19.0, "Tous les candidats sauf les Bac technologiques", 146.0, "Bacheliers technologiques toutes séries", 61, "", 0, "Liste d'appel propre à cette formation", 63.0, "8110", "BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8110&g_ta_cod=8110", 72.0, 26.0, 2.0),
(12147, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Langues : Anglais - Chinois", "Licence - Arts-lettres-langues", "Langues : Anglais - Chinois", 95, 597, 452, 528, 0, 329, 87, 30, 15, 24, 12, 145, 69, 10, 6, 5, 48, 528, 29, 0, 0, 329, 87, 30, 15, 24, 12, 145, 445, 91, 66, 75, 16, 12.0, 73.0, 81.0, 0, 20, 58, 41, 7, 10, 33, 0, 19, 24, 8, 7, 0.0, 28, 4, 7, 0, 0, 16, 16, 13.19, 80.22, 89.01, 72.5, 27.59765625, 27.59765625, 0, 34.5, 63.6953125, 0.0, 32.796875, 41.3984375, 13.798828125, 12.1, 0.0, 70.6875, 48.296875, 12.099609375, 6.8994140625, 17.19921875, 12.099609375, 261.0, 69.0, 23.0, 12.0, 133.0, "Tous les candidats", 527.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8389", "Licence - Portail Langues : Anglais - Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8389&g_ta_cod=8389", 73.0, 14.0, 13.0),
(12148, "Public", "0761688X", "I.U.T du Havre", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BUT", "I.U.T du Havre - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maitrise de l'énergie - Automatisme et Informatique Industrielle", "BUT - Production", "Electricité et maitrise de l'énergie - Automatisme et Informatique Industrielle", 50, 446, 20, 421, 0, 188, 29, 141, 25, 8, 6, 84, 25, 4, 3, 1, 17, 279, 5, 0, 0, 153, 17, 97, 8, 0, 0, 29, 196, 41, 1, 38, 3, 15.0, 38.0, 38.0, 0, 4, 35, 15, 20, 0, 6, 0, 19, 10, 6, 0, 0.0, 4, 12, 0, 0, 0, 30, 30, 36.59, 92.68, 92.68, 2.39990234375, 85.6875, 85.6875, 0, 11.3984375, 85.390625, 0.0, 54.296875, 28.59765625, 17.09765625, 0.0, 0.0, 42.8984375, 11.3984375, 57.09375, 34.296875, 0.0, 0.0, 107.0, 13.0, 0.0, 0.0, 28.0, "Tous les candidats sauf les Bac technologiques", 173.0, "Bacheliers technologiques toutes séries", 104, "", 0, "Liste d'appel propre à cette formation", 66.0, "9652", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maitrise de l'énergie - Automatisme et Informatique Industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9652&g_ta_cod=9652", 44.0, 56.0, 0.0),
(12149, "Privé sous contrat d'association", "0241092G", "MAISON FAMILIALE RURALE", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BTS", "MAISON FAMILIALE RURALE - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 25, 128, 56, 124, 0, 10, 0, 5, 1, 25, 10, 84, 4, 0, 1, 0, 3, 66, 3, 0, 0, 10, 0, 5, 1, 25, 10, 26, 60, 11, 7, 11, 0, 5.0, 11.0, 11.0, 0, 2, 6, 2, 0, 4, 5, 0, 2, 4, 0, 0, 0.0, 0, 0, 4, 1, 1, 5, 5, 45.45, 100.0, 100.0, 63.59375, 83.296875, 83.296875, 16.69921875, 33.296875, 54.5, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 33.296875, 0.0, 0.0, 0.0, 66.6875, 66.6875, 10.0, 0.0, 25.0, 10.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers technologiques toutes séries", 8, "Bacheliers professionnels toutes séries", 29, "Liste d'appel propre à cette formation", 48.0, "28942", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28942&g_ta_cod=28942", 64.0, 0.0, 36.0),
(12150, "Privé hors contrat", "0271869K", "Instituts de formation La Musse", "27", "Eure", "Normandie", "Normandie", "Saint-Sébastien-de-Morsent", "formation sélective", "Autre formation", "Instituts de formation La Musse - D.E Ergothérapeute", "D.E secteur sanitaire", "", 36, 328, 275, 328, 0, 80, 6, 44, 4, 3, 0, 201, 0, 0, 0, 0, 0, 286, 0, 0, 0, 64, 5, 37, 3, 1, 0, 184, 69, 36, 32, 36, 0, 19.0, 28.0, 33.0, 0, 2, 4, 3, 1, 0, 32, 0, 0, 3, 0, 0, 1.0, 3, 1, 0, 0, 0, 0, 0, 52.78, 77.78, 91.67, 88.890625, 0.0, 0.0, 0, 50.0, 11.099609375, 0.0, 0.0, 75.0, 0.0, 0.0, 25.0, 75.0, 75.0, 25.0, 25.0, 0.0, 0.0, 6.0, 2.0, 0.0, 0.0, 60.0, "Tous les candidats", 74.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "26094", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26094&g_ta_cod=26094", 81.0, 19.0, 0.0),
(12151, "Public", "0710010A", "Lycée Mathias", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Chalon-sur-Saône", "formation sélective", "Autre formation", "Lycée Mathias - Diplôme de Comptabilité et de Gestion", "DCG", "", 40, 565, 238, 455, 0, 124, 33, 52, 15, 7, 2, 272, 110, 14, 17, 3, 76, 186, 17, 0, 0, 109, 27, 45, 13, 0, 0, 32, 165, 22, 6, 20, 2, 10.0, 20.0, 22.0, 0, 4, 15, 11, 4, 0, 7, 0, 3, 5, 6, 1, 0.0, 8, 4, 0, 0, 0, 13, 13, 45.45, 90.91, 100.0, 27.296875, 86.6875, 86.6875, 0, 26.69921875, 68.1875, 0.0, 20.0, 33.296875, 40.0, 6.7, 0.0, 73.296875, 53.296875, 26.69921875, 26.69921875, 0.0, 0.0, 89.0, 20.0, 0.0, 0.0, 36.0, "Tous les candidats", 186.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "8618", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8618&g_ta_cod=8618", 73.0, 27.0, 0.0),
(12152, "Public", "0490068H", "Ecole supérieure d'art et de design TALM-Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "Concours TALM - Diplôme National d'Art option design - Concours DESIGN", "Diplôme National d'Art", "Concours DESIGN", 30, 253, 192, 253, 0, 125, 12, 16, 2, 1, 0, 111, 0, 0, 0, 0, 0, 183, 0, 0, 0, 86, 10, 12, 2, 1, 0, 84, 72, 30, 21, 30, 0, 6.0, 23.0, 29.0, 0, 2, 14, 11, 3, 0, 16, 0, 1, 5, 6, 2, 0.0, 10, 3, 0, 0, 0, 8, 8, 20.0, 76.67, 96.67, 70.0, 57.09375, 57.09375, 0, 14.298828125, 46.6953125, 0.0, 7.099609375, 35.6953125, 42.8984375, 14.3, 0.0, 78.59375, 71.390625, 21.3984375, 21.3984375, 0.0, 0.0, 21.0, 5.0, 1.0, 0.0, 45.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "25236", "Diplôme National d'Art option design - Concours DESIGN", "Concours TALM", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25235&g_ta_cod=25236", 77.0, 17.0, 7.0),
(12153, "Privé enseignement supérieur", "0061770S", "EDHEC Nice", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Ecole de Commerce", "Concours PASS - Formation des écoles de commerce et de management Bac + 4", "Formation des écoles de commerce et de management", "International BBA -Parcours Global Business - Nice/USA/Singapour", 50, 1697, 824, 1697, 0, 1469, 38, 79, 4, 2, 1, 147, 0, 0, 0, 0, 0, 306, 0, 0, 0, 288, 8, 5, 1, 0, 0, 13, 162, 52, 34, 52, 0, 33.0, 41.0, 43.0, 0, 2, 49, 48, 1, 0, 3, 1, 0, 2, 23, 21, 2.0, 47, 1, 0, 0, 0, 2, 2, 63.46, 78.85, 82.69, 65.390625, 4.099609375, 4.099609375, 0, 4.099609375, 94.1875, 2.0, 0.0, 4.099609375, 46.8984375, 42.9, 4.1, 98.0, 95.890625, 2.0, 2.0, 0.0, 0.0, 153.0, 6.0, 0.0, 0.0, 7.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 9.0, "26367", "Formation des écoles de commerce et de management Bac + 4", "Concours PASS", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26356&g_ta_cod=26367", 98.0, 2.0, 0.0),
(12154, "Public", "0020050U", "Lycée Condorcet", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "BTS", "Lycée Condorcet - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 104, 7, 104, 0, 4, 1, 31, 5, 30, 10, 39, 0, 0, 0, 0, 0, 61, 0, 0, 0, 3, 1, 24, 4, 30, 10, 4, 41, 16, 1, 16, 0, 5.0, 15.0, 16.0, 0, 4, 16, 0, 6, 10, 0, 0, 5, 9, 2, 0, 0.0, 0, 5, 6, 3, 0, 15, 15, 31.25, 93.75, 100.0, 6.2998046875, 93.796875, 93.796875, 18.796875, 25.0, 100.0, 0.0, 31.296875, 56.296875, 12.5, 0.0, 0.0, 0.0, 0.0, 37.5, 31.296875, 62.5, 37.5, 2.0, 1.0, 24.0, 6.0, 1.0, "Tous les candidats sauf les Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 47.0, "2061", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2061&g_ta_cod=2061", 0.0, 38.0, 63.0),
(12155, "Privé sous contrat d'association", "0330207W", "I.R.T.S. NOUVELLE - AQUITAINE", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "EFTS", "I.R.T.S. NOUVELLE - AQUITAINE - D.E Educateur Spécialisé", "D.E secteur social", "", 84, 581, 473, 581, 0, 100, 7, 65, 6, 29, 6, 387, 0, 0, 0, 0, 0, 395, 0, 0, 0, 62, 5, 25, 4, 16, 2, 292, 130, 80, 66, 80, 0, 49.0, 71.0, 75.0, 0, 2, 14, 9, 2, 3, 66, 0, 4, 3, 6, 1, 0.0, 6, 1, 3, 0, 0, 10, 10, 61.25, 88.75, 93.75, 82.5, 71.390625, 71.390625, 0, 14.298828125, 17.5, 0.0, 28.59765625, 21.3984375, 42.8984375, 7.1, 0.0, 64.296875, 42.8984375, 14.298828125, 7.099609375, 21.3984375, 21.3984375, 11.0, 0.0, 3.0, 2.0, 112.0, "Tous les candidats", 124.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "24863", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24863&g_ta_cod=24863", 66.0, 16.0, 15.0),
(12156, "Public", "0680032R", "Lycée Michel De Montaigne", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "Autre formation", "Lycée Michel De Montaigne - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 27, 10, 5, 0, 0, 0.0, 0.0, 1.0, 0, 5, 10, 0, 1, 9, 0, 0, 8, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 10, 10, 0.0, 0.0, 10.0, 50.0, 100.0, 100.0, 0, 50.0, 100.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 10.0, 0.0, 90.0, 20.0, 0.0, 0.0, 23.0, 10.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25729", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 10.0, 90.0),
(12157, "Public", "0401100D", "Cnam Nouvelle-Aquitaine - antenne de Dax", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Dax", "formation sélective", "Autre formation", "Cnam Nouvelle-Aquitaine - antenne de Dax - Formation Supérieure de Spécialisation - Accompagnement de la personne âgée", "Diplôme d'Université", "Accompagnement de la personne âgée", 12, 16, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 4, 0, 4, 8, 0, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 2, 2, 0, 2, 0.0, 0.0, 1.0, 0, 1, 2, 1, 0, 1, 0, 0, 0, 2, 0, 0, 0.0, 1, 0, 1, 0, 0, 0, 0, 0.0, 0.0, 50.0, 100.0, 0.0, 0.0, 0, 50.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 50.0, 50.0, 4.0, 1.0, 6.0, 5.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34145", "Formation Supérieure de Spécialisation - Accompagnement de la personne âgée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34145&g_ta_cod=34145", 50.0, 0.0, 50.0),
(12158, "Privé sous contrat d'association", "0631075B", "Institution Saint Alyre", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Institution Saint Alyre - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 311, 188, 304, 0, 35, 6, 89, 25, 85, 37, 95, 7, 1, 0, 1, 5, 263, 2, 0, 0, 35, 6, 89, 25, 81, 34, 58, 138, 31, 18, 28, 1, 5.0, 24.0, 27.0, 0, 9, 23, 4, 7, 12, 8, 0, 11, 9, 3, 0, 0.0, 1, 4, 7, 5, 4, 21, 21, 16.13, 77.42, 87.1, 58.09375, 91.296875, 91.296875, 21.69921875, 39.09375, 74.1875, 0.0, 47.796875, 39.09375, 13.0, 0.0, 0.0, 17.3984375, 4.2998046875, 30.3984375, 17.3984375, 52.1953125, 30.3984375, 21.0, 5.0, 44.0, 23.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 80, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 65.0, "7615", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7615&g_ta_cod=7615", 26.0, 29.0, 45.0),
(12159, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence", "Avignon Université - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 120, 414, 172, 280, 0, 167, 39, 21, 6, 12, 7, 80, 134, 30, 17, 14, 73, 271, 127, 0, 0, 167, 39, 21, 6, 12, 7, 71, 380, 66, 22, 31, 35, 11.0, 31.0, 50.0, 0, 14, 42, 26, 10, 6, 24, 0, 22, 18, 2, 0, 0.0, 15, 4, 1, 0, 0, 27, 27, 16.67, 46.97, 75.76, 33.296875, 64.296875, 64.296875, 0, 33.296875, 63.59375, 0.0, 52.3984375, 42.8984375, 4.7998046875, 0.0, 0.0, 61.8984375, 35.6953125, 23.796875, 9.5, 14.298828125, 2.39990234375, 192.0, 45.0, 24.0, 15.0, 129.0, "Tous les candidats", 271.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "10453", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10453&g_ta_cod=10453", 59.0, 27.0, 14.0),
(12160, "Privé sous contrat d'association", "0593117T", "Lycée polyvalent privé La Salle", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Lycée polyvalent privé La Salle - Diplôme de Comptabilité et de Gestion", "DCG", "", 38, 515, 202, 450, 0, 190, 42, 78, 26, 3, 1, 179, 65, 11, 7, 0, 47, 206, 16, 0, 0, 139, 29, 38, 13, 1, 0, 28, 174, 30, 8, 26, 4, 11.0, 26.0, 29.0, 0, 4, 23, 19, 4, 0, 7, 0, 7, 10, 5, 1, 0.0, 12, 4, 0, 0, 0, 17, 17, 36.67, 86.67, 96.67, 26.69921875, 73.890625, 73.890625, 0, 17.3984375, 76.6875, 0.0, 30.3984375, 43.5, 21.69921875, 4.3, 0.0, 82.59375, 52.1953125, 17.3984375, 17.3984375, 0.0, 0.0, 123.0, 25.0, 0.0, 0.0, 33.0, "Tous les candidats", 206.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "17466", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17466&g_ta_cod=17466", 87.0, 13.0, 0.0),
(12161, "Privé sous contrat d'association", "0300125Y", "Lycée De La Salle", "30", "Gard", "Occitanie", "Montpellier", "Alès", "formation sélective", "BTS", "Lycée De La Salle - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 100, 6, 96, 0, 2, 0, 22, 6, 49, 14, 23, 4, 1, 0, 0, 3, 77, 2, 0, 0, 2, 0, 22, 6, 48, 14, 5, 49, 11, 0, 11, 0, 4.0, 10.0, 11.0, 0, 2, 11, 0, 1, 10, 0, 0, 5, 4, 2, 0, 0.0, 0, 1, 5, 10, 0, 10, 10, 36.36, 90.91, 100.0, 0.0, 90.890625, 90.890625, 90.890625, 18.19921875, 100.0, 0.0, 45.5, 36.3984375, 18.19921875, 0.0, 0.0, 0.0, 0.0, 9.099609375, 9.099609375, 90.890625, 45.5, 2.0, 0.0, 24.0, 5.0, 2.0, "Tous les candidats sauf les Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 65.0, "3972", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3972&g_ta_cod=3972", 0.0, 9.0, 91.0),
(12162, "Public", "0940137N", "Lycée professionnel La Source", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Nogent-sur-Marne", "formation sélective", "Autre formation", "Lycée professionnel La Source - DN MADE - Spectacle - - Spécialité : Concepteur / réalisateur de costumes", "DN MADE", "- Spécialité : Concepteur / réalisateur de costumes", 14, 431, 399, 431, 0, 94, 11, 118, 17, 60, 13, 159, 0, 0, 0, 0, 0, 118, 0, 0, 0, 29, 0, 46, 7, 10, 0, 33, 43, 14, 14, 14, 0, 3.0, 11.0, 13.0, 0, 2, 8, 2, 6, 0, 6, 0, 0, 0, 4, 2, 2.0, 2, 6, 0, 0, 0, 0, 2, 21.43, 78.57, 92.86, 100.0, 0.0, 25.0, 0, 25.0, 57.09375, 0.0, 0.0, 0.0, 50.0, 25.0, 25.0, 25.0, 25.0, 75.0, 75.0, 0.0, 0.0, 10.0, 0.0, 2.0, 0.0, 10.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "21918", "DN MADE - Spectacle - - Spécialité : Concepteur / réalisateur de costumes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21918&g_ta_cod=21918", 43.0, 43.0, 7.0),
(12163, "Privé sous contrat d'association", "0922116A", "Institut de travail social et de recherches sociales", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Montrouge", "formation sélective", "EFTS", "Institut de travail social et de recherches sociales - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 23, 206, 191, 192, 0, 31, 2, 41, 10, 29, 8, 91, 14, 2, 1, 3, 8, 172, 6, 0, 0, 31, 2, 38, 10, 28, 7, 75, 103, 23, 23, 20, 3, 3.0, 16.0, 20.0, 0, 4, 16, 4, 6, 6, 7, 0, 6, 5, 3, 2, 0.0, 2, 3, 5, 0, 0, 9, 14, 13.04, 69.57, 86.96, 100.0, 56.296875, 87.5, 0, 25.0, 69.59375, 0.0, 37.5, 31.296875, 18.796875, 12.5, 0.0, 25.0, 12.5, 37.5, 18.796875, 37.5, 31.296875, 18.0, 3.0, 23.0, 7.0, 38.0, "Tous les candidats", 245.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 90.0, "25303", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23560&g_ta_cod=25303", 39.0, 35.0, 26.0),
(12164, "Privé sous contrat d'association", "0783323N", "Lycée Saint Thomas de Villeneuve", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "BTS", "Lycée Saint Thomas de Villeneuve - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 258, 101, 166, 0, 24, 2, 50, 11, 34, 7, 58, 92, 1, 27, 23, 41, 111, 23, 0, 0, 24, 2, 40, 9, 24, 5, 23, 109, 25, 8, 17, 8, 10.0, 17.0, 22.0, 0, 1, 17, 3, 7, 7, 8, 0, 9, 5, 2, 1, 0.0, 0, 2, 6, 2, 2, 16, 17, 40.0, 68.0, 88.0, 32.0, 94.09375, 100.0, 11.798828125, 5.8994140625, 68.0, 0.0, 52.8984375, 29.3984375, 11.798828125, 5.9, 0.0, 17.59765625, 0.0, 41.1953125, 11.798828125, 41.1953125, 35.296875, 14.0, 2.0, 21.0, 4.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 66.0, "10079", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10079&g_ta_cod=10079", 32.0, 40.0, 28.0),
(12165, "Public", "0380035G", "Lycée des Métiers - Lesdiguieres", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "Autre formation", "Lycée des Métiers - Lesdiguieres - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 36, 309, 173, 259, 0, 110, 14, 33, 7, 23, 2, 93, 50, 10, 6, 6, 28, 155, 16, 0, 0, 103, 13, 27, 4, 0, 0, 25, 130, 33, 15, 26, 7, 7.0, 26.0, 30.0, 0, 2, 24, 18, 6, 0, 9, 2, 9, 10, 2, 1, 0.0, 10, 3, 0, 0, 0, 21, 21, 21.21, 78.79, 90.91, 45.5, 87.5, 87.5, 0, 8.298828125, 72.6875, 8.298828125, 37.5, 41.6953125, 8.298828125, 4.2, 0.0, 75.0, 41.6953125, 25.0, 12.5, 0.0, 0.0, 86.0, 11.0, 0.0, 0.0, 25.0, "Tous les candidats", 155.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "4946", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4946&g_ta_cod=4946", 79.0, 21.0, 0.0),
(12166, "Public", "0750685M", "Lycée Pierre-Gilles de Gennes - ENCPB", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Pierre-Gilles de Gennes - ENCPB - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 24, 569, 73, 452, 0, 24, 7, 154, 59, 98, 44, 176, 117, 19, 0, 32, 66, 211, 12, 0, 0, 12, 5, 110, 37, 59, 30, 30, 102, 23, 5, 18, 5, 7.0, 18.0, 22.0, 0, 10, 17, 1, 9, 7, 6, 0, 5, 8, 4, 0, 0.0, 1, 6, 5, 1, 1, 5, 17, 30.43, 78.26, 95.65, 21.69921875, 29.3984375, 100.0, 5.8994140625, 58.796875, 73.890625, 0.0, 29.3984375, 47.09375, 23.5, 0.0, 0.0, 5.8994140625, 5.8994140625, 52.8984375, 35.296875, 41.1953125, 29.3984375, 13.0, 5.0, 44.0, 19.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 29.0, "9075", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9075&g_ta_cod=9075", 22.0, 43.0, 35.0),
(12167, "Privé sous contrat d'association", "0690520R", "Lycée La Favorite Sainte Therese", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "BTS", "Lycée La Favorite Sainte Therese - BTS - Services - Support à l'action managériale", "BTS - Services", "", 26, 323, 220, 221, 0, 22, 2, 48, 12, 88, 28, 63, 102, 13, 13, 17, 59, 149, 29, 0, 0, 21, 2, 40, 11, 64, 20, 24, 151, 21, 13, 14, 6, 5.0, 12.0, 14.0, 0, 3, 12, 2, 4, 6, 9, 0, 6, 5, 1, 0, 0.0, 0, 2, 4, 1, 1, 11, 11, 23.81, 57.14, 66.67, 61.8984375, 91.6875, 91.6875, 8.298828125, 25.0, 57.09375, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 16.69921875, 0.0, 33.296875, 16.69921875, 50.0, 33.296875, 27.0, 3.0, 54.0, 17.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 67.0, "8283", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8283&g_ta_cod=8283", 14.0, 33.0, 52.0),
(12168, "Public", "0941777W", "IFSI Charles Foix (AP-HP)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Ivry-sur-Seine", "formation sélective", "IFSI", "Regroupement d'IFSI Médecine Sorbonne Université P6 - D.E Infirmier", "D.E secteur sanitaire", "", 164, 7861, 6849, 7861, 0, 848, 273, 1201, 492, 1096, 571, 4716, 0, 0, 0, 0, 0, 6541, 0, 0, 0, 820, 265, 1101, 445, 1020, 537, 3600, 1429, 164, 142, 162, 0, 0.0, 47.0, 159.0, 0, 16, 21, 6, 5, 10, 143, 0, 4, 12, 5, 0, 0.0, 3, 4, 10, 0, 0, 12, 18, 0.0, 28.66, 96.95, 86.59375, 57.09375, 85.6875, 0, 76.1875, 12.798828125, 0.0, 19.0, 57.09375, 23.796875, 0.0, 0.0, 28.59765625, 14.298828125, 23.796875, 19.0, 47.59375, 47.59375, 106.0, 72.0, 123.0, 110.0, 1129.0, "Tous les candidats", 3723.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "23289", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23003&g_ta_cod=23289", 24.0, 57.0, 18.0),
(12169, "Public", "0753268V", "Lycée Jean Lurcat", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Lurcat - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 5695, 2985, 5695, 0, 637, 176, 1779, 701, 1635, 836, 1644, 0, 0, 0, 0, 0, 2447, 0, 0, 0, 507, 134, 738, 285, 708, 342, 494, 235, 33, 19, 33, 0, 4.0, 24.0, 29.0, 0, 8, 21, 10, 5, 6, 12, 0, 2, 13, 5, 1, 0.0, 9, 4, 6, 2, 1, 9, 19, 12.12, 72.73, 87.88, 57.59375, 42.8984375, 90.5, 9.5, 38.09375, 63.59375, 0.0, 9.5, 61.8984375, 23.796875, 4.8, 0.0, 47.59375, 42.8984375, 23.796875, 19.0, 28.59765625, 28.59765625, 58.0, 22.0, 31.0, 9.0, 70.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 113.0, "Bacheliers professionnels toutes séries", 115, "Bacheliers technologiques toutes séries", 212, "Liste d'appel propre à cette formation", 8.0, "9377", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9377&g_ta_cod=9377", 30.0, 27.0, 42.0),
(12170, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "PASS", "Université de Tours - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 150, 3855, 2613, 3855, 0, 3201, 446, 38, 8, 12, 6, 604, 0, 0, 0, 0, 0, 3781, 0, 0, 0, 3201, 446, 38, 8, 12, 6, 530, 761, 150, 105, 150, 0, 17.0, 118.0, 147.0, 0, 29, 150, 150, 0, 0, 0, 0, 0, 13, 71, 57, 9.0, 150, 0, 0, 0, 0, 140, 140, 11.33, 78.67, 98.0, 70.0, 93.296875, 93.296875, 0, 19.296875, 100.0, 0.0, 0.0, 8.69921875, 47.296875, 38.0, 6.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 756.0, 102.0, 0.0, 0.0, 5.0, "Tous les candidats", 1595.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "27677", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27667&g_ta_cod=27677", 100.0, 0.0, 0.0),
(12171, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Licence", "Université Clermont Auvergne - Licence - Double diplôme - Licence Etudes européennes et internationales - Etudes européennes et internationales franco-allemandes, double diplôme Bachelor of Arts Deutsch-Französische Stüdien (Université de Regensburg)", "Licence - Arts-lettres-langues", "Etudes européennes et internationales franco-allemandes, double diplôme Bachelor of Arts Deutsch-Französische Stüdien (Université de Regensburg)", 30, 130, 99, 119, 0, 90, 11, 3, 1, 1, 0, 25, 11, 4, 0, 0, 7, 97, 4, 0, 0, 81, 6, 0, 0, 0, 0, 16, 101, 14, 10, 13, 1, 13.0, 13.0, 14.0, 0, 0, 14, 14, 0, 0, 0, 1, 0, 3, 7, 3, 0.0, 13, 0, 0, 0, 0, 3, 3, 92.86, 92.86, 100.0, 71.390625, 21.3984375, 21.3984375, 0, 0.0, 100.0, 7.099609375, 0.0, 21.3984375, 50.0, 21.4, 0.0, 100.0, 92.890625, 0.0, 0.0, 0.0, 0.0, 84.0, 6.0, 0.0, 0.0, 17.0, "Tous les candidats", 97.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "7645", "Licence - Double diplôme - Licence Etudes européennes et internationales - Etudes européennes et internationales franco-allemandes, double diplôme Bachelor of Arts Deutsch-Französische Stüdien (Université de Regensburg)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7645&g_ta_cod=7645", 100.0, 0.0, 0.0),
(12172, "Public", "0570058D", "Lycée Louis Vincent", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée Louis Vincent - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 224, 16, 224, 0, 9, 2, 101, 22, 42, 14, 72, 0, 0, 0, 0, 0, 224, 0, 0, 0, 9, 2, 101, 22, 42, 14, 72, 90, 24, 2, 24, 0, 4.0, 20.0, 20.0, 0, 5, 21, 2, 14, 5, 3, 0, 5, 12, 4, 0, 0.0, 0, 11, 5, 13, 0, 20, 20, 16.67, 83.33, 83.33, 8.298828125, 95.1875, 95.1875, 61.8984375, 23.796875, 87.5, 0.0, 23.796875, 57.09375, 19.0, 0.0, 0.0, 9.5, 0.0, 66.6875, 52.3984375, 23.796875, 23.796875, 4.0, 2.0, 29.0, 8.0, 9.0, "Tous les candidats sauf les Bac professionnels", 76.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 50.0, "6539", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6539&g_ta_cod=6539", 13.0, 58.0, 29.0),
(12173, "Public", "0770934X", "Lycée Leonard De Vinci", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation sélective", "Autre formation", "Lycée Leonard De Vinci - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 12, 50, 0, 37, 0, 0, 0, 0, 0, 35, 13, 2, 13, 0, 0, 10, 3, 23, 4, 0, 0, 0, 0, 0, 0, 22, 7, 1, 29, 6, 0, 6, 0, 2.0, 6.0, 6.0, 0, 2, 5, 0, 0, 5, 1, 0, 2, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 4, 5, 33.33, 100.0, 100.0, 0.0, 80.0, 100.0, 0, 40.0, 83.296875, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 27.0, 11.0, 1.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "13359", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13359&g_ta_cod=13359", 0.0, 0.0, 100.0),
(12174, "Privé sous contrat d'association", "0131684K", "Lycée Jeanne Perrimond", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  7e  Arrondissement", "formation sélective", "BTS", "Lycée Jeanne Perrimond - BTS - Services - Commerce International", "BTS - Services", "", 60, 906, 490, 906, 0, 369, 83, 225, 95, 67, 31, 245, 0, 0, 0, 0, 0, 444, 0, 0, 0, 228, 45, 137, 50, 27, 11, 52, 210, 56, 26, 56, 0, 14.0, 52.0, 53.0, 0, 18, 50, 29, 18, 3, 6, 0, 8, 33, 9, 0, 0.0, 25, 14, 3, 0, 0, 46, 46, 25.0, 92.86, 94.64, 46.3984375, 92.0, 92.0, 0, 36.0, 89.296875, 0.0, 16.0, 66.0, 18.0, 0.0, 0.0, 58.0, 50.0, 36.0, 28.0, 6.0, 6.0, 106.0, 33.0, 8.0, 3.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 166.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 29.0, "2665", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2665&g_ta_cod=2665", 63.0, 32.0, 5.0),
(12175, "Public", "0390809T", "Lycée professionnel agricole Lons-le-Saunier - Mancy", "39", "Jura", "Bourgogne-Franche-Comté", "Besancon", "Lons-le-Saunier", "formation sélective", "BTS", "Lycée professionnel agricole Lons-le-Saunier - Mancy - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 30, 311, 147, 304, 0, 17, 2, 28, 4, 46, 10, 213, 7, 0, 0, 0, 7, 89, 6, 0, 0, 17, 2, 23, 4, 42, 9, 7, 82, 24, 18, 21, 3, 11.0, 20.0, 21.0, 0, 2, 17, 2, 4, 11, 7, 0, 6, 7, 4, 0, 0.0, 1, 2, 8, 4, 4, 8, 8, 45.83, 83.33, 87.5, 75.0, 47.09375, 47.09375, 23.5, 11.798828125, 70.796875, 0.0, 35.296875, 41.1953125, 23.5, 0.0, 0.0, 11.798828125, 5.8994140625, 23.5, 11.798828125, 64.6875, 47.09375, 16.0, 2.0, 31.0, 6.0, 13.0, "Tous les candidats sauf les Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 27.0, "5171", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5171&g_ta_cod=5171", 21.0, 29.0, 46.0),
(12176, "Public", "0750692V", "Lycée Emile Dubois", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "BTS", "Lycée Emile Dubois - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 2428, 1472, 2428, 0, 139, 39, 687, 294, 856, 467, 746, 0, 0, 0, 0, 0, 1662, 0, 0, 0, 110, 30, 612, 266, 635, 339, 305, 255, 32, 23, 32, 0, 2.0, 18.0, 23.0, 0, 11, 24, 6, 7, 11, 8, 0, 9, 8, 6, 1, 0.0, 1, 5, 9, 0, 0, 6, 24, 6.25, 56.25, 71.88, 71.890625, 25.0, 100.0, 0, 45.796875, 75.0, 0.0, 37.5, 33.296875, 25.0, 4.2, 0.0, 25.0, 4.19921875, 29.19921875, 20.796875, 45.796875, 37.5, 33.0, 13.0, 69.0, 33.0, 66.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 65.0, "Bacheliers professionnels toutes séries", 184, "Bacheliers technologiques toutes séries", 171, "Liste d'appel propre à cette formation", 17.0, "9112", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9112&g_ta_cod=9112", 25.0, 22.0, 53.0),
(12177, "Privé enseignement supérieur", "0310147S", "INSTITUT NATIONAL DES FORMATIONS NOTARIALES - Site de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "INSTITUT NATIONAL DES FORMATIONS NOTARIALES - Site de Toulouse - BTS - Services - Notariat", "BTS - Services", "", 20, 383, 296, 373, 0, 124, 21, 99, 35, 24, 12, 126, 10, 0, 4, 0, 6, 153, 0, 0, 0, 82, 13, 50, 13, 3, 1, 18, 84, 17, 16, 17, 0, 3.0, 17.0, 17.0, 0, 1, 15, 9, 6, 0, 2, 0, 4, 10, 1, 0, 0.0, 5, 6, 0, 0, 0, 10, 10, 17.65, 100.0, 100.0, 94.09375, 66.6875, 66.6875, 0, 6.69921875, 88.1875, 0.0, 26.69921875, 66.6875, 6.69921875, 0.0, 0.0, 60.0, 33.296875, 40.0, 40.0, 0.0, 0.0, 48.0, 3.0, 2.0, 0.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 95.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 35.0, "17409", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17409&g_ta_cod=17409", 65.0, 35.0, 0.0),
(12178, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 80, 330, 275, 279, 0, 229, 73, 15, 5, 6, 4, 29, 51, 11, 2, 2, 36, 279, 47, 0, 0, 229, 73, 15, 5, 6, 4, 29, 327, 69, 61, 52, 17, 48.0, 50.0, 62.0, 0, 20, 53, 48, 1, 4, 16, 0, 18, 20, 14, 1, 0.0, 35, 0, 0, 0, 0, 42, 42, 69.57, 72.46, 89.86, 88.390625, 79.1875, 79.1875, 0, 37.6953125, 76.796875, 0.0, 34.0, 37.6953125, 26.3984375, 1.9, 0.0, 90.59375, 66.0, 1.89990234375, 0.0, 7.5, 0.0, 241.0, 77.0, 8.0, 5.0, 61.0, "Tous les candidats", 279.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7750", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7750&g_ta_cod=7750", 83.0, 3.0, 14.0),
(12179, "Public", "0480009Z", "Lycée Emile Peytavin", "48", "Lozère", "Occitanie", "Montpellier", "Mende", "formation sélective", "BTS", "Lycée Emile Peytavin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 18, 138, 57, 113, 0, 8, 1, 38, 8, 52, 16, 15, 25, 0, 9, 2, 14, 113, 5, 0, 0, 8, 1, 38, 8, 52, 16, 15, 77, 15, 3, 15, 0, 4.0, 9.0, 15.0, 0, 5, 13, 1, 4, 8, 2, 0, 9, 2, 1, 1, 0.0, 0, 1, 3, 2, 0, 9, 9, 26.67, 60.0, 100.0, 20.0, 69.1875, 69.1875, 15.3984375, 38.5, 86.6875, 0.0, 69.1875, 15.3984375, 7.69921875, 7.7, 0.0, 7.69921875, 0.0, 30.796875, 7.69921875, 61.5, 23.09765625, 7.0, 1.0, 38.0, 11.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 90.0, "5800", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5800&g_ta_cod=5800", 13.0, 33.0, 53.0),
(12180, "Public", "0331420P", "IUT Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BUT", "IUT Bordeaux Montaigne - BUT - Information communication Parcours communication des organisations", "BUT - Service", "", 30, 1575, 1230, 1575, 0, 1034, 124, 235, 47, 12, 4, 294, 0, 0, 0, 0, 0, 348, 0, 0, 0, 249, 23, 67, 12, 3, 1, 29, 62, 29, 28, 29, 0, 11.0, 28.0, 29.0, 0, 5, 28, 19, 8, 1, 1, 0, 0, 3, 16, 9, 0.0, 19, 8, 1, 0, 0, 12, 12, 37.93, 96.55, 100.0, 96.59375, 42.8984375, 42.8984375, 0, 17.8984375, 96.59375, 0.0, 0.0, 10.69921875, 57.09375, 32.1, 0.0, 67.890625, 67.890625, 28.59765625, 28.59765625, 3.599609375, 3.599609375, 38.0, 5.0, 1.0, 1.0, 4.0, "Tous les candidats sauf les Bac technologiques", 54.0, "Bacheliers technologiques toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 6.0, "4335", "BUT - Information communication Parcours communication des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4335&g_ta_cod=4335", 69.0, 28.0, 3.0),
(12181, "Public", "0681817F", "Lycée Schwendi", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Ingersheim", "formation sélective", "BTS", "Lycée Schwendi - BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "BTS - Production", "", 15, 48, 9, 38, 0, 4, 1, 8, 2, 17, 2, 9, 10, 0, 3, 4, 3, 33, 4, 0, 0, 4, 1, 8, 2, 16, 2, 5, 33, 6, 0, 6, 0, 3.0, 6.0, 6.0, 0, 0, 5, 0, 0, 5, 1, 0, 2, 2, 1, 0, 0.0, 0, 0, 3, 4, 0, 5, 5, 50.0, 100.0, 100.0, 0.0, 100.0, 100.0, 80, 0.0, 83.296875, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 60.0, 4.0, 1.0, 16.0, 4.0, 4.0, "Tous les candidats sauf les Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 87.0, "8170", "BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8170&g_ta_cod=8170", 17.0, 0.0, 83.0),
(12182, "Privé sous contrat d'association", "0600071B", "UniLaSalle Beauvais", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "Ecole d'Ingénieur", "UniLaSalle (Beauvais, Rouen, Rennes) - Formation d'ingénieur Bac + 5 - Autres Séries (Bac STL, STI2D, STAV, PSC0, bacs internationaux)", "Formations  des écoles d'ingénieurs", "Autres Séries (Bac STL, STI2D, STAV, PSC0, bacs internationaux)", 35, 81, 26, 74, 0, 0, 0, 70, 8, 0, 0, 4, 7, 0, 3, 0, 4, 64, 0, 0, 0, 0, 0, 60, 6, 0, 0, 4, 60, 26, 9, 26, 0, 18.0, 26.0, 26.0, 0, 1, 26, 0, 26, 0, 0, 0, 0, 7, 13, 6, 0.0, 0, 26, 0, 0, 0, 3, 3, 69.23, 100.0, 100.0, 34.59375, 11.5, 11.5, 0, 3.7998046875, 100.0, 0.0, 0.0, 26.8984375, 50.0, 23.1, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "29303", "Formation d'ingénieur Bac + 5 - Autres Séries (Bac STL, STI2D, STAV, PSC0, bacs internationaux)", "UniLaSalle (Beauvais, Rouen, Rennes)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30781&g_ta_cod=29303", 0.0, 100.0, 0.0),
(12183, "Public", "0596854E", "Lycée du PAYS DE CONDE", "59", "Nord", "Hauts-de-France", "Lille", "Condé-sur-l'Escaut", "formation sélective", "BTS", "Lycée du PAYS DE CONDE - BTS - Services - Communication", "BTS - Services", "", 35, 689, 374, 616, 0, 77, 27, 51, 27, 33, 19, 455, 73, 18, 10, 0, 45, 178, 11, 0, 0, 74, 24, 43, 20, 18, 11, 43, 140, 30, 20, 25, 5, 6.0, 23.0, 28.0, 0, 5, 13, 7, 4, 2, 17, 0, 9, 3, 1, 0, 0.0, 1, 1, 2, 2, 1, 13, 13, 20.0, 76.67, 93.33, 66.6875, 100.0, 100.0, 15.3984375, 38.5, 43.296875, 0.0, 69.1875, 23.09765625, 7.69921875, 0.0, 0.0, 53.796875, 7.69921875, 30.796875, 7.69921875, 15.3984375, 15.3984375, 62.0, 18.0, 6.0, 3.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 115.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 28.0, "7204", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7204&g_ta_cod=7204", 73.0, 13.0, 13.0),
(12184, "Public", "0573320Z", "Lycée des Métiers - Hotelier Raymond Mondon", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée des Métiers - Hotelier Raymond Mondon - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 60, 296, 148, 295, 0, 0, 0, 92, 19, 145, 40, 58, 1, 0, 0, 0, 1, 229, 0, 0, 0, 0, 0, 79, 15, 107, 28, 43, 137, 54, 25, 54, 0, 41.0, 49.0, 54.0, 0, 9, 41, 0, 17, 24, 13, 0, 8, 11, 19, 3, 0.0, 0, 10, 23, 29, 12, 41, 41, 75.93, 90.74, 100.0, 46.296875, 100.0, 100.0, 70.6875, 22.0, 75.890625, 0.0, 19.5, 26.796875, 46.296875, 7.3, 0.0, 0.0, 0.0, 41.5, 24.3984375, 58.5, 56.09375, 0.0, 0.0, 54.0, 16.0, 23.0, "Tous les candidats sauf les Bac professionnels", 118.0, "Bacheliers professionnels toutes séries", 107, "", 0, "Liste d'appel propre à cette formation", 76.0, "6660", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6660&g_ta_cod=6660", 15.0, 41.0, 44.0),
(12185, "Public", "0440030U", "Lycée Polyvalent Gaspard Monge - La Chauvinière", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée Polyvalent Gaspard Monge - La Chauvinière - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 24, 286, 17, 263, 0, 7, 1, 84, 17, 110, 30, 62, 23, 0, 8, 5, 10, 201, 7, 0, 0, 7, 1, 79, 14, 102, 25, 13, 101, 13, 0, 9, 4, 4.0, 9.0, 11.0, 0, 4, 9, 1, 3, 5, 4, 0, 5, 3, 0, 1, 0.0, 0, 1, 3, 4, 0, 7, 7, 30.77, 69.23, 84.62, 0.0, 77.796875, 77.796875, 44.3984375, 44.3984375, 69.1875, 0.0, 55.59375, 33.296875, 0.0, 11.1, 0.0, 11.099609375, 0.0, 33.296875, 11.099609375, 55.59375, 33.296875, 2.0, 1.0, 54.0, 17.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 101, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 75.0, "5440", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5440&g_ta_cod=5440", 8.0, 38.0, 54.0),
(12186, "Privé sous contrat d'association", "0592916Z", "Lycée Notre-Dame De Grace", "59", "Nord", "Hauts-de-France", "Lille", "Maubeuge", "formation sélective", "CPGE", "Lycée Notre-Dame De Grace - CPGE - MPSI", "Classe préparatoire scientifique", "", 30, 217, 55, 197, 0, 95, 24, 5, 2, 0, 0, 97, 20, 7, 1, 0, 12, 125, 7, 0, 125, 80, 21, 3, 1, 0, 0, 42, 112, 29, 9, 25, 4, 9.0, 22.0, 26.0, 0, 5, 14, 14, 0, 0, 15, 0, 2, 6, 5, 1, 0.0, 12, 0, 0, 4, 1, 11, 11, 31.03, 75.86, 89.66, 31.0, 78.59375, 78.59375, 28.59765625, 35.6953125, 48.296875, 0.0, 14.298828125, 42.8984375, 35.6953125, 7.1, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 72.0, 17.0, 0.0, 0.0, 39.0, "Tous les candidats", 123.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "6896", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6896&g_ta_cod=6896", 100.0, 0.0, 0.0),
(12187, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 250, 1263, 947, 935, 0, 617, 171, 84, 28, 16, 8, 218, 328, 64, 27, 16, 221, 927, 317, 0, 0, 617, 171, 84, 28, 16, 8, 210, 1245, 203, 146, 85, 118, 84.0, 85.0, 134.0, 0, 41, 97, 67, 16, 14, 106, 0, 47, 38, 9, 3, 0.0, 31, 9, 10, 0, 0, 74, 74, 41.38, 41.87, 66.01, 71.890625, 76.296875, 76.296875, 0, 42.296875, 47.796875, 0.0, 48.5, 39.1953125, 9.298828125, 3.1, 0.0, 69.09375, 32.0, 16.5, 9.298828125, 14.3984375, 10.298828125, 680.0, 195.0, 32.0, 15.0, 422.0, "Tous les candidats", 927.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "6358", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6358&g_ta_cod=6358", 67.0, 20.0, 13.0),
(12188, "Public", "0650027B", "Lycée Jean Dupuy", "65", "Hautes-Pyrénées", "Occitanie", "Toulouse", "Tarbes", "formation sélective", "Autre formation", "Lycée Jean Dupuy - Mention complémentaire - Technicien en chaudronnerie aéronautique et spatiale", "Mention complémentaire", "", 12, 39, 5, 38, 0, 0, 0, 0, 0, 35, 4, 3, 1, 0, 0, 1, 0, 35, 0, 0, 0, 0, 0, 0, 0, 32, 4, 3, 36, 6, 2, 5, 0, 0.0, 5.0, 5.0, 0, 1, 5, 0, 0, 5, 1, 0, 1, 1, 3, 0, 0.0, 0, 0, 4, 0, 0, 2, 2, 0.0, 83.33, 83.33, 33.296875, 40.0, 40.0, 0, 20.0, 83.296875, 0.0, 20.0, 20.0, 60.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 33.0, 5.0, 3.0, "Tous les candidats", 35.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "21906", "Mention complémentaire - Technicien en chaudronnerie aéronautique et spatiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21906&g_ta_cod=21906", 0.0, 0.0, 100.0),
(12189, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "Licence", "ICES - Institut Catholique de Vendée - Licence - Histoire", "Licence - Sciences humaines et sociales", "", 60, 172, 80, 157, 0, 133, 11, 9, 1, 1, 0, 14, 15, 6, 3, 0, 6, 149, 8, 0, 0, 128, 11, 9, 1, 1, 0, 11, 126, 42, 21, 39, 3, 32.0, 39.0, 42.0, 0, 5, 41, 40, 1, 0, 1, 0, 15, 12, 9, 5, 0.0, 26, 0, 0, 0, 0, 26, 26, 76.19, 92.86, 100.0, 50.0, 63.3984375, 63.3984375, 0, 12.19921875, 97.59375, 0.0, 36.59375, 29.296875, 22.0, 12.2, 0.0, 97.59375, 63.3984375, 2.39990234375, 0.0, 0.0, 0.0, 105.0, 10.0, 1.0, 0.0, 13.0, "Tous les candidats", 149.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "10557", "Licence - Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10557&g_ta_cod=10557", 98.0, 2.0, 0.0),
(12190, "Public", "0801265R", "IUT d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BUT", "IUT d'Amiens - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Administration, gestion et exploitation des données - Intégration d'applications et management du système d?information", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Administration, gestion et exploitation des données - Intégration d'applications et management du système d?information", 156, 1705, 136, 1693, 0, 878, 168, 471, 123, 14, 5, 330, 12, 0, 3, 0, 9, 1012, 1, 0, 0, 584, 110, 299, 82, 2, 1, 127, 561, 157, 9, 157, 0, 53.0, 145.0, 157.0, 0, 32, 132, 70, 62, 0, 25, 0, 17, 69, 42, 4, 0.0, 63, 52, 0, 0, 0, 102, 102, 33.76, 92.36, 100.0, 5.69921875, 77.296875, 77.296875, 0, 24.19921875, 84.09375, 0.0, 12.8984375, 52.296875, 31.796875, 3.0, 0.0, 53.0, 47.6953125, 47.0, 39.3984375, 0.0, 0.0, 248.0, 56.0, 0.0, 0.0, 91.0, "Tous les candidats sauf les Bac technologiques", 503.0, "Bacheliers technologiques toutes séries", 323, "", 0, "Liste d'appel propre à cette formation", 49.0, "10175", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées - Administration, gestion et exploitation des données - Intégration d'applications et management du système d?information", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10175&g_ta_cod=10175", 54.0, 46.0, 0.0),
(12191, "Public", "0594893Y", "IFSI Institut Gernez Rieux CHru de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 108, 7830, 6319, 7830, 0, 1729, 443, 1547, 556, 738, 329, 3816, 0, 0, 0, 0, 0, 6559, 0, 0, 0, 1570, 385, 1292, 441, 593, 254, 3104, 429, 108, 89, 108, 0, 16.0, 79.0, 84.0, 0, 18, 62, 23, 26, 13, 46, 0, 1, 17, 35, 9, 0.0, 23, 25, 13, 0, 0, 57, 57, 14.81, 73.15, 77.78, 82.390625, 91.890625, 91.890625, 0, 29.0, 57.3984375, 0.0, 1.599853515625, 27.3984375, 56.5, 14.5, 0.0, 37.09375, 37.09375, 41.8984375, 40.296875, 21.0, 21.0, 107.0, 20.0, 55.0, 26.0, 188.0, "Tous les candidats", 975.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 9.0, "23939", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23939", 52.0, 28.0, 19.0),
(12192, "Privé sous contrat d'association", "0597010Z", "EPSI Ecole Privée des Sciences Informatiques de LILLE", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "EPSI Ecole Privée des Sciences Informatiques de LILLE - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 100, 298, 42, 286, 0, 64, 10, 44, 12, 27, 12, 151, 12, 0, 5, 1, 6, 286, 9, 0, 0, 64, 10, 44, 12, 27, 12, 151, 267, 83, 19, 80, 3, 10.0, 55.0, 79.0, 0, 0, 12, 7, 3, 2, 71, 0, 10, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 8, 8, 12.05, 66.27, 95.18, 22.8984375, 66.6875, 66.6875, 0, 0.0, 14.5, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 58.296875, 8.298828125, 25.0, 8.298828125, 16.69921875, 0.0, 58.0, 9.0, 28.0, 12.0, 134.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 192.0, "Bacheliers technologiques toutes séries", 50, "Bacheliers professionnels toutes séries", 31, "Liste d'appel propre à cette formation", 95.0, "33495", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33495&g_ta_cod=33495", 87.0, 8.0, 5.0),
(12193, "Public", "0631383L", "Polytech Clermont-Ferrand", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aubière", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 110, 7269, 2008, 7269, 0, 6471, 540, 0, 0, 0, 0, 798, 0, 0, 0, 0, 0, 5089, 0, 0, 0, 4804, 316, 0, 0, 0, 0, 285, 3155, 108, 30, 108, 0, 71.0, 85.0, 98.0, 0, 13, 105, 105, 0, 0, 3, 0, 0, 14, 68, 21, 2.0, 105, 0, 0, 0, 0, 51, 51, 65.74, 78.7, 90.74, 27.796875, 48.59375, 48.59375, 0, 12.3984375, 97.1875, 0.0, 0.0, 13.298828125, 64.796875, 20.0, 1.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 3006.0, 275.0, 0.0, 0.0, 149.0, "Autres candidats", 9777.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 50.0, "27", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=27", 100.0, 0.0, 0.0),
(12194, "Privé sous contrat d'association", "0594278E", "lycée E.P.I.D.", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "lycée E.P.I.D. - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 30, 96, 9, 91, 0, 8, 2, 28, 2, 8, 1, 47, 5, 0, 0, 1, 4, 50, 2, 0, 0, 8, 2, 25, 2, 8, 1, 9, 50, 12, 1, 10, 2, 8.0, 10.0, 11.0, 0, 1, 9, 1, 4, 4, 3, 0, 1, 8, 0, 0, 0.0, 1, 3, 4, 4, 1, 8, 8, 66.67, 83.33, 91.67, 8.298828125, 88.890625, 88.890625, 44.3984375, 11.099609375, 75.0, 0.0, 11.099609375, 88.890625, 0.0, 0.0, 0.0, 11.099609375, 11.099609375, 44.3984375, 33.296875, 44.3984375, 44.3984375, 8.0, 2.0, 9.0, 1.0, 8.0, "Tous les candidats sauf les Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 55.0, "7102", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7102&g_ta_cod=7102", 25.0, 42.0, 33.0),
(12195, "Public", "0932074Z", "Lycée Marcel Cachin", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Ouen-sur-Seine", "formation sélective", "BTS", "Lycée Marcel Cachin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 1390, 685, 1390, 0, 48, 20, 423, 221, 466, 266, 453, 0, 0, 0, 0, 0, 562, 0, 0, 0, 7, 3, 209, 116, 254, 144, 92, 163, 30, 22, 30, 0, 1.0, 21.0, 27.0, 0, 19, 26, 0, 12, 14, 4, 0, 16, 6, 4, 0, 0.0, 0, 5, 5, 0, 0, 14, 24, 3.33, 70.0, 90.0, 73.296875, 53.796875, 92.296875, 0, 73.09375, 86.6875, 0.0, 61.5, 23.09765625, 15.3984375, 0.0, 0.0, 0.0, 0.0, 46.1953125, 19.19921875, 53.796875, 19.19921875, 3.0, 3.0, 64.0, 31.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers technologiques toutes séries", 95, "Bacheliers professionnels toutes séries", 85, "Liste d'appel propre à cette formation", 14.0, "25326", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25326&g_ta_cod=25326", 3.0, 50.0, 47.0),
(12196, "Privé sous contrat d'association", "0420976H", "Lycée La Salle", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "BTS", "Lycée La Salle - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 15, 88, 4, 88, 0, 3, 1, 40, 6, 33, 10, 12, 0, 0, 0, 0, 0, 76, 0, 0, 0, 3, 1, 36, 5, 30, 10, 7, 36, 15, 0, 15, 0, 5.0, 15.0, 15.0, 0, 4, 12, 1, 5, 6, 3, 0, 6, 5, 1, 0, 0.0, 1, 1, 4, 0, 0, 7, 7, 33.33, 100.0, 100.0, 0.0, 58.296875, 58.296875, 0, 33.296875, 80.0, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 8.298828125, 8.298828125, 41.6953125, 8.298828125, 50.0, 33.296875, 1.0, 0.0, 16.0, 5.0, 3.0, "Tous les candidats sauf les Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 51.0, "5315", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5315&g_ta_cod=5315", 13.0, 47.0, 40.0),
(12197, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues Etrangères Appliquées Anglais-Espagnol", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées Anglais-Espagnol", 230, 1309, 1044, 1309, 0, 910, 232, 118, 45, 23, 13, 258, 0, 0, 0, 0, 0, 1309, 0, 0, 0, 910, 232, 118, 45, 23, 13, 258, 769, 225, 172, 225, 0, 43.0, 198.0, 213.0, 0, 38, 180, 155, 18, 7, 45, 1, 65, 70, 42, 2, 0.0, 105, 6, 3, 0, 0, 135, 135, 19.11, 88.0, 94.67, 76.390625, 75.0, 75.0, 0, 21.09765625, 80.0, 0.5999755859375, 36.09375, 38.8984375, 23.296875, 1.1, 0.0, 86.09375, 58.296875, 10.0, 3.2998046875, 3.89990234375, 1.699951171875, 571.0, 152.0, 11.0, 7.0, 130.0, "Tous les candidats", 913.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "8507", "Licence - Portail Langues Etrangères Appliquées Anglais-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8507&g_ta_cod=8507", 84.0, 12.0, 4.0),
(12198, "Public", "0134015U", "Aix-Marseille Université - Site de Marseille Saint Charles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation non sélective", "Licence", "Aix-Marseille Université - Portail Marie Curie - Licence - Portail Marie Curie : Chimie, Physique, Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "Marie Curie : Chimie, Physique, Sciences pour l'ingénieur - site de Saint Charles", 75, 2307, 1070, 2275, 0, 1286, 290, 136, 62, 14, 7, 839, 32, 3, 4, 0, 25, 2275, 32, 0, 0, 1286, 290, 136, 62, 14, 7, 839, 1469, 71, 26, 58, 13, 16.0, 25.0, 46.0, 0, 12, 28, 25, 3, 0, 43, 0, 13, 9, 2, 4, 0.0, 15, 0, 0, 0, 0, 23, 23, 22.54, 35.21, 64.79, 36.59375, 82.09375, 82.09375, 0, 42.8984375, 39.3984375, 0.0, 46.3984375, 32.09375, 7.099609375, 14.3, 0.0, 89.296875, 53.59375, 10.69921875, 0.0, 0.0, 0.0, 851.0, 210.0, 0.0, 0.0, 604.0, "Tous les candidats", 2735.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 86.0, "12616", "Licence - Portail Marie Curie : Chimie, Physique, Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12617&g_ta_cod=12616", 83.0, 14.0, 3.0),
(12199, "Privé sous contrat d'association", "0333479C", "EFREI - BORDEAUX", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 4, 235, 86, 232, 0, 0, 0, 0, 0, 0, 0, 232, 3, 0, 0, 0, 3, 197, 1, 0, 0, 0, 0, 0, 0, 0, 0, 197, 175, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 175.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "31119", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=31119", 0, 0, 0),
(12200, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Licence", "Université de Strasbourg - Double licence - Mathématiques / Economie - Double licence Mathématiques - Economie", "Licence - Sciences - technologies - santé", "Double licence Mathématiques - Economie", 40, 734, 287, 682, 0, 535, 52, 3, 0, 0, 0, 144, 52, 9, 1, 1, 41, 335, 4, 0, 0, 303, 23, 0, 0, 0, 0, 32, 208, 30, 14, 29, 1, 2.0, 22.0, 30.0, 0, 1, 27, 27, 0, 0, 3, 0, 0, 5, 10, 12, 0.0, 27, 0, 0, 0, 0, 21, 21, 6.67, 73.33, 100.0, 46.6953125, 77.796875, 77.796875, 0, 3.69970703125, 90.0, 0.0, 0.0, 18.5, 37.0, 44.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 185.0, 17.0, 0.0, 0.0, 23.0, "Tous les candidats", 335.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "8067", "Double licence - Mathématiques / Economie - Double licence Mathématiques - Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8067&g_ta_cod=8067", 100.0, 0.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(12201, "Privé hors contrat", "0301376H", "Institut National des Formations Notariales de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Institut National des Formations Notariales de Nîmes - BTS - Services - Notariat", "BTS - Services", "", 45, 412, 312, 348, 0, 87, 19, 108, 39, 33, 10, 120, 64, 4, 13, 6, 41, 107, 10, 0, 0, 41, 8, 33, 13, 12, 1, 21, 102, 23, 19, 20, 3, 12.0, 20.0, 22.0, 0, 1, 15, 7, 5, 3, 8, 0, 2, 11, 2, 0, 0.0, 5, 5, 3, 0, 0, 10, 10, 52.17, 86.96, 95.65, 82.59375, 66.6875, 66.6875, 0, 6.69921875, 65.1875, 0.0, 13.298828125, 73.296875, 13.298828125, 0.0, 0.0, 46.6953125, 33.296875, 33.296875, 33.296875, 20.0, 20.0, 29.0, 7.0, 11.0, 1.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 31.0, "16494", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16494&g_ta_cod=16494", 43.0, 35.0, 22.0),
(12202, "Public", "0950649P", "Lycée Camille Pissarro", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Pontoise", "formation sélective", "CPGE", "Lycée Camille Pissarro - CPGE - MPSI", "Classe préparatoire scientifique", "", 40, 799, 216, 762, 0, 602, 126, 3, 0, 2, 1, 155, 37, 15, 0, 1, 21, 469, 12, 0, 469, 447, 74, 0, 0, 0, 0, 22, 279, 35, 7, 32, 3, 1.0, 19.0, 32.0, 0, 2, 34, 34, 0, 0, 1, 0, 1, 13, 17, 3, 0.0, 33, 0, 0, 4, 1, 29, 30, 2.86, 54.29, 91.43, 20.0, 85.296875, 88.1875, 11.798828125, 5.8994140625, 97.09375, 0.0, 2.89990234375, 38.1953125, 50.0, 8.8, 0.0, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 266.0, 45.0, 0.0, 0.0, 13.0, "Tous les candidats", 440.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "11574", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11574&g_ta_cod=11574", 100.0, 0.0, 0.0),
(12203, "Public", "0750688R", "Lycée François Rabelais", "75", "Paris", "Ile-de-France", "Paris", "Paris 18e  Arrondissement", "formation sélective", "BTS", "Lycée François Rabelais - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 1996, 1760, 1996, 0, 133, 56, 408, 175, 738, 367, 717, 0, 0, 0, 0, 0, 953, 0, 0, 0, 70, 31, 337, 144, 395, 186, 151, 236, 35, 31, 35, 0, 2.0, 14.0, 28.0, 0, 13, 34, 3, 12, 19, 1, 0, 14, 12, 7, 1, 0.0, 3, 5, 12, 0, 0, 8, 29, 5.71, 40.0, 80.0, 88.59375, 23.5, 85.296875, 0, 38.1953125, 97.09375, 0.0, 41.1953125, 35.296875, 20.59765625, 2.9, 0.0, 8.798828125, 8.798828125, 35.296875, 14.69921875, 55.8984375, 35.296875, 15.0, 7.0, 92.0, 42.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 178, "Bacheliers technologiques toutes séries", 200, "Liste d'appel propre à cette formation", 22.0, "9100", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9100&g_ta_cod=9100", 9.0, 34.0, 57.0),
(12204, "Public", "9740472V", "Lycée professionnel Patu de Rosemont", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Benoît", "formation sélective", "BTS", "Lycée professionnel Patu de Rosemont - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 134, 8, 127, 0, 3, 1, 18, 10, 87, 55, 19, 7, 0, 5, 0, 2, 83, 0, 0, 0, 1, 1, 13, 7, 61, 40, 8, 30, 13, 0, 13, 0, 8.0, 11.0, 11.0, 0, 10, 12, 0, 3, 9, 1, 0, 1, 8, 3, 0, 0.0, 0, 2, 9, 4, 0, 12, 12, 61.54, 84.62, 84.62, 0.0, 100.0, 100.0, 33.296875, 83.296875, 92.296875, 0.0, 8.298828125, 66.6875, 25.0, 0.0, 0.0, 0.0, 0.0, 25.0, 16.69921875, 75.0, 75.0, 1.0, 1.0, 15.0, 10.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 35.0, "15685", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15685&g_ta_cod=15685", 0.0, 23.0, 77.0),
(12205, "Public", "0762049P", "Université de Rouen Normandie - Campus Pasteur Rouen", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Pasteur Rouen - Licence - Droit - Parcours Majeure Droit (Rouen)", "Licence - Droit-économie-gestion", "Majeure Droit (Rouen)", 700, 2834, 2040, 2785, 0, 1956, 370, 275, 91, 43, 20, 511, 49, 16, 5, 1, 27, 2774, 49, 0, 0, 1956, 370, 275, 91, 43, 20, 500, 2245, 700, 509, 663, 36, 158.0, 568.0, 650.0, 0, 143, 594, 536, 45, 13, 106, 16, 164, 236, 135, 41, 2.0, 384, 20, 10, 0, 0, 536, 536, 22.57, 81.14, 92.86, 72.6875, 90.1875, 90.1875, 0, 24.09765625, 84.890625, 2.69970703125, 27.59765625, 39.6953125, 22.69921875, 6.9, 0.3, 90.1875, 64.59375, 7.599609375, 3.39990234375, 2.19970703125, 1.699951171875, 1647.0, 329.0, 23.0, 14.0, 433.0, "Tous les candidats", 2709.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "9697", "Licence - Droit - Parcours Majeure Droit (Rouen)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9697&g_ta_cod=9697", 88.0, 9.0, 2.0),
(12206, "Public", "1350710G", "Pôle Chateaubriand - Joliot-Curie", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "CPGE", "Pôle Chateaubriand - Joliot-Curie - CPGE - PCSI", "Classe préparatoire scientifique", "", 144, 2544, 900, 2544, 1976, 2283, 163, 4, 1, 0, 0, 257, 0, 0, 0, 0, 0, 1650, 0, 1355, 1608, 1623, 126, 0, 0, 0, 0, 27, 795, 146, 52, 146, 0, 28.0, 93.0, 136.0, 54, 11, 142, 142, 0, 0, 4, 0, 0, 0, 33, 101, 8.0, 142, 0, 0, 0, 0, 110, 110, 19.18, 63.7, 93.15, 35.59375, 77.5, 77.5, 0, 7.69921875, 97.296875, 0.0, 0.0, 0.0, 23.19921875, 71.1, 5.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 778.0, 75.0, 0.0, 0.0, 17.0, "Tous les candidats", 1016.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "11672", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11672&g_ta_cod=11672", 100.0, 0.0, 0.0),
(12207, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "PASS", "Université Clermont Auvergne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 40, 1219, 665, 1219, 0, 848, 157, 21, 5, 3, 2, 347, 0, 0, 0, 0, 0, 1217, 0, 0, 0, 848, 157, 21, 5, 3, 2, 345, 372, 39, 17, 39, 0, 2.0, 25.0, 30.0, 0, 5, 23, 23, 0, 0, 16, 1, 6, 8, 3, 4, 1.0, 16, 0, 0, 0, 0, 10, 10, 5.13, 64.1, 76.92, 43.59375, 43.5, 43.5, 0, 21.69921875, 59.0, 4.2998046875, 26.09765625, 34.796875, 13.0, 17.4, 4.3, 100.0, 69.59375, 0.0, 0.0, 0.0, 0.0, 293.0, 49.0, 0.0, 0.0, 74.0, "Tous les candidats", 2058.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 34.0, "26632", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26629&g_ta_cod=26632", 87.0, 10.0, 3.0),
(12208, "Privé sous contrat d'association", "0501299R", "Lycée Thomas-Hélye", "50", "Manche", "Normandie", "Normandie", "Cherbourg-en-Cotentin", "formation sélective", "BTS", "Lycée Thomas-Hélye - BTS - Services - Assurance", "BTS - Services", "", 24, 155, 78, 143, 0, 13, 1, 44, 9, 11, 1, 75, 12, 1, 5, 1, 5, 74, 8, 0, 0, 13, 1, 37, 9, 7, 1, 17, 76, 12, 6, 9, 3, 5.0, 9.0, 10.0, 0, 1, 10, 2, 6, 2, 2, 0, 5, 3, 1, 1, 0.0, 0, 3, 2, 1, 1, 10, 10, 41.67, 75.0, 83.33, 50.0, 100.0, 100.0, 10, 10.0, 83.296875, 0.0, 50.0, 30.0, 10.0, 10.0, 0.0, 20.0, 0.0, 60.0, 30.0, 20.0, 20.0, 14.0, 1.0, 6.0, 1.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 52.0, "6028", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6028&g_ta_cod=6028", 33.0, 50.0, 17.0),
(12209, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "BTS", "Lycée Jean Perrin - BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "BTS - Production", "", 15, 91, 20, 41, 0, 2, 1, 10, 1, 16, 7, 13, 50, 2, 12, 16, 20, 35, 12, 0, 0, 2, 1, 8, 1, 14, 5, 11, 45, 12, 2, 5, 6, 2.0, 5.0, 9.0, 0, 4, 10, 1, 4, 5, 2, 0, 8, 2, 0, 0, 0.0, 0, 1, 1, 2, 1, 10, 10, 16.67, 41.67, 75.0, 16.69921875, 100.0, 100.0, 20, 40.0, 83.296875, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 10.0, 0.0, 40.0, 10.0, 50.0, 10.0, 3.0, 1.0, 17.0, 7.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 85.0, "20104", "BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20104&g_ta_cod=20104", 8.0, 42.0, 50.0),
(12210, "Privé sous contrat d'association", "0940822H", "Lycée Claude-Nicolas LEDOUX / EBTP", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vincennes", "formation sélective", "Autre formation", "Lycée Claude-Nicolas LEDOUX / EBTP - DN MADE - Événement - - Spécialité : Communication des identités culturelles et commerciales", "DN MADE", "- Spécialité : Communication des identités culturelles et commerciales", 23, 167, 136, 158, 0, 49, 2, 36, 8, 23, 3, 50, 9, 1, 1, 0, 7, 90, 3, 0, 0, 28, 0, 32, 6, 14, 0, 16, 76, 22, 19, 20, 2, 6.0, 19.0, 20.0, 0, 1, 18, 6, 9, 3, 4, 0, 2, 10, 6, 0, 0.0, 6, 7, 3, 0, 0, 9, 12, 27.27, 86.36, 90.91, 86.390625, 50.0, 66.6875, 0, 5.599609375, 81.796875, 0.0, 11.099609375, 55.59375, 33.296875, 0.0, 0.0, 33.296875, 33.296875, 50.0, 38.8984375, 16.69921875, 16.69921875, 22.0, 0.0, 9.0, 0.0, 13.0, "Tous les candidats", 87.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "21922", "DN MADE - Événement - - Spécialité : Communication des identités culturelles et commerciales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21922&g_ta_cod=21922", 36.0, 45.0, 18.0),
(12211, "Privé sous contrat d'association", "0131456M", "Lycée Pastré - Grande Bastide", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  9e  Arrondissement", "formation sélective", "Autre formation", "Lycée Pastré - Grande Bastide - Mention complémentaire - Organisateur de réception", "Mention complémentaire", "", 10, 28, 20, 28, 0, 0, 0, 4, 0, 20, 6, 4, 0, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 4, 0, 16, 6, 4, 21, 5, 4, 5, 0, 3.0, 5.0, 5.0, 0, 2, 3, 0, 0, 3, 2, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 60.0, 100.0, 100.0, 80.0, 66.6875, 66.6875, 0, 66.6875, 60.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 33.296875, 0.0, 0.0, 14.0, 5.0, 4.0, "Tous les candidats", 23.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "24158", "Mention complémentaire - Organisateur de réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24158&g_ta_cod=24158", 20.0, 0.0, 80.0),
(12212, "Privé enseignement supérieur", "9840391C", "Institut Supérieur de l'Enseignement Privé de Polynésie", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Papeete", "formation sélective", "Licence", "Institut Supérieur de l'Enseignement Privé de Polynésie - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 34, 214, 183, 188, 0, 117, 41, 25, 13, 9, 6, 37, 26, 6, 3, 2, 15, 77, 6, 0, 0, 59, 16, 8, 2, 1, 1, 9, 68, 29, 26, 26, 3, 11.0, 26.0, 28.0, 0, 7, 24, 18, 5, 1, 5, 0, 3, 10, 8, 3, 0.0, 16, 4, 1, 0, 0, 23, 23, 37.93, 89.66, 96.55, 89.6875, 95.796875, 95.796875, 0, 29.19921875, 82.796875, 0.0, 12.5, 41.6953125, 33.296875, 12.5, 0.0, 75.0, 66.6875, 20.796875, 16.69921875, 4.19921875, 4.19921875, 48.0, 14.0, 2.0, 1.0, 11.0, "Tous les candidats", 76.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "19503", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19503&g_ta_cod=19503", 76.0, 21.0, 3.0),
(12213, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Institut Catholique de Lyon - Licence - Lettres - Parcours Éducation", "Licence - Arts-lettres-langues", "Éducation", 50, 164, 138, 54, 0, 30, 7, 4, 0, 1, 0, 19, 110, 30, 11, 4, 65, 48, 43, 0, 0, 28, 6, 2, 0, 1, 0, 17, 91, 14, 11, 5, 9, 5.0, 5.0, 11.0, 0, 1, 9, 8, 0, 1, 5, 0, 2, 5, 0, 2, 0.0, 7, 0, 0, 0, 0, 7, 7, 35.71, 35.71, 78.57, 78.59375, 77.796875, 77.796875, 0, 11.099609375, 64.296875, 0.0, 22.19921875, 55.59375, 0.0, 22.2, 0.0, 88.890625, 77.796875, 0.0, 0.0, 11.099609375, 0.0, 46.0, 11.0, 2.0, 1.0, 40.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "8265", "Licence - Lettres - Parcours Éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8265&g_ta_cod=8265", 93.0, 0.0, 7.0),
(12214, "Public", "0061887U", "I.U.T de Nice - Antenne de Menton", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Menton", "formation sélective", "BUT", "I.U.T de Nice - Antenne de Menton - BUT - Carrières sociales Parcours animation sociale et socioculturelle (Seconde année possible en apprentissage)", "BUT - Service", "", 26, 456, 346, 456, 0, 144, 27, 108, 31, 55, 24, 149, 0, 0, 0, 0, 0, 238, 0, 0, 0, 73, 9, 65, 14, 9, 2, 91, 99, 24, 18, 24, 0, 4.0, 17.0, 23.0, 0, 3, 12, 3, 9, 0, 12, 0, 4, 7, 1, 0, 0.0, 2, 6, 0, 0, 0, 7, 7, 16.67, 70.83, 95.83, 75.0, 58.296875, 58.296875, 0, 25.0, 50.0, 0.0, 33.296875, 58.296875, 8.298828125, 0.0, 0.0, 25.0, 16.69921875, 75.0, 50.0, 0.0, 0.0, 24.0, 5.0, 2.0, 1.0, 35.0, "Tous les candidats sauf les Bac technologiques", 83.0, "Bacheliers technologiques toutes séries", 71, "", 0, "Liste d'appel propre à cette formation", 34.0, "2328", "BUT - Carrières sociales Parcours animation sociale et socioculturelle (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2328&g_ta_cod=2328", 38.0, 54.0, 8.0),
(12215, "Public", "0750681H", "ESAA Boulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "ESAA Boulle - DN MADE - Événement - - Spécialité : Evénementiel, médiation, scénographie, luxe", "DN MADE", "- Spécialité : Evénementiel, médiation, scénographie, luxe", 15, 1202, 1052, 1202, 0, 473, 69, 262, 40, 57, 11, 410, 0, 0, 0, 0, 0, 82, 0, 0, 0, 30, 1, 35, 2, 1, 0, 16, 31, 15, 12, 15, 0, 6.0, 14.0, 15.0, 0, 0, 10, 4, 6, 0, 5, 0, 0, 0, 4, 6, 0.0, 4, 6, 0, 0, 0, 2, 5, 40.0, 93.33, 100.0, 80.0, 20.0, 50.0, 0, 0.0, 66.6875, 0.0, 0.0, 0.0, 40.0, 60.0, 0.0, 40.0, 40.0, 60.0, 60.0, 0.0, 0.0, 12.0, 1.0, 0.0, 0.0, 8.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 3.0, "21777", "DN MADE - Événement - - Spécialité : Evénementiel, médiation, scénographie, luxe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21777&g_ta_cod=21777", 53.0, 40.0, 0.0),
(12216, "Privé enseignement supérieur", "0690200T", "INSTITUT NATIONAL DES FORMATIONS NOTARIALES DE LYON", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "BTS", "INSTITUT NATIONAL DES FORMATIONS NOTARIALES DE LYON - BTS - Services - Notariat", "BTS - Services", "", 35, 350, 284, 350, 0, 115, 15, 99, 23, 42, 19, 94, 0, 0, 0, 0, 0, 175, 0, 0, 0, 75, 12, 72, 18, 0, 0, 28, 117, 27, 21, 26, 0, 7.0, 25.0, 26.0, 0, 4, 22, 15, 7, 0, 5, 0, 16, 3, 3, 0, 0.0, 4, 2, 0, 0, 0, 16, 16, 25.93, 92.59, 96.3, 77.796875, 72.6875, 72.6875, 0, 18.19921875, 81.5, 0.0, 72.6875, 13.599609375, 13.599609375, 0.0, 0.0, 68.1875, 18.19921875, 31.796875, 9.099609375, 0.0, 0.0, 70.0, 10.0, 0.0, 0.0, 19.0, "Tous les candidats", 142.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "13634", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13634&g_ta_cod=13634", 67.0, 33.0, 0.0),
(12217, "Public", "0950641F", "Lycée Jean Jaures", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Argenteuil", "formation sélective", "BTS", "Lycée Jean Jaures - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 29, 843, 66, 843, 0, 77, 21, 267, 117, 199, 101, 300, 0, 0, 0, 0, 0, 364, 0, 0, 0, 49, 16, 88, 36, 140, 67, 87, 123, 29, 1, 29, 0, 5.0, 25.0, 28.0, 0, 12, 25, 2, 12, 11, 4, 1, 5, 14, 5, 0, 0.0, 0, 9, 10, 11, 0, 23, 25, 17.24, 86.21, 96.55, 3.39990234375, 92.0, 100.0, 44, 48.0, 86.1875, 4.0, 20.0, 56.0, 20.0, 0.0, 0.0, 8.0, 0.0, 48.0, 36.0, 44.0, 40.0, 15.0, 9.0, 49.0, 20.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 21.0, "11556", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11556&g_ta_cod=11556", 10.0, 48.0, 41.0),
(12218, "Public", "0470020S", "Lycée Val De Garonne", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Marmande", "formation sélective", "BTS", "Lycée Val De Garonne - BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "BTS - Production", "", 15, 65, 6, 58, 0, 4, 2, 8, 1, 33, 11, 13, 7, 1, 2, 3, 1, 39, 5, 0, 0, 3, 1, 8, 1, 26, 10, 2, 38, 10, 0, 8, 2, 3.0, 8.0, 9.0, 0, 0, 9, 0, 0, 9, 1, 0, 2, 3, 4, 0, 0.0, 0, 0, 7, 6, 0, 9, 9, 30.0, 80.0, 90.0, 0.0, 100.0, 100.0, 66.6875, 0.0, 90.0, 0.0, 22.19921875, 33.296875, 44.3984375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 77.796875, 4.0, 1.0, 22.0, 9.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 26, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 64.0, "20003", "BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20003&g_ta_cod=20003", 0.0, 10.0, 90.0),
(12219, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Portail Sciences pour l?ingénieur franco-allemand - Génie mécanique", "Licence - Sciences - technologies - santé", "Sciences pour l?ingénieur franco-allemand - Génie mécanique", 12, 77, 17, 66, 0, 52, 3, 4, 0, 2, 1, 8, 11, 3, 0, 0, 8, 39, 6, 0, 0, 31, 3, 3, 0, 0, 0, 5, 38, 12, 3, 7, 5, 0.0, 7.0, 9.0, 0, 1, 8, 7, 1, 0, 4, 0, 0, 4, 3, 0, 1.0, 7, 1, 0, 0, 0, 5, 5, 0.0, 58.33, 75.0, 25.0, 62.5, 62.5, 0, 12.5, 66.6875, 0.0, 0.0, 50.0, 37.5, 0.0, 12.5, 87.5, 87.5, 12.5, 12.5, 0.0, 0.0, 27.0, 3.0, 0.0, 0.0, 9.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "30733", "Licence - Portail Sciences pour l?ingénieur franco-allemand - Génie mécanique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30733&g_ta_cod=30733", 92.0, 8.0, 0.0),
(12220, "Public", "0750654D", "Lycée Henri IV", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Autre formation", "Lycée Henri IV - Cycle pluridisciplinaire d'Études Supérieures - Sciences", "CPES", "", 45, 1406, 736, 1406, 0, 1231, 98, 1, 0, 0, 0, 174, 0, 0, 0, 0, 0, 420, 0, 0, 0, 413, 17, 0, 0, 0, 0, 7, 148, 43, 27, 43, 0, 20.0, 39.0, 43.0, 0, 7, 42, 42, 0, 0, 1, 0, 0, 0, 0, 17, 25.0, 42, 0, 0, 0, 0, 7, 23, 46.51, 90.7, 100.0, 62.796875, 16.69921875, 54.796875, 0, 16.69921875, 97.6875, 0.0, 0.0, 0.0, 0.0, 40.5, 59.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 142.0, 17.0, 0.0, 0.0, 6.0, "Tous les candidats", 177.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "21162", "Cycle pluridisciplinaire d'Études Supérieures - Sciences", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21162&g_ta_cod=21162", 100.0, 0.0, 0.0),
(12221, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Histoire de l'art et archéologie", "Licence - Sciences humaines et sociales", "", 70, 455, 315, 399, 0, 246, 53, 40, 12, 20, 12, 93, 56, 6, 0, 1, 49, 399, 53, 0, 0, 246, 53, 40, 12, 20, 12, 93, 453, 68, 46, 55, 13, 54.0, 55.0, 60.0, 0, 10, 40, 31, 3, 6, 28, 0, 17, 17, 5, 1, 0.0, 17, 1, 5, 0, 0, 27, 27, 79.41, 80.88, 88.24, 67.59375, 67.5, 67.5, 0, 25.0, 58.796875, 0.0, 42.5, 42.5, 12.5, 2.5, 0.0, 77.5, 42.5, 7.5, 2.5, 15.0, 12.5, 253.0, 53.0, 21.0, 13.0, 139.0, "Tous les candidats", 399.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7738", "Licence - Histoire de l'art et archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7738&g_ta_cod=7738", 72.0, 12.0, 16.0),
(12222, "Public", "0030051P", "Lycée Général et Technologique Albert Londres", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Cusset", "formation sélective", "BTS", "Lycée Général et Technologique Albert Londres - BTS - Services - Support à l'action managériale", "BTS - Services", "", 18, 212, 140, 188, 0, 11, 0, 77, 33, 59, 28, 41, 24, 1, 0, 12, 11, 112, 7, 0, 0, 11, 0, 51, 22, 38, 12, 12, 86, 18, 10, 13, 5, 1.0, 13.0, 17.0, 0, 6, 12, 2, 5, 5, 6, 0, 8, 3, 1, 0, 0.0, 0, 1, 3, 3, 1, 9, 9, 5.56, 72.22, 94.44, 55.59375, 75.0, 75.0, 25, 50.0, 66.6875, 0.0, 66.6875, 25.0, 8.298828125, 0.0, 0.0, 16.69921875, 0.0, 41.6953125, 8.298828125, 41.6953125, 25.0, 10.0, 1.0, 33.0, 11.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 53, "Liste d'appel propre à cette formation", 56.0, "2133", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2133&g_ta_cod=2133", 22.0, 44.0, 33.0),
(12223, "Public", "0783431F", "Lycée Jules Verne", "78", "Yvelines", "Ile-de-France", "Versailles", "Sartrouville", "formation sélective", "Autre formation", "Lycée Jules Verne - DN MADE - Spectacle - Spécialité - Costume, costume accessoire", "DN MADE", "Spécialité - Costume, costume accessoire", 16, 385, 350, 385, 0, 86, 8, 99, 11, 57, 14, 143, 0, 0, 0, 0, 0, 299, 0, 0, 0, 70, 6, 89, 9, 41, 10, 99, 36, 15, 14, 15, 0, 7.0, 13.0, 14.0, 0, 2, 6, 3, 2, 1, 9, 0, 0, 1, 3, 2, 0.0, 3, 2, 1, 0, 0, 3, 5, 46.67, 86.67, 93.33, 93.296875, 50.0, 83.296875, 0, 33.296875, 40.0, 0.0, 0.0, 16.69921875, 50.0, 33.3, 0.0, 50.0, 50.0, 33.296875, 33.296875, 16.69921875, 16.69921875, 7.0, 2.0, 1.0, 1.0, 22.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "32672", "DN MADE - Spectacle - Spécialité - Costume, costume accessoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32672&g_ta_cod=32672", 33.0, 27.0, 7.0),
(12224, "Privé sous contrat d'association", "0640111Y", "Lycée Largente", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "BTS", "Lycée Largente - BTS - Services - Commerce International", "BTS - Services", "", 16, 448, 247, 447, 0, 182, 21, 152, 34, 33, 7, 80, 1, 0, 1, 0, 0, 223, 0, 0, 0, 96, 13, 79, 17, 18, 4, 30, 94, 14, 9, 14, 0, 1.0, 10.0, 13.0, 0, 4, 13, 3, 7, 3, 1, 0, 3, 7, 3, 0, 0.0, 2, 6, 2, 2, 0, 11, 11, 7.14, 71.43, 92.86, 64.296875, 84.59375, 84.59375, 15.3984375, 30.796875, 92.890625, 0.0, 23.09765625, 53.796875, 23.09765625, 0.0, 0.0, 23.09765625, 15.3984375, 53.796875, 46.1953125, 23.09765625, 15.3984375, 33.0, 6.0, 8.0, 1.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 73.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 34.0, "18100", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18100&g_ta_cod=18100", 29.0, 50.0, 21.0),
(12225, "Public", "0761315S", "Lycée agricole d'Yvetot", "76", "Seine-Maritime", "Normandie", "Normandie", "Yvetot", "formation sélective", "BTS", "Lycée agricole d'Yvetot - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 14, 132, 81, 125, 0, 11, 1, 30, 5, 9, 3, 75, 7, 1, 0, 3, 3, 66, 4, 0, 0, 11, 1, 30, 5, 7, 2, 18, 46, 12, 10, 9, 3, 2.0, 6.0, 10.0, 0, 3, 8, 3, 4, 1, 4, 1, 7, 0, 0, 0, 0.0, 0, 0, 0, 4, 3, 7, 7, 16.67, 50.0, 83.33, 83.296875, 87.5, 87.5, 50, 37.5, 66.6875, 12.5, 87.5, 0.0, 0.0, 0.0, 0.0, 37.5, 0.0, 50.0, 0.0, 12.5, 0.0, 9.0, 1.0, 9.0, 4.0, 11.0, "Tous les candidats sauf les Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 9, "", 0, "Liste d'appel propre à cette formation", 53.0, "9636", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9636&g_ta_cod=9636", 50.0, 42.0, 8.0),
(12226, "Public", "0512004B", "I.U.T. Reims-Châlons-Charleville - site de Châlons", "51", "Marne", "Grand Est", "Reims", "Châlons-en-Champagne", "formation sélective", "BUT", "I.U.T. Reims-Châlons-Charleville - site de Châlons - BUT - Carrières sociales Parcours animation sociale et socioculturelle", "BUT - Service", "", 53, 648, 524, 648, 0, 215, 43, 225, 73, 39, 12, 169, 0, 0, 0, 0, 0, 580, 0, 0, 0, 206, 39, 175, 48, 37, 10, 162, 243, 52, 40, 52, 0, 2.0, 43.0, 48.0, 0, 13, 39, 17, 16, 6, 13, 0, 17, 20, 2, 0, 0.0, 9, 8, 5, 0, 0, 16, 16, 3.85, 82.69, 92.31, 76.890625, 41.0, 41.0, 0, 33.296875, 75.0, 0.0, 43.59375, 51.296875, 5.099609375, 0.0, 0.0, 43.59375, 23.09765625, 41.0, 20.5, 15.3984375, 12.798828125, 70.0, 17.0, 17.0, 7.0, 65.0, "Tous les candidats sauf les Bac technologiques", 210.0, "Bacheliers technologiques toutes séries", 170, "", 0, "Liste d'appel propre à cette formation", 58.0, "6166", "BUT - Carrières sociales Parcours animation sociale et socioculturelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6166&g_ta_cod=6166", 42.0, 42.0, 15.0),
(12227, "Public", "0782565P", "Lycée Jules Ferry", "78", "Yvelines", "Ile-de-France", "Versailles", "Versailles", "formation sélective", "BTS", "Lycée Jules Ferry - BTS - Production - Electrotechnique", "BTS - Production", "", 27, 358, 10, 358, 0, 12, 4, 77, 12, 177, 52, 92, 0, 0, 0, 0, 0, 214, 0, 0, 0, 8, 3, 63, 10, 110, 30, 33, 111, 28, 0, 28, 0, 4.0, 25.0, 27.0, 0, 4, 25, 1, 7, 17, 3, 1, 6, 5, 9, 4, 0.0, 0, 1, 17, 9, 0, 24, 24, 14.29, 89.29, 96.43, 0.0, 96.0, 96.0, 36, 16.0, 89.296875, 4.0, 24.0, 20.0, 36.0, 16.0, 0.0, 4.0, 0.0, 28.0, 4.0, 68.0, 68.0, 4.0, 1.0, 60.0, 14.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 106, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 47.0, "10055", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10055&g_ta_cod=10055", 4.0, 29.0, 68.0),
(12228, "Public", "0421976V", "Lycée Francois Mauriac-Forez", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Andrézieux-Bouthéon", "formation sélective", "BTS", "Lycée Francois Mauriac-Forez - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 318, 23, 317, 0, 47, 12, 126, 36, 80, 35, 64, 1, 0, 0, 0, 1, 262, 0, 0, 0, 47, 12, 115, 28, 68, 25, 32, 80, 13, 0, 13, 0, 1.0, 7.0, 10.0, 0, 6, 11, 1, 5, 5, 2, 0, 7, 4, 0, 0, 0.0, 1, 1, 2, 2, 0, 10, 10, 7.69, 53.85, 76.92, 0.0, 90.890625, 90.890625, 18.19921875, 54.5, 84.59375, 0.0, 63.59375, 36.3984375, 0.0, 0.0, 0.0, 9.099609375, 9.099609375, 45.5, 9.099609375, 45.5, 18.19921875, 14.0, 4.0, 31.0, 12.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 35.0, "20200", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20200&g_ta_cod=20200", 15.0, 46.0, 38.0),
(12229, "Public", "0920680P", "Lycée professionnel Leonard De Vinci", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Bagneux", "formation sélective", "Autre formation", "Lycée professionnel Leonard De Vinci - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 12, 68, 0, 68, 0, 0, 0, 0, 0, 62, 30, 6, 0, 0, 0, 0, 0, 68, 0, 0, 0, 0, 0, 0, 0, 62, 30, 6, 41, 12, 0, 12, 0, 3.0, 12.0, 12.0, 0, 5, 11, 0, 0, 11, 1, 0, 4, 7, 0, 0, 0.0, 0, 0, 7, 0, 0, 8, 11, 25.0, 100.0, 100.0, 0.0, 72.6875, 100.0, 0, 45.5, 91.6875, 0.0, 36.3984375, 63.59375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 63.59375, 0.0, 0.0, 37.0, 18.0, 4.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "13379", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13379&g_ta_cod=13379", 0.0, 0.0, 100.0),
(12230, "Public", "0595884A", "Lycée André Lurçat", "59", "Nord", "Hauts-de-France", "Lille", "Maubeuge", "formation sélective", "BTS", "Lycée André Lurçat - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 59, 587, 285, 587, 0, 28, 8, 99, 54, 152, 106, 308, 0, 0, 0, 0, 0, 560, 0, 0, 0, 28, 8, 99, 54, 151, 105, 282, 160, 58, 31, 58, 0, 20.0, 49.0, 56.0, 0, 26, 42, 5, 4, 33, 16, 0, 29, 8, 5, 0, 0.0, 1, 1, 11, 18, 10, 42, 42, 34.48, 84.48, 96.55, 53.3984375, 100.0, 100.0, 42.8984375, 61.8984375, 72.390625, 0.0, 69.0, 19.0, 11.8984375, 0.0, 0.0, 11.8984375, 2.39990234375, 9.5, 2.39990234375, 78.59375, 26.19921875, 27.0, 8.0, 58.0, 39.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 77, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 33.0, "7168", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7168&g_ta_cod=7168", 17.0, 22.0, 60.0),
(12231, "Public", "0134015U", "Aix-Marseille Université - Site de Marseille Saint Charles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  3e  Arrondissement", "formation sélective", "Licence", "Aix-Marseille Université - Site de Marseille Saint Charles - Licence - Sciences et Humanités - Parcours Sciences et Humanités (Site Saint-Charles)", "Licence - Sciences - technologies - santé", "Sciences et Humanités (Site Saint-Charles)", 36, 353, 247, 353, 0, 188, 43, 12, 7, 5, 4, 148, 0, 0, 0, 0, 0, 138, 0, 0, 0, 93, 27, 0, 0, 0, 0, 45, 113, 36, 26, 36, 0, 11.0, 31.0, 35.0, 0, 2, 21, 21, 0, 0, 15, 0, 2, 4, 6, 7, 2.0, 19, 0, 0, 0, 0, 14, 14, 30.56, 86.11, 97.22, 72.1875, 66.6875, 66.6875, 0, 9.5, 58.296875, 0.0, 9.5, 19.0, 28.59765625, 33.3, 9.5, 100.0, 90.5, 0.0, 0.0, 0.0, 0.0, 76.0, 21.0, 0.0, 0.0, 37.0, "Tous les candidats", 133.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "12621", "Licence - Sciences et Humanités - Parcours Sciences et Humanités (Site Saint-Charles)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12621&g_ta_cod=12621", 94.0, 3.0, 0.0),
(12232, "Privé sous contrat d'association", "0271382F", "Lycée professionnel Agricole de Tourville", "27", "Eure", "Normandie", "Normandie", "Pont-Audemer", "formation sélective", "BTS", "Lycée professionnel Agricole de Tourville - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 35, 133, 60, 126, 0, 4, 1, 11, 1, 18, 8, 93, 7, 0, 2, 2, 3, 43, 6, 0, 0, 4, 1, 11, 1, 18, 8, 10, 49, 11, 6, 8, 3, 7.0, 8.0, 10.0, 0, 2, 7, 0, 0, 7, 4, 0, 1, 3, 1, 2, 0.0, 0, 0, 6, 2, 1, 7, 7, 63.64, 72.73, 90.91, 54.5, 100.0, 100.0, 28.59765625, 28.59765625, 63.59375, 0.0, 14.298828125, 42.8984375, 14.298828125, 28.6, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 85.6875, 4.0, 1.0, 20.0, 9.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 18, "Liste d'appel propre à cette formation", 34.0, "3704", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3704&g_ta_cod=3704", 9.0, 18.0, 73.0),
(12233, "Public", "0750681H", "ESAA Boulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "ESAA Boulle - DN MADE - Objet - Spécialité : Métiers d?art Gravure ornementale : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "DN MADE", "Spécialité : Métiers d?art Gravure ornementale : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", 2, 89, 68, 89, 0, 22, 2, 22, 4, 8, 3, 37, 0, 0, 0, 0, 0, 11, 0, 0, 0, 3, 0, 5, 1, 0, 0, 3, 3, 2, 1, 2, 0, 1.0, 2.0, 2.0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0, 1, 0.0, 0, 1, 0, 0, 0, 0, 0, 50.0, 100.0, 100.0, 50.0, 0.0, 0.0, 0, 0.0, 50.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 4.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "26891", "DN MADE - Objet - Spécialité : Métiers d?art Gravure ornementale : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26891&g_ta_cod=26891", 0.0, 50.0, 0.0),
(12234, "Privé enseignement supérieur", "0596163D", "EGC de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole de Commerce", "EGC de Lille - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "", 40, 184, 58, 169, 0, 131, 6, 13, 0, 1, 0, 24, 15, 4, 3, 0, 8, 128, 7, 0, 0, 104, 4, 8, 0, 0, 0, 16, 111, 40, 11, 33, 7, 18.0, 32.0, 38.0, 0, 2, 32, 26, 6, 0, 8, 0, 8, 17, 6, 1, 0.0, 19, 5, 0, 0, 0, 23, 23, 45.0, 80.0, 95.0, 27.5, 71.890625, 71.890625, 0, 6.2998046875, 80.0, 0.0, 25.0, 53.09375, 18.796875, 3.1, 0.0, 81.296875, 59.3984375, 18.796875, 15.599609375, 0.0, 0.0, 87.0, 4.0, 0.0, 0.0, 16.0, "Tous les candidats", 127.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "30793", "Formation des écoles de commerce et de management Bac + 3", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30793&g_ta_cod=30793", 83.0, 18.0, 0.0),
(12235, "Public", "0630020E", "Lycée Sidoine Apollinaire", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée Sidoine Apollinaire - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 824, 135, 824, 0, 110, 26, 179, 58, 165, 59, 370, 0, 0, 0, 0, 0, 429, 0, 0, 0, 107, 23, 140, 38, 95, 26, 87, 143, 32, 2, 32, 0, 8.0, 26.0, 29.0, 0, 7, 28, 9, 7, 12, 4, 0, 8, 14, 4, 2, 0.0, 5, 5, 10, 0, 0, 26, 26, 25.0, 81.25, 90.63, 6.2998046875, 92.890625, 92.890625, 0, 25.0, 87.5, 0.0, 28.59765625, 50.0, 14.298828125, 7.1, 0.0, 32.09375, 17.8984375, 25.0, 17.8984375, 42.8984375, 35.6953125, 39.0, 6.0, 41.0, 13.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 66.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 105, "Liste d'appel propre à cette formation", 26.0, "7558", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7558&g_ta_cod=7558", 38.0, 25.0, 38.0),
(12236, "Public", "0940114N", "Lycée Antoine de Saint Exupery", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "BTS", "Lycée Antoine de Saint Exupery - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 1561, 969, 1493, 0, 47, 16, 447, 188, 531, 292, 468, 68, 17, 0, 0, 51, 848, 2, 0, 0, 11, 5, 206, 87, 506, 272, 125, 182, 37, 24, 34, 0, 6.0, 29.0, 31.0, 0, 13, 25, 1, 12, 12, 12, 0, 11, 8, 5, 1, 0.0, 1, 6, 7, 3, 1, 22, 24, 16.22, 78.38, 83.78, 64.890625, 88.0, 96.0, 12, 52.0, 67.59375, 0.0, 44.0, 32.0, 20.0, 4.0, 0.0, 4.0, 4.0, 48.0, 24.0, 48.0, 28.0, 10.0, 7.0, 44.0, 28.0, 57.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 141, "Bacheliers technologiques toutes séries", 136, "Liste d'appel propre à cette formation", 20.0, "11376", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11376&g_ta_cod=11376", 3.0, 49.0, 49.0),
(12237, "Privé hors contrat", "0342129E", "ACFA multimédia", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "ACFA multimédia - BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "BTS - Services", "", 12, 425, 47, 417, 0, 175, 20, 74, 13, 33, 14, 135, 8, 0, 0, 5, 3, 289, 5, 0, 0, 153, 17, 37, 6, 8, 1, 91, 78, 12, 0, 10, 2, 1.0, 3.0, 5.0, 0, 2, 8, 7, 0, 1, 4, 0, 0, 5, 3, 0, 0.0, 7, 0, 1, 0, 0, 1, 1, 8.33, 25.0, 41.67, 0.0, 12.5, 12.5, 0, 25.0, 66.6875, 0.0, 0.0, 62.5, 37.5, 0.0, 0.0, 87.5, 87.5, 0.0, 0.0, 12.5, 12.5, 24.0, 2.0, 6.0, 3.0, 41.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 76.0, "Bacheliers technologiques toutes séries", 1, "Bacheliers professionnels toutes séries", 3, "Liste d'appel propre à cette formation", 19.0, "30201", "BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30201&g_ta_cod=30201", 75.0, 8.0, 17.0),
(12238, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Informatique", "Licence - Sciences - technologies - santé", "", 50, 545, 54, 545, 0, 351, 82, 54, 16, 10, 6, 130, 0, 0, 0, 0, 0, 527, 0, 0, 0, 351, 82, 54, 16, 10, 6, 112, 243, 48, 1, 48, 0, 5.0, 43.0, 43.0, 0, 14, 41, 40, 1, 0, 7, 0, 20, 18, 2, 1, 0.0, 20, 1, 0, 0, 0, 35, 35, 10.42, 89.58, 89.58, 2.099609375, 85.390625, 85.390625, 0, 34.09375, 85.390625, 0.0, 48.796875, 43.8984375, 4.8994140625, 2.4, 0.0, 97.59375, 48.796875, 2.39990234375, 2.39990234375, 0.0, 0.0, 189.0, 44.0, 0.0, 0.0, 45.0, "Tous les candidats", 312.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "7745", "Licence - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7745&g_ta_cod=7745", 96.0, 4.0, 0.0),
(12239, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Université de Rennes 2 - Diplôme d'Université - PAREO - ORA - s'Orienter, Réfléchir et Agir", "Diplôme d'Université", "ORA - s'Orienter, Réfléchir et Agir", 20, 116, 69, 49, 0, 15, 5, 18, 3, 8, 1, 8, 67, 16, 20, 5, 26, 49, 14, 0, 0, 15, 5, 18, 3, 8, 1, 8, 62, 19, 12, 9, 7, 7.0, 9.0, 14.0, 0, 3, 15, 5, 6, 4, 4, 0, 10, 3, 2, 0, 0.0, 0, 2, 3, 0, 0, 12, 12, 36.84, 47.37, 73.68, 63.1953125, 80.0, 80.0, 0, 20.0, 78.890625, 0.0, 66.6875, 20.0, 13.298828125, 0.0, 0.0, 33.296875, 0.0, 40.0, 13.298828125, 26.69921875, 20.0, 16.0, 4.0, 10.0, 3.0, 11.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32529", "Diplôme d'Université - PAREO - ORA - s'Orienter, Réfléchir et Agir", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32529&g_ta_cod=32529", 32.0, 47.0, 21.0),
(12240, "Public", "0280021W", "Lycée Edouard BRANLY", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Dreux", "formation sélective", "BTS", "Lycée Edouard BRANLY - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 85, 4, 83, 0, 2, 1, 20, 3, 40, 17, 21, 2, 0, 0, 0, 2, 56, 0, 0, 0, 2, 1, 15, 3, 35, 14, 4, 28, 14, 0, 14, 0, 9.0, 13.0, 14.0, 0, 6, 12, 1, 0, 11, 2, 0, 6, 4, 2, 0, 0.0, 0, 0, 6, 11, 0, 12, 12, 64.29, 92.86, 100.0, 0.0, 100.0, 100.0, 91.6875, 50.0, 85.6875, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 8.298828125, 0.0, 0.0, 0.0, 91.6875, 50.0, 2.0, 1.0, 13.0, 6.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 14, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 41.0, "3732", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3732&g_ta_cod=3732", 14.0, 7.0, 79.0),
(12241, "Public", "0941294W", "Lycée Adolphe Cherioux", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vitry-sur-Seine", "formation sélective", "Autre formation", "Lycée Adolphe Cherioux - DN MADE - Événement - - Spécialité : Scénographie des événements culturels", "DN MADE", "- Spécialité : Scénographie des événements culturels", 12, 362, 322, 362, 0, 126, 19, 94, 15, 19, 1, 123, 0, 0, 0, 0, 0, 211, 0, 0, 0, 85, 11, 78, 10, 9, 0, 39, 51, 12, 11, 12, 0, 1.0, 9.0, 10.0, 0, 2, 10, 4, 6, 0, 2, 0, 1, 5, 3, 1, 0.0, 4, 5, 0, 0, 0, 1, 8, 8.33, 75.0, 83.33, 91.6875, 10.0, 80.0, 0, 20.0, 83.296875, 0.0, 10.0, 50.0, 30.0, 10.0, 0.0, 40.0, 40.0, 60.0, 50.0, 0.0, 0.0, 23.0, 4.0, 0.0, 0.0, 5.0, "Tous les candidats", 78.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "21934", "DN MADE - Événement - - Spécialité : Scénographie des événements culturels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21934&g_ta_cod=21934", 42.0, 50.0, 0.0),
(12242, "Public", "0210019G", "Lycée Le Castel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Le Castel - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 24, 492, 54, 485, 0, 84, 14, 147, 37, 119, 45, 135, 7, 0, 2, 0, 5, 302, 1, 0, 0, 68, 12, 108, 26, 90, 29, 36, 121, 25, 2, 24, 1, 1.0, 18.0, 19.0, 0, 5, 22, 6, 8, 8, 3, 0, 10, 4, 7, 1, 0.0, 1, 3, 8, 0, 0, 20, 20, 4.0, 72.0, 76.0, 8.0, 90.890625, 90.890625, 0, 22.69921875, 88.0, 0.0, 45.5, 18.19921875, 31.796875, 4.5, 0.0, 27.296875, 4.5, 36.3984375, 13.599609375, 36.3984375, 36.3984375, 39.0, 8.0, 30.0, 8.0, 18.0, "Tous les candidats sauf les Bac professionnels", 153.0, "Bacheliers professionnels toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 41.0, "3197", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3197&g_ta_cod=3197", 28.0, 40.0, 32.0),
(12243, "Privé enseignement supérieur", "0352349N", "Institut Catholique de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Bruz", "formation sélective", "Licence", "Institut Catholique de Rennes - Licence - Administration économique et sociale - Parcours AES", "Licence - Droit-économie-gestion", "AES", 80, 114, 64, 88, 0, 79, 2, 3, 0, 1, 1, 5, 26, 9, 1, 1, 15, 76, 4, 0, 0, 72, 1, 1, 0, 0, 0, 3, 80, 24, 12, 22, 2, 22.0, 22.0, 23.0, 0, 1, 22, 22, 0, 0, 2, 0, 4, 11, 7, 0, 0.0, 18, 0, 0, 0, 0, 18, 18, 91.67, 91.67, 95.83, 50.0, 81.796875, 81.796875, 0, 4.5, 91.6875, 0.0, 18.19921875, 50.0, 31.796875, 0.0, 0.0, 100.0, 81.796875, 0.0, 0.0, 0.0, 0.0, 73.0, 1.0, 0.0, 0.0, 6.0, "Tous les candidats", 76.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "13716", "Licence - Administration économique et sociale - Parcours AES", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13716&g_ta_cod=13716", 96.0, 4.0, 0.0),
(12244, "Public", "0931738J", "Lycée professionnel Arthur Rimbaud", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "La Courneuve", "formation sélective", "Autre formation", "Lycée professionnel Arthur Rimbaud - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 28, 11, 0, 0, 0.0, 0.0, 0.0, 0, 19, 26, 0, 4, 22, 2, 0, 24, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 26, 26, 0.0, 0.0, 0.0, 39.296875, 100.0, 100.0, 0, 73.09375, 92.890625, 0.0, 92.296875, 7.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 15.3984375, 0.0, 84.59375, 7.69921875, 0.0, 0.0, 48.0, 31.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "25598", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 18.0, 82.0),
(12245, "Privé sous contrat d'association", "0370749N", "Lycée Sainte Marguerite", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Chambray-lès-Tours", "formation sélective", "BTS", "Lycée Sainte Marguerite - BTS - Services - Communication", "BTS - Services", "", 40, 593, 405, 593, 0, 176, 32, 152, 32, 52, 9, 213, 0, 0, 0, 0, 0, 338, 0, 0, 0, 134, 24, 90, 17, 17, 4, 97, 141, 38, 30, 38, 0, 9.0, 28.0, 34.0, 0, 3, 18, 11, 4, 3, 20, 0, 1, 8, 8, 1, 0.0, 10, 4, 3, 1, 1, 11, 11, 23.68, 73.68, 89.47, 78.890625, 61.09375, 61.09375, 5.599609375, 16.69921875, 47.3984375, 0.0, 5.599609375, 44.3984375, 44.3984375, 5.6, 0.0, 61.09375, 55.59375, 22.19921875, 22.19921875, 16.69921875, 16.69921875, 52.0, 9.0, 9.0, 2.0, 54.0, "Tous les candidats sauf les Bac professionnels", 191.0, "Bacheliers professionnels toutes séries", 11, "", 0, "Liste d'appel propre à cette formation", 34.0, "4863", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4863&g_ta_cod=4863", 74.0, 16.0, 11.0),
(12246, "Public", "0490018D", "Lycée polyvalent Europe Robert Schuman", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "Autre formation", "Lycée polyvalent Europe Robert Schuman - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 23, 7, 5, 0, 0, 0.0, 0.0, 1.0, 0, 3, 7, 0, 1, 6, 0, 0, 6, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 7, 7, 0.0, 0.0, 14.29, 71.390625, 100.0, 100.0, 0, 42.8984375, 100.0, 0.0, 85.6875, 14.298828125, 0.0, 0.0, 0.0, 0.0, 0.0, 14.298828125, 0.0, 85.6875, 14.298828125, 0.0, 0.0, 20.0, 7.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22546", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 14.0, 86.0),
(12247, "Public", "0750715V", "Lycée Maurice Ravel", "75", "Paris", "Ile-de-France", "Paris", "Paris 20e  Arrondissement", "formation sélective", "BTS", "Lycée Maurice Ravel - BTS - Services - Professions immobilières", "BTS - Services", "", 35, 2624, 1348, 2624, 0, 563, 130, 846, 318, 465, 210, 750, 0, 0, 0, 0, 0, 794, 0, 0, 0, 243, 47, 194, 79, 207, 81, 150, 208, 36, 24, 36, 0, 3.0, 26.0, 29.0, 0, 14, 28, 11, 7, 10, 8, 0, 3, 13, 7, 5, 0.0, 11, 5, 9, 0, 0, 6, 23, 8.33, 72.22, 80.56, 66.6875, 21.3984375, 82.09375, 0, 50.0, 77.796875, 0.0, 10.69921875, 46.3984375, 25.0, 17.9, 0.0, 39.296875, 39.296875, 25.0, 17.8984375, 35.6953125, 32.09375, 68.0, 25.0, 41.0, 16.0, 39.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 117.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 111, "Liste d'appel propre à cette formation", 12.0, "9189", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9189&g_ta_cod=9189", 47.0, 22.0, 31.0),
(12248, "Privé sous contrat d'association", "9741060J", "Lycée professionnel Agricole Cluny Ste-Suzanne", "974", "La Réunion", "La Réunion", "La Réunion", "Sainte-Suzanne", "formation sélective", "BTS", "Lycée professionnel Agricole Cluny Ste-Suzanne - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 24, 72, 35, 61, 0, 10, 4, 10, 6, 25, 14, 16, 11, 2, 0, 1, 8, 54, 1, 0, 0, 10, 4, 9, 6, 24, 13, 11, 47, 9, 3, 9, 0, 3.0, 9.0, 9.0, 0, 1, 4, 0, 0, 4, 5, 0, 2, 2, 0, 0, 0.0, 0, 0, 2, 1, 1, 3, 3, 33.33, 100.0, 100.0, 33.296875, 75.0, 75.0, 25, 25.0, 44.3984375, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 9.0, 4.0, 17.0, 9.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 79.0, "15863", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15863&g_ta_cod=15863", 33.0, 0.0, 67.0),
(12249, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence_Las", "Université de Strasbourg - Licence - Sciences pour la santé - Sciences pour la santé - Sciences du sport -  option Santé", "Licence - Sciences - technologies - santé", "Sciences pour la santé - Sciences du sport", 113, 1201, 685, 1201, 0, 938, 124, 26, 5, 5, 1, 232, 0, 0, 0, 0, 0, 1195, 0, 0, 0, 938, 124, 26, 5, 5, 1, 226, 300, 113, 76, 113, 0, 28.0, 99.0, 106.0, 0, 14, 111, 107, 4, 0, 2, 0, 0, 5, 62, 40, 4.0, 107, 4, 0, 0, 0, 104, 104, 24.78, 87.61, 93.81, 67.296875, 93.6875, 93.6875, 0, 12.599609375, 98.1875, 0.0, 0.0, 4.5, 55.8984375, 36.0, 3.6, 96.390625, 96.390625, 3.599609375, 3.599609375, 0.0, 0.0, 269.0, 34.0, 0.0, 0.0, 25.0, "Tous les candidats", 346.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "29226", "Licence - Sciences pour la santé - Sciences pour la santé - Sciences du sport -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29226&g_ta_cod=29226", 96.0, 4.0, 0.0),
(12250, "Public", "0251288P", "Unité de formation et de recherche des sciences de la santé de l'université de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Autre formation", "Regroupement Bourgogne ? Franche-Comté et Grand Est - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 35, 2210, 2131, 2210, 0, 670, 69, 34, 9, 5, 2, 1501, 0, 0, 0, 0, 0, 390, 0, 0, 0, 285, 16, 7, 2, 1, 0, 97, 133, 35, 33, 35, 0, 7.0, 32.0, 34.0, 0, 4, 25, 24, 1, 0, 10, 0, 0, 1, 14, 10, 0.0, 24, 1, 0, 0, 0, 6, 6, 20.0, 91.43, 97.14, 94.296875, 24.0, 24.0, 0, 16.0, 71.390625, 0.0, 0.0, 4.0, 56.0, 40.0, 0.0, 96.0, 96.0, 4.0, 4.0, 0.0, 0.0, 82.0, 8.0, 1.0, 0.0, 48.0, "Tous les candidats", 192.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 8.0, "28048", "Certificat de capacité d'Orthophoniste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28048&g_ta_cod=28048", 97.0, 3.0, 0.0),
(12251, "Privé enseignement supérieur", "0592806E", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence_Las", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences - Licence - Portail Gestion - Parcours Gestion", "Licence - Droit-économie-gestion", "Parcours Gestion", 15, 255, 157, 73, 0, 49, 9, 5, 3, 0, 0, 19, 182, 83, 4, 3, 92, 65, 39, 0, 0, 46, 7, 1, 0, 0, 0, 18, 91, 13, 11, 1, 12, 0.0, 1.0, 9.0, 0, 0, 5, 5, 0, 0, 8, 0, 0, 2, 3, 0, 0.0, 5, 0, 0, 0, 0, 2, 2, 0.0, 7.69, 69.23, 84.59375, 40.0, 40.0, 0, 0.0, 38.5, 0.0, 0.0, 40.0, 60.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 61.0, 6.0, 0.0, 0.0, 29.0, "Tous les candidats", 760.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 88.0, "28823", "Licence - Portail Gestion - Parcours Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28575&g_ta_cod=28823", 100.0, 0.0, 0.0),
(12252, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence_Las", "Université de Brest - Licence - Portail Sciences sanitaires et sociales", "Licence - Sciences - technologies - santé", "", 25, 665, 602, 665, 0, 241, 46, 210, 58, 21, 9, 193, 0, 0, 0, 0, 0, 660, 0, 0, 0, 241, 46, 210, 58, 21, 9, 188, 167, 24, 24, 24, 0, 2.0, 19.0, 22.0, 0, 5, 23, 14, 9, 0, 1, 0, 1, 13, 8, 1, 0.0, 14, 8, 0, 0, 0, 20, 20, 8.33, 79.17, 91.67, 100.0, 87.0, 87.0, 0, 21.69921875, 95.796875, 0.0, 4.2998046875, 56.5, 34.796875, 4.3, 0.0, 60.8984375, 60.8984375, 39.09375, 34.796875, 0.0, 0.0, 95.0, 12.0, 0.0, 0.0, 22.0, "Tous les candidats", 422.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 43.0, "27720", "Licence - Portail Sciences sanitaires et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27719&g_ta_cod=27720", 58.0, 42.0, 0.0),
(12253, "Privé sous contrat d'association", "0594278E", "lycée E.P.I.D.", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "lycée E.P.I.D. - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 100, 7, 92, 0, 7, 2, 16, 0, 42, 11, 27, 8, 1, 1, 1, 5, 56, 4, 0, 0, 6, 1, 14, 0, 35, 9, 1, 47, 11, 0, 10, 1, 3.0, 10.0, 10.0, 0, 2, 11, 0, 3, 8, 0, 0, 5, 4, 2, 0, 0.0, 0, 0, 6, 1, 0, 11, 11, 27.27, 90.91, 90.91, 0.0, 100.0, 100.0, 9.099609375, 18.19921875, 100.0, 0.0, 45.5, 36.3984375, 18.19921875, 0.0, 0.0, 0.0, 0.0, 27.296875, 0.0, 72.6875, 54.5, 5.0, 1.0, 26.0, 7.0, 2.0, "Tous les candidats sauf les Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 58.0, "25140", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25140&g_ta_cod=25140", 0.0, 27.0, 73.0),
(12254, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence_Las", "Université de Lorraine - Site de Nancy - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 40, 1734, 730, 1734, 0, 1185, 159, 118, 37, 44, 18, 387, 0, 0, 0, 0, 0, 1734, 0, 0, 0, 1185, 159, 118, 37, 44, 18, 387, 162, 39, 20, 39, 0, 8.0, 28.0, 35.0, 0, 9, 28, 26, 2, 0, 11, 0, 3, 12, 12, 1, 0.0, 24, 1, 0, 0, 0, 26, 26, 20.51, 71.79, 89.74, 51.296875, 92.890625, 92.890625, 0, 32.09375, 71.796875, 0.0, 10.69921875, 42.8984375, 42.8984375, 3.6, 0.0, 92.890625, 85.6875, 7.099609375, 3.599609375, 0.0, 0.0, 85.0, 22.0, 2.0, 2.0, 71.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "26951", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26950&g_ta_cod=26951", 95.0, 5.0, 0.0),
(12255, "Public", "0100684P", "Iut De Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BUT", "Iut De Troyes - BUT - Carrières juridiques Parcours : Administration et Justice - Entreprise et Association", "BUT - Service", "Administration et Justice - Entreprise et Association", 56, 1920, 1513, 1920, 0, 888, 171, 673, 196, 58, 19, 301, 0, 0, 0, 0, 0, 1588, 0, 0, 0, 881, 168, 452, 123, 28, 5, 227, 355, 53, 41, 53, 0, 2.0, 43.0, 50.0, 0, 11, 48, 22, 26, 0, 5, 0, 3, 25, 18, 2, 0.0, 20, 25, 0, 0, 0, 20, 20, 3.77, 81.13, 94.34, 77.390625, 41.6953125, 41.6953125, 0, 22.8984375, 90.59375, 0.0, 6.2998046875, 52.09375, 37.5, 4.2, 0.0, 45.796875, 41.6953125, 54.1953125, 52.09375, 0.0, 0.0, 150.0, 37.0, 0.0, 0.0, 38.0, "Tous les candidats sauf les Bac technologiques", 360.0, "Bacheliers technologiques toutes séries", 342, "", 0, "Liste d'appel propre à cette formation", 37.0, "18735", "BUT - Carrières juridiques Parcours : Administration et Justice - Entreprise et Association", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18735&g_ta_cod=18735", 49.0, 51.0, 0.0),
(12256, "Privé enseignement supérieur", "0753541S", "Institut Catholique Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Institut Catholique Paris - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 60, 92, 76, 55, 0, 34, 3, 9, 3, 2, 1, 10, 37, 13, 2, 3, 19, 55, 35, 0, 0, 34, 3, 9, 3, 2, 1, 10, 90, 11, 9, 6, 5, 5.0, 6.0, 8.0, 0, 0, 5, 2, 2, 1, 6, 0, 2, 2, 1, 0, 0.0, 1, 1, 1, 0, 0, 3, 5, 45.45, 54.55, 72.73, 81.796875, 60.0, 100.0, 0, 0.0, 45.5, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 40.0, 20.0, 40.0, 20.0, 20.0, 20.0, 45.0, 3.0, 5.0, 2.0, 29.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9452", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9452&g_ta_cod=9452", 55.0, 27.0, 18.0),
(12257, "Public", "0771880A", "Lycée professionnel Charles Baudelaire", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "Autre formation", "Lycée professionnel Charles Baudelaire - Mention complémentaire - FCIL Services aéroportuaires", "Mention complémentaire", "", 15, 99, 67, 66, 0, 5, 1, 7, 2, 31, 18, 23, 33, 0, 5, 10, 18, 19, 5, 0, 0, 1, 0, 2, 1, 15, 7, 1, 28, 10, 5, 7, 3, 7.0, 7.0, 8.0, 0, 1, 8, 0, 0, 8, 2, 0, 3, 5, 0, 0, 0.0, 0, 0, 5, 0, 0, 7, 8, 70.0, 70.0, 80.0, 50.0, 87.5, 100.0, 0, 12.5, 80.0, 0.0, 37.5, 62.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 62.5, 1.0, 0.0, 21.0, 8.0, 3.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "30632", "Mention complémentaire - FCIL Services aéroportuaires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30632&g_ta_cod=30632", 10.0, 10.0, 80.0),
(12258, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence", "Université de Perpignan Via Domitia - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Catalan", "Licence - Arts-lettres-langues", "Catalan", 35, 70, 37, 41, 0, 29, 10, 0, 0, 5, 3, 7, 29, 0, 0, 4, 25, 41, 29, 0, 0, 29, 10, 0, 0, 5, 3, 7, 70, 16, 8, 8, 8, 7.0, 7.0, 10.0, 0, 4, 9, 7, 0, 2, 7, 0, 2, 4, 3, 0, 0.0, 7, 0, 0, 0, 0, 8, 8, 43.75, 43.75, 62.5, 50.0, 88.890625, 88.890625, 0, 44.3984375, 56.296875, 0.0, 22.19921875, 44.3984375, 33.296875, 0.0, 0.0, 77.796875, 77.796875, 0.0, 0.0, 22.19921875, 0.0, 29.0, 10.0, 9.0, 4.0, 32.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7868", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Catalan", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7868&g_ta_cod=7868", 63.0, 0.0, 38.0),
(12259, "Public", "0623920Z", "Université du littoral - Site de Boulogne-sur-Mer", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation non sélective", "Licence", "Université du littoral - Site de Boulogne-sur-Mer - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 108, 494, 335, 443, 0, 318, 82, 34, 14, 11, 6, 80, 51, 3, 1, 2, 45, 435, 46, 0, 0, 318, 82, 34, 14, 11, 6, 72, 438, 85, 50, 70, 15, 43.0, 69.0, 82.0, 0, 20, 55, 47, 5, 3, 30, 0, 15, 21, 15, 4, 0.0, 36, 3, 1, 0, 0, 50, 50, 50.59, 81.18, 96.47, 58.796875, 90.890625, 90.890625, 0, 36.3984375, 64.6875, 0.0, 27.296875, 38.1953125, 27.296875, 7.3, 0.0, 85.5, 65.5, 9.099609375, 5.5, 5.5, 1.7998046875, 290.0, 75.0, 13.0, 8.0, 107.0, "Tous les candidats", 434.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "7498", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7498&g_ta_cod=7498", 84.0, 8.0, 7.0),
(12260, "Public", "0760032X", "Lycée Anguier", "76", "Seine-Maritime", "Normandie", "Normandie", "Eu", "formation sélective", "BTS", "Lycée Anguier - BTS - Services - Gestion de la PME", "BTS - Services", "", 33, 475, 272, 448, 0, 11, 3, 46, 14, 85, 39, 306, 27, 0, 13, 4, 10, 175, 7, 0, 0, 11, 3, 41, 11, 74, 33, 49, 116, 27, 20, 21, 6, 5.0, 19.0, 20.0, 0, 9, 26, 2, 6, 18, 1, 0, 9, 13, 4, 0, 0.0, 1, 3, 13, 2, 0, 18, 18, 18.52, 70.37, 74.07, 74.09375, 69.1875, 69.1875, 7.69921875, 34.59375, 96.296875, 0.0, 34.59375, 50.0, 15.3984375, 0.0, 0.0, 7.69921875, 3.7998046875, 23.09765625, 11.5, 69.1875, 50.0, 5.0, 1.0, 61.0, 28.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 27.0, "9565", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9565&g_ta_cod=9565", 11.0, 22.0, 67.0),
(12261, "Public", "0380027Y", "Lycée Champollion", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "CPGE", "Lycée Champollion - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 759, 570, 759, 467, 687, 77, 3, 1, 2, 1, 67, 0, 0, 0, 0, 0, 711, 0, 289, 696, 668, 71, 0, 0, 0, 0, 43, 456, 89, 65, 89, 0, 25.0, 68.0, 88.0, 8, 9, 83, 83, 0, 0, 6, 0, 1, 15, 36, 30, 1.0, 82, 0, 0, 18, 12, 64, 64, 28.09, 76.4, 98.88, 73.0, 77.09375, 77.09375, 21.69921875, 10.798828125, 93.296875, 0.0, 1.199951171875, 18.09765625, 43.3984375, 36.1, 1.2, 100.0, 98.796875, 0.0, 0.0, 0.0, 0.0, 426.0, 50.0, 0.0, 0.0, 30.0, "Tous les candidats", 720.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "4925", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4925&g_ta_cod=4925", 100.0, 0.0, 0.0),
(12262, "Public", "0861283C", "I.U.T. Poitiers (site Chatellerault)", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Châtellerault", "formation sélective", "BUT", "I.U.T. Poitiers (site Chatellerault) - BUT - Mesures physiques Parcours : Mesures et analyses environnementales", "BUT - Production", "Mesures et analyses environnementales", 49, 519, 103, 484, 0, 325, 38, 46, 9, 1, 0, 112, 35, 5, 5, 0, 25, 463, 23, 0, 0, 318, 34, 41, 7, 0, 0, 104, 307, 26, 6, 18, 8, 1.0, 18.0, 26.0, 0, 2, 11, 10, 1, 0, 15, 0, 4, 5, 2, 0, 0.0, 7, 0, 0, 0, 0, 4, 4, 3.85, 69.23, 100.0, 23.09765625, 36.3984375, 36.3984375, 0, 18.19921875, 42.296875, 0.0, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 90.890625, 63.59375, 9.099609375, 0.0, 0.0, 0.0, 164.0, 15.0, 0.0, 0.0, 104.0, "Tous les candidats sauf les Bac technologiques", 414.0, "Bacheliers technologiques toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 95.0, "10654", "BUT - Mesures physiques Parcours : Mesures et analyses environnementales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10654&g_ta_cod=10654", 92.0, 8.0, 0.0),
(12263, "Public", "0672338C", "IFSI Selestat", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Sélestat", "formation sélective", "IFSI", "Regroupement d'IFSI Université Strasbourg - D.E Infirmier", "D.E secteur sanitaire", "", 34, 3106, 2620, 3106, 0, 551, 106, 605, 181, 324, 117, 1626, 0, 0, 0, 0, 0, 2691, 0, 0, 0, 533, 99, 519, 148, 236, 75, 1403, 649, 34, 31, 34, 0, 0.0, 8.0, 26.0, 0, 5, 25, 13, 8, 4, 9, 0, 4, 16, 4, 1, 0.0, 10, 7, 4, 0, 0, 22, 22, 0.0, 23.53, 76.47, 91.1875, 88.0, 88.0, 0, 20.0, 73.5, 0.0, 16.0, 64.0, 16.0, 4.0, 0.0, 52.0, 40.0, 32.0, 28.0, 16.0, 16.0, 198.0, 31.0, 25.0, 15.0, 331.0, "Tous les candidats", 1940.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "23240", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23000&g_ta_cod=23240", 65.0, 24.0, 12.0),
(12264, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail LLCER ESPAGNOL / Sciences Du Langage", "Licence - Arts-lettres-langues", "LLCER ESPAGNOL / Sciences Du Langage : Langues, littératures & civilisations étrangères et régionales", 10, 73, 65, 64, 0, 49, 11, 5, 2, 0, 0, 10, 9, 3, 0, 1, 5, 64, 8, 0, 0, 49, 11, 5, 2, 0, 0, 10, 72, 7, 7, 6, 1, 6.0, 6.0, 6.0, 0, 2, 6, 5, 1, 0, 1, 0, 2, 1, 3, 0, 0.0, 4, 0, 0, 0, 0, 5, 5, 85.71, 85.71, 85.71, 100.0, 83.296875, 83.296875, 0, 33.296875, 85.6875, 0.0, 33.296875, 16.69921875, 50.0, 0.0, 0.0, 83.296875, 66.6875, 16.69921875, 0.0, 0.0, 0.0, 52.0, 11.0, 1.0, 1.0, 14.0, "Tous les candidats", 77.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23879", "Licence - Portail LLCER ESPAGNOL / Sciences Du Langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23877&g_ta_cod=23879", 86.0, 14.0, 0.0),
(12265, "Public", "9730429D", "Université de Guyane", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation non sélective", "Licence", "Université de Guyane - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 90, 321, 250, 262, 0, 175, 84, 23, 13, 15, 5, 49, 59, 10, 2, 8, 39, 262, 39, 0, 0, 175, 84, 23, 13, 15, 5, 49, 245, 82, 62, 55, 26, 25.0, 54.0, 65.0, 0, 22, 53, 40, 5, 8, 29, 7, 23, 17, 5, 1, 0.0, 20, 2, 1, 0, 0, 50, 50, 30.49, 65.85, 79.27, 75.59375, 94.296875, 94.296875, 0, 41.5, 64.59375, 13.19921875, 43.3984375, 32.09375, 9.3984375, 1.9, 0.0, 75.5, 37.6953125, 9.3984375, 3.7998046875, 15.099609375, 1.89990234375, 153.0, 78.0, 16.0, 9.0, 63.0, "Tous les candidats", 261.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "21093", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21093&g_ta_cod=21093", 65.0, 15.0, 21.0),
(12266, "Privé sous contrat d'association", "0592757B", "ECOLE EUROPEENNE SUPERIEURE EN TRAVAIL SOCIAL ECOLE D'EDUCATEURS SPECIALISES DE LILLE", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "EFTS", "ECOLE EUROPEENNE SUPERIEURE EN TRAVAIL SOCIAL ECOLE D'EDUCATEURS SPECIALISES DE LILLE - D.E Educateur Spécialisé", "D.E secteur social", "", 35, 399, 301, 399, 0, 73, 11, 76, 28, 40, 18, 210, 0, 0, 0, 0, 0, 188, 0, 0, 0, 29, 2, 20, 7, 6, 2, 133, 63, 38, 25, 38, 0, 24.0, 38.0, 38.0, 0, 3, 9, 6, 3, 0, 29, 0, 0, 1, 8, 0, 0.0, 6, 3, 0, 0, 0, 9, 9, 63.16, 100.0, 100.0, 65.796875, 100.0, 100.0, 0, 33.296875, 23.69921875, 0.0, 0.0, 11.099609375, 88.890625, 0.0, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 8.0, 1.0, 1.0, 0.0, 50.0, "Tous les candidats", 69.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "24930", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24930&g_ta_cod=24930", 66.0, 21.0, 13.0),
(12267, "Public", "0670087F", "Lycée Alexandre Dumas (Hotelier)", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "BTS", "Lycée Alexandre Dumas (Hotelier) - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 120, 492, 275, 491, 0, 0, 0, 192, 29, 164, 46, 135, 1, 0, 0, 0, 1, 464, 0, 0, 0, 0, 0, 187, 27, 148, 40, 129, 345, 116, 67, 116, 0, 40.0, 112.0, 115.0, 0, 16, 69, 0, 37, 32, 47, 0, 13, 34, 15, 7, 0.0, 0, 26, 30, 39, 21, 43, 43, 34.48, 96.55, 99.14, 57.796875, 62.296875, 62.296875, 56.5, 23.19921875, 59.5, 0.0, 18.796875, 49.296875, 21.69921875, 10.1, 0.0, 0.0, 0.0, 53.59375, 37.6953125, 46.3984375, 43.5, 0.0, 0.0, 115.0, 32.0, 100.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 92.0, "Bacheliers professionnels toutes séries", 155, "Bacheliers technologiques toutes séries", 195, "Liste d'appel propre à cette formation", 90.0, "7955", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7955&g_ta_cod=7955", 33.0, 34.0, 33.0),
(12268, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "PASS", "Université Clermont Auvergne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Economie & Gestion", 80, 1680, 1120, 1680, 0, 1276, 215, 19, 4, 5, 2, 380, 0, 0, 0, 0, 0, 1679, 0, 0, 0, 1276, 215, 19, 4, 5, 2, 379, 518, 76, 50, 76, 0, 4.0, 59.0, 64.0, 0, 14, 69, 67, 2, 0, 7, 0, 17, 31, 17, 3, 1.0, 51, 1, 0, 0, 0, 52, 52, 5.26, 77.63, 84.21, 65.796875, 75.390625, 75.390625, 0, 20.296875, 90.796875, 0.0, 24.59765625, 44.8984375, 24.59765625, 4.3, 1.4, 97.09375, 73.890625, 2.89990234375, 1.39990234375, 0.0, 0.0, 466.0, 82.0, 1.0, 0.0, 44.0, "Tous les candidats", 1900.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "26636", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26629&g_ta_cod=26636", 95.0, 5.0, 0.0),
(12269, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "Licence", "ICES - Institut Catholique de Vendée - Licence - Lettres", "Licence - Arts-lettres-langues", "", 50, 62, 53, 56, 0, 48, 9, 1, 0, 2, 0, 5, 6, 3, 0, 0, 3, 55, 3, 0, 0, 47, 9, 1, 0, 2, 0, 5, 58, 13, 12, 12, 1, 12.0, 12.0, 13.0, 0, 4, 13, 13, 0, 0, 0, 0, 1, 5, 7, 0, 0.0, 12, 0, 0, 0, 0, 11, 11, 92.31, 92.31, 100.0, 92.296875, 84.59375, 84.59375, 0, 30.796875, 100.0, 0.0, 7.69921875, 38.5, 53.796875, 0.0, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 49.0, 9.0, 2.0, 0.0, 6.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "10552", "Licence - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10552&g_ta_cod=10552", 100.0, 0.0, 0.0),
(12270, "Privé sous contrat d'association", "9840465H", "Lycée La Mennais", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Papeete", "formation sélective", "BTS", "Lycée La Mennais - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 22, 103, 73, 84, 0, 16, 6, 39, 17, 13, 6, 16, 19, 0, 7, 7, 5, 61, 5, 0, 0, 12, 5, 31, 14, 8, 5, 10, 49, 18, 14, 15, 3, 7.0, 15.0, 17.0, 0, 6, 15, 2, 11, 2, 3, 0, 3, 7, 4, 1, 0.0, 2, 8, 2, 7, 5, 15, 15, 38.89, 83.33, 94.44, 77.796875, 100.0, 100.0, 46.6953125, 40.0, 83.296875, 0.0, 20.0, 46.6953125, 26.69921875, 6.7, 0.0, 13.298828125, 13.298828125, 73.296875, 53.296875, 13.298828125, 13.298828125, 2.0, 0.0, 7.0, 3.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 56.0, "19081", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19081&g_ta_cod=19081", 17.0, 67.0, 17.0),
(12271, "Public", "0260008T", "Lycée DU DIOIS", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Die", "formation sélective", "BTS", "Lycée DU DIOIS - BTS - Production - Management économique de la construction", "BTS - Production", "", 15, 119, 27, 103, 0, 16, 0, 32, 7, 44, 10, 11, 16, 0, 2, 6, 8, 89, 6, 0, 0, 14, 0, 28, 5, 39, 9, 8, 75, 12, 3, 7, 4, 3.0, 6.0, 11.0, 0, 2, 7, 3, 0, 4, 5, 0, 2, 3, 2, 0, 0.0, 2, 0, 3, 0, 0, 2, 2, 25.0, 50.0, 91.67, 25.0, 28.59765625, 28.59765625, 0, 28.59765625, 58.296875, 0.0, 28.59765625, 42.8984375, 28.59765625, 0.0, 0.0, 42.8984375, 28.59765625, 0.0, 0.0, 57.09375, 42.8984375, 10.0, 0.0, 34.0, 10.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 84.0, "3612", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3612&g_ta_cod=3612", 33.0, 25.0, 42.0),
(12272, "Public", "0690103M", "Lycée Frédéric Fays", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "BTS", "Lycée Frédéric Fays - BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "BTS - Production", "", 18, 282, 16, 269, 0, 10, 1, 103, 24, 98, 40, 58, 13, 0, 10, 0, 3, 227, 0, 0, 0, 5, 1, 93, 19, 87, 35, 42, 97, 13, 1, 13, 0, 3.0, 9.0, 10.0, 0, 8, 11, 1, 5, 5, 2, 0, 7, 2, 2, 0, 0.0, 1, 1, 2, 5, 0, 10, 10, 23.08, 69.23, 76.92, 7.69921875, 90.890625, 90.890625, 45.5, 72.6875, 84.59375, 0.0, 63.59375, 18.19921875, 18.19921875, 0.0, 0.0, 9.099609375, 9.099609375, 45.5, 9.099609375, 45.5, 18.19921875, 1.0, 1.0, 51.0, 18.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 59.0, "8242", "BTS - Production - Conception des processus de réalisation de produits (1ère année commune)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8242&g_ta_cod=8242", 15.0, 46.0, 38.0),
(12273, "Public", "0721493G", "Lycée Marguerite Yourcenar", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Marguerite Yourcenar - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 480, 238, 448, 0, 70, 20, 128, 33, 77, 43, 173, 32, 0, 13, 3, 16, 246, 0, 0, 0, 57, 12, 94, 24, 44, 20, 51, 136, 33, 11, 33, 0, 6.0, 28.0, 30.0, 0, 8, 27, 9, 11, 7, 6, 0, 11, 12, 4, 0, 0.0, 4, 6, 6, 13, 1, 25, 25, 18.18, 84.85, 90.91, 33.296875, 92.59375, 92.59375, 48.09375, 29.59765625, 81.796875, 0.0, 40.6953125, 44.3984375, 14.798828125, 0.0, 0.0, 33.296875, 14.798828125, 40.6953125, 22.19921875, 25.8984375, 22.19921875, 28.0, 8.0, 29.0, 14.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 67.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 108, "Liste d'appel propre à cette formation", 48.0, "8769", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8769&g_ta_cod=8769", 39.0, 39.0, 21.0),
(12274, "Public", "0762976X", "Lycée Françoise De Grâce", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BTS", "Lycée Françoise De Grâce - BTS - Services - Métiers des Services à l'environnement", "BTS - Services", "", 15, 236, 92, 220, 0, 45, 7, 41, 8, 28, 14, 106, 16, 0, 7, 0, 9, 106, 4, 0, 0, 35, 5, 33, 6, 19, 11, 19, 58, 17, 7, 16, 1, 7.0, 13.0, 17.0, 0, 5, 10, 1, 3, 6, 7, 1, 3, 2, 3, 1, 0.0, 0, 0, 6, 6, 5, 10, 10, 41.18, 76.47, 100.0, 41.1953125, 100.0, 100.0, 60, 50.0, 58.796875, 10.0, 30.0, 20.0, 30.0, 10.0, 0.0, 10.0, 0.0, 30.0, 0.0, 60.0, 60.0, 12.0, 2.0, 10.0, 6.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 39.0, "17544", "BTS - Services - Métiers des Services à l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17544&g_ta_cod=17544", 35.0, 24.0, 41.0),
(12275, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Arts du spectacle", "Licence - Arts-lettres-langues", "", 135, 624, 432, 478, 0, 288, 55, 42, 9, 28, 11, 120, 146, 24, 7, 19, 96, 478, 113, 0, 0, 288, 55, 42, 9, 28, 11, 120, 510, 127, 88, 83, 44, 19.0, 82.0, 106.0, 0, 12, 67, 47, 9, 11, 60, 0, 25, 32, 7, 3, 0.0, 33, 5, 4, 0, 0, 41, 41, 14.96, 64.57, 83.46, 69.296875, 61.1953125, 61.1953125, 0, 17.8984375, 52.796875, 0.0, 37.296875, 47.796875, 10.3984375, 4.5, 0.0, 70.09375, 49.296875, 13.3984375, 7.5, 16.3984375, 6.0, 258.0, 46.0, 35.0, 13.0, 177.0, "Tous les candidats", 475.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "2261", "Licence - Arts du spectacle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2261&g_ta_cod=2261", 65.0, 18.0, 13.0),
(12276, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence_Las", "Université de Limoges - Licence - Portail Chimie - Parcours commun Maths Info Physique Chimie Génie Civil", "Licence - Sciences - technologies - santé", "Parcours commun Maths Info Physique Chimie Génie Civil", 24, 263, 151, 220, 0, 101, 30, 12, 6, 1, 0, 106, 43, 11, 1, 0, 31, 215, 35, 0, 0, 101, 30, 12, 6, 1, 0, 101, 191, 20, 9, 13, 7, 0.0, 11.0, 13.0, 0, 2, 8, 7, 1, 0, 12, 0, 0, 6, 2, 0, 0.0, 7, 1, 0, 0, 0, 3, 3, 0.0, 55.0, 65.0, 45.0, 37.5, 37.5, 0, 25.0, 40.0, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 87.5, 87.5, 12.5, 12.5, 0.0, 0.0, 78.0, 16.0, 1.0, 0.0, 101.0, "Tous les candidats", 404.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "27209", "Licence - Portail Chimie - Parcours commun Maths Info Physique Chimie Génie Civil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27208&g_ta_cod=27209", 80.0, 15.0, 5.0),
(12277, "Public", "0330029C", "Lycée Nicolas Bremontier", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Nicolas Bremontier - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 48, 440, 233, 400, 0, 0, 0, 370, 84, 0, 0, 30, 40, 0, 27, 0, 13, 311, 10, 0, 311, 0, 0, 306, 64, 0, 0, 5, 250, 32, 17, 28, 4, 12.0, 28.0, 31.0, 0, 7, 28, 0, 28, 0, 4, 0, 3, 17, 7, 1, 0.0, 0, 25, 0, 3, 1, 21, 21, 37.5, 87.5, 96.88, 53.09375, 75.0, 75.0, 10.69921875, 25.0, 87.5, 0.0, 10.69921875, 60.6953125, 25.0, 3.6, 0.0, 0.0, 0.0, 100.0, 89.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 9.0, "Tous les candidats", 311.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "4302", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4302&g_ta_cod=4302", 0.0, 100.0, 0.0),
(12278, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Histoire - Parcours Histoire - Enseignement à distance", "Licence - Sciences humaines et sociales", "Histoire - Enseignement à distance", 70, 405, 228, 314, 0, 109, 24, 7, 1, 9, 2, 189, 91, 4, 1, 0, 86, 313, 86, 0, 0, 109, 24, 7, 1, 9, 2, 188, 304, 70, 39, 31, 39, 9.0, 30.0, 50.0, 0, 4, 14, 11, 1, 2, 56, 0, 7, 4, 3, 0, 0.0, 6, 0, 1, 0, 0, 7, 7, 12.86, 42.86, 71.43, 55.6953125, 50.0, 50.0, 0, 28.59765625, 20.0, 0.0, 50.0, 28.59765625, 21.3984375, 0.0, 0.0, 78.59375, 42.8984375, 7.099609375, 0.0, 14.298828125, 7.099609375, 86.0, 18.0, 7.0, 2.0, 205.0, "Tous les candidats", 313.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19538", "Licence - Histoire - Parcours Histoire - Enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19538&g_ta_cod=19538", 69.0, 14.0, 10.0),
(12279, "Public", "9840482B", "Lycée du Diadème - Te tara o mai'ao", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Pirae", "formation sélective", "BTS", "Lycée du Diadème - Te tara o mai'ao - BTS - Production - Bâtiment", "BTS - Production", "", 22, 137, 21, 137, 0, 11, 2, 69, 40, 43, 31, 14, 0, 0, 0, 0, 0, 137, 0, 0, 0, 11, 2, 69, 40, 43, 31, 14, 52, 22, 5, 22, 0, 6.0, 19.0, 20.0, 0, 11, 20, 2, 10, 8, 2, 0, 15, 4, 1, 0, 0.0, 1, 1, 3, 2, 0, 19, 19, 27.27, 86.36, 90.91, 22.69921875, 95.0, 95.0, 10, 55.0, 90.890625, 0.0, 75.0, 20.0, 5.0, 0.0, 0.0, 10.0, 5.0, 50.0, 5.0, 40.0, 15.0, 9.0, 2.0, 15.0, 11.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers technologiques toutes séries", 30, "Bacheliers professionnels toutes séries", 16, "Liste d'appel propre à cette formation", 42.0, "25795", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25795&g_ta_cod=25795", 14.0, 50.0, 36.0),
(12280, "Privé sous contrat d'association", "0060673Z", "Lycée Stanislas", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "CPGE", "Lycée Stanislas - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 36, 376, 252, 366, 276, 303, 24, 1, 1, 0, 0, 62, 10, 4, 0, 0, 6, 278, 2, 226, 265, 254, 18, 0, 0, 0, 0, 24, 226, 33, 25, 33, 0, 5.0, 23.0, 33.0, 25, 2, 32, 32, 0, 0, 1, 0, 0, 7, 13, 10, 2.0, 32, 0, 0, 2, 2, 18, 18, 15.15, 69.7, 100.0, 75.796875, 56.296875, 56.296875, 6.2998046875, 6.2998046875, 97.0, 0.0, 0.0, 21.8984375, 40.59375, 31.3, 6.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 210.0, 13.0, 0.0, 0.0, 16.0, "Tous les candidats", 275.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "19600", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19600&g_ta_cod=19600", 100.0, 0.0, 0.0),
(12281, "Public", "0251263M", "Lycée agricole Besancon - Lycée Granvelle", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Dannemarie-sur-Crète", "formation sélective", "BTS", "Lycée agricole Besancon - Lycée Granvelle - BTS - Agricole - Gestion forestière", "BTS - Agricole", "", 17, 390, 57, 388, 0, 120, 15, 118, 14, 65, 7, 85, 2, 0, 0, 1, 1, 328, 0, 0, 0, 119, 14, 102, 10, 46, 5, 61, 100, 15, 1, 15, 0, 2.0, 11.0, 12.0, 0, 3, 14, 5, 6, 3, 1, 0, 4, 5, 5, 0, 0.0, 5, 4, 1, 4, 0, 8, 8, 13.33, 73.33, 80.0, 6.69921875, 57.09375, 57.09375, 28.59765625, 21.3984375, 93.296875, 0.0, 28.59765625, 35.6953125, 35.6953125, 0.0, 0.0, 35.6953125, 35.6953125, 42.8984375, 28.59765625, 21.3984375, 7.099609375, 34.0, 4.0, 27.0, 4.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 41.0, "20044", "BTS - Agricole - Gestion forestière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20044&g_ta_cod=20044", 40.0, 40.0, 20.0),
(12282, "Public", "0753019Z", "IFSI Campus Picpus (AP-HP)", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "IFSI", "Regroupement d'IFSI Médecine Sorbonne Université P6 - D.E Infirmier", "D.E secteur sanitaire", "", 128, 10516, 9168, 10516, 0, 1416, 401, 1736, 667, 1286, 631, 6078, 0, 0, 0, 0, 0, 8901, 0, 0, 0, 1377, 387, 1616, 616, 1195, 593, 4713, 1226, 117, 106, 116, 0, 2.0, 51.0, 90.0, 0, 14, 24, 18, 3, 3, 93, 0, 3, 9, 9, 3, 0.0, 16, 2, 3, 0, 0, 6, 23, 1.71, 43.59, 76.92, 90.59375, 25.0, 95.796875, 0, 58.296875, 20.5, 0.0, 12.5, 37.5, 37.5, 12.5, 0.0, 75.0, 66.6875, 12.5, 8.298828125, 12.5, 12.5, 109.0, 78.0, 61.0, 58.0, 1011.0, "Tous les candidats", 2053.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 16.0, "23281", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23003&g_ta_cod=23281", 65.0, 29.0, 6.0),
(12283, "Public", "0900385E", "Université de Franche-Comté - Site de Belfort", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Belfort - Licence - Administration économique et sociale - Parcours  Administration et Gestion des Entreprises, Ressources Humaines", "Licence - Droit-économie-gestion", "Administration et Gestion des Entreprises, Ressources Humaines", 90, 668, 440, 614, 0, 317, 98, 149, 60, 6, 5, 142, 54, 8, 16, 6, 24, 594, 35, 0, 0, 317, 98, 149, 60, 6, 5, 122, 431, 83, 51, 65, 17, 7.0, 53.0, 66.0, 0, 25, 61, 34, 25, 2, 22, 1, 41, 15, 4, 0, 0.0, 10, 7, 2, 0, 0, 51, 51, 8.43, 63.86, 79.52, 61.3984375, 83.59375, 83.59375, 0, 41.0, 73.5, 1.599853515625, 67.1875, 24.59765625, 6.599609375, 0.0, 0.0, 55.6953125, 16.3984375, 41.0, 11.5, 3.2998046875, 3.2998046875, 241.0, 67.0, 5.0, 5.0, 95.0, "Tous les candidats", 589.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "10838", "Licence - Administration économique et sociale - Parcours  Administration et Gestion des Entreprises, Ressources Humaines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10838&g_ta_cod=10838", 53.0, 40.0, 6.0),
(12284, "Public", "0511565Z", "Lycée Francois Arago", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "Lycée Francois Arago - BTS - Production - Management économique de la construction", "BTS - Production", "", 15, 169, 43, 127, 0, 13, 2, 28, 10, 40, 14, 46, 42, 2, 7, 9, 24, 70, 15, 0, 0, 11, 2, 19, 5, 30, 9, 10, 65, 12, 6, 4, 8, 1.0, 3.0, 9.0, 0, 3, 8, 1, 2, 5, 4, 0, 2, 5, 1, 0, 0.0, 0, 2, 4, 2, 0, 3, 3, 8.33, 25.0, 75.0, 50.0, 37.5, 37.5, 25, 37.5, 66.6875, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 12.5, 0.0, 25.0, 25.0, 62.5, 50.0, 11.0, 1.0, 27.0, 7.0, 15.0, "Tous les candidats sauf les Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 54.0, "6142", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6142&g_ta_cod=6142", 25.0, 25.0, 50.0),
(12285, "Public", "0596244S", "I.U.T. de Valenciennes - Site de Cambrai", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "BUT", "I.U.T. de Valenciennes - Site de Cambrai - BUT - Qualité, logistique industrielle et organisation Parcours : Pilotage de la chaîne logistique globale - Qualité et pilotage des systèmes de management intégrés", "BUT - Production", "Pilotage de la chaîne logistique globale - Qualité et pilotage des systèmes de management intégrés", 35, 218, 57, 178, 0, 67, 10, 59, 17, 4, 1, 48, 40, 5, 6, 2, 27, 135, 19, 0, 0, 66, 9, 42, 10, 0, 0, 27, 133, 26, 3, 20, 6, 10.0, 20.0, 23.0, 0, 1, 18, 12, 6, 0, 8, 0, 10, 6, 2, 0, 0.0, 5, 3, 0, 0, 0, 17, 17, 38.46, 76.92, 88.46, 11.5, 94.390625, 94.390625, 0, 5.599609375, 69.1875, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 66.6875, 27.796875, 33.296875, 16.69921875, 0.0, 0.0, 57.0, 9.0, 0.0, 0.0, 34.0, "Tous les candidats sauf les Bac technologiques", 87.0, "Bacheliers technologiques toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 75.0, "7197", "BUT - Qualité, logistique industrielle et organisation Parcours : Pilotage de la chaîne logistique globale - Qualité et pilotage des systèmes de management intégrés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7197&g_ta_cod=7197", 69.0, 31.0, 0.0),
(12286, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Bilangue - Biculture", "Licence - Arts-lettres-langues", "Bilangue - Biculture", 85, 423, 354, 368, 0, 255, 71, 21, 9, 6, 6, 86, 55, 11, 2, 4, 38, 363, 52, 0, 0, 255, 71, 21, 9, 6, 6, 81, 320, 69, 60, 51, 18, 14.0, 50.0, 63.0, 0, 13, 46, 42, 3, 1, 23, 0, 9, 12, 16, 8, 1.0, 36, 1, 0, 0, 0, 36, 36, 20.29, 72.46, 91.3, 87.0, 78.296875, 78.296875, 0, 28.296875, 66.6875, 0.0, 19.59765625, 26.09765625, 34.796875, 17.4, 2.2, 91.296875, 78.296875, 6.5, 2.19970703125, 2.19970703125, 0.0, 194.0, 59.0, 8.0, 8.0, 99.0, "Tous les candidats", 363.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "13916", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Bilangue - Biculture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13916&g_ta_cod=13916", 90.0, 7.0, 3.0),
(12287, "Public", "0590311T", "CPI Lille (ENSC Lille)", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "Ecole d'Ingénieur", "Concours CPI Chimie Gay-Lussac - Formation d'ingénieur Bac + 5 - Bac Général", "Formations  des écoles d'ingénieurs", "Bac Général", 48, 1442, 944, 1442, 0, 1256, 90, 0, 0, 0, 0, 186, 0, 0, 0, 0, 0, 724, 0, 0, 0, 681, 38, 0, 0, 0, 0, 43, 274, 48, 35, 48, 0, 19.0, 42.0, 44.0, 0, 5, 45, 45, 0, 0, 3, 0, 0, 0, 4, 30, 11.0, 45, 0, 0, 0, 0, 22, 22, 39.58, 87.5, 91.67, 72.890625, 48.8984375, 48.8984375, 0, 11.099609375, 93.796875, 0.0, 0.0, 0.0, 8.8984375, 66.7, 24.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 262.0, 18.0, 0.0, 0.0, 12.0, "Tous les candidats", 462.0, "Candidats lycées français", 8, "Candidats lycées étrangers", 14, "Liste d'appel commune à plusieurs formations", 24.0, "6880", "Formation d'ingénieur Bac + 5 - Bac Général", "Concours CPI Chimie Gay-Lussac", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=159&g_ta_cod=6880", 100.0, 0.0, 0.0),
(12288, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Licence", "Université de Rennes 1 - Licence - Sciences de la vie - Parcours Sciences de la vie section internationale", "Licence - Sciences - technologies - santé", "Sciences de la vie section internationale", 76, 1434, 1065, 1434, 0, 1005, 127, 21, 5, 2, 1, 406, 0, 0, 0, 0, 0, 815, 0, 0, 0, 550, 56, 1, 0, 0, 0, 264, 295, 75, 54, 75, 0, 36.0, 61.0, 71.0, 0, 8, 56, 55, 1, 0, 19, 1, 0, 6, 17, 29, 3.0, 54, 1, 0, 0, 0, 25, 25, 48.0, 81.33, 94.67, 72.0, 44.59375, 44.59375, 0, 14.298828125, 74.6875, 1.7998046875, 0.0, 10.69921875, 30.3984375, 51.8, 5.4, 98.1875, 96.390625, 1.7998046875, 1.7998046875, 0.0, 0.0, 174.0, 30.0, 0.0, 0.0, 120.0, "Tous les candidats", 399.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "18561", "Licence - Sciences de la vie - Parcours Sciences de la vie section internationale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18561&g_ta_cod=18561", 99.0, 1.0, 0.0),
(12289, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence_Las", "Université de Bourgogne - site de Dijon - Licence - Portail Chimie / Informatique / Mathématiques / Physique / Sciences pour l'Ingénieur (Electronique ou Mécanique)", "Licence - Sciences - technologies - santé", "Chimie / Informatique / Mathématiques / Physique / Sciences pour l'Ingénieur (Electronique ou Mécanique)", 55, 925, 444, 867, 0, 572, 93, 21, 6, 3, 2, 271, 58, 20, 1, 0, 37, 835, 42, 0, 0, 572, 93, 21, 6, 3, 2, 239, 467, 50, 25, 30, 16, 1.0, 19.0, 33.0, 0, 9, 28, 25, 3, 0, 22, 0, 11, 13, 3, 1, 0.0, 15, 2, 0, 0, 0, 24, 24, 2.0, 38.0, 66.0, 50.0, 85.6875, 85.6875, 0, 32.09375, 56.0, 0.0, 39.296875, 46.3984375, 10.69921875, 3.6, 0.0, 89.296875, 53.59375, 10.69921875, 7.099609375, 0.0, 0.0, 280.0, 38.0, 1.0, 0.0, 180.0, "Tous les candidats", 2531.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "27640", "Licence - Portail Chimie / Informatique / Mathématiques / Physique / Sciences pour l'Ingénieur (Electronique ou Mécanique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27639&g_ta_cod=27640", 86.0, 10.0, 0.0),
(12290, "Public", "0681768C", "Lycée Laurent de Lavoisier", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BTS", "Lycée Laurent de Lavoisier - BTS - Production - Pilotage des procédés", "BTS - Production", "", 22, 133, 32, 128, 0, 9, 2, 34, 18, 36, 19, 49, 5, 0, 2, 0, 3, 76, 2, 0, 0, 9, 2, 22, 10, 25, 13, 20, 54, 22, 6, 20, 2, 9.0, 17.0, 19.0, 0, 10, 15, 1, 3, 11, 7, 0, 7, 5, 2, 1, 0.0, 0, 0, 8, 13, 2, 14, 14, 40.91, 77.27, 86.36, 27.296875, 93.296875, 93.296875, 86.6875, 66.6875, 68.1875, 0.0, 46.6953125, 33.296875, 13.298828125, 6.7, 0.0, 6.69921875, 0.0, 20.0, 0.0, 73.296875, 53.296875, 5.0, 2.0, 15.0, 10.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 43.0, "18936", "BTS - Production - Pilotage des procédés", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18936&g_ta_cod=18936", 9.0, 41.0, 50.0),
(12291, "Privé sous contrat d'association", "0370749N", "Lycée Sainte Marguerite", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Chambray-lès-Tours", "formation sélective", "BTS", "Lycée Sainte Marguerite - BTS - Services - Support à l'action managériale", "BTS - Services", "", 18, 164, 111, 146, 0, 10, 1, 51, 11, 40, 15, 45, 18, 0, 3, 8, 7, 96, 4, 0, 0, 9, 1, 42, 6, 31, 12, 14, 79, 15, 12, 12, 3, 1.0, 11.0, 12.0, 0, 5, 12, 0, 7, 5, 3, 0, 5, 3, 4, 0, 0.0, 0, 3, 4, 0, 0, 11, 11, 6.67, 73.33, 80.0, 80.0, 91.6875, 91.6875, 0, 41.6953125, 80.0, 0.0, 41.6953125, 25.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 58.296875, 25.0, 41.6953125, 33.296875, 8.0, 1.0, 28.0, 12.0, 13.0, "Tous les candidats sauf les Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 61.0, "4859", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4859&g_ta_cod=4859", 7.0, 53.0, 40.0),
(12292, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Université de Lille - DEUST - Intervention Sociale", "DEUST", "", 70, 621, 519, 621, 0, 131, 45, 201, 95, 71, 43, 218, 0, 0, 0, 0, 0, 600, 0, 0, 0, 131, 45, 200, 95, 68, 41, 201, 253, 70, 62, 70, 0, 39.0, 43.0, 53.0, 0, 25, 45, 3, 28, 14, 25, 0, 21, 20, 4, 0, 0.0, 1, 11, 12, 0, 0, 43, 43, 55.71, 61.43, 75.71, 88.59375, 95.59375, 95.59375, 0, 55.59375, 64.296875, 0.0, 46.6953125, 44.3984375, 8.8984375, 0.0, 0.0, 6.69921875, 2.19970703125, 62.1953125, 24.3984375, 31.09765625, 26.69921875, 9.0, 2.0, 40.0, 25.0, 73.0, "Tous les candidats", 258.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "12972", "DEUST - Intervention Sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12972&g_ta_cod=12972", 21.0, 54.0, 24.0),
(12293, "Privé sous contrat d'association", "0340194H", "ISEN Méditerranée (Campus Nîmes) CPGE associée YNCREA (ISEN-HEI) Saint Joseph Pierre Rouge", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 40, 1200, 308, 1167, 0, 1159, 128, 0, 0, 0, 0, 8, 33, 30, 0, 0, 3, 1118, 27, 0, 0, 1118, 114, 0, 0, 0, 0, 0, 1096, 22, 4, 13, 9, 9.0, 13.0, 21.0, 0, 1, 21, 21, 0, 0, 1, 1, 9, 4, 6, 1, 0.0, 11, 0, 0, 0, 0, 9, 9, 40.91, 59.09, 95.45, 18.19921875, 42.8984375, 42.8984375, 0, 4.7998046875, 95.5, 4.7998046875, 42.8984375, 19.0, 28.59765625, 4.8, 0.0, 100.0, 52.3984375, 0.0, 0.0, 0.0, 0.0, 1094.0, 115.0, 0.0, 0.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "25860", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=25860", 100.0, 0.0, 0.0),
(12294, "Public", "0691860X", "IUT Lyon1 Site de Villeurbanne Gratte-Ciel", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "BUT", "IUT Lyon1 Site de Villeurbanne Gratte-Ciel - BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", "BUT - Production", "Automatisme et Informatique Industrielle - Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", 200, 2423, 214, 2341, 0, 1191, 223, 627, 162, 69, 28, 454, 82, 1, 36, 0, 45, 1669, 11, 0, 0, 1014, 170, 403, 91, 8, 3, 244, 1386, 220, 28, 216, 3, 125.0, 165.0, 205.0, 0, 52, 184, 130, 54, 0, 36, 0, 48, 96, 35, 5, 0.0, 88, 48, 0, 0, 0, 119, 119, 56.82, 75.0, 93.18, 12.69921875, 64.6875, 64.6875, 0, 28.296875, 83.59375, 0.0, 26.09765625, 52.1953125, 19.0, 2.7, 0.0, 70.6875, 47.796875, 29.296875, 26.09765625, 0.0, 0.0, 793.0, 160.0, 8.0, 3.0, 221.0, "Tous les candidats sauf les Bac technologiques", 1111.0, "Bacheliers technologiques toutes séries", 420, "", 0, "Liste d'appel propre à cette formation", 65.0, "8490", "BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electricité et maîtrise de l'énergie - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8490&g_ta_cod=8490", 73.0, 27.0, 0.0),
(12295, "Public", "0450092F", "I.U.T d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BUT", "I.U.T d'Orléans - BUT - Gestion des entreprises et des administrations Parcours : Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Gestion comptable, fiscale et financière (sous réserve) ET / OU Contrôle de gestion et pilotage de la performance (sous réserve) - Apprentissage possible dès la 2ème année (Seconde année possible en apprentissage)", "BUT - Service", "Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Gestion comptable, fiscale et financière (sous réserve) ET / OU Contrôle de gestion et pilotage de la performance (sous réserve) - Apprentissage possible dès la 2ème année", 144, 2510, 1254, 2510, 0, 1273, 226, 757, 255, 52, 30, 428, 0, 0, 0, 0, 0, 1587, 0, 0, 0, 963, 146, 464, 136, 0, 0, 160, 589, 142, 74, 142, 0, 15.0, 114.0, 139.0, 0, 47, 128, 65, 63, 0, 14, 0, 12, 62, 47, 7, 0.0, 61, 55, 0, 0, 0, 118, 118, 10.56, 80.28, 97.89, 52.09375, 92.1875, 92.1875, 0, 36.6953125, 90.09375, 0.0, 9.3984375, 48.3984375, 36.6953125, 5.5, 0.0, 50.796875, 47.6953125, 49.1953125, 43.0, 0.0, 0.0, 283.0, 69.0, 0.0, 0.0, 48.0, "Tous les candidats sauf les Bac technologiques", 545.0, "Bacheliers technologiques toutes séries", 437, "", 0, "Liste d'appel propre à cette formation", 39.0, "5676", "BUT - Gestion des entreprises et des administrations Parcours : Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités - Gestion comptable, fiscale et financière (sous réserve) ET / OU Contrôle de gestion et pilotage de la performance (sous réserve) - Apprentissage possible dès la 2ème année (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5676&g_ta_cod=5676", 51.0, 49.0, 0.0),
(12296, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Université Angers - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 20, 496, 379, 496, 0, 319, 57, 16, 5, 7, 4, 154, 0, 0, 0, 0, 0, 493, 0, 0, 0, 319, 57, 16, 5, 7, 4, 151, 158, 20, 17, 20, 0, 0.0, 9.0, 16.0, 0, 2, 12, 12, 0, 0, 8, 0, 4, 5, 2, 1, 0.0, 8, 0, 0, 0, 0, 7, 7, 0.0, 45.0, 80.0, 85.0, 58.296875, 58.296875, 0, 16.69921875, 60.0, 0.0, 33.296875, 41.6953125, 16.69921875, 8.3, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 86.0, 15.0, 1.0, 0.0, 68.0, "Tous les candidats", 2010.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 65.0, "27726", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27725&g_ta_cod=27726", 85.0, 15.0, 0.0),
(12297, "Public", "0031043T", "Lycée Albert Einstein", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "BTS", "Lycée Albert Einstein - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 30, 280, 11, 229, 0, 14, 3, 29, 7, 74, 27, 112, 51, 3, 1, 27, 20, 79, 21, 0, 0, 9, 3, 14, 3, 48, 14, 8, 93, 21, 1, 9, 12, 3.0, 9.0, 19.0, 0, 7, 16, 0, 0, 16, 5, 0, 5, 6, 5, 0, 0.0, 0, 0, 11, 5, 0, 5, 5, 14.29, 42.86, 90.48, 4.7998046875, 31.296875, 31.296875, 31.296875, 43.796875, 76.1875, 0.0, 31.296875, 37.5, 31.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 68.796875, 7.0, 2.0, 58.0, 17.0, 15.0, "Tous les candidats sauf les Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 51, "", 0, "Liste d'appel propre à cette formation", 34.0, "2152", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2152&g_ta_cod=2152", 19.0, 5.0, 76.0),
(12298, "Public", "0133244F", "Lycée Marie Madeleine Fourcade", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Gardanne", "formation sélective", "BTS", "Lycée Marie Madeleine Fourcade - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 12, 358, 40, 353, 0, 34, 5, 109, 30, 89, 48, 121, 5, 0, 1, 0, 4, 189, 1, 0, 0, 30, 5, 69, 19, 71, 39, 19, 65, 11, 0, 10, 1, 1.0, 7.0, 8.0, 0, 3, 9, 1, 5, 3, 2, 0, 4, 5, 0, 0, 0.0, 1, 2, 2, 6, 0, 9, 9, 9.09, 63.64, 72.73, 0.0, 100.0, 100.0, 66.6875, 33.296875, 81.796875, 0.0, 44.3984375, 55.59375, 0.0, 0.0, 0.0, 11.099609375, 11.099609375, 55.59375, 22.19921875, 33.296875, 22.19921875, 7.0, 1.0, 16.0, 9.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 63, "Liste d'appel propre à cette formation", 28.0, "16122", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16122&g_ta_cod=16122", 9.0, 45.0, 45.0),
(12299, "Privé enseignement supérieur", "0831756H", "Ecole Camondo Méditerranée - Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Autre formation", "Ecole Camondo - Formation des écoles supérieure d'art Bac + 5 - Architecte d?intérieur ? designer", "Formation des écoles supérieure d'art", "Architecte d?intérieur ? designer", 27, 227, 182, 227, 0, 116, 15, 20, 5, 4, 1, 87, 0, 0, 0, 0, 0, 90, 0, 0, 0, 33, 4, 8, 1, 2, 0, 47, 84, 28, 24, 28, 0, 4.0, 24.0, 27.0, 0, 2, 18, 13, 3, 2, 10, 0, 4, 8, 6, 0, 0.0, 10, 2, 2, 0, 0, 3, 3, 14.29, 85.71, 96.43, 85.6875, 16.69921875, 16.69921875, 0, 11.099609375, 64.296875, 0.0, 22.19921875, 44.3984375, 33.296875, 0.0, 0.0, 72.1875, 55.59375, 16.69921875, 11.099609375, 11.099609375, 11.099609375, 30.0, 4.0, 2.0, 0.0, 45.0, "Tous les candidats", 175.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 40.0, "26165", "Formation des écoles supérieure d'art Bac + 5 - Architecte d?intérieur ? designer", "Ecole Camondo", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26163&g_ta_cod=26165", 75.0, 11.0, 14.0),
(12300, "Privé sous contrat d'association", "0593034C", "Lycée THEOPHILE LEGRAND", "59", "Nord", "Hauts-de-France", "Lille", "Louvroil", "formation sélective", "BTS", "Lycée THEOPHILE LEGRAND - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 184, 101, 168, 0, 17, 3, 27, 15, 17, 8, 107, 16, 1, 1, 11, 3, 98, 9, 0, 0, 15, 3, 18, 9, 14, 7, 51, 86, 22, 11, 19, 3, 8.0, 15.0, 20.0, 0, 6, 10, 0, 4, 6, 12, 0, 6, 0, 4, 0, 0.0, 0, 1, 3, 0, 0, 9, 9, 36.36, 68.18, 90.91, 50.0, 90.0, 90.0, 0, 60.0, 45.5, 0.0, 60.0, 0.0, 40.0, 0.0, 0.0, 0.0, 0.0, 40.0, 10.0, 60.0, 30.0, 7.0, 0.0, 20.0, 10.0, 43.0, "Tous les candidats sauf les Bac professionnels", 78.0, "Bacheliers professionnels toutes séries", 16, "", 0, "Liste d'appel propre à cette formation", 56.0, "6955", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6955&g_ta_cod=6955", 36.0, 23.0, 41.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(12301, "Public", "0753471R", "CNAM PARIS", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "Autre formation", "CNAM PARIS - Formation Supérieure de Spécialisation - Accompagnement professionnel et bientraitant des personnes âgées", "Diplôme d'Université", "Accompagnement professionnel et bientraitant des personnes âgées", 20, 113, 98, 31, 0, 1, 0, 5, 2, 10, 7, 15, 82, 1, 5, 28, 48, 12, 40, 0, 0, 0, 0, 1, 0, 5, 3, 6, 52, 19, 18, 2, 17, 2.0, 2.0, 11.0, 0, 2, 5, 0, 1, 4, 14, 0, 1, 3, 1, 0, 0.0, 0, 1, 3, 0, 0, 3, 5, 10.53, 10.53, 57.89, 94.6875, 60.0, 100.0, 0, 40.0, 26.296875, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 0.0, 0.0, 20.0, 20.0, 80.0, 60.0, 0.0, 0.0, 19.0, 8.0, 31.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "32269", "Formation Supérieure de Spécialisation - Accompagnement professionnel et bientraitant des personnes âgées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32269&g_ta_cod=32269", 47.0, 11.0, 42.0),
(12302, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "Autre formation", "Avignon Université - C.M.I - Cursus Master en Ingénierie - Chimie - Cursus Master en Ingénierie (CMI) :  Ingénierie de la Production Alimentaire", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) :  Ingénierie de la Production Alimentaire", 20, 140, 95, 79, 0, 33, 4, 1, 1, 0, 0, 45, 61, 20, 3, 0, 38, 32, 12, 0, 0, 23, 0, 0, 0, 0, 0, 9, 43, 8, 6, 5, 3, 5.0, 5.0, 7.0, 0, 0, 5, 5, 0, 0, 3, 0, 1, 1, 3, 0, 0.0, 4, 0, 0, 0, 0, 3, 3, 62.5, 62.5, 87.5, 75.0, 60.0, 60.0, 0, 0.0, 62.5, 0.0, 20.0, 20.0, 60.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 30.0, 0.0, 0.0, 0.0, 13.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "14971", "C.M.I - Cursus Master en Ingénierie - Chimie - Cursus Master en Ingénierie (CMI) :  Ingénierie de la Production Alimentaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14971&g_ta_cod=14971", 88.0, 0.0, 0.0),
(12303, "Privé sous contrat d'association", "0400067F", "Lycée Jean Cassaigne", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Saint-Pierre-du-Mont", "formation sélective", "BTS", "Lycée Jean Cassaigne - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 28, 154, 153, 134, 0, 26, 6, 28, 6, 53, 23, 27, 20, 3, 2, 1, 14, 105, 12, 0, 0, 23, 4, 23, 5, 42, 16, 17, 98, 15, 15, 12, 3, 6.0, 12.0, 14.0, 0, 5, 11, 4, 2, 5, 4, 0, 4, 2, 5, 0, 0.0, 1, 1, 5, 1, 1, 9, 9, 40.0, 80.0, 93.33, 100.0, 81.796875, 81.796875, 9.099609375, 45.5, 73.296875, 0.0, 36.3984375, 18.19921875, 45.5, 0.0, 0.0, 36.3984375, 9.099609375, 18.19921875, 9.099609375, 45.5, 45.5, 19.0, 4.0, 39.0, 15.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 75.0, "5209", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5209&g_ta_cod=5209", 40.0, 20.0, 40.0),
(12304, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Langues étrangères appliquées - Parcours Anglais-Espagnol", "Licence - Arts-lettres-langues", "Anglais-Espagnol", 145, 928, 689, 928, 0, 614, 150, 72, 22, 17, 9, 225, 0, 0, 0, 0, 0, 927, 0, 0, 0, 614, 150, 72, 22, 17, 9, 224, 542, 144, 97, 143, 0, 19.0, 125.0, 130.0, 0, 33, 109, 92, 14, 3, 35, 1, 35, 49, 19, 5, 0.0, 68, 4, 1, 0, 0, 104, 104, 13.19, 86.81, 90.28, 67.390625, 95.390625, 95.390625, 0, 30.296875, 75.6875, 0.89990234375, 32.09375, 45.0, 17.3984375, 4.6, 0.0, 84.390625, 62.3984375, 12.798828125, 3.69970703125, 2.7998046875, 0.89990234375, 386.0, 97.0, 8.0, 4.0, 114.0, "Tous les candidats", 681.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "3251", "Licence - Langues étrangères appliquées - Parcours Anglais-Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27109&g_ta_cod=3251", 81.0, 15.0, 4.0),
(12305, "Privé sous contrat d'association", "0441946B", "Ecole Sup. ENSEC", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Ecole Sup. ENSEC - BTS - Services - Communication", "BTS - Services", "", 35, 653, 507, 653, 0, 249, 28, 184, 26, 69, 14, 151, 0, 0, 0, 0, 0, 119, 0, 0, 0, 54, 6, 28, 3, 24, 4, 13, 50, 37, 27, 37, 0, 26.0, 35.0, 37.0, 0, 6, 32, 22, 7, 3, 5, 0, 3, 19, 8, 2, 0.0, 19, 7, 3, 0, 0, 31, 31, 70.27, 94.59, 100.0, 73.0, 96.890625, 96.890625, 0, 18.796875, 86.5, 0.0, 9.3984375, 59.3984375, 25.0, 6.3, 0.0, 68.796875, 59.3984375, 21.8984375, 21.8984375, 9.3984375, 9.3984375, 34.0, 4.0, 3.0, 1.0, 6.0, "Tous les candidats sauf les Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 3, "", 0, "Liste d'appel propre à cette formation", 8.0, "5600", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5600&g_ta_cod=5600", 73.0, 19.0, 8.0),
(12306, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence", "Université de Toulon - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence Langues, Littératures et Civilisations Etrangères et Régionales - Spécialité Anglais", "Licence - Arts-lettres-langues", "Licence Langues, Littératures et Civilisations Etrangères et Régionales - Spécialité Anglais", 135, 802, 587, 728, 0, 511, 129, 48, 20, 29, 15, 140, 74, 11, 5, 1, 57, 728, 67, 0, 0, 511, 129, 48, 20, 29, 15, 140, 479, 133, 90, 103, 29, 32.0, 98.0, 108.0, 0, 30, 88, 66, 13, 9, 45, 2, 35, 34, 12, 4, 1.0, 41, 5, 5, 0, 0, 72, 72, 24.06, 73.68, 81.2, 67.6875, 81.796875, 81.796875, 0, 34.09375, 66.1875, 2.2998046875, 39.796875, 38.59375, 13.599609375, 4.5, 1.1, 75.0, 46.59375, 14.798828125, 5.69921875, 10.19921875, 5.69921875, 257.0, 69.0, 18.0, 11.0, 166.0, "Tous les candidats", 727.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10362", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence Langues, Littératures et Civilisations Etrangères et Régionales - Spécialité Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10362&g_ta_cod=10362", 71.0, 14.0, 14.0),
(12307, "Privé sous contrat d'association", "0572341K", "Lycée Jean XXIII", "57", "Moselle", "Grand Est", "Nancy-Metz", "Montigny-lès-Metz", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "Bac STI2D", 5, 62, 3, 62, 0, 0, 0, 62, 12, 0, 0, 0, 0, 0, 0, 0, 0, 42, 0, 0, 0, 0, 0, 42, 6, 0, 0, 0, 39, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "31228", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=31228", 0, 0, 0),
(12308, "Public", "0590060V", "Lycée Alfred Kastler", "59", "Nord", "Hauts-de-France", "Lille", "Denain", "formation sélective", "BTS", "Lycée Alfred Kastler - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 35, 122, 44, 117, 0, 6, 3, 19, 12, 43, 23, 49, 5, 0, 0, 4, 1, 117, 2, 0, 0, 6, 3, 19, 12, 43, 23, 49, 84, 34, 11, 32, 2, 13.0, 29.0, 32.0, 0, 14, 19, 0, 5, 14, 15, 0, 10, 7, 2, 0, 0.0, 0, 1, 8, 1, 0, 19, 19, 38.24, 85.29, 94.12, 32.3984375, 100.0, 100.0, 5.2998046875, 73.6875, 55.8984375, 0.0, 52.59375, 36.796875, 10.5, 0.0, 0.0, 0.0, 0.0, 26.296875, 5.2998046875, 73.6875, 42.09375, 6.0, 3.0, 37.0, 20.0, 24.0, "Tous les candidats sauf les Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 56, "", 0, "Liste d'appel propre à cette formation", 84.0, "6733", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6733&g_ta_cod=6733", 21.0, 15.0, 65.0),
(12309, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence_Las", "Université de Lorraine - Site de Nancy - Licence - Portail Portail Economie - Gestion", "Licence - Droit-économie-gestion", "Portail Economie - Gestion", 50, 599, 356, 570, 0, 326, 81, 33, 12, 17, 10, 194, 29, 9, 0, 1, 19, 544, 25, 0, 0, 326, 81, 33, 12, 17, 10, 168, 349, 49, 28, 38, 11, 1.0, 29.0, 41.0, 0, 5, 27, 25, 1, 1, 22, 0, 10, 12, 5, 0, 0.0, 16, 1, 0, 0, 0, 19, 19, 2.04, 59.18, 83.67, 57.09375, 70.390625, 70.390625, 0, 18.5, 55.09375, 0.0, 37.0, 44.3984375, 18.5, 0.0, 0.0, 92.59375, 59.296875, 3.69970703125, 3.69970703125, 3.69970703125, 0.0, 211.0, 50.0, 9.0, 6.0, 116.0, "Tous les candidats", 2143.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 94.0, "26959", "Licence - Portail Portail Economie - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26958&g_ta_cod=26959", 90.0, 6.0, 4.0),
(12310, "Public", "0750654D", "Lycée Henri IV", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Autre formation", "Lycée Henri IV - Cycle pluridisciplinaire d'Études Supérieures - Humanités", "CPES", "", 40, 1116, 839, 1116, 0, 971, 76, 2, 1, 1, 1, 142, 0, 0, 0, 0, 0, 215, 0, 0, 0, 206, 24, 0, 0, 0, 0, 9, 118, 40, 29, 40, 0, 14.0, 35.0, 38.0, 0, 5, 37, 37, 0, 0, 3, 1, 0, 0, 5, 22, 9.0, 36, 0, 0, 0, 0, 12, 20, 35.0, 87.5, 95.0, 72.5, 32.3984375, 54.09375, 0, 13.5, 92.5, 2.69970703125, 0.0, 0.0, 13.5, 59.5, 24.3, 100.0, 97.296875, 0.0, 0.0, 0.0, 0.0, 109.0, 24.0, 0.0, 0.0, 9.0, "Tous les candidats", 145.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "8973", "Cycle pluridisciplinaire d'Études Supérieures - Humanités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8973&g_ta_cod=8973", 100.0, 0.0, 0.0),
(12311, "Public", "0130003H", "Lycée Vauvenargues", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée Vauvenargues - BTS - Production - Systèmes numériques - Option électronique et communication - - parcours partenariat lycée militaire", "BTS - Production", "- parcours partenariat lycée militaire", 5, 70, 4, 70, 0, 20, 5, 17, 6, 23, 10, 10, 0, 0, 0, 0, 0, 33, 0, 0, 0, 10, 3, 11, 4, 7, 1, 5, 10, 5, 0, 5, 0, 1.0, 5.0, 5.0, 0, 1, 2, 0, 1, 1, 3, 0, 0, 1, 1, 0, 0.0, 0, 1, 1, 0, 0, 1, 1, 20.0, 100.0, 100.0, 0.0, 50.0, 50.0, 0, 50.0, 40.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 1.0, 1.0, 2.0, 1.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers technologiques toutes séries", 4, "Bacheliers professionnels toutes séries", 3, "Liste d'appel propre à cette formation", 17.0, "24262", "BTS - Production - Systèmes numériques - Option électronique et communication - - parcours partenariat lycée militaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24262&g_ta_cod=24262", 40.0, 40.0, 20.0),
(12312, "Public", "0561739L", "Université de Bretagne Sud - Site de Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation non sélective", "Licence_Las", "Université de Bretagne Sud - Site de Vannes - Licence - Portail Sciences de la vie et de la terre - Bio et Ecologie générale, Bio cellulaire moléculaire, Sciences de l'environnement, Bio Biotech, Bio Biosanté,TACB", "Licence - Sciences - technologies - santé", "Bio et Ecologie générale, Bio cellulaire moléculaire, Sciences de l'environnement, Bio Biotech, Bio Biosanté,TACB", 46, 875, 635, 875, 0, 639, 88, 46, 12, 3, 1, 187, 0, 0, 0, 0, 0, 871, 0, 0, 0, 639, 88, 46, 12, 3, 1, 183, 384, 43, 34, 43, 0, 0.0, 19.0, 35.0, 0, 3, 33, 31, 2, 0, 10, 0, 4, 21, 7, 1, 0.0, 27, 2, 0, 0, 0, 26, 26, 0.0, 44.19, 81.4, 79.09375, 78.796875, 78.796875, 0, 9.099609375, 76.6875, 0.0, 12.099609375, 63.59375, 21.19921875, 3.0, 0.0, 93.890625, 81.796875, 6.099609375, 6.099609375, 0.0, 0.0, 290.0, 39.0, 0.0, 0.0, 90.0, "Groupe par défaut", 948.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 64.0, "28507", "Licence - Portail Sciences de la vie et de la terre - Bio et Ecologie générale, Bio cellulaire moléculaire, Sciences de l'environnement, Bio Biotech, Bio Biosanté,TACB", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28506&g_ta_cod=28507", 93.0, 7.0, 0.0),
(12313, "Privé enseignement supérieur", "0340994W", "IDELCA Business School", "34", "Hérault", "Occitanie", "Montpellier", "Jacou", "formation sélective", "BTS", "IDELCA Business School - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 19, 155, 57, 148, 0, 34, 10, 40, 12, 15, 6, 59, 7, 1, 2, 0, 4, 133, 4, 0, 0, 34, 10, 37, 11, 14, 5, 48, 104, 8, 3, 8, 0, 0.0, 6.0, 6.0, 0, 0, 3, 1, 0, 2, 5, 0, 1, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 3, 3, 0.0, 75.0, 75.0, 37.5, 100.0, 100.0, 0, 0.0, 37.5, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 33.296875, 0.0, 0.0, 0.0, 66.6875, 66.6875, 30.0, 6.0, 11.0, 4.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers technologiques toutes séries", 42, "Bacheliers professionnels toutes séries", 17, "Liste d'appel propre à cette formation", 76.0, "30185", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30185&g_ta_cod=30185", 38.0, 13.0, 38.0),
(12314, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Information et communication", "Licence - Arts-lettres-langues", "", 65, 1069, 758, 1069, 0, 697, 119, 69, 16, 17, 6, 286, 0, 0, 0, 0, 0, 1054, 0, 0, 0, 697, 119, 69, 16, 17, 6, 271, 304, 66, 49, 66, 0, 32.0, 53.0, 57.0, 0, 14, 58, 56, 2, 0, 8, 0, 5, 24, 21, 8, 0.0, 51, 2, 0, 0, 0, 51, 51, 48.48, 80.3, 86.36, 74.1875, 87.890625, 87.890625, 0, 24.09765625, 87.890625, 0.0, 8.599609375, 41.3984375, 36.1953125, 13.8, 0.0, 96.59375, 87.890625, 3.39990234375, 3.39990234375, 0.0, 0.0, 257.0, 49.0, 0.0, 0.0, 44.0, "Tous les candidats", 371.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "13056", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13056&g_ta_cod=13056", 97.0, 3.0, 0.0),
(12315, "Privé sous contrat d'association", "0530997W", "ESTACA Laval", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 90, 3713, 607, 3713, 0, 3712, 153, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2450, 0, 0, 0, 2449, 74, 0, 0, 0, 0, 1, 1202, 95, 8, 95, 0, 63.0, 84.0, 93.0, 0, 9, 95, 95, 0, 0, 0, 0, 1, 10, 44, 38, 2.0, 94, 0, 0, 0, 0, 26, 26, 66.32, 88.42, 97.89, 8.3984375, 27.3984375, 27.3984375, 0, 9.5, 100.0, 0.0, 1.099853515625, 10.5, 46.296875, 40.0, 2.1, 100.0, 98.890625, 0.0, 0.0, 0.0, 0.0, 1202.0, 49.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "102", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=99&g_ta_cod=102", 100.0, 0.0, 0.0),
(12316, "Privé sous contrat d'association", "0850130E", "Lycée Notre Dame Du Roc", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée Notre Dame Du Roc - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 227, 99, 200, 0, 45, 7, 59, 9, 28, 6, 68, 27, 1, 4, 1, 21, 126, 17, 0, 0, 40, 6, 53, 9, 19, 5, 14, 124, 31, 10, 21, 10, 6.0, 20.0, 26.0, 0, 4, 21, 5, 11, 5, 10, 0, 9, 8, 3, 1, 0.0, 3, 4, 5, 5, 0, 20, 20, 19.35, 64.52, 83.87, 32.296875, 95.1875, 95.1875, 23.796875, 19.0, 67.6875, 0.0, 42.8984375, 38.09375, 14.298828125, 4.8, 0.0, 23.796875, 14.298828125, 52.3984375, 19.0, 23.796875, 23.796875, 36.0, 5.0, 16.0, 5.0, 27.0, "Tous les candidats sauf les Bac professionnels", 107.0, "Bacheliers professionnels toutes séries", 17, "", 0, "Liste d'appel propre à cette formation", 62.0, "10500", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10500&g_ta_cod=10500", 32.0, 48.0, 19.0),
(12317, "Public", "0630021F", "Lycée La Fayette", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée La Fayette - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 15, 288, 61, 268, 0, 27, 7, 100, 28, 14, 3, 127, 20, 2, 0, 1, 17, 131, 1, 0, 0, 25, 6, 87, 20, 7, 0, 12, 66, 13, 1, 12, 1, 1.0, 10.0, 13.0, 0, 2, 13, 1, 11, 1, 0, 0, 3, 8, 1, 1, 0.0, 1, 8, 1, 8, 0, 10, 10, 7.69, 76.92, 100.0, 7.69921875, 76.890625, 76.890625, 61.5, 15.3984375, 100.0, 0.0, 23.09765625, 61.5, 7.69921875, 7.7, 0.0, 7.69921875, 7.69921875, 84.59375, 61.5, 7.69921875, 7.69921875, 20.0, 3.0, 6.0, 0.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 49.0, "7566", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7566&g_ta_cod=7566", 8.0, 85.0, 8.0),
(12318, "Privé sous contrat d'association", "0132193N", "Lycée professionnel Edmond Rostand", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Edmond Rostand - Mention complémentaire - FCIL Secrétaire juridique", "Mention complémentaire", "", 12, 82, 77, 82, 0, 7, 3, 4, 2, 49, 25, 22, 0, 0, 0, 0, 0, 55, 0, 0, 0, 6, 2, 2, 2, 37, 19, 10, 40, 11, 11, 11, 0, 3.0, 10.0, 10.0, 0, 5, 9, 1, 0, 8, 2, 0, 7, 2, 0, 0, 0.0, 1, 0, 1, 0, 0, 6, 6, 27.27, 90.91, 90.91, 100.0, 66.6875, 66.6875, 0, 55.59375, 81.796875, 0.0, 77.796875, 22.19921875, 0.0, 0.0, 0.0, 11.099609375, 11.099609375, 0.0, 0.0, 88.890625, 11.099609375, 6.0, 2.0, 25.0, 13.0, 7.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "27791", "Mention complémentaire - FCIL Secrétaire juridique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27791&g_ta_cod=27791", 9.0, 0.0, 91.0),
(12319, "Privé sous contrat d'association", "0312408Z", "Lycée Saliège", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Balma", "formation sélective", "Autre formation", "Lycée Saliège - DN MADE - Espace - - Spécialité : habiter le construit et son territoire", "DN MADE", "- Spécialité : habiter le construit et son territoire", 15, 446, 363, 437, 0, 229, 29, 78, 13, 33, 6, 97, 9, 0, 1, 0, 8, 126, 1, 0, 0, 67, 7, 30, 5, 17, 4, 12, 80, 18, 17, 17, 1, 0.0, 13.0, 17.0, 0, 1, 15, 11, 3, 1, 3, 0, 0, 8, 7, 0, 0.0, 11, 3, 1, 0, 0, 8, 8, 0.0, 72.22, 94.44, 94.390625, 53.296875, 53.296875, 0, 6.69921875, 83.296875, 0.0, 0.0, 53.296875, 46.6953125, 0.0, 0.0, 73.296875, 73.296875, 20.0, 20.0, 6.69921875, 6.69921875, 49.0, 5.0, 7.0, 2.0, 6.0, "Tous les candidats", 117.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "21824", "DN MADE - Espace - - Spécialité : habiter le construit et son territoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21824&g_ta_cod=21824", 78.0, 17.0, 6.0),
(12320, "Privé sous contrat d'association", "0071126L", "Institut Supérieur Saint-Denis", "07", "Ardèche", "Auvergne-Rhône-Alpes", "Grenoble", "Annonay", "formation sélective", "CPGE", "Institut Supérieur Saint-Denis - CPGE - PCSI", "Classe préparatoire scientifique", "", 28, 222, 67, 175, 0, 130, 18, 1, 0, 0, 0, 44, 47, 23, 1, 0, 23, 142, 18, 0, 142, 129, 17, 0, 0, 0, 0, 13, 145, 24, 4, 22, 2, 16.0, 22.0, 24.0, 0, 0, 23, 23, 0, 0, 1, 0, 0, 14, 8, 1, 0.0, 23, 0, 0, 6, 0, 19, 19, 66.67, 91.67, 100.0, 16.69921875, 82.59375, 82.59375, 26.09765625, 0.0, 95.796875, 0.0, 0.0, 60.8984375, 34.796875, 4.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 125.0, 11.0, 0.0, 0.0, 20.0, "Tous les candidats", 142.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "2340", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2340&g_ta_cod=2340", 100.0, 0.0, 0.0),
(12321, "Privé hors contrat", "0693453D", "Institut Paul Bocuse", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Ecully", "formation sélective", "Autre formation", "Institut Paul Bocuse - Formation des écoles supérieures de cuisine Bac +4 - Bachelor (Hons.) Management International de l'Hôtellerie-Restauration", "Formation des écoles supérieures de cuisine", "Bachelor (Hons.) Management International de l'Hôtellerie, parcours anglophone", 20, 76, 41, 71, 0, 58, 1, 4, 1, 1, 0, 8, 5, 2, 1, 0, 2, 42, 3, 0, 0, 37, 1, 2, 0, 0, 0, 3, 36, 15, 9, 13, 2, 9.0, 13.0, 14.0, 0, 0, 13, 13, 0, 0, 2, 0, 1, 3, 6, 3, 0.0, 12, 0, 0, 0, 0, 2, 2, 60.0, 86.67, 93.33, 60.0, 15.3984375, 15.3984375, 0, 0.0, 86.6875, 0.0, 7.69921875, 23.09765625, 46.1953125, 23.1, 0.0, 100.0, 92.296875, 0.0, 0.0, 0.0, 0.0, 31.0, 1.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "32264", "Formation des écoles supérieures de cuisine Bac +4 - Bachelor (Hons.) Management International de l'Hôtellerie-Restauration", "Institut Paul Bocuse", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32262&g_ta_cod=32264", 100.0, 0.0, 0.0),
(12322, "Public", "0623957P", "Université d'Artois - Site d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation non sélective", "Licence", "Université d'Artois - Site d'Arras - Licence - Langues étrangères appliquées - Parcours  Anglais/Espagnol - LEA", "Licence - Arts-lettres-langues", "Anglais/Espagnol - LEA", 130, 621, 457, 524, 0, 346, 91, 52, 27, 4, 2, 122, 97, 22, 8, 3, 64, 524, 90, 0, 0, 346, 91, 52, 27, 4, 2, 122, 545, 122, 85, 90, 32, 34.0, 88.0, 110.0, 0, 20, 74, 64, 9, 1, 48, 0, 31, 22, 12, 9, 0.0, 40, 2, 1, 0, 0, 73, 73, 27.87, 72.13, 90.16, 69.6875, 98.59375, 98.59375, 0, 27.0, 60.6953125, 0.0, 41.8984375, 29.69921875, 16.19921875, 12.2, 0.0, 86.5, 54.09375, 12.19921875, 2.69970703125, 1.39990234375, 1.39990234375, 344.0, 94.0, 6.0, 3.0, 158.0, "Tous les candidats", 523.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7508", "Licence - Langues étrangères appliquées - Parcours  Anglais/Espagnol - LEA", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7508&g_ta_cod=7508", 75.0, 20.0, 4.0),
(12323, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Mécanique", "Licence - Sciences - technologies - santé", "", 40, 371, 35, 326, 0, 211, 22, 44, 7, 3, 1, 68, 45, 11, 1, 0, 33, 325, 24, 0, 0, 211, 22, 44, 7, 3, 1, 67, 315, 18, 0, 12, 6, 6.0, 12.0, 17.0, 0, 1, 13, 9, 3, 1, 5, 0, 4, 9, 0, 0, 0.0, 7, 2, 0, 0, 0, 11, 11, 33.33, 66.67, 94.44, 0.0, 84.59375, 84.59375, 0, 7.69921875, 72.1875, 0.0, 30.796875, 69.1875, 0.0, 0.0, 0.0, 69.1875, 53.796875, 23.09765625, 15.3984375, 7.69921875, 0.0, 198.0, 21.0, 2.0, 0.0, 79.0, "Tous les candidats", 325.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19194", "Licence - Mécanique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19194&g_ta_cod=19194", 78.0, 17.0, 6.0),
(12324, "Public", "0942269F", "Pauline Roland", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Chevilly-Larue", "formation sélective", "BTS", "Pauline Roland - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 35, 877, 208, 877, 0, 33, 3, 103, 46, 284, 137, 457, 0, 0, 0, 0, 0, 495, 0, 0, 0, 31, 2, 74, 32, 284, 137, 106, 116, 36, 6, 36, 0, 2.0, 23.0, 30.0, 0, 10, 27, 1, 12, 14, 9, 1, 11, 13, 2, 0, 0.0, 0, 7, 8, 4, 0, 15, 25, 5.56, 63.89, 83.33, 16.69921875, 55.59375, 92.59375, 14.798828125, 37.0, 75.0, 3.69970703125, 40.6953125, 48.09375, 7.3994140625, 0.0, 0.0, 3.69970703125, 0.0, 44.3984375, 25.8984375, 51.8984375, 29.59765625, 19.0, 2.0, 48.0, 20.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 15.0, "17681", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17681&g_ta_cod=17681", 28.0, 33.0, 39.0),
(12325, "Public", "0300023M", "Lycée ALBERT CAMUS", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée ALBERT CAMUS - BTS - Services - Assurance", "BTS - Services", "", 35, 970, 596, 936, 0, 89, 44, 314, 189, 156, 102, 377, 34, 0, 13, 0, 21, 363, 1, 0, 0, 62, 31, 147, 89, 70, 39, 84, 187, 26, 22, 25, 1, 4.0, 17.0, 22.0, 0, 11, 18, 2, 9, 7, 8, 0, 6, 9, 3, 0, 0.0, 1, 4, 7, 3, 3, 16, 16, 15.38, 65.38, 84.62, 84.59375, 88.890625, 88.890625, 16.69921875, 61.09375, 69.1875, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 11.099609375, 5.599609375, 50.0, 22.19921875, 38.8984375, 38.8984375, 14.0, 9.0, 46.0, 26.0, 28.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 155, "Liste d'appel propre à cette formation", 27.0, "3935", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3935&g_ta_cod=3935", 23.0, 50.0, 27.0),
(12326, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Université Angers - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", "", 365, 3023, 1384, 2917, 0, 1940, 257, 340, 82, 43, 19, 594, 106, 10, 10, 6, 80, 2820, 86, 0, 0, 1940, 257, 340, 82, 43, 19, 497, 2046, 359, 130, 308, 51, 102.0, 271.0, 307.0, 0, 60, 250, 206, 37, 7, 109, 0, 109, 89, 49, 3, 0.0, 126, 12, 3, 0, 0, 206, 206, 28.41, 75.49, 85.52, 36.1953125, 82.390625, 82.390625, 0, 24.0, 69.59375, 0.0, 43.59375, 35.59375, 19.59765625, 1.2, 0.0, 82.390625, 50.3984375, 14.798828125, 4.7998046875, 2.7998046875, 1.199951171875, 1385.0, 189.0, 29.0, 15.0, 399.0, "Tous les candidats", 2896.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "5925", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27332&g_ta_cod=5925", 79.0, 17.0, 3.0),
(12327, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Autre formation", "Université de Franche-Comté - Site de Besançon - C.M.I - Cursus Master en Ingénierie - Sciences de la terre - Cursus Master en Ingénierie (CMI) : Géologie appliquée", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Géologie appliquée", 18, 87, 33, 72, 0, 56, 6, 0, 0, 0, 0, 16, 15, 5, 0, 0, 10, 31, 3, 0, 0, 24, 4, 0, 0, 0, 0, 7, 32, 8, 3, 7, 1, 4.0, 7.0, 8.0, 0, 0, 5, 5, 0, 0, 3, 0, 0, 3, 2, 0, 0.0, 5, 0, 0, 0, 0, 1, 1, 50.0, 87.5, 100.0, 37.5, 20.0, 20.0, 0, 0.0, 62.5, 0.0, 0.0, 60.0, 40.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 24.0, 3.0, 0.0, 0.0, 8.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "14077", "C.M.I - Cursus Master en Ingénierie - Sciences de la terre - Cursus Master en Ingénierie (CMI) : Géologie appliquée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14077&g_ta_cod=14077", 100.0, 0.0, 0.0),
(12328, "Public", "0260023J", "Lycée Du Dauphine", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Romans-sur-Isère", "formation sélective", "BTS", "Lycée Du Dauphine - BTS - Services - Assurance", "BTS - Services", "", 32, 418, 249, 403, 0, 37, 15, 120, 51, 81, 38, 165, 15, 1, 5, 2, 7, 239, 7, 0, 0, 36, 14, 106, 44, 76, 37, 21, 152, 22, 10, 20, 2, 3.0, 17.0, 20.0, 0, 16, 22, 5, 12, 5, 0, 3, 16, 3, 0, 0, 0.0, 1, 1, 1, 7, 3, 22, 22, 13.64, 77.27, 90.91, 45.5, 100.0, 100.0, 31.796875, 72.6875, 100.0, 13.599609375, 72.6875, 13.599609375, 0.0, 0.0, 0.0, 22.69921875, 4.5, 54.5, 4.5, 22.69921875, 4.5, 19.0, 7.0, 36.0, 16.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 111, "Liste d'appel propre à cette formation", 48.0, "3619", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3619&g_ta_cod=3619", 23.0, 55.0, 23.0),
(12329, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Arts - Parcours Etudes cinématographiques", "Licence - Arts-lettres-langues", "Etudes cinématographiques", 200, 1605, 935, 1605, 0, 1004, 208, 94, 22, 49, 22, 458, 0, 0, 0, 0, 0, 1603, 0, 0, 0, 1004, 208, 94, 22, 49, 22, 456, 917, 198, 104, 198, 0, 83.0, 163.0, 182.0, 0, 29, 123, 117, 4, 2, 75, 2, 22, 51, 39, 8, 1.0, 95, 2, 2, 0, 0, 71, 71, 41.92, 82.32, 91.92, 52.5, 57.6953125, 57.6953125, 0, 23.59765625, 62.09375, 1.599853515625, 17.8984375, 41.5, 31.69921875, 6.5, 0.8, 95.09375, 77.1875, 3.2998046875, 1.599853515625, 1.599853515625, 1.599853515625, 636.0, 129.0, 17.0, 12.0, 234.0, "Tous les candidats", 1066.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "7066", "Licence - Arts - Parcours Etudes cinématographiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7066&g_ta_cod=7066", 89.0, 6.0, 4.0),
(12330, "Privé sous contrat d'association", "0441946B", "Ecole Sup. ENSEC", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Ecole Sup. ENSEC - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 145, 74, 144, 0, 29, 4, 45, 8, 25, 7, 45, 1, 0, 0, 0, 1, 97, 1, 0, 0, 24, 3, 38, 6, 15, 3, 20, 38, 18, 8, 17, 1, 10.0, 16.0, 17.0, 0, 0, 12, 6, 5, 1, 6, 0, 6, 5, 1, 0, 0.0, 2, 4, 0, 0, 0, 12, 12, 55.56, 88.89, 94.44, 44.3984375, 100.0, 100.0, 0, 0.0, 66.6875, 0.0, 50.0, 41.6953125, 8.298828125, 0.0, 0.0, 50.0, 16.69921875, 41.6953125, 33.296875, 8.298828125, 0.0, 13.0, 0.0, 4.0, 1.0, 9.0, "Tous les candidats sauf les Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 5, "", 0, "Liste d'appel propre à cette formation", 48.0, "5599", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5599&g_ta_cod=5599", 50.0, 39.0, 11.0),
(12331, "Public", "0240035H", "Lycée Pre De Cordy", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Sarlat-la-Canéda", "formation sélective", "Autre formation", "Lycée Pre De Cordy - Classe de mise à niveau cinéma audiovisuel", "Année préparatoire", "Classe de mise à niveau cinéma audiovisuel", 18, 332, 135, 332, 0, 182, 33, 29, 5, 25, 4, 96, 0, 0, 0, 0, 0, 256, 0, 0, 0, 161, 28, 19, 4, 18, 2, 58, 92, 18, 9, 18, 0, 2.0, 16.0, 16.0, 0, 3, 16, 15, 1, 0, 2, 1, 3, 4, 7, 1, 0.0, 11, 1, 0, 0, 0, 2, 2, 11.11, 88.89, 88.89, 50.0, 12.5, 12.5, 0, 18.796875, 88.890625, 6.2998046875, 18.796875, 25.0, 43.796875, 6.3, 0.0, 93.796875, 68.796875, 6.2998046875, 6.2998046875, 0.0, 0.0, 72.0, 13.0, 6.0, 0.0, 12.0, "Tous les candidats", 114.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "3434", "Classe de mise à niveau cinéma audiovisuel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3434&g_ta_cod=3434", 94.0, 6.0, 0.0),
(12332, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Licence", "Université Bordeaux Montaigne - Double licence - Information et communication / Langues, littératures & civilisations étrangères et régionales - Licence 1 Anglais-information communication", "Licence - Sciences humaines et sociales", "Licence 1 Anglais-information communication", 38, 874, 729, 874, 0, 738, 107, 16, 5, 2, 1, 118, 0, 0, 0, 0, 0, 301, 0, 0, 0, 272, 25, 4, 1, 0, 0, 25, 96, 38, 33, 38, 0, 8.0, 35.0, 37.0, 0, 10, 37, 37, 0, 0, 1, 1, 0, 0, 23, 13, 0.0, 36, 0, 0, 0, 0, 17, 17, 21.05, 92.11, 97.37, 86.796875, 45.8984375, 45.8984375, 0, 27.0, 97.390625, 2.69970703125, 0.0, 0.0, 62.1953125, 35.1, 0.0, 100.0, 97.296875, 0.0, 0.0, 0.0, 0.0, 90.0, 15.0, 0.0, 0.0, 5.0, "Tous les candidats", 117.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "12447", "Double licence - Information et communication / Langues, littératures & civilisations étrangères et régionales - Licence 1 Anglais-information communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12447&g_ta_cod=12447", 100.0, 0.0, 0.0),
(12333, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 3 Paul Sabatier - Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales", "Licence - Sciences - technologies - santé", "", 50, 512, 176, 512, 0, 319, 68, 12, 4, 0, 0, 181, 0, 0, 0, 0, 0, 512, 0, 0, 0, 319, 68, 12, 4, 0, 0, 181, 235, 44, 16, 44, 0, 14.0, 35.0, 41.0, 0, 11, 32, 31, 1, 0, 12, 0, 7, 15, 8, 2, 0.0, 24, 1, 0, 0, 0, 25, 25, 31.82, 79.55, 93.18, 36.3984375, 78.09375, 78.09375, 0, 34.3984375, 72.6875, 0.0, 21.8984375, 46.8984375, 25.0, 6.3, 0.0, 96.890625, 75.0, 3.099609375, 3.099609375, 0.0, 0.0, 164.0, 34.0, 0.0, 0.0, 67.0, "Tous les candidats", 345.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "17961", "Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17961&g_ta_cod=17961", 93.0, 5.0, 2.0),
(12334, "Public", "0800010B", "Lycée Madeleine Michelis", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "CPGE", "Pôle Thuillier / Michelis - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 214, 106, 203, 0, 173, 25, 0, 0, 0, 0, 30, 11, 1, 0, 0, 10, 149, 2, 0, 149, 140, 20, 0, 0, 0, 0, 9, 101, 4, 2, 4, 0, 0.0, 4.0, 4.0, 0, 1, 4, 4, 0, 0, 0, 0, 0, 1, 3, 0, 0.0, 4, 0, 0, 1, 1, 4, 4, 0.0, 100.0, 100.0, 50.0, 100.0, 100.0, 25, 25.0, 100.0, 0.0, 0.0, 25.0, 75.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 92.0, 15.0, 0.0, 0.0, 9.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "31657", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31277&g_ta_cod=31657", 100.0, 0.0, 0.0),
(12335, "Privé sous contrat d'association", "0131436R", "Lycée Modele Electronique", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 11e  Arrondissement", "formation sélective", "BTS", "Lycée Modele Electronique - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 163, 16, 123, 0, 9, 1, 29, 12, 39, 18, 46, 40, 10, 6, 0, 24, 48, 2, 0, 0, 5, 0, 21, 8, 18, 6, 4, 33, 14, 0, 11, 0, 11.0, 11.0, 11.0, 0, 4, 12, 0, 3, 9, 2, 0, 2, 2, 7, 1, 0.0, 0, 1, 9, 11, 0, 12, 12, 78.57, 78.57, 78.57, 0.0, 100.0, 100.0, 91.6875, 33.296875, 85.6875, 0.0, 16.69921875, 16.69921875, 58.296875, 8.3, 0.0, 0.0, 0.0, 25.0, 8.298828125, 75.0, 75.0, 5.0, 0.0, 9.0, 3.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 28.0, "2648", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2648&g_ta_cod=2648", 7.0, 21.0, 71.0),
(12336, "Privé enseignement supérieur", "0510088U", "NEOMA Business School - Campus de Reims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "TEMA, Innovation & Digital Management", 60, 1274, 505, 1254, 0, 1075, 30, 68, 2, 3, 1, 108, 20, 7, 1, 0, 12, 1097, 4, 0, 0, 962, 22, 46, 1, 1, 1, 88, 803, 36, 13, 35, 1, 12.0, 35.0, 36.0, 0, 0, 32, 31, 1, 0, 4, 0, 7, 20, 5, 0, 0.0, 25, 0, 0, 0, 0, 11, 11, 33.33, 97.22, 100.0, 36.09375, 34.3984375, 34.3984375, 0, 0.0, 88.890625, 0.0, 21.8984375, 62.5, 15.599609375, 0.0, 0.0, 96.890625, 78.09375, 3.099609375, 0.0, 0.0, 0.0, 711.0, 9.0, 1.0, 1.0, 62.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "26128", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26128", 97.0, 3.0, 0.0),
(12337, "Public", "0130160D", "Lycée de L'Emperi", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Salon-de-Provence", "formation sélective", "CPGE", "Lycée de L'Emperi - CPGE - PCSI", "Classe préparatoire scientifique", "", 36, 586, 205, 540, 0, 343, 48, 1, 0, 0, 0, 196, 46, 19, 0, 0, 27, 381, 25, 0, 381, 323, 39, 0, 0, 0, 0, 58, 310, 28, 9, 22, 6, 1.0, 18.0, 27.0, 0, 4, 18, 18, 0, 0, 10, 0, 1, 8, 7, 1, 1.0, 17, 0, 0, 3, 0, 13, 13, 3.57, 64.29, 96.43, 32.09375, 72.1875, 72.1875, 16.69921875, 22.19921875, 64.296875, 0.0, 5.599609375, 44.3984375, 38.8984375, 5.6, 5.6, 100.0, 94.390625, 0.0, 0.0, 0.0, 0.0, 257.0, 35.0, 0.0, 0.0, 53.0, "Tous les candidats", 381.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "2618", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2618&g_ta_cod=2618", 100.0, 0.0, 0.0),
(12338, "Public", "0010016M", "Lycée Joseph-Marie Carriat", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "Autre formation", "Lycée Joseph-Marie Carriat - Mention complémentaire - FCIL Administrateur réseau, infrastructure et système numérique", "Mention complémentaire", "", 20, 37, 2, 26, 0, 6, 2, 0, 0, 10, 5, 10, 11, 1, 1, 5, 4, 15, 4, 0, 0, 5, 2, 0, 0, 9, 4, 1, 21, 3, 0, 1, 2, 0.0, 1.0, 1.0, 0, 1, 3, 0, 1, 2, 0, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 0.0, 33.33, 33.33, 0.0, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 0.0, 5.0, 2.0, 10.0, 4.0, 2.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "30692", "Mention complémentaire - FCIL Administrateur réseau, infrastructure et système numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30692&g_ta_cod=30692", 0.0, 33.0, 67.0),
(12339, "Public", "9760127J", "Lycée Younoussa Bamana", "976", "Mayotte", "Mayotte", "Mayotte", "Mamoudzou", "formation sélective", "BTS", "Lycée Younoussa Bamana - BTS - Production - Management économique de la construction", "BTS - Production", "", 28, 378, 136, 378, 0, 64, 41, 100, 61, 109, 51, 105, 0, 0, 0, 0, 0, 150, 0, 0, 0, 36, 23, 46, 27, 43, 18, 25, 57, 28, 9, 28, 0, 8.0, 25.0, 27.0, 0, 10, 25, 6, 7, 12, 3, 0, 10, 15, 0, 0, 0.0, 3, 5, 7, 5, 1, 25, 25, 28.57, 89.29, 96.43, 32.09375, 100.0, 100.0, 20, 40.0, 89.296875, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 24.0, 12.0, 28.0, 20.0, 48.0, 28.0, 18.0, 10.0, 23.0, 11.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 18.0, "21254", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21254&g_ta_cod=21254", 25.0, 25.0, 50.0),
(12340, "Public", "0491793H", "IFSI CH SAUMUR", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saumur", "formation sélective", "IFSI", "Regroupement d'IFSI Université Angers - D.E Infirmier", "D.E secteur sanitaire", "", 46, 2632, 2325, 2632, 0, 620, 86, 557, 105, 275, 73, 1180, 0, 0, 0, 0, 0, 2201, 0, 0, 0, 580, 77, 460, 76, 219, 46, 942, 452, 46, 42, 46, 0, 1.0, 12.0, 30.0, 0, 4, 22, 10, 5, 7, 24, 0, 1, 9, 11, 1, 0.0, 9, 5, 7, 0, 0, 19, 19, 2.17, 26.09, 65.22, 91.296875, 86.390625, 86.390625, 0, 18.19921875, 47.796875, 0.0, 4.5, 40.8984375, 50.0, 4.5, 0.0, 45.5, 40.8984375, 22.69921875, 22.69921875, 31.796875, 31.796875, 109.0, 12.0, 38.0, 12.0, 215.0, "Tous les candidats", 1053.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "23041", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22996&g_ta_cod=23041", 63.0, 20.0, 17.0),
(12341, "Privé hors contrat", "0755237K", "Pôle Paris alternance - Réseau des grandes écoles spécialisées", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "Ecole de Commerce", "Pôle Paris alternance - Réseau des grandes écoles spécialisées - Formation des écoles de commerce et de management Bac + 3", "Formation des écoles de commerce et de management", "Diplôme supérieur en marketing et communication - option Communication", 150, 392, 225, 277, 0, 156, 26, 49, 6, 19, 11, 53, 115, 40, 12, 13, 50, 4, 1, 0, 0, 4, 0, 0, 0, 0, 0, 0, 5, 2, 1, 1, 1, 1.0, 1.0, 2.0, 0, 0, 2, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 0, 2, 50.0, 50.0, 100.0, 50.0, 0.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 5.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 1.0, "33516", "Formation des écoles de commerce et de management Bac + 3", "Pôle Paris alternance - Réseau des grandes écoles spécialisées", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33515&g_ta_cod=33516", 100.0, 0.0, 0.0),
(12342, "Privé sous contrat d'association", "0030888Z", "LEAP Claude Mercier", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Le Mayet-de-Montagne", "formation sélective", "BTS", "LEAP Claude Mercier - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 25, 45, 8, 41, 0, 2, 0, 6, 1, 12, 4, 21, 4, 0, 0, 1, 3, 23, 1, 0, 0, 2, 0, 6, 1, 11, 4, 4, 24, 3, 0, 3, 0, 3.0, 3.0, 3.0, 0, 2, 2, 0, 0, 2, 1, 0, 0, 2, 0, 0, 0.0, 0, 0, 2, 1, 0, 2, 2, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 50, 100.0, 66.6875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 2.0, 0.0, 11.0, 4.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 6, "Liste d'appel propre à cette formation", 56.0, "2144", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2144&g_ta_cod=2144", 0.0, 0.0, 100.0),
(12343, "Public", "0594899E", "IFSI CH Valenciennes", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "IFSI", "Regroupement d'IFSI Université Lille - D.E Infirmier", "D.E secteur sanitaire", "", 150, 5642, 4533, 5642, 0, 1091, 293, 1199, 426, 593, 286, 2759, 0, 0, 0, 0, 0, 4663, 0, 0, 0, 997, 260, 983, 329, 466, 219, 2217, 1055, 149, 126, 149, 0, 9.0, 103.0, 130.0, 0, 46, 114, 37, 54, 23, 35, 1, 5, 49, 46, 12, 1.0, 36, 49, 23, 0, 0, 109, 109, 6.04, 69.13, 87.25, 84.59375, 95.59375, 95.59375, 0, 40.3984375, 76.5, 0.89990234375, 4.3994140625, 43.0, 40.3984375, 10.5, 0.9, 32.5, 31.59765625, 47.3984375, 43.0, 20.19921875, 20.19921875, 256.0, 57.0, 137.0, 64.0, 390.0, "Tous les candidats", 3375.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "23144", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22998&g_ta_cod=23144", 40.0, 41.0, 19.0),
(12344, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Philosophie - Parcours PHILOSOPHIE MAJEURE / mineure italien non débutant", "Licence - Sciences humaines et sociales", "PHILOSOPHIE MAJEURE / mineure italien non débutant", 10, 48, 26, 26, 0, 13, 1, 1, 1, 2, 0, 10, 22, 4, 0, 0, 18, 26, 21, 0, 0, 13, 1, 1, 1, 2, 0, 10, 44, 10, 4, 2, 8, 1.0, 2.0, 7.0, 0, 0, 1, 1, 0, 0, 9, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 1, 10.0, 20.0, 70.0, 40.0, 0.0, 100.0, 0, 0.0, 10.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 16.0, 1.0, 1.0, 0.0, 26.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "19362", "Licence - Philosophie - Parcours PHILOSOPHIE MAJEURE / mineure italien non débutant", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19362&g_ta_cod=19362", 80.0, 10.0, 10.0),
(12345, "Privé sous contrat d'association", "0300112J", "Lycée de La CCI", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée de La CCI - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 454, 223, 453, 0, 68, 13, 150, 69, 138, 58, 97, 1, 1, 0, 0, 0, 388, 0, 0, 0, 62, 12, 131, 58, 114, 47, 81, 186, 29, 16, 29, 0, 3.0, 18.0, 22.0, 0, 13, 24, 2, 9, 13, 5, 1, 14, 7, 1, 1, 0.0, 0, 2, 7, 4, 2, 20, 20, 10.34, 62.07, 75.86, 55.1953125, 83.296875, 83.296875, 16.69921875, 54.1953125, 82.796875, 4.19921875, 58.296875, 29.19921875, 4.19921875, 4.2, 0.0, 8.298828125, 0.0, 37.5, 8.298828125, 54.1953125, 29.19921875, 24.0, 9.0, 50.0, 23.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 38.0, "3968", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3968&g_ta_cod=3968", 14.0, 41.0, 45.0),
(12346, "Public", "0060030A", "Lycée Masséna", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "CPGE", "Lycée Masséna - CPGE - BCPST", "Classe préparatoire scientifique", "", 48, 1690, 1192, 1690, 1114, 1363, 132, 5, 1, 1, 0, 321, 0, 0, 0, 0, 0, 1345, 0, 1114, 832, 1121, 115, 3, 1, 0, 0, 221, 322, 46, 36, 46, 0, 10.0, 38.0, 46.0, 17, 3, 45, 45, 0, 0, 1, 0, 0, 0, 4, 37, 4.0, 45, 0, 0, 4, 3, 29, 29, 21.74, 82.61, 100.0, 78.296875, 64.390625, 64.390625, 8.8984375, 6.69921875, 97.796875, 0.0, 0.0, 0.0, 8.8984375, 82.2, 8.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 308.0, 24.0, 0.0, 0.0, 14.0, "Tous les candidats", 454.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "2208", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2208&g_ta_cod=2208", 100.0, 0.0, 0.0),
(12347, "Privé sous contrat d'association", "0132246A", "ESAIP Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 10, 112, 9, 108, 0, 0, 0, 108, 30, 0, 0, 0, 4, 0, 4, 0, 0, 89, 3, 0, 0, 0, 0, 89, 22, 0, 0, 0, 77, 3, 1, 3, 0, 1.0, 3.0, 3.0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0.0, 0, 3, 0, 0, 0, 1, 1, 33.33, 100.0, 100.0, 33.296875, 33.296875, 33.296875, 0, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "22908", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=22908", 0.0, 100.0, 0.0),
(12348, "Privé sous contrat d'association", "0290181P", "Lycée Sup'Javouhey BREST", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Sup'Javouhey BREST - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 272, 204, 272, 0, 14, 1, 137, 18, 61, 16, 60, 0, 0, 0, 0, 0, 271, 0, 0, 0, 14, 1, 137, 18, 60, 16, 60, 145, 32, 21, 32, 0, 4.0, 23.0, 28.0, 0, 6, 24, 2, 11, 11, 8, 0, 14, 10, 0, 0, 0.0, 0, 3, 7, 2, 1, 23, 23, 12.5, 71.88, 87.5, 65.59375, 95.796875, 95.796875, 8.298828125, 25.0, 75.0, 0.0, 58.296875, 41.6953125, 0.0, 0.0, 0.0, 8.298828125, 0.0, 45.796875, 12.5, 45.796875, 29.19921875, 11.0, 1.0, 39.0, 14.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 101, "Liste d'appel propre à cette formation", 65.0, "3821", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3821&g_ta_cod=3821", 25.0, 34.0, 41.0),
(12349, "Public", "0061899G", "IFSI CH La Palmosa de Menton", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Menton", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nice Sophia Antipolis - D.E Infirmier", "D.E secteur sanitaire", "", 27, 3854, 3287, 3854, 0, 616, 135, 601, 168, 335, 135, 2302, 0, 0, 0, 0, 0, 1984, 0, 0, 0, 463, 79, 338, 80, 126, 42, 1057, 458, 27, 25, 27, 0, 0.0, 6.0, 13.0, 0, 2, 14, 10, 4, 0, 13, 0, 3, 4, 6, 1, 0.0, 8, 3, 0, 0, 0, 12, 12, 0.0, 22.22, 48.15, 92.59375, 85.6875, 85.6875, 0, 14.298828125, 51.8984375, 0.0, 21.3984375, 28.59765625, 42.8984375, 7.1, 0.0, 71.390625, 57.09375, 28.59765625, 21.3984375, 0.0, 0.0, 114.0, 21.0, 22.0, 11.0, 267.0, "Tous les candidats", 1304.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "23068", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22984&g_ta_cod=23068", 63.0, 19.0, 15.0),
(12350, "Privé sous contrat d'association", "0492420P", "LPO SAINT AUBIN LA SALLE", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Verrières-en-Anjou", "formation sélective", "BTS", "LPO SAINT AUBIN LA SALLE - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 85, 3, 71, 0, 10, 3, 21, 1, 28, 5, 12, 14, 2, 1, 1, 10, 69, 4, 0, 0, 10, 3, 21, 1, 28, 5, 10, 53, 8, 1, 7, 1, 2.0, 7.0, 7.0, 0, 2, 7, 1, 1, 5, 1, 0, 3, 1, 2, 1, 0.0, 0, 0, 4, 6, 1, 7, 7, 25.0, 87.5, 87.5, 12.5, 100.0, 100.0, 85.6875, 28.59765625, 87.5, 0.0, 42.8984375, 14.298828125, 28.59765625, 14.3, 0.0, 14.298828125, 0.0, 14.298828125, 0.0, 71.390625, 57.09375, 9.0, 2.0, 18.0, 4.0, 8.0, "Tous les candidats sauf les Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 86.0, "5915", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5915&g_ta_cod=5915", 13.0, 25.0, 63.0),
(12351, "Public", "0920142E", "Lycée Louis Pasteur", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Neuilly-sur-Seine", "formation sélective", "CPGE", "Lycée Louis Pasteur - CPGE - MPSI", "Classe préparatoire scientifique", "", 90, 3390, 1048, 3390, 0, 3026, 246, 3, 1, 1, 0, 360, 0, 0, 0, 0, 0, 1116, 0, 0, 1116, 1110, 63, 0, 0, 0, 0, 6, 390, 89, 21, 89, 0, 25.0, 80.0, 86.0, 0, 13, 89, 89, 0, 0, 0, 0, 0, 0, 13, 61, 15.0, 89, 0, 0, 3, 0, 63, 81, 28.09, 89.89, 96.63, 23.59765625, 70.796875, 91.0, 3.39990234375, 14.599609375, 100.0, 0.0, 0.0, 0.0, 14.599609375, 68.5, 16.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 390.0, 34.0, 0.0, 0.0, 0.0, "Tous les candidats", 482.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "11004", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11004&g_ta_cod=11004", 100.0, 0.0, 0.0),
(12352, "Privé sous contrat d'association", "0550049E", "Lycée Sainte-Anne", "55", "Meuse", "Grand Est", "Nancy-Metz", "Verdun", "formation sélective", "BTS", "Lycée Sainte-Anne - BTS - Services - Communication", "BTS - Services", "", 24, 348, 177, 293, 0, 36, 5, 35, 5, 17, 4, 205, 55, 11, 8, 5, 31, 80, 30, 0, 0, 27, 4, 23, 3, 10, 1, 20, 92, 16, 7, 8, 8, 2.0, 8.0, 15.0, 0, 1, 11, 3, 4, 4, 5, 0, 4, 5, 2, 0, 0.0, 1, 2, 4, 2, 0, 9, 9, 12.5, 50.0, 93.75, 43.796875, 81.796875, 81.796875, 18.19921875, 9.099609375, 68.796875, 0.0, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 27.296875, 9.099609375, 36.3984375, 18.19921875, 36.3984375, 36.3984375, 28.0, 2.0, 14.0, 2.0, 30.0, "Tous les candidats sauf les Bac professionnels", 64.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 27.0, "6408", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6408&g_ta_cod=6408", 31.0, 31.0, 38.0),
(12353, "Public", "0451526P", "Lycée Charles Peguy", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "Autre formation", "Lycée Charles Peguy - DN MADE - Espace - - Spécialité : Habiter les espaces urbains, naturels et culturels / Paysage ? Scénographie", "DN MADE", "- Spécialité : Habiter les espaces urbains, naturels et culturels / Paysage ? Scénographie", 15, 737, 584, 737, 0, 303, 53, 224, 42, 41, 11, 169, 0, 0, 0, 0, 0, 350, 0, 0, 0, 159, 23, 136, 22, 13, 4, 42, 63, 15, 12, 15, 0, 0.0, 13.0, 15.0, 0, 3, 14, 2, 11, 1, 1, 0, 0, 8, 6, 0, 0.0, 2, 11, 1, 0, 0, 5, 5, 0.0, 86.67, 100.0, 80.0, 35.6953125, 35.6953125, 0, 21.3984375, 93.296875, 0.0, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 14.298828125, 14.298828125, 78.59375, 78.59375, 7.099609375, 7.099609375, 13.0, 3.0, 1.0, 1.0, 3.0, "Tous les candidats", 104.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "21900", "DN MADE - Espace - - Spécialité : Habiter les espaces urbains, naturels et culturels / Paysage ? Scénographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21900&g_ta_cod=21900", 13.0, 80.0, 7.0),
(12354, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues étrangères appliquées - Parcours Anglais suédois appliqués aux affaires", "Licence - Arts-lettres-langues", "Anglais suédois appliqués aux affaires", 60, 173, 88, 75, 0, 41, 8, 2, 0, 4, 2, 28, 98, 11, 6, 20, 61, 75, 62, 0, 0, 41, 8, 2, 0, 4, 2, 28, 137, 25, 11, 13, 12, 8.0, 13.0, 18.0, 0, 8, 15, 11, 2, 2, 10, 0, 8, 3, 3, 0, 1.0, 6, 0, 1, 0, 0, 7, 7, 32.0, 52.0, 72.0, 44.0, 46.6953125, 46.6953125, 0, 53.296875, 60.0, 0.0, 53.296875, 20.0, 20.0, 0.0, 6.7, 73.296875, 40.0, 13.298828125, 0.0, 13.298828125, 6.69921875, 49.0, 11.0, 18.0, 13.0, 63.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15725", "Licence - Langues étrangères appliquées - Parcours Anglais suédois appliqués aux affaires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15725&g_ta_cod=15725", 60.0, 20.0, 16.0),
(12355, "Public", "0331420P", "IUT Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BUT", "IUT Bordeaux Montaigne - BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d?expérience - Création numérique - Développement web et dispositifs interactifs", "BUT - Production", "Stratégie de communication numérique et design d?expérience - Création numérique - Développement web et dispositifs interactifs", 50, 1262, 383, 1262, 0, 637, 106, 282, 77, 25, 9, 318, 0, 0, 0, 0, 0, 291, 0, 0, 0, 111, 18, 109, 36, 5, 2, 66, 107, 50, 23, 50, 0, 20.0, 46.0, 49.0, 0, 10, 34, 15, 18, 1, 16, 0, 3, 15, 11, 5, 0.0, 15, 15, 1, 0, 0, 19, 19, 40.0, 92.0, 98.0, 46.0, 55.8984375, 55.8984375, 0, 29.3984375, 68.0, 0.0, 8.798828125, 44.09375, 32.3984375, 14.7, 0.0, 44.09375, 44.09375, 52.8984375, 44.09375, 2.89990234375, 2.89990234375, 39.0, 9.0, 3.0, 2.0, 25.0, "Tous les candidats sauf les Bac technologiques", 65.0, "Bacheliers technologiques toutes séries", 63, "", 0, "Liste d'appel propre à cette formation", 10.0, "4331", "BUT - Métiers du multimédia et de l'internet Parcours : Stratégie de communication numérique et design d?expérience - Création numérique - Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4331&g_ta_cod=4331", 44.0, 52.0, 4.0),
(12356, "Privé sous contrat d'association", "0671609K", "Collège Episcopal St Etienne", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Collège Episcopal St Etienne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 28, 265, 133, 261, 0, 228, 10, 0, 0, 1, 0, 32, 4, 1, 0, 0, 3, 222, 4, 0, 222, 208, 10, 0, 0, 0, 0, 14, 156, 10, 3, 10, 0, 2.0, 10.0, 10.0, 0, 1, 10, 10, 0, 0, 0, 0, 2, 5, 3, 0, 0.0, 8, 0, 0, 0, 0, 9, 9, 20.0, 100.0, 100.0, 30.0, 90.0, 90.0, 0, 10.0, 100.0, 0.0, 20.0, 50.0, 30.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 144.0, 7.0, 0.0, 0.0, 12.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "31664", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31391&g_ta_cod=31664", 100.0, 0.0, 0.0),
(12357, "Privé sous contrat d'association", "0301236F", "IFSI Croix Rouge Française Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "IFSI", "Regroupement d'IFSI Université Montpellier - D.E Infirmier", "D.E secteur sanitaire", "", 67, 7915, 6681, 7915, 0, 1191, 284, 1344, 404, 762, 324, 4618, 0, 0, 0, 0, 0, 5669, 0, 0, 0, 1024, 225, 1033, 294, 486, 191, 3126, 962, 67, 59, 67, 0, 0.0, 4.0, 44.0, 0, 6, 34, 10, 16, 8, 33, 0, 3, 19, 7, 5, 0.0, 7, 16, 8, 0, 0, 20, 20, 0.0, 5.97, 65.67, 88.09375, 58.796875, 58.796875, 0, 17.59765625, 50.6953125, 0.0, 8.798828125, 55.8984375, 20.59765625, 14.7, 0.0, 29.3984375, 20.59765625, 47.09375, 47.09375, 23.5, 23.5, 190.0, 28.0, 84.0, 39.0, 426.0, "Tous les candidats", 2522.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 21.0, "23174", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22991&g_ta_cod=23174", 40.0, 40.0, 18.0),
(12358, "Privé sous contrat d'association", "0131398Z", "Lycée Maximilien de Sully", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "BTS", "Lycée Maximilien de Sully - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 78, 1340, 686, 992, 0, 213, 55, 330, 140, 183, 85, 266, 348, 33, 121, 35, 159, 370, 50, 0, 0, 107, 26, 131, 50, 95, 32, 37, 329, 64, 32, 35, 27, 9.0, 32.0, 58.0, 0, 15, 44, 10, 18, 16, 20, 0, 21, 18, 5, 0, 0.0, 5, 7, 11, 0, 0, 40, 40, 14.06, 50.0, 90.63, 50.0, 90.890625, 90.890625, 0, 34.09375, 68.796875, 0.0, 47.6953125, 40.8984375, 11.3984375, 0.0, 0.0, 22.69921875, 11.3984375, 40.8984375, 15.8984375, 36.3984375, 25.0, 87.0, 21.0, 81.0, 32.0, 54.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 125.0, "Bacheliers professionnels toutes séries", 101, "Bacheliers technologiques toutes séries", 142, "Liste d'appel propre à cette formation", 37.0, "2635", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2635&g_ta_cod=2635", 23.0, 44.0, 33.0),
(12359, "Privé sous contrat d'association", "0930974D", "Lycée St Louis Blanche De Castille", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villemomble", "formation sélective", "CPGE", "Lycée St Louis Blanche De Castille - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 24, 145, 70, 115, 0, 97, 30, 0, 0, 0, 0, 18, 30, 14, 1, 0, 15, 98, 20, 0, 98, 94, 30, 0, 0, 0, 0, 4, 99, 8, 2, 4, 4, 1.0, 4.0, 7.0, 0, 1, 8, 8, 0, 0, 0, 0, 4, 3, 1, 0, 0.0, 4, 0, 0, 0, 0, 6, 7, 12.5, 50.0, 87.5, 25.0, 75.0, 87.5, 0, 12.5, 100.0, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 85.0, 23.0, 0.0, 0.0, 14.0, "Tous les candidats", 98.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "31976", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31976&g_ta_cod=31976", 100.0, 0.0, 0.0),
(12360, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "PASS", "Université de Bourgogne - site de Dijon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 72, 1717, 1248, 1717, 0, 1348, 231, 36, 6, 9, 4, 324, 0, 0, 0, 0, 0, 1711, 0, 0, 0, 1349, 232, 36, 6, 9, 4, 317, 387, 72, 56, 72, 0, 3.0, 63.0, 67.0, 0, 18, 66, 64, 2, 0, 6, 0, 1, 20, 35, 10, 0.0, 63, 2, 0, 0, 0, 57, 57, 4.17, 87.5, 93.06, 77.796875, 86.390625, 86.390625, 0, 27.296875, 91.6875, 0.0, 1.5, 30.296875, 53.0, 15.2, 0.0, 97.0, 95.5, 3.0, 3.0, 0.0, 0.0, 357.0, 58.0, 1.0, 1.0, 20.0, "Tous les candidats", 3109.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 67.0, "27663", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27662&g_ta_cod=27663", 97.0, 3.0, 0.0),
(12361, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "PASS", "Université Clermont Auvergne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Histoire Philosophie Lettres", 40, 1033, 725, 1033, 0, 729, 121, 17, 6, 4, 2, 283, 0, 0, 0, 0, 0, 1031, 0, 0, 0, 729, 121, 17, 6, 4, 2, 281, 360, 38, 32, 38, 0, 2.0, 25.0, 32.0, 0, 7, 31, 29, 2, 0, 7, 0, 5, 10, 6, 9, 1.0, 24, 2, 0, 0, 0, 15, 15, 5.26, 65.79, 84.21, 84.1875, 48.3984375, 48.3984375, 0, 22.59765625, 81.59375, 0.0, 16.09765625, 32.296875, 19.3984375, 29.0, 3.2, 93.5, 77.390625, 6.5, 6.5, 0.0, 0.0, 274.0, 43.0, 1.0, 0.0, 79.0, "Tous les candidats", 3342.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 51.0, "26642", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26629&g_ta_cod=26642", 92.0, 8.0, 0.0),
(12362, "Public", "0511219Y", "Lycée agricole Viticole De La Champagne", "51", "Marne", "Grand Est", "Reims", "Avize", "formation sélective", "BTS", "Lycée agricole Viticole De La Champagne - BTS - Agricole - Viticulture-Oenologie", "BTS - Agricole", "", 36, 212, 72, 207, 0, 63, 3, 61, 3, 31, 6, 52, 5, 0, 2, 0, 3, 99, 0, 0, 0, 40, 2, 29, 2, 15, 1, 15, 81, 17, 6, 17, 0, 7.0, 17.0, 17.0, 0, 1, 14, 8, 5, 1, 3, 0, 2, 8, 3, 1, 0.0, 6, 5, 1, 5, 1, 14, 14, 41.18, 100.0, 100.0, 35.296875, 100.0, 100.0, 35.6953125, 7.099609375, 82.390625, 0.0, 14.298828125, 57.09375, 21.3984375, 7.1, 0.0, 57.09375, 42.8984375, 35.6953125, 35.6953125, 7.099609375, 7.099609375, 27.0, 2.0, 15.0, 1.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 47.0, "6114", "BTS - Agricole - Viticulture-Oenologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6114&g_ta_cod=6114", 59.0, 35.0, 6.0),
(12363, "Privé sous contrat d'association", "0541318P", "Lycée Notre Dame Saint Sigisbert", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "CPGE", "Lycée Notre Dame Saint Sigisbert - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 45, 283, 180, 265, 0, 172, 12, 0, 0, 1, 0, 92, 18, 9, 1, 0, 8, 176, 11, 0, 176, 156, 9, 0, 0, 0, 0, 20, 162, 12, 9, 11, 1, 0.0, 11.0, 12.0, 0, 0, 10, 10, 0, 0, 2, 0, 0, 3, 6, 1, 0.0, 10, 0, 0, 0, 0, 6, 6, 0.0, 91.67, 100.0, 75.0, 60.0, 60.0, 0, 0.0, 83.296875, 0.0, 0.0, 30.0, 60.0, 10.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 138.0, 8.0, 0.0, 0.0, 24.0, "Tous les candidats", 176.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "6313", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6313&g_ta_cod=6313", 100.0, 0.0, 0.0),
(12364, "Public", "0630023H", "Lycée professionnel Marie Curie", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée professionnel Marie Curie - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 30, 660, 641, 640, 0, 110, 26, 158, 61, 194, 55, 178, 20, 1, 1, 7, 11, 389, 1, 0, 0, 104, 24, 72, 27, 113, 25, 100, 202, 26, 25, 25, 1, 1.0, 15.0, 21.0, 0, 6, 18, 7, 0, 11, 8, 0, 6, 8, 3, 1, 0.0, 3, 0, 9, 5, 5, 14, 14, 3.85, 57.69, 80.77, 96.1875, 77.796875, 77.796875, 27.796875, 33.296875, 69.1875, 0.0, 33.296875, 44.3984375, 16.69921875, 5.6, 0.0, 38.8984375, 16.69921875, 0.0, 0.0, 61.09375, 50.0, 51.0, 15.0, 70.0, 19.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 115, "Bacheliers technologiques toutes séries", 88, "Liste d'appel propre à cette formation", 46.0, "7575", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7575&g_ta_cod=7575", 38.0, 19.0, 42.0),
(12365, "Public", "0640057P", "Lycée Saint-Cricq", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation sélective", "CPGE", "Lycée Saint-Cricq - CPGE - TSI", "Classe préparatoire scientifique", "", 48, 280, 28, 278, 221, 0, 0, 253, 48, 0, 0, 25, 2, 0, 0, 0, 2, 257, 1, 208, 212, 0, 0, 240, 43, 0, 0, 17, 153, 35, 3, 35, 0, 12.0, 35.0, 35.0, 26, 7, 27, 0, 27, 0, 8, 0, 0, 15, 9, 3, 0.0, 0, 27, 0, 3, 1, 14, 14, 34.29, 100.0, 100.0, 8.599609375, 51.8984375, 51.8984375, 11.099609375, 25.8984375, 77.09375, 0.0, 0.0, 55.59375, 33.296875, 11.1, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 14.0, "Tous les candidats", 256.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "7709", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7709&g_ta_cod=7709", 0.0, 100.0, 0.0),
(12366, "Privé sous contrat d'association", "0381678T", "Lycée Robin", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Vienne", "formation sélective", "BTS", "Lycée Robin - BTS - Services - Commerce International", "BTS - Services", "", 32, 267, 136, 258, 0, 83, 12, 66, 18, 24, 11, 85, 9, 0, 0, 7, 2, 240, 1, 0, 0, 83, 12, 64, 17, 19, 9, 74, 133, 29, 15, 29, 0, 6.0, 24.0, 26.0, 0, 4, 25, 9, 12, 4, 4, 2, 8, 12, 3, 0, 0.0, 6, 6, 3, 3, 1, 22, 22, 20.69, 82.76, 89.66, 51.6953125, 88.0, 88.0, 12, 16.0, 86.1875, 8.0, 32.0, 48.0, 12.0, 0.0, 0.0, 36.0, 24.0, 48.0, 24.0, 16.0, 12.0, 44.0, 10.0, 16.0, 6.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 65.0, "Bacheliers technologiques toutes séries", 69, "Bacheliers professionnels toutes séries", 26, "Liste d'appel propre à cette formation", 62.0, "4983", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4983&g_ta_cod=4983", 34.0, 52.0, 14.0),
(12367, "Public", "0511026N", "Institut Universitaire de Technologie de Reims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BUT", "Institut Universitaire de Technologie de Reims - BUT - Génie civil - Construction durable", "BUT - Production", "", 124, 1366, 232, 1343, 0, 667, 82, 417, 95, 11, 5, 248, 23, 0, 15, 0, 8, 978, 6, 0, 0, 537, 57, 271, 51, 0, 0, 170, 562, 123, 9, 121, 2, 18.0, 96.0, 121.0, 0, 24, 88, 41, 47, 0, 35, 0, 17, 46, 20, 5, 0.0, 34, 37, 0, 0, 0, 49, 49, 14.63, 78.05, 98.37, 7.2998046875, 55.6953125, 55.6953125, 0, 27.296875, 71.5, 0.0, 19.296875, 52.296875, 22.69921875, 5.7, 0.0, 46.59375, 38.59375, 53.3984375, 42.0, 0.0, 0.0, 198.0, 39.0, 0.0, 0.0, 140.0, "Tous les candidats sauf les Bac technologiques", 459.0, "Bacheliers technologiques toutes séries", 294, "", 0, "Liste d'appel propre à cette formation", 56.0, "6089", "BUT - Génie civil - Construction durable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6089&g_ta_cod=6089", 59.0, 41.0, 0.0),
(12368, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence_Las", "Université d'Amiens - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 30, 2191, 824, 2191, 0, 1451, 226, 222, 43, 53, 12, 465, 0, 0, 0, 0, 0, 2191, 0, 0, 0, 1451, 226, 222, 43, 53, 12, 465, 153, 31, 19, 31, 0, 1.0, 17.0, 20.0, 0, 6, 21, 17, 3, 1, 10, 0, 4, 6, 7, 4, 0.0, 14, 2, 1, 0, 0, 19, 19, 3.23, 54.84, 64.52, 61.296875, 90.5, 90.5, 0, 28.59765625, 67.6875, 0.0, 19.0, 28.59765625, 33.296875, 19.0, 0.0, 81.0, 66.6875, 14.298828125, 9.5, 4.7998046875, 4.7998046875, 59.0, 16.0, 2.0, 0.0, 86.0, "Tous les candidats", 363.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 10.0, "31962", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31961&g_ta_cod=31962", 87.0, 10.0, 3.0),
(12369, "Public", "0910627M", "Lycée Jean Baptiste Corot", "91", "Essonne", "Ile-de-France", "Versailles", "Savigny-sur-Orge", "formation sélective", "CPGE", "Lycée Jean Baptiste Corot - CPGE - MPSI", "Classe préparatoire scientifique", "", 44, 843, 219, 843, 0, 731, 118, 2, 2, 2, 0, 108, 0, 0, 0, 0, 0, 409, 0, 0, 409, 399, 40, 0, 0, 0, 0, 10, 195, 44, 14, 43, 0, 26.0, 38.0, 44.0, 0, 6, 44, 44, 0, 0, 0, 0, 0, 3, 18, 23, 0.0, 44, 0, 0, 11, 6, 41, 44, 59.09, 86.36, 100.0, 31.796875, 93.1875, 100.0, 25, 13.599609375, 100.0, 0.0, 0.0, 6.7998046875, 40.8984375, 52.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 195.0, 34.0, 0.0, 0.0, 0.0, "Tous les candidats", 217.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "10861", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10861&g_ta_cod=10861", 100.0, 0.0, 0.0),
(12370, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence_Las", "Université de Caen Normandie - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 90, 1911, 1297, 1911, 0, 1466, 223, 50, 11, 8, 2, 387, 0, 0, 0, 0, 0, 1909, 0, 0, 0, 1466, 223, 50, 11, 8, 2, 385, 416, 89, 61, 89, 0, 6.0, 59.0, 72.0, 0, 13, 81, 81, 0, 0, 8, 0, 0, 19, 45, 16, 1.0, 81, 0, 0, 0, 0, 78, 78, 6.74, 66.29, 80.9, 68.5, 96.296875, 96.296875, 0, 16.0, 91.0, 0.0, 0.0, 23.5, 55.59375, 19.8, 1.2, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 353.0, 58.0, 0.0, 0.0, 63.0, "Tous les candidats", 788.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "27712", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27711&g_ta_cod=27712", 100.0, 0.0, 0.0),
(12371, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER : ALLEMAND NON DEBUTANT", "Licence - Arts-lettres-langues", "LLCER : ALLEMAND NON DEBUTANT", 75, 95, 73, 72, 0, 39, 4, 2, 0, 2, 0, 29, 23, 3, 0, 0, 20, 69, 23, 0, 0, 39, 4, 2, 0, 2, 0, 26, 92, 13, 8, 6, 7, 6.0, 6.0, 9.0, 0, 2, 7, 6, 0, 1, 6, 2, 1, 2, 1, 1, 0.0, 4, 0, 0, 0, 0, 1, 5, 46.15, 46.15, 69.23, 61.5, 14.298828125, 71.390625, 0, 28.59765625, 53.796875, 28.59765625, 14.298828125, 28.59765625, 14.298828125, 14.3, 0.0, 85.6875, 57.09375, 0.0, 0.0, 14.298828125, 0.0, 42.0, 7.0, 2.0, 0.0, 46.0, "Tous les candidats", 131.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "9284", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER : ALLEMAND NON DEBUTANT", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28443&g_ta_cod=9284", 69.0, 15.0, 8.0),
(12372, "Public", "0782118D", "I.U.T de Velizy - Antenne de Rambouillet", "78", "Yvelines", "Ile-de-France", "Versailles", "Rambouillet", "formation sélective", "BUT", "I.U.T de Velizy - Antenne de Rambouillet - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Stratégie de marque et événementiel", 84, 1878, 961, 1878, 0, 965, 145, 629, 131, 17, 4, 267, 0, 0, 0, 0, 0, 1247, 0, 0, 0, 720, 89, 419, 83, 0, 0, 108, 376, 83, 52, 83, 0, 17.0, 68.0, 78.0, 0, 16, 77, 38, 39, 0, 6, 0, 0, 39, 32, 5, 1.0, 38, 39, 0, 0, 0, 69, 69, 20.48, 81.93, 93.98, 62.6953125, 89.59375, 89.59375, 0, 20.796875, 92.796875, 0.0, 0.0, 50.59375, 41.59375, 6.5, 1.3, 49.3984375, 49.3984375, 50.59375, 50.59375, 0.0, 0.0, 202.0, 40.0, 0.0, 0.0, 23.0, "Tous les candidats sauf les Bac technologiques", 332.0, "Bacheliers technologiques toutes séries", 237, "", 0, "Liste d'appel propre à cette formation", 30.0, "10017", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10017&g_ta_cod=10017", 51.0, 49.0, 0.0),
(12373, "Public", "0573281G", "Lycée De La Communication", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée De La Communication - BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "BTS - Services", "", 6, 280, 50, 280, 0, 77, 9, 56, 11, 39, 12, 108, 0, 0, 0, 0, 0, 141, 0, 0, 0, 45, 5, 43, 7, 31, 10, 22, 24, 6, 0, 6, 0, 2.0, 5.0, 5.0, 0, 1, 6, 0, 5, 1, 0, 0, 0, 3, 3, 0, 0.0, 0, 5, 1, 1, 0, 3, 3, 33.33, 83.33, 83.33, 0.0, 50.0, 50.0, 16.69921875, 16.69921875, 100.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 83.296875, 83.296875, 16.69921875, 16.69921875, 6.0, 0.0, 4.0, 1.0, 2.0, "Tous les candidats sauf les Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 13.0, "6658", "BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6658&g_ta_cod=6658", 0.0, 83.0, 17.0),
(12374, "Public", "0382203N", "Lycée Pablo Neruda", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "BTS", "Lycée Pablo Neruda - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 434, 26, 408, 0, 31, 4, 84, 17, 153, 55, 140, 26, 0, 16, 0, 10, 278, 8, 0, 0, 27, 4, 67, 8, 139, 46, 45, 158, 24, 0, 21, 3, 1.0, 14.0, 20.0, 0, 6, 16, 0, 2, 14, 8, 0, 3, 8, 2, 3, 0.0, 0, 1, 12, 4, 0, 14, 14, 4.17, 58.33, 83.33, 0.0, 87.5, 87.5, 25, 37.5, 66.6875, 0.0, 18.796875, 50.0, 12.5, 18.8, 0.0, 0.0, 0.0, 12.5, 6.2998046875, 87.5, 75.0, 11.0, 4.0, 63.0, 18.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 124, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 54.0, "5101", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5101&g_ta_cod=5101", 4.0, 33.0, 63.0),
(12375, "Privé sous contrat d'association", "0490828J", "Lycée général et technologique privé Dom Sortais", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Beaupréau-en-Mauges", "formation sélective", "BTS", "Lycée général et technologique privé Dom Sortais - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 12, 72, 6, 60, 0, 3, 0, 11, 0, 9, 3, 37, 12, 0, 0, 3, 9, 29, 9, 0, 0, 3, 0, 11, 0, 9, 3, 6, 37, 6, 0, 3, 3, 3.0, 3.0, 4.0, 0, 1, 3, 0, 1, 2, 3, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 50.0, 50.0, 66.67, 0.0, 66.6875, 66.6875, 0, 33.296875, 50.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 33.296875, 3.0, 0.0, 12.0, 5.0, 12.0, "Tous les candidats sauf les Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 48.0, "5897", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5897&g_ta_cod=5897", 50.0, 17.0, 33.0),
(12376, "Public", "0861441Z", "IFE POITIERS", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Autre formation", "IFE POITIERS - D.E Ergothérapeute", "D.E secteur sanitaire", "", 17, 394, 345, 394, 0, 126, 13, 40, 6, 3, 0, 225, 0, 0, 0, 0, 0, 309, 0, 0, 0, 94, 10, 27, 4, 1, 0, 187, 57, 17, 15, 17, 0, 2.0, 9.0, 12.0, 0, 2, 5, 5, 0, 0, 12, 0, 0, 1, 4, 0, 0.0, 5, 0, 0, 0, 0, 0, 0, 11.76, 52.94, 70.59, 88.1875, 0.0, 0.0, 0, 40.0, 29.3984375, 0.0, 0.0, 20.0, 80.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 7.0, 3.0, 0.0, 0.0, 50.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "25986", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25986&g_ta_cod=25986", 100.0, 0.0, 0.0),
(12377, "Public", "0760110G", "Lycée Marcel Sembat", "76", "Seine-Maritime", "Normandie", "Normandie", "Sotteville-lès-Rouen", "formation sélective", "CPGE", "Lycée Marcel Sembat - CPGE - TSI", "Classe préparatoire scientifique", "", 45, 247, 30, 239, 156, 0, 0, 206, 38, 0, 0, 33, 8, 0, 5, 0, 3, 181, 2, 119, 170, 0, 0, 168, 28, 0, 0, 13, 152, 36, 3, 35, 1, 12.0, 34.0, 34.0, 15, 6, 34, 0, 34, 0, 2, 0, 1, 7, 21, 5, 0.0, 0, 33, 0, 2, 0, 27, 27, 33.33, 94.44, 94.44, 8.298828125, 79.390625, 79.390625, 5.8994140625, 17.59765625, 94.390625, 0.0, 2.89990234375, 20.59765625, 61.796875, 14.7, 0.0, 0.0, 0.0, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 13.0, "Tous les candidats", 181.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "9616", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9616&g_ta_cod=9616", 0.0, 100.0, 0.0),
(12378, "Public", "0620215X", "Université du littoral - Site de Calais -", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation non sélective", "Licence", "Université du littoral - Site de Calais - - Licence - Informatique - Parcours", "Licence - Sciences - technologies - santé", "", 108, 534, 64, 413, 0, 245, 51, 40, 16, 5, 1, 123, 121, 25, 6, 1, 89, 403, 67, 0, 0, 245, 51, 40, 16, 5, 1, 113, 440, 74, 7, 56, 17, 38.0, 56.0, 67.0, 0, 11, 49, 40, 8, 1, 25, 0, 27, 8, 12, 2, 0.0, 18, 4, 0, 0, 0, 42, 42, 51.35, 75.68, 90.54, 9.5, 85.6875, 85.6875, 0, 22.3984375, 66.1875, 0.0, 55.09375, 16.296875, 24.5, 4.1, 0.0, 81.59375, 36.6953125, 16.296875, 8.19921875, 2.0, 0.0, 258.0, 57.0, 1.0, 0.0, 148.0, "Tous les candidats", 404.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "7399", "Licence - Informatique - Parcours", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7399&g_ta_cod=7399", 74.0, 19.0, 4.0),
(12379, "Privé sous contrat d'association", "0624065G", "IRTS HDF - Site Artois", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "EFTS", "IRTS HDF - Site Artois - D.E Assistant de Service Social", "D.E secteur social", "", 32, 135, 124, 135, 0, 34, 6, 32, 7, 11, 3, 58, 0, 0, 0, 0, 0, 73, 0, 0, 0, 14, 3, 17, 4, 4, 0, 38, 42, 32, 30, 32, 0, 23.0, 32.0, 32.0, 0, 3, 13, 6, 5, 2, 19, 0, 3, 6, 4, 0, 0.0, 4, 5, 1, 0, 0, 13, 13, 71.88, 100.0, 100.0, 93.796875, 100.0, 100.0, 0, 23.09765625, 40.59375, 0.0, 23.09765625, 46.1953125, 30.796875, 0.0, 0.0, 46.1953125, 30.796875, 38.5, 38.5, 15.3984375, 7.69921875, 10.0, 3.0, 2.0, 0.0, 23.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "24949", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24949&g_ta_cod=24949", 63.0, 28.0, 9.0),
(12380, "Privé sous contrat d'association", "0672050P", "Ecole Commerciale Privee", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Ecole Commerciale Privee - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 40, 612, 296, 551, 0, 122, 14, 147, 35, 78, 24, 204, 61, 7, 8, 18, 28, 236, 20, 0, 0, 76, 4, 80, 12, 25, 6, 55, 198, 32, 15, 23, 9, 4.0, 21.0, 24.0, 0, 4, 23, 13, 7, 3, 9, 0, 10, 10, 2, 1, 0.0, 9, 1, 3, 0, 0, 21, 21, 12.5, 65.63, 75.0, 46.8984375, 91.296875, 91.296875, 0, 17.3984375, 71.890625, 0.0, 43.5, 43.5, 8.69921875, 4.3, 0.0, 56.5, 39.09375, 30.3984375, 4.2998046875, 13.0, 13.0, 55.0, 2.0, 22.0, 7.0, 56.0, "Tous les candidats sauf les Bac professionnels", 211.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 43.0, "7990", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7990&g_ta_cod=7990", 63.0, 28.0, 9.0),
(12381, "Public", "0040533H", "Lycée Les Iscles", "04", "Alpes-de-Haute-Provence", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Manosque", "formation sélective", "BTS", "Lycée Les Iscles - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 24, 133, 9, 133, 0, 14, 2, 47, 8, 40, 18, 32, 0, 0, 0, 0, 0, 132, 0, 0, 0, 14, 2, 47, 8, 40, 18, 31, 94, 20, 0, 20, 0, 7.0, 18.0, 19.0, 0, 7, 18, 2, 9, 7, 2, 0, 6, 9, 3, 0, 0.0, 0, 5, 7, 13, 0, 17, 17, 35.0, 90.0, 95.0, 0.0, 94.390625, 94.390625, 72.1875, 38.8984375, 90.0, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 11.099609375, 0.0, 50.0, 27.796875, 38.8984375, 38.8984375, 11.0, 1.0, 28.0, 14.0, 18.0, "Tous les candidats sauf les Bac professionnels", 74.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 85.0, "2169", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2169&g_ta_cod=2169", 15.0, 45.0, 40.0),
(12382, "Privé sous contrat d'association", "0221593M", "Lycée Pommerit Jaudy", "22", "Côtes-d'armor", "Bretagne", "Rennes", "La Roche-Jaudy", "formation sélective", "BTS", "Lycée Pommerit Jaudy - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 64, 246, 89, 240, 0, 26, 4, 85, 16, 99, 21, 30, 6, 1, 1, 2, 2, 204, 3, 0, 0, 26, 4, 79, 13, 94, 20, 5, 174, 32, 11, 31, 1, 10.0, 31.0, 32.0, 0, 8, 32, 5, 11, 16, 0, 0, 16, 9, 7, 0, 0.0, 1, 7, 8, 20, 7, 31, 31, 31.25, 96.88, 100.0, 34.3984375, 96.890625, 96.890625, 62.5, 25.0, 100.0, 0.0, 50.0, 28.09765625, 21.8984375, 0.0, 0.0, 15.599609375, 3.099609375, 34.3984375, 21.8984375, 50.0, 25.0, 25.0, 4.0, 77.0, 17.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 95, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 85.0, "3367", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3367&g_ta_cod=3367", 16.0, 34.0, 50.0),
(12383, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "PASS", "Universite Jean Monnet, Saint-Etienne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 110, 4615, 3361, 4615, 0, 3761, 668, 152, 58, 25, 16, 677, 0, 0, 0, 0, 0, 4538, 0, 0, 0, 3761, 668, 152, 58, 25, 16, 600, 425, 110, 83, 110, 0, 18.0, 101.0, 106.0, 0, 28, 108, 108, 0, 0, 2, 0, 0, 15, 50, 42, 1.0, 108, 0, 0, 0, 0, 78, 78, 16.36, 91.82, 96.36, 75.5, 72.1875, 72.1875, 0, 25.8984375, 98.1875, 0.0, 0.0, 13.8984375, 46.296875, 38.9, 0.9, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 411.0, 74.0, 0.0, 0.0, 14.0, "Tous les candidats", 659.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 11.0, "33066", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27845&g_ta_cod=33066", 100.0, 0.0, 0.0),
(12384, "Public", "0830050D", "Lycée Beaussier", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Seyne-sur-Mer", "formation sélective", "BTS", "Lycée Beaussier - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 710, 388, 710, 0, 80, 29, 244, 95, 228, 95, 158, 0, 0, 0, 0, 0, 537, 0, 0, 0, 73, 26, 203, 78, 172, 68, 89, 186, 28, 18, 27, 0, 3.0, 19.0, 22.0, 0, 9, 21, 3, 11, 7, 7, 0, 5, 6, 9, 1, 0.0, 1, 9, 6, 13, 9, 21, 21, 10.71, 67.86, 78.57, 64.296875, 100.0, 100.0, 61.8984375, 42.8984375, 75.0, 0.0, 23.796875, 28.59765625, 42.8984375, 4.8, 0.0, 14.298828125, 4.7998046875, 52.3984375, 42.8984375, 33.296875, 28.59765625, 27.0, 11.0, 58.0, 25.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 37.0, "10340", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10340&g_ta_cod=10340", 21.0, 39.0, 39.0),
(12385, "Privé sous contrat d'association", "0754908C", "CENTRE FORMATION SAINT-HONORE", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "EFTS", "CENTRE FORMATION SAINT-HONORE - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 105, 462, 419, 341, 0, 50, 7, 84, 18, 58, 13, 149, 121, 11, 14, 21, 75, 146, 48, 0, 0, 27, 5, 30, 3, 20, 2, 69, 193, 84, 79, 54, 30, 46.0, 54.0, 78.0, 0, 7, 42, 16, 16, 10, 42, 0, 13, 17, 11, 1, 0.0, 8, 13, 8, 0, 0, 3, 33, 54.76, 64.29, 92.86, 94.0, 7.099609375, 78.59375, 0, 16.69921875, 50.0, 0.0, 31.0, 40.5, 26.19921875, 2.4, 0.0, 38.09375, 19.0, 38.09375, 31.0, 23.796875, 19.0, 31.0, 5.0, 23.0, 2.0, 106.0, "Tous les candidats", 145.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "24989", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24989&g_ta_cod=24989", 38.0, 40.0, 21.0),
(12386, "Public", "0750699C", "Lycée Janson De Sailly", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "CPGE", "Pôle Claude Bernard / Janson de Sailly - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 48, 3437, 1714, 3437, 1750, 3114, 275, 0, 0, 1, 1, 322, 0, 0, 0, 0, 0, 1252, 0, 265, 1063, 1224, 155, 0, 0, 0, 0, 28, 379, 47, 25, 47, 0, 2.0, 33.0, 45.0, 5, 9, 46, 46, 0, 0, 1, 0, 0, 0, 7, 37, 2.0, 46, 0, 0, 1, 0, 17, 26, 4.26, 70.21, 95.74, 53.1953125, 37.0, 56.5, 2.19970703125, 19.59765625, 97.890625, 0.0, 0.0, 0.0, 15.19921875, 80.4, 4.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 375.0, 38.0, 0.0, 0.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "31651", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31369&g_ta_cod=31651", 100.0, 0.0, 0.0),
(12387, "Public", "0671685T", "Lycée agricole d'Obernai", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Obernai", "formation sélective", "BTS", "Lycée agricole d'Obernai - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 24, 254, 82, 246, 0, 50, 4, 45, 4, 19, 5, 132, 8, 2, 1, 0, 5, 129, 4, 0, 0, 50, 4, 42, 3, 19, 5, 18, 79, 14, 2, 13, 1, 5.0, 12.0, 13.0, 0, 2, 13, 6, 5, 2, 1, 0, 6, 5, 2, 0, 0.0, 2, 3, 2, 2, 0, 13, 13, 35.71, 85.71, 92.86, 14.298828125, 100.0, 100.0, 15.3984375, 15.3984375, 92.890625, 0.0, 46.1953125, 38.5, 15.3984375, 0.0, 0.0, 46.1953125, 15.3984375, 38.5, 23.09765625, 15.3984375, 15.3984375, 37.0, 3.0, 7.0, 2.0, 12.0, "Tous les candidats sauf les Bac professionnels", 107.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 47.0, "7986", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7986&g_ta_cod=7986", 50.0, 36.0, 14.0),
(12388, "Public", "0830053G", "Lycée Dumont d'Urville", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "Autre formation", "Lycée Dumont d'Urville - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 3, 2, 0, 0, 0.0, 0.0, 0.0, 0, 1, 3, 0, 0, 3, 0, 0, 2, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 3, 3, 0.0, 0.0, 0.0, 66.6875, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 33.296875, 0.0, 0.0, 12.0, 4.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22460", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 0.0, 100.0),
(12389, "Privé sous contrat d'association", "0810095N", "Lycée Sainte-Cecile", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "BTS", "Lycée Sainte-Cecile - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 319, 290, 318, 0, 20, 3, 106, 28, 108, 38, 84, 1, 1, 0, 0, 0, 293, 1, 0, 0, 20, 3, 106, 28, 102, 35, 65, 127, 31, 29, 31, 0, 9.0, 25.0, 30.0, 0, 8, 27, 3, 13, 11, 4, 0, 8, 15, 3, 1, 0.0, 1, 9, 9, 4, 3, 27, 27, 29.03, 80.65, 96.77, 93.5, 100.0, 100.0, 14.798828125, 29.59765625, 87.09375, 0.0, 29.59765625, 55.59375, 11.099609375, 3.7, 0.0, 11.099609375, 3.69970703125, 48.09375, 33.296875, 40.6953125, 33.296875, 14.0, 4.0, 52.0, 21.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 48.0, "10274", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10274&g_ta_cod=10274", 13.0, 45.0, 42.0),
(12390, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales - Parcours MIASHS", "Licence - Sciences - technologies - santé", "MIASHS", 187, 2431, 972, 2431, 0, 1836, 343, 9, 1, 2, 0, 584, 0, 0, 0, 0, 0, 2431, 0, 0, 0, 1836, 343, 9, 1, 2, 0, 584, 1142, 177, 84, 177, 0, 6.0, 114.0, 144.0, 0, 32, 129, 129, 0, 0, 48, 0, 11, 53, 55, 10, 0.0, 118, 0, 0, 0, 0, 40, 106, 3.39, 64.41, 81.36, 47.5, 31.0, 82.1875, 0, 24.796875, 72.890625, 0.0, 8.5, 41.09375, 42.59375, 7.8, 0.0, 100.0, 91.5, 0.0, 0.0, 0.0, 0.0, 934.0, 158.0, 0.0, 0.0, 208.0, "Tous les candidats", 1370.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "9217", "Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales - Parcours MIASHS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9217&g_ta_cod=9217", 100.0, 0.0, 0.0),
(12391, "Public", "0021964Z", "IUT de l'Aisne - Site de Laon", "02", "Aisne", "Hauts-de-France", "Amiens", "Laon", "formation sélective", "BUT", "IUT de l'Aisne - Site de Laon - BUT - Techniques de commercialisation Parcours : Business international : achat et vente - Business développement et management de la relation client", "BUT - Service", "Business international : achat et vente - Business développement et management de la relation client", 112, 1377, 628, 1263, 0, 648, 135, 356, 101, 36, 9, 223, 114, 3, 66, 0, 45, 994, 39, 0, 0, 610, 123, 299, 76, 32, 8, 53, 650, 98, 46, 90, 8, 32.0, 77.0, 95.0, 0, 14, 82, 35, 42, 5, 16, 1, 37, 36, 6, 2, 0.0, 18, 24, 2, 0, 0, 57, 57, 32.65, 78.57, 96.94, 46.8984375, 69.5, 69.5, 0, 17.09765625, 83.6875, 1.199951171875, 45.09375, 43.8984375, 7.2998046875, 2.4, 0.0, 42.6953125, 22.0, 51.1953125, 29.296875, 6.099609375, 2.39990234375, 327.0, 66.0, 17.0, 6.0, 52.0, "Tous les candidats sauf les Bac technologiques", 655.0, "Bacheliers technologiques toutes séries", 301, "", 0, "Liste d'appel propre à cette formation", 76.0, "2099", "BUT - Techniques de commercialisation Parcours : Business international : achat et vente - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2099&g_ta_cod=2099", 48.0, 47.0, 5.0),
(12392, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Licence - Double diplôme - Licence Humanités - Double diplôme Licence mention Humanités [Humanités et sciences humaines] - Diplôme d'université (DU) Cultures, langues et rhétorique 1", "Licence - Arts-lettres-langues", "Double diplôme Licence mention Humanités [Humanités et sciences humaines] - Diplôme d'université (DU) Cultures, langues et rhétorique 1", 60, 818, 586, 449, 0, 311, 40, 12, 3, 1, 0, 125, 369, 125, 30, 6, 208, 408, 46, 0, 0, 307, 38, 3, 1, 0, 0, 98, 369, 58, 35, 39, 19, 3.0, 39.0, 50.0, 0, 1, 33, 32, 1, 0, 25, 2, 8, 13, 7, 3, 0.0, 23, 0, 0, 0, 0, 14, 26, 5.17, 67.24, 86.21, 60.296875, 42.3984375, 78.796875, 0, 3.0, 56.8984375, 6.099609375, 24.19921875, 39.3984375, 21.19921875, 9.1, 0.0, 97.0, 69.6875, 3.0, 0.0, 0.0, 0.0, 271.0, 33.0, 0.0, 0.0, 97.0, "Tous les candidats", 408.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "29410", "Licence - Double diplôme - Licence Humanités - Double diplôme Licence mention Humanités [Humanités et sciences humaines] - Diplôme d'université (DU) Cultures, langues et rhétorique 1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29410&g_ta_cod=29410", 97.0, 3.0, 0.0),
(12393, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "Autre formation", "Université de La Réunion - Saint Denis - Formation Supérieure de Spécialisation - Initiation à l'entrepreneuriat", "Diplôme d'Université", "Initiation à l'entrepreneuriat", 50, 243, 115, 187, 0, 55, 21, 58, 37, 33, 25, 41, 56, 5, 9, 12, 30, 91, 37, 0, 0, 36, 19, 31, 28, 23, 18, 1, 128, 37, 10, 18, 19, 15.0, 18.0, 24.0, 0, 22, 28, 7, 8, 13, 9, 0, 18, 8, 2, 0, 0.0, 5, 2, 3, 0, 0, 28, 28, 40.54, 48.65, 64.86, 27.0, 100.0, 100.0, 0, 78.59375, 75.6875, 0.0, 64.296875, 28.59765625, 7.099609375, 0.0, 0.0, 25.0, 17.8984375, 28.59765625, 7.099609375, 46.3984375, 10.69921875, 39.0, 21.0, 30.0, 24.0, 22.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "33061", "Formation Supérieure de Spécialisation - Initiation à l'entrepreneuriat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33061&g_ta_cod=33061", 27.0, 24.0, 46.0),
(12394, "Privé sous contrat d'association", "0260074P", "Lycée Montplaisir", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "BTS", "Lycée Montplaisir - BTS - Services - Prothésiste orthésiste", "BTS - Services", "", 27, 464, 320, 464, 0, 118, 9, 114, 17, 24, 5, 208, 0, 0, 0, 0, 0, 167, 0, 0, 0, 52, 4, 21, 3, 3, 1, 91, 67, 26, 17, 26, 0, 11.0, 20.0, 24.0, 0, 2, 13, 9, 4, 0, 13, 0, 1, 5, 7, 0, 0.0, 8, 4, 0, 0, 0, 5, 5, 42.31, 76.92, 92.31, 65.390625, 38.5, 38.5, 0, 15.3984375, 50.0, 0.0, 7.69921875, 38.5, 53.796875, 0.0, 0.0, 69.1875, 61.5, 30.796875, 30.796875, 0.0, 0.0, 20.0, 2.0, 4.0, 1.0, 35.0, "Tous les candidats sauf les Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 20.0, "3631", "BTS - Services - Prothésiste orthésiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3631&g_ta_cod=3631", 77.0, 23.0, 0.0),
(12395, "Public", "0341898D", "I.U.T de Montpellier (site de Sète)", "34", "Hérault", "Occitanie", "Montpellier", "Sète", "formation sélective", "BUT", "I.U.T de Montpellier (site de Sète) - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", 28, 179, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 179, 32, 31, 9, 107, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 39, 28, 16, 0, 10, 0.0, 0.0, 21.0, 0, 4, 15, 7, 8, 0, 13, 0, 1, 11, 3, 0, 0.0, 6, 8, 0, 0, 0, 11, 11, 0.0, 0.0, 75.0, 57.09375, 73.296875, 73.296875, 0, 26.69921875, 53.59375, 0.0, 6.69921875, 73.296875, 20.0, 0.0, 0.0, 46.6953125, 40.0, 53.296875, 53.296875, 0.0, 0.0, 10.0, 2.0, 0.0, 0.0, 17.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34945", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34945&g_ta_cod=34945", 64.0, 36.0, 0.0),
(12396, "Public", "0750711R", "Lycée Henri Bergson-Jacquard", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Henri Bergson-Jacquard - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 1229, 86, 1229, 0, 167, 55, 356, 158, 283, 124, 423, 0, 0, 0, 0, 0, 754, 0, 0, 0, 117, 43, 269, 118, 180, 82, 188, 117, 22, 1, 22, 0, 3.0, 15.0, 19.0, 0, 7, 10, 4, 3, 3, 12, 0, 4, 6, 0, 0, 0.0, 1, 2, 3, 1, 0, 5, 9, 13.64, 68.18, 86.36, 4.5, 50.0, 90.0, 10, 70.0, 45.5, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 40.0, 10.0, 30.0, 20.0, 30.0, 30.0, 24.0, 10.0, 17.0, 9.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 119, "Liste d'appel propre à cette formation", 16.0, "9180", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9180&g_ta_cod=9180", 32.0, 36.0, 32.0),
(12397, "Privé sous contrat d'association", "0631068U", "Lycée Godefroy De Bouillon", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Autre formation", "Lycée Godefroy De Bouillon - DN MADE - Événement - - Spécialité : Scénographie évènementielle", "DN MADE", "- Spécialité : Scénographie évènementielle", 15, 288, 256, 288, 0, 111, 23, 88, 12, 35, 6, 54, 0, 0, 0, 0, 0, 200, 0, 0, 0, 87, 16, 66, 10, 20, 1, 27, 81, 18, 18, 18, 0, 3.0, 13.0, 18.0, 0, 2, 14, 11, 1, 2, 4, 0, 2, 7, 2, 3, 0.0, 10, 0, 2, 0, 0, 7, 7, 16.67, 72.22, 100.0, 100.0, 50.0, 50.0, 0, 14.298828125, 77.796875, 0.0, 14.298828125, 50.0, 14.298828125, 21.4, 0.0, 78.59375, 71.390625, 7.099609375, 0.0, 14.298828125, 14.298828125, 34.0, 7.0, 10.0, 1.0, 10.0, "Tous les candidats", 139.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "24220", "DN MADE - Événement - - Spécialité : Scénographie évènementielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24220&g_ta_cod=24220", 83.0, 6.0, 11.0),
(12398, "Public", "0672462M", "I.U.T. de Schiltigheim", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Schiltigheim", "formation sélective", "BUT", "I.U.T. de Schiltigheim - BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "BUT - Production", "Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", 30, 375, 23, 375, 0, 189, 22, 121, 30, 7, 5, 58, 0, 0, 0, 0, 0, 254, 0, 0, 0, 154, 16, 70, 11, 2, 1, 28, 122, 31, 1, 31, 0, 4.0, 26.0, 30.0, 0, 9, 30, 15, 15, 0, 1, 0, 7, 17, 6, 0, 0.0, 12, 11, 0, 0, 0, 25, 25, 12.9, 83.87, 96.77, 3.19970703125, 83.296875, 83.296875, 0, 30.0, 96.796875, 0.0, 23.296875, 56.6953125, 20.0, 0.0, 0.0, 50.0, 40.0, 50.0, 36.6953125, 0.0, 0.0, 62.0, 13.0, 1.0, 1.0, 13.0, "Tous les candidats sauf les Bac technologiques", 117.0, "Bacheliers technologiques toutes séries", 70, "", 0, "Liste d'appel propre à cette formation", 50.0, "8000", "BUT - Génie industriel et maintenance Parcours : Ingénierie des systèmes pluritechniques - Management, méthodes, maintenance innovante", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8000&g_ta_cod=8000", 52.0, 48.0, 0.0),
(12399, "Privé sous contrat d'association", "0593114P", "Lycée Saint-Paul", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Saint-Paul - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 622, 256, 621, 461, 541, 28, 0, 0, 0, 0, 80, 1, 1, 0, 0, 0, 396, 0, 314, 369, 393, 19, 0, 0, 0, 0, 3, 131, 21, 10, 21, 0, 2.0, 13.0, 21.0, 6, 0, 19, 19, 0, 0, 2, 0, 0, 1, 6, 12, 0.0, 19, 0, 0, 1, 1, 12, 12, 9.52, 61.9, 100.0, 47.59375, 63.1953125, 63.1953125, 5.2998046875, 0.0, 90.5, 0.0, 0.0, 5.2998046875, 31.59765625, 63.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 128.0, 4.0, 0.0, 0.0, 3.0, "Tous les candidats", 352.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "31310", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31310&g_ta_cod=31310", 100.0, 0.0, 0.0),
(12400, "Privé sous contrat d'association", "0761735Y", "Lycée Jeanne D'Arc", "76", "Seine-Maritime", "Normandie", "Normandie", "Sainte-Adresse", "formation sélective", "BTS", "Lycée Jeanne D'Arc - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 441, 404, 441, 0, 54, 12, 123, 36, 151, 56, 113, 0, 0, 0, 0, 0, 417, 0, 0, 0, 54, 12, 123, 36, 133, 45, 107, 142, 29, 25, 29, 0, 7.0, 18.0, 22.0, 0, 9, 22, 2, 9, 11, 7, 0, 9, 9, 4, 0, 0.0, 0, 2, 11, 10, 9, 22, 22, 24.14, 62.07, 75.86, 86.1875, 100.0, 100.0, 45.5, 40.8984375, 75.890625, 0.0, 40.8984375, 40.8984375, 18.19921875, 0.0, 0.0, 9.099609375, 0.0, 40.8984375, 9.099609375, 50.0, 50.0, 4.0, 2.0, 46.0, 16.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 87, "Liste d'appel propre à cette formation", 33.0, "9674", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9674&g_ta_cod=9674", 10.0, 48.0, 41.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(12401, "Public", "0692866R", "Lycée La Martiniere Monplaisir", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Lycée La Martiniere Monplaisir - BTS - Production - Management économique de la construction", "BTS - Production", "", 24, 495, 111, 495, 0, 57, 8, 209, 46, 129, 54, 100, 0, 0, 0, 0, 0, 311, 0, 0, 0, 40, 6, 142, 23, 94, 38, 35, 81, 24, 6, 24, 0, 4.0, 21.0, 23.0, 0, 5, 20, 2, 7, 11, 4, 0, 4, 8, 8, 0, 0.0, 2, 6, 8, 2, 0, 10, 10, 16.67, 87.5, 95.83, 25.0, 50.0, 50.0, 10, 25.0, 83.296875, 0.0, 20.0, 40.0, 40.0, 0.0, 0.0, 10.0, 10.0, 35.0, 30.0, 55.0, 40.0, 3.0, 1.0, 36.0, 15.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 24.0, "8557", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8557&g_ta_cod=8557", 13.0, 42.0, 46.0),
(12402, "Public", "0632033T", "Ecole d'ingénieurs SIGMA Clermont", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Aubière", "formation sélective", "Ecole d'Ingénieur", "La Prépa des INP - Groupe INP - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 20, 3124, 1067, 3124, 0, 3006, 227, 0, 0, 0, 0, 118, 0, 0, 0, 0, 0, 2197, 0, 0, 0, 2174, 141, 0, 0, 0, 0, 23, 820, 24, 11, 24, 0, 1.0, 18.0, 24.0, 0, 4, 22, 22, 0, 0, 2, 0, 0, 0, 6, 16, 0.0, 22, 0, 0, 0, 0, 5, 5, 4.17, 75.0, 100.0, 45.796875, 22.69921875, 22.69921875, 0, 18.19921875, 91.6875, 0.0, 0.0, 0.0, 27.296875, 72.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 808.0, 77.0, 0.0, 0.0, 12.0, "Tous les candidats", 1711.0, "Autres formations", 23, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "31195", "Formation d'ingénieur Bac + 5 - Bac général", "La Prépa des INP - Groupe INP", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=1&g_ta_cod=31195", 100.0, 0.0, 0.0),
(12403, "Public", "0620120U", "Lycée Anatole France", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lillers", "formation sélective", "BTS", "Lycée Anatole France - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 160, 109, 139, 0, 13, 7, 59, 30, 15, 7, 52, 21, 0, 9, 3, 9, 104, 8, 0, 0, 13, 7, 58, 29, 14, 7, 19, 91, 18, 13, 15, 3, 3.0, 14.0, 16.0, 0, 8, 17, 3, 13, 1, 1, 0, 11, 6, 0, 0, 0.0, 1, 5, 0, 8, 6, 17, 17, 16.67, 77.78, 88.89, 72.1875, 100.0, 100.0, 47.09375, 47.09375, 94.390625, 0.0, 64.6875, 35.296875, 0.0, 0.0, 0.0, 17.59765625, 5.8994140625, 76.5, 29.3984375, 5.8994140625, 0.0, 8.0, 3.0, 14.0, 7.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 71.0, "7385", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7385&g_ta_cod=7385", 17.0, 78.0, 6.0),
(12404, "Privé sous contrat d'association", "0331501C", "Lycée Sainte-Marie Bastide", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Sainte-Marie Bastide - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 28, 401, 353, 384, 0, 31, 7, 98, 31, 142, 51, 113, 17, 0, 3, 4, 10, 258, 8, 0, 0, 21, 3, 77, 22, 110, 38, 50, 135, 21, 18, 19, 2, 3.0, 12.0, 14.0, 0, 2, 16, 4, 5, 7, 5, 0, 8, 6, 2, 0, 0.0, 1, 2, 5, 2, 2, 14, 14, 14.29, 57.14, 66.67, 85.6875, 87.5, 87.5, 12.5, 12.5, 76.1875, 0.0, 50.0, 37.5, 12.5, 0.0, 0.0, 25.0, 6.2998046875, 31.296875, 12.5, 43.796875, 31.296875, 14.0, 3.0, 57.0, 19.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 35.0, "4352", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4352&g_ta_cod=4352", 24.0, 33.0, 43.0),
(12405, "Public", "0020060E", "Lycée agricole et viticole de Crézancy", "02", "Aisne", "Hauts-de-France", "Amiens", "Crézancy", "formation sélective", "BTS", "Lycée agricole et viticole de Crézancy - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 17, 186, 96, 186, 0, 12, 6, 26, 5, 48, 19, 100, 0, 0, 0, 0, 0, 120, 0, 0, 0, 12, 6, 26, 5, 48, 19, 34, 58, 17, 9, 17, 0, 4.0, 12.0, 15.0, 0, 4, 13, 1, 2, 10, 4, 0, 4, 5, 4, 0, 0.0, 1, 1, 7, 0, 0, 9, 9, 23.53, 70.59, 88.24, 52.8984375, 69.1875, 69.1875, 0, 30.796875, 76.5, 0.0, 30.796875, 38.5, 30.796875, 0.0, 0.0, 7.69921875, 7.69921875, 15.3984375, 7.69921875, 76.890625, 53.796875, 11.0, 6.0, 26.0, 9.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 21, "Liste d'appel propre à cette formation", 36.0, "14647", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14647&g_ta_cod=14647", 18.0, 24.0, 59.0),
(12406, "Public", "0840110N", "Lycée agricole François Pétrarque", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BTS", "Lycée agricole François Pétrarque - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 16, 113, 68, 99, 0, 9, 0, 40, 14, 9, 4, 41, 14, 3, 0, 2, 9, 60, 2, 0, 0, 9, 0, 33, 11, 5, 2, 13, 49, 10, 4, 9, 1, 1.0, 7.0, 10.0, 0, 2, 5, 2, 2, 1, 5, 0, 4, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 3, 3, 10.0, 70.0, 100.0, 40.0, 60.0, 60.0, 0, 40.0, 50.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 40.0, 20.0, 40.0, 0.0, 20.0, 0.0, 8.0, 0.0, 5.0, 2.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 59.0, "10439", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10439&g_ta_cod=10439", 60.0, 30.0, 10.0),
(12407, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation non sélective", "Licence", "Université de La Rochelle - Licence - Gestion", "Licence - Droit-économie-gestion", "", 200, 1480, 766, 1480, 0, 939, 105, 258, 83, 13, 6, 270, 0, 0, 0, 0, 0, 1478, 0, 0, 0, 939, 105, 258, 83, 13, 6, 268, 788, 196, 84, 196, 0, 22.0, 156.0, 181.0, 0, 29, 168, 149, 18, 1, 28, 0, 71, 75, 21, 1, 0.0, 83, 14, 0, 0, 0, 153, 153, 11.22, 79.59, 92.35, 42.8984375, 91.09375, 91.09375, 0, 17.296875, 85.6875, 0.0, 42.296875, 44.59375, 12.5, 0.6, 0.0, 88.6875, 49.3984375, 10.69921875, 8.298828125, 0.5999755859375, 0.0, 600.0, 77.0, 2.0, 0.0, 126.0, "Tous les candidats", 907.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "3078", "Licence - Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3078&g_ta_cod=3078", 89.0, 10.0, 1.0),
(12408, "Public", "9720430K", "Lycée professionnel La Trinite", "972", "Martinique", "Martinique", "Martinique", "La Trinité", "formation sélective", "BTS", "Lycée professionnel La Trinite - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 334, 297, 317, 0, 51, 25, 70, 41, 128, 94, 68, 17, 0, 8, 0, 9, 182, 1, 0, 0, 19, 8, 40, 22, 111, 84, 12, 65, 23, 21, 22, 1, 5.0, 19.0, 23.0, 0, 18, 21, 1, 6, 14, 2, 0, 9, 12, 0, 0, 0.0, 0, 1, 11, 9, 8, 21, 21, 21.74, 82.61, 100.0, 91.296875, 100.0, 100.0, 42.8984375, 85.6875, 91.296875, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 4.7998046875, 0.0, 28.59765625, 4.7998046875, 66.6875, 52.3984375, 4.0, 3.0, 35.0, 29.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 29.0, "22022", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22022&g_ta_cod=22022", 4.0, 26.0, 70.0),
(12409, "Public", "0740005D", "Lycée Gabriel Fauré", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BTS", "Lycée Gabriel Fauré - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 34, 541, 271, 540, 0, 63, 16, 220, 63, 107, 38, 150, 1, 0, 0, 0, 1, 387, 0, 0, 0, 60, 16, 184, 50, 89, 33, 54, 178, 29, 14, 29, 0, 7.0, 20.0, 24.0, 0, 10, 26, 1, 10, 15, 3, 0, 10, 9, 6, 1, 0.0, 0, 5, 11, 1, 1, 22, 22, 24.14, 68.97, 82.76, 48.296875, 84.59375, 84.59375, 3.7998046875, 38.5, 89.6875, 0.0, 38.5, 34.59375, 23.09765625, 3.8, 0.0, 3.7998046875, 0.0, 38.5, 19.19921875, 57.6953125, 42.296875, 22.0, 6.0, 61.0, 23.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 82, "Bacheliers technologiques toutes séries", 121, "Liste d'appel propre à cette formation", 44.0, "8852", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8852&g_ta_cod=8852", 10.0, 38.0, 52.0),
(12410, "Public", "0940742W", "Lycée Guillaume Budé", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Limeil-Brévannes", "formation sélective", "BTS", "Lycée Guillaume Budé - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 826, 732, 826, 0, 36, 16, 138, 56, 376, 198, 276, 0, 0, 0, 0, 0, 382, 0, 0, 0, 25, 12, 86, 33, 193, 94, 78, 103, 20, 18, 20, 0, 3.0, 16.0, 18.0, 0, 2, 14, 1, 7, 6, 6, 0, 5, 7, 1, 1, 0.0, 1, 2, 6, 6, 6, 12, 14, 15.0, 80.0, 90.0, 90.0, 85.6875, 100.0, 42.8984375, 14.298828125, 70.0, 0.0, 35.6953125, 50.0, 7.099609375, 7.1, 0.0, 7.099609375, 7.099609375, 50.0, 14.298828125, 42.8984375, 42.8984375, 8.0, 5.0, 41.0, 16.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 16.0, "17683", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17683&g_ta_cod=17683", 10.0, 45.0, 45.0),
(12411, "Public", "0770918E", "Lycée Uruguay France", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Avon", "formation sélective", "BTS", "Lycée Uruguay France - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 342, 144, 306, 0, 33, 11, 92, 47, 74, 46, 107, 36, 0, 0, 25, 11, 205, 3, 0, 0, 31, 10, 80, 41, 49, 29, 45, 145, 36, 9, 31, 3, 3.0, 25.0, 25.0, 0, 14, 27, 7, 8, 12, 9, 0, 18, 8, 1, 0, 0.0, 1, 3, 5, 6, 1, 26, 27, 8.33, 69.44, 69.44, 25.0, 96.296875, 100.0, 22.19921875, 51.8984375, 75.0, 0.0, 66.6875, 29.59765625, 3.69970703125, 0.0, 0.0, 25.8984375, 3.69970703125, 29.59765625, 11.099609375, 44.3984375, 18.5, 21.0, 9.0, 48.0, 32.0, 31.0, "Tous les candidats sauf les Bac professionnels", 95.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 49.0, "9777", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9777&g_ta_cod=9777", 28.0, 36.0, 36.0),
(12412, "Privé enseignement supérieur", "0772797X", "ICAM Paris Sénart", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lieusaint", "formation sélective", "Ecole d'Ingénieur", "GROUPE ICAM - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "", 35, 504, 78, 495, 0, 400, 16, 29, 3, 0, 0, 66, 9, 4, 0, 0, 5, 334, 3, 0, 0, 282, 10, 18, 0, 0, 0, 34, 286, 15, 2, 14, 1, 5.0, 14.0, 15.0, 0, 0, 12, 11, 1, 0, 3, 0, 2, 8, 2, 0, 0.0, 9, 1, 0, 0, 0, 3, 9, 33.33, 93.33, 100.0, 13.298828125, 25.0, 75.0, 0, 0.0, 80.0, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 91.6875, 75.0, 8.298828125, 8.298828125, 0.0, 0.0, 242.0, 9.0, 0.0, 0.0, 33.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "24658", "Formation d'ingénieur Bac + 5", "GROUPE ICAM", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24652&g_ta_cod=24658", 93.0, 7.0, 0.0),
(12413, "Privé sous contrat d'association", "0560182U", "Lycée Jeanne d'Arc-St Ivy", "56", "Morbihan", "Bretagne", "Rennes", "Pontivy", "formation sélective", "BTS", "Lycée Jeanne d'Arc-St Ivy - BTS - Services - Tourisme", "BTS - Services", "", 35, 208, 166, 192, 0, 41, 4, 42, 11, 59, 9, 50, 16, 3, 4, 0, 9, 157, 4, 0, 0, 36, 4, 38, 9, 48, 8, 35, 120, 20, 15, 18, 2, 4.0, 18.0, 19.0, 0, 1, 13, 2, 4, 7, 7, 0, 5, 5, 3, 0, 0.0, 1, 0, 7, 5, 3, 12, 12, 20.0, 90.0, 95.0, 75.0, 92.296875, 92.296875, 38.5, 7.69921875, 65.0, 0.0, 38.5, 38.5, 23.09765625, 0.0, 0.0, 15.3984375, 7.69921875, 30.796875, 0.0, 53.796875, 53.796875, 21.0, 3.0, 36.0, 8.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 79.0, "6456", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6456&g_ta_cod=6456", 25.0, 25.0, 50.0),
(12414, "Public", "0900385E", "Université de Franche-Comté - Site de Belfort", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Belfort", "formation non sélective", "Licence_Las", "Université de Franche-Comté - Site de Belfort - Licence - Portail Physique, chimie", "Licence - Sciences - technologies - santé", "", 10, 137, 78, 137, 0, 102, 20, 3, 3, 0, 0, 32, 0, 0, 0, 0, 0, 136, 0, 0, 0, 102, 20, 3, 3, 0, 0, 31, 76, 9, 5, 9, 0, 0.0, 6.0, 9.0, 0, 3, 9, 9, 0, 0, 0, 0, 2, 4, 2, 1, 0.0, 7, 0, 0, 0, 0, 5, 5, 0.0, 66.67, 100.0, 55.59375, 55.59375, 55.59375, 0, 33.296875, 100.0, 0.0, 22.19921875, 44.3984375, 22.19921875, 11.1, 0.0, 100.0, 77.796875, 0.0, 0.0, 0.0, 0.0, 64.0, 16.0, 0.0, 0.0, 12.0, "Tous les candidats", 243.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 75.0, "32314", "Licence - Portail Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32313&g_ta_cod=32314", 100.0, 0.0, 0.0),
(12415, "Public", "0772347H", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lieusaint", "formation sélective", "BUT", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC - BUT - Génie civil - Construction durable Parcours : Travaux bâtiments - Travaux publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureau d?étude conception", "BUT - Production", "Travaux bâtiments - Travaux publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureau d?étude conception", 56, 1391, 242, 1391, 0, 634, 155, 460, 118, 25, 4, 272, 0, 0, 0, 0, 0, 922, 0, 0, 0, 487, 101, 314, 75, 0, 0, 121, 340, 56, 10, 56, 0, 18.0, 40.0, 50.0, 0, 7, 48, 24, 24, 0, 8, 0, 8, 21, 18, 1, 0.0, 19, 21, 0, 0, 0, 25, 45, 32.14, 71.43, 89.29, 17.8984375, 52.09375, 93.796875, 0, 14.599609375, 85.6875, 0.0, 16.69921875, 43.796875, 37.5, 2.1, 0.0, 50.0, 39.59375, 50.0, 43.796875, 0.0, 0.0, 197.0, 41.0, 0.0, 0.0, 37.0, "Tous les candidats sauf les Bac technologiques", 342.0, "Bacheliers technologiques toutes séries", 165, "", 0, "Liste d'appel propre à cette formation", 36.0, "25432", "BUT - Génie civil - Construction durable Parcours : Travaux bâtiments - Travaux publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureau d?étude conception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25432&g_ta_cod=25432", 48.0, 50.0, 2.0),
(12416, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 55, 231, 82, 176, 0, 120, 12, 11, 3, 2, 0, 43, 55, 11, 5, 6, 33, 175, 52, 0, 0, 120, 12, 11, 3, 2, 0, 42, 227, 37, 10, 26, 11, 26.0, 26.0, 35.0, 0, 5, 19, 17, 1, 1, 18, 0, 9, 8, 2, 0, 0.0, 10, 0, 0, 0, 0, 13, 13, 70.27, 70.27, 94.59, 27.0, 68.390625, 68.390625, 0, 26.296875, 51.3984375, 0.0, 47.3984375, 42.09375, 10.5, 0.0, 0.0, 89.5, 52.59375, 5.2998046875, 0.0, 5.2998046875, 0.0, 130.0, 14.0, 8.0, 3.0, 73.0, "Tous les candidats", 175.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "3557", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3557&g_ta_cod=3557", 78.0, 8.0, 8.0),
(12417, "Public", "0611149T", "IUT GRAND OUEST NORMANDIE - Pôle d'Alençon", "61", "Orne", "Normandie", "Normandie", "Damigny", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle d'Alençon - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Conception et production durable", "BUT - Production", "Innovation pour l?industrie - Conception et production durable", 52, 794, 59, 739, 0, 395, 46, 253, 38, 3, 1, 88, 55, 12, 4, 1, 38, 537, 33, 0, 0, 296, 34, 192, 29, 0, 0, 49, 343, 35, 2, 31, 4, 2.0, 29.0, 34.0, 0, 2, 31, 15, 16, 0, 4, 0, 10, 17, 3, 1, 0.0, 8, 13, 0, 0, 0, 23, 23, 5.71, 82.86, 97.14, 5.69921875, 74.1875, 74.1875, 0, 6.5, 88.59375, 0.0, 32.296875, 54.796875, 9.69921875, 3.2, 0.0, 48.3984375, 25.796875, 51.59375, 41.8984375, 0.0, 0.0, 165.0, 18.0, 0.0, 0.0, 55.0, "Tous les candidats sauf les Bac technologiques", 331.0, "Bacheliers technologiques toutes séries", 201, "", 0, "Liste d'appel propre à cette formation", 72.0, "7317", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Conception et production durable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7317&g_ta_cod=7317", 49.0, 49.0, 3.0),
(12418, "Privé sous contrat d'association", "0672602P", "Lycée professionnel Charles De Foucauld", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Schiltigheim", "formation sélective", "BTS", "Lycée professionnel Charles De Foucauld - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 24, 76, 31, 69, 0, 0, 0, 21, 1, 29, 8, 19, 7, 0, 0, 6, 1, 44, 5, 0, 0, 0, 0, 12, 1, 20, 5, 12, 47, 7, 2, 5, 2, 4.0, 5.0, 6.0, 0, 1, 4, 0, 0, 4, 3, 0, 0, 3, 1, 0, 0.0, 0, 0, 4, 1, 0, 3, 3, 57.14, 71.43, 85.71, 28.59765625, 75.0, 75.0, 25, 25.0, 57.09375, 0.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 23.0, 5.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 62.0, "20416", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20416&g_ta_cod=20416", 14.0, 0.0, 86.0),
(12419, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Université Angers - Licence - Portail Lettres", "Licence - Arts-lettres-langues", "", 10, 109, 88, 65, 0, 37, 6, 7, 4, 2, 1, 19, 44, 8, 4, 2, 30, 65, 18, 0, 0, 37, 6, 7, 4, 2, 1, 19, 54, 8, 7, 2, 6, 0.0, 2.0, 4.0, 0, 1, 3, 1, 1, 1, 5, 0, 2, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 0.0, 25.0, 50.0, 87.5, 66.6875, 66.6875, 0, 33.296875, 37.5, 0.0, 66.6875, 0.0, 33.296875, 0.0, 0.0, 33.296875, 0.0, 33.296875, 0.0, 33.296875, 33.296875, 27.0, 4.0, 1.0, 0.0, 22.0, "Tous les candidats", 606.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "27327", "Licence - Portail Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27326&g_ta_cod=27327", 63.0, 13.0, 25.0),
(12420, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Philosophie", "Licence - Sciences humaines et sociales", "", 120, 793, 478, 585, 0, 357, 118, 40, 17, 10, 5, 178, 208, 33, 19, 6, 150, 585, 199, 0, 0, 357, 118, 40, 17, 10, 5, 178, 739, 113, 62, 61, 52, 31.0, 59.0, 81.0, 0, 25, 53, 43, 7, 3, 60, 0, 25, 16, 10, 1, 1.0, 26, 2, 0, 0, 0, 41, 41, 27.43, 52.21, 71.68, 54.8984375, 77.390625, 77.390625, 0, 47.1953125, 46.8984375, 0.0, 47.1953125, 30.19921875, 18.8984375, 1.9, 1.9, 81.09375, 49.09375, 13.19921875, 3.7998046875, 5.69921875, 0.0, 367.0, 122.0, 13.0, 9.0, 302.0, "Tous les candidats", 585.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7093", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7093&g_ta_cod=7093", 73.0, 20.0, 5.0),
(12421, "Public", "0690281F", "Lycée professionnel Joseph-Marie Jacquard", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Oullins", "formation sélective", "Autre formation", "Lycée professionnel Joseph-Marie Jacquard - Mention complémentaire - FCIL Techniques spécifiques Couture et Luxe", "Mention complémentaire", "", 15, 122, 107, 122, 0, 16, 2, 5, 2, 46, 16, 55, 0, 0, 0, 0, 0, 44, 0, 0, 0, 0, 0, 0, 0, 20, 10, 24, 31, 15, 14, 15, 0, 9.0, 11.0, 14.0, 0, 3, 5, 0, 0, 5, 10, 0, 0, 3, 1, 1, 0.0, 0, 0, 5, 0, 0, 4, 4, 60.0, 73.33, 93.33, 93.296875, 80.0, 80.0, 0, 60.0, 33.296875, 0.0, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 12.0, 6.0, 19.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "24767", "Mention complémentaire - FCIL Techniques spécifiques Couture et Luxe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24767&g_ta_cod=24767", 27.0, 13.0, 60.0),
(12422, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Double licence - Géographie et aménagement / Histoire - Double Licence Histoire-Géographie", "Licence - Sciences humaines et sociales", "Double Licence Histoire-Géographie", 25, 237, 92, 218, 0, 89, 34, 28, 11, 23, 9, 78, 19, 4, 1, 5, 9, 215, 17, 0, 0, 89, 34, 28, 11, 23, 9, 75, 149, 16, 5, 10, 6, 1.0, 8.0, 10.0, 0, 6, 10, 5, 2, 3, 6, 0, 4, 3, 3, 0, 0.0, 4, 0, 2, 0, 0, 5, 9, 6.25, 50.0, 62.5, 31.296875, 50.0, 90.0, 0, 60.0, 62.5, 0.0, 40.0, 30.0, 30.0, 0.0, 0.0, 50.0, 40.0, 20.0, 0.0, 30.0, 20.0, 59.0, 19.0, 20.0, 11.0, 55.0, "Tous les candidats", 208.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "24740", "Double licence - Géographie et aménagement / Histoire - Double Licence Histoire-Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24740&g_ta_cod=24740", 50.0, 31.0, 19.0),
(12423, "Public", "0673168E", "CNAM GRAND EST", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Saverne", "formation sélective", "Autre formation", "CNAM GRAND EST - Formation Supérieure de Spécialisation - Management entrepreneurial de projet d?activité", "Diplôme d'Université", "Management entrepreneurial de projet d?activité", 15, 20, 9, 15, 0, 2, 1, 1, 0, 0, 0, 12, 5, 0, 0, 1, 4, 8, 3, 0, 0, 2, 1, 1, 0, 0, 0, 5, 17, 1, 1, 1, 0, 1.0, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3.0, 1.0, 2.0, 0.0, 10.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "33331", "Formation Supérieure de Spécialisation - Management entrepreneurial de projet d?activité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33331&g_ta_cod=33331", 100.0, 0.0, 0.0),
(12424, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "PASS", "Université de Lille - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 320, 8339, 5876, 8339, 0, 6763, 1117, 177, 77, 32, 16, 1367, 0, 0, 0, 0, 0, 8337, 0, 0, 0, 6763, 1117, 177, 77, 32, 16, 1365, 1410, 345, 256, 345, 0, 340.0, 345.0, 345.0, 0, 61, 335, 334, 1, 0, 10, 1, 0, 1, 74, 203, 56.0, 333, 1, 0, 0, 0, 311, 311, 98.55, 100.0, 100.0, 74.1875, 92.796875, 92.796875, 0, 18.19921875, 97.09375, 0.29998779296875, 0.0, 0.29998779296875, 22.09765625, 60.6, 16.7, 99.6875, 99.390625, 0.29998779296875, 0.29998779296875, 0.0, 0.0, 1328.0, 220.0, 1.0, 1.0, 74.0, "Tous les candidats", 2100.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 17.0, "27163", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27162&g_ta_cod=27163", 100.0, 0.0, 0.0),
(12425, "Privé sous contrat d'association", "0130202Z", "IRTS PACA CORSE", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  8e  Arrondissement", "formation sélective", "EFTS", "IRTS PACA CORSE - D.E Educateur Spécialisé", "D.E secteur social", "", 60, 349, 296, 349, 0, 58, 9, 50, 13, 36, 12, 205, 0, 0, 0, 0, 0, 266, 0, 0, 0, 41, 7, 29, 6, 22, 6, 174, 91, 58, 48, 58, 0, 35.0, 53.0, 56.0, 0, 4, 15, 3, 8, 4, 43, 0, 5, 8, 1, 1, 0.0, 2, 4, 4, 0, 0, 12, 12, 60.34, 91.38, 96.55, 82.796875, 80.0, 80.0, 0, 26.69921875, 25.8984375, 0.0, 33.296875, 53.296875, 6.69921875, 6.7, 0.0, 20.0, 13.298828125, 53.296875, 26.69921875, 26.69921875, 26.69921875, 3.0, 1.0, 5.0, 1.0, 75.0, "Tous les candidats", 92.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "24819", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24819&g_ta_cod=24819", 59.0, 28.0, 14.0),
(12426, "Public", "0762169V", "Lycée Pablo Neruda", "76", "Seine-Maritime", "Normandie", "Normandie", "Dieppe", "formation sélective", "BTS", "Lycée Pablo Neruda - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 15, 115, 8, 115, 0, 5, 0, 36, 4, 38, 17, 36, 0, 0, 0, 0, 0, 82, 0, 0, 0, 5, 0, 29, 4, 34, 17, 14, 55, 15, 3, 15, 0, 2.0, 15.0, 15.0, 0, 4, 12, 0, 5, 7, 3, 0, 4, 5, 3, 0, 0.0, 0, 1, 7, 5, 0, 12, 12, 13.33, 100.0, 100.0, 20.0, 100.0, 100.0, 41.6953125, 33.296875, 80.0, 0.0, 33.296875, 41.6953125, 25.0, 0.0, 0.0, 0.0, 0.0, 41.6953125, 8.298828125, 58.296875, 58.296875, 3.0, 0.0, 23.0, 9.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 56.0, "9717", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9717&g_ta_cod=9717", 7.0, 40.0, 53.0),
(12427, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Droit - Parcours Parcours Droit", "Licence - Droit-économie-gestion", "Parcours Droit", 800, 4877, 3569, 4877, 0, 3391, 865, 553, 238, 42, 17, 891, 0, 0, 0, 0, 0, 4821, 0, 0, 0, 3391, 865, 553, 238, 42, 17, 835, 2635, 797, 593, 796, 0, 114.0, 644.0, 736.0, 0, 199, 740, 586, 145, 9, 57, 2, 262, 356, 109, 11, 0.0, 368, 102, 6, 0, 0, 509, 707, 14.3, 80.8, 92.35, 74.390625, 68.796875, 95.5, 0, 26.8984375, 92.796875, 0.29998779296875, 35.3984375, 48.09375, 14.69921875, 1.5, 0.0, 79.1875, 49.6953125, 19.59765625, 13.798828125, 1.199951171875, 0.7999267578125, 2181.0, 532.0, 12.0, 7.0, 130.0, "Tous les candidats", 3092.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "11481", "Licence - Droit - Parcours Parcours Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11481&g_ta_cod=11481", 79.0, 19.0, 2.0),
(12428, "Privé enseignement supérieur", "0521125R", "South Champagne Business School - Campus de Chaumont", "52", "Haute-Marne", "Grand Est", "Reims", "Chaumont", "formation sélective", "Ecole de Commerce", "South Champagne Business School - Formation des écoles de commerce et de management Bac + 3 - Global Bachelor in Management (GBM)", "Formation des écoles de commerce et de management", "Global Bachelor in Management (GBM)", 25, 44, 19, 38, 0, 30, 1, 3, 0, 0, 0, 5, 6, 1, 0, 2, 3, 31, 3, 0, 0, 26, 0, 2, 0, 0, 0, 3, 34, 5, 3, 4, 1, 4.0, 4.0, 5.0, 0, 0, 4, 4, 0, 0, 1, 0, 1, 2, 1, 0, 0.0, 3, 0, 0, 0, 0, 3, 3, 80.0, 80.0, 100.0, 60.0, 75.0, 75.0, 0, 0.0, 80.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 27.0, 0.0, 0.0, 0.0, 5.0, "Tous les candidats", 74.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 82.0, "28980", "Formation des écoles de commerce et de management Bac + 3 - Global Bachelor in Management (GBM)", "South Champagne Business School", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28974&g_ta_cod=28980", 100.0, 0.0, 0.0),
(12429, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", "", 420, 3646, 1639, 3646, 0, 2390, 390, 309, 110, 58, 28, 889, 0, 0, 0, 0, 0, 3523, 0, 0, 0, 2390, 390, 309, 110, 58, 28, 766, 2107, 409, 159, 408, 0, 23.0, 257.0, 352.0, 0, 72, 290, 263, 19, 8, 119, 3, 123, 113, 46, 5, 0.0, 151, 8, 5, 0, 0, 212, 212, 5.62, 62.84, 86.06, 38.8984375, 73.09375, 73.09375, 0, 24.796875, 70.890625, 1.0, 42.3984375, 39.0, 15.8984375, 1.7, 0.0, 90.6875, 52.09375, 6.599609375, 2.7998046875, 2.7998046875, 1.699951171875, 1548.0, 293.0, 11.0, 8.0, 491.0, "Tous les candidats", 2984.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 77.0, "2258", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27478&g_ta_cod=2258", 89.0, 8.0, 3.0),
(12430, "Public", "0932268K", "Institut National du Patrimoine (département des restaurateurs)", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aubervilliers", "formation sélective", "Autre formation", "Institut National du Patrimoine (département des restaurateurs) - Conservation-restauration des biens culturels - spécialité Mobilier", "Formations Bac + 5", "spécialité Mobilier", 3, 3, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 1.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "28361", "Conservation-restauration des biens culturels - spécialité Mobilier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28361&g_ta_cod=28361", 100.0, 0.0, 0.0),
(12431, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence", "Université de Pau et des Pays de l'Adour - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 100, 601, 430, 570, 0, 409, 102, 29, 10, 23, 11, 109, 31, 6, 1, 2, 22, 568, 25, 0, 0, 409, 102, 29, 10, 23, 11, 107, 429, 98, 66, 91, 6, 59.0, 85.0, 90.0, 0, 22, 76, 67, 3, 6, 22, 0, 21, 26, 24, 5, 0.0, 49, 2, 4, 0, 0, 54, 54, 60.2, 86.73, 91.84, 67.296875, 71.09375, 71.09375, 0, 28.8984375, 77.59375, 0.0, 27.59765625, 34.1953125, 31.59765625, 6.6, 0.0, 88.1875, 64.5, 3.89990234375, 2.599609375, 7.8994140625, 5.2998046875, 316.0, 80.0, 18.0, 6.0, 85.0, "Tous les candidats", 566.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "7748", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7748&g_ta_cod=7748", 85.0, 8.0, 7.0),
(12432, "Public", "0600020W", "Lycée Marie Curie", "60", "Oise", "Hauts-de-France", "Amiens", "Nogent-sur-Oise", "formation sélective", "CPGE", "Lycée Marie Curie - CPGE - PTSI", "Classe préparatoire scientifique", "", 45, 422, 81, 422, 353, 322, 37, 1, 0, 0, 0, 99, 0, 0, 0, 0, 0, 383, 0, 353, 278, 312, 34, 1, 0, 0, 0, 70, 204, 44, 6, 44, 0, 7.0, 31.0, 43.0, 43, 5, 43, 43, 0, 0, 1, 0, 1, 10, 22, 9, 1.0, 42, 0, 0, 16, 2, 23, 23, 15.91, 70.45, 97.73, 13.599609375, 53.5, 53.5, 37.1953125, 11.599609375, 97.6875, 0.0, 2.2998046875, 23.296875, 51.1953125, 20.9, 2.3, 100.0, 97.6875, 0.0, 0.0, 0.0, 0.0, 190.0, 15.0, 0.0, 0.0, 14.0, "Tous les candidats", 274.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "7228", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7228&g_ta_cod=7228", 100.0, 0.0, 0.0),
(12433, "Privé sous contrat d'association", "0951982N", "ECOLE PRATIQUE SERVICE SOCIAL CTRE POLYTECHN. ST LOUIS", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "EFTS", "ECOLE PRATIQUE SERVICE SOCIAL CTRE POLYTECHN. ST LOUIS - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 33, 123, 117, 123, 0, 20, 2, 28, 6, 24, 5, 51, 0, 0, 0, 0, 0, 105, 0, 0, 0, 17, 0, 25, 5, 21, 4, 42, 59, 31, 31, 31, 0, 17.0, 26.0, 27.0, 0, 3, 14, 4, 3, 7, 17, 0, 2, 4, 7, 1, 0.0, 3, 2, 7, 0, 0, 10, 10, 54.84, 83.87, 87.1, 100.0, 71.390625, 71.390625, 0, 21.3984375, 45.1953125, 0.0, 14.298828125, 28.59765625, 50.0, 7.1, 0.0, 28.59765625, 21.3984375, 21.3984375, 14.298828125, 50.0, 50.0, 7.0, 0.0, 12.0, 1.0, 30.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "24885", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24885&g_ta_cod=24885", 39.0, 26.0, 35.0),
(12434, "Public", "0680032R", "Lycée Michel De Montaigne", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "CPGE", "Lycée Michel De Montaigne - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 15, 152, 70, 144, 94, 103, 8, 0, 0, 0, 0, 41, 8, 4, 0, 0, 4, 108, 5, 74, 96, 96, 5, 0, 0, 0, 0, 12, 76, 1, 1, 1, 0, 0.0, 1.0, 1.0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 0.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 66.0, 5.0, 0.0, 0.0, 10.0, "Tous les candidats", 101.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "31390", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31390&g_ta_cod=31390", 100.0, 0.0, 0.0),
(12435, "Public", "0500026G", "Lycée Charles-Francois Lebrun", "50", "Manche", "Normandie", "Normandie", "Coutances", "formation sélective", "BTS", "Lycée Charles-Francois Lebrun - BTS - Services - Tourisme", "BTS - Services", "", 18, 359, 242, 340, 0, 88, 21, 59, 15, 58, 16, 135, 19, 2, 5, 0, 12, 180, 3, 0, 0, 61, 14, 45, 10, 44, 11, 30, 95, 16, 15, 15, 1, 2.0, 13.0, 15.0, 0, 2, 12, 1, 6, 5, 4, 0, 6, 4, 2, 0, 0.0, 0, 4, 2, 1, 1, 8, 8, 12.5, 81.25, 93.75, 93.796875, 66.6875, 66.6875, 8.298828125, 16.69921875, 75.0, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 8.298828125, 0.0, 50.0, 33.296875, 41.6953125, 16.69921875, 20.0, 5.0, 25.0, 8.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 83.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 50.0, "5998", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5998&g_ta_cod=5998", 25.0, 38.0, 38.0),
(12436, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence_Las", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Portail Lettres - LETTRES EDITION MEDIAS AUDIOVISUEL", "Licence - Arts-lettres-langues", "LETTRES EDITION MEDIAS AUDIOVISUEL", 15, 312, 244, 312, 0, 138, 19, 5, 3, 3, 2, 166, 0, 0, 0, 0, 0, 310, 0, 0, 0, 138, 19, 5, 3, 3, 2, 164, 81, 14, 13, 14, 0, 1.0, 7.0, 12.0, 0, 3, 7, 7, 0, 0, 7, 0, 2, 1, 2, 0, 2.0, 5, 0, 0, 0, 0, 0, 4, 7.14, 50.0, 85.71, 92.890625, 0.0, 57.09375, 0, 42.8984375, 50.0, 0.0, 28.59765625, 14.298828125, 28.59765625, 0.0, 28.6, 100.0, 71.390625, 0.0, 0.0, 0.0, 0.0, 54.0, 11.0, 0.0, 0.0, 27.0, "Tous les candidats", 646.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "28337", "Licence - Portail Lettres - LETTRES EDITION MEDIAS AUDIOVISUEL", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28336&g_ta_cod=28337", 100.0, 0.0, 0.0),
(12437, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 150, 296, 244, 263, 0, 203, 49, 13, 4, 6, 5, 41, 33, 6, 2, 2, 23, 263, 15, 0, 0, 203, 49, 13, 4, 6, 5, 41, 276, 52, 47, 45, 7, 35.0, 43.0, 48.0, 0, 16, 42, 36, 2, 4, 10, 0, 8, 19, 12, 3, 0.0, 30, 1, 3, 0, 0, 41, 41, 67.31, 82.69, 92.31, 90.390625, 97.59375, 97.59375, 0, 38.09375, 80.796875, 0.0, 19.0, 45.1953125, 28.59765625, 7.1, 0.0, 85.6875, 71.390625, 4.7998046875, 2.39990234375, 9.5, 7.099609375, 204.0, 48.0, 7.0, 6.0, 51.0, "Tous les candidats", 263.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2893", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2893&g_ta_cod=2893", 79.0, 8.0, 10.0),
(12438, "Public", "0520844K", "Lycée Edme Bouchardon", "52", "Haute-Marne", "Grand Est", "Reims", "Chaumont", "formation sélective", "Autre formation", "Lycée Edme Bouchardon - Mention complémentaire - FCIL classe passerelle BTS option service", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22, 4, 2, 0, 0, 0.0, 0.0, 0.0, 0, 3, 4, 0, 0, 4, 0, 0, 3, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 4, 4, 0.0, 0.0, 0.0, 50.0, 100.0, 100.0, 0, 75.0, 100.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 17.0, 10.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22490", "Mention complémentaire - FCIL classe passerelle BTS option service", "", "", 0.0, 0.0, 100.0),
(12439, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Psychologie - Parcours enseignement à distance", "Licence - Sciences humaines et sociales", "enseignement à distance", 200, 2983, 2488, 2983, 0, 449, 118, 91, 23, 38, 10, 2405, 0, 0, 0, 0, 0, 2974, 0, 0, 0, 449, 118, 91, 23, 38, 10, 2396, 363, 212, 175, 212, 0, 142.0, 185.0, 204.0, 0, 6, 16, 12, 1, 3, 196, 0, 0, 2, 7, 6, 1.0, 12, 1, 3, 0, 0, 1, 1, 66.98, 87.26, 96.23, 82.5, 6.2998046875, 6.2998046875, 0, 37.5, 7.5, 0.0, 0.0, 12.5, 43.796875, 37.5, 6.3, 75.0, 75.0, 6.2998046875, 6.2998046875, 18.796875, 18.796875, 48.0, 18.0, 5.0, 2.0, 307.0, "Tous les candidats", 397.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "26544", "Licence - Psychologie - Parcours enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26544&g_ta_cod=26544", 73.0, 9.0, 10.0),
(12440, "Public", "0640001D", "Lycée Cantau", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation sélective", "BTS", "Lycée Cantau - BTS - Production - Management économique de la construction", "BTS - Production", "", 30, 325, 80, 325, 0, 24, 6, 139, 22, 95, 27, 67, 0, 0, 0, 0, 0, 325, 0, 0, 0, 24, 6, 139, 22, 95, 27, 67, 66, 30, 10, 30, 0, 15.0, 28.0, 30.0, 0, 11, 30, 2, 11, 17, 0, 0, 6, 12, 10, 2, 0.0, 1, 9, 14, 20, 6, 28, 28, 50.0, 93.33, 100.0, 33.296875, 93.296875, 93.296875, 66.6875, 36.6953125, 100.0, 0.0, 20.0, 40.0, 33.296875, 6.7, 0.0, 6.69921875, 3.2998046875, 36.6953125, 30.0, 56.6953125, 46.6953125, 6.0, 2.0, 38.0, 11.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 26.0, "7686", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7686&g_ta_cod=7686", 7.0, 37.0, 57.0),
(12441, "Public", "0820883P", "Lycée Claude Nougaro", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Monteils", "formation sélective", "BTS", "Lycée Claude Nougaro - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 24, 406, 53, 350, 0, 25, 5, 64, 24, 62, 21, 199, 56, 2, 2, 12, 40, 141, 14, 0, 0, 25, 5, 51, 16, 48, 15, 17, 113, 26, 1, 19, 7, 6.0, 16.0, 22.0, 0, 4, 18, 4, 9, 5, 8, 0, 11, 5, 2, 0, 0.0, 1, 3, 3, 3, 0, 14, 14, 23.08, 61.54, 84.62, 3.7998046875, 77.796875, 77.796875, 16.69921875, 22.19921875, 69.1875, 0.0, 61.09375, 27.796875, 11.099609375, 0.0, 0.0, 22.19921875, 5.599609375, 50.0, 16.69921875, 27.796875, 16.69921875, 18.0, 5.0, 40.0, 11.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 35.0, "20137", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20137&g_ta_cod=20137", 27.0, 42.0, 31.0),
(12442, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence_Las", "Université de Lille - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 465, 4318, 1728, 4318, 0, 2992, 526, 318, 88, 51, 26, 957, 0, 0, 0, 0, 0, 4318, 0, 0, 0, 2992, 526, 318, 88, 51, 26, 957, 1363, 458, 166, 458, 0, 123.0, 366.0, 421.0, 0, 79, 356, 330, 22, 4, 102, 0, 77, 144, 113, 21, 1.0, 261, 14, 4, 0, 0, 345, 345, 26.86, 79.91, 91.92, 36.1953125, 96.890625, 96.890625, 0, 22.19921875, 77.6875, 0.0, 21.59765625, 40.3984375, 31.69921875, 5.9, 0.3, 92.6875, 73.296875, 6.19921875, 3.89990234375, 1.099853515625, 1.099853515625, 931.0, 183.0, 18.0, 7.0, 348.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "29051", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29050&g_ta_cod=29051", 91.0, 7.0, 2.0),
(12443, "Privé sous contrat d'association", "0593114P", "Lycée Saint-Paul", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Saint-Paul - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 1003, 470, 1003, 688, 900, 53, 0, 0, 0, 0, 103, 0, 0, 0, 0, 0, 584, 0, 436, 527, 583, 30, 0, 0, 0, 0, 1, 169, 21, 16, 21, 0, 1.0, 7.0, 18.0, 4, 2, 21, 21, 0, 0, 0, 0, 0, 0, 10, 9, 2.0, 21, 0, 0, 1, 1, 13, 13, 4.76, 33.33, 85.71, 76.1875, 61.8984375, 61.8984375, 4.7998046875, 9.5, 100.0, 0.0, 0.0, 0.0, 47.59375, 42.9, 9.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 168.0, 7.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "31616", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31310&g_ta_cod=31616", 100.0, 0.0, 0.0),
(12444, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence_Las", "Université d'Amiens - Licence - Portail Sciences de la vie et de la terre", "Licence - Sciences - technologies - santé", "", 36, 1549, 1050, 1549, 0, 1107, 200, 29, 5, 3, 1, 410, 0, 0, 0, 0, 0, 1548, 0, 0, 0, 1107, 200, 29, 5, 3, 1, 409, 337, 39, 27, 38, 0, 0.0, 18.0, 32.0, 0, 8, 25, 25, 0, 0, 14, 0, 6, 10, 7, 2, 0.0, 19, 0, 0, 0, 0, 25, 25, 0.0, 46.15, 82.05, 69.1875, 100.0, 100.0, 0, 32.0, 64.09375, 0.0, 24.0, 40.0, 28.0, 8.0, 0.0, 100.0, 76.0, 0.0, 0.0, 0.0, 0.0, 177.0, 56.0, 0.0, 0.0, 158.0, "Tous les candidats", 1212.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 48.0, "28625", "Licence - Portail Sciences de la vie et de la terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28624&g_ta_cod=28625", 100.0, 0.0, 0.0),
(12445, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Autre formation", "Université de Franche-Comté - Site de Besançon - C.M.I - Cursus Master en Ingénierie - Physique, chimie - Cursus Master en Ingénierie (CMI) : Photonique, micro et nanotechnologies, temps-fréquence", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Photonique, micro et nanotechnologies, temps-fréquence", 18, 110, 35, 92, 0, 68, 10, 1, 0, 0, 0, 23, 18, 6, 1, 0, 11, 21, 0, 0, 0, 19, 1, 0, 0, 0, 0, 2, 21, 1, 1, 1, 0, 1.0, 1.0, 1.0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 19.0, 1.0, 0.0, 0.0, 2.0, "Tous les candidats", 21.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "14107", "C.M.I - Cursus Master en Ingénierie - Physique, chimie - Cursus Master en Ingénierie (CMI) : Photonique, micro et nanotechnologies, temps-fréquence", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14107&g_ta_cod=14107", 100.0, 0.0, 0.0),
(12446, "Public", "0510036M", "Gustave Eiffel Lycée des Métiers de l'Industrie Lycée des Métiers de l'Hôtellerie et de la Restauration", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "Gustave Eiffel Lycée des Métiers de l'Industrie Lycée des Métiers de l'Hôtellerie et de la Restauration - Mention complémentaire - FCIL Sommellerie", "Mention complémentaire", "", 6, 7, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 2, 1, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34637", "Mention complémentaire - FCIL Sommellerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34637&g_ta_cod=34637", 0, 0, 0),
(12447, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", "", 210, 2532, 1226, 2532, 0, 1735, 339, 155, 66, 51, 26, 591, 0, 0, 0, 0, 0, 2442, 0, 0, 0, 1735, 339, 155, 66, 51, 26, 501, 1053, 208, 97, 208, 0, 45.0, 157.0, 181.0, 0, 37, 147, 144, 3, 0, 61, 0, 47, 63, 33, 4, 0.0, 98, 2, 0, 0, 0, 109, 109, 21.63, 75.48, 87.02, 46.59375, 74.09375, 74.09375, 0, 25.19921875, 70.6875, 0.0, 32.0, 42.8984375, 22.3984375, 2.7, 0.0, 98.0, 66.6875, 2.0, 1.39990234375, 0.0, 0.0, 816.0, 172.0, 2.0, 2.0, 227.0, "Tous les candidats", 1335.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 50.0, "5347", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27897&g_ta_cod=5347", 99.0, 1.0, 0.0),
(12448, "Public", "9720005Y", "Lycée professionnel Dumas JEAN-JOSEPH", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "Autre formation", "Lycée professionnel Dumas JEAN-JOSEPH - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 49, 21, 11, 0, 0, 0.0, 0.0, 1.0, 0, 14, 19, 0, 2, 17, 2, 0, 18, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 19, 19, 0.0, 0.0, 4.76, 52.3984375, 100.0, 100.0, 0, 73.6875, 90.5, 0.0, 94.6875, 5.2998046875, 0.0, 0.0, 0.0, 0.0, 0.0, 10.5, 0.0, 89.5, 5.2998046875, 0.0, 0.0, 44.0, 31.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22540", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 10.0, 90.0),
(12449, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence", "Université de Perpignan Via Domitia / Lycée Jean Lurçat Perpignan - Licence - Mathématiques - Parcours PPPE", "Licence - Sciences - technologies - santé", "PPPE", 35, 219, 152, 206, 0, 122, 27, 17, 6, 2, 1, 65, 13, 2, 0, 0, 11, 206, 10, 0, 0, 122, 27, 17, 6, 2, 1, 65, 166, 26, 18, 24, 2, 6.0, 23.0, 26.0, 0, 5, 13, 12, 1, 0, 13, 0, 2, 5, 4, 2, 0.0, 11, 0, 0, 0, 0, 7, 7, 23.08, 88.46, 100.0, 69.1875, 53.796875, 53.796875, 0, 38.5, 50.0, 0.0, 15.3984375, 38.5, 30.796875, 15.4, 0.0, 92.296875, 84.59375, 7.69921875, 0.0, 0.0, 0.0, 90.0, 22.0, 1.0, 1.0, 63.0, "Tous les candidats", 206.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32741", "Licence - Mathématiques - Parcours PPPE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32741&g_ta_cod=32741", 88.0, 12.0, 0.0),
(12450, "Privé sous contrat d'association", "0592926K", "Institution Saint Jude", "59", "Nord", "Hauts-de-France", "Lille", "Armentières", "formation sélective", "BTS", "Institution Saint Jude - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 30, 292, 115, 197, 0, 47, 9, 54, 7, 43, 12, 53, 95, 8, 32, 14, 41, 127, 27, 0, 0, 42, 9, 36, 5, 29, 8, 20, 126, 27, 9, 18, 9, 3.0, 17.0, 21.0, 0, 4, 17, 4, 8, 5, 10, 0, 9, 6, 2, 0, 0.0, 1, 4, 3, 5, 1, 17, 17, 11.11, 62.96, 77.78, 33.296875, 100.0, 100.0, 29.3984375, 23.5, 63.0, 0.0, 52.8984375, 35.296875, 11.798828125, 0.0, 0.0, 23.5, 5.8994140625, 47.09375, 23.5, 29.3984375, 17.59765625, 40.0, 9.0, 24.0, 7.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 64.0, "6907", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6907&g_ta_cod=6907", 37.0, 41.0, 22.0),
(12451, "Public", "0951104J", "Lycée Jean Perrin", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Saint-Ouen-l'Aumône", "formation sélective", "BTS", "Lycée Jean Perrin - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 28, 510, 39, 354, 0, 11, 3, 95, 37, 116, 47, 132, 156, 0, 38, 63, 55, 125, 13, 0, 0, 4, 2, 47, 14, 58, 18, 16, 99, 21, 4, 15, 6, 7.0, 15.0, 19.0, 0, 6, 17, 0, 5, 12, 4, 0, 8, 4, 5, 0, 0.0, 0, 2, 7, 7, 2, 13, 15, 33.33, 71.43, 90.48, 19.0, 76.5, 88.1875, 41.1953125, 35.296875, 81.0, 0.0, 47.09375, 23.5, 29.3984375, 0.0, 0.0, 0.0, 0.0, 29.3984375, 11.798828125, 70.59375, 41.1953125, 3.0, 2.0, 49.0, 17.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 57, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 34.0, "11596", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11596&g_ta_cod=11596", 0.0, 43.0, 57.0),
(12452, "Public", "0840957J", "I.U.T. d'Avignon", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "BUT", "I.U.T. d'Avignon - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente  - Business développement et management de la relation client", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente  - Business développement et management de la relation client", 80, 2706, 1395, 2706, 0, 1513, 269, 778, 257, 26, 13, 389, 0, 0, 0, 0, 0, 1976, 0, 0, 0, 1249, 208, 563, 182, 0, 0, 164, 503, 77, 37, 77, 0, 16.0, 54.0, 71.0, 0, 26, 77, 40, 37, 0, 0, 0, 1, 33, 39, 4, 0.0, 39, 37, 0, 0, 0, 48, 48, 20.78, 70.13, 92.21, 48.09375, 62.296875, 62.296875, 0, 33.796875, 100.0, 0.0, 1.2998046875, 42.8984375, 50.59375, 5.2, 0.0, 51.8984375, 50.59375, 48.09375, 48.09375, 0.0, 0.0, 278.0, 59.0, 0.0, 0.0, 8.0, "Tous les candidats sauf les Bac technologiques", 456.0, "Bacheliers technologiques toutes séries", 307, "", 0, "Liste d'appel propre à cette formation", 28.0, "10469", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Marketing et management du point de vente  - Business développement et management de la relation client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10469&g_ta_cod=10469", 52.0, 48.0, 0.0),
(12453, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, Littératures et Civilisations Etrangères Anglais", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères Anglais", 80, 529, 383, 529, 0, 332, 107, 53, 24, 36, 17, 108, 0, 0, 0, 0, 0, 529, 0, 0, 0, 332, 107, 53, 24, 36, 17, 108, 330, 79, 56, 79, 0, 13.0, 79.0, 79.0, 0, 27, 58, 45, 8, 5, 21, 0, 19, 24, 10, 5, 0.0, 33, 4, 2, 0, 0, 51, 51, 16.46, 100.0, 100.0, 70.890625, 87.890625, 87.890625, 0, 46.59375, 73.390625, 0.0, 32.796875, 41.3984375, 17.19921875, 8.6, 0.0, 77.59375, 56.8984375, 13.798828125, 6.8994140625, 8.599609375, 3.39990234375, 235.0, 76.0, 12.0, 7.0, 62.0, "Tous les candidats", 473.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "8153", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues, Littératures et Civilisations Etrangères Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8153&g_ta_cod=8153", 76.0, 14.0, 10.0),
(12454, "Public", "0210071N", "Centre de Ressources, d'Expertise et de Performance Sportive de Dijon (CREPS)", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive de Dijon (CREPS) - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 8, 298, 72, 201, 0, 48, 4, 44, 7, 53, 17, 56, 97, 20, 30, 9, 38, 22, 2, 0, 0, 10, 0, 0, 0, 6, 1, 6, 20, 7, 2, 6, 1, 3.0, 5.0, 6.0, 0, 1, 6, 2, 0, 4, 1, 0, 2, 4, 0, 0, 0.0, 0, 0, 4, 0, 0, 5, 5, 42.86, 71.43, 85.71, 28.59765625, 83.296875, 83.296875, 0, 16.69921875, 85.6875, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 33.296875, 0.0, 0.0, 0.0, 66.6875, 66.6875, 8.0, 0.0, 8.0, 2.0, 4.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 11.0, "21291", "BPJEPS - Activités physiques pour tous", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21291&g_ta_cod=21291", 43.0, 0.0, 57.0),
(12455, "Privé sous contrat d'association", "0593256U", "Institut d'Anchin", "59", "Nord", "Hauts-de-France", "Lille", "Pecquencourt", "formation sélective", "BTS", "Institut d'Anchin - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 40, 141, 44, 129, 0, 13, 1, 40, 4, 17, 5, 59, 12, 2, 2, 4, 4, 82, 9, 0, 0, 13, 1, 40, 4, 16, 5, 13, 87, 19, 5, 13, 6, 6.0, 13.0, 17.0, 0, 1, 14, 3, 8, 3, 5, 0, 6, 6, 2, 0, 0.0, 1, 5, 2, 7, 2, 13, 13, 31.58, 68.42, 89.47, 26.296875, 92.890625, 92.890625, 50, 7.099609375, 73.6875, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 21.3984375, 7.099609375, 57.09375, 35.6953125, 21.3984375, 14.298828125, 14.0, 2.0, 15.0, 5.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 64.0, "6993", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6993&g_ta_cod=6993", 26.0, 53.0, 21.0),
(12456, "Public", "0320002D", "Lycée Pardailhan", "32", "Gers", "Occitanie", "Toulouse", "Auch", "formation sélective", "BTS", "Lycée Pardailhan - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 24, 681, 117, 523, 0, 29, 6, 103, 33, 62, 23, 329, 158, 11, 40, 16, 91, 140, 20, 0, 0, 14, 4, 70, 21, 44, 14, 12, 131, 24, 1, 18, 6, 1.0, 16.0, 18.0, 0, 4, 20, 1, 14, 5, 4, 0, 13, 6, 1, 0, 0.0, 0, 5, 2, 2, 0, 16, 16, 4.17, 66.67, 75.0, 4.19921875, 80.0, 80.0, 10, 20.0, 83.296875, 0.0, 65.0, 30.0, 5.0, 0.0, 0.0, 5.0, 0.0, 70.0, 25.0, 25.0, 10.0, 12.0, 4.0, 34.0, 15.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers technologiques toutes séries", 75, "Bacheliers professionnels toutes séries", 46, "Liste d'appel propre à cette formation", 27.0, "30065", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30065&g_ta_cod=30065", 13.0, 67.0, 21.0),
(12457, "Public", "0623920Z", "Université du littoral - Site de Boulogne-sur-Mer", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation non sélective", "Licence", "Université du littoral - Site de Boulogne-sur-Mer - Licence - Langues étrangères appliquées - Parcours ANGLAIS-ALLEMAND", "Licence - Arts-lettres-langues", "ANGLAIS-ALLEMAND", 36, 58, 40, 51, 0, 31, 5, 6, 2, 3, 2, 11, 7, 0, 0, 0, 7, 51, 6, 0, 0, 31, 5, 6, 2, 3, 2, 11, 57, 8, 7, 6, 2, 6.0, 6.0, 8.0, 0, 0, 4, 3, 1, 0, 4, 0, 2, 1, 0, 0, 1.0, 2, 0, 0, 0, 0, 4, 4, 75.0, 75.0, 100.0, 87.5, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 50.0, 25.0, 0.0, 0.0, 25.0, 75.0, 50.0, 25.0, 0.0, 0.0, 0.0, 31.0, 5.0, 3.0, 2.0, 17.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15831", "Licence - Langues étrangères appliquées - Parcours ANGLAIS-ALLEMAND", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15831&g_ta_cod=15831", 63.0, 25.0, 13.0),
(12458, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation non sélective", "Licence", "Université Claude Bernard Lyon 1 - Licence - Portail Sciences pour la santé", "Licence - Sciences - technologies - santé", "", 30, 2601, 2049, 2601, 0, 1255, 299, 117, 37, 5, 1, 1224, 0, 0, 0, 0, 0, 2591, 0, 0, 0, 1255, 299, 117, 37, 5, 1, 1214, 420, 28, 24, 28, 0, 0.0, 5.0, 14.0, 0, 8, 14, 10, 4, 0, 14, 0, 7, 3, 2, 2, 0.0, 7, 0, 0, 0, 0, 13, 13, 0.0, 17.86, 50.0, 85.6875, 92.890625, 92.890625, 0, 57.09375, 50.0, 0.0, 50.0, 21.3984375, 14.298828125, 14.3, 0.0, 71.390625, 50.0, 28.59765625, 0.0, 0.0, 0.0, 183.0, 45.0, 0.0, 0.0, 227.0, "Tous les candidats", 1148.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 31.0, "27052", "Licence - Portail Sciences pour la santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32195&g_ta_cod=27052", 82.0, 18.0, 0.0),
(12459, "Public", "0630021F", "Lycée La Fayette", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée La Fayette - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 320, 21, 320, 0, 22, 5, 74, 20, 132, 43, 92, 0, 0, 0, 0, 0, 236, 0, 0, 0, 22, 5, 69, 19, 116, 34, 29, 106, 21, 2, 21, 0, 2.0, 18.0, 19.0, 0, 5, 15, 1, 5, 9, 6, 0, 5, 3, 4, 3, 0.0, 0, 1, 9, 10, 0, 13, 13, 9.52, 85.71, 90.48, 9.5, 86.6875, 86.6875, 66.6875, 33.296875, 71.390625, 0.0, 33.296875, 20.0, 26.69921875, 20.0, 0.0, 6.69921875, 0.0, 33.296875, 6.69921875, 60.0, 60.0, 12.0, 3.0, 38.0, 12.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 43.0, "7568", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7568&g_ta_cod=7568", 5.0, 33.0, 62.0),
(12460, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Autre formation", "Université de Cergy-Pontoise - CY SUP - C.M.I - Cursus Master en Ingénierie - Sciences de la terre - Cursus Master en Ingénierie (CMI) : Géosciences pour l'énergie", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Géosciences pour l'énergie", 20, 144, 60, 64, 0, 38, 1, 2, 0, 0, 0, 24, 80, 27, 0, 1, 52, 36, 6, 0, 0, 20, 0, 1, 0, 0, 0, 15, 41, 9, 2, 7, 2, 4.0, 7.0, 9.0, 0, 0, 5, 5, 0, 0, 4, 0, 0, 3, 2, 0, 0.0, 5, 0, 0, 0, 0, 4, 5, 44.44, 77.78, 100.0, 22.19921875, 80.0, 100.0, 0, 0.0, 55.59375, 0.0, 0.0, 60.0, 40.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 21.0, 0.0, 0.0, 0.0, 19.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "19728", "C.M.I - Cursus Master en Ingénierie - Sciences de la terre - Cursus Master en Ingénierie (CMI) : Géosciences pour l'énergie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19728&g_ta_cod=19728", 100.0, 0.0, 0.0),
(12461, "Public", "0542208G", "Lycée Stanislas (Biotec.Hotellerie)", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Villers-lès-Nancy", "formation sélective", "BTS", "Lycée Stanislas (Biotec.Hotellerie) - BTS - Production - Biotechnologies", "BTS - Production", "", 45, 568, 356, 568, 0, 150, 23, 176, 41, 7, 2, 235, 0, 0, 0, 0, 0, 406, 0, 0, 0, 150, 23, 157, 35, 2, 0, 97, 178, 41, 23, 41, 0, 2.0, 22.0, 35.0, 0, 10, 35, 12, 23, 0, 6, 0, 7, 21, 6, 1, 0.0, 10, 18, 0, 7, 3, 32, 32, 4.88, 53.66, 85.37, 56.09375, 91.390625, 91.390625, 20, 28.59765625, 85.390625, 0.0, 20.0, 60.0, 17.09765625, 2.9, 0.0, 34.296875, 28.59765625, 65.6875, 51.3984375, 0.0, 0.0, 52.0, 12.0, 1.0, 0.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 141.0, "Bacheliers professionnels toutes séries", 1, "Bacheliers technologiques toutes séries", 140, "Liste d'appel propre à cette formation", 50.0, "6369", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6369&g_ta_cod=6369", 34.0, 66.0, 0.0),
(12462, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Bi-disciplinaire : Allemand- Anglais", "Licence - Arts-lettres-langues", "Bi-disciplinaire : Allemand- Anglais", 30, 106, 67, 62, 0, 35, 6, 1, 0, 1, 0, 25, 44, 4, 3, 3, 34, 60, 42, 0, 0, 35, 6, 1, 0, 1, 0, 23, 102, 29, 17, 12, 17, 12.0, 12.0, 24.0, 0, 4, 9, 7, 0, 2, 20, 0, 2, 3, 4, 0, 0.0, 6, 0, 1, 0, 0, 5, 5, 41.38, 41.38, 82.76, 58.59375, 55.59375, 55.59375, 0, 44.3984375, 31.0, 0.0, 22.19921875, 33.296875, 44.3984375, 0.0, 0.0, 77.796875, 66.6875, 0.0, 0.0, 22.19921875, 11.099609375, 39.0, 8.0, 4.0, 3.0, 55.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "30786", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Bi-disciplinaire : Allemand- Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30786&g_ta_cod=30786", 90.0, 3.0, 7.0),
(12463, "Public", "0240999F", "IFSI CH de Perigueux", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bordeaux - D.E Infirmier", "D.E secteur sanitaire", "", 74, 6165, 5196, 6165, 0, 1162, 213, 1105, 283, 499, 161, 3399, 0, 0, 0, 0, 0, 4893, 0, 0, 0, 1055, 185, 981, 236, 337, 110, 2520, 958, 74, 64, 74, 0, 1.0, 32.0, 59.0, 0, 13, 38, 22, 15, 1, 36, 0, 7, 16, 12, 3, 0.0, 17, 13, 1, 0, 0, 30, 30, 1.35, 43.24, 79.73, 86.5, 78.890625, 78.890625, 0, 34.1953125, 51.3984375, 0.0, 18.3984375, 42.09375, 31.59765625, 7.9, 0.0, 57.8984375, 44.6953125, 39.5, 34.1953125, 2.599609375, 2.599609375, 172.0, 41.0, 19.0, 7.0, 541.0, "Tous les candidats", 2906.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "23941", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23940&g_ta_cod=23941", 70.0, 26.0, 4.0),
(12464, "Public", "9720643S", "CENTRE REGIONAL ASSOC DU CNAM FORT DE FRANCE", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "Autre formation", "CENTRE REGIONAL ASSOC DU CNAM FORT DE FRANCE - Formation Supérieure de Spécialisation - Informatique - intégration web", "Diplôme d'Université", "Informatique - intégration web", 15, 24, 6, 16, 0, 3, 0, 2, 1, 3, 3, 8, 8, 1, 3, 3, 1, 14, 6, 0, 0, 3, 0, 2, 1, 3, 3, 6, 20, 10, 4, 7, 3, 7.0, 7.0, 7.0, 0, 5, 7, 1, 2, 4, 3, 0, 4, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 7, 7, 70.0, 70.0, 70.0, 40.0, 100.0, 100.0, 0, 71.390625, 70.0, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 28.59765625, 0.0, 57.09375, 42.8984375, 3.0, 0.0, 5.0, 5.0, 7.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "33338", "Formation Supérieure de Spécialisation - Informatique - intégration web", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33338&g_ta_cod=33338", 10.0, 40.0, 50.0),
(12465, "Public", "0382203N", "Lycée Pablo Neruda", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Autre formation", "Lycée Pablo Neruda - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 9, 50, 1, 48, 0, 0, 0, 0, 0, 44, 15, 4, 2, 0, 0, 1, 1, 48, 1, 0, 0, 0, 0, 0, 0, 44, 15, 4, 33, 3, 0, 2, 1, 0.0, 2.0, 3.0, 0, 1, 2, 0, 0, 2, 1, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 0.0, 66.67, 100.0, 0.0, 100.0, 100.0, 0, 50.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 30.0, 10.0, 3.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "15792", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15792&g_ta_cod=15792", 0.0, 0.0, 100.0),
(12466, "Public", "7200092M", "IFSI Bastia", "2B", "Haute-Corse", "Corse", "Corse", "Bastia", "formation sélective", "IFSI", "Regroupement d'IFSI Université Corse - D.E Infirmier", "D.E secteur sanitaire", "", 48, 989, 798, 989, 0, 196, 33, 147, 33, 91, 29, 555, 0, 0, 0, 0, 0, 989, 0, 0, 0, 196, 33, 147, 33, 91, 29, 555, 112, 48, 45, 48, 0, 10.0, 41.0, 43.0, 0, 11, 27, 17, 10, 0, 21, 0, 3, 13, 8, 3, 0.0, 16, 8, 0, 0, 0, 27, 27, 20.83, 85.42, 89.58, 93.796875, 100.0, 100.0, 0, 40.6953125, 56.296875, 0.0, 11.099609375, 48.09375, 29.59765625, 11.1, 0.0, 63.0, 59.296875, 37.0, 29.59765625, 0.0, 0.0, 40.0, 9.0, 0.0, 0.0, 60.0, "Tous les candidats", 136.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 13.0, "23111", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23109&g_ta_cod=23111", 71.0, 27.0, 0.0),
(12467, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Licence", "Université Grenoble Alpes  - Double licence - Economie et gestion / Langues étrangères appliquées - Double Licence : Economie-Gestion-Langues", "Licence - Droit-économie-gestion", "Double Licence : Economie-Gestion-Langues", 35, 835, 525, 835, 0, 651, 115, 27, 9, 6, 3, 151, 0, 0, 0, 0, 0, 450, 0, 0, 0, 377, 58, 1, 0, 0, 0, 72, 201, 34, 28, 34, 0, 2.0, 24.0, 30.0, 0, 8, 27, 27, 0, 0, 7, 0, 2, 3, 12, 8, 2.0, 25, 0, 0, 0, 0, 15, 15, 5.88, 70.59, 88.24, 82.390625, 55.59375, 55.59375, 0, 29.59765625, 79.390625, 0.0, 7.3994140625, 11.099609375, 44.3984375, 29.6, 7.4, 100.0, 92.59375, 0.0, 0.0, 0.0, 0.0, 165.0, 32.0, 0.0, 0.0, 36.0, "Tous les candidats", 326.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "5040", "Double licence - Economie et gestion / Langues étrangères appliquées - Double Licence : Economie-Gestion-Langues", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5040&g_ta_cod=5040", 100.0, 0.0, 0.0),
(12468, "Privé sous contrat d'association", "0350783L", "Lycée Sainte Geneviève", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Lycée Sainte Geneviève - DN MADE - Espace - - Spécialité : Design Espace et Innovation Sociale", "DN MADE", "- Spécialité : Design Espace et Innovation Sociale", 15, 686, 539, 648, 0, 319, 39, 118, 22, 67, 13, 144, 38, 12, 3, 3, 20, 128, 2, 0, 0, 69, 6, 43, 7, 4, 0, 12, 77, 18, 18, 17, 1, 0.0, 14.0, 17.0, 0, 4, 15, 7, 8, 0, 3, 0, 1, 9, 5, 0, 0.0, 6, 8, 0, 0, 0, 7, 7, 0.0, 77.78, 94.44, 100.0, 46.6953125, 46.6953125, 0, 26.69921875, 83.296875, 0.0, 6.69921875, 60.0, 33.296875, 0.0, 0.0, 46.6953125, 40.0, 53.296875, 53.296875, 0.0, 0.0, 31.0, 4.0, 3.0, 0.0, 9.0, "Tous les candidats", 123.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "21583", "DN MADE - Espace - - Spécialité : Design Espace et Innovation Sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21583&g_ta_cod=21583", 56.0, 44.0, 0.0),
(12469, "Public", "0281009V", "IFSI CH de Dreux", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Dreux", "formation sélective", "IFSI", "Regroupement d'IFSI Université Tours - D.E Infirmier", "D.E secteur sanitaire", "", 60, 3851, 3231, 3851, 0, 512, 88, 953, 227, 321, 114, 2065, 0, 0, 0, 0, 0, 3343, 0, 0, 0, 495, 82, 902, 203, 246, 88, 1700, 765, 60, 52, 60, 0, 3.0, 35.0, 50.0, 0, 18, 40, 8, 18, 14, 20, 0, 5, 16, 16, 3, 0.0, 6, 16, 13, 0, 0, 30, 30, 5.0, 58.33, 83.33, 86.6875, 75.0, 75.0, 0, 45.0, 66.6875, 0.0, 12.5, 40.0, 40.0, 7.5, 0.0, 20.0, 15.0, 45.0, 40.0, 35.0, 32.5, 125.0, 19.0, 41.0, 14.0, 270.0, "Tous les candidats", 2844.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "23260", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22995&g_ta_cod=23260", 33.0, 42.0, 25.0),
(12470, "Public", "0350011X", "Lycée Jean Guehenno", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Fougères", "formation sélective", "BTS", "Lycée Jean Guehenno - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 300, 142, 270, 0, 42, 7, 79, 20, 43, 17, 106, 30, 5, 3, 0, 22, 158, 5, 0, 0, 37, 5, 68, 20, 25, 9, 28, 75, 17, 5, 17, 0, 4.0, 16.0, 17.0, 0, 5, 14, 4, 5, 5, 3, 0, 6, 6, 2, 0, 0.0, 1, 4, 3, 6, 1, 12, 12, 23.53, 94.12, 100.0, 29.3984375, 85.6875, 85.6875, 42.8984375, 35.6953125, 82.390625, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 28.59765625, 7.099609375, 35.6953125, 28.59765625, 35.6953125, 21.3984375, 21.0, 4.0, 19.0, 6.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 57.0, "4624", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4624&g_ta_cod=4624", 24.0, 41.0, 35.0),
(12471, "Public", "0540042C", "Lycée Henri Loritz", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Henri Loritz - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 30, 669, 94, 669, 0, 115, 22, 148, 36, 93, 30, 313, 0, 0, 0, 0, 0, 665, 0, 0, 0, 115, 22, 147, 36, 93, 30, 310, 136, 30, 1, 30, 0, 3.0, 25.0, 29.0, 0, 5, 23, 4, 11, 8, 7, 0, 9, 12, 1, 1, 0.0, 1, 6, 7, 8, 0, 21, 21, 10.0, 83.33, 96.67, 3.2998046875, 91.296875, 91.296875, 34.796875, 21.69921875, 76.6875, 0.0, 39.09375, 52.1953125, 4.2998046875, 4.3, 0.0, 17.3984375, 4.2998046875, 47.796875, 26.09765625, 34.796875, 30.3984375, 38.0, 6.0, 29.0, 8.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 120, "Liste d'appel propre à cette formation", 35.0, "6269", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6269&g_ta_cod=6269", 23.0, 50.0, 27.0),
(12472, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Philosophie - Parcours Philosophie mineure Sociologie", "Licence - Arts-lettres-langues", "Philosophie mineure Sociologie", 120, 631, 413, 462, 0, 239, 58, 23, 11, 5, 3, 195, 169, 19, 7, 2, 141, 460, 168, 0, 0, 239, 58, 23, 11, 5, 3, 193, 628, 120, 68, 52, 68, 52.0, 52.0, 102.0, 0, 15, 34, 29, 4, 1, 86, 1, 14, 15, 4, 0, 0.0, 17, 1, 1, 0, 0, 22, 22, 43.33, 43.33, 85.0, 56.6953125, 64.6875, 64.6875, 0, 44.09375, 28.296875, 2.89990234375, 41.1953125, 44.09375, 11.798828125, 0.0, 0.0, 85.296875, 50.0, 11.798828125, 2.89990234375, 2.89990234375, 2.89990234375, 258.0, 64.0, 7.0, 3.0, 333.0, "Tous les candidats", 461.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "30871", "Licence - Philosophie - Parcours Philosophie mineure Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30871&g_ta_cod=30871", 81.0, 9.0, 6.0),
(12473, "Public", "0631985R", "Lycée Polyvalent Pierre-Joël Bonté", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Riom", "formation sélective", "BTS", "Lycée Polyvalent Pierre-Joël Bonté - BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "BTS - Production", "", 15, 208, 14, 203, 0, 7, 3, 70, 12, 57, 27, 69, 5, 0, 2, 2, 1, 203, 3, 0, 0, 7, 3, 70, 12, 57, 27, 69, 86, 13, 0, 11, 2, 1.0, 8.0, 9.0, 0, 1, 10, 0, 4, 6, 3, 0, 7, 3, 0, 0, 0.0, 0, 0, 3, 3, 0, 8, 8, 7.69, 61.54, 69.23, 0.0, 80.0, 80.0, 30, 10.0, 76.890625, 0.0, 70.0, 30.0, 0.0, 0.0, 0.0, 0.0, 0.0, 40.0, 0.0, 60.0, 30.0, 7.0, 3.0, 31.0, 13.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 60.0, "7677", "BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7677&g_ta_cod=7677", 15.0, 38.0, 46.0),
(12474, "Public", "0300023M", "Lycée ALBERT CAMUS", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée ALBERT CAMUS - BTS - Production - Biotechnologies", "BTS - Production", "", 30, 721, 472, 691, 0, 114, 22, 288, 91, 20, 12, 269, 30, 1, 10, 0, 19, 278, 5, 0, 0, 47, 8, 169, 51, 9, 4, 53, 159, 28, 18, 25, 2, 4.0, 19.0, 24.0, 0, 5, 23, 1, 21, 1, 5, 0, 7, 10, 6, 0, 0.0, 1, 14, 1, 4, 2, 11, 11, 14.29, 67.86, 85.71, 64.296875, 47.796875, 47.796875, 17.3984375, 21.69921875, 82.09375, 0.0, 30.3984375, 43.5, 26.09765625, 0.0, 0.0, 4.2998046875, 4.2998046875, 91.296875, 60.8984375, 4.2998046875, 4.2998046875, 13.0, 5.0, 1.0, 1.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 1, "Bacheliers technologiques toutes séries", 190, "Liste d'appel propre à cette formation", 30.0, "14494", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14494&g_ta_cod=14494", 11.0, 86.0, 4.0),
(12475, "Public", "0511884W", "lycée Georges BRIERE", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BTS", "lycée Georges BRIERE - BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "BTS - Services", "", 28, 350, 158, 342, 0, 27, 8, 29, 10, 107, 34, 179, 8, 0, 0, 6, 2, 79, 1, 0, 0, 7, 2, 7, 1, 56, 18, 9, 68, 24, 8, 23, 1, 6.0, 21.0, 22.0, 0, 7, 22, 1, 0, 21, 2, 0, 8, 10, 4, 0, 0.0, 1, 0, 13, 16, 5, 18, 18, 25.0, 87.5, 91.67, 33.296875, 81.796875, 81.796875, 72.6875, 31.796875, 91.6875, 0.0, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 4.5, 4.5, 0.0, 0.0, 95.5, 59.09375, 3.0, 1.0, 51.0, 16.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 22.0, "14540", "BTS - Services - Etudes de réalisation d'un projet de communication - 1ère année commune", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14540&g_ta_cod=14540", 8.0, 4.0, 88.0),
(12476, "Public", "0870019Y", "Lycée Suzanne Valadon", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Autre formation", "Lycée Suzanne Valadon - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 21, 454, 326, 454, 0, 99, 23, 132, 34, 9, 5, 214, 0, 0, 0, 0, 0, 408, 0, 0, 0, 98, 23, 125, 31, 0, 0, 185, 59, 21, 15, 21, 0, 4.0, 16.0, 21.0, 0, 2, 12, 2, 10, 0, 9, 0, 1, 6, 5, 0, 0.0, 1, 10, 0, 0, 0, 9, 9, 19.05, 76.19, 100.0, 71.390625, 75.0, 75.0, 0, 16.69921875, 57.09375, 0.0, 8.298828125, 50.0, 41.6953125, 0.0, 0.0, 16.69921875, 8.298828125, 83.296875, 83.296875, 0.0, 0.0, 6.0, 2.0, 0.0, 0.0, 23.0, "Tous les candidats", 86.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "10671", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10671&g_ta_cod=10671", 19.0, 81.0, 0.0),
(12477, "Public", "0952261S", "CY TECH - Université de Cergy-Pontoise", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "Concours GalaxY - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "Ingénieur en Mathématiques et Informatique", 210, 827, 147, 801, 0, 782, 104, 0, 0, 0, 0, 19, 26, 25, 0, 0, 1, 739, 5, 0, 0, 739, 92, 0, 0, 0, 0, 0, 704, 179, 26, 177, 2, 107.0, 176.0, 179.0, 0, 33, 179, 179, 0, 0, 0, 1, 34, 69, 58, 17, 0.0, 144, 0, 0, 0, 0, 122, 144, 59.78, 98.32, 100.0, 14.5, 68.1875, 80.390625, 0, 18.3984375, 100.0, 0.5999755859375, 19.0, 38.5, 32.3984375, 9.5, 0.0, 100.0, 80.390625, 0.0, 0.0, 0.0, 0.0, 704.0, 91.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 92.0, "31236", "Formation d'ingénieur Bac + 5", "Concours GalaxY", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31208&g_ta_cod=31236", 100.0, 0.0, 0.0),
(12478, "Public", "9710884J", "Lycée de Raoul Georges NICOLO", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "BTS", "Lycée de Raoul Georges NICOLO - BTS - Production - Enveloppe des bâtiments : conception et réalisation", "BTS - Production", "", 16, 92, 14, 92, 0, 10, 1, 33, 18, 34, 22, 15, 0, 0, 0, 0, 0, 80, 0, 0, 0, 10, 1, 33, 18, 34, 22, 3, 48, 17, 3, 17, 0, 4.0, 17.0, 17.0, 0, 9, 17, 3, 6, 8, 0, 0, 10, 5, 2, 0, 0.0, 1, 2, 4, 3, 1, 16, 16, 23.53, 100.0, 100.0, 17.59765625, 94.09375, 94.09375, 17.59765625, 52.8984375, 100.0, 0.0, 58.796875, 29.3984375, 11.798828125, 0.0, 0.0, 17.59765625, 5.8994140625, 35.296875, 11.798828125, 47.09375, 23.5, 8.0, 1.0, 18.0, 11.0, 0.0, "Tous les candidats sauf les Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 70.0, "21616", "BTS - Production - Enveloppe des bâtiments : conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21616&g_ta_cod=21616", 18.0, 35.0, 47.0),
(12479, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Musicologie - Parcours Musique (en partenariat avec le Conservatoire Régional du Grand Nancy)", "Licence - Arts-lettres-langues", "Musique (en partenariat avec le Conservatoire Régional du Grand Nancy)", 80, 309, 134, 254, 0, 155, 32, 23, 4, 8, 4, 68, 55, 11, 4, 1, 39, 254, 32, 0, 0, 155, 32, 23, 4, 8, 4, 68, 227, 64, 24, 47, 17, 15.0, 47.0, 58.0, 0, 7, 38, 32, 6, 0, 26, 1, 10, 12, 5, 10, 0.0, 22, 5, 0, 0, 0, 23, 23, 23.44, 73.44, 90.63, 37.5, 60.5, 60.5, 0, 18.3984375, 59.3984375, 2.599609375, 26.296875, 31.59765625, 13.19921875, 26.3, 0.0, 84.1875, 57.8984375, 15.798828125, 13.19921875, 0.0, 0.0, 131.0, 24.0, 5.0, 3.0, 73.0, "Tous les candidats", 250.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "6352", "Licence - Musicologie - Parcours Musique (en partenariat avec le Conservatoire Régional du Grand Nancy)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6352&g_ta_cod=6352", 75.0, 17.0, 6.0),
(12480, "Public", "0090018W", "Lycée du Couserans", "09", "Ardennes", "Occitanie", "Toulouse", "Saint-Girons", "formation sélective", "BTS", "Lycée du Couserans - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 18, 265, 227, 254, 0, 17, 5, 57, 15, 94, 34, 86, 11, 0, 0, 4, 7, 194, 6, 0, 0, 16, 5, 44, 10, 88, 29, 46, 109, 10, 8, 9, 1, 1.0, 5.0, 6.0, 0, 1, 7, 1, 1, 5, 3, 0, 3, 4, 0, 0, 0.0, 0, 1, 3, 1, 0, 6, 6, 10.0, 50.0, 60.0, 80.0, 85.6875, 85.6875, 14.298828125, 14.298828125, 70.0, 0.0, 42.8984375, 57.09375, 0.0, 0.0, 0.0, 14.298828125, 0.0, 14.298828125, 14.298828125, 71.390625, 42.8984375, 12.0, 5.0, 58.0, 20.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 52.0, "16001", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16001&g_ta_cod=16001", 20.0, 30.0, 50.0),
(12481, "Privé enseignement supérieur", "0332818J", "INSEEC Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Ecole de Commerce", "Concours PASS - Formation des écoles de commerce et de management Bac + 4", "Formation des écoles de commerce et de management", "BBA INSEEC - English Track", 25, 979, 497, 979, 0, 852, 29, 54, 1, 0, 0, 73, 0, 0, 0, 0, 0, 785, 0, 0, 0, 690, 22, 40, 1, 0, 0, 55, 768, 29, 16, 29, 0, 16.0, 29.0, 29.0, 0, 4, 28, 25, 3, 0, 1, 0, 10, 10, 8, 0, 0.0, 16, 2, 0, 0, 0, 15, 15, 55.17, 100.0, 100.0, 55.1953125, 53.59375, 53.59375, 0, 14.298828125, 96.59375, 0.0, 35.6953125, 35.6953125, 28.59765625, 0.0, 0.0, 89.296875, 57.09375, 10.69921875, 7.099609375, 0.0, 0.0, 674.0, 21.0, 0.0, 0.0, 54.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 80.0, "26373", "Formation des écoles de commerce et de management Bac + 4", "Concours PASS", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26356&g_ta_cod=26373", 90.0, 10.0, 0.0),
(12482, "Public", "0870019Y", "Lycée Suzanne Valadon", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Autre formation", "Lycée Suzanne Valadon - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 437, 203, 316, 0, 122, 27, 71, 25, 2, 2, 121, 121, 12, 12, 4, 93, 164, 14, 0, 0, 94, 22, 44, 12, 0, 0, 26, 132, 29, 16, 22, 7, 8.0, 22.0, 28.0, 0, 4, 19, 13, 6, 0, 10, 0, 5, 7, 5, 2, 0.0, 8, 6, 0, 0, 0, 12, 12, 27.59, 75.86, 96.55, 55.1953125, 63.1953125, 63.1953125, 0, 21.09765625, 65.5, 0.0, 26.296875, 36.796875, 26.296875, 10.5, 0.0, 68.390625, 42.09375, 31.59765625, 31.59765625, 0.0, 0.0, 76.0, 17.0, 0.0, 0.0, 31.0, "Tous les candidats", 164.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 52.0, "10672", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10672&g_ta_cod=10672", 76.0, 24.0, 0.0),
(12483, "Public", "0753470P", "Ecole Nationale Supérieure des Arts Décoratifs", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Autre formation", "Ecole Nationale Supérieure des Arts Décoratifs - Formation des écoles supérieure d'art Bac + 3 - Diplôme de premier cycle de l'ENSAD", "Formation des écoles supérieure d'art", "Diplôme de premier cycle de l'ENSAD", 75, 2544, 1881, 2544, 0, 881, 116, 265, 42, 38, 16, 1360, 0, 0, 0, 0, 0, 100, 0, 0, 0, 10, 2, 10, 0, 1, 0, 79, 88, 77, 48, 77, 0, 70.0, 77.0, 77.0, 0, 2, 17, 8, 8, 1, 60, 0, 1, 3, 6, 6, 1.0, 7, 8, 1, 0, 0, 9, 12, 90.91, 100.0, 100.0, 62.296875, 52.8984375, 70.59375, 0, 11.798828125, 22.09765625, 0.0, 5.8994140625, 17.59765625, 35.296875, 35.3, 5.9, 47.09375, 41.1953125, 47.09375, 47.09375, 5.8994140625, 5.8994140625, 10.0, 2.0, 1.0, 0.0, 68.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 3.0, "26545", "Formation des écoles supérieure d'art Bac + 3 - Diplôme de premier cycle de l'ENSAD", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26545&g_ta_cod=26545", 79.0, 17.0, 3.0),
(12484, "Public", "0370038R", "Lycée Grandmont", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BTS", "Lycée Grandmont - BTS - Production - Métiers de la mesure", "BTS - Production", "", 15, 95, 25, 80, 0, 13, 3, 37, 9, 2, 1, 28, 15, 3, 1, 0, 11, 68, 9, 0, 0, 13, 3, 37, 9, 2, 1, 16, 60, 12, 2, 8, 4, 2.0, 8.0, 11.0, 0, 1, 6, 2, 4, 0, 6, 0, 5, 1, 0, 0, 0.0, 0, 1, 0, 2, 0, 5, 5, 16.67, 66.67, 91.67, 16.69921875, 83.296875, 83.296875, 33.296875, 16.69921875, 50.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 16.69921875, 0.0, 0.0, 13.0, 3.0, 2.0, 1.0, 20.0, "Tous les candidats sauf les Bac professionnels", 65.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 84.0, "4836", "BTS - Production - Métiers de la mesure", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4836&g_ta_cod=4836", 42.0, 58.0, 0.0),
(12485, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Langues : Allemand - Programme International MINERVE", "Licence - Arts-lettres-langues", "Langues : Allemand - Programme International MINERVE", 15, 91, 62, 33, 0, 22, 5, 1, 1, 1, 1, 9, 58, 6, 7, 4, 41, 33, 56, 0, 0, 22, 5, 1, 1, 1, 1, 9, 83, 11, 8, 1, 10, 1.0, 1.0, 4.0, 0, 2, 4, 3, 0, 1, 7, 0, 1, 2, 1, 0, 0.0, 2, 0, 1, 0, 0, 3, 3, 9.09, 9.09, 36.36, 72.6875, 75.0, 75.0, 0, 50.0, 36.3984375, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 75.0, 50.0, 0.0, 0.0, 25.0, 25.0, 25.0, 6.0, 5.0, 3.0, 45.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "18020", "Licence - Portail Langues : Allemand - Programme International MINERVE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18020&g_ta_cod=18020", 82.0, 0.0, 18.0),
(12486, "Public", "0870125N", "I.U.T du Limousin - site de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BUT", "I.U.T du Limousin - site de Limoges - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation", "BUT - Production", "Réalisation d'applications : conception, développement, validation", 72, 1200, 84, 1132, 0, 700, 127, 256, 61, 17, 6, 159, 68, 2, 32, 0, 34, 656, 3, 0, 0, 434, 69, 165, 40, 0, 0, 57, 409, 73, 5, 72, 1, 33.0, 67.0, 68.0, 0, 17, 69, 42, 27, 0, 4, 0, 13, 32, 20, 4, 0.0, 37, 19, 0, 0, 0, 36, 36, 45.21, 91.78, 93.15, 6.7998046875, 52.1953125, 52.1953125, 0, 24.59765625, 94.5, 0.0, 18.796875, 46.3984375, 29.0, 5.8, 0.0, 60.8984375, 53.59375, 39.09375, 27.5, 0.0, 0.0, 244.0, 48.0, 0.0, 0.0, 29.0, "Tous les candidats sauf les Bac technologiques", 316.0, "Bacheliers technologiques toutes séries", 168, "", 0, "Liste d'appel propre à cette formation", 43.0, "10686", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10686&g_ta_cod=10686", 63.0, 37.0, 0.0),
(12487, "Public", "0490055U", "Lycée polyvalent Sadi Carnot - Jean Bertin", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saumur", "formation sélective", "BTS", "Lycée polyvalent Sadi Carnot - Jean Bertin - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 10, 77, 6, 67, 0, 9, 0, 26, 6, 15, 4, 17, 10, 3, 0, 1, 6, 54, 2, 0, 0, 9, 0, 26, 6, 15, 4, 4, 40, 7, 0, 7, 0, 0.0, 7.0, 7.0, 0, 0, 7, 1, 4, 2, 0, 0, 6, 1, 0, 0, 0.0, 0, 1, 0, 2, 0, 4, 4, 0.0, 100.0, 100.0, 0.0, 57.09375, 57.09375, 28.59765625, 0.0, 100.0, 0.0, 85.6875, 14.298828125, 0.0, 0.0, 0.0, 14.298828125, 0.0, 57.09375, 14.298828125, 28.59765625, 0.0, 7.0, 0.0, 11.0, 2.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 81.0, "5843", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5843&g_ta_cod=5843", 14.0, 57.0, 29.0),
(12488, "Public", "0771987S", "I.F.S.I. du centre hospitalier du sud Seine-et-Marne (rentrée en septembre)", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Fontainebleau", "formation sélective", "IFSI", "Regroupement d'IFSI UPEC (P12)  - D.E Infirmier", "D.E secteur sanitaire", "", 89, 3139, 2735, 3139, 0, 340, 90, 499, 172, 447, 210, 1853, 0, 0, 0, 0, 0, 2124, 0, 0, 0, 312, 78, 349, 108, 283, 123, 1180, 842, 88, 75, 88, 0, 2.0, 45.0, 82.0, 0, 8, 48, 22, 15, 11, 40, 0, 13, 23, 8, 4, 0.0, 13, 13, 9, 0, 0, 29, 31, 2.27, 51.14, 93.18, 85.1875, 60.3984375, 64.59375, 0, 16.69921875, 54.5, 0.0, 27.09765625, 47.8984375, 16.69921875, 8.3, 0.0, 45.796875, 27.09765625, 31.296875, 27.09765625, 22.8984375, 18.796875, 186.0, 44.0, 94.0, 34.0, 435.0, "Tous les candidats", 2634.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "23274", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23006&g_ta_cod=23274", 60.0, 20.0, 19.0),
(12489, "Public", "0642126N", "Collèges des études européennes et internationales", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation non sélective", "Licence", "Collèges des études européennes et internationales - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Basque", "Licence - Arts-lettres-langues", "Basque", 40, 91, 60, 79, 0, 53, 9, 4, 2, 5, 3, 17, 12, 4, 0, 2, 6, 79, 10, 0, 0, 53, 9, 4, 2, 5, 3, 17, 89, 14, 11, 11, 3, 11.0, 11.0, 13.0, 0, 2, 9, 8, 0, 1, 5, 0, 0, 6, 3, 0, 0.0, 8, 0, 1, 0, 0, 9, 9, 78.57, 78.57, 92.86, 78.59375, 100.0, 100.0, 0, 22.19921875, 64.296875, 0.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 88.890625, 88.890625, 0.0, 0.0, 11.099609375, 11.099609375, 57.0, 11.0, 7.0, 4.0, 21.0, "Tous les candidats", 79.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7771", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Basque", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7771&g_ta_cod=7771", 86.0, 7.0, 7.0),
(12490, "Public", "0130010R", "Lycée Montmajour", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Arles", "formation sélective", "BTS", "Lycée Montmajour - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 558, 291, 552, 0, 75, 37, 119, 56, 81, 46, 277, 6, 0, 4, 0, 2, 345, 0, 0, 0, 73, 35, 101, 45, 81, 46, 90, 109, 22, 12, 22, 0, 0.0, 18.0, 21.0, 0, 14, 18, 5, 8, 5, 4, 0, 11, 4, 3, 0, 0.0, 1, 3, 3, 12, 7, 16, 16, 0.0, 81.82, 95.45, 54.5, 88.890625, 88.890625, 66.6875, 77.796875, 81.796875, 0.0, 61.09375, 22.19921875, 16.69921875, 0.0, 0.0, 27.796875, 5.599609375, 44.3984375, 16.69921875, 27.796875, 16.69921875, 21.0, 8.0, 15.0, 8.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 41.0, "2536", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2536&g_ta_cod=2536", 36.0, 36.0, 27.0),
(12491, "Public", "0440086E", "Lycée général et technologique La Colinière", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Lycée général et technologique La Colinière - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22, 7, 4, 0, 0, 0.0, 0.0, 2.0, 0, 4, 7, 0, 0, 7, 0, 0, 4, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 7, 7, 0.0, 0.0, 28.57, 57.09375, 100.0, 100.0, 0, 57.09375, 100.0, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 42.8984375, 0.0, 0.0, 21.0, 10.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "30548", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(12492, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Double diplôme - Licence Droit - Droit ? Droits français et allemand ? programme Sarrebruck", "Licence - Droit-économie-gestion", "Droit ? Droits français et allemand ? programme Sarrebruck", 10, 259, 181, 69, 0, 48, 10, 5, 3, 0, 0, 16, 190, 38, 25, 10, 117, 42, 21, 0, 0, 32, 1, 0, 0, 0, 0, 10, 54, 4, 3, 3, 1, 0.0, 3.0, 4.0, 0, 0, 3, 3, 0, 0, 1, 0, 1, 0, 1, 1, 0.0, 2, 0, 0, 0, 0, 0, 0, 0.0, 75.0, 100.0, 75.0, 0.0, 0.0, 0, 0.0, 75.0, 0.0, 33.296875, 0.0, 33.296875, 33.3, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 36.0, 3.0, 0.0, 0.0, 18.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "32059", "Licence - Double diplôme - Licence Droit - Droit ? Droits français et allemand ? programme Sarrebruck", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32059&g_ta_cod=32059", 100.0, 0.0, 0.0),
(12493, "Public", "0290007A", "Lycée La Pérouse - Kerichen", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "CPGE", "Lycée La Pérouse - Kerichen - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 450, 205, 450, 255, 389, 33, 0, 0, 0, 0, 61, 0, 0, 0, 0, 0, 363, 0, 196, 343, 339, 24, 0, 0, 0, 0, 24, 200, 22, 9, 22, 0, 3.0, 12.0, 22.0, 4, 3, 22, 22, 0, 0, 0, 0, 0, 8, 10, 4, 0.0, 22, 0, 0, 0, 0, 22, 22, 13.64, 54.55, 100.0, 40.8984375, 100.0, 100.0, 0, 13.599609375, 100.0, 0.0, 0.0, 36.3984375, 45.5, 18.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 182.0, 16.0, 0.0, 0.0, 18.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "31617", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31383&g_ta_cod=31617", 100.0, 0.0, 0.0),
(12494, "Privé enseignement supérieur", "0753184D", "FERRANDI Paris - L'école Française de Gastronomie", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Autre formation", "Ecole FERRANDI - Formation des écoles supérieures de cuisine Bac +3 - Arts culinaires et entrepreneuriat / Option Cuisine", "Formation des écoles supérieures de cuisine", "Arts culinaires et entrepreneuriat / Option Cuisine", 56, 226, 87, 226, 0, 130, 12, 19, 1, 9, 4, 68, 0, 0, 0, 0, 0, 166, 0, 0, 0, 100, 1, 17, 1, 0, 0, 49, 120, 52, 16, 52, 0, 23.0, 50.0, 52.0, 0, 0, 33, 31, 2, 0, 19, 0, 4, 17, 10, 2, 0.0, 27, 2, 0, 0, 0, 8, 25, 44.23, 96.15, 100.0, 30.796875, 24.19921875, 75.796875, 0, 0.0, 63.5, 0.0, 12.099609375, 51.5, 30.296875, 6.1, 0.0, 93.890625, 81.796875, 6.099609375, 6.099609375, 0.0, 0.0, 77.0, 1.0, 0.0, 0.0, 35.0, "Tous les candidats", 156.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 65.0, "26217", "Formation des écoles supérieures de cuisine Bac +3 - Arts culinaires et entrepreneuriat / Option Cuisine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26217&g_ta_cod=26217", 96.0, 4.0, 0.0),
(12495, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "Licence - Arts-lettres-langues", "Allemand", 60, 63, 47, 50, 0, 33, 8, 2, 0, 1, 0, 14, 13, 1, 1, 0, 11, 50, 7, 0, 0, 33, 8, 2, 0, 1, 0, 14, 57, 7, 7, 3, 4, 3.0, 3.0, 5.0, 0, 0, 4, 3, 1, 0, 3, 0, 3, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 4, 4, 42.86, 42.86, 71.43, 100.0, 100.0, 100.0, 0, 0.0, 57.09375, 0.0, 75.0, 0.0, 25.0, 0.0, 0.0, 75.0, 25.0, 25.0, 0.0, 0.0, 0.0, 34.0, 8.0, 1.0, 0.0, 19.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2894", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2894&g_ta_cod=2894", 71.0, 29.0, 0.0),
(12496, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 565, 4480, 2564, 4379, 0, 2986, 604, 474, 157, 67, 34, 852, 101, 21, 11, 3, 66, 4278, 88, 0, 0, 2986, 604, 474, 157, 67, 34, 751, 2713, 532, 284, 485, 44, 46.0, 398.0, 478.0, 0, 108, 412, 357, 44, 11, 120, 2, 187, 155, 57, 11, 0.0, 197, 20, 6, 0, 0, 340, 340, 8.65, 74.81, 89.85, 53.3984375, 82.5, 82.5, 0, 26.19921875, 77.390625, 0.5, 45.3984375, 37.59375, 13.798828125, 2.7, 0.0, 86.6875, 47.796875, 10.69921875, 4.8994140625, 2.69970703125, 1.5, 2078.0, 418.0, 31.0, 15.0, 404.0, "Tous les candidats", 4531.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 95.0, "4461", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4461&g_ta_cod=4461", 84.0, 12.0, 3.0),
(12497, "Public", "0330192E", "Sciences Po Bordeaux - Institut d'études politiques", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Autre formation", "Sciences Po Bordeaux - Institut d'études politiques - Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Filière intégrée France-Espagne (FIFE)", "Sciences politiques", "Filière intégrée France-Espagne (FIFE)", 12, 363, 269, 363, 0, 313, 48, 0, 0, 0, 0, 50, 0, 0, 0, 0, 0, 39, 0, 0, 0, 34, 1, 0, 0, 0, 0, 5, 18, 12, 8, 12, 0, 9.0, 12.0, 12.0, 0, 1, 10, 10, 0, 0, 2, 0, 0, 0, 1, 7, 2.0, 10, 0, 0, 0, 0, 2, 2, 75.0, 100.0, 100.0, 66.6875, 20.0, 20.0, 0, 10.0, 83.296875, 0.0, 0.0, 0.0, 10.0, 70.0, 20.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 15.0, 1.0, 0.0, 0.0, 3.0, "Tous les candidats", 18.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "25932", "Sciences Po / Instituts d'études politiques - Sciences Humaines et Sociales - Grade Master - Filière intégrée France-Espagne (FIFE)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25932&g_ta_cod=25932", 100.0, 0.0, 0.0),
(12498, "Privé sous contrat d'association", "0352337A", "ECAM Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Ecole d'Ingénieur", "ECAM-ECAM LaSalle - Formation d'ingénieur Bac + 5 - Série générale", "Formations  des écoles d'ingénieurs", "Série générale", 80, 1318, 280, 1294, 0, 1140, 57, 0, 0, 0, 0, 154, 24, 14, 0, 0, 10, 978, 6, 0, 0, 918, 31, 0, 0, 0, 0, 60, 868, 38, 10, 35, 3, 23.0, 35.0, 38.0, 0, 0, 34, 34, 0, 0, 4, 0, 1, 20, 9, 4, 0.0, 33, 0, 0, 0, 0, 25, 25, 60.53, 92.11, 100.0, 26.296875, 73.5, 73.5, 0, 0.0, 89.5, 0.0, 2.89990234375, 58.796875, 26.5, 11.8, 0.0, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 817.0, 32.0, 0.0, 0.0, 51.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "29283", "Formation d'ingénieur Bac + 5 - Série générale", "ECAM-ECAM LaSalle", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29277&g_ta_cod=29283", 100.0, 0.0, 0.0),
(12499, "Public", "0720048L", "Lycée polyvalent Raphaël Elizé", "72", "Sarthe", "Pays de la Loire", "Nantes", "Sablé-sur-Sarthe", "formation sélective", "BTS", "Lycée polyvalent Raphaël Elizé - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 299, 213, 299, 0, 6, 1, 84, 36, 94, 49, 115, 0, 0, 0, 0, 0, 206, 0, 0, 0, 6, 1, 78, 31, 76, 40, 46, 117, 21, 15, 21, 0, 3.0, 13.0, 17.0, 0, 6, 13, 0, 6, 7, 8, 0, 7, 5, 1, 0, 0.0, 0, 2, 4, 3, 3, 6, 6, 14.29, 61.9, 80.95, 71.390625, 46.1953125, 46.1953125, 23.09765625, 46.1953125, 61.8984375, 0.0, 53.796875, 38.5, 7.69921875, 0.0, 0.0, 0.0, 0.0, 46.1953125, 15.3984375, 53.796875, 30.796875, 4.0, 1.0, 42.0, 22.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 67, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 47.0, "8706", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8706&g_ta_cod=8706", 10.0, 52.0, 38.0),
(12500, "Public", "0761742F", "Lycée Val De Seine", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Grand-Quevilly", "formation sélective", "BTS", "Lycée Val De Seine - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 53, 938, 462, 938, 0, 69, 21, 369, 150, 316, 139, 184, 0, 0, 0, 0, 0, 788, 0, 0, 0, 63, 17, 313, 124, 283, 121, 129, 241, 51, 24, 51, 0, 3.0, 17.0, 30.0, 0, 22, 43, 3, 21, 19, 8, 1, 19, 17, 4, 2, 0.0, 2, 6, 15, 2, 0, 42, 42, 5.88, 33.33, 58.82, 47.09375, 97.6875, 97.6875, 4.69921875, 51.1953125, 84.296875, 2.2998046875, 44.1953125, 39.5, 9.298828125, 4.7, 0.0, 7.0, 4.69921875, 48.796875, 14.0, 44.1953125, 34.8984375, 15.0, 6.0, 87.0, 34.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 114, "Bacheliers technologiques toutes séries", 218, "Liste d'appel propre à cette formation", 38.0, "9679", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9679&g_ta_cod=9679", 8.0, 51.0, 41.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(12501, "Public", "0750736T", "Université Paris-Dauphine", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "Autre formation", "Université Paris-Dauphine - Formation valant grade de licence - Mathématique - Informatique - Paris - Classique", "Formation valant grade de licence", "Mathématique - Informatique - Paris - Classique", 180, 5689, 1793, 5689, 0, 4645, 553, 29, 14, 7, 5, 1008, 0, 0, 0, 0, 0, 3007, 0, 0, 0, 2694, 273, 0, 0, 0, 0, 313, 818, 182, 59, 182, 0, 106.0, 113.0, 138.0, 0, 27, 132, 132, 0, 0, 50, 0, 0, 3, 39, 77, 13.0, 132, 0, 0, 0, 0, 25, 96, 58.24, 62.09, 75.82, 32.3984375, 18.8984375, 72.6875, 0, 20.5, 72.5, 0.0, 0.0, 2.2998046875, 29.5, 58.3, 9.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 631.0, 97.0, 0.0, 0.0, 187.0, "Tous les candidats", 948.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "25821", "Formation valant grade de licence - Mathématique - Informatique - Paris - Classique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25821&g_ta_cod=25821", 100.0, 0.0, 0.0),
(12502, "Public", "0140017T", "Lycée Jean Rostand", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 32, 564, 296, 542, 0, 60, 15, 168, 54, 104, 45, 210, 22, 0, 0, 11, 11, 259, 4, 0, 0, 43, 7, 108, 33, 50, 19, 58, 148, 28, 13, 24, 4, 3.0, 21.0, 27.0, 0, 12, 22, 2, 13, 7, 6, 1, 3, 11, 5, 2, 0.0, 2, 10, 6, 1, 1, 22, 22, 10.71, 75.0, 96.43, 46.3984375, 100.0, 100.0, 4.5, 54.5, 78.59375, 4.5, 13.599609375, 50.0, 22.69921875, 9.1, 0.0, 9.099609375, 9.099609375, 59.09375, 45.5, 31.796875, 27.296875, 18.0, 6.0, 40.0, 15.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 39.0, "2825", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2825&g_ta_cod=2825", 14.0, 57.0, 29.0),
(12503, "Public", "0762762P", "Université Le Havre Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation non sélective", "Licence", "Université Le Havre Normandie - Licence - Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 50, 293, 124, 216, 0, 146, 23, 10, 3, 5, 1, 55, 77, 14, 2, 8, 53, 212, 70, 0, 0, 146, 23, 10, 3, 5, 1, 51, 282, 43, 16, 22, 21, 22.0, 22.0, 36.0, 0, 9, 19, 15, 2, 2, 24, 3, 8, 6, 2, 0, 0.0, 8, 0, 0, 0, 0, 18, 18, 51.16, 51.16, 83.72, 37.1953125, 94.6875, 94.6875, 0, 47.3984375, 44.1953125, 15.798828125, 42.09375, 31.59765625, 10.5, 0.0, 0.0, 78.890625, 42.09375, 10.5, 0.0, 10.5, 0.0, 160.0, 29.0, 13.0, 8.0, 97.0, "Tous les candidats", 212.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "15744", "Licence - Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15744&g_ta_cod=15744", 67.0, 12.0, 19.0),
(12504, "Public", "0020049T", "Lycée Pierre de La Ramee", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "BTS", "Lycée Pierre de La Ramee - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 589, 308, 557, 0, 35, 17, 100, 38, 70, 31, 352, 32, 0, 4, 15, 13, 239, 6, 0, 0, 35, 17, 83, 32, 66, 29, 55, 142, 30, 19, 26, 3, 3.0, 16.0, 22.0, 0, 2, 13, 3, 7, 3, 17, 0, 9, 4, 0, 0, 0.0, 0, 2, 2, 1, 1, 12, 12, 10.0, 53.33, 73.33, 63.296875, 92.296875, 92.296875, 7.69921875, 15.3984375, 43.296875, 0.0, 69.1875, 30.796875, 0.0, 0.0, 0.0, 23.09765625, 0.0, 53.796875, 15.3984375, 23.09765625, 15.3984375, 16.0, 8.0, 46.0, 20.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 79, "Bacheliers technologiques toutes séries", 102, "Liste d'appel propre à cette formation", 39.0, "2060", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2060&g_ta_cod=2060", 33.0, 37.0, 30.0),
(12505, "Public", "9720727H", "Lycée Montgérald", "972", "Martinique", "Martinique", "Martinique", "Le Marin", "formation sélective", "BTS", "Lycée Montgérald - BTS - Services - Gestion de la PME", "BTS - Services", "", 24, 184, 113, 155, 0, 21, 7, 52, 28, 52, 31, 30, 29, 0, 2, 13, 14, 95, 4, 0, 0, 15, 6, 43, 24, 29, 19, 8, 71, 21, 14, 18, 3, 4.0, 18.0, 19.0, 0, 14, 18, 5, 3, 10, 3, 0, 10, 4, 4, 0, 0.0, 1, 0, 7, 3, 2, 16, 16, 19.05, 85.71, 90.48, 66.6875, 88.890625, 88.890625, 16.69921875, 77.796875, 85.6875, 0.0, 55.59375, 22.19921875, 22.19921875, 0.0, 0.0, 27.796875, 5.599609375, 16.69921875, 0.0, 55.59375, 38.8984375, 10.0, 6.0, 26.0, 18.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 55.0, "11828", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11828&g_ta_cod=11828", 24.0, 19.0, 57.0),
(12506, "Privé sous contrat d'association", "0442774B", "LGT SAINT FELIX - LA SALLE", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LGT SAINT FELIX - LA SALLE - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 34, 1221, 517, 1221, 0, 144, 20, 528, 96, 359, 96, 190, 0, 0, 0, 0, 0, 892, 0, 0, 0, 105, 16, 358, 53, 358, 96, 71, 231, 33, 17, 33, 0, 4.0, 17.0, 27.0, 0, 8, 27, 2, 14, 11, 6, 0, 11, 12, 4, 0, 0.0, 1, 7, 8, 3, 1, 21, 21, 12.12, 51.52, 81.82, 51.5, 77.796875, 77.796875, 11.099609375, 29.59765625, 81.796875, 0.0, 40.6953125, 44.3984375, 14.798828125, 0.0, 0.0, 7.3994140625, 3.69970703125, 51.8984375, 25.8984375, 40.6953125, 29.59765625, 24.0, 2.0, 93.0, 24.0, 20.0, "Tous les candidats sauf les Bac professionnels", 209.0, "Bacheliers professionnels toutes séries", 160, "", 0, "Liste d'appel propre à cette formation", 30.0, "5507", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5507&g_ta_cod=5507", 9.0, 52.0, 39.0),
(12507, "Privé sous contrat d'association", "0600075R", "ESCOM Chimie Compiègne", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "bac STL", 5, 38, 21, 38, 0, 0, 0, 38, 15, 0, 0, 0, 0, 0, 0, 0, 0, 13, 0, 0, 0, 0, 0, 13, 6, 0, 0, 0, 12, 3, 3, 3, 0, 3.0, 3.0, 3.0, 0, 1, 3, 0, 3, 0, 0, 0, 0, 0, 1, 2, 0.0, 0, 3, 0, 0, 0, 1, 1, 100.0, 100.0, 100.0, 100.0, 33.296875, 33.296875, 0, 33.296875, 100.0, 0.0, 0.0, 0.0, 33.296875, 66.7, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "22887", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=22887", 0.0, 100.0, 0.0),
(12508, "Public", "9711052S", "I.U.T de la Guadeloupe - Campus de St-Claude", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Saint-Claude", "formation sélective", "BUT", "I.U.T de la Guadeloupe - Campus de St-Claude - BUT - Métiers du multimédia et de l'internet", "BUT - Production", "", 40, 276, 69, 272, 0, 126, 49, 91, 33, 8, 6, 47, 4, 1, 0, 0, 3, 248, 2, 0, 0, 121, 46, 91, 33, 0, 0, 36, 150, 35, 13, 34, 1, 5.0, 32.0, 33.0, 0, 17, 31, 14, 17, 0, 4, 0, 12, 17, 2, 0, 0.0, 10, 9, 0, 0, 0, 24, 24, 14.29, 91.43, 94.29, 37.09375, 77.390625, 77.390625, 0, 54.796875, 88.59375, 0.0, 38.6953125, 54.796875, 6.5, 0.0, 0.0, 45.1953125, 32.296875, 54.796875, 29.0, 0.0, 0.0, 72.0, 25.0, 0.0, 0.0, 19.0, "Tous les candidats sauf les Bac technologiques", 114.0, "Bacheliers technologiques toutes séries", 69, "", 0, "Liste d'appel propre à cette formation", 67.0, "15532", "BUT - Métiers du multimédia et de l'internet", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15532&g_ta_cod=15532", 46.0, 51.0, 3.0),
(12509, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Lettres / Langues, littératures & civilisations étrangères et régionales - LETTRES EDITION MEDIAS AUDIOVISUEL - LLCER ESPAGNOL", "Licence - Arts-lettres-langues", "LETTRES EDITION MEDIAS AUDIOVISUEL - LLCER ESPAGNOL", 35, 139, 114, 117, 0, 88, 16, 5, 3, 0, 0, 24, 22, 6, 3, 0, 13, 117, 2, 0, 0, 88, 16, 5, 3, 0, 0, 24, 96, 32, 25, 30, 2, 6.0, 23.0, 30.0, 0, 7, 28, 27, 1, 0, 4, 0, 3, 15, 8, 2, 0.0, 25, 0, 0, 0, 0, 6, 21, 18.75, 71.88, 93.75, 78.09375, 21.3984375, 75.0, 0, 25.0, 87.5, 0.0, 10.69921875, 53.59375, 28.59765625, 7.1, 0.0, 96.390625, 89.296875, 3.599609375, 0.0, 0.0, 0.0, 74.0, 15.0, 0.0, 0.0, 20.0, "Tous les candidats", 110.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "9297", "Double licence - Lettres / Langues, littératures & civilisations étrangères et régionales - LETTRES EDITION MEDIAS AUDIOVISUEL - LLCER ESPAGNOL", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9297&g_ta_cod=9297", 97.0, 3.0, 0.0),
(12510, "Public", "9760358K", "CUFR Centre Universitaire de Mayotte", "976", "Mayotte", "Mayotte", "Mayotte", "Dembeni", "formation non sélective", "Licence", "CUFR Centre Universitaire de Mayotte - Licence - Droit", "Licence - Droit-économie-gestion", "", 120, 529, 371, 529, 0, 268, 170, 127, 85, 6, 2, 128, 0, 0, 0, 0, 0, 528, 0, 0, 0, 267, 169, 127, 85, 6, 2, 128, 403, 77, 51, 76, 0, 13.0, 63.0, 65.0, 0, 35, 56, 36, 19, 1, 21, 0, 38, 16, 2, 0, 0.0, 13, 4, 1, 0, 0, 55, 55, 16.88, 81.82, 84.42, 66.1875, 98.1875, 98.1875, 0, 62.5, 72.6875, 0.0, 67.890625, 28.59765625, 3.599609375, 0.0, 0.0, 64.296875, 23.19921875, 33.8984375, 7.099609375, 1.7998046875, 1.7998046875, 214.0, 134.0, 1.0, 0.0, 101.0, "Tous les candidats", 449.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "13883", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13883&g_ta_cod=13883", 57.0, 40.0, 3.0),
(12511, "Public", "0931827F", "Université Paris 8", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation non sélective", "Licence_Las", "Université Paris 8 - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", "", 15, 660, 388, 660, 0, 340, 139, 34, 14, 15, 9, 271, 0, 0, 0, 0, 0, 624, 0, 0, 0, 340, 139, 34, 14, 15, 9, 235, 117, 14, 7, 14, 0, 0.0, 7.0, 12.0, 0, 3, 8, 8, 0, 0, 6, 0, 5, 3, 0, 0, 0.0, 3, 0, 0, 0, 0, 4, 7, 0.0, 50.0, 85.71, 50.0, 50.0, 87.5, 0, 37.5, 57.09375, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 100.0, 37.5, 0.0, 0.0, 0.0, 0.0, 86.0, 33.0, 0.0, 0.0, 31.0, "Tous les candidats", 769.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "28418", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28417&g_ta_cod=28418", 93.0, 0.0, 0.0),
(12512, "Public", "0134319Z", "IUT Aix-Marseille - Site de Marseille St Jérôme", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BUT", "IUT Aix-Marseille - Site de Marseille St Jérôme - BUT - Génie thermique et énergie Parcours : Optimisation énergétique  pour le bâtiment et l'industrie - Parcours : Réalisation des installations énergétiques pour le bâtiment et l'industrie - Parcours : Management de l'énergie pour le bâtiment et l'industrie", "BUT - Production", "Optimisation énergétique  pour le bâtiment et l'industrie - Parcours : Réalisation des installations énergétiques pour le bâtiment et l'industrie - Parcours : Management de l'énergie pour le bâtiment et l'industrie", 72, 931, 100, 898, 0, 432, 79, 261, 68, 13, 6, 192, 33, 0, 17, 0, 16, 686, 1, 0, 0, 402, 66, 158, 36, 0, 0, 126, 549, 78, 7, 78, 0, 51.0, 66.0, 78.0, 0, 25, 71, 47, 24, 0, 7, 1, 17, 42, 11, 0, 0.0, 31, 22, 0, 0, 0, 52, 52, 65.38, 84.62, 100.0, 9.0, 73.1875, 73.1875, 0, 35.1953125, 91.0, 1.39990234375, 23.8984375, 59.1953125, 15.5, 0.0, 0.0, 66.1875, 43.6953125, 33.796875, 31.0, 0.0, 0.0, 329.0, 66.0, 0.0, 0.0, 84.0, "Tous les candidats sauf les Bac technologiques", 465.0, "Bacheliers technologiques toutes séries", 177, "", 0, "Liste d'appel propre à cette formation", 71.0, "2716", "BUT - Génie thermique et énergie Parcours : Optimisation énergétique  pour le bâtiment et l'industrie - Parcours : Réalisation des installations énergétiques pour le bâtiment et l'industrie - Parcours : Management de l'énergie pour le bâtiment et l'industrie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2716&g_ta_cod=2716", 67.0, 33.0, 0.0),
(12513, "Privé sous contrat d'association", "0771246L", "Lycée Bossuet", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "CPGE", "Lycée Bossuet - CPGE - Lettres", "Classe préparatoire littéraire", "", 24, 83, 52, 73, 32, 58, 3, 1, 0, 0, 0, 14, 10, 8, 0, 0, 2, 60, 7, 32, 53, 57, 3, 0, 0, 0, 0, 3, 56, 10, 7, 8, 2, 2.0, 8.0, 10.0, 1, 1, 9, 9, 0, 0, 1, 0, 1, 3, 4, 1, 0.0, 8, 0, 0, 6, 3, 7, 8, 20.0, 80.0, 100.0, 70.0, 77.796875, 88.890625, 66.6875, 11.099609375, 90.0, 0.0, 11.099609375, 33.296875, 44.3984375, 11.1, 0.0, 100.0, 88.890625, 0.0, 0.0, 0.0, 0.0, 55.0, 5.0, 0.0, 0.0, 1.0, "Tous les candidats", 56.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "9835", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9835&g_ta_cod=9835", 100.0, 0.0, 0.0),
(12514, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail LLCER ANGLAIS / Sciences Du Langage", "Licence - Arts-lettres-langues", "LLCER ANGLAIS / Sciences Du Langage : Sciences du langage", 25, 238, 176, 236, 0, 173, 31, 14, 6, 5, 2, 44, 2, 2, 0, 0, 0, 236, 2, 0, 0, 173, 31, 14, 6, 5, 2, 44, 238, 24, 19, 22, 2, 22.0, 22.0, 22.0, 0, 4, 21, 20, 1, 0, 3, 0, 3, 9, 3, 5, 1.0, 17, 1, 0, 0, 0, 16, 16, 91.67, 91.67, 91.67, 79.1875, 76.1875, 76.1875, 0, 19.0, 87.5, 0.0, 14.298828125, 42.8984375, 14.298828125, 23.8, 4.8, 95.1875, 81.0, 4.7998046875, 4.7998046875, 0.0, 0.0, 175.0, 31.0, 5.0, 2.0, 44.0, "Tous les candidats", 375.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23875", "Licence - Portail LLCER ANGLAIS / Sciences Du Langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23874&g_ta_cod=23875", 92.0, 8.0, 0.0),
(12515, "Privé enseignement supérieur", "0755753W", "Ecole de management de Normandie - Campus de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 450, 4739, 2160, 4739, 0, 4155, 133, 283, 10, 8, 1, 293, 0, 0, 0, 0, 0, 4291, 0, 0, 0, 3830, 112, 210, 7, 1, 1, 250, 3866, 522, 233, 522, 0, 423.0, 466.0, 518.0, 0, 20, 487, 443, 44, 0, 35, 0, 108, 267, 105, 7, 0.0, 339, 40, 0, 0, 0, 109, 419, 81.03, 89.27, 99.23, 44.59375, 22.3984375, 86.0, 0, 4.099609375, 93.296875, 0.0, 22.19921875, 54.796875, 21.59765625, 1.4, 0.0, 91.0, 69.59375, 9.0, 8.19921875, 0.0, 0.0, 3487.0, 106.0, 1.0, 1.0, 194.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "26109", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26109", 91.0, 9.0, 0.0),
(12516, "Privé sous contrat d'association", "0750330B", "Ecole Technique Sup Laboratoire", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "BTS", "Ecole Technique Sup Laboratoire - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 84, 1215, 837, 1028, 0, 276, 52, 261, 54, 28, 15, 463, 187, 28, 30, 23, 106, 805, 91, 0, 0, 262, 49, 234, 46, 7, 4, 302, 486, 72, 49, 43, 29, 14.0, 21.0, 33.0, 0, 9, 36, 13, 23, 0, 36, 1, 20, 13, 2, 0, 0.0, 4, 11, 0, 11, 4, 14, 34, 19.44, 29.17, 45.83, 68.09375, 38.8984375, 94.390625, 30.59765625, 25.0, 50.0, 2.7998046875, 55.59375, 36.09375, 5.599609375, 0.0, 0.0, 36.09375, 11.099609375, 63.8984375, 30.59765625, 0.0, 0.0, 100.0, 26.0, 9.0, 6.0, 252.0, "Tous les candidats sauf les Bac professionnels", 503.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 50.0, "12138", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12138&g_ta_cod=12138", 47.0, 51.0, 1.0),
(12517, "Privé sous contrat d'association", "0131341M", "Lycée Notre Dame De Sion", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Notre Dame De Sion - CPGE - ECG -  - Mathématiques appliquées + HGG", "Classe préparatoire économique et commerciale", "", 40, 192, 89, 170, 0, 138, 19, 2, 2, 1, 0, 29, 22, 13, 0, 0, 9, 152, 12, 0, 152, 128, 15, 2, 2, 0, 0, 22, 145, 13, 3, 10, 3, 2.0, 10.0, 12.0, 0, 1, 10, 9, 1, 0, 3, 0, 3, 5, 2, 0, 0.0, 7, 0, 0, 1, 0, 9, 9, 15.38, 76.92, 92.31, 23.09765625, 90.0, 90.0, 10, 10.0, 76.890625, 0.0, 30.0, 50.0, 20.0, 0.0, 0.0, 90.0, 70.0, 10.0, 0.0, 0.0, 0.0, 119.0, 13.0, 0.0, 0.0, 24.0, "Tous les candidats", 152.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "31275", "CPGE - ECG -  - Mathématiques appliquées + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31275&g_ta_cod=31275", 92.0, 8.0, 0.0),
(12518, "Public", "0220058U", "Lycée Chaptal", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée Chaptal - BTS - Production - Systèmes numériques - Option électronique et communication (Seconde année possible en apprentissage)", "BTS - Production", "", 30, 336, 54, 309, 0, 29, 4, 58, 12, 68, 19, 154, 27, 2, 7, 7, 11, 151, 13, 0, 0, 25, 4, 56, 11, 44, 14, 26, 130, 19, 3, 15, 3, 2.0, 14.0, 17.0, 0, 4, 15, 3, 6, 6, 4, 0, 9, 3, 2, 1, 0.0, 2, 1, 3, 4, 1, 13, 13, 10.53, 73.68, 89.47, 15.798828125, 86.6875, 86.6875, 26.69921875, 26.69921875, 78.890625, 0.0, 60.0, 20.0, 13.298828125, 6.7, 0.0, 20.0, 13.298828125, 40.0, 6.69921875, 40.0, 20.0, 15.0, 1.0, 41.0, 13.0, 25.0, "Tous les candidats sauf les Bac professionnels", 103.0, "Bacheliers professionnels toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 49.0, "3327", "BTS - Production - Systèmes numériques - Option électronique et communication (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3327&g_ta_cod=3327", 26.0, 42.0, 32.0),
(12519, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Italien", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations Etrangères et Régionales Italien", 60, 230, 162, 132, 0, 78, 21, 14, 7, 6, 5, 34, 98, 13, 14, 9, 62, 132, 95, 0, 0, 78, 21, 14, 7, 6, 5, 34, 216, 56, 32, 22, 34, 7.0, 22.0, 33.0, 0, 14, 27, 13, 7, 7, 29, 0, 17, 7, 3, 0, 0.0, 5, 1, 4, 0, 0, 15, 15, 12.5, 39.29, 58.93, 57.09375, 55.59375, 55.59375, 0, 51.8984375, 48.1953125, 0.0, 63.0, 25.8984375, 11.099609375, 0.0, 0.0, 48.09375, 18.5, 25.8984375, 3.69970703125, 25.8984375, 14.798828125, 88.0, 24.0, 15.0, 10.0, 90.0, "Tous les candidats", 132.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "8503", "Licence - Portail Langues, Littératures et Civilisations Etrangères et Régionales Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8503&g_ta_cod=8503", 52.0, 21.0, 25.0),
(12520, "Public", "0931235M", "I.U.T de Villetaneuse - Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation sélective", "BUT", "I.U.T de Villetaneuse - Université Sorbonne Paris Nord - BUT - Carrières juridiques Parcours : Administration et justice - Patrimoine et finance - Associations et entreprises", "BUT - Service", "Administration et justice - Patrimoine et finance - Associations et entreprises", 168, 4077, 3171, 4077, 0, 1599, 508, 1639, 701, 91, 39, 748, 0, 0, 0, 0, 0, 2178, 0, 0, 0, 942, 268, 1055, 438, 0, 0, 181, 797, 167, 140, 166, 0, 24.0, 122.0, 161.0, 0, 65, 151, 69, 82, 0, 16, 0, 33, 74, 40, 4, 0.0, 49, 69, 0, 0, 0, 48, 117, 14.37, 73.05, 96.41, 83.796875, 31.796875, 77.5, 0, 43.0, 90.390625, 0.0, 21.8984375, 49.0, 26.5, 2.6, 0.0, 45.6953125, 32.5, 54.296875, 45.6953125, 0.0, 0.0, 412.0, 146.0, 0.0, 0.0, 69.0, "Tous les candidats sauf les Bac technologiques", 788.0, "Bacheliers technologiques toutes séries", 538, "", 0, "Liste d'appel propre à cette formation", 32.0, "11241", "BUT - Carrières juridiques Parcours : Administration et justice - Patrimoine et finance - Associations et entreprises", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11241&g_ta_cod=11241", 48.0, 52.0, 0.0),
(12521, "Public", "0910975R", "Lycée Jean Pierre Timbaud", "91", "Essonne", "Ile-de-France", "Versailles", "Brétigny-sur-Orge", "formation sélective", "BTS", "Lycée Jean Pierre Timbaud - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "BTS - Production", "", 30, 289, 43, 284, 0, 25, 3, 47, 11, 71, 24, 141, 5, 0, 0, 3, 2, 284, 1, 0, 0, 25, 3, 47, 11, 71, 24, 141, 115, 29, 7, 28, 1, 5.0, 22.0, 25.0, 0, 9, 22, 2, 6, 14, 7, 0, 10, 6, 5, 1, 0.0, 1, 3, 8, 6, 0, 13, 15, 17.24, 75.86, 86.21, 24.09765625, 59.09375, 68.1875, 27.296875, 40.8984375, 75.890625, 0.0, 45.5, 27.296875, 22.69921875, 4.5, 0.0, 9.099609375, 4.5, 27.296875, 13.599609375, 63.59375, 36.3984375, 14.0, 3.0, 61.0, 20.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 45.0, "10907", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10907&g_ta_cod=10907", 17.0, 24.0, 59.0),
(12522, "Public", "0251018W", "I.U.T de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BUT", "I.U.T de Besançon - BUT - Information communication Parcours communication des organisations", "BUT - Service", "", 80, 1249, 920, 1249, 0, 725, 82, 217, 49, 4, 1, 303, 0, 0, 0, 0, 0, 672, 0, 0, 0, 412, 38, 145, 29, 0, 0, 115, 275, 71, 53, 71, 0, 20.0, 60.0, 66.0, 0, 5, 51, 32, 19, 0, 20, 0, 10, 20, 20, 1, 0.0, 27, 14, 0, 0, 0, 23, 23, 28.17, 84.51, 92.96, 74.59375, 45.09375, 45.09375, 0, 9.798828125, 71.796875, 0.0, 19.59765625, 39.1953125, 39.1953125, 2.0, 0.0, 62.6953125, 52.8984375, 37.296875, 27.5, 0.0, 0.0, 109.0, 15.0, 0.0, 0.0, 61.0, "Tous les candidats sauf les Bac technologiques", 201.0, "Bacheliers technologiques toutes séries", 160, "", 0, "Liste d'appel propre à cette formation", 29.0, "3510", "BUT - Information communication Parcours communication des organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3510&g_ta_cod=3510", 66.0, 34.0, 0.0),
(12523, "Public", "0141796B", "Lycée Salvador Allende", "14", "Calvados", "Normandie", "Normandie", "Hérouville-Saint-Clair", "formation sélective", "CPGE", "Lycée Salvador Allende - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 28, 197, 93, 197, 0, 0, 0, 173, 43, 0, 0, 24, 0, 0, 0, 0, 0, 165, 0, 0, 165, 0, 0, 150, 35, 0, 0, 15, 130, 31, 20, 31, 0, 20.0, 29.0, 31.0, 0, 5, 26, 0, 26, 0, 5, 0, 1, 12, 10, 3, 0.0, 0, 25, 0, 0, 0, 26, 26, 64.52, 93.55, 100.0, 64.5, 100.0, 100.0, 0, 19.19921875, 83.890625, 0.0, 3.7998046875, 46.1953125, 38.5, 11.5, 0.0, 0.0, 0.0, 100.0, 96.1875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 10.0, "Tous les candidats", 145.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "2910", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2910&g_ta_cod=2910", 0.0, 100.0, 0.0),
(12524, "Public", "0422026Z", "Télécom Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 64, 4252, 1000, 4252, 0, 3640, 364, 0, 0, 0, 0, 612, 0, 0, 0, 0, 0, 2857, 0, 0, 0, 2651, 202, 0, 0, 0, 0, 206, 2015, 64, 9, 64, 0, 21.0, 52.0, 64.0, 0, 2, 57, 57, 0, 0, 7, 0, 1, 14, 34, 8, 0.0, 56, 0, 0, 0, 0, 21, 21, 32.81, 81.25, 100.0, 14.099609375, 36.796875, 36.796875, 0, 3.5, 89.09375, 0.0, 1.7998046875, 24.59765625, 59.59375, 14.0, 0.0, 100.0, 98.1875, 0.0, 0.0, 0.0, 0.0, 1881.0, 179.0, 0.0, 0.0, 134.0, "Autres candidats", 11412.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 57.0, "16", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=16", 100.0, 0.0, 0.0),
(12525, "Public", "0912364A", "Lycée polyvalent Nikola Tesla", "91", "Essonne", "Ile-de-France", "Versailles", "Dourdan", "formation sélective", "BTS", "Lycée polyvalent Nikola Tesla - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 566, 252, 566, 0, 17, 2, 187, 55, 245, 96, 117, 0, 0, 0, 0, 0, 566, 0, 0, 0, 17, 2, 187, 55, 245, 96, 117, 143, 37, 15, 37, 0, 4.0, 26.0, 28.0, 0, 8, 35, 2, 14, 19, 2, 0, 14, 13, 7, 1, 0.0, 0, 7, 14, 6, 3, 34, 34, 10.81, 70.27, 75.68, 40.5, 97.09375, 97.09375, 17.09765625, 22.8984375, 94.59375, 0.0, 40.0, 37.09375, 20.0, 2.9, 0.0, 5.69921875, 0.0, 40.0, 20.0, 54.296875, 40.0, 9.0, 2.0, 72.0, 26.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 86, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 29.0, "10849", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10849&g_ta_cod=10849", 8.0, 41.0, 51.0),
(12526, "Privé sous contrat d'association", "0630110C", "ITSRA", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "EFTS", "ITSRA - D.E Educateur Spécialisé", "D.E secteur social", "", 70, 318, 260, 318, 0, 53, 6, 54, 5, 22, 6, 189, 0, 0, 0, 0, 0, 244, 0, 0, 0, 37, 3, 40, 3, 12, 1, 155, 113, 69, 57, 69, 0, 40.0, 66.0, 67.0, 0, 0, 15, 5, 4, 6, 54, 0, 2, 3, 7, 3, 0.0, 4, 3, 6, 0, 0, 6, 6, 57.97, 95.65, 97.1, 82.59375, 40.0, 40.0, 0, 0.0, 21.69921875, 0.0, 13.298828125, 20.0, 46.6953125, 20.0, 0.0, 33.296875, 26.69921875, 26.69921875, 20.0, 40.0, 40.0, 14.0, 0.0, 8.0, 0.0, 84.0, "Tous les candidats", 122.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "23696", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23696&g_ta_cod=23696", 55.0, 28.0, 17.0),
(12527, "Privé sous contrat d'association", "0761356L", "Lycée Providence Sainte-Thérèse", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Providence Sainte-Thérèse - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 35, 326, 302, 326, 0, 32, 11, 107, 33, 113, 41, 74, 0, 0, 0, 0, 0, 326, 0, 0, 0, 32, 11, 107, 33, 113, 41, 74, 133, 29, 28, 29, 0, 5.0, 18.0, 25.0, 0, 7, 25, 1, 9, 15, 4, 0, 6, 13, 6, 0, 0.0, 1, 5, 13, 10, 9, 21, 21, 17.24, 62.07, 86.21, 96.59375, 84.0, 84.0, 40, 28.0, 86.1875, 0.0, 24.0, 52.0, 24.0, 0.0, 0.0, 4.0, 4.0, 36.0, 20.0, 60.0, 52.0, 8.0, 4.0, 59.0, 20.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 51.0, "9649", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9649&g_ta_cod=9649", 10.0, 34.0, 55.0),
(12528, "Public", "0772448T", "Université Panthéon- Assas Paris2 - Antenne Melun", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Melun", "formation non sélective", "Licence", "Université Panthéon- Assas Paris2 - Antenne Melun - Licence - Administration économique et sociale - Parcours AES administration et gestion des entreprises", "Licence - Droit-économie-gestion", "AES administration et gestion des entreprises", 175, 1931, 1173, 1931, 0, 1203, 305, 221, 87, 38, 19, 469, 0, 0, 0, 0, 0, 1931, 0, 0, 0, 1203, 305, 221, 87, 38, 19, 469, 817, 176, 97, 174, 0, 9.0, 105.0, 142.0, 0, 56, 175, 162, 13, 0, 1, 0, 110, 55, 8, 2, 0.0, 62, 3, 0, 0, 0, 123, 164, 5.11, 59.66, 80.68, 55.09375, 70.296875, 93.6875, 0, 32.0, 99.390625, 0.0, 62.8984375, 31.3984375, 4.599609375, 1.1, 0.0, 92.59375, 35.3984375, 7.3994140625, 1.699951171875, 0.0, 0.0, 772.0, 203.0, 0.0, 0.0, 1.0, "Tous les candidats", 934.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "9911", "Licence - Administration économique et sociale - Parcours AES administration et gestion des entreprises", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9911&g_ta_cod=9911", 92.0, 8.0, 0.0),
(12529, "Public", "0750681H", "ESAA Boulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "ESAA Boulle - DN MADE - Objet - Spécialité : Métiers d?art Gravure en modelé : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "DN MADE", "Spécialité : Métiers d?art Gravure en modelé : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", 3, 131, 99, 131, 0, 34, 3, 18, 5, 30, 14, 49, 0, 0, 0, 0, 0, 16, 0, 0, 0, 5, 0, 5, 0, 1, 0, 5, 6, 3, 2, 3, 0, 1.0, 3.0, 3.0, 0, 0, 2, 1, 0, 1, 1, 0, 0, 0, 1, 1, 0.0, 1, 0, 1, 0, 0, 2, 2, 33.33, 100.0, 100.0, 66.6875, 100.0, 100.0, 0, 0.0, 66.6875, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 50.0, 50.0, 2.0, 0.0, 1.0, 0.0, 2.0, "Tous les candidats", 6.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "26881", "DN MADE - Objet - Spécialité : Métiers d?art Gravure en modelé : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26881&g_ta_cod=26881", 33.0, 0.0, 33.0),
(12530, "Public", "0680066C", "Lycée Jean Mermoz", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Saint-Louis", "formation sélective", "BTS", "Lycée Jean Mermoz - BTS - Production - Systèmes photoniques", "BTS - Production", "", 15, 165, 38, 160, 0, 16, 2, 74, 28, 18, 5, 52, 5, 0, 0, 0, 5, 90, 1, 0, 0, 16, 2, 62, 22, 4, 2, 8, 64, 10, 2, 9, 1, 1.0, 9.0, 9.0, 0, 3, 8, 1, 6, 1, 2, 0, 4, 2, 2, 0, 0.0, 0, 3, 1, 2, 0, 8, 8, 10.0, 90.0, 90.0, 20.0, 100.0, 100.0, 25, 37.5, 80.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 12.5, 0.0, 75.0, 37.5, 12.5, 12.5, 12.0, 2.0, 4.0, 2.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 66, "Liste d'appel propre à cette formation", 53.0, "8123", "BTS - Production - Systèmes photoniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8123&g_ta_cod=8123", 10.0, 80.0, 10.0),
(12531, "Privé sous contrat d'association", "0590348H", "HEI Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "bac STL", 5, 26, 10, 26, 0, 0, 0, 26, 11, 0, 0, 0, 0, 0, 0, 0, 0, 14, 0, 0, 0, 0, 0, 14, 8, 0, 0, 0, 12, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "23341", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=23341", 0, 0, 0),
(12532, "Public", "9711032V", "Lycée Charles Coeffin", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "CPGE", "Lycée Charles Coeffin - CPGE - PTSI", "Classe préparatoire scientifique", "", 34, 95, 26, 90, 70, 76, 19, 4, 0, 0, 0, 10, 5, 4, 1, 0, 0, 75, 3, 65, 67, 71, 18, 0, 0, 0, 0, 4, 73, 22, 3, 20, 2, 7.0, 20.0, 22.0, 11, 5, 21, 21, 0, 0, 1, 0, 6, 13, 2, 0, 0.0, 15, 0, 0, 3, 1, 21, 21, 31.82, 90.91, 100.0, 13.599609375, 100.0, 100.0, 14.298828125, 23.796875, 95.5, 0.0, 28.59765625, 61.8984375, 9.5, 0.0, 0.0, 100.0, 71.390625, 0.0, 0.0, 0.0, 0.0, 70.0, 19.0, 0.0, 0.0, 3.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "11759", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11759&g_ta_cod=11759", 100.0, 0.0, 0.0),
(12533, "Public", "0750736T", "Université Paris-Dauphine", "75", "Paris", "Ile-de-France", "Paris", "Paris 16e  Arrondissement", "formation sélective", "Autre formation", "Université Paris-Dauphine - Formation valant grade de licence - Sciences des Organisations - Paris - Talents", "Formation valant grade de licence", "Sciences des Organisations - Paris - Talents", 30, 343, 137, 343, 0, 280, 15, 14, 4, 0, 0, 49, 0, 0, 0, 0, 0, 131, 0, 0, 0, 122, 1, 0, 0, 0, 0, 9, 49, 34, 20, 34, 0, 23.0, 31.0, 32.0, 0, 1, 32, 32, 0, 0, 2, 0, 0, 3, 18, 10, 1.0, 32, 0, 0, 0, 0, 11, 27, 67.65, 91.18, 94.12, 58.796875, 34.3984375, 84.390625, 0, 3.099609375, 94.09375, 0.0, 0.0, 9.3984375, 56.296875, 31.3, 3.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 47.0, 1.0, 0.0, 0.0, 2.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "25817", "Formation valant grade de licence - Sciences des Organisations - Paris - Talents", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25817&g_ta_cod=25817", 100.0, 0.0, 0.0),
(12534, "Public", "0940114N", "Lycée Antoine de Saint Exupery", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "BTS", "Lycée Antoine de Saint Exupery - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 936, 643, 936, 0, 24, 9, 274, 117, 370, 207, 268, 0, 0, 0, 0, 0, 936, 0, 0, 0, 24, 9, 274, 117, 370, 207, 268, 150, 36, 27, 36, 0, 7.0, 29.0, 36.0, 0, 14, 27, 1, 10, 16, 9, 0, 11, 13, 2, 1, 0.0, 0, 6, 10, 8, 5, 24, 27, 19.44, 80.56, 100.0, 75.0, 88.890625, 100.0, 29.59765625, 51.8984375, 75.0, 0.0, 40.6953125, 48.09375, 7.3994140625, 3.7, 0.0, 3.69970703125, 0.0, 37.0, 22.19921875, 59.296875, 37.0, 4.0, 2.0, 86.0, 46.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 181, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 27.0, "11374", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11374&g_ta_cod=11374", 3.0, 47.0, 50.0),
(12535, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "Autre formation", "Université de Montpellier - CUPGE - Cycle Universitaire Préparatoire aux Grandes Ecoles - Mathématiques et Physique", "CUPGE - Sciences, technologie, santé", "", 15, 720, 272, 617, 0, 495, 66, 1, 0, 2, 0, 119, 103, 29, 2, 1, 71, 262, 10, 0, 0, 214, 18, 0, 0, 1, 0, 47, 133, 11, 5, 7, 4, 2.0, 6.0, 9.0, 0, 0, 4, 3, 0, 1, 7, 0, 0, 0, 2, 2, 0.0, 3, 0, 1, 0, 0, 3, 3, 18.18, 54.55, 81.82, 45.5, 75.0, 75.0, 0, 0.0, 36.3984375, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 75.0, 75.0, 0.0, 0.0, 25.0, 25.0, 89.0, 8.0, 1.0, 0.0, 43.0, "Tous les candidats", 262.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 42.0, "4549", "CUPGE - Cycle Universitaire Préparatoire aux Grandes Ecoles - Mathématiques et Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4549&g_ta_cod=4549", 91.0, 0.0, 9.0),
(12536, "Public", "0540041B", "Lycée Georges de la Tour", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Georges de la Tour - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 680, 322, 680, 0, 117, 28, 228, 81, 104, 43, 231, 0, 0, 0, 0, 0, 329, 0, 0, 0, 74, 15, 132, 44, 60, 22, 63, 151, 36, 16, 35, 0, 3.0, 27.0, 31.0, 0, 10, 26, 6, 13, 7, 10, 0, 7, 15, 3, 1, 0.0, 2, 10, 7, 2, 0, 24, 24, 8.33, 75.0, 86.11, 44.3984375, 92.296875, 92.296875, 7.69921875, 38.5, 72.1875, 0.0, 26.8984375, 57.6953125, 11.5, 3.8, 0.0, 23.09765625, 7.69921875, 50.0, 38.5, 26.8984375, 26.8984375, 35.0, 11.0, 13.0, 4.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 132, "Liste d'appel propre à cette formation", 35.0, "6260", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6260&g_ta_cod=6260", 28.0, 53.0, 19.0),
(12537, "Public", "0290063L", "Lycée Naval", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "CPGE", "Lycée Naval - CPGE - MPSI", "Classe préparatoire scientifique", "", 33, 749, 163, 749, 749, 669, 44, 3, 1, 0, 0, 77, 0, 0, 0, 0, 0, 749, 0, 749, 0, 669, 44, 3, 1, 0, 0, 77, 116, 32, 11, 32, 0, 18.0, 29.0, 31.0, 32, 0, 32, 32, 0, 0, 0, 0, 0, 0, 6, 21, 5.0, 32, 0, 0, 1, 1, 10, 10, 56.25, 90.63, 96.88, 34.3984375, 31.296875, 31.296875, 3.099609375, 0.0, 100.0, 0.0, 0.0, 0.0, 18.796875, 65.6, 15.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 115.0, 6.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "3791", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3791&g_ta_cod=3791", 100.0, 0.0, 0.0),
(12538, "Public", "0640001D", "Lycée Cantau", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation sélective", "BTS", "Lycée Cantau - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 30, 190, 9, 188, 0, 13, 2, 40, 9, 93, 27, 42, 2, 0, 1, 0, 1, 176, 1, 0, 0, 13, 2, 40, 9, 92, 27, 31, 103, 28, 0, 27, 0, 5.0, 26.0, 27.0, 0, 5, 26, 1, 8, 17, 2, 1, 7, 12, 6, 0, 0.0, 1, 3, 14, 2, 0, 25, 25, 17.86, 92.86, 96.43, 0.0, 96.1875, 96.1875, 7.69921875, 19.19921875, 92.890625, 3.7998046875, 26.8984375, 46.1953125, 23.09765625, 0.0, 0.0, 3.7998046875, 3.7998046875, 30.796875, 11.5, 65.390625, 53.796875, 11.0, 2.0, 45.0, 14.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 61.0, "7689", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7689&g_ta_cod=7689", 7.0, 29.0, 64.0),
(12539, "Public", "0920135X", "Lycée E. Mounier", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Châtenay-Malabry", "formation sélective", "BTS", "Lycée E. Mounier - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 432, 286, 432, 0, 12, 5, 124, 49, 161, 85, 135, 0, 0, 0, 0, 0, 432, 0, 0, 0, 12, 5, 124, 49, 161, 85, 135, 149, 30, 22, 29, 0, 3.0, 15.0, 23.0, 0, 13, 25, 1, 9, 15, 5, 0, 15, 5, 5, 0, 0.0, 0, 3, 7, 1, 1, 20, 22, 10.0, 50.0, 76.67, 73.296875, 80.0, 88.0, 4, 52.0, 83.296875, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 4.0, 0.0, 36.0, 12.0, 60.0, 28.0, 8.0, 3.0, 66.0, 32.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 97, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 42.0, "10988", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10988&g_ta_cod=10988", 3.0, 47.0, 50.0),
(12540, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence_Las", "Université de Corte - Licence - Portail Sciences de la vie - Biochimie, Biologie moléculaire ou Biologie des Organismes, Ecologie ou Chimie de l'environnement", "Licence - Sciences - technologies - santé", "", 40, 483, 334, 483, 0, 315, 61, 40, 7, 6, 2, 122, 0, 0, 0, 0, 0, 483, 0, 0, 0, 315, 61, 40, 7, 6, 2, 122, 171, 40, 26, 40, 0, 0.0, 29.0, 35.0, 0, 3, 32, 32, 0, 0, 8, 0, 6, 14, 9, 3, 0.0, 26, 0, 0, 0, 0, 31, 31, 0.0, 72.5, 87.5, 65.0, 96.890625, 96.890625, 0, 9.3984375, 80.0, 0.0, 18.796875, 43.796875, 28.09765625, 9.4, 0.0, 100.0, 81.296875, 0.0, 0.0, 0.0, 0.0, 132.0, 21.0, 0.0, 0.0, 39.0, "Tous les candidats", 350.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 48.0, "30085", "Licence - Portail Sciences de la vie - Biochimie, Biologie moléculaire ou Biologie des Organismes, Ecologie ou Chimie de l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26852&g_ta_cod=30085", 98.0, 3.0, 0.0),
(12541, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 434, 4106, 3393, 4106, 0, 2196, 510, 443, 137, 122, 48, 1345, 0, 0, 0, 0, 0, 4089, 0, 0, 0, 2197, 510, 443, 137, 122, 48, 1327, 1536, 431, 376, 431, 0, 64.0, 326.0, 380.0, 0, 99, 319, 303, 13, 3, 112, 4, 80, 154, 65, 15, 1.0, 221, 11, 3, 0, 0, 302, 302, 14.85, 75.64, 88.17, 87.1875, 94.6875, 94.6875, 0, 31.0, 74.0, 1.2998046875, 25.09765625, 48.296875, 20.3984375, 4.7, 0.3, 95.0, 69.296875, 4.099609375, 3.39990234375, 0.89990234375, 0.89990234375, 932.0, 237.0, 4.0, 1.0, 561.0, "Tous les candidats", 2043.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "26408", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30867&g_ta_cod=26408", 94.0, 5.0, 1.0),
(12542, "Public", "0121471J", "Institut national universitaire Champollion - Campus de Rodez", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation non sélective", "Licence", "Institut national universitaire Champollion - Campus de Rodez - Licence - Portail Droit - Droit Gestion", "Licence - Droit-économie-gestion", "Parcours Droit Gestion", 40, 234, 160, 160, 0, 110, 24, 19, 6, 6, 1, 25, 74, 19, 10, 2, 43, 157, 57, 0, 0, 110, 24, 19, 6, 6, 1, 22, 201, 29, 21, 11, 18, 4.0, 11.0, 22.0, 0, 9, 17, 7, 7, 3, 12, 0, 8, 3, 6, 0, 0.0, 7, 0, 2, 0, 0, 13, 13, 13.79, 37.93, 75.86, 72.390625, 76.5, 76.5, 0, 52.8984375, 58.59375, 0.0, 47.09375, 17.59765625, 35.296875, 0.0, 0.0, 41.1953125, 41.1953125, 41.1953125, 0.0, 17.59765625, 11.798828125, 122.0, 29.0, 8.0, 2.0, 49.0, "Tous les candidats", 170.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "32744", "Licence - Portail Droit - Droit Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32805&g_ta_cod=32744", 45.0, 38.0, 14.0),
(12543, "Public", "0711385V", "IFSI CH Macon", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Mâcon", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bourgogne Dijon - D.E Infirmier", "D.E secteur sanitaire", "", 54, 3137, 2647, 3137, 0, 557, 94, 616, 127, 338, 113, 1626, 0, 0, 0, 0, 0, 2605, 0, 0, 0, 507, 79, 523, 102, 258, 85, 1317, 395, 54, 46, 54, 0, 5.0, 27.0, 43.0, 0, 6, 25, 12, 2, 11, 29, 0, 2, 13, 10, 0, 0.0, 11, 1, 11, 0, 0, 11, 11, 9.26, 50.0, 79.63, 85.1875, 44.0, 44.0, 0, 24.0, 46.296875, 0.0, 8.0, 52.0, 40.0, 0.0, 0.0, 48.0, 44.0, 8.0, 4.0, 44.0, 44.0, 95.0, 21.0, 66.0, 19.0, 189.0, "Tous les candidats", 1238.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "23089", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23009&g_ta_cod=23089", 41.0, 19.0, 35.0),
(12544, "Public", "0920134W", "Lycée Jacques Prevert", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Boulogne-Billancourt", "formation sélective", "BTS", "Lycée Jacques Prevert - BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "BTS - Services", "", 12, 490, 65, 490, 0, 115, 11, 116, 27, 94, 25, 165, 0, 0, 0, 0, 0, 107, 0, 0, 0, 44, 3, 17, 2, 46, 9, 0, 34, 12, 2, 12, 0, 4.0, 9.0, 11.0, 0, 2, 12, 5, 3, 4, 0, 0, 2, 5, 4, 1, 0.0, 4, 2, 4, 0, 0, 6, 10, 33.33, 75.0, 91.67, 16.69921875, 50.0, 83.296875, 0, 16.69921875, 100.0, 0.0, 16.69921875, 41.6953125, 33.296875, 8.3, 0.0, 41.6953125, 33.296875, 25.0, 16.69921875, 33.296875, 33.296875, 18.0, 2.0, 5.0, 1.0, 0.0, "Tous les candidats sauf les Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 5, "", 0, "Liste d'appel propre à cette formation", 8.0, "10985", "BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10985&g_ta_cod=10985", 42.0, 25.0, 33.0),
(12545, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Double diplôme - Licence Langues, littératures & civilisations étrangères et régionales - LLCER Anglais Parcours bidisciplinaire binational franco-allemand : Anglais-Allemand / Anglais-Lettres", "Licence - Arts-lettres-langues", "LLCER Anglais Parcours bidisciplinaire binational franco-allemand : Anglais-Allemand / Anglais-Lettres", 15, 87, 66, 60, 0, 46, 4, 2, 1, 1, 0, 11, 27, 7, 2, 2, 16, 41, 1, 0, 0, 34, 2, 0, 0, 0, 0, 7, 34, 8, 7, 8, 0, 5.0, 8.0, 8.0, 0, 0, 5, 5, 0, 0, 3, 0, 0, 2, 0, 2, 1.0, 5, 0, 0, 0, 0, 3, 3, 62.5, 100.0, 100.0, 87.5, 60.0, 60.0, 0, 0.0, 62.5, 0.0, 0.0, 40.0, 0.0, 40.0, 20.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 28.0, 2.0, 0.0, 0.0, 6.0, "Tous les candidats", 41.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "19577", "Licence - Double diplôme - Licence Langues, littératures & civilisations étrangères et régionales - LLCER Anglais Parcours bidisciplinaire binational franco-allemand : Anglais-Allemand / Anglais-Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19577&g_ta_cod=19577", 100.0, 0.0, 0.0),
(12546, "Public", "0311262D", "L.E.G.T.A. Toulouse Auzeville", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Castanet-Tolosan", "formation sélective", "BTS", "L.E.G.T.A. Toulouse Auzeville - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 27, 496, 166, 477, 0, 86, 15, 79, 10, 34, 10, 278, 19, 2, 0, 1, 16, 209, 8, 0, 0, 70, 10, 73, 7, 29, 9, 37, 143, 22, 5, 22, 0, 3.0, 19.0, 22.0, 0, 2, 16, 5, 8, 3, 6, 0, 6, 8, 2, 0, 0.0, 4, 6, 0, 3, 1, 8, 8, 13.64, 86.36, 100.0, 22.69921875, 50.0, 50.0, 18.796875, 12.5, 72.6875, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 31.296875, 25.0, 50.0, 37.5, 18.796875, 0.0, 43.0, 5.0, 25.0, 8.0, 31.0, "Tous les candidats sauf les Bac professionnels", 178.0, "Bacheliers professionnels toutes séries", 29, "", 0, "Liste d'appel propre à cette formation", 43.0, "4126", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4126&g_ta_cod=4126", 41.0, 45.0, 14.0),
(12547, "Public", "0595867G", "Lycée INTERNATIONAL MONTEBELLO", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée INTERNATIONAL MONTEBELLO - BTS - Services - Support à l'action managériale", "BTS - Services", "", 33, 628, 435, 512, 0, 33, 16, 141, 78, 174, 111, 164, 116, 12, 0, 38, 66, 257, 15, 0, 0, 23, 12, 117, 65, 109, 66, 8, 140, 33, 22, 25, 6, 4.0, 22.0, 29.0, 0, 19, 26, 1, 9, 16, 7, 0, 9, 13, 4, 0, 0.0, 0, 6, 11, 4, 4, 24, 24, 12.12, 66.67, 87.88, 66.6875, 92.296875, 92.296875, 15.3984375, 73.09375, 78.796875, 0.0, 34.59375, 50.0, 15.3984375, 0.0, 0.0, 3.7998046875, 0.0, 34.59375, 23.09765625, 61.5, 42.296875, 17.0, 7.0, 77.0, 52.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 110, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 38.0, "7162", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7162&g_ta_cod=7162", 9.0, 30.0, 61.0),
(12548, "Privé enseignement supérieur", "0211053F", "IRTESS", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "EFTS", "IRTESS - D.E Assistant de Service Social", "D.E secteur social", "", 50, 138, 125, 134, 0, 33, 8, 23, 5, 9, 0, 69, 4, 0, 1, 0, 3, 107, 3, 0, 0, 22, 4, 18, 3, 7, 0, 60, 98, 54, 48, 50, 3, 21.0, 46.0, 50.0, 0, 4, 19, 10, 8, 1, 35, 0, 11, 7, 1, 0, 0.0, 4, 4, 0, 0, 0, 15, 15, 38.89, 85.19, 92.59, 88.890625, 78.890625, 78.890625, 0, 21.09765625, 35.1953125, 0.0, 57.8984375, 36.796875, 5.2998046875, 0.0, 0.0, 52.59375, 21.09765625, 42.09375, 21.09765625, 5.2998046875, 0.0, 20.0, 4.0, 5.0, 0.0, 57.0, "Tous les candidats", 104.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "23713", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23713&g_ta_cod=23713", 63.0, 22.0, 15.0),
(12549, "Public", "0691774D", "Université Claude Bernard Lyon 1", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "Autre formation", "Université Claude Bernard Lyon 1 - CUPGE - Cursus préparatoire aux concours des grandes écoles d'ingénieurs", "CUPGE - Sciences, technologie, santé", "", 30, 848, 339, 848, 0, 677, 89, 3, 1, 1, 1, 167, 0, 0, 0, 0, 0, 705, 0, 0, 0, 596, 66, 0, 0, 0, 0, 109, 354, 28, 11, 28, 0, 4.0, 17.0, 28.0, 0, 2, 25, 25, 0, 0, 3, 0, 0, 3, 12, 8, 2.0, 25, 0, 0, 0, 0, 13, 13, 14.29, 60.71, 100.0, 39.296875, 52.0, 52.0, 0, 8.0, 89.296875, 0.0, 0.0, 12.0, 48.0, 32.0, 8.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 314.0, 35.0, 0.0, 0.0, 40.0, "Tous les candidats", 555.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "8340", "CUPGE - Cursus préparatoire aux concours des grandes écoles d'ingénieurs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8340&g_ta_cod=8340", 100.0, 0.0, 0.0),
(12550, "Public", "0750707L", "Ecole Nationale De Commerce", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "BTS", "Ecole Nationale De Commerce - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 70, 3763, 2076, 3763, 0, 252, 78, 1526, 650, 1124, 522, 861, 0, 0, 0, 0, 0, 1523, 0, 0, 0, 150, 43, 627, 257, 574, 260, 172, 208, 68, 38, 68, 0, 22.0, 68.0, 68.0, 0, 23, 51, 2, 28, 21, 17, 0, 4, 20, 19, 8, 0.0, 1, 25, 21, 0, 0, 15, 50, 32.35, 100.0, 100.0, 55.8984375, 29.3984375, 98.0, 0, 45.09375, 75.0, 0.0, 7.7998046875, 39.1953125, 37.296875, 15.7, 0.0, 3.89990234375, 2.0, 54.8984375, 49.0, 41.1953125, 41.1953125, 6.0, 3.0, 51.0, 24.0, 46.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 93, "Bacheliers technologiques toutes séries", 158, "Liste d'appel propre à cette formation", 7.0, "9155", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9155&g_ta_cod=9155", 6.0, 49.0, 46.0),
(12551, "Privé sous contrat d'association", "0451335G", "Lycée Sainte-Croix Saint-Euverte", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Sainte-Croix Saint-Euverte - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 16, 103, 1, 91, 0, 5, 0, 20, 2, 54, 15, 12, 12, 0, 4, 4, 4, 79, 5, 0, 0, 5, 0, 20, 2, 49, 13, 5, 56, 8, 0, 7, 1, 2.0, 6.0, 7.0, 0, 3, 8, 1, 0, 7, 0, 0, 3, 1, 3, 1, 0.0, 0, 0, 5, 0, 0, 7, 7, 25.0, 75.0, 87.5, 0.0, 87.5, 87.5, 0, 37.5, 100.0, 0.0, 37.5, 12.5, 37.5, 12.5, 0.0, 12.5, 0.0, 0.0, 0.0, 87.5, 62.5, 4.0, 0.0, 30.0, 11.0, 4.0, "Tous les candidats sauf les Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 78.0, "17573", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17573&g_ta_cod=17573", 13.0, 0.0, 88.0),
(12552, "Privé enseignement supérieur", "0753533H", "Ecole Spéciale d'Architecture", "75", "Paris", "Ile-de-France", "Paris", "Paris 14e  Arrondissement", "formation sélective", "Autre formation", "Ecole Spéciale d'Architecture - Bicursus Architecture Ingénieur - ESTP", "Formations Bac + 5", "ESTP", 30, 260, 137, 250, 0, 156, 19, 15, 7, 5, 2, 74, 10, 3, 0, 0, 7, 105, 3, 0, 0, 83, 3, 1, 1, 1, 1, 20, 89, 25, 13, 24, 1, 9.0, 24.0, 24.0, 0, 0, 19, 19, 0, 0, 6, 1, 0, 7, 9, 2, 0.0, 18, 0, 0, 0, 0, 7, 10, 36.0, 96.0, 96.0, 52.0, 36.796875, 52.59375, 0, 0.0, 76.0, 5.2998046875, 0.0, 36.796875, 47.3984375, 10.5, 0.0, 100.0, 94.6875, 0.0, 0.0, 0.0, 0.0, 73.0, 3.0, 0.0, 0.0, 16.0, "Tous les candidats", 104.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "29807", "Bicursus Architecture Ingénieur - ESTP", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29807&g_ta_cod=29807", 100.0, 0.0, 0.0),
(12553, "Public", "0921988L", "IFSI Louis Mourier (AP-HP)", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Colombes", "formation sélective", "IFSI", "Regroupement IFSI Université de Paris - D.E Infirmier", "D.E secteur sanitaire", "", 84, 5625, 5000, 5625, 0, 517, 168, 855, 365, 874, 437, 3379, 0, 0, 0, 0, 0, 4236, 0, 0, 0, 454, 143, 685, 278, 669, 334, 2428, 1016, 71, 65, 71, 0, 0.0, 46.0, 71.0, 0, 12, 31, 5, 11, 15, 40, 0, 5, 15, 8, 3, 0.0, 3, 10, 13, 0, 0, 27, 27, 0.0, 64.79, 100.0, 91.5, 87.09375, 87.09375, 0, 38.6953125, 43.6953125, 0.0, 16.09765625, 48.3984375, 25.796875, 9.7, 0.0, 16.09765625, 9.69921875, 35.5, 32.296875, 48.3984375, 41.8984375, 113.0, 28.0, 241.0, 107.0, 437.0, "Tous les candidats", 3447.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "25257", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25148&g_ta_cod=25257", 24.0, 27.0, 45.0),
(12554, "Public", "0930830X", "Lycée Albert Schweitzer", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Le Raincy", "formation sélective", "CPGE", "Lycée Albert Schweitzer - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 35, 285, 117, 201, 54, 146, 46, 0, 0, 1, 1, 54, 84, 36, 1, 1, 46, 119, 26, 0, 119, 101, 33, 0, 0, 0, 0, 18, 131, 14, 8, 11, 3, 3.0, 11.0, 12.0, 0, 3, 8, 8, 0, 0, 6, 0, 2, 4, 1, 1, 0.0, 6, 0, 0, 5, 4, 8, 8, 21.43, 78.57, 85.71, 57.09375, 100.0, 100.0, 62.5, 37.5, 57.09375, 0.0, 25.0, 50.0, 12.5, 12.5, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 99.0, 29.0, 0.0, 0.0, 32.0, "Tous les candidats", 124.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "31289", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31289&g_ta_cod=31289", 100.0, 0.0, 0.0),
(12555, "Public", "0772347H", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Lieusaint", "formation sélective", "BUT", "I.U.T de Sénart/Fontainebleau - Site Sénart - UPEC - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées", 20, 1197, 110, 1197, 0, 611, 135, 356, 98, 10, 4, 220, 0, 0, 0, 0, 0, 607, 0, 0, 0, 308, 74, 224, 54, 4, 2, 71, 103, 24, 3, 24, 0, 0.0, 21.0, 24.0, 0, 8, 20, 7, 11, 2, 4, 0, 1, 11, 6, 2, 0.0, 7, 10, 2, 0, 0, 13, 18, 0.0, 87.5, 100.0, 12.5, 65.0, 90.0, 0, 40.0, 83.296875, 0.0, 5.0, 55.0, 30.0, 10.0, 0.0, 35.0, 35.0, 55.0, 50.0, 10.0, 10.0, 36.0, 7.0, 3.0, 2.0, 18.0, "Tous les candidats sauf les Bac technologiques", 117.0, "Bacheliers technologiques toutes séries", 114, "", 0, "Liste d'appel propre à cette formation", 19.0, "16692", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Déploiement d'applications communicantes et sécurisées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16692&g_ta_cod=16692", 42.0, 50.0, 8.0),
(12556, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Chimie", "Licence - Sciences - technologies - santé", "", 64, 2750, 1942, 2750, 0, 1568, 371, 48, 18, 6, 3, 1128, 0, 0, 0, 0, 0, 2750, 0, 0, 0, 1568, 371, 48, 18, 6, 3, 1128, 1070, 60, 42, 60, 0, 4.0, 16.0, 48.0, 0, 8, 23, 23, 0, 0, 37, 1, 2, 11, 4, 5, 0.0, 20, 0, 0, 0, 0, 1, 20, 6.67, 26.67, 80.0, 70.0, 4.2998046875, 87.0, 0, 34.796875, 38.296875, 4.2998046875, 8.69921875, 47.796875, 17.3984375, 21.7, 0.0, 100.0, 87.0, 0.0, 0.0, 0.0, 0.0, 576.0, 124.0, 1.0, 1.0, 492.0, "Tous les candidats", 1867.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 54.0, "9344", "Licence - Portail Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29397&g_ta_cod=9344", 100.0, 0.0, 0.0),
(12557, "Public", "0301687W", "Université de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation non sélective", "Licence", "Université de Nîmes - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Sciences et Techniques des Activités Physique et Sportives", "Licence - Sciences - technologies - santé", "Sciences et Techniques des Activités Physique et Sportives", 140, 2224, 564, 2224, 0, 1234, 263, 358, 84, 121, 53, 511, 0, 0, 0, 0, 0, 2224, 0, 0, 0, 1234, 263, 358, 84, 121, 53, 511, 723, 134, 22, 133, 0, 11.0, 99.0, 103.0, 0, 26, 101, 66, 18, 17, 33, 1, 55, 34, 8, 3, 0.0, 27, 10, 8, 0, 0, 85, 85, 8.21, 73.88, 76.87, 16.3984375, 84.1875, 84.1875, 0, 25.69921875, 75.390625, 1.0, 54.5, 33.6953125, 7.8994140625, 3.0, 0.0, 65.296875, 26.69921875, 17.796875, 9.8984375, 16.796875, 7.8994140625, 429.0, 101.0, 39.0, 21.0, 193.0, "Tous les candidats", 758.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "20422", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Sciences et Techniques des Activités Physique et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20422&g_ta_cod=20422", 66.0, 19.0, 15.0),
(12558, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Langues étrangères appliquées - Parcours Langues étrangères appliquées, Traduction scientifique et technique, option Anglais Italien", "Licence - Arts-lettres-langues", "Langues étrangères appliquées, Traduction scientifique et technique, option Anglais Italien", 10, 73, 57, 45, 0, 16, 9, 6, 5, 6, 6, 17, 28, 2, 4, 3, 19, 45, 27, 0, 0, 16, 9, 6, 5, 6, 6, 17, 60, 11, 5, 2, 9, 0.0, 2.0, 6.0, 0, 2, 4, 3, 1, 0, 7, 1, 1, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 3, 3, 0.0, 18.18, 54.55, 45.5, 75.0, 75.0, 0, 50.0, 36.3984375, 25.0, 25.0, 50.0, 0.0, 0.0, 0.0, 75.0, 25.0, 25.0, 25.0, 0.0, 0.0, 14.0, 6.0, 5.0, 5.0, 32.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "20993", "Licence - Langues étrangères appliquées - Parcours Langues étrangères appliquées, Traduction scientifique et technique, option Anglais Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20993&g_ta_cod=20993", 55.0, 27.0, 18.0),
(12559, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Histoire - Parcours Géographie, Sciences politiques et sociales", "Licence - Sciences humaines et sociales", "Géographie, Sciences politiques et sociales", 200, 1485, 776, 1428, 0, 1140, 202, 66, 13, 16, 6, 206, 57, 19, 4, 2, 32, 1428, 54, 0, 0, 1140, 202, 66, 13, 16, 6, 206, 1212, 197, 86, 174, 23, 72.0, 172.0, 178.0, 0, 29, 153, 135, 15, 3, 44, 0, 38, 71, 32, 11, 1.0, 104, 9, 2, 0, 0, 110, 110, 36.55, 87.31, 90.36, 43.6953125, 71.890625, 71.890625, 0, 19.0, 77.6875, 0.0, 24.796875, 46.3984375, 20.8984375, 7.2, 0.7, 88.1875, 68.0, 9.798828125, 5.8994140625, 2.0, 1.2998046875, 962.0, 164.0, 13.0, 5.0, 191.0, "Tous les candidats", 1422.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3856", "Licence - Histoire - Parcours Géographie, Sciences politiques et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27987&g_ta_cod=3856", 85.0, 11.0, 3.0),
(12560, "Public", "0711372F", "I.U.T du Creusot", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Le Creusot", "formation sélective", "BUT", "I.U.T du Creusot - BUT - Génie mécanique et productique Parcours : Innovation pour l'industrie - Conception et production durable - Chargé d'affaires industrielles", "BUT - Production", "Innovation pour l'industrie - Conception et production durable - Chargé d'affaires industrielles", 72, 719, 46, 719, 0, 413, 34, 183, 22, 5, 1, 118, 0, 0, 0, 0, 0, 634, 0, 0, 0, 397, 33, 144, 15, 4, 0, 89, 349, 71, 3, 71, 0, 12.0, 54.0, 71.0, 0, 12, 66, 47, 18, 1, 5, 0, 30, 25, 8, 3, 0.0, 19, 16, 1, 0, 0, 41, 41, 16.9, 76.06, 100.0, 4.19921875, 62.09375, 62.09375, 0, 18.19921875, 93.0, 0.0, 45.5, 37.8984375, 12.099609375, 4.5, 0.0, 71.1875, 28.796875, 27.296875, 24.19921875, 1.5, 1.5, 226.0, 17.0, 2.0, 0.0, 36.0, "Tous les candidats sauf les Bac technologiques", 477.0, "Bacheliers technologiques toutes séries", 154, "", 0, "Liste d'appel propre à cette formation", 88.0, "8663", "BUT - Génie mécanique et productique Parcours : Innovation pour l'industrie - Conception et production durable - Chargé d'affaires industrielles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8663&g_ta_cod=8663", 70.0, 27.0, 3.0),
(12561, "Privé sous contrat d'association", "0690522T", "Lycée Aux Lazaristes", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée Aux Lazaristes - CPGE - PCSI", "Classe préparatoire scientifique", "", 40, 2823, 988, 2823, 2355, 2623, 140, 1, 0, 0, 0, 199, 0, 0, 0, 0, 0, 778, 0, 711, 758, 776, 26, 0, 0, 0, 0, 2, 315, 47, 20, 47, 0, 0.0, 31.0, 44.0, 21, 0, 47, 47, 0, 0, 0, 0, 0, 0, 0, 19, 28.0, 47, 0, 0, 1, 0, 16, 16, 0.0, 65.96, 93.62, 42.59375, 34.0, 34.0, 2.099609375, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 40.4, 59.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 315.0, 9.0, 0.0, 0.0, 0.0, "Tous les candidats", 411.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "8292", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8292&g_ta_cod=8292", 100.0, 0.0, 0.0),
(12562, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence_Las", "Université de Toulon - Licence - Portail Droit - Licence de Droit - Campus Toulon Centre Ville", "Licence - Droit-économie-gestion", "Licence de Droit - Campus Toulon Centre Ville", 25, 459, 345, 459, 0, 269, 66, 48, 19, 23, 8, 119, 0, 0, 0, 0, 0, 455, 0, 0, 0, 269, 66, 48, 19, 23, 8, 115, 143, 24, 21, 24, 0, 0.0, 12.0, 24.0, 0, 6, 23, 20, 2, 1, 1, 0, 6, 12, 5, 0, 0.0, 16, 1, 0, 0, 0, 20, 20, 0.0, 50.0, 100.0, 87.5, 87.0, 87.0, 0, 26.09765625, 95.796875, 0.0, 26.09765625, 52.1953125, 21.69921875, 0.0, 0.0, 87.0, 69.59375, 8.69921875, 4.2998046875, 4.2998046875, 0.0, 105.0, 21.0, 7.0, 3.0, 17.0, "Tous les candidats", 1289.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 54.0, "30856", "Licence - Portail Droit - Licence de Droit - Campus Toulon Centre Ville", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30850&g_ta_cod=30856", 88.0, 8.0, 4.0),
(12563, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Langues Etrangères Appliquées Anglais-Polonais - Cursus 4 ans", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées Anglais-Polonais - Cursus 4 ans", 16, 66, 43, 42, 0, 19, 6, 7, 1, 3, 3, 13, 24, 4, 3, 1, 16, 42, 23, 0, 0, 19, 6, 7, 1, 3, 3, 13, 63, 13, 9, 6, 7, 3.0, 6.0, 8.0, 0, 2, 7, 6, 1, 0, 6, 0, 4, 1, 2, 0, 0.0, 3, 0, 0, 0, 0, 4, 4, 23.08, 46.15, 61.54, 69.1875, 57.09375, 57.09375, 0, 28.59765625, 53.796875, 0.0, 57.09375, 14.298828125, 28.59765625, 0.0, 0.0, 85.6875, 42.8984375, 14.298828125, 0.0, 0.0, 0.0, 23.0, 9.0, 4.0, 4.0, 27.0, "Tous les candidats", 42.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "13898", "Licence - Portail Langues Etrangères Appliquées Anglais-Polonais - Cursus 4 ans", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13898&g_ta_cod=13898", 69.0, 8.0, 15.0),
(12564, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "Université Angers - C.M.I - Cursus Master en Ingénierie - Physique, chimie - Cursus Master en Ingénierie : Chimie Environnement (CE)", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie : Chimie Environnement (CE)", 15, 197, 102, 155, 0, 110, 10, 3, 2, 0, 0, 42, 42, 11, 1, 1, 29, 74, 4, 0, 0, 66, 6, 0, 0, 0, 0, 8, 64, 10, 6, 7, 3, 2.0, 7.0, 9.0, 0, 0, 10, 10, 0, 0, 0, 0, 0, 3, 6, 1, 0.0, 10, 0, 0, 0, 0, 6, 6, 20.0, 70.0, 90.0, 60.0, 60.0, 60.0, 0, 0.0, 100.0, 0.0, 0.0, 30.0, 60.0, 10.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 57.0, 6.0, 0.0, 0.0, 7.0, "Tous les candidats", 74.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "15636", "C.M.I - Cursus Master en Ingénierie - Physique, chimie - Cursus Master en Ingénierie : Chimie Environnement (CE)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15636&g_ta_cod=15636", 100.0, 0.0, 0.0),
(12565, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence", "Avignon Université - Licence - Physique", "Licence - Sciences - technologies - santé", "", 100, 523, 169, 392, 0, 236, 58, 20, 9, 4, 3, 132, 131, 31, 14, 1, 85, 392, 121, 0, 0, 236, 58, 20, 9, 4, 3, 132, 471, 59, 12, 27, 32, 8.0, 26.0, 49.0, 0, 10, 27, 22, 4, 1, 32, 0, 11, 13, 2, 0, 1.0, 13, 2, 1, 0, 0, 20, 20, 13.56, 44.07, 83.05, 20.296875, 74.09375, 74.09375, 0, 37.0, 45.796875, 0.0, 40.6953125, 48.09375, 7.3994140625, 0.0, 3.7, 81.5, 48.09375, 14.798828125, 7.3994140625, 3.69970703125, 3.69970703125, 250.0, 62.0, 4.0, 2.0, 186.0, "Tous les candidats", 392.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "10459", "Licence - Physique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10459&g_ta_cod=10459", 73.0, 19.0, 5.0),
(12566, "Public", "0320067Z", "Lycée des Métiers - Le Garros", "32", "Gers", "Occitanie", "Toulouse", "Auch", "formation sélective", "BTS", "Lycée des Métiers - Le Garros - BTS - Production - Enveloppe des bâtiments : conception et réalisation", "BTS - Production", "", 15, 208, 40, 181, 0, 13, 2, 76, 20, 45, 21, 47, 27, 2, 6, 4, 15, 100, 15, 0, 0, 9, 0, 51, 10, 32, 16, 8, 83, 11, 2, 7, 4, 1.0, 7.0, 11.0, 0, 2, 9, 1, 2, 6, 2, 0, 3, 3, 2, 1, 0.0, 0, 1, 5, 4, 0, 6, 6, 9.09, 63.64, 100.0, 18.19921875, 66.6875, 66.6875, 44.3984375, 22.19921875, 81.796875, 0.0, 33.296875, 33.296875, 22.19921875, 11.1, 0.0, 11.099609375, 0.0, 22.19921875, 11.099609375, 66.6875, 55.59375, 10.0, 1.0, 22.0, 6.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 54.0, "4254", "BTS - Production - Enveloppe des bâtiments : conception et réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4254&g_ta_cod=4254", 18.0, 27.0, 55.0),
(12567, "Privé sous contrat d'association", "0351047Y", "LEAP A. St Exupéry Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "LEAP A. St Exupéry Rennes - BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "BTS - Agricole", "", 24, 182, 64, 166, 0, 27, 5, 48, 11, 55, 12, 36, 16, 4, 1, 4, 7, 149, 8, 0, 0, 27, 5, 48, 11, 55, 12, 19, 107, 12, 3, 9, 3, 1.0, 9.0, 12.0, 0, 2, 6, 2, 3, 1, 6, 0, 1, 4, 1, 0, 0.0, 1, 3, 1, 0, 0, 6, 6, 8.33, 75.0, 100.0, 25.0, 100.0, 100.0, 0, 33.296875, 50.0, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 33.296875, 16.69921875, 50.0, 50.0, 16.69921875, 16.69921875, 26.0, 4.0, 38.0, 11.0, 15.0, "Tous les candidats sauf les Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 57, "", 0, "Liste d'appel propre à cette formation", 87.0, "4759", "BTS - Agricole - Analyse, conduite et stratégie de l'entreprise agricole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4759&g_ta_cod=4759", 50.0, 33.0, 17.0),
(12568, "Public", "0782539L", "Lycée Saint Exupéry", "78", "Yvelines", "Ile-de-France", "Versailles", "Mantes-la-Jolie", "formation sélective", "CPGE", "Lycée Saint Exupéry - CPGE - Lettres", "Classe préparatoire littéraire", "", 33, 136, 97, 120, 0, 88, 19, 0, 0, 1, 0, 31, 16, 11, 0, 2, 3, 89, 9, 0, 89, 86, 18, 0, 0, 0, 0, 3, 91, 20, 15, 18, 2, 13.0, 18.0, 20.0, 0, 3, 20, 20, 0, 0, 0, 0, 0, 8, 9, 3, 0.0, 20, 0, 0, 6, 2, 19, 19, 65.0, 90.0, 100.0, 75.0, 95.0, 95.0, 30, 15.0, 100.0, 0.0, 0.0, 40.0, 45.0, 15.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 88.0, 18.0, 0.0, 0.0, 3.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 74.0, "10027", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10027&g_ta_cod=10027", 100.0, 0.0, 0.0),
(12569, "Public", "0590122M", "Lycée Valentine Labbe", "59", "Nord", "Hauts-de-France", "Lille", "La Madeleine", "formation sélective", "BTS", "Lycée Valentine Labbe - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 30, 1283, 969, 1283, 0, 320, 93, 476, 168, 69, 32, 418, 0, 0, 0, 0, 0, 509, 0, 0, 0, 177, 48, 196, 59, 41, 19, 95, 157, 29, 24, 29, 0, 1.0, 19.0, 23.0, 0, 10, 23, 10, 9, 4, 6, 0, 4, 10, 8, 1, 0.0, 10, 6, 3, 2, 2, 22, 22, 3.45, 65.52, 79.31, 82.796875, 95.6875, 95.6875, 8.69921875, 43.5, 79.296875, 0.0, 17.3984375, 43.5, 34.796875, 4.3, 0.0, 43.5, 43.5, 39.09375, 26.09765625, 17.3984375, 13.0, 45.0, 16.0, 11.0, 7.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 107.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 195, "Liste d'appel propre à cette formation", 25.0, "6806", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6806&g_ta_cod=6806", 41.0, 45.0, 14.0),
(12570, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Musicologie - Parcours A distance", "Licence - Arts-lettres-langues", "A distance", 150, 412, 217, 312, 0, 132, 15, 30, 8, 6, 4, 144, 100, 6, 3, 1, 90, 206, 48, 0, 0, 87, 9, 18, 6, 1, 1, 100, 254, 131, 70, 104, 27, 93.0, 104.0, 113.0, 0, 10, 46, 36, 9, 1, 85, 0, 2, 12, 17, 14, 1.0, 34, 9, 1, 0, 0, 10, 15, 70.99, 79.39, 86.26, 53.3984375, 21.69921875, 32.59375, 0, 21.69921875, 35.09375, 0.0, 4.2998046875, 26.09765625, 37.0, 30.4, 2.2, 78.296875, 73.890625, 19.59765625, 19.59765625, 2.19970703125, 2.19970703125, 91.0, 9.0, 1.0, 1.0, 144.0, "Tous les candidats", 206.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "26756", "Licence - Musicologie - Parcours A distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26756&g_ta_cod=26756", 81.0, 12.0, 4.0),
(12571, "Public", "0331863W", "Lycée agricole de Libourne Montagne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Montagne", "formation sélective", "BTS", "Lycée agricole de Libourne Montagne - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 27, 237, 111, 222, 0, 17, 2, 42, 5, 50, 16, 113, 15, 3, 7, 0, 5, 85, 6, 0, 0, 15, 1, 29, 3, 30, 8, 11, 75, 14, 11, 13, 1, 4.0, 13.0, 14.0, 0, 3, 14, 3, 6, 5, 0, 0, 8, 4, 2, 0, 0.0, 1, 4, 1, 4, 2, 13, 13, 28.57, 92.86, 100.0, 78.59375, 92.890625, 92.890625, 28.59765625, 21.3984375, 100.0, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 21.3984375, 7.099609375, 42.8984375, 28.59765625, 35.6953125, 7.099609375, 16.0, 1.0, 20.0, 6.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 37.0, "4425", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4425&g_ta_cod=4425", 21.0, 43.0, 36.0),
(12572, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "Licence", "ICES - Institut Catholique de Vendée - Double licence - Langues, littératures & civilisations étrangères et régionales / Science politique - Double Licence LLCER Espagnol - Science politique", "Licence - Arts-lettres-langues", "Double Licence LLCER Espagnol - Science politique", 40, 77, 62, 55, 0, 51, 10, 0, 0, 1, 0, 3, 22, 9, 1, 0, 12, 53, 8, 0, 0, 50, 9, 0, 0, 1, 0, 2, 61, 11, 11, 11, 0, 10.0, 11.0, 11.0, 0, 0, 9, 9, 0, 0, 2, 0, 0, 2, 3, 4, 0.0, 9, 0, 0, 0, 0, 3, 3, 90.91, 100.0, 100.0, 100.0, 33.296875, 33.296875, 0, 0.0, 81.796875, 0.0, 0.0, 22.19921875, 33.296875, 44.4, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 55.0, 9.0, 1.0, 0.0, 5.0, "Tous les candidats", 53.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "27501", "Double licence - Langues, littératures & civilisations étrangères et régionales / Science politique - Double Licence LLCER Espagnol - Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27501&g_ta_cod=27501", 100.0, 0.0, 0.0),
(12573, "Public", "0300027S", "Lycée Hemingway - De La Camargue", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Hemingway - De La Camargue - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 816, 517, 772, 0, 39, 16, 292, 146, 242, 131, 199, 44, 8, 0, 0, 36, 268, 2, 0, 0, 21, 10, 114, 51, 102, 54, 31, 164, 28, 19, 26, 1, 3.0, 21.0, 26.0, 0, 15, 26, 3, 11, 12, 2, 0, 10, 14, 2, 0, 0.0, 3, 6, 7, 4, 3, 26, 26, 10.71, 75.0, 92.86, 67.890625, 100.0, 100.0, 15.3984375, 57.6953125, 92.890625, 0.0, 38.5, 53.796875, 7.69921875, 0.0, 0.0, 11.5, 11.5, 42.296875, 23.09765625, 46.1953125, 26.8984375, 15.0, 9.0, 63.0, 30.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 94, "Bacheliers technologiques toutes séries", 119, "Liste d'appel propre à cette formation", 32.0, "3955", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3955&g_ta_cod=3955", 11.0, 43.0, 46.0),
(12574, "Public", "0350936C", "Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Université de Rennes 1 - Diplôme d'Université - PAREO - ORA - s'Orienter, Réfléchir et Agir", "Diplôme d'Université", "ORA - s'Orienter, Réfléchir et Agir", 20, 129, 77, 37, 0, 11, 2, 13, 4, 7, 3, 6, 92, 22, 24, 9, 37, 37, 27, 0, 0, 11, 2, 13, 4, 7, 3, 6, 73, 21, 11, 7, 12, 7.0, 7.0, 14.0, 0, 3, 19, 6, 8, 5, 2, 0, 11, 6, 1, 1, 0.0, 3, 2, 3, 0, 0, 17, 17, 33.33, 33.33, 66.67, 52.3984375, 89.5, 89.5, 0, 15.798828125, 90.5, 0.0, 57.8984375, 31.59765625, 5.2998046875, 5.3, 0.0, 31.59765625, 15.798828125, 42.09375, 10.5, 26.296875, 15.798828125, 24.0, 4.0, 12.0, 4.0, 11.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32443", "Diplôme d'Université - PAREO - ORA - s'Orienter, Réfléchir et Agir", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32443&g_ta_cod=32443", 33.0, 43.0, 24.0),
(12575, "Public", "0570058D", "Lycée Louis Vincent", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée Louis Vincent - BTS - Production - Conception de produits industriels", "BTS - Production", "", 15, 282, 24, 282, 0, 26, 4, 149, 31, 26, 9, 81, 0, 0, 0, 0, 0, 192, 0, 0, 0, 22, 3, 132, 24, 20, 6, 18, 48, 15, 1, 15, 0, 5.0, 14.0, 14.0, 0, 2, 14, 5, 7, 2, 1, 0, 2, 6, 6, 0, 0.0, 3, 7, 2, 7, 0, 12, 12, 33.33, 93.33, 93.33, 6.69921875, 85.6875, 85.6875, 50, 14.298828125, 93.296875, 0.0, 14.298828125, 42.8984375, 42.8984375, 0.0, 0.0, 35.6953125, 21.3984375, 50.0, 50.0, 14.298828125, 14.298828125, 17.0, 2.0, 3.0, 1.0, 6.0, "Tous les candidats sauf les Bac professionnels", 82.0, "Bacheliers professionnels toutes séries", 5, "", 0, "Liste d'appel propre à cette formation", 31.0, "6538", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6538&g_ta_cod=6538", 40.0, 47.0, 13.0),
(12576, "Privé sous contrat d'association", "0340991T", "Lycée Nevers", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Nevers - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 32, 409, 186, 383, 0, 64, 21, 128, 38, 54, 27, 137, 26, 0, 0, 14, 12, 327, 1, 0, 0, 64, 21, 120, 33, 32, 13, 111, 129, 31, 12, 30, 1, 6.0, 23.0, 27.0, 0, 3, 11, 1, 4, 6, 20, 0, 2, 5, 3, 1, 0.0, 1, 3, 5, 2, 0, 9, 9, 19.35, 74.19, 87.1, 38.6953125, 81.796875, 81.796875, 18.19921875, 27.296875, 35.5, 0.0, 18.19921875, 45.5, 27.296875, 9.1, 0.0, 9.099609375, 9.099609375, 36.3984375, 27.296875, 54.5, 45.5, 19.0, 8.0, 20.0, 8.0, 53.0, "Tous les candidats sauf les Bac professionnels", 150.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 47.0, "4538", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4538&g_ta_cod=4538", 48.0, 32.0, 19.0),
(12577, "Public", "0820004J", "Lycée Jean De Prades", "82", "Tarn-et-Garonne", "Occitanie", "Toulouse", "Castelsarrasin", "formation sélective", "BTS", "Lycée Jean De Prades - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 12, 137, 59, 137, 0, 0, 0, 42, 9, 80, 33, 15, 0, 0, 0, 0, 0, 137, 0, 0, 0, 0, 0, 42, 9, 80, 33, 15, 66, 9, 3, 9, 0, 4.0, 8.0, 9.0, 0, 4, 9, 0, 3, 6, 0, 0, 5, 0, 3, 1, 0.0, 0, 0, 4, 7, 3, 8, 8, 44.44, 88.89, 100.0, 33.296875, 88.890625, 88.890625, 77.796875, 44.3984375, 100.0, 0.0, 55.59375, 0.0, 33.296875, 11.1, 0.0, 0.0, 0.0, 33.296875, 0.0, 66.6875, 44.3984375, 0.0, 0.0, 42.0, 17.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 85.0, "18819", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18819&g_ta_cod=18819", 0.0, 33.0, 67.0),
(12578, "Privé sous contrat d'association", "0132828D", "Lycée CADENELLE", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 12e  Arrondissement", "formation sélective", "BTS", "Lycée CADENELLE - BTS - Services - Economie sociale familiale", "BTS - Services", "", 36, 435, 387, 434, 0, 53, 25, 80, 42, 186, 107, 115, 1, 0, 0, 0, 1, 245, 0, 0, 0, 44, 22, 49, 24, 105, 60, 47, 124, 32, 29, 31, 0, 12.0, 24.0, 29.0, 0, 13, 23, 5, 8, 10, 9, 0, 8, 11, 4, 0, 0.0, 2, 5, 8, 0, 0, 20, 20, 37.5, 75.0, 90.63, 90.59375, 87.0, 87.0, 0, 56.5, 71.890625, 0.0, 34.796875, 47.796875, 17.3984375, 0.0, 0.0, 21.69921875, 8.69921875, 34.796875, 21.69921875, 43.5, 34.796875, 24.0, 13.0, 32.0, 18.0, 32.0, "Tous les candidats sauf les Bac professionnels", 111.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 34.0, "2784", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2784&g_ta_cod=2784", 22.0, 44.0, 34.0),
(12579, "Privé enseignement supérieur", "0753324F", "ESRA - Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ESRA - Formation des écoles supérieure d'art Bac + 3 - Etudes Supérieures des Techniques du Son", "Formation des écoles supérieure d'art", "Etudes Supérieures des Techniques du Son", 200, 467, 66, 404, 0, 217, 14, 57, 7, 12, 1, 118, 63, 16, 2, 8, 37, 338, 16, 0, 0, 186, 10, 44, 6, 9, 1, 99, 338, 177, 25, 166, 11, 135.0, 166.0, 174.0, 0, 6, 112, 89, 16, 7, 65, 1, 36, 57, 16, 2, 0.0, 60, 9, 6, 0, 0, 28, 69, 76.27, 93.79, 98.31, 14.099609375, 25.0, 61.59375, 0, 5.3994140625, 63.296875, 0.89990234375, 32.09375, 50.8984375, 14.298828125, 1.8, 0.0, 79.5, 53.59375, 14.298828125, 8.0, 6.2998046875, 5.3994140625, 181.0, 9.0, 8.0, 0.0, 108.0, "Tous les candidats", 370.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 83.0, "26441", "Formation des écoles supérieure d'art Bac + 3 - Etudes Supérieures des Techniques du Son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26441&g_ta_cod=26441", 81.0, 13.0, 6.0),
(12580, "Public", "0783754G", "Institut de formation en Psychomotricité du Centre Hospitalier Intercommunal de Meulan-Les Mureaux", "78", "Yvelines", "Ile-de-France", "Versailles", "Les Mureaux", "formation sélective", "Autre formation", "Institut de formation en Psychomotricité du Centre Hospitalier Intercommunal de Meulan-Les Mureaux - D.E Psychomotricien", "D.E secteur sanitaire", "", 25, 661, 597, 661, 0, 149, 22, 64, 23, 4, 2, 444, 0, 0, 0, 0, 0, 599, 0, 0, 0, 140, 18, 47, 14, 2, 0, 410, 79, 24, 22, 24, 0, 4.0, 15.0, 20.0, 0, 1, 2, 2, 0, 0, 22, 0, 0, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 0, 0, 16.67, 62.5, 83.33, 91.6875, 0.0, 0.0, 0, 50.0, 8.298828125, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 18.0, 6.0, 0.0, 0.0, 57.0, "Tous les candidats", 98.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "26458", "D.E Psychomotricien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26458&g_ta_cod=26458", 88.0, 13.0, 0.0),
(12581, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Langues étrangères appliquées - Parcours Anglais - Espagnol", "Licence - Arts-lettres-langues", "Anglais - Espagnol", 150, 737, 570, 598, 0, 414, 107, 42, 14, 14, 10, 128, 139, 24, 10, 9, 96, 591, 128, 0, 0, 414, 107, 42, 14, 14, 10, 121, 609, 143, 107, 94, 49, 29.0, 93.0, 112.0, 0, 25, 85, 68, 9, 8, 58, 0, 24, 31, 24, 6, 0.0, 57, 1, 3, 0, 0, 69, 69, 20.28, 65.03, 78.32, 74.796875, 81.1875, 81.1875, 0, 29.3984375, 59.3984375, 0.0, 28.19921875, 36.5, 28.19921875, 7.1, 0.0, 80.0, 67.09375, 10.599609375, 1.199951171875, 9.3984375, 3.5, 359.0, 98.0, 18.0, 13.0, 187.0, "Tous les candidats", 591.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "6346", "Licence - Langues étrangères appliquées - Parcours Anglais - Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6346&g_ta_cod=6346", 73.0, 16.0, 10.0),
(12582, "Public", "0550002D", "Lycée Raymond-Poincaré", "55", "Meuse", "Grand Est", "Nancy-Metz", "Bar-le-Duc", "formation sélective", "BTS", "Lycée Raymond-Poincaré - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 454, 74, 374, 0, 32, 8, 58, 19, 49, 18, 235, 80, 4, 20, 13, 43, 112, 19, 0, 0, 31, 7, 46, 15, 28, 9, 7, 109, 30, 0, 23, 7, 5.0, 23.0, 26.0, 0, 7, 23, 5, 8, 10, 7, 0, 15, 8, 0, 0, 0.0, 2, 2, 4, 3, 0, 15, 15, 16.67, 76.67, 86.67, 0.0, 65.1875, 65.1875, 13, 30.3984375, 76.6875, 0.0, 65.1875, 34.796875, 0.0, 0.0, 0.0, 21.69921875, 8.69921875, 34.796875, 8.69921875, 43.5, 17.3984375, 28.0, 6.0, 31.0, 13.0, 14.0, "Tous les candidats sauf les Bac professionnels", 81.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 30.0, "6401", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6401&g_ta_cod=6401", 30.0, 27.0, 43.0),
(12583, "Public", "0501219D", "Lycée Curie-Corot", "50", "Manche", "Normandie", "Normandie", "Saint-Lô", "formation sélective", "Autre formation", "Lycée Curie-Corot - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 1.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22585", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0, 0, 0),
(12584, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "PASS", "Université de Limoges - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 24, 1271, 806, 1271, 0, 949, 140, 13, 2, 7, 4, 302, 0, 0, 0, 0, 0, 1249, 0, 0, 0, 949, 140, 13, 2, 7, 4, 280, 262, 20, 11, 20, 0, 0.0, 6.0, 18.0, 0, 3, 15, 15, 0, 0, 5, 0, 1, 5, 5, 4, 0.0, 14, 0, 0, 0, 0, 4, 4, 0.0, 30.0, 90.0, 55.0, 26.69921875, 26.69921875, 0, 20.0, 75.0, 0.0, 6.69921875, 33.296875, 33.296875, 26.7, 0.0, 100.0, 93.296875, 0.0, 0.0, 0.0, 0.0, 210.0, 28.0, 2.0, 1.0, 49.0, "Tous les candidats", 2979.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 44.0, "26975", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26973&g_ta_cod=26975", 90.0, 0.0, 5.0),
(12585, "Public", "0753017X", "IFSI Saint Louis (AP-HP)", "75", "Paris", "Ile-de-France", "Paris", "Paris 10e  Arrondissement", "formation sélective", "IFSI", "Regroupement IFSI Université de Paris - D.E Infirmier", "D.E secteur sanitaire", "", 105, 7630, 6769, 7630, 0, 928, 266, 1275, 502, 1067, 497, 4360, 0, 0, 0, 0, 0, 5957, 0, 0, 0, 842, 236, 1070, 405, 835, 385, 3210, 762, 101, 85, 101, 0, 13.0, 80.0, 94.0, 0, 12, 54, 9, 22, 23, 47, 0, 1, 20, 28, 5, 0.0, 8, 22, 23, 0, 0, 9, 49, 12.87, 79.21, 93.07, 84.1875, 16.69921875, 90.6875, 0, 22.19921875, 53.5, 0.0, 1.89990234375, 37.0, 51.8984375, 9.3, 0.0, 16.69921875, 14.798828125, 40.6953125, 40.6953125, 42.59375, 42.59375, 107.0, 15.0, 160.0, 57.0, 298.0, "Tous les candidats", 1866.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "25258", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25148&g_ta_cod=25258", 34.0, 35.0, 28.0),
(12586, "Privé sous contrat d'association", "0240092V", "Lycée professionnel Chambre Com Et Industrie", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Boulazac Isle Manoire", "formation sélective", "BTS", "Lycée professionnel Chambre Com Et Industrie - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 28, 74, 41, 68, 0, 0, 0, 20, 5, 22, 8, 26, 6, 0, 0, 3, 3, 68, 0, 0, 0, 0, 0, 20, 5, 22, 8, 26, 51, 26, 17, 26, 0, 21.0, 26.0, 26.0, 0, 2, 10, 0, 6, 4, 16, 0, 2, 5, 2, 1, 0.0, 0, 5, 3, 6, 6, 8, 8, 80.77, 100.0, 100.0, 65.390625, 80.0, 80.0, 60, 20.0, 38.5, 0.0, 20.0, 50.0, 20.0, 10.0, 0.0, 0.0, 0.0, 60.0, 50.0, 40.0, 30.0, 0.0, 0.0, 18.0, 6.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 94.0, "3436", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3436&g_ta_cod=3436", 31.0, 54.0, 15.0),
(12587, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "Autre formation", "Université d'Orléans - C.M.I - Cursus Master en Ingénierie - Chimie -  Cursus Master en Ingénierie (CMI) : Chimie pour l'innovation thérapeutique et cosmétique (CMI CITC)", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Chimie pour l'innovation thérapeutique et cosmétique (CMI CITC)", 20, 331, 283, 320, 0, 198, 24, 5, 2, 0, 0, 117, 11, 2, 0, 0, 9, 146, 1, 0, 0, 110, 10, 0, 0, 0, 0, 36, 65, 16, 15, 16, 0, 6.0, 12.0, 16.0, 0, 5, 14, 14, 0, 0, 2, 0, 0, 1, 9, 3, 1.0, 14, 0, 0, 0, 0, 6, 6, 37.5, 75.0, 100.0, 93.796875, 42.8984375, 42.8984375, 0, 35.6953125, 87.5, 0.0, 0.0, 7.099609375, 64.296875, 21.4, 7.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 50.0, 7.0, 0.0, 0.0, 15.0, "Tous les candidats", 82.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "18250", "C.M.I - Cursus Master en Ingénierie - Chimie -  Cursus Master en Ingénierie (CMI) : Chimie pour l'innovation thérapeutique et cosmétique (CMI CITC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18250&g_ta_cod=18250", 100.0, 0.0, 0.0),
(12588, "Public", "0430953C", "Lycée Emmanuel Chabrier", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Yssingeaux", "formation sélective", "BTS", "Lycée Emmanuel Chabrier - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 162, 12, 152, 0, 6, 1, 40, 7, 47, 13, 59, 10, 1, 0, 3, 6, 92, 4, 0, 0, 6, 1, 35, 6, 46, 12, 5, 67, 8, 0, 8, 0, 0.0, 8.0, 8.0, 0, 3, 8, 0, 3, 5, 0, 0, 3, 5, 0, 0, 0.0, 0, 3, 2, 3, 0, 8, 8, 0.0, 100.0, 100.0, 0.0, 100.0, 100.0, 37.5, 37.5, 100.0, 0.0, 37.5, 62.5, 0.0, 0.0, 0.0, 0.0, 0.0, 37.5, 37.5, 62.5, 25.0, 4.0, 1.0, 30.0, 9.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 59.0, "5413", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5413&g_ta_cod=5413", 0.0, 38.0, 63.0),
(12589, "Public", "0741133E", "I.U.T. Annecy", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation sélective", "BUT", "I.U.T. Annecy - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données -", "BUT - Production", "Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données -", 108, 1384, 128, 1368, 0, 807, 132, 333, 82, 12, 2, 216, 16, 0, 10, 0, 6, 911, 0, 0, 0, 588, 81, 246, 58, 5, 2, 72, 528, 117, 7, 117, 0, 52.0, 85.0, 114.0, 0, 20, 103, 54, 46, 3, 14, 0, 18, 56, 25, 4, 0.0, 44, 38, 3, 0, 0, 78, 78, 44.44, 72.65, 97.44, 6.0, 75.6875, 75.6875, 0, 19.3984375, 88.0, 0.0, 17.5, 54.3984375, 24.296875, 3.9, 0.0, 52.3984375, 42.6953125, 44.6953125, 36.8984375, 2.89990234375, 2.89990234375, 270.0, 50.0, 5.0, 2.0, 60.0, "Tous les candidats sauf les Bac technologiques", 457.0, "Bacheliers technologiques toutes séries", 249, "", 0, "Liste d'appel propre à cette formation", 52.0, "8901", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation - Administration, gestion et exploitation des données -", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8901&g_ta_cod=8901", 58.0, 39.0, 3.0),
(12590, "Public", "0940114N", "Lycée Antoine de Saint Exupery", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation sélective", "BTS", "Lycée Antoine de Saint Exupery - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 645, 272, 645, 0, 52, 25, 207, 89, 182, 90, 204, 0, 0, 0, 0, 0, 459, 0, 0, 0, 52, 25, 138, 53, 179, 88, 90, 144, 34, 9, 33, 0, 4.0, 25.0, 31.0, 0, 12, 26, 1, 15, 10, 8, 0, 10, 13, 2, 1, 0.0, 0, 9, 7, 4, 0, 22, 25, 11.76, 73.53, 91.18, 26.5, 84.59375, 96.1875, 15.3984375, 46.1953125, 76.5, 0.0, 38.5, 50.0, 7.69921875, 3.8, 0.0, 3.7998046875, 0.0, 57.6953125, 34.59375, 38.5, 26.8984375, 21.0, 13.0, 49.0, 26.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 43.0, "Bacheliers professionnels toutes séries", 111, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 33.0, "11377", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11377&g_ta_cod=11377", 15.0, 44.0, 41.0),
(12591, "Public", "0951787B", "Lycée Arthur Rimbaud", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Garges-lès-Gonesse", "formation sélective", "BTS", "Lycée Arthur Rimbaud - BTS - Production - Maintenance des véhicules option voitures particulières", "BTS - Production", "", 20, 329, 10, 329, 0, 26, 8, 63, 27, 166, 73, 74, 0, 0, 0, 0, 0, 202, 0, 0, 0, 4, 2, 37, 16, 142, 64, 19, 73, 21, 0, 21, 0, 4.0, 19.0, 20.0, 0, 8, 20, 0, 4, 16, 1, 0, 4, 9, 5, 2, 0.0, 0, 2, 14, 3, 0, 9, 19, 19.05, 90.48, 95.24, 0.0, 45.0, 95.0, 15, 40.0, 95.1875, 0.0, 20.0, 45.0, 25.0, 10.0, 0.0, 0.0, 0.0, 20.0, 10.0, 80.0, 70.0, 4.0, 2.0, 51.0, 21.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 27.0, "11624", "BTS - Production - Maintenance des véhicules option voitures particulières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11624&g_ta_cod=11624", 0.0, 24.0, 76.0),
(12592, "Public", "0542208G", "Lycée Stanislas (Biotec.Hotellerie)", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Villers-lès-Nancy", "formation sélective", "BTS", "Lycée Stanislas (Biotec.Hotellerie) - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 36, 271, 140, 271, 0, 0, 0, 94, 21, 126, 40, 51, 0, 0, 0, 0, 0, 270, 0, 0, 0, 0, 0, 94, 21, 126, 40, 50, 100, 33, 18, 33, 0, 14.0, 24.0, 29.0, 0, 9, 31, 0, 19, 12, 2, 0, 6, 10, 11, 4, 0.0, 0, 14, 11, 24, 12, 31, 31, 42.42, 72.73, 87.88, 54.5, 100.0, 100.0, 77.390625, 29.0, 93.890625, 0.0, 19.3984375, 32.296875, 35.5, 12.9, 0.0, 0.0, 0.0, 61.296875, 45.1953125, 38.6953125, 35.5, 0.0, 0.0, 45.0, 14.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 56.0, "6370", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6370&g_ta_cod=6370", 6.0, 58.0, 36.0),
(12593, "Public", "0593255T", "Lycée de la Nature et des Biotechnologies, Douai Bio Tech'", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "BTS", "Lycée de la Nature et des Biotechnologies, Douai Bio Tech' - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 32, 417, 256, 381, 0, 89, 16, 112, 34, 25, 7, 155, 36, 2, 10, 3, 21, 222, 8, 0, 0, 78, 14, 91, 27, 13, 4, 40, 142, 32, 21, 26, 6, 4.0, 21.0, 27.0, 0, 3, 21, 4, 14, 3, 11, 0, 0, 15, 6, 0, 0.0, 4, 14, 3, 10, 6, 18, 18, 12.5, 65.63, 84.38, 65.59375, 85.6875, 85.6875, 47.59375, 14.298828125, 65.59375, 0.0, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 19.0, 19.0, 66.6875, 66.6875, 14.298828125, 14.298828125, 39.0, 9.0, 12.0, 4.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 101.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 56.0, "6990", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6990&g_ta_cod=6990", 41.0, 50.0, 9.0),
(12594, "Public", "0211033J", "Lycée Gustave Eiffel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 271, 21, 271, 0, 19, 3, 61, 12, 113, 33, 78, 0, 0, 0, 0, 0, 212, 0, 0, 0, 19, 3, 61, 12, 111, 32, 21, 94, 23, 2, 23, 0, 6.0, 15.0, 19.0, 0, 3, 21, 3, 5, 13, 2, 0, 9, 7, 3, 2, 0.0, 1, 1, 10, 2, 0, 15, 15, 26.09, 65.22, 82.61, 8.69921875, 71.390625, 71.390625, 9.5, 14.298828125, 91.296875, 0.0, 42.8984375, 33.296875, 14.298828125, 9.5, 0.0, 14.298828125, 4.7998046875, 23.796875, 4.7998046875, 61.8984375, 47.59375, 12.0, 3.0, 44.0, 10.0, 8.0, "Tous les candidats sauf les Bac professionnels", 90.0, "Bacheliers professionnels toutes séries", 74, "", 0, "Liste d'appel propre à cette formation", 61.0, "3211", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3211&g_ta_cod=3211", 13.0, 26.0, 61.0),
(12595, "Public", "0750707L", "Ecole Nationale De Commerce", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "BTS", "Ecole Nationale De Commerce - BTS - Services - Support à l'action managériale", "BTS - Services", "", 70, 1865, 1395, 1743, 0, 36, 16, 564, 273, 624, 356, 519, 122, 38, 0, 0, 84, 667, 5, 0, 0, 28, 12, 236, 126, 351, 202, 52, 215, 78, 52, 74, 3, 45.0, 67.0, 73.0, 0, 35, 66, 1, 40, 25, 12, 0, 26, 29, 5, 6, 0.0, 0, 16, 24, 0, 0, 42, 66, 57.69, 85.9, 93.59, 66.6875, 63.59375, 100.0, 0, 53.0, 84.59375, 0.0, 39.3984375, 43.8984375, 7.599609375, 9.1, 0.0, 1.5, 0.0, 60.59375, 24.19921875, 37.8984375, 36.3984375, 18.0, 7.0, 43.0, 29.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 137, "Liste d'appel propre à cette formation", 14.0, "9152", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9152&g_ta_cod=9152", 4.0, 54.0, 42.0),
(12596, "Public", "0730858L", "Université Savoie Mont Blanc - Chambéry", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Jacob-Bellecombette", "formation non sélective", "Licence_Las", "Université Savoie Mont Blanc - Chambéry - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 20, 1131, 978, 1131, 0, 528, 104, 175, 45, 59, 19, 369, 0, 0, 0, 0, 0, 1131, 0, 0, 0, 528, 104, 175, 45, 59, 19, 369, 152, 19, 18, 19, 0, 1.0, 9.0, 15.0, 0, 4, 16, 12, 4, 0, 3, 0, 0, 7, 6, 3, 0.0, 12, 4, 0, 0, 0, 11, 11, 5.26, 47.37, 78.95, 94.6875, 68.796875, 68.796875, 0, 25.0, 84.1875, 0.0, 0.0, 43.796875, 37.5, 18.8, 0.0, 75.0, 75.0, 25.0, 25.0, 0.0, 0.0, 98.0, 21.0, 1.0, 0.0, 31.0, "Tous les candidats", 485.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "27761", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27760&g_ta_cod=27761", 79.0, 21.0, 0.0),
(12597, "Privé sous contrat d'association", "0292125C", "ISEN Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 36, 1562, 253, 1561, 0, 1551, 120, 0, 0, 0, 0, 10, 1, 1, 0, 0, 0, 1405, 1, 0, 0, 1405, 99, 0, 0, 0, 0, 0, 1289, 13, 2, 13, 0, 6.0, 13.0, 13.0, 0, 2, 13, 13, 0, 0, 0, 0, 0, 10, 3, 0, 0.0, 13, 0, 0, 0, 0, 12, 12, 46.15, 100.0, 100.0, 15.3984375, 92.296875, 92.296875, 0, 15.3984375, 100.0, 0.0, 0.0, 76.890625, 23.09765625, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1289.0, 98.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "75", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=75", 100.0, 0.0, 0.0),
(12598, "Privé sous contrat d'association", "0132922F", "Lycée St Jean", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Salon-de-Provence", "formation sélective", "BTS", "Lycée St Jean - BTS - Services - Notariat", "BTS - Services", "", 16, 74, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 74, 8, 7, 12, 47, 0, 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 28, 7, 2, 0, 7, 0.0, 0.0, 6.0, 0, 1, 3, 1, 1, 1, 4, 0, 1, 1, 1, 0, 0.0, 1, 0, 1, 0, 0, 3, 3, 0.0, 0.0, 85.71, 28.59765625, 100.0, 100.0, 0, 33.296875, 42.8984375, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 33.296875, 33.296875, 2.0, 1.0, 3.0, 1.0, 21.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "34909", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34909&g_ta_cod=34909", 71.0, 14.0, 14.0),
(12599, "Public", "0670086E", "Lycée des métiers René Cassin", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée des métiers René Cassin - BTS - Services - Support à l'action managériale", "BTS - Services", "", 34, 904, 636, 904, 0, 47, 16, 361, 140, 282, 165, 214, 0, 0, 0, 0, 0, 537, 0, 0, 0, 36, 11, 254, 90, 171, 105, 76, 185, 33, 26, 33, 0, 2.0, 28.0, 30.0, 0, 14, 26, 3, 13, 10, 7, 0, 11, 12, 3, 0, 0.0, 1, 6, 8, 10, 9, 25, 25, 6.06, 84.85, 90.91, 78.796875, 96.1875, 96.1875, 38.5, 53.796875, 78.796875, 0.0, 42.296875, 46.1953125, 11.5, 0.0, 0.0, 11.5, 3.7998046875, 50.0, 23.09765625, 38.5, 30.796875, 23.0, 11.0, 50.0, 23.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 41.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 113, "Liste d'appel propre à cette formation", 24.0, "7945", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7945&g_ta_cod=7945", 18.0, 48.0, 33.0),
(12600, "Public", "0711455W", "IFSI CH Paray Le Monial", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Paray-le-Monial", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bourgogne Dijon - D.E Infirmier", "D.E secteur sanitaire", "", 40, 2526, 2107, 2526, 0, 442, 78, 502, 106, 264, 94, 1318, 0, 0, 0, 0, 0, 2092, 0, 0, 0, 402, 66, 423, 88, 204, 72, 1063, 523, 40, 33, 40, 0, 0.0, 14.0, 22.0, 0, 7, 23, 12, 2, 9, 17, 0, 6, 10, 6, 1, 0.0, 8, 1, 8, 0, 0, 13, 13, 0.0, 35.0, 55.0, 82.5, 56.5, 56.5, 0, 30.3984375, 57.5, 0.0, 26.09765625, 43.5, 26.09765625, 4.3, 0.0, 52.1953125, 34.796875, 8.69921875, 4.2998046875, 39.09375, 34.796875, 117.0, 23.0, 72.0, 24.0, 257.0, "Tous les candidats", 1914.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "23090", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23009&g_ta_cod=23090", 50.0, 5.0, 45.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(12601, "Public", "0130050J", "Lycée Denis Diderot", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "BTS", "Lycée Denis Diderot - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 15, 191, 6, 191, 0, 8, 3, 26, 14, 118, 60, 39, 0, 0, 0, 0, 0, 191, 0, 0, 0, 8, 3, 26, 14, 118, 60, 39, 45, 16, 0, 16, 0, 6.0, 14.0, 15.0, 0, 10, 14, 0, 4, 10, 2, 0, 4, 6, 3, 1, 0.0, 0, 2, 8, 2, 0, 13, 13, 37.5, 87.5, 93.75, 0.0, 92.890625, 92.890625, 14.298828125, 71.390625, 87.5, 0.0, 28.59765625, 42.8984375, 21.3984375, 7.1, 0.0, 0.0, 0.0, 28.59765625, 14.298828125, 71.390625, 57.09375, 4.0, 1.0, 14.0, 9.0, 7.0, "Tous les candidats sauf les Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 28.0, "2571", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2571&g_ta_cod=2571", 0.0, 31.0, 69.0),
(12602, "Public", "0912251C", "Lycée Henri Poincare", "91", "Essonne", "Ile-de-France", "Versailles", "Palaiseau", "formation sélective", "BTS", "Lycée Henri Poincare - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 32, 744, 695, 744, 0, 19, 4, 180, 80, 308, 151, 237, 0, 0, 0, 0, 0, 516, 0, 0, 0, 12, 2, 154, 67, 218, 101, 132, 158, 28, 27, 27, 0, 5.0, 21.0, 22.0, 0, 11, 22, 2, 9, 11, 6, 0, 6, 12, 3, 1, 0.0, 1, 6, 9, 2, 2, 18, 21, 17.86, 75.0, 78.57, 96.390625, 81.796875, 95.5, 9.099609375, 50.0, 78.59375, 0.0, 27.296875, 54.5, 13.599609375, 4.5, 0.0, 9.099609375, 4.5, 40.8984375, 27.296875, 50.0, 40.8984375, 5.0, 2.0, 79.0, 31.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 98, "Bacheliers technologiques toutes séries", 80, "Liste d'appel propre à cette formation", 25.0, "10975", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10975&g_ta_cod=10975", 11.0, 46.0, 43.0),
(12603, "Public", "9711252J", "LGT ROBERT WEINUM St Martin", "978", "Saint-Martin", "Saint-Martin", "Guadeloupe", "Saint-Martin", "formation sélective", "BTS", "LGT ROBERT WEINUM St Martin - BTS - Services - Gestion de la PME", "BTS - Services", "", 21, 116, 70, 105, 0, 12, 5, 46, 18, 20, 8, 27, 11, 2, 0, 3, 6, 60, 3, 0, 0, 12, 5, 31, 12, 10, 3, 7, 43, 17, 12, 16, 1, 8.0, 14.0, 16.0, 0, 8, 13, 4, 7, 2, 4, 0, 7, 3, 1, 2, 0.0, 2, 3, 1, 11, 6, 13, 13, 47.06, 82.35, 94.12, 70.59375, 100.0, 100.0, 84.59375, 61.5, 76.5, 0.0, 53.796875, 23.09765625, 7.69921875, 15.4, 0.0, 30.796875, 15.3984375, 53.796875, 23.09765625, 15.3984375, 7.69921875, 10.0, 4.0, 8.0, 3.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 52.0, "19868", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19868&g_ta_cod=19868", 29.0, 47.0, 24.0),
(12604, "Public", "0280036M", "Lycée Remi Belleau", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Nogent-le-Rotrou", "formation sélective", "BTS", "Lycée Remi Belleau - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 309, 152, 305, 0, 37, 10, 74, 34, 108, 41, 86, 4, 0, 2, 0, 2, 211, 2, 0, 0, 37, 10, 62, 28, 84, 28, 28, 114, 25, 13, 22, 1, 5.0, 13.0, 15.0, 0, 8, 19, 2, 7, 10, 6, 0, 6, 10, 2, 1, 0.0, 0, 5, 8, 14, 9, 15, 15, 20.0, 52.0, 60.0, 52.0, 78.890625, 78.890625, 73.6875, 42.09375, 76.0, 0.0, 31.59765625, 52.59375, 10.5, 5.3, 0.0, 10.5, 0.0, 36.796875, 26.296875, 52.59375, 42.09375, 18.0, 8.0, 49.0, 16.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 50.0, "3734", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3734&g_ta_cod=3734", 16.0, 40.0, 44.0),
(12605, "Public", "0400027M", "Lycée polyvalent des métiers de l'aéronautique Jean Taris", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Peyrehorade", "formation sélective", "Autre formation", "Lycée polyvalent des métiers de l'aéronautique Jean Taris - Mention complémentaire - Aéronautique option avions à moteur à turbines", "Mention complémentaire", "", 11, 124, 9, 124, 0, 0, 0, 0, 0, 113, 22, 11, 0, 0, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 86, 18, 4, 30, 10, 0, 10, 0, 4.0, 10.0, 10.0, 0, 2, 10, 0, 0, 10, 0, 0, 1, 5, 4, 0, 0.0, 0, 0, 9, 0, 0, 10, 10, 40.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 20.0, 100.0, 0.0, 10.0, 50.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 90.0, 0.0, 0.0, 30.0, 5.0, 0.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "12439", "Mention complémentaire - Aéronautique option avions à moteur à turbines", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12439&g_ta_cod=12439", 0.0, 0.0, 100.0),
(12606, "Public", "9760229V", "Lycée de Petite Terre", "976", "Mayotte", "Mayotte", "Mayotte", "Pamandzi", "formation sélective", "BTS", "Lycée de Petite Terre - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 24, 456, 230, 456, 0, 53, 28, 148, 97, 148, 70, 107, 0, 0, 0, 0, 0, 339, 0, 0, 0, 38, 21, 99, 65, 141, 68, 61, 59, 24, 10, 24, 0, 10.0, 17.0, 22.0, 0, 13, 23, 3, 5, 15, 1, 0, 10, 10, 3, 0, 0.0, 2, 2, 9, 12, 2, 23, 23, 41.67, 70.83, 91.67, 41.6953125, 100.0, 100.0, 52.1953125, 56.5, 95.796875, 0.0, 43.5, 43.5, 13.0, 0.0, 0.0, 13.0, 8.69921875, 21.69921875, 8.69921875, 65.1875, 39.09375, 8.0, 5.0, 29.0, 16.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers technologiques toutes séries", 26, "Bacheliers professionnels toutes séries", 37, "Liste d'appel propre à cette formation", 16.0, "29442", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29442&g_ta_cod=29442", 13.0, 25.0, 63.0),
(12607, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Coréen et Gestion parcours Techniques quantitatives et management (TQM)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Coréen et Gestion parcours Techniques quantitatives et management (TQM)", 5, 130, 114, 130, 0, 63, 19, 10, 8, 3, 0, 54, 0, 0, 0, 0, 0, 130, 0, 0, 0, 63, 19, 10, 8, 3, 0, 54, 17, 6, 6, 6, 0, 1.0, 6.0, 6.0, 0, 2, 3, 3, 0, 0, 3, 0, 0, 0, 2, 1, 0.0, 3, 0, 0, 0, 0, 1, 1, 16.67, 100.0, 100.0, 100.0, 33.296875, 33.296875, 0, 66.6875, 50.0, 0.0, 0.0, 0.0, 66.6875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 10.0, 3.0, 0.0, 0.0, 7.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "16693", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Coréen et Gestion parcours Techniques quantitatives et management (TQM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16693&g_ta_cod=16693", 100.0, 0.0, 0.0),
(12608, "Privé sous contrat d'association", "0622199D", "Lycée Saint Denis", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Omer", "formation sélective", "Autre formation", "Lycée Saint Denis - DN MADE - Espace - - Spécialité : Petite échelle architecturale, architecture intérieure et Patrimoine : Espace / Patrimoine", "DN MADE", "- Spécialité : Petite échelle architecturale, architecture intérieure et Patrimoine : Espace / Patrimoine", 17, 272, 224, 272, 0, 133, 21, 56, 9, 12, 2, 71, 0, 0, 0, 0, 0, 179, 0, 0, 0, 108, 16, 44, 8, 7, 1, 20, 73, 16, 13, 16, 0, 2.0, 11.0, 12.0, 0, 2, 13, 10, 2, 1, 3, 0, 4, 3, 6, 0, 0.0, 6, 2, 1, 0, 0, 7, 7, 12.5, 68.75, 75.0, 81.296875, 53.796875, 53.796875, 0, 15.3984375, 81.296875, 0.0, 30.796875, 23.09765625, 46.1953125, 0.0, 0.0, 76.890625, 46.1953125, 15.3984375, 15.3984375, 7.69921875, 7.69921875, 44.0, 4.0, 3.0, 1.0, 9.0, "Tous les candidats", 96.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "25039", "DN MADE - Espace - - Spécialité : Petite échelle architecturale, architecture intérieure et Patrimoine : Espace / Patrimoine", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25039&g_ta_cod=25039", 81.0, 13.0, 6.0),
(12609, "Public", "0440029T", "LGT Livet", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "LGT Livet - BTS - Production - Bâtiment", "BTS - Production", "", 24, 624, 95, 624, 0, 98, 10, 269, 34, 136, 38, 121, 0, 0, 0, 0, 0, 516, 0, 0, 0, 93, 9, 250, 30, 122, 29, 51, 141, 25, 5, 25, 0, 0.0, 17.0, 21.0, 0, 6, 24, 8, 10, 6, 1, 0, 9, 13, 1, 1, 0.0, 3, 9, 3, 5, 1, 18, 18, 0.0, 68.0, 84.0, 20.0, 75.0, 75.0, 20.796875, 25.0, 96.0, 0.0, 37.5, 54.1953125, 4.19921875, 4.2, 0.0, 33.296875, 12.5, 41.6953125, 37.5, 25.0, 12.5, 33.0, 6.0, 43.0, 8.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 55.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 135, "Liste d'appel propre à cette formation", 42.0, "5433", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5433&g_ta_cod=5433", 32.0, 44.0, 24.0),
(12610, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence", "Universite Jean Monnet, Saint-Etienne - Licence - Administration publique", "Licence - Droit-économie-gestion", "", 60, 576, 347, 538, 0, 254, 75, 60, 28, 53, 28, 171, 38, 4, 6, 6, 22, 528, 32, 0, 0, 254, 75, 60, 28, 53, 28, 161, 387, 58, 41, 46, 12, 3.0, 31.0, 46.0, 0, 13, 25, 13, 3, 9, 33, 0, 15, 7, 3, 0, 0.0, 5, 0, 5, 0, 0, 16, 16, 5.17, 53.45, 79.31, 70.6875, 64.0, 64.0, 0, 52.0, 43.09375, 0.0, 60.0, 28.0, 12.0, 0.0, 0.0, 52.0, 20.0, 12.0, 0.0, 36.0, 20.0, 195.0, 61.0, 27.0, 16.0, 132.0, "Tous les candidats", 527.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "5345", "Licence - Administration publique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5345&g_ta_cod=5345", 43.0, 24.0, 29.0),
(12611, "Public", "0760095R", "Lycée Blaise Pascal", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Production - Conception de produits industriels", "BTS - Production", "", 60, 383, 46, 374, 0, 40, 5, 124, 29, 63, 27, 147, 9, 0, 5, 0, 4, 315, 7, 0, 0, 37, 4, 117, 26, 54, 21, 107, 218, 55, 5, 52, 3, 21.0, 48.0, 51.0, 0, 13, 39, 6, 18, 15, 16, 2, 16, 13, 8, 0, 0.0, 1, 7, 13, 4, 0, 35, 35, 38.18, 87.27, 92.73, 9.099609375, 89.6875, 89.6875, 10.298828125, 33.296875, 70.890625, 5.099609375, 41.0, 33.296875, 20.5, 0.0, 0.0, 15.3984375, 2.599609375, 46.1953125, 17.8984375, 38.5, 33.296875, 34.0, 4.0, 44.0, 17.0, 49.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 139, "Liste d'appel propre à cette formation", 66.0, "9602", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9602&g_ta_cod=9602", 18.0, 45.0, 36.0),
(12612, "Public", "0290007A", "Lycée La Pérouse - Kerichen", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "CPGE", "Lycée La Pérouse - Kerichen - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 330, 148, 330, 192, 278, 19, 0, 0, 0, 0, 52, 0, 0, 0, 0, 0, 278, 0, 156, 266, 257, 14, 0, 0, 0, 0, 21, 182, 15, 7, 15, 0, 4.0, 10.0, 14.0, 4, 2, 15, 15, 0, 0, 0, 0, 0, 3, 5, 7, 0.0, 15, 0, 0, 0, 0, 15, 15, 26.67, 66.67, 93.33, 46.6953125, 100.0, 100.0, 0, 13.298828125, 100.0, 0.0, 0.0, 20.0, 33.296875, 46.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 165.0, 13.0, 0.0, 0.0, 17.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "31580", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31383&g_ta_cod=31580", 100.0, 0.0, 0.0),
(12613, "Public", "0782587N", "Lycée Viollet-Le-Duc", "78", "Yvelines", "Ile-de-France", "Versailles", "Villiers-Saint-Frédéric", "formation sélective", "BTS", "Lycée Viollet-Le-Duc - BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "BTS - Production", "", 15, 289, 22, 242, 0, 1, 0, 30, 5, 99, 42, 112, 47, 0, 10, 23, 14, 89, 2, 0, 0, 1, 0, 21, 3, 54, 18, 13, 71, 11, 0, 9, 1, 4.0, 9.0, 10.0, 0, 3, 11, 0, 2, 9, 0, 0, 2, 8, 1, 0, 0.0, 0, 0, 9, 5, 0, 10, 11, 36.36, 81.82, 90.91, 0.0, 90.890625, 100.0, 45.5, 27.296875, 100.0, 0.0, 18.19921875, 72.6875, 9.099609375, 0.0, 0.0, 0.0, 0.0, 18.19921875, 0.0, 81.796875, 81.796875, 1.0, 0.0, 39.0, 12.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 37.0, "10067", "BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10067&g_ta_cod=10067", 0.0, 18.0, 82.0),
(12614, "Public", "0932030B", "Lycée Maurice Utrillo", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Stains", "formation sélective", "BTS", "Lycée Maurice Utrillo - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 33, 1274, 648, 1274, 0, 57, 27, 301, 162, 474, 269, 442, 0, 0, 0, 0, 0, 1013, 0, 0, 0, 57, 27, 242, 122, 379, 216, 335, 168, 29, 9, 29, 0, 0.0, 15.0, 21.0, 0, 14, 23, 1, 8, 14, 6, 0, 10, 7, 6, 0, 0.0, 0, 2, 11, 2, 0, 15, 23, 0.0, 51.72, 72.41, 31.0, 65.1875, 100.0, 8.69921875, 60.8984375, 79.296875, 0.0, 43.5, 30.3984375, 26.09765625, 0.0, 0.0, 4.2998046875, 0.0, 34.796875, 8.69921875, 60.8984375, 47.796875, 12.0, 10.0, 70.0, 44.0, 46.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 117, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 17.0, "11322", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11322&g_ta_cod=11322", 14.0, 34.0, 52.0),
(12615, "Public", "0141112H", "Lycée agricole Le Robillard", "14", "Calvados", "Normandie", "Normandie", "Saint-Pierre-en-Auge", "formation sélective", "BTS", "Lycée agricole Le Robillard - BTS - Agricole - productions animales", "BTS - Agricole", "", 32, 410, 244, 410, 0, 66, 11, 141, 28, 70, 21, 133, 0, 0, 0, 0, 0, 293, 0, 0, 0, 65, 10, 134, 28, 65, 19, 29, 152, 29, 20, 29, 0, 4.0, 24.0, 28.0, 0, 7, 28, 5, 14, 9, 1, 0, 9, 15, 3, 1, 0.0, 4, 8, 7, 5, 2, 20, 20, 13.79, 82.76, 96.55, 69.0, 71.390625, 71.390625, 17.8984375, 25.0, 96.59375, 0.0, 32.09375, 53.59375, 10.69921875, 3.6, 0.0, 17.8984375, 14.298828125, 50.0, 28.59765625, 32.09375, 25.0, 37.0, 6.0, 30.0, 13.0, 12.0, "Tous les candidats sauf les Bac professionnels", 180.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 54.0, "2834", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2834&g_ta_cod=2834", 21.0, 48.0, 31.0),
(12616, "Public", "0300027S", "Lycée Hemingway - De La Camargue", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Hemingway - De La Camargue - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 548, 390, 430, 0, 10, 1, 168, 105, 135, 83, 117, 118, 5, 10, 33, 70, 216, 20, 0, 0, 6, 0, 101, 63, 63, 35, 46, 185, 32, 25, 21, 11, 1.0, 20.0, 23.0, 0, 11, 19, 0, 11, 8, 13, 0, 6, 10, 2, 1, 0.0, 0, 7, 6, 0, 0, 14, 14, 3.13, 62.5, 71.88, 78.09375, 73.6875, 73.6875, 0, 57.8984375, 59.3984375, 0.0, 31.59765625, 52.59375, 10.5, 5.3, 0.0, 0.0, 0.0, 57.8984375, 36.796875, 42.09375, 31.59765625, 6.0, 1.0, 52.0, 28.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 115, "Liste d'appel propre à cette formation", 50.0, "3953", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3953&g_ta_cod=3953", 6.0, 53.0, 41.0),
(12617, "Public", "0851401L", "LGT Jean de Lattre de Tassigny", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "LGT Jean de Lattre de Tassigny - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 470, 58, 467, 0, 77, 15, 153, 33, 64, 19, 173, 3, 0, 0, 0, 3, 260, 0, 0, 0, 77, 15, 129, 23, 39, 14, 15, 71, 13, 0, 13, 0, 2.0, 11.0, 13.0, 0, 3, 12, 4, 5, 3, 1, 0, 4, 5, 2, 1, 0.0, 1, 4, 3, 0, 0, 11, 11, 15.38, 84.62, 100.0, 0.0, 91.6875, 91.6875, 0, 25.0, 92.296875, 0.0, 33.296875, 41.6953125, 16.69921875, 8.3, 0.0, 33.296875, 8.298828125, 41.6953125, 33.296875, 25.0, 25.0, 29.0, 6.0, 6.0, 1.0, 6.0, "Tous les candidats sauf les Bac professionnels", 191.0, "Bacheliers professionnels toutes séries", 12, "", 0, "Liste d'appel propre à cette formation", 43.0, "10546", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10546&g_ta_cod=10546", 31.0, 46.0, 23.0),
(12618, "Public", "9740019C", "Lycée Ambroise Vollard", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "Autre formation", "Lycée Ambroise Vollard - DN MADE - Mode - Mode éthique, stylisme, textile et images de communication", "DN MADE", "Mode éthique, stylisme, textile et images de communication", 16, 270, 221, 270, 0, 104, 34, 60, 27, 38, 23, 68, 0, 0, 0, 0, 0, 214, 0, 0, 0, 87, 28, 49, 20, 25, 15, 53, 48, 17, 12, 17, 0, 4.0, 14.0, 15.0, 0, 11, 15, 7, 7, 1, 2, 1, 0, 7, 4, 3, 0.0, 7, 7, 0, 0, 0, 8, 8, 23.53, 82.35, 88.24, 70.59375, 53.296875, 53.296875, 0, 73.296875, 88.1875, 6.69921875, 0.0, 46.6953125, 26.69921875, 20.0, 0.0, 46.6953125, 46.6953125, 46.6953125, 46.6953125, 6.69921875, 0.0, 13.0, 6.0, 5.0, 3.0, 13.0, "Tous les candidats", 56.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 21.0, "30912", "DN MADE - Mode - Mode éthique, stylisme, textile et images de communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30912&g_ta_cod=30912", 53.0, 41.0, 6.0),
(12619, "Public", "0782539L", "Lycée Saint Exupéry", "78", "Yvelines", "Ile-de-France", "Versailles", "Mantes-la-Jolie", "formation sélective", "CPGE", "Lycée Saint Exupéry - CPGE - MPSI", "Classe préparatoire scientifique", "", 33, 417, 116, 380, 0, 266, 42, 0, 0, 0, 0, 114, 37, 17, 0, 0, 20, 247, 7, 0, 247, 237, 33, 0, 0, 0, 0, 10, 216, 28, 7, 27, 1, 12.0, 24.0, 28.0, 0, 4, 27, 27, 0, 0, 1, 0, 7, 11, 7, 2, 0.0, 20, 0, 0, 5, 2, 22, 22, 42.86, 85.71, 100.0, 25.0, 81.5, 81.5, 18.5, 14.798828125, 96.390625, 0.0, 25.8984375, 40.6953125, 25.8984375, 7.4, 0.0, 100.0, 74.09375, 0.0, 0.0, 0.0, 0.0, 206.0, 31.0, 0.0, 0.0, 10.0, "Tous les candidats", 247.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "10025", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10025&g_ta_cod=10025", 100.0, 0.0, 0.0),
(12620, "Privé sous contrat d'association", "0530068L", "Lycée HAUTE-FOLLIS", "53", "Mayenne", "Pays de la Loire", "Nantes", "Laval", "formation sélective", "BTS", "Lycée HAUTE-FOLLIS - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 70, 566, 275, 542, 0, 75, 10, 220, 53, 151, 42, 96, 24, 5, 6, 3, 10, 421, 7, 0, 0, 64, 9, 184, 46, 130, 31, 43, 234, 61, 25, 55, 6, 16.0, 47.0, 54.0, 0, 13, 51, 14, 19, 18, 10, 0, 26, 22, 2, 1, 0.0, 4, 8, 13, 14, 3, 49, 49, 26.23, 77.05, 88.52, 41.0, 96.09375, 96.09375, 27.5, 25.5, 83.59375, 0.0, 51.0, 43.09375, 3.89990234375, 2.0, 0.0, 27.5, 7.7998046875, 37.296875, 15.69921875, 35.296875, 25.5, 50.0, 10.0, 59.0, 17.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 84.0, "Bacheliers professionnels toutes séries", 97, "Bacheliers technologiques toutes séries", 195, "Liste d'appel propre à cette formation", 69.0, "6213", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6213&g_ta_cod=6213", 30.0, 41.0, 30.0),
(12621, "Public", "0350700W", "Lycée agricole Theodore Monod", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Le Rheu", "formation sélective", "CPGE", "Lycée agricole Theodore Monod - CPGE - TB", "Classe préparatoire scientifique", "", 24, 237, 165, 237, 201, 0, 0, 222, 46, 0, 0, 15, 0, 0, 0, 0, 0, 223, 0, 192, 191, 0, 0, 222, 46, 0, 0, 1, 56, 24, 11, 24, 0, 7.0, 22.0, 23.0, 19, 7, 24, 0, 24, 0, 0, 0, 0, 10, 11, 3, 0.0, 0, 24, 0, 3, 1, 13, 13, 29.17, 91.67, 95.83, 45.796875, 54.1953125, 54.1953125, 12.5, 29.19921875, 100.0, 0.0, 0.0, 41.6953125, 45.796875, 12.5, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "Tous les candidats", 77.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "4666", "CPGE - TB", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4666&g_ta_cod=4666", 0.0, 100.0, 0.0),
(12622, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation sélective", "Autre formation", "INALCO - Diplôme d'Université - Diplôme d'Initiation au Chinois", "Diplôme d'Université", "Diplôme d'Initiation au Chinois", 250, 817, 579, 467, 0, 233, 51, 16, 5, 18, 7, 200, 350, 65, 23, 18, 244, 377, 246, 0, 0, 205, 43, 11, 2, 12, 5, 149, 614, 244, 178, 100, 144, 75.0, 100.0, 181.0, 0, 15, 71, 57, 10, 4, 173, 0, 21, 30, 16, 3, 1.0, 43, 5, 2, 0, 0, 7, 46, 30.74, 40.98, 74.18, 73.0, 9.8984375, 64.796875, 0, 21.09765625, 29.09765625, 0.0, 29.59765625, 42.296875, 22.5, 4.2, 1.4, 80.296875, 60.59375, 14.099609375, 7.0, 5.599609375, 2.7998046875, 239.0, 52.0, 23.0, 9.0, 325.0, "Tous les candidats", 377.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "22932", "Diplôme d'Université - Diplôme d'Initiation au Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22932&g_ta_cod=22932", 80.0, 13.0, 7.0),
(12623, "Public", "0460697H", "I.U.T de Figeac", "46", "Lot", "Occitanie", "Toulouse", "Figeac", "formation sélective", "BUT", "I.U.T de Figeac - BUT - Techniques de commercialisation Parcours : Business développement et management de la relation client - Marketing digital, e business et entrepreneuriat", "BUT - Service", "Business développement et management de la relation client - Marketing digital, e business et entrepreneuriat", 80, 1384, 637, 1380, 0, 733, 106, 405, 104, 12, 7, 230, 4, 0, 4, 0, 0, 1117, 0, 0, 0, 655, 88, 286, 62, 4, 3, 172, 604, 72, 34, 72, 0, 11.0, 43.0, 64.0, 0, 12, 59, 31, 27, 1, 13, 0, 16, 39, 4, 0, 0.0, 24, 18, 1, 0, 0, 40, 40, 15.28, 59.72, 88.89, 47.1953125, 67.796875, 67.796875, 0, 20.296875, 81.890625, 0.0, 27.09765625, 66.09375, 6.7998046875, 0.0, 0.0, 52.5, 40.6953125, 45.796875, 30.5, 1.699951171875, 1.699951171875, 306.0, 63.0, 2.0, 2.0, 75.0, "Tous les candidats sauf les Bac technologiques", 441.0, "Bacheliers technologiques toutes séries", 275, "", 0, "Liste d'appel propre à cette formation", 52.0, "5757", "BUT - Techniques de commercialisation Parcours : Business développement et management de la relation client - Marketing digital, e business et entrepreneuriat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5757&g_ta_cod=5757", 53.0, 46.0, 1.0),
(12624, "Privé enseignement supérieur", "0922369A", "Ecole de Management Léonard De Vinci (EMLV) (EESTP)", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Courbevoie", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "Programme Grande Ecole - Campus de Paris la Défense", 380, 4019, 1725, 3925, 0, 3439, 119, 243, 10, 7, 3, 236, 94, 44, 2, 1, 47, 3375, 70, 0, 0, 3033, 95, 166, 7, 1, 1, 175, 3099, 425, 161, 389, 36, 263.0, 388.0, 413.0, 0, 18, 382, 347, 35, 0, 43, 0, 98, 196, 81, 7, 0.0, 250, 34, 0, 0, 0, 249, 336, 61.88, 91.29, 97.18, 37.8984375, 65.1875, 88.0, 0, 4.69921875, 89.890625, 0.0, 25.69921875, 51.296875, 21.19921875, 1.8, 0.0, 90.796875, 65.390625, 9.19921875, 8.8984375, 0.0, 0.0, 2764.0, 96.0, 1.0, 1.0, 187.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "26110", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=26110", 91.0, 9.0, 0.0),
(12625, "Public", "9720844K", "Lycée professionnel Place D Armes", "972", "Martinique", "Martinique", "Martinique", "Le Lamentin", "formation sélective", "Autre formation", "Lycée professionnel Place D Armes - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 12, 59, 18, 49, 0, 18, 6, 8, 5, 15, 11, 8, 10, 2, 1, 5, 2, 20, 4, 0, 0, 11, 3, 2, 1, 5, 4, 2, 24, 7, 2, 7, 0, 4.0, 7.0, 7.0, 0, 2, 5, 1, 1, 3, 2, 0, 4, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 5, 5, 57.14, 100.0, 100.0, 28.59765625, 100.0, 100.0, 0, 40.0, 71.390625, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 20.0, 0.0, 20.0, 0.0, 60.0, 20.0, 11.0, 3.0, 6.0, 5.0, 3.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "29242", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29242&g_ta_cod=29242", 14.0, 14.0, 71.0),
(12626, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Arts plastiques", "Licence - Arts-lettres-langues", "", 84, 496, 399, 496, 0, 301, 80, 45, 14, 30, 15, 120, 0, 0, 0, 0, 0, 377, 0, 0, 0, 250, 67, 28, 6, 14, 9, 85, 237, 83, 72, 83, 0, 20.0, 66.0, 78.0, 0, 17, 51, 42, 4, 5, 32, 0, 12, 27, 12, 0, 0.0, 31, 3, 5, 0, 0, 21, 21, 24.1, 79.52, 93.98, 86.6875, 41.1953125, 41.1953125, 0, 33.296875, 61.3984375, 0.0, 23.5, 52.8984375, 23.5, 0.0, 0.0, 82.390625, 60.796875, 7.7998046875, 5.8994140625, 9.798828125, 9.798828125, 153.0, 46.0, 10.0, 6.0, 58.0, "Tous les candidats", 291.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "4166", "Licence - Arts plastiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4166&g_ta_cod=4166", 75.0, 11.0, 14.0),
(12627, "Privé sous contrat d'association", "0690651H", "Lycée professionnel Saint Joseph", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Saint Joseph - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 10, 32, 0, 32, 0, 0, 0, 0, 0, 30, 10, 2, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 30, 10, 2, 25, 7, 0, 7, 0, 4.0, 7.0, 7.0, 0, 2, 6, 0, 0, 6, 1, 0, 5, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 4, 4, 57.14, 100.0, 100.0, 0.0, 66.6875, 66.6875, 0, 33.296875, 85.6875, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 16.69921875, 0.0, 0.0, 23.0, 7.0, 2.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "17219", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17219&g_ta_cod=17219", 0.0, 0.0, 100.0),
(12628, "Privé sous contrat d'association", "0860740M", "IRTS POITOU CHARENTES", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "EFTS", "IRTS POITOU CHARENTES - D.E Assistant de Service Social", "D.E secteur social", "", 50, 156, 139, 151, 0, 31, 8, 25, 3, 5, 2, 90, 5, 0, 0, 0, 5, 101, 2, 0, 0, 19, 8, 13, 2, 3, 1, 66, 88, 48, 42, 46, 2, 22.0, 46.0, 46.0, 0, 4, 15, 9, 3, 3, 33, 0, 2, 7, 6, 0, 0.0, 8, 2, 3, 0, 0, 7, 7, 45.83, 95.83, 95.83, 87.5, 46.6953125, 46.6953125, 0, 26.69921875, 31.296875, 0.0, 13.298828125, 46.6953125, 40.0, 0.0, 0.0, 60.0, 53.296875, 20.0, 13.298828125, 20.0, 20.0, 18.0, 7.0, 3.0, 1.0, 56.0, "Tous les candidats", 101.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "24934", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24934&g_ta_cod=24934", 56.0, 31.0, 10.0),
(12629, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales (MIASHS)", "Licence - Sciences humaines et sociales", "Mathématiques et informatique appliquées aux sciences humaines et sociales (MIASHS)", 185, 1533, 717, 1521, 0, 976, 193, 55, 21, 12, 9, 478, 12, 3, 0, 0, 9, 1521, 12, 0, 0, 976, 193, 55, 21, 12, 9, 478, 913, 190, 83, 181, 9, 19.0, 114.0, 156.0, 0, 31, 107, 97, 8, 2, 83, 3, 47, 32, 19, 5, 1.0, 52, 3, 2, 0, 0, 77, 77, 10.0, 60.0, 82.11, 43.6953125, 72.0, 72.0, 0, 29.0, 56.296875, 2.7998046875, 43.8984375, 29.8984375, 17.796875, 4.7, 0.9, 90.6875, 48.59375, 7.5, 2.7998046875, 1.89990234375, 1.89990234375, 587.0, 125.0, 8.0, 6.0, 286.0, "Tous les candidats", 1015.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "8376", "Licence - Portail Mathématiques et informatique appliquées aux sciences humaines et sociales (MIASHS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8376&g_ta_cod=8376", 87.0, 9.0, 3.0),
(12630, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Information et communication - Parcours Documentation", "Licence - Sciences humaines et sociales", "Documentation", 120, 501, 355, 409, 0, 185, 60, 49, 18, 14, 7, 161, 92, 5, 10, 4, 73, 408, 85, 0, 0, 185, 60, 49, 18, 14, 7, 160, 493, 116, 68, 83, 33, 83.0, 83.0, 90.0, 0, 23, 48, 30, 13, 5, 68, 0, 19, 23, 6, 0, 0.0, 22, 4, 3, 0, 0, 23, 23, 71.55, 71.55, 77.59, 58.59375, 47.8984375, 47.8984375, 0, 47.8984375, 41.3984375, 0.0, 39.59375, 47.8984375, 12.5, 0.0, 0.0, 62.5, 45.796875, 27.09765625, 8.298828125, 10.3984375, 6.2998046875, 190.0, 61.0, 18.0, 11.0, 226.0, "Tous les candidats", 408.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "17712", "Licence - Information et communication - Parcours Documentation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17712&g_ta_cod=17712", 60.0, 27.0, 10.0),
(12631, "Privé sous contrat d'association", "0830100H", "Lycée Notre Dame", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Notre Dame - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 15, 278, 197, 258, 0, 64, 11, 78, 11, 12, 6, 104, 20, 0, 9, 0, 11, 170, 2, 0, 0, 56, 9, 68, 11, 8, 4, 38, 89, 13, 10, 12, 1, 0.0, 7.0, 10.0, 0, 1, 11, 6, 4, 1, 2, 0, 4, 7, 0, 0, 0.0, 5, 1, 1, 2, 1, 8, 8, 0.0, 53.85, 76.92, 76.890625, 72.6875, 72.6875, 18.19921875, 9.099609375, 84.59375, 0.0, 36.3984375, 63.59375, 0.0, 0.0, 0.0, 54.5, 45.5, 36.3984375, 9.099609375, 9.099609375, 9.099609375, 34.0, 4.0, 4.0, 3.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 4, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 47.0, "10351", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10351&g_ta_cod=10351", 54.0, 38.0, 8.0),
(12632, "Public", "0332468D", "Lycée St Louis", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée St Louis - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 15, 1060, 768, 1060, 0, 301, 48, 360, 85, 65, 19, 334, 0, 0, 0, 0, 0, 620, 0, 0, 0, 226, 29, 220, 45, 30, 8, 144, 110, 14, 12, 14, 0, 2.0, 10.0, 13.0, 0, 3, 12, 4, 6, 2, 2, 0, 1, 6, 4, 1, 0.0, 4, 6, 1, 4, 2, 7, 7, 14.29, 71.43, 92.86, 85.6875, 58.296875, 58.296875, 33.296875, 25.0, 85.6875, 0.0, 8.298828125, 50.0, 33.296875, 8.3, 0.0, 33.296875, 33.296875, 50.0, 50.0, 16.69921875, 8.298828125, 32.0, 7.0, 4.0, 2.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 114.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 125, "Liste d'appel propre à cette formation", 23.0, "4437", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4437&g_ta_cod=4437", 36.0, 50.0, 14.0),
(12633, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Arts du spectacle - Parcours Théâtre", "Licence - Arts-lettres-langues", "Théâtre", 150, 904, 636, 833, 0, 542, 138, 68, 15, 41, 15, 182, 71, 14, 4, 7, 46, 833, 31, 0, 0, 542, 138, 68, 15, 41, 15, 182, 638, 145, 100, 127, 18, 51.0, 122.0, 127.0, 0, 34, 107, 77, 20, 10, 38, 0, 36, 49, 18, 4, 0.0, 52, 13, 6, 0, 0, 50, 50, 35.17, 84.14, 87.59, 69.0, 46.6953125, 46.6953125, 0, 31.796875, 73.796875, 0.0, 33.59375, 45.796875, 16.796875, 3.7, 0.0, 72.0, 48.59375, 18.69921875, 12.099609375, 9.298828125, 5.599609375, 402.0, 102.0, 34.0, 14.0, 142.0, "Tous les candidats", 835.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4742", "Licence - Arts du spectacle - Parcours Théâtre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4742&g_ta_cod=4742", 72.0, 17.0, 10.0),
(12634, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Information et communication", "Licence - Arts-lettres-langues", "", 360, 3511, 2573, 3511, 0, 2259, 354, 376, 91, 46, 15, 830, 0, 0, 0, 0, 0, 3511, 0, 0, 0, 2259, 354, 376, 91, 46, 15, 830, 1513, 360, 285, 360, 0, 67.0, 301.0, 341.0, 0, 57, 304, 276, 23, 5, 56, 0, 32, 170, 96, 6, 0.0, 249, 19, 4, 0, 0, 141, 141, 18.61, 83.61, 94.72, 79.1875, 46.3984375, 46.3984375, 0, 18.796875, 84.390625, 0.0, 10.5, 55.8984375, 31.59765625, 2.0, 0.0, 90.796875, 81.890625, 7.599609375, 6.2998046875, 1.599853515625, 1.2998046875, 1193.0, 176.0, 9.0, 3.0, 185.0, "Tous les candidats", 2060.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "4743", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4743&g_ta_cod=4743", 90.0, 7.0, 3.0),
(12635, "Public", "0333269Z", "La Prépa des INP - Groupe INP - Bordeaux", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation sélective", "Ecole d'Ingénieur", "La Prépa des INP - Groupe INP - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 68, 4299, 1453, 4299, 0, 4165, 362, 0, 0, 0, 0, 134, 0, 0, 0, 0, 0, 3010, 0, 0, 0, 2986, 221, 0, 0, 0, 0, 24, 916, 72, 28, 72, 0, 36.0, 59.0, 69.0, 0, 8, 69, 69, 0, 0, 3, 0, 0, 0, 5, 54, 10.0, 69, 0, 0, 0, 0, 37, 37, 50.0, 81.94, 95.83, 38.8984375, 53.59375, 53.59375, 0, 11.599609375, 95.796875, 0.0, 0.0, 0.0, 7.19921875, 78.3, 14.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 903.0, 84.0, 0.0, 0.0, 13.0, "Tous les candidats", 1478.0, "Autres formations", 17, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "3", "Formation d'ingénieur Bac + 5 - Bac général", "La Prépa des INP - Groupe INP", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=1&g_ta_cod=3", 100.0, 0.0, 0.0),
(12636, "Public", "0800009A", "Lycée Louis Thuillier", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "CPGE", "Lycée Louis Thuillier - CPGE - PCSI", "Classe préparatoire scientifique", "", 96, 775, 300, 769, 539, 540, 70, 1, 0, 0, 0, 228, 6, 1, 0, 0, 5, 618, 1, 440, 587, 476, 57, 0, 0, 0, 0, 142, 415, 74, 31, 73, 1, 5.0, 56.0, 73.0, 30, 7, 42, 42, 0, 0, 32, 0, 1, 10, 20, 10, 1.0, 41, 0, 0, 6, 3, 31, 31, 6.76, 75.68, 98.65, 41.8984375, 73.796875, 73.796875, 14.298828125, 16.69921875, 56.796875, 0.0, 2.39990234375, 23.796875, 47.59375, 23.8, 2.4, 100.0, 97.59375, 0.0, 0.0, 0.0, 0.0, 303.0, 37.0, 0.0, 0.0, 112.0, "Tous les candidats", 606.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "10151", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10151&g_ta_cod=10151", 100.0, 0.0, 0.0),
(12637, "Privé sous contrat d'association", "0761341V", "Lycée Les Tourelles", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Les Tourelles - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 284, 184, 258, 0, 26, 6, 82, 20, 72, 30, 78, 26, 0, 4, 9, 13, 209, 9, 0, 0, 25, 5, 77, 18, 62, 21, 45, 177, 27, 18, 24, 3, 4.0, 19.0, 24.0, 0, 7, 21, 5, 9, 7, 6, 3, 11, 4, 3, 0, 0.0, 1, 2, 4, 3, 0, 21, 21, 14.81, 70.37, 88.89, 66.6875, 100.0, 100.0, 14.298828125, 33.296875, 77.796875, 14.298828125, 52.3984375, 19.0, 14.298828125, 0.0, 0.0, 23.796875, 4.7998046875, 42.8984375, 9.5, 33.296875, 19.0, 18.0, 4.0, 61.0, 22.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 73.0, "9637", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9637&g_ta_cod=9637", 19.0, 52.0, 30.0),
(12638, "Public", "9730196A", "Lycée Leon-Gontran Damas", "973", "Guyane", "Guyane", "Guyane", "Remire-Montjoly", "formation sélective", "BTS", "Lycée Leon-Gontran Damas - BTS - Production - Bâtiment", "BTS - Production", "", 15, 140, 24, 140, 0, 7, 5, 41, 18, 63, 41, 29, 0, 0, 0, 0, 0, 78, 0, 0, 0, 4, 4, 30, 13, 36, 23, 8, 35, 15, 3, 15, 0, 7.0, 14.0, 15.0, 0, 7, 14, 1, 7, 6, 1, 1, 2, 7, 4, 0, 0.0, 0, 7, 4, 8, 2, 14, 14, 46.67, 93.33, 100.0, 20.0, 100.0, 100.0, 57.09375, 50.0, 93.296875, 7.099609375, 14.298828125, 50.0, 28.59765625, 0.0, 0.0, 7.099609375, 0.0, 50.0, 50.0, 42.8984375, 28.59765625, 2.0, 2.0, 17.0, 10.0, 5.0, "Tous les candidats sauf les Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 29.0, "11860", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11860&g_ta_cod=11860", 7.0, 53.0, 40.0),
(12639, "Public", "0940123Y", "Lycée Guillaume Apollinaire", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Thiais", "formation sélective", "BTS", "Lycée Guillaume Apollinaire - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1122, 524, 1122, 0, 50, 21, 349, 142, 416, 203, 307, 0, 0, 0, 0, 0, 1122, 0, 0, 0, 50, 21, 349, 142, 416, 203, 307, 132, 35, 19, 35, 0, 5.0, 28.0, 30.0, 0, 16, 27, 5, 6, 16, 8, 0, 12, 8, 7, 0, 0.0, 1, 5, 9, 3, 2, 25, 27, 14.29, 80.0, 85.71, 54.296875, 92.59375, 100.0, 11.099609375, 59.296875, 77.09375, 0.0, 44.3984375, 29.59765625, 25.8984375, 0.0, 0.0, 18.5, 3.69970703125, 22.19921875, 18.5, 59.296875, 33.296875, 19.0, 11.0, 49.0, 25.0, 45.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 15.0, "11402", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11402&g_ta_cod=11402", 20.0, 34.0, 46.0),
(12640, "Public", "0440288Z", "Lycée général et technologique Albert Camus", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée général et technologique Albert Camus - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 32, 1135, 540, 1074, 0, 128, 37, 268, 97, 138, 74, 540, 61, 4, 17, 2, 38, 413, 14, 0, 0, 68, 18, 198, 63, 61, 35, 86, 217, 31, 18, 23, 7, 3.0, 16.0, 26.0, 0, 12, 17, 4, 8, 5, 14, 0, 9, 6, 2, 0, 0.0, 2, 4, 2, 4, 4, 14, 14, 9.68, 51.61, 83.87, 58.09375, 82.390625, 82.390625, 23.5, 70.59375, 54.796875, 0.0, 52.8984375, 35.296875, 11.798828125, 0.0, 0.0, 23.5, 11.798828125, 47.09375, 23.5, 29.3984375, 11.798828125, 34.0, 13.0, 30.0, 14.0, 62.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 124.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 222, "Liste d'appel propre à cette formation", 38.0, "5538", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5538&g_ta_cod=5538", 48.0, 32.0, 19.0),
(12641, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université de Montpellier - Licence - Portail Droit - Droit (Faculté de Droit et Science Politique)", "Licence - Droit-économie-gestion", "Droit (Faculté de Droit et Science Politique)", 1120, 7793, 5774, 7736, 0, 5532, 1280, 639, 236, 143, 82, 1422, 57, 14, 6, 1, 36, 7734, 52, 0, 0, 5532, 1280, 639, 236, 143, 82, 1420, 3824, 1108, 806, 1067, 40, 258.0, 877.0, 986.0, 0, 277, 923, 835, 69, 19, 185, 2, 195, 345, 295, 80, 6.0, 672, 41, 13, 0, 0, 776, 776, 23.29, 79.15, 88.99, 72.6875, 84.09375, 84.09375, 0, 30.0, 83.296875, 0.199981689453125, 21.09765625, 37.3984375, 32.0, 8.7, 0.7, 90.5, 72.796875, 7.5, 4.3994140625, 2.099609375, 1.39990234375, 2664.0, 670.0, 49.0, 30.0, 861.0, "Tous les candidats", 4521.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 56.0, "4541", "Licence - Portail Droit - Droit (Faculté de Droit et Science Politique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28692&g_ta_cod=4541", 89.0, 8.0, 3.0),
(12642, "Privé sous contrat d'association", "0590347G", "ISEN Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "bac STL", 5, 20, 8, 20, 0, 0, 0, 20, 9, 0, 0, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 7, 4, 0, 0, 0, 7, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "23342", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=23342", 0, 0, 0),
(12643, "Public", "0021890U", "Institut de Formation en Soins Infirmiers - CHAUNY", "02", "Aisne", "Hauts-de-France", "Amiens", "Chauny", "formation sélective", "IFSI", "Regroupement d'IFSI Université Amiens - D.E Infirmier", "D.E secteur sanitaire", "", 56, 2409, 2005, 2409, 0, 387, 83, 423, 130, 343, 148, 1256, 0, 0, 0, 0, 0, 1618, 0, 0, 0, 316, 66, 308, 85, 244, 95, 750, 732, 55, 47, 55, 0, 0.0, 21.0, 38.0, 0, 15, 39, 11, 11, 17, 16, 0, 12, 18, 8, 1, 0.0, 7, 6, 14, 0, 0, 36, 36, 0.0, 38.18, 69.09, 85.5, 92.296875, 92.296875, 0, 38.5, 70.890625, 0.0, 30.796875, 46.1953125, 20.5, 2.6, 0.0, 28.19921875, 17.8984375, 28.19921875, 15.3984375, 43.59375, 35.8984375, 149.0, 37.0, 129.0, 56.0, 324.0, "Tous les candidats", 2895.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 47.0, "23075", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23008&g_ta_cod=23075", 38.0, 31.0, 31.0),
(12644, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Portail Physique / Chimie / Sciences pour l'Ingénieur /  Sciences de la Terre", "Licence - Sciences - technologies - santé", "Physique / Chimie / Sciences pour l'Ingénieur /  Sciences de la Terre : Sciences de la terre", 20, 332, 166, 332, 0, 195, 24, 19, 4, 3, 0, 115, 0, 0, 0, 0, 0, 330, 0, 0, 0, 195, 24, 19, 4, 3, 0, 113, 330, 16, 5, 16, 0, 16.0, 16.0, 16.0, 0, 0, 7, 4, 3, 0, 9, 0, 3, 2, 2, 0, 0.0, 3, 1, 0, 0, 0, 3, 3, 100.0, 100.0, 100.0, 31.296875, 42.8984375, 42.8984375, 0, 0.0, 43.796875, 0.0, 42.8984375, 28.59765625, 28.59765625, 0.0, 0.0, 57.09375, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 195.0, 24.0, 3.0, 0.0, 113.0, "Tous les candidats", 1334.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "22794", "Licence - Portail Physique / Chimie / Sciences pour l'Ingénieur /  Sciences de la Terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20731&g_ta_cod=22794", 69.0, 31.0, 0.0),
(12645, "Privé sous contrat d'association", "0693623N", "CPE Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 85, 1945, 402, 1932, 0, 1922, 169, 0, 0, 0, 0, 10, 13, 11, 0, 0, 2, 1765, 4, 0, 0, 1765, 126, 0, 0, 0, 0, 0, 1474, 72, 10, 70, 2, 41.0, 66.0, 72.0, 0, 7, 72, 72, 0, 0, 0, 0, 5, 37, 26, 4, 0.0, 67, 0, 0, 0, 0, 33, 33, 56.94, 91.67, 100.0, 13.8984375, 45.796875, 45.796875, 0, 9.69921875, 100.0, 0.0, 6.8994140625, 51.3984375, 36.09375, 5.6, 0.0, 100.0, 93.09375, 0.0, 0.0, 0.0, 0.0, 1474.0, 120.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "85", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=85", 100.0, 0.0, 0.0),
(12646, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation non sélective", "Licence_Las", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Licence - Portail Humanités", "Licence - Arts-lettres-langues", "", 36, 294, 215, 250, 0, 110, 34, 14, 3, 10, 4, 116, 44, 11, 3, 1, 29, 250, 43, 0, 0, 110, 34, 14, 3, 10, 4, 116, 226, 32, 28, 20, 11, 1.0, 18.0, 25.0, 0, 3, 15, 14, 0, 1, 17, 2, 5, 6, 2, 0, 0.0, 7, 0, 1, 0, 0, 12, 12, 3.13, 56.25, 78.13, 87.5, 80.0, 80.0, 0, 20.0, 46.8984375, 13.298828125, 33.296875, 40.0, 13.298828125, 0.0, 0.0, 93.296875, 46.6953125, 0.0, 0.0, 6.69921875, 6.69921875, 90.0, 25.0, 4.0, 2.0, 124.0, "Tous les candidats", 655.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "26782", "Licence - Portail Humanités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26781&g_ta_cod=26782", 84.0, 9.0, 6.0),
(12647, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation non sélective", "PASS", "Université de Franche-Comté - Site de Besançon - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 90, 2759, 1735, 2759, 0, 2340, 285, 49, 10, 3, 3, 367, 0, 0, 0, 0, 0, 2760, 0, 0, 0, 2341, 286, 49, 10, 3, 3, 367, 424, 90, 52, 90, 0, 4.0, 72.0, 87.0, 0, 13, 90, 90, 0, 0, 0, 0, 1, 24, 48, 15, 2.0, 89, 0, 0, 0, 0, 81, 81, 4.44, 80.0, 96.67, 57.796875, 90.0, 90.0, 0, 14.3984375, 100.0, 0.0, 1.099853515625, 26.69921875, 53.296875, 16.7, 2.2, 100.0, 98.890625, 0.0, 0.0, 0.0, 0.0, 424.0, 59.0, 0.0, 0.0, 0.0, "Tous les candidats", 3714.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 56.0, "27502", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27350&g_ta_cod=27502", 100.0, 0.0, 0.0),
(12648, "Privé enseignement supérieur", "0630111D", "Institut National des Formations Notariales - site de CLERMONT-FERRAND", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Institut National des Formations Notariales - site de CLERMONT-FERRAND - BTS - Services - Notariat", "BTS - Services", "", 45, 294, 209, 270, 0, 114, 19, 41, 11, 13, 6, 102, 24, 6, 7, 0, 11, 55, 7, 0, 0, 39, 6, 3, 1, 3, 0, 10, 62, 14, 8, 12, 2, 12.0, 12.0, 14.0, 0, 1, 12, 10, 2, 0, 2, 0, 3, 6, 2, 1, 0.0, 7, 2, 0, 0, 0, 9, 9, 85.71, 85.71, 100.0, 57.09375, 75.0, 75.0, 0, 8.298828125, 85.6875, 0.0, 25.0, 50.0, 16.69921875, 8.3, 0.0, 83.296875, 58.296875, 16.69921875, 16.69921875, 0.0, 0.0, 40.0, 6.0, 3.0, 0.0, 13.0, "Tous les candidats", 55.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "7590", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7590&g_ta_cod=7590", 79.0, 14.0, 0.0),
(12649, "Public", "0351576Y", "Unité de Formation et de Recherche des Sciences Médicales Université de Rennes 1", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Regroupement inter-régions - D.E Audioprothésiste", "D.E secteur sanitaire", "", 30, 699, 442, 699, 0, 222, 34, 30, 13, 3, 2, 444, 0, 0, 0, 0, 0, 433, 0, 0, 0, 161, 20, 2, 1, 0, 0, 270, 184, 29, 18, 29, 0, 3.0, 21.0, 27.0, 0, 1, 16, 16, 0, 0, 13, 0, 0, 3, 10, 3, 0.0, 16, 0, 0, 0, 0, 6, 6, 10.34, 72.41, 93.1, 62.09375, 37.5, 37.5, 0, 6.2998046875, 55.1953125, 0.0, 0.0, 18.796875, 62.5, 18.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 73.0, 13.0, 0.0, 0.0, 111.0, "Tous les candidats", 556.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 37.0, "28062", "D.E Audioprothésiste", "Regroupement inter-régions", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28060&g_ta_cod=28062", 97.0, 3.0, 0.0),
(12650, "Public", "9740911X", "Centre de Ressources, d'Expertise et de Performance Sportive de la Réunion (CREPS)", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "Autre formation", "CREPS de la Réunion - BPJEPS - Activités de la forme", "BPJEPS", "", 3, 94, 28, 94, 0, 27, 10, 32, 16, 10, 7, 25, 0, 0, 0, 0, 0, 6, 0, 0, 0, 3, 2, 0, 0, 0, 0, 3, 3, 3, 0, 3, 0, 3.0, 3.0, 3.0, 0, 1, 2, 2, 0, 0, 1, 0, 0, 0, 2, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 50.0, 66.6875, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 2.0, 1.0, 0.0, 0.0, 1.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 3.0, "21295", "BPJEPS - Activités de la forme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21295&g_ta_cod=21295", 100.0, 0.0, 0.0),
(12651, "Public", "0870056N", "Lycée Turgot", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée Turgot - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 267, 12, 264, 0, 20, 2, 55, 19, 115, 53, 74, 3, 0, 0, 0, 3, 187, 1, 0, 0, 20, 2, 54, 18, 95, 40, 18, 89, 23, 0, 22, 1, 5.0, 14.0, 21.0, 0, 9, 19, 3, 5, 11, 4, 0, 9, 6, 3, 1, 0.0, 0, 3, 7, 4, 0, 17, 17, 21.74, 60.87, 91.3, 0.0, 89.5, 89.5, 21.09765625, 47.3984375, 82.59375, 0.0, 47.3984375, 31.59765625, 15.798828125, 5.3, 0.0, 15.798828125, 0.0, 26.296875, 15.798828125, 57.8984375, 36.796875, 10.0, 2.0, 32.0, 13.0, 8.0, "Tous les candidats sauf les Bac professionnels", 79.0, "Bacheliers professionnels toutes séries", 59, "", 0, "Liste d'appel propre à cette formation", 52.0, "10677", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10677&g_ta_cod=10677", 17.0, 30.0, 52.0),
(12652, "Public", "0624062D", "IUT LITTORAL (SAINT OMER)", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Omer", "formation sélective", "BUT", "IUT LITTORAL (SAINT OMER) - BUT - Gestion administrative et commerciale des organisations Parcours : Management des fonctions supports - Management commercial et marketing omnicanal", "BUT - Service", "Management des fonctions supports - Management commercial et marketing omnicanal", 56, 648, 344, 648, 0, 287, 42, 254, 68, 4, 3, 103, 0, 0, 0, 0, 0, 595, 0, 0, 0, 264, 37, 247, 67, 0, 0, 84, 234, 51, 33, 51, 0, 20.0, 46.0, 49.0, 0, 11, 43, 21, 22, 0, 8, 0, 11, 18, 8, 6, 0.0, 16, 16, 0, 0, 0, 40, 40, 39.22, 90.2, 96.08, 64.6875, 93.0, 93.0, 0, 25.59765625, 84.296875, 0.0, 25.59765625, 41.8984375, 18.59765625, 14.0, 0.0, 48.796875, 37.1953125, 51.1953125, 37.1953125, 0.0, 0.0, 101.0, 24.0, 0.0, 0.0, 30.0, "Tous les candidats sauf les Bac technologiques", 208.0, "Bacheliers technologiques toutes séries", 163, "", 0, "Liste d'appel propre à cette formation", 57.0, "7530", "BUT - Gestion administrative et commerciale des organisations Parcours : Management des fonctions supports - Management commercial et marketing omnicanal", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7530&g_ta_cod=7530", 49.0, 51.0, 0.0),
(12653, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Economie - Parcours BUP (Bachelor Universitaire Professionnel) Conseiller de Clientèle de Particuliers Multicanal", "Licence - Droit-économie-gestion", "BUP (Bachelor Universitaire Professionnel) Conseiller de Clientèle de Particuliers Multicanal", 20, 597, 213, 292, 0, 122, 33, 79, 32, 10, 3, 81, 305, 78, 62, 11, 154, 89, 10, 0, 0, 45, 14, 28, 13, 4, 0, 12, 82, 19, 9, 13, 6, 1.0, 12.0, 17.0, 0, 4, 9, 7, 2, 0, 10, 0, 4, 4, 1, 0, 0.0, 3, 2, 0, 0, 0, 6, 7, 5.26, 63.16, 89.47, 47.3984375, 66.6875, 77.796875, 0, 44.3984375, 47.3984375, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 77.796875, 33.296875, 22.19921875, 22.19921875, 0.0, 0.0, 36.0, 9.0, 4.0, 0.0, 18.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "21513", "Licence - Economie - Parcours BUP (Bachelor Universitaire Professionnel) Conseiller de Clientèle de Particuliers Multicanal", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21513&g_ta_cod=21513", 79.0, 11.0, 11.0),
(12654, "Public", "0290062K", "Lycée Rene Laennec", "29", "Finistère", "Bretagne", "Rennes", "Pont-l'Abbé", "formation sélective", "BTS", "Lycée Rene Laennec - BTS - Services - Tourisme", "BTS - Services", "", 35, 532, 342, 512, 0, 110, 21, 90, 26, 58, 14, 254, 20, 1, 3, 8, 8, 298, 10, 0, 0, 106, 17, 85, 25, 45, 13, 62, 185, 26, 22, 22, 4, 1.0, 19.0, 22.0, 0, 3, 17, 11, 4, 2, 9, 0, 11, 5, 1, 0, 0.0, 5, 0, 1, 0, 0, 16, 16, 3.85, 73.08, 84.62, 84.59375, 94.09375, 94.09375, 0, 17.59765625, 65.390625, 0.0, 64.6875, 29.3984375, 5.8994140625, 0.0, 0.0, 64.6875, 29.3984375, 23.5, 0.0, 11.798828125, 5.8994140625, 71.0, 12.0, 30.0, 8.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 133.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 56.0, "3789", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3789&g_ta_cod=3789", 58.0, 27.0, 15.0),
(12655, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "PASS", "Universite Jean Monnet, Saint-Etienne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Physique-Chimie", 64, 2782, 1852, 2782, 0, 2285, 406, 66, 25, 12, 8, 419, 0, 0, 0, 0, 0, 2728, 0, 0, 0, 2285, 406, 66, 25, 12, 8, 365, 470, 64, 40, 64, 0, 8.0, 40.0, 59.0, 0, 12, 62, 62, 0, 0, 2, 0, 4, 14, 27, 14, 3.0, 58, 0, 0, 0, 0, 39, 39, 12.5, 62.5, 92.19, 62.5, 62.8984375, 62.8984375, 0, 19.3984375, 96.890625, 0.0, 6.5, 22.59765625, 43.5, 22.6, 4.8, 100.0, 93.5, 0.0, 0.0, 0.0, 0.0, 449.0, 80.0, 0.0, 0.0, 21.0, "Tous les candidats", 1183.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "27847", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27845&g_ta_cod=27847", 100.0, 0.0, 0.0),
(12656, "Public", "0770931U", "Lycée Pierre de Coubertin", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "BTS", "Lycée Pierre de Coubertin - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 28, 148, 4, 148, 0, 9, 2, 53, 8, 58, 15, 28, 0, 0, 0, 0, 0, 121, 0, 0, 0, 6, 1, 42, 3, 51, 12, 22, 83, 27, 0, 27, 0, 6.0, 21.0, 26.0, 0, 4, 23, 1, 13, 9, 4, 0, 11, 7, 5, 0, 0.0, 1, 2, 9, 17, 0, 23, 23, 22.22, 77.78, 96.3, 0.0, 100.0, 100.0, 73.890625, 17.3984375, 85.1875, 0.0, 47.796875, 30.3984375, 21.69921875, 0.0, 0.0, 4.2998046875, 4.2998046875, 56.5, 8.69921875, 39.09375, 39.09375, 5.0, 1.0, 32.0, 5.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 65.0, "9804", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9804&g_ta_cod=9804", 4.0, 56.0, 41.0),
(12657, "Public", "0590184E", "Lycée Jean Rostand", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "BTS - Services", "", 13, 211, 25, 211, 0, 60, 9, 41, 10, 25, 7, 85, 0, 0, 0, 0, 0, 123, 0, 0, 0, 44, 5, 24, 5, 19, 6, 36, 33, 12, 1, 12, 0, 2.0, 10.0, 11.0, 0, 3, 12, 5, 3, 4, 0, 0, 1, 6, 5, 0, 0.0, 5, 2, 4, 0, 0, 8, 8, 16.67, 83.33, 91.67, 8.298828125, 66.6875, 66.6875, 0, 25.0, 100.0, 0.0, 8.298828125, 50.0, 41.6953125, 0.0, 0.0, 41.6953125, 41.6953125, 25.0, 16.69921875, 33.296875, 33.296875, 14.0, 2.0, 8.0, 2.0, 4.0, "Tous les candidats sauf les Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 19.0, "6818", "BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6818&g_ta_cod=6818", 42.0, 25.0, 33.0),
(12658, "Public", "0782822U", "Lycée Pierre Corneille", "78", "Yvelines", "Ile-de-France", "Versailles", "La Celle-Saint-Cloud", "formation sélective", "BTS", "Lycée Pierre Corneille - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 489, 249, 489, 0, 27, 8, 162, 55, 99, 43, 201, 0, 0, 0, 0, 0, 241, 0, 0, 0, 20, 6, 128, 44, 69, 31, 24, 129, 34, 18, 34, 0, 4.0, 27.0, 32.0, 0, 16, 31, 1, 21, 9, 3, 0, 20, 11, 0, 0, 0.0, 1, 5, 5, 3, 2, 28, 29, 11.76, 79.41, 94.12, 52.8984375, 90.296875, 93.5, 9.69921875, 51.59375, 91.1875, 0.0, 64.5, 35.5, 0.0, 0.0, 0.0, 3.19970703125, 3.19970703125, 67.6875, 16.09765625, 29.0, 16.09765625, 9.0, 3.0, 37.0, 18.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 59, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 33.0, "10068", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10068&g_ta_cod=10068", 9.0, 65.0, 26.0),
(12659, "Public", "0870019Y", "Lycée Suzanne Valadon", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "BTS", "Lycée Suzanne Valadon - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 865, 732, 848, 0, 97, 31, 218, 78, 258, 105, 275, 17, 0, 5, 0, 12, 282, 2, 0, 0, 51, 11, 77, 18, 102, 36, 52, 153, 38, 36, 36, 2, 2.0, 26.0, 33.0, 0, 10, 33, 10, 11, 12, 5, 0, 7, 19, 6, 1, 0.0, 7, 9, 10, 12, 11, 27, 27, 5.26, 68.42, 86.84, 94.6875, 81.796875, 81.796875, 36.3984375, 30.296875, 86.796875, 0.0, 21.19921875, 57.59375, 18.19921875, 3.0, 0.0, 30.296875, 21.19921875, 33.296875, 27.296875, 36.3984375, 30.296875, 29.0, 9.0, 49.0, 16.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 65.0, "Bacheliers professionnels toutes séries", 76, "Bacheliers technologiques toutes séries", 73, "Liste d'appel propre à cette formation", 25.0, "10670", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10670&g_ta_cod=10670", 34.0, 34.0, 32.0),
(12660, "Public", "0595770B", "Lycée agricole de Dunkerque-Rosendaël", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation sélective", "BTS", "Lycée agricole de Dunkerque-Rosendaël - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 19, 222, 68, 217, 0, 17, 6, 26, 2, 41, 15, 133, 5, 0, 3, 1, 1, 95, 1, 0, 0, 17, 6, 26, 2, 41, 15, 11, 70, 17, 1, 16, 1, 5.0, 16.0, 16.0, 0, 5, 15, 4, 4, 7, 2, 0, 6, 7, 1, 1, 0.0, 3, 0, 6, 3, 0, 12, 12, 29.41, 94.12, 94.12, 5.8994140625, 80.0, 80.0, 20, 33.296875, 88.1875, 0.0, 40.0, 46.6953125, 6.69921875, 6.7, 0.0, 26.69921875, 20.0, 26.69921875, 0.0, 46.6953125, 40.0, 15.0, 5.0, 25.0, 9.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 41.0, "20536", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20536&g_ta_cod=20536", 29.0, 29.0, 41.0),
(12661, "Public", "0491966W", "Lycée général et technologique Henri Bergson", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "Lycée général et technologique Henri Bergson - Diplôme de Comptabilité et de Gestion", "DCG", "", 40, 685, 356, 685, 0, 324, 59, 166, 39, 5, 2, 190, 0, 0, 0, 0, 0, 685, 0, 0, 0, 324, 59, 166, 39, 5, 2, 190, 134, 40, 23, 40, 0, 15.0, 36.0, 39.0, 0, 7, 37, 25, 12, 0, 3, 0, 1, 15, 16, 4, 1.0, 24, 12, 0, 0, 0, 32, 32, 37.5, 90.0, 97.5, 57.5, 86.5, 86.5, 0, 18.8984375, 92.5, 0.0, 2.69970703125, 40.5, 43.1953125, 10.8, 2.7, 67.59375, 64.890625, 32.3984375, 32.3984375, 0.0, 0.0, 87.0, 11.0, 0.0, 0.0, 8.0, "Tous les candidats", 273.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "5957", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5957&g_ta_cod=5957", 70.0, 30.0, 0.0),
(12662, "Public", "0440024M", "Lycée général Gabriel Guist'Hau", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Lycée général Gabriel Guist'Hau - DN MADE - Spectacle - - Spécialité : Régie son", "DN MADE", "- Spécialité : Régie son", 10, 241, 62, 241, 0, 123, 14, 34, 7, 9, 1, 75, 0, 0, 0, 0, 0, 44, 0, 0, 0, 37, 3, 4, 1, 0, 0, 3, 27, 10, 3, 10, 0, 3.0, 9.0, 9.0, 0, 1, 9, 9, 0, 0, 1, 0, 1, 2, 6, 0, 0.0, 8, 0, 0, 0, 0, 3, 3, 30.0, 90.0, 90.0, 30.0, 33.296875, 33.296875, 0, 11.099609375, 90.0, 0.0, 11.099609375, 22.19921875, 66.6875, 0.0, 0.0, 100.0, 88.890625, 0.0, 0.0, 0.0, 0.0, 21.0, 3.0, 0.0, 0.0, 3.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "24242", "DN MADE - Spectacle - - Spécialité : Régie son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24242&g_ta_cod=24242", 100.0, 0.0, 0.0),
(12663, "Public", "0560051B", "Lycée Alain René Lesage", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BTS", "Lycée Alain René Lesage - BTS - Services - Commerce International", "BTS - Services", "", 35, 1048, 604, 953, 0, 279, 40, 339, 66, 108, 37, 227, 95, 0, 48, 13, 34, 340, 8, 0, 0, 163, 20, 89, 19, 36, 14, 52, 166, 32, 18, 28, 4, 2.0, 24.0, 30.0, 0, 5, 21, 9, 8, 4, 11, 0, 5, 11, 4, 1, 0.0, 5, 7, 4, 1, 0, 21, 21, 6.25, 75.0, 93.75, 56.296875, 100.0, 100.0, 4.7998046875, 23.796875, 65.59375, 0.0, 23.796875, 52.3984375, 19.0, 4.8, 0.0, 42.8984375, 23.796875, 38.09375, 33.296875, 19.0, 19.0, 60.0, 11.0, 18.0, 7.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 143.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 89, "Liste d'appel propre à cette formation", 27.0, "6438", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6438&g_ta_cod=6438", 50.0, 38.0, 13.0),
(12664, "Privé sous contrat d'association", "0753840S", "Lycée Stanislas", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Stanislas - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 40, 1154, 765, 1154, 715, 1050, 62, 0, 0, 0, 0, 104, 0, 0, 0, 0, 0, 304, 0, 209, 290, 304, 9, 0, 0, 0, 0, 0, 198, 40, 24, 40, 0, 6.0, 28.0, 37.0, 21, 0, 40, 40, 0, 0, 0, 0, 0, 0, 10, 28, 2.0, 40, 0, 0, 1, 1, 11, 20, 15.0, 70.0, 92.5, 60.0, 27.5, 50.0, 2.5, 0.0, 100.0, 0.0, 0.0, 0.0, 25.0, 70.0, 5.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 198.0, 5.0, 0.0, 0.0, 0.0, "Tous les candidats", 283.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "9470", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9470&g_ta_cod=9470", 100.0, 0.0, 0.0),
(12665, "Public", "0624430D", "GAMBETTA CARNOT", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "BTS", "GAMBETTA CARNOT - BTS - Services - Professions immobilières", "BTS - Services", "", 35, 1273, 738, 1273, 0, 312, 77, 399, 131, 173, 64, 389, 0, 0, 0, 0, 0, 962, 0, 0, 0, 310, 77, 361, 118, 152, 60, 139, 130, 33, 20, 33, 0, 7.0, 28.0, 29.0, 0, 9, 28, 10, 14, 4, 5, 0, 4, 13, 10, 1, 0.0, 9, 11, 4, 2, 1, 22, 22, 21.21, 84.85, 87.88, 60.59375, 78.59375, 78.59375, 7.099609375, 32.09375, 84.796875, 0.0, 14.298828125, 46.3984375, 35.6953125, 3.6, 0.0, 35.6953125, 32.09375, 50.0, 39.296875, 14.298828125, 14.298828125, 32.0, 10.0, 15.0, 8.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 76.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 104, "Liste d'appel propre à cette formation", 16.0, "7331", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7331&g_ta_cod=7331", 45.0, 42.0, 12.0),
(12666, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Université Angers - Licence - Portail MPC - Mathématiques, Physique, Chimie", "Licence - Sciences - technologies - santé", "MPC - Mathématiques, Physique, Chimie", 20, 448, 236, 432, 0, 324, 40, 7, 2, 0, 0, 101, 16, 6, 0, 0, 10, 429, 5, 0, 0, 324, 40, 7, 2, 0, 0, 98, 174, 17, 9, 14, 3, 0.0, 10.0, 13.0, 0, 3, 8, 7, 1, 0, 9, 0, 1, 4, 1, 2, 0.0, 6, 1, 0, 0, 0, 7, 7, 0.0, 58.82, 76.47, 52.8984375, 87.5, 87.5, 0, 37.5, 47.09375, 0.0, 12.5, 50.0, 12.5, 25.0, 0.0, 87.5, 75.0, 12.5, 12.5, 0.0, 0.0, 110.0, 16.0, 0.0, 0.0, 62.0, "Tous les candidats", 1326.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "32225", "Licence - Portail MPC - Mathématiques, Physique, Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32224&g_ta_cod=32225", 94.0, 6.0, 0.0),
(12667, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Philosophie - Parcours Licence Philosophie Option Sciences de l'Education", "Licence - Sciences humaines et sociales", "Licence Philosophie Option Sciences de l'Education", 18, 167, 124, 143, 0, 87, 22, 9, 1, 9, 1, 38, 24, 2, 4, 3, 15, 143, 24, 0, 0, 87, 22, 9, 1, 9, 1, 38, 134, 15, 10, 13, 2, 0.0, 11.0, 13.0, 0, 1, 8, 7, 1, 0, 7, 0, 4, 2, 2, 0, 0.0, 4, 0, 0, 0, 0, 5, 5, 0.0, 73.33, 86.67, 66.6875, 62.5, 62.5, 0, 12.5, 53.296875, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 87.5, 50.0, 12.5, 0.0, 0.0, 0.0, 72.0, 18.0, 10.0, 1.0, 44.0, "Tous les candidats", 143.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "25334", "Licence - Philosophie - Parcours Licence Philosophie Option Sciences de l'Education", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25334&g_ta_cod=25334", 73.0, 20.0, 7.0),
(12668, "Public", "0596950J", "École Nationale des Techniciens de l'Équipement (ENTE) - site de Valenciennes", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "Autre formation", "École Nationale des Techniciens de l'Équipement (ENTE) - site de Valenciennes - Formation professionnelle - Chargé de projet en aménagement durable du territoire (bac +2)", "Formation professionnelle", "", 45, 42, 10, 38, 0, 7, 1, 16, 7, 0, 0, 15, 4, 0, 0, 0, 4, 32, 4, 0, 0, 7, 1, 13, 6, 0, 0, 12, 36, 9, 1, 8, 1, 8.0, 8.0, 8.0, 0, 1, 6, 2, 4, 0, 3, 0, 2, 3, 0, 1, 0.0, 1, 3, 0, 0, 0, 6, 6, 88.89, 88.89, 88.89, 11.099609375, 100.0, 100.0, 0, 16.69921875, 66.6875, 0.0, 33.296875, 50.0, 0.0, 16.7, 0.0, 33.296875, 16.69921875, 66.6875, 50.0, 0.0, 0.0, 7.0, 1.0, 0.0, 0.0, 16.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "13813", "Formation professionnelle - Chargé de projet en aménagement durable du territoire (bac +2)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13813&g_ta_cod=13813", 44.0, 56.0, 0.0),
(12669, "Public", "0730003G", "Lycée Marlioz", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Aix-les-Bains", "formation sélective", "BTS", "Lycée Marlioz - BTS - Services - Notariat", "BTS - Services", "", 24, 601, 427, 599, 0, 114, 24, 169, 60, 44, 18, 272, 2, 1, 0, 0, 1, 316, 0, 0, 0, 89, 17, 145, 51, 33, 13, 49, 125, 21, 17, 21, 0, 0.0, 16.0, 18.0, 0, 4, 12, 2, 8, 2, 9, 0, 4, 8, 0, 0, 0.0, 1, 5, 2, 5, 3, 11, 11, 0.0, 76.19, 85.71, 81.0, 91.6875, 91.6875, 41.6953125, 33.296875, 57.09375, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 16.69921875, 8.298828125, 66.6875, 41.6953125, 16.69921875, 16.69921875, 27.0, 6.0, 13.0, 3.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 27.0, "8776", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8776&g_ta_cod=8776", 24.0, 62.0, 14.0),
(12670, "Privé sous contrat d'association", "0560200N", "Lycée Notre Dame Le Menimur", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BTS", "Lycée Notre Dame Le Menimur - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 542, 510, 542, 0, 60, 12, 169, 28, 201, 49, 112, 0, 0, 0, 0, 0, 458, 0, 0, 0, 57, 11, 157, 26, 159, 39, 85, 191, 34, 34, 33, 0, 4.0, 22.0, 30.0, 0, 3, 26, 7, 12, 7, 8, 1, 8, 12, 5, 0, 0.0, 4, 7, 6, 4, 4, 20, 20, 11.76, 64.71, 88.24, 100.0, 76.890625, 76.890625, 15.3984375, 11.5, 76.5, 3.7998046875, 30.796875, 46.1953125, 19.19921875, 0.0, 0.0, 26.8984375, 15.3984375, 46.1953125, 26.8984375, 26.8984375, 23.09765625, 23.0, 4.0, 64.0, 14.0, 37.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 128, "Bacheliers technologiques toutes séries", 122, "Liste d'appel propre à cette formation", 57.0, "6462", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6462&g_ta_cod=6462", 35.0, 38.0, 26.0),
(12671, "Privé sous contrat d'association", "0133425C", "Lycée Celony", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée Celony - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 18, 515, 246, 507, 0, 93, 9, 222, 45, 118, 33, 74, 8, 1, 3, 2, 2, 227, 6, 0, 0, 73, 8, 73, 10, 75, 22, 6, 123, 9, 5, 8, 1, 0.0, 3.0, 5.0, 0, 1, 9, 1, 3, 5, 0, 0, 2, 7, 0, 0, 0.0, 1, 2, 4, 1, 1, 8, 8, 0.0, 33.33, 55.56, 55.59375, 88.890625, 88.890625, 11.099609375, 11.099609375, 100.0, 0.0, 22.19921875, 77.796875, 0.0, 0.0, 0.0, 11.099609375, 11.099609375, 33.296875, 22.19921875, 55.59375, 44.3984375, 28.0, 2.0, 40.0, 10.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 32.0, "22963", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22963&g_ta_cod=22963", 11.0, 33.0, 56.0),
(12672, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Lettres - Parcours Lettres classiques", "Licence - Arts-lettres-langues", "Lettres classiques", 25, 287, 235, 268, 0, 168, 59, 11, 5, 6, 4, 83, 19, 5, 1, 0, 13, 268, 19, 0, 0, 168, 59, 11, 5, 6, 4, 83, 218, 22, 16, 17, 5, 12.0, 16.0, 19.0, 0, 5, 12, 12, 0, 0, 10, 0, 1, 3, 4, 2, 2.0, 11, 0, 0, 0, 0, 8, 8, 54.55, 72.73, 86.36, 72.6875, 66.6875, 66.6875, 0, 41.6953125, 54.5, 0.0, 8.298828125, 25.0, 33.296875, 16.7, 16.7, 100.0, 91.6875, 0.0, 0.0, 0.0, 0.0, 144.0, 50.0, 2.0, 1.0, 68.0, "Tous les candidats", 267.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7069", "Licence - Lettres - Parcours Lettres classiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7069&g_ta_cod=7069", 86.0, 5.0, 5.0),
(12673, "Public", "0410959V", "Lycée Camille Claudel", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BTS", "Lycée Camille Claudel - BTS - Production - Electrotechnique", "BTS - Production", "", 25, 123, 5, 111, 0, 6, 0, 28, 6, 53, 17, 24, 12, 0, 0, 9, 3, 111, 3, 0, 0, 6, 0, 28, 6, 53, 17, 24, 91, 23, 2, 22, 1, 3.0, 14.0, 19.0, 0, 7, 14, 0, 2, 12, 9, 0, 7, 4, 2, 1, 0.0, 0, 0, 7, 0, 0, 14, 14, 13.04, 60.87, 82.61, 8.69921875, 100.0, 100.0, 0, 50.0, 60.8984375, 0.0, 50.0, 28.59765625, 14.298828125, 7.1, 0.0, 0.0, 0.0, 14.298828125, 0.0, 85.6875, 50.0, 5.0, 0.0, 51.0, 18.0, 15.0, "Tous les candidats sauf les Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 91.0, "5258", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5258&g_ta_cod=5258", 26.0, 17.0, 57.0),
(12674, "Privé enseignement supérieur", "0941890U", "ESIEA Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Ivry-sur-Seine", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 160, 3102, 592, 3046, 0, 3033, 343, 0, 0, 0, 0, 13, 56, 55, 0, 0, 1, 2890, 44, 0, 0, 2890, 295, 0, 0, 0, 0, 0, 2814, 117, 10, 96, 21, 38.0, 95.0, 110.0, 0, 15, 117, 117, 0, 0, 0, 0, 59, 50, 8, 0, 0.0, 58, 0, 0, 0, 0, 40, 97, 32.48, 81.2, 94.02, 8.5, 34.1953125, 82.890625, 0, 12.798828125, 100.0, 0.0, 50.3984375, 42.6953125, 6.7998046875, 0.0, 0.0, 100.0, 49.59375, 0.0, 0.0, 0.0, 0.0, 2813.0, 281.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "173", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=173", 100.0, 0.0, 0.0),
(12675, "Public", "0350697T", "I.U.T de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BUT", "I.U.T de Rennes - BUT - Carrières sociales Parcours animation sociale et socioculturelle", "BUT - Service", "", 84, 1480, 1162, 1480, 0, 489, 76, 462, 99, 94, 25, 435, 0, 0, 0, 0, 0, 483, 0, 0, 0, 159, 14, 113, 20, 16, 5, 195, 253, 79, 65, 79, 0, 21.0, 58.0, 71.0, 0, 5, 47, 24, 23, 0, 32, 0, 18, 19, 9, 1, 0.0, 17, 12, 0, 0, 0, 29, 29, 26.58, 73.42, 89.87, 82.296875, 61.6953125, 61.6953125, 0, 10.599609375, 59.5, 0.0, 38.296875, 40.3984375, 19.09765625, 2.1, 0.0, 51.09375, 36.1953125, 48.8984375, 25.5, 0.0, 0.0, 53.0, 9.0, 7.0, 4.0, 107.0, "Tous les candidats sauf les Bac technologiques", 156.0, "Bacheliers technologiques toutes séries", 161, "", 0, "Liste d'appel propre à cette formation", 21.0, "4665", "BUT - Carrières sociales Parcours animation sociale et socioculturelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4665&g_ta_cod=4665", 58.0, 41.0, 1.0),
(12676, "Privé sous contrat d'association", "0950759J", "Lycée Notre-Dame De Bury", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Margency", "formation sélective", "Autre formation", "Lycée Notre-Dame De Bury - Diplôme de Comptabilité et de Gestion", "DCG", "", 36, 299, 116, 213, 0, 88, 25, 49, 16, 6, 1, 70, 86, 20, 13, 3, 50, 120, 6, 0, 0, 66, 15, 36, 12, 0, 0, 18, 107, 23, 12, 22, 1, 9.0, 22.0, 22.0, 0, 5, 21, 13, 8, 0, 2, 0, 12, 6, 3, 0, 0.0, 5, 4, 0, 0, 0, 18, 20, 39.13, 95.65, 95.65, 52.1953125, 85.6875, 95.1875, 0, 23.796875, 91.296875, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 61.8984375, 23.796875, 38.09375, 19.0, 0.0, 0.0, 55.0, 13.0, 0.0, 0.0, 19.0, "Tous les candidats", 120.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "11591", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11591&g_ta_cod=11591", 61.0, 39.0, 0.0),
(12677, "Public", "0912155Y", "IFSI CH Barthélemy Durand", "91", "Essonne", "Ile-de-France", "Versailles", "Etampes", "formation sélective", "IFSI", "Regroupement d'IFSI Université Paris Sud (P11) - D.E Infirmier", "D.E secteur sanitaire", "", 58, 4459, 3883, 4459, 0, 452, 129, 617, 234, 590, 301, 2800, 0, 0, 0, 0, 0, 3479, 0, 0, 0, 449, 127, 496, 177, 428, 215, 2106, 910, 62, 55, 62, 0, 0.0, 20.0, 55.0, 0, 4, 32, 15, 8, 9, 30, 0, 7, 13, 10, 1, 1.0, 9, 8, 8, 0, 0, 18, 19, 0.0, 32.26, 88.71, 88.6875, 56.296875, 59.3984375, 0, 12.5, 51.59375, 0.0, 21.8984375, 40.59375, 31.296875, 3.1, 3.1, 46.8984375, 28.09765625, 25.0, 25.0, 28.09765625, 25.0, 193.0, 53.0, 124.0, 62.0, 552.0, "Tous les candidats", 3094.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "23059", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23011&g_ta_cod=23059", 50.0, 16.0, 32.0),
(12678, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence_Las", "Avignon Université - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 40, 383, 296, 361, 0, 185, 57, 44, 22, 21, 10, 111, 22, 5, 2, 1, 14, 361, 20, 0, 0, 185, 57, 44, 22, 21, 10, 111, 240, 38, 29, 29, 9, 2.0, 25.0, 29.0, 0, 6, 21, 15, 4, 2, 17, 0, 9, 7, 4, 1, 0.0, 8, 3, 1, 0, 0, 16, 16, 5.26, 65.79, 76.32, 76.296875, 76.1875, 76.1875, 0, 28.59765625, 55.296875, 0.0, 42.8984375, 33.296875, 19.0, 4.8, 0.0, 71.390625, 38.09375, 19.0, 14.298828125, 9.5, 4.7998046875, 132.0, 42.0, 9.0, 4.0, 83.0, "Groupe par défaut", 1880.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 95.0, "31971", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10450&g_ta_cod=31971", 76.0, 16.0, 5.0),
(12679, "Privé sous contrat d'association", "0754029X", "Lycée Carcado Saisseval", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "BTS", "Lycée Carcado Saisseval - BTS - Services - Commerce International", "BTS - Services", "", 40, 1329, 656, 1329, 0, 438, 49, 488, 85, 102, 36, 301, 0, 0, 0, 0, 0, 1106, 0, 0, 0, 407, 42, 424, 70, 91, 31, 184, 274, 38, 17, 38, 0, 2.0, 26.0, 35.0, 0, 5, 33, 10, 18, 5, 5, 0, 6, 22, 3, 2, 0.0, 7, 15, 5, 2, 0, 17, 31, 5.26, 68.42, 92.11, 44.6953125, 51.5, 93.890625, 6.099609375, 15.19921875, 86.796875, 0.0, 18.19921875, 66.6875, 9.099609375, 6.1, 0.0, 30.296875, 21.19921875, 54.5, 45.5, 15.19921875, 15.19921875, 126.0, 19.0, 25.0, 12.0, 24.0, "Tous les candidats sauf les Bac professionnels", 452.0, "Bacheliers professionnels toutes séries", 37, "", 0, "Liste d'appel propre à cette formation", 37.0, "9491", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9491&g_ta_cod=9491", 34.0, 53.0, 13.0),
(12680, "Privé hors contrat", "0693453D", "Institut Paul Bocuse", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Ecully", "formation sélective", "Autre formation", "Institut Paul Bocuse - Formation des écoles supérieures de cuisine Bac +3 - Bachelor Management International des Arts Culinaires", "Formation des écoles supérieures de cuisine", "Bachelor Management International des Arts Culinaires, parcours en anglais", 20, 70, 21, 66, 0, 34, 1, 8, 0, 3, 1, 21, 4, 2, 0, 0, 2, 20, 0, 0, 0, 9, 0, 3, 0, 1, 1, 7, 20, 5, 0, 5, 0, 5.0, 5.0, 5.0, 0, 0, 4, 2, 2, 0, 1, 0, 0, 1, 1, 2, 0.0, 2, 2, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0, 0.0, 80.0, 0.0, 0.0, 25.0, 25.0, 50.0, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 9.0, 0.0, 1.0, 1.0, 7.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "32259", "Formation des écoles supérieures de cuisine Bac +3 - Bachelor Management International des Arts Culinaires", "Institut Paul Bocuse", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32258&g_ta_cod=32259", 60.0, 40.0, 0.0),
(12681, "Privé sous contrat d'association", "0891041Y", "Maison Familiale et Rurale du Sénonais", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Gron", "formation sélective", "BTS", "Maison Familiale et Rurale du Sénonais - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 20, 41, 16, 34, 0, 5, 0, 11, 3, 11, 3, 7, 7, 0, 0, 3, 4, 29, 2, 0, 0, 5, 0, 11, 3, 11, 3, 2, 30, 10, 2, 10, 0, 9.0, 10.0, 10.0, 0, 1, 10, 2, 2, 6, 0, 0, 3, 6, 1, 0, 0.0, 1, 2, 4, 2, 1, 6, 6, 90.0, 100.0, 100.0, 20.0, 60.0, 60.0, 20, 10.0, 100.0, 0.0, 30.0, 60.0, 10.0, 0.0, 0.0, 20.0, 10.0, 20.0, 20.0, 60.0, 40.0, 5.0, 0.0, 11.0, 3.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 85.0, "10784", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10784&g_ta_cod=10784", 20.0, 20.0, 60.0),
(12682, "Privé sous contrat d'association", "0541253U", "IRTS de Lorraine - Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "EFTS", "IRTS de Lorraine - Nancy - D.E Educateur Spécialisé", "D.E secteur social", "", 59, 355, 284, 355, 0, 59, 7, 68, 12, 36, 6, 192, 0, 0, 0, 0, 0, 355, 0, 0, 0, 59, 7, 68, 12, 36, 6, 192, 108, 59, 54, 59, 0, 29.0, 52.0, 52.0, 0, 5, 30, 8, 15, 7, 29, 0, 3, 15, 8, 4, 0.0, 7, 13, 7, 0, 0, 20, 20, 49.15, 88.14, 88.14, 91.5, 66.6875, 66.6875, 0, 16.69921875, 50.796875, 0.0, 10.0, 50.0, 26.69921875, 13.3, 0.0, 26.69921875, 23.296875, 50.0, 43.296875, 23.296875, 23.296875, 20.0, 2.0, 12.0, 3.0, 51.0, "Tous les candidats", 106.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "24914", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24914&g_ta_cod=24914", 53.0, 32.0, 15.0),
(12683, "Public", "0332468D", "Lycée St Louis", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée St Louis - BTS - Production - Biotechnologies", "BTS - Production", "", 30, 807, 492, 789, 0, 187, 28, 275, 61, 29, 10, 298, 18, 0, 0, 12, 6, 451, 1, 0, 0, 120, 11, 195, 39, 9, 2, 127, 145, 29, 21, 29, 0, 4.0, 22.0, 28.0, 0, 9, 21, 6, 15, 0, 8, 0, 1, 9, 9, 2, 0.0, 5, 15, 0, 7, 6, 15, 15, 13.79, 75.86, 96.55, 72.390625, 71.390625, 71.390625, 33.296875, 42.8984375, 72.390625, 0.0, 4.7998046875, 42.8984375, 42.8984375, 9.5, 0.0, 28.59765625, 23.796875, 71.390625, 71.390625, 0.0, 0.0, 42.0, 9.0, 9.0, 2.0, 46.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 119.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 105, "Liste d'appel propre à cette formation", 29.0, "4438", "BTS - Production - Biotechnologies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4438&g_ta_cod=4438", 38.0, 62.0, 0.0),
(12684, "Public", "0595964M", "Université du littoral - Site de Dunkerque", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation non sélective", "Licence", "Université du littoral - Site de Dunkerque - Licence - Droit", "Licence - Droit-économie-gestion", "", 180, 980, 712, 807, 0, 595, 176, 67, 28, 19, 11, 126, 173, 57, 14, 3, 99, 807, 157, 0, 0, 595, 176, 67, 28, 19, 11, 126, 896, 158, 112, 124, 34, 72.0, 121.0, 145.0, 0, 45, 121, 102, 12, 7, 37, 0, 34, 45, 30, 12, 0.0, 76, 8, 3, 0, 0, 109, 109, 45.57, 76.58, 91.77, 70.890625, 90.09375, 90.09375, 0, 37.1953125, 76.59375, 0.0, 28.09765625, 37.1953125, 24.796875, 9.9, 0.0, 84.296875, 62.796875, 9.8984375, 6.599609375, 5.7998046875, 2.5, 620.0, 177.0, 19.0, 12.0, 192.0, "Tous les candidats", 807.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7177", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7177&g_ta_cod=7177", 78.0, 11.0, 9.0),
(12685, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence_Las", "Université de Perpignan Via Domitia - Licence - Portail Mathématiques", "Licence - Sciences - technologies - santé", "", 10, 160, 90, 153, 0, 99, 31, 7, 4, 0, 0, 47, 7, 1, 1, 0, 5, 152, 7, 0, 0, 99, 31, 7, 4, 0, 0, 46, 107, 9, 5, 7, 2, 0.0, 3.0, 6.0, 0, 3, 8, 7, 1, 0, 1, 0, 2, 2, 3, 1, 0.0, 6, 0, 0, 0, 0, 6, 6, 0.0, 33.33, 66.67, 55.59375, 75.0, 75.0, 0, 37.5, 88.890625, 0.0, 25.0, 25.0, 37.5, 12.5, 0.0, 87.5, 75.0, 12.5, 0.0, 0.0, 0.0, 64.0, 19.0, 0.0, 0.0, 39.0, "Tous les candidats", 399.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "28130", "Licence - Portail Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28129&g_ta_cod=28130", 89.0, 11.0, 0.0),
(12686, "Public", "0370770L", "Institut Universitaire de Technologie de TOURS", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BUT", "Institut Universitaire de Technologie de TOURS - BUT - Génie biologique Parcours diététique et nutrition", "BUT - Production", "", 23, 994, 829, 994, 0, 434, 35, 216, 37, 3, 0, 341, 0, 0, 0, 0, 0, 332, 0, 0, 0, 177, 16, 55, 7, 0, 0, 100, 97, 28, 24, 28, 0, 5.0, 22.0, 25.0, 0, 2, 19, 15, 4, 0, 9, 0, 0, 5, 11, 3, 0.0, 15, 4, 0, 0, 0, 7, 7, 17.86, 78.57, 89.29, 85.6875, 36.796875, 36.796875, 0, 10.5, 67.890625, 0.0, 0.0, 26.296875, 57.8984375, 15.8, 0.0, 78.890625, 78.890625, 21.09765625, 21.09765625, 0.0, 0.0, 51.0, 6.0, 0.0, 0.0, 31.0, "Tous les candidats sauf les Bac technologiques", 108.0, "Bacheliers technologiques toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 15.0, "4866", "BUT - Génie biologique Parcours diététique et nutrition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4866&g_ta_cod=4866", 68.0, 32.0, 0.0),
(12687, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Arts - Parcours pratique cinéma", "Licence - Arts-lettres-langues", "pratique cinéma", 12, 209, 113, 209, 0, 147, 32, 14, 3, 4, 1, 44, 0, 0, 0, 0, 0, 209, 0, 0, 0, 147, 32, 14, 3, 4, 1, 44, 30, 12, 8, 12, 0, 5.0, 10.0, 12.0, 0, 3, 9, 9, 0, 0, 3, 0, 1, 6, 1, 1, 0.0, 8, 0, 0, 0, 0, 5, 5, 41.67, 83.33, 100.0, 66.6875, 55.59375, 55.59375, 0, 33.296875, 75.0, 0.0, 11.099609375, 66.6875, 11.099609375, 11.1, 0.0, 100.0, 88.890625, 0.0, 0.0, 0.0, 0.0, 23.0, 8.0, 0.0, 0.0, 6.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "21173", "Licence - Arts - Parcours pratique cinéma", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21173&g_ta_cod=21173", 92.0, 8.0, 0.0),
(12688, "Public", "0132733A", "Lycée Antonin Artaud", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Antonin Artaud - CPES - Scientifique -  Réservée aux bac Professionnels", "Classe préparatoire aux études supérieures", "Réservée aux bac Professionnels", 20, 122, 41, 72, 0, 0, 0, 0, 0, 60, 30, 12, 50, 0, 0, 29, 21, 38, 5, 0, 0, 0, 0, 0, 0, 37, 17, 1, 38, 14, 1, 13, 1, 8.0, 13.0, 14.0, 0, 7, 13, 0, 0, 13, 1, 0, 0, 2, 9, 2, 0.0, 0, 0, 13, 0, 0, 11, 11, 57.14, 92.86, 100.0, 7.099609375, 84.59375, 84.59375, 0, 53.796875, 92.890625, 0.0, 0.0, 15.3984375, 69.1875, 15.4, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 36.0, 17.0, 2.0, "Tous les candidats", 38.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "13173", "CPES - Scientifique -  Réservée aux bac Professionnels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13173&g_ta_cod=13173", 0.0, 0.0, 100.0),
(12689, "Public", "0590093F", "Lycée Beaupré", "59", "Nord", "Hauts-de-France", "Lille", "Haubourdin", "formation sélective", "Autre formation", "Lycée Beaupré - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 24, 69, 17, 69, 0, 8, 2, 12, 4, 39, 14, 10, 0, 0, 0, 0, 0, 65, 0, 0, 0, 8, 2, 11, 3, 36, 13, 10, 62, 22, 5, 19, 0, 7.0, 19.0, 19.0, 0, 6, 17, 3, 3, 11, 5, 0, 6, 10, 0, 1, 0.0, 0, 3, 8, 0, 0, 13, 13, 31.82, 86.36, 86.36, 22.69921875, 76.5, 76.5, 0, 35.296875, 77.296875, 0.0, 35.296875, 58.796875, 0.0, 5.9, 0.0, 17.59765625, 0.0, 17.59765625, 17.59765625, 64.6875, 47.09375, 11.0, 2.0, 33.0, 13.0, 7.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "22107", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22107&g_ta_cod=22107", 32.0, 14.0, 55.0),
(12690, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 330, 1724, 1211, 1495, 0, 1073, 302, 159, 65, 46, 25, 217, 229, 73, 18, 6, 132, 1495, 214, 0, 0, 1073, 302, 159, 65, 46, 25, 217, 1315, 304, 194, 231, 73, 54.0, 226.0, 264.0, 0, 83, 227, 176, 41, 10, 77, 0, 81, 73, 54, 18, 1.0, 119, 21, 6, 0, 0, 204, 204, 17.76, 74.34, 86.84, 63.796875, 89.890625, 89.890625, 0, 36.59375, 74.6875, 0.0, 35.6953125, 32.1953125, 23.796875, 7.9, 0.4, 77.5, 52.3984375, 18.09765625, 9.298828125, 4.3994140625, 2.599609375, 882.0, 249.0, 24.0, 12.0, 285.0, "Tous les candidats", 1590.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "7022", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28659&g_ta_cod=7022", 74.0, 19.0, 7.0),
(12691, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Double licence - Economie / Géographie et aménagement - Double licence Economie Géographie", "Licence - Droit-économie-gestion", "Double licence Economie Géographie", 13, 260, 110, 260, 0, 184, 33, 7, 1, 0, 0, 69, 0, 0, 0, 0, 0, 171, 0, 0, 0, 140, 19, 1, 0, 0, 0, 30, 52, 12, 1, 12, 0, 0.0, 9.0, 9.0, 0, 3, 11, 11, 0, 0, 1, 0, 0, 3, 7, 1, 0.0, 11, 0, 0, 0, 0, 4, 9, 0.0, 75.0, 75.0, 8.298828125, 36.3984375, 81.796875, 0, 27.296875, 91.6875, 0.0, 0.0, 27.296875, 63.59375, 9.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 48.0, 7.0, 0.0, 0.0, 4.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "18844", "Double licence - Economie / Géographie et aménagement - Double licence Economie Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18844&g_ta_cod=18844", 100.0, 0.0, 0.0),
(12692, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Informatique - Parcours Mathématiques", "Licence - Sciences - technologies - santé", "Mathématiques", 28, 295, 66, 273, 0, 187, 42, 18, 5, 3, 2, 65, 22, 2, 1, 0, 19, 266, 15, 0, 0, 187, 42, 18, 5, 3, 2, 58, 187, 24, 4, 18, 6, 1.0, 18.0, 18.0, 0, 5, 9, 8, 0, 1, 15, 0, 2, 4, 1, 2, 0.0, 6, 0, 1, 0, 0, 9, 9, 4.17, 75.0, 75.0, 16.69921875, 100.0, 100.0, 0, 55.59375, 37.5, 0.0, 22.19921875, 44.3984375, 11.099609375, 22.2, 0.0, 88.890625, 66.6875, 0.0, 0.0, 11.099609375, 11.099609375, 115.0, 28.0, 3.0, 2.0, 61.0, "Tous les candidats", 265.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "20657", "Licence - Informatique - Parcours Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20657&g_ta_cod=20657", 79.0, 8.0, 8.0),
(12693, "Public", "0210032W", "Lycée polyvalent des métiers de la céramique Henry Moisand", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Longchamp", "formation sélective", "Autre formation", "Lycée polyvalent des métiers de la céramique Henry Moisand - DN MADE - Objet - - Spécialité : Conception et innovation céramique, du prototype au multiple", "DN MADE", "- Spécialité : Conception et innovation céramique, du prototype au multiple", 15, 123, 100, 123, 0, 29, 7, 47, 8, 11, 2, 36, 0, 0, 0, 0, 0, 121, 0, 0, 0, 29, 7, 45, 7, 11, 2, 36, 61, 13, 12, 13, 0, 6.0, 11.0, 12.0, 0, 1, 9, 2, 5, 2, 4, 1, 4, 1, 2, 0, 1.0, 0, 2, 2, 0, 0, 0, 0, 46.15, 84.62, 92.31, 92.296875, 0.0, 0.0, 0, 11.099609375, 69.1875, 11.099609375, 44.3984375, 11.099609375, 22.19921875, 0.0, 11.1, 22.19921875, 0.0, 55.59375, 22.19921875, 22.19921875, 22.19921875, 18.0, 5.0, 4.0, 0.0, 23.0, "Tous les candidats", 79.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "21632", "DN MADE - Objet - - Spécialité : Conception et innovation céramique, du prototype au multiple", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21632&g_ta_cod=21632", 23.0, 46.0, 15.0),
(12694, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "PASS", "Université de Paris - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Recherche en santé: outils méthodologiques et enjeux pour la société", 80, 9576, 6769, 9576, 0, 7498, 1530, 175, 78, 42, 19, 1861, 0, 0, 0, 0, 0, 9556, 0, 0, 0, 7498, 1530, 175, 78, 42, 19, 1841, 1046, 73, 54, 73, 0, 10.0, 43.0, 67.0, 0, 16, 70, 70, 0, 0, 3, 0, 0, 3, 21, 38, 8.0, 70, 0, 0, 0, 0, 17, 60, 13.7, 58.9, 91.78, 74.0, 24.296875, 85.6875, 0, 22.8984375, 95.890625, 0.0, 0.0, 4.2998046875, 30.0, 54.3, 11.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 918.0, 189.0, 0.0, 0.0, 128.0, "Tous les candidats", 4739.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "33537", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28111&g_ta_cod=33537", 100.0, 0.0, 0.0),
(12695, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Licence - Histoire de l'art et archéologie", "Licence - Sciences humaines et sociales", "", 340, 2462, 1842, 2462, 0, 1427, 224, 122, 27, 48, 10, 865, 0, 0, 0, 0, 0, 2454, 0, 0, 0, 1427, 224, 122, 27, 48, 10, 857, 1239, 333, 269, 333, 0, 46.0, 269.0, 293.0, 0, 47, 214, 200, 9, 5, 119, 0, 26, 68, 95, 25, 0.0, 175, 8, 5, 0, 0, 44, 146, 13.81, 80.78, 87.99, 80.796875, 20.59765625, 68.1875, 0, 22.0, 64.296875, 0.0, 12.099609375, 31.796875, 44.3984375, 11.7, 0.0, 93.5, 81.796875, 4.19921875, 3.69970703125, 2.2998046875, 2.2998046875, 801.0, 132.0, 9.0, 3.0, 386.0, "Tous les candidats", 1514.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "9210", "Licence - Histoire de l'art et archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9210&g_ta_cod=9210", 91.0, 5.0, 2.0),
(12696, "Public", "0573281G", "Lycée De La Communication", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée De La Communication - BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "BTS - Services", "", 6, 363, 154, 363, 0, 144, 19, 54, 10, 24, 7, 141, 0, 0, 0, 0, 0, 86, 0, 0, 0, 69, 11, 4, 0, 6, 1, 7, 12, 7, 6, 7, 0, 5.0, 6.0, 7.0, 0, 2, 7, 6, 0, 1, 0, 0, 0, 2, 3, 2, 0.0, 6, 0, 1, 0, 0, 3, 3, 71.43, 85.71, 100.0, 85.6875, 42.8984375, 42.8984375, 0, 28.59765625, 100.0, 0.0, 0.0, 28.59765625, 42.8984375, 28.6, 0.0, 85.6875, 85.6875, 0.0, 0.0, 14.298828125, 14.298828125, 11.0, 1.0, 1.0, 1.0, 0.0, "Tous les candidats sauf les Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 4.0, "17632", "BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17632&g_ta_cod=17632", 86.0, 0.0, 14.0),
(12697, "Public", "0132931R", "IFSI CH d'Aubagne", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aubagne", "formation sélective", "IFSI", "Regroupement d'IFSI Université Aix-Marseille - D.E Infirmier", "D.E secteur sanitaire", "", 68, 7988, 6611, 7988, 0, 1098, 271, 1284, 438, 781, 365, 4825, 0, 0, 0, 0, 0, 3727, 0, 0, 0, 823, 170, 558, 164, 80, 27, 2266, 724, 66, 57, 66, 0, 1.0, 39.0, 58.0, 0, 7, 22, 16, 6, 0, 44, 0, 1, 9, 11, 1, 0.0, 15, 6, 0, 0, 0, 17, 17, 1.52, 59.09, 87.88, 86.390625, 77.296875, 77.296875, 0, 31.796875, 33.296875, 0.0, 4.5, 40.8984375, 50.0, 4.5, 0.0, 72.6875, 68.1875, 27.296875, 27.296875, 0.0, 0.0, 261.0, 68.0, 1.0, 0.0, 407.0, "Tous les candidats", 2096.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 16.0, "23031", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22987&g_ta_cod=23031", 76.0, 20.0, 5.0),
(12698, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence", "Université du Mans - Licence - Portail Histoire", "Licence - Sciences humaines et sociales", "", 150, 868, 406, 774, 0, 531, 104, 90, 25, 28, 15, 125, 94, 11, 9, 8, 66, 772, 73, 0, 0, 531, 104, 90, 25, 28, 15, 123, 709, 144, 64, 112, 32, 67.0, 109.0, 123.0, 0, 29, 106, 82, 9, 15, 38, 0, 45, 37, 17, 6, 1.0, 47, 4, 10, 0, 0, 83, 83, 46.53, 75.69, 85.42, 44.3984375, 78.296875, 78.296875, 0, 27.3984375, 73.59375, 0.0, 42.5, 34.8984375, 16.0, 5.7, 0.9, 77.390625, 44.296875, 8.5, 3.7998046875, 14.19921875, 9.3984375, 482.0, 99.0, 24.0, 14.0, 142.0, "Groupe par défaut", 799.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "8749", "Licence - Portail Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29243&g_ta_cod=8749", 72.0, 13.0, 15.0),
(12699, "Public", "9741233X", "LPO Nelson Mandela", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Benoît", "formation sélective", "BTS", "LPO Nelson Mandela - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 529, 321, 503, 0, 43, 28, 194, 139, 162, 117, 104, 26, 7, 4, 0, 15, 221, 5, 0, 0, 24, 15, 94, 68, 81, 64, 22, 125, 28, 18, 26, 2, 4.0, 21.0, 23.0, 0, 16, 23, 2, 11, 10, 5, 0, 9, 8, 6, 0, 0.0, 0, 7, 7, 6, 3, 21, 21, 14.29, 75.0, 82.14, 64.296875, 91.296875, 91.296875, 26.09765625, 69.59375, 82.09375, 0.0, 39.09375, 34.796875, 26.09765625, 0.0, 0.0, 8.69921875, 0.0, 47.796875, 30.3984375, 43.5, 30.3984375, 18.0, 12.0, 40.0, 31.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 70, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 35.0, "11978", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11978&g_ta_cod=11978", 11.0, 50.0, 39.0),
(12700, "Public", "0492123S", "Lycée polyvalent Jean Moulin", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Lycée polyvalent Jean Moulin - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 15, 262, 11, 260, 0, 14, 3, 64, 11, 133, 39, 49, 2, 0, 0, 0, 2, 181, 1, 0, 0, 12, 3, 52, 7, 101, 23, 16, 67, 13, 0, 13, 0, 3.0, 11.0, 13.0, 0, 4, 11, 1, 2, 8, 2, 0, 3, 4, 3, 1, 0.0, 0, 0, 8, 1, 0, 7, 7, 23.08, 84.62, 100.0, 0.0, 63.59375, 63.59375, 9.099609375, 36.3984375, 84.59375, 0.0, 27.296875, 36.3984375, 27.296875, 9.1, 0.0, 9.099609375, 0.0, 18.19921875, 0.0, 72.6875, 72.6875, 6.0, 2.0, 23.0, 8.0, 10.0, "Tous les candidats sauf les Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 45.0, "19742", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19742&g_ta_cod=19742", 15.0, 23.0, 62.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(12701, "Public", "0624109E", "Lycée Giraux Sannier", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Boulogne-sur-Mer", "formation sélective", "BTS", "Lycée Giraux Sannier - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 274, 154, 267, 0, 42, 12, 65, 26, 44, 27, 116, 7, 0, 0, 4, 3, 267, 1, 0, 0, 42, 12, 65, 26, 44, 27, 116, 103, 31, 15, 31, 0, 10.0, 21.0, 26.0, 0, 13, 24, 5, 10, 9, 7, 0, 9, 10, 5, 0, 0.0, 2, 8, 5, 15, 6, 23, 23, 32.26, 67.74, 83.87, 48.3984375, 95.796875, 95.796875, 62.5, 54.1953125, 77.390625, 0.0, 37.5, 41.6953125, 20.796875, 0.0, 0.0, 20.796875, 8.298828125, 41.6953125, 33.296875, 37.5, 20.796875, 20.0, 7.0, 42.0, 27.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 37.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 45.0, "7531", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7531&g_ta_cod=7531", 23.0, 39.0, 39.0),
(12702, "Public", "0133658F", "Aix-Marseille Université - Site de Marseille Espace Canebière", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  1er Arrondissement", "formation non sélective", "Licence_Las", "Aix-Marseille Université - Site de Marseille Espace Canebière - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 50, 1272, 920, 1272, 0, 647, 213, 103, 56, 39, 25, 483, 0, 0, 0, 0, 0, 1266, 0, 0, 0, 647, 213, 103, 56, 39, 25, 477, 407, 49, 41, 47, 0, 4.0, 17.0, 33.0, 0, 13, 26, 22, 4, 0, 23, 0, 6, 15, 5, 0, 0.0, 18, 2, 0, 0, 0, 22, 22, 8.16, 34.69, 67.35, 83.6875, 84.59375, 84.59375, 0, 50.0, 53.09375, 0.0, 23.09765625, 57.6953125, 19.19921875, 0.0, 0.0, 84.59375, 69.1875, 15.3984375, 7.69921875, 0.0, 0.0, 233.0, 55.0, 6.0, 4.0, 160.0, "Tous les candidats", 2236.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 49.0, "28488", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28487&g_ta_cod=28488", 90.0, 8.0, 0.0),
(12703, "Public", "0691775E", "Université Lumière-Lyon 2", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation non sélective", "Licence", "Université Lumière-Lyon 2 - Licence - Portail Langues : Portugais", "Licence - Arts-lettres-langues", "Langues : Portugais", 16, 73, 46, 28, 0, 10, 4, 5, 1, 2, 1, 11, 45, 2, 2, 9, 32, 28, 40, 0, 0, 10, 4, 5, 1, 2, 1, 11, 68, 15, 7, 3, 12, 0.0, 3.0, 10.0, 0, 0, 2, 0, 0, 2, 13, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 0, 0, 0.0, 20.0, 66.67, 46.6953125, 0.0, 0.0, 0, 0.0, 13.298828125, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 12.0, 5.0, 9.0, 6.0, 40.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "18135", "Licence - Portail Langues : Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18135&g_ta_cod=18135", 40.0, 7.0, 53.0),
(12704, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Droit - Parcours Droit langue anglaise : droit des pays de common law", "Licence - Droit-économie-gestion", "Droit langue anglaise : droit des pays de common law", 95, 651, 543, 651, 0, 524, 83, 18, 5, 4, 3, 105, 0, 0, 0, 0, 0, 644, 0, 0, 0, 524, 83, 18, 5, 4, 3, 98, 285, 94, 80, 94, 0, 28.0, 89.0, 89.0, 0, 19, 91, 89, 1, 1, 3, 0, 7, 26, 39, 19, 0.0, 83, 1, 0, 0, 0, 78, 78, 29.79, 94.68, 94.68, 85.09375, 85.6875, 85.6875, 0, 20.8984375, 96.796875, 0.0, 7.69921875, 28.59765625, 42.8984375, 20.9, 0.0, 97.796875, 91.1875, 1.099853515625, 1.099853515625, 1.099853515625, 0.0, 259.0, 43.0, 1.0, 1.0, 24.0, "Tous les candidats", 359.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "6333", "Licence - Droit - Parcours Droit langue anglaise : droit des pays de common law", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6333&g_ta_cod=6333", 98.0, 1.0, 1.0),
(12705, "Public", "0251763F", "I.U.T de Belfort-Montbéliard - Site de Montbéliard", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Montbéliard", "formation sélective", "BUT", "I.U.T de Belfort-Montbéliard - Site de Montbéliard - BUT - Gestion administrative et commerciale des organisations Parcours : Management des fonctions supports - Management commercial et marketing omnicanal - Management des activités culturelles, artistiques, sportives et de tourisme", "BUT - Service", "Management des fonctions supports - Management commercial et marketing omnicanal - Management des activités culturelles, artistiques, sportives et de tourisme", 60, 1183, 646, 1183, 0, 565, 106, 382, 119, 21, 8, 215, 0, 0, 0, 0, 0, 667, 0, 0, 0, 363, 65, 249, 68, 2, 1, 53, 366, 54, 44, 54, 0, 31.0, 43.0, 49.0, 0, 26, 51, 23, 28, 0, 3, 0, 7, 27, 14, 3, 0.0, 21, 23, 0, 0, 0, 38, 38, 57.41, 79.63, 90.74, 81.5, 74.5, 74.5, 0, 51.0, 94.390625, 0.0, 13.69921875, 52.8984375, 27.5, 5.9, 0.0, 45.09375, 41.1953125, 54.8984375, 45.09375, 0.0, 0.0, 192.0, 40.0, 0.0, 0.0, 22.0, "Tous les candidats sauf les Bac technologiques", 238.0, "Bacheliers technologiques toutes séries", 229, "", 0, "Liste d'appel propre à cette formation", 39.0, "3588", "BUT - Gestion administrative et commerciale des organisations Parcours : Management des fonctions supports - Management commercial et marketing omnicanal - Management des activités culturelles, artistiques, sportives et de tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3588&g_ta_cod=3588", 44.0, 56.0, 0.0),
(12706, "Public", "0561607T", "Lycée Victor HUGO", "56", "Morbihan", "Bretagne", "Rennes", "Hennebont", "formation sélective", "BTS", "Lycée Victor HUGO - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 497, 297, 489, 0, 37, 11, 140, 32, 142, 59, 170, 8, 0, 1, 2, 5, 349, 2, 0, 0, 35, 10, 136, 30, 117, 44, 61, 206, 24, 15, 24, 0, 4.0, 19.0, 23.0, 0, 5, 20, 2, 5, 13, 4, 0, 4, 10, 6, 0, 0.0, 1, 3, 12, 1, 1, 20, 20, 16.67, 79.17, 95.83, 62.5, 100.0, 100.0, 5, 25.0, 83.296875, 0.0, 20.0, 50.0, 30.0, 0.0, 0.0, 10.0, 5.0, 25.0, 15.0, 65.0, 60.0, 28.0, 7.0, 71.0, 24.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 119, "Bacheliers technologiques toutes séries", 168, "Liste d'appel propre à cette formation", 69.0, "6484", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6484&g_ta_cod=6484", 8.0, 33.0, 58.0),
(12707, "Privé sous contrat d'association", "9710067W", "Lycée professionnel Blanchet", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "BTS", "Lycée professionnel Blanchet - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 16, 48, 1, 48, 0, 0, 0, 6, 3, 37, 26, 5, 0, 0, 0, 0, 0, 37, 0, 0, 0, 0, 0, 6, 3, 29, 21, 2, 30, 14, 0, 14, 0, 8.0, 13.0, 14.0, 0, 11, 14, 0, 0, 14, 0, 0, 8, 6, 0, 0, 0.0, 0, 0, 6, 3, 0, 13, 13, 57.14, 92.86, 100.0, 0.0, 92.890625, 92.890625, 21.3984375, 78.59375, 100.0, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 42.8984375, 0.0, 0.0, 25.0, 18.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 6, "Liste d'appel propre à cette formation", 75.0, "15997", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15997&g_ta_cod=15997", 0.0, 0.0, 100.0),
(12708, "Public", "0340038G", "Lycée Joffre", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "CPGE", "Lycée Joffre - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 48, 943, 470, 939, 591, 798, 72, 1, 1, 1, 1, 139, 4, 0, 0, 0, 4, 516, 0, 240, 508, 476, 32, 0, 0, 0, 0, 40, 289, 43, 20, 43, 0, 1.0, 28.0, 42.0, 8, 1, 38, 38, 0, 0, 5, 0, 0, 0, 17, 20, 1.0, 38, 0, 0, 5, 0, 25, 25, 2.33, 65.12, 97.67, 46.5, 65.796875, 65.796875, 13.19921875, 2.599609375, 88.390625, 0.0, 0.0, 0.0, 44.6953125, 52.6, 2.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 258.0, 19.0, 0.0, 0.0, 31.0, "Tous les candidats", 464.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "31324", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31324&g_ta_cod=31324", 100.0, 0.0, 0.0),
(12709, "Privé sous contrat d'association", "0442101V", "ARIFTS PAYS DE LA LOIRE - REZE", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Rezé", "formation sélective", "EFTS", "ARIFTS PAYS DE LA LOIRE - REZE - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 53, 424, 406, 424, 0, 59, 10, 95, 10, 48, 7, 222, 0, 0, 0, 0, 0, 354, 0, 0, 0, 52, 9, 83, 5, 37, 5, 182, 110, 52, 50, 52, 0, 12.0, 34.0, 39.0, 0, 1, 20, 5, 11, 4, 32, 0, 2, 9, 7, 2, 0.0, 3, 11, 4, 0, 0, 15, 15, 23.08, 65.38, 75.0, 96.1875, 75.0, 75.0, 0, 5.0, 38.5, 0.0, 10.0, 45.0, 35.0, 10.0, 0.0, 25.0, 15.0, 55.0, 55.0, 20.0, 20.0, 11.0, 1.0, 6.0, 0.0, 77.0, "Tous les candidats", 112.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 22.0, "24887", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24887&g_ta_cod=24887", 38.0, 44.0, 17.0),
(12710, "Public", "0450049J", "Lycée Pothier", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "CPGE", "Lycée Pothier - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 426, 295, 405, 249, 354, 54, 1, 1, 2, 2, 48, 21, 9, 1, 1, 10, 382, 12, 249, 356, 352, 54, 0, 0, 1, 1, 29, 365, 57, 36, 54, 3, 32.0, 46.0, 57.0, 15, 7, 55, 55, 0, 0, 2, 0, 1, 11, 27, 16, 0.0, 54, 0, 0, 4, 2, 49, 49, 56.14, 80.7, 100.0, 63.1953125, 89.09375, 89.09375, 7.2998046875, 12.69921875, 96.5, 0.0, 1.7998046875, 20.0, 49.09375, 29.1, 0.0, 100.0, 98.1875, 0.0, 0.0, 0.0, 0.0, 345.0, 54.0, 0.0, 0.0, 20.0, "Tous les candidats", 366.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "5653", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5653&g_ta_cod=5653", 100.0, 0.0, 0.0),
(12711, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne / Université Sorbonne Nouvelle Paris 3 - Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - Histoire-Allemand/Etudes germaniques", "Licence - Sciences humaines et sociales", "Histoire-Allemand/Etudes germaniques", 20, 114, 48, 53, 0, 36, 1, 1, 0, 0, 0, 16, 61, 18, 2, 1, 40, 31, 10, 0, 0, 23, 0, 0, 0, 0, 0, 8, 41, 5, 3, 4, 1, 2.0, 4.0, 4.0, 0, 0, 4, 4, 0, 0, 1, 0, 0, 0, 1, 3, 0.0, 4, 0, 0, 0, 0, 0, 0, 40.0, 80.0, 80.0, 60.0, 0.0, 0.0, 0, 0.0, 80.0, 0.0, 0.0, 0.0, 25.0, 75.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 30.0, 0.0, 0.0, 0.0, 11.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "22937", "Double licence - Histoire / Langues, littératures & civilisations étrangères et régionales - Histoire-Allemand/Etudes germaniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22937&g_ta_cod=22937", 100.0, 0.0, 0.0),
(12712, "Public", "0540082W", "Lycée professionnel Paul Louis Cyfflé", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Autre formation", "Lycée professionnel Paul Louis Cyfflé - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 94, 11, 3, 0, 0, 0.0, 0.0, 0.0, 0, 7, 11, 0, 0, 11, 0, 0, 10, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 11, 11, 0.0, 0.0, 0.0, 27.296875, 100.0, 100.0, 0, 63.59375, 100.0, 0.0, 90.890625, 9.099609375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 9.099609375, 0.0, 0.0, 94.0, 44.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22441", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 0.0, 100.0),
(12713, "Public", "0141857T", "IFSI CH Vire", "14", "Calvados", "Normandie", "Normandie", "Vire Normandie", "formation sélective", "IFSI", "Regroupement d'IFSI Université Caen - D.E Infirmier", "D.E secteur sanitaire", "", 38, 2406, 2044, 2406, 0, 383, 73, 518, 101, 387, 126, 1118, 0, 0, 0, 0, 0, 2283, 0, 0, 0, 381, 73, 501, 95, 359, 120, 1042, 647, 38, 37, 38, 0, 0.0, 5.0, 28.0, 0, 5, 24, 8, 11, 5, 14, 0, 7, 13, 4, 0, 0.0, 5, 7, 5, 0, 0, 11, 11, 0.0, 13.16, 73.68, 97.390625, 45.796875, 45.796875, 0, 20.796875, 63.1953125, 0.0, 29.19921875, 54.1953125, 16.69921875, 0.0, 0.0, 33.296875, 20.796875, 45.796875, 29.19921875, 20.796875, 20.796875, 181.0, 30.0, 74.0, 26.0, 249.0, "Tous les candidats", 1875.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 44.0, "25270", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23094&g_ta_cod=25270", 42.0, 42.0, 16.0),
(12714, "Privé sous contrat d'association", "0490077T", "ARIFTS PAYS DE LA LOIRE - ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "EFTS", "ARIFTS PAYS DE LA LOIRE - REZE - D.E Assistant de Service Social", "D.E secteur social", "", 36, 231, 221, 231, 0, 50, 8, 44, 7, 20, 5, 117, 0, 0, 0, 0, 0, 181, 0, 0, 0, 35, 6, 41, 7, 12, 4, 93, 97, 36, 36, 36, 0, 11.0, 30.0, 32.0, 0, 4, 14, 4, 8, 2, 22, 0, 3, 8, 2, 1, 0.0, 3, 6, 2, 0, 0, 11, 11, 30.56, 83.33, 88.89, 100.0, 78.59375, 78.59375, 0, 28.59765625, 38.8984375, 0.0, 21.3984375, 57.09375, 14.298828125, 7.1, 0.0, 28.59765625, 21.3984375, 57.09375, 42.8984375, 14.298828125, 14.298828125, 14.0, 4.0, 4.0, 1.0, 60.0, "Tous les candidats", 147.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 55.0, "29074", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23506&g_ta_cod=29074", 44.0, 36.0, 19.0),
(12715, "Public", "0290013G", "Lycée Jules Lesven", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Jules Lesven - BTS - Services - Commerce International", "BTS - Services", "", 35, 904, 483, 903, 0, 214, 37, 352, 82, 74, 20, 263, 1, 0, 0, 0, 1, 406, 0, 0, 0, 158, 24, 150, 36, 32, 10, 66, 131, 36, 17, 36, 0, 4.0, 30.0, 34.0, 0, 6, 31, 10, 16, 5, 5, 1, 6, 15, 9, 0, 0.0, 6, 13, 5, 6, 0, 28, 28, 11.11, 83.33, 94.44, 47.1953125, 90.296875, 90.296875, 19.3984375, 19.3984375, 86.09375, 3.19970703125, 19.3984375, 48.3984375, 29.0, 0.0, 0.0, 32.296875, 19.3984375, 51.59375, 41.8984375, 16.09765625, 16.09765625, 44.0, 9.0, 17.0, 6.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 100, "Liste d'appel propre à cette formation", 24.0, "3774", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3774&g_ta_cod=3774", 33.0, 50.0, 17.0),
(12716, "Public", "0790007D", "Lycée Maurice Genevoix", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Bressuire", "formation sélective", "BTS", "Lycée Maurice Genevoix - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 229, 100, 194, 0, 20, 4, 44, 9, 24, 12, 106, 35, 4, 2, 8, 21, 82, 20, 0, 0, 17, 4, 35, 6, 17, 8, 13, 79, 8, 3, 4, 4, 1.0, 4.0, 7.0, 0, 4, 5, 1, 0, 4, 3, 0, 3, 1, 1, 0, 0.0, 1, 0, 1, 0, 0, 3, 3, 12.5, 50.0, 87.5, 37.5, 60.0, 60.0, 0, 80.0, 62.5, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 20.0, 20.0, 0.0, 0.0, 80.0, 20.0, 16.0, 3.0, 21.0, 11.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 42.0, "10103", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10103&g_ta_cod=10103", 38.0, 13.0, 50.0),
(12717, "Privé enseignement supérieur", "0101139J", "ESTP - Campus de Troyes", "10", "Aube", "Grand Est", "Reims", "Rosières-près-Troyes", "formation sélective", "Autre formation", "ESTP - Campus de Troyes - Diplôme d'Etablissement - Bachelor Architecture et Ingénierie", "Diplôme d'Etablissement", "Bachelor Architecture et Ingénierie", 60, 248, 112, 182, 0, 144, 9, 20, 6, 1, 1, 17, 66, 27, 5, 2, 32, 106, 22, 0, 0, 92, 5, 7, 1, 0, 0, 7, 126, 61, 25, 47, 14, 27.0, 47.0, 59.0, 0, 3, 55, 52, 3, 0, 6, 0, 1, 20, 29, 4, 1.0, 52, 2, 0, 0, 0, 5, 5, 44.26, 77.05, 96.72, 41.0, 9.099609375, 9.099609375, 0, 5.5, 90.1875, 0.0, 1.7998046875, 36.3984375, 52.6953125, 7.3, 1.8, 94.5, 94.5, 5.5, 3.599609375, 0.0, 0.0, 105.0, 5.0, 0.0, 0.0, 12.0, "Tous les candidats", 106.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "29441", "Diplôme d'Etablissement - Bachelor Architecture et Ingénierie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29441&g_ta_cod=29441", 95.0, 5.0, 0.0),
(12718, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien", "Licence - Arts-lettres-langues", "Italien", 90, 225, 155, 131, 0, 70, 23, 18, 8, 11, 8, 32, 94, 14, 6, 9, 65, 131, 87, 0, 0, 70, 23, 18, 8, 11, 8, 32, 216, 60, 39, 22, 38, 13.0, 22.0, 36.0, 0, 12, 25, 11, 8, 6, 35, 0, 18, 3, 4, 0, 0.0, 5, 2, 0, 0, 0, 21, 21, 21.67, 36.67, 60.0, 65.0, 84.0, 84.0, 0, 48.0, 41.6953125, 0.0, 72.0, 12.0, 16.0, 0.0, 0.0, 44.0, 20.0, 32.0, 8.0, 24.0, 0.0, 82.0, 26.0, 20.0, 15.0, 90.0, "Tous les candidats", 131.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "22664", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22664&g_ta_cod=22664", 45.0, 33.0, 22.0),
(12719, "Public", "0470019R", "Lycée agricole DE SAINTE LIVRADE", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Sainte-Livrade-sur-Lot", "formation sélective", "BTS", "Lycée agricole DE SAINTE LIVRADE - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 11, 96, 60, 87, 0, 5, 0, 24, 9, 23, 8, 35, 9, 3, 1, 1, 4, 53, 5, 0, 0, 4, 0, 23, 8, 22, 7, 4, 43, 10, 7, 8, 1, 5.0, 7.0, 9.0, 0, 6, 9, 0, 1, 8, 1, 0, 5, 3, 1, 0, 0.0, 0, 0, 4, 8, 5, 8, 8, 50.0, 70.0, 90.0, 70.0, 88.890625, 88.890625, 88.890625, 66.6875, 90.0, 0.0, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 0.0, 0.0, 11.099609375, 0.0, 88.890625, 44.3984375, 5.0, 0.0, 11.0, 5.0, 5.0, "Tous les candidats sauf les Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 56.0, "5775", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5775&g_ta_cod=5775", 10.0, 10.0, 80.0),
(12720, "Public", "0860037Y", "Lycée Nelson Mandela", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Lycée Nelson Mandela - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 211, 16, 190, 0, 21, 6, 58, 12, 57, 19, 54, 21, 0, 1, 14, 6, 133, 2, 0, 0, 20, 5, 41, 10, 46, 15, 26, 61, 15, 0, 13, 2, 2.0, 12.0, 12.0, 0, 4, 10, 2, 2, 6, 5, 0, 7, 1, 2, 0, 0.0, 0, 1, 2, 1, 0, 8, 8, 13.33, 80.0, 80.0, 0.0, 80.0, 80.0, 10, 40.0, 66.6875, 0.0, 70.0, 10.0, 20.0, 0.0, 0.0, 20.0, 0.0, 20.0, 10.0, 60.0, 20.0, 4.0, 2.0, 33.0, 11.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 49, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 49.0, "10591", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10591&g_ta_cod=10591", 20.0, 27.0, 53.0),
(12721, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation non sélective", "Licence_Las", "Université Gustave Eiffel - Licence - Mathématiques - Mathématiques-Informatique -  option Santé", "Licence - Sciences - technologies - santé", "Mathématiques-Informatique", 20, 173, 62, 173, 0, 109, 26, 7, 1, 0, 0, 57, 0, 0, 0, 0, 0, 173, 0, 0, 0, 109, 26, 7, 1, 0, 0, 57, 90, 20, 10, 20, 0, 2.0, 9.0, 17.0, 0, 6, 14, 14, 0, 0, 6, 0, 4, 8, 2, 0, 0.0, 10, 0, 0, 0, 0, 11, 14, 10.0, 45.0, 85.0, 50.0, 78.59375, 100.0, 0, 42.8984375, 70.0, 0.0, 28.59765625, 57.09375, 14.298828125, 0.0, 0.0, 100.0, 71.390625, 0.0, 0.0, 0.0, 0.0, 61.0, 15.0, 0.0, 0.0, 29.0, "Tous les candidats", 107.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "32344", "Licence - Mathématiques - Mathématiques-Informatique -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32344&g_ta_cod=32344", 100.0, 0.0, 0.0),
(12722, "Public", "0693735K", "ECOLE NATIONALE SUPERIEURE DES ARTS ET TECHNIQUES DU THEATRE (ENSATT)", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "Autre formation", "ECOLE NATIONALE SUPERIEURE DES ARTS ET TECHNIQUES DU THEATRE (ENSATT) - Diplôme d'Université - PAREO - DE PARODOS", "Diplôme d'Université", "DE PARODOS", 7, 254, 184, 254, 0, 152, 30, 13, 6, 20, 11, 69, 0, 0, 0, 0, 0, 28, 0, 0, 0, 18, 2, 0, 0, 0, 0, 10, 15, 7, 4, 7, 0, 3.0, 4.0, 5.0, 0, 0, 3, 3, 0, 0, 4, 0, 0, 1, 1, 1, 0.0, 3, 0, 0, 0, 0, 0, 0, 42.86, 57.14, 71.43, 57.09375, 0.0, 0.0, 0, 0.0, 42.8984375, 0.0, 0.0, 33.296875, 33.296875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 6.0, 2.0, 0.0, 0.0, 9.0, "Tous les candidats", 11.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 4.0, "33291", "Diplôme d'Université - PAREO - DE PARODOS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33291&g_ta_cod=33291", 86.0, 14.0, 0.0),
(12723, "Privé sous contrat d'association", "0751883P", "Institut Supérieur Clorivière", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "BTS", "Institut Supérieur Clorivière - BTS - Services - Tourisme", "BTS - Services", "", 74, 956, 719, 728, 0, 219, 45, 133, 41, 121, 60, 255, 228, 36, 37, 33, 122, 211, 51, 0, 0, 82, 11, 38, 9, 41, 11, 50, 235, 67, 52, 41, 26, 18.0, 40.0, 58.0, 0, 8, 42, 25, 9, 8, 25, 0, 9, 18, 13, 2, 0.0, 20, 5, 8, 0, 0, 2, 37, 26.87, 59.7, 86.57, 77.59375, 4.7998046875, 88.09375, 0, 19.0, 62.6953125, 0.0, 21.3984375, 42.8984375, 31.0, 4.8, 0.0, 59.5, 47.59375, 21.3984375, 11.8984375, 19.0, 19.0, 84.0, 13.0, 36.0, 9.0, 78.0, "Tous les candidats sauf les Bac professionnels", 163.0, "Bacheliers professionnels toutes séries", 48, "", 0, "Liste d'appel propre à cette formation", 29.0, "9358", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9358&g_ta_cod=9358", 55.0, 21.0, 24.0),
(12724, "Public", "9741087N", "Lycée Boisjoly Potier", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation sélective", "Autre formation", "Lycée Boisjoly Potier - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 153, 37, 125, 0, 20, 10, 22, 14, 62, 48, 21, 28, 3, 6, 8, 11, 47, 13, 0, 0, 4, 0, 8, 6, 25, 18, 10, 50, 9, 0, 6, 3, 4.0, 6.0, 9.0, 0, 3, 5, 0, 1, 4, 4, 0, 2, 2, 1, 0, 0.0, 0, 1, 2, 0, 0, 5, 5, 44.44, 66.67, 100.0, 0.0, 100.0, 100.0, 0, 60.0, 55.59375, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 0.0, 0.0, 20.0, 20.0, 80.0, 40.0, 5.0, 0.0, 23.0, 19.0, 15.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "26233", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26233&g_ta_cod=26233", 0.0, 33.0, 67.0),
(12725, "Public", "0260765R", "Lycée agricole Le Valentin", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Bourg-lès-Valence", "formation sélective", "BTS", "Lycée agricole Le Valentin - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 27, 354, 138, 351, 0, 48, 10, 58, 11, 20, 4, 225, 3, 0, 0, 2, 1, 209, 0, 0, 0, 44, 9, 58, 11, 19, 4, 88, 121, 21, 7, 21, 0, 5.0, 16.0, 18.0, 0, 3, 11, 4, 7, 0, 10, 0, 5, 5, 0, 1, 0.0, 1, 5, 0, 5, 1, 9, 9, 23.81, 76.19, 85.71, 33.296875, 81.796875, 81.796875, 45.5, 27.296875, 52.3984375, 0.0, 45.5, 45.5, 0.0, 9.1, 0.0, 36.3984375, 9.099609375, 63.59375, 45.5, 0.0, 0.0, 34.0, 5.0, 18.0, 4.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 69.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 67, "Liste d'appel propre à cette formation", 45.0, "3643", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3643&g_ta_cod=3643", 57.0, 43.0, 0.0),
(12726, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Ukrainien", "Licence - Arts-lettres-langues", "Langues, Littératures et civilisations, parcours Europe - Ukrainien", 25, 28, 18, 15, 0, 11, 7, 1, 1, 1, 1, 2, 13, 1, 0, 1, 11, 15, 7, 0, 0, 11, 7, 1, 1, 1, 1, 2, 22, 5, 4, 2, 3, 2.0, 2.0, 3.0, 0, 2, 2, 1, 0, 1, 3, 0, 1, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 1, 2, 40.0, 40.0, 60.0, 80.0, 50.0, 100.0, 0, 100.0, 40.0, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 50.0, 12.0, 7.0, 2.0, 2.0, 7.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9417", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Ukrainien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29607&g_ta_cod=9417", 80.0, 0.0, 20.0),
(12727, "Public", "0910622G", "Lycée Geoffroy-St-Hilaire", "91", "Essonne", "Ile-de-France", "Versailles", "Etampes", "formation sélective", "BTS", "Lycée Geoffroy-St-Hilaire - BTS - Production - Electrotechnique", "BTS - Production", "", 28, 247, 10, 239, 0, 4, 1, 39, 6, 113, 36, 83, 8, 0, 2, 0, 6, 192, 0, 0, 0, 4, 1, 35, 5, 106, 32, 47, 111, 25, 0, 25, 0, 3.0, 20.0, 23.0, 0, 6, 24, 0, 6, 18, 1, 0, 10, 9, 3, 2, 0.0, 0, 0, 14, 4, 0, 23, 23, 12.0, 80.0, 92.0, 0.0, 95.796875, 95.796875, 16.69921875, 25.0, 96.0, 0.0, 41.6953125, 37.5, 12.5, 8.3, 0.0, 0.0, 0.0, 25.0, 0.0, 75.0, 58.296875, 2.0, 1.0, 68.0, 21.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 88, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 56.0, "10850", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10850&g_ta_cod=10850", 0.0, 28.0, 72.0),
(12728, "Public", "0350042F", "Lycée Maupertuis", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Saint-Malo", "formation sélective", "BTS", "Lycée Maupertuis - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 231, 13, 208, 0, 7, 3, 33, 6, 90, 26, 78, 23, 2, 2, 8, 11, 115, 8, 0, 0, 6, 2, 29, 5, 72, 15, 8, 95, 20, 1, 16, 4, 9.0, 16.0, 19.0, 0, 8, 17, 0, 1, 16, 3, 0, 5, 6, 3, 3, 0.0, 0, 1, 11, 1, 0, 17, 17, 45.0, 80.0, 95.0, 5.0, 100.0, 100.0, 5.8994140625, 47.09375, 85.0, 0.0, 29.3984375, 35.296875, 17.59765625, 17.6, 0.0, 0.0, 0.0, 5.8994140625, 5.8994140625, 94.09375, 64.6875, 6.0, 3.0, 59.0, 16.0, 13.0, "Tous les candidats sauf les Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 73, "", 0, "Liste d'appel propre à cette formation", 55.0, "4653", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4653&g_ta_cod=4653", 10.0, 5.0, 85.0),
(12729, "Privé sous contrat d'association", "0383208F", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Corenc", "formation sélective", "CPGE", "Lycée PHILIPPINE DUCHESNE ITEC BOISFLEURY - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 10, 145, 62, 138, 0, 126, 6, 0, 0, 0, 0, 12, 7, 6, 0, 0, 1, 131, 7, 0, 131, 122, 6, 0, 0, 0, 0, 9, 128, 10, 3, 7, 3, 2.0, 6.0, 10.0, 0, 1, 9, 9, 0, 0, 1, 0, 1, 8, 0, 0, 0.0, 8, 0, 0, 2, 1, 8, 8, 20.0, 60.0, 100.0, 30.0, 88.890625, 88.890625, 22.19921875, 11.099609375, 90.0, 0.0, 11.099609375, 88.890625, 0.0, 0.0, 0.0, 100.0, 88.890625, 0.0, 0.0, 0.0, 0.0, 119.0, 7.0, 0.0, 0.0, 9.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "31578", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31302&g_ta_cod=31578", 100.0, 0.0, 0.0),
(12730, "Privé sous contrat d'association", "0110670U", "Lycée Beausejour", "11", "Aude", "Occitanie", "Montpellier", "Narbonne", "formation sélective", "BTS", "Lycée Beausejour - BTS - Services - Economie sociale familiale", "BTS - Services", "", 30, 361, 333, 359, 0, 28, 7, 91, 26, 157, 58, 83, 2, 0, 0, 1, 1, 155, 0, 0, 0, 16, 2, 34, 5, 68, 18, 37, 93, 27, 24, 27, 0, 10.0, 21.0, 25.0, 0, 8, 19, 3, 6, 10, 8, 0, 2, 10, 6, 1, 0.0, 3, 5, 9, 5, 4, 15, 15, 37.04, 77.78, 92.59, 88.890625, 78.890625, 78.890625, 26.296875, 42.09375, 70.390625, 0.0, 10.5, 52.59375, 31.59765625, 5.3, 0.0, 15.798828125, 15.798828125, 31.59765625, 26.296875, 52.59375, 47.3984375, 10.0, 2.0, 40.0, 13.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 35, "Liste d'appel propre à cette formation", 35.0, "2466", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2466&g_ta_cod=2466", 26.0, 26.0, 48.0),
(12731, "Public", "0332468D", "Lycée St Louis", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée St Louis - BTS - Services - Diététique", "BTS - Services", "", 30, 1987, 1642, 1980, 0, 544, 90, 421, 108, 156, 45, 859, 7, 0, 2, 0, 5, 483, 2, 0, 0, 151, 20, 134, 35, 43, 11, 155, 176, 26, 23, 26, 0, 3.0, 18.0, 22.0, 0, 1, 13, 6, 5, 2, 13, 0, 0, 6, 6, 1, 0.0, 6, 5, 2, 0, 0, 8, 8, 11.54, 69.23, 84.62, 88.5, 61.5, 61.5, 0, 7.69921875, 50.0, 0.0, 0.0, 46.1953125, 46.1953125, 7.7, 0.0, 46.1953125, 46.1953125, 38.5, 38.5, 15.3984375, 15.3984375, 49.0, 10.0, 16.0, 3.0, 61.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 168.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 91, "Liste d'appel propre à cette formation", 14.0, "4440", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4440&g_ta_cod=4440", 62.0, 27.0, 12.0),
(12732, "Public", "0561627P", "Lycée Charles De Gaulle", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BTS", "Lycée Charles De Gaulle - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1288, 659, 1288, 0, 156, 19, 621, 138, 321, 95, 190, 0, 0, 0, 0, 0, 848, 0, 0, 0, 120, 14, 468, 91, 199, 50, 61, 212, 38, 19, 38, 0, 4.0, 22.0, 36.0, 0, 7, 34, 4, 11, 19, 4, 0, 7, 18, 8, 1, 0.0, 1, 10, 16, 4, 0, 34, 34, 10.53, 57.89, 94.74, 50.0, 100.0, 100.0, 11.798828125, 20.59765625, 89.5, 0.0, 20.59765625, 52.8984375, 23.5, 2.9, 0.0, 11.798828125, 2.89990234375, 32.3984375, 29.3984375, 55.8984375, 47.09375, 30.0, 7.0, 98.0, 24.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 99.0, "Bacheliers professionnels toutes séries", 207, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 31.0, "6485", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6485&g_ta_cod=6485", 13.0, 34.0, 53.0),
(12733, "Privé sous contrat d'association", "0880101G", "Ensemble scolaire Notre-Dame Saint-Joseph", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "BTS", "Ensemble scolaire Notre-Dame Saint-Joseph - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 134, 67, 117, 0, 12, 7, 25, 8, 11, 4, 69, 17, 0, 6, 3, 8, 64, 7, 0, 0, 12, 7, 25, 8, 11, 4, 16, 66, 25, 9, 22, 3, 14.0, 22.0, 23.0, 0, 6, 18, 7, 7, 4, 7, 0, 7, 6, 4, 1, 0.0, 2, 5, 4, 4, 2, 17, 17, 56.0, 88.0, 92.0, 36.0, 94.390625, 94.390625, 22.19921875, 33.296875, 72.0, 0.0, 38.8984375, 33.296875, 22.19921875, 5.6, 0.0, 38.8984375, 11.099609375, 38.8984375, 27.796875, 22.19921875, 22.19921875, 11.0, 6.0, 8.0, 3.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 27, "Liste d'appel propre à cette formation", 51.0, "10741", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10741&g_ta_cod=10741", 44.0, 36.0, 20.0),
(12734, "Public", "0020050U", "Lycée Condorcet", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "BTS", "Lycée Condorcet - BTS - Services - Support à l'action managériale", "BTS - Services", "", 32, 331, 175, 315, 0, 11, 5, 71, 28, 50, 32, 183, 16, 0, 0, 12, 4, 172, 2, 0, 0, 9, 4, 70, 28, 47, 30, 46, 108, 27, 15, 26, 1, 9.0, 20.0, 21.0, 0, 12, 22, 3, 9, 10, 5, 0, 10, 9, 3, 0, 0.0, 0, 6, 6, 10, 6, 20, 20, 33.33, 74.07, 77.78, 55.59375, 90.890625, 90.890625, 45.5, 54.5, 81.5, 0.0, 45.5, 40.8984375, 13.599609375, 0.0, 0.0, 13.599609375, 0.0, 40.8984375, 27.296875, 45.5, 27.296875, 7.0, 4.0, 45.0, 30.0, 23.0, "Tous les candidats sauf les Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 55, "", 0, "Liste d'appel propre à cette formation", 36.0, "2066", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2066&g_ta_cod=2066", 19.0, 33.0, 48.0),
(12735, "Public", "0672341F", "IFSI Strasbourg (Hus)", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "IFSI", "Regroupement d'IFSI Université Strasbourg - D.E Infirmier", "D.E secteur sanitaire", "", 133, 4524, 3812, 4524, 0, 938, 188, 817, 251, 456, 174, 2313, 0, 0, 0, 0, 0, 3909, 0, 0, 0, 898, 173, 680, 192, 323, 108, 2008, 793, 143, 123, 143, 0, 16.0, 85.0, 104.0, 0, 23, 71, 36, 27, 8, 72, 0, 8, 22, 34, 7, 0.0, 30, 26, 7, 0, 0, 63, 63, 11.19, 59.44, 72.73, 86.0, 88.6875, 88.6875, 0, 32.3984375, 49.6953125, 0.0, 11.298828125, 31.0, 47.8984375, 9.9, 0.0, 50.6953125, 42.296875, 38.0, 36.59375, 11.298828125, 9.8984375, 268.0, 57.0, 19.0, 15.0, 425.0, "Tous les candidats", 1032.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 21.0, "23237", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23000&g_ta_cod=23237", 72.0, 20.0, 6.0),
(12736, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "Université Angers - Diplôme d'Université - PAREO - Paréo (Passeport pour réussir et s?orienter)", "Diplôme d'Université", "Paréo (Passeport pour réussir et s?orienter)", 20, 119, 80, 64, 0, 30, 6, 23, 9, 3, 1, 8, 55, 17, 11, 2, 25, 64, 20, 0, 0, 30, 6, 23, 9, 3, 1, 8, 105, 34, 24, 19, 11, 5.0, 19.0, 22.0, 0, 9, 28, 12, 14, 2, 6, 0, 19, 5, 4, 0, 0.0, 4, 3, 2, 0, 0, 26, 26, 14.71, 55.88, 64.71, 70.59375, 92.890625, 92.890625, 0, 32.09375, 82.390625, 0.0, 67.890625, 17.8984375, 14.298828125, 0.0, 0.0, 42.8984375, 14.298828125, 50.0, 10.69921875, 7.099609375, 7.099609375, 49.0, 8.0, 5.0, 1.0, 12.0, "Tous les candidats", 64.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32387", "Diplôme d'Université - PAREO - Paréo (Passeport pour réussir et s?orienter)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32387&g_ta_cod=32387", 44.0, 47.0, 9.0),
(12737, "Privé sous contrat d'association", "0671636P", "Lycée ORT STRASBOURG", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Lycée ORT STRASBOURG - DN MADE - Mode - - Spécialité : Mode et édition", "DN MADE", "- Spécialité : Mode et édition", 17, 342, 282, 342, 0, 124, 20, 75, 11, 43, 18, 100, 0, 0, 0, 0, 0, 342, 0, 0, 0, 124, 20, 75, 11, 43, 18, 100, 59, 17, 16, 17, 0, 3.0, 15.0, 16.0, 0, 4, 12, 5, 3, 4, 5, 0, 0, 2, 3, 7, 0.0, 5, 3, 4, 0, 0, 5, 5, 17.65, 88.24, 94.12, 94.09375, 41.6953125, 41.6953125, 0, 33.296875, 70.59375, 0.0, 0.0, 16.69921875, 25.0, 58.3, 0.0, 41.6953125, 41.6953125, 25.0, 25.0, 33.296875, 33.296875, 15.0, 3.0, 10.0, 7.0, 11.0, "Tous les candidats", 67.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "21543", "DN MADE - Mode - - Spécialité : Mode et édition", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21543&g_ta_cod=21543", 41.0, 29.0, 29.0),
(12738, "Public", "0860986E", "UNITE DE FORMATION ET DE RECHERCHE DE MEDECINE ET PHARMACIE UNIVERSITE DE POITIERS", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Autre formation", "Regroupement Nouvelle Aquitaine - Certificat de capacité d'Orthophoniste", "D.E secteur sanitaire", "", 25, 2127, 2049, 2127, 0, 672, 79, 19, 4, 0, 0, 1436, 0, 0, 0, 0, 0, 504, 0, 0, 0, 219, 20, 0, 0, 0, 0, 285, 101, 25, 24, 25, 0, 2.0, 22.0, 23.0, 0, 2, 7, 7, 0, 0, 18, 0, 0, 0, 4, 3, 0.0, 7, 0, 0, 0, 0, 0, 0, 8.0, 88.0, 92.0, 96.0, 0.0, 0.0, 0, 28.59765625, 28.0, 0.0, 0.0, 0.0, 57.09375, 42.9, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 39.0, 4.0, 0.0, 0.0, 62.0, "Tous les candidats", 160.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 7.0, "26462", "Certificat de capacité d'Orthophoniste", "Regroupement Nouvelle Aquitaine", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26460&g_ta_cod=26462", 100.0, 0.0, 0.0),
(12739, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) / Lycée Léon Blum de Créteil - Licence - Sciences de l'éducation - Parcours PPPE", "Licence - Sciences humaines et sociales", "PPPE", 30, 1307, 1100, 1307, 0, 643, 163, 188, 62, 47, 15, 429, 0, 0, 0, 0, 0, 1307, 0, 0, 0, 643, 163, 188, 62, 47, 15, 429, 120, 30, 29, 30, 0, 3.0, 26.0, 29.0, 0, 8, 30, 30, 0, 0, 0, 0, 2, 20, 5, 3, 0.0, 28, 0, 0, 0, 0, 18, 30, 10.0, 86.67, 96.67, 96.6875, 60.0, 100.0, 0, 26.69921875, 100.0, 0.0, 6.69921875, 66.6875, 16.69921875, 10.0, 0.0, 100.0, 93.296875, 0.0, 0.0, 0.0, 0.0, 113.0, 33.0, 0.0, 0.0, 6.0, "Tous les candidats", 212.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "32737", "Licence - Sciences de l'éducation - Parcours PPPE", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32737&g_ta_cod=32737", 100.0, 0.0, 0.0),
(12740, "Public", "0130201Y", "Aix-Marseille Université - Site de Marseille Luminy", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  9e  Arrondissement", "formation sélective", "Autre formation", "Aix-Marseille Université - Site de Marseille Luminy - C.M.I - Cursus Master en Ingénierie - Sciences et Techniques des Activités Physiques et Sportives - Sciences et Techniques des Activités Physiques et Sportives Cursus Master Ingénierie-Site Luminy", "C.M.I - Cursus Master en Ingénierie", "Sciences et Techniques des Activités Physiques et Sportives Cursus Master Ingénierie-Site Luminy", 15, 346, 105, 346, 0, 203, 33, 27, 13, 4, 3, 112, 0, 0, 0, 0, 0, 275, 0, 0, 0, 185, 32, 0, 0, 0, 0, 90, 80, 15, 3, 15, 0, 2.0, 9.0, 14.0, 0, 1, 10, 10, 0, 0, 5, 0, 0, 0, 8, 2, 0.0, 10, 0, 0, 0, 0, 5, 5, 13.33, 60.0, 93.33, 20.0, 50.0, 50.0, 0, 10.0, 66.6875, 0.0, 0.0, 0.0, 80.0, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 43.0, 11.0, 0.0, 0.0, 37.0, "Tous les candidats", 124.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "16662", "C.M.I - Cursus Master en Ingénierie - Sciences et Techniques des Activités Physiques et Sportives - Sciences et Techniques des Activités Physiques et Sportives Cursus Master Ingénierie-Site Luminy", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16662&g_ta_cod=16662", 100.0, 0.0, 0.0),
(12741, "Public", "0952260R", "Université de Cergy-Pontoise - CY SUP", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Licence", "Université de Cergy-Pontoise - CY SUP - Licence - Langues étrangères appliquées - Parcours Langues Étrangères Appliquées Anglais Chinois", "Licence - Arts-lettres-langues", "Langues Étrangères Appliquées Anglais Chinois", 32, 578, 427, 316, 0, 205, 48, 19, 10, 4, 2, 88, 262, 69, 22, 8, 163, 140, 4, 0, 0, 104, 23, 0, 0, 0, 0, 36, 119, 28, 24, 25, 3, 6.0, 25.0, 27.0, 0, 3, 14, 14, 0, 0, 14, 0, 0, 7, 6, 1, 0.0, 14, 0, 0, 0, 0, 7, 8, 21.43, 89.29, 96.43, 85.6875, 50.0, 57.09375, 0, 21.3984375, 50.0, 0.0, 0.0, 50.0, 42.8984375, 7.1, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 83.0, 19.0, 0.0, 0.0, 36.0, "Tous les candidats", 140.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "11630", "Licence - Langues étrangères appliquées - Parcours Langues Étrangères Appliquées Anglais Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11630&g_ta_cod=11630", 100.0, 0.0, 0.0),
(12742, "Public", "0100025Y", "Lycée Les Lombards", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "BTS", "Lycée Les Lombards - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 147, 5, 144, 0, 6, 1, 30, 8, 77, 30, 31, 3, 0, 1, 0, 2, 108, 0, 0, 0, 5, 0, 21, 4, 69, 26, 13, 51, 14, 0, 14, 0, 5.0, 14.0, 14.0, 0, 2, 9, 0, 1, 8, 5, 0, 1, 3, 4, 1, 0.0, 0, 1, 7, 4, 0, 8, 8, 35.71, 100.0, 100.0, 0.0, 88.890625, 88.890625, 44.3984375, 22.19921875, 64.296875, 0.0, 11.099609375, 33.296875, 44.3984375, 11.1, 0.0, 0.0, 0.0, 11.099609375, 11.099609375, 88.890625, 77.796875, 3.0, 0.0, 23.0, 4.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 25, "Liste d'appel propre à cette formation", 48.0, "2416", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2416&g_ta_cod=2416", 14.0, 21.0, 64.0),
(12743, "Privé sous contrat d'association", "0292319N", "ITES BREST", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "EFTS", "ITES BREST - D.E Assistant de Service Social", "D.E secteur social", "", 22, 92, 88, 92, 0, 13, 4, 12, 1, 9, 3, 58, 0, 0, 0, 0, 0, 54, 0, 0, 0, 5, 2, 4, 0, 2, 2, 43, 32, 24, 23, 24, 0, 17.0, 24.0, 24.0, 0, 2, 4, 3, 0, 1, 20, 0, 1, 1, 1, 1, 0.0, 2, 0, 1, 0, 0, 4, 4, 70.83, 100.0, 100.0, 95.796875, 100.0, 100.0, 0, 50.0, 16.69921875, 0.0, 25.0, 25.0, 25.0, 25.0, 0.0, 75.0, 50.0, 0.0, 0.0, 25.0, 25.0, 3.0, 1.0, 1.0, 1.0, 27.0, "Tous les candidats", 33.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "23780", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23780&g_ta_cod=23780", 58.0, 17.0, 13.0),
(12744, "Public", "0601864A", "Lycée Andre Malraux", "60", "Oise", "Hauts-de-France", "Amiens", "Montataire", "formation sélective", "BTS", "Lycée Andre Malraux - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 370, 203, 370, 0, 9, 3, 97, 46, 104, 50, 160, 0, 0, 0, 0, 0, 287, 0, 0, 0, 9, 3, 97, 46, 104, 50, 77, 100, 35, 19, 35, 0, 12.0, 31.0, 33.0, 0, 14, 34, 3, 9, 22, 1, 0, 23, 7, 2, 2, 0.0, 0, 3, 8, 8, 3, 31, 31, 34.29, 88.57, 94.29, 54.296875, 91.1875, 91.1875, 23.5, 41.1953125, 97.09375, 0.0, 67.59375, 20.59765625, 5.8994140625, 5.9, 0.0, 8.798828125, 0.0, 26.5, 8.798828125, 64.6875, 23.5, 6.0, 2.0, 73.0, 34.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 89, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 34.0, "7274", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7274&g_ta_cod=7274", 9.0, 29.0, 63.0),
(12745, "Public", "0020048S", "Lycée Henri Martin", "02", "Aisne", "Hauts-de-France", "Amiens", "Saint-Quentin", "formation sélective", "BTS", "Lycée Henri Martin - BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "BTS - Services", "", 15, 919, 226, 919, 0, 354, 64, 112, 24, 104, 29, 349, 0, 0, 0, 0, 0, 880, 0, 0, 0, 354, 64, 112, 24, 103, 29, 311, 47, 14, 4, 14, 0, 1.0, 13.0, 13.0, 0, 3, 12, 10, 0, 2, 2, 0, 0, 4, 6, 2, 0.0, 10, 0, 2, 2, 1, 6, 6, 7.14, 92.86, 92.86, 28.59765625, 50.0, 50.0, 16.69921875, 25.0, 85.6875, 0.0, 0.0, 33.296875, 50.0, 16.7, 0.0, 83.296875, 83.296875, 0.0, 0.0, 16.69921875, 16.69921875, 32.0, 5.0, 6.0, 2.0, 8.0, "Tous les candidats sauf les Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 6.0, "2055", "BTS - Services - Métiers de l'audio-visuel opt : montage et post-production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2055&g_ta_cod=2055", 86.0, 0.0, 14.0),
(12746, "Privé sous contrat d'association", "0331590Z", "Lycée St Vincent De Paul", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Autre formation", "Lycée St Vincent De Paul - DN MADE - Graphisme - - Spécialité : Communication digitale", "DN MADE", "- Spécialité : Communication digitale", 20, 601, 337, 601, 0, 245, 42, 87, 18, 92, 15, 177, 0, 0, 0, 0, 0, 281, 0, 0, 0, 133, 22, 54, 9, 49, 9, 45, 71, 23, 12, 23, 0, 5.0, 18.0, 23.0, 0, 2, 20, 8, 7, 5, 3, 0, 3, 8, 9, 0, 0.0, 6, 6, 5, 0, 0, 11, 11, 21.74, 78.26, 100.0, 52.1953125, 55.0, 55.0, 0, 10.0, 87.0, 0.0, 15.0, 40.0, 45.0, 0.0, 0.0, 40.0, 30.0, 35.0, 30.0, 25.0, 25.0, 24.0, 3.0, 15.0, 4.0, 9.0, "Tous les candidats", 103.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "24294", "DN MADE - Graphisme - - Spécialité : Communication digitale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24294&g_ta_cod=24294", 43.0, 30.0, 22.0),
(12747, "Public", "0312354R", "L.E.G.T.A. d'Ondes", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Ondes", "formation sélective", "BTS", "L.E.G.T.A. d'Ondes - BTS - Agricole - génie des équipements agricoles", "BTS - Agricole", "", 27, 211, 28, 208, 0, 17, 3, 62, 14, 43, 13, 86, 3, 0, 0, 0, 3, 135, 2, 0, 0, 17, 3, 62, 14, 43, 13, 13, 97, 24, 1, 22, 2, 9.0, 21.0, 24.0, 0, 6, 22, 1, 9, 12, 2, 0, 6, 13, 3, 0, 0.0, 1, 7, 8, 7, 0, 18, 18, 37.5, 87.5, 100.0, 4.19921875, 81.796875, 81.796875, 31.796875, 27.296875, 91.6875, 0.0, 27.296875, 59.09375, 13.599609375, 0.0, 0.0, 4.5, 4.5, 40.8984375, 31.796875, 54.5, 36.3984375, 13.0, 3.0, 30.0, 7.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 68, "Liste d'appel propre à cette formation", 63.0, "4226", "BTS - Agricole - génie des équipements agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4226&g_ta_cod=4226", 4.0, 46.0, 50.0),
(12748, "Privé enseignement supérieur", "0690670D", "CRESPA -SCIENCES U", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 3e  Arrondissement", "formation sélective", "BTS", "CRESPA -SCIENCES U - BTS - Services - Notariat", "BTS - Services", "", 100, 426, 310, 360, 0, 93, 21, 102, 29, 32, 12, 133, 66, 11, 20, 2, 33, 279, 4, 0, 0, 85, 15, 87, 26, 23, 9, 84, 173, 29, 22, 29, 0, 6.0, 23.0, 29.0, 0, 4, 14, 5, 7, 2, 15, 0, 7, 5, 2, 0, 0.0, 2, 3, 2, 0, 0, 3, 3, 20.69, 79.31, 100.0, 75.890625, 21.3984375, 21.3984375, 0, 28.59765625, 48.296875, 0.0, 50.0, 35.6953125, 14.298828125, 0.0, 0.0, 35.6953125, 14.298828125, 50.0, 21.3984375, 14.298828125, 14.298828125, 37.0, 4.0, 14.0, 5.0, 75.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 133.0, "Bacheliers technologiques toutes séries", 111, "Bacheliers professionnels toutes séries", 29, "Liste d'appel propre à cette formation", 76.0, "26523", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26523&g_ta_cod=26523", 41.0, 38.0, 21.0),
(12749, "Public", "0134315V", "UFR des Sciences Médicales et Paramédicales site Nord Université Aix Marseille", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 14e  Arrondissement", "formation sélective", "Autre formation", "UFR des Sciences Médicales et Paramédicales site Nord Université Aix Marseille - D.E Pédicure-Podologue", "D.E secteur sanitaire", "", 27, 237, 183, 237, 0, 45, 11, 36, 18, 5, 4, 151, 0, 0, 0, 0, 0, 148, 0, 0, 0, 35, 8, 17, 6, 2, 2, 94, 87, 29, 25, 29, 0, 9.0, 16.0, 22.0, 0, 1, 8, 3, 5, 0, 21, 0, 1, 4, 3, 0, 0.0, 3, 4, 0, 0, 0, 7, 7, 31.03, 55.17, 75.86, 86.1875, 87.5, 87.5, 0, 12.5, 27.59765625, 0.0, 12.5, 50.0, 37.5, 0.0, 0.0, 37.5, 37.5, 62.5, 50.0, 0.0, 0.0, 16.0, 6.0, 1.0, 1.0, 59.0, "Tous les candidats", 89.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "30568", "D.E Pédicure-Podologue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30568&g_ta_cod=30568", 66.0, 28.0, 7.0),
(12750, "Privé sous contrat d'association", "0690519P", "Lycée Notre Dame Des Minimes", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 15, 1513, 419, 1497, 0, 1490, 129, 0, 0, 0, 0, 7, 16, 16, 0, 0, 0, 1335, 3, 0, 0, 1335, 94, 0, 0, 0, 0, 0, 1185, 5, 1, 5, 0, 1.0, 4.0, 5.0, 0, 0, 5, 5, 0, 0, 0, 0, 1, 3, 1, 0, 0.0, 4, 0, 0, 0, 0, 1, 1, 20.0, 80.0, 100.0, 20.0, 20.0, 20.0, 0, 0.0, 100.0, 0.0, 20.0, 60.0, 20.0, 0.0, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 1185.0, 94.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "31109", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=31109", 100.0, 0.0, 0.0),
(12751, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence", "Université de Poitiers - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 45, 225, 189, 193, 0, 158, 52, 6, 1, 2, 2, 27, 32, 6, 2, 4, 20, 193, 31, 0, 0, 158, 52, 6, 1, 2, 2, 27, 224, 30, 24, 20, 10, 19.0, 19.0, 27.0, 0, 10, 18, 12, 3, 3, 12, 0, 8, 7, 3, 0, 0.0, 6, 2, 2, 0, 0, 12, 12, 63.33, 63.33, 90.0, 80.0, 66.6875, 66.6875, 0, 55.59375, 60.0, 0.0, 44.3984375, 38.8984375, 16.69921875, 0.0, 0.0, 66.6875, 33.296875, 16.69921875, 11.099609375, 16.69921875, 11.099609375, 164.0, 54.0, 6.0, 3.0, 46.0, "Tous les candidats", 193.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26570", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26570&g_ta_cod=26570", 63.0, 17.0, 20.0),
(12752, "Privé sous contrat d'association", "0440178E", "Lycée général et technologique Notre-Dame d'Espérance", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BTS", "Lycée général et technologique Notre-Dame d'Espérance - BTS - Services - Commerce International", "BTS - Services", "", 30, 340, 166, 338, 0, 116, 19, 104, 21, 34, 8, 84, 2, 1, 0, 0, 1, 243, 1, 0, 0, 92, 15, 85, 15, 30, 8, 36, 117, 20, 7, 19, 1, 0.0, 18.0, 18.0, 0, 3, 17, 6, 8, 3, 3, 0, 7, 9, 1, 0, 0.0, 3, 5, 2, 2, 0, 10, 10, 0.0, 90.0, 90.0, 35.0, 58.796875, 58.796875, 11.798828125, 17.59765625, 85.0, 0.0, 41.1953125, 52.8984375, 5.8994140625, 0.0, 0.0, 35.296875, 17.59765625, 47.09375, 29.3984375, 17.59765625, 11.798828125, 37.0, 9.0, 17.0, 5.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 61.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 77, "Liste d'appel propre à cette formation", 47.0, "19732", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19732&g_ta_cod=19732", 45.0, 40.0, 15.0),
(12753, "Public", "0195014X", "Université de Limoges - Antenne de Brive", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation non sélective", "Licence", "Université de Limoges - Antenne de Brive - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS Brive", "Licence - Sciences - technologies - santé", "STAPS Brive", 125, 1112, 322, 1112, 0, 765, 107, 114, 19, 21, 8, 212, 0, 0, 0, 0, 0, 1111, 0, 0, 0, 765, 107, 114, 19, 21, 8, 211, 305, 125, 38, 125, 0, 37.0, 100.0, 113.0, 0, 20, 111, 103, 8, 0, 14, 0, 46, 52, 11, 2, 0.0, 60, 5, 0, 0, 0, 43, 43, 29.6, 80.0, 90.4, 30.3984375, 38.6953125, 38.6953125, 0, 18.0, 88.796875, 0.0, 41.3984375, 46.796875, 9.8984375, 1.8, 0.0, 92.796875, 54.09375, 7.19921875, 4.5, 0.0, 0.0, 235.0, 38.0, 3.0, 2.0, 53.0, "Tous les candidats", 308.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "3171", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS Brive", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3171&g_ta_cod=3171", 91.0, 8.0, 1.0),
(12754, "Public", "0570175F", "I.U.T de Metz - Université de Lorraine", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BUT", "I.U.T de Metz - Université de Lorraine - BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", "BUT - Production", "Techniques d'instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", 78, 597, 140, 518, 0, 348, 29, 31, 8, 1, 1, 138, 79, 19, 2, 0, 58, 488, 51, 0, 0, 343, 28, 24, 5, 0, 0, 121, 472, 55, 10, 45, 10, 35.0, 43.0, 53.0, 0, 5, 36, 33, 3, 0, 19, 0, 17, 15, 4, 0, 0.0, 16, 3, 0, 0, 0, 27, 27, 63.64, 78.18, 96.36, 18.19921875, 75.0, 75.0, 0, 13.8984375, 65.5, 0.0, 47.1953125, 41.6953125, 11.099609375, 0.0, 0.0, 91.6875, 44.3984375, 8.298828125, 8.298828125, 0.0, 0.0, 301.0, 29.0, 0.0, 0.0, 148.0, "Tous les candidats sauf les Bac technologiques", 468.0, "Bacheliers technologiques toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 94.0, "6570", "BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6570&g_ta_cod=6570", 93.0, 7.0, 0.0),
(12755, "Public", "0130003H", "Lycée Vauvenargues", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée Vauvenargues - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 16, 483, 39, 482, 0, 119, 24, 127, 30, 109, 55, 127, 1, 0, 0, 0, 1, 391, 0, 0, 0, 114, 23, 103, 21, 109, 55, 65, 72, 13, 0, 13, 0, 3.0, 11.0, 11.0, 0, 5, 11, 3, 3, 5, 2, 0, 2, 7, 1, 1, 0.0, 3, 2, 4, 0, 0, 10, 10, 23.08, 84.62, 84.62, 0.0, 90.890625, 90.890625, 0, 45.5, 84.59375, 0.0, 18.19921875, 63.59375, 9.099609375, 9.1, 0.0, 27.296875, 27.296875, 27.296875, 18.19921875, 45.5, 36.3984375, 22.0, 6.0, 11.0, 6.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 19.0, "2534", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2534&g_ta_cod=2534", 23.0, 23.0, 54.0),
(12756, "Public", "0780004F", "Lycée Agricole de Saint Germain en Laye/Chambourcy", "78", "Yvelines", "Ile-de-France", "Versailles", "Saint-Germain-en-Laye", "formation sélective", "BTS", "Lycée Agricole de Saint Germain en Laye/Chambourcy - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 28, 356, 113, 340, 0, 47, 6, 49, 4, 54, 6, 190, 16, 1, 2, 8, 5, 153, 6, 0, 0, 38, 5, 39, 4, 41, 2, 35, 104, 20, 8, 16, 4, 5.0, 15.0, 17.0, 0, 2, 13, 3, 4, 6, 7, 0, 5, 8, 0, 0, 0.0, 2, 1, 5, 4, 1, 8, 10, 25.0, 75.0, 85.0, 40.0, 61.5, 76.890625, 30.796875, 15.3984375, 65.0, 0.0, 38.5, 61.5, 0.0, 0.0, 0.0, 23.09765625, 15.3984375, 30.796875, 7.69921875, 46.1953125, 38.5, 20.0, 3.0, 34.0, 2.0, 25.0, "Tous les candidats sauf les Bac professionnels", 86.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 38.0, "9953", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9953&g_ta_cod=9953", 45.0, 20.0, 35.0),
(12757, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 1 Capitole - Licence - Double diplôme - Licence Droit - parcours double diplôme international franco-espagnol (Barcelone - Valence )", "Licence - Droit-économie-gestion", "parcours double diplôme international franco-espagnol (Barcelone - Valence )", 25, 471, 406, 471, 0, 407, 67, 9, 2, 3, 2, 52, 0, 0, 0, 0, 0, 120, 0, 0, 0, 109, 14, 1, 0, 0, 0, 10, 60, 24, 22, 24, 0, 8.0, 21.0, 24.0, 0, 6, 22, 22, 0, 0, 2, 0, 0, 1, 9, 11, 1.0, 22, 0, 0, 0, 0, 5, 5, 33.33, 87.5, 100.0, 91.6875, 22.69921875, 22.69921875, 0, 27.296875, 91.6875, 0.0, 0.0, 4.5, 40.8984375, 50.0, 4.5, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 57.0, 11.0, 0.0, 0.0, 3.0, "Tous les candidats", 79.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "4147", "Licence - Double diplôme - Licence Droit - parcours double diplôme international franco-espagnol (Barcelone - Valence )", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4147&g_ta_cod=4147", 100.0, 0.0, 0.0),
(12758, "Public", "0640052J", "Lycée Gaston Fébus", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Orthez", "formation sélective", "BTS", "Lycée Gaston Fébus - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 432, 198, 431, 0, 44, 9, 165, 50, 126, 39, 96, 1, 0, 0, 0, 1, 332, 0, 0, 0, 43, 9, 152, 45, 98, 30, 39, 186, 28, 10, 28, 0, 1.0, 19.0, 25.0, 0, 9, 22, 1, 8, 13, 6, 0, 10, 8, 3, 1, 0.0, 1, 3, 8, 3, 2, 22, 22, 3.57, 67.86, 89.29, 35.6953125, 100.0, 100.0, 13.599609375, 40.8984375, 78.59375, 0.0, 45.5, 36.3984375, 13.599609375, 4.5, 0.0, 4.5, 4.5, 36.3984375, 13.599609375, 59.09375, 36.3984375, 5.0, 2.0, 75.0, 24.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 97, "Bacheliers technologiques toutes séries", 138, "Liste d'appel propre à cette formation", 56.0, "7703", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7703&g_ta_cod=7703", 4.0, 43.0, 54.0),
(12759, "Public", "0572075W", "Lycée professionnel Jean Mace", "57", "Moselle", "Grand Est", "Nancy-Metz", "Fameck", "formation sélective", "Autre formation", "Lycée professionnel Jean Mace - Mention complémentaire - FCIL Assistant gestion site web et communication numérique multimédia, à destination des clients et des usagers", "Mention complémentaire", "", 12, 46, 22, 46, 0, 1, 0, 1, 1, 26, 10, 18, 0, 0, 0, 0, 0, 29, 0, 0, 0, 0, 0, 1, 1, 26, 10, 2, 27, 12, 6, 12, 0, 5.0, 12.0, 12.0, 0, 5, 12, 0, 0, 12, 0, 0, 9, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 12, 12, 41.67, 100.0, 100.0, 50.0, 100.0, 100.0, 0, 41.6953125, 100.0, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 25.0, 0.0, 0.0, 26.0, 10.0, 1.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "24121", "Mention complémentaire - FCIL Assistant gestion site web et communication numérique multimédia, à destination des clients et des usagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24121&g_ta_cod=24121", 0.0, 0.0, 100.0),
(12760, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Histoire - Parcours Préparation concours IEP Sciences po", "Licence - Sciences humaines et sociales", "Préparation concours IEP Sciences po", 20, 371, 191, 371, 0, 350, 38, 0, 0, 0, 0, 21, 0, 0, 0, 0, 0, 229, 0, 0, 0, 229, 19, 0, 0, 0, 0, 0, 97, 20, 9, 20, 0, 2.0, 17.0, 20.0, 0, 4, 20, 20, 0, 0, 0, 0, 0, 1, 8, 11, 0.0, 20, 0, 0, 0, 0, 15, 15, 10.0, 85.0, 100.0, 45.0, 75.0, 75.0, 0, 20.0, 100.0, 0.0, 0.0, 5.0, 40.0, 55.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 97.0, 10.0, 0.0, 0.0, 0.0, "Tous les candidats", 160.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "16759", "Licence - Histoire - Parcours Préparation concours IEP Sciences po", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16759&g_ta_cod=16759", 100.0, 0.0, 0.0),
(12761, "Public", "0720033V", "Lycée Polyvalent Gabriel Touchard - Washington", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "CPGE", "Lycée Polyvalent Gabriel Touchard - Washington - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 48, 179, 59, 162, 84, 138, 12, 1, 0, 0, 0, 23, 17, 4, 0, 1, 12, 141, 6, 75, 138, 128, 10, 0, 0, 0, 0, 13, 135, 13, 4, 11, 1, 3.0, 10.0, 11.0, 6, 1, 9, 9, 0, 0, 4, 0, 0, 4, 3, 2, 0.0, 9, 0, 0, 1, 1, 8, 8, 23.08, 76.92, 84.62, 30.796875, 88.890625, 88.890625, 11.099609375, 11.099609375, 69.1875, 0.0, 0.0, 44.3984375, 33.296875, 22.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 118.0, 11.0, 0.0, 0.0, 17.0, "Tous les candidats", 141.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "31337", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31337&g_ta_cod=31337", 100.0, 0.0, 0.0),
(12762, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Université Angers - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Espagnol", "Licence - Arts-lettres-langues", "Espagnol", 2, 100, 85, 100, 0, 58, 12, 6, 4, 2, 1, 34, 0, 0, 0, 0, 0, 100, 0, 0, 0, 58, 12, 6, 4, 2, 1, 34, 12, 2, 1, 2, 0, 0.0, 1.0, 2.0, 0, 2, 2, 2, 0, 0, 0, 0, 0, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 1, 1, 0.0, 50.0, 100.0, 50.0, 50.0, 50.0, 0, 100.0, 100.0, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 3.0, 2.0, 0.0, 0.0, 8.0, "Tous les candidats", 69.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "28330", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28329&g_ta_cod=28330", 100.0, 0.0, 0.0),
(12763, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Physique, chimie - Parcours Commun Maths Info Physique Chimie Génie Civil", "Licence - Sciences - technologies - santé", "Commun Maths Info Physique Chimie Génie Civil", 36, 368, 135, 325, 0, 196, 26, 12, 5, 0, 0, 117, 43, 7, 1, 1, 34, 324, 30, 0, 0, 196, 26, 12, 5, 0, 0, 116, 253, 21, 7, 13, 8, 2.0, 13.0, 16.0, 0, 0, 8, 8, 0, 0, 13, 0, 3, 4, 0, 1, 0.0, 5, 0, 0, 0, 0, 4, 4, 9.52, 61.9, 76.19, 33.296875, 50.0, 50.0, 0, 0.0, 38.09375, 0.0, 37.5, 50.0, 0.0, 12.5, 0.0, 100.0, 62.5, 0.0, 0.0, 0.0, 0.0, 127.0, 12.0, 0.0, 0.0, 115.0, "Tous les candidats", 324.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20743", "Licence - Physique, chimie - Parcours Commun Maths Info Physique Chimie Génie Civil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20743&g_ta_cod=20743", 90.0, 5.0, 5.0),
(12764, "Privé sous contrat d'association", "0121423G", "Lycée Charles Carnus", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation sélective", "BTS", "Lycée Charles Carnus - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 12, 103, 51, 87, 0, 11, 3, 27, 8, 23, 7, 26, 16, 1, 5, 4, 6, 69, 8, 0, 0, 11, 3, 26, 8, 13, 5, 19, 56, 10, 5, 8, 2, 2.0, 8.0, 8.0, 0, 5, 8, 2, 5, 1, 2, 1, 2, 5, 0, 0, 0.0, 1, 3, 1, 0, 0, 7, 7, 20.0, 80.0, 80.0, 50.0, 87.5, 87.5, 0, 62.5, 80.0, 12.5, 25.0, 62.5, 0.0, 0.0, 0.0, 25.0, 12.5, 62.5, 37.5, 12.5, 12.5, 8.0, 2.0, 12.0, 4.0, 15.0, "Tous les candidats sauf les Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 79.0, "2510", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2510&g_ta_cod=2510", 20.0, 60.0, 20.0),
(12765, "Public", "0210018F", "Lycée Hippolyte Fontaine", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Hippolyte Fontaine - BTS - Services - Prothésiste dentaire", "BTS - Services", "", 15, 448, 327, 444, 0, 72, 16, 69, 28, 100, 22, 203, 4, 0, 0, 3, 1, 44, 0, 0, 0, 0, 0, 0, 0, 41, 4, 3, 34, 9, 5, 9, 0, 6.0, 8.0, 9.0, 0, 1, 8, 0, 0, 8, 1, 0, 1, 4, 3, 0, 0.0, 0, 0, 7, 4, 2, 4, 4, 66.67, 88.89, 100.0, 55.59375, 50.0, 50.0, 50, 12.5, 88.890625, 0.0, 12.5, 50.0, 37.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 87.5, 0.0, 0.0, 32.0, 4.0, 2.0, "Tous les candidats sauf les Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 42, "", 0, "Liste d'appel propre à cette formation", 10.0, "17677", "BTS - Services - Prothésiste dentaire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17677&g_ta_cod=17677", 11.0, 0.0, 89.0),
(12766, "Privé sous contrat d'association", "0641927X", "ETCHARRY FORMATION DEVELOPPEMENT - AFMR", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Ustaritz", "formation sélective", "EFTS", "ETCHARRY FORMATION DEVELOPPEMENT - AFMR - D.E Educateur Spécialisé", "D.E secteur social", "", 48, 268, 225, 268, 0, 41, 8, 24, 5, 22, 3, 181, 0, 0, 0, 0, 0, 181, 0, 0, 0, 20, 2, 12, 5, 5, 1, 144, 68, 48, 44, 48, 0, 32.0, 42.0, 44.0, 0, 1, 6, 5, 1, 0, 42, 0, 0, 2, 4, 0, 0.0, 5, 1, 0, 0, 0, 6, 6, 66.67, 87.5, 91.67, 91.6875, 100.0, 100.0, 0, 16.69921875, 12.5, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 83.296875, 83.296875, 16.69921875, 16.69921875, 0.0, 0.0, 5.0, 1.0, 0.0, 0.0, 62.0, "Tous les candidats", 70.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "24979", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24979&g_ta_cod=24979", 67.0, 19.0, 13.0),
(12767, "Privé sous contrat d'association", "0801742J", "Lycée La Providence", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée La Providence - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 22, 279, 18, 247, 0, 45, 7, 60, 11, 52, 11, 90, 32, 0, 2, 15, 15, 128, 9, 0, 0, 43, 6, 49, 9, 25, 3, 11, 96, 19, 0, 15, 4, 2.0, 9.0, 18.0, 0, 2, 16, 6, 2, 8, 3, 0, 9, 6, 1, 0, 0.0, 1, 0, 6, 2, 0, 15, 15, 10.53, 47.37, 94.74, 0.0, 93.796875, 93.796875, 12.5, 12.5, 84.1875, 0.0, 56.296875, 37.5, 6.2998046875, 0.0, 0.0, 37.5, 6.2998046875, 12.5, 0.0, 50.0, 37.5, 28.0, 2.0, 31.0, 5.0, 8.0, "Tous les candidats sauf les Bac professionnels", 95.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 49.0, "10239", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10239&g_ta_cod=10239", 32.0, 21.0, 47.0),
(12768, "Privé hors contrat", "0672877N", "OMNIS - Ecole Supérieure de Commerce & Management", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "OMNIS - Ecole Supérieure de Commerce & Management - BTS - Services - Tourisme", "BTS - Services", "", 70, 272, 209, 239, 0, 76, 15, 38, 5, 33, 17, 92, 33, 5, 4, 11, 13, 182, 12, 0, 0, 69, 12, 34, 5, 7, 4, 72, 179, 18, 11, 17, 1, 2.0, 17.0, 17.0, 0, 0, 8, 5, 3, 0, 10, 0, 4, 4, 0, 0, 0.0, 2, 2, 0, 0, 0, 3, 3, 11.11, 94.44, 94.44, 61.09375, 37.5, 37.5, 0, 0.0, 44.3984375, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 62.5, 25.0, 37.5, 25.0, 0.0, 0.0, 69.0, 11.0, 10.0, 6.0, 64.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 124.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 76.0, "15452", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15452&g_ta_cod=15452", 72.0, 28.0, 0.0),
(12769, "Public", "9720004X", "Lycée Joseph Gaillard", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "BTS", "Lycée Joseph Gaillard - BTS - Production - Electrotechnique", "BTS - Production", "", 27, 183, 6, 179, 0, 21, 3, 34, 16, 97, 54, 27, 4, 0, 3, 0, 1, 154, 1, 0, 0, 20, 3, 30, 14, 82, 43, 22, 60, 26, 0, 25, 1, 9.0, 23.0, 25.0, 0, 11, 24, 1, 8, 15, 2, 1, 8, 12, 2, 1, 0.0, 1, 3, 11, 4, 0, 23, 23, 34.62, 88.46, 96.15, 0.0, 95.796875, 95.796875, 16.69921875, 45.796875, 92.296875, 4.19921875, 33.296875, 50.0, 8.298828125, 4.2, 0.0, 4.19921875, 4.19921875, 33.296875, 12.5, 62.5, 45.796875, 6.0, 3.0, 26.0, 15.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 41.0, "11797", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11797&g_ta_cod=11797", 8.0, 35.0, 58.0),
(12770, "Public", "0010016M", "Lycée Joseph-Marie Carriat", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "BTS", "Lycée Joseph-Marie Carriat - BTS - Production - Conception de produits industriels", "BTS - Production", "", 12, 192, 17, 191, 0, 11, 2, 110, 17, 45, 12, 25, 1, 0, 0, 0, 1, 164, 1, 0, 0, 9, 1, 96, 13, 43, 11, 16, 57, 9, 0, 8, 1, 1.0, 7.0, 7.0, 0, 2, 8, 1, 5, 2, 1, 0, 5, 2, 1, 0, 0.0, 0, 3, 0, 4, 0, 7, 7, 11.11, 77.78, 77.78, 0.0, 87.5, 87.5, 50, 25.0, 88.890625, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 12.5, 0.0, 62.5, 37.5, 25.0, 0.0, 1.0, 1.0, 23.0, 4.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 40.0, "18838", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18838&g_ta_cod=18838", 11.0, 67.0, 22.0),
(12771, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues et interculturalité - Ensemble méditerranéen et oriental", "Licence - Arts-lettres-langues", "Langues et interculturalité - Ensemble méditerranéen et oriental", 35, 162, 110, 62, 0, 18, 6, 9, 6, 5, 5, 30, 100, 9, 9, 11, 71, 62, 48, 0, 0, 18, 6, 9, 6, 5, 5, 30, 107, 28, 19, 12, 16, 9.0, 12.0, 21.0, 0, 9, 13, 6, 2, 5, 15, 0, 7, 2, 3, 0, 1.0, 5, 0, 1, 0, 0, 10, 10, 32.14, 42.86, 75.0, 67.890625, 76.890625, 76.890625, 0, 69.1875, 46.3984375, 0.0, 53.796875, 15.3984375, 23.09765625, 0.0, 7.7, 46.1953125, 38.5, 15.3984375, 0.0, 38.5, 7.69921875, 23.0, 7.0, 8.0, 8.0, 63.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "8047", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Langues et interculturalité - Ensemble méditerranéen et oriental", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8047&g_ta_cod=8047", 64.0, 11.0, 25.0),
(12772, "Public", "0160048R", "Lycée professionnel Pierre-Andre Chabanne", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "Chasseneuil-sur-Bonnieure", "formation sélective", "Autre formation", "Lycée professionnel Pierre-Andre Chabanne - Mention complémentaire - FCIL Service aux personnes en environnement numérique", "Mention complémentaire", "", 12, 27, 5, 24, 0, 0, 0, 1, 1, 19, 7, 4, 3, 0, 0, 2, 1, 24, 1, 0, 0, 0, 0, 1, 1, 19, 7, 4, 26, 6, 1, 5, 1, 4.0, 5.0, 5.0, 0, 2, 6, 0, 0, 6, 0, 0, 3, 1, 2, 0, 0.0, 0, 0, 3, 0, 0, 6, 6, 66.67, 83.33, 83.33, 16.69921875, 100.0, 100.0, 0, 33.296875, 100.0, 0.0, 50.0, 16.69921875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 20.0, 7.0, 5.0, "Tous les candidats", 24.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24385", "Mention complémentaire - FCIL Service aux personnes en environnement numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24385&g_ta_cod=24385", 0.0, 0.0, 100.0),
(12773, "Public", "0341884N", "I.U.T de Béziers", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation sélective", "BUT", "I.U.T de Béziers - BUT - Réseaux et télécommunications Parcours : Cybersécurité-Internet des objets et mobilité-Développement Système et Cloud", "BUT - Production", "Cybersécurité-Internet des objets et mobilité-Développement Système et Cloud", 48, 779, 65, 779, 0, 391, 80, 207, 52, 36, 9, 145, 0, 0, 0, 0, 0, 522, 0, 0, 0, 304, 54, 133, 28, 12, 2, 73, 299, 50, 2, 50, 0, 1.0, 33.0, 48.0, 0, 11, 46, 31, 14, 1, 4, 0, 13, 26, 6, 1, 0.0, 21, 11, 1, 0, 0, 26, 26, 2.0, 66.0, 96.0, 4.0, 56.5, 56.5, 0, 23.8984375, 92.0, 0.0, 28.296875, 56.5, 13.0, 2.2, 0.0, 67.390625, 45.6953125, 30.3984375, 23.8984375, 2.19970703125, 2.19970703125, 161.0, 27.0, 4.0, 2.0, 33.0, "Tous les candidats sauf les Bac technologiques", 328.0, "Bacheliers technologiques toutes séries", 138, "", 0, "Liste d'appel propre à cette formation", 60.0, "4605", "BUT - Réseaux et télécommunications Parcours : Cybersécurité-Internet des objets et mobilité-Développement Système et Cloud", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4605&g_ta_cod=4605", 70.0, 28.0, 2.0),
(12774, "Privé sous contrat d'association", "0570311D", "Lycée De La Salle", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée De La Salle - BTS - Services - Assurance", "BTS - Services", "", 24, 447, 245, 401, 0, 63, 16, 118, 43, 58, 18, 162, 46, 4, 10, 0, 32, 190, 17, 0, 0, 54, 15, 96, 37, 37, 10, 3, 123, 21, 12, 16, 5, 2.0, 12.0, 17.0, 0, 1, 14, 2, 7, 5, 7, 0, 9, 3, 2, 0, 0.0, 0, 1, 4, 0, 0, 13, 13, 9.52, 57.14, 80.95, 57.09375, 92.890625, 92.890625, 0, 7.099609375, 66.6875, 0.0, 64.296875, 21.3984375, 14.298828125, 0.0, 0.0, 14.298828125, 0.0, 50.0, 7.099609375, 35.6953125, 28.59765625, 32.0, 11.0, 23.0, 5.0, 14.0, "Tous les candidats sauf les Bac professionnels", 145.0, "Bacheliers professionnels toutes séries", 38, "", 0, "Liste d'appel propre à cette formation", 46.0, "25325", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25325&g_ta_cod=25325", 24.0, 43.0, 33.0),
(12775, "Privé sous contrat d'association", "0131681G", "Lycée Chimie et Biologie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 11e  Arrondissement", "formation sélective", "BTS", "Lycée Chimie et Biologie - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 75, 1227, 893, 1227, 0, 240, 86, 288, 110, 40, 23, 659, 0, 0, 0, 0, 0, 778, 0, 0, 0, 213, 74, 141, 51, 40, 23, 384, 359, 61, 44, 61, 0, 21.0, 30.0, 42.0, 0, 10, 34, 11, 21, 2, 27, 0, 14, 18, 2, 0, 0.0, 7, 12, 1, 3, 3, 23, 23, 34.43, 49.18, 68.85, 72.09375, 67.59375, 67.59375, 8.798828125, 29.3984375, 55.6953125, 0.0, 41.1953125, 52.8984375, 5.8994140625, 0.0, 0.0, 32.3984375, 20.59765625, 61.796875, 35.296875, 5.8994140625, 2.89990234375, 139.0, 43.0, 12.0, 6.0, 107.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 222.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 131, "Liste d'appel propre à cette formation", 29.0, "2662", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2662&g_ta_cod=2662", 48.0, 48.0, 5.0),
(12776, "Privé sous contrat d'association", "0350807M", "Lycée professionnel hôtelier Notre Dame", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Saint-Méen-le-Grand", "formation sélective", "Autre formation", "Lycée professionnel hôtelier Notre Dame - Mention complémentaire - Organisateur de réception", "Mention complémentaire", "", 12, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "19127", "Mention complémentaire - Organisateur de réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19127&g_ta_cod=19127", 0, 0, 0),
(12777, "Public", "0511026N", "Institut Universitaire de Technologie de Reims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "BUT", "Institut Universitaire de Technologie de Reims - BUT - Génie mécanique et productique", "BUT - Production", "", 50, 700, 59, 686, 0, 378, 29, 177, 31, 4, 1, 127, 14, 3, 0, 0, 11, 543, 5, 0, 0, 329, 23, 136, 19, 1, 1, 77, 318, 43, 0, 41, 2, 2.0, 31.0, 41.0, 0, 7, 39, 24, 15, 0, 4, 0, 15, 13, 10, 1, 0.0, 11, 13, 0, 0, 0, 22, 22, 4.65, 72.09, 95.35, 0.0, 56.3984375, 56.3984375, 0, 17.8984375, 90.6875, 0.0, 38.5, 33.296875, 25.59765625, 2.6, 0.0, 61.5, 28.19921875, 38.5, 33.296875, 0.0, 0.0, 160.0, 11.0, 0.0, 0.0, 70.0, "Tous les candidats sauf les Bac technologiques", 398.0, "Bacheliers technologiques toutes séries", 138, "", 0, "Liste d'appel propre à cette formation", 78.0, "6090", "BUT - Génie mécanique et productique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6090&g_ta_cod=6090", 63.0, 37.0, 0.0),
(12778, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation non sélective", "Licence", "Université Grenoble Alpes - Antenne de Valence - Licence - Portail Informatique, Mathématiques et Applications (IMA) - Valence", "Licence - Sciences - technologies - santé", "Informatique, Mathématiques et Applications (IMA) - Valence", 60, 503, 89, 447, 0, 349, 82, 14, 5, 0, 0, 84, 56, 15, 1, 0, 40, 446, 34, 0, 0, 349, 82, 14, 5, 0, 0, 83, 397, 45, 10, 32, 13, 8.0, 28.0, 38.0, 0, 9, 26, 24, 2, 0, 19, 2, 10, 6, 7, 1, 0.0, 14, 0, 0, 0, 0, 21, 21, 17.78, 62.22, 84.44, 22.19921875, 80.796875, 80.796875, 0, 34.59375, 57.796875, 7.69921875, 38.5, 23.09765625, 26.8984375, 3.8, 0.0, 92.296875, 53.796875, 7.69921875, 0.0, 0.0, 0.0, 301.0, 69.0, 0.0, 0.0, 91.0, "Tous les candidats", 456.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "31012", "Licence - Portail Informatique, Mathématiques et Applications (IMA) - Valence", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31013&g_ta_cod=31012", 89.0, 11.0, 0.0),
(12779, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence_Las", "Université de Toulon - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Licence STAPS", "Licence - Sciences - technologies - santé", "Licence STAPS", 25, 1332, 466, 1332, 0, 833, 124, 167, 36, 38, 21, 294, 0, 0, 0, 0, 0, 1332, 0, 0, 0, 833, 124, 167, 36, 38, 21, 294, 99, 23, 12, 23, 0, 5.0, 19.0, 21.0, 0, 6, 17, 16, 0, 1, 6, 0, 2, 5, 9, 1, 0.0, 14, 0, 1, 0, 0, 16, 16, 21.74, 82.61, 91.3, 52.1953125, 94.09375, 94.09375, 0, 35.296875, 73.890625, 0.0, 11.798828125, 29.3984375, 52.8984375, 5.9, 0.0, 94.09375, 82.390625, 0.0, 0.0, 5.8994140625, 5.8994140625, 49.0, 9.0, 4.0, 3.0, 44.0, "Tous les candidats", 228.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 11.0, "31839", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Licence STAPS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31838&g_ta_cod=31839", 96.0, 0.0, 4.0),
(12780, "Public", "0011312W", "IUT Lyon1 Site de Bourg-en-Bresse", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "BUT", "IUT Lyon1 Site de Bourg-en-Bresse - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités (Seconde année possible en apprentissage)", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités", 54, 1217, 559, 1198, 0, 649, 86, 331, 73, 12, 3, 206, 19, 3, 5, 1, 10, 812, 3, 0, 0, 526, 68, 247, 53, 0, 0, 39, 360, 51, 25, 50, 1, 5.0, 34.0, 44.0, 0, 9, 46, 24, 22, 0, 5, 0, 14, 27, 5, 0, 0.0, 17, 15, 0, 0, 0, 38, 38, 9.8, 66.67, 86.27, 49.0, 82.59375, 82.59375, 0, 19.59765625, 90.1875, 0.0, 30.3984375, 58.6953125, 10.8984375, 0.0, 0.0, 52.1953125, 37.0, 47.796875, 32.59375, 0.0, 0.0, 179.0, 33.0, 0.0, 0.0, 33.0, "Tous les candidats sauf les Bac technologiques", 345.0, "Bacheliers technologiques toutes séries", 234, "", 0, "Liste d'appel propre à cette formation", 48.0, "2034", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion, entrepreneuriat et management d'activités (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2034&g_ta_cod=2034", 57.0, 43.0, 0.0),
(12781, "Public", "0311323V", "Lycée Rive Gauche", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Rive Gauche - CPGE - Lettres", "Classe préparatoire littéraire", "", 24, 367, 275, 322, 187, 278, 49, 1, 0, 0, 0, 43, 45, 21, 1, 1, 22, 305, 15, 93, 302, 278, 49, 0, 0, 0, 0, 27, 218, 28, 18, 24, 4, 0.0, 24.0, 28.0, 3, 2, 24, 24, 0, 0, 4, 0, 4, 12, 8, 0, 0.0, 20, 0, 0, 0, 0, 17, 17, 0.0, 85.71, 100.0, 64.296875, 70.796875, 70.796875, 0, 8.298828125, 85.6875, 0.0, 16.69921875, 50.0, 33.296875, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 194.0, 31.0, 0.0, 0.0, 24.0, "Tous les candidats", 302.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "4130", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4130&g_ta_cod=4130", 100.0, 0.0, 0.0),
(12782, "Privé sous contrat d'association", "0170100S", "Lycée Fenelon", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "BTS", "Lycée Fenelon - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 21, 281, 13, 257, 0, 54, 11, 78, 17, 62, 16, 63, 24, 1, 0, 8, 15, 143, 1, 0, 0, 27, 6, 52, 11, 36, 7, 28, 80, 17, 0, 17, 0, 2.0, 12.0, 16.0, 0, 1, 14, 2, 8, 4, 3, 0, 6, 6, 2, 0, 0.0, 1, 4, 3, 1, 0, 6, 6, 11.76, 70.59, 94.12, 0.0, 42.8984375, 42.8984375, 7.099609375, 7.099609375, 82.390625, 0.0, 42.8984375, 42.8984375, 14.298828125, 0.0, 0.0, 14.298828125, 7.099609375, 57.09375, 28.59765625, 28.59765625, 21.3984375, 18.0, 4.0, 25.0, 7.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 42, "Liste d'appel propre à cette formation", 44.0, "3050", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3050&g_ta_cod=3050", 18.0, 59.0, 24.0),
(12783, "Privé sous contrat d'association", "0762284V", "Lycée professionnel Agricole Saint Joseph", "76", "Seine-Maritime", "Normandie", "Normandie", "Mesnières-en-Bray", "formation sélective", "BTS", "Lycée professionnel Agricole Saint Joseph - BTS - Agricole - Gestion forestière", "BTS - Agricole", "", 50, 246, 41, 229, 0, 50, 6, 60, 3, 48, 10, 71, 17, 3, 2, 0, 12, 126, 4, 0, 0, 44, 5, 37, 1, 30, 7, 15, 108, 34, 2, 33, 1, 22.0, 32.0, 33.0, 0, 6, 32, 12, 9, 11, 2, 1, 9, 17, 5, 0, 0.0, 9, 6, 7, 7, 0, 23, 23, 64.71, 94.12, 97.06, 5.8994140625, 71.890625, 71.890625, 21.8984375, 18.796875, 94.09375, 3.099609375, 28.09765625, 53.09375, 15.599609375, 0.0, 0.0, 37.5, 28.09765625, 28.09765625, 18.796875, 34.3984375, 21.8984375, 43.0, 5.0, 15.0, 4.0, 17.0, "Tous les candidats sauf les Bac professionnels", 96.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 48.0, "9721", "BTS - Agricole - Gestion forestière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9721&g_ta_cod=9721", 41.0, 26.0, 32.0),
(12784, "Privé sous contrat d'association", "0340194H", "ISEN Méditerranée (Campus Nîmes) CPGE associée YNCREA (ISEN-HEI) Saint Joseph Pierre Rouge", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 10, 230, 108, 230, 0, 0, 0, 0, 0, 0, 0, 230, 0, 0, 0, 0, 0, 215, 0, 0, 0, 0, 0, 0, 0, 0, 0, 215, 199, 3, 3, 3, 0, 3.0, 3.0, 3.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 199.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "25844", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=25844", 100.0, 0.0, 0.0),
(12785, "Public", "0640010N", "Lycée René Cassin Bayonne-Biarritz", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Bayonne", "formation sélective", "BTS", "Lycée René Cassin Bayonne-Biarritz - BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "BTS - Services", "", 24, 368, 72, 368, 0, 129, 24, 56, 13, 48, 16, 135, 0, 0, 0, 0, 0, 202, 0, 0, 0, 80, 8, 39, 10, 29, 8, 54, 67, 23, 1, 23, 0, 6.0, 20.0, 21.0, 0, 4, 17, 7, 6, 4, 6, 0, 3, 7, 7, 0, 0.0, 5, 6, 3, 0, 0, 11, 11, 26.09, 86.96, 91.3, 4.2998046875, 64.6875, 64.6875, 0, 23.5, 73.890625, 0.0, 17.59765625, 41.1953125, 41.1953125, 0.0, 0.0, 41.1953125, 29.3984375, 35.296875, 35.296875, 23.5, 17.59765625, 28.0, 7.0, 6.0, 2.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 7, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 23.0, "7694", "BTS - Services - Métiers de l'audio-visuel opt : techn. d'ingeniérie et exploit. équipements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7694&g_ta_cod=7694", 43.0, 39.0, 17.0),
(12786, "Privé sous contrat d'association", "0442699V", "Lycée général privé Externat Chavagnes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "Lycée général privé Externat Chavagnes - CPGE - ECG -  - Mathématiques appliquées + HGG", "Classe préparatoire économique et commerciale", "", 35, 271, 118, 264, 0, 234, 8, 1, 1, 0, 0, 29, 7, 4, 1, 0, 2, 249, 3, 0, 249, 230, 6, 0, 0, 0, 0, 19, 162, 16, 6, 15, 1, 3.0, 15.0, 16.0, 0, 0, 14, 14, 0, 0, 2, 0, 0, 8, 3, 2, 1.0, 14, 0, 0, 2, 2, 11, 11, 18.75, 93.75, 100.0, 37.5, 78.59375, 78.59375, 14.298828125, 0.0, 87.5, 0.0, 0.0, 57.09375, 21.3984375, 14.3, 7.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 148.0, 6.0, 0.0, 0.0, 14.0, "Tous les candidats", 249.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "31338", "CPGE - ECG -  - Mathématiques appliquées + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31338&g_ta_cod=31338", 100.0, 0.0, 0.0),
(12787, "Public", "0750663N", "Lycée Chaptal", "75", "Paris", "Ile-de-France", "Paris", "Paris  8e  Arrondissement", "formation sélective", "CPGE", "Lycée Chaptal - CPGE - MPSI", "Classe préparatoire scientifique", "", 144, 5638, 1662, 5638, 2764, 5055, 650, 5, 2, 0, 0, 578, 0, 0, 0, 0, 0, 4680, 0, 2764, 4012, 4360, 510, 1, 0, 0, 0, 319, 1148, 138, 37, 138, 0, 11.0, 65.0, 123.0, 17, 24, 136, 136, 0, 0, 2, 1, 0, 3, 61, 69, 2.0, 135, 0, 0, 12, 4, 60, 119, 7.97, 47.1, 89.13, 26.796875, 44.09375, 87.5, 8.798828125, 17.59765625, 98.59375, 0.699951171875, 0.0, 2.19970703125, 44.8984375, 50.7, 1.5, 100.0, 99.296875, 0.0, 0.0, 0.0, 0.0, 1134.0, 141.0, 0.0, 0.0, 14.0, "Tous les candidats", 1527.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 27.0, "8991", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8991&g_ta_cod=8991", 100.0, 0.0, 0.0),
(12788, "Privé sous contrat d'association", "0440256P", "Lycée St Pierre La Joliverie", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Sébastien-sur-Loire", "formation sélective", "BTS", "Lycée St Pierre La Joliverie - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 905, 409, 877, 0, 125, 13, 409, 89, 208, 56, 135, 28, 1, 3, 10, 14, 520, 11, 0, 0, 99, 7, 254, 50, 134, 37, 33, 193, 35, 12, 28, 7, 3.0, 20.0, 24.0, 0, 5, 26, 1, 19, 6, 9, 0, 9, 11, 6, 0, 0.0, 1, 10, 6, 6, 1, 24, 24, 8.57, 57.14, 68.57, 34.296875, 92.296875, 92.296875, 23.09765625, 19.19921875, 74.296875, 0.0, 34.59375, 42.296875, 23.09765625, 0.0, 0.0, 3.7998046875, 3.7998046875, 73.09375, 38.5, 23.09765625, 23.09765625, 21.0, 0.0, 39.0, 9.0, 21.0, "Tous les candidats sauf les Bac professionnels", 195.0, "Bacheliers professionnels toutes séries", 82, "", 0, "Liste d'appel propre à cette formation", 32.0, "5525", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5525&g_ta_cod=5525", 17.0, 60.0, 23.0),
(12789, "Public", "0130001F", "Lycée Emile Zola", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée Emile Zola - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 712, 338, 712, 0, 105, 31, 222, 95, 153, 75, 232, 0, 0, 0, 0, 0, 360, 0, 0, 0, 78, 21, 115, 41, 93, 41, 74, 99, 24, 12, 24, 0, 9.0, 20.0, 23.0, 0, 7, 14, 1, 8, 5, 10, 0, 3, 6, 5, 0, 0.0, 0, 6, 5, 0, 0, 12, 12, 37.5, 83.33, 95.83, 50.0, 85.6875, 85.6875, 0, 50.0, 58.296875, 0.0, 21.3984375, 42.8984375, 35.6953125, 0.0, 0.0, 7.099609375, 0.0, 57.09375, 42.8984375, 35.6953125, 35.6953125, 12.0, 8.0, 16.0, 4.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 123, "Liste d'appel propre à cette formation", 26.0, "2526", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2526&g_ta_cod=2526", 29.0, 46.0, 25.0),
(12790, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence", "Université du Mans - Licence - Portail Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 100, 389, 143, 315, 0, 193, 30, 19, 3, 7, 4, 96, 74, 11, 12, 4, 47, 311, 43, 0, 0, 193, 30, 19, 3, 7, 4, 92, 323, 60, 28, 43, 17, 25.0, 41.0, 52.0, 0, 3, 33, 26, 6, 1, 27, 0, 19, 7, 7, 0, 0.0, 14, 0, 0, 0, 0, 24, 24, 41.67, 68.33, 86.67, 46.6953125, 72.6875, 72.6875, 0, 9.099609375, 55.0, 0.0, 57.59375, 21.19921875, 21.19921875, 0.0, 0.0, 78.796875, 42.3984375, 18.19921875, 0.0, 3.0, 0.0, 187.0, 27.0, 10.0, 6.0, 103.0, "Tous les candidats", 325.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "8748", "Licence - Portail Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26869&g_ta_cod=8748", 70.0, 13.0, 15.0),
(12791, "Privé sous contrat d'association", "0141178E", "Lycée Sainte Ursule", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée Sainte Ursule - BTS - Services - Communication", "BTS - Services", "", 18, 597, 416, 597, 0, 150, 19, 192, 46, 73, 26, 182, 0, 0, 0, 0, 0, 290, 0, 0, 0, 119, 13, 115, 23, 18, 6, 38, 76, 18, 15, 18, 0, 4.0, 16.0, 17.0, 0, 3, 18, 12, 3, 3, 0, 0, 4, 10, 3, 1, 0.0, 10, 1, 3, 0, 0, 14, 14, 22.22, 88.89, 94.44, 83.296875, 77.796875, 77.796875, 0, 16.69921875, 100.0, 0.0, 22.19921875, 55.59375, 16.69921875, 5.6, 0.0, 66.6875, 55.59375, 16.69921875, 5.599609375, 16.69921875, 16.69921875, 42.0, 6.0, 7.0, 3.0, 0.0, "Tous les candidats sauf les Bac professionnels", 108.0, "Bacheliers professionnels toutes séries", 7, "", 0, "Liste d'appel propre à cette formation", 19.0, "2849", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2849&g_ta_cod=2849", 67.0, 17.0, 17.0),
(12792, "Public", "0741586X", "Université Savoie Mont Blanc - Annecy-le-Vieux", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Annecy", "formation non sélective", "Licence", "Université Savoie Mont Blanc - Annecy-le-Vieux - Licence - Economie et gestion", "Licence - Droit-économie-gestion", "", 190, 1986, 966, 1986, 0, 1537, 197, 136, 28, 19, 4, 294, 0, 0, 0, 0, 0, 1985, 0, 0, 0, 1537, 197, 136, 28, 19, 4, 293, 1104, 186, 89, 186, 0, 69.0, 147.0, 183.0, 0, 30, 174, 167, 6, 1, 12, 2, 60, 74, 33, 5, 0.0, 106, 5, 1, 0, 0, 151, 151, 37.1, 79.03, 98.39, 47.796875, 86.796875, 86.796875, 0, 17.19921875, 93.5, 1.099853515625, 34.5, 42.5, 19.0, 2.9, 0.0, 96.0, 60.8984375, 3.39990234375, 2.89990234375, 0.5999755859375, 0.5999755859375, 1017.0, 126.0, 1.0, 1.0, 61.0, "Tous les candidats", 1395.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 70.0, "8919", "Licence - Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8919&g_ta_cod=8919", 96.0, 3.0, 1.0),
(12793, "Public", "9720004X", "Lycée Joseph Gaillard", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "Autre formation", "Lycée Joseph Gaillard - Diplôme de Comptabilité et de Gestion", "DCG", "", 29, 177, 86, 177, 0, 91, 33, 43, 20, 10, 7, 33, 0, 0, 0, 0, 0, 155, 0, 0, 0, 91, 33, 41, 19, 0, 0, 23, 86, 28, 13, 28, 0, 11.0, 24.0, 28.0, 0, 11, 25, 13, 12, 0, 3, 0, 7, 7, 9, 2, 0.0, 10, 8, 0, 0, 0, 25, 25, 39.29, 85.71, 100.0, 46.3984375, 100.0, 100.0, 0, 44.0, 89.296875, 0.0, 28.0, 28.0, 36.0, 8.0, 0.0, 52.0, 40.0, 48.0, 32.0, 0.0, 0.0, 49.0, 19.0, 0.0, 0.0, 13.0, "Tous les candidats", 150.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "11803", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11803&g_ta_cod=11803", 57.0, 43.0, 0.0),
(12794, "Public", "0130062X", "Lycée professionnel Frederic Mistral", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  8e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Frederic Mistral - Mention complémentaire - FCIL Contrôle Technique", "Mention complémentaire", "", 13, 35, 2, 35, 0, 0, 0, 0, 0, 28, 15, 7, 0, 0, 0, 0, 0, 26, 0, 0, 0, 0, 0, 0, 0, 24, 15, 2, 22, 12, 0, 12, 0, 8.0, 10.0, 11.0, 0, 7, 10, 0, 0, 10, 2, 0, 3, 5, 2, 0, 0.0, 0, 0, 7, 0, 0, 8, 8, 66.67, 83.33, 91.67, 0.0, 80.0, 80.0, 0, 70.0, 83.296875, 0.0, 30.0, 50.0, 20.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 70.0, 0.0, 0.0, 20.0, 12.0, 2.0, "Tous les candidats", 22.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "24419", "Mention complémentaire - FCIL Contrôle Technique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24419&g_ta_cod=24419", 0.0, 0.0, 100.0),
(12795, "Privé sous contrat d'association", "0422160V", "Lycée hôtelier RENOUVEAU", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Genest-Lerpt", "formation sélective", "Autre formation", "Lycée hôtelier RENOUVEAU - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 15, 53, 34, 52, 0, 1, 0, 14, 1, 27, 7, 10, 1, 0, 0, 0, 1, 19, 1, 0, 0, 0, 0, 8, 1, 10, 3, 1, 22, 9, 6, 8, 0, 7.0, 9.0, 9.0, 0, 1, 9, 0, 4, 5, 0, 0, 4, 4, 1, 0, 0.0, 0, 1, 4, 0, 0, 8, 8, 77.78, 100.0, 100.0, 66.6875, 88.890625, 88.890625, 0, 11.099609375, 100.0, 0.0, 44.3984375, 44.3984375, 11.099609375, 0.0, 0.0, 0.0, 0.0, 44.3984375, 11.099609375, 55.59375, 44.3984375, 0.0, 0.0, 12.0, 3.0, 2.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "18975", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18975&g_ta_cod=18975", 0.0, 44.0, 56.0),
(12796, "Public", "0630022G", "Lycée professionnel Roger Claustres", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Autre formation", "Lycée professionnel Roger Claustres - Mention complémentaire - Technicien en chaudronnerie aéronautique et spatiale", "Mention complémentaire", "", 12, 55, 1, 55, 0, 0, 0, 0, 0, 52, 12, 3, 0, 0, 0, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 38, 6, 2, 33, 11, 0, 11, 0, 4.0, 9.0, 10.0, 0, 2, 9, 0, 0, 9, 2, 0, 0, 5, 4, 0, 0.0, 0, 0, 9, 0, 0, 7, 7, 36.36, 81.82, 90.91, 0.0, 77.796875, 77.796875, 0, 22.19921875, 81.796875, 0.0, 0.0, 55.59375, 44.3984375, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 31.0, 6.0, 2.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "21881", "Mention complémentaire - Technicien en chaudronnerie aéronautique et spatiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21881&g_ta_cod=21881", 0.0, 0.0, 100.0),
(12797, "Privé sous contrat d'association", "0132010P", "MFREO de Lambesc", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Lambesc", "formation sélective", "BTS", "MFREO de Lambesc - BTS - Agricole - Production horticole", "BTS - Agricole", "", 30, 60, 21, 56, 0, 6, 1, 6, 1, 11, 3, 33, 4, 0, 0, 1, 3, 33, 0, 0, 0, 6, 1, 6, 1, 11, 3, 10, 33, 5, 2, 5, 0, 5.0, 5.0, 5.0, 0, 2, 3, 1, 1, 1, 2, 0, 2, 0, 0, 1, 0.0, 0, 0, 1, 0, 0, 2, 2, 100.0, 100.0, 100.0, 40.0, 66.6875, 66.6875, 0, 66.6875, 60.0, 0.0, 66.6875, 0.0, 0.0, 33.3, 0.0, 33.296875, 0.0, 33.296875, 0.0, 33.296875, 33.296875, 6.0, 1.0, 11.0, 3.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 57.0, "2722", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2722&g_ta_cod=2722", 20.0, 60.0, 20.0),
(12798, "Public", "0251263M", "Lycée agricole Besancon - Lycée Granvelle", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Dannemarie-sur-Crète", "formation sélective", "BTS", "Lycée agricole Besancon - Lycée Granvelle - BTS - Agricole - productions animales", "BTS - Agricole", "", 32, 391, 265, 391, 0, 143, 18, 126, 31, 42, 18, 80, 0, 0, 0, 0, 0, 322, 0, 0, 0, 141, 18, 110, 25, 30, 11, 41, 121, 26, 23, 26, 0, 5.0, 18.0, 26.0, 0, 7, 23, 15, 8, 0, 3, 0, 2, 13, 7, 1, 0.0, 15, 6, 0, 4, 4, 14, 14, 19.23, 69.23, 100.0, 88.5, 60.8984375, 60.8984375, 17.3984375, 30.3984375, 88.5, 0.0, 8.69921875, 56.5, 30.3984375, 4.3, 0.0, 65.1875, 65.1875, 34.796875, 26.09765625, 0.0, 0.0, 54.0, 12.0, 10.0, 4.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 91.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 54.0, "3565", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3565&g_ta_cod=3565", 65.0, 31.0, 0.0),
(12799, "Public", "0381603L", "Lycée Andre Argouges", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée Andre Argouges - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 30, 521, 434, 520, 0, 99, 23, 76, 30, 190, 61, 155, 1, 0, 1, 0, 0, 417, 0, 0, 0, 92, 22, 38, 14, 185, 59, 102, 134, 29, 25, 29, 0, 3.0, 18.0, 21.0, 0, 4, 23, 3, 6, 14, 6, 0, 4, 9, 7, 3, 0.0, 3, 4, 12, 4, 4, 14, 14, 10.34, 62.07, 72.41, 86.1875, 60.8984375, 60.8984375, 17.3984375, 17.3984375, 79.296875, 0.0, 17.3984375, 39.09375, 30.3984375, 13.0, 0.0, 13.0, 13.0, 26.09765625, 17.3984375, 60.8984375, 52.1953125, 9.0, 3.0, 71.0, 21.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 95, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 30.0, "13136", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13136&g_ta_cod=13136", 17.0, 24.0, 59.0),
(12800, "Public", "0450094H", "Lycée agricole Le Chesnoy - Les Barres", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Amilly", "formation sélective", "CPGE", "Lycée agricole Le Chesnoy - Les Barres - CPGE - TB", "Classe préparatoire scientifique", "", 24, 226, 155, 226, 197, 0, 0, 210, 35, 0, 0, 16, 0, 0, 0, 0, 0, 217, 0, 197, 155, 0, 0, 203, 32, 0, 0, 14, 105, 24, 15, 24, 0, 9.0, 21.0, 23.0, 24, 5, 23, 0, 23, 0, 1, 0, 0, 9, 13, 1, 0.0, 0, 23, 0, 2, 2, 5, 5, 37.5, 87.5, 95.83, 62.5, 21.69921875, 21.69921875, 8.69921875, 21.69921875, 95.796875, 0.0, 0.0, 39.09375, 56.5, 4.3, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 153.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "5677", "CPGE - TB", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5677&g_ta_cod=5677", 0.0, 100.0, 0.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(12801, "Public", "0290108K", "Lycée polyvalent Dupuy de Lôme", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée polyvalent Dupuy de Lôme - BTS - Production - Bâtiment", "BTS - Production", "", 30, 414, 54, 404, 0, 43, 6, 131, 18, 87, 31, 143, 10, 1, 0, 7, 2, 261, 3, 0, 0, 42, 5, 115, 13, 60, 19, 44, 142, 27, 4, 27, 0, 4.0, 16.0, 25.0, 0, 8, 25, 5, 12, 8, 2, 0, 12, 11, 2, 0, 0.0, 1, 7, 5, 8, 2, 24, 24, 14.81, 59.26, 92.59, 14.798828125, 96.0, 96.0, 32, 32.0, 92.59375, 0.0, 48.0, 44.0, 8.0, 0.0, 0.0, 20.0, 4.0, 48.0, 28.0, 32.0, 20.0, 17.0, 3.0, 50.0, 16.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 62, "Bacheliers technologiques toutes séries", 122, "Liste d'appel propre à cette formation", 55.0, "3807", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3807&g_ta_cod=3807", 22.0, 48.0, 30.0),
(12802, "Public", "0931235M", "I.U.T de Villetaneuse - Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation sélective", "BUT", "I.U.T de Villetaneuse - Université Sorbonne Paris Nord - BUT - Statistique et informatique décisionnelle Parcours : Science des données : exploration et modélisation statistique", "BUT - Service", "Science des données : exploration et modélisation statistique", 28, 1021, 210, 1021, 0, 550, 174, 189, 79, 7, 3, 275, 0, 0, 0, 0, 0, 682, 0, 0, 0, 427, 119, 88, 32, 0, 0, 167, 179, 27, 7, 27, 0, 1.0, 19.0, 24.0, 0, 10, 17, 10, 7, 0, 10, 0, 6, 8, 3, 0, 0.0, 8, 3, 0, 0, 0, 8, 17, 3.7, 70.37, 88.89, 25.8984375, 47.09375, 100.0, 0, 58.796875, 63.0, 0.0, 35.296875, 47.09375, 17.59765625, 0.0, 0.0, 58.796875, 47.09375, 41.1953125, 17.59765625, 0.0, 0.0, 101.0, 36.0, 0.0, 0.0, 39.0, "Tous les candidats sauf les Bac technologiques", 264.0, "Bacheliers technologiques toutes séries", 84, "", 0, "Liste d'appel propre à cette formation", 34.0, "24848", "BUT - Statistique et informatique décisionnelle Parcours : Science des données : exploration et modélisation statistique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24848&g_ta_cod=24848", 67.0, 33.0, 0.0),
(12803, "Public", "0230025C", "Lycée Raymond Loewy", "23", "Creuse", "Nouvelle-Aquitaine", "Limoges", "La Souterraine", "formation sélective", "Autre formation", "Lycée Raymond Loewy - DN MADE - Objet - - Spécialité : Design : usages, scenarii, sens et prospection", "DN MADE", "- Spécialité : Design : usages, scenarii, sens et prospection", 16, 218, 143, 218, 0, 51, 8, 112, 20, 9, 3, 46, 0, 0, 0, 0, 0, 151, 0, 0, 0, 34, 5, 96, 19, 2, 0, 19, 66, 16, 10, 16, 0, 1.0, 12.0, 16.0, 0, 3, 11, 5, 6, 0, 5, 0, 3, 5, 2, 1, 0.0, 3, 5, 0, 0, 0, 2, 2, 6.25, 75.0, 100.0, 62.5, 18.19921875, 18.19921875, 0, 27.296875, 68.796875, 0.0, 27.296875, 45.5, 18.19921875, 9.1, 0.0, 45.5, 27.296875, 54.5, 45.5, 0.0, 0.0, 16.0, 4.0, 0.0, 0.0, 10.0, "Tous les candidats", 116.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "21759", "DN MADE - Objet - - Spécialité : Design : usages, scenarii, sens et prospection", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21759&g_ta_cod=21759", 56.0, 38.0, 0.0),
(12804, "Public", "0670087F", "Lycée Alexandre Dumas (Hotelier)", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "Autre formation", "Lycée Alexandre Dumas (Hotelier) - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 70, 365, 193, 341, 0, 139, 24, 41, 10, 16, 7, 145, 24, 3, 4, 1, 16, 265, 20, 0, 0, 137, 24, 39, 10, 13, 6, 76, 255, 63, 28, 52, 11, 10.0, 52.0, 57.0, 0, 6, 39, 27, 8, 4, 24, 0, 15, 17, 6, 1, 0.0, 18, 4, 2, 0, 0, 27, 27, 15.87, 82.54, 90.48, 44.3984375, 69.1875, 69.1875, 0, 15.3984375, 61.8984375, 0.0, 38.5, 43.59375, 15.3984375, 2.6, 0.0, 69.1875, 46.1953125, 20.5, 10.298828125, 10.298828125, 5.099609375, 123.0, 17.0, 13.0, 7.0, 80.0, "Tous les candidats", 264.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "7958", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7958&g_ta_cod=7958", 71.0, 21.0, 8.0),
(12805, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Université de Nantes - CUPGE - Parcours scientifique renforcé", "CUPGE - Sciences, technologie, santé", "", 36, 527, 202, 516, 0, 444, 56, 0, 0, 0, 0, 72, 11, 4, 0, 0, 7, 371, 3, 0, 0, 362, 41, 0, 0, 0, 0, 9, 244, 32, 9, 30, 2, 1.0, 24.0, 31.0, 0, 5, 30, 30, 0, 0, 2, 0, 0, 7, 17, 5, 1.0, 30, 0, 0, 0, 0, 26, 26, 3.13, 75.0, 96.88, 28.09765625, 86.6875, 86.6875, 0, 16.69921875, 93.796875, 0.0, 0.0, 23.296875, 56.6953125, 16.7, 3.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 236.0, 29.0, 0.0, 0.0, 8.0, "Tous les candidats", 371.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "16920", "CUPGE - Parcours scientifique renforcé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16920&g_ta_cod=16920", 100.0, 0.0, 0.0),
(12806, "Privé sous contrat d'association", "0761721H", "Lycée Catholique Jean XXIII", "76", "Seine-Maritime", "Normandie", "Normandie", "Yvetot", "formation sélective", "BTS", "Lycée Catholique Jean XXIII - BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "BTS - Production", "", 15, 119, 15, 116, 0, 19, 0, 25, 4, 20, 4, 52, 3, 0, 0, 2, 1, 116, 0, 0, 0, 19, 0, 25, 4, 20, 4, 52, 70, 13, 1, 13, 0, 1.0, 11.0, 11.0, 0, 0, 7, 3, 3, 1, 6, 0, 5, 2, 0, 0, 0.0, 0, 2, 0, 0, 0, 6, 6, 7.69, 84.62, 84.62, 7.69921875, 85.6875, 85.6875, 0, 0.0, 53.796875, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 42.8984375, 0.0, 42.8984375, 28.59765625, 14.298828125, 0.0, 16.0, 0.0, 17.0, 4.0, 19.0, "Tous les candidats sauf les Bac professionnels", 54.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 66.0, "9669", "BTS - Production - Métiers du géomètre-topographe et de la modélisation numérique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9669&g_ta_cod=9669", 62.0, 31.0, 8.0),
(12807, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER ALLEMAND DEBUTANT", "Licence - Arts-lettres-langues", "LLCER ALLEMAND DEBUTANT", 25, 115, 84, 69, 0, 19, 7, 3, 2, 3, 1, 44, 46, 8, 0, 3, 35, 67, 40, 0, 0, 19, 7, 3, 2, 3, 1, 42, 92, 25, 16, 11, 14, 5.0, 11.0, 19.0, 0, 3, 5, 3, 0, 2, 20, 0, 3, 2, 0, 0, 0.0, 1, 0, 1, 0, 0, 1, 4, 20.0, 44.0, 76.0, 64.0, 20.0, 80.0, 0, 60.0, 20.0, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 60.0, 20.0, 0.0, 0.0, 40.0, 20.0, 20.0, 9.0, 5.0, 3.0, 64.0, "Tous les candidats", 66.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "26506", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER ALLEMAND DEBUTANT", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26506&g_ta_cod=26506", 80.0, 8.0, 12.0),
(12808, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "PASS", "Université Clermont Auvergne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Accès à Kinésithérapie + Ergothérapie + Orthoptie", 25, 1016, 770, 1016, 0, 738, 90, 44, 6, 12, 3, 222, 0, 0, 0, 0, 0, 1016, 0, 0, 0, 738, 90, 44, 6, 12, 3, 222, 295, 23, 17, 23, 0, 0.0, 14.0, 16.0, 0, 6, 18, 14, 3, 1, 5, 0, 9, 8, 1, 0, 0.0, 8, 1, 0, 0, 0, 14, 14, 0.0, 60.87, 69.57, 73.890625, 77.796875, 77.796875, 0, 33.296875, 78.296875, 0.0, 50.0, 44.3984375, 5.599609375, 0.0, 0.0, 77.796875, 44.3984375, 16.69921875, 5.599609375, 5.599609375, 0.0, 234.0, 34.0, 5.0, 3.0, 43.0, "Tous les candidats", 822.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "32153", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32152&g_ta_cod=32153", 83.0, 13.0, 4.0),
(12809, "Public", "0762169V", "Lycée Pablo Neruda", "76", "Seine-Maritime", "Normandie", "Normandie", "Dieppe", "formation sélective", "BTS", "Lycée Pablo Neruda - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 15, 97, 9, 95, 0, 1, 0, 34, 7, 24, 10, 36, 2, 0, 0, 1, 1, 82, 1, 0, 0, 1, 0, 33, 7, 24, 10, 24, 55, 12, 1, 11, 1, 2.0, 10.0, 10.0, 0, 3, 8, 0, 4, 4, 4, 1, 4, 2, 0, 1, 0.0, 0, 2, 1, 4, 0, 8, 8, 16.67, 83.33, 83.33, 8.298828125, 100.0, 100.0, 50, 37.5, 66.6875, 12.5, 50.0, 25.0, 0.0, 12.5, 0.0, 0.0, 0.0, 50.0, 25.0, 50.0, 12.5, 1.0, 0.0, 19.0, 9.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 24, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 65.0, "9719", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9719&g_ta_cod=9719", 0.0, 58.0, 42.0),
(12810, "Public", "0211033J", "Lycée Gustave Eiffel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "CPGE", "Lycée Gustave Eiffel - CPGE - Prépa ENS - Rennes", "Classe préparatoire économique et commerciale", "Prépa ENS - Rennes", 48, 1081, 789, 1081, 559, 948, 109, 7, 0, 3, 1, 123, 0, 0, 0, 0, 0, 757, 0, 1, 757, 737, 73, 0, 0, 0, 0, 20, 233, 48, 39, 48, 0, 4.0, 48.0, 48.0, 0, 3, 48, 48, 0, 0, 0, 0, 0, 4, 23, 21, 0.0, 48, 0, 0, 1, 1, 35, 35, 8.33, 100.0, 100.0, 81.296875, 72.890625, 72.890625, 2.099609375, 6.2998046875, 100.0, 0.0, 0.0, 8.298828125, 47.8984375, 43.8, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 226.0, 19.0, 0.0, 0.0, 7.0, "Tous les candidats", 378.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "3207", "CPGE - Prépa ENS - Rennes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3207&g_ta_cod=3207", 100.0, 0.0, 0.0),
(12811, "Public", "0440069L", "LGT Aristide Briand", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Saint-Nazaire", "formation sélective", "BTS", "LGT Aristide Briand - BTS - Production - Conception et industrialisation en construction navale", "BTS - Production", "", 20, 491, 44, 488, 0, 110, 8, 187, 28, 73, 23, 118, 3, 0, 1, 0, 2, 269, 1, 0, 0, 71, 6, 102, 15, 55, 17, 41, 100, 19, 5, 19, 0, 1.0, 16.0, 18.0, 0, 3, 17, 5, 8, 4, 2, 0, 1, 6, 8, 2, 0.0, 4, 8, 4, 0, 0, 5, 5, 5.26, 84.21, 94.74, 26.296875, 29.3984375, 29.3984375, 0, 17.59765625, 89.5, 0.0, 5.8994140625, 35.296875, 47.09375, 11.8, 0.0, 29.3984375, 23.5, 47.09375, 47.09375, 23.5, 23.5, 25.0, 3.0, 11.0, 2.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 56.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 114, "Liste d'appel propre à cette formation", 37.0, "5462", "BTS - Production - Conception et industrialisation en construction navale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5462&g_ta_cod=5462", 32.0, 47.0, 21.0),
(12812, "Public", "9720832X", "Université des Antilles - Pôle Martinique", "972", "Martinique", "Martinique", "Martinique", "Schoelcher", "formation non sélective", "Licence", "Université des Antilles - Pôle Martinique / Lycée de Bellevue Fort-de-France - Licence - Mathématiques - Parcours Parcours Préparatoire au Professorat des Ecoles (PPPE)", "Licence - Sciences - technologies - santé", "Parcours Préparatoire au Professorat des Ecoles (PPPE)", 30, 57, 41, 50, 0, 40, 16, 4, 2, 0, 0, 6, 7, 1, 0, 0, 6, 50, 4, 0, 0, 40, 16, 4, 2, 0, 0, 6, 50, 5, 4, 5, 0, 3.0, 5.0, 5.0, 0, 1, 5, 5, 0, 0, 0, 0, 0, 2, 2, 1, 0.0, 5, 0, 0, 0, 0, 4, 4, 60.0, 100.0, 100.0, 80.0, 80.0, 80.0, 0, 20.0, 100.0, 0.0, 0.0, 40.0, 40.0, 20.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 38.0, 15.0, 0.0, 0.0, 9.0, "Tous les candidats", 50.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32740", "Licence - Mathématiques - Parcours Parcours Préparatoire au Professorat des Ecoles (PPPE)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32740&g_ta_cod=32740", 100.0, 0.0, 0.0),
(12813, "Public", "0590093F", "Lycée Beaupré", "59", "Nord", "Hauts-de-France", "Lille", "Haubourdin", "formation sélective", "BTS", "Lycée Beaupré - BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "BTS - Production", "", 15, 90, 23, 86, 0, 2, 1, 4, 0, 34, 14, 46, 4, 0, 2, 1, 1, 42, 3, 0, 0, 2, 1, 4, 0, 27, 10, 9, 35, 13, 4, 10, 3, 4.0, 10.0, 11.0, 0, 3, 9, 0, 2, 7, 4, 0, 5, 1, 2, 1, 0.0, 0, 0, 4, 4, 0, 8, 8, 30.77, 76.92, 84.62, 30.796875, 88.890625, 88.890625, 44.3984375, 33.296875, 69.1875, 0.0, 55.59375, 11.099609375, 22.19921875, 11.1, 0.0, 0.0, 0.0, 22.19921875, 0.0, 77.796875, 44.3984375, 2.0, 1.0, 20.0, 6.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 4, "Liste d'appel propre à cette formation", 49.0, "6766", "BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6766&g_ta_cod=6766", 31.0, 15.0, 54.0),
(12814, "Public", "9741046U", "Lycée Bellepierre", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "CPGE", "Lycée Bellepierre - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 12, 164, 86, 164, 0, 147, 36, 2, 0, 0, 0, 15, 0, 0, 0, 0, 0, 124, 0, 0, 124, 120, 29, 0, 0, 0, 0, 4, 68, 12, 7, 12, 0, 2.0, 12.0, 12.0, 0, 7, 12, 12, 0, 0, 0, 0, 0, 4, 3, 3, 2.0, 12, 0, 0, 0, 0, 12, 12, 16.67, 100.0, 100.0, 58.296875, 100.0, 100.0, 0, 58.296875, 100.0, 0.0, 0.0, 33.296875, 25.0, 25.0, 16.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 65.0, 15.0, 0.0, 0.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 75.0, "31643", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31387&g_ta_cod=31643", 100.0, 0.0, 0.0),
(12815, "Public", "0410018X", "Lycée agricole de VENDOME (41)", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Vendôme", "formation sélective", "BTS", "Lycée agricole de VENDOME (41) - BTS - Agricole - Gestion et protection de la nature", "BTS - Agricole", "", 32, 791, 322, 789, 0, 243, 32, 196, 32, 148, 32, 202, 2, 0, 0, 0, 2, 569, 0, 0, 0, 229, 31, 156, 30, 106, 26, 78, 165, 31, 8, 31, 0, 6.0, 21.0, 26.0, 0, 5, 27, 8, 8, 11, 4, 0, 8, 13, 6, 0, 0.0, 8, 4, 7, 4, 0, 11, 11, 19.35, 67.74, 83.87, 25.796875, 40.6953125, 40.6953125, 14.798828125, 18.5, 87.09375, 0.0, 29.59765625, 48.09375, 22.19921875, 0.0, 0.0, 29.59765625, 29.59765625, 29.59765625, 14.798828125, 40.6953125, 25.8984375, 43.0, 5.0, 54.0, 12.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 92, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 32.0, "5242", "BTS - Agricole - Gestion et protection de la nature", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5242&g_ta_cod=5242", 32.0, 32.0, 35.0),
(12816, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Portail Sociologie", "Licence - Sciences humaines et sociales", "", 112, 1198, 884, 1081, 0, 660, 165, 80, 24, 40, 19, 301, 117, 27, 19, 8, 63, 1081, 82, 0, 0, 660, 165, 80, 24, 40, 19, 301, 793, 111, 86, 75, 36, 5.0, 48.0, 72.0, 0, 26, 77, 45, 23, 9, 34, 0, 40, 25, 11, 1, 0.0, 21, 9, 7, 0, 0, 68, 68, 4.5, 43.24, 64.86, 77.5, 88.296875, 88.296875, 0, 33.796875, 69.390625, 0.0, 51.8984375, 32.5, 14.298828125, 1.3, 0.0, 58.3984375, 27.296875, 29.8984375, 11.69921875, 11.69921875, 9.099609375, 448.0, 108.0, 33.0, 13.0, 238.0, "Tous les candidats", 1253.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "2294", "Licence - Portail Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27490&g_ta_cod=2294", 59.0, 27.0, 12.0),
(12817, "Public", "0750655E", "Lycée Louis Le Grand", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "CPGE", "Lycée Louis Le Grand - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 2572, 1840, 2572, 1353, 2346, 243, 0, 0, 1, 0, 225, 0, 0, 0, 0, 0, 636, 0, 382, 623, 614, 74, 0, 0, 0, 0, 22, 372, 100, 75, 100, 0, 28.0, 81.0, 100.0, 33, 6, 98, 98, 0, 0, 2, 0, 0, 0, 1, 44, 53.0, 98, 0, 0, 8, 5, 23, 41, 28.0, 81.0, 100.0, 75.0, 23.5, 41.796875, 8.19921875, 6.099609375, 98.0, 0.0, 0.0, 0.0, 1.0, 44.9, 54.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 365.0, 39.0, 0.0, 0.0, 7.0, "Tous les candidats", 523.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 20.0, "8977", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8977&g_ta_cod=8977", 100.0, 0.0, 0.0),
(12818, "Privé sous contrat d'association", "0171435T", "EIGSI La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation sélective", "Ecole d'Ingénieur", "Concours Avenir - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale", 120, 3065, 626, 3065, 0, 3064, 113, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2967, 0, 0, 0, 2966, 104, 0, 0, 0, 0, 1, 2425, 123, 11, 123, 0, 76.0, 120.0, 123.0, 0, 4, 123, 123, 0, 0, 0, 0, 14, 60, 39, 9, 1.0, 109, 0, 0, 0, 0, 25, 25, 61.79, 97.56, 100.0, 8.8984375, 20.296875, 20.296875, 0, 3.2998046875, 100.0, 0.0, 11.3984375, 48.796875, 31.69921875, 7.3, 0.8, 100.0, 88.59375, 0.0, 0.0, 0.0, 0.0, 2424.0, 73.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "101", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Avenir", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=99&g_ta_cod=101", 100.0, 0.0, 0.0),
(12819, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Langues étrangères appliquées - Parcours LEA (Langues Etrangères Appliquées)  ( 2 langues : Anglais et une autre langue)", "Licence - Arts-lettres-langues", "LEA (Langues Etrangères Appliquées)  ( 2 langues : Anglais et une autre langue)", 180, 1695, 1264, 940, 0, 509, 130, 64, 28, 30, 16, 337, 755, 201, 69, 31, 454, 468, 42, 0, 0, 326, 83, 16, 8, 9, 4, 117, 447, 179, 138, 148, 31, 59.0, 148.0, 165.0, 0, 41, 122, 108, 9, 5, 57, 2, 10, 53, 48, 8, 1.0, 98, 7, 5, 0, 0, 18, 86, 32.96, 82.68, 92.18, 77.09375, 14.798828125, 70.5, 0, 33.59375, 68.1875, 1.599853515625, 8.19921875, 43.3984375, 39.296875, 6.6, 0.8, 88.5, 80.296875, 7.3994140625, 5.69921875, 4.099609375, 4.099609375, 297.0, 76.0, 6.0, 2.0, 129.0, "Tous les candidats", 468.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "9289", "Licence - Langues étrangères appliquées - Parcours LEA (Langues Etrangères Appliquées)  ( 2 langues : Anglais et une autre langue)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9289&g_ta_cod=9289", 90.0, 6.0, 3.0),
(12820, "Public", "0060001U", "Lycée Jacques Audiberti", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "BTS", "Lycée Jacques Audiberti - BTS - Services - Professions immobilières", "BTS - Services", "", 24, 1346, 753, 1334, 0, 322, 67, 385, 120, 287, 98, 340, 12, 1, 0, 2, 9, 421, 3, 0, 0, 133, 23, 143, 33, 97, 35, 48, 130, 21, 7, 19, 2, 3.0, 12.0, 15.0, 0, 4, 17, 5, 8, 4, 4, 0, 2, 8, 5, 2, 0.0, 4, 8, 3, 2, 1, 14, 14, 14.29, 57.14, 71.43, 33.296875, 82.390625, 82.390625, 11.798828125, 23.5, 81.0, 0.0, 11.798828125, 47.09375, 29.3984375, 11.8, 0.0, 29.3984375, 23.5, 47.09375, 47.09375, 23.5, 17.59765625, 40.0, 8.0, 27.0, 5.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 57.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 57, "Liste d'appel propre à cette formation", 12.0, "2181", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2181&g_ta_cod=2181", 38.0, 43.0, 19.0),
(12821, "Public", "0510065U", "INSPE de Reims - Antenne de Châlons-en-Champagne", "51", "Marne", "Grand Est", "Reims", "Châlons-en-Champagne", "formation non sélective", "Licence", "INSPE de Reims - Antenne de Châlons-en-Champagne - Licence - Sciences de l'éducation - Parcours Pluridisciplinaire - professorat des écoles", "Licence - Sciences humaines et sociales", "Pluridisciplinaire - professorat des écoles", 40, 562, 505, 562, 0, 314, 63, 62, 13, 6, 2, 180, 0, 0, 0, 0, 0, 562, 0, 0, 0, 314, 63, 62, 13, 6, 2, 180, 144, 39, 34, 39, 0, 4.0, 36.0, 38.0, 0, 8, 38, 34, 2, 2, 1, 0, 5, 21, 12, 0, 0.0, 29, 2, 2, 0, 0, 29, 29, 10.26, 92.31, 97.44, 87.1875, 76.296875, 76.296875, 0, 21.09765625, 97.390625, 0.0, 13.19921875, 55.296875, 31.59765625, 0.0, 0.0, 89.5, 76.296875, 5.2998046875, 5.2998046875, 5.2998046875, 5.2998046875, 114.0, 18.0, 4.0, 2.0, 10.0, "Tous les candidats", 212.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "23599", "Licence - Sciences de l'éducation - Parcours Pluridisciplinaire - professorat des écoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23599&g_ta_cod=23599", 90.0, 5.0, 5.0),
(12822, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Antenne de Bobigny - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et techniques des activités physiques et sportives (STAPS)", "Licence - Sciences - technologies - santé", "Sciences et techniques des activités physiques et sportives (STAPS)", 300, 4229, 1072, 4229, 0, 2158, 504, 554, 165, 175, 70, 1342, 0, 0, 0, 0, 0, 4229, 0, 0, 0, 2158, 504, 554, 165, 175, 70, 1342, 1235, 283, 65, 282, 0, 29.0, 176.0, 238.0, 0, 71, 178, 113, 38, 27, 105, 0, 89, 62, 19, 6, 2.0, 48, 24, 17, 0, 0, 120, 176, 10.25, 62.19, 84.1, 23.0, 67.390625, 98.890625, 0, 39.8984375, 62.8984375, 0.0, 50.0, 34.796875, 10.69921875, 3.4, 1.1, 63.5, 27.0, 21.296875, 13.5, 15.19921875, 9.599609375, 599.0, 175.0, 54.0, 31.0, 483.0, "Tous les candidats", 1386.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "11267", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives - Sciences et techniques des activités physiques et sportives (STAPS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28410&g_ta_cod=11267", 70.0, 18.0, 12.0),
(12823, "Public", "0560085N", "Ecole Nationale de Voile et des Sports Nautiques (ENVSN)", "56", "Morbihan", "Bretagne", "Rennes", "Saint-Pierre-Quiberon", "formation sélective", "Autre formation", "Ecole Nationale de Voile et des Sports Nautiques (ENVSN) - BPJEPS - Voile multi-supports jusqu'à 6 miles nautique d'un abri", "BPJEPS", "", 10, 37, 4, 33, 0, 13, 0, 7, 1, 0, 0, 13, 4, 1, 1, 0, 2, 15, 0, 0, 0, 6, 0, 2, 0, 0, 0, 7, 15, 7, 1, 7, 0, 2.0, 7.0, 7.0, 0, 0, 2, 2, 0, 0, 5, 0, 1, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 28.57, 100.0, 100.0, 14.298828125, 0.0, 0.0, 0, 0.0, 28.59765625, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 0.0, 0.0, 6.0, 0.0, 0.0, 0.0, 7.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "23489", "BPJEPS - Voile multi-supports jusqu'à 6 miles nautique d'un abri", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23489&g_ta_cod=23489", 86.0, 0.0, 14.0),
(12824, "Public", "0021958T", "IUT de l'Aisne - Site de Soissons-Cuffies", "02", "Aisne", "Hauts-de-France", "Amiens", "Cuffies", "formation sélective", "BUT", "IUT de l'Aisne - Site de Soissons-Cuffies - BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "BUT - Production", "Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", 68, 459, 27, 367, 0, 195, 33, 99, 28, 7, 2, 66, 92, 27, 6, 5, 54, 280, 47, 0, 0, 172, 26, 70, 15, 2, 1, 36, 298, 48, 1, 39, 8, 14.0, 39.0, 45.0, 0, 8, 41, 32, 9, 0, 7, 0, 23, 14, 4, 0, 0.0, 11, 7, 0, 0, 0, 29, 29, 29.17, 81.25, 93.75, 2.099609375, 70.6875, 70.6875, 0, 19.5, 85.390625, 0.0, 56.09375, 34.09375, 9.798828125, 0.0, 0.0, 78.0, 26.796875, 22.0, 17.09765625, 0.0, 0.0, 169.0, 27.0, 2.0, 0.0, 57.0, "Tous les candidats sauf les Bac technologiques", 202.0, "Bacheliers technologiques toutes séries", 78, "", 0, "Liste d'appel propre à cette formation", 76.0, "2096", "BUT - Génie électrique et informatique industrielle Parcours : Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2096&g_ta_cod=2096", 79.0, 21.0, 0.0),
(12825, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquées : Anglais et Portugais (niveau B1/B2 attendu pour les 2 langues)", "Licence - Arts-lettres-langues", "Langues Etrangères Appliquées : Anglais et Portugais (niveau B1/B2 attendu pour les 2 langues)", 40, 93, 56, 66, 0, 30, 6, 16, 9, 7, 2, 13, 27, 3, 4, 3, 17, 66, 19, 0, 0, 30, 6, 16, 9, 7, 2, 13, 82, 15, 7, 7, 8, 1.0, 7.0, 9.0, 0, 4, 8, 2, 4, 2, 7, 0, 7, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 6, 6, 6.67, 46.67, 60.0, 46.6953125, 75.0, 75.0, 0, 50.0, 53.296875, 0.0, 87.5, 0.0, 12.5, 0.0, 0.0, 25.0, 12.5, 50.0, 0.0, 25.0, 0.0, 32.0, 6.0, 8.0, 3.0, 24.0, "Tous les candidats", 66.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "18136", "Licence - Langues étrangères appliquées - Parcours Langues Etrangères Appliquées : Anglais et Portugais (niveau B1/B2 attendu pour les 2 langues)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18136&g_ta_cod=18136", 60.0, 27.0, 13.0),
(12826, "Public", "0920802X", "Lycée Jean-Pierre Vernant", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sèvres", "formation sélective", "Autre formation", "Lycée Jean-Pierre Vernant - DN MADE - Graphisme - - Spécialité : Graphismes, textures, recherche & prospective", "DN MADE", "- Spécialité : Graphismes, textures, recherche & prospective", 10, 265, 158, 233, 0, 76, 10, 52, 15, 20, 5, 85, 32, 6, 3, 2, 21, 54, 2, 0, 0, 15, 1, 21, 6, 4, 0, 14, 39, 9, 9, 7, 2, 0.0, 6.0, 7.0, 0, 2, 7, 4, 1, 2, 2, 0, 1, 3, 3, 0, 0.0, 4, 0, 2, 0, 0, 5, 6, 0.0, 66.67, 77.78, 100.0, 71.390625, 85.6875, 0, 28.59765625, 77.796875, 0.0, 14.298828125, 42.8984375, 42.8984375, 0.0, 0.0, 57.09375, 57.09375, 14.298828125, 0.0, 28.59765625, 28.59765625, 12.0, 1.0, 4.0, 0.0, 9.0, "Tous les candidats", 44.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "21942", "DN MADE - Graphisme - - Spécialité : Graphismes, textures, recherche & prospective", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21942&g_ta_cod=21942", 56.0, 11.0, 33.0),
(12827, "Public", "0760035A", "Lycée Guy De Maupassant", "76", "Seine-Maritime", "Normandie", "Normandie", "Fécamp", "formation sélective", "BTS", "Lycée Guy De Maupassant - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 28, 144, 53, 134, 0, 5, 1, 54, 11, 47, 19, 28, 10, 0, 1, 5, 4, 96, 5, 0, 0, 4, 1, 50, 10, 37, 15, 5, 89, 18, 8, 15, 3, 3.0, 14.0, 16.0, 0, 5, 17, 1, 10, 6, 1, 1, 10, 5, 1, 0, 0.0, 0, 2, 4, 7, 4, 17, 17, 16.67, 77.78, 88.89, 44.3984375, 100.0, 100.0, 41.1953125, 29.3984375, 94.390625, 5.8994140625, 58.796875, 29.3984375, 5.8994140625, 0.0, 0.0, 5.8994140625, 0.0, 58.796875, 11.798828125, 35.296875, 23.5, 4.0, 1.0, 36.0, 15.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 38, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 70.0, "9568", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9568&g_ta_cod=9568", 6.0, 61.0, 33.0),
(12828, "Public", "0772894C", "Université Gustave Eiffel", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation non sélective", "Licence", "Université Gustave Eiffel - Licence - Economie et gestion - Parcours ECONOMIE ET GESTION : Economie et gestion", "Licence - Droit-économie-gestion", "ECONOMIE ET GESTION : Economie et gestion", 250, 2621, 1199, 2621, 0, 1685, 384, 270, 86, 19, 8, 647, 0, 0, 0, 0, 0, 2621, 0, 0, 0, 1685, 384, 270, 86, 19, 8, 647, 1203, 245, 118, 245, 0, 115.0, 189.0, 231.0, 0, 36, 157, 151, 6, 0, 88, 0, 28, 87, 36, 6, 0.0, 124, 5, 0, 0, 0, 144, 148, 46.94, 77.14, 94.29, 48.1953125, 91.6875, 94.296875, 0, 22.8984375, 64.09375, 0.0, 17.796875, 55.3984375, 22.8984375, 3.8, 0.0, 96.1875, 79.0, 3.7998046875, 3.19970703125, 0.0, 0.0, 920.0, 225.0, 0.0, 0.0, 265.0, "Tous les candidats", 1340.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "9931", "Licence - Economie et gestion - Parcours ECONOMIE ET GESTION : Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9931&g_ta_cod=9931", 97.0, 3.0, 0.0),
(12829, "Public", "0460529A", "Lycée professionnel hôtelier Quercy Périgord", "46", "Lot", "Occitanie", "Toulouse", "Souillac", "formation sélective", "BTS", "Lycée professionnel hôtelier Quercy Périgord - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 18, 165, 75, 164, 0, 0, 0, 53, 10, 89, 24, 22, 1, 0, 0, 1, 0, 164, 1, 0, 0, 0, 0, 53, 10, 89, 24, 22, 79, 14, 6, 13, 1, 4.0, 11.0, 14.0, 0, 4, 14, 0, 4, 10, 0, 0, 3, 1, 6, 4, 0.0, 0, 2, 9, 11, 5, 12, 12, 28.57, 78.57, 100.0, 42.8984375, 85.6875, 85.6875, 78.59375, 28.59765625, 100.0, 0.0, 21.3984375, 7.099609375, 42.8984375, 28.6, 0.0, 0.0, 0.0, 28.59765625, 14.298828125, 71.390625, 64.296875, 0.0, 0.0, 43.0, 11.0, 11.0, "Tous les candidats sauf les Bac professionnels", 72.0, "Bacheliers professionnels toutes séries", 78, "", 0, "Liste d'appel propre à cette formation", 91.0, "15901", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15901&g_ta_cod=15901", 0.0, 29.0, 71.0),
(12830, "Public", "0270029K", "Lycée Les Fontenelles", "27", "Eure", "Normandie", "Normandie", "Louviers", "formation sélective", "BTS", "Lycée Les Fontenelles - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 25, 141, 34, 141, 0, 5, 2, 43, 16, 56, 25, 37, 0, 0, 0, 0, 0, 131, 0, 0, 0, 5, 2, 43, 16, 56, 25, 27, 89, 22, 4, 22, 0, 4.0, 19.0, 20.0, 0, 13, 19, 1, 8, 10, 3, 0, 12, 5, 2, 0, 0.0, 0, 2, 5, 7, 1, 19, 19, 18.18, 86.36, 90.91, 18.19921875, 100.0, 100.0, 36.796875, 68.390625, 86.390625, 0.0, 63.1953125, 26.296875, 10.5, 0.0, 0.0, 5.2998046875, 0.0, 42.09375, 10.5, 52.59375, 26.296875, 5.0, 2.0, 33.0, 16.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 62.0, "3692", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3692&g_ta_cod=3692", 5.0, 45.0, 50.0),
(12831, "Public", "0801907N", "Conservatoire national des arts et métiers Hauts-de-France", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "Autre formation", "Conservatoire national des arts et métiers Hauts-de-France - Formation Supérieure de Spécialisation - Comptabilité", "Diplôme d'Université", "Comptabilité", 15, 34, 15, 22, 0, 1, 1, 2, 0, 3, 3, 16, 12, 3, 1, 0, 8, 17, 5, 0, 0, 1, 1, 2, 0, 2, 2, 12, 22, 9, 3, 8, 1, 5.0, 8.0, 8.0, 0, 0, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 55.56, 88.89, 88.89, 33.296875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.0, 2.0, 2.0, 2.0, 16.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "33912", "Formation Supérieure de Spécialisation - Comptabilité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33912&g_ta_cod=33912", 67.0, 11.0, 22.0),
(12832, "Public", "0350697T", "I.U.T de Rennes", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BUT", "I.U.T de Rennes - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception", "BUT - Production", "Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception", 155, 2964, 560, 2964, 0, 1630, 162, 888, 132, 31, 11, 415, 0, 0, 0, 0, 0, 1797, 0, 0, 0, 1219, 116, 404, 59, 1, 0, 173, 768, 153, 26, 153, 0, 53.0, 125.0, 146.0, 0, 23, 144, 68, 76, 0, 9, 0, 2, 61, 76, 5, 0.0, 67, 75, 0, 0, 0, 87, 87, 34.64, 81.7, 95.42, 17.0, 60.3984375, 60.3984375, 0, 16.0, 94.09375, 0.0, 1.39990234375, 42.3984375, 52.796875, 3.5, 0.0, 47.1953125, 46.5, 52.796875, 52.09375, 0.0, 0.0, 398.0, 59.0, 0.0, 0.0, 86.0, "Tous les candidats sauf les Bac technologiques", 684.0, "Bacheliers technologiques toutes séries", 328, "", 0, "Liste d'appel propre à cette formation", 34.0, "4661", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d'études Conception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4661&g_ta_cod=4661", 50.0, 50.0, 0.0),
(12833, "Public", "0640251A", "Université de Pau et des Pays de l'Adour", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Pau", "formation non sélective", "Licence_Las", "Université de Pau et des Pays de l'Adour - Licence - Portail Physique, chimie", "Licence - Sciences - technologies - santé", "", 35, 459, 278, 441, 0, 304, 50, 24, 7, 1, 1, 112, 18, 7, 2, 0, 9, 440, 16, 0, 0, 304, 50, 24, 7, 1, 1, 111, 288, 27, 18, 21, 5, 0.0, 15.0, 22.0, 0, 1, 18, 17, 1, 0, 9, 0, 6, 10, 2, 0, 0.0, 12, 0, 0, 0, 0, 14, 14, 0.0, 55.56, 81.48, 66.6875, 77.796875, 77.796875, 0, 5.599609375, 66.6875, 0.0, 33.296875, 55.59375, 11.099609375, 0.0, 0.0, 94.390625, 66.6875, 5.599609375, 0.0, 0.0, 0.0, 201.0, 25.0, 1.0, 1.0, 73.0, "Tous les candidats", 942.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "28696", "Licence - Portail Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28695&g_ta_cod=28696", 96.0, 4.0, 0.0),
(12834, "Public", "0750707L", "Ecole Nationale De Commerce", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "CPGE", "Pôle Chaptal / ENC - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 48, 1887, 975, 1887, 276, 1616, 267, 4, 2, 5, 4, 262, 0, 0, 0, 0, 0, 1458, 0, 214, 1383, 1405, 229, 0, 0, 0, 0, 53, 582, 36, 11, 36, 0, 1.0, 10.0, 31.0, 3, 7, 34, 34, 0, 0, 2, 0, 4, 13, 14, 2, 1.0, 30, 0, 0, 0, 0, 8, 29, 2.78, 27.78, 86.11, 30.59765625, 23.5, 85.296875, 0, 20.59765625, 94.390625, 0.0, 11.798828125, 38.1953125, 41.1953125, 5.9, 2.9, 100.0, 88.1875, 0.0, 0.0, 0.0, 0.0, 570.0, 78.0, 0.0, 0.0, 12.0, "Tous les candidats", 1023.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "31364", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31364&g_ta_cod=31364", 100.0, 0.0, 0.0),
(12835, "Public", "0310046G", "Lycée Hotellerie Et Tourisme d'Occitanie", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Lycée Hotellerie Et Tourisme d'Occitanie - Mention complémentaire - FCIL Chef de rang", "Mention complémentaire", "", 10, 68, 33, 68, 0, 4, 2, 10, 2, 40, 12, 14, 0, 0, 0, 0, 0, 58, 0, 0, 0, 2, 1, 9, 2, 37, 11, 10, 26, 8, 3, 8, 0, 5.0, 7.0, 7.0, 0, 1, 8, 0, 0, 8, 0, 0, 4, 3, 0, 1, 0.0, 0, 0, 4, 0, 0, 7, 7, 62.5, 87.5, 87.5, 37.5, 87.5, 87.5, 0, 12.5, 100.0, 0.0, 50.0, 37.5, 0.0, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 19.0, 3.0, 2.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "25471", "Mention complémentaire - FCIL Chef de rang", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25471&g_ta_cod=25471", 0.0, 0.0, 100.0),
(12836, "Public", "0690128P", "Lycée Edouard Branly", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "BTS", "Lycée Edouard Branly - BTS - Production - Systèmes numériques - Option électronique et communication - Parcours Armée de Terre", "BTS - Production", "Parcours Armée de Terre", 3, 132, 21, 132, 0, 27, 9, 29, 9, 47, 13, 29, 0, 0, 0, 0, 0, 6, 0, 0, 0, 1, 0, 0, 0, 3, 0, 2, 5, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 100.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 1.0, 0.0, 1.0, 0.0, 3.0, "Tous les candidats sauf les Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 3.0, "22934", "BTS - Production - Systèmes numériques - Option électronique et communication - Parcours Armée de Terre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22934&g_ta_cod=22934", 0.0, 0.0, 100.0),
(12837, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Portail Chimie", "Licence - Sciences - technologies - santé", "", 80, 1109, 731, 1063, 0, 619, 104, 64, 19, 0, 0, 380, 46, 18, 2, 1, 25, 1063, 38, 0, 0, 619, 104, 64, 19, 0, 0, 380, 685, 64, 35, 54, 10, 11.0, 27.0, 55.0, 0, 5, 30, 27, 3, 0, 34, 0, 11, 11, 7, 1, 0.0, 17, 2, 0, 0, 0, 25, 25, 17.19, 42.19, 85.94, 54.6953125, 83.296875, 83.296875, 0, 16.69921875, 46.8984375, 0.0, 36.6953125, 36.6953125, 23.296875, 3.3, 0.0, 90.0, 56.6953125, 10.0, 6.69921875, 0.0, 0.0, 378.0, 69.0, 1.0, 1.0, 279.0, "Tous les candidats", 1392.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "20563", "Licence - Portail Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27813&g_ta_cod=20563", 92.0, 8.0, 0.0),
(12838, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Sociologie - Parcours Sociologie - Enseignement à distance", "Licence - Sciences humaines et sociales", "Sociologie - Enseignement à distance", 80, 539, 413, 508, 0, 158, 39, 23, 10, 14, 4, 313, 31, 2, 0, 0, 29, 504, 26, 0, 0, 158, 39, 23, 10, 14, 4, 309, 324, 80, 59, 62, 17, 11.0, 50.0, 56.0, 0, 3, 8, 7, 0, 1, 72, 1, 3, 3, 1, 0, 0.0, 4, 0, 0, 0, 0, 5, 5, 13.75, 62.5, 70.0, 73.796875, 62.5, 62.5, 0, 37.5, 10.0, 12.5, 37.5, 37.5, 12.5, 0.0, 0.0, 87.5, 50.0, 0.0, 0.0, 12.5, 0.0, 88.0, 25.0, 6.0, 1.0, 215.0, "Tous les candidats", 406.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "20434", "Licence - Sociologie - Parcours Sociologie - Enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20434&g_ta_cod=20434", 71.0, 16.0, 9.0),
(12839, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Sciences du langage", "Licence - Arts-lettres-langues", "", 100, 451, 354, 324, 0, 187, 32, 16, 8, 9, 4, 112, 127, 16, 8, 15, 88, 317, 119, 0, 0, 187, 32, 16, 8, 9, 4, 105, 390, 89, 66, 42, 47, 8.0, 42.0, 71.0, 0, 7, 29, 18, 3, 8, 60, 0, 14, 6, 6, 3, 0.0, 13, 0, 2, 0, 0, 23, 23, 8.99, 47.19, 79.78, 74.1875, 79.296875, 79.296875, 0, 24.09765625, 32.59375, 0.0, 48.296875, 20.69921875, 20.69921875, 10.3, 0.0, 62.09375, 44.796875, 10.298828125, 0.0, 27.59765625, 6.8994140625, 174.0, 32.0, 22.0, 14.0, 172.0, "Tous les candidats", 317.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "28772", "Licence - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28772&g_ta_cod=28772", 63.0, 10.0, 25.0),
(12840, "Privé sous contrat d'association", "0641545G", "Institut Agricole Secondaire Jean Errecart", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Saint-Palais", "formation sélective", "BTS", "Institut Agricole Secondaire Jean Errecart - BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "BTS - Agricole", "", 19, 63, 36, 58, 0, 4, 0, 20, 7, 9, 2, 25, 5, 1, 2, 0, 2, 34, 5, 0, 0, 4, 0, 19, 7, 9, 2, 2, 29, 8, 5, 6, 2, 4.0, 6.0, 8.0, 0, 2, 7, 0, 3, 4, 1, 0, 0, 5, 2, 0, 0.0, 0, 3, 4, 1, 1, 7, 7, 50.0, 75.0, 100.0, 62.5, 100.0, 100.0, 14.298828125, 28.59765625, 87.5, 0.0, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 0.0, 42.8984375, 42.8984375, 57.09375, 57.09375, 4.0, 0.0, 9.0, 2.0, 3.0, "Tous les candidats sauf les Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 57.0, "7765", "BTS - Agricole - Sciences et technologies des aliments spécialité Aliments et processus technologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7765&g_ta_cod=7765", 0.0, 50.0, 50.0),
(12841, "Privé sous contrat d'association", "0311190A", "Lycée professionnel De Coiffure Skhole D'Art", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée professionnel De Coiffure Skhole D'Art - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 33, 230, 222, 201, 0, 35, 8, 46, 13, 60, 16, 60, 29, 3, 0, 13, 13, 144, 16, 0, 0, 26, 7, 37, 9, 40, 8, 41, 127, 15, 15, 13, 2, 3.0, 12.0, 14.0, 0, 3, 8, 3, 1, 4, 7, 0, 2, 2, 3, 1, 0.0, 2, 1, 3, 0, 0, 3, 3, 20.0, 80.0, 93.33, 100.0, 37.5, 37.5, 0, 37.5, 53.296875, 0.0, 25.0, 25.0, 37.5, 12.5, 0.0, 37.5, 25.0, 12.5, 12.5, 50.0, 37.5, 21.0, 5.0, 38.0, 11.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 69.0, "16231", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16231&g_ta_cod=16231", 33.0, 40.0, 27.0),
(12842, "Public", "0781944P", "Université de Versailles - Saint Quentin en Yvelines", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "Licence", "Université de Versailles - Saint Quentin en Yvelines - Licence - Portail Economie et Gestion / Gestion", "Licence - Droit-économie-gestion", "Economie et Gestion / Gestion : Gestion", 90, 1604, 749, 1604, 0, 1045, 161, 100, 29, 15, 5, 444, 0, 0, 0, 0, 0, 1604, 0, 0, 0, 1045, 161, 100, 29, 15, 5, 444, 807, 87, 35, 87, 0, 1.0, 41.0, 65.0, 0, 16, 59, 56, 2, 1, 28, 0, 44, 12, 3, 0, 0.0, 14, 1, 0, 0, 0, 49, 51, 1.15, 47.13, 74.71, 40.1953125, 83.09375, 86.390625, 0, 27.09765625, 67.796875, 0.0, 74.59375, 20.296875, 5.099609375, 0.0, 0.0, 94.890625, 23.69921875, 3.39990234375, 1.699951171875, 1.699951171875, 0.0, 620.0, 121.0, 2.0, 2.0, 178.0, "Tous les candidats", 1917.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 72.0, "28615", "Licence - Portail Economie et Gestion / Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28614&g_ta_cod=28615", 95.0, 3.0, 1.0),
(12843, "Public", "0142133T", "Lycée P. S. De Laplace", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation sélective", "BTS", "Lycée P. S. De Laplace - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 12, 194, 21, 194, 0, 25, 1, 56, 8, 74, 15, 39, 0, 0, 0, 0, 0, 159, 0, 0, 0, 17, 0, 52, 7, 73, 14, 17, 43, 14, 0, 14, 0, 2.0, 6.0, 13.0, 0, 1, 12, 1, 3, 8, 2, 0, 3, 4, 4, 1, 0.0, 0, 2, 7, 2, 0, 9, 9, 14.29, 42.86, 92.86, 0.0, 75.0, 75.0, 16.69921875, 8.298828125, 85.6875, 0.0, 25.0, 33.296875, 33.296875, 8.3, 0.0, 8.298828125, 0.0, 25.0, 16.69921875, 66.6875, 58.296875, 7.0, 0.0, 27.0, 6.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 19, "Liste d'appel propre à cette formation", 41.0, "2933", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2933&g_ta_cod=2933", 7.0, 29.0, 64.0),
(12844, "Public", "0911577V", "Lycée Jacques Prevert", "91", "Essonne", "Ile-de-France", "Versailles", "Longjumeau", "formation sélective", "BTS", "Lycée Jacques Prevert - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 408, 185, 408, 0, 28, 5, 167, 70, 103, 53, 110, 0, 0, 0, 0, 0, 301, 0, 0, 0, 15, 3, 156, 67, 73, 35, 57, 105, 34, 15, 34, 0, 7.0, 30.0, 34.0, 0, 5, 26, 0, 14, 12, 8, 0, 20, 6, 0, 0, 0.0, 0, 2, 4, 5, 2, 26, 26, 20.59, 88.24, 100.0, 44.09375, 100.0, 100.0, 19.19921875, 19.19921875, 76.5, 0.0, 76.890625, 23.09765625, 0.0, 0.0, 0.0, 0.0, 0.0, 53.796875, 7.69921875, 46.1953125, 15.3984375, 3.0, 3.0, 53.0, 23.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 86, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 35.0, "10935", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10935&g_ta_cod=10935", 12.0, 41.0, 47.0),
(12845, "Public", "0240006B", "Lycée des métiers Sud Périgord Hélène Duc", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Bergerac", "formation sélective", "BTS", "Lycée des métiers Sud Périgord Hélène Duc - BTS - Production - Conception et réalisation en chaudronnerie industrielle", "BTS - Production", "", 15, 110, 4, 110, 0, 6, 1, 12, 2, 67, 12, 25, 0, 0, 0, 0, 0, 92, 0, 0, 0, 6, 1, 12, 2, 67, 12, 7, 54, 10, 0, 10, 0, 2.0, 8.0, 10.0, 0, 4, 10, 0, 0, 10, 0, 0, 2, 4, 3, 1, 0.0, 0, 0, 8, 3, 0, 10, 10, 20.0, 80.0, 100.0, 0.0, 100.0, 100.0, 30, 40.0, 100.0, 0.0, 20.0, 40.0, 30.0, 10.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 80.0, 5.0, 1.0, 34.0, 8.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 81.0, "19266", "BTS - Production - Conception et réalisation en chaudronnerie industrielle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19266&g_ta_cod=19266", 0.0, 0.0, 100.0),
(12846, "Public", "0383119J", "Lycée Pierre Béghin", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Moirans", "formation sélective", "BTS", "Lycée Pierre Béghin - BTS - Services - Gestion de la PME", "BTS - Services", "", 17, 231, 153, 218, 0, 7, 2, 88, 24, 69, 32, 54, 13, 0, 4, 2, 7, 158, 3, 0, 0, 6, 2, 75, 21, 52, 23, 25, 118, 17, 12, 12, 1, 1.0, 6.0, 11.0, 0, 9, 12, 0, 6, 6, 5, 1, 8, 3, 0, 0, 0.0, 0, 1, 2, 1, 0, 11, 11, 5.88, 35.29, 64.71, 70.59375, 91.6875, 91.6875, 8.298828125, 75.0, 70.59375, 8.298828125, 66.6875, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 8.298828125, 50.0, 16.69921875, 5.0, 2.0, 33.0, 16.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers technologiques toutes séries", 88, "Bacheliers professionnels toutes séries", 49, "Liste d'appel propre à cette formation", 67.0, "30551", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30551&g_ta_cod=30551", 6.0, 53.0, 41.0),
(12847, "Public", "0932047V", "Lycée Evariste Galois", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Noisy-le-Grand", "formation sélective", "BTS", "Lycée Evariste Galois - BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "BTS - Services", "", 12, 665, 228, 665, 0, 203, 30, 71, 23, 128, 46, 263, 0, 0, 0, 0, 0, 120, 0, 0, 0, 46, 4, 4, 1, 52, 13, 18, 42, 12, 6, 12, 0, 4.0, 9.0, 11.0, 0, 2, 10, 6, 1, 3, 2, 0, 1, 3, 3, 3, 0.0, 6, 1, 2, 1, 1, 7, 8, 33.33, 75.0, 91.67, 50.0, 70.0, 80.0, 10, 20.0, 83.296875, 0.0, 10.0, 30.0, 30.0, 30.0, 0.0, 60.0, 60.0, 10.0, 10.0, 30.0, 20.0, 18.0, 3.0, 19.0, 3.0, 4.0, "Tous les candidats sauf les Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 21, "", 0, "Liste d'appel propre à cette formation", 7.0, "11330", "BTS - Services - Métiers de l'audio-visuel opt : gestion de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11330&g_ta_cod=11330", 50.0, 25.0, 25.0),
(12848, "Public", "0763214F", "I.U.T De Rouen - Site d'Elbeuf", "76", "Seine-Maritime", "Normandie", "Normandie", "Elbeuf", "formation sélective", "BUT", "I.U.T De Rouen - Site d'Elbeuf - BUT - Métiers du multimédia et de l'internet Parcours : Création numérique - Développement web et dispositifs interactifs", "BUT - Production", "Création numérique - Développement web et dispositifs interactifs", 75, 1495, 359, 1495, 0, 706, 115, 417, 92, 27, 10, 345, 0, 0, 0, 0, 0, 758, 0, 0, 0, 441, 64, 227, 47, 1, 0, 89, 275, 73, 18, 73, 0, 15.0, 65.0, 69.0, 0, 10, 59, 32, 27, 0, 14, 0, 5, 35, 18, 1, 0.0, 30, 24, 0, 0, 0, 52, 52, 20.55, 89.04, 94.52, 24.69921875, 88.09375, 88.09375, 0, 16.8984375, 80.796875, 0.0, 8.5, 59.296875, 30.5, 1.7, 0.0, 54.1953125, 50.796875, 45.796875, 40.6953125, 0.0, 0.0, 145.0, 21.0, 0.0, 0.0, 35.0, "Tous les candidats sauf les Bac technologiques", 255.0, "Bacheliers technologiques toutes séries", 205, "", 0, "Liste d'appel propre à cette formation", 31.0, "9627", "BUT - Métiers du multimédia et de l'internet Parcours : Création numérique - Développement web et dispositifs interactifs", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9627&g_ta_cod=9627", 48.0, 52.0, 0.0),
(12849, "Privé sous contrat d'association", "0440254M", "Ecole Sup. IMS", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Ecole Sup. IMS - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 33, 911, 367, 900, 0, 119, 15, 434, 79, 218, 53, 129, 11, 1, 5, 0, 5, 549, 2, 0, 0, 85, 9, 270, 41, 145, 34, 49, 192, 33, 9, 32, 1, 6.0, 24.0, 26.0, 0, 4, 29, 7, 13, 9, 4, 0, 9, 11, 7, 2, 0.0, 4, 7, 9, 0, 0, 27, 27, 18.18, 72.73, 78.79, 27.296875, 93.09375, 93.09375, 0, 13.798828125, 87.890625, 0.0, 31.0, 37.8984375, 24.09765625, 6.9, 0.0, 24.09765625, 13.798828125, 44.796875, 24.09765625, 31.0, 31.0, 37.0, 3.0, 41.0, 10.0, 18.0, "Tous les candidats sauf les Bac professionnels", 211.0, "Bacheliers professionnels toutes séries", 86, "", 0, "Liste d'appel propre à cette formation", 33.0, "5519", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5519&g_ta_cod=5519", 30.0, 42.0, 27.0),
(12850, "Public", "0572694U", "IFSI Sarreguemines", "57", "Moselle", "Grand Est", "Nancy-Metz", "Sarreguemines", "formation sélective", "IFSI", "Regroupement d'IFSI Université Nancy - D.E Infirmier", "D.E secteur sanitaire", "", 62, 3390, 2732, 3390, 0, 618, 140, 650, 196, 338, 113, 1784, 0, 0, 0, 0, 0, 2896, 0, 0, 0, 574, 127, 556, 160, 292, 92, 1474, 628, 70, 57, 70, 0, 3.0, 31.0, 49.0, 0, 7, 48, 10, 17, 21, 22, 0, 6, 17, 18, 7, 0.0, 7, 15, 20, 0, 0, 38, 38, 4.29, 44.29, 70.0, 81.390625, 79.1875, 79.1875, 0, 14.599609375, 68.59375, 0.0, 12.5, 35.3984375, 37.5, 14.6, 0.0, 20.796875, 14.599609375, 35.3984375, 31.296875, 43.796875, 41.6953125, 98.0, 27.0, 90.0, 17.0, 303.0, "Tous les candidats", 2436.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "23190", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22997&g_ta_cod=23190", 26.0, 41.0, 33.0),
(12851, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Philosophie", "Licence - Sciences humaines et sociales", "", 80, 540, 337, 423, 0, 275, 60, 37, 12, 10, 6, 101, 117, 30, 16, 10, 61, 423, 111, 0, 0, 275, 60, 37, 12, 10, 6, 101, 535, 89, 42, 52, 37, 51.0, 52.0, 80.0, 0, 15, 48, 36, 7, 5, 41, 0, 20, 14, 12, 2, 0.0, 23, 3, 2, 0, 0, 36, 36, 57.3, 58.43, 89.89, 47.1953125, 75.0, 75.0, 0, 31.296875, 53.8984375, 0.0, 41.6953125, 29.19921875, 25.0, 4.2, 0.0, 75.0, 47.8984375, 14.599609375, 6.2998046875, 10.3984375, 4.19921875, 305.0, 67.0, 20.0, 11.0, 158.0, "Tous les candidats", 423.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4884", "Licence - Philosophie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4884&g_ta_cod=4884", 76.0, 13.0, 9.0),
(12852, "Public", "0660832W", "Université de Perpignan - Antenne de Font Romeu", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Font-Romeu-Odeillo-Via", "formation non sélective", "Licence_Las", "Université de Perpignan - Antenne de Font Romeu - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 10, 883, 311, 883, 0, 567, 90, 104, 26, 16, 6, 196, 0, 0, 0, 0, 0, 883, 0, 0, 0, 567, 90, 104, 26, 16, 6, 196, 63, 10, 3, 10, 0, 1.0, 5.0, 7.0, 0, 3, 8, 6, 2, 0, 2, 0, 2, 6, 0, 0, 0.0, 5, 1, 0, 0, 0, 8, 8, 10.0, 50.0, 70.0, 30.0, 100.0, 100.0, 0, 37.5, 80.0, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 75.0, 62.5, 25.0, 12.5, 0.0, 0.0, 33.0, 8.0, 0.0, 0.0, 27.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "31759", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31758&g_ta_cod=31759", 70.0, 30.0, 0.0),
(12853, "Public", "0133686L", "I.U.T d'Aix-Marseille - Site d'Arles", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Arles", "formation sélective", "BUT", "I.U.T d'Aix-Marseille - Site d'Arles - BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation", "BUT - Production", "Réalisation d'applications : conception, développement, validation", 56, 1151, 99, 1100, 0, 619, 131, 264, 80, 9, 6, 208, 51, 0, 24, 0, 27, 809, 10, 0, 0, 538, 110, 163, 41, 0, 0, 108, 342, 50, 3, 48, 2, 2.0, 28.0, 40.0, 0, 8, 33, 22, 11, 0, 17, 0, 13, 11, 9, 0, 0.0, 14, 6, 0, 0, 0, 26, 26, 4.0, 56.0, 80.0, 6.0, 78.796875, 78.796875, 0, 24.19921875, 66.0, 0.0, 39.3984375, 33.296875, 27.296875, 0.0, 0.0, 66.6875, 42.3984375, 33.296875, 18.19921875, 0.0, 0.0, 171.0, 34.0, 0.0, 0.0, 64.0, "Tous les candidats sauf les Bac technologiques", 359.0, "Bacheliers technologiques toutes séries", 181, "", 0, "Liste d'appel propre à cette formation", 49.0, "2815", "BUT - Informatique Parcours : Réalisation d'applications : conception, développement, validation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2815&g_ta_cod=2815", 70.0, 30.0, 0.0),
(12854, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence_Las", "Université Grenoble Alpes  - Licence - Portail Sciences de la terre - Sciences de la Terre et de l'Environnement", "Licence - Sciences - technologies - santé", "Sciences de la Terre et de l'Environnement", 5, 387, 231, 387, 0, 186, 32, 7, 2, 1, 0, 193, 0, 0, 0, 0, 0, 384, 0, 0, 0, 186, 32, 7, 2, 1, 0, 190, 75, 4, 3, 4, 0, 0.0, 0.0, 2.0, 0, 0, 1, 1, 0, 0, 3, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 50.0, 75.0, 100.0, 100.0, 0, 0.0, 25.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 23.0, 8.0, 0.0, 0.0, 52.0, "Tous les candidats", 411.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 53.0, "31732", "Licence - Portail Sciences de la terre - Sciences de la Terre et de l'Environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31731&g_ta_cod=31732", 100.0, 0.0, 0.0),
(12855, "Privé sous contrat d'association", "0692353H", "ISARA", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 7e  Arrondissement", "formation sélective", "Ecole d'Ingénieur", "Réseau France Agro3 - Formation d'ingénieur Bac + 5 - Voie d'accès bac série générale", "Formations  des écoles d'ingénieurs", "Voie d'accès bac série générale", 161, 904, 478, 888, 0, 882, 48, 0, 0, 0, 0, 6, 16, 14, 0, 0, 2, 690, 1, 0, 0, 689, 17, 0, 0, 0, 0, 1, 427, 168, 109, 168, 0, 129.0, 168.0, 168.0, 0, 2, 168, 168, 0, 0, 0, 0, 9, 75, 64, 19, 1.0, 159, 0, 0, 0, 0, 83, 83, 76.79, 100.0, 100.0, 64.890625, 49.3984375, 49.3984375, 0, 1.199951171875, 100.0, 0.0, 5.3994140625, 44.59375, 38.09375, 11.3, 0.6, 100.0, 94.59375, 0.0, 0.0, 0.0, 0.0, 426.0, 16.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "25919", "Formation d'ingénieur Bac + 5 - Voie d'accès bac série générale", "Réseau France Agro3", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25916&g_ta_cod=25919", 100.0, 0.0, 0.0),
(12856, "Public", "9740787M", "Lycée Antoine Roussin", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Louis", "formation sélective", "BTS", "Lycée Antoine Roussin - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 529, 288, 479, 0, 42, 22, 175, 107, 163, 120, 99, 50, 2, 23, 3, 22, 183, 4, 0, 0, 18, 9, 74, 44, 76, 56, 15, 125, 31, 18, 28, 3, 5.0, 24.0, 29.0, 0, 20, 28, 2, 12, 14, 3, 0, 5, 15, 5, 3, 0.0, 2, 7, 14, 8, 4, 26, 26, 16.13, 77.42, 93.55, 58.09375, 92.890625, 92.890625, 28.59765625, 71.390625, 90.296875, 0.0, 17.8984375, 53.59375, 17.8984375, 10.7, 0.0, 7.099609375, 7.099609375, 42.8984375, 25.0, 50.0, 50.0, 11.0, 8.0, 45.0, 31.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 68, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 35.0, "11932", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11932&g_ta_cod=11932", 6.0, 45.0, 48.0),
(12857, "Public", "0190010H", "Lycée Georges Cabanis", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BTS", "Lycée Georges Cabanis - BTS - Production - Electrotechnique", "BTS - Production", "", 22, 374, 44, 374, 0, 18, 4, 42, 10, 71, 20, 243, 0, 0, 0, 0, 0, 374, 0, 0, 0, 18, 4, 42, 10, 71, 20, 243, 87, 20, 1, 20, 0, 4.0, 15.0, 17.0, 0, 5, 15, 3, 3, 9, 5, 0, 6, 5, 4, 0, 0.0, 1, 3, 5, 2, 0, 14, 14, 20.0, 75.0, 85.0, 5.0, 93.296875, 93.296875, 13.298828125, 33.296875, 75.0, 0.0, 40.0, 33.296875, 26.69921875, 0.0, 0.0, 20.0, 6.69921875, 20.0, 20.0, 60.0, 33.296875, 7.0, 1.0, 38.0, 8.0, 16.0, "Tous les candidats sauf les Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 46, "", 0, "Liste d'appel propre à cette formation", 28.0, "3134", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3134&g_ta_cod=3134", 25.0, 20.0, 55.0),
(12858, "Privé sous contrat d'association", "0721478R", "Lycée Polyvalent privé Saint Joseph La Salle", "72", "Sarthe", "Pays de la Loire", "Nantes", "Pruillé-le-Chétif", "formation sélective", "BTS", "Lycée Polyvalent privé Saint Joseph La Salle - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 68, 5, 65, 0, 6, 0, 6, 2, 18, 3, 35, 3, 0, 0, 1, 2, 36, 2, 0, 0, 6, 0, 6, 2, 18, 3, 6, 32, 2, 0, 1, 1, 0.0, 1.0, 2.0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0.0, 0, 0, 2, 1, 0, 1, 1, 0.0, 50.0, 100.0, 0.0, 50.0, 50.0, 50, 0.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 2.0, 0.0, 18.0, 3.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 19, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 54.0, "8767", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8767&g_ta_cod=8767", 0.0, 0.0, 100.0),
(12859, "Privé sous contrat d'association", "0382852U", "IFSI Croix Rouge Française Grenoble", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "IFSI", "Regroupement d'IFSI Université Grenoble Alpes - D.E Infirmier", "D.E secteur sanitaire", "", 71, 5644, 4715, 5644, 0, 920, 166, 994, 226, 510, 173, 3220, 0, 0, 0, 0, 0, 4538, 0, 0, 0, 834, 134, 837, 177, 398, 127, 2469, 1053, 70, 61, 70, 0, 1.0, 17.0, 42.0, 0, 5, 36, 12, 10, 14, 34, 0, 5, 16, 13, 2, 0.0, 10, 8, 13, 0, 0, 28, 28, 1.43, 24.29, 60.0, 87.09375, 77.796875, 77.796875, 0, 13.8984375, 51.3984375, 0.0, 13.8984375, 44.3984375, 36.09375, 5.6, 0.0, 33.296875, 27.796875, 27.796875, 22.19921875, 38.8984375, 36.09375, 264.0, 30.0, 127.0, 36.0, 431.0, "Tous les candidats", 2297.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "23122", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22992&g_ta_cod=23122", 47.0, 26.0, 27.0),
(12860, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations,  parcours Afrique et océan Indien - Wolof", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations,  parcours Afrique et océan Indien - Wolof", 25, 146, 94, 58, 0, 20, 7, 7, 3, 6, 4, 25, 88, 19, 5, 12, 52, 58, 42, 0, 0, 20, 7, 7, 3, 6, 4, 25, 98, 21, 13, 6, 15, 3.0, 6.0, 11.0, 0, 3, 5, 4, 0, 1, 16, 0, 5, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 5, 14.29, 28.57, 52.38, 61.8984375, 20.0, 100.0, 0, 60.0, 23.796875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 80.0, 0.0, 0.0, 0.0, 20.0, 0.0, 30.0, 10.0, 10.0, 5.0, 50.0, "Tous les candidats", 73.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9409", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations,  parcours Afrique et océan Indien - Wolof", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29591&g_ta_cod=9409", 62.0, 19.0, 19.0),
(12861, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "PASS", "Université Côte d'Azur - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 140, 5197, 3584, 5197, 0, 4085, 656, 109, 49, 30, 12, 973, 0, 0, 0, 0, 0, 5184, 0, 0, 0, 4085, 656, 109, 49, 30, 12, 960, 595, 140, 88, 140, 0, 18.0, 119.0, 133.0, 0, 33, 131, 131, 0, 0, 9, 0, 1, 1, 35, 74, 20.0, 130, 0, 0, 0, 0, 117, 117, 12.86, 85.0, 95.0, 62.8984375, 89.296875, 89.296875, 0, 25.19921875, 93.59375, 0.0, 0.7999267578125, 0.7999267578125, 26.69921875, 56.5, 15.3, 100.0, 99.1875, 0.0, 0.0, 0.0, 0.0, 549.0, 94.0, 1.0, 0.0, 44.0, "Tous les candidats", 919.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 16.0, "32588", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27218&g_ta_cod=32588", 100.0, 0.0, 0.0),
(12862, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence_Las", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Portail Administration et Echanges internationaux", "Licence - Droit-économie-gestion", "", 35, 1016, 685, 1016, 0, 544, 189, 72, 35, 16, 13, 384, 0, 0, 0, 0, 0, 1016, 0, 0, 0, 544, 189, 72, 35, 16, 13, 384, 207, 33, 25, 33, 0, 1.0, 15.0, 23.0, 0, 5, 24, 22, 2, 0, 9, 0, 6, 15, 2, 1, 0.0, 16, 2, 0, 0, 0, 15, 22, 3.03, 45.45, 69.7, 75.796875, 62.5, 91.6875, 0, 20.796875, 72.6875, 0.0, 25.0, 62.5, 8.298828125, 4.2, 0.0, 91.6875, 66.6875, 8.298828125, 8.298828125, 0.0, 0.0, 138.0, 39.0, 0.0, 0.0, 61.0, "Tous les candidats", 1653.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "32709", "Licence - Portail Administration et Echanges internationaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32708&g_ta_cod=32709", 94.0, 6.0, 0.0),
(12863, "Privé sous contrat d'association", "0111024D", "Ecole Sup. La Raque", "11", "Aude", "Occitanie", "Montpellier", "Lasbordes", "formation sélective", "BTS", "Ecole Sup. La Raque - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 15, 54, 22, 49, 0, 4, 0, 16, 3, 14, 2, 15, 5, 0, 2, 1, 2, 49, 4, 0, 0, 4, 0, 16, 3, 14, 2, 15, 43, 15, 5, 12, 3, 4.0, 11.0, 14.0, 0, 1, 8, 0, 5, 3, 7, 0, 6, 1, 1, 0, 0.0, 0, 1, 1, 0, 0, 5, 5, 26.67, 73.33, 93.33, 33.296875, 62.5, 62.5, 0, 12.5, 53.296875, 0.0, 75.0, 12.5, 12.5, 0.0, 0.0, 0.0, 0.0, 62.5, 12.5, 37.5, 12.5, 4.0, 0.0, 14.0, 3.0, 11.0, "Tous les candidats sauf les Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 94.0, "2474", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2474&g_ta_cod=2474", 40.0, 33.0, 27.0),
(12864, "Public", "0810018E", "Lycée professionnel Anne Veaute", "81", "Tarn", "Occitanie", "Toulouse", "Castres", "formation sélective", "BTS", "Lycée professionnel Anne Veaute - BTS - Services - Prothésiste orthésiste", "BTS - Services", "", 15, 581, 426, 581, 0, 108, 9, 148, 26, 61, 16, 264, 0, 0, 0, 0, 0, 560, 0, 0, 0, 108, 9, 138, 23, 61, 16, 253, 40, 15, 10, 15, 0, 5.0, 11.0, 14.0, 0, 3, 10, 2, 2, 6, 5, 0, 0, 4, 5, 1, 0.0, 2, 2, 6, 5, 5, 5, 5, 33.33, 73.33, 93.33, 66.6875, 50.0, 50.0, 50, 30.0, 66.6875, 0.0, 0.0, 40.0, 50.0, 10.0, 0.0, 20.0, 20.0, 20.0, 20.0, 60.0, 60.0, 14.0, 5.0, 7.0, 2.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 22, "Liste d'appel propre à cette formation", 15.0, "17655", "BTS - Services - Prothésiste orthésiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17655&g_ta_cod=17655", 47.0, 13.0, 40.0),
(12865, "Public", "0780273Y", "Lycée professionnel Louis Bleriot", "78", "Yvelines", "Ile-de-France", "Versailles", "Trappes", "formation sélective", "BTS", "Lycée professionnel Louis Bleriot - BTS - Services - Management opérationnel de la sécurité", "BTS - Services", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 124, 19, 10, 0, 0, 0.0, 0.0, 0.0, 0, 0, 1, 0, 1, 0, 18, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 0.0, 52.59375, 100.0, 100.0, 0, 0.0, 5.2998046875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 116.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "35032", "BTS - Services - Management opérationnel de la sécurité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=35032&g_ta_cod=35032", 5.0, 58.0, 37.0),
(12866, "Privé sous contrat d'association", "0690542P", "Lycée LES CHASSAGNES", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Oullins", "formation sélective", "BTS", "Lycée LES CHASSAGNES - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 24, 364, 20, 363, 0, 83, 14, 93, 22, 106, 36, 81, 1, 0, 0, 1, 0, 263, 0, 0, 0, 72, 9, 79, 14, 68, 21, 44, 112, 24, 1, 24, 0, 3.0, 15.0, 20.0, 0, 5, 17, 7, 6, 4, 7, 0, 11, 6, 0, 0, 0.0, 2, 1, 3, 0, 0, 14, 14, 12.5, 62.5, 83.33, 4.19921875, 82.390625, 82.390625, 0, 29.3984375, 70.796875, 0.0, 64.6875, 35.296875, 0.0, 0.0, 0.0, 41.1953125, 11.798828125, 35.296875, 5.8994140625, 23.5, 17.59765625, 19.0, 3.0, 43.0, 16.0, 20.0, "Tous les candidats sauf les Bac professionnels", 95.0, "Bacheliers professionnels toutes séries", 71, "", 0, "Liste d'appel propre à cette formation", 46.0, "25406", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25406&g_ta_cod=25406", 42.0, 29.0, 29.0),
(12867, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Portail Licence 1ère année Portail Mathématiques - Informatique", "Licence - Sciences - technologies - santé", "Licence 1ère année Portail Mathématiques - Informatique", 260, 1165, 257, 977, 0, 651, 132, 65, 31, 15, 7, 246, 188, 31, 8, 1, 148, 938, 117, 0, 0, 651, 132, 65, 31, 15, 7, 207, 955, 143, 19, 102, 41, 17.0, 102.0, 123.0, 0, 14, 72, 57, 6, 9, 71, 0, 37, 18, 9, 8, 0.0, 25, 3, 7, 0, 0, 65, 65, 11.89, 71.33, 86.01, 13.298828125, 90.296875, 90.296875, 0, 19.3984375, 50.296875, 0.0, 51.3984375, 25.0, 12.5, 11.1, 0.0, 79.1875, 34.6953125, 8.298828125, 4.19921875, 12.5, 9.69921875, 613.0, 125.0, 15.0, 7.0, 274.0, "Tous les candidats", 1006.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "13840", "Licence - Portail Licence 1ère année Portail Mathématiques - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26944&g_ta_cod=13840", 70.0, 15.0, 11.0),
(12868, "Public", "0912417H", "Université Paris-Saclay, Campus d-Evry", "91", "Essonne", "Ile-de-France", "Versailles", "Evry-Courcouronnes", "formation sélective", "Licence", "Université Paris-Saclay, Campus d?Evry - Licence - Double diplôme - Licence Droit, Economie - Parcours Licence Double-Diplôme Droit, Economie", "Licence - Droit-économie-gestion", "Parcours Licence Double-Diplôme Droit, Economie", 45, 1312, 728, 435, 0, 335, 65, 18, 6, 6, 4, 76, 877, 358, 67, 25, 427, 175, 90, 0, 0, 154, 24, 0, 0, 0, 0, 21, 241, 45, 26, 16, 29, 0.0, 16.0, 40.0, 0, 3, 31, 31, 0, 0, 14, 0, 2, 14, 12, 3, 0.0, 29, 0, 0, 0, 0, 19, 25, 0.0, 35.56, 88.89, 57.796875, 61.296875, 80.59375, 0, 9.69921875, 68.890625, 0.0, 6.5, 45.1953125, 38.6953125, 9.7, 0.0, 100.0, 93.5, 0.0, 0.0, 0.0, 0.0, 187.0, 24.0, 0.0, 0.0, 54.0, "Tous les candidats", 175.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "28897", "Licence - Double diplôme - Licence Droit, Economie - Parcours Licence Double-Diplôme Droit, Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28897&g_ta_cod=28897", 100.0, 0.0, 0.0),
(12869, "Privé sous contrat d'association", "9840394F", "Lycée Samuel Raapoto", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Papeete", "formation sélective", "BTS", "Lycée Samuel Raapoto - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 20, 201, 127, 172, 0, 13, 3, 72, 20, 52, 22, 35, 29, 0, 10, 9, 10, 39, 6, 0, 0, 1, 0, 28, 8, 7, 2, 3, 39, 14, 8, 10, 4, 2.0, 10.0, 14.0, 0, 4, 12, 1, 8, 3, 2, 0, 3, 9, 0, 0, 0.0, 1, 5, 3, 8, 3, 12, 12, 14.29, 71.43, 100.0, 57.09375, 100.0, 100.0, 66.6875, 33.296875, 85.6875, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 8.298828125, 8.298828125, 66.6875, 41.6953125, 25.0, 25.0, 1.0, 0.0, 7.0, 2.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 22.0, "18681", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18681&g_ta_cod=18681", 7.0, 57.0, 36.0),
(12870, "Public", "0381516T", "IUT 1 GRENOBLE - ENEPS", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "BUT", "IUT 1 GRENOBLE - ENEPS - BUT - Réseaux et télécommunications Parcours : Cybersécurité - Développement Système et Cloud", "BUT - Production", "Cybersécurité - Développement Système et Cloud", 20, 154, 2, 154, 0, 0, 0, 0, 0, 143, 51, 11, 0, 0, 0, 0, 0, 54, 0, 0, 0, 0, 0, 0, 0, 52, 17, 2, 47, 19, 0, 19, 0, 10.0, 19.0, 19.0, 0, 7, 18, 0, 0, 18, 1, 0, 0, 3, 8, 7, 0.0, 0, 0, 18, 0, 0, 12, 12, 52.63, 100.0, 100.0, 0.0, 66.6875, 66.6875, 0, 38.8984375, 94.6875, 0.0, 0.0, 16.69921875, 44.3984375, 38.9, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 45.0, 15.0, 2.0, "Tous les candidats sauf les Bac technologiques", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "4974", "BUT - Réseaux et télécommunications Parcours : Cybersécurité - Développement Système et Cloud", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4974&g_ta_cod=4974", 0.0, 0.0, 100.0),
(12871, "Public", "0761742F", "Lycée Val De Seine", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Grand-Quevilly", "formation sélective", "BTS", "Lycée Val De Seine - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 590, 380, 590, 0, 37, 14, 187, 85, 238, 126, 128, 0, 0, 0, 0, 0, 403, 0, 0, 0, 31, 10, 139, 59, 173, 90, 60, 88, 18, 17, 18, 0, 3.0, 14.0, 17.0, 0, 7, 15, 2, 4, 9, 3, 0, 2, 4, 9, 0, 0.0, 0, 4, 9, 2, 2, 15, 15, 16.67, 77.78, 94.44, 94.390625, 100.0, 100.0, 13.298828125, 46.6953125, 83.296875, 0.0, 13.298828125, 26.69921875, 60.0, 0.0, 0.0, 13.298828125, 0.0, 26.69921875, 26.69921875, 60.0, 60.0, 14.0, 7.0, 39.0, 18.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 100, "Bacheliers technologiques toutes séries", 76, "Liste d'appel propre à cette formation", 35.0, "9680", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9680&g_ta_cod=9680", 11.0, 39.0, 50.0),
(12872, "Privé enseignement supérieur", "0691503J", "ESDES LYON BUSINESS SCHOOL", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 2e  Arrondissement", "formation sélective", "Ecole de Commerce", "Concours ACCES - Formation des écoles de commerce et de management Bac + 5", "Formation des écoles de commerce et de management", "", 220, 2849, 1166, 2737, 0, 2469, 55, 64, 6, 1, 0, 203, 112, 35, 12, 8, 57, 1782, 94, 0, 0, 1655, 35, 29, 0, 0, 0, 98, 1876, 96, 30, 71, 25, 69.0, 70.0, 88.0, 0, 3, 77, 71, 6, 0, 19, 1, 24, 44, 8, 0, 0.0, 48, 4, 0, 0, 0, 30, 30, 71.88, 72.92, 91.67, 31.296875, 39.0, 39.0, 0, 3.89990234375, 80.1875, 1.2998046875, 31.19921875, 57.09375, 10.3984375, 0.0, 0.0, 92.1875, 62.296875, 7.7998046875, 5.19921875, 0.0, 0.0, 1684.0, 40.0, 0.0, 0.0, 153.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "26009", "Formation des écoles de commerce et de management Bac + 5", "Concours ACCES", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26003&g_ta_cod=26009", 92.0, 8.0, 0.0),
(12873, "Public", "0382780R", "Lycée Aristides Berges", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Seyssinet-Pariset", "formation sélective", "BTS", "Lycée Aristides Berges - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 32, 648, 84, 632, 0, 75, 14, 159, 47, 127, 43, 271, 16, 0, 0, 10, 6, 288, 2, 0, 0, 60, 9, 112, 32, 67, 21, 49, 162, 29, 4, 29, 0, 4.0, 21.0, 26.0, 0, 7, 21, 0, 10, 11, 8, 0, 4, 9, 6, 2, 0.0, 0, 7, 10, 5, 0, 19, 19, 13.79, 72.41, 89.66, 13.798828125, 90.5, 90.5, 23.796875, 33.296875, 72.390625, 0.0, 19.0, 42.8984375, 28.59765625, 9.5, 0.0, 0.0, 0.0, 47.59375, 33.296875, 52.3984375, 47.59375, 7.0, 3.0, 50.0, 19.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 130, "Liste d'appel propre à cette formation", 34.0, "5116", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5116&g_ta_cod=5116", 7.0, 55.0, 38.0),
(12874, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence", "Avignon Université - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 343, 2007, 1493, 1920, 0, 1299, 363, 252, 119, 70, 42, 299, 87, 14, 16, 4, 53, 1919, 84, 0, 0, 1299, 363, 252, 119, 70, 42, 298, 1505, 337, 229, 300, 37, 120.0, 287.0, 300.0, 0, 100, 259, 190, 52, 17, 78, 1, 110, 102, 42, 3, 1.0, 115, 23, 10, 0, 0, 203, 203, 35.61, 85.16, 89.02, 68.0, 78.390625, 78.390625, 0, 38.59375, 76.890625, 0.39996337890625, 42.5, 39.3984375, 16.19921875, 1.2, 0.4, 73.390625, 44.3984375, 20.09765625, 8.8984375, 6.599609375, 3.89990234375, 1023.0, 299.0, 50.0, 29.0, 270.0, "Groupe par défaut", 1979.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "10450", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10450&g_ta_cod=10450", 72.0, 19.0, 9.0),
(12875, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Double licence - Lettres / Langues, littératures & civilisations étrangères et régionales - LETTRES EDITION MEDIAS AUDIOVISUEL - LLCER ITALIEN NON DEBUTANT", "Licence - Arts-lettres-langues", "LETTRES EDITION MEDIAS AUDIOVISUEL - LLCER ITALIEN NON DEBUTANT", 30, 109, 75, 72, 0, 43, 10, 2, 0, 0, 0, 27, 37, 6, 2, 2, 27, 71, 34, 0, 0, 43, 10, 2, 0, 0, 0, 26, 97, 29, 21, 21, 8, 10.0, 21.0, 22.0, 0, 4, 13, 12, 1, 0, 16, 0, 5, 4, 3, 1, 0.0, 7, 1, 0, 0, 0, 2, 8, 34.48, 72.41, 75.86, 72.390625, 15.3984375, 61.5, 0, 30.796875, 44.796875, 0.0, 38.5, 30.796875, 23.09765625, 7.7, 0.0, 92.296875, 53.796875, 7.69921875, 7.69921875, 0.0, 0.0, 46.0, 10.0, 1.0, 0.0, 46.0, "Tous les candidats", 71.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "12473", "Double licence - Lettres / Langues, littératures & civilisations étrangères et régionales - LETTRES EDITION MEDIAS AUDIOVISUEL - LLCER ITALIEN NON DEBUTANT", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12473&g_ta_cod=12473", 79.0, 10.0, 7.0),
(12876, "Public", "9741380G", "Lycée de St Paul 4", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Paul", "formation sélective", "BTS", "Lycée de St Paul 4 - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 18, 666, 566, 635, 0, 50, 34, 244, 144, 166, 106, 175, 31, 0, 13, 4, 14, 155, 5, 0, 0, 10, 7, 70, 39, 67, 41, 8, 69, 18, 17, 14, 4, 3.0, 10.0, 13.0, 0, 10, 16, 1, 10, 5, 2, 1, 1, 9, 4, 1, 0.0, 1, 8, 5, 1, 1, 16, 16, 16.67, 55.56, 72.22, 94.390625, 100.0, 100.0, 6.2998046875, 62.5, 88.890625, 6.2998046875, 6.2998046875, 56.296875, 25.0, 6.3, 0.0, 6.2998046875, 6.2998046875, 62.5, 50.0, 31.296875, 31.296875, 2.0, 2.0, 28.0, 18.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 34, "Bacheliers technologiques toutes séries", 71, "Liste d'appel propre à cette formation", 17.0, "14338", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14338&g_ta_cod=14338", 11.0, 61.0, 28.0),
(12877, "Public", "0800011C", "Lycée des Métiers Édouard Gand", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BTS", "Lycée des Métiers Édouard Gand - BTS - Services - Assurance", "BTS - Services", "", 18, 579, 333, 579, 0, 59, 22, 156, 47, 99, 51, 265, 0, 0, 0, 0, 0, 320, 0, 0, 0, 48, 18, 113, 29, 68, 36, 91, 89, 18, 15, 18, 0, 1.0, 12.0, 16.0, 0, 5, 12, 3, 5, 4, 6, 0, 5, 6, 1, 0, 0.0, 2, 3, 2, 2, 2, 11, 11, 5.56, 66.67, 88.89, 83.296875, 91.6875, 91.6875, 16.69921875, 41.6953125, 66.6875, 0.0, 41.6953125, 50.0, 8.298828125, 0.0, 0.0, 25.0, 16.69921875, 41.6953125, 25.0, 33.296875, 16.69921875, 12.0, 3.0, 22.0, 13.0, 17.0, "Tous les candidats sauf les Bac professionnels", 95.0, "Bacheliers professionnels toutes séries", 62, "", 0, "Liste d'appel propre à cette formation", 27.0, "10164", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10164&g_ta_cod=10164", 28.0, 39.0, 33.0),
(12878, "Public", "0370781Y", "Lycée agricole de TOURS FONDETTES", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Fondettes", "formation sélective", "BTS", "Lycée agricole de TOURS FONDETTES - BTS - Agricole - Gestion et maitrise de l'eau", "BTS - Agricole", "", 27, 292, 76, 274, 0, 36, 4, 57, 8, 27, 10, 154, 18, 4, 5, 1, 8, 121, 11, 0, 0, 36, 4, 54, 7, 9, 5, 22, 105, 20, 8, 15, 5, 1.0, 14.0, 19.0, 0, 1, 15, 7, 8, 0, 5, 0, 10, 5, 0, 0, 0.0, 1, 4, 0, 2, 1, 12, 12, 5.0, 70.0, 95.0, 40.0, 80.0, 80.0, 13.298828125, 6.69921875, 75.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 46.6953125, 6.69921875, 53.296875, 26.69921875, 0.0, 0.0, 33.0, 3.0, 9.0, 5.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 44.0, "4879", "BTS - Agricole - Gestion et maitrise de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4879&g_ta_cod=4879", 55.0, 45.0, 0.0),
(12879, "Public", "0420043U", "Lycée Jean Monnet", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation sélective", "Autre formation", "Lycée Jean Monnet - DN MADE - Objet - - Spécialité : Matériaux et process appliqués aux produits industriels", "DN MADE", "- Spécialité : Matériaux et process appliqués aux produits industriels", 15, 314, 193, 309, 0, 120, 15, 102, 21, 18, 5, 69, 5, 2, 0, 0, 3, 153, 0, 0, 0, 81, 7, 45, 5, 3, 0, 24, 74, 13, 6, 13, 0, 1.0, 9.0, 12.0, 0, 3, 11, 11, 0, 0, 2, 0, 1, 6, 4, 0, 0.0, 10, 0, 0, 0, 0, 5, 5, 7.69, 69.23, 92.31, 46.1953125, 45.5, 45.5, 0, 27.296875, 84.59375, 0.0, 9.099609375, 54.5, 36.3984375, 0.0, 0.0, 100.0, 90.890625, 0.0, 0.0, 0.0, 0.0, 40.0, 6.0, 2.0, 0.0, 12.0, "Tous les candidats", 109.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 35.0, "21723", "DN MADE - Objet - - Spécialité : Matériaux et process appliqués aux produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21723&g_ta_cod=21723", 100.0, 0.0, 0.0),
(12880, "Privé sous contrat d'association", "0492406Z", "LGT Sainte-Marie", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "BTS", "LGT Sainte-Marie - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 103, 40, 86, 0, 32, 3, 31, 3, 14, 3, 9, 17, 3, 6, 2, 6, 70, 7, 0, 0, 32, 3, 25, 1, 10, 2, 3, 56, 17, 5, 14, 3, 4.0, 14.0, 17.0, 0, 2, 16, 7, 9, 0, 1, 0, 6, 8, 2, 0, 0.0, 5, 5, 0, 10, 3, 15, 15, 23.53, 82.35, 100.0, 29.3984375, 93.796875, 93.796875, 62.5, 12.5, 94.09375, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 43.796875, 31.296875, 56.296875, 31.296875, 0.0, 0.0, 21.0, 3.0, 9.0, 2.0, 4.0, "Tous les candidats sauf les Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 81.0, "5907", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5907&g_ta_cod=5907", 47.0, 53.0, 0.0),
(12881, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "Université de Reims Champagne-Ardenne - Diplôme d'Université - Passeport pour Réussir et s?Orienter", "Diplôme d'Université", "Passeport pour Réussir et s?Orienter", 15, 30, 19, 30, 0, 8, 3, 7, 3, 3, 2, 12, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 1, 5, 3, 0, 0, 3, 75, 5, 3, 1, 0, 1.0, 1.0, 1.0, 0, 3, 5, 2, 3, 0, 0, 1, 4, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 20.0, 20.0, 20.0, 60.0, 60.0, 60.0, 0, 60.0, 100.0, 20.0, 80.0, 0.0, 0.0, 0.0, 0.0, 40.0, 0.0, 60.0, 0.0, 0.0, 0.0, 31.0, 6.0, 0.0, 0.0, 3.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "30613", "Diplôme d'Université - Passeport pour Réussir et s?Orienter", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30613&g_ta_cod=30613", 40.0, 60.0, 0.0),
(12882, "Public", "0450040Z", "Lycée En Foret", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Montargis", "formation sélective", "BTS", "Lycée En Foret - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 32, 424, 231, 424, 0, 27, 9, 159, 51, 138, 67, 100, 0, 0, 0, 0, 0, 243, 0, 0, 0, 17, 6, 146, 46, 47, 25, 33, 93, 28, 23, 27, 0, 4.0, 25.0, 26.0, 0, 12, 25, 3, 13, 9, 3, 0, 8, 11, 6, 0, 0.0, 1, 10, 6, 12, 10, 21, 21, 14.29, 89.29, 92.86, 82.09375, 84.0, 84.0, 48, 48.0, 89.296875, 0.0, 32.0, 44.0, 24.0, 0.0, 0.0, 12.0, 4.0, 52.0, 40.0, 36.0, 24.0, 5.0, 3.0, 35.0, 20.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 48, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 25.0, "5643", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5643&g_ta_cod=5643", 14.0, 46.0, 39.0),
(12883, "Public", "0180860M", "Université d'Orléans - Centre Univ. de Bourges (Bourges)", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation non sélective", "Licence_Las", "Université d'Orléans - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "Sciences et Techniques des Activités Physiques et Sportives - Site de Bourges", 30, 1301, 510, 1301, 0, 828, 112, 161, 33, 39, 17, 273, 0, 0, 0, 0, 0, 1300, 0, 0, 0, 828, 112, 161, 33, 39, 17, 272, 153, 30, 13, 30, 0, 2.0, 17.0, 22.0, 0, 6, 29, 26, 3, 0, 1, 0, 6, 10, 12, 0, 1.0, 21, 2, 0, 0, 0, 28, 28, 6.67, 56.67, 73.33, 43.296875, 96.59375, 96.59375, 0, 20.69921875, 96.6875, 0.0, 20.69921875, 34.5, 41.3984375, 0.0, 3.4, 89.6875, 72.390625, 10.298828125, 6.8994140625, 0.0, 0.0, 89.0, 12.0, 2.0, 2.0, 56.0, "", 0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 15.0, "31782", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5714&g_ta_cod=31782", 90.0, 10.0, 0.0),
(12884, "Privé sous contrat d'association", "0350797B", "Lycée Jeanne d'Arc", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "BTS", "Lycée Jeanne d'Arc - BTS - Services - Gestion de la PME", "BTS - Services", "", 54, 319, 194, 297, 0, 48, 3, 125, 18, 65, 16, 59, 22, 0, 6, 7, 9, 265, 8, 0, 0, 42, 3, 119, 16, 56, 14, 48, 179, 45, 26, 42, 3, 8.0, 26.0, 41.0, 0, 9, 40, 6, 23, 11, 5, 0, 11, 25, 4, 0, 0.0, 3, 17, 9, 5, 5, 37, 37, 17.78, 57.78, 91.11, 57.796875, 92.5, 92.5, 12.5, 22.5, 88.890625, 0.0, 27.5, 62.5, 10.0, 0.0, 0.0, 15.0, 7.5, 57.5, 42.5, 27.5, 22.5, 18.0, 2.0, 54.0, 13.0, 38.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 47.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 136, "Liste d'appel propre à cette formation", 81.0, "4697", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4697&g_ta_cod=4697", 20.0, 56.0, 24.0),
(12885, "Public", "0932121A", "Lycée Suger", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BTS", "Lycée Suger - BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "BTS - Services", "", 12, 1498, 489, 1498, 0, 500, 80, 184, 49, 232, 85, 582, 0, 0, 0, 0, 0, 982, 0, 0, 0, 388, 57, 90, 20, 232, 85, 272, 24, 12, 1, 12, 0, 8.0, 10.0, 11.0, 0, 3, 8, 4, 2, 2, 4, 0, 1, 1, 3, 3, 0.0, 4, 2, 1, 1, 0, 2, 4, 66.67, 83.33, 91.67, 8.298828125, 25.0, 50.0, 12.5, 37.5, 66.6875, 0.0, 12.5, 12.5, 37.5, 37.5, 0.0, 50.0, 50.0, 25.0, 25.0, 25.0, 12.5, 5.0, 2.0, 6.0, 1.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 8, "Bacheliers technologiques toutes séries", 15, "Liste d'appel propre à cette formation", 2.0, "11343", "BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11343&g_ta_cod=11343", 50.0, 25.0, 25.0),
(12886, "Public", "0130040Y", "Lycée Thiers", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  1er Arrondissement", "formation sélective", "CPGE", "Lycée Thiers - CPGE - BCPST", "Classe préparatoire scientifique", "", 144, 2497, 1738, 2497, 1482, 1805, 253, 10, 3, 4, 2, 678, 0, 0, 0, 0, 0, 1189, 0, 292, 1177, 988, 106, 0, 0, 0, 0, 201, 786, 129, 97, 129, 0, 26.0, 71.0, 117.0, 21, 10, 112, 112, 0, 0, 17, 0, 0, 5, 66, 39, 2.0, 112, 0, 0, 0, 0, 47, 47, 20.16, 55.04, 90.7, 75.1875, 42.0, 42.0, 0, 8.8984375, 86.796875, 0.0, 0.0, 4.5, 58.8984375, 34.8, 1.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 625.0, 82.0, 0.0, 0.0, 161.0, "Tous les candidats", 1009.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "2548", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2548&g_ta_cod=2548", 100.0, 0.0, 0.0),
(12887, "Public", "0020059D", "Lycée Gérard de Nerval", "02", "Aisne", "Hauts-de-France", "Amiens", "Soissons", "formation sélective", "Autre formation", "Lycée Gérard de Nerval - Diplôme de Comptabilité et de Gestion", "DCG", "", 35, 336, 137, 284, 0, 98, 32, 42, 11, 8, 3, 136, 52, 5, 5, 2, 40, 139, 3, 0, 0, 89, 29, 36, 9, 0, 0, 14, 124, 27, 9, 25, 2, 9.0, 23.0, 25.0, 0, 6, 23, 16, 7, 0, 4, 0, 8, 7, 4, 4, 0.0, 11, 4, 0, 0, 0, 21, 21, 33.33, 85.19, 92.59, 33.296875, 91.296875, 91.296875, 0, 26.09765625, 85.1875, 0.0, 34.796875, 30.3984375, 17.3984375, 17.4, 0.0, 69.59375, 47.796875, 30.3984375, 17.3984375, 0.0, 0.0, 78.0, 24.0, 0.0, 0.0, 16.0, "Tous les candidats", 139.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "2073", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2073&g_ta_cod=2073", 74.0, 26.0, 0.0),
(12888, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 3 Paul Sabatier - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 743, 6625, 4634, 6625, 0, 4110, 693, 286, 72, 19, 6, 2210, 0, 0, 0, 0, 0, 6625, 0, 0, 0, 4110, 693, 286, 72, 19, 6, 2210, 3004, 741, 503, 741, 0, 160.0, 502.0, 635.0, 0, 118, 558, 548, 10, 0, 183, 1, 128, 226, 169, 33, 1.0, 421, 8, 0, 0, 0, 477, 477, 21.59, 67.75, 85.7, 67.890625, 85.5, 85.5, 0, 21.09765625, 75.296875, 0.199981689453125, 22.8984375, 40.5, 30.296875, 5.9, 0.2, 98.1875, 75.390625, 1.7998046875, 1.39990234375, 0.0, 0.0, 1963.0, 356.0, 2.0, 2.0, 997.0, "Tous les candidats", 3661.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 50.0, "4191", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26913&g_ta_cod=4191", 97.0, 3.0, 0.0),
(12889, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "PASS", "Université des Antilles - Pôle Guadeloupe - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 50, 310, 194, 212, 0, 151, 43, 17, 7, 5, 3, 39, 98, 40, 7, 1, 50, 208, 91, 0, 0, 151, 43, 17, 7, 5, 3, 35, 276, 48, 22, 27, 21, 5.0, 26.0, 41.0, 0, 18, 38, 28, 8, 2, 10, 0, 17, 13, 5, 3, 0.0, 14, 5, 2, 0, 0, 29, 29, 10.42, 54.17, 85.42, 45.796875, 76.296875, 76.296875, 0, 47.3984375, 79.1875, 0.0, 44.6953125, 34.1953125, 13.19921875, 7.9, 0.0, 73.6875, 36.796875, 21.09765625, 13.19921875, 5.2998046875, 5.2998046875, 175.0, 44.0, 5.0, 4.0, 73.0, "Tous les candidats", 1380.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "27428", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27424&g_ta_cod=27428", 73.0, 17.0, 6.0),
(12890, "Public", "0382099A", "Lycée Roger Deschaux", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Sassenage", "formation sélective", "BTS", "Lycée Roger Deschaux - BTS - Production - Management économique de la construction", "BTS - Production", "", 15, 239, 50, 239, 0, 29, 1, 91, 21, 80, 27, 39, 0, 0, 0, 0, 0, 239, 0, 0, 0, 29, 1, 91, 21, 80, 27, 39, 96, 17, 1, 17, 0, 0.0, 12.0, 13.0, 0, 4, 13, 4, 3, 6, 4, 0, 9, 4, 0, 0, 0.0, 1, 2, 1, 2, 0, 9, 9, 0.0, 70.59, 76.47, 5.8994140625, 69.1875, 69.1875, 15.3984375, 30.796875, 76.5, 0.0, 69.1875, 30.796875, 0.0, 0.0, 0.0, 30.796875, 7.69921875, 23.09765625, 15.3984375, 46.1953125, 7.69921875, 23.0, 1.0, 33.0, 10.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 51, "Liste d'appel propre à cette formation", 58.0, "17697", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17697&g_ta_cod=17697", 35.0, 24.0, 41.0),
(12891, "Public", "0600015R", "Lycée Mireille Grenet", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "BTS", "Lycée Mireille Grenet - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 135, 14, 133, 0, 6, 0, 22, 8, 74, 17, 31, 2, 0, 1, 0, 1, 133, 1, 0, 0, 6, 0, 22, 8, 74, 17, 31, 64, 10, 2, 10, 0, 1.0, 6.0, 6.0, 0, 1, 8, 0, 0, 8, 2, 0, 1, 4, 3, 0, 0.0, 0, 0, 7, 0, 0, 7, 7, 10.0, 60.0, 60.0, 20.0, 87.5, 87.5, 0, 12.5, 80.0, 0.0, 12.5, 50.0, 37.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 87.5, 0.0, 0.0, 46.0, 12.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 14, "Liste d'appel propre à cette formation", 50.0, "7223", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7223&g_ta_cod=7223", 10.0, 0.0, 90.0),
(12892, "Public", "0341921D", "Lycée Georges Pompidou", "34", "Hérault", "Occitanie", "Montpellier", "Castelnau-le-Lez", "formation sélective", "BTS", "Lycée Georges Pompidou - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 492, 349, 483, 0, 19, 4, 198, 103, 162, 99, 104, 9, 3, 0, 0, 6, 261, 2, 0, 0, 14, 4, 115, 55, 104, 60, 28, 169, 30, 26, 28, 1, 1.0, 18.0, 26.0, 0, 15, 25, 1, 13, 11, 5, 0, 8, 11, 5, 1, 0.0, 1, 8, 8, 1, 1, 21, 21, 3.33, 60.0, 86.67, 86.6875, 84.0, 84.0, 4, 60.0, 83.296875, 0.0, 32.0, 44.0, 20.0, 4.0, 0.0, 4.0, 4.0, 52.0, 32.0, 44.0, 32.0, 9.0, 5.0, 64.0, 38.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 117, "Liste d'appel propre à cette formation", 46.0, "4609", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4609&g_ta_cod=4609", 10.0, 50.0, 40.0),
(12893, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Histoire - Histoire et géographie - Histoire et archéologie- Histoire et Science politique", "Licence - Sciences humaines et sociales", "Histoire et géographie - Histoire et archéologie- Histoire et Science politique", 230, 1077, 519, 940, 0, 723, 121, 52, 8, 20, 4, 145, 137, 60, 3, 6, 68, 939, 120, 0, 0, 723, 121, 52, 8, 20, 4, 144, 914, 146, 63, 115, 31, 45.0, 112.0, 138.0, 0, 23, 109, 96, 11, 2, 37, 0, 33, 44, 28, 4, 0.0, 71, 4, 1, 0, 0, 73, 73, 30.82, 76.71, 94.52, 43.1953125, 67.0, 67.0, 0, 21.09765625, 74.6875, 0.0, 30.296875, 40.3984375, 25.69921875, 3.7, 0.0, 88.09375, 65.09375, 10.099609375, 3.69970703125, 1.7998046875, 0.89990234375, 659.0, 112.0, 21.0, 9.0, 189.0, "Tous les candidats", 982.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "6497", "Licence - Portail Histoire - Histoire et géographie - Histoire et archéologie- Histoire et Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26687&g_ta_cod=6497", 82.0, 10.0, 5.0),
(12894, "Public", "9730429D", "Université de Guyane", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation non sélective", "Licence", "Université de Guyane / Lycée Melkior Garré de Cayenne - Licence - Lettres - Parcours préparatoire au professorat des écoles", "Licence - Arts-lettres-langues", "préparatoire au professorat des écoles", 30, 215, 188, 215, 0, 104, 69, 33, 19, 41, 24, 37, 0, 0, 0, 0, 0, 215, 0, 0, 0, 104, 69, 33, 19, 41, 24, 37, 83, 30, 28, 30, 0, 5.0, 26.0, 29.0, 0, 15, 24, 18, 3, 3, 6, 1, 6, 13, 4, 0, 0.0, 13, 1, 3, 0, 0, 23, 23, 16.67, 86.67, 96.67, 93.296875, 95.796875, 95.796875, 0, 62.5, 80.0, 4.19921875, 25.0, 54.1953125, 16.69921875, 0.0, 0.0, 75.0, 54.1953125, 12.5, 4.19921875, 12.5, 12.5, 50.0, 34.0, 9.0, 4.0, 13.0, "Tous les candidats", 138.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "32673", "Licence - Lettres - Parcours préparatoire au professorat des écoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32673&g_ta_cod=32673", 67.0, 20.0, 13.0),
(12895, "Public", "0161138A", "Université de Poitiers (Site d'Angoulême)", "16", "Charente", "Nouvelle-Aquitaine", "Poitiers", "La Couronne", "formation non sélective", "Licence", "Université de Poitiers (Site d'Angoulême) - Licence - Droit", "Licence - Droit-économie-gestion", "", 150, 840, 601, 730, 0, 530, 101, 93, 37, 15, 8, 92, 110, 34, 9, 3, 64, 729, 102, 0, 0, 530, 101, 93, 37, 15, 8, 91, 718, 143, 103, 114, 29, 26.0, 112.0, 118.0, 0, 31, 113, 91, 19, 3, 30, 1, 51, 34, 24, 2, 1.0, 54, 6, 1, 0, 0, 92, 92, 18.18, 78.32, 82.52, 72.0, 81.390625, 81.390625, 0, 27.3984375, 79.0, 0.89990234375, 45.09375, 30.09765625, 21.19921875, 1.8, 0.9, 80.5, 47.796875, 16.796875, 5.2998046875, 2.69970703125, 0.89990234375, 504.0, 101.0, 13.0, 7.0, 130.0, "Tous les candidats", 729.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24125", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24125&g_ta_cod=24125", 77.0, 20.0, 3.0),
(12896, "Public", "0590011S", "Lycée Gustave Eiffel", "59", "Nord", "Hauts-de-France", "Lille", "Armentières", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 15, 199, 35, 189, 0, 20, 5, 52, 10, 15, 7, 102, 10, 1, 0, 2, 7, 102, 2, 0, 0, 16, 3, 52, 10, 15, 7, 19, 65, 8, 1, 8, 0, 0.0, 8.0, 8.0, 0, 2, 8, 2, 5, 1, 0, 0, 5, 2, 1, 0, 0.0, 1, 2, 0, 4, 0, 7, 7, 0.0, 100.0, 100.0, 12.5, 87.5, 87.5, 50, 25.0, 100.0, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 25.0, 12.5, 62.5, 25.0, 12.5, 0.0, 13.0, 2.0, 15.0, 7.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 45.0, "6716", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6716&g_ta_cod=6716", 25.0, 63.0, 13.0),
(12897, "Public", "9730371R", "Lycée Lumina Sophie", "973", "Guyane", "Guyane", "Guyane", "Saint-Laurent-du-Maroni", "formation sélective", "BTS", "Lycée Lumina Sophie - BTS - Services - Communication", "BTS - Services", "", 18, 268, 153, 243, 0, 35, 20, 45, 28, 70, 51, 93, 25, 0, 0, 16, 9, 45, 0, 0, 0, 15, 11, 18, 13, 10, 8, 2, 33, 16, 10, 16, 0, 9.0, 16.0, 16.0, 0, 11, 15, 5, 6, 4, 1, 1, 4, 6, 3, 1, 0.0, 2, 6, 2, 10, 8, 15, 15, 56.25, 100.0, 100.0, 62.5, 100.0, 100.0, 66.6875, 73.296875, 93.796875, 6.69921875, 26.69921875, 40.0, 20.0, 6.7, 0.0, 33.296875, 13.298828125, 40.0, 40.0, 26.69921875, 13.298828125, 12.0, 9.0, 10.0, 8.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 10, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 14.0, "13527", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13527&g_ta_cod=13527", 38.0, 38.0, 25.0),
(12898, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "PASS", "Université de Nantes - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Humanités", 40, 1816, 1372, 1816, 0, 1277, 171, 47, 9, 10, 6, 482, 0, 0, 0, 0, 0, 1816, 0, 0, 0, 1277, 171, 47, 9, 10, 6, 482, 363, 40, 34, 40, 0, 0.0, 20.0, 38.0, 0, 3, 37, 33, 4, 0, 3, 0, 2, 15, 17, 3, 0.0, 33, 2, 0, 0, 0, 30, 30, 0.0, 50.0, 95.0, 85.0, 81.09375, 81.09375, 0, 8.099609375, 92.5, 0.0, 5.3994140625, 40.5, 45.8984375, 8.1, 0.0, 89.1875, 89.1875, 10.798828125, 5.3994140625, 0.0, 0.0, 339.0, 40.0, 2.0, 0.0, 11.0, "Tous les candidats", 2250.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 26.0, "32024", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27985&g_ta_cod=32024", 90.0, 10.0, 0.0),
(12899, "Public", "0880021V", "Lycée Pierre Mendes France", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "BTS", "Lycée Pierre Mendes France - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 229, 20, 187, 0, 33, 8, 58, 13, 42, 8, 54, 42, 0, 5, 18, 19, 128, 12, 0, 0, 32, 8, 55, 13, 31, 4, 10, 102, 20, 0, 15, 5, 4.0, 15.0, 18.0, 0, 6, 18, 4, 7, 7, 2, 0, 10, 7, 1, 0, 0.0, 2, 4, 2, 9, 0, 15, 15, 20.0, 75.0, 90.0, 0.0, 83.296875, 83.296875, 50, 33.296875, 90.0, 0.0, 55.59375, 38.8984375, 5.599609375, 0.0, 0.0, 22.19921875, 11.099609375, 38.8984375, 22.19921875, 38.8984375, 11.099609375, 28.0, 7.0, 27.0, 9.0, 12.0, "Tous les candidats sauf les Bac professionnels", 96.0, "Bacheliers professionnels toutes séries", 31, "", 0, "Liste d'appel propre à cette formation", 68.0, "10734", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10734&g_ta_cod=10734", 25.0, 35.0, 40.0),
(12900, "Public", "0763111U", "Université de Rouen Normandie - Campus Madrillet Saint-Etienne-du-Rouvray", "76", "Seine-Maritime", "Normandie", "Normandie", "Saint-Etienne-du-Rouvray", "formation non sélective", "Licence_Las", "Université de Rouen Normandie - Campus Madrillet Saint-Etienne-du-Rouvray - Licence - Portail Licence Mécanique / Licence Physique / Licence Physique-Chimie", "Licence - Sciences - technologies - santé", "Licence Mécanique / Licence Physique / Licence Physique-Chimie", 36, 423, 188, 348, 0, 210, 34, 12, 5, 2, 1, 124, 75, 30, 2, 2, 41, 342, 68, 0, 0, 210, 34, 12, 5, 2, 1, 118, 323, 31, 16, 11, 20, 0.0, 8.0, 21.0, 0, 9, 18, 12, 3, 3, 13, 1, 9, 6, 2, 0, 0.0, 4, 2, 2, 0, 0, 9, 9, 0.0, 25.81, 67.74, 51.59375, 50.0, 50.0, 0, 50.0, 58.09375, 5.599609375, 50.0, 33.296875, 11.099609375, 0.0, 0.0, 66.6875, 22.19921875, 16.69921875, 11.099609375, 16.69921875, 11.099609375, 176.0, 25.0, 3.0, 3.0, 139.0, "Tous les candidats", 884.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 98.0, "26792", "Licence - Portail Licence Mécanique / Licence Physique / Licence Physique-Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26791&g_ta_cod=26792", 74.0, 10.0, 16.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(12901, "Public", "0761904G", "Université de Rouen Normandie - Campus Mont-Saint-Aignan", "76", "Seine-Maritime", "Normandie", "Normandie", "Mont-Saint-Aignan", "formation sélective", "Autre formation", "Université de Rouen Normandie - Campus Mont-Saint-Aignan - Diplôme d'Université - PAREO - DU Parcours Pour la Réussite - PAREO", "Diplôme d'Université", "DU Parcours Pour la Réussite - PAREO", 36, 96, 56, 48, 0, 10, 4, 15, 7, 15, 5, 8, 48, 10, 6, 10, 22, 34, 16, 0, 0, 0, 0, 15, 7, 15, 5, 4, 71, 21, 15, 6, 8, 6.0, 6.0, 7.0, 0, 7, 15, 0, 1, 14, 6, 0, 8, 5, 1, 1, 0.0, 0, 0, 7, 0, 0, 13, 13, 28.57, 28.57, 33.33, 71.390625, 86.6875, 86.6875, 0, 46.6953125, 71.390625, 0.0, 53.296875, 33.296875, 6.69921875, 6.7, 0.0, 0.0, 0.0, 6.69921875, 0.0, 93.296875, 46.6953125, 0.0, 0.0, 38.0, 17.0, 11.0, "Tous les candidats", 34.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "32265", "Diplôme d'Université - PAREO - DU Parcours Pour la Réussite - PAREO", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32265&g_ta_cod=32265", 5.0, 14.0, 81.0),
(12902, "Public", "0880019T", "Lycée Louis Lapicque", "88", "Vosges", "Grand Est", "Nancy-Metz", "Epinal", "formation sélective", "BTS", "Lycée Louis Lapicque - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 264, 130, 211, 0, 25, 9, 58, 18, 37, 23, 91, 53, 4, 13, 10, 26, 113, 19, 0, 0, 21, 7, 41, 11, 31, 18, 20, 101, 28, 11, 15, 13, 7.0, 15.0, 22.0, 0, 8, 16, 2, 7, 7, 12, 0, 6, 8, 2, 0, 0.0, 1, 5, 4, 5, 1, 16, 16, 25.0, 53.57, 78.57, 39.296875, 100.0, 100.0, 31.296875, 50.0, 57.09375, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 12.5, 6.2998046875, 43.796875, 31.296875, 43.796875, 25.0, 16.0, 6.0, 22.0, 10.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 35.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 53.0, "10730", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10730&g_ta_cod=10730", 32.0, 36.0, 32.0),
(12903, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation non sélective", "Licence", "Université du Mans - Licence - Informatique", "Licence - Sciences - technologies - santé", "", 80, 681, 65, 681, 0, 434, 78, 72, 23, 10, 2, 165, 0, 0, 0, 0, 0, 665, 0, 0, 0, 434, 78, 72, 23, 10, 2, 149, 342, 80, 8, 80, 0, 49.0, 66.0, 73.0, 0, 16, 63, 52, 9, 2, 17, 0, 32, 20, 11, 0, 0.0, 27, 2, 2, 0, 0, 60, 60, 61.25, 82.5, 91.25, 10.0, 95.1875, 95.1875, 0, 25.3984375, 78.796875, 0.0, 50.796875, 31.69921875, 17.5, 0.0, 0.0, 82.5, 42.8984375, 14.298828125, 3.19970703125, 3.19970703125, 3.19970703125, 233.0, 41.0, 5.0, 1.0, 64.0, "Tous les candidats", 383.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "8751", "Licence - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8751&g_ta_cod=8751", 78.0, 18.0, 5.0),
(12904, "Public", "0270017X", "Lycée Modeste Leroy", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BTS", "Lycée Modeste Leroy - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 132, 7, 132, 0, 7, 1, 41, 16, 46, 21, 38, 0, 0, 0, 0, 0, 94, 0, 0, 0, 6, 1, 31, 11, 41, 17, 16, 46, 16, 1, 16, 0, 1.0, 15.0, 15.0, 0, 4, 14, 1, 5, 8, 2, 3, 5, 3, 3, 0, 0.0, 0, 0, 6, 3, 0, 14, 14, 6.25, 93.75, 93.75, 6.2998046875, 100.0, 100.0, 21.3984375, 28.59765625, 87.5, 21.3984375, 35.6953125, 21.3984375, 21.3984375, 0.0, 0.0, 7.099609375, 0.0, 35.6953125, 0.0, 57.09375, 42.8984375, 2.0, 1.0, 23.0, 8.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 48.0, "3690", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3690&g_ta_cod=3690", 6.0, 44.0, 50.0),
(12905, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "Licence", "Université de Brest - Licence - Portail SVT-PC - Sciences de la vie, Sciences de la terre, Physique, chimie", "Licence - Sciences - technologies - santé", "SVT-PC - Sciences de la vie, Sciences de la terre, Physique, chimie", 390, 2386, 1513, 2333, 0, 1498, 180, 89, 13, 4, 3, 742, 53, 14, 0, 0, 39, 2331, 50, 0, 0, 1498, 180, 89, 13, 4, 3, 740, 2224, 352, 203, 322, 30, 171.0, 319.0, 321.0, 0, 32, 223, 212, 10, 1, 129, 1, 58, 93, 56, 15, 0.0, 158, 5, 1, 0, 0, 154, 154, 48.58, 90.63, 91.19, 57.6953125, 69.09375, 69.09375, 0, 14.298828125, 63.3984375, 0.39996337890625, 26.0, 41.6953125, 25.09765625, 6.7, 0.0, 95.09375, 70.890625, 4.5, 2.19970703125, 0.39996337890625, 0.39996337890625, 1421.0, 175.0, 4.0, 3.0, 721.0, "Tous les candidats", 2699.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23594", "Licence - Portail SVT-PC - Sciences de la vie, Sciences de la terre, Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27715&g_ta_cod=23594", 92.0, 7.0, 1.0),
(12906, "Public", "0750672Y", "Esaa Duperré", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "Autre formation", "Esaa Duperré - DN MADE - Mode - - Spécialité : Collection vêtements & accessoires", "DN MADE", "- Spécialité : Collection vêtements & accessoires", 24, 2066, 1612, 2066, 0, 848, 134, 371, 76, 186, 60, 661, 0, 0, 0, 0, 0, 60, 0, 0, 0, 22, 2, 26, 3, 2, 1, 10, 31, 23, 8, 23, 0, 17.0, 22.0, 23.0, 0, 4, 19, 8, 10, 1, 4, 0, 0, 1, 8, 10, 0.0, 8, 10, 1, 0, 0, 3, 5, 73.91, 95.65, 100.0, 34.796875, 15.798828125, 26.296875, 0, 21.09765625, 82.59375, 0.0, 0.0, 5.2998046875, 42.09375, 52.6, 0.0, 42.09375, 42.09375, 52.59375, 52.59375, 5.2998046875, 5.2998046875, 11.0, 2.0, 1.0, 1.0, 6.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 2.0, "21964", "DN MADE - Mode - - Spécialité : Collection vêtements & accessoires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21964&g_ta_cod=21964", 48.0, 48.0, 4.0),
(12907, "Public", "0920145H", "Lycée Lakanal", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "CPGE", "Lycée Lakanal - CPGE - PCSI", "Classe préparatoire scientifique", "", 95, 2724, 981, 2724, 1960, 2448, 131, 2, 1, 0, 0, 274, 0, 0, 0, 0, 0, 1227, 0, 924, 1189, 1211, 83, 0, 0, 0, 0, 16, 503, 94, 37, 94, 0, 29.0, 62.0, 86.0, 12, 1, 94, 94, 0, 0, 0, 0, 0, 1, 10, 72, 11.0, 94, 0, 0, 20, 7, 75, 78, 30.85, 65.96, 91.49, 39.3984375, 79.796875, 83.0, 21.296875, 1.099853515625, 100.0, 0.0, 0.0, 1.099853515625, 10.599609375, 76.6, 11.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 499.0, 24.0, 0.0, 0.0, 4.0, "Tous les candidats", 681.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "11013", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11013&g_ta_cod=11013", 100.0, 0.0, 0.0),
(12908, "Public", "0630077S", "Lycée Ambroise Brugiere", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée Ambroise Brugiere - BTS - Services - Assurance", "BTS - Services", "", 35, 850, 497, 850, 0, 126, 30, 208, 84, 109, 54, 407, 0, 0, 0, 0, 0, 487, 0, 0, 0, 114, 25, 168, 58, 86, 40, 119, 168, 30, 18, 30, 0, 5.0, 25.0, 28.0, 0, 8, 24, 8, 11, 5, 6, 0, 9, 13, 2, 0, 0.0, 4, 6, 5, 7, 2, 18, 18, 16.67, 83.33, 93.33, 60.0, 75.0, 75.0, 29.19921875, 33.296875, 80.0, 0.0, 37.5, 54.1953125, 8.298828125, 0.0, 0.0, 33.296875, 16.69921875, 45.796875, 25.0, 20.796875, 20.796875, 37.0, 9.0, 34.0, 17.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 101, "Liste d'appel propre à cette formation", 25.0, "7587", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7587&g_ta_cod=7587", 30.0, 50.0, 20.0),
(12909, "Public", "0790036K", "Lycée Jean Moulin", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Thouars", "formation sélective", "BTS", "Lycée Jean Moulin - BTS - Services - Support à l'action managériale", "BTS - Services", "", 18, 354, 197, 352, 0, 5, 3, 51, 13, 39, 18, 257, 2, 0, 0, 1, 1, 95, 0, 0, 0, 2, 1, 40, 9, 36, 17, 17, 51, 17, 11, 17, 0, 7.0, 15.0, 16.0, 0, 3, 11, 0, 7, 4, 6, 0, 4, 6, 1, 0, 0.0, 0, 5, 2, 3, 2, 10, 10, 41.18, 88.24, 94.12, 64.6875, 90.890625, 90.890625, 27.296875, 27.296875, 64.6875, 0.0, 36.3984375, 54.5, 9.099609375, 0.0, 0.0, 0.0, 0.0, 63.59375, 45.5, 36.3984375, 18.19921875, 2.0, 1.0, 22.0, 9.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 20.0, "10115", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10115&g_ta_cod=10115", 24.0, 41.0, 35.0),
(12910, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation non sélective", "Licence", "Université Jean Moulin Lyon 3 - Licence - Portail Droit.", "Licence - Droit-économie-gestion", "Droit.", 1270, 9658, 7161, 9658, 0, 7041, 1304, 781, 262, 127, 62, 1709, 0, 0, 0, 0, 0, 9581, 0, 0, 0, 7041, 1304, 781, 262, 127, 62, 1632, 4038, 1255, 888, 1254, 0, 209.0, 1070.0, 1157.0, 0, 251, 1052, 925, 103, 24, 203, 4, 241, 475, 245, 84, 3.0, 734, 55, 18, 0, 0, 851, 851, 16.65, 85.26, 92.19, 70.796875, 80.890625, 80.890625, 0, 23.8984375, 83.796875, 0.39996337890625, 22.8984375, 45.1953125, 23.296875, 8.0, 0.3, 87.890625, 69.796875, 9.798828125, 5.19921875, 2.2998046875, 1.699951171875, 2898.0, 544.0, 50.0, 31.0, 789.0, "Tous les candidats", 4734.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 47.0, "8530", "Licence - Portail Droit.", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28563&g_ta_cod=8530", 88.0, 9.0, 2.0),
(12911, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Langues étrangères appliquées - Parcours Anglais néerlandais appliqués aux affaires", "Licence - Arts-lettres-langues", "Anglais néerlandais appliqués aux affaires", 60, 275, 170, 218, 0, 106, 39, 22, 9, 18, 13, 72, 57, 6, 5, 7, 39, 218, 47, 0, 0, 106, 39, 22, 9, 18, 13, 72, 248, 48, 24, 30, 18, 22.0, 30.0, 41.0, 0, 10, 22, 16, 3, 3, 26, 0, 9, 5, 6, 2, 0.0, 11, 1, 1, 0, 0, 15, 15, 45.83, 62.5, 85.42, 50.0, 68.1875, 68.1875, 0, 45.5, 45.796875, 0.0, 40.8984375, 22.69921875, 27.296875, 9.1, 0.0, 72.6875, 50.0, 13.599609375, 4.5, 13.599609375, 4.5, 102.0, 34.0, 21.0, 15.0, 99.0, "Tous les candidats", 218.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "15723", "Licence - Langues étrangères appliquées - Parcours Anglais néerlandais appliqués aux affaires", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15723&g_ta_cod=15723", 58.0, 15.0, 25.0),
(12912, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "Licence", "Université de Lorraine - Site de Nancy - Licence - Langues étrangères appliquées - Parcours Anglais - Russe", "Licence - Arts-lettres-langues", "Anglais - Russe", 60, 160, 117, 128, 0, 73, 28, 16, 10, 4, 3, 35, 32, 6, 4, 1, 21, 127, 29, 0, 0, 73, 28, 16, 10, 4, 3, 34, 146, 28, 17, 20, 8, 9.0, 20.0, 25.0, 0, 9, 16, 11, 3, 2, 12, 0, 4, 7, 3, 2, 0.0, 8, 2, 2, 0, 0, 12, 12, 32.14, 71.43, 89.29, 60.6953125, 75.0, 75.0, 0, 56.296875, 57.09375, 0.0, 25.0, 43.796875, 18.796875, 12.5, 0.0, 68.796875, 50.0, 18.796875, 12.5, 12.5, 12.5, 73.0, 29.0, 5.0, 3.0, 49.0, "Tous les candidats", 127.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "6348", "Licence - Langues étrangères appliquées - Parcours Anglais - Russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6348&g_ta_cod=6348", 64.0, 21.0, 14.0),
(12913, "Public", "0762762P", "Université Le Havre Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation non sélective", "Licence", "Université Le Havre Normandie - Licence - Portail Portail : Chimie, Sciences de la Vie (CSV)", "Licence - Sciences - technologies - santé", "Portail : Chimie, Sciences de la Vie (CSV)", 190, 1225, 809, 1121, 0, 738, 121, 54, 19, 3, 1, 326, 104, 36, 8, 2, 58, 1121, 97, 0, 0, 738, 121, 54, 19, 3, 1, 326, 931, 158, 99, 124, 34, 8.0, 95.0, 137.0, 0, 20, 102, 90, 10, 2, 56, 6, 49, 33, 11, 3, 0.0, 42, 4, 1, 0, 0, 85, 85, 5.06, 60.13, 86.71, 62.6953125, 83.296875, 83.296875, 0, 19.59765625, 64.59375, 5.8994140625, 48.0, 32.3984375, 10.798828125, 2.9, 0.0, 88.1875, 41.1953125, 9.798828125, 3.89990234375, 2.0, 1.0, 587.0, 94.0, 3.0, 2.0, 306.0, "Tous les candidats", 1392.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "23659", "Licence - Portail Portail : Chimie, Sciences de la Vie (CSV)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27024&g_ta_cod=23659", 82.0, 14.0, 3.0),
(12914, "Public", "0596244S", "I.U.T. de Valenciennes - Site de Cambrai", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation sélective", "BUT", "I.U.T. de Valenciennes - Site de Cambrai - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entreprenariat - Business international: achat et vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entreprenariat - Business international: achat et vente - Business développement et management de la relation client - Stratégie de marque et événementiel", 124, 1156, 523, 1143, 0, 538, 99, 374, 124, 28, 9, 203, 13, 0, 10, 0, 3, 880, 4, 0, 0, 467, 88, 278, 88, 11, 3, 124, 616, 113, 57, 112, 1, 77.0, 95.0, 110.0, 0, 29, 94, 43, 49, 2, 19, 0, 34, 47, 11, 2, 0.0, 28, 30, 2, 0, 0, 78, 78, 68.14, 84.07, 97.35, 50.3984375, 83.0, 83.0, 0, 30.8984375, 83.1875, 0.0, 36.1953125, 50.0, 11.69921875, 2.1, 0.0, 45.6953125, 29.796875, 52.09375, 31.8984375, 2.099609375, 2.099609375, 298.0, 70.0, 7.0, 3.0, 65.0, "Tous les candidats sauf les Bac technologiques", 424.0, "Bacheliers technologiques toutes séries", 301, "", 0, "Liste d'appel propre à cette formation", 62.0, "7199", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entreprenariat - Business international: achat et vente - Business développement et management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7199&g_ta_cod=7199", 50.0, 46.0, 4.0),
(12915, "Public", "6200002H", "Lycée Laetitia Bonaparte", "2A", "Corse du Sud", "Corse", "Corse", "Ajaccio", "formation sélective", "BTS", "Lycée Laetitia Bonaparte - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 88, 16, 82, 0, 17, 3, 15, 1, 25, 9, 25, 6, 1, 2, 1, 2, 43, 2, 0, 0, 10, 3, 11, 0, 14, 6, 8, 44, 9, 0, 8, 1, 3.0, 6.0, 8.0, 0, 2, 8, 0, 3, 5, 1, 0, 3, 3, 1, 1, 0.0, 0, 1, 4, 3, 0, 8, 8, 33.33, 66.67, 88.89, 0.0, 100.0, 100.0, 37.5, 25.0, 88.890625, 0.0, 37.5, 37.5, 12.5, 12.5, 0.0, 0.0, 0.0, 37.5, 12.5, 62.5, 50.0, 10.0, 4.0, 16.0, 7.0, 7.0, "Tous les candidats sauf les Bac professionnels", 28.0, "Bacheliers professionnels toutes séries", 14, "", 0, "Liste d'appel propre à cette formation", 51.0, "11679", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11679&g_ta_cod=11679", 11.0, 33.0, 56.0),
(12916, "Public", "0540042C", "Lycée Henri Loritz", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "BTS", "Lycée Henri Loritz - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 15, 212, 26, 193, 0, 19, 8, 40, 11, 33, 10, 101, 19, 0, 0, 15, 4, 85, 4, 0, 0, 18, 7, 23, 4, 26, 6, 18, 70, 13, 1, 11, 2, 1.0, 9.0, 12.0, 0, 2, 9, 3, 1, 5, 4, 0, 4, 2, 3, 0, 0.0, 0, 1, 4, 2, 1, 7, 7, 7.69, 69.23, 92.31, 7.69921875, 77.796875, 77.796875, 22.19921875, 22.19921875, 69.1875, 0.0, 44.3984375, 22.19921875, 33.296875, 0.0, 0.0, 33.296875, 0.0, 11.099609375, 11.099609375, 55.59375, 44.3984375, 15.0, 4.0, 24.0, 8.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 42.0, "6273", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6273&g_ta_cod=6273", 31.0, 15.0, 54.0),
(12917, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation sélective", "Licence", "Avignon Université - Licence - Information et communication", "Licence - Sciences humaines et sociales", "", 110, 1597, 1114, 1597, 0, 1011, 214, 140, 52, 31, 15, 415, 0, 0, 0, 0, 0, 1130, 0, 0, 0, 911, 190, 44, 10, 11, 5, 164, 648, 107, 73, 107, 0, 35.0, 92.0, 94.0, 0, 17, 95, 92, 2, 1, 12, 0, 7, 49, 36, 3, 0.0, 85, 2, 1, 0, 0, 52, 52, 32.71, 85.98, 87.85, 68.1875, 54.6953125, 54.6953125, 0, 17.8984375, 88.796875, 0.0, 7.3994140625, 51.59375, 37.8984375, 3.2, 0.0, 96.796875, 89.5, 2.099609375, 2.099609375, 1.099853515625, 1.099853515625, 571.0, 116.0, 1.0, 0.0, 70.0, "Tous les candidats", 819.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 51.0, "10454", "Licence - Information et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10454&g_ta_cod=10454", 97.0, 2.0, 1.0),
(12918, "Public", "0572757M", "Lycée Georges De La Tour", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation sélective", "BTS", "Lycée Georges De La Tour - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 15, 740, 523, 740, 0, 195, 45, 260, 79, 32, 9, 253, 0, 0, 0, 0, 0, 443, 0, 0, 0, 158, 32, 158, 42, 15, 4, 112, 103, 16, 11, 16, 0, 1.0, 10.0, 14.0, 0, 5, 11, 2, 8, 1, 5, 0, 2, 7, 2, 0, 0.0, 2, 7, 0, 3, 1, 9, 9, 6.25, 62.5, 87.5, 68.796875, 81.796875, 81.796875, 27.296875, 45.5, 68.796875, 0.0, 18.19921875, 63.59375, 18.19921875, 0.0, 0.0, 18.19921875, 18.19921875, 72.6875, 63.59375, 9.099609375, 0.0, 37.0, 8.0, 3.0, 1.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 87.0, "Bacheliers professionnels toutes séries", 5, "Bacheliers technologiques toutes séries", 124, "Liste d'appel propre à cette formation", 29.0, "6646", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6646&g_ta_cod=6646", 31.0, 63.0, 6.0),
(12919, "Public", "0370770L", "Institut Universitaire de Technologie de TOURS", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "BUT", "Institut Universitaire de Technologie de TOURS - BUT - Carrières sociales Parcours animation sociale et socioculturelle", "BUT - Service", "", 52, 1011, 794, 999, 0, 393, 53, 308, 60, 57, 14, 241, 12, 3, 0, 1, 8, 305, 3, 0, 0, 64, 9, 136, 23, 8, 1, 97, 194, 53, 44, 50, 3, 16.0, 45.0, 50.0, 0, 6, 31, 9, 20, 2, 22, 0, 6, 12, 11, 2, 0.0, 7, 16, 2, 0, 0, 13, 13, 30.19, 84.91, 94.34, 83.0, 41.8984375, 41.8984375, 0, 19.3984375, 58.5, 0.0, 19.3984375, 38.6953125, 35.5, 6.5, 0.0, 29.0, 22.59765625, 64.5, 51.59375, 6.5, 6.5, 47.0, 7.0, 7.0, 1.0, 70.0, "Tous les candidats sauf les Bac technologiques", 131.0, "Bacheliers technologiques toutes séries", 112, "", 0, "Liste d'appel propre à cette formation", 24.0, "4871", "BUT - Carrières sociales Parcours animation sociale et socioculturelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4871&g_ta_cod=4871", 43.0, 53.0, 4.0),
(12920, "Privé sous contrat d'association", "0132246A", "ESAIP Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 35, 1768, 424, 1759, 0, 1750, 158, 0, 0, 0, 0, 9, 9, 8, 0, 0, 1, 1494, 9, 0, 0, 1494, 115, 0, 0, 0, 0, 0, 1251, 13, 3, 11, 2, 8.0, 11.0, 13.0, 0, 2, 13, 13, 0, 0, 0, 0, 3, 4, 6, 0, 0.0, 10, 0, 0, 0, 0, 10, 10, 61.54, 84.62, 100.0, 23.09765625, 76.890625, 76.890625, 0, 15.3984375, 100.0, 0.0, 23.09765625, 30.796875, 46.1953125, 0.0, 0.0, 100.0, 76.890625, 0.0, 0.0, 0.0, 0.0, 1250.0, 110.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "487", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=487", 100.0, 0.0, 0.0),
(12921, "Public", "0921166T", "Lycée JEAN JAURES", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Châtenay-Malabry", "formation sélective", "BTS", "Lycée JEAN JAURES - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 30, 772, 707, 772, 0, 14, 6, 165, 72, 327, 173, 266, 0, 0, 0, 0, 0, 450, 0, 0, 0, 8, 3, 130, 52, 184, 89, 128, 144, 28, 25, 28, 0, 5.0, 16.0, 22.0, 0, 12, 20, 0, 7, 13, 8, 0, 10, 7, 3, 0, 0.0, 0, 3, 7, 5, 4, 13, 19, 17.86, 57.14, 78.57, 89.296875, 65.0, 95.0, 25, 60.0, 71.390625, 0.0, 50.0, 35.0, 15.0, 0.0, 0.0, 0.0, 0.0, 35.0, 15.0, 65.0, 35.0, 4.0, 3.0, 71.0, 37.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 106, "Bacheliers technologiques toutes séries", 89, "Liste d'appel propre à cette formation", 26.0, "11069", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11069&g_ta_cod=11069", 11.0, 39.0, 50.0),
(12922, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Université de Strasbourg - Formation Supérieure de Spécialisation - Diplôme d'université Disrupt 4.0", "Diplôme d'Université", "Diplôme d'université Disrupt 4.0", 40, 36, 16, 17, 0, 6, 1, 2, 0, 1, 0, 8, 19, 3, 2, 4, 10, 17, 12, 0, 0, 6, 1, 2, 0, 1, 0, 8, 29, 10, 3, 4, 6, 3.0, 3.0, 7.0, 0, 0, 1, 0, 0, 1, 9, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 30.0, 30.0, 70.0, 30.0, 100.0, 100.0, 0, 0.0, 10.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 8.0, 1.0, 4.0, 1.0, 15.0, "Tous les candidats", 17.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "33607", "Formation Supérieure de Spécialisation - Diplôme d'université Disrupt 4.0", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33607&g_ta_cod=33607", 90.0, 0.0, 10.0),
(12923, "Public", "0860703X", "I.U.T. Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BUT", "I.U.T. Poitiers - BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Management de process industriel - Simulation numérique et réalité virtuelle", "BUT - Production", "Innovation pour l?industrie - Management de process industriel - Simulation numérique et réalité virtuelle", 75, 1171, 93, 1147, 0, 667, 54, 288, 33, 10, 3, 182, 24, 3, 9, 0, 12, 907, 8, 0, 0, 548, 38, 224, 24, 5, 2, 130, 424, 74, 3, 70, 4, 4.0, 48.0, 63.0, 0, 8, 65, 44, 20, 1, 9, 0, 17, 32, 13, 3, 0.0, 28, 19, 1, 0, 0, 44, 44, 5.41, 64.86, 85.14, 4.099609375, 67.6875, 67.6875, 0, 12.298828125, 87.796875, 0.0, 26.19921875, 49.1953125, 20.0, 4.6, 0.0, 67.6875, 43.09375, 30.796875, 29.19921875, 1.5, 1.5, 228.0, 20.0, 1.0, 1.0, 42.0, "Tous les candidats sauf les Bac technologiques", 508.0, "Bacheliers technologiques toutes séries", 241, "", 0, "Liste d'appel propre à cette formation", 65.0, "10601", "BUT - Génie mécanique et productique Parcours : Innovation pour l?industrie - Management de process industriel - Simulation numérique et réalité virtuelle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10601&g_ta_cod=10601", 68.0, 31.0, 1.0),
(12924, "Public", "0130048G", "Lycée Saint Exupery", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 15e  Arrondissement", "formation sélective", "BTS", "Lycée Saint Exupery - BTS - Services - Communication", "BTS - Services", "", 30, 1623, 1065, 1580, 0, 296, 122, 376, 164, 125, 82, 783, 43, 5, 12, 0, 26, 286, 6, 0, 0, 101, 38, 86, 33, 36, 20, 63, 153, 30, 19, 24, 4, 3.0, 15.0, 18.0, 0, 10, 14, 7, 6, 1, 16, 0, 5, 8, 1, 0, 0.0, 5, 3, 1, 2, 0, 14, 14, 10.0, 50.0, 60.0, 63.296875, 100.0, 100.0, 14.298828125, 71.390625, 46.6953125, 0.0, 35.6953125, 57.09375, 7.099609375, 0.0, 0.0, 50.0, 35.6953125, 42.8984375, 21.3984375, 7.099609375, 7.099609375, 66.0, 22.0, 4.0, 2.0, 43.0, "Tous les candidats sauf les Bac professionnels", 208.0, "Bacheliers professionnels toutes séries", 2, "", 0, "Liste d'appel propre à cette formation", 13.0, "2561", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2561&g_ta_cod=2561", 57.0, 37.0, 7.0),
(12925, "Public", "7200664J", "Université de Corte", "2B", "Haute-Corse", "Corse", "Corse", "Corte", "formation non sélective", "Licence", "Université de Corte - Licence - Portail Sciences de la vie - Biochimie, Biologie moléculaire ou Biologie des Organismes, Ecologie ou Chimie de l'environnement", "Licence - Sciences - technologies - santé", "Biochimie, Biologie moléculaire ou Biologie des Organismes, Ecologie ou Chimie de l'environnement", 80, 666, 458, 638, 0, 377, 74, 56, 13, 10, 4, 195, 28, 5, 0, 1, 22, 637, 27, 0, 0, 377, 74, 56, 13, 10, 4, 194, 449, 72, 47, 63, 9, 5.0, 51.0, 58.0, 0, 10, 47, 32, 12, 3, 25, 0, 20, 19, 7, 1, 0.0, 15, 10, 2, 0, 0, 35, 35, 6.94, 70.83, 80.56, 65.296875, 74.5, 74.5, 0, 21.296875, 65.296875, 0.0, 42.59375, 40.3984375, 14.8984375, 2.1, 0.0, 68.09375, 31.8984375, 25.5, 21.296875, 6.3994140625, 4.2998046875, 252.0, 53.0, 6.0, 1.0, 161.0, "Tous les candidats", 682.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 85.0, "11724", "Licence - Portail Sciences de la vie - Biochimie, Biologie moléculaire ou Biologie des Organismes, Ecologie ou Chimie de l'environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26852&g_ta_cod=11724", 75.0, 21.0, 4.0),
(12926, "Public", "9710585J", "Université des Antilles - Pôle Guadeloupe", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Pointe-à-Pitre", "formation non sélective", "Licence_Las", "Université des Antilles - Pôle Guadeloupe - Licence - Portail Sciences pour la santé -  Biochimie - Sciences de l'aliment (BSA) / Sciences de la santé (BSS)  - Guadeloupe", "Licence - Sciences - technologies - santé", "Biochimie - Sciences de l'aliment (BSA) / Sciences de la santé (BSS)  - Guadeloupe", 20, 469, 368, 469, 0, 274, 102, 77, 40, 3, 3, 115, 0, 0, 0, 0, 0, 469, 0, 0, 0, 274, 102, 77, 40, 3, 3, 115, 102, 17, 16, 17, 0, 0.0, 17.0, 17.0, 0, 2, 15, 14, 1, 0, 2, 0, 0, 5, 10, 0, 0.0, 14, 1, 0, 0, 0, 15, 15, 0.0, 100.0, 100.0, 94.09375, 100.0, 100.0, 0, 13.298828125, 88.1875, 0.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 93.296875, 93.296875, 6.69921875, 6.69921875, 0.0, 0.0, 79.0, 22.0, 0.0, 0.0, 17.0, "Tous les candidats", 205.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 38.0, "27414", "Licence - Portail Sciences pour la santé -  Biochimie - Sciences de l'aliment (BSA) / Sciences de la santé (BSS)  - Guadeloupe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27413&g_ta_cod=27414", 94.0, 6.0, 0.0),
(12927, "Privé sous contrat d'association", "0211579C", "Maison Familiale et Rurale de Semur en Auxois", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Semur-en-Auxois", "formation sélective", "BTS", "Maison Familiale et Rurale de Semur en Auxois - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 17, 71, 53, 67, 0, 5, 2, 15, 4, 38, 9, 9, 4, 0, 0, 1, 3, 33, 1, 0, 0, 3, 1, 4, 0, 25, 5, 1, 30, 9, 7, 9, 0, 7.0, 9.0, 9.0, 0, 2, 9, 1, 2, 6, 0, 0, 2, 3, 4, 0, 0.0, 1, 0, 6, 2, 1, 7, 7, 77.78, 100.0, 100.0, 77.796875, 77.796875, 77.796875, 22.19921875, 22.19921875, 100.0, 0.0, 22.19921875, 33.296875, 44.3984375, 0.0, 0.0, 11.099609375, 11.099609375, 22.19921875, 0.0, 66.6875, 66.6875, 3.0, 1.0, 21.0, 5.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 4, "Liste d'appel propre à cette formation", 46.0, "20046", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20046&g_ta_cod=20046", 11.0, 22.0, 67.0),
(12928, "Public", "0441993C", "Lycée général et technologique Carcouët", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Lycée général et technologique Carcouët - BTS - Services - Tourisme", "BTS - Services", "", 66, 1359, 991, 1324, 0, 363, 85, 287, 77, 249, 110, 425, 35, 2, 8, 0, 25, 797, 17, 0, 0, 290, 63, 218, 50, 144, 59, 145, 387, 60, 46, 55, 5, 5.0, 38.0, 49.0, 0, 10, 42, 15, 16, 11, 18, 0, 20, 17, 5, 0, 0.0, 8, 8, 6, 1, 1, 25, 25, 8.33, 63.33, 81.67, 76.6875, 59.5, 59.5, 2.39990234375, 23.796875, 70.0, 0.0, 47.59375, 40.5, 11.8984375, 0.0, 0.0, 35.6953125, 19.0, 38.09375, 19.0, 26.19921875, 14.298828125, 123.0, 25.0, 41.0, 16.0, 81.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 361.0, "Bacheliers professionnels toutes séries", 90, "Bacheliers technologiques toutes séries", 252, "Liste d'appel propre à cette formation", 53.0, "5606", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5606&g_ta_cod=5606", 42.0, 38.0, 20.0),
(12929, "Public", "0130053M", "Lycée Jean Perrin", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 10e  Arrondissement", "formation sélective", "Autre formation", "Lycée Jean Perrin - DN MADE - Objet - - Spécialité : création industrielle et artisanale", "DN MADE", "- Spécialité : création industrielle et artisanale", 15, 311, 185, 311, 0, 91, 18, 94, 25, 18, 6, 108, 0, 0, 0, 0, 0, 235, 0, 0, 0, 67, 10, 81, 22, 11, 3, 76, 55, 15, 8, 15, 0, 4.0, 13.0, 13.0, 0, 1, 11, 2, 9, 0, 4, 0, 0, 3, 6, 2, 0.0, 2, 9, 0, 0, 0, 6, 6, 26.67, 86.67, 86.67, 53.296875, 54.5, 54.5, 0, 9.099609375, 73.296875, 0.0, 0.0, 27.296875, 54.5, 18.2, 0.0, 18.19921875, 18.19921875, 81.796875, 81.796875, 0.0, 0.0, 14.0, 1.0, 1.0, 1.0, 14.0, "Tous les candidats", 76.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "24103", "DN MADE - Objet - - Spécialité : création industrielle et artisanale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24103&g_ta_cod=24103", 33.0, 60.0, 7.0),
(12930, "Privé enseignement supérieur", "0221739W", "ASKORIA - Site de Saint-Brieuc", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "EFTS", "ASKORIA - D.E Assistant de Service Social", "D.E secteur social", "", 32, 236, 216, 236, 0, 37, 8, 44, 6, 15, 5, 140, 0, 0, 0, 0, 0, 234, 0, 0, 0, 36, 8, 44, 6, 15, 5, 139, 137, 29, 27, 29, 0, 1.0, 22.0, 27.0, 0, 1, 9, 4, 4, 1, 20, 0, 5, 3, 0, 1, 0.0, 1, 2, 1, 0, 0, 8, 8, 3.45, 75.86, 93.1, 93.09375, 88.890625, 88.890625, 0, 11.099609375, 31.0, 0.0, 55.59375, 33.296875, 0.0, 11.1, 0.0, 44.3984375, 11.099609375, 44.3984375, 22.19921875, 11.099609375, 11.099609375, 22.0, 3.0, 9.0, 2.0, 88.0, "Tous les candidats", 286.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 75.0, "24870", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24972&g_ta_cod=24870", 41.0, 41.0, 17.0),
(12931, "Public", "0311086M", "I.U.T de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BUT", "I.U.T de Toulouse - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d?études Conception", "BUT - Production", "Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d?études Conception", 176, 3513, 662, 3513, 0, 1753, 263, 1095, 235, 25, 12, 640, 0, 0, 0, 0, 0, 2514, 0, 0, 0, 1315, 167, 798, 147, 1, 1, 400, 1084, 182, 30, 182, 0, 53.0, 131.0, 164.0, 0, 39, 162, 81, 81, 0, 20, 1, 5, 90, 60, 6, 0.0, 79, 77, 0, 0, 0, 95, 95, 29.12, 71.98, 90.11, 16.5, 58.59375, 58.59375, 0, 24.09765625, 89.0, 0.5999755859375, 3.099609375, 55.59375, 37.0, 3.7, 0.0, 50.0, 48.796875, 50.0, 47.5, 0.0, 0.0, 518.0, 95.0, 1.0, 1.0, 173.0, "Tous les candidats sauf les Bac technologiques", 952.0, "Bacheliers technologiques toutes séries", 600, "", 0, "Liste d'appel propre à cette formation", 44.0, "4095", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments - Bureaux d?études Conception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4095&g_ta_cod=4095", 53.0, 47.0, 0.0),
(12932, "Public", "0900246D", "Lycée agricole Lucien Quelet", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Valdoie", "formation sélective", "BTS", "Lycée agricole Lucien Quelet - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 25, 231, 81, 216, 0, 22, 0, 43, 8, 29, 7, 122, 15, 1, 0, 6, 8, 77, 5, 0, 0, 21, 0, 30, 4, 16, 3, 10, 68, 13, 9, 12, 1, 4.0, 11.0, 12.0, 0, 1, 10, 4, 2, 4, 3, 0, 5, 4, 1, 0, 0.0, 2, 1, 2, 3, 1, 7, 7, 30.77, 84.62, 92.31, 69.1875, 70.0, 70.0, 30, 10.0, 76.890625, 0.0, 50.0, 40.0, 10.0, 0.0, 0.0, 40.0, 20.0, 20.0, 10.0, 40.0, 20.0, 20.0, 0.0, 16.0, 2.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 35.0, "10830", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10830&g_ta_cod=10830", 54.0, 15.0, 31.0),
(12933, "Privé sous contrat d'association", "0490075R", "ESEO Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Ecole d'Ingénieur", "ESEO Angers - Formation d'ingénieur Bac + 5 -  Prépas Technologies, Humanités et International", "Formations  des écoles d'ingénieurs", "Prépas Technologies, Humanités et International", 6, 52, 13, 48, 0, 23, 6, 1, 0, 0, 0, 24, 4, 1, 0, 0, 3, 38, 3, 0, 0, 22, 5, 0, 0, 0, 0, 16, 34, 4, 1, 3, 1, 0.0, 3.0, 4.0, 0, 0, 3, 3, 0, 0, 1, 0, 1, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 1, 1, 0.0, 75.0, 100.0, 25.0, 33.296875, 33.296875, 0, 0.0, 75.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 16.0, 2.0, 0.0, 0.0, 18.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 79.0, "32869", "Formation d'ingénieur Bac + 5 -  Prépas Technologies, Humanités et International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32869&g_ta_cod=32869", 100.0, 0.0, 0.0),
(12934, "Public", "0595872M", "Universite de Lille - Centre Universitaire de Cambrai", "59", "Nord", "Hauts-de-France", "Lille", "Cambrai", "formation non sélective", "Licence", "Universite de Lille - Centre Universitaire de Cambrai - Licence - Droit", "Licence - Droit-économie-gestion", "", 80, 844, 617, 786, 0, 609, 160, 86, 32, 13, 5, 78, 58, 17, 6, 0, 35, 784, 54, 0, 0, 609, 160, 86, 32, 13, 5, 76, 649, 78, 57, 62, 16, 30.0, 55.0, 65.0, 0, 19, 61, 52, 7, 2, 17, 1, 22, 24, 12, 2, 0.0, 35, 1, 2, 0, 0, 43, 43, 38.46, 70.51, 83.33, 73.09375, 70.5, 70.5, 0, 31.09765625, 78.1875, 1.599853515625, 36.09375, 39.296875, 19.69921875, 3.3, 0.0, 85.1875, 57.3984375, 11.5, 1.599853515625, 3.2998046875, 3.2998046875, 470.0, 121.0, 11.0, 4.0, 95.0, "Tous les candidats", 784.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "14546", "Licence - Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14546&g_ta_cod=14546", 81.0, 13.0, 5.0),
(12935, "Privé sous contrat d'association", "0312408Z", "Lycée Saliège", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Balma", "formation sélective", "BTS", "Lycée Saliège - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 789, 363, 787, 0, 144, 21, 281, 59, 199, 67, 163, 2, 0, 1, 0, 1, 517, 0, 0, 0, 119, 16, 150, 30, 156, 48, 92, 263, 30, 11, 30, 0, 5.0, 17.0, 23.0, 0, 6, 27, 8, 11, 8, 3, 0, 11, 10, 6, 0, 0.0, 2, 7, 7, 0, 0, 26, 26, 16.67, 56.67, 76.67, 36.6953125, 96.296875, 96.296875, 0, 22.19921875, 90.0, 0.0, 40.6953125, 37.0, 22.19921875, 0.0, 0.0, 29.59765625, 7.3994140625, 40.6953125, 25.8984375, 29.59765625, 25.8984375, 61.0, 10.0, 77.0, 20.0, 36.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 117.0, "Bacheliers professionnels toutes séries", 93, "Bacheliers technologiques toutes séries", 116, "Liste d'appel propre à cette formation", 41.0, "4232", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4232&g_ta_cod=4232", 37.0, 37.0, 27.0),
(12936, "Public", "0760096S", "Lycée Gustave Flaubert", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Gustave Flaubert - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 87, 1962, 1064, 1878, 0, 193, 53, 700, 275, 544, 240, 441, 84, 0, 44, 0, 40, 572, 18, 0, 0, 85, 18, 139, 53, 270, 112, 78, 257, 75, 39, 66, 8, 12.0, 44.0, 54.0, 0, 27, 63, 11, 27, 25, 12, 2, 24, 25, 10, 2, 0.0, 3, 15, 19, 2, 0, 61, 61, 16.0, 58.67, 72.0, 52.0, 96.796875, 96.796875, 3.19970703125, 42.8984375, 84.0, 3.19970703125, 38.09375, 39.6953125, 15.8984375, 3.2, 0.0, 17.5, 4.7998046875, 42.8984375, 23.796875, 39.6953125, 30.19921875, 22.0, 10.0, 101.0, 41.0, 44.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 163, "Bacheliers technologiques toutes séries", 147, "Liste d'appel propre à cette formation", 19.0, "9607", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9607&g_ta_cod=9607", 17.0, 44.0, 39.0),
(12937, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "Licence", "Université Clermont Auvergne - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 110, 1059, 804, 990, 0, 654, 176, 90, 38, 22, 15, 224, 69, 16, 4, 0, 49, 988, 52, 0, 0, 654, 176, 90, 38, 22, 15, 222, 813, 108, 81, 91, 17, 67.0, 74.0, 89.0, 0, 28, 65, 50, 10, 5, 43, 2, 36, 17, 8, 2, 0.0, 22, 3, 2, 0, 0, 49, 49, 62.04, 68.52, 82.41, 75.0, 75.390625, 75.390625, 0, 43.09375, 60.1953125, 3.099609375, 55.3984375, 26.19921875, 12.298828125, 3.1, 0.0, 76.890625, 33.796875, 15.3984375, 4.599609375, 7.69921875, 3.099609375, 554.0, 155.0, 16.0, 12.0, 188.0, "Tous les candidats", 901.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "19004", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19004&g_ta_cod=19004", 73.0, 17.0, 7.0),
(12938, "Public", "0570085H", "Lycée Jean-Victor Poncelet", "57", "Moselle", "Grand Est", "Nancy-Metz", "Saint-Avold", "formation sélective", "BTS", "Lycée Jean-Victor Poncelet - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 329, 169, 329, 0, 38, 11, 76, 34, 60, 30, 155, 0, 0, 0, 0, 0, 244, 0, 0, 0, 38, 11, 75, 34, 59, 30, 72, 144, 31, 9, 31, 0, 3.0, 26.0, 26.0, 0, 10, 20, 5, 7, 8, 11, 0, 10, 8, 1, 1, 0.0, 1, 4, 5, 8, 4, 19, 19, 9.68, 83.87, 83.87, 29.0, 95.0, 95.0, 40, 50.0, 64.5, 0.0, 50.0, 40.0, 5.0, 5.0, 0.0, 25.0, 5.0, 35.0, 20.0, 40.0, 25.0, 24.0, 7.0, 31.0, 14.0, 32.0, "Tous les candidats sauf les Bac professionnels", 127.0, "Bacheliers professionnels toutes séries", 40, "", 0, "Liste d'appel propre à cette formation", 51.0, "6544", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6544&g_ta_cod=6544", 45.0, 29.0, 26.0),
(12939, "Public", "0261372A", "Université Grenoble Alpes - Antenne de Valence", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation non sélective", "Licence", "Université Grenoble Alpes - Antenne de Valence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 51, 521, 380, 520, 0, 401, 116, 30, 15, 15, 10, 74, 1, 0, 0, 0, 1, 520, 0, 0, 0, 401, 116, 30, 15, 15, 10, 74, 207, 52, 36, 52, 0, 16.0, 40.0, 47.0, 0, 13, 43, 40, 2, 1, 9, 0, 10, 22, 9, 2, 0.0, 31, 1, 1, 0, 0, 43, 43, 30.77, 76.92, 90.38, 69.1875, 100.0, 100.0, 0, 30.19921875, 82.6875, 0.0, 23.296875, 51.1953125, 20.8984375, 4.7, 0.0, 93.0, 72.09375, 4.69921875, 2.2998046875, 2.2998046875, 2.2998046875, 171.0, 49.0, 5.0, 4.0, 24.0, "Tous les candidats", 295.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "3666", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3666&g_ta_cod=3666", 90.0, 4.0, 6.0),
(12940, "Public", "0790038M", "LP Jean Moulin", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Thouars", "formation sélective", "Autre formation", "LP Jean Moulin - Mention complémentaire - FCIL Technicien sur Lignes de Productions Industrielles", "Mention complémentaire", "", 15, 5, 1, 3, 0, 0, 0, 0, 0, 3, 0, 0, 2, 0, 1, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 3, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 3.0, 0.0, 0.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24269", "Mention complémentaire - FCIL Technicien sur Lignes de Productions Industrielles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24269&g_ta_cod=24269", 0, 0, 0),
(12941, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Langues étrangères appliquées - Parcours Anglais-Italien", "Licence - Arts-lettres-langues", "Anglais-Italien", 65, 354, 266, 310, 0, 200, 42, 21, 10, 16, 11, 73, 44, 9, 0, 6, 29, 310, 25, 0, 0, 200, 42, 21, 10, 16, 11, 73, 293, 53, 33, 42, 11, 24.0, 41.0, 45.0, 0, 10, 37, 28, 4, 5, 16, 1, 13, 19, 4, 0, 0.0, 19, 1, 3, 0, 0, 36, 36, 45.28, 77.36, 84.91, 62.296875, 97.296875, 97.296875, 0, 27.0, 69.796875, 2.69970703125, 35.09375, 51.3984375, 10.798828125, 0.0, 0.0, 75.6875, 51.3984375, 10.798828125, 2.69970703125, 13.5, 8.099609375, 183.0, 40.0, 15.0, 11.0, 79.0, "Tous les candidats", 311.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "5054", "Licence - Langues étrangères appliquées - Parcours Anglais-Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5054&g_ta_cod=5054", 75.0, 9.0, 13.0),
(12942, "Public", "0561718N", "Université de Bretagne Sud - Site de Lorient", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation non sélective", "Licence", "Université de Bretagne Sud - Site de Lorient - Licence - Portail Sciences pour l'ingénieur - Parcours Physique, Thermique énergétique, Génie civil, Polymères et composites, Génie mécanique et matériaux", "Licence - Sciences - technologies - santé", "Parcours Physique, Thermique énergétique, Génie civil, Polymères et composites, Génie mécanique et matériaux", 64, 681, 119, 657, 0, 478, 41, 75, 9, 6, 2, 98, 24, 7, 1, 0, 16, 648, 19, 0, 0, 478, 41, 75, 9, 6, 2, 89, 415, 60, 10, 48, 12, 0.0, 38.0, 55.0, 0, 7, 46, 39, 6, 1, 14, 0, 27, 16, 3, 0, 0.0, 16, 3, 0, 0, 0, 40, 40, 0.0, 63.33, 91.67, 16.69921875, 87.0, 87.0, 0, 15.19921875, 76.6875, 0.0, 58.6953125, 34.796875, 6.5, 0.0, 0.0, 84.796875, 34.796875, 13.0, 6.5, 2.19970703125, 0.0, 326.0, 27.0, 1.0, 1.0, 73.0, "Tous les candidats", 672.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "26402", "Licence - Portail Sciences pour l'ingénieur - Parcours Physique, Thermique énergétique, Génie civil, Polymères et composites, Génie mécanique et matériaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26722&g_ta_cod=26402", 78.0, 15.0, 7.0),
(12943, "Privé sous contrat d'association", "0311270M", "L.E.A.P. La Cadène", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Labège", "formation sélective", "BTS", "L.E.A.P. La Cadène - BTS - Agricole - Production horticole", "BTS - Agricole", "", 30, 81, 42, 72, 0, 10, 2, 7, 1, 18, 7, 37, 9, 1, 0, 2, 6, 72, 7, 0, 0, 10, 2, 7, 1, 18, 7, 37, 73, 11, 7, 8, 3, 6.0, 8.0, 11.0, 0, 2, 2, 0, 0, 2, 9, 0, 1, 0, 1, 0, 0.0, 0, 0, 1, 1, 1, 1, 1, 54.55, 72.73, 100.0, 63.59375, 50.0, 50.0, 50, 100.0, 18.19921875, 0.0, 50.0, 0.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 9.0, 2.0, 19.0, 8.0, 40.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 38.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 12, "Liste d'appel propre à cette formation", 99.0, "4128", "BTS - Agricole - Production horticole", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4128&g_ta_cod=4128", 55.0, 18.0, 27.0),
(12944, "Public", "0670080Y", "Lycée Kléber", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée Kléber - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 1246, 657, 1246, 720, 1072, 67, 2, 1, 1, 0, 171, 0, 0, 0, 0, 0, 414, 0, 91, 395, 405, 22, 0, 0, 0, 0, 9, 156, 24, 11, 24, 0, 0.0, 16.0, 23.0, 7, 1, 23, 23, 0, 0, 1, 0, 0, 0, 4, 19, 0.0, 23, 0, 0, 0, 0, 11, 11, 0.0, 66.67, 95.83, 45.796875, 47.796875, 47.796875, 0, 4.2998046875, 95.796875, 0.0, 0.0, 0.0, 17.3984375, 82.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 153.0, 10.0, 0.0, 0.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "31642", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31389&g_ta_cod=31642", 100.0, 0.0, 0.0),
(12945, "Public", "0932126F", "Lycée Francois Rabelais", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Dugny", "formation sélective", "Autre formation", "Lycée Francois Rabelais - Mention complémentaire - Organisateur de réception", "Mention complémentaire", "", 12, 44, 25, 44, 0, 0, 0, 1, 1, 43, 22, 0, 0, 0, 0, 0, 0, 44, 0, 0, 0, 0, 0, 1, 1, 43, 22, 0, 23, 12, 4, 12, 0, 6.0, 10.0, 12.0, 0, 7, 12, 0, 0, 12, 0, 0, 5, 5, 2, 0, 0.0, 0, 0, 7, 0, 0, 10, 12, 50.0, 83.33, 100.0, 33.296875, 83.296875, 100.0, 0, 58.296875, 100.0, 0.0, 41.6953125, 41.6953125, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 58.296875, 0.0, 0.0, 23.0, 13.0, 0.0, "Tous les candidats", 30.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "13333", "Mention complémentaire - Organisateur de réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13333&g_ta_cod=13333", 0.0, 0.0, 100.0),
(12946, "Public", "0450932U", "Ecole supérieure d'art et de design d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "Autre formation", "Ecole supérieure d'art et de design d'Orléans - Diplôme National d'Art", "Diplôme National d'Art", "", 60, 420, 290, 420, 0, 138, 20, 40, 6, 14, 5, 228, 0, 0, 0, 0, 0, 142, 0, 0, 0, 21, 3, 10, 1, 2, 1, 109, 123, 49, 33, 49, 0, 32.0, 48.0, 49.0, 0, 5, 17, 11, 4, 2, 32, 0, 5, 7, 5, 0, 0.0, 7, 3, 2, 0, 0, 8, 8, 65.31, 97.96, 100.0, 67.296875, 47.09375, 47.09375, 0, 29.3984375, 34.6953125, 0.0, 29.3984375, 41.1953125, 29.3984375, 0.0, 0.0, 64.6875, 41.1953125, 23.5, 17.59765625, 11.798828125, 11.798828125, 17.0, 3.0, 3.0, 1.0, 94.0, "Tous les candidats", 140.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "12030", "Diplôme National d'Art", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12030&g_ta_cod=12030", 78.0, 14.0, 8.0),
(12947, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "Licence", "Université Côte d'Azur - Double licence - Sciences de la terre / Sciences de la vie - Double licence Sciences de la Terre - Sciences de la Vie", "Licence - Sciences - technologies - santé", "Double licence Sciences de la Terre - Sciences de la Vie", 35, 1730, 1150, 878, 0, 602, 109, 9, 1, 2, 0, 265, 852, 454, 20, 1, 377, 205, 53, 0, 0, 136, 15, 2, 0, 0, 0, 67, 214, 19, 16, 10, 9, 3.0, 10.0, 16.0, 0, 2, 13, 13, 0, 0, 6, 0, 0, 0, 7, 4, 2.0, 13, 0, 0, 0, 0, 5, 5, 15.79, 52.63, 84.21, 84.1875, 38.5, 38.5, 0, 15.3984375, 68.390625, 0.0, 0.0, 0.0, 53.796875, 30.8, 15.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 130.0, 14.0, 0.0, 0.0, 84.0, "Tous les candidats", 205.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 23.0, "20458", "Double licence - Sciences de la terre / Sciences de la vie - Double licence Sciences de la Terre - Sciences de la Vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20458&g_ta_cod=20458", 100.0, 0.0, 0.0),
(12948, "Public", "0333273D", "Lycée polyvalent Vaclav Havel", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bègles", "formation sélective", "BTS", "Lycée polyvalent Vaclav Havel - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 30, 616, 518, 616, 0, 105, 26, 68, 17, 272, 82, 171, 0, 0, 0, 0, 0, 471, 0, 0, 0, 94, 25, 57, 14, 213, 61, 107, 96, 28, 27, 28, 0, 6.0, 20.0, 23.0, 0, 11, 23, 1, 3, 19, 5, 0, 4, 6, 10, 3, 0.0, 1, 2, 16, 5, 5, 13, 13, 21.43, 71.43, 82.14, 96.390625, 56.5, 56.5, 21.69921875, 47.796875, 82.09375, 0.0, 17.3984375, 26.09765625, 43.5, 13.0, 0.0, 4.2998046875, 4.2998046875, 13.0, 8.69921875, 82.59375, 69.59375, 4.0, 2.0, 74.0, 21.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 108, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 21.0, "12283", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12283&g_ta_cod=12283", 14.0, 11.0, 75.0),
(12949, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Licence", "Université de Franche-Comté - Site de Besançon - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Formation franco-allemande appliquée : culture et économie, en partenariat avec l'Université de Wuppertal (Bergische Universität)", "Licence - Arts-lettres-langues", "Formation franco-allemande appliquée : culture et économie, en partenariat avec l'Université de Wuppertal (Bergische Universität)", 30, 54, 30, 32, 0, 23, 2, 0, 0, 2, 1, 7, 22, 3, 1, 3, 15, 19, 0, 0, 0, 17, 2, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 17.0, 2.0, 0.0, 0.0, 2.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "18426", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Formation franco-allemande appliquée : culture et économie, en partenariat avec l'Université de Wuppertal (Bergische Universität)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18426&g_ta_cod=18426", 0, 0, 0),
(12950, "Privé sous contrat d'association", "0590347G", "ISEN Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 10, 248, 96, 247, 0, 0, 0, 0, 0, 0, 0, 247, 1, 0, 0, 0, 1, 219, 1, 0, 0, 0, 0, 0, 0, 0, 0, 219, 206, 1, 0, 1, 0, 1.0, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 206.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "25843", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=25843", 100.0, 0.0, 0.0),
(12951, "Public", "9740002J", "Lycée Roland Garros", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation sélective", "BTS", "Lycée Roland Garros - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 750, 638, 750, 0, 120, 75, 219, 146, 191, 124, 220, 0, 0, 0, 0, 0, 393, 0, 0, 0, 69, 40, 133, 90, 102, 64, 89, 113, 35, 33, 35, 0, 7.0, 26.0, 29.0, 0, 20, 29, 3, 17, 9, 6, 0, 10, 13, 5, 1, 0.0, 3, 9, 7, 4, 4, 29, 29, 20.0, 74.29, 82.86, 94.296875, 100.0, 100.0, 13.798828125, 69.0, 82.890625, 0.0, 34.5, 44.796875, 17.19921875, 3.4, 0.0, 10.298828125, 10.298828125, 58.59375, 31.0, 31.0, 24.09765625, 8.0, 6.0, 22.0, 11.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 103, "Liste d'appel propre à cette formation", 20.0, "11892", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11892&g_ta_cod=11892", 9.0, 66.0, 26.0),
(12952, "Public", "0180035R", "Lycée Edouard Vaillant", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Vierzon", "formation sélective", "BTS", "Lycée Edouard Vaillant - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 23, 323, 158, 323, 0, 32, 9, 119, 40, 103, 40, 69, 0, 0, 0, 0, 0, 323, 0, 0, 0, 32, 9, 119, 40, 103, 40, 69, 108, 17, 11, 17, 0, 2.0, 12.0, 15.0, 0, 4, 14, 2, 5, 7, 3, 0, 3, 9, 1, 1, 0.0, 1, 3, 7, 6, 4, 12, 12, 11.76, 70.59, 88.24, 64.6875, 85.6875, 85.6875, 42.8984375, 28.59765625, 82.390625, 0.0, 21.3984375, 64.296875, 7.099609375, 7.1, 0.0, 14.298828125, 7.099609375, 35.6953125, 21.3984375, 50.0, 50.0, 18.0, 5.0, 32.0, 9.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 61, "Liste d'appel propre à cette formation", 50.0, "3105", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3105&g_ta_cod=3105", 12.0, 41.0, 47.0),
(12953, "Privé sous contrat d'association", "0430065M", "Lycée Saint-Gabriel", "43", "Haute-Loire", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Yssingeaux", "formation sélective", "BTS", "Lycée Saint-Gabriel - BTS - Services - Opticien-Lunetier", "BTS - Services", "", 30, 373, 256, 364, 0, 104, 10, 95, 14, 32, 6, 133, 9, 2, 0, 1, 6, 260, 6, 0, 0, 94, 8, 72, 9, 14, 3, 80, 139, 25, 18, 24, 1, 8.0, 19.0, 23.0, 0, 2, 20, 11, 6, 3, 5, 0, 7, 6, 7, 0, 0.0, 6, 4, 3, 0, 0, 11, 11, 32.0, 76.0, 92.0, 72.0, 55.0, 55.0, 0, 10.0, 80.0, 0.0, 35.0, 30.0, 35.0, 0.0, 0.0, 55.0, 30.0, 30.0, 20.0, 15.0, 15.0, 58.0, 6.0, 14.0, 3.0, 39.0, "Tous les candidats sauf les Bac professionnels", 243.0, "Bacheliers professionnels toutes séries", 15, "", 0, "Liste d'appel propre à cette formation", 71.0, "5400", "BTS - Services - Opticien-Lunetier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5400&g_ta_cod=5400", 60.0, 28.0, 12.0),
(12954, "Public", "0750707L", "Ecole Nationale De Commerce", "75", "Paris", "Ile-de-France", "Paris", "Paris 17e  Arrondissement", "formation sélective", "BTS", "Ecole Nationale De Commerce - BTS - Services - Tourisme", "BTS - Services", "", 105, 2532, 1949, 2532, 0, 499, 145, 487, 205, 602, 333, 944, 0, 0, 0, 0, 0, 1279, 0, 0, 0, 398, 112, 318, 129, 255, 134, 308, 477, 107, 95, 107, 0, 61.0, 89.0, 104.0, 0, 42, 80, 36, 30, 14, 27, 0, 14, 46, 16, 4, 0.0, 28, 24, 14, 0, 0, 11, 61, 57.01, 83.18, 97.2, 88.796875, 13.798828125, 76.296875, 0, 52.5, 74.796875, 0.0, 17.5, 57.5, 20.0, 5.0, 0.0, 45.0, 35.0, 37.5, 30.0, 17.5, 17.5, 178.0, 68.0, 42.0, 22.0, 92.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 260.0, "Bacheliers professionnels toutes séries", 51, "Bacheliers technologiques toutes séries", 234, "Liste d'appel propre à cette formation", 22.0, "9161", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9161&g_ta_cod=9161", 44.0, 40.0, 16.0),
(12955, "Public", "0610001V", "Lycée Alain", "61", "Orne", "Normandie", "Normandie", "Alençon", "formation sélective", "BTS", "Lycée Alain - BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "BTS - Production", "", 8, 90, 7, 80, 0, 2, 0, 27, 6, 25, 9, 26, 10, 0, 1, 8, 1, 55, 5, 0, 0, 2, 0, 26, 6, 22, 7, 5, 50, 5, 0, 4, 1, 0.0, 4.0, 4.0, 0, 3, 4, 0, 2, 2, 1, 1, 3, 0, 0, 0, 0.0, 0, 0, 0, 2, 0, 3, 3, 0.0, 80.0, 80.0, 0.0, 75.0, 75.0, 50, 75.0, 80.0, 25.0, 75.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 1.0, 0.0, 23.0, 8.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 68.0, "7289", "BTS - Production - Maintenance des systèmes - option B Systèmes énergétiques et fluidiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7289&g_ta_cod=7289", 0.0, 60.0, 40.0),
(12956, "Public", "0750669V", "Lycée Jules Ferry", "75", "Paris", "Ile-de-France", "Paris", "Paris  9e  Arrondissement", "formation sélective", "CPGE", "Lycée Jules Ferry - CPGE - Lettres", "Classe préparatoire littéraire", "", 96, 808, 600, 808, 99, 710, 116, 3, 2, 2, 1, 93, 0, 0, 0, 0, 0, 722, 0, 71, 712, 673, 106, 1, 1, 1, 1, 47, 713, 97, 79, 97, 0, 92.0, 96.0, 96.0, 3, 10, 84, 84, 0, 0, 13, 0, 4, 30, 35, 14, 1.0, 80, 0, 0, 3, 3, 38, 71, 94.85, 98.97, 98.97, 81.390625, 45.1953125, 84.5, 3.599609375, 11.8984375, 86.59375, 0.0, 4.7998046875, 35.6953125, 41.6953125, 16.7, 1.2, 100.0, 95.1875, 0.0, 0.0, 0.0, 0.0, 668.0, 103.0, 0.0, 0.0, 45.0, "Tous les candidats", 716.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "9004", "CPGE - Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9004&g_ta_cod=9004", 100.0, 0.0, 0.0),
(12957, "Public", "0271319M", "Lycée professionnel Porte De Normandie", "27", "Eure", "Normandie", "Normandie", "Verneuil d'Avre et d'Iton", "formation sélective", "Autre formation", "Lycée professionnel Porte De Normandie - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 12, 30, 1, 29, 0, 0, 0, 0, 0, 25, 7, 4, 1, 0, 0, 0, 1, 25, 0, 0, 0, 0, 0, 0, 0, 24, 7, 1, 23, 4, 0, 4, 0, 2.0, 4.0, 4.0, 0, 1, 4, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0.0, 0, 0, 4, 0, 0, 2, 2, 50.0, 100.0, 100.0, 0.0, 50.0, 50.0, 0, 25.0, 100.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 22.0, 6.0, 1.0, "Tous les candidats", 25.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "20758", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20758&g_ta_cod=20758", 0.0, 0.0, 100.0),
(12958, "Public", "0311527S", "Unité de formation et de recherche des sciences médicales - Rangueil - Université Toulouse 3", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Autre formation", "Unité de formation et de recherche des sciences médicales - Rangueil - Université Toulouse 3 - Certificat de capacité d'Orthoptiste", "D.E secteur sanitaire", "", 27, 471, 405, 471, 0, 102, 19, 36, 16, 0, 0, 333, 0, 0, 0, 0, 0, 196, 0, 0, 0, 44, 4, 9, 2, 0, 0, 143, 60, 27, 24, 27, 0, 13.0, 22.0, 24.0, 0, 2, 7, 5, 2, 0, 20, 0, 0, 4, 2, 1, 0.0, 5, 2, 0, 0, 0, 2, 2, 48.15, 81.48, 88.89, 88.890625, 28.59765625, 28.59765625, 0, 28.59765625, 25.8984375, 0.0, 0.0, 57.09375, 28.59765625, 14.3, 0.0, 71.390625, 71.390625, 28.59765625, 28.59765625, 0.0, 0.0, 19.0, 4.0, 0.0, 0.0, 38.0, "Tous les candidats", 54.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "26394", "Certificat de capacité d'Orthoptiste", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26394&g_ta_cod=26394", 93.0, 7.0, 0.0),
(12959, "Privé sous contrat d'association", "0753840S", "Lycée Stanislas", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "CPGE", "Lycée Stanislas - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 42, 1465, 722, 1465, 895, 1355, 68, 0, 0, 1, 1, 109, 0, 0, 0, 0, 0, 294, 0, 233, 264, 294, 6, 0, 0, 0, 0, 0, 180, 34, 16, 34, 0, 10.0, 29.0, 34.0, 17, 0, 34, 34, 0, 0, 0, 0, 1, 0, 6, 25, 2.0, 33, 0, 0, 8, 2, 14, 19, 29.41, 85.29, 100.0, 47.09375, 41.1953125, 55.8984375, 23.5, 0.0, 100.0, 0.0, 2.89990234375, 0.0, 17.59765625, 73.5, 5.9, 100.0, 97.09375, 0.0, 0.0, 0.0, 0.0, 180.0, 5.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 18.0, "31652", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31372&g_ta_cod=31652", 100.0, 0.0, 0.0),
(12960, "Public", "0912413D", "Ecole Universitaire de premier cycle - Campus de Guyancourt Université Paris-Saclay", "78", "Yvelines", "Ile-de-France", "Versailles", "Guyancourt", "formation non sélective", "Licence_Las", "Ecole Universitaire de premier cycle - Campus de Guyancourt Université Paris-Saclay - Licence - Portail Administration économique et sociale", "Licence - Droit-économie-gestion", "", 7, 325, 221, 325, 0, 127, 27, 46, 14, 28, 11, 124, 0, 0, 0, 0, 0, 325, 0, 0, 0, 127, 27, 46, 14, 28, 11, 124, 43, 7, 4, 6, 0, 0.0, 3.0, 4.0, 0, 2, 5, 3, 1, 1, 2, 0, 3, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 4, 5, 0.0, 42.86, 57.14, 57.09375, 80.0, 100.0, 0, 40.0, 71.390625, 0.0, 60.0, 20.0, 20.0, 0.0, 0.0, 60.0, 40.0, 20.0, 0.0, 20.0, 0.0, 21.0, 4.0, 4.0, 2.0, 13.0, "Tous les candidats", 362.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 20.0, "29004", "Licence - Portail Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29003&g_ta_cod=29004", 71.0, 14.0, 14.0),
(12961, "Public", "0220075M", "Lycée professionnel Jean Monnet", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Quintin", "formation sélective", "Autre formation", "Lycée professionnel Jean Monnet - Mention complémentaire - FCIL CAO - DAO du bâtiment", "Mention complémentaire", "", 12, 33, 10, 33, 0, 1, 0, 1, 0, 18, 2, 13, 0, 0, 0, 0, 0, 28, 0, 0, 0, 1, 0, 1, 0, 18, 2, 8, 26, 10, 3, 10, 0, 4.0, 10.0, 10.0, 0, 1, 5, 0, 0, 5, 5, 0, 3, 2, 0, 0, 0.0, 0, 0, 2, 0, 0, 4, 4, 40.0, 100.0, 100.0, 30.0, 80.0, 80.0, 0, 20.0, 50.0, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 40.0, 1.0, 0.0, 17.0, 2.0, 7.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "24192", "Mention complémentaire - FCIL CAO - DAO du bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24192&g_ta_cod=24192", 30.0, 0.0, 70.0),
(12962, "Public", "0300002P", "Lycée Jean-Baptiste Dumas", "30", "Gard", "Occitanie", "Montpellier", "Alès", "formation sélective", "CPGE", "Lycée Jean-Baptiste Dumas - CPGE - TSI", "Classe préparatoire scientifique", "", 35, 210, 15, 205, 148, 0, 0, 196, 62, 0, 0, 9, 5, 0, 1, 0, 4, 201, 3, 148, 168, 0, 0, 193, 61, 0, 0, 8, 134, 20, 2, 20, 0, 5.0, 20.0, 20.0, 12, 5, 20, 0, 20, 0, 0, 1, 5, 6, 7, 1, 0.0, 0, 14, 0, 3, 0, 16, 16, 25.0, 100.0, 100.0, 10.0, 80.0, 80.0, 15, 25.0, 100.0, 5.0, 25.0, 30.0, 35.0, 5.0, 0.0, 0.0, 0.0, 100.0, 70.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 6.0, "Tous les candidats", 190.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 93.0, "3921", "CPGE - TSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3921&g_ta_cod=3921", 0.0, 100.0, 0.0),
(12963, "Privé sous contrat d'association", "0440254M", "Ecole Sup. IMS", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "BTS", "Ecole Sup. IMS - BTS - Services - Assurance", "BTS - Services", "", 33, 299, 152, 277, 0, 57, 10, 94, 30, 39, 10, 87, 22, 1, 5, 3, 13, 193, 14, 0, 0, 53, 9, 75, 23, 26, 6, 39, 166, 21, 14, 17, 4, 1.0, 16.0, 17.0, 0, 2, 14, 2, 9, 3, 7, 0, 10, 4, 0, 0, 0.0, 0, 2, 2, 0, 0, 10, 10, 4.76, 76.19, 80.95, 66.6875, 71.390625, 71.390625, 0, 14.298828125, 66.6875, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 14.298828125, 0.0, 64.296875, 14.298828125, 21.3984375, 14.298828125, 40.0, 6.0, 22.0, 5.0, 39.0, "Tous les candidats sauf les Bac professionnels", 164.0, "Bacheliers professionnels toutes séries", 27, "", 0, "Liste d'appel propre à cette formation", 69.0, "5520", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5520&g_ta_cod=5520", 38.0, 43.0, 19.0),
(12964, "Public", "0642131U", "Antenne du collège STEE de l'Université de Pau (Anglet)", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation non sélective", "Licence", "Antenne du collège STEE de l'Université de Pau (Anglet) - Licence - Sciences de la vie", "Licence - Sciences - technologies - santé", "", 100, 1134, 744, 1134, 0, 838, 124, 42, 6, 2, 1, 252, 0, 0, 0, 0, 0, 1132, 0, 0, 0, 838, 124, 42, 6, 2, 1, 250, 456, 98, 67, 98, 0, 11.0, 75.0, 89.0, 0, 10, 97, 91, 6, 0, 1, 0, 9, 59, 25, 4, 0.0, 83, 5, 0, 0, 0, 91, 91, 11.22, 76.53, 90.82, 68.390625, 93.796875, 93.796875, 0, 10.298828125, 99.0, 0.0, 9.298828125, 60.796875, 25.796875, 4.1, 0.0, 93.796875, 85.59375, 6.19921875, 5.19921875, 0.0, 0.0, 382.0, 48.0, 0.0, 0.0, 50.0, "Tous les candidats", 572.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "7797", "Licence - Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7797&g_ta_cod=7797", 94.0, 6.0, 0.0),
(12965, "Public", "0410001D", "Lycée Augustin Thierry", "41", "Loir-et-Cher", "Centre-Val de Loire", "Orléans-Tours", "Blois", "formation sélective", "BTS", "Lycée Augustin Thierry - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 15, 132, 9, 132, 0, 5, 0, 27, 8, 76, 21, 24, 0, 0, 0, 0, 0, 97, 0, 0, 0, 5, 0, 14, 5, 76, 21, 2, 52, 13, 1, 13, 0, 4.0, 9.0, 11.0, 0, 2, 13, 1, 0, 12, 0, 0, 5, 4, 3, 1, 0.0, 0, 0, 8, 4, 0, 12, 12, 30.77, 69.23, 84.62, 7.69921875, 92.296875, 92.296875, 30.796875, 15.3984375, 100.0, 0.0, 38.5, 30.796875, 23.09765625, 7.7, 0.0, 7.69921875, 0.0, 0.0, 0.0, 92.296875, 61.5, 1.0, 0.0, 43.0, 9.0, 0.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 11, "Liste d'appel propre à cette formation", 47.0, "5229", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5229&g_ta_cod=5229", 8.0, 0.0, 92.0),
(12966, "Public", "0830032J", "Lycée de Lorgues - Thomas Edison", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Lorgues", "formation sélective", "BTS", "Lycée de Lorgues - Thomas Edison - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 22, 255, 29, 255, 0, 24, 5, 68, 28, 65, 29, 98, 0, 0, 0, 0, 0, 248, 0, 0, 0, 24, 5, 61, 24, 65, 29, 98, 74, 21, 0, 21, 0, 5.0, 13.0, 16.0, 0, 4, 20, 4, 8, 8, 1, 0, 10, 6, 2, 2, 0.0, 2, 4, 4, 13, 0, 19, 19, 23.81, 61.9, 76.19, 0.0, 95.0, 95.0, 65, 20.0, 95.1875, 0.0, 50.0, 30.0, 10.0, 10.0, 0.0, 20.0, 10.0, 40.0, 20.0, 40.0, 20.0, 14.0, 4.0, 27.0, 11.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 40.0, "10334", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10334&g_ta_cod=10334", 19.0, 38.0, 43.0),
(12967, "Public", "9720003W", "Lycée Bellevue", "972", "Martinique", "Martinique", "Martinique", "Fort-de-France", "formation sélective", "Autre formation", "Lycée Bellevue - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 10, 454, 337, 303, 0, 117, 54, 79, 35, 7, 4, 100, 151, 21, 28, 3, 99, 40, 5, 0, 0, 26, 10, 5, 4, 0, 0, 9, 31, 10, 6, 6, 4, 1.0, 6.0, 10.0, 0, 2, 8, 4, 4, 0, 2, 0, 0, 3, 4, 1, 0.0, 4, 4, 0, 0, 0, 3, 3, 10.0, 60.0, 100.0, 60.0, 37.5, 37.5, 0, 25.0, 80.0, 0.0, 0.0, 37.5, 50.0, 12.5, 0.0, 50.0, 50.0, 50.0, 50.0, 0.0, 0.0, 16.0, 6.0, 0.0, 0.0, 9.0, "Tous les candidats", 36.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "18796", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18796&g_ta_cod=18796", 40.0, 60.0, 0.0),
(12968, "Public", "0760056Y", "Lycée Jules Siegfried", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BTS", "Lycée Jules Siegfried - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 30, 501, 105, 440, 0, 48, 8, 77, 22, 47, 20, 268, 61, 10, 12, 8, 31, 128, 11, 0, 0, 32, 3, 46, 10, 25, 12, 25, 105, 28, 1, 23, 5, 6.0, 23.0, 27.0, 0, 4, 17, 3, 6, 8, 11, 1, 4, 8, 2, 2, 0.0, 1, 5, 6, 5, 0, 17, 17, 21.43, 82.14, 96.43, 3.599609375, 100.0, 100.0, 29.3984375, 23.5, 60.6953125, 5.8994140625, 23.5, 47.09375, 11.798828125, 11.8, 0.0, 17.59765625, 5.8994140625, 35.296875, 29.3984375, 47.09375, 35.296875, 26.0, 3.0, 22.0, 9.0, 26.0, "Tous les candidats sauf les Bac professionnels", 103.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 29.0, "9576", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9576&g_ta_cod=9576", 39.0, 32.0, 29.0),
(12969, "Privé sous contrat d'association", "0220097L", "Lycée-Collège NOTRE-DAME", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Guingamp", "formation sélective", "BTS", "Lycée-Collège NOTRE-DAME - BTS - Production - Métiers de l'eau", "BTS - Production", "", 30, 171, 51, 162, 0, 30, 5, 48, 7, 9, 4, 75, 9, 0, 4, 0, 5, 161, 8, 0, 0, 30, 5, 48, 7, 8, 4, 75, 103, 20, 3, 17, 3, 7.0, 15.0, 17.0, 0, 0, 8, 2, 6, 0, 12, 0, 5, 3, 0, 0, 0.0, 1, 2, 0, 0, 0, 8, 8, 35.0, 75.0, 85.0, 15.0, 100.0, 100.0, 0, 0.0, 40.0, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 25.0, 12.5, 75.0, 25.0, 0.0, 0.0, 24.0, 5.0, 8.0, 4.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 53.0, "Bacheliers professionnels toutes séries", 9, "Bacheliers technologiques toutes séries", 56, "Liste d'appel propre à cette formation", 73.0, "3338", "BTS - Production - Métiers de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3338&g_ta_cod=3338", 40.0, 55.0, 5.0),
(12970, "Public", "0450855K", "Université d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation non sélective", "Licence", "Université d'Orléans / Lycée Voltaire Orléans  - Licence - Sciences de la vie - Parcours parcours Préparatoire au Professorat des Ecoles", "Licence - Sciences - technologies - santé", "parcours Préparatoire au Professorat des Ecoles", 35, 454, 374, 454, 0, 287, 43, 35, 11, 9, 5, 123, 0, 0, 0, 0, 0, 454, 0, 0, 0, 287, 43, 35, 11, 9, 5, 123, 112, 34, 31, 34, 0, 7.0, 30.0, 33.0, 0, 6, 29, 25, 4, 0, 5, 0, 2, 17, 8, 2, 0.0, 24, 3, 0, 0, 0, 28, 28, 20.59, 88.24, 97.06, 91.1875, 96.59375, 96.59375, 0, 20.69921875, 85.296875, 0.0, 6.8994140625, 58.59375, 27.59765625, 6.9, 0.0, 86.1875, 82.796875, 13.798828125, 10.298828125, 0.0, 0.0, 81.0, 13.0, 0.0, 0.0, 24.0, "Tous les candidats", 141.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "32168", "Licence - Sciences de la vie - Parcours parcours Préparatoire au Professorat des Ecoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32168&g_ta_cod=32168", 88.0, 12.0, 0.0),
(12971, "Public", "9740002J", "Lycée Roland Garros", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation sélective", "BTS", "Lycée Roland Garros - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 611, 324, 611, 0, 57, 28, 250, 138, 173, 127, 131, 0, 0, 0, 0, 0, 420, 0, 0, 0, 44, 20, 167, 87, 132, 97, 77, 133, 34, 14, 34, 0, 4.0, 26.0, 26.0, 0, 17, 25, 1, 11, 13, 9, 0, 6, 10, 9, 0, 0.0, 1, 6, 12, 3, 1, 25, 25, 11.76, 76.47, 76.47, 41.1953125, 100.0, 100.0, 12, 68.0, 73.5, 0.0, 24.0, 40.0, 36.0, 0.0, 0.0, 4.0, 4.0, 44.0, 24.0, 52.0, 48.0, 9.0, 6.0, 35.0, 27.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 104, "Liste d'appel propre à cette formation", 26.0, "11891", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11891&g_ta_cod=11891", 6.0, 50.0, 44.0),
(12972, "Public", "0491966W", "Lycée général et technologique Henri Bergson", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "CPGE", "Lycée général et technologique Henri Bergson - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 1415, 515, 1415, 1022, 1020, 95, 2, 1, 0, 0, 393, 0, 0, 0, 0, 0, 1028, 0, 644, 954, 953, 83, 0, 0, 0, 0, 75, 643, 49, 16, 49, 0, 17.0, 28.0, 49.0, 20, 4, 49, 49, 0, 0, 0, 0, 0, 5, 31, 13, 0.0, 49, 0, 0, 0, 0, 37, 37, 34.69, 57.14, 100.0, 32.6953125, 75.5, 75.5, 0, 8.19921875, 100.0, 0.0, 0.0, 10.19921875, 63.296875, 26.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 629.0, 52.0, 0.0, 0.0, 14.0, "Tous les candidats", 795.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "5954", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5954&g_ta_cod=5954", 100.0, 0.0, 0.0),
(12973, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Université de Lille - Diplôme d'Université - PAREO -  ICARE Parcours Sciences de la société (droit, économie, gestion)", "Diplôme d'Université", "ICARE Parcours Sciences de la société (droit, économie, gestion)", 15, 176, 87, 129, 0, 62, 14, 22, 6, 13, 7, 32, 47, 4, 11, 4, 28, 91, 6, 0, 0, 50, 11, 18, 4, 10, 5, 13, 75, 14, 7, 8, 4, 0.0, 8.0, 8.0, 0, 2, 11, 7, 3, 1, 3, 0, 6, 3, 2, 0, 0.0, 4, 0, 1, 0, 0, 6, 6, 0.0, 57.14, 57.14, 50.0, 54.5, 54.5, 0, 18.19921875, 78.59375, 0.0, 54.5, 27.296875, 18.19921875, 0.0, 0.0, 63.59375, 36.3984375, 27.296875, 0.0, 9.099609375, 9.099609375, 44.0, 10.0, 5.0, 3.0, 8.0, "Tous les candidats", 87.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "32373", "Diplôme d'Université - PAREO -  ICARE Parcours Sciences de la société (droit, économie, gestion)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32373&g_ta_cod=32373", 57.0, 36.0, 7.0),
(12974, "Privé sous contrat d'association", "0290186V", "Lycée Le Paraclet", "29", "Finistère", "Bretagne", "Rennes", "Quimper", "formation sélective", "Autre formation", "Lycée Le Paraclet - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 14, 53, 38, 49, 0, 2, 0, 2, 0, 29, 7, 16, 4, 0, 0, 2, 2, 40, 1, 0, 0, 2, 0, 2, 0, 29, 7, 7, 37, 4, 2, 4, 0, 1.0, 4.0, 4.0, 0, 0, 3, 0, 0, 3, 1, 1, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 25.0, 100.0, 100.0, 50.0, 100.0, 100.0, 0, 0.0, 75.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 2.0, 0.0, 28.0, 7.0, 5.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 82.0, "3832", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3832&g_ta_cod=3832", 0.0, 0.0, 100.0),
(12975, "Privé sous contrat d'association", "0590348H", "HEI Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 35, 371, 145, 365, 0, 2, 0, 0, 0, 0, 0, 363, 6, 0, 0, 0, 6, 325, 0, 0, 0, 2, 0, 0, 0, 0, 0, 323, 304, 28, 13, 28, 0, 26.0, 28.0, 28.0, 0, 0, 0, 0, 0, 0, 28, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 92.86, 100.0, 100.0, 46.3984375, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.0, 0.0, 0.0, 0.0, 302.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "22848", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22848", 100.0, 0.0, 0.0),
(12976, "Public", "0490769V", "I.U.T. Angers-Cholet - Site d'Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BUT", "I.U.T. Angers-Cholet - Site d'Angers - BUT - Génie biologique Parcours agronomie (Seconde année possible en apprentissage)", "BUT - Production", "", 30, 1086, 536, 1086, 0, 663, 73, 176, 17, 3, 0, 244, 0, 0, 0, 0, 0, 496, 0, 0, 0, 315, 29, 118, 12, 0, 0, 63, 93, 31, 10, 31, 0, 9.0, 25.0, 28.0, 0, 5, 31, 15, 16, 0, 0, 0, 2, 8, 17, 4, 0.0, 14, 15, 0, 0, 0, 15, 15, 29.03, 80.65, 90.32, 32.296875, 48.3984375, 48.3984375, 0, 16.09765625, 100.0, 0.0, 6.5, 25.796875, 54.796875, 12.9, 0.0, 48.3984375, 45.1953125, 51.59375, 48.3984375, 0.0, 0.0, 41.0, 8.0, 0.0, 0.0, 12.0, "Tous les candidats sauf les Bac technologiques", 100.0, "Bacheliers technologiques toutes séries", 101, "", 0, "Liste d'appel propre à cette formation", 19.0, "5864", "BUT - Génie biologique Parcours agronomie (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5864&g_ta_cod=5864", 48.0, 52.0, 0.0),
(12977, "Privé enseignement supérieur", "0922663V", "IESEG School of Management - Paris La Défense", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Ecole de Commerce", "IESEG School of Management - Lille - Formation des écoles de commerce et de management Bac + 3 - Bachelor in International Business", "Formation des écoles de commerce et de management", "Bachelor in International Business - cursus anglophone", 20, 340, 172, 334, 0, 268, 4, 30, 1, 2, 1, 34, 6, 0, 0, 1, 5, 292, 2, 0, 0, 241, 3, 26, 0, 2, 1, 23, 136, 20, 9, 18, 2, 3.0, 15.0, 16.0, 0, 0, 15, 11, 4, 0, 5, 0, 3, 7, 4, 1, 0.0, 9, 3, 0, 0, 0, 3, 9, 15.0, 75.0, 80.0, 45.0, 20.0, 60.0, 0, 0.0, 75.0, 0.0, 20.0, 46.6953125, 26.69921875, 6.7, 0.0, 73.296875, 60.0, 26.69921875, 20.0, 0.0, 0.0, 105.0, 0.0, 1.0, 1.0, 18.0, "Tous les candidats", 370.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 74.0, "31742", "Formation des écoles de commerce et de management Bac + 3 - Bachelor in International Business", "IESEG School of Management - Lille", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25874&g_ta_cod=31742", 80.0, 20.0, 0.0),
(12978, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "Licence - Arts-lettres-langues", "Allemand", 45, 34, 18, 12, 0, 3, 1, 0, 0, 1, 1, 8, 22, 3, 0, 2, 17, 12, 18, 0, 0, 3, 1, 0, 0, 1, 1, 8, 30, 5, 0, 2, 3, 1.0, 1.0, 4.0, 0, 1, 1, 0, 0, 1, 4, 0, 0, 0, 1, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 20.0, 20.0, 80.0, 0.0, 100.0, 100.0, 0, 100.0, 20.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 6.0, 1.0, 3.0, 3.0, 21.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "22661", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22661&g_ta_cod=22661", 60.0, 0.0, 20.0),
(12979, "Public", "0595885B", "Lycée Arthur Rimbaud", "59", "Nord", "Hauts-de-France", "Lille", "Sin-le-Noble", "formation sélective", "BTS", "Lycée Arthur Rimbaud - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 397, 188, 379, 0, 35, 9, 72, 31, 50, 32, 222, 18, 0, 1, 9, 8, 147, 4, 0, 0, 28, 8, 49, 22, 30, 20, 40, 76, 28, 12, 27, 1, 13.0, 23.0, 26.0, 0, 17, 24, 1, 12, 11, 4, 0, 3, 10, 9, 2, 0.0, 1, 12, 8, 12, 5, 23, 23, 46.43, 82.14, 92.86, 42.8984375, 95.796875, 95.796875, 50, 70.796875, 85.6875, 0.0, 12.5, 41.6953125, 37.5, 8.3, 0.0, 4.19921875, 4.19921875, 50.0, 50.0, 45.796875, 33.296875, 10.0, 3.0, 32.0, 21.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 30.0, "7173", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7173&g_ta_cod=7173", 18.0, 43.0, 39.0),
(12980, "Public", "0341884N", "I.U.T de Béziers", "34", "Hérault", "Occitanie", "Montpellier", "Béziers", "formation sélective", "BUT", "I.U.T de Béziers - BUT - Carrières sociales parcours villes et territoires durables", "BUT - Service", "", 28, 374, 242, 311, 0, 159, 20, 67, 20, 16, 6, 69, 63, 15, 15, 3, 30, 167, 2, 0, 0, 87, 8, 44, 11, 10, 4, 26, 114, 18, 8, 17, 1, 2.0, 17.0, 17.0, 0, 2, 13, 7, 5, 1, 5, 0, 2, 9, 0, 2, 0.0, 7, 3, 1, 0, 0, 8, 8, 11.11, 94.44, 94.44, 44.3984375, 61.5, 61.5, 0, 15.3984375, 72.1875, 0.0, 15.3984375, 69.1875, 0.0, 15.4, 0.0, 53.796875, 53.796875, 38.5, 23.09765625, 7.69921875, 7.69921875, 51.0, 6.0, 7.0, 2.0, 18.0, "Tous les candidats sauf les Bac technologiques", 117.0, "Bacheliers technologiques toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 52.0, "20519", "BUT - Carrières sociales parcours villes et territoires durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20519&g_ta_cod=20519", 61.0, 33.0, 6.0),
(12981, "Privé sous contrat d'association", "0941934S", "EFREI Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Villejuif", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 5, 259, 94, 259, 0, 0, 0, 0, 0, 0, 0, 259, 0, 0, 0, 0, 0, 222, 0, 0, 0, 0, 0, 0, 0, 0, 0, 222, 197, 3, 2, 3, 0, 1.0, 3.0, 3.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 33.33, 100.0, 100.0, 66.6875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 197.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 86.0, "23366", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=23366", 100.0, 0.0, 0.0),
(12982, "Public", "0134248X", "Aix-Marseille Université - Site de Marseille Timone", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation non sélective", "PASS", "Aix-Marseille Université - Site de Marseille Timone - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Anglais", 40, 3333, 2334, 3333, 0, 2416, 514, 118, 50, 40, 21, 759, 0, 0, 0, 0, 0, 3333, 0, 0, 0, 2416, 514, 118, 50, 40, 21, 759, 372, 40, 35, 40, 0, 1.0, 22.0, 34.0, 0, 8, 37, 34, 1, 2, 3, 0, 1, 3, 21, 10, 2.0, 33, 1, 2, 0, 0, 31, 31, 2.5, 55.0, 85.0, 87.5, 83.796875, 83.796875, 0, 21.59765625, 92.5, 0.0, 2.69970703125, 8.099609375, 56.796875, 27.0, 5.4, 91.890625, 89.1875, 2.69970703125, 2.69970703125, 5.3994140625, 5.3994140625, 332.0, 51.0, 5.0, 3.0, 30.0, "Tous les candidats", 2443.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "28593", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27970&g_ta_cod=28593", 93.0, 3.0, 5.0),
(12983, "Public", "9730308X", "Lycée professionnel Elie Castor", "973", "Guyane", "Guyane", "Guyane", "Kourou", "formation sélective", "BTS", "Lycée professionnel Elie Castor - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 22, 304, 187, 287, 0, 30, 15, 52, 26, 159, 111, 46, 17, 0, 6, 0, 11, 39, 2, 0, 0, 3, 2, 15, 11, 20, 14, 1, 47, 19, 8, 14, 2, 9.0, 11.0, 12.0, 0, 12, 16, 0, 1, 15, 3, 1, 1, 8, 4, 2, 0.0, 0, 0, 14, 10, 5, 16, 16, 47.37, 57.89, 63.16, 42.09375, 100.0, 100.0, 62.5, 75.0, 84.1875, 6.2998046875, 6.2998046875, 50.0, 25.0, 12.5, 0.0, 0.0, 0.0, 6.2998046875, 0.0, 93.796875, 87.5, 3.0, 2.0, 25.0, 16.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 14.0, "14640", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14640&g_ta_cod=14640", 5.0, 16.0, 79.0),
(12984, "Public", "0720916E", "Université du Mans", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "Autre formation", "Université du Mans - CUPGE - Cycle Universitaire Préparatoire aux Grandes Écoles de commerce", "CUPGE - Droit-économie-gestion", "", 30, 397, 189, 345, 0, 283, 30, 9, 3, 7, 4, 46, 52, 14, 4, 1, 33, 141, 8, 0, 0, 131, 8, 0, 0, 0, 0, 10, 132, 16, 11, 10, 6, 5.0, 10.0, 15.0, 0, 2, 15, 15, 0, 0, 1, 0, 0, 4, 10, 1, 0.0, 15, 0, 0, 0, 0, 12, 12, 31.25, 62.5, 93.75, 68.796875, 80.0, 80.0, 0, 13.298828125, 93.796875, 0.0, 0.0, 26.69921875, 66.6875, 6.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 120.0, 10.0, 0.0, 0.0, 12.0, "Tous les candidats", 139.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "20801", "CUPGE - Cycle Universitaire Préparatoire aux Grandes Écoles de commerce", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20801&g_ta_cod=20801", 100.0, 0.0, 0.0),
(12985, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Licence", "Université de Limoges - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Renforcé Masseur Kinésithérapeute", "Licence - Sciences - technologies - santé", "Renforcé Masseur Kinésithérapeute", 50, 1635, 674, 1336, 0, 903, 92, 34, 11, 8, 4, 391, 299, 152, 9, 4, 134, 210, 5, 0, 0, 157, 12, 0, 0, 0, 0, 53, 134, 50, 23, 45, 5, 12.0, 36.0, 43.0, 0, 4, 41, 41, 0, 0, 9, 0, 1, 6, 18, 14, 2.0, 40, 0, 0, 0, 0, 16, 16, 24.0, 72.0, 86.0, 46.0, 39.0, 39.0, 0, 9.798828125, 82.0, 0.0, 2.39990234375, 14.599609375, 43.8984375, 34.1, 4.9, 100.0, 97.59375, 0.0, 0.0, 0.0, 0.0, 91.0, 10.0, 0.0, 0.0, 43.0, "Tous les candidats", 153.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "22697", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours Renforcé Masseur Kinésithérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22697&g_ta_cod=22697", 100.0, 0.0, 0.0),
(12986, "Public", "0132410Z", "Lycée Maurice Genevoix", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marignane", "formation sélective", "BTS", "Lycée Maurice Genevoix - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 45, 532, 268, 532, 0, 62, 22, 184, 81, 156, 73, 130, 0, 0, 0, 0, 0, 512, 0, 0, 0, 62, 22, 184, 81, 142, 66, 124, 164, 38, 18, 38, 0, 2.0, 22.0, 30.0, 0, 15, 37, 6, 14, 17, 1, 0, 13, 19, 5, 0, 0.0, 3, 9, 12, 5, 3, 35, 35, 5.26, 57.89, 78.95, 47.3984375, 94.59375, 94.59375, 13.5, 40.5, 97.390625, 0.0, 35.09375, 51.3984375, 13.5, 0.0, 0.0, 16.19921875, 8.099609375, 37.796875, 24.296875, 45.8984375, 32.3984375, 34.0, 10.0, 59.0, 30.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 59.0, "Bacheliers professionnels toutes séries", 77, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 40.0, "2773", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2773&g_ta_cod=2773", 18.0, 37.0, 45.0),
(12987, "Public", "0530878S", "IFSI CH Nord Mayenne", "53", "Mayenne", "Pays de la Loire", "Nantes", "Mayenne", "formation sélective", "IFSI", "Regroupement d'IFSI Université du Mans - D.E Infirmier", "D.E secteur sanitaire", "", 67, 2041, 1786, 2041, 0, 288, 51, 353, 63, 466, 163, 934, 0, 0, 0, 0, 0, 1698, 0, 0, 0, 263, 47, 311, 53, 376, 128, 748, 525, 64, 59, 64, 0, 2.0, 31.0, 54.0, 0, 7, 33, 8, 8, 17, 31, 0, 4, 17, 11, 1, 0.0, 6, 7, 16, 0, 0, 21, 21, 3.13, 48.44, 84.38, 92.1875, 63.59375, 63.59375, 0, 21.19921875, 51.59375, 0.0, 12.099609375, 51.5, 33.296875, 3.0, 0.0, 24.19921875, 18.19921875, 24.19921875, 21.19921875, 51.5, 48.5, 76.0, 10.0, 125.0, 41.0, 239.0, "Tous les candidats", 1170.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 36.0, "23044", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23002&g_ta_cod=23044", 38.0, 16.0, 47.0),
(12988, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation sélective", "Autre formation", "Institut national universitaire Champollion - Diplôme d'Université - PAREO - Sciences appliquées et fondamentales", "Diplôme d'Université", "Humanités", 17, 38, 28, 16, 0, 8, 1, 6, 1, 1, 1, 1, 22, 8, 3, 2, 9, 16, 14, 0, 0, 8, 1, 6, 1, 1, 1, 1, 37, 8, 8, 2, 5, 2.0, 2.0, 6.0, 0, 1, 6, 3, 3, 0, 2, 0, 5, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 6, 6, 25.0, 25.0, 75.0, 100.0, 100.0, 100.0, 0, 16.69921875, 75.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 50.0, 16.69921875, 50.0, 0.0, 0.0, 0.0, 15.0, 4.0, 1.0, 1.0, 8.0, "Tous les candidats", 37.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "33080", "Diplôme d'Université - PAREO - Sciences appliquées et fondamentales", "Institut national universitaire Champollion", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33079&g_ta_cod=33080", 50.0, 50.0, 0.0),
(12989, "Public", "0342321N", "Université de Montpellier", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "PASS", "Université de Montpellier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 112, 3885, 2349, 3885, 0, 3041, 529, 84, 30, 14, 7, 746, 0, 0, 0, 0, 0, 3885, 0, 0, 0, 3041, 529, 84, 30, 14, 7, 746, 990, 106, 60, 106, 0, 4.0, 31.0, 97.0, 0, 15, 83, 82, 0, 1, 23, 0, 5, 38, 25, 12, 3.0, 77, 0, 1, 0, 0, 72, 72, 3.77, 29.25, 91.51, 56.59375, 86.6875, 86.6875, 0, 18.09765625, 78.296875, 0.0, 6.0, 45.796875, 30.09765625, 14.5, 3.6, 98.796875, 92.796875, 0.0, 0.0, 1.199951171875, 1.199951171875, 855.0, 154.0, 2.0, 1.0, 128.0, "Tous les candidats", 3515.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 39.0, "31864", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27370&g_ta_cod=31864", 99.0, 0.0, 1.0),
(12990, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence", "Université de Perpignan Via Domitia - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 240, 1343, 975, 1343, 0, 908, 265, 171, 68, 43, 21, 221, 0, 0, 0, 0, 0, 1343, 0, 0, 0, 908, 265, 171, 68, 43, 21, 221, 939, 247, 173, 247, 0, 55.0, 247.0, 247.0, 0, 84, 200, 154, 36, 10, 47, 0, 58, 80, 58, 3, 1.0, 120, 19, 3, 0, 0, 186, 186, 22.27, 100.0, 100.0, 70.0, 93.0, 93.0, 0, 42.0, 81.0, 0.0, 29.0, 40.0, 29.0, 1.5, 0.5, 77.0, 60.0, 18.0, 9.5, 5.0, 1.5, 596.0, 198.0, 37.0, 20.0, 187.0, "Tous les candidats", 1279.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 92.0, "7866", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28127&g_ta_cod=7866", 72.0, 18.0, 6.0),
(12991, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "PASS", "Université Toulouse 3 Paul Sabatier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 20, 1722, 1245, 1722, 0, 1209, 207, 47, 15, 11, 5, 455, 0, 0, 0, 0, 0, 1722, 0, 0, 0, 1209, 207, 47, 15, 11, 5, 455, 275, 18, 14, 18, 0, 0.0, 4.0, 17.0, 0, 2, 17, 17, 0, 0, 1, 0, 1, 6, 8, 2, 0.0, 16, 0, 0, 0, 0, 16, 16, 0.0, 22.22, 94.44, 77.796875, 94.09375, 94.09375, 0, 11.798828125, 94.390625, 0.0, 5.8994140625, 35.296875, 47.09375, 11.8, 0.0, 100.0, 94.09375, 0.0, 0.0, 0.0, 0.0, 258.0, 39.0, 2.0, 1.0, 15.0, "Tous les candidats", 3111.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "29849", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29840&g_ta_cod=29849", 100.0, 0.0, 0.0),
(12992, "Privé sous contrat d'association", "0691678Z", "Institut Agricole Sandar", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Limonest", "formation sélective", "BTS", "Institut Agricole Sandar - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 18, 168, 65, 161, 0, 36, 3, 30, 4, 14, 1, 81, 7, 0, 5, 0, 2, 123, 0, 0, 0, 34, 3, 28, 4, 13, 1, 48, 67, 14, 4, 14, 0, 1.0, 12.0, 14.0, 0, 0, 7, 2, 4, 1, 7, 0, 1, 4, 1, 1, 0.0, 2, 3, 1, 0, 0, 5, 5, 7.14, 85.71, 100.0, 28.59765625, 71.390625, 71.390625, 0, 0.0, 50.0, 0.0, 14.298828125, 57.09375, 14.298828125, 14.3, 0.0, 28.59765625, 28.59765625, 57.09375, 42.8984375, 14.298828125, 14.298828125, 18.0, 2.0, 9.0, 1.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 15, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 58.0, "8333", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8333&g_ta_cod=8333", 57.0, 29.0, 14.0),
(12993, "Public", "0251215K", "Université de Franche-Comté - Site de Besançon", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "Autre formation", "Université de Franche-Comté - Site de Besançon - C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master en Ingénierie (CMI) : Informatique", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) : Informatique", 18, 203, 28, 151, 0, 101, 15, 5, 5, 2, 0, 43, 52, 10, 1, 1, 40, 42, 2, 0, 0, 39, 4, 0, 0, 0, 0, 3, 38, 7, 0, 6, 1, 3.0, 6.0, 7.0, 0, 0, 6, 6, 0, 0, 1, 0, 0, 4, 1, 1, 0.0, 6, 0, 0, 0, 0, 4, 4, 42.86, 85.71, 100.0, 0.0, 66.6875, 66.6875, 0, 0.0, 85.6875, 0.0, 0.0, 66.6875, 16.69921875, 16.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 33.0, 4.0, 0.0, 0.0, 5.0, "Tous les candidats", 42.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "14917", "C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master en Ingénierie (CMI) : Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14917&g_ta_cod=14917", 100.0, 0.0, 0.0),
(12994, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation non sélective", "Licence_Las", "Université Sorbonne Paris Nord - Antenne de Bobigny - Licence - Portail Sciences sanitaires et sociales", "Licence - Sciences - technologies - santé", "", 30, 1872, 1663, 1872, 0, 470, 176, 749, 378, 86, 43, 567, 0, 0, 0, 0, 0, 1857, 0, 0, 0, 470, 176, 749, 378, 86, 43, 552, 134, 26, 23, 26, 0, 4.0, 14.0, 21.0, 0, 9, 16, 8, 8, 0, 10, 0, 2, 9, 4, 1, 0.0, 6, 8, 0, 0, 0, 7, 15, 15.38, 53.85, 80.77, 88.5, 43.796875, 93.796875, 0, 56.296875, 61.5, 0.0, 12.5, 56.296875, 25.0, 6.3, 0.0, 50.0, 37.5, 50.0, 50.0, 0.0, 0.0, 46.0, 19.0, 0.0, 0.0, 62.0, "Tous les candidats", 285.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 11.0, "28409", "Licence - Portail Sciences sanitaires et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28408&g_ta_cod=28409", 54.0, 46.0, 0.0),
(12995, "Public", "0190609J", "Ecole Forestière de Meymac", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Meymac", "formation sélective", "BTS", "Ecole Forestière de Meymac - BTS - Agricole - Gestion forestière", "BTS - Agricole", "", 32, 504, 73, 503, 0, 113, 13, 139, 20, 122, 24, 129, 1, 0, 0, 0, 1, 352, 0, 0, 0, 98, 11, 110, 19, 97, 20, 47, 141, 30, 5, 30, 0, 6.0, 26.0, 30.0, 0, 7, 27, 11, 8, 8, 3, 0, 5, 16, 5, 1, 0.0, 7, 8, 7, 0, 0, 7, 7, 20.0, 86.67, 100.0, 16.69921875, 25.8984375, 25.8984375, 0, 25.8984375, 90.0, 0.0, 18.5, 59.296875, 18.5, 3.7, 0.0, 40.6953125, 25.8984375, 29.59765625, 29.59765625, 29.59765625, 25.8984375, 39.0, 7.0, 50.0, 13.0, 19.0, "Tous les candidats sauf les Bac professionnels", 193.0, "Bacheliers professionnels toutes séries", 70, "", 0, "Liste d'appel propre à cette formation", 52.0, "3161", "BTS - Agricole - Gestion forestière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3161&g_ta_cod=3161", 43.0, 27.0, 30.0),
(12996, "Public", "0782587N", "Lycée Viollet-Le-Duc", "78", "Yvelines", "Ile-de-France", "Versailles", "Villiers-Saint-Frédéric", "formation sélective", "BTS", "Lycée Viollet-Le-Duc - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 15, 170, 9, 162, 0, 5, 1, 37, 9, 80, 22, 40, 8, 0, 0, 5, 3, 133, 0, 0, 0, 5, 1, 37, 9, 52, 15, 39, 71, 15, 2, 14, 0, 3.0, 13.0, 14.0, 0, 2, 11, 0, 3, 8, 4, 0, 4, 5, 2, 0, 0.0, 0, 0, 7, 7, 1, 11, 11, 20.0, 86.67, 93.33, 13.298828125, 100.0, 100.0, 63.59375, 18.19921875, 73.296875, 0.0, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 0.0, 0.0, 27.296875, 0.0, 72.6875, 63.59375, 4.0, 1.0, 38.0, 14.0, 11.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 55, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 57.0, "10066", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10066&g_ta_cod=10066", 7.0, 33.0, 60.0),
(12997, "Public", "0241279K", "I.U.T de Bordeaux - Site de Périgueux", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BUT", "I.U.T de Bordeaux - Site de Périgueux - BUT - Carrières sociales parcours villes et territoires durables", "BUT - Service", "", 56, 396, 265, 387, 0, 203, 26, 81, 22, 14, 5, 89, 9, 0, 6, 0, 3, 218, 7, 0, 0, 119, 12, 63, 17, 1, 1, 35, 154, 40, 21, 38, 2, 14.0, 37.0, 40.0, 0, 4, 33, 22, 10, 1, 7, 0, 11, 17, 5, 0, 0.0, 16, 5, 1, 0, 0, 24, 24, 35.0, 92.5, 100.0, 52.5, 72.6875, 72.6875, 0, 12.099609375, 82.5, 0.0, 33.296875, 51.5, 15.19921875, 0.0, 0.0, 66.6875, 48.5, 30.296875, 15.19921875, 3.0, 3.0, 78.0, 7.0, 1.0, 1.0, 22.0, "Tous les candidats sauf les Bac technologiques", 118.0, "Bacheliers technologiques toutes séries", 74, "", 0, "Liste d'appel propre à cette formation", 50.0, "3447", "BUT - Carrières sociales parcours villes et territoires durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3447&g_ta_cod=3447", 68.0, 30.0, 3.0),
(12998, "Public", "0142257C", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Vire", "14", "Calvados", "Normandie", "Normandie", "Vire Normandie", "formation sélective", "BUT", "IUT GRAND OUEST NORMANDIE - Pôle de Caen - Site de Vire - BUT - Hygiène Sécurité Environnement Parcours :  Science du danger et management des risques professionnels technologiques et environnementaux", "BUT - Production", "Science du danger et management des risques professionnels technologiques et environnementaux", 52, 829, 286, 817, 0, 443, 40, 191, 30, 45, 13, 138, 12, 0, 8, 0, 4, 570, 3, 0, 0, 347, 28, 120, 12, 26, 7, 77, 317, 48, 21, 47, 1, 2.0, 35.0, 45.0, 0, 8, 42, 27, 9, 6, 6, 0, 13, 21, 7, 1, 0.0, 16, 7, 6, 0, 0, 20, 20, 4.17, 72.92, 93.75, 43.796875, 47.59375, 47.59375, 0, 19.0, 87.5, 0.0, 31.0, 50.0, 16.69921875, 2.4, 0.0, 64.296875, 38.09375, 21.3984375, 16.69921875, 14.298828125, 14.298828125, 162.0, 14.0, 17.0, 4.0, 45.0, "Tous les candidats sauf les Bac technologiques", 383.0, "Bacheliers technologiques toutes séries", 133, "", 0, "Liste d'appel propre à cette formation", 63.0, "2945", "BUT - Hygiène Sécurité Environnement Parcours :  Science du danger et management des risques professionnels technologiques et environnementaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2945&g_ta_cod=2945", 65.0, 23.0, 13.0),
(12999, "Public", "0171463Y", "Université de La Rochelle", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "La Rochelle", "formation non sélective", "Licence", "Université de La Rochelle - Licence - Physique, chimie", "Licence - Sciences - technologies - santé", "", 40, 604, 263, 586, 0, 415, 56, 22, 7, 3, 0, 146, 18, 2, 3, 0, 13, 586, 13, 0, 0, 415, 56, 22, 7, 3, 0, 146, 338, 39, 21, 32, 7, 1.0, 21.0, 31.0, 0, 4, 25, 22, 3, 0, 14, 0, 5, 10, 7, 2, 1.0, 19, 1, 0, 0, 0, 12, 12, 2.56, 53.85, 79.49, 53.796875, 48.0, 48.0, 0, 16.0, 64.09375, 0.0, 20.0, 40.0, 28.0, 8.0, 4.0, 88.0, 76.0, 12.0, 4.0, 0.0, 0.0, 243.0, 31.0, 1.0, 0.0, 88.0, "Tous les candidats", 586.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "3081", "Licence - Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3081&g_ta_cod=3081", 85.0, 15.0, 0.0),
(13000, "Privé sous contrat d'association", "0690563M", "Lycée Saint Louis Saint Bruno", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 1er Arrondissement", "formation sélective", "BTS", "Lycée Saint Louis Saint Bruno - BTS - Services - Communication", "BTS - Services", "", 31, 902, 655, 902, 0, 268, 31, 223, 41, 101, 28, 310, 0, 0, 0, 0, 0, 469, 0, 0, 0, 206, 24, 115, 16, 49, 8, 99, 139, 31, 27, 31, 0, 6.0, 21.0, 25.0, 0, 2, 22, 12, 5, 5, 9, 0, 1, 14, 7, 0, 0.0, 11, 5, 5, 0, 0, 13, 13, 19.35, 67.74, 80.65, 87.09375, 59.09375, 59.09375, 0, 9.099609375, 71.0, 0.0, 4.5, 63.59375, 31.796875, 0.0, 0.0, 54.5, 50.0, 22.69921875, 22.69921875, 22.69921875, 22.69921875, 44.0, 2.0, 24.0, 5.0, 41.0, "Tous les candidats sauf les Bac professionnels", 138.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 19.0, "8305", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8305&g_ta_cod=8305", 65.0, 19.0, 16.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(13001, "Public", "0470003Y", "Lycée Jean-Baptiste De Baudre", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "Autre formation", "Lycée Jean-Baptiste De Baudre - Diplôme de Comptabilité et de Gestion", "DCG", "", 30, 614, 277, 614, 0, 193, 43, 102, 26, 1, 1, 318, 0, 0, 0, 0, 0, 303, 0, 0, 0, 167, 34, 90, 23, 0, 0, 46, 171, 27, 12, 27, 0, 5.0, 24.0, 26.0, 0, 4, 23, 14, 9, 0, 4, 0, 8, 12, 3, 0, 0.0, 8, 7, 0, 0, 0, 19, 19, 18.52, 88.89, 96.3, 44.3984375, 82.59375, 82.59375, 0, 17.3984375, 85.1875, 0.0, 34.796875, 52.1953125, 13.0, 0.0, 0.0, 60.8984375, 34.796875, 39.09375, 30.3984375, 0.0, 0.0, 98.0, 16.0, 0.0, 0.0, 25.0, "Tous les candidats", 268.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "12445", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12445&g_ta_cod=12445", 63.0, 37.0, 0.0),
(13002, "Public", "0800001S", "Lycée Boucher De Perthes", "80", "Somme", "Hauts-de-France", "Amiens", "Abbeville", "formation sélective", "BTS", "Lycée Boucher De Perthes - BTS - Services - Tourisme", "BTS - Services", "", 35, 337, 213, 335, 0, 79, 23, 40, 11, 53, 28, 163, 2, 0, 0, 0, 2, 241, 0, 0, 0, 79, 23, 40, 11, 53, 28, 69, 161, 29, 15, 28, 0, 2.0, 27.0, 28.0, 0, 8, 12, 4, 2, 6, 17, 0, 10, 2, 0, 0, 0.0, 1, 0, 1, 1, 0, 8, 8, 6.9, 93.1, 96.55, 51.6953125, 66.6875, 66.6875, 8.298828125, 66.6875, 41.3984375, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 33.296875, 8.298828125, 16.69921875, 0.0, 50.0, 8.298828125, 53.0, 16.0, 46.0, 23.0, 40.0, "Tous les candidats sauf les Bac professionnels", 159.0, "Bacheliers professionnels toutes séries", 62, "", 0, "Liste d'appel propre à cette formation", 66.0, "10146", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10146&g_ta_cod=10146", 45.0, 14.0, 38.0),
(13003, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence", "Université de Toulon - Licence - Langues étrangères appliquées - Parcours Anglais/Allemand", "Licence - Arts-lettres-langues", "Anglais/Allemand", 40, 161, 105, 102, 0, 60, 18, 10, 2, 5, 3, 27, 59, 9, 5, 6, 39, 97, 54, 0, 0, 60, 18, 10, 2, 5, 3, 22, 105, 22, 15, 8, 14, 0.0, 8.0, 19.0, 0, 3, 11, 5, 2, 4, 11, 0, 5, 4, 1, 1, 0.0, 5, 0, 1, 0, 0, 10, 10, 0.0, 36.36, 86.36, 68.1875, 90.890625, 90.890625, 0, 27.296875, 50.0, 0.0, 45.5, 36.3984375, 9.099609375, 9.1, 0.0, 45.5, 45.5, 18.19921875, 0.0, 36.3984375, 9.099609375, 32.0, 6.0, 10.0, 7.0, 48.0, "Tous les candidats", 96.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "10364", "Licence - Langues étrangères appliquées - Parcours Anglais/Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10364&g_ta_cod=10364", 45.0, 23.0, 32.0),
(13004, "Public", "0601962G", "Institut de Formation en Soins Infirmiers - CLERMONT de l'OISE", "60", "Oise", "Hauts-de-France", "Amiens", "Clermont", "formation sélective", "IFSI", "Regroupement d'IFSI Université Amiens - D.E Infirmier", "D.E secteur sanitaire", "", 90, 2523, 2087, 2523, 0, 403, 102, 404, 121, 306, 118, 1410, 0, 0, 0, 0, 0, 1667, 0, 0, 0, 330, 79, 285, 81, 222, 75, 830, 889, 90, 79, 90, 0, 2.0, 34.0, 66.0, 0, 10, 36, 9, 13, 14, 54, 0, 10, 12, 14, 0, 0.0, 5, 9, 12, 0, 0, 29, 29, 2.22, 37.78, 73.33, 87.796875, 80.59375, 80.59375, 0, 27.796875, 40.0, 0.0, 27.796875, 33.296875, 38.8984375, 0.0, 0.0, 25.0, 13.8984375, 36.09375, 25.0, 38.8984375, 33.296875, 174.0, 42.0, 130.0, 46.0, 433.0, "Tous les candidats", 2797.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 44.0, "23079", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23008&g_ta_cod=23079", 41.0, 31.0, 28.0),
(13005, "Public", "0951399E", "Lycée Alfred Kastler", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "CPGE", "Lycée Alfred Kastler - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 20, 538, 264, 538, 0, 469, 80, 3, 0, 2, 1, 64, 0, 0, 0, 0, 0, 401, 0, 0, 401, 386, 56, 0, 0, 0, 0, 15, 150, 20, 8, 20, 0, 0.0, 12.0, 20.0, 0, 3, 20, 20, 0, 0, 0, 0, 0, 11, 9, 0, 0.0, 20, 0, 0, 3, 1, 19, 20, 0.0, 60.0, 100.0, 40.0, 95.0, 100.0, 15, 15.0, 100.0, 0.0, 0.0, 55.0, 45.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 145.0, 20.0, 0.0, 0.0, 5.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "31634", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31399&g_ta_cod=31634", 100.0, 0.0, 0.0),
(13006, "Public", "0450092F", "I.U.T d'Orléans", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BUT", "I.U.T d'Orléans - BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie - Apprentissage possible dès la 2ème année (Seconde année possible en apprentissage)", "BUT - Production", "Optimisation énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie - Apprentissage possible dès la 2ème année", 50, 709, 79, 660, 0, 302, 23, 252, 35, 4, 1, 102, 49, 14, 8, 1, 26, 499, 14, 0, 0, 255, 14, 191, 25, 0, 0, 53, 443, 35, 4, 31, 4, 14.0, 31.0, 34.0, 0, 3, 27, 14, 13, 0, 8, 0, 8, 14, 5, 0, 0.0, 8, 11, 0, 0, 0, 19, 19, 40.0, 88.57, 97.14, 11.3984375, 70.390625, 70.390625, 0, 11.099609375, 77.09375, 0.0, 29.59765625, 51.8984375, 18.5, 0.0, 0.0, 51.8984375, 29.59765625, 48.09375, 40.6953125, 0.0, 0.0, 226.0, 14.0, 0.0, 0.0, 53.0, "Tous les candidats sauf les Bac technologiques", 294.0, "Bacheliers technologiques toutes séries", 205, "", 0, "Liste d'appel propre à cette formation", 76.0, "5673", "BUT - Génie thermique et énergie Parcours : Optimisation énergétique pour le bâtiment et l'industrie - Réalisation des installations énergétiques pour le bâtiment et l'industrie - Apprentissage possible dès la 2ème année (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5673&g_ta_cod=5673", 49.0, 51.0, 0.0),
(13007, "Public", "0310036W", "Lycée Pierre De Fermat", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "CPGE", "Lycée Pierre De Fermat - CPGE - MP2I", "Classe préparatoire scientifique", "", 48, 2234, 422, 2234, 1782, 1881, 205, 3, 2, 1, 0, 349, 0, 0, 0, 0, 0, 2172, 0, 1782, 1936, 1863, 203, 3, 2, 1, 0, 305, 216, 48, 3, 48, 0, 5.0, 38.0, 48.0, 26, 4, 47, 47, 0, 0, 1, 0, 0, 0, 1, 32, 14.0, 47, 0, 0, 2, 0, 32, 32, 10.42, 79.17, 100.0, 6.2998046875, 68.09375, 68.09375, 4.2998046875, 8.5, 97.890625, 0.0, 0.0, 0.0, 2.099609375, 68.1, 29.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 215.0, 24.0, 0.0, 0.0, 1.0, "Tous les candidats", 285.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "32130", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32130&g_ta_cod=32130", 100.0, 0.0, 0.0),
(13008, "Public", "0660809W", "Lycée Aristide Maillol", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée Aristide Maillol - BTS - Services - Communication", "BTS - Services", "", 36, 1588, 964, 1370, 0, 165, 49, 316, 118, 190, 96, 699, 218, 0, 87, 20, 111, 181, 20, 0, 0, 50, 9, 35, 12, 65, 32, 31, 135, 31, 22, 21, 8, 5.0, 18.0, 26.0, 0, 11, 24, 3, 9, 12, 7, 0, 7, 11, 5, 1, 0.0, 1, 8, 8, 6, 3, 18, 18, 16.13, 58.06, 83.87, 71.0, 75.0, 75.0, 25, 45.796875, 77.390625, 0.0, 29.19921875, 45.796875, 20.796875, 4.2, 0.0, 12.5, 4.19921875, 37.5, 33.296875, 50.0, 33.296875, 12.0, 3.0, 54.0, 27.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 46, "Liste d'appel propre à cette formation", 11.0, "7899", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7899&g_ta_cod=7899", 13.0, 39.0, 48.0),
(13009, "Public", "0400934Y", "I.U.T des Pays de l'Adour - Antenne de Mont De Marsan", "40", "Landes", "Nouvelle-Aquitaine", "Bordeaux", "Mont-de-Marsan", "formation sélective", "BUT", "I.U.T des Pays de l'Adour - Antenne de Mont De Marsan - BUT - Réseaux et télécommunications Parcours : Cybersécurité - Pilotage de Projets Réseaux (PilPro) - Réseaux Opérateurs et Multimédia (ROM)", "BUT - Production", "Cybersécurité - Pilotage de Projets Réseaux (PilPro) - Réseaux Opérateurs et Multimédia (ROM)", 52, 427, 24, 405, 0, 190, 16, 127, 27, 21, 7, 67, 22, 0, 13, 0, 9, 309, 3, 0, 0, 175, 13, 109, 24, 4, 1, 21, 235, 45, 2, 43, 2, 21.0, 37.0, 43.0, 0, 5, 44, 24, 18, 2, 1, 0, 16, 21, 6, 1, 0.0, 18, 8, 2, 0, 0, 33, 33, 46.67, 82.22, 95.56, 4.3994140625, 75.0, 75.0, 0, 11.3984375, 97.796875, 0.0, 36.3984375, 47.6953125, 13.599609375, 2.3, 0.0, 54.5, 40.8984375, 40.8984375, 18.19921875, 4.5, 4.5, 117.0, 13.0, 4.0, 1.0, 9.0, "Tous les candidats sauf les Bac technologiques", 133.0, "Bacheliers technologiques toutes séries", 115, "", 0, "Liste d'appel propre à cette formation", 61.0, "5218", "BUT - Réseaux et télécommunications Parcours : Cybersécurité - Pilotage de Projets Réseaux (PilPro) - Réseaux Opérateurs et Multimédia (ROM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5218&g_ta_cod=5218", 56.0, 40.0, 4.0),
(13010, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Portail Droit", "Licence - Droit-économie-gestion", "", 910, 5605, 3977, 5565, 0, 4079, 886, 328, 134, 49, 23, 1109, 40, 15, 5, 0, 20, 5559, 39, 0, 0, 4079, 886, 328, 134, 49, 23, 1103, 3449, 904, 667, 869, 32, 513.0, 760.0, 801.0, 0, 208, 720, 671, 47, 2, 184, 5, 148, 264, 206, 82, 15.0, 536, 30, 1, 0, 0, 667, 667, 56.75, 84.07, 88.61, 73.796875, 92.59375, 92.59375, 0, 28.8984375, 79.59375, 0.699951171875, 20.59765625, 36.6953125, 28.59765625, 11.4, 2.1, 93.1875, 74.390625, 6.5, 4.19921875, 0.29998779296875, 0.0999908447265625, 2555.0, 619.0, 13.0, 4.0, 770.0, "Tous les candidats", 3825.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 66.0, "20947", "Licence - Portail Droit", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29708&g_ta_cod=20947", 91.0, 8.0, 2.0),
(13011, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Sciences de l'éducation - Parcours Education, Formation, Enseignement, Culture (EFEC)", "Licence - Sciences humaines et sociales", "Education, Formation, Enseignement, Culture (EFEC)", 90, 1011, 909, 1011, 0, 597, 126, 75, 14, 17, 5, 322, 0, 0, 0, 0, 0, 1011, 0, 0, 0, 597, 126, 75, 14, 17, 5, 322, 288, 89, 86, 89, 0, 20.0, 80.0, 83.0, 0, 18, 69, 62, 5, 2, 20, 0, 6, 33, 26, 3, 1.0, 56, 5, 2, 0, 0, 49, 49, 22.47, 89.89, 93.26, 96.59375, 71.0, 71.0, 0, 26.09765625, 77.5, 0.0, 8.69921875, 47.796875, 37.6953125, 4.3, 1.4, 89.890625, 81.1875, 7.19921875, 7.19921875, 2.89990234375, 2.89990234375, 176.0, 36.0, 7.0, 2.0, 79.0, "Tous les candidats", 391.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 39.0, "17345", "Licence - Sciences de l'éducation - Parcours Education, Formation, Enseignement, Culture (EFEC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17345&g_ta_cod=17345", 87.0, 10.0, 3.0),
(13012, "Public", "0251202W", "ENIL", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Mamirolle", "formation sélective", "BTS", "ENIL - BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "BTS - Agricole", "", 34, 414, 277, 412, 0, 116, 19, 115, 28, 30, 7, 151, 2, 0, 0, 1, 1, 335, 0, 0, 0, 116, 19, 115, 28, 30, 7, 74, 129, 30, 24, 30, 0, 8.0, 21.0, 26.0, 0, 3, 22, 13, 6, 3, 8, 0, 4, 13, 5, 0, 0.0, 10, 6, 2, 0, 0, 16, 16, 26.67, 70.0, 86.67, 80.0, 72.6875, 72.6875, 0, 13.599609375, 73.296875, 0.0, 18.19921875, 59.09375, 22.69921875, 0.0, 0.0, 59.09375, 45.5, 27.296875, 27.296875, 13.599609375, 9.099609375, 47.0, 5.0, 17.0, 4.0, 40.0, "Tous les candidats sauf les Bac professionnels", 151.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 43.0, "3521", "BTS - Agricole - Analyses agricoles biologiques et biotechnologiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3521&g_ta_cod=3521", 60.0, 30.0, 10.0),
(13013, "Public", "0332192D", "Lycée Hotel.Tourisme Gascogne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation sélective", "Autre formation", "Lycée Hotel.Tourisme Gascogne - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 36, 412, 204, 412, 0, 156, 23, 58, 13, 31, 11, 167, 0, 0, 0, 0, 0, 308, 0, 0, 0, 154, 23, 55, 11, 27, 9, 72, 147, 34, 25, 34, 0, 4.0, 22.0, 26.0, 0, 3, 18, 13, 3, 2, 16, 0, 7, 9, 1, 1, 0.0, 8, 1, 2, 0, 0, 15, 15, 11.76, 64.71, 76.47, 73.5, 83.296875, 83.296875, 0, 16.69921875, 52.8984375, 0.0, 38.8984375, 50.0, 5.599609375, 5.6, 0.0, 72.1875, 44.3984375, 16.69921875, 5.599609375, 11.099609375, 11.099609375, 72.0, 10.0, 11.0, 5.0, 40.0, "Tous les candidats", 176.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "4431", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4431&g_ta_cod=4431", 71.0, 21.0, 9.0),
(13014, "Public", "0693654X", "Lycée René Descartes", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Genis-Laval", "formation sélective", "BTS", "Lycée René Descartes - BTS - Production - Contrôle industriel et régulation automatique", "BTS - Production", "", 24, 1100, 219, 938, 0, 67, 22, 243, 90, 113, 59, 515, 162, 0, 86, 20, 56, 212, 13, 0, 0, 28, 7, 102, 26, 47, 23, 35, 147, 20, 1, 16, 4, 2.0, 13.0, 19.0, 0, 6, 16, 3, 11, 2, 4, 0, 8, 8, 0, 0, 0.0, 1, 5, 2, 5, 1, 15, 15, 10.0, 65.0, 95.0, 5.0, 93.796875, 93.796875, 31.296875, 37.5, 80.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 18.796875, 6.2998046875, 68.796875, 31.296875, 12.5, 12.5, 16.0, 3.0, 30.0, 15.0, 35.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 42, "Bacheliers technologiques toutes séries", 124, "Liste d'appel propre à cette formation", 21.0, "8586", "BTS - Production - Contrôle industriel et régulation automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8586&g_ta_cod=8586", 15.0, 65.0, 20.0),
(13015, "Public", "0720033V", "Lycée Polyvalent Gabriel Touchard - Washington", "72", "Sarthe", "Pays de la Loire", "Nantes", "Le Mans", "formation sélective", "BTS", "Lycée Polyvalent Gabriel Touchard - Washington - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 429, 214, 419, 0, 55, 14, 121, 35, 109, 59, 134, 10, 0, 4, 1, 5, 244, 2, 0, 0, 33, 6, 85, 22, 77, 38, 49, 123, 22, 11, 22, 0, 3.0, 19.0, 19.0, 0, 6, 17, 1, 9, 7, 5, 0, 8, 8, 0, 1, 0.0, 1, 3, 5, 7, 5, 13, 13, 13.64, 86.36, 86.36, 50.0, 76.5, 76.5, 41.1953125, 35.296875, 77.296875, 0.0, 47.09375, 47.09375, 0.0, 5.9, 0.0, 5.8994140625, 5.8994140625, 52.8984375, 17.59765625, 41.1953125, 29.3984375, 7.0, 4.0, 28.0, 17.0, 23.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 30.0, "Bacheliers professionnels toutes séries", 28, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 36.0, "8703", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8703&g_ta_cod=8703", 23.0, 41.0, 36.0),
(13016, "Privé sous contrat d'association", "0600071B", "UniLaSalle Beauvais", "60", "Oise", "Hauts-de-France", "Amiens", "Beauvais", "formation sélective", "Ecole d'Ingénieur", "UniLaSalle Beauvais - Formation Bac + 3 - Bachelor en sciences et ingénierie Agriculture numérique et technologies embarquées", "Formations  des écoles d'ingénieurs", "Bachelor en sciences et ingénierie Agriculture numérique et technologies embarquées", 20, 47, 7, 43, 0, 26, 5, 14, 3, 0, 0, 3, 4, 1, 0, 0, 3, 39, 1, 0, 0, 25, 5, 11, 2, 0, 0, 3, 40, 11, 0, 11, 0, 11.0, 11.0, 11.0, 0, 3, 10, 7, 3, 0, 1, 0, 2, 5, 3, 0, 0.0, 5, 3, 0, 0, 0, 2, 2, 100.0, 100.0, 100.0, 0.0, 20.0, 20.0, 0, 30.0, 90.890625, 0.0, 20.0, 50.0, 30.0, 0.0, 0.0, 70.0, 50.0, 30.0, 30.0, 0.0, 0.0, 25.0, 5.0, 0.0, 0.0, 4.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 91.0, "33406", "Formation Bac + 3 - Bachelor en sciences et ingénierie Agriculture numérique et technologies embarquées", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33406&g_ta_cod=33406", 73.0, 27.0, 0.0),
(13017, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation non sélective", "Licence", "Université de Perpignan Via Domitia - Licence - Sociologie", "Licence - Sciences humaines et sociales", "", 135, 750, 567, 541, 0, 249, 88, 100, 41, 47, 27, 145, 209, 45, 33, 17, 114, 541, 203, 0, 0, 249, 88, 100, 41, 47, 27, 145, 686, 130, 96, 68, 62, 20.0, 67.0, 100.0, 0, 33, 80, 39, 23, 18, 50, 0, 47, 24, 9, 0, 0.0, 20, 6, 7, 0, 0, 63, 63, 15.38, 51.54, 76.92, 73.796875, 78.796875, 78.796875, 0, 41.296875, 61.5, 0.0, 58.796875, 30.0, 11.298828125, 0.0, 0.0, 48.796875, 25.0, 28.796875, 7.5, 22.5, 8.798828125, 269.0, 89.0, 63.0, 36.0, 231.0, "Tous les candidats", 540.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7881", "Licence - Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7881&g_ta_cod=7881", 46.0, 31.0, 22.0),
(13018, "Public", "0951988V", "IFSI du GH Carnelle Portes de l'Oise (GHCPO)", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Beaumont-sur-Oise", "formation sélective", "IFSI", "Regroupement IFSI Université de Paris - D.E Infirmier", "D.E secteur sanitaire", "", 54, 4497, 3984, 4497, 0, 408, 133, 632, 259, 666, 327, 2791, 0, 0, 0, 0, 0, 3394, 0, 0, 0, 373, 118, 493, 192, 516, 249, 2012, 991, 61, 58, 61, 0, 0.0, 13.0, 46.0, 0, 7, 34, 8, 8, 18, 27, 0, 9, 14, 11, 0, 0.0, 4, 7, 14, 0, 0, 22, 22, 0.0, 21.31, 75.41, 95.09375, 64.6875, 64.6875, 0, 20.59765625, 55.6953125, 0.0, 26.5, 41.1953125, 32.3984375, 0.0, 0.0, 23.5, 11.798828125, 23.5, 20.59765625, 52.8984375, 41.1953125, 112.0, 23.0, 232.0, 100.0, 450.0, "Tous les candidats", 3890.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 32.0, "23022", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25148&g_ta_cod=23022", 31.0, 20.0, 44.0),
(13019, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation non sélective", "Licence", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS - Préparation à l'entrée à l'Ecole de Kinésithérapie et de Rééducation de Saint Maurice et à certains IFMK d'Ile de France", "Licence - Sciences - technologies - santé", "STAPS - Préparation à l'entrée à l'Ecole de Kinésithérapie et de Rééducation de Saint Maurice et à certains IFMK d'Ile de France", 80, 2156, 908, 2156, 0, 1393, 138, 127, 21, 22, 8, 614, 0, 0, 0, 0, 0, 2147, 0, 0, 0, 1393, 138, 127, 21, 22, 8, 605, 237, 79, 39, 79, 0, 20.0, 70.0, 70.0, 0, 6, 75, 74, 1, 0, 4, 1, 6, 29, 30, 8, 1.0, 67, 1, 0, 0, 0, 55, 73, 25.32, 88.61, 88.61, 49.3984375, 73.296875, 97.296875, 0, 8.0, 94.890625, 1.2998046875, 8.0, 38.6953125, 40.0, 10.7, 1.3, 98.6875, 89.296875, 1.2998046875, 1.2998046875, 0.0, 0.0, 203.0, 22.0, 0.0, 0.0, 33.0, "Tous les candidats", 233.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "10924", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS - Préparation à l'entrée à l'Ecole de Kinésithérapie et de Rééducation de Saint Maurice et à certains IFMK d'Ile de France", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10924&g_ta_cod=10924", 99.0, 1.0, 0.0),
(13020, "Privé hors contrat", "0783676X", "3IS Institut International de l'Image et du Son", "78", "Yvelines", "Ile-de-France", "Versailles", "Elancourt", "formation sélective", "Autre formation", "3IS Institut International de l'Image et du Son - Formation des écoles supérieure d'art Bac + 3 - Cinéma Audiovisuel/Son - Option Son", "Formation des écoles supérieure d'art", "Cinéma Audiovisuel/Son - Option Son", 120, 503, 64, 463, 0, 260, 27, 70, 16, 26, 5, 107, 40, 10, 3, 2, 25, 260, 16, 0, 0, 164, 17, 47, 11, 3, 0, 46, 254, 65, 13, 55, 10, 24.0, 55.0, 60.0, 0, 10, 45, 29, 15, 1, 20, 1, 20, 21, 3, 0, 0.0, 17, 6, 1, 0, 0, 17, 22, 36.92, 84.62, 92.31, 20.0, 37.796875, 48.8984375, 0, 22.19921875, 69.1875, 2.19970703125, 44.3984375, 46.6953125, 6.69921875, 0.0, 0.0, 64.390625, 37.796875, 33.296875, 13.298828125, 2.19970703125, 2.19970703125, 153.0, 18.0, 3.0, 0.0, 53.0, "Tous les candidats", 260.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 56.0, "27122", "Formation des écoles supérieure d'art Bac + 3 - Cinéma Audiovisuel/Son - Option Son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27122&g_ta_cod=27122", 62.0, 31.0, 8.0),
(13021, "Public", "0670084C", "Lycée Jean Rostand", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Services - Analyses de biologie médicale", "BTS - Services", "", 32, 1795, 1384, 1780, 0, 418, 102, 538, 189, 97, 39, 727, 15, 0, 0, 6, 9, 711, 0, 0, 0, 253, 53, 192, 54, 21, 7, 245, 208, 28, 24, 28, 0, 3.0, 16.0, 21.0, 0, 5, 19, 5, 12, 2, 9, 0, 4, 8, 6, 1, 0.0, 4, 9, 2, 9, 7, 13, 13, 10.71, 57.14, 75.0, 85.6875, 68.390625, 68.390625, 47.3984375, 26.296875, 67.890625, 0.0, 21.09765625, 42.09375, 31.59765625, 5.3, 0.0, 26.296875, 21.09765625, 63.1953125, 47.3984375, 10.5, 10.5, 49.0, 14.0, 10.0, 1.0, 83.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 232.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 147, "Liste d'appel propre à cette formation", 22.0, "7928", "BTS - Services - Analyses de biologie médicale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7928&g_ta_cod=7928", 36.0, 57.0, 7.0),
(13022, "Public", "0370037P", "Lycée Choiseul", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "Autre formation", "Lycée Choiseul - DN MADE - Mode - Spécialité Mode,matériaux,volume : savoir-faire et innovation", "DN MADE", "Spécialité Mode,matériaux,volume : savoir-faire et innovation", 15, 740, 605, 740, 0, 274, 47, 202, 40, 80, 21, 184, 0, 0, 0, 0, 0, 740, 0, 0, 0, 274, 47, 202, 40, 80, 21, 184, 67, 17, 14, 17, 0, 4.0, 11.0, 17.0, 0, 3, 16, 6, 9, 1, 1, 0, 0, 4, 9, 3, 0.0, 6, 9, 1, 0, 0, 3, 3, 23.53, 64.71, 100.0, 82.390625, 18.796875, 18.796875, 0, 18.796875, 94.09375, 0.0, 0.0, 25.0, 56.296875, 18.8, 0.0, 37.5, 37.5, 56.296875, 56.296875, 6.2998046875, 6.2998046875, 23.0, 2.0, 3.0, 0.0, 9.0, "Tous les candidats", 98.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "24391", "DN MADE - Mode - Spécialité Mode,matériaux,volume : savoir-faire et innovation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24391&g_ta_cod=24391", 35.0, 59.0, 6.0),
(13023, "Public", "0600040T", "Lycée Jean Calvin", "60", "Oise", "Hauts-de-France", "Amiens", "Noyon", "formation sélective", "CPGE", "Lycée Jean Calvin - CPGE - ECG -  - Mathématiques appliquées + ESH", "Classe préparatoire économique et commerciale", "", 24, 98, 43, 92, 72, 74, 15, 1, 1, 0, 0, 17, 6, 1, 0, 0, 5, 73, 2, 56, 60, 70, 13, 0, 0, 0, 0, 3, 65, 6, 5, 6, 0, 5.0, 6.0, 6.0, 4, 0, 6, 6, 0, 0, 0, 0, 0, 1, 3, 2, 0.0, 6, 0, 0, 2, 1, 5, 5, 83.33, 100.0, 100.0, 83.296875, 83.296875, 83.296875, 33.296875, 0.0, 100.0, 0.0, 0.0, 16.69921875, 50.0, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 61.0, 11.0, 0.0, 0.0, 4.0, "Tous les candidats", 73.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "31278", "CPGE - ECG -  - Mathématiques appliquées + ESH", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31278&g_ta_cod=31278", 100.0, 0.0, 0.0),
(13024, "Public", "0771763Y", "Lycée Charles Le Chauve", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Roissy-en-Brie", "formation sélective", "BTS", "Lycée Charles Le Chauve - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 35, 619, 327, 619, 0, 76, 18, 156, 64, 120, 54, 267, 0, 0, 0, 0, 0, 333, 0, 0, 0, 39, 9, 156, 64, 81, 32, 57, 125, 33, 15, 33, 0, 6.0, 25.0, 29.0, 0, 12, 27, 4, 15, 8, 6, 0, 14, 12, 1, 0, 0.0, 3, 6, 4, 6, 2, 24, 26, 18.18, 75.76, 87.88, 45.5, 88.890625, 96.296875, 22.19921875, 44.3984375, 81.796875, 0.0, 51.8984375, 44.3984375, 3.69970703125, 0.0, 0.0, 14.798828125, 11.099609375, 55.59375, 22.19921875, 29.59765625, 14.798828125, 22.0, 5.0, 32.0, 14.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 42.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 30.0, "9852", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9852&g_ta_cod=9852", 18.0, 58.0, 24.0),
(13025, "Public", "0710023P", "Lycée La Prat's", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Cluny", "formation sélective", "CPGE", "Lycée La Prat's - CPGE - PTSI", "Classe préparatoire scientifique", "", 30, 386, 71, 386, 310, 262, 33, 1, 0, 0, 0, 123, 0, 0, 0, 0, 0, 340, 0, 310, 251, 259, 32, 0, 0, 0, 0, 81, 158, 30, 3, 30, 0, 2.0, 21.0, 28.0, 25, 1, 29, 29, 0, 0, 1, 0, 1, 13, 12, 3, 0.0, 28, 0, 0, 5, 2, 16, 16, 6.67, 70.0, 93.33, 10.0, 55.1953125, 55.1953125, 17.19921875, 3.39990234375, 96.6875, 0.0, 3.39990234375, 44.796875, 41.3984375, 10.3, 0.0, 100.0, 96.59375, 0.0, 0.0, 0.0, 0.0, 140.0, 10.0, 0.0, 0.0, 18.0, "Tous les candidats", 230.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "8627", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8627&g_ta_cod=8627", 100.0, 0.0, 0.0),
(13026, "Public", "0370888P", "Lycée professionnel D Arsonval", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Joué-lès-Tours", "formation sélective", "BTS", "Lycée professionnel D Arsonval - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 15, 724, 398, 724, 0, 125, 24, 187, 35, 261, 70, 151, 0, 0, 0, 0, 0, 394, 0, 0, 0, 75, 14, 125, 22, 164, 42, 30, 41, 15, 10, 15, 0, 4.0, 12.0, 14.0, 0, 2, 13, 1, 3, 9, 2, 0, 0, 5, 6, 2, 0.0, 1, 3, 9, 2, 2, 5, 5, 26.67, 80.0, 93.33, 66.6875, 38.5, 38.5, 15.3984375, 15.3984375, 86.6875, 0.0, 0.0, 38.5, 46.1953125, 15.4, 0.0, 7.69921875, 7.69921875, 23.09765625, 23.09765625, 69.1875, 69.1875, 4.0, 1.0, 27.0, 5.0, 2.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 7.0, "14655", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14655&g_ta_cod=14655", 7.0, 20.0, 67.0),
(13027, "Public", "0311384L", "Université Toulouse 3 Paul Sabatier", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "PASS", "Université Toulouse 3 Paul Sabatier - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 20, 2055, 1361, 2055, 0, 1511, 254, 64, 22, 12, 5, 468, 0, 0, 0, 0, 0, 2055, 0, 0, 0, 1511, 254, 64, 22, 12, 5, 468, 293, 19, 13, 19, 0, 0.0, 5.0, 16.0, 0, 1, 16, 16, 0, 0, 3, 0, 1, 5, 8, 2, 0.0, 15, 0, 0, 0, 0, 13, 13, 0.0, 26.32, 84.21, 68.390625, 81.296875, 81.296875, 0, 6.2998046875, 84.1875, 0.0, 6.2998046875, 31.296875, 50.0, 12.5, 0.0, 100.0, 93.796875, 0.0, 0.0, 0.0, 0.0, 284.0, 39.0, 2.0, 2.0, 7.0, "Tous les candidats", 2925.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 27.0, "29846", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29840&g_ta_cod=29846", 100.0, 0.0, 0.0),
(13028, "Public", "0760096S", "Lycée Gustave Flaubert", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "BTS", "Lycée Gustave Flaubert - BTS - Services - Support à l'action managériale", "BTS - Services", "", 34, 659, 438, 575, 0, 39, 14, 201, 85, 204, 116, 131, 84, 5, 0, 37, 42, 292, 14, 0, 0, 29, 9, 126, 48, 99, 49, 38, 168, 29, 17, 21, 8, 3.0, 16.0, 24.0, 0, 14, 24, 3, 9, 12, 5, 0, 8, 12, 3, 1, 0.0, 2, 5, 9, 4, 3, 21, 21, 10.34, 55.17, 82.76, 58.59375, 87.5, 87.5, 16.69921875, 58.296875, 82.796875, 0.0, 33.296875, 50.0, 12.5, 4.2, 0.0, 12.5, 8.298828125, 37.5, 20.796875, 50.0, 37.5, 15.0, 8.0, 80.0, 39.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 104, "Bacheliers technologiques toutes séries", 93, "Liste d'appel propre à cette formation", 38.0, "9605", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9605&g_ta_cod=9605", 10.0, 38.0, 52.0),
(13029, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études chinoises", "Licence - Arts-lettres-langues", "Études chinoises", 40, 213, 159, 185, 0, 103, 25, 10, 5, 10, 3, 62, 28, 4, 0, 1, 23, 183, 18, 0, 0, 103, 25, 10, 5, 10, 3, 60, 201, 37, 30, 29, 8, 27.0, 28.0, 34.0, 0, 5, 17, 11, 4, 2, 20, 0, 7, 7, 2, 1, 0.0, 7, 3, 0, 0, 0, 10, 10, 72.97, 75.68, 91.89, 81.09375, 58.796875, 58.796875, 0, 29.3984375, 45.8984375, 0.0, 41.1953125, 41.1953125, 11.798828125, 5.9, 0.0, 64.6875, 41.1953125, 23.5, 17.59765625, 11.798828125, 0.0, 106.0, 25.0, 10.0, 3.0, 75.0, "Tous les candidats", 183.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "14214", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Études chinoises", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14214&g_ta_cod=14214", 70.0, 11.0, 19.0),
(13030, "Privé sous contrat d'association", "0190083M", "Lycée Bahuet", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Brive-la-Gaillarde", "formation sélective", "BTS", "Lycée Bahuet - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 202, 120, 184, 0, 22, 3, 40, 9, 61, 20, 61, 18, 1, 7, 0, 10, 169, 9, 0, 0, 22, 3, 40, 9, 61, 20, 46, 137, 29, 15, 24, 5, 1.0, 22.0, 24.0, 0, 7, 14, 3, 2, 9, 15, 0, 8, 3, 3, 0, 0.0, 0, 1, 5, 5, 2, 11, 11, 3.45, 75.86, 82.76, 51.6953125, 78.59375, 78.59375, 35.6953125, 50.0, 48.296875, 0.0, 57.09375, 21.3984375, 21.3984375, 0.0, 0.0, 21.3984375, 0.0, 14.298828125, 7.099609375, 64.296875, 35.6953125, 16.0, 3.0, 39.0, 14.0, 49.0, "Tous les candidats sauf les Bac professionnels", 100.0, "Bacheliers professionnels toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 82.0, "3150", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3150&g_ta_cod=3150", 31.0, 31.0, 38.0),
(13031, "Public", "0594366A", "IUT Tourcoing Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Tourcoing", "formation sélective", "BUT", "IUT Tourcoing Université de Lille - BUT - Carrières sociales parcours villes et territoires durables", "BUT - Service", "", 32, 459, 301, 397, 0, 189, 41, 87, 29, 23, 14, 98, 62, 5, 21, 1, 35, 217, 8, 0, 0, 122, 13, 41, 10, 0, 0, 54, 140, 22, 14, 14, 5, 3.0, 14.0, 15.0, 0, 3, 11, 10, 1, 0, 11, 0, 2, 6, 3, 0, 0.0, 8, 1, 0, 0, 0, 5, 5, 13.64, 63.64, 68.18, 63.59375, 45.5, 45.5, 0, 27.296875, 50.0, 0.0, 18.19921875, 54.5, 27.296875, 0.0, 0.0, 90.890625, 72.6875, 9.099609375, 9.099609375, 0.0, 0.0, 63.0, 9.0, 1.0, 0.0, 46.0, "Tous les candidats sauf les Bac technologiques", 148.0, "Bacheliers technologiques toutes séries", 53, "", 0, "Liste d'appel propre à cette formation", 51.0, "7115", "BUT - Carrières sociales parcours villes et territoires durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7115&g_ta_cod=7115", 77.0, 23.0, 0.0),
(13032, "Public", "0490782J", "Lycée Polyvalent Blaise Pascal", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Segré-en-Anjou Bleu", "formation sélective", "BTS", "Lycée Polyvalent Blaise Pascal - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 7, 102, 12, 86, 0, 3, 1, 9, 1, 54, 15, 20, 16, 4, 4, 0, 8, 68, 3, 0, 0, 3, 1, 9, 1, 52, 14, 4, 41, 3, 0, 3, 0, 2.0, 3.0, 3.0, 0, 1, 3, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0.0, 0, 0, 3, 2, 0, 3, 3, 66.67, 100.0, 100.0, 0.0, 100.0, 100.0, 66.6875, 33.296875, 100.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 3.0, 1.0, 23.0, 6.0, 5.0, "Tous les candidats sauf les Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 35, "", 0, "Liste d'appel propre à cette formation", 58.0, "5871", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5871&g_ta_cod=5871", 0.0, 0.0, 100.0),
(13033, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "Autre formation", "Université de Poitiers - C.M.I - Cursus Master en Ingénierie - Sciences pour l'ingénieur - Cursus Master en Ingénierie (CMI) :  Gestion de l'Energie", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en Ingénierie (CMI) :  Gestion de l'Energie", 20, 139, 38, 103, 0, 71, 7, 7, 1, 0, 0, 25, 36, 12, 3, 0, 21, 32, 1, 0, 0, 31, 3, 0, 0, 0, 0, 1, 33, 4, 0, 3, 1, 2.0, 3.0, 4.0, 0, 2, 3, 3, 0, 0, 1, 0, 0, 1, 1, 1, 0.0, 3, 0, 0, 0, 0, 1, 1, 50.0, 75.0, 100.0, 0.0, 33.296875, 33.296875, 0, 66.6875, 75.0, 0.0, 0.0, 33.296875, 33.296875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 31.0, 3.0, 0.0, 0.0, 2.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "21028", "C.M.I - Cursus Master en Ingénierie - Sciences pour l'ingénieur - Cursus Master en Ingénierie (CMI) :  Gestion de l'Energie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21028&g_ta_cod=21028", 100.0, 0.0, 0.0),
(13034, "Privé sous contrat d'association", "0753915Y", "Lycée Blomet", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "CPGE", "Lycée Blomet - CPGE - ENS Rennes D1", "Classe préparatoire économique et commerciale", "", 48, 1701, 1218, 1698, 0, 1599, 156, 5, 1, 0, 0, 94, 3, 2, 0, 0, 1, 397, 1, 0, 397, 395, 39, 0, 0, 0, 0, 2, 179, 44, 34, 43, 1, 12.0, 40.0, 40.0, 0, 1, 44, 44, 0, 0, 0, 0, 0, 0, 9, 32, 3.0, 44, 0, 0, 1, 1, 9, 22, 27.27, 90.91, 90.91, 77.296875, 20.5, 50.0, 2.2998046875, 2.2998046875, 100.0, 0.0, 0.0, 0.0, 20.5, 72.7, 6.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 178.0, 13.0, 0.0, 0.0, 1.0, "Tous les candidats", 249.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "24367", "CPGE - ENS Rennes D1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24367&g_ta_cod=24367", 100.0, 0.0, 0.0),
(13035, "Privé sous contrat d'association", "0622199D", "Lycée Saint Denis", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Omer", "formation sélective", "BTS", "Lycée Saint Denis - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 259, 128, 194, 0, 32, 6, 46, 11, 55, 24, 61, 65, 4, 21, 14, 26, 112, 20, 0, 0, 27, 4, 36, 8, 36, 18, 13, 118, 18, 6, 10, 7, 8.0, 10.0, 14.0, 0, 3, 13, 2, 4, 7, 5, 0, 3, 6, 4, 0, 0.0, 1, 2, 7, 3, 3, 13, 13, 44.44, 55.56, 77.78, 33.296875, 100.0, 100.0, 23.09765625, 23.09765625, 72.1875, 0.0, 23.09765625, 46.1953125, 30.796875, 0.0, 0.0, 15.3984375, 7.69921875, 30.796875, 15.3984375, 53.796875, 53.796875, 24.0, 4.0, 35.0, 17.0, 24.0, "Tous les candidats sauf les Bac professionnels", 73.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 57.0, "7431", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7431&g_ta_cod=7431", 17.0, 28.0, 56.0),
(13036, "Privé sous contrat d'association", "0860755D", "Ensemble scolaire Isaac de l'Etoile Les Feuillants", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation sélective", "BTS", "Ensemble scolaire Isaac de l'Etoile Les Feuillants - BTS - Services - Tourisme", "BTS - Services", "", 70, 377, 283, 317, 0, 117, 18, 52, 10, 53, 17, 95, 60, 11, 7, 9, 33, 247, 46, 0, 0, 110, 17, 43, 8, 42, 12, 52, 256, 52, 39, 36, 16, 11.0, 36.0, 47.0, 0, 9, 35, 16, 7, 12, 17, 0, 12, 16, 7, 0, 0.0, 10, 2, 11, 0, 0, 32, 32, 21.15, 69.23, 90.38, 75.0, 91.390625, 91.390625, 0, 25.69921875, 67.296875, 0.0, 34.296875, 45.6953125, 20.0, 0.0, 0.0, 45.6953125, 28.59765625, 20.0, 5.69921875, 34.296875, 31.3984375, 100.0, 17.0, 46.0, 13.0, 72.0, "Tous les candidats sauf les Bac professionnels", 200.0, "Bacheliers professionnels toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 78.0, "10609", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10609&g_ta_cod=10609", 52.0, 21.0, 27.0),
(13037, "Public", "0311086M", "I.U.T de Toulouse", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BUT", "I.U.T de Toulouse - BUT - Génie chimique génie des procédés Parcours : Contrôle, pilotage et optimisation des Procédés - Conception des procédés et innovation technologique", "BUT - Production", "Contrôle, pilotage et optimisation des Procédés - Conception des procédés et innovation technologique", 102, 1462, 723, 1410, 0, 811, 123, 194, 54, 7, 3, 398, 52, 3, 15, 0, 34, 1249, 5, 0, 0, 774, 112, 141, 40, 2, 0, 332, 758, 102, 51, 98, 4, 20.0, 60.0, 95.0, 0, 14, 69, 56, 12, 1, 33, 0, 8, 27, 26, 7, 1.0, 49, 11, 1, 0, 0, 38, 38, 19.61, 58.82, 93.14, 50.0, 55.09375, 55.09375, 0, 20.296875, 67.59375, 0.0, 11.599609375, 39.09375, 37.6953125, 10.1, 1.4, 81.1875, 71.0, 17.3984375, 15.8984375, 1.39990234375, 1.39990234375, 408.0, 76.0, 2.0, 0.0, 255.0, "Tous les candidats sauf les Bac technologiques", 963.0, "Bacheliers technologiques toutes séries", 160, "", 0, "Liste d'appel propre à cette formation", 80.0, "4094", "BUT - Génie chimique génie des procédés Parcours : Contrôle, pilotage et optimisation des Procédés - Conception des procédés et innovation technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4094&g_ta_cod=4094", 80.0, 19.0, 1.0),
(13038, "Public", "0521032P", "Lycée Charles De Gaulle", "52", "Haute-Marne", "Grand Est", "Reims", "Chaumont", "formation sélective", "BTS", "Lycée Charles De Gaulle - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 15, 133, 14, 112, 0, 12, 1, 39, 8, 39, 5, 22, 21, 5, 4, 4, 8, 97, 10, 0, 0, 12, 1, 38, 7, 37, 4, 10, 83, 7, 1, 5, 2, 0.0, 5.0, 6.0, 0, 1, 5, 2, 0, 3, 2, 0, 3, 2, 0, 0, 0.0, 1, 0, 1, 3, 0, 3, 3, 0.0, 71.43, 85.71, 14.298828125, 60.0, 60.0, 60, 20.0, 71.390625, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 40.0, 20.0, 0.0, 0.0, 60.0, 20.0, 8.0, 0.0, 35.0, 5.0, 11.0, "Tous les candidats sauf les Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 87.0, "6186", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6186&g_ta_cod=6186", 43.0, 14.0, 43.0),
(13039, "Public", "0261277X", "Lycée Les Trois Sources", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Bourg-lès-Valence", "formation sélective", "BTS", "Lycée Les Trois Sources - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 747, 400, 738, 0, 50, 14, 289, 99, 253, 104, 146, 9, 0, 4, 0, 5, 381, 0, 0, 0, 33, 9, 135, 38, 180, 79, 33, 195, 26, 15, 26, 0, 5.0, 19.0, 26.0, 0, 7, 25, 1, 11, 13, 1, 0, 5, 13, 6, 1, 0.0, 1, 8, 11, 2, 2, 25, 25, 19.23, 73.08, 100.0, 57.6953125, 100.0, 100.0, 8, 28.0, 96.1875, 0.0, 20.0, 52.0, 24.0, 4.0, 0.0, 4.0, 4.0, 44.0, 32.0, 52.0, 44.0, 17.0, 4.0, 69.0, 29.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers technologiques toutes séries", 136, "Bacheliers professionnels toutes séries", 121, "Liste d'appel propre à cette formation", 39.0, "30549", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30549&g_ta_cod=30549", 8.0, 42.0, 50.0),
(13040, "Public", "0750681H", "ESAA Boulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "ESAA Boulle - DN MADE - Espace - - Spécialité : Petite échelle architecturale, architecture intérieure et design mobilier", "DN MADE", "- Spécialité : Petite échelle architecturale, architecture intérieure et design mobilier", 15, 2604, 2114, 2604, 0, 1281, 208, 447, 97, 114, 16, 762, 0, 0, 0, 0, 0, 157, 0, 0, 0, 57, 7, 58, 10, 2, 0, 40, 32, 15, 12, 15, 0, 5.0, 15.0, 15.0, 0, 2, 15, 11, 4, 0, 0, 0, 0, 1, 6, 8, 0.0, 11, 4, 0, 0, 0, 0, 5, 33.33, 100.0, 100.0, 80.0, 0.0, 33.296875, 0, 13.298828125, 100.0, 0.0, 0.0, 6.69921875, 40.0, 53.3, 0.0, 73.296875, 73.296875, 26.69921875, 26.69921875, 0.0, 0.0, 14.0, 2.0, 0.0, 0.0, 8.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 1.0, "21775", "DN MADE - Espace - - Spécialité : Petite échelle architecturale, architecture intérieure et design mobilier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21775&g_ta_cod=21775", 73.0, 27.0, 0.0),
(13041, "Public", "0670086E", "Lycée des métiers René Cassin", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "CPGE", "Lycée des métiers René Cassin - CPGE - ENS Rennes D1", "Classe préparatoire économique et commerciale", "", 36, 800, 577, 800, 0, 741, 76, 3, 1, 1, 1, 55, 0, 0, 0, 0, 0, 594, 0, 0, 594, 576, 57, 0, 0, 0, 0, 18, 83, 38, 32, 38, 0, 17.0, 36.0, 38.0, 0, 4, 38, 38, 0, 0, 0, 0, 0, 0, 12, 25, 1.0, 38, 0, 0, 0, 0, 34, 34, 44.74, 94.74, 100.0, 84.1875, 89.5, 89.5, 0, 10.5, 100.0, 0.0, 0.0, 0.0, 31.59765625, 65.8, 2.6, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 82.0, 10.0, 0.0, 0.0, 1.0, "Tous les candidats", 97.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 12.0, "7943", "CPGE - ENS Rennes D1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7943&g_ta_cod=7943", 100.0, 0.0, 0.0),
(13042, "Public", "9741204R", "Université de la Réunion - Le Tampon", "974", "La Réunion", "La Réunion", "La Réunion", "Le Tampon", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Portail Economie et gestion", "Licence - Droit-économie-gestion", ": Université de la Réunion - Le Tampon", 130, 988, 539, 780, 0, 380, 143, 158, 103, 50, 37, 192, 208, 18, 22, 44, 124, 780, 192, 0, 0, 380, 143, 158, 103, 50, 37, 192, 740, 104, 53, 47, 57, 8.0, 45.0, 79.0, 0, 28, 48, 25, 7, 16, 56, 1, 28, 11, 6, 2, 0.0, 13, 2, 4, 0, 0, 42, 42, 7.69, 43.27, 75.96, 51.0, 87.5, 87.5, 0, 58.296875, 46.1953125, 2.099609375, 58.296875, 22.8984375, 12.5, 4.2, 0.0, 52.09375, 27.09765625, 14.599609375, 4.19921875, 33.296875, 8.298828125, 282.0, 102.0, 72.0, 55.0, 256.0, "Tous les candidats", 1481.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "26500", "Licence - Portail Economie et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26499&g_ta_cod=26500", 50.0, 21.0, 28.0),
(13043, "Public", "0260035X", "Lycée CAMILLE VERNET", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Valence", "formation sélective", "CPGE", "Lycée CAMILLE VERNET - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 24, 222, 102, 216, 154, 172, 12, 0, 0, 0, 0, 44, 6, 4, 0, 0, 2, 172, 6, 26, 167, 153, 10, 0, 0, 0, 0, 19, 163, 5, 3, 4, 1, 4.0, 4.0, 5.0, 0, 0, 3, 3, 0, 0, 2, 0, 0, 0, 3, 0, 0.0, 3, 0, 0, 1, 1, 3, 3, 80.0, 80.0, 100.0, 60.0, 100.0, 100.0, 33.296875, 0.0, 60.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 145.0, 11.0, 0.0, 0.0, 18.0, "Tous les candidats", 184.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "31301", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31301&g_ta_cod=31301", 100.0, 0.0, 0.0),
(13044, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Langues étrangères appliquées - Parcours Anglais/Allemand", "Licence - Arts-lettres-langues", "Anglais/Allemand", 65, 297, 195, 256, 0, 177, 40, 18, 7, 9, 4, 52, 41, 5, 5, 0, 31, 256, 20, 0, 0, 177, 40, 18, 7, 9, 4, 52, 277, 32, 23, 26, 6, 25.0, 25.0, 29.0, 0, 8, 26, 24, 2, 0, 6, 0, 8, 9, 6, 2, 1.0, 17, 1, 0, 0, 0, 23, 23, 78.13, 78.13, 90.63, 71.890625, 88.5, 88.5, 0, 30.796875, 81.296875, 0.0, 30.796875, 34.59375, 23.09765625, 7.7, 3.8, 92.296875, 65.390625, 7.69921875, 3.7998046875, 0.0, 0.0, 180.0, 41.0, 9.0, 4.0, 66.0, "Tous les candidats", 256.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2887", "Licence - Langues étrangères appliquées - Parcours Anglais/Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2887&g_ta_cod=2887", 91.0, 9.0, 0.0),
(13045, "Public", "0210015C", "Lycée Carnot", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "CPGE", "Lycée Carnot - CPGE - MP2I", "Classe préparatoire scientifique", "", 48, 1233, 261, 1190, 894, 844, 93, 1, 0, 0, 0, 345, 43, 32, 0, 1, 10, 501, 5, 291, 468, 494, 54, 0, 0, 0, 0, 7, 332, 46, 5, 42, 4, 2.0, 27.0, 42.0, 5, 4, 46, 46, 0, 0, 0, 1, 0, 6, 31, 8, 0.0, 45, 0, 0, 3, 0, 19, 19, 4.35, 58.7, 91.3, 10.8984375, 41.296875, 41.296875, 6.5, 8.69921875, 100.0, 2.19970703125, 0.0, 13.0, 67.390625, 17.4, 0.0, 100.0, 97.796875, 0.0, 0.0, 0.0, 0.0, 328.0, 32.0, 0.0, 0.0, 4.0, "Tous les candidats", 483.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "32107", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32107&g_ta_cod=32107", 100.0, 0.0, 0.0),
(13046, "Public", "0772551E", "Ecole Nationale Supérieure d'Architecture de la ville et des territoires à Marne-la-Vallée", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Marne-la-Vallée", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture de la ville et des territoires à Marne-la-Vallée - Architecture", "Formations Bac + 5", "", 100, 1814, 1082, 1814, 0, 1118, 220, 139, 42, 47, 23, 510, 0, 0, 0, 0, 0, 555, 0, 0, 0, 420, 59, 55, 12, 16, 6, 64, 225, 99, 63, 99, 0, 34.0, 93.0, 97.0, 0, 13, 82, 74, 5, 3, 17, 0, 0, 13, 44, 23, 2.0, 74, 5, 3, 0, 0, 23, 45, 34.34, 93.94, 97.98, 63.59375, 28.0, 54.8984375, 0, 15.8984375, 82.796875, 0.0, 0.0, 15.8984375, 53.6953125, 28.0, 2.4, 90.1875, 90.1875, 6.099609375, 6.099609375, 3.69970703125, 3.69970703125, 177.0, 27.0, 4.0, 1.0, 30.0, "Tous les candidats", 270.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "9938", "Architecture", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9938&g_ta_cod=9938", 91.0, 5.0, 4.0),
(13047, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Licence", "Université de Bourgogne - site de Dijon - Licence - Double diplôme - Licence Histoire - Histoire Parcours bidisciplinaire binational franco-allemand : Histoire-Allemand / Histoire-Lettres", "Licence - Sciences humaines et sociales", "Histoire Parcours bidisciplinaire binational franco-allemand : Histoire-Allemand / Histoire-Lettres", 10, 38, 23, 32, 0, 26, 2, 0, 0, 0, 0, 6, 6, 1, 1, 0, 4, 26, 1, 0, 0, 23, 2, 0, 0, 0, 0, 3, 24, 5, 2, 4, 1, 3.0, 4.0, 4.0, 0, 2, 4, 4, 0, 0, 1, 0, 0, 0, 2, 2, 0.0, 4, 0, 0, 0, 0, 3, 3, 60.0, 80.0, 80.0, 40.0, 75.0, 75.0, 0, 50.0, 80.0, 0.0, 0.0, 0.0, 50.0, 50.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 20.0, 2.0, 0.0, 0.0, 4.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "19587", "Licence - Double diplôme - Licence Histoire - Histoire Parcours bidisciplinaire binational franco-allemand : Histoire-Allemand / Histoire-Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19587&g_ta_cod=19587", 100.0, 0.0, 0.0),
(13048, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "Licence", "Université Clermont Auvergne - Licence - Langues étrangères appliquées - Parcours Anglais/Portugais", "Licence - Arts-lettres-langues", "Anglais/Portugais", 12, 58, 42, 50, 0, 30, 6, 3, 0, 4, 1, 13, 8, 1, 1, 1, 5, 47, 3, 0, 0, 30, 6, 3, 0, 3, 1, 11, 37, 12, 8, 9, 3, 2.0, 9.0, 11.0, 0, 2, 9, 5, 2, 2, 3, 0, 3, 4, 2, 0, 0.0, 4, 1, 1, 0, 0, 9, 9, 16.67, 75.0, 91.67, 66.6875, 100.0, 100.0, 0, 22.19921875, 75.0, 0.0, 33.296875, 44.3984375, 22.19921875, 0.0, 0.0, 55.59375, 44.3984375, 22.19921875, 11.099609375, 22.19921875, 11.099609375, 22.0, 4.0, 2.0, 0.0, 10.0, "Tous les candidats", 47.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "7631", "Licence - Langues étrangères appliquées - Parcours Anglais/Portugais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7631&g_ta_cod=7631", 67.0, 17.0, 17.0),
(13049, "Public", "0060014H", "Lycée Jules Ferry", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Cannes", "formation sélective", "BTS", "Lycée Jules Ferry - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 26, 225, 16, 213, 0, 10, 0, 68, 13, 63, 20, 72, 12, 0, 1, 6, 5, 121, 7, 0, 0, 10, 0, 52, 9, 43, 13, 16, 94, 25, 1, 20, 4, 2.0, 16.0, 18.0, 0, 6, 19, 0, 12, 7, 6, 0, 8, 9, 2, 0, 0.0, 0, 7, 4, 10, 0, 19, 19, 8.0, 64.0, 72.0, 4.0, 100.0, 100.0, 52.59375, 31.59765625, 76.0, 0.0, 42.09375, 47.3984375, 10.5, 0.0, 0.0, 0.0, 0.0, 63.1953125, 36.796875, 36.796875, 21.09765625, 8.0, 0.0, 38.0, 11.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 43, "Bacheliers technologiques toutes séries", 52, "Liste d'appel propre à cette formation", 49.0, "2195", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2195&g_ta_cod=2195", 4.0, 60.0, 36.0),
(13050, "Public", "0250011B", "Lycée Jules Haag", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Jules Haag - BTS - Production - Conception et industrialisation en microtechniques", "BTS - Production", "", 24, 340, 23, 340, 0, 60, 6, 124, 19, 102, 29, 54, 0, 0, 0, 0, 0, 200, 0, 0, 0, 48, 5, 77, 9, 50, 12, 25, 97, 25, 3, 25, 0, 6.0, 23.0, 25.0, 0, 6, 23, 4, 8, 11, 2, 0, 4, 13, 6, 0, 0.0, 2, 8, 9, 6, 0, 17, 17, 24.0, 92.0, 100.0, 12.0, 73.890625, 73.890625, 26.09765625, 26.09765625, 92.0, 0.0, 17.3984375, 56.5, 26.09765625, 0.0, 0.0, 17.3984375, 8.69921875, 34.796875, 34.796875, 47.796875, 39.09375, 25.0, 5.0, 35.0, 9.0, 4.0, "Tous les candidats sauf les Bac professionnels", 82.0, "Bacheliers professionnels toutes séries", 50, "", 0, "Liste d'appel propre à cette formation", 39.0, "3474", "BTS - Production - Conception et industrialisation en microtechniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3474&g_ta_cod=3474", 20.0, 32.0, 44.0),
(13051, "Public", "0300021K", "Lycée Alphonse DAUDET", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "Autre formation", "Lycée Alphonse DAUDET - CPES - Générale", "Classe préparatoire aux études supérieures", "", 24, 139, 67, 134, 0, 93, 30, 3, 1, 2, 2, 36, 5, 1, 0, 1, 3, 89, 1, 0, 0, 87, 27, 0, 0, 0, 0, 2, 79, 21, 9, 20, 1, 6.0, 17.0, 20.0, 0, 5, 21, 21, 0, 0, 0, 0, 6, 10, 5, 0, 0.0, 15, 0, 0, 0, 0, 19, 19, 28.57, 80.95, 95.24, 42.8984375, 90.5, 90.5, 0, 23.796875, 100.0, 0.0, 28.59765625, 47.59375, 23.796875, 0.0, 0.0, 100.0, 71.390625, 0.0, 0.0, 0.0, 0.0, 78.0, 23.0, 0.0, 0.0, 1.0, "Tous les candidats", 87.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "3931", "CPES - Générale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3931&g_ta_cod=3931", 100.0, 0.0, 0.0),
(13052, "Privé sous contrat d'association", "0132828D", "Lycée CADENELLE", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 12e  Arrondissement", "formation sélective", "BTS", "Lycée CADENELLE - BTS - Services - Diététique", "BTS - Services", "", 36, 578, 483, 578, 0, 143, 32, 128, 46, 56, 20, 251, 0, 0, 0, 0, 0, 326, 0, 0, 0, 91, 15, 74, 24, 27, 6, 134, 150, 36, 25, 36, 0, 9.0, 17.0, 26.0, 0, 3, 9, 4, 4, 1, 27, 0, 1, 7, 1, 0, 0.0, 3, 4, 1, 1, 1, 9, 9, 25.0, 47.22, 72.22, 69.390625, 100.0, 100.0, 11.099609375, 33.296875, 25.0, 0.0, 11.099609375, 77.796875, 11.099609375, 0.0, 0.0, 44.3984375, 33.296875, 44.3984375, 44.3984375, 11.099609375, 11.099609375, 33.0, 8.0, 3.0, 2.0, 85.0, "Tous les candidats sauf les Bac professionnels", 156.0, "Bacheliers professionnels toutes séries", 5, "", 0, "Liste d'appel propre à cette formation", 28.0, "2783", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2783&g_ta_cod=2783", 67.0, 28.0, 6.0),
(13053, "Public", "0910727W", "Lycée Parc de Vilgenis", "91", "Essonne", "Ile-de-France", "Versailles", "Massy", "formation sélective", "BTS", "Lycée Parc de Vilgenis - BTS - Services - Notariat", "BTS - Services", "", 35, 804, 592, 804, 0, 95, 28, 264, 104, 133, 60, 312, 0, 0, 0, 0, 0, 471, 0, 0, 0, 57, 17, 190, 72, 79, 33, 145, 136, 31, 27, 31, 0, 7.0, 26.0, 30.0, 0, 10, 27, 1, 18, 8, 4, 0, 5, 19, 3, 0, 0.0, 1, 15, 6, 2, 2, 19, 27, 22.58, 83.87, 96.77, 87.09375, 70.390625, 100.0, 7.3994140625, 37.0, 87.09375, 0.0, 18.5, 70.390625, 11.099609375, 0.0, 0.0, 3.69970703125, 3.69970703125, 66.6875, 55.59375, 29.59765625, 22.19921875, 11.0, 3.0, 40.0, 16.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 72, "Bacheliers technologiques toutes séries", 108, "Liste d'appel propre à cette formation", 26.0, "10882", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10882&g_ta_cod=10882", 6.0, 65.0, 29.0),
(13054, "Privé sous contrat d'association", "0783720V", "ESEO Paris - Vélizy", "78", "Yvelines", "Ile-de-France", "Versailles", "Vélizy-Villacoublay", "formation sélective", "Ecole d'Ingénieur", "ESEO Angers - Formation d'ingénieur Bac + 5 -  Prépas Technologies, Humanités et International", "Formations  des écoles d'ingénieurs", "Prépas Technologies, Humanités et International", 6, 52, 14, 32, 0, 13, 5, 3, 0, 0, 0, 16, 20, 6, 1, 0, 13, 19, 7, 0, 0, 12, 4, 0, 0, 0, 0, 7, 25, 2, 1, 0, 2, 0.0, 0.0, 2.0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 100.0, 50.0, 100.0, 100.0, 0, 0.0, 50.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 14.0, 4.0, 0.0, 0.0, 11.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 59.0, "32870", "Formation d'ingénieur Bac + 5 -  Prépas Technologies, Humanités et International", "ESEO Angers", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32869&g_ta_cod=32870", 50.0, 50.0, 0.0),
(13055, "Public", "0623957P", "Université d'Artois - Site d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation non sélective", "Licence", "Université d'Artois - Site d'Arras - Licence - Lettres - Parcours Lettres modernes", "Licence - Arts-lettres-langues", "Lettres modernes", 118, 576, 488, 525, 0, 372, 117, 19, 6, 10, 9, 124, 51, 10, 3, 2, 36, 525, 49, 0, 0, 372, 117, 19, 6, 10, 9, 124, 440, 118, 104, 93, 25, 27.0, 93.0, 110.0, 0, 23, 77, 66, 7, 4, 41, 2, 22, 35, 13, 2, 3.0, 48, 4, 1, 0, 0, 71, 71, 22.88, 78.81, 93.22, 88.09375, 92.1875, 92.1875, 0, 29.8984375, 65.296875, 2.599609375, 28.59765625, 45.5, 16.8984375, 2.6, 3.9, 85.6875, 62.296875, 9.099609375, 5.19921875, 5.19921875, 1.2998046875, 296.0, 94.0, 7.0, 6.0, 121.0, "Tous les candidats", 524.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7512", "Licence - Lettres - Parcours Lettres modernes", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7512&g_ta_cod=7512", 79.0, 13.0, 5.0),
(13056, "Privé hors contrat", "0623633M", "Institut de Formation en Ergothérapie de Berck sur Mer - Site de Berck", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Berck", "formation sélective", "Autre formation", "Institut de Formation en Ergothérapie de Berck sur Mer ? Site de Berck - D.E Ergothérapeute", "D.E secteur sanitaire", "", 60, 626, 550, 626, 0, 186, 18, 66, 5, 5, 1, 369, 0, 0, 0, 0, 0, 626, 0, 0, 0, 186, 18, 66, 5, 5, 1, 369, 165, 60, 56, 60, 0, 23.0, 52.0, 56.0, 0, 5, 33, 30, 2, 1, 27, 0, 1, 16, 8, 8, 0.0, 29, 2, 1, 0, 0, 16, 16, 38.33, 86.67, 93.33, 93.296875, 48.5, 48.5, 0, 15.19921875, 55.0, 0.0, 3.0, 48.5, 24.19921875, 24.2, 0.0, 90.890625, 87.890625, 6.099609375, 6.099609375, 3.0, 3.0, 70.0, 6.0, 1.0, 0.0, 90.0, "Tous les candidats", 165.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "25952", "D.E Ergothérapeute", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25952&g_ta_cod=25952", 95.0, 3.0, 2.0),
(13057, "Privé enseignement supérieur", "0340994W", "IDELCA Business School", "34", "Hérault", "Occitanie", "Montpellier", "Jacou", "formation sélective", "BTS", "IDELCA Business School - BTS - Services - Professions immobilières", "BTS - Services", "", 19, 469, 235, 467, 0, 112, 26, 167, 50, 66, 22, 122, 2, 0, 0, 0, 2, 423, 1, 0, 0, 108, 25, 154, 43, 53, 18, 108, 167, 15, 5, 15, 0, 0.0, 7.0, 9.0, 0, 4, 12, 6, 3, 3, 3, 0, 6, 6, 0, 0, 0.0, 3, 2, 1, 0, 0, 6, 6, 0.0, 46.67, 60.0, 33.296875, 50.0, 50.0, 0, 33.296875, 80.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 25.0, 25.0, 16.69921875, 25.0, 8.298828125, 58.0, 15.0, 29.0, 10.0, 34.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 90.0, "Bacheliers technologiques toutes séries", 50, "Bacheliers professionnels toutes séries", 37, "Liste d'appel propre à cette formation", 38.0, "30186", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30186&g_ta_cod=30186", 47.0, 33.0, 20.0),
(13058, "Public", "0310088C", "Lycée professionnel de l'Ameublement", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Revel", "formation sélective", "Autre formation", "Lycée professionnel de l'Ameublement - DN MADE - Patrimoine - - Spécialité : création et expérimentation en Marqueterie", "DN MADE", "- Spécialité : création et expérimentation en Marqueterie", 12, 65, 50, 65, 0, 20, 3, 13, 2, 5, 2, 27, 0, 0, 0, 0, 0, 65, 0, 0, 0, 20, 3, 13, 2, 5, 2, 27, 45, 12, 10, 12, 0, 3.0, 10.0, 10.0, 0, 0, 5, 2, 2, 1, 7, 0, 2, 1, 2, 0, 0.0, 1, 1, 1, 0, 0, 0, 0, 25.0, 83.33, 83.33, 83.296875, 0.0, 0.0, 0, 0.0, 41.6953125, 0.0, 40.0, 20.0, 40.0, 0.0, 0.0, 40.0, 20.0, 40.0, 20.0, 20.0, 20.0, 13.0, 3.0, 4.0, 1.0, 17.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "21987", "DN MADE - Patrimoine - - Spécialité : création et expérimentation en Marqueterie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21987&g_ta_cod=21987", 33.0, 25.0, 25.0),
(13059, "Privé sous contrat d'association", "0753602H", "ETSUP", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "EFTS", "ETSUP - D.E Educateur de Jeunes Enfants", "D.E secteur social", "", 34, 300, 282, 300, 0, 66, 6, 56, 7, 52, 7, 126, 0, 0, 0, 0, 0, 169, 0, 0, 0, 30, 2, 29, 4, 25, 3, 85, 93, 33, 31, 33, 0, 9.0, 29.0, 31.0, 0, 0, 15, 8, 5, 2, 18, 0, 4, 8, 2, 1, 0.0, 4, 5, 2, 0, 0, 2, 9, 27.27, 87.88, 93.94, 93.890625, 13.298828125, 60.0, 0, 0.0, 45.5, 0.0, 26.69921875, 53.296875, 13.298828125, 6.7, 0.0, 53.296875, 26.69921875, 33.296875, 33.296875, 13.298828125, 13.298828125, 17.0, 1.0, 13.0, 1.0, 52.0, "Tous les candidats", 142.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 47.0, "24992", "D.E Educateur de Jeunes Enfants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24992&g_ta_cod=24992", 52.0, 33.0, 12.0),
(13060, "Public", "0952261S", "CY TECH - Université de Cergy-Pontoise", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Ecole d'Ingénieur", "Concours GalaxY - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "Double diplôme - Ingénieur en Mathématiques et Informatique - Manager", 80, 336, 72, 321, 0, 309, 43, 0, 0, 0, 0, 12, 15, 8, 0, 0, 7, 214, 4, 0, 0, 214, 26, 0, 0, 0, 0, 0, 206, 31, 6, 28, 3, 14.0, 28.0, 31.0, 0, 4, 31, 31, 0, 0, 0, 0, 6, 15, 9, 1, 0.0, 25, 0, 0, 0, 0, 16, 23, 45.16, 90.32, 100.0, 19.3984375, 51.59375, 74.1875, 0, 12.8984375, 100.0, 0.0, 19.3984375, 48.3984375, 29.0, 3.2, 0.0, 100.0, 80.59375, 0.0, 0.0, 0.0, 0.0, 206.0, 27.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "31241", "Formation d'ingénieur Bac + 5", "Concours GalaxY", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31208&g_ta_cod=31241", 100.0, 0.0, 0.0),
(13061, "Public", "0641478J", "I.U.T. de Bayonne", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Anglet", "formation sélective", "BUT", "I.U.T. de Bayonne - BUT - Génie industriel et maintenance Parcours : Parcours : Ingénierie des systèmes pluritechniques (ISP) - Parcours : Management, méthodes, maintenance innovante (3MI)", "BUT - Production", "Parcours : Ingénierie des systèmes pluritechniques (ISP) - Parcours : Management, méthodes, maintenance innovante (3MI)", 36, 414, 21, 408, 0, 207, 21, 128, 17, 3, 0, 70, 6, 0, 1, 0, 5, 319, 1, 0, 0, 174, 16, 101, 10, 0, 0, 44, 219, 30, 1, 29, 1, 1.0, 20.0, 29.0, 0, 3, 27, 15, 12, 0, 3, 0, 8, 17, 2, 0, 0.0, 10, 9, 0, 0, 0, 23, 23, 3.33, 66.67, 96.67, 3.2998046875, 85.1875, 85.1875, 0, 11.099609375, 90.0, 0.0, 29.59765625, 63.0, 7.3994140625, 0.0, 0.0, 55.59375, 37.0, 44.3984375, 33.296875, 0.0, 0.0, 109.0, 10.0, 0.0, 0.0, 36.0, "Tous les candidats sauf les Bac technologiques", 207.0, "Bacheliers technologiques toutes séries", 110, "", 0, "Liste d'appel propre à cette formation", 78.0, "7757", "BUT - Génie industriel et maintenance Parcours : Parcours : Ingénierie des systèmes pluritechniques (ISP) - Parcours : Management, méthodes, maintenance innovante (3MI)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7757&g_ta_cod=7757", 60.0, 40.0, 0.0),
(13062, "Public", "0561739L", "Université de Bretagne Sud - Site de Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation non sélective", "Licence", "Université de Bretagne Sud - Site de Vannes - Licence - Portail Economie et gestion - Marketing vente, Economie appliquée, Comptabilité Finance, Management des organisations,", "Licence - Droit-économie-gestion", "Marketing vente, Economie appliquée, Comptabilité Finance, Management des organisations,", 217, 2270, 1161, 2154, 0, 1362, 179, 297, 69, 32, 13, 463, 116, 27, 8, 1, 80, 2083, 55, 0, 0, 1362, 179, 297, 69, 32, 13, 392, 1516, 181, 86, 154, 27, 15.0, 140.0, 161.0, 0, 21, 121, 101, 18, 2, 60, 0, 62, 46, 11, 2, 0.0, 53, 5, 1, 0, 0, 92, 92, 8.29, 77.35, 88.95, 47.5, 76.0, 76.0, 0, 17.3984375, 66.890625, 0.0, 51.1953125, 38.0, 9.099609375, 1.7, 0.0, 83.5, 43.796875, 14.8984375, 4.099609375, 1.699951171875, 0.7999267578125, 1005.0, 118.0, 16.0, 7.0, 280.0, "Tous les candidats", 2149.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 97.0, "6508", "Licence - Portail Economie et gestion - Marketing vente, Economie appliquée, Comptabilité Finance, Management des organisations,", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26727&g_ta_cod=6508", 78.0, 19.0, 3.0),
(13063, "Privé sous contrat d'association", "0931797Y", "Lycée Jean-Baptiste de La Salle", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Saint-Denis", "formation sélective", "BTS", "Lycée Jean-Baptiste de La Salle - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 186, 6, 101, 0, 1, 1, 13, 6, 61, 25, 26, 85, 0, 0, 59, 26, 33, 9, 0, 0, 0, 0, 4, 2, 27, 10, 2, 39, 7, 0, 3, 4, 1.0, 3.0, 7.0, 0, 2, 6, 0, 0, 6, 1, 0, 2, 3, 1, 0, 0.0, 0, 0, 4, 0, 0, 1, 6, 14.29, 42.86, 100.0, 0.0, 16.69921875, 100.0, 0, 33.296875, 85.6875, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 30.0, 10.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 5, "Liste d'appel propre à cette formation", 33.0, "11289", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11289&g_ta_cod=11289", 0.0, 0.0, 100.0),
(13064, "Public", "0632035V", "Université Clermont Auvergne", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation non sélective", "PASS", "Université Clermont Auvergne - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Accès à Kinésithérapie + Ergothérapie +  Orthoptie", 40, 1679, 990, 1679, 0, 1345, 142, 62, 7, 7, 1, 265, 0, 0, 0, 0, 0, 1679, 0, 0, 0, 1345, 142, 62, 7, 7, 1, 265, 155, 40, 23, 40, 0, 8.0, 35.0, 38.0, 0, 7, 39, 39, 0, 0, 1, 0, 1, 15, 14, 8, 1.0, 38, 0, 0, 0, 0, 35, 35, 20.0, 87.5, 95.0, 57.5, 89.6875, 89.6875, 0, 17.8984375, 97.5, 0.0, 2.599609375, 38.5, 35.8984375, 20.5, 2.6, 100.0, 97.390625, 0.0, 0.0, 0.0, 0.0, 154.0, 19.0, 0.0, 0.0, 1.0, "Tous les candidats", 300.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 12.0, "32155", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32152&g_ta_cod=32155", 100.0, 0.0, 0.0),
(13065, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Science politique - Parcours Science politique option Journalisme (Académie ESJ)", "Licence - Droit-économie-gestion", "Science politique option Journalisme (Académie ESJ)", 50, 2609, 1584, 2609, 0, 2176, 228, 15, 5, 4, 3, 414, 0, 0, 0, 0, 0, 1099, 0, 0, 0, 939, 72, 4, 0, 2, 2, 154, 129, 50, 28, 50, 0, 19.0, 45.0, 47.0, 0, 6, 45, 45, 0, 0, 5, 0, 0, 0, 12, 31, 2.0, 45, 0, 0, 0, 0, 5, 5, 38.0, 90.0, 94.0, 56.0, 11.099609375, 11.099609375, 0, 13.298828125, 90.0, 0.0, 0.0, 0.0, 26.69921875, 68.9, 4.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 119.0, 13.0, 0.0, 0.0, 10.0, "Tous les candidats", 139.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 5.0, "21081", "Licence - Science politique - Parcours Science politique option Journalisme (Académie ESJ)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21081&g_ta_cod=21081", 100.0, 0.0, 0.0),
(13066, "Public", "0751717J", "Université Paris 1 Panthéon Sorbonne", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Licence", "Université Paris 1 Panthéon Sorbonne - Double licence - Droit / Histoire de l'art et archéologie - Droit - Histoire de l'art et archéologie", "Licence - Droit-économie-gestion", "Droit - Histoire de l'art et archéologie", 60, 1157, 930, 1157, 0, 847, 82, 14, 3, 3, 0, 293, 0, 0, 0, 0, 0, 399, 0, 0, 0, 267, 19, 5, 1, 0, 0, 127, 157, 59, 46, 59, 0, 23.0, 46.0, 50.0, 0, 7, 40, 39, 1, 0, 19, 0, 1, 3, 7, 27, 2.0, 38, 1, 0, 0, 0, 8, 18, 38.98, 77.97, 84.75, 78.0, 20.0, 45.0, 0, 17.5, 67.796875, 0.0, 2.5, 7.5, 17.5, 67.5, 5.0, 97.5, 95.0, 2.5, 2.5, 0.0, 0.0, 109.0, 14.0, 0.0, 0.0, 46.0, "Tous les candidats", 184.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 16.0, "9199", "Double licence - Droit / Histoire de l'art et archéologie - Droit - Histoire de l'art et archéologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9199&g_ta_cod=9199", 98.0, 2.0, 0.0),
(13067, "Public", "0511913C", "Centre régional associé au conservatoire national des arts et métiers Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Châlons-en-Champagne", "formation sélective", "Autre formation", "Centre régional associé au conservatoire national des arts et métiers Champagne-Ardenne - Formation Supérieure de Spécialisation - Informatique et Numérique - Devops", "Diplôme d'Université", "Informatique et Numérique - Devops", 15, 78, 15, 62, 0, 19, 8, 7, 2, 4, 3, 32, 16, 0, 1, 0, 15, 12, 7, 0, 0, 8, 5, 2, 1, 1, 1, 1, 24, 7, 0, 1, 2, 1.0, 1.0, 2.0, 0, 1, 2, 1, 0, 1, 5, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 14.29, 14.29, 28.57, 0.0, 50.0, 50.0, 0, 50.0, 28.59765625, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 0.0, 0.0, 50.0, 50.0, 9.0, 6.0, 3.0, 1.0, 10.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "34138", "Formation Supérieure de Spécialisation - Informatique et Numérique - Devops", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=34138&g_ta_cod=34138", 71.0, 14.0, 14.0),
(13068, "Public", "9710003B", "Lycée Baimbridge", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "CPGE", "Lycée Baimbridge - CPGE - BCPST", "Classe préparatoire scientifique", "", 45, 484, 310, 403, 248, 271, 58, 9, 3, 1, 1, 122, 81, 43, 3, 1, 34, 195, 14, 145, 176, 178, 32, 0, 0, 0, 0, 17, 172, 34, 26, 30, 1, 6.0, 24.0, 31.0, 14, 8, 32, 32, 0, 0, 1, 0, 2, 8, 15, 5, 2.0, 30, 0, 0, 3, 2, 27, 27, 17.65, 70.59, 91.18, 76.5, 84.390625, 84.390625, 9.3984375, 25.0, 94.09375, 0.0, 6.2998046875, 25.0, 46.8984375, 15.6, 6.3, 100.0, 93.796875, 0.0, 0.0, 0.0, 0.0, 157.0, 30.0, 0.0, 0.0, 15.0, "Tous les candidats", 192.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "11735", "CPGE - BCPST", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11735&g_ta_cod=11735", 100.0, 0.0, 0.0),
(13069, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation non sélective", "Licence", "Université de Toulon - Licence - Sciences pour l'ingénieur - Parcours Licence Sciences pour l'Ingénieur", "Licence - Sciences - technologies - santé", "Licence Sciences pour l'Ingénieur", 90, 786, 149, 679, 0, 372, 79, 102, 17, 5, 3, 200, 107, 20, 5, 1, 81, 645, 89, 0, 0, 372, 79, 102, 17, 5, 3, 166, 556, 60, 7, 39, 21, 0.0, 39.0, 45.0, 0, 9, 36, 29, 6, 1, 24, 0, 28, 7, 1, 0, 0.0, 5, 3, 0, 0, 0, 27, 27, 0.0, 65.0, 75.0, 11.69921875, 75.0, 75.0, 0, 25.0, 60.0, 0.0, 77.796875, 19.3984375, 2.7998046875, 0.0, 0.0, 80.59375, 13.8984375, 16.69921875, 8.298828125, 2.7998046875, 0.0, 311.0, 58.0, 2.0, 2.0, 202.0, "Tous les candidats", 645.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 95.0, "15128", "Licence - Sciences pour l'ingénieur - Parcours Licence Sciences pour l'Ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15128&g_ta_cod=15128", 73.0, 22.0, 5.0),
(13070, "Privé sous contrat d'association", "0220116G", "Lycée/Pôle supérieur Saint BRIEUC", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée/Pôle supérieur Saint BRIEUC - BTS - Services - Gestion de la PME", "BTS - Services", "", 35, 307, 176, 292, 0, 21, 2, 120, 25, 83, 17, 68, 15, 0, 1, 8, 6, 217, 2, 0, 0, 15, 0, 103, 22, 73, 14, 26, 152, 21, 12, 21, 0, 0.0, 18.0, 21.0, 0, 3, 21, 2, 10, 9, 0, 0, 8, 9, 4, 0, 0.0, 0, 6, 7, 0, 0, 21, 21, 0.0, 85.71, 100.0, 57.09375, 100.0, 100.0, 0, 14.298828125, 100.0, 0.0, 38.09375, 42.8984375, 19.0, 0.0, 0.0, 9.5, 0.0, 47.59375, 28.59765625, 42.8984375, 33.296875, 12.0, 0.0, 56.0, 11.0, 21.0, "Tous les candidats sauf les Bac professionnels", 134.0, "Bacheliers professionnels toutes séries", 76, "", 0, "Liste d'appel propre à cette formation", 72.0, "3343", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3343&g_ta_cod=3343", 10.0, 48.0, 43.0),
(13071, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence_Las", "Université de Nantes - Licence - Portail Sciences de la vie et de la terre - BGC", "Licence - Sciences - technologies - santé", "BGC", 36, 1454, 1004, 1454, 0, 913, 130, 29, 11, 1, 0, 511, 0, 0, 0, 0, 0, 1454, 0, 0, 0, 913, 130, 29, 11, 1, 0, 511, 417, 32, 23, 32, 0, 0.0, 8.0, 20.0, 0, 6, 26, 26, 0, 0, 6, 0, 3, 13, 9, 1, 0.0, 23, 0, 0, 0, 0, 22, 22, 0.0, 25.0, 62.5, 71.890625, 84.59375, 84.59375, 0, 23.09765625, 81.296875, 0.0, 11.5, 50.0, 34.59375, 3.8, 0.0, 100.0, 88.5, 0.0, 0.0, 0.0, 0.0, 256.0, 47.0, 0.0, 0.0, 157.0, "Tous les candidats", 1029.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 46.0, "32041", "Licence - Portail Sciences de la vie et de la terre - BGC", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32040&g_ta_cod=32041", 97.0, 3.0, 0.0),
(13072, "Public", "0580032V", "Lycée Raoul Follereau", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Nevers", "formation sélective", "BTS", "Lycée Raoul Follereau - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 642, 321, 619, 0, 64, 17, 109, 41, 123, 47, 323, 23, 3, 10, 0, 10, 211, 5, 0, 0, 50, 14, 66, 21, 89, 37, 6, 103, 22, 10, 18, 3, 5.0, 16.0, 19.0, 0, 3, 19, 5, 5, 9, 3, 0, 9, 3, 7, 0, 0.0, 0, 2, 8, 6, 3, 18, 18, 22.73, 72.73, 86.36, 45.5, 94.6875, 94.6875, 31.59765625, 15.798828125, 86.390625, 0.0, 47.3984375, 15.798828125, 36.796875, 0.0, 0.0, 26.296875, 0.0, 26.296875, 10.5, 47.3984375, 42.09375, 38.0, 11.0, 30.0, 11.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 22.0, "6679", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6679&g_ta_cod=6679", 27.0, 32.0, 41.0),
(13073, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "Université Angers - Année préparatoire - Mise à niveau scientifique - MAN MPC (Maths Physique Chimie)", "Année préparatoire", "Mise à niveau scientifique - MAN MPC (Maths Physique Chimie)", 30, 223, 86, 167, 0, 60, 11, 20, 5, 2, 0, 85, 56, 17, 6, 0, 33, 29, 8, 0, 0, 16, 1, 3, 0, 0, 0, 10, 37, 9, 6, 7, 2, 7.0, 7.0, 8.0, 0, 0, 6, 5, 1, 0, 3, 0, 3, 1, 1, 1, 0.0, 2, 1, 0, 0, 0, 4, 4, 77.78, 77.78, 88.89, 66.6875, 66.6875, 66.6875, 0, 0.0, 66.6875, 0.0, 50.0, 16.69921875, 16.69921875, 16.7, 0.0, 83.296875, 33.296875, 16.69921875, 16.69921875, 0.0, 0.0, 20.0, 2.0, 0.0, 0.0, 13.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "30992", "Année préparatoire - Mise à niveau scientifique - MAN MPC (Maths Physique Chimie)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30992&g_ta_cod=30992", 78.0, 22.0, 0.0),
(13074, "Public", "0830766G", "Université de Toulon", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation sélective", "Autre formation", "Université de Toulon - Diplôme d'Université - PAREO", "Diplôme d'Université", "", 25, 103, 48, 60, 0, 29, 9, 14, 4, 10, 7, 7, 43, 9, 12, 7, 15, 60, 20, 0, 0, 29, 9, 14, 4, 10, 7, 7, 72, 25, 11, 11, 12, 7.0, 11.0, 18.0, 0, 7, 20, 10, 7, 3, 5, 0, 12, 7, 1, 0, 0.0, 3, 3, 2, 0, 0, 17, 17, 28.0, 44.0, 72.0, 44.0, 85.0, 85.0, 0, 35.0, 80.0, 0.0, 60.0, 35.0, 5.0, 0.0, 0.0, 50.0, 15.0, 35.0, 15.0, 15.0, 10.0, 34.0, 8.0, 9.0, 6.0, 11.0, "Tous les candidats", 59.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "32293", "Diplôme d'Université - PAREO", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32293&g_ta_cod=32293", 48.0, 36.0, 12.0),
(13075, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Université de Lille - Licence - Portail Sciences sanitaires et sociales", "Licence - Sciences - technologies - santé", "", 100, 1774, 1496, 1213, 0, 331, 89, 338, 139, 32, 17, 512, 561, 138, 112, 37, 274, 702, 93, 0, 0, 227, 55, 144, 50, 4, 2, 327, 644, 56, 46, 27, 29, 13.0, 27.0, 35.0, 0, 4, 18, 10, 7, 1, 38, 0, 5, 8, 4, 1, 0.0, 7, 5, 1, 0, 0, 14, 14, 23.21, 48.21, 62.5, 82.09375, 77.796875, 77.796875, 0, 22.19921875, 32.09375, 0.0, 27.796875, 44.3984375, 22.19921875, 5.6, 0.0, 55.59375, 38.8984375, 38.8984375, 27.796875, 5.599609375, 5.599609375, 204.0, 50.0, 5.0, 3.0, 335.0, "Tous les candidats", 962.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 58.0, "7189", "Licence - Portail Sciences sanitaires et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29706&g_ta_cod=7189", 70.0, 21.0, 9.0),
(13076, "Public", "0330060L", "Lycée professionnel Flora Tristan", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Camblanes-et-Meynac", "formation sélective", "BTS", "Lycée professionnel Flora Tristan - BTS - Production - Aéronautique", "BTS - Production", "", 12, 878, 79, 878, 0, 220, 31, 226, 38, 198, 49, 234, 0, 0, 0, 0, 0, 755, 0, 0, 0, 220, 31, 226, 38, 97, 19, 212, 53, 11, 0, 11, 0, 3.0, 8.0, 10.0, 0, 0, 8, 1, 1, 6, 3, 0, 0, 1, 5, 2, 0.0, 1, 1, 6, 4, 0, 6, 6, 27.27, 72.73, 90.91, 0.0, 75.0, 75.0, 50, 0.0, 72.6875, 0.0, 0.0, 12.5, 62.5, 25.0, 0.0, 12.5, 12.5, 12.5, 12.5, 75.0, 75.0, 3.0, 1.0, 20.0, 4.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 39, "Liste d'appel propre à cette formation", 10.0, "13692", "BTS - Production - Aéronautique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13692&g_ta_cod=13692", 18.0, 18.0, 64.0),
(13077, "Privé enseignement supérieur", "0851415B", "ICES - Institut Catholique de Vendée", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "Licence", "ICES - Institut Catholique de Vendée - Double licence - Droit / Economie et gestion - Double Licence Droit / Economie-Gestion", "Licence - Droit-économie-gestion", "Double Licence Droit / Economie-Gestion", 40, 162, 87, 105, 0, 88, 8, 2, 0, 0, 0, 15, 57, 24, 4, 0, 29, 94, 8, 0, 0, 80, 6, 0, 0, 0, 0, 14, 88, 18, 11, 16, 2, 12.0, 16.0, 18.0, 0, 0, 17, 17, 0, 0, 1, 0, 0, 5, 9, 1, 2.0, 17, 0, 0, 0, 0, 4, 4, 66.67, 88.89, 100.0, 61.09375, 23.5, 23.5, 0, 0.0, 94.390625, 0.0, 0.0, 29.3984375, 52.8984375, 5.9, 11.8, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 73.0, 5.0, 0.0, 0.0, 15.0, "Tous les candidats", 92.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 88.0, "27500", "Double licence - Droit / Economie et gestion - Double Licence Droit / Economie-Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27500&g_ta_cod=27500", 100.0, 0.0, 0.0),
(13078, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues étrangères appliquées - Parcours LEA Anglais-Coréen", "Licence - Arts-lettres-langues", "LEA Anglais-Coréen", 50, 1138, 1039, 1138, 0, 596, 209, 76, 34, 66, 38, 400, 0, 0, 0, 0, 0, 1135, 0, 0, 0, 596, 209, 76, 34, 66, 38, 397, 156, 50, 47, 50, 0, 20.0, 46.0, 47.0, 0, 15, 39, 31, 3, 5, 11, 1, 2, 15, 15, 6, 0.0, 28, 3, 5, 0, 0, 37, 37, 40.0, 92.0, 94.0, 94.0, 94.890625, 94.890625, 0, 38.5, 78.0, 2.599609375, 5.099609375, 38.5, 38.5, 15.4, 0.0, 79.5, 71.796875, 7.69921875, 7.69921875, 12.798828125, 12.798828125, 107.0, 35.0, 12.0, 4.0, 29.0, "Tous les candidats", 198.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 17.0, "20513", "Licence - Langues étrangères appliquées - Parcours LEA Anglais-Coréen", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20513&g_ta_cod=20513", 74.0, 10.0, 16.0),
(13079, "Privé sous contrat d'association", "0940821G", "Lycée Gregor Mendel", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Vincennes", "formation sélective", "BTS", "Lycée Gregor Mendel - BTS - Services - Diététique", "BTS - Services", "", 24, 632, 489, 576, 0, 158, 34, 159, 38, 17, 8, 242, 56, 12, 0, 10, 34, 178, 14, 0, 0, 76, 17, 76, 21, 1, 0, 25, 117, 19, 13, 15, 4, 2.0, 12.0, 13.0, 0, 1, 16, 12, 4, 0, 3, 0, 6, 8, 2, 0, 0.0, 6, 4, 0, 0, 0, 10, 16, 10.53, 63.16, 68.42, 68.390625, 62.5, 100.0, 0, 6.2998046875, 84.1875, 0.0, 37.5, 50.0, 12.5, 0.0, 0.0, 75.0, 37.5, 25.0, 25.0, 0.0, 0.0, 57.0, 13.0, 1.0, 0.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 91.0, "Bacheliers technologiques toutes séries", 42, "Bacheliers professionnels toutes séries", 1, "Liste d'appel propre à cette formation", 23.0, "30052", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30052&g_ta_cod=30052", 74.0, 26.0, 0.0),
(13080, "Public", "0501219D", "Lycée Curie-Corot", "50", "Manche", "Normandie", "Normandie", "Saint-Lô", "formation sélective", "BTS", "Lycée Curie-Corot - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 23, 421, 198, 414, 0, 23, 2, 64, 18, 36, 15, 291, 7, 0, 1, 1, 5, 192, 3, 0, 0, 23, 2, 64, 18, 36, 15, 69, 122, 15, 10, 14, 1, 3.0, 10.0, 12.0, 0, 2, 11, 2, 6, 3, 4, 0, 3, 6, 2, 0, 0.0, 1, 5, 2, 2, 2, 10, 10, 20.0, 66.67, 80.0, 66.6875, 90.890625, 90.890625, 18.19921875, 18.19921875, 73.296875, 0.0, 27.296875, 54.5, 18.19921875, 0.0, 0.0, 18.19921875, 9.099609375, 54.5, 45.5, 27.296875, 18.19921875, 9.0, 2.0, 34.0, 15.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 29.0, "Bacheliers professionnels toutes séries", 41, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 36.0, "6025", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6025&g_ta_cod=6025", 27.0, 47.0, 27.0),
(13081, "Public", "0751720M", "Sorbonne Université - Lettres, Arts, Langues, Sciences Humaines et Sociales", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Sorbonne Université ? Lettres, Arts, Langues, Sciences Humaines et Sociales - Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER :  ANGLAIS", "Licence - Arts-lettres-langues", "LLCER :  ANGLAIS", 145, 2071, 1645, 2071, 0, 1375, 352, 81, 37, 28, 10, 587, 0, 0, 0, 0, 0, 2058, 0, 0, 0, 1375, 352, 81, 37, 28, 10, 574, 684, 144, 127, 144, 0, 10.0, 101.0, 130.0, 0, 38, 113, 111, 1, 1, 31, 2, 8, 47, 42, 13, 1.0, 101, 1, 1, 0, 0, 15, 93, 6.94, 70.14, 90.28, 88.1875, 13.298828125, 82.296875, 0, 33.59375, 78.5, 1.7998046875, 7.099609375, 41.59375, 37.1953125, 11.5, 0.9, 98.1875, 89.390625, 0.89990234375, 0.89990234375, 0.89990234375, 0.89990234375, 535.0, 140.0, 1.0, 0.0, 142.0, "Tous les candidats", 1072.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "9272", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - LLCER :  ANGLAIS", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28334&g_ta_cod=9272", 97.0, 1.0, 1.0),
(13082, "Public", "0922277A", "Lycée Charles Petiet", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Villeneuve-la-Garenne", "formation sélective", "BTS", "Lycée Charles Petiet - BTS - Production - Conception et réalisation de carrosseries", "BTS - Production", "", 15, 237, 14, 237, 0, 19, 8, 65, 22, 88, 40, 65, 0, 0, 0, 0, 0, 94, 0, 0, 0, 6, 2, 30, 9, 53, 21, 5, 51, 15, 0, 15, 0, 3.0, 15.0, 15.0, 0, 8, 15, 0, 2, 13, 0, 0, 7, 3, 5, 0, 0.0, 0, 2, 6, 3, 0, 5, 10, 20.0, 100.0, 100.0, 0.0, 33.296875, 66.6875, 20, 53.296875, 100.0, 0.0, 46.6953125, 20.0, 33.296875, 0.0, 0.0, 0.0, 0.0, 13.298828125, 13.298828125, 86.6875, 40.0, 4.0, 1.0, 40.0, 16.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 28.0, "11146", "BTS - Production - Conception et réalisation de carrosseries", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11146&g_ta_cod=11146", 0.0, 13.0, 87.0),
(13083, "Public", "0450042B", "Lycée des Métiers Durzy", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Villemandeur", "formation sélective", "BTS", "Lycée des Métiers Durzy - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 260, 22, 260, 0, 27, 6, 100, 25, 49, 11, 84, 0, 0, 0, 0, 0, 168, 0, 0, 0, 26, 6, 87, 21, 37, 8, 18, 124, 23, 1, 23, 0, 1.0, 17.0, 22.0, 0, 4, 17, 4, 10, 3, 6, 0, 11, 4, 1, 1, 0.0, 1, 2, 3, 5, 1, 15, 15, 4.35, 73.91, 95.65, 4.2998046875, 88.1875, 88.1875, 29.3984375, 23.5, 73.890625, 0.0, 64.6875, 23.5, 5.8994140625, 5.9, 0.0, 23.5, 5.8994140625, 58.796875, 11.798828125, 17.59765625, 17.59765625, 20.0, 4.0, 23.0, 5.0, 11.0, "Tous les candidats sauf les Bac professionnels", 119.0, "Bacheliers professionnels toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 62.0, "19834", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19834&g_ta_cod=19834", 22.0, 57.0, 22.0),
(13084, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes nordiques option : Islandais", "Licence - Arts-lettres-langues", "Etudes nordiques option : Islandais", 25, 62, 32, 52, 0, 30, 6, 6, 3, 1, 0, 15, 10, 1, 1, 0, 8, 52, 3, 0, 0, 30, 6, 6, 3, 1, 0, 15, 54, 6, 3, 6, 0, 6.0, 6.0, 6.0, 0, 1, 4, 3, 1, 0, 2, 0, 0, 3, 0, 1, 0.0, 3, 1, 0, 0, 0, 2, 2, 100.0, 100.0, 100.0, 50.0, 50.0, 50.0, 0, 25.0, 66.6875, 0.0, 0.0, 75.0, 0.0, 25.0, 0.0, 75.0, 75.0, 25.0, 25.0, 0.0, 0.0, 30.0, 6.0, 1.0, 0.0, 17.0, "Tous les candidats", 53.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "20180", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Etudes nordiques option : Islandais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20180&g_ta_cod=20180", 83.0, 17.0, 0.0),
(13085, "Public", "0751719L", "Université Sorbonne Nouvelle Paris 3", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation non sélective", "Licence", "Université Sorbonne Nouvelle Paris 3 - Licence - Cinéma et Audiovisuel - Parcours Cinéma et Audiovisuel - Mineure Théâtre", "Licence - Arts-lettres-langues", "Cinéma et Audiovisuel - Mineure Théâtre", 26, 1881, 1063, 1881, 0, 1090, 169, 122, 38, 77, 32, 592, 0, 0, 0, 0, 0, 1859, 0, 0, 0, 1090, 169, 122, 38, 77, 32, 570, 119, 25, 23, 25, 0, 2.0, 24.0, 25.0, 0, 5, 19, 18, 0, 1, 6, 1, 0, 0, 7, 10, 1.0, 17, 0, 1, 0, 0, 2, 6, 8.0, 96.0, 100.0, 92.0, 10.5, 31.59765625, 0, 26.296875, 76.0, 5.2998046875, 0.0, 0.0, 36.796875, 52.6, 5.3, 94.6875, 89.5, 0.0, 0.0, 5.2998046875, 5.2998046875, 84.0, 12.0, 5.0, 0.0, 25.0, "Tous les candidats", 180.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "9227", "Licence - Cinéma et Audiovisuel - Parcours Cinéma et Audiovisuel - Mineure Théâtre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9227&g_ta_cod=9227", 96.0, 0.0, 4.0),
(13086, "Public", "0590184E", "Lycée Jean Rostand", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "BTS - Services", "", 13, 824, 117, 824, 0, 289, 44, 118, 25, 68, 20, 349, 0, 0, 0, 0, 0, 200, 0, 0, 0, 101, 13, 18, 3, 36, 11, 45, 37, 13, 3, 13, 0, 3.0, 11.0, 12.0, 0, 3, 13, 9, 1, 3, 0, 0, 1, 0, 10, 2, 0.0, 9, 1, 2, 0, 0, 11, 11, 23.08, 84.62, 92.31, 23.09765625, 84.59375, 84.59375, 0, 23.09765625, 100.0, 0.0, 7.69921875, 0.0, 76.890625, 15.4, 0.0, 69.1875, 69.1875, 7.69921875, 7.69921875, 23.09765625, 15.3984375, 26.0, 4.0, 5.0, 1.0, 4.0, "Tous les candidats sauf les Bac professionnels", 44.0, "Bacheliers professionnels toutes séries", 6, "", 0, "Liste d'appel propre à cette formation", 6.0, "6816", "BTS - Services - Métiers de l'audio-visuel opt : métiers du son", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6816&g_ta_cod=6816", 69.0, 8.0, 23.0),
(13087, "Public", "0900355X", "Lycée professionnel Denis Diderot", "90", "Territoire de Belfort", "Bourgogne-Franche-Comté", "Besancon", "Bavilliers", "formation sélective", "BTS", "Lycée professionnel Denis Diderot - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 12, 110, 10, 101, 0, 1, 0, 25, 7, 43, 15, 32, 9, 1, 1, 3, 4, 55, 2, 0, 0, 1, 0, 18, 3, 29, 12, 7, 49, 11, 2, 9, 2, 1.0, 6.0, 9.0, 0, 4, 8, 1, 1, 6, 3, 0, 5, 2, 1, 0, 0.0, 0, 0, 3, 6, 1, 8, 8, 9.09, 54.55, 81.82, 18.19921875, 100.0, 100.0, 75, 50.0, 72.6875, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 12.5, 0.0, 12.5, 0.0, 75.0, 37.5, 2.0, 0.0, 25.0, 11.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers technologiques toutes séries", 21, "Bacheliers professionnels toutes séries", 30, "Liste d'appel propre à cette formation", 51.0, "28349", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28349&g_ta_cod=28349", 9.0, 27.0, 64.0),
(13088, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Physique - Parcours Enseignement Physique Chimie", "Licence - Sciences - technologies - santé", "Enseignement Physique Chimie", 10, 450, 201, 450, 0, 265, 65, 18, 6, 1, 0, 166, 0, 0, 0, 0, 0, 447, 0, 0, 0, 265, 65, 18, 6, 1, 0, 163, 96, 9, 4, 9, 0, 2.0, 6.0, 7.0, 0, 1, 6, 6, 0, 0, 3, 0, 1, 3, 2, 0, 0.0, 5, 0, 0, 0, 0, 2, 6, 22.22, 66.67, 77.78, 44.3984375, 33.296875, 100.0, 0, 16.69921875, 66.6875, 0.0, 16.69921875, 50.0, 33.296875, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 59.0, 9.0, 0.0, 0.0, 37.0, "Tous les candidats", 276.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "23568", "Licence - Physique - Parcours Enseignement Physique Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23568&g_ta_cod=23568", 100.0, 0.0, 0.0),
(13089, "Privé sous contrat d'association", "0180561M", "Lycée Sainte Marie Saint Dominique", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BTS", "Lycée Sainte Marie Saint Dominique - BTS - Services - Notariat", "BTS - Services", "", 23, 326, 215, 286, 0, 76, 20, 45, 6, 15, 7, 150, 40, 5, 11, 2, 22, 87, 17, 0, 0, 48, 11, 11, 1, 1, 1, 27, 79, 19, 15, 12, 7, 1.0, 11.0, 15.0, 0, 1, 11, 7, 2, 2, 8, 0, 6, 5, 0, 0, 0.0, 3, 0, 2, 0, 0, 8, 8, 5.26, 57.89, 78.95, 78.890625, 72.6875, 72.6875, 0, 9.099609375, 57.8984375, 0.0, 54.5, 45.5, 0.0, 0.0, 0.0, 63.59375, 27.296875, 18.19921875, 0.0, 18.19921875, 18.19921875, 35.0, 8.0, 3.0, 2.0, 38.0, "Tous les candidats sauf les Bac professionnels", 84.0, "Bacheliers professionnels toutes séries", 1, "", 0, "Liste d'appel propre à cette formation", 30.0, "3113", "BTS - Services - Notariat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3113&g_ta_cod=3113", 68.0, 21.0, 11.0),
(13090, "Public", "0560027A", "Lycée professionnel des métiers Marie Le Franc", "56", "Morbihan", "Bretagne", "Rennes", "Lorient", "formation sélective", "BTS", "Lycée professionnel des métiers Marie Le Franc - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 30, 535, 484, 535, 0, 44, 9, 150, 41, 215, 70, 126, 0, 0, 0, 0, 0, 535, 0, 0, 0, 44, 9, 150, 41, 215, 70, 126, 164, 24, 22, 24, 0, 2.0, 16.0, 23.0, 0, 3, 17, 1, 8, 8, 7, 0, 5, 10, 1, 1, 0.0, 0, 4, 8, 3, 3, 16, 16, 8.33, 66.67, 95.83, 91.6875, 94.09375, 94.09375, 17.59765625, 17.59765625, 70.796875, 0.0, 29.3984375, 58.796875, 5.8994140625, 5.9, 0.0, 5.8994140625, 0.0, 47.09375, 23.5, 47.09375, 47.09375, 11.0, 3.0, 68.0, 21.0, 40.0, "Tous les candidats sauf les Bac professionnels", 156.0, "Bacheliers professionnels toutes séries", 139, "", 0, "Liste d'appel propre à cette formation", 55.0, "19976", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19976&g_ta_cod=19976", 8.0, 42.0, 50.0),
(13091, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "Université de Reims Champagne-Ardenne - Formation Supérieure de Spécialisation", "Diplôme d'Université", "", 30, 61, 34, 19, 0, 9, 3, 1, 1, 3, 2, 6, 42, 3, 5, 5, 29, 10, 2, 0, 0, 5, 2, 0, 0, 1, 1, 4, 31, 6, 4, 3, 1, 3.0, 3.0, 3.0, 0, 2, 3, 0, 2, 1, 3, 0, 3, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 3, 3, 50.0, 50.0, 50.0, 66.6875, 100.0, 100.0, 0, 66.6875, 50.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 66.6875, 0.0, 33.296875, 0.0, 5.0, 2.0, 5.0, 3.0, 14.0, "Tous les candidats", 10.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 53.0, "32198", "Formation Supérieure de Spécialisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32198&g_ta_cod=32198", 17.0, 33.0, 50.0),
(13092, "Public", "0754663L", "Institut universitaire de technologie - Université Paris Diderot", "75", "Paris", "Ile-de-France", "Paris", "Paris 18e  Arrondissement", "formation sélective", "BUT", "Institut universitaire de technologie - Université Paris Diderot - BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", "BUT - Production", "Techniques d'instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", 94, 1584, 379, 1570, 0, 1012, 164, 166, 46, 4, 3, 388, 14, 4, 0, 0, 10, 1288, 3, 0, 0, 885, 130, 108, 33, 2, 2, 293, 695, 83, 16, 81, 2, 23.0, 54.0, 70.0, 0, 25, 61, 48, 13, 0, 22, 0, 11, 32, 16, 2, 0.0, 39, 11, 0, 0, 0, 9, 53, 27.71, 65.06, 84.34, 19.296875, 14.798828125, 86.890625, 0, 41.0, 73.5, 0.0, 18.0, 52.5, 26.19921875, 3.3, 0.0, 78.6875, 63.8984375, 21.296875, 18.0, 0.0, 0.0, 424.0, 86.0, 0.0, 0.0, 198.0, "Tous les candidats sauf les Bac technologiques", 803.0, "Bacheliers technologiques toutes séries", 129, "", 0, "Liste d'appel propre à cette formation", 59.0, "9544", "BUT - Mesures physiques Parcours : Techniques d'instrumentation - Matériaux et contrôles physico-chimiques - Mesures et analyses environnementales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9544&g_ta_cod=9544", 82.0, 18.0, 0.0),
(13093, "Privé sous contrat d'association", "0783720V", "ESEO Paris - Vélizy", "78", "Yvelines", "Ile-de-France", "Versailles", "Vélizy-Villacoublay", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 4, 246, 91, 235, 0, 0, 0, 0, 0, 0, 0, 235, 11, 0, 0, 0, 11, 171, 4, 0, 0, 0, 0, 0, 0, 0, 0, 171, 154, 3, 1, 3, 0, 2.0, 3.0, 3.0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 66.67, 100.0, 100.0, 33.296875, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 154.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "22855", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22855", 100.0, 0.0, 0.0),
(13094, "Public", "0660014G", "Lycée Pablo Picasso", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée Pablo Picasso - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 24, 380, 38, 380, 0, 36, 14, 119, 43, 93, 36, 132, 0, 0, 0, 0, 0, 380, 0, 0, 0, 36, 14, 119, 43, 93, 36, 132, 105, 25, 2, 25, 0, 5.0, 24.0, 25.0, 0, 10, 25, 2, 12, 11, 0, 0, 2, 17, 6, 0, 0.0, 1, 11, 11, 12, 0, 20, 20, 20.0, 96.0, 100.0, 8.0, 80.0, 80.0, 48, 40.0, 100.0, 0.0, 8.0, 68.0, 24.0, 0.0, 0.0, 8.0, 4.0, 48.0, 44.0, 44.0, 44.0, 5.0, 2.0, 43.0, 13.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 60, "Bacheliers technologiques toutes séries", 72, "Liste d'appel propre à cette formation", 37.0, "7856", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7856&g_ta_cod=7856", 8.0, 48.0, 44.0),
(13095, "Privé sous contrat d'association", "0492298G", "Ecole Technique Supérieure de Chimie de l'Ouest", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "Ecole Technique Supérieure de Chimie de l'Ouest - BTS - Production - Métiers de l'eau", "BTS - Production", "", 30, 226, 53, 221, 0, 45, 4, 73, 8, 21, 5, 82, 5, 0, 0, 1, 4, 180, 5, 0, 0, 45, 4, 73, 8, 21, 5, 41, 129, 26, 6, 23, 3, 19.0, 20.0, 24.0, 0, 4, 14, 7, 5, 2, 12, 0, 9, 3, 2, 0, 0.0, 2, 2, 1, 0, 0, 11, 11, 73.08, 76.92, 92.31, 23.09765625, 78.59375, 78.59375, 0, 28.59765625, 53.796875, 0.0, 64.296875, 21.3984375, 14.298828125, 0.0, 0.0, 50.0, 14.298828125, 35.6953125, 14.298828125, 14.298828125, 7.099609375, 34.0, 4.0, 12.0, 4.0, 31.0, "Tous les candidats sauf les Bac professionnels", 153.0, "Bacheliers professionnels toutes séries", 19, "", 0, "Liste d'appel propre à cette formation", 78.0, "5982", "BTS - Production - Métiers de l'eau", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5982&g_ta_cod=5982", 62.0, 27.0, 12.0),
(13096, "Privé sous contrat d'association", "0520685M", "Lycée OUDINOT", "52", "Haute-Marne", "Grand Est", "Reims", "Chaumont", "formation sélective", "BTS", "Lycée OUDINOT - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 20, 386, 173, 373, 0, 12, 3, 26, 6, 13, 2, 322, 13, 1, 1, 0, 11, 62, 3, 0, 0, 11, 3, 24, 5, 11, 2, 16, 56, 10, 4, 8, 1, 5.0, 8.0, 8.0, 0, 2, 7, 2, 4, 1, 3, 0, 2, 3, 2, 0, 0.0, 1, 3, 1, 2, 1, 7, 7, 50.0, 80.0, 80.0, 40.0, 100.0, 100.0, 28.59765625, 28.59765625, 70.0, 0.0, 28.59765625, 42.8984375, 28.59765625, 0.0, 0.0, 28.59765625, 14.298828125, 57.09375, 42.8984375, 14.298828125, 14.298828125, 10.0, 2.0, 11.0, 3.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 16.0, "6178", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6178&g_ta_cod=6178", 30.0, 60.0, 10.0),
(13097, "Privé sous contrat d'association", "0442185L", "ICAM Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Carquefou", "formation sélective", "Ecole d'Ingénieur", "GROUPE ICAM - Formation d'ingénieur Bac + 5", "Formations  des écoles d'ingénieurs", "", 96, 1457, 263, 1441, 0, 1290, 34, 20, 4, 0, 0, 131, 16, 7, 0, 0, 9, 846, 3, 0, 0, 805, 19, 0, 0, 0, 0, 41, 725, 92, 19, 90, 2, 54.0, 89.0, 92.0, 0, 3, 88, 88, 0, 0, 4, 0, 2, 32, 47, 7, 0.0, 86, 0, 0, 0, 0, 54, 54, 58.7, 96.74, 100.0, 20.69921875, 61.3984375, 61.3984375, 0, 3.39990234375, 95.6875, 0.0, 2.2998046875, 36.3984375, 53.3984375, 8.0, 0.0, 100.0, 97.6875, 0.0, 0.0, 0.0, 0.0, 686.0, 19.0, 0.0, 0.0, 39.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "24659", "Formation d'ingénieur Bac + 5", "GROUPE ICAM", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24652&g_ta_cod=24659", 100.0, 0.0, 0.0),
(13098, "Public", "0771658J", "Lycée du Gué-à-Tresmes", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Congis-sur-Thérouanne", "formation sélective", "Autre formation", "Lycée du Gué-à-Tresmes - DN MADE - Objet - - Spécialité : Céramique", "DN MADE", "- Spécialité : Céramique", 16, 202, 158, 133, 0, 32, 5, 51, 10, 4, 1, 46, 69, 12, 11, 10, 36, 80, 13, 0, 0, 17, 0, 41, 9, 2, 0, 20, 81, 12, 11, 9, 3, 2.0, 9.0, 10.0, 0, 0, 5, 2, 1, 2, 7, 0, 1, 2, 1, 1, 0.0, 1, 1, 2, 0, 0, 4, 4, 16.67, 75.0, 83.33, 91.6875, 80.0, 80.0, 0, 0.0, 41.6953125, 0.0, 20.0, 40.0, 20.0, 20.0, 0.0, 40.0, 20.0, 20.0, 20.0, 40.0, 40.0, 18.0, 1.0, 2.0, 0.0, 24.0, "Tous les candidats", 80.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 60.0, "21914", "DN MADE - Objet - - Spécialité : Céramique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21914&g_ta_cod=21914", 42.0, 17.0, 33.0),
(13099, "Public", "0922149L", "Lycée Auffray", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Clichy", "formation sélective", "Autre formation", "Lycée Auffray - Mise à niveau - Hôtellerie restauration", "Mise à niveau", "", 30, 245, 121, 245, 0, 90, 14, 44, 14, 21, 7, 90, 0, 0, 0, 0, 0, 200, 0, 0, 0, 89, 14, 34, 11, 12, 5, 65, 125, 29, 16, 29, 0, 4.0, 20.0, 25.0, 0, 6, 13, 8, 4, 1, 16, 0, 10, 3, 0, 0, 0.0, 1, 2, 0, 0, 0, 4, 11, 13.79, 68.97, 86.21, 55.1953125, 30.796875, 84.59375, 0, 46.1953125, 44.796875, 0.0, 76.890625, 23.09765625, 0.0, 0.0, 0.0, 61.5, 7.69921875, 30.796875, 15.3984375, 7.69921875, 0.0, 62.0, 11.0, 4.0, 1.0, 40.0, "Tous les candidats", 145.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 59.0, "11139", "Mise à niveau - Hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11139&g_ta_cod=11139", 83.0, 14.0, 3.0),
(13100, "Public", "0333298F", "Université de Bordeaux - Bordeaux Métropole", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Talence", "formation non sélective", "Licence", "Université de Bordeaux - Bordeaux Métropole - Licence - Portail Economie et gestion - Economie gestion", "Licence - Droit-économie-gestion", "Economie gestion", 740, 5155, 2301, 4900, 0, 3270, 488, 417, 115, 46, 25, 1167, 255, 43, 24, 10, 178, 4706, 223, 0, 0, 3270, 488, 417, 115, 46, 25, 973, 3471, 712, 244, 578, 130, 44.0, 498.0, 624.0, 0, 107, 444, 380, 45, 19, 268, 7, 215, 148, 63, 11, 0.0, 199, 17, 6, 0, 0, 315, 315, 6.18, 69.94, 87.64, 34.296875, 70.890625, 70.890625, 0, 24.09765625, 62.3984375, 1.599853515625, 48.3984375, 33.296875, 14.19921875, 2.5, 0.0, 85.59375, 44.796875, 10.099609375, 3.7998046875, 4.2998046875, 1.39990234375, 2353.0, 359.0, 34.0, 15.0, 830.0, "Tous les candidats", 4916.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 96.0, "4462", "Licence - Portail Economie et gestion - Economie gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26669&g_ta_cod=4462", 81.0, 13.0, 5.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(13101, "Privé enseignement supérieur", "0596162C", "Institut Catholique de Lille-Faculté Libre Droit", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Institut Catholique de Lille-Faculté Libre Droit - Licence - Droit - Parcours multilingue, droit international et européen", "Licence - Droit-économie-gestion", "multilingue, droit international et européen", 150, 809, 623, 809, 0, 665, 60, 32, 15, 4, 2, 108, 0, 0, 0, 0, 0, 722, 0, 0, 0, 624, 52, 18, 7, 0, 0, 80, 459, 164, 125, 164, 0, 91.0, 147.0, 164.0, 0, 22, 146, 141, 5, 0, 18, 2, 4, 43, 65, 30, 2.0, 135, 5, 0, 0, 0, 49, 49, 55.49, 89.63, 100.0, 76.1875, 33.59375, 33.59375, 0, 15.099609375, 89.0, 1.39990234375, 2.69970703125, 29.5, 44.5, 20.5, 1.4, 96.59375, 92.5, 3.39990234375, 3.39990234375, 0.0, 0.0, 410.0, 40.0, 0.0, 0.0, 44.0, "Tous les candidats", 501.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 62.0, "12461", "Licence - Droit - Parcours multilingue, droit international et européen", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12461&g_ta_cod=12461", 96.0, 4.0, 0.0),
(13102, "Public", "0670084C", "Lycée Jean Rostand", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée Jean Rostand - BTS - Services - Economie sociale familiale", "BTS - Services", "", 35, 968, 839, 968, 0, 135, 43, 255, 107, 279, 136, 299, 0, 0, 0, 0, 0, 542, 0, 0, 0, 116, 35, 137, 51, 177, 75, 112, 156, 32, 31, 32, 0, 4.0, 18.0, 26.0, 0, 12, 29, 9, 11, 9, 3, 0, 6, 16, 6, 1, 0.0, 8, 8, 7, 7, 7, 26, 26, 12.5, 56.25, 81.25, 96.890625, 89.6875, 89.6875, 24.09765625, 41.3984375, 90.59375, 0.0, 20.69921875, 55.1953125, 20.69921875, 3.4, 0.0, 31.0, 27.59765625, 37.8984375, 27.59765625, 31.0, 24.09765625, 33.0, 10.0, 52.0, 23.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 50.0, "Bacheliers professionnels toutes séries", 81, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 22.0, "7931", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7931&g_ta_cod=7931", 31.0, 38.0, 31.0),
(13103, "Public", "0875102Y", "IFSI du CHHC-Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "IFSI", "Regroupement d'IFSI Université Limoges - D.E Infirmier", "D.E secteur sanitaire", "", 30, 1810, 1545, 1810, 0, 398, 68, 334, 85, 141, 44, 937, 0, 0, 0, 0, 0, 1576, 0, 0, 0, 384, 61, 307, 74, 112, 33, 773, 457, 30, 28, 30, 0, 0.0, 6.0, 21.0, 0, 2, 19, 14, 5, 0, 11, 0, 11, 7, 1, 0, 0.0, 5, 3, 0, 0, 0, 8, 8, 0.0, 20.0, 70.0, 93.296875, 42.09375, 42.09375, 0, 10.5, 63.296875, 0.0, 57.8984375, 36.796875, 5.2998046875, 0.0, 0.0, 73.6875, 26.296875, 26.296875, 15.798828125, 0.0, 0.0, 174.0, 30.0, 19.0, 6.0, 170.0, "Tous les candidats", 1508.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 42.0, "34537", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22989&g_ta_cod=34537", 60.0, 40.0, 0.0),
(13104, "Public", "0940580V", "Lycée polyvalent de Cachan", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Cachan", "formation sélective", "BTS", "Lycée polyvalent de Cachan - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 57, 2054, 227, 2054, 0, 234, 73, 444, 161, 485, 231, 891, 0, 0, 0, 0, 0, 726, 0, 0, 0, 130, 33, 149, 47, 268, 126, 179, 197, 57, 9, 57, 0, 14.0, 51.0, 56.0, 0, 17, 35, 8, 6, 21, 22, 0, 4, 19, 5, 7, 0.0, 5, 6, 20, 10, 2, 21, 34, 24.56, 89.47, 98.25, 15.798828125, 60.0, 97.09375, 28.59765625, 48.59375, 61.3984375, 0.0, 11.3984375, 54.296875, 14.298828125, 20.0, 0.0, 22.8984375, 14.298828125, 17.09765625, 17.09765625, 60.0, 57.09375, 39.0, 14.0, 77.0, 32.0, 47.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 70.0, "Bacheliers professionnels toutes séries", 124, "Bacheliers technologiques toutes séries", 83, "Liste d'appel propre à cette formation", 13.0, "11432", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11432&g_ta_cod=11432", 42.0, 18.0, 40.0),
(13105, "Public", "9741380G", "Lycée de St Paul 4", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Paul", "formation sélective", "BTS", "Lycée de St Paul 4 - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 15, 325, 219, 325, 0, 63, 24, 142, 85, 19, 14, 101, 0, 0, 0, 0, 0, 160, 0, 0, 0, 34, 11, 87, 52, 5, 4, 34, 51, 16, 11, 16, 0, 3.0, 10.0, 12.0, 0, 8, 13, 3, 10, 0, 3, 0, 1, 7, 4, 1, 0.0, 3, 9, 0, 5, 2, 12, 12, 18.75, 62.5, 75.0, 68.796875, 92.296875, 92.296875, 38.5, 61.5, 81.296875, 0.0, 7.69921875, 53.796875, 30.796875, 7.7, 0.0, 23.09765625, 23.09765625, 76.890625, 69.1875, 0.0, 0.0, 9.0, 5.0, 1.0, 1.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 1, "Bacheliers technologiques toutes séries", 65, "Liste d'appel propre à cette formation", 26.0, "11987", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11987&g_ta_cod=11987", 19.0, 81.0, 0.0),
(13106, "Public", "0382099A", "Lycée Roger Deschaux", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Sassenage", "formation sélective", "BTS", "Lycée Roger Deschaux - BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "BTS - Production", "", 24, 334, 17, 321, 0, 20, 5, 108, 15, 104, 43, 89, 13, 2, 0, 1, 10, 258, 4, 0, 0, 19, 5, 108, 15, 104, 43, 27, 116, 14, 0, 13, 1, 4.0, 9.0, 13.0, 0, 4, 13, 3, 4, 6, 1, 0, 4, 6, 3, 0, 0.0, 1, 3, 5, 0, 0, 13, 13, 28.57, 64.29, 92.86, 0.0, 100.0, 100.0, 0, 30.796875, 92.890625, 0.0, 30.796875, 46.1953125, 23.09765625, 0.0, 0.0, 23.09765625, 7.69921875, 30.796875, 23.09765625, 46.1953125, 38.5, 19.0, 4.0, 45.0, 14.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 60, "Liste d'appel propre à cette formation", 48.0, "5099", "BTS - Production - Fluide, énergie, domotique - option A génie climatique et fluidique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5099&g_ta_cod=5099", 21.0, 36.0, 43.0),
(13107, "Public", "0940585A", "Lycée Francois Mansart", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Saint-Maur-des-Fossés", "formation sélective", "BTS", "Lycée Francois Mansart - BTS - Production - Management économique de la construction", "BTS - Production", "", 24, 322, 65, 278, 0, 19, 5, 64, 20, 112, 38, 83, 44, 0, 21, 3, 20, 145, 3, 0, 0, 19, 5, 40, 11, 61, 18, 25, 106, 24, 3, 20, 1, 2.0, 15.0, 16.0, 0, 8, 18, 3, 6, 9, 6, 0, 14, 3, 0, 1, 0.0, 0, 0, 4, 2, 0, 15, 17, 8.33, 62.5, 66.67, 12.5, 83.296875, 94.390625, 11.099609375, 44.3984375, 75.0, 0.0, 77.796875, 16.69921875, 0.0, 5.6, 0.0, 16.69921875, 0.0, 33.296875, 0.0, 50.0, 22.19921875, 12.0, 5.0, 43.0, 14.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 61, "Bacheliers technologiques toutes séries", 40, "Liste d'appel propre à cette formation", 45.0, "11436", "BTS - Production - Management économique de la construction", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11436&g_ta_cod=11436", 25.0, 33.0, 42.0),
(13108, "Privé sous contrat d'association", "0492246A", "ESAIP Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Saint-Barthélemy-d'Anjou", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 25, 947, 249, 946, 0, 940, 70, 0, 0, 0, 0, 6, 1, 1, 0, 0, 0, 808, 0, 0, 0, 808, 49, 0, 0, 0, 0, 0, 677, 6, 4, 6, 0, 3.0, 6.0, 6.0, 0, 0, 6, 6, 0, 0, 0, 0, 2, 3, 1, 0, 0.0, 4, 0, 0, 0, 0, 3, 3, 50.0, 100.0, 100.0, 66.6875, 50.0, 50.0, 0, 0.0, 100.0, 0.0, 33.296875, 50.0, 16.69921875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 677.0, 43.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 85.0, "22809", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=22809", 100.0, 0.0, 0.0),
(13109, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Lituanien", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Europe - Lituanien", 10, 5, 2, 4, 0, 0, 0, 0, 0, 0, 0, 4, 1, 0, 0, 0, 1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 2, 1, 2, 0, 2.0, 2.0, 2.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 50.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 4.0, "Tous les candidats", 4.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9424", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Lituanien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29617&g_ta_cod=9424", 100.0, 0.0, 0.0),
(13110, "Public", "0542493S", "Université de Lorraine - Site de Nancy", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation non sélective", "PASS", "Université de Lorraine - Site de Nancy - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "Portail disciplinaire PASS", 1046, 4950, 3344, 4950, 0, 3885, 635, 147, 45, 14, 6, 904, 0, 0, 0, 0, 0, 4837, 0, 0, 0, 3886, 636, 147, 45, 14, 6, 790, 2150, 1044, 733, 1044, 0, 445.0, 980.0, 1024.0, 0, 163, 1041, 1041, 0, 0, 3, 2, 13, 232, 451, 309, 34.0, 1026, 0, 0, 0, 0, 938, 938, 42.62, 93.87, 98.08, 70.1875, 90.09375, 90.09375, 0, 15.69921875, 99.6875, 0.199981689453125, 1.199951171875, 22.296875, 43.296875, 29.7, 3.3, 100.0, 98.59375, 0.0, 0.0, 0.0, 0.0, 2146.0, 312.0, 0.0, 0.0, 4.0, "Tous les candidats", 3998.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "27504", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27504&g_ta_cod=27504", 100.0, 0.0, 0.0),
(13111, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Université Angers - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Allemand", "Licence - Arts-lettres-langues", "Allemand", 18, 96, 79, 28, 0, 18, 4, 1, 0, 0, 0, 9, 68, 25, 1, 4, 38, 28, 62, 0, 0, 18, 4, 1, 0, 0, 0, 9, 90, 9, 8, 3, 6, 2.0, 3.0, 8.0, 0, 1, 3, 2, 0, 1, 6, 0, 1, 1, 1, 0, 0.0, 2, 0, 0, 0, 0, 0, 0, 22.22, 33.33, 88.89, 88.890625, 0.0, 0.0, 0, 33.296875, 33.296875, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 66.6875, 66.6875, 0.0, 0.0, 33.296875, 0.0, 42.0, 8.0, 4.0, 4.0, 42.0, "Tous les candidats", 58.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27313", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27312&g_ta_cod=27313", 78.0, 0.0, 11.0),
(13112, "Public", "0330023W", "Lycée Camille Jullian", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Camille Jullian - CPGE - PCSI", "Classe préparatoire scientifique", "", 48, 1616, 616, 1616, 1064, 1345, 144, 2, 1, 0, 0, 269, 0, 0, 0, 0, 0, 1017, 0, 440, 1008, 973, 92, 0, 0, 0, 0, 44, 550, 47, 23, 47, 0, 10.0, 21.0, 43.0, 10, 6, 46, 46, 0, 0, 1, 0, 0, 1, 19, 26, 0.0, 46, 0, 0, 1, 1, 42, 42, 21.28, 44.68, 91.49, 48.8984375, 91.296875, 91.296875, 2.19970703125, 13.0, 97.890625, 0.0, 0.0, 2.19970703125, 41.296875, 56.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 531.0, 50.0, 0.0, 0.0, 19.0, "Tous les candidats", 772.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "4279", "CPGE - PCSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4279&g_ta_cod=4279", 100.0, 0.0, 0.0),
(13113, "Public", "0490769V", "I.U.T. Angers-Cholet - Site d'Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BUT", "I.U.T. Angers-Cholet - Site d'Angers - BUT - Génie électrique et informatique industrielle Parcours : Automatisme et informatique industrielle - Electricité et maitrise de l?Energie - Electronique et systèmes embarqués", "BUT - Production", "Automatisme et informatique industrielle - Electricité et maitrise de l?Energie - Electronique et systèmes embarqués", 80, 1140, 65, 1108, 0, 639, 67, 287, 56, 16, 4, 166, 32, 4, 7, 0, 21, 894, 10, 0, 0, 541, 50, 242, 41, 8, 1, 103, 398, 85, 4, 79, 6, 6.0, 60.0, 79.0, 0, 11, 70, 42, 24, 4, 15, 0, 15, 35, 18, 2, 0.0, 32, 20, 3, 0, 0, 49, 49, 7.06, 70.59, 92.94, 4.69921875, 70.0, 70.0, 0, 15.69921875, 82.390625, 0.0, 21.3984375, 50.0, 25.69921875, 2.9, 0.0, 60.0, 45.6953125, 34.296875, 28.59765625, 5.69921875, 4.2998046875, 192.0, 22.0, 4.0, 1.0, 57.0, "Tous les candidats sauf les Bac technologiques", 632.0, "Bacheliers technologiques toutes séries", 261, "", 0, "Liste d'appel propre à cette formation", 81.0, "5862", "BUT - Génie électrique et informatique industrielle Parcours : Automatisme et informatique industrielle - Electricité et maitrise de l?Energie - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5862&g_ta_cod=5862", 66.0, 29.0, 5.0),
(13114, "Public", "0510075E", "Centre de Ressources, d'Expertise et de Performance Sportive de Reims (CREPS)", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "CREPS de Reims - BPJEPS - Activités de la forme", "BPJEPS", "", 6, 96, 15, 96, 0, 19, 6, 22, 6, 23, 9, 32, 0, 0, 0, 0, 0, 8, 0, 0, 0, 2, 0, 2, 0, 1, 0, 3, 8, 6, 1, 6, 0, 5.0, 5.0, 6.0, 0, 0, 4, 2, 2, 0, 2, 0, 2, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 83.33, 83.33, 100.0, 16.69921875, 50.0, 50.0, 0, 0.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 0.0, 0.0, 0.0, 2.0, 0.0, 1.0, 0.0, 3.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 8.0, "21318", "BPJEPS - Activités de la forme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21318&g_ta_cod=21318", 33.0, 67.0, 0.0),
(13115, "Privé sous contrat d'association", "0610994Z", "IFSI Croix Rouge Française Alençon", "61", "Orne", "Normandie", "Normandie", "Alençon", "formation sélective", "IFSI", "Regroupement d'IFSI Université Caen - D.E Infirmier", "D.E secteur sanitaire", "", 67, 2409, 2036, 2409, 0, 431, 78, 483, 89, 357, 113, 1138, 0, 0, 0, 0, 0, 2285, 0, 0, 0, 427, 78, 470, 84, 327, 104, 1061, 709, 67, 60, 67, 0, 1.0, 30.0, 52.0, 0, 10, 43, 26, 10, 7, 24, 0, 11, 25, 7, 0, 0.0, 18, 7, 7, 0, 0, 20, 20, 1.49, 44.78, 77.61, 89.59375, 46.5, 46.5, 0, 23.296875, 64.1875, 0.0, 25.59765625, 58.09375, 16.296875, 0.0, 0.0, 60.5, 41.8984375, 23.296875, 16.296875, 16.296875, 16.296875, 228.0, 42.0, 62.0, 21.0, 272.0, "Tous les candidats", 1851.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "23101", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23094&g_ta_cod=23101", 70.0, 16.0, 13.0),
(13116, "Public", "0753028J", "IFSI Tenon (AP-HP)", "75", "Paris", "Ile-de-France", "Paris", "Paris 20e  Arrondissement", "formation sélective", "IFSI", "Regroupement d'IFSI Médecine Sorbonne Université P6 - D.E Infirmier", "D.E secteur sanitaire", "", 202, 10211, 8938, 10211, 0, 1301, 391, 1691, 668, 1297, 646, 5922, 0, 0, 0, 0, 0, 8609, 0, 0, 0, 1263, 378, 1575, 617, 1204, 605, 4567, 1769, 183, 168, 183, 0, 1.0, 72.0, 147.0, 0, 36, 47, 13, 14, 20, 136, 0, 12, 15, 18, 2, 0.0, 6, 9, 20, 0, 0, 13, 44, 0.55, 39.34, 80.33, 91.796875, 27.69921875, 93.59375, 0, 76.59375, 25.69921875, 0.0, 25.5, 31.8984375, 38.296875, 4.3, 0.0, 27.69921875, 12.798828125, 29.796875, 19.09765625, 42.59375, 42.59375, 176.0, 120.0, 108.0, 95.0, 1395.0, "Tous les candidats", 3097.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "23204", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23003&g_ta_cod=23204", 42.0, 39.0, 19.0),
(13117, "Privé sous contrat d'association", "0480025S", "Lycée polyvalent Notre-Dame", "48", "Lozère", "Occitanie", "Montpellier", "Mende", "formation sélective", "BTS", "Lycée polyvalent Notre-Dame - BTS - Services - Diététique", "BTS - Services", "", 26, 377, 293, 374, 0, 96, 10, 81, 18, 29, 10, 168, 3, 2, 0, 0, 1, 286, 2, 0, 0, 94, 10, 67, 15, 20, 8, 105, 139, 24, 17, 24, 0, 6.0, 15.0, 19.0, 0, 0, 14, 7, 6, 1, 10, 0, 7, 7, 0, 0, 0.0, 3, 3, 1, 0, 0, 6, 6, 25.0, 62.5, 79.17, 70.796875, 42.8984375, 42.8984375, 0, 0.0, 58.296875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 21.3984375, 42.8984375, 21.3984375, 7.099609375, 7.099609375, 50.0, 6.0, 3.0, 1.0, 42.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 114.0, "Bacheliers professionnels toutes séries", 6, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 51.0, "5807", "BTS - Services - Diététique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5807&g_ta_cod=5807", 46.0, 42.0, 13.0),
(13118, "Privé sous contrat d'association", "0592969G", "Lycée Dampierre", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "BTS", "Lycée Dampierre - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 30, 275, 147, 262, 0, 35, 9, 50, 19, 33, 18, 144, 13, 0, 3, 3, 7, 160, 2, 0, 0, 35, 9, 50, 19, 33, 18, 42, 95, 15, 5, 15, 0, 7.0, 15.0, 15.0, 0, 3, 7, 1, 5, 1, 8, 0, 5, 2, 0, 0, 0.0, 0, 1, 1, 2, 0, 7, 7, 46.67, 100.0, 100.0, 33.296875, 100.0, 100.0, 28.59765625, 42.8984375, 46.6953125, 0.0, 71.390625, 28.59765625, 0.0, 0.0, 0.0, 14.298828125, 0.0, 71.390625, 14.298828125, 14.298828125, 14.298828125, 7.0, 3.0, 27.0, 15.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 59, "Liste d'appel propre à cette formation", 49.0, "6931", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6931&g_ta_cod=6931", 40.0, 47.0, 13.0),
(13119, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence", "Université de Limoges - Licence - Portail Mathématiques - Parcours commun Maths Info Physique Chimie Génie Civil", "Licence - Sciences - technologies - santé", "Parcours commun Maths Info Physique Chimie Génie Civil", 75, 508, 166, 447, 0, 340, 47, 11, 0, 0, 0, 96, 61, 18, 1, 0, 42, 445, 42, 0, 0, 340, 47, 11, 0, 0, 0, 94, 391, 30, 8, 24, 5, 1.0, 23.0, 27.0, 0, 2, 21, 21, 0, 0, 9, 0, 3, 12, 5, 1, 0.0, 18, 0, 0, 0, 0, 13, 13, 3.33, 76.67, 90.0, 26.69921875, 61.8984375, 61.8984375, 0, 9.5, 70.0, 0.0, 14.298828125, 57.09375, 23.796875, 4.8, 0.0, 100.0, 85.6875, 0.0, 0.0, 0.0, 0.0, 274.0, 37.0, 0.0, 0.0, 110.0, "Tous les candidats", 494.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "10706", "Licence - Portail Mathématiques - Parcours commun Maths Info Physique Chimie Génie Civil", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31102&g_ta_cod=10706", 97.0, 3.0, 0.0),
(13120, "Public", "0330021U", "Lycée Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Montaigne - CPGE - MP2I", "Classe préparatoire scientifique", "", 48, 1994, 352, 1994, 1550, 1748, 190, 2, 1, 1, 0, 243, 0, 0, 0, 0, 0, 803, 0, 411, 788, 800, 82, 0, 0, 0, 0, 3, 197, 48, 6, 48, 0, 4.0, 33.0, 44.0, 10, 7, 48, 48, 0, 0, 0, 0, 0, 0, 14, 30, 4.0, 48, 0, 0, 1, 0, 39, 39, 8.33, 68.75, 91.67, 12.5, 81.296875, 81.296875, 2.099609375, 14.599609375, 100.0, 0.0, 0.0, 0.0, 29.19921875, 62.5, 8.3, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 197.0, 26.0, 0.0, 0.0, 0.0, "Tous les candidats", 299.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 15.0, "32100", "CPGE - MP2I", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32100&g_ta_cod=32100", 100.0, 0.0, 0.0),
(13121, "Privé sous contrat d'association", "0690519P", "Lycée Notre Dame Des Minimes", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 5e  Arrondissement", "formation sélective", "CPGE", "Lycée Notre Dame Des Minimes - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 26, 980, 472, 980, 692, 906, 60, 0, 0, 0, 0, 74, 0, 0, 0, 0, 0, 869, 0, 608, 788, 835, 49, 0, 0, 0, 0, 34, 385, 23, 9, 23, 0, 3.0, 4.0, 22.0, 10, 3, 23, 23, 0, 0, 0, 0, 1, 5, 13, 4, 0.0, 22, 0, 0, 0, 0, 7, 7, 13.04, 17.39, 95.65, 39.09375, 30.3984375, 30.3984375, 0, 13.0, 100.0, 0.0, 4.2998046875, 21.69921875, 56.5, 17.4, 0.0, 100.0, 95.6875, 0.0, 0.0, 0.0, 0.0, 383.0, 19.0, 0.0, 0.0, 2.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "31485", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31318&g_ta_cod=31485", 100.0, 0.0, 0.0),
(13122, "Public", "0211033J", "Lycée Gustave Eiffel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "Autre formation", "Lycée Gustave Eiffel - Mention complémentaire - Technicien en réseau électrique", "Mention complémentaire", "", 6, 29, 0, 25, 0, 0, 0, 0, 0, 23, 6, 2, 4, 0, 0, 3, 1, 19, 2, 0, 0, 0, 0, 0, 0, 18, 5, 1, 18, 3, 0, 3, 0, 1.0, 3.0, 3.0, 0, 0, 3, 0, 0, 3, 0, 0, 1, 1, 1, 0, 0.0, 0, 0, 2, 0, 0, 0, 0, 33.33, 100.0, 100.0, 0.0, 0.0, 0.0, 0, 0.0, 100.0, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 16.0, 5.0, 2.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "14778", "Mention complémentaire - Technicien en réseau électrique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14778&g_ta_cod=14778", 0.0, 0.0, 100.0),
(13123, "Privé enseignement supérieur", "0870997L", "3iL", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 5, 205, 66, 201, 0, 0, 0, 0, 0, 0, 0, 201, 4, 0, 0, 0, 4, 170, 3, 0, 0, 0, 0, 0, 0, 0, 0, 170, 164, 1, 0, 0, 1, 0.0, 0.0, 1.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 100.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 164.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 84.0, "22860", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22860", 0.0, 100.0, 0.0),
(13124, "Public", "0831616F", "Lycée Rouvière", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "CPGE", "Lycée Rouvière - CPGE - PTSI", "Classe préparatoire scientifique", "", 36, 475, 96, 475, 346, 401, 45, 2, 1, 1, 0, 71, 0, 0, 0, 0, 0, 362, 0, 189, 351, 344, 38, 0, 0, 0, 0, 18, 235, 36, 5, 36, 0, 9.0, 29.0, 36.0, 14, 1, 33, 33, 0, 0, 3, 0, 2, 10, 11, 9, 1.0, 31, 0, 0, 10, 0, 24, 24, 25.0, 80.56, 100.0, 13.8984375, 72.6875, 72.6875, 30.296875, 3.0, 91.6875, 0.0, 6.099609375, 30.296875, 33.296875, 27.3, 3.0, 100.0, 93.890625, 0.0, 0.0, 0.0, 0.0, 224.0, 22.0, 0.0, 0.0, 11.0, "Tous les candidats", 363.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "10402", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10402&g_ta_cod=10402", 100.0, 0.0, 0.0),
(13125, "Public", "9711046K", "Lycée Chevalier Saint-Georges", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Les Abymes", "formation sélective", "BTS", "Lycée Chevalier Saint-Georges - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 30, 168, 56, 168, 0, 27, 16, 36, 15, 85, 59, 20, 0, 0, 0, 0, 0, 147, 0, 0, 0, 25, 15, 33, 14, 75, 52, 14, 85, 31, 14, 30, 0, 8.0, 26.0, 29.0, 0, 17, 26, 4, 7, 15, 5, 0, 14, 8, 4, 0, 0.0, 1, 2, 9, 6, 1, 26, 26, 25.81, 83.87, 93.55, 45.1953125, 100.0, 100.0, 23.09765625, 65.390625, 83.890625, 0.0, 53.796875, 30.796875, 15.3984375, 0.0, 0.0, 15.3984375, 3.7998046875, 26.8984375, 7.69921875, 57.6953125, 34.59375, 14.0, 10.0, 40.0, 27.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 33, "Liste d'appel propre à cette formation", 62.0, "11766", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11766&g_ta_cod=11766", 19.0, 26.0, 55.0),
(13126, "Public", "0840685N", "Avignon Université", "84", "Vaucluse", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Avignon", "formation non sélective", "Licence", "Avignon Université - Licence - Langues étrangères appliquées - Parcours Anglais - Italien", "Licence - Arts-lettres-langues", "Anglais - Italien", 64, 327, 238, 245, 0, 122, 32, 33, 19, 28, 16, 62, 82, 15, 11, 9, 47, 241, 52, 0, 0, 122, 32, 33, 19, 28, 16, 58, 247, 31, 23, 25, 6, 5.0, 24.0, 29.0, 0, 9, 23, 13, 5, 5, 8, 1, 11, 6, 4, 1, 0.0, 7, 3, 1, 0, 0, 16, 16, 16.13, 77.42, 93.55, 74.1875, 69.59375, 69.59375, 0, 39.09375, 74.1875, 4.2998046875, 47.796875, 26.09765625, 17.3984375, 4.3, 0.0, 56.5, 30.3984375, 21.69921875, 13.0, 21.69921875, 4.2998046875, 110.0, 29.0, 24.0, 16.0, 73.0, "Tous les candidats", 241.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "17985", "Licence - Langues étrangères appliquées - Parcours Anglais - Italien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17985&g_ta_cod=17985", 48.0, 29.0, 23.0),
(13127, "Public", "0360043B", "Lycée Blaise Pascal", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Châteauroux", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 367, 197, 367, 0, 40, 13, 124, 47, 133, 54, 70, 0, 0, 0, 0, 0, 360, 0, 0, 0, 40, 13, 119, 45, 132, 53, 69, 139, 33, 21, 33, 0, 5.0, 21.0, 23.0, 0, 10, 26, 2, 11, 13, 7, 0, 12, 10, 4, 0, 0.0, 0, 6, 8, 4, 0, 22, 22, 15.15, 63.64, 69.7, 63.59375, 84.59375, 84.59375, 15.3984375, 38.5, 78.796875, 0.0, 46.1953125, 38.5, 15.3984375, 0.0, 0.0, 7.69921875, 0.0, 42.296875, 23.09765625, 50.0, 30.796875, 13.0, 6.0, 57.0, 20.0, 17.0, "Tous les candidats sauf les Bac professionnels", 88.0, "Bacheliers professionnels toutes séries", 71, "", 0, "Liste d'appel propre à cette formation", 43.0, "4801", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4801&g_ta_cod=4801", 12.0, 48.0, 39.0),
(13128, "Public", "0595964M", "Université du littoral - Site de Dunkerque", "59", "Nord", "Hauts-de-France", "Lille", "Dunkerque", "formation non sélective", "Licence", "Université du littoral - Site de Dunkerque - Licence - Physique, chimie", "Licence - Sciences - technologies - santé", "", 72, 321, 149, 246, 0, 164, 28, 21, 8, 0, 0, 61, 75, 20, 6, 0, 49, 246, 41, 0, 0, 164, 28, 21, 8, 0, 0, 61, 268, 28, 9, 20, 8, 6.0, 20.0, 27.0, 0, 3, 16, 14, 2, 0, 12, 0, 4, 6, 5, 1, 0.0, 10, 2, 0, 0, 0, 15, 15, 21.43, 71.43, 96.43, 32.09375, 93.796875, 93.796875, 0, 18.796875, 57.09375, 0.0, 25.0, 37.5, 31.296875, 6.3, 0.0, 87.5, 62.5, 12.5, 12.5, 0.0, 0.0, 173.0, 30.0, 0.0, 0.0, 79.0, "Tous les candidats", 246.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "7179", "Licence - Physique, chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7179&g_ta_cod=7179", 79.0, 14.0, 4.0),
(13129, "Public", "0762601P", "Lycée Georges Brassens", "76", "Seine-Maritime", "Normandie", "Normandie", "Neufchâtel-en-Bray", "formation sélective", "BTS", "Lycée Georges Brassens - BTS - Services - Support à l'action managériale", "BTS - Services", "", 18, 104, 78, 85, 0, 0, 0, 36, 15, 36, 13, 13, 19, 0, 10, 0, 9, 71, 4, 0, 0, 0, 0, 31, 13, 34, 12, 6, 66, 12, 10, 12, 0, 2.0, 12.0, 12.0, 0, 3, 11, 0, 5, 6, 1, 0, 4, 6, 1, 0, 0.0, 0, 2, 5, 6, 5, 11, 11, 16.67, 100.0, 100.0, 83.296875, 100.0, 100.0, 54.5, 27.296875, 91.6875, 0.0, 36.3984375, 54.5, 9.099609375, 0.0, 0.0, 0.0, 0.0, 45.5, 18.19921875, 54.5, 45.5, 0.0, 0.0, 30.0, 11.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 79.0, "9724", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9724&g_ta_cod=9724", 0.0, 42.0, 58.0),
(13130, "Public", "0801265R", "IUT d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation sélective", "BUT", "IUT d'Amiens - BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments", "BUT - Production", "Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments", 130, 1663, 263, 1628, 0, 816, 113, 510, 113, 12, 5, 290, 35, 0, 17, 0, 18, 1116, 6, 0, 0, 666, 80, 315, 52, 0, 0, 135, 644, 130, 21, 129, 1, 26.0, 107.0, 126.0, 0, 20, 117, 67, 50, 0, 13, 0, 26, 67, 20, 4, 0.0, 48, 43, 0, 0, 0, 76, 76, 20.0, 82.31, 96.92, 16.19921875, 65.0, 65.0, 0, 17.09765625, 90.0, 0.0, 22.19921875, 57.296875, 17.09765625, 3.4, 0.0, 57.296875, 41.0, 42.6953125, 36.796875, 0.0, 0.0, 340.0, 50.0, 0.0, 0.0, 66.0, "Tous les candidats sauf les Bac technologiques", 627.0, "Bacheliers technologiques toutes séries", 333, "", 0, "Liste d'appel propre à cette formation", 59.0, "10173", "BUT - Génie civil - Construction durable Parcours : Travaux Bâtiment - Travaux Publics - Réhabilitation et amélioration des performances environnementales des bâtiments", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10173&g_ta_cod=10173", 58.0, 42.0, 0.0),
(13131, "Privé enseignement supérieur", "0942095S", "EPITA Paris", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Le Kremlin-Bicêtre", "formation sélective", "Ecole d'Ingénieur", "Concours Advance - Formation d'ingénieur Bac + 5 - Bac Série générale", "Formations  des écoles d'ingénieurs", "Bac Série générale - Cycle anglophone", 50, 1572, 276, 1572, 0, 1567, 125, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 874, 0, 0, 0, 873, 51, 0, 0, 0, 0, 1, 541, 66, 7, 66, 0, 47.0, 56.0, 66.0, 0, 4, 66, 66, 0, 0, 0, 0, 0, 13, 38, 15, 0.0, 66, 0, 0, 0, 0, 4, 43, 71.21, 84.85, 100.0, 10.599609375, 6.099609375, 65.1875, 0, 6.099609375, 100.0, 0.0, 0.0, 19.69921875, 57.59375, 22.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 540.0, 21.0, 0.0, 0.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 49.0, "14127", "Formation d'ingénieur Bac + 5 - Bac Série générale", "Concours Advance", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=124&g_ta_cod=14127", 100.0, 0.0, 0.0),
(13132, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Double licence - Histoire / Géographie et aménagement - Double-licence mention Histoire - mention Géographie aménagement", "Licence - Sciences humaines et sociales", "Double-licence mention Histoire - mention Géographie aménagement", 15, 166, 50, 166, 0, 116, 14, 2, 1, 7, 1, 41, 0, 0, 0, 0, 0, 151, 0, 0, 0, 109, 13, 1, 0, 7, 1, 34, 75, 14, 2, 14, 0, 3.0, 10.0, 13.0, 0, 0, 10, 8, 0, 2, 4, 0, 1, 5, 3, 1, 0.0, 8, 0, 1, 0, 0, 5, 8, 21.43, 71.43, 92.86, 14.298828125, 50.0, 80.0, 0, 0.0, 71.390625, 0.0, 10.0, 50.0, 30.0, 10.0, 0.0, 80.0, 80.0, 0.0, 0.0, 20.0, 10.0, 49.0, 7.0, 5.0, 1.0, 20.0, "Tous les candidats", 95.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "24457", "Double licence - Histoire / Géographie et aménagement - Double-licence mention Histoire - mention Géographie aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24457&g_ta_cod=24457", 86.0, 0.0, 14.0),
(13133, "Public", "0600021X", "Lycée Jules Uhry", "60", "Oise", "Hauts-de-France", "Amiens", "Creil", "formation sélective", "Autre formation", "Lycée Jules Uhry - Diplôme de Comptabilité et de Gestion", "DCG", "", 24, 393, 175, 250, 0, 84, 30, 46, 17, 6, 2, 114, 143, 20, 28, 9, 86, 94, 19, 0, 0, 67, 21, 11, 5, 0, 0, 16, 92, 29, 8, 21, 8, 7.0, 21.0, 26.0, 0, 8, 18, 17, 1, 0, 11, 0, 8, 6, 4, 0, 0.0, 9, 1, 0, 0, 0, 16, 16, 24.14, 72.41, 89.66, 27.59765625, 88.890625, 88.890625, 0, 44.3984375, 62.09375, 0.0, 44.3984375, 33.296875, 22.19921875, 0.0, 0.0, 94.390625, 50.0, 5.599609375, 5.599609375, 0.0, 0.0, 59.0, 19.0, 0.0, 0.0, 27.0, "Tous les candidats", 94.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 38.0, "7247", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7247&g_ta_cod=7247", 90.0, 10.0, 0.0),
(13134, "Privé sous contrat d'association", "0592940A", "Lycée Saint-Jean", "59", "Nord", "Hauts-de-France", "Lille", "Douai", "formation sélective", "CPGE", "Lycée Saint-Jean - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 48, 1110, 461, 1104, 946, 1018, 33, 1, 0, 0, 0, 85, 6, 4, 0, 0, 2, 560, 0, 498, 423, 558, 10, 0, 0, 0, 0, 2, 267, 36, 10, 36, 0, 4.0, 23.0, 36.0, 30, 0, 36, 36, 0, 0, 0, 0, 0, 4, 29, 3, 0.0, 36, 0, 0, 0, 0, 9, 9, 11.11, 63.89, 100.0, 27.796875, 25.0, 25.0, 0, 0.0, 100.0, 0.0, 0.0, 11.099609375, 80.59375, 8.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 267.0, 6.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "31456", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31309&g_ta_cod=31456", 100.0, 0.0, 0.0),
(13135, "Public", "0211986V", "Lycée Les Marcs D'Or", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Les Marcs D'Or - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 16, 204, 43, 196, 0, 12, 3, 72, 18, 62, 22, 50, 8, 0, 0, 6, 2, 99, 0, 0, 0, 6, 1, 43, 9, 40, 13, 10, 74, 10, 0, 10, 0, 1.0, 8.0, 10.0, 0, 3, 8, 0, 3, 5, 2, 0, 5, 3, 0, 0, 0.0, 0, 1, 2, 1, 0, 8, 8, 10.0, 80.0, 100.0, 0.0, 100.0, 100.0, 12.5, 37.5, 80.0, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 0.0, 0.0, 37.5, 12.5, 62.5, 25.0, 3.0, 1.0, 32.0, 7.0, 10.0, "Tous les candidats sauf les Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 43, "", 0, "Liste d'appel propre à cette formation", 47.0, "3289", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3289&g_ta_cod=3289", 0.0, 40.0, 60.0),
(13136, "Public", "9840482B", "Lycée du Diadème - Te tara o mai'ao", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Pirae", "formation sélective", "BTS", "Lycée du Diadème - Te tara o mai'ao - BTS - Services - Support à l'action managériale", "BTS - Services", "", 22, 146, 113, 146, 0, 13, 10, 70, 40, 50, 34, 13, 0, 0, 0, 0, 0, 139, 0, 0, 0, 12, 9, 65, 36, 49, 33, 13, 64, 20, 15, 20, 0, 3.0, 19.0, 19.0, 0, 12, 20, 2, 10, 8, 0, 0, 7, 10, 2, 1, 0.0, 2, 4, 7, 8, 7, 20, 20, 15.0, 95.0, 95.0, 75.0, 100.0, 100.0, 40, 60.0, 100.0, 0.0, 35.0, 50.0, 10.0, 5.0, 0.0, 10.0, 10.0, 50.0, 20.0, 40.0, 35.0, 5.0, 3.0, 19.0, 15.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 11.0, "Bacheliers technologiques toutes séries", 46, "Bacheliers professionnels toutes séries", 21, "Liste d'appel propre à cette formation", 53.0, "25805", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25805&g_ta_cod=25805", 10.0, 50.0, 40.0),
(13137, "Privé sous contrat d'association", "9741255W", "Lycée Catholique St Charles", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "Bac STL", 5, 12, 4, 12, 0, 0, 0, 12, 8, 0, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 6, 5, 0, 0, 0, 6, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "31138", "Formation d'ingénieur Bac + 5 - bac STL", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22893&g_ta_cod=31138", 0, 0, 0),
(13138, "Public", "0801344B", "Université d'Amiens", "80", "Somme", "Hauts-de-France", "Amiens", "Amiens", "formation non sélective", "Licence", "Université d'Amiens - Licence - Portail Mathématiques", "Licence - Sciences - technologies - santé", "", 72, 1015, 399, 954, 0, 713, 105, 10, 7, 1, 1, 230, 61, 13, 4, 0, 44, 954, 57, 0, 0, 713, 105, 10, 7, 1, 1, 230, 585, 65, 23, 44, 21, 2.0, 42.0, 57.0, 0, 8, 36, 33, 3, 0, 29, 0, 6, 15, 9, 5, 1.0, 27, 3, 0, 0, 0, 32, 32, 3.08, 64.62, 87.69, 35.3984375, 88.890625, 88.890625, 0, 22.19921875, 55.3984375, 0.0, 16.69921875, 41.6953125, 25.0, 13.9, 2.8, 91.6875, 75.0, 8.298828125, 8.298828125, 0.0, 0.0, 405.0, 58.0, 1.0, 1.0, 172.0, "Tous les candidats", 1065.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "10204", "Licence - Portail Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28632&g_ta_cod=10204", 92.0, 8.0, 0.0),
(13139, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Portail Licence 1ère année Portail Physique - Chimie", "Licence - Sciences - technologies - santé", "Licence 1ère année Portail Physique - Chimie", 92, 738, 357, 645, 0, 422, 70, 39, 17, 0, 0, 184, 93, 22, 3, 1, 67, 645, 88, 0, 0, 422, 70, 39, 17, 0, 0, 184, 556, 71, 32, 47, 24, 0.0, 46.0, 63.0, 0, 9, 27, 23, 3, 1, 44, 0, 5, 11, 8, 3, 0.0, 20, 2, 0, 0, 0, 25, 25, 0.0, 64.79, 88.73, 45.09375, 92.59375, 92.59375, 0, 33.296875, 38.0, 0.0, 18.5, 40.6953125, 29.59765625, 11.1, 0.0, 85.1875, 74.09375, 11.099609375, 7.3994140625, 3.69970703125, 0.0, 337.0, 60.0, 1.0, 1.0, 200.0, "Tous les candidats", 796.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "6615", "Licence - Portail Licence 1ère année Portail Physique - Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26942&g_ta_cod=6615", 76.0, 18.0, 4.0),
(13140, "Public", "0891200W", "Lycée Catherine et Raymond JANOT", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Sens", "formation sélective", "BTS", "Lycée Catherine et Raymond JANOT - BTS - Services - Support à l'action managériale", "BTS - Services", "", 24, 168, 107, 159, 0, 7, 3, 46, 11, 65, 24, 41, 9, 0, 0, 4, 5, 96, 1, 0, 0, 6, 2, 34, 8, 42, 16, 14, 69, 19, 11, 18, 1, 4.0, 18.0, 19.0, 0, 8, 14, 1, 6, 7, 5, 0, 9, 2, 3, 0, 0.0, 0, 3, 2, 6, 3, 14, 14, 21.05, 94.74, 100.0, 57.8984375, 100.0, 100.0, 42.8984375, 57.09375, 73.6875, 0.0, 64.296875, 14.298828125, 21.3984375, 0.0, 0.0, 7.099609375, 0.0, 42.8984375, 21.3984375, 50.0, 14.298828125, 4.0, 2.0, 34.0, 15.0, 11.0, "Tous les candidats sauf les Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 44, "", 0, "Liste d'appel propre à cette formation", 58.0, "10796", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10796&g_ta_cod=10796", 16.0, 47.0, 37.0),
(13141, "Privé sous contrat d'association", "0660552S", "Lycée NEOSUP Ecole Maso", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "Autre formation", "Lycée NEOSUP Ecole Maso - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 41, 537, 389, 340, 0, 88, 27, 84, 15, 8, 3, 160, 197, 34, 25, 5, 133, 136, 30, 0, 0, 45, 11, 20, 7, 0, 0, 71, 157, 42, 28, 28, 11, 11.0, 28.0, 33.0, 0, 3, 15, 12, 3, 0, 27, 0, 3, 8, 4, 0, 0.0, 9, 3, 0, 0, 0, 9, 9, 26.19, 66.67, 78.57, 66.6875, 60.0, 60.0, 0, 20.0, 35.6953125, 0.0, 20.0, 53.296875, 26.69921875, 0.0, 0.0, 80.0, 60.0, 20.0, 20.0, 0.0, 0.0, 49.0, 11.0, 0.0, 0.0, 93.0, "Tous les candidats", 136.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 40.0, "13896", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13896&g_ta_cod=13896", 90.0, 7.0, 0.0),
(13142, "Public", "0030051P", "Lycée Général et Technologique Albert Londres", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Cusset", "formation sélective", "BTS", "Lycée Général et Technologique Albert Londres - BTS - Production - Assistance technique d'ingénieur", "BTS - Production", "", 15, 255, 51, 235, 0, 23, 6, 55, 12, 14, 6, 143, 20, 2, 6, 2, 10, 90, 12, 0, 0, 20, 4, 47, 8, 10, 5, 13, 64, 12, 2, 8, 4, 4.0, 8.0, 12.0, 0, 1, 8, 2, 3, 3, 4, 0, 4, 1, 3, 0, 0.0, 0, 1, 3, 4, 1, 6, 6, 33.33, 66.67, 100.0, 16.69921875, 75.0, 75.0, 50, 12.5, 66.6875, 0.0, 50.0, 12.5, 37.5, 0.0, 0.0, 25.0, 0.0, 37.5, 12.5, 37.5, 37.5, 11.0, 2.0, 10.0, 5.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 23.0, "Bacheliers professionnels toutes séries", 11, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 37.0, "2131", "BTS - Production - Assistance technique d'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2131&g_ta_cod=2131", 25.0, 33.0, 42.0),
(13143, "Privé sous contrat d'association", "0440151A", "Lycée St Joseph", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Châteaubriant", "formation sélective", "BTS", "Lycée St Joseph - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 30, 248, 110, 234, 0, 6, 1, 110, 31, 95, 24, 23, 14, 0, 6, 2, 6, 114, 9, 0, 0, 4, 1, 52, 12, 54, 16, 4, 83, 19, 9, 15, 4, 7.0, 11.0, 13.0, 0, 6, 17, 0, 9, 8, 2, 0, 4, 10, 3, 0, 0.0, 0, 7, 6, 5, 1, 13, 13, 36.84, 57.89, 68.42, 47.3984375, 76.5, 76.5, 29.3984375, 35.296875, 89.5, 0.0, 23.5, 58.796875, 17.59765625, 0.0, 0.0, 0.0, 0.0, 52.8984375, 41.1953125, 47.09375, 35.296875, 3.0, 1.0, 36.0, 11.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 49, "Liste d'appel propre à cette formation", 47.0, "5487", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5487&g_ta_cod=5487", 0.0, 53.0, 47.0),
(13144, "Privé sous contrat d'association", "0061496U", "INSTITUT ENSEIGNEMENT SUPERIEUR TRAVAIL SOCIAL - IESTS", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation sélective", "EFTS", "INSTITUT ENSEIGNEMENT SUPERIEUR TRAVAIL SOCIAL - IESTS - D.E Assistant de Service Social", "D.E secteur social", "", 45, 125, 114, 97, 0, 21, 6, 18, 1, 10, 2, 48, 28, 4, 4, 3, 17, 78, 12, 0, 0, 17, 6, 12, 0, 7, 2, 42, 88, 45, 43, 34, 11, 18.0, 34.0, 40.0, 0, 5, 19, 8, 5, 6, 26, 0, 8, 9, 2, 0, 0.0, 4, 2, 5, 0, 0, 12, 12, 40.0, 75.56, 88.89, 95.59375, 63.1953125, 63.1953125, 0, 26.296875, 42.1953125, 0.0, 42.09375, 47.3984375, 10.5, 0.0, 0.0, 42.09375, 21.09765625, 26.296875, 10.5, 31.59765625, 26.296875, 19.0, 6.0, 7.0, 2.0, 48.0, "Tous les candidats", 78.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "24812", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24812&g_ta_cod=24812", 47.0, 24.0, 24.0),
(13145, "Public", "0561310V", "IFSI Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "IFSI", "Regroupement d'IFSI Université Bretagne Sud - D.E Infirmier", "D.E secteur sanitaire", "", 90, 2803, 2393, 2803, 0, 618, 91, 598, 119, 286, 61, 1301, 0, 0, 0, 0, 0, 2442, 0, 0, 0, 601, 84, 565, 110, 231, 46, 1045, 345, 90, 82, 90, 0, 10.0, 74.0, 83.0, 0, 7, 42, 19, 23, 0, 48, 0, 1, 22, 14, 5, 0.0, 19, 22, 0, 0, 0, 31, 31, 11.11, 82.22, 92.22, 91.09375, 73.796875, 73.796875, 0, 16.69921875, 46.6953125, 0.0, 2.39990234375, 52.3984375, 33.296875, 11.9, 0.0, 45.1953125, 45.1953125, 54.796875, 52.3984375, 0.0, 0.0, 78.0, 17.0, 0.0, 0.0, 199.0, "Tous les candidats", 456.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 16.0, "23385", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23377&g_ta_cod=23385", 53.0, 47.0, 0.0),
(13146, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 436, 2450, 725, 2450, 0, 1552, 242, 284, 72, 92, 28, 522, 0, 0, 0, 0, 0, 2448, 0, 0, 0, 1552, 242, 284, 72, 92, 28, 520, 984, 424, 103, 423, 0, 141.0, 351.0, 392.0, 0, 81, 350, 289, 48, 13, 74, 1, 170, 133, 41, 5, 0.0, 148, 21, 10, 0, 0, 336, 336, 33.25, 82.78, 92.45, 24.296875, 96.0, 96.0, 0, 23.09765625, 82.5, 0.29998779296875, 48.59375, 38.0, 11.69921875, 1.4, 0.0, 82.59375, 42.296875, 13.69921875, 6.0, 3.69970703125, 2.89990234375, 595.0, 105.0, 39.0, 14.0, 268.0, "Tous les candidats", 1090.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "15119", "Licence - Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27244&g_ta_cod=15119", 79.0, 15.0, 6.0),
(13147, "Public", "0590266U", "Lycée professionnel César Baggio", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Autre formation", "Lycée professionnel César Baggio - Mention complémentaire - Dispositif SAS - Préparation à l'apprentissage", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21, 3, 1, 0, 0, 0.0, 0.0, 1.0, 0, 0, 1, 0, 1, 0, 2, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 1, 1, 0.0, 0.0, 33.33, 33.296875, 100.0, 100.0, 0, 0.0, 33.296875, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 2.0, 0.0, 11.0, 5.0, 4.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22337", "Mention complémentaire - Dispositif SAS - Préparation à l'apprentissage", "", "", 0.0, 100.0, 0.0),
(13148, "Privé sous contrat d'association", "9710055H", "Lycée polyvalent privé Pensionnat De Versailles", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "BTS", "Lycée polyvalent privé Pensionnat De Versailles - BTS - Services - Gestion de la PME", "BTS - Services", "", 18, 81, 35, 72, 0, 11, 3, 14, 10, 25, 17, 22, 9, 0, 0, 7, 2, 42, 7, 0, 0, 10, 2, 11, 8, 14, 9, 7, 45, 10, 9, 7, 2, 4.0, 7.0, 9.0, 0, 4, 6, 1, 0, 5, 4, 0, 3, 2, 1, 0, 0.0, 0, 0, 3, 2, 1, 6, 6, 40.0, 70.0, 90.0, 90.0, 100.0, 100.0, 33.296875, 66.6875, 60.0, 0.0, 50.0, 33.296875, 16.69921875, 0.0, 0.0, 16.69921875, 0.0, 0.0, 0.0, 83.296875, 50.0, 7.0, 2.0, 22.0, 16.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 57.0, "15302", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15302&g_ta_cod=15302", 30.0, 0.0, 70.0),
(13149, "Public", "9710746J", "Lycée professionnel Augustin Arron", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Baie-Mahault", "formation sélective", "Autre formation", "Lycée professionnel Augustin Arron - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 48, 12, 33, 0, 7, 4, 5, 4, 17, 9, 4, 15, 4, 1, 5, 5, 33, 3, 0, 0, 7, 4, 5, 4, 17, 9, 4, 37, 14, 3, 9, 1, 5.0, 9.0, 12.0, 0, 9, 12, 3, 2, 7, 2, 0, 8, 3, 1, 0, 0.0, 0, 1, 3, 0, 0, 12, 12, 35.71, 64.29, 85.71, 21.3984375, 100.0, 100.0, 0, 75.0, 85.6875, 0.0, 66.6875, 25.0, 8.298828125, 0.0, 0.0, 25.0, 0.0, 16.69921875, 8.298828125, 58.296875, 25.0, 8.0, 2.0, 17.0, 11.0, 5.0, "Tous les candidats", 32.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "25343", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25343&g_ta_cod=25343", 21.0, 21.0, 57.0),
(13150, "Public", "0932270M", "I.U.T. de Bobigny - Université Paris 13", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation sélective", "BUT", "I.U.T. de Bobigny - Université Paris 13 - BUT - Métiers du multimédia et de l'internet", "BUT - Production", "", 50, 3297, 979, 3297, 0, 1281, 364, 959, 377, 130, 56, 927, 0, 0, 0, 0, 0, 1409, 0, 0, 0, 585, 155, 574, 219, 19, 8, 231, 282, 49, 21, 49, 0, 2.0, 35.0, 44.0, 0, 17, 42, 21, 21, 0, 7, 0, 4, 32, 6, 0, 0.0, 18, 20, 0, 0, 0, 22, 40, 4.08, 71.43, 89.8, 42.8984375, 52.3984375, 95.1875, 0, 40.5, 85.6875, 0.0, 9.5, 76.1875, 14.298828125, 0.0, 0.0, 50.0, 42.8984375, 50.0, 47.59375, 0.0, 0.0, 117.0, 37.0, 0.0, 0.0, 55.0, "Tous les candidats sauf les Bac technologiques", 237.0, "Bacheliers technologiques toutes séries", 246, "", 0, "Liste d'appel propre à cette formation", 15.0, "11354", "BUT - Métiers du multimédia et de l'internet", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11354&g_ta_cod=11354", 49.0, 51.0, 0.0),
(13151, "Public", "0280021W", "Lycée Edouard BRANLY", "28", "Eure-et-Loir", "Centre-Val de Loire", "Orléans-Tours", "Dreux", "formation sélective", "BTS", "Lycée Edouard BRANLY - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 16, 194, 16, 186, 0, 30, 6, 51, 17, 43, 13, 62, 8, 0, 6, 0, 2, 118, 1, 0, 0, 28, 6, 39, 15, 29, 8, 22, 69, 16, 0, 16, 0, 1.0, 13.0, 15.0, 0, 5, 16, 4, 8, 4, 0, 0, 12, 3, 1, 0, 0.0, 0, 3, 1, 9, 0, 12, 12, 6.25, 81.25, 93.75, 0.0, 75.0, 75.0, 56.296875, 31.296875, 100.0, 0.0, 75.0, 18.796875, 6.2998046875, 0.0, 0.0, 25.0, 0.0, 50.0, 18.796875, 25.0, 6.2998046875, 24.0, 5.0, 15.0, 4.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 17, "Bacheliers technologiques toutes séries", 38, "Liste d'appel propre à cette formation", 44.0, "18759", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18759&g_ta_cod=18759", 25.0, 50.0, 25.0),
(13152, "Public", "0631985R", "Lycée Polyvalent Pierre-Joël Bonté", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Riom", "formation sélective", "BTS", "Lycée Polyvalent Pierre-Joël Bonté - BTS - Production - Systèmes constructifs bois et habitat", "BTS - Production", "", 15, 214, 21, 214, 0, 28, 1, 79, 13, 70, 8, 37, 0, 0, 0, 0, 0, 120, 0, 0, 0, 19, 0, 35, 6, 50, 7, 16, 47, 15, 2, 15, 0, 4.0, 12.0, 13.0, 0, 2, 12, 3, 2, 7, 3, 0, 2, 8, 2, 0, 0.0, 1, 2, 7, 4, 0, 9, 9, 26.67, 80.0, 86.67, 13.298828125, 75.0, 75.0, 33.296875, 16.69921875, 80.0, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 25.0, 8.298828125, 16.69921875, 16.69921875, 58.296875, 58.296875, 7.0, 0.0, 31.0, 4.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 16.0, "Bacheliers professionnels toutes séries", 44, "Bacheliers technologiques toutes séries", 10, "Liste d'appel propre à cette formation", 33.0, "7680", "BTS - Production - Systèmes constructifs bois et habitat", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7680&g_ta_cod=7680", 40.0, 13.0, 47.0),
(13153, "Public", "0601782L", "Lycée agricole de l'Oise - Airion / Beauvais", "60", "Oise", "Hauts-de-France", "Amiens", "Airion", "formation sélective", "BTS", "Lycée agricole de l'Oise - Airion / Beauvais - BTS - Agricole - Agronomie : Productions végétales", "BTS - Agricole", "", 16, 256, 81, 246, 0, 48, 10, 56, 7, 40, 9, 102, 10, 1, 0, 2, 7, 64, 6, 0, 0, 22, 3, 20, 2, 18, 4, 4, 57, 7, 3, 6, 1, 3.0, 6.0, 7.0, 0, 1, 7, 0, 4, 3, 0, 0, 3, 2, 2, 0, 0.0, 0, 2, 2, 4, 2, 5, 5, 42.86, 85.71, 100.0, 42.8984375, 71.390625, 71.390625, 57.09375, 14.298828125, 100.0, 0.0, 42.8984375, 28.59765625, 28.59765625, 0.0, 0.0, 0.0, 0.0, 57.09375, 28.59765625, 42.8984375, 28.59765625, 22.0, 3.0, 15.0, 5.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 16, "Liste d'appel propre à cette formation", 24.0, "7265", "BTS - Agricole - Agronomie : Productions végétales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7265&g_ta_cod=7265", 0.0, 57.0, 43.0),
(13154, "Privé sous contrat d'association", "0332282B", "ISNAB", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Villenave-d'Ornon", "formation sélective", "BTS", "ISNAB - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 45, 165, 63, 147, 0, 21, 1, 31, 7, 29, 5, 66, 18, 2, 5, 1, 10, 88, 12, 0, 0, 19, 1, 22, 4, 23, 3, 24, 96, 21, 10, 18, 3, 10.0, 18.0, 20.0, 0, 2, 14, 11, 2, 1, 7, 0, 6, 5, 2, 1, 0.0, 6, 1, 1, 0, 0, 10, 10, 47.62, 85.71, 95.24, 47.59375, 71.390625, 71.390625, 0, 14.298828125, 66.6875, 0.0, 42.8984375, 35.6953125, 14.298828125, 7.1, 0.0, 78.59375, 42.8984375, 14.298828125, 7.099609375, 7.099609375, 7.099609375, 21.0, 2.0, 24.0, 4.0, 31.0, "Tous les candidats sauf les Bac professionnels", 63.0, "Bacheliers professionnels toutes séries", 25, "", 0, "Liste d'appel propre à cette formation", 60.0, "4432", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4432&g_ta_cod=4432", 71.0, 24.0, 5.0),
(13155, "Public", "0421788R", "Lycée du Forez", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Feurs", "formation sélective", "BTS", "Lycée du Forez - BTS - Services - Banque conseiller de clientèle", "BTS - Services", "", 24, 406, 248, 406, 0, 33, 8, 136, 57, 95, 49, 142, 0, 0, 0, 0, 0, 311, 0, 0, 0, 33, 8, 121, 50, 79, 41, 78, 133, 21, 15, 21, 0, 4.0, 15.0, 17.0, 0, 8, 15, 0, 10, 5, 6, 0, 10, 4, 1, 0, 0.0, 0, 2, 3, 3, 2, 14, 14, 19.05, 71.43, 80.95, 71.390625, 93.296875, 93.296875, 20, 53.296875, 71.390625, 0.0, 66.6875, 26.69921875, 6.69921875, 0.0, 0.0, 0.0, 0.0, 66.6875, 13.298828125, 33.296875, 20.0, 1.0, 1.0, 35.0, 18.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 110, "Liste d'appel propre à cette formation", 40.0, "17938", "BTS - Services - Banque conseiller de clientèle", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17938&g_ta_cod=17938", 10.0, 67.0, 24.0),
(13156, "Public", "0310039Z", "Lycée Marcelin Berthelot", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "BTS", "Lycée Marcelin Berthelot - BTS - Services - Support à l'action managériale", "BTS - Services", "", 30, 738, 532, 738, 0, 33, 11, 258, 110, 233, 135, 214, 0, 0, 0, 0, 0, 459, 0, 0, 0, 23, 5, 199, 75, 165, 93, 72, 180, 22, 16, 22, 0, 1.0, 9.0, 14.0, 0, 9, 13, 0, 6, 7, 9, 0, 6, 7, 0, 0, 0.0, 0, 2, 5, 0, 0, 12, 12, 4.55, 40.91, 63.64, 72.6875, 92.296875, 92.296875, 0, 69.1875, 59.09375, 0.0, 46.1953125, 53.796875, 0.0, 0.0, 0.0, 0.0, 0.0, 46.1953125, 15.3984375, 53.796875, 38.5, 15.0, 4.0, 84.0, 53.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 152, "Bacheliers technologiques toutes séries", 89, "Liste d'appel propre à cette formation", 37.0, "16007", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16007&g_ta_cod=16007", 14.0, 36.0, 50.0),
(13157, "Public", "0100684P", "Iut De Troyes", "10", "Aube", "Grand Est", "Reims", "Troyes", "formation sélective", "Autre formation", "Iut De Troyes - Passerelle pour un BUT", "Année préparatoire", "Passerelle pour un BUT", 24, 174, 64, 106, 0, 21, 3, 17, 7, 26, 8, 42, 68, 21, 6, 8, 33, 57, 23, 0, 0, 14, 2, 8, 4, 23, 7, 12, 74, 25, 9, 10, 15, 5.0, 10.0, 15.0, 0, 5, 16, 6, 3, 7, 9, 0, 8, 5, 3, 0, 0.0, 1, 0, 7, 0, 0, 11, 11, 20.0, 40.0, 60.0, 36.0, 68.796875, 68.796875, 0, 31.296875, 64.0, 0.0, 50.0, 31.296875, 18.796875, 0.0, 0.0, 37.5, 6.2998046875, 18.796875, 0.0, 43.796875, 43.796875, 20.0, 3.0, 23.0, 7.0, 21.0, "Tous les candidats", 57.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "22581", "Passerelle pour un BUT", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22581&g_ta_cod=22581", 36.0, 28.0, 36.0),
(13158, "Privé sous contrat d'association", "0300080Z", "Lycée Emmanuel d'Alzon", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Emmanuel d'Alzon - BTS - Production - Aéronautique", "BTS - Production", "", 30, 660, 61, 660, 0, 174, 14, 171, 29, 114, 40, 201, 0, 0, 0, 0, 0, 654, 0, 0, 0, 174, 14, 169, 27, 114, 40, 197, 129, 27, 3, 27, 0, 1.0, 22.0, 25.0, 0, 9, 23, 10, 7, 6, 4, 0, 4, 8, 10, 1, 0.0, 7, 6, 6, 0, 0, 6, 6, 3.7, 81.48, 92.59, 11.099609375, 26.09765625, 26.09765625, 0, 39.09375, 85.1875, 0.0, 17.3984375, 34.796875, 43.5, 4.3, 0.0, 43.5, 30.3984375, 30.3984375, 26.09765625, 26.09765625, 26.09765625, 37.0, 9.0, 26.0, 7.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 71.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 84, "Liste d'appel propre à cette formation", 29.0, "20139", "BTS - Production - Aéronautique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20139&g_ta_cod=20139", 52.0, 26.0, 22.0),
(13159, "Public", "0940113M", "Lycée Langevin-Wallon", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Champigny-sur-Marne", "formation sélective", "CPGE", "Lycée Langevin-Wallon - CPGE - PTSI", "Classe préparatoire scientifique", "", 35, 417, 95, 324, 0, 207, 45, 4, 3, 0, 0, 113, 93, 38, 0, 1, 54, 199, 34, 0, 199, 171, 33, 0, 0, 0, 0, 28, 191, 29, 10, 18, 11, 0.0, 17.0, 27.0, 0, 5, 12, 12, 0, 0, 17, 0, 2, 8, 2, 0, 0.0, 10, 0, 0, 0, 0, 11, 12, 0.0, 58.62, 93.1, 34.5, 91.6875, 100.0, 0, 41.6953125, 41.3984375, 0.0, 16.69921875, 66.6875, 16.69921875, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 147.0, 28.0, 0.0, 0.0, 44.0, "Tous les candidats", 198.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 61.0, "11369", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11369&g_ta_cod=11369", 100.0, 0.0, 0.0),
(13160, "Public", "0890008A", "Lycée du Parc des Chaumes", "89", "Yonne", "Bourgogne-Franche-Comté", "Dijon", "Avallon", "formation sélective", "BTS", "Lycée du Parc des Chaumes - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 24, 175, 80, 171, 0, 13, 3, 61, 24, 68, 24, 29, 4, 1, 0, 0, 3, 164, 0, 0, 0, 12, 3, 61, 24, 68, 24, 23, 109, 16, 5, 16, 0, 6.0, 12.0, 13.0, 0, 3, 14, 0, 4, 10, 2, 0, 7, 5, 1, 1, 0.0, 0, 0, 7, 9, 3, 14, 14, 37.5, 75.0, 81.25, 31.296875, 100.0, 100.0, 64.296875, 21.3984375, 87.5, 0.0, 50.0, 35.6953125, 7.099609375, 7.1, 0.0, 0.0, 0.0, 28.59765625, 0.0, 71.390625, 50.0, 17.0, 4.0, 41.0, 12.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 63.0, "10774", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10774&g_ta_cod=10774", 6.0, 31.0, 63.0),
(13161, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence_Las", "Université Côte d'Azur - Licence - Portail Chimie - Physique-Mathématiques - Sci. de la Terre - Electronique - Informatique - Mathématiques & Informatique Appliqués aux Scie. Humaines (MIASH)", "Licence - Sciences - technologies - santé", "Chimie - Physique-Mathématiques - Sci. de la Terre - Electronique - Informatique - Mathématiques & Informatique Appliqués aux Scie. Humaines (MIASH)", 70, 1159, 524, 1135, 0, 643, 121, 30, 9, 3, 1, 459, 24, 6, 2, 0, 16, 1104, 20, 0, 0, 643, 121, 30, 9, 3, 1, 428, 590, 67, 36, 56, 11, 1.0, 24.0, 42.0, 0, 9, 35, 33, 2, 0, 32, 1, 9, 16, 5, 4, 0.0, 24, 1, 0, 0, 0, 26, 26, 1.49, 35.82, 62.69, 53.6953125, 74.296875, 74.296875, 0, 25.69921875, 52.1953125, 2.89990234375, 25.69921875, 45.6953125, 14.298828125, 11.4, 0.0, 94.296875, 68.59375, 5.69921875, 2.89990234375, 0.0, 0.0, 341.0, 56.0, 0.0, 0.0, 244.0, "Tous les candidats", 1967.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 75.0, "27495", "Licence - Portail Chimie - Physique-Mathématiques - Sci. de la Terre - Electronique - Informatique - Mathématiques & Informatique Appliqués aux Scie. Humaines (MIASH)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27494&g_ta_cod=27495", 94.0, 3.0, 0.0),
(13162, "Public", "9740738J", "Lycée professionnel Hôtelier La Renaissance", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Paul", "formation sélective", "BTS", "Lycée professionnel Hôtelier La Renaissance - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 34, 148, 71, 147, 0, 0, 0, 43, 21, 37, 9, 67, 1, 0, 0, 1, 0, 131, 0, 0, 0, 0, 0, 38, 19, 31, 6, 62, 61, 34, 19, 34, 0, 24.0, 34.0, 34.0, 0, 8, 15, 0, 8, 7, 19, 0, 1, 5, 7, 2, 0.0, 0, 8, 6, 14, 7, 14, 14, 70.59, 100.0, 100.0, 55.8984375, 93.296875, 93.296875, 93.296875, 53.296875, 44.09375, 0.0, 6.69921875, 33.296875, 46.6953125, 13.3, 0.0, 0.0, 0.0, 53.296875, 53.296875, 46.6953125, 40.0, 0.0, 0.0, 23.0, 5.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 31, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 51.0, "11929", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11929&g_ta_cod=11929", 32.0, 44.0, 24.0),
(13163, "Privé sous contrat d'association", "0610694Y", "Lycée Jeanne D'Arc (Argentan)", "61", "Orne", "Normandie", "Normandie", "Argentan", "formation sélective", "BTS", "Lycée Jeanne D'Arc (Argentan) - BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "BTS - Services", "", 18, 134, 133, 133, 0, 22, 7, 42, 10, 41, 9, 28, 1, 0, 0, 0, 1, 132, 0, 0, 0, 22, 7, 41, 10, 41, 9, 28, 64, 12, 12, 12, 0, 6.0, 10.0, 12.0, 0, 0, 7, 2, 3, 2, 5, 0, 3, 2, 2, 0, 0.0, 0, 2, 2, 0, 0, 7, 7, 50.0, 83.33, 100.0, 100.0, 100.0, 100.0, 0, 0.0, 58.296875, 0.0, 42.8984375, 28.59765625, 28.59765625, 0.0, 0.0, 28.59765625, 0.0, 42.8984375, 28.59765625, 28.59765625, 28.59765625, 11.0, 3.0, 16.0, 4.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 31.0, "Bacheliers professionnels toutes séries", 21, "Bacheliers technologiques toutes séries", 28, "Liste d'appel propre à cette formation", 60.0, "17708", "BTS - Services - Métiers de l'esthétique-cosmétique-parfumerie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17708&g_ta_cod=17708", 50.0, 33.0, 17.0),
(13164, "Privé sous contrat d'association", "0590347G", "ISEN Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 10, 116, 8, 113, 0, 0, 0, 113, 21, 0, 0, 0, 3, 0, 3, 0, 0, 77, 0, 0, 0, 0, 0, 77, 11, 0, 0, 0, 73, 6, 0, 6, 0, 5.0, 6.0, 6.0, 0, 0, 6, 0, 6, 0, 0, 0, 0, 1, 5, 0, 0.0, 0, 6, 0, 0, 0, 5, 5, 83.33, 100.0, 100.0, 0.0, 83.296875, 83.296875, 0, 0.0, 100.0, 0.0, 0.0, 16.69921875, 83.296875, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "22913", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=22913", 0.0, 100.0, 0.0),
(13165, "Public", "0210019G", "Lycée Le Castel", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation sélective", "BTS", "Lycée Le Castel - BTS - Production - Métiers de la mode-vêtements", "BTS - Production", "", 15, 458, 391, 458, 0, 110, 29, 36, 9, 177, 63, 135, 0, 0, 0, 0, 0, 320, 0, 0, 0, 101, 27, 30, 8, 123, 38, 66, 53, 16, 15, 16, 0, 5.0, 11.0, 14.0, 0, 5, 14, 5, 0, 9, 2, 0, 2, 6, 5, 1, 0.0, 4, 0, 8, 4, 4, 12, 12, 31.25, 68.75, 87.5, 93.796875, 85.6875, 85.6875, 28.59765625, 35.6953125, 87.5, 0.0, 14.298828125, 42.8984375, 35.6953125, 7.1, 0.0, 35.6953125, 28.59765625, 0.0, 0.0, 64.296875, 57.09375, 16.0, 4.0, 25.0, 6.0, 7.0, "Tous les candidats sauf les Bac professionnels", 40.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 14.0, "12287", "BTS - Production - Métiers de la mode-vêtements", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12287&g_ta_cod=12287", 38.0, 0.0, 56.0),
(13166, "Public", "0040490L", "Lycée PIERRE-GILLES DE GENNES", "04", "Alpes-de-Haute-Provence", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Digne-les-Bains", "formation sélective", "BTS", "Lycée PIERRE-GILLES DE GENNES - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "BTS - Production", "", 30, 154, 9, 151, 0, 10, 1, 33, 6, 68, 26, 40, 3, 0, 2, 1, 0, 97, 1, 0, 0, 9, 1, 30, 5, 56, 18, 2, 84, 18, 0, 17, 1, 8.0, 17.0, 18.0, 0, 5, 18, 2, 1, 15, 0, 0, 4, 4, 10, 0, 0.0, 1, 0, 13, 1, 0, 7, 7, 44.44, 94.44, 100.0, 0.0, 38.8984375, 38.8984375, 5.599609375, 27.796875, 100.0, 0.0, 22.19921875, 22.19921875, 55.59375, 0.0, 0.0, 11.099609375, 5.599609375, 5.599609375, 0.0, 83.296875, 72.1875, 5.0, 1.0, 49.0, 14.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 61.0, "2163", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2163&g_ta_cod=2163", 11.0, 6.0, 83.0),
(13167, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation non sélective", "Licence", "Université Paris Nanterre - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 560, 9395, 7760, 9395, 0, 4699, 1046, 783, 224, 211, 79, 3702, 0, 0, 0, 0, 0, 9395, 0, 0, 0, 4699, 1046, 783, 224, 211, 79, 3702, 2247, 555, 468, 553, 0, 68.0, 449.0, 497.0, 0, 82, 364, 342, 19, 3, 191, 0, 46, 166, 133, 18, 1.0, 301, 14, 3, 0, 0, 207, 334, 12.25, 80.9, 89.55, 84.296875, 56.8984375, 91.796875, 0, 22.5, 65.59375, 0.0, 12.599609375, 45.59375, 36.5, 4.9, 0.3, 94.0, 82.6875, 5.19921875, 3.7998046875, 0.7999267578125, 0.7999267578125, 1424.0, 301.0, 9.0, 3.0, 743.0, "Tous les candidats", 2904.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 28.0, "11086", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27225&g_ta_cod=11086", 91.0, 5.0, 1.0),
(13168, "Public", "0660010C", "Lycée François Arago", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée François Arago - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 36, 224, 60, 222, 0, 9, 5, 104, 41, 76, 35, 33, 2, 0, 0, 1, 1, 175, 1, 0, 0, 9, 5, 102, 39, 57, 27, 7, 105, 32, 3, 32, 0, 11.0, 28.0, 31.0, 0, 12, 31, 0, 18, 13, 1, 0, 18, 11, 2, 0, 0.0, 0, 7, 6, 2, 0, 31, 31, 34.38, 87.5, 96.88, 9.3984375, 100.0, 100.0, 6.5, 38.6953125, 96.890625, 0.0, 58.09375, 35.5, 6.5, 0.0, 0.0, 0.0, 0.0, 58.09375, 22.59765625, 41.8984375, 19.3984375, 2.0, 1.0, 47.0, 21.0, 1.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 61.0, "7846", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7846&g_ta_cod=7846", 3.0, 56.0, 41.0),
(13169, "Public", "0620140R", "Lycée Eugene Woillez", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Montreuil", "formation sélective", "BTS", "Lycée Eugene Woillez - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 224, 116, 221, 0, 22, 6, 66, 17, 88, 35, 45, 3, 0, 0, 1, 2, 142, 0, 0, 0, 18, 5, 51, 11, 65, 29, 8, 99, 33, 16, 33, 0, 4.0, 20.0, 24.0, 0, 18, 30, 1, 10, 19, 3, 0, 6, 17, 7, 0, 0.0, 0, 7, 17, 22, 12, 29, 29, 12.12, 60.61, 72.73, 48.5, 96.6875, 96.6875, 73.296875, 60.0, 90.890625, 0.0, 20.0, 56.6953125, 23.296875, 0.0, 0.0, 3.2998046875, 0.0, 33.296875, 23.296875, 63.296875, 56.6953125, 8.0, 2.0, 51.0, 24.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 58, "Bacheliers technologiques toutes séries", 34, "Liste d'appel propre à cette formation", 47.0, "7386", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7386&g_ta_cod=7386", 6.0, 33.0, 61.0),
(13170, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Italien à distance", "Licence - Arts-lettres-langues", "LLCER Italien à distance", 35, 151, 112, 50, 0, 16, 5, 4, 2, 1, 1, 29, 101, 3, 2, 1, 95, 49, 92, 0, 0, 16, 5, 4, 2, 1, 1, 28, 141, 27, 16, 5, 22, 5.0, 5.0, 14.0, 0, 0, 1, 1, 0, 0, 26, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 18.52, 18.52, 51.85, 59.296875, 0.0, 0.0, 0, 0.0, 3.69970703125, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 19.0, 7.0, 2.0, 2.0, 115.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "24000", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours LLCER Italien à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24000&g_ta_cod=24000", 81.0, 19.0, 0.0),
(13171, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "Licence - Arts-lettres-langues", "Anglais", 200, 1218, 887, 1181, 0, 759, 196, 74, 34, 31, 12, 317, 37, 11, 7, 0, 19, 1165, 31, 0, 0, 759, 196, 74, 34, 31, 12, 301, 925, 198, 134, 176, 21, 15.0, 155.0, 169.0, 0, 40, 116, 86, 23, 7, 82, 1, 65, 43, 7, 0, 0.0, 41, 5, 4, 0, 0, 87, 109, 7.58, 78.28, 85.35, 67.6875, 75.0, 94.0, 0, 34.5, 58.59375, 0.89990234375, 56.0, 37.09375, 6.0, 0.0, 0.0, 74.09375, 35.296875, 19.796875, 4.2998046875, 6.0, 3.39990234375, 606.0, 147.0, 25.0, 9.0, 230.0, "Tous les candidats", 1112.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "24381", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24381&g_ta_cod=24381", 67.0, 23.0, 10.0),
(13172, "Public", "0671832C", "Lycée Jean-Baptiste Schwilgue", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Sélestat", "formation sélective", "BTS", "Lycée Jean-Baptiste Schwilgue - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 193, 48, 192, 0, 13, 3, 71, 19, 67, 29, 41, 1, 0, 1, 0, 0, 166, 1, 0, 0, 13, 3, 70, 19, 67, 29, 16, 82, 21, 3, 21, 0, 9.0, 16.0, 19.0, 0, 6, 20, 1, 6, 13, 1, 0, 9, 6, 5, 0, 0.0, 0, 0, 11, 13, 1, 20, 20, 42.86, 76.19, 90.48, 14.298828125, 100.0, 100.0, 65, 30.0, 95.1875, 0.0, 45.0, 30.0, 25.0, 0.0, 0.0, 5.0, 0.0, 30.0, 0.0, 65.0, 55.0, 9.0, 3.0, 24.0, 8.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 13.0, "Bacheliers professionnels toutes séries", 22, "Bacheliers technologiques toutes séries", 62, "Liste d'appel propre à cette formation", 51.0, "7989", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7989&g_ta_cod=7989", 5.0, 29.0, 67.0),
(13173, "Privé enseignement supérieur", "0690195M", "Institut Catholique de Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon", "formation sélective", "Licence_Las", "Institut Catholique de Lyon - ESTBB - Licence - Portail Sciences de la vie - Majeure Biologie Mineure Humanités", "Licence - Sciences - technologies - santé", "Majeure Biologie Mineure Humanités", 24, 1065, 805, 1065, 0, 585, 71, 23, 5, 0, 0, 457, 0, 0, 0, 0, 0, 885, 0, 0, 0, 538, 61, 17, 4, 0, 0, 330, 248, 27, 24, 27, 0, 7.0, 21.0, 22.0, 0, 2, 24, 24, 0, 0, 3, 0, 0, 7, 9, 8, 0.0, 24, 0, 0, 0, 0, 11, 11, 25.93, 77.78, 81.48, 88.890625, 45.796875, 45.796875, 0, 8.298828125, 88.890625, 0.0, 0.0, 29.19921875, 37.5, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 193.0, 10.0, 0.0, 0.0, 53.0, "Tous les candidats", 470.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 33.0, "27793", "Licence - Portail Sciences de la vie - Majeure Biologie Mineure Humanités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27792&g_ta_cod=27793", 100.0, 0.0, 0.0),
(13174, "Public", "0130058T", "Lycée professionnel Estaque (L')", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille 16e  Arrondissement", "formation sélective", "Autre formation", "Lycée professionnel Estaque (L') - Mention complémentaire - FCIL préparation aux concours de la sécurité publique et civile", "Mention complémentaire", "", 20, 145, 75, 132, 0, 29, 12, 19, 8, 62, 25, 22, 13, 0, 1, 3, 9, 58, 7, 0, 0, 14, 5, 6, 3, 26, 7, 12, 64, 15, 9, 12, 3, 5.0, 12.0, 12.0, 0, 3, 11, 2, 2, 7, 4, 0, 0, 8, 2, 1, 0.0, 2, 2, 7, 0, 0, 5, 5, 33.33, 80.0, 80.0, 60.0, 45.5, 45.5, 0, 27.296875, 73.296875, 0.0, 0.0, 72.6875, 18.19921875, 9.1, 0.0, 18.19921875, 18.19921875, 18.19921875, 18.19921875, 63.59375, 63.59375, 14.0, 5.0, 27.0, 8.0, 17.0, "Tous les candidats", 58.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "25048", "Mention complémentaire - FCIL préparation aux concours de la sécurité publique et civile", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25048&g_ta_cod=25048", 27.0, 13.0, 60.0),
(13175, "Public", "9741180P", "I.U.T de la Réunion", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "BUT", "I.U.T de la Réunion - BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "BUT - Production", "", 25, 342, 220, 342, 0, 162, 55, 105, 54, 2, 2, 73, 0, 0, 0, 0, 0, 195, 0, 0, 0, 101, 31, 50, 23, 0, 0, 44, 91, 26, 18, 26, 0, 9.0, 23.0, 23.0, 0, 12, 21, 12, 9, 0, 5, 0, 3, 12, 4, 2, 0.0, 11, 7, 0, 0, 0, 21, 21, 34.62, 88.46, 88.46, 69.1875, 100.0, 100.0, 0, 57.09375, 80.796875, 0.0, 14.298828125, 57.09375, 19.0, 9.5, 0.0, 57.09375, 52.3984375, 42.8984375, 33.296875, 0.0, 0.0, 57.0, 21.0, 0.0, 0.0, 20.0, "Tous les candidats sauf les Bac technologiques", 100.0, "Bacheliers technologiques toutes séries", 18, "", 0, "Liste d'appel propre à cette formation", 35.0, "11955", "BUT - Génie biologique parcours sciences de l'aliment et biotechnologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11955&g_ta_cod=11955", 58.0, 42.0, 0.0),
(13176, "Public", "0330028B", "Lycée Gustave Eiffel", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BTS", "Lycée Gustave Eiffel - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 452, 24, 452, 0, 26, 6, 135, 28, 176, 63, 115, 0, 0, 0, 0, 0, 382, 0, 0, 0, 26, 6, 120, 22, 159, 54, 77, 145, 25, 0, 25, 0, 2.0, 18.0, 21.0, 0, 4, 20, 1, 10, 9, 5, 0, 7, 10, 3, 0, 0.0, 0, 5, 8, 8, 0, 18, 18, 8.0, 72.0, 84.0, 0.0, 90.0, 90.0, 40, 20.0, 80.0, 0.0, 35.0, 50.0, 15.0, 0.0, 0.0, 5.0, 0.0, 50.0, 25.0, 45.0, 40.0, 7.0, 2.0, 79.0, 23.0, 12.0, "Tous les candidats sauf les Bac professionnels", 79.0, "Bacheliers professionnels toutes séries", 129, "", 0, "Liste d'appel propre à cette formation", 46.0, "4292", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4292&g_ta_cod=4292", 4.0, 44.0, 52.0),
(13177, "Public", "0750712S", "Lycée Diderot", "75", "Paris", "Ile-de-France", "Paris", "Paris 19e  Arrondissement", "formation sélective", "BTS", "Lycée Diderot - BTS - Production - Conception de produits industriels", "BTS - Production", "", 24, 748, 58, 748, 0, 42, 8, 349, 125, 158, 68, 199, 0, 0, 0, 0, 0, 411, 0, 0, 0, 38, 7, 241, 84, 87, 38, 45, 114, 23, 0, 23, 0, 3.0, 18.0, 21.0, 0, 7, 22, 3, 12, 7, 1, 0, 3, 15, 4, 0, 0.0, 2, 12, 5, 3, 0, 6, 21, 13.04, 78.26, 91.3, 0.0, 27.296875, 95.5, 13.599609375, 31.796875, 95.6875, 0.0, 13.599609375, 68.1875, 18.19921875, 0.0, 0.0, 13.599609375, 9.099609375, 54.5, 54.5, 31.796875, 22.69921875, 13.0, 4.0, 24.0, 6.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 46, "Bacheliers technologiques toutes séries", 134, "Liste d'appel propre à cette formation", 27.0, "9173", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9173&g_ta_cod=9173", 13.0, 52.0, 35.0),
(13178, "Privé enseignement supérieur", "0951809A", "ILEPS", "95", "Val-d'oise", "Ile-de-France", "Versailles", "Cergy", "formation sélective", "Licence", "ILEPS - Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS Education et Motricité / Management du Sport", "Licence - Sciences - technologies - santé", "STAPS Education et Motricité / Management du Sport", 160, 630, 102, 630, 0, 403, 79, 102, 38, 13, 10, 112, 0, 0, 0, 0, 0, 401, 0, 0, 0, 290, 21, 56, 3, 2, 2, 53, 274, 159, 35, 159, 0, 91.0, 143.0, 151.0, 0, 10, 149, 125, 24, 0, 10, 0, 41, 81, 22, 5, 0.0, 90, 18, 0, 0, 0, 123, 136, 57.23, 89.94, 94.97, 22.0, 82.59375, 91.296875, 0, 6.69921875, 93.6875, 0.0, 27.5, 54.3984375, 14.798828125, 3.4, 0.0, 83.890625, 60.3984375, 16.09765625, 12.099609375, 0.0, 0.0, 207.0, 11.0, 0.0, 0.0, 29.0, "Tous les candidats", 280.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "11651", "Licence - Sciences et Techniques des Activités Physiques et Sportives - Parcours STAPS Education et Motricité / Management du Sport", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11651&g_ta_cod=11651", 83.0, 16.0, 1.0),
(13179, "Public", "0330028B", "Lycée Gustave Eiffel", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "CPGE", "Lycée Gustave Eiffel - CPGE - ENS Rennes D1", "Classe préparatoire économique et commerciale", "", 48, 1950, 1421, 1950, 0, 1796, 176, 5, 2, 3, 1, 146, 0, 0, 0, 0, 0, 1481, 0, 0, 1481, 1421, 117, 0, 0, 0, 0, 60, 295, 48, 37, 48, 0, 1.0, 37.0, 44.0, 0, 7, 47, 47, 0, 0, 1, 0, 0, 1, 17, 28, 1.0, 47, 0, 0, 4, 2, 26, 26, 2.08, 77.08, 91.67, 77.09375, 55.296875, 55.296875, 8.5, 14.8984375, 97.890625, 0.0, 0.0, 2.099609375, 36.1953125, 59.6, 2.1, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 284.0, 30.0, 0.0, 0.0, 11.0, "Tous les candidats", 504.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "4289", "CPGE - ENS Rennes D1", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4289&g_ta_cod=4289", 100.0, 0.0, 0.0),
(13180, "Privé sous contrat d'association", "9741255W", "Lycée Catholique St Charles", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Pierre", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 5, 141, 45, 141, 0, 0, 0, 0, 0, 0, 0, 141, 0, 0, 0, 0, 0, 123, 0, 0, 0, 0, 0, 0, 0, 0, 0, 123, 114, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 114.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 87.0, "31126", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=31126", 0, 0, 0),
(13181, "Public", "0756036D", "Paris Sciences Lettres PSL", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Autre formation", "Paris Sciences Lettres PSL - Diplôme d'Etablissement - Sciences pour un monde durable", "Diplôme d'Etablissement", "Sciences pour un monde durable", 30, 430, 302, 430, 0, 324, 23, 2, 1, 0, 0, 104, 0, 0, 0, 0, 0, 164, 0, 0, 0, 156, 15, 0, 0, 0, 0, 8, 74, 30, 23, 30, 0, 12.0, 29.0, 30.0, 0, 3, 29, 29, 0, 0, 1, 0, 0, 0, 1, 28, 0.0, 29, 0, 0, 0, 0, 8, 17, 40.0, 96.67, 100.0, 76.6875, 27.59765625, 58.59375, 0, 10.298828125, 96.6875, 0.0, 0.0, 0.0, 3.39990234375, 96.6, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 72.0, 7.0, 0.0, 0.0, 2.0, "Tous les candidats", 81.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "28142", "Diplôme d'Etablissement - Sciences pour un monde durable", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28142&g_ta_cod=28142", 100.0, 0.0, 0.0),
(13182, "Public", "0030026M", "Lycée Paul Constans", "03", "Allier", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Montluçon", "formation sélective", "CPGE", "Lycée Paul Constans - CPGE - PTSI", "Classe préparatoire scientifique", "", 24, 164, 30, 149, 98, 118, 20, 0, 0, 0, 0, 31, 15, 8, 0, 0, 7, 130, 4, 98, 111, 112, 16, 0, 0, 0, 0, 18, 116, 18, 2, 17, 1, 13.0, 17.0, 17.0, 10, 0, 15, 15, 0, 0, 3, 0, 1, 5, 6, 3, 0.0, 14, 0, 0, 10, 0, 14, 14, 72.22, 94.44, 94.44, 11.099609375, 93.296875, 93.296875, 66.6875, 0.0, 83.296875, 0.0, 6.69921875, 33.296875, 40.0, 20.0, 0.0, 100.0, 93.296875, 0.0, 0.0, 0.0, 0.0, 103.0, 15.0, 0.0, 0.0, 13.0, "Tous les candidats", 116.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "2113", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2113&g_ta_cod=2113", 100.0, 0.0, 0.0),
(13183, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "PASS", "Université de La Réunion - Saint Denis - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 80, 726, 478, 545, 0, 364, 109, 31, 15, 32, 25, 118, 181, 65, 3, 11, 102, 538, 173, 0, 0, 364, 109, 31, 15, 32, 25, 111, 588, 77, 56, 33, 44, 6.0, 33.0, 53.0, 0, 16, 46, 34, 2, 10, 31, 0, 15, 19, 7, 3, 2.0, 26, 0, 5, 0, 0, 35, 35, 7.79, 42.86, 68.83, 72.6875, 76.09375, 76.09375, 0, 34.796875, 59.6953125, 0.0, 32.59375, 41.296875, 15.19921875, 6.5, 4.3, 73.890625, 56.5, 4.2998046875, 0.0, 21.69921875, 10.8984375, 358.0, 93.0, 34.0, 29.0, 178.0, "Tous les candidats", 1881.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "27564", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27563&g_ta_cod=27564", 64.0, 18.0, 17.0),
(13184, "Public", "0220056S", "Lycée Francois Rabelais", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Saint-Brieuc", "formation sélective", "BTS", "Lycée Francois Rabelais - BTS - Services - Services informatiques aux organisations", "BTS - Services", "", 35, 619, 83, 619, 0, 79, 13, 146, 33, 142, 45, 252, 0, 0, 0, 0, 0, 444, 0, 0, 0, 79, 13, 137, 30, 139, 43, 89, 147, 35, 0, 35, 0, 4.0, 28.0, 31.0, 0, 12, 30, 6, 10, 14, 5, 0, 8, 14, 8, 0, 0.0, 4, 4, 14, 5, 0, 28, 28, 11.43, 80.0, 88.57, 0.0, 93.296875, 93.296875, 16.69921875, 40.0, 85.6875, 0.0, 26.69921875, 46.6953125, 26.69921875, 0.0, 0.0, 20.0, 13.298828125, 33.296875, 13.298828125, 46.6953125, 46.6953125, 33.0, 5.0, 47.0, 14.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 73, "Bacheliers technologiques toutes séries", 97, "Liste d'appel propre à cette formation", 36.0, "3318", "BTS - Services - Services informatiques aux organisations", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3318&g_ta_cod=3318", 26.0, 34.0, 40.0),
(13185, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Licence", "Université de Strasbourg - Licence - Arts du spectacle - Parcours Danse - Double Cursus (Université ? Conservatoire à Rayonnement Régional ? Études chorégraphiques)", "Licence - Arts-lettres-langues", "Danse - Double Cursus (Université ? Conservatoire à Rayonnement Régional ? Études chorégraphiques)", 20, 67, 54, 35, 0, 20, 4, 7, 0, 2, 2, 6, 32, 9, 2, 2, 19, 20, 5, 0, 0, 15, 2, 3, 0, 0, 0, 2, 25, 17, 15, 12, 5, 12.0, 12.0, 17.0, 0, 2, 15, 13, 1, 1, 2, 0, 2, 4, 6, 3, 0.0, 12, 1, 0, 0, 0, 4, 4, 70.59, 70.59, 100.0, 88.1875, 26.69921875, 26.69921875, 0, 13.298828125, 88.1875, 0.0, 13.298828125, 26.69921875, 40.0, 20.0, 0.0, 86.6875, 80.0, 6.69921875, 6.69921875, 6.69921875, 0.0, 18.0, 2.0, 1.0, 0.0, 3.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 57.0, "19831", "Licence - Arts du spectacle - Parcours Danse - Double Cursus (Université ? Conservatoire à Rayonnement Régional ? Études chorégraphiques)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19831&g_ta_cod=19831", 88.0, 6.0, 6.0),
(13186, "Public", "0134017W", "Aix Marseille Université - Site d'Aix-en-Provence", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence_Las", "Aix Marseille Université - Site d'Aix-en-Provence - Licence - Portail Sciences du langage, Lettres", "Licence - Sciences humaines et sociales", "Sciences du langage, Lettres", 22, 259, 220, 259, 0, 123, 30, 14, 5, 5, 2, 117, 0, 0, 0, 0, 0, 254, 0, 0, 0, 123, 30, 14, 5, 5, 2, 112, 143, 21, 19, 21, 0, 3.0, 12.0, 17.0, 0, 1, 14, 13, 1, 0, 7, 0, 6, 5, 3, 0, 0.0, 8, 0, 0, 0, 0, 8, 8, 14.29, 57.14, 80.95, 90.5, 57.09375, 57.09375, 0, 7.099609375, 66.6875, 0.0, 42.8984375, 35.6953125, 21.3984375, 0.0, 0.0, 92.890625, 57.09375, 7.099609375, 0.0, 0.0, 0.0, 89.0, 14.0, 2.0, 0.0, 45.0, "Tous les candidats", 407.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 64.0, "28500", "Licence - Portail Sciences du langage, Lettres", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28499&g_ta_cod=28500", 86.0, 10.0, 0.0),
(13187, "Privé sous contrat d'association", "0470060K", "Lycée Saint-Caprais", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Agen", "formation sélective", "BTS", "Lycée Saint-Caprais - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 40, 224, 102, 189, 0, 27, 6, 70, 20, 50, 20, 42, 35, 17, 0, 0, 18, 160, 15, 0, 0, 26, 6, 65, 19, 46, 18, 23, 115, 36, 13, 31, 5, 11.0, 30.0, 33.0, 0, 14, 31, 11, 9, 11, 5, 0, 20, 11, 0, 0, 0.0, 1, 4, 6, 0, 0, 23, 23, 30.56, 83.33, 91.67, 36.09375, 74.1875, 74.1875, 0, 45.1953125, 86.09375, 0.0, 64.5, 35.5, 0.0, 0.0, 0.0, 35.5, 3.19970703125, 29.0, 12.8984375, 35.5, 19.3984375, 35.0, 7.0, 29.0, 11.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 33.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 53.0, "5782", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5782&g_ta_cod=5782", 39.0, 28.0, 33.0),
(13188, "Privé enseignement supérieur", "0760168V", "EM Normandie", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "Ecole de Commerce", "Concours Passerelle Bachelor - Formation des écoles de commerce et de management Bac + 3 - Bachelor", "Formation des écoles de commerce et de management", "Bachelor", 75, 593, 246, 566, 0, 459, 31, 55, 9, 6, 5, 46, 27, 9, 5, 0, 13, 391, 20, 0, 0, 330, 14, 37, 4, 1, 0, 23, 411, 82, 44, 71, 11, 71.0, 71.0, 80.0, 0, 6, 68, 62, 6, 0, 14, 1, 24, 26, 10, 7, 0.0, 40, 3, 0, 0, 0, 45, 45, 86.59, 86.59, 97.56, 53.6953125, 66.1875, 66.1875, 0, 8.798828125, 82.890625, 1.5, 35.296875, 38.1953125, 14.69921875, 10.3, 0.0, 91.1875, 58.796875, 8.798828125, 4.3994140625, 0.0, 0.0, 337.0, 16.0, 1.0, 0.0, 34.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 69.0, "256", "Formation des écoles de commerce et de management Bac + 3 - Bachelor", "Concours Passerelle Bachelor", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=253&g_ta_cod=256", 89.0, 10.0, 1.0),
(13189, "Privé sous contrat d'association", "0382371W", "Lycée Agricole Paul Claudel", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Villemoirieu", "formation sélective", "BTS", "Lycée Agricole Paul Claudel - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 20, 100, 56, 95, 0, 9, 1, 17, 3, 33, 11, 36, 5, 1, 0, 2, 2, 63, 4, 0, 0, 9, 1, 17, 3, 32, 11, 5, 57, 10, 6, 8, 2, 4.0, 8.0, 9.0, 0, 1, 8, 2, 0, 6, 2, 0, 2, 3, 3, 0, 0.0, 1, 0, 5, 1, 0, 8, 8, 40.0, 80.0, 90.0, 60.0, 100.0, 100.0, 12.5, 12.5, 80.0, 0.0, 25.0, 37.5, 37.5, 0.0, 0.0, 25.0, 12.5, 0.0, 0.0, 75.0, 62.5, 7.0, 1.0, 29.0, 10.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 17, "Liste d'appel propre à cette formation", 63.0, "5103", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5103&g_ta_cod=5103", 20.0, 10.0, 70.0),
(13190, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Macédonien", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Europe - Macédonien", 10, 8, 2, 1, 0, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 6, 1, 7, 0, 0, 1, 0, 0, 0, 0, 0, 0, 8, 5, 1, 1, 4, 1.0, 1.0, 5.0, 0, 0, 1, 1, 0, 0, 4, 0, 1, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 1, 20.0, 20.0, 100.0, 20.0, 0.0, 100.0, 0, 0.0, 20.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, 1.0, 0.0, 0.0, 6.0, "Tous les candidats", 1.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9423", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Europe - Macédonien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29615&g_ta_cod=9423", 80.0, 20.0, 0.0),
(13191, "Public", "0360043B", "Lycée Blaise Pascal", "36", "Indre", "Centre-Val de Loire", "Orléans-Tours", "Châteauroux", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 17, 144, 32, 144, 0, 10, 4, 50, 11, 36, 14, 48, 0, 0, 0, 0, 0, 113, 0, 0, 0, 10, 4, 44, 7, 33, 13, 26, 77, 14, 1, 13, 0, 2.0, 11.0, 12.0, 0, 4, 13, 0, 8, 5, 1, 0, 6, 6, 0, 1, 0.0, 0, 4, 3, 9, 1, 11, 11, 14.29, 78.57, 85.71, 7.099609375, 84.59375, 84.59375, 69.1875, 30.796875, 92.890625, 0.0, 46.1953125, 46.1953125, 0.0, 7.7, 0.0, 0.0, 0.0, 61.5, 30.796875, 38.5, 23.09765625, 7.0, 4.0, 24.0, 9.0, 17.0, "Tous les candidats sauf les Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 26, "", 0, "Liste d'appel propre à cette formation", 60.0, "4799", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4799&g_ta_cod=4799", 0.0, 64.0, 36.0),
(13192, "Public", "0753400N", "Centre de préparation au diplôme d'état d'audioprothèsiste Conservatoire National des Arts et Métiers", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "Autre formation", "Regroupement inter-régions - D.E Audioprothésiste", "D.E secteur sanitaire", "", 31, 781, 530, 781, 0, 277, 72, 37, 19, 5, 3, 462, 0, 0, 0, 0, 0, 483, 0, 0, 0, 197, 44, 3, 1, 0, 0, 283, 129, 27, 22, 27, 0, 3.0, 18.0, 23.0, 0, 3, 12, 12, 0, 0, 15, 0, 0, 1, 7, 4, 0.0, 12, 0, 0, 0, 0, 6, 11, 11.11, 66.67, 85.19, 81.5, 50.0, 91.6875, 0, 25.0, 44.3984375, 0.0, 0.0, 8.298828125, 58.296875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 63.0, 23.0, 0.0, 0.0, 66.0, "Tous les candidats", 271.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 19.0, "29170", "D.E Audioprothésiste", "Regroupement inter-régions", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28060&g_ta_cod=29170", 96.0, 4.0, 0.0),
(13193, "Public", "0251711Z", "Lycée Claude Nicolas Ledoux", "25", "Doubs", "Bourgogne-Franche-Comté", "Besancon", "Besançon", "formation sélective", "BTS", "Lycée Claude Nicolas Ledoux - BTS - Services - Assurance", "BTS - Services", "", 18, 534, 321, 534, 0, 66, 16, 146, 64, 118, 63, 204, 0, 0, 0, 0, 0, 230, 0, 0, 0, 49, 11, 99, 34, 55, 30, 27, 85, 20, 13, 20, 0, 8.0, 14.0, 18.0, 0, 4, 14, 2, 8, 4, 6, 0, 4, 6, 3, 1, 0.0, 1, 6, 3, 2, 0, 13, 13, 40.0, 70.0, 90.0, 65.0, 92.890625, 92.890625, 14.298828125, 28.59765625, 70.0, 0.0, 28.59765625, 42.8984375, 21.3984375, 7.1, 0.0, 14.298828125, 7.099609375, 57.09375, 42.8984375, 28.59765625, 21.3984375, 19.0, 3.0, 11.0, 4.0, 17.0, "Tous les candidats sauf les Bac professionnels", 102.0, "Bacheliers professionnels toutes séries", 22, "", 0, "Liste d'appel propre à cette formation", 23.0, "3578", "BTS - Services - Assurance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3578&g_ta_cod=3578", 20.0, 60.0, 20.0),
(13194, "Public", "0623328F", "Lycée professionnel Henri Senez", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Hénin-Beaumont", "formation sélective", "Autre formation", "Lycée professionnel Henri Senez - Mention complémentaire - Dispositif SAS - Préparation à l'apprentissage", "Mention complémentaire", "", 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 28, 7, 1, 0, 0, 0.0, 0.0, 1.0, 0, 2, 7, 0, 3, 4, 0, 0, 4, 3, 0, 0, 0.0, 0, 1, 2, 0, 0, 7, 7, 0.0, 0.0, 14.29, 14.298828125, 100.0, 100.0, 0, 28.59765625, 100.0, 0.0, 57.09375, 42.8984375, 0.0, 0.0, 0.0, 0.0, 0.0, 42.8984375, 14.298828125, 57.09375, 28.59765625, 4.0, 0.0, 15.0, 8.0, 3.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22319", "Mention complémentaire - Dispositif SAS - Préparation à l'apprentissage", "", "", 0.0, 43.0, 57.0),
(13195, "Public", "0750647W", "Lycée Turgot", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "BTS", "Lycée Turgot - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 59, 1253, 525, 1253, 0, 133, 38, 514, 224, 253, 128, 353, 0, 0, 0, 0, 0, 755, 0, 0, 0, 128, 37, 324, 142, 173, 90, 130, 263, 59, 30, 59, 0, 14.0, 51.0, 53.0, 0, 23, 46, 5, 23, 18, 13, 0, 4, 22, 15, 4, 1.0, 5, 22, 15, 4, 2, 26, 41, 23.73, 86.44, 89.83, 50.796875, 56.5, 89.09375, 8.69921875, 50.0, 78.0, 0.0, 8.69921875, 47.796875, 32.59375, 8.7, 2.2, 10.8984375, 10.8984375, 50.0, 47.796875, 39.09375, 32.59375, 30.0, 13.0, 68.0, 31.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 58.0, "Bacheliers professionnels toutes séries", 107, "Bacheliers technologiques toutes séries", 203, "Liste d'appel propre à cette formation", 29.0, "8950", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8950&g_ta_cod=8950", 14.0, 49.0, 37.0),
(13196, "Public", "0596854E", "Lycée du PAYS DE CONDE", "59", "Nord", "Hauts-de-France", "Lille", "Condé-sur-l'Escaut", "formation sélective", "BTS", "Lycée du PAYS DE CONDE - BTS - Production - Conception et Réalisation de Systèmes Automatiques", "BTS - Production", "", 30, 125, 13, 124, 0, 4, 0, 18, 5, 36, 17, 66, 1, 0, 1, 0, 0, 61, 1, 0, 0, 4, 0, 18, 5, 34, 16, 5, 51, 26, 2, 26, 0, 17.0, 26.0, 26.0, 0, 8, 25, 1, 11, 13, 1, 0, 8, 11, 6, 0, 0.0, 0, 7, 10, 23, 2, 25, 25, 65.38, 100.0, 100.0, 7.69921875, 100.0, 100.0, 92, 32.0, 96.1875, 0.0, 32.0, 44.0, 24.0, 0.0, 0.0, 4.0, 0.0, 44.0, 28.0, 52.0, 40.0, 3.0, 0.0, 27.0, 10.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 20, "Liste d'appel propre à cette formation", 44.0, "7201", "BTS - Production - Conception et Réalisation de Systèmes Automatiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7201&g_ta_cod=7201", 4.0, 42.0, 54.0),
(13197, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "Licence", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Double diplôme - Licence Economie et gestion - Parcours Langues et Civilisations - option Anglais et Allemand", "Licence - Droit-économie-gestion", "Parcours Langues et Civilisations - option Anglais et Allemand", 25, 498, 228, 168, 0, 122, 20, 9, 2, 0, 0, 37, 330, 99, 20, 11, 200, 81, 23, 0, 0, 69, 5, 1, 0, 0, 0, 11, 94, 17, 5, 7, 10, 0.0, 7.0, 15.0, 0, 1, 12, 12, 0, 0, 5, 0, 0, 8, 3, 1, 0.0, 12, 0, 0, 0, 0, 2, 4, 0.0, 41.18, 88.24, 29.3984375, 16.69921875, 33.296875, 0, 8.298828125, 70.59375, 0.0, 0.0, 66.6875, 25.0, 8.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 75.0, 6.0, 0.0, 0.0, 19.0, "Tous les candidats", 81.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 48.0, "16675", "Licence - Double diplôme - Licence Economie et gestion - Parcours Langues et Civilisations - option Anglais et Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16675&g_ta_cod=16675", 100.0, 0.0, 0.0),
(13198, "Public", "0720021G", "Lycée polyvalent d'Estournelles de Constant", "72", "Sarthe", "Pays de la Loire", "Nantes", "La Flèche", "formation sélective", "BTS", "Lycée polyvalent d'Estournelles de Constant - BTS - Services - Management Commercial Opérationnel (Seconde année possible en apprentissage)", "BTS - Services", "", 35, 400, 215, 400, 0, 22, 4, 143, 32, 154, 54, 81, 0, 0, 0, 0, 0, 352, 0, 0, 0, 22, 4, 133, 29, 139, 47, 58, 143, 34, 27, 34, 0, 8.0, 25.0, 28.0, 0, 8, 28, 1, 13, 14, 6, 0, 9, 14, 5, 0, 0.0, 1, 8, 10, 21, 17, 28, 28, 23.53, 73.53, 82.35, 79.390625, 100.0, 100.0, 75, 28.59765625, 82.390625, 0.0, 32.09375, 50.0, 17.8984375, 0.0, 0.0, 3.599609375, 3.599609375, 46.3984375, 28.59765625, 50.0, 35.6953125, 13.0, 3.0, 65.0, 22.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 25.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 78, "Liste d'appel propre à cette formation", 45.0, "8689", "BTS - Services - Management Commercial Opérationnel (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8689&g_ta_cod=8689", 15.0, 41.0, 41.0),
(13199, "Public", "0331420P", "IUT Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "BUT", "IUT Bordeaux Montaigne - BUT - Carrières sociales parcours villes et territoires durables", "BUT - Service", "", 30, 292, 184, 288, 0, 166, 18, 39, 8, 10, 5, 73, 4, 0, 3, 0, 1, 104, 0, 0, 0, 55, 2, 24, 3, 1, 0, 24, 58, 29, 18, 29, 0, 17.0, 28.0, 29.0, 0, 1, 22, 15, 7, 0, 7, 0, 2, 8, 10, 2, 0.0, 14, 6, 0, 0, 0, 13, 13, 58.62, 96.55, 100.0, 62.09375, 59.09375, 59.09375, 0, 4.5, 75.890625, 0.0, 9.099609375, 36.3984375, 45.5, 9.1, 0.0, 68.1875, 63.59375, 31.796875, 27.296875, 0.0, 0.0, 29.0, 2.0, 0.0, 0.0, 11.0, "Tous les candidats sauf les Bac technologiques", 49.0, "Bacheliers technologiques toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 27.0, "13843", "BUT - Carrières sociales parcours villes et territoires durables", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13843&g_ta_cod=13843", 66.0, 34.0, 0.0),
(13200, "Public", "0580582T", "Lycée d'Enseignement Général et Technologique Agricole du Morvan", "58", "Nièvre", "Bourgogne-Franche-Comté", "Dijon", "Château-Chinon (Ville)", "formation sélective", "BTS", "Lycée d'Enseignement Général et Technologique Agricole du Morvan - BTS - Agricole - Développement, animation des territoires ruraux", "BTS - Agricole", "", 21, 196, 80, 189, 0, 12, 2, 9, 3, 27, 7, 141, 7, 0, 0, 2, 5, 62, 1, 0, 0, 12, 2, 9, 3, 27, 7, 14, 56, 18, 12, 18, 0, 6.0, 18.0, 18.0, 0, 3, 13, 1, 1, 11, 5, 0, 6, 4, 3, 0, 0.0, 0, 1, 6, 8, 7, 11, 11, 33.33, 100.0, 100.0, 66.6875, 84.59375, 84.59375, 61.5, 23.09765625, 72.1875, 0.0, 46.1953125, 30.796875, 23.09765625, 0.0, 0.0, 7.69921875, 0.0, 7.69921875, 7.69921875, 84.59375, 46.1953125, 11.0, 2.0, 25.0, 6.0, 12.0, "Tous les candidats sauf les Bac professionnels", 34.0, "Bacheliers professionnels toutes séries", 30, "", 0, "Liste d'appel propre à cette formation", 33.0, "6692", "BTS - Agricole - Développement, animation des territoires ruraux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6692&g_ta_cod=6692", 28.0, 6.0, 67.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(13201, "Public", "0760174B", "Lycée Claude Monet", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "CPGE", "Lycée Claude Monet - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 24, 443, 294, 417, 190, 276, 32, 0, 0, 1, 0, 140, 26, 11, 0, 0, 15, 272, 19, 118, 256, 249, 25, 0, 0, 0, 0, 23, 214, 9, 5, 7, 2, 1.0, 6.0, 8.0, 1, 1, 6, 6, 0, 0, 3, 0, 0, 0, 2, 4, 0.0, 6, 0, 0, 1, 0, 5, 5, 11.11, 66.67, 88.89, 55.59375, 83.296875, 83.296875, 16.69921875, 16.69921875, 66.6875, 0.0, 0.0, 0.0, 33.296875, 66.7, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 190.0, 19.0, 0.0, 0.0, 24.0, "Tous les candidats", 261.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "9632", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9632&g_ta_cod=9632", 100.0, 0.0, 0.0),
(13202, "Privé sous contrat d'association", "0763500S", "Lycée polyvalent privé Saint Vincent de Paul", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Havre", "formation sélective", "BTS", "Lycée polyvalent privé Saint Vincent de Paul - BTS - Services - Photographie", "BTS - Services", "", 18, 387, 231, 381, 0, 153, 24, 59, 12, 57, 16, 112, 6, 0, 0, 4, 2, 167, 0, 0, 0, 92, 16, 18, 5, 16, 2, 41, 72, 19, 15, 19, 0, 2.0, 13.0, 15.0, 0, 2, 18, 13, 4, 1, 1, 0, 6, 8, 4, 0, 0.0, 9, 2, 1, 0, 0, 8, 8, 10.53, 68.42, 78.95, 78.890625, 44.3984375, 44.3984375, 0, 11.099609375, 94.6875, 0.0, 33.296875, 44.3984375, 22.19921875, 0.0, 0.0, 72.1875, 50.0, 22.19921875, 11.099609375, 5.599609375, 5.599609375, 41.0, 6.0, 10.0, 2.0, 11.0, "Tous les candidats sauf les Bac professionnels", 75.0, "Bacheliers professionnels toutes séries", 8, "", 0, "Liste d'appel propre à cette formation", 22.0, "9647", "BTS - Services - Photographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9647&g_ta_cod=9647", 74.0, 21.0, 5.0),
(13203, "Public", "0730016W", "Lycée Monge", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Chambéry", "formation sélective", "BTS", "Lycée Monge - BTS - Production - Architectures en Métal : conception et Réalisation", "BTS - Production", "", 24, 336, 56, 336, 0, 27, 7, 121, 22, 63, 14, 125, 0, 0, 0, 0, 0, 230, 0, 0, 0, 27, 7, 117, 21, 62, 14, 24, 131, 23, 1, 23, 0, 2.0, 21.0, 22.0, 0, 5, 22, 2, 11, 9, 1, 1, 12, 5, 4, 0, 0.0, 0, 4, 5, 2, 0, 13, 13, 8.7, 91.3, 95.65, 4.2998046875, 59.09375, 59.09375, 9.099609375, 22.69921875, 95.6875, 4.5, 54.5, 22.69921875, 18.19921875, 0.0, 0.0, 9.099609375, 0.0, 50.0, 18.19921875, 40.8984375, 22.69921875, 7.0, 1.0, 38.0, 6.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 19.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 110, "Liste d'appel propre à cette formation", 54.0, "8787", "BTS - Production - Architectures en Métal : conception et Réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8787&g_ta_cod=8787", 9.0, 52.0, 39.0),
(13204, "Public", "0601863Z", "Lycée CHARLES DE GAULLE", "60", "Oise", "Hauts-de-France", "Amiens", "Compiègne", "formation sélective", "BTS", "Lycée CHARLES DE GAULLE - BTS - Services - Tourisme", "BTS - Services", "", 35, 457, 332, 457, 0, 103, 22, 85, 27, 111, 50, 158, 0, 0, 0, 0, 0, 458, 0, 0, 0, 103, 22, 86, 28, 111, 50, 158, 136, 32, 26, 31, 0, 5.0, 27.0, 31.0, 0, 8, 20, 9, 2, 9, 12, 0, 6, 7, 6, 1, 0.0, 6, 2, 6, 2, 2, 16, 16, 15.63, 84.38, 96.88, 81.296875, 80.0, 80.0, 10, 40.0, 62.5, 0.0, 30.0, 35.0, 30.0, 5.0, 0.0, 45.0, 30.0, 10.0, 10.0, 45.0, 30.0, 45.0, 9.0, 40.0, 17.0, 31.0, "Tous les candidats sauf les Bac professionnels", 171.0, "Bacheliers professionnels toutes séries", 68, "", 0, "Liste d'appel propre à cette formation", 52.0, "7273", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7273&g_ta_cod=7273", 59.0, 6.0, 34.0),
(13205, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation non sélective", "Licence", "Université Grenoble Alpes  - Licence - Sciences du langage", "Licence - Arts-lettres-langues / Sciences humaines et sociales", "", 120, 473, 374, 323, 0, 201, 48, 12, 2, 2, 1, 108, 150, 32, 8, 4, 106, 317, 143, 0, 0, 201, 48, 12, 2, 2, 1, 102, 460, 92, 63, 42, 50, 39.0, 41.0, 80.0, 0, 9, 35, 29, 4, 2, 57, 3, 15, 14, 3, 0, 0.0, 13, 3, 1, 0, 0, 32, 32, 42.39, 44.57, 86.96, 68.5, 91.390625, 91.390625, 0, 25.69921875, 38.0, 8.599609375, 42.8984375, 40.0, 8.599609375, 0.0, 0.0, 82.890625, 37.09375, 11.3984375, 8.599609375, 5.69921875, 2.89990234375, 233.0, 54.0, 6.0, 3.0, 201.0, "Tous les candidats", 317.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "5068", "Licence - Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5068&g_ta_cod=5068", 79.0, 12.0, 8.0),
(13206, "Privé sous contrat d'association", "0492432C", "LP Joseph WRESINSKI - ITEC", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "Autre formation", "LP Joseph WRESINSKI - ITEC - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 90, 25, 74, 0, 8, 1, 13, 2, 38, 6, 15, 16, 5, 3, 4, 4, 74, 11, 0, 0, 8, 1, 13, 2, 38, 6, 15, 71, 13, 4, 12, 1, 3.0, 12.0, 12.0, 0, 1, 12, 2, 5, 5, 1, 0, 9, 3, 0, 0, 0.0, 0, 1, 2, 0, 0, 10, 10, 23.08, 92.31, 92.31, 30.796875, 83.296875, 83.296875, 0, 8.298828125, 92.296875, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 16.69921875, 0.0, 41.6953125, 8.298828125, 41.6953125, 16.69921875, 10.0, 1.0, 32.0, 6.0, 14.0, "Tous les candidats", 74.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "24776", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24776&g_ta_cod=24776", 23.0, 38.0, 38.0),
(13207, "Public", "0211135V", "Lycée agricole Dijon-Quetigny", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Quetigny", "formation sélective", "BTS", "Lycée agricole Dijon-Quetigny - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 30, 334, 104, 326, 0, 58, 7, 58, 8, 43, 5, 167, 8, 1, 1, 0, 6, 153, 3, 0, 0, 54, 6, 39, 6, 36, 3, 24, 109, 22, 5, 21, 1, 4.0, 18.0, 21.0, 0, 2, 18, 9, 6, 3, 4, 0, 10, 5, 2, 1, 0.0, 1, 4, 3, 3, 0, 13, 13, 18.18, 81.82, 95.45, 22.69921875, 72.1875, 72.1875, 16.69921875, 11.099609375, 81.796875, 0.0, 55.59375, 27.796875, 11.099609375, 5.6, 0.0, 50.0, 5.599609375, 33.296875, 22.19921875, 16.69921875, 16.69921875, 29.0, 5.0, 28.0, 3.0, 20.0, "Tous les candidats sauf les Bac professionnels", 116.0, "Bacheliers professionnels toutes séries", 34, "", 0, "Liste d'appel propre à cette formation", 46.0, "3234", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3234&g_ta_cod=3234", 59.0, 27.0, 14.0),
(13208, "Privé sous contrat d'association", "0753044B", "INSTITUT NATIONAL DE PODOLOGIE", "75", "Paris", "Ile-de-France", "Paris", "Paris  1er Arrondissement", "formation sélective", "Autre formation", "INSTITUT NATIONAL DE PODOLOGIE - D.E Pédicure-Podologue", "D.E secteur sanitaire", "", 105, 482, 369, 258, 0, 70, 5, 20, 2, 2, 2, 166, 224, 57, 30, 5, 132, 257, 209, 0, 0, 70, 5, 20, 2, 2, 2, 165, 466, 84, 65, 39, 45, 38.0, 38.0, 69.0, 0, 1, 29, 23, 6, 0, 55, 1, 14, 13, 1, 0, 0.0, 10, 4, 0, 0, 0, 2, 18, 45.24, 45.24, 82.14, 77.390625, 6.8994140625, 62.09375, 0, 3.39990234375, 34.5, 3.39990234375, 48.296875, 44.796875, 3.39990234375, 0.0, 0.0, 79.296875, 34.5, 20.69921875, 13.798828125, 0.0, 0.0, 124.0, 20.0, 5.0, 5.0, 289.0, "Tous les candidats", 257.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "26061", "D.E Pédicure-Podologue", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26061&g_ta_cod=26061", 70.0, 20.0, 8.0),
(13209, "Public", "0921204J", "Université Paris Nanterre", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Nanterre", "formation sélective", "Licence", "Université Paris Nanterre - Licence - Economie et gestion - Parcours Economie et gestion - cursus international franco-espagnol", "Licence - Droit-économie-gestion", "Economie et gestion - cursus international franco-espagnol", 30, 506, 291, 399, 0, 281, 56, 31, 9, 4, 0, 83, 107, 24, 26, 6, 51, 312, 10, 0, 0, 253, 44, 0, 0, 0, 0, 59, 194, 27, 10, 23, 4, 3.0, 15.0, 19.0, 0, 7, 13, 13, 0, 0, 14, 0, 5, 5, 2, 1, 0.0, 8, 0, 0, 0, 0, 7, 12, 11.11, 55.56, 70.37, 37.0, 53.796875, 92.296875, 0, 53.796875, 48.09375, 0.0, 38.5, 38.5, 15.3984375, 7.7, 0.0, 100.0, 61.5, 0.0, 0.0, 0.0, 0.0, 145.0, 37.0, 0.0, 0.0, 49.0, "Tous les candidats", 230.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 58.0, "11073", "Licence - Economie et gestion - Parcours Economie et gestion - cursus international franco-espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11073&g_ta_cod=11073", 100.0, 0.0, 0.0),
(13210, "Public", "0171455P", "Lycée Marcel Dassault", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Rochefort", "formation sélective", "BTS", "Lycée Marcel Dassault - BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "BTS - Production", "", 12, 65, 5, 65, 0, 2, 1, 6, 3, 39, 15, 18, 0, 0, 0, 0, 0, 51, 0, 0, 0, 2, 1, 5, 2, 39, 15, 5, 29, 9, 0, 9, 0, 2.0, 8.0, 9.0, 0, 4, 7, 1, 0, 6, 2, 0, 1, 2, 4, 0, 0.0, 0, 0, 6, 4, 0, 5, 5, 22.22, 88.89, 100.0, 0.0, 71.390625, 71.390625, 57.09375, 57.09375, 77.796875, 0.0, 14.298828125, 28.59765625, 57.09375, 0.0, 0.0, 14.298828125, 0.0, 0.0, 0.0, 85.6875, 85.6875, 1.0, 1.0, 21.0, 11.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 8, "Liste d'appel propre à cette formation", 49.0, "3071", "BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3071&g_ta_cod=3071", 11.0, 22.0, 67.0),
(13211, "Public", "0490018D", "Lycée polyvalent Europe Robert Schuman", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "BTS", "Lycée polyvalent Europe Robert Schuman - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 17, 273, 140, 244, 0, 45, 12, 64, 23, 51, 20, 84, 29, 2, 5, 0, 22, 153, 2, 0, 0, 36, 8, 56, 20, 40, 15, 21, 81, 13, 10, 12, 0, 3.0, 9.0, 12.0, 0, 5, 11, 2, 4, 5, 2, 0, 6, 2, 2, 1, 0.0, 1, 1, 3, 6, 4, 9, 9, 23.08, 69.23, 92.31, 76.890625, 81.796875, 81.796875, 54.5, 45.5, 84.59375, 0.0, 54.5, 18.19921875, 18.19921875, 9.1, 0.0, 18.19921875, 9.099609375, 36.3984375, 9.099609375, 45.5, 27.296875, 27.0, 7.0, 14.0, 10.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 36, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 56.0, "5837", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5837&g_ta_cod=5837", 31.0, 31.0, 38.0),
(13212, "Public", "9840349G", "Université de la Polynésie française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation non sélective", "Licence", "Université de la Polynésie française - Licence - Droit - Parcours Droit général OU Science politique", "Licence - Droit-économie-gestion", "Droit général OU Science politique", 200, 566, 403, 474, 0, 298, 68, 85, 41, 16, 8, 75, 92, 24, 10, 0, 58, 474, 70, 0, 0, 298, 68, 85, 41, 16, 8, 75, 506, 159, 117, 123, 34, 63.0, 121.0, 144.0, 0, 43, 108, 78, 23, 7, 51, 0, 43, 34, 24, 7, 0.0, 47, 12, 6, 0, 0, 99, 99, 39.62, 76.1, 90.57, 73.59375, 91.6875, 91.6875, 0, 39.796875, 67.890625, 0.0, 39.796875, 31.5, 22.19921875, 6.5, 0.0, 72.1875, 43.5, 21.296875, 11.099609375, 6.5, 5.599609375, 289.0, 68.0, 16.0, 8.0, 114.0, "Tous les candidats", 474.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "12010", "Licence - Droit - Parcours Droit général OU Science politique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12010&g_ta_cod=12010", 67.0, 19.0, 11.0),
(13213, "Privé enseignement supérieur", "0922369A", "Ecole de Management Léonard De Vinci (EMLV) (EESTP)", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Courbevoie", "formation sélective", "Ecole de Commerce", "Ecole de Management Léonard De Vinci (EMLV) (EESTP) - Formation des écoles de commerce et de management Bac + 3 - Bachelor Digital & International Business", "Formation des écoles de commerce et de management", "Bachelor Digital & International Business", 30, 255, 110, 255, 0, 184, 13, 45, 8, 4, 2, 22, 0, 0, 0, 0, 0, 180, 0, 0, 0, 138, 8, 27, 4, 1, 1, 14, 178, 48, 20, 48, 0, 43.0, 47.0, 47.0, 0, 4, 44, 34, 10, 0, 4, 0, 22, 14, 7, 1, 0.0, 16, 6, 0, 0, 0, 26, 38, 89.58, 97.92, 97.92, 41.6953125, 59.09375, 86.390625, 0, 9.099609375, 91.6875, 0.0, 50.0, 31.796875, 15.8984375, 2.3, 0.0, 77.296875, 36.3984375, 22.69921875, 13.599609375, 0.0, 0.0, 136.0, 7.0, 1.0, 1.0, 14.0, "Tous les candidats", 180.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 71.0, "31740", "Formation des écoles de commerce et de management Bac + 3 - Bachelor Digital & International Business", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31740&g_ta_cod=31740", 79.0, 21.0, 0.0),
(13214, "Public", "0620042J", "Lycée Andre Malraux", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Béthune", "formation sélective", "BTS", "Lycée Andre Malraux - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 33, 306, 150, 262, 0, 39, 15, 74, 31, 48, 23, 101, 44, 0, 17, 13, 14, 192, 17, 0, 0, 38, 15, 72, 31, 32, 16, 50, 128, 25, 8, 18, 7, 2.0, 14.0, 20.0, 0, 6, 16, 3, 7, 6, 9, 0, 10, 6, 0, 0, 0.0, 0, 2, 4, 2, 0, 15, 15, 8.0, 56.0, 80.0, 32.0, 93.796875, 93.796875, 12.5, 37.5, 64.0, 0.0, 62.5, 37.5, 0.0, 0.0, 0.0, 18.796875, 0.0, 43.796875, 12.5, 37.5, 25.0, 12.0, 7.0, 35.0, 17.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 94, "Liste d'appel propre à cette formation", 61.0, "7345", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7345&g_ta_cod=7345", 20.0, 52.0, 28.0),
(13215, "Public", "0671557D", "I.U.T. d'Illkirch", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Illkirch-Graffenstaden", "formation sélective", "BUT", "I.U.T. d'Illkirch - BUT - Information communication Parcours publicité", "BUT - Service", "", 30, 912, 682, 912, 0, 476, 52, 211, 41, 11, 4, 214, 0, 0, 0, 0, 0, 622, 0, 0, 0, 328, 33, 178, 31, 8, 2, 108, 117, 30, 28, 30, 0, 6.0, 23.0, 26.0, 0, 2, 24, 14, 9, 1, 6, 0, 1, 6, 13, 2, 2.0, 14, 8, 1, 0, 0, 20, 20, 20.0, 76.67, 86.67, 93.296875, 83.296875, 83.296875, 0, 8.298828125, 80.0, 0.0, 4.19921875, 25.0, 54.1953125, 8.3, 8.3, 58.296875, 58.296875, 37.5, 33.296875, 4.19921875, 4.19921875, 53.0, 7.0, 3.0, 0.0, 19.0, "Tous les candidats sauf les Bac technologiques", 111.0, "Bacheliers technologiques toutes séries", 82, "", 0, "Liste d'appel propre à cette formation", 21.0, "7971", "BUT - Information communication Parcours publicité", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7971&g_ta_cod=7971", 63.0, 33.0, 3.0),
(13216, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation sélective", "Licence", "Université de Paris - Double licence - Physique, chimie / Physique - Double licence Physique Chimie", "Licence - Sciences - technologies - santé", "Double licence Physique Chimie", 32, 2253, 1187, 1936, 0, 1430, 254, 8, 5, 4, 2, 494, 317, 81, 4, 2, 230, 1102, 12, 0, 0, 877, 126, 0, 0, 0, 0, 225, 611, 32, 12, 26, 6, 2.0, 8.0, 22.0, 0, 2, 16, 16, 0, 0, 16, 1, 0, 0, 7, 6, 2.0, 15, 0, 0, 0, 0, 0, 14, 6.25, 25.0, 68.75, 37.5, 0.0, 87.5, 0, 12.5, 50.0, 6.2998046875, 0.0, 0.0, 43.796875, 37.5, 12.5, 100.0, 93.796875, 0.0, 0.0, 0.0, 0.0, 477.0, 77.0, 0.0, 0.0, 134.0, "Tous les candidats", 978.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "18436", "Double licence - Physique, chimie / Physique - Double licence Physique Chimie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18436&g_ta_cod=18436", 100.0, 0.0, 0.0),
(13217, "Public", "0930834B", "Lycée Voillaume", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Aulnay-sous-Bois", "formation sélective", "BTS", "Lycée Voillaume - BTS - Production - Conception de produits industriels", "BTS - Production", "", 24, 397, 39, 232, 0, 17, 9, 98, 46, 52, 26, 65, 165, 0, 45, 44, 76, 109, 14, 0, 0, 13, 5, 60, 29, 18, 8, 18, 99, 21, 0, 13, 8, 0.0, 10.0, 16.0, 0, 3, 10, 3, 7, 0, 11, 0, 4, 6, 0, 0, 0.0, 2, 4, 0, 6, 0, 9, 9, 0.0, 47.62, 76.19, 0.0, 90.0, 90.0, 60, 30.0, 47.59375, 0.0, 40.0, 60.0, 0.0, 0.0, 0.0, 30.0, 20.0, 70.0, 40.0, 0.0, 0.0, 8.0, 3.0, 20.0, 9.0, 29.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 18.0, "Bacheliers professionnels toutes séries", 20, "Bacheliers technologiques toutes séries", 70, "Liste d'appel propre à cette formation", 47.0, "11209", "BTS - Production - Conception de produits industriels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11209&g_ta_cod=11209", 19.0, 52.0, 29.0),
(13218, "Privé enseignement supérieur", "0592806E", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "Licence", "Institut Catholique de Lille-Faculté de Gestion, Economie et Sciences - Licence - Economie", "Licence - Droit-économie-gestion", "International d'économie - Spécialité : Art et Créativité", 30, 175, 128, 175, 0, 145, 11, 7, 3, 0, 0, 23, 0, 0, 0, 0, 0, 117, 0, 0, 0, 104, 4, 1, 0, 0, 0, 12, 93, 26, 21, 26, 0, 11.0, 26.0, 26.0, 0, 1, 21, 21, 0, 0, 5, 0, 0, 6, 12, 3, 0.0, 21, 0, 0, 0, 0, 7, 7, 42.31, 100.0, 100.0, 80.796875, 33.296875, 33.296875, 0, 4.7998046875, 80.796875, 0.0, 0.0, 28.59765625, 57.09375, 14.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 82.0, 4.0, 0.0, 0.0, 11.0, "Tous les candidats", 115.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 65.0, "32267", "Licence - Economie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32267&g_ta_cod=32267", 96.0, 4.0, 0.0),
(13219, "Public", "0460697H", "I.U.T de Figeac", "46", "Lot", "Occitanie", "Toulouse", "Figeac", "formation sélective", "BUT", "I.U.T de Figeac - BUT - Carrières sociales Parcours éducation spécialisée", "BUT - Service", "", 26, 994, 876, 994, 0, 290, 51, 378, 89, 59, 17, 267, 0, 0, 0, 0, 0, 396, 0, 0, 0, 116, 16, 158, 29, 22, 6, 100, 83, 27, 26, 27, 0, 6.0, 19.0, 22.0, 0, 5, 14, 4, 9, 1, 13, 0, 1, 6, 6, 1, 0.0, 4, 8, 1, 0, 0, 7, 7, 22.22, 70.37, 81.48, 96.296875, 50.0, 50.0, 0, 35.6953125, 51.8984375, 0.0, 7.099609375, 42.8984375, 42.8984375, 7.1, 0.0, 28.59765625, 28.59765625, 64.296875, 57.09375, 7.099609375, 7.099609375, 12.0, 4.0, 3.0, 3.0, 47.0, "Tous les candidats sauf les Bac technologiques", 49.0, "Bacheliers technologiques toutes séries", 47, "", 0, "Liste d'appel propre à cette formation", 10.0, "17567", "BUT - Carrières sociales Parcours éducation spécialisée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17567&g_ta_cod=17567", 44.0, 44.0, 7.0),
(13220, "Public", "0660437S", "Université de Perpignan Via Domitia", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "Licence", "Université de Perpignan Via Domitia - Licence - Musicologie - Parcours Musicologie et arts visuels", "Licence - Sciences humaines et sociales", "Musicologie et arts visuels", 18, 144, 71, 108, 0, 74, 13, 7, 4, 2, 1, 25, 36, 9, 2, 2, 23, 30, 11, 0, 0, 23, 3, 1, 1, 0, 0, 6, 43, 9, 5, 6, 3, 3.0, 3.0, 9.0, 0, 2, 6, 6, 0, 0, 3, 0, 1, 2, 1, 2, 0.0, 5, 0, 0, 0, 0, 5, 5, 33.33, 33.33, 100.0, 55.59375, 83.296875, 83.296875, 0, 33.296875, 66.6875, 0.0, 16.69921875, 33.296875, 16.69921875, 33.3, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 29.0, 4.0, 0.0, 0.0, 13.0, "Tous les candidats", 30.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "17984", "Licence - Musicologie - Parcours Musicologie et arts visuels", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17984&g_ta_cod=17984", 100.0, 0.0, 0.0),
(13221, "Public", "0300026R", "Lycée Dhuoda", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Dhuoda - BTS - Production - Electrotechnique", "BTS - Production", "", 28, 381, 19, 379, 0, 10, 1, 101, 30, 154, 83, 114, 2, 0, 0, 0, 2, 295, 0, 0, 0, 10, 1, 101, 30, 147, 78, 37, 125, 19, 0, 19, 0, 5.0, 12.0, 15.0, 0, 7, 18, 1, 8, 9, 1, 0, 6, 6, 6, 0, 0.0, 0, 3, 9, 4, 0, 14, 14, 26.32, 63.16, 78.95, 0.0, 77.796875, 77.796875, 22.19921875, 38.8984375, 94.6875, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 5.599609375, 0.0, 44.3984375, 16.69921875, 50.0, 50.0, 4.0, 1.0, 52.0, 27.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 85, "Bacheliers technologiques toutes séries", 106, "Liste d'appel propre à cette formation", 51.0, "3944", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3944&g_ta_cod=3944", 5.0, 47.0, 47.0),
(13222, "Public", "0750654D", "Lycée Henri IV", "75", "Paris", "Ile-de-France", "Paris", "Paris  5e  Arrondissement", "formation sélective", "Autre formation", "Lycée Henri IV - Cycle pluridisciplinaire d'Études Supérieures - SESJ", "CPES", "", 65, 1781, 1180, 1781, 0, 1558, 103, 0, 0, 0, 0, 223, 0, 0, 0, 0, 0, 621, 0, 0, 0, 618, 32, 0, 0, 0, 0, 3, 192, 65, 38, 65, 0, 17.0, 60.0, 64.0, 0, 7, 64, 64, 0, 0, 1, 0, 0, 0, 7, 35, 22.0, 64, 0, 0, 0, 0, 8, 22, 26.15, 92.31, 98.46, 58.5, 12.5, 34.3984375, 0, 10.8984375, 98.5, 0.0, 0.0, 0.0, 10.8984375, 54.7, 34.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 189.0, 32.0, 0.0, 0.0, 3.0, "Tous les candidats", 226.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "21163", "Cycle pluridisciplinaire d'Études Supérieures - SESJ", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21163&g_ta_cod=21163", 100.0, 0.0, 0.0),
(13223, "Privé sous contrat d'association", "0442837V", "ISEN Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Carquefou", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 28, 1667, 284, 1666, 0, 1657, 124, 0, 0, 0, 0, 9, 1, 1, 0, 0, 0, 1332, 0, 0, 0, 1332, 84, 0, 0, 0, 0, 0, 1190, 23, 2, 23, 0, 16.0, 23.0, 23.0, 0, 0, 23, 23, 0, 0, 0, 0, 5, 13, 4, 1, 0.0, 18, 0, 0, 0, 0, 15, 15, 69.57, 100.0, 100.0, 8.69921875, 65.1875, 65.1875, 0, 0.0, 100.0, 0.0, 21.69921875, 56.5, 17.3984375, 4.3, 0.0, 100.0, 78.296875, 0.0, 0.0, 0.0, 0.0, 1190.0, 81.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "476", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=476", 100.0, 0.0, 0.0),
(13224, "Privé sous contrat d'association", "9710991A", "Lycée Les Perseverants", "971", "Guadeloupe", "Guadeloupe", "Guadeloupe", "Basse-Terre", "formation sélective", "BTS", "Lycée Les Perseverants - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 20, 190, 166, 161, 0, 22, 15, 53, 33, 55, 38, 31, 29, 13, 3, 0, 13, 112, 4, 0, 0, 20, 13, 36, 21, 44, 32, 12, 74, 18, 16, 15, 2, 3.0, 11.0, 14.0, 0, 14, 17, 3, 5, 9, 1, 0, 4, 9, 4, 0, 0.0, 1, 4, 8, 0, 0, 17, 17, 16.67, 61.11, 77.78, 88.890625, 100.0, 100.0, 0, 82.390625, 94.390625, 0.0, 23.5, 52.8984375, 23.5, 0.0, 0.0, 17.59765625, 5.8994140625, 29.3984375, 23.5, 52.8984375, 47.09375, 16.0, 13.0, 27.0, 19.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 21.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 41, "Liste d'appel propre à cette formation", 55.0, "22152", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22152&g_ta_cod=22152", 17.0, 33.0, 50.0),
(13225, "Public", "0860856N", "Université de Poitiers", "86", "Vienne", "Nouvelle-Aquitaine", "Poitiers", "Poitiers", "formation non sélective", "Licence_Las", "Université de Poitiers - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Espagnol -  option Santé", "Licence - Arts-lettres-langues", "Langues, littératures & civilisations étrangères et régionales - Espagnol", 45, 316, 252, 316, 0, 237, 65, 12, 4, 3, 2, 64, 0, 0, 0, 0, 0, 313, 0, 0, 0, 237, 65, 12, 4, 3, 2, 61, 177, 44, 38, 44, 0, 13.0, 39.0, 40.0, 0, 11, 37, 37, 0, 0, 7, 0, 4, 17, 8, 7, 1.0, 33, 0, 0, 0, 0, 28, 28, 29.55, 88.64, 90.91, 86.390625, 75.6875, 75.6875, 0, 29.69921875, 84.09375, 0.0, 10.798828125, 45.8984375, 21.59765625, 18.9, 2.7, 100.0, 89.1875, 0.0, 0.0, 0.0, 0.0, 154.0, 38.0, 0.0, 0.0, 22.0, "Tous les candidats", 210.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "28742", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Espagnol -  option Santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28742&g_ta_cod=28742", 100.0, 0.0, 0.0),
(13226, "Public", "9741620T", "Lycée Mémona Hintermann-Afféjee", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation sélective", "BTS", "Lycée Mémona Hintermann-Afféjee - BTS - Production - Systèmes numériques - Option informatique et réseaux", "BTS - Production", "", 15, 278, 18, 271, 0, 37, 15, 97, 51, 83, 59, 54, 7, 0, 5, 0, 2, 208, 0, 0, 0, 35, 13, 68, 34, 69, 49, 36, 73, 14, 0, 14, 0, 1.0, 10.0, 12.0, 0, 4, 10, 1, 3, 6, 4, 0, 4, 3, 2, 1, 0.0, 1, 3, 2, 4, 0, 8, 8, 7.14, 71.43, 85.71, 0.0, 80.0, 80.0, 40, 40.0, 71.390625, 0.0, 40.0, 30.0, 20.0, 10.0, 0.0, 10.0, 10.0, 30.0, 30.0, 60.0, 20.0, 10.0, 5.0, 27.0, 17.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 53, "Bacheliers technologiques toutes séries", 64, "Liste d'appel propre à cette formation", 52.0, "22702", "BTS - Production - Systèmes numériques - Option informatique et réseaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22702&g_ta_cod=22702", 14.0, 36.0, 50.0),
(13227, "Public", "0320030J", "Lycée professionnel Clement Ader", "32", "Gers", "Occitanie", "Toulouse", "Samatan", "formation sélective", "Autre formation", "Lycée professionnel Clement Ader - Mention complémentaire - Technicien en réseau électrique", "Mention complémentaire", "", 15, 46, 0, 45, 0, 0, 0, 0, 0, 39, 13, 6, 1, 0, 0, 1, 0, 45, 0, 0, 0, 0, 0, 0, 0, 39, 13, 6, 40, 8, 0, 8, 0, 4.0, 8.0, 8.0, 0, 5, 8, 0, 0, 8, 0, 0, 5, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 8, 8, 50.0, 100.0, 100.0, 0.0, 100.0, 100.0, 0, 62.5, 100.0, 0.0, 62.5, 25.0, 12.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 37.5, 0.0, 0.0, 34.0, 11.0, 6.0, "Tous les candidats", 45.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4251", "Mention complémentaire - Technicien en réseau électrique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4251&g_ta_cod=4251", 0.0, 0.0, 100.0),
(13228, "Public", "0600021X", "Lycée Jules Uhry", "60", "Oise", "Hauts-de-France", "Amiens", "Creil", "formation sélective", "BTS", "Lycée Jules Uhry - BTS - Services - Economie sociale familiale", "BTS - Services", "", 18, 436, 367, 436, 0, 31, 15, 81, 36, 175, 80, 149, 0, 0, 0, 0, 0, 190, 0, 0, 0, 21, 9, 24, 9, 83, 41, 62, 75, 18, 16, 18, 0, 6.0, 16.0, 17.0, 0, 6, 15, 3, 0, 12, 3, 0, 0, 10, 3, 2, 0.0, 3, 0, 12, 3, 2, 15, 15, 33.33, 88.89, 94.44, 88.890625, 100.0, 100.0, 20, 40.0, 83.296875, 0.0, 0.0, 66.6875, 20.0, 13.3, 0.0, 20.0, 20.0, 0.0, 0.0, 80.0, 80.0, 6.0, 4.0, 42.0, 15.0, 14.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 24.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 23, "Liste d'appel propre à cette formation", 23.0, "7246", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7246&g_ta_cod=7246", 22.0, 11.0, 67.0),
(13229, "Public", "0673021V", "Université de Strasbourg", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation non sélective", "Licence", "Université de Strasbourg - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 300, 2573, 1461, 2548, 0, 1493, 379, 360, 150, 89, 58, 606, 25, 2, 4, 2, 17, 2452, 15, 0, 0, 1493, 379, 360, 150, 89, 58, 510, 1450, 290, 158, 281, 9, 23.0, 197.0, 252.0, 0, 78, 212, 157, 50, 5, 78, 1, 95, 81, 28, 7, 0.0, 95, 19, 2, 0, 0, 190, 190, 7.93, 67.93, 86.9, 54.5, 89.59375, 89.59375, 0, 36.796875, 73.09375, 0.5, 44.796875, 38.1953125, 13.19921875, 3.3, 0.0, 74.09375, 44.796875, 23.59765625, 9.0, 2.39990234375, 0.89990234375, 936.0, 230.0, 14.0, 10.0, 306.0, "Tous les candidats", 1971.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 77.0, "8065", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8065&g_ta_cod=8065", 71.0, 26.0, 3.0),
(13230, "Public", "0930122C", "Lycée CONDORCET", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Montreuil", "formation sélective", "BTS", "Lycée CONDORCET - BTS - Production - Maintenance des systèmes - option A Systèmes de production", "BTS - Production", "", 30, 705, 30, 509, 0, 5, 4, 53, 24, 316, 166, 135, 196, 11, 30, 81, 74, 228, 17, 0, 0, 3, 2, 27, 11, 176, 93, 22, 190, 27, 0, 17, 9, 1.0, 11.0, 21.0, 0, 12, 21, 2, 2, 17, 6, 0, 5, 12, 4, 0, 0.0, 0, 1, 15, 1, 0, 17, 21, 3.7, 40.74, 77.78, 0.0, 81.0, 100.0, 4.7998046875, 57.09375, 77.796875, 0.0, 23.796875, 57.09375, 19.0, 0.0, 0.0, 9.5, 0.0, 9.5, 4.7998046875, 81.0, 71.390625, 6.0, 2.0, 142.0, 73.0, 24.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 184, "Bacheliers technologiques toutes séries", 37, "Liste d'appel propre à cette formation", 44.0, "11184", "BTS - Production - Maintenance des systèmes - option A Systèmes de production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11184&g_ta_cod=11184", 15.0, 11.0, 74.0),
(13231, "Public", "0624237U", "Université du littoral - Site de Saint-Omer", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Longuenesse", "formation sélective", "Autre formation", "Université du littoral - Site de Calais - - Formation Supérieure de Spécialisation - Opérateur de fabrication additive", "Diplôme d'Université", "Opérateur de fabrication additive", 10, 6, 1, 3, 0, 2, 0, 0, 0, 0, 0, 1, 3, 0, 0, 1, 2, 2, 2, 0, 0, 2, 0, 0, 0, 0, 0, 0, 5, 2, 0, 1, 1, 0.0, 0.0, 1.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 50.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 3.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 67.0, "31845", "Formation Supérieure de Spécialisation - Opérateur de fabrication additive", "Université du littoral - Site de Calais -", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31844&g_ta_cod=31845", 0.0, 100.0, 0.0),
(13232, "Privé enseignement supérieur", "0492433D", "Facultés libres de l'Ouest - UCO ANGERS", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence", "Facultés libres de l'ouest - UCO - Licence - Portail Histoire", "Licence - Sciences humaines et sociales", "", 70, 554, 247, 508, 0, 393, 40, 45, 10, 14, 4, 56, 46, 12, 8, 2, 24, 508, 26, 0, 0, 393, 40, 45, 10, 14, 4, 56, 371, 47, 23, 44, 3, 21.0, 43.0, 46.0, 0, 1, 44, 42, 2, 0, 3, 0, 8, 22, 8, 5, 1.0, 36, 0, 0, 0, 0, 31, 31, 44.68, 91.49, 97.87, 48.8984375, 70.5, 70.5, 0, 2.2998046875, 93.59375, 0.0, 18.19921875, 50.0, 18.19921875, 11.4, 2.3, 95.5, 81.796875, 4.5, 0.0, 0.0, 0.0, 282.0, 27.0, 6.0, 0.0, 48.0, "Tous les candidats", 611.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "5878", "Licence - Portail Histoire", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28781&g_ta_cod=5878", 96.0, 4.0, 0.0),
(13233, "Privé sous contrat d'association", "0592921E", "Lycée Saint Rémi", "59", "Nord", "Hauts-de-France", "Lille", "Roubaix", "formation sélective", "CPGE", "Lycée Saint Rémi - CPGE - MPSI", "Classe préparatoire scientifique", "", 42, 365, 84, 281, 0, 228, 58, 0, 0, 0, 0, 53, 84, 46, 0, 0, 38, 233, 58, 0, 233, 201, 45, 0, 0, 0, 0, 32, 237, 36, 9, 23, 8, 4.0, 21.0, 28.0, 0, 5, 16, 16, 0, 0, 20, 0, 0, 8, 8, 0, 0.0, 16, 0, 0, 8, 2, 14, 14, 11.11, 58.33, 77.78, 25.0, 87.5, 87.5, 50, 31.296875, 44.3984375, 0.0, 0.0, 50.0, 50.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 184.0, 41.0, 0.0, 0.0, 53.0, "Tous les candidats", 232.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 83.0, "6900", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6900&g_ta_cod=6900", 100.0, 0.0, 0.0),
(13234, "Public", "0121471J", "Institut national universitaire Champollion - Campus de Rodez", "12", "Aveyron", "Occitanie", "Toulouse", "Rodez", "formation non sélective", "Licence", "Institut national universitaire Champollion - Campus de Rodez - Licence - Langues étrangères appliquées - Parcours Affaires et Commerce International", "Licence - Arts-lettres-langues", "Affaires et Commerce International", 50, 506, 346, 456, 0, 327, 95, 35, 13, 10, 5, 84, 50, 11, 5, 1, 33, 449, 22, 0, 0, 327, 95, 35, 13, 10, 5, 77, 340, 51, 24, 42, 9, 23.0, 36.0, 47.0, 0, 9, 37, 35, 2, 0, 14, 0, 14, 19, 2, 2, 0.0, 22, 1, 0, 0, 0, 25, 25, 45.1, 70.59, 92.16, 47.09375, 67.59375, 67.59375, 0, 24.296875, 72.5, 0.0, 37.796875, 51.3984375, 5.3994140625, 5.4, 0.0, 94.59375, 59.5, 5.3994140625, 2.69970703125, 0.0, 0.0, 255.0, 74.0, 2.0, 1.0, 71.0, "Tous les candidats", 449.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "2516", "Licence - Langues étrangères appliquées - Parcours Affaires et Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2516&g_ta_cod=2516", 84.0, 16.0, 0.0),
(13235, "Public", "0510036M", "Gustave Eiffel Lycée des Métiers de l'Industrie Lycée des Métiers de l'Hôtellerie et de la Restauration", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "Gustave Eiffel Lycée des Métiers de l'Industrie Lycée des Métiers de l'Hôtellerie et de la Restauration - Mention complémentaire - Technicien(ne) en soudage", "Mention complémentaire", "", 8, 37, 2, 37, 0, 0, 0, 0, 0, 28, 8, 9, 0, 0, 0, 0, 0, 20, 0, 0, 0, 0, 0, 0, 0, 20, 6, 0, 16, 6, 0, 6, 0, 3.0, 6.0, 6.0, 0, 2, 6, 0, 0, 6, 0, 0, 5, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 5, 5, 50.0, 100.0, 100.0, 0.0, 83.296875, 83.296875, 0, 33.296875, 100.0, 0.0, 83.296875, 16.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 16.69921875, 0.0, 0.0, 16.0, 5.0, 0.0, "Tous les candidats", 20.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "25422", "Mention complémentaire - Technicien(ne) en soudage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25422&g_ta_cod=25422", 0.0, 0.0, 100.0),
(13236, "Public", "0750681H", "ESAA Boulle", "75", "Paris", "Ile-de-France", "Paris", "Paris 12e  Arrondissement", "formation sélective", "Autre formation", "ESAA Boulle - DN MADE - Objet - Spécialité : Métiers d?art Conception Application Métal : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "DN MADE", "Spécialité : Métiers d?art Conception Application Métal : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", 2, 194, 123, 194, 0, 65, 12, 42, 4, 11, 2, 76, 0, 0, 0, 0, 0, 11, 0, 0, 0, 0, 0, 3, 0, 0, 0, 8, 2, 2, 2, 2, 0, 2.0, 2.0, 2.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 100.0, 100.0, 100.0, 100.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 2.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 1.0, "26876", "DN MADE - Objet - Spécialité : Métiers d?art Conception Application Métal : Patrimoine / Matériaux et Innovation / Ornement / Espace / Evénement / Innovation Sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26876&g_ta_cod=26876", 0.0, 0.0, 0.0),
(13237, "Public", "0370770L", "Institut Universitaire de Technologie de TOURS", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "bac STI2D", 12, 225, 5, 220, 0, 0, 0, 208, 43, 0, 0, 12, 5, 0, 5, 0, 0, 98, 0, 0, 0, 0, 0, 94, 19, 0, 0, 4, 56, 5, 0, 5, 0, 0.0, 5.0, 5.0, 0, 0, 5, 0, 5, 0, 0, 0, 0, 0, 4, 1, 0.0, 0, 5, 0, 0, 0, 4, 4, 0.0, 100.0, 100.0, 0.0, 80.0, 80.0, 0, 0.0, 100.0, 0.0, 0.0, 0.0, 80.0, 20.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 356.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 45.0, "217", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=226&g_ta_cod=217", 0.0, 100.0, 0.0),
(13238, "Privé sous contrat d'association", "0451565G", "Lycée Professionnel Agricole d'Horticulture et du Paysage La Mouillère", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Professionnel Agricole d'Horticulture et du Paysage La Mouillère - BTS - Agricole - Aménagements paysagers", "BTS - Agricole", "", 45, 243, 74, 225, 0, 39, 4, 37, 2, 38, 11, 111, 18, 3, 2, 4, 9, 137, 10, 0, 0, 39, 4, 37, 2, 38, 11, 23, 139, 31, 8, 22, 8, 8.0, 22.0, 27.0, 0, 7, 22, 3, 9, 10, 9, 0, 13, 8, 1, 0, 0.0, 1, 1, 7, 2, 0, 13, 13, 25.81, 70.97, 87.1, 25.796875, 59.09375, 59.09375, 9.099609375, 31.796875, 71.0, 0.0, 59.09375, 36.3984375, 4.5, 0.0, 0.0, 13.599609375, 4.5, 40.8984375, 4.5, 45.5, 31.796875, 37.0, 5.0, 40.0, 10.0, 26.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 51.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 61.0, "13014", "BTS - Agricole - Aménagements paysagers", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13014&g_ta_cod=13014", 23.0, 39.0, 39.0),
(13239, "Public", "9840300D", "CNAM de Polynésie Française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Punaauia", "formation sélective", "Autre formation", "CNAM de Polynésie Française - Formation Supérieure de Spécialisation - Informatique et Numérique - Devops", "Diplôme d'Université", "Informatique et Numérique - Devops", 14, 19, 3, 19, 0, 4, 1, 3, 0, 4, 1, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "33916", "Formation Supérieure de Spécialisation - Informatique et Numérique - Devops", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=33916&g_ta_cod=33916", 0, 0, 0),
(13240, "Public", "0941111X", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12)", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Créteil", "formation non sélective", "Licence_Las", "Université Paris- Est-Créteil Val de Marne - UPEC (Paris 12) - Licence - Portail Sciences pour l'ingénieur - Parcours Sciences pour l'ingénieur", "Licence - Sciences - technologies - santé", "Parcours Sciences pour l'ingénieur", 30, 782, 348, 782, 0, 426, 115, 30, 10, 5, 4, 321, 0, 0, 0, 0, 0, 757, 0, 0, 0, 426, 115, 30, 10, 5, 4, 296, 262, 28, 14, 28, 0, 0.0, 10.0, 22.0, 0, 4, 12, 12, 0, 0, 16, 0, 3, 7, 2, 0, 0.0, 9, 0, 0, 0, 0, 2, 9, 0.0, 35.71, 78.57, 50.0, 16.69921875, 75.0, 0, 33.296875, 42.8984375, 0.0, 25.0, 58.296875, 16.69921875, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 0.0, 0.0, 147.0, 39.0, 0.0, 0.0, 115.0, "Tous les candidats", 819.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 44.0, "32711", "Licence - Portail Sciences pour l'ingénieur - Parcours Sciences pour l'ingénieur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32710&g_ta_cod=32711", 100.0, 0.0, 0.0),
(13241, "Public", "0590149S", "Cité Scolaire Pierre Forest", "59", "Nord", "Hauts-de-France", "Lille", "Maubeuge", "formation sélective", "BTS", "Cité Scolaire Pierre Forest - BTS - Production - Electrotechnique", "BTS - Production", "", 30, 142, 4, 141, 0, 3, 0, 29, 15, 60, 29, 49, 1, 0, 0, 1, 0, 107, 0, 0, 0, 3, 0, 29, 15, 60, 29, 15, 77, 21, 0, 21, 0, 6.0, 19.0, 21.0, 0, 8, 17, 0, 6, 11, 4, 0, 7, 7, 2, 1, 0.0, 0, 4, 6, 11, 0, 17, 17, 28.57, 90.48, 100.0, 0.0, 100.0, 100.0, 64.6875, 47.09375, 81.0, 0.0, 41.1953125, 41.1953125, 11.798828125, 5.9, 0.0, 0.0, 0.0, 35.296875, 23.5, 64.6875, 35.296875, 1.0, 0.0, 46.0, 20.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 56, "Bacheliers technologiques toutes séries", 32, "Liste d'appel propre à cette formation", 65.0, "6810", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6810&g_ta_cod=6810", 0.0, 43.0, 57.0),
(13242, "Public", "0711067Z", "Lycée agricole Macon-Davaye", "71", "Saône-et-Loire", "Bourgogne-Franche-Comté", "Dijon", "Davayé", "formation sélective", "BTS", "Lycée agricole Macon-Davaye - BTS - Agricole - Viticulture-Oenologie", "BTS - Agricole", "", 19, 248, 88, 248, 0, 73, 10, 49, 6, 44, 6, 82, 0, 0, 0, 0, 0, 206, 0, 0, 0, 70, 10, 49, 6, 38, 5, 49, 69, 16, 7, 16, 0, 7.0, 13.0, 16.0, 0, 3, 14, 6, 4, 4, 2, 0, 5, 7, 2, 0, 0.0, 3, 4, 2, 3, 0, 5, 5, 43.75, 81.25, 100.0, 43.796875, 35.6953125, 35.6953125, 21.3984375, 21.3984375, 87.5, 0.0, 35.6953125, 50.0, 14.298828125, 0.0, 0.0, 42.8984375, 21.3984375, 28.59765625, 28.59765625, 28.59765625, 14.298828125, 27.0, 4.0, 4.0, 1.0, 19.0, "Tous les candidats sauf les Bac professionnels", 113.0, "Bacheliers professionnels toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 47.0, "8652", "BTS - Agricole - Viticulture-Oenologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8652&g_ta_cod=8652", 50.0, 25.0, 25.0),
(13243, "Public", "0450094H", "Lycée agricole Le Chesnoy - Les Barres", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Amilly", "formation sélective", "BTS", "Lycée agricole Le Chesnoy - Les Barres - BTS - Agricole - génie des équipements agricoles", "BTS - Agricole", "", 28, 165, 13, 164, 0, 26, 2, 48, 3, 41, 9, 49, 1, 0, 1, 0, 0, 107, 1, 0, 0, 25, 2, 46, 3, 30, 6, 6, 82, 21, 0, 21, 0, 4.0, 21.0, 21.0, 0, 3, 21, 5, 7, 9, 0, 0, 8, 9, 4, 0, 0.0, 2, 6, 5, 2, 0, 10, 10, 19.05, 100.0, 100.0, 0.0, 47.59375, 47.59375, 9.5, 14.298828125, 100.0, 0.0, 38.09375, 42.8984375, 19.0, 0.0, 0.0, 23.796875, 9.5, 33.296875, 28.59765625, 42.8984375, 23.796875, 19.0, 2.0, 21.0, 5.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 48, "Liste d'appel propre à cette formation", 63.0, "5679", "BTS - Agricole - génie des équipements agricoles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5679&g_ta_cod=5679", 24.0, 33.0, 43.0),
(13244, "Public", "0120938E", "L.P.A. La Cazotte", "12", "Aveyron", "Occitanie", "Toulouse", "Saint-Affrique", "formation sélective", "BTS", "L.P.A. La Cazotte - BTS - Agricole - productions animales", "BTS - Agricole", "", 30, 432, 293, 432, 0, 103, 18, 154, 38, 75, 33, 100, 0, 0, 0, 0, 0, 331, 0, 0, 0, 79, 14, 142, 34, 65, 26, 45, 165, 31, 21, 31, 0, 4.0, 27.0, 30.0, 0, 7, 28, 7, 13, 8, 3, 0, 10, 13, 5, 0, 0.0, 4, 9, 5, 4, 2, 17, 17, 12.9, 87.1, 96.77, 67.6875, 60.6953125, 60.6953125, 14.298828125, 25.0, 90.296875, 0.0, 35.6953125, 46.3984375, 17.8984375, 0.0, 0.0, 25.0, 14.298828125, 46.3984375, 32.09375, 28.59765625, 17.8984375, 48.0, 10.0, 38.0, 16.0, 16.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 96.0, "Bacheliers professionnels toutes séries", 64, "Bacheliers technologiques toutes séries", 120, "Liste d'appel propre à cette formation", 65.0, "17369", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17369&g_ta_cod=17369", 32.0, 42.0, 26.0),
(13245, "Public", "0290012F", "Lycée Vauban", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "BTS", "Lycée Vauban - BTS - Production - Moteur à combustion interne - parcours Marine Nationale/Maistrance-Défense", "BTS - Production", "parcours Marine Nationale/Maistrance-Défense", 4, 51, 5, 51, 0, 9, 0, 25, 3, 14, 4, 3, 0, 0, 0, 0, 0, 21, 0, 0, 0, 6, 0, 10, 1, 3, 2, 2, 10, 4, 0, 4, 0, 2.0, 3.0, 4.0, 0, 2, 4, 0, 2, 2, 0, 0, 0, 1, 3, 0, 0.0, 0, 2, 2, 0, 0, 0, 0, 50.0, 75.0, 100.0, 0.0, 0.0, 0.0, 0, 50.0, 100.0, 0.0, 0.0, 25.0, 75.0, 0.0, 0.0, 0.0, 0.0, 50.0, 50.0, 50.0, 50.0, 2.0, 0.0, 3.0, 2.0, 0.0, "Tous les candidats", 15.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "19592", "BTS - Production - Moteur à combustion interne - parcours Marine Nationale/Maistrance-Défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19592&g_ta_cod=19592", 0.0, 50.0, 50.0),
(13246, "Public", "0542259M", "EEIGM Nancy - Groupe INP", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Nancy", "formation sélective", "Ecole d'Ingénieur", "Concours Geipi Polytech - Formation d'ingénieur Bac + 5 - Bac général", "Formations  des écoles d'ingénieurs", "Bac général", 82, 4085, 1060, 4085, 0, 3502, 299, 0, 0, 0, 0, 583, 0, 0, 0, 0, 0, 2731, 0, 0, 0, 2534, 153, 0, 0, 0, 0, 197, 1985, 87, 34, 87, 0, 74.0, 85.0, 87.0, 0, 10, 82, 82, 0, 0, 5, 0, 0, 6, 52, 24, 0.0, 82, 0, 0, 0, 0, 44, 44, 85.06, 97.7, 100.0, 39.09375, 53.6953125, 53.6953125, 0, 12.19921875, 94.296875, 0.0, 0.0, 7.2998046875, 63.3984375, 29.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 1852.0, 152.0, 0.0, 0.0, 133.0, "Autres candidats", 10598.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 52.0, "21", "Formation d'ingénieur Bac + 5 - Bac général", "Concours Geipi Polytech", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7&g_ta_cod=21", 100.0, 0.0, 0.0),
(13247, "Privé sous contrat d'association", "0671639T", "Lycée des Métiers Sainte Clotilde", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "BTS", "Lycée des Métiers Sainte Clotilde - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 40, 774, 353, 693, 0, 128, 21, 264, 76, 124, 41, 177, 81, 11, 27, 4, 39, 220, 16, 0, 0, 61, 11, 68, 15, 36, 12, 55, 174, 34, 13, 26, 8, 15.0, 24.0, 31.0, 0, 4, 16, 5, 4, 7, 18, 0, 2, 12, 1, 1, 0.0, 4, 4, 6, 1, 0, 15, 15, 44.12, 70.59, 91.18, 38.1953125, 93.796875, 93.796875, 6.2998046875, 25.0, 47.09375, 0.0, 12.5, 75.0, 6.2998046875, 6.3, 0.0, 31.296875, 25.0, 25.0, 25.0, 43.796875, 37.5, 40.0, 10.0, 21.0, 9.0, 63.0, "Tous les candidats sauf les Bac professionnels", 177.0, "Bacheliers professionnels toutes séries", 32, "", 0, "Liste d'appel propre à cette formation", 30.0, "7981", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7981&g_ta_cod=7981", 35.0, 38.0, 26.0),
(13248, "Public", "0772230F", "Lycée Blaise Pascal", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Brie-Comte-Robert", "formation sélective", "BTS", "Lycée Blaise Pascal - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 1418, 666, 1418, 0, 149, 33, 431, 132, 364, 129, 474, 0, 0, 0, 0, 0, 462, 0, 0, 0, 85, 12, 155, 39, 175, 56, 47, 146, 37, 27, 35, 0, 12.0, 25.0, 30.0, 0, 7, 33, 6, 14, 13, 4, 0, 13, 17, 3, 0, 0.0, 3, 10, 7, 21, 14, 32, 33, 32.43, 67.57, 81.08, 73.0, 97.0, 100.0, 63.59375, 21.19921875, 89.1875, 0.0, 39.3984375, 51.5, 9.099609375, 0.0, 0.0, 18.19921875, 9.099609375, 42.3984375, 30.296875, 39.3984375, 21.19921875, 26.0, 10.0, 52.0, 13.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 78, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 14.0, "9880", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9880&g_ta_cod=9880", 16.0, 43.0, 41.0),
(13249, "Public", "0572081C", "Université de Lorraine - Site de Metz", "57", "Moselle", "Grand Est", "Nancy-Metz", "Metz", "formation non sélective", "Licence", "Université de Lorraine - Site de Metz - Licence - Langues étrangères appliquées - Parcours Anglais - Allemand", "Licence - Arts-lettres-langues", "Anglais - Allemand", 110, 495, 352, 455, 0, 308, 75, 37, 21, 17, 10, 93, 40, 6, 2, 3, 29, 453, 38, 0, 0, 308, 75, 37, 21, 17, 10, 91, 400, 96, 64, 79, 17, 15.0, 77.0, 86.0, 0, 18, 64, 49, 7, 8, 32, 0, 20, 24, 18, 2, 0.0, 39, 1, 4, 0, 0, 59, 59, 15.63, 80.21, 89.58, 66.6875, 92.1875, 92.1875, 0, 28.09765625, 66.6875, 0.0, 31.296875, 37.5, 28.09765625, 3.1, 0.0, 76.59375, 60.8984375, 10.8984375, 1.599853515625, 12.5, 6.2998046875, 246.0, 53.0, 20.0, 11.0, 101.0, "Tous les candidats", 453.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6610", "Licence - Langues étrangères appliquées - Parcours Anglais - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6610&g_ta_cod=6610", 72.0, 16.0, 11.0),
(13250, "Public", "0623957P", "Université d'Artois - Site d'Arras", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation non sélective", "Licence", "Université d'Artois - Site d'Arras - Licence - Administration économique et sociale", "Licence - Droit-économie-gestion", "", 239, 1264, 734, 1091, 0, 565, 160, 257, 103, 17, 9, 252, 173, 32, 19, 4, 118, 1066, 148, 0, 0, 565, 160, 257, 103, 17, 9, 227, 1052, 229, 135, 163, 65, 36.0, 161.0, 178.0, 0, 56, 139, 98, 36, 5, 90, 0, 66, 50, 19, 3, 1.0, 59, 12, 2, 0, 0, 128, 128, 15.72, 70.31, 77.73, 59.0, 92.09375, 92.09375, 0, 40.296875, 60.6953125, 0.0, 47.5, 36.0, 13.69921875, 2.2, 0.7, 70.5, 42.3984375, 25.8984375, 8.599609375, 3.599609375, 1.39990234375, 543.0, 160.0, 11.0, 7.0, 293.0, "Tous les candidats", 1066.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "7503", "Licence - Administration économique et sociale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7503&g_ta_cod=7503", 61.0, 27.0, 10.0),
(13251, "Public", "9760163Y", "Lycée professionnel De Kaweni", "976", "Mayotte", "Mayotte", "Mayotte", "Mamoudzou", "formation sélective", "Autre formation", "Lycée professionnel De Kaweni - Mention complémentaire - Accueil réception", "Mention complémentaire", "", 15, 160, 133, 160, 0, 18, 7, 31, 22, 60, 30, 51, 0, 0, 0, 0, 0, 61, 0, 0, 0, 12, 5, 17, 12, 28, 12, 4, 46, 15, 15, 15, 0, 3.0, 13.0, 13.0, 0, 5, 13, 4, 2, 7, 2, 0, 10, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 13, 13, 20.0, 86.67, 86.67, 100.0, 100.0, 100.0, 0, 38.5, 86.6875, 0.0, 76.890625, 23.09765625, 0.0, 0.0, 0.0, 30.796875, 0.0, 15.3984375, 0.0, 53.796875, 23.09765625, 8.0, 4.0, 21.0, 7.0, 2.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 29.0, "30635", "Mention complémentaire - Accueil réception", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30635&g_ta_cod=30635", 27.0, 20.0, 53.0),
(13252, "Public", "0380027Y", "Lycée Champollion", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "CPGE", "Lycée Champollion - CPGE - MPSI", "Classe préparatoire scientifique", "", 144, 3784, 1057, 3784, 3031, 3348, 270, 1, 0, 0, 0, 435, 0, 0, 0, 0, 0, 2148, 0, 969, 1962, 2140, 142, 0, 0, 0, 0, 8, 639, 144, 34, 144, 0, 32.0, 109.0, 130.0, 28, 11, 144, 144, 0, 0, 0, 0, 0, 1, 25, 103, 15.0, 144, 0, 0, 16, 4, 128, 128, 22.22, 75.69, 90.28, 23.59765625, 88.890625, 88.890625, 11.099609375, 7.599609375, 100.0, 0.0, 0.0, 0.699951171875, 17.3984375, 71.5, 10.4, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 637.0, 74.0, 0.0, 0.0, 2.0, "Tous les candidats", 936.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "4920", "CPGE - MPSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4920&g_ta_cod=4920", 100.0, 0.0, 0.0),
(13253, "Public", "0932047V", "Lycée Evariste Galois", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Noisy-le-Grand", "formation sélective", "BTS", "Lycée Evariste Galois - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 371, 6, 371, 0, 4, 1, 44, 17, 249, 114, 74, 0, 0, 0, 0, 0, 357, 0, 0, 0, 4, 1, 44, 17, 236, 104, 73, 111, 24, 0, 24, 0, 4.0, 16.0, 19.0, 0, 11, 24, 0, 6, 18, 0, 0, 6, 8, 10, 0, 0.0, 0, 4, 14, 4, 0, 23, 24, 16.67, 66.67, 79.17, 0.0, 95.796875, 100.0, 16.69921875, 45.796875, 100.0, 0.0, 25.0, 33.296875, 41.6953125, 0.0, 0.0, 0.0, 0.0, 25.0, 16.69921875, 75.0, 58.296875, 1.0, 0.0, 82.0, 32.0, 5.0, "Tous les candidats sauf les Bac professionnels", 32.0, "Bacheliers professionnels toutes séries", 116, "", 0, "Liste d'appel propre à cette formation", 40.0, "11328", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11328&g_ta_cod=11328", 0.0, 25.0, 75.0),
(13254, "Public", "0421095M", "Universite Jean Monnet, Saint-Etienne", "42", "Loire", "Auvergne-Rhône-Alpes", "Lyon", "Saint-Etienne", "formation non sélective", "Licence_Las", "Universite Jean Monnet, Saint-Etienne - Licence - Portail Sciences de la vie - Biologie, Géologie, Chimie (BGC)", "Licence - Sciences - technologies - santé", "Biologie, Géologie, Chimie (BGC)", 48, 1398, 976, 1398, 0, 882, 172, 72, 25, 6, 5, 438, 0, 0, 0, 0, 0, 1365, 0, 0, 0, 882, 172, 72, 25, 6, 5, 405, 449, 47, 31, 47, 0, 0.0, 18.0, 33.0, 0, 2, 35, 35, 0, 0, 12, 1, 10, 13, 8, 3, 0.0, 24, 0, 0, 0, 0, 23, 23, 0.0, 38.3, 70.21, 66.0, 65.6875, 65.6875, 0, 5.69921875, 74.5, 2.89990234375, 28.59765625, 37.09375, 22.8984375, 8.6, 0.0, 100.0, 68.59375, 0.0, 0.0, 0.0, 0.0, 354.0, 51.0, 2.0, 2.0, 91.0, "Tous les candidats", 984.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 46.0, "32245", "Licence - Portail Sciences de la vie - Biologie, Géologie, Chimie (BGC)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32244&g_ta_cod=32245", 98.0, 2.0, 0.0),
(13255, "Public", "0912409Z", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay", "91", "Essonne", "Ile-de-France", "Versailles", "Orsay", "formation sélective", "Licence", "Ecole Universitaire de premier cycle - Campus d'Orsay Université Paris-Saclay - Licence - Portail Sciences et Technologies - Institut Villebon-Charpak", "Licence - Sciences - technologies - santé", "Sciences et Technologies - Institut Villebon-Charpak", 30, 246, 63, 246, 0, 129, 16, 56, 14, 1, 1, 60, 0, 0, 0, 0, 0, 75, 0, 0, 0, 42, 11, 18, 5, 0, 0, 15, 62, 31, 10, 31, 0, 16.0, 28.0, 29.0, 0, 6, 25, 20, 5, 0, 6, 0, 3, 14, 7, 1, 0.0, 17, 5, 0, 0, 0, 15, 20, 51.61, 90.32, 93.55, 32.296875, 60.0, 80.0, 0, 24.0, 80.59375, 0.0, 12.0, 56.0, 28.0, 4.0, 0.0, 80.0, 68.0, 20.0, 20.0, 0.0, 0.0, 35.0, 10.0, 0.0, 0.0, 13.0, "Tous les candidats", 63.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 26.0, "14309", "Licence - Portail Sciences et Technologies - Institut Villebon-Charpak", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14309&g_ta_cod=14309", 84.0, 16.0, 0.0),
(13256, "Public", "0311382J", "Université Toulouse 1 Capitole", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation sélective", "Licence", "Université Toulouse 1 Capitole - Licence - Droit - Parcours Bilingue Droit et monde Hispanique", "Licence - Droit-économie-gestion", "Bilingue Droit et monde Hispanique", 27, 242, 206, 242, 0, 206, 40, 7, 2, 0, 0, 29, 0, 0, 0, 0, 0, 110, 0, 0, 0, 100, 18, 0, 0, 0, 0, 10, 71, 27, 25, 27, 0, 7.0, 24.0, 26.0, 0, 5, 26, 26, 0, 0, 1, 0, 0, 1, 13, 12, 0.0, 26, 0, 0, 0, 0, 19, 19, 25.93, 88.89, 96.3, 92.59375, 73.09375, 73.09375, 0, 19.19921875, 96.296875, 0.0, 0.0, 3.7998046875, 50.0, 46.2, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 64.0, 13.0, 0.0, 0.0, 7.0, "Tous les candidats", 81.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 33.0, "4141", "Licence - Droit - Parcours Bilingue Droit et monde Hispanique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4141&g_ta_cod=4141", 100.0, 0.0, 0.0),
(13257, "Public", "0620161N", "Lycée Alexandre Ribot", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Saint-Omer", "formation sélective", "BTS", "Lycée Alexandre Ribot - BTS - Services - Support à l'action managériale", "BTS - Services", "", 35, 194, 133, 169, 0, 15, 7, 79, 32, 36, 21, 39, 25, 6, 5, 2, 12, 117, 10, 0, 0, 14, 6, 66, 29, 28, 16, 9, 95, 32, 24, 23, 7, 12.0, 23.0, 25.0, 0, 8, 25, 4, 11, 10, 7, 0, 9, 11, 5, 0, 0.0, 2, 6, 8, 14, 11, 25, 25, 37.5, 71.88, 78.13, 75.0, 100.0, 100.0, 56, 32.0, 78.09375, 0.0, 36.0, 44.0, 20.0, 0.0, 0.0, 16.0, 8.0, 44.0, 24.0, 40.0, 32.0, 10.0, 3.0, 28.0, 14.0, 12.0, "Tous les candidats sauf les Bac professionnels", 89.0, "Bacheliers professionnels toutes séries", 28, "", 0, "Liste d'appel propre à cette formation", 69.0, "7388", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7388&g_ta_cod=7388", 28.0, 41.0, 31.0),
(13258, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation non sélective", "Licence", "Université de Nantes - Licence - Portail Psychologie", "Licence - Sciences humaines et sociales", "", 550, 6466, 5441, 6466, 0, 3617, 712, 667, 179, 174, 69, 2008, 0, 0, 0, 0, 0, 6466, 0, 0, 0, 3617, 712, 667, 179, 174, 69, 2008, 1923, 549, 465, 549, 0, 130.0, 412.0, 490.0, 0, 96, 413, 348, 46, 19, 136, 0, 91, 221, 90, 10, 1.0, 272, 31, 19, 0, 0, 386, 386, 23.68, 75.05, 89.25, 84.6875, 93.5, 93.5, 0, 23.19921875, 75.1875, 0.0, 22.0, 53.5, 21.796875, 2.4, 0.2, 84.296875, 65.890625, 11.099609375, 7.5, 4.599609375, 4.599609375, 1228.0, 241.0, 43.0, 16.0, 496.0, "Tous les candidats", 2455.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 35.0, "5580", "Licence - Portail Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27007&g_ta_cod=5580", 85.0, 10.0, 4.0),
(13259, "Public", "0771880A", "Lycée professionnel Charles Baudelaire", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Meaux", "formation sélective", "Autre formation", "Lycée professionnel Charles Baudelaire - Mention complémentaire - FCIL classe passerelle BTS", "Mention complémentaire", "", 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 46, 14, 7, 0, 0, 0.0, 0.0, 1.0, 0, 3, 13, 0, 5, 8, 1, 0, 12, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 12, 13, 0.0, 0.0, 7.14, 50.0, 92.296875, 100.0, 0, 23.09765625, 92.890625, 0.0, 92.296875, 7.69921875, 0.0, 0.0, 0.0, 0.0, 0.0, 38.5, 0.0, 61.5, 7.69921875, 0.0, 0.0, 29.0, 13.0, 1.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 0, "22375", "Mention complémentaire - FCIL classe passerelle BTS", "", "", 0.0, 36.0, 64.0),
(13260, "Public", "0920137Z", "Lycée Guy De Maupassant", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Colombes", "formation sélective", "BTS", "Lycée Guy De Maupassant - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 36, 757, 284, 744, 0, 38, 13, 228, 112, 255, 133, 223, 13, 3, 0, 0, 10, 384, 2, 0, 0, 20, 8, 130, 58, 155, 87, 79, 111, 36, 9, 35, 1, 11.0, 28.0, 31.0, 0, 18, 29, 2, 14, 13, 7, 0, 12, 15, 2, 0, 0.0, 0, 7, 10, 5, 0, 29, 29, 30.56, 77.78, 86.11, 25.0, 100.0, 100.0, 17.19921875, 62.09375, 80.59375, 0.0, 41.3984375, 51.6953125, 6.8994140625, 0.0, 0.0, 6.8994140625, 0.0, 48.296875, 24.09765625, 44.796875, 34.5, 8.0, 6.0, 38.0, 19.0, 22.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 50, "Bacheliers technologiques toutes séries", 54, "Liste d'appel propre à cette formation", 15.0, "10997", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10997&g_ta_cod=10997", 8.0, 44.0, 47.0),
(13261, "Public", "0620109G", "Lycée Auguste Behal", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Lens", "formation sélective", "BTS", "Lycée Auguste Behal - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 24, 306, 161, 306, 0, 32, 14, 87, 41, 81, 46, 106, 0, 0, 0, 0, 0, 288, 0, 0, 0, 32, 14, 87, 41, 81, 46, 88, 74, 23, 15, 23, 0, 4.0, 19.0, 23.0, 0, 11, 19, 3, 5, 11, 4, 0, 8, 9, 1, 1, 0.0, 3, 2, 6, 2, 1, 19, 19, 17.39, 82.61, 100.0, 65.1875, 100.0, 100.0, 10.5, 57.8984375, 82.59375, 0.0, 42.09375, 47.3984375, 5.2998046875, 5.3, 0.0, 15.798828125, 15.798828125, 26.296875, 10.5, 57.8984375, 31.59765625, 4.0, 3.0, 43.0, 28.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 74, "Bacheliers technologiques toutes séries", 47, "Liste d'appel propre à cette formation", 42.0, "7379", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7379&g_ta_cod=7379", 17.0, 22.0, 61.0),
(13262, "Public", "0680169P", "I.U.T. de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "BUT", "I.U.T. de Mulhouse - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière-Gestion et pilotage des ressources humaines-Gestion, entrepreneuriat et management d'activités-Contrôle de gestion et pilotage de la performance", "BUT - Service", "Gestion comptable, fiscale et financière-Gestion et pilotage des ressources humaines-Gestion, entrepreneuriat et management d'activités-Contrôle de gestion et pilotage de la performance", 156, 1684, 911, 1622, 0, 769, 191, 514, 188, 33, 20, 306, 62, 3, 24, 2, 33, 1130, 22, 0, 0, 611, 136, 326, 110, 19, 10, 174, 699, 144, 84, 128, 16, 15.0, 104.0, 128.0, 0, 43, 108, 54, 51, 3, 36, 0, 29, 56, 20, 3, 0.0, 37, 39, 3, 0, 0, 100, 100, 10.42, 72.22, 88.89, 58.296875, 92.59375, 92.59375, 0, 39.796875, 75.0, 0.0, 26.8984375, 51.8984375, 18.5, 2.8, 0.0, 50.0, 34.296875, 47.1953125, 36.09375, 2.7998046875, 2.7998046875, 318.0, 84.0, 12.0, 6.0, 124.0, "Tous les candidats sauf les Bac technologiques", 665.0, "Bacheliers technologiques toutes séries", 350, "", 0, "Liste d'appel propre à cette formation", 63.0, "8140", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière-Gestion et pilotage des ressources humaines-Gestion, entrepreneuriat et management d'activités-Contrôle de gestion et pilotage de la performance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8140&g_ta_cod=8140", 55.0, 41.0, 3.0),
(13263, "Public", "0170025K", "Lycée professionnel Gilles Jamain", "17", "Charente-Maritime", "Nouvelle-Aquitaine", "Poitiers", "Rochefort", "formation sélective", "Autre formation", "Lycée professionnel Gilles Jamain - DN MADE - Matériaux - - Spécialité : textile : broderie, savoir-faire et innovation", "DN MADE", "- Spécialité : textile : broderie, savoir-faire et innovation", 15, 253, 232, 253, 0, 65, 13, 93, 19, 23, 7, 72, 0, 0, 0, 0, 0, 253, 0, 0, 0, 65, 13, 93, 19, 23, 7, 72, 67, 15, 15, 15, 0, 1.0, 12.0, 13.0, 0, 2, 12, 3, 6, 3, 3, 0, 0, 6, 4, 2, 0.0, 3, 6, 3, 0, 0, 1, 1, 6.67, 80.0, 86.67, 100.0, 8.298828125, 8.298828125, 0, 16.69921875, 80.0, 0.0, 0.0, 50.0, 33.296875, 16.7, 0.0, 25.0, 25.0, 50.0, 50.0, 25.0, 25.0, 7.0, 2.0, 7.0, 2.0, 6.0, "Tous les candidats", 90.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 36.0, "24209", "DN MADE - Matériaux - - Spécialité : textile : broderie, savoir-faire et innovation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24209&g_ta_cod=24209", 20.0, 40.0, 27.0),
(13264, "Public", "0595786U", "Lycée Jean Prouve", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Jean Prouve - BTS - Production - Architectures en Métal : conception et Réalisation", "BTS - Production", "", 15, 230, 39, 225, 0, 20, 6, 58, 19, 57, 26, 90, 5, 0, 0, 3, 2, 128, 1, 0, 0, 19, 6, 50, 15, 37, 12, 22, 52, 13, 3, 12, 1, 3.0, 9.0, 11.0, 0, 4, 11, 1, 4, 6, 2, 0, 4, 5, 2, 0, 0.0, 1, 2, 4, 0, 0, 10, 10, 23.08, 69.23, 84.62, 23.09765625, 90.890625, 90.890625, 0, 36.3984375, 84.59375, 0.0, 36.3984375, 45.5, 18.19921875, 0.0, 0.0, 9.099609375, 9.099609375, 36.3984375, 18.19921875, 54.5, 36.3984375, 6.0, 1.0, 26.0, 8.0, 7.0, "Tous les candidats sauf les Bac professionnels", 48.0, "Bacheliers professionnels toutes séries", 36, "", 0, "Liste d'appel propre à cette formation", 37.0, "7155", "BTS - Production - Architectures en Métal : conception et Réalisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7155&g_ta_cod=7155", 23.0, 31.0, 46.0),
(13265, "Privé sous contrat d'association", "0131391S", "Lycée St Eloi", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation sélective", "BTS", "Lycée St Eloi - BTS - Services - Gestion de la PME", "BTS - Services", "", 32, 388, 205, 345, 0, 46, 10, 118, 33, 90, 42, 91, 43, 0, 1, 20, 22, 266, 15, 0, 0, 42, 7, 113, 31, 63, 28, 48, 175, 24, 17, 22, 2, 3.0, 13.0, 18.0, 0, 8, 17, 3, 8, 6, 7, 0, 8, 9, 0, 0, 0.0, 1, 4, 4, 0, 0, 15, 15, 12.5, 54.17, 75.0, 70.796875, 88.1875, 88.1875, 0, 47.09375, 70.796875, 0.0, 47.09375, 52.8984375, 0.0, 0.0, 0.0, 17.59765625, 5.8994140625, 47.09375, 23.5, 35.296875, 23.5, 23.0, 5.0, 54.0, 24.0, 27.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 69, "Bacheliers technologiques toutes séries", 108, "Liste d'appel propre à cette formation", 59.0, "2633", "BTS - Services - Gestion de la PME", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2633&g_ta_cod=2633", 17.0, 50.0, 33.0),
(13266, "Privé enseignement supérieur", "0512185Y", "ICP - Antenne de Reims", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "ICP - Antenne de Reims - Licence - Sciences de l'éducation - Parcours  Education, enseignement et formation", "Licence - Sciences humaines et sociales", "Education, enseignement et formation", 60, 274, 237, 223, 0, 105, 17, 22, 7, 6, 1, 90, 51, 6, 7, 2, 36, 223, 46, 0, 0, 105, 17, 22, 7, 6, 1, 90, 242, 50, 41, 38, 12, 19.0, 38.0, 42.0, 0, 3, 26, 19, 6, 1, 24, 1, 8, 11, 5, 1, 0.0, 14, 2, 1, 0, 0, 19, 19, 38.0, 76.0, 84.0, 82.0, 73.09375, 73.09375, 0, 11.5, 52.0, 3.7998046875, 30.796875, 42.296875, 19.19921875, 3.8, 0.0, 73.09375, 53.796875, 23.09765625, 7.69921875, 3.7998046875, 3.7998046875, 95.0, 15.0, 8.0, 3.0, 112.0, "Tous les candidats", 223.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32866", "Licence - Sciences de l'éducation - Parcours  Education, enseignement et formation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32866&g_ta_cod=32866", 66.0, 16.0, 16.0),
(13267, "Public", "9840349G", "Université de la Polynésie française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation non sélective", "Licence", "Université de la Polynésie française - Licence - Sciences de la vie - Parcours Accès santé", "Licence - Sciences - technologies - santé", "Accès santé", 100, 302, 215, 302, 0, 201, 35, 29, 17, 9, 8, 63, 0, 0, 0, 0, 0, 302, 0, 0, 0, 201, 35, 29, 17, 9, 8, 63, 211, 111, 80, 110, 0, 55.0, 110.0, 110.0, 0, 23, 90, 79, 8, 3, 21, 0, 21, 29, 23, 14, 3.0, 65, 2, 2, 0, 0, 89, 89, 49.55, 99.1, 99.1, 72.09375, 98.890625, 98.890625, 0, 25.59765625, 81.09375, 0.0, 23.296875, 32.1953125, 25.59765625, 15.6, 3.3, 87.796875, 72.1875, 8.8984375, 2.19970703125, 3.2998046875, 2.19970703125, 159.0, 29.0, 4.0, 4.0, 31.0, "Tous les candidats", 243.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "32427", "Licence - Sciences de la vie - Parcours Accès santé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32427&g_ta_cod=32427", 83.0, 14.0, 4.0),
(13268, "Public", "0750686N", "Lycée Estienne Esaig", "75", "Paris", "Ile-de-France", "Paris", "Paris 13e  Arrondissement", "formation sélective", "Autre formation", "Lycée Estienne Esaig - DN MADE - Graphisme - - Spécialité : Designer graphique", "DN MADE", "- Spécialité : Designer graphique", 15, 2384, 1556, 2384, 0, 867, 148, 388, 81, 302, 75, 827, 0, 0, 0, 0, 0, 65, 0, 0, 0, 28, 4, 29, 3, 4, 1, 4, 29, 15, 14, 15, 0, 7.0, 14.0, 15.0, 0, 2, 14, 5, 8, 1, 1, 0, 0, 0, 6, 6, 2.0, 5, 8, 1, 0, 0, 2, 5, 46.67, 93.33, 100.0, 93.296875, 14.298828125, 35.6953125, 0, 14.298828125, 93.296875, 0.0, 0.0, 0.0, 42.8984375, 42.9, 14.3, 35.6953125, 35.6953125, 57.09375, 57.09375, 7.099609375, 7.099609375, 12.0, 2.0, 1.0, 1.0, 2.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 2.0, "21781", "DN MADE - Graphisme - - Spécialité : Designer graphique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21781&g_ta_cod=21781", 33.0, 53.0, 13.0),
(13269, "Public", "0370035M", "Lycée Descartes", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation sélective", "CPGE", "Lycée Descartes - CPGE - ECG -  - Mathématiques approfondies + HGG", "Classe préparatoire économique et commerciale", "", 48, 494, 219, 494, 300, 398, 32, 0, 0, 1, 0, 95, 0, 0, 0, 0, 0, 401, 0, 147, 376, 360, 29, 0, 0, 0, 0, 41, 281, 43, 16, 43, 0, 12.0, 31.0, 42.0, 6, 2, 40, 40, 0, 0, 3, 0, 1, 14, 14, 11, 0.0, 39, 0, 0, 4, 2, 32, 32, 27.91, 72.09, 97.67, 37.1953125, 80.0, 80.0, 10, 5.0, 93.0, 0.0, 2.5, 35.0, 35.0, 27.5, 0.0, 100.0, 97.5, 0.0, 0.0, 0.0, 0.0, 256.0, 19.0, 0.0, 0.0, 25.0, "Tous les candidats", 388.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 79.0, "31355", "CPGE - ECG -  - Mathématiques approfondies + HGG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=31355&g_ta_cod=31355", 100.0, 0.0, 0.0),
(13270, "Public", "0490970N", "Université Angers", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation non sélective", "Licence_Las", "Université Angers - Licence - Portail Géographie et aménagement", "Licence - Sciences humaines et sociales", "", 5, 65, 34, 56, 0, 41, 11, 4, 1, 0, 0, 11, 9, 3, 0, 0, 6, 56, 5, 0, 0, 41, 11, 4, 1, 0, 0, 11, 36, 5, 2, 4, 1, 0.0, 4.0, 4.0, 0, 0, 3, 3, 0, 0, 2, 0, 1, 0, 2, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 0.0, 80.0, 80.0, 40.0, 66.6875, 66.6875, 0, 0.0, 60.0, 0.0, 33.296875, 0.0, 66.6875, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 26.0, 6.0, 0.0, 0.0, 8.0, "Tous les candidats", 422.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "27329", "Licence - Portail Géographie et aménagement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27328&g_ta_cod=27329", 80.0, 20.0, 0.0),
(13271, "Public", "0290346U", "Université de Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation non sélective", "PASS", "Université de Brest - Licence - Parcours d'Accès Spécifique Santé (PASS)", "Licence - Sciences - technologies - santé", "", 20, 1395, 1048, 1395, 0, 984, 154, 30, 7, 7, 6, 374, 0, 0, 0, 0, 0, 1396, 0, 0, 0, 985, 155, 30, 7, 7, 6, 374, 225, 20, 18, 20, 0, 0.0, 14.0, 18.0, 0, 4, 19, 19, 0, 0, 1, 0, 1, 4, 13, 1, 0.0, 18, 0, 0, 0, 0, 18, 18, 0.0, 70.0, 90.0, 90.0, 94.6875, 94.6875, 0, 21.09765625, 95.0, 0.0, 5.2998046875, 21.09765625, 68.390625, 5.3, 0.0, 100.0, 94.6875, 0.0, 0.0, 0.0, 0.0, 209.0, 28.0, 0.0, 0.0, 16.0, "Tous les candidats", 1778.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 29.0, "28245", "Licence - Parcours d'Accès Spécifique Santé (PASS)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27585&g_ta_cod=28245", 100.0, 0.0, 0.0),
(13272, "Privé sous contrat d'association", "0690634P", "Ecole LA MACHE", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Ecole LA MACHE - BTS - Production - Etude et réalisation d'agencement", "BTS - Production", "", 15, 629, 298, 629, 0, 99, 14, 187, 40, 202, 52, 141, 0, 0, 0, 0, 0, 131, 0, 0, 0, 4, 1, 64, 10, 62, 6, 1, 43, 15, 3, 15, 0, 3.0, 11.0, 11.0, 0, 2, 14, 0, 6, 8, 1, 0, 0, 7, 4, 3, 0.0, 0, 6, 8, 3, 1, 14, 14, 20.0, 73.33, 73.33, 20.0, 100.0, 100.0, 21.3984375, 14.298828125, 93.296875, 0.0, 0.0, 50.0, 28.59765625, 21.4, 0.0, 0.0, 0.0, 42.8984375, 42.8984375, 57.09375, 57.09375, 0.0, 0.0, 22.0, 4.0, 1.0, "Tous les candidats sauf les Bac professionnels", 20.0, "Bacheliers professionnels toutes séries", 23, "", 0, "Liste d'appel propre à cette formation", 7.0, "8319", "BTS - Production - Etude et réalisation d'agencement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8319&g_ta_cod=8319", 7.0, 40.0, 53.0),
(13273, "Public", "0550025D", "Lycée Jean-Auguste Margueritte", "55", "Meuse", "Grand Est", "Nancy-Metz", "Verdun", "formation sélective", "BTS", "Lycée Jean-Auguste Margueritte - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 18, 230, 193, 198, 0, 13, 4, 57, 18, 61, 29, 67, 32, 0, 9, 11, 12, 109, 8, 0, 0, 10, 2, 44, 15, 47, 19, 8, 73, 15, 14, 10, 5, 1.0, 10.0, 10.0, 0, 5, 12, 1, 6, 5, 3, 0, 2, 9, 1, 0, 0.0, 1, 4, 5, 3, 2, 11, 11, 6.67, 66.67, 66.67, 93.296875, 91.6875, 91.6875, 25, 41.6953125, 80.0, 0.0, 16.69921875, 75.0, 8.298828125, 0.0, 0.0, 8.298828125, 8.298828125, 50.0, 33.296875, 41.6953125, 41.6953125, 3.0, 2.0, 34.0, 11.0, 4.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers professionnels toutes séries", 45, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 47.0, "6404", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6404&g_ta_cod=6404", 7.0, 47.0, 47.0),
(13274, "Public", "0311383K", "Université Toulouse 2 Jean Jaurès", "31", "Haute-Garonne", "Occitanie", "Toulouse", "Toulouse", "formation non sélective", "Licence", "Université Toulouse 2 Jean Jaurès - Licence - Sciences de l'éducation - Parcours Sciences de l'Education mineure Psychologie", "Licence - Sciences humaines et sociales", "Sciences de l'Education mineure Psychologie", 100, 1672, 1487, 1672, 0, 822, 203, 221, 74, 92, 33, 537, 0, 0, 0, 0, 0, 1671, 0, 0, 0, 822, 203, 221, 74, 92, 33, 536, 417, 98, 87, 98, 0, 15.0, 72.0, 87.0, 0, 20, 61, 37, 13, 11, 37, 0, 6, 32, 18, 5, 0.0, 36, 11, 8, 0, 0, 40, 40, 15.31, 73.47, 88.78, 88.796875, 65.59375, 65.59375, 0, 32.796875, 62.1953125, 0.0, 9.798828125, 52.5, 29.5, 8.2, 0.0, 60.6953125, 59.0, 21.296875, 18.0, 18.0, 13.099609375, 176.0, 44.0, 48.0, 15.0, 138.0, "Tous les candidats", 617.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 37.0, "30965", "Licence - Sciences de l'éducation - Parcours Sciences de l'Education mineure Psychologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30965&g_ta_cod=30965", 63.0, 18.0, 18.0),
(13275, "Public", "0130051K", "Lycée Marie Curie", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  5e  Arrondissement", "formation sélective", "BTS", "Lycée Marie Curie - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 48, 1182, 566, 1138, 0, 152, 74, 231, 128, 191, 132, 564, 44, 13, 0, 0, 31, 466, 10, 0, 0, 104, 43, 109, 55, 111, 69, 142, 227, 47, 24, 44, 3, 6.0, 30.0, 36.0, 0, 20, 28, 10, 9, 9, 19, 0, 13, 11, 3, 1, 0.0, 2, 6, 7, 4, 2, 25, 25, 12.77, 63.83, 76.6, 51.09375, 89.296875, 89.296875, 14.298828125, 71.390625, 59.59375, 0.0, 46.3984375, 39.296875, 10.69921875, 3.6, 0.0, 35.6953125, 7.099609375, 32.09375, 21.3984375, 32.09375, 25.0, 72.0, 34.0, 36.0, 23.0, 80.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 178.0, "Bacheliers professionnels toutes séries", 54, "Bacheliers technologiques toutes séries", 85, "Liste d'appel propre à cette formation", 28.0, "2587", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2587&g_ta_cod=2587", 45.0, 30.0, 26.0),
(13276, "Public", "0342225J", "Lycée Georges Frêche", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation sélective", "BTS", "Lycée Georges Frêche - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 72, 745, 398, 743, 0, 0, 0, 289, 45, 260, 88, 194, 2, 0, 0, 0, 2, 628, 1, 0, 0, 0, 0, 271, 42, 207, 69, 150, 254, 65, 31, 64, 1, 14.0, 54.0, 59.0, 0, 10, 56, 0, 35, 21, 9, 0, 9, 26, 16, 5, 0.0, 0, 26, 21, 20, 12, 28, 28, 21.54, 83.08, 90.77, 47.6953125, 50.0, 50.0, 35.6953125, 17.8984375, 86.1875, 0.0, 16.09765625, 46.3984375, 28.59765625, 8.9, 0.0, 0.0, 0.0, 62.5, 46.3984375, 37.5, 37.5, 0.0, 0.0, 50.0, 22.0, 66.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 92.0, "Bacheliers professionnels toutes séries", 37, "Bacheliers technologiques toutes séries", 289, "Liste d'appel propre à cette formation", 56.0, "12324", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12324&g_ta_cod=12324", 11.0, 57.0, 32.0),
(13277, "Public", "0921595J", "Lycée professionnel Daniel Balavoine", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Bois-Colombes", "formation sélective", "Autre formation", "Lycée professionnel Daniel Balavoine - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 15, 190, 37, 129, 0, 13, 3, 16, 5, 74, 29, 26, 61, 12, 10, 14, 25, 30, 9, 0, 0, 7, 1, 7, 1, 13, 3, 3, 44, 13, 0, 8, 4, 3.0, 6.0, 8.0, 0, 0, 9, 1, 3, 5, 4, 0, 6, 2, 1, 0, 0.0, 0, 0, 3, 0, 0, 8, 9, 23.08, 46.15, 61.54, 0.0, 88.890625, 100.0, 0, 0.0, 69.1875, 0.0, 66.6875, 22.19921875, 11.099609375, 0.0, 0.0, 11.099609375, 0.0, 33.296875, 0.0, 55.59375, 33.296875, 10.0, 2.0, 14.0, 3.0, 9.0, "Tous les candidats", 29.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "25083", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25083&g_ta_cod=25083", 8.0, 46.0, 46.0),
(13278, "Public", "0740013M", "Lycée G. Fichet", "74", "Haute-Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Bonneville", "formation sélective", "BTS", "Lycée G. Fichet - BTS - Services - Management Commercial Opérationnel (Seconde année possible en apprentissage)", "BTS - Services", "", 24, 452, 224, 452, 0, 28, 3, 145, 42, 119, 53, 160, 0, 0, 0, 0, 0, 342, 0, 0, 0, 28, 3, 116, 34, 114, 50, 84, 133, 20, 10, 20, 0, 4.0, 13.0, 16.0, 0, 6, 16, 1, 8, 7, 4, 0, 7, 9, 0, 0, 0.0, 1, 3, 5, 13, 5, 16, 16, 20.0, 65.0, 80.0, 50.0, 100.0, 100.0, 81.296875, 37.5, 80.0, 0.0, 43.796875, 56.296875, 0.0, 0.0, 0.0, 6.2998046875, 6.2998046875, 50.0, 18.796875, 43.796875, 31.296875, 11.0, 3.0, 57.0, 22.0, 12.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 66, "Bacheliers technologiques toutes séries", 79, "Liste d'appel propre à cette formation", 34.0, "8866", "BTS - Services - Management Commercial Opérationnel (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8866&g_ta_cod=8866", 5.0, 50.0, 45.0),
(13279, "Public", "0241137F", "Lycée Jay De Beaufort", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "BTS", "Lycée Jay De Beaufort - BTS - Services - Service et prestation des secteurs sanitaire et social", "BTS - Services", "", 18, 415, 369, 406, 0, 37, 9, 114, 45, 144, 65, 111, 9, 0, 0, 7, 2, 200, 4, 0, 0, 16, 2, 77, 29, 70, 28, 37, 83, 15, 15, 14, 0, 2.0, 9.0, 10.0, 0, 6, 11, 0, 6, 5, 4, 0, 4, 4, 2, 1, 0.0, 0, 3, 4, 1, 1, 5, 5, 13.33, 60.0, 66.67, 100.0, 45.5, 45.5, 9.099609375, 54.5, 73.296875, 0.0, 36.3984375, 36.3984375, 18.19921875, 9.1, 0.0, 0.0, 0.0, 54.5, 27.296875, 45.5, 36.3984375, 5.0, 2.0, 31.0, 15.0, 17.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 30, "Liste d'appel propre à cette formation", 20.0, "17943", "BTS - Services - Service et prestation des secteurs sanitaire et social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17943&g_ta_cod=17943", 13.0, 47.0, 40.0),
(13280, "Public", "0660586D", "I.U.T de Perpignan", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BUT", "I.U.T de Perpignan - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "BUT - Service", "Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", 100, 1577, 853, 1577, 0, 796, 171, 464, 165, 26, 10, 291, 0, 0, 0, 0, 0, 1095, 0, 0, 0, 633, 139, 299, 93, 5, 1, 158, 470, 98, 53, 97, 0, 20.0, 84.0, 96.0, 0, 28, 89, 46, 43, 0, 9, 1, 14, 44, 24, 6, 0.0, 36, 38, 0, 0, 0, 78, 78, 20.41, 85.71, 97.96, 54.09375, 87.59375, 87.59375, 0, 31.5, 90.796875, 1.099853515625, 15.69921875, 49.3984375, 27.0, 6.7, 0.0, 51.6953125, 40.3984375, 48.296875, 42.6953125, 0.0, 0.0, 233.0, 62.0, 1.0, 0.0, 56.0, "Tous les candidats sauf les Bac technologiques", 474.0, "Bacheliers technologiques toutes séries", 320, "", 0, "Liste d'appel propre à cette formation", 50.0, "7893", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7893&g_ta_cod=7893", 50.0, 50.0, 0.0),
(13281, "Public", "0300026R", "Lycée Dhuoda", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BTS", "Lycée Dhuoda - BTS - Production - Systèmes numériques - Option électronique et communication", "BTS - Production", "", 14, 213, 17, 213, 0, 14, 2, 74, 28, 75, 37, 50, 0, 0, 0, 0, 0, 136, 0, 0, 0, 12, 2, 56, 21, 52, 23, 16, 67, 13, 1, 13, 0, 2.0, 12.0, 13.0, 0, 6, 12, 0, 6, 6, 1, 0, 7, 3, 2, 0, 0.0, 0, 0, 5, 5, 1, 12, 12, 15.38, 92.31, 100.0, 7.69921875, 100.0, 100.0, 41.6953125, 50.0, 92.296875, 0.0, 58.296875, 25.0, 16.69921875, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 41.6953125, 4.0, 1.0, 31.0, 17.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 8.0, "Bacheliers professionnels toutes séries", 52, "Bacheliers technologiques toutes séries", 44, "Liste d'appel propre à cette formation", 49.0, "3945", "BTS - Production - Systèmes numériques - Option électronique et communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3945&g_ta_cod=3945", 0.0, 46.0, 54.0),
(13282, "Public", "0620215X", "Université du littoral - Site de Calais -", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "Autre formation", "Université du littoral - Site de Calais - - Formation Supérieure de Spécialisation - Assistant désigner graphique multimédia", "Diplôme d'Université", "Assistant désigner graphique multimédia", 15, 57, 28, 57, 0, 18, 6, 13, 6, 10, 7, 16, 0, 0, 0, 0, 0, 46, 0, 0, 0, 18, 6, 13, 6, 10, 7, 5, 40, 15, 6, 15, 0, 2.0, 15.0, 15.0, 0, 7, 12, 3, 6, 3, 3, 0, 7, 4, 0, 1, 0.0, 1, 2, 2, 0, 0, 11, 11, 13.33, 100.0, 100.0, 40.0, 91.6875, 91.6875, 0, 58.296875, 80.0, 0.0, 58.296875, 33.296875, 0.0, 8.3, 0.0, 25.0, 8.298828125, 50.0, 16.69921875, 25.0, 16.69921875, 15.0, 4.0, 10.0, 7.0, 5.0, "Tous les candidats", 46.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 81.0, "32541", "Formation Supérieure de Spécialisation - Assistant désigner graphique multimédia", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32541&g_ta_cod=32541", 40.0, 40.0, 20.0),
(13283, "Public", "9740979W", "Lycée Jean Hinglo", "974", "La Réunion", "La Réunion", "La Réunion", "Le Port", "formation sélective", "BTS", "Lycée Jean Hinglo - BTS - Production - Travaux publics", "BTS - Production", "", 24, 165, 19, 164, 0, 2, 1, 53, 24, 79, 49, 30, 1, 0, 1, 0, 0, 112, 1, 0, 0, 2, 1, 33, 13, 69, 42, 8, 65, 23, 1, 22, 1, 7.0, 19.0, 19.0, 0, 8, 23, 0, 11, 12, 0, 0, 7, 11, 5, 0, 0.0, 0, 8, 8, 6, 0, 22, 22, 30.43, 82.61, 82.61, 4.2998046875, 95.6875, 95.6875, 26.09765625, 34.796875, 100.0, 0.0, 30.3984375, 47.796875, 21.69921875, 0.0, 0.0, 0.0, 0.0, 47.796875, 34.796875, 52.1953125, 34.796875, 2.0, 1.0, 33.0, 18.0, 5.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 5.0, "Bacheliers professionnels toutes séries", 40, "Bacheliers technologiques toutes séries", 26, "Liste d'appel propre à cette formation", 43.0, "11936", "BTS - Production - Travaux publics", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11936&g_ta_cod=11936", 0.0, 48.0, 52.0),
(13284, "Public", "0480653Z", "IFSI Lozérien", "48", "Lozère", "Occitanie", "Montpellier", "Mende", "formation sélective", "IFSI", "Regroupement d'IFSI Université Montpellier - D.E Infirmier", "D.E secteur sanitaire", "", 42, 5425, 4521, 5425, 0, 724, 154, 1036, 296, 501, 202, 3164, 0, 0, 0, 0, 0, 3975, 0, 0, 0, 628, 124, 832, 230, 345, 131, 2170, 726, 41, 34, 41, 0, 0.0, 9.0, 24.0, 0, 4, 24, 6, 11, 7, 17, 0, 3, 11, 10, 0, 0.0, 5, 9, 7, 0, 0, 20, 20, 0.0, 21.95, 58.54, 82.890625, 83.296875, 83.296875, 0, 16.69921875, 58.5, 0.0, 12.5, 45.796875, 41.6953125, 0.0, 0.0, 25.0, 20.796875, 45.796875, 37.5, 29.19921875, 29.19921875, 110.0, 17.0, 69.0, 25.0, 315.0, "Tous les candidats", 2893.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 25.0, "23182", "D.E Infirmier", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22991&g_ta_cod=23182", 37.0, 34.0, 27.0),
(13285, "Privé sous contrat d'association", "0292125C", "ISEN Brest", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bacs généraux", "Formations  des écoles d'ingénieurs", "Bacs généraux", 72, 1432, 319, 1426, 0, 1418, 116, 0, 0, 0, 0, 8, 6, 6, 0, 0, 0, 1282, 4, 0, 0, 1282, 93, 0, 0, 0, 0, 0, 1226, 25, 6, 23, 2, 21.0, 23.0, 24.0, 0, 2, 25, 25, 0, 0, 0, 1, 2, 7, 12, 3, 0.0, 22, 0, 0, 0, 0, 19, 19, 84.0, 92.0, 96.0, 24.0, 76.0, 76.0, 0, 8.0, 100.0, 4.0, 8.0, 28.0, 48.0, 12.0, 0.0, 100.0, 88.0, 0.0, 0.0, 0.0, 0.0, 1226.0, 93.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 90.0, "76", "Formation d'ingénieur Bac + 5 - Bacs généraux", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=166&g_ta_cod=76", 100.0, 0.0, 0.0),
(13286, "Privé sous contrat d'association", "0811105L", "Lycée André Alquier à St Amans Soult", "81", "Tarn", "Occitanie", "Toulouse", "Saint-Amans-Soult", "formation sélective", "BTS", "Lycée André Alquier à St Amans Soult - BTS - Agricole - Gestion forestière", "BTS - Agricole", "", 23, 229, 34, 228, 0, 55, 8, 77, 16, 49, 14, 47, 1, 0, 0, 0, 1, 129, 0, 0, 0, 42, 4, 36, 7, 37, 9, 14, 75, 21, 2, 21, 0, 9.0, 18.0, 20.0, 0, 4, 19, 9, 5, 5, 2, 0, 4, 11, 3, 1, 0.0, 6, 4, 5, 4, 1, 10, 10, 42.86, 85.71, 95.24, 9.5, 52.59375, 52.59375, 21.09765625, 21.09765625, 90.5, 0.0, 21.09765625, 57.8984375, 15.798828125, 5.3, 0.0, 47.3984375, 31.59765625, 26.296875, 21.09765625, 26.296875, 26.296875, 28.0, 4.0, 22.0, 7.0, 8.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 39, "Bacheliers technologiques toutes séries", 36, "Liste d'appel propre à cette formation", 53.0, "17371", "BTS - Agricole - Gestion forestière", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17371&g_ta_cod=17371", 48.0, 29.0, 24.0),
(13287, "Public", "0541205S", "I.U.T de Nancy-Brabois - Université de Lorraine", "54", "Meurthe-et-Moselle", "Grand Est", "Nancy-Metz", "Villers-lès-Nancy", "formation sélective", "BUT", "I.U.T de Nancy-Brabois - Université de Lorraine - BUT - Réseaux et télécommunications", "BUT - Production", "", 60, 624, 54, 502, 0, 272, 49, 122, 32, 5, 2, 103, 122, 35, 8, 3, 76, 338, 19, 0, 0, 214, 30, 77, 16, 0, 0, 47, 307, 52, 3, 45, 7, 9.0, 45.0, 51.0, 0, 4, 41, 31, 10, 0, 11, 0, 19, 20, 2, 0, 0.0, 14, 8, 0, 0, 0, 27, 27, 17.31, 86.54, 98.08, 5.7998046875, 65.890625, 65.890625, 0, 9.798828125, 78.796875, 0.0, 46.296875, 48.796875, 4.8994140625, 0.0, 0.0, 75.59375, 34.09375, 24.3984375, 19.5, 0.0, 0.0, 180.0, 26.0, 0.0, 0.0, 56.0, "Tous les candidats sauf les Bac technologiques", 251.0, "Bacheliers technologiques toutes séries", 87, "", 0, "Liste d'appel propre à cette formation", 67.0, "6302", "BUT - Réseaux et télécommunications", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6302&g_ta_cod=6302", 77.0, 23.0, 0.0),
(13288, "Public", "0510065U", "INSPE de Reims - Antenne de Châlons-en-Champagne", "51", "Marne", "Grand Est", "Reims", "Châlons-en-Champagne", "formation non sélective", "Licence", "INSPE de Reims - Antenne de Châlons-en-Champagne - Licence - Sciences de l'éducation", "Licence - Sciences humaines et sociales", "", 32, 512, 460, 512, 0, 267, 60, 58, 17, 23, 7, 164, 0, 0, 0, 0, 0, 512, 0, 0, 0, 267, 60, 58, 17, 23, 7, 164, 147, 32, 31, 32, 0, 3.0, 23.0, 27.0, 0, 8, 24, 16, 7, 1, 8, 0, 10, 10, 3, 1, 0.0, 9, 4, 1, 0, 0, 20, 20, 9.38, 71.88, 84.38, 96.890625, 83.296875, 83.296875, 0, 33.296875, 75.0, 0.0, 41.6953125, 41.6953125, 12.5, 4.2, 0.0, 66.6875, 37.5, 29.19921875, 16.69921875, 4.19921875, 4.19921875, 82.0, 19.0, 14.0, 3.0, 34.0, "Tous les candidats", 277.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "20694", "Licence - Sciences de l'éducation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27246&g_ta_cod=20694", 69.0, 25.0, 6.0),
(13289, "Public", "0560861G", "I.U.T de Vannes", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BUT", "I.U.T de Vannes - BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Contrôle de gestion et pilotage de la performance - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "BUT - Service", "Gestion comptable, fiscale et financière - Contrôle de gestion et pilotage de la performance - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", 168, 3091, 1447, 3070, 0, 1822, 161, 867, 157, 19, 8, 362, 21, 5, 5, 0, 11, 1940, 7, 0, 0, 1264, 106, 543, 86, 11, 4, 122, 991, 163, 82, 162, 1, 31.0, 118.0, 154.0, 0, 16, 150, 99, 49, 2, 13, 0, 10, 98, 39, 3, 0.0, 94, 44, 2, 0, 0, 116, 116, 19.02, 72.39, 94.48, 50.296875, 77.296875, 77.296875, 0, 10.69921875, 92.0, 0.0, 6.69921875, 65.296875, 26.0, 2.0, 0.0, 66.0, 62.6953125, 32.6953125, 29.296875, 1.2998046875, 1.2998046875, 569.0, 66.0, 8.0, 3.0, 71.0, "Tous les candidats sauf les Bac technologiques", 1045.0, "Bacheliers technologiques toutes séries", 563, "", 0, "Liste d'appel propre à cette formation", 52.0, "6469", "BUT - Gestion des entreprises et des administrations Parcours : Gestion comptable, fiscale et financière - Contrôle de gestion et pilotage de la performance - Gestion et pilotage des ressources humaines - Gestion, entrepreneuriat et management d'activités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6469&g_ta_cod=6469", 67.0, 31.0, 1.0),
(13290, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence_Las", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 25, 979, 693, 979, 0, 656, 71, 54, 10, 2, 0, 267, 0, 0, 0, 0, 0, 978, 0, 0, 0, 656, 71, 54, 10, 2, 0, 266, 204, 24, 17, 24, 0, 0.0, 13.0, 18.0, 0, 1, 21, 17, 4, 0, 3, 0, 0, 9, 9, 3, 0.0, 17, 4, 0, 0, 0, 17, 17, 0.0, 54.17, 75.0, 70.796875, 81.0, 81.0, 0, 4.7998046875, 87.5, 0.0, 0.0, 42.8984375, 42.8984375, 14.3, 0.0, 81.0, 81.0, 19.0, 19.0, 0.0, 0.0, 159.0, 16.0, 0.0, 0.0, 30.0, "Tous les candidats", 502.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 30.0, "28721", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28720&g_ta_cod=28721", 83.0, 17.0, 0.0),
(13291, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation sélective", "Autre formation", "Université de Reims Champagne-Ardenne - C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master en ingénierie (CMI) Ingénierie en Informatique : High?Performance Visual Computing", "C.M.I - Cursus Master en Ingénierie", "Cursus Master en ingénierie (CMI) Ingénierie en Informatique : High?Performance Visual Computing", 17, 236, 40, 205, 0, 132, 25, 14, 6, 0, 0, 59, 31, 2, 0, 0, 29, 92, 1, 0, 0, 73, 11, 0, 0, 0, 0, 19, 69, 13, 3, 13, 0, 1.0, 12.0, 13.0, 0, 1, 10, 10, 0, 0, 3, 0, 1, 3, 5, 1, 0.0, 9, 0, 0, 0, 0, 3, 3, 7.69, 92.31, 100.0, 23.09765625, 30.0, 30.0, 0, 10.0, 76.890625, 0.0, 10.0, 30.0, 50.0, 10.0, 0.0, 100.0, 90.0, 0.0, 0.0, 0.0, 0.0, 56.0, 11.0, 0.0, 0.0, 13.0, "Tous les candidats", 91.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "19443", "C.M.I - Cursus Master en Ingénierie - Informatique - Cursus Master en ingénierie (CMI) Ingénierie en Informatique : High?Performance Visual Computing", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19443&g_ta_cod=19443", 100.0, 0.0, 0.0),
(13292, "Public", "0440984F", "Université de Nantes", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "Autre formation", "Université de Nantes - C.M.I - Cursus Master en Ingénierie - Physique - Ingénierie en Calcul mécanique", "C.M.I - Cursus Master en Ingénierie", "Ingénierie en Calcul mécanique", 9, 385, 80, 378, 0, 279, 44, 5, 1, 1, 0, 93, 7, 1, 0, 0, 6, 291, 3, 0, 0, 251, 38, 0, 0, 0, 0, 40, 125, 8, 1, 6, 2, 0.0, 5.0, 6.0, 0, 1, 6, 6, 0, 0, 2, 0, 1, 3, 2, 0, 0.0, 5, 0, 0, 0, 0, 2, 2, 0.0, 62.5, 75.0, 12.5, 33.296875, 33.296875, 0, 16.69921875, 75.0, 0.0, 16.69921875, 50.0, 33.296875, 0.0, 0.0, 100.0, 83.296875, 0.0, 0.0, 0.0, 0.0, 110.0, 13.0, 0.0, 0.0, 15.0, "Tous les candidats", 500.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 75.0, "29129", "C.M.I - Cursus Master en Ingénierie - Physique - Ingénierie en Calcul mécanique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29129&g_ta_cod=29129", 100.0, 0.0, 0.0),
(13293, "Privé sous contrat d'association", "0700958L", "Maison familiale et rurale (MFR) de Fougerolles", "70", "Haute-Saône", "Bourgogne-Franche-Comté", "Besancon", "Fougerolles-Saint-Valbert", "formation sélective", "BTS", "Maison familiale et rurale (MFR) de Fougerolles - BTS - Services - Economie sociale familiale", "BTS - Services", "", 24, 134, 116, 68, 0, 6, 0, 8, 3, 27, 10, 27, 66, 6, 5, 26, 29, 42, 1, 0, 0, 6, 0, 7, 2, 25, 9, 4, 43, 2, 2, 2, 0, 1.0, 2.0, 2.0, 0, 2, 2, 0, 1, 1, 0, 0, 2, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 2, 2, 50.0, 100.0, 100.0, 100.0, 100.0, 100.0, 0, 100.0, 100.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 0.0, 6.0, 0.0, 26.0, 10.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 9.0, "Bacheliers professionnels toutes séries", 25, "Bacheliers technologiques toutes séries", 7, "Liste d'appel propre à cette formation", 60.0, "22729", "BTS - Services - Economie sociale familiale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22729&g_ta_cod=22729", 0.0, 50.0, 50.0),
(13294, "Public", "0931238R", "Université Sorbonne Paris Nord", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Villetaneuse", "formation non sélective", "Licence", "Université Sorbonne Paris Nord - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Anglais", "Licence - Arts-lettres-langues", "Anglais", 120, 683, 507, 660, 0, 397, 145, 45, 18, 20, 10, 198, 23, 5, 2, 0, 16, 654, 21, 0, 0, 397, 145, 45, 18, 20, 10, 192, 553, 110, 69, 99, 10, 6.0, 95.0, 96.0, 0, 25, 55, 42, 9, 4, 55, 0, 32, 17, 6, 0, 0.0, 17, 3, 3, 0, 0, 31, 47, 5.45, 86.36, 87.27, 62.6953125, 56.3984375, 85.5, 0, 45.5, 50.0, 0.0, 58.1953125, 30.8984375, 10.8984375, 0.0, 0.0, 76.390625, 30.8984375, 16.3984375, 5.5, 7.2998046875, 5.5, 335.0, 122.0, 10.0, 4.0, 168.0, "Tous les candidats", 638.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "11257", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours  Anglais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11257&g_ta_cod=11257", 75.0, 17.0, 7.0),
(13295, "Privé sous contrat d'association", "0850076W", "Lycée général et technologique privé Jean XXIII", "85", "Vendée", "Pays de la Loire", "Nantes", "Les Herbiers", "formation sélective", "BTS", "Lycée général et technologique privé Jean XXIII - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 35, 246, 114, 238, 0, 38, 5, 92, 5, 85, 18, 23, 8, 0, 7, 0, 1, 238, 1, 0, 0, 38, 5, 92, 5, 85, 18, 23, 157, 27, 10, 27, 0, 4.0, 18.0, 24.0, 0, 2, 21, 1, 13, 7, 6, 0, 8, 8, 5, 0, 0.0, 0, 7, 6, 7, 1, 19, 19, 14.81, 66.67, 88.89, 37.0, 90.5, 90.5, 33.296875, 9.5, 77.796875, 0.0, 38.09375, 38.09375, 23.796875, 0.0, 0.0, 4.7998046875, 0.0, 61.8984375, 33.296875, 33.296875, 28.59765625, 25.0, 3.0, 45.0, 9.0, 13.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 52.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 95, "Liste d'appel propre à cette formation", 82.0, "10489", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10489&g_ta_cod=10489", 22.0, 52.0, 26.0),
(13296, "Public", "0350022J", "Lycée Beaumont", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Redon", "formation sélective", "BTS", "Lycée Beaumont - BTS - Services - Support à l'action managériale", "BTS - Services", "", 34, 360, 244, 330, 0, 11, 2, 111, 32, 70, 36, 138, 30, 5, 5, 2, 18, 213, 4, 0, 0, 11, 2, 102, 26, 66, 33, 34, 171, 19, 15, 19, 0, 7.0, 17.0, 19.0, 0, 6, 13, 1, 6, 6, 6, 0, 8, 3, 2, 0, 0.0, 0, 1, 4, 0, 0, 13, 13, 36.84, 89.47, 100.0, 78.890625, 100.0, 100.0, 0, 46.1953125, 68.390625, 0.0, 61.5, 23.09765625, 15.3984375, 0.0, 0.0, 7.69921875, 0.0, 46.1953125, 7.69921875, 46.1953125, 30.796875, 6.0, 2.0, 56.0, 30.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 17.0, "Bacheliers professionnels toutes séries", 71, "Bacheliers technologiques toutes séries", 124, "Liste d'appel propre à cette formation", 64.0, "4626", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4626&g_ta_cod=4626", 16.0, 47.0, 37.0),
(13297, "Public", "0300930Y", "I.U.T de Nîmes", "30", "Gard", "Occitanie", "Montpellier", "Nîmes", "formation sélective", "BUT", "I.U.T de Nîmes - BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "BUT - Production", "Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", 80, 904, 72, 860, 0, 463, 75, 203, 68, 21, 10, 173, 44, 6, 11, 2, 25, 742, 19, 0, 0, 430, 67, 178, 50, 4, 0, 130, 477, 64, 5, 55, 9, 3.0, 39.0, 60.0, 0, 14, 42, 27, 15, 0, 22, 0, 19, 15, 7, 1, 0.0, 11, 12, 0, 0, 0, 27, 27, 4.69, 60.94, 93.75, 7.7998046875, 64.296875, 64.296875, 0, 33.296875, 65.59375, 0.0, 45.1953125, 35.6953125, 16.69921875, 2.4, 0.0, 64.296875, 26.19921875, 35.6953125, 28.59765625, 0.0, 0.0, 246.0, 51.0, 3.0, 0.0, 93.0, "Tous les candidats sauf les Bac technologiques", 544.0, "Bacheliers technologiques toutes séries", 192, "", 0, "Liste d'appel propre à cette formation", 86.0, "3985", "BUT - Génie électrique et informatique industrielle Parcours : Electricité et maîtrise de l'énergie - Automatisme et Informatique Industrielle - Electronique et systèmes embarqués", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3985&g_ta_cod=3985", 72.0, 28.0, 0.0),
(13298, "Privé sous contrat d'association", "0572341K", "Lycée Jean XXIII", "57", "Moselle", "Grand Est", "Nancy-Metz", "Montigny-lès-Metz", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - bac STI2D", "Formations  des écoles d'ingénieurs", "Bac STI2D", 5, 74, 5, 74, 0, 0, 0, 74, 15, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 0, 50, 8, 0, 0, 0, 48, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "31223", "Formation d'ingénieur Bac + 5 - bac STI2D", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22915&g_ta_cod=31223", 0, 0, 0),
(13299, "Privé sous contrat d'association", "0572341K", "Lycée Jean XXIII", "57", "Moselle", "Grand Est", "Nancy-Metz", "Montigny-lès-Metz", "formation sélective", "Ecole d'Ingénieur", "ECAM-HEI-ISEN-ISEP cycle préparatoire Metz - Jean XXIII - Formation d'ingénieur Bac + 5 - bac STL", "Formations  des écoles d'ingénieurs", "bac STL", 5, 18, 8, 15, 0, 1, 0, 9, 0, 0, 0, 5, 3, 0, 2, 0, 1, 11, 2, 0, 0, 0, 0, 8, 0, 0, 0, 3, 13, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 3.0, "Tous les candidats", 11.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 73.0, "16963", "Formation d'ingénieur Bac + 5 - bac STL", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16963&g_ta_cod=16963", 0, 0, 0),
(13300, "Public", "0760029U", "Lycée Andre Maurois", "76", "Seine-Maritime", "Normandie", "Normandie", "Elbeuf", "formation sélective", "BTS", "Lycée Andre Maurois - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 825, 439, 636, 0, 65, 19, 234, 93, 185, 81, 152, 189, 0, 64, 44, 81, 225, 35, 0, 0, 38, 9, 82, 26, 81, 32, 24, 190, 27, 14, 21, 5, 1.0, 16.0, 21.0, 0, 6, 19, 3, 9, 7, 8, 0, 5, 10, 3, 1, 0.0, 2, 6, 6, 8, 4, 18, 18, 3.7, 59.26, 77.78, 51.8984375, 94.6875, 94.6875, 42.09375, 31.59765625, 70.390625, 0.0, 26.296875, 52.59375, 15.798828125, 5.3, 0.0, 15.798828125, 10.5, 47.3984375, 31.59765625, 36.796875, 31.59765625, 17.0, 5.0, 73.0, 31.0, 33.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 39.0, "Bacheliers professionnels toutes séries", 83, "Bacheliers technologiques toutes séries", 90, "Liste d'appel propre à cette formation", 33.0, "9560", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9560&g_ta_cod=9560", 19.0, 48.0, 33.0);
INSERT INTO `parcoursup` (`id`, `contrat_etab`, `cod_uai`, `g_ea_lib_vx`, `dep`, `dep_lib`, `region_etab_aff`, `acad_mies`, `ville_etab`, `select_form`, `fili`, `lib_comp_voe_ins`, `form_lib_voe_acc`, `detail_forma`, `capa_fin`, `voe_tot`, `voe_tot_f`, `nb_voe_pp`, `nb_voe_pp_internat`, `nb_voe_pp_bg`, `nb_voe_pp_bg_brs`, `nb_voe_pp_bt`, `nb_voe_pp_bt_brs`, `nb_voe_pp_bp`, `nb_voe_pp_bp_brs`, `nb_voe_pp_at`, `nb_voe_pc`, `nb_voe_pc_bg`, `nb_voe_pc_bt`, `nb_voe_pc_bp`, `nb_voe_pc_at`, `nb_cla_pp`, `nb_cla_pc`, `nb_cla_pp_internat`, `nb_cla_pp_pasinternat`, `nb_cla_pp_bg`, `nb_cla_pp_bg_brs`, `nb_cla_pp_bt`, `nb_cla_pp_bt_brs`, `nb_cla_pp_bp`, `nb_cla_pp_bp_brs`, `nb_cla_pp_at`, `prop_tot`, `acc_tot`, `acc_tot_f`, `acc_pp`, `acc_pc`, `acc_debutpp`, `acc_datebac`, `acc_finpp`, `acc_internat`, `acc_brs`, `acc_neobac`, `acc_bg`, `acc_bt`, `acc_bp`, `acc_at`, `acc_mention_nonrenseignee`, `acc_sansmention`, `acc_ab`, `acc_b`, `acc_tb`, `acc_tbf`, `acc_bg_mention`, `acc_bt_mention`, `acc_bp_mention`, `acc_term`, `acc_term_f`, `acc_aca_orig`, `acc_aca_orig_idf`, `pct_acc_debutpp`, `pct_acc_datebac`, `pct_acc_finpp`, `pct_f`, `pct_aca_orig`, `pct_aca_orig_idf`, `pct_etab_orig`, `pct_bours`, `pct_neobac`, `pct_mention_nonrenseignee`, `pct_sansmention`, `pct_ab`, `pct_b`, `pct_tb`, `pct_tbf`, `pct_bg`, `pct_bg_mention`, `pct_bt`, `pct_bt_mention`, `pct_bp`, `pct_bp_mention`, `prop_tot_bg`, `prop_tot_bg_brs`, `prop_tot_bp`, `prop_tot_bp_brs`, `prop_tot_at`, `lib_grp1`, `ran_grp1`, `lib_grp2`, `ran_grp2`, `lib_grp3`, `ran_grp3`, `list_com`, `taux_adm_psup`, `cod_aff_form`, `lib_for_voe_ins`, `detail_forma2`, `lien_form_psup`, `taux_adm_psup_gen`, `taux_adm_psup_techno`, `taux_adm_psup_pro`) VALUES
(13301, "Public", "0062205P", "Université Côte d'Azur", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Nice", "formation non sélective", "Licence", "Université Côte d'Azur - Licence - Sciences et Humanités - Parcours Environnement", "Licence - Sciences - technologies - santé", "Environnement", 35, 331, 225, 317, 0, 208, 36, 12, 2, 3, 1, 94, 14, 1, 2, 0, 11, 307, 14, 0, 0, 208, 36, 12, 2, 3, 1, 84, 205, 35, 19, 26, 9, 3.0, 16.0, 25.0, 0, 4, 20, 18, 1, 1, 15, 0, 4, 7, 8, 1, 0.0, 15, 0, 1, 0, 0, 13, 13, 8.57, 45.71, 71.43, 54.296875, 65.0, 65.0, 0, 20.0, 57.09375, 0.0, 20.0, 35.0, 40.0, 5.0, 0.0, 90.0, 75.0, 5.0, 0.0, 5.0, 5.0, 143.0, 21.0, 2.0, 1.0, 51.0, "Tous les candidats", 282.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 89.0, "32401", "Licence - Sciences et Humanités - Parcours Environnement", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32401&g_ta_cod=32401", 77.0, 20.0, 3.0),
(13302, "Privé enseignement supérieur", "0671555B", "Ecole supérieure européenne de l'intervention sociale", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "EFTS", "Ecole supérieure européenne de l'intervention sociale - D.E Educateur Technique Spécialisé", "D.E secteur social", "", 4, 28, 25, 18, 0, 5, 0, 3, 0, 3, 0, 7, 10, 0, 2, 0, 8, 8, 2, 0, 0, 3, 0, 0, 0, 1, 0, 4, 9, 3, 3, 2, 1, 0.0, 1.0, 2.0, 0, 0, 2, 0, 0, 2, 1, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 2, 2, 0.0, 33.33, 66.67, 100.0, 100.0, 100.0, 0, 0.0, 66.6875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 3.0, 0.0, 2.0, 0.0, 3.0, "Tous les candidats", 8.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "24987", "D.E Educateur Technique Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24987&g_ta_cod=24987", 33.0, 0.0, 67.0),
(13303, "Privé enseignement supérieur", "0942381C", "Institut de management et de communication", "94", "Val-de-Marne", "Ile-de-France", "Créteil", "Arcueil", "formation sélective", "Ecole de Commerce", "Concours SESAME - Formation des écoles de commerce et de management", "Formation des écoles de commerce et de management", "", 50, 958, 393, 950, 0, 776, 35, 67, 2, 6, 1, 101, 8, 4, 0, 0, 4, 895, 7, 0, 0, 752, 31, 59, 1, 3, 1, 81, 902, 13, 7, 11, 2, 10.0, 11.0, 13.0, 0, 1, 12, 10, 2, 0, 1, 0, 3, 8, 1, 0, 0.0, 7, 2, 0, 0, 0, 2, 6, 76.92, 84.62, 100.0, 53.796875, 16.69921875, 50.0, 0, 8.298828125, 92.296875, 0.0, 25.0, 66.6875, 8.298828125, 0.0, 0.0, 83.296875, 58.296875, 16.69921875, 16.69921875, 0.0, 0.0, 755.0, 32.0, 3.0, 1.0, 85.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 94.0, "31994", "Formation des écoles de commerce et de management", "Concours SESAME", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26102&g_ta_cod=31994", 85.0, 15.0, 0.0),
(13304, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Humanités", "Licence - Sciences humaines et sociales", "", 60, 555, 427, 506, 0, 360, 95, 19, 8, 4, 2, 123, 49, 2, 3, 0, 44, 506, 48, 0, 0, 360, 95, 19, 8, 4, 2, 123, 461, 56, 43, 47, 9, 29.0, 44.0, 50.0, 0, 8, 31, 28, 3, 0, 25, 0, 8, 7, 12, 3, 1.0, 22, 1, 0, 0, 0, 21, 21, 51.79, 78.57, 89.29, 76.796875, 67.6875, 67.6875, 0, 25.796875, 55.3984375, 0.0, 25.796875, 22.59765625, 38.6953125, 9.7, 3.2, 90.296875, 71.0, 9.69921875, 3.19970703125, 0.0, 0.0, 291.0, 86.0, 3.0, 2.0, 149.0, "Tous les candidats", 501.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "16768", "Licence - Humanités", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16768&g_ta_cod=16768", 82.0, 11.0, 5.0),
(13305, "Public", "0660010C", "Lycée François Arago", "66", "Pyrénées-Orientales", "Occitanie", "Montpellier", "Perpignan", "formation sélective", "BTS", "Lycée François Arago - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 788, 390, 786, 0, 75, 29, 164, 69, 111, 69, 436, 2, 0, 1, 0, 1, 269, 0, 0, 0, 72, 28, 114, 49, 50, 33, 33, 99, 30, 16, 30, 0, 14.0, 29.0, 30.0, 0, 18, 28, 4, 13, 11, 2, 0, 5, 14, 8, 1, 0.0, 4, 9, 10, 5, 4, 28, 28, 46.67, 96.67, 100.0, 53.296875, 100.0, 100.0, 17.8984375, 64.296875, 93.296875, 0.0, 17.8984375, 50.0, 28.59765625, 3.6, 0.0, 14.298828125, 14.298828125, 46.3984375, 32.09375, 39.296875, 35.6953125, 12.0, 6.0, 17.0, 11.0, 7.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 26.0, "Bacheliers professionnels toutes séries", 18, "Bacheliers technologiques toutes séries", 114, "Liste d'appel propre à cette formation", 20.0, "7848", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7848&g_ta_cod=7848", 20.0, 43.0, 37.0),
(13306, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation sélective", "Autre formation", "Université de Mulhouse - CUPGE - Cycle Préparatoire Lettres  - Licence renforcée", "CUPGE - Arts Lettres Langues", "", 40, 63, 50, 52, 0, 47, 13, 0, 0, 1, 1, 4, 11, 3, 0, 0, 8, 51, 4, 0, 0, 47, 13, 0, 0, 0, 0, 4, 51, 9, 8, 8, 1, 7.0, 8.0, 8.0, 0, 2, 8, 8, 0, 0, 1, 0, 0, 3, 4, 1, 0.0, 8, 0, 0, 0, 0, 7, 7, 77.78, 88.89, 88.89, 88.890625, 87.5, 87.5, 0, 25.0, 88.890625, 0.0, 0.0, 37.5, 50.0, 12.5, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 44.0, 12.0, 0.0, 0.0, 7.0, "Tous les candidats", 51.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "15666", "CUPGE - Cycle Préparatoire Lettres  - Licence renforcée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15666&g_ta_cod=15666", 100.0, 0.0, 0.0),
(13307, "Public", "0120025M", "Lycée Jean Jaures", "12", "Aveyron", "Occitanie", "Toulouse", "Saint-Affrique", "formation sélective", "BTS", "Lycée Jean Jaures - BTS - Production - Electrotechnique", "BTS - Production", "", 24, 98, 5, 91, 0, 1, 0, 27, 7, 46, 14, 17, 7, 0, 2, 3, 2, 91, 3, 0, 0, 1, 0, 27, 7, 46, 14, 17, 69, 16, 1, 15, 1, 3.0, 15.0, 16.0, 0, 4, 15, 0, 1, 14, 1, 0, 5, 5, 4, 1, 0.0, 0, 0, 10, 3, 0, 7, 7, 18.75, 93.75, 100.0, 6.2998046875, 46.6953125, 46.6953125, 20, 26.69921875, 93.796875, 0.0, 33.296875, 33.296875, 26.69921875, 6.7, 0.0, 0.0, 0.0, 6.69921875, 0.0, 93.296875, 66.6875, 1.0, 0.0, 41.0, 14.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 3.0, "Bacheliers professionnels toutes séries", 47, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 88.0, "2491", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2491&g_ta_cod=2491", 0.0, 13.0, 88.0),
(13308, "Public", "0590117G", "Lycée Louis Pasteur", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "BTS", "Lycée Louis Pasteur - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 35, 1371, 637, 1371, 0, 134, 30, 403, 147, 480, 213, 354, 0, 0, 0, 0, 0, 746, 0, 0, 0, 110, 24, 247, 88, 281, 127, 108, 202, 29, 18, 29, 0, 3.0, 20.0, 23.0, 0, 13, 26, 2, 4, 20, 3, 0, 2, 18, 6, 0, 0.0, 1, 4, 19, 2, 2, 25, 25, 10.34, 68.97, 79.31, 62.09375, 96.1875, 96.1875, 7.69921875, 50.0, 89.6875, 0.0, 7.69921875, 69.1875, 23.09765625, 0.0, 0.0, 7.69921875, 3.7998046875, 15.3984375, 15.3984375, 76.890625, 73.09375, 37.0, 14.0, 121.0, 59.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 80.0, "Bacheliers professionnels toutes séries", 218, "Bacheliers technologiques toutes séries", 50, "Liste d'appel propre à cette formation", 25.0, "6778", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6778&g_ta_cod=6778", 17.0, 14.0, 69.0),
(13309, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence", "Université de Caen Normandie - Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales", "Licence - Sciences - technologies - santé", "", 75, 399, 146, 251, 0, 172, 22, 4, 1, 0, 0, 75, 148, 25, 7, 4, 112, 251, 125, 0, 0, 172, 22, 4, 1, 0, 0, 75, 366, 54, 15, 20, 34, 14.0, 20.0, 42.0, 0, 1, 15, 13, 1, 1, 39, 0, 4, 7, 3, 1, 0.0, 10, 0, 1, 0, 0, 13, 13, 25.93, 37.04, 77.78, 27.796875, 86.6875, 86.6875, 0, 6.69921875, 27.796875, 0.0, 26.69921875, 46.6953125, 20.0, 6.7, 0.0, 86.6875, 66.6875, 6.69921875, 0.0, 6.69921875, 6.69921875, 191.0, 24.0, 3.0, 0.0, 163.0, "Tous les candidats", 251.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "2874", "Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2874&g_ta_cod=2874", 93.0, 4.0, 4.0),
(13310, "Privé sous contrat d'association", "0011438H", "Institut Régional et Européen des métiers de l'Intervention Sociale Rhône-Alpes- IREIS", "01", "Ain", "Auvergne-Rhône-Alpes", "Lyon", "Bourg-en-Bresse", "formation sélective", "EFTS", "Institut Régional et Européen des métiers de l'Intervention Sociale Rhône-Alpes- IREIS - D.E Educateur Spécialisé", "D.E secteur social", "", 16, 267, 221, 267, 0, 36, 4, 41, 6, 22, 5, 168, 0, 0, 0, 0, 0, 186, 0, 0, 0, 25, 2, 24, 3, 13, 2, 124, 54, 15, 12, 15, 0, 3.0, 12.0, 13.0, 0, 0, 2, 2, 0, 0, 13, 0, 0, 2, 0, 0, 0.0, 2, 0, 0, 0, 0, 2, 2, 20.0, 80.0, 86.67, 80.0, 100.0, 100.0, 0, 0.0, 13.298828125, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 6.0, 1.0, 1.0, 0.0, 40.0, "Tous les candidats", 105.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 24.0, "25250", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24810&g_ta_cod=25250", 67.0, 20.0, 7.0),
(13311, "Public", "0922874Z", "Université Paris-Saclay, Campus de Sceaux", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Sceaux", "formation sélective", "Licence", "Université Paris-Saclay, Campus de Sceaux - Licence - Portail Droit, Sciences et Innovation - Licence Double-Diplôme Droit, Sciences et Innovation", "Licence - Sciences - technologies - santé", "Licence Double-Diplôme Droit, Sciences et Innovation", 10, 259, 191, 259, 0, 142, 14, 11, 2, 1, 1, 105, 0, 0, 0, 0, 0, 168, 0, 0, 0, 110, 11, 0, 0, 0, 0, 58, 88, 11, 7, 11, 0, 4.0, 10.0, 11.0, 0, 1, 9, 9, 0, 0, 2, 0, 0, 4, 2, 3, 0.0, 9, 0, 0, 0, 0, 4, 6, 36.36, 90.91, 100.0, 63.59375, 44.3984375, 66.6875, 0, 11.099609375, 81.796875, 0.0, 0.0, 44.3984375, 22.19921875, 33.3, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 63.0, 5.0, 0.0, 0.0, 25.0, "Tous les candidats", 161.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 52.0, "33111", "Licence - Portail Droit, Sciences et Innovation - Licence Double-Diplôme Droit, Sciences et Innovation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28941&g_ta_cod=33111", 100.0, 0.0, 0.0),
(13312, "Public", "0750612H", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART.", "75", "Paris", "Ile-de-France", "Paris", "Paris 15e  Arrondissement", "formation sélective", "Autre formation", "ECOLE NATIONALE SUPERIEURE A.A-MET.D'ART. - DN MADE - Ornement - - Spécialité : Fresque et arts du mur", "DN MADE", "- Spécialité : Fresque et arts du mur", 7, 185, 141, 185, 0, 64, 13, 32, 4, 14, 4, 75, 0, 0, 0, 0, 0, 55, 0, 0, 0, 20, 4, 13, 2, 1, 0, 21, 17, 7, 7, 7, 0, 3.0, 6.0, 7.0, 0, 0, 7, 1, 5, 1, 0, 0, 0, 3, 2, 2, 0.0, 1, 5, 1, 0, 0, 3, 4, 42.86, 85.71, 100.0, 100.0, 42.8984375, 57.09375, 0, 0.0, 100.0, 0.0, 0.0, 42.8984375, 28.59765625, 28.6, 0.0, 14.298828125, 14.298828125, 71.390625, 71.390625, 14.298828125, 14.298828125, 7.0, 0.0, 1.0, 0.0, 0.0, "Tous les candidats", 19.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 10.0, "21968", "DN MADE - Ornement - - Spécialité : Fresque et arts du mur", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21968&g_ta_cod=21968", 14.0, 71.0, 14.0),
(13313, "Privé hors contrat", "9730526J", "PROJET PROFESSIONNEL PLUS", "973", "Guyane", "Guyane", "Guyane", "Cayenne", "formation sélective", "Autre formation", "PROJET PROFESSIONNEL PLUS - D.E Psychomotricien", "D.E secteur sanitaire", "", 15, 118, 100, 26, 0, 7, 1, 2, 2, 4, 4, 13, 92, 5, 3, 4, 80, 12, 14, 0, 0, 3, 0, 2, 2, 0, 0, 7, 26, 12, 12, 4, 8, 4.0, 4.0, 11.0, 0, 0, 2, 1, 1, 0, 10, 0, 1, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 2, 2, 33.33, 33.33, 91.67, 100.0, 100.0, 100.0, 0, 0.0, 16.69921875, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 3.0, 0.0, 0.0, 0.0, 20.0, "Tous les candidats", 12.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 46.0, "32692", "D.E Psychomotricien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32692&g_ta_cod=32692", 67.0, 25.0, 8.0),
(13314, "Privé hors contrat", "0142081L", "IRTS INST REG TRAVAILLEURS SOCIAUX", "14", "Calvados", "Normandie", "Normandie", "Hérouville-Saint-Clair", "formation sélective", "EFTS", "IRTS INST REG TRAVAILLEURS SOCIAUX - D.E Educateur Technique Spécialisé", "D.E secteur social", "", 6, 29, 21, 14, 0, 2, 1, 3, 1, 4, 1, 5, 15, 3, 1, 3, 8, 7, 1, 0, 0, 0, 0, 1, 0, 3, 1, 3, 8, 3, 2, 2, 1, 1.0, 2.0, 2.0, 0, 1, 1, 0, 0, 1, 2, 0, 0, 1, 0, 0, 0.0, 0, 0, 1, 0, 0, 1, 1, 33.33, 66.67, 66.67, 66.6875, 100.0, 100.0, 0, 100.0, 33.296875, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 3.0, 1.0, 4.0, "Tous les candidats", 7.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 50.0, "24824", "D.E Educateur Technique Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24824&g_ta_cod=24824", 33.0, 33.0, 33.0),
(13315, "Public", "0910715H", "Lycée professionnel Jean Perrin", "91", "Essonne", "Ile-de-France", "Versailles", "Longjumeau", "formation sélective", "Autre formation", "Lycée professionnel Jean Perrin - Mention complémentaire - Technicien ascensoriste, service et modernisation", "Mention complémentaire", "", 14, 95, 0, 68, 0, 0, 0, 0, 0, 61, 29, 7, 27, 0, 0, 17, 10, 28, 1, 0, 0, 0, 0, 0, 0, 27, 9, 1, 27, 9, 0, 8, 1, 5.0, 8.0, 8.0, 0, 6, 9, 0, 0, 9, 0, 0, 3, 6, 0, 0, 0.0, 0, 0, 6, 0, 0, 9, 9, 55.56, 88.89, 88.89, 0.0, 100.0, 100.0, 0, 66.6875, 100.0, 0.0, 33.296875, 66.6875, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 66.6875, 0.0, 0.0, 26.0, 9.0, 1.0, "Tous les candidats", 28.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 41.0, "15974", "Mention complémentaire - Technicien ascensoriste, service et modernisation", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=15974&g_ta_cod=15974", 0.0, 0.0, 100.0),
(13316, "Public", "0511296G", "Université de Reims Champagne-Ardenne", "51", "Marne", "Grand Est", "Reims", "Reims", "formation non sélective", "Licence", "Université de Reims Champagne-Ardenne - Licence - Lettres - Parcours Lettres classiques", "Licence - Arts-lettres-langues", "Lettres classiques", 70, 143, 113, 114, 0, 57, 15, 11, 5, 8, 4, 38, 29, 5, 1, 3, 20, 114, 27, 0, 0, 57, 15, 11, 5, 8, 4, 38, 140, 11, 7, 6, 5, 4.0, 6.0, 9.0, 0, 2, 4, 1, 3, 0, 7, 0, 3, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 3, 3, 36.36, 54.55, 81.82, 63.59375, 75.0, 75.0, 0, 50.0, 36.3984375, 0.0, 75.0, 25.0, 0.0, 0.0, 0.0, 25.0, 25.0, 75.0, 0.0, 0.0, 0.0, 62.0, 16.0, 11.0, 6.0, 56.0, "Tous les candidats", 114.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "6134", "Licence - Lettres - Parcours Lettres classiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6134&g_ta_cod=6134", 45.0, 36.0, 9.0),
(13317, "Public", "0831764S", "Institut de formation public Var prof de santé IF LA GARDE", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Garde", "formation sélective", "Autre formation", "Institut de formation public Var prof de santé IF LA GARDE - D.E Psychomotricien", "D.E secteur sanitaire", "", 39, 1520, 1404, 1520, 0, 314, 30, 155, 24, 12, 0, 1039, 0, 0, 0, 0, 0, 708, 0, 0, 0, 216, 18, 58, 7, 2, 0, 432, 93, 40, 36, 40, 0, 15.0, 33.0, 34.0, 0, 0, 18, 18, 0, 0, 22, 0, 0, 2, 16, 0, 0.0, 18, 0, 0, 0, 0, 5, 5, 37.5, 82.5, 85.0, 90.0, 27.796875, 27.796875, 0, 0.0, 45.0, 0.0, 0.0, 11.099609375, 88.890625, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 41.0, 1.0, 0.0, 0.0, 52.0, "Tous les candidats", 110.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 7.0, "26287", "D.E Psychomotricien", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26287&g_ta_cod=26287", 100.0, 0.0, 0.0),
(13318, "Privé sous contrat d'association", "0560117Y", "Lycée St Paul", "56", "Morbihan", "Bretagne", "Rennes", "Vannes", "formation sélective", "BTS", "Lycée St Paul - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 283, 125, 253, 0, 36, 4, 112, 17, 28, 7, 77, 30, 6, 3, 5, 16, 216, 11, 0, 0, 35, 4, 112, 17, 22, 5, 47, 156, 31, 12, 27, 4, 7.0, 23.0, 27.0, 0, 5, 21, 2, 13, 6, 10, 0, 8, 10, 3, 0, 0.0, 1, 7, 5, 3, 0, 19, 19, 22.58, 74.19, 87.1, 38.6953125, 90.5, 90.5, 14.298828125, 23.796875, 67.6875, 0.0, 38.09375, 47.59375, 14.298828125, 0.0, 0.0, 9.5, 4.7998046875, 61.8984375, 33.296875, 28.59765625, 23.796875, 22.0, 3.0, 20.0, 6.0, 48.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 60.0, "Bacheliers professionnels toutes séries", 23, "Bacheliers technologiques toutes séries", 133, "Liste d'appel propre à cette formation", 85.0, "6446", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6446&g_ta_cod=6446", 16.0, 65.0, 19.0),
(13319, "Privé sous contrat d'association", "0471036W", "ADES FORMATIONS", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Marmande", "formation sélective", "EFTS", "ADES FORMATIONS - D.E Educateur Spécialisé", "D.E secteur social", "", 20, 176, 143, 176, 0, 24, 0, 20, 3, 17, 5, 115, 0, 0, 0, 0, 0, 128, 0, 0, 0, 15, 0, 10, 2, 7, 2, 96, 53, 20, 17, 20, 0, 4.0, 14.0, 18.0, 0, 0, 4, 2, 2, 0, 16, 0, 2, 1, 1, 0, 0.0, 1, 1, 0, 0, 0, 3, 3, 20.0, 70.0, 90.0, 85.0, 75.0, 75.0, 0, 0.0, 20.0, 0.0, 50.0, 25.0, 25.0, 0.0, 0.0, 50.0, 25.0, 50.0, 25.0, 0.0, 0.0, 5.0, 0.0, 1.0, 0.0, 43.0, "Tous les candidats", 60.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 34.0, "24893", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24893&g_ta_cod=24893", 65.0, 10.0, 25.0),
(13320, "Privé sous contrat d'association", "0920897A", "Lycée Notre Dame", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Boulogne-Billancourt", "formation sélective", "BTS", "Lycée Notre Dame - BTS - Services - Commerce International", "BTS - Services", "", 77, 1456, 678, 1003, 0, 404, 45, 300, 48, 57, 19, 242, 453, 69, 126, 52, 206, 517, 40, 0, 0, 244, 13, 205, 25, 12, 4, 56, 409, 66, 31, 45, 21, 1.0, 43.0, 56.0, 0, 11, 53, 23, 23, 7, 13, 0, 14, 33, 5, 1, 0.0, 17, 15, 7, 2, 0, 36, 49, 1.52, 65.15, 84.85, 47.0, 67.890625, 92.5, 3.7998046875, 20.796875, 80.296875, 0.0, 26.3984375, 62.296875, 9.3984375, 1.9, 0.0, 43.3984375, 32.09375, 43.3984375, 28.296875, 13.19921875, 13.19921875, 172.0, 13.0, 20.0, 9.0, 57.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 275.0, "Bacheliers professionnels toutes séries", 12, "Bacheliers technologiques toutes séries", 230, "Liste d'appel propre à cette formation", 52.0, "11046", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11046&g_ta_cod=11046", 48.0, 41.0, 11.0),
(13321, "Public", "0141408E", "Université de Caen Normandie", "14", "Calvados", "Normandie", "Normandie", "Caen", "formation non sélective", "Licence_Las", "Université de Caen Normandie - Licence - Portail Informatique", "Licence - Sciences - technologies - santé", "", 40, 238, 51, 189, 0, 114, 17, 2, 0, 5, 2, 68, 49, 15, 2, 0, 32, 187, 43, 0, 0, 114, 17, 2, 0, 5, 2, 66, 191, 36, 6, 23, 13, 2.0, 19.0, 27.0, 0, 4, 17, 16, 0, 1, 19, 0, 6, 9, 2, 0, 0.0, 10, 0, 1, 0, 0, 13, 13, 5.56, 52.78, 75.0, 16.69921875, 76.5, 76.5, 0, 23.5, 47.1953125, 0.0, 35.296875, 52.8984375, 11.798828125, 0.0, 0.0, 94.09375, 58.796875, 0.0, 0.0, 5.8994140625, 5.8994140625, 102.0, 19.0, 3.0, 1.0, 83.0, "Tous les candidats", 991.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 99.0, "26855", "Licence - Portail Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26854&g_ta_cod=26855", 81.0, 14.0, 6.0),
(13322, "Privé sous contrat d'association", "0450758E", "Lycée Saint-Paul Bourdon Blanc", "45", "Loiret", "Centre-Val de Loire", "Orléans-Tours", "Orléans", "formation sélective", "BTS", "Lycée Saint-Paul Bourdon Blanc - BTS - Services - Communication", "BTS - Services", "", 16, 499, 346, 497, 0, 134, 23, 126, 37, 76, 29, 161, 2, 0, 0, 0, 2, 345, 0, 0, 0, 128, 22, 106, 27, 33, 9, 78, 91, 17, 14, 17, 0, 2.0, 9.0, 12.0, 0, 3, 14, 6, 7, 1, 3, 0, 3, 9, 2, 0, 0.0, 3, 7, 1, 2, 2, 11, 11, 11.76, 52.94, 70.59, 82.390625, 78.59375, 78.59375, 14.298828125, 21.3984375, 82.390625, 0.0, 21.3984375, 64.296875, 14.298828125, 0.0, 0.0, 42.8984375, 21.3984375, 50.0, 50.0, 7.099609375, 7.099609375, 41.0, 5.0, 16.0, 4.0, 17.0, "Tous les candidats sauf les Bac professionnels", 117.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 28.0, "13535", "BTS - Services - Communication", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=13535&g_ta_cod=13535", 53.0, 41.0, 6.0),
(13323, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Portail Humanités - Parcours Cultures des mondes antiques et médiévaux", "Licence - Arts-lettres-langues", "Parcours Cultures des mondes antiques et médiévaux", 40, 330, 202, 258, 0, 141, 39, 17, 8, 9, 7, 91, 72, 13, 3, 2, 54, 257, 69, 0, 0, 141, 39, 17, 8, 9, 7, 90, 231, 37, 20, 15, 22, 5.0, 15.0, 29.0, 0, 7, 14, 10, 3, 1, 23, 0, 7, 3, 4, 0, 0.0, 5, 1, 1, 0, 0, 4, 4, 13.51, 40.54, 78.38, 54.09375, 28.59765625, 28.59765625, 0, 50.0, 37.796875, 0.0, 50.0, 21.3984375, 28.59765625, 0.0, 0.0, 71.390625, 35.6953125, 21.3984375, 7.099609375, 7.099609375, 7.099609375, 99.0, 28.0, 8.0, 6.0, 107.0, "Tous les candidats", 315.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "15183", "Licence - Portail Humanités - Parcours Cultures des mondes antiques et médiévaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28918&g_ta_cod=15183", 70.0, 16.0, 11.0),
(13324, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence_Las", "Université de Paris - Licence - Portail Economie - Sciences Economiques et Sociales", "Licence - Droit-économie-gestion", "Sciences Economiques et Sociales", 6, 681, 405, 681, 0, 413, 119, 20, 6, 13, 7, 235, 0, 0, 0, 0, 0, 669, 0, 0, 0, 413, 119, 20, 6, 13, 7, 223, 60, 6, 5, 6, 0, 0.0, 2.0, 5.0, 0, 0, 6, 6, 0, 0, 0, 0, 2, 1, 2, 1, 0.0, 4, 0, 0, 0, 0, 1, 5, 0.0, 33.33, 83.33, 83.296875, 16.69921875, 83.296875, 0, 0.0, 100.0, 0.0, 33.296875, 16.69921875, 33.296875, 16.7, 0.0, 100.0, 66.6875, 0.0, 0.0, 0.0, 0.0, 60.0, 13.0, 0.0, 0.0, 0.0, "Tous les candidats", 730.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "32337", "Licence - Portail Economie - Sciences Economiques et Sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32336&g_ta_cod=32337", 100.0, 0.0, 0.0),
(13325, "Public", "0290012F", "Lycée Vauban", "29", "Finistère", "Bretagne", "Rennes", "Brest", "formation sélective", "Autre formation", "Lycée Vauban - Mention complémentaire - Mécatronique navale", "Mention complémentaire", "", 12, 63, 5, 63, 0, 1, 0, 0, 0, 50, 10, 12, 0, 0, 0, 0, 0, 49, 0, 0, 0, 0, 0, 0, 0, 49, 9, 0, 37, 8, 0, 8, 0, 1.0, 7.0, 8.0, 0, 1, 8, 0, 0, 8, 0, 0, 2, 4, 2, 0, 0.0, 0, 0, 6, 0, 0, 7, 7, 12.5, 87.5, 100.0, 0.0, 87.5, 87.5, 0, 12.5, 100.0, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 75.0, 0.0, 0.0, 37.0, 7.0, 0.0, "Tous les candidats", 49.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 78.0, "18952", "Mention complémentaire - Mécatronique navale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18952&g_ta_cod=18952", 0.0, 0.0, 100.0),
(13326, "Public", "0521032P", "Lycée Charles De Gaulle", "52", "Haute-Marne", "Grand Est", "Reims", "Chaumont", "formation sélective", "Autre formation", "Lycée Charles De Gaulle - DN MADE - Graphisme - - Spécialité : Signalétiques et scénographies", "DN MADE", "- Spécialité : Signalétiques et scénographies", 15, 206, 136, 206, 0, 51, 15, 49, 13, 37, 11, 69, 0, 0, 0, 0, 0, 142, 0, 0, 0, 41, 12, 45, 11, 20, 2, 36, 70, 15, 11, 15, 0, 4.0, 11.0, 13.0, 0, 3, 12, 5, 4, 3, 3, 0, 3, 6, 2, 1, 0.0, 4, 3, 2, 0, 0, 3, 3, 26.67, 73.33, 86.67, 73.296875, 25.0, 25.0, 0, 25.0, 80.0, 0.0, 25.0, 50.0, 16.69921875, 8.3, 0.0, 41.6953125, 33.296875, 33.296875, 25.0, 25.0, 16.69921875, 24.0, 7.0, 7.0, 1.0, 12.0, "Tous les candidats", 88.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 43.0, "24445", "DN MADE - Graphisme - - Spécialité : Signalétiques et scénographies", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=24445&g_ta_cod=24445", 53.0, 27.0, 20.0),
(13327, "Public", "0850144V", "Lycée agricole Nature", "85", "Vendée", "Pays de la Loire", "Nantes", "La Roche-sur-Yon", "formation sélective", "BTS", "Lycée agricole Nature - BTS - Agricole - Technico-commercial (BTSA)", "BTS - Agricole", "", 27, 122, 58, 108, 0, 5, 1, 17, 4, 39, 10, 47, 14, 1, 3, 3, 7, 66, 9, 0, 0, 5, 1, 17, 4, 39, 10, 5, 67, 15, 6, 12, 2, 5.0, 12.0, 14.0, 0, 4, 15, 0, 2, 13, 0, 0, 9, 4, 2, 0, 0.0, 0, 0, 6, 3, 0, 14, 14, 33.33, 80.0, 93.33, 40.0, 93.296875, 93.296875, 20, 26.69921875, 100.0, 0.0, 60.0, 26.69921875, 13.298828125, 0.0, 0.0, 0.0, 0.0, 13.298828125, 0.0, 86.6875, 40.0, 6.0, 1.0, 33.0, 8.0, 7.0, "Tous les candidats sauf les Bac professionnels", 27.0, "Bacheliers professionnels toutes séries", 39, "", 0, "Liste d'appel propre à cette formation", 61.0, "10512", "BTS - Agricole - Technico-commercial (BTSA)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10512&g_ta_cod=10512", 0.0, 13.0, 87.0),
(13328, "Privé sous contrat d'association", "0480022N", "Lycée ST PIERRE-ST PAUL", "48", "Lozère", "Occitanie", "Montpellier", "Langogne", "formation sélective", "Autre formation", "Lycée ST PIERRE-ST PAUL - DN MADE - Objet - - Spécialité : Transformation du bois et carton packaging", "DN MADE", "- Spécialité : Transformation du bois et carton packaging", 15, 77, 50, 67, 0, 21, 1, 21, 2, 11, 3, 14, 10, 0, 2, 2, 6, 66, 7, 0, 0, 21, 1, 21, 2, 11, 3, 13, 63, 12, 8, 8, 4, 1.0, 8.0, 11.0, 0, 2, 8, 1, 3, 4, 4, 0, 2, 5, 1, 0, 0.0, 1, 1, 4, 0, 0, 3, 3, 8.33, 66.67, 91.67, 66.6875, 37.5, 37.5, 0, 25.0, 66.6875, 0.0, 25.0, 62.5, 12.5, 0.0, 0.0, 12.5, 12.5, 37.5, 12.5, 50.0, 50.0, 18.0, 1.0, 12.0, 4.0, 15.0, "Tous les candidats", 66.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 99.0, "21714", "DN MADE - Objet - - Spécialité : Transformation du bois et carton packaging", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21714&g_ta_cod=21714", 25.0, 33.0, 42.0),
(13329, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation non sélective", "Licence", "Université de Rennes 2 - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - enseignement à distance", "Licence - Arts-lettres-langues", "Anglais - enseignement à distance", 50, 574, 414, 574, 0, 251, 68, 38, 15, 20, 11, 265, 0, 0, 0, 0, 0, 572, 0, 0, 0, 251, 68, 38, 15, 20, 11, 263, 259, 49, 37, 49, 0, 5.0, 42.0, 42.0, 0, 6, 19, 17, 2, 0, 30, 0, 8, 7, 1, 3, 0.0, 10, 1, 0, 0, 0, 11, 11, 10.2, 85.71, 85.71, 75.5, 57.8984375, 57.8984375, 0, 31.59765625, 38.796875, 0.0, 42.09375, 36.796875, 5.2998046875, 15.8, 0.0, 89.5, 52.59375, 10.5, 5.2998046875, 0.0, 0.0, 150.0, 36.0, 1.0, 1.0, 93.0, "Tous les candidats", 393.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 68.0, "26539", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Anglais - enseignement à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26539&g_ta_cod=26539", 84.0, 14.0, 0.0),
(13330, "Public", "0180007K", "Lycée Jacques Coeur", "18", "Cher", "Centre-Val de Loire", "Orléans-Tours", "Bourges", "formation sélective", "BTS", "Lycée Jacques Coeur - BTS - Services - Management en hôtellerie restauration", "BTS - Services", "", 34, 151, 77, 150, 0, 0, 0, 52, 9, 73, 14, 25, 1, 0, 1, 0, 0, 131, 0, 0, 0, 0, 0, 44, 8, 68, 12, 19, 76, 27, 11, 27, 0, 17.0, 25.0, 26.0, 0, 3, 26, 0, 13, 13, 1, 0, 7, 12, 5, 2, 0.0, 0, 8, 11, 13, 6, 25, 25, 62.96, 92.59, 96.3, 40.6953125, 96.1875, 96.1875, 50, 11.5, 96.296875, 0.0, 26.8984375, 46.1953125, 19.19921875, 7.7, 0.0, 0.0, 0.0, 50.0, 30.796875, 50.0, 42.296875, 0.0, 0.0, 39.0, 8.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 63, "Bacheliers technologiques toutes séries", 45, "Liste d'appel propre à cette formation", 80.0, "3099", "BTS - Services - Management en hôtellerie restauration", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3099&g_ta_cod=3099", 0.0, 48.0, 48.0),
(13331, "Public", "0791062A", "Lycée de la Venise Verte", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "CPGE", "Lycée de la Venise Verte - CPGE - ECT - Option technologique - (en 3 ans, destinée aux bacs professionnels)", "Classe préparatoire économique et commerciale", "(en 3 ans, destinée aux bacs professionnels)", 24, 44, 18, 40, 25, 0, 0, 0, 0, 35, 14, 5, 4, 0, 0, 2, 2, 39, 2, 24, 36, 0, 0, 0, 0, 34, 13, 5, 38, 13, 3, 12, 1, 5.0, 12.0, 13.0, 4, 4, 10, 0, 0, 10, 3, 0, 3, 2, 2, 3, 0.0, 0, 0, 7, 0, 0, 2, 2, 38.46, 92.31, 100.0, 23.09765625, 20.0, 20.0, 0, 40.0, 76.890625, 0.0, 30.0, 20.0, 20.0, 30.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 70.0, 0.0, 0.0, 32.0, 12.0, 6.0, "Tous les candidats", 39.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 98.0, "17641", "CPGE - ECT - Option technologique - (en 3 ans, destinée aux bacs professionnels)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17641&g_ta_cod=17641", 0.0, 0.0, 100.0),
(13332, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence_Las", "Institut national universitaire Champollion - Licence - Portail Electronique, énergie électrique, automatique", "Licence - Sciences - technologies - santé", "", 5, 42, 12, 25, 0, 8, 0, 1, 0, 0, 0, 16, 17, 3, 1, 0, 13, 23, 13, 0, 0, 8, 0, 1, 0, 0, 0, 14, 32, 4, 0, 1, 3, 0.0, 1.0, 3.0, 0, 0, 1, 1, 0, 0, 3, 0, 0, 1, 0, 0, 0.0, 1, 0, 0, 0, 0, 1, 1, 0.0, 25.0, 75.0, 0.0, 100.0, 100.0, 0, 0.0, 25.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 10.0, 0.0, 0.0, 0.0, 21.0, "Tous les candidats", 88.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 92.0, "29680", "Licence - Portail Electronique, énergie électrique, automatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29679&g_ta_cod=29680", 75.0, 0.0, 25.0),
(13333, "Public", "0811293R", "Institut national universitaire Champollion", "81", "Tarn", "Occitanie", "Toulouse", "Albi", "formation non sélective", "Licence", "Institut national universitaire Champollion - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 90, 1393, 973, 1393, 0, 960, 174, 49, 12, 11, 6, 373, 0, 0, 0, 0, 0, 1384, 0, 0, 0, 960, 174, 49, 12, 11, 6, 364, 694, 87, 66, 87, 0, 5.0, 63.0, 74.0, 0, 14, 66, 64, 0, 2, 21, 0, 13, 40, 9, 4, 0.0, 52, 0, 1, 0, 0, 63, 63, 5.75, 72.41, 85.06, 75.890625, 95.5, 95.5, 0, 21.19921875, 75.890625, 0.0, 19.69921875, 60.59375, 13.599609375, 6.1, 0.0, 97.0, 78.796875, 0.0, 0.0, 3.0, 1.5, 476.0, 89.0, 3.0, 2.0, 212.0, "Tous les candidats", 1036.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 64.0, "10308", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29687&g_ta_cod=10308", 97.0, 0.0, 3.0),
(13334, "Privé sous contrat d'association", "0492015Z", "LGT privé Sacré-Coeur La Salle", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Angers", "formation sélective", "BTS", "LGT privé Sacré-Coeur La Salle - BTS - Services - Commerce International", "BTS - Services", "", 35, 789, 434, 789, 0, 299, 37, 247, 43, 69, 17, 174, 0, 0, 0, 0, 0, 710, 0, 0, 0, 286, 35, 238, 40, 55, 14, 131, 184, 34, 20, 34, 0, 1.0, 24.0, 32.0, 0, 4, 31, 13, 14, 4, 3, 0, 8, 17, 6, 0, 0.0, 9, 11, 3, 3, 1, 28, 28, 2.94, 70.59, 94.12, 58.796875, 90.296875, 90.296875, 9.69921875, 12.8984375, 91.1875, 0.0, 25.796875, 54.796875, 19.3984375, 0.0, 0.0, 41.8984375, 29.0, 45.1953125, 35.5, 12.8984375, 9.69921875, 86.0, 14.0, 18.0, 6.0, 20.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 195.0, "Bacheliers professionnels toutes séries", 32, "Bacheliers technologiques toutes séries", 99, "Liste d'appel propre à cette formation", 41.0, "5959", "BTS - Services - Commerce International", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5959&g_ta_cod=5959", 44.0, 44.0, 12.0),
(13335, "Public", "0731383G", "Université Savoie Mont Blanc - Bourget-du-Lac", "73", "Savoie", "Auvergne-Rhône-Alpes", "Grenoble", "Le Bourget-du-Lac", "formation non sélective", "Licence_Las", "Université Savoie Mont Blanc - Bourget-du-Lac - Licence - Portail Sciences pour l'ingénieur - Electronique, systèmes embarqués et télécommunications", "Licence - Sciences - technologies - santé", "Electronique, systèmes embarqués et télécommunications", 2, 72, 18, 65, 0, 38, 10, 2, 2, 1, 0, 24, 7, 3, 0, 0, 4, 65, 6, 0, 0, 38, 10, 2, 2, 1, 0, 24, 32, 1, 0, 0, 1, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 20.0, 4.0, 0.0, 0.0, 12.0, "Tous les candidats", 221.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 69.0, "29663", "Licence - Portail Sciences pour l'ingénieur - Electronique, systèmes embarqués et télécommunications", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29662&g_ta_cod=29663", 100.0, 0.0, 0.0),
(13336, "Public", "0440024M", "Lycée général Gabriel Guist'Hau", "44", "Loire-Atlantique", "Pays de la Loire", "Nantes", "Nantes", "formation sélective", "CPGE", "Lycée général Gabriel Guist'Hau - CPGE - B/L - Lettres et sciences sociales", "Classe préparatoire littéraire", "", 48, 1067, 727, 1067, 546, 900, 73, 0, 0, 0, 0, 167, 0, 0, 0, 0, 0, 885, 0, 546, 775, 829, 65, 0, 0, 0, 0, 56, 343, 50, 40, 50, 0, 0.0, 29.0, 49.0, 12, 4, 49, 49, 0, 0, 1, 1, 0, 1, 9, 35, 3.0, 48, 0, 0, 1, 0, 22, 22, 0.0, 58.0, 98.0, 80.0, 44.8984375, 44.8984375, 2, 8.19921875, 98.0, 2.0, 0.0, 2.0, 18.3984375, 71.4, 6.1, 100.0, 98.0, 0.0, 0.0, 0.0, 0.0, 337.0, 24.0, 0.0, 0.0, 6.0, "Tous les candidats", 588.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 55.0, "5429", "CPGE - B/L - Lettres et sciences sociales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5429&g_ta_cod=5429", 100.0, 0.0, 0.0),
(13337, "Public", "3500005D", "Lycée français Descartes", "99", "Etranger", "Etranger", "Etranger", "Rabat", "formation sélective", "CPGE", "Lycée français Descartes - CPGE - ECG", "Classe préparatoire économique et commerciale", "", 20, 116, 63, 113, 0, 86, 4, 1, 0, 0, 0, 26, 3, 1, 1, 0, 1, 76, 0, 0, 76, 72, 3, 0, 0, 0, 0, 4, 64, 2, 0, 2, 0, 1.0, 2.0, 2.0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0.0, 1, 0, 0, 0, 0, 0, 0, 50.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0, 0.0, 50.0, 0.0, 0.0, 0.0, 100.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 61.0, 3.0, 0.0, 0.0, 3.0, "Tous les candidats", 75.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 66.0, "32547", "CPGE - ECG", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32547&g_ta_cod=32547", 100.0, 0.0, 0.0),
(13338, "Public", "0331766R", "Université Bordeaux Montaigne", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Pessac", "formation non sélective", "Licence", "Université Bordeaux Montaigne - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Anglais - Enseignement dispensé à distance", "Licence - Arts-lettres-langues", "Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Anglais - Enseignement dispensé à distance", 60, 734, 503, 715, 0, 324, 89, 41, 12, 15, 7, 335, 19, 3, 1, 0, 15, 699, 18, 0, 0, 324, 89, 41, 12, 15, 7, 319, 386, 58, 38, 46, 12, 17.0, 35.0, 40.0, 0, 7, 21, 16, 3, 2, 37, 0, 10, 6, 4, 1, 0.0, 9, 0, 2, 0, 0, 12, 12, 29.31, 60.34, 68.97, 65.5, 57.09375, 57.09375, 0, 33.296875, 36.1953125, 0.0, 47.59375, 28.59765625, 19.0, 4.8, 0.0, 76.1875, 42.8984375, 14.298828125, 0.0, 9.5, 9.5, 200.0, 47.0, 11.0, 5.0, 149.0, "Tous les candidats", 574.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 80.0, "23352", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Licence 1 LLCER - Langues, littératures & civilisations étrangères et régionales : Anglais - Enseignement dispensé à distance", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23352&g_ta_cod=23352", 74.0, 12.0, 14.0),
(13339, "Privé sous contrat d'association", "0133396W", "Lycée Don Bosco", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "BTS", "Lycée Don Bosco - BTS - Production - Electrotechnique", "BTS - Production", "", 15, 137, 6, 118, 0, 7, 2, 27, 2, 54, 22, 30, 19, 2, 7, 0, 10, 85, 8, 0, 0, 7, 2, 23, 0, 44, 18, 11, 66, 13, 0, 13, 0, 8.0, 10.0, 13.0, 0, 5, 11, 2, 1, 8, 2, 0, 5, 4, 2, 0, 0.0, 0, 0, 6, 7, 0, 10, 10, 61.54, 76.92, 100.0, 0.0, 90.890625, 90.890625, 63.59375, 45.5, 84.59375, 0.0, 45.5, 36.3984375, 18.19921875, 0.0, 0.0, 18.19921875, 0.0, 9.099609375, 0.0, 72.6875, 54.5, 7.0, 2.0, 26.0, 10.0, 15.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 10.0, "Bacheliers professionnels toutes séries", 35, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 63.0, "2802", "BTS - Production - Electrotechnique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2802&g_ta_cod=2802", 23.0, 15.0, 62.0),
(13340, "Public", "0221036G", "I.U.T de Lannion", "22", "Côtes-d'armor", "Bretagne", "Rennes", "Lannion", "formation sélective", "BUT", "I.U.T de Lannion - BUT - Métiers du multimédia et de l'internet Parcours : Développement web et dispositifs interactifs  - Stratégie de communication numérique et design d'expérience (Seconde année possible en apprentissage)", "BUT - Production", "Développement web et dispositifs interactifs  - Stratégie de communication numérique et design d'expérience", 56, 661, 187, 661, 0, 323, 37, 187, 32, 9, 2, 142, 0, 0, 0, 0, 0, 444, 0, 0, 0, 238, 26, 130, 25, 1, 1, 75, 148, 56, 18, 56, 0, 15.0, 51.0, 54.0, 0, 7, 51, 27, 24, 0, 5, 0, 7, 29, 15, 0, 0.0, 23, 21, 0, 0, 0, 42, 42, 26.79, 91.07, 96.43, 32.09375, 82.390625, 82.390625, 0, 13.69921875, 91.09375, 0.0, 13.69921875, 56.8984375, 29.3984375, 0.0, 0.0, 52.8984375, 45.09375, 47.09375, 41.1953125, 0.0, 0.0, 64.0, 7.0, 1.0, 1.0, 16.0, "Tous les candidats sauf les Bac technologiques", 81.0, "Bacheliers technologiques toutes séries", 92, "", 0, "Liste d'appel propre à cette formation", 26.0, "28592", "BUT - Métiers du multimédia et de l'internet Parcours : Développement web et dispositifs interactifs  - Stratégie de communication numérique et design d'expérience (Seconde année possible en apprentissage)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28592&g_ta_cod=28592", 50.0, 50.0, 0.0),
(13341, "Public", "0260006R", "Lycée F.J. Armorin", "26", "Drôme", "Auvergne-Rhône-Alpes", "Grenoble", "Crest", "formation sélective", "Autre formation", "Lycée F.J. Armorin - Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "Mention complémentaire", "", 11, 40, 11, 26, 0, 5, 1, 7, 0, 6, 2, 8, 14, 2, 1, 3, 8, 26, 1, 0, 0, 5, 1, 7, 0, 6, 2, 8, 34, 8, 3, 6, 1, 4.0, 6.0, 6.0, 0, 0, 5, 1, 0, 4, 3, 1, 1, 3, 0, 0, 0.0, 0, 0, 3, 0, 0, 5, 5, 50.0, 75.0, 75.0, 37.5, 100.0, 100.0, 0, 0.0, 62.5, 20.0, 20.0, 60.0, 0.0, 0.0, 0.0, 20.0, 0.0, 0.0, 0.0, 80.0, 60.0, 6.0, 1.0, 8.0, 2.0, 12.0, "Tous les candidats", 26.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "32472", "Mention complémentaire - Animation-gestion de projets dans le secteur sportif", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32472&g_ta_cod=32472", 25.0, 0.0, 75.0),
(13342, "Public", "0875098U", "CREPS de Poitiers - Antenne de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation sélective", "Autre formation", "Centre de Ressources, d'Expertise et de Performance Sportive de Poitiers (CREPS) - BPJEPS - Activités physiques pour tous", "BPJEPS", "", 7, 380, 90, 380, 0, 90, 15, 91, 20, 78, 23, 121, 0, 0, 0, 0, 0, 71, 0, 0, 0, 22, 3, 18, 3, 10, 0, 21, 31, 5, 2, 5, 0, 0.0, 4.0, 4.0, 0, 0, 3, 2, 1, 0, 2, 0, 2, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 0, 0.0, 80.0, 80.0, 40.0, 0.0, 0.0, 0, 0.0, 60.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 0.0, 33.296875, 33.296875, 0.0, 0.0, 7.0, 1.0, 4.0, 0.0, 11.0, "Tous les candidats", 42.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 8.0, "27666", "BPJEPS - Activités physiques pour tous", "Centre de Ressources, d'Expertise et de Performance Sportive de Poitiers (CREPS)", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23547&g_ta_cod=27666", 60.0, 20.0, 20.0),
(13343, "Public", "0772346G", "I.U.T. de Sénart/Fontainebleau - site de Fontainebleau - UPEC", "77", "Seine-et-Marne", "Ile-de-France", "Créteil", "Fontainebleau", "formation sélective", "BUT", "I.U.T. de Sénart/Fontainebleau - site de Fontainebleau - UPEC - BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et Management du point de vente - Business développement et Management de la relation client - Stratégie de marque et événementiel", "BUT - Service", "Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et Management du point de vente - Business développement et Management de la relation client - Stratégie de marque et événementiel", 28, 1538, 834, 1212, 0, 659, 129, 335, 77, 18, 8, 200, 326, 0, 238, 0, 88, 345, 5, 0, 0, 259, 38, 53, 7, 2, 2, 31, 140, 27, 20, 23, 2, 4.0, 19.0, 22.0, 0, 4, 25, 12, 13, 0, 2, 0, 1, 12, 10, 2, 0.0, 12, 12, 0, 0, 0, 19, 20, 14.81, 70.37, 81.48, 74.09375, 76.0, 80.0, 0, 16.0, 92.59375, 0.0, 4.0, 48.0, 40.0, 8.0, 0.0, 48.0, 48.0, 52.0, 48.0, 0.0, 0.0, 73.0, 16.0, 0.0, 0.0, 12.0, "Tous les candidats sauf les Bac technologiques", 135.0, "Bacheliers technologiques toutes séries", 54, "", 0, "Liste d'appel propre à cette formation", 16.0, "9891", "BUT - Techniques de commercialisation Parcours : Marketing digital, e-business et entrepreneuriat - Business international : achat et vente - Marketing et Management du point de vente - Business développement et Management de la relation client - Stratégie de marque et événementiel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9891&g_ta_cod=9891", 52.0, 48.0, 0.0),
(13344, "Public", "9740478B", "Université de La Réunion - Saint Denis", "974", "La Réunion", "La Réunion", "La Réunion", "Saint-Denis", "formation non sélective", "Licence", "Université de La Réunion - Saint Denis - Licence - Portail Mathématiques", "Licence - Sciences - technologies - santé", "", 86, 496, 173, 450, 0, 348, 109, 23, 15, 1, 1, 78, 46, 5, 2, 1, 38, 450, 46, 0, 0, 348, 109, 23, 15, 1, 1, 78, 376, 64, 18, 42, 22, 4.0, 39.0, 49.0, 0, 14, 34, 30, 4, 0, 30, 0, 7, 14, 7, 5, 1.0, 26, 1, 0, 0, 0, 32, 32, 6.25, 60.94, 76.56, 28.09765625, 94.09375, 94.09375, 0, 41.1953125, 53.09375, 0.0, 20.59765625, 41.1953125, 20.59765625, 14.7, 2.9, 88.1875, 76.5, 11.798828125, 2.89990234375, 0.0, 0.0, 263.0, 83.0, 1.0, 1.0, 102.0, "Tous les candidats", 488.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "26387", "Licence - Portail Mathématiques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30771&g_ta_cod=26387", 83.0, 17.0, 0.0),
(13345, "Public", "0692437Z", "Université Jean Moulin Lyon 3", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "Licence", "Université Jean Moulin Lyon 3 - Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Arabe et Gestion parcours Techniques quantitatives et management (TQM)", "Licence - Arts-lettres-langues", "Double Licence Langues Etrangères Appliquées Anglais-Arabe et Gestion parcours Techniques quantitatives et management (TQM)", 5, 74, 58, 74, 0, 36, 18, 9, 7, 5, 4, 24, 0, 0, 0, 0, 0, 74, 0, 0, 0, 36, 18, 9, 7, 5, 4, 24, 29, 6, 5, 6, 0, 0.0, 4.0, 6.0, 0, 2, 5, 4, 1, 0, 1, 0, 3, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 4, 4, 0.0, 66.67, 100.0, 83.296875, 80.0, 80.0, 0, 40.0, 83.296875, 0.0, 60.0, 40.0, 0.0, 0.0, 0.0, 80.0, 20.0, 20.0, 20.0, 0.0, 0.0, 20.0, 10.0, 1.0, 1.0, 7.0, "Tous les candidats", 40.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 54.0, "8516", "Double licence - Langues étrangères appliquées / Gestion - Double Licence Langues Etrangères Appliquées Anglais-Arabe et Gestion parcours Techniques quantitatives et management (TQM)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8516&g_ta_cod=8516", 83.0, 17.0, 0.0),
(13346, "Privé enseignement supérieur", "0593199G", "Institut Social de Lille - Institut Catholique de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "EFTS", "Institut Social de Lille - Institut Catholique de Lille - D.E Assistant de Service Social", "D.E secteur social", "", 89, 173, 156, 123, 0, 30, 7, 35, 8, 8, 2, 50, 50, 6, 4, 6, 34, 95, 29, 0, 0, 25, 5, 24, 3, 4, 1, 42, 124, 78, 72, 52, 26, 50.0, 52.0, 61.0, 0, 5, 41, 18, 17, 6, 37, 0, 11, 22, 8, 0, 0.0, 13, 11, 6, 0, 0, 33, 33, 64.1, 66.67, 78.21, 92.296875, 80.5, 80.5, 0, 12.19921875, 52.59375, 0.0, 26.796875, 53.6953125, 19.5, 0.0, 0.0, 43.8984375, 31.69921875, 41.5, 26.796875, 14.599609375, 14.599609375, 29.0, 7.0, 6.0, 1.0, 62.0, "Tous les candidats", 103.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 77.0, "25231", "D.E Assistant de Service Social", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23726&g_ta_cod=25231", 45.0, 41.0, 13.0),
(13347, "Public", "0760095R", "Lycée Blaise Pascal", "76", "Seine-Maritime", "Normandie", "Normandie", "Rouen", "formation sélective", "CPGE", "Lycée Blaise Pascal - CPGE - PTSI", "Classe préparatoire scientifique", "", 48, 565, 139, 559, 325, 404, 48, 4, 2, 1, 1, 150, 6, 0, 1, 0, 5, 417, 2, 109, 410, 380, 42, 0, 0, 0, 0, 37, 295, 48, 9, 46, 2, 24.0, 39.0, 45.0, 5, 4, 46, 46, 0, 0, 2, 2, 2, 15, 23, 4, 0.0, 42, 0, 0, 2, 1, 45, 45, 50.0, 81.25, 93.75, 18.796875, 97.796875, 97.796875, 4.2998046875, 8.69921875, 95.796875, 4.2998046875, 4.2998046875, 32.59375, 50.0, 8.7, 0.0, 100.0, 91.296875, 0.0, 0.0, 0.0, 0.0, 269.0, 30.0, 0.0, 0.0, 26.0, "Tous les candidats", 400.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 72.0, "9601", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9601&g_ta_cod=9601", 100.0, 0.0, 0.0),
(13348, "Public", "0241137F", "Lycée Jay De Beaufort", "24", "Dordogne", "Nouvelle-Aquitaine", "Bordeaux", "Périgueux", "formation sélective", "Autre formation", "Lycée Jay De Beaufort - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 28, 445, 343, 445, 0, 62, 7, 200, 56, 9, 1, 174, 0, 0, 0, 0, 0, 165, 0, 0, 0, 31, 2, 83, 17, 0, 0, 51, 93, 27, 18, 27, 0, 5.0, 20.0, 25.0, 0, 3, 24, 6, 18, 0, 3, 0, 4, 13, 7, 0, 0.0, 5, 15, 0, 0, 0, 17, 17, 18.52, 74.07, 92.59, 66.6875, 70.796875, 70.796875, 0, 12.5, 88.890625, 0.0, 16.69921875, 54.1953125, 29.19921875, 0.0, 0.0, 25.0, 20.796875, 75.0, 62.5, 0.0, 0.0, 21.0, 2.0, 0.0, 0.0, 25.0, "Tous les candidats", 110.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "3441", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3441&g_ta_cod=3441", 22.0, 78.0, 0.0),
(13349, "Public", "0370800U", "Université de Tours", "37", "Indre-et-Loire", "Centre-Val de Loire", "Orléans-Tours", "Tours", "formation non sélective", "Licence", "Université de Tours - Licence - Gestion - Parcours Expérience en entreprise", "Licence - Droit-économie-gestion", "Expérience en entreprise", 30, 740, 373, 740, 0, 499, 85, 66, 22, 16, 10, 159, 0, 0, 0, 0, 0, 733, 0, 0, 0, 499, 85, 66, 22, 16, 10, 152, 115, 30, 17, 30, 0, 3.0, 25.0, 28.0, 0, 4, 30, 30, 0, 0, 0, 0, 6, 14, 6, 4, 0.0, 24, 0, 0, 0, 0, 29, 29, 10.0, 83.33, 93.33, 56.6953125, 96.6875, 96.6875, 0, 13.298828125, 100.0, 0.0, 20.0, 46.6953125, 20.0, 13.3, 0.0, 100.0, 80.0, 0.0, 0.0, 0.0, 0.0, 114.0, 15.0, 0.0, 0.0, 1.0, "Tous les candidats", 160.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 22.0, "23712", "Licence - Gestion - Parcours Expérience en entreprise", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23712&g_ta_cod=23712", 100.0, 0.0, 0.0),
(13350, "Public", "0350937D", "Université de Rennes 2", "35", "Ille-et-Vilaine", "Bretagne", "Rennes", "Rennes", "formation sélective", "Autre formation", "Université de Rennes 2 - DEUST - Métiers du livre", "DEUST", "", 18, 330, 263, 330, 0, 129, 25, 18, 4, 19, 7, 164, 0, 0, 0, 0, 0, 104, 0, 0, 0, 46, 8, 5, 1, 4, 2, 49, 37, 18, 15, 18, 0, 7.0, 15.0, 16.0, 0, 1, 12, 11, 1, 0, 6, 0, 4, 4, 4, 0, 0.0, 7, 1, 0, 0, 0, 3, 3, 38.89, 83.33, 88.89, 83.296875, 25.0, 25.0, 0, 8.298828125, 66.6875, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 91.6875, 58.296875, 8.298828125, 8.298828125, 0.0, 0.0, 18.0, 3.0, 1.0, 1.0, 16.0, "Tous les candidats", 43.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 13.0, "4726", "DEUST - Métiers du livre", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4726&g_ta_cod=4726", 94.0, 6.0, 0.0),
(13351, "Privé sous contrat d'association", "0131403E", "Lycée St Vincent De Paul", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Marseille  6e  Arrondissement", "formation sélective", "Autre formation", "Lycée St Vincent De Paul - DTS Imagerie médicale et radiologie thérapeutique", "D.E secteur sanitaire", "", 32, 662, 474, 662, 0, 102, 26, 166, 60, 15, 6, 379, 0, 0, 0, 0, 0, 272, 0, 0, 0, 48, 12, 67, 23, 0, 0, 157, 134, 32, 22, 32, 0, 2.0, 16.0, 26.0, 0, 5, 18, 3, 15, 0, 14, 0, 0, 14, 3, 1, 0.0, 3, 15, 0, 0, 0, 17, 17, 6.25, 50.0, 81.25, 68.796875, 94.390625, 94.390625, 0, 27.796875, 56.296875, 0.0, 0.0, 77.796875, 16.69921875, 5.6, 0.0, 16.69921875, 16.69921875, 83.296875, 83.296875, 0.0, 0.0, 28.0, 4.0, 0.0, 0.0, 77.0, "Tous les candidats", 167.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 25.0, "2647", "DTS Imagerie médicale et radiologie thérapeutique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2647&g_ta_cod=2647", 34.0, 66.0, 0.0),
(13352, "Public", "0755976N", "Université de Paris", "75", "Paris", "Ile-de-France", "Paris", "Paris  6e  Arrondissement", "formation non sélective", "Licence", "Université de Paris - Licence - Portail Sciences du langage", "Licence - Sciences humaines et sociales", "", 155, 709, 609, 530, 0, 290, 53, 10, 5, 3, 1, 227, 179, 57, 13, 0, 109, 530, 170, 0, 0, 290, 53, 10, 5, 3, 1, 227, 638, 153, 133, 81, 72, 9.0, 80.0, 131.0, 0, 14, 67, 59, 8, 0, 86, 1, 37, 23, 4, 2, 0.0, 27, 2, 0, 0, 0, 10, 60, 5.88, 52.29, 85.62, 86.890625, 14.8984375, 89.59375, 0, 20.8984375, 43.796875, 1.5, 55.1953125, 34.296875, 6.0, 3.0, 0.0, 88.09375, 40.296875, 11.8984375, 3.0, 0.0, 0.0, 316.0, 58.0, 2.0, 1.0, 299.0, "Tous les candidats", 647.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "9317", "Licence - Portail Sciences du langage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28351&g_ta_cod=9317", 76.0, 16.0, 8.0),
(13353, "Public", "0640080P", "Lycée des métiers Moliere", "64", "Pyrénées-Atlantiques", "Nouvelle-Aquitaine", "Bordeaux", "Orthez", "formation sélective", "Autre formation", "Lycée des métiers Moliere - Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "Mention complémentaire", "", 12, 31, 0, 31, 0, 0, 0, 0, 0, 28, 8, 3, 0, 0, 0, 0, 0, 31, 0, 0, 0, 0, 0, 0, 0, 28, 8, 3, 26, 11, 0, 11, 0, 8.0, 11.0, 11.0, 0, 5, 10, 0, 0, 10, 1, 0, 4, 4, 1, 1, 0.0, 0, 0, 6, 0, 0, 9, 9, 72.73, 100.0, 100.0, 0.0, 90.0, 90.0, 0, 50.0, 90.890625, 0.0, 40.0, 40.0, 10.0, 10.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 60.0, 0.0, 0.0, 25.0, 7.0, 1.0, "Tous les candidats", 31.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "19690", "Mention complémentaire - Technicien en énergies renouvelables (option énergie électrique)", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19690&g_ta_cod=19690", 0.0, 0.0, 100.0),
(13354, "Public", "0750647W", "Lycée Turgot", "75", "Paris", "Ile-de-France", "Paris", "Paris  3e  Arrondissement", "formation sélective", "CPGE", "Lycée Turgot - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 48, 862, 447, 862, 166, 0, 0, 818, 244, 0, 0, 44, 0, 0, 0, 0, 0, 399, 0, 128, 321, 0, 0, 391, 137, 0, 0, 8, 170, 48, 32, 48, 0, 17.0, 47.0, 48.0, 2, 16, 48, 0, 48, 0, 0, 0, 0, 9, 26, 13, 0.0, 0, 48, 0, 0, 0, 10, 40, 35.42, 97.92, 100.0, 66.6875, 20.796875, 83.296875, 0, 33.296875, 100.0, 0.0, 0.0, 18.796875, 54.1953125, 27.1, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, "Tous les candidats", 244.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 28.0, "8947", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8947&g_ta_cod=8947", 0.0, 100.0, 0.0),
(13355, "Public", "9730421V", "Lycée polyvalent Leopold Elfort", "973", "Guyane", "Guyane", "Guyane", "Mana", "formation sélective", "BTS", "Lycée polyvalent Leopold Elfort - BTS - Services - Gestion des transports et logistique associée", "BTS - Services", "", 16, 116, 44, 93, 0, 7, 3, 14, 7, 50, 41, 22, 23, 2, 2, 8, 11, 20, 7, 0, 0, 4, 3, 8, 3, 8, 6, 0, 28, 8, 5, 7, 1, 6.0, 7.0, 8.0, 0, 5, 7, 1, 2, 4, 1, 1, 1, 3, 2, 0, 0.0, 0, 1, 4, 4, 2, 7, 7, 75.0, 87.5, 100.0, 62.5, 100.0, 100.0, 57.09375, 71.390625, 87.5, 14.298828125, 14.298828125, 42.8984375, 28.59765625, 0.0, 0.0, 14.298828125, 0.0, 28.59765625, 14.298828125, 57.09375, 57.09375, 5.0, 3.0, 13.0, 8.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 4.0, "Bacheliers technologiques toutes séries", 6, "Bacheliers professionnels toutes séries", 8, "Liste d'appel propre à cette formation", 19.0, "20862", "BTS - Services - Gestion des transports et logistique associée", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20862&g_ta_cod=20862", 13.0, 25.0, 63.0),
(13356, "Public", "0870669E", "Université de Limoges", "87", "Haute-Vienne", "Nouvelle-Aquitaine", "Limoges", "Limoges", "formation non sélective", "Licence_Las", "Université de Limoges - Licence - Portail Sociologie", "Licence - Sciences humaines et sociales", "", 18, 277, 218, 263, 0, 103, 33, 41, 20, 12, 6, 107, 14, 5, 1, 1, 7, 263, 14, 0, 0, 103, 33, 41, 20, 12, 6, 107, 139, 18, 14, 12, 6, 0.0, 6.0, 10.0, 0, 2, 9, 6, 2, 1, 9, 0, 6, 3, 0, 0, 0.0, 3, 0, 0, 0, 0, 4, 4, 0.0, 33.33, 55.56, 77.796875, 44.3984375, 44.3984375, 0, 22.19921875, 50.0, 0.0, 66.6875, 33.296875, 0.0, 0.0, 0.0, 66.6875, 33.296875, 22.19921875, 0.0, 11.099609375, 0.0, 62.0, 13.0, 1.0, 1.0, 69.0, "Tous les candidats", 670.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 76.0, "32138", "Licence - Portail Sociologie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=32137&g_ta_cod=32138", 67.0, 17.0, 6.0),
(13357, "Public", "0830923C", "Lycée Paul Langevin", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "La Seyne-sur-Mer", "formation sélective", "BTS", "Lycée Paul Langevin - BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants - Parcours Marine Nationale / Maistrance - Défense", "BTS - Production", "Parcours Marine Nationale / Maistrance - Défense", 6, 82, 10, 72, 0, 6, 0, 21, 5, 30, 12, 15, 10, 0, 4, 2, 4, 18, 2, 0, 0, 3, 0, 8, 4, 7, 1, 0, 12, 4, 0, 3, 1, 1.0, 3.0, 3.0, 0, 1, 4, 1, 2, 1, 0, 0, 3, 0, 1, 0, 0.0, 0, 0, 1, 1, 0, 3, 3, 25.0, 75.0, 75.0, 0.0, 75.0, 75.0, 25, 25.0, 100.0, 0.0, 75.0, 0.0, 25.0, 0.0, 0.0, 25.0, 0.0, 50.0, 0.0, 25.0, 25.0, 3.0, 0.0, 4.0, 1.0, 1.0, "Tous les candidats", 14.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 19.0, "10375", "BTS - Production - Fluide, énergie, domotique - option C domotique et bâtiment communicants - Parcours Marine Nationale / Maistrance - Défense", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10375&g_ta_cod=10375", 25.0, 50.0, 25.0),
(13358, "Public", "0590337W", "Ecole Nationale Supérieure d'Architecture et de Paysage de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Villeneuve-d'Ascq", "formation sélective", "Autre formation", "Ecole Nationale Supérieure d'Architecture et de Paysage de Lille - Paysage", "Formations Bac + 5", "", 30, 384, 196, 384, 0, 220, 32, 38, 13, 6, 2, 120, 0, 0, 0, 0, 0, 213, 0, 0, 0, 127, 14, 17, 2, 4, 1, 65, 98, 36, 19, 36, 0, 5.0, 34.0, 35.0, 0, 5, 25, 21, 4, 0, 11, 0, 0, 11, 11, 3, 0.0, 21, 4, 0, 0, 0, 8, 8, 13.89, 94.44, 97.22, 52.796875, 32.0, 32.0, 0, 20.0, 69.390625, 0.0, 0.0, 44.0, 44.0, 12.0, 0.0, 84.0, 84.0, 16.0, 16.0, 0.0, 0.0, 68.0, 8.0, 1.0, 1.0, 21.0, "Tous les candidats", 123.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "16850", "Paysage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=16850&g_ta_cod=16850", 81.0, 17.0, 3.0),
(13359, "Public", "0120006S", "Lycée La Découverte", "12", "Aveyron", "Occitanie", "Toulouse", "Decazeville", "formation sélective", "BTS", "Lycée La Découverte - BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "BTS - Production", "", 6, 28, 4, 26, 0, 0, 0, 1, 0, 13, 7, 12, 2, 0, 0, 0, 2, 14, 2, 0, 0, 0, 0, 1, 0, 13, 7, 0, 15, 4, 1, 2, 2, 2.0, 2.0, 4.0, 0, 2, 2, 0, 0, 2, 2, 0, 1, 1, 0, 0, 0.0, 0, 0, 1, 2, 0, 2, 2, 50.0, 50.0, 100.0, 25.0, 100.0, 100.0, 100, 100.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 100.0, 50.0, 0.0, 0.0, 12.0, 7.0, 2.0, "Tous les candidats sauf les Bac professionnels", 1.0, "Bacheliers professionnels toutes séries", 13, "", 0, "Liste d'appel propre à cette formation", 54.0, "2482", "BTS - Production - Europlastics et composites à référentiel commun européen - option Pilotage et Optimisation de la production", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2482&g_ta_cod=2482", 25.0, 25.0, 50.0),
(13360, "Public", "0133794D", "Aix Marseille Université - Site d'Aix-en-Provence (Centre Ville)", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Aix-en-Provence", "formation non sélective", "Licence", "Aix Marseille Université - Site d'Aix-en-Provence (Centre Ville) - Licence - Administration publique - Parcours Management Public", "Licence - Droit-économie-gestion", "Management Public", 105, 974, 581, 974, 0, 597, 162, 135, 67, 9, 5, 233, 0, 0, 0, 0, 0, 974, 0, 0, 0, 597, 162, 135, 67, 9, 5, 233, 583, 99, 51, 99, 0, 28.0, 91.0, 94.0, 0, 18, 75, 64, 8, 3, 24, 1, 26, 31, 12, 5, 0.0, 43, 2, 3, 0, 0, 57, 57, 28.28, 91.92, 94.95, 51.5, 76.0, 76.0, 0, 24.0, 75.796875, 1.2998046875, 34.6953125, 41.296875, 16.0, 6.7, 0.0, 85.296875, 57.296875, 10.69921875, 2.69970703125, 4.0, 4.0, 442.0, 108.0, 4.0, 2.0, 88.0, "Tous les candidats", 745.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 76.0, "12539", "Licence - Administration publique - Parcours Management Public", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=12539&g_ta_cod=12539", 83.0, 14.0, 3.0),
(13361, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation non sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Informatique", "Licence - Sciences - technologies - santé", "", 60, 641, 58, 640, 0, 426, 93, 57, 25, 3, 3, 154, 1, 0, 0, 0, 1, 630, 1, 0, 0, 426, 93, 57, 25, 3, 3, 144, 301, 59, 3, 58, 1, 19.0, 51.0, 52.0, 0, 10, 41, 39, 2, 0, 18, 0, 11, 16, 12, 0, 2.0, 30, 0, 0, 0, 0, 40, 40, 32.2, 86.44, 88.14, 5.099609375, 97.59375, 97.59375, 0, 24.3984375, 69.5, 0.0, 26.796875, 39.0, 29.296875, 0.0, 4.9, 95.09375, 73.1875, 4.8994140625, 0.0, 0.0, 0.0, 220.0, 50.0, 0.0, 0.0, 65.0, "Tous les candidats", 402.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 63.0, "7002", "Licence - Informatique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7002&g_ta_cod=7002", 95.0, 5.0, 0.0),
(13362, "Privé sous contrat d'association", "0490886X", "Lycée professionnel LA PROVIDENCE", "49", "Maine-et-Loire", "Pays de la Loire", "Nantes", "Cholet", "formation sélective", "BTS", "Lycée professionnel LA PROVIDENCE - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 18, 190, 83, 176, 0, 35, 6, 53, 9, 28, 9, 60, 14, 0, 2, 4, 8, 176, 3, 0, 0, 35, 6, 53, 9, 28, 9, 60, 88, 18, 6, 16, 2, 1.0, 14.0, 16.0, 0, 3, 7, 1, 1, 5, 11, 0, 4, 2, 1, 0, 0.0, 1, 0, 2, 2, 0, 6, 6, 5.56, 77.78, 88.89, 33.296875, 85.6875, 85.6875, 28.59765625, 42.8984375, 38.8984375, 0.0, 57.09375, 28.59765625, 14.298828125, 0.0, 0.0, 14.298828125, 14.298828125, 14.298828125, 0.0, 71.390625, 28.59765625, 25.0, 6.0, 22.0, 8.0, 18.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 45.0, "Bacheliers professionnels toutes séries", 29, "Bacheliers technologiques toutes séries", 58, "Liste d'appel propre à cette formation", 75.0, "5904", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5904&g_ta_cod=5904", 44.0, 22.0, 33.0),
(13363, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence_Las", "Université de Bourgogne - site de Dijon - Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "Licence - Sciences - technologies - santé", "", 36, 1545, 618, 1545, 0, 1090, 132, 105, 19, 22, 4, 328, 0, 0, 0, 0, 0, 1536, 0, 0, 0, 1090, 132, 105, 19, 22, 4, 319, 149, 36, 14, 36, 0, 8.0, 26.0, 29.0, 0, 7, 31, 29, 2, 0, 5, 0, 8, 11, 11, 1, 0.0, 22, 1, 0, 0, 0, 29, 29, 22.22, 72.22, 80.56, 38.8984375, 93.5, 93.5, 0, 22.59765625, 86.09375, 0.0, 25.796875, 35.5, 35.5, 3.2, 0.0, 93.5, 71.0, 6.5, 3.19970703125, 0.0, 0.0, 72.0, 14.0, 0.0, 0.0, 72.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 14.0, "27644", "Licence - Portail Sciences et Techniques des Activités Physiques et Sportives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27643&g_ta_cod=27644", 92.0, 6.0, 3.0),
(13364, "Privé sous contrat d'association", "0693623N", "CPE Lyon", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Villeurbanne", "formation sélective", "Ecole d'Ingénieur", "Concours Puissance Alpha - Formation d'ingénieur Bac + 5 - Bac +1/+2", "Formations  des écoles d'ingénieurs", "Bac +1/+2", 6, 286, 138, 286, 0, 1, 0, 0, 0, 0, 0, 285, 0, 0, 0, 0, 0, 185, 0, 0, 0, 1, 0, 0, 0, 0, 0, 184, 58, 2, 0, 2, 0, 0.0, 0.0, 1.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 50.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 58.0, "", 0, "", 0, "", 0, "Liste d'appel propre à cette formation", 24.0, "22851", "Formation d'ingénieur Bac + 5 - Bac +1/+2", "Concours Puissance Alpha", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=22816&g_ta_cod=22851", 100.0, 0.0, 0.0),
(13365, "Privé sous contrat d'association", "0624064F", "AFERTES", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Arras", "formation sélective", "EFTS", "AFERTES - D.E Educateur Spécialisé", "D.E secteur social", "", 40, 195, 158, 195, 0, 36, 8, 37, 9, 15, 5, 107, 0, 0, 0, 0, 0, 128, 0, 0, 0, 18, 5, 22, 6, 6, 2, 82, 59, 40, 33, 40, 0, 25.0, 37.0, 38.0, 0, 3, 9, 6, 3, 0, 31, 0, 3, 3, 3, 0, 0.0, 5, 1, 0, 0, 0, 9, 9, 62.5, 92.5, 95.0, 82.5, 100.0, 100.0, 0, 33.296875, 22.5, 0.0, 33.296875, 33.296875, 33.296875, 0.0, 0.0, 66.6875, 55.59375, 33.296875, 11.099609375, 0.0, 0.0, 8.0, 3.0, 2.0, 2.0, 43.0, "Tous les candidats", 61.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 31.0, "23496", "D.E Educateur Spécialisé", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=23496&g_ta_cod=23496", 68.0, 20.0, 13.0),
(13366, "Public", "0597132G", "Université Polytechnique Hauts-de-France", "59", "Nord", "Hauts-de-France", "Lille", "Valenciennes", "formation sélective", "Licence", "Université Polytechnique Hauts-de-France - Licence - Sciences et technologies - Parcours Audiovisuel et Médias Numériques", "Licence - Sciences - technologies - santé", "Audiovisuel et Médias Numériques", 48, 441, 89, 361, 0, 238, 30, 17, 1, 3, 1, 103, 80, 27, 4, 1, 48, 110, 25, 0, 0, 90, 8, 1, 0, 0, 0, 19, 123, 43, 8, 29, 14, 15.0, 29.0, 42.0, 0, 3, 32, 31, 1, 0, 11, 0, 3, 11, 12, 6, 0.0, 28, 1, 0, 0, 0, 22, 22, 34.88, 67.44, 97.67, 18.59765625, 68.796875, 68.796875, 0, 9.3984375, 74.390625, 0.0, 9.3984375, 34.3984375, 37.5, 18.8, 0.0, 96.890625, 87.5, 3.099609375, 3.099609375, 0.0, 0.0, 91.0, 10.0, 0.0, 0.0, 31.0, "Tous les candidats", 110.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 30.0, "7003", "Licence - Sciences et technologies - Parcours Audiovisuel et Médias Numériques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7003&g_ta_cod=7003", 98.0, 2.0, 0.0),
(13367, "Public", "0681166Y", "Université de Mulhouse", "68", "Haut-Rhin", "Grand Est", "Strasbourg", "Mulhouse", "formation non sélective", "Licence", "Université de Mulhouse - Licence - Langues étrangères appliquées - Parcours Langues étrangères appliquées, Traduction scientifique et technique, option Anglais Espagnol", "Licence - Arts-lettres-langues", "Langues étrangères appliquées, Traduction scientifique et technique, option Anglais Espagnol", 10, 96, 73, 89, 0, 42, 14, 14, 9, 4, 1, 29, 7, 0, 0, 1, 6, 89, 5, 0, 0, 42, 14, 14, 9, 4, 1, 29, 63, 8, 5, 7, 1, 0.0, 7.0, 7.0, 0, 1, 4, 3, 1, 0, 4, 0, 2, 2, 0, 0, 0.0, 1, 1, 0, 0, 0, 4, 4, 0.0, 87.5, 87.5, 62.5, 100.0, 100.0, 0, 25.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 75.0, 25.0, 25.0, 25.0, 0.0, 0.0, 30.0, 9.0, 3.0, 2.0, 22.0, "Tous les candidats", 85.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 96.0, "20736", "Licence - Langues étrangères appliquées - Parcours Langues étrangères appliquées, Traduction scientifique et technique, option Anglais Espagnol", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20736&g_ta_cod=20736", 63.0, 38.0, 0.0),
(13368, "Public", "0061478Z", "Lycée Léonard De Vinci", "06", "Alpes-Maritimes", "Provence Alpes Côte d'Azur", "Nice", "Antibes", "formation sélective", "BTS", "Lycée Léonard De Vinci - BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "BTS - Production", "", 15, 167, 3, 156, 0, 11, 2, 24, 3, 89, 34, 32, 11, 3, 0, 0, 8, 143, 4, 0, 0, 11, 2, 24, 3, 89, 34, 19, 48, 14, 0, 13, 1, 3.0, 10.0, 12.0, 0, 5, 12, 1, 3, 8, 2, 0, 2, 6, 2, 2, 0.0, 0, 2, 8, 4, 0, 10, 10, 21.43, 71.43, 85.71, 0.0, 83.296875, 83.296875, 33.296875, 41.6953125, 85.6875, 0.0, 16.69921875, 50.0, 16.69921875, 16.7, 0.0, 8.298828125, 0.0, 25.0, 16.69921875, 66.6875, 66.6875, 11.0, 2.0, 24.0, 9.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 15.0, "Bacheliers professionnels toutes séries", 30, "Bacheliers technologiques toutes séries", 4, "Liste d'appel propre à cette formation", 31.0, "2306", "BTS - Production - Fluide, énergie, domotique - option B froid et conditionnement d'air", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2306&g_ta_cod=2306", 14.0, 21.0, 64.0),
(13369, "Public", "0380032D", "Lycée polyvalent Emmanuel Mounier", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "BTS", "Lycée polyvalent Emmanuel Mounier - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 34, 1220, 637, 1220, 0, 102, 29, 541, 198, 300, 134, 277, 0, 0, 0, 0, 0, 1103, 0, 0, 0, 87, 22, 519, 185, 299, 133, 198, 210, 32, 14, 31, 0, 2.0, 16.0, 24.0, 0, 17, 30, 0, 15, 15, 2, 0, 13, 13, 4, 0, 0.0, 0, 10, 7, 7, 2, 29, 29, 6.25, 50.0, 75.0, 43.796875, 96.6875, 96.6875, 23.296875, 56.6953125, 93.796875, 0.0, 43.296875, 43.296875, 13.298828125, 0.0, 0.0, 0.0, 0.0, 50.0, 33.296875, 50.0, 23.296875, 2.0, 2.0, 95.0, 43.0, 21.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 6.0, "Bacheliers technologiques toutes séries", 144, "Bacheliers professionnels toutes séries", 171, "Liste d'appel propre à cette formation", 26.0, "30554", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=30554&g_ta_cod=30554", 3.0, 50.0, 47.0),
(13370, "Public", "0760087G", "Lycée professionnel Jean-Baptiste Colbert", "76", "Seine-Maritime", "Normandie", "Normandie", "Le Petit-Quevilly", "formation sélective", "BTS", "Lycée professionnel Jean-Baptiste Colbert - BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "BTS - Production", "", 13, 47, 8, 40, 0, 0, 0, 12, 1, 17, 2, 11, 7, 0, 0, 2, 5, 32, 5, 0, 0, 0, 0, 12, 1, 16, 2, 4, 36, 6, 2, 5, 1, 4.0, 5.0, 6.0, 0, 0, 5, 0, 1, 4, 1, 0, 2, 2, 1, 0, 0.0, 0, 1, 2, 3, 1, 5, 5, 66.67, 83.33, 100.0, 33.296875, 100.0, 100.0, 60, 0.0, 83.296875, 0.0, 40.0, 40.0, 20.0, 0.0, 0.0, 0.0, 0.0, 20.0, 20.0, 80.0, 40.0, 0.0, 0.0, 18.0, 4.0, 6.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 16, "Bacheliers technologiques toutes séries", 13, "Liste d'appel propre à cette formation", 78.0, "20189", "BTS - Production - Europlastics et composites à référentiel commun européen - option Conception d'Outillage", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20189&g_ta_cod=20189", 0.0, 17.0, 83.0),
(13371, "Public", "0597065J", "Université de Lille", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation non sélective", "Licence", "Université de Lille - Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales - Parcours Sciences cognitives", "Licence - Sciences - technologies - santé", "Sciences cognitives", 70, 653, 244, 606, 0, 412, 80, 15, 8, 1, 1, 178, 47, 3, 1, 0, 43, 596, 40, 0, 0, 412, 80, 15, 8, 1, 1, 168, 493, 67, 26, 55, 12, 25.0, 48.0, 56.0, 0, 4, 36, 35, 0, 1, 31, 0, 5, 17, 10, 3, 1.0, 30, 0, 1, 0, 0, 23, 23, 37.31, 71.64, 83.58, 38.796875, 63.8984375, 63.8984375, 0, 11.099609375, 53.6953125, 0.0, 13.8984375, 47.1953125, 27.796875, 8.3, 2.8, 97.1875, 83.296875, 0.0, 0.0, 2.7998046875, 2.7998046875, 333.0, 64.0, 1.0, 1.0, 152.0, "Tous les candidats", 589.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 97.0, "7089", "Licence - Mathématiques et informatique appliquées aux sciences humaines et sociales - Parcours Sciences cognitives", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7089&g_ta_cod=7089", 94.0, 3.0, 3.0),
(13372, "Public", "0590121L", "Lycée Cesar Baggio", "59", "Nord", "Hauts-de-France", "Lille", "Lille", "formation sélective", "CPGE", "Lycée Cesar Baggio - CPGE - PTSI", "Classe préparatoire scientifique", "", 96, 682, 168, 632, 403, 407, 72, 2, 1, 1, 1, 222, 50, 20, 0, 0, 30, 421, 22, 281, 400, 327, 46, 0, 0, 0, 0, 94, 368, 63, 15, 56, 7, 5.0, 53.0, 63.0, 31, 5, 27, 27, 0, 0, 36, 0, 0, 9, 13, 4, 1.0, 27, 0, 0, 2, 0, 23, 23, 7.94, 84.13, 100.0, 23.796875, 85.1875, 85.1875, 7.3994140625, 18.5, 42.8984375, 0.0, 0.0, 33.296875, 48.09375, 14.8, 3.7, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 269.0, 35.0, 0.0, 0.0, 99.0, "Tous les candidats", 419.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 67.0, "6787", "CPGE - PTSI", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=6787&g_ta_cod=6787", 97.0, 3.0, 0.0),
(13373, "Public", "0211237F", "Université de Bourgogne - site de Dijon", "21", "Côte-d'or", "Bourgogne-Franche-Comté", "Dijon", "Dijon", "formation non sélective", "Licence_Las", "Université de Bourgogne - site de Dijon - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Métiers des langues - Allemand", "Licence - Arts-lettres-langues", "Métiers des langues - Allemand", 5, 35, 28, 35, 0, 17, 2, 3, 1, 1, 1, 14, 0, 0, 0, 0, 0, 35, 0, 0, 0, 17, 2, 3, 1, 1, 1, 14, 21, 5, 5, 5, 0, 0.0, 5.0, 5.0, 0, 1, 3, 2, 1, 0, 2, 0, 0, 3, 0, 0, 0.0, 2, 1, 0, 0, 0, 2, 2, 0.0, 100.0, 100.0, 100.0, 66.6875, 66.6875, 0, 33.296875, 60.0, 0.0, 0.0, 100.0, 0.0, 0.0, 0.0, 66.6875, 66.6875, 33.296875, 33.296875, 0.0, 0.0, 11.0, 2.0, 0.0, 0.0, 8.0, "Tous les candidats", 48.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 74.0, "28571", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Métiers des langues - Allemand", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=28570&g_ta_cod=28571", 80.0, 20.0, 0.0),
(13374, "Public", "0470038L", "Lycée des métiers du tertiaire et du social Georges Leygues", "47", "Lot-et-Garonne", "Nouvelle-Aquitaine", "Bordeaux", "Villeneuve-sur-Lot", "formation sélective", "BTS", "Lycée des métiers du tertiaire et du social Georges Leygues - BTS - Services - Comptabilité et gestion", "BTS - Services", "", 35, 222, 110, 189, 0, 12, 6, 38, 17, 32, 14, 107, 33, 0, 14, 8, 11, 102, 5, 0, 0, 11, 5, 35, 16, 27, 11, 29, 95, 27, 10, 26, 1, 11.0, 25.0, 26.0, 0, 11, 17, 1, 10, 6, 10, 0, 8, 8, 0, 1, 0.0, 0, 7, 2, 8, 4, 15, 15, 40.74, 92.59, 96.3, 37.0, 88.1875, 88.1875, 47.09375, 64.6875, 63.0, 0.0, 47.09375, 47.09375, 0.0, 5.9, 0.0, 5.8994140625, 0.0, 58.796875, 41.1953125, 35.296875, 11.798828125, 9.0, 4.0, 30.0, 13.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 22.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 43, "Liste d'appel propre à cette formation", 49.0, "5781", "BTS - Services - Comptabilité et gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5781&g_ta_cod=5781", 19.0, 56.0, 22.0),
(13375, "Public", "9840349G", "Université de la Polynésie française", "987", "Polynésie française", "Polynésie française", "Polynésie Française", "Faaa", "formation non sélective", "Licence", "Université de la Polynésie française - Licence - Histoire - Parcours Histoire et Géographie", "Licence - Sciences humaines et sociales", "Histoire et Géographie", 80, 220, 123, 182, 0, 113, 37, 26, 10, 6, 5, 37, 38, 4, 5, 1, 28, 182, 32, 0, 0, 113, 37, 26, 10, 6, 5, 37, 198, 42, 23, 28, 14, 13.0, 28.0, 39.0, 0, 10, 24, 18, 3, 3, 18, 0, 10, 8, 5, 1, 0.0, 12, 1, 1, 0, 0, 22, 22, 30.95, 66.67, 92.86, 54.796875, 91.6875, 91.6875, 0, 41.6953125, 57.09375, 0.0, 41.6953125, 33.296875, 20.796875, 4.2, 0.0, 75.0, 50.0, 12.5, 4.19921875, 12.5, 4.19921875, 110.0, 36.0, 7.0, 6.0, 52.0, "Tous les candidats", 183.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "17001", "Licence - Histoire - Parcours Histoire et Géographie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=17001&g_ta_cod=17001", 67.0, 17.0, 12.0),
(13376, "Public", "0791090F", "I.U.T. Poitiers (site Niort)", "79", "Deux-Sèvres", "Nouvelle-Aquitaine", "Poitiers", "Niort", "formation sélective", "BUT", "I.U.T. Poitiers (site Niort) - BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "BUT - Production", "Science du danger et management des risques professionnels technologiques et environnementaux", 62, 806, 256, 797, 0, 449, 42, 178, 23, 35, 7, 135, 9, 0, 6, 0, 3, 540, 2, 0, 0, 348, 30, 114, 11, 4, 0, 74, 243, 58, 15, 57, 1, 34.0, 54.0, 55.0, 0, 9, 50, 31, 17, 2, 8, 0, 11, 25, 10, 4, 0.0, 26, 11, 2, 0, 0, 20, 20, 58.62, 93.1, 94.83, 25.8984375, 40.0, 40.0, 0, 18.0, 86.1875, 0.0, 22.0, 50.0, 20.0, 8.0, 0.0, 62.0, 52.0, 34.0, 22.0, 4.0, 4.0, 104.0, 15.0, 4.0, 0.0, 36.0, "Tous les candidats sauf les Bac technologiques", 145.0, "Bacheliers technologiques toutes séries", 128, "", 0, "Liste d'appel propre à cette formation", 34.0, "10136", "BUT - Hygiène Sécurité Environnement Parcours : Science du danger et management des risques professionnels technologiques et environnementaux", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10136&g_ta_cod=10136", 60.0, 36.0, 3.0),
(13377, "Public", "0851390Z", "Lycée Leonard de Vinci", "85", "Vendée", "Pays de la Loire", "Nantes", "Montaigu-Vendée", "formation sélective", "BTS", "Lycée Leonard de Vinci - BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "BTS - Services", "", 8, 867, 323, 867, 0, 452, 76, 69, 19, 91, 32, 255, 0, 0, 0, 0, 0, 49, 0, 0, 0, 27, 5, 0, 0, 14, 4, 8, 10, 8, 4, 8, 0, 7.0, 8.0, 8.0, 0, 1, 6, 5, 0, 1, 2, 0, 0, 1, 3, 2, 0.0, 5, 0, 1, 2, 1, 5, 5, 87.5, 100.0, 100.0, 50.0, 83.296875, 83.296875, 33.296875, 16.69921875, 75.0, 0.0, 0.0, 16.69921875, 50.0, 33.3, 0.0, 83.296875, 83.296875, 0.0, 0.0, 16.69921875, 16.69921875, 5.0, 1.0, 2.0, 1.0, 3.0, "Tous les candidats sauf les Bac professionnels", 7.0, "Bacheliers professionnels toutes séries", 4, "", 0, "Liste d'appel propre à cette formation", 1.0, "10538", "BTS - Services - Métiers de l'audio-visuel opt : métiers de l'image", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10538&g_ta_cod=10538", 88.0, 0.0, 13.0),
(13378, "Privé sous contrat d'association", "0141418R", "Lycée Les Rosiers", "14", "Calvados", "Normandie", "Normandie", "Lisieux", "formation sélective", "BTS", "Lycée Les Rosiers - BTS - Services - Professions immobilières", "BTS - Services", "", 24, 403, 219, 398, 0, 105, 13, 125, 28, 79, 21, 89, 5, 0, 0, 3, 2, 249, 2, 0, 0, 80, 11, 76, 19, 39, 6, 54, 116, 24, 13, 22, 2, 4.0, 11.0, 17.0, 0, 5, 13, 4, 3, 6, 11, 0, 6, 4, 2, 1, 0.0, 1, 1, 5, 1, 1, 10, 10, 16.67, 45.83, 70.83, 54.1953125, 76.890625, 76.890625, 7.69921875, 38.5, 54.1953125, 0.0, 46.1953125, 30.796875, 15.3984375, 7.7, 0.0, 30.796875, 7.69921875, 23.09765625, 7.69921875, 46.1953125, 38.5, 27.0, 7.0, 24.0, 5.0, 30.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 46.0, "Bacheliers professionnels toutes séries", 27, "Bacheliers technologiques toutes séries", 55, "Liste d'appel propre à cette formation", 32.0, "2901", "BTS - Services - Professions immobilières", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=2901&g_ta_cod=2901", 33.0, 42.0, 25.0),
(13379, "Public", "0830053G", "Lycée Dumont d'Urville", "83", "Var", "Provence Alpes Côte d'Azur", "Nice", "Toulon", "formation sélective", "BTS", "Lycée Dumont d'Urville - BTS - Services - Négociation et digitalisation de la Relation Client", "BTS - Services", "", 70, 1311, 680, 1311, 0, 142, 39, 454, 180, 353, 162, 362, 0, 0, 0, 0, 0, 969, 0, 0, 0, 107, 29, 330, 130, 353, 162, 179, 259, 57, 29, 57, 0, 12.0, 40.0, 48.0, 0, 28, 47, 1, 21, 25, 10, 0, 10, 25, 9, 3, 0.0, 1, 16, 20, 2, 1, 42, 42, 21.05, 70.18, 84.21, 50.8984375, 89.390625, 89.390625, 4.2998046875, 59.59375, 82.5, 0.0, 21.296875, 53.1953125, 19.09765625, 6.4, 0.0, 2.099609375, 2.099609375, 44.6953125, 34.0, 53.1953125, 42.59375, 9.0, 3.0, 87.0, 33.0, 25.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 12.0, "Bacheliers professionnels toutes séries", 120, "Bacheliers technologiques toutes séries", 198, "Liste d'appel propre à cette formation", 25.0, "10346", "BTS - Services - Négociation et digitalisation de la Relation Client", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=10346&g_ta_cod=10346", 7.0, 46.0, 47.0),
(13380, "Public", "0190032G", "Lycée Edmond Perrier", "19", "Corrèze", "Nouvelle-Aquitaine", "Limoges", "Tulle", "formation sélective", "BTS", "Lycée Edmond Perrier - BTS - Services - Support à l'action managériale", "BTS - Services", "", 18, 176, 97, 176, 0, 8, 2, 53, 23, 41, 15, 74, 0, 0, 0, 0, 0, 96, 0, 0, 0, 8, 2, 48, 18, 28, 8, 12, 39, 17, 8, 17, 0, 11.0, 15.0, 16.0, 0, 3, 16, 0, 8, 8, 1, 0, 8, 5, 3, 0, 0.0, 0, 3, 5, 5, 2, 15, 15, 64.71, 88.24, 94.12, 47.09375, 93.796875, 93.796875, 31.296875, 18.796875, 94.09375, 0.0, 50.0, 31.296875, 18.796875, 0.0, 0.0, 0.0, 0.0, 50.0, 18.796875, 50.0, 31.296875, 4.0, 1.0, 10.0, 2.0, 3.0, "Tous les candidats sauf les Bac professionnels", 49.0, "Bacheliers professionnels toutes séries", 10, "", 0, "Liste d'appel propre à cette formation", 34.0, "19372", "BTS - Services - Support à l'action managériale", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=19372&g_ta_cod=19372", 6.0, 47.0, 47.0),
(13381, "Public", "0383546Y", "Université Grenoble Alpes", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Saint-Martin-d'Hères", "formation sélective", "Licence", "Université Grenoble Alpes  - Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - double licence anglais/russe", "Licence - Arts-lettres-langues", "double licence anglais/russe", 10, 41, 29, 25, 0, 19, 4, 0, 0, 1, 0, 5, 16, 0, 0, 0, 16, 11, 2, 0, 0, 9, 1, 0, 0, 0, 0, 2, 13, 6, 6, 5, 1, 4.0, 5.0, 5.0, 0, 1, 4, 4, 0, 0, 2, 0, 0, 1, 3, 0, 0.0, 4, 0, 0, 0, 0, 4, 4, 66.67, 83.33, 83.33, 100.0, 100.0, 100.0, 0, 25.0, 66.6875, 0.0, 0.0, 25.0, 75.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 9.0, 1.0, 0.0, 0.0, 4.0, "Tous les candidats", 11.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 44.0, "18373", "Double licence - Langues, littératures & civilisations étrangères et régionales / Langues, littératures & civilisations étrangères et régionales - double licence anglais/russe", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=18373&g_ta_cod=18373", 100.0, 0.0, 0.0),
(13382, "Public", "0630020E", "Lycée Sidoine Apollinaire", "63", "Puy-de-Dôme", "Auvergne-Rhône-Alpes", "Clermont-Ferrand", "Clermont-Ferrand", "formation sélective", "BTS", "Lycée Sidoine Apollinaire - BTS - Services - Management Commercial Opérationnel", "BTS - Services", "", 70, 1354, 699, 1342, 0, 197, 48, 477, 161, 382, 155, 286, 12, 0, 0, 5, 7, 666, 1, 0, 0, 142, 28, 285, 92, 203, 68, 36, 303, 64, 43, 63, 1, 11.0, 49.0, 58.0, 0, 24, 59, 11, 23, 25, 5, 0, 19, 30, 7, 3, 0.0, 6, 14, 20, 6, 5, 45, 45, 17.19, 76.56, 90.63, 67.1875, 76.296875, 76.296875, 10.19921875, 40.6953125, 92.1875, 0.0, 32.1953125, 50.796875, 11.8984375, 5.1, 0.0, 18.59765625, 10.19921875, 39.0, 23.69921875, 42.3984375, 33.8984375, 61.0, 19.0, 110.0, 41.0, 19.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 111.0, "Bacheliers professionnels toutes séries", 185, "Bacheliers technologiques toutes séries", 202, "Liste d'appel propre à cette formation", 37.0, "7555", "BTS - Services - Management Commercial Opérationnel", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7555&g_ta_cod=7555", 20.0, 38.0, 42.0),
(13383, "Privé sous contrat d'association", "0331498Z", "Lycée Du Matin Le Mirail", "33", "Gironde", "Nouvelle-Aquitaine", "Bordeaux", "Bordeaux", "formation sélective", "Autre formation", "Lycée Du Matin Le Mirail - DN MADE - Espace - - Spécialité : Espace de Communication, Innovation packaging et éco design", "DN MADE", "- Spécialité : Espace de Communication, Innovation packaging et éco design", 25, 388, 312, 388, 0, 188, 18, 68, 5, 42, 8, 90, 0, 0, 0, 0, 0, 292, 0, 0, 0, 140, 11, 54, 3, 31, 7, 67, 104, 24, 21, 24, 0, 3.0, 17.0, 20.0, 0, 8, 19, 8, 5, 6, 5, 0, 3, 10, 6, 0, 0.0, 6, 4, 6, 0, 0, 6, 6, 12.5, 70.83, 83.33, 87.5, 31.59765625, 31.59765625, 0, 42.09375, 79.1875, 0.0, 15.798828125, 52.59375, 31.59765625, 0.0, 0.0, 42.09375, 31.59765625, 26.296875, 21.09765625, 31.59765625, 31.59765625, 47.0, 5.0, 13.0, 6.0, 18.0, "Tous les candidats", 123.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 32.0, "25194", "DN MADE - Espace - - Spécialité : Espace de Communication, Innovation packaging et éco design", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=25194&g_ta_cod=25194", 46.0, 25.0, 25.0),
(13384, "Public", "0620063G", "Lycée Sophie Berthelot", "62", "Pas-de-Calais", "Hauts-de-France", "Lille", "Calais", "formation sélective", "BTS", "Lycée Sophie Berthelot - BTS - Services - Tourisme", "BTS - Services", "", 35, 396, 278, 367, 0, 118, 38, 53, 20, 42, 20, 154, 29, 1, 1, 13, 14, 240, 6, 0, 0, 104, 30, 34, 13, 23, 11, 79, 164, 27, 19, 24, 3, 5.0, 21.0, 23.0, 0, 6, 15, 11, 4, 0, 12, 0, 5, 8, 1, 1, 0.0, 7, 3, 0, 2, 1, 14, 14, 18.52, 77.78, 85.19, 70.390625, 93.296875, 93.296875, 13.298828125, 40.0, 55.59375, 0.0, 33.296875, 53.296875, 6.69921875, 6.7, 0.0, 73.296875, 46.6953125, 26.69921875, 20.0, 0.0, 0.0, 81.0, 24.0, 15.0, 9.0, 51.0, "Tous les candidats sauf les Bac professionnels", 205.0, "Bacheliers professionnels toutes séries", 24, "", 0, "Liste d'appel propre à cette formation", 62.0, "7365", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=7365&g_ta_cod=7365", 81.0, 15.0, 0.0),
(13385, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence", "INALCO - Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud et Himalaya -  Rromani", "Licence - Arts-lettres-langues", "Asie du Sud et Himalaya -  Rromani", 10, 7, 3, 4, 0, 0, 0, 0, 0, 0, 0, 4, 3, 0, 0, 0, 3, 4, 2, 0, 0, 0, 0, 0, 0, 0, 0, 4, 6, 2, 0, 1, 1, 1.0, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 50.0, 50.0, 50.0, 0.0, 0, 0, 0, 0, 0.0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.0, 0.0, 0.0, 0.0, 6.0, "Tous les candidats", 4.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "9406", "Licence - Langues, littératures & civilisations étrangères et régionales - Parcours Asie du Sud et Himalaya -  Rromani", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=9406&g_ta_cod=9406", 50.0, 50.0, 0.0),
(13386, "Privé sous contrat d'association", "0781069N", "Lycée professionnel Agricole SULLY", "78", "Yvelines", "Ile-de-France", "Versailles", "Magnanville", "formation sélective", "BTS", "Lycée professionnel Agricole SULLY - BTS - Agricole - productions animales", "BTS - Agricole", "", 30, 124, 97, 107, 0, 30, 3, 34, 1, 18, 3, 25, 17, 2, 3, 3, 9, 79, 7, 0, 0, 30, 3, 27, 0, 12, 2, 10, 72, 13, 11, 10, 3, 4.0, 9.0, 10.0, 0, 0, 10, 4, 2, 4, 3, 0, 3, 6, 0, 1, 0.0, 2, 2, 3, 2, 2, 7, 8, 30.77, 69.23, 76.92, 84.59375, 70.0, 80.0, 20, 0.0, 76.890625, 0.0, 30.0, 60.0, 0.0, 10.0, 0.0, 40.0, 20.0, 20.0, 20.0, 40.0, 30.0, 26.0, 2.0, 13.0, 2.0, 10.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 36.0, "Bacheliers professionnels toutes séries", 13, "Bacheliers technologiques toutes séries", 29, "Liste d'appel propre à cette formation", 73.0, "14645", "BTS - Agricole - productions animales", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=14645&g_ta_cod=14645", 46.0, 23.0, 31.0),
(13387, "Public", "0931391G", "Université Sorbonne Paris Nord - Antenne de Bobigny", "93", "Seine-Saint-Denis", "Ile-de-France", "Créteil", "Bobigny", "formation non sélective", "Licence_Las", "Université Sorbonne Paris Nord - Antenne de Bobigny - Licence - Portail Sciences de la vie", "Licence - Sciences - technologies - santé", "", 30, 4524, 3356, 4524, 0, 2846, 819, 221, 110, 11, 4, 1446, 0, 0, 0, 0, 0, 4522, 0, 0, 0, 2846, 819, 221, 110, 11, 4, 1444, 384, 22, 18, 20, 0, 0.0, 4.0, 12.0, 0, 6, 13, 8, 4, 1, 9, 0, 2, 2, 8, 0, 1.0, 7, 3, 1, 0, 0, 7, 13, 0.0, 18.18, 54.55, 81.796875, 53.796875, 100.0, 0, 46.1953125, 59.09375, 0.0, 15.3984375, 15.3984375, 61.5, 0.0, 7.7, 61.5, 53.796875, 30.796875, 23.09765625, 7.69921875, 7.69921875, 239.0, 51.0, 1.0, 0.0, 137.0, "Tous les candidats", 1070.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 18.0, "27230", "Licence - Portail Sciences de la vie", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=27229&g_ta_cod=27230", 77.0, 18.0, 5.0),
(13388, "Privé sous contrat d'association", "0131484T", "Lycée professionnel Brise Lames", "13", "Bouches-du-Rhône", "Provence Alpes Côte d'Azur", "Aix-Marseille", "Martigues", "formation sélective", "BTS", "Lycée professionnel Brise Lames - BTS - Services - Tourisme", "BTS - Services", "", 20, 187, 125, 182, 0, 37, 11, 33, 11, 36, 11, 76, 5, 0, 0, 0, 5, 126, 3, 0, 0, 35, 9, 30, 10, 25, 9, 36, 82, 7, 4, 7, 0, 2.0, 7.0, 7.0, 0, 1, 4, 2, 1, 1, 3, 0, 1, 2, 1, 0, 0.0, 1, 1, 1, 0, 0, 2, 2, 28.57, 100.0, 100.0, 57.09375, 50.0, 50.0, 0, 25.0, 57.09375, 0.0, 25.0, 50.0, 25.0, 0.0, 0.0, 50.0, 25.0, 25.0, 25.0, 25.0, 25.0, 17.0, 3.0, 13.0, 5.0, 31.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 32.0, "Bacheliers technologiques toutes séries", 37, "Bacheliers professionnels toutes séries", 29, "Liste d'appel propre à cette formation", 54.0, "26488", "BTS - Services - Tourisme", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=26488&g_ta_cod=26488", 43.0, 29.0, 29.0),
(13389, "Public", "0753488J", "INALCO", "75", "Paris", "Ile-de-France", "Paris", "Paris", "formation non sélective", "Licence_Las", "INALCO - Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations, parcours Europe - Albanais", "Licence - Arts-lettres-langues", "Langues, Littératures et Civilisations, parcours Europe - Albanais", 10, 57, 47, 20, 0, 9, 4, 1, 0, 0, 0, 10, 37, 14, 2, 0, 21, 20, 19, 0, 0, 9, 4, 1, 0, 0, 0, 10, 36, 7, 6, 2, 5, 2.0, 2.0, 4.0, 0, 0, 2, 1, 1, 0, 5, 0, 1, 1, 0, 0, 0.0, 0, 1, 0, 0, 0, 0, 2, 28.57, 28.57, 57.14, 85.6875, 0.0, 100.0, 0, 0.0, 28.59765625, 0.0, 50.0, 50.0, 0.0, 0.0, 0.0, 50.0, 0.0, 50.0, 50.0, 0.0, 0.0, 13.0, 5.0, 0.0, 0.0, 21.0, "Tous les candidats", 27.0, "", 0, "", 0, "Liste d'appel commune à plusieurs formations", 100.0, "29636", "Licence - Portail Langues, littératures & civilisations étrangères et régionales - Langues, Littératures et Civilisations, parcours Europe - Albanais", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=29635&g_ta_cod=29636", 43.0, 43.0, 0.0),
(13390, "Public", "0271579V", "Lycée Léopold Sédar Senghor", "27", "Eure", "Normandie", "Normandie", "Evreux", "formation sélective", "BTS", "Lycée Léopold Sédar Senghor - BTS - Production - Bioanalyses et contrôles", "BTS - Production", "", 30, 478, 317, 463, 0, 109, 18, 147, 35, 30, 14, 177, 15, 0, 0, 11, 4, 272, 0, 0, 0, 94, 14, 126, 29, 8, 3, 44, 139, 29, 22, 29, 0, 10.0, 20.0, 25.0, 0, 5, 22, 5, 16, 1, 7, 1, 4, 14, 3, 0, 0.0, 4, 12, 1, 14, 9, 20, 20, 34.48, 68.97, 86.21, 75.890625, 90.890625, 90.890625, 63.59375, 22.69921875, 75.890625, 4.5, 18.19921875, 63.59375, 13.599609375, 0.0, 0.0, 22.69921875, 18.19921875, 72.6875, 54.5, 4.5, 4.5, 43.0, 6.0, 2.0, 1.0, 32.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 96.0, "Bacheliers professionnels toutes séries", 3, "Bacheliers technologiques toutes séries", 119, "Liste d'appel propre à cette formation", 47.0, "3709", "BTS - Production - Bioanalyses et contrôles", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=3709&g_ta_cod=3709", 24.0, 69.0, 7.0),
(13391, "Public", "0381775Y", "I.U.T. 2 de Grenoble", "38", "Isère", "Auvergne-Rhône-Alpes", "Grenoble", "Grenoble", "formation sélective", "Autre formation", "I.U.T. 2 de Grenoble - Diplôme de Comptabilité et de Gestion", "DCG", "", 50, 831, 390, 828, 0, 355, 77, 193, 70, 17, 5, 263, 3, 1, 0, 0, 2, 632, 1, 0, 0, 342, 71, 169, 58, 9, 2, 112, 313, 46, 15, 46, 0, 2.0, 23.0, 39.0, 0, 8, 40, 29, 11, 0, 6, 1, 12, 23, 3, 1, 0.0, 20, 7, 0, 0, 0, 37, 37, 4.35, 50.0, 84.78, 32.59375, 92.5, 92.5, 0, 20.0, 87.0, 2.5, 30.0, 57.5, 7.5, 2.5, 0.0, 72.5, 50.0, 27.5, 17.5, 0.0, 0.0, 194.0, 32.0, 3.0, 0.0, 65.0, "Tous les candidats", 527.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 64.0, "5006", "Diplôme de Comptabilité et de Gestion", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=5006&g_ta_cod=5006", 70.0, 30.0, 0.0),
(13392, "Public", "0692866R", "Lycée La Martiniere Monplaisir", "69", "Rhône", "Auvergne-Rhône-Alpes", "Lyon", "Lyon 8e  Arrondissement", "formation sélective", "BTS", "Lycée La Martiniere Monplaisir - BTS - Production - Bâtiment", "BTS - Production", "", 24, 1027, 126, 1027, 0, 114, 20, 496, 127, 188, 74, 229, 0, 0, 0, 0, 0, 433, 0, 0, 0, 45, 6, 269, 62, 94, 24, 25, 96, 24, 3, 24, 0, 5.0, 18.0, 21.0, 0, 12, 23, 1, 12, 10, 1, 0, 5, 10, 8, 0, 0.0, 0, 11, 7, 8, 1, 19, 19, 20.83, 75.0, 87.5, 12.5, 82.59375, 82.59375, 34.796875, 52.1953125, 95.796875, 0.0, 21.69921875, 43.5, 34.796875, 0.0, 0.0, 4.2998046875, 0.0, 52.1953125, 47.796875, 43.5, 30.3984375, 7.0, 3.0, 46.0, 13.0, 3.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 14.0, "Bacheliers professionnels toutes séries", 75, "Bacheliers technologiques toutes séries", 89, "Liste d'appel propre à cette formation", 17.0, "8556", "BTS - Production - Bâtiment", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=8556&g_ta_cod=8556", 4.0, 50.0, 46.0),
(13393, "Public", "0920149M", "Lycée Michelet", "92", "Hauts-de-Seine", "Ile-de-France", "Versailles", "Vanves", "formation sélective", "CPGE", "Lycée Michelet - CPGE - ECT - Option technologique", "Classe préparatoire économique et commerciale", "", 38, 604, 304, 604, 242, 0, 0, 556, 141, 0, 0, 48, 0, 0, 0, 0, 0, 275, 0, 60, 265, 0, 0, 271, 63, 0, 0, 4, 161, 38, 16, 38, 0, 13.0, 33.0, 38.0, 10, 8, 37, 0, 37, 0, 1, 0, 0, 6, 23, 8, 0.0, 0, 37, 0, 0, 0, 8, 16, 34.21, 86.84, 100.0, 42.09375, 21.59765625, 43.1953125, 0, 21.59765625, 97.390625, 0.0, 0.0, 16.19921875, 62.1953125, 21.6, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, "Tous les candidats", 271.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 45.0, "11025", "CPGE - ECT - Option technologique", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=11025&g_ta_cod=11025", 0.0, 100.0, 0.0),
(13394, "Public", "0341089Z", "Université Paul Valery - Montpellier 3", "34", "Hérault", "Occitanie", "Montpellier", "Montpellier", "formation non sélective", "Licence", "Université Paul Valery - Montpellier 3 - Licence - Langues étrangères appliquées - Parcours Anglais-Chinois", "Licence - Arts-lettres-langues", "Anglais-Chinois", 115, 563, 438, 552, 0, 339, 102, 28, 14, 19, 9, 166, 11, 1, 0, 0, 10, 552, 11, 0, 0, 339, 102, 28, 14, 19, 9, 166, 402, 114, 87, 107, 7, 17.0, 96.0, 107.0, 0, 30, 75, 65, 4, 6, 39, 0, 26, 27, 18, 4, 0.0, 42, 1, 6, 0, 0, 45, 45, 14.91, 84.21, 93.86, 76.296875, 60.0, 60.0, 0, 40.0, 65.796875, 0.0, 34.6953125, 36.0, 24.0, 5.3, 0.0, 86.6875, 56.0, 5.2998046875, 1.2998046875, 8.0, 8.0, 266.0, 78.0, 9.0, 3.0, 117.0, "Tous les candidats", 550.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 100.0, "4576", "Licence - Langues étrangères appliquées - Parcours Anglais-Chinois", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=4576&g_ta_cod=4576", 79.0, 12.0, 8.0),
(13395, "Public", "9740979W", "Lycée Jean Hinglo", "974", "La Réunion", "La Réunion", "La Réunion", "Le Port", "formation sélective", "BTS", "Lycée Jean Hinglo - BTS - Services - Conseil et commercialisation de solutions techniques", "BTS - Services", "", 24, 147, 56, 99, 0, 1, 1, 40, 28, 40, 26, 18, 48, 0, 10, 18, 20, 67, 11, 0, 0, 1, 1, 29, 20, 30, 19, 7, 71, 24, 7, 17, 7, 4.0, 16.0, 24.0, 0, 13, 19, 1, 8, 10, 5, 0, 10, 8, 1, 0, 0.0, 1, 2, 6, 9, 3, 17, 17, 16.67, 66.67, 100.0, 29.19921875, 89.5, 89.5, 47.3984375, 68.390625, 79.1875, 0.0, 52.59375, 42.09375, 5.2998046875, 0.0, 0.0, 5.2998046875, 5.2998046875, 42.09375, 10.5, 52.59375, 31.59765625, 1.0, 1.0, 29.0, 19.0, 9.0, "Tous les candidats sauf les Bac technologiques et Bac professionnels", 2.0, "Bacheliers professionnels toutes séries", 33, "Bacheliers technologiques toutes séries", 31, "Liste d'appel propre à cette formation", 67.0, "20386", "BTS - Services - Conseil et commercialisation de solutions techniques", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=20386&g_ta_cod=20386", 8.0, 38.0, 54.0),
(13396, "Privé sous contrat d'association", "0671636P", "Lycée ORT STRASBOURG", "67", "Bas-Rhin", "Grand Est", "Strasbourg", "Strasbourg", "formation sélective", "Autre formation", "Lycée ORT STRASBOURG - DN MADE - Mode - - Spécialité : Mode et textile", "DN MADE", "- Spécialité : Mode et textile", 17, 597, 479, 597, 0, 256, 48, 102, 17, 75, 21, 164, 0, 0, 0, 0, 0, 597, 0, 0, 0, 256, 48, 102, 17, 75, 21, 164, 56, 18, 15, 18, 0, 2.0, 14.0, 17.0, 0, 1, 10, 5, 2, 3, 8, 0, 0, 1, 6, 3, 0.0, 5, 2, 3, 0, 0, 5, 5, 11.11, 77.78, 94.44, 83.296875, 50.0, 50.0, 0, 10.0, 55.59375, 0.0, 0.0, 10.0, 60.0, 30.0, 0.0, 50.0, 50.0, 20.0, 20.0, 30.0, 30.0, 15.0, 1.0, 3.0, 1.0, 17.0, "Tous les candidats", 65.0, "", 0, "", 0, "Liste d'appel propre à cette formation", 11.0, "21982", "DN MADE - Mode - - Spécialité : Mode et textile", "", "https://dossier.parcoursup.fr/Candidat/carte?g_ti_cod=21982&g_ta_cod=21982", 67.0, 11.0, 22.0);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;